zenon Hilfe v.8.00

zenon Hilfe v.8.00


Technischer Support

Technischer Support

Sollten Sie in unserer Onlinehilfe zu einem Problem keine Lösung finden, wenden Sie sich an unser Support Team oder nutzen Sie unser Online-Forum.

Support Teams

Als Nutzer des Wartungsvertrages Basic (ist in jeder Lizenz gratis enthalten) erreichen Sie unseren Support am besten per E-Mail an support@copadata.com.

Informationen zur telefonischen Erreichbarkeit der Support Teams finden Sie auch auf unserer Website: Support Verfügbarkeit

Als Inhaber eines Wartungsvertrages Advanced oder Premium benutzen Sie die in Ihrem Vertrag angegebene Telefonnummer.

Informationen zu den COPA-DATA Wartungsverträgen erhalten Sie bei unseren Beratern unter sales@copadata.com.

Forum

Viele Informationen und Unterstützung von Anwendern und den COPA-DATA Experten finden Sie auch im COPA-DATA Forum.

Downloads

Nutzer aller Wartungsverträge finden auf der COPA-DATA Website Handbücher, Tutorials und Videos zum Download.
Anwender mit Advanced und Premium Wartungsverträgen haben online auch Zugang zu Service Packs, VBA Beispielen und gespeicherten Workshops.

Für den Download von Dateien müssen Sie als Member angemeldet sein. Die Anmeldung ist kostenlos und eröffnet Ihnen den Zugang zu Informationen, die unseren Kunden vorbehalten sind.


Handbuch

Handbuch

In diesem Bereich finden Sie die zenon Produktdokumentation.

Noch in diesem Kapitel

zenon Produktfamilie

Lizenzierung

Roter Faden durch die Hilfe - Ein Überblick

Effizient projektieren mit zenon

Editor

Runtime

Alarmverwaltung

Änderungshistorie

Anlagenmodellierung

Archivserver

Automatic Line Coloring (ALC) - Topologie

Batch Control

Benutzerverwaltung

Bilder

Bildschirmverwaltung

Chronologische Ereignisliste (CEL)

Controls

Energy Edition

Erweiterter Trend

Funktionen und Skripte

HTML Web Engine

Import - Export

Industrial Maintenance Manager (IMM)

Industrial Performance Analyzer

Installation und Updates

Keyboards

Konfigurationsdateien

Last-Management

Maßeinheitenumschaltung

Menüs

Message Control

Mobile Anwendungen für zenon

MS Azure

Multi-Touch

Netzwerk

OPC-Server

PLC Diagnosis

Process Gateway

Production and Facility Scheduler (PFS)

Programmierschnittstellen

Projektkonvertierung

Projektsicherung

Projektsimulation

Prozess-Rekorder

Projektverwaltung und Arbeitsbereich

Querverweise

Remote-Transport

Reporting

Standard-Rezepte

Rezeptgruppen-Manager

Runtime-Hilfe

SAP Interface

Schaltfolgen

Schichtmanagement

Scheduler

Sprachumschaltung

Statusverarbeitung

Stile

Tools

Treibersimulation

Variablen

Verriegelungen

Verteiltes Engineering

Weltbild

Wizards

Zeitsteuerung

zenon Logic

zenon Operator

zenon Remote Desktop

zenon Science Package for LEGO MINDSTORMS

zenon Security Guide

zenon Web Server

WPF-Element

Zuweisungen


zenon Produktfamilie

Handbuch > zenon Produktfamilie

zenon stellt als Automatisierungssoftware für HMI, SCADA und Reporting vielfältige, integrierte Funktionalitäten für Engineering und Runtime plattformunabhängig zur Verfügung.

Mit zenon können Sie:

  • Automatisierungsprojekte erstellen, verteilen, bearbeiten und ausführen
  • integrierte Soft-SPS zenon Logicnutzen
  • Daten anlagenübergreifend und aus vielfältigen Quellen erheben und auswerten

attention Achtung

Verweise im Handbuch auf zenon allgemein meinen in der Regel immer zenon Supervisor und zenon Operator.

zenon ist auch in zwei speziellen Editionen erhältlich:

  • Energy Edition: für Energie- und Infrastruktur-Unternehmen
  • Pharma Edition: für Pharmazeutische Industrie

Diese Editionen sind auf die jeweiligen Einsatzgebiete optimiert und enthalten spezielle Elemente wie eigene Symbole, Wizards usw.

Noch in diesem Kapitel

zenon Supervisor

zenon Operator

zenon Logic

zenon Analyzer


zenon Supervisor

Handbuch > zenon Produktfamilie > zenon Supervisor

Der zenon Supervisor ist ein umfassendes Werkzeug zur Erstellung und Ausführung von Automatisierungsprojekten. Er besteht aus Editor und Runtime, erlaubt den schnellen Aufbau von Automatisierungsnetzwerken - auch über Webanbindung - und kann unter allen aktuellen Windows Betriebssystemen eingesetzt werden.

Für den Einsatz auf Maschinenbediensystemen steht auch eine funktional eingeschränkte Variante, der zenon Operator, zur Verfügung.


zenon Operator

Handbuch > zenon Produktfamilie > zenon Operator

Der zenon Operator ist ein an Maschinenbedienung angepasstes, kostengünstiges Produkt. Die prinzipielle Funktionsweise entspricht dem zenon Supervisor. Der Operator ist gegenüber dem zenon Supervisor aber funktionell eingeschränkt.

Der zenon Operator besteht aus Editor und Runtime und kann auf PC-Betriebssystemen und CE-Betriebssystemen eingesetzt werden.


zenon Logic

Handbuch > zenon Produktfamilie > zenon Logic

zenon Logic ist die in zenon integrierte Programmierumgebung nach IEC 61131. Sie steht als Editor und Runtime (Soft-SPS) für zenon Supervisor und zenon Operator zur Verfügung.


zenon Analyzer

Handbuch > zenon Produktfamilie > zenon Analyzer

Der zenon Analyzer bietet durch systemübergreifende Analyse managementnahe und controllingnahe Sicht auf alle online und offline verfügbare Daten. Er fasst bisher getrennte Aufgaben zusammen und eliminiert Reibungsverluste, die durch parallele Abstimmung, Wartung und Koordination unterschiedlicher IT-Systeme entstehen. Der zenon Analyzer:

  • verdichtet und verrechnet Daten aus verschiedenen Quellen in verschiedenen Formaten
  • setzt sie zueinander in Relation
  • stellt die Ergebnisse daraus in grafischer Form als Report dar

Beim Einsatz des zenon Analyzer wird der Produktionsprozess nicht unterbrochen. Der zenon Analyzer kann in ein bestehendes Produktivsystem implementiert werden, ohne dass dieses umkonfiguriert werden muss. Bei Datenerhebung und Reporterstellung läuft das Produktivsystem ungestört weiter. Die bestehende Infrastruktur wird unabhängig von Herstellern in das Reporting durch zenon Analyzer eingebunden.

Für den Zugriff auf Auswertungen ist nur ein Microsoft Standard-Browser nötig. Es muss keine Software installiert, angepasst oder gewartet werden. Auswertungen können ohne zusätzliche Komponenten oder Plug-Ins ins Intranet eines Unternehmens eingebettet werden. Standard-Reports werden bereits mit zenon Analyzer ausgeliefert. Es können jederzeit eigene Auswertungen erstellt, gespeichert und verteilt werden.

Nähere Informationen zum zenon Analyzer finden Sie in der gesonderten Dokumentation des zenon Analyzer oder erhalten Sie bei Ihrem COPA-DATA Sales-Partner: sales@copadata.com.


Lizenzierung

Handbuch > Lizenzierung

Um COPA-DATA Produkte einsetzen zu können, müssen diese lizenziert werden. Solange ein Produkt nicht lizenziert wurde, läuft es im Demo-Modus.

Die Lizenz wird beim Programmstart überprüft. Das Produkt wird mit den lizenzierten Modulen gestartet.
Wird beim Programmstart keine gültige Lizenz gefunden, weist ein Dialog darauf hin. Der Start kann wahlweise abgebrochen werden oder im Demo-Modus erfolgen. Steht auch keine Lizenz für den Demo-Modus zur Verfügung, kann das Produkt nicht gestartet werden. Zusätzlich kann auch die Lizenzverwaltung geöffnet werden, um dem Produkt eine gültige Lizenz zuzuweisen.

info Info

Der in diesem Dokument beschriebene Mechanismus zur Lizenzierung wird für unterschiedliche Produkte angewandt. Screenshots werden dabei nicht für jedes einzelne Produkt erstellt. Es kann daher möglich sein, dass die Darstellung eines Screenshots von der Beschreibung für Ihr Produkt abweicht.

Gültigkeit

Die Informationen zur Lizenzierung gelten für:

  • zenon Produkte: ab Version 8.00
  • zenon Analyzer: ab Version 3.20

Produkte vorangegangener Versionen werden über einen anderen Mechanismus lizenziert. Informationen dazu finden Sie in der Dokumentation dieser Produkte.

Noch in diesem Kapitel

Produkte lizenzieren - Überblick

Dongle-Typen

Lizenzierung in wenigen Schritten

Virtual Machines

Lizenzverwaltung

Lizenzierung über Kommandozeile - Automatisierung

Lizenzarten

Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Produktspezifische Themen

Versions- und Lizenzinformationen anzeigen

Redundanter Lizenzschutz

Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Lizenzbruch bei Software-Dongles

Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Lizenzabfrage während des Betriebes

Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Besonderheiten beim Client-Server-Betrieb

Seriennummer

License.ini Datei

CodeMeter Voraussetzungen

CodeMeter Software


Produkte lizenzieren - Überblick

Handbuch > Lizenzierung > Produkte lizenzieren - Überblick

Um zenon Produkte nutzen zu können, müssen diese lizenziert werden. Die Lizenz wird in Form eines Lizenzscheines und einer manipulationssicheren digitalen Information ausgestellt.

Wenn eine Lizenz ausgestellt wird, dann wird sie in einem sogenannten Lizenzdepot abgelegt. Dabei handelt es sich um eine Datenbank, in der die Lizenz auf Abholung wartet. Damit Sie als Anwender die Lizenz nutzen können, muss die Lizenz bei Ihnen gespeichert sein. Als Speicherort wird ein Dongle verwendet. Dieser Dongle wird auch als Lizenzcontainer bezeichnet. Bei der Aktivierung einer Lizenz wird diese vom Lizenzdepot in den Dongle übertragen.

Um die Lizenz zu aktivieren, benutzen Sie die Lizenzverwaltung. Damit können Sie Lizenzen aktivieren, deaktivieren, verwalten und Produkten zuweisen. Alternativ können Sie Lizenzen auch automatisiert (silent ) per Kommandozeilen-Tool aktivieren.

Online-Aktivierung

Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Details siehe Kapitel Online-Aktivierung.

Offline-Aktivierung

Bei der Offline-Aktivierung muss der Austausch der digitalen Lizenzinformation manuell erfolgen. Dabei werden drei Dateien zwischen dem Lizenzdepot und dem Dongle übertragen. Auch hier ist in irgendeiner Form Zugriff auf das Internet nötig.

Details siehe Kapitel Offline-Aktivierung.

Lizenzen Produkten zuordnen

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen. Details siehe Kapitel Lizenzen Produkten zuordnen.

Remote-Lizenzierung

Bei der Remote-Lizenzierung werden alle Vorgänge, die die Lizenzverwaltung unterstützt, nicht auf dem lokalen Rechner durchgeführt, sondern auf einem anderen Rechner im lokalen Netzwerk (LAN). Das ist vor allem nützlich, wenn der zu lizenzierende Rechner über keine Internetverbindung verfügt. Dann kann der Recher mit der Lizenzverwaltung als Proxy-Rechner (Vermittlungsrechner)genutzt werden.

Details siehe Kapitel Remote Lizenzierung.

Lizenzen übertragen/übersiedeln

Lizenzen können auch auf andere Rechner oder Dongles übertragen werden. Auch wenn eine Virtual Machine von einem Host-System auf ein anderes übertragen wird, muss die Lizenz mit übertragen werden, damit Sie nicht bricht. Übertragen oder übersiedeln bedeutet: Die Lizenz wird im ersten Schritt an das Lizenzdepot beim Aussteller zurückgegeben. Im zweiten Schritt wird sie vom neuen System wieder abgeholt und aktiviert. Details siehe Kapitel Lizenzen übertragen/übersiedeln.


Dongle-Typen

Handbuch > Lizenzierung > Dongle-Typen

Für die Lizenzierung werden ausschließlich Dongles des Typs CodeMeter der Firma Wibu Systems verwendet. Dongles sind der Speicherort für Lizenzen. Sie werden daher auch als Lizenz-Container bezeichnet. Es stehen zwei grundsätzliche Arten von Dongles zur Verfügung: Hardware-Dongles und Software-Dongles. Alle ausgestellten Lizenzen können in beiden Dongle-Arten abgelegt werden, und auch von einer zur anderen Art übertragen werden.

Dongle-Typen:

  • Hardware-Dongles:
    Die Lizenzinformation ist in einer speziellen Hardware - einem Sicherheitschip - untergebracht.

    Vorteile:

    • Die Lizenz kann einfach durch Umstecken des Dongles von einem Rechner zum anderen übertragen werden.
    • Verschieden Bauformen sind erhältlich.

    Nachteile:

    • Bei der Nutzung einer Virtual Machine muss die Lizenz per Netzwerk von einem Host System aus in die Virtual Machine übertragen werden.
    • Dongles können gestohlen oder verloren werden.
  • Software-Dongles - rechnerbasierter Lizenzschutz:
    Dabei wird auf dem Rechner direkt ein Software-Dongle erzeugt. Der Software-Dongle ist an die Hardware des Rechners gebunden. Ändert sich die Hardware zu sehr, dann bricht die Lizenz.

    Vorteil:

    • Der Dongle kann nicht verloren oder gestohlen werden.

    Nachteile:

    • Durch Änderung der Hardwarekonfiguration kann die Lizenz brechen.
    • Die Lizenz muss zurückgegeben werden, bevor sie auf einen anderen Rechner übertragen werden kann.

Beide Dongle-Arten verhalten sich in der Praxis gleich. Alle Mechanismen können bei beiden Arten genutzt werden. Einschränkungen gibt es nur für Software-Dongles in einer Virtual Machine.


Lizenzierung in wenigen Schritten

Handbuch > Lizenzierung > Lizenzierung in wenigen Schritten

Damit Sie zenon lizenziert betreiben können, sind in den meisten Fällen nur sehr wenige Schritte notwendig.
Es gibt zwei Möglichkeiten wie Sie eine Lizenz zugestellt bekommen:

  1. Sie erhalten einen vorprogrammierten Hardware-Dongle.
  2. Sie erhalten einen Lizenzschein für einen rechnergebundenen Software-Dongle oder einen Lizenzschein und einen leeren Hardware-Dongle.

Bei beiden Varianten gelangen Sie sehr einfach zu einem lizenzierten Produkt.

Vorprogrammierter Hardware-Dongle

Um einen vorprogrammierten Hardware-Dongle zu nutzen:

  1. Stecken Sie den Hardware-Dongle an den Rechner an und warten Sie bis Windows den Dongle erkannt hat.
  2. Starten Sie die Lizenzverwaltung über Windows -> License Manager.
  3. Im Startdialog der Lizenzverwaltung wählen Sie die Option Lizenz von Hardware-Dongle übernehmen.
    Die erkannte Lizenz wird im Dialog angezeigt.

  4. Klicken Sie auf die Schaltfläche Lizenz auf diesem Rechner verwenden.
  5. Beenden Sie die Lizenzverwaltung.

Sie können die lizenzierten Produkte nun starten.
Detaillierte Informationen zu Ablauf und Einschränkungen finden Sie im Handbuch Lizenzierung im Kapitel Lizenz von Hardware-Dongle übernehmen.

Lizenzschein für rechnergebundene Lizenz

Um eine rechnergebundene Lizenz zu nutzen:

  1. Starten Sie die Lizenzverwaltung über Windows -> License Manager.
  2. Im Startdialog der Lizenzverwaltung wählen Sie die Option Lizenz mit Lizenzschein aktivieren.

  3. Geben Sie die Seriennummer in das Eingabefeld für die Seriennummer ein.
  4. Wählen Sie Rechnergebundene Lizenz (Software-Dongle).
  5. Klicken Sie auf die Schaltfläche Lizenz aktivieren.

    Die Lizenz wird online über das Internet in den von Ihnen gewählten Dongle übertragen.

  6. Beenden Sie die Lizenzverwaltung.

Sie können die lizenzierten Produkte nun starten.

Detaillierte Informationen zu Ablauf, Einschränkungen und alternative Vorgehensweisen finden Sie im Handbuch Lizenzierung im Kapitel Lizenz aktivieren und den darauf folgenden Kapiteln.


Virtual Machines

Handbuch > Lizenzierung > Virtual Machines

Die Lizenzierung in einer Virtual Machine unterliegt besonderen Voraussetzungen und Eigenschaften:

  • Hardware-Dongles können nicht direkt angeschlossen werden. Die Lizenz muss in die virtuelle Umgebung übertragen werden.
    Dazu können folgende Vorgangsweisen verwendet werden:
    • Der Dongle wird auf einem physikalischem Rechner angeschlossen und dort als Netzwerk Dongle aktiviert. In der Virtuellen Umgebung wird der Netzwerkdongle in die Server Suchliste eingetragen und steht damit zur Verfügung.
    • Der Dongle wird über eine USB zu Ethernet Box (Dongle-Server) in die virtuelle Umgebung übertragen. Dabei wird in der virtuellen Umgebung ein lokaler USB Port emuliert. Die CodeMeter Runtime betrachtet den Dongle als direkt angeschlossen. Solche Boxen sind im Handel erhältlich.
      Empfehlung: Dongle Server der Firma SEH.
    • Der Dongle wird über die Virtualisierungssoftware in die virtuelle Umgebung geroutet. VM-Ware und Virtual Box unterstützen solche Mechanismen. Dabei wird in der virtuellen Umgebung ein lokaler USB Port emuliert. Die CodeMeter Runtime betrachtet den Dongle als direkt angeschlossen.
      Hinweis: Diese Vorgehensweise wird von Wibu Systems nicht empfohlen.
  • Bei Software-Dongles existieren einige Einschränkungen für die Verwendung in virtuellen Umgebungen:
    • Standardmäßig sind Lizenzen nicht für virtuelle Umgebungen freigeschaltet. Sie können jedoch beim Lizenzaussteller eine Freischaltung beantragen.
      Achtung: Bereits aktivierte Lizenzen können nicht umgestellt werden. Diese müssen zuerst dem Lizenzaussteller zurückgegeben werden. Erst dann kann der Lizenzaussteller die Lizenz umstellen. Im Anschluss können Sie die Lizenz in einer virtuellen Umgebung aktivieren.
    • Demo-Lizenzen haben in virtuellen Umgebungen nur eine sehr eingeschränkte Laufzeit.
    • Bei der Übersiedlung einer Virtual Machine auf ein anderes Host-System wird die Lizenz brechen.
      Geben Sie daher vor der Übersiedlung die Lizenz an den Lizenzausteller zurück. Erst danach darf die Virtual Machine übersiedelt werden. Dann können Sie die Lizenz wieder aktivieren. Bei Verwendung in Data Center kann eine Virtual Machine auch automatisch unterschiedlichen Hosts zugewiesen werden. In diesem Fall benötigen Sie einen Software-Dongle VM DataCenter.

Unterschiedliche Software-Dongle Arten

Je nach Betriebssystemtyp werden unterschiedliche Software Dongle-Typen von der Lizenzverwaltung installiert:

  • Software-Dongle Standard: Für die Verwendung auf physikalischen Rechnern.
  • Software-Dongle Virtual Machine: Für die Verwendung in einer Virtual Machine.
    Kann auch auf physikalischen Rechner verwendet werden, umgekehrt nicht.
  • Software-Dongle VM DataCenter: Für die Verwendung in einer Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers
    Kann auch auf physikalischen Rechner verwendet werden, umgekehrt nicht.

Hinweis: Wird eine Virtual Machine in einen physikalischen Rechner konvertiert, dann haben Sie beide Dongle-Typen auf einem System. Beide sind dann gleichwertig und beide können genutzt werden.

attention

Wird ein physikalischer Rechner in eine Virtual Machine umgewandelt, kann der Dongle-Typ Software-Dongle Standard nicht mehr genutzt werden. Alle darin enthaltenen Lizenzen stehen damit nicht mehr zur Verfügung. Sie müssen die Lizenzen zuvor zurückgeben. Siehe Kapitel: Lizenz übertragen/übersiedeln

Konvertierung in Virtual Machine

Wenn Sie Software-Dongles verwenden und einen physikalischen Rechner in eine Virtual Machine konvertieren möchten, dann:

  1. Geben Sie alle aktivierten Lizenzen zurück.
  2. Beantragen Sie bei COPA-DATA eine Umstellung der Lizenz auf eine Lizenz für Virtual Machine.
    Wenn Sie die Virtual Machine in einem Data Center wie Microsoft Azure oder Amazon Web Services (AWS) oder in einem privaten Data Center betreiben, beantragen Sie eine Lizenz für VM DataCenter
    Achtung: Standard-Lizenzen können nicht in einer Virtual Machine aktiviert werden. Ob eine Lizenz für die Verwendung in einer Virtual Machine geeignet ist, entnehmen Sie dem Lizenzschein.
  3. Konvertieren Sie das Betriebssystem in eine Virtual Machine.
  4. Aktivieren Sie die Lizenz erneut.

Konvertierung von Virtual Machine in physikalischen Rechner

Wenn Sie Software-Dongles verwenden und eine Virtual Machine in einen physikalischen Rechner konvertieren möchten, dann:

  1. Geben Sie alle aktivierten Lizenzen zurück.
  2. Konvertieren Sie das Betriebssystem in einen physikalischen Rechner.
  3. Aktivieren Sie die Lizenz erneut.

Übersiedlung von Virtual Machines auf ein anderes Host System

Lizenzen für Software-Dongles brechen, wenn sich die Hardware ändert. Geben Sie daher vor einer Übersiedlung alle Lizenzen, die in Software-Dongles gespeichert sind, zurück.


Lizenzverwaltung

Handbuch > Lizenzierung > Lizenzverwaltung

Lizenzen werden in einer eigenen Anwendung verwaltet, der Lizenzverwaltung.
Diese starten Sie über:

  • Windows Startmenü -> COPA-DATA -> License Manager.
  • Startup Tool: Klicken Sie auf die Schaltfläche Tools, wählen Sie im Bereich Available applications den Eintrag License Manager aus und klicken Sie auf Start.
  • In den meisten Info über Dialogen der zenonProdukte über die Schaltfläche Lizenzverwaltung öffnen.
  • Für zenon Analyzer auch direkt aus ZAMS.

Funktionalität

In der Lizenzverwaltung können Sie Lizenzen:

  • Lokal oder remote aktiveren:
    Aktivieren Sie Lizenzen für einen lokalen Rechner oder einen Remote-Rechner und weisen Sie diese bestimmten COPA-DATA Produkten zu.
  • Online und offline aktivieren:
    Sie können Lizenzen direkt online aktivieren oder offline über eine Lizenz-Anforderungsdatei.
  • Lokal oder remote Produkten zuweisen:
    Bestimmen Sie, welche Produkte welche Lizenz in welcher Reihenfolge nutzen sollen.
  • Eine Sammelaktivierung durchführen:
    Nutzen Sie eine Sammeldatei, um viele Lizenzen zu aktivieren.
  • Ausleihen (ab Version 8.10):
    Sie können Lizenzen für bis zu 90 Tagen an andere Nutzer verleihen. So können zum Beispiel Servicetechniker Lizenzen für einen Einsatz beim Kunden mitnehmen. Diese Funktionalität steht Ihnen ab zenon 8.10 und zenon Analyzer 3.30 zur Verfügung.
  • Zurückgeben/Übersiedeln:
    Sie können Lizenzen zurückgeben und dann auf einem anderen Rechner wieder aktivieren. So übertragen Sie Lizenzen auf andere Rechner oder verhindern Sie Lizenzbruch bei Änderungen an Hardware für Software-Lizenzen oder Host-Systemen für eine Virtual Machine.

Hinweise:

  • Sie können Lizenzen auch silent über die Kommandozeile aktivieren, aktualisieren und verteilen.
  • Alle Änderungen in derLizenzverwaltung werden sofort übernommen und ausgeführt.

Startdialog

Die Lizenzverwaltung startet per Default mit einem Startdialog. Dieser stellt einfache, interaktive Konfigurationsmöglichkeiten zur Verfügung. Das Symbol Fragezeichen zeigt eine kurze Hilfe zum jeweiligen Eintrag an.

Dialog Lizenzverwaltung

Für individuelle Einstellungen steht eine umfangreiche Applikation mit mehreren Registerkarten zur Verfügung.

Noch in diesem Kapitel

Startdialog

Hauptanwendung


Startdialog

Handbuch > Lizenzierung > Lizenzverwaltung > Startdialog

Die Lizenzverwaltung startet mit einem Startdialog. Dieser kann über die Option Diesen Dialog nicht mehr Anzeigen deaktiviert werden. Die generelle Reaktivierung erfolgt über die Registerkarte Einstellungen.

In der Start-Ansicht stehen die beiden wichtigsten Aktionen zur Verfügung:

  • Aktivierung einer Lizenz
  • Übernahme einer Lizenz von einem Hardware-Dongle

Option

Beschreibung

Lizenz mit Lizenzschein aktivieren

Ermöglicht die Online-Aktivierung einer Lizenz mit der Seriennummer aus dem Lizenzschein.

Lizenz von Hardware-Dongle übernehmen

Ermöglicht die Übernahme einer Lizenz für alle Produkte der Lizenz von einem Hardware-Dongle.

Erweiterte Optionen

Öffnet weitere Optionen für die Verwaltung von Lizenzen.

Diesen Dialog nicht mehr anzeigen
  • Aktiv: Beim nächsten Öffnen der Lizenzverwaltung wird der Dialog ausgeblendet und die Ansicht mit allen Registerkarten geöffnet.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Lizenz im Startdialog aktivieren

Lizenz von Hardware-Dongle übernehmen

Erweiterte Ansicht


Lizenz im Startdialog aktivieren

Handbuch > Lizenzierung > Lizenzverwaltung > Startdialog > Lizenz im Startdialog aktivieren

Nutzen Sie diese bevorzugte Option, wenn Sie eine Lizenz online auf einem lokalen Dongle aktivieren möchten.

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.
Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Tipp Tipp

Falls Sie über keine direkte Internetverbindung verfügen, verwenden Sie die Remote-Lizenzierung

Falls Sie für Ihre Internetverbindung einen Proxy-Server nutzen, achten Sie auf die korrekten Proxy-Einstellungen.

Um eine Lizenz mit Lizenzschein zu aktivieren:

  1. Starten Sie die Lizenzverwaltung.
    Sollte der Startdialog nicht angezeigt werden, klicken Sie auf die Schaltfläche Startdialog anzeigen.
  2. Klicken Sie auf Lizenz mit Lizenzschein aktivieren.
  3. Geben Sie die Seriennummer von Ihrem Lizenzschein in das Feld ein.
  4. Wählen Sie den gewünschten Dongle aus:
    • Rechnerbezogene Lizenz (Software-Dongle)
    • Hardware-Dongle. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken auf die Schaltfläche Aktualisieren.

    Hinweis: Sollten mehrere Hard- oder Software-Dongles vorhanden sein, kann die Lizenz nicht automatisch aktiviert werden. Die Lizenzverwaltung leitet Sie dann automatisch zur Registerkarte Lizenz aktivieren weiter.

  5. Klicken Sie auf Lizenz aktivieren.

    Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.

Dialog Lizenz mit Lizenzschein aktivieren

Option | Beschreibung
Lizenz mit Lizenzschein aktivieren | Klick öffnet die weiteren Eingabeoptionen.
Seriennummer | Eingabefeld für die Seriennummer, die aktiviert werden soll.
Rechnerbezogene Lizenz (Software-Dongle) | Auswahl eines Software-Dongles für eine rechnerbezogene Lizenz.
Hardware-Dongle | Auswahl eines CodeMeter Hardware-Dongles. Der Dongle muss angesteckt sein
Lizenz aktivieren | Klick auf Schaltfläche aktiviert die Lizenz online. Nur verfügbar, wenn eine gültige Seriennummer eingegeben und ein gültiger Dongle gewählt wurden.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Lizenz von Hardware-Dongle übernehmen

Handbuch > Lizenzierung > Lizenzverwaltung > Startdialog > Lizenz von Hardware-Dongle übernehmen

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen.

Mit dieser Option tragen Sie eine Hardware-Dongle Lizenz bei allen Produkten, die in der Lizenz enthalten sind, an erster Stelle in die Datei License.ini ein:

  1. Stecken Sie den Dongle an den Rechner.
  2. Klicken Sie im Startdialog auf Lizenz von Hardware-Dongle übernehmen.

    Die erkannte Lizenz wird angezeigt.

  3. Klicken Sie auf Lizenz auf diesem Rechner verwenden.

    Die Lizenz wird übernommen.

Sind auf einem Dongle mehrere Lizenzen gespeichert, wird im Startdialog eine entsprechende Meldung angezeigt.
In diesem Fall:

  • Stecken Sie einen Dongle mit nur einer Lizenz an und klicken Sie auf Aktualisieren.
    Oder
  • Klicken Sie auf Lizenzverwaltung.Die Registerkarte Lizenzverwendung wird geöffnet. Dort könne Sie auch bei mehreren Lizenzen auf einem Hardware-Dongle bestimmen, welches Produkt in welcher Reihenfolge eine Lizenz nutzt.

Tipp Tipp

In der Registerkarte Lizenzverwendung können Sie jederzeit die Lizenzreihenfolge einstellen

Dialog Lizenz von Hardware-Dongle übernehmen

Option | Beschreibung
Lizenz von Hardware-Dongle übernehmen | Klick öffnet die weiteren Eingabeoptionen und zeigt gefundene Lizenz an. Wurde keine Lizenz gefunden, können Sie durch Klick auf Erneut Dongle suchen eine Aktualisierung starten.
Lizenz auf diesem Rechner verwenden | Klick auf die Schaltfläche übernimmt die Lizenz für den Rechner.
Dongle erneut suchen | Sucht nach Dongle und aktualisiert die angezeigten Informationen.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Dialog bei mehreren Lizenzen auf einem Dongle

Option

Beschreibung

Lizenz von Hardware-Dongle übernehmen

Klick öffnet die weiteren Eingabeoptionen und zeigt gefundene Lizenz an.

Mehrere Lizenzen wurden erkannt

Es wurden mehrere Lizenz gefunden. Wählen Sie die gewünschte Vorgangsweise:

  • Neuen Dongle anstecken und aktualisieren:
    Stecken Sie einen neuen Dongle mit nur einer Lizenz an und klicken Sie auf Aktualisieren.
  • Lizenz in Lizenzverwaltung auswählen:
    Klicken Sie auf Lizenzverwaltung und wählen Sie dort die gewünschte Lizenz aus.

Aktualisieren

Liest den Dongle erneut ein.

Lizenzverwaltung

Öffnet die Registerkarte Lizenzverwendung.

Lizenz auf diesem Rechner verwenden

Klick auf die Schaltfläche übernimmt die Lizenz für den Rechner.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Erweiterte Ansicht

Handbuch > Lizenzierung > Lizenzverwaltung > Startdialog > Erweiterte Ansicht

Die erweiterte Ansicht bietet Ihnen zusätzliche Aktionen für die Lizenzierung.

Option

Beschreibung

Lizenz mit Lizenzschein aktivieren

Ermöglicht die Aktivierung einer Lizenz mit der Seriennummer aus dem Lizenzschein.

Lizenz von Hardware-Dongle übernehmen

Ermöglicht die Übernahme einer Lizenz für alle Produkte der Lizenz von einem Hardware-Dongle.

Erweiterte Optionen

Öffnet weitere Optionen für die Verwaltung von Lizenzen.

Lizenzübersicht

Öffnet den Dialog mit der Registerkarte Lizenzübersicht. Hier werden alle aktivierten Lizenzen angezeigt. Diese können hier auch aktualisiert oder zurückgegeben werden.

Alle Lizenzen updaten

Startet das Update für alle Lizenzen.

Treten Fehler auf, werden diese in einem Dialog angezeigt.

Lizenz übersiedeln/zurückgeben

Startet die Online-Rückgabe für eine Lizenz. Vor der Rückgabe erfolgt eine Sicherheitsabfrage.
Sind mehrere Lizenzen zum Zurückgeben vorhanden, wird automatisch in den Dialog auf die Registerkarte Lizenzübersicht gewechselt.

Eine Lizenz muss zurückgegeben werden, wenn sie auf einem anderen Rechner genutzt werden soll oder wenn für den Rechner Hardware in großem Umfang geändert werden soll. Details Siehe Kapitel Lizenz übertragen/übersiedeln.

Sammelaktivierung

Öffnet den Dialog mit der Registerkarte Sammelaktivierung. Hier können Lizenzen aus einer Liste aktiviert werden.

Erweiterte Lizenzverwaltung

Öffnet den Dialog mit der Registerkarte Lizenzverwendung.

Diesen Dialog nicht mehr anzeigen

Aktiv: Beim nächsten Öffnen der Lizenzverwaltung wird der Dialog ausgeblendet und die Ansicht mit allen Registerkarten geöffnet.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Hauptanwendung

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung

Lizenzierungsaufgaben werden über diese Registerkarten verwaltet:

  • Lizenzverwendung: Anzeige und Zuordnung von Lizenzen zu Produkten sowie Reihung für die Nutzung.
  • Lizenzübersicht: Anzeige aller aktivierten Lizenzen und Aktionen für Aktualisierung und Rückgabe von Lizenzen.
  • Lizenz aktivieren: Optionen zur Online- und Offline-Aktivierung von Lizenzen.
  • Sammelaktivierung: Möglichkeit, Lizenzen aus einer Liste zu aktiveren.
    Muss über die Registerkarte Einstellungen aktiviert werden.
    Default: ausgeblendet
  • Einstellungen: Konfiguration der Einstellungen.

Noch in diesem Kapitel

Lizenzverwendung

Lizenzübersicht

Lizenz aktivieren

Sammelaktivierung

Einstellungen

Lizenz übertragen/übersiedeln

Geänderte Lizenz übernehmen/updaten

Remote Lizenzierung

Listen filtern und sortieren


Lizenzverwendung

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenzverwendung

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen.

In dieser Registerkarte ordnen Sie Ihre Lizenzen den einzelnen Produkten zu. Weiters können Sie bei mehreren Lizenzen festlegen, in welcher Reihenfolge sie benutzt werden. Geht die Verbindung zu einer Lizenz verloren, wird versucht eine andere gültige Lizenz zu belegen. Die Reihenfolge der Lizenzen definiert die Reihenfolge der Lizenzsuche. Details dazu finden Sie im Kapitel Redundanter Lizenzschutz.

attention Achtung

Die Anzeige bezieht sich immer auf den Rechner, der in der Kopfzeile bei Lokale Lizenzierung / Remote-Lizenzierung eingestellt ist. Es kann sich daher um eine lokale Ansicht oder um eine Remote-Ansicht handeln.

Bei Remote-Ansicht werden alle Lizenzen angezeigt, die der Remote-Rechner sieht. Besonders bei Netzwerklizenzen kann das eine ganz andere Sichtweise sein, da die Netzwerklizenzen mit CodeMeter-Mechanismen gefunden werden. Siehe dazu auch das Kapitel Server-Suchliste für Netzwerk-Dongles einrichten.

Hinweis: Wurde in der Registerkarte Erweitert die Option Aktivierte Lizenzen sofort übernehmen aktiviert, dann werden Lizenzen beim erstmaligen Aktivieren automatisch allen anwendbaren Produkten an erster Stelle zugewiesen.

Tipp Tipp

Um eine Lizenz allen Produkten an erster Stelle zuzuweisen, klicken Sie auf die Schaltfläche mit den zwei Pfeilen und dem waagrechten Strich: Ausgewählte Lizenz für alle Produkte an erster Stelle eintragen.

Lizenzen zuweisen

Um Lizenzen manuell für ein Produkt einzutragen oder die Reihenfolge zu ändern:

  1. Starten Sie die Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenzverwendung.
    Es werden alle Produkte, für die eine Lizenz vorhanden ist, angezeigt.

  4. Wählen Sie das Produkt, dem eine Lizenz zugeordnet werden soll.

  5. Klicken Sie bei der gewünschten Lizenz auf die Schaltfläche ganz rechts in der Liste. Die Schaltfläche wird grün eingefärbt.

    Die Lizenz wird dem Produkt zugeordnet und in die License.ini eingetragen.

  6. Sind mehrere Lizenzen einem Produkt zugeordnet, können diese sortiert werden. Klicken Sie auf die Pfeiltasten nach oben oder unten, um die Reihenfolge der Lizenzen festzulegen. Die Sortierung kann auch per Drag&Drop erfolgen. Die Sortierung wird sofort in die License.ini übernommen.

attention Achtung

Lizenzen werden vom System teilweise in der Datei License.ini verwaltet. Manuelle Änderungen dieser Datei können dazu führen, dass Sie Lizenzen unbrauchbar machen und damit verlieren. Führen Sie alle nötigen Änderungen für Ihre Lizenzen nur über die Lizenzverwaltung aus.

Fehler in der License.ini werden durch entsprechende Fehlermeldungen angezeigt.

Optionen der Registerkarte

Option

Beschreibung

Produktauswahl

Liste der verfügbaren lizenzierten Produkte.
Klick auf ein Produkt zeigt die verfügbaren Lizenzen für das Produkt in der Liste Lizenzen an.

Lizenzen

Liste der Lizenzen, die für das gewählte Produkt am gewählten Rechner verfügbar sind.

Klick auf das Pluszeichen zeigt Detailinformationen zur jeweiligen Lizenz an.

Klick auf die Schaltfläche In die Zwischenablage kopieren kopiert alle Informationen zur ausgewählten Lizenz in die Zwischenablage.

Der Status einer Lizenz wird über einen Schalter angezeigt und geändert:

  • Symbol grün:
    Diese Lizenz befindet sich in der Datei License.ini und wurde auch am Dongle gefunden. Klick entfernt Lizenz aus License.ini.
  • Symbol weiß:
    Diese Lizenz wurde auf einem Dongle gefunden, ist aber in der License.ini nicht eingetragen. Klick trägt Lizenz in License.ini ein.
  • Rotes Rufzeichen plus Symbol grün:
    Diese Lizenz befindet sich in der License.ini, wurde aber nicht am Dongle gefunden. Dies kann mehrere Ursachen haben, wie Dongle wurde entfernt, Dongle kann nicht im Netzwerk gefunden werden usw.

Änderungen werden sofort in die License.ini eingetragen.

Symbole zum Anzeigen von Details

Zwei Symbole über der Liste ermöglichen es, Detailinformationen für alle Lizenzen einzublenden und auszublenden. Das linke Symbol blendet Details ein, das rechte blendet Details aus.

Pfeilsymbole

Pfeilsymbole neben der Liste sortieren die Lizenzen.

  • Waagrechter Strich+Doppelpfeil nach oben:
    Die Lizenz wird nach ganz oben gereiht und für alle Produkte in der License.ini an erster Stelle eingetragen.
  • Waagrechter Strich+Pfeil nach oben:
    Die Lizenz wird nach ganz oben gereiht und für das selektierte Produkt in der License.ini an erster Stelle eingetragen.
  • Pfeil nach oben:
    Die Lizenz wird um einen Schritt nach oben verschoben.
  • Pfeil nach unten:
    Die Lizenz wird um einen Schritt nach unten verschoben.

Die Reihenfolge kann auch mit der Maus per Drag&Drop geändert werden.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Lizenzen testen


Lizenzen testen

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenzverwendung > Lizenzen testen

Da in der Lizenzabfrage immer die erste passende Lizenz verwendet wird, können Sie Demo-Lizenzen gezielt zum Testen benutzen. Dazu legen Sie in der Lizenzverwaltung in der Registerkarte Lizenzverwendung die gewünschte Demo-Lizenz als erste zu verwendende Lizenz fest. Die Laufzeit einer Demo-Lizenz wird Ihnen in der Lizenzverwaltung unter Details der Lizenz angezeigt. Nach Ablauf dieser Laufzeit startet diese Lizenz im Demo-Modus mit 10 Minuten Laufzeit.


Lizenzübersicht

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenzübersicht

In dieser Registerkarte können Sie:

  • Details aller Lizenzen anzeigen, die von ihrem Rechner aus erreichbar sind.
    Das sind sowohl lokale Lizenzen, als auch Lizenzen, die auf einem Netzwerk-Dongle gespeichert sind.
    Benötigen Sie für die Bestellung einer Lizenz-Erweiterung den aktuellen Ausbau, finden Sie hier alle Informationen.
  • Lizenzen updaten.
  • Lizenzen zurückgeben.

attention Achtung

Die Anzeige bezieht sich immer auf den Rechner, der in der Kopfzeile bei Lokale Lizenzierung / Remote-Lizenzierung eingestellt ist. Es kann sich daher um eine lokale Ansicht oder um eine Remote-Ansicht handeln.

Bei Remote-Ansicht werden alle Lizenzen angezeigt, die der Remote-Rechner sieht. Besonders bei Netzwerklizenzen kann das eine ganz andere Sichtweise sein, da die Netzwerklizenzen mit CodeMeter-Mechanismen gefunden werden. Siehe dazu auch das Kapitel Server-Suchliste für Netzwerk-Dongles einrichten.

Option

Beschreibung

Liste Lizenzen

Listet alle verfügbaren Lizenzen auf. Für jede Lizenz stehen folgende Informationen zur Verfügung:

  • Symbol: Zeigt an, um welchen Dongle-Typ* es sich handelt.
  • Seriennummer
  • Artikelname (=Bundle-Bezeichner)
  • lizenzierte Produkte
  • Verfügbare Lizenzen: Zeigt an, wie viele Lizenzen vorhanden sind und nicht verliehen sind. Die Information gibt nicht an, wie viele Lizenzen im Moment von einem Produkt belegt oder frei sind. Diese information kann nur über den CodeMeter WebAdmin bezogen werden.
  • Dongle-Typ*
  • Dongle-ID
  • Donglename
    Der Name kann über das CodeMeter Kontrollzentrum geändert werden.
  • Rechnername

Zusätzliche stehen bei Lizenzen, die es betrifft, folgende Spalten zur Verfügung:

  • Verliehene Lizenzen (ab Version 8.10 verfügbar)
  • Gültigkeitsende
  • Ende Nutzungszeitraum

Die Liste ist sortier- und filterbar.

Details

Klick auf das + Symbol öffnet die Anzeige der Details:

  • Allgemeine Informationen zu Dongle und Adressen sowie Edition
  • Module
  • Variablenanzahl
  • Version

Symbole:

  • Schaltfläche +: klappt alle Details aller Lizenzen aus
  • Schaltfläche -: klappt alle Details aller Lizenzen ein

Lizenz updaten

Klick auf die Schaltfläche baut online eine Verbindung zum Lizenzdepot auf, sucht nach einem Update und spielt dieses ein, sofern vorhanden.

Nicht verfügbar für Demo-Lizenzen und Lizenzen im Netzwerk.

Lizenz zurückgeben

Gibt ausgewählte Lizenz online zurück.

*Dongle-Typen:

  • Lokaler Hardware-Dongle
  • Lokaler Software-Dongle
  • Netzwerk Hardware-Dongle
  • Netzwerk Software-Dongle
  • Demo-Lizenz (Immer Software-Dongle)

Farbcodes:

  • Lizenz werden rot eingefärbt, wenn:
    • das Gültigkeitsende überschritten ist
    • der Nutzungszeitraum überschritten ist
    • die Ausleihdauer überschritten ist
  • Demo-Lizenzen werden orange eingefärbt, wenn bei einem der enthaltenen Produkte die maximale Nutzungsdauer oder die maximale Anzahl an Starts überschritten wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Lizenz aktivieren

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren

Wenn eine Lizenz ausgestellt wird, dann wird sie in einem sogenannten Lizenzdepot abgelegt. Dabei handelt es sich um eine Datenbank, in der die Lizenz auf Abholung wartet. Damit Sie als Anwender die Lizenz nutzen können, muss die Lizenz bei Ihnen gespeichert sein. Als Speicherort wird ein Dongle verwendet. Dieser Dongle wird auch als Lizenzcontainer bezeichnet. Bei der Aktivierung einer Lizenz wird diese vom Lizenzdepot in den Dongle übertragen.
Für diese Übertragung gibt es folgende Möglichkeiten:

  • Online-Aktivierung über Startdialog:
    Bevorzugte Methode. Dabei wird von Ihrem Rechner aus direkt eine Verbindung über das Internet zum Lizenzdepot aufgebaut und die Lizenz in den Dongle übertragen.
  • Online-Aktivierung über Registerkarte Lizenz aktivieren :
    Diese Online-Methode muss verwendet werden, wenn Sie mehrere Software-oder Hardware-Dongles angeschlossen haben.
    Hinweis: Diese Methode können Sie auch dann nutzen, wenn der zu lizenzierende Rechner nicht direkt mit dem Internet verbunden ist. Dafür steht Ihnen die Remote-Lizenzierung zur Verfügung.
  • Online-Sammelaktivierung:
    Verwenden Sie diese Methode, wenn Sie mehrere Rechner auf einmal aktivieren möchten.
  • Aktivierung per Kommandozeilen-Tool:
    Verwenden Sie diese Möglichkeit, wenn Sie Lizenzen automatisiert online über Drittapplikationen aktivieren möchten. Das Kommandozeilen-Tool ermöglicht sowohl Einzelaktivierung als auch Sammelaktivierung und unterstützt lokale und remote Aktivierung.
  • Offline-Aktivierung:
    Manuelle Methode. Diese Methode kommt zum Einsatz, wenn keine direkte Internetverbindung besteht. Dabei müssen Sie das ganze Übetragungshandling mit Hilfe eines Webbrowser durchführen.

Wenn Sie einen vorprogrammierten Dongle erhalten, dann wurde die Lizenz bereits in den Dongle übertragen und aktiviert. Sie müssen diese Lizenz nur mehr den jeweiligen Produkten zur Verwendung zuweisen. Details lesen Sie im Kapitel Lizenz von Hardware-Dongle übernehmen.

Noch in diesem Kapitel

Lizenz aktivieren über Registerkarte Lizenz aktivieren


Lizenz aktivieren über Registerkarte Lizenz aktivieren

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren

In dieser Registerkarte aktivieren Sie eine Lizenz.
Den Detailabblauf wie eine Lizenz aktiviert wird, entnehmen Sie den Kapiteln Online-Aktivierung und Offline-Aktivierung.

Option

Beschreibung

Lokale Lizenzierung

Auswahl, ob Lizenzierung lokal erfolgt oder auf einem Remote-Rechner.

Online-Aktivierung

Aktivierungsart Online auswählen. Die Lizenz wird online aktiviert. Sie benötigen dafür eine Internet-Verbindung.

Offline-Aktivierung

Aktivierungsart Offline auswählen. Die Aktivierung erfolgt über Dateiaustausch.

Seriennummer

Eingabe der Seriennummer, die aktiviert werden soll.

Zieldongle auswählen

Liste der verfügbaren Dongles. Klick auf einen Dongle wählt diesen als Ziel für die Lizenz aus.

Liste zeigt an:

  • Name:
    Name des Dongles.
  • Identifikation:
    Nummer des Dongles.
  • Anzahl der Lizenzen:
    Zahl der Lizenzen, die auf diesem Dongle bereits aktiviert sind.
  • Erste bereits existierende Lizenz:
    Seriennummer der Lizenz, die als erste auf dem Dongle aktiviert wurde.

Die Liste ist sortierbar. Um zu sortieren, klicken Sie auf den Kopf der gewünschten Spalte. Erneuter Klick invertiert die Sortierung.

Hinweis: Es werden nur lokal verfügbare Dongles angezeigt.

Lizenz aktivieren

Klick auf die Schaltfläche aktiviert die Lizenz.

Nur verfügbar für Online-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Lizenz-Anforderungsdatei erstellen

Klick auf die Schaltfläche erstellt eine Datei, mit der die Aktivierung der Lizenz angefordert werden kann.

Nur verfügbar für Offline-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Lizenz-Aktualisierungsdatei importieren

Klick auf die Schaltfläche öffnet den Dialog zur Auswahl einer Datei für die Offline-Aktivierung einer Lizenz.

Nur verfügbar für Offline-Aktivierung.

Lizenz-Bestätigungsdatei erzeugen

Klick auf die Schaltfläche erstellt eine Datei, mit der die Aktivierung der Lizenz bestätigt werden kann.

Nur verfügbar für Offline-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Online-Aktivierung

Offline-Aktivierung


Online-Aktivierung

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Online-Aktivierung

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.
Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Tipp Tipp

Falls Sie über keine direkte Internetverbindung verfügen, verwenden Sie die Remote-Lizenzierung

Falls Sie für Ihre Internetverbindung einen Proxy-Server nutzen, achten Sie auf die korrekten Proxy-Einstellungen.

Um eine Lizenz online zu aktivieren:

  1. Starten Sie die Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie auf die Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Online-Aktivierung.
  6. Geben Sie in die Option Seriennummer die Seriennummer ein, die aktiviert werden soll. Die Seriennummer entnehmen Sie dem Lizenzschein.
  7. Wählen Sie in der Option Zieldongle auswählen den Dongle aus, auf dem die Lizenz abgelegt werden soll. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken in der rechten oberen Ecke auf die Schaltfläche Aktualisieren.
  8. Klicken Sie auf die Schaltfläche Lizenz aktivieren.

    Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.


Offline-Aktivierung

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Offline-Aktivierung

Bei der Offline-Aktivierung muss die Lizenzübertragung vom Lizenzdepot in den Dongle manuell erfolgen. Diese Methode wird nur als letze Option empfohlen, wenn Online- bzw Remote-Lizenzierung nicht durchführbar sind. Bei Hardware-Dongles ist es unter Umständen einfacher, den Hardware Dongle an einen Rechner mit Internetverbindung anzustecken und dort online zu aktiveren.

Auch für die Offline-Lizenzierung ist der Zugriff auf eine Internetverbindung nötig. Allerdings kann der Zugangsrechner frei definiert werden.

Die Offline Aktivierung erfordert eine mehrstufigen Ablauf:

  1. Lizenz-Anforderungsdatei erzeugen
  2. Lizenz-Anforderungsdatei auf einen Rechner mit Internetzugriff übertragen.
    Das kann mit Hilfe beliebiger Speichermedien wie USB-Sticks, Wechseldatenträgern oder ähnlichem geschehen.
  3. Lizenz-Anforderungsdatei auf die Lizenzierungs-Webseite hochladen und von dort die Lizenz-Aktualisierungsdatei erhalten.
  4. Lizenz-Aktualisierungsdatei auf den zu lizenzierenden Rechner übertragen.
  5. Lizenz-Aktualisierungsdatei per Doppelklick auf die Datei einspielen und Lizenz-Bestätigungsdatei erzeugen.
  6. Lizenz-Bestätigungsdatei auf einen Rechner mit Internetzugriff übertragen.
  7. Lizenz-Bestätigungsdatei auf die Lizenzierungs-Webseite hochladen.

    Damit ist der Vorgang abgeschlossen.

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.

Ablauf im Detail

Um eine Lizenz offline zu aktivieren:

  1. Starten Sie die Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Offline-Aktivierung.
  6. Geben Sie in die Option Seriennummer die Seriennummer ein, die aktiviert werden soll. Die Seriennummer entnehmen Sie dem Lizenzschein.
  7. Wählen Sie in der Option Zieldongle auswählen den Dongle aus, auf dem die Lizenz abgelegt werden soll. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken in der rechten oberen Ecke auf die Schaltfläche Aktualisieren.
  8. Klicken Sie auf die Schaltfläche Lizenz-Anforderungsdatei erstellen.
    Die Schaltfläche ist nur aktiv, wenn die Seriennummer gültig ist und ein Ziel-Dongle gewählt wurde.

    Der Dialog zum Speichern der Datei wird geöffnet.

  9. Speichern Sie die Datei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicReq.

    Wird zwischen Auswahl des Dongles und Speicherung der Datei der Dongle entfernt oder wird er nicht mehr gefunden, dann wird das Speichern mit einer Fehlermeldung abgebrochen. Der Benutzer muss erst den Dongle wieder zur Verfügung stellen oder einen neuen Dongle auswählen, bevor die Datei gespeichert werden kann.

  10. Übertragen Sie die Lizenz-Anforderungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  11. Starten Sie dort einen Webbrowser.
  12. Öffnen Sie die Website https://copadata-license.copadata.com/.
  13. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Anforderungsdatei aus.
  14. Klicken Sie auf die Schaltfläche Anforderungsdatei hochladen.
    Falls die Anforderung erfolgreich abgearbeitet werden kann, wechselt die Webseite auf die zweite Seite Aktualisierung herunterladen.
  15. Klicken Sie auf die Schaltfläche Aktualisierung herunterladen. Sie erhalten eine Lizenz-Aktualisierungsdatei. Je nach Browser und Browsereinstellung wird die Datei in einem Download-Ordner abgespeichert:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicUpd.
  16. Übertragen Sie die Lizenz-Aktualisierungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf den Ausgangsrechner zurück.
  17. Stellen Sie sicher, dass der zu lizenzierende Dongle angeschlossen ist.
  18. Führen Sie einen Doppelklick auf die Lizenz-Aktualisierungsdatei aus.

    Die Lizenzverwaltung wird automatisch geöffnet. Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.
    Bei Remote Lizenzierung wird bei einem Doppleklick auf die Lizenz-Aktualisierungsdatei auch eine Verbindung zum Remote System aufgebaut.
    Voraussetzung: Die Option Benutzerdatenerfassung in der Registerkarte Einstellungen ist nicht deaktiviert.
    Alternative Vorgehensweise:

    1. Öffnen Sie die Lizenzverwaltung und wechseln Sie auf die Registerkarte Lizenz aktivieren.
    2. Falls erforderlich, bauen Sie eine Verbindung zum Remote-System auf, auf dem sich der zu lizenzierende Dongle befindet.
    3. Aktivieren Sie den Radiobutton Offline-Aktivierung.
    4. Klicken Sie auf die Schaltfläche Lizenz-Aktivierungsdatei importieren.
    5. Wählen Sie die Lizenz-Aktualisierungsdatei aus und klicken Sie auf Öffnen.

      Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.

    Damit das Lizenzdepot weiß, dass die Lizenz erfolgreich in den Dongle übertragen wurde, muss eine Lizenz-Bestätigungsdatei erstellt und diese zum Lizenzgeber übertragen werden. Die Datei wird automatisch erstellt, sobald eine offline Aktivierung erfolgreich durchgeführt wurde. Der Dialog zum Speichern der Datei öffnet sich automatisch.

  19. Speichern Sie die Lizenz-Bestätigungsdatei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicConf.

    Falls Sie die Bestätigung später durchführen möchten, können Sie die Lizenz-Bestätigungsdatei zu jedem beliebigen späteren Zeitpunkt erstellen. Details siehe Kapitel L izenz-Bestätigungsdatei erstellen.

  20. Übertragen Sie die Lizenz-Bestätigungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  21. Starten Sie dort einen Webbrowser.
  22. Öffnen Sie die Website https://copadata-license.copadata.com/continue.php?step=3.
  23. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Bestätigungsdatei aus.
  24. Klicken Sie auf die Schaltfläche Bestätigungsdatei hochladen.

Die Datei wird auf die Webseite hochgeladen und der Offline-Aktivivierungsmechanismus ist damit abgeschlossen.

Noch in diesem Kapitel

Lizenz-Bestätigungsdatei erstellen


Lizenz-Bestätigungsdatei erstellen

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Offline-Aktivierung > Lizenz-Bestätigungsdatei erstellen

Damit das Lizenzdepot weiß, dass die Lizenz erfolgreich in den Dongle übertragen wurde, muss eine Lizenz-Bestätigungsdatei erstellt und diese zum Lizenzgeber übertragen werden.
Um eine Datei zu jedem beliebigen Zeitpunkt zu erstellen:

  1. Starten Sie die Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Offline-Aktivierung.
  6. Geben Sie die Seriennummer ein, für die Sie eine Lizenz-Bestätigungsdatei erstellen möchten.
  7. Wählen Sie den Dongle aus, auf dem diese Lizenz gespeichert ist.
  8. Klicken Sie auf die Schaltfläche Lizenz-Bestätigungsdatei erzeugen.

    Der Dialog zum Speichern der Datei wird geöffnet.

  9. Speichern Sie die Lizenz-Bestätigungsdatei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicConf.
  10. Übertragen Sie die Lizenz-Bestätigungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  11. Starten Sie dort einen Webbrowser.
  12. Öffnen Sie die Website https://copadata-license.copadata.com/continue.php?step=3.
  13. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Bestätigungsdatei aus.
  14. Klicken Sie auf die Schaltfläche Bestätigungsdatei hochladen.

Die Datei wird auf die Webseite hochgeladen und der Offline-Aktivivierungsmechanismus ist damit abgeschlossen.


Sammelaktivierung

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Sammelaktivierung

Wenn Sie mehrere Lizenzen bestellen, dann erhalten Sie zusätzlich zu den Lizenzscheinen eine Sammeldatei (*.LicSN). Diese Datei können Sie nutzen, um die Lizenzen zentral zu verwalten und von einer zentralen Stelle aus zu aktivieren. Hierzu bietet sich die Remote-Lizenzierung an.

Die Aktivierung der Lizenzen aus der Sammeldatei können Sie entweder mit Lizenzverwaltung in der Registerkarte Sammelaktivierung durchführen oder automatisiert das Kommandozeilen-Tool LicenseManagerAutomation.exe verwenden. Auch eine gemischte Verwendung ist möglich.

Die Sammeldatei ist eine CSV-Datei, die mit jedem beliebigen Texteditor oder einer Tabellenkalkulation bearbeitet werden kann.

  • Spaltentrennzeichen: Semikolon (;) oder Tabulator (\t)

Spaltenaufbau:

Spalte

Bezeichnung

Beschreibung

1

Seriennummer

Die eindeutige Seriennummer jeder Lizenz.

2

Artikelname

Enthält den Artikelnamem der Lizenz.
Dient nur zur Information und hat keine funktionale Auswirkung.

3

Zielrechner

Angabe des Zielrechners:

  • Wenn noch nicht lizenziert:
    Rechnername auf den die Lizenz übertragen werden soll. Es können verwendet werden: IPv4-Adresse, IPv6-Adresse oder Rechnername.
  • Wenn bereits lizenziert:
    Rechnername auf den die Lizenz übertragen wurde.

4

Benutzername

Windows Benutzername, von dem die Lizenz aktiviert wurde.
Dient nur zur Information.

5

Aktiviert

Anzeige des Status der Aktivierung:

  • True: aktiviert
  • False oder leer: nicht aktiviert

Bei True wird diese Lizenz bei der Abarbeitung über die Kommadozeile nicht mehr berücksichtigt.

6

Fehlertext

Falls bei der Aktivierung ein Fehler aufgetreten ist, wird der Fehler hier protokolliert.

Die Originaldatei ist nur mit den ersten beiden Spalten gefüllt.

Um die Datei für die Sammelaktivierung über die Lizenzverwaltung oder die Kommandozeile zu nutzen:

  • Tragen Sie für jede Lizenz in die Spalte 3 den Zielrechner ein.

    Beispiel:

    • Original-Zeile der Sammeldatei: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Ergänzen Sie diese Zeile:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

Sammelaktivierung in der Lizenzverwaltung

Hinweis: Diese Registerkarte ist per Default ausgeblendet. Um sie anzuzeigen, aktivieren Sie in der Registerkarte Einstellungen die Eigenschaft Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen.

Eine Lizenz aktivieren

Um eine Lizenz zu aktivieren:

  1. Speichern Sie die Sammledatei mit der Dateiendung *.LicSN auf ihrem Rechner.
  2. Tragen Sie den Zielrechner in die Datei ein.
  3. Öffnen Sie die Lizenzverwaltung.
  4. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  5. Wechseln Sie zur Registerkarte Sammelaktivierung.

    Falls diese nicht angezeigt wird:

    1. Wechseln Sie zur Registerkarte Einstellungen.
    2. Aktivieren Sie die Checkbox für Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen.
  6. Wählen Sie in der Option Wählen Sie die .LicSN-Datei aus die Sammeldatei mit den Lizenzen aus.
    Klicken Sie dazu auf die Schaltfläche .... Die Datei hat die Dateiendung *.LicSN.

    In der Liste Wählen Sie die zu aktualisierende Lizenz aus werden alle in der Datei verfügbaren Lizenzen angezeigt.
    Sie können die in der Datei enthaltenen Lizenzen nach Seriennummer, Lizenzname, Zielrechner, Benutzername und Aktivierungsstatus filtern und sortieren.
    Fehlerhafte Seriennummern werden durch ein Symbol markiert.

  7. Wählen Sie die gewünschte Lizenz aus.
    Wurde ein Zielrechner eingetragen, dann wird sofort eine Verbindung zu diesem Zielrechner aufgebaut.
    Wird eine bereits aktivierte Lizenz ausgewählt, dann wird die Schaltfläche Lizenz aktivieren in Lizenz aktualisieren geändert.
  8. Wählen Sie in der Option Zieldongle auswählen den Dongle am Remote Rechner aus, auf den die Lizenz übertragen werden soll.
  9. Klicken Sie auf Lizenz aktivieren oder Lizenz aktualisieren.

Die Lizenz wird auf dem ausgewählten Zieldongle aktiviert und die Textdatei wird mit den Daten der Lizenzierung befüllt.

Registerkarte Sammelaktivierung

Option

Beschreibung

Wählen Sie die .LicSN-Datei aus

Auswahl der Datei mit den Lizenznummern. Die Datei hat die Dateiendung .LicSN.

Die in der Datei enthaltenen Lizenzen werden in der Option Wählen Sie die zu aktualisierende Lizenz aus angezeigt.

Wählen Sie die zu aktualisierende Lizenz aus

Anzeige und Auswahl der vorhandenen Lizenzen. Die Anzeige kann gefiltert und sortiert werden.

  • Filtern: Geben Sie den Filterbegriff in die Filterzeile ein.
  • Sortieren: Klicken Sie auf den Spaltentitel. Die Einträge werden sortiert angezeigt. Ein erneuter Klick invertiert die Anzeige.

Auswahl durch Klick auf eine Lizenz.

Zieldongle auswählen

Auswahl des Dongles, mit dem die Lizenz verknüpft werden soll.

Lizenz aktivieren

Lizenz aktualisieren

Aktiviert die ausgewählte Lizenz auf dem ausgewählten Dongle oder aktualisiert die Lizenz, falls sie bereits aktiviert wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Einstellungen

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Einstellungen

In dieser Registerkarte werden Einstellungen zur Lizenzverwaltung konfiguriert.

Option

Beschreibung

Benutzerdatenerfassung

Einstellungen für Erfassung von Benutzerdaten:

  • Aktiv: Benutzerdaten werden erfasst.
    Erfasst werden unter anderem: Betriebssystem, Benutzername, Rechnername, IP-Adressen und Domäne. Details siehe Kapitel Benutzerdaten.
  • Inaktiv: Es werden keine Benutzerdaten erfasst.

Default: aktiv

Achtung: Wird diese Option deaktiviert, können verlorene Lizenzen nicht wieder hergestellt oder ersetzt werden.

Im Netzwerk nach Dongles und Lizenzen suchen

Einstellung zur Suche nach Lizenzen:

  • Aktiv: Dongles und Lizenzen werden auch im Netzwerk gesucht. Diese Suche kann längere Zeit beanspruchen.
  • Inaktiv: Es wird nur auf dem lokalen Laufwerk gesucht.

Default: inaktiv

Einstellung wird sofort übernommen. Um neue Dongles und Lizenzen anzuzeigen, muss die jeweilige Liste aktualisiert werden.

Hinweis: Diese Einstellung wirkt sich nur auf die Lizenzverwaltung aus. Die zenon Anwendungen greifen immer auch auf das Netzwerk zu, falls Sie lokal die Lizenz nicht finden.

Aktivierte Lizenzen sofort übernehmen

Einstellung, wann die aktivierte Lizenz in die License.ini geschrieben wird:

  • Aktiv: Lizenz wird mit Klick auf Lizenz aktivieren sofort in die License.ini an erster Stelle geschrieben und allen lizenzierten Produkten zugeordnet.
  • Inaktiv: Lizenz wird erst mit Zuordnung in der Registerkarte Lizenzverwendung in die License.ini geschrieben.

Default: aktiv

Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen

Regelt die Anzeige der Registerkarte Sammelaktivierung:

  • Aktiv: Registerkarte wird angezeigt.
  • Inaktiv: Registerkarte wird ausgeblendet.

Default: inaktiv

Alle verwendeten Lizenzen automatisch aktualisieren

Lizenzen automatisch aktualisieren.

  • Aktiv: Alle Lizenzen werden in regelmäßigen Abständen automatisch auf Aktualisierung überprüft.
  • Inaktiv: Lizenzen werden nicht überprüft. Die Überprüfung muss manuell ausgeführt werden.

Default: aktiv

Default-Zykluszeit: 7 Tage.
Der Zyklus kann in den Einstellungen [SETTINGS] der License.ini geändert werden.

Weitere Informationen: Siehe Kapitel Geänderte Lizenzen übernehmen.

Startdialog bei Start der Lizenzverwaltung anzeigen

Aktivierung des Wizards für Lizenzierungsaufgaben:

  • Aktiv: Vor dem Öffnen wird der Startdialog angezeigt, der durch typische Lizenzierungsvorgänge führt.
  • Inaktiv: Die Anwendung wird direkt geöffnet.

Default: aktiv

Software-Dongle auf Dongle-Typ "VM DataCenter" wechseln.

Ändert den Typ des verwendeten Software-Dongles von Virtual Machine auf VM DataCenter.

Nur verfügbar, wenn Lizenzverwaltung in einer Virtual Machine läuft.

Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln

Ändert den Typ des verwendeten Software-Dongles von VM DataCenter auf Virtual Machine .

Nur verfügbar, wenn die Lizenzverwaltung in einer Virtual Machine läuft.

Proxy-Einstellungen

Öffnet oder schließt den Bereich zur Konfiguration eines Proxy-Rechners. Details siehe Kapitel: Proxy konfigurieren

Proxy-Konfiguration automatisch erkennen
  • Aktiv: Der Proxy wird automatisch über die generellen Systemeinstellungen erkannt.

Manuelle Proxy-Konfiguration
  • Aktiv: Der Proxy wird manuell konfiguriert.

Für die Konfiguration müssen angegeben werden:

  • Proxy: URL des Proxy.
  • Port: Zu verwendender Port.
    Minimum: 1
    Maximum: 65535
    Default: 80
  • Benutzer: Benutzername für den Proxy-Zugang.
    Wird nicht validiert.
  • Passwort: Passwort für den Proxy-Zugang.
    Wird verschlüsselt gespeichert und nicht validiert.

Proxy-Konfiguration speichern

Speichert die manuelle Proxy-Konfiguration.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Benutzerdaten

Proxy konfigurieren


Benutzerdaten

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Einstellungen > Benutzerdaten

Verarbeitung von Benutzerdaten

Bei der Lizenzierung über die Lizenzverwaltung per Dialog oder Kommandozeile werden auch Benutzerdaten erfasst, gespeichert und verarbeitet. Diese Daten dienen dazu, verlorene oder beschädigte Lizenzen wiederherzustellen. Die Daten werden bei Ing. Punzenberger COPA-DATA GmbH gespeichert und verarbeitet. Informationen zur Datenverarbeitung und zum Datenschutz erhalten Sie online auf: https://www.copadata.com/privacy.

Erfasst werden:

  • Betriebssystem: Art und Version.
  • Netzwerkadressen: Alle am Rechner vorhandenen Netzwerkadressen.
  • Full Qualified Host Name
  • Benutzername und Domäne

Diese Daten werden für den Rechner erfasst, auf dem die Lizenzierung ausgeführt wird. Wird die Lizenzierung Remote ausgeführt, werden diese Daten auch für den Zielrechner erfasst.

Deaktivierung

Die Erfassung dieser Daten kann in der Lizenzverwaltung deaktiviert werden. Es können dann weiterhin Lizenzen bezogen und verwaltet werden. Support und technische Unterstützung für die Lizenzierung sind aber aufgrund fehlender Daten nicht möglich.

Wird die Erfassung deaktiviert, kann COPA-DATA folgende Dienstleistungen nicht mehr anbieten:

  • Automatisches Einspielen von Lizenzen auf Remote Rechnern.
  • Nachverfolgung, auf welchem Rechner die Lizenz von wem aktiviert wurde.
    Damit kann bei Lizenzverlust auch keine Unterstützung beim Suchen der Lizenz angeboten werden. Auch können verlorene Lizenzen dann nicht im Kulanzweg ersetzt werden.

Daten,die bis zur Deaktivierung erhoben wurden, bleiben gespeichert.


Proxy konfigurieren

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Einstellungen > Proxy konfigurieren

Für die online Aktivierung, Lizenz-Rückgabe und das Lizenz-Update wird ein Zugang ins Internet benötigt. In manchen Firmennetzwerken ist kein direkter Internetzugang möglich. Die Verbindung muss über einen Proxy Server hergestellt werden. Wenn Ihr System Administrator die Daten für den Proxy Server korrekt im Betriebssystem hinterlegt hat, sind keine weiteren Einstellungen erforderlich. Ansonsten muss der Proxy Server manuell konfiguriert werden:

  1. Öffnen Sie in der Lizenzverwaltung die Registerkarte Einstellungen.
  2. Klicken Sie auf Proxy-Einstellungen.
  3. Aktivieren Sie den Radio-Button für Manuelle Proxy-Konfiguration.
  4. Tragen Sie den URL für den Proxy ein.
  5. Tragen Sie den Port ein.
  6. Tragen Sie den Benutzernamen ein.
    Achtung: Dieser wird nicht validiert.
  7. Geben Sie das Passwort an.
    Dieses wird verschlüsselt eingetragen.
    Achtung: Das Passwort wird nicht validiert.
  8. Klicken Sie auf Proxy speichern.

Bei einer manuellen Konfiguration speichert die Lizenzverwaltung auch die vom System gesetzten Proxy-Einstellung. Diese werden als Fallback verwendet, wenn mit den manuell konfigurierten Proxy-Einstellungen keine Verbindung hergestellt werden kann. Das ist zum Beispiel relevant, wenn für den Benutzer, in dessen Kontext dieLizenzverwaltung verwendet wird, zwar ein Proxy konfiguriert ist, im Systemkontext aber diese Einstellung nicht verfügbar ist.

Online-Aktivierung

Ist bei der Online-Aktivierung der konfigurierte Proxy nicht erreichbar, wird der Dialog zur Konfiguration eingeblendet. Zusätzlich werden Fehlermeldungen angezeigt. Änderungen an den Einstellungen werden mit dem nächsten Aufbau der Verbindung automatisch gespeichert.


Lizenz übertragen/übersiedeln

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln

Das Übertragen einer Lizenz ist zum Beispiel nötig, wenn:

  • die Lizenz auf einem anderen Rechner oder in einer anderen Virtual Machine genutzt werden soll
  • sich die Hardware eines Rechners mit Software-Dongle ändert
  • das Betriebssystem eines Rechners mit Software-Dongle erneuert wird
  • die Festplatte mit dem Laufwerk C eines Rechners mit Software-Dongle ausgetauscht werden soll
  • der Host-Rechner für eine Virtual Machine wechselt oder dessen Hardware geändert wird
  • Sie mehrere Lizenzen auf einem Hardware-Dongle zusammenfassen möchten
  • Sie einen physikalischen Rechner in eine Virtual Machine umwandeln möchten

Ob eine Lizenz beim physikalischen Umbau eines Rechners weiter genutzt werden kann, hängt davon ab, welche und wie viele Komponenten geändert werden. Die Änderung des Rechnernamens oder der Tausch einer Festplatte (ausgenommen Laufwerk C) stellen in der Regel kein Problem dar.

Die Übertragung von Lizenzen funktioniert für Hardware-Dongles und Software-Dongles gleichermaßen.
Um eine Lizenz von einem Rechner (Dongle) auf einen anderen Rechner (Dongle) zu übertragen:

  1. Geben Sie die Lizenz vom bisherigen Dongle zurück.
  2. Aktivieren Sie die Lizenz auf dem neuen Dongle erneut.

info Info

Lizenzen können nicht direkt zwischen einem physikalischen Rechner und einer Virtual Machine Maschinen übertragen werden. Die Lizenz muss an die jeweilige Bedingung angepasst werden. Wenden Sie sich in diesem Fall an Ihren COPA-DATA Vertriebspartner. Siehe auch Kapitel Virtual Machines.

Noch in diesem Kapitel

Lizenz zurückgeben


Lizenz zurückgeben

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben

Lizenzen können zurückgegeben werden. Dies ist zum Beispiel nötig, wenn eine Lizenz auf einem anderen Rechner eingesetzt werden soll. Siehe auch Kapitel Lizenz übertragen/übersiedeln.

Hinweise zur Lizenzrückgabe:

  • Nur lokale Lizenzen können zurückgegeben werden.
  • Lizenzen mit einem definierten Nutzungszeitraum und Demo-Lizenzen können nicht zurückgegeben werden.
  • Ausgeliehene Lizenzen oder Lizenzen, die ganz oder teilweise verliehen sind, können nicht zurückgegeben werden. Sie müssen zuerst die Ausleihe beenden. (Ausleihe verfügbar ab Version 8.10.)

Lizenzen könne auf zwei Arten zurückgegeben werden:

  • Lizenz online zurückgeben (bevorzugte Variante)
  • Lizenz offline zurückgeben

Noch in diesem Kapitel

Lizenz online zurückgeben

Lizenz offline zurückgeben


Lizenz online zurückgeben

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben > Lizenz online zurückgeben

Um eine Lizenz online zurückzugeben:

  1. Starten Sie die Lizenzverwaltung
  2. Im Startdialog klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf die Schaltfläche Lizenz übersiedeln/zurückgeben.
    • Falls sich nur eine zurückgebbare Lizenz lokal auf Ihrem Rechner befindet, wird diese online zurückgegeben.
      Bestätigen Sie dazu die entsprechende Abfrage.
    • Falls sich mehrere zurückgebbare Lizenzen lokal auf Ihrem Rechner befinden, dann werden Sie automatisch zur Registerkarte Lizenzübersicht weitergeleitet.
      Fahren Sie fort mit Vorgang bei mehreren Lizenzen, Schritt 3.

Vorgang bei mehreren Lizenzen:

  1. Starten Sie die Lizenzverwaltung
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie in die Registerkarte Lizenzübersicht.
  4. Wählen Sie die gewünschte Lizenz aus der Liste aus.

  5. Klicken Sie auf Lizenz zurückgeben.

    Die Lizenz wird online zurückgegeben.


Lizenz offline zurückgeben

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben > Lizenz offline zurückgeben

Die Offline-Rückgabe ist noch nicht in die Lizenzverwaltung integriert worden. Sie funktioniert jedoch über den selben Weg wie die Offline-Aktivierung. Unterschied: Es muss ein anderer Rückgabelink in den Webbrowser eingegeben werden!

Vorgangsweise:

  1. Starten Sie die Lizenzverwaltung
  2. Wechseln Sie in die Registerkarte Lizenz aktivieren.
    Wird der Startdialog angezeigt, klicken Sie auf Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung. Wechseln Sie dann zur Registerkarte Lizenz aktivieren.

  3. Wählen Sie die Option Offline-Aktivierung.
  4. Geben Sie die Seriennummer der Lizenz ein, die Sie zurückgeben wollen.
  5. Wählen Sie den Dongle aus, auf dem die Lizenz gespeichert ist.
  6. Erstellen Sie eine Lizenz-Anforderungsdatei. Klicken Sie dazu auf die Schaltfläche Lizenz-Anforderungsdatei erstellen.

    Eine Datei mit der Dateiendung *.LicReq wird erzeugt.

  7. Achtung: Verwenden Sie nicht den Link, der in der Lizenzverwaltung vorgegeben ist!
    Öffnen Sie stattdessen in einem Webbrowser diesen Link:
    https://copadata-license.copadata.com/return.php
  8. Laden Sie die umbenannte Lizenz-Anforderungsdatei *.LicReq auf die Webseite hoch.

    Sie bekommen eine Lizenz-Aktualisierungsdatei mit der Dateiendung *.LicUpd als Antwort.

  9. Klicken Sie in der Lizenzverwaltung auf die Schaltfläche Lizenz-Aktualisierungsdatei importieren und übernehmen Sie die von der Webseite generierte Datei.

    Wichtig: Damit die Lizenz vom Lizenzdepot wirklich als zurückgegeben akzeptiert wird, müssen Sie unbedingt die Bestätigungsdatei erzeugen und zur Webseite übertragen.
    Dazu:

    1. Klicken Sie auf die Schaltfläche Lizenz-Bestätigungsdatei erzeugen.
      Es wird eine Datei mit der Dateiendung *.LicConf erzeugt.
  10. Öffnen Sie diesen Link in einem Webbrowser:
    https://copadata-license.copadata.com/continue.php?step=3
  11. Laden Sie die Lizenz-Bestätigungsdatei *.LicConf auf die Webseite hoch.

Damit ist der Vorgang abgeschlossen.


Geänderte Lizenz übernehmen/updaten

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten

Alle Lizenzinformationen sind im Dongle gespeichert. Wenn Sie ein Update oder ein Upgrade Ihrer Lizenz bestellen, dann muss die Lizenz im Dongle aktualisiert werden.
Änderungen an der Lizenz können benötigt werden durch:

  • Produktupgrade oder geänderten Modulausbau
  • Ablaufdatum oder Nutzungszeitraum geändert
  • Neue Version oder Änderung des Wartungsvertrags
  • Lizenzanzahl geändert

Für Updates und Upgrades gilt:

  • Diese werden immer auf eine bestehende Seriennummer gebucht.
    Sie erhalten einen Lizenzschein mit der betroffenen Seriennummer.
  • Die Lizenzänderung wird im Lizenzdepot abgelegt und muss in den Dongle übertragen werden. Falls mehrere Lizenzupdates im Lizenzdepot hinterlegt sind, werden diese immer in einem Vorgang übertragen.
  • Falls Sie die Lizenz noch nie aktiviert haben, wird das Update bei der ersten Aktivierung mit eingespielt.
    Sie müssen dann keinen extra Schritt mehr durchführen.
  • Falls die Lizenz bereits aktiviert wurde, müssen Sie das Update einspielen.
    Dazu gibt es zwei Möglichkeiten:
    • Lizenz online updaten - die bevorzugte Variante
    • Lizenz offline updaten

Noch in diesem Kapitel

Lizenzen online updaten

Lizenzen offline updaten


Lizenzen online updaten

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten > Lizenzen online updaten

Lizenzen können manuell oder automatisiert upgedatet werden. Ausgenommen sind Demo-Lizenzen und Lizenzen im Netzwerk.

Automatisiertes Update

Per Default werden alle Lizenzen in einem Zyklus von 7 Tagen auf Updates überprüft. Die Zykluszeit kann in den Einstellungen [SETTINGS] der License.ini geändert werden. Das automatische Update kann in der Lizenzverwaltung in der Registerkarte Einstellungen über die Option Alle verwendeten Lizenzen automatisch aktualisieren deaktiviert werden.

Die automatischen Updates werden über den Lizenztransfer Dienst durchgeführt. Wenn dieser Windows Dienst nicht gestartet ist, werden keine automatischen Updates durchgeführt.

Lizenz manuell updaten

Um eine Lizenz manuell upzudaten stehen Ihnen drei Wege offen

  • Alle Lizenzen über den Startdialog aktualisieren.
  • Eine Lizenz über die Registerkarte Lizenzübersicht aktualisieren.
  • Alle Lizenzen über die Kommandozeilenapplikation LicenseManagerAutomation.exe aktualisieren.

Update über den Startdialog

  1. Starten Sie die Lizenzverwaltung.
    Die Option Startdialog bei Start der Lizenzverwaltung anzeigen muss aktiviert sein. Damit öffnet sich der Startdialog beim Starten der Anwendung. Anderenfalls klicken Sie auf die Schaltfläche Startdialog anzeigen.

    Der Assistent für die Lizenzierung wird angezeigt.

  2. Klicken Sie auf Erweiterte Optionen.
  3. Klicken Sie auf Alle Lizenzen updaten.
  4. Der Ablauf zum Aktualisieren wird gestartet.
    Kann eine Lizenz nicht aktualisiert werden oder steht keine Aktualisierung bereit, wird eine entsprechende Meldung ausgegeben.

Update über die Registerkarte Lizenzübersicht

  1. Öffnen Sie in der Lizenzverwaltung die Registerkarte Lizenzübersicht.
  2. Wählen Sie die Lizenz aus, die aktualisiert werden soll.
    Kann eine Lizenz vom Benutzer nicht aktualisiert werden, wird die Schaltfläche Lizenz updaten nicht freigegeben.
  3. Klicken Sie auf die Schaltfläche Lizenz updaten.

    Die Lizenz wird online aktualisiert.
    Steht keine Aktualisierung zur Verfügung, wird eine entsprechende Meldung angezeigt.

Update über Kommandozeile

Um Lizenzen automatisiert über eine Dritt-Applikation upzudaten, nutzen Sie das Kommandozeilenprogramm LicenseManagerAutomation.exe.
Kommando: LicenseManagerAutomation.exe -a UpdateAll


Lizenzen offline updaten

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten > Lizenzen offline updaten

Um Offline-Updates für Lizenzen einzuspielen, verwenden Sie die Offline Aktivierung wie bei der erstmaligen Aktivierung. Es gibt keine funktionale Unterscheidung zwischen Aktivierung und Update.

attention Achtung

Das Update kann nur auf dem selben Dongle eingespielt werden, auf dem die Ursprungslizenz aktiviert wurde. Stellen Sie daher sicher, dass Sie den richtigen Dongle auswählen.


Remote Lizenzierung

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung

Bei der Remote Lizenzierung werden alle Vorgänge, die die Lizenzverwaltung unterstützt, nicht auf dem lokalen Rechner durchgeführt, sondern auf einem anderen Rechner im lokalen Netzwerk (LAN).

Für die Remote Lizenzierung gibt es zwei Anwendungsfälle:

  • Der zu lizenzierende Rechner ist nicht direkt vor Ort.
  • Der zu lizenzierende Rechner ist nicht direkt ins Internet angebunden. Sie können in dem Fall einen zweiten Rechner als Proxy-Rechner (Vermittlungsrechner) benutzen. Damit könne Sie trotzdem die Vorteile von online Aktivierung, Rückgabe und Update nutzen und müssen die Schritte nicht manuell ausführen.

Die remote Lizenzierung funktioniert sowohl in der Lizenzverwaltung als auch im Kommandozeilentool. Als Gegenstelle fungiert immer der Dienst zenLicTransfer. Dieser Dienst greift immer auf die lokal am Remote-Rechner verfügbaren Daten zu.

Achtung! Die Remote-Lizenzierung hat nichts mit der CodeMeter Netzwerklizenzierung zu tun. Die CodeMeter Mechanismen beruhen auf der CodeMeter Runtime und dienen dazu, die Lizenz von einem Produkt aus zu belegen bzw. freizugeben.
Die zenon Remote-Lizenzierung dient dazu, Lizenzen remote zu aktivieren, deaktivieren und zu verwalten.

Da beide System unterschiedliche Aufgaben zu erfüllen haben und unterschiedliche Transportlayer verwenden, kann es durchaus vorkommen, dass ein Dongle vom einem der beiden Systeme erkannt wird und vom anderen nicht.

Remote angebotene Funktionalitäten:

  • Lizenzen aktivieren (online wie offline)
  • Lizenzen aktivieren per online Sammelaktivierung
  • Lizenzen Produkten zuordnen
  • Lizenzen zurückgeben
  • Lizenzen ausleihen/verleihen (ab Version zenon 8.10/zenon Analyzer 3.30)

Noch in diesem Kapitel

Lizenzierung lokal oder remote

Dienst zenLicTransfer


Lizenzierung lokal oder remote

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung > Lizenzierung lokal oder remote

Sie können Lizenzen lokal oder remote - auf entfernten Rechnern - aktivieren und Produkten zuweisen. Per Default erfolgt die Lizenzierung lokal.

Voraussetzungen Remote-Aktivierung:

  • Der Remote-Rechner ist im Netzwerk erreichbar.
  • Der Lizenzdienst zenLicTransfer ist am Remote-Rechner aktiv und erreichbar.

Remote-Lienzierung

Um die Lizenzierung auf remote umzustellen:

  1. Klicken Sie in der Kopfzeile der Lizenzverwaltung auf den Pfeil neben Lokale Lizenzierung.

    Der Bereich für diese Option wird geöffnet.

  2. Deaktivieren Sie die Checkbox Lokale Lizenzierung.

    Der Bereich wird umbenannt in Remote Lizenzierung.

    Der Bereich zur Eingabe eines Verbindungsnamens wird frei geschaltet.

  3. Geben Sie den Namen oder die IP-Adresse des Remote-Rechners an.
  4. Klicken Sie auf Verbinden.

    Die Verbindung wird hergestellt. Alle weiteren Aktionen in der Lizenzverwaltung werden auf dem Remote-Rechner ausgeführt.

Tipp Tipp

Sie können die Remote-Lizenzierung auch nutzen, um auf Rechnern, die über keine Internetanbindung verfügen, Lizenzen online zu aktivieren. Die Lizenzverwaltung übernimmt dabei die Funktion eines Proxy (Vermittlungsrechner).

Dialogeinstellungen

Option

Beschreibung

Lokale Lizenzierung/Remote Lizenzierung [Rechner]

Auswahl, ob Lizenzierung lokal oder auf einem Remote-Rechner erfolgt.

Zeigt an, welche Art der Lizenzierung ausgewählt ist. Bei Remote Lizenzierung wird der Rechnername oder die IP-Adresse des Remote-Rechners angezeigt.

Beim Umschalten werden Lizenz- und Dongle-Daten neu geladen.

Lokale Lizenzierung

Aktiviert und deaktiviert lokale Lizenzierung:

  • Aktiv: Die Lizenzierung erfolgt lokal.
  • Inaktiv: Die Lizenzierung erfolgt remote auf dem bei Remote Verbindungsnamen festgelegten Rechner.

Default: Aktiv

Remote Verbindungsname

Eingabe der Verbindungsdaten zum entfernten Rechner: Computername oder IP-Adresse. Es können IPv4- oder IPv6-Adressen eingegeben werden.

Nur verfügbar, wenn Lokale Lizenzierung inaktiv ist.

Verbinden

Stellt Verbindung zum Remote-Rechner her.

Aktualisieren

Lädt Lizenz- und Dongle-Daten vom lokalen oder remote Rechner neu.


Dienst zenLicTransfer

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung > Dienst zenLicTransfer

Für die Übertragung von Lizenzinformationen auf einen Remote-Rechner nutzt die Lizenzverwaltung den Dienst License Transfer Service (zenLicTransfer). Dieser wird automatisch mit dem Betriebssystem gestartet. Der Dienst öffnet einen TCP-Serverport und nimmt Verbindungen von der Lizenzverwaltung an. Die Kommunikation ist mit AES verschlüsselt und auf eine gleichzeitige Verbindung limitiert.

Der Dienst kommuniziert per Default über den Port 50784. Dieser Port kann über das Startup Tool in der Registerkarte Listening ports angepasst werden. Änderungen des Ports müssen jeweils lokal und remote durchgeführt werden.

Dieser Dienst führt auch automatische Aktualisierungen von Lizenzen aus.


Listen filtern und sortieren

Handbuch > Lizenzierung > Lizenzverwaltung > Hauptanwendung > Listen filtern und sortieren

Listen können gefiltert und sortiert angezeigt werden.

Listen filtern

Optionen für Filter.

Option

Beschreibung

Eingabefeld

Eingabe der Zeichenfolge, nach der gefiltert werden soll.

aA

Schaltet um zwischen:

  • Groß-/Kleinschreibung wird nicht berücksichtigt
  • Groß-/Kleinschreibung wird berücksichtigt

Default: Groß-/Kleinschreibung wird nicht berücksichtigt

Symbol Filter

Klick auf Filtersymbol öffnet Liste zur Auswahl eines Filterkriteriums.

Default: Enthält

Filterkriterien

Als Kriterien für Filterausdrücke stehen zur Verfügung:

Kriterium | Beschreibung
Filter entfernen | Entfernt alle Filterkriterien. Es werden wieder alle Zeilen angezeigt.
Enthält | Es werden alle Einträge angezeigt, die diese Zeichenfolge enthalten. (Default-Einstellung.)
Enthält nicht | Es werden alle Einträge angezeigt, die diese Zeichenfolge nicht enthalten.
Ist leer | Es werden alle leeren Zellen angezeigt.
Ist nicht leer | Es werden alle Zellen angezeigt, die mindestens ein Zeichen enthalten. Auch Leerzeichen werden als Zeichen gewertet.

Listen sortieren

Um eine Liste zu sortieren:

  1. Klicken Sie in den Kopf der Spalte, nach der die Liste sortiert werden soll.
  2. Klicken Sie erneut, um die Sortierung zu ändern.

    Es werden drei Sortierungen der Reihe nach durchlaufen:

    • Aufsteigend: Die Liste wird von 0 - 9 und von a - z sortiert.
      Anzeige durch Pfeil nach oben.
    • Absteigend: Die Liste wird von 9 - 0 und von z - a sortiert
      Anzeige durch Pfeil nach unten.
    • Unsortiert: Die Liste wird im ursprünglichen Zustand angezeigt, also so, wie sie angelegt wurde.


Lizenzierung über Kommandozeile - Automatisierung

Handbuch > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung

Das Kommandozeilentool LicenseManagerAutomation.exe ermöglicht es, Lizenzen nicht nur manuell mittels einer Benutzeroberfläche zu aktiviert, sondern auch automatisiert in großen Mengen. Damit sind auch Sammelaktivierungen im Netzwerk möglich.

Folgende Funktionalitäten stehen zur Verfügung:

  • Einzellizenz aktivieren
  • Massenaktivierung mittels Sammeldatei
  • Alle Lizenzen eines Rechners updaten
  • Lizenz an erster Stelle in License.ini eintragen

Alle Funktionalitäten stehen sowohl lokal als auch remote zur Verfügung

Aufruf

  • Aufruf: LicenseManagerAutomation.exe
  • Pfad: %ProgramFiles(x86)%\Common Files\COPA-DATA\STARTUP
  • Syntax: LicenseManagerAutomation.exe [Aktion] [Seriennumer] [Dongle-Typ] [Option]
  • Präfix für Argumente:
    • Kurzform Argument: - (-a)
    • Langform Argument: -- (--action)
  • Argumente:
    • Groß-/Kleinschreibung wird ignoriert.
    • Reihenfolge ist beliebig.
  • Werte: Groß-/Kleinschreibung wird beachtet, wenn nicht anders angegeben.
  • Beispiel Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard –-WriteInIni
  • Beispiel Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard –wi

Fehlermeldungen

Bei falscher Eingabe eines Arguments wird ein dementsprechender Fehler ausgegeben und ein LOG-Eintrag geschrieben. Zusätzlich wird eine Hilfe zur Eingabe der Argumente aufgeschaltet.

Farbkodierung der Anzeige:

  • Rot: Fehler
  • Grün: Erfolgsmeldung
  • Weiß: Hilfe

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.

Argumente

Argument Kurzbezeichner /

Argument Langform

Werte

-a

--action

Kommando für die Anwendung.
Wird ergänzt mit einem dieser Werte:

  • ActivateOnline:
    Online-Aktivierung durchführen.
  • ActivateOnlineFile:
    Online-Aktivierung für Lizenzen aus einer Datei.
    Benötigt -f mit Angabe des Dateipfades.
  • WriteIniTop:
    Trägt die Seriennummer für jedes Produkt an erster Stelle in der License.ini ein.
  • UpdateAll:
    Führt für alle Lizenzen ein Update aus.

Beispiel: -a ActivateOnline

Hinweis: Eingabe des Arguments ohne Wert zeigt Hilfe zu Argumenten und Werten an.

-sn

--SerialNumber

Übergabe der Seriennummer.
Wird für die Aktionen ActivateOnline und WriteIniTop benötigt.

-dt

--DongleType

Typ des Dongles:

  • Hard: Hardware-Dongle
  • SoftStd: Rechnergebundener Software-Dongle Standard
  • SoftVM: Rechnergebundener Software-Dongle VirtualMachine
  • SoftVMDataCenter: Rechnergebundener Software-Dongle VM DataCenter
  • Soft: Der Dongle - Standard oder Virtual Machine - wird dynamisch ausgewählt. In einer Virtual Machine wird der Software-Dongle VirtualMachine gewählt, auf einem physikalischen Rechner der Software-Dongle Standard.
    Ist für den Dongle DATA_CENTER_LICENSE gesetzt, dann wird bei einer Virtual Machine der Dongle-Typ Software-Dongle VM DataCenter gewählt.

Wird für die Aktionen ActivateOnline und ActivateOnlineFile benötigt.

Hinweis: Es kann nur -dt oder -di verwendet werden.

-di

--DongleIdentification

ID des Dongles.

Jeder Dongle verfügt über eine eindeutige ID.
Z. B. : 3-4035811 für einen Hardware-Dongle oder 130-636662578 für einen Software-Dongle.

Wird für die Aktionen ActivateOnline und ActivateOnlineFile benötigt.

Hinweis: Es kann nur -dt oder -di verwendet werden.

-wi

--WriteIni

Optionales Argument für die Aktionen ActivateOnline und ActivateOnlineFile.

Aktivierte Lizenz wird in die License.ini geschrieben.

Hinweis: Dieses Argument sollte immer mit angegeben sein.

-r

--Remote

Optionales Argument für die Aktionen ActivateOnline, ActivateOnlineFile und WriteIniTop.

Hostname oder IP Adresse des Remote-Systems.
Wenn nicht angegeben: Localhost

-f

--File

Wird für die Aktion ActivateOnlineFile benötigt.

Dateipfad zur liqSN-Datei. Es muss der vollständige Pfad angegeben werden.

Beispiele

Beispiele für Aufrufe:

  • Lizenz für den ersten gefundenen Hardware-Dongle online aktivieren:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard
  • Lizenz für den Dongle mit der ID 3-4035811 aktivieren:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -di 3-4035811
  • Lizenz für den Dongle mit der ID 3-4035811 aktivieren und an erste Stelle der License.ini schreiben:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleIdentification 3-4035811 –-WriteInIni
  • Lizenz C00WU-Z5SVK-UCGC2-00000-01633 an erste Stelle der License.ini schreiben:
    • LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Alle in der License.ini gelisteten Lizenzen updaten:
    • LicenseManagerAutomation.exe --action UpdateAll
  • Lizenz für den ersten gefundenen Hardware-Dongle am Remote-System 129.0.0.1 online aktivieren:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 129.0.0.1
  • Alle Lizenzen aus einer Lizenzdatei für den ersten gefundenen Dongle auf einem Remote-System aktivieren, das in der Datei angegeben wird:
    • LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard

Weitere Beispiele erhalten Sie nach Aufruf von LicenseManagerAutomation.exe ohne weitere Werte und Argumente.

Verarbeitung von Benutzerdaten

Bei der Lizenzierung über die Lizenzverwaltung per Dialog oder Kommandozeile werden auch Benutzerdaten erfasst, gespeichert und verarbeitet. Diese Daten dienen dazu, verlorene oder beschädigte Lizenzen wiederherzustellen. Die Daten werden bei Ing. Punzenberger COPA-DATA GmbH gespeichert und verarbeitet. Informationen zur Datenverarbeitung und zum Datenschutz erhalten Sie online auf: https://www.copadata.com/privacy.

Erfasst werden:

  • Betriebssystem: Art und Version.
  • Netzwerkadressen: Alle am Rechner vorhandenen Netzwerkadressen.
  • Full Qualified Host Name
  • Benutzername und Domäne

Diese Daten werden für den Rechner erfasst, auf dem die Lizenzierung ausgeführt wird. Wird die Lizenzierung Remote ausgeführt, werden diese Daten auch für den Zielrechner erfasst.

Deaktivierung

Die Erfassung dieser Daten kann in der Lizenzverwaltung deaktiviert werden. Es können dann weiterhin Lizenzen bezogen und verwaltet werden. Support und technische Unterstützung für die Lizenzierung sind aber aufgrund fehlender Daten nicht möglich.

Wird die Erfassung deaktiviert, kann COPA-DATA folgende Dienstleistungen nicht mehr anbieten:

  • Automatisches Einspielen von Lizenzen auf Remote Rechnern.
  • Nachverfolgung, auf welchem Rechner die Lizenz von wem aktiviert wurde.
    Damit kann bei Lizenzverlust auch keine Unterstützung beim Suchen der Lizenz angeboten werden. Auch können verlorene Lizenzen dann nicht im Kulanzweg ersetzt werden.

Daten,die bis zur Deaktivierung erhoben wurden, bleiben gespeichert.

Noch in diesem Kapitel

Einzellizenz aktivieren

Massenaktivierung mittels Sammeldatei

Alle Lizenzen eines Rechners updaten

Lizenz an erster Stelle in License.ini eintragen


Einzellizenz aktivieren

Handbuch > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Einzellizenz aktivieren

Der Wert ActivateOnline aktiviert eine Lizenz online, entweder lokal oder remote.

Als Zieldongle kann angegeben werden:

  • fixer Dongle mittels Dongle ID
  • Hardware-Dongle
  • Software-Dongle für:
    • physikalischen Rechner
    • Virtual Machine

attention Achtung

Geben Sie immer das Argument --WriteInIni oder -wi an, damit die Lizenz auch an erster Stelle in die License.ini eingetragen wird.

Diese Funktionalität verfügt über viele Kombinationsmöglichkeiten. Siehe Liste mit allen Argumenten in der Übersicht. Die wichtigsten Beispiele sind hier angeführt. Weitere Beispiel finden Sie, wenn Sie LicenseManagerAutomation.exe ohne weitere Argumente aufrufen.

Aufruf

Aufruf für Hardware Dongle lokal:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --WriteInIni

Aufruf für Hardware Dongle remote:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 127.0.0.1 -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Hinweis: Anstelle der IPv4 Adresse können Sie auch eine IPv6 Adresse oder den Rechnernamen des Zielrechners angeben.

Aufruf für Software Dongle lokal:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Soft--WriteInIni

Aufruf für Software Dongle remote:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-r 127.0.0.1 -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Hinweis: Anstelle der IPv4 Adresse können Sie auch eine IPv6 Adresse oder den Rechnernamen des Zielrechners angeben.

Meldungen

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Massenaktivierung mittels Sammeldatei

Handbuch > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Massenaktivierung mittels Sammeldatei

Der Wert ActivateOnlineFile aktiviert online alle Lizenzen, die in der Sammeldatei angegeben sind.

Als Zieldongle kann angegeben werden:

  • fixer Dongle mittels Dongle-ID
  • Hardware-Dongle
  • Software-Dongle für:
    • physikalischen Rechner
    • Virtual Machine

Wenn Sie mehrere Lizenzen bestellen, dann erhalten Sie zusätzlich zu den Lizenzscheinen eine Sammeldatei (*.LicSN). Diese Datei können Sie nutzen, um die Lizenzen zentral zu verwalten und von einer zentralen Stelle aus zu aktivieren.

Die Sammeldatei ist eine CSV-Datei, die mit jedem beliebigen Texteditor oder einer Tabellenkalkulation bearbeitet werden kann.

  • Spaltentrennzeichen: Semikolon (;) oder Tabulator (\t)

Spaltenaufbau:

Spalte

Bezeichnung

Beschreibung

1

Seriennummer

Die eindeutige Seriennummer jeder Lizenz.

2

Artikelname

Enthält den Artikelnamem der Lizenz.
Dient nur zur Information und hat keine funktionale Auswirkung.

3

Zielrechner

Angabe des Zielrechners:

  • Wenn noch nicht lizenziert:
    Rechnername auf den die Lizenz übertragen werden soll. Es können verwendet werden: IPv4-Adresse, IPv6-Adresse oder Rechnername.
  • Wenn bereits lizenziert:
    Rechnername auf den die Lizenz übertragen wurde.

4

Benutzername

Windows Benutzername, von dem die Lizenz aktiviert wurde.
Dient nur zur Information.

5

Aktiviert

Anzeige des Status der Aktivierung:

  • True: aktiviert
  • False oder leer: nicht aktiviert

Bei True wird diese Lizenz bei der Abarbeitung über die Kommadozeile nicht mehr berücksichtigt.

6

Fehlertext

Falls bei der Aktivierung ein Fehler aufgetreten ist, wird der Fehler hier protokolliert.

Die Originaldatei ist nur mit den ersten beiden Spalten gefüllt.

Um die Datei für die Sammelaktivierung über die Lizenzverwaltung oder die Kommandozeile zu nutzen:

  • Tragen Sie für jede Lizenz in die Spalte 3 den Zielrechner ein.

    Beispiel:

    • Original-Zeile der Sammeldatei: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Ergänzen Sie diese Zeile:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

attention Achtung

Stellen Sie sicher, dass Sie in jeder Zeile der Sammeldatei einen Zielrechner in die 3. Spalte eingetragen haben.

Ablauf

Ablauf beim Lizenzieren:

  • Die Einträge aus der Datei werden zeilenweise eingelesen und nacheinander online aktiviert.
  • Die Seriennummer sowie der Rechnername oder die IP-Adresse werden aus der Datei ausgelesen.
  • Der Ziel-Dongle-Typ wird aus dem Argument der Kommandozeile entnommen.
  • Wurde eine Lizenz erfolgreich aktiviert, wird die LicSN-Datei aktualisiert.
  • Ist bei der Aktivierung ein Fehler aufgetreten, wird der Fehlergrund in die Spalte 6 der Datei geschrieben.
  • Bei Verbindungsproblemen zum Lizenzierungs-Server wird der gesamte Vorgang abgebrochen. Bei allen anderen Fehlern wird versucht, die nächste Lizenz zu aktivieren.

Meldung nach jeder Seriennummer:

  • Rot: Fehler
  • Grün: Erfolgsmeldung

attention Achtung

Geben Sie immer das Argument --WriteInIni oder -wi an, damit die Lizenz auch an erster Stelle in die License.ini eingetragen wird.

Hinweis: Bei dieser Art der Aktivierung muss der Parameter -r (--Remote) nicht angegeben werden. Der Remote-Rechner muss in der dritten Spalte der Sammeldatei eingetragen sein.

Aufruf

Aufruf für Hardware Dongle:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Hard -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard --WriteInIni

Aufruf für Software Dongle:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Soft-wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Soft--WriteInIni

Meldungen

Rückgabewerte:

  • 0: Erfolgsmeldung.
    • 0: Keine Lizenz wurde aktiviert.
    • 1-n: n Lizenzen wurden erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Alle Lizenzen eines Rechners updaten

Handbuch > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Alle Lizenzen eines Rechners updaten

Der Wert UpdateAll aktualisiert alle lokalen Lizenzen, die in der Datei License.ini eingetragen sind. Netzwerklizenzen und Demo-Lizenzen werden nicht berücksichtigt.

Diese Funktion kann nicht remote ausgeführt werden.

Aufruf

Kurzform:

LicenseManagerAutomation.exe -a UpdateAll

Langform:

LicenseManagerAutomation.exe --action UpdateAll

Meldungen

Rückgabewerte:

  • 0: Erfolg. Keine Lizenz wurde aktualisiert.
  • 1-n: Erfolg: n Lizenzen aktualisiert.
  • -1: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Lizenz an erster Stelle in License.ini eintragen

Handbuch > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Lizenz an erster Stelle in License.ini eintragen

Das Argument WriteIniTop trägt die angegeben Seriennummer für alle Produkte, die in der Lizenz enthalten sind, an erster Stelle in die Datei License.ini an erster Stelle für das jeweilige Produkt ein.

Beispiel: In der Lizenz sind die Produkte Editor, Runtime und Process Gateway enthalten. Durch den Befehl wird die Lizenz bei allen drei Produkten an erster Stelle eingetragen.

Aufruf

Beispiel für Aufruf:

  • Kurzform: LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Langform: LicenseManagerAutomation.exe --action WriteIniTop --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633

Ablauf

Bei der Lizenzierung über die Kommandozeile gilt:

  • Im ersten Schritt wird die Seriennummer validiert.
  • Dann wird die Lizenz lokal und im Netzwerk gesucht.
    Hinweis: Wird eine Demo-Seriennummer eingegeben, wird nur lokal gesucht.

Nur wenn die Lizenz gefunden wird, wird sie in die Datei License.ini eingetragen.

Meldungen

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich eingetragen.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Lizenzarten

Handbuch > Lizenzierung > Lizenzarten

Für COPA-DATA Produkte stehen Lizenzen für unterschiedliche Einsatzzwecke sowie vorkonfigurierte Bundles zur Verfügung. Zusätzlich wird jedes Produkt mit einer Demo-Lizenz ausgeliefert. Details zu Produkten, Editionen und Bundles entnehmen Sie der für Ihre Version gültigen COPA-DATA Preisliste.

Lizenzen können genutzt werden mit einem:

  • Hardware-Dongle: Frei übertragbare Lizenz auf einem Hardware-USB-Dongle.
  • Software-Dongle Standard: Rechnergebundene Lizenz auf einem Software-Dongle.
    Dabei handelt es sich um eine Datei auf dem Rechner.
  • Software-Dongle Virtual Machine: Rechnergebundene Lizenz für die Verwendung in virtuellen Maschinen.
    Dabei handelt es sich um eine Datei in einer virtuellen Maschine.

Lizenzen können:

  • Lokal oder im Netzwerk zur Verfügung stehen.
  • Mit einem fixen Ablaufdatum versehen sein.
  • Für eine bestimmte Nutzungsdauer konfiguriert sein.
  • Für ein bestimmtes Zeit-Kontingent konfiguriert sein.
  • Zurückgegeben und damit auf ein anderes System übertragen werden.

Achtung: Lizenzen mit einer bestimmten Nutzungsdauer können nicht zurückgegeben werden.

Noch in diesem Kapitel

Bundles und Lizenzanzahl/Netzwerklizenzen

Gültigkeitsende und Nutzungszeitraum

Zeit-Kontingent

Demo-Modus und Demo-Lizenzen

Education & Training


Bundles und Lizenzanzahl/Netzwerklizenzen

Handbuch > Lizenzierung > Lizenzarten > Bundles und Lizenzanzahl/Netzwerklizenzen

Die Lizenzierung berücksichtigt Bundels, Lizenzmengen und Netzwerklizenzen.

Bundle

Ein Bundle bezeichnet eine Lizenz, in der mehrere Produkte zusammengefasst sind. Zum Beispiel sind im Bundle Entwicklungsumgebung ein Editor und eine Runtime integriert. In der Preisliste wird ein Bundle als ein Artikel mit einer spezifischen Artikelnummer geführt.

Jedes Produkt wird von der Lizenzierung einzeln verwaltet. Der Lizenzausbau (Module, Anzahl TAGs usw.) ist für alle Produkte einen Bundles gleich. Diese informationen werden beim Bundle gespeichert und nicht beim Produkt.
Beispiel: Verfügt das Bundle über 2000 TAGs, so können sowohl im Editor als auch in der Runtime 2000 TAGs genutzt werden.

Die Produkte eines Bundles müssen nicht auf dem selben Rechner verwendet werden. Sie können auch aufgeteilt werden. Z. B. läuft der Editor auf Rechner A, die Runtime auf Rechner B.

Lizenzanzahl/Netzwerklizenzen

Bei jeder Lizenz wird eine Lizenzanzahl mit angegeben.
Default: 1

Bei einer Lizenzanzahl größer 1 können die Produkte entsprechend mehrfach genutzt werden.

Die Lizenzanzahl ist eine Einstellung für das Bundle. Verfügt das Bundle über eine Lizenzanzahl 3, dann können z. B. 3 Editoren und 3 Runtimes gestartet werden. Da auf einem Rechner immer nur ein Editor und/oder eine Runtime laufen können, muss die CodeMeter Runtime bei einer Lizenzzahl höher 1 als Netzwerk Server eingerichtet werden.

HTML Web Engine

Bei der HTML Web Engine wird die Anzahl der Instanzen lizenziert, z.B. 5 Instanzen. Befindet sich eine solche Lizenz in einem Bundle mit Lizenzanzahl größer 1, dann multiplizieren sich die Instanzen entsprechend.
Beispiel: Lizenzanzahl 3 mit jeweils 5 Instanzen ergibt 15 HTML Web Engine Instanzen, die gestartet werden können.


Gültigkeitsende und Nutzungszeitraum

Handbuch > Lizenzierung > Lizenzarten > Gültigkeitsende und Nutzungszeitraum

Gültigkeitsende

Bei Lizenzen kann ein fixes Gültigkeitsende (=Ablaufdatum) als Datum + Uhrzeit hinterlegt sein.

Das Gültigkeitsende ist in den Dongle einprogrammiert und kann nur durch ein Lizenzupdate verändert werden. Das Gültigkeitsende ist eine Eigenschaft des Bundles und beeinflusst damit alle Produkte des Bundles.

Nutzungszeitraum

Bei Lizenzen kann ein Nutzungszeitraum hinterlegt sein.

Der Nutzungszeitraum definiert, wie lange die Lizenz ab dem ersten Start verwendet werden kann, beispielsweise 30 Tage ab dem ersten Start. Der Nutzungszeitraum ist eine Eigenschaft des Bundles und beeinflusst damit alle Produkte des Bundles. Das erste Produkt, das gestartet wird, startet die Laufzeit des Zeitraums. Dieses Datum wird im Dongle abgelegt, und kann nur durch ein Lizenzupdate verändert werden.

Ausnahme: Der Nutzungszeitraum für Demo-Lizenzen ist pro Produkt abgelegt. Jedes Produkt verfügt somit über seinen eigenen Nutzungszeitraum.


Zeit-Kontingent

Handbuch > Lizenzierung > Lizenzarten > Zeit-Kontingent

Wenn für eine Lizenz ein Zeit-Kontingent ausgestellt wurde, wird die Laufzeit in Minuten abgerechnet. Die Restlaufzeit wird fälschungssicher im Dongle abgespeichert.

Dabei gilt:

  • Jede angebrochene Minute wird vom Zeit-Kontingent abgezogen.
  • Die Nutzungszeit läuft auch nach dem Abstecken eines Dongles weiter und wird später nachgetragen.
  • Reconnect: Wird beim automatischen Wechsel zwischen Lizenzen eine gültige Lizenz ohne Zeit-Kontingent als Ersatzlizenz verwendet, dann wird das Zählen der Zeit pausiert bis erneut ein Dongle mit Zeit-Kontingent aktiv wird.


Demo-Modus und Demo-Lizenzen

Handbuch > Lizenzierung > Lizenzarten > Demo-Modus und Demo-Lizenzen

Jede Installation beinhaltet:

  • Demo-Lizenzen: Ermöglichen Ihnen, ein Produkt für eine bestimmte Zeitspanne zu testen.
  • Demo-Modus: Ermöglicht Ihnen, ein Produkt zu starten und für 10 Minuten zu nutzen. Danach wird es wieder geschlossen.

Jede Installation beinhaltet mindestens eine Demo-Lizenz. Diese hat eine vordefinierte Laufzeit oder Anzahl erlaubter Starts. Sind diese aufgebraucht, dann kann das Produkt weiter im Demo-Modus gestartet werden, wird aber nach 10 Minuten Laufzeit beendet. Welche Nutzungsdauer zur Verfügung steht, erfahren Sie in der Lizenzverwaltung in der Registerkarte Lizenzverwendung in den Details der Lizenz.

COPA-DATA Produkte sind:

  • zenon Editor mit zenon Logic Workbench als Modul
  • zenon Runtime
  • zenon Web Server und Web Client
  • HTML Web Engine
  • Process Gateway und OPC DA Server
  • zenon Logic Workbench und Runtime

Demo-Lizenzen haben eigene Software-Dongles. Diese können nicht für andere Lizenzen benutzt werden. Die letzte vorhandene Demo-Lizenz kann über die Lizenzverwaltung nicht gelöscht werden.

Die verbleibende Laufzeit und die Anzahl der noch möglichen Starts für Demo-Lizenzen und Demo-Modus werden im Startbildschirm sowie in der Versions- und Lizenzinformation angezeigt.

Fehlende Demo-Lizenz

Ist auf Ihrem Rechner keine Demo-Lizenz verfügbar, dann:

  1. Öffnen Sie die Lizenzverwaltung.
  2. Öffnen Sie die Registerkarte Lizenzverwendung.
  3. Wählen Sie die gewünschte Demo-Lizenz.
  4. Wählen Sie das gewünschte Produkt.
  5. Klicken Sie auf die Schaltfläche ganz rechts in der Liste.
    Die Schaltfläche wird grün eingefärbt und die Lizenz wird nun verwendet.

Hinweis: Ist auch in der Lizenzverwaltung keine Demo-Lizenz verfügbar, kontaktieren Sie Ihren COPA-DATA Vertriebspartner.

Tipp Tipp

Sie können Demo-Lizenzen nutzen, um Produkte und Editionen zu testen. Ordnen Sie dazu die Demo-Lizenz in der Lizenzverwaltung an erster Stelle der Lizenzliste ein. Beim nächsten Start des Produkts wird diese Lizenz verwendet.


Education & Training

Handbuch > Lizenzierung > Lizenzarten > Education & Training

Lizenzen für Education & Training Modus werden speziell für Ausbildungszwecke ausgestellt.

Sie erlauben maximal 90 Minuten Laufzeit, dann wird das Programm automatisch beendet. Nach dem Neustart stehen wieder 90 Minuten Laufzeit zur Verfügung.


Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Handbuch > Lizenzierung > Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Ab der Version 8.00 wird die Produktversion in der Lizenz gespeichert. Nur wenn die Produktversion der Lizenz und die Produktversion des Produkts übereinstimmen, wird das Produkt gestartet. Ansonsten wird eine entsprechende Fehlermeldung angezeigt.

Besteht ein gültiger Wartungsvertrag (SLA/SUS/CDDN), dann wird in der Lizenz ein Wartungszeitraum hinterlegt. Alle Versionen, die innerhalb dieses Wartungszeitraums freigegeben worden sind, werden von der Lizenz abgedeckt.

Die Überprüfung erfolgt bei allen Produkten in dieser Reihenfolge:

  1. Wartungszeitraum vorhanden und gültig für das Produkt.
    • Ja: Produkt startet.
    • Nein: Nächster Schritt der Überprüfung.
  2. Produktversion in Lizenz stimmt mit Produktversion überein.
    • Ja: Produkt startet.
    • Nein: Lizenz ist ungültig. Produkt startet nicht.

Beispiel:

Die Lizenz hat einen Wartungszeitraum von 1.1.2018 - 31.12.2020. Alle Versionen, die innerhalb dieses Zeitraums von COPA-DATA freigegeben wurden, laufen mit dieser Lizenz. Alle anderen Versionen (früher oder später) können nicht gestartet werden.


Produktspezifische Themen

Handbuch > Lizenzierung > Produktspezifische Themen

Dieses Kapitel enthält Details zu COPA-DATA Produkten:

Noch in diesem Kapitel

Variablen: Passende Lizenzgröße auswählen

Client-Lizenz

Treiber lizenzieren

zenon Analyzer lizenzieren


Variablen: Passende Lizenzgröße auswählen

Handbuch > Lizenzierung > Produktspezifische Themen > Variablen: Passende Lizenzgröße auswählen

Lizenzen für zenon Editor und Runtime werden immer für eine bestimmte Anzahl an TAGs (Variablen) ausgestellt. Ein TAG entspricht einer externen Variablen, unabhängig vom Datentyp. Interne Variablen werden nicht als TAG gezählt. TAGs werden ausschließlich für die Lizenzierung verwendet. Für die Ermittlung der Lizenzgröße wird die Summe der TAGs von folgenden Treibern herangezogen: Alle SPS und Bus Treiber.
Nicht gezählt werden: Interne Prozessvariablen (Intern Treiber für interne Verwendung ohne Zeitstempel) sowie Prozessvariablen vom System Treiber, Mathematik Treiber und Simulator Treiber.

Für die Ermittlung der Lizenzgröße wird die Summe der TAGs folgender Treiber herangezogen:

  • SPS Treiber und Bus Treiber.
  • Intern Treiber mit vollständiger Unterstützung aller Zeitstempel (intern und extern) und vollständiger Statusanzeige.
    Weitere Informationen dazu finden Sie in der Treiberdokumentation des Intern Treibers im Kapitel Lizenzierung und Anzeige zur Runtime.

Nicht gezählt werden Variablen von:

  • Intern Treiber ohne Unterstützung des externen Zeitstempels und eingeschränkter Anzeige der Statusbits.
    Weitere Informationen dazu finden Sie in der Treiberdokumentation des Intern Treibers im Kapitel Lizenzierung und Anzeige zur Runtime.
  • System Treiber
  • Mathematik Treiber
  • Simulator Treiber
  • Alternative Datenpunkte Treiber

TAGs können Sie für Editor und Runtime jeweils in folgenden Abstufungen lizenzieren:

  • 64 TAGs
  • 128 TAGs
  • 256 TAGs
  • 512 TAGs
  • 1.024 TAGs
  • 2.048 TAGs
  • 4.096 TAGs
  • 8.192 TAGs
  • 16.384 TAGs
  • 65536 TAGs
  • unbegrenzt

Anzeige in zenon

In der Statuszeile der Detailansicht der Variablen können folgende Informationen ausgelesen werden:

Wie viele Variablen:

  • sind im Projekt vorhanden
  • werden gefiltert angezeigt
  • sind ausgewählt
  • werden im Projekt verwendet
  • sind lizenziert


Client-Lizenz

Handbuch > Lizenzierung > Produktspezifische Themen > Client-Lizenz

Client-Lizenzen können Sie nutzen, wenn:

  • das Startprojekt ein Einzelplatzprojekt oder ein Client-Projekt ist
  • das Startprojekt maximal 64 lizenzpflichtige TAGs nutzt, falls es kein Client-Projekt ist
  • alle Unterprojekte Client-Projekte sind


Treiber lizenzieren

Handbuch > Lizenzierung > Produktspezifische Themen > Treiber lizenzieren

Treiber müssen zur Verwendung in der Runtime lizenziert sein. Dazu stehen unterschiedliche Modelle zur Verfügung. Die Lizenzmodelle können gemischt werden. In diesem Fall ergänzen sich die Lizenzierungen. Wurde kein Treiber lizenziert, dann können zur Runtime nur die lizenzfreien Treiber verwendet werden. Im Editor können immer alle Treiber verwendet werden.

Hinweis: Für die Verwendung in der Runtime Simulation (Modul Prozess-Rekorder) benötigen Treiber keine Lizenz.

Lizenzmodelle:

Für Treiber stehen folgende Lizenzmodelle zur Verfügung:

Lizenzmodell

Beschreibung

Beispiel

Einzelizenzierung

Es werden bestimmte Treiber dezidiert lizenziert. Zur Runtime stehen nur diese lizenzpflichtigen Treiber zur Verfügung.

Der IEC850 Treiber ist lizenziert.
Zur Runtime kann nur der IEC850 Treiber verwendet werden, sowie alle lizenzfreien Treiber, wie interne Treiber.

Gruppenlizenzierung einzeln

Treiber werden über Preisgruppen lizenziert.
Zur Verfügung stehen:

  • Preisgruppe A
  • Preisgruppe B
  • Preisgruppe C
  • Preisgruppe R

Jede Gruppe enthält bestimmte Treiber. Welche Treiber enthalten sind, entnehmen Sie der für Ihre Produktversion gültigen Preisliste.

Aus jeder Gruppe kann die lizenzierte Anzahl der Treiber verwendet werden. Es können mehrere Gruppen parallel lizenziert werden.

Lizenziert sind 3 Treiber der Gruppe A und 2 Treiber der Gruppe R.
Zur Runtime können 5 Treiber aus diesen beiden Gruppen verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln lizenziert wurden.

Gruppenlizenzierung ABC

Eine bestimmte Anzahl an Treibern der Gruppen A, B oder C sind lizenzierbar. Treiber der Gruppe R sind dabei nicht enthalten

Lizenziert sind 3 Treiber der Gruppen ABC. Zur Runtime können damit 3 Treiber egal welcher Gruppe (außer R) verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln lizenziert wurden.

Mengenlizenzierung

Es wird eine bestimmte Anzahl beliebiger Treiber lizenziert. Zur Runtime kann jeder beliebige Treiber verwendet werden, solange die Gesamtzahl nicht erreicht ist. Ausgenommen davon sind die Treiber für SICAM 230.

Lizenziert sind 5 Treiber allgemein.
Zur Runtime können 5 beliebige Treiber verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln oder über eine Gruppe lizenziert wurden.

Freie Treiber

Einige Treiber sind lizenzfrei. Diese können jederzeit verwendet werden. Sie werden auch bei Mengenlizenzierungen nicht von der lizenzierten Anzahl abgezogen.

Es wurde kein Treiber lizenziert. Zur Runtime kann aber der Intern Treiber verwendet werden.

Kundenspezifische Treiber

Entwickelt ein Kunde auf Basis des Treiberkits seine eigenen Treiber, müssen diese nicht lizenziert werden.

SICAM 230 Treiber. (Preisgruppe K)

Fallen nicht unter die zenon Treiber-Lizenzmodelle und müssen einzeln lizenziert werden. Diese Treiber werden nicht über die Mengenlizenzierung lizenziert.

Example Beispiel

Lizenziert sind 5 Treiber allgemein, 3 Treiber der Gruppe R und der IEC850-Treiber. Es wird erst der IEC850-Treiber geprüft, dann die Preisgruppe R, dann die Mengenlizenzierung.
Ergebnis: Zur Runtime können 9 Treiber verwendet werden:

  • IEC850 Treiber.
    Auch dann, wenn er Teil der Gruppe R ist.
  • 3 Treiber der Gruppe R.
    Zusätzlich zum IEC850 Treiber
  • 5 weitere beliebige Treiber.
    Zusätzlich zu den 3 Treibern der Gruppe R und zum IEC850 Treiber

Prüfung zur Runtime

Zur Runtime werden alle Projekte inklusive Unterprojekte auf die Lizenzierung der verwendeten Treiber überprüft. Ist ein Treiber nicht lizenziert, dann wird eine Fehlermeldung ausgegeben und ein Eintrag in die LOG-Datei geschrieben. Die Runtime wird beendet. Nicht lizenziert ist ein Treiber, wenn er über keines der verfügbaren Modelle eine gültige Lizenz erhält

Ablauf der Überprüfung:

  1. Erst wird überprüft, ob es sich um einen lizenzfreien Treiber handelt.
    Ist das der Fall, wird er akzeptiert. Er wird bei der Einzellizenzierung, der Gruppenlizenzierung und der Mengenlizenzierung nicht mehr beachtet.
  2. Handelt es sich um keinen lizenzfreien Treiber, wird die Einzellizenzierung geprüft.
    Ist der Treiber hier enthalten, wird er akzeptiert. Er wird bei der Gruppenlizenzierung und der Mengenlizenzierung nicht mehr beachtet.
  3. Ist der Treiber in der Einzellizenzierung nicht enthalten, wird die Gruppenlizenzierung geprüft.
    Ist der Treiber hier enthalten, wird er akzeptiert. Er wird bei der Mengenlizenzierung nicht mehr beachtet.
  4. Ist der Treiber in der Gruppenlizenzierung nicht enthalten, wird die Mengenlizenzierung überprüft.
    Steht hier noch eine Lizenz für einen Treiber zur Verfügung, wird er akzeptiert.
  5. Ist der Treiber in keinem Modell enthalten, wird er als nicht lizenziert bewertet.

Hinweis: SICAM 230 Treiber müssen immer einzeln lizenziert werden. Sie werden extra geprüft und können nicht mit den anderen zenon Lizenzmodellen abgedeckt werden.

Welche Treiber lizenziert sind, können Sie jederzeit überprüfen:

  • in der Lizenzverwaltung
  • im Editor in der Lizenzinformation
  • zur Runtime über die Funktion Lizenzinformation anzeigen

Verhalten bei Unterlizenzierung

Wird zur Runtime festgestellt, dass nicht lizenzierte Treiber verwendet werden, wird eine entsprechende Fehlermeldung ausgegeben. Die Meldung gibt an, dass mindestens 1 Treiber nicht lizenziert wurde. Danach wird die Runtime beendet.

So passen Sie die Lizenzierung an:

  1. Öffnen Sie die Lizenzverwaltung.
  2. Überprüfen Sie in der Registerkarte Lizenzverwendung:
    • Welche Lizenz wird aktuell für die Runtime verwendet.
    • Wie viele und welche Treiber wurden lizenziert.
  3. Überprüfen Sie in der Projektierung, welche Treiber verwendet werden.
  4. Lizenzieren Sie die fehlenden Treiber.
  5. Starten Sie die Runtime erneut.
  6. Die Treiber-Lizenzen werden überprüft und die Runtime startet bei erfolgreicher Prüfung.


zenon Analyzer lizenzieren

Handbuch > Lizenzierung > Produktspezifische Themen > zenon Analyzer lizenzieren

Die Komponenten des zenon Analyzer müssen über eine gültige Lizenz verfügen. Dabei müssen Server und Clients für die gleiche Version lizenziert sein.

Die Eingabe der Lizenzdaten erfolgt über die Lizenzverwaltung. Dieser Dialog wird auch für andere COPA-DATA Produkte verwendet.

Hinweis: Achten Sie auf ausreichende Lizenzierung, um alle Benutzer mit fixer Lizenz sowie eventuell weitere Benutzer mit Lizenzen auszustatten.

Einschränkungen

Ohne gültige Lizenz gelten folgende Einschränkungen:

  • Es ist kein Zugriff von außen über die Standard-Zugriffsseite möglich.
  • Es ist keine Connector-Funktionalität gegeben.
  • Reportvorlagen und Reports können nicht verwendet werden.
  • ZAMS, Dateneditoren und Prediction Model Manager können zwar ohne Lizenz gestartet werden, erlauben aber keine Verbindung zum Analyzer Server.
    Ohne Verbindung sind nur möglich:
    • Konfiguration der Anwendung
    • Öffnen von Versionshinweis
    • Öffnen der Hilfe
    • Öffnen der Lizenzverwaltung (nur ZAMS)
      Hinweis: Bei Lizenzverlust im laufenden Betrieb werden alle in ZAMS geöffneten Reports geschlossen. Vor dem Schließen wird das Speichern angeboten.

Lizenzierung in Arbeitsgruppen

Zur Lizenzierung für Rechner, die sich nicht in Domänen, sondern in Windows Arbeitsgruppen befinden, beachten Sie die Vorgangsweise in Kapitel Lizenzierung in Arbeitsgruppen.

Noch in diesem Kapitel

Lizenzierung in Arbeitsgruppen


Lizenzierung in Arbeitsgruppen

Handbuch > Lizenzierung > Produktspezifische Themen > zenon Analyzer lizenzieren > Lizenzierung in Arbeitsgruppen

Die Lizenzierung für zenon Analyzer in Windows Arbeitsgruppen unterscheidet sich von der Lizenzierung für Domänen.

Voraussetzungen

Für die Lizenzierung innerhalb von Arbeitsgruppen muss der zenon Analyzer Lizenzdienst im Modus Workgroup arbeiten.
Dazu müssen folgende Voraussetzungen erfüllt sein:

  • Der Rechner, der als Analyzer Server fungiert, muss Mitglied der Arbeitsgruppe sein.
  • Alle Benutzer der Arbeitsgruppe müssen auch am Analyzer Server vorhanden sein.
  • Der Lizenzdienst am Analyzer Server muss im Benutzerkontext eines Benutzers der Arbeitsgruppen laufen. So werden andere Rechner in der Arbeitsgruppe als Mitglieder der Gruppe erkannt.

Lizenzdienst Benutzerkontext ändern

So ändern Sie den Benutzerkontext für den Lizenzdienst:

  1. Öffnen Sie die Verwaltung der lokalen Dienste.
  2. Navigieren Sie zum Dienst zrsLicSrv.
  3. Stoppen Sie den Dienst.
  4. Klicken Sie im Kontextmenü des Dienstes auf Eigenschaften.

    Der Dialog mit den Eigenschaften des Dienstes wird geöffnet.

  5. Öffnen Sie die Registerkarte Anmelden.
  6. Aktivieren Sie den Radiobutton Dieses Konto.
  7. Geben Sie Benutzername, Kennwort und Kennwortbestätigung für den gewünschten Benutzer ein.
  8. Schließen Sie den Dialog mit Klick auf OK.
  9. Starten Sie den Dienst.


Versions- und Lizenzinformationen anzeigen

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen

Welche Version und welche Lizenz Sie aktuell nutzen und welche Module darin inkludiert sind, sehen Sie in der Lizenzinformation des jeweiligen Produkts.

Noch in diesem Kapitel

zenon Editor

zenon Runtime

zenon Logic Workbench

zenon Logic Runtime

zenon Web Server

HTML Web Engine

Process Gateway

OPC DA Server

zenon Analyzer


zenon Editor

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Editor

Um Lizenzinformationen im Editor anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer des Editors.

Edition

Verwendete Edition.

Seriennummer

Seriennummer der Lizenz.

Ablaufzeit (optional)

Zeigt bei befristeter Lizenz Informationen über das Ablaufdatum.

Detailinformationen

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Lizenzverwaltung öffnen

Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Schließen

Schließt den Dialog.


zenon Runtime

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Runtime

Um Lizenzinformationen in der Runtime anzuzeigen:

  1. Projektieren Sie die Funktion Lizenzinformation anzeigen.
  2. Führen Sie diese zur Runtime aus.

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer der Runtime.

Edition

Verwendete Edition.

Seriennummer

Seriennummer der Lizenz.

Ablaufzeit (optional)

Zeigt bei befristeter Lizenz Informationen über das Ablaufdatum.

Detailinformationen

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Schließen

Schließt den Dialog.


zenon Logic Workbench

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Logic Workbench

Um Lizenzinformationen in der zenon Logic Workbench anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Parameter/Schaltflächen | Beschreibung
Version | Versionsnummer der integrierten Workbench.
Edition | Verwendete Edition.
Serial number | Seriennummer der Lizenz.
Detail information | Zeigt Details zur Lizenz an.
Open license administration | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.
Close | Schließt den Dialog.


zenon Logic Runtime

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Logic Runtime

Um die Lizenzinformationen anzuzeigen:

  1. Klicken Sie bei laufender Runtime doppelt auf das Symbol für die zenon Logic im Systemtray.

    Der Dialog mit Statusinformationen wird geöffnet.

  2. Klicken Sie in der linken oberen Ecke auf das Logo von zenon Logic.
  3. Wählen Sie in der Dropdownliste Über zenon Logic Runtime... aus.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Dialog Lizenzinformation

Option | Beschreibung
Lizenzinformationen | Zeigt Informationen zur aktuell genutzten Lizenz an.
OK | Schließt den Dialog.
Lizenzverwaltung öffnen | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.


zenon Web Server

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Web Server

Um Lizenzinformationen anzuzeigen:

  1. Öffnen Sie die Systemsteuerung oder das Startmenü.
  2. Klicken Sie auf zenon Web Server.

    Der Dialog für Konfiguration und Lizenzierung wird geöffnet.

Dialog zenon Web Server

Option

Beschreibung

Active Clients

Liste der aktuell verbundenen zenon Web Clients.

State:

Zeigt Version und Status des Web Servers an:

Mögliche Versionen:

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Mögliche Statusmeldungen:

  • running:
    Web Server läuft mit gültiger Lizenz
  • stopped:
    Web Server wurde gestoppt
  • Demomodus:
    Web Server läuft im Demomodus ohne Lizenz
  • not installed:
    Web Server nicht als Dienst registriert oder Installationsfehler

Max. number of clients:

Maximale Zahl an Clients, die sich zum Web Server verbinden dürfen. Zahl wird durch Lizenz definiert.
Im Demomodus sind 2 Clients für 30 Minuten lizenziert.

Default: 0

Number of active clients:

Zeigt die Zahl der aktuell verbundenen Clients an.

HTTP tunnelling

Aktiv: HTTP Tunneling ist aktiviert.

Nicht verfügbar in der Web Server Pro Light-Version.
Hinweis: Kann nur geändert werden, wenn der Web Server im Status gestoppt ist. Im laufenden Betrieb kann nicht umgeschaltet werden.

Default: inaktiv

Start

Startet den Web Server.

Stop

Stoppt den Web Server.

Refresh

Aktualisiert die Anzeige.

Diagnosis Viewer

Öffnet den Diagnose Viewer zur Auswertung von Fehlermeldungen.

License Manager

Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

License ínformation

Zeigt Informationen zur aktuell genutzten Lizenz an.

  • Falls genutzt: Demo-Lizenz / Education & Training Lizenz
  • lizenzierte Produktversionen
  • Seriennummer
  • Ablaufzeit/Nutzungsdauer

License errors

Zeigt Informationen zu Fehler bei den gefundenen Lizenzen an.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


HTML Web Engine

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > HTML Web Engine

Um Lizenzinformationen in der HTML Web Engine anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer des Editors.

Edition

Verwendete Edition.

Serial number

Seriennummer der Lizenz.

Detail information

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Open license manager

Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Close

Schließt den Dialog.


Process Gateway

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > Process Gateway

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie das Process Gateway.
  2. Klicken Sie die Schaltfläche About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Wird das Process Gateway ohne bestehende Modulkonfiguration geöffnet, muss zuerst ein Modul gewählt werden. Nach Auswahl eines Moduls wird der entsprechende Startdialog für das Process Gateway geöffnet. Dabei ist die Schaltfläche Settings so lange inaktiv, bis das Process Gateway lizenziert ist.


OPC DA Server

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > OPC DA Server

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie den OPC DA Server.
  2. Klicken Sie auf About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.


zenon Analyzer

Handbuch > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Analyzer

Um die vom Analyzer Server verwendete Lizenz anzuzeigen:

  1. Wählen Sie im Ribbon Analyzer Server den Befehl Lizenz anzeigen.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Option

Beschreibung

Lizenzdetails

Zeigt Details der aktuellen Lizenz an, vor allem:

  • Seriennummer
  • lizenzierte Versionen
  • lizenzierte Clients
  • Daten zu Gültigkeit und Ablauf

Enthaltene Themen

Anzeige der Reportthemen, die in dieser Lizenz enthalten sind.

OK

Schließt das Fenster.

Details zur Lizenzierung siehe auch Kapitel Lizenzierung.


Redundanter Lizenzschutz

Handbuch > Lizenzierung > Redundanter Lizenzschutz

In manchen Anlagen ist eine ständige Verfügbarkeit unabdingbar. Es muss unbedingt sichergestellt werden, dass auch der Lizenzschutz immer erreichbar ist. Für solche Anwendungsfälle kann eine Lizenz-Suchliste in der Lizenzverwaltung erstellt werden.

Diese Suchliste wird sowohl beim Starten berücksichtigt, als auch im laufenden Betrieb. Alle Produkte versuchen immer die nächste Lizenz in der Liste zu belegen. Demo-Lizenzen werden dabei nicht berücksichtigt. Fällt während des laufenden Betriebs eine Lizenz aus, wird automatisch die nächste Lizenz als Ersatzlizenz verwendet, sofern sie den Regeln entspricht.

Regeln für den Reconnect

  • Die Reihenfolge der Abfrage entspricht der Reihenfolge in der License.ini. Diese wird über die Lizenzverwaltung in der Registerkarte Lizenzverwendung festgelegt.
  • Es werden maximal 10 Lizenzen abgefragt.
  • Während der Laufzeit werden Demo-Lizenzen nicht als Ersatzlizenzen berücksichtigt. Sie werden übersprungen.
  • Eine Ersatzlizenz muss für die genutzte Produktversion gültig sein und mindestens den gleichen Lizenzausbau aufweisen wie die ursprüngliche Lizenz. Sie kann auch über einen höheren Lizenzausbau verfügen, z.B. mehr TAGs, mehr Module usw. Es werden aber immer nur die in der ursprünglichen Lizenz verfügbaren Ausbauten zur Verfügung gestellt.
  • Die Edition muss in beiden Lizenzen dieselbe sein.
  • Beispiele:
    • Beispiel 1: Die beim ersten Start der Runtime verwendete Lizenz ist eine Operator-Lizenz. Die Ersatzlizenz ist eine Supervisor-Lizenz. Die Ersatzlizenz kann nicht genutzt werden, da die Edition nicht dieselbe ist.
    • Beispiel 2: Die beim ersten Start der Runtime verwendete Lizenz hat 2000 TAGs, die Module Archivserver, Erweiterter Trend und zwei Treiber lizenziert. Die Ersatzlizenz hat 4000 TAGs, zusätzlich das Modul Message Control und drei Treiber lizenziert. Die Ersatzlizenz wird verwendet. Die erhöhte TAG-Anzahl, die neuen Module und Treiber können jedoch nicht genutzt werden.

Verhalten beim Neustart

Beim Neustart wird ebenso die Lizenzsuchliste in der License.ini berücksichtigt.
Der Unterschied zum Reconnect:

  • Es wird kein Vergleich mit der ersten Lizenz durchgeführt
  • Der volle Lizenzausbau der Lizenz wird berücksichtigt
  • Demo-Lizenzen werden berücksichtigt.
    Achtung: Das kann zu unerwünschtem Verhalten führen.
    Haben Sie z. B. als zweite Lizenz eine Demo-Lizenz eingetragen, ist das Verhalten bei Neustart und Reconnect unterschiedlich:
    • Beim Reconnect wird die Demo-Lizenz übersprungen und die dritte Lizenz verwendet.
    • Beim Neustart wird die Demo-Lizenz gestartet.


Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Handbuch > Lizenzierung > Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Dieses Kapitel beschreibt die Vorgangsweise, wenn ein Software-Dongle verwendet wird und die Festplatte ausgetauscht oder das Betriebssystem neu installiert wird.
Hinweis: Bei Hardware-Dongles muss beim neu Aufsetzen des Betriebssystems die Lizenz erneut übernommen werden. Details siehe Kapitel Lizenz von Hardware-Dongle übernehmen.

Software-Dongle: Geplanter Festplattentausch - Betriebssystem neu aufsetzen

Falls Sie vorhaben, die Festplatte mit dem Betriebssystem (in der Regel Laufwerk C) auszutauschen oder das Betriebssystem neu aufzusetzen:

  1. Geben Sie Lizenzen rechtzeitig zurück.
  2. Tauschen Sie die Festplatte und/oder setzen Sie das Betriebssystem neu auf.
  3. Aktivieren Sie die Lizenzen wieder.

Details dazu lesen Sie im Kapitel Lizenz übertragen/übersiedeln.

Software-Dongle: Ungeplanter Festplattentausch

Wird die Festplatte mit dem Laufwerk C defekt, dann kann die Lizenz nicht mehr ans Lizenzdepot zurückgegeben werden. Die Lizenz ist damit verloren. Das gilt auch, wenn das Betriebssystem neu aufgesetzt wurde, ohne dass zuvor die Lizenz zurückgegeben wurde. In der Regel kann jedoch dieselbe Seriennummer wieder für eine Reaktivierung verwendet werden.

attention Achtung

Es dürfen keine anderen Komponenten als die Festplatte getauscht werden. Werden auch andere Komponenten geändert, muss eine Ersatzlizenz ausgestellt werden.

Um eine Lizenz bei einem Festplattentausch wiederherzustellen:

  1. Setzen Sie den Rechner neu auf und installieren Sie zenon neu.
  2. Starten Sie die Lizenzverwaltung.
  3. Wechseln Sie in der erweiterten Ansicht zur Registerkarte Lizenz aktivieren.
  4. Wählen Sie Offline-Aktivierung aus.
  5. Geben Sie dieselbe Seriennummer ein, die bei der letzten Aktivierung verwendet wurde.
  6. Klicken Sie auf Lizenz-Anforderungsdatei erstellen.
  7. Öffnen Sie den Webbrowser.
  8. Öffnen Sie auf keinen Fall die Web-Adresse, die im Dialog angezeigt wird!
    Öffnen Sie stattdessen unbedingt diese Web-Adresse:
    https://copadata-license.copadata.com/restore.php

    Achtung: Wird der Host-Rechner nicht als ident mit dem ursprünglichen Aktivierungsrechner erkannt, erfolgt eine Fehlermeldung. In diesem Fall muss eine Ersatzlizenz angefordert werden.

  9. Laden Sie die Anforderungsdatei <SN>.LicRec hoch.
  10. Laden Sie die Update-Datei <SN>.LicUpd herunter.
  11. Übernehmen Sie die Update-Datei in der Lizenzverwaltung.
  12. Laden Sie die Bestätigungsdatei <SN>.LicConf hoch.

Ihre Lizenz ist wieder einsatzbereit.


Lizenzbruch bei Software-Dongles

Handbuch > Lizenzierung > Lizenzbruch bei Software-Dongles

Lizenzen für Software-Dongles sind rechnergebunden. Sie können nur auf den ursprünglich lizenzierten Rechnern verwendet werden. Werden Sie auf anderen Rechnern verwendet, dann werden sie ungültig.

Ob eine Lizenz beim physikalischen Umbau eines Rechners weiter genutzt werden kann, hängt davon ab, welche und wie viele Komponenten geändert werden. Die Änderung des Rechnernamens oder der Tausch einer Festplatte (ausgenommen Laufwerk C) stellen in der Regel kein Problem dar.

info Info

Lizenzen können zurückgegeben und neu aktiviert werden. Damit ist es möglich, eine Lizenz ohne Lizenzbruch auf einen anderen Rechner oder eine andere Virtual Machine zu übertragen.

Arten von Software-Dongles

Software-Dongles stehen in verschiedenen Ausprägungen zur Verfügung. Diese unterscheiden sich in Einsatzmöglichkeiten und in Auslösern für Lizenzbruch.

Dongle-Typ

Funktionalität

Lizenzbruch

Software-Dongle Standard:
(Rechnergebundene Lizenz)
  • Lizenz ist nur auf dem Rechner gültig, auf dem sie aktiviert wurde.
  • Lizenz kann nur auf einem physikalischen Rechner verwendet werden, aber nicht in einer Virtual Machine.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Hardware des Rechners wird geändert.
  • Das Betriebssystem wird neu installiert. Details dazu lesen Sie im Kapitel Festplatte defekt - Festplatte tauschen - Betriebssystem neu aufsetzen.

Software-Dongle VirtualMachine:

(Rechnergebundene Lizenz für Virtual Machine)
  • Lizenz ist nur auf dem Host-Rechner gültig, auf dem die Virtual Machine aktiviert wurde.
  • Lizenz kann in einer Virtual Machine und auf einem physikalischen Rechner verwendet werden.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Virtual Machine wird auf einen anderen Host-Rechner übertragen.
  • Die Hardware des Host-Rechners wird geändert wird.

Software-Dongle VM DataCenter:

(Lizenz für Virtual Machine in Data Center)
  • Lizenz kann in einer Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers verwendet werden.
  • Die Virtual Machine kann innerhalb des Data Centers auf unterschiedliche Host-Systeme verschoben werden.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Virtual Machine wird kopiert.

Lizenzbruch

Bricht eine Lizenz, wird in der Lizenzverwaltung eine entsprechende Meldung angezeigt. Abhängig von der Ursache des Lizenzbruchs, kann die Lizenz wiederhergestellt werden oder muss durch eine neue Lizenz ersetzt werden.

Achtung: Notieren Sie bei Lizenzbruch immer die betroffenen Seriennummern! Sind die Seriennummern nicht mehr feststellbar, muss die Dongle-ID bekanntgegeben werden. Notieren Sie daher immer die in der Fehlermeldung angezeigte Dongle-ID. Nur so kann der Lizenzgeber herausfinden, welche Lizenzen am Dongle aktiviert waren. Aus gebrochenen Software-Dongles können keinerlei andere Informationen ausgelesen werden.

Wiederherstellung und Ersatzlizenzen

Wird ein Software-Dongle ungültig, dann können die darin enthaltenen Lizenzen unter bestimmten Bedingungen wiederhergestellt oder neu angefordert werden.

  • Wiederherstellung des ursprünglichen Zustands.
    Der Software-Dongle wird dadurch wieder gültig. Danach kann die Lizenz im regulären Ablauf übertragen werden.
  • Wiederherstellung ist nicht mehr möglich: Anforderung einer Ersatzlizenz.

Lizenz wiederherstellen:

Eine Lizenz kann wiederhergestellt werden, wenn der physikalische Zustand des Hosts wieder in den Ausgangszustand zurückgesetzt werden kann.

  1. Sellen Sie den ursprünglichen Hardwarezustand des Rechners wieder her. Beispielsweise in dem sie die Virtual Machine wieder auf das ursprünglichen Host-System zurück transferieren.
    Auschlaggebend für den ursprungszustand dazu ist der Zeitpunkt der zenon Installation. Bei der Installation wird der Software-Dongle an die Hardware gebunden.
  2. Die Lizenz wird wieder gültig.
  3. Geben Sie die Lizenz zurück.
  4. Transferieren Sie die Virtual Machine oder ändern Sie die Hardware des Rechners.
  5. Aktivieren Sie die Lizenz erneut.

Ersatzlizenz anzufordern:

In folgenden Fällen kann eine Ersatzlizenz ausgestellt werden:

  • Eine Lizenz ist gebrochen und kann nicht wiederhergestellt werden.
  • Eine Lizenz ist bedingt durch einen Festplattendefekt unwiederbringlich verloren. Siehe auch Kapitel: Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Beim Ausstellen einer Ersatzlizenz wird der bisherige Dongle gesperrt. Er kann nicht mehr verwendet werden. Alle Lizenzen, die auf dem Dongle gespeichert waren, werden damit ungültig. Für die Erstellung von Ersatzlizenzen werden die verlorenen Seriennummern benötigt. Sind diese nicht mehr feststellbar, so können diese über die die Dongle-ID herausgefunden werden.

  1. Löschen sie die gebrochene Lizenz
  2. Kontaktieren Sie Ihren Vertriebspartner.
  3. Fordern Sie eine neue Lizenz an.
  4. Aktivieren Sie die neue Lizenz.

attention Achtung

Virtual Machine in Data Center:

In einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers kann auch das automatisierte Wechseln des Host-Systems einen Lizenzbruch bei einer Virtual Machine auslösen. Fordern Sie in diesem Fall beim Lizenzaussteller eine Lizenz an, die für Data Center geeignet ist.


Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Handbuch > Lizenzierung > Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Eine Virtual Machine kann entweder mit dem Dongle-Typ Software-Dongle VirtualMachine oder mit dem Dongle-Typ Software-Dongle VM DataCenter betrieben werden. In der Regel wird der Dongle-Typ Software-Dongle VirtualMachine verwendet. Wird die Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) oder in einem privaten Data Center betrieben, wird dringend empfohlen, den Dongle-Typ Software-Dongle VM DataCenter zu verwenden. Sonst wird bei jedem Wechsel des Host-Systems der Software-Dongle brechen. Die Wechsel können in der Regel vom Benutzer nicht beeinflusst werden. Eine Freischaltung für diesen Dongle-Typ muss beim Lizenzgeber beantragt werden.

Der Wechsel erfolgt manuell über Umstellung in der Lizenzverwaltung oder automatisch durch das Einspielen einer entsprechenden Lizenz.

Manueller Wechsel von Virtual Machine zu Virtual Machine DataCenter

Manuelle Umstellung über Lizenzverwaltung:

  1. Starten Sie die Lizenzverwaltung in der Virtual Machine.
  2. Falls auf dem Dongle Lizenzen vorhanden sind, geben Sie diese zurück.
  3. Öffnen Sie die Registerkarte Einstellungen.
  4. Klicken Sie auf die Schaltfläche Software-Dongle auf Dongle-Typ "VM DataCenter" wechseln.

    Hinweis: Diese Schaltfläche wird nur bei Lizenzierung in einer Virtual Machine angezeigt.

  5. Bestätigen Sie die Sicherheitsabfrage.

    Der vorhandene Software-Dongle VirtualMachine wird gelöscht und ein Software-Dongle VM DataCenter wird angelegt.
    Die Schaltfläche ändert ihre Funktionalität auf Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln.

  6. Aktivieren Sie die benötigten Lizenzen auf dem neuen Dongle.

Um einen Dongle auf Software-Dongle VirtualMachine zu ändern, durchlaufen Sie die Schritte erneut und klicken Sie auf Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln.

Automatisches Umschalten des Dongles beim Einspielen einer Lizenz

Die Dongles Software-Dongle VirtualMachine und Software-Dongle VM DataCenter können auch automatisch umgeschaltet werden.

Das passiert, wenn:

  • der Ziel-Dongle leer ist
    und
  • eine entsprechende Lizenz darauf aktiviert wird

Sind bereits Lizenzen vorhanden, wird eine Fehlermeldung angezeigt.

Hinweise:

  • Wird eine Lizenz , die für Software-Dongle VM DataCenter freigeschaltet ist, auf einem Software-Dongle VirtualMachine aktiviert, dann verliert die Lizenz ihre Eigenschaft, in Data Center hardwareunabhängig eingesetzt werden zu können.
  • Wird der Dongle-Typ während des Lizenzierungsvorgangs automatisch umgestellt, der Lizenzierungsvorgang schlägt aber fehl, dann wird der Dongle-Typ nicht zurück gestellt.

Beispiel

Auf einem Dongle Software-Dongle VirtualMachine wird eine Lizenz für Software-Dongle VM DataCenter online aktiviert. Der Dongle enthält noch keine Lizenz. Er wird automatisch umgestellt auf einen Software-Dongle VM DataCenter.


Lizenzabfrage während des Betriebes

Handbuch > Lizenzierung > Lizenzabfrage während des Betriebes

Im laufenden Betrieb wird die Lizenz für das verwendete Produkt regelmäßig überprüft. Ist keine Lizenz mehr vorhanden, wird versucht, die Verbindung wieder herzustellen. Gelingt das nicht, werden der Rechner und das Netzwerk auf weitere passende Lizenzen überprüft.

Regeln für den Reconnect

  • Die Reihenfolge der Abfrage entspricht der Reihenfolge in der License.ini. Diese wird über die Lizenzverwaltung in der Registerkarte Lizenzverwendung festgelegt.
  • Es werden maximal 10 Lizenzen abgefragt.
  • Während der Laufzeit werden Demo-Lizenzen nicht als Ersatzlizenzen berücksichtigt. Sie werden übersprungen.
  • Eine Ersatzlizenz muss für die genutzte Produktversion gültig sein und mindestens den gleichen Lizenzausbau aufweisen wie die ursprüngliche Lizenz. Sie kann auch über einen höheren Lizenzausbau verfügen, z.B. mehr TAGs, mehr Module usw. Es werden aber immer nur die in der ursprünglichen Lizenz verfügbaren Ausbauten zur Verfügung gestellt.
  • Die Edition muss in beiden Lizenzen dieselbe sein.
  • Beispiele:
    • Beispiel 1: Die beim ersten Start der Runtime verwendete Lizenz ist eine Operator-Lizenz. Die Ersatzlizenz ist eine Supervisor-Lizenz. Die Ersatzlizenz kann nicht genutzt werden, da die Edition nicht dieselbe ist.
    • Beispiel 2: Die beim ersten Start der Runtime verwendete Lizenz hat 2000 TAGs, die Module Archivserver, Erweiterter Trend und zwei Treiber lizenziert. Die Ersatzlizenz hat 4000 TAGs, zusätzlich das Modul Message Control und drei Treiber lizenziert. Die Ersatzlizenz wird verwendet. Die erhöhte TAG-Anzahl, die neuen Module und Treiber können jedoch nicht genutzt werden.

Lizenzverlust ohne Ersatzlizenz

Wird keine gültige Lizenz während der Laufzeit gefunden, verhalten sich die Produkte wie folgt:

  • zenon Runtime: Die Runtime läuft weiter.
    Es werden Einträge in die CEL geschrieben. Mittels der Systemtreibervariable Lizenzschutz vorhanden kann das Vorhandensein des Lizenzschutzes lokal und im Netzwerk überwacht werden.
  • zenon Web Server: Der zenon Web Server läuft weiter.
    Es werden entsprechende Informationen Im zenon Web Server Dialog angezeigt.
  • zenon Editor: Der Editor wird beendet.
  • HTML Web Engine: Wird weiter ausgeführt.
  • zenon Logic, Process Gateway und OPC DA Server: Alle Produkte werden weiter ausgeführt.
    Der Lizenzverlust wird im Dialog Info über... angezeigt.
  • zenon Analyzer ZAMS: Wird beendet.
  • zenon Analyzer Report Launcher: Neue Reports können nicht geöffnet werden. Geöffnete Reports können nicht aktualisiert werden.

Für alle Produkte gilt: Wenn keine Lizenz zur Verfügung steht, kann das Produkt nicht neu gestartet werden. Die Produkte laufen also maximal bis zum nächsten Neustart. Der Demo-Modus kann weiter genutzt werden.

Mögliche Gründe für Lizenzverlust

Wenn Ihr Produkt Lizenzverlust meldet, kann es dafür eine Reihe von Gründen geben.
Die häufigsten Ursachen für Lizenzverlust sind:

  • Die Netzwerkverbindung zum Lizenzserver ist nicht mehr verfügbar.
  • Der Hardware-Dongle wurde entfernt.
  • Die Lizenz ist abgelaufen.
  • Das Zeit-Kontingent für das Produkt ist erschöpft.


Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Handbuch > Lizenzierung > Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Tritt bei einem Rechner ein Hardwareproblem aus, zum Beispiel kaputte Festplatte, dann sind Software-Lizenzen meistens davon betroffen. Entweder bricht die Lizenz oder sie ist gar nicht mehr vorhanden.

In diesem Fall können Sie bis zum Ersatz der Lizenz eine Demo-Lizenz verwenden. Alle Runtime Demo-Lizenzen verfügen über 30 Tage Laufzeit ab dem ersten Start. Ausgenommen: Virtual Machine Demo-Lizenzen.

Sollten Sie die Demo-Lizenz vorher noch nie verwendet haben, dann stehen Ihnen nun 30 Tage ab dem ersten Start des Produktes zur Verfügung. Der Nutzungszeitraum wird für jedes Produkt (Editor/Runtime/Web Server usw...) einzeln gestartet.


Besonderheiten beim Client-Server-Betrieb

Handbuch > Lizenzierung > Besonderheiten beim Client-Server-Betrieb

Bei der Lizenzierung von Modulen im Client-Server-Betrieb gelten folgende Besonderheiten:

Modul

Beschreibung

Archivserver

Folgende Fälle werden unterschieden:

  • Server und Client lizenziert:
    Archive können am Client geöffnet und bearbeitet werden.
  • Server lizenziert und Client nicht lizenziert:
    Archive können am Client geöffnet, aber nicht bearbeitet werden.
  • Archivserver nicht lizenziert und Standalone gestartet:
    Das Bild Archiv-Nachbearbeitung kann geöffnet werden, die einzelnen Archive können jedoch nicht bearbeitet werden.

Automatic Line Coloring

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Batch Control

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Last-Management

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Message Control

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Everywhere Server by zenon

Der Everywhere Server holt sich die Lizenz von der Runtime. Verfügt die Runtime über keine entsprechende Lizenz, kann der Everywhere Server nicht genutzt werden. Das kann dazu führen, dass zwar die Runtime läuft, der Everywhere Server jedoch auf Grund fehlender Lizenzen nicht gestartet werden kann.


Seriennummer

Handbuch > Lizenzierung > Seriennummer

Jedes Produkt muss über eine Seriennummer lizenziert werden.
Die Seriennummer wird nach bestimmten Regeln erstellt. Sie besteht aus 5 Gruppen zu jeweils 5 Zeichen und enthält eine Prüfsumme. Die letzten 10 Stellen enthalten eine fortlaufende Zahl und machen die Seriennummer leicht voneinander unterscheidbar.

Beispiel: C00GF-2SQ5T-QWERT-00000-00035

Die Seriennummer darf nur bestimmte alphanumerische Zeichen enthalten:

  • Erlaubte Zeichen:
    • Nur arabische Ziffern: 0-9
    • Nur Großbuchstaben aus dem lateinischen Alphabet.
    • A-N
    • P-Z
  • Verbotene Zeichen:
    • Buchstabe O, damit es keine Verwechslungen mit der Ziffer 0 gibt.
    • Sonderzeichen


License.ini Datei

Handbuch > Lizenzierung > License.ini Datei

Die Informationen zur Lizenzierung werden in der Datei License.ini abgelegt. Aktionen zur Lizenzierung werden aber immer über die Lizenzverwaltung ausgeführt.

Pfad zur License.ini: %programdata%\COPA-DATA\System
Tipp: Sie können den Pfad auch mit der Umgebungsvariable %CD_System% aufrufen.

attention Achtung

Bearbeiten Sie die Datei License.ini nie manuell!
Änderungen an dieser Datei können dazu führen, dass korrekt lizenzierte Produkte nicht mehr genutzt werden können. Führen Sie Aktionen zur Lizenzierung immer über die Lizenzverwaltung durch.


CodeMeter Voraussetzungen

Handbuch > Lizenzierung > CodeMeter Voraussetzungen

Für die Lizenzierung wird Hardware und Software von CodeMeter verwendet.
Dafür müssen folgende Voraussetzungen erfüllt sein:

Allgemein:

  • Die CodeMeter Runtime Version muss 6.60 oder höher sein und am Rechner laufen.

Hardware-Dongle:

  • Der Hardware-Dongle muss aus der Serie 3 oder höher sein. Die Seriennummer dieser Dongles beginnt mit 3. Zum Beispiel: 3-1234567.
    Dongles der Serien 1 und 2 werden nicht unterstützt.
  • CodeMeter Dongles gibt es in verschiedenen Bauformen, wie interne und externe USB Sticks sowie SD-, PCMCIA- und C-Fast-Karten. Alle Bauformen verfügen intern über den gleichen Sicherheitschip und können verwendet werden.
  • Der CodeMeter Hardware-Dongle muss am lokalen Rechner oder als Server auf einem Netzwerkrechner verfügbar sein.
  • Für Virtuelle Maschinen (VMs) wird von Wibu System empfohlen, den Dongle nicht per USB Port in die VM durchzureichen. Betreiben Sie den Dongle stattdessen als Wibu-Server im Host System und greifen Sie per Netzwerk darauf zu.

Netzwerk:

  • Bei Lizenzabfragen von Netzwerk-Dongles muss der CodeMeter Dienst als Netzwerk Server aktiviert sein.
    Empfehlung: Tragen Sie den Server am Client System in die Server-Suchliste ein.

Hinweis: Beim Start der Lizenzverwaltung wird die CodeMeter Runtime auf die korrekte Version überprüft. Bei Fehler wird eine entsprechende Meldung angezeigt und die Lizenzierung wird abgebrochen. Installieren Sie in diesem Fall die aktuelle CodeMeter Runtime.


CodeMeter Software

Handbuch > Lizenzierung > CodeMeter Software

Die von COPA-DATA verwendeten Dongles für die Lizenzierung basieren auf CodeMeter Hardware und Software. Die Verwaltung der Lizenzen erfolgt über die Lizenzverwaltung. Der CodeMeter Webadmin stellt zusätzliche Funktionen zur Verwaltung zur Verfügung. Diese werden im Regelbetrieb aber nicht benötigt.

Detaillierte Hilfe zur Verwendung von CodeMeter erhalten Sie über die in CodeMeter integrierte Hilfe.
Diese rufen Sie auf über:

  • Kontrollzentrum: Klicken Sie im Menü Hilfe auf den Eintrag Hilfe.
  • WebAdmin: Klicken Sie in der zweiten Menüzeile auf das Fragezeichen.
    Die CodeMeter Hilfe wird kontextsensitiv aufgerufen.

Hinweis: Beschreibungen des CodeMeter WebAdmin beziehen sich auf dessen Version 6.60. Dieses Handbuch behandelt die wichtigsten Anwendungsfälle für zenon Benutzer.

Voraussetzungen

Damit die Lizenzierung über CodeMeter funktioniert, müssen folgende Voraussetzungen erfüllt sein:

Allgemein:

  • Die CodeMeter Runtime Version muss 6.60 oder höher sein und am Rechner laufen.

Hardware-Dongle:

  • Der Hardware-Dongle muss aus der Serie 3 oder höher sein. Die Seriennummer dieser Dongles beginnt mit 3. Zum Beispiel: 3-1234567.
    Dongles der Serien 1 und 2 werden nicht unterstützt.
  • CodeMeter Dongles gibt es in verschiedenen Bauformen, wie interne und externe USB Sticks sowie SD-, PCMCIA- und C-Fast-Karten. Alle Bauformen verfügen intern über den gleichen Sicherheitschip und können verwendet werden.
  • Der CodeMeter Hardware-Dongle muss am lokalen Rechner oder als Server auf einem Netzwerkrechner verfügbar sein.
  • Für Virtuelle Maschinen (VMs) wird von Wibu System empfohlen, den Dongle nicht per USB Port in die VM durchzureichen. Betreiben Sie den Dongle stattdessen als Wibu-Server im Host System und greifen Sie per Netzwerk darauf zu.

Netzwerk:

  • Bei Lizenzabfragen von Netzwerk-Dongles muss der CodeMeter Dienst als Netzwerk Server aktiviert sein.
    Empfehlung: Tragen Sie den Server am Client System in die Server-Suchliste ein.

attention Achtung

Wird der CodeMeter Dongle im laufenden Betrieb entfernt, dann schließt sich zenon und wird im Demo-Modus geöffnet, bis wieder eine gültige Lizenz erkannt wird.

Noch in diesem Kapitel

Kontrollzentrum

WebAdmin

Zertifizierte Uhrzeit aktualisieren

Netzwerk-Dongles

CodeMeter Dongle als HID oder Laufwerk konfigurieren

Fehlerbehebung


Kontrollzentrum

Handbuch > Lizenzierung > CodeMeter Software > Kontrollzentrum

Das CodeMeter Kontrollzentrum starten Sie über: Windows -> CodeMeter -> CodeMeter Control Center.
Das CodeMeter Kontrollzentrum wird mit 2 Registerkarten geöffnet:

  • Lizenz: Enthält Informationen zu den gefundenen Dongles und ermöglicht Aktionen mit Dongles und Lizenzen.
  • Ereignisse: Zeigt die Anzahl der angeschlossenen Sticks, der Lizenz-Einträge, der gefundenen Firm-Items und alle Zugriffe auf den CodeMeter Runtime-Server an. Um die Einträge dauerhaft zu protokollieren, aktivieren Sie im Menü Datei den Eintrag Protokollierung.

Noch in diesem Kapitel

Registerkarte Lizenz


Registerkarte Lizenz

Handbuch > Lizenzierung > CodeMeter Software > Kontrollzentrum > Registerkarte Lizenz

In dieser Registerkarte werden Dongles und Lizenzen angezeigt und konfiguriert.

Option

Beschreibung

Lizenz

Listet alle aktiven CodeMeter Dongles auf.

Name:

Individueller Name des ausgewählten Dongles. Bei Hardware-Dongles, kann der Name über die Schaltfläche mit dem Stift (rechts davon) geändert werden.

Serien-Nr.:

Seriennummer des ausgewählten Dongles.

Version:

Version der Firmware des ausgewählten Dongles.

Empfehlung: Verwenden Sie immer die aktuellste Firmware.
Um die Firmware zu aktualisieren: Klicken Sie auf die Pfeil-Schaltfläche. Das Online-Update über einen Wibu-Server wird gestartet.

Kapazität:

Anzeige des freien Speicherplatzes in Prozent und Bytes auf dem Dongle.

Symbole:

Drei Symbole ermöglichen Aktionen mit dem Dongle:

  • Stift: Umbenennen des Namens des Dongles.
  • Lampe: Ausgewählten Stick blinken lassen.
  • Pfeil: Aktualisieren der Firmware des ausgewählten Sticks.

Status

Anzeige und eventuell Änderung des Status für einen Dongle.

Hardware-Dongle:
Auswahl des Status des ausgewählten CodeMeter Dongles über Radiobuttons.

  • Deaktiviert:
    Der angeschlossene Dongle ist deaktiviert und kann von keiner Anwendung verwendet werden.
  • Aktiviert solange angeschlossen:
    Der Stick ist aktiviert solange er angeschlossen ist. Nach dem Entfernen vom PC wird er automatisch deaktiviert.
  • Aktiviert:
    Der Stick ist voll aktiviert und bleibt dies auch nach dem Entfernen.
    Empfohlener Status: Stellt sicher, dass bei Verlust des Sticks nicht von Unbefugten auf Lizenzen und persönlichen Daten (z. B.: CmPasswordManager) zugegriffen werden kann.

Änderungen müssen über das Dongle-Kennwort bestätigt werden.

Software-Dongle:

  • Anzeige des Lizenzstatus.

Lizenzaktualisierung

Startet den Assistenten zum Hinzufügen, Ändern und Löschen von Lizenzen.

Hinweis: Steht für COPA-DATA Produkte nicht zur Verfügung. Lizenzen werden über die Lizenzverwaltung verwaltet.

Auswerfen

Gibt den Stick frei zum Entfernen.
Nur verfügbar für Hardware-Dongles.

Kennwort ändern

Ermöglicht das Ändern des Kennworts.
Nur verfügbar für Hardware-Dongles.

Lizenz löschen

Löscht ausgewählte Lizenz.
Nur verfügbar für Software-Dongles.
Achtung: Diese Option darf auf keine Fall ausgeführt werden, da eine Wiederherstellung der Lizenzen, die auf dem Dongle gespeichert waren, nicht möglich ist.
Für Demo-Modus Software-Dongles gilt: Diese können nach dem Löschen nicht mehr eingespielt werden.

CodeMeter ist gestartet/CodeMeter ist gestoppt

Information, ob der CodeMeter Dienst läuft. Kann im Menü Aktion geändert werden.
Achtung: Der Dienst kann über das Kontrollzentrum nicht gestoppt oder neu gestartet werden, da der zenon Lizenz Transfer Dienst vom CodeMeter Dienst abhängig ist. Ein Beenden des Dienstes ist nur über die Anwendung services.msc des Betriebssystems möglich.

WebAdmin

Startet den Webbrowser mit der Administrationsoberfläche für Dongles. Dazu muss der Port 22350 offen sein. Details siehe Kapitel WebAdmin.


WebAdmin

Handbuch > Lizenzierung > CodeMeter Software > WebAdmin

Der CodeMeter WebAdmin dient zur Konfiguration und Verwaltung von Dongles im Netzwerk.

Um den CodeMeter WebAdmin zu starten:

  1. Öffnen Sie das CodeMeter Kontrollzentrum.
  2. Klicken Sie auf die Schaltfläche WebAdmin.

    Der CodeMeter WebAdmin wird im Webbrowser geöffnet.

Alternativ verwenden Sie folgenden Link: http://localhost:22350/index.html

Detaillierte Informationen zu den einzelnen Einstellungen finden Sie in der CodeMeter WebAdmin-Hilfe. Sie erreichen diese über das Symbol Fragezeichen (?) im WebAdmin. Die wichtigsten Optionen und Hinweise finden Sie auch in diesem Dokument.

attention Achtung

Der CodeMeter WebAdmin nutzt standardmäßig den Port 22350.
Beachten Sie:

  • Wird eine andere Firewall als die im Windows Betriebssystem integrierte Firewall verwendet, muss dieser Port frei gegeben werden.
  • Wird der Port geändert, kann die WebAdmin-Oberfläche nicht mehr gestartet werden, da der Port Teil der Adresse ist.
    Z. B: http://localhost:22350/configuration/extra.html
    Falls Sie den Port verändert haben, und nicht mehr wissen, wie die Portnummer lautet, können Sie in der Registry nachsehen. Öffnen Sie dazu Regedit.exe und navigieren Sie zum Knoten: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. Im Eintrag NetworkPort finden Sie die aktuelle Portnummer. Tragen den dort verwendeten Port in die Adresszeile des Browsers statt 22350 ein.
    Passen Sie dann den Port im WebAdmin über Einstellungen -> Erweitert -> Extras an.


Zertifizierte Uhrzeit aktualisieren

Handbuch > Lizenzierung > CodeMeter Software > Zertifizierte Uhrzeit aktualisieren

Sie können die im Dongle gespeicherte zertifizierte Uhrzeit über die CodeMeter Zeitserver aktualisieren. Dazu benötigen Sie Zugang zum Internet.

Um die Uhrzeit zu aktualisieren:

  1. Starten Sie den CodeMeter WebAdmin.
  2. Überprüfen Sie Ihre Netzwerkeinstellungen:
    1. Sind die Proxy-Einstellungen im CodeMeter Webadmin korrekt?
    2. Sind Ihre Zugangsdaten aktuell?
  3. Navigieren zum Menü Container.
  4. Wählen Sie den gewünschten Dongle.
  5. Klicken Sie auf CMContainer Infos

  6. Wählen Sie den Eintrag Zertifizierte Uhrzeit (CM Container).
  7. Klicken Sie auf das Symbol zum Aktualisieren.
  8. Sie erhalten einen Hinweis, dass alle Sticks aktualisiert werden.
  9. Klicken Sie auf OK.

    Sie erhalten eine Information über die durchgeführte Aktualisierung.
    Tipp: Bei einer Fehlermeldung überprüfen Sie vor allem Ihre Zugangsdaten für den Proxy Server.


Netzwerk-Dongles

Handbuch > Lizenzierung > CodeMeter Software > Netzwerk-Dongles

Jede Lizenz kann im Netzwerk verwendet werden. Damit CodeMeter Dongles im Netzwerk erreicht werden können, muss der CodeMeter Runtime Dienst als Netzwerk Server gestartet werden.

Dazu:

  1. Öffnen Sie den CodeMeter Webadmin: http://localhost:22350/configuration/server_access.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.

  2. Navigieren Sie zur Seite Einstellungen -> Basis -> Server-Zugriff und setzen Sie die Option Netzwerk-Server aktivieren.
  3. Klicken Sie auf die Schaltfläche Übernehmen.

    Der CodeMeter Runtime Dienst wird neu gestartet.

Damit stehen alle lokal angeschlossenen Hardware- und Software-Dongles über das Netzwerk zur Verfügung. Ausgenommen sind Demo-Lizenzen auf Demo-Dongles. Diese können immer nur lokal genutzt werden.

Noch in diesem Kapitel

Server-Suchliste für Netzwerk-Dongles einrichten

Überprüfen ob ein Dongle im Netzwerk gefunden wird


Server-Suchliste für Netzwerk-Dongles einrichten

Handbuch > Lizenzierung > CodeMeter Software > Netzwerk-Dongles > Server-Suchliste für Netzwerk-Dongles einrichten

Das Finden von Dongles im Netzwerk erfolgt über Mechanismen der CodeMeter Runtime. Diese sind unabhängig von zenon und können nur durch CodeMeter beeinflusst werden. Wird ein Dongle von CodeMeter nicht gefunden, so wird er auch von zenon Produkten nicht gefunden.

info Info

Nicht zu Verwechseln ist der CodeMeter Mechanismus mit dem Mechanismus der Lizenzverwaltung.

Diese baut eine direkte Verbindung über den zenon Lizenztransfer auf. Diese Verbindung unterscheidet sich grundsätzlich von der CodeMeter Verbindung.

Der CodeMeter Mechanismus sucht Dongles immer zuerst lokal. Wird lokal die gesuchte Lizenz nicht gefunden, wird im Netzwerk gesucht. Dabei wird standardmäßig ein Broadcast verwendet.
Broadcasts haben folgende Nachteile:

  • Es werden immer alle Rechner im Netzwerk gesucht.
    Dadurch kann es vor allem bei großen Netzwerken und bei vielen Dongles im Netzwerk zu langen Antwortzeiten kommen.
  • Dongles, welche die gesuchte Lizenz nicht besitzen, werden abgefragt.
    Dadurch wird das Netzwerk und die CodeMeter Runtime unnötig belastet.
  • Broadcasts funktionieren nur im lokalen Subnet.
    Befindet sich der Dongle in einem anderem Subnet, dann wird der Dongle nicht gefunden.

Empfehlung: Tragen Sie Dongles in die Server-Suchliste ein. Damit vermeiden Sie die beschriebenen Einschränkungen.

Um einen CodeMeter Server in die Serversuchliste einzutragen:

  1. Starten Sie den CodeMeter WebAdmin: http://localhost:22350/configuration/server_search_list.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.
  2. Navigieren Sie zu Einstellungen -> Basis -> Server-Suchliste.

  3. Fügen Sie den Server mit Klick auf das Pluszeichen hinzu.
  4. Bei mehreren Servern: Reihen Sie die Server mit den Pfeil-Symbolen in der gewünschten Reihenfolge der Abfrage.
  5. Übernehmen Sie die Einstellungen mit Klick auf die Schaltfläche Übernehmen.


Überprüfen ob ein Dongle im Netzwerk gefunden wird

Handbuch > Lizenzierung > CodeMeter Software > Netzwerk-Dongles > Überprüfen ob ein Dongle im Netzwerk gefunden wird

Das finden von Dongles im Netzwerk erfolgt über Mechanismen der CodeMeter Runtime. Daher erfolgt auch die Prüfung am besten über die CodeMeter Mechanismen:

  1. Starten Sie den CodeMeter WebAdmin: http://localhost:22350/index.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.
  2. Am unteren linken Rand sehen Sie den Eintrag Aktueller Server: localhost (127.0.0.1).
    Klicken Sie auf die Schaltfläche

    Ein Dialog mit allen gefundenen CodeMeter Netzwerk Servern wird geöffnet.

  3. Wählen Sie den gewünschten Server aus, um zu kontrollieren, ob der gesuchte Dongle gefunden wird.
    Achtung: Sie sind remote mit dem CodeMeter Server verbunden. Alle angezeigten Informationen stammen vom Remote-Rechner.

Scheint der gesuchte Server nicht in der Liste auf, dann prüfen Sie:

  • Ist die CodeMeter Runtime als Netzwerk Server aktiviert?
  • Ist der Server in die Server Suchliste eingetragen?
    Wurde der TCP/IP Port der CodeMeter Runtime verändert?
    Der Standard Port ist 22350 und sollte nicht geändert werden. Falls Sie den Port verändert haben, und nicht mehr wissen, wie die Portnummer lautet, können Sie in der Registry nachsehen. Öffnen Sie dazu Regedit.exe und navigieren Sie zum Knoten: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. Im Eintrag NetworkPort finden Sie die aktuelle Portnummer. Stellen Sie Am Besten die Portnummer auf Default 22350 zurück.
    Der Port muss auf allen CodeMeter Rechnern gleich sein.
  • Ist die CodeMeter Runtime durch eine Firewall blockiert?
    Überprüfen Sie die Firewall-Einstellungen sowohl am Server als auch am Client.


CodeMeter Dongle als HID oder Laufwerk konfigurieren

Handbuch > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren

Standardmäßig wird der Dongle als HID (Human Interface Device) ins System integriert. Diese Konfiguration wird empfohlen. Der Dongle kann bei Bedarf aber auch als lokaler Massenspeicher oder Wechseldatenträger konfiguriert werden.

Voraussetzungen:

  • CodeMeter Container mit der Kennung "2-xxxxxxx" oder "3-xxxxxxx".
  • Mindestens CodeMeter Firmware 2.02.
  • CodeMeter Runtime 6.60 und höher. Sollte Ihre installierte CodeMeter Version kleiner sein, können Sie von Wibu Systems (www.wibu.com) die aktuelle CodeMeter Runtime downloaden.

Konfigurationen

CodeMeter Sticks können konfiguriert werden als:

Gerät

Beschreibung

Einschränkungen

HID
(Human Interface Device)

Dongle wird als HID am System angemeldet.
Der Dongle wird damit nicht in der Liste der verfügbaren Laufwerke angezeigt und belegt keinen Laufwerksbuchstaben.

Default für Sticks ohne Speicher.

Spezielle USB Host-Treiber werden nicht benötigt.

Nur verfügbar für CodeMeter Dongles ohne Speicher.

Lokaler Massenspeicher (Mass Storage Device - MSD)

Der Dongle wird als festes lokales Laufwerk mit eigenem Laufwerksbuchstaben angezeigt und verwaltet.

Kann dazu führen, dass:

  • das Betriebssystem für den Dongle zu wenig Speicherplatz meldet
  • das Symbol für den Windows Papierkorb nicht mehr angezeigt wird
  • in einer Virtual Machine der Dongle nicht gefunden wird

Wechseldatenträger

Der Dongle wird als Wechseldatenträger mit eigenem Laufwerksbuchstaben angezeigt und verwaltet.

Der Dongle muss über einen Flash-Speicher verfügen.

Bei einer Konfiguration als Wechseldatenträger:

  • kann bei Systemen, die als Boot-Methode USB-Laufwerke zulassen, das Booten des Rechners verhindert werden
  • erscheint der Dongle als Laufwerk in der Taskleiste und kann damit jederzeit entfernt (ausgeworfen) werden

Ablauf Dongle neu konfigurieren

Status Dongle

Ziel

Ablauf

HID

Lokaler Massenspeicher
  • Konfiguration als Massenspeicher.
  • Konfiguration als lokale Festplatte.

HID

Wechseldatenträger
  • Konfiguration als Massenspeicher.
    Wird automatisch als Wechseldatenträger konfiguriert.

Lokaler Massenspeicher

Wechseldatenträger
  • Konfiguration als Wechseldatenträger.

Wechseldatenträger

Lokaler Massenspeicher
  • Konfiguration als lokale Festplatte.

Lokaler Massenspeicher

HID
  • Konfiguration als HID

Wechseldatenträger

HID
  • Konfiguration als HID

Syntax und Kommandos zur Dongle-Konfiguration

Im CodeMeter Command Prompt stehen Kommandos und Parameter zur Konfiguration der Dongles zur Verfügung.

Syntax: cmu32 /s <serial> --[Kommando Parameter]

  • cmu32: Aufruf.
  • /s (/s): Eingabe Seriennummer des Dongles, für den Aktion gelten soll.
  • --[Kommando Parameter]: Eingabe Kommando und eventuell Parameter.

Kommandos:

Kommando | Bedeutung
cmu32 /s <serial> --show-config-disk | Konfiguration für Stick mit bestimmter Seriennummer anzeigen.
cmu32 /s <serial> --set-config-disk | Stick mit bestimmter Seriennummer konfigurieren.
cmu32 /h | Zeigt die Hilfe zu weiteren Kommandos und Parametern an.

Parameter:

Parameter | Bedeutung
HidCommunication | Konfiguration als HID. Nur möglich, wenn kein Flash-Speicher vorhanden ist.
MsdCommunication | Konfiguration als Massenspeicher. Dongles mit dieser Konfiguration können als lokale Massenspeicher oder Wechseldatenträger konfiguriert werden.
RemovableDisk | Konfiguration als Wechseldatenträger. Setzt MsdCommunication voraus. Aus Status HID nicht direkt möglich.
LocalDisk | Konfiguration als lokale Festplatte. Setzt MsdCommunication voraus. Aus Status HID nicht direkt möglich.

Beispiele:

  • Konfiguration anzeigen: cmu32 /s3-1234567 --show-config-disk
  • Stick als HID konfigurieren: cmu32 /s3-1234567 --set-config-disk HidCommunication

Noch in diesem Kapitel

Dongle als lokalen Massenspeicher konfigurieren

Dongle als HID konfigurieren

Dongle als Wechseldatenträger konfigurieren


Dongle als lokalen Massenspeicher konfigurieren

Handbuch > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als lokalen Massenspeicher konfigurieren

Um den Dongle in der USB-Kommunikation als fixen lokalen Massenspeicher (Mass Storage Device) anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.

    Es ist kein Laufwerk zugeordnet (HID) oder ein Wechseldatenträger wird angezeigt.

  2. Rufen Sie den CodeMeter Command Prompt cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Ist der Dongle aktuell als HID konfiguriert, dann:

    • Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk MsdCommunication
      Der Dongle wird als Massenspeicher konfiguriert.
    • Entfernen Sie den Dongle und stecken Sie ihn wieder an.
    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk LocalDisk
      Der Dongle wird als fixer lokaler Massenspeicher konfiguriert.

    Ist der Dongle aktuell als Wechseldatenträger konfiguriert, dann:

    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk LocalDisk
      Der Dongle wird als fixer lokaler Massenspeicher konfiguriert.

    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  3. Entfernen Sie den Dongle vom Rechner.
  4. Verbinden Sie den Dongle wieder mit dem Rechner.

    Im CodeMeter Command Prompt und im CodeMeter WebAdmin wird der Dongle jetzt als lokaler Massenspeicher angezeigt, im Dateibrowser des Betriebssystems mit Laufwerksbuchstabe.


Dongle als HID konfigurieren

Handbuch > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als HID konfigurieren

Um den Dongle in der USB-Kommunikation als Human Interface Device (HID) anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.
  2. Es ist ein lokaler Massenspeicher oder ein Wechseldatenträger, jeweils mit Laufwerksbuchstabe, zugeordnet.

  3. Rufen Sie den CodeMeter Command Prompt cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk HidCommunication
    Der Dongle wird als HID konfiguriert.
    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  4. Entfernen Sie den Dongle vom Rechner.
  5. Verbinden Sie den Dongle wieder mit dem Rechner.
  6. Im CodeMeter Command Prompt und im CodeMeter Kontrollzentrum wird der Dongle jetzt als HID ohne Laufwerksbuchstabe angezeigt. Im Dateibrowser des Betriebssystems wird er nicht mehr angezeigt.


Dongle als Wechseldatenträger konfigurieren

Handbuch > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als Wechseldatenträger konfigurieren

Um den Dongle in der USB-Kommunikation als Wechseldatenträger anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.

    Es ist kein Laufwerk zugeordnet (HID) oder ein lokaler Massenspeicher mit festem Laufwerksbuchstaben.

  2. Rufen Sie die CodeMeter Kommandozeile cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Ist der Dongle aktuell als HID konfiguriert, dann:

    • Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk MsdCommunication
      Der Dongle wird Massenspeicher in der Ausprägung Wechseldatenträger konfiguriert.

    Ist der Dongle aktuell als fixer lokaler Massenspeicher konfiguriert, dann:

    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk RemovableDisk
      Der Dongle wird als Wechseldatenträger konfiguriert.

    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  3. Entfernen Sie den Dongle vom Rechner.
  4. Verbinden Sie den Dongle wieder mit dem Rechner.

    Im CodeMeter Command Prompt und im CodeMeter Kontrollzentrum wird der Dongle jetzt als Wechseldatenträger angezeigt, im Dateibrowser des Betriebssystems mit Laufwerksbuchstabe.


Fehlerbehebung

Handbuch > Lizenzierung > CodeMeter Software > Fehlerbehebung

Fehler

Lösung

zenon läuft nur im Demo-Modus.

Überprüfen Sie per CodeMeter und/oder Lizenzverwaltung:

  • Ist der Dongle angeschlossen und über CodeMeter Mechanismen erreichbar?
  • Ist die Lizenz beim jeweiligen Produkt an erster Stelle eingetragen?
  • Ist die Lizenz abgelaufen?
  • Ist der Software-Dongle gebrochen?
  • Belegt ein anderes Produkt auf einem anderen Rechner die Lizenz? (http://localhost:22350/license_monitoring/sessions.html)

Dongle wird nicht gefunden.
  • Überprüfen Sie die Netzwerkeinstellungen.
  • Befindet sich der Stick in einer anderen Domäne, fügen Sie ihn zur Serversuchliste hinzu.
  • Erhöhen Sie die UDP-Antwortzeit.
  • Handelt es sich um eine Virtual Machine, dann konfigurieren Sie den Stick als Wechseldatenträger.
    Achtung: Die Konfiguration als Wechseldatenträger kann - abhängig von der Rechnerkonfiguration - auch dazu führen, dass ein Rechner nicht mehr bootet.
  • Konfigurieren Sie den Stick als HID.

Fehler 410
(bei SD Karten)

Die Verbindung zur SD-Karte ist instabil. Verwenden Sie einen externen Kartenleser.

Zertifizierte Uhrzeit kann nicht aktualisiert werden.

Überprüfen Sie:

  • Proxy-Einstellungen, vor allem Zugangsdaten und Passwort.
  • Liste der Zeitserver unter Einstellungen -> Zeitserver
    z. B.: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us.

Fehlermeldung bei Aktualisierung der Lizenz beim Einspielen einer WibuCmRaU Datei:

Fehler beim Update des CmSticks x-xxxxxxx:
Dieses Update kann nicht mehr eingespielt werden. Der Inhalt des CmSticks ist auf einem neueren Stand, Fehler 229.

Das Update für diese Lizenz wurde bereits auf den Dongle übertragen. Der Dongle ist auf dem aktuellsten Stand.

Windows Betriebssystem meldet:

Wenig Speicherplatz

Der Dongle wird als lokaler Speicher identifiziert. In einigen Fällen kann dies dazu führen, dass das Betriebssystem "Zu wenig Speicherplatz" meldet.

Diese Meldung kann ignoriert werden.

Alternativ kann der Dongle als HID konfiguriert werden. Damit scheint er nicht mehr in der Windows Laufwerksliste auf.

Windows Betriebssystem zeigt Symbol für den Papierkorb nicht mehr an.

Wenn der Dongle als fixes lokales Laufwerk identifiziert wird, kann es zu diesem Verhalten kommen.

Alternativ kann der Dongle als HID konfiguriert werden. Damit scheint er nicht mehr in der Windows Laufwerksliste auf.


Roter Faden durch die Hilfe - Ein Überblick

Handbuch > Roter Faden durch die Hilfe - Ein Überblick

Je mächtiger das Leitsystem, desto umfangreicher ist auch die dazugehörige Hilfe.

Im Unterschied zu allen anderen Kapiteln, in denen Features und Funktionalitäten erklärt werden, dient dieses Kapitel dazu, Ihnen den Umgang mit unserer Hilfe zu erleichtern.

Noch in diesem Kapitel

Welche Hilfekapitel für den Anfang

Online-Aktualisierung der zenon Hilfe

Wegweiser durch die Hilfe

Funktionalitäten Onlinehilfe - So findet man, was man sucht


Welche Hilfekapitel für den Anfang

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang

info Info

Dieses Kapitel ist für all jene gedacht, die zenon das erste Mal benutzen und vor dem Problem stehen, welche Hilfe-Thematik für den Anfang hilfreich sein könnte. Hier wird auf die Schritte eingegangen, die für ein einfaches Basis Projekt erforderlich sind. Die passenden Informationen aus Tutorial und Handbuch sind mit den jeweiligen Schritten verknüpft.

Noch in diesem Kapitel

Der Editor

Anlegen eines Projektes

Bilder und Schablonen

Treiber und Variablen

Funktionen

Starten der Runtime

Weitere Möglichkeiten


Der Editor

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Der Editor

zenon:

zenon besteht aus zwei Teilen:

1. Editor
(Bediensystem): Hier werden die Projekte erstellt.

2. Runtime
(Laufzeit): Dort kann die projektierte Anlage beobachtet und bedient werden.

Aufbau des Editors:

Die Benutzeroberfläche des Editors gliedert sich in verschiedene Bereiche:

Element

Inhalt

01 - Symbolleisten:

Sammlung der Symbolleisten für den Editor und seine Module. Sie stehen zur Verfügung für:

  • Andockbare Fenster
  • Ausrichtung
  • Bilder / Symbole
  • Editorprofile
  • Elemente
  • Menüleiste
  • Production & Facility Scheduler
  • Remote-Transport
  • Report Generator
  • Runtime Dateien
  • Sichtbarkeitsebenen
  • VBA-Makros

02 - Projektmanager:

Baumansicht des Projektmanagers.

03 - Detailansicht des Projektmanagers:

Details zum im Projektmanager ausgewählten Modul.

04 - Hauptfenster:

Hauptarbeitsbereich, hier werden Dokumente wie Bilder oder Reports dargestellt.

05 - Symbolleiste Elemente:

Symbolleiste für die Elemente der Bilder - Vektor-Elemente und Dynamische Elemente.

06 - Eigenschaften

Zeigt Eigenschaften des ausgewählten Objekts an. Dafür stehen drei Modi zur Verfügung, die in der Symbolleiste der Eigenschaften ausgewählt werden.

07 - Eigenschaftenhilfe:

Zeigt kurze Hilfeeinträge zu Eigenschaften von Bildern, Variablen, Funktionen und anderen Elementen, die parametriert werden, an.

08 - Ausgabefenster

Anzeige von Meldungen, wenn Projekte kompiliert und zur Runtime abgesetzt werden.

09 - Statusleiste:

Zeigt Statusinformationen zur Editorbereitschaft und für Bilder an.

10 - Symbolleiste Eigenschaften:

Definiert Anzeige und Sortierung der Eigenschaften, blendet Eigenschaftenhilfe ein.

11 - Querverweisliste:

Welche Fenster angezeigt werden, wählen Sie aus:

  • in der Dropdownliste unter Optionen

Die Anordnung der Fenster lässt sich individuell anpassen. Nur das Hauptfenster kann nicht ausgeblendet werden.

Der nächste Schritt:

Informationen zum Anlegen eines Projekts finden Sie im Kapitel Anlegen eines Projekts.


Anlegen eines Projektes

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Anlegen eines Projektes

Anlegen des Arbeitsbereiches:

Der Arbeitsbereich bildet die Basis für ein oder mehrere Projekte.
Wie ein neuer Arbeitsbereich angelegt wird erfahren Sie im Tutorial Basis.

Anlegen eines Projektes:

Dann wird im Arbeitsbereich ein neues Projekt angelegt. Ein Projekt ist eine in sich abgeschlossene und für sich lauffähige Einheit aus Projektierungselementen (z. B. Bildern, Variablen, Funktionen etc.).
Informationen zur Vorgehensweise beim Anlegen eines Projekts finden Sie im Tutorial Basis.

info Info

Sie sind nun in der Lage ein Projekt anzulegen.

Der nächste Schritt:

Um Ihr Projekt um Bilder zu erweitern, siehe im nächsten Kapitel Bilder und Schablonen.


Bilder und Schablonen

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Bilder und Schablonen

Anlegen einer Schablone:

Schablonen legen den Bildschirmbereich fest, in dem die Bilder später aufgeschalten werden. Jedes Bild basiert auf einer Schablone.
Nähere Informationen zum Anlegen der Schablonen finden Sie auch im Tutorial Basis und im Kapitel Schablonen.

Anlegen eines Bildes:

zenon bietet verschiedenste vordefinierte Bildtypen, so auch den einfachsten 'Standard' in dem der Bildschirmbereich frei definiert werden kann. Bei den optischen Anpassungen des Bildes, sind Ihnen kaum Grenzen gesetzt.
Um nun die Anlage im Bild schematisch darstellen zu können, wählen Sie einfach aus den vordefinierten Bildelementen.

Erweitern des Bildes durch Bildelemente:

zenon bietet vordefinierte Vektor- und Dynamische Bildelemente an, die mit Funktionen oder Variablen verknüpft werden können.
Nähere Informationen zu den Bildelementen finden Sie im Tutorial Basis, die verschiedenen Formen der vordefinierten Bildelemente sind im Kapitel Bildelemente ausführlich beschrieben.
Eine weitere Möglichkeit der Zeitersparnis beim Projektieren bieten vordefinierte Symbole, die Sie in der Symbolbibliothek sehen. Nähere Informationen dazu finden Sie im Kapitel Symbole und Elementgruppen.

info Info

Sie können nun ein neues Projekt mit Bildern und Bildelementen erstellen.

Der nächste Schritt:

Damit Ihre Bildelemente "echte" Werte anzeigen und Ihre Anlage via zenon beobachtbar ist, werden Treiber und Variablen benötigt. Weitere Informationen dazu finden Sie im Kapitel Treiber und Variablen.


Treiber und Variablen

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Treiber und Variablen

Auswahl eines Treibers

Variablen basieren auf dem zugeordneten Treiber, weshalb zuvor ein Treiber ausgewählt wird. Beim Projektieren wird meist auf einen der im Lieferumfang standardmäßig enthaltenen Simulationstreiber zurückgegriffen. Dieser kann anschließen durch den zur jeweiligen SPS passenden Treiber ausgetauscht werden. Als offenes und unabhängiges System unterstützt zenon mehr als 250 Kommu8nikationsprotokolle und Treiber. Informationen zu den unterschiedlichen Treibern finden Sie in der entsprechenden Treiberdokumentaion. Diese finden Sie in der Online-Hilfe im Bereich Treiber.

Anlegen einer Variable

Variablen sind die Schnittstelle zu den Prozessdaten und repräsentieren bestimmte Messwerte oder Zustände. Um auf kritische Prozessereignisse in Ihrer Anlage aufmerksam zu machen, können den Variablen Grenzwerte zugeordnet werden.
Die konkrete Vorgehensweise beim Anlegen einer Variable finden Sie im Tutorial Basis. Eine umfangreiche Beschreibung von Variablen, Datentypen und Reaktionsmatrizen bietet das Kapitel Variablendefinition und Prozessdatenmodell.

Darstellen der Werte im Bildelement

Um die 'eingehenden' Werte darzustellen, können die angelegten Bildelemente mit den Variablen verknüpft werden.
Nähere Informationen zu dem Verknüpfen einer Variable mit einem dynamischen Bildelement finden Sie auch im Tutorial Basis. Das Kapitel Bildelemente enthält eine Verlinkung zu den Dynamischen - und Vektor Bildelementen von zenon.

info Info

Sie haben nun einen Einblick bekommen, wie Variablen und Treiber benutzt werden können.

Der nächste Schritt

Sie wollen nicht nur Beobachten sondern auch Bedienen? Um in zenon eingreifen zu können, müssen Funktionen angelegt und verknüpft werden.

Informationen dazu finden Sie im Kapitel Funktionen.


Funktionen

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Funktionen

Anlegen einer Funktion:

Funktionen sind die Grundlage dafür, dass während der Runtime eine Bedienung der Anlage möglich ist. Zum Beispiel kann zwischen einzelnen Anlagenbildern hin- und her geschaltet werden oder es können Wertänderungen vorgenommen werden.
Mehrere Funktionen können in Skripten zusammengefasst und verwaltet werden. Nähere Informationen dazu finden Sie auch im Kapitel Skript Verwaltung.

Verknüpfen der Funktion mit einem dynamischen Bildelement:

Nähere Informationen finden Sie im Tutorial Basis. Da zenon eine Fülle der unterschiedlichsten Funktionen anbietet, sind diese im Kapitel Übersicht Funktionen aufgelistet und kurz beschrieben. Des weiteren finden Sie im Dialog Funktion neu eine kurze Erklärung zu den einzelnen Funktionen.

info Info

Sie sind nun in der Lage ein einfaches Projekt anzulegen. Sie können ein Bild erstellen, Bildelemente mit Variablen und Funktionen verknüpfen, und bereits Grenzwertverletzung darstellen.

Der nächste Schritt:

Um Ihr Ergebnis in der Runtime zu sehen, siehe im Kapitel Starten der Runtime.


Starten der Runtime

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Starten der Runtime

Vom Editor in die Runtime

Was im Editor projektiert wurde, können Sie jetzt in der Runtime beobachten und bedienen. Wir verlassen also das Bediensystem (Editor) und wechseln in die Laufzeit (Runtime).
Näher Informationen zum Starten der Runtime erhalten Sie im Tutorial Basis und im Kapitel Runtime.

info Info

Dem Projektieren sowie anschließendem Bedienen und Beobachten Ihrer Anlage steht nichts mehr im Wege.

Mehr?

Das war natürlich nur ein winziger Einblick in die Möglichkeiten, die Ihnen zenon bietet. Um mehr zu erfahren, siehe Weitere Möglichkeiten.


Weitere Möglichkeiten

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Welche Hilfekapitel für den Anfang > Weitere Möglichkeiten

Hier finden Sie eine Vielzahl an Möglichkeiten, die sie mit zenon umsetzen können:

Sie wollen ... | Kein Problem!
Auf kritische Prozessereignisse (Grenzwertverletzungen) aufmerksam zu machen? | Alarm Verwaltung
Alarme auswerten | Industrial Performance Analyzer
Prozess- und Systemereignisse mitprotokollieren? | Chronologische Ereignisliste
Änderungen am Projekt mitprotokollieren? | Änderungshistorie
Prozessdaten erfassen und verdichten? | Archiv Server
Leitungen einfärben und dynamisieren? | Automatic Line Coloring
Eine FDA-konforme Benutzerverwaltung (Passwortsystem) erstellen? | Benutzer Verwaltung
Log Files auswerten? | Diagnosis Viewer
Werte aus dem Prozess als Kurve darstellen? | Erweiterter Trend
Wartungsdaten von Maschinen verwalten? | Industrial Maintenance Manager
Nachrichten versenden? | Message Control
Ein Client/Server Netzwerk erstellen? | Netzwerk
Entwicklungsumgebung | Editor
Projektteile importieren oder exportieren? | Import/Export
Aktionen zu einer definierten Zeit ausführen? | Production & Facility Scheduler
Reports erstellen? | Report Generator
Vorgabelisten für Sollwerte und Befehle erstellen? | Rezepte
Eine Funktionsabfolge definieren? | Skript Verwaltung
Funktionen zu einem definierten Zeitpunkt aufrufen? | Zeitsteuerung
In der Runtime dargestellte Textinformationen in verschiedene Sprachen umzuschalten | Sprachumschaltung
Den Zugriff auf bestimmte zenon Objekte während der Runtime mit Hilfe von Variablen steuern? | Verriegelungen
Zyklische Abfolgen selbst programmieren? | Process Control Engine
Die Integration mit zenon Logic kennenlernen? | zenon Logic Workbench
Mit der ERP-Ebene Daten austauschen? | SAP Interface


Online-Aktualisierung der zenon Hilfe

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Online-Aktualisierung der zenon Hilfe

Das Documentation Download Tool verwaltet die Aktualisierung Ihrer Online-Hilfe inklusive Embedded Help, Dialog Help, Tool-Tipps und der PDF-Produktdokumentation von zenon und zenon Logic.

Die Aktualisierung wird online durchgeführt. Dazu ist eine Internetverbindung notwendig.

Inhalte des Dokumentationsupdates:

Das Documentation Download Tool unterstützt die Updates von:

  • zenon und zenon Logic Produktdokumentation
  • Treiberdokumentation
  • Tutorials
  • Glossar

Dateiformate des Dokumentationsupdates:

Das Documentation Download Tool unterstützt die Updates von:

  • Online Hilfe für zenon und zenon Logic (.chm)
  • zenon Produktdokumentation (.pdf)

Hinweis: Dieses Tool steht nur in englischer Sprache zur Verfügung.


Wegweiser durch die Hilfe

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Wegweiser durch die Hilfe

Hier finden Sie eine Gesamt-Übersicht über die Kapitel des Online-Handbuches und gleichzeitig eine kurze Einführung in die Terminologie von zenon. Hinweise zur effizienten Projektierung finden Sie im Handbuch Effizient projektieren mit zenon.

Parameter

Beschreibung

Alarm Verwaltung

Kritische Prozessereignisse
Die Alarmierung hat im Gesamtsystem die Aufgabe, auf kritische Prozessereignisse aufmerksam zu machen und den Benutzer bei deren Lokalisierung und Behebung zu unterstützen.

Änderungs-Historie

Dokumentation der Projektierung, Audit Trail
Die Änderungshistorie dient der lückenlosen Dokumentation der Projektierung. Es können die Änderungen (z. B. ändern, löschen, erzeugen) die in einem Projekt gemacht werden, mitprotokolliert werden.

Anlagenmodellierung

Bildet die Struktur sowie Anlage nach und ermöglicht es, Details der unteren Ebene (z. B. Maschinen, Rezepte und Prozesse) korrekt zuzuordnen und in Beziehung zu setzen. Entspricht den Normen ISA S88 und S95.

Archiv Server

Erfassung von Prozessdaten
Das Modul Archivserver dient der Erfassung und freien mehrstufigen Verdichtung (Mittelwert, Summe, Maximum und/oder Minimum) der Prozessdaten, verbunden mit einer systemkonformen, flexiblen und bedienerfreundlichen Editierebene.

Automatic Line Coloring

Topologische Einfärbung von Leitungen
Die automatische Linienfärbung dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie in der elektrischen Energieverteilung (für Strom).

Batch Control

Das Modul Batch Control bietet die Möglichkeit, batchorientierte Herstellungsverfahren für Los- und Chargenprodukte zu automatisieren.

Benutzerverwaltung

Passwortsystem
zenon sieht sowohl für den Editor (Kapitel Projekt) als auch für den Onlinebetrieb (Runtime) eine Benutzerverwaltung vor. Es hält mit seinem Passwortsystem die laut FDA (Food and Drug Administration, 21 CFR Part 11) vorgegebenen Richtlinien ein.

Bilder

Hauptbestandteil eines Projektes sind Bilder, die dem Bediener einen möglichst umfassenden Informationsstand über die zu bedienende Anlage geben sollen.

Chronologische Ereignisliste

Betriebstagebuch, Audit Trail
Alle Prozess- und Systemereignisse sowie Benutzervorgaben können in der chronologischen Ereignisliste CEL protokolliert werden.

Controls

Einbindungen für eigene .NET Benutzer Controls, ActiveX sowie WPF-Elementen. Bietet Möglichkeiten um auf die zenon API zuzugreifen.

Diagnosis Viewer

Reporting Tool
Ermöglicht das Lesen bestehender zenon LOG-Dateien, Online-Logging, speichern der aktuellen Ansicht, Parametrieren der Diagnose-Clients und Diagnosis Server.

Dynamische Bildelemente und Vektor Bildelemente

Vektor und Dynamische Elemente
zenon bietet zwei Arten von Bildelementen an: Vektor- und Dynamische Bildelemente. Sämtliche Elemente können dynamisiert werden.

Editor

Projektierungsumgebung
Das Leistsystem unterteilt sich in Editor und Runtime. Die Projektierungsumgebung, der Editor und die Onlinedarstellung, die Runtime. Projekte werden im Editor erstellt, das Bedienen und Beobachten erfolgt in der Runtime.
Detaillierte Beschreibung der zenon Projektierungsumgebung, dem Editor.

Energy Edition

Ein Paket mit speziellen Funktionalitäten für die Energie- beziehungsweise die Verfahrenstechnik (z. B. Automatic Line Coloring).

Erweiterter Trend

Kurvendarstellung von Werten
Der Erweiterte Trend dient zur Darstellung der Online (HD-Verwaltung) und historischer Werte (Archivwerte) von Prozess- und abgeleiteten Prozessvariablen.

Funktionen

Vordefinierte Makros die vom Projektanten einfach benutzt und parametriert werden können und den Eingriffen in zenon dienen
Die Eingriffe der Benutzer in zenon werden über benutzerdefinierte Projektfunktionen realisiert. Alle in einem Projekt verwendeten Funktionen basieren auf den vorhandenen Systemfunktionen.

HTML

Darstellung als HTML Seiten
Die Verwendung eines Bildes für die Darstellung von HTML-Seiten bietet alle Möglichkeiten des Microsoft Internet-Explorers.

Import/Export

Teile eines Projekts lassen sich in zenon importieren oder aus zenon exportieren. Das Format der Export-Dateien ist *.XML.

Industrial Maintenance Manager

Verwaltung der Wartungsdaten
Der Industrial Maintenance Manager dient zur Pflege von Maschinen- und Wartungsdaten. Serviceintervalle können bequem geplant und verwaltet werden. Auf einen Blick ist feststellbar, welche Geräte, Anlagen, Maschinen usw. heute/in dieser Woche/nächstes Monat usw. gewartet werden müssen. Ebenso wird mitprotokolliert, welche Wartungsarbeiten in der Vergangenheit durchgeführt worden sind.

Industrial Performance Analyzer

Alarmauswertung
Der Industrial Performance Analyzer dient dazu, Schwachstellen (Stillstandszeiten) einer Anlage zu lokalisieren und minimieren.

Installation und Updates

Informationen für die Installation von zenon auf unterschiedlichen Betriebssystemen (z. B. Windows CE, .. Embedded, ...)

Keyblock Runtime Start

Ein Programm, welches zenon Runtime startet und alle Windows Systemtasten sperrt.
Benutzer arbeiten auf der zenon Runtime und haben keinen Zugriff auf die Betriebssystemebene.

Keyboards

Virtuelle Keyboard
Mit der Verwendung eines Bildes Keyboard lässt sich eine frei definierbare virtuelle Keyboard erzeugen.

Konfigurationsdateien

Informationen für Systemadministratoren, die direkt in die INI-Dateien eingreifen wollen.

Last-Management

Zur Umsetzung eines Energiebezugsmanagements bei kleinen bis mittleren Energieerzeugern, aber auch bei Industrieunternehmen, deren Energiebezug über Sonderverträge geregelt ist.
Kann sowohl zur Prognose wie auch zur Optimierung eingesetzt werden.

Lizensierung

Um zenon als Editor und/oder Runtime einsetzen zu können, muss das Produkt lizenziert werden.
Solange zenon nicht lizenziert wurde, läuft es im Demo Modus.

Maßeinheitenumschaltung

Ermöglicht das Umrechnen und Umschalten von Basiseinheiten in sogenannte Umrechnungseinheiten, zum Beispiel Meter in Yard oder Meter in Dezimeter, Zentimeter und Millimeter.
Für die Umrechnungseinheiten können ein Faktor, ein Offset und eine Kommaverschiebung bezogen auf die zugehörige Basiseinheit definiert werden.

Menü Verwaltung

Der Menü-Editor erlaubt das Erstellen Windows-konformer Menüs.

Message Control

Versand von Nachrichten per SMS, Voice Message oder als E-Mail.
Die Aufgabe dieses Moduls ist der Versand von Nachrichten an unterschiedliche Empfänger.

Mobile Anwendungen für zenon

Mit den mobilen Anwendungen können Sie Ihre zenon Projekte auf mobilen Endgeräten, Tablets und Desktop-Geräten visualisieren.

Bildschirm Verwaltung

Mehrbildschirmsystem
Durch die zenon Bildschirmverwaltung ist arbeitsplatzspezifisch definierbar, ob das Zielsystem des Projektes mit einem oder mehreren Bildschirmen ausgestattet ist.

Multi-Touch

Touchscreens können mit zenon auch per Multi-Touch-Gesten bedient werden. Multi-Touch-Gesten für Zoomen und Scrollen eignen sich auf Touchpanels auch zur Navigation im Weltbild.

Netzwerk

Client/Server Modell
Das Prozessleitsystem realisiert in einer Netzwerkumgebung das so genannte Client/Server Modell oder ein multihierarchisches System mit Unterstationen, Bereichszentralen und Zentralen.

Notizbuch

Ausgabe von Protokollen und Textdateien.

OPC-Server

Der OPC Server stellt die im Projekt verwendeten Variablen allen handelsüblichen OPC Client Tools zur Verfügung.

PLC Diagnosis

Mit der PLC-Diagnosis können Programmdetails einer Steuerung direkt in der Visualisierung in einem Bild angezeigt werden. Je nach Steuerung stehen unterschiedliche Funktionalitäten zur Verfügung. Derzeit existieren die Simatic S7-Graph Schrittkettenanlayse zur Darstellung von Schrittketteninformationen von S7 Steuerungen und der zenon Logic Monitoring Viewer zur Darstellung von allen Programmen die in der zenon Logic Runtime abgearbeitet werden.

Process Gateway

Das Process Gateway dient zur Kopplung mit übergeordnete Systeme. Teile des zenon Prozessabbildes können anderen Anwendungen zur Verfügung gestellt und aktualisiert werden.

Production & Facility Scheduler

Fahrplan, Zeitschaltuhr
Der Production & Facility Scheduler PFS ermöglicht das Ausführen von Aktionen (z. B. Ändern des Sollwertes einer Variablen, Ausführung einer Funktion) an einen Zeitraum gekoppelt oder nach einem zeitlichen Muster.

Programmierschnittstellen

zenon stellt verschiedene Schnittstellen wie VBA, VSTA oder .Net zur Einbindung eigener Programme oder zur Automatisierung der Projektierung zur Verfügung.

Projektkonvertierung

Information(en) zur Kompatibilität inklusive Anleitung(en) zur korrekten Konvertierung aus älteren zenon Versionen.

Projektsicherung

Sichern und Rücklesen von bestehenden Projekten.
Projektsicherungen können auf dem gleichen Rechner oder einem anderen wieder eingelesen werden. Projektsicherungen können auch versioniert werden.

Projektsimulation

Bietet die Möglichkeit zwischen Simulationsmodus und Hardwaremodus umzuschalten. Im Simulationsmodus werden Schalthandlungen durchgeführt, Rezepte abgesetzt, Sollwerte gesetzt etc., ohne dass diese Operationen tatsächlich zum Prozess (z. B. zu einer Steuerung) gesendet werden.

Projektverwaltung

Information über Projekterstellung, Projektverwaltung
Projekte sichern, rücklesen, Globalprojekte, Konfiguration, Remote-Transport

Prozessdatenmodell und Variablendefinition

Variablen sind die Schnittstelle zwischen der Datenquelle (SPS, Feldbus etc.) und zenon.
Variablen, Datentypen, Treiber, Reaktionsmatrizen

Querverweisliste

Projektübersicht
Mittels Querverweisliste kann eine Projektübersicht in Tabellenform generiert werden. Die Querverweisliste gibt z. B. Aufschluss darüber, welche Variablen in welchen Bildern verwendet werden.

Remote-Transport

Der Remote-Transport dient dazu, Runtime Dateien auf ein Zielsystem zu transportieren. Dieser stellt sicher, dass immer alle benötigten Dateien auf den Zielrechner gelangen.
Es stehen weitere Funktionalitäten (z. B. inkrementelles Kopieren, Übertragen von Status) zur Verfügung.

Reporting mit Report Generator und

Dokumentation, Auswertung und Präsentation von Prozessdaten auf Basis von Online- und Archivdaten aus zenon. Das Reporting unterteilt sich in:

  • Report Generator
  • Report Viewer

Rezepte

Vorgabelisten für Sollwerte und Befehle
Rezepte dienen der Zusammenstellung von Vorgabelisten für Sollwerte und Befehle, die im Onlinebetrieb mit einem Funktionsaufruf ausgeführt werden.

Rezeptgruppen Manager

Zusätzlich zu den Standard Rezepturen bietet der Rezeptgruppen Manager weitere Möglichkeiten, wie z. B. freie Layouterstellung, freie Gruppeneinteilung.

Runtime

Onlinebedienung, Runtime
Das Leistsystem unterteilt sich in Editor und Runtime. Die Projektierungsumgebung, der Editor und die Onlinedarstellung, die Runtime. Projekte werden im Editor erstellt, das Bedienen und Beobachten erfolgt in der Runtime.
Bedienungsmöglichkeiten in der Runtime

Runtime-Hilfe

zenon bietet die Möglichkeit für laufende Projekte in der Runtime eine kontextsensitive Hilfe zu erstellen.

SAP Interface

zenon und SAP kommunizieren über eine bidirektionale Schnittstelle.
Das Leitsystem sendet Meldungen zu beliebigen Vorgängen an die SAP Anwendung (z. B. Lagerhaltung in Echtzeit überwachen).

Schaltfolgen

Befehle des Moduls Befehlsgabe können in der Runtime zu Abläufen zusammengestellt und visualisiert werden. Es können auch Benutzerinteraktionen ausgeführt werden.

Scheduler

Aktionsausführung nach Zeit
Der Scheduler wird geladen, wenn das PFS Modul nicht lizenziert wird. Seine Funktionalität ist dem des PFS ähnlich, jedoch weniger umfangreich. Der Scheduler dient zur Ausführung von Aktionen zu einer festgelegten Zeit.

Schriften

Schriften, die im Betriebssystem vorhanden sind, können in zenon genutzt werden.

Skript Verwaltung

Funktionsabfolge
Sollen mehrere benutzerdefinierte Funktionen zu einer Abfolge verbunden werden, müssen sie zu einem Skript zusammengefasst werden.

Sprachumschaltung

Ermöglicht, im Onlinebetrieb dargestellte Textinformationen in verschiedene Sprachen umzuschalten.

Statusverarbeitung

Attribute für Variablen
Mit der Statusverarbeitung ist es möglich für jede Variable Status zu vergeben. Insgesamt sind 64 Statusbits definiert. Die gebräuchlichsten sind spontan, gestört, Handwert und Ersatzwert.

Stile

Stile ermöglichen es, im Editor grafische Eigenschaften von Bildelementen zu extrahieren, zu verwalten und auf andere Elemente anzuwenden.

Stile werden immer im Globalobjekt verwaltet.

zenon Logic Runtime

Die zenon Logic Runtime interpretiert den kompilierten Code (SPS-Code) der zenon Logic Workbench. Die Runtime läuft auf Windows 7/8 und 7 embedded PCs sowie auf Windows CE Plattformen.

zenon Logic Workbench

zenon Logic ist eine IEC 61131-3 Programmierumgebung. Mit der zenon Logic Entwicklungsumgebung - der so genannten Workbench - können Steuerungen in den fünf definierten Sprachen der IEC 61131-3 projektiert und programmiert werden.

Treibersimulation

Wenn bei der Projektierung der dahinterliegende Prozess nicht zur Verfügung steht, kann dieser simuliert und vorab getestet werden.

Tools

Eine Reihe von Tools unterstützen Sie beim Managen, Analysieren und Konfigurieren von zenon:

  • Diagnosis Viewer: Ermöglicht das Auslesen und Konfigurieren von zenon LOG-Dateien.
  • Keyblock Runtime Start: Startet die zenon Runtime und sperrt gleichzeitig alle Windows Systemtasten.
  • Online-Aktualisierung der zenon Hilfe: Ermöglicht die Online-Aktualisierung der zenon Hilfe.
  • Project Translation Interface: Tool für die Übersetzung von zenon Sprachdateien. Öffnet oder speichert Dateien für den zenon Language Translation Wizard. Damit können Projekt in/aus zenon importiert oder exportiert werden.
  • Startup Tool: Ermöglicht es, Editor und Runtime mit bestimmten Parametern zu starten, unterschiedliche zenon Versionen auf einem Rechner zu verwalten, SQL-Instanzen zu verwalten und Sprachen für Editor und Runtime zu definieren.
  • System Information Collector: Liest Informationen des Systems und von zenon aus, stellt sie in einem Ausgabefenster dar und speichert sie in einer ZIP-Datei.

Für zenon Logic steht Ihnen zur Verfügung:

  • zenon Logic Runtime Manager: Verwaltet alle stand alone/manuell zu startenden zenon Logic Runtime Projekte auf Ihrem Computer.
    Die Dokumentation zu diesem Tool ist Teil der zenon Logic Dokumentation.

Variablen

Variablen, auch Prozessvariablen oder Datenpunkte genannt, sind die Schnittstelle zwischen der Datenquelle (SPS, Feldbus etc.) und zenon. Sie repräsentieren bestimmte Messwerte oder Zustände auf der Hardware einschließlich Eigenschaften wie Skalierung, Grenzwerte etc.

Verriegelungen

Zugriffsberechtigungen
Verriegelungen dienen dazu, den Zugriff auf bestimmte zenon Objekte zur Runtime mit Hilfe von Variablen steuern zu können.

Verteiltes Engineering

Mehrbenutzer Verwaltung , Mehrplatzfähigkeit
Die zenon Mehrbenutzer-Funktionalität macht es möglich, dass mehrere Benutzer zur gleichen Zeit an demselben Projekt arbeiten.

Video

.avi Dateien in zenon
Mit der Verwendung eines Bildes für die Videodarstellung sind Online- und gespeicherte Videoaufnahmen (*.avi) darstellbar.

Weltbild

Scrollen bei großen Bildern.
Mit der Verwendung eines Weltbildes ist es möglich, in Standardbildern, die größer sind als die Bildschirmauflösung, mit der Maus zu scrollen. Hier ist es ebenfalls möglich, zu zoomen und abhängig von den Zoomstufen Detailinformationen im Bild ein- und auszublenden. (Zooming, panning, decluttering).

Wizards

Assistenten zur Projektierungsunterstützung.
Um immer wiederkehrende Aufgaben beim Projektieren möglichst einfach und zeitsparend erledigen zu können, bietet zenon Wizards zu unterschiedlichen Themen an. Benutzer können eigene Wizards für individuelle Aufgaben erstellen.

Zeitsteuerung

In der Zeitsteuerung werden alle Funktionsaufrufe, die zu einem definierten Zeitpunkt oder zyklisch ausgeführt werden sollen, festgelegt.

zenon Remote Desktop

Mit dem zenon Remote Desktop wird eine Remote Desktop Verbindung zu einem Remote Zielsystem aufgebaut um einen Remote Rechner zu administrieren.
Der Desktop wird 1:1 so angezeigt, wie er am Zielsystem dargestellt wird.

Der zenon Remote Desktop verfügt über eine "nur betrachtende Verbindung" und eine "bedienende Verbindung".

zenon Science Package

Das zenon Science Packag ermöglicht die Programmierung von LEGO Mindstorms NXT 2.0 / EV 3.0. Programme werden in zenon Logic erstellt und auf dem LEGO Controller mit zenon Logic ausgeführt, eine in
zenon integrierte IEC 61131-3 Programmierumgebung.

zenon Web Server und zenon Web Server Pro

Der zenon Web Server bringt Projekte 1:1 ins Internet und Intranet. Für den Transfer sind keinerlei Projektanpassungen erforderlich. Im Gegensatz zum zenon Web Server Pro, bietet der zenon Web Server eine reine Beobachtungsfunktionalität.
Der zenon Web Server Pro bietet eine komplette Bedien- und Beobachtungsfunktionalität. Über das Web kann direkt auf Prozesse eingegriffen werden.

zenon unter CE

Die CE Runtime von zenon ist auf verschiedenen CE Hardware Plattformen lauffähig. Grundsätzlich bietet die CE Version von zenon dieselbe Funktionalität wie die PC Version von zenon mit einigen Einschränkungen, die sich durch die geringeren Hardwareressourcen ergeben.

Zuweisungen

Wertübertragung
Die Rangierung des aktuellen Wertes einer Prozessvariablen auf eine zweite Variable innerhalb eines Treibers oder treiberübergreifend wird mit der Verwendung von Zuweisungen realisiert.


Funktionalitäten Onlinehilfe - So findet man, was man sucht

Handbuch > Roter Faden durch die Hilfe - Ein Überblick > Funktionalitäten Onlinehilfe - So findet man, was man sucht

Manchmal kommt es vor, dass Informationen zwar in der Hilfe dokumentiert wurden, aber mit der Suche-Funktionalität trotzdem nicht gefunden werden.
Deshalb finden Sie hier einige Tipps, wie Sie in unserer Hilfe erfolgreich suchen und vor allem auch finden.

Suchstrategien

  • Per Default startet die Hilfe mit der Registerkarte Inhalt. Hier finden Sie sämtliche Dokumentation (Online-Handbuch, Tutorials und Treiber-Dokumentationen) in einer Baumstruktur.
  • In der Registerkarte Suchen kann nach Begriffen gesucht werden, indem sie in das Suchfeld eingegeben werden.
  • in der Registerkarte Favoriten können Sie bevorzugte Hilfekapitel ablegen. Dazu einfach das gewünschte Kapitel in der Registerkarte Inhalt auswählen, oder über Suchen finden (jeweils Doppelklick erforderlich), anschließend zu Favoriten wechseln. Dieses Hilfekapitel wird hier unter Aktuelles Thema vorgeschlagen und kann zu den Favoriten hinzugefügt werden.

Suche nach Worten oder Phrasen:

Parameter | Beschreibung
Einzelnes Wort | z. B. Alarm Kapitel werden angezeigt, die das Wort 'Alarm' enthalten. Die grammatikalischen Variationen dieses Wortes werden ebenfalls berücksichtigt.
Phrase | z. B. 'Alarm Verwaltung' Kapitel werden nach der kompletten Phrase 'Alarm Verwaltung' durchsucht. Ohne Anführungszeichen, würden Suchergebnisse zu Alarm UND Verwaltung angezeigt werden, also Kapitel, die beide Begriffe enthalten.
Erweiterungen | z. B. Alarm* Kapitel werden nach allen Begriffen durchsucht, die 'Alarm' als Teil des Wortes enthalten. Der Asterisk (*) kann auch am Anfang des zu suchenden Begriffes eingegeben werden (z. B. *Alarm)
Verknüpfungen | AND Beide Wörter sollen im selben Kapitel vorkommen. z. B. Alarm AND CEL Kapitel die beide Wörter enthalten werden angezeigt.
 | OR Mindestens eines der Wörter soll im Kapitel vorkommen. z. B. Alarm OR CEL Kapitel, die entweder das Wort 'Alarm' oder das Wort 'CEL' oder beide Wörter enthalten, werden angezeigt.
 | NOT Nur eines der Wörter im Kapitel. z. B. Alarm NOT CEL Kapitel, die das Wort 'Alarm' aber nicht das Wort 'CEL' enthalten, werden angezeigt.
 | NEAR Beide Wörter im selben Kapitel, nahe beieinander z. B. Alarm NEAR CEL Kapitel, die beide Begriffe 'Alarm' und 'CEL' in einem maximalen Abstand von acht Wörtern enthalten.


Effizient projektieren mit zenon

Handbuch > Effizient projektieren mit zenon

Sie arbeiten zum ersten Mal mit zenon?
Hier lesen Sie, wie Sie zenon effizient einsetzen. Auch wenn Sie bereits Erfahrung mit anderen Prozessleitsystemen haben, empfehlen wir Ihnen einen Blick in dieses Kapitel. Sie erfahren, welche Grundidee hinter zenon steht und wie es funktioniert, warum und wie zenon Ihre Arbeit einfacher und schneller macht.

zenon im Überblick

zenon besteht aus Editor und Runtime.
Projekte werden im Editor erstellt. Das Bedienen und Beobachten erfolgt in der Runtime. Editor und Runtime sind ab Version 6.20 versionsübergreifend kompatibel. Ein Projekt, das mit Version 6.50 erstellt wurde, läuft zum Beispiel auch auf einer Runtime mit Version 6.22 und umgekehrt.

zenon unterscheidet sich von anderen Systemen vor allem durch:

  • Einfache Bedienung: Viele Aktionen benötigen nur wenige Mausklicks, Assistenten und Wizards machen die Arbeit leicht und schnell, Sie arbeiten mit Drag&Drop per Maus oder mit der Tastatur, wie Sie es wünschen.
  • Praktische Objektorientierung: Sie arbeiten durchgängig mit Objekten, die Sie schnell parametrieren statt aufwändig programmieren. Sie nutzen einmal definierte Objekte auch projektübergreifend, profitieren von Vererbung und blitzschnellen Änderungen von Eigenschaften.
  • Exzellente Wiederverwendbarkeit einmal projektierter Objekte und Elemente: Von einzelnen Variablen bis zu kompletten Projekten sind in zenon viele Elemente sehr einfach und effektiv wiederverwendbar.
  • Integriertes Netzwerk: Verteiltes Engineering im Netzwerk und 100% Redundanz sind kein besonderer Aufwand mehr. Netzwerke erstellen Sie durch Aktivieren der entsprechenden Checkbox. Und genau so einfach vernetzten Sie vereinzelte standalone Projekte zu effizienten, redundanten Systemen.

Tipps und Tricks

Viele nützliche Tipps finden Sie jederzeit im Forum von www.copadata.com. Wie Sie zenon optimal einsetzen, lernen Sie am besten in den COPA-DATA Trainings und Workshops, abgestimmt auf Ihre Schwerpunkte und Projekte. Ihr Vertriebspartner informiert Sie gerne - oder schreiben Sie eine kurze Mail an sales@copadata.com.

Noch in diesem Kapitel

Einfache Bedienung

Objektorientierung

Elemente wiederverwenden

Integriertes Netzwerk

Tipps und Tricks


Einfache Bedienung

Handbuch > Effizient projektieren mit zenon > Einfache Bedienung

zenon macht Ihnen das Projektieren durch viele kleine Annehmlichkeiten leichter und erhöht so Ihre Produktivität. Bei der Arbeit mit zenon werden Sie entdecken, dass Sie viele Aufgaben ganz nach Ihren Präferenzen lösen können. Zum Beispiel:

Favoriten

In den Eigenschaften der Objekte und im Funktionsauswahldialog können Sie eigene Favoriten definieren. Diese werden Ihnen immer am Beginn der Eigenschaftenlisten angeboten und geben Ihnen so schnellen Zugriff auf jene Eigenschaften, die sie besonders häufig benötigen.

Allgemeine Tastaturbedienung im Editor

Der Editor lässt sich bequem über Symbole und Menüs mit der Maus bedienen, aber auch durchgängig per Tastatur. Die von Windows gewohnten Tastenkombinationen funktionieren auch in zenon. Zum Beispiel:

  • Strg+C und Strg+V für kopieren und einfügen
  • Einfügen-Taste erstellt neue Objekte
  • Entfernen-Taste löscht markierte Objekte
  • Maus bei gedrückter Maustaste bewegen: Navigieren in Ansichten
  • Esc-Taste bricht Aktion ab
  • Rückwärts löschen (Backspace) springt im Verzeichnisbaum auch auf die darüber liegende Ebene
  • Strg+Z macht letzte Aktionen rückgängig, ausgenommen Datenbankoperationen

Mehr zur Tastaturbedienung lesen Sie im Kapitel Tastenkombinationen.

Drag&Drop

Im Editor haben Sie die Möglichkeit, Arbeitsschritte per Drag&Drop zu vereinfachen. Zum Beispiel:

  • Reihenfolge der Menüeinträge ändern
  • Schriften auf Dynamische Elemente wie Universalregler, Uhr, Combi-Element etc. verknüpfen
  • Reihenfolge von Strukturelemente für Strukturdatentypen ändern
  • Reihenfolge innerhalb eines Scripts ändern
  • Kopieren oder verschieben von Funktionen über verschiedene Scripts
  • Skripte kopieren, indem sie auf den Stammknoten gezogen werden

Intelligente Assistenten und Wizards für komplexe Aufgaben

Die in zenon integrierten Assistenten und Wizards helfen Ihnen, schnell ein Basisprojekt zu erstellen oder komplexe Einstellungen zielgerichtet vorzunehmen. Wir empfehlen vor allem Einsteigern die Assistenten für den Universalregler, das Combi-Element und die Archivierung.

Tooltips für Elemente und Eigenschaften

Wenn Sie den Mauszeiger über ein Anzeigeelement (z. B. eine Text-Schaltfläche) oder eine Eigenschaft mit Verknüpfung (z. B. die mit einer Text-Schaltfläche verknüpfte Funktion) bewegen, erscheint ein Tooltip. Dieser zeigt Informationen der verknüpften Elemente an, wie die verknüpfte Funktion und deren Parameter.

Erweiterte Zeichenmöglichkeiten

Der grafische Editor bietet Ihnen eine breite Auswahl an Funktionen, die Ihnen das Abbilden von Anlagen leicht macht und Ihnen gleichzeitig sehr vielfältige Gestaltungsmöglichkeiten gibt. Vom stufenloser Zoom über skalieren per Klick bis zu einrastenden Elementeckpunkten und automatischem Verteilen von Elementen nach Regeln. Details dazu finden Sie im Kapitel Bilder.

Springen zu verknüpften Elementen

Bei allen grafischen Elementen, bei Funktionen, bei Variablen und auch bei anderen Elementen haben Sie die Möglichkeiten direkt zu den Verknüpften Elementen zu springen. Beispielsweise kommen Sie von einem Anzeigeelement mit einem Mausklick direkt zur verknüpften Variable, von der Variable direkt zum verwendeten Datentyp und von dort sogar weiter zur verwendeten Einheit. Bei Bedarf können Sie alle diese Schritte auch bequem per Mausklick wieder zurück zum Ausgangselement springen.


Objektorientierung

Handbuch > Effizient projektieren mit zenon > Objektorientierung

COPA-DATA betrachtet das Thema Automatisierung erstens objektorientiert und zweitens ganz pragmatisch. So funktioniert auch zenon, das sich darüber hinaus auch selbst weitgehend automatisieren lässt. Sie benötigen für zenon keine Programmiersprache. Sie müssen keine Zeile Code programmieren. Stattdessen weisen Sie Objekten per Mausklick Eigenschaften zu. Das funktioniert nicht nur mit einzelnen Objekten, sondern auch zentral für ein ganzes Projekt und sogar projektübergreifend.

Wenn Sie jetzt befürchten, dass Sie zenon nicht individualisieren können und ganz auf die Objekteigenschaften angewiesen sind, heißt die gute Nachricht: Natürlich können Sie zenon auch sehr individuell gestalten. Dazu nutzen Sie vor allem VBA oder die VSTA (.NET) Entwicklungsumgebung. Außerdem bietet zenon viele Schnittstellen, um mit Hardware und Software zu kommunizieren und verfügt mit zenon Logic über eine integrierte SCADA Logic .

Drei wichtige Grundgedanken für die Arbeit mit zenon

Drei zentrale Prinzipien machen die die Projektierung mit zenon einfach, zuverlässig und wartungsfreundlich:

  1. Parametrieren statt programmieren:

    Einfach die nötigen Parameter setzen statt zu programmieren oder Skripte anzupassen.

  2. Global/zentral statt lokal:

    Objekte einmal definieren und immer wieder verwenden, auch projektübergreifend, statt Skripte immer wieder zu schreiben oder zu kopieren.

  3. Objektorientiert parametrieren:

    Alle Vorteile objektorientierten Denkens nutzen.

Noch in diesem Kapitel

Parametrieren statt programmieren

Global und zentral statt lokal

Objektorientiert parametrieren


Parametrieren statt programmieren

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Parametrieren statt programmieren

Welchen Vorteil bringt es, Projekte zu parametrieren statt zu programmieren?

Sie verzichten vor allem auf fehleranfälligen Code und gewinnen hohe Flexibilität, Übersicht, Tempo und einen sehr hohen Grad an Wiederverwendbarkeit. Vier Punkte sprechen besonders dafür:

  1. Vorgefertigte Module bringen Zeitgewinn
    zenon enthält viele vorgefertigte Module. Statt selbst Skripte zu programmieren, wählt der Projektant das passende Modul und konfiguriert es, indem er die gewünschten Eigenschaften und Parameter ausgewählt. So erstellen Sie in kurzer Zeit lauffähige Projekte.
  2. Produkt kommt ausgereift vom Hersteller
    Der Projektant konzentriert sich auf seine Projekte. Die Software wird beim Hersteller entwickelt und getestet, Projektanten müssen keinen eigenen Code schreiben. Damit lässt sich der Umgang mit zenon schnell erlernen, auch für Mitarbeiter ohne Erfahrung im Software-Engineering.
  3. Einfache Wartung und Anpassung des Projektes
    zenon arbeitet streng objektorientiert. In Kombination mit dem Grundsatz "parametrieren statt programmieren" heißt das: leichte Wartung und Anpassung. Für Änderungen und Kontrollen muss man nur die Eigenschaften der einzelnen Objekte überprüfen oder ändern statt lange Codezeilen zu lesen und umzuschreiben. Auf die Lebenszeit eines Projektes gesehen bringt das
    • Übersicht: Projekte lassen sich auch nach Jahren und auch von neuen Mitarbeitern noch nachvollziehen.
    • Sicherheit: Fehleranfällige Skripte und Programmierung werden vermieden.
    • Zeitgewinn: Projektierung, Anpassung und Wartung lassen sich sehr viel schneller realisieren.
  4. Einfache Anpassung an Maschinen
    zenon lässt sich schnell und einfach an neue oder veränderte Maschinen anpassen. Projektanpassungen verlangen nur wenigen Mausklicks.

zenon anpassen

Parametrieren verhindert auch, dass Fehler in Skripten wieder und wieder kopiert werden. Es vermeidet umständliche Änderungen in vielen Einzelskripten, wenn lediglich eine Kleinigkeit angepasst werden soll. Das heißt aber nicht, unbeweglich sein. Auch zenon gibt Ihnen Möglichkeiten, das System individuell zu erweitern und anzupassen.

  • VBA/VSTA:
    Mit Hilfe der integrierten Skriptsprachen Visual Basics for Applications oder C# und VB.NET können Sie auch in der Runtime beliebigen Code ausführen. So lösen Sie Automatisierungsaufgaben, Logikaufgaben und Schnittstellenaufgaben wie Datenbankzugriffe.
  • zenon Logic:
    Die vollständig integrierte Steuerungsumgebung erlaubt Ihnen als SCADA Logic alle 5 IEC 61131-3 Sprachen zu nutzen. Damit erledigen Sie alle Berechnungen und Logikaufgaben.
  • PCE:
    Die integrierte Process Control Engine ermöglicht Ihnen, Automatisierungsaufgaben in den Sprachen VB-Skript und Java Skript umzusetzen.
  • ActiveX Controls:
    Beliebige Standard-Controls wie Flash Player oder Acrobat Reader lassen sich in zenon integrieren. Die Schnittstelle ist offen gelegt und steht damit auch selbst programmierten ActiveX Controls offen.
  • WPF-Elemente
    Durch die direkte Integration des Microsoft Formats Windows Presentation Foundation können Sie grafische Elemente wie z.B,. einen Button, ein Zeigerinstrument und vieles anderes in diesem neuen Grafikformat direkt in zenon Bildern einbinden. Diese Elemente können Sie frei mit Variablen und Funktionen verknüpfen und damit beliebige grafische Effekte umsetzen.
  • COM-Schnittstelle:
    Über die vollständig offen gelegte COM-Schnittstelle greifen Sie von außen auf zenon zu. Für die Kommunikation stehen beliebige Programmiersprachen wie C++, .NET, Delphi und so weiter zur Verfügung.


Global und zentral statt lokal

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Global und zentral statt lokal

Eigenschaften lassen sich bei zenon auf unterschiedlichen Wegen definieren, je nachdem, was Ihre Aufgabe verlangt:

  • direkt am Objekt
  • zentral
  • global

Natürlich lassen sich auch in zenon alle Einstellungen direkt beim Objekt vornehmen. Aber das ist nicht immer der beste Weg.

Eigenschaften zentral definieren

Oft ist es sinnvoll, Einstellungen einmal zentral vorzunehmen. Damit haben neue Objekte von Anfang an die gewünschten Eigenschaften. Änderungen sind besonders einfach: Die gewünschte Eigenschaft wird nur an einer einzigen Stelle zentral geändert - und alle betroffenen Objekte übernehmen sie automatisch. Also nur ein Klick statt vieler Zeilen Code oder vieler Mausklicks.

Diese zentralen Einstellungen lassen sich aus jeder Stelle im Editor leicht finden. Jedes Objekt, das Einstellungen von einer zentralen Quelle bezieht, bietet die Möglichkeit, diese direkt anzuspringen. Sie folgen einfach einem Link und sehen sofort, wie Elemente verbunden sind.

Eigenschaften können Sie aber nicht nur zentral für ein Projekt definieren, sondern auch projektübergreifend global.

Global projektieren

zenon lässt Sie mehr als ein Projekt zur gleichen Zeit bearbeiten - und spart dabei die wertvollste Ressource: Arbeitszeit. In allen Projekten gleiche Schriften verwenden, ist zum Beispiel sehr einfach. Einmal definiert, stehen Eigenschaften wie Schriftart oder Schriftgröße sofort allen Projekten eines Arbeitsbereiches zur Verfügung. Benötigen Sie eine andere Schriftart für alle Projekte, kostet Sie das nur einige Sekunden, um sie im Globalprojekt zu ändern. Und wenn Sie nur ein Projekt mit einer anderen Schrift versehen möchten? Dann ändern Sie diese Schrift eben nur zentral in diesem Projekt.

info Info

Verwenden Sie im Globalprojekt am besten andere Nummernkreise als in den lokalen Projekten. Denn zenon gibt bei identen Nummern immer den lokalen Einstellungen den Vorzug.

Und: Verwenden Sie eigene Namen für Schriftlisten, die Sie im Globalprojekt und in den Einzelprojekten konsistent halten. So stellen Sie sicher, dass auch bei einem Sprachwechsel alle Schriften gefunden werden.

Beziehungen von Objekten überblicken

Übersicht über Ihre Projekte und Beziehungen von Objekten gewinnen Sie zusätzlich mit:

  • Querverweisliste (QVL):
    Sie zeigt Querbeziehungen in einem Projekt an und ermöglicht die einfache Suche nach der Verwendung von Variablen und Funktionen.
  • Wizard für Dokumentation
    Er erstellt automatisch eine komplette Projektdokumentation. Was dokumentiert wird, lässt sich für jede Eigenschaft exakt einstellen.


Objektorientiert parametrieren

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren

'Objektorientiert parametrieren' ist die grundlegende Philosophie bei zenon. Sie bringt Übersicht und spart viel Zeit beim Anlegen und Verwalten von Variablen.

Jede Variable in zenon basiert auf zwei Elementen:

  • Treiber
  • Datentyp

Noch in diesem Kapitel

Treiber

Datentypen

Tipps zu Adressierung und Import-Export


Treiber

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren > Treiber

Treiber werden in zenon nicht direkt angebunden, sondern über einen Treiberobjekttyp. Dieser bestimmt, welcher Bereich auf der Steuerung angesprochen werden soll.

Treiberobjekttyp

Es existieren viele unterschiedliche Treiberobjekttypen, zum Beispiel Standard SPS-Merker, Datenbausteine, Eingänge, Ausgänge, Zähler, aber auch Spezialtypen wie Alarm- oder Treibervariablen.

Der Treiberobjekttyp bestimmt:

  • den Bereich auf der Steuerung
  • welche Granularität der Treiber in diesem Bereich hat
  • welche Datentypen auf dem Bereich angelegt werden können

Tipp: Nicht jeder Datentyp kann in jedem Bereich angelegt werden. Wählen Sie daher beim Anlegen einer Variable immer:

  • zuerst den Treiber,
  • dann den Treiberobjekttyp und
  • zuletzt den Datentypen

Exkurs: Granularität

Granularität ist vor allem bei numerisch adressierenden Steuerungen wie z. B. der Siemens S7 wichtig. Nicht jede Steuerung hat dieselbe Rasterung und auch nicht alle Bereiche in einer Steuerung haben dieselbe Rasterung.

So ist z. B. der Datenbausteinbereich der Siemens S5 wortorientiert, der Merkerbereich aber Byte-orientiert. Das bedeutet, dass die kleinste Einheit, die adressiert werden kann, ein Byte oder eben ein Wort ist. Will man z. B. in einen solchen Bereich ein Bit schreiben, muss man mindestens ein ganzes Byte/Wort lesen, das entsprechende Bit ausmaskieren, ändern und dann das ganze Byte/Wort wieder auf die Steuerung schreiben.

Dieselbe Information benötigt man auch bei der Adressierung der Bereiche, Offset genannt. Man beginnt dabei bei Null und zählt in Byte- oder Wort-Schritten weiter. Nutzt man in zenon die automatische Adressierung, wird diese Granularität automatisch berücksichtigt. Die Granularität ist also nicht vom Treiber abhängig, sondern vom Treiberobjekttyp.

Treibervariablen

Die Treibervariablen werden von jedem Treiber angeboten und bringen viele Vorteile für die Projektierung. Sie kommunizieren nicht mit der Steuerung, sondern lesen einen internen Speicherbereich des Treibers mit vor allem statistischen Informationen aus. Aber auch spezielle Funktionen lassen sich mit Variablen steuern, z. B. Telefonnummern für Modemverbindungen oder Befehle zum Wählen oder Auflegen.

Genauere Informationen dazu lesen Sie im Hilfekapitel Treibervariablen.

Auf dem Installationsmedium von zenon finden Sie eine dBase-Datei mit den wichtigsten Treibervariablen. Damit können Sie diese Variablen zu jedem Treiber importieren statt sie manuell anzulegen.


Datentypen

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren > Datentypen

Datentypen sind das Herzstück des objektorientierten Parametrierens. Da bei den Treiber‑Objektypen keine Einstellungen vorgenommen werden können, sind diese für die Objektorientierung nicht nutzbar. Die Datentypen dagegen bieten hier sehr viele Möglichkeiten.

Wir unterscheiden drei Arten:

  • einfache Datentypen
  • Struktur-Datentypen
  • Strukturelemente

Noch in diesem Kapitel

Einfache Datentypen

Struktur-Datentypen - Strukturelemente - Strukturarray


Einfache Datentypen

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren > Datentypen > Einfache Datentypen

Einfache Datentypen sind immer IEC Datentypen, also die im IEC Standard 61131-3 definierten Datentypen wie BOOL, INT, USINT, UDINT, USINT, STRING, WSTRING usw. Sie bringen die Länge eines Bereichs mit - zum Beispiel:
BOOL: 1 Bit
INT: 16 Bit mit Vorzeichen
UINT: 16 Bit ohne Vorzeichen

Die Datentypen in zenon erlauben neben dem IEC Datentyp aber die Einstellung von weit mehr Eigenschaften. Diese haben dieselben Bezeichnungen wie die Eigenschaften der Variablen:

  • Kennung
  • Einheit
  • Wertbereich
  • Grenzwerte

Wozu diese "doppelte Datenhaltung"?

Der Hintergrund ist so einfach wie praktisch:
Die Variable übernimmt Wertberechnung, Einheit und eben auch Grenzwerte vom zugrundeliegenden Datentyp - so wie ein Anzeigeelement z. B. die Schriftart und Schriftgröße von der verknüpften Schrift übernimmt.

Objektorientierung

Anders als bei der Verknüpfung von Dynamischen Elementen und Schriften haben wir es hier mit einem objektorientierter Ansatz zu tun: Das Datentypobjekt vererbt seine Eigenschaften auf die Variable. Der Unterschied?

Verknüpfte/abgeleitete Eigenschaften lassen sich bei der Variablen trennen oder überschreiben. Das funktioniert für jede Eigenschaft einzeln, aber auch für alle Eigenschaften gleichzeitig. Sie können also z. B. die Einheit vom Datentyp zentral übernehmen, die Kennung, oder die Adresse jedoch direkt bei der Variablen überschreiben. Das funktioniert so:

  • Ändern Sie bei der Variablen den entsprechenden Wert, dann wird die Verknüpfung getrennt.
    Sie erkennen das auch daran, dass in den Eigenschaften das Häkchen verschwunden ist.

Über das Kontextmenü können Sie folgende Funktionen nutzen:

  • Eigenschaft vom Datentyp ableiten:

    Wenn Sie die Verknüpfung getrennt haben, können Sie diese wieder herstellen.

  • Eigenschaft trennen:

    Sie können eine einzelne Eigenschaft trennen, ohne dass Sie den Wert ändern müssen. Wenn Sie später den Wert beim Datentyp ändern, können Sie sicher sein, dass die Variable davon nicht beeinflusst wird. So können Sie ganz bewusst einstellen, ob das Vererbungskonzept greift oder nicht.

Als besondere Hilfestellung können Sie auch alle Eigenschaften mit einem Mausklick vom Datentyp übernehmen oder trennen. Damit können Sie besonders schnell den Ursprungszustand (alles abgeleitet) wiederherstellen oder eben aufheben. Was bringt Ihnen das Ganze in der Praxis?

Besonders hohe Flexibilität: Wenn Sie viele Variablen mit gleichem Grenzwert haben, z. B. einen Alarm bei Wert 1, dann stellen Sie diesen beim Datentyp ein. Den Grenzwerttext und andere optionale Parameter stellen Sie dann bei jeder Variable gesondert ein. Sie sparen sich damit das Anlegen und Warten des Grenzwerts bei jeder einzelnen Variablen und Ihre Engineeringleistung steigt deutlich. Der standardmäßig angelegte Datentyp BOOL hat übrigens bereits einen Grenzwert bei 0 und bei 1!

Wenn Sie nun gar nicht bei jeder Bool-Variablen einen Grenzwert haben, müssen Sie aber nicht bei jeder Variablen extra aufpassen und den Grenzwert wieder ausschalten. Sie nutzen einfach eine bequeme Möglichkeit unter zenon und legen einen eigenen Bool-Datentyp an. Gehen Sie so vor:

  • Standard-Datentyp einfach lassen wie er ist
  • auf Datentyp neu klicken
  • eine Liste mit den existierenden Datentypen wird angeboten
  • Standard-Bool auswählen
  • Namen vergeben, z. B. MyBool
  • alle Eigenschaften des neuen Datentyps werden vom alten automatisch übernommen
  • bei MyBool Grenzwerte löschen

Alle Bool-Variablen, die keine Grenzwerte haben sollen, legen Sie dann auf diesem neuen Datentyp MyBool an – und schon sind die nicht gewünschten Grenzwerte verschwunden. Jene, die erwünscht sind, bleiben aber weiter erhalten.

Sie können natürlich nicht nur einen eigenen Bool-Datentyp erstellen, sondern beliebig viele anlegen. Alle Variablen, die über weite Bereiche idente Eigenschaften benötigen, bekommen einen eigenen Datentyp. Ändert sich eine Eigenschaft, ändern Sie diese zentral und alle abgeleiteten Variablen werden automatisch mitgeändert – ausgenommen jene, bei denen die Verknüpfung getrennt wurde.


Struktur-Datentypen - Strukturelemente - Strukturarray

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren > Datentypen > Struktur-Datentypen - Strukturelemente - Strukturarray

Struktur-Datentyp

Struktur-Datentyp meint eine Gruppe von Datentypen, die in ihrer Reihenfolge und ihrer Anordnung genau definiert sind. Zum Beispiel kann sich die Struktur Motor aus den Elementen Ist-Drehzahl und Leistungsaufnahme zusammensetzen.

Eine Struktur kann auch verschachtelt sein, wobei beliebige Hierarchieebenen möglich sind.

Mit Struktur-Datentypen lässt sich der Variablenhaushalt genauso aufbauen, wie er in der Steuerung oder logisch in der Realität existiert.

Strukturelement

Ein Struktur-Datentyp ist eigentlich nur eine Hülle, die den Namen für die Struktur vergibt, selbst jedoch keine eigenen Eigenschaften mitbringt.

Diese kommen erst mit den Strukturelementen, die dem Struktur-Datentyp hinzugefügt werden. Dabei unterscheiden wir:

  • verknüpfter Struktur-Datentyp:

    Bezug zu einem bereits bestehenden Datentyp. Alle Eigenschaften werden übernommen, ausgenommen der Name.

    Vorteil: Hat das Strukturelement sehr viele Eigenschaften eines bereits existierenden Datentyps, können diese einfach wiederverwendet werde. Bei der Variablen können natürlich nach wie vor einzelne Eigenschaften geändert oder vom Datentyp getrennt werden.

  • eigener eingebetteter Struktur-Datentyp:

    Erlaubt individuelle Adressierungseinstellungen. Dieser neue Datentyp ist ausschließlich innerhalb dieser Struktur gültig.

info Info

Vorteil Objektorientierung: Ändert sich die Struktur irgendwann, dann genügt es, den Struktur-Datentyp zu ändern, um alle Variablen, die auf dieser Struktur liegen, automatisch anzupassen.

Änderungen sind in allen Ausprägungen möglich:

  • einfachen Eigenschaften wie die Maßeinheit beim Datentyp
  • komplexe Eigenschaften wie das Hinzufügen oder Löschen eines Grenzwertes
  • Änderung der gesamten Struktur durch z. B. Änderung der Reihenfolge der Elemente oder Hinzufügen oder Löschen einzelner Strukturelemente im Struktur-Datentyp

Strukturarray

Wenn es nicht nur um eine Maschine geht, sondern um viele, kommt das Strukturarray zum Einsatz.

Zum Beispiel: 100 Pumpen statt 1 Pumpe.
Dann verwandeln Sie die Strukturvariablen einfach ein Strukturarray. So werden mit einem einzigen Mausklick 100 Variablen zu 100 Strukturvariablen.

Wenn wir pro Pumpe zum Beispiel je 12 Einzelvariablen anlegen müssen, benötigen wir 1200 Variablen insgesamt. Die Methode „objektorientiert parametrieren" ermöglicht das mit wenigen Mausklicks. Dazu kommt der Vorteil, dass alle Variablen schon voreingestellt sind. Jede einzelne Variable bringt bereits alle Eigenschaften mit, die sie braucht, wie Einheit, Wertbestimmung, Alarme, CEL Einträge usw.

info Info

Struktur-Datentypen eigenen sich auch für die Wiederverwendung von Variablen.

Noch in diesem Kapitel

Beispiel Pumpe


Beispiel Pumpe

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren > Datentypen > Struktur-Datentypen - Strukturelemente - Strukturarray > Beispiel Pumpe

Ausgangslage

Eine Pumpe besteht aus zwei Motoren. Jeder davon hat einige Variablen wie:

  • Ist-Drehzahl
  • Stromaufnahme
  • Leistung
  • usw.

Jeder Motor wiederum hat einen Motorregler mit folgenden Variablen:

  • Soll-Drehzahl
  • P-Anteil
  • I-Anteil

Diese Konstellation bauen Sie so auf:

  1. Erzeugen Sie eine Struktur Regler aus je einem Datentyp für
    • Soll-Drehzahl
    • P-Anteil
    • I-Anteil
  2. Erstellen Sie eine Struktur Motor mit den jeweils eigenen Datentypen:
    • Ist-Drehzahl
    • Stromaufnahme
    • Leistung
    • usw.
  3. In die Struktur Motor übernehmen Sie den Regler.
  4. Erstellen Sie die Pumpenstruktur und integrieren Sie dort den Motor.

    Da wir zwei Motoren haben, übernehmen Sie den Motordatentyp einfach zweimal in Ihre Struktur Pumpe.

  5. Erstellen Sie eine Variable, die auf diesem Strukturdatentyp beruht:
    • Neue Variable anlegen
    • Struktur-Datentyp Pumpe auswählen

    Die einzelnen Elemente dieser Strukturvariablen heißen Strukturelemente und können in zenon überall als einzeln Elemente genutzt werden, zum Beispiel in Bildern, Alarmen, Archiven, Rezepten usw.


Tipps zu Adressierung und Import-Export

Handbuch > Effizient projektieren mit zenon > Objektorientierung > Objektorientiert parametrieren > Tipps zu Adressierung und Import-Export

Tipps aus der Praxis zu:

  • Adressierung
  • Export/Import

Adressierung:

Bei numerischen Steuerungen haben Sie die Wahl, ob die Adressierung automatisch oder halbautomatisch erfolgen soll. Alle hier beschriebenen Eigenschaften sind auch über VBA/VSTA erreichbar und können damit für die automatische Projektierung genutzt werden.

Automatische Adressierung:

Offset und - falls erforderlich - Byte- und Bitadresse werden auf Basis der Position der Strukturelemente automatisch errechnet, bei Arrays auch über das gesamte Array hinweg. Wenn Sie in der Steuerung dieselbe Struktur wie in zenon angelegt haben, passt das Ganze zu 100% zusammen und Sie brauchen sich um die richtige Adressierung keinerlei Gedanken machen.

Halbautomatische Adressierung:

Sie vergeben einzelne Startadressen bereits beim Datentyp. Anhand dieser Adressen werden dann die weiteren Adressen berechnet. Diese können Sie bei Bedarf natürlich auch anpassen. Details dazu finden bei Automatische Adressierung.

Bei symbolisch adressierten Steuerungen müssen in zenon und in der Steuerung die gleichen Namen vergeben werden.

XML Export/Import:

Beim Export und Import werden auch Informationen wie Datentypen, Strukturen, Ableitungen usw. mitgenommen. Sie können also Ihre einmal erstellten Struktur-Datentypen und Strukturvariablen bequem exportieren und über Import in anderen Projekten eins zu eins weiter nutzen oder nach Bedarf modifizieren.


Elemente wiederverwenden

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden

Beim ersten Anlegen eines Projektes benötigen Sie Zeit für das Erstellen von Variablen, Funktionen, Bildern und deren Verknüpfungen. Diese Zeit können Sie bei folgenden Projekten deutlich reduzieren. Denn mit zenon haben Sie die Möglichkeit, einmal erstellte Elemente einfach in andere Projekte zu übernehmen.

Zum Beispiel benötigen Sie in vielen Projekte Standardelemente wie Bilder für den Systemstatus oder Detailbilder für immer wieder verwendete Hardwarekomponenten (Pumpen, Ventile, Motoren usw.).

Um Elemente wiederzuverwenden, stehen Ihnen verschiedene Wege zur Verfügung:

Thema | Wiederverwendung von
Variablen und Funktionen ersetzen | Elementen
Symbole | Bildern
Struktur-Datentyp | Variablen
Reaktionsmatrizen | Variablen
Globalprojekt | zentralen Elementen eines Projekts
XML | Projektteilen mittels Import und Export
Wizards | Bildern und Elementen mittel Import oder Individualisierung
Projekte wiederverwenden | Projekten

info Info

Um Element effizient wiederverwenden zu können, achten Sie schon bei der Erstellung von Variablen, Funktionen und Bildern auf eindeutige Benennung.

Noch in diesem Kapitel

Variablen und Funktionen ersetzen

Symbole

Struktur-Datentyp

Reaktionsmatrizen

Globalprojekt

XML

Wizards

Projekte wiederverwenden


Variablen und Funktionen ersetzen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Variablen und Funktionen ersetzen

Variablen und Funktionen, die bei Dynamischen Elementen hinterlegt werden, können automatisiert ersetzt werden. Dies kann an unterschiedlichen Stellen geschehen:

  • Verknüpfung im Bild ersetzen
  • Verknüpfung bei Bildumschaltung ersetzen
  • Indizes ersetzen
  • Mehr über Ersetzung von Variablen und Funktionen lesen Sie auch im Handbuch Bilder im Abschnitt Verknüpfungen von Variablen und Funktionen ersetzen.

Noch in diesem Kapitel

Namenskonventionen

Möglichkeiten der Ersetzung


Namenskonventionen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Variablen und Funktionen ersetzen > Namenskonventionen

Um Variablen und andere Elemente sicher ersetzen zu können, sollte die Benennung systematisch und möglichst normiert erfolgen. Damit unterstützen Sie nicht nur die Wiederverwendbarkeit, sondern auch Wartung und Reverse Engineering.

Verschiedene Systeme unterstützen Sie bei der systematischen Benennung.

Zum Beispiel: Energiewirtschaft

Deutschland

  • KKS (Kraftwerk-Kennzeichen-System), Details siehe http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation), Details siehe http://de.wikipedia.org/wiki/DIN_6779
  • ANLAGEN-KENNZEICHNUNG (Anlagenkennzeichnungssystem), Details siehe http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

International

  • KKS (Befehlsgabe Plant Classification System), Details siehe http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Solche Normen existieren für alle Branchen. Es empfiehlt sich, deren Namenskonventionen zu benutzen.

Beispiel KKS:

In einem Energieprojekt sollten Variablen gemäß dem KKS benannt werden.
Eine entsprechend benannte Variable mit der Bezeichnung C01_MDY10-QA001_QA07 sagt aus:

  • Windenergieanlage C01 (Reihe C, Nr. 1)
  • Windturbinensteuerung MDY10
  • Leistungsteil QA001
  • Leistungsschutz QA07


Möglichkeiten der Ersetzung

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Variablen und Funktionen ersetzen > Möglichkeiten der Ersetzung

Ersetzungen können an unterschiedlichen Stellen eines Projekts verwendet werden:

  • Verknüpfung im Bild ersetzen: Bilder werden kopiert und im kopierten Bild werden die Verknüpfungen ersetzt.
  • Verknüpfung bei Bildumschaltung ersetzen: Es wird für unterschiedliche Steuerungen nur ein einziges Bild verwendet und beim Aufschalten werden die Verknüpfungen angepasst.
  • Indizes ersetzen: Ersetzen von Variablen in einem Prozessbild über den Wert von Indexvariablen.

Noch in diesem Kapitel

Verknüpfung im Bild ersetzen

Verknüpfung bei Bildumschaltung ersetzen

Indizes ersetzen


Verknüpfung im Bild ersetzen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Variablen und Funktionen ersetzen > Möglichkeiten der Ersetzung > Verknüpfung im Bild ersetzen

Wenn in einem Bild Variablen verknüpft sind, können diese über einen Ersetzungsdialog bequem ausgetauscht werden. Voraussetzung:

  • klare Benennung der Variablen

Damit können einmal erstellte Bilder über Copy & Paste weiter verwendet werden. Die Ersetzung wird über das Kontextmenü gestartet:

  • Rechtsklick auf das Bildelement
  • Klick auf Verknüpfungen ersetzen

Damit wird der Dialog für die Ersetzung geöffnet.

Beispiel

In unserem Beispiel verfügt das Projekt über eine Menge an Variablen aus unterschiedlichen Anlagenteilen. Auf dem Prozessbild sind:

  • 10 Variablen, die aus der Windturbinensteuerung MDY10 kommen, mit dynamischen Elementen verknüpft
  • Buttons mit Bildumschaltung auf unterschiedliche Bereiche von MDY10 vorhanden

Über Copy & Paste will der Projektant das Bild 1:1 für die Windturbinensteuerung MDY11 wiederverwenden und die Variablen oder Funktionen durch die entsprechenden der neuen Steuerung ersetzen. Dazu:

  1. werden die dynamischen Elemente, auf denen die Variablen und Funktionen verknüpft sind, markiert
  2. wird der Ersetzungsdialog geöffnet

  3. im Feld Quelle wir die Anlagenkennzeichnung *MDY10* eingegeben
    (die führenden und schließenden * sind Wildcards)
  4. im Feld Ziel wird MDY11 eingegeben
  5. mit Übernehmen wird die Ersetzung durchgeführt und mit OK der Dialog geschlossen

Das Bild kann jetzt für die neue Steuerung verwendet werden.


Verknüpfung bei Bildumschaltung ersetzen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Variablen und Funktionen ersetzen > Möglichkeiten der Ersetzung > Verknüpfung bei Bildumschaltung ersetzen

Bei dieser Methode wird immer das Originalbild verwendet und zur Runtime mit unterschiedlichen Variablen und Funktionen aufgeschaltet. Das Bild enthält so wie im Beispiel "Verknüpfung im Bild ersetzen" verschiedene Variablen und Funktionen. Die Ersetzung erfolgt beim Umschalten. Dazu:

  1. werden mehrere Funktionen Bildumschaltung auf dieses Bild projektiert
  2. wird beim Erstellen der Funktion der Dialog zur Ersetzung angeboten
  3. beinhaltet jede Funktion einen eigenen Ersetzungsvorgang

Eine Variante dazu, die mit nur einer Bildumschaltung auskommt: Indizes ersetzen für Arrays.


Indizes ersetzen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Variablen und Funktionen ersetzen > Möglichkeiten der Ersetzung > Indizes ersetzen

In Arrays kann die Ersetzung für Variablen über Indexvariablen erfolgen.

Wie in Verknüpfung bei Bildumschaltung ersetzen wird das Bild nur einmal verwendet. Die verknüpften Variablen werden bei der Umschaltung ersetzt. Die Bildumschaltung wird nur einmal projektiert (Unterschied zu Verknüpfung im Bild ersetzen) und kann über eine Index-Variable mehrmals wiederverwendet werden kann.

Beispiel

Die Bildumschaltung wird auf ein Prozessbild durchgeführt, das 10 Variablen der Windturbinensteuerung MDY10 beinhaltet. Ziel des Projektanten ist es, dieses Bild 1:1 wiederzuverwenden, da die Windturbinensteuerungen MDY11, MDY12 und MDY13 über dieselbe Anzahl an Variablen verfügen.

Die Indizierungsregel:

  • Quelle: C01 MDY10 QA001*
  • Ziel: C01 MDY{X01} QA001

bewirkt:

  • bei der Bildumschaltung wird der Funktion mitgeteilt, dass sie bei der Bildumschaltung zur Runtime den Variablenwert von X01 Index Windturbinensteuerung in die Variablennamen einsetzen muss.

    Beispiel: Besitzt diese Variable den Wert 12 so wird beim Ausführen der Bildumschaltung das Prozessbild mit allen Variablen der Windturbinensteuerung MDY12 angezeigt


Symbole

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Symbole

Symbole bieten ein großes Potenzial zur Wiederverwendung. Symbole lassen sich sehr komplex aufbauen und unterstützen Vererbung. Symbole können eingebettet oder verknüpft werden. Bei Verlinkung genügt die Modifikation an einer Stelle, um alle Bilder, die dieses Symbol verwenden, zu aktualisieren. Symbole können auch in andere Symbole verknüpft werden.

Beispiel Buttonleiste

Ein Symbol (leeres Rechteck) wird als Basis in alle Buttons verknüpft.

Frei gegebene Eigenschaften ermöglichen es, jeden Button mit unterschiedlichen Grafiken zu versehen. Sollen Form oder Farbe der Buttons verändert werden, muss nur das Symbol "leerer Button" modifiziert werden. Alle Buttons übernehmen automatisch die neue Form und/oder Farbe.

Noch in diesem Kapitel

Frei gegebene Eigenschaften

Ersetzung bei Symbolen

Allgemeine Symbolbibliothek


Frei gegebene Eigenschaften

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Symbole > Frei gegebene Eigenschaften

Symbole vererben ihre Eigenschaften auf die Objekte, in die sie verknüpft wurden. Allerdings können einzelne Eigenschaften aus der Vererbung gelöst werden. Zum Beispiel die angezeigte Grafik in unserem Button. Wird die Vererbung gelöst, kann diese Eigenschaft für jedes Objekt individuell gesetzt werden. Änderungen dieses Details im Ausgangselement beeinflussen die anderen Objekte nicht mehr.

Bilder wiederverwenden

Die Kombination aus Symbolen und freigegebenen Eigenschaften kann eine effektive Lösung für die Wiederverwendung von Prozessbildern sein.

Beispiel

In einem Projekt gibt es einen zentralen Parametrierungsdialog, der für unterschiedlichste Parametrierungen verwendet werden soll. Da dieser in unterschiedlichsten Bereichen eingesetzt wird, besteht auch die Forderung, dass gewisse Anpassungen (z. B. Hintergrundfarben, Bilder, …) möglich sein sollen.

Copy and Paste:

  1. ein Prozessbild erstellen, das diesen Parametrierungsdialog enthält
  2. Bild über Copy & Paste vervielfältigen
  3. die mehrfach vorhandenen Prozessbilder können grafisch an die Anforderungen angepasst werden

Aber: Vererbung ist hier nicht möglich. Möchte der Projektant im Nachhinein zentrale Anpassungen (betreffend der Grundstruktur des Parametrierungsdialogs) durchführen, so muss er diese in jedem einzelnen Prozessbild nachziehen.

Ansatz über Symbol mit freigegebenen Eigenschaften:

  1. der Parametrierungsdialog wird über ein Symbol erstellt
  2. Elemente, die für die unterschiedlichen Parametrierungsstellen angepasst werden müssen, werden über freigegebene Eigenschaften aus dem Vererbungskonzept entkoppelt
  3. das Symbol wird in den entsprechenden Bildern verknüpft, positioniert und angepasst.

  4. Sollte sich der Projektant dafür entscheiden das generelle Aussehen des Dialogs zu verändern, so führt er diese Änderung zentral im Symbol durch. Diese Änderung wirkt sich dann auf alle Positionen, in denen das Symbol verknüpft ist, aus.

  5. Über die freigegebenen Eigenschaften und eine entsprechende Ersetzung kann das globale Symbol individuell angepasst werden.

  6. In diesem Fall hat sich der Projektant dafür entschieden, dass sich die generelle grafische Oberfläche von Parametrierungsdialogen ändern muss. Diese Änderung führt er zentral am Symbol „Parametrierung" durch. Die individuellen Eigenschaften der einzelnen Parametrierungsdialoge bleiben unverändert, es ändern sich nur jene Eigenschaften, die in der Vererbung enthalten sind.


Ersetzung bei Symbolen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Symbole > Ersetzung bei Symbolen

Der im Abschnitt Variablen und Funktionen ersetzen beschriebene Vorgang kann auch bei Symbolen durchgeführt werden. Auch hier ist eine durchdachte Benennung der Objekte Voraussetzung.

Bei der Ersetzung für Symbole müssen zwei unterschiedliche Herangehensweisen unterschieden werden: Ein Symbol kann aus einer Bibliothek (Projekt/Global)

  • als Elementgruppe in ein Bild eingefügt werden
  • in ein Bild verknüpft werden

Je nach Herangehensweise werden unterschiedliche Dialoge zur Ersetzung der Variablen/Funktionen aufgeschaltet.

Elementgruppen

Hier werden die Variablen direkt über den Ersetzungsdialog ersetzt. Der Dialog bietet mitunter die Möglichkeit, Variablen über einen Variablenauswahldialog auszuwählen. Symbole auf diese Art und Weise zu verwenden ist für die Wiederverwendung nicht ideal geeignet.

Symbole

Bei diesem Verfahren wird über Ersetzungsstrings gearbeitet. Diese Strings werden bei der Kompilierung durch die entsprechenden Variablen ersetzt. Über den hier aufgeschalteten Dialog ist es nicht möglich Variablen über einen Variablen-Auswahldialog zu ersetzen. Der Projektant arbeitet hier über einzelne Ersetzungsstrings, die durch ein Semikolon (;) voneinander getrennt werden.

Das hinter diesem Ersetzungsdialog liegende Symbol kann nun in den unterschiedlichsten Anlagenbereichen wiederverwendet werden. Dieses Beispiel geht davon aus, dass in jedem Anlagenbereich ähnliche Variablen und Funktionen (Unterscheidung nur durch Anlagenkürzel im Namen) verwendet werden und diese so schnell und übersichtlich ersetzt werden können.

Mehr über Ersetzung bei Symbolen lesen Sie auch im Handbuch Bilder im Abschnitt Symbole.


Allgemeine Symbolbibliothek

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Symbole > Allgemeine Symbolbibliothek

Symbole werden entweder in der Symbolbibliothek im Projekt oder im Globalprojekt oder in der Allgemeinen Symbolbibliothek verwaltet. Der wesentliche Unterschied:

Symbolbibliothek

Eigenschaft

Allgemeine Symbolbibliothek

Symbole sind in allen Projekten verfügbar. Der Knoten Allgemeine Symbolbibliothek befindet sich im Projektmanager unterhalb der aktuell geladenen Projekte.

Benennung beim Verknüpfen im Bild: [Symbolgruppe]/[Symbolname]

Regeln:

  • Der Variablenauswahldialog bietet alle Projekte des Arbeitsbereichs zur Verknüpfung an.
  • Diese Symbole werden im zenon Programmordner gespeichert und nur beim Editorstart aktualisiert. Diese Symbole werden bei der Projektsicherung nicht gesichert.
  • Verriegelungen sowie Aliase für ALC können nicht projektiert werden.
    Achtung: Werden Symbole, die Verriegelungen oder Aliase enthalten, eingefügt, dann werden diese Einstellungen entfernt.

Symbolbibliothek im Globalprojekt

Symbole sind für alle Projekte des Arbeitsbereichs verfügbar.

Benennung beim Verknüpfen im Bild: Globalprojekt_[Symbolname]

Regeln:

  • Die in die Symbolbibliothek des Globalprojekts kopierten Symbole behalten ihre Variablenverknüpfungen ohne Änderungen bei.
  • Der Variablenwahldialog bietet alle Projekte des Arbeitsbereichs zur Verknüpfung an. Verknüpften Variablen wird der Name des jeweiligen Projekts vorangestellt.
  • Der Name der Variable kann im Eigenschaftenfenster angepasst werden. So kann z. B. das Präfix mit dem Projektursprung gelöscht werden.
  • Die Symbole werden bei einer Projektsicherung mitgesichert.
  • Verriegelungen sowie Aliase für ALC können nicht projektiert werden.
    Achtung: Werden Symbole, die Verriegelungen oder Aliase enthalten, eingefügt, dann werden diese Einstellungen entfernt.

Symbolbibliothek im Projekt

Symbole sind nur im aktuellen Projekt verfügbar.

Benennung beim Verknüpfen im Bild: [Symbolname]

Regeln:

  • Die Symbole werden im Projektordner gespeichert. Die Projekt-Symbolbibliothek befindet sich im aktuellen Projekt im Knoten Bilder und wird bei einer Projektsicherung mitgesichert.
  • Verriegelungen sowie Aliase für ALC können projektiert werden. Diese Eigenschaften bleiben auch beim Einfügen von Symbolen erhalten.

Kopieren von Symbolen zwischen Bibliotheken

Symbole können per Drag&Drop kopiert werden.
Dabei gilt:

  • Es können nur Symbole der ersten Ebene des Baums kopiert werden.
  • Gruppen und Ordner können nicht kopiert werden.
  • Sind Namen von Symbolen in der Zielbibliothek bereits vorhanden, werden die hinzugefügten Symbole automatisch umbenannt.
    Das Umbenennen erfolgt durch Hinzufügen einer Unterstrichs und einer Ordnungszahl, z.B.: Calibrator_1.
  • Das Kopieren zwischen den Bibliotheken ist nur eingeschränkt möglich.

Übersicht Kopieren per Drag&Drop zwischen Symbolbibliotheken:

Kopieren per Drag&Drop möglich | Allgemeine Symbolbibliothek | Symbolbibliothek im Globalprojekt | Symbolbibliothek im Projekt
Allgemeine Symbolbibliothek | -- | + | --
Symbolbibliothek im Globalprojekt | -- | -- | +
Symbolbibliothek im Projekt | -- | + | --

Legende:

  • +: kopieren möglich
  • --: kopieren nicht möglich

Beispiel

Eine zentrale Projektierungsstelle stellt eine Sammlung von Symbolen zusammen, die von den weltweit verteilten Projektierungsstellen in ihren individualisierten Projekten verwendet werden soll. Zum Beispiel werden komplexe Symbole zur Verfügung gestellt, die wichtige Teile von Prozessbildern darstellen. Diese Sammlung an Symbolen befindet sich in einem Ordner oder einer Datei, z. B. „Global_Used_Symbols.SYM". Werden zentral grafische Veränderungen an dieser globalen Symbolsammlung durchgeführt, so wird einfach die „Global_Used_Symbols.SYM" Datei an alle Projektierungsstellen versendet und dort ersetzt. Die individuelle Anpassung kann erfolgt über frei gegebene Eigenschaften und Ersetzung.

Es ist nicht immer nötig, die gesamte Symbolsammlung zu verteilen. Um einzelne ausgewählte Symbole zu verteilen, kann auch der XML-Export/Import genutzt werden.

attention Achtung

Bei Verwendung der Globalen Symbolbibliothek muss eine klare Regel bestehen: Lokale Projektierungsstellen dürfen die Symbole aus der Symbolsammlung nicht verändern. Jede Änderung würde beim nächsten Update überschrieben werden.


Struktur-Datentyp

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Struktur-Datentyp

Variablen können über Struktur Datentypen wiederverwendet werden. Damit lassen sich komplexe Strukturen aufbauen und die Vorteile einer Vererbung nutzen.

Beispiel

Der Struktur-Datentyp „Motor" besteht aus drei Elementen:

  • Status
  • Drehzahl
  • Temperatur

Die Elemente unterscheiden sich in ihrer Vererbungsart:

  • „Status" und „Drehzahl" sind vom Datentyp INT abgeleitet, aber ihre Vererbung wurde durch das Einbetten aufgebrochen.
    D. h.: Spätere Aktualisierungen am INT Datentyp wirken sich nicht auf diese beiden Elemente aus.
  • „Temperatur" stammt auch vom Datentyp INT ab, die Vererbung ist intakt.
    D. h.: Spätere Änderungen am INT Datentyp wirken sich auch auf die Einstellungen dieses Struktur-Elements aus.

Werden nun zum Beispiel 20 Motoren projektiert, deren Aufbau immer ident ist, können Variablen basierend auf dem selbst erzeugten Datentyp „Motor" erzeugt werden. Dies kann z. B. über das Anlegen eines Arrays von diesem Datentyp passieren. Die grafische Darstellung wird in diesem Beispiel über ein Symbol gelöst.

Beim Verknüpfen des Symbols in ein Prozessbild werden die Platzhalter-Variablen des Symbols durch jene des selbst erzeugten Struktur-Datentyps ersetzt. Achten Sie auch hier von Anfang an auf die durchdachte Benennung.

Gestaltet man ein Prozessbild als Übersicht über alle Motoren, kann man einfach über Copy&Paste das eingefügte Symbol vervielfachen. Es muss nur noch bei jedem Symbol die Zielvariable durch die entsprechende Laufnummer ersetzt werden:

Sollen zu einem späteren Zeitpunkt Grenzwerte für die „Drehzahl" Variablen hinzugefügt werden, profitiert man von der vorhandenen Vererbungsbeziehung zwischen dem selbst angelegten Datentyp und den daraus erzeugten Variablen. Für die geplante Änderung wird am Strukturelement „Drehzahl" des eigenen Datentyps „Motor" ein neuer Grenzwert angelegt. Diese an einer Position durchgeführte Änderung, wirkt sich auf alle 20 angelegte Motoren aus.

Dem Projektanten steht es aber auch durchaus frei diese Vererbungsbeziehung aufzulösen. Es kann also bei einer der 20 angelegten Motorvariablen der Grenzwert für „Drehzahl" geändert werden.

Hinweis: Es können einzelne oder alle Eigenschaften einer Variablen vom Datentyp entkoppelt werden.

info Info

Tipps zur Verwendung von Struktur-Datentypen lesen Sie auch im Abschnitt Struktur-Datentypen - Strukturelemente - Strukturarray und im Handbuch Variablen im Abschnitt Struktur Datentypen.


Reaktionsmatrizen

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Reaktionsmatrizen

Reaktionsmatrizen bewirken, dass die Ausprägung einer Variable überall im Projekt gleich ist. Im Gegensatz zu Grenzwerten verfolgen sie einen zentralen Ansatz: Eine Reaktionsmatrix wird einmal projektiert und dann beliebigen Variablen zugeordnet. Alle Variablen, die mit der Reaktionsmatrix verknüpft sind, reagieren damit gleich. Der Vorteil: zentrale und einfache Wartung.


Globalprojekt

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Globalprojekt

Mit einem Globalprojekt lassen sich Standards projektübergreifend festlegen. Damit ist es möglich, bestimmte Module oder Elemente für alle Standorte zu definieren, während lokale Projekte individuelle Parameter festlegen.

Im Globalprojekt können projektiert werden:

  • Alarmierung:

    Deklaration der global zu verwendeten Alarmgruppen, Alarmklassen und Alarmbereiche.

  • Anlagenmodellierung:

    Diese kann die zentrale Projektierung unterstützen, da man eine Aufteilung in zwei „Anlagen" vornehmen könnte. Dabei muss klar definiert werden, welche Projektierungselemente von der zentralen Projektierungsstelle kommen und welche von der lokalen Projektierungsstelle stammen.

  • Benutzer:

    Sieht ein Standard die Existenz von bestimmten global gültigen Benutzern vor, so können diese über das Globalprojekt festgelegt werden.

  • Dateien:

    Durch einen Standard können beispielsweise Grafiken vorgegeben sein, die in den individuell erstellten Projekten verwendet werden müssen. Diese können global zur Verfügung gestellt werden.

  • Schablonen:

    Festlegen der Prozessbild-Anordnung und Größe der zu entwickelnden Projekte. In einer Richtlinie könnte beispielsweise klar festgelegt werden, dass in einem Projekt, neu angelegte Bilder nur über Schablonen eines Globalprojekts angelegt werden. Somit wird eine globale, grafische Einheitlichkeit gewährleistet.

  • Schriften und Farbpaletten:

    Um eine Einheitlichkeit bei dargestellten Texten und Farben zu erreichen, kann ein vordefinierter Satz von Schriftlisten oder Farbpaletten zur globalen Verwendung festgelegt werden.

  • Sprachtabellen:

    Wird durch einen Standard ein festgelegter Satz an zu verwendeten Begriffen und Aussagen in der Projektierung festgelegt, so ist es möglich diese über die definierten Sprachtabellen festzulegen und gleichzeitig die entsprechenden Übersetzungen durchzuführen.

Beispiel

Eine zentrale Projektierungsstelle definiert Standards in den Bereichen Farben, Schriften, Schablonen usw. über ein Globalprojekt für alle Projektanten. Das Globalprojekt wird als Projekt-Backup an alle Teams verteilt. Diese importieren es in ihren Arbeitsbereich. Über eine Richtlinie muss klar festgelegt werden, dass lokale Projektierungsstellen keine Änderungen an einem Globalprojekt vornehmen dürfen, da diese immer wieder durch das Einspielen von Aktualisierungen der zentralen Projektierungsstelle überschrieben werden.

Beispiel Anlagenmodell

Ein einfaches Anlagenmodell, das nur eine Unterscheidung zwischen einer zentralen und einer lokalen Projektierungsgruppe trifft. In einem individualisierten Projekt könnte man sich diese Unterscheidung nun bei der Visualisierung im Editor zur Hilfe nehmen. Im Detail würde das so aussehen, dass jedes projektierte Elemente im Editor mit einer entsprechenden Anlagengruppen Zuordnung versehen wird.

Die vorhandenen Prozessbilder werden nach Anlagenzuordnung angezeigt.

Damit kann eine lokale Projektierungsstelle klar erkennen, welcher Bilder wieder von einer zentralen Projektierungsstelle über den XML Import aktualisiert werden. Für den lokalen Projektanten ist damit auch klar, welche Bilder er nicht verändern darf. Denn jede Änderung an global gewarteten Bildern wird beim nächsten Update wieder überschrieben.

Tipp: Für die Aktualisierung eines Globalprojekts muss nicht immer ein komplettes Projekt-Backup erstellt und importiert werden. Einzelne Änderungen können auch über den Export und Import per XML lokal aktualisiert werden.


XML

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > XML

Der Import und Export über die XML-Schnittstelle bietet vielfältige Möglichkeiten zur Wiederverwendung von Projektteilen.

attention Achtung

Beim Import werden vorhandene Elemente mit gleichem Namen überschrieben.

Abhängigkeiten beim Import

Wenn mehrere Projektteile importiert werden sollen, gibt es dementsprechend auch mehrere XML Dateien mit unterschiedlichen Inhalten. Um alle Inhalte mehrerer XML-Dateien korrekt zu übernehmen, müssen vorhandene Abhängigkeiten berücksichtigt werden:

Wird zum Beispiel ein Bild importiert und die darin verknüpften Variablen existieren im Projekt nicht, dann kann die Verknüpfung nicht wiederhergestellt werden. Um alle Verknüpfungen korrekt anzulegen, kann es nötig sein, den Import eines Bildes oder von Variablen zweimal durchzuführen.

Beispiel für Bild XML:

Die umfangreichste Variante ist, ein Bild zu exportieren, da die erzeugte XML-Datei nicht nur das Bild und die enthaltenen Elemente sondern auch die Schablone, verknüpfte Variablen und Funktionen beinhaltet, also alles, was im Bild zu sehen und direkt verknüpft ist.

Im Bild „A" wird mittels Button eine Funktion „B" ausgeführt, um wiederum das Bild „A" zu öffnen:

  • Die Funktion „B" benötigt das Bild „A", damit dieses in der Funktion „B" verknüpft wird.
  • Das Bild „A" wiederum benötigt die Funktion „B", damit diese am Button verknüpft wird.

Man muss also:

  1. erst die Funktion importieren,
  2. danach das Bild und dann
  3. ein weiteres mal dieselbe Funktion, da andernfalls der Bezug zum Bild in der Funktion nicht hergestellt werden kann.

Projekte werksübergreifend vereinheitlichen

Der XML-Export/Import eignet sich auch dazu, um die werksübergreifende Einheitlichkeit von Projekten zu gewährleisten. Legt ein Unternehmen fest, dass bestimmte Projektteile weltweit einheitlich ausgelegt sein müssen, dann werden die einheitlichen Elemente:

  1. zentral projektiert
  2. in eine XML Datei exportiert
  3. als XML-Datei verteilt
  4. von jedem lokalen Team per XML-Import übernommen

Alternativ kann der Export und Import auch über einen eigenen Wizard erfolgen.

Da beim XML-Import bestehende Elemente überschrieben werden, müssen diese einheitlichen Elemente klar und verbindlich benannt werden. Lokale Änderungen dieser Elemente werden beim nächsten Import wieder überschrieben.

Wizards

Um den Benutzer beim Importieren zu unterstützten, bietet sich ein auf der zenon API basierende Wizard an. Im Wizard kann der Benutzer dann an Hand von Entscheidungshilfen auswählen, was importiert werden soll. Ein möglicher Ansatz für diesen Wizard ist, sich eine XML-Bibliothek anzulegen, die verschiedene Varianten von Bildern und Funktionalitäten als einzelne Dateien beinhaltet.

Individualisierung per Wizard

Über einen Wizard können auch Standardfunktionen, die im XML-Format vorliegen, individualisiert werden. Es wird eine Funktion per XML importiert und im Anschluss über die Änderung von bestimmten Eigenschaften, die nicht für jedes Objekt gleich sind, an die individuellen Anforderungen angepasst. Zum Beispiel kann eine Bildumschaltfunktion im XML-Format vorliegen und über eine Individualisierung der Eigenschaften mehrfach verwendet werden.


Wizards

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Wizards

Die Wiederverwendung von Elementen und Teilen von Projekten kann mit Wizards vereinfacht und unterstützt werden. Wizards eigen sich zum Beispiel vor allem für:

  • Erstellung von Vorlage-Projekten:

    Ein Wizard ermöglicht es, bestimmte Standardteile eines neu zu erstellenden Projekts mittels weniger Mausklicks zu erzeugt. Im Gegensatz zum simplen Einspielen einer fertigen Projektsicherung des Vorlage-Projekts, gibt man hier dem Projektanten mehr Spielraum zur Individualisierung.

    Zum Beispiel könnte ein Wizard maschinenabhängig unterschiedliche Projekttypen erzeugen.

  • Erstellung von vordefinierten Projektteilen:

    Wizards können auch helfen, bestimmte Bereiche in einem Projekt zu erstellen.

    Zum Beispiel: Anlegen eines Projektbereichs „Motor".
    Der Wizard legt die für diesen Bereich vordefinierten Elemente an. Damit können mit wenigen Mausklicks können entsprechende Bilder, Funktionen, Variablen usw. projektiert werden. Neben den kürzeren Projektierungszeiten erreicht man gleichzeitig ein einheitliches Aussehen, da die Wizards von einer zentralen Projektierungsstelle programmiert und von den lokalen Projektierungsstellen verwendet werden.

  • Projektierung über vordefinierte Datenbanken oder Dateien:

    Auch Projektdatenbanken oder vordefinierte Dateien können die Projekterstellung oder Projekterweiterung unterstützen. Dabei werden in einer Datenbank oder in einer Excel-Datei die zu projektierenden Elemente beschrieben (Funktionsname, Funktionstyp, Funktionsparameter, Variablenname, Offset …). Mit Hilfe eines Wizards werden diese ausgelesen und entsprechende Projektierungen in zenon vorgenommen.

Mehr über Wizards und deren Erstellung lesen Sie im Handbuch Wizards.


Projekte wiederverwenden

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Projekte wiederverwenden

Projekte könne auch unterschiedliche weise wiederverwendet werden. Dabei spielen Mechanismen aus den anderen Kapiteln der Wiederverwendbarkeit teilweise eine wesentliche Rolle.

Projektsicherung

Speichern unter

Mehrprojektverwaltung

Noch in diesem Kapitel

Projektsicherung

Speichern unter

Mehrprojektverwaltung


Projektsicherung

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Projekte wiederverwenden > Projektsicherung

Projektsicherungen ermöglichen es, komplette Projekte zu übernehmen.

Zum Beispiel kann ein Projekt als Vorlage an alle Teams verteilt werden. Diese spielen die Projektsicherung ein und individualisieren das Projekt.

attention Achtung

Diese Methode eignet sich nicht zum Übertragen von Projektänderungen, da bei der Übernahme sämtliche lokale Projektierungen überschrieben werden.

Um Projekte, die auf diese Weise erstellt wurden teamübergreifend zu warten, empfiehlt sich die Verwendung des XML-Exports/Imports.

Beachten Sie dabei, dass bereits vorhandene Elemente mit gleichem Namen beim Import überschrieben werden! Bei der Projektierung muss also klar gekennzeichnet werden, welche projektierten Elemente beim Import überschrieben werden dürfen. Für die dazu nötige Identifikation eignet sich zum Beispiel ein entsprechender Zusatz im Elementnamen oder die Vorgehensweise über Anlagengruppen siehe Abschnitt Globalprojekt.


Speichern unter

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Projekte wiederverwenden > Speichern unter

Speichern unter erstellt im aktiven Arbeitsbereich eine Kopie eines Projekts unter neuem Namen und mit neuer GUID.

Beispiel

Auf Basis eines Vorlage-Projekts sollen individuelle Projekte für unterschiedliche Maschinentypen erstellt werden. Dazu:

  1. wird die Projektsicherung des Vorlage-Projekts eingespielt
  2. werden über Speichern unter im aktiven Arbeitsbereich mehrere unterschiedliche benannte Projekte erstellt (z. B. Maschine 1, Maschine 2, … )

Damit hat jedes Maschinenprojekt dieselbe Projekt-Ausgangssituation. Die Projekte haben allerdings keinerlei Verbindung mehr zum Vorlage-Projekt. Änderungen, die im Vorlage-Projekt durchgeführt werden, werden nicht automatisch in die kopierten Projekte übernommen. Änderungen in der Vorlage können aber per XML Export-/Import in die individualisierten Projekte eingespielt werden.

Beachten Sie dabei, dass bereits vorhandene Elemente mit gleichem Namen beim Import überschrieben werden! Bei der Projektierung muss also klar gekennzeichnet werden, welche projektierten Elemente beim Import überschrieben werden dürfen. Für die dazu nötige Identifikation eignet sich zum Beispiel ein entsprechender Zusatz im Elementnamen oder die Vorgehensweise über Anlagengruppen siehe Abschnitt Globalprojekt.


Mehrprojektverwaltung

Handbuch > Effizient projektieren mit zenon > Elemente wiederverwenden > Projekte wiederverwenden > Mehrprojektverwaltung

Projekte können in der zenon Mehrprojektverwaltung auch in einem Arbeitsbereich unter dem Dach eines Integrationsprojekts zusammengefasst werden. So kann ein Projekt zentral verändert werden, während lokale Projektierungen in einem anderen Projekt vorgenommen werden.

Beispiel

Über eine zentrale Projektierungsstelle solle die grafische Wiederverwendung in lokalen Projekten realisiert werden, um weltweit eine einheitliche Oberfläche sicherzustellen. Dazu erstellt die zentrale Projektierung ein Vorlage-Projekt, das die grafische Grundlage für alle anderen Projektierungsteams darstellt. Wird aber an der zentralen Stelle eine Änderung der Oberflächengestaltung durchgeführt, so muss diese an allen Projektierungsstellen nachgezogen werden. Das kann über die Mehrprojektverwaltung erfolgen: ein Projekt enthält die zentral zu verwaltenden Elemente, ein anderes Projekt die lokale Projektierung.

Vorgangsweise:

  1. initial wird eine Vorlage-Projekt an alle Projektierungsteams geschickt
  2. dieses wird in den aktiven Arbeitsbereich eingespielt wird
  3. es wird lokal ein zweites, leeres Projekt angelegt, das die spezifischen Anpassungen enthält
  4. im Arbeitsbereich existieren jetzt zwei Projekte: das Vorlage-Projekt und das individualisierte Projekt
  5. im nächsten Schritt erfolgt die multi-hierarchische Anordnung der Projekte
  6. das Vorlage-Projekt wird zum Integrationsprojekt, das individualisierte Projekt zum Unterprojekt

info Info

Diese Methode ist für Projekte, die unter Windows CE laufen sollen, nicht geeignet, da unter CE immer nur ein Projekt gestartet werden kann.


Integriertes Netzwerk

Handbuch > Effizient projektieren mit zenon > Integriertes Netzwerk

Verteiltes Engineering im Netzwerk und 100% Redundanz sind mit zenon kein besonderer Aufwand mehr für Sie. Netzwerke erstellen Sie durch Aktivieren der entsprechenden Checkbox bei den Projekteigenschaften. Und genau so einfach machen Sie aus vereinzelten standalone Projekten effizient vernetzte, redundante Systeme.

Wenn Sie über ein TCP/IP-Windows-Netzwerk verfügen, stehen Ihnen in zenon automatisch Netzwerkfunktionen auf Mausklick zur Verfügung, als Client/Server Modell oder als multihierarchisches System mit Unterstationen, Bereichszentralen und Zentralen. Sie

  • erstellen Projekte auch mit mehreren Anwendern gleichzeitig im Netzwerk
  • sichern Anlagen durch die 100% zenon Kreisredundanz perfekt ab
  • bauen problemlos verteilte Systeme auf
  • greifen remote auf Stationen zu
  • überwachen und steuern Anlagen per zenon Web Server
  • sehen Prozessdaten auf allen Stationen in Echtzeit
  • machen Aktionen eines Arbeitsplatzes auf allen anderen sichtbar, z. B. das Quittieren von Alarmen
  • lassen Aktionen zentral protokollieren und archivieren
  • nutzen Prozessdaten sofort für ERP-Systeme wie SAP

Um die unbedingt nötige Zeitsynchronität aller beteiligten Rechner kümmert sich zenon automatisch.


Tipps und Tricks

Handbuch > Effizient projektieren mit zenon > Tipps und Tricks

In zenon stehen Ihnen viele Tastenkombinationen und schnelle Projektierungswege zur Verfügung. Eine Auswahl davon stellen wir Ihnen hier kurz vor.

Tipps und Tricks für

  • den Editor
  • die Runtime
  • die Testphase
  • Tastenkombinationen

Noch in diesem Kapitel

zenon Editor

zenon Runtime

Tastenkombinationen

Test von Projekten


zenon Editor

Handbuch > Effizient projektieren mit zenon > Tipps und Tricks > zenon Editor

Tipps für den zenon Editor:

Allgemein

  • Editor-Ansichten speichern: Mit Editorprofilen können Sie Ihre individuell zusammengestellte Fenster-Aufteilungen des Editors speichern und Modulen zuweisen.
  • Ordner für die Editor-Dateien direkt öffnen: Markieren Sie das Projekt und drücken Sie die Tastenkombination Strg+Alt+E.
  • Ordner für die Runtime-Dateien direkt öffnen: Markieren Sie das Projekt und drücken Sie die Tastenkombination Strg+Alt+R.

Bild-/Symboleditor

  • Elemente verknüpfen:
    Funktionen, Variablen, Schriften usw. können Sie per Drag&Drop mit Dynamischen Elementen verknüpfen.
  • Kopie an gleicher Stelle einfügen:
    Mit der Tastenkombination Strg+Shift+V fügen Sie kopierte Elemente an der exakt selben Position wie das Quellelement ein.

Kreis ziehen:
Um einen Kreis zu ziehen, halten Sie beim Ziehen des Elements Ellipse/Kreis mit der Maus die Umschalt-Taste gedrückt.

  • Linie symmetrisch ändern:
    Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.
  • Skalieren:
    Sie können mehrere Bildelemente gleichzeitig skalieren. Dazu:
    • Markieren Sie alle Elemente.
    • Wandeln Sie diese in eine Elementgruppe um.
    • Skalieren Sie die Elementgruppe wie gewünscht.
    • Die einzelnen Elemente werden im gleichen Maß skaliert.
    • Lösen Sie die Elementgruppe wieder in Einzelelemente auf.
  • Vorlagen für Bilder:
    Sie können jedes beliebige Bild in eine Bildvorlage umwandeln.
  • X/Y-Koordinaten eines Elements manipulieren:

    Sie können die X/Y-Koordinaten eines Elements oder Eckpunktes eines Polygons direkt in einen Dialog eingeben oder mit den Cursor-Tasten bewegen.

    • Direkt eingeben: Mit einem Doppelklick auf den Anfasspunkt eines Elements oder Eckpunktes eines Polygons öffnet sich ein Dialog. In diesen können Sie die X/Y-Koordinaten dieses Punktes direkt eingeben.
    • Mit Cursor manipulieren: Platzieren Sie den Mauszeigers über dem Anfasspunkt eines Elements oder Eckpunkts eines Polygons. Jetzt können Sie die X/Y-Koordinaten dieses Punktes mit Hilfe der Cursor-Tasten direkt manipulieren.
  • Zum verknüpften Element springen:
    Mit Rechtsklick auf eine Eigenschaft im Eigenschaftenfenster öffnet sich ein Kontextmenü, das Ihnen erlaubt, direkt zum verknüpften Element zu springen.

Sprachumschaltung

  • Einheitenbezeichnung:
    Setzen Sie die exakte Einheitenbezeichnung als Tooltip. In der gewohnten Umgebung denken Bediener normalerweise in der jeweiligen Landeseinheit. Für die Fehlersuche, Optimierung der Internationalisierung und Projekten mit Schwerpunkt Internationalisierung kann die Verwendung eines Tooltipps eine wesentliche Arbeitserleichterung bringen.
    Machen Sie diesen Tooltip übersetzbar, verwenden Sie internationale Bezeichnungen auch für das Land. Natürlich können Sie die Maßeinheit auch in die jeweilige Sprache übersetzen.
  • Wert-Einheiten als Zeichen statt als Wort:
    Verwenden sie für die Wertedarstellung die Einheitendarstellung. So sparen Sie sich die Übersetzung.
    Beispiel Temperaturanzeige: Grad als Wort ist zu übersetzen. Das Zeichen ° hingegen ist nicht nur in allen Sprachen gleich, es kann sogar auf Celsius, Fahrenheit und Kelvin gleichermaßen angewandt werden.
    Setzen Sie dazu in den Eigenschaften der Basiseinheit das entsprechende Zeichen.
  • Werte-Umrechnung:
    Fügen Sie jeder Sprachumschaltefunktion die entsprechende Werteumrechnung hinzu. Anderenfalls kann es sehr leicht zu Missverständnissen kommen.

Symboleditor

  • Eigenschaft freigeben:
    Eine Eigenschaft eines Elementes können Sie durch Drag&Drop der Eigenschaft in das untere Fenster des Symboleditors freigeben. Dabei müssen Sie die Eigenschaften immer bei deren Namen anklicken, nicht beim Wert.
  • Einzelbearbeitungsmodus bei Symbolen:
    Mit der Tastenkombination Alt+Klick auf ein Element wird das darunter liegende Element aktiviert.

Variablen und Treiber

  • Substitution:
    Um die Möglichkeit der Substitution optimal anwenden zu können:
    • Nutzen Sie Struktur-Datentypen.
    • Achten Sie auf eine kurze prägnante Benennung Ihrer Variablen.
    • Beachten Sie bereits bei der Benennung die Möglichkeit der Substitution. Diese Benennung sollte eindeutig und leicht substituierbar sein.
    • Projektieren Sie zuerst ein Bild als Vorlage, welches Sie später nach Fertigstellung via Funktion beliebig oft wiederverwenden.
  • Variablen durch Import automatisch erstellen:
    Viele Treiber unterstützen das automatische Erstellen von Variablen mit korrekter Adressierung durch Import von der SPS oder aus einer Datei. Führen Sie dazu einen rechten Mausklick auf der Treiber aus und wählen Sie Variablen vom Treiber importieren.


zenon Runtime

Handbuch > Effizient projektieren mit zenon > Tipps und Tricks > zenon Runtime

Tipps für die zenon Runtime:

Allgemein

  • Bildname anzeigen:
    Führen Sie einen Rechtsklick auf einen leeren Bildbereich aus und halten Sie die Maustaste gedrückt. Der Bildname wird angezeigt.
  • Verknüpfungen anzeigen:
    Führen Sie einen Rechtsklick auf ein Dynamisches Element aus und halten Sie die Maustaste gedrückt. Verknüpften Funktionen und Variablen werden angezeigt.
  • Kommunikationsfehler:
    Anzeige durch Symbole am numerischen Element:
    • Rotes Rechteck oben links: Keine Kommunikation mit der SPS.
    • Blaues Rechteck oben links: Keine Kommunikation mit dem Server.
  • Sollwertsetzen:
    Außer Wert auch Kommando ändern.

    Zur Runtime kann nicht nur der Wert einer Variablen geändert werden. Wird der Standard-Dialog verwendet, kann über die Dropdownliste Kommando auch die auszuführende Funktion geändert werden, zum Beispiel auf Spontanwert abschalten. Damit der Standard-Dialog angezeigt wird, muss in den Eigenschaften des Dynamischen Elements die Eigenschaft Keyboardbild deaktiviert sein.

  • Sollwertsetzen direkt ohne Dialog ausführen:
    Um das Sollwertsetzen direkt auszuführen, aktivieren Sie in den Eigenschaften des Dynamischen Elements in der Gruppe Sollwert setzen die Eigenschaft ohne Dialog.

    Diese Einstellung kann auch bei der Funktion Sollwert setzen durch Aktivierung der Option Direkt zur Hardware gesetzt werden.

Archivierung

  • Name der ARX-Datei im Bild anzeigen:
    Der Name der ARX-Datei kann in der Liste der Archive im Bild Archiv-Nacharbeitung in einer Spalte angezeigt werden. Dazu setzen Sie in der zenon6.ini im Abschnitt [ARCHEDIT] den Eintrag KURZBEZEICHNUNG=1. Damit wird die Kurzbezeichnung in der Liste angezeigt. Diese entspricht dem ARX-Dateinamen und ist auch Teil aller Verdichtungsarchive.

Tastaturbedienung

  • Tastaturbedienung:
    Die Runtime kann auch komplett mit der Tastatur bedient werden. Details siehe Kapitel Tastaturbedienung im Buch Runtime.
  • Tasten sperren:
    Windows Tastenkombinationen und Systemtasten können gesperrt werden. Details siehe Kapitel Tastenkombinationen sperren im Buch Runtime.


Tastenkombinationen

Handbuch > Effizient projektieren mit zenon > Tipps und Tricks > Tastenkombinationen

In zenon können Sie viele Aktionen mit Tastenkombinationen durchführen.

Allgemein

Befehl | Tastenkombination
Hilfe starten | F1
Vollbild Modus starten/beenden | Umschalt-Taste+F9
Remote: Vollbildmodus beenden | Strg+Alt+Umschalt+F
VSTA Editor starten | Alt+F10
VBA Editor starten | Alt+F11
Wizards: Auswahl öffnen | Alt+F12
Dateiexplorer mit Fokus auf SQL-Ordner für aktuelles Projekt öffnen. Entspricht: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Strg+Alt+E
Dateiexplorer mit Fokus auf Projekt-Dateien des aktuellen Projekts öffnen. Zum Beispiel: C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Strg+Alt+D
Dateiexplorer mit Fokus auf Runtime-Dateien des aktuellen Projekts öffnen. Zum Beispiel: C:\Users\Public\Documents\zenon_Projects\[Project]\INI | Strg+Alt+R
Runtime starten, zuvor geänderte Runtime-Dateien erzeugen. | F5
Geänderte Runtime Dateien erzeugen. | F7

Editorprofile

Befehl | Tastenkombination
Editorprofil 1 laden | Umschalt-Taste+F1
Editorprofil 2 laden | Umschalt-Taste+F2
Editorprofil 3 laden | Umschalt-Taste+F3
Editorprofil 4 laden | Umschalt-Taste+F4
Editorprofil 5 laden | Umschalt-Taste+F5
Editorprofil 6 laden | Umschalt-Taste+F6
Editorprofil 7 laden | Umschalt-Taste+F7
Editorprofil 8 laden | Umschalt-Taste+F8
aktuelle Editoransicht speichern als: |
Editorprofil 1 | Strg+Umschalt-Taste+F1
Editorprofil 2 | Strg+Umschalt-Taste+F2
Editorprofil 3 | Strg+Umschalt-Taste+F3
Editorprofil 4 | Strg+Umschalt-Taste+F4
Editorprofil 5 | Strg+Umschalt-Taste+F5
Editorprofil 6 | Strg+Umschalt-Taste+F6
Editorprofil 7 | Strg+Umschalt-Taste+F7
Editorprofil 8 | Strg+Umschalt-Taste+F8

Grafikeditor

Hinweis zu Tastenkombinationen: Das Pluszeichen (+) bedeutet, Tasten werden gemeinsam gedrückt.
Zum Beispiel:

Strg+A bedeutet: Steuerung-Taste halten und dann Taste A drücken.

Strg++ bedeutet: Steuerung-Taste halten und Plus-Taste drücken.

Allgemein

Befehl | Tastenkombination
Hauptfenster: Inhalte mit Verschiebehand scrollen | Leer gedrückt halten
Aktuelles Bild schließen | Strg+F4
Eigenschaften öffnen | Alt+Eingabe-Taste

Auswählen

Befehl

Tastenkombination

Mehrere Objekte auswählen

Umschalt- oder Steuerung-Taste halten

Ausgewähltes Element bei Mehrfachauswahl abwählen

Strg+Mausklick

Auswahl: Reihenfolge ändern. Definiert Element, an dem sich alle anderen orientieren

Umschalt-Taste beim Auswählen halten

Verdeckte Objekte auswählen
  1. Alt-Taste drücken
  2. Objekt anklicken und bewegen

Alle Elemente eines Bildes auswählen.

Strg+A

Nächstes Element in Reihenfolge der Erstellung auswählen

Tab

Vorheriges Element in Reihenfolge der Erstellung auswählen

Umschalt-Taste+Tab

Positionieren

Befehl | Tastenkombination
Ausgewähltes Objekt verschieben. | Pfeil-Tasten
Um 10 Pixel je Druck auf Pfeil-Taste verschieben | Umschalt-Taste+Pfeil-Taste
Nur waagrecht oder nur senkrecht verschieben | Umschalt-Taste beim Verschieben halten
Zentriert ausgewähltes Objekt im Arbeitsausschnitt | H

Aktionen

Befehl | Tastenkombination
Speichert Änderungen | Strg+S
Fügt Element aus der Zwischenablage ein | Strg+V Umschalt+Einfg
Fügt Element aus der Zwischenablage an der Originalposition ein, Original und Kopie liegen deckungsgleich übereinander | Strg+Umschalt+V
Kopiert ausgewähltes Elemente | Strg+C Strg+Einfg
Kopieren statt verschieben | Steuerung-Taste beim Verschieben halten
Dupliziert das ausgewählte Element Nähere Informationen finden Sie im Abschnitt Elemente duplizieren. | Strg+D
Löscht ausgewähltes Element | Entf
Schneidet ausgewähltes Elementen aus | Umschalt-Taste+Entf Strg+X
Macht Änderungen rückgängig | Strg+Z Alt+Rück
Knoten im ausgewählten Element hinzufügen oder löschen. Hinzufügen: Mauszeiger wird zu Pluszeichen (+). Löschen: Mauszeiger wird zu Minuszeichen (-). Funktioniert bei Polylinie, Polygon und Rohrelement. | Strg+Umschalt-Taste
Zeichnen von Polylinien und Polygonen beenden | S
Zeichnen von Polylinien und Polygonen beenden und letzten gezeichneten Teilbereich löschen | Esc
Ausgewählte Elemente um eine Ebene höher stufen | +
Ausgewählte Elemente um eine Ebene tiefer stufen | -
Ausgewählte Elemente in den Vordergrund holen | Strg++
Ausgewählte Elemente in den Hintergrund setzen | Strg+-

Skalieren

Befehl

Tastenkombination

Größe ändern

Mauszeiger auf Anfasspunkt positionieren, so dass sich der Mauszeiger in Pfeile ändert. Danach kann mithilfe der Pfeiltasten pixelgenau bzw. bei gedrückter Umschalt-Taste in Schritten von 10 Pixel positioniert werden.

Hinweis: Wurde für ein Element über die Eigenschaft Drehwinkel [°] ein Winkel ungleich 0 definiert, ist das Skalieren mittels Pfeiltasten nicht möglich.

Objekt um den Mittelpunkt skalieren

Alt-Taste beim Skalieren halten.

Proportional skalieren

Umschalt-Taste beim Skalieren halten.

Zoomen

Ansicht verkleinern | Strg + Umschalt-Taste + -
Ansicht vergrößern | Strg + Umschalt-Taste + +
Ansicht auf 100% einstellen | Strg + Alt + 0
Ansicht an den im Editor zur Verfügung stehenden Platz anpassen und proportional darstellen | Strg + 0

Zoomen mit der Maus

Ansicht verkleinern | Strg + Scrollrad der Maus nach unten
Ansicht vergrößern | Strg + Scrollrad der Maus nach oben

Detailansicht

Befehl | Tastenkombination
Neues Element für das jeweilige Modul anlegen | Einfg
Bearbeiten der ausgewählten Spalte | F2
Kopieren eines ausgewählten Listenelements | Strg+C
Einfügen eines zuvor kopierten Listenelements | Strg+V
Entfernen eines ausgewählten Listenelements | Entf
Mehrere Elemente in der Liste hinaufscrollen | BILD auf
Mehrere Elemente in der Liste hinunterscrollen | BILD ab
Navigieren in der Liste | PFEILTASTEN

Runtime

Befehl | Tastenkombination
Blättert durch offene Windows Fenster. | Alt+Tab
Runtime beenden. | Alt+F4

Kontextmenü Elemente

Elementgruppe erzeugen | Erzeugt eine Elementgruppe. Hierzu kann auch die Tastenkombination Strg + G verwendet werden.
Auflösen | Löst eine Elementgruppe in ihre Bildelemente auf. Hierzu kann auch die Tastenkombination Strg + Umschalt + G verwendet werden.
Vollbildmodus | Vollbildmodus beenden: Umschalt-Taste + F9


Test von Projekten

Handbuch > Effizient projektieren mit zenon > Tipps und Tricks > Test von Projekten

Tipps für das Testen von Projekten:

  • Name der Variable im Bild:
    Um einen Variablennamen im Bild darzustellen, projektieren Sie ein Combi-Element ohne Zustände und mit dem Default Text: %n.


Editor

Handbuch > Editor

zenon besteht aus zwei Hauptkomponenten, dem Editor und der Runtime. Im Editor werden Projekte erstellt und gewartet, das Bedienen und Beobachten erfolgt in der Runtime. Der Editor steht ab zenon 7.10 als 32-Bit Version und als 64-Bit Version zur Verfügung. Projekte können mit beiden Versionen abwechselnd editiert werden. Details zur Kompatibilität mit Versionen vor zenon 7.10 lesen Sie im Handbuch Projektkonvertierung , im Kapitel 64-Bit Version.

In diesem Handbuch Editor lernen Sie die grundlegenden Bestandteile des Editors kennen, erfahren Sie mehr über den Umgang mit Projektmanager, Symbolleisten, Menüs und Editorprofilen. Erklärungen zum Kontextmenü der Elemente in einem Bild finden Sie im Kapitel Bilder.

Anpassung an Größeneinstellung des Betriebssystems

Wird in der Systemsteuerung des Betriebssystems die Eigenschaft Die Größe aller Elemente ändern ausgeführt oder manuell eine Skalierungsstufe ausgewählt, dann:

  • wird der gewählte Vergrößerungsfaktor im zenon Editor berücksichtigt
  • werden Größe und Positionierung der Objekte angepasst

SQL Server

Der zenon Editor arbeitet mit einer SQL Datenbank. Diese wird bei der Installation des zenon Editors mitinstalliert. Um eine Verbindung herzustellen verbindet sich der Editor zum zenon SQL-Server (zenDBSrv.exe). Dieser stellt die Verbindung zum SQL Server her.

attention Achtung

Der Datenbank-Ordner darf nicht komprimiert werden.

Default-Pfad: %ProgramData%\COPA-DATA\SQL(Version)

Wurde der Ordner komprimiert, können keinen Projektdaten mehr geschrieben werden. MS-SQL unterstützt dann nur lesenden Zugriff.

Mehrbildschirm-Betrieb

Sind auf einem PC mehrere Bildschirme im Einsatz, können Dialoge, Symbolleisten usw. auf andere Bildschirme verschoben werden. Deren Position wird gespeichert und beim nächsten Start des Editors beibehalten.

info Info

Steht beim Neustart des Editors nur noch der Hauptbildschirm zur Verfügung, werden verschobene Elemente eventuell im nicht sichtbaren Bereich angezeigt. Um alle Elemente wieder auf dem Hauptbildschirm anzuordnen, aktivieren Sie das Standardprofil. Damit werden die Positionen wieder auf Default zurückgesetzt.

Noch in diesem Kapitel

Editor starten

Kompatibilität

Startseite

Oberfläche

Symbolleisten

Menüleiste

Editorprofile

Projektmanager

Hauptfenster

Eigenschaftenfenster

Eigenschaftenhilfe

Ausgabefenster

Statuszeile

Editor beenden


Editor starten

Handbuch > Editor > Editor starten

Um den Editor zu starten stehen Ihnen mehrere Wege zur Verfügung:

  • Klicken Sie auf das zenon Symbol auf dem PC-Desktop.
  • Aufruf über das Windows Menü Datei -> COPA-DATA -> zenon Editor.
  • Start über das Startup Tool. Dieses erlaubt das Verwalten mehrerer zenon Versionen und die Konfiguration des Editors und der Runtime vor dem Start.
  • Per Windows Autostart.
  • Doppelklick auf eine Arbeitsbereich-Datei (.wsp6). Damit wird immer die 32-Bit Version des zenon Editors geöffnet.

Dienst zenAdminSrv

Zum Starten des Editors muss der Dienst zenAdminSrv gestartet sein. Ist der Dienst nicht verfügbar, werden Sie mit einer entsprechenden Fehlermeldung informiert. Aktivieren Sie den Dienst und starten Sie den Editor neu.

Beim Start über Windows Autostart versucht zenon 5 Mal, den Editor zu starten und bricht dann mit der Fehlermeldung, dass der Dienst nicht erreichbar ist, ab.


Kompatibilität

Handbuch > Editor > Kompatibilität

Der zenon Editor ist vollständig abwärtskompatibel. Projekte, die mit einer niedrigeren Version erstellt wurden, können jederzeit geöffnet und bearbeitet werden.

Beim Öffnen eines Projekts mit niedrigerer Versionsnummer:

  • wird das Projekt automatisch konvertiert
  • wird automatisch eine Sicherung des Projekts angelegt

Achtung: Konvertierte Projekte können in einem Editor mit niedrigerer Versionsnummer nicht mehr geöffnet werden. Die beim Konvertieren erstellte Projektsicherung kann aber weiterhin geöffnet und bearbeitet werden.

Kompatibilität zwischen Editor und Runtime

Mit dem zenon Editor können Runtime-Dateien für unterschiedliche Runtime-Versionen erstellt werden. Die Version der Runtime muss damit nicht mit der Version des Editors übereinstimmen. Diese Abwärtskompatibilität eignet sich besonders für den Einsatz gemischter Systeme. Zum Beispiel: Ein Projekt, das mit dem Editor für Version 7.60 projektiert wird, kann auch mit einer Runtime 6.20 SP4 gestartet werden.

attention Achtung

Werden in einem Projekt mit einem Editor der höheren Version Eigenschaften projektiert, die in der niedrigeren Version nicht verfügbar sind, stehen diese dort nicht zur Verfügung. Das kann zur Runtime zu unerwünschten Ergebnissen führen.

Runtime-Dateien erstellen

Um im Editor Runtime-Dateien für niedrigere Versionen zu erstellen:

  1. Markieren Sie das Projekt im Projektbaum.
  2. Navigieren Sie in den Projekteigenschaften zum Abschnitt Allgemein.
  3. Öffnen Sie die Dropdownliste der Eigenschaft Runtime-Dateien erzeugen für.
  4. Wählen Sie die gewünschte Version aus der Dropdownliste.

Achtung: Um die Konsistenz der Runtime-Dateien zu gewährleisten, müssen nach jeder Änderung dieser Eigenschaft alle Runtime-Dateien neu erzeugt werden. Auch die Konfigurationen aller Treiber werden konvertiert. Einstellungen, die es in der entsprechenden Version nicht gibt, werden auf Default gesetzt.

XML

In XML exportierte Daten stehen auch für den Import in höhere Editor-Versionen zur Verfügung.

Ausnahme: Werden Daten aus dem RGM über die Exportfunktion zur Runtime direkt als XML-Datei gespeichert, können diese nicht wieder importiert werden.


Startseite

Handbuch > Editor > Startseite

Die Anzeige der Startseite ist per Default aktiviert.

Wenn die Startseite geschlossen wurde, kann die Startseite über Ansicht und Startseite oder ein Symbol in der Menüleiste wieder geöffnet werden.

Die Startseite ermöglicht Aktionen zum Auslesen und Anlegen von Projektinhalten, die sich stets auf das im Editor gerade auf aktiv gesetzte Projekt beziehen.

Hinweis: Das Editor Menü der Startseite wird nach jedem Öffnen eines Arbeitsplatzes aktualisiert, die zenon6.ini Datei jedoch nur, wenn der Editor geschlossen wird. Beim erneuten Öffnen des Editors wird der zenon6.ini Eintrag ausgelesen und die Startseite entsprechend dieses Eintrags angezeigt.

Beispiel: War die Startseite beim Schließen des Editors geöffnet, wird sie beim erneuten Öffnen des Editors angezeigt.

In der Startseite können Sie:

  • ein neues Projekt anlegen
  • ein existierendes Projekt rücklesen
  • eine Projektsicherung rücklesen
  • die Lizenzverwaltung öffnen

Wird im Editor ein Arbeitsplatz geöffnet oder geschlossen oder das aktive Projekt abgeändert, kann einer der angeführten Editorzustände auftreten:

  • kein Arbeitsplatz geladen
  • Arbeitsplatz ohne aktives Projekt geladen
  • Arbeitsplatz mit aktivem Projekt geladen: Aktives Projekt ist unvollständig

Anschließend wechselt die Startseite in einen der folgenden Modi:

  • Startseite im Zustand "kein Arbeitsplatz geladen"
  • Startseite im Zustand "Arbeitsplatz ohne aktives Projekt"
  • Startseite im Zustand "Aktives Projekt geladen"

info Info

Beachten Sie, dass die Startseite nicht für alle OEM-Version verfügbar ist.

Noch in diesem Kapitel

Öffnen der Startseite über ein Symbol in der Menüleiste

Ansicht, wenn kein Arbeitsplatz geladen ist

Ansicht wenn für den Arbeitsplatz kein Projekt aktiviert ist

Ansicht für aktiven Arbeitsplatz mit aktivem Projekt

Ansicht bei fehlenden Bildern für die Startseite


Öffnen der Startseite über ein Symbol in der Menüleiste

Handbuch > Editor > Startseite > Öffnen der Startseite über ein Symbol in der Menüleiste

Wenn Sie die Startseite über ein Symbol in der Menüleiste öffnen wollen, müssen Sie das Symbol vorher an der gewünschten Stelle der Menüleiste hinzufügen.

Um ein Symbol in der Menüleiste des Editors hinzuzufügen:

  1. Gehen Sie auf Extras und Einstellungen....
  2. Öffnen Sie die Registerkarte Befehle.
  3. Markieren Sie unter Kategorien den Eintrag Andockbare Fenster.

    Unter Befehle werden die dazugehörigen Einträge angezeigt.

  4. Klicken Sie mit der linken Maustaste auf Startseite und ziehen Sie den Eintrag in die gewünschte Menüleiste.

    Das Symbol wird in der entsprechenden Menüleiste hinzugefügt.

  5. Schließen Sie den Dialog mit einem Klick auf Ok.

Hinweis: Um das Symbol wieder aus der Menüleiste zu entfernen, führen Sie die Punkte 1 bis 3 nochmals aus. Klicken Sie mit der linken Maustaste auf das Symbol in der Menüleiste und ziehen Sie dieses in das Fenster des Dialogs Einstellungen. Das Symbol wird aus der Menüleiste entfernt, sobald Sie die linke Maustaste loslassen.


Ansicht, wenn kein Arbeitsplatz geladen ist

Handbuch > Editor > Startseite > Ansicht, wenn kein Arbeitsplatz geladen ist

Im Projektmanager des zenon Editors ist kein Arbeitsbereich geladen.

Folgende Aktionen stehen zur Auswahl:

  • Neuer Arbeitsbereich...:
    Öffnet den Dialog Neu zum Anlegen eines neuen Arbeitsbereichs.
  • Arbeitsbereich öffnen...:
    Öffnet den Dateiauswahldialog für die Auswahl einer *.wsp6-Arbeitsbereichsdatei.
  • Arbeitsbereichssicherung rücklesen...:
    Öffnet den Dialog zum Rücklesen einer bestehenden Arbeitsbereichs-Sicherungsdatei.
  • Lizenzverwaltung öffnen...:
    Öffnet die Lizenzverwaltung.

Unter Letzte Arbeitsbereiche auf der rechten Seite des Bildschirms werden die zuletzt im Editor verwendeten Arbeitsbereiche angezeigt.

Durch einen Klick auf den roten Pfeil eines Arbeitsbereichs wird die Ansicht eines Eintrags erweitert. Diese erweiterte Ansicht bietet zusätzliche Informationen über die im Arbeitsbereich enthaltenen Projekte.

Wenn Sie einen der angezeigten Arbeitsbereiche öffnen möchten, führen Sie einen Klick auf diesen aus.

Sobald ein Arbeitsbereich geladen ist, wird die Ansicht der Startseite entsprechend angepasst.

Erweiterte Ansicht


Ansicht wenn für den Arbeitsplatz kein Projekt aktiviert ist

Handbuch > Editor > Startseite > Ansicht wenn für den Arbeitsplatz kein Projekt aktiviert ist

Im Projektmanager des zenon Editors ist kein aktives Projekt geladen.

Folgende Aktionen stehen zur Auswahl:

  • Neues Projekt...:
    Öffnet den Dialog zum Anlegen eines neuen Projekts.
  • Existierendes Projekt einfügen...:
    Öffnet den Dialog zum Einfügen eines bestehenden Projekts.
  • Projektsicherung rücklesen...:
    Öffnet den Dialog zum Rücklesen einer Projektsicherung.
  • Lizenzverwaltung öffnen...:
    Öffnet die Lizenzverwaltung.

Fenster mit Projektierungshinweisen

Im rechten Teil der Ansicht wird eine Kurzhilfe mit Tipps für grundlegende Projektierungsschritte angezeigt.

Klicken Sie die Schaltflächen Zurück und Weiter um zwischen den Themen zu blättern.


Ansicht für aktiven Arbeitsplatz mit aktivem Projekt

Handbuch > Editor > Startseite > Ansicht für aktiven Arbeitsplatz mit aktivem Projekt

Im Projektmanager des zenon Editors ist ein aktives Projekt in einem Arbeitsbereich ausgewählt.

Folgende Optionen stehen unter Verbindung zur Auswahl:

  • Treiber anlegen...:
    Öffnet den Dialog zum Anlegen eines neuen Treibers.
  • Variable anlegen...:
    Öffnet den Dialog zum Anlegen einer Variable.

Folgende Optionen stehen unter Visualisierung zur Auswahl:

  • Schablone anlegen...:
    Legt eine neue Schablone an.
  • Bild anlegen...:
    Öffnet den Dialog zum Anlegen eines neuen Bildes.

Folgende Option steht unter Ausführung zur Verfügung:

  • Funktion anlegen...:
    Öffnet den Dialog zum Anlegen einer neuen Funktion.

Fenster mit Projektierungshinweisen

Im rechten Teil der Ansicht wird eine Kurzhilfe mit Tipps für grundlegende Projektierungsschritte angezeigt.

Klicken Sie die Schaltflächen Zurück und Weiter um zwischen den Themen zu blättern.


Ansicht bei fehlenden Bildern für die Startseite

Handbuch > Editor > Startseite > Ansicht bei fehlenden Bildern für die Startseite

Nicht vorhandene Bilddateien für die zenon Startseite werden im Editor in der Startseite durch Fehlermeldungen oder Fehlersymbole angezeigt.

Fehlende Inhalte der Projektierungshinweise sind dadurch gekennzeichnet, dass die Schaltflächen Zurück und Weiter ausgegraut dargestellt werden. Bei der Ansicht im Fenster wird die fehlende Grafik mit einem Fehlersymbol angezeigt.


Oberfläche

Handbuch > Editor > Oberfläche

Die Benutzeroberfläche des Editors gliedert sich in verschiedene Bereiche:

Element

Inhalt

01 - Symbolleisten:

Sammlung der Symbolleisten für den Editor und seine Module. Sie stehen zur Verfügung für:

  • Andockbare Fenster
  • Ausrichtung
  • Bilder / Symbole
  • Editorprofile
  • Elemente
  • Menüleiste
  • Production & Facility Scheduler
  • Remote-Transport
  • Report Generator
  • Runtime Dateien
  • Sichtbarkeitsebenen
  • VBA-Makros

02 - Projektmanager:

Baumansicht des Projektmanagers.

03 - Detailansicht des Projektmanagers:

Details zum im Projektmanager ausgewählten Modul.

04 - Hauptfenster:

Hauptarbeitsbereich, hier werden Dokumente wie Bilder oder Reports dargestellt.

05 - Symbolleiste Elemente:

Symbolleiste für die Elemente der Bilder - Vektor-Elemente und Dynamische Elemente.

06 - Eigenschaften

Zeigt Eigenschaften des ausgewählten Objekts an. Dafür stehen drei Modi zur Verfügung, die in der Symbolleiste der Eigenschaften ausgewählt werden.

07 - Eigenschaftenhilfe:

Zeigt kurze Hilfeeinträge zu Eigenschaften von Bildern, Variablen, Funktionen und anderen Elementen, die parametriert werden, an.

08 - Ausgabefenster

Anzeige von Meldungen, wenn Projekte kompiliert und zur Runtime abgesetzt werden.

09 - Statusleiste:

Zeigt Statusinformationen zur Editorbereitschaft und für Bilder an.

10 - Symbolleiste Eigenschaften:

Definiert Anzeige und Sortierung der Eigenschaften, blendet Eigenschaftenhilfe ein.

11 - Querverweisliste:

Welche Fenster angezeigt werden, wählen Sie aus:

  • in der Dropdownliste unter Optionen

Die Anordnung der Fenster lässt sich individuell anpassen. Nur das Hauptfenster kann nicht ausgeblendet werden.

Noch in diesem Kapitel

Ansicht anpassen

Fenster positionieren

Vollbildmodus

Tastenkombinationen


Ansicht anpassen

Handbuch > Editor > Oberfläche > Ansicht anpassen

Alle Fenster des Editors lassen sich individuell anordnen. Die Einstellungen zur Anordnung der Fenster erreichen Sie mit einem Rechtsklick auf den Rand des Fensters. Eigene Einstellungen können als Editorprofile gespeichert werden.

Kontextmenü Fenster

Option

Status

Funktion

Unverankert

aktiv

Das ausgewählte Fenster ist am Desktop frei positionierbar. wird im Hauptfenster angezeigt. Sie können mehrere Fenster im Hauptfenster anzeigen und zwischen diesen umschalten.

Doppelklick in Titelleiste schaltet um zwischen Unverankert und Andocken.

inaktiv

(default)

Das Fenster wird angedockt. Die Eigenschaft Andocken ist aktiv.

Andocken

aktiv

(default)

Fenster können mit gedrückter linker-Maus-Taste beliebig verschoben werden. Während des Verschiebens zeigt eine Positionierungshilfe die Position an, an der das Fenster eingefügt würde. Beim Loslassen der Maus-Taste wird das Fenster an die umgebenden Fenster angedockt.

Beim Umschalten von Unverankert auf Andocken wird das Fenster an seiner letzten angedockten Position eingefügt.

Doppelklick in Titelleiste schaltet um zwischen Unverankert und Andocken.

Tipp: Soll ein Fenster verschoben, aber nicht angedockt werden, halten Sie während des Verschiebens die Steuerung-Taste gedrückt. In diesem Fall wird keine Positionierungshilfe angezeigt.

inaktiv

Fenster können mit gedrückter linker-Maus-Taste beliebig verschoben werden. Beim Loslassen werden sie an der jeweiligen Stelle im Vordergrund angezeigt.

Die Eigenschaft Unverankert ist aktiv.

Im Hauptfenster aufschalten

aktiv

Das Fenster wird im Hauptfenster als Registerkarte angezeigt.

Alle Registerkarten werden im Hauptfenster angezeigt. Mit Klick auf den Fenstertitel wechseln Sie zwischen einzelnen Registerkarten.

Um eine Registerkarte wieder als Fenster anzuzeigen, öffnen Sie mit einem Rechtsklick auf den Fenstertitel das Kontextmenü und schalten die Eigenschaft Im Hauptfenster aufschalten auf inaktiv.

inaktiv

(default)

Fenster wird normal angezeigt.

Automatisch ausblenden

aktiv

Sobald das Fenster den Mausfokus verliert, wird es in den Hintergrund gestellt. Der Fenstertitel wird am linken Rand des Editors angezeigt.

Um das Fenster wieder in den Vordergrund zu holen, bewegen Sie die Maus über den Fenstertitel.

inaktiv

(default)

Fenster wird immer im Vordergrund angezeigt.

Schließen

Das Fenster wird geschlossen.

Um es wieder anzuzeigen, wählen Sie in der Menüleiste -> Optionen -> Fenstername


Fenster positionieren

Handbuch > Editor > Oberfläche > Fenster positionieren

Positionierung

Alle Fenster im zenon Editor können beliebig am Desktop positioniert werden per:

  • Drag&Drop: Fenster werden an gewünschte Position gezogen und entweder frei platziert (Unverankert) oder angedockt.
  • Doppelklick in Titelleiste: schaltet um zwischen Unverankert und Andocken.

Positionierungshilfe

Beim Bewegen von Fenstern auf der Editoroberfläche werden Positionierungshilfen angezeigt. Diese repräsentieren Fenster oder seine Ränder.

Dieses Element repräsentiert einen Fensterbereich im Editor.

Dieses Element repräsentiert den Randbereich des Editors.

Fenster positionieren

Um ein Element angedockt zu positionieren:

  1. bewegen Sie das Element mit der Maus in den gewünschten Bereich
  2. die Positionierungshilfe wird eingeblendet
  3. diese repräsentiert ein Fenster und dessen Bereiche:
    1. Mitte: gesamtes Fenster
    2. oben: obere Hälfte
    3. unten: untere Hälfte
    4. rechts: rechte Hälfte
    5. links: linke Hälfte

    oder den Rand des Editors

  4. bewegen Sie die Maus in die zentrale Positionierungshilfe oder auf eine Positionierungshilfe am Rand des Editors und dort auf den gewünschten Bereich
  5. der Bereich im Editor, an dem das Element beim Loslassen der Maustaste platziert würde, wird blau eingefärbt
  6. bewegen Sie die Maus innerhalb der Positionierungshilfe bis der gewünschte Bereich blau angezeigt wird
  7. lassen Sie die Maustaste los, das Element wird platziert
  8. Wird ein Fenster auf ein bereits bestehendes Fenster platziert, werden beide Fenster am gleichen Ort über Registerkarten angezeigt.

Beispiele

  1. Das Fenster Eigenschaften wird angedockt verschoben.
  2. Dabei werden die Positioinierungshilfen eingeblendet.

  3. Der Mauszeiger wird über den oberen Pfeil der zentralen Positionierungshilfe geführt.
  4. Im Editor wird der Einfügebereich blau markiert.

  5. Mit dem Loslassen der Maustaste wird das Fenster an der markierten Stelle eingefügt:

  6. Jetzt wird der Mauszeiger über die obere Rand-Positionierungshilfe geführt.
  7. Im Editor wird der Einfügebereich wieder blau markiert.

  8. Mit dem Loslassen der Maustaste wird das Fenster an der markierten Stelle eingefügt:


Vollbildmodus

Handbuch > Editor > Oberfläche > Vollbildmodus

Im zenon Editor können Sie das Hauptfenster in den Vollbildmodus schalten. Dazu

  • benutzen Sie die Tastenkombination Umschalt+F9
    oder
  • wählen in der Dropdownliste Fenster den Eintrag Vollbildmodus aus

Der Vollbildmodus blendet alle übrigen Fenster aus und zeigt nur das Hauptfenster mit allen geöffneten Dokumenten (Bilder, Reports, ...) als Vollbild über den ganzen Bildschirm an.

Hinweis: Das Menü Kontrollelemente ist im Vollbildmodus immer noch aufrufbar.

Der Vollbildmodus kann beendet werden über:

  • die eingeblendete Schaltfläche zum Beenden des Vollbildmodus
  • die Tastenkombination Umschalt+F9

Im Vollbildmodus arbeiten

Im Vollbildmodus wird ein Menü zum Beenden des Modus und zum Aufschalten bestimmter Fenster und Symbolleisten eingeblendet:

Parameter

Beschreibung

Vollbild schließen

Beendet den Vollbildmodus. Alternativ auch über Tastenkombination Umschalt+F9 oder Esc-Taste möglich.

Andockbare Fenster

Dropdownliste zum Öffnen der Fenster:

  • Eigenschaften
  • Eigenschaftenhilfe

Fenster werden bei erster Nutzung an fest definierter Position aufgeschaltet. Sie können dann beliebig positioniert werden und werden beim nächsten Aufschalten im Vollbildmodus an der individuell definierten Position geöffnet.

Symbolleisten

Dropdownliste zum Öffnen der Symbolleisten:

  • Bilder
  • Ausrichtung
  • Sichtbarkeitsebene
  • Elemente

Symbolleisten werden bei erster Nutzung an fest definierter Position aufgeschaltet. Sie können dann beliebig positioniert werden und werden beim nächsten Aufschalten im Vollbildmodus an der individuell definierten Position geöffnet.


Tastenkombinationen

Handbuch > Editor > Oberfläche > Tastenkombinationen

Allgemein

Befehl | Tastenkombination
Hilfe starten | F1
Vollbild Modus starten/beenden | Umschalt-Taste+F9
Remote: Vollbildmodus beenden | Strg+Alt+Umschalt+F
VSTA Editor starten | Alt+F10
VBA Editor starten | Alt+F11
Wizards: Auswahl öffnen | Alt+F12
Dateiexplorer mit Fokus auf SQL-Ordner für aktuelles Projekt öffnen. Entspricht: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Strg+Alt+E
Dateiexplorer mit Fokus auf Projekt-Dateien des aktuellen Projekts öffnen. Zum Beispiel: C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Strg+Alt+D
Dateiexplorer mit Fokus auf Runtime-Dateien des aktuellen Projekts öffnen. Zum Beispiel: C:\Users\Public\Documents\zenon_Projects\[Project]\INI | Strg+Alt+R
Runtime starten, zuvor geänderte Runtime-Dateien erzeugen. | F5
Geänderte Runtime Dateien erzeugen. | F7

Editorprofile

Befehl | Tastenkombination
Editorprofil 1 laden | Umschalt-Taste+F1
Editorprofil 2 laden | Umschalt-Taste+F2
Editorprofil 3 laden | Umschalt-Taste+F3
Editorprofil 4 laden | Umschalt-Taste+F4
Editorprofil 5 laden | Umschalt-Taste+F5
Editorprofil 6 laden | Umschalt-Taste+F6
Editorprofil 7 laden | Umschalt-Taste+F7
Editorprofil 8 laden | Umschalt-Taste+F8
aktuelle Editoransicht speichern als: |
Editorprofil 1 | Strg+Umschalt-Taste+F1
Editorprofil 2 | Strg+Umschalt-Taste+F2
Editorprofil 3 | Strg+Umschalt-Taste+F3
Editorprofil 4 | Strg+Umschalt-Taste+F4
Editorprofil 5 | Strg+Umschalt-Taste+F5
Editorprofil 6 | Strg+Umschalt-Taste+F6
Editorprofil 7 | Strg+Umschalt-Taste+F7
Editorprofil 8 | Strg+Umschalt-Taste+F8

Grafikeditor

Hinweis zu Tastenkombinationen: Das Pluszeichen (+) bedeutet, Tasten werden gemeinsam gedrückt.
Zum Beispiel:

Strg+A bedeutet: Steuerung-Taste halten und dann Taste A drücken.

Strg++ bedeutet: Steuerung-Taste halten und Plus-Taste drücken.

Allgemein

Befehl | Tastenkombination
Hauptfenster: Inhalte mit Verschiebehand scrollen | Leer gedrückt halten
Aktuelles Bild schließen | Strg+F4
Eigenschaften öffnen | Alt+Eingabe-Taste

Auswählen

Befehl

Tastenkombination

Mehrere Objekte auswählen

Umschalt- oder Steuerung-Taste halten

Ausgewähltes Element bei Mehrfachauswahl abwählen

Strg+Mausklick

Auswahl: Reihenfolge ändern. Definiert Element, an dem sich alle anderen orientieren

Umschalt-Taste beim Auswählen halten

Verdeckte Objekte auswählen
  1. Alt-Taste drücken
  2. Objekt anklicken und bewegen

Alle Elemente eines Bildes auswählen.

Strg+A

Nächstes Element in Reihenfolge der Erstellung auswählen

Tab

Vorheriges Element in Reihenfolge der Erstellung auswählen

Umschalt-Taste+Tab

Positionieren

Befehl | Tastenkombination
Ausgewähltes Objekt verschieben. | Pfeil-Tasten
Um 10 Pixel je Druck auf Pfeil-Taste verschieben | Umschalt-Taste+Pfeil-Taste
Nur waagrecht oder nur senkrecht verschieben | Umschalt-Taste beim Verschieben halten
Zentriert ausgewähltes Objekt im Arbeitsausschnitt | H

Aktionen

Befehl | Tastenkombination
Speichert Änderungen | Strg+S
Fügt Element aus der Zwischenablage ein | Strg+V Umschalt+Einfg
Fügt Element aus der Zwischenablage an der Originalposition ein, Original und Kopie liegen deckungsgleich übereinander | Strg+Umschalt+V
Kopiert ausgewähltes Elemente | Strg+C Strg+Einfg
Kopieren statt verschieben | Steuerung-Taste beim Verschieben halten
Dupliziert das ausgewählte Element Nähere Informationen finden Sie im Abschnitt Elemente duplizieren. | Strg+D
Löscht ausgewähltes Element | Entf
Schneidet ausgewähltes Elementen aus | Umschalt-Taste+Entf Strg+X
Macht Änderungen rückgängig | Strg+Z Alt+Rück
Knoten im ausgewählten Element hinzufügen oder löschen. Hinzufügen: Mauszeiger wird zu Pluszeichen (+). Löschen: Mauszeiger wird zu Minuszeichen (-). Funktioniert bei Polylinie, Polygon und Rohrelement. | Strg+Umschalt-Taste
Zeichnen von Polylinien und Polygonen beenden | S
Zeichnen von Polylinien und Polygonen beenden und letzten gezeichneten Teilbereich löschen | Esc
Ausgewählte Elemente um eine Ebene höher stufen | +
Ausgewählte Elemente um eine Ebene tiefer stufen | -
Ausgewählte Elemente in den Vordergrund holen | Strg++
Ausgewählte Elemente in den Hintergrund setzen | Strg+-

Skalieren

Befehl

Tastenkombination

Größe ändern

Mauszeiger auf Anfasspunkt positionieren, so dass sich der Mauszeiger in Pfeile ändert. Danach kann mithilfe der Pfeiltasten pixelgenau bzw. bei gedrückter Umschalt-Taste in Schritten von 10 Pixel positioniert werden.

Hinweis: Wurde für ein Element über die Eigenschaft Drehwinkel [°] ein Winkel ungleich 0 definiert, ist das Skalieren mittels Pfeiltasten nicht möglich.

Objekt um den Mittelpunkt skalieren

Alt-Taste beim Skalieren halten.

Proportional skalieren

Umschalt-Taste beim Skalieren halten.

Zoomen

Ansicht verkleinern | Strg + Umschalt-Taste + -
Ansicht vergrößern | Strg + Umschalt-Taste + +
Ansicht auf 100% einstellen | Strg + Alt + 0
Ansicht an den im Editor zur Verfügung stehenden Platz anpassen und proportional darstellen | Strg + 0

Zoomen mit der Maus

Ansicht verkleinern | Strg + Scrollrad der Maus nach unten
Ansicht vergrößern | Strg + Scrollrad der Maus nach oben

Detailansicht

Befehl | Tastenkombination
Neues Element für das jeweilige Modul anlegen | Einfg
Bearbeiten der ausgewählten Spalte | F2
Kopieren eines ausgewählten Listenelements | Strg+C
Einfügen eines zuvor kopierten Listenelements | Strg+V
Entfernen eines ausgewählten Listenelements | Entf
Mehrere Elemente in der Liste hinaufscrollen | BILD auf
Mehrere Elemente in der Liste hinunterscrollen | BILD ab
Navigieren in der Liste | PFEILTASTEN

Runtime

Befehl | Tastenkombination
Blättert durch offene Windows Fenster. | Alt+Tab
Runtime beenden. | Alt+F4

Kontextmenü Elemente

Elementgruppe erzeugen | Erzeugt eine Elementgruppe. Hierzu kann auch die Tastenkombination Strg + G verwendet werden.
Auflösen | Löst eine Elementgruppe in ihre Bildelemente auf. Hierzu kann auch die Tastenkombination Strg + Umschalt + G verwendet werden.
Vollbildmodus | Vollbildmodus beenden: Umschalt-Taste + F9


Symbolleisten

Handbuch > Editor > Symbolleisten

Die Haupt-Symbolleisten werden im Editor standardmäßig unterhalb der Menüleiste positioniert. Ausgenommen die Symbolleiste Elemente, diese wird rechts neben dem Hauptfenster angezeigt. Beim Bewegen der Maus über ein Symbol wird in der Statuszeile eine Information zur Funktion des Symbols angezeigt.

Folgende Haupt-Symbolleisten stehen zur Verfügung:

  • Andockbare Fenster
  • Ausrichtung
  • Bilder / Symbole
  • Editorprofile
  • Elemente
  • Menüleiste
  • Production & Facility Scheduler
  • Remote-Transport
  • Report Generator
  • Runtime Dateien
  • Sichtbarkeitsebenen
  • VBA-Makros

Folgende Fenster verfügen über eigene Symbolleisten, die am oberen Fensterrand angezeigt werden:

  • Details Arbeitsbereich
  • Eigenschaften

info Info

Die Anzeige der Titel der Symbolleisten im zenon Editor entsprechen immer der Sprache, die im Editor bei ihrem ersten Aufschalten aktiviert war. Wurde zum Beispiel die Symbolleiste Bilder zum ersten Mal in Deutsch benutzt, behält sie ihren Namen auch dann, wenn der Editor später auf Englisch umgestellt wird.

Sollen die Namen auf eine andere Sprache umgestellt werden, müssen Sie zuerst alle Editorprofile löschen, dann den Editor in der gewünschten Sprache starten und die Symbolleisten aktivieren.

Editorprofile löschen Sie nicht in zenon, sondern auf Dateisystemebene. Details siehe Kapitel Editorprofile löschen.

Aktionen mit Symbolen und Symbolleisten

Die Optionen für die Symbolleisten werden eingestellt unter: Extras -> Einstellungen -> Registerkarte Symbolleiste

Aktionen für Symbolleisten:

  • frei am Bildschirm positionieren
  • schließen
  • öffnen

Aktionen für Symbole:

  • löschen
  • hinzufügen

Symbolleiste positionieren

  1. Klicken Sie mit der linken Maustaste in einen freien Bereich der Symbolleiste.
  2. Ziehen Sie die Symbolleiste an die gewünschte Stelle auf dem Bildschirm.

    Ein Rechteck zeigt an, wo und wie die Symbolleiste eingefügt wird.

  3. Lassen Sie die Maustaste los, um die Symbolleiste zu positionieren.

Hinweis: Symbolleisten, die Dropdownlisten enthalten, können nur horizontal positioniert werden.

Symbolleiste schließen

Symbolleisten schließen Sie entweder über die Dropdownliste Ansicht oder die Einstellungen unter Extras.

Dropdownliste: Schnellster Weg, um eine Symbolleiste zu schließen

  1. Klicken Sie auf die Dropdownliste Ansicht.
  2. Navigieren Sie zu Symbolleisten.
  3. Klicken Sie auf den Eintrag für die zu schließende Symbolleiste.

Einstellungen: Ermöglicht das Schließen mehrerer Symbolleisten gleichzeitig

  1. Öffnen Sie das Menü Extras -> Einstellungen -> Registerkarte: Symbolleiste.
  2. Entfernen Sie den Haken neben der gewünschten Symbolleiste.
  3. Bestätigen Sie mit OK.

Symbolleiste öffnen

Symbolleisten öffnen Sie entweder direkt via Auswahl im Menüeintrag Ansicht oder im Eintrag Einstellungen im Menüeintrag Extras. Wählen Sie die Registerkarte Symbolleisten im Dialog Einstellungen.

Dropdownliste: Schnellster Weg, um eine Symbolleiste zu öffnen

  1. Klicken Sie auf den Menüeintrag Ansicht:
  2. Navigieren Sie zu Symbolleisten.
  3. Klicken Sie auf den Eintrag für die zu öffnende Symbolleiste.

Einstellungen: Ermöglicht das Öffnen mehrerer Symbolleisten gleichzeitig

  1. Öffnen Sie das Menü Extras -> Einstellungen -> Registerkarte: Symbolleiste.
  2. Setzen Sie den Haken neben der gewünschten Symbolleiste.
  3. Bestätigen Sie mit OK.

Symbole hinzufügen

  1. Öffnen Sie das Menü Extras -> Einstellungen -> Registerkarte: Befehle.
  2. Wählen Sie im linken Fenster eine Kategorie.
  3. Klicken Sie im rechten Fenster mit der linken Maustaste auf das gewünschte Symbol.
  4. Ziehen Sie das Symbol mit gedrückter linker Maustaste auf die gewünschte Position in der Symbolleiste.

Symbole löschen

  1. Öffnen Sie im Menü Extras -> Einstellungen -> Registerkarte: Symbolleiste.

    Alle Symbole in allen Symbolleisten im Editor werden aktiviert.

  2. Klicken Sie mit der linken Maustaste auf das Symbol.
  3. Ziehen Sie das Symbol aus der Symbolleiste und lassen Sie die Maustaste los.

Noch in diesem Kapitel

Symbolleiste Andockbare Fenster

Symbolleiste Ausrichtung

Symbolleiste Bilder

Symbolleiste Symbole

Symbolleiste Editorprofile

Symbolleiste Elemente

Symbolleiste Production and Facility Scheduler

Symbolleiste Remote-Transport

Symbolleiste Report Generator

Symbolleiste Runtime-Dateien

Symbolleiste Sichtbarkeitsebenen

Symbolleiste Makroliste

Symbolleiste Detailansicht

Symbolleiste Eigenschaften


Symbolleiste Andockbare Fenster

Handbuch > Editor > Symbolleisten > Symbolleiste Andockbare Fenster

Folgende ausgeblendete oder geschlossene Fenster können mit der Symbolleiste Andockbare Fenster wieder aktiviert werden.

Symbol

Beschreibung

Projektmanager

Aktiviert den Projektmanager.

Ausgabe-Fenster

Aktiviert das Ausgabe-Fenster.

Querverweisliste

Aktiviert die Querverweisliste.

Eigenschaften-Fenster

Aktiviert das Eigenschaften-Fenster.

Eigenschaftenhilfe

Aktiviert das Eigenschaftenhilfe-Fenster.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Ausrichtung

Handbuch > Editor > Symbolleisten > Symbolleiste Ausrichtung

Symbol

Beschreibung

Links ausrichten

Richtet alle markierten Elemente am linken Rand des Elements aus, das als erstes markiert wurde.

Rechts ausrichten

Richtet alle markierten Elemente am rechten Rand des Elements aus, das als erstes markiert wurde.

Oben ausrichten

Richtet alle markierten Elemente am oberen Rand des Elements aus, das als erstes markiert wurde.

Unten ausrichten

Richtet alle markierten Elemente am unteren Rand des Elements aus, das als erstes markiert wurde.

Horizontale Mitte

Richtet das markierte Elemente an der horizontalen Bildmitte aus.

Wurden mehrere Elemente ausgewählt, richten sich alle an dem Element aus, das als erstes gewählt wurde.

Vertikale Mitte

Richtet das markierte Elemente an der vertikalen Bildmitte aus.

Wurden mehrere Elemente ausgewählt, richten sich alle an dem Element aus, das als erstes gewählt wurde.

Gleicher x-Abstand

Reiht die ausgewählten Elemente in der Reihenfolge ihrer Markierung entlang der x-Achse auf, wobei die beiden ersten Elemente den Abstand bestimmen.

Gleicher y-Abstand

Reiht die ausgewählten Elemente in der Reihenfolge ihrer Markierung entlang der y-Achse auf, wobei die beiden ersten Elemente den Abstand bestimmen.

Gleiche x-Verteilung

Verteilt alle markierten Elemente entlang der x- Achse zwischen den beiden Elementen, die als erste markiert wurden. Für diese Option müssen mindestens drei Elemente markiert sein.

Gleiche y-Verteilung

Verteilt alle markierten Elemente entlang der y-Achse zwischen den beiden Elementen, die als erste markiert wurden. Für diese Option müssen mindestens drei Elemente markiert sein.

Gleiche Breite

Markierte Elemente werden an die Breite des ersten gewählten Elements angepasst.

Hinweis: Anpassung erfolgt nach optischen Koordinaten. Details siehe Erklärung unter dieser Tabelle.

Gleiche Höhe

Markierte Elemente werden an die Höhe des ersten gewählten Elements angepasst.

Hinweis: Anpassung erfolgt nach optischen Koordinaten. Details siehe Erklärung unter dieser Tabelle.

Gleiche Größe

Markierte Elemente werden an die Höhe und Breite des ersten gewählten Elemente angepasst.

Hinweis: Anpassung erfolgt nach optischen Koordinaten. Details siehe Erklärung unter dieser Tabelle.

In den Vordergrund

Verschiebt ausgewählte Elemente in den Vordergrund.

Nach vorne

Verschiebt ausgewählte Elemente um eine Ebene nach vorne.

Nach hinten

Verschiebt ausgewählte Elemente um eine Ebene nach hinten.

In den Hintergrund

Verschiebt ausgewählte Elemente in den Hintergrund.

horizontal spiegeln

Spiegelt das ausgewählte Element an einer horizontalen Achse .

Vertikal spiegeln

Spiegelt das ausgewählte Element an einer vertikalen Achse .

Drehen um 90º

Dreht das ausgewählte um 90º gegen den Uhrzeigersinn.

Elementgruppe erzeugen

Erzeugt aus allen ausgewählten Elementen eine neue Elementgruppe.

Elementgruppe auflösen

Die Elementgruppe wird in seine ursprünglichen Elemente aufgelöst, die Elementgruppe existiert nicht mehr.

Einzelbearbeitungsmodus Elementgruppe

Erlaubt es, einzelne Elemente einer Elementgruppe zu bearbeiten. Schaltfläche schaltet zwischen Einzelbarbeitungsmodus und Symbolbearbeitungsmodus um.

Einfügen in existierende Elementgruppe

Öffnet die Liste der Elementgruppen, um das Element in eine Elementgruppe der Liste einzufügen.

Aus Elementgruppe entfernen

Löscht markiertes Element aus der aktiven Elementgruppe.

Verknüpfungen ersetzen

Öffnet den Dialog, um mit Dynamischen Elementen verknüpfte Variablen oder Funktionen zu ersetzen.
Weitere Informationen dazu finden Sie im Kapitel Ersetzen von Prozessvariablen in Dynamischen Elementen.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

Anpassung gleiche Breite/Höhe/Größe

Die Größenanpassung von gedrehten und nicht-gedrehten Elementen orientiert sich an den optischen Koordinaten, nicht an den logischen. Die Ausdehnung gedrehter Elemente wird als Fläche des Rechtecks, innerhalb dessen gedachter Linien sich das gedrehte Element befindet (Bounding Rectangle), verstanden.

Zum Beispiel

Zwei Elemente vor der Anpassung:

Nach der Anpassung mittels Gleiche Höhe:


Symbolleiste Bilder

Handbuch > Editor > Symbolleisten > Symbolleiste Bilder

Für die Bearbeitung von Bildern steht eine Symbolleiste zur Verfügung. Diese wird standardmäßig unterhalb der Menüleiste angezeigt.

Symbol

Beschreibung

Bild speichern

Speichert das aktive Bild.

Alles speichern

Speichert alle geänderten Bilder.

Ausschneiden

Schneidet das aktive Bild aus und speichert es in der Zwischenablage, auch projektübergreifend. Nur verfügbar, wenn ein Element ausgewählt wurde.

Kopieren

Speichert eine Kopie des aktiven Bildes in der Zwischenablage. Nur verfügbar, wenn ein Element ausgewählt wurde.

Einfügen

Fügt ein Bild aus der Zwischenablage ein. Nur verfügbar, wenn die Zwischenablage Daten enthält.

Format übertragen

Überträgt die Formatierungen des gerade ausgewählten Elements auf das nächste Element, das ausgewählt wird.

Bild neu zeichnen

Aktualisiert die Bildschirmanzeige.

Rückgängig

Erlaubt es, bis zu 100 Aktionen rückgängig zu machen. Standardmäßig lassen sich 10 Aktionen rückgängig machen.

Die Anzahl der Aktionen definieren: Optionen -> Einstellungen ->Einstellungen -> Anzahl der rückgängig Aktionen. Tragen Sie hier eine Zahl zwischen 1 und 100 ein.

Bearbeitungsmodus

Schaltet von Zoom auf Bearbeitungsmodus um.

Zoom

Stellt drei Zoom-Modi zur Verfügung:

  • Stufenloser Zoom:
    In der Combobox kann ein beliebiger Wert zwischen 15% und 1600% eingegeben oder ein voreingestellter Wert ausgewählt werden.
  • Zoomtool:
    Über die beiden Lupensymbole (+ und -) kann per Mausklick direkt im Bild gezoomt werden. Klicken Sie auf das Lupensymbol, um in den Zoom-Modus umzuschalten. Klicken Sie nun in das Bild, um die Größe zu ändern. Drücken der Steuerung-Taste schaltet zwischen vergrößern/verkleinern um. Der eingestellte Zoom wird pro Bild gespeichert. Um den Zoom-Modus zu beenden, klicken Sie auf das Symbol Bearbeitungsmodus in der Symbolleiste Elemente.
  • Einpassen:
    Wählt automatisch einen Zoomfaktor zwischen 15 - 1600%, so dass das ganze Bild im Editor komplett und proportional dargestellt wird. Der aktuelle Zoomfaktor wird in der Combobox angezeigt.

Tastenkombinationen:

  • Ansicht verkleinern: Tasten: Strg + Umschalt + -
  • Ansicht vergrößern: Tasten: Strg + Umschalt + +
  • Ansicht auf 100% einstellen: Tasten: Strg + Alt + 0
  • Ansicht an den im Editor zur Verfügung stehenden Platz anpassen und proportional darstellen: Tasten: Strg + 0

Ansteuerung über die Maus:

  • Strg+Scrollrad der Maus nach unten: Ansicht verkleinern
  • Strg+Scrollrad der Maus nach oben: Ansicht vergrößern
    Verkleinern/Vergrößern geschieht unter 100% in 25% Schritten, unter 800% in 50% Schritten und über 800% in 100% Schritten

Hilfe

Öffnet die Online-Hilfe.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Symbole

Handbuch > Editor > Symbolleisten > Symbolleiste Symbole

Die Symbolbibliothek wird über das Kontextmenü oder die Symbolleiste bedient:

Befehle in Kontextmenü und Symbolleiste

Kontextmenü | Beschreibung
Symbol neu | Legt ein neues Symbol an.
Symbol öffnen | Öffnet das Symbol im Symboleditor zum Bearbeiten.
Symbolgruppe neu | Eine neue Symbolgruppe wird angelegt und kann mit ausgewählten Symbolen aus der Bibliothek oder selbst erstellten Symbolen befüllt werden. (Kopieren und Einfügen). Nur verfügbar in der Globalen Symbolbibliothek.
Symbol als Elementgruppe in Bild einfügen | Erstellt aus dem Symbol eine Elementgruppe und fügt diese in ein Bild ein (Details siehe Kapitel Elementgruppen).
Symbol in Bild einfügen | Verknüpft das Symbol im Bild (Details siehe Kapitel Symbole).
Verknüpfte Elemente | Öffnet Untermenü mit verknüpften Elementen und der Möglichkeit, zurück ins Ausgangselement zu springen.
Zurück zu Ausgangselement springen | Springt zurück zum Ausgangselement (nur Symbolleiste).
Kopieren | Kopiert das ausgewählte Symbol in die Zwischenablage (nur in hierarchischer Ansicht).
Einfügen | Fügt das kopierte Symbol in der aktiven Gruppe ein (nur in hierarchischer Ansicht).
Löschen | Löscht das ausgewählte Symbol oder die Symbolgruppe (nur in hierarchischer Ansicht). Achtung: Das Löschen kann nicht rückgängig gemacht werden!
Knoten erweitern/reduzieren | Erlaubt in der hierarchischen Ansicht, den gewählten Knoten oder alle Knoten zu erweitern oder zu reduzieren.
Flache Ansicht | Ordnet alle Symbole in einer flachen Liste an. Erleichtert die Suche nach bestimmten Symbolen. Hinweis: In dieser Ansicht können Symbole weder erzeugt noch gelöscht werden, auch das Kopieren oder Einfügen von Symbolen aus der Zwischenablage ist nicht möglich.
Hierarchische Ansicht | Ordnet alle Symbole hierarchisch in Untergruppen und stellt Abhängigkeiten dar.
Auswahl als XML exportieren... | Öffnet den Dialog zum XML-Export der gewählten Symbole. (Details siehe Kapitel Import/Export Symbole.)
Bild/Symbol als Grafikdatei exportieren... | Exportiert das Bild/Symbol als eine Grafikdatei. Der Dateiauswahldialog bietet die entsprechenden auf dem System unterstützten Grafikformate an. Es werden prinzipiell alle am System installierten Windows Imaging Component (WIC) Codecs, welche Speichern unterstützen, zur Auswahl gestellt. Die Grafikgröße ergibt sich von dem zu exportierenden Bild oder Symbol.
XML importieren | Importiert Symbole aus einer XML-Datei (siehe Kapitel Import/Export Symbole).
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Zelle ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Symbolleiste Editorprofile

Handbuch > Editor > Symbolleisten > Symbolleiste Editorprofile

Editorprofile werden über die entsprechende Symbolleiste verwaltet.

Symbol

Beschreibung

Standardprofil laden

Setzt alle Einstellungen für Anzeige und Position von Fenstern sowie Inhalte und Anzeige von Symbolleisten auf den Auslieferungszustand zurück und lädt das zenon Standardprofil.

Editorprofil auswählen

Auswahl eines Editorprofils aus Dropdownliste mit 10 Profilen.

Ausgewähltes Editorprofil laden

Lädt das im Bereich Editorprofil auswählen ausgewählte Profil.

Ausgewähltes Editorprofil speichern

Speichert die aktuellen Fenster-Einstellungen in dem Profil, das im Bereich Editorprofil auswählen angezeigt wird.

Vordefinierte Profile laden

Lädt die von COPA-DATA vordefinierten Profile auf die ersten drei Speicherplätze und verknüpft sie mit den Modulen. Bereits bestehende Profile werden überschrieben.

Profilzuweisungen entfernen

Entfernt alle Verknüpfungen vordefinierter Profile zu den Modulen.

Automatisches Speichern der Editorprofile

Aktiv: Änderungen am aktuellen Profil werden beim Aufruf eines anderen Profils automatisch gespeichert.

Inaktiv: Änderungen werden beim Profilwechsel nicht gepeichert, beim nächsten Aufruf dieses Profils werden wieder die ursprünglichen Positionen hergestellt.

Individuelle Namen für Editorprofile vergeben

Öffnet einen Dialog, in dem individuelle Namen für Editorprofile vergeben werden können.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

Hinweis: Weitere Optionen zum Import und Export können über die benutzerdefinierte Anpassung der Befehle für die Symbolleiste hinzugefügt werden.


Symbolleiste Elemente

Handbuch > Editor > Symbolleisten > Symbolleiste Elemente

Symbol

Funktion

Bearbeitungsmodus

Schaltet von Zoom auf Bearbeitungsmodus um.

Ellipse/Kreis

Mit Rahmenfarbe und Füllfarbe; Rahmenart und Füllmuster (Kreis).

Kreisbogen

Mit definierbarer Linienstärke, Linienfarbe und Linienart.

Kreissegment

Zeichnet Kreissegment mit Öffnungswinkel 180º (veränderbar), definierbarer Linienstärke, Linienfarbe und Linienart.

Linie

Mit definierbarer Linienstärke, Linienfarbe und Linienart.

Polygon

Mit Rahmenfarbe und Füllfarbe; Rahmenart und Füllmuster.

Polylinie

Mit Linienart und Linienfarbe .

Rechteck

Mit Rahmenfarbe und Füllfarbe; Rahmenart und Füllmuster.

Rohrleitung

Mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster.

Statischer Text

Mit Schriftfarbe und Auswahl der Schriftart.

Button

Aktionsfeld in Buttondarstellung.

Combi-Element

Darstellung einer oder mehrerer Variablen auf einem Bildpunkt in Farbe und Symbol (Zeichenkette).

Universalregler

Schiebe- oder Drehregler.

Schalter

Einfaches Befehls- oder Sollwertvorgabeelement.

Combo-/Listbox

Werte von Variablen mit Textmeldungen verknüpfen.

Befehlsgabe-Element

Nur verfügbar mit einer SICAM 230 Lizenz.

Bildalarmierung Button

Nur verfügbar mit einer SICAM 230 Lizenz.

Zahlenwert

Werte numerisch darstellen.

Bargraf

Wert als Balkengrafik darstellen.

Zeigerinstrument

Wert in Instrumentendarstellung.

Dynamischer Text

Grenzwerttexte anzeigen

Trend-Element

einfache Liniengrafik

WPF-Element

Stellt gültige WPF-XAML-Dateien dar.

ActiveX Element

ActiveX-Elemente einfügen.

Uhr

Datum und Uhrzeit anzeigen.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Production and Facility Scheduler

Handbuch > Editor > Symbolleisten > Symbolleiste Production and Facility Scheduler

Der Production Facility Scheduler lässt sich auch über eine Symbolleiste editieren.

Symbol

Beschreibung

Umbennnen

Ermöglicht das Umbenennen einer Anlage.

Eigenschaften

Öffnet ein Fenster mit den Eigenschaften der Anlage.

Löschen

Löscht die ausgewählte Anlage nach Bestätigung.

Aufsteigend sortieren

Sortiert die ausgewählte Tabelle/Spalte aufsteigend.

Absteigend sortieren

Sortiert die ausgewählte Tabelle/Spalte absteigend.

Datum wechseln

Öffnet den Dialog zur Eingabe eines Datums und wechselt zu diesem Datum.

Heute anzeigen

Wechselt vom angezeigten Datum zum aktuellen Datum.

Tagesansicht

Zeigt im Kalender einen Tag an.

Wochenansicht

Zeigt im Kalender eine Woche an.

Monatsansicht

Zeigt im Kalender einen Monat an.

Vorheriges Element

Geht im Kalender entsprechend der eingestellten Anzeige um ein Element zurück (einen Tag, eine Woche oder einen Monat).

Nächstes Element

Geht im Kalender entsprechend der eingestellten Anzeige um ein Element weiter (einen Tag, eine Woche oder einen Monat).

Schaltpunktevorschau

Öffnet die Vorschau der Schaltpunkte.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Remote-Transport

Handbuch > Editor > Symbolleisten > Symbolleiste Remote-Transport

Ein Entwicklungsrechner kann Remote-Verbindungen zu anderen Rechnern aufbauen. Die Symbolleiste Remote-Transport stellt Funktionen für das Übertragen und Abfragen von Daten zur Verfügung.

Symbol

Beschreibung

Remote-Transport: Verbindungseinstellungen

Öffnet den Konfigurationsdialog des Remote-Transports zur Einstellung des Zielsystems und der Zielordner.

Remote-Transport: Verbindung aufbauen

Baut eine Remote-Transportverbindung zum Remote-System auf.

Remote: Geänderte Runtime-Dateien übertragen

Überträgt alle seit der letzten Änderung auf dem Entwicklungsrechner geänderten Runtime-Dateien zum Zielrechner.

Remote: Alle Runtime-Dateien zurücklesen

Liest alle Runtime-Dateien aus den projektierten Ordnern vom Remote-System in den lokalen Runtime-Ordner zurück.

Remote: Startprojekt setzen

Setzt das aktive Projekt als Startprojekt am Remote-System.

Remote: Runtime starten

Startet die Runtime am Remote-System.

Remote: Runtime beenden

Beendet die Runtime am Remote-System.

Remote: Projekt nachladen

Führt auf dem Remote-System die Funktion N achladen aus.

Remote Desktop: Verbindung starten

Startet eine Verbindung, um den Zielrechner per zenon Remote Desktop zu bedienen. Dadurch ist eine visuelle Bedienung möglich.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

Weitere Symbole können über die Optionen der Symbolleiste hinzugefügt werden.

Symbol

Beschreibung

Alle Runtime-Dateien übertragen

Überträgt alle Runtime-Dateien zum Zielsystem.

Betriebssystem neu starten

Startet das Betriebssystem des Zielrechners nach einer Sicherheitsabfrage neu. Unter Windows CE wird diese Option nicht unterstützt.

Systemstatus ermitteln

Ermittelt Systemstatus des Zielrechners und schreibt Daten in das Ausgabefenster. Ermittelt werden:

  • Computername
  • Betriebssystem
  • Runtime aktiv/nicht aktiv
  • Startprojekt
  • Realer Speicher
  • Laufwerke
  • Remote Seriennummer
  • Remote zenon Version

Passwort ändern u. Lizenzierung anzeigen

Öffnet Dialog für Verbindungsaufbau.

Ermöglicht:

  • Änderung des Passworts für den Verbindungsaufbau
  • Anzeige und Änderung der Lizenzierung des Zielrechners (Für Versionen älter als 8.00)
  • Konfiguration der Verschlüsselung am Zielrechner

Hinweis: Alle Befehle für den Remote-Transport stehen auch im Kontextmenü des Projekts zur Verfügung.


Symbolleiste Report Generator

Handbuch > Editor > Symbolleisten > Symbolleiste Report Generator

Für den Report Generator steht im Editor eine Symbolleiste zur Verfügung.
Um diese aufzuschalten, falls sie nicht sichtbar ist:

  1. Öffnen Sie das Menü Extras -> Einstellungen -> Registerkarte: Symbolleiste
  2. Aktivieren Sie die Checkbox neben Report Generator.
  3. Bestätigen Sie mit OK.

Symbol

Beschreibung

Report drucken

Druckt den Report am Standarddrucker aus.

Seitenansicht Report

Öffnet den Report in einer Voransicht. Der Report kann in der Voransicht vergrößert oder verkleinert dargestellt werden (Zoom), man kann ihn durchblättern und drucken.

Report neu zeichnen

Aktualisiert die Ansicht.

Funktionen neu berechnen

Berechnet die Formeln im Report neu.

Funktionsassistent

Öffnet einen Dialog, der bei der Konfiguration der Funktionen unterstützt.

Schriftart

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Schriftart.

Textausrichtung

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Ausrichtung.

Rahmen

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Rahmen.

Muster

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Muster.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Runtime-Dateien

Handbuch > Editor > Symbolleisten > Symbolleiste Runtime-Dateien

Um Dateien aus dem Editor zur Runtime zu übertragen oder von der Runtime in den Editor steht eine Symbolleiste zur Verfügung:

Symbol

Beschreibung

Geänderte Runtime-Dateien erzeugen

Erzeugt Runtime-Dateien von allen im Editor geänderten Dateien. Im Drop-down-Menü wählen Sie, ob die Runtime-Dateien nur vom aktiven Projekt oder von allen geladenen Projekten erzeugt werden.

Alle Runtime-Dateien erzeugen

Erzeugt für alle im Editor vorhandenen Dateien die Runtime Dateien. Im Drop-down-Menü wählen Sie, ob die Runtime-Dateien nur vom aktiven Projekt oder von allen geladenen Projekten erzeugt werden.

Runtime-Dateien importieren

Zur Runtime änderbare Dateien (wie Rezepte oder Benutzerverwaltung) werden aus der Runtime zurück in den Editor gelesen.

Runtime änderbare Dateien

Öffnet Dialog zur Verwaltung der zur Runtime änderbaren Dateien.

Runtime starten

Startet die Runtime.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Sichtbarkeitsebenen

Handbuch > Editor > Symbolleisten > Symbolleiste Sichtbarkeitsebenen

Ähnlich wie in CAD-Programmen können im Editor Sichtbarkeitsebenen definiert und einzelnen Elementen zugewiesen werden. So lassen sich bei komplexen Bildern nicht benötigte Elemente einfach ausblenden und jederzeit wieder einblenden. 15 Sichtbarkeitsebenen stehen zur Verfügung. Die Zuweisung einer Ebene erfolgt über die Eigenschaft Sichtbarkeitsebene im Knoten Allgemein. Das Aktivieren und Deaktivieren von einzelnen Ebenen erfolgt über die Schaltflächen der Symbolleiste Sichtbarkeitsebenen:

Symbol

Beschreibung

Alle Sichtbarkeitsebenen sichtbar machen

Blendet alle Ebenen ein.

Alle Sichtbarkeitsebenen unsichtbar machen

Blendet alle Ebenen aus.

Sichtbarkeitsebene [Nr]

Blendet die entsprechende Sichtbarkeitsebene ein oder aus.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

info Info

Sichtbarkeitsebenen gelten nur für den Editor und haben zur Runtime keine Auswirkung.

Hinweis Kontrollelemente: Kontrollelemente werden zur Runtime immer an oberster Stelle angezeigt. Das gilt auch, wenn sie im Editor von anderen Elementen überdeckt werden. Damit wird sichergestellt, dass sie immer erreichbar sind.


Symbolleiste Makroliste

Handbuch > Editor > Symbolleisten > Symbolleiste Makroliste

Makros, die mit VBA erstellt wurden, können über die Symbolleiste Makroliste verwaltet werden.

Wird ein Filter ausgewählt, ist diese Auswahl auch in der Symbolleiste ersichtlich.

Symbol

Beschreibung

Liste der VBA/VSTA-Makros neu laden

Lädt alle in myWorkspace und in Modulen enthaltenen Public Sub Name () Makros in die Dropdownliste der Symbolleiste.

Makro suchen

Suche nach Makros über Eingabefeld der Combobox oder Auswahl aus Dropdownliste. Die Dropdownliste wird beim Ausklappen an das breiteste Element angepasst.

Combobox Makros

Enthält alle geladenen Makros zur Auswahl.

Ausgewähltes Makro ausführen

Führt das in der Dropdownliste ausgewählte Makro aus.

Zugeordnetes Makro #<x> ausführen

Führt das dem Symbol zugeordnete Makro aus.

Makros zuordnen

Öffnet den Dialog für die Zuordnung von Makros. Bis zu 5 Makros können mit den Symbolen 1 bis 5 verknüpft werden.

VBA

Filtert nach VBA-Makros. Es werden nur noch VBA-Markos angezeigt.

VSTA

Filtert nach VSTA-Makros. Es werden nur noch VSTA-Markos angezeigt.

ALL

Aktuell angewandter Filter wird aufgehoben und alle Makros werden angezeigt.

AZ

Sortiert Makros aufsteigend von 0 - 9 und A - Z.

ZA

Sortiert Makros absteigend von Z - A und 9 - 0.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

info Info

Werden im Makro-Zuordnungsdialog nicht alle in myWorkspace enthaltenen Makros zur Auswahl angeboten, dann führen Sie in der Symbolleiste die Funktion Liste der VBA-Makros neu laden aus.


Symbolleiste Detailansicht

Handbuch > Editor > Symbolleisten > Symbolleiste Detailansicht

In der Detailansicht des Projektmanagers werden je nach aktiviertem Knoten passende Symbolleisten eingeblendet. Diese entsprechen den Inhalten des jeweiligen Kontextmenüs. Hilfe zu den einzelnen Symbolleisten finden Sie im jeweiligen Kapitel, zum Beispiel: Variablen Detailansicht Symbolleiste.


Symbolleiste Eigenschaften

Handbuch > Editor > Symbolleisten > Symbolleiste Eigenschaften

Die Eigenschaften eines Objektes werden im Eigenschaftenfenster angezeigt und bearbeitet. Zur Organisation des Eigenschaftenfensters steht eine Symbolleiste zur Verfügung:

Symbol

Beschreibung

Gruppierte Ansicht

(default)

Alle Eigenschaften des ausgewählten Objekts werden logisch gruppiert und die Gruppen wahlweise alphabetisch oder logisch sortiert. Über das Kontextmenü können Einträge in die Favoriten eingefügt oder wieder daraus entfernt werden.

Standard für Handbuch: Hinweise im Handbuch zu den Eigenschaften gehen immer von der gruppierten Ansicht aus. Die Inhalte der Gruppen entsprechen denen der Dialogansicht.

Alle Eigenschaften

Alle Eigenschaften des ausgewählten Objekts werden in einer Liste dargestellt. Über das Kontextmenü können Einträge in die Favoriten eingefügt oder wieder daraus entfernt werden.

Dialogansicht

Alle Eigenschaften werden wie in der Gruppierten Ansicht logisch zusammengefasst und die Gruppen nach Anwendungspriorität sortiert in Dialogform dargestellt. In dieser Ansicht können keine Favoriten definiert werden.

Favoriten ein-/ausblenden

Blendet in den Ansichten Gruppierte Ansicht oder Alle Eigenschaften an oberster Stelle der Knoten Favoriten ein- oder aus. Darin werden jene Eigenschaften gesammelt, die am häufigsten gebraucht werden.

Per Default werden Favoriten vorgeschlagen.

Einträge zu den Favoriten hinzufügen oder daraus entfernen: Entweder im Kontextmenü mit dem Befehl zu den Favoriten hinzufügen oder per Drag&Drop der Eigenschaft in die Favoritenliste.

Die Reihenfolge der Eigenschaften in den Favoriten wird durch das Sortierkriterium bestimmt (aufsteigend, absteigend, logisch).

In der Dialogansicht können keine Favoriten angelegt werden.

Alle Eigenschaften ein-/ausblenden

Blendet alle Knoten in den Ansichten Gruppiert und Alle Eigenschaften ein- oder aus.

Logisch sortiert

(default)

Zeigt in den Ansichten Gruppiert und Alle Eigenschaften die Eigenschaften logisch nach Anwendungshäufigkeit statt alphabetisch sortiert an.

Aufsteigend und absteigend sortiert

Zeigt in den Ansichten Gruppiert und Alle Eigenschaften die Eigenschaften wahlweise auf- oder absteigend alphabetisch sortiert an.

Alle Knoten aufklappen / schließen

Schließt oder öffnet in den Ansichten Gruppiert und Alle Eigenschaften alle Knoten.

Ausnahme: Der Knoten der aktuell gewählten Eigenschaften bleibt beim Klick auf Alle Knoten schließen geöffnet.

Eigenschaftenhilfe einblenden

Blendet die integrierte Hilfe zu den Eigenschaften (Eigenschaftenhilfe) ein.

Eigenschaft freigeben

Symbole: Gibt die ausgewählte Eigenschaft frei.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Menüleiste

Handbuch > Editor > Menüleiste

Die Menüleiste enthält -je nach ausgewähltem Modul und Element - Dropdownlisten zu folgenden Elementen.

Basis

  • Datei
  • Bearbeiten
  • Ansicht
  • Bilder
  • Extras
  • Fenster
  • Hilfe

Bilder und Symbole

Sobald ein Bild geöffnet wird, ergänzen neue Menüpunkte die Leiste:

  • Elemente
  • Kontrollelemente

Wird die Allgemeine Symbolbibliothek aktiviert, dann wird der Menüpunkt Bilder durch den Menüpunkt Symbole ersetzt.

Report

Beim Öffnen eines Reports:

  • wird das Menü Bilder durch Report ersetzt
  • wird das Menü Format hinzugefügt
  • werden die Befehle im Menü Bearbeiten ausgetauscht

Noch in diesem Kapitel

Datei

Bearbeiten

Ansicht

Bilder

Symbol

Fenster

Hilfe

Extras


Datei

Handbuch > Editor > Menüleiste > Datei

Folgende Aktionen sind möglich:

Menüpunkt | Aktion
Projekt neu | Öffnet den Dialog zum Anlegen eines neuen Projektes.
Bestehendes Projekt einfügen | Öffnet den Dialog, um ein bestehendes Projekt in den Editor einzufügen.
Projekt 5.50 einfügen | Öffnet den Dialog, um ein Projekt einzufügen, das mit dem Editor der Version 5.50 erstellt wurde.
Projektsicherung rücklesen | Öffnet den Dialog, um den in einer Projektsicherung gespeicherten Stand eines Projektes zu laden.

Arbeitsbereich

Aktionen für den Arbeitsbereich.

Menüpunkt | Aktion
Neu | Öffnet den Dialog zum Anlegen eines neuen Arbeitsbereichs.
Öffnen | Öffnet den Dialog zum Laden eines bestehenden Arbeitsbereichs.
Speichern | Speichert den aktuellen Arbeitsbereich.
Speichern unter | Speichert den aktuellen Arbeitsbereich, wobei Name und Speicherort ausgewählt werden können.
Schließen | Schließt den aktuellen Arbeitsbereich.
Sicherung erstellen | Öffnet den Dialog zum Sichern aller Projekte des aktuellen Arbeitsbereichs. Die Sicherung wird in einer komprimierten *.wsb Datei abgelegt.
Sicherung rücklesen | Öffnet den Dialog zum Laden der in einer Sicherung des Arbeitsbereichs gespeicherten Projekte.

Allgemeine Konfiguration

Allgemeine Einstellungen.

Menüpunkt

Aktion

Lizenzverwaltung öffnen

Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Standard

Öffnet den Dialog zur Konfiguration der Standardeinstellungen für Speicherorte und für die Drucker für

  • AML
  • CEL
  • Werte
  • Protokolle
  • Screenshots
  • Notizbuch

Systemsteuerung

Öffnet die Systemsteuerung des Betriebssystems.

Bestehende Arbeitsbereiche

Liste bereits bestehender Arbeitsbereiche. Die letzten 5 gewählten werden angezeigt. Die Liste wird beim Wechseln eines Arbeitsbereichs aktualisiert beim Beenden des Editors in die zenon6.ini geschrieben.

Beenden

Beendet den zenon Editor.


Bearbeiten

Handbuch > Editor > Menüleiste > Bearbeiten

Der Inhalt der Menüleiste Bearbeiten ist abhängig von der ausgewählten Projektierung:

  • Die Einträge unterscheiden sich entsprechend der zuletzt oder aktuell geöffnete Projektierung im Hauptfenster.
    Hinweis: Dies hat zur Folge, dass auch für andere Knoten in der Menüleiste Bearbeiten Einträge der aktuell im Hauptfenster geöffneten Projektierung angeboten werden.
  • Die Einträge des Menüs werden nur für folgende Knoten angeboten:
    • Bilder
    • Report Generator

Noch in diesem Kapitel

Bilder und Symbole

Reporting


Bilder und Symbole

Handbuch > Editor > Menüleiste > Bearbeiten > Bilder und Symbole

Bei Auswahl eines Bildes oder Symbols stellt das Menü Bearbeiten spezielle Funktionen zur Verfügung.

Folgende Aktionen sind möglich:

Parameter

Beschreibung

Rückgängig

Macht die letzte Aktion rückgängig.

Die Anzahl der möglichen Rückgängig-Aktionen wird unter dem Menüeintrag Extras bei dem Eintrag Einstellungen definiert. Konfigurieren Sie den gewünschten Wert im Dialog Einstellungen in der Option Rückgängig-Schritte.

Achtung: Im Schabloneneditor können Aktionen nicht rückgängig gemacht werden.

Ausschneiden

Schneidet markierte Objekte aus und speichert sie in der Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Kopieren

Kopiert markierte Objekte und speichert sie in der Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Duplizieren

Verdoppelt ein markiertes Objekt. Das Duplikat wird nach unten und rechts versetzt eingefügt.

Details siehe Kapitel Elemente duplizieren im Handbuch Bilder.

Einfügen

Fügt kopierte oder ausgeschnittene Objekte aus der Zwischenablage ein. Elemente werden immer zentriert im Arbeitsausschnitt eingefügt. Bei mehreren Objekten bleiben die Positionen der Objekte zueinander gleich.

An gleicher Position einfügen

Die Kopie des Objektes wird an der selben Position wie ihr Original eingefügt.

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Löschen

Löscht markierte Elemente. Das Löschen wird ohne vorherige Sicherheitsabfrage direkt durchgeführt.

Format übertragen

Übergibt die Formatierung des ausgewählten Elements an ein anderes Element.

Alles markieren

Markiert alle Objekte im Hauptfenster.

Verknüpfungen ersetzen

Öffnet den Dialog, um mit Dynamischen Elementen verknüpfte Variablen oder Funktionen zu ersetzen.
Weitere Informationen dazu finden Sie im Kapitel Ersetzen von Prozessvariablen in Dynamischen Elementen.

Element Position

Ändert die Position markierter Elemente. Die Verfügbarkeit der Einträge ist abhängig von der aktuellen Position der ausgewählten Elemente.

Auswahl der Position aus Kontextmenü:

  • Vordergrund
    Verschiebt ausgewählte Elemente in den Vordergrund.
  • Hintergrund
    Verschiebt ausgewählte Elemente in den Hintergrund.
  • Vorwärts
    Verschiebt ausgewählte Elemente um eine Ebene nach vorne.
  • Rückwärts
    Verschiebt ausgewählte Elemente um eine Ebene nach hinten.

Alt-Taste+ linker Mausklick wählt Elemente aus tieferen Ebenen aus.

Ausrichten

Positioniert markierte Elemente neu. Als Orientierungspunkt der Ausrichtung dient immer das zuerst ausgewählte Element.

  • Links
    Markierte Elemente werden nach links ausgerichtet.
  • Rechts
    Markierte Elemente werden nach rechts ausgerichtet.
  • Oben
    Markierte Elemente werden nach oben ausgerichtet.
  • Unten
    Markierte Elemente werden nach unten ausgerichtet.

Anordnen

Ordnet Elemente neu an. Ausgangspunkt ist jeweils das erste markierte Element.

Ist nur ein Element markiert, sind einige Einträge des Kontextmenüs ausgegraut.

gleiche Breite

Markierte Elemente werden an die Breite des ersten gewählten Elementes angepasst.

Hinweis: Bei gedrehten Elementen orientiert sich die Breite an den optischen Koordinaten, nicht an den logischen. Details siehe Kapitel Symbolleiste Ausrichtung.

gleiche Höhe

Markierte Elemente werden an die Höhe des ersten gewählten Elementes angepasst.

Hinweis: Bei gedrehten Elementen orientiert sich die Höhe an den optischen Koordinaten, nicht an den logischen. Details siehe Kapitel Symbolleiste Ausrichtung.

gleiche Größe

Markierte Elemente werden an die Höhe und Breite des ersten gewählten Elementes angepasst.

Hinweis: Bei gedrehten Elementen orientiert sich die Größe an den optischen Koordinaten, nicht an den logischen. Details siehe Kapitel Symbolleiste Ausrichtung.

horizontale Mitte

Markierte Elemente werden in die horizontale Mitte des ersten ausgewählten Elementes verschoben.

vertikale Mitte

Markierte Elemente werden in die vertikale Mitte des ersten ausgewählten Elementes verschoben.

gleicher x-Abstand

Markierte Elemente werden so angeordnet, dass der Abstand auf der X-Achse zwischen ihnen gleich ist, wobei die ersten beiden Elemente den Abstand bestimmen.

gleicher y-Abstand

Markierte Elemente werden so angeordnet, dass der Abstand auf der y-Achse zwischen ihnen gleich ist, wobei die ersten beiden Elemente den Abstand bestimmen.

gleiche x-Verteilung

verteilt alle markierten Elemente entlang der x- Achse zwischen den beiden Elementen, die als erste markiert wurden. Für dies Option müssen mindestens drei Elemente markiert sein.

gleiche y-Verteilung

verteilt alle markierten Elemente entlang der y-Achse zwischen den beiden Elementen, die als erste markiert wurden. Für dies Option müssen mindestens drei Elemente markiert sein.

horizontal spiegeln

Spiegelt das ausgewählte Element an einer horizontalen Achse.

vertikal spiegeln

Spiegelt das ausgewählte Element an einer vertikalen Achse.

drehen 90º

Dreht das ausgewählte Element um 90º gegen den Uhrzeigersinn.

Symbol

Die Einträge des Kontextmenüs variieren je nach Typ der Auswahl (Bildelement oder Symbol).

Elementgruppe erzeugen

Erzeugt aus allen ausgewählten Elementen eine neue Elementgruppe.

Elementgruppe auflösen

Die Elementgruppe wird in seine ursprünglichen Elemente aufgelöst und existiert nicht mehr.

Einzelbearbeitungsmodus Elementgruppe

Erlaubt es, einzelne Elemente einer Elementgruppe zu bearbeiten. Schaltet um zwischen Einzelbearbeitungsmodus und Elementbearbeitungsmodus.

Einfügen in existierende Elementgruppe...

Öffnet die Liste der Elementgruppen, um das aktive Element in eine Elementgruppe der Liste einzufügen.

Aus Elementgruppe entfernen

Entfernt das markierte Element aus der Elementgruppe.

Symbol in Elementgruppe konvertieren

Konvertiert ein Symbol in eine Elementgruppe. Das Symbol verliert damit seine Verbindung zum Originalsymbol in der Bibliothek und kann nur noch lokal geändert werden. Diese Konvertierung kann nicht rückgängig gemacht werden.

Symbolliste...

Öffnet eine Liste aller Symbole und Elementgruppen, die im aktuellen Bild verwendet werden.

Reihenfolge für Fokus verschieben

Festlegung der horizontalen oder vertikalen Reihenfolge bei Tastaturbedienung.

Projektierungsschritte finden Sie im Kapitel Reihenfolge innerhalb Schablone festlegen im Handbuch Runtime.

Reihenfolge für links/rechts

Legt die horizontale Reihenfolge fest.

Reihenfolge für oben/unten

Legt die vertikale Reihenfolge fest.

Eigenschaften...

Öffnet Eigenschaftenfenster und springt dort zur Eigenschaftengruppe des ausgewählten Elements.

Auswahl via Lasso

Bei Auswahl der Elemente via Lasso orientiert sich die Ausrichtung an jenem Element, welches vor Einsatz des Lassos ausgewählt war. War vor Einsatz des Lassos noch kein Element ausgewählt, wird eine interne Priorisierung vorgenommen. Im COPA-DATA wird dieses priorisierte Element grafisch hervorgehoben. In diesem Fall werden die Anfasspunkte als befüllte Quadrate angezeigt.

Ansichtsbeispiel eines priorisierten Elements


Reporting

Handbuch > Editor > Menüleiste > Bearbeiten > Reporting

Für Reports stellt das Menü Bearbeiten folgende Einträge zur Verfügung:

Befehl

Beschreibung

Ausschneiden

Schneidet markierten Bereich aus und kopiert diesen in die Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Kopieren

Kopiert markierten Bereich in die Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Einfügen

Fügt Inhalt der Zwischenablage ein.

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Einfügen erweitert

Stellt erweiterte Einfügeoptionen für Zelloperationen zur Verfügung.
Auswahl aus Kontextmenü.

  • Alles:
    Fügt gesamten Inhalt der Zwischenablage ein.
  • Formeln:
    Fügt nur Formelinhalt der Zwischenablage ein.
  • Wert:
    Fügt nur Inhalte der Zwischenablage mit Wert ein:
    Achtung: Der Bezug zu Formeln geht dabei verloren.
  • Format:
    Übernimmt nur das Format des in der Zwischenablage gespeicherten Inhalts ohne Inhalt ein

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Füllen

Kopiert den Inhalt der ausgewählten Zelle und überträgt ihn auf alle weiteren markierten Zellen.

Auswahl aus Kontextmenü.

  • nach unten:
    Inhalte werden in ausgewählte Zellen unter der Auswahl (Spalte) kopiert.
  • nach rechts:
    Inhalte werden in ausgewählte Zellen rechts neben der Auswahl (Zeile) kopiert.

Entfernen

Entfernt Inhalte aus der markierten Zellen.

Auswahl aus Kontextmenü.

  • Alles:
    gesamter Inhalt wird aus markierten Zellen entfernt.
  • Nur Inhalte:
    Nur Inhalte werten aus markierten Zellen entfernt. Das Format der Zellen bleibt dabei erhalten.
  • Format:
    Nur Formatierungen der markierten Zellen werten entfernt. Alle Inhalte bleiben dabei erhalten.

Spalte/Zeile löschen

Löscht markierte Spalten oder Zeilen.

Spalte/Zeile einfügen

Fügt neue Spalten oder Zeilen ein.

Die Einfügung erfolgt über der Zeile oder links der Spalte. Es werden so viele Zeilen/Spalten eingefügt, wie im Tabellenblatt markiert sind.

Tipp: markieren Sie immer gesamte Zeilen oder Spalten indem Sie auf die Spalten- oder Zeilenbezeichner Klicken. Mehrfachauswahl ist bei gedrückter Umschalt-Taste möglich.

Suchen/ersetzen

Öffnet den Dialog zum Suchen und Ersetzen für Tabelleninhalte.


Ansicht

Handbuch > Editor > Menüleiste > Ansicht

Folgende Aktionen sind möglich:

Menüpunkt | Aktion
Statuszeile | Blendet die Statuszeile des Editors ein oder aus. Diese ist nicht identisch mit der Statuszeile in der Detailansicht des Projektmanagers.
Projektmanager | Blendet das Fenster Projektmanager ein.
Ausgabefenster | Blendet das Ausgabefenster ein.
Querverweisliste | Blendet die Querverweisliste ein.
Eigenschaftenfenster | Blendet das Eigenschaftenfenster ein.
Eigenschaftenhilfe | Blendet das Fenster mit der Eigenschaftenhilfe ein
Symbolleisten | Dropdownliste zum Ein- und Ausblenden von Symbolleisten.


Bilder

Handbuch > Editor > Menüleiste > Bilder

Dieser Menüeintrag wird nur dann angezeigt, wenn im Hauptfenster ein zenon Bild geöffnet ist.

Folgende Aktionen sind möglich:

Menüpunkt

Aktion

Bild speichern

Speichert das aktuelle Bild.

Alle Bilder speichern

Speichert alle Bilder.

Vollbildmodus

Der Vollbildmodus blendet alle übrigen Fenster aus und zeigt nur das Hauptfenster mit allen geöffneten Dokumenten (Bilder, Reports, ...) als Vollbild über den ganzen Bildschirm an.

Hinweis: Das Menü Kontrollelemente ist im Vollbildmodus immer noch aufrufbar.

Der Vollbildmodus kann beendet werden über:

  • die eingeblendete Schaltfläche zum Beenden des Vollbildmodus
  • die Tastenkombination Umschalt+F9

Bild neu zeichnen

Aktualisiert die Bildschirmanzeige.

Raster anzeigen

Schaltet die Anzeige des Rasters ein oder aus.

Raster verwenden

Schaltet Verwendung des Rasters ein oder aus.

Ein: Alle Objekte werden automatisch am Raster ausgerichtet.

Fangpunkte verwenden

Schaltet Fangpunkte ein oder aus.

Verwendung: Nähert man ein Objekt dem Anfasspunkt eines anderen Objektes, dann rastet das Objekt an diesem Anfasspunkt ein.

Zoomen

Ermöglicht die Änderung der Darstellungsgröße in festen Schritten zwischen 15 % und 1600%.

Einpassen: wählt automatisch einen Zoomfaktor zwischen 15 - 1600%, so dass das ganze Bild im Editor komplett und proportional dargestellt wird.

Bild/Symbol in Grafikdatei exportieren

Speichert das ausgewählte Bild oder Symbol in einer Grafikdatei.
Gespeichert wird:

  • in Bildern: das ausgewählte Bild mit allen Elementen und Symbolen
  • im Symboleditor: das ausgewählte Symbol

Zum Speichern wird der Dateibrowser geöffnet. Wählen Sie hier Speicherort, Dateiname und Typ.

Vektorgrafik einfügen

Öffnet den Dialog zum Einfügen einer externen Vektorgrafik.
Unterstützt einige Versionen der Dateitypen DXF und PLT.

Hinweis: Der Import von Vektorgrafiken steht für den 64-Bit Editor nicht zur Verfügung.

info Info

Sobald ein Bildelement aktiv ist, wird das Menü Elemente angezeigt. Dieses bietet alle Vektor-Elemente und Dynamischen Elemente analog zur Symbolleiste Elemente zur Auswahl an. Bei der Auswahl spezieller Bildtypen wird zusätzlich das Menü Kontrollelemente eingeblendet. Dieses stellt passend zum gewählten Bildtyp vordefinierte Kontrollelemente zur Verfügung.


Symbol

Handbuch > Editor > Menüleiste > Symbol

Dieser Menüeintrag wird nur dann angezeigt, wenn im Hauptfenster ein zenon Bild geöffnet ist.

Folgende Aktionen sind möglich:

Menüpunkt

Aktion

Symbol speichern

Speichert das aktuelle Symbol.

Alle Symbole speichern

Speichert alle Symbole.

Symbolgröße/Hintergrundfarbe ändern

Öffnet den Dialog zur Konfiguration von Symbolgröße und Hintergrundfarbe.

Hinweis: Änderungen der Hintergrundfarbe betreffen immer alle Symbole in der Globalen Symbolbibliothek.

Symbolliste

Öffnet eine Liste aller Symbole und Elementgruppen, die im aktuellen Bild verwendet werden.

Vollbildmodus

Der Vollbildmodus blendet alle übrigen Fenster aus und zeigt nur das Hauptfenster mit allen geöffneten Dokumenten (Bilder, Reports, ...) als Vollbild über den ganzen Bildschirm an.

Hinweis: Das Menü Kontrollelemente ist im Vollbildmodus immer noch aufrufbar.

Der Vollbildmodus kann beendet werden über:

  • die eingeblendete Schaltfläche zum Beenden des Vollbildmodus
  • die Tastenkombination Umschalt+F9

Symbol neu zeichnen

Aktualisiert die Bildschirmanzeige.

Raster anzeigen

Schaltet die Anzeige des Rasters ein oder aus.

Raster verwenden

Schaltet Verwendung des Rasters ein oder aus.

Ein: Alle Objekte werden automatisch am Raster ausgerichtet.

Fangpunkte verwenden

Schaltet Fangpunkte ein oder aus.

Verwendung: Nähert man ein Objekt dem Anfasspunkt eines anderen Objektes, dann rastet das Objekt an diesem Anfasspunkt ein.

Reihenfolge für Fokus verschieben

Festlegung der horizontalen oder vertikalen Reihenfolge bei Tastaturbedienung.

Projektierungsschritte finden Sie im Kapitel Reihenfolge innerhalb Schablone festlegen im Handbuch Runtime.

  • Reihenfolge für links/rechts:
    Legt die horizontale Reihenfolge fest.
  • Reihenfolge für oben/unten:
    Legt die vertikale Reihenfolge fest.

Zoomen

Ermöglicht die Änderung der Darstellungsgröße in festen Schritten zwischen 15 % und 1600%.

Einpassen: wählt automatisch einen Zoomfaktor zwischen 15 - 1600%, so dass das ganze Bild im Editor komplett und proportional dargestellt wird.

Bild/Symbol als Grafikdatei exportieren

Speichert das ausgewählte Bild oder Symbol in einer Grafikdatei.
Gespeichert wird:

  • in Bildern: das ausgewählte Bild mit allen Elementen und Symbolen
  • im Symboleditor: das ausgewählte Symbol

Zum Speichern wird der Dateibrowser geöffnet. Wählen Sie hier Speicherort, Dateiname und Typ.

Vektorgrafik einfügen

Öffnet den Dialog zum Einfügen einer externen Vektorgrafik.


Fenster

Handbuch > Editor > Menüleiste > Fenster

Folgende Aktionen sind möglich:

Menüpunkt

Aktion

Vollbildmodus

Der Vollbildmodus blendet alle übrigen Fenster aus und zeigt nur das Hauptfenster mit allen geöffneten Dokumenten (Bilder, Reports, ...) als Vollbild über den ganzen Bildschirm an.

Hinweis: Das Menü Kontrollelemente ist im Vollbildmodus immer noch aufrufbar.

Der Vollbildmodus kann beendet werden über:

  • die eingeblendete Schaltfläche zum Beenden des Vollbildmodus
  • die Tastenkombination Umschalt+F9

Schließen

Schließt das aktive Fenster

Teilen

Teilt das Hauptfenster und ordnet die aktiven Fenster entsprechend an.

Liste der Fenster

Zeigt offene Fenster an. Es werden maximal 9 Fenster gelistet.

Fenster

Öffnet Dialog um offene Fenster im Hauptfenster zu verwalten:

  • aktivieren
  • speichern (Mehrfachauswahl möglich)
  • schließen (Mehrfachauswahl möglich)

Das aktive Fenster wird vorausgewählt. werden.


Hilfe

Handbuch > Editor > Menüleiste > Hilfe

Folgende Aktionen sind möglich:

Menüpunkt | Aktion
Info über... | Ruft den Dialog zur Anzeige der Versions- und Lizenzinformationen auf.
Erste Schritte | Ruft den Abschnitt Tutorials in der Online-Hilfe auf.
Hilfe | Ruft die Online-Hilfe auf.
zenon Video-Tutorials | Ruft den COPA-DATA YouTube-Kanal mit Projektierungsbeispielen in einem Web Browser auf. Dieser Aufruf erfolgt via HTTPS. Dazu muss der Rechner über einen Internetzugang verfügen und der entsprechende Port muss freigeschalten sein.
Dokumentation aktualisieren... | Ruft das Documentation-Download Tool zur Aktualisierung der Hilfe auf.


Extras

Handbuch > Editor > Menüleiste > Extras

Folgende Aktionen sind möglich:

Menüpunkt | Aktion
Editor Wizards starten | Öffnet den Dialog zur Auswahl eines Wizards. Hinweis: Dieser Menüeintrag ist nur vorhanden, wenn Sie VBA/VSTA in der Datei zenon6.ini aktiviert haben. Aktivieren Sie VBA indem Sie sicherstellen, dass im Bereich [VBA] der Eintrag EIN=1 vorhanden ist.
Editor Dienste verwalten | Öffnet den Dialog zur Verwaltung von Editor-Diensten
Add-In Editor öffnen | Öffnet den in den Einstellungen vordefinierten Editor für die Add-In Programmierung. Wurde keine Entwicklungsumgebung vordefiniert, wird SharpDevelop gestartet. Kann die vordefinierte Entwicklungsumgebung nicht geöffnet werden, wird eine Fehlermeldung ausgegeben.
VSTA-Editor mit WorkspaceAddin öffnen | Öffnet den VSTA-Editor. Hinweis: Dieser Menüeintrag ist nur vorhanden, wenn Sie VSTA in der Datei zenon6.ini aktiviert haben. Aktivieren Sie VBA indem Sie sicherstellen, dass im Bereich [VSTA] der Eintrag ON=1 vorhanden ist.
VBA-Editor öffnen | Öffnet den Visual Basic Editor. Hinweis: Dieser Menüeintrag ist nur vorhanden, wenn Sie VBA in der Datei zenon6.ini aktiviert haben. Aktivieren Sie VBA indem Sie sicherstellen, dass im Bereich [VBA] der Eintrag EIN=1 vorhanden ist.
Editor Add-Ins verwalten | Öffnet den Dialog zur Verwaltung von Add-Ins.
Editor VBA/VSTA-Wizards aktualisieren | Öffnet den Dialog für das Update der Wizards. Details zu Wizards lesen Sie im Kapitel Wizards, Abschnitt Wizards updaten. Hinweis: Dieser Menüeintrag ist nur vorhanden, wenn Sie VBA VSTA in der Datei zenon6.ini aktiviert haben. Aktivieren Sie VBA indem Sie sicherstellen, dass im Bereich [VBA] der Eintrag EIN=1 vorhanden ist.
Update Windows CE Runtime | Öffnet die Applikation zum Updaten einer Windows CE Runtime.
Projekt für Web kompilieren | Kompiliert ein Projekt für die Verwendung mit der HTML Web Engine.
Neuen Menüeintrag definieren | Öffnet den Dialog, um externe Programme als eigenen Menüeintrag einzubinden. Tipp: Wurde bereits ein weiterer Menüeintrag erstellt, wird dieser an dieser Stelle angezeigt. Neue und zusätzliche Menüeinträge werden erstellt unter Extras -> Einstellungen -> Menü Tools.
Editor Editorprofile verwalten | Öffnet das Untermenü zur Verwaltung der Editorprofile.
Einstellungen | Öffnet den Dialog zur Konfiguration der allgemeinen Einstellungen, Menüs, Farbschemata,Add-Ins, Befehle und Symbolleisten.

Noch in diesem Kapitel

Einstellung


Einstellung

Handbuch > Editor > Menüleiste > Extras > Einstellung

In diesem Dialog legen Sie Grundeinstellungen für zenon fest und konfigurieren Sie das Aussehen über die Registerkarten:

  • Einstellungen: Allgemeine Einstellungen für die Oberfläche
  • Menü Tools: Erstellung weiterer Inhalte für die Dropdownliste Extras.
  • Farbschema: AUswahl eines Farbschemas für den Editor.
  • Add-Ins: Auswahl der Entwicklungsumgebung für Add-Ins.
  • Befehle: Festlegung, welche Befehle in den Symbolleisten zur Verfügung stehen.
  • Symbolleisten: Festlegung, welche Symbolleisten sichtbar sind, und Rücksetzen von Änderungen für Symbolleisten und Menüs.

Noch in diesem Kapitel

Einstellungen

Menü Tools

Farbschema

Add-Ins

Befehle

Symbolleisten


Einstellungen

Handbuch > Editor > Menüleiste > Extras > Einstellung > Einstellungen

Im Dialog Einstellungen legen Sie die Grundeinstellungen für zenon fest.

Editor und Runtime

Option

Beschreibung

ausgewählte Sprache

Wählen Sie die Sprache für die Oberfläche des Editors. Auswahl der Anzeigesprache aus Dropdownliste.

Für einen Sprachwechsel muss der Editor neu gestartet werden. Die Standardsprache des Editors ist Englisch.

Fehlerbericht nicht an Microsoft senden

Checkbox für die Benachrichtigung von Microsoft im Fehlerfall.

  • Aktiv:
    Verhindert bei Programmabstürzen das Senden eines Fehlerberichts an Microsoft.
  • Inaktiv:
    Bei Programmabstürzen wird ein Fehlerbericht an Microsoft gesendet.

Default: aktiviert

Editor Optionen

Option

Beschreibung

Letzten aktiven Arbeitsbereich laden

Checkbox zur Anpassung, welche Arbeitsbereiche bei Start des zenon Editors geladen werden.

  • Aktiv:
    Beim Starten des Editors werden die letzten aktiven Arbeitsbereiche geladen und im Projektbaum angezeigt.
  • Inaktiv:
    Beim Starten des Editors wird kein Arbeitsbereich geladen. Über das Kontextmenü können bestehende Projekte und Arbeitsbereiche geöffnet oder neue erstellt werden.

Default: aktiv

Filter in Dateiansicht berücksichtigt Groß-/Kleinschreibung

Checkbox für die Berücksichtigung von Groß- und Kleinschreibung bei Eingabe von Filterbegriffen.

  • Aktiv:
    Der Filter in der Listenansicht unterscheidet zwischen großen und kleinen Buchstaben.
  • Inaktiv:
    Der Filter in der Listenansicht behandelt große und kleine Buchstaben gleich.

Default: inaktiv

Logische Sortierung von Texten in Detailansicht
  • Legt die Logik der Sortierung von Dateinamen mit Zahlen fest.
  • Aktiv:
    Dateinamen mit Zahlen werden in der Listenansicht logisch sortiert.
    Die Sortierung folgt der korrekten numerischen Reihenfolge.
    Beispiel: variable1, variable2, variable10, variable 14
  • Inaktiv:
    Dateinamen mit Zahlen werden in der Listenansicht alphabetisch sortiert
    Beispiel: variable1, variable10, variable14, variable2

Default: aktiv

Assistenten verwenden

Checkbox zur Aktivierung von Projektierungshilfen via dialoggeführter Assistenten als Unterstützung bei der Erstellung von komplexen Projektierungsinhalten.

  • Aktiv:
    Für ausgewählte Projektierungen wird eine Schritt-für-Schritt-Projektierung via Dialogen angeboten.
  • Inaktiv:
    Keine Untsterstützung via Assistent bei der Projektierung.

Default: aktiv

Hinweis: Die Aktivierung ist nicht für einzelne Projektierungsassistenten anpassbar. Die Checkbox aktiviert oder deaktiviert die generelle Verfügbarkeit von Assistenten.

Assistenten stehen für folgende Projektierungsinhalte zur Verfügung:

  • Erstellung eines Archivs
  • Projektierung eines neuen zenon Bildes
  • Projektierung des Bildelements Combi-Element
  • Projektierung des Bildelements Universalregler
  • Projektierung eines SAP-Funktionsaufrufs

Farbe der gefilteren Spalten in konfigurierbaren Listen

Konfiguration der Hintergrundfarbe für die Hervorhebung der gefilterten Spalten in konfigurierbaren Listen.

Klick auf Farbfeld öffnet Dialog zur Auswahl der Farbe.

Bildbearbeitung

Option

Beschreibung

Hardwarebeschleunigung verwenden, wenn verfügbar

Entlastung des Hauptprozessors durch Delegation spezieller rechenintensiver Aufgaben an auf diese Aufgaben spezialisierte Hardware.

  • Aktiv:
    Hardwarebeschleunigung wird verwendet.
  • Inaktiv:
    Hardwarebeschleunigung wird nicht verwendet.

Default: aktiv

Rahmen um dynamische Elemente im Editor anzeigen

Art der Anzeige von Bildelementen bei der Projektierung im Hauptfenster.

  • Aktiv:
    dynamische Elemente werden im Editor mit Rahmen dargestellt.
  • Inaktiv:
    dynamische Elemente werden im Editor mit Rahmen dargestellt.

Default: aktiv

Eingabe der Eigenschaften bei Erzeugung

Für Projektierungselemente, welche z.B. mit projektierten Variablen verknüpft werden, kann nach Platzierung im Hauptfenster automatisch der Dialog angezeigt werden.

  • Aktiv:
    Wenn Sie ein Dynamisches Element erstellen, werden automatisch die Dialogboxen für Detaileinstellungen wie z. B. Variablenauswahl geöffnet.
  • Inaktiv:
    Das Dynamische Element wird gezeichnet, die dazugehörigen Eigenschaften müssen separat definiert werden. Ein Zuordnungs- oder Auswahldialog wird nicht angeboten.

Default: aktiv

"Verknüpfungen anpassen" Dialog beim Einfügen von Symbolen anzeigen

Option für einen optionalen Folgedialog bei Platzierung von Symbolen (mit bereits projektierten Verknüpfungen) im Hauptfenster.

  • Aktiv:
    Beim Einfügen eines Symbols mit bestehenden Verknüpfungen in ein Bild wird der Dialog Verknüpfungen ersetzen geöffnet.
  • Inaktiv:
    Der Dialog wird nicht geöffnet. Verknüpfungen können jederzeit über den Befehl Verknüpfungen ersetzen im Kontextmenü ersetzt werden.

Default: aktiv

Abstand für Positionswechsel

Verhindert ungewolltes Verschieben von Elementen. Bevor ein Element tatsächlich verschoben wird, muss es mindestens um die angegebenen Pixelanzahl bewegt werden.

Größe der Eckpunkte

Ermöglicht die Einstellung der Pixelgröße der Eckpunkte.

Rückgängig-Schritte

Erlaubt es, bis zu 250 Aktionen rückgängig zu machen.

  • Minimum: 1
  • Maximum: 250

Default: 100

Default Zoomeinstellung

Beim ersten Öffnen eines Bildes/Symbols wird der unter Default Zoomeinstellung projektierte Zoomfaktor für die Anzeige im Hauptfenster des Editors verwendet. Wenn dieser Zoomfaktor bei einem Bild/Symbol geändert wird, bleibt der jeweilige Zoomfaktor auch nach dem Schließen des Editors gespeichert. Das Bild/Symbol wird beim nächsten Öffnen wieder mit dem gleichen Zoomfaktor dargestellt.

Default: 100 %

Raster

Optionen für die Darstellung der Projektierungsumgebung im Hauptfenster des zenon Editors.

Option

Beschreibung

Raster anzeigen

Anzeige eines Rasters im Hauptfenster des zenon Editors.

  • Aktiv:
    Zeigt im Hauptfenster den unter Rastertyp definierten Raster an.
  • Inaktiv:
    Raster wird nicht angezeigt.

Raster verwenden

Verwendung des Rasters bei Projektierungsschritten.

  • Aktiv:
    Bildelemente werden immer am Raster ausgerichtet. Diese Funktion ist unabhängig von der Option Raster anzeigen.
  • Inaktiv: Bildelemente werden bei der Projektierung nicht am Raster ausgerichtet.

Farbe

Definiert die Farbe des Rasters. Klick auf Farbfeld öffnet das Pulldown-Menü zur Auswahl der Farbe.

Zur Auswahl wird die Windows Farbpalette benutzt.

Darstellung

Dropdownliste mit der Art der Rasterdarstellung:

  • durchgezogen
  • Schnittpunkte

Abstand vertikal

Definiert den vertikalen Abstand zwischen einzelnen Linien des Rasters. Damit definiert er auch, wie fein abgestuft Elementgrößen dargestellt werden können.

Empfohlener Rasterabstand: 10 Pixel

Abstand horizontal

Definiert den horizontalen Abstand zwischen einzelnen Linien des Rasters. Damit definiert er auch, wie fein abgestuft Elementgrößen dargestellt werden können.

Empfohlener Rasterabstand: 10 Pixel

Fangpunkte

Elemente verfügen über Fangpunkte. Wenn man sich beim Verschieben eines Objektes dem Anfassungspunkt eines anderen Objektes nähert, so rastet der Anfassungspunkt des ausgewählten Objektes an diesem ein und richtet sich an diesem aus.

Option

Beschreibung

Fangpunkte verwenden

Checkbox für die Aktivierung von Fangpunkten.

  • Aktiv:
    Projektierungsinhalte rasten an Anfasspunkten ein und richten sich entsprechend aus.
  • Inaktiv:
    Kein Einrasten und Ausrichten an Anfasspunkten.

Default: aktiv

Größe im Bild-/Symboleditor

Definiert die Größe des Fangbereichs in Pixel (quadratische Eckpunkte).

Default: 15 px

Größe im Schabloneneditor

Definiert die Größe des Fangbereichs in Pixel (quadratische Eckpunkte) für das Ausrichten von Schablonen an anderen Schablonen oder den Bildschirmrändern.

Default: 40 px

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Menü Tools

Handbuch > Editor > Menüleiste > Extras > Einstellung > Menü Tools

Im Dialog Menü Tools binden Sie externe Programme in die Menüstruktur des Editors ein. Individuell eingebundene Programme werden am Ende des Menüpunktes Extras angezeigt.

Menüinhalte

Option | Aktion
Menüinhalte | Listet alle bereits integrierten externen Programme auf.
Neu | Fügt einen neuen Menüeintrag hinzu.
Löschen | Löscht einen bestehenden Eintrag aus dem Menü.
Hinauf | Verschiebt den ausgewählten Menüeintrag in der Liste und im Menü nach oben.
Hinunter | Verschiebt den ausgewählten Menüeintrag in der Liste und im Menü nach unten.
Menü-Text | Name, mit dem das neue Menü in den Optionen angezeigt wird.
Datei | Name und Pfad des externen Programms, das aufgerufen werden soll (*.exe Datei).
Parameter | zusätzliche Schalter für den Programmaufruf, z. B. Dateinamen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Beispiel

  • Menü-Text: Texteditor
  • Datei: C:\Windows\notepad.exe
  • Parameter: C:\test.txt

Ruft Notepad auf und öffnet die Datei test.exe. Ist diese Datei nicht vorhanden, wird angeboten, sie zu erstellen.


Farbschema

Handbuch > Editor > Menüleiste > Extras > Einstellung > Farbschema

In dieser Registerkarte definieren Sie das Farbschema für den Editor.

Farbschema für Editor

Parameter | Beschreibung
Farbschema für Editor | Klick auf Dropdownliste öffnet Liste mit Auswahlmöglichkeit.
Vorschau | Ändert Farbschema des Editors. Dialogfenster bleibt geöffnet.
OK | Übernimmt Änderungen und schließt Dialog.
Abbrechen. | Verwirft Änderungen und schließt Dialog.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Add-Ins

Handbuch > Editor > Menüleiste > Extras > Einstellung > Add-Ins

In dieser Registerkarte konfigurieren Sie Optionen für die Add-Ins.

Option

Beschreibung

Entwicklungsumgebung

Auswahl der Entwicklungsumgebung für Add-Ins, die beim Klick auf Add-In Editor öffnen gestartet werden soll.

Auswahl aus Dropdownliste.
Die Liste enthält alle am Rechner für Add-In verfügbaren Entwicklungsumgebungen.

  • Default: Visual Studio
    Ist dieses nicht installiert: Sharp Develop

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Befehle

Handbuch > Editor > Menüleiste > Extras > Einstellung > Befehle

Im Dialog Befehle definieren Sie, welche Befehle in den Symbolleisten zur Verfügung stehen.

Kategorien

Option | Aktion
Kategorien | Auswahl der Kategorie, die den gewünschten Befehl enthält.

Befehle

Option | Aktion
Befehle | Liste der zur Verfügung stehenden Befehle.
Beschreibung | Text für Tooltip. Wird die Maus über eine Schaltfläche geführt, wird die Beschreibung als Tooltip angezeigt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Symbole hinzufügen

  1. Öffnen Sie das Menü Extras -> Einstellungen -> Registerkarte: Befehle.
  2. Wählen Sie im linken Fenster eine Kategorie.
  3. Klicken Sie im rechten Fenster mit der linken Maustaste auf das gewünschte Symbol.
  4. Ziehen Sie das Symbol mit gedrückter linker Maustaste auf die gewünschte Position in der Symbolleiste.

Symbole löschen

  1. Öffnen Sie im Menü Extras -> Einstellungen -> Registerkarte: Symbolleiste.

    Alle Symbole in allen Symbolleisten im Editor werden aktiviert.

  2. Klicken Sie mit der linken Maustaste auf das Symbol.
  3. Ziehen Sie das Symbol aus der Symbolleiste und lassen Sie die Maustaste los.

info Info

Um Änderungen an einer Symbolleiste rückgängig zu machen und den Auslieferungszustand herzustellen, wechseln Sie zur Registerkarte Symbolleiste. Wählen Sie die betreffende Symbolleiste und klicken Sie auf die Schaltfläche Zurücksetzen oder auf Alle zurücksetzen, um alle Symbolleisten in den Auslieferungszustand zu versetzen.


Symbolleisten

Handbuch > Editor > Menüleiste > Extras > Einstellung > Symbolleisten

Im Dialog Symbolleisten definieren Sie die Sichtbarkeit von Symbolleisten und setzen Änderungen für Symbolleisten und Menüs zurück.

Symbolleisten

Option | Aktion
Symbolleisten | Checkbox aktiv: Symbolleiste wird im Editor angezeigt.
Zurücksetzen | Stellt Ausgangszustand für markierte Symbolleiste wieder her.
Alle zurücksetzen | Stellt Ausgangszustand für alle Symbolleisten wieder her.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Editorprofile

Handbuch > Editor > Editorprofile

Der Editor startet in einer Standard-Einstellung mit vordefinierten Fenstern. Sie können Fenster beliebig anordnen und aktivieren. Details dazu lesen Sie im Kapitel Ansicht anpassen.

Hinweise:

  • Optimale Funktionalität ist nur im Vollbildmodus gewährleistet.
  • Editorprofile funktionieren versionsspezifisch. Der Export und Import über unterschiedliche Versionen hinweg wird nicht unterstützt.

Persönliche Einstellungen

Ihre persönlichen Einstellungen verwalten Sie in Profilen. Diese erreichen Sie über

  • die Symbolleiste Editorprofile

    (siehe: Editorprofile mit Symbolleiste verwalten)

  • den Unterpunkt Editorprofile verwalten in den Extras der Menüleiste

    (siehe Editorprofile über das Menü verwalten)

  • per Tastenkombinationen

    (siehe Editorprofile mit Tastenkombinationen verwalten)

Sie können einzelnen Modulen Editorprofile auch per Kontextmenü zuweisen (siehe Editorprofile im Kontextmenü auswählen) oder vordefinierte Profile nutzen.

info Info

Bei geteilten Fenstern - wie dem Projektmanager mit Hauptansicht und Detailansicht - gilt die Definition der Breite immer für das gesamte Fenster. Das korrekte Verhältnis der Fensterelemente wird beim Start und beim Beenden des Editors festgelegt.

Wird das Verhältnis der Fensterelemente zueinander verändert, führt ein Aufrufen eines Profils nur zur Einstellung des kompletten Fensters auf die definierten Werte. Das Verhältnis von zum Beispiel Hauptansicht und Detailansicht zueinander wird nicht verändert.

Noch in diesem Kapitel

Vordefinierte Profile

Editorprofile mit Symbolleiste verwalten

Editorprofile über das Menü verwalten

Editorprofile mit Tastenkombinationen verwalten

Editorprofile im Kontextmenü auswählen

Editorprofile löschen

Individuelle Benennung von Editorprofilen


Vordefinierte Profile

Handbuch > Editor > Editorprofile > Vordefinierte Profile

In zenon stehen Ihnen drei vordefinierte Profile zur Verfügung. Sie optimieren das Layout des Editors für:

  • Listenansicht (Variablen, Funktionen, Rezepte usw.):
    Profil 1 auf Speicherplatz P1.
  • Bilder:
    Profil 2 auf Speicherplatz P2.
  • Standard für allgemeine Aufgaben:
    Profil 3 auf Speicherplatz P3.

Vordefinierte Profile müssen explizit aktiviert werden. Sie überschreiben die Speicherplätze P1, P2 und P3. Werden sie aktiviert, dann wird bei der Auswahl eines Knotens im Projektbaum das jeweils zugeordnete Profil angewendet. Wird die automatische Zuweisung der Profile deaktiviert, erfolgt beim Wechsel des Knotens keine automatische Zuweisung mehr. Die Speicherplätze P1, P2 und P3 enthalten weiterhin die entsprechenden Profile. Diese können manuell weiter zugewiesen oder durch selbstdefinierte Profile überschrieben werden.

Vordefiniertes Profil auswählen

Sie können diese Profile aktivieren oder deaktivieren. Dazu nutzen Sie entweder die Symbole in der Symbolleiste für Editorprofile oder:

  1. Öffnen Sie das Menü Extras.
  2. Klicken Sie auf Editorprofile verwalten:
    • Vordefinierte Profile laden: Lädt die vordefinierten Profile auf die ersten drei Speicherplätze und verknüpft sie mit den Modulen. Bereits bestehende Profile werden überschrieben.
    • Profilzuweisungen entfernen: Entfernt alle Verknüpfungen vordefinierter Profile zu den Modulen.

Um die Profile zu nutzen, wählen Sie beim gewünschten Modul im Kontextmenü Editorprofil -> [Profilnummer].

attention Achtung

Beim Aktivieren vordefinierter Profile werden die entsprechenden Einstellungen den Speicherplätzen P1, P2 und P3 zugewiesen und diese wieder in P1, P2 und P3 umbenannt. Auch individuelle Einstellungen und Benennungen für alle weiteren Speicherplätze (P4 bis P10) gehen verloren. Das Standardprofil bleibt bestehen.

Fehlermeldung beim Aufschalten vordefinierter Profile

Erhalten Sie bei der Auswahl eines vordefinierten Profils eine Fehlermeldung mit dem Hinweis auf den zenAdminSrv, kann dies zwei Ursachen haben:

  1. Der Dienst zenAdminSrv läuft mit einer niedrigeren Versionsnummer als der aktuelle Editor.
    Lösung: Aktualisieren Sie den Dienst.
  2. Die Profile wurden aus dem Standardordner entfernt:
    Lösung: Kopieren Sie die Datei Predefined Editor Profiles.epf in den Ordner C:\ProgramData\COPA-DATA\zenonxxx\EdProfiles (xxx entspricht der aktuellen zenon Versionsnummer).

Profile

Profil 1: Listenansichten

Optimierte Darstellung für die Bearbeitung von Variablen und Listenansichten.

Profil 2: Bilder

Optimierte Darstellung für das Bearbeiten von Bildern.

Profil 3: Standard

Standard-Ansicht, optimiert für Module, die nicht auf Listen basieren.


Editorprofile mit Symbolleiste verwalten

Handbuch > Editor > Editorprofile > Editorprofile mit Symbolleiste verwalten

Die Symbolleiste für Editorprofile wird im Editor standardmäßig in der Mitte der zweiten Symbolreihe angezeigt. Falls sie deaktiviert wurde, klicken Sie mit der rechten Maustaste neben die Symbolleisten und wählen Sie Editorprofile. Sie erhalten folgende Symbolleiste:

Symbol

Beschreibung

Standardprofil laden

Setzt alle Einstellungen für Anzeige und Position von Fenstern sowie Inhalte und Anzeige von Symbolleisten auf den Auslieferungszustand zurück und lädt das zenon Standardprofil.

Editorprofil auswählen

Auswahl eines Editorprofils aus Dropdownliste mit 10 Profilen.

Ausgewähltes Editorprofil laden

Lädt das im Bereich Editorprofil auswählen ausgewählte Profil.

Ausgewähltes Editorprofil speichern

Speichert die aktuellen Fenster-Einstellungen in dem Profil, das im Bereich Editorprofil auswählen angezeigt wird.

Vordefinierte Profile laden

Lädt die von COPA-DATA vordefinierten Profile auf die ersten drei Speicherplätze und verknüpft sie mit den Modulen. Bereits bestehende Profile werden überschrieben.

Profilzuweisungen entfernen

Entfernt alle Verknüpfungen vordefinierter Profile zu den Modulen.

Automatisches Speichern der Editorprofile

Aktiv: Änderungen am aktuellen Profil werden beim Aufruf eines anderen Profils automatisch gespeichert.

Inaktiv: Änderungen werden beim Profilwechsel nicht gepeichert, beim nächsten Aufruf dieses Profils werden wieder die ursprünglichen Positionen hergestellt.

Individuelle Namen für Editorprofile vergeben

Öffnet einen Dialog, in dem individuelle Namen für Editorprofile vergeben werden können.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

Hinweis: Weitere Optionen zum Import und Export können über die benutzerdefinierte Anpassung der Befehle für die Symbolleiste hinzugefügt werden. Um Editorprofile zu exportieren oder zu importieren, wählen Sie die entsprechende Option im Hauptmenü unter Optionen -> Editor Editorprofile verwalten.


Editorprofile über das Menü verwalten

Handbuch > Editor > Editorprofile > Editorprofile über das Menü verwalten

Im Menü wählen Sie zur Verwaltung Ihrer Editorprofile Optionen -> Editor Editorprofile verwalten.

Sie haben folgende Möglichkeiten:

Option | Funktion
Benennen | Öffnet einen Dialog, in der individuelle Namen für Profile vergeben werden können.
Standardprofil laden | Setzt alle Fenster-Einstellungen auf Auslieferungsstandard zurück und lädt das zenon Standardprofil.
Vordefinierte Profile laden | Lädt die von COPA-DATA vordefinierten Profile auf die ersten drei Speicherplätze und verknüpft sie mit den Modulen. Bereits bestehende Profile werden überschrieben.
Profilzuweisungen entfernen | Entfernt alle Verknüpfungen vordefinierter Profile zu den Modulen.
Exportieren | Öffnet den Dateimanager und speichert die Einstellungen als .zip Datei an einem beliebig wählbaren Speicherort ab.
Importieren | Öffnet den Dateimanager, um gespeicherte Einstellungen als .zip Datei von einem beliebig wählbaren Speicherort zu importieren.

Um individuelle Editorprofile auszuwählen oder zu speichern, benutzen Sie die entsprechenden Funktionen der Symbolleiste oder Tastenkombinationen.


Editorprofile mit Tastenkombinationen verwalten

Handbuch > Editor > Editorprofile > Editorprofile mit Tastenkombinationen verwalten

Folgende Aktionen sind möglich:

Befehl | Tastenkombination
Editorprofil 1 laden | Umschalt-Taste+F1
Editorprofil 2 laden | Umschalt-Taste+F2
Editorprofil 3 laden | Umschalt-Taste+F3
Editorprofil 4 laden | Umschalt-Taste+F4
Editorprofil 5 laden | Umschalt-Taste+F5
Editorprofil 6 laden | Umschalt-Taste+F6
Editorprofil 7 laden | Umschalt-Taste+F7
Editorprofil 8 laden | Umschalt-Taste+F8
aktuelle Editoransicht speichern als: |
Editorprofil 1 | Strg+Umschalt-Taste+F1
Editorprofil 2 | Strg+Umschalt-Taste+F2
Editorprofil 3 | Strg+Umschalt-Taste+F3
Editorprofil 4 | Strg+Umschalt-Taste+F4
Editorprofil 5 | Strg+Umschalt-Taste+F5
Editorprofil 6 | Strg+Umschalt-Taste+F6
Editorprofil 7 | Strg+Umschalt-Taste+F7
Editorprofil 8 | Strg+Umschalt-Taste+F8


Editorprofile im Kontextmenü auswählen

Handbuch > Editor > Editorprofile > Editorprofile im Kontextmenü auswählen

Im Projektmanager können für jedes Projekt und jeden Unterbereich eines Projektes Editorprofile im Kontextmenü ausgewählt und dauerhaft zugewiesen werden: Klick mit rechter Maustaste auf den Zweig -> Editorprofile -> auswählen.

Eine Zuweisung lässt sich aufheben, indem man im Kontextmenü Keines wählt.


Editorprofile löschen

Handbuch > Editor > Editorprofile > Editorprofile löschen

Um Ihre Profildaten zurückzusetzen:

  1. löschen Sie den kompletten Ordner Editor, im Pfad C:\Users\USERNAME\AppData\Local\COPA-DATA\zenon\Editor

    Hinweis: USERNAME muss durch den Benutzernamen des angemeldeten Windows Benutzers ersetzt werden.

  2. löschen Sie in der Windows-Registrierung den Eintrag für Profile unter: HKEY_CURRENT_USER\Software\COPA-DATA\Editor\Profiles


Individuelle Benennung von Editorprofilen

Handbuch > Editor > Editorprofile > Individuelle Benennung von Editorprofilen

Editorprofile können individuell gestaltet und benannt werden. Die Namensvergabe erfolgt direkt in der Symbolleiste, per Tastenkombination oder über einen Dialog.

Um individuelle Profile zu konfigurieren:

  1. Richten Sie den Editor wie gewünscht ein.
  2. Öffnen Sie den Dialog zur Vergabe eines individuellen Namens:
    • Symbolleiste, Symbol Individuelle Namen für Editorprofile vergeben oder
    • Menü -> Optionen -> Editor Editorprofile verwalten -> Benennen

  3. Geben Sie in das Feld nach der gewünschten Editorprofil-Kurzbezeichnung den gewünschten Namen ein.

attention Achtung

Beim Aktivieren vordefinierter Profile werden die entsprechenden Einstellungen den Speicherplätzen P1, P2 und P3 zugewiesen und diese wieder in P1, P2 und P3 umbenannt. Auch individuelle Einstellungen und Benennungen für alle weiteren Speicherplätze (P4 bis P10) gehen verloren. Das Standardprofil bleibt bestehen.

Mit den Tastenkombinationen Umschalt+F1 bis Umschalt+F8 können Sie die ersten 8 Editorprofile im Editor jederzeit aufrufen. Oder Sie wählen das gewünschte Editorprofil über das entsprechende Symbol in der Symbolleiste aus.


Projektmanager

Handbuch > Editor > Projektmanager

Der Projektmanager befindet sich standardmäßig am linken Bildschirmrand direkt unter den Symbolleisten. Er kann in zwei Ansichten angezeigt werden:

  • Projektbaum
  • Netzwerktopologie

Projektbaum

Der Projektbaum beinhaltet :

  • auf der linken Seite den Arbeitsbereich mit den Projekten und der Allgemeinen Symbolbibliothek:
    • Im Arbeitsbereich befinden sich alle geladenen Projekte mit ihren Variablen, Funktionen, Bildern usw.
    • Die Allgemeine Symbolbibliothek enthält vordefinierte Grafiken und bietet die Möglichkeit, neue Grafiken zu kreieren.
  • auf der rechten Seite eine Detailansicht:

    Diese listet alle Elemente und Einstellungen für den in der Baumansicht gewählten Abschnitt auf.

Netzwerktopologie

Die Ansicht Netzwerktopologie stellt alle Projekte im Arbeitsbereich topologisch dar und ermöglicht die Überprüfung aller beteiligten Netzwerkkomponenten, sowie einen Remote-Transport der Runtime-Dateien auf die eingebundenen Rechner.

Details dazu lesen Sie im Abschnitt Netzwerk im Kapitel Netzwerktopologie auf Gültigkeit prüfen.

Noch in diesem Kapitel

Arbeitsbereich

Detailansicht des Projektmanagers

Dateien

Allgemeine Symbolbibliothek

Auswahldialoge


Arbeitsbereich

Handbuch > Editor > Projektmanager > Arbeitsbereich

Im Arbeitsbereich werden folgende Komponenten eines Projekts verwalten:

  • Variablen
    • Treiber
    • Datentypen
    • Reaktionsmatrix
    • Zuweisungen
    • Alarm
    • Maßeinheiten
  • Bilder
    • Schablonen
    • Schriften
    • Farbpaletten
    • Symbolbibliothek
  • Funktionen
    • Skripte
  • Sprachdatei
  • Archivserver
  • Rezepte
    • Standard-Rezepte
    • Rezeptgruppen-Manager
  • Batch Control
  • Zeitsteuerung
  • Programmierschnittstellen
    • Process Control Engine
    • Makroliste
    • VSTA
  • zenon Logic IEC 61131-3 Programmierumgebung
  • Production & Facility Scheduler
  • Verriegelungen
  • Befehlsgabe
  • Last-Management
  • Message Control
  • Menüs
  • Report-Generator
  • Benutzerverwaltung
    • Benutzer
    • Benutzergruppen
  • SAP Interface
  • Dateien: fügt externe Dateien ein. Diese werden nicht mit zenon bearbeitet, sondern mit einem externen Programm.
    • Grafiken
    • Hilfe
    • Multimedia
    • Texte und Formate
    • Treiber
    • Report Viewer
    • Sonstige
  • Änderungshistorie
  • Anlagenmodellierung
  • Projektsicherungen

Die Verfügbarkeit einzelner Komponenten kann von der gewählten Lizenz abhängen. Welche Module Sie lizenziert haben, überprüfen Sie mit einem Klick auf Hilfe -> Info über ...

Für Lizenzerweiterungen wenden Sie sich an Ihren Vertriebspartner oder an sales@copadata.com.

info Info

Einzelne Elemente des Projektmanagers, wie Variablen oder Funktionen, lassen sich in einem eigenen Fenster darstellen. Klicken Sie dafür im Kontextmenü auf In neuem Fenster öffnen. Auf diese Weisen können Sie zum Beispiel Variablen und Funktionen gleichzeitig bearbeiten.

Noch in diesem Kapitel

Detailansicht Arbeitsbereich


Detailansicht Arbeitsbereich

Handbuch > Editor > Projektmanager > Arbeitsbereich > Detailansicht Arbeitsbereich

In der Detailansicht des Arbeitsbereichs werden Projekte verwaltet. Es werden nur jene Projekte angezeigt, die aktuell geladen sind, also das aktive Projekte und alle Projekte mit aktivierter Option Projekt im Speicher halten.

Symbolleiste

Symbol

Beschreibung

Projekt neu

Öffnet den Dialog zum Erstellen eines neuen Projekts.

Bestehendes Projekt einfügen

Öffnet den Dialog zum Einfügen eines existierenden Projekts.

Projekt 5.50 einfügen

Öffnet den Dateibrowser zur Auswahl eines Projekts der Version 5.50.

Projektsicherung rücklesen

Öffnet den Dialog zum Rücklesen eines Projektsicherung.

Selektiertes Projekt löschen

Löscht das ausgewählte Projekt nach einer Sicherheitsabfrage. Sind mehrere Projekte ausgewählt, wird das zuletzt markierte gelöscht.

Arbeitsbereich

Aktionen für den Arbeitsbereich:

  • Neu: Öffnet Dialog zum Erstellen eines neuen Arbeitsbereichs.
  • Öffnen: Öffnet Dialog zum Öffnen eines existierenden Arbeitsbereichs.
  • Speichern: Speichert den Arbeitsbereich.
  • Speichern unter: Speichert den Arbeitsbereich unter einem anderen Namen.
  • Schließen: Schließt den aktiven Arbeitsbereich.
  • Sicherung erstellen: Öffnet den Dialog zum Erstellen einer Sicherung.
  • Sicherung rücklesen: Öffnet den Dialog zum Rücklesen einer Sicherung.

VSTA-Editor mit WorkspaceAddin öffnen

Öffnet den VSTA-Editor mit dem zenon WorkspaceAddin.

VBA-Editor öffnen

Öffnet den VBA-Editor.

Wizards

Öffnet den Dialog mit den Wizards.

Wizards aktualisieren

Öffnet den Dialog zur Aktualisierung der Wizards.

Alle Filter entfernen

Entfernt alle gesetzten Filter.

Eigenschaften

Öffnet das Eigenschaften-Fenster.

Hilfe

Öffnet die Online-Hilfe.

Diese Aktionen stehen auch als Befehle im Kontextmenü des Knotens Arbeitsbereich zur Verfügung.


Detailansicht des Projektmanagers

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers

Wird in der Baumansicht des Projektmanagers ein Element ausgewählt, dann zeigt die Detailansicht alle dazu gehörigen Objekte und deren Eigenschaften an.

Bei tabellarischer Darstellung können Sie:

Aktion

Vorgehensweise

Spalten frei wählen:

Rechtsklick auf einen Spaltentitel -> Kontextmenü -> Spaltenauswahl

Spaltenbreite verändern:

  • im Spaltentitel die Maus auf der Trennlinie bewegen bis der Mauszeiger die Form eine Kreuzes annimmt
  • linke Maustaste gedrückt halten
  • Spalte auf gewünschte Breite ziehen

Spalten sortieren:

Mausklick auf den Spaltentitel sortiert die Liste entgegengesetzt zur aktuellen Sortierung (aufsteigend/absteigend).

Spalte formatieren

Rechtsklick auf einen Spaltentitel -> Kontextmenü -> Spalten formatieren

Eigenschaften gruppieren

Rechtsklick auf einen Spaltentitel -> Kontextmenü -> nach dieser Spalte gruppieren bzw:

Rechtsklick auf einen Spaltentitel -> Kontextmenü -> Gruppierung aufheben

Darstellung an Fensterbreite anpassen

Rechtsklick auf einen Spaltentitel -> Kontextmenü -> Größe an Fensterbreite anpassen

Spalten entfernen

Rechtsklick auf einen Spaltentitel -> Kontextmenü -> Diese Spalte entfernen

Kontextmenü

Befehl | Aktion
Aufsteigend | sortiert Spalte aufsteigend
Absteigend | sortiert Spalte absteigend
Nach dieser Spalte gruppieren | gruppiert Elemente entsprechend dieser Spalte
Gruppierung aufheben | hebt vorhandene Gruppierung auf
Spaltenauswahl... | öffnet Dialog zur Auswahl der Spalten, die angezeigt werden sollen
Spalte formatieren... | öffnet Dialog zur Formatierung der Spalte
Größe an Fensterbreite anpassen | verteilt alle Spalten auf die gesamte Fenstergröße
Diese Spalte entfernen | entfernt Spalte aus der Ansicht

Spalten

Die in der Detailansicht verfügbaren Spalten können individuell konfiguriert werden.

Folgende Spalten werden nur bei Mehrplatzfähigen Projekten mit Informationen befüllt:

  • Benutzer
  • Element
  • Modul
  • Status
  • Zeit
  • Zeit geändert
  • Ziel

Statuszeile

Bei Listen zeigt die Statuszeile der Detailansicht Informationen zu vorhandenen, gefilterten und ausgewählten Elementen an.

Example Beispiel

Anzeige Statuszeile Detailansicht:
39 gesamt / 30 gefiltert / 2 ausgewählt
bedeutet:

  • 39 Elemente sind vorhanden
  • 30 werden aufgrund der Filtereinstellungen angezeigt
  • 2 wurden ausgewählt

Bei Variablen wird zusätzlich die Zahl der verbrauchten und lizenzierten TAGs angezeigt,

z. B.: 32 TAGs verwendet / unbegrenzt TAGs verfügbar.

info Info

Detaillierte Informationen zur Bearbeitung und Verwaltung der Elemente finden Sie im Kapitel Einträge bearbeiten und in der Beschreibung der jeweiligen Elemente.

Noch in diesem Kapitel

Einträge bearbeiten

Symbolleiste Detailansicht

Navigation in der Listenansicht

Listeneinträge filtern

Text in selektierter Spalte ersetzen

Text in Grenzwerten ersetzen

Spalten anzeigen und ausblenden

Spalten-Eigenschaften


Einträge bearbeiten

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Einträge bearbeiten

Um Einträge zu bearbeiten, stehen Ihnen verschiedene Möglichkeiten zur Verfügung:

Weg

Vorgangsweise

Symbolleiste Detailansicht

  • Markieren Sie die gewünschte Zelle mit der linken Maus-Taste.
  • Wählen Sie in der Symbolleiste die Schaltfläche Ausgewählte Zelle bearbeiten.

Kontextmenü
  • Klicken Sie mit der rechten Maus-Taste in die gewünschte Zelle.
  • Wählen Sie im Kontextmenü den Eintrag Ausgewählte Zelle bearbeiten.

Verzögerter Doppelklick

  • Markieren Sie die gewünschte Zelle mit einem verzögerten Doppelklick (zweimal langsam anklicken).

Eigenschaften-Fenster

  • Markieren Sie das gewünschte Element.
  • Editieren Sie im Fenster Eigenschaften den gewünschten Eintrag.

F2-TASTE

  • Markieren Sie die gewünschte Zelle mit der linken Mause-Taste.
  • Drücken Sie die F2-Taste.

info Info

Beim Klick in eine Zelle wird die gesamte Zeile markiert. Welche Zelle Sie ausgewählt haben, erkennen Sie am Fernglas-Symbol im Spaltentitel.

attention Achtung

Ausnahmen

  • In der Detailansicht können nur Eigenschaften geändert werden, die auch im Eigenschaften-Fenster änderbar sind. So ist z. B. der Name einer Systemtreibervariablen nicht editierbar.
  • Die Änderungshistorie ist aufgrund der FDA-Richtlinien generell nicht änderbar.
  • Bei Projektsicherungen ist nur der Sicherungsname editierbar.


Symbolleiste Detailansicht

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Symbolleiste Detailansicht

Am oberen Rand der Detailansicht können Sie in einer Symbolleiste alle Funktionen benutzen, die Sie auch im Kontextmenü finden. Je nachdem, was Sie im Projektbaum ausgwählt haben (z. B. Bilder, Variablen, Symbole, etc.), sehen Sie unterschiedliche Schaltflächen in der Symbolleiste.

Schaltflächen, die Sie momentan nicht benutzen können, sind deaktiviert.

Symbolleiste

Symbol | Aktion
Variable neu | Öffnet den Dialog zur Erstellung einer neuen Variablen.
Standard-Funktion erzeugen | Öffnet den Assistenten zur Auswahl der Variablen und Sollwerte und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.
Variablenverwendung | Erstellt Projektanalyse der ausgewählten Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
Nicht verwendete Variablen anzeigen | Erstellt Projektanalyse für nicht verwendete Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Erweitern/reduzieren | Dropdownliste, um alle oder ausgewählte Knoten zu erweitern oder zu reduzieren.
Alle aktivieren | Aktiviert alle inaktiven Elemente einer Strukturvariablen.
Aktivieren | Aktiviert ausgewählte Elemente einer Strukturvariablen.
Deaktivieren | Deaktiviert ausgewählte Elemente einer Strukturvariablen.
Auswahl als XML exportieren... | Exportiert ausgewählte Elemente in eine XML-Dateien.
XML importieren | Importiert Variablen aus einer XML-Datei.
Import/Export | Öffnet das Menü für den Import und Export von -Step 7 Projekten, dBase und CSV. Hinweis: Weitere Informationen finden Sie im Handbuch Import - Export, im Kapitel Step 7-Projekt Import.
Erweiterter Filter | Erweiterten Filter aktivieren/deaktivieren. Aktivieren öffnet den Dialog zur Auswahl der Filterkriterien.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Text in Grenzwert ersetzen | Öffnet den Dialog zur Auswahl der Dynamischen Eigenschaft. Nach Auswahl einer Eigenschaft wird nach Klick auf OK der Dialog zum Suchen und Ersetzen geöffnet.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü

Menüpunkt

Aktion

Variable neu

Öffnet den Dialog zur Erstellung einer neuen Variablen.

Standard-Funktion erzeugen

Öffnet den Assistenten zur Auswahl der Variablen und Sollwerte und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.

Verknüpfte Elemente

Öffnet Submenü mit verknüpften Elementen.

Variablenverwendung

Erstellt Projektanalyse der ausgewählten Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.

Nicht verwendete Variablen anzeigen

Erstellt Projektanalyse für nicht verwendete Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.

Kopieren

Kopiert ausgewählte Einträge in die Zwischenablage.

Einfügen

Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.

Löschen

Löscht ausgewählte Einträge nach Rückfrage aus Liste.

Knoten erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Alle aktivieren

Aktiviert alle inaktiven Elemente einer Strukturvariablen.

Aktivieren

Aktiviert ausgewählte Elemente einer Strukturvariablen.

Deaktivieren

Deaktiviert ausgewählte Elemente einer Strukturvariablen.

Auswahl als XML exportieren...

Exportiert alle ausgewählten Einträge in eine XML-Datei.

XML importieren

Importiert Einträge aus einer XML-Datei.

Erweiterter Import/Export

Öffnet das Menü für den Import und Export von -Step 7 Projekten, dBase und CSV.

Hinweis: Weitere Informationen finden Sie im Handbuch Import - Export, im Kapitel Step 7-Projekt Import.

Erweiterter Filter

Erweiterten Filter aktivieren/deaktivieren.

Aktivieren öffnet den Dialog zur Auswahl der Filterkriterien.

Alle Filter entfernen

Entfernt alle Filtereinstellungen.

Ausgewählte Zelle bearbeiten

Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.

Text in ausgewählter Spalte ersetzen

Öffnet den Dialog zum Suchen und Ersetzen von Texten.

Text in Grenzwert ersetzen

Öffnet den Dialog zur Auswahl der Dynamischen Eigenschaft. Nach Auswahl einer Eigenschaft wird nach Klick auf OK der Dialog zum Suchen und Ersetzen geöffnet.

Eigenschaften

Öffnet das Fenster Eigenschaften.

Hilfe

Öffnet die Online-Hilfe.


Navigation in der Listenansicht

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Navigation in der Listenansicht

Um in einer Liste zu navigieren:

  1. Klicken Sie in die Spalte, in der gesucht werden soll.
  2. Tippen Sie das erste Zeichen ein, um die Suche zu starten. Existiert kein Eintrag mit diesem Anfangsbuchstaben, wird die Suche gleich wieder beendet.
  3. Der erste gefundene Eintrag wird markiert. Ein Eingabefeld wird eingeblendet. Das erste Zeichen des Zellentextes ist markiert.
    Hinweis: In diesem Feld können Sie nur Suchkriterien eingeben, aber nicht den Namen des Elements editieren.
  4. Geben Sie weitere Zeichen ein, um die Suche einzugrenzen. Wird kein passender Eintrag gefunden, wird das eingegebene Zeichen verworfen und die Markierung bleibt auf der aktuellen Position.
  5. Sind mehrere Einträge zum Suchkriterium vorhanden, navigieren Sie mit den Tasten Strg+Nach-oben oder Strg+Nach-unten.
  6. Mit der RÜCKTASTE wird das letzte Zeichen des Suchkriteriums gelöscht und eine neue Suche mit den verbleibenden Zeichen begonnen. Mit Löschen des letzten Zeichens, wird die Suche beendet.

Sortierung

Für die Sortierung der Listenansicht können auch mehrere Spalten gleichzeitig ausgewählt werden.

  1. Klicken Sie die Spaltenüberschrift der Spalte mit dem ersten Sortierkriterium.
  2. Halten Sie die Umschalttaste gedrückt und klicken Sie in den Titel der Spalte mit dem zweiten Sortierkriterium;
  3. Sie können so beliebig viele Spalten hinzufügen

    Zum Beispiel: Sortierung nach Datenbaustein und Offset zeigt dann zuerst alle Datenbausteine an und alle dazugehörigen Adressen korrekt sortiert.

Tipp: Zweiter Klick auf den Spaltentitel ändert Sortierreihenfolge.


Listeneinträge filtern

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Listeneinträge filtern

Elemente der Detailansicht könne nach verschiedenen Kriterien gefiltert und sortiert werden:

Methode

Vorgangsweise

Alphabetische Sortierung

Mausklick auf den Titel einer Spalte: Die Liste wird nach der entsprechenden Spalte sortiert. Ein nochmaliger Mausklick auf den Spaltenkopf dreht die Sortierreihenfolge um.

Vergabe von Filterkriterien

Direkt unter dem Spaltentitel befindet sich ein Feld für Filterkriterien. Hier werden Kriterien eingegeben.

Es werden dann nur noch Objekte angezeigt, die dem eingegebenen Filterkriterium entsprechen.

Um wieder alle Objekte anzuzeigen, muss das Filterkriterium gelöscht werden.

Ein Klick in den Filterbereich öffnet eine Dropdownliste, die die letzen verwendeten Filter dieser Spalte beinhaltet.

Filtern nach Checkboxen

Listen mit Checkboxen (z. B. Templates) können nach aktiven oder inaktiven Checkboxen sortiert und gefiltert werden.

Die Sortierung funktioniert auf die gleiche Weise wie die alphabetische Sortierung.

Für die Filterung finden Sie in der Zelle unter dem Spaltentitel eine Dropdownliste mit der Auswahl für aktive, inaktive oder alle Checkboxen.

Platzhalter

Für die Filterkriterien stehen Platzhalter zur Verfügung:

  • * ersetzt eine Zeichenfolge.
    Beispiel: *1 filtert auf alle Elemente, die mit dem Zeichen 1 enden, z. B. Variable1.
    Wildcards können nur als Präfix oder Suffix verwendet werden.
  • ? ersetzt ein einzelnes Zeichen
    Beispiel: Variable? filtert alle Elemente, die mit der Zeichenfolge Variable beginnen und ein zusätzliches Zeichen haben, z. B. Variable1, Variable2, Variable3 ...

Logische Verknüpfung

Filterwörter können mit den logischen Ausdrücken AND und OR verknüpft werden. Das funktioniert auch in Verbindung mit Wildcards (*), aber nicht mit Platzhalter für ein einzelnes Zeichen (?).

Zellinhalte als Filterkriterium

Wörter oder Zeichenfolgen aus einer Zelle der Detailansicht können als Filter definiert werden:

  • Markieren Sie den gewünschten Eintrag.
  • Halten Sie die Alt-Taste gedrückt und klicken Sie auf die Zelle.
  • Der Eintrag wird in einem Editierfeld frei gegeben.
  • Markieren Sie eine beliebige Zeichenfolge mit der Maus.
  • Ziehen Sie den markierten Teil mit gedrückter linker Maus-Taste (Drag&Drop) auf die Filterzeile des Spaltenkopfes.
  • Die gewählte Zeichenfolge wird zum neuen Filtertetxt.

Filterwirkung verknüpfte Elemente

Über die Option verknüpfte Elemente lassen sich Elemente anzeigen, die mit dem aktuellen Element verbunden sind. Gelangt man über diese Option zu einem Element in die Detailansicht, z. B. zu einer Variablen, wird dieses Element unabhängig von den aktuellen Filtereinstellungen angezeigt. Ist es im aktuellen Filter nicht enthalten, dann wird es am Ende der Liste dennoch angezeigt und wird automatisch ausgewählt.

Eigenschaften ändern

Nachdem ein Objekt in der Detailansicht ausgewählt oder mittels Kontextmenü angelegt wurde, lassen sich im Eigenschaftenfenster die Parameter definieren und ändern.

Dabei sind mehrfache Auswahlen erlaubt. Wurden mehrere Objekte gleichzeitig markiert, dann können deren Eigenschaften gemeinsam geändert werden.

Einträge und Änderung im Eigenschaftenfenster gelten für alle markierten Objekte. Bisherige Einträge werden überschrieben. Im Eigenschaftenfenster stehen nur noch jene Eigenschaften zur Verfügung, die für alle ausgewählten Einträge gültig sind.

Erweiterte Filter bei Variablen

Für Variablen steht ein Dialog zur Verfeinerung der Filter zur Verfügung. Sie erreichen ihn über:

  • das Symbol Erweiterten Filter aktivieren in der Symbolleiste der Detailansicht oder
  • den Befehl Erweiterter Filter im Kontextmenü

Die Standard-Filter werden damit um die Elemente Datentypen, Auswahlflags und Stringfilter (Variablenname, Kennung, Reaktionsmatrix) erweitert.
  • Filter ausführen: Betätigung der Eingabe-Taste im Filterfeld führt die Filterung durch.
  • Filter löschen: Um Filter zu entfernen, klicken Sie auf die Schaltfläche Alle Filter entfernen in der Symbolleiste oder wählen Sie im Kontextmenü den Befehl Alle Filter entfernen.


Text in selektierter Spalte ersetzen

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Text in selektierter Spalte ersetzen

zenon unterstützt suchen und ersetzen für Strings, z. B. Bildnamen, Variablennamen, Variablenkennung. Sie können Texte in aktiven Spalten und in Grenzwert ersetzen.

attention Achtung

Es werden nur Texte berücksichtigt, die sich in geöffneten Strukturen (Variablen oder Datentypen) befinden. Geschlossene Strukturen existieren für den Editor nicht als Ziel und müssen vor der Suche erweitert werden.

Text in selektierter Spalte ersetzen:

  1. Aktivieren Sie den Dialog über das Symbol Text in selektierter Spalte ersetzen oder den gleichlautenden Befehl im Kontextmenü.
  2. Definieren Sie im Dialog die Parameter für Suche und Ersetzen.
  3. Die Ersetzungen werden in der aktiven Spalte vorgenommen. Welche Spalte aktiv ist, erkennen Sie am Symbol Fernglas neben dem Spaltentitel.

attention Achtung

Wird in der Variablenkennung Sprachumschaltung verwendet (erkennbar am Schlüsselwort @), muss für korrektes Suchen und Ersetzen die Projekteigenschaft Nicht übersetzte Schlüsselwörter anzeigen aktiviert sein. Zum Aktivieren:

  • navigieren Sie in den Projekteigenschaften zum Knoten Grafische Ausprägung
  • aktivieren Sie die Checkbox der Eigenschaft Nicht übersetzte Schlüsselwörter anzeigen


Text in Grenzwerten ersetzen

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Text in Grenzwerten ersetzen

Um Texte in Grenzwerten zu ersetzen:

  • Aktivieren Sie den Dialog über das Symbol Text in Grenzwerten ersetzen oder den gleichlautenden Befehl im Kontextmenü.
  • Wählen Sie im Auswahlfenster die gewünschte Dynamische Eigenschaft aus.

  • Sie gelangen in den Dialog für Text in Grenzwerten ersetzen.

attention Achtung

Es werden nur Texte berücksichtigt, die sich in geöffneten Strukturen (Variablen oder Datentypen) befinden. Geschlossene Strukturen existieren für den Editor nicht als Ziel und müssen vor der Suche erweitert werden.


Spalten anzeigen und ausblenden

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Spalten anzeigen und ausblenden

Die in der Detailansicht verfügbaren Spalten können Sie nach Ihren Wünschen ein- und ausblenden und in beliebiger Reihenfolge anordnen. Die folgenden Einstellungen werden bei manchen Bildern auch über Dialoge der Bildumschaltung erreicht.

Spalten ein- und ausblenden

  1. Klicken Sie mit der rechten Maustaste auf einen Spaltentitel.
  2. Wählen Sie im Kontextmenü Spaltenauswahl.

    Der Dialog zur Konfiguration wird geöffnet.

  3. Wählen Sie die gewünschten Spalten aus oder ab.
    Mehrere Spalten markieren Sie durch Halten von Umschalt- oder Steuerung-Taste

    Verfügbare Spalten listet alle noch verfügbaren Spalten auf. Ausgewählte Spalten zeigt alle aktiven Spalten an.

Konfigurationsdialog

Hinweis: Die verfügbaren Spalten hängen ab vom Modul, dessen Ansicht konfiguriert wird.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Spalten anordnen

Die Reihenfolge der Spalten kann beliebig angeordnet werden. Dazu haben Sie zwei Möglichkeiten:

  1. Im Dialog Spalten-Eigenschaften über die Schaltflächen Nach oben und Nach unten.
  2. In der Detailansicht des Projektmanager per Drag&Drop mit der Maus:
    • Klicken Sie mit der Maus in den gewünschten Spaltentitel.
    • Halten Sie die linke Maustaste gedrückt.
    • Ziehen Sie den Spaltentitel an die gewünschte Stelle. Zwei rote Pfeile markieren den Platz, wo die Spalte eingefügt wird.
    • Platzieren Sie die Spalte durch Loslassen der Maustaste.


Spalten-Eigenschaften

Handbuch > Editor > Projektmanager > Detailansicht des Projektmanagers > Spalten-Eigenschaften

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Dateien

Handbuch > Editor > Projektmanager > Dateien

Externe Dateien können über den Knoten Dateien im Projektmanager in ein Projekt integriert werden. Um externe Dateien zu bearbeiten, muss ein entsprechendes Programm vorhanden sein. Das heißt: Sie können zum Beispiel ein Video einbinden. Um es zu bearbeiten, müssen Sie aber über entsprechende Software verfügen. zenon verwaltet diese Dateien nur.

Diese externen Dateien stehen Ihnen zur Verfügung:

  • Grafiken
  • Hilfe
  • Multimedia
  • Texte und Formate
  • Treiber
  • Report Viewer
  • Sonstige

Unterordner

An den Knotenpunkten Hilfe, Listen, Multimedia und Sonstige können Unterordner angelegt werden. Benutzen Sie dafür den Befehl Neuer Ordner im Kontextmenü. Mit Hilfe von Unterordnern lassen sich Sprachumschaltungen zur Runtime auch auf Dokumente anwenden.

attention Achtung

Unterordner eignen sich nur für die Organisation der Sprachumschaltung. Alle anderen Elemente wie Grafiken, Multimedia-Dateien usw. müssen immer in der obersten Hierarchie des Ordners abgelegt werden, da sie von zenon nicht aus Unterordnern aufgerufen werden können.

Kontextmenü

Menüpunkt | Aktion
Grafikdatei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Sprachtabelle importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Hilfedatei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Multimediadatei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Listendatei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Treiberdatei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Reportvorlage importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Sonstige Datei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Help | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Grafiken

Hilfe

Multimedia

Texte und Formate

Treiber

Report Viewer

Sonstige


Grafiken

Handbuch > Editor > Projektmanager > Dateien > Grafiken

Grafikdateien für Hintergrundgrafiken in Bildern, Report Generator oder für Dynamische Elemente (Button, Schalter, Combi-Element).

Folgende Formate sind zulässig:

Pixelgrafiken

  • *.bmp
  • *.gif
  • *.jpg
  • *.png
  • *.tif
    Hinweis: Nicht für Combi-Element und Report Generator verfügbar.

Vektorgrafiken

  • *.wmf
  • *.xaml
    Hinweis: Nur für WPF-Element verfügbar! Die XAML Dateien verfügen über keine Vorschau in der Detailansicht!

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Grafiken Symbolleiste und Kontextmenü


Grafiken Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Grafiken > Grafiken Symbolleiste und Kontextmenü

Kontextmenü Grafiken

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Datei extern bearbeiten | Öffnet das im Betriebssystem als Standard definierte Programm zur Bearbeitung der gewählten Datei.
Datei extern bearbeiten mit | Öffnet eine Liste zur Bearbeitung der gewählten Datei.geeigneter Programme.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Hilfe

Handbuch > Editor > Projektmanager > Dateien > Hilfe

Ordner für Hilfedateien für die Runtime-Hilfe des Projekts. Diese werden als *.chm Format gespeichert.

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Hilfe Symbolleiste und Kontextmenü


Hilfe Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Hilfe > Hilfe Symbolleiste und Kontextmenü

Kontextmenü Hilfe

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Datei extern bearbeiten | Öffnet das im Betriebssystem als Standard definierte Programm zur Bearbeitung der gewählten Datei.
Datei extern bearbeiten mit | Öffnet eine Liste zur Bearbeitung der gewählten Datei.geeigneter Programme.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Multimedia

Handbuch > Editor > Projektmanager > Dateien > Multimedia

Audio- und Videodateien lassen sich in folgenden Formaten einbinden:

  • *.avi
  • *.mp3
  • *.mpeg
  • *.wav

Für die Wiedergabe dieser Dateien müssen auf dem Runtime-Rechner die entsprechenden Codecs vorhanden sein.

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Multimedia Symbolleiste und Kontextmenü


Multimedia Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Multimedia > Multimedia Symbolleiste und Kontextmenü

Kontextmenü Multimedia

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Datei extern bearbeiten | Öffnet das im Betriebssystem als Standard definierte Programm zur Bearbeitung der gewählten Datei.
Datei extern bearbeiten mit | Öffnet eine Liste geeigneter Programme zur Bearbeitung der gewählten Datei.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Texte und Formate

Handbuch > Editor > Projektmanager > Dateien > Texte und Formate

Texte und Formate sind:

  • Textdateien für die Anzeige im Projekt
    Dateiendung: .txt
  • Formatdateien für die Formatierung von Ausdrucken
    Dateiendung: .frm
  • HTML Dateien für die Anzeige im HTML-Bild
    Dateiendung: .htm oder .html

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Texte und Formate Symbolleiste und Kontextmenü


Texte und Formate Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Texte und Formate > Texte und Formate Symbolleiste und Kontextmenü

Kontextmenü Texte und Formate

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Datei extern bearbeiten | Öffnet das im Betriebssystem als Standard definierte Programm zur Bearbeitung der gewählten Datei.
Datei extern bearbeiten mit | Öffnet die gewählte Datei im Standardeditor des Dateiformats oder bietet eine Auswahl geeigneter Editoren an.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Treiber

Handbuch > Editor > Projektmanager > Dateien > Treiber

Treiberdateien können in folgenden Formaten eingebunden werden:

  • *.cfg
  • *.iso
  • *.tcp
  • *.bur
  • *.fms
  • *.bec
  • *.ovd
  • *.nmp
  • *.ini
  • *.h11
  • *.lst
  • *.dde
  • *.lon
  • *.opc
  • *.ecs

Normalerweise kann das Eintragen hier entfallen. Die Dateien werden beim Anlegen des Treibers automatisch erzeugt und hier gespeichert.

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Treiber Symbolleiste und Kontextmenü


Treiber Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Treiber > Treiber Symbolleiste und Kontextmenü

Kontextmenü Treiber

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Datei extern bearbeiten | Öffnet das im Betriebssystem als Standard definierte Programm zur Bearbeitung der gewählten Datei.
Datei extern bearbeiten mit | Öffnet eine Liste zur Bearbeitung der gewählten Datei.geeigneter Programme.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Report Viewer

Handbuch > Editor > Projektmanager > Dateien > Report Viewer

Reportvorlagen sind Dateien im Format RDL 2.0, die im zenon Report Viewer geöffnet, angezeigt und bearbeitet werden können.

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Report Definitionsdatei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Nur vorhanden, wenn Report Generator und Report Viewer lizensiert sind.
Nicht verfügbar, wenn die Option Windows CE Projekt (Projekteigenschaften Allgemein) aktiv ist.

Noch in diesem Kapitel

Report Viewer Symbolleiste und Kontextmenü


Report Viewer Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Report Viewer > Report Viewer Symbolleiste und Kontextmenü

Kontextmenü Reportvorlagen

Menüpunkt | Aktion
Report Definitionsdatei neu | Öffnet den Dialog zum Erstellen einer neuen RDL-Datei auf Basis der bereits definierten Datasets.
Report Definitionsdatei öffnen | Öffnet das mit RDL-Dateien verknüpfte Programm zum Bearbeiten einer bestehenden Definitionsdatei. Standardmäßig sucht zenon erst nach dem MS Report Builder, dann nach dem MS Report Designer.
Standardfunktion erzeugen | Nur in Toolbar verfügbar. Erstellt eine Bildumschaltung auf ein auszuwählendes Bild vom Typ Report Viewer und trägt die ausgewählte RDL-Datei in die Option Report-Definitionsdatei ein.
Zurück zu Ausgangselement springen | Springt bei verknüpften Elementen zurück zu dem Element, von dem aus die Reportvorlage angesprungen wurde. Im Kontextmenü nur vorhanden, wenn verknüpfte Elemente vorhanden sind.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Bestehende Report Definitionsdatei importieren | Öffnet Dialog zum Import bestehender Report Definitionsdateien. Diese müssen vom Typ RDL 2.0 sein.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Sonstige

Handbuch > Editor > Projektmanager > Dateien > Sonstige

Ordner für Ablage beliebiger Dateiarten.

Kontextmenü

Menüpunkt | Aktion
Datei hinzufügen | Öffnet den Dateimanager zur Auswahl einer Datei.
Ordner neu | Fügt einen neuen Unterordner ein.
Ordner umbenennen | Ermöglicht das Umbenennen selbst erstellter Unterordner.
Ordner löschen | Löscht den ausgewählten selbst erstellten Ordner nach einer Sicherheitsabfrage.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Sonstige Symbolleiste und Kontextmenü


Sonstige Symbolleiste und Kontextmenü

Handbuch > Editor > Projektmanager > Dateien > Sonstige > Sonstige Symbolleiste und Kontextmenü

Kontextmenü Sonstige

Menüpunkt | Aktion
Datei importieren | Öffnet den Dateimanager zur Auswahl einer Datei.
Datei extern bearbeiten | Öffnet das im Betriebssystem als Standard definierte Programm zur Bearbeitung der gewählten Datei.
Datei extern bearbeiten mit | Öffnet eine Liste geeigneter Programme zur Bearbeitung der gewählten Datei.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Allgemeine Symbolbibliothek

Handbuch > Editor > Projektmanager > Allgemeine Symbolbibliothek

zenon bringt vordefinierte Grafiken mit. Diese werden im Modul Allgemeine Symbolbibliothek gespeichert. Während die Symbole im Ordner Bilder nur dem jeweils aktuellen Bild zur Verfügung stehen, können die Symbole der Allgemeinen Symbolbibliothek in jedes Projekt übernommen werden .

Es können auch eigene Symbole erstellt, Symbole zusammengefasst oder verknüpft werden. Details dazu lesen Sie im Kapitel Bilder/Symbole.


Auswahldialoge

Handbuch > Editor > Projektmanager > Auswahldialoge

In zenon stehen eigene Dialoge und gefilterte Listen für die Auswahl bestimmter Elemente zur Verfügung. Diese sind im gesamten System gleich und listen die aktuellen Projekte und deren Unterprojekte. Sie stehen zur Verfügung für:

  • Archiv-Variablen
  • Benutzer
  • Benutzergruppen
  • Bilder
  • Dateien
  • Datentypen
  • Filterbilder
  • Funktionen
  • Schablonen
  • Treiber
  • Variablen

Details zu Ansichten lesen Sie im Kapitel Detailansicht des Projektmanagers, Informationen zum Filtern der Listen finden Sie im Unterkapitel Listeneinträge filtern.

Detaillierte Informationen zu den Auswahldialogen für Funktionen und Variablen und das Ersetzen bereits gewählter Funktionen oder Variablen finden Sie in den Unterkapiteln:

  • Funktionen
  • Variablen

Noch in diesem Kapitel

Archiv-Variablen

Benutzerauswahl: einzelner Benutzer

Benutzergruppen

Bilder

Dateien

Datentypen

Filterbilder

Funktionen

Schablonen

Treiber

Variablen


Archiv-Variablen

Handbuch > Editor > Projektmanager > Auswahldialoge > Archiv-Variablen

Zur Auswahl von Variablen eines Archivs steht ein Dialog zur Verfügung, der alle bereits angelegten und konfigurierten Archive zur Auswahl anbietet.

Hinweis: Diese Variablen können teilweise auch projektübergreifend genutzt werden. Stellen Sie bei projektübergreifender Auswahl sicher, dass die entsprechenden Projekte zur Runtime verfügbar sind.

Verknüpfung von Variablen

Um Variablen auszuwählen:

  1. Wählen Sie das gewünschte Archiv.
  2. Öffnen Sie den Archivbaum.
  3. Öffnen Sie die Variablenliste.
  4. Wählen Sie die gewünschten Variablen aus.

Parameter

Beschreibung

Projektbaum

Auswahl des Projekts, aus dem die Variable gewählt werden soll.

Auswahlfenster

Auswahl der Variablen, die verknüpft werden sollen. Die Verknüpfung kann auf zwei Arten erfolgen:

  • Doppelklick auf die gewünschte Variable
  • Auswahl der gewünschten Variablen und anschließendes Klicken auf Einfügen oder Ersetzen

Einfügen

Fügt die im Auswahlfenster ausgewählten Variablen zur Liste der Variablen hinzu.

Ersetzen

Fügt die im Auswahlfenster ausgewählte Variablen zur Liste der Variablen hinzu und ersetzt dabei die in dieser Liste ausgewählte Variable. Wurden im Auswahlfenster mehrere Variablen ausgewählt, wird die zuletzt gewählte hinzugefügt.

Löschen

Löscht die ausgewählte Variable aus der Liste der Variablen.

Liste der Variablen

Liste der zum Verknüpfen ausgewählten Variablen.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Hinweis: Dieser Dialog ist in der Größe anpassbar. Die Position und Größe des Dialogfensters werden in Editor, Runtime und zenon Web Client projektunabhängig gespeichert.


Benutzerauswahl: einzelner Benutzer

Handbuch > Editor > Projektmanager > Auswahldialoge > Benutzerauswahl: einzelner Benutzer

Im Dialog Benutzerauswahl wählen Sie zur Runtime einen Benutzer für die Verwendung in einem anderen Modul aus.

Um einen Benutzer auszuwählen:

  1. Markieren Sie den gewünschten Benutzer in der Liste der vorhandenen Benutzer.
  2. Bestätigen Sie die Eingaben mit OK.

    Der Benutzer wird hinzugefügt.

Dialog Benutzerauswahl

Option | Beschreibung
Liste Arbeitsbereich | Anzeige und Auswahl der Projekte, aus denen Benutzer ausgewählt werden können.
Liste Benutzer | Anzeige der Benutzer des ausgewählten Projekts. Diese Liste kann gefiltert werden.
Keine Auswahl | Ein bereits vorhandener Benutzer wird wieder abgewählt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Benutzergruppen

Handbuch > Editor > Projektmanager > Auswahldialoge > Benutzergruppen

Auswahl von Benutzergruppen.

Option | Beschreibung
Liste Arbeitsbereich | Anzeige und Auswahl der Projekte, aus denen Benutzergruppen ausgewählt werden können.
Liste Benutzergruppen | Anzeige der Benutzergruppen des ausgewählten Projekts. Diese Liste kann gefiltert werden.
Keine Auswahl | Eine bereits ausgewählte Benutzergruppe wird wieder abgewählt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bilder

Handbuch > Editor > Projektmanager > Auswahldialoge > Bilder

Im Auswahldialog Bilder können Bilder für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Bilder können gewählt werden aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten
Fenster Bilder | Auswahl des Bildes. Werden mehrere Bilder ausgewählt, wird für die Ausführung der Funktion das in der Liste an oberster Stelle stehende Bild verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Dateien

Handbuch > Editor > Projektmanager > Auswahldialoge > Dateien

Im Auswahldialog Dateien können Dateien des aktuellen Projektes oder der Unterprojekte in einer filterbaren Ansicht ausgewählt werden:

  • Sind gewünschte Dateien im Knoten Dateien/Grafiken im Projektmanager noch nicht vorhanden, können diese im Auswahldialog hinzugefügt werden.
  • Um eine Datei direkt aus einem beliebigen Ordner des Rechners auszuwählen, muss die Eigenschaft Direkte Dateiauswahl aktiviert werden.


Datentypen

Handbuch > Editor > Projektmanager > Auswahldialoge > Datentypen

Im Auswahldialog Datentypen können die Datentypen des aktuellen Projektes oder der Unterprojekte in einer filterbaren Ansicht ausgewählt werden.


Filterbilder

Handbuch > Editor > Projektmanager > Auswahldialoge > Filterbilder

Bei der Bildumschaltung auf ein Bild mit Filter auf andere Bilder (AML Filter, CEL Filter, Zeitfilter) wird ein Dialog zur Bildauswahl aufgeschaltet für:

  • aufrufendes Bild
  • zu aktualisierende Bilder

Bildauswahl aufrufendes Bild

Parameter | Beschreibung
Fenster Projektbaum | Zeigt das aktuelle Projekt an. Bilder können nur aus diesem Projekt gewählt werden.
Fenster Bilder | Auswahl der Bildes. Werden mehrere Bilder ausgewählt, erfolgt die Bildumschaltung auf das erste gewählte Bild.
Keine Auswahl | Hat für diese Bildauswahl keine Funktion.
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft alle Änderungen und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.

Bildauswahl zu aktualisierende Bilder

Parameter | Beschreibung
Fenster Projektbaum | Zeigt das aktuelle Projekt an. Bilder können nur aus diesem Projekt gewählt werden.
Fenster Bilder | Auswahl der Bilder, die aktualisiert werden sollen. Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt. Mehrfachauswahl ist möglich. Hinzufügen über Doppelklick oder Schaltfläche Hinzufügen.
Fenster Auswahl | Listet alle ausgewählten Bilder auf.
Hinzufügen | Fügt im Fenster Bilder markierte Elemente zum Auswahlfenster hinzu.
Entfernen | Löscht markierte Elemente aus Auswahlfenster.
Keine Auswahl | Entfernt alle aktuell verknüpften Bilder.
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft alle Änderungen und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktionen

Handbuch > Editor > Projektmanager > Auswahldialoge > Funktionen

Zur Auswahl von Funktionen wird ein gefilterter Dialog geöffnet:

Element

Beschreibung

Projektbaum

Definition des Projekts, aus dem die Funktion gewählt werden soll.

Auswahlfenster

Auswahl der Funktion.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bereits verknüpfte Funktionen werden gelöscht

Tipp: Dieser Dialog ist in der Größe anpassbar. Die Dialoggröße und -position wird gespeichert.

Verknüpfte Funktion ändern

  1. manuell
    • öffnen Sie in der Detailansicht des Projektmanagers die Funktionen
    • ziehen Sie die gewünschte Funktion mit gedrückter linker Maustaste auf das Element
    • die bisherige Funktion wird durch die neue ersetzt
  2. automatisch
    • wählen Sie im Kontextmenü des Elements Verknüpfungen ersetzen. Details zur Vorgangsweise finden Sie im Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.


Schablonen

Handbuch > Editor > Projektmanager > Auswahldialoge > Schablonen

Im Dialog Schablonenauswahl können Schablonen für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Schablonen können aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten gewählt werden.
Fenster Schablonen | Auswahl einer Schablone. Werden mehrere Schablonen ausgewählt, wird für die Ausführung der Funktion die in der Liste an oberster Stelle stehende Schablone verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Treiber

Handbuch > Editor > Projektmanager > Auswahldialoge > Treiber

Im Auswahldialog Treiber können die Treiber des aktuellen Projektes oder der Unterprojekte in einer filterbaren Ansicht ausgewählt werden.


Variablen

Handbuch > Editor > Projektmanager > Auswahldialoge > Variablen

Zur Auswahl von Variablen wird ein gefilterter Dialog angeboten.
Diese Variablen können teilweise auch projektübergreifend genutzt werden. Stellen Sie bei projektübergreifender Auswahl sicher, dass die entsprechenden Projekte zur Runtime verfügbar sind.

Verknüpfung einer Variable

Elemente, die nur mit einer einzelnen Variable verknüpft werden können, öffnen folgenden Dialog:

Element

Beschreibung

Projektbaum

Auswahl des Projekts, aus dem die Variable gewählt werden soll.

Auswahlfenster

Auswahl der Variablen, die verknüpft werden soll. Die Verknüpfung kann auf zwei Arten erfolgen:

  • Durch einen Doppelklick auf die gewünschte Variable: Dabei wird der Dialog automatisch geschlossen.
  • Durch Auswahl der gewünschten Variable und durch anschließendes Klicken auf OK.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bereits verknüpfte Variablen werden gelöst (z. B. verknüpfte Chargenvariablen im Archivserver)

Hinweis: Dieser Dialog ist in der Größe anpassbar. Die Position und Größe des Dialogfensters werden in Editor, Runtime und zenon Web Client projektunabhängig gespeichert.

Fehlerbehandlung

Wird die gewünschte Variable nicht angezeigt, kann dies mehrere Ursachen haben:

  • Sie haben einen Filter ausgewählt und die gewünschte Variable entspricht nicht diesem Filter: Überprüfen Sie, ob in der Filterzeile ein Filter eingetragen ist. Die unter dem Auswahlfenster angebrachte Information über gefilterte Elemente hilft ebenfalls bei der Überprüfung von eingestellten Filtern.
  • Der Dialog wird vom Editor gefiltert aufgeschaltet und die Variable entspricht nicht diesem Filter. Das gefilterte Aufschalten erfolgt dann, wenn nur bestimmte Datentypen zulässig sind. Z. B. dürfen bei einem Dynamischen Element Zahlenwert keine String-Variablen verknüpft werden.
  • Sie haben das falsche Projekt im Projektbaum ausgewählt.

attention Achtung

Der Dialog lässt generell die Auswahl mehrerer Variablen über die in Windows üblichen Tastenkombinationen zu. In Auswahldialogen für nur eine Variable kann aber auch nur eine verknüpft werden. Bei Mehrfachauswahl wird dann die als erste ausgewählte Variable dem Element zugewiesen.

Verknüpfung mehrerer Variablen

Elemente, die mit mehreren Variablen verknüpft werden können, öffnen folgenden Dialog:

Element

Beschreibung

Projektbaum

Definition des Projekts, aus dem die Variable gewählt werden soll.

Auswahlfenster

Auswahl der Variablen durch:

  • Mit Doppelklick wird die ausgewählte Variable wird der Variablenliste hinzugefügt
  • Mit Drag&Drop kann die ausgewählte Variable in die Variablenliste gezogen werden
  • Die gewünschten Variablen auswählen. Mit Hilfe der Steuerung- bzw. der Umschalt-Taste ist eine Mehrfachauswahl möglich. Mit Klick auf Hinzufügen werden die ausgewählten Variablen in die Variablenliste übernommen.

Variablenliste

Listet alle ausgewählten Variablen auf.

Hinzufügen

Fügt die aktuell im Auswahlfenster markierte Variable der Variablenliste hinzu.

Entfernen

Entfernt die in der Variablenliste markierte Variable aus der Liste.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bestimmte Verknüpfungen, wie Chargenvariablen in der Archivierung, können gelöst werden

Hinweis: Dieser Dialog ist in der Größe anpassbar. Die Position und Größe des Dialogfensters werden in Editor, Runtime und zenon Web Client projektunabhängig gespeichert.

Fehlerbehandlung

Wird die gewünschte Variable nicht angezeigt, kann dies mehrere Ursachen haben:

  • Sie haben einen Filter ausgewählt und die gewünschte Variable entspricht nicht diesem Filter: Überprüfen Sie, ob in der Filterzeile ein Filter eingetragen ist. Die unter dem Auswahlfenster angebrachte Information über gefilterte Elemente hilft ebenfalls bei der Überprüfung von eingestellten Filtern.
  • Der Dialog wird vom Editor gefiltert aufgeschaltet und die Variable entspricht nicht diesem Filter. Das gefilterte Aufschalten erfolgt dann, wenn nur bestimmte Datentypen zulässig sind. Z. B. dürfen bei einem Dynamischen Element Zahlenwert keine String-Variablen verknüpft werden.
  • Sie haben das falsche Projekt im Projektbaum ausgewählt.

Verknüpfte Variable ändern

Wählen Sie im Kontextmenü des Elements Verknüpfungen ersetzen. Details zur Vorgangsweise finden Sie im Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.


Hauptfenster

Handbuch > Editor > Hauptfenster

Im Hauptfenster werden Dokumente wie Bilder, Reports usw. angezeigt und bearbeitet. Das Hauptfenster lässt sich als einziges Fenster nicht ausblenden.

Mehrere Dokumente parallel öffnen

Sie können im Hauptfenster mehrere Bilder gleichzeitig anzeigen. Die Bilder sind über Registerkarten am oberen Rand des Hauptfensters erreichbar und können über Optionen im Menüpunkt Fenster angeordnet werden. Beim Wechsel der Registerkarten werden die Elemente im Eigenschaftenfenster an die ausgewählte Registerkarte angepasst.

Um offene Bilder zu schließen, benutzen Sie die Tastenkombination Strg+F4, das Kontextmenü oder den Befehl Bild -> Schließen.

Kontextmenü Dokumente

Ein Rechtsklick auf die Registerkarte eines Dokuments öffnet ein Kontextmenü:

Parameter | Beschreibung
Speichern | Speichert das Dokument.
Schließen | Schließt dieses Dokument.
Alle anderen schließen | Schließt alle anderen Dokumente.

Elemente im Bild positionieren

Elemente mit einem Klick auf das Symbol in der Symbolleiste Elemente aktivieren und mit der Maus im Hauptfenster aufziehen.

Zum Bewegen des Elements stehen mehrere Möglichkeiten zur Verfügung:

  • Schnell bewegen: Element anklicken und mit der Maus positionieren.
  • Exakt positionieren: Element anklicken und mit den Pfeiltasten positionieren.
  • Drehen: Element mit dem "Griff" am Bezugspunkt beliebig drehen.


Eigenschaftenfenster

Handbuch > Editor > Eigenschaftenfenster

Im Eigenschaftenfenster werden die Parameter und Eigenschaften von Objekten angezeigt, die im Projektmanager in der Detailansicht ausgewählt wurden oder von Elementen, die in einem Bild ausgewählt wurden. Im Eigenschaftenfenster geben Sie Werte und Parameter ein oder ändern diese für markierte Objekte und Elemente. Beim Wechsel der Registerkarte im Hauptfenster werden die angezeigten Eigenschaften im Eigenschaftenfenster an die aktive Registerkarte angepasst.

Die Einstellungen zur Ansicht, zur Sortierung und zu den Favoriten werden für den nächsten Neustart des Editors gespeichert. Beim Bearbeiten der Eigenschaften von Elementen im Eigenschaftenfenster wird bei Neuauswahl eines Elementes automatisch die zuletzt bearbeitete Eigenschaft angezeigt.

Hinweis: Eigenschaften, die grundlegende Änderungen bewirken, werden in geschwungenen Klammern angezeigt.
Zum Beispiel: {Grenzwert neu}.

Multiselekt

Wenn Sie mehrere Objekte parallel auswählen (Multiselekt), werden alle Eigenschaften, die in ausgewählten Elementen unterschiedlich sind, im Eigenschaftenfenster orange hinterlegt oder rot ausgezeichnet dargestellt. Die Eigenschaften des jeweils letzten gewählten Elements. werden angezeigt. In der Ansicht Gruppierte Ansicht und Alle Eigenschaften kann eine ausgewählte Eigenschaften dann per Drücken der Eingabe-Taste auf alle anderen markierten Objekte übertragen werden. (In der Dialogansicht nicht möglich.)

Example Beispiel

Mehrere Objekte mit unterschiedlichen Füllfarben sind markiert. Das letzte markierte Element hat die Füllfarbe grün. Die Eigenschaft Füllfarbe wird dann als grün angezeigt, der Wert #32CD32 ist rot markiert. Klick in das Eingabefeld und Druck auf die Eingabe-Taste überträgt die Eigenschaft grün auf alle markierten Elemente.

Tastaturbedienung

In den Eigenschaften kann auch mit der Tastatur navigiert werden:

Taste | Funktion
Tab oder Nach oben | Wechselt zur nächsten Eigenschaft.
Umschalt+Tab oder Nach unten | Wechselt zur vorangegangenen Eigenschaft.
Eingabe oder Nach rechts | Öffnet einen Knoten.
Nach links | Schließt einen Knoten.
Pos 1 | Springt zum ersten Knoten.
Ende | Springt zum letzen Knoten.

Symbolleiste

Die Eigenschaften eines Objektes werden im Eigenschaftenfenster angezeigt und bearbeitet. Zur Organisation des Eigenschaftenfensters steht eine Symbolleiste zur Verfügung:

Symbol

Beschreibung

Gruppierte Ansicht

(default)

Alle Eigenschaften des ausgewählten Objekts werden logisch gruppiert und die Gruppen wahlweise alphabetisch oder logisch sortiert. Über das Kontextmenü können Einträge in die Favoriten eingefügt oder wieder daraus entfernt werden.

Standard für Handbuch: Hinweise im Handbuch zu den Eigenschaften gehen immer von der gruppierten Ansicht aus. Die Inhalte der Gruppen entsprechen denen der Dialogansicht.

Alle Eigenschaften

Alle Eigenschaften des ausgewählten Objekts werden in einer Liste dargestellt. Über das Kontextmenü können Einträge in die Favoriten eingefügt oder wieder daraus entfernt werden.

Dialogansicht

Alle Eigenschaften werden wie in der Gruppierten Ansicht logisch zusammengefasst und die Gruppen nach Anwendungspriorität sortiert in Dialogform dargestellt. In dieser Ansicht können keine Favoriten definiert werden.

Favoriten ein-/ausblenden

Blendet in den Ansichten Gruppierte Ansicht oder Alle Eigenschaften an oberster Stelle der Knoten Favoriten ein- oder aus. Darin werden jene Eigenschaften gesammelt, die am häufigsten gebraucht werden.

Per Default werden Favoriten vorgeschlagen.

Einträge zu den Favoriten hinzufügen oder daraus entfernen: Entweder im Kontextmenü mit dem Befehl zu den Favoriten hinzufügen oder per Drag&Drop der Eigenschaft in die Favoritenliste.

Die Reihenfolge der Eigenschaften in den Favoriten wird durch das Sortierkriterium bestimmt (aufsteigend, absteigend, logisch).

In der Dialogansicht können keine Favoriten angelegt werden.

Alle Eigenschaften ein-/ausblenden

Blendet alle Knoten in den Ansichten Gruppiert und Alle Eigenschaften ein- oder aus.

Logisch sortiert

(default)

Zeigt in den Ansichten Gruppiert und Alle Eigenschaften die Eigenschaften logisch nach Anwendungshäufigkeit statt alphabetisch sortiert an.

Aufsteigend und absteigend sortiert

Zeigt in den Ansichten Gruppiert und Alle Eigenschaften die Eigenschaften wahlweise auf- oder absteigend alphabetisch sortiert an.

Alle Knoten aufklappen / schließen

Schließt oder öffnet in den Ansichten Gruppiert und Alle Eigenschaften alle Knoten.

Ausnahme: Der Knoten der aktuell gewählten Eigenschaften bleibt beim Klick auf Alle Knoten schließen geöffnet.

Eigenschaftenhilfe einblenden

Blendet die integrierte Hilfe zu den Eigenschaften (Eigenschaftenhilfe) ein.

Eigenschaft freigeben

Symbole: Gibt die ausgewählte Eigenschaft frei.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

Noch in diesem Kapitel

Gruppierte Ansicht

Dialogansicht

Alle Eigenschaften

Favoriten

Eigenschaften sortieren

Verknüpfte Eigenschaften


Gruppierte Ansicht

Handbuch > Editor > Eigenschaftenfenster > Gruppierte Ansicht

Die Gruppierte Ansicht ist per Default ausgewählt. Sie fasst logisch zusammengehörende Eigenschaften in Gruppen zusammen.

Über die Symbolleiste kann Alle Eigenschaften aus- und wieder eingeblendet werden.

info Info

Hinweise im Handbuch zu den Eigenschaften gehen immer von der gruppierten Ansicht aus. Die Inhalte der Gruppen entsprechen denen der Dialogansicht.


Dialogansicht

Handbuch > Editor > Eigenschaftenfenster > Dialogansicht

Die Dialogansicht fasst Eigenschaften in Gruppen zusammen und präsentiert diese in Dialogform.

In der Dialogansicht können keine Favoriten angelegt werden und keine Eigenschaften ausgeblendet werden.

Noch in diesem Kapitel

Deaktivieren des automatischen Scrollens von Comboboxen unter Windows 10


Deaktivieren des automatischen Scrollens von Comboboxen unter Windows 10

Handbuch > Editor > Eigenschaftenfenster > Dialogansicht > Deaktivieren des automatischen Scrollens von Comboboxen unter Windows 10

Unter Windows 10 ist die Maus und Touchpad-Eigenschaft Inaktive Fenster beim Daraufzeigen scrollen per Default aktiviert. Dies führt in der Dialogansicht dazu, dass sobald man mit dem Mauszeiger über eine Combobox fährt (z.B. bei Runtime-Dateien erzeugen für) und dabei scrollt, die Einstellung in der Combobox geändert wird.

Um diese Eigenschaft und damit das automatische Scrollen zu deaktivieren:

  1. Öffnen Sie die Einstellungen unter Windows 10
  2. Wählen Sie Geräte
  3. Navigieren Sie zu Maus und Touchpad
  4. Deaktivieren Sie die Eigenschaft Inaktive Fenster beim Daraufzeigen scrollen.


Alle Eigenschaften

Handbuch > Editor > Eigenschaftenfenster > Alle Eigenschaften

Alle Eigenschaften werden in einer alphabetisch sortierten Liste angeboten.

Über die Symbolleiste kann Alle Eigenschaften aus- und wieder eingeblendet werden.


Favoriten

Handbuch > Editor > Eigenschaftenfenster > Favoriten

Die Ansichten Gruppiert und Alle Eigenschaften verfügen über einen Knoten Favoriten an oberster Stelle des Fensters. Hier werden Eigenschaften angezeigt, die häufig benötigt werden.

Per Default werden Favoriten vorgeschlagen. Um eigene Einträge hinzuzufügen:

  • führen Sie einen Rechtsklick auf die gewünschte Eigenschaft aus
  • wählen Sie im Kontextmenü <Eigenschaft> zu Favoriten hinzufügen
  • die Reihenfolge der Eigenschaften in den Favoriten wird durch das Sortierkriterium bestimmt (aufsteigend, absteigend, logisch).

Um Einträge zu entfernen:

  • führen Sie einen Rechtsklick auf die gewünschte Eigenschaft aus
  • wählen Sie im Kontextmenü <Eigenschaft> aus Favoriten entfernen

Favoriten können über die entsprechende Schaltfläche in der Symbolleiste sichtbar oder unsichtbar geschaltet werden.
Achtung: In der Dialogansicht können keine Favoriten angelegt werden.


Eigenschaften sortieren

Handbuch > Editor > Eigenschaftenfenster > Eigenschaften sortieren

Das Sortierkriterium wird über die Schaltflächen Logisch sortiert, aufsteigend sortiert und absteigend sortiert in der Symbolleiste definiert. Per Default werden die Eigenschaften logisch sortiert dargestellt. Es besteht die Möglichkeit, sie alphabetisch zu ordnen.

Logisch sortiert

Die Eigenschaften werden logisch nach ihrer wahrscheinlichen Nutzung sortiert. Diese Sortierung sind für die Ansichten Gruppiert und Alle Eigenschaften möglich.

Aufsteigend/absteigend sortieren

Die Eigenschaften werden alphabetisch auf- oder absteigend sortiert. Diese Sortierungen sind für die Ansichten Gruppiert, Alle Eigenschaften und die Favoriten möglich.

Knoten schließen und aufklappen

In den Ansichten Gruppiert und Alle Eigenschaften ist es möglich, alle Knoten zu schließen und wieder aufzuklappen. Der Knoten der aktuellen Eigenschaften wird nicht geschlossen, wenn Alle Knoten schließen ausgewählt wird.


Verknüpfte Eigenschaften

Handbuch > Editor > Eigenschaftenfenster > Verknüpfte Eigenschaften

Für manche Eigenschaften wie Variablen oder Parameter können Werte verknüpft werden. In diesem Fall ändert sich der Wert immer dann, wenn der Wert der Quelleigenschaft geändert wird.

Übernimmt ein Element Werte von einer anderen Eigenschaft, wird das durch einen Pfeil neben dem Wert der Eigenschaft angezeigt.

Verknüpfung trennen

Um die Verknüpfung des Werts aufzuheben:

  1. führen Sie einen Rechtsklick auf die Eigenschaft aus
  2. wählen Sie im Kontextmenü den Eintrag, der den Bezug zur Quelleigenschaft trennt (Wortlaut abhängig von der Eigenschaft)
    Hinweis: Sie können auch alle von der Quelleigenschaft übernommenen Werte auf einmal trennen.

Die Verknüpfung wird auch aufgehoben, wenn Sie den Wert mit einem anderen Wert überschreiben.

Damit wirken sich Änderungen des Quellwerts nicht mehr auf diesen Wert aus. Das Verknüpfungssymbol (Pfeil) wird nicht mehr angezeigt.

Verknüpfung wiederherstellen

Um einen getrennten Wert wieder mit dem ursprünglichen Quellwert zu verknüpfen:

  1. führen Sie einen Rechtsklick auf die Eigenschaft aus
  2. wählen Sie im Kontextmenü den Eintrag, der den Bezug zum Quellwert wieder herstellt (Wortlaut abhängig von der Eigenschaft)
    Hinweis: Sie können auch alle von der Quelleigenschaft stammenden Werte auf einmal wieder herstellen.

Damit übernimmt diese Eigenschaft immer den jeweils aktuellen Wert der Quelleigenschaft. Das Verknüpfungssymbol (Pfeil) wird wieder angezeigt.


Eigenschaftenhilfe

Handbuch > Editor > Eigenschaftenhilfe

Ein eigenes Fenster mit Hilfeinformationen zu einzelnen Eigenschaften kann eingeblendet werden.

Um die Eigenschaftenhilfe einzublenden:

  • Wählen Sie in der Symbolleiste der Eigenschaften das Symbol Eigenschaftenhilfe einblenden (rechts außen).
  • Oder: Wählen Sie im Menü Ansicht den Befehl Eigenschaftenhilfe.
  • Oder führen Sie einen rechten Mausklick auf eine beliebige Titelleiste aus und wählen Sie im Kontextmenü den Befehl Eigenschaftenhilfe.

Um die Eigenschaftenhilfe zu schließen:

  • Klicken Sie auf das X am rechten Rand der Titelleiste.

Im Gegensatz zur über die F1-Taste erreichbaren Online-Hilfe wird in dieser integrierten Eigenschaftenhilfe nur die jeweils ausgewählte Eigenschaft beschrieben.

Sie erhalten:

  • Eine kurze Beschreibung zur aktuell gewählten Eigenschaft.
  • Einen Link in die ausführlichere Online-Hilfe.
  • Einen Link zum COPA-DATA YouTube-Kanal mit Projektierungsbeispielen.
    Hinweis: Dieser Link ist für OEM-Kunden nicht sichtbar.
  • Die Property Namensinformation für die API.

Die Eigenschaftenhilfe lässt sich wie alle anderen Fenster abdocken und frei am Bildschirm positionieren.

Verknüpfte Eigenschaften

Informationen zu verknüpften Eigenschaften finden Sie im Kapitel Verknüpfte Eigenschaften.


Ausgabefenster

Handbuch > Editor > Ausgabefenster

Das Ausgabefenster zeigt Statusinformationen und Fehlermeldungen beim Starten des Editors sowie beim Kompilieren und Übertragen eines Projekts an. Die Informationen sind in verschiedene Typen eingeteilt:

  • Fehler
  • Warnungen
  • Meldungen

Diese Informationen können individuell ein- und ausgeblendet werden. Die Einstellungen, welche Informationen angezeigt werden, bleiben beim Schließen des Editors erhalten und gelten auch für die Anzeige von neu hinzukommende Informationen. Es gehen allerdings keine Informationen verloren, da sich die Einstellungen nur auf die Anzeige und nicht auf das Sammeln von Informationen auswirken.

Beispiel: Werden Warnungen ausgeblendet, dann sind solange keine Warnungen sichtbar, bis die Anzeige wieder eingeschaltet wird. Ab diesem Zeitpunkt sind wieder alle Warnungen sichtbar. Auch die in der Zwischenzeit aufgelaufenen Warnungen werden dann angezeigt.

Die blauen Informationsmeldungen können nicht ausgeblendet werden, da es sich dabei um projektbezogene Meldungen handelt, die immer sichtbar bleiben müssen.

Symbolleiste und Kontextmenü

Symbole und Kontextmenü bieten die gleichen Optionen. Die Symbole bedeuten von links nach rechts:

Symbol/Eintrag Kontextmenü | Beschreibung
Fehler anzeigen | Aktiv: Fehler werden in roter Farbe angezeigt. Inaktiv: Fehler werden ausgeblendet. Der gewählte Zustand kann mit Warnungen und Meldungen kombiniert werden und wird beim Schließen des Editors gespeichert.
Warnungen anzeigen | Aktiv: Warnungen werden in oranger Farbe angezeigt. Inaktiv: Warnungen werden ausgeblendet. Der gewählte Zustand kann mit Fehler und Meldungen kombiniert werden und wird beim Schließen des Editors gespeichert.
Meldungen anzeigen | Aktiv: Meldungen werden in schwarzer Farbe angezeigt. Inaktiv: Meldungen werden ausgeblendet. Der gewählte Zustand kann mit Fehler und Warnungen kombiniert werden und wird beim Schließen des Editors gespeichert.
Speichern | Speichert den gesamten Inhalt des Ausgabefensters in eine LOG-Datei. Speicherort und Dateiname können frei gewählt werden.
Kopieren | Kopiert markierten Text des Ausgabefensters in die Zwischenablage.
Löschen | Löscht den gesamten Inhalt des Ausgabefenster. Nach dem Ausführen dieser Aktion gibt es keine Möglichkeit mehr auf den gelöschten Inhalt des Ausgabefensters zuzugreifen.
Suchen | Öffnet den Dialog für die Suche nach Text innerhalb des Ausgabefensters.
Hilfe | Öffnet diese Hilfeseite.

Example Beispiel

Löschen Sie über das entsprechende Symbol oder das Kontextmenü den Inhalt des Ausgabefensters und erzeugen Sie dann Runtime-Dateien. Sie erhalten im Ausgabefenster die entsprechenden Informationen. Diese Informationen sind von blauen Meldungen umschlossen.

  1. Klicken Sie auf das Symbol Meldungen: Die Standardmeldungen (schwarze Textfarbe) werden ausgeblendet.
  2. Erzeugen Sie erneut Runtime-Dateien, die Meldungen bleiben weiter ausgeblendet.
  3. Blenden Sie jetzt auch die Anzeige von Fehler (rot) und Warnungen (orange) aus.
  4. Die blauen projektbezogenen Meldungen bleiben weiter sichtbar.
  5. Erzeugen Sie erneut Runtime-Dateien und blenden Sie Meldungen wieder ein: Alle seit dem Löschen des Ausgabefensters erzeugten Meldungen sind wieder sichtbar.


Statuszeile

Handbuch > Editor > Statuszeile

Die Statuszeile des Editors enthält abhängig vom gewählten Objekt Informationen über:

  • Bereitschaft des Editors.
  • Funktion des Symbols, über dem sich der Mauszeiger befindet.
  • Position des Mauszeigers in Bildern.
  • Art und Name des aktiven Elements in einem Bild.
  • Startpunkt (x/y-Achse) sowie Breite und Höhe des aktiven Elements in einem Bild.
    Der 0/0 Punkt der Achse liegt in der linken oberen Ecke.

Bei Reports ist die Statuszeile ohne Funktion.


Editor beenden

Handbuch > Editor > Editor beenden

Beim Beenden des Editors werden wie beim Schließen oder Wechseln des Arbeitsplatzes alle Projekte auf Änderungen überprüft. Projekte, deren Runtime-Dateien noch nicht erzeugt wurden, werden in einem Dialog aufgelistet und zum Erzeugen angeboten.

Parameter | Beschreibung
Ja | Die Runtime-Dateien aller Projekte in der Liste werden erzeugt. Danach wird der Editor beendet.
Nein | Runtime-Dateien werden nicht erzeugt. Der Editor wird beendet.
Abbrechen | Runtime-Dateien werden nicht erzeugt. Der Editor wird nicht beendet.


Runtime

Handbuch > Runtime

Die Runtime ist eine Software, die grafische Darstellungsmöglichkeiten für HMI/SCADA-Projekte unterstützt.

Sie bietet:

  • Prozessdarstellung,
  • Archivierung von Daten wie Meldungen und Prozesswerte,
  • integrierte Alarmmeldeliste,
  • Rezepte,
  • Multitouch und vieles mehr.

attention Achtung

Beachten Sie bei der Projektierung:

  • Für die optimale Darstellung von zenon zur Runtime wird für die Windows Anzeige die Standardeinstellung (entspricht 100%) empfohlen. Höhere Werte können dazu führen, dass grafische Elemente, Symbole, Texte usw. nicht korrekt angezeigt werden.
  • Windows Themen können Elemente in der Runtime überlagern. Achten sie bei der Projektierung auf einen passenden Abstand von Elementen zum Bildschirmrand.

Die Runtime steht ab zenon 7.10 als 32-Bit Version und als 64-Bit Version zur Verfügung. Projekte sind auf beiden Versionen lauffähig. Details zur Kompatibilität mit Versionen vor zenon 7.10 lesen Sie im Handbuch Projektkonvertierung, im Kapitel 64-Bit Version. Die Runtime steht als zenon Supervisor und als zenon Operator für Embedded Betriebssysteme zur Verfügung. Beide Versionen unterscheiden sich im Funktionsumfang. Details siehe Einschränkungen für zenon Operator.

Mehrere Instanzen der Runtime

Auf einem Rechner darf immer nur eine Instanz der zenon Runtime gestartet werden. Das gilt unabhängig davon, ob die Runtime als EXE-Datei, als zenon Web Client oder als Runtime Control (OCX) gestartet wird.

Ausnahme: Am Terminal Server oder Terminal Client darf pro Benutzer eine Instanz der Runtime als EXE-Datei, als zenon Web Client oder als Runtime Control (OCX) gestartet werden. Innerhalb eines Benutzerkontexts darf immer nur 1 Instanz laufen.

Noch in diesem Kapitel

32-Bit- und 64-Bit-Version

Inbetriebnahme der Runtime

Deinstallieren der Runtime

Runtime für Windows CE

Unterstützte Protokolle

Starten der Runtime

Starten der Runtime als Dienst

Nachladen der Runtime

Runtime als ActiveX Control

Bedienen zur Runtime

Runtime-Dateien

Runtimeprofile

Filterprofile

Behandlung von Zeitangaben


32-Bit- und 64-Bit-Version

Handbuch > Runtime > 32-Bit- und 64-Bit-Version

zenon steht jetzt für Editor und Runtime als 32-Bit- und 64-Bit-Version zur Verfügung. Damit werden auf 64-Bit Betriebssystemen jeweils eine 32-Bit und ein 64-Bit zenon Editor oder eine 32-Bit und eine 64-Bit zenon Runtime installiert. Die Dateinamen der ausführbaren Dateien sind für 32-Bit und 64-Bit identisch.

Auf 64-Bit Systemen werden alle in 64-Bit vorhandenen Dienste in der 64-Bit-Variante registriert und verwendet. Editor und Runtime können alternativ gestartet werden. Projekte sind in beiden Editoren bearbeitbar und in beiden Runtimes lauffähig.

Komponenten wie z.B. zenon Logic Runtime, zenon Logic Workbench, Treiber, Process Gateway und andere Tools werden immer nur in der 32-Bit Version verwendet.

Einschränkungen generell

Die grundsätzliche Einschränkung, dass in 64-Bit Prozessen ausschließlich 64-Bit DLLs geladen werden können, bedingen auch im Betrieb von zenon bestimmte Einschränkungen. Vor allem betrifft das externe Komponenten, die in Editor oder Runtime geladen werden. Unmittelbar betroffen sind DLLs, die über VBA/VSTA-Code geladen werden und ActiveX-Controls. Diese DLLs müssen für die Benutzung in 64-Bit Editor oder Runtime als 64-Bit-Version vorliegen. Von COPA-DATA ausgelieferte ActiveX-Controls sind immer in 32-Bit und 64-Bit Varianten verfügbar.

Konvertierung von zenon 5.50 Projekten

Mit dem 64-Bit Editor können keine zenon 5.50 Projekte konvertiert werden. Diese müssen zuvor mit dem 32-Bit Editor konvertiert werden.

Einschränkung RGM

Die Access Datenbank wird im RGM nicht mehr unterstützt. Um MS Access Daten aus vorhergehenden Versionen unter 64-Bit verwenden zu können, muss das Projekt zuerst im 32-Bit Editor konvertiert werden. Die Eigenschaft DataSource steht ab Version 7.10 nicht mehr zur Verfügung. Details siehe Kapitel Rezeptgruppen-Manager Datenbank konvertieren.

VBA

VBA wurde auf Version VBA 7.1 umgestellt. Somit steht VBA auch in zenon 64-Bit zur Verfügung. Falls im VBA-Code auf Windows-API oder sonstige importierte DLL-Funktionen zugegriffen wird, müssen diese Aufrufe an 64-Bit angepasst werden. Generell gilt: Eine für 32-Bit erstellte VBA-Datei kann nicht ohne Anpassungen in einer 64‑Bit-Version von VBA verwendet werden.

Um 32-Bit und 64-Bit kompatiblen Code zu schreiben, stehen in VBA einige Defines/Funktionen zur Verfügung. Zum Beispiel:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Nützliche Hinweise zur Portierung von VBA 32-Bit Code auf VBA 64-Bit finden Sie auch bei Microsoft:

  • Microsoft Office 2010, Hinweise zur Portierung: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit und 64-Bit Declares für API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp

Komponenten nur in 32-Bit

Folgende Komponenten sind auch auf 64-Bit Rechnern nur als 32-Bit Versionen verfügbar:

  • einige Programme, wie SIC.exe und DiagViewer.exe
  • Lizenzierung
  • Process Gateway
  • Startup Tool
  • Windows CE
  • Treiber
  • zenon Logic Runtime und Workbench


Inbetriebnahme der Runtime

Handbuch > Runtime > Inbetriebnahme der Runtime

Das Vorgehen bei der Erstinbetriebnahme der Runtime ist davon abhängig, ob Ihr Bediengerät ein einschaltfertiges Gerät mit installierter Runtime ist oder ob es sich um ein Gerät handelt, auf welchem die Runtime installiert werden muss. Ist die Runtime auf dem Gerät schon installiert, muss nur das gewünschte Projekt auf das Runtime-Gerät kopiert werden.

Dazu:

  • Speichern Sie Ihre Projekt-Dateien auf einem externen Datenspeicher.
  • Bringen Sie diese mit Drag&Drop oder Copy&Paste auf Ihr Runtime-Gerät.

oder

  • Holen Sie das Projekt vom Server auf das Runtime-Gerät.
  • Erstellen Sie einen Client über die Netzwerk-Topologie.

Hinweis: Dies ist auch über Remote-Transport möglich.

Ist die Runtime auf dem Gerät noch nicht installiert, muss sie zuerst installiert werden. Wie das funktioniert, lesen Sie im Kapitel zenon Standardinstallation.

Nach der Installation wird für die Inbetriebnahme der Runtime eine Lizenz benötigt. Die Lizenz wird mit der Lizenzverwaltung übertragen.

Hinweis: Die Festplatte Ihres Bediengerätes kann nach mehrjährigem Einsatz in rauher Industrieumgebung funktionsunfähig werden. Um Datenverlust zu vermeiden, kann es sinnvoll sein, auf eine redundante Umgebung zu achten, wie zum Beispiel sowohl mit einem Server als auch mit einem Standby Server zu arbeiten.

Noch in diesem Kapitel

Installation

Systemvoraussezungen und Betriebssysteme

Hardwarevoraussetzungen


Installation

Handbuch > Runtime > Inbetriebnahme der Runtime > Installation

Für die Installation der zenon Runtime starten Sie den Installationsvorgang von Ihrem zenon Installationsmedium.

Dieser vorgang startet beim Verbinden des zenon Installationsmediums automatisch und führt Sie durch den gesamten Installationsvorgang. Alternativ starten Sie die Installation durch Ausführen der Datei START.exe im Wurzelverzeichnis Ihres zenon Installationsmediums.

info Info

Weitere Informationen finden Sie im Handbuch Installation und Updates im Kapitel zenon Standardinstallation.


Systemvoraussezungen und Betriebssysteme

Handbuch > Runtime > Inbetriebnahme der Runtime > Systemvoraussezungen und Betriebssysteme

Eine detaillierte Übersicht über unterstütze Betriebssystem und die erforderliche Soft- und Hardware finden Sie im Handbuch Installation und Updates.

Noch in diesem Kapitel

Systemvoraussetzungen bei Verwendung von DirectX

Dateistruktur

Freie Ports

Ausnahmen für Antivirus

Firewall Einstellungen


Systemvoraussetzungen bei Verwendung von DirectX

Handbuch > Runtime > Inbetriebnahme der Runtime > Systemvoraussezungen und Betriebssysteme > Systemvoraussetzungen bei Verwendung von DirectX

Bei der Verwendung von DirectX Hardware oder DirectX Software müssen folgende Mindestvoraussetzungen erfüllt werden:

Hinweis: Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Parameter

Mindestvoraussetzung

Empfohlen

CPU:

Single Core mit SSE2 Unterstützung.

Quad Core oder mehr Cores

Grafikkarte:

(Nur DirectX Hardware)

DirectX 11 Mainstream Grafikkarte.

Hinweis: Insbesondere bei Verwendung eines integrierten Grafikchips kann es, abhängig vom eingesetzten Treiber, zu Beeinträchtigungen der Darstellungsqualität kommen.

Dedizierte DirectX 11 AMD oder nVidia High-End Grafikkarte.

Grafikspeicher:

(Nur DirectX Hardware)

1 GB VRAM

Hinweis: Die tatsächlich benötigte Größe ist abhängig von der Anzahl der aufgeschalteten Bilder und der dargestellten Elemente.

2 GB VRAM

Treiber Grafikkarte:

(Nur DirectX Hardware)

Aktuellster Treiber des Grafikkartenherstellers.

Betriebssystem:

DirectX Hardware und DirectX Software funktionieren nur auf Betriebssystemen mit DirectX 11.1 - Unterstützung.

Wenn das System DirectX 11.1 nicht unterstützt, wird automatisch auf Windows Basis umgeschaltet.

Die aktuelle DirectX-Runtime muss installiert sein. Diese wird für zenon mit dem Setup mit installiert. Für den zenon Web Client muss sie manuell installiert werden.

Die DirectX Hardwarefähigkeit der Grafikkarte und des Treibers können Sie mit dem Windows Betriebssystem-Tool dxdiag.exe überprüfen.
Bis Windows 7: Prüfen Sie unter Anzeige den Wert DDI-Version. Der Wert 11 zum Beispiel steht für DirectX 11.
Ab Windows 8: In der Registerkarte Display werden unter Feature Levels alle unterstützten DirectX-Versionen angezeigt. DirectX 11 wird zum Beispiel als 11.0 angezeigt.


Dateistruktur

Handbuch > Runtime > Inbetriebnahme der Runtime > Systemvoraussezungen und Betriebssysteme > Dateistruktur

Die Dateistruktur wird während der Installation angelegt oder erweitert.

Dabei werden die zenon Programmdateien in einem Ordner abgelegt, der während der Installation angegeben wird.

Zusätzlich wird während der Installation nach einem Ordner für die SQL-Datenbanken der Projekte gefragt. Auf dem Speichermedium für die Projektablage (SQL, Bilder usw.) muss genügend freier Platz reserviert sein, da hier alle aktuellen und zukünftigen Projektdaten abgelegt werden.

Ordner | Pfad
Programmordner | 32-Bit System: %Program Files%\COPA-DATA\zenon7xxx 64-Bit System: %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Programmdatenordner, z. B. Globale Symbole, Druckvorlagen, Log-Dateien, usw. | %ProgramData%\COPA-DATA\zenon7xxx
Datenbankordner (SQL) | %ProgramData%\COPA-DATA\SQL
Systemordner | %ProgramData%\COPA-DATA\System
Einstellungen Editor und Profile | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Einstellungen Diagnosis Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definition Runtime-Ordner und Daten-Ordner

Runtime-Ordner

Der Editor erzeugt die Runtime-Dateien im Runtime-Ordner oder diese werden per Remote-Transport in diesen Ordner übertragen. Der Runtime-Ordner wird beim Kompilieren eines Projektes im Editor erstellt oder aktualisiert. Dieser Ordner kann im zenon Editor mit der Projekteigenschaft Runtime-Ordner parametriert werden. Bei Remote-Übertragung wird der Runtime-Ordner in den Einstellungen für den Remote-Transport festgelegt.

Daten-Ordner

Die Runtime speichert alle zur Runtime erzeugten Datendateien, wie etwa Alarmdateien, Archivdateien usw. im Daten-Ordner. Standardmäßig wird der Daten-Ordner als Unter-Ordner zum Runtime-Ordner angelegt. Er erhält automatisch den Namen des Rechners, auf dem die Runtime läuft. Dieser Speicherort kann in den Projekteigenschaften (Allgemein/Datenordner) geändert werden.

Tipp: Setzen Sie den Daten-Ordner nie auf ein entfernbares Laufwerk wie einen USB Stick oder ein Netzlaufwerk. Es wird empfohlen, die Daten lokal aufzuzeichnen und extern zu sichern.

attention Achtung

Falls der angegebene Pfad nicht existiert oder nicht verfügbar ist, werden von der Runtime keine Daten mehr geschrieben. Das bedeutet 100% Datenverlust. Die Runtime bleibt bedienbar, muss aber neu gestartet werden, sobald der Pfad wieder verfügbar ist. Die Verfügbarkeit des Ordners kann mit der Systemtreibervariablen Runtime-Ordner nicht verfügbar überprüft werden.


Freie Ports

Handbuch > Runtime > Inbetriebnahme der Runtime > Systemvoraussezungen und Betriebssysteme > Freie Ports

zenon und zenon Logic benötigen für die Kommunikation im Netzwerk bestimmte Kommunikationsports. Wenn andere Programme, wie z. B. ein bereits installierter SQL-Server, diese Ports belegen, kann dies die Kommunikation von zenon stören. Viele Ports sind in zenon über das Startup Tool oder Eigenschaften im Editor veränderbar.

So überprüfen Sie die Belegung der Ports:

  1. Geben Sie auf der Komandozeile netstat -a -n -o ein.

    Die Kommandozeile erhalten Sie unter Windows mit:

    • Windowstaste+R
    • geben Sie cmd ein und bestätigen Sie mit OK
    • ein DOS-Eingabefenster öffnet sich
    • geben Sie hier den netstat Befehl ein
  2. Sie erhalten eine Liste mit allen aktiven TCP/IP und UDP Ports.
  3. Überprüfen Sie bei den abhörenden Ports (Status: ABHÖREN) ob für die von zenon und zenon Logic benötigten Ports die Prozess-ID (PID) den Prozessen von zenon und zenon Logic entspricht.

    Diese PIDs können im Windows Task Manager ausgelesen werden. Öffnen Sie dazu den Windows Task Manager und wechseln Sie in die Registerkarte Dienste.

  4. Verwendet andere Software diese Ports, konfigurieren Sie diese Software um.
    Welche Ports zenon und zenon Logic nutzen, sehen Sie in der Tabelle Portbelegung durch zenon und zenon Logic. Hier sehen Sie auch, ob Ports in diesen Programmen anpassbar sind.

Portbelegung durch zenon und zenon Logic

Anwendung

Beschreibung

Ports

Transport-Protokoll

stratonrt[k].exe

zenon Logic Runtime pollende Kommunikation und zenon Logic Workbench.
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

zenon Logic Redundanz.
  • 7000-7010

TCP

stratonrt[k].exe

zenon Logic Runtime spontane Kommunikation.
  • 9000-9010

TCP

zennetsrv.exe

zenon Netzwerkdienst.
  • 1100-1100

TCP

zensyssrv.exe

zenon Transportservice.
  • 1101

TCP

zendbsrv.exe

zenon Datenbankdienst.
  • 1103

TCP

zenAdminsrv.exe

zenonVerwaltungsdienst.
  • 50777

TCP

zenLogSrv.exe

zenonLogging-Dienst.
  • 50780

TCP

zenvnc.exe

zenon Remote Desktop Dienst.
  • 5600 (fix)
  • 5610 (fix)

TCP

CodeMeter.exe

Code Meter Dongle Dienst.
  • 22350 (veränderbar, muss aber unverändert bleiben)

TCP

WkSvW32.exe

WibuKey Netzwerkdienst.
  • 22347 (fix)

TCP

Zenrt32.exe

Message Control mit Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fix)

SIP und RTP sind konfigurierbar über den Editor. RTCP wird vom System automatisch gesetzt.

UDP


Ausnahmen für Antivirus

Handbuch > Runtime > Inbetriebnahme der Runtime > Systemvoraussezungen und Betriebssysteme > Ausnahmen für Antivirus

zenon benötigt eine Reihe an Diensten und Operationen, welche Anti-Viren-Programme als potentiell gefährlich einstufen können.

Beispiele dazu:

  • Kommunikation mit CodeMeter --> USB-Dongle
  • Laden von VBA oder VSTA Code
  • Einbetten von ActiveX-Elementen in Bildern
  • Häufige Dateizugriffe, beispielsweise für Archivierung, CEL, AML...

Hinweis: Es gibt Kompatibilitätsprobleme mit Ahnlabs V3 Virenscanner. Sollte zenon den Start mit einer Fehlermeldung verweigern, setzen sie V3 in den Game-Mode oder deinstallieren sie V3.


Firewall Einstellungen

Handbuch > Runtime > Inbetriebnahme der Runtime > Systemvoraussezungen und Betriebssysteme > Firewall Einstellungen

zenon verwendet eine Reihe an Ports. Eine etwaige vorhandene Firewall muss die Kommunikation über diese Ports erlauben. Diese müssen gegebenenfalls in der Firewall freigeschaltet werden.

Verwendete Ports

Für die Kommunikation innerhalb von zenon werden ausschließlich TCP-Ports - keine UDP-Ports - verwendet. Im Netzwerk benötigt zenon folgende Ports:

Dienste | Datei | Aufgabe | TCP-Port
Netzwerkdienst | zenNetSrv.exe | Runtime-Kommunikation. | 1100
Transportdienst | zenSysSrv.exe | Datenübertragung mittels Remote-Transport (Editor). | 1101
zenon Web Server | zenWebSrv.exe | Protokollumsetzer zwischen zenon Web Client und Runtime. | 1102

Port-Nummern können über die Registerkarte Listening ports im Startup Tool individuell geändert werden. In diesem Fall müssen alle beteiligten Geräte angepasst werden.

Des Weiteren verwenden zenon und zenon Analyzer Dienste eine Reihe an Ports:

Anwendung | Standard-Port
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (für Verteiltes Engineering im Editor) | 1434
zenAdminSrv.exe | 50777
zenLicTransfer (License Transfer Service) | 50784
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
WEB Service Tunneling | 8080
zenon Logic |
Belegter Port für zenon Logic oder straton hängt ab vom Projekt und Dienst. Z. B.: Erstes zenon Logic Projekt belegt 1200 und 9000, zweites Projekt 1201 und 9001 usw. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Treiber |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Hinweis: zenon Treiber, welche über Ethernet kommunizieren, verwenden TCP und benötigen daher gegebenenfalls Berechtigungen in der Firewall, abhängig vom verwendeten Port.


Hardwarevoraussetzungen

Handbuch > Runtime > Inbetriebnahme der Runtime > Hardwarevoraussetzungen

Eine der Voraussetzungen für die Inbetriebnahme der Runtime ist ein erfolgreich ausgeführtes Setup. Außerdem ist es wichtig, eine gültige Lizenz zu haben.

In der nachfolgenden Tabelle werden Mindestvoraussetzungen aufgeführt. Diese beziehen sich auf eine Komplettinstallation der Runtime. Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Hardware

Mindestvoraussetzung

Empfohlen

CPU

Single Core mit SSE2 Unterstützung.

Quad Core

Arbeitsspeicher

Windows 7/8: ab 512 MB.

Hinweis: Projekte mit großen Datenmengen, Netzwerkprojekte, mehrere parallele Projekte und Projekte im Redundanzbetrieb benötigen mehr Speicher.

Windows 7/8: 4096 MB

Festplatte

2 GB freier Speicherplatz für Runtime-Installation plus Speicherplatz für die Projekte.

Achtung: Wenn Sie historische Daten aufzeichnen (z. B. Archivdaten oder Alarm-/CEL-Daten), muss ausreichend Festplattenplatz zur Verfügung stehen oder bei der Projektierung dafür gesorgt werden, dass die historischen Daten ausgelagert oder gelöscht werden.

Bildschirmauflösung

VGA mit 640 x 480.

Grafikkarte

64 MB dedizierter Speicher. Karten mit Shared Memory können zu Leistungseinbußen führen. Beachten Sie hierbei das Kapitel Systemvoraussetzungen bei Verwendung von DirectX.

Eingabegeräte

Tastatur und/oder Maus. Auch die Bedienung über einen Touchscreen ist möglich. Für den Touchscreen stehen Ihnen viele individuelle, gestaltbare Soft-Keyboards zur Verfügung.

USB Schnittstelle

(optional)
  • Für Installation.
    Installation auch über Netzwerk oder andere Datenträger möglich.
  • Für Dongle. Auch Netzwerkdongle möglich.

Netzwerkanschluss (optional)

64 kBits/s für Standard Client/Server Projekte.

100 Mbit/s Full Duplex für Redundanzbetrieb.

100 Mbit/s Full Duplex für Standard Client/Server Projekte.

Remoteverbindung (optional)

Minimalvoraussetzung: Wählmodem mit 9600 Bits/s.

1 MBit/s Full Duplex.

WAN Einsatz (optional)

Beliebige Verbindung über Router, z. B. per ISDN oder DSL. Die Datenübertragung ist im WAN technisch bedingt langsamer als im lokalen Netzwerk. Beachten Sie die möglichen Datenübertragungsraten der von Ihnen eingesetzten WAN-Technik bereits bei der Projekterstellung.

Message Control (optional)

Die Voraussetzungen dafür finden Sie im Kapitel Message Control.

Schnittstellen (optional)

Die nötigen Schnittstellen hängen von den Anforderungen der SPS und/oder Busanbindung ab, z. B.: serielle RS232 oder RS422/485 Schnittstellen, ISA/PCI Steckplätze, usw.

Noch in diesem Kapitel

Pfade für Setup und im Betrieb

Demo Modus

Runtime unter Windows Embedded Standard

Runtime für Windows CE


Pfade für Setup und im Betrieb

Handbuch > Runtime > Inbetriebnahme der Runtime > Hardwarevoraussetzungen > Pfade für Setup und im Betrieb

Pfade für zenon:

  • Setup
  • Runtime

info Info

Viele Standardpfade können Sie sich mit dem set Kommando anzeigen lassen:

  • starten Sie die Kommandozeile (Eingabe cmd im Windows Startbereich)
  • geben Sie den Befehl set ein
  • mit Bestätigung mit der Eingabe-Taste werden Standardordner für Windows und zenon angezeigt

Hinweis: Da absolute Pfade sich in verschiedenen Betriebssystemen unterscheiden können, werden in diesem Kapitel Pfade immer als Windows Umgebungsvariablen angezeigt. Zum Beispiel %ProgramData% statt C:\ProgramData.

Setup

Beim Setup werden Pfade gesetzt für vorausgesetzte Software von Drittanbietern sowie das zenon Runtime-Verzeichnis.

Das Setup benötigt Administratorrechte, das gilt auch für die Änderung der Installationspfade.

Voraussetzungen

Die Installationspfade von vorausgesetzter Drittanbieter-Software entsprechen den Standardpfaden der jeweiligen Hersteller und sind beim Setup nicht änderbar.

Welche zusätzlichen Softwarepakete installiert werden, hängt ab von der Installationsart:

  • zenon Editor
  • zenon Runtime
  • zenon Web Client
  • zenon Logic Runtime
Voraussetzung | Editor | Runtime | Web Client | zenon Logic Runtime
Microsoft .NET Framework 3.5 Sp1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft SQL-Server 2012 SP1 Express (ab 7.10) | + | - | - | -
VSTA | + | + | - | -
OPC-Core Components (bis 6.22 SP1) | + | + | - | -
Wibu key Dongle Software 6.0 x86/x64 | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
Report Viewer 10.0 (ab 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon Runtime

Die zenon Runtime verwendet zum Laden von Projekten den Pfad, der in der zenon6.ini gesetzt ist. Dieser Pfad lässt sich über das Startup Tool sowie über den Remote-Transport aus einem zenon Editor heraus setzen.

Objekt | Pfad
Projekt | [Benutzerdefinierter Pfad]\[Projekt]\RT
Externe Dateien | [Benutzerdefinierter Pfad]\[Projekt]\RT\FILES\...
Exportierte Archive, Chronologische Ereignislisten und Alarmmeldeliste | [Benutzerdefinierter Pfad]\[Projekt]\Export Hinweis: Wird bei erstem Export angelegt.
Systemdateien | Windows Systemordner.

zenon Logic

Pfade für zenon Logic werden analog zu den zenon Pfaden angelegt.


Demo Modus

Handbuch > Runtime > Inbetriebnahme der Runtime > Hardwarevoraussetzungen > Demo Modus

Wenn die Runtime nicht lizenziert ist, kann sie im Demo-Modus 30 Tage lang benutzt werden. Eine Lizenzierung ist jederzeit über die Lizenzverwaltung möglich. Die Lizenzierung wird nach einem Neustart von zenon wirksam.

Hinweis: Ab dem 31. Tag im Demo-Modus läuft die zenon Runtime nur noch 10 Minuten lang.


Runtime unter Windows Embedded Standard

Handbuch > Runtime > Inbetriebnahme der Runtime > Hardwarevoraussetzungen > Runtime unter Windows Embedded Standard

Die Mindestanforderungen beziehen sich auf eine an das Betriebssystem Windows Embedded Standard 7 SP1 mit Plattformupdate angepasste Installation der Runtime. Für umfangreiche Projekte muss die Hardware entsprechend leistungsstärker sein.

Diese Tabelle gibt nur die von der Standard-Installation abweichenden Werte wieder. Die restlichen Parameter entsprechen den im Kapitel Hardwarevoraussetzungen für die Runtime beschriebenen Werten.

Hardware

Mindestanforderung

Empfohlen

Arbeitsspeicher
  • 512 MB.

Hinweis: Projekte mit großen Datenmengen, Netzwerkprojekte, mehrere parallele Projekte und Projekte im Redundanzbetrieb benötigen mehr Speicher.
  • 2048 MB

Speichermedium
  • 2 GB freier Speicherplatz am Laufwerk C:\ vor der Installation von .NET Framework 3.5 und 4.5
    800 MB freier Speicherplatz nach der Installation von .NET Framework
  • plus Speicherplatz für die Projekte, Archive, etc.
  • 80 GB

Achtung: Wenn Sie historische Daten aufzeichnen (z. B. Archivdaten oder Alarm-/CEL-Daten), muss ausreichend Festplattenplatz zur Verfügung stehen oder bei der Projektierung dafür gesorgt werden, dass die historischen Daten ausgelagert oder gelöscht werden.


Runtime für Windows CE

Handbuch > Runtime > Inbetriebnahme der Runtime > Hardwarevoraussetzungen > Runtime für Windows CE

Die Mindestanforderungen beziehen sich auf eine Komplettinstallation der Runtime für Windows CE. Für umfangreiche Projekte muss die Hardware entsprechend leistungsstärker sein.

Hardware | Mindestanforderung | Empfohlen
CPU | Mindestens 400 MHz | 1 GHz
Arbeitsspeicher | 64 MB | 1024 MB für Windows CE 6.0.
Speichermedium | 64 MB freier Speicherplatz. Permanent beschreibbarer remanenter Speicher für Projektdaten | 256 MB freier Speicherplatz oder mehr.
Netzwerkanschluss | Für Standard Client/Server Projekte: 10 Mbit/s Fullduplex. |

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.


Deinstallieren der Runtime

Handbuch > Runtime > Deinstallieren der Runtime

Um die Runtime zu deinstallieren:

  1. Öffnen Sie die Systemsteuerung.
  2. Klicken Sie auf Programme.
  3. Klicken Sie auf Programme und Funktionen.
  4. Wählen Sie in den Programmen zenon 8.00 aus.
  5. Klicken Sie auf Deinstallieren.
  6. Folgen Sie dem Deinstallationsassistenten.


Runtime für Windows CE

Handbuch > Runtime > Runtime für Windows CE

Die Runtimeinstallation für Windows CE besteht aus folgenden Dateien:

Dateiname | Beschreibung
zenonrCE.exe | Die Runtime-Anwendung
Cd_tooCE.dll | Erforderliche Datei für die Runtime
ZennetsrvCE.dll | Der Netservice für Windows CE. Erforderlich bei Netzwerkprojekten.
SysSrvCE.exe | Der Transportservice.
LogCliLibCE.dll | Der Logserver Client
zenon6.ini | Textdatei mit Einstellungen für die Runtime wie etwa Startprojekt, Sprache der Runtime usw.
UpdateCE.exe | Anwendung, wird für das CE Update Tool benötigt.
RgermaCE.dll | Deutsche Sprachdatei
RengliCE.dll | Englische Sprachdatei
RfrancCE.dll | Französische Sprachdatei
RitaliCE.dll | Italienische Sprachdatei
RrussiCE.dll | Russische Sprachdatei
RspaniCE.dll | Spanische Sprachdatei

Mit dem CE Runtime Update Programm, erreichbar über das Menü Option, lässt sich die Runtime auf ein CE Gerät installieren.

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.

info Info

Für Verbindungen zu Windows CE 6.0 mit CX1000, Profibus oder SYCONuni gilt: Es muss sichergestellt sein, dass die Datei CDMemDrv.dll auf das Gerät übertragen wurde. CDMemDrv.dll ist ein Windows CE Gerätetreiber. Die DLL steht für x86 und ARMV4I zur Verfügung.

Zusätzlich gibt es noch zahlreiche Treiber zur Hardwarekommunikation. Die im Projekt verwendeten Treiber werden, wenn der Prozessortyp des CE Gerätes vom Editor erkannt wird, automatisch mit dem Projekt über den Remote-Transport übertragen. Die Art oder die Anzahl der übertragenen Dateien, sind im Ausgabefenster des Editors ersichtlich.

Diese Dateien müssen immer für die jeweilige CE Version und für den jeweiligen Prozessortyp geeignet sein. Das Mischen von Dateien aus verschiedenen CE Versionen oder auch Service Packs kann zu Ausfällen und unerwünschten Nebeneffekten führen und ist daher nicht zulässig.

info Info

Beim Start von zenonrce.exe, wird auch die Datei syssrvce.exe ausgeführt. Dadurch wird gewährleistet, dass immer eine TCP-Verbindung aufgebaut werden kann. Es werden lange Wartezeiten vermieden und es wird nur eine Datei für die autostart Funktionalität benötigt.

Noch in diesem Kapitel

Systemdateien

Update Windows CE Runtime

Manuelle Installation und Runtime-Update


Systemdateien

Handbuch > Runtime > Runtime für Windows CE > Systemdateien

Die Runtime für Windows CE setzt das Vorhandensein unterschiedlichster Systemdateien voraus. Fehlt eine dieser Dateien, so erzeugt das Betriebssystem eine Fehlermeldung beim Starten der Runtime, dass eine oder mehrere Komponenten nicht gefunden wurden. Folgende Systemdateien sind unbedingt erforderlich:

Datei | Beschreibung
mfc90u.dll | Erforderlich für die Runtime. Es kommt eine Fehlermeldung beim Starten, wenn diese Datei nicht vorhanden ist.
msvcr90.dll | Erforderlich für die Runtime. Es kommt eine Fehlermeldung beim Starten, wenn diese Datei nicht vorhanden ist.
atl90.dll | Nicht erforderlich für das Starten der Runtime, aber für den Einsatz eines Treibers mit Netzwerkanbindung oder den Einsatz von zenon im Netzwerk. Wenn diese Datei nicht vorhanden ist, kann das Gerät nicht als Client fungieren oder funktionieren TCP/IP Treiberanbindungen nicht.
IMGDECMP.dll | Nicht erforderlich für das Starten der Runtime, aber erforderlich für die Darstellung von Transparenz, wenn Alpha Blending im Betriebssystem nicht integriert ist. Eine Animation ist bei GIF Dateien unter Windows CE nicht möglich.
VBSCRIPT.dll + JSCRIPT.dll | Nicht erforderlich für das Starten der Runtime. Diese Datei wird benötigt für die PCE (Process Control Engine).

Einige dieser Systemdateien werden mit der Installation von zenon für CE mit installiert und können z. B. mit dem UpdateCE Tool auf das CE Gerät übertragen werden. Alle diese Systemdateien sollten bereits vom Gerätehersteller in das Betriebssystem-Image des CE Geräts integriert werden.

attention Achtung

Für Hersteller von Windows CE Betriebssystemimages:
CE Versionen vor 6.0 benötigen die Datei toolhelp.dll. Damit die Datei am CE Gerät vorhanden und die Toolhelp im SDK auch verfügbar ist, aktivieren Sie im Platform Manager folgenden Eintrag:
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Hiermit ist die Toolhelp.dll im Image mit dabei.
Tipp: Verwenden Sie immer das aktuellste Service Pack des Platform Builder.

Hinweis: Die toolhelp.dll wird für Windows CE 6 nicht benötigt und soll mit CE 6 nicht verwendet werden.


Update Windows CE Runtime

Handbuch > Runtime > Runtime für Windows CE > Update Windows CE Runtime

Um ein Update der Windows CE Runtime durchzuführen:

  • Stellen Sie sicher, dass der zenon Transport Service (SysSrvCE.exe) auf dem CE Gerät läuft.
  • Vergewissern Sie sich, dass sie keine Remote Verbindung mittels zenon Editor zum Gerät aufgebaut haben.
  • Wählen Sie im zenon Menü Extras den Befehl Update Windows CE Runtime.

    Der Dialog zur Übertragung von Runtime-Dateien öffnet sich.

  • Konfigurieren Sie die Verbindung.
  • Definieren Sie die zu übertragenden Dateien.
  • Wählen Sie die Version aus.
  • Starten Sie das Update.

Hinweis: Sollten Sie die Runtime zum ersten Mal übertragen/installieren, beachten Sie die Hinweise im Kapitel Manuelle Installation und Runtime-Update .

Verbindung konfigurieren

Die Verbindung zum Windows CE Gerät konfigurieren Sie in der Registerkarte Connection.

Parameter | Beschreibung
Serial | Einstellung für serielle Verbindung zum Windows CE Gerät, Port muss ausgewählt werden.
TCP/IP | Einstellungen für TCP/IP Verbindung zum Windows CE Gerät.
Adress | IP-Adresse.
Name | Computername.
Syssrvce.exe starts with these settings | Einstellung für Start der syssrvce.exe.
Serial | Aktiv: serielle Verbindung wird gewählt, Port muss ausgewählt werden.
TCP/IP | Aktiv: TCP/IP Verbindung wird gewählt.
Connection with MS ActiveSync | Einstellungen zur Verbindung über MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Aktiv: syssrvce.exe wird beim ersten Transport über MS ActiveSync übertragen.
Destination folder | Zielordner.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Zu übertragende Dateien definieren

Parameter | Beschreibung
Files to update | Dateien, die übertragen werden sollen.
HMI Runtime | Aktiv: Überträgt zenon Dateien zum Zielgerät. Default: aktiv
PLC Runtime | Aktiv: Überträgt zenon Logic Dateien zum Zielgerät. Default: inaktiv
OS system files | Aktiv: Überträgt nötige Dateien des Betriebssystems. Default: aktiv
Update zenon6.ini | Überträgt die zenon6.ini zum Zielgerät. Damit werden auch die Lizenzinformationen am Zielgerät geändert.
Options |
Language | Gewünschte Sprache am Zielsystem. Default: English
HMI drivers | Auswahl der zu übertragenden HMI Treiber.
Available | Liste der zur Verfügung stehenden Treiber.
Selected | Liste der ausgewählten Treiber.
Add | Fügt markierte Treiber zur Liste der ausgewählten Treiber hinzu.
Add all | Fügt alle Treiber zur Liste der ausgewählten Treiber hinzu.
Remove | Löscht markierte Treiber aus der Liste der ausgewählten Treiber.
Remove all | Löscht alle Treiber aus der Liste der ausgewählten Treiber.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Version auswählen

Wählen Sie in der Registerkarte Versions die passende Version aus, falls sie nicht automatisch erkannt wurde.

Parameter | Beschreibung
WinCE version | Version des Windows CE Betriebssystems am Zielgerät. Klick auf Schaltfläche öffnet Dropdownliste zur Auswahl.
Processor type | Prozessor des Geräts.
Source path | Pfad zum Ordner, der die Dateien enthält. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl des Ordners.
New | Fügt neuen, leeren Eintrag in Liste ein.
Delete | Löscht den ausgewählten Eintrag aus der Liste,
Test | Überprüft Einstellungen.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Update starten

Um die Verbindung herzustellen:

  1. Klicken Sie in der Registerkarte Update auf die Schaltfläche Start.

    Die Daten für die Übertragung werden überprüft und in einem Fenster angezeigt.

  2. Starten Sie mit einem Klick auf die Schaltfläche Next die Übertragung zum Zielgerät.

    Falls die Übertragung aufgrund fehlender Dateien nicht gestartet werden kann, erhalten Sie eine Fehlermeldung mit der Liste der fehlenden Dateien:

    Falls Sie die Fehlermeldung The current update was not completed erhalten, wurde die Installation unterbrochen oder nicht korrekt beendet.

info Info

Soll zenVNCServer.exe per Update ersetzt werden, wird dieser beendet und nach dem Update wieder gestartet. Dazu muss die Datei zenVNCSrvCE.exe in der UpdateCE.ini im Abschnitt [SOURCES_FILES_GENERAL] mit den folgenden Einträge konfiguriert sein (per default vorhanden):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Manuelle Installation und Runtime-Update

Handbuch > Runtime > Runtime für Windows CE > Manuelle Installation und Runtime-Update

Installation und Update sind auch ohne Remote-Transport und ActiveSync möglich. Dazu werden die erforderlichen Dateien manuell auf eine Speicherkarte für das CE Gerät kopiert. Dafür müssen Sie CE Version und Prozessortyp das CE Geräts kennen.

Folgende Dateien müssen zwingend aus dem jeweiligen Ordner für die richtige Plattform auf die für das CE Gerät bestimmte Speicherkarte kopiert werden:

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnose-DLL)
  • zenon6.ini (Konfigurationsdatei)
  • Cd_tooCE.dll (Hilfs-DLL)
  • ZenNetSrvCE.dll (Netzwerk)
  • CDHelper.dll (Hilfs-DLL)
  • Eine der folgenden Sprach-DLLs: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (Die ausgewählte Sprache wird in der Datei zenon6.ini festgelegt.)
  • syssrvce.exe (Transportservice und Diagnosis Server)
  • atl90.dll (Systemdatei, ev. im Betriebssystem enthalten)
  • mfc90u.dll (Systemdatei, ev. im Betriebssystem enthalten)
  • msvcr90.dll (Systemdatei, ev. im Betriebssystem enthalten)

Weitere Dateien, wie zum Beispiel die Treiber oder die Remotedesktop-Software (zenVNCCfgCE.exe und zenVNCSrvCE.exe), sind optional.


Unterstützte Protokolle

Handbuch > Runtime > Unterstützte Protokolle

Die Runtime kommuniziert durch Treiber mit allen möglichen Steuerungen. Die Treiber unterstützen eine Vielzahl an Protokollen.

Verfügbare Treiber:

  • 3964R-RK512 driver (Win, CE)
  • Allen Bradley DF1-driver (Win, CE)
  • Allen-Bradley ODVA driver (Win, CE)
  • Applicom driver (Win)
  • Applicom IO configuration (Win)
  • Archive driver (RAW format) (Win, CE)
  • ARCNET - Driver for ABB (Win)
  • AS-interface (Win)
  • Bachmann M1 driver (Win)
  • Bacnet and DDC4000 driver (Win)
  • BACnet driver Next Generation (Win, CE)
  • Beckhoff BC-BK 9000 (Win, CE)
  • Beckhoff TwinCat ADS driver (Win)
  • Beckhoff TwinCat NG driver (Win, CE)
  • Beckhoff TwinCat TC-ADS driver (Win, CE)
  • Biffi DCM (Win)
  • BR TCP-IP driver (Win)
  • BR Transponder Reader 4102/4150 (Win, CE)
  • BR-PVI based driver (Win, CE)
  • BR-PVI based driver (replaced) (Win, CE)
  • Brodersen IOTOOLS (Win)
  • Buderus32 driver (Win)
  • Codesys Arti NG SoftPLC driver (Win, CE)
  • Codesys Arti SoftPLC driver (Win, CE)
  • Codesys SoftPLC driver (Win)
  • CP001 Gateway driver (Win, CE)
  • CTI driver (Win, CE)
  • Danfoss driver (Win)
  • DataTaker driver (Win, CE)
  • DDE Client driver (Win)
  • DMX 512 driver (Win)
  • DNP3 driver (Win, CE)
  • DNP3 Slave/Outstation (Win)
  • Driver for ABB 07KT94 (Win)
  • Driver for ESA PCI CIB (Win, CE)
  • Driver for Esser BMZ 8000 (Win, CE)
  • Driver for IBH Soft PLC (Win, CE)
  • Driver for internal variables (Win, CE)
  • Driver for Mathematics variable (Win, CE)
  • Driver for Otis controller (Win, CE)
  • Driver for SE-Elektronic (Win)
  • Driver for simulator variables (Win, CE)
  • Driver for Slot PCL SPCx00 (Win)
  • Driver for system variables (Win, CE)
  • Driver for the buttons /Ketop (Win, CE)
  • Driver for VIPA CE touchpanel (Win, CE)
  • Drv for BCI hand-held scanner (Win)
  • Eldatic driver (Win)
  • Elrest CAN Network driver (Win)
  • Energy analysis device UPM 3000 (Win)
  • European Installation Bus (Win)
  • Festo EasyIP Multiprog driver (Win)
  • Festo Serial-CI driver, FST (Win)
  • File driver (Win)
  • FMS with PC card from Siemens (Win)
  • Hekatron driver (Win)
  • Hilscher CIF driver (Win)
  • Hilscher CIF Profibus (Win, CE)
  • Hilscher MPI driver (Win, CE)
  • Hilscher SYCON CifX (Win)
  • Hilscher SYCON configuration (Win, CE)
  • Hilscher SYCON configuration (Win, CE)
  • Hitachi driver (Win, CE)
  • HMI adapter driver (Win, CE)
  • HMS configuration (Win)
  • Hydrometer Driver (Win)
  • i-LON 100 driver (Win)
  • Idec driver (Win)
  • Ident System driver (Win, CE)
  • IEC 60870 - 5 - 103 Driver (Win)
  • IEC 60870-5-101_104 driver (Win, CE)
  • IEC 61400-25-4 Annex C (Win, CE)
  • IEC 61499 driver (Win)
  • IEC 61850 Client (Master) (Win, CE)
  • IEC 61850 driver (Win, CE)
  • IEC 61850 Server (Slave) (Win, CE)
  • IEC-62056-21 Driver (Win)
  • IEC60870-5-101/104 Slave (Win, CE)
  • Interbus S driver (Win)
  • Interbus-S (Win)
  • Internal driver with time stamp (Win, CE)
  • Jetter Treiber (Win)
  • K-Bus driver for CX1000 (Win, CE)
  • Kemro User ID Driver (Win, CE)
  • Kieback + Peter driver (Win)
  • KOYO Sequence driver (Win, CE)
  • LogiCAD driver (Win)
  • LON driver (Win)
  • LS Industrial Systems-XGT (Win)
  • Matsushita TCP-IP driver (Win)
  • Mininet-Master driver (Win, CE)
  • Mitsubishi - Melsec A-Q driver (Win, CE)
  • Mitsubishi - Melsec FX driver (Win, CE)
  • Modbus Energy driver (Win, CE)
  • MODBUS Master protocol (Win, CE)
  • Modbus RTU and Open Modbus TCP (Win, CE)
  • MODBUS Slave protocol (Win, CE)
  • Modicon TSX Micro driver (Win, CE)
  • Moeller Electric PSUNI driver (Win, CE)
  • OMRON driver (Win, CE)
  • Omron FINS driver (Win, CE)
  • OPC Client V2-0 driver (Win, CE)
  • OPC UA Client driver (Win, CE)
  • OSAI TCP/IP driver (Win, CE)
  • Panasonic serial driver (Win)
  • Passive Modbus RTU driver (Win)
  • PC Adapter - Vipa Green Cable (Win, CE)
  • PCS807 Profibus DP driver (Win, CE)
  • PCS812 S7 connection (Win, CE)
  • PDNet PCI - driver (Win)
  • PICnet driver (Win, CE)
  • PILZ-PSS driver (Win, CE)
  • Profibus DP Master driver (Win)
  • ProfiNet IO RT (Win, CE)
  • Reis Robotics driver (Win)
  • RTK9000 driver (Win)
  • S5 H1 driver (Win)
  • S5 TCP-IP driver (Win)
  • S7 driver for S7-200 (Win, CE)
  • S7 driver Softnet based (Win)
  • S7 MPI for Siemens CE terminals (Win, CE)
  • S7 TCP-IP driver (Win, CE)
  • S7_MPIISA driver (Win)
  • Saia Directly driver (Win, CE)
  • SAIA2ND32 driver (Win)
  • SaNORS - Asfinag SOS-telephones (Win)
  • Schiele S400 driver (Win, CE)
  • Schiele S800 driver (Win, CE)
  • Siclimat X Decos (Win)
  • Siemens S5 PD driver (Win, CE)
  • Siemens Sigmasys driver (Win)
  • SIGMATEK driver (Win)
  • Sigmatek Lasal Driver (Win, CE)
  • Simotion driver (Win)
  • SNMP Driver (Win)
  • SoftNet ProfibusDP (Win)
  • SQL Driver (Win)
  • SST Driver (Win)
  • Standard M-Bus driver (Win, CE)
  • straton driver (Win, CE)
  • straton NG driver (Win, CE)
  • straton to zenon RT connection (Win, CE)
  • Swarco Futurit (Win)
  • System 2000 driver (Win)
  • System 2000 driver with logging (Win)
  • Telco200 driver (Win)
  • Teleperm driver (Win)
  • ThinkIO/IOSystem758 (Win, CE)
  • TI 505 - 545 driver (Win)
  • Trend Driver (Win)
  • Trend NG driver (Win)
  • VDMA-XML driver (Win, CE)
  • VMEBUS driver (Win)
  • Win32 Shared memory (Win)
  • WINAC driver (Win)
  • Write variable values in SQL (Win)


Starten der Runtime

Handbuch > Runtime > Starten der Runtime

Sie haben mehrere Möglichkeiten, die zenon Runtime zu starten:

  • über den Editor
    • mit Drücken der F5-Taste
    • über das Symbol Runtime starten in der Symbolleiste Runtime Dateien
  • über das Startup-Tool
  • über das Windows-Startmenü
  • per Windows Autostart
  • über den Dienst zenStartupMgr

Dienst zenAdminSrv

Zum Starten der Runtime muss der Dienst zenAdminSrv gestartet sein. Ist der Dienst nicht verfügbar, erhalten Sie eine entsprechende Fehlermeldung.

Beim Start über Windows Autostart versucht zenon die Runtime zu starten, bis der Dienst verfügbar ist oder Sie die Fehlermeldung mit Klick auf die Schaltfläche Cancel beenden.

Größe des Hauptfensters

Die Größe des Runtime-Fensters beim Start der Runtime wird für den lokalen Rechner im zenon Editor projektiert.
Für diese Projektierung führen Sie folgende Schritte durch:

  1. Wählen Sie den Arbeitsbereich im zenon Editor.
  2. Klicken Sie auf die Eigenschaftengruppe Lokale Runtimegröße.
  3. Geben Sie die Werte für Breite des Runtime-Fensters [Pixel] ein.
  4. Geben Sie die Werte für Höhe des Runtime-Fensters [Pixel] ein.

Funktion "In den Vordergrund"

Die Runtime kann mit der Funktion In den Hintergrundhinter andere laufende Programm geschaltet werden. Mit der Funktion In den Vordergrundwird sie wieder in den Vordergrund geholt.

info Info

Beim in den Vordergrund Schalten der Runtime mit der Funktion In den Vordergrund wird das Runtime-Fenster als oberstes Fenster definiert.

Beachten Sie folgende Sonderfälle:

  • Das Keyboard DIALOGKBD kann in dieser Situation nicht aufgeschaltet werden.
    Andere Keyboards können verwendet werden.
  • Die Alarmstatuszeile wird vom Runtime-Fenster überdeckt.

Um die Alarmstatuszeile wieder in den Vordergrund zu holen, haben Sie folgende Möglichkeiten:

  • Aktivieren Sie die Systemtasten (Projekteigenschaft Systemtasten sperren deaktivieren) und holen Sie die Alarmstatuszeile mit Alt+Tab wieder in den Vordergrund.
  • Aktivieren Sie die Windows Taskbar und klicken Sie auf das Fenster Status.
  • Schalten Sie die Runtime wieder in den Hintergrund.
  • Starten Sie die Runtime neu.

Hinweis: Die Funktion In den Vordergrund ist nicht identisch mit der Funktion Schablone in den Vordergrund holen!

Startprojekt setzen

Haben Sie ein Projekt erstellt, so können Sie dieses auf verschiedene Arten starten.

Hinweis: Voraussetzung ist, dass Sie das generierte Projekt zunächst auf das Zielsystem übertragen, falls der Projektierungsrechner nicht gleichzeitig auch das Zielsystem ist.

Um ein Startprojekt in der Runtime zu setzen, gibt es mehrere Möglichkeiten:

Über den Editor:

  1. Starten Sie den zenon Editor.
  2. Wählen Sie das Projekt aus, welches Sie als Startprojekt setzen möchten.
  3. Klicken Sie im Kontextmenü auf Projekt auf Startprojekt setzen.

Über das Startup Tool:

  1. Öffnen Sie das Startup Tool.
  2. Klicken Sie auf Item--> Properties...
  3. Wählen Sie in dem Feld RT-Projekt das Projekt aus, welches Sie als Startprojekt setzen möchten.

Über Remote-Transport:

  1. Aktivieren Sie das Projekt in der Symbollleiste.
  2. Setzen Sie das gewünschte Projekt als Startprojekt.

Über die Netzwerktopologie:

  1. Fügen Sie einen Rechner hinzu.
  2. Wählen Sie diesen Rechner aus.
  3. Setzen Sie das gewünschte Projekt als Startprojekt.

Noch in diesem Kapitel

Autostart der Runtime einrichten

Keyblock Runtime Start

Startverzögerung konfigurieren


Autostart der Runtime einrichten

Handbuch > Runtime > Starten der Runtime > Autostart der Runtime einrichten

Um einen Autostart der Runtime einzurichten, gehen Sie wie folgt vor:

  1. Wählen Sie aus dem Verzeichnis C:\Program Files (x86)\COPA-DATA\zenon 8.00 SP0 die zenonrt.32.exe Anwendung.
  2. Erstellen Sie eine lokale Verknüpfung davon.
  3. Kopieren Sie diese in den Autostart-Ordner.

Somit startet die Runtime beim nächsten Anmelden automatisch.


Keyblock Runtime Start

Handbuch > Runtime > Starten der Runtime > Keyblock Runtime Start

Keyblock Runtime Start ist ein Programm, mit dem die zenon Runtime als Shell läuft. Dabei wird die zenon Runtime gestartet, aber alle Windows Systemtasten werden gesperrt. Tastenkombinationen wie Windows-Taste oder Strg+Alt+Entf haben dann keine Auswirkung mehr. Benutzer können damit nicht mehr auf das Betriebssystem zugreifen, sondern nur mehr in der zenon Oberfläche arbeiten.

Voraussetzung dafür ist, dass die Projekteigenschaft Runtime-Titel auf Kein Titel (gesamter Schirm) gesetzt ist. Dann arbeitet zenon im Vollbildmodus und die Runtime kann nicht minimiert werden.

Beachten Sie auch die Hinweise im Kapitel Runtime-Dateien schützen.

Hinweis: Die Sperre der Windows-Taste kann umgangen werden. Sperren Sie daher die Windows-Taste über den entsprechenden Eintrag im Startup Tool.


Startverzögerung konfigurieren

Handbuch > Runtime > Starten der Runtime > Startverzögerung konfigurieren

Bei der Verwendung von Dongles für die Lizenzierung muss der Codemeter Service bereit sein, bevor die zenon Runtime startet. Um die Startzeit anzupassen können Sie für die zenon Runtime eine Startverzögerung konfigurieren.

Hinweis: Beachten Sie hierbei, dass diese Startverzögerung nur in der zenon6.ini-Datei zu konfigurieren ist. Es gibt keine Möglichkeit dies in einer grafischen Benutzeroberfläche zu parametrieren.

Startverzögerung zenon Runtime

Legen Sie in der zenon6.ini für zenon eine Startverzögerung von mindestens 30 Sekunden fest.

Dazu:

  1. Öffnen Sie die zenon6.ini mit einem Editor.
  2. Navigieren Sie zum Abschnitt [DEFAULT]
  3. Erstellen Sie einen neuen Eintrag STARTDELAY=
  4. Geben Sie die gewünschte Verzögerung in Millisekunden ein.

Beispiel:

[DEFAULT]

STARTDELAY= 30000

info Info

Die zenon6.ini finden Sie im Pfad: %ProgramData%\COPA-DATA\System\


Starten der Runtime als Dienst

Handbuch > Runtime > Starten der Runtime als Dienst

Die zenon Runtime kann vom Dienst zenStartupMgr automatisch als Dienst gestartet werden.

Achtung: Wird die Runtime über den zenStartupMgr gestartet, darf sie von Benutzern nicht mehr gestoppt oder neu gestartet werden.

Um eine Runtime als Dienst zu starten:

  1. Registrieren Sie die Datei zenStartupMgr.exe als Dienst.
  2. Konfigurieren Sie die Eigenschaften für die Anmeldung.
  3. Starten Sie, wenn nötig, den Remote-Transport mit dem zenStartupMgr.
  4. Definieren Sie im Startup Tool die zu startende Runtime.
  5. Konfigurieren Sie bei einer Dongle-Lizenzierung eine Startverzögerung für die zenon Runtime.

Dienst registrieren

Um zenStartupMgr.exe als Dienst zu registrieren:

  1. Öffnen Sie die Kommandozeile.
  2. Navigieren Sie zum Speicherort der Datei zenStartupMgr.exe.
    (Default 32-Bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (Default 64-Bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Registrieren Sie die Datei mit dem Kommando zenStartupMgr.exe –service als Dienst.
    Hinweis: Damit wird der Dienst, falls er bereits läuft, erst gestoppt und dann registriert. Ein laufender zenStartupMgr wird beendet.

Dienst für die Verwendung vieler Treiber konfigurieren

Windows als Betriebssystem beschränkt durch den fest reservierten Desktop-Speicher die Anzahl erzeugbarer Fenster, abhängig von Version und möglicher Interaktion mit dem Desktop.

Version/Aktion | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-bit | 20 MB | 768 KB

zenon Treiber benötigen jeweils mehrere Fenster. Die Anzahl der verwendbaren Treiber kann über die Option Datenaustausch zwischen Dienst und Desktop zulassen in den Eigenschaften des Dienstes beeinflusst werden.

  • Inaktiv:
    Es können maximal 20 Treiber gestartet werden.
  • Aktiv:
    Es können gleich viele Treiber gestartet werden wie in einer als Benutzerprozess gestarteten Runtime.

Um die Option Datenaustausch zwischen Dienst und Desktop zulassen aktivieren:

  1. Öffnen Sie den Windows Dienste-Manager.
  2. Öffnen Sie die Eigenschaften des Dienstes zenStartupMgr.
  3. Navigieren Sie zur Registerkarte Anmelden.

  4. Aktivieren Sie die Option Datenaustausch zwischen Dienst und Desktop zulassen.
    Dieser Dienst muss auf den Starttyp automatisch konfiguriert werden. Bei aktivem Dienst erhält der auf dem Rechner angemeldete Benutzer einen Hinweis, wenn die zenon Runtime als Dienst ein zusätzliches Fenster öffnet, zum Beispiel bei einem neuen Alarm und aktiver Statuszeile.

    Hinweis Windows 8/Server 2012: Damit der Dienst gestartet werden kann, muss ein Eintrag in der Windows Registry korrekt gesetzt sein:

    1. Navigieren Sie zum Eintrag HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Öffnen oder erstellen Sie den DWORD-Wert NoInteractiveServices.
    3. Setzen Sie den Dezimalwert von 1 auf 0.
  5. Um zu verhindern, dass am Desktop Runtime-Meldungen angezeigt werden:
    Deaktivieren Sie den Dienst Erkennung interaktiver Dienste.

Interaktiver Zugriff

Soll es möglich sein, auf den Prozess interaktiv zuzugreifen, dann:

  1. Aktivieren Sie im Dienst die Option Datenaustausch zwischen Dienst und Desktop zulassen.
  2. Aktivieren Sie den Dienst Erkennung interaktiver Dienste.

Hinweis: Diese Zugriffsart eignet sich nicht als Ersatz für die tatsächliche Bedienung der Runtime. Dienste sind gedacht, als im Hintergrund laufende Programminstanzen, die nicht über eine Oberfläche bedient werden. Wenn operativ auf dem Runtime Server bedient werden soll, muss die Runtime als Applikation gestartet werden. Soll die Runtime auf dem Server als Dienst laufen, dann kann das operative Bedienen der Runtime von einem zenon Client aus durchgeführt werden.

Einschränkungen im interaktiven Zugriff

Wird die zenon Runtime als Dienst gestartet und soll diese trotzdem über eine visuelle Oberfläche (GUI) verfügen, dann wird das vom Betriebssystem über den Systemdienst Secure Desktop (Erkennung interaktiver Dienste) realisiert.

Der Zugriff auf die Runtime-Oberfläche über den Windows Systemdienst unterliegt seit der Version Vista/Server 2008 aus Sicherheitsgründen mehreren Einschränkungen. Vor allem:

  • Der interaktive Desktop wird von Windows nach 1 Minute Inaktivität automatisch beendet und der Windows Anmelde-Bildschirm wird angezeigt.
  • Darstellung von DirectX-Effekte wie z.b. Glow oder Schatten für Elemente sind nicht möglich.
  • Mehrbildschirm-Betrieb ist nicht möglich.

Noch in diesem Kapitel

Konfiguration der zenon Logic Runtime

Konfiguration im Startup Tool

Remote-Transport

Ablauf


Konfiguration der zenon Logic Runtime

Handbuch > Runtime > Starten der Runtime als Dienst > Konfiguration der zenon Logic Runtime

Wenn zenon als Dienst läuft, ist die Oberfläche der integrierten zenon Logic Runtime nicht verfügbar. Um Änderungen an der Konfiguration der zenon Logic Runtime vorzunehmen, muss die Runtime normal gestartet werden.


Konfiguration im Startup Tool

Handbuch > Runtime > Starten der Runtime als Dienst > Konfiguration im Startup Tool

Sie können im Startup Tool unterschiedliche Programme definieren, die vom Dienst gestartet werden sollen. Um eine bestehende zenon Runtime als Dienst zu starten:

  1. Öffnen Sie das zenon Startup Tool.
  2. Klicken Sie auf Application.
  3. Wählen Sie Options.
  4. Der Dialog mit den Einstellungen wird geöffnet.
  5. Navigieren Sie zur Registerkarte Service startup.

  6. Um eine Runtime zu definieren, klicken Sie auf die Schaltfläche New.
  7. Der Dialog zur Auswahl eines Programms wird geöffnet.

  8. Klick auf die Schaltfläche ... öffnet den Dateiauswahldialog.
  9. Navigieren Sie zum entsprechenden zenon Ordner.
  10. Wählen Sie die Zenrt32.exe aus.
  11. Schließen Sie den Auswahldialog und das Startup Tool.


Remote-Transport

Handbuch > Runtime > Starten der Runtime als Dienst > Remote-Transport

In seinen Standardeinstellungen läuft der zenon Remote-Transport im Kontext des angemeldeten Benutzers. In dieser Konfiguration kann er die Runtime als Dienst weder starten noch nachladen oder stoppen.

Der Remote-Transport muss daher mit dem zenStartupMgr mitgestartet werden. Dazu:

  1. Erstellen Sie einen Eintrag für den Start des zenSysSrv im Startup Tool -> Service startup.
  2. Reihen Sie den Eintrag vor den Eintrag für die zenrt32.exe.
  3. Deaktivieren Sie den zenSysSrv für angemeldete Benutzer.

Dann kann der Remote-Transport:

  • Daten zum Server übertragen
  • Daten nachladen

Läuft die Runtime als Dienst, dann darf sie nicht via Remote-Transport gestoppt oder neu gestartet werden.

Remote-Transport für angemeldete Benutzer deaktivieren

Wird der zenSysSrv mit dem zenStartupMgr gestartet, dann darf er nicht mehr vom angemeldeten Benutzer gestartet werden. Um das zu vermeiden, entfernen Sie ihn manuell aus der Registry.

zenSysSrv bis Windows 8:

  1. Öffnen Sie den die Windows Dialog zur Ausführung von Befehlen (Windows-Taste + R).
  2. Geben Sie msconfig ein.
  3. Der Dialog Systemkonfiguration wird geöffnet.
  4. Navigieren Sie zur Registerkarte Start.
  5. Deaktivieren Sie den automatischen Start von zenon indem Sie die Checkbox vor zenSysSrv.exe deaktivieren.
  6. Klicken Sie auf Übernehmen.
  7. Beenden Sie den Dialog mit Klick auf OK.
  8. Starten Sie den Rechner neu.

zenSysSrv ab Windows 8:

  1. Öffnen Sie den Task-Manager (Strg+Umschalt+Esc).
  2. Navigieren Sie zur Registerkarte Autostart.
  3. Deaktivieren Sie den automatischen Start von zenon indem Sie die Checkbox vor zenSysSrv - Transport service deaktivieren.
  4. Klicken Sie auf Deaktivieren.
  5. Starten Sie den Rechner neu.

Achtung: Wird eine zenon Version über das Startup Tool neu registriert, wird der Eintrag neu erstellt und muss wieder manuell entfernt werden.


Ablauf

Handbuch > Runtime > Starten der Runtime als Dienst > Ablauf

Wenn der Dienst zenStartupMrg gestartet wird, dann startet er alle im Startup-Tool eingetragenen Prozesse hintereinander als Kindprozesse. Wird der Dienst beendet, beendet er alle von ihm gestarteten Prozesse in umgekehrter Reihenfolge.

Rechte

Alle von zenStartupMrg gestarteten Prozesse laufen unter dem Benutzer, unter dem der Dienst vom System gestartet wird. In der Regel ist dies das lokale Systemkonto. Es können nur Ressourcen benutzt werden, auf die das lokale Systemkonto zugreifen darf.
Damit sind in der Regel nicht erreichbar:

  • Netzwerklaufwerke
  • Netzwerkdrucker
  • Datenbanken mit aktivierter Option Integrierter Sicherheit von Windows NT verwenden

Wird der zenStartupMgr unter einem dedizierten Windows-Benutzer gestartet, ist außerdem keine Interaktion mit dem Desktop möglich.
Achtung: Das Passwort eines dedizierten Benutzers darf weder geändert werden noch ablaufen. Ansonsten startet der Dienst nicht mehr.

Secure Desktop

Über den Secure Desktop kann auf einen Prozess interaktiv zugegriffen werden, der über eine Oberfläche verfügt und im Systemkontext ausgeführten wird. Dazu muss:

  • im Dienst zenStartupMgr die Option Datenaustausch zwischen Dienst und Desktop zulassen aktiviert werden
  • der System-Dienst Erkennung interaktiver Dienste gestartet sein

Hinweis: Diese Zugriffsart eignet sich nicht als Ersatz für die tatsächliche Bedienung der Runtime. Dienste sind gedacht, als im Hintergrund laufende Programminstanzen, die nicht über eine Oberfläche bedient werden. Wenn operativ auf dem Runtime Server bedient werden soll, muss die Runtime als Applikation gestartet werden. Soll die Runtime auf dem Server als Dienst laufen, dann kann das operative Bedienen der Runtime von einem zenon Client aus durchgeführt werden.

Nachrichtenboxen und modalen Dialoge werden automatisch unterdrückt, wenn:

  • die zenon Runtime über den zenStartupMgr im Systemkontext gestartet
    und
  • der Secure Desktop nicht angezeigt wird

attention Achtung

Modale Dialoge dürfen nie über VBA oder VSTA aufgeschaltet werden, da keine Möglichkeit besteht, diese durch Benutzerinteraktion wieder zu schließen.


Nachladen der Runtime

Handbuch > Runtime > Nachladen der Runtime

Wenn die Projektierung im Editor geändert wird, kann die Runtime die geänderten Daten im laufenden Betrieb nachladen. Ausgenommen davon sind systemrelevante Änderungen. Diese benötigen in der Regel einen Neustart der Runtime.

Um Daten nachzuladen:

  1. Wählen Sie im Editor das Symbol für Geänderte Runtime-Dateien erzeugen oder benutzen Sie den Remote Transport.
  2. Klicken Sie in der Runtime auf den Button mit der Funktion Nachladen.
    Dieser muss bereits projektiert und vorhanden sein.

    Die Runtime lädt die geänderten Daten.

Nachladen durch System verzögert

Das Nachladen der Runtime wird vom System auf einen späteren Zeitpunkt verschoben, wenn:

  • der Benutzer ein Kontextmenü oder einen Dialog öffnet
  • eine Nachrichtenbox angezeigt wird

Das Nachladen wird in diesem Fall erst durchgeführt, wenn diese Elemente wieder geschlossen wurden.


Runtime als ActiveX Control

Handbuch > Runtime > Runtime als ActiveX Control

Für KUKA HMIs steht ein ActiveX Control zur Verfügung, das die komplette Runtime in einem Control laufen lässt. Damit kann die Runtime als Sub-Programm in eine andere Applikation eingefügt werden. Das Control verhält sich mit einigen Ausnahmen analog dem zenon Web Client und ist auch in einem Browser lauffähig.

Name Control: zenRuntimeCtrl.ocx

Unterschiede zum zenon Web Server:

  • Nur innerhalb einer 32-Bit zenon Runtime-Installation lauffähig.
  • Auch Server und Einzelplatz möglich, nicht nur Client.
    Hinweis: Die Module Schaltfolgen und Batch Control werden in diesem ActiveX Control nicht unterstützt.
  • Startet auch Treiber.
  • Verwendet nicht die zenon Web Server Lizenzierung.
    Es ist eine zenon Runtime-Lizenz erforderlich
  • Startprojekt wird aus der zenon6.ini gelesen.
  • OCX-Properties Server, zenon Web Server und Projekt existieren nicht.
  • Netzwerkkommunikation wird über die zenNetSrv.exe abgewickelt, nicht über die zenNetSrv.dll.


Bedienen zur Runtime

Handbuch > Runtime > Bedienen zur Runtime

Bedienungsarten

Die Runtime können Sie sowohl per Maus als auch über Tastatur oder Touch-Screen bedienen. Für die Maus- oder Touch-Bedienung können Sie vor allem Buttons, Zustandsschaltflächen, Schalter und unsichtbare Buttons, in Ihrem Projekt verwenden. Die Möglichkeit der Mausbedienung eines Bildobjekts wird durch eine Änderung des Cursorsymbols signalisiert. Der Pfeil als Mauszeiger wird zu einem Handsymbol.

info Info

Die Aufschaltzeit von Bildern zur Runtime hängt von der Anzahl der verknüpften Variablen ab. Erst wenn alle Variablen erfolgreich angemeldet wurden, kann das Bild bedient werden.

Werden sehr viele Variablen angemeldet, kann das die Aufschaltzeit verlängern. In diesem Fall wird ein Fortschrittsbalken angezeigt, der den Ladefortschritt anzeigt.

Noch in diesem Kapitel

Maus

Touch

Tastaturbedienung

Tastenkombinationen sperren

Reihenfolge innerhalb Schablone festlegen

Positionierung und Bedienung von Schablonen

Konfigurierbare Listen

Runtime-Meldungen


Maus

Handbuch > Runtime > Bedienen zur Runtime > Maus

EIn Klick auf ein Dynamisches Element öffnet (abhängig von den Einstellungen im Dynamischen Element) den Standard-Dialog für die Sollwert-Eingabe. Abhängig vom Datentyp der Variable werden folgende Dialoge aufgeschalten:

Mögliche Eingaben sind:

Parameter | Beschreibung
Umschalten auf Spontanwert | Anzeigen des Spontanwertes (Wert aus der Steuerung), wenn vorher der Ersatzwert angezeigt wurde oder der Wert abgeschaltet war.
Modifizieren Spontanwert (default) | Neuen Spontanwert in die Steuerung schreiben
Umschalten und Modi. Spontanwert | Gemeinsames Ausführen der beiden oberen Kommandos
Umschalten auf Ersatzwert | Anzeigen des Ersatzwertes (Wert aus der Variablendefinition), wenn vorher der Spontanwert angezeigt wurde
Modifizieren Ersatzwert | Neuen Ersatzwert für die Variable setzen
Umschalten und Modi. Ersatzwert | Gemeinsames Ausführen der beiden oberen Kommandos
Spontanwert abschalten | Verbindung zur Steuerung für diesen Wert durch Setzen des Status-Bits OFF (Bit 20) abschalten.
Spontanwert einschalten | Verbindung zur Steuerung für diesen Wert durch Zurücksetzen des OFF Bits wieder herstellen.
Setzen des Binärzustandes | - LOW (0) - HIGH (1)

Mögliche Eingaben sind:

Parameter | Beschreibung
Umschalten auf Spontanwert | Anzeigen des Spontanwertes (Wert aus der Steuerung), wenn vorher der Ersatzwert angezeigt wurde oder der Wert abgeschaltet war.
Modifizieren Spontanwert (default) | Neuen Spontanwert in die Steuerung schreiben.
Umschalten und Modi. Spontanwert | Gemeinsames Ausführen der beiden oberen Kommandos.
Umschalten auf Ersatzwert | Anzeigen des Ersatzwertes (Wert aus der Variablendefinition), wenn vorher der Spontanwert angezeigt wurde.
Modifizieren Ersatzwert | Neuen Ersatzwert für die Variable setzen
Umschalten und Modi. Ersatzwert | Gemeinsames Ausführen der beiden oberen Kommandos.
Spontanwert abschalten | Verbindung zur Steuerung für diesen Wert durch Setzen des Status-Bits OFF (Bit 20) abschalten.
Spontanwert einschalten | Verbindung zur Steuerung für diesen Wert durch Zurücksetzen des OFF Bits wieder herstellen.
Wert | Neuer numerischer Wert (innerhalb des erlaubten Messbereichs).

Mögliche Eingaben sind:

Parameter | Beschreibung
Umschalten auf Spontanwert | Anzeigen des Spontanwertes (Wert aus der Steuerung), wenn vorher der Ersatzwert angezeigt wurde oder der Wert abgeschaltet war.
Modifizieren Spontanwert (default) | Neuen Spontanwert in die Steuerung schreiben
Umschalten und Modi. Spontanwert | Gemeinsames Ausführen der beiden oberen Kommandos
Umschalten auf Ersatzwert | Anzeigen des Ersatzwertes (Wert aus der Variablendefinition), wenn vorher der Spontanwert angezeigt wurde
Modifizieren Ersatzwert | Neuen Ersatzwert für die Variable setzen
Umschalten und Modi. Ersatzwert | Gemeinsames Ausführen der beiden oberen Kommandos
Spontanwert abschalten | Verbindung zur Steuerung für diesen Wert durch Setzen des Status-Bits OFF (Bit 20) abschalten.
Spontanwert einschalten | Verbindung zur Steuerung für diesen Wert durch Zurücksetzen des OFF Bits wieder herstellen.
Text | Neuer Text

Lasso

Dynamische Elemente, die mit einer Variablen oder Funktion verknüpft sind, können zur Runtime mit dem Lasso vorausgewählt und damit für VBA Events genutzt werden.

Auswahl per Lasso

Um zur Runtime Elemente mit dem Lasso auszuwählen muss:

  • in den Projekteigenschaften die Eigenschaft Interaktion/Runtime Lasso aktiv sein
  • in den Eigenschaften des Dynamischen Elements die Eigenschaft Runtime/mit Lasso auswählbar aktiv sein

Zur Runtime stehen mehrere Methoden zur Auswahl von Elementen zur Verfügung:

  • Elemente auswählen: Linksklick in einen freien Bildbereich und mit gedrückter Maustaste das Lasso über Bildelemente ziehen.
  • Auswahl erweitern: Strg+Mausklick auf ein Element, um es zusätzlich auszuwählen/nicht mehr auszuwählen
  • Elemente hinzufügen: Beim Lasso aufspannen Steuerung-Taste gedrückt halten fügt neue Elemente zur bestehenden Auswahl hinzu.
  • Auswahl aufheben: Ein Lasso aufspannen, das keine Elemente enthält.


Touch

Handbuch > Runtime > Bedienen zur Runtime > Touch

Multi-Touch fähige Touchscreens können mit zenon auch per Multi-Touch-Gesten bedient werden. Ein Beispielprojekt erhalten Sie bei Ihrem zenon Berater.

Für Multi-Touch wird empfohlen:

  • Verwendung einer DirectX 11 fähigen Grafikkarte.
  • DirectX Hardware in den Projekteinstellungen für die Grafikqualität zu verwenden.

Hinweis: Mit Windows 8 Gesten kann Interaktion über Multi-Touch in vielen Bereichen ohne zusätzliche Programmierung über Eigenschaften konfiguriert werden.

Noch in diesem Kapitel

Navigation mit Multi-Touch im Weltbild


Navigation mit Multi-Touch im Weltbild

Handbuch > Runtime > Bedienen zur Runtime > Touch > Navigation mit Multi-Touch im Weltbild

Multi-Touch-Gesten für Zoomen und Scrollen eignen sich auf Touchpanels auch zur Navigation im Weltbild. Dazu ist kein Bild vom Typ Weltbild-Übersicht nötig. Die Navigation kann realisiert werden mit:

  • Windows 7 Touch-Gesten
  • Windows 8 Touch-Gesten

Regeln

  • Verschieben: Wenn ein Bild in einem Container kein Weltbild ist, übernimmt es die Einstellungen vom Faceplate-Bild.

Weltbild bewegen oder Weltbild in Container eines Faceplates

  • Bild ist größer als Schablone: Inhalt des Bildes wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Weltbild in Faceplate eingebettet.

  • Bild ist größer als Schablone: Bildinhalt wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Schablone ohne Rand mit der Maus bewegen, wenn das Bild ein Weltbild ist und gleich groß wie oder kleiner als Schablone:

  • Mit rechter Maustaste: Keine Reaktion.
  • Mit linker Maustaste: Schablone wird verschoben.

Weltbild Größe verändern

Die Größe des Weltbildes kann verändert werden.
Ausnahme: Wenn das Weltbild ein Faceplate ist, kann die Größe nicht verändert werden.

Klick mit rechter Maustaste:

  • Bild ist größer als Schablone: Inhalt wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Projektkonvertierung

Werte für Horizontal Verschieben und Vertikal Verschieben beim Konvertieren aus einer früheren Version nach zenon 7.20:

  • Bild ist größer als Schablone: Verschieben.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Noch in diesem Kapitel

Navigation unter Windows 7

Navigation unter Windows 8


Navigation unter Windows 7

Handbuch > Runtime > Bedienen zur Runtime > Touch > Navigation mit Multi-Touch im Weltbild > Navigation unter Windows 7

Um Multi-Touch-Gesten unter Windows 7 zur Navigation im Weltbild verwenden zu können, müssen diese:

  • entweder über die Eigenschaft Multi-Touch für Zoomen und Scrollen aktiviert
  • oder über VBA/VSTA implementiert werden

Zoomen und scrollen über Eigenschaft Multi-Touch für Zoomen und Scrollen

Um Multi-Touch ohne VBA/VSTA zu verwenden:

  1. Aktivieren Sie in den Projekteigenschaften im Knoten Interaktion für die Eigenschaft Auswertung Windows 7.
  2. Deaktivieren Sie bei den Eigenschaften des Bildes im Knoten Schablone die Eigenschaft Bildgröße von Schablone übernehmen.
  3. Aktivieren Sie bei den Eigenschaften des Bildes im Knoten Interaktion die Eigenschaft Multi-Touch für Zoomen und Scrollen.

Damit kann im Bild bei Touchbedienung mit Multi-Touch-Gesten gescrollt und gezoomt werden. VBA/VSTA Events für Zoomen und Scrollen werden damit deaktiviert.

Zoomen und scrollen über VBA/VSTA

Um Zoomen und Scrollen mit VBA/VSTA Events zu realisieren darf die Eigenschaft Multi-Touch für Zoomen und Scrollen nicht aktiv sein.

Im DynPicture stehen zur Verfügung:

  • Property

    int ZoomLevel: Gibt den aktuellen Zoomlevel im Weltbild an (gültiger Wert nur in der Runtime und für ein Weltbild).

  • Methode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Neuer Zoomfaktor X-Richtung, wenn nicht benutzt, auf 0 setzen

    ZoomY -> Neuer Zoomfaktor Y-Richtung, wenn nicht benutzt, auf 0 setzen

    ZoomLevel -> Zoom Level, wenn nicht benutzt, auf -1 setzen

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Neue Position X (siehe PosMode)

    PosY -> Neue Position Y (siehe PosMode)

    PosMode -> Koordinaten in Pos

    -1 = PosX, PosY werden ignoriert

    0 = Mittelpunkt , Original Koordinaten

    1 = Mittelpunkt , gezoomte Koordinaten

    2 = links oben , Original Koordinaten

    3 = links oben , gezoomte Koordinaten

    4 = Gezoomte Koordinaten des Cursors von links oben
    Die Position des Fensters wird so verändert, dass nach dem Zoomvorgang der Mauszeiger noch immer über derselben Stelle des Bildes liegt

Achtung: ZoomX, ZoomY und ZoomLevel können nie gleichzeitig verwendet werden. Entweder wird ein ZoomLevel angegeben oder Zoomfaktoren für X-Achse und Y-Achse.


Navigation unter Windows 8

Handbuch > Runtime > Bedienen zur Runtime > Touch > Navigation mit Multi-Touch im Weltbild > Navigation unter Windows 8

Um mit Multi-Touch unter Windows 8 in einem Weltbild zu navigieren:

  1. Aktivieren Sie in den Projekteigenschaften im Knoten Interaktion für die Eigenschaft Auswertung Windows 8.
  2. Deaktivieren Sie für das Bild in der Gruppe Schablone die Eigenschaft Bildgröße von Schablone übernehmen und definieren Sie die Bildgröße größer als die Schablone.
  3. Navigieren Sie in den Bildeigenschaften zur Gruppe Interaktion.
  4. Konfigurieren Sie die Eigenschaften Zoomen und Verschieben.

Für die Geste Verschieben können Sie die Richtung - horizontal, vertikal oder beide - definieren. Benutzen Sie dazu die Eigenschaften Horizontal verschieben und Vertikal verschieben.


Tastaturbedienung

Handbuch > Runtime > Bedienen zur Runtime > Tastaturbedienung

Zur Runtime kann die Navigation und Bedienung auch zur Gänze mit der Tastatur erfolgen. Dabei wird der Fokus zuerst auf eine Schablone gelegt, dann innerhalb der Schablone mit den Pfeiltasten navigiert und mit der Eingabe-Taste die Aktion ausgelöst. Die Steuerung erfolgt durch folgende Funktionen:

  • Fokus auf Schablone setzen
  • Fokus von Schablone nehmen
  • Fokus verschieben
  • Eingabe auf Element mit Fokus aktivieren

Die Reihenfolge, in der die Elemente angesteuert werden, wird durch die Vergabe von Indexnummern an die Elemente eines Bildes festgelegt. Diese Festlegung der Navigationsreihenfolge funktioniert auch mit Symbolen.

Die Tastaturbedienung kann auch mithilfe von frei zuordenbaren Tastenkombinationen wie z. B. Strg+M erfolgen. Die Tastenkombination können Sie bei jedem Bedienelement bei der Eigenschaft Tastenkombination hinterlegen.

Noch in diesem Kapitel

Funktionen


Funktionen

Handbuch > Runtime > Bedienen zur Runtime > Tastaturbedienung > Funktionen

Für die Projektierung der Tastaturbedienung benutzen Sie folgende Funktionen:

Fokus auf Schablone setzen

Diese Funktion setzt bei Tastaturbedienung zur Runtime den Fokus auf eine definierte Schablone.

Um die Funktion zu projektieren:

  1. Wählen Sie in der Liste der Funktionen im Knoten Bilder die Funktion Fokus auf Schablone setzen.

    Der Dialog zur Auswahl einer Schablone wird geöffnet .

  2. Wählen Sie die gewünschte Schablone.
  3. Wählen Sie bei Mehr-Bildschirm-Projekten den virtuellen Bildschirm für die Aufschaltung der Schablone.
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Definieren Sie, welches Bildelement den Fokus erhalten soll.
    Dazu:
    1. Öffnen Sie den Dialog für Reihenfolge für Fokus verschieben mit Reihenfolge für links/rechts.
    2. Definieren Sie das Element, das als erstes angesteuert werden soll.

Verhalten zur Runtime:

  • Die mit einem Fokus versehene Schablone wird mit einem Rahmen dargestellt. Linienbreite und Farbe des Rahmens werden in den Projekteigenschaften im Knoten Grafische Ausprägung/Bilder definiert.
  • Im Bild erhält das Element den Fokus, das in der Reihenfolge für links/rechts als erstes Element definiert wurde. Die Reihenfolge für oben/unten wird ignoriert.

Dialog Schablonenauswahl

Im Dialog Schablonenauswahl können Schablonen für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Schablonen können aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten gewählt werden.
Fenster Schablonen | Auswahl einer Schablone. Werden mehrere Schablonen ausgewählt, wird für die Ausführung der Funktion die in der Liste an oberster Stelle stehende Schablone verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Fokus auf Schablone setzen bei mehrfach aufgerufenen Schablonen

Wird eine Schablone mehrfach am Bildschirm angezeigt, dann wird bei jedem Ausführen der Funktionen der Fokus entgegen der Aufschaltreihenfolge durch gewechselt. Werden zum Beispiel bei einer mehrfach aufschaltbaren Schablone die Bilder Bild1, Bild2 und Bild3 geöffnet und anschließend der Fokus auf diese Schablone gesetzt, erhält zuerst das letzte geöffnete Bild3 den Fokus. Bei erneutem Aufruf der Funktion Fokus auf Schablone setzen wird der Fokus auf Bild2 gesetzt usw.

Fokus verschieben

Diese Funktion setzt bei Tastaturbedienung zur Runtime den Fokus auf ein bestimmtes Element und kann damit zur Navigation innerhalb einer Schablone verwendet werden.

Eigenschaft | Aktion
Richtung | Festlegen der Richtung, in der der Fokus weitergegeben werden soll. Es gilt die im Editor Im Kontextmenü oder unter Bearbeiten/Reihenfolge für Fokus verschieben... festgelegte Reihenfolge
auf das Element | Festlegen des Elements, das den Fokus erhalten soll. Einzugeben ist der Objektname des Elements

Eingabe auf Element mit Fokus aktivieren

Diese Funktion aktiviert das Element, das in der gewählten Schablone den Fokus besitzt.

Fokus von Schablone nehmen

Diese Funktion nimmt zur Runtime den Fokus von der aktuellen Schablone. Zur weiteren Tastaturbedienung muss der Fokus neu auf eine Schablone gesetzt werden.


Tastenkombinationen sperren

Handbuch > Runtime > Bedienen zur Runtime > Tastenkombinationen sperren

Für den Onlinebetrieb können Windows-Tastenkombinationen gesperrt werden. Die Sperre wird im Editor konfiguriert. Es ist auch möglich, für die Runtime alle Systemtasten zu sperren.

Windows Tastenkombinationen sperren

Um Windows Tastenkombinationen zu sperren, aktivieren Sie in den Projekteigenschaften im Abschnitt Interaktion die Eigenschaft Systemtasten sperren.

Gesperrt werden:

Tastenkombination | Wirkung
Alt + Esc | Wechselt zur nächsten Anwendung.
Alt + Tab | Wechselt zwischen geöffneten Anwendungen. Richtung: vorwärts.
Alt + Umschalt + Tab | Wechselt zwischen geöffneten Anwendungen. Richtung: rückwärts.
Strg + Tab | Wechselt zum nächsten Fenster innerhalb der Anwendung. Kann anwendungsspezifisch belegt sein.
Strg + Esc | Ruft Startmenü auf.
Alt + F4 | Schließt Anwendung.
Strg + F4 | Schließt Fenster innerhalb einer Applikation.
Strg + Umschalt + Esc | Startet den Windows Task-Manager auf.
Windows-Taste | Ruft Startmenü auf.
Windows-Taste + D | Minimiert oder maximiert alle Fenster.
Windows-Taste + E | Öffnet den Windows Dateiexplorer.
Windows-Taste + F | Öffnet die Suche.
Windows-Taste + M | Minimiert alle auf der Taskleiste vorhandenen Fenster.
Windows-Taste + P | Schaltet in den Präsentationsmodus.
Windows-Taste + R | Startet den Dialog Ausführen.

Es werden auch alle entsprechenden Kombinationen mit Mausaktionen gesperrt.

Nicht gesperrt werden:

Tastenkombination | Wirkung
Strg+Alt+Entf | Startet den Rechner neu.
Windows-Taste + L | Sperrt den Rechner.

Alle Systemtasten sperren

Um zur Runtime alle Systemtasten zu sperren:

  • aktivieren Sie die Eigenschaft
  • starten Sie die Runtime über Keyblock Runtime Start
  • beachten Sie die Hinweise im Kapitel Runtime-Dateien schützen

attention Achtung

Die Eigenschaft Systemtasten sperren steht für CE-Projekte nicht zur Verfügung.


Reihenfolge innerhalb Schablone festlegen

Handbuch > Runtime > Bedienen zur Runtime > Reihenfolge innerhalb Schablone festlegen

In welcher Reihenfolge die Elemente eines Bildes bei Tastaturbedienung angesteuert werden, definieren Sie bei der Projektierung im zenon Editor:

  1. Öffnen Sie das Bild.
  2. Klicken Sie mit der rechten Maus-Taste in einen leeren Bereich.
  3. Wählen Sie im Kontextmenü Reihenfolge für Fokus verschieben.
  4. Wählen Sie in der sich öffnenden Dropdownliste Reihenfolge für links/rechts oder Reihenfolge für oben/unten.
  5. Jedes Element im Bild wird mit einer Nummer in der linken oberen Ecke gekennzeichnet.
  6. Klicken Sie auf das Element, das als erstes angesteuert werden soll.
  7. Die Nummer des Elements ändert sich auf 1.
  8. Klicken Sie auf alle weiteren Elemente in der Reihenfolge, in der sie angesteuert werden sollen:
    • Elemente, die bereits definiert wurden, ändern die Hintergrundfarbe der Zahl.
    • Elemente, die zur Runtime nicht über die Tastatur erreicht werden können (Eigenschaft Fokus wird auf Element gesetzt inaktiv), werden mit roten Ziffern dargestellt.
    • Wird mit gedrückter Steuerung-Taste auf ein Element geklickt, so beginnt die Nummerierung mit der Indexnummer des angeklickten Elements.

info Info

In den Eigenschaften der Elemente wird die Position über die Eigenschaften Fokus Position links/rechts und Fokus Position oben/unten angezeigt. Diese Eigenschaften dienen nur der Information, Indexwerte zur Positionierung können dort nicht geändert werden.

Symbole

Auch für Symbole kann ein Index vergeben werden. Beim Kompilieren der Runtime-Dateien wird das Symbol aufgelöst und die im Symbol vorhandenen Elemente werden eingefügt. Dabei wird die im Symbol definierte Reihenfolge für die Ansteuerung berücksichtigt.

Example Beispiel

In einem Bild befinden sich drei Elemente: der Zahlenwert Z, der Button B und das Symbol VS. Das Symbol aus der Projektbibliothek enthält die 3 Zahlenwerte: Z1, Z2 und Z3.

Wird jetzt im Bild die Reihenfolge definiert als: B - VS - Z,
dann lautet die Reihenfolge zur Runtime: B - Z1 - Z2 - Z3 - Z.


Positionierung und Bedienung von Schablonen

Handbuch > Runtime > Bedienen zur Runtime > Positionierung und Bedienung von Schablonen

Schablonen können zur Runtime an festen oder relativ definierten Positionen aufgeschaltet werden. So lassen sich zum Beispiel Keyboard-Bilder oder Popup-Bilder genau dort positionieren, wo sich der Mauszeiger oder das aufschaltende Element befinden. Schablone können zur Runtime aufgeschaltet werden:

  • an einer absoluten Position
  • relativ zur Mausposition
  • relativ zum Element

Absolute und relative Position werden in den Eigenschaften der Schablone im zenon Editor definiert.

Position beim Neuaufschalten beibehalten

Fenster beziehen ihre Bildschirmposition immer aus der Schablone. Werden Popup-Bilder projektiert und während der Runtime verschoben, wird bei der nächsten Ausführung der Bildumschaltungs-Funktion das Popup-Bild wieder an die projektierte Position verschoben. Mithilfe der Eigenschaft Position und Größe beim Neuaufschalten beibehalten kann festgelegt werden, dass die Schablone ihre Position beibehält, solange sie geöffnet ist, unabhängig von Bildumschaltungen. Ist die Eigenschaft aktiv:

  • Wird ein Bild in der Runtime in einer manuell verschobenen Schablone geöffnet, bleibt deren Position und Größe auch bei einer erneuten Bildumschaltung erhalten.
  • Wird ein anderes Bild in der gleichen Schablone geöffnet, bleibt deren Position und Größe erhalten. Das gilt auch für den substituierten Aufruf.

Damit kann auf jedem Client eine andere Position für eine Schablone verwendet werden, da immer die lokale Position gespeichert wird.

Absolute Positionierung

Die Schablone wird immer an den fest definierten Koordinaten aufgeschaltet. Bei allen Bildaufschaltungen, die automatisch durch das System erfolgen, wie z. B. durch die Zeitsteuerung oder eine Grenzwertverletzung, wird immer die absolute Bildschirmposition verwendet.

Relative Positionierung

Die relative Positionierung eignet sich besonders für die Aufschaltung von Popups, Tastaturbildern oder Befehlsgabe-Bildern. Sie ist bei allen Bildumschaltungen, Sollwertvorgaben mit frei definierten Keyboardbildern und allen Befehlsgabe-Bildern, die vom Benutzer manuell angestoßen werden, möglich. Dabei ist es unerheblich, ob die Aktion über eine Bildumschaltungs-Funktion, Sollwertsetzen-Funktion oder direkt über ein Element angestoßen wird. Relative Positionierung steht Ihnen zur Verfügung bei:

  • dynamischen Elementen, denen man eine Funktion zuweisen kann
  • dynamischen Elementen, über die ein Sollwert abgesetzt werden kann (Button, Combi-Element)
  • Haupt- und Kontextmenüs
  • der bildtypspezifischen Funktion "Funktion ausführen" im Bild Alarmmeldeliste

Die relative Positionierung funktioniert auch in verschachtelten Funktionsaufrufen, also wenn Bildumschalten oder Sollwert setzen über ein Skript angestoßen werden. Falls das Bild bei relativer Positionierung über den Bildschirmrand ragen würde, wird es automatisch bündig am Bildschirmrand positioniert. Das gilt auch bei Mehrbildschirmverwaltung, sodass es nicht in den benachbarten Bildschirm ragen kann.

attention Achtung

Die relative Positionierung funktioniert nur bei direktem Aufruf durch den Benutzer, aber nicht bei automatisierten Funktionen oder über VBA.

Relativ zum Element

Positioniert den Bezugspunkt der Schablone relativ zu dem Element, von dem aus die Bildumschaltung angestoßen wurde (z. B. ein Button- oder ein Combi-Element). Zur Runtime wird dann der Bezugspunkt der Schablone immer auf den errechneten Bezugspunkt des Elements gelegt. Kann die Schablone an dieser Position nicht aufgeschaltet werden, da das Bild dadurch außerhalb des sichtbaren Bildschirmbereichs wäre, werden die Alternativbezugspunkte verwendet.

Legen Sie erst einen Bezugspunkt für Ihre Schablone fest und dann die bevorzugte Position am Element. Folgende Einstellungen stehen zur Verfügung:

Eigenschaft

Wert

Bezugspunkt Element vertikal
  • unten
  • oben

Bezugspunkt Element horizontal
  • links
  • rechts

Verschiebung vertikal in Pixel

Geben Sie die gewünschte Verschiebung ein

Verschiebung horizontal in Pixel

Geben Sie die gewünschte Verschiebung ein

Alternative Position

Legen Sie hier eine alternative Position für den Bezugspunkt der Schablone und den Bezugspunkt am Element an. Gehen Sie bei der Festlegung der alternativen Position genau so vor wie bei der Festlegung der bevorzugten Position. Die alternative Position wird verwendet, wenn die Schablone an der bevorzugten Position nicht aufgeschaltet werden kann.

Relativ zum Mauszeiger

Das Bild wird abhängig von der Position des Mauszeigers dargestellt. Befindet sich der Bezugspunkt links oben, wird die Schablone vom Bezugspunkt ausgehend nach rechts unten aufgeschaltet. Kann das Bild an der projektierten Position nicht vollständig dargestellt werden, wird die Position soweit verschoben, dass das gesamte Bild innerhalb des dargestellten Bereichs des Bildschirms bleibt.

Legen Sie den Bezugspunkt der Schablone über die beiden Eigenschaften Bezugspunkt Schablone vertikal und Bezugspunkt Schablone horizontal fest. Der Bezugspunkt wird auf der Schablone mit einem roten Punkt gekennzeichnet. Folgende Einstellungen stehen Ihnen zur Verfügung:

Eigenschaft

Wert

Bezugspunkt Schablone vertikal
  • oben
  • unten
  • zentriert

Bezugspunkt Schablone horizontal
  • links
  • rechts
  • zentriert

Example Beispiel

Sie haben einen Button am rechten Bildschirmrand und positionieren ein Popup-Fenster deshalb rechts daneben:

  • Bezugspunkt Element: rechts/zentriert
  • Bezugspunkt Schablone: links/zentriert

Zur Runtime wird dann rechts neben dem Button genau in der Mitte zentriert das Popup-Fenster aufgeschaltet. Das Popup-Fenster wird den Button nicht verdecken.

Sie verwenden dieselbe Schablone auch für einen Button am linken Bildschirmrand. Das Popup-Bild könnte rechts nicht mehr vollständig aufgeschaltet werden. Es wird daher die projektierte Alternativposition verwendet. Dafür setzen Sie den

  • alternativen Bezugspunkt für das Element auf: Links/zentriert
  • den alternativen Bezugspunkt der Schablone auf Rechts/zentriert

Größe zur Runtime verändern

Die Größe, mit der ein Bild zur Runtime aufgeschaltet wird und die erlaubten Größenveränderungen werden über die Eigenschaften der Gruppe Position konfiguriert. Navigieren Sie dazu im zenon Editor in den Knoten Bilder. Klicken Sie dort den Unterknoten Schablonen und wählen Sie im Vorschaufenster eine projektierte Schablone.

Eigenschaft

Beschreibung

Breite (Maximum) [Pixel]:

Legt die maximale Breite fest.

Höhe (Maximum) [Pixel]:

Legt die maximale Höhe fest.

Begrenzung Minimum:

Definiert Begrenzungen für Minimum. Mögliche Werte:

  • Ohne: Keine Begrenzung.
    Wird ein anderer Wert gewählt, dann wird im Schablonenfenster die gewählte Begrenzung zur Runtime mit einer strichlierten Linie angezeigt.
  • Breite: Begrenzung auf Breite.
  • Höhe: Begrenzung auf Höhe.
  • Relativ: Begrenzung auf einen Prozentwert der eingestellten Bildgröße.

Wirkt sich nur auf Multi-Touch Gesten aus. Die entsprechenden Werte werden über die Eigenschaft Wert (Minimum) definiert.

Default: Ohne

Aufschaltgröße:

Definiert die Größe, mit der ein auf dieser Schablone basierendes Bild zur Runtime aufgeschaltet wird:

  • Schablonengröße: Größe wie in Breite (Maximum) [Pixel] und Höhe (Maximum) [Pixel] definiert.
    Wird ein anderer Wert gewählt, dann wird im Schablonenfenster die Größe zur Runtime mit einer gepunkteten Linie angezeigt.
  • Breite [px]: Breite wie in Wert (Aufschaltgröße) definiert, Höhe wird entsprechend angepasst.
  • Höhe [px]: Größe wie in Wert (Aufschaltgröße) definiert, Breite wird entsprechend angepasst.
  • Relativ [%]: Die in Breite (Maximum) [Pixel] und Höhe (Maximum) [Pixel] definiert Größe wird auf den in Wert (Aufschaltgröße) definierten Prozentwert geändert.

Die entsprechenden Werte werden über die Eigenschaft Wert (Aufschaltgröße) definiert.

Default: Schablonengröße

Verschieben und Zoomen

Schablonen können zur Runtime verschoben und gezoomt werden.

Verschieben

Das Verschieben bezieht sich immer auf die in der Bildschirmverwaltung definierten Bildschirme. Unter Windows CE werden diese Einstellungen nicht beachtet.

Das Verschieben von Schablonen zur Runtime kann begrenzt werden auf:

  • Schablonenrand:
    Die Schablone kann nicht über die Bildschirmgrenze bewegt werden.
  • Schablonenrandbereich:
    Die Schablone kann über die Bildschirmgrenze hinaus bewegt werden. Es muss aber ein Bereich am Bildschirm verbleiben (Minimaler Schablonenrandbereich), an dem sie für weiteres Aktionen berührt werden kann.

Die Begrenzung wird nur wirksam, wenn sich die Schablone bereits beim Öffnen innerhalb der definierten Grenze befindet. Wird das Verschieben einer Schablone nicht begrenzt, kann sie - zum Beispiel mit Multi-Touch Gesten - über den sichtbaren Bereich hinaus verschoben werden.

info Info

Das Verschieben von Schablonen ist vor allem für den Full-Screen-Betrieb gedacht. Die Runtime-Anwendung selbst sollte nicht auf einen anderen Bildschirm verschoben werden. Wird die Runtime verschoben, kann das zu Einschränkungen beim Bewegen führen.

Zoomen

Die Begrenzungen gelten auch für das Zoomen. Wird beim Zoomen eine Grenze erreicht, dann wird versucht, das Zoomen im freien Raum fortzuführen. Dabei bleibt das Seitenverhältnis erhalten.

Überblick verschieben und zoomen

Beim Verschieben und Zoomen verhalten sich Schablonen abhängig von den getroffenen Einstellungen wie folgt:


Konfigurierbare Listen

Handbuch > Runtime > Bedienen zur Runtime > Konfigurierbare Listen

Eine Reihe von Listen können zur Runtime individuell konfiguriert werden:

  • Active Directory:
    • Liste im Active Directory Fenster (aber nicht: Baum)
  • AML
  • AML-Filter/CEL-Filter/Zeitfilter:
    • Chargen: Archivauswahl
    • Chargen: Chargenauswahl
  • Batch:
    • Liste der Vorlagenrezepte
    • Liste der Steuerrezepte
    • Parameterliste 1
    • Parameterliste 2
  • Befehlsgabe
    • Verriegelungsliste
  • Benutzerliste:
    • Benutzerliste
  • CEL
  • Erweiterter Trend:
    • Erweiterte Kurvenliste
  • Message Control:
    • Nachrichten-Warteschlange
  • Process Recorder
  • RGM:
    • Rezeptliste und Rezeptwerttabelle (aber nicht: Rezepertwerttabelle CE)
  • Schichtmanagement
  • Textlisten

Zu den möglichen Aktionen für diese Listen zählen:

  • Verschieben der Spalten
  • Konfiguration der Spalten
  • Einfärben von Spalten
  • Hervorheben der Position mit dem Fokus
  • Nutzung von Rückmeldevariablen

Allgemeine Informationen siehe auch Kapitel Listen gestalten .

info Info

Touch-Boxen können so wie Listen konfiguriert werden:

  • AML/CEL/Zeitfilter
  • Benutzer editieren
  • Benutzergruppenliste

Hinweis: Bei Touch-Boxen sind nicht alle Elemente konfigurierbar. Zum Beispiel gibt es keine Kopfzeile und es ist nur eine Spalte vorhanden.

Konfiguration im Editor

Das Aussehen und Verhalten der Konfigurierbare Liste zur Runtime kann im Editor über die Eigenschaften der Gruppe Darstellung vorkonfiguriert werden.

Eigenschaften der Kopfzeilen

Das Verhalten der Kopfzeilen zur Runtime wird im Editor jetzt über die Eigenschaften der Gruppe Kopfzeile definiert:

  • Kopfzeile anzeigen:
    Steuert, ob die Kopfzeile zur Runtime angezeigt wird.
  • Filterzeile anzeigen:
    Steuert, ob die Filterzeile zur Runtime angezeigt wird.
  • Sortieren sperren:
    Steuert die Möglichkeit, Tabellenspalten zur Runtime mit einen Klick auf die Kopfzeile zu sortieren.
  • Spaltenpositionen fixiert:
    Steuert die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen in der Breite anzupassen oder zu verschieben.
  • Kontextmenü deaktivieren:
    Aktiviert oder deaktiviert das Kontextmenü für die Kopfzeile.

Verhalten zur Runtime

Zellen bearbeiten

Um Zellen in Listen vom Typ Konfigurierbare Liste zu bearbeiten stehen Ihnen folgende Möglichkeiten zur Verfügung:

  • Doppelklick auf Eintrag
  • Klick in Zelle, sofort gefolgt von zweitem Klick (langsamer Doppelklick)

Abhängig vom Bildtyp kann auch ein Button zur Aktivierung der Bearbeitung zur Verfügung stehen.

Spalten einfärben

In konfigurierbaren Listen können Textfarbe und Hintergrundfarbe jeder Spalte individuell definiert werden. Dazu konfigurieren Sie in der Funktion Bildumschaltung des jeweiligen Bildes in der Registerkarte Spalten formatieren der Bereich Benutzerdefinierte Farben .

Fokus anzeigen

In konfigurierbaren Listen kann der jeweilige Fokus durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Die Zelle, Spalte oder Zeile, die den Fokus hat, wird farblich hervorgehoben. Diese Farben werden in den Projekteigenschaften Auswahlfarben der Objektlisten im Knoten Grafische Ausprägung konfiguriert.

Prioritäten bei Farbgebung

Werden mehrere Farben auf eine Liste angewandt, gelten folgende Prioritäten:

  1. Allgemein: Auswahlfarben der Objektlisten
  2. RGM: Rezeptwertprüfung
  3. RGM: Online-Validierung
  4. RGM: Verriegelung
  5. Liste: Spaltenfarbe

Rückmeldevariablen

Konfigurierbare Listen können mit einer Rückmeldevariable vom Typ BOOL verknüpft werden. Diese signalisieren zur Runtime, wenn in der Liste etwas ausgewählt wurde.

Um eine Rückmeldevariable zu verknüpfen:

  1. Klicken Sie in die Konfigurierbare Liste.
  2. Öffnen Sie in den Eigenschaften die Gruppe Rückmeldevariablen.
  3. Klicken Sie in der Eigenschaft Auswahl aktiv auf die Schaltfläche ....

    Der Dialog zur Auswahl einer BOOL Variablen wird geöffnet.

  4. Wählen Sie eine Variable aus.
  5. Verknüpfen Sie die Variable mit einem Element, das zur Runtime den Zustand der Variable anzeigt.
    Bedeutung der Werte:
    • 0: Keine Auswahl in der Liste.
      Hinweis: Wird ein Bild geschlossen, wird die Variable automatisch auf 0 gesetzt.
    • 1: In der Liste wurde etwas ausgewählt.


Runtime-Meldungen

Handbuch > Runtime > Bedienen zur Runtime > Runtime-Meldungen

Zu Runtime können bei bestimmten Ereignissen zu Datenexport und Benutzer-Aktionen Meldungen angezeigt werden. Diese konfigurieren Sie im Editor.
Um Meldungen anzuzeigen:

  1. Öffnen Sie die Projekteigenschaften für Runtime Einstellungen.
  2. Konfigurieren Sie die Eigenschaften der Gruppe Runtime Meldungen bei:
    1. Datenexport: Zeigt das Ergebnis eines Datenexports an, der über die Funktion Daten exportieren ausgelöst wurde.
    2. Dateien ersetzen: Zeigt an, ob einem Datenexport eine Datei überschrieben wird.
    3. Fehlerhafter Eingabe: Ermöglicht es, Runtime-Meldungen für Benutzer-Aktionen ein- oder auszuschalten für:

      - Benutzer gesperrt

      - ungültiger Benutzername

      - ungültiges Passwort

      - System gesperrt

      - System entsperrt

      - Zugang wurde gesperrt

      - Sollwert setzen

    4. Berechtigung nicht ausreichend: Ermöglicht es, Runtime-Meldungen ein- oder auszuschalten für ungenügende Berechtigungen.


Runtime-Dateien

Handbuch > Runtime > Runtime-Dateien

Definition Runtime-Dateien, Runtime-Daten, Runtime-Ordner und Daten-Ordner

Runtime-Dateien

Runtime-Dateien sind vom Editor erzeugte Dateien, die von der Runtime gelesen und interpretiert werden. Einige Runtime-Dateien werden von der Runtime modifiziert, wie zum Beispiel:

  • Standard-Rezepte,
  • Rezeptgruppen-Manager usw.

Die Runtime-Dateien werden im Runtime-Ordner abgelegt. Diesen definiert man im Editor unter Allgemein, im Eigenschaftenfenster.

Runtime-Daten

Alle Daten, die von der Runtime erzeugt und verwaltet werden, wie zum Beispiel Daten von:

  • der Alarmmeldeliste,
  • der Chronologischen Ereignisliste
  • dem Archivserver usw.

Dazu gehören auch die Daten, die vom Editor erzeugt werden (Runtime-Dateien) und in der Runtime geändert werden können, wie zum Beispiel Daten von:

  • Standard-Rezepte,
  • Rezeptgruppen-Manager,
  • Benutzerverwaltung usw.

Die Runtime-Daten werden im Runtime-Ordner abgelegt. Diesen definiert man im Editor unter Allgemein, im Eigenschaftenfenster.

Runtime-Ordner

In diesem Ordner werden die Runtime-Dateien des Projekts gespeichert. Der Pfad wird beim Setzen des Startprojekts in die zenon6.ini eingetragen. Der Runtime-Ordner kann in den Projekt-Eigenschaften geändert werden. Im Runtime-Ordner befinden sich der Unterordner RT und ein Unterordner mit dem Namen des Rechners. Im Ordner RT befinden sich alle Runtime-Dateien, die vom Editor erzeugt werden. Im Ordner Rechnername befinden sich alle Daten-Dateien, die in der Runtime angelegt werden.

Hinweis: Stellen Sie sicher, dass es genug Speicherplatz gibt wo die Runtime-Daten liegen, da es viele Daten geben kann, aufgrund von Archivierung, AML, CEL usw.

Daten-Ordner

Die Runtime speichert alle zur Runtime erzeugten Datendateien, wie etwa Alarmdateien, Archivdateien usw. im Daten-Ordner. Standardmäßig wird der Daten-Ordner als Unter-Ordner zum Runtime-Ordner angelegt. Er erhält automatisch den Namen des Rechners, auf dem die Runtime läuft. Dieser Speicherort kann in den Projekteigenschaften (Allgemein/Datenordner) geändert werden.

Tipp: Setzen Sie den Daten-Ordner nie auf ein entfernbares Laufwerk wie einen USB Stick oder ein Netzlaufwerk. Es wird empfohlen, die Daten lokal aufzuzeichnen und extern zu sichern.

Noch in diesem Kapitel

Kompatibilität Runtime-Dateien


Kompatibilität Runtime-Dateien

Handbuch > Runtime > Runtime-Dateien > Kompatibilität Runtime-Dateien

Die zenon Runtime arbeitet im Netzwerk und als standalone abwärtskompatibel.
Das bedeutet:

  • Die Runtime kann immer Projekte aus älteren Versionen laden und entsprechend dieser Version interpretieren und darstellen.
  • Auch wenn Runtime, Server und Standby gemeinsam über eine höhere Versionsnummer verfügen, können sie Projekte aus älteren Versionen laden und entsprechend dieser Version interpretieren und darstellen.
  • Gemischter Betrieb ist möglich.
    Mit der Mehrprojektverwaltung können gleichzeitig Projekte unterschiedlicher Versionen geladen werden und parallel laufen.

Hinweis: Projekte ab der Version 6.20 SP4 können direkt, also ohne vorhergehende Konvertierung, gestartet werden. Projekte mit niedrigerer Versionsnummer müssen zuvor konvertiert werden.

Online-Kompatibilität

Die Runtime Online-Kompatibilität ermöglicht die Interoperabilität von Runtime-Systemen (auch über zenon Web Client) im zenon Netzwerk, selbst wenn die Version der Client-Runtime höher ist als jene der Server-Runtime.

Die aktuelle Runtime kann Projekte folgender Versionen laden:

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0
  • 7.11 SP0
  • 7.20 SP0
  • 7.20 SP0[aktuelle Build-Nr.]
  • 7.50 SP0
  • 7.60 SP0
  • 8.00 SP0

Im Rahmen der Mehrprojektverwaltung können auch unterschiedliche Projekte geladen werden. Zum Beispiel kann das Integrationsprojekt von der Version 8.00 sein, ein Unterprojekt von der Version 7.60 und ein weiteres Unterprojekt von der Version 6.51. Der gemischte Betrieb funktioniert auch im Netzwerkbetrieb. Damit können auch mit dem zenon Web Client Projekte unterschiedlicher Versionen gestartet werden.

Hinweis: Stellt man ab Version 7.00 im Editor eine andere Grafikqualität als Windows Basis für ein Projekt ein (inklusive entsprechender Einstellung für die Option Runtime-Dateien erzeugen für), so lädt die Runtime bis zenon Version 6.51 die Grafikqualität Windows Erweitert. Stellt man die Grafikqualität Windows Basis ein, wird diese beibehalten.

Achtung: Server und Standby Server müssen immer die gleiche Version haben.

Hinweis Modul Batch Control: Runtime-Dateien für Batch Control sind bis inklusive Version 7.00 SP0 nicht kompatibel mit späteren Versionen. Ab Version 7.10 aufwärts ist die Kompatibilität gegeben.

Version 7.20 - latest Build

Für die Kompatibilität zur Version 7.20 steht eine zusätzliche Auswahlmöglichkeit "aktuellste Version" zur Verfügung. Diese ist mit dem Eintrag 7.20 SP0 + [aktuellste Build-Nr.] in der Dropdownliste auswählbar.

Mit dieser Auswahl werden die Runtimedateien für den aktuellen Build der Version 7.20 zur Verfügung gestellt. Funktionalität die nach dem offiziellen Release von 7.20 noch in die Version 7.20 eingebaut wurden, werden dadurch unterstützt. Dies gilt vor allem für Erweiterungen von Treibern, die mit dieser Option nun unterstützt werden. Für die Nutzung müssen Sie den aktuellsten Build von zenon 7.20 auf Ihrem Rechner installiert haben.

Hinweis: Die Auswahl 7.20 SP0 kompiliert die Runtimedateien - wie bisher - auf Default-Einstellungen von 7.20 SP0.Stellen Sie dabei sicher, dass Sie sowohl für die zenon 7.50 wie auch für 7.20 den jeweils aktuellsten Build verwenden.

Kompatibilität zwischen Editor und Runtime

Mit dem zenon Editor können Runtime-Dateien für unterschiedliche Runtime-Versionen erstellt werden. Die Version der Runtime muss damit nicht mit der Version des Editors übereinstimmen. Diese Abwärtskompatibilität eignet sich besonders für den Einsatz gemischter Systeme. Zum Beispiel: Ein Projekt, das mit dem Editor für Version 7.60 projektiert wird, kann auch mit einer Runtime 6.20 SP4 gestartet werden.

attention Achtung

Werden in einem Projekt mit einem Editor der höheren Version Eigenschaften projektiert, die in der niedrigeren Version nicht verfügbar sind, stehen diese dort nicht zur Verfügung. Das kann zur Runtime zu unerwünschten Ergebnissen führen.

Runtime-Dateien erstellen

Um im Editor Runtime-Dateien für niedrigere Versionen zu erstellen:

  1. Markieren Sie das Projekt im Projektbaum.
  2. Navigieren Sie in den Projekteigenschaften zum Abschnitt Allgemein.
  3. Öffnen Sie die Dropdownliste der Eigenschaft Runtime-Dateien erzeugen für.
  4. Wählen Sie die gewünschte Version aus der Dropdownliste.

Achtung: Um die Konsistenz der Runtime-Dateien zu gewährleisten, müssen nach jeder Änderung dieser Eigenschaft alle Runtime-Dateien neu erzeugt werden. Auch die Konfigurationen aller Treiber werden konvertiert. Einstellungen, die es in der entsprechenden Version nicht gibt, werden auf Default gesetzt.


Runtimeprofile

Handbuch > Runtime > Runtimeprofile

Ein Runtimeprofil ist eine reproduzierbare optische Momentaufnahme eines Bildes zur Runtime, inklusive Information über:

  • Bildschema (Reihe und Position)
  • Bildschirmzuordnung
  • Filter

Runtimeprofile sind projekt- und benutzerbezogen.

Folgende Bildtypen unterstützen Runtimeprofile:

  • Alarmmeldeliste
  • Archiv-Nachbearbeitung
  • Chronologische Ereignisliste
  • Erweiterter Trend
  • Industrial Maintenance Manager
  • Industrial Performance Analyzer
  • Report Generator
  • Message Control
  • Variablen-Diagnose

Jeder zenon Benutzer verfügt über einen eigenen Ordner, in dem er seine Profile verwalten kann. Administratoren können alle Profile aller Benutzer sehen und editieren sowie zum Benutzer System kopieren. Vom Benutzerkonto System können alle Benutzer Runtimeprofile laden. Es dient als Austauschkonto für Runtimeprofile.

Hinweis: Nur Administratoren können Profile in das Benutzerkonto System hineinkopieren und dort verwalten. Alle übrigen Benutzer können nur ihre eigenen Profile verwalten und die Profile des Benutzers System laden.

Vordefinierte Profile

Neben individuellen Profilen, gibt es zwei vordefinierte Runtimeprofile:

  • DEFAULT: vom Benutzer erstellt und als Standardprofil ausgewählt
  • LAST: wird beim Ausloggen eines Benutzers automatisch in seinem Verzeichnis gespeichert
    Ausnahme: Das Profil LAST wird nicht gespeichert:
    • für den Benutzer System
    • bei einem temporären Login ohne Schreibrechte

Jedem zenon Benutzer kann beim Einloggen ein Startprofil zugeordnet werden.

attention Achtung

Profile können nur dann korrekt am Server gespeichert werden, wenn am Server alle Projekte vorhanden sind:

  • aus denen Bilder am Client aufgeschaltet werden
  • die mit einer Bildumschaltungsfunktion Bilder aufrufen

Das Speichern von Runtime-Profilen, die diesen Bedingungen nicht entsprechen kann zu Fehlern zur Runtime führen.

Noch in diesem Kapitel

Profil zur Runtime erstellen und laden

Funktion projektieren

Profil zuordnen und verwalten

Speicherorte der Profile


Profil zur Runtime erstellen und laden

Handbuch > Runtime > Runtimeprofile > Profil zur Runtime erstellen und laden

Um zur Runtime ein Profil zu erstellen, muss eine entsprechende Funktion projektiert sein:

  • Profil speichern: speichert das aktuelle Profil so, wie in der Funktion definiert
  • Profilverwaltung: öffnet die Verwaltung der Profile zum Speichern, Laden, Zuweisen und Verwalten der Profile

Außerdem können zur Runtime bereits vorhandene Profile aktiviert werden:

  • Profil laden

Beim Laden eines Profils wird der Zustand wie bei der Speicherung des Profils wieder hergestellt. Es wird also der Bildaufbau inkl. aller eingestellter Filter - so wie er beim Speichern des Profils war - wiederhergestellt.

Achtung: Sind in den Eigenschaften eines Bildes bei Start-Funktion oder Ende-Funktion Bildumschaltungsfunktionen (Bildumschaltung, Bild indiziert oder Bild zurück ), werden diese nicht ausgeführt! Alle anderen Funktionstypen werden erneut ausgeführt.

Wird in den beiden Funktionen ein Skript aufgerufen, wird das komplette Skript ausgeführt sowie alle darin enthaltenen Bildumschaltungsfunktionen. Dadurch kann es vorkommen, dass der Bildaufbau nach dem Laden des Profils nicht demjenigen beim Speichern des Profils entspricht.

Ähnlich verhält es sich mit der Bild aktiv Variable: Wird in der Variable ein Grenzwert ausgeführt, der wiederum eine Bildumschaltungsfunktion enthält, wird diese ausgeführt und beeinflusst somit die Darstellung eventuell ungewollt.


Funktion projektieren

Handbuch > Runtime > Runtimeprofile > Funktion projektieren

Um zur Runtime Profile zu laden, zu speichern und zu verwalten, projektieren Sie im Editor eine Funktion und weisen diese einer Schaltfläche zu:

  • wählen Sie Funktion neu
  • navigieren Sie zum Knoten Bilder
  • wählen Sie Runtimeprofile

  • der Dialog zur Konfiguration der Funktion wird geöffnet

Eigenschaft | Aktion
Verwaltungsdialog in der Runtime öffnen | Öffnet zur Runtime den Dialog zum Verwalten, Erstellen, Speichern und Laden von Profilen.
Profil laden | Lädt das im Dialog definierte Profil zur Runtime:
DEFAULT | Lädt das Profil DEFAULT. Dieses wurde vom Benutzer aus den vorhandenen Profilen als Standard ausgewählt.
LAST | Lädt das Profil LAST. Dieses wurde beim Ausloggen eines Benutzers automatisch in sein Verzeichnis geschrieben.
Freier Name | Lädt das Profil mit dem im Dialog vorgegebenen Namen. Existiert das Profil nicht, wird das aktuelle Profil beibehalten.
Name aus Variable | Lädt das Profil, dessen Name aus der definierten Variable erstellt wurde.
Profil speichern | Speichert das im Dialog definierte Profil.
DEFAULT | Speichert das aktuelle Profil als DEFAULT.
Freier Name | Speichert das Profil unter dem im Dialog vorgegebenen Namen.
Name aus Variable | Speichert das Profil unter dem Namen, der aus der im Dialog definierten Variable erstellt wird.


Profil zuordnen und verwalten

Handbuch > Runtime > Runtimeprofile > Profil zuordnen und verwalten

Profile können im Editor und zur Runtime zugeordnet werden. Die Erstellung und Speicherung erfolgt zur Runtime.

Im Editor

Im Editor werden Benutzern Runtimeprofile zugewiesen:

  • im Dialog beim Anlegen eines neuen Benutzers mit der Eigenschaft Anmeldeprofil:

  • Über die Eigenschaft Runtimeprofil eines Benutzers:

  • In der Dropdownliste stehen jeweils folgende Einstellungen zur Auswahl:
    • Keines:
      Kein Profil wird zugeordnet (Standardeinstellung)
    • DEFAULT:
      Das Profil DEFAULT wird zugeordnet
    • LAST:
      Das Profil LAST wird zugeordnet

Zur Runtime

Zur Runtime können Sie Profile über die Profilverwaltung speichern, laden, zuweisen und verwalten. Dazu muss die Funktion Runtimeprofile mit der Eigenschaft Verwaltungsdialog in der Runtime öffnen projektiert sein.

Hinweis: Administratoren können die Profile anderer Benutzer verwalten.

Eigenschaft | Aktion
Angemeldeter Benutzer | Benutzer, der aktuell am System angemeldet ist.
Benutzer, dessen Profile verwaltet werden | Benutzer, dessen Profile angezeigt werden und verwaltet werden können.
Profile | Liste der vorhandenen Profile.
Profilname | Name des Profils.
Zuletzt geändert | Datum und Uhrzeit der letzten Änderung.
Umbenennen | Öffnet den ausgewählten Profilnamen zum Umbenennen.
Löschen | Löscht das ausgewählte Profil nach einer Sicherheitsabfrage.
Kopieren | Kopiert das ausgewählte Profil zum Benutzer System. Der Name kann dabei geändert werden. Tipp: Profile beim Benutzer System stehen allen nicht eingeloggten Benutzern zur Verfügung.
Profil speichern | Öffnet den Dialog zur Vergabe eines Profilnamens und speichert das Profil unter diesem Namen. Dabei sind nicht erlaubt: Leerzeichen sowie die Sonderzeichen / | \ : * ? ! " < > $
Profil laden | Lädt das ausgewählte Profil.
Schließen | Schließt den Dialog.

Tastenkombinationen

Taste | Aktion
F5 | Aktualisiert die Liste der Profile. Bei unerwarteten Ereignissen im zenon Netzwerk wie Ausfall von Server oder Standby werden die Inhalte der Liste automatisch aktualisiert.
Esc | Schließt den Dialog.
Eingabe | Lädt das ausgewählte Profil.
Einfg | Speichert den aktuellen Zustand als neues Profil.
F2 | Ermöglicht das Ändern des Namens des ausgewählten Profils.
Entf | Löscht das ausgewählte Profil nach einer Sicherheitsabfrage.


Speicherorte der Profile

Handbuch > Runtime > Runtimeprofile > Speicherorte der Profile

Die Profildaten werden je nach Verwendung der Runtime unterschiedlich gespeichert:

Art der Runtime | Speicherort
Server oder Standalone: | Daten werden lokal gespeichert.
Client | Daten liegen am Server und werden interaktiv angefordert und geändert.
Standby | Daten liegen am Server, werden interaktiv angefordert und geändert sowie lokal synchronisiert.


Filterprofile

Handbuch > Runtime > Filterprofile

Filterprofile sind Filtereinstellungen, die der Anwender bezogen auf ein bestimmtes Bild in der Runtime speichern und aufrufen kann.

Um Filterprofile verwenden zu können, müssen im Bild folgende Kontrollelemente projektiert werden:

Kontrollelement | Beschreibung
Filterprofile | Profilverwaltung zur Runtime.
Profilauswahl | Auswahl eines gespeicherten Profils aus Dropdownliste.
Speichern | Klick auf Button speichert in der Runtime die Filtereinstellungen als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Klick auf Button löscht in der Runtime das ausgewählte Profil.

Damit können Sie zur Runtime:

  • Filter speichern
  • gespeicherte Filter anwenden
  • Filterprofile löschen
  • Filterprofile können mit weiteren Kontrollelementen auch exportiert und importiert werden.

Filterprofil speichern

Um ein Filterprofil zu erstellen:

  1. Definieren Sie Filterbedingungen.
  2. Vergeben Sie im Eingabefeld Filterprofile einen Namen.
  3. Klicken Sie auf Speichern.
    Das Filterprofil wird gespeichert und ist in der Dropdownliste verfügbar.

Filterprofil anwenden

Um ein Filterprofil anzuwenden:

  1. Wählen Sie aus der Dropdownliste Filterprofile einen Filter.
  2. Der Filter wird sofort angewendet.

Filterprofil löschen

Um ein Filterprofil zu löschen:

  1. Wählen Sie einen Filter aus der Dropdownliste Filterprofile.
  2. Klicken Sie auf die Schaltfläche Löschen.
    Das Filterprofil wird gelöscht.
  3. Der gelöschte Filter wird weiter angewendet, bis ein neuer Filter definiert oder ausgewählt wurde.

Noch in diesem Kapitel

Filterprofile exportieren und importieren


Filterprofile exportieren und importieren

Handbuch > Runtime > Filterprofile > Filterprofile exportieren und importieren

Mit den Kontrollelementen für Import und Export können Filterprofile auch auf andere Projekte und andere Rechner übertragen werden.

Um Profile zu exportieren:

  1. erstellen Sie im Bild die Kontrollelemente für Import und Export:
    Kontrollelemente -> Filterprofile -> Import oder Export
  2. starten Sie die Runtime
  3. öffnen Sie das Bild
  4. legen Sie die gewünschten Profile an
  5. speichern Sie die Profile
  6. exportieren Sie die Profile:
    diese werden in einer XML-Datei gespeichert und können in anderen Projekten beim gleichen Bildtyp importiert werden

Um Profile zu importieren:

  1. speichern Sie die XML-Datei mit den gewünschten Profilen am Runtime-Rechner falls dieser sich vom Exportrechner unterscheidet
  2. starten Sie die Runtime
  3. öffnen Sie das Bild
  4. importieren Sie die Profile

info Info

Beim Import werden alle zuvor vorhandenen Profile gelöscht. Das zur Zeit aktive Profil wird jedoch nicht geändert.

XML-Dateien können nur im jeweils passenden Bildtyp, mit dem sie erstellt wurden, importiert werden. Wird versucht, Profile eines anderen Bildtyps zu importieren, wird der Import mit einem Hinweis auf den Fehler abgebrochen.


Behandlung von Zeitangaben

Handbuch > Runtime > Behandlung von Zeitangaben

Zeitangaben in zenon sind entweder lokale Angaben, UTC-Uhrzeiten oder Zeiträume. Grundsätzlich gilt dabei:

  • alle Zeitpunkte "von - bis" in Filter wie Bildumschaltung auf AML oder CEL werden in UTC gespeichert
  • Uhrzeiten (wie in den Modulen PFS und Last-Management) sind Angaben in der jeweiligen Lokalzeit (Local Time)
  • Zeiträume sind Zeitspannen in Sekunden

Ausnahmen:

  • der IPA schreibt historische Daten in Lokalzeit als "datetime" in die Datenbank
  • Die zenon Funktion Uhrzeit von Variable lesen oder Uhrzeit auf Variable schreiben speichert keine Zeit sondern übernimmt die als String formatierte Lokalzeit aus der Steuerung oder schreibt diese.

UTC

UTC steht für Coordinated Universal Time. Die Zeiteinheit ist die SI-Sekunde. UTC ist die einheitliche Grundlage für die internationale Zeitbestimmung und wird über Zeitsender und andere Zeitdienste öffentlich zur Verfügung gestellt. Abhängig von der Zeitzone muss zur UTC eine bestimmte Zeitspanne addiert oder subtrahiert werden. Diese Zeitspanne kann bei einem Wechsel zur Sommerzeit um eine Stunde variieren.
Beispiele:

Land | Lokalzeit
Alaska | UTC -9
Australien, Queensland | UTC +10
Bulgarien | UTC +2
Großbritannien | UTC
Korea | UTC +9
Mitteleuropa (MEZ) | UTC +1
Mitteleuropa (MEZ) Sommerzeit | UTC +2
Saudi Arabien | UTC +3
USA Ostküste | UTC -5
Vereinigte Arabische Emirate | UTC +4

Auswirkungen auf Konfigurationen

Projektierte Zeitangaben haben je nach Ausführungsort der Runtime unterschiedliche tatsächliche Uhrzeiten zur Folge.

Zum Beispiel: Am Editor wird für den PFS lokal in der Zeitzone UTC +1 der Wert 14.00 Uhr für die Ausführung einer Funktion projektiert. Nach dem Transfer der Dateien auf eine Runtime in der Zeitzone UTC +10 wird diese Funktion um 23 Uhr ausgeführt.

Umstellung Zeitzone

Wir die Zeitzone im Betriebssystem geändert, dann wird diese Änderung in zenon zur Runtime automatisch übernommen.

Tipp Tipp

Die Zeitzone des Rechners kann mit der Systemtreibervariable [Systeminformation] Sommer-/Winterzeit ausgewertet werden.

Der Zeitunterschied der lokalen Zeit des Rechners zu UTC kann mit der Systemtreibervariable [Systeminformation] Zeitversatz zu UTC ausgewertet werden.

Noch in diesem Kapitel

Zeitumstellung Sommerzeit


Zeitumstellung Sommerzeit

Handbuch > Runtime > Behandlung von Zeitangaben > Zeitumstellung Sommerzeit

Für die Umstellung der Systemzeit auf Sommerzeit oder Winterzeit gilt:

  • Benutzen Sie unbedingt die automatische Windows Zeitanpassung des Rechners.
  • Stellen Sie die Zeit nicht manuell um!

    Manuelle Änderungen können Probleme mit relevanten Zeitangaben fürzenon verursachen, zum Beispiel für Speicherzeitpunkte von Archiven, Zeitsteuerung usw.

Das Verhalten von Scheduler und Production & Facility Scheduler bei der Zeitumstellung konfigurieren Sie bei den Einstellungen dieser Module:

  • Zeitumstellung Scheduler
  • Zeitumstellung Production & Facility Scheduler


Alarmverwaltung

Handbuch > Alarmverwaltung

Die Alarmverwaltung informiert über auftretende Fehler wie das Überschreiten von Grenzwerten. Sie setzt sich zusammen aus:

  1. Alarmstatuszeile:
    Informationszeile, die zur Runtime immer im Vordergrund dargestellt wird und je nach Projektierung den jüngsten oder ältesten unquittierten Alarm enthält.
  2. Alarmmeldeliste (AML):
    Verwaltet zur Runtime die Alarme in einer Liste. Die AML:
    • zeigt Alarme und deren Ursachen in einer Liste ungefiltert oder gefiltert an
    • ermöglicht Lokalisierung der Alarmursache
    • ermöglicht Quittierung von Alarmen
    • ermöglicht das Löschen von Alarmen
    • ermöglicht Ausdruck und Speicherung von Alarmen

Alarme konfigurieren Sie über:

  • Einstellung von Grenzwerten für Variablen
  • mit Reaktionsmatrizen
  • Eigenschaften der Alarme

Noch in diesem Kapitel

Alarme projektieren

Bedienen zur Runtime


Alarme projektieren

Handbuch > Alarmverwaltung > Alarme projektieren

Die Bedienung der Alarmverwaltung erfolgt zur Runtime über Bilder vom Typ Alarmmeldeliste und Alarmmeldeliste Filter sowie die Alarmstatuszeile. Die Alarmstatuszeile wird automatisch als Schablone angelegt.

Editor

Um Alarme zur Runtime bedienen zu können, müssen im Editor:

  • ein Bild vom Typ Alarmmeldeliste projektiert werden
  • Grenzwertverletzungen von Variablen oder Reaktionsmatrizen definiert werden

Zusätzlich können Sie:

  • Alarme über Filter projektieren
  • Alarme gruppieren
  • mit einem Bild vom Typ Alarmmeldeliste Filter die zur Runtime verfügbaren Filter anpassen

Runtime

Für die Bedienung zur Runtime werden genutzt:

  • Bildumschaltung AML
  • Bildumschaltung AML Filter
  • die zenon Alarm-Funktionen
  • Bild vom Typ Alarmmeldeliste Filter benutzen
  • Alarmstatuszeile

Noch in diesem Kapitel

Bild vom Typ Alarmmeldeliste anlegen

Bild vom Typ Alarmmeldeliste Filter anlegen

Alarme definieren

Alarmbehandlung

Gruppierung von Alarmen

Alarmklassen, Alarmgruppen und Alarmbereiche in Globalprojekt und Lokalprojekten

Alarmprojektierung über Filter

Funktionen


Bild vom Typ Alarmmeldeliste anlegen

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste anlegen

Bild vom Typ Alarmmeldeliste Filter anlegen

Das Bild vom Typ Alarmmeldeliste dient dazu, die in der Runtime anstehenden und gegangenen Alarme anzuzeigen und zu protokollieren. Die Anzeige kann über Filter verändert werden. Funktionen ermöglichen den Export und den Druck der angezeigten Alarme.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Alarmmeldeliste.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Darstellung der AML zur Runtime anpassen


Kontrollelemente

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste anlegen > Kontrollelemente

Vorlage einfügen

Parameter | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Hinweis: Für Kontrollelemente vom Typ Dynamischer Text oder Schalter wird die jeweilige Funktionalität über die Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Kontrollelemente

Fenster

Kontrollelement

Beschreibung

Fenster

Anzeigen zur Runtime.

Alarmmeldeliste

Anzeige der Alarme. Das Aussehen ist konfigurierbar. Spalten werden über den Filter Spalteneinstellungen bei der Bildumschaltung festgelegt.

Über die Eigenschaft Spalteneinstellung AML in den Projekteigenschaften in der Gruppe Alarmmeldeliste werden die Einstellungen für den Export in CSV, XML und DBF definiert. Diese dienen auch als Voreinstellung für die Bildumschaltfunktion.

Eingestellter Filter

Anzeige der aktuell gewählten Filterbedingungen.

Status

Anzeige, ob Alarmmeldeliste aktiv ist oder nicht (Projekt-Eigenschaft Alarmmeldeliste aktiv).

Anzahl gesamt

Zeigt Anzahl aller Alarme.

Anzahl unquittiert

Zeigt Zahl unquittierter Alarme.

Listenfunktionen

Kontrollelement | Beschreibung
Listenfunktionen | Buttons zur Steuerung der Listen.
Filter | Öffnet Dialog zur Filterauswahl.
Stopp/Weiter | Schalter für Befüllung der Liste: Stopp: Neue Elemente werden nicht mehr automatisch hinzugefügt. Weiter: Neue Elemente werden automatisch hinzugefügt. Achtung: Die Beschriftung des Buttons kann im Editor zwar geändert werden, wird zur Runtime aber nicht übernommen.
Drucken | Druckt gefilterte Liste.
Drucken mit Dialog | Öffnet vor dem Drucken die Druckereinstellungen.

Alarmfunktionen

Kontrollelement

Beschreibung

Alarmfunktionen

Buttons zum Quittieren und Löschen von Alarmen.

Quittieren

Alarmmeldungen zur Runtime quittieren.

Seite quittieren

Alle auf der aktuellen Seite angezeigten Alarme werden quittiert.

Alle quittieren

Alle dem aktuellen Filterkriterium entsprechenden Alarme werden quittiert.

Hinweis Mehrbenutzer-Projekt: Es werden nur die Alarme jenes Projektes quittiert, für das der Benutzer die Berechtigung dazu besitzt. (Details Mehrbenutzer-Projekt siehe Kapitel Verteiltes Engineering)

Sichtquittieren

Die ausgewählten Alarme werden sichtquittiert.

Sichtquittieren und quittieren

Die ausgewählten Alarme werden erst sichtquittiert und dann quittiert.

Quittierung bestätigen

Löscht Alarm zur Runtime aus der Alarmmeldeliste. Alarm muss bereits quittiert sein.

Quittierung bestätigen Seite

Löscht alle quittierten Alarme, die auf der aktuellen Seite angezeigt werden.

Quittierung bestätigen alle

Löscht alle quittierten Alarme, die dem aktuellen Filterkriterium entsprechen.

Verknüpfte Funktion (Anzeige)

Zeigt die der Alarmmeldung zugeordnete Funktion an.

Funktion ausführen

Führt zur Runtime die am Alarm projektierte Funktion aus.

Hinweis: Bei der Funktion Starte Programm kann der Variablenname des ausgewählten Alarms als Parameter für das zu startende Programm über das Schlüsselwort @alarm.name übergeben werden.

Hilfe aufrufen...

Ruft projektierte Hilfe auf.

Anzeigen

Status und Elemente der Alarmverwaltung.

Kommentarfeld

Eingabe eines freien Textes durch den Benutzer für den ausgewählten Alarm.

Maximale Länge: 79 Zeichen

Dieser Text kann in der Liste mit angezeigt werden. Dazu wird die Option Kommentar in den Spalteneinstellungen der Alarmverwaltung aktiviert.

Das Kommentarfeld ist ein Element vom Typ Dynamischer Text. Für dieses Element wird beim Projektieren automatisch die Eigenschaft Sollwert setzen aktiviert. Zusätzlich wird die Eigenschaft Sollwert setzen über auf den Wert Element gesetzt.

Änderungen an Kommentaren können über die Aktivierung der Eigenschaft Alarm-Kommentare dokumentiert werden.

Alarmursache auswählen...

Öffnet den Dialog zur Auswahl einer Alarmursache.

Über den Dialog kann dem in der Alarmmeldeliste ausgewählten Alarm eine Alarmursache zugeordenet werden.

Hinweis: Inaktiv wenn kein Eintrag in der Alarmmeldeliste ausgewählt ist.

Siehe auch Kapitel Alarmursachen.

Navigation

Kontrollelement | Beschreibung
Navigation | Steuert Elemente der Liste.
Zeile nach oben | Blättert eine Zeile nach oben.
Zeile nach unten | Blättert eine Zeile nach unten.
Spalte nach rechts | Blättert eine Spalte nach rechts.
Spalte nach links | Blättert eine Spalte nach links.
Seite nach oben | Blättert eine Seite nach oben.
Seite nach unten | Blättert eine Seite nach unten.
Seite nach rechts | Blättert eine Seite nach rechts.
Seite nach links | Blättert eine Seite nach links.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Status | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl gesamt | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl unquittiert | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Verknüpfte Funktion (Anzeige) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kommentarfeld | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Schablone schließen | Schließt die Schablone auf der das Bild beruht. Empfehlung: Benutzen Sie zum Schließen von Schablonen die Funktion Schablone schließen. Damit nach dem Schließen das davor geöffnete Bild angezeigt wird, muss das Bild vom Typ AML mit einer eigenen Schablone projektiert werden.

Filterprofile

Kontrollelement | Beschreibung
Filterprofile | Buttons für Filtereinstellungen zur Runtime.
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichert aktuelle Einstellung als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Löscht ausgewähltes Profil.
Import | Importiert Filterprofile aus Exportdatei.
Export | Exportiert Filterprofile in Datei.

info Info

Mit dem Kontrollelement Filter anzeigen wird der aktuell benutzte Filter angezeigt.

Bei einem:

  • Textfilter: wird der Ausdruck [Txt] angezeigt
  • Relativzeitfilter: wird ein Ausdruck nach folgendem Schema angezeigt:
    [T,Rel:%dd,%dh,%dm;%ds]
    Beispiel: [T,Rel:1d,0h,0m,0s] entspricht einem Tag.


Darstellung der AML zur Runtime anpassen

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste anlegen > Darstellung der AML zur Runtime anpassen

Die tabellarische Darstellung der Alarmmeldeliste in der zenon Runtime kann individuelle projektiert werden:

Bildlaufleisten, Kopfzeile und Raster

Um Größe und Aussehen von Bildlaufleisten, der Kopfzeile und eines Rasters für die Tabelle zu definieren:

  1. Aktivieren Sie in der Gruppe Darstellung die Eigenschaft Erweiterte grafische Einstellungen.
  2. Definieren Sie die gewünschten Eigenschaften in den Gruppen Bildlaufleisten und Kopfzeile und Raster.

info Info

Wird für die Eigenschaft Anzeigestil Grafikdateien gewählt, dann werden alle Elemente, für die keine Grafikdatei ausgewählt wird, mit einem Farbverlauf dargestellt. Bei Steuerelementen für Listen können keine transparenten Grafiken verwendet werden.

Projektieren im Editor

In den Projekteinstellungen können Sie in der Eigenschaftengruppe Alarmmeldeliste die Darstellung der Einträge der AML zur Runtime projektieren.

Es gibt verschiedene Darstellungsweisen für Alarme, die:

  • zum ersten Mal auftreten: Alarm kommt
  • bereits gegangen sind: Alarm geht
  • erneut auftreten: Alarm reaktiviert
  • bereits quittiert wurden: Alarm quittiert
  • eine bereits bestätigte Alarmquittierung aufweisen: Alarmquittierung bestätigt

Für Alarm kommt, Alarm geht und Alarm reaktiviert können Sie die Darstellung jeweils mit folgenden Eigenschaften projektieren:

  • Text-/Zustandsfarbe
  • Hintergrundfarbe
  • Präfix
  • Grafikdatei für Alarmzustand
  • Grafikdatei Präfix

Für quittierte Alarme wird die Darstellung mit den folgenden Eigenschaften projektiert:

  • Text-/Zustandsfarbe - Kommt
  • Hintergrundfarbe - Kommt
  • Text-/Zustandsfarbe - Geht
  • Hintergrundfarbe - Geht
  • Text-/Zustandsfarbe - Reaktiviert
  • Hintergrundfarbe - Reaktiviert
  • Präfix
  • Grafikdatei für Alarmzustand
  • Grafikdatei Präfix

Für Alarmquittierung bestätigt können Sie folgende Einstellungen projektieren:

  • Farbe
  • Grafikdatei für Alarmzustand

Unter Alarmstatuszeile können Sie folgende Eigenschaften aktivieren:

  • Statuszeile aktiv
  • nächsten nachschieben

Sie können folgende Einstellungen definieren:

  • Anzeige
  • Schrift
  • Textfarbe
  • Hintergrundfarbe

Für die Meldungen 1 bis 4 können Sie jeweils folgende Einstellungen definieren:

  • Meldung [n] Alarmanzahl
  • Meldung [n] Text
  • Meldung [n] Textfarbe

Alle Einstellungen werden in der Datei project.ini gespeichert. Details hierzu finden Sie im Kapitel AML [ALARM].

Folgende Einstellungen können für den jeweiligen Alarm vorgenommen werden:

Parameter

Beschreibung

Farbe

Farbauswahl für den jeweiligen Alarm:

  • Alarm kommt
  • Alarm geht
  • Alarm reaktiviert
  • Alarm quittiert
  • Alarmquittierung bestätigt

Die getroffene Farbauswahl gilt für den Text der entsprechenden Zeitspalte des Zustands und für die Grafik in der Spalte Alarmzustand.

Präfix

Möglichkeit zur Eingabe eines Präfixes, um zur Runtime den jeweiligen Zeitstempel schnell zu erkennen.

Nicht verfügbar für Alarmquittierung bestätigt.

Grafikdatei für Alarmzustand

Möglichkeit zur Auswahl einer Grafikdatei für die Darstellung zur Runtime des jeweiligen Alarms.

Grafikdatei Präfix

Möglichkeit zur Auswahl einer Grafikdatei, die zur Runtime anstatt des Präfix links vor dem Zeitstempel des Alarms angezeigt werden soll.

Nicht verfügbar für Alarmquittierung bestätigt.

Hinweis: Wenn ein älteres Projekt in ein zenon Projekt der Version 8.00 konvertiert wird, werden die Farbe und die Statusangabe von Alarm kommt auch für Alarm reaktiviert verwendet. Präfix und Grafikdatei Präfix bleiben leer. Wenn ältere Runtimedateien mit einer Runtime der Version 8.00 gestartet werden, treten die gleichen Auswirkungen auf.

Zur Runtime sortieren

Um zur Runtime die für die Sortierung relevante Spalte zu kennzeichnen und die Sortierreihenfolge zu bestimmen, projektieren Sie grafische Elemente für die Titelzeile:

  1. Wählen Sie für die Eigenschaft Anzeigestil den Wert Grafikdateien.
  2. Verknüpfen Sie die Eigenschaften Aufsteigend sortiert und Absteigend sortiert jeweils mit einer Grafikdatei.

    Zur Runtime wird in der für die Sortierung relevanten Spalte die gewählte Grafik für die jeweilige Sortierrichtung angezeigt.

    • Klick auf Grafik ändert Sortierreihenfolge.
    • Klick in Spaltentitel aktiviert Spalte für Sortierung.

Kopfzeile zur Runtime bedienen

Sie können Benutzern ermöglichen, die Kopfzeile zur Runtime zu bedienen. Dadurch ist eine individuelle Anpassung der Darstellung in der Runtime möglich:

  • Spalten per Drag&Drop bewegen
  • Spaltenbreite mit der Maus ändern
  • Sortierung ändern

Benutzen Sie dazu die Eigenschaften:

  • Spaltenpositionen fixiert: Steuert die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen in der Breite anzupassen oder zu verschieben.
    • aktiv: Die Spalten können nicht per Drag&Drop bewegt und nicht in der Breite angepasst werden.
    • inaktiv: Die Spalten können per Drag&Drop angeordnet werden und die Breite der Spalten kann durch Ziehen mit der Maus angepasst werden
  • Sortieren sperren: Steuert die Möglichkeit, Tabellenspalten zur Runtime zu sortieren.
    • aktiv: Die Tabelle kann nicht sortiert werden.
    • inaktiv: Die Tabelle kann mit einen Klick auf die Kopfzeile sortiert werden.

Hinweis: Um diese Eigenschaften konfigurieren zu können, muss in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML den Wert bedienbare Kopfzeile gewählt werden. Hier können Sie die Kopfzeile auch generell unbedienbar oder unsichtbar schalten. Diese Einstellungen gelten für alle Kopfzeilen im Projekt.

Vorschau

Mit Aktivierung der Eigenschaft Erweiterte grafische Einstellungen werden im Editor die Kopfzeile und die Bildlaufleisten als Vorschau angezeigt. So lassen sich Details wie Farben Fülleffekte, Lichteffekte oder Raster einfacher projektieren.

Achtung: Da die Größe der Bildlaufleisten in der Vorschau der Größe zur Runtime entspricht, kann die gesamte Größe der Liste im Editor von der Größe zur Runtime abweichen. Das gilt auch für die Größe der Kopfzeile und die Schrift der Kopfzeile.


Bild vom Typ Alarmmeldeliste Filter anlegen

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste Filter anlegen

Das Bild vom Typ Alarmmeldeliste Filter ermöglicht es, zur Runtime individualisierte Filtereinstellungen für die Alarmmeldeliste vorzunehmen. Es werden nur die benötigen Filter projektiert und dem Benutzer zur Verfügung gestellt. Das Aussehen lässt sich frei definieren und damit an unterschiedliche Endgeräte anpassen. Es können alle Filtereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste vorhanden sind, projektiert werden.

Damit:

  • werden nur die wirklich benötigten Filterelemente projektiert und dem Benutzer zur Verfügung gestellt
  • bekommt der Benutzer nur diese Filter angezeigt und gewinnt Übersicht
  • kann das Aussehen völlig frei definiert werden und so zum Beispiel auch eine leichte Bedienung über einen Touchscreen realisiert werden

Details zur Handhabung zur Runtime, siehe Abschnitt Alarmmeldeliste Filter benutzen.

Definition der Filterkriterien, siehe Abschnitt Filter Alarmmeldeliste Filter.

attention Achtung

Bilder vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter und Zeitfilter müssen mit einer eigenen Schablone projektiert werden. Benutzen sie die gleiche Schablone wie andere Bilder, werden zur Runtime beim Schließen des Bildes alle auf dieser Schablone basierenden Bilder ebenfalls geschlossen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Alarmmeldeliste Filter.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
      Hinweis: Das Bild AML Filter darf nicht auf derselben Schablone wie andere Bilder basieren!
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Vorlagen

Vordefinierte Namen

Filterbilder


Kontrollelemente

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste Filter anlegen > Kontrollelemente

Das Bild vom Typ Alarmmeldeliste Filter kann folgende Steuer- und Anzeigeelemente enthalten.

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden. Mehr zu Vorlagen für diesen Bildtyp im Kapitel Vorlagen.

Allgemeine Filter

Dropdownliste verschiedener allgemeiner Filter.

Kontrollelement

Beschreibung

Alle Elemente einfügen: Allgemeine Filter

Fügt alle Elemente aus dem Bereich Allgemeine Filter an vordefinierten Plätzen ein. Elemente können individuell angeordnet werden.

Alle Elemente einfügen: Allgemeine Filter (Touch)

Fügt alle Elemente aus dem Bereich Allgemeine Filter an vordefinierten Plätzen ein. Elemente können individuell angeordnet werden. Die Elemente wurden auf Touchbedienung optimiert.

Variablen

Alarme welcher Variablen werden angezeigt:
  • Name

Filtern nach Namen der Variablen.
  • Kennung

Filtern nach Kennung der Variablen.
  • Groß-/Kleinschreibung beachten

Groß- und Kleinschreibung bei der Filterung der Variablen beachten.

Alarmart

Welche Alarme werden angezeigt:
  • Nur nicht quittierte Alarme

Nur nicht quittierte Alarme.
  • Nur gegangene Alarme

Nur gegangene Alarme.
  • Nur anstehende Alarme

Nur anstehende Alarme.
  • Kommentar erforderlich

Alarme, deren Quittierung einen Kommentar erfordert.
  • Alarmursache erforderlich

Alarme, deren Quittierung die Verknüpfung einer Alarmursache erfordert.

Mindestzeit anstehender Alarme

Zeit, die Alarme mindestens anstehen müssen.
  • Tage

Nur Alarme, die mindestens seit der angegeben Zahl von Tagen anstehen.
  • Stunden

Nur Alarme, die mindestens seit der angegeben Zahl von Stunden anstehen.
  • Minuten

Nur Alarme, die mindestens seit der angegeben Zahl von Minuten anstehen.
  • Sekunden

Nur Alarme, die mindestens seit der angegeben Zahl von Sekunden anstehen.
  • Millisekunden

Nur Alarme, die mindestens seit der angegeben Zahl von Millisekunden anstehen.

Mindestzeit anstehender Alarme (Touch)

Auf Touchbedienung optimierte Elemente für Konfiguration der Mindestzeit für anstehende Alarme.

  • Button: Tage (rauf)
  • Touchbox: Tage
  • Button: Tage (runter)
  • Button: Stunden (rauf)
  • Touchbox: Stunden
  • Button: Stunden (runter)
  • Button: Minuten (rauf)
  • Touchbox: Minuten
  • Button: Minuten (runter)
  • Button: Sekunden (rauf)
  • Touchbox: Sekunden
  • Button: Sekunden (runter)
  • Button: Millisekunden (rauf)
  • Touchbox: Millisekunden
  • Button: Millisekunden (runter)

Datenherkunft

Woher stammen die Daten:
  • Ringpuffer

Aus dem Ringpuffer.
  • Historische Daten

Aus einem Archiv.
  • Maximale Anzahl (Eingabefeld)

Eingabe der maximal anzuzeigenden Alarme bei Anzeige historischer Alarme.

0: zeigt alle an

Alarm/Ereignis-Gruppen/Alarm/Ereignis-Klassen, Alarmbereiche

Listenfelder für gruppierte Anzeige:
  • Alarm/Ereignis-Gruppen

Alarm/Ereignis-Gruppen
  • Alarm/Ereignis-Klassen

Alarm/Ereignis-Klassen
  • Alarmbereiche

Alarmbereiche
Hinweis: Bei aktivierter Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden ist die Spalte Alarmbereich leer. Die Checkbox befindet sich im Punkt Alarmbehandlung der Variableneigenschaften.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

Variablen

  • Name
  • Kennung

Alarmart

  • Nur nicht quittierte Alarme
  • Nur gegangene Alarme
  • Nur anstehende Alarme
  • Kommentar erforderlich

Datenherkunft

  • Ringpuffer
  • Historische Daten
  • Maximale Anzahl (Eingabefeld)

Zeitfilter

Elemente für Zeitfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche.

Absoluter Zeitraum - klassische Darstellung

Elemente für den absoluten Zeitraum in klassischer Darstellung.

Absoluter Zeitraum - kompakte Darstellung

Elemente für den absoluten Zeitraum in kompakter Darstellung.

Relativer Zeitraum

Elemente für den relativen Zeitraum.

Ab HH:MM:SS Uhr

Elemente für einen Zeitraum ab einer definierten Uhrzeit.

Ab Tag - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag zu einer definierten Uhrzeit.

Ab Tag, Monat - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag in einem bestimmten Monat zu einer definierten Uhrzeit.

Zeitbereich: 15/30/60 Minuten

Elemente für einen Zeitraum von 15, 30 oder 60 Minuten.

Zeitbereich - ein Tag

Elemente für einen Zeitraum von einem Tag.

Zeitbereich - 1 oder 2 Wochen

Elemente für einen Zeitraum über eine oder zwei Wochen.

Sowohl bei der Ansicht für eine Woche als auch bei jener für zwei Wochen ist jeweils jede Woche auswählbar. Bei der Zwei-Wochen-Ansicht wird abhängig von der ausgewählten Woche ein Zeitraum von 14 Tagen ausgewählt.

Zeitbereich - ein Monat

Elemente für einen Zeitraum von einem Monat.

Zeitbereich - ein Jahr

Elemente für einen Zeitraum von einem Jahr.

Alle Elemente einfügen (Touch)

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche, die für die Touch-Bedienung optimiert wurden. Analog zu Alle Elemente einfügen stehen zur Verfügung:

  • Absoluter Zeitraum - klassische Darstellung
  • Relativer Zeitraum
  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Zeitbereich - 15/30/60 Minuten
  • Zeitbereich - ein Tag
  • Zeitbereich - 1 oder 2 Wochen
  • Zeitbereich - ein Monat
  • Zeitbereich - ein Jahr

Eingestellter Zeitfiltertyp (Anzeige)

Element vom Typ Dynamischer Text für die Anzeige des eingestellten Zeitfiltertyps.

Zeitfiltertyp (Beschriftung)

Beschriftung für Typ des Zeitfilters.

Zeitfiltertyp (Combobox)

Combobox Zeitfiltertyp.

Zeitfiltertyp (Radiogroup)

Schalter-Elemente, die zur Runtime bestimmte Elemente ein- oder ausblenden:

  • Kein Filter
  • Absoluter Zeitfilter
  • Relativer Zeitfilter
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab HH:MM:SS Uhr
  • Zeitbereich 15 Minuten
  • Zeitbereich 30 Minuten
  • Zeitbereich 60 Minuten
  • Zeitbereich 1 Tag
  • Zeitbereich 1 Woche
  • Zeitbereich 2 Wochen
  • Zeitbereich 1 Monat
  • Zeitbereich 1 Jahr

Zeit von

Felder und Beschriftungen für Angaben "Von"-Zeit.

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Von Stunde (Beschriftung)
  • Von Stunde (Combobox)
  • Von Minute (Beschriftung)
  • Von Minute (Combobox)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Combobox)
  • Von (Spincontrol)

Zeit bis

Felder und Beschriftungen für Angaben "Bis"-Zeit.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Combobox)
  • Bis Monat (Beschriftung)
  • Bis Monat (Combobox)
  • Bis Tag (Beschriftung)
  • Bis Tag (Combobox)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Combobox)
  • Bis Minute (Beschriftung)
  • Bis Minute (Combobox)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Combobox)
  • Bis (Spincontrol)

Zeit von (Touch)

Felder und Beschriftungen für Angaben "Von"-Zeit, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Von Stunde (Beschriftung)
  • Von Stunde (Button: rauf)
  • Von Stunde (Touchbox)
  • Von Stunde (Button: runter)
  • Von Minute (Beschriftung)
  • Von Minute (Button: rauf)
  • Von Minute (Touchbox)
  • Von Minute (Button: runter)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Button rauf)
  • Von Sekunde (Touchbox)
  • Von Sekunde (Button runter)

Zeit bis (Touch)

Felder und Beschriftungen für Angaben "Bis"-Zeit, optimiert für Touchbedienung.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Button: rauf)
  • Bis Jahr (Touchbox)
  • Bis Jahr (Button: runter)
  • Bis Monat (Beschriftung)
  • Bis Monat (Button: rauf)
  • Bis Monat (Touchbox)
  • Bis Monat (Button: runter)
  • Bis Tag (Beschriftung)
  • Bis Tag (Button: rauf)
  • Bis Tag (Touchbox)
  • Bis Tag (Button: runter)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Button: rauf)
  • Bis Stunde (Touchbox)
  • Bis Stunde (Button: runter)
  • Bis Minute (Beschriftung)
  • Bis Minute (Button: rauf)
  • Bis Minute (Touchbox)
  • Bis Minute (Button: runter)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Button rauf)
  • Bis Sekunde (Touchbox)
  • Bis Sekunde (Button: runter)

Absolutzeitfilter

Felder und Beschriftungen für Angaben absoluter Zeitfilter.

  • Von (Beschriftung)
  • Von Datum (Kalenderanzeige)
  • Von Datum (Datumsanzeige)
  • Von Zeit (Zeitanzeige)
  • Bis (Beschriftung)
  • Bis Datum (Kalenderanzeige)
  • Bis Datum (Datumsanzeige
  • Bis Zeit (Zeitanzeige)

Zeitbereich

Felder und Beschriftungen für Angaben von Zeitbereichen:

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Woche (Beschriftung)
  • Woche (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Startzeit (Beschriftung)
  • Startzeit (Combobox)

Zeitbereich (Touch)

Felder und Beschriftungen für Angaben von Zeitbereichen, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Woche (Beschriftung)
  • Woche (Button: rauf)
  • Woche (Touchbox)
  • Woche (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Startzeit (Beschriftung)
  • Startzeit (Button: rauf)
  • Startzeit (Touchbox)
  • Startzeit (Button: runter)

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Zeitfiltertyp (Radiogroup)
    Win32 Kontrollelemente vom Typ Radiobutton. Wurde durch Schalter-Elemente ersetzt. Beschreibung siehe aktuelle Elemente.
  • Eingestellter Zeitfiltertyp (Anzeige)
    Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Chargenfilter

Elemente für Chargenauswahl zur Runtime.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Archivliste

Liste der zur Verfügung stehenden Archive.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Archivliste

Status der Archivliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Chargenliste

Liste der zur Verfügung stehenden Chargen.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Chargenliste

Status der Chargenliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Zeitfilter auf Chargenliste anwenden

Wendet den konfigurierten Zeitfilter auf die Auswahl in der Chargenliste an.

Chargenname Filter (Eingabefeld)

Eingabe einer Zeichenfolge zur Filterung der Chargennamen in der Chargenliste.

Chargenname Filter (Button)

Button zur Ausführung der Filterung auf Chargennamen.

Deaktiviert, wenn das Kontrollelement Chargenname Filter nicht vorhanden ist.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen.

Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Folgende Win32 Elemente wurden durch Elemente vom Typ Dynamischer Text ersetzt.

  • Status der Archivliste
  • Status der Chargenliste
  • Chargenname Filter (Eingabefeld)

Schichtfilter

Dropdownliste für Element des Schichtfilters.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Schichtliste

Liste der zur Verfügung stehenden Schichten.

Status der Schichtliste

Status der Schichtliste mit Zahl für:

  • gesamt
  • gefiltert
  • ausgewählt

Schichtliste aktualisieren

Klick auf Button aktualisiert die Anzeige der Schichtliste.

Textfilter

Dropdownliste verschiedener Textfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen: Textfilter

Fügt alle Elemente für Textfilter ein.

Kein Textfilter

Radiobutton für Abwahl Textfilter.

Suchen nach (Wörter getrennt durch Leerzeichen)

Radiobutton für Aktvierung der Suche

Beschriftung: Suchtext

Beschriftung für Suchfeld.

Eingabefeld: Suchtext

Feld für Eingabe der Suchbegriffe.

Optionen

Optionen für Suche
  • Groß-/Kleinschreibung beachten

Groß-/Kleinschreibung muss beachtet werden.
  • Wörter müssen nicht vollständig im Text vorkommen

Es wird auch nach Fragmenten gesucht.
  • Mindestens ein Wort muss im Text vorkommen

Mindestens ein Suchbegriff von mehreren muss im Ergebnis enthalten sein.
  • Alle Wörter müssen im Text vorkommen

Alle Suchbegriffe müssen im Ergebnis enthalten sein.
  • Filtertext muss exakt im Text vorkommen

Text aus dem Eingabefeld muss exakt im Ergebnis enthalten sein.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Kein Textfilter
  • Suchen nach (Wörter getrennt durch Leerzeichen)
  • Eingabefeld: Suchtext
  • Groß-/Kleinschreibung beachten
  • Wörter müssen nicht vollständig im Text vorkommen
  • Mindestens ein Wort muss im Text vorkommen
  • Alle Wörter müssen im Text vorkommen
  • Filtertext muss exakt im Text vorkommen

Buttons

Schaltflächen zur Runtime.

OK | Button: Übernimmt die Filtereinstellungen und schließt das Bild. Hinweis Faceplates: In Faceplates können Bilder vom Typ AML-Filter, CEL-Filter und Zeit-/Chargen-/Schichtfilter verwendet werden. Bei deren Konfiguration zur Runtime schließt der Klick auf OK das komplette Faceplate. Sollen die Filtereinstellungen gespeichert werden und das Faceplate geöffnet bleiben, klicken Sie auf Übernehmen.
Abbrechen | Button: Bricht die Konfiguration der Filtereinstellungen ab.
Übernehmen | Button: Übernimmt die Filtereinstellungen.
Aktualisieren | Button: Aktualisiert die gefilterte Anzeige.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Liste angehalten aufschalten


Vorlagen

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste Filter anlegen > Vorlagen

Vorlage | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.
Vorschau und Beschreibung (rechts) | Zeigt Vorschau und Beschreibung der gewählten Vorlage an.
Standard | Fügt Standardelemente ein.
Scada | Spezielle Vorlagen, optimiert für Mausbedienung.
Nur Variablen- & Textfilter | Fügt Elemente für die Filterung auf Variablen- und Text ein.
Ohne Alarmgruppen | Fügt Elemente für die Filterung auf Variablen, Text und anstehende Mindestzeit ohne Alarmgruppen ein.
Standard | Fügt Standardelemente ein.
Variablen-, Text & Zeitfilter | Fügt Elemente für die Filterung auf Variablen, Text und Zeit ein.
Variablen-, Text & Zeitfilter (ab Monat) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Monat ein.
Variablen-, Text & Zeitfilter (ab Stunde) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Stunde ein.
Variablen-, Text & Zeitfilter (ab Tag) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Tag ein.
Variablen-, Text & Zeitfilter (absolut - Tabelle) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.
Variablen-, Text & Zeitfilter (absolut - kompakt) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich in kompakter Darstellung ein.
Variablen-, Text & Zeitfilter (absolut) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.

Dialog beenden

Schaltfläche | Beschreibung
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.
Übernehmen | Fügt die gewählte Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Vordefinierte Namen

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste Filter anlegen > Vordefinierte Namen

Für Zeitfilter stehen vordefinierte Namen bereit.

Achtung: Unter Windows CE stehen die vordefinierten Namen nicht zur Verfügung.

Um einen Namen auszuwählen:

  1. definieren Sie in der Detailansicht als Bildtyp Zeitfilter, Chronologische Ereignisliste Filter oder Alarmmeldeliste Filter
  2. klicken Sie in der Spalte Name zwei Mal in das Feld
  3. wählen Sie in der Dropdownliste den gewünschten vordefinierten Namen
    • AML_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Filterbilder

Handbuch > Alarmverwaltung > Alarme projektieren > Bild vom Typ Alarmmeldeliste Filter anlegen > Filterbilder

Filterbilder

Filterbilder ermöglichen es, einen voreingestellten Filter von einem Bild auf ein anderes zu übertragen. Der Filter des Quellbildes wird über das Zielbild gelegt. Die Bilder können auch von unterschiedlichen Bildtypen sein.

attention Achtung

Damit zur Runtime die Zeit vom aufrufenden Bild übernommen werden kann, muss im Editor in der Bildumschaltfunktion für die Alarmmeldeliste oder die Chronologische Ereignisliste im Zeitfilter folgender Zeitbereich gewählt werden: Filter beim Zeitfiltertyp einstellen.

Aufrufdefinition

Folgende Voraussetzungen müssen erfüllt sein, damit die eingestellten Filter zur Anwendung kommen:

  1. Als Zeitbereich beim Zeitfilter wird Filter beim Zeitfiltertyp einstellen gewählt.
  2. Das Bild (Bild vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter oder Zeit-/Chargen-/Schichtfilter) wird mithilfe eines Buttons oder eines Combi-Elements aktiviert. Nur so wird der Bezug zwischen Filterbild und Quellbild gewährleistet.
  3. Das Quellbild und das Filterbild müssen entweder auf unterschiedlichen Schablonen oder auf unterschiedlichen Bildschirmen projektiert sein. Nur wenn das Quellbild offen ist, kann der Filter für das Filterbild aktualisiert werden. Das ist nur möglich, wenn beide Bilder nicht dieselbe Schablone oder denselben Bildschirm verwenden.
  4. Das aufrufende Bild muss mit dem aufzurufenden Filterbild kompatibel sein (siehe Tabelle).
Quellbild | AML Filter | CEL Filter | Zeitfilter
Archiv-Nachbearbeitung | T | T | T
Erweiterter Trend | T | T | T
Zeitfilter | T | T | X
Alarmmeldeliste Filter | X | C | T
Chronologische Ereignisliste Filter | C | X | T
Alarmmeldeliste | X | C | T
Chronologische Ereignisliste | C | X | T

Legende:

  • C: Gemeinsame Einstellungen werden aktualisiert.
  • T: Zeiteinstellungen werden aktualisiert.
  • X: Alle Einstellungen werden aktualisiert.

info Info

Keine Filterung

Das Filterbild wird nicht gefiltert, sondern mit den projektierten Werten aufgeschaltet, wenn:

  • eine der Bedingungen 1 bis 3 nicht erfüllt wird oder
  • die Einstellung Aufrufendes Bild bei der Funktion Bildumschaltung nicht aktiviert ist oder
  • das Bild nicht über ein Bildelement aufgerufen wird

In diesem Fall werden zur Runtime die Buttons Übernehmen, Schließen und Aktualisieren ausgegraut dargestellt und haben keine Funktion.


Alarme definieren

Handbuch > Alarmverwaltung > Alarme projektieren > Alarme definieren

Alarme definieren Sie über:

  • Grenzwerte und Zustände bei Variablen
  • Reaktionsmatritzen

Alarmierung über Variablen

Definieren Sie Grenzwerte für Variablen (siehe Handbuch Variablen, Abschnitt Grenzwerte). Werden diese zur Runtime verletzt, wird ein Alarm generiert und in der Alarmstatuszeile angezeigt. Weitere Eigenschaften für die Alarmprojektierung konfigurieren Sie bei den:

  • Variablen-Eigenschaften der Gruppe Grenzwerte und den darin enthaltenen Untergruppen für jeden Grenzwert:
    • In Alarmmeldeliste: Der Alarm wird in die AML aufgenommen. Wann er dort wie angezeigt wird, steuern Sie zur Runtime über die Alarmmeldeliste oder ein Bild vom Typ Alarmmeldeliste Filter.
    • In Chronologische Ereignisliste: Der Alarm wird zusätzlich in die CEL aufgenommen. Wann er dort wie angezeigt wird, steuern Sie zur Runtime über die Chronologische Ereignisliste oder ein Bild vom Typ Chronologische Ereignisliste Filter.
    • Quittierpflichtig: Der Alarm muss quittiert werden, bevor er aus dem Ringpuffer entfernt wird.
    • Zweistufiges Quittieren: Der Alarm muss manuell gelöscht werden, bevor er aus dem Ringpuffer entfernt wird.
    • Drucken: Druckt Alarm auf definiertem Drucker aus. Es wird entweder die CEL oder die AML gedruckt. Welche der beiden Listen gedruckt wird, legen Sie in den Projekteigenschaften unter Ausdruck für fest.
    • Alarmursache erforderlich: Zum Quittieren des Alarms ist die Verknüpfung einer Alarmursache erforderlich.
    • Kommentar erforderlich: Zum Quittieren des Alarms ist die Eingabe eines Kommentars erforderlich.
    • Alarm/Ereignis-Gruppe: Zuweisung einer Alarm/Ereignis-Gruppe.
    • Alarm/Ereignis-Klasse: Zuweisung einer Alarm/Ereignis-Klasse.
  • Variablen-Eigenschaften der Gruppe Alarmbehandlung:
    • Alarmbereich_n: Zuweisung eines Alarmbereichs.
    • Quittiervariable: Setzt beim Quittieren des Alarms den Wert 0 oder 1 auf die hier definierte Variable ab.
    • Quittierwert: Wert, den die in Quittiervariable definierte Variable absetzt.
    • In IPA-Datenbank speichern: Alarm steht im Industrial Performance Analyzer zur Auswertung zur Verfügung.
  • Projekt-Eigenschaften der Gruppe AML und CEL:
    • Auswahl mit Rahmen: Zur Runtime werden ausgewählte Zeilen durch einen Rahmen hervorgehoben.
    • Selbe Kommentare: Kommentare, die zur Runtime zu einem Alarm eingegeben werden, werden auch in die CEL übernommen.
    • Drucken aktiv: Aktiviert den Online-Ausdruck.
    • Ausdruck für: Legt fest, ob AML oder CEL online gedruckt wird.
  • Projekt-Eigenschaften der Gruppe Alarmmeldeliste

    Hier stehen Ihnen vielfältige Eigenschaften zur Konfiguration von Alarmen zur Verfügung. Vor allem:

    • Aktivierung AML
    • Datenspeicherung AML
    • Signalisierung der Alarmzustände
    • Aktivierung der Alarmstatuszeile

    Details zu den einzelnen Einstellungen finden Sie in der Embedded Help direkt bei den Eigenschaften.

Alarmierung über Reaktionsmatritzen

Mit einer Reaktionsmatrix werten Sie definierte Grenzwertzustände und Statusbits aus (siehe Handbuch Variablen, Abschnitt Reaktionsmatritzen). Verletzungen der festgelegten Regeln führen zu einem Alarm. Wie bei Variablen direkt können Sie auch bei Reaktionsmatritzen das Verhalten bei Alarmierung definieren. Dazu aktivieren Sie die entsprechenden Eigenschaften im Konfigurationsdialog der Reaktionsmatritzen.


Alarmbehandlung

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmbehandlung

Alarme werden, sobald sie auftreten, in einem Ringpuffer (alarm.bin) und einer Alarmdatei (*.aml) im Runtimeordner gespeichert. Der Ringpuffer ist ein flüchtiger Speicher, aus dem Alarme nach bestimmten Regeln wieder entfernt werden. Die AML speichert Alarme und wichtige Angaben dazu dauerhaft.

Ringpuffer

Der Ringpuffer enthält alle anstehenden Alarme. Dabei werden verwaltet:

  • Zeit kommt in Millisekunden als eindeutige Signatur
  • weitere Informationen wie Ursache, Werte etc.
  • Zeit geht
  • Zeit quittiert

Verhalten beim Entfernen aus dem Ringpuffer:

  • Sobald der Alarm geht, wird, wird er aus dem Ringpuffer entfernt.
  • Wurde die Eigenschaft Quittierpflichtig aktiviert, dann muss der Alarm von einem dazu berechtigten Benutzer quittiert werden, bevor er aus dem Ringpuffer entfernt werden kann. Beim Quittieren von Alarmen werden im Ringpuffer immer alle Alarme einer Variablen mit der gleichen Grenzwertverletzung gleichzeitig entfernt.
  • Ist die Eigenschaft Zweistufiges Quittieren aktiviert, dann muss von einem dazu berechtigten Benutzer das Entfernen aus dem Ringpuffer dezidiert bestätigt werden.
    Beispiel: Der Alarm ist gegangen und wurde vom Operator quittiert. Er bleibt weiterhin im Ringpuffer erhalten, bis das Entfernen bestätitgt wurde.

Hinweis: In der AML werden Einträge nie gelöscht, sondern immer nur deren Status dokumentiert.

Größe des Ringpuffers

Die Größe des Ringpuffers muss in den Projekteigenschaften mit der Eigenschaft Größe des Ringpuffers ausreichend dimensioniert werden.
Empfohlen: Mindestens Anzahl der Variablen mit Alarmen.

Der Ringpuffer wird beim Beenden der Runtime automatisch als alarm.bin gespeichert. Wird die Runtime durch unerwartete Ereignisse beendet, wie Spannungsausfall, kommt es zu Datenverlust. Um das zu verhindern, kann der Ringpuffer über die Eigenschaft Ringpuffer bei Wertänderung speichern bei jedem neuen Eintrag oder über die Funktion AML- und CEL-Ringpuffer speichern manuell gespeichert werden.

Achtung: Zur Runtime wird der Ringpuffer im Arbeitsspeicher dynamisch gehandhabt. Über die definierte Anzahl können auch Alarme angezeigt werden, die noch keinen Geht-Zeitstempel besitzen. Es werden also auch Alarme angezeigt, die die Größe des Ringpuffers übersteigen.

Example Beispiel
  • Größe des Ringpuffers: 100 Einträge
  • Anstehende Alarme zur Runtime ohne Geht-Zeitstempel: 120
  • Anzeige zur Runtime in der AML: 120

Alarmdatei

Alle Alarme werden zeitgleich mit dem Ringpuffer in eine eigene Alarmdatei (*.aml) geschrieben. Diese wird für jeden Kalendertag automatisch erstellt und über die Eigenschaft AML-Daten speichern verwaltet. Der Name der Alarmdatei setzt sich zusammen aus dem Buchstaben A, gefolgt vom Datum in der Form JJMMTT und der Endung .aml, z. B. A100623.aml. Diese Dateien werden für jeden Tag automatisch erstellt und müssen bei begrenztem Speicherplatz vom Anwender ausgelagert oder gelöscht werden. *.aml Dateien werden im Ordner ...\Projektordner\Computername\Projektname gespeichert.

Synchronisierung von Ringpuffer und Alarmdatei

Ringpuffer und Alarmdatei werden synchronisiert. Diese Synchronisierung erfolgt immer vom Ringpuffer zur Alarmdatei. Alle Änderungen, wie Quittierung, werden nur im Ringpuffer vorgenommen und dann mit der Alarmdatei synchronisiert. So können in der Alarmdatei zwar z. B. alle unquittierten Alarme angezeigt und deren Quittierung veranlasst werden, die Aktion selbst findet aber im Ringpuffer statt.

Speicherzeiträume

Die Alarmdatei *.aml wird bei jedem neuen Eintrag gespeichert.

Der Ringpuffer (*.bin) wird gespeichert:

  • beim Beenden der Runtime
  • bei aktiver Eigenschaft Ringpuffer bei Wertänderung speichern nach jedem neuen Eintrag
  • beim Ausführen der Funktion AML- und CEL-Ringpuffer speichern

Hinweis: Ist die Option Ringpuffer bei Wertänderung speichern deaktiviert, werden nach einem Stromausfall die Einträge in der AML und im Ringpuffer eventuell nicht mehr übereinstimmen.

attention Achtung

Läuft der Ringpuffer aufgrund zu geringer Dimensionierung über, bleiben unquittierte Einträge in der Alarmdatei erhalten. Diese werden beim Filtern angezeigt, können aber nicht mehr quittiert werden. Der Versuch diese zu quittieren kann aber das Quittieren von Alarmen in Ringpuffer auslösen, wenn diese die gleiche Variable und die gleiche Grenzwertverletzung betreffen.


Gruppierung von Alarmen

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen

Alarme können gruppiert und priorisiert werden über:

  • Alarm/Ereignis-Gruppen: fassen zusammengehörige Alarme (oder Ereignisse) logisch zusammen
  • Alarm/Ereignis-Klassen: dienen der Priorisierung von Alarmen (oder Ereignissen) und werden zur farblichen Kennzeichnung von Alarmen in der AML und von Ereignissen in der CEL verwendet
  • Alarmbereiche: ermöglichen die Zusammenfassung der Alarme mit Schwerpunkt auf den Ort in einer Anlage.

Jeder Gruppe oder Klasse kann ein Name, eine Nummer, eine Farbe, eine Funktion und eine Zustandsvariable, Eine Grafik und eine Anlagengruppe zugeordnet werden.

Alarme können über das Kontextmenü per XML exportiert und importiert werden.

info Info

Es können maximal 65536 Alarm/Ereignis-Klassen und 65536 Alarm/Ereignis-Gruppen erstellt werden.

Kontextmenü Alarm Projektmanager

Menüpunkt | Aktion
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren... | Importiert Einträge aus XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

info Info

Verwenden Sie in Globalprojekt, Integrationsprojekt und Unterprojekten eindeutige, unterschiedliche IDs für Alarm/Ereignis-Gruppen, -Klassen und Alarmbereiche. So vermeiden Sie Überschneidungen. Diese könnten zu verfälschten Anzeigen führen.

Noch in diesem Kapitel

Alarm/Ereignis-Gruppen

Alarm/Ereignis-Klassen

Alarmbereiche


Alarm/Ereignis-Gruppen

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarm/Ereignis-Gruppen

Alarm/Ereignis-Gruppen fassen zusammengehörige Meldungen logisch zusammen.

Alarm/Ereignis-Gruppen anlegen

Um eine neue Alarm/Ereignis-Gruppe anzulegen:

  1. führen Sie im Projektmanager unter Variablen und Alarm einen Rechtsklick auf den Unterknoten Alarm/Ereignis-Gruppen aus
  2. wählen Sie den Befehl: Alarm/Ereignis-Gruppe neu

    (alternativ wählen Sie das entsprechende Symbol in der Symbolleiste oder drücken auf die Einfügen-Taste)

Jeder Gruppe können über ihre Eigenschaften zusätzliche Informationen zugeordnet werden:

Parameter

Beschreibung

Name

Name der Alarm/Ereignis-Gruppe.

Wird in Filterbedingung der AML und CEL angezeigt.

Nr.

Identifiziert die Alarm/Ereignis-Gruppe. Die Nummer wird automatisch vorgegeben und kann geändert werden.

Minimum: 1

Maximum: 2147483647

Hinweis: Innerhalb eines Projekts kann für die Alarm/Ereignis-Gruppe jede Nummer jeweils nur einmal vergeben werden. In anderen Projekten /Bereichen können idente Nummern vergeben werden.

Abgleich: Beim Erstellen der Runtime-Dateien erfolgt eine Überprüfung auf Konflikte. Werden Konflikte gefunden, werden diese im Ausgabefenster angezeigt. Das Erstellen von IDs, die miteinander in Konflikt stehen, wird aber nicht verhindert. Modus der Überprüfung:

  • Bei der Überprüfung von Einzelprojekten wird das Projekt mit dem Globalprojekt verglichen.
  • In Mehrprojektverwaltung wird das Projekt zuerst mit dem obersten Projekt verglichen, dann mit allen anderen Projekten dieser Mehrprojektverwaltung. Anschließend erfolgt der Abgleich mit dem Globalprojekt.
  • Andere, eigenständige, Projekte werden in den Abgleich nicht mit einbezogen.

Farbe

Farbe der Alarm/Ereignis-Gruppe.

Klick auf Schaltfläche ... öffnet Palette für Farbauswahl.

Beschreibung

Beschreibung der Alarm/Ereignis-Gruppe.

Statusvariable

Bitvariable, mit der die zenon Runtime signalisiert, ob die Gruppe im Moment aktiv geschalten ist oder ob die Alarme dieser Gruppe derzeit ignoriert werden.

Aktivierung/Deaktivierung erfolgt über die Funktion Alarm/Ereignis-Gruppenverbindung aktiv/inaktiv. Der Zustand der Gruppe wird in der Chronologische Ereignisliste (CEL) mitprotokolliert.

Klick auf Schaltfläche ... öffnet den Dialog zur Variablenauswahl.

Funktion

Funktion, die ausgeführt werden, wenn ein Alarm dieser Gruppe aktiv wird. Klick auf Schaltfläche ... öffnet den Dialog für die Funktionsauswahl.

Grafikdatei

Auswahl einer Grafik, die die Alarm/Ereignis-Gruppe in der AML repräsentiert.

Um die Grafik in der AML anzuzeigen, wählen Sie im Filter der AML in der Registerkarte Spalteneinstellungen für die Spalte Alarm/Ereignis-Gruppe Symbol die Anzeigeart Grafikdatei.

Hinweis: In der AML richtet sich die Spaltenhöhe nach der ausgewählten Schriftart. Die gewählt Grafik wird gegebenenfalls skaliert und an die Spaltenhöhe angepasst.

Anlagengruppen

Verknüpft Anlagenmodell mit der Alarm/Ereignis-Gruppe.

Definieren Sie die Zugehörigkeit zu einer Anlagengruppe. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Anlagengruppe.

Alarm/Ereignis-Gruppen löschen

Um eine Alarm/Ereignis-Gruppe zu löschen:

  1. wählen Sie die Alarm/Ereignis-Gruppe aus
  2. wählen Sie im Kontextmenü oder in der Symbolleiste Löschen
  3. bestätigen Sie die Sicherheitsabfrage

Hinweis: Beim Löschen verlieren alle verknüpften Variablen ihre Gruppenzugehörigkeit.

Noch in diesem Kapitel

Kontextmenüs und Symbolleiste Alarm/Ereignis-Gruppen


Kontextmenüs und Symbolleiste Alarm/Ereignis-Gruppen

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarm/Ereignis-Gruppen > Kontextmenüs und Symbolleiste Alarm/Ereignis-Gruppen

Kontextmenü Projektmanager

Menüpunkt | Aktion
Alarm/Ereignis-Gruppe neu | Legt eine neue Alarm/Ereignis-Gruppe an.
Editorprofil | Öffnet die Dropdownliste zur Auswahl eines vordefinierten Editorprofils.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü und Symbolleiste Detailansicht

Menüpunkt | Aktion
Alarm/Ereignis-Gruppe neu | Fügt eine neue Alarm/Ereignis-Gruppe in die Liste ein.
Zurück zu Ausgangselement springen | Ermöglicht Sprung zum Ausgangselement.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Alarm/Ereignis-Klassen

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarm/Ereignis-Klassen

Alarm/Ereignis-Klassen dienen:

  • zur Alarmpriorisierung für die Bildalarmierung
  • zur Festlegung der Alarmfarbe in der Alarmmeldeliste
  • als Filterkriterium in der Alarmliste und chronologischen Ereignisliste
  • zur Auslösung von . akustischer Alarmierung

Alarm/Ereignis-Klassen anlegen

Um eine neue Alarm/Ereignis-Klasse anzulegen:

  1. führen Sie im Projektmanager einen Rechtsklick auf den Unterknoten Alarm/Ereignis-Klassen aus
  2. wählen Sie den Befehl: Alarm/Ereignis-Klasse neu

    (alternativ wählen Sie das entsprechende Symbol in der Symbolleiste oder drücken auf die Einfügen-Taste)

Jeder Klasse können über die Eigenschaften zusätzliche Informationen zugeordnet werden:

Parameter

Beschreibung

Name

Name der Alarm/Ereignis-Klasse.

Wird in Filterbedingung der AML und CEL angezeigt.

Nr.

Identifiziert die Alarm/Ereignis-Klasse. Die Nummer wird automatisch vorgegeben und kann geändert werden.

Minimum: 1

Maximum: 2147483647

Hinweis: Innerhalb eines Projekts kann für die Alarm/Ereignis-Klasse jede Nummer jeweils nur einmal vergeben werden. In anderen Projekten /Bereichen können idente Nummern vergeben werden.

Abgleich: Beim Erstellen der Runtime-Dateien erfolgt eine Überprüfung auf Konflikte. Werden Konflikte gefunden, werden diese im Ausgabefenster angezeigt. Das Erstellen von IDs, die miteinander in Konflikt stehen, wird aber nicht verhindert. Modus der Überprüfung:

  • Bei der Überprüfung von Einzelprojekten wird das Projekt mit dem Globalprojekt verglichen.
  • In Mehrprojektverwaltung wird das Projekt zuerst mit dem obersten Projekt verglichen, dann mit allen anderen Projekten dieser Mehrprojektverwaltung. Anschließend erfolgt der Abgleich mit dem Globalprojekt.
  • Andere, eigenständige, Projekte werden in den Abgleich nicht mit einbezogen.

Farbe

Farbe der Alarm/Ereignis-Klasse, kann in der AML zur Kennzeichnung verwendet werden. Klick auf Schaltfläche ... öffnet Farbpalette.

Hinweis: Farbe wird für Langtext und Zustandstext in der AML und Bildalarmierung verwendet.

Beschreibung

Beschreibung der Alarm/Ereignis-Klasse.

Statusvariable

Bitvariable, mit der die zenon Runtime signalisiert, ob die Klasse im Moment aktiv geschalten ist oder ob die Alarme dieser Klasse derzeit ignoriert werden.

Aktivierung/Deaktivierung erfolgt über die Funktion Alarm/Ereignis-Gruppenverbindung aktiv/inaktiv. Der Zustand der Gruppe wird in der Chronologische Ereignisliste (CEL) mitprotokolliert.

Klick auf Schaltfläche ... öffnet den Dialog zur Variablenauswahl.

Funktion

Funktion, die ausgeführt werden, wenn ein Alarm dieser Klasse aktiv wird.

Klick auf Schaltfläche ... öffnet den Dialog für die Funktionsauswahl.

Hinweis: Für Projektierungsinhalt im Globalprojekt nicht verfügbar.

Grafikdatei

Auswahl einer Grafik, die die Alarm/Ereignis-Klasse in der AML repräsentiert.

Um die Grafik in der AML anzuzeigen, wählen Sie im Filter der AML in der Registerkarte Spalteneinstellungen für die Spalte Alarm/Ereignis-Klasse Symbol die Anzeigeart Grafikdatei.

Hinweis: In der AML richtet sich die Spaltenhöhe nach der ausgewählten Schriftart, deshalb wird die gewählt Grafik gegebenenfalls skaliert und an die Spaltenhöhe angepasst.

Anlagengruppen

Verknüpft Anlagenmodell mit der Alarm/Ereignis-Klasse.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Anlagengruppe.

Alarm/Ereignis-Klassen löschen

Um eine Alarm/Ereignis-Klasse zu löschen:

  1. wählen Sie die Alarm/Ereignis-Klasse aus
  2. wählen Sie im Kontextmenü oder in der Symbolleiste Löschen
  3. bestätigen Sie die Sicherheitsabfrage

Hinweis: Beim Löschen verlieren alle verknüpften Variablen ihre Klassenzugehörigkeit.

Noch in diesem Kapitel

Kontextmenüs und Symbolleiste Alarm/Ereignis-Klassen


Kontextmenüs und Symbolleiste Alarm/Ereignis-Klassen

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarm/Ereignis-Klassen > Kontextmenüs und Symbolleiste Alarm/Ereignis-Klassen

Kontextmenü Projektmanager

Menüpunkt | Aktion
Alarm/Ereignis-Klasse neu | Legt eine neue Alarm/Ereignis-Klasse an.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü und Symbolleiste Detailansicht

Menüpunkt | Aktion
Alarm/Ereignis-Klasse neu | Fügt eine neue Alarm/Ereignis-Klasse in die Liste ein.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Alarmbereiche

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarmbereiche

Alarmbereiche ermöglichen die Zusammenfassung der Alarme mit Schwerpunkt auf den Ort in einer Anlage. Alarmbereiche können mit Alarmklassen verknüpft werden. Weitere Flexibilität kann mit Verlinkung mit Statusvariablen gewonnen werden. Die einzelnen Bits einer Statusvariable können zum Beispiel über ein Combi-Element ausgewertet werden.

Alarmbereiche anlegen

Um einen neuen Alarmbereich anzulegen:

  1. Führen Sie im Projektmanager einen Rechtsklick auf den Unterknoten Alarmbereiche aus.
  2. Wählen Sie den Befehl: Alarmbereich neu.

    (Alternativ wählen Sie das entsprechende Symbol in der Symbolleiste oder drücken auf die Einfügen-Taste.)

  3. Für die Auswertung eines Alarmbereichs verlinken Sie im Knoten Allgemein die entsprechenden Variablen mit Klick auf die Schaltfläche ...
  4. Optional: erstellen Sie im Knoten Klassenverknüpfung mit Klick auf {Klassenverknüpfung neu} einen neuen Bereicheintrag.
    Die Zahl der möglichen Bereicheinträge ist begrenzt auf die Zahl der vorhandenen Alarm/Ereignis-Klassen.

Eigenschaften für Alarmbereiche

Eigenschaft

Beschreibung

Allgemein

Name

Name des Alarmbereichs.

Wird in Filterbedingung der AML und CEL angezeigt.

Hinweis: Leer, wenn die Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden aktiv ist.

Statusvariable

Bytevariable:

Erstes Bit: Anzeige, ob der Alarmbereich aktive Alarme enthält.
Zweites Bit: Anzeige, ob dieser Alarmbereich unquittierte Alarme enthält. Details siehe "Bits Statusvariable".

Schaltfläche ... öffnet den Dialog zur Variablenauswahl.

Anzahl aktive Alarme

Variable, deren Wert die die Anzahl der aktiven Alarme in diesem Alarmbereich anzeigt.
Schaltfläche ... öffnet den Dialog zur Variablenauswahl.

Anzahl unquittierte Alarme

Variable, die die Anzahl der unquittierten Alarme in diesem Alarmbereich als Wert beinhaltet.

Nr.

Identifiziert den Alarmbereich. Die Nummer wird automatisch vorgegeben und kann geändert werden.

Minimum: 1

Maximum: 2147483647

Hinweis: Innerhalb eines Projekts kann für die den Alarmbereich jede Nummer jeweils nur einmal vergeben werden. In anderen Projekten /Bereichen können identische Nummern vergeben werden.

Abgleich: Beim Erstellen der Runtime-Dateien erfolgt eine Überprüfung auf Konflikte. Werden Konflikte gefunden, werden diese im Ausgabefenster angezeigt. Das Erstellen von IDs, die miteinander in Konflikt stehen, wird aber nicht verhindert. Modus der Überprüfung:

  • Bei der Überprüfung von Einzelprojekten wird das Projekt mit dem Globalprojekt verglichen.
  • In Mehrprojektverwaltung wird das Projekt zuerst mit dem obersten Projekt verglichen, dann mit allen anderen Projekten dieser Mehrprojektverwaltung. Anschließend erfolgt der Abgleich mit dem Globalprojekt.
  • Andere, eigenständige, Projekte werden in den Abgleich nicht mit einbezogen.

Hinweis: Leer, wenn die Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden aktiv ist.

Anlagengruppen

Verknüpft Anlagenmodell mit dem Alarmbereich.

Definieren Sie die Zugehörigkeit zu einer Anlagengruppe. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Anlagengruppe.

Klassenverknüpfung

Sammelt Bereicheinträge. Eine Klassenverknüpfung fasst Statusvariable und Anzahl der aktiven sowie unquittierten Alarme für eine Alarm/Ereignis-Klasse zusammen. Bereicheinträge werden über die Eigenschaft {Klassenverknüpfung neu} erstellt.

{Klassenverknüpfung neu}

Erstellt einen neuen Bereicheintrag.

Alarm/Ereignis-Klasse

Alarmklasse für den Bereichseintrag.

{Klassenverknüpfung löschen}

Löscht den Bereicheintrag ohne Rückfrage.

Alarm/Ereignis-Klasse

Auswahl der Alarm/Ereignis-Klasse für Bereicheintrag aus Dropdownliste. Alarm/Ereignis-Klasse muss bereits angelegt worden sein.

Weitere Einträge analog allgemeiner Einstellungen je Bereicheintrag mit:

  • Statusvariable
  • Anzahl aktive Alarme
  • Anzahl unquittierte Alarme

Bits Statusvariable

Bit | Bedeutung
0 | 1 = Alarme stehen an 0 = keine Alarme stehen an
1 | 1 = unquittierte Alarme vorhanden 0 = keine unquittierten Alarme

Hinweis: Alle Sollwerte, für bei Alarmbereichen verknüpfte Status- und Zählervariablen, werden kumuliert und alle 500 ms geblockt zum Treiber gesendet. Dabei wird pro Statusvariable immer nur der Letztwert verwendet. In der Zwischenzeit aufgetretene Transienten werden unterdrückt. Dadurch werden Netzwerk- und Kommunikationslast deutlich gesenkt.

Alarmbereiche Variablen, Strukturen oder Datentypen zuordnen

Die Zuweisung von Variablen, Strukturen und einfache Datentypen zu den Alarmbereichen kann mit zwei Möglichkeiten projektiert werden:

  • Hierarchisch mit der Anlagenmodellierung.
  • Statisch via Verknüpfung von bis zu vier Alarmbereichen.
    Hinweis: Werden mehrere Alarmbereiche verknüpft, dann wird zur Runtime beim Sortieren nach Bereichen nur der erste verknüpfte Bereich berücksichtigt.

Die Projektierung der Zuweisung erfolgt immer beim jeweiligen Element (Variable oder Datentyp).

Statische Verknüpfung

Für die statische Verknüpfung von Alarmbereichen stehen in der Eigenschaftengruppe Alarmbehandlung folgende Eigenschaften zur Verfügung:

  • Alarmbereich 1
  • Alarmbereich 2
  • Alarmbereich 3
  • Alarmbereich 4

Für jeden Alarmbereich kann aus der Dropdownliste des jeweiligen Bereichs der gewünschte Alarmbereich ausgewählt und dem Objekt zugeordnet werden.

In der Runtime beinhalten die Spalten der Alarmmeldeliste Alarmbereich und Alarmbereich Nr. aller statisch verknüpften Alarmbereiche, welche durch ein Komma (,) getrennt dargestellt werden.

Im Modul Message Control beinhaltet das Feld Alarmbereich alle verknüpften Alarmbereiche, welche durch ein Komma (,) getrennt dargestellt werden.

Verknüpfung mit dem Anlagenmodell

Ist die Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden in der zenon Editor-Projektierung aktiviert, werden die Projektierungen der Alarmbereiche vom Anlagenmodell übernommen. Anstelle der Projektierung von einzelnen Alarmbereichen 1 - 4 pro Variable kommt in diesem Falle die Alarmmodellierung im Anlagenmodell zur Anwendung.

Weitere Informationen finden Sie auch im Kapitel Hierarchische Alarmierung von Anlagengruppe im Handbuch Anlagenmodelierung.

Noch in diesem Kapitel

Kontextmenüs und Symbolleiste Alarmbereiche

Alarmbereiche konfigurieren


Kontextmenüs und Symbolleiste Alarmbereiche

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarmbereiche > Kontextmenüs und Symbolleiste Alarmbereiche

Kontextmenü Projektmanager

Menüpunkt | Aktion
Alarmbereich neu | Legt einen neuen Alarmbereich an.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü und Symbolleiste Detailansicht

Menüpunkt | Aktion
Alarmbereich neu | Fügt einen neuen Alarmbereich in die Liste ein.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Alarmbereiche konfigurieren

Handbuch > Alarmverwaltung > Alarme projektieren > Gruppierung von Alarmen > Alarmbereiche > Alarmbereiche konfigurieren

Um einen Alarmbereich mit Klassen zu verknüpfen führen Sie folgende Schritte aus:

  1. klicken Sie auf {Klassenverknüpfung neu}
  2. wählen Sie die gewünschte Alarm/Ereignis-Klasse
  3. definieren Sie für den Bereich
    • Statusvariable
    • Variable für Anzahl aktive Alarme und
    • Variable für Anzahl unquittierte Alarme

Hinweis: Die Zuordnung eines Alarms zu einem Alarmbereich erfolgt in der Eigenschaften Alarmbereiche der Variablen in der Gruppe Alarmbehandlung.

Beispiel Alarmbereich

Dieses Beispiel zeigt Alarmbereiche, welche zwei Alarmklassen zugewiesen sind:

Alarmbereich Name | Klassenverknüpfung zu Klasse... | Statusvariable | Anzahl aktive Alarme | Anzahl unquittierte Alarme
1 | Warnung | Status_warn_1 | Anstehend_warn_1 | Unquit_warn_1
 | Störung | Status_error_1 | Anstehend_error_1 | Unquit_error_1
2 | Warnung | Status_warn_2 | Anstehend_warn_2 | Unquit_warn_2
 | Störung | Status_error_2 | Anstehend_error_2 | Unquit_error_2

Beispiel-Anwendung Energy

Ein Alarmbereich ist eine Gruppe von Objekten. Diese werden zu einem Bild zusammengefasst. Bei einem Energieversorger wird jedes Umspannwerk durch ein Bild repräsentiert. Die Umspannwerke A bis T werden in 4 Unterseiten angezeigt. Alle Alarmbereiche werden in einem gemeinsamen Überblicksbild angezeigt.

  • Wird im Umspannwerk A ein Grenzwert verletzt, blinkt der Button für Umspannwerke im Übersichtsbild.
  • Im Gruppenbild blinkt der Button, der zur Seite mit den Umspannwerken A, B, C, D und E führt.
  • Im Detailbild blinkt der Button für Umspannwerk A.


Alarmklassen, Alarmgruppen und Alarmbereiche in Globalprojekt und Lokalprojekten

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmklassen, Alarmgruppen und Alarmbereiche in Globalprojekt und Lokalprojekten

Jedes Projekt speichert eigene IDs für Alarmklassen, Alarmgruppen und Alarmbereiche. Bei der Verwendung von Globalprojekten sowie Integrations- und Unterprojekten kann es zu Überschneidungen kommen. Wenn in unterschiedlichen Projekten gleiche IDs verwendet werden, kann das zum Überschreiben von Einträgen in den Auswahldialogen der Filter führen.

Oft ist es aber sinnvoll sowohl Alarmklassen, Alarmgruppen und Alarmbereiche sowohl aus dem Globalprojekt, als auch aus Lokalprojekten zu verwenden.

Um dabei Überschneidungen zu vermeiden, achten Sie darauf, in allen Projekten unterschiedliche IDs zu verwenden. Erstellen Sie dazu am besten pro Projekt einen eigenenen Nummernkreis. Dazu vergeben Sie für das erste Element eine entsprechend hohe Nummer. Neu erzeugte Elemente werden automatisch ab dieser Nummer erstellt.

Beispiel

  • Globalprojekt: Elemente starten bei ID: 1
  • Integrationsprojekt: Elemente starten bei ID:5000
    • Unterprojekt A: Elemente starten bei ID: 10000
    • Unterprojekt B: Elemente starten bei ID: 15000


Alarmprojektierung über Filter

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter

Die Anzeige der Alarme zur Runtime projektieren Sie über Filter. Sie haben dazu mehrere Möglichkeiten:

  1. Informationen, die zur Runtime in der Alarmmeldeliste angezeigt werden, definieren:
    Damit legen Sie fest, welche Informationen zu einem Alarm angezeigt werden.
    Details siehe: Spalteneinstellung für Alarmmeldeliste.
  2. Alarme für die Alarmmeldeliste beim Aufschalten filtern und zur Runtime modifizieren:
    Damit definieren Sie Filter vor, geben am dem Bediener an der Maschine die Möglichkeit, eigene Filter zu definieren.
    Details siehe: Filter für Bildumschaltung Alarmmeldeliste.
  3. Filter für die Runtime fest vorgeben:
    Damit erstellen Sie Filter, die auf den tatsächlichen Einsatz zugeschnitten sind und blenden nicht benötigte Filterkriterien aus.
    Details siehe: Filter Alarmmeldeliste Filter.

Noch in diesem Kapitel

Spalteneinstellung für Alarmmeldeliste

Filter für Bildumschaltung Alarmmeldeliste

Filter für Bildumschaltung Alarmmeldeliste Filter


Spalteneinstellung für Alarmmeldeliste

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Spalteneinstellung für Alarmmeldeliste

Welche Informationen zur Runtime in der Alarmmeldeliste angezeigt und auch exportiert werden, legen Sie in den Spalteneinstellungen fest. Diese konfigurieren Sie in den Eigenschaften der Alarmmeldeliste im Projekt:

  1. Öffnen Sie in den Projekteigenschaften den Knoten Alarmmeldeliste.
  2. Klicken Sie auf die Eigenschaft Spalteneinstellung AML.
  3. Der Dialog für die Spalteneinstellungen wird geöffnet.
  4. Konfigurieren Sie die gewünschten Spalten.
    Hinweis: Bei der Konfiguration der Bildumschaltung wird diese Konfiguration als Default übernommen und kann in der Registerkarte Spalteneinstellungen individuell adaptiert werden.

Hinweis: Für die Berechnung der Spaltenbreite wird die durchschnittliche Zeichenbreite der gewählten Schriftart verwendet.

info Info

In den Projekteinstellungen können Sie mithilfe der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL eine Default-Einstellung für die Reihenfolge und die Größe der Spalten vornehmen. Wenn Sie eine neue Funktion vom Typ Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste anlegen, wird diese Einstellung als Default verwendet und kann in der entsprechenden Registerkarte angepasst werden. Die Einstellung wird in der Datei project.ini gespeichert.

Spaltenkonfiguration

Spalten

Im Listenfeld dieser Registerkarte werden Ihnen alle zur Verfügung stehenden Spaltentypen angezeigt.

Die Reihenfolge der Spaltentypen ändern Sie mithilfe von Drag&Drop im Listenfeld:

  • klicken Sie in die Spalte Spaltentyp
  • verschieben Sie die einzelnen Einträge wie gewünscht

Alternativ können Sie die Reihenfolge über die Schaltflächen Ausgewählten Eintrag nach oben verschieben und Ausgewählten Eintrag nach unten verschieben anpassen.

Parameter

Beschreibung

Checkbox:

Auswahl, welche Spaltentypen angezeigt werden.

Beschreibung

Freier Texteintrag für Beschreibung der Spalte.

Beschreibung ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.

Hinweis: Für die Spaltenbeschreibung ist die zenon Sprachumschaltung verfügbar.

Spaltenbreite

Definiert die Breite der Spalte in Zeichen.

Spaltenbreite ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.
-1: Breite wird zur Runtime über durchschnittliche Zeichenbreite berechnet

Hinweis: Aus Kompatibilitätsgründen erhalten Spalten mit Zeitangaben (Zeitspalten), deren Breite in früheren zenon Versionen nicht geändert werden konnte, automatisch den Wert -1.

Anzeige

Für die Spaltentypen

  • Alarm/Ereignis-Klasse Symbol
  • Alarm/Ereignis-Gruppe Symbol
  • Alarmzustand

ist die Form der Anzeige zur Runtime auswählbar. Wählen Sie aus der Dropdownliste die gewünschte Form aus.

Für den Spaltentyp Anlagengruppe kann ein Anlagenmodell für die Anzeige ausgewählt werden. Das Dropdownmenü zur Auswahl wird erst dann sichtbar, wenn sie auf Höhe des Eintrags Anlagengruppe in die Spalte Anzeige klicken.

Ausgewählten Eintrag nach oben verschieben

Verschiebt ausgewählten Eintrag um eine Position nach oben.

Ausgewählten Eintrag nach unten verschieben

Verschiebt ausgewählten Eintrag um eine Position nach unten.

Vorschaufeld

Zeigt die im Listenfeld gewählten Spalten in der dort definierten Breite.

Via Checkbox aktivierte oder deaktiverte Spaltentypen werden in Echtzeit in der Vorschau aktualisiert.

Sie können die Spaltenbreiten auch im Vorschaufeld anpassen, indem Sie einen Linksklick auf das rechte Ende einer Spalte ausführen, die Maustaste gedrückt halten und bei gedrückter Maustaste und den Spaltenrand entsprechend nach links oder rechts bewegen.
In diesem Fall wechselt die Anzeige des Mauszeigers zu einem Kreuzsymbol.

Tabelleneinstellungen

Parameter | Beschreibung
Absteigend sortieren | Sortiert die Einträge initial in der Liste nach der Spalte Zeit kommt in absteigender Reihenfolge. Diese Einstellung gilt für das Aufschalten des Bilds. In der Runtime können Sie die Sortierreihenfolge durch einen Klick auf den Spaltenkopf ändern. Die momentan verwendete Sortierreihenfolge wird durch einen Pfeil am Spaltenkopf angezeigt. Default: inaktiv
Raster anzeigen | Blendet ein Raster bei der Darstellung der Liste zur Runtime ein. Default: aktiv
Abwechselnde Hintergrundfarbe verwenden | Verwendet abwechselnd die Zeilenfarbe 1 und Zeilenfarbe 2 als Hintergrundfarbe für die Liste in der Runtime. Default: aktiv
Zeilenfarbe 1 | Farbe, die als Hintergrundfarbe für alle ungeraden Zeilen (1, 3, 5 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.
Zeilenfarbe 2 | Farbe, die als Hintergrundfarbe für alle geraden Zeilen (2, 4, 6 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.

Anzeige in den Zeitspalten

Parameter

Beschreibung

Uhrzeit

Zeigt die Zeit für einen Listeneintrag in folgender Form an: HH:MM:SS

Default: aktiv

Datum

Zeigt das Datum für einen Listeneintrag in folgender Form an: TT:MM:JJJJ

Default: aktiv

Millisekunden

Erweitert den Zeiteintrag um Millisekunden. Millisekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Muss aktiviert werden, wenn Millisekunden in Exporten oder Druckausgaben ausgegeben werden sollen.

Mikrosekunden

Erweitert den Zeiteintrag um Mikrosekunden. Mikrosekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Nur verfügbar, wenn die Option Millisekunden aktiviert ist.

Tipp: Wenn Sie das automatische Keyboard in der Runtime aktivieren, wird jedes Mal, wenn eine Eingabe oder Auswahl aus einer Dropdownliste notwendig ist, automatisch ein Fenster mit dem Keyboard aufschalten. Damit können Sie die Spalten auch dann nutzen, wenn Sie einen Rechner ohne Tastatur verwenden.

attention Achtung

Die Spaltenbreite wird in Zeichen angegeben und ist von der verwendeten Schriftart abhängig.

Wenn die Spaltenbreite nicht einem Vielfachen der Zeichenbreite der verwendeten Schriftart entspricht, kann es zu Abweichungen bei der tatsächlichen Spaltenbreite kommen. Das kann zur Folge haben, dass Text abgeschnitten wird oder ein Leerraum entsteht.

Lösung: Verwenden Sie Schriften mit fester Zeichenbreite.


Filter für Bildumschaltung Alarmmeldeliste

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste

Mit Filter legen Sie fest, welche Alarme zur Runtime angezeigt werden sollen und welche ausgeblendet werden. Filter können im Editor und - je nach den Vorgaben im Editor - zur Runtime definiert werden.

Um die Filterauswahl zur Runtime auf die Bedürfnisse des Operators zuzuschneiden, benutzen Sie statt dem Bild Alarmmeldeliste ein Bild vom Typ Alarmmeldeliste Filter.

Um eine Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste zu projektieren:

  1. erstellen Sie eine Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste
  2. der Filterdialog wird geöffnet und bietet mehrere Registerkarten mit Filterkriterien an:
    • Allgemein
    • Zeit
    • Chargen
    • Schicht
    • Spalteneinstellungen
    • Text
    • Status
    • Projekt (Steht nur im Integrationsprojekt der Mehrprojektverwaltung zur Verfügung.)
    • Anlagenmodellierung

Optional können, wenn verknüpfte Variablen oder Indizes vorhanden sind, noch folgende Registerkarten angezeigt werden:

  • Verknüpfungen ersetzen
  • Indizes ersetzen

Details dazu lesen Sie im Handbuch Bilder in den Abschnitten Verknüpfungen von Variablen und Funktionen ersetzen und Symbole.

Noch in diesem Kapitel

Allgemein

Zeit

Chargen

Schicht

Spalteneinstellungen

Text

Status

Projekt

Anlagenmodellierung


Allgemein

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Allgemein

Mit dem allgemeinen Filter legen Sie fest, welcher Alarme angezeigt werden und welchen Zugriff Sie zur Runtime auf die Einstellung haben. Dazu unterscheiden Sie Alarme nach:

  • Art
  • Datenherkunft
  • Variablen
  • anstehender Zeit
  • Alarm/Ereignis-Gruppen, Klassen und Alarmbereichen

Die folgenden Eigenschaften stehen Ihnen zur Verfügung:

Variablenfilter

Parameter

Beschreibung

Variablenfilter

Einschränkung auf Alarme bestimmter Variablen

Variablenname

Geben Sie den Namen oder den Teil des Namens von Variablen an, nach dem Sie filtern möchten.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Kennung

Geben Sie die Kennung oder die Teilkennung von Variablen an, nach der Sie filtern möchten. Wildcard * ist möglich.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Groß-/Kleinschreibung beachten

Aktiv: Groß- und Kleinschreibung wird bei der Filterung nach Variablenname und/oder Kennung beachtet.

Alarmart

Parameter

Beschreibung

Alarmart

Art der Alarme, die angezeigt werden.

Nur nicht quittierte Alarme

Aktiv: Es werden nur Alarme angezeigt, die vom Benutzer noch nicht quittiert wurden.

Nur gegangene Alarme

Aktiv: Es werden nur Alarme angezeigt, die schon gegangen sind; d.h. deren Werte nicht mehr im kritischen Bereich sind.

Nur anstehende Alarme

Aktiv: Es werden nur Alarme angezeigt, die noch anstehen; d.h. deren Werte sich noch im kritischen Bereich befinden.

Kommentar erforderlich

Aktiv: Es werden nur Alarme angezeigt, für die bei der Quittierung Kommentarpflicht besteht.

Alarmursache erforderlich

Aktiv: Es werden nur Alarme angezeigt, für die zur Quittierung die Verknüpfung einer Alarmursache erforderlich ist.

Alarme müssen mindestens anstehen

Definieren Sie mithilfe der Spincontrols, wie lange ein Alarm mindestens anstehen muss, damit er angezeigt wird. Mögliche Einstellungen:

  • Tage
  • Stunden (Std.)
  • Minuten (Min.)
  • Sekunden (Sek.)
  • Millisekunden (ms)

Datenherkunft

Parameter | Beschreibung
Datenherkunft | Anzeige aktueller oder aktueller und historischer Alarme.
Ringpuffer | Aktiv: Es werden nur Daten aus dem Ringpuffer angezeigt.
Historische Daten Maximale Anzahl | Aktiv: Es werden Daten aus dem Ringpuffer und historische Daten aus der AML angezeigt. Die maximale Anzahl der anzuzeigenden Daten inkludiert die Daten aus dem Ringpuffer.

Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche

Parameter | Beschreibung
Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche | Auswahl von Gruppen, Klassen und Alarmbereichen.
Alarm/Ereignis-Gruppen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Gruppen jene aus, aus denen Alarme angezeigt werden sollen.
Alarm/Ereignis-Klassen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Klassen jene aus, aus denen Alarme angezeigt werden sollen.

Alarmbereiche

Parameter | Beschreibung
Alarmbereiche | Wählen Sie aus den vorhandenen Alarmbereichen jene aus, aus denen Alarme angezeigt werden sollen.

Runtime-Einstellungen

Parameter

Beschreibung

Runtime-Einstellungen

Verhalten der AML zur Runtime

Liste angehalten aufschalten

Aktiv: Solange die Liste angezeigt wird, werden keine neuen Einträge hinzugefügt.

(Nicht verfügbar für Funktion AML exportieren.)

Diesen Dialog zur Runtime anbieten

Aktiv: Vor jedem Aufschalten des Bildes wird der Filterdialog geöffnet. Die Filter-Einstellungen können modifiziert werden. Diese Option steht unter Windows CE nicht zur Verfügung.
Achtung: Wird zusätzlich in der Registerkarte Chargen die Option Chargenauswahldialog anzeigen ausgewählt, dann wird zur Runtime der Chargenauswahldialog aufgeschaltet. Dieser wird bei einem Reload nicht mehr angezeigt.

Hinweise für Zeitbereichsfilter:

Diesen Dialog zur Runtime anbieten aktiv:

  • Der Filter wird zur Runtime bei der Bildumschaltung geöffnet. Beim Nachladen wird der Filter nicht mehr angeboten. Dieses Verhalten kann sich bei einzelnen Bildtypen unterscheiden, wenn der Dialog bei der Bildumschaltung angezeigt und abgebrochen wurde.
  • Es wird immer der letzte abgeschlossene Zeitbereich verwendet.

Diesen Dialog zur Runtime anbieten inaktiv:

  • Letzten abgeschlossenen Zeitbereich verwenden aktiv:
    Es wird der letzte abgeschlossene Zeitbereich verwendet
  • Letzten abgeschlossenen Zeitbereich verwenden inaktiv:
    Es wird der aktuelle Zeitbereich verwendet

Dialog zur Runtime ersetzen mit Bild

Definition eines Bildes, das zur Runtime statt des Dialogs aufgeschaltet werden soll, wenn die Option Diesen Dialog zur Runtime anbieten aktiv ist. Es werden nur Bilder vom Typ AML-Filter oder Zeitfilter angeboten.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

attention Achtung

Betrifft zenon unter Windows CE: CE Systeme, auf denen der Filterdialog angezeigt werden soll, müssen über eine höhere Auflösung als 800*600 Pixel verfügen, damit der Dialog vollständig dargestellt werden kann.


Zeit

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit

Zeitfilter ermöglichen es, Daten, die angezeigt oder exportiert werden sollen, zu begrenzen. Die Zeitfilter sind sehr flexibel einsetzbar und können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Zeitfilter können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden für:

  • Absoluter Zeitraum
  • Relativer Zeitraum
  • Ab
  • Zeitbereich

Die Zeitfilterung kann prinzipiell auf zwei Arten erfolgen:

  1. Zeitbereich im Editor vorgeben
    Es werden fixe Zeitbereiche verwendet. Im Editor wird ein Zeitbereich vorgegeben. In der Runtime kann nur mehr nach diesem Zeitbereich gefiltert werden. Auch andere Filter - z B. Filtern nach Variablenname, Alarm/Ereignis-Gruppen und -Klassen usw. - sind zur Runtime nicht mehr anpassbar.
  2. Zeitfilter zur Runtime anpassbar
    Es werden vorprojektierte Zeiten verwendet. Der Zeitfilter wird im Editor vorgegeben und kann zur Runtime beliebig verändert werden.

Zeitfilter

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar


Absoluter Zeitraum

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Zeit > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt.

Wenn der Chargenfilter aktiviert ist, wird zur Runtime beim Laden der AML vorab aus dem Archivserver eine Liste aller hier projektierten Chargen geholt, die dem projektierten Zeitraum entsprechen.

Hinweis: Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus.

Achtung: Alle zu einer Anlage gehörenden Variablen und das Chargen-Archiv müssen mit der gleichen Anlage im Anlagenmodell verknüpft sein.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Dialog zur Runtime ersetzen mit Bild

Nur verfügbar, wenn die Option Chargenauswahldialog anzeigen gewählt wurde.

Definition eines Bildes, das zur Runtime statt des Chargenauswahldialogs aufgeschaltet werden soll. Es werden nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter angeboten.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

Hinweis: Auch über die Option Diesen Dialog zur Runtime anbieten kann ein Chargenfilterbild ausgewählt werden. Dieses wird an dieser Stelle allerdings nicht als Chargenfilter, sondern als Zeitfilterbild verwendet. Die Chargenfilter-Optionen werden an dieser Position nicht richtig angewendet.

Chargenauswahl relativ

Achtung: Diese Option ist nur für Erweiterter Trend verfügbar. Sie wird bei Faceplates für alle Bildtypen angezeigt, ist aber auch hier nur für ETM verfügbar.

Konfiguration für ETM:

Damit die Option verfügbar ist, muss die Option Chargenauswahldialog anzeigen aktiviert und in den Projekteigenschaften die Eigenschaft Windows CE Projekt deaktiviert sein.

  • Aktiv: Ermöglicht direkten Vergleich mehrerer Chargen. Die Darstellung geht immer von Nullpunkt aus.

Hinweis: Bei aktivierter Option stehen zur Runtime die Buttons Diagramm und X-Achsen nicht zur Verfügung. Das gilt auch für die Rechtsklick-Funktionalität.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
    Hinweis: Chargenname darf kein | Zeichen enthalten!
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Schicht

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
      Hinweis: Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird anstelle der Schichtauswahl der komplette Konfigurationsdialog mit allen Registerkarten aufgeschaltet. Der Benutzer kann dann alle Optionen neu definieren.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Bildumschaltung auf verknüpftes Bild

Die Bildumschaltung kann auch auf ein verknüpftes Filter-Bild erfolgen. Dabei können Schichtfilter benutzt werden.
Dazu:

  1. Definieren Sie bei der Bildumschaltung in der Registerkarte Allgemein in der Option Dialog zur Runtime ersetzen mit Bild das gewünschte Filterbild.
  2. Stellen Sie sicher, dass das Filterbild die für die Schichtliste nötigen Kontrollelemente enthält.
  3. Definieren Sie den gewünschten Zeitfilter.
  4. Aktivieren Sie in der Registerkarte Schicht die Option Schichtauswahl anzeigen.
  5. Definieren Sie den Schichtfilter.

Zur Runtime wird bei der Bildumschaltung das verknüpfte Filterbild aufgeschalten. In der Schichtliste werden die Schichten, wie in der Bildumschaltung definiert, angezeigt. Kontrollelemente für Chargen werden ausgeblendet.

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Zur Runtime werden die Schichtliste und der Button Aktualisieren nicht angezeigt.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet.

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Achtung: Es muss zur Runtime mindestens 1 Schicht ausgewählt werden, um die Seite aufschalten oder den Filter konfigurieren zu können.
Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird der gesamte Konfigurationsdialog aufgeschalten.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Filter-Button im Bild zur Runtime

Wird im AML-Bild der Button Filter gedrückt, dann wird abhängig von der Konfiguration der komplette Filterdialog inklusive Schichtauswahlliste angezeigt. Damit können die Filtereinstellungen geändert und die Schichtliste aktualisiert werden, um eine andere Schicht zu wählen.


Spalteneinstellungen

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Spalteneinstellungen

In diesem Dialog definieren Sie, welche Spalten Sie sich in welcher Form, Reihenfolge und Sortierung anzeigen lassen möchten.

Hinweis: Alle Einstellungen, die Sie in dieser Registerkarte vornehmen, gelten als Default für:

  • Bild vom Typ Alarmmeldeliste
  • Bild vom Typ Alarmmeldeliste Filter
  • Alarmstatuszeile
  • Export nach CSV, dBase oder XML

Diese Default-Einstellungen können bei der Definition der einzelnen Alarmfunktionen geändert werden.

info Info

In den Projekteinstellungen können Sie mithilfe der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL eine Default-Einstellung für die Reihenfolge und die Größe der Spalten vornehmen. Wenn Sie eine neue Funktion vom Typ Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste anlegen, wird diese Einstellung als Default verwendet und kann in der entsprechenden Registerkarte angepasst werden. Die Einstellung wird in der Datei project.ini gespeichert.

Spalten

Im Listenfeld dieser Registerkarte werden Ihnen alle zur Verfügung stehenden Spaltentypen angezeigt.

Die Reihenfolge der Spaltentypen ändern Sie mithilfe von Drag&Drop im Listenfeld:

  • klicken Sie in die Spalte Spaltentyp
  • verschieben Sie die einzelnen Einträge wie gewünscht

Alternativ können Sie die Reihenfolge über die Schaltflächen Ausgewählten Eintrag nach oben verschieben und Ausgewählten Eintrag nach unten verschieben anpassen.

Parameter

Beschreibung

Checkbox:

Auswahl, welche Spaltentypen angezeigt werden.

Beschreibung

Freier Texteintrag für Beschreibung der Spalte.

Beschreibung ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.

Hinweis: Für die Spaltenbeschreibung ist die zenon Sprachumschaltung verfügbar.

Spaltenbreite

Definiert die Breite der Spalte in Zeichen.

Spaltenbreite ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.
-1: Breite wird zur Runtime über durchschnittliche Zeichenbreite berechnet

Hinweis: Aus Kompatibilitätsgründen erhalten Spalten mit Zeitangaben (Zeitspalten), deren Breite in früheren zenon Versionen nicht geändert werden konnte, automatisch den Wert -1.

Anzeige

Für die Spaltentypen

  • Alarm/Ereignis-Klasse Symbol
  • Alarm/Ereignis-Gruppe Symbol
  • Alarmzustand

ist die Form der Anzeige zur Runtime auswählbar. Wählen Sie aus der Dropdownliste die gewünschte Form aus.

Für den Spaltentyp Anlagengruppe kann ein Anlagenmodell für die Anzeige ausgewählt werden. Das Dropdownmenü zur Auswahl wird erst dann sichtbar, wenn sie auf Höhe des Eintrags Anlagengruppe in die Spalte Anzeige klicken.

Ausgewählten Eintrag nach oben verschieben

Verschiebt ausgewählten Eintrag um eine Position nach oben.

Ausgewählten Eintrag nach unten verschieben

Verschiebt ausgewählten Eintrag um eine Position nach unten.

Vorschaufeld

Zeigt die im Listenfeld gewählten Spalten in der dort definierten Breite.

Via Checkbox aktivierte oder deaktiverte Spaltentypen werden in Echtzeit in der Vorschau aktualisiert.

Sie können die Spaltenbreiten auch im Vorschaufeld anpassen, indem Sie einen Linksklick auf das rechte Ende einer Spalte ausführen, die Maustaste gedrückt halten und bei gedrückter Maustaste und den Spaltenrand entsprechend nach links oder rechts bewegen.
In diesem Fall wechselt die Anzeige des Mauszeigers zu einem Kreuzsymbol.

Tabelleneinstellungen

Parameter | Beschreibung
Absteigend sortieren | Sortiert die Einträge initial in der Liste nach der Spalte Zeit kommt in absteigender Reihenfolge. Diese Einstellung gilt für das Aufschalten des Bilds. In der Runtime können Sie die Sortierreihenfolge durch einen Klick auf den Spaltenkopf ändern. Die momentan verwendete Sortierreihenfolge wird durch einen Pfeil am Spaltenkopf angezeigt. Default: inaktiv
Raster anzeigen | Blendet ein Raster bei der Darstellung der Liste zur Runtime ein. Default: aktiv
Abwechselnde Hintergrundfarbe verwenden | Verwendet abwechselnd die Zeilenfarbe 1 und Zeilenfarbe 2 als Hintergrundfarbe für die Liste in der Runtime. Default: aktiv
Zeilenfarbe 1 | Farbe, die als Hintergrundfarbe für alle ungeraden Zeilen (1, 3, 5 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.
Zeilenfarbe 2 | Farbe, die als Hintergrundfarbe für alle geraden Zeilen (2, 4, 6 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.

Anzeige in den Zeitspalten

Parameter

Beschreibung

Uhrzeit

Zeigt die Zeit für einen Listeneintrag in folgender Form an: HH:MM:SS

Default: aktiv

Datum

Zeigt das Datum für einen Listeneintrag in folgender Form an: TT:MM:JJJJ

Default: aktiv

Millisekunden

Erweitert den Zeiteintrag um Millisekunden. Millisekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Muss aktiviert werden, wenn Millisekunden in Exporten oder Druckausgaben ausgegeben werden sollen.

Mikrosekunden

Erweitert den Zeiteintrag um Mikrosekunden. Mikrosekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Nur verfügbar, wenn die Option Millisekunden aktiviert ist.

Tipp: Wenn Sie das automatische Keyboard in der Runtime aktivieren, wird jedes Mal, wenn eine Eingabe oder Auswahl aus einer Dropdownliste notwendig ist, automatisch ein Fenster mit dem Keyboard aufschalten. Damit können Sie die Spalten auch dann nutzen, wenn Sie einen Rechner ohne Tastatur verwenden.

attention Achtung

Die Spaltenbreite wird in Zeichen angegeben und ist von der verwendeten Schriftart abhängig.

Wenn die Spaltenbreite nicht einem Vielfachen der Zeichenbreite der verwendeten Schriftart entspricht, kann es zu Abweichungen bei der tatsächlichen Spaltenbreite kommen. Das kann zur Folge haben, dass Text abgeschnitten wird oder ein Leerraum entsteht.

Lösung: Verwenden Sie Schriften mit fester Zeichenbreite.


Text

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Text

Der Textfilter ermöglicht die Eingrenzung der Anzeige auf Meldungen, die bestimmte Suchbegriffe enthalten.

Filtern nach

Filtern nach

Parameter | Beschreibung
Filtern nach |
Kein Textfilter | Der Textfilter wird nicht verwendet.
Suche nach (Wörter getrennt durch Leerzeichen) | Der Textfilter wird verwendet. Die weiteren Optionen sind freigeschalten.
Eingabefeld | Geben Sie die entsprechenden Wörter oder Zeichenketten ein.

Optionen

Parameter | Beschreibung
Optionen |
Groß-/Kleinschreibung beachten | Aktiv: Beim Filtern wird zwischen Groß- und Kleinschreibung unterschieden.
Wörter müssen nicht vollständig im Text vorkommen | Aktiv: Auch Wortteile werden beim Filtern berücksichtigt.
Mindestens ein Wort muss im Text vorkommen | Aktiv: Mindestens ein Wort des Suchstrings muss im Text vorkommen.
Alle Wörter müssen im Text vorkommen | Aktiv: Alle Wörter des Suchstrings müssen im Text vorkommen. Die Reihenfolge spielt dabei keine Rolle.
Filtertext muss exakt im Text vorkommen | Aktiv: Der Text muss exakt wie im Suchstring definiert vorkommen.


Status

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Status

Der Zustand der Checkbox gibt an, ob das Statusbit ausgewertet werden soll.

Status der Checkbox | Beschreibung
schwarzer Punkt | Das Statusbit wird nicht ausgewertet.
0 | Es werden nur die Einträge angezeigt, bei denen das Statusbit auf false steht.
1 | Es werden nur die Einträge angezeigt, bei denen das Statusbit auf true steht.

Example Beispiel

Ist die Checkbox SPONT auf 1 gesetzt, werden nur die Alarme angezeigt, die durch Spontanwerte hervorgerufen wurden.

Hinweis: Details zu Statusbits finden Sie im Kapitel Statusverarbeitung.


Projekt

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Projekt

Auswahl der Projekte, die für die AML berücksichtigt werden sollen. Der Filter zur Auswahl von Unterprojekten steht nur im Integrationsprojekt der Mehrprojektverwaltung zur Verfügung.

Die Auswahl aus dem Integrationsprojekt und allen Unterprojekten erfolgt per Multiselect durch Halten der Steuerung-Taste und Mausklick auf die gewünschten Projekte.


Anlagenmodellierung

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste > Anlagenmodellierung

In diesem Dialog konfigurieren Sie die Filterung der Alarmmeldeliste nach Anlagenmodellen. Im Filter werden alle bereits erstellten Anlagenmodelle angezeigt. Die Projektierung des Anlagenmodells kann für ein Projekt (nicht jedoch für das Globalprojekt) direkt über die Symbolleiste in diesem Dialog erweitert und geändert werden.

Hinweis: Um bei Einträgen der Alarmmeldeliste die Anlagengruppe anzuzeigen, aktivieren Sie in der Registerkarte Spalteneinstellungen die Checkbox für den Spaltentyp Anlagengruppe und wählen Sie für diesen Eintrag in der Spalte Anzeige aus dem Dropdownmenü das gewünschte Anlagenmodell aus.

Um Gruppen zum Filter hinzuzufügen:

  1. Wählen Sie das gewünschte Element.
  2. Klicken Sie auf die Schaltfläche Hinzufügen.
  3. Wiederholen Sie den Vorgang, bis alle benötigten Gruppen in der Liste enthalten sind.
    Mehrfachauswahl ist nicht möglich.

Um Gruppen aus dem Filter zu entfernen:

  1. Wählen Sie die gewünschten Elemente.
    Mehrfachauswahl: Steuerung- oder Umschalt-Taste gedrückt halten und gewünschte Elemente anklicken.
  2. Klicken Sie auf die Schaltfläche Entfernen.

Dialog Anlagenmodellierung

Anlagenmodellierung

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Filter für Bildumschaltung Alarmmeldeliste Filter

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter

Um ein Bild vom Typ Alarmmeldeliste Filter zu projektieren:

  1. erstellen Sie eine Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste Filter
  2. der Filter wird mit allen Registerkarten angezeigt:
    • Bilder
    • Allgemein
    • Text
    • Zeit
    • Chargen
    • Schicht
    • Spalteneinstellungen

Noch in diesem Kapitel

Bilder

Allgemein

Text

Zeit

Chargen

Schicht

Spalteneinstellungen


Bilder

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Bilder

In dieser Registerkarte definieren Sie die Bilder, die durch den Bildfilter aktualisiert werden sollen.

Folgende Einstellungen stehen Ihnen zur Verfügung:

Filter wird aus folgendem Bild übernommen

Parameter

Beschreibung

Filter wird aus folgendem Bild übernommen

Definition des Bildes, von dem der Filter übernommen werden soll.

Aufrufendes Bild

Aktiv: Die Filtereinstellungen werden aus dem Bild übernommen, aus dem das Filterbild aufgerufen wird. Die Schaltfläche Bild ist ausgegraut. Sie können kein Bild explizit angeben, da bei dieser Einstellung die Filteraktualisierung immer vom aufrufenden Bild aus erfolgt.

Hinweis: Einstellungen in den Registerkarten Allgemein, Text und Zeit sind gesperrt.

Vordefiniertes Bild

Klick auf Schaltfläche öffnet den Bildauswahldialog.

Wählen Sie das Bild aus, von dem der Filter - beim Betätigen des Buttons Aktualisieren in der Runtime - gelesen werden soll.

Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.

Achtung: Beim initialen Aufschalten des Filterbildes über die Funktion wird der in der Funktion projektierte Filter verwendet, nicht der Filter des hier angegebenen Bildes!

Hinweis: Es ist nur sinnvoll ein Bild auszuwählen, das den Bildfilter übernehmen oder füllen kann.

Das ausgewählte Bild wird in die Liste der zu aktualisierenden Bilder eingetragen. Wenn Sie es aus der Liste löschen, tritt automatisch das nächste ausgewählte Bild aus der Liste an dessen Stelle.

Hinweis: Nicht verfügbar, wenn Sie die Checkbox Aufrufendes Bild aktiviert haben.

Zu aktualisierende Bilder

Parameter | Beschreibung
Zu aktualisierende Bilder | Auswahl der Bilder, die aktualisiert werden sollen. Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.
Bildauswahl | Klick auf Schaltfläche öffnet Dialog zur Bildauswahl der Filterbilder. Wählen Sie die gewünschten Bilder.
Aktualisierung | Festlegung, wo sich die Filterübernahme auswirken soll.
Auf allen Bildschirmen aktualisieren | Aktiv: Die Bilder aus der Liste der zu aktualisierenden Bilder werden auf allen verfügbaren Bildschirmen aktualisiert.


Allgemein

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Allgemein

Variablenfilter

Parameter

Beschreibung

Variablenfilter

Einschränkung auf Alarme bestimmter Variablen

Variablenname

Geben Sie den Namen oder den Teil des Namens von Variablen an, nach dem Sie filtern möchten.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Kennung

Geben Sie die Kennung oder die Teilkennung von Variablen an, nach der Sie filtern möchten. Wildcard * ist möglich.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Groß-/Kleinschreibung beachten

Aktiv: Groß- und Kleinschreibung wird bei der Filterung nach Variablenname und/oder Kennung beachtet.

Alarmart

Parameter

Beschreibung

Alarmart

Art der Alarme, die angezeigt werden.

Nur nicht quittierte Alarme

Aktiv: Es werden nur Alarme angezeigt, die vom Benutzer noch nicht quittiert wurden.

Nur gegangene Alarme

Aktiv: Es werden nur Alarme angezeigt, die schon gegangen sind; d.h. deren Werte nicht mehr im kritischen Bereich sind.

Nur anstehende Alarme

Aktiv: Es werden nur Alarme angezeigt, die noch anstehen; d.h. deren Werte sich noch im kritischen Bereich befinden.

Kommentar erforderlich

Aktiv: Es werden nur Alarme angezeigt, für die bei der Quittierung Kommentarpflicht besteht.

Alarmursache erforderlich

Aktiv: Es werden nur Alarme angezeigt, für die zur Quittierung die Verknüpfung einer Alarmursache erforderlich ist.

Alarme müssen mindestens anstehen

Definieren Sie mithilfe der Spincontrols wie lange ein Alarm mindestens anstehen muss, damit er angezeigt wird. Mögliche Einstellungen:

  • Tage
  • Stunden (Std.)
  • Minuten (Min.)
  • Sekunden (Sek.)
  • Millisekunden (ms)

Datenherkunft

Parameter | Beschreibung
Datenherkunft | Anzeige aktueller oder aktueller und historischer Alarme.
Ringpuffer | Aktiv: Es werden nur Daten aus dem Ringpuffer angezeigt.
Historische Daten Maximale Anzahl | Aktiv: Es werden Daten aus dem Ringpuffer und historische Daten aus der AML angezeigt. Die maximale Anzahl der anzuzeigenden Daten inkludiert die Daten aus dem Ringpuffer.

Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche

Parameter | Beschreibung
Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche | Auswahl von Gruppen, Klassen und Alarmbereichen.
Alarm/Ereignis-Gruppen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Gruppen jene aus, aus denen Alarme angezeigt werden sollen.
Alarm/Ereignis-Klassen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Klassen jene aus, aus denen Alarme angezeigt werden sollen.
Alarmbereiche | Wählen Sie aus den vorhandenen Alarmbereichen jene aus, aus denen Alarme angezeigt werden sollen. Hinweis: Bei aktivierter Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden ist die Spalte Alarmbereich leer. Die Checkbox befindet sich im Punkt Alarmbehandlung der Variableneigenschaften.
Runtime-Einstellungen | Verhalten der AML zur Runtime
Liste angehalten aufschalten | Aktiv: Solange die Liste angezeigt wird, werden keine neuen Einträge hinzugefügt.


Text

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Text

Filtern nach

Parameter | Beschreibung
Filtern nach |
Kein Textfilter | Der Textfilter wird nicht verwendet.
Suche nach (Wörter getrennt durch Leerzeichen) | Der Textfilter wird verwendet. Die weiteren Optionen sind freigeschalten.
Eingabefeld | Geben Sie die entsprechenden Wörter oder Zeichenketten ein.

Optionen

Parameter | Beschreibung
Optionen |
Groß-/Kleinschreibung beachten | Aktiv: Beim Filtern wird zwischen Groß- und Kleinschreibung unterschieden.
Wörter müssen nicht vollständig im Text vorkommen | Aktiv: Auch Wortteile werden beim Filtern berücksichtigt.
Mindestens ein Wort muss im Text vorkommen | Aktiv: Mindestens ein Wort des Suchstrings muss im Text vorkommen.
Alle Wörter müssen im Text vorkommen | Aktiv: Alle Wörter des Suchstrings müssen im Text vorkommen. Die Reihenfolge spielt dabei keine Rolle.
Filtertext muss exakt im Text vorkommen | Aktiv: Der Text muss exakt wie im Suchstring definiert vorkommen.


Zeit

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Zeit

In dieser Registerkarte definieren Sie den Zeitbereich, der beim Öffnen des Filterbildes verwendet werden soll.

Details zu den Zeit-Filteroptionen lesen Sie im Kapitel Filter für Bildumschaltung Alarmmeldeliste/Zeit.

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Chargen

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Chargen

In dieser Registerkarte definieren Sie die Chargen, die angezeigt werden sollen.

Hinweis: Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter

Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden

Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archiv(e)

Konfiguration der Filterung auf Archive. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter

Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch

Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable

Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für alle Module nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Name(n)

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter

Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch

Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable

Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.

Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Schicht

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Filter-Button im Bild zur Runtime

Wird im CEL-Bild der Button Filter gedrückt, dann wird, abhängig von der Konfiguration, der komplette Filterdialog inklusive Schichtauswahlliste angezeigt. Damit können die Filtereinstellungen geändert und die Schichtliste aktualisiert werden, um eine andere Schicht zu wählen.


Spalteneinstellungen

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Spalteneinstellungen

In dieser Registerkarte definieren Sie, wie die Archivliste, die Chargenliste und die Schichtliste zur Runtime angezeigt werden:

  • Auswahl der anzuzeigenden Spalten
  • Sortierung der Spalten
  • Formatierung der Spalten:
    • Beschriftung
    • Breite
    • Ausrichtung

Dialog Spalteneinstellungen

Archivliste

Option

Beschreibung

Archivliste

Konfiguration der Archivliste. Anzeige der konfigurierten Spalten.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Chargenliste

Option

Beschreibung

Chargenliste

Konfiguration der Chargenliste. Anzeige der konfigurierten Spalten.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Schichtliste

Option

Beschreibung

Schichtliste

Konfiguration der Schichtliste. Anzeige der konfigurierten Spalten.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Spalteneinstellungen > Spaltenauswahl

Auswahl und Reihenfolge der Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Alarmverwaltung > Alarme projektieren > Alarmprojektierung über Filter > Filter für Bildumschaltung Alarmmeldeliste Filter > Spalteneinstellungen > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktionen

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen

Über Funktionen werden zur Runtime die Anzeige und Handhabung der Alarmmeldeliste gesteuert.

attention Achtung

Werden Funktionen im Netzwerk eingesetzt, beachten Sie deren Ausführungsort.

Noch in diesem Kapitel

Bildumschaltung AML

Bildumschaltung AML Filter

Funktionen für Alarmverwaltung


Bildumschaltung AML

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Bildumschaltung AML

Um ein Bild vom Typ Alarmmeldeliste zur Runtime aufzuschalten:

  1. legen Sie ein Bild vom Typ Alarmmeldeliste an
  2. erstellen Sie eine Funktion Bildumschaltung auf das Bild
  3. definieren Sie die gewünschten Filtereigenschaften

Zur Runtime können die Filtereigenschaften modifiziert werden. Ausnahme: Im Editor wurden feste Zeitfilter definiert.

Bildumschaltung projektieren

Um eine Bildumschaltung auf ein Bild vom Typ AML anzulegen:

  1. wählen Sie im Kontextmenü des Knotens Funktion den Befehl Funktion neu
  2. klicken Sie auf Bildumschaltung
  3. der Dialog zur Bildauswahl wird angezeigt
  4. wählen Sie das Bild vom Typ Alarm
    oder legen Sie es in diesem Dialog mit Klick auf das Symbol Bild neu an
  5. der Filter wird mit allen Registerkarten angezeigt:
    • Allgemein
    • Zeit
    • Chargen
    • Spalteneinstellungen
    • Text
    • Status
    • Projekt (Steht nur im Integrationsprojekt der Mehrprojektverwaltung zur Verfügung.)
    • Anlagenmodellierung

    Optional können, wenn verknüpfte Variablen oder Indizes vorhanden sind, noch folgende Registerkarten angezeigt werden:

    • Verknüpfungen ersetzen
    • Indizes ersetzen

  6. definieren Sie die Filter, die zur Runtime vordefiniert sein sollen
  7. bestätigen Sie die Einstellungen und schließen Sie den Dialog mit Klick auf OK
  8. verknüpfen Sie die Funktion mit einem Button, um zur Runtime auf das Bild umzuschalten und die Filtereigenschaften anzubieten

info Info

Wird auf ein Bild referenziert, das keine Zeitfilter hat, dann werden die Zeitfilter deaktiviert.

Noch in diesem Kapitel

Filter Bildumschaltung AML


Filter Bildumschaltung AML

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Bildumschaltung AML > Filter Bildumschaltung AML

Beim Anlegen einer Bildumschaltung auf ein Bild vom Typ AML werden mehrere Filter angeboten. Details siehe Abschnitt Alarmprojektierung über Filter, Kapitel Filter für Bildumschaltung Alarmmeldeliste.


Bildumschaltung AML Filter

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Bildumschaltung AML Filter

Um ein Bild vom Typ Alarmmeldeliste Filter zur Runtime aufzuschalten:

  1. legen Sie ein Bild vom Typ Alarmmeldeliste Filter an
  2. erstellen Sie eine Funktion Bildumschaltung auf das Bild
  3. definieren Sie die gewünschten Filtereigenschaften

Die Filtereigenschaften lassen sich zur Runtime nur über die im Bild definierten Buttons steuern.

Bildumschaltung projektieren

Um eine Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste Filter anzulegen:

  1. wählen Sie im Kontextmenü des Knotens Funktion den Befehl Funktion neu
  2. klicken Sie auf Bildumschaltung
  3. der Dialog zur Bildauswahl wird angezeigt
  4. wählen Sie das Bild vom Typ Alarmmeldeliste Filter
    oder legen Sie es in diesem Dialog mit Klick auf das Symbol Bild neu an
  5. der Filter wird mit allen Registerkarten angezeigt:
    • Bilder
    • Allgemein
    • Text
    • Zeit

  6. definieren Sie die Filter, die zur Runtime vordefiniert sein sollen
  7. bestätigen Sie die Einstellungen und schließen Sie den Dialog mit Klick auf OK
  8. verknüpfen Sie die Funktion mit einem Button, um zur Runtime auf das Bild umzuschalten und die Filtereigenschaften anzubieten

Noch in diesem Kapitel

Filter Bildumschaltung AML Filter


Filter Bildumschaltung AML Filter

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Bildumschaltung AML Filter > Filter Bildumschaltung AML Filter

Beim Anlegen einer Bildumschaltung auf ein Bild vom Typ AML werden mehrere Filter angeboten. Details siehe Abschnitt Alarmprojektierung über Filter, Kapitel Filter Alarmmeldeliste Filter.


Funktionen für Alarmverwaltung

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung

Verschiedene Funktionen ermöglichen die Handhabung von Alarmen zur Runtime.

Um eine Funktion für die Alarmverwaltung zu erstellen:

  1. navigieren Sie zum Knoten Funktionen
  2. wählen Sie im Kontextmenü oder auf der Symbolleiste den Befehl Funktion neu
  3. der Dialog zur Auswahl von Funktionen wird geöffnet
  4. navigieren Sie zum Knoten AML/CEL

  5. wählen Sie die gewünschte Funktion
  6. konfigurieren Sie die Funktion, wenn nötig
  7. verknüpfen Sie die Funktion mit einem Button

Noch in diesem Kapitel

Alarm/Ereignis-Gruppe abmelden/anmelden

Alarme blinkquittieren

Alarmquittierung bestätigen

Alarme quittieren

Alarmmeldeliste aktiv

Alarmmeldeliste aktiv/inaktiv

Alarmmeldeliste inaktiv

Alarmmeldeliste: Alarm-/Ereignis-Gruppen/Klassen aktivieren oder deaktivieren

AML exportieren

AML- und CEL-Ringpuffer speichern

Drucken AML oder CEL

Online-Drucken ein/ausschalten

Online-Drucken neue Seite beginnen

Online Drucker umschalten


Alarm/Ereignis-Gruppe abmelden/anmelden

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarm/Ereignis-Gruppe abmelden/anmelden

Um die Performance der Verbindung zu optimieren, können nicht benötigte Alarm/Ereignis-Gruppen abgemeldet werden. Damit werden deren Variablen vom Treiber nicht mehr angefordert, sofern keine weiteren Elemente damit verknüpft sind. Detaillierte Information zum An- und Abmelden von Variablen finden Sie im Kapitel Variablen in zenon anmelden.

Für die Funktion Alarm/Ereignis-Gruppe abmelden/anmelden müssen Sie:

  1. Die Aktion definieren: abmelden oder anmelden.
  2. Die Alarm/Ereignis-Gruppe definieren.
    Es kann nur eine Gruppe pro Funktion definiert werden.

Alarm/Ereignis-Gruppe

Option

Beschreibung

Aktion

Legt Aktion fest. Mögliche Aktionen:

  • Abmelden: meldet Alarm/Ereignis-Gruppe ab
  • Anmelden: meldet Alarm/Ereignis-Gruppe an

Alarm/Ereignis-Gruppe

Auswahl der Alarm/Ereignis-Gruppe. Klick auf Schaltfläche öffnet Dialog zur Auswahl der Gruppe.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Beispiel

In der Steuerung wird ein Sammel-Alarm-Bit angelegt. Wird dieses Bit gesetzt, erfolgt über die Grenzwertverwaltung der Funktionsaufruf Alarm/Ereignis-Gruppe anmelden. Damit werden die Variablen angefordert, und die entsprechenden Grenzwerte in zenon überprüft. Das Bit kann dann in der Steuerung zurückgesetzt werden. Über einen Grenzwert kann die Alarm/Ereignis-Gruppe wieder abgemeldet werden. Bei Programmstart werden alle Grenzwertvariablen angefragt.


Alarme blinkquittieren

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarme blinkquittieren

Beim Blinkquittieren zur Runtime wird nur das Blinkattribut der Prozessvariablen und das Blinken aller grafischen Elemente in allen Bildern, die diese Variable verwenden, zurückgesetzt. Der Eintrag in der Alarmmeldeliste wird nicht quittiert - ausgenommen, die Eigenschaft Blink-Quittierung ist aktiv.

Hinweis: Diese Funktion ist nicht identisch mit der Eigenschaft Blinken von Grenzwert übernehmen, die für jedes Element in der Gruppe Blinken von Grenzwert übernehmen der Elementeigenschaften definiert wird. Die Funktion bezieht sich auf das Blinken des Elementinhalts, zum Beispiel Text. Die Eigenschaft Blinken von Grenzwert übernehmen bezieht sich auf das ganze Element.

Funktion projektieren

Um das Blinken von Alarmen zur Runtime zu quittieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie in der Gruppe AML und CEL die Funktion Alarme Blink-Quittierung.
  3. Wählen Sie die gewünschte Schablone.
  4. Wählen Sie bei Mehr-Bildschirm-Systemen den gewünschten Bildschirm.

Alarme blinkquittieren

Option

Beschreibung

Alarme blinkquittieren

Konfiguration, welche Alarme blinkquittiert werden sollen.

Alle Alarme in Schablone

Alle Alarme auf Bildern einer Schablone mit dem gewählten Namen, auch wenn sie mehrfach geöffnet ist, werden blinkquittiert.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Schablone. Details siehe Abschnitt Dialog Schablonenauswahl.

Alle Alarme in aufrufender Schablone

Die Alarme auf dem Bild der aufrufenden Schablone werden blinkquittiert. Bei Auswahl dieser Option kann die Bildschirmauswahl nicht manuell konfiguriert werden.

Bildschirmauswahl

Option

Beschreibung

Bildschirmauswahl

Konfiguration des Bildschirms, für den das Blinkquittieren der Alarme konfiguriert wird.

Bildschirm

Auswahl des Bildschirms aus Liste:

  • Alle Bildschirme
  • Aktueller Bildschirm
  • Auswahl eines virtuellen Bildschirms

Steht nur bei Mehr-Bildschirm-Systemen zur Verfügung und nur für die Option Alle Alarme in Schablone.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Dialog Schablonenauswahl

Beispiele für Alarme blinkquittieren zur Runtime


Dialog Schablonenauswahl

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarme blinkquittieren > Dialog Schablonenauswahl

Im Dialog Schablonenauswahl können Schablonen für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Schablonen können aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten gewählt werden.
Fenster Schablonen | Auswahl einer Schablone. Werden mehrere Schablonen ausgewählt, wird für die Ausführung der Funktion die in der Liste an oberster Stelle stehende Schablone verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Beispiele für Alarme blinkquittieren zur Runtime

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarme blinkquittieren > Beispiele für Alarme blinkquittieren zur Runtime

Beispiel 1

Projektiert wurden:

  • Schablone_1 (rot) mit den Variablen Var_1, Var_2 und Var_3
  • Schablone_2 (grün) mit den Variablen Var_1 und Var_2

Ausgangslage:

  • Auf Bildschirm_1 ist die Schablone_1 aufgeschaltet.
  • Auf Bildschirm_2 ist die Schablone_2 aufgeschaltet.
  • Aufgrund einer Grenzwertverletzung blinken alle 3 Variablen.

Reaktionen auf das Ausführen Funktion Alarme Blink-Quittierung:

  • Ausführung auf Schablone_2 auf Bildschirm_1: Es passiert nichts, denn diese Schablone ist auf Bildschirm_1 nicht vorhanden.
  • Ausführung auf allen Bildschirmen oder auf Bildschirm_2: Es werden alle Variablen der Schablone blinkquittiert.
    Das heißt: Var_1 und Var_2 werden blinkquittiert. Var_3 blinkt weiter

Beispiel 2

Auf Schablone_1 befindet sich ein Button_1 Dieser blinkquittiert die aufrufende Schablone. Wird dieser Button gedrückt, so werden Var_1, Var_2 und Var_3 blinkquittiert.

Beispiel 3

Ausgangslage:

  • Schablone_1 (rot) ist 4 Mal auf Bildschirm_1 aufgeschaltet. Diese Schablone beinhaltet bestimmte Variablen. Allerdings beinhaltet sie auf Grund von Substituierung in jeder Schablone andere Variablen. Die einzige gemeinsame ist Var_1.
  • Schablone_2 (blau) ist auf Bildschirm_2 aufgeschaltet. Diese Schablone beinhaltet andere Variablen als Schablone_1.

Reaktionen auf das Ausführen Funktion Alarme Blink-Quittierung:

Wird nun Schablone_1 auf diesem Bildschirm - oder auf allen Bildschirmen - blinkquittiert, dann:

  • wird der Befehl auf allen Schablonen auf diesem Bildschirm blinkquittiert
  • und damit auch auf allen Variablen der Schablone_1

    Das heißt:

    • Var_1 bis Var_5 werden blinkquittiert
    • Var_7 bis Var_9 blinken weiter


Alarmquittierung bestätigen

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmquittierung bestätigen

Um das Quittieren von Alarmen gesammelt über Filterkriterien zu bestätigen, verwenden Sie die Funktion Alarmquittierung bestätigen :

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie Alarmquittierung bestätigen.

    Der Dialog zur Auswahl der Filterkriterien wird geöffnet.
    Dieser entspricht den Filterkriterien in der Bildumschaltung.

  3. Definieren Sie die Kriterien für:
    • Allgemein
    • Zeit
    • Text
    • Status
  4. Verknüpfen Sie die Funktion mit einem Button.

Benutzerrechte

Die Funktionen Alarme quittieren und Alarmquittierung bestätigen können über Funktionsberechtigungen einer Benutzergruppe zugeordnet werden. Nur berechtigte Nutzer können dann Alarme quittieren oder löschen.

Zusätzlich kann bei den Grenzwerten der Variablen über die Eigenschaft Zweistufiges Quittieren in der jeweiligen Untergruppe der Gruppe Grenzwerte ein zusätzliches Bedienrecht gesetzt werden. Ausgewählte Alarme können damit nur von speziell berechtigten Personen aus der Alarmmeldeliste entfernt werden.

Wurde die Eigenschaft Zweistufiges Quittieren gesetzt, werden Alarme erst dann aus der Liste der aktiven Alarme entfernt, wenn deren Quittierung bestätigt wurde. Quittieren alleine reicht dann nicht aus.


Alarme quittieren

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarme quittieren

Mit dieser Funktion quittieren Sie zur Runtime Alarme aus der Alarmmeldeliste. Vor allem ist damit auch globales Quittieren möglich.

Bei der Aktivierung der Funktion während der Runtime wird auch das Blinkattribut der Variablen - und damit die Bildalarmierung (nur für SICAM 230 vorhanden) - zurückgesetzt.

Hinweis: Beim Quittieren werden immer alle Alarme der verknüpften Variablen quittiert.

Projektierung

Um Alarme mit dieser Funktion zu quittieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie in der Gruppe AML und CEL die Funktion Alarme quittieren.

    Der Dialog zur Auswahl der Filterkriterien wird geöffnet.
    (Analog zu Filterkriterien in der Bildumschaltung.)

  3. Definieren Sie die Kriterien für:
    • Allgemein
    • Zeit
    • Text
    • Status
    • Anlagenmodellierung
    • Projekt (nur verfügbar im Integrationsprojekt der Mehrprojektverwaltung)
  4. Verknüpfen Sie die Funktion mit einem Button.

Benutzerrechte

Die Funktionen Alarme quittieren und Alarmquittierung bestätigen können über Funktionsberechtigungen einer Benutzergruppe zugeordnet werden. Nur berechtigte Nutzer können dann Alarme quittieren oder löschen.

Zusätzlich kann bei den Grenzwerten der Variablen über die Eigenschaft Zweistufiges Quittieren in der jeweiligen Untergruppe der Gruppe Grenzwerte ein zusätzliches Bedienrecht gesetzt werden. Ausgewählte Alarme können damit nur von speziell berechtigten Personen aus der Alarmmeldeliste entfernt werden.

Wurde die Eigenschaft Zweistufiges Quittieren gesetzt, werden Alarme erst dann aus der Liste der aktiven Alarme entfernt, wenn deren Quittierung bestätigt wurde. Quittieren alleine reicht dann nicht aus.


Alarmmeldeliste aktiv

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmmeldeliste aktiv

Diese Funktion schaltet zur Runtime den Status der Alarmmeldeliste beim Aufruf auf aktiv um.


Alarmmeldeliste aktiv/inaktiv

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmmeldeliste aktiv/inaktiv

Diese Funktion schaltet zur Runtime den Status der Alarmmeldeliste bei jedem Aufruf zwischen aktiv und inaktiv um.


Alarmmeldeliste inaktiv

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmmeldeliste inaktiv

Diese Funktion schaltet zur Runtime den Status der Alarmmeldeliste beim Aufruf auf inaktiv um.


Alarmmeldeliste: Alarm-/Ereignis-Gruppen/Klassen aktivieren oder deaktivieren

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmmeldeliste: Alarm-/Ereignis-Gruppen/Klassen aktivieren oder deaktivieren

Die Funktion ermöglicht es, Alarme einer bestimmten Gruppe oder Klasse oder alle Alarme der AML zu aktivieren und deaktivieren oder zwischen diesen beiden Zuständen umzuschalten.

Um Alarme an- oder abzumelden:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie unter AML und CEL Alarmmeldeliste, Alarm/Ereignis-Gruppen/Klassen aktivieren/deaktivieren.

    Der Dialog zur Auswahl der Alarme öffnet sich.

  3. Definieren Sie die Kriterien für die Funktion.
  4. Verknüpfen Sie die Funktion mit einem Button.

Auswahl

Option | Beschreibung
Auswahl | Auswahl der Alarme.
gesamte Alarmmeldeliste | Funktion gilt für gesamte Alarmmeldeliste.
Alarme der Alarm/Ereignis-Gruppe | Funktion gilt für eine bestimmte Gruppe. Auswahl: Klick auf die Auswahlschaltfläche ...öffnet den Auswahldialog.
Alarme der Alarm/Ereignis-Klasse | Funktion gilt für eine bestimmte Klasse. Auswahl: Klick auf die Auswahlschaltfläche ... öffnet den Auswahldialog.

aktivieren/deaktivieren

Parameter | Beschreibung
aktivieren/deaktivieren | Aktion der Funktion.
aktivieren | Aktiviert ausgewähltes Element.
deaktivieren | Deaktiviert ausgewähltes Element.
toggeln | Schaltet Zustand (aktiv/inaktiv) um.

Noch in diesem Kapitel

Dialog Auswahl Alarm/Ereignis-Gruppe

Dialog Auswahl Alarm/Ereignis-Klasse


Dialog Auswahl Alarm/Ereignis-Gruppe

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmmeldeliste: Alarm-/Ereignis-Gruppen/Klassen aktivieren oder deaktivieren > Dialog Auswahl Alarm/Ereignis-Gruppe

In diesem Dialog können Sie Alarm/Ereignis-Gruppen anlegen, filtern, bearbeiten und auswählen.

Symbolleiste, Kontextmenü und Beschreibung des Dialogs

Symbole | Beschreibung
Alarm/Ereignis-Gruppe neu | Anlegen einer neuen Alarm/Ereignis-Gruppe
Alle Filter entfernen | Zurücksetzen der Filtereinstellungen
Ausgewählte Zelle bearbeiten | Bearbeiten einer markierten Zelle
Text in ausgewählter Spalte ersetzen... | Suchen und Ersetzen von Texten markierten Spalten

Option | Beschreibung
Projektmanager | Zeigt das verwendete Lokalprojekt an.
Detailansicht | Details zum im Projektmanager ausgewählten Modul.
Keine Auswahl | Ermöglicht das Schließen des Dialogs, ohne zuvor eine Auswahl getroffen zu haben. Wurde zuvor bereits eine Alarm-/Ereignis-Gruppe ausgewählt, wird diese Auswahl gelöscht.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Auswahl einer Alarm/Ereignis-Gruppe

Projektierung über den Dialog Alarmmeldeliste, Alarm/Ereignis-Gruppen/Klassen aktivieren/deaktivieren:

  1. Wählen Sie unter Auswahl Alarme der Alarm/Ereignis-Gruppe aus.
  2. Klicken Sie auf die Auswahlschaltfläche ....

    Der Dialog Auswahl Alarm/Ereignis-Gruppe wird geöffnet.

  3. Markieren Sie die gewünschte Alarm/Ereignis-Gruppe. Wenn noch kein Eintrag vorhanden ist, können Sie auch einen neuen Eintrag erstellen. Klicken Sie hierzu in der Symbolleiste oder im Kontextmenü auf das Symbol Alarm/Ereignis-Gruppe neu.
  4. Bestätigen Sie die Auswahl mit einem Klick auf Ok.

    Der Dialog wird geschlossen. Die ausgewählte Alarm/Ereignis-Gruppe wurde in das Textfeld eingetragen.

    Hinweis: Wenn Sie den Auswahldialog erneut öffnen und Keine Auswahl wählen, wird die Auswahl im Textfeld hinter Alarme der Alarm/Ereignis-Gruppe gelöscht.


Dialog Auswahl Alarm/Ereignis-Klasse

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Alarmmeldeliste: Alarm-/Ereignis-Gruppen/Klassen aktivieren oder deaktivieren > Dialog Auswahl Alarm/Ereignis-Klasse

In diesem Dialog können Sie Alarm/Ereignis-Klassen anlegen, filtern, bearbeiten und auswählen.

Symbolleiste, Kontextmenü und Beschreibung des Dialogs

Symbol | Beschreibung
Alarm/Ereignis-Klasse neu | Anlegen einer neuen Alarm/Ereignis-Klasse
Alle Filter entfernen | Zurücksetzen der Filtereinstellungen
Ausgewählte Zelle bearbeiten | Bearbeiten einer markierten Zelle
Text in ausgewählter Spalte ersetzen... | Suchen und Ersetzen von Texten markierten Spalten

Option | Beschreibung
Keine Auswahl | Ermöglicht das Schließen des Dialogs, ohne zuvor eine Auswahl getroffen zu haben. Wurde zuvor bereits eine Variable ausgewählt, wird diese Auswahl gelöscht.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Auswahl einer Alarm/Ereignis-Klasse

Projektierung über den Dialog Alarmmeldeliste, Alarm/Ereignis-Gruppen/Klassen aktivieren/deaktivieren:

  1. Wählen Sie unter Auswahl Alarme der Alarm/Ereignis-Klasse aus.
  2. Klicken Sie auf die Auswahlschaltfläche ....

    Der Dialog Auswahl Alarm/Ereignis-Klasse wird geöffnet.

  3. Markieren Sie die gewünschte Alarm/Ereignis-Klasse. Wenn noch kein Eintrag vorhanden ist, können Sie auch einen neuen Eintrag erstellen. Klicken Sie hierzu in der Symbolleiste oder im Kontextmenü auf das Symbol Alarm/Ereignis-Klasse neu.
  4. Bestätigen Sie die Auswahl mit einem Klick auf Ok.

    Der Dialog wird geschlossen. Die ausgewählte Alarm/Ereignis-Klasse wurde in das Textfeld eingetragen.

    Hinweis: Wenn Sie den Auswahldialog erneut öffnen und Keine Auswahl wählen, wird die Auswahl im Textfeld Alarme der Alarm/Ereignis-Klasse gelöscht.


AML exportieren

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML exportieren

Mit dieser Funktion können zur Runtime die gespeicherten Alarme mit Filterbedingungen in eine Datei oder Datenbank exportiert werden.

Um Alarme zu exportieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie AML exportieren.
  3. Der Dialog zur Auswahl der Filterkriterien öffnet sich.

  4. Definieren Sie die Kriterien für:
    • Exportformat
    • Allgemein
    • Zeit
    • Text
    • Status
    • Anlagenmodellierung
    • Projekt
  5. Verknüpfen Sie die Funktion mit einem Button.

Noch in diesem Kapitel

Exportformat

CSV: Exportierte Spalten

dBase: Exportierte Spalten

SQL: Exportiere Spalten

XML: Exportiere Spalten


Exportformat

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML exportieren > Exportformat

Exporte können in unterschiedliche Formate erfolgen. Welche Spalten wie exportiert werden, hängt von der Quelle (AML/CEL) und vom Exportformat ab:

Daten werden unterschiedlich exportiert für:

  • CSV
  • dBase
  • SQL
  • XML

info Info

Der Export nach SQL erfolgt inkrementell. Liegen bereits exportierte Daten vor, werden nur neue und geänderte Daten exportiert.

Spaltenauswahl

Die Auswahl der zu exportierenden Spalten hängt ab vom Exportformat:

  • CSV, DBF und XML: Auswahl über den Dialog der Projekteigenschaft Spalteneinstellung AML für die AML und Spalteneinstellung CEL für die CEL.
  • SQL: Vordefinierte Spalten werden exportiert.

Export konfigurieren

Exportformat

Parameter

Beschreibung

Exportformat

Auswahl des Dateityps. Mögliche Formate:

  • dBase: DBaseIV-Format (*.dbf):
  • CSV
  • XML
  • SQL

Hinweis zu dBase:

  • Dateinamen dürfen nicht länger als acht Zeichen sein.
  • Projektierte Spaltenbreite wird für Export verwendet. Ist z. B. unter Spalteneinstellungen ein Wert von 40 Zeichen eingestellt, werden auch nur maximal 40 Zeichen exportiert.
  • Es werden maximal 255 Zeichen exportiert.

Optionen

Parameter | Beschreibung
Optionen |
Als Unicode exportieren | Export in ASCII-Format erfolgt in Unicode.
Inkrementell exportieren | Es werden nur Unterschiede seit dem letzten Export exportiert.

Zeitformat

Parameter | Beschreibung
Zeitformat | Definition des Formats, in dem die Zeit gespeichert wird.
Zeitstempel in Lokalzeit und -format exportieren | Zeitstempel wird in die lokale Zeit und das lokale Format exportiert.
Zeitstempel in Lokalzeit exportieren (ISO 8601) | Zeitstempel wird in UTC-Zeit plus Zeitverschiebung exportiert.
Zeitstempel in UTC exportieren (ISO 8601) | Zeitstempel wird in die koordinierte Weltzeit (UTC) exportiert. UTC wird als Weltzeit überall dort eingesetzt, wo weltweit eine einheitliche Zeitskala benötigt wird.

Export in Datei

Parameter

Beschreibung

Export in Datei

Festlegung der Datei, in der der Export gespeichert wird.

Dateiname

Dateiname individuell festlegen.

Maximal 32 alphanumerische Zeichen inklusive Dateiendung.

Hinweis: Bestehende Dateien gleichen Namens werden überschrieben.

Dateinamen automatisch generieren
  • Aktiv : Der Dateinamen wird aus einer Kurzkennung, einem Datumsschlüssel und einem individuellen Postfix automatisch generiert.
    Inaktiv : Der Dateiname wird vom Benutzer unter Dateiname eingegeben.

Details siehe Tabelle: Kodierung Name für automatische Namensvergabe

Hinweis: Bestehende Dateien gleichen Namens werden überschrieben.

Postfix

Freie, individuelle Kennung. Steht nur für Dateinamen automatisch generieren zur Verfügung.

Mögliche Eingaben:

  • dBase: 1 alphanumerisches Zeichen
  • ASCII und XML: 32 alphanumerische Zeichen

Beispiel

Anzeige des vollständigen Dateinamens bei automatischer Generierung.

Eingestellter Exportordner

Anzeige des aktuell in den Projekteigenschaften eingestellten Exportpfades . (Eigenschaft Runtime-Ordner im Knoten Allgemein/Name/Ordner.)

Export in SQL-Datenbank

Parameter für den Export in eine SQL-Datenbank

Datenbankverbindung

Konfiguration der Datenbankverbindung. Klick auf Schaltfläche ... öffnet Konfigurationsdialog.

Tabelle

Auswahl der Tabelle, in die geschrieben werden soll.

Kodierung Name für automatische Namensvergabe

Name

AJJMMTTP.XXX

A

Kurzkennung der Alarmmeldeliste

JJMMTT

Datumsangabe:

  • JJ: Jahr, zweistellig
  • MM: Monat, zweistellig
  • TT: Tag, zweistellig

P

Freie, individuelle Kennung:

  • dBase: 1 alphanumerisches Zeichen
  • ASCII und XML: 32 alphanumerische Zeichen

XXX

Dateiendung:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Formales

  • Format der Zeileneinträge: wird aus den Einstellungen der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL übernommen.
  • Spaltentrennzeichen: Semikolon (Strichpunkt ;)

attention Achtung

Millisekunden für Druck und Export

Soll beim Drucken oder beim Exportieren von AML oder CEL nach CSV, XML oder dBase die Zeit in Millisekunden angegeben werden, muss diese Eigenschaft im Dialog für die Spalteneinstellungen aktiviert werden. Dazu:

  • Navigieren Sie in den Projekteigenschaften zum Knoten Alarmmeldeliste oder Chronologische Ereignisliste.
  • Klicken Sie auf die Schaltfläche ... der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL.
  • Der Dialog für die Spalteneinstellung wird geöffnet.
  • Aktivieren Sie die Checkbox vor der Eigenschaft Millisekunden.

Die Einstellung muss für AML und CEL jeweils extra vorgenommen werden.

Hinweise SQL

attention Achtung

Stellen Sie sicher, dass der in der Verbindung konfigurierte Provider zur Runtime am Runtime-Rechner verfügbar ist.

Hinweis: Mit dem zenon Editor wird auch ein SQL Client installiert. Da die zenon Runtime keinen SQL Server benötigt, wird auch kein SQL Client automatisch installiert. Dieser kann von der Microsoft Website heruntergeladen werden und muss individuell installiert werden.

Achten Sie bei der Installation des Providers auf die korrekte Version. Diese muss zur verwendeten zenon Version passen. Das heißt: Wird eine 32-Bit zenon Runtime verwendet, muss der Provider eine 32-Bit Version sein. Das gilt auch dann, wenn er auf einem 64-Bit Betriebssystem installiert wird und auch wenn die Datenbank selbst eine 64 Bit Anwendung ist.

attention Achtung

Bei Verwendung des Native Client 10 und 11 wird das Passwort nicht automatisch in den Providerstring übernommen. Es muss manuell eingetragen werden.

Z.B.: ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV: Exportierte Spalten

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML exportieren > CSV: Exportierte Spalten

Der Export nach CSV dient vor allem der Weiterverarbeitung in anderen Applikationen. Die Daten werden entsprechend der Auswahl in Spalteneinstellung AML beziehungsweise Spalteneinstellung CEL exportiert:

  • Es werden nur Daten der ausgewählten Spalten exportiert.
  • Die Reihenfolge in der Exportdatei entspricht der im Dialog definierten.
  • Trennzeichen: Semikolon (;)
  • Spaltentitel werden nicht exportiert.


dBase: Exportierte Spalten

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML exportieren > dBase: Exportierte Spalten

Für den Export in eine dBase-Datei werden die Daten entsprechend der Auswahl in Spalteneinstellung AML beziehungsweise Spalteneinstellung CEL exportiert:

  • Es werden nur Daten der ausgewählten Spalten exportiert.
  • Die Reihenfolge in der Exportdatei ist fest definiert.

info Info

Die Spaltenbezeichnung für den Export ist unabhängig von der Sprache in der die Runtime gestartet wurde. Sie entspricht immer der in der untenstehenden Tabelle angeführten Bezeichnung (Spalte).

Spalten in exportierter Reihenfolge:

Spalte | Typ | Größe | Beschreibung
DATUM_KOMM | Date | 8 | Alarm gekommen: Datum.
ZEIT_KOMMT | Character | 10 | Alarm gekommen: Zeit.
MILLI_KOMM | Numeric | 3 | Alarm gekommen: Millisekunden.
DATUM_GEHT | Date | 8 | Alarm gegangen: Datum.
ZEIT_GEHT | Character | 10 | Alarm gegangen: Zeit.
MILLI_GEHT | Numeric | 3 | Alarm gegangen: Millisekunden.
DATUM_OK | Date | 8 | Alarm quittiert: Datum.
ZEIT_OK | Character | 10 | Alarm quittiert: Zeit.
ALARMTEXT | Character | 40 | Grenzwerttext.
TAG_NR | Character | 40 | Variablenkennung.
KOMMENTAR | Character | 45 | Kommentar.
STATUS | Character | 4 | Status der Variable.
DATUM_REA | Date | 8 | Alarm reaktiviert: Datum.
ZEIT_REA | Character | 10 | Alarm reaktiviert: Zeit.
MILLI_REA | Character | 3 | Alarm reaktiviert: Millisekundenanteil.
ANZ_REA | Character | 3 | Alarm reaktiviert: Zähler.
STAT_REA | Character | 1 | Alarm reaktiviert: Variablenstatus.
WERT | Character | 10 | Variablenwert.
USER | Character | 6 | Benutzerkennung.
COMPUTER | Character | 48 | Rechnername.
VAR_NAME | Character | 32 | Variablenname.
RESLABEL | Character | 15 | Betriebsmittelkennung.
PROJ_NAME | Character | 31 | Projektname.
CLASS | Character | 31 | Name der Alarmklasse.
GROUP | Character | 31 | Name der Alarmgruppe.
CAUSE | Character | 255 | Alarmursachen Text.


SQL: Exportiere Spalten

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML exportieren > SQL: Exportiere Spalten

Für den SQL-Export werden die Daten in einer fest definierten Reihenfolge inkrementell exportiert.

Spalten in exportierter Reihenfolge:

Spalte | Typ | Beschreibung
[VAR] | varchar(128) | Variablenname.
[TAG] | varchar(128) | Variablenkennung.
[RESLABEL] | varchar(255) | Betriebsmittelkennung.
[TEXT] | varchar(1024) | Grenzwerttext.
[COMES_S] | int | Alarm gekommen in Unix-Zeit (Sekunden seit 01. 01. 1970).
[COMES_MS] | int | Alarm gekommen: Millisekundenanteil.
[GOES_S] | int | Alarm gegangen in Unix-Zeit (Sekunden seit 01. 01. 1970).
[GOES_MS] | int | Alarm gegangen: Millisekundenanteil.
[QUIT] | int | Alarm quittiert in Unix-Zeit (Sekunden seit 01. 01. 1970).
[STATUS] | int | Status der Variable.
[VALUE] | varchar(8000) | Variablenwert.
[USERID] | varchar(20) | Benutzerkennung.
[COMP] | varchar(255) | Rechnername.
[REACT_S] | int | Alarm reaktiviert in Unix-Zeit (Sekunden seit 01. 01. 1970).
[REACT_MS] | int | Alarm reaktiviert: Millisekundenanteil.
[REACT_COUNT] | int | Alarm reaktiviert: Zähler.
[REACT_STAT] | int | Alarm reaktiviert: Variablenstatus.
[ACT_TEXT] | varchar(80) | Alarm: Kommentar.
[PRJ] | varchar(31) | Projektname.
[CLASS] | varchar(8000) | Name der Alarmklasse.
[GROUP] | varchar(8000) | Name der Alarmgruppe.
[LASTING_S] | int | Alarm angestanden in Sekunden.
[LASTING_MS] | int | Alarm angestanden: Millisekundenanteil.
[CLASS_NR] | int | Alarmklassen-ID.
[GROUP_NR] | int | Alarmgruppen-ID.
[USERNAME] | varchar(120) | Benutzername.
[CAUSEID] | varchar(36) | Alarmursachen-ID.
[CAUSE] | varchar(1279) | Alarmursachen Text.


XML: Exportiere Spalten

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML exportieren > XML: Exportiere Spalten

Beim Export in eine XML-Datei werden die Daten entsprechend der Auswahl in Spalteneinstellung AML beziehungsweise Spalteneinstellung CEL exportiert:

  • Es werden nur Daten der ausgewählten Spalten exportiert.
  • Die Reihenfolge in der Exportdatei entspricht der im Dialog definierten.
  • Spaltentitel werden als Tags verwendet. Alle dabei nicht erlaubten Zeichen werden vor dem Export entfernt und ersetzt.
    Regeln für das Ersetzen:
    • Leerzeichen: Unterstrich (_).
    • Andere verbotene Zeichen: Bindestrich (-).


AML- und CEL-Ringpuffer speichern

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > AML- und CEL-Ringpuffer speichern

Mit dieser Funktion können zur Runtime der Inhalt der Ringpuffers für Alarme und Ereignisse sowie die Werte von Mathematik-Variablen (Zähler) gespeichert werden. Die Einträge werden in folgenden Dateien gespeichert:

Datei | Inhalt | Größe einstellbar über Eigenschaft
ALARM.BIN | Alarme | Größe des Ringpuffers
CEL.BIN | Einträge der Chronologischen Ereignisliste | Größe des Ringpuffers
SY_MA32.BIN | Werte mathematischer Variablen (z. B. Zähler) |

Beispiel: Speichern des AML-Ringpuffers.

Vorgehen:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie AML- und CEL-Ringpuffer speichern.
  3. Verknüpfen Sie die Funktion mit einem Button.


Drucken AML oder CEL

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Drucken AML oder CEL

Mit dieser Funktion können zur Runtime die gespeicherten Alarme mit Filterbedingungen auf einem Drucker ausgegeben werden

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Drucken AML oder CEL
  3. der Dialog zur Auswahl der Liste öffnet sich

  4. wählen Sie Alarmmeldeliste
  5. der Dialog zur Auswahl der Filterkriterien öffnet sich
  6. definieren Sie die Kriterien für:
    • Allgemein
    • Zeit
    • Text
    • Status
    • Schrift: Auswahl aus den in zenon definierten Schriften
  7. verknüpfen Sie die Funktion mit einem Button

info Info

Zur Runtime kann nicht zwischen CEL und AML umgeschaltet werden. Um beide Listen drucken zu können, müssen zwei Funktionen projektiert werden.

Zeilenaufbau

Datum/Zeit gekommen | Datum/Zeit gegangen | Datum/Zeit quittiert | Langtext | Zustandstext

Die zur Verfügung stehenden Schlüsselworte für die Formatierungsdatei (ALAR.FRM für Online-Druck und ALAR_G.FRM für Offline-Druck) und Beispiel für deren Verwendung finden Sie im Kapitel FRM-Konfigurationsdatei im Abschnitt Bedienen zur Runtime.

Eine FRM-Datei gliedert sich in drei Teile:

  • Kopfteil: am Seitenbeginn
  • Listenteil: zyklisch pro Zeile
  • Fußteil: am Seitenende

Grundsätze

Beachten Sie beim Bearbeiten von FRM-Dateien:

  • Trennung der Listenteile:
    • Kopfteil und Listenteil sowie Listenteil und Fußteil werden durch %% getrennt.

      Diese Gliederungsmarkierung darf nur je einmal für den Listenteil und den Fußteil verwendet werden.

    • Achtung: Nach der letzten Zeile müssen mindestens zwei leere Absätze folgen. Andernfalls wird die Fußzeile nicht gedruckt!
  • Positionierung der einzelnen Einträge:
    Es dürfen nur Leerzeichen verwendet werden, keine Tabulatoren.
  • Bearbeiten der FRM-Datei in einem Texteditor:
    Automatischer Zeilenumbruch muss deaktiviert werden, da sonst unerwünschte Effekte in der Formatierung auftreten können.

Schlüsselwörter

Die Einstellung der Seitenlänge wird in den Projekteigenschaften unter AML und CEL vorgenommen oder über die Dateien ALARM.frm oder ALAR_G.frm für AML oder BTB.frm und BTB_G.frm für CEL.

Beachten Sie:

  • Die Anzahl der Alarmeinträge pro Seite ergibt sich aus der vorgegebenen Anzahl an Zeilen (z. B. Zeilen pro Seite 72) abzüglich der für Kopf- und Fußtexte verwendeten Zeilen.
  • Für die Verwendung der Schlüsselworte, die die Reaktivierung auswerten (Zeit, Anzahl), muss in der Alarmmeldeliste die Option Reaktiviertzeit verwenden aktiviert sein.
  • In der Formatierungsdatei sind Schlüsselworte und freie Texte verwendbar. Schlüsselworte können alternativ in Deutsch oder Englisch verwendet werden. Die Verwendung englischer Schlüsselwörter wird empfohlen.
  • Nicht jedes Schlüsselwort ist für jede Art von Druck (AML, CEL, online, offline) geeignet.

Die folgende Tabelle enthält Schlüsselwörter in Deutsch und Englisch und deren Einsatzmöglichkeiten:

Deutsch | Englisch | AML Offline | CEL Offline | AML Online | CEL Online | Beschreibung
Schlüsselwörter für den Listenteil
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Betriebsmittelkennung
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Datum und Zeitpunkt des Alarmauftretens
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Datum und Zeitpunkt des Alarmendes
@DATZEITOK | @DTACK | X | - | X | - | Datum und Zeitpunkt der Alarmquittierung
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Datum und Zeitpunkt der Reaktivierung: Eigenschaft Reaktiviertzeit verwenden in Projekteigenschaften muss aktiviert sein.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Datum und Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEIT | @TLASTEVENT | - | - | X | X | Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEITOK | @TACK | X | - | X | - | gibt nur Zeitpunkt der Quittierung an
@ZTKOMMT | @TRECEIVED | X | X | X | X | gibt nur Zeitpunkt des Alarmauftretens an
@ZTGEHT | @TCLEARED | X | - | X | - | gibt nur Zeitpunkt der Alarmendes an
@ZTREAKT | @TREACTIVATE | X | - | X | - | gibt nur Zeitpunkt der Reaktivierung an
@TIMELASTING | @TACTIVE | X | - | X | - | Zeit anstehend (Differenz Zeit Kommt - Zeit geht)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@KANALNAME | @VARNAME | X | X | X | X | Variablenname CEL: Nur Einträge mit Variablen
@AK | @ACLASSNR | X | X | X | X | Alarm/Ereignis-Klassenname
@AG | @AGROUPNR | X | X | X | X | Alarm/Ereignis-Gruppennummer
@AGNAME | @AGROUPNAME | X | X | X | X | Name der Alarm/Ereignis-Gruppe
@AKNAME | ACLASSNAME | X | X | X | X | Name der Alarm/Ereignis-Klasse
@TAGNR | @IDENTIFICATION | X | X | X | X | Kennung (firmenspezifische Bezeichnung)
@AMELDUNG | @TEXT | X | X | X | X | Alarmmeldetext
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Anzahl der Reaktivierungen
@STATUS | @STATUS | X | X | X | X | Statusinformation wie in der Alarmmeldeliste
@WERT | @VALUE | X | X | X | X | Variablenwert des Alarms
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Kommentar aus der Alarmmeldeliste. Bei Verwendung von dynamischen Grenzwerttexten nur verfügbar, wenn Lange dynamische Grenzwerttexte AML oder Lange dynamische Grenzwerttexte CEL aktiviert ist.
@USER | @USERID | X | X | X | X | AML: Anwender, der Alarm bestätigt hat.
@RECHNER | @COMPUTER | X | X | X | X | AML: Rechner, auf dem Alarm bestätigt wurde.
Schlüsselwörter für den Kopf- und Fußteil
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@SEITE | @PAGE | X | X | X | X | Seitenzahl
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Systemdatum und Systemuhrzeit
@HEADDATUM | @DSYSTEM | X | X | X | X | Systemdatum
@HEADZEIT | @TSYSTEM | X | X | X | X | Systemuhrzeit
@USER | @USERID | X | X | X | X | Benutzer, der druckt
@USERNAME | @USERNAME | X | X | X | X | Vollständiger Benutzername, der Aktivität auslöste
@RECHNER | @COMPUTER | X | X | X | X | Rechner, von dem aus gedruckt wird
[Text] | [Text] |  |  |  |  | beliebiger Text in der Ausgabezeile am Drucker

attention Achtung

Zwischen den Schlüsselwörtern muss ausreichend Platz vorgesehen werden, damit Einträge nicht überschrieben werden. Damit stellen Sie sicher, dass auch lange Grenzwert-Texte korrekt angezeigt werden.

Beispiel:

@TEXT (Leerzeichen bis hierher)

Einstellung Millisekunden

attention Achtung

Millisekunden für Druck und Export

Soll beim Drucken oder beim Exportieren von AML oder CEL nach CSV, XML oder dBase die Zeit in Millisekunden angegeben werden, muss diese Eigenschaft im Dialog für die Spalteneinstellungen aktiviert werden. Dazu:

  • Navigieren Sie in den Projekteigenschaften zum Knoten Alarmmeldeliste oder Chronologische Ereignisliste.
  • Klicken Sie auf die Schaltfläche ... der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL.
  • Der Dialog für die Spalteneinstellung wird geöffnet.
  • Aktivieren Sie die Checkbox vor der Eigenschaft Millisekunden.

Die Einstellung muss für AML und CEL jeweils extra vorgenommen werden.


Online-Drucken ein/ausschalten

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Online-Drucken ein/ausschalten

Mit der Verwendung dieser Funktion wird der Onlinedruck auf einen Status gesetzt:

  • einschalten: schaltet den Online-Druck ein
  • ausschalten: schaltet den Online-Druck aus
  • aktiv/inaktiv: schaltet den Online-Druck um

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Online-Drucken ein/ausschalten
  3. der Dialog zur Auswahl der Aktion öffnet sich

  4. wählen Sie die gewünschte Aktion
  5. verknüpfen Sie die Funktion mit einem Button


Online-Drucken neue Seite beginnen

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Online-Drucken neue Seite beginnen

Mit dieser Funktion steuern Sie zur Runtime den Seitenvorschub beim Online-Drucken:

Die aktuelle Seite des Ausdruckes wird mit der projektierten Fußzeile versehen und ein Seitenvorschub auf den neuen Seitenanfang vorgenommen. Der Seitenzähler wird auf 1 zurückgesetzt und die Kopfzeile ausgedruckt.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Online-Drucken neue Seite beginnen
  3. verknüpfen Sie die Funktion mit einem Button


Online Drucker umschalten

Handbuch > Alarmverwaltung > Alarme projektieren > Funktionen > Funktionen für Alarmverwaltung > Online Drucker umschalten

Mit dieser Funktion kann zur Runtime der Drucker für den Online-Ausdruck gewechselt werden.

info Info

Diese Funktion steht unter Windows CE nicht zur Verfügung.

Um die Funktion zu projektieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie Online-Drucker umschalten.

    Der Dialog zur Auswahl des Druckers öffnet sich.

  3. Wählen Sie den gewünschten Drucker aus der Dropdownliste.
  4. Verknüpfen Sie die Funktion mit einem Button.

Parameter | Beschreibung
Druckerwahl | Auswahl des gewünschten Druckers aus der Dropdownliste.
Diesen Dialog zur Runtime anbieten | Aktiv: Bei Ausführung der Funktion wird der Dialog aufgeschaltet und der Drucker kann zur Runtime definiert werden.


Bedienen zur Runtime

Handbuch > Alarmverwaltung > Bedienen zur Runtime

Zur Runtime wird die Alarmmeldeliste über eine Bildumschaltungsfunktion aufgerufen.

Die zur Verfügung stehenden Kontrollelemente und das Aussehen werden im Editor projektiert.

Fenster

Kontrollelement

Beschreibung

Fenster

Anzeigen zur Runtime.

Alarmmeldeliste

Anzeige der Alarme. Das Aussehen ist konfigurierbar. Spalten werden über den Filter Spalteneinstellungen bei der Bildumschaltung festgelegt.

Über die Eigenschaft Spalteneinstellung AML in den Projekteigenschaften in der Gruppe Alarmmeldeliste werden die Einstellungen für den Export in CSV, XML und DBF definiert. Diese dienen auch als Voreinstellung für die Bildumschaltfunktion.

Eingestellter Filter

Anzeige der aktuell gewählten Filterbedingungen.

Status

Anzeige, ob Alarmmeldeliste aktiv ist oder nicht (Projekt-Eigenschaft Alarmmeldeliste aktiv).

Anzahl gesamt

Zeigt Anzahl aller Alarme.

Anzahl unquittiert

Zeigt Zahl unquittierter Alarme.

Listenfunktionen

Kontrollelement | Beschreibung
Listenfunktionen | Buttons zur Steuerung der Listen.
Filter | Öffnet Dialog zur Filterauswahl.
Stopp/Weiter | Schalter für Befüllung der Liste: Stopp: Neue Elemente werden nicht mehr automatisch hinzugefügt. Weiter: Neue Elemente werden automatisch hinzugefügt. Achtung: Die Beschriftung des Buttons kann im Editor zwar geändert werden, wird zur Runtime aber nicht übernommen.
Drucken | Druckt gefilterte Liste.
Drucken mit Dialog | Öffnet vor dem Drucken die Druckereinstellungen.

Alarmfunktionen

Kontrollelement

Beschreibung

Alarmfunktionen

Buttons zum Quittieren und Löschen von Alarmen.

Quittieren

Alarmmeldungen zur Runtime quittieren.

Seite quittieren

Alle auf der aktuellen Seite angezeigten Alarme werden quittiert.

Alle quittieren

Alle dem aktuellen Filterkriterium entsprechenden Alarme werden quittiert.

Hinweis Mehrbenutzer-Projekt: Es werden nur die Alarme jenes Projektes quittiert, für das der Benutzer die Berechtigung dazu besitzt. (Details Mehrbenutzer-Projekt siehe Kapitel Verteiltes Engineering)

Sichtquittieren

Die ausgewählten Alarme werden sichtquittiert.

Sichtquittieren und quittieren

Die ausgewählten Alarme werden erst sichtquittiert und dann quittiert.

Quittierung bestätigen

Löscht Alarm zur Runtime aus der Alarmmeldeliste. Alarm muss bereits quittiert sein.

Quittierung bestätigen Seite

Löscht alle quittierten Alarme, die auf der aktuellen Seite angezeigt werden.

Quittierung bestätigen alle

Löscht alle quittierten Alarme, die dem aktuellen Filterkriterium entsprechen.

Verknüpfte Funktion (Anzeige)

Zeigt die der Alarmmeldung zugeordnete Funktion an.

Funktion ausführen

Führt zur Runtime die am Alarm projektierte Funktion aus.

Hinweis: Bei der Funktion Starte Programm kann der Variablenname des ausgewählten Alarms als Parameter für das zu startende Programm über das Schlüsselwort @alarm.name übergeben werden.

Hilfe aufrufen...

Ruft projektierte Hilfe auf.

Anzeigen

Status und Elemente der Alarmverwaltung.

Kommentarfeld

Eingabe eines freien Textes durch den Benutzer für den ausgewählten Alarm.

Maximale Länge: 79 Zeichen

Dieser Text kann in der Liste mit angezeigt werden. Dazu wird die Option Kommentar in den Spalteneinstellungen der Alarmverwaltung aktiviert.

Das Kommentarfeld ist ein Element vom Typ Dynamischer Text. Für dieses Element wird beim Projektieren automatisch die Eigenschaft Sollwert setzen aktiviert. Zusätzlich wird die Eigenschaft Sollwert setzen über auf den Wert Element gesetzt.

Änderungen an Kommentaren können über die Aktivierung der Eigenschaft Alarm-Kommentare dokumentiert werden.

Alarmursache auswählen...

Öffnet den Dialog zur Auswahl einer Alarmursache.

Über den Dialog kann dem in der Alarmmeldeliste ausgewählten Alarm eine Alarmursache zugeordenet werden.

Hinweis: Inaktiv wenn kein Eintrag in der Alarmmeldeliste ausgewählt ist.

Siehe auch Kapitel Alarmursachen.

Navigation

Kontrollelement | Beschreibung
Navigation | Steuert Elemente der Liste.
Zeile nach oben | Blättert eine Zeile nach oben.
Zeile nach unten | Blättert eine Zeile nach unten.
Spalte nach rechts | Blättert eine Spalte nach rechts.
Spalte nach links | Blättert eine Spalte nach links.
Seite nach oben | Blättert eine Seite nach oben.
Seite nach unten | Blättert eine Seite nach unten.
Seite nach rechts | Blättert eine Seite nach rechts.
Seite nach links | Blättert eine Seite nach links.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Status | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl gesamt | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl unquittiert | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Verknüpfte Funktion (Anzeige) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kommentarfeld | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Schablone schließen | Schließt die Schablone auf der das Bild beruht. Empfehlung: Benutzen Sie zum Schließen von Schablonen die Funktion Schablone schließen. Damit nach dem Schließen das davor geöffnete Bild angezeigt wird, muss das Bild vom Typ AML mit einer eigenen Schablone projektiert werden.

Filterprofile

Kontrollelement | Beschreibung
Filterprofile | Buttons für Filtereinstellungen zur Runtime.
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichert aktuelle Einstellung als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Löscht ausgewähltes Profil.
Import | Importiert Filterprofile aus Exportdatei.
Export | Exportiert Filterprofile in Datei.

Konfiguration der Anzeige

Welche Informationen in der Alarmstatuszeile und Alarmmeldeliste angezeigt werden, konfigurieren Sie über die Spalteneinstellung der Alarmprojektierung . Die Spalteneinstellungen erreichen Sie über:

  • Projekteigenschaften -> Alarmmeldeliste -> Spalteneinstellung AML (nur Registerkarte Spalteneinstellungen )

    oder

  • Funktion Bildumschaltung auf ein Bild vom Typ AML ( alle Registerkarten)

Anzeige in der Spalte Wert

In der Spalte Wert können nur Werte numerischer Datentypen angezeigt werden. Bei Einträgen mit einem Datentyp String bleibt die Spalte leer.

Funktionen für Grenzwerte als Alarm

Beim Runtime Start wird überprüft, ob der Alarm für den Grenzwert bereits vor dem Beenden der Runtime angestanden ist . Ist dies der Fall, dann wird die verknüpfte Funktion nicht erneut ausgeführt.
Hinweis: Handelt es sich bei dem Grenzwert nicht um einen Alarm, kann das Ausführen der Grenzwertfunktion beim Runtime Start durch die Projekteinstellung Grenzwertfunktion beim RT-Start ausführen in der Gruppe Funktionen beeinflusst werden. Diese Einstellung beeinflusst nur Grenzwerte, die kein Alarm sind.

Kommentarfeld

Einträge oder Änderungen im Kommentarfeld bewirken folgende Aktionen:

  • Die Benutzerberechtigung für das Erstellen oder Ändern eines Kommentars wird überprüft.
  • Ein Event für die API wird erzeugt (AlarmUsertextChanged).
  • Ein Eintrag in der CEL erfolgt.
  • Bei Clients oder dem Standby Server wird der Kommentar an den Prozessführenden Server geschickt.
  • Wurde die Eigenschaft Alarm-Kommentare aktiviert, erfolgt bei Änderungen ein Eintrag in die CEL, der auf die Änderung hinweist.

Noch in diesem Kapitel

Alarmstatuszeile

Alarmmeldeliste

Alarme quittieren

Alarme blinkquittieren

Alarmquittierung bestätigen

Alarme filtern

Alarme drucken und exportieren


Alarmstatuszeile

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarmstatuszeile

Alarme: Statusmeldungen in roter Statuszeile

In der Alarmstatuszeile werden zur Runtime nicht quittierte Alarme standardmäßig als rote Zeile mit schwarzer Schrift angezeigt. Sie enthält Informationen über die auslösende Variable und die Zeit. Die Alarmstatuszeile ist als oberstes Windows Fenster definiert und überdeckt damit alle zenon Bilder und auch alle anderen Applikationen.

Alarme werden mit einem Doppelklick der rechten Maustaste quittiert.

Das Aussehen der Alarmstatuszeile kann über die Projekteigenschaften angepasst werden. Die Alarmstatuszeile kann auch durch eine weitere Statuszeile (Standard: blau) überdeckt werden, um Benutzer auf die Anzahl der Alarme oder das Überlaufen des Puffers hinzuweisen.

Warnungen: Warnhinweise in blauer Statuszeile

Um den Benutzer darauf aufmerksam zu machen, dass die Anzahl der Alarme eine gewisse Anzahl überschritten hat, oder um darauf hinzuweisen, dass der Ringpuffer der Alarmmeldeliste bald überläuft, können Sie drei Statusmeldungen definieren. Diese werden standardmäßig in weißer Schrift auf blauem Grund angezeigt. Das Aussehen kann in den Projekteigenschaften angepasst werden.
Die Statusmeldungen überdecken die rote Alarmstatuszeile solange sie nicht quittiert werden. Die Quittierung erfolgt über einen Doppelklick mit der rechten Maustaste. Der Benutzer muss über die entsprechende Berechtigungsgruppe verfügen. Diese kann in der Benutzerverwaltung über die Funktionsberechtigungen eingestellt werden.

Für das Aufschalten der blauen Alarmstatuszeile gilt:

  • Die blaue Zeile hat höhere Priorität für die Anzeige als die rote Alarmstatuszeile.
  • Die blaue Zeile reagiert ausschließlich auf die Gesamtzahl der Einträge in der Liste
  • Über die Eigenschaften der Gruppe Alarmstatuszeile können drei Maxima für die Gesamtzahl der Einträge in der Liste definiert werden:
    • Meldung 1 Alarmanzahl
    • Meldung 2 Alarmanzahl
    • Meldung 3 Alarmanzahl

    Jedem Maximum kann eine Meldung zugewiesen werden, die beim Übersteigen von unten angezeigt wird.

  • Zu jeder Zeit ist das höchste mögliche Maximum aktiv.
  • Die blaue Zeile kann per rechten Doppelklick deaktiviert werden. Dabei werden die Nachbarmaxima erst dann ausgelöst, wenn sie explizit erreicht werden.
  • Ein deaktiviertes Maximum wird erst bei dessen erneuten Übersteigen von unten wieder reaktiviert.

Alarmstatuszeile konfigurieren

Um die Alarmstatuszeile zur Runtime anzuzeigen, aktivieren Sie in den Projekteigenschaften in der Gruppe Alarmmeldeliste die Eigenschaft Statuszeile aktiv.

Das Verhalten der Alarmstatuszeile zur Runtime und die zu verwendende Schriftart definieren Sie in den Projekteigenschaften der Alarmstatuszeile in der Gruppe Alarmmeldeliste:

  • nächsten nachschieben: Definiert die Alarmstatuszeile als Ring. Als Ringgröße wird der Wert der Eigenschaft Größe des Ringpuffers verwendet. Ist diese Eigenschaft deaktiviert, beinhaltet die Alarmstatuszeile immer nur einen einzigen Alarm.
  • Anzeige: Legt fest, ob der älteste oder der jüngste Alarm angezeigt wird. Die Auswahl erfolgt aus der Dropdownliste.
    • ältesten Alarm: FIFO-Puffer
    • jüngsten Alarm: LIFO-Puffer

attention Achtung

Verhalten bei Mehrprojektverwaltung:

Einstellung im Integrationsprojekt definiert Verhalten für Unterprojekte, unabhängig von der Einstellung der Unterprojekte.

  • Wird die Alarmstatuszeile in einem Unterprojekt deaktiviert, aber nicht im Integrationsprojekt als Startprojekt, dann wird die Alarmstatuszeile dennoch weiter angezeigt.
  • Wird die Alarmstatuszeile im übergeordneten Startprojekt aktiviert, dann wird sie auch im Unterprojekt angezeigt, selbst wenn sie hier deaktiviert wurde.
  • Zur Runtime wird immer die Alarmstatuszeile des obersten Projekts verwendet.

Positionierung

Standardmäßig befindet sich die Alarmstatuszeile am oberen Bildschirmrand (Höhe=18 Pixel bei Standardschriftart). Sie können die Größe und Position auch frei bei den Schablonen einstellen. Wählen Sie dazu die Alarmstatuszeile aus und deaktivieren Sie die Option Standardposition verwenden. Danach können Sie die Alarmstatuszeile frei am Bildschirm wie, jede andere Schablone positionieren.
Bei der Mehrprojektverwaltung in der Runtime ist die Position der Alarmstatuszeile im Integrationsprojekt ausschlaggebend. Die Einstellungen der Unterprojekte werden ignoriert.

Farben für Alarmstatuszeile

Die Farben der Alarmstatuszeile können über die Eigenschaften der Gruppe Alarmstatuszeile angepasst werden.

Für Alarme:

  • Textfarbe
  • Hintergrundfarbe

Für Warnungen vor Überschreitung der definierten Alarmanzahl oder Überlauf des Ringpuffers:

  • Meldung 1 Textfarbe
  • Meldung 1 Hintergrundfarbe
  • Meldung 2 Textfarbe
  • Meldung 2 Hintergrundfarbe
  • Meldung 3 Textfarbe
  • Meldung 3 Hintergrundfarbe


Alarmmeldeliste

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarmmeldeliste

Die Alarmmeldeliste stellt zur Laufzeit die Alarmmeldungen zeilenweise dar. Zeilen mit unquittierten Alarmen können blinkend dargestellt. werden.

Um die AML zu erstellen und anzuzeigen, aktivieren Sie in den Projekteigenschaften in der Gruppe Alarmmeldeliste die Eigenschaft Alarmmeldeliste aktiv. Die Darstellungsform der Liste wird im Filter der Bildumschaltungsfunktion in der Registerkarte Spalteneinstellungen eingestellt.

Alarme werden, sobald sie auftreten, in einem Ringpuffer (alarm.bin) und einer Alarmdatei (*.aml) im Runtimeordner gespeichert. Der Ringpuffer ist ein flüchtiger Speicher, aus dem Alarme nach bestimmten Regeln wieder entfernt werden. Die AML speichert Alarme und wichtige Angaben dazu dauerhaft.

Ringpuffer

Der Ringpuffer enthält alle anstehenden Alarme. Dabei werden verwaltet:

  • Zeit kommt in Millisekunden als eindeutige Signatur
  • weitere Informationen wie Ursache, Werte etc.
  • Zeit geht
  • Zeit quittiert

Verhalten beim Entfernen aus dem Ringpuffer:

  • Sobald der Alarm geht, wird, wird er aus dem Ringpuffer entfernt.
  • Wurde die Eigenschaft Quittierpflichtig aktiviert, dann muss der Alarm von einem dazu berechtigten Benutzer quittiert werden, bevor er aus dem Ringpuffer entfernt werden kann. Beim Quittieren von Alarmen werden im Ringpuffer immer alle Alarme einer Variablen mit der gleichen Grenzwertverletzung gleichzeitig entfernt.
  • Ist die Eigenschaft Zweistufiges Quittieren aktiviert, dann muss von einem dazu berechtigten Benutzer das Entfernen aus dem Ringpuffer dezidiert bestätigt werden.
    Beispiel: Der Alarm ist gegangen und wurde vom Operator quittiert. Er bleibt weiterhin im Ringpuffer erhalten, bis das Entfernen bestätitgt wurde.

Hinweis: In der AML werden Einträge nie gelöscht, sondern immer nur deren Status dokumentiert.

Größe des Ringpuffers

Die Größe des Ringpuffers muss in den Projekteigenschaften mit der Eigenschaft Größe des Ringpuffers ausreichend dimensioniert werden.
Empfohlen: Mindestens Anzahl der Variablen mit Alarmen.

Der Ringpuffer wird beim Beenden der Runtime automatisch als alarm.bin gespeichert. Wird die Runtime durch unerwartete Ereignisse beendet, wie Spannungsausfall, kommt es zu Datenverlust. Um das zu verhindern, kann der Ringpuffer über die Eigenschaft Ringpuffer bei Wertänderung speichern bei jedem neuen Eintrag oder über die Funktion AML- und CEL-Ringpuffer speichern manuell gespeichert werden.

Achtung: Zur Runtime wird der Ringpuffer im Arbeitsspeicher dynamisch gehandhabt. Über die definierte Anzahl können auch Alarme angezeigt werden, die noch keinen Geht-Zeitstempel besitzen. Es werden also auch Alarme angezeigt, die die Größe des Ringpuffers übersteigen.

Example Beispiel
  • Größe des Ringpuffers: 100 Einträge
  • Anstehende Alarme zur Runtime ohne Geht-Zeitstempel: 120
  • Anzeige zur Runtime in der AML: 120

Alarmdatei

Alle Alarme werden zeitgleich mit dem Ringpuffer in eine eigene Alarmdatei (*.aml) geschrieben. Diese wird für jeden Kalendertag automatisch erstellt und über die Eigenschaft AML-Daten speichern verwaltet. Der Name der Alarmdatei setzt sich zusammen aus dem Buchstaben A, gefolgt vom Datum in der Form JJMMTT und der Endung .aml, z. B. A100623.aml. Diese Dateien werden für jeden Tag automatisch erstellt und müssen bei begrenztem Speicherplatz vom Anwender ausgelagert oder gelöscht werden. *.aml Dateien werden im Ordner ...\Projektordner\Computername\Projektname gespeichert.

Synchronisierung von Ringpuffer und Alarmdatei

Ringpuffer und Alarmdatei werden synchronisiert. Diese Synchronisierung erfolgt immer vom Ringpuffer zur Alarmdatei. Alle Änderungen, wie Quittierung, werden nur im Ringpuffer vorgenommen und dann mit der Alarmdatei synchronisiert. So können in der Alarmdatei zwar z. B. alle unquittierten Alarme angezeigt und deren Quittierung veranlasst werden, die Aktion selbst findet aber im Ringpuffer statt.

Speicherzeiträume

Die Alarmdatei *.aml wird bei jedem neuen Eintrag gespeichert.

Der Ringpuffer (*.bin) wird gespeichert:

  • beim Beenden der Runtime
  • bei aktiver Eigenschaft Ringpuffer bei Wertänderung speichern nach jedem neuen Eintrag
  • beim Ausführen der Funktion AML- und CEL-Ringpuffer speichern

Hinweis: Ist die Option Ringpuffer bei Wertänderung speichern deaktiviert, werden nach einem Stromausfall die Einträge in der AML und im Ringpuffer eventuell nicht mehr übereinstimmen.

attention Achtung

Läuft der Ringpuffer aufgrund zu geringer Dimensionierung über, bleiben unquittierte Einträge in der Alarmdatei erhalten. Diese werden beim Filtern angezeigt, können aber nicht mehr quittiert werden. Der Versuch diese zu quittieren kann aber das Quittieren von Alarmen in Ringpuffer auslösen, wenn diese die gleiche Variable und die gleiche Grenzwertverletzung betreffen.

AML zur Runtime

Alarme in der Alarmmeldeliste können drei Status besitzen:

  • Nicht gegangen
  • Nicht quittiert
  • Nicht gelöscht

Außerdem kann für Alarme als Eigenschaft gesetzt werden, dass sie:

  • quittiert werden müssen (Quittierpflichtig)
  • eine Quittierung zweistufig erfolgen muss (Zweistufiges Quittieren)

Quittieren setzt das Blinkattribut der Variablen zurück. Das Löschen eines Eintrages kann nur bei vorher erfolgter Quittierung eines gegangenen Alarmereignisses durchgeführt werden. Quittierpflicht und zweistufiges Quittieren werden über die Eigenschaften Quittierpflichtig und Zweistufiges Quittieren im Knoten Grenzwerte/AML/CEL der Variablenprojektierung projektiert.

Beispiel für den Zeilenaufbau der Alarmmeldeliste in der Runtime:

Variable | Datum/Zeit kommt | Datum/Zeit geht | Datum/Zeit quittiert | Meldetext
Motor1_Störung | 20.06.2010 13:00:04 | 20.06.2010 13:05:35 | 20.06.2010 13:05:40 | Motorschutzrelais hat angesprochen

Jede Zeile kann durch einen Doppelklick mit der rechten Maustaste quittiert werden. Der Benutzer muss über die entsprechende Berechtigungsgruppe verfügen.

Bei aufgeschalteter Alarmmeldeliste wird in der linken oberen Ecke der Status der Alarmverwaltung (aktiv oder inaktiv) angezeigt.

info Info

Die Variablen für nicht quittierte Alarme, quittierte Alarme und Anzahl der Alarme befinden sich in einer lokalen Liste im Speicher.

Siehe Variable 'nicht quittierte Alarme' im Kapitel Projektierung der Alarm- und CEL-Filter.

Noch in diesem Kapitel

Alarmursachen

Unquittierte Alarme blinkend anzeigen


Alarmursachen

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarmmeldeliste > Alarmursachen

Projektierung von Alarmursachen

Die Projektierung von Alarmursachen erfolgt zur Runtime über ein Bild vom Typ Kontextliste.

Zuweisung von Alarmursachen

Zur Runtime können Alarmen Alarmursachen zugeordnet werden.

Um eine Alarmursache zuzuordnen:

  1. wählen Sie einen Eintrag in der Alarmmeldeiste aus
  2. klicken Sie auf das Element mit der Bildtyp-spezifische Aktion Alarmursache auswählen...
  3. wählen Sie eine Alarmursache aus und bestätigen Sie den Dialog mit OK

    Hinweis: Wird ein Unterknoten zugeordnet, werden die übergeordneteten Knoten (Texte) mit Punkten (.) getrennt vor dem ausgewählten Text angefügt.

    Beispiel: Alarm Causes Hall 1.Conveyor.Conveyor 1

Die Alarmursachen können in der Alarmmeldeliste in einer eigenen Spalte angezeigt werden.

info Info

Über die Projekteigenschaft Nur Endknoten als Alarmursache erlauben der Gruppe Alarmmeldeliste kann festgelegt werden, ob Texte aller Ebenen oder nur Texte aus Endknoten als Alarmursache ausgewählt werden können.

Mit der Aktivierung dieser Eigenschaft kann beispielsweise eine zu generische Auswahl von Alarmursachen unterbunden werden.

Zuweisung von Alarmursachen über ein Bild vom Typ Kontextliste

Sie können Alarmen Alarmursachen auch über ein Bild vom Typ Kontextliste zuordnen.

Weitere Informationen dazu finden Sie im Kapitel Verwendung eines Bildes vom Typ Kontextliste zur Auswahl von Alarmursachen.

Protokollierung in der CEL

Wird einem Alarm eine Alarmursache zugewiesen oder die Verknüpfung geändert, wird dies in der CEL protokolliert. Dabei werden, falls vorhanden, der alte Wert und der Neue Wert angezeigt. Verknüpfungen die über die API durchgeführt werden, werden ebenfalls protokolliert.

Noch in diesem Kapitel

Projektübergreifende Verwendung von Alarmursachen


Projektübergreifende Verwendung von Alarmursachen

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarmmeldeliste > Alarmursachen > Projektübergreifende Verwendung von Alarmursachen

Alarmursachen können auch projektübergreifend verwendet werden. Dabei können Sie Alarmursachen aus dem Integrationsprojekt bei Alarmen aus Unterprojekten verknüpfen.

Dabei gilt:

  • Für die Anzeige von Alarmursachen in der Alarmmeldeliste:
    • Wird die Alarmmeldeliste im Integrationsprojekt geöffnet, wird zuerst die Kontextliste aus dem Alarm zugehörigen Unterprojekt durchsucht und dieser Eintrag verwendet.
    • Falls dort kein Eintrag gefunden wird, wird die Kontextliste des Integrationsprojekts durchsucht.
    • Wird die Alarmmeldeliste aus dem Alarm zugehörigen Projekt geöffnet, wird nur die Kontextliste dieses Projekts durchsucht.
    • Wurde eine Alarmursache aus dem Integrationsprojekt verknüpft, und die Alarmmeldeliste wird im Unterprojekt geöffnet, wird der Eintrag Alarmursache existiert nicht angezeigt.
  • Für den Auswahldialog von Alarmursachen (aus einem Integrationsprojekt mit Unterprojekten):
    • Werden in der Alarmmeldeliste ein oder mehrere Alarme aus dem selben Unterprojekt ausgewählt, wird im Alarmursachen Auswahldialog sowohl das entsprechende Unterprojekt als auch das Integrationsprojekt angeboten.
    • Werden mehrere Alarme aus unterschiedlichen Projekten ausgewählt, wird nur das Integrationsprojekt zur Auswahl angeboten.


Unquittierte Alarme blinkend anzeigen

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarmmeldeliste > Unquittierte Alarme blinkend anzeigen

Unquittierte Alarme können in der AML blinkend angezeigt werden.

Mit aktiver Eigenschaft Unquittierte Alarme blinken wechseln in allen unquittierten und nicht ausgewählten Zeilen in der Alarmmeldeliste Vordergrundfarbe und Hintergrundfarbe im Sekundentakt. Ausgewählte Zeilen blinken nicht.

Dazu:

  1. Navigieren Sie im Editor in den Projekteigenschaften zum Abschnitt Alarmmeldeliste.
  2. Aktivieren Sie die Checkbox vor der Eigenschaft Unquittierte Alarme blinken.
  3. Konfigurieren Sie die gewünschten Farben (Vordergrund) für Alarm kommt, Alarm geht, Alarm quittiert

    Tipp: Setzen Sie die Eigenschaft Alarm/Ereignis-Klassen Farbe auf als Zeilenhintergrund. Dann wird die Farbe der Alarmklasse als Hintergrundfarbe verwendet.


Alarme quittieren

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme quittieren

Alarme können quittiert werden über:

  • doppelten Rechtsklick auf Alarmstatuszeile
  • doppelten Rechtsklick auf Eintrag in Alarmmeldeliste
  • Funktion Alarme quittieren
  • Button Quittieren oder Sichtquittieren und quittieren im zenon Bild vom Typ Alarmmeldeliste.

Quittierte Alarme werden in der AML als "quittiert" angezeigt.

Beim Quittieren eines Alarms:

  • werden immer alle Alarme einer Variablen mit dem gleichen Grenzwert gemeinsam quittiert
  • werden Name und ID des löschenden Benutzers in der Alarmmeldeliste eingetragen
  • wird der Name des Rechners, von dem aus der Alarm quittiert wurde, in die Alarmmeldeliste eingetragen
  • kann das Quittieren zusätzlich in die Chronologische Ereignisliste eingetragen werden

Alarme werden bis zur Quittierung im Ringpuffer gespeichert. Gleichzeitig werden sie in einer filterbaren Alarmdatei (*.aml) abgelegt und synchron gehalten.

Achtung: Die Eigenschaft Größe des Ringpuffers muss ausreichend dimensioniert werden. Werden Alarme bedingt durch einen Überlauf nicht mehr im Ringpuffer gespeichert, können unquittierte Alarme in der Alarmdatei verbleiben. Details siehe Kapitel Alarmmeldeliste (AML).

info Info

Wenn Alarme kommentarpflichtig sind oder die Verknüpfung einer Alarmursache erforderlich ist, können diese erst quittiert werden, wenn ein Kommentar eingetragen wurde bzw. eine Alarmursache verknüpft wurde. Der Benutzer muss über die dazu nötige Funktionsberechtigung verfügen.

Hinweis: Wird versucht einen Alarm zu quittieren, ohne dass diese Bedingungen erfüllt sind, so wird ein Hinweisdialog angezeigt.

Funktion Alarm quittieren

Die Funktion Alarme quittieren ermöglicht:

  • das Quittieren von Alarmen aus der AML über einen Funktionsaufruf
  • globales Quittieren

Bei der Nutzung der Funktion zur Runtime wird auch das Blinkattribut der Variablen und damit die Bildalarmierung (nur SICAM 230) zurückgesetzt. Die ausgewählten Alarme werden quittiert. Details siehe Kapitel Alarme quittieren.

Benutzerrechte

Die Funktionen Alarme quittieren und Alarmquittierung bestätigen können über Funktionsberechtigungen einer Benutzergruppe zugeordnet werden. Nur berechtigte Nutzer können dann Alarme quittieren oder löschen.

Zusätzlich kann bei den Grenzwerten der Variablen über die Eigenschaft Zweistufiges Quittieren in der jeweiligen Untergruppe der Gruppe Grenzwerte ein zusätzliches Bedienrecht gesetzt werden. Ausgewählte Alarme können damit nur von speziell berechtigten Personen aus der Alarmmeldeliste entfernt werden.

Wurde die Eigenschaft Zweistufiges Quittieren gesetzt, werden Alarme erst dann aus der Liste der aktiven Alarme entfernt, wenn deren Quittierung bestätigt wurde. Quittieren alleine reicht dann nicht aus.

Noch in diesem Kapitel

Kommentarpflicht für Quittierung

Verknüpfung einer Alarmursache für Quittierung

Sichtquittieren


Kommentarpflicht für Quittierung

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme quittieren > Kommentarpflicht für Quittierung

Quittierpflichtige Alarme können so konfiguriert werden, dass vor der Quittierung ein Kommentar eingegeben werden muss. Um einen Kommentar eingeben zu können, benötigt der Benutzer die entsprechende Funktionsberechtigung Alarm Kommentar eingeben.

Um einen Alarm kommentarpflichtig zu machen, kann die entsprechende Option gesetzt werden bei:

  • der Konfiguration von Reaktionsmatrizen
  • der Eigenschaft Kommentar erforderlich in der Gruppe Grenzwerte der Variablen oder Datentypen

Kommentare von kommentarpflichtigen Alarmen können nachträglich nur von Benutzern mit der Funktionsberechtigung Alarm Kommentar ändern geändert werden. Werden Kommentare geändert, erfolgt ein Eintrag in der CEL mit Angabe des Variablennamens sowie des ursprünglichen und des geänderten Kommentars.

Kommentarpflichtige Alarme werden bei allen Quittiermöglichkeiten (inklusive der API) auf Kommentare überprüft. Ebenso wird bei Änderungen von Kommentaren die nötige Berechtigung überprüft. Die Alarmmeldeliste kann auf kommentarpflichtige Alarme gefiltert werden über:

  • Filter der Alarmmeldelisteliste
  • Bild vom Typ Alarmmeldeliste Filter


Verknüpfung einer Alarmursache für Quittierung

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme quittieren > Verknüpfung einer Alarmursache für Quittierung

Quittierpflichtige Alarme können so konfiguriert werden, dass vor der Quittierung eine Alarmursache verknüpft werden muss.

Die entsprechende Option kann gesetzt werden bei:

  • der Konfiguration von Reaktionsmatrizen
  • der Eigenschaft Alarmursache erforderlich in der Gruppe Grenzwerte der Variablen und Datentypen

Wird versucht, den Alarm ohne einer verknüpften Alarmursache zu quittieren, wird ein entsprechender Hinweisdialog aufgeschalten.

Verknüpfungen von Alarmursachen können nachträglich geändert werden. Wird einem Alarm eine Alarmursache zugewiesen oder die Verknüpfung geändert, wird dies in der CEL protokolliert. Dabei werden, falls vorhanden, der alte Wert und der Neue Wert angezeigt. Verknüpfungen die über die API durchgeführt werden, werden ebenfalls protokolliert.

Alarme für die die Verknüpfung einer Alarmursache erforderlich ist, werden bei allen Quittiermöglichkeiten (inklusive der API) auf das Vorhandensein einer verknüpften Alarmursache überprüft. Die Alarmmeldeliste kann auf Alarme, für die eine Alarmursache erforderlich ist, gefiltert werden über:

  • Filter der Alarmmeldelisteliste
  • Bild vom Typ Alarmmeldeliste Filter

Weitere Informationen zu Alarmursachen finden Sie im Kapitel Alarmursachen.


Sichtquittieren

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme quittieren > Sichtquittieren

Sichtquittieren ermöglicht es dem Bediener zu bestätigen, dass er einen Alarm wahrgenommen hat, ohne diesen sofort zurückzusetzen. So können zum Beispiel mehrere voneinander abhängige Alarme erst sichtquittiert und am Ende quittiert und damit zurückgesetzt werden.

Elemente für Sichtquittierung

Im Bild vom Typ AML stehen zwei Buttons für die Sichtquittierung zur Verfügung:

  • Sichtquittieren
  • Sichtquittieren und quittieren

Für Variablen stehen in der Gruppe Alarmbehandlung folgende Eigenschaften zur Verfügung:

  • Quittiervariable
  • Sichtquittiervariable
  • Quittierwert

Sichtquittierung verwenden

Um einen Alarm mit Sichtquittierung zu bestätigen:

  1. Projektieren Sie im Bild die Buttons Sichtquittieren und Sichtquittieren und quittieren.
  2. Projektieren Sie für die entsprechenden Variablen die Eigenschaften Quittiervariable und Sichtquittiervariable sowie Quittierwert.
  3. Klicken Sie zur Runtime auf den Button:
    1. Sichtquittieren: Die markierten Alarme werden mit Sichtquittierung bestätigen. Der Quittierwert wird auf die Sichtquittiervariable geschrieben.
    2. Sichtquittieren und quittieren: Die markierten Alarme werden erst mit Sichtquittierung bestätigt und dann quittiert. Der Quittierwert wird auf die Sichtquittiervariable und auf die Quittiervariable geschrieben.

info Info

Sichtquittierung und Quittierung benötigen unterschiedliche Rechte. Für die Sichtquittierung sind eine Bedienberechtigung und die Tastenberechtigung im Kontext des Benutzers und der Verriegelung nötig. Für das Quittieren gelten die entsprechenden Regeln inklusive Validierung der Einträge und Rechte. Es ist daher möglich, dass ein Benutzer einen Alarm sichtquittieren, aber nicht quittieren kann.

Die Sichtquittierung wird immer abgesetzt, auch wenn die die Variable diesen Wert bereits hat.


Alarme blinkquittieren

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme blinkquittieren

Neben dem Quittieren von Alarmen aus der Alarmmeldeliste können Bilder bei Alarmen auch schablonenweise quittiert werden. Blinkquittieren wird über die Funktion Alarme blinkquittieren aufgerufen oder durch einen Doppelklick mit der rechten Maustaste auf das entsprechende Element. Dabei werden nur das Blinkattribut der Variablen und das Blinken aller grafischen Elemente im Bild zurückgesetzt. Es erfolgt aber keine Quittierung der Einträge in der AML.

Blink-Quittierung mit Quittierung in AML

Eine Blink-Quittierung quittiert auch die Alarme in der AML, wenn in der Alarmverwaltung die Option Blink-Quittierung gesetzt ist.

Nur für SICAM 230: Die Quittierung in der Alarmmeldeliste oder auf Ebene der Alarmzeile am oberen Bildrand quittiert den Alarm auch im Bild und in der Bildalarmführung.

Blinkquittieren in Integrationsprojekten

Wenn Alarme in Integrationsprojekten über die Funktion Alarme Blink-Quittierung quittiert werden sollen, müssen alle betroffenen Bilder geöffnet sein.

Haben Bilder im übergeordneten und im untergeordneten Projekt Schablonen mit gleichem Namen, werden die Bilder im untergeordneten Projekt nicht geöffnet. Unterscheiden sich die Vorlagen-Namen, bleiben die Bilder des Unterprojekts im Hintergrund geöffnet und können blinkquittiert werden.

Blinkquittieren im Netzwerk

Wenn Blink-Quittieren im Netzwerk eingesetzt wird, wird es nur lokal am jeweiligen Client ausgeführt.

Verhalten beim Blink-Quittieren lokaler Variablen:

  • Wird von einer lokalen Variablen ein Alarm erzeugt, dann wird dieser Alarm am Server erzeugt. Der Alarm ist aber auch am Client sichtbar.
    • Wird der Alarm über die Alarmmeldeliste oder das Statusfenster quittiert, dann wird der Alarm auf dem Server quittiert.
    • Erfolgt die Quittierung über das Kontrollelement im Bild, dann wird der Alarm nur quittiert, wenn das Quittieren auf dem Server erfolgt.
  • Wird der Grenzwert einer lokalen Variablen auf einem Client verletzt und blinkt, ist auch der Blinkzustand lokal und wird lokal blink-quittiert.


Alarmquittierung bestätigen

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarmquittierung bestätigen

Um eine Alarmquittierung zu bestätigen, muss:

  • eine Funktion Alarmquittierung bestätigen ausgeführt werden
    oder
  • der Button Quittierung bestätigen im Bild des Typs Alarmmeldeliste betätigt werden

Benutzerrechte

Die Funktionen Alarme quittieren und Alarmquittierung bestätigen können über Funktionsberechtigungen einer Benutzergruppe zugeordnet werden. Nur berechtigte Nutzer können dann Alarme quittieren oder löschen.

Zusätzlich kann bei den Grenzwerten der Variablen über die Eigenschaft Zweistufiges Quittieren in der jeweiligen Untergruppe der Gruppe Grenzwerte ein zusätzliches Bedienrecht gesetzt werden. Ausgewählte Alarme können damit nur von speziell berechtigten Personen aus der Alarmmeldeliste entfernt werden.

Wurde die Eigenschaft Zweistufiges Quittieren gesetzt, werden Alarme erst dann aus der Liste der aktiven Alarme entfernt, wenn deren Quittierung bestätigt wurde. Quittieren alleine reicht dann nicht aus.


Alarme filtern

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme filtern

Alarme können zur Runtime gefiltert angezeigt werden über:

  • Filteranwendung zur Runtime
  • Bildumschaltung mit vordefiniertem Filter auf ein Bild vom Typ Alarmmeldeliste
  • Bildumschaltung mit Filter beim Bildaufruf eines Bild vom Typ Alarmmeldeliste
  • Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste Filter

Filtern zur Runtime

Im Bild vom Typ Alarmmeldeliste könne zur Runtime Filter angewandt werden. Um die in der AML angezeigten Alarme zu filtern:

  1. muss der Button Filter projektiert worden sein
  2. klicken Sie auf den Button
  3. der Filterdialog der Alarmmeldeliste wird geöffnet

Eingestellte Filter lassen sich in Profilen speichern.

Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste

Alarme können vorgefiltert angezeigt werden. Dazu:

  1. projektieren Sie einen Filter für die Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste
  2. die Alarmmeldeliste wird beim Aufruf gefiltert angezeigt
  3. wird für die Funktion die Option Diesen Dialog zur Runtime anbieten aktiviert, kann der Filter vor der Anzeige neu definiert werden
  4. weitere Filtereinstellungen zur Runtime sind über den Button Filter möglich

Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste Filter

Um dem Benutzer zur Runtime nur die Filter anzubieten, die er benötigt, verwenden Sie das Bild vom Typ Alarmmeldeliste Filter. Dazu:

  1. projektieren Sie eine Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste Filter
  2. rufen Sie zur Runtime die AML über diese Funktion auf
  3. der Benutzer hat eine auf seine Bedürfnisse zugeschnittene Alarmmeldeliste

Noch in diesem Kapitel

Filterprofile

Alarmmeldeliste Filter benutzen


Filterprofile

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme filtern > Filterprofile

Filterprofile sind Filtereinstellungen, die der Anwender bezogen auf ein bestimmtes Bild in der Runtime speichern und aufrufen kann.

Um Filterprofile verwenden zu können, müssen im Bild folgende Kontrollelemente projektiert werden:

Kontrollelement | Beschreibung
Filterprofile | Profilverwaltung zur Runtime.
Profilauswahl | Auswahl eines gespeicherten Profils aus Dropdownliste.
Speichern | Klick auf Button speichert in der Runtime die Filtereinstellungen als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Klick auf Button löscht in der Runtime das ausgewählte Profil.

Damit können Sie zur Runtime:

  • Filter speichern
  • gespeicherte Filter anwenden
  • Filterprofile löschen

Filterprofile können mit weiteren Kontrollelementen auch exportiert und importiert werden.

Filterprofil speichern

Um ein Filterprofil zu erstellen:

  1. Definieren Sie Filterbedingungen.
  2. Vergeben Sie im Eingabefeld Filterprofile einen Namen.
  3. Klicken Sie auf Speichern.
    Das Filterprofil wird gespeichert und ist in der Dropdownliste verfügbar.

Filterprofil anwenden

Um ein Filterprofil anzuwenden:

  1. Wählen Sie aus der Dropdownliste Filterprofile einen Filter.
  2. Der Filter wird sofort angewendet.

Filterprofil löschen

Um ein Filterprofil zu löschen:

  1. Wählen Sie einen Filter aus der Dropdownliste Filterprofile.
  2. Klicken Sie auf die Schaltfläche Löschen.
    Das Filterprofil wird gelöscht.
  3. Der gelöschte Filter wird weiter angewendet, bis ein neuer Filter definiert oder ausgewählt wurde.


Alarmmeldeliste Filter benutzen

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme filtern > Alarmmeldeliste Filter benutzen

Das Bild vom Typ Alarmmeldeliste Filter ermöglicht es, zur Runtime individualisierte Filtereinstellungen für die Alarmmeldeliste vorzunehmen. Es können alle Filtereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste vorhanden sind, projektiert werden.

Damit:

  • werden nur die wirklich benötigten Filterelemente projektiert und dem Benutzer zur Verfügung gestellt
  • bekommt der Benutzer nur diese Filter angezeigt und gewinnt Übersicht
  • kann das Aussehen völlig frei definiert werden und so zum Beispiel auch eine leichte Bedienung über einen Touchscreen realisiert werden

Filterbilder

Filterbilder ermöglichen es, einen voreingestellten Filter von einem Bild auf ein anderes zu übertragen. Der Filter des Quellbildes wird über das Zielbild gelegt. Die Bilder können auch von unterschiedlichen Bildtypen sein.

attention Achtung

Damit zur Runtime die Zeit vom aufrufenden Bild übernommen werden kann, muss im Editor in der Bildumschaltfunktion für die Alarmmeldeliste oder die Chronologische Ereignisliste im Zeitfilter folgender Zeitbereich gewählt werden: Filter beim Zeitfiltertyp einstellen.

Aufrufdefinition

Folgende Voraussetzungen müssen erfüllt sein, damit die eingestellten Filter zur Anwendung kommen:

  1. Als Zeitbereich beim Zeitfilter wird Filter beim Zeitfiltertyp einstellen gewählt.
  2. Das Bild (Bild vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter oder Zeit-/Chargen-/Schichtfilter) wird mithilfe eines Buttons oder eines Combi-Elements aktiviert. Nur so wird der Bezug zwischen Filterbild und Quellbild gewährleistet.
  3. Das Quellbild und das Filterbild müssen entweder auf unterschiedlichen Schablonen oder auf unterschiedlichen Bildschirmen projektiert sein. Nur wenn das Quellbild offen ist, kann der Filter für das Filterbild aktualisiert werden. Das ist nur möglich, wenn beide Bilder nicht dieselbe Schablone oder denselben Bildschirm verwenden.
  4. Das aufrufende Bild muss mit dem aufzurufenden Filterbild kompatibel sein (siehe Tabelle).
Quellbild | AML Filter | CEL Filter | Zeitfilter
Archiv-Nachbearbeitung | T | T | T
Erweiterter Trend | T | T | T
Zeitfilter | T | T | X
Alarmmeldeliste Filter | X | C | T
Chronologische Ereignisliste Filter | C | X | T
Alarmmeldeliste | X | C | T
Chronologische Ereignisliste | C | X | T

Legende:

  • C: Gemeinsame Einstellungen werden aktualisiert.
  • T: Zeiteinstellungen werden aktualisiert.
  • X: Alle Einstellungen werden aktualisiert.

info Info

Keine Filterung

Das Filterbild wird nicht gefiltert, sondern mit den projektierten Werten aufgeschaltet, wenn:

  • eine der Bedingungen 1 bis 3 nicht erfüllt wird oder
  • die Einstellung Aufrufendes Bild bei der Funktion Bildumschaltung nicht aktiviert ist oder
  • das Bild nicht über ein Bildelement aufgerufen wird

In diesem Fall werden zur Runtime die Buttons Übernehmen, Schließen und Aktualisieren ausgegraut dargestellt und haben keine Funktion.

Aktualisierung

Beim Aufruf eines Filterbilds (Alarmmeldeliste Filter, Chronologische Ereignisliste Filter, Zeitfilter), werden die in der Funktion Bildumschaltung projektierten Bilder auf zwei Arten aktualisiert:

  • Wird das Filterbild über ein Bildelement aufgerufen, werden die Zielbilder, die sich auf demselben Bildschirm wie das Quellbild befinden aktualisiert.
  • Wird das Filterbild auf einem anderen Weg aufgerufen oder ist die Einstellung Auf allen Bildschirmen aktualisieren aktiviert, werden alle projektierten Zielbilder aktualisiert.

Die Aktualisierung erfolgt, sobald Sie den Button Übernehmen anklicken oder das Filterbild mit dem Button Schließen schließen. Der Button Abbrechen verwirft die Änderungen und schließt das Filterbild.

Filtereinstellungen aktualisieren

Mithilfe des Buttons Aktualisieren, übernehmen Sie die aktuellen Filtereinstellungen des Quellbilds. Wenn das Filterbild nicht durch ein Bildelement aufgerufen wurde oder wenn die Einstellung Aufrufendes Bild nicht aktiviert wurde, wird auf allen Bildschirmen nach einem Bild gesucht, das zur Aktualisierung verwendet werden kann. Das erste Bild, das gefunden wird, wird dann zur Aktualisierung verwendet.


Alarme drucken und exportieren

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme drucken und exportieren

Alarme der AML können dokumentiert und archiviert werden über:

  • AML online drucken: jeder Alarm wird beim Anzeigen in der Liste auf einem Zeilendrucker ausgegeben
  • AML offline drucken: Die AML wird im aktuellen Zustand als abgeschlossene Liste ausgedruckt
  • Inhalte der AML (gefiltert) exportieren

Der für Ausdrucke zu verwendende Drucker wird über das Menü Datei -> Allgemeine Konfiguration -> Standard definiert.

attention Achtung

Für den Ausdruck wird eine Konfigurationsdatei *.frm verwendet:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Diese FRM-Datei muss sich im Projektbaum im Abschnitt Dateien im Ordner Texte und Formate befinden.

Vorlagen für FRM_Dateien finden Sie im Ordner: %ProgramData%\COPA-DATA\zenon800

Diese können über Datei hinzufügen in den Abschnitt Texte und Formate eingefügt und dort bearbeitet werden.

Schlüsselwörter für FRM-Dateien finden Sie im Kapitel FRM-Konfigurationsdatei.

Noch in diesem Kapitel

Online drucken

Offline drucken

FRM-Konfigurationsdatei

Alarme exportieren


Online drucken

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme drucken und exportieren > Online drucken

Beim Online-Druck wird jeder auftretende Alarm sofort an den Drucker geschickt.

Achtung: Der Online-Druck erfolgt zeilenweise konform zum ESC/P (Epson Standard Code for Printers) und benötigt einen Epson-kompatiblen Drucker.

Um Alarme online auszudrucken:

  1. Definieren Sie einen Drucker.
  2. Navigieren Sie in den Projekteigenschaften zum Knoten AML und CEL.
  3. Aktivieren Sie die Eigenschaft Drucken aktiv.
  4. Wählen Sie bei der Eigenschaft Ausdruck für in der Dropdownliste Alarmmeldeliste aus.
  5. Legen Sie mit der Eigenschaft Zeilen pro Seite die Zeilenzahl fest (Default: 72).
  6. Konfigurieren Sie die ALARM.frm.
  7. Fügen Sie die ALARM.frm zum Knoten Dateien/Texte und Formate hinzu.

info Info

Diese Funktion steht unter Windows CE nicht zur Verfügung.

Druck und Drucker zur Runtime steuern

Seitenwechsel

Seitenvorschub wird durchgeführt, wenn:

  • eine Seite vollständig beschrieben wurde
  • bei aktivem Online-Druck die Runtime beendet wird
  • die Funktion Online-Drucken neue Seite beginnen ausgeführt wird

Druck unterbrechen

Um den Online-Druck zu unterbrechen oder wieder aufzunehmen:

  • führen Sie die Funktion Online Ausdrucke ein/ausschalten aus.

Drucker wechseln und einrichten

Um zur Runtime den Drucker zu wechseln:

  • führen Sie die Funktion Online Drucker umschalten aus

Um zur Runtime den gewählten Drucker einzurichten:

  1. Projektieren Sie für das Bild ein Kontrollelement Drucken mit Dialog.
  2. Klicken Sie zur Runtime auf den Button Drucken mit Dialog.
  3. Der Konfigurationsdialog wird geöffnet.

Drucker

Parameter | Beschreibung
Drucker | Einstellungen für den Drucker.
Name: | Auswahl des Druckers aus Dropdownliste. Liste enthält alle im Betriebssystem konfigurierten Drucker.
Eigenschaften... | Öffnet Dialog zur Konfiguration des gewählten Druckers.
Status: | Anzeige Druckerstatus. Nur Information.
Typ: | Anzeige Druckertyp. Nur Information
Standort: | Anzeige Standort des Druckers, falls konfiguriert. Nur Information.
Kommentar: | Anzeige Kommentar zum Drucker, falls konfiguriert. Nur Information.

Papier

Parameter | Beschreibung
Papier | Konfiguration des Ausdrucks.
Größe | Auswahl Papierformat aus Dropdownliste.
Quelle | Wahl der Papierzufuhr aus Dropdownliste.

Ausrichtung

Parameter

Beschreibung

Ausrichtung

Wahl der Papierausrichtung. Mögliche Parameter:

  • Hochformat
  • Querformat

Netzwerk

Öffnet Dialog zur Auswahl eines Druckers im Netzwerk.

OK

Übernimmt Konfiguration und schließt Dialog. Zur Runtime wird damit der Druck gestartet.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Zur Runtime wird damit auch der Ausdruck abgebrochen.

Formatierungsbeispiel

Projektierung in ALARM.FRM:

Datum: @DSYSTEM | Alarmmeldeliste Demoprojekt | Zeit @TSYSTEM Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Seite | @PAGE |

Ausgabe auf dem Drucker:

Datum: 20.03.2011 | Alarmmeldeliste Demoprojekt | Zeit: 12:00 Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Meldung 1 | Limit überschritten
20.03.2011 13:00:00 | 13:05:35 | Demomeldung | Limit 750 erreicht
20.03.2011 13:03:59 |  | Meldung 2 | Grenzwert
20.03.2011 13:11:23 |  | Meldung 3 | aus
20.03.2011 13:03:59 | 13:12:45 | Demomeldung | aus
 | Seite | 1 |


Offline drucken

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme drucken und exportieren > Offline drucken

Offline drucken bedeutet, dass die Alarmmeldeliste so, wie sie im Moment zur Runtime angezeigt wird, ausgedruckt wird. Dieser Ausdruck ist eine Momentaufnahme inklusive aller gesetzten Filter und deren Einschränkungen. Der Druck erfolgt unabhängig davon, ob die Variablen die Option Drucken besitzen.

Drucken

Um die Alarmmeldeliste offline zu drucken:

  1. definieren Sie einen Drucker
  2. konfigurieren Sie die ALAR_G.frm
  3. fügen Sie die ALAR_G.frm zum Knoten Dateien/Texte und Formate hinzu
  4. klicken Sie zur Runtime auf den Schaltfläche Drucken oder Drucken mit Dialog.

Drucker einrichten und wechseln

Drucker wechseln und einrichten

Um zur Runtime den Drucker zu wechseln:

  • führen Sie die Funktion Online Drucker umschalten aus

Um zur Runtime den gewählten Drucker einzurichten:

  1. Projektieren Sie für das Bild ein Kontrollelement Drucken mit Dialog.
  2. Klicken Sie zur Runtime auf den Button Drucken mit Dialog.
  3. Der Konfigurationsdialog wird geöffnet.

Drucker

Parameter | Beschreibung
Drucker | Einstellungen für den Drucker.
Name: | Auswahl des Druckers aus Dropdownliste. Liste enthält alle im Betriebssystem konfigurierten Drucker.
Eigenschaften... | Öffnet Dialog zur Konfiguration des gewählten Druckers.
Status: | Anzeige Druckerstatus. Nur Information.
Typ: | Anzeige Druckertyp. Nur Information
Standort: | Anzeige Standort des Druckers, falls konfiguriert. Nur Information.
Kommentar: | Anzeige Kommentar zum Drucker, falls konfiguriert. Nur Information.

Papier

Parameter | Beschreibung
Papier | Konfiguration des Ausdrucks.
Größe | Auswahl Papierformat aus Dropdownliste.
Quelle | Wahl der Papierzufuhr aus Dropdownliste.

Ausrichtung

Parameter

Beschreibung

Ausrichtung

Wahl der Papierausrichtung. Mögliche Parameter:

  • Hochformat
  • Querformat

Netzwerk

Öffnet Dialog zur Auswahl eines Druckers im Netzwerk.

OK

Übernimmt Konfiguration und schließt Dialog. Zur Runtime wird damit der Druck gestartet.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Zur Runtime wird damit auch der Ausdruck abgebrochen.

Formatierungsbeispiel

Projektierung in ALAR_G.frm:

Datum: @DSYSTEM | Geschlossene AML Demoprojekt | Zeit @TSYSTEM Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Seite | @PAGE |

Ausgabe auf dem Drucker:

Datum: 20.03.2011 | Geschlossene AML Demoprojekt | Zeit: 12:00 Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Meldung 1 | Limit überschritten
20.03.2011 13:00:00 | 13:05:35 | Demomeldung | Limit 750 erreicht
20.03.2011 13:03:59 |  | Meldung 2 | Grenzwert
20.03.2011 13:11:23 |  | Meldung 3 | aus
20.03.2011 13:03:59 | 13:12:45 | Demomeldung | aus
 | Seite | 1 |


FRM-Konfigurationsdatei

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme drucken und exportieren > FRM-Konfigurationsdatei

FRM-Dateien (Formatdateien) sind Konfigurationsdateien für den Ausdruck von Listen.

Eine FRM-Datei gliedert sich in drei Teile:

  • Kopfteil: am Seitenbeginn
  • Listenteil: zyklisch pro Zeile
  • Fußteil: am Seitenende

Grundsätze

Beachten Sie beim Bearbeiten von FRM-Dateien:

  • Trennung der Listenteile:
    • Kopfteil und Listenteil sowie Listenteil und Fußteil werden durch %% getrennt.

      Diese Gliederungsmarkierung darf nur je einmal für den Listenteil und den Fußteil verwendet werden.

    • Achtung: Nach der letzten Zeile müssen mindestens zwei leere Absätze folgen. Andernfalls wird die Fußzeile nicht gedruckt!
  • Positionierung der einzelnen Einträge:
    Es dürfen nur Leerzeichen verwendet werden, keine Tabulatoren.
  • Bearbeiten der FRM-Datei in einem Texteditor:
    Automatischer Zeilenumbruch muss deaktiviert werden, da sonst unerwünschte Effekte in der Formatierung auftreten können.

Schlüsselwörter

Die Einstellung der Seitenlänge wird in den Projekteigenschaften unter AML und CEL vorgenommen oder über die Dateien ALARM.frm oder ALAR_G.frm für AML oder BTB.frm und BTB_G.frm für CEL.

Beachten Sie:

  • Die Anzahl der Alarmeinträge pro Seite ergibt sich aus der vorgegebenen Anzahl an Zeilen (z. B. Zeilen pro Seite 72) abzüglich der für Kopf- und Fußtexte verwendeten Zeilen.
  • Für die Verwendung der Schlüsselworte, die die Reaktivierung auswerten (Zeit, Anzahl), muss in der Alarmmeldeliste die Option Reaktiviertzeit verwenden aktiviert sein.
  • In der Formatierungsdatei sind Schlüsselworte und freie Texte verwendbar. Schlüsselworte können alternativ in Deutsch oder Englisch verwendet werden. Die Verwendung englischer Schlüsselwörter wird empfohlen.
  • Nicht jedes Schlüsselwort ist für jede Art von Druck (AML, CEL, online, offline) geeignet.

Die folgende Tabelle enthält Schlüsselwörter in Deutsch und Englisch und deren Einsatzmöglichkeiten:

Deutsch | Englisch | AML Offline | CEL Offline | AML Online | CEL Online | Beschreibung
Schlüsselwörter für den Listenteil
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Betriebsmittelkennung
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Datum und Zeitpunkt des Alarmauftretens
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Datum und Zeitpunkt des Alarmendes
@DATZEITOK | @DTACK | X | - | X | - | Datum und Zeitpunkt der Alarmquittierung
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Datum und Zeitpunkt der Reaktivierung: Eigenschaft Reaktiviertzeit verwenden in Projekteigenschaften muss aktiviert sein.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Datum und Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEIT | @TLASTEVENT | - | - | X | X | Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEITOK | @TACK | X | - | X | - | gibt nur Zeitpunkt der Quittierung an
@ZTKOMMT | @TRECEIVED | X | X | X | X | gibt nur Zeitpunkt des Alarmauftretens an
@ZTGEHT | @TCLEARED | X | - | X | - | gibt nur Zeitpunkt der Alarmendes an
@ZTREAKT | @TREACTIVATE | X | - | X | - | gibt nur Zeitpunkt der Reaktivierung an
@TIMELASTING | @TACTIVE | X | - | X | - | Zeit anstehend (Differenz Zeit Kommt - Zeit geht)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@KANALNAME | @VARNAME | X | X | X | X | Variablenname CEL: Nur Einträge mit Variablen
@AK | @ACLASSNR | X | X | X | X | Alarm/Ereignis-Klassenname
@AG | @AGROUPNR | X | X | X | X | Alarm/Ereignis-Gruppennummer
@AGNAME | @AGROUPNAME | X | X | X | X | Name der Alarm/Ereignis-Gruppe
@AKNAME | ACLASSNAME | X | X | X | X | Name der Alarm/Ereignis-Klasse
@TAGNR | @IDENTIFICATION | X | X | X | X | Kennung (firmenspezifische Bezeichnung)
@AMELDUNG | @TEXT | X | X | X | X | Alarmmeldetext
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Anzahl der Reaktivierungen
@STATUS | @STATUS | X | X | X | X | Statusinformation wie in der Alarmmeldeliste
@WERT | @VALUE | X | X | X | X | Variablenwert des Alarms
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Kommentar aus der Alarmmeldeliste. Bei Verwendung von dynamischen Grenzwerttexten nur verfügbar, wenn Lange dynamische Grenzwerttexte AML oder Lange dynamische Grenzwerttexte CEL aktiviert ist.
@USER | @USERID | X | X | X | X | AML: Anwender, der Alarm bestätigt hat.
@RECHNER | @COMPUTER | X | X | X | X | AML: Rechner, auf dem Alarm bestätigt wurde.
Schlüsselwörter für den Kopf- und Fußteil
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@SEITE | @PAGE | X | X | X | X | Seitenzahl
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Systemdatum und Systemuhrzeit
@HEADDATUM | @DSYSTEM | X | X | X | X | Systemdatum
@HEADZEIT | @TSYSTEM | X | X | X | X | Systemuhrzeit
@USER | @USERID | X | X | X | X | Benutzer, der druckt
@USERNAME | @USERNAME | X | X | X | X | Vollständiger Benutzername, der Aktivität auslöste
@RECHNER | @COMPUTER | X | X | X | X | Rechner, von dem aus gedruckt wird
[Text] | [Text] |  |  |  |  | beliebiger Text in der Ausgabezeile am Drucker

attention Achtung

Zwischen den Schlüsselwörtern muss ausreichend Platz vorgesehen werden, damit Einträge nicht überschrieben werden. Damit stellen Sie sicher, dass auch lange Grenzwert-Texte korrekt angezeigt werden.

Beispiel:

@TEXT (Leerzeichen bis hierher)


Alarme exportieren

Handbuch > Alarmverwaltung > Bedienen zur Runtime > Alarme drucken und exportieren > Alarme exportieren

Alarme können in unterschiedliche Formate exportiert werden:

  • dBase
  • CSV
  • XML
  • SQL

Export

Um Alarme zu exportieren

  1. legen Sie eine Funktion AML exportieren an
  2. verknüpfen Sie die Funktion mit einem Button
  3. führen Sie die Funktion zur Runtime aus

info Info

Der Export nach SQL erfolgt inkrementell. Liegen bereits exportierte Daten vor, werden nur neue und geänderte Daten exportiert.


Änderungshistorie

Handbuch > Änderungshistorie

Die Änderungshistorie dient der lückenlosen Dokumentation der Projektierung. Alle Eingriffe in ein Projekt, wie ändern, löschen, erzeugen usw., können protokolliert werden. Die Änderungshistorie ist per Default abgeschaltet und muss im Editor aktiviert werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
Alle als CSV exportieren... | Exportiert alle Einträge in eine CSV-Datei.
Erweiterten Filter aktivieren | Öffnet Dialog zur Projektierung erweiterter Filtereinstellungen.
Erweiterten Filter deaktivieren | Löscht die Einstellungen des erweiterten Filters und deaktiviert die Eigenschaften zur Projektierung erweiterter Filtereinstellungen.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektieren im Editor

Aufgezeichnete Daten

Aufgezeichnete Aktionen

Daten exportieren


Projektieren im Editor

Handbuch > Änderungshistorie > Projektieren im Editor

Die Änderungshistorie muss im Editor aktiviert werden.

Führen Sie dazu folgende Schritte aus:

  1. Navigieren Sie in den Projekteigenschaften zur Gruppe Änderungshistorie.
  2. Aktivieren Sie die Eigenschaft Änderungshistorie aktiv.
  3. Wählen Sie über die Eigenschaft Detaillierungsstufe, welche Details aufgezeichnet werden:
    • Objekt:
      Es werden nur die Objektnamen der geänderten Objekte aufgezeichnet.
    • Eigenschaften:
      Zusätzlich zu den Objektnamen werden die geänderten Eigenschaften sowie deren neue Werte in die Historie aufgenommen.
    • Wertänderungen:
      Neben dem neuen Wert einer Eigenschaft wird auch deren alter Wert gespeichert. Damit ist eine komplette Rückverfolgung von Änderungen auf Wertebene möglich. Diese Einstellung bewirkt den größtmöglichen Aufzeichnungsumfang.
      Hinweis: Geänderte Werte werden nach einer Länge von 128 Zeichen abgeschnitten.
  4. Bei Mehrplatzfähigen Projekten gilt für die Änderungshistorie:
    Ist die Projekteigenschaft Änderungen automatisch ermöglichen aktiviert, wird bei Eingabe eines Kommentars automatisch der Schreibzugriff freigegeben. Diese Freigabe entspricht der manuellen Freigabe von Projektierungsinhalten mit dem Kontextmenü-Eintrag Änderungen ermöglichen.
    Achtung: Die Eigenschaft ist per Default deaktiviert. Eine Aktivierung dieser Eigenschaft setzt eine hohe und sehr performante Rechnerleistung voraus.

Schutz der Änderungshistorie

Die Aktivierung/Deaktivierung der Änderungshistorie kann vor Änderungen durch unberechtigte Benutzer geschützt werden. Dazu:

  1. Navigieren Sie in den Projekteigenschaften zur Gruppe Benutzerverwaltung.
  2. Klicken Sie in das Feld der Eigenschaft Funktionsberechtigungen.

    Der Dialog zum Ändern der Funktionsberechtigungen wird geöffnet.

  3. Wählen Sie für Änderungshistorie ein/ausschalten die gewünschte Berechtigungsebene.
    Hinweis: Sie finden diese Option in der Registerkarte Funktionsberechtigungen Editor.

Noch in diesem Kapitel

Änderungshistorie Detailansicht Symbolleiste und Kontextmenü


Änderungshistorie Detailansicht Symbolleiste und Kontextmenü

Handbuch > Änderungshistorie > Projektieren im Editor > Änderungshistorie Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt | Aktion
Modul filtern | Setzt den Filter auf das Modul des ausgewählten Eintrags.
Objekt filtern | Setzt den Filter auf das Objekt des ausgewählten Eintrags.
Erweiterte Filter aktivieren | Aktiviert die Eigenschaften zur Projektierung erweiterter Filtereinstellungen.
Erweiterte Filter deaktivieren | Löscht die Einstellungen des erweiterten Filters und deaktiviert die Eigenschaften zur Projektierung erweiterter Filtereinstellungen.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
Ausgewählte CSV exportieren | Exportiert alle ausgewählten Einträge in eine CSV-Datei.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Aufgezeichnete Daten

Handbuch > Änderungshistorie > Aufgezeichnete Daten

Bei aktivierter Änderungshistorie werden die Änderungen entsprechend den gewählten Einstellungen in der Detailansicht des Projektmanagers angezeigt. Der erste Eintrag dokumentiert das Aktivieren der Änderungshistorie. Beim Deaktivieren wird als letzter Eintrag die Deaktivierung eingetragen.

Eintrag

Beschreibung

Status

Status des Objekts bei Mehrplatzfähigen Projekten.

  • Grün:
    Objekt hat den Status Änderungen ermöglichen
  • Leer:
    Objekt hat den Status Änderungen übernehmen

Zeitstempel

Datum und Uhrzeit.

Aktion

Art des Eingriffs. Mögliche Werte:

  • Neu
  • Geändert
  • Gelöscht
  • Neu - VBA
  • Geändert - VBA
  • Gelöscht - VBA

Modul

Das Modul (z. B. PFS, Archiv, Report), in dem die Änderung durchgeführt wurden.

Objekt

Objekt, das geändert wurde.

Element

Element, das geändert wurde. Aufgezeichnet wird der Name wie in der Eigenschaft Elementname festgelegt.

Eigenschaft

Eigenschaft des Objektes/Elements, die geändert wurde.

Alter Wert

Der Wert der Eigenschaft bevor die Änderungen durchgeführt wurde.

Nur verfügbar, wenn in den Projekteigenschaften unter Detaillierungsstufe Wertänderungen ausgewählt wurde.

Neuer Wert

Wert der Eigenschaft nach der Änderung.

Nur verfügbar, wenn in den Projekteigenschaften unter Detaillierungsstufe

Eigenschaften oder Wertänderungen ausgewählt wurde.

Benutzer

Der Benutzer, der die Änderung durchgeführt hat. Ist die Benutzerverwaltung nicht aktiviert oder ist kein Benutzer angemeldet, wird der Windows-Benutzer ausgelesen und eingetragen.

Rechner

Name des Computers, an dem die Änderung durchgeführt wurde.

Kommentar

Text für benutzerdefinierte Kommentare.

Die Spalten können per Drag&Drop mit der Maus beliebig angeordnet werden. Jede Spalte kann auf bestimmte Inhalte gefiltert werden.

Hinweis: Bei Änderung einer Eigenschaften, die einen Dialog mit weiteren Einstellungen öffnet, werden nicht alle Änderungen aufgezeichnet.

Example Beispiel

In Modul Batch Control wird ein Parameter der mit einer Formel für eine Grundfunktion verknüpft ist, geändert. Diese Änderung wird nicht aufgezeichnet. Wird aber die Formel geändert, so wird diese Änderung aufgezeichnet.

Noch in diesem Kapitel

Daten filtern


Daten filtern

Handbuch > Änderungshistorie > Aufgezeichnete Daten > Daten filtern

Es bestehen zwei Möglichkeiten, um die angezeigte Liste der Änderungshistorie zu filtern:

  1. Erweiterter Filter der Änderungshistorie
  2. Filtern der Listenansicht

Erweiterter Filter der Änderungshistorie

Den erweiterten Filter erreichen Sie über das Kontextmenü im Projektmanager sowie in der Detailansicht.

Allgemeine Einstellungen

Parameter | Beschreibung
Maximale Anzahl der Einträge | Definiert die maximale Anzahl von Datensätzen, die in der Listenansicht angezeigt werden 0: Unbeschränkte Anzahl. Default: 1000

Zeitfilter

Parameter | Beschreibung
Zeitperiode | Ermöglicht das Filtern auf einen bestimmten Zeitbereich oder ab oder bis zu einem bestimmten Zeitpunkt. Aktiv: Es werden nur Einträge aus dem angegeben Zeitbereich angezeigt. Default: deaktiviert
Von | Datum und Uhrzeit, ab dem Änderungen angezeigt werden sollen.
Bis | Datum und Uhrzeit, bis zu dem Änderungen angezeigt werden sollen.


Aufgezeichnete Aktionen

Handbuch > Änderungshistorie > Aufgezeichnete Aktionen

In der Änderungshistorie wird protokolliert:

Objekt

Änderungen

zenon Logic
  • zenon Logic Projekt neu
  • zenon Logic Projekt löschen
  • zenon Logic Projekt ändern

Add-In Framework
  • Installation von Add-In Packages
  • Deinstallation von Add-In Packages

Archive
  • Archiv neu
  • Archiv löschen
  • Archiv ändern
  • Variable hinzufügen
  • Variable löschen

Benutzer
  • Benutzer neu
  • Benutzer löschen
  • Benutzer ändern

Bilder
  • Bild neu
  • Bild löschen
  • Bild ändern

Dateien
  • Datei hinzufügen
  • Datei löschen
  • Datei ändern

Datentypen
  • Datentyp neu
  • Datentyp löschen
  • Datentyp ändern

Dynamische Elemente/Vektor-Elemente
  • Element neu
  • Element löschen
  • Element ändern

Funktionen
  • Funktion neu
  • Funktion löschen
  • Funktion ändern

Menüs
  • Hauptmenü neu
  • Hauptmenü löschen
  • Hauptmenü ändern
  • Kontextmenü neu
  • Kontextmenü löschen
  • Kontextmenü ändern

Message Control
  • Beim Speichern von Änderungen

Process Control Engine
  • Beim Speichern von Änderungen

Projekt
  • Projekt im Projektbaum verschieben

Projektsicherung
  • Erstellung einer Projektsicherung mit Versionsnummer.

Reaktionsmatrizen
  • Rema neu
  • Rema löschen
  • Rema ändern

Report
  • Report neu
  • Report löschen
  • Report ändern - Beim Speichern

Rezept
  • Rezept neu
  • Rezept löschen
  • Rezept ändern
  • Variable hinzufügen
  • Variable löschen
  • Wert ändern

Rezeptgruppen
  • Rezeptgruppe neu
  • Rezeptgruppe löschen
  • Rezeptgruppe ändern
  • Rezept neu
  • Rezept ändern
  • Rezept löschen
  • Variable hinzufügen
  • Variable löschen
  • Wert ändern
  • Quelle ändern
  • Quellentyp ändern

Schablonen
  • Schablone neu
  • Schablone löschen
  • Schablone ändern

Scheduler
  • Beim Speichern von Änderungen

Schriften
  • Schrift neu
  • Schrift löschen
  • Schrift ändern

Skripte
  • Skript neu
  • Skript löschen
  • Skript ändern

Sprachtabelle
  • Eintrag neu
  • Eintrag löschen
  • Eintrag ändern

Treiber
  • Treiber neu
  • Treiber löschen
  • Treiber ändern

VBA
  • Beim Speichern von Änderungen im VBA-Editor wird ein Eintrag generiert.

Variablen
  • Variable neu
  • Variable löschen
  • Variable ändern

Verriegelungen
  • Verriegelung neu
  • Verriegelung ändern
  • Verriegelung löschen
  • Variable neu
  • Variable löschen

Zeitsteuerung
  • Zeitfunktion neu
  • Zeitfunktion löschen
  • Zeitfunktion ändern


Daten exportieren

Handbuch > Änderungshistorie > Daten exportieren

Die Daten der Änderungshistorie können in die Formate XML und CSV exportiert werden.

Um Daten zu exportieren:

  1. Markieren Sie die gewünschten Einträge .
    (Mehrfachauswahl per Tastenkombinationen Strg+linke Maustaste, Umschalt+linke Maustaste, Strg+a ist möglich)
  2. Wählen Sie im Kontextmenü das gewünschte Exportformat (XML, CSV).
    Der Dialog zur Auswahl des Speicherorts wird geöffnet.
  3. Vergeben Sie einen Namen und bestätigen Sie die Eingabe mit Klick auf Speichern

Hinweis: Die Überschriften der exportierten Einträge sind immer in englischer Sprache.


Anlagenmodellierung

Handbuch > Anlagenmodellierung

Die Anlagenmodellierung bildet die Struktur einer Anlage im Editor nach. Entsprechend der Normen ISA S88 und S95 können mit zenon alle Ebenen eines Unternehmens abgebildet werden:

Die oberen Ebenen ermöglichen es, die Details der unteren Ebenen korrekt zuzuordnen und in Beziehung zu setzen. Die unteren Ebenen referenzieren spezifische Ausstattungen, die für Prozesssteuerung und Prozesskontrolle zusammengestellt werden.

Anlagenmodellierung in zenon

Mit zenon können Sie das gesamte Modell abbilden und beliebige Maschinen, Gebäude und Abläufe erstellen. Zur Runtime und im Editor können damit Daten gruppiert und gefiltert werden. Anlagenmodelle können auch als eigenes Bild zur Runtime angezeigt und als Filter für andere aufgeschaltete Bilder benutzt werden. Ab zenon 7.60 wird auch eine hierarchische Filterung unterstützt. Dies bedeutet: Eine Variable muss nurmehr einer Ebene zugeordnet werden und wird dann automatisch in einem Filter für übergeordnete Ebenen eingebunden.

Anlagenmodelle können projektübergreifend im Globalprojekt oder lokal in einzelnen Projekten erstellt werden.

Verwendung:

  • Editor:
    Im Editor werden Anlagenmodelle zum Filtern benutzt. So kann bei der Projektierung auf bestimmte Anlagen eingeschränkt werden. Das hat keine Auswirkung zur Runtime.
  • Runtime:
    Zur Runtime erfolgt die Verknüpfung mit Anlagenmodellen bei der Ausführung von Funktionen, um Informationen zu bestimmten Anlagen zu erhalten und online zu filtern.

Beispiel Variablen: Bei der Projektierung im Editor werden Variablen für bestimmte Anlagen ausgefiltert. Zur Runtime werden über Anlagenfilter Alarme für bestimmte Variablen zusammengefasst.

info Info

Die Anlagenmodellierung ist nicht sprachumschaltbar.

Fenster Anlagenmodellierung

Die Anlagenmodelle können in einem eigenen Fenster geöffnet werden:

  • Wählen Sie dazu im Kontextmenü der Anlagenmodellierung im Projektmanager den Befehl In neuem Fenster öffnen... .
  • Standardmäßig wird im unteren Bereich des Editors ein neues Fenster mit den Anlagenmodellen geöffnet.
  • Sie können dieses Fenster wie alle Fenster im Editor beliebig platzieren.
  • Falls Sie auch die Detailansicht der Anlagenmodellierung geöffnet halten, werden die Inhalte der beiden Fenster synchronisiert, so dass Sie in beiden Änderungen vornehmen können.

Noch in diesem Kapitel

Anlagenmodell erstellen

Modelle mit Elementen und Objekten verknüpfen

Alarmierung via Anlagengruppen

Bedienberechtigung über Anlagenmodell

Modelle exportieren und importieren

Bild vom Typ Anlagenmodell

Filtern in Detailansicht

Filtern zur Runtime


Anlagenmodell erstellen

Handbuch > Anlagenmodellierung > Anlagenmodell erstellen

Sie können beliebig viele Anlagenmodelle erstellen und diese nach bestimmten Kriterien gruppieren. Erstellen Sie zuerst das Modell und erzeugen Sie in diesem dann Gruppen.

Um ein neues Modell zu erstellen:

  1. Entscheiden Sie, ob Sie ein lokales oder ein globales Anlagenmodell erstellen.
  2. Wählen Sie im Kontextmenü des Knotens Anlagenmodellierung den Befehl Anlagenmodell neu
  3. oder wählen Sie in der Symbolleiste das Symbol für Anlagenmodell neu.

    In der Detailansicht wird ein neuer Knoten mit dem Standardnamen Anlagenmodell X erzeugt.
    X steht für die fortlaufende Nummerierung.

  4. Passen Sie den Namen an Ihre Bedürfnisse an.
    Dazu drücken Sie bei markiertem Namen die Taste F2 oder führen einen Dreifachklick ins Namensfeld aus.

info Info

Es stehen Anlagenmodelle aus Globalprojekten und lokalen Projekten zur Verfügung. Bei Namenskonflikten werden lokale Anlagenprojekte vorgezogen.

Tipp: Achten Sie bei der Projektierung von Anlagenmodellen auf eindeutige Namen. Versehen Sie zum Beispiel globale Anlagenmodelle mit einem entsprechenden Präfix oder Suffix. So vermeiden Sie gleiche Namen in lokalen und globalen Anlagemodellen. Und Sie können in Auswahllisten den Ursprung der angezeigten Anlagenmodelle einfach identifizieren.

Um eine neue Gruppe zu erstellen:

  1. Wählen Sie im Kontextmenü des Modells oder einer Übergruppe den Befehl Anlagengruppe neu oder drücken Sie die Einfügen-Taste

    oder wählen Sie in der Symbolleiste das Symbol Anlagengruppe neu.

    In der Modellstruktur wird eine neue Gruppe mit dem Standardnamen Anlagengruppe X erzeugt.
    X steht für die fortlaufende Nummerierung.

  2. Passen Sie den Namen an Ihre Bedürfnisse an: Direkt nach dem Erstellen befindet sich das Namensfeld bereits im Editiermodus. Später drücken Sie bei markiertem Namen die F2-Taste oder führen einen Dreifachklick ins Namensfeld aus.

    Es sind beliebig viele Gruppen und Untergruppen erlaubt.

Noch in diesem Kapitel

Anlagenmodell bearbeiten

Kontextmenü Projektmanager

Symbolleiste und Kontextmenü Detailansicht


Anlagenmodell bearbeiten

Handbuch > Anlagenmodellierung > Anlagenmodell erstellen > Anlagenmodell bearbeiten

Gruppen können innerhalb eines Modells und modellübergreifend neu sortiert, kopiert, verschoben und gelöscht werden:

Auswahl

Anlagenmodelle und Anlagengruppen können auch per Mehrfachauswahl ausgewählt werden, wenn sich die Elemente:

  • auf der gleichen Ebene
  • innerhalb des gleichen Modells
  • und der gleichen übergeordneten Gruppe

    befinden.

Löschen

  1. Markieren Sie den gewünschten Knoten.
  2. wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Löschen oder drücken Sie die Entfernen-Taste.

    Der Knoten wird mit sämtlichen Untergruppen gelöscht.

Verschieben per Drag&Drop

  1. Markieren Sie den gewünschten Knoten.
  2. Halten Sie die linke Maus-Taste gedrückt.
  3. Verschieben Sie den Knoten an die gewünschte Stelle und lassen Sie die Maus-Taste los.

Umsortieren per Drag&Drop

  1. Markieren Sie den gewünschten Knoten.
  2. Halten Sie die Steuerung-Taste gedrückt und ziehen Sie den Knoten mit gedrückter linker Maus-Taste an die gewünschte Position.

Kopieren und einfügen

  1. Markieren Sie den gewünschten Knoten.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Kopieren oder die Tastenkombination Strg+C.
  3. Markieren Sie den Ziel-Knoten
  4. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Einfügen oder die Tastenkombination Strg+V.

    Der kopierte Knoten wird eingefügt. Existiert bereits ein gleichnamiges Element, wird dem eingefügten Element ein Kopie von vorangestellt.

Umbenennen

Um Modelle oder Gruppen umzubenennen:

  1. Markieren Sie das Modell oder die Gruppe.
  2. Drücken Sie die F2-Taste oder führen Sie einen Dreifachklick auf das Modell oder die Gruppe aus.

Nach eine Umbenennung:

  • werden Modelle neu alphabetisch sortiert
  • bleiben Gruppen in der angelegten Struktur erhalten

attention Achtung

Die Aktionen löschen, umsortieren, verschieben, umbenennen und einfügen können nicht rückgängig gemacht werden.


Kontextmenü Projektmanager

Handbuch > Anlagenmodellierung > Anlagenmodell erstellen > Kontextmenü Projektmanager

Befehl

Funktion

Anlagenmodell neu

Erstellt ein neues Anlagenmodell mit der Standardbezeichnung Anlagenmodell X (X steht für eine fortlaufende Nummer).

In neuem Fenster öffnen

Öffnet ein neues Fenster im Editor, das die Anlagenmodelle enthält.

Alle als XML exportieren...

Exportiert alle Einträge in eine XML-Datei.

XML importieren

Importiert Elemente aus einer XML-Datei. Dabei gelten folgende Regeln:

  • Zu importierenden Modelle/Gruppen, die noch nicht existieren, werden eingefügt.
  • Existierende Modelle/Gruppen, die in der Import-Datei nicht enthalten sind, bleiben erhalten.
  • Bereits existierenden Modelle/Gruppen werden durch zu importierenden ersetzt.

Editorprofil

Öffnet die Dropdownliste mit vordefinierten Editorprofilen.

Hilfe

Öffnet die Online-Hilfe.


Symbolleiste und Kontextmenü Detailansicht

Handbuch > Anlagenmodellierung > Anlagenmodell erstellen > Symbolleiste und Kontextmenü Detailansicht

Symbolleiste

Symbol

Funktion

Anlagenmodell neu

Erstellt ein neues Anlagenmodell mit der Standardbezeichnung Anlagenmodell X (X steht für fortlaufende Nummer).

Anlagengruppe neu

Erstellt eine neue Anlagengruppe mit der Standardbezeichnung Anlagengruppe X (X steht für fortlaufende Nummer).

Verknüpfte Elemente

Öffnet den Dialog zur Anzeige verknüpfter Elemente.

Kopieren

Kopiert die gewählte Gruppe mit Untergruppen.

Einfügen

Fügt die kopierte Gruppe aus der Zwischenablage in eine andere Gruppe oder ein anderes Modell ein. Ist bereits eine Gruppe mit gleichem Namen vorhanden, wird der eingefügten Gruppe ein Kopie von vorangestellt.

Löschen

Löscht die gewählte Gruppe mit allen Untergruppen.

Knoten erweitern/
reduzieren

Öffnet die Dropdownliste zum Erweitern oder Reduzieren der Knoten.
  • Alle erweitern

Erweitert alle Knoten.
  • Alle reduzieren

Reduziert alle Knoten.
  • Ausgewählte erweitern

Erweitert den markierten Knoten.
  • Ausgewählte reduzieren

Reduziert den markierten Knoten.

Auswahl als XML exportieren...

Exportiert die ausgewählten Einträge in eine XML-Datei.

XML importieren

Importiert Elemente aus einer XML-Datei. Dabei gelten folgende Regeln:

  • Zu importierenden Modelle/Gruppen, die noch nicht existieren, werden eingefügt.
  • Existierende Modelle/Gruppen, die in der Import-Datei nicht enthalten sind, bleiben erhalten.
  • Bereits existierenden Modelle/Gruppen werden durch zu importierenden ersetzt.

Hilfe

Öffnet die Online-Hilfe.

Kontextmenü Anlagenmodellierung

Symbol

Funktion

Anlagenmodell neu

Erstellt ein neues Anlagenmodell mit der Standardbezeichnung Anlagenmodell X (X steht für fortlaufende Nummer).

Einfügen

Fügt die kopierte Gruppe in andere Gruppe oder anderes Modell ein. Ist bereits eine Gruppe gleichen Namens vorhanden, wird der eingefügten Gruppe ein Kopie von vorangestellt.

Knoten erweitern/
reduzieren

Öffnet die Dropdownliste zum Erweitern oder Reduzieren der Knoten.
  • Alle erweitern

Erweitert alle Knoten.
  • Alle reduzieren

Reduziert alle Knoten.
  • Ausgewählte erweitern

Erweitert den markierten Knoten.
  • Ausgewählte reduzieren

Reduziert den markierten Knoten.

Alle als XML exportieren...

Exportiert alle Einträge in eine XML-Datei.

XML importieren

Importiert Elemente aus einer XML-Datei. Dabei gelten folgende Regeln:

  • Zu importierenden Modelle/Gruppen, die noch nicht existieren, werden eingefügt.
  • Existierende Modelle/Gruppen, die in der Import-Datei nicht enthalten sind, bleiben erhalten.
  • Bereits existierenden Modelle/Gruppen werden durch zu importierenden ersetzt.

Hilfe

Öffnet die Online-Hilfe.

Kontextmenü Anlagenmodelle und Anlagengruppen

Symbol

Funktion

Anlagengruppe neu

Erstellt eine neue Anlagengruppe mit der Standardbezeichnung Anlagengruppe X (X steht für fortlaufende Nummer).

Verknüpfte Elemente

Öffnet den Dialog zur Anzeige verknüpfter Elemente.

(Wird nur angezeigt, wenn verknüpfte Elemente vorhanden sind.)

Kopieren

Kopiert die gewählte Gruppe mit Untergruppen.

Einfügen

Fügt die kopierte Gruppe in eine andere Gruppe oder ein anderes Modell ein. Ist bereits eine Gruppe gleichen Namens vorhanden, wird der eingefügten Gruppe ein Kopie von vorangestellt.

Löschen

Löscht die gewählte Gruppe mit allen Untergruppen.

Knoten erweitern/
reduzieren

Öffnet die Dropdownliste zum Erweitern oder Reduzieren der Knoten.
  • Alle erweitern

Erweitert alle Knoten.
  • Alle reduzieren

Reduziert alle Knoten.
  • Ausgewählte erweitern

Erweitert den markierten Knoten.
  • Ausgewählte reduzieren

Reduziert den markierten Knoten.

Alle als XML exportieren...

Exportiert alle Einträge in eine XML-Datei.

Auswahl als XML exportieren...

Exportiert alle Einträge in eine XML-Datei.

XML importieren

Importiert Elemente aus einer XML-Datei. Dabei gelten folgende Regeln:

  • Zu importierenden Modelle/Gruppen, die noch nicht existieren, werden eingefügt.
  • Existierende Modelle/Gruppen, die in der Import-Datei nicht enthalten sind, bleiben erhalten.
  • Bereits existierenden Modelle/Gruppen werden durch zu importierenden ersetzt.

Hilfe

Öffnet die Online-Hilfe.


Modelle mit Elementen und Objekten verknüpfen

Handbuch > Anlagenmodellierung > Modelle mit Elementen und Objekten verknüpfen

Jede Anlagengruppe kann mit beliebigen zenon Elementen und Objekten verknüpft werden. Um eine Gruppe mit einem Element zu verknüpfen, haben Sie mehrere Möglichkeiten:

  • Über die Eigenschaft Anlagengruppen des Elements.
  • Kopieren und einfügen des Elementes in die gewünscht Gruppe des Modells.
  • Drag&Drop der Anlagengruppe auf die Eigenschaft Anlagengruppen des Elements.
  • Drag&Drop des Elements auf die Anlagengruppe.

Eigenschaft Anlagengruppen

Für die Verknüpfung über die Eigenschaften eines Elements:

  1. Wählen Sie das Element aus.
  2. Klicken Sie im Knoten Allgemein auf die Eigenschaft Anlagengruppen.

    Der Dialog zum Zuweisen von Elementen zu Anlagengruppen wird geöffnet.

  3. Weisen Sie die gewünschten Anlagengruppen zu (Details siehe Unterkapitel Dialog Anlagenmodellierung).

info Info

Keine Vererbung

Werden Anlagenmodelle bei der Konfiguration von Datentypen, Treibern, Funktionen, Variablen usw. über die Eigenschaft Anlagengruppen zum Verknüpfen ausgewählt oder neu erzeugt, dienen diese nur zum Filtern und werden nicht vererbt.

Zum Beispiel: Ein in einem Datentyp gewähltes Anlagenmodell wird nicht auf eine Variable, die auf diesem Datentyp basiert, vererbt.

Kopieren und einfügen

Für die Verknüpfung mittels kopieren und einfügen:

  1. Wählen Sie das Element aus.
  2. Kopieren Sie das Element (Befehl Kopieren oder Tastenkombination Strg+C).
  3. Markieren Sie die gewünschte Anlagengruppe.
  4. Fügen Sie das Element ein (Befehl Einfügen oder Tastenkombination Strg+V).

Drag&Drop der Anlagengruppe

Für die Verknüpfung per Drag&Drop der Anlagengruppe mit einem Element:

  1. Wählen Sie die Anlagengruppe aus.
  2. Ziehen Sie diese mit gedrückter linker Maustaste auf die Eigenschaft Anlagengruppen im Knoten Allgemein des Elements.

Drag&Drop des Elementes

Für die Verknüpfung per Drag&Drop des Elements auf die Anlagengruppe:

  1. Wählen Sie das Element in der Detailansicht des Projektmanagers.
  2. Ziehen Sie es mit gedrückter linker Maustaste auf die gewünschte Anlagengruppe.

info Info

Beim Drag&Drop von Strukturvariablen werden nur aktivierte Variablen berücksichtigt. Nicht aktivierte Elemente werden nicht verknüpft. Überprüfen Sie bei geschlossen Strukturbäumen, ob alle gewünschten Variablen aktiviert sind.

Noch in diesem Kapitel

Dialog Anlagenmodellierung

Liste Verknüpfte Elemente


Dialog Anlagenmodellierung

Handbuch > Anlagenmodellierung > Modelle mit Elementen und Objekten verknüpfen > Dialog Anlagenmodellierung

Im Dialog Anlagenmodellierung weisen Sie einem Element beliebige Anlagengruppen zu. Der Dialog öffnet sich, wenn Sie in den Eigenschaften eines Bildes im Knoten Allgemein die Eigenschaft Anlagengruppen wählen:

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft die Auswahl und schließt den Dialog. Achtung: Eventuelle Änderungen in der Struktur lokaler Anlagenmodelle bleiben erhalten.
Hilfe | Öffnet die Online-Hilfe.

Konfiguration

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Um ein neues Modell hinzuzufügen:

  1. Klicken Sie auf das Projekt.
  2. Wählen Sie in der Symbolleiste Anlagenmodell neu.

Modell entfernen

Um ein bestehendes Modell zu entfernen:

  1. Klicken Sie auf das Modell.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Um eine Gruppe zu einem Modell hinzuzufügen:

  1. Wählen Sie das gewünschte Anlagenmodell.
    Achtung: Bestehen Namenskonflikte zwischen globalen und lokalen Anlagenmodellen, werden die lokalen Anlagenmodelle angezeigt und die globalen ignoriert. Informationen zu eventuellen Konflikten erhalten Sie per Klick auf das entsprechende Symbol (Dreieck mit Ausrufezeichen) in der Symbolleiste.
  2. Wählen Sie eine Anlagengruppe oder Ebene.
  3. Fügen Sie die neue Gruppe über die Schaltfläche Hinzufügen zur Liste im unteren Bereich des Dialogs hinzu.

    Hinweise:

    • Untergruppen werden nicht automatisch hinzugefügt.
    • Es können beliebig viele Gruppen verknüpft werden.

Gruppen aus dem Modell löschen

Um eine Gruppe aus einem Modell zu löschen:

  1. Wählen Sie in der Liste im unteren Bereich des Dialogs die gewünschten Elemente (Mehrfachauswahl ist möglich).
  2. Klicken Sie auf die Schaltfläche Entfernen.

Hinweis: Änderungen in einem Baum-Element bleiben erhalten, unabhängig davon, ob die Schaltfläche Abbrechen betätigt wird. Abbrechen bedeutet nur, dass kein Element ausgewählt wird.

In Bildumschaltung auf Anlagengruppe filtern

Bei der Bildumschaltung auf ein Bild vom Typ AML, CEL, RGM oder Schichtmanagement sowie bei der Funktion Gruppen/Klassen/Bereiche/Anlagen unterdrücken (Funktionsgruppe Message Control) kann im Filterdialog auf Anlagengruppen gefiltert werden. Anleitungen dazu finden Sie bei der Beschreibung der entsprechenden Dialoge:

  • AML Anlagenmodellierung
  • CEL Anlagenmodellierung
  • RGM Anlagenmodellierung
  • Message Control Gruppen/Klassen/Bereiche/Anlagen unterdrücken
  • Schichtmanagement

Noch in diesem Kapitel

Symbolleiste Anlagengruppen auswählen

Lokale Anlagenmodelle bearbeiten


Symbolleiste Anlagengruppen auswählen

Handbuch > Anlagenmodellierung > Modelle mit Elementen und Objekten verknüpfen > Dialog Anlagenmodellierung > Symbolleiste Anlagengruppen auswählen

Über die Symbolleiste können Aktionen im Fenster der vorhandenen Anlagenmodelle gesteuert werden.
Beschreibung der Symbole von links beginnend:

Symbol

Beschreibung

Anlagenmodell neu

Erstellt ein neues Anlagenmodell.

(Nur für lokale Anlagenmodelle.)

Gruppe neu

Erstellt eine neue Anlagengruppe unterhalb des markierten Eintrags.

(Nur für lokale Anlagenmodelle.)

Editieren

Ermöglicht das Editieren des Namens

(Nur für lokale Anlagenmodelle.)

Löschen

Löscht den ausgewählten Eintrag.

(Nur für lokale Anlagenmodelle.)

Kopieren

Kopiert den ausgewählten Eintrag.

Einfügen

Fügt kopierte Elemente aus der Zwischenablage unterhalb des markierten Eintrags ein. Ist bereits eine Gruppe gleichen Namens vorhanden, wird der eingefügten Gruppe ein Kopie von vorangestellt.

(Nur für lokale Anlagenmodelle.)

Achtung: Werden Anlagenmodelle aus dem Globalprojekt in das lokale Projekt kopiert und nicht umbenannt, dann existieren zwei gleichnamige Modelle. Es können beide ausgewählt werden, allerdings wird beim Bestätigen keine Verknüpfung erstellt.

Tipp: Benennen Sie aus dem Globalprojekt kopierte Modelle im lokalen Projekt immer um.

Alle erweitern

Alle Knoten werden erweitert.

Alle reduzieren

Alle Knoten werden reduziert.

Erweitern der Auswahl

Der ausgewählte Knoten wird erweitert.

Reduzieren der Auswahl

Der ausgewählte Knoten wird reduziert.

Warnungen

Zeigt Warnungen an.

Zum Beispiel Anlagenmodelle aus dem Globalprojekt, die nicht angezeigt werden, da gleichnamige Modelle aus dem lokalen Projekt vorgezogen wurden.


Lokale Anlagenmodelle bearbeiten

Handbuch > Anlagenmodellierung > Modelle mit Elementen und Objekten verknüpfen > Dialog Anlagenmodellierung > Lokale Anlagenmodelle bearbeiten

Anlagenmodelle und Anlagengruppen aus lokalen Projekten können auch im Verknüpfungsdialog bearbeitet werden. Anlagengruppen aus dem Globalprojekt können nur ausgewählt und kopiert werden.

Die möglichen Aktionen und Bearbeitungswege sind im Gegensatz zur Bearbeitung von Anlagenmodellen im Knoten Anlagenmodellierung eingeschränkt. Die Bearbeitung von Elementen erfolgt ausschließlich über die Symbolleiste.

Achtung: Änderungen in der Struktur lokaler Anlagenmodelle bleiben erhalten, unabhängig davon, ob der Dialog mit OK oder Abbrechen verlassen wird.

Folgende Aktionen sind möglich:

Aktion | Globalprojekt | Lokales Projekt
neues Anlagenmodell erstellen | - | X
neue Anlagengruppe erstellen | - | X
Name ändern | - | X
löschen | - | X
kopieren Achtung: Werden Anlagenmodelle aus dem Globalprojekt in das lokale Projekt kopiert und nicht umbenannt, dann existieren zwei gleichnamige Modelle. Es können beide ausgewählt werden, allerdings wird beim Bestätigen keine Verknüpfung erstellt. Tipp: Benennen Sie aus dem Globalprojekt kopierte Modelle im lokalen Projekt immer um. | X | X
einfügen | - | X
zur Filterliste hinzufügen | X | X

Legende:

  • -: nicht möglich
  • X: möglich


Liste Verknüpfte Elemente

Handbuch > Anlagenmodellierung > Modelle mit Elementen und Objekten verknüpfen > Liste Verknüpfte Elemente

Für jede Anlagengruppe können alle Elemente, die die Anlagengruppe verknüpft haben als Liste angezeigt werden. Über das Kontextmenü gelangen Sie direkt zum verknüpften Element:

  1. Markieren Sie die gewünschte Anlagengruppe.
  2. Wählen Sie im Kontextmenü den Befehl Verknüpfte Elemente... .

    (Details siehe Unterkapitel Kontextmenü verknüpfte Elemente.)

    Die Liste der verknüpften Elemente wird geöffnet.

Im Kontextmenü der Elemente können Sie:

  • direkt zum Element springen
  • das Element aus der Liste löschen; das Element verliert dann seine Verknüpfung zu dieser Anlagengruppe

Noch in diesem Kapitel

Kontextmenü verknüpfte Elemente


Kontextmenü verknüpfte Elemente

Handbuch > Anlagenmodellierung > Modelle mit Elementen und Objekten verknüpfen > Liste Verknüpfte Elemente > Kontextmenü verknüpfte Elemente

Im Dialog für verknüpfte Elemente können einzelne Elemente per Kontextmenü im Editor geöffnet oder aus der Liste gelöscht werden:

Befehl | Beschreibung
Zu verknüpftem Element springen | Springt zum Element im Editor, die Liste bleibt geöffnet.
Ausgewählte Elemente entfernen | Löscht das gewählte Element aus der Liste, die Verbindung zu dieser Anlagengruppe wird gelöst.
Hilfe | Öffnet die Online-Hilfe.


Alarmierung via Anlagengruppen

Handbuch > Anlagenmodellierung > Alarmierung via Anlagengruppen

Noch in diesem Kapitel

Hierarchische Alarmierung über Anlagengruppen

Anzeige der aktiven Alarme


Hierarchische Alarmierung über Anlagengruppen

Handbuch > Anlagenmodellierung > Alarmierung via Anlagengruppen > Hierarchische Alarmierung über Anlagengruppen

Mit der Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden kann das Anlagenmodell für die Projektierung einer hierarchischen Alarmverwaltung verwendet werden.

Damit können Alarme:

  • nach Standorten zusammengefasst dargestellt werden.
  • nach ihrem Ursprungsort identifiziert werden.
  • hierarchisch strukturiert abgebildet werden.
  • einfach im Anlagenmodell projektiert oder erweitert werden.

Alarmmeldeliste

In der AML-Liste in der Runtime sind die Einträge „Alarmbereich" und „Alarmbereich Nummer" leer, wenn bei der Variable hierarchische Alarmierung aktiviert ist.

Die Sortierung nach diesen beiden Spalten berücksichtigt für Variablen ohne hierarchische Alarmierung nur den ersten Alarmbereich. Da bei Variablen mit hierarchischer Alarmierung diese Spalten leer sind, werden diese bei der Sortierung nach „Alarmbereich" alphabetisch zusammengefasst an oberster Stelle der Liste angezeigt. Ebenso bei der Sortierung nach „Alarmbereich Nummer", da die ID bei Hierarchischer Alarmierung immer leer ist und somit an oberster Stelle gereiht wird.

Anlagenmodell des Globalprojekts

Die Anlagengruppen im Anlagenmodell können sowohl im Globalprojekt wie auch im Standardprojekt projektiert werden. Eine Variable kann sowohl eine Anlagengruppe aus dem Globalprojekt oder aus dem Standardprojekt nutzen.

  • Die projektierten Anlagengruppen im Globalprojekt stehen auch im Standardprojekt zur Verfügung.
  • Die hierarchische Struktur des Standardprojekts enthält nicht automatisch die Knoten des Globalprojekts.
    Alarmzuordnungen von Variablen zu Anlagengruppen aus dem Globalprojekt werden für das Standardprojekt übernommen und sind auch wirksam.
  • Der Alarm auf der Variable gilt für alle auffindbare Alarmbereiche des Anlagenmodells. Dabei werden die Anlagengruppe der Variable und darüberliegende Anlagengruppen des Anlagenmodells berücksichtigt.

Noch in diesem Kapitel

Projektieren im Editor


Projektieren im Editor

Handbuch > Anlagenmodellierung > Alarmierung via Anlagengruppen > Hierarchische Alarmierung über Anlagengruppen > Projektieren im Editor

Um die Hierarchische Alarmierung des Anlagenmodells zu verwenden führen Sie Sie im zenon folgende Schritte aus:

  1. Modellieren Sie im Projekt ein Abbild Ihrer Anlage. Diese Projektierung kann sowohl im Globalprojekt wie auch im Standardprojekt gemacht werden.
    1. Wählen Sie dazu im Knoten Anlagenmodellierung den Eintrag Anlagenmodell neu.
    2. Erzeugen Sie mit dem Symbol oder Kontextmenüeintrag Anlagengruppe neu einen neuen Eintrag.
      Benennen Sie jeden Eintrag mit der Eigenschaft Name. Achten Sie bei der Projektierung auf eine sinnvolle Benennung.
    3. Wiederholen Sie den Schritt für die einzelnen Elemente Ihrer Anlage.
      Beachten Sie die hierarchische Struktur im Anlagenbaum.
  2. Projektieren Sie Alarmbereiche:
    1. Wechseln Sie dazu in den Knoten Variablen.
    2. Wechseln Sie dort in den Unterknoten Alarm.
    3. Erstellen Sie einen neuen Alarmbereich:
      Gehen Sie dazu in den Unterknoten Alarmbereiche.
    • Erzeugen Sie mit dem Symbol oder Kontextmenüeintrag Alarmbereich neu einen neuen Alarmbereich.
      Bennenen Sie den Eintrag mit der Eigenschaft Name. Achten Sie bei der Projektierung auf eine sinnvolle Benennung.
    1. Weisen Sie dem Alarmbereich eine Anlagengruppe zu:
    • Klicken Sie in der Eigenschaft Anlagengruppen die Schaltfläche ...:
      Der Dialog Anlagengruppe auswählen wird geöffnet.
    • Wählen Sie die gewünschte Anlagengruppe und fügen Sie diese mit Klick auf die Schaltfläche Hinzufügen hinzu.
      Hinweis: Mehrfachauswahl ist möglich. Damit wird ein Alarmbereich zu mehreren Anlagengruppen hinzugefügt.
    • Bestätigen Sie Ihre Zuweisung mit Klick auf die Schaltfläche OK.
      In der Eigenschaft Anlagengruppen ist die dem Alarmbereich zugeordnete Anlagengruppe sichtbar. Bei Mehrfachauswahl sind die Einträge mit einem Semikolon (;) getrennt.
  3. Weisen Sie den projektierten Variablen ein Element aus der Anlagenmodellierungs-Projektierung zu:
    1. Wechseln Sie dazu in den Knoten Variablen.
    2. Wählen Sie in der Liste der projektierten Variablen die gewünschten Variablen pro Anlagengruppe aus.
      Hinweis: Nutzen Sie die Sortier- und Filtermöglichkeiten in der Detailansicht des Projektmanagers.
      Für eine effiziente Projektierung nutzen Sie auch die Mehrfachauswahl.
    3. Wechseln Sie für die gewählten Variablen in die Eigenschaftengruppe Allgemein.
    4. Klicken Sie in der Eigenschaft Anlagengruppen die Schaltfläche ...:
      Der Dialog Anlagengruppe auswählen wird geöffnet.
    5. Wählen Sie die gewünschte Anlagengruppe und fügen Sie diese mit Klick auf die Schaltfläche Hinzufügen hinzu.
      Hinweis: Mehrfachauswahl ist möglich. Damit wird eine Variable zu mehreren Anlagengruppen hinzugefügt.
    6. Bestätigen Sie Ihre Zuweisung mit Klick auf die Schaltfläche OK.
      In der Eigenschaft Anlagengruppen ist die der Variable zugeordnete Anlagengruppe sichtbar. Bei Mehrfachauswahl sind die Einträge mit einem Semikolon (;) getrennt.

Tipp Tipp

Datentypen vererben die zugewiesene Anlagengruppe. Durch logische Abhängigkeiten bei der Projektierung kann der Projektierungsaufwand für eine hierarchische Alarmierung optimiert werden.


Anzeige der aktiven Alarme

Handbuch > Anlagenmodellierung > Alarmierung via Anlagengruppen > Anzeige der aktiven Alarme

Im Modul Anlagenmodellierung kann die Anzahl der aktiven Alarme visualisiert werden.

Die Alarme werden direkt über das Anlagenmodell aufzusummieren.

  • Für die Projektierung wurde in den Eigenschaften die neue Eigenschaftengruppe Verdichtete Alarme eingeführt.
  • Der Dialog für die Bildumschaltung zu einem zenon Bild vom Typ Anlagenmodell wurde um Option Alarmanzeige für die Art der Darstellung in der Runtime erweitert.
  • Die Anzahl der aktiven Alarme kann auf einer projektierbaren Statusvariable abgebildet werden.
  • Die Anzeige im Anlagenbaum kann für die Darstellung in der Runtime bei der Bildumschaltefunktion als Zahl oder mit einer verknüpften Grafik projektiert werden.

Noch in diesem Kapitel

Projektieren im Editor


Projektieren im Editor

Handbuch > Anlagenmodellierung > Alarmierung via Anlagengruppen > Anzeige der aktiven Alarme > Projektieren im Editor

Führen Sie folgende Projektierungsschritte durch, wenn Sie die Anzahl der Alarme in einem Bild vom Typ Anlagenmodell zur Runtime anzeigen wollen.

  1. Modellieren Sie Ihr Anlagenmodell im Knoten Anlagenmodellierung.
  2. Erstellen Sie entsprechende Variablen für
    1. Alarmstatus
    2. Anzahl aktiver Alarme
    3. Anzahl unquittierter Alarme

    Hinweis: Verwenden Sie dazu Variablen für den Intern Treiber.

  3. Verknüpfen Sie die Variablen mit der oder den entsprechenden Anlagengruppen.
    Diese Verknüpfung projektieren Sie bei der Variable in der Eigenschaftengruppe Allgemein in der Eigenschaft Anlagengruppen.
  4. Projektieren Sie Alarm/Ereignis-Klassen.
    Legen Sie diese im Knoten Variablen im Unterknoten Alarm bei Alarm/Ereignis-Klassen an.
  5. Parametrieren Sie die Alarm/Ereignis-Klasse mit den entsprechenden Eigenschaften.
  6. Erstellen Sie im Anlagenmodell eine entsprechende Klassenverknüpfung:
    1. Wählen Sie im Baum Ihres Anlagenmodells die gewünschte Anlagengruppe.
    2. Erstellen Sie in der Eigenschaftengruppe Klassenverknüpfung eine neue Klasse
    3. Parametrieren Sie diese durch Verknüpfung der darin enthaltenen Eigenschaften mit einer bestehenden Projektierung (Alarm/Ereignis-Klasse und Statusvariablen).
  7. Erstellen Sie ein Bild vom Typ Anlagenmodell.
  8. Erstellen Sie eine Bildumschaltefunktion.
    Wählen Sie im Dialog der Bildumschaltung in der Dropdownliste der Option Alarmanzeige die gewünschte Darstellungsart.


Bedienberechtigung über Anlagenmodell

Handbuch > Anlagenmodellierung > Bedienberechtigung über Anlagenmodell

Im zenon Netzwerk können Bedienberechtigungen auch über das Anlagenmodell projektiert werden.

Dadurch ist es möglich verschiedene Teile einer Anlage für unterschiedlichen Clients mit entsprechenden Berechtigungen zu versehen.

Dabei gilt:

  • Die Einschränkung der Bedienung wird via Verknüpfung von Variablen mit dem Anlagenmodell realisiert.
  • Nur jene Variablen, welche einem Anlagenmodell zugeordnet sind, benötigen für die Bedienung eine Bedienberechtigung.
  • Variablen, welche mit keinem Anlagenmodell verknüpft sind, sind immer bedienbar.

info Info

Weitere Informationen zur Bedienberechtigung finden Sie auch im Kapitel Bedienberechtigung im Netzwerk im Handbuch Netzwerk.

Noch in diesem Kapitel

Projektieren im Editor

Verhalten in der Runtime


Projektieren im Editor

Handbuch > Anlagenmodellierung > Bedienberechtigung über Anlagenmodell > Projektieren im Editor

Führen Sie folgende Projektierungen durch, um die Bedienberechtigung über Anlagenmodell zu nutzen:

  1. Modellieren Sie Ihr Anlagenmodell.
  2. Aktivieren Sie die Eigenschaft Anlagenmodell relevant für die Bedienberechtigung.
    Hinweis: Diese Eigenschaft finden Sie in der Eigenschaftengruppe Allgemein eines Anlagenmodells. Diese Eigenschaft ist nur in der obersten Ebene eines Anlagenmodells verfügbar.
  3. Verknüpfen Sie projektierte Variablen mit der jeweiligen Anlagengruppe.
    Die Verlinkung erfolgt in der Variableneigenschaftengruppe Allgemein mit der Eigenschaft Anlagengruppen.

Optional:

  1. Projektieren Sie Variablen für die Visualisierung von Informationen in der Runtime:
    1. Verfügbar auf diesem Rechner
    2. Bedienberechtigung bei Rechner
  2. Verknüpfen Sie die Variablen in der Eigenschaftengruppe Bedienberechtigung der jeweiligen Anlagengruppe.


Verhalten in der Runtime

Handbuch > Anlagenmodellierung > Bedienberechtigung über Anlagenmodell > Verhalten in der Runtime

In der zenon Runtime gilt für Bedienberechtigung über Anlagenmodell:

  • Ist für den angeforderten Anlagenteil keine Bedienberechtigung projektiert, ist die Bedienung uneingeschränkt möglich.
  • Bei Anforderung einer nicht vergebener Bedienberechtigung wird die Bedienberechtigung automatisch erteilt.
  • Ist ein Anlagenteil belegt, wird dieser automatisch über das Netzwerk am entsprechenden Client angefordert.
    In der Runtime, welche aktuell die Bedienberechtigung besitzt, wird ein entsprechender Dialog angezeigt.
  • Sind mehrere Teile eines Anlagenmodells von einem Client belegt, wird dies am Client der aktuell die Bedienberechtigung besitzt, zusammengefasst in einem Dialog angezeigt.
  • Wird die Bedienberechtigung für einen Bereich angefordert und ein Teil davon ist bereits belegt, so wird diese automatisch über das Netzwerk beim entsprechenden Client angefordert. Wird diese nicht freigegeben, wird keine Berechtigung vergeben, auch nicht für Bereiche, die verfügbar wären.
  • Anfragen zu mehreren Clients werden parallel ausgeführt.

Dialog - Bedienberechtigung übergeben

Parameter | Beschreibung
Ja | Die Bedienberechtigung wird an den anfragenden Client übergeben.
Nein | Die Bedienberechtigung verbleibt am aktuellen Client. Der anfragende Client kann die gewünschte Aktion nicht ausführen.


Modelle exportieren und importieren

Handbuch > Anlagenmodellierung > Modelle exportieren und importieren

Anlagenmodelle und Anlagengruppen können per XML sowie wie über die API exportiert und importiert werden.

attention Achtung

Beim Import wird das gesamte Anlagenmodell überschrieben. Bestehende Anlagenmodelle und Anlagengruppen mit gleichem Namen wie importierte Objekte werden beim Import überschrieben. Objekte, die in der Importdatei nicht enthalten sind, werden gelöscht.

XML

Export

Um Modelle zu exportieren:

  1. Markieren Sie das gewünschte Anlagenmodell.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Auswahl als XML exportieren....
    Alternativ wählen Sie im Kontextmenü Alle als XML exportieren....
  3. Der Dialog zur Auswahl eines Speicherpfades wird geöffnet.
  4. Wählen Sie den Speicherort und den Namen.
  5. Mit Klick auf OK wird das gewählte Modell oder werden alle Modelle exportiert.
  6. Im Ausgabefenster werden der Erfolg des Exports oder eventuelle Fehler angezeigt.

Import

Um Modelle zu importieren:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste XMl importieren.
  2. Der Dialog zum Öffnen einer XML-Exportdatei wird geöffnet.
  3. Wählen Sie die gewünschte XML-Datei.
  4. Mit Klick auf OK werden die in der XML-Datei enthaltenen Modelle und Gruppen importiert.
  5. Im Ausgabefenster werden Erfolg des Exports und eventuelle Fehler angezeigt.

API

Für den Import und Export per VBA/VSTA werden folgende Methoden verwendet:

  • Export: SystemModelManager.Export
  • Import: SystemModelManager.Import


Bild vom Typ Anlagenmodell

Handbuch > Anlagenmodellierung > Bild vom Typ Anlagenmodell

Mit einem Bild vom Typ Anlagenmodell können zur Runtime:

  • andere, bereits geöffnete, Bilder auf bestimmte Anlagengruppen gefiltert werden.
  • alle mit einer bestimmten Anlagengruppe verknüpften Funktionen automatisch nacheinander ausgeführt werden.

Das Filtern auf eine Anlagengruppe wirkt sich immer nur auf bereits geöffnete Bilder aus. Werden Bilder neu aufgeschaltet oder neu geladen, werden sie wieder ohne die Filter des Bildes Anlagenmodell angezeigt.

Hinweis: Mit der Option Hierarchischer Filter genügt es, wenn eine Variable mit einer Ebene des Anlagenmodells verknüpft ist. Diese Variable wird automatisch bei der Filterung auf eine übergeordnete Ebenen berücksichtigt.

info Info

Es können Bilder gefiltert werden, die Daten aus AML, CEL, RGM oder Schichtmanagement darstellen.
Es können auch Bilder vom Typ Faceplate ausgewählt werden. Enthalten diese aber keine Daten aus AML, CEL, RGM oder Schichtmanagement, werden sie zur Runtime ignoriert.

Noch in diesem Kapitel

Bild vom Typ Anlagenmodell anlegen

Bildumschaltung auf ein Bild vom Typ Anlagenmodell


Bild vom Typ Anlagenmodell anlegen

Handbuch > Anlagenmodellierung > Bild vom Typ Anlagenmodell > Bild vom Typ Anlagenmodell anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Anlagenmodell.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Kontrollelemente

Kontrollelement | Beschreibung
Anlagenmodell (Bezeichnung) | Textfeld zur Darstellung des Namens des im Bild dargestellten Anlagenmodells. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anlagenmodell (Struktur) | Baumelement, das die Gruppenstruktur des gewählten Anlagenmodells darstellt. Zur Runtime ist Mehrfachauswahl der Anlagengruppen möglich.

Auswahl

Buttons für die Auswahl für die Darstellung zur Runtime.

Kontrollelement

Beschreibung

Auswahl anwenden

Die im Baum ausgewählten Gruppen werden als Filter auf die in der Bildumschaltung gewählten Bilder angewendet. Damit der Filter wirkt, muss das Bild bereits geöffnet sein.

Anlagenfilter zurücksetzen

Die gewählten Filter werden zurückgesetzt und die gefilterten Bilder wieder ungefiltert angezeigt.

Alle erweitern

Alle Knoten des Baumes werden erweitert und alle Untergruppen angezeigt.

Alle reduzieren

Alle erweiterten Knoten werden reduziert. Es werden nur die Hauptgruppen des Baums angezeigt.

Auswahl erweitern

Der ausgewählte Knoten des Baums wird erweitert.

Auswahl reduzieren

Der ausgewählte Knoten des Baums wird reduziert.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.

Funktionen ausführen

Alle Funktionen des lokalen Projekts, die mit der momentan im Baum ausgewählten Gruppe verknüpft sind, werden ausgeführt. Die Reihenfolge der Ausführung ist nicht festgelegt.
Hinweis: Die Konfiguration der Option Hierarchischer Filter hat keine Auswirkung bei Funktionsausführung.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Anlagenmodell (Bezeichnung) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.


Bildumschaltung auf ein Bild vom Typ Anlagenmodell

Handbuch > Anlagenmodellierung > Bild vom Typ Anlagenmodell > Bildumschaltung auf ein Bild vom Typ Anlagenmodell

Funktion vom Typ Bildumschaltung anlegen

Eine Funktion vom Typ Bildumschaltung dient dazu, Bilder zur Runtime aufzuschalten.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Favoriten.
  3. Wählen Sie die Funktion Bildumschaltung

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Konfigurieren Sie die Filter.
  6. Konfigurieren Sie das anzuzeigende Anlagenmodell und die Bilder, die damit aktualisiert werden können.
  7. Bestätigen Sie die Konfiguration mit Klick auf die Schaltfläche OK.
  8. Benennen Sie die Funktion in der Eigenschaft Name.

Dargestelltes Anlagenmodell

Option | Beschreibung
Dargestelltes Anlagenmodell | Auswahl, des zur Runtime anzuzeigenden Anlagenmodells.
Name statisch | Name des Modells für die Darstellung zur Runtime. Auswahl aus Dropdownliste: Die Liste enthält alle im lokalen Projekt und im Globalprojekt vorhandenen Anlagenmodelle. Bei Namenskonflikten (gleicher Name für ein lokales und ein globales Anlagenmodell) wird das lokale Anlagenmodell angezeigt. Es werden also immer alle lokalen Anlagenmodelle und alle globalen Anlagenmodelle mit eindeutigen Namen angeboten.
Name aus Variable | Das Modell wird beim Aufschalten des Bildes aus der hier angegebenen String-Variable gelesen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer String-Variable. Kann die Variable zur Runtime nicht gelesen werden, bleibt der Name leer. Es wird kein Anlagenmodell angezeigt. Default: inaktiv
Ausgewählte Anlagengruppe | Auswahl einer Variable, auf die zur Runtime die im Bild ausgewählte Anlagengruppe geschrieben wird. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer String-Variable. Default: <Keine Variable verknüpft>

Darstellungsoptionen

Option

Beschreibung

Vollständige Struktur anzeigen

Konfiguration, wie Objekte im Anlagenmodellbaum zur Runtime angezeigt werden:

  • Aktiv: Vollständiger Pfad des Objekts wird angezeigt.
  • Inaktiv: Nur Name des ausgewählten Objekts wird angezeigt.

Default: aktiv

Alarmanzeige

Art der Darstellung der Nummer für die aktiven Alarme.

Auswahl aus Dropdownlist:

  • keine Darstellung
    Die Anzahl der aktiven Alarme wird nicht angezeigt.
    Hinweis: Dies ist auch das Verhalten für Projekte, die für eine Version vor 8.00 kompiliert werden.
  • textuell
    Anzahl der Alarme wird als Zahl angezeigt.
    Hinweis: Die Einfärbung der textlichen Darstellung entspricht der projektierten Farbe der Alarmklasse in der Alarmklasseneigenschaft Farbe.
  • grafisch
    Bei einem oder mehreren aktuellen Alarmen wird dies mit einer Grafik visualisiert.
    Für die Darstellung wird die Grafikdatei verwendet, die in der Eigenschaft Grafikdatei verknüpft wurde.
    Hinweis: Für die Anzeige wird die Höhe der Grafik automatisch auf die Höhe des Textes skaliert.

Default: grafisch

Filteroptionen

Option

Beschreibung

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.

Default: aktiv
Hinweis: bei neuen Projekten ist diese Checkbox immer aktiviert. Für Projekte, die vor zenon 7.60 erstellt und in die aktuelle Version hochkonvertiert wurden, ist diese Option inaktiv.

Zu aktualisierende Bilder

Modus der Aktualisierung.

Option

Beschreibung

Zu aktualisierende Bilder

Auswahl der Bilder, die zur Runtime mit dem Bild vom Typ Anlagenmodell auf Anlagenmodelle gefiltert werden können.

Es können Bilder gefiltert werden, die Daten aus AML, CEL, RGM oder Schichtmanagement darstellen.
Es können auch Bilder vom Typ Faceplate ausgewählt werden. Enthalten diese aber keine Daten aus AML, CEL, RGM oder Schichtmanagement, werden sie zur Runtime ignoriert.

Auf allen Bildschirmen aktualisieren

Ausführungsort für die Option Zu aktualisierende Bilder:

  • Aktiv:
    Die in der Liste Zu aktualisierende Bilder angeführten Bilder werden auf allen Bildschirmen gesucht.
  • Inaktiv:
    Die in der Liste Zu aktualisierende Bilder angeführten Bilder werden nur auf dem aufrufenden Bildschirm gesucht.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Dieser Filter kann nur im Editor, aber nicht mehr zur Runtime, konfiguriert werden.


Filtern in Detailansicht

Handbuch > Anlagenmodellierung > Filtern in Detailansicht

In der Detailansicht des Projektmanagers kann nach Anlagengruppen gefiltert werden. Falls diese noch nicht angezeigt werden, wählen Sie im Kontextmenü den Befehl Spaltenauswahl und fügen Anlagengruppen hinzu.

Um zu filtern:

  • Klicken Sie auf das Filtersymbol in der Kopfspalte Anlagengruppen.
  • Der Auswahldialog für die Anlagengruppen wird geöffnet.
  • Fügen Sie die gewünschten Filterkriterien zur Liste hinzu.
  • Es werden nur noch jene Elemente in der Detailansicht angezeigt, die mit den ausgewählten Anlagengruppen verknüpft sind.

Um den Filter zurückzusetzen:

  • Klicken Sie auf das Filtersymbol in der Kopfspalte Anlagengruppen.
  • Der Auswahldialog für die Anlagengruppen wird geöffnet.
  • Entfernen Sie die gewünschten Filterkriterien aus der Liste.


Filtern zur Runtime

Handbuch > Anlagenmodellierung > Filtern zur Runtime

Um zur Runtime auf Anlagengruppen zu filtern haben Sie folgende Möglichkeiten:

  • Filter bei der Bildumschaltung definieren:
    Erstellen Sie eine Funktion Bildumschaltung auf das gewünschte Bild und definieren in der Registerkarte Anlagenmodellierung den Filter. Zur Runtime werden Daten entsprechend dem voreingestellten Filter angezeigt. Um den Filter zur Runtime zu verändern, muss der Button Filter vorhanden sein.
  • Bild vom Typ Anlagenmodell:
    Erstellen Sie ein Bild vom Typ Anlagenmodell und weisen Sie ihm bei der Bildumschaltung ein Anlagenmodell zu. Zur Runtime können Sie Anlagengruppen auswählen und als Filter auf bereits geöffnete Bilder anwenden. Weiteres können alle mit einer Anlagengruppe verknüpften Funktionen auf Knopfdruck hintereinander ausgeführt werden.

info Info

Wenn Sie bei der Filterung die Option Hierarchischer Filter aktivieren, werden auch alle untergeordneten Ebenen des Anlagenmodells bei der Filterung berücksichtigt.

Noch in diesem Kapitel

Bei Bildaufschaltung und Funktionsausführung filtern

Filter erstellen

Bild vom Typ Anlagenmodell zur Runtime verwenden


Bei Bildaufschaltung und Funktionsausführung filtern

Handbuch > Anlagenmodellierung > Filtern zur Runtime > Bei Bildaufschaltung und Funktionsausführung filtern

Filterung auf Anlagengruppen zur Runtime ist möglich bei folgenden Funktionen:

  • AML und CEL:
    • Alarme löschen
    • Alarme quittieren
    • AML exportieren
  • Message Control:
    • Gruppen/Klassen/Bereiche/Anlagen unterdrücken
  • Schichtmanagement
  • Rezeptgruppen-Manager

Filterung

Für die Filterung via der Funktion Bildumschaltung kann das Ergebnis der Filterung des Anlagenmoduls vom Bildtyp abhängig sein.

  • Bildumschaltung auf Bild vom Typ:
    • AML:
      Es werden nur die Alarme angezeigt, deren Variablen mit den Anlagengruppen verknüpft sind.
    • CEL:
      Es werden nur die Einträge angezeigt, deren Variablen mit den Anlagengruppen verknüpft sind.
    • Rezeptgruppen-Manager:
      Es werden nur die Rezeptgruppen in der Dropdownliste angeboten, die auch im Filter enthalten sind. Werden neue Rezeptgruppen angelegt, können diese mit bestehenden Anlagengruppen verknüpft werden. Diese neu angelegten Daten können im Editor wieder aus den Runtime-Dateien zurückgelesen werden. Dabei werden auch die verknüpften Anlagengruppen zurückgelesen.
    • Schichtmanagement:
      Es werden nur Schichten angezeigt, die mit den Anlagengruppen verknüpft sind.

info Info

Wenn Sie bei der Filterung die Option Hierarchischer Filter aktivieren, werden auch alle untergeordneten Ebenen des Anlagenmodells bei der Filterung berücksichtigt.


Filter erstellen

Handbuch > Anlagenmodellierung > Filtern zur Runtime > Filter erstellen

Um die Funktion Bildumschaltung zu erstellen und auf Anlagengruppen zu filtern:

  1. Erstellen Sie eine Funktion Bildumschaltung.
  2. Wählen Sie das gewünschte Bild.
  3. Klicken Sie im Dialog Filter auf die Registerkarte Anlagenmodellierung.
  4. Wählen Sie Modelle und Anlagengruppen aus.
  5. Bestätigen Sie mit OK.

Dialog

Hinweis: Die jeweils angezeigten Registerkarten hängen ab vom Modul, in dessen Kontext die Anlagenmodellierung konfiguriert wird.

Anlagenmodellierung

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bild vom Typ Anlagenmodell zur Runtime verwenden

Handbuch > Anlagenmodellierung > Filtern zur Runtime > Bild vom Typ Anlagenmodell zur Runtime verwenden

Zur Runtime können andere, bereits aufgeschaltete Bilder, die Daten aus AML oder CEL enthalten, auf Anlagengruppen gefiltert werden.

Um Anlagengruppen als Filter auszuwählen:

  1. Wählen Sie die gewünschten Anlagengruppen aus.
    Mehrfachauswahl ist per Strg+Mausklick sowie Umschalt+Mausklick möglich.
  2. Klicken Sie auf den Button Auswahl anwenden.

    Hinweise:

    • Wenn Sie mehr als eine Anlagengruppe auswählen, wird der Button Funktion ausführen deaktiviert.
    • Damit der Filter wirkt, muss das Ziel-Bild bereits geöffnet sein.
    • Die Ausgabevariable der Auswahl listet alle ausgewählten Elemente auf.
      Trennzeichen: Strichpunkt (;)

Um den Filter zurückzusetzen:

  1. Klicken Sie auf den Button Anlagenfilter zurücksetzen

Auswahl Anlagengruppen

Kontrollelemente

Kontrollelement | Beschreibung
Anlagenmodell (Bezeichnung) | Textfeld zur Darstellung des Namens des im Bild dargestellten Anlagenmodells. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anlagenmodell (Struktur) | Baumelement, das die Gruppenstruktur des gewählten Anlagenmodells darstellt. Zur Runtime ist Mehrfachauswahl der Anlagengruppen möglich.

Auswahl

Buttons für die Auswahl für die Darstellung zur Runtime.

Kontrollelement

Beschreibung

Auswahl anwenden

Die im Baum ausgewählten Gruppen werden als Filter auf die in der Bildumschaltung gewählten Bilder angewendet. Damit der Filter wirkt, muss das Bild bereits geöffnet sein.

Anlagenfilter zurücksetzen

Die gewählten Filter werden zurückgesetzt und die gefilterten Bilder wieder ungefiltert angezeigt.

Alle erweitern

Alle Knoten des Baumes werden erweitert und alle Untergruppen angezeigt.

Alle reduzieren

Alle erweiterten Knoten werden reduziert. Es werden nur die Hauptgruppen des Baums angezeigt.

Auswahl erweitern

Der ausgewählte Knoten des Baums wird erweitert.

Auswahl reduzieren

Der ausgewählte Knoten des Baums wird reduziert.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.

Funktionen ausführen

Alle Funktionen des lokalen Projekts, die mit der momentan im Baum ausgewählten Gruppe verknüpft sind, werden ausgeführt. Die Reihenfolge der Ausführung ist nicht festgelegt.
Hinweis: Die Konfiguration der Option Hierarchischer Filter hat keine Auswirkung bei Funktionsausführung.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Anlagenmodell (Bezeichnung) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Beispiel

In einem Werk sollen die Alarme der Halle 3 angezeigt werden.

Projektierung:

  • Halle 3 wird im Anlagenmodell als eigene Anlagengruppe definiert.
  • Bei der Bildumschaltung auf das Bild vom Typ Anlagenmodell wird:
    • das Anlagenmodell, das Halle 3 enthält, gewählt
    • das Bild vom Typ AML als Zu aktualisierendes Bild ausgewählt

Zur Runtime wird:

  • die Alarmmeldeliste aufgeschaltet
  • das Anlagenmodell aufgeschaltet
  • die Anlagengruppe mit Halle 3 ausgewählt
  • der Button Auswahl anwenden gedrückt

Das aufgeschaltete AML-Bild zeigt nur noch jene Alarme an, die Halle 3 betreffen.


Archivserver

Handbuch > Archivserver

Der Archivserver übernimmt in zenon die Speicherung von Prozessdaten sowie den Export der archivierten Daten. Die Daten sind damit für spätere Nachbearbeitung und Auswertung - auch außerhalb von zenon - verfügbar.

Das Modul Archivserver steht Ihnen in zenon in zwei Versionen zur Verfügung:

  • Archivserver Starter Edition:
    funktionseingeschränkte Basisversion
  • Archivserver lizenzierte Version

Der Archivserver befindet sich im Projektmanager.

In zenon können Sie die Archivdaten auswerten und weiterverarbeiten mit:

  • Bild vom Typ Archiv-Nachbearbeitung
  • Erweiterter Trend
  • Report Generator
  • Report Viewer
  • zenon Analyzer

Noch in diesem Kapitel

Allgemeine Informationen

Arten der Archivierung

Konzeption der Archivierung

Projektieren im Editor

Funktionen

Bedienen zur Runtime

Verwendung von Archivdaten in zenon

Weiterführende Informationen


Allgemeine Informationen

Handbuch > Archivserver > Allgemeine Informationen

Die Archivierung erfolgt nach verschiedenen Methoden und mit verschiedenen Aufzeichnungsarten.

Um die Archivierung zu nutzen:

  • Legen Sie Archive und Verdichtungsarchive im Editor an.
  • Lassen Sie sich zur Runtime Archive über ein Bild vom Typ Archivnachbearbeitung anzeigen.
  • Speichern Sie Archivdaten in unterschiedlichen Formaten.
  • Werten Sie Archivdaten mit anderen Modulen wie Erweiterter Trend, Report Generator, Report Viewer und zenon Analyzer aus.

attention Achtung

Archive für die Zukunft werden nicht unterstützt.
Manuelle Werteingaben dürfen nie in der Zukunft liegen. Wenn diese Werte laufende Archive betreffen, kann das zu Problemen mit der Archivbehandlung in der Runtime führen.

Zeit

Für die Zeitstempelung der Archive gilt:

  • Speichern:
    Archive benutzen beim Speichern UTC-Zeit. Die lokale Zeit, die am Computer angezeigt wird, setzt sich zusammen aus: UTC + Zeitzone + Sommerzeit/Winterzeit. Die zenon Runtime berücksichtigt bei Archivabfragen automatisch die lokale Zeit.

Detailinformationen

Detailinformationen zu Formaten, Zeit und RDA-Typen finden Sie im Abschnitt Weiterführende Informationen.

Noch in diesem Kapitel

Archivserver lizenzierte Version

Archivserver Starter Edition


Archivserver lizenzierte Version

Handbuch > Archivserver > Allgemeine Informationen > Archivserver lizenzierte Version

Am PC kann die Archivserver Starter Edition jederzeit datenkompatibel zum vollwertigen Archivserver erweitert werden (Lizenzerweiterung).

  • Wird der Archivserver lizenziert, stehen alle Funktionalitäten des Archivservers zur Verfügung.
  • Für die Windows CE 6.0 Runtime ist die Archivserver Starter Edition gemeinsam mit der Erweiterter Trend Starter Edition optional erhältlich (Datenexport unter CE nur im Format CSV).

Leistungsumfang lizenzierte Version

Die lizenzierte Version des Archivservers verfügt über:

  • Datenaufzeichnung: zyklisch, ereignisgesteuert, bei Wertänderung
  • Kaskadierte Datenverdichtung (Verdichtungsarchive)
  • Chargen-Aufzeichnung
  • RDA-Archivierung
  • SQL-Auslagerung
  • Benutzerdefinierter Start/Stopp der Aufzeichnung
  • Funktionsausführung bei Start und Ende des Archivs
  • Automatische Daten-Auslagerung
  • Automatisches Erstellen von Ersatzarchiven
  • Datenexport über Funktion (z.B. nach XML)
  • Manuelle Nachbearbeitung der Archivdaten

SQL-Auslagerung

Die lizenzierte Version des Archivservers kann um SQL-Auslagerung erweitert werden. Dazu muss der zenon SQL Server lizenziert sein.


Archivserver Starter Edition

Handbuch > Archivserver > Allgemeine Informationen > Archivserver Starter Edition

Im Standardumfang der TAG-basierten zenon Version am PC ist die reduzierte Version des Archivservers als Starter Edition enthalten.

Einschränkungen

Die Starter Edition basiert auf dem Standard-Archivserver, hat jedoch folgende Einschränkungen:

  • kein RDA
  • keine Aufzeichnung bei Wertänderung oder ereignisgesteuerte Archivierung, sondern nur zyklische Aufzeichnungsart
  • keine Auslagerung der Daten
  • keine Verdichtungsarchive
  • keine Chargenarchivierung
  • keine manuelle Nachbearbeitung von Archivdaten
  • Export unter CE nur im Format ASCII möglich (am PC zusätzlich auch XML und DBF)
  • Archivdaten können nur im ARX-Dateiformat gespeichert werden

attention Achtung
  • Ist im Editor nur die Archivserver Starter Edition lizenziert, können Funktionalitäten, die deren Einschränkungen übersteigen, nicht projektiert werden.
  • Ist in der Runtime nur die Archivserver Starter Edition lizenziert, werden Archive, die deren Einschränkungen übersteigen, nicht gestartet. Es wird ein Eintrag im Diagnosis Server erzeugt.
    Ebenso können dann vom Report oder von der Archiv-Nachbearbeitung keine Speicheroperationen durchgeführt werden.
    Beispiel: Ein Archiv ist mit Aufzeichnung bei Wertänderung projektiert. In der Runtime wird es nicht gestartet. Dadurch werden auch keine Daten für das Archiv aufgezeichnet.

Hinweis: Für I/O lizenzierte Versionen steht die Starter Edition nicht zur Verfügung.


Arten der Archivierung

Handbuch > Archivserver > Arten der Archivierung

Die Archivierung basiert auf dem Prinzip der Kaskadierung von Archiven. Dabei werden in einem Basisarchiv die gewünschten Variablen erfasst und über Verdichtungsfunktionen in ein Verdichtungsarchiv übernommen. Dieser Vorgang lässt sich beliebig oft fortsetzen. Archive können auf unterschiedliche Arten erstellt werden. Für jede Erstellungsart stehen ein bis drei Methoden zur Aufzeichnung zur Verfügung.

Erstellung

Ein Archiv kann auf unterschiedlichen Wegen erstellt werden:

  • Bei Start und Ende der Runtime:
    Das Archiv ist immer aktiv, wenn die Runtime läuft.
  • Benutzerdefiniert:
    Der Zeitraum, in dem Daten in das Archiv geschrieben werden können, wird über die Funktionen Archiv starten und Archiv beenden.
  • RDA (Real Time Data Acquisition):
    Liest in der Steuerung archivierte Werte aus und speichert sie in einem zenon Archiv.

Aufzeichnungsarten

Daten können mit unterschiedlichen Methoden in Archiven aufgezeichnet werden:

  • Zyklisch:
    In einem definierten Intervall werden die Werte der zugeordneten Variablen in das Archiv geschrieben. Der Wert für Millisekunden wird im Zeitstempel automatisch auf 0 gesetzt.
  • Ereignisgesteuert:
    Dem Archiv wird eine Trigger-Variable zugeordnet. Immer wenn der Wert der Trigger-Variablen auf 1 gesetzt wird, werden die Werte der Variablen in das Archiv geschrieben, die dem Archiv in der Variablenauswahl zugeordnet wurden.
  • Bei Wertänderung:
    Die Werte der zugeordneten Variablen werden bei jeder Wertänderung in das Archiv geschrieben.
    Hinweis: Um die aufgezeichneten Datenmengen gering zu halten, wird bei dieser Aufzeichnungsart die Konfiguration einer Hysterese, speziell Negativ für Archiv und Positiv für Archiv, empfohlen. Details lesen Sie im Kapitel Hysterese im Handbuch Variablen.

Welche Aufzeichnungsart zur Verfügung steht, hängt davon ab, mit welcher Methode das Archiv erstellt wird.

attention Achtung

In einem Archiv vom Typ Bei Wertänderung werden Variablen auch bei jeder Statusänderung gespeichert.

Zum Beispiel: Wenn ein Treiber gestoppt wird, bekommen alle seine Variablen den Status OFF. Somit verursacht das Stoppen und Starten des Treibers 2 Einträge:

  1. OFF
  2. SPONT oder GI (bei erfolgreicher Wiederverbindung)

Das passiert auch, wenn sich der Variablenwert nicht ändert.

Verdichtung

Die Verdichtungsfunktion wird beim Beenden des Speicherzyklus angestoßen. Als Verdichtungsfunktionen stehen zur Verfügung:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

In einem Projekt können auch mehrere Verdichtungsarchive parallel genutzt werden.

attention Achtung

Strings können nicht verdichtet werden.

Aufbewahrung

Um einen kompletten Speicherzyklus aufzubewahren, können die Archivdaten gespeichert oder über eine Funktion exportiert werden.

Aufbewahrung

Beschreibung

Datenbank

Jedes Archiv enthält Dateien, in denen die projektierte Anzahl von Archivzyklen gepuffert wird. Beim Überschreiten der konfigurierten Anzahl an Dateien können Dateien entweder verworfen oder exportiert werden.

Dateiexport

Nach dem Schließen eines Archivzyklus wird dieser sofort in eine Datei exportiert.

Exportfunktion

Der Archivexport sichert Archive mit Zeitfilter in folgenden Standarddateiformaten:

  • ASCII
  • dBase
  • SQL
  • XML

Dabei gilt:

  • Dateien können lokal auf dem Rechner oder auf freigegebenen Laufwerken in einem Netzwerk gespeichert werden.
  • Die Dateinamen werden vom System eigenständig vergeben.
  • Der Name enthält Jahr, Monat, Tag, Stunde, Minute und Sekunde des Exports:
    JJMMTThhmmss.XML

Noch in diesem Kapitel

Bei Start und Ende der Runtime

Archivierung über Funktionen starten und stoppen

RDA - Real time Data Acquisition


Bei Start und Ende der Runtime

Handbuch > Archivserver > Arten der Archivierung > Bei Start und Ende der Runtime

Bei dieser Form der Archivierung wird das Archiv beim Starten der Runtime gestartet und beim Beenden der Runtime gestoppt. Die Aufzeichnung der Daten kann erfolgen:

  • zyklisch
  • ereignisgesteuert
  • bei Wertänderung


Archivierung über Funktionen starten und stoppen

Handbuch > Archivserver > Arten der Archivierung > Archivierung über Funktionen starten und stoppen

Die Archivierung in der zenon Runtime kann auch manuell mithilfe der Funktionen Archiv starten und Archiv beenden gesteuert werden.

Solange ein Archiv aktiv ist, können Werte in das Archiv geschrieben werden. Bei Archivierung über Funktionen kann die Aufzeichnung erfolgen:

  • zyklisch
  • ereignisgesteuert
  • bei Wertänderung


RDA - Real time Data Acquisition

Handbuch > Archivserver > Arten der Archivierung > RDA - Real time Data Acquisition

Die RDA-Funktionalität wird verwendet, um in der Steuerung archivierte Werte auszulesen und in einem zenon Archiv zu speichern. Die Aufzeichnung kann erfolgen:

  • Bei Wertänderung

Eine typische Anwendung dafür sind Steuerungen, die nicht permanent mit zenon kommunizieren oder viele Werte in einem kurzen Zeitraum archivieren sollen.

Example Beispiel

Für eine Steuerung mit Kommunikation bei Wertänderung sollen Werte in einem Zeitraum <100 ms archiviert werden. Die Werte werden in diesem Fall in der Steuerung gesammelt und mittels RDA als Block ausgelesen.

(Hinweis: Die kleinste in zenon mögliche Abtastrate ist 100 ms.)

RDA kann auch für Post-Mortem-Analysen bei Fehler auf der Steuerung verwendet werden, wenn die Steuerung dies unterstützt.

Hinweis: RDA-Archive können ausgelagert werden. Die Auslagerung erfolgt sofort nach dem Schließen des Archivs.

Konfiguration

Um RDA zu konfigurieren:

  1. Definieren Sie die Variablen in der Steuerung.
    • Für jede RDA-Variable muss ein eigener, durchgehender, linearer Bereich in der SPS vorgesehen werden.
    • Der Datentyp für die Variablen darf nicht kleiner sein als der, in dem die Steuerung organisiert ist.
    • Die erste Variable des für RDA vorgesehenen Bereichs in der Steuerung dient als Trigger für das Anstoßen des Transfer-Prozesses.
      Das heißt: Wird diese Variable von der Steuerung auf den Wert 1 (oder >0) gesetzt, dann werden die nachfolgenden Werte (wie im Header definiert) in zenon geladen und archiviert. Danach setzt der Treiber die Variable automatisch wieder auf den Wert 0.
  2. Definieren Sie die Variable in zenon.

    Die Werte werden im Archiv im Format des Datentyps der RDA-Variable angezeigt.
    Beispiel: Sollen im Archiv die Werte als Gleitkommazahl (REAL) angezeigt werden, muss die RDA-Variable den Datentyp REAL haben.

    Achtung: Die Variablen-Eigenschaft Aufzeichnungsart für Harddisk Datenspeicherung muss auf Nachsortierte Werte (RDA) eingestellt werden.

  3. Legen Sie das Archiv in zenon an und wählen Sie die RDA-Variablen aus.
    Das Archiv muss als Aufzeichnungsart Bei Wertänderung eingestellt sein.

Hinweis: Detaillierte Informationen zur RDA-Archivierung finden Sie im Kapitel RDA im Abschnitt Weiterführende Informationen.

info Info

Ob ein Treiber RDA unterstützt, erfahren Sie in der Dokumentation des jeweiligen Treibers.

Treiber mit symbolischer Kommunikation unterstützen RDA generell nicht. Für einige dieser Treiber existiert aber eine Umgehungslösung. Informationen dazu finden Sie beim jeweiligen Treiber und im Kapitel Hinweise.


Konzeption der Archivierung

Handbuch > Archivserver > Konzeption der Archivierung

Für die Archivierung gilt generell:

  • Prinzipiell können pro Projekt bis zu 1296 unterschiedliche Archive projektiert werden.
  • Je Archiv können beliebig viele Variablen angelegt werden.
  • Die Zahl der geschlossen aufbewahrten Archive wird nur durch den zur Verfügung stehenden Speicherplatz begrenzt.

Bereits vor Erstellung der Archive muss definiert werden, welche Daten in welcher Granularität archiviert werden sollen.

Empfehlungen:

  • Halten Sie Archive übersichtlich und verzichten Sie auf Massendatenhaltung, denn:
    • Nicht benötigte Archive generieren zusätzlich hohen Bedarf an Speicherplatz und lasten unter Umständen den Rechner unnötig aus.
    • Zu große Archive benötigen bei der Anzeige zur Runtime extra Ressourcen und Zeit.
  • Versuchen Sie Zusammengehörigkeit von Daten zu erkennen und dies in die Zusammenstellung Ihrer Archive einfließen zu lassen.

Basisfragen

Bevor die Archivierung projektiert wird, sollte ein Konzept erstellt werden. Wichtig ist die Entscheidung:

  • Welche Daten sollen
    • in welchen Abständen
    • über welchen Treiber/welches Protokoll
    • für welchen Zweck archiviert werden
  • Welche Daten sollen
    • in welchen zenon Modulen oder externen Anwendungen verwendet werden

Datenherkunft

Die Datenherkunft ist einer der wichtigsten Punkte bei der Erstellung eines Archives. Dabei geht es vor allem um:

  • Welcher Art sind die Daten?
  • Wie werden die Daten an zenon übergeben?

Weitere wichtige Informationen für die Konfiguration:

  • Treiber:
    Welche Treiber stellen die Verbindung zur SPS her?
    Daten können sinnvoll nur so oft in ein Archiv geschrieben werden, wie der Treiber sie liefern kann.
  • Granularität:
    Wie detailliert müssen die Daten aufgezeichnet werden?
    Zum Beispiel: Für einen Wasserzähler genügt es meistens, einen Wert täglich zu archivieren. Für eine Presse in der Automobilherstellung müssen dagegen eventuell Wertänderungen im Bereich weniger Millisekunden aufgezeichnet werden.
  • Aufbewahrungszeitraum:
    Wie lange sollen die Daten in zenon zur Verfügung stehen?
    Je mehr Daten innerhalb einer bestimmten Zeit archiviert werden, desto mehr Speicherbedarf erzeugen diese.
  • Granularität für Langzeitarchivierung:
    Bei großen Datenmengen ist es wichtig, einzuplanen, wie lange diese in einer bestimmten Auflösung vorhanden sein sollen. Ist es zum Beispiel notwendig, die Daten auch nach Jahren noch in der Auflösung zu verwenden, in der sie gesammelt wurden? Oder genügen Mittelwerte oder Summen über längere Zeiträume? In letzterem Fall werden in zenon Verdichtungsarchive angelegt.

Datenverwendung

Nicht nur die Herkunft der Daten spielt eine wichtige Rolle bei der Archivierung, auch deren spätere Verwendung in zenon .

Archivdaten werden vorwiegend in Trends und Reports verwendet. Um den Bedarf an Arbeitsspeicher möglichst gering und Ladezeiten kurz zu halten, müssen die Daten möglichst effizient vorgehalten werden.

Hinweis: Kapseln Sie die Daten immer entsprechend ihrer Verwendung. Das heißt: Der Speicherzyklus der Archive muss gut gewählt werden. Der Zeitraum der Daten in einer Kapsel sollte dem Zeitraum der in zenon verwendeten Daten entsprechen.

Zum Beispiel: Es sollen Daten der letzten zehn Minuten in einem Trend betrachtet werden. Wird jeden Tag nur eine Kapsel pro Archiv gespeichert, dann muss das gesamte Archiv eines Tages gelesen werden, um Daten für 10 Minuten anzuzeigen. Der größte Teil der Daten wird also umsonst geladen. Werden umgekehrt die Kapseln im Minutenabstand gespeichert, müssen für die Betrachtung 10 Kapseln geöffnet werden.

Im Konzept der Datenverwendung müssen der Informationsgehalt je Kapsel und die Anzahl der benötigten Dateien ausbalanciert werden. Häufig genutzte Wege:

  • Archive für unterschiedliche Zwecke konzipieren.
    Zum Beispiel Archive für langfristige Datenhaltung und Archive für die Verwendung in Trends, die nur kurze Zeit gespeichert werden.
  • Daten, die gemeinsam verwendet werden, auch in einem Archiv zusammenfassen.
    Zum Beispiel Daten für die Verwendung in einem Trend in einem Archiv für die Anzeige im Trend. Damit wird vermieden, dass für unterschiedliche Kurven in einem Trend jeweils mehrere Kapseln geladen werden müssen, in denen eventuell auch Daten enthalten sind, die für den Trend nicht von Bedeutung sind.

Auflösung Druck und Bildschirmausgabe

Speziell bei der Verwendung der Daten im Erweiterten Trend spielt die Auflösung des Bildschirms oder Drucks eine entscheidende Rolle. Denn die Auflösung begrenzt die Anzahl der sinnvoll darstellbaren Werte pro Kurve. Wird die Trendkurve in einem Element mit 1.000 Pixel Breite angezeigt, können auch nicht mehr als 1.000 Werte pro Kurve dargestellt werden.

Noch in diesem Kapitel

Best Practice


Best Practice

Handbuch > Archivserver > Konzeption der Archivierung > Best Practice

Die Konfiguration von Archiven muss vor allem berücksichtigen, welche Daten aus welchem Zeitraum für welchen Zweck benötigt werden. Dabei ist es wichtig, Größe und Anzahl der Archive zu optimieren. Zu große Archive etwa können zu hohen Auslastungen von Rechnern und hohem Verbrauch an Speicherplatz führen oder die Ausführung der Runtime behindern. Welche Aufzeichnungsarten und Zykluszeiten unterstützt werden, hängt von SPS und Treiber ab.

In diesem Kapitel finden Sie Hinweise für effektive Konfigurationen.

Konfiguration für die Aufzeichnungsart "Bei Wertänderung"

Die Aufzeichnungsart Bei Wertänderung speichert jede Änderung. Das kann sich bei bis zu 10 Werten pro Sekunde auf 36.000 Werte pro Stunde summieren. Müssen längere Zeiträume dargestellt werden, dann müssen zur Runtime große Archive eingelesen werden. Es werden immer alle Werte aller Variablen eingelesen, auch wenn nur eine Variable angezeigt wird. Die maximale Anzahl der in den Speicher zu lesenden Werte kann für Erweiterter Trend, Archiv-Nachbearbeitung, AML, CEL und Tabellen angepasst werden. Standardmäßig ist die Größe auf 1 GB begrenzt. Die Größe kann über die zenon6.ini und den Eintrag SPEICHER= angepasst werden.

Empfehlungen:

  • Erheben Sie, welche Variablen, die meisten Einträge verursachen.
  • Konfigurieren Sie die Hysterese für sich rasch ändernde (z.B. flatternde) Werte. Damit wird die Zahl der Einträge reduziert.
  • Passen Sie den Wert für SPEICHER= an Ihr System an.
  • Testen Sie die Größenentwicklung der Archivdateien auf einem Testsystem vor der Implementierung in das Produktivsystem.

Konfiguration für die Anzeige in einem Trend

Die in einem Trend anzeigbaren Daten sind auch durch die physikalischen Gegebenheiten des Bildschirms oder des Ausdrucks begrenzt. Erstreckt sich ein Trend-Diagramm zum Beispiel über 1440 Pixel können theoretisch auch nur maximal 1440 Werte angezeigt werden. Sollen für einen Wert 5 Pixel zur Verfügung stehen, entspricht das einem Wert alle fünf Minuten innerhalb von 24 Stunden.

Empfehlungen:

  • Evaluieren Sie, welche Daten und Zeiträume zur Runtime benötigt werden.
  • Packen Sie die Variablen, die gemeinsam angezeigt werden in ein Archiv statt die Archive nach Variablen aufzuteilen.
  • Nutzen Sie Verdichtungsarchive.
  • Passen Sie die Speicherzyklen von Archiven und Verdichtungsarchiven an die anzuzeigenden Zeiträume an.

    Je weniger redundante Daten eingelesen und im Netzwerk übertragen werden müssen, desto geringer ist der Aufwand für die Runtime.

  • Benutzen Sie für größere Zeiträume Zoomen, um Daten aus Verdichtungsarchiven anzuzeigen statt alle Daten aus einem Basisarchiv anzuzeigen.
  • Indexieren Sie die Runtime-Dateien (Projekteigenschaft Runtime-Dateien indizieren).
  • Indexieren Sie Chargenvariablen (Konfiguration der Archive).
  • Deaktivieren Sie bei großen Datenmengen die automatische Aktualisierung der Anzeige im Trend.

Konfiguration für Reporting

Empfehlungen:

Verwenden Sie die Aufzeichnungsart Bei Wertänderung nur, wenn unbedingt nötig.

Das Aufzeichnen jeder Änderung kann zu sehr hohem Datenaufkommen führen.

  • Nutzen Sie Archive mit zyklischer Aufzeichnung.
  • Passen Sie die Aufzeichnungszeiträume und Speicherzyklen an die anzuzeigenden Perioden an.


Projektieren im Editor

Handbuch > Archivserver > Projektieren im Editor

Archive werden im Editor im Modul Archivserver angelegt und verwaltet.

Noch in diesem Kapitel

Detailansicht

Symbolleiste und Kontextmenüs

Neues Archiv anlegen

Archiv bearbeiten

Verdichtungsarchive

Variablen hinzufügen und entfernen

Chargenarchivierung

Bild vom Typ Archiv-Nachbearbeitung anlegen


Detailansicht

Handbuch > Archivserver > Projektieren im Editor > Detailansicht

Archive werden in der Detailansicht in einer Tabelle angezeigt. Die Spalten dieser Tabelle sind fest eingestellt und können nicht individuell konfiguriert werden. Die Spaltenbreite kann mit der Maus angepasst werden. In den Spalten kann inkrementell gesucht werden.

Tabellenspalten

Angezeigt werden für jedes Archiv:

  • Archive
  • Starten, beenden
  • Beginn
  • Aufzeichnungsart
  • Auslagern
  • Chargenvariable
  • Anzahl
  • geschätzte Größe

Suche in der Tabelle

Um in der Tabelle zu suchen:

  1. Klicken Sie auf den gewünschten Spaltenkopf.
  2. Ein Symbol (Fernglas) zeigt an, dass in dieser Spalte gesucht wird.
  3. Tippen Sie den Suchbegriff ein.
  4. Der erste passende Eintrag wird markiert.


Symbolleiste und Kontextmenüs

Handbuch > Archivserver > Projektieren im Editor > Symbolleiste und Kontextmenüs

Projektbaum

Kontextmenü Archivserver

Menüpunkt | Aktion
Archiv neu | Öffnet den Assistenten zur Erstellung eines neuen Archivs.
Alle als XML exportieren... | Exportiert alle Archive in XML-Datei.
XML importieren | Importiert XML-Dateien.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Detailansicht

Symbolleiste Archivserver und Archive

Symbol | Beschreibung
Archiv neu | Öffnet den Assistenten zur Erstellung eines Archivs.
Verdichtungsarchiv neu | Öffnet den Assistenten zum Anlegen eines Verdichtungsarchivs.
Archiv bearbeiten | Öffnet den Dialog zur Bearbeitung des ausgewählten Archivs.
Variable hinzufügen | Öffnet den Dialog zur Auswahl der Variablen.
Variable entfernen | Löscht Variable ohne Sicherheitsabfrage aus der Liste.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Löschen | Löscht das ausgewählte Archiv.
Auswahl als XML exportieren... | Exportiert ausgewählte Archive in XML-Datei.
XML importieren | Importiert XML-Dateien.
Umbenennen | Ermöglicht es, den Archivnamen zu ändern.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Archivserver

Menüpunkt | Aktion
Archiv neu | Öffnet den Assistenten zur Erstellung eines neuen Archivs.
Speichern | Speichert die Projektierung für neue und geänderte Archive. Hinweis: Dieser Eintrag ist nur im Knoten Archivserver der Detailansicht verfügbar. Im Knoten des Arbeitsbereichs ist dieser Eintrag nicht verfügbar.
Alle als XML exportieren... | Exportiert alle Archive in XML-Datei.
XML importieren | Importiert XML-Dateien.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Archiv

Menüpunkt | Aktion
Archiv bearbeiten | Öffnet den Dialog zur Bearbeitung des ausgewählten Archivs.
Variable hinzufügen | Öffnet den Dialog zur Auswahl der Variablen.
Verdichtungsarchiv neu | Öffnet den Assistenten zum Anlegen eines Verdichtungsarchivs.
Vorlage erstellen | Öffnet den Dialog zur Erstellung einer Vorlage für Verdichtungsarchive.
Vorlage importieren | Öffnet den Dialog zum Import einer Vorlage für Verdichtungsarchive.
Löschen | Löscht ausgewähltes Archiv
Auswahl als XML exportieren... | Exportiert ausgewählte Archive in XML-Datei.
XML importieren | Importiert XML-Dateien.
Umbenennen | Ermöglicht es, den Archiv-Namen zu ändern.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Verdichtungsarchiv

Menüpunkt | Aktion
Archiv bearbeiten | Öffnet den Dialog zur Bearbeitung des ausgewählten Archivs.
Variable hinzufügen | Öffnet den Dialog zur Auswahl der Variablen.
Verdichtungsarchiv neu | Öffnet den Assistenten zum Anlegen eines Verdichtungsarchivs.
Löschen | Löscht ausgewähltes Archiv
Auswahl als XML exportieren... | Exportiert ausgewählte Archive in XML-Datei.
XML importieren | Importiert XML-Dateien.
Umbenennen | Ermöglicht es, den Archiv-Namen zu ändern.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Variablenliste

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl der Variablen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Variable

Menüpunkt | Aktion
Variable entfernen | Löscht Variable aus Liste. Achtung: Löschen erfolgt ohne Sicherheitsabfrage.
Hilfe | Öffnet die Online-Hilfe.


Neues Archiv anlegen

Handbuch > Archivserver > Projektieren im Editor > Neues Archiv anlegen

Sie können Archive manuell anlegen oder mit Hilfe eines Assistenten. Damit der Assistent gestartet werden kann, muss im Editor im Menü Extras/Einstellungen die Option Assistenten verwenden aktiviert sein.

Um ein neues Archiv mit Assistent anzulegen:

  1. Stellen Sie sicher, dass die Option Assistenten verwenden aktiviert ist.
  2. Navigieren Sie zum Knoten Archivserver.
  3. Wählen Sie im Kontextmenü oder in der Symbolleiste Archiv neu.
  4. Der Assistent wird gestartet. Folgen Sie den Schritten des Assistenten.

Um ein neues Archiv individuell anzulegen:

  1. Navigieren Sie zum Knoten Archivserver.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Archiv neu.
  3. Der Dialog Neues Archiv wird geöffnet.
    Falls der Assistent gestartet wird, beenden Sie diesen über die Schaltfläche Abbrechen.
  4. Konfigurieren Sie das Archiv entsprechend dem Dialog Archiv bearbeiten.

Noch in diesem Kapitel

Assistent


Assistent

Handbuch > Archivserver > Projektieren im Editor > Neues Archiv anlegen > Assistent

Der Assistent unterstützt Sie bei der grundlegenden Projektierung eines Archivs. Der Assistent unterstützt beim Anlegen von Archiven und Verdichtungsarchiven. Er ermöglicht die Eingabe von Name und Kurzbezeichnung des Archivs, die Auswahl von Variablen und Vorlagen sowie die Einstellungen der Aufzeichnungsart der Variablenwerte.

Option | Beschreibung
Weiter | Blättert zur nächsten Seite des Assistenten.
Zurück | Blättert zur vorhergehenden Seite des Assistenten.
Abbrechen | Alle getroffenen Einstellungen werden verworfen. Kein Neues Archiv wird erstellt.
Fertigstellen | Nur verfügbar am Ende des Assistenten. Beendet den Assistenten. Das neue Archiv wird in den Archivbaum (Detailansicht des Projektmanagers) eingetragen.

Wenn Sie das Archiv ohne Hilfe des Assistenten projektieren wollen, klicken Sie auf Abbrechen.

Wird der Assistent nicht angezeigt, dann:

  1. Öffnen Sie im Editor das Menü Extras.
  2. Wählen Sie Einstellungen.
  3. Aktivieren Sie in der Registerkarte Einstellungen die Option Assistenten verwenden.

Konfiguration mit Assistent

  1. Klicken Sie nach dem Start des Assistenten auf die Schaltfläche weiter. Die Konfiguration beginnt mit der Vergabe des Namens und der Kurzbezeichnung.
  2. Vergeben Sie eine Kurzbezeichnung (2 Zeichen obligatorisch) und einen Namen.

    • Kurzbezeichnung: 2 Zeichen. Darf nur alphanumerische Zeichen enthalten, also alle Buchstaben von A bis Z und Ziffern von 0 bis 9, aber keine länderspezifischen Zeichen oder Sonderzeichen.
      Hinweis: Die Kurzbezeichnung ist im Nachhinein nicht mehr veränderbar.
    • Name: Eingabe eines gültigen Namens für das Archiv.
      Folgende Zeichen sind verboten: / \ : * ? < > ! | " ' # % @
      Der Name kann später geändert werden.
  3. Klicken Sie auf Weiter.
  4. Die Variablenauswahl wird konfiguriert.

    1. Klicken Sie auf die Schaltfläche Variablenauswahl.
    2. Der Dialog zur Auswahl von Variablen, die archiviert werden sollen, wird geöffnet.
    3. Wählen Sie die gewünschten Variablen aus.
  5. Klicken Sie auf Weiter.

    Die zu verwendende Vorlage für die gewünschte Verdichtungsstruktur wird ausgewählt.

    Klick auf die Schaltfläche Vorlagenauswahl öffnet den Dialog für die Auswahl einer Vorlage.

    • Vorlagen können nur für Basis-Archive mit zyklischer Abtastung importiert werden. Diese Archive dürfen noch keine Verdichtungsarchive besitzen.
    • Der Dialog wird nur geöffnet, wenn mindestens eine Vorlage vorhanden ist.

    Achtung: Es wird nicht überprüft, ob die Vorlage eine gültige Verdichtungsstruktur enthält.

    Weiterer Ablauf des Assistenten:

    • Auswahl einer Vorlage: Der Assistent ist damit beendet. Klicken Sie auf die Schaltfläche Fertigstellen.
    • Keine Vorlage ausgewählt: Klicken Sie auf Weiter, um die Aufzeichnungsart individuell zu konfigurieren.
  6. Konfigurieren Sie die Art der Aufzeichnung, falls Sie im Schritt davor keine Vorlage ausgewählt haben.

    Auswahl der Aufzeichnungsart aus Dropdownliste.

  7. Klicken Sie auf Weiter.

    Konfigurieren Sie neue Verdichtungsarchive, falls gewünscht.

    1. Klicken Sie auf Neu, um ein neues Verdichtungsarchiv anzulegen oder auf Bearbeiten, um den Namen eines vorhandenen Archivs zu ändern.
    2. Weisen Sie dem Verdichtungsarchiv die gewünschten Verdichtungsarten. Diese gelten immer für alle in diesem Dialog angezeigten Verdichtungsarchive.
    3. Um ein Verdichtungsarchiv zu löschen, klicken Sie auf Entfernen.
  8. Beenden Sie den Assistenten mit Klick auf Fertigstellen.

Mögliche Aufzeichnungsarten

Option

Beschreibung

Zyklische Aufzeichnung

Stellen Sie die Zykluszeit ein.

Aufzeichnung bei Wertänderung

Konfigurieren Sie:

  • eventuelle Speicherung des Prozessabbilds
  • bei Bedarf Initialisierungswert

Ereignisgesteuerte Aufzeichnung

Konfigurieren Sie:

  • eine Ereignisvariable per Klick auf die Schaltfläche ...
  • den Zeitstempel
  • bei Bedarf Initialisierungswert

Details siehe Kapitel Aufzeichnungsart.

info Info

Bei einem neuen Archiv, wird der Dialog zur Aufzeichnungsart angezeigt. Bei einem Verdichtungsarchiv nicht, da ein Verdichtungsarchiv immer eine Aufzeichnung bei Wertänderung durchführt.


Archiv bearbeiten

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten

Um Archive zu bearbeiten:

  1. Markieren Sie das gewünschte Archiv.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Archiv bearbeiten oder drücken Sie die Eingabe-Taste.

    Der Dialog zum Konfigurieren eines Archivs wird geöffnet.

Hinweis: Dieser Dialog wird auch geöffnet, wenn ein neues Archiv erstellt wird und der Assistent deaktiviert ist.

Noch in diesem Kapitel

Eigenschaften

Runtime

Aufzeichnungsart

Speichern

Optionen

Beispiel


Eigenschaften

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten > Eigenschaften

In dieser Registerkarte definieren Sie die Bezeichnung und wählen Variablen, Chargen und Anlagenmodelle aus.

Hinweis: Hilfe zur Konfiguration der Eigenschaften von Verdichtungsarchiven finden Sie im Kapitel Verdichtungsarchive.

Variablenauswahl

Option

Beschreibung

Variablenauswahl

Anzeige und Konfiguration der Variablen, die in diesem Archiv berücksichtigt werden sollen.

  • Variablen hinzuzufügen:
    Wählen Sie im Kontextmenü Variable hinzufügen. Sie können Variablen aus allen Projekten, die sich im selben Arbeitsbereich befinden, zu Ihrem Archiv hinzufügen. Stellen Sie sicher, dass Variablen aus anderen Projekten zur Runtime auch verfügbar sind.
  • Variablen löschen:
    Markieren Sie die Variable und wählen Sie im Kontextmenü Variable löschen.

Hinweis: Stoßfreie Redundanz wird nur für Variablen unterstützt, die aus dem gleichen Projekt wie das Archiv stammen.

Achtung: Fügen Sie Variablen nur hinzu, wenn das Archiv noch nicht benutzt wurde.
Wenn in einem Archivfilter das Startdatum des Archivs vor dem Datum des Hinzufügens der Variable liegt, wird die Variable nicht berücksichtigt.

Bezeichnung

Option

Beschreibung

Bezeichnung

Name und Kennung des Archivs.

Kennung

Zweistellige eindeutige Kennung des Archives. Diese Kennung wird beim Speichern der Archivdaten in den Namen der ARX-Datei integriert und bei der automatischen Namensvergabe beim Export verwendet. Damit wird die Zuordnung der Dateien zum Archiv gesichert

Achtung: Die Kennung kann nur beim Erstellen eines neuen Archivs vergeben werden. Sie kann nachträglich nicht mehr geändert werden.
Hinweis: Für die Kennung sind nur alphanumerische Zeichen (A-Z und 0-9) erlaubt. Damit werden mögliche Probleme beim Export und bei der Auslagerung der Archive vermieden.

Name

Frei vergebbarer Name des Archivs.

Hinweis: Folgende Zeichen sind verboten: / \ : * ? < > ! | " ' # % @

Chargen

Option

Beschreibung

Chargen

Konfiguration von Chargen. Siehe auch Kapitel Chargenarchivierung.

Chargenvariable

Auswahl von Chargenvariablen. Diese müssen vom Typ String sein. Der Wert der Variablen wird als Chargenname verwendet. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl der Variablen.

Hinweis: Der Wert der Variable wird als Chargenname verwendet. Während das Archiv geöffnet ist, kann sich der Wert der Variablen und somit auch der Chargenname ändern. Beachten Sie dies bei der Filterung. Als endgültiger Chargenname wird der Wert der Variablen beim Beenden des Archivs verwendet.

Chargen indizieren

Aktiv: Die Chargenwerte dieses Archivs werden automatisch indiziert. Das ermöglicht den schnelleren Zugriff auf die Chargenwerte.

Chargen können zur Runtime auch über die Funktion Archiv indizieren indiziert werden.

Anlagenmodellierung

Option | Beschreibung
Anlagenmodellierung | Konfiguration von Anlagenmodellen.
Anlagengruppen | Auswahl einer Anlagengruppe für das Archiv. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Anlagengruppe.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Archive können Variablen aus unterlagerten Projekten enthalten. Variablen aus unterlagerten Projekten sind am Variablennamen erkennbar. Dieser enthält den Projektnamen.

Auch bei der Option Chargenvariable (Chargenarchivierung) und den im Bereich Ereignisvariable verknüpften Inhalten können Variablen aus unterlagerten Projekten verwendet werden.


Runtime

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten > Runtime

In dieser Registerkarte definieren Sie, wann und wie Archive gestartet und gestoppt werden und welche Funktionen zusätzlich bei Archivstart oder Archivende ausgeführt werden.

Starten und Beenden

Option

Beschreibung

Starten und Beenden

Auswahl, wie das Archiv zur Runtime gestartet und gestoppt wird.

Bei Start und Ende der Runtime

Das Archiv wird automatisch mit der Runtime gestartet und gestoppt.

Dabei wird auch der unter Start der Archivierung eingestellte Zeitpunkt berücksichtigt. Liegt dieser in der Zukunft, erfolgt bis zum Erreichen dieses Zeitpunktes keine Archivierung.

Achtung: Wenn Sie diese Einstellung aktivieren, darf das Archiv nicht über Funktionen gestoppt oder gestartet werden. Dies könnte zu unerwünschtem Verhalten der Runtime führen.

Benutzerdefiniert (z. B. über Funktionen)

Das Archiv wird benutzerdefiniert gestartet und gestoppt. Zum Beispiel über die Funktionen Archiv starten und Archiv beenden.

Diese Funktionen können ausgelöst werden:

  • vom Benutzer manuell
  • durch Events
  • über die Zeitsteuerung

Achtung: Diese Funktionen entsprechen nicht jenen der Einstellungen für Funktion ausführen bei.

RDA Blockarchiv

Das Archiv wird via RDA verwaltet.

Dabei werden in der SPS archivierte Werte ausgelesen und in ein zenon Archiv gespeichert. Angestoßen wird dies durch eine Triggervariable.

Hinweis: Mit "Nur vom Standby Server anfordern" konfigurierte Variablen werden in RDA-Archiven nicht unterstützt.

Funktion ausführen bei

Option | Beschreibung
Funktion ausführen bei | Auswahl von Funktionen, die beim Start und beim Beenden des Archives ausgeführt werden sollen. Achtung: Diese Funktionen werden beim Starten und Beenden ausgeführt. Sie lösen das Starten oder Beenden aber nicht aus. Funktionen zum Beenden und Starten eines Archivs werden extra projektiert und mit einem Button oder Event verknüpft.
Archivstart | Auswahl einer Funktion, die beim Start des Archives ausgeführt werden soll.

Archivende

Option | Beschreibung
Archivende | Auswahl einer Funktion, die beim Beenden des Archives ausgeführt werden soll.

Archivstatus

Option

Beschreibung

Statusvariable

Variable für die Abbildung des Status des Archivs:

  • true oder 1:
    Archiv läuft
  • false oder 0:
    Archiv läuft nicht

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog. Die verlinkte Variable muss vom Datentyp BOOL sein.

Für den Wert der Statusvariable gilt:

  • Für Archive die mit der Runtime gestartet werden, ist der initiale Wert true (auch zu Beginn).
  • Archive die über eine Funktion gestartet werden, haben initial den Wert false und ändern diesen Status nach erfolgtem Start auf true.
  • Bei Redundanzumschaltung bleibt der Status auf dem Standby Server erhalten: d.h. laufende Archive auf true und gestoppte auf false.
  • Bei der zyklischen Archivierung erhält die Variable beim Zykluswechsel kurzzeitig den Wert false.

Tipp: verknüpfen Sie als Statusvariable eine Variable des Internen Treibers.

Start der Archivierung

Option

Beschreibung

Start der Archivierung

Festlegung des Startzeitpunkts.

Datum/Zeit

Definition des Startzeitpunkts für den Aufzeichnungs- und Speicherzyklus.

Der eingestellte Zeitpunkt definiert den ersten Speicherzeitpunkt der Dateien, die archiviert werden sollen. Er wird als Berechnungsgrundlage für die eingestellten Speicherzyklen verwendet.

Beispiel: Sie definieren ein Archiv, das wöchentlich gespeichert werden soll. Dieser Speicherzyklus beginnt mit dem eingestellten Startzeitpunkt. Wird dieser auf einen Dienstag gelegt läuft Ihr Wochenarchiv von Dienstag bis Dienstag.

Empfehlungen:

  • Belassen Sie den Startzeitpunkt auf dem 1. 1. um 00:00. Damit ist sichergestellt, dass Monatsarchive und Jahresarchive immer am jeweils ersten Tag beginnen.
  • Der Beginn des Abtast- und Speicherzyklus sollte eine runde Uhrzeit und ein Datum in der Vergangenheit beinhalten, damit die Datenaufzeichnung gleich beim nächsten Start der Runtime beginnt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Aufzeichnungsart

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten > Aufzeichnungsart

In dieser Registerkarte definieren Sie, wie Daten in den Archiven aufgezeichnet werden.

Zyklisch

Option | Beschreibung
Zyklisch | Einstellungen für die zyklische Aufzeichnung. Der Zyklus ist frei wählbar. Er steht aber in engem Zusammenhang mit dem Speicherzyklus. Tipp: Der Speicherzyklus sollte ein Vielfaches des Abtastzyklus betragen. Ansonsten kann es zu Überschneidungen zwischen Abtastung und Speicherung der Archive kommen. Das führt zu Ungenauigkeiten in den Verdichtungsarchiven. Hinweis: Im Zeitstempel wird der Wert für Millisekunden automatisch auf 0 gestellt.
Zyklische Aufzeichnung | Aktiv: Archivdaten werden zyklisch erfasst. Definieren Sie anschließend den Zyklus.
Zykluszeit | Definieren Sie in welchem Zyklus (Tage, Stunden, Minuten und Sekunden) Werte ins Archiv geschrieben werden sollen.
Monatlich | Einlesen der Werte erfolgt bei jedem Monatswechsel.
Offset | Definieren Sie, wie lange das Archiv warten soll nach dem es vom Treiber die Werte angefordert hat. Der Offset wird hauptsächlich bei langsamen Treibern benötigt. Dann ist diese Einstellung wichtig, wenn ein Archiv direkt nach dem Lesen des letzten Wertes geschlossen wird. Er hat keinen Einfluss auf den Zeitstempel der Werte. Hinweis: Der Offset muss immer kleiner als die Zykluszeit sein.

Ereignisgesteuert

Option

Beschreibung

Ereignisgesteuert

Einstellungen für die ereignisgesteuerte Aufzeichnung.

Ereignisgesteuerte Aufzeichnung

Aktiv: Archivdaten werden ereignisgesteuert erfasst.

Triggervariable

Auswahl der Variablen, die das Einlesen der Werte auslösen soll. Das Einlesen wird durch die Flankenänderung dieser Triggervariablen von 0 auf 1 ausgelöst. Auswahl durch Klick auf Schaltfläche ....

Zeitstempel wird übernommen von

Definition, wie der Zeitstempel gesetzt wird. Er kann übernommen werden von:

  • Triggervariable
  • Archivvariable

Bei Wertänderung

Option | Beschreibung
Bei Wertänderung | Einstellungen für die Aufzeichnung bei Wertänderung. Tipp: Diese Methode sollte nicht bei stark schwankenden Werten angewandt werden, da dies zu außergewöhnlich vielen Einträgen führen würde.
Aufzeichnung bei Wertänderung | Aktiv: Variablen werden nur bei eigener spontaner Wertänderung ins Archiv geschrieben. Empfehlung: Legen Sie für den Messbereich eine Hysterese fest, um sich rasch ändernde (z.B. flatternde) Werte zu vermeiden. Diese können schnell große Mengen an Daten erzeugen. Details siehe Kapitel Hysterese im Handbuch Variablen.
Prozessabbild beim Start speichern | Aktiv: Beim Anlegen einer neuen Archiv-Datei werden die aktuellen Werte der Variablen eingetragen. Hinweis: Muss aktiviert werden, wenn eine Gantt-Kurve im Erweiterten Trend auch den aktuellen Zustand anzeigen soll.
Prozessabbild beim Beenden speichern | Aktiv: Beim Schließen einer Archiv-Datei werden die aktuellen Werte der Variablen eingetragen.

Hinweis Prozessabbild: Beim Erstellen eines Abbildes für ein ereignisgesteuertes Archiv wird für alle Variablen ein gemeinsames Kommando geschickt.

Ereignisgesteuert/Bei Wertänderung

Option

Beschreibung

Ereignisgesteuert/Bei Wertänderung

Initialisierungswert ignorieren

Wird eine Variable das erste Mal gelesen, kann ein Initialisierungswert eingetragen werden.

Ein Initialisierungswert wird z.B. beim Start der Runtime oder wenn sich ein Standby Server zum Prozessführenden Server hochstuft eingelesen.

  • Aktiv: Der Initialisierungswert wird im Archiv nicht berücksichtigt.
  • Inaktiv: Der Initialisierungswert wird berücksichtigt.
    Hinweis: Bei Start und dem Umschalten von Servern löst dies einen neuen Initalisierungswert aus. Der dadurch entstandene neue Initialisierungswert wird berücksichtigt und entsprechend ins Archiv eingetragen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Speichern

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten > Speichern

In dieser Registerkarte definieren Sie, wie Archive gespeichert werden.

attention Achtung

Beim Ändern der Speicherart oder des Zyklus wird das aktuelle Alpha-Archiv gelöscht. Ein Alpha-Archiv ist jene Archivdatei, die gerade von zenon beschrieben wird.

Optionen im Dialog Speichern

Speicherformat

Auswahl, wie Archive gespeichert werden.

Option | Beschreibung
Interne Datenbank (*.arx) | Aktiv: Daten stehen für die Nachbearbeitung und Auswertung in einem Ringpuffer (FIFO) zur Verfügung. Die Daten werden in folgendem Ordner abgelegt: [Projektpfad]\[Rechnername]\[Projektname]. Beim Ausreihen (FIFO) werden sie in den Exportordner verschoben.
dBase (*.dbf) | Aktiv: Beim Beenden des Archivs werden die Daten sofort in eine dBase-Datei (*.dbf)ausgelagert. Achtung: Für ausgelagerte Archive sind Nachbearbeitung, Protokollerstellung und Liniengrafik nicht mehr möglich.
CSV (*.txt) | Aktiv: Beim Beenden des Archivs werden die Daten sofort in eine CSV-Datei (*.txt) ausgelagert. Achtung: Für ausgelagerte Archive sind Nachbearbeitung, Protokollerstellung und Liniengrafik nicht mehr möglich.
Als Unicode speichern | Aktiv: Die TXT-Datei wird als Unicode gespeichert.
XML (*.xml) | Aktiv: Beim Beenden des Archivs werden die Daten sofort in eine XML-Datei ausgelagert. Achtung: Für ausgelagerte Archive sind Nachbearbeitung, Protokollerstellung und Liniengrafik nicht mehr möglich.

Hinweis: In der Archivserver Starter Edition ist nur die Speicherung in der internen Datenbank (ARX) möglich.

Speicherzyklus

Definiert das Intervall, in dem Archive angelegt werden. Dieser Zyklus steht zur Runtime in Wechselwirkung mit der Aufzeichnungsart. Details siehe Zyklen zur Runtime.

Option

Beschreibung

Zyklus

Aktiv: Die Länge der Archive wird in Tagen, Stunden, Minuten und Sekunden festgelegt.

Diese Option hat Auswirkung auf die Dateigröße und Anzahl der Archivdateien und bestimmt den Zyklus für Verdichtungsarchive.

Definieren Sie die Werte für:

  • Tage
  • Stunden
  • Minuten
  • Sekunden

Hinweis: Diese Werte wirken sich auch auf benutzerdefinierte Archive aus. Bei diesen werden sie zur Berechnung der Anzahl der zu archivierenden Archive benutzt.

Empfehlung: Werte größer als 30 Sekunden.

Monatswechsel

Aktiv: Das Archiv wird bei jedem Monatswechsel gespeichert (Monatsarchive).

Jahreswechsel

Aktiv: Das Archiv wird bei jedem Jahreswechsel gespeichert (Jahresarchive).

Hinweis: Diese Einstellung definiert bereits den Zyklus für Verdichtungsarchive.

attention Achtung

Benutzerdefiniertes Starten und Beenden der Archive:

Angaben in der Option Zyklus haben zwar keine Auswirkung auf das Starten und Stoppen von Archiven, da dies über Funktionen erfolgt. Allerdings hat dieser Wert Einfluss darauf, wie viele Archiv-Dateien aufbewahrt werden. Die unterschiedliche tatsächliche Größe der Archiv-Dateien wird hier nicht berücksichtigt.

Die Anzahl der aufzubewahrenden Archiv-Dateien wird wie folgt berechnet:
Aufbewahrungsdauer/Zyklus.
Danach wird mit der Auslagerung begonnen. Damit ist sichergestellt, dass auch bei benutzerdefinierter Archivierung nach einer bestimmten Anzahl eine Auslagerung stattfindet. Die Anzahl der aufzubewahrenden Dateien ist mit 65535 begrenzt. Die Konfiguration von Speicherzyklus und Aufbewahrungsdauer berücksichtigt dies automatisch.

Beispiel:

  • Aufbewahrungsdauer: 5 Stunden (= 300 Minuten)
  • Zyklus: 15 Minuten

Ergebnis: 300/15 = 20 aufzubewahrende Archiv-Dateien.

Auslagerung

Konfiguration der Auslagerung der Archive. Archive werden nach dem Auslagern lokal gelöscht.

Option

Beschreibung

Aufbewahrungsdauer

Definieren Sie die Aufbewahrungsdauer des Archivs, bevor es ausgelagert wird.

Granularität:

  • Stunden
  • Tage
  • Monate
  • Jahre

Maximal können 65535 Archivdateien aufbewahrt werden.

Achtung: Die Aufbewahrungsdauer hängt direkt mit dem Speicherzyklus zusammen. Wird der Speicherzyklus verändert, werden die Werte für die Aufbewahrungsdauer an das mögliche Maximum angepasst.

Beispiele:

  • Zyklus: 1 Sekunde
    Maximale Aufbewahrungsdauer 18 Stunden
  • Zyklus 1 Minute
    Maximale Aufbewahrungsdauer 1092 Stunden oder 45 Tage oder 1 Monat

Achtung: Wird der Wert 0 eingetragen, so wird kein Archiv gespeichert. Es existiert jeweils nur das aktuell laufende Archiv.

Auslagerung nach Aufbewahrungsdauer

Festlegung der Auslagerungsmethode.

Hinweis: Die Art der Auslagerungsmethode hat auch Auswirkung auf die Darstellung im Erweiterten Trend.

Weitere Informationen dazu finden Sie im Handbuch Erweiterter Trend im Kapitel Darstellungsunterschiede der Auslagerungsmethoden.

Nicht auslagern (Archive werden gelöscht)

Aktiv: Archive werden nach dem Ablaufen der Aufbewahrungsdauer endgültig gelöscht.

Interne Datenbank (*.arx)

Aktiv: Archive werden im internen Datenbankformat *.arx ausgelagert.

Wenn die Anzahl der aufzubewahrenden Archiv-Dateien erreicht wurde, werden die ältesten Archive im ARX-Format gespeichert. Diese Datei kann später in zenon wieder importiert werden und dort dann sowohl gelesen als auch beschrieben werden.

SQL-Datenbank
  • Aktiv: Archive werden in eine SQL-Datenbank ausgelagert, z.B.: Microsoft SQL Server, Oracle, CRATE.IO und andere Datenbanksysteme, die über eine ODBC-Schnittstelle verfügen.
    Auswahl der Datenbank: Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl und Konfiguration einer Datenbank.

In einer SQL-Datenbank ausgelagerte Archive werden im Gegensatz zu dBase, ASCII oder XML bei Bedarf (etwa Erweiterter Trend) automatisch wieder eingelesen.
Achtung: In SQL ausgelagerte Archive können in zenon nur gelesen, aber nicht mehr beschrieben werden.

Hinweis: Datenbanken können auch in den MS Azure-Dienstbus ausgelagert werden.

Details zur Auslagerung in SQL-Datenbanken lesen Sie im Kapitel Archive in eine SQL-Datenbank auslagern im Abschnitt Weiterführende Informationen.

Tabellen anlegen

Klick auf diese Schaltfläche öffnet den Dialog zum Anlegen oder Aktualisieren von Tabellen in der SQL-Datenbank.

MS Azure-Dienstbus zum Schreiben verwenden

Aktiv: Das Schreiben in die SQL-Tabelle erfolgt nicht direkt via OLEDB-Verbindung und SQL INSERT-Statement, sondern über den MS Azure-Dienstbus.

Der Verbindungsname zum MS Azure-Dienstbus muss in das Feld unter der Option eingegeben werden.

Details lesen Sie im Kapitel MS Azure-Dienstbus im Abschnitt Weiterführende Informationen.

XML (*.xml)

Aktiv: Archive werden im XML-Format ausgelagert.

CSV (*.txt)

Aktiv: Archive werden im CSV-Format in eine Textdatei ausgelagert.

Als Unicode exportieren

Aktiv: Aktivieren Sie diese Checkbox, um die ausgelagerte TXT-Datei als Unicode zu speichern.

dBase (*.dbf)

Aktiv: Archive im DBF-Format ausgelagert.

Exportierte Spalten für CSV/dBase Auslagerung:

Bei den beiden Auslagerungsoptionen dBase und CSV können bestimmte Parameter der archivierten Variablen mit ausgelagert werden.

Tragen Sie die gewünschten Parameter in dieser Reihenfolge in das Textfeld ein:

  • V: Variablenname
  • I: Variablenkennung
  • W: Wert
  • S: Status
  • D: Datum
  • Z: Zeit

Default: DZVWS

Der Pfad für den Speicherort der Auslagerungsdateien wird über die Projekteigenschaft Allgemein/Dateiablage konfiguriert. Ausgenommen ist die SQL-Auslagerung. Der Pfad wird in der Option Ausgelagerte Archive (siehe auch Kapitel Ordner projektbezogen)eingestellt. Zusätzlich kann über die Option Rückleseordner für Archive auch der Pfad für das Rücklesen von Archiven definiert werden. Diese Pfade können auch auf den gleichen Speicherort verweisen. Damit können exportierte Archivdateien auch ohne manuelles Kopieren wieder rückgelesen werden. Unterschiedliche Pfade sind vor allem sinnvoll, wenn z.B. von einer DVD rückgelesen wird und die exportierten Daten nur zu definierten Zeitpunkten auf neue DVDs gebrannt werden.

Hinweis: RDA-Archive können ausgelagert werden. Die Auslagerung erfolgt sofort nach dem Schließen des Archivs.

Variable für Auslagerungsstatus

Option

Beschreibung

Variable für Auslagerungsstatus

Variable für die Abbildung des Status der Auslagerung eines Archivs:

  • true oder 1:
    Bei der Auslagerung liegt ein Problem vor.
  • false oder 0:
    Auslagerung funktioniert ohne Fehler.

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog. Die verlinkte Variable muss vom Datentyp BOOL sein.

Schlägt das Auslagern eines Archivs fehl, z.B. da der SQLServer nicht erreichbar oder der Datenträger nicht zum Beschreiben bereit ist, ändert sich der Wert der Variable für den Auslagerungsstatus kurzzeitig auf true. Diese Änderung kann über eine Reaktionsmatrix ausgewertet werden.

Tipp: verknüpfen Sie als Statusvariable eine Variable des Internen Treibers.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Exportparameter

Das Spaltentrennzeichen für ASCII-Export und die Nachkommastellen für TXT, DBF, XML und SQL können in der project.ini geändert werden:

Abschnitt: [ARCHIV]

Einträge:

  • TRENNZEICHEN=
  • ARCHDIGITS=

Dateinamen

Die Dateinamen der zu exportierenden Archive werden wie folgt vergeben:

Parameter | Beschreibung
XXJJMMTThhmmss.xxx | Dateiname
XX | Archivkurzbezeichnung
JJ | Jahreskennung (z. B. 14 für 2014)
MM | Monatskennung (z. B. 03 für März)
TT | Tageskennung
hh | Stunden in UTC
mm | Minutenkennung
ss | Sekundenkennung
xxx | Dateiformat


Optionen

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten > Optionen

In dieser Registerkarte definieren Sie die Kriterien für das Erstellen von Verdichtungsarchiven. Sie können dazu ausschließende und einbeziehende Filter auf verschiedene Statusbits setzen.

Berechnungen für Verdichtungsarchive

Option

Beschreibung

Werte in Verdichtungsarchivberechnung nur übernehmen, wenn folgender Statusfilter zutrifft

Aktiv: Aktivierte Statusbits werden für die Berechnung der Werte von Verdichtungsarchiven berücksichtigt.

Die zusätzlichen Status werden

  • im Archiveditor angezeigt
  • im Report angezeigt und können dort auch gesetzt werden

Definition der Status siehe Kapitel Statusverarbeitung.

Jedes Statusbit kann einen von 5 Zuständen annehmen:

  • leer: wird nicht ausgewertet
  • grüne 0: Bit wird bei Wert 0 berücksichtigt.
  • grüne 1: Bit wird bei Wert 1 berücksichtigt.
  • rote 0: Bit wird bei Wert 0 nicht berücksichtigt.
  • rote 1: Bit wird bei Wert 1 nicht berücksichtigt.

Hinweis: Wird die Checkbox aktiviert, muss mindestens ein Statusbit aktiviert werden.

Zeitstempel in Verdichtungsarchiven setzen

Option | Beschreibung
Zeitstempel des Minimal-/Maximalwertes | Aktiv: Als Zeitstempel wird der Zeitstempel des gefundenen Minimal-/Maximalwerts verwendet.
Zeitstempel der Berechnung | Aktiv: Als Zeitstempel wird der Zeitstempel der Berechnung verwendet.

Ersatzarchiv

Option

Beschreibung

Ersatzarchive erstellen

Verhalten bei nicht aktiver Runtime:

  • Aktiv: Fehlende Archivdateien werden beim nächsten Start der Runtime erstellt.
    Hinweis: Dazu muss die zyklische Aufzeichnung ausgewählt sein.
  • Inaktiv: Nur der aktuelle Zyklus wird aufgefüllt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Erstellen eines Statusfilters

Durch Klick auf die Checkbox neben jedem angezeigten Status, können Sie für jeden Wert des Archivs entscheiden, ob er für das Verdichtungsarchiv herangezogen wird.

Example Beispiel

Im Verdichtungsarchiv sollen nur die Werte berücksichtigt werden, bei denen das Bit NORM gesetzt ist und bei denen INVALID nicht gesetzt ist.

Dazu setzten Sie bei NORM eine grüne 1 und bei INVALID eine rote 1. Die Checkboxen aller anderen Bits bleiben grau.

Sie können gesetzte oder ungesetzte Bits also explizit einschließen oder ausschließen.

info Info

Nicht alle bei der Aufzeichnung gesetzten Statusbits werden auch visualisiert. Nicht visualisierte Bits sind:

  • T_EXTERN (Statusbit 21)
  • T_INTERN (Statusbit 22)
  • INFO (Statusbit 26)
  • RES28 (Statusbits 28)
  • RES31 (Statusbits 31)
  • WR_ACK (Statusbit 40)
  • WR_SUC (Statusbit 41)
  • COT0 (Statusbit 32) bis COT5 (Statusbit 37)
  • T_STD (Statusbit 30)

Nicht visualisierte Statusbits werden:

  • beim Speichern als TXT-Datei oder als XML nicht geschrieben
  • beim Ausdrucken nicht gedruckt
  • im Rezeptgruppen-Manager nicht angezeigt

Eine Übersicht über alle Statusbits finden Sie im Kapitel Statusbits


Beispiel

Handbuch > Archivserver > Projektieren im Editor > Archiv bearbeiten > Beispiel

Aus den Optionen folgender Registerkarten werden die Start- und Endzeit einer Archivdatei, sowie die Zeitpunkte für die Eintragung von Variablenwerten in die Archivdatei berechnet:

  • Runtime:
    Start der Archivierung
  • Aufzeichnungsart:
    Zyklische Aufzeichnung
  • Speichern:
    Speicherzyklus

Die Berechnung des Zeitpunktes für die Eintragung von Variablenwerten in die Archivdatei erfolgt für jede Archivdatei neu.

attention Achtung

Beachten Sie den Unterschied zwischen:

  • Abtast- und Speicherzyklus (ASZ) sowie
  • Zykluszeit (AZ)

Diese dürfen nicht verwechselt werden.

Beispiel

  • Kennung: XX
  • Start der Archivierung: 01.01.2013, 00:00:00
  • Zyklische Aufzeichnung: 13 Sekunden (00:00:13)
  • Speicherzyklus: 1 Minute (00:01:00)

Ergebnis:

Datum | Zeit | Archivdatei
07.12.2013 | 03:08:13 | xx80131207020900.arx
07.12.2013 | 03:08:26 | xx80131207020900.arx
07.12.2013 | 03:08:39 | xx80131207020900.arx
07.12.2013 | 03:08:52 | xx80131207020900.arx
07.12.2013 | 03:09:13 | xx80131207021000.arx
07.12.2013 | 03:09:26 | xx80131207021000.arx
07.12.2013 | 03:09:39 | xx80131207021000.arx
07.12.2013 | 03:09:52 | xx80131207021000.arx
  • Jede Archivdatei beinhaltet Daten für je eine Minute.
  • Die Datenaufzeichnung startet für jede Archivdatei um hh:mm:13.

Ermittlung des EZW

Die Ermittlung des Zeitpunktes des ersten Werts (EZW) erfolgt durch eine Rundung des Abtast - und Speicherzyklus auf die Zykluszeit. Beachten Sie dabei:

  • Die Rundung des Abtast - und Speicherzyklus auf die erste Zykluszeit erfolgt nach dem Muster:
    • Stunden mit Stunden
    • Minuten mit Minuten
    • Sekunden mit Sekunden

    Das heißt: Ist die zu rundende Stelle (H:M:S) des Abtast - und Speicherzyklus kleiner als die der Zykluszeit, ist diese immer 0!

  • Ist die Zykluszeit ein Tag, dann wird der Abtast - und Speicherzyklus immer mit 0:0:0 Uhr angenommen. Die Aufzeichnung beginnt mit 00:00 Uhr.
  • Bei monatlicher Zykluszeit wird immer am 1. des Monats um 00:00:00 aufgezeichnet.

Einige Beispiele:

  • ASZ: Abtast - und Speicherzyklus
  • ASZr: Abtast - und Speicherzyklus gerundet
  • AZ: Zykluszeit
  • EZW: Zeitpunkt erster Wert
ASZ | AZ -> | EZW; | ASZr + AZ = | EZW
XX:XX:XX | 1T 00:00:00 | 00:00:00; | 00:00:00 + 00:00:00 | 00:00.00
00:01:00 | 0T 23:59:00 | 23:59:00; | 00:00:00 + 23:59:00 | 23:59:00
00:30:00 | 0T 00:30:00 | 01:00:00; | 00:30:00 + 00:30:00 | 01:00:00
00:30:00 | 0T 00:29:00 | 00:58:00; | 00:29:00 + 00:29:00 | 00:58:00
00:30:00 | 0T 00:05:00 | 00:35:00; | 00:30:00 + 00:05:00 | 00:35:00
00:29:00 | 0T 00:05:00 | 00:30:00; | 00:25:00 + 00:05:00 | 00:30:00
00:00:00 | 2T 00:00:00 | 00:30:00; | 00:00:00 + 2T 00:00:00 | 3. 00:00:00


Verdichtungsarchive

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive

Verdichtungsarchive beziehen sich immer auf ein Basisarchiv, dessen Daten sie verdichtet darstellen. Innerhalb von zenon verhalten sich Verdichtungsarchive wie jedes andere Archiv. Sie können Verdichtungsarchive:

  • zur Runtime über das Bild vom Typ Archiv-Nachbearbeitung bearbeiten
  • in Reports und Trends einbinden
  • auslagern

Für das Verdichten von Daten stehen folgende Berechnungsmethoden zur Verfügung:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

Der Einsatz von Verdichtungsarchiven empfiehlt sich vor allem bei großen Datenmengen. Für den Vergleich von Zeiträumen, wie ganzer Wochen, Monaten oder Jahren, genügen oft Mittelwerte oder Summen. Damit lassen sich die Rohdaten anschaulich aufbereiten und die Datenmenge reduzieren.

Verdichtungsarchiv anlegen

Um ein Verdichtungsarchiv anzulegen:

  1. Wählen Sie in der Detailansicht das Archiv aus, das verdichtet werden soll.
  2. Wählen Sie in der Symbolleiste oder im Kontextmenü Verdichtungsarchiv neu.
  3. Der Assistent wird gestartet, sofern in den Einstellungen aktiviert.
    (Damit der Assistent gestartet werden kann, muss im Editor im Menü Extras/Einstellungen die Option Assistenten verwenden aktiviert sein.)
  4. Vergeben Sie einen Namen.

  5. Wählen Sie die Variable und die Methode der Verdichtung.

    Klick auf die Schaltfläche Variablenauswahl öffnet den Dialog zur Auswahl einer Variablen und der Verdichtungsmethode.

    Verdichtungsarchive werden immer Bei Wertänderung aufgezeichnet. Der Abtastzyklus der Verdichtungsarchive wird über den Speicherzyklus des jeweiligen Basisarchivs gesetzt. Die für ein Verdichtungsarchiv ausgewählten Werte werden immer dann berechnet, wenn ein Basisarchiv geschlossen und gespeichert wird. zenon erkennt das Schließen des Basisarchives als Wertänderung und triggert die Berechnungen für das Verdichtungsarchiv.

Noch in diesem Kapitel

Variablenauswahl und Verdichtungsmethode

Verdichtungsarchiv bearbeiten

Vorlagen für Verdichtungsarchive


Variablenauswahl und Verdichtungsmethode

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive > Variablenauswahl und Verdichtungsmethode

Im Dialog Variablenauswahl werden die zu verdichtende Variable und die Verdichtungsmethode ausgewählt.

Verfügbare Archive

Option | Beschreibung
Verfügbare Archive | Wählen Sie aus der Variablenliste die Variablen aus, die im Verdichtungsarchiv berücksichtigt werden sollen. Mehrfachauswahl mit Steuerung- oder Umschalt-Taste.
Summe | Aktiv: Werte der ausgewählten Variablen werden in Abhängigkeit vom Speicherzyklus addiert.
Mittelwert | Aktiv: Mittelwert der Werte der ausgewählten Variablen wird gebildet.
Minimum | Aktiv: Das Minimum pro ausgewählter Variable wird ermittelt.
Maximum | Aktiv: Das Maximum pro ausgewählter Variable wird ermittelt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Zeitstempel für Mittelwert anpassen

Der Zeitstempel in einem Verdichtungsarchiv entspricht dem Zeitpunkt, zu dem die ARX-Datei geschlossen wird.
Dies führt zu folgender Situation:

  • In einem Archiv werden die Werte eines Tages X gespeichert. Startzeit ist damit 00:00 Uhr, Speicherzeit ist 24:00 Uhr.
  • Das Verdichtungsarchiv für diesen Tag X hat einen Mittelwert und erhält den Zeitstempel 00:00:00 am Tag X + 1. (Minimum und Maximum können die gleichen oder die Original-Zeitstempel haben, in unserem Fall gehen wir von Original aus.)
  • Filtert man im Verdichtungsarchiv auf den Tag X, 00:00:00 Uhr, bis Tag X + 1, 00:00:00 Uhr, bekommt man die Werte für Minimum und Maximum mit dem Original-Zeitstempel für den Tag X.
  • Den Mittelwert erhält man für den Tag X-1 (Zeitstempel Tag X, 00:00:00). Erwartet würde der Wert für den Tag X, der sich in der Datei mit dem Zeitstempel Tag X + 1, 00:00:00 befindet.
  • Minimum und Maximum haben also einen Zeitstempel innerhalb des gewählten Zeitraums, der Mittelwert hat einen Zeitstempel außerhalb dieses Zeitraums.

Lösung

Um einen übereinstimmenden Zeitstempel zu erhalten, setzen Sie den Zeitstempel für den Mittelwert um eine Sekunde zurück. Dazu tragen Sie in der project.ini im Abschnitt [ARCHIV] den Wert 1 für ZEIT_AUTOMATISCH= ein.

Damit wird die Zeit für das Verdichtungsarchiv automatisch auf eine Sekunde vor der Speicherung gesetzt. Aus Tag X+1, 00:00:00, wird Tag X, 23:59:00.


Verdichtungsarchiv bearbeiten

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive > Verdichtungsarchiv bearbeiten

Die Bearbeitung von Verdichtungsarchiven unterscheidet sich vor allem in den Eigenschaften von der Bearbeitung von Basisarchiven. Für Verdichtungsarchive werden den Berechnungsmethoden Variablen zugeordnet.

Bezeichnung

Option

Beschreibung

Bezeichnung

Name und Kennung des Archivs.

Kennung

Zweistellige eindeutige Kennung des Archives. Wird für die automatische Namensvergabe bei Exportfunktionen benutzt.

Achtung: Die Kennung kann nur beim Erstellen eines neuen Basisarchivs vergeben werden. Sie kann nachträglich nicht mehr geändert werden.

Archivname

Frei vergebbarer Name des Archivs.

Hinweis: Folgende Zeichen sind verboten: / \ : * ? < > ! | " ' # % @

Variablenauswahl

Option

Beschreibung

Variablenauswahl

Wählen Sie die Berechnungsmethode im Archiv und fügen Sie Variablen hinzu oder entfernen Sie Variablen, die im Verdichtungsarchiv berücksichtigt werden sollen. Mehrfachauswahl mit Steuerung- oder Umschalt-Taste.

  • Summe: Werte der zugehörigen Variablen werden in Abhängigkeit vom Speicherzyklus addiert.
  • Mittelwert: Mittelwert der Werte der zugehörigen Variablen wird gebildet.
  • Minimum: Das Minimum pro zugehöriger Variable wird ermittelt.
  • Maximum: Das Maximum pro zugehöriger Variable wird ermittelt.

Variablen hinzufügen oder löschen:

  • Variablen hinzuzufügen:
    Wählen Sie im Kontextmenü Variable hinzufügen. Sie können Variablen aus dem Basisarchiv hinzufügen.
  • Variablen löschen:
    Markieren Sie die Variable und wählen Sie im Kontextmenü Variable löschen.

Chargen

Option

Beschreibung

Chargen

Konfiguration von Chargen. Siehe auch Kapitel Chargenauswahl.

Chargenvariable

Auswahl von Chargenvariablen. Diese müssen vom Typ String sein. Der Wert der Variablen wird als Chargenname verwendet. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl der Variablen.

Hinweis: Der Wert der Variable wird als Chargenname verwendet. Während das Archiv geöffnet ist, kann sich der Wert der Variablen und somit auch der Chargenname ändern. Beachten Sie dies bei der Filterung. Als endgültiger Chargenname wird der Wert der Variablen beim Beenden des Archivs verwendet.

Chargen indizieren

Aktiv: Die Chargenwerte dieses Archivs werden automatisch indiziert. Das ermöglicht den schnelleren Zugriff auf die Chargenwerte.

Anlagenmodelierung

Option | Beschreibung
Anlagenmodelierung | Konfiguration von Anlagenmodellen.
Anlagengruppen | Auswahl einer Anlagengruppe für das Archiv. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Anlagengruppe.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Weiter Registerkarten werden analog Archiv bearbeiten konfiguriert.

Einschränkungen

  • Verdichtungsarchive werden von zenon automatisch auf die Aufzeichnungsart Bei Wertänderung gesetzt. Die Aufzeichnungsart kann nicht geändert werden.
  • Der Speicherzyklus ergibt sich aus der Länge des zugehörigen Basisarchivs. Die Werte der Variablen werden immer dann ins Verdichtungsarchiv eingetragen, wenn das Basisarchiv beendet wird.
  • Alle Einträge des Basisarchivs werden standardmäßig zur Berechnung herangezogen (d.h. auch INVALID-Einträge und Handwerte).
    Ausnahme: Im Basisarchiv wurde unter Optionen die Eigenschaft Werte in Verdichtungsarchivberechnung nur übernehmen, wenn folgender Statusfilter zutrifft aktiviert und konfiguriert.


Vorlagen für Verdichtungsarchive

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive > Vorlagen für Verdichtungsarchive

Vorlagen für Verdichtungsarchive ermöglichen es, bestehende Verdichtungsarchive in Basisarchive zu importieren. So können einmal konfigurierte Strukturen einfach wiederverwendet werden.

Es stehen vorkonfigurierte Vorlagen zur Verfügung, die mit zenon ausgeliefert werden. Zusätzlich können individuelle Konfigurationen als Vorlagen gespeichert werden.

Vorlagen können nur für Basis-Archive mit zyklischer Abtastung importiert werden. Diese Archive dürfen noch keine Verdichtungsarchive besitzen.

Pfade der Vorlagen

Die Vorlagen werden in zwei Pfaden abgelegt:

  • Vordefinierte Vorlagen:
    Im Unterordner des Installationsordners: \Templates\Archives\<Sprache>\<Filename>.xml
  • Benutzerdefinierte Vorlagen:
    %programdata%\COPA-DATA\zenon8.00plates\Templates\Archives\<Sprache>\<Filename>.xml

    Hinweis: Je nach Art der Registrierung kann auch dieser Pfad im Programmordner liegen. zenon berücksichtigt das automatisch.

Dateiformat

Vorlagen werden im XML-Format abgelegt. Die Vorlage enthält Meta-Daten mit:

  • Beschreibung der Vorlage
  • Name der Vorlage
  • für jedes Archiv der Hierarchie die wesentlichen Einstellungen des Archivs

Noch in diesem Kapitel

Vorlagen importieren

Mitgelieferte Vorlagen

Vorlagen erstellen und bearbeiten


Vorlagen importieren

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive > Vorlagen für Verdichtungsarchive > Vorlagen importieren

Um Vorlagen für Verdichtungsarchive zu importieren:

  1. Markieren Sie das gewünschte Basisarchiv.
  2. Wählen Sie im Kontextmenü den Befehl Vorlage importieren.
  3. Der Dialog zur Auswahl einer Vorlage wird geöffnet.
  4. Wählen Sie die gewünschte Vorlage.
  5. Klicken Sie auf die Schaltfläche Übernehmen.
  6. Das Verdichtungsarchiv wird importiert.

info Info

Vorlagen können nur für Basis-Archive mit zyklischer Abtastung importiert werden. Diese Archive dürfen noch keine Verdichtungsarchive besitzen.

Option | Beschreibung
Fenster Vorlagen | Anzeige der vorhandenen Vorlagen.
Fenster ausgewählte Vorlage | Anzeige des ausgewählten Verdichtungsarchivs.
Übernehmen | Importiert das Verdichtungsarchiv in das Basisarchiv und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Mitgelieferte Vorlagen

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive > Vorlagen für Verdichtungsarchive > Mitgelieferte Vorlagen

Mit zenon werden folgende vorkonfigurierte Vorlagen mitgeliefert:

  • Zähler: Zählendes Verdichtungsarchiv, das von einem Tag über eine Woche, einem Monat und einem Jahr bis zu 2 Jahre verdichtet und die Daten bis zu 10 Jahre aufbewahrt.
  • Standard: Standard-Verdichtungsarchiv, das von 30 Minuten über eine Stunde, einen Tag und 1 Monat bis zu einem Jahr verdichtet und die Daten bis zu 16 Jahre aufbewahrt.
  • Energie: Verdichtungsarchiv für Energy, das von 15 Minuten über eine Stunde und einen Tag bis zu einem Monat verdichtet und die Daten bis zu einem Jahr aufbewahrt.

Mitgelieferte Vorlagen sind schreibgeschützt und können nicht verändert werden. Sie werden im Dialog mit blauen Symbolen dargestellt. Selbst erstellte veränderbare Vorlagen erhalten rote Symbole.

Verdichtungsarchiv Zähler

Archivebene | Aktuelle Verdichtungsstufe | Verdichtungsstufe Verdichtungsarchiv | Aufbewahrung
1: CO-P_COU_30MIN | 30 Minuten | 1 Stunde | 14 Tage
2: C2-P_COU_1HOUR | 1 Stunde | 1 Tag | 6 Monate
3: C3-P_COU_1DAY | 1 Tag | zum Monatswechsel | 3 Jahre
4: C4-P_COU_1MONTH | 1 Monat | zum Jahreswechsel | 10 Jahre

Verdichtungsarchiv Standard

Archivebene | Aktuelle Verdichtungsarchiv | Verdichtung Verdichtungsarchiv | Aufbewahrung
1: DO-P_STD_1DAY | 1 Tag | 7 Tage | 1 Jahr
2: D2-P_STD_1WEEK | 1 Woche | zum Monatswechsel | 3 Jahre
3: D3-P_STD_1MONTH | 1 Monat | zum Jahreswechsel | 10 Jahre
4: D4-P_STD_1YEAR | 1 Jahr | 2 Jahre | 16 Jahre

Verdichtungsarchiv Energie

Archivebene | Aktuelle Verdichtungsarchiv | Verdichtung Verdichtungsarchiv | Aufbewahrung
1: EO-P_ENE_15MIN | 15 Minuten | 1 Stunde | 14 Tage
2: E1-P_ENE_1HOUR | 1 Stunde | 1 Tag | 6 Monate
3: E2-P_ENE_1DAY | 1 Tag | 30 Tage | 1 Jahr


Vorlagen erstellen und bearbeiten

Handbuch > Archivserver > Projektieren im Editor > Verdichtungsarchive > Vorlagen für Verdichtungsarchive > Vorlagen erstellen und bearbeiten

Vorlagen können auch individuell erstellt werden. Vorlagen können nur für Basis-Archive (erste Ebene), und nur für Archive mit zyklischer Abtastung erstellt werden. Für alle anderen Archive ist der Menüpunkt deaktiviert, oder bei Verdichtungsarchiven nicht vorhanden.

Um eine eigene Vorlage zu erstellen:

  1. markieren Sie in der Detailansicht das Basisarchiv des gewünschten Verdichtungsarchivs
  2. wählen Sie im Kontextmenü Vorlage erstellen
  3. der Dialog für die Konfiguration von Vorlagen wird geöffnet
  4. wählen Sie den gewünschten Ordner oder erstellen Sie einen neuen
  5. vergeben Sie einen aussagekräftigen Namen für die Vorlage
  6. übernehmen Sie die neue Vorlage mit Klick auf die Schaltfläche OK

Beim Erstellen einer Vorlage wird die komplette Hierarchie des gewählten Verdichtungsarchivs übernommen.

Hinweis: Mitgelieferte Vorlagen und deren Ordnerstruktur können nicht bearbeitet oder gelöscht werden.

Dialog Vorlage erstellen und bearbeiten

Option | Beschreibung
Liste Vorlagen | Enthält eine Ordnerstruktur mit allen bereits definierten Vorlagen. Vorlagen können ausgewählt und Name und Beschreibung bearbeitet werden. Vordefinierte Elemente können nicht bearbeitet werden.
Name | Name der Vorlage. Tipp: Wählen Sie einen aussagekräftigen Namen, um beim Importieren schnell die richtige Vorlage zu finden.
Beschreibung | Detailbeschreibung der Vorlage.
Ordner neu | Erstellt einen neuen Ordner unterhalb des markierten Ordners. Tastaturbedienung: Einfg-Taste .
Umbenennen | Öffnet das markierte Element zum Umbenennen. Tastaturbedienung: F2-Taste. Vordefinierte Elemente können nicht umbenannt werden.
Löschen | Löscht das ausgewählte Element. Sollen nur Vorlagen gelöscht, aber keine neuen erstellt werden, muss der Dialog nach dem Löschen mit Klick auf Abbrechen beendet werden. Tastaturbedienung: Del-Taste. Hinweis: Vordefinierte Elemente können nicht gelöscht werden.

Dialog beenden

OK | Übernimmt Einstellungen und schließt den Dialog. Die Vorlage speichert die Einstellungen aller Verdichtungsarchive des gewählten Archivs.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Elemente erstellen, bearbeiten und löschen

Ordner erstellen

Um einen neuen Ordner zu erstellen:

  1. markieren Sie einen bestehenden Ordner
  2. klicken Sie auf die Schaltfläche Ordner neu
    oder

    drücken Sie die Einfügen-Taste
    oder

    wählen Sie im Kontextmenü des übergeordneten Ordners Ordner neu

Element bearbeiten

Um ein Element zu bearbeiten:

  1. markieren Sie das Element
  2. ändern Sie Name und/oder Beschreibung
    oder

    wählen Sie im Kontextmenü des Elements den entsprechenden Befehl

Element löschen

Um ein Element zu löschen:

  1. markieren Sie das Element
  2. klicken Sie auf die Schaltfläche Löschen
    oder

    drücken Sie die Del-Taste
    oder

    wählen Sie im Kontextmenü des Elements Löschen

  3. schließen Sie den Dialog mit Klick auf Abbrechen

Struktur ändern

Um die Struktur zu ändern:

  1. markieren Sie das gewünschte Element (Ordner oder Vorlage)
  2. ziehen Sie es mit der Maus auf den Ordner, dem es untergeordnet werden soll

Ordner und Vorlagen bearbeiten ohne Übernahme der Archiveinstellungen

Sie können Ordner und Vorlagen auch bearbeiten, ohne beim Schließen die Archiveinstellungen zu übernehmen

Bearbeiten Sie dazu die Elemente im linken Fenster mit der Liste der Vorlagen.


Variablen hinzufügen und entfernen

Handbuch > Archivserver > Projektieren im Editor > Variablen hinzufügen und entfernen

Variablen und deren Datenverdichtungsarten werden in der Detailansicht der Archive angezeigt.

Hier können Variablen hinzugefügt oder entfernt werden:

  • Hinzufügen:
    Um Variablen hinzufügen, wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Variable hinzufügen oder fügen Sie Variable per Drag&Drop ein.
  • Entfernen:
    Wählen Sie die gewünschten Variablen aus und drücken Sie die Entfernen-Taste oder wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Variable entfernen.
    Achtung: Variablen werden ohne weitere Rückfrage aus der Variablenliste entfernt.

Variable zu Basisarchiv hinzufügen

Um eine Variable zu einem Basisarchiv hinzuzufügen:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste des Basisarchivs oder der Variablenliste Variable hinzufügen.
  2. Der Auswahldialog wird geöffnet.

    Fügen Sie die gewünschten Variablen hinzu.

  3. Schließen Sie den Dialog.
  4. Existieren Verdichtungsarchive, dann wird der Dialog zum Hinzufügen der neuen Variablen zu Verdichtungsarchiven geöffnet.

    Wählen Sie, ob und mit welchen Verdichtungsarten die Variablen zu allen existierenden Verdichtungsarchiven hinzugefügt werden sollen:

    • In alle Verdichtungsarchive übernehmen: Die neu hinzugefügten Variablen werden in allen existierenden Verdichtungsarchiven berücksichtigt. Bei Aktivierung müssen die gewünschten Verdichtungsarten (Summe, Mittelwert, Minimum, Maximum) gewählt werden.

Variable zu Verdichtungsarchiv hinzufügen

Um eine Variable zu einem Verdichtungsarchiv hinzuzufügen:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste eines projektierten Verdichtungsarchivs Variable hinzufügen.
  2. Der Auswahldialog wird geöffnet, abhängig von der Art des Archivs:
    1. Kein untergeordnetes Verdichtungsarchiv vorhanden

    Fügen Sie die gewünschten Variablen hinzu.

    1. Untergeordnetes Verdichtungsarchiv vorhanden:

      Wählen Sie die gewünschten Variablen und Verdichtungsarten aus.

      Sollen diese Variablen in alle untergeordneten Verdichtungsarchive übernommen werden, dann aktivieren Sie die Option In alle Verdichtungsarchive übernehmen.

  3. Schließen Sie den Dialog.

Variablen per Drag&Drop in Verdichtungsarchiv einfügen

Zusätzliche Variablen können auch direkt mittels Drag&Drop in ein Verdichtungsarchiv eingefügt werden. Dazu stehen Ihnen zwei Wege zur Verfügung:

  • Einzelne Variable:
    Wählen Sie eine einzelne Variablen aus der Variablenliste des Basisarchivs aus und ziehen Sie diese mit gedrückter linker Maus-Taste auf die gewünschte Datenverdichtungsart eines zugehörigen Verdichtungsarchivs.
  • Alle Variablen:
    Ziehen Sie das gesamte Basisarchiv auf eine Datenverdichtungsart. Dabei werden alle darin enthaltenen Variablen zugeordnet.


Chargenarchivierung

Handbuch > Archivserver > Projektieren im Editor > Chargenarchivierung

Die Chargenarchivierung ermöglicht die einfache Zuordnung von Chargenbezeichnungen zu einem Archiv. Die Chargenbezeichnung erlaubt beliebiges Filtern bei der Weiterverarbeitung der Archivdaten, z. B. im Erweiterten Trend oder im Report Generator.

Hinweis: Der Chargenname darf kein Pipe-Zeichen (|) enthalten!

Ein Chargenarchiv wird vor allem verwendet, wenn keine zyklischen Abläufe aufgezeichnet werden sollen. Zum Beispiel in einer Getränke-Abfüllanlage, in der unterschiedliche Produkte in unterschiedlichen Mengen hergestellt werden. Dabei kann über den frei definierbaren Chargennamen sehr einfach der Bezug zwischen Archiv und der Charge hergestellt werden. Der Chargenname kann auch zur Filterung in der Runtime verwendet werden.

Da Chargenarchive nicht auf definierten Zeiträumen oder einer Anzahl von Werteinträgen basieren, ist es sinnvoll, diese zu indizieren. Damit kann später schneller auf die Daten zugegriffen werden.

Hauptunterschiede eines Chargenarchivs gegenüber einem Archiv:

  • definierter Start- und Stoppzeitpunkt des Archives (Typisch: nicht zyklisch)
  • definierter Chargen-Name

info Info

Der Wert der Chargenvariable wird am Beginn der Charge sowohl in die Index-Datei also auch in den Header der ARX-Datei geschrieben. Bei jeder Änderung dieser Variable werden diese Einträge angepasst. Beim Abschließen der Charge wird der aktuelle Wert der Chargenvariable endgültig in die Index-Datei und in den Header geschrieben.

Erst wenn eine Charge abgeschlossen ist, ist der Chargenname festgeschrieben.

Index

Zum schnelleren Zugriff auf die Chargenwerte im Chargenfilter kann für jedes Archiv ein Index aufgebaut werden. Der Index wird in der Datei [Kurzbezeichnung].ARI abgelegt. Bei jedem Speichern eines Chargenarchivs erfolgt auch ein Eintrag in die Indexdatei. Dieser Eintrag enthält Archivname, Chargenbezeichnung, Startzeitpunkt und Endzeitpunkt. Bei Auslagerung des Archivs wird dieser Index ebenfalls aktualisiert.

Archive können über Dateioperationen gelöscht oder verschoben werden. In diesem Fall muss die Indexdatei neu indiziert werden. Dazu führen Sie die Funktion Archiv indizieren aus.

Automatische Indizierung

Aktivieren Sie bei der Konfiguration des Basisarchivs oder des Verdichtungsarchivs in der Registerkarte Eigenschaften die Option Chargen indizieren. Der Index wird nur von Archivdateien im Runtime-Ordner erstellt. Wenn vom Rückleseordner gelesen wird, wird Archivdatei für Archivdatei eingelesen.

Die Neuerstellung eines Chargenindex erfolgt mit der Funktion Archiv indizieren. Verwenden Sie diese Funktion, wenn Daten manuell im Runtimeordner gespeichert oder manuell aus diesem gelesen wurden. Die Indexdatei wird nicht mit ausgelagert und auch beim Holen der Daten aus dem Rückleseordner nicht gelesen. Erneutes Indizieren greift nur auf die Archivdateien im Runtimeordner zu. Wenn Archivdaten aus dem Rückleseordner gelesen werden, werden diese nicht wieder in den Runtimeordner verschoben. Die Daten werden ins RAM geladen. Neu indizieren greift daher auf Daten im Runtimeordner zu, aber nicht auf Daten im Rückleseordner.

Funktion Archiv indizieren

Der Aufbau der Indexdatei kann je nach Umfang der Archivdateien ein zeitaufwendiger Vorgang sein. Damit die Runtime nicht blockiert wird, erfolgt dieser Aufbau im Hintergrund. Wenn die Reindizierung noch nicht abgeschlossen ist, jedoch bereits Chargenwerte benötigt werden, muss diese Anfrage warten bis der Vorgang fertig ist. Mit der Option Synchron ausführen wird bei der Funktionsausführung gewartet bis die Reindizierung beendet ist.
Hinweis: Sie finden diese Option im Konfigurationsdialog der Funktion.


Bild vom Typ Archiv-Nachbearbeitung anlegen

Handbuch > Archivserver > Projektieren im Editor > Bild vom Typ Archiv-Nachbearbeitung anlegen

Bild vom Typ Archiv-Nachbearbeitung anlegen

Das Bild vom Typ Archiv-Nachbearbeitung dient dazu, in der Runtime Archive anzuzeigen, zu konfigurieren und zu bearbeiten.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Archiv-Nachbearbeitung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ Archiv-Nachbearbeitung

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Kontrollelemente für Fenster.

Kontrollelement | Beschreibung
Fenster Archivdaten | Darstellung der Archivdaten zur Runtime.
Eingestellter Filter (Liste) | Definition des eingestellten Filters.
Eingestellter Filter (Anzeige) | Anzeige des eingestellten Filters. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Status Archiv | Anzeige des Archivstatus. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Kurzbezeichnung | Anzeige der Kurzbezeichnung des angezeigten Archivs. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anzahl gesamt | Anzeige der Zahl der angezeigten Werte. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anzahl INVALID | Anzeige der Anzahl der Variablen mit dem Status INVALID. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Listenfunktionen

Buttons zur Steuerung der Listenfunktionen zur Runtime.

Kontrollelement | Beschreibung
Archiv öffnen | Öffnet den Dialog zur Auswahl eines Archivs.
Archiv schließen | Schließt das aktuell geöffnete Archiv.
Archiv speichern | Speichert Änderungen im Archiv und aktualisiert Verdichtungsarchive auf Anfrage.
Eintrag bearbeiten | Öffnet den Dialog, um den ausgewählten Archiveintrag zu bearbeiten.
Eintrag einfügen | Öffnet den Dialog zum Einfügen von Archiveinträge in die Archivdateien. Sind für diesen Zeitbereich keine Archivdateien vorhanden, können keine Einträge eingefügt werden. Beim Versuch, einen Eintrag einzufügen, wird eine entsprechende Fehlermeldung angezeigt.
Eintrag löschen | Löscht ausgewählte Archiveinträge nach Sicherheitsabfrage.
Auswahl | Klick auf den Button öffnet den Dialog zur Konfiguration des Filters.
Spaltenkonfiguration | Öffnet den Dialog zur Konfiguration von Spaltenbreite und Schrift.
Drucken | Druckt Liste auf konfiguriertem Drucker aus.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Eingestellter Filter (Anzeige) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Status Archiv | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kurzbezeichnung | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl gesamt | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl INVALID | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Kontrollelement | Beschreibung
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichert aktuelle Einstellung als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Löscht ausgewähltes Profil.
Import | Importiert Filterprofile aus Exportdatei.
Export | Exportiert Filterprofile in Datei.


Funktionen

Handbuch > Archivserver > Funktionen

In zenon stehen verschiedene Funktionen zur Verfügung, um die Archivierung zu steuern:

  • Bildumschaltung - Archiv-Nachbearbeitung: Konfiguration der Bildumschaltung inklusive Filterung
  • Archiv starten: Archiv manuell starten
  • Archiv beenden: Archiv manuell stoppen
  • Aktive Archive anzeigen: Aktive Archive zur Runtime anzeigen
  • Archiv indizieren: Indizierung für Archiv starten/erneuern
  • Archive exportieren: Archiv exportieren

Noch in diesem Kapitel

Bildumschaltung - Archiv-Nachbearbeitung

Archiv starten

Archiv beenden

Archiv indizieren

Aktive Archive anzeigen

Archive exportieren


Bildumschaltung - Archiv-Nachbearbeitung

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung

Um ein Bild vom Typ Archiv-Nachbearbeitung zur Runtime aufzuschalten und zu parametrieren:

  1. Legen Sie ein Bild vom Typ Archiv-Nachbearbeitung an.
  2. Erstellen Sie eine Funktion Bildumschaltung auf das Bild.
  3. Definieren Sie die gewünschten Filtereigenschaften.

Die Parametrierung des zur Runtime dargestellten Inhalts erfolgt über die Filterbedingungen der Bildumschaltung. Sie können mit verschiedenen Funktionen immer wieder auf dasselbe Bild zuzugreifen und sich jeweils anders gefilterte Listen anzeigen lassen.

Zur Runtime können die Filtereigenschaften modifiziert werden. Ausnahme: Im Editor wurden feste Zeitfilter definiert.

Bildumschaltung projektieren

Um eine Bildumschaltung auf ein Bild vom Typ Archiv-Nachbearbeitung anzulegen:

  1. Wählen Sie im Kontextmenü des Knotens Funktion den Befehl Funktion neu.
  2. Klicken Sie auf Bildumschaltung.

    Der Dialog zur Bildauswahl wird angezeigt.

  3. Wählen Sie das Bild vom Typ Archiv-Nachbearbeitung.

    Der Dialog zur Archivauswahl wird angezeigt.

  4. Markieren Sie das Archiv, das zur Runtime bei der Bildaufschaltung angezeigt werden soll.
  5. Konfigurieren Sie über die Option Format, wie die Daten bei der Anzeige sortiert werden sollen.
  6. Konfigurieren Sie den gewünschten Filter für Variablen, Statusbits, Zeit, Chargen und Schicht.
    Klicken Sie dazu auf die Schaltfläche Filter.
  7. Schließen Sie den Filter-Dialog und den Archiv-Dialog jeweils mit Klick auf OK.

Dialog Archivauswahl

Option

Beschreibung

Filtername

Name des konfigurierten Filters.

Dieser Name wird an die Parameter der Umschaltfunktion angehängt und dient zur Unterscheidung verschiedener Bildumschaltfunktionen mit unterschiedlichen Filterkonfigurationen.

Archive

Liste der verfügbaren Archive.

Achtung: Ein Archiv muss ausgewählt werden. Dieses wird zur Runtime angezeigt. Soll ein Chargenarchive angezeigt werden, muss dieses bei der Auswahl zur Runtime mit dem konfigurierten Archiv übereinstimmen.

Format

Anzeigeformat und Sortierung der angezeigten Archiveinträge:

  • Zeit: nach Datum und Zeit
  • Variable: nach Variablenname
  • Unsortiert: keine Sortierung

Archive aus Rückleseordner verwenden

Aktiv: Auch Archive aus dem Rückleseordner werden verwendet.

Inaktiv: Es werden nur aktuelle Archive verwendet.

Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.

Achtung: Bevor Sie über die Option Archive aus Rückleseordner verwenden auf ausgelagerten Archive zugreifen können, müssen diese erst in den Rückleseordner kopiert werden. Beim Auslagern werden Archive im Ordner Ausgelagerte Archive gespeichert. Dieser Ordner entspricht nicht dem Rückleseordner. Die Ordner definieren Sie im Dialog Standard Einstellungen auf der Registerkarte Ordner. Sie finden den Dialog unter Datei -> Allgemeine Konfiguration -> Standard.

Tipp: Die Ordner für Ausgelagerte Archive und Archive aus Rückleseordner können auch ident gesetzt werden, um manuelles Kopieren zu vermeiden. Unterschiedliche Pfade sind vor allem sinnvoll, wenn z.B. von einer DVD rückgelesen wird und die exportierten Daten nur zu definierten Zeitpunkten auf neue DVDs gebrannt werden.

Dialog beenden

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Filter

Öffnet den Dialog zur Konfiguration der Filterkriterien:

  • Archivfilter: Variablen (nur verfügbar, wenn ein Archiv ausgewählt wurde) und Statusbits
  • Zeit: Zeitfilter
  • Chargen: Chargenfilter
  • Schicht: Schichtfilter

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Archivfilter

Zeit

Chargen

Schicht


Archivfilter

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Archivfilter

Option

Beschreibung

Statusliste

Auswahl der Statusbits, auf die gefiltert werden soll. Auswahl und Abwahl durch Klick auf das jeweilige Statusbit.

Nur verfügbar, wenn die Option Alle Einträge deaktiviert ist.

Variablenliste

Variablen, die aus dem ausgewählten Archiv dargestellt werden sollen. Auswahl und Abwahl durch Klick in die Checkbox vor der Variablen.

Nur verfügbar, wenn die Option Alle Einträge deaktiviert ist.

Wert (in Basiseinheit)

Aktiv: Es wird auf Archivwerte gefiltert, deren Werte zwischen einem Minimum und Maximum liegen oder als String eine bestimmte Zeichenfolge enthalten.

Eingabe von:

  • Minimum: Untergrenze des Werts
  • Maximum: Obergrenze des Werts
  • String-Maske: Zeichenfolge, auf die gefiltert werden soll;

Nur verfügbar, wenn die Option Alle Einträge deaktiviert ist.

Auswahl löschen

Nur verfügbar, wenn der Dialog zur Runtime über den Button Auswahl aufgerufen wird.

Zur Runtime werden beim Aufruf des Dialogs über den Button Auswahl jene Einträge in der Liste markiert, die den ausgewählten Variablen und Statusbits entsprechen.

  • Aktiv: Entfernt beim Schließen des Dialogs alle Hervorhebungen in der Liste.

Diesen Dialog zur Runtime anbieten

Aktiv: Vor jedem Aufschalten des Bildes wird der Filterdialog geöffnet. Die Filter-Einstellungen können modifiziert werden. Diese Option steht unter Windows CE nicht zur Verfügung.
Achtung: Wird zusätzlich in der Registerkarte Chargen die Option Chargenauswahldialog anzeigen ausgewählt, dann wird zur Runtime der Chargenauswahldialog aufgeschaltet. Dieser wird bei einem Reload nicht mehr angezeigt.

Hinweise für Zeitbereichsfilter:

Diesen Dialog zur Runtime anbieten aktiv:

  • Der Filter wird zur Runtime bei der Bildumschaltung geöffnet. Beim Nachladen wird der Filter nicht mehr angeboten. Dieses Verhalten kann sich bei einzelnen Bildtypen unterscheiden, wenn der Dialog bei der Bildumschaltung angezeigt und abgebrochen wurde.
  • Es wird immer der letzte abgeschlossene Zeitbereich verwendet.

Diesen Dialog zur Runtime anbieten inaktiv:

  • Letzten abgeschlossenen Zeitbereich verwenden aktiv:
    Es wird der letzte abgeschlossene Zeitbereich verwendet
  • Letzten abgeschlossenen Zeitbereich verwenden inaktiv:
    Es wird der aktuelle Zeitbereich verwendet

Alle Einträge
  • Aktiv: Einstellungen gelten für alle Status und Variablen. Die Einträge in Statusliste, Variablenliste und Wert können nicht individuell ausgewählt werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeit

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit

Konfiguration der Zeitfilter.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Zeitfilter können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden für:

  • Absoluter Zeitraum
  • Relativer Zeitraum
  • Ab
  • Zeitbereich

Die Zeitfilterung kann prinzipiell auf zwei Arten erfolgen:

  1. Zeitbereich im Editor vorgeben
    Es werden fixe Zeitbereiche verwendet. Im Editor wird ein Zeitbereich vorgegeben. In der Runtime kann nur mehr nach diesem Zeitbereich gefiltert werden. Auch andere Filter - z B. Filtern nach Variablenname, Alarm/Ereignis-Gruppen und -Klassen usw. - sind zur Runtime nicht mehr anpassbar.
  2. Zeitfilter zur Runtime konfigurierbar
    Der Zeitfilter wird im Editor vorgegeben und kann zur Runtime beliebig verändert werden.

Zeitfilter konfigurieren

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar


Absoluter Zeitraum

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Zeit > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt.

Wenn der Chargenfilter aktiviert ist, wird zur Runtime:

  • vorab aus dem Archivserver eine Liste aller projektierten Chargen geholt, die dem projektierten Zeitraum entsprechen
  • die Liste der Archive darauf gefiltert

    Achtung: Das zur Runtime ausgewählte Chargenarchiv muss mit dem in der Bildumschaltung gewählten Archiv übereinstimmen.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Archivserver > Funktionen > Bildumschaltung - Archiv-Nachbearbeitung > Schicht

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
      Hinweis: Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird anstelle der Schichtauswahl der komplette Konfigurationsdialog mit allen Registerkarten aufgeschaltet. Der Benutzer kann dann alle Optionen neu definieren.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Zur Runtime werden die Schichtliste und der Button Aktualisieren nicht angezeigt.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet.

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Achtung: Es muss zur Runtime mindestens 1 Schicht ausgewählt werden, um die Seite aufschalten oder den Filter konfigurieren zu können.
Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird der gesamte Konfigurationsdialog aufgeschalten.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Filter-Button im Bild zur Runtime

Wird im CEL-Bild der Button Filter gedrückt, dann wird abhängig von der Konfiguration der komplette Filterdialog inklusive Schichtauswahlliste angezeigt. Damit können die Filtereinstellungen geändert und die Schichtliste aktualisiert werden, um eine andere Schicht zu wählen.


Archiv starten

Handbuch > Archivserver > Funktionen > Archiv starten

Diese Funktion startet zur Runtime ein bereits projektiertes Archiv.

attention Achtung

Achtung: Wird das Starten und Stoppen des Archivs über Start/Ende der Runtime definiert, kann das Archiv nicht mehr über Funktionen gestartet oder gestoppt werden. Diese Funktionen haben dann keine Auswirkung.

Um die Funktion zu projektieren:

  1. Wählen Sie im Knoten Funktionen in der Symbolleiste oder im Kontextmenü den Button Funktion neu.
  2. Der Dialog zur Auswahl einer Funktion wird angezeigt.
  3. Navigieren Sie zum Knoten Archivserver.
  4. Wählen Sie die Funktion Archiv starten.
  5. Der Dialog zur Archivauswahl wird geöffnet.
  6. Wählen Sie das gewünschte Archiv.
  7. Schließen Sie den Dialog mit Klick auf OK.
    In der Liste der Funktionen wird der Archivname als Parameter angezeigt.
  8. Verknüpfen Sie die Funktion mit einem Button.

Zur Runtime startet die Funktion, wenn sie ausgeführt wird, das gewählte Archiv.

Dialog Archivauswahl

Option | Beschreibung
Verfügbare Archive | Anzeige aller konfigurierten Basisarchive und Verdichtungsarchive. Auswahl durch Klick auf einen Eintrag.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Archiv beenden

Handbuch > Archivserver > Funktionen > Archiv beenden

Diese Funktion stoppt zur Runtime ein selektiertes Archiv.

attention Achtung

Achtung: Wird das Starten und Stoppen des Archivs über Start/Ende der Runtime definiert, kann das Archiv nicht mehr über Funktionen gestartet oder gestoppt werden. Diese Funktionen haben dann keine Auswirkung.

Um die Funktion zu projektieren:

  1. Wählen Sie im Knoten Funktionen in der Symbolleiste oder im Kontextmenü den Funktion neu.
  2. Der Dialog zur Auswahl einer Funktion wird angezeigt.
  3. Navigieren Sie zum Knoten Archivserver.
  4. Wählen Sie die Funktion Archiv beenden.
  5. Der Dialog zur Archivauswahl wird geöffnet.
  6. Wählen Sie das gewünschte Archiv.
  7. Schließen Sie den Dialog mit Klick auf OK.
    In der Liste der Funktionen wird der Archivname als Parameter angezeigt.
  8. Verknüpfen Sie die Funktion mit einem Button.

Zur Runtime stoppt die Funktion, wenn sie ausgeführt wird, das gewählte Archiv.

Dialog Archivauswahl

Option | Beschreibung
Verfügbare Archive | Anzeige aller konfigurierten Basisarchive und Verdichtungsarchive. Auswahl durch Klick auf einen Eintrag.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Archiv indizieren

Handbuch > Archivserver > Funktionen > Archiv indizieren

Zum schnelleren Zugriff auf die Chargenwerte im Chargenfilter kann für jedes Archiv ein Index aufgebaut werden. Der Index wird in der Datei [Kurzbezeichnung].ARI abgelegt. Bei jedem Speichern eines Chargenarchivs erfolgt auch ein Eintrag in die Indexdatei. Dieser Eintrag enthält Archivname, Chargenbezeichnung, Startzeitpunkt und Endzeitpunkt. Bei Auslagerung des Archivs wird dieser Index ebenfalls aktualisiert.

Archive können über Dateioperationen gelöscht oder verschoben werden. In diesem Fall muss die Indexdatei neu indiziert werden. Dazu führen Sie die Funktion Archiv indizieren aus.
Hinweis: Das Indizieren kann auch automatisch erfolgen. Aktivieren Sie dazu bei der Archivkonfiguration in der Registerkarte Eigenschaften die Option Chargen indizieren.

Details zur Indizierung lesen Sie im Kapitel Chargen-Archive.

info Info

Die Funktion Archiv indizieren wird immer am prozessführenden Server ausgeführt.

Um die Funktion zu projektieren:

  1. Wählen Sie im Knoten Funktionen in der Symbolleiste oder im Kontextmenü Funktion neu.
  2. Der Dialog zur Auswahl einer Funktion wird angezeigt.
  3. Navigieren Sie zum Knoten Archivserver.
  4. Wählen Sie die Funktion Archiv indizieren.
  5. Der Dialog zur Archivauswahl wird geöffnet.
    Es werden nur Chargenarchive angezeigt.
  6. Wählen Sie das gewünschte Archiv.
  7. Schließen Sie den Dialog mit Klick auf OK.
    In der Liste der Funktionen wird der Archivname als Parameter angezeigt.
  8. Verknüpfen Sie die Funktion mit einem Button.

Zur Runtime indiziert die Funktion, wenn sie ausgeführt wird, das gewählte Archiv.

Dialog Archivauswahl

Option | Beschreibung
Verfügbare Archive | Anzeige aller konfigurierten Chargenarchive. Auswahl durch Klick auf einen Eintrag.
Synchron ausführen | Gilt nur für die Ausführung in einem Skript. Aktiv: Die nächste Funktion startet erst, wenn diese Funktion abgeschlossen ist.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Aktive Archive anzeigen

Handbuch > Archivserver > Funktionen > Aktive Archive anzeigen

Diese Funktion öffnet zur Runtime ein Fenster, das alle aktuell geöffneten Archive anzeigt. Das Fenster wird permanent im Vordergrund angezeigt.

Um die Funktion zu projektieren:

  1. Wählen Sie im Knoten Funktionen in der Symbolleiste oder im Kontextmenü Funktion neu.
  2. Der Dialog zur Auswahl einer Funktion wird angezeigt.
  3. Navigieren Sie zum Knoten Archivserver.
  4. Wählen Sie die Funktion Offene Archive anzeigen.
  5. Verknüpfen Sie die Funktion mit einem Button.


Archive exportieren

Handbuch > Archivserver > Funktionen > Archive exportieren

Diese Funktion exportiert zur Runtime die aufgezeichneten Einträge eines Archivs in eine Datei. Beim Export sind Kennung und Einheit sprachumschaltbar. Diese werden in der Sprache, in der die Runtime läuft, exportiert.

Für die Umrechnung von Maßeinheiten gilt: Archivdaten werden immer in derMaßeinheit exportiert, in der diese auch erstellt wurden. Eine Umrechnung von Maßeinheiten findet hier keine Berücksichtigung.

Für den Export müssen projektiert werden:

  • Allgemeine Informationen zu Formaten, Inhalten und Exportziel
  • das Archiv
  • der Zeitfilter
  • der Chargenfilter

attention Achtung

Der Dateiname der Exportdatei darf keine Sonderzeichen enthalten.
Verboten sind: \ / : * ? " < > |

Um den Archiv-Export zu projektieren:

  1. Wählen Sie im Knoten Funktionen in der Symbolleiste oder im Kontextmenü Funktion neu.
  2. Der Dialog zur Auswahl einer Funktion wird angezeigt.
  3. Navigieren Sie zum Knoten Archivserver.
  4. Wählen Sie die Funktion Archive exportieren.
  5. Der Filter-Dialog zur Konfiguration des Exports wird geöffnet.

info Info

Die Anzahl der Nachkommastellen beim Export von Archiven im Format TXT, XML und DBF sowie bei der Auslagerung auf einen SQL-Server kann in der project.ini mit der Einstellung ARCHDIGITS= im Abschnitt [ARCHIV] angepasst werden.

Default: ARCHDIGITS=1

Filter-Dialog

Registerkarten

Beschreibung

Allgemein

Definition von:

  • Exportformat
  • zu exportierende Spalten
  • Optionen
  • Exportdatei

Archiv

Auswahl des zu exportierenden Archivs

Zeit

Festlegung des entsprechenden Zeitbereiches.

Chargen

Auswahl der gewünschten Chargen.

info Info

Beim Export eines aktiven Chargenarchivs, werden automatisiert folgende Einträge gesetzt:

  • Endzeit: der Zeitpunkt des Exports
  • Chargenname: der aktuelle Wert der Chargenvariablen

Achtung: Diese Werte müssen nicht den Werten des beendeten Chargenarchivs entsprechen.

Tabellenstruktur und Verhalten beim Export

Tabellenstruktur

Statements:

  • Tabelle _DATA:

    "CREATE TABLE [" + szDBTable "_DATA"] ([PRJ] varchar(128),[ARV] varchar(2),[VAR] varchar(128),[CALCULATION] int,[TIMESTAMP_S] int,[TIMESTAMP_MS] int,[VALUE] varchar(128),[STATUS] int)"

  • Tabelle _BATCH für Chargen:

    "CREATE TABLE [" + szDBTable + "_BATCH] ([PRJ] varchar(128),[ARV] varchar(2),[BATCH] varchar(128),[START_S] int,[END_S] int)"

Verhalten beim Export

  1. Kein Tabellennamen angegeben:

    Die Tabelle _DATA wird angelegt und die Werte werden eingetragen.
    (Es wird auch die Tabelle _BATCH angelegt, obwohl hier keine Filter aktiv sind und keine Werte eingetragen werden.)

  2. Tabellenname XXX angegeben:

    Die Tabellen XXX_DATA und XXX_BATCH werden angelegt und die Werte je nach Konfiguration (Chargen aktiviert/deaktiviert) eingetragen.

Beim Export wird in zenon entweder kein Name oder der Tabellenname ohne _DATA eingegeben. Sollen Werte in eine bestimmte Tabelle (z.B. MYPROJECT_DATA eingefügt werden, darf als Tabellennamen in zenon nur MYPROJECT angegeben werden. Wird der Name MYPROJECT_DATA angegeben, dann wird die Tabelle MYPROJECT_DATA_DATA angelegt und befüllt.

Wird eine bereits bestehende Tabelle exportiert (kein Name oder Name ohne _DATA), dann werden die Werte in die Tabelle zusätzlich eingetragen. Das geschieht unabhängig davon, ob die gleichen Werte schon in der Tabelle vorhanden sind.

Speicherüberprüfung beim Rücklesen

Beim Rücklesen von gespeicherten Archiven wird der vorhandene Speicher überprüft.

Speicherart

Speicherüberprüfung

SQL

Sind weniger als 10% des im System vorhandenen Speichers frei, wird das Einlesen der Daten aus dem SQL-Server abgebrochen.

ARX-Dateien

Vor dem Einlesen von Archivdateien (*.arx) wird der zur Verfügung stehende Platz überprüft. Das Einlesen wird abgebrochen, wenn:

  • weniger als 10% des im System vorhandenen Speichers frei sind
  • die in der project.ini definierte Größe für den reservierten Speicherbereich (SPEICHER=) überschritten wird

Das Abbrechen wird über eine Fehlermeldung im Diagnosis Viewer dokumentiert.

attention Achtung

Werden in der Archivierung Dateien erzeugt, die entweder den in der project.ini reservierte Speicherplatz oder die 10%-Regel überschreiten, können diese Dateien nicht mehr eingelesen werden.

Noch in diesem Kapitel

Allgemein

Archiv

Zeit

Chargen


Allgemein

Handbuch > Archivserver > Funktionen > Archive exportieren > Allgemein

In dieser Registerkarte werden definiert:

  • Exportformat
  • Inhalte
  • Dateioptionen

Exportformat

Auswahl des Formats, in das exportiert werden soll.

Format

Beschreibung

dBase

Aktiv: Export in eine Base IV - Datei (*.dbf).
Achtung: DBF-Dateien müssen:

  • in der Benennung dem 8.3 DOS Format für Dateinamen entsprechen (8 alphanumerische Zeichen für Name, 3 Zeichen Erweiterung, keine Leerzeichen)
  • nahe am Stammordner (Root) abgelegt werden

Hinweis: Die Spaltenbezeichnung für den Export ist unabhängig von der Sprache in der die Runtime gestartet wurde.

CSV

Aktiv: Export in eine CSV-Textdatei (*.txt).

Aufbau (-> steht für Tabulator):
Name -> Kennung -> Wert -> Einheit -> (Status_HI_DWORD)(Status_LO_DWORD) -> Sekunden

XML

Aktiv: Export in eine XML-Datei (*.xml).

SQL

Aktiv: Export in eine SQL Datenbank

Hinweis: Für den Export in eine SQL-Datenbank muss die entsprechende Lizenz für den Editor und die Runtime vorhanden sein.

Exportierte Spalten

Auswahl der Spalten der Datenbank, die exportiert werden sollen. Diese Auswahl gilt nur für den Export nach dBase und CSV. Für XML und SQL sind fixe Spalten definiert. Wird also als Exportformat XML oder SQL ausgewählt, ist die Spaltenauswahl deaktiviert.

Hinweis: Unter den Auswahlboxen für die zu exportierenden Spalten werden die Kurzform(en) der ausgewählten Spalten aufgelistet. Die Reihenfolge ist dabei die Reihenfolge der Auswahl. Die Kurzform findet sich jeweils in der Klammer neben der Spaltenbenennung.

dBase und CSV

Folgende Spalten können gewählt werden:

Spalte | Spalte in dBase-Exportdatei | Beschreibung
Variablenname (V) | VAR | Aktiv: Spalte Variablenname wird exportiert. Enthält den Namen der Variablen.
Kennung (I) | TAG | Aktiv: Spalte Kennung wird exportiert. Enthält die Variablenkennung.
Wert (W) | WER | Aktiv: Spalte Wert wird exportiert. Enthält den technischen Wert der Varibalen.
Einheit (U) | UNT | Aktiv: Spalte Einheit wird exportiert. Enthält die zum Wert gehörige Einheit.
Status (S) | STA | Aktiv: Spalte Status wird exportiert. Enthält den Status der Variablen.
Datum (D) | DAT | Aktiv: Spalte Datum wird exportiert. Enthält den Datumsstempel der Variablen.
Zeit (Z) | ZEI | Aktiv: Spalte Zeit wird exportiert. Enthält den Zeitstempel der Variablen.

SQL

Spalten für den Export sind fix definiert und können nicht ausgewählt werden. Exportiert werden:

Spalte | Beschreibung
PRJ | Projektname
ARV | Archivkennung
VAR | Variablenname
CALCULATION | Nicht Null für Einträge aus Verdichtungsarchiven.
TIMESTAMP_S | Zeitstempel der Variablen im Unix-Format.
TIMESTAMP_MS | Millisekunden für den Zeitstempel.
VALUE | Wert der Variablen.
STATUS | Status der Variablen (Dezimalwert).

Optionen

Zusätzliche Optionen für den Export.

Option | Beschreibung
Diesen Dialog zur Runtime anbieten | Aktiv: Beim Aufschalten des Bildes zur Runtime wird dieser Dialog angezeigt.
Archive aus Rückleseordner verwenden | Aktiv: Archive für den Export werden aus dem Rückleseordner gelesen. Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.
Als Unicode exportieren | Aktiv: Die exportierte Datei wird in Unicode (UTF-16) gespeichert. Nur verfügbar für Exportformat CSV.

Export in Datei

Festlegung, in welche Datei die Archive exportiert werden.

Option

Beschreibung

Dateiname

Benutzerdefinierter frei vergebbarer Dateiname. Die Datei wird bei jedem Export unter dem gleichen Namen gespeichert.
Hinweis: Der Name darf keine Sonderzeichen enthalten. Verboten sind: \ / : * ? " < > |

Nur verfügbar, wenn die Option Dateiname automatisch generieren deaktiviert ist.

Dateinamen automatisch generieren

Aktiv: Dateinamen werden automatisch aus einer Kurzkennung und einem Tagesschlüssel erstellt.

Format Tagesschlüssel: JJMMTTHHMMSS.yyy

  • JJ: Jahr (zweistellig)
  • MM: Monat (zweistellig)
  • TT: Tag (zweistellig)
  • HH: Stunde (zweistellig)
  • MM: Minuten (zweistellig)
  • SS: Sekunden (zweistellig)
  • yyy: Dateityp (DBF, TXT, XML)

Dateinamen aus Chargennamen generieren

Aktiv: Dateiname wird aus Chargennamen generiert.

Nur verfügbar, wenn die Option Dateiname automatisch generieren aktiviert wurde.

Achtung: Der Chargenname darf keine Sonderzeichen enthalten.

Postfix

Freie Kennung, die automatisch an den Dateinamen angehängt wird.

Maximal 29 ASCII-Zeichen.
Hinweis: Nur bei aktiver Option Dateinamen automatisch generieren verfügbar.

Eingestellter Exportordner

Anzeige des eingestellten Exportordners.

Den Ordner ändern Sie im Editor im Menü: Datei-> Allgemeine Konfiguration -> Registerkarte Standard -> Ordner Exportierte Archive.

Export in SQL-Datenbank

Option | Beschreibung
Datenbankverbindung | Bei Auslagerung in eine SQL-Datenbank: Angabe der zu verwendenden Datenbank. Hinweis: Der Export in eine SQL-Datenbank muss für Editor und Runtime lizenziert sein.
Tabelle | Bei Auslagerung in eine SQL-Datenbank: Angabe der zu verwendenden Tabelle. Hinweis: Der Export in eine SQL-Datenbank muss für Editor und Runtime lizenziert sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Archiv

Handbuch > Archivserver > Funktionen > Archive exportieren > Archiv

In dieser Registerkarte wird das zu exportierende Archiv ausgewählt.

Auswahl eines Archivs

Option | Beschreibung
Auswahl eines Archivs | Auswahl eines bereits angelegten Archivs aus dem Archivbaum. In der Liste der Funktionen wird der gewählte Archivname als Parameter angezeigt.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeit

Handbuch > Archivserver > Funktionen > Archive exportieren > Zeit

In dieser Registerkarte wird der Zeitfilter konfiguriert.

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Konfiguration erfolgt analog der Zeitfilterung bei der Bildumschaltung.


Chargen

Handbuch > Archivserver > Funktionen > Archive exportieren > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Dialog zur Runtime ersetzen mit Bild

Nur verfügbar, wenn die Option Chargenauswahldialog anzeigen gewählt wurde.

Definition eines Bildes, das zur Runtime statt des Chargenauswahldialogs aufgeschaltet werden soll. Es werden nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter angeboten.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

Hinweis: Auch über die Option Diesen Dialog zur Runtime anbieten kann ein Chargenfilterbild ausgewählt werden. Dieses wird an dieser Stelle allerdings nicht als Chargenfilter, sondern als Zeitfilterbild verwendet. Die Chargenfilter-Optionen werden an dieser Position nicht richtig angewendet.

Chargenauswahl relativ

Achtung: Diese Option ist nur für Erweiterter Trend verfügbar. Sie wird bei Faceplates für alle Bildtypen angezeigt, ist aber auch hier nur für ETM verfügbar.

Konfiguration für ETM:

Damit die Option verfügbar ist, muss die Option Chargenauswahldialog anzeigen aktiviert und in den Projekteigenschaften die Eigenschaft Windows CE Projekt deaktiviert sein.

  • Aktiv: Ermöglicht direkten Vergleich mehrerer Chargen. Die Darstellung geht immer von Nullpunkt aus.

Hinweis: Bei aktivierter Option stehen zur Runtime die Buttons Diagramm und X-Achsen nicht zur Verfügung. Das gilt auch für die Rechtsklick-Funktionalität.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
    Hinweis: Chargenname darf kein | Zeichen enthalten!
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Konfiguration des Chargenfilters erfolgt analog der Filterung bei der Bildumschaltung.


Bedienen zur Runtime

Handbuch > Archivserver > Bedienen zur Runtime

Zur Runtime können Archive über ein Bild vom Typ Archivnachbearbeitung angezeigt und bearbeitet werden.

Archive, die zur Runtime erstellt werden, werden als *.arx Dateien im Runtimeordner des Rechners abgelegt:
%Public%\Documents\zenon_Projects\[Arbeitsbereich]\[Projekt]\[Rechnername]\[Projekt]

Die aktuelle Archivdatei hat den Namen der Kennung. Wenn das Archiv geschlossen wird, wird diese Datei gespeichert und umbenannt und eine weitere Datei mit der Kennung als Name angelegt. Für die Umbenennung wird für den Bereich der Uhrzeit UTC verwendet. Auf die Dateien wird zur Runtime über Filter zugegriffen. Operationen mit den Dateien im Dateibrowser sind nicht nötig.

Werte aus Archiven können zur Runtime je nach Einstellung, bearbeitet, gelöscht und ergänzt werden.

Achtung: Werden in der Archivierung Dateien erzeugt, die entweder den in der project.ini reservierte Speicherplatz oder die 10%-Regel überschreiten, können diese Dateien nicht mehr eingelesen werden. Details siehe Kapitel Archive exportieren.

info Info

Für einen Dezimalwert können als Dezimaltrennzeichen Komma (,) oder Punkt (.) verwendet werden. Das Trennzeichen wird dabei intern immer automatisch in einen Punkt umgewandelt.

Bild vom Typ Archivnachbearbeitung

Kontrollelement | Beschreibung
Fenster Archivdaten | Darstellung der Archivdaten zur Runtime.
Eingestellter Filter (Liste) | Definition des eingestellten Filters.
Eingestellter Filter (Anzeige) | Anzeige des eingestellten Filters.
Status Archiv | Anzeige des Archivstatus.
Kurzbezeichnung | Anzeige der Kurzbezeichnung des angezeigten Archivs.
Anzahl gesamt | Anzeige der Zahl der angezeigten Werte.
Anzahl INVALID | Anzeige der Anzahl der Variablen mit dem Status INVALID.
Archiv öffnen | Öffnet den Dialog zur Auswahl eines Archivs.
Archiv schließen | Schließt das aktuell geöffnete Archiv.
Archiv speichern | Speichert Änderungen im Archiv und aktualisiert Verdichtungsarchive auf Anfrage.
Eintrag bearbeiten | Öffnet den Dialog, um den ausgewählten Archiveintrag zu bearbeiten.
Eintrag einfügen | Öffnet den Dialog zum Einfügen von Archiveinträge in die Archivdateien. Sind für diesen Zeitbereich keine Archivdateien vorhanden, können keine Einträge eingefügt werden. Beim Versuch, einen Eintrag einzufügen, wird eine entsprechende Fehlermeldung angezeigt.
Eintrag löschen | Löscht ausgewählte Archiveinträge nach Sicherheitsabfrage.
Auswahl | Klick auf den Button öffnet den Dialog zur Konfiguration des Filters.
Spaltenkonfiguration | Öffnet den Dialog zur Konfiguration von Spaltenbreite und Schrift.
Drucken | Druckt Liste auf konfiguriertem Drucker aus.
Profilauswahl | Eingabe eines Namens für ein neues Filterprofil oder Auswahl eines Filterprofils aus Dropdownliste.
Speichern | Speichert aktuellen Filter als Profil mit dem im Textfeld Filterprofil angegebenen Namen.
Löschen | Löscht das aktuell ausgewählte Filterprofil.
Import | Öffnet Dialog zum Importieren eines Filterprofils.
Export | Öffnet Dialog zum Exportieren eines Filterprofils.

Filterprofile

Filterprofile sind Filtereinstellungen, die der Anwender bezogen auf ein bestimmtes Bild in der Runtime speichern und aufrufen kann.

Um Filterprofile verwenden zu können, müssen im Bild folgende Kontrollelemente projektiert werden:

Kontrollelement | Beschreibung
Filterprofile | Profilverwaltung zur Runtime.
Profilauswahl | Auswahl eines gespeicherten Profils aus Dropdownliste.
Speichern | Klick auf Button speichert in der Runtime die Filtereinstellungen als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Klick auf Button löscht in der Runtime das ausgewählte Profil.

Damit können Sie zur Runtime:

  • Filter speichern
  • gespeicherte Filter anwenden
  • Filterprofile löschen

Filterprofile können mit weiteren Kontrollelementen auch exportiert und importiert werden.

Funktionen

Während der Runtime stehen folgende Funktion für die Archivsteuerung und -überwachung zur Verfügung.

  • Archiv starten: Manuelles Starten eines im Editor ausgewählten Archivs.
  • Archiv beenden: Manuelles Beenden des im Editor ausgewählten Archivs.
  • Archiv indizieren: Nachträgliches Indizieren von Chargen-Archiven.
  • Aktive Archive anzeigen: Anzeige der aktuell laufenden Archive.
  • Archive exportieren: Export von Archiven in unterschiedliche Formate.

Bearbeitung von in SQL gespeicherten Archiven

Bei in SQL gespeicherten Archiven können Werte verändert werden.
Es ist aber nicht möglich:

  • den Zeitstempel zu ändern
  • Werte zu löschen
  • Werte einzufügen

Noch in diesem Kapitel

Ablauf

Auswahl

Chargenfilter und Zeitfilter

Schrift und Spaltenbreite definieren

Werte bearbeiten

Werte einfügen

Werte ins Archiv speichern

Archiv drucken

Zyklen zur Runtime


Ablauf

Handbuch > Archivserver > Bedienen zur Runtime > Ablauf

Beim Start eines Archivs zur Runtime wird eine Datei xx.arx (xx = Kurzkennung des Archivs) angelegt. Sobald das Archiv gestoppt wird, wird es geschlossen und entsprechend den Regeln benannt.

Es können auch String-Variablen archiviert werden.

attention Achtung

Beenden Sie die Runtime nie, während Archive laufen. Das gilt auch für laufende Prozesse, die Archive benutzen (z.B. Batch Control).

Grund: Das Beenden mit laufendem Archiv verhindert das korrekte Schließen.

Runtime wurde bei laufendem Archiv beendet

Problem: Die Runtime wurde beendet während das Archiv noch lief.
Konsequenzen:

  • Das Archiv wird nicht geschlossen.
  • Damit kann die Datei nicht umbenannt werden.
  • Die ARX-Datei ist noch vorhanden.

Das führt zu folgendem Verhalten:

  • Beim Neustart der Runtime läuft das Archiv nicht weiter.

    Wurde das Archiv als zyklisches Archiv projektiert, wird es beim Neustart der Runtime mit Ersatzwerten für den fehlenden Bereich im aktuellen Intervall aufgefüllt. Wurde noch kein Wert übertragen, wird der definierte Ersatzwert verwendet, sonst der zuletzt gültige Wert. Vorhandene Einträge werden nicht überschrieben.

  • Das Ausführen der Funktion Archiv beenden stoppt das Archiv nicht mehr. Die ARX-Datei kann damit nicht korrekt umkopiert werden.
  • Es kann kein Archiv-Export durchgeführt werden, solange eine ARX-Datei existiert.

Lösung: Starten Sie das Archiv neu und stoppen Sie es dann. Damit wird das Archiv korrekt geschlossen und umbenannt.
Es können eventuell ungültige Werte im Archiv enthalten sein.
Tipp zur Projektierung: Schließen Sie im Skript AUTOEND oder AUTOEND_SERVPROJ alle manuell gestarteten Archive. Damit werden diese beim Beenden der Runtime automatisch gestoppt und geschlossen.

Werte bei gestopptem Archiv

Fallen Werte an während ein Archiv gestoppt ist, dann werden:

  • bei zyklischen Archiven Ersatzwerte zum Auffüllen benutzt
  • bei Archiven ohne definierte Abtastzeitpunkten der jeweils letzte Wert mit dem Status I-Bit ins Archiv geschrieben

Nachladen und Serverwechsel

Wird in der laufenden Runtime das Nachladen angestoßen oder findet eine Umstufung zwischen Server 1 und Server 2 statt, können doppelte oder verschobene Werte auftreten.


Auswahl

Handbuch > Archivserver > Bedienen zur Runtime > Auswahl

Klick auf den Button Auswahl öffnet einen Dialog zur Auswahl von Werten, die hervorgehoben angezeigt werden sollen.

In der Liste werden alle Einträge, die den ausgewählten Kriterien entsprechen, markiert. Mit Aktivierung der Option Auswahl löschen werden die Hervorhebungen wieder entfernt.

Filterdialog

Option

Beschreibung

Statusliste

Auswahl der Statusbits, auf die gefiltert werden soll. Auswahl und Abwahl durch Klick auf das jeweilige Statusbit.

Nur verfügbar, wenn die Option Alle Einträge deaktiviert ist.

Variablenliste

Variablen, die aus dem ausgewählten Archiv dargestellt werden sollen. Auswahl und Abwahl durch Klick in die Checkbox vor der Variablen.

Nur verfügbar, wenn die Option Alle Einträge deaktiviert ist.

Wert (in Basiseinheit)

Aktiv: Es wird auf Archivwerte gefiltert, deren Werte zwischen einem Minimum und Maximum liegen oder als String eine bestimmte Zeichenfolge enthalten.

Eingabe von:

  • Minimum: Untergrenze des Werts
  • Maximum: Obergrenze des Werts
  • String-Maske: Zeichenfolge, auf die gefiltert werden soll;

Nur verfügbar, wenn die Option Alle Einträge deaktiviert ist.

Auswahl löschen
  • Aktiv: Beim Schließen des Dialogs werden alle Hervorhebungen in der Liste entfernt.
    Deaktiviert Eingabemöglichkeit für Statusbits und Variablen.

Alle Einträge

Aktiv: Einstellungen gelten für alle Status und Variablen. Die Einträge in Statusliste, Variablenliste und Wert können nicht individuell ausgewählt werden.


Chargenfilter und Zeitfilter

Handbuch > Archivserver > Bedienen zur Runtime > Chargenfilter und Zeitfilter

Die in der Bildumschaltung konfigurierten Filtereinstellungen können zur Runtime modifiziert werden. Dazu

  1. Öffnen Sie im Editor die Funktion zur Bildumschaltung.
  2. Klicken Sie auf Filter.
  3. Aktivieren Sie in der Registerkarte Archivfilter die Option Diesen Dialog zur Runtime anbieten.
  4. Sollen zur Runtime auch einzelne Variablen konfiguriert werden, dann deaktivieren Sie im Editor die Option alle Einträge.

Zur Runtime wird beim Aufschalten des Bildes je nach Projektierung der Zeitfilter oder Chargenfilter angezeigt:

  • Chargenfilter aktiviert: Chargenfilter wird angeboten
  • Chargenfilter deaktiviert: Zeitfilter wird angeboten

Konfiguration Chargenfilter

Wurde bei der Projektierung als Zeitfiltertyp die Option Kein Zeitfilter gesetzt, dann werden zur Runtime alle Einträge seit 1. 1. 2000 angezeigt.

attention Achtung

In der Liste der Archive werden alle projektierten Chargenarchive angeboten. Es muss hier das gleiche Archiv ausgewählt werden wie in der Bildumschaltung. Nur dann werden auch Daten angezeigt.

Parameter

Beschreibung

Chargenfilter

Auswahl der Chargen, auf die gefiltert werden soll. Der Filter besteht aus den beiden Listen:

  • Liste Archive: Liste der Archive
  • Liste Chargen: Liste der dem gewählten Archiv zugeordneten Chargen

Liste Archive

Auswahl des gewünschten Archivs.

Knoten *:

  • Sammelt alle Chargen aller angezeigten Archive.
  • Schlüssel ist der Chargenname.
  • Startzeit ist die Startzeit der frühesten Charge.
  • Endezeit die späteste Endezeit aller Chargen.

Liste Chargen

Anzeige der dem ausgewählten Archiv zugeordneten Chargen.

Filterung durch Eingabe eines Texts, Datums, Zeitpunkts oder Zeitbereichs - je nach Typ.

Sortierung durch Klick auf die Kopfzeile.

Chargenname

Zeigt die Namen aller verfügbaren Chargen an.

Filter: Eingabe einer Zeichenfolge. Nur Chargen mit der jeweiligen Zeichenfolge werden angezeigt.

Startdatum

Zeigt das Startdatum aller verfügbaren Chargen an.

Filter: Eingabe eines Startdatums oder Auswahl aus Kalender.

Startzeit

Nur verfügbar, wenn Sie ein Startdatum eingeben.

Anzeige der Startzeit aller verfügbaren Chargen.

Filter: Eingabe einer Startzeit. * bedeutet 00:00:00 Uhr.

Enddatum

Zeigt das Enddatum aller verfügbaren Chargen an.

Filter: Eingabe eines Enddatums oder Auswahl aus Kalender.

Endzeit

Nur verfügbar, wenn Sie ein Enddatum eingeben.

Anzeige der Endzeit aller verfügbaren Chargen.

Filter: Eingabe einer Endzeit. * bedeutet 23:59:59 Uhr.

Dauer

Diese Spalte zeigt die Dauer aller verfügbaren Chargen an.

Nur Anzeige.

info Info

Es werden auch noch nicht abgeschlossene Chargen angezeigt, falls sie den Filterkriterien entsprechen.

info Info

Der Wert der Chargenvariable wird am Beginn der Charge sowohl in die Index-Datei also auch in den Header der ARX-Datei geschrieben. Bei jeder Änderung dieser Variable werden diese Einträge angepasst. Beim Abschließen der Charge wird der aktuelle Wert der Chargenvariable endgültig in die Index-Datei und in den Header geschrieben.

Erst wenn eine Charge abgeschlossen ist, ist der Chargenname festgeschrieben.

SQL

Die Chargenfilterung auf in SQL-ausgelagerte Archivwerte erfolgt über einen Zeitfilter. Dieser Zeitfilter beinhaltet alle Werte des Archivs zwischen Beginnzeit und Endezeit der Charge. Die Chargen-Beginnzeit und Chargen-Endezeit sind mit eingeschlossen. Bei dieser Zeitfilterung bleiben Millisekunden unberücksichtigt.

Konfiguration Zeitbereich

Der Filterdialog für die Zeiteinstellung kann zur Runtime spezialisiert auf einen Zeitbereich angeboten werden. Dazu:

  1. Öffnen Sie im Editor die Funktion zur Bildumschaltung.
  2. Klicken Sie auf Filter.
  3. Öffnen Sie die Registerkarte Zeit.
  4. Wählen Sie die Option Zeitbereich.

Zur Runtime wird anstelle des gesamten Dialogs nur ein Dialog zur Konfiguration des Zeitraums angeboten. Zum Beispiel für die Einstellung Ein Tag:

Beispiel

Mit dieser Einstellung können auch individuelle Zeitbereiche, wie zum Beispiel Schichten, schnell abrufbar konfiguriert werden.

Zum Beispiel: Schicht von 06:00 bis 14:00 Uhr.

  1. Wählen Sie als Zeitraum: Ein Tag.

    Ein Tag dauert dabei standardmäßig von 00:00 bis 24:00.

  2. Setzen Sie die Verschiebung des Zeitbereichs auf 6 Stunden.

    Jetzt dauert der Tag von 6:00 bis 6:00 am nächsten Tag.

  3. Setzen Sie jetzt Zeitraum ändern auf 16 Stunden.
  4. Belassen Sie die Option Zeit abziehen.

    Damit wird von 06:00 am nächsten Tag um 16 Stunden zurück gerechnet. Nun dauert der Tag von 6:00 bis 14:00, was genau der gewünschten Schicht entspricht.

  5. Übertragen Sie die neuen Runtime-Dateien.
  6. Starten Sie die Runtime neu.
  7. Bei der Bildaufschaltung wählen Sie den gewünschten Tag aus.

Sie erhalten die Daten des gewählten Tages von 06:00 bis 14:00 Uhr.


Schrift und Spaltenbreite definieren

Handbuch > Archivserver > Bedienen zur Runtime > Schrift und Spaltenbreite definieren

Für die Liste mit den Archivdaten können auch zur Runtime Schriftart und Spaltenbreite geändert werden. Dazu muss das Kontrollelement Diagrammfenster projektiert werden. Zur Runtime öffnet ein Klick auf den Button den Dialog zur Konfiguration von Spaltenbreite und Schrift:

Option

Beschreibung

Spaltenbreite

Spaltenbreite in Zeichen.

Um die Spaltenbreite, anzupassen, tragen Sie den gewünschten Wert in das Textfeld neben der Spalte ein.

Schrift

Auswahl der Schriftart aus Dropdownliste. Es werden alle im Editor konfigurierten Schriften angeboten. Die gleiche Schriftart wird auch für den Ausdruck verwendet.

Die gewählte Schriftart wird in der project.ini gespeichert bis die Runtime vom Editor aus neu gestartet wird.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Standard

Setzt alle Einträge für Spaltenbreite auf Default. Die ausgewählte Schrift wird nicht verändert.

Schriftart permanent speichern

Wird die Runtime vom Editor aus gestartet, wird die project.ini überschrieben und die eingestellte Schriftart wird wieder geändert.

Änderungen für die Schriftart nehmen Sie in der project.ini über den Eintrag ARCHEDITFONT= vor.

Um Einträge in der project.ini permanent zu übernehmen, empfiehlt sich folgende Vorgehensweise:

  1. Identifizieren Sie das Projekt.
    Dazu notieren Sie die GUID des Projekts im Editor. Die ersten 4-6 Stellen sind ausreichend.

    Tipp: Markieren Sie das Projekt im Projektmanager und drücken Sie die Tastenkombination Strg+Alt+E.
    Der Explorer öffnet den Ordner ...\<GUID>\Project_SQL_directory\FILES\
    Diesen Pfad benötigen Sie im nächsten Schritt.

    Schließen Sie dann den Arbeitsbereich oder beenden Sie den Editor.

  2. Navigieren Sie zur project.ini: Diese befindet sich im Ordner ...\<GUID>\Project_SQL_directory\FILES\zenon\system.
  3. Bearbeiten Sie die project.ini: Nehmen Sie die gewünschten Änderungen in der project.ini vor. Speichern und schließen Sie die Datei.
  4. Runtime-Dateien übertragen: Öffnen Sie den Editor wieder oder laden Sie das Projekt. Erzeugen Sie geänderte Runtime-Dateien und übertragen Sie die Runtime-Dateien.


Werte bearbeiten

Handbuch > Archivserver > Bedienen zur Runtime > Werte bearbeiten

Variablenwerte in Archiven können zur Runtime bearbeitet werden. Um Werte zu bearbeiten:

  1. Markieren Sie den Eintrag in der Liste der Archivdaten.

    Hinweis: Es können auch mehrere Einträge gleichzeitig ausgewählt werden.

  2. Klicken Sie auf den Button Öffnen oder führen Sie einen Doppelklick auf den Eintrag aus.
  3. Der Dialog zum Editieren des Werts wird geöffnet.
  4. Tragen Sie den gewünschten Wert und Zeitstempel ein.

    Werden mehrere Archiveinträge gleichzeitig geändert, erhalten alle den im Dialog eingegebenen Wert und Zeitstempel.

  5. Bestätigen Sie den Dialog mit Klick auf OK.

    Wurden ein oder mehrere Werte geändert, dann wird mit Klick auf OK:

    • der Status des Eintrages auf Handwert (MAN_VAL) gesetzt
    • die geänderte Zeile blau eingefärbt
    • der Spaltentitel rot gefärbt
    • der Button Speichern aktiviert
  6. Speichern Sie die aktualisierte Liste mit Klick auf den Button Speichern.
    Nach dem Speichern der geänderten Liste wird die Farbe des Spaltentitels wieder zurückgesetzt.

Dialog Archiv bearbeiten

Option

Beschreibung

Wert

Eingabe des neuen Werts.

Wurden mehrere Werte ausgewählt, dann:

  • wird der Defaultwert auf 0 gesetzt
  • wird der neue Wert auf alle markierten Einträge angewendet

Zeit

Eingabe des neuen Zeitstempels.

Wurden mehrere Werte ausgewählt, dann:

  • wird der Defaultwert auf 0 gesetzt
  • wird der neue Wert auf alle markierten Einträge angewendet

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Werte einfügen

Handbuch > Archivserver > Bedienen zur Runtime > Werte einfügen

In ein bestehendes Archiv können auch neue Werte eingefügt werden.

Um neue Werte einzufügen:

  1. Klicken Sie auf den Button Einfügen.
  2. Der Dialog zum Erstellen neuer Werte wird geöffnet:

  3. Wählen Sie eine Variable.
  4. Geben Sie Wert, Anzahl und Zeitstempel ein.
  5. Bestätigen Sie die Auswahl mit Klick auf OK.

    Mit Klick auf OK und Eintrag in die Liste wird:

    • der Status des Eintrages auf Handwert (MAN_VAL) gesetzt
    • die neue Zeile blau eingefärbt
    • der Spaltentitel rot gefärbt
    • der Button Speichern aktiviert
  6. Speichern Sie die aktualisierte Liste mit Klick auf den Button Speichern.
    Nach dem Speichern der geänderten Liste wird die Farbe des Spaltentitels wieder zurückgesetzt.

Hinweise:

  • Wurde ein Eintrag markiert, bevor der Dialog geöffnet wurde, dann:
    • können Zeitstempel und Zyklus nicht geändert werden
    • wird der neue Wert unterhalb der markierten Variable eingetragen
  • In SQL-gespeicherte Archive können keine Werte eingefügt werden.
  • Nach dem Speichern der geänderten Liste wird die Farbe des Spaltentitels wieder zurückgesetzt.

Dialog Wert einfügen

Option | Beschreibung
Wert | Eingabe des neuen Werts.
Anzahl | Eingabe der Anzahl der gewünschten Werte.
Zyklus | Eingabe Zykluszeit in Sekunden.
Datum | Eingabe Datum.
Zeit | Eingabe Zeitpunkt.
Variablen | Auswahl der Variablen aus Liste.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Werte ins Archiv speichern

Handbuch > Archivserver > Bedienen zur Runtime > Werte ins Archiv speichern

Neue und geänderte Werte müssen gespeichert werden, damit sie in das Archiv übernommen werden. Dazu klicken Sie auf den Button Speichern. Die neuen und geänderten Werte werden damit im Archiv gespeichert. Existieren für das Archiv auch Verdichtungsarchive, so werden diese automatisch aktualisiert.

Sind im Archiv ungespeicherte Werte vorhanden, wird dies durch eine Rotfärbung der Kopfzeile angezeigt.


Archiv drucken

Handbuch > Archivserver > Bedienen zur Runtime > Archiv drucken

Archive werden über Klick auf den Button Drucken standardmäßig als Liste gedruckt. Diese Liste kann auch mit einer Titelzeile versehen werden. Dazu muss in zenon eine Formatdatei mit Namen ARV_G.FRM existieren.

Um den Ausdruck zu formatieren:

  1. Legen Sie eine Formatierungsdatei an:
    • Name: ARV_G.FRM
  2. Importieren Sie die Datei im Editor in den Unterknoten: Dateien\Texte und Formate.

    Dieser entspricht dem Speicherort: %PUBLIC%\Documents\zenon_Projects\[Arbeitsbereich]\[Projekt]\RT\FILES\zenon\custom\lists.

  3. Überprüfen Sie den für Listen und Formate eingestellten Drucker im Menü Datei -> Allgemeine Konfiguration -> Standard -> Drucker -> für Notizbuch.

Konfiguration der Datei ARV_G.FRM

Erstellen Sie eine Textdatei mit Namen ARV_G.FRM.

Diese Datei enthält die Schlüsselworte für die Formatierung des Ausdrucks zur Runtime.

Achtung: Die Schlüsselworte werden in allen Sprachen in Deutsch eingetragen.

Schlüsselwort | Bedeutung
@AMELDUNG | Grenzwerttext des Archiveintrags.
@ARCHIVNAME | Name des Archivs.
@DATZEIT | Datum-/Zeit-Stempel des Archiveintrags.
@EINHEIT | Einheit des Archiveintrags.
@HEADZEIT | Datum-/Zeit-Stempel des Archivs.
@KANALNAME | Variablenname des Archiveintrags.
@SEITE | Seitennummer beim Ausdruck.
@STATUS | Statustext des Archiveintrags.
@TAGNR | Variablenkennung des Eintrags.
@WERT | Wert des Archiveintrags.

Die Schlüsselworte für den Teil der zyklisch wiederholten Archiveinträgen der Liste werden mit dem Zeichen %% eingeschlossen.

Beispiel

@HEADZEIT @ARCHIVNAME
Seite: @SEITE -----------------

Datum/Zeit Variablenname Wert Einheit Zustandstext Status
----------------------------------------------------------------------------------------------------------------
%%
@DATZEIT @KANALNAME @WERT @EINHEIT @AMELDUNG @STATUS
%%


Zyklen zur Runtime

Handbuch > Archivserver > Bedienen zur Runtime > Zyklen zur Runtime

Die Konfiguration der Abtastung und Speicherung im Editor sowie des Startzeitpunkts der Archive wirken sich auf die Ausführung zur Runtime entsprechend aus:

Der im Archiv eingestellte Startzeitpunkt dient als Grundlage für die Berechnung der Speicherzeiten. Von diesem Zeitpunkt ab werden die Speicherzyklen addiert. Damit weiß zenon bei jedem Runtimestart, wann das aktuell laufende Alpha-Archiv geschlossen werden und eine neue Datei begonnen werden muss.

info Info

Als Alpha-Archive werden Archive bezeichnet, die aktuell geöffnet sind und daher noch keinen Datums- und Zeitstempel haben.

Wird die Runtime gestoppt während Daten in eine Archivdatei geschrieben werden, bleibt diese Datei offen. Beim nächsten Start prüft die Runtime, ob die Datei jetzt geschlossen werden sollte:

  • Ja: Die Datei wird geschlossen und sofort eine neue Datei begonnen.
  • Nein: Die neuen Daten werden der bestehenden Datei hinzugefügt und die Datei wird weiter verwendet. Werte, die während der Stillstandszeit der Runtime angefallen sind, werden von zenon mit entsprechendem Archivfüllwert eingetragen und erhalten den Status INVALID.

info Info

Konfigurieren Sie Abtastzyklus und Speicherzyklus immer so, dass sie in einem ganzzahligen Vielfachen zueinander stehen, um Überschneidungen und damit Ungenauigkeiten in Verdichtungsarchiven zu vermeiden.


Verwendung von Archivdaten in zenon

Handbuch > Archivserver > Verwendung von Archivdaten in zenon

Daten aus der Archivierung können in zenon weiterverwendet werden:

  • Report Generator
  • Report Viewer
  • Erweiterten Trend

Außerdem können Daten auch mit dem COPA-DATA Produkt zenon Analyzer ausgewertet werden.

Noch in diesem Kapitel

Report Generator

Report Viewer

Erweiterter Trend


Report Generator

Handbuch > Archivserver > Verwendung von Archivdaten in zenon > Report Generator

Der Report Generator arbeitet zellenorientiert.

Beispiel für einen Report:

Jeder dieser Zellen können bestimmte Formate und Funktionen zugewiesen werden. Projektiert wird ein Report als eigenes Bild vom Typ Report Generator. Die Berechnung, Ausgabe und Darstellung der Daten erfolgt über vordefinierte Reportfunktionen. Diese können über einen Dialog oder von Hand in die jeweiligen Zellen eingetragen werden. Um Reports in der Runtime anzeigen zu können, müssen diese im Editor konfiguriert werden.

attention Achtung

Der gewünschte Drucker muss vor der Reporterstellung ausgewählt werden, da die Seitenformatierung eines Reports von dem eingestellten Drucker abhängt. Die nachträgliche Änderung des Druckers kann eine Neuformatierung des bestehenden Reports notwendig machen.

Noch in diesem Kapitel

Archiv- und Protokollfunktionen


Archiv- und Protokollfunktionen

Handbuch > Archivserver > Verwendung von Archivdaten in zenon > Report Generator > Archiv- und Protokollfunktionen

Grundlagen

Alle Archivfunktionen bauen auf der Grundfunktion archive(FILTERINDEX,PARAMETER,RICHTUNG) auf.

Die Erweiterungen werden durch zusätzliche Buchstaben im Funktionsnamen kenntlich gemacht.

Kürzel | Bedeutung | Bemerkung
r | read only | Das Archiv kann nur gelesen werden. Geänderte Werte können nicht gespeichert werden.
sp | Spalten | Bietet spezielle Formatierung zur Definition von zu verwendenden Zellen.
m | Mathematik | Wirkt nur auf Wert und Zeit.
ex | extended | Bietet Sonderbehandlungen.
w | write | Schreiben ist möglich.

Filterindex

Der Filterindex stellt die Zuordnung zwischen den in den Reportfunktionen verwendeten Nummern des Archivfilters und den Variablen aus den Archiven her.

Example Beispiel

=archive(5,"wert","unten")

FILTERINDEX = 5

Der im Filter unter Nr. 5 angeführte Eintrag wird für die Reportfunktion verwendet.

Parameter

Optionen | Möglicher Wert
wert | [1-n]
status | [1-n]
zeit | [1-n]
anzahl | [1]

Richtung

Optionen

Bedeutung

rechts

Wert wird nach rechts eingetragen (Zeile).

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Spalte angelegt, wird der Wert nach unten (in die Spalte) eingetragen.

unten

Wert wird nach unten eingetragen (Spalte.)

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Zeile angelegt, wird der Wert nach rechts (in die Zeile) eingetragen.

Alle Archivfunktionen können mit dem Funktionsassistenten erstellt werden.

Bei der Ausgabe der Statusinformation werden die Einstellungen aus der Datei project.ini im Abschnitt [STATUS] oder aus der intern definierten Zuordnung verwendet. Wurde die Statusbezeichnung in der project.ini geändert, wird der geänderte Name ausgegeben. (Tipp: Ermöglicht es, Projekt mit alten Statusbezeichnern kompatibel zu halten.)

Im Onlinebetrieb wird die Abfragezeit entweder im Funktionsaufruf definiert oder zur Runtime beim Öffnen einer Reportdatei vorgegeben.

Archiveinträge ändern

Sofern von den Benutzerrechten zugelassen, können Archivwerte zur Runtime auch geändert werden. Änderungen werden entweder manuell über das Kontrollelement Speichern oder automatisch beim Speichern der Reportdatei gespeichert. Der Status eines geänderten Eintrags wird automatisch auf Handwert gesetzt.

info Info

Ändern von Stringfeldern im Report: Besteht ein Text nur aus Zahlen, werden Leerzeichen beim Speichern standardmäßig entfernt. Gewünschte Leerzeichen müssen durch das ASCII Zeichen 255 (Alt+255) dargestellt werden.


Report Viewer

Handbuch > Archivserver > Verwendung von Archivdaten in zenon > Report Viewer

Auch der Report Viewer erlaubt es, Archivdaten für den Benutzer aufzubereiten. Im Unterschied zum Report Generator können diese aber nicht mehr manipuliert werden. Dafür bietet der Report Viewer weitreichende grafische Möglichkeiten für die Darstellung, wie etwa Diagramme. Zusätzlich können auch zwei Zeitbereiche für eingehende Analysen einander gegenübergestellt werden.

Um Berichte mittels Report Viewer erstellen zu können, wird auch Software von Drittanbietern benötigt. Bei der Installation von zenon wird daher bereits der Microsoft Report Designer mitinstalliert. Dieser öffnet sich sobald Sie einen neuen Report erstellen. Für die Darstellung zur Runtime existiert ein eigener Bildtyp.

Details zur Konfiguration finden Sie im Handbuch Report Viewer.


Erweiterter Trend

Handbuch > Archivserver > Verwendung von Archivdaten in zenon > Erweiterter Trend

Der lizenzpflichtige Erweiterte Trend stellt Online-Werte und Archivwerte von Variablen als Kurven dar. Im Unterschied zum Dynamischen Element Trend ist Zoomen, Blättern, Abfragen und Skalieren von Onlinewerten und Werten aus Archiven möglich. Wie auch für den Report Generator und den Report Viewer existiert auch für den Erweiterten Trend ein eigener Bildtyp. Details zur Konfiguration lesen Sie im Handbuch Erweiterter Trend.

Erweiterter Trend Starter Edition

Im Standardumfang von zenon ist mit der Starter Edition eine im Funktionsumfang reduzierte Version des Erweiterten Trends enthalten.

Die Starter Edition hat folgende Einschränkungen:

  • kein XY Trend
  • keine 2. Zeitachse
  • Kurvenanzahl begrenzt auf 8 Kurven
  • keine logarithmische Darstellung
  • Abtastung mit einem Cursor


Weiterführende Informationen

Handbuch > Archivserver > Weiterführende Informationen

Dieser Abschnitt enthält Hintergrundinformationen zu Archiven und Archivierung.

Noch in diesem Kapitel

Format der Archivdateien

Archive in eine SQL-Datenbank auslagern

RDA

Archivierung im zenon Netzwerk


Format der Archivdateien

Handbuch > Archivserver > Weiterführende Informationen > Format der Archivdateien

Archive haben folgende Datenstruktur:

  • Die Archivdatei mit der Kennung ARX beinhaltet die Variablendefinitionen und die numerischen Daten.
  • Die ARS-Datei beinhaltet die Stringdaten.
  • Der Archivheader beinhaltet die Archivdefinitionen und eventuell den Wert der Chargenvariable.
  • Der für den Wert der Chargenvariable reservierte Speicherplatz hängt, wenn die Chargenvariable eine Stringvariable ist, von der Stringlänge ab. Bei numerischen Variablen werden fix 32 Zeichen reserviert. Chargenstrings werden in Unicode abgelegt. Wenn keine Chargenvariable definiert ist, wird der Speicherplatz nicht reserviert.
  • Der Datenrecord in der ARX-Datei hat eine Länge von 24 Byte und bietet auch die Möglichkeit, Double Werte abzulegen. Die Statusinformationen sind 64 Bit.
  • Archive können im Abstand von 1 Sekunde abgelegt werden. Für zyklische Archive wird empfohlen, Speicherzeiten größer als 30 Sekunden einzuhalten.

Konvertierung von Projekten vor Version 6.20 SP0

Ab Version 6.20 SP0 werden Archivdateien im Format ARX abgelegt, davor wurde das Format ARV verwendet. Wird ein Projekt konvertiert, wird beim Start der Runtime geprüft, ob sich Archivdateien im ARV-Format im Runtime-Ordner befinden. Nach Bestätigung der Konvertierung werden die Dateien in das ARX-Format umgewandelt. Diese Konvertierung wird für sämtliche Projekte ausgeführt bevor die Projekte starten. Bei der Konvertierung werden die ARV-Dateien gelöscht. Für die Auslagerung nach SQL müssen der Tabelle weitere Spalten hinzugefügt werden.

Empfehlung: Sichern Sie die ARV-Dateien vor der Konvertierung.

Benennung eines Archivs

Der Name eines Archives wird gebildet aus:

  • Kurzbezeichnung
  • Speicherzeit in UTC im Format JJMMTThhmmss
  • Dateierweiterung .arx

Zum Beispiel: XX140403071200.arx

XX | Name des Archivs
14 | Jahr
04 | Monat
03 | Tag
07 | Stunde (UTC)
12 | Minuten
00 | Sekunde

UTC Zeit und lokale Zeit

Archive benutzen beim Speichern UTC-Zeit. Die lokale Zeit, die am Computer eingesetzt wird, setzt sich zusammen aus: UTC + Zeitzone + Sommerzeit/Winterzeit. Die zenon Runtime berücksichtigt bei Archivabfragen automatisch die lokale Zeit.

Beispiel: Berlin im Sommer

  • Lokale Zeit: 14:00 Uhr
  • UTC: 14:00 Uhr lokale Zeit minus 1h Sommerzeit minus 1h Zeitzone = 12:00 Uhr UTC
    Der Wert, der lokal um 14:00 Uhr auftritt wird mit der Zeit 12:00 gespeichert.

Sie fragen in Berlin Werte zwischen 13:00 und 15:00 Uhr lokaler Zeit ab. Die Runtime fordert dann vom Archiv die Werte mit einem Zeitstempel zwischen 11:00 und 13:00 Uhr an und zeigt diese mit der lokalen Zeit (13:00 bis 15:00 Uhr) an.

Noch in diesem Kapitel

Stringvariablen


Stringvariablen

Handbuch > Archivserver > Weiterführende Informationen > Format der Archivdateien > Stringvariablen

Stringvariablen können archiviert werden. Diese werden in einer Datei mit dem Namen [Kurzbezeichnung][Zeit].ARS abgelegt. Diese Datei beinhaltet nur die Daten der Strings und bildet eine logische Einheit mit der ARX-Datei. In der ARX-Datei ist vermerkt, ob ein Stringarchiv vorhanden sein muss. Wenn keine Strings im Archiv archiviert werden, wird kein ARS-Archiv erstellt. Sind Strings vorhanden, muss die ARS-Datei zwingend vorhanden sein.

attention Achtung

Dateioperationen müssen beide Dateien berücksichtigen. Fehlt eine benötigte ARS-Datei so werden auch die Daten aus der ARX-Datei nicht geladen.

Die Stringdaten werden in Unicode mit dynamischer Datenlänge abgelegt. Dies geschieht, um Speicherplatz zu sparen und ist unabhängig von der definierten Stringlänge. Im Datenrecord der ARX-Datei wird die Position des String-Record in der ARS-Datei vermerkt.

attention Achtung

Werden Strings in der ARS-Datei editiert, kann sich deren Position verändern. Diese wird für den editierten String in der ARX-Datei aktualisiert. Dies geschieht nur für den editierten String, aber nicht für alle weiteren. Wird über die API oder Tools auf die ARS-Datei zugegriffen, kann daher nicht garantiert werden, dass sich die angesprochenen Strings an der vermuteten Position befinden.

Bei den Variableneigenschaften steht ein Ersatzwert für Strings zur Verfügung, um das Archiv immer mit Werten versorgen zu können. Der String Archivfüllwert wird verwendet, wenn zenon , z.B zum Auffüllen von zyklischen Archiven, einen Wert für die String-Variable benötigt, aber kein Wert vorhanden ist. Wurde noch kein Wert übertragen, wird der definierte Ersatzwert verwendet, sonst der der zuletzt gültige Wert.

Im Editor wird bei der Größenermittlung für Archive immer davon ausgegangen, dass der String mit der maximalen Stringlänge archiviert wird.

Größe Datenfeld

Generell ist die Größe des Datenfeldes so groß wie die längste Stringvariable im Archiv. Dabei gilt für:

  • Archiv-Auslagerung
    Bei der Erstellung der Tabellen für die Archivauslagerung mit dem zenon Editor wird die Spaltenbreite an den längsten String angepasst.
  • Archiv-Export
    Die Spaltenbreite ist auf 128 Zeichen fest eingestellt. Zeichen, die darüber hinausgehen, werden ignoriert.

Hinweis Systemtreibervariablen: Die Stringlänge ist auf 5 Zeichen begrenzt und kann nicht geändert werden. Die Stringinhalte der Systemtreibervariablen können jedoch länger als 5 Zeichen sein. Fügen Sie zusätzlich eine Stringvariable mit z. B. eine Länge von 256 Zeichen in das Archiv ein, um Datenverlust zu vermeiden.

attention Achtung

Ändert sich die Länge einer zu archivierenden String-Variablen, so muss dieses Datenfeld bei Auslagerung in SQL oder Export in SQL angepasst werden!

Hinweis: Führen Sie diese Änderungen unbedingt durch, bevor Änderungen in die Runtime übernommen werden. Ansonsten werden längere Stringwerte abgeschnitten archiviert!

Datenfeld für SQL anpassen

Die Anpassung kann entweder manuell mit einem Tool zur Datenbankverwaltung erfolgen (z. B. Management Studio für MS-SQL Server) oder über die Archivprojektierung.

Um im zenon Editor das Datenfeld anzupassen, führen Sie für jedes Archiv folgende Schritte durch:

  1. Wählen Sie im Kontextmenü des Archivs Archiv bearbeiten.
  2. Wechseln Sie zur Registerkarte Speichern.
  3. Navigieren Sie zum Bereich Auslagerung nach Aufbewahrungsdauer.
  4. Klicken Sie auf Tabellen anlegen.


Archive in eine SQL-Datenbank auslagern

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern

Die Auslagerung von Archiven in eine SQL-Datenbank ermöglicht die standardisierte Ablage der Daten zur Verwendung in anderen Applikationen. Unterstützt werden z.B.: Microsoft SQL Server, Oracle, CRATE.IO und andere Datenbanksysteme, die über eine ODBC-Schnittstelle verfügen. Gleichzeitig können die Daten auch weiterhin in zenon Trends und Reports verwendet werden. SQL-Datenbanken ermöglichen außerdem die gezielte Optimierung der Datenhaltung.

Für die Ablage der Archivdaten in einer SQL-Datenbank werden zwei Stadien der Datenhaltung unterschieden:

  • Kurzzeitdaten: Entspricht der Einstellung Archive aufbewahren im Dialog Speichern. Diese werden im ARX-Format auf dem lokalen Datenträger gespeichert.
  • Langzeitdaten: Ist die eingestellte Ringbuffer-Lebenszeit der Archivdatei erreicht, so wird der Inhalt dieser Datei als gesammelte Transaktion in die SQL-Datenbank geschrieben und lokal gelöscht.

Werden Daten dieses Archivs für Trend oder Report benötigt, so werden die lokal abgelegten Kurzzeitdaten mit den in der SQL-Datenbank abgelegten Langzeitdaten automatisch wieder zu einem nahtlosen Datenstrom kombiniert.

Diese Eigenschaft kann auch genutzt werden, um externe Daten in zenon zu nutzen. Nachdem die notwendigen Datenbank-Tabellen erstellt wurden, können diese auch über externe Tools mit Daten befüllt werden. Dafür muss das Archiv nicht gestartet werden. Die in der Tabelle eingefügten Daten stehen zur Anzeige in einem zenon Trend oder Report zur Verfügung.

Hinweis: SQL-Archive können auch auf einen MS Azure-Dienstbus ausgelagert werden. Dazu muss bei der Archivkonfiguration in der Registerkarte Speichern die Option MS Azure-Dienstbus zum Schreiben verwenden aktiviert werden. Details lesen Sie im:

  • Kapitel MS Azure-Dienstbus in diesem Handbuch
  • Handbuch MS Azure

Formate der Tabellen

Für jedes Archiv wird in der Datenbank eine Tabelle angelegt, welche die ausgelagerten Archivdaten beinhaltet. Zusätzlich wird für das gesamte Projekt eine Querverweistabelle erzeugt, welche eine Zuordnung zwischen Variablennamen und eindeutiger numerischer Variablen-ID beinhaltet.

info Info

Beim Anlegen der SQL-Tabellen für Archivdaten, Chargen und Variablen über den Editor wird automatisch ein Primärschlüssel angelegt.

Achtung: Aus Performancegründen ist der Primärschlüssel für Archive auf nicht projektübergreifende Variablenbezüge optimiert. Die Projekt-GUID der Variablen ist also nicht enthalten. Sollen Archive mit projektübergreifenden Variablenbezügen in SQL ausgelagert werden, muss der Primärschlüssel manuell gelöscht oder um die Projekt-GUID erweitert werden.

Format der Datentabelle

Die Datentabelle besteht aus folgenden Spalten:

Spalte

Typ

Bedeutung

VARIABLE

int[4]

numerische Variablen-ID

CALCULATION

int[4]

Verdichtungsart bei Verdichtungsarchiven.

Bis zu 4 Werte sind möglich: Summe, Mittelwert, Minimum, Maximum.
Beim Export des Verdichtungsarchivs in eine Datei (zum Beispiel .csv) werden die Werte 1 bis 4 als Strings geschrieben:

  • 1=Summe
  • 2=Mittelwert
  • 3=Minimum
  • 4=Maximum

Bei Auslagerung oder Export nach SQL werden die Werte im ASCII-Code als Integer geschrieben:

  • 49=Summe
  • 50=Mittelwert
  • 51=Minimum
  • 52=Maximum

TIMESTAMP_S

int[4]

Zeitstempel in UNIX-Zeitformat

TIMESTAMP_MS

int[4]

Millisekundenanteil des Zeitstempels

VALUE

float[8]

Wert

STATUS

int[4]

Statusflags zum Wert (zenon Status)

GUID

varchar[36]

Nimmt die Projekt-Guid der Variablen auf. Darf nicht NULL sein.

STRVALUE

varchar

Die Länge hängt von der längsten zu archivierenden Stringvariable ab. Bei einer numerischen Variable hat das Feld den Wert NULL.

Primärschlüssel clustered: TIMESTAMP_S und TIMESTAMP_MS und VARIABLE und CALCULATION und GUID.

Der Name der Datenbanktabelle setzt sich aus dem Projektnamen und der Archiv-Kurzbezeichnung zusammen. Beide Teile werden mit dem Unterstreichungszeichen verbunden:
Projektname_Kurzbezeichnung
Ist der Projektname also ARV_IN_DB und die Archivkurzbezeichnung A1, so lautet der Tabellenname: ARV_IN_DB_A1.

attention Achtung

Da die GUID im Index enthalten ist, muss der Wert NOT NULL sein. Ab zenon 7.20 wird für die Auslagerung bei Variablen des eigenen Projekts für die GUID ein Leerstring anstelle von NULL eingetragen.

Werden Runtime-Dateien für die Version 7.11 oder kleiner kompiliert ergibt sich daraus ein Kompatibilitätsproblem: Da hier NULL in die GUID Spalte geschrieben wird, funktioniert die Auslagerung nicht-

Lösung: Die Tabelle im SQL Server muss manuell ohne GUID im Primärschlüssel oder gänzlich ohne Primärschlüssel angelegt werden.

Z.B. mit folgender Syntax:

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)

Format der Tabelle für den Chargenname

Die Tabelle mit den Chargennamen für SQL ausgelagerte Archive:

  • hat den Namen [Projektname]_[Archivkürzel]_BATCH
  • besteht aus 3 Spalten:
Spalte | Typ | Bedeutung
BATCH | VARCHAR (128) | Chargenname
START_S | INT | Unix-Zeitstempel des Chargenanfangs
END_S | INT | Unix-Zeitstempel des Chargenendes

Primärschlüssel clustered: START_S und END_S.

Format der Querverweistabelle

Spalte | Typ | Bedeutung
VARIABLE | INT[4] | numerische Variablen-ID
NAME | VARCHAR[128] | Name der Variable
GUID | VARCHAR[36] | Nimmt die Projekt-Guid der Variablen auf. Darf nicht NULL sein.

Primärschlüssel clustered: VARIABLE und GUID.

Der Name der Querverweistabelle setzt sich aus dem Projektnamen und der Endung VARIABLES zusammen. Beide Teile werden mit dem Unterstreichungszeichen verbunden. Ist der Projektname also ARV_IN_DB, so lautet der Tabellenname ARV_IN_DB_VARIABLES.

Noch in diesem Kapitel

Konfiguration

SQL-Skript

Oracle Datenbank

MS Azure-Dienstbus

CRATE.IO

Konvertierung

Fehlerbehebung


Konfiguration

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > Konfiguration

Um die Daten eines Archivs in einer SQL-Datenbank abzulegen:

  1. Wählen Sie in der Registerkarte Speichern die Eigenschaft SQL-Datenbank.
  2. Klicken Sie auf die Schaltfläche ....
  3. Der Dialog zur Datenbankwahl wird geöffnet.
    1. Konfigurieren Sie den Provider.
      Z.B. SQL Server Native Client.
    2. Testen Sie die Verbindung.
    3. Schließen Sie den Dialog mit Klick auf OK.

    Nachdem Sie den Dialog bestätigt haben, legt zenon die Querverweis- und Datentabelle in der Datenbank an. Sobald nun zu evakuierenden Daten vorliegen, werden diese in der Datentabelle angefügt. Verliert zenon während des Betriebes die Verbindung zu der Datenbank, bleiben die Daten lokal gespeichert. Die Auslagerung wird fortgeführt sobald die Verbindung wieder erfolgreich hergestellt wurde.

  4. Klicken Sie bei Bedarf auf die Schaltfläche Tabellen anlegen.

    Über die Schaltfläche Tabellen anlegen können die Tabellen jederzeit neu erzeugt oder automatisch angepasst werden, wenn z. B. Variablen dem Archiv hinzugefügt oder entfernt werden oder der Providerstring händisch angepasst wird. Jedesmal wenn Sie bei Archiven, die für SQL Auslagerung konfiguriert sind, Variablen hinzufügen oder entfernen, müssen die Tabellen in SQL aktualisiert werden.

attention Achtung

Bei Verwendung des Native Client 10 und 11 wird das Passwort nicht automatisch in den Providerstring übernommen. Es muss manuell eingetragen werden.

Z.B.: ...;User ID=sqlExampleUser1;Password=secretPassword;...

Hinweis: Wenn Sie ein Archiv für die Auslagerung nach SQL konfigurieren und das Archive zu einem späteren Zeitpunkt neu konfigurieren, müssen Sie auch die Tabellen in SQL entsprechende anpassen.
Zum Beispiel: Sie haben ein Archiv für die Auslagerung nach SQL konfiguriert, die Tabellen in SQL wurden bereits erstellt. Sie verknüpfen danach eine Variable zur Chargenarchivierung. In diesem Fall müssen die Tabellen in SQL neu erstellt werden. Anderenfalls kann die Auslagerung nach SQL nicht durchgeführt werden, da die Tabelle für die Chargeninformation nicht vorhanden ist.

attention Achtung

Stellen Sie sicher, dass der in der Verbindung konfigurierte Provider zur Runtime am Runtime-Rechner verfügbar ist.

Hinweis: Mit dem zenon Editor wird auch ein SQL Client installiert. Da die zenon Runtime keinen SQL Server benötigt, wird auch kein SQL Client automatisch installiert. Dieser kann von der Microsoft Website heruntergeladen werden und muss individuell installiert werden.

Achten Sie bei der Installation des Providers auf die korrekte Version. Diese muss zur verwendeten zenon Version passen. Das heißt: Wird eine 32-Bit zenon Runtime verwendet, muss der Provider eine 32-Bit Version sein. Das gilt auch dann, wenn er auf einem 64-Bit Betriebssystem installiert wird und auch wenn die Datenbank selbst eine 64 Bit Anwendung ist.


SQL-Skript

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > SQL-Skript

Syntax für SQL-Skript:

  • Variablen-Tabelle:
    CREATE TABLE "PROJECTNAME_VARIABLES" ("VARIABLE" int,"NAME" varchar(128),"GUID" varchar(36),CONSTRAINT "PK_PROJECTNAME" PRIMARY KEY CLUSTERED ("VARIABLE" ASC,"GUID" ASC))
  • Datentabelle:
    CREATE TABLE "PROJECTNAME_ARCHIVENAMESHORT" ("VARIABLE" int,"CALCULATION" int,"TIMESTAMP_S" int,"TIMESTAMP_MS" int,"VALUE" float,"STATUS" int,"GUID" varchar(36),"STRVALUE" varchar(1),CONSTRAINT "PROJECTNAME_ARCHIVENAMESHORT" PRIMARY KEY CLUSTERED ("TIMESTAMP_S" ASC,"TIMESTAMP_MS" ASC,"VARIABLE" ASC,"CALCULATION" ASC,"GUID" ASC))

Hinweise:

  • PROJECTNAME: Projektname des Projekts
  • ARCHIVENAMESHORT:eindeutiger Kurzbezeichner des Archivs
    zwei Zeichen. z.B. A1
  • Die Variablen-Tabelle gibt es nur einmal.
  • Die Datentabelle muss für jedes Archiv angelegt werden, das in SQL ausgelagert werden soll.


Oracle Datenbank

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > Oracle Datenbank

Bei Oracle Datenbanken wird kein Primary Key angelegt. Das kann die Performance bremsen.

  • Hintergrund: Oracle behandelt Leerstrings als NULL-Werte.
    Damit können bei Oracle Spalten, die Leerstrings enthalten, nie Teil eines Primary Key sein.
  • Lösung: Um die Performance bei Abfragen zu beschleunigen, kann manuell ein Primary Key angelegt werden, der keine Leerstrings enthält.


MS Azure-Dienstbus

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > MS Azure-Dienstbus

Wird für die SQL-Auslagerung eines Archivs die Option MS Azure-Dienstbus zum Schreiben verwenden aktiviert, dann werden alle Archivwerte in die Azure Service Bus Queue mit dem Namen archivequeue eingefügt. Diese muss im MS Azure-Namespace der konfigurierten Verbindung existieren. Der MS Azure-Verbindungsname wird in das Eingabefeld unter der Option eingegeben.

Konfiguration

In MS Azure muss eine Instanz eines AzureZenonArchiveWorker Cloud-Dienstes laufen, der die Archivwerte aus der Queue mit dem Namen archivequeue entgegen nimmt und in das MS Azure SQL-Storage einfügt. Das Tabellenformat entspricht dem der klassischen SQL-Auslagerung eines Archivs.

Der Cloud-Dienst muss manuell mit dem Deployment-Packet AzureArchiveCloudService.cspkg über die MS Azure-Konfigurationsoberfläche angelegt werden. Das Paket finden Sie im Ordner %ProgramData%\COPA-DATA\zenon8.00\CloudServices.

Einstellungen:

  • Zenon.ArchiveServiceBus.ConnectionString: Entspricht dem MS Azure-Verbindungsnamen in der Archivkonfiguration.
  • Zenon.ArchiveSQLServer.ConnectionString: Gibt den Verbindungsnamen für das Ziel MS Azure SQL-Storage an.
  • Umgebung: Produktion
  • Auch dann bereitstellen, wenn für eine oder mehrere Rollen nur einen Instanz vorhanden ist: aktivieren
  • Bereitstellung starten: aktivieren

Ablauf

Das Auslesen der Archivdatendaten erfolgt via OLEDB-Verbindung und SQL SELECT-Statement. Der OLEDB Verbindungsname zeigt in der Regeln somit auf die gleiche MS Azure SQL Datenbank wie der Ausgabe-Verbindungsname (Zenon.ArchiveSQLServer.ConnectionString) im AzureZenonArchiveWorker.


CRATE.IO

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > CRATE.IO

Bei der SQL-Auslagerung von Archivdaten und beim SQL-Export von Archivdaten kann eine Crate-Datenbank gewählt werden.

INSERT

Bei INSERT der Werte wird das für Crate spezifische SQL-Kommando UNNEST verwendet. Die Werte der Archivdatei werden dabei blockweise als Strings übergeben.

Voraussetzungen:

  • Die Crate-Version unterstützt UNNEST.
  • Die Daten eines Blocks sind kleiner als die maximale Query-Länge der Datenbank.

Einstellung Blockgröße

Die Blockgröße (Rows) kann in der project.ini eingestellt werden:

  • Abschnitt: [ARCHIV]
  • Eintrag: CRATE_BLOCKSIZE=
  • Default: 10000


Konvertierung

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > Konvertierung

Werden Archive aus zenon Versionen vor 6.20 SP0 in einer neuen Version verwendet, dann müssen folgende Spalten manuell hinzugefügt werden:

  • STRVALUE in Datentabelle
  • GUID in Querverweistabelle

Die Spalten werden entweder direkt in der Datenbank oder über den Dialog im zenon Editor hinzugefügt.

Um die Spalten im Editor hinzuzufügen:

  1. Öffnen Sie für jedes betroffene Archiv den Dialog Archiv bearbeiten.
  2. Öffnen Sie die Registerkarte Speichern.
  3. Öffnen Sie den Dialog der Option SQL-Datenbank.
  4. Schließen Sie den Dialog mit Klick auf OK.

Beim Schließen des Dialoges werden die Änderungen in der Datenbank durchgeführt.

attention Achtung

Wenn Sie diese Änderungen nicht durchführen, werden keine Archivdaten in die SQL Datenbank ausgelagert!


Fehlerbehebung

Handbuch > Archivserver > Weiterführende Informationen > Archive in eine SQL-Datenbank auslagern > Fehlerbehebung

Duplikate

Duplikate können aufgrund des Primärschlüssels nicht in die SQL-Datenbank ausgelagert werden!
Duplikate können entstehen bei Variablen, deren Zeitstempel von einem anderen Gerät kommen oder durch Abbruch beim beenden der Runtime.

Externer Zeitstempel

Bei Variablen, deren Zeitstempel von einem externen Gerät kommt, können Duplikate entstehen.
Zum Beispiel: Die Steuerung sendet Events kurz vor einem Verbindungsabbruch und wiederholt das Senden nach dem erneuten Verbindungsaufbau. Es sind dann zwei Einträge mit gleichem Wert und gleichem Zeitstempel vorhanden.

Problem: Beim Versuch, Daten mit Duplikaten auszulagern, bricht der SQL-Export ab.

Lösung: Entfernen Sie vor der Auslagerung im Bild Archiv-Nachbearbeitung die Duplikate.

Abbruch beim Beenden der Runtime

Wenn beim Beenden der Runtime ein Export in die SQL Datenbank durchgeführt wird, dann wird die Runtime erst beendet, wenn der Export abgeschlossen ist. Wird die Runtime in diesem Zeitraum über den Process Desk oder den Taskmanager vorzeitig beendet, dann tritt folgender Zustand ein:

  • ein Teil der Werte befindet sich bereits in der SQL Datenbank
  • die Archivdatei wurde aber nicht gelöscht

Beim Neustart der Runtime wird versucht, die noch vorhandene Archivdatei in die SQL-Datenbank auszulagern.
Vorgangsweise:

  • Originale werden ausgelagert.
  • Sind Duplikate vorhanden, werden diese aufgrund des Primärschlüssels nicht ausgelagert. Der Export wird beim nächsten Zyklus wiederholt. Dabei werden die Duplikate gelöscht.

ODBC-Fehlermeldung 80004005

Bei der SQL-Auslagerung wird folgende Fehlermeldung angezeigt:
Execute INSERT statement failed 1, hr=80004005

Diese weist auf einen ODBC betreffenden Fehler hin.

Lösung:
Wechseln Sie zu einem SQL Server Provider.


RDA

Handbuch > Archivserver > Weiterführende Informationen > RDA

Nähere Informationen zu Konfiguration und Verwaltung der RDA-Archivierung.

Noch in diesem Kapitel

SPS Datenformatierungen

Kopfzeile Beschreibung

Format Zeitstempel

Typen

Hinweise


SPS Datenformatierungen

Handbuch > Archivserver > Weiterführende Informationen > RDA > SPS Datenformatierungen

Mögliche RDA-Datentypen sind:

  • BYTE
  • WORD
  • DWORD
  • FLOAT

Sie hängen ab vom in zenon verwendeten Treiber.

Hinweis: Informationen, ob der Treiber RDA unterstützt, finden Sie in der Dokumentation des Treibers.

attention Achtung

Es können keine Werte eingelesen werden, die in der Zukunft liegen. Werte können in der Zukunft liegen, wenn die Systemzeiten in der SPS und auf dem PC differieren. Sorgen Sie dafür, dass die Systemzeiten immer synchronisiert werden.


Kopfzeile Beschreibung

Handbuch > Archivserver > Weiterführende Informationen > RDA > Kopfzeile Beschreibung

Parameter

Beschreibung

Index [0]

RDA-Variable, die in das Archiv eingefügt wurde. Entscheidet über den Datentyp (z. B. BYTE, WORD, DWORD, FLOAT).

  • Größe ist abhängig vom Datentyp in zenon.
  • Trigger Flag wird von der SPS auf 1 gesetzt, wenn Werte geholt werden sollen. Nachdem zenon die Daten geholt hat, wird das Flag vom Treiber automatisch auf 0 zurückgesetzt.

Index [1]

Anzahl der Werte, die gespeichert werden sollen.

32-Bit Intel Format. Wird von der SPS gesetzt.

Index [2]

Zykluszeit in Millisekunden, wird für TYP 1 und 4 verwendet.

32-Bit Intel Format. Wird von der SPS gesetzt.

Index [3]

RDA-Typ:

  • Typ 1: Ohne Zeit (wird nicht mehr verwendet)
  • Typ 2: Mit Zeitformat 1 (wird nicht mehr verwendet)
  • Typ 3: Mit Zeitformat 2
  • Typ 4: Ohne Zeit

32-Bit Intel Format. Wird von der SPS gesetzt.

Index [4]

Nummer des neuesten Werts. Sollte dem Wert in Index [1] entsprechen.

32-Bit Intel Format. Wird von der SPS gesetzt.

Index [5]

Enthält Daten. Inhalt ist abhängig vom Typ:

  • Typ 3: Werte
  • Typ 4: Zeitstempel.

Index [6]

Enthält Daten. Inhalt ist abhängig vom Typ:

  • Typ 3: Zeitstempel
  • Typ 4: Werte

Index [usw.]


Format Zeitstempel

Handbuch > Archivserver > Weiterführende Informationen > RDA > Format Zeitstempel

Das Zeitformat wird über einen 8 Byte langen Ausdruck dargestellt:

Byte | Entspricht | Mögliche Werte
1 | Jahr Hinweis: Das Zeitformat beginnt mit dem Jahr 1900 in zweistelliger Schreibweise. 1900 = 00. Ab dem Jahr 2000 werden drei Stellen verwendet 2000 = 100. | z. B. 99, 100, 114, usw.
2 | Monat | 1 - 12
3 | Tag | 1 - 31
4 | Stunde | 0 - 23
5 | Minute | 0 - 59
6 | Sekunde | 0 - 59
7 | Hundertstelsekunde | 0 - 100
8 | reserviert | -


Typen

Handbuch > Archivserver > Weiterführende Informationen > RDA > Typen

Für die RDA-Archivierung stehen verschiedene Typen zur Verfügung. Aktuell werden verwendet:

  • TYP 3
  • TYP 4

Achtung: Typ 1 und Typ 2 sind aus Kompatibilitätsgründen noch konfigurierbar. Sie werden aber nicht mehr verwendet und dokumentiert.
Typ 1 wurde durch Typ 4 ersetzt, Typ 2 durch Typ 3.

Noch in diesem Kapitel

TYP 3

TYP 4


TYP 3

Handbuch > Archivserver > Weiterführende Informationen > RDA > Typen > TYP 3

Index | Beschreibung
Index [0] | RDA Variable.
Index [1] | Anzahl der zu speichernden Werte.
Index [2] | Wird ignoriert. (Zykluszeit in Millisekunden.)
Index [3] | RDA Typ.
Index [4] | Nummer des neuesten Werts.
Index [5] | Erster gespeicherter Wert. Größe: Abhängig vom zenon Datentyp.
Index [6] | Zeitstempel für ersten Wert. (Details siehe Format Zeitstempel).
Index [7] | Zweiter gespeicherter Wert. Größe: Hängt ab vom zenon Datentyp.
Index [8] | Zeitstempel für zweiten Wert. (Details siehe Format Zeitstempel).
Index [usw..] | [n-ter Wert]


TYP 4

Handbuch > Archivserver > Weiterführende Informationen > RDA > Typen > TYP 4

Index

Beschreibung

Index [0]

RDA Variable.

Index [1]

Anzahl der zu speichernden Werte.

Index [2]

Zykluszeit in Millisekunden.

Index [3]

RDA Typ.

Index [4]

Nummer des neuesten Werts.

Index [5]

Zeitstempel.
Details siehe Format Zeitstempel. Erster gespeicherter Wert.

Größe: Hängt ab vom zenon Datentyp.

Index [6]

Gespeicherte Werte.

  • Wert 1
  • Wert 2
  • Wert 3
  • Wert 4
  • usw.


Hinweise

Handbuch > Archivserver > Weiterführende Informationen > RDA > Hinweise

Beachten Sie beim Arbeiten mit RDA-Archivierung:

  • Die Übertragung von Daten nimmt Zeit in Anspruch. Bei einem Triggerereignis kann, abhängig von der Anzahl der Werte, eine Übertragungszeit von mehreren Sekunden entstehen.
  • Im Redundanzbetrieb kann die längere Übertragungszeit zur Folge haben, dass ein Server der gerade ein RDA-Archiv ausliest, bei einem Ausfall die Daten nicht vollständig abgleichen kann. Der übernehmende Server würde das RDA-Archiv nochmals auslesen, da der Trigger in diesem Fall noch nicht auf 0 gesetzt wurde.
  • Bei Typ 4 wird im Gegensatz zu den Typ 3 nur die Startzeit übergeben.
  • Der RDA-Mechanismus von zenon erfordert einen zusammenhängenden Block in der Steuerung, der über Offset adressierbar ist. Daher ist RDA in der Regel bei Treibern mit symbolischer Adressierung nicht möglich. Für einige symbolisch adressierende Treiber steht eine Umgehungslösung zur Verfügung. Ein Beispiel finden Sie im Anschluss unter Beispiel einer Datentypdeklaration nach IEC 61131-3. Details finden Sie in der Dokumentation des jeweiligen Treibers.

Hinweis: Mit "Nur vom Standby Server anfordern" konfigurierte Variablen werden in RDA-Archiven nicht unterstützt.

Beispiel einer Datentypdeklaration nach IEC 61131-3

RDA-Typ 3:

TYPE RDA_DATA_3 : (* Struktur für RDA-Typ-3-Nutzdaten *)

STRUCT

Value : DINT; (* Wert

TimeStamp : ARRAY[0..7] OF BYTE; (* Zeitstempel (Jahr, Monat, Tag, Stunde, Minute, Sekunde, 1/100 Sekunde, Reserve) *)

END_STRUCT

END_TYPE

TYPE RDA_3 : (* Struktur für RDA-Typ 3 *)

STRUCT

Trigger : DINT; (* Triggervariable *)

Count : UDINT; (* Anzahl der Datensätze *)

Cycle : UDINT; (* Zykluszeit in [ms] (nur Typ für 1 und 4 relevant) *)

RDA_Type : UDINT; (* RDA-Typ, 1 - 4 *)

Oldest : UDINT; (* Index des ältesten Wertes (Platzhalter aus Kompatibilitätsgründen, nur für Typ 1 relevant) *)

Data : ARRAY[0..19] OF RDA_DATA_3; (* Nutzdaten *)

END_STRUCT

END_TYPE

RDA-Typ 4:

TYPE RDA_4 : (* Struktur für RDA-Typ 4 *)

STRUCT

Trigger : DINT; (* Triggervariable *)

Count : UDINT; (* Anzahl der Datensätze *)

Cycle : UDINT; (* Zykluszeit in [ms] (nur Typ für 1 und 4 relevant *)

RDA_Type : UDINT; (* RDA-Typ, 1 - 4 *)

Oldest : UDINT; (* Index des ältesten Wertes (Platzhalter aus Kompatibilitätsgründen, nur für Typ 1 relevant) *)

TimeStamp : ARRAY[0..7] OF BYTE; (* Zeitstempel des ersten Wertes (Jahr, Monat, Tag, Stunde, Minute, Sekunde, 1/100 Sekunde, Reserve) *)

Data : ARRAY[0..19] OF DINT; (* Nutzdaten *)

END_STRUCT

END_TYPE


Archivierung im zenon Netzwerk

Handbuch > Archivserver > Weiterführende Informationen > Archivierung im zenon Netzwerk

Die Archivierung ist in das zenon Netzwerk integriert.

Die Netzwerkfunktionalität von zenon ermöglicht es, Projekte verteilt auf verschiedenen Rechnern einzusetzen und damit sehr effizient komplexe Netzwerkkonstellationen zu erstellen. Es können dabei auch Projektkonstellationen so erstellt werden, dass bestimmte Projektinhalte nur an einem für eine Tätigkeit bestimmten Ort (einem bestimmten Rechner) sichtbar sind. Der zenon Editor unterstützt Anwender dabei, solche Konstellationen zu erstellen und zu konfigurieren.

Diese Netzwerkfunktionalität kann auch redundant ausgeführt werden. Dies gewährleistet eine zusätzliche Daten- und Ausfallsicherheit.

info Info

Weitere Informationen erhalten Sie im Handbuch Netzwerk.

Noch in diesem Kapitel

Verhalten im Netzwerk

Mehrprojektverwaltung


Verhalten im Netzwerk

Handbuch > Archivserver > Weiterführende Informationen > Archivierung im zenon Netzwerk > Verhalten im Netzwerk

Die Archivierung wird auf dem Prozessführenden Server ausgeführt.

Der Prozessführende Server synchronisiert die Archivdaten mit dem Standby Server und beantwortet Anfragen der Clients (z. B. Aufschalten eines Bildes vom Typ Erweiterter Trend).

info Info

Übernimmt der Standby Server die Rolle des Prozessführenden Servers nach dem Ausfall des bisherigen Prozessführenden Servers werden die fehlenden Daten in AML, CEL und Archiven aufgefüllt. Die fehlenden Daten stammen aus dem internen Puffer des Standby Servers. Dieser Puffer wird von Treibern mit Werten versorgt.

Redundanzumschaltung

Bei einer Redundanzumschaltung kann es zu einer Verzögerung der Umschaltung durch das zenon Modul Archivierung kommen.

Wenn in einem Archiv Variablen aus einem anderen Projekt archiviert werden, ändert sich das Startverhalten der Runtime im zenon Netzwerk. In diesem Fall werden die Archive erst nach dem Laden aller Projekte gestartet.

Dadurch wird sichergestellt, dass alle zu archivierenden Variablen erkannt werden, bevor die Archivierung startet und der Rechner die Rolle des Prozessführenden Servers übernimmt.

Example Beispiel

Die zenon Runtime wird auf einem Rechner gestartet, der bei der Projektierung als Server 1 oder Server 2 konfiguriert wurde.

  • Die Runtime startet in der Rolle des Standby Servers.
  • Alle Projekte werden geladen.
  • Die Archivierung wird abgeglichen.

Diese Schritte erfolgen unabhängig der aktuellen Rolle oder Bewertung des Rechners.

Erst nach Abschluss dieser Schritte wird - im Bedarfsfall - die Redundanzumschaltung ausgeführt.


Mehrprojektverwaltung

Handbuch > Archivserver > Weiterführende Informationen > Archivierung im zenon Netzwerk > Mehrprojektverwaltung

In einem Archiv können Werte von Variablen verschiedener Projekte des Arbeitsbereichs aufgezeichnet werden. Die so aufgezeichneten Werte können wie die Daten normaler Archive gefiltert, in Listen oder als Trends angezeigt sowie ausgedruckt oder exportiert werden.

Beispiel Archiv

  1. Öffnen Sie im Projekt IPRO den Knoten Archivserver.
  2. Legen Sie ein neues Archiv mit dem Namen BA - BASIS an.
  3. Öffnen Sie das Kontextmenü der Variablenliste und wählen Sie Variable hinzufügen.
  4. Der Variablenauswahl-Dialog wird geöffnet.

  5. Hier können Sie nicht nur Variablen aus dem IPRO auswählen. Um Variablen anderer Projekte zu wählen:
    1. Wählen Sie im linken Listenbereich ein Projekt aus der Baumansicht des Arbeitsbereichs aus.
      Die Variablen des gewählten Projekts werden im Hauptbereich angezeigt.
    2. Wählen Sie die gewünschte Variable mit einem Mausklick aus.
  6. Wählen Sie Variablen aus PRO1 und aus PRO2 aus.
  7. In der Variablenliste des Archivs wird vor dem Variablennamen der Name des jeweiligen Projekts angeführt.

attention Achtung

zenon überprüft im Editor nicht, ob die Netzwerk-Struktur in der Runtime auch tatsächlich einen Zugriff auf das ausgewählte Projekt und seine Variablen erlaubt.

Zum Beispiel kann im Editor im Projekt PRO1 eine Variable aus dem Integrationsprojekt gewählt werden. Diese Verbindung funktioniert in der Runtime nur dann, wenn auch das Integrationsprojekt gestartet ist. Auf einem Rechner, auf dem nur das Projekt PRO1 gestartet ist (Startprojekt), wird diese Verbindung nicht funktionieren!

Nach Abschluss der Variablenauswahl weist ein Warndialog darauf hin, dass in redundanten Systemen unter Umständen die lückenlose Aufzeichnung nicht gewährleistet ist.

Beispiel

  • Das Projekt PRO1 wird redundant ausgeführt, ein Rechner ist der Prozessführende Server, ein zweiter ist Standby Server.
  • Für das Projekt PRO2 gilt dasselbe.
  • Das Integrationsprojekt mit den untergeordneten Projekten PRO1 und PRO2 wird auf einem dritten Rechner gestartet. Dieser ist Client für die Unterprojekte.

Werden nun Variablen der Projekte PRO1 und PRO2 im Integrationsprojekt archiviert, dann bekommt der Rechner die Daten über das Netzwerk vom jeweiligen Prozessführenden Server von PRO1 und PRO2.
Fällt zum Beispiel der Prozessführende Server von PRO1 aus, würden für den Zeitraum bis der Standby Server von PRO1 die Server-Rolle übernommen hat, Ersatzwerte im Archiv für Variablen aus PRO1 stehen.
Hinweis: Der Standby-Puffer der stoßfreien Redundanz speichert nur Variablen des Projektes für die der Rechner als einer der beiden Server projektiert wurde.
Lösung: Um eine lückenlose Aufzeichnung zu gewährleisten, muss die Archivierung lokal im redundant ausgeführten Unterprojekt stattfinden.

info Info

Weitere Informationen zu Archiven im Client-Server Modell des zenon Netzwerks finden Sie im Handbuch Netzwerk in den Kapiteln Client-Server Modell, Mehrprojektverwaltung und Mehrprojektverwaltung Archive.


Automatic Line Coloring (ALC) - Topologie

Handbuch > Automatic Line Coloring (ALC) - Topologie

Die topologische Einfärbung von Leitungen dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie in der elektrischen Energieverteilung (für Strom). Damit lassen sich die prozessgesteuerten Einfärbungen von topologischen Netzen einfach realisieren.

Aufgrund der Projektierung im Bild wird die Leitungsstruktur einschließlich ihrer angeschlossenen verfahrenstechnischen Elemente (z. B. Tanks und Ventile, oder Generatoren, Schalter und Verbraucher) intern als Modell nachgebildet und der Medienfluss während der Runtime dargestellt.

Um bildübergreifende Modelle zu ermöglichen, ist die gesamte Projektierung sowie Konfiguration immer projektweit. Es ergibt sich somit pro Projekt ein gesamtes Topologisches Modell, das zur Berechnung der Leitungszustände und schließlich zur Färbung der einzelnen Leitungen herangezogen wird.

Die gesamte Topologie wird dabei aus dem grafischen Design unter Anordnung der Elemente automatisch erstellt. Es sind keine weiteren projektiertechnischen Maßnahmen notwendig.

info Info

Ausgehend von einer Quelle, durchläuft der ALC Algorithmus jeden Schalter nur einmal pro Richtung.

Detailbilder

Für die Darstellung von Einzelbildern kann mit der Hilfe von Alias ein Teilbereich aus dem Topologischen Netz herausgenommen und einzeln dargestellt werden. Ein Detailbild kann mit den Daten unterschiedlicher Anlagenteile, z. B. Abgängen oder Teilnetzen, dargestellt werden.

Noch in diesem Kapitel

ALC Elemente

Konfiguration

Funktion: ALC-Quellenfarbe ändern

Alias für Detailbilder

Fehlerortung in elektrischen Netzen

Impedanzbasierende Fehlerortung und Lastverteilungsrechnung

Lastflussberechnung

State Estimator


ALC Elemente

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente

Automatic Line Coloring (ALC) ermöglicht es, Leitungen abhängig vom Prozesszustand einzufärben. Als verfahrenstechnisches Element wird das Combi-Element verwendet. ALC dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie topologischen Netzen in der elektrischen Energieverteilung (für Strom).

Projektierung

Für die Projektierung werden zwei Typen von Bildelementen mit verschiedener Funktion unterschieden. Zum einen sind dies Verfahrenstechnische Elemente (Quelle, Schalter, Trenner, Senke, Trafo oder Link) und zum anderen Leitungen.

Dabei ist es so, dass die verfahrenstechnischen Elemente eine Funktion und eine Farbe (Quelle und Trafo) besitzen. Wenn die verfahrenstechnischen Elemente aktiv sind, übernehmen die abgehenden Leitungen bei Quelle und bei Trafo die Farbe dieser Elemente oder nehmen bei Schalter und bei Link die Farbe der Eingangsleitung des Elements an. Bei Inaktivität der verfahrenstechnischen Elemente wird die Farbe der Leitungen aus der Projektierung im Element übernommen.

Die verschiedenen Funktionen dieser Elemente werden in den Eigenschaften des Combi Elementes zugewiesen.

Beispiel

Eine Quelle verfügt über eine angeschlossene Leitung. An diese Leitung ist ein Schalter angeschlossen. Daran ist wiederum eine zweite Leitung angeschlossen. Wenn die Quelle aktiv ist, wird die erste Leitung bis zum Schalter mit der in den Projekteigenschaften des Automatic Line Coloring definierten Farbe der Quelle eingefärbt. Die weitere Leitung wird erst dann eingefärbt, wenn der Schalter geschlossen ist.

Quelle inaktiv

Quelle aktiv

Schalter geschlossen

Undefiniert oder gestört

info Info

Befindet sich das verfahrenstechnische Element im Zustand undefiniert oder gestört, wird dies automatisch erkannt. Die abgehenden Leitungen und alle weiteren Elemente werden für beide Status in der Farbe der vordefinierten Quelle undefiniert angezeigt.

Anzahl geschlossene Schalter in einer Reihe

Für das korrekte Funktionieren des ALC-Algorithmus spielt es eine Rolle, wie viele geschlossene Schalter in einer Reihe angeordnet sind.

Empfehlung: Ordnen Sie maximal 256 geschlossene Schalter in einer Reihe zwischen Quelle und Senke an.

Noch in diesem Kapitel

Verfahrenstechnische Elemente via Combi-Element

Leitungen

Überprüfung der Projektierung


Verfahrenstechnische Elemente via Combi-Element

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element

Verfahrenstechnische Elemente werden in zenon mit einem Combi-Element erstellt und bestimmen je nach Zustand die Einfärbung der angeschlossenen Leitung.

Folgende Einstellungen stehen zur Verfügung:

Eigenschaft

Beschreibung

Funktionstyp

Gibt den verfahrenstechnischen Typ des Combi-Elements an.

keine Funktion

Das Element hat im ALC keine Funktion.
Hinweis: Der Funktionstyp "keine Funktion" ist der Defaultwert.

Quelle

Dient als Lieferant für eine Farbe. Ist die Quelle aktiv (Wert: 1), bekommen alle angeschlossenen Leitungen, die in den Elementeigenschaften die Option Farbe aus ALC gesetzt haben, die Farbe der Quelle zugewiesen. Die Farbe ist durch die in den Projekteigenschaften für die Quelle definierte Quellfarbe bestimmt. (z. B. Tanks oder Generatoren). Eine Quelle ist ein Einpol, dem eine statische Quellenummer zugeordnet ist. Die Quelle ist über den Zustand ihrer Hauptvariable schaltbar. Quellen gelten grundsätzlich als netzsynchron und kuppelbar.

Für die topologische Verriegelung Zusammenschalten unterschiedlicher Spannungsebenen wird die Nennspannung der Quelle berücksichtigt.

Details zur Quelle finden Sie im Kapitel Konfiguration der Quellen.

Generator

Ein Generator verhält sich prinzipiell wie eine Quelle, nur dass er grundsätzlich als eigenständig und nicht-netzsynchron angenommen wird.

Für die topologische Verriegelung Kuppeln von Netzen wird die Nummer der Quelle, die mit einem Generator verknüpft ist, berücksichtigt.

Schalter

Damit können Leitungen unterbrochen werden. Ist der Schalter geschlossen/aktiv (Wert: 1), dann ist die Verbindung zwischen zwei Leitungen geschlossen und die Leitung verfärbt sich bis zum nächsten Schalter mit der definierten Farbe der Quelle. Ein Schalter leitet in diesem Fall die Quellen-Farbe der Eingangsleitung an die Ausgangsleitung weiter.

Ist der Zustand des Schalters gestört (Wert: 3) oder undefiniert (Wert: 2) oder Status der Hauptvariable ist INVALID, verfärbt sich die Leitung in die Farbe undefiniert aus der ALC Konfiguration in den Projekteigenschaften. Ein Schalter liefert somit an seinem Ausgang (Anschluss 2) anstatt der eingehenden Quellennummer die Quellennummer 0 (undefiniert).

Beispiel: siehe Abschnitt Beispiel Schalter - Farben aus ALC.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Trenner

Ein Trenner verhält sich prinzipiell wie ein Schalter. Allerdings darf ein Trenner im Topologischen Modell nicht unter Spannung geschaltet werden - topologische Verriegelung "Trenner unter Last" in der Befehlsgabe.

Auch wie beim Schalter die Hauptvariable bestimmt der Zustand: Ein, Aus, Zwischenstellung, gestört.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Transformator

Ein Transformator ist gleichzeitig eine Senke und eine Quelle. Er dient dazu die Eingangsfarbe (Eingangsquelle) gegen eine Ausgangsfarbe (Trafo eigene Quelle) auszutauschen.
Erst wenn der Transformator eine aktive Eingangsleitung hat, wird die Ausgangsleitung ebenfalls aktiv angezeigt. Die Ausgangsleitung bekommt jedoch nicht die Farbe der Eingangsleitung wie beim Schalter, sondern die Farbe der eigenen Quelle des Transformators. Bei jedem Transformator muss daher eine Quelle eingestellt werden. Ein Transformator kann nicht aktiv oder inaktiv geschaltet werden, er ist immer aktiv, unabhängig vom Wert der verknüpften Variable.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Rückspeisefähiger Transformator:

Um einen rückspeisefähigen Transformator zu erhalten, müssen Sie bei Quelle für Rückspeisung eine andere Quelle als UNDEFINED [0] auswählen. Das bedeutet, dass sich der Transformator in beiden Richtungen - vom Eingang zum Ausgang (Vorwärtsrichtung) und auch vom Ausgang zum Eingang (Rückwärtsrichtung) - gleich verhält. Der einzige Unterschied besteht darin, dass zur Weiterverbreitung die Quellnummer der Eigenschaft Quelle für Rückspeisung und nicht die der Eigenschaft Quelle verwendet wird.

Hinweis: Fehlerhafte Netzzustände oder fehlerhafte Projektierungen, wie z. B. gleichzeitige Speisung von Eingang und Ausgang oder Kurzschluss von Eingang und Ausgang werden nicht speziell eingefärbt. Das bedeutet, dass sich der rückwärtsspeisefähige Transformator wie zwei antiparallel geschaltete Trafos verhält, die nicht rückwärtsspeisefähig sind.

Kondensator

Der Kondensator ist als Last nur einseitig anschließbar. Für die Lastflussberechnung dient der Kondensator als Kompensation der Blindleistung.

Schieber

Ein Schieber (ein Ventil) verhält sich ähnlich wie ein Schalter, wird aber für Wasser- und Gasleitungen verwendet.

Werte der Hauptvariable:

  • Schieber AUS: Wert 0 -> Schieber geschlossen -> keine Weiterleitung
  • Schieber EIN: Wert 1 -> Schieber komplett geöffnet -> Weiterleitung
  • Schieber Wert 2 (intermediate) -> Schieber teilweise geöffnet -> Weiterleitung
  • Schieber Wert 3 (Fehler) -> Schieber gestört

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Rückschlagventil

Das Rückschlagventil leitet Informationen nur in eine Richtung weiter.

Werte der Hauptvariable:

  • Wert 0:
    Die Weiterleitung ist nicht aktiv (= das Ventil ist geschlossen)
  • Wert 1 oder 2:
    Eine Weiterleitung ist nur in eine Richtung möglich. Dabei wird die Farbe der Quelle ausschließlich vom Eingang zum Ausgang weitergeleitet. Eine Weiterleitung in die Gegenrichtung ist nicht vorgesehen. Dies betrifft auch das Weiterleiten der ALC-Information für die Farbe der Erde.
  • Wert 3:
    Die Weiterleitung ist undefiniert. Dies tritt z.B. dann auf, wenn das Rückschlagventil gestört ist. In diesem Fall wird der Zustand nur am Ausgang weitergeleitet.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Das Rückschlagventil wird auch von der topoligischen Verriegelung berücksichtigt.

Senke

Damit wird das Ende der Leitung festgelegt. Die Senke hat keinen Einfluss auf die Farbberechnung, sondern wird ausschließlich dazu verwendet, dass das Modell vollständig abgebildet werden kann. Soll mit externen Programmen (z. B. VBA) auf das Modell zugegriffen werden, dann ist die Senke unter Umständen für weitere Berechnungen erforderlich, und damit auch zu projektieren.
In Energieprojekten wird die Senke zur Darstellung von Verbrauchern verwendet. Diese werden zur Berechnung der ALC - topologischen Verriegelungen (in der Befehlsgabe) 'Verbraucher würde nicht mehr versorgt werden' herangezogen.

Abschluss

Für Sammelschienenende. Unterdrückt beim Kompilieren im Editor die Fehlermeldung "Linie nur einseitig angeschlossen“.

Link

Ein Link dient dazu, eine Leitung an einer anderen Stelle fortzuführen. Wird ein Link durch eine Leitung "versorgt", so sind alle anderen Links mit dem gleichen Link-Namen ebenfalls genau mit dieser Quelle(n) versorgt. Dabei spielt es keine Rolle, ob sich die Links auf demselben Bild oder auf völlig unterschiedlichen Bildern im Projekt befinden. Damit lassen sich bildübergreifende topologische Netze realisieren. Mehr als zwei Links mit dem gleichen Link-Namen im Projekt sind ebenfalls zulässig.

Links werden mit der Eigenschaft Link-Name projektiert.

Links können durch mehrere Leitungen gleichzeitig versorgt werden oder mehrere Abgänge versorgen. Prinzipiell gibt es keine Unterscheidung wischen Zu- und Abgängen. Die ALC-Farben der Quellen werden an alle angeschlossene Leitungen weitergegeben.

Ein Link kann nicht mit einer Wertänderung der verknüpften Variablen aktiv oder inaktiv geschaltet werden: er ist immer aktiv. Deshalb ist es nicht zwingend erforderlich das Combi-Element mit einer Variable zu verknüpfen.
Achtung: Zwei Link-Elemente dürfen nicht direkt mit einer Leitung verbunden werden. Es muss sich dazwischen immer ein anderes verfahrenstechnisches Element (Schalter/Trenner oder Trafo) befinden.

Die - bei den Funktionstypen Quelle und Transformator - angegebene Quellennummer wird über geschlossene Schalter (Trenner, Schieber etc.) bis zu den Verbrauchern (Senken) weitergeleitet. Aus der überlagerten Summe der speisenden Quellennummern werden dynamisch die Farben aller angeschlossenen Leitungen und verfahrentechnischen Elemente berechnet.

Quelle und Link-Nummer

Parameter

Beschreibung

Quelle

Hier erfolgt die Zuweisung einer Quelle zum Element. Zur Auswahl in der Dropdownliste stehen alle Quellen, die in der ALC Konfiguration (bei den Projekteigenschaften) vergeben wurden. Angezeigt werden die Quellennamen.
Diese Eigenschaft ist nur aktiv, wenn als Funktionstyp 'Quelle', 'Trafo' oder 'Generator' gewählt wurde.

Details zur Quelle finden Sie im Kapitel Konfiguration der Quellen.

Achtung: Verwenden Sie dazu nicht die vordefinierten Systemquellen (ID 0..9). Projektieren Sie für diese Verlinkung eigene Quellen:

  • Für die Projektierung eigener Quellen klicken Sie in der Projekteigenschaftengruppe Automatic Line Coloring die Schaltfläche ... bei der Eigenschaft ALC Konfiguration.
  • Die Systemquellen UNDEFINED [0], GROUND FAULT [1], SHORT FAULT [2] und GROUNDED [3] sind ausschließlich für die Projektierung der Erdung vorgesehen.
  • Die vordefinierten Systemquellen SYSSOURCE4 [4] bis SYSSOURCE9 [9] dienen als Platzhalter.

Link-Nummer

Für den Funktionstyp Link wird hier die Link-Nummer frei eingestellt. Alle identischen Link-Nummern im Projekt korrelieren miteinander.

Weitere Informationen dazu finden Sie beim Funktionstyp Link.
Diese Eigenschaft ist nur aktiv, wenn als Funktionstyp Link gewählt wurde.

Variablen der verfahrenstechnischen Elementen

Damit einem Schalter, Trenner oder Schieber etc. der Zustand (geöffnet, geschlossen, gestört) mitgeteilt werden kann, muss im jeweiligen Combi-Element eine Variable des Datentyps BOOL oder Integer als Hauptvariable verknüpft sein.

Beispiel:

  • Treiber IEC870: Variablen mit Typ ID T01..T37
  • Treiber IEC850: Variablen */Pos/stVal[ST]
  • Treiber DNP3...: Input Variablen

Voraussetzung: das DPI/DPC Mapping wurde im Treiber nicht deaktiviert.

info Info

Für die Position des Schalter werden nur die ersten beiden Bits der Hauptvariable berücksichtigt.

  • Das erste Bit stellt die eigentliche Schaltung dar; 0 entspricht dabei AUS und 1 entspricht EIN.
  • Das zweite Bit ist das Fehlerbit. Wenn es 0 ist, liegt kein Fehler vor.

Auch der Zustand einer Quelle ("vorhanden" (EIN)/"nicht vorhanden" (AUS)) wird ebenso über die verknüpfte Hauptvariable ausgewertet. Für diese Auswertung wird eine Variable des Intern Treibers vom Datentyp BOOL empfohlen. Dann kann (so wie es in der Paxis üblich ist) die Quelle mit dem Rest der Topologie über ein Schalter oder Trenner verbunden werden. Dadurch ist es möglich, die Farbe der Quelle - abhängig von der Position des Schalters - weiterzuleiten.

Hinweis: Für die Hauptvariable einer Quelle, die über einen Schalter/Trenner mit dem Netz verbunden ist (z.B. Erde), legen Sie eine Variable für den Intern Treiber an. Konfigurieren Sie für diese Variable die Eigenschaften Berechnung mit dem Wert Netzwerk und Initialwert mit Wert 1 ("immer vorhanden"). Sie finden diese Eigenschaften in der Variablen-Eigenschaftengruppe Interne Variable. Alternativ dazu können Sie eine Quelle auch direkt mit der Prozessvariable verknüpfen (die Quelle und deren Schalter in einem). Dadurch können Sie die Topologische Verriegelung beim Schalten der Quelle deaktivieren oder umgehen.

Zustände

  • Ein Schalter und eine Quelle sind eingeschaltet (geschlossen), wenn der Wert der verknüpften Variable 1 ist.
  • Ein Schalter ist gestört, wenn der Wert der verknüpften Variable >1 ist oder den INVALID Statusbit hat.
    Ein gestörter Schalter liefert an seinem Ausgang (Anschluss 2) anstatt der eingehenden Quellennummer die Quellennummer 0 (undefiniert). In Richtung vom Ausgang zum Eingang verhält sich der Schalter wie offen.

    Hinweis: Hat die Hauptvariable eines Schalters den Status INVALID, so wird das gesamte nachfolgende Netz INVALID, weil der Zustand des Netzes nicht bekannt ist. Der Zustand INVALID wird über nachfolgende geschlossene Schalter weitergeleitet.

attention Achtung

Wird in den einzelnen Zuständen des Combi-Elementes die Farbe und Füllfarbe Aus ALC aktiviert, werden zur Runtime nicht nur Leitungen, aber auch die verfahrenstechnischen Elemente, eingefärbt.

Noch in diesem Kapitel

Beispiel Schalter - Farben aus ALC

Anschlusspunkte bei verfahrenstechnischen Elementen

Eingang/Ausgang tauschen

Messpunkte


Beispiel Schalter - Farben aus ALC

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Beispiel Schalter - Farben aus ALC

Beispiel 1

Combi-Element mit Wertzustand 00 und Linienfarbe aus ALC:

  1. Projektierung im Editor:
    • Combi-Element mit Wertzustand 00
    • Linienfarbe aus ALC aktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe: grün
    • Farbe unbespannt: weiß
    • Schalterzustand: aus/offen (Wert 0)

Beispiel 2

Combi-Element mit Wertzustand 01 und Farben aus ALC:

  1. Projektierung im Editor
    • Combi-Element mit Wertzustand 01
    • Linienfarbe aus ALC aktiv
    • Füllfarbe aus ALC aktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe: grün
    • Farbe unbespannt: weiß
    • Schalterzustand: ein/geschlossen (Wert 1)

Beispiel 3

Combi-Element Wertzustand 00 ohne Farben aus ALC:

  1. Projektierung im Editor:
    • Combi-Element mit Wertzustand 00
    • Linienfarbe aus ALC nicht aktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe: grün
    • Farbe unbespannt und Konstruktionsfarbe der Linie: weiß
    • definierte Linien- und Füllfarben des Combielements: schwarz
    • Schalterzustand: aus/offen (Wert 0)

Beispiel 4

Combi-Element Wertzustand 01 ohne Farben aus ALC:

  1. Projektierung im Editor
    • Combi-Element mit Wertzustand 01
    • Linienfarbe aus ALC inaktiv
    • Füllfarbe aus ALC inaktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe = grün
    • Farbe unbespannt und Konstruktionsfarbe der Linie: weiß
    • definierte Linien- und Füllfarben des Combielements: schwarz
    • Schalterzustand: ein/geschlossen (Wert 1)


Anschlusspunkte bei verfahrenstechnischen Elementen

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Anschlusspunkte bei verfahrenstechnischen Elementen

Beim Projektieren erfolgt der Anschluss einer Leitung (z. B. Linie) an ein verfahrenstechnisches Element (Combi-Element) durch überlappende Projektierung im Bild an so genannten Fangpunkten am Combi-Element. Bei jedem Anschlusspunkt kann nur eine Leitungen gleichzeitig angeschlossen werden. Alle Leitungen, deren Leitungsanfänge sich im definierten Bereich befinden, gelten als angeschlossen (Topologie aus Grafik).

attention Achtung

Verwenden Sie ALC Elemente nur im nicht gedrehten Zustand, denn:

Die Berechnung des Topologischen Modells für ALC erfolgt im Editor auf Basis der Positionen der Elemente im nicht gedrehten Zustand und ohne Berücksichtigung etwaiger Dynamiken.

Anschlusspunkte und Anschlussbereiche

  • Der Anschlussbereich für einen Anschlusspunkt befindet sich in der Mitte jeder Seite des Combi-Elements. Jedes Combi-Element verfügt also über 4 Anschlusspunkte.
  • Die Größe eines Anschlussbereichs entspricht 2/3 der Höhe und Breite eines Combi-Elements, aber nicht mehr als 20 Pixel.
  • Jeder Anschlussbereich wird in der Mitte der jeweiligen Elementecke zentriert und erstreckt sich symetrisch nach innen und außen, maximal 10 Pixel jeweils.

attention Achtung

Ist das Combi-Element kleiner als 30 Pixel, überlappen sich Anschlussbereiche innerhalb des Elements. Linien, die sich berühren können Fehler hervorrufen (Kompilierung, Einfärbung).

Die möglichen Anschlusspunkte für Combi-Elemente kleiner und größer als 30 Pixel sehen Sie in der Illustration.

Farben:

  • Blau: Combi-Element
  • Rot: Anschlussbereiche

Maße:

  • A: Höhe des Combi-Elements.
  • B: Breite des Combi-Elements.
  • a: Breite des Anschlussbereichs: 2/3 von A, aber maximal 20 Pixel.
  • b: Länge des Anschlussbereichs: 2/3 von B, aber maximal 20 Pixel.

Regeln

  • Befindet sich eine Leitung außerhalb des Anschlussbereichs, wird keine Verbindung erkannt und es erfolgt daher keine Einfärbung der Leitung. Auch für alle nachfolgenden Leitungen wird damit die Einfärbung nicht stimmen.
  • Bei Quellen, Senken und bei Links können prinzipiell alle beschriebenen Anschlusspunkte verwendet werden.
    Achtung: Bei Quellen und Senken darf immer nur ein einziger Anschlusspunkt gleichzeitig verwendet werden. Werden mehrere Anschlusspunkte gleichzeitig benutzt, kann es zu undefinierten Zuständen kommen.
    Bei Elementen des Typs Link können auch mehrere Anschlusspunkte gleichzeitig verwendet werden. Die eingehenden Farbinformationen werden gleichmäßig auf alle Leitungen verteilt.
  • Bei Schaltern/Trennern/Schiebern und Transformatoren erfolgt der Anschluss 1 (Versorgung) links oder oben und Anschluss 2 (Abgang) rechts oder unten. Diese Reihenfolge kann mit der Eigenschaft Eingang/Ausgang tauschen geändert werden.
    Achtung: Bei Schaltern und Transformatoren muss darauf geachtet werden, dass jeweils nur ein Versorgungsanschlusspunkt und ein Abgangsanschlusspunkt verwendet wird. Die gleichzeitige Verwendung mehrerer Versorgungs- oder Abgangversorgungspunkten führt zur Inkonsistenz und ist daher nicht zulässig.
  • Für alle verfahrenstechnische Elemente gilt: Pro Anschlusspunkt darf nur eine einzige Leitung angeschlossen werden. Abzweigungen können nicht direkt am Element realisiert werden, sondern müssen mit Hilfe von Leitungen projektiert werden.


Eingang/Ausgang tauschen

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Eingang/Ausgang tauschen

Wenn ein Transformator, ein Trenner oder ein Schalter projektiert wird, können Eingang und Ausgang vertauscht werden. Dazu:

  1. wählen Sie als Funktionstyp entweder Trafo, Trenner oder Schalter.
  2. aktivieren Sie die Checkbox Eingang/Ausgang tauschen

Der Eingang wird dann rechts oder unten und der Ausgang links oder oben gesetzt.

Überblick

Konfiguration Gerät | Eingang | Ausgang
normal | links | rechts
normal | oben | unten
getauscht | rechts | links
getauscht | unten | oben


Messpunkte

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Messpunkte

Für die Visualisierung der ALC-Quellen, welche aktuell das verfahrenstechnische Element versorgen oder von diesem Element ausgehen, werden Variablen verknüpft.

Diese Variablen werden mit aktuellen Werten aus dem Modul ALC versorgt. Durch Anzeige dieser Variablen können Namen der Quellen vom Modul ALC visualisiert werden.

Diese Eigenschaften sind in der Combi-Element Eigenschaftengruppe Automatic Line Coloring in dem Bereich Zustand zusammengefasst.

Projektierbare Eigenschaften:

  • Anstehende Quellen Eingang
    (Datentyp STRING)
  • Anstehende Quellen Ausgang
    (Datentyp STRING)
  • Höchstpriore Quelle Eingang
    (numerischer Datentyp)
  • Höchstpriore Quelle Ausgang
    (numerischer Datentyp)

Darstellung in der Runtime

In der zenon Runtime werden die verknüpften Variablen mit folgenden Werten angezeigt:

  • Nummer der Anstehenden Quellen (Datentyp STRING):
    • anstehende Quellennummer(n)
      Es werden die Nummern aller anstehenden Quellen in einer STRING-Variable zusammengefasst. Dies gilt sowohl für Eingang wie für Ausgang.
      Mehrer Quellennummern werden mit einem Strichpunkt (;) getrennt. Die Sortierung erfolgt nach der Priorität der Quelle.
      Hinweis: Bei Mehrfachversorgung wird die Quelle mit mehren Einträgen am Eingang repräsentiert.
    • <leer>
      unbespannt
  • Nummer der Höchstprioren Quelle (numerische Variable):
    • 0 oder größer
      Nummer der höchstprioren Quelle. Dies gilt sowohl für Eingang wie für Ausgang.
    • -1
      unbespannt


Leitungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Leitungen

Leitungen werden durch die Vektor-Elemente Linie, Polylinien und Rohrleitung repräsentiert.

Ist für eine Leitung die Eigenschaft Farben aus ALC aktiviert, so wird die Farbgebung aus der ALC-Konfiguration bestimmt. Leitungen werden je nach Zustand der verfahrenstechnischen Elemente und der ALC-Einstellungen automatisch vom System eingefärbt.

Dabei wird die Farbe im Normalfall von der höchst-prioren Quellennummer, des durch die Leitung fließenden Mediums, bestimmt, oder bleibt bei 'leer/unbespannt' so wie im Bild bei 'Farben statisch' oder bei 'Farben dynamisch' projektiert.

Die Darstellungsart definieren Sie über die Dropdownlisten:

  • Vorrang bei Darstellung
  • Mehrfachversorgung darstellen
  • Gesicherte Versorgung darstellen

In den Eigenschaften der Leitungen stehen Ihnen folgende Optionen zur Verfügung:

Parameter

Beschreibung

Farbe aus ALC

Aktiviert die automatische Linienfärbung für dieses Vektor-Element. Das bedeutet: Ist die Quelle, die die Leitung versorgt aktiv, und sind alle Schalter/Ventile, die von der Quelle zur Leitung führen, geschlossen, so wird die Leitung eingefärbt. Bei Versorgung der Leitung durch nur eine einzige Quelle wird die projektierte Quellenfarbe zur Einfärbung verwendet. Die Linienbreite wird nicht beeinflusst.

Vorrang bei Darstellung

Definiert, ob Mehrfachversorgung, gesicherte Versorgung oder beide dargestellt werden.
Default: Mehrfachversorgung

Gesicherte Versorgung

Das Element wird entsprechend den Regeln der gesicherten Versorgung dargestellt.

Eine Leitung gilt dann als gesichert versorgt, wenn sie von mindestens zwei verschiedenen Schaltern oder Trafos mit einer Nicht-Systemquelle versorgt wird. Systemquellen tragen nicht zur gesicherten Versorgung bei, schließen sie aber auch nicht aus.

Mehrfachversorgung

Das Element wird entsprechend den Regeln der Mehrfachversorgung dargestellt.

Eine Leitung gilt dann als mehrfach versorgt, wenn sie von mindestens zwei verschiedenen Quellen versorgt wird. Dabei ist ohne Belang, ob es sich um System- oder um Benutzerquellen handelt und von welcher Seite die Leitung von den Quellen versorgt wird.

kein Vorrang

Die Einfärberegeln für Mehrfachversorgung und für Gesicherte Versorgung werden gleichzeitig angewandt, falls beide Kriterien erfüllt werden. Das bedeutet:

Ist eine Leitung

  • mehrfach und gesichert versorgt,
  • der Vorrang auf kein Vorrang eingestellt,
  • die Darstellung für Mehrfachversorgung auf zwei höchstpriore Quellen gesetzt,
  • die Darstellung für gesicherte Versorgung auf doppelte Breite gesetzt,

dann wird die Linie doppelt breit und zweifärbig gestrichelt dargestellt.

Mehrfachversorgung darstellen

Wird eine Leitung durch mehrere unterschiedliche Quellen gleichzeitig versorgt, spricht man von einer Mehrfachversorgung. Hier definieren Sie, wie mehrfach versorgte Leitungen dargestellt werden.

Default: höchst-priore Quelle

höchst-priore Quelle

Die Leitung übernimmt immer die Linienfarbe jener Quelle, die die höchste Priorität hat.
Hinweis: Prioritäten entsprechen der in der ALC Konfiguration gewählten Reihenfolge.

zwei höchst-priore Quellen

Relevant für Leitungen, die durch zwei oder mehrere unterschiedliche Quellen gespeist werden. Die zwei Quellen mit der höchsten Priorität bestimmen die Farbgebung. Die Leitung wird mit diesen beiden Farben gestreift dargestellt. Die Strichelungslänge kann über die Eigenschaft Strichelungslänge mehrfachversorgt festgelegt werden.

Systemquellen gelten bei Mehrfachversorgung wie echte Quellen und färben Linien zweifärbig, falls sie entsprechend konfiguriert wurden.

alternative Farbe

Die in der Eigenschaft Alternative Farbe definierte Farbe wird verwendet.

Strichelungslänge mehrfachversorgt

Definiert die Strichelungslänge in Pixel von Linien, Polylinien oder Rohrleitungen für die gestrichelte ALC-Einfärbung bei zwei höchstpriore Quellen für Mehrfachversorgung darstellen.

  • Minimal: 0 (automatische Strichelungslänge)
  • Maximal: 32767
  • Default: 0

Alternative Farbe

Alternative Farbe für die ALC Einfärbung von Linien, Polylinien oder Rohrleitungen bei Mehrfachversorgung.

gesicherte Versorgung darstellen

Wird eine Leitung durch eine einzige Quelle mehrfach (parallel) versorgt, spricht man von einer 'Gesicherten Versorgung'. Hier definieren Sie wie 'Gesicherte Versorgung' dargestellt wird.

Eine Leitung wird immer dann gesichert versorgt dargestellt, wenn sie von mindestens zwei Schaltern mit einer echten Quelle (nicht Systemquelle) versorgt wird.

Default: normal

doppelte Breite

Relevant für Leitungen, die von ein und derselben Quelle mehrfach (gesichert) versorgt werden. Ist das der Fall, wird die Leitung mit der doppelten projektierten Breite gezeichnet. (Beispiel: Eine Leitung mit Linienbreite 5 wird bei gesicherter Versorgung mit Linienbreite 10 dargestellt).
Wird diese Leitung durch zwei oder mehrere unterschiedliche Quellen (Mehrfachversorgung) versorgt, ändert sich die Linienbreite nicht!

Die Farbe wird immer durch die höchst-priore Quelle vorgegeben!

doppelte Helligkeit

Relevant für Leitungen, die von ein und derselben Quelle mehrfach (gesichert) versorgt werden. Ist das der Fall wird die Leitung mit der doppelten projektierten Helligkeit gezeichnet.
Wird diese Leitung durch zwei oder mehrere unterschiedliche Quellen (Mehrfachversorgung) versorgt, ändert sich die Linienfarbe nicht!
Wird diese Leitung von einer einzigen Quelle (gesicherte Versorgung) mehrfach versorgt, so wird die Leitung mit doppelter Helligkeit gezeichnet.
Formel für die Berechnung der doppelten Helligkeit:

  1. Die eingestellte RGB-Farbe wird in den HLS Farbraum umgerechnet.
  2. L (also Luminanz = Helligkeit) wird neu berechnen mit NeueLuminanz = 240*3/4 + L/4
  3. Der Farbwert wird mit der neuen Helligkeit wieder in den RGB Farbraum zurückgerechnet.

Die Farbe wird immer durch die höchst-priore Quelle vorgegeben!

normal

Das Element wird in der Farbe der Quelle und der projektierten Breite dargestellt.

Alias verwenden

Aktiv: Alias wird benutzt.

Alias

Öffnet Dialog zur Auswahl eines Alias

info Info

Die Quellenfarben und die Prioritäten der Quellen werden bei den Projekteigenschaften eingestellt.

Benutzerdefinierte Quellen müssen eine ID höher als 9 haben. IDs bis 9 sind für Systemquellen reserviert.

info Info

Die Berechnung der Farbe einer Leitung zur Runtime wird nach folgender Prioritätenliste durchgeführt:

  1. Automatic Line Coloring
    (höchste Priorität, überlagert alle anderen Einstellungen)
  2. Farben dynamisch
  3. Farben statisch

Noch in diesem Kapitel

Beispiel

Anschlusspunkte bei Leitungen


Beispiel

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Leitungen > Beispiel

Es wird im Folgenden angenommen, dass der 'Quelle 0' die Farbe blau zugewiesen ist, während 'Quelle 1' die Farbe rot hat. Außerdem ist 'Quelle 0' die höchstpriore Quelle.

Quelle 0

Quelle 1

Daraus ergeben sich für die verschiedenen Optionen folgende beispielhafte Darstellungen:

 | Linie / Polylinie | Rohrleitung
höchst-priore Quelle |  |
zwei höchst-priore Quellen |  |
doppelte Breite |  |
doppelte Helligkeit |  |


Anschlusspunkte bei Leitungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Leitungen > Anschlusspunkte bei Leitungen

Beim Projektieren erfolgt der Anschluss einer Leitung (Linie, Polylinie oder Rohrleitung) an eine weitere Leitung durch überlappende Projektierung im Bild an so genannten 'Fangpunkte' der Leitungen. Die Fangpunkte - eigentlich sind es Fangbereiche - befinden sich jeweils am Anfang und am Ende einer jeden Leitung und sind am Anfangs- oder Endpunkt jeweils ± 3 Pixel groß.

Example Beispiel

Der Anfangspunkt einer Leitung hat die Koordinaten (Startpunkt x/ Startpunkt y): 150/100 Pixel.
Daraus ergibt sich ein Fangbereich von (x / y): 147 - 153 / 97 - 103 Pixel.

Befindet sich der Leitungsanfang oder das Ende dieser Leitung, einer oder mehrerer weiteren Leitungen innerhalb dieses Bereichs, wird automatisch eine Verknüpfung hergestellt, ohne dass es dafür weiterer Einstellungen bedarf. Eine reine Überlappung der Fangbereiche der einzelnen Linien ist nicht ausreichend!

In der folgenden Grafik wird der Fangbereich grafisch dargestellt (Die grünen Leitungen haben mit der schwarzen Leitung eine Verbindung, die rote Leitung nicht.):

info Info

An jedem Fangpunkt können beliebig viele Leitungen miteinander verbunden werden.

attention Achtung

Befindet sich eine Leitung außerhalb des oben dargestellten Fangbereichs (z. B. die roten Leitungen in der Grafik), wird keine Verbindung erkannt und es erfolgt daher keine Einfärbung der Leitung. Auch für alle nachfolgenden Leitungen wird damit die Einfärbung nicht stimmen.

Leitungskreuzungen lassen sich sehr einfach realisieren, indem die Enden der Leitungen sich nicht im Fangbereich befinden:

attention Achtung

Verwenden Sie ALC Elemente nur im ungedrehten Zustand, denn:

Die Berechnung des Topologischen Modells für ALC erfolgt im Editor auf Basis der Positionen der Elemente im ungedrehten Zustand und ohne Berücksichtigung etwaiger Dynamiken.


Überprüfung der Projektierung

Handbuch > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Überprüfung der Projektierung

Projektieren Sie die gewünschten verfahrenstechnischen Elemente und Leitungen in einem oder mehreren Bildern und speichern Sie diese Bilder. Jetzt können Sie mithilfe von Alle Runtime-Dateien erzeugen oder Geänderte Runtime-Daten erzeugen überprüfen, ob in Ihren Bildern Fehler oder Konflikte vorhanden sind. Sollten Fehler und/oder Konflikte vorhanden sein, werden entsprechenden Fehlermeldungen oder Warnungen im Ausgabefenster angezeigt.

info Info

Klicken Sie die entsprechende Zeile im Ausgabefenster doppelt an. Das Bild mit dem fehlerhaften Bildelement wird automatisch geöffnet. Wenn sich das fehlerhafte Bildelement in einem Symbol befindet, wird automatisch das entsprechenden Symbol ausgewählt.

Folgende Fehlermeldungen können angezeigt werden.

  • ALC: Bild '%s' - An der Leitung '%s' sind zwei Link-Elemente mit unterschiedlicher Link-Nummer angeschlossen. (Doppelklick öffnet das Bild und wählt die Leitung aus)
  • ALC: Bild '%s' - Am Element '%s' sind mehr als zwei Anschlusspunkte belegt. Pro Element darf jeweils nur ein Eingang und ein Ausgang verwendet werden. (Doppelklick öffnet das Bild und wählt das Element aus)

Folgende Warnungen können angezeigt werden.

  • ALC: Bild '%s' - Die Alias-Leitung '%s' ist an eine nicht Alias-Leitung angeschlossen. (Doppelklick öffnet das Bild und wählt die Leitung aus)
  • ALC: Bild '%s' - Das Alias-Element '%s' ist an eine Nicht-Alias-Leitung angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)
  • ALC: Bild '%s' - Das Nicht-Alias-Element '%s' ist an eine Alias-Leitung angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)
  • ALC: Bild '%s' - Die Leitung '%s' ist nur einseitig angeschlossen. (Doppelklick öffnet das Bild und wählt die Leitung aus)
  • ALC: Bild '%s' - Das Element '%s' ist nicht angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)
  • ALC: Bild '%s' - Das Element '%s' ist nur einseitig angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)

In den Fehlermeldungen oder Warnungen werden die entsprechenden Elemente mithilfe der Element-Referenz identifiziert. Diese Referenz dient auch als Verknüpfungsschlüssel bei ALC-Aliasen.


Konfiguration

Handbuch > Automatic Line Coloring (ALC) - Topologie > Konfiguration

Um ALC zu konfigurieren:

  1. Navigieren Sie in den Projekteigenschaften der Gruppe Automatic Line Coloring zur Eigenschaft ALC Konfiguration
  2. Klicken Sie auf die Schaltfläche ...
  3. Der Dialog zur Konfiguration wird geöffnet
  4. Konfigurieren Sie die gewünschten Eigenschaften für:
    • Quellen

      Legen Sie eine neue Quelle an.
      Klicken Sie dazu die Schaltfläche Neu. Dies erstellt einen neuen Eintrag mit dem Namen Quelle [laufende Nummer] am Ende der Liste der Quellen.
      Hinweis: Beachten Sie dabei, dass die Systemquellen (ID 0..9) eine vordefinierte Bedeutung haben oder für zukünftige Versionen reserviert sind.

      Projektieren Sie anschließend die Farben der neuen Quelle, indem Sie den Farbwert via Mausklick anwählen und die Schaltfläche ... klicken. Dies öffnet ein Dropdownmenü zur Auswahl der Farben.

      Berücksichtigen Sie auch die Grundsätze für Einfärbung für UNDEFINED.

    • Verriegelungen

      Konfigurieren Sie, welche Topologische Verriegelungen das Modul Befehlsgabe berücksichtigen soll.
      Hinweis: diese Registerkarte ist nur mit einer gültigen Lizenz für das optionale Modul ALC - Topologie Paket verfügbar.

    • Bildmarker

      Konfigurieren Sie die Farbtabelle für die Bildmarker für die Impendanzbasierte Fehlerortung.
      Hinweis: diese Registerkarte ist nur mit einer gültigen Lizenz für das optionale Modul ALC - Topologie Paket verfügbar.

Noch in diesem Kapitel

Konfiguration der Quellen

Konfiguration der Topologischen Verriegelung

Konfiguration der Bildmarker


Konfiguration der Quellen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Quellen

Die Konfiguration der Quellen, z. B. deren Bezeichnung und Farben (Reihenfolge und Priorität), erfolgt projektbezogen in den Projekteigenschaften unter ALC Konfiguration. Quellen mit der ID zwischen 0 und 9 sind für Systemquellen reserviert. Die, die bereits eine Funktion haben (z.B. GROUNDED - die Farbe der Quelle "Erde") dürfen nicht umfunktioniert werden. Die, die in der aktuellen zenon Version noch keine Funktionalität haben, bleiben für die zukünftige Versionen reserviert.

Die Quellenfarben ab ID #10 stehen für die verfahrenstechnischen Elemente frei zur Verfügung.
Beispiele: Quelle "Generator" oder "110kV". Fügen Sie dafür weitere Farben hinzu.

Quellenfarben

Parameter

Beschreibung

Nummer

Interne eindeutige fortlaufende Nummer, damit die Quellen eindeutig zugeordnet werden können. Diese Nummer wird vom System automatisch vergeben, und kann nicht geändert werden.

Achtung: Die Nummern 0 bis 9 sind für Systemquellen reserviert und dürfen nicht benutzerspezifisch verwendet werden.

Name

Logische Bezeichnung für die Quelle (z. B.: 'Wasser' oder 'geerdet'). Diese Bezeichnung wird auch bei der Auswahl der Quelle bei Combi-Elementen verwendet. Die Bezeichnung können Sie ändern, indem Sie mit der linken Maus-Taste die Quellenbezeichnung anklicken. Dadurch wird in einen Editiermodus umgeschaltet. Mit der Eingabe-Taste oder durch Auswahl einer anderen Quelle wird die Änderung übernommen.

Hinweis: Die Bezeichnungen sind nicht sprachumschaltbar.

Linienfarbe

Linienfarbe der jeweiligen Quelle. Diese wird für das Zeichnen von Linien, Polylinien sowie als äußere Farbe für Rohrleitungen verwendet.

Füllfarbe

Gestrichelt

Typ der Darstellung für geerdete Quellen.

  • aktiv:
    Linie für geerdete Quelle wird zur Runtime gestrichelt dargestelt
  • inaktiv:
    Linie für geerdete Quelle wird zur Runtime normal dargestellt

Hinweis: Diese Checkbox kann nur für die Systemquelle GROUNDED aktiviert werden. Bei allen anderen Quellen ist diese Checkbox ausgegraut.

Spannung [kV]

Nennspannung der Quelle in Kilovolt.
Diese Option steht nicht für Systemquellen zur Verfügung.

Default: leer

Eingabebereich:

  • 0 - 4000 KV
  • Nachkommastellen müssen mit . angegeben sein
  • ungültige Eingaben werden auf 0 gesetzt.
  • negative Eingaben werden positiv gesetzt.

Neu

Fügt eine neue Farbe hinzu.

Löschen

Löscht die ausgewählte Farbe.

Nach oben (Pfeilsymbol)

Verschiebt ausgewählte Quelle um eine Position nach oben.

Ganz nach oben (Pfeilsymbol)

Verschiebt ausgewählte Quelle an den Beginn der Liste.

Nach unten (Pfeilsymbol)

Verschiebt ausgewählte Quelle um eine Position nach unten.

Ganz nach unten (Pfeilsymbol)

Verschiebt ausgewählte Quelle an das Ende der Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Konfiguration der Farben kann direkt über die Eingabe des entsprechenden Hexadezimal-Codes erfolgen oder über eine Farbpalette.

Zur direkten Eingabe:

  1. Klicken Sie mit der linken-Maus-Taste die Farbbezeichnung an.

    Das Feld wird in den Editiermodus umgeschaltet.

  2. Geben Sie den Code ein.
  3. Drücken Sie die Eingabe-Taste oder wählen Sie eine weitere Quelle aus, um die Änderung zu übernehmen.

Zur Auswahl über eine Farbpalette:

  1. Markieren Sie die gewünschte Zeile.
  2. Klicken Sie auf die Schaltfläche ... hinter der Farbe.
    Hinweis: Die Schaltfläche ... ist nur dann sichtbar, wenn der Farbeintrag mit Mausklick ausgewählt ist.

    Die Farbpalette wird in einem Kontextmenü geöffnet.

  3. Wählen Sie die gewünschte Farbe.

Der hexadezimale Farbcode beschreibt einen RGB-Farbwert und setzt sich wie folgt zusammen: #RRGGBB.

Element | Bedeutung
# | Kennzeichnung dafür, dass ein Hexadezimaler Farbcode verwendet wird.
RR | 2 Stellen für den Rotwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
GG | 2 Stellen für den Grünwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
BB | 2 Stellen für den Blauwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF

info Info

Die Reihenfolge in dieser Liste entspricht der Priorität der Quellen, wobei das erste Element die höchste Priorität erhält.

Um die Prioritäten der einzelnen Quellen untereinander zu verändern, können Sie diese mit den Pfeil-Schaltflächen durchführen.

attention Achtung

Einschränkungen beim Löschen der Quellen und Rücksetzen von Fehlereinfärbungen:

Quellen mit der ID zwischen 0 und 9 sind für Systemquellen reserviert. Sie können:

  • nicht gelöscht werden
  • als Fehlerfarbe nicht zurückgesetzt werden

Quellen löschen

Damit Quellen gelöscht werden können, müssen Sie eine ID ab 10 haben. Es kann jeweils nur die Quelle mit der höchsten ID gelöscht werden.

Fehler-Einfärbungen zurücksetzen

Damit Fehler-Einfärbungen nach Behebung der Ursache zurückgesetzt werden können, darf keine Systemquellen-Farbe verwendet werden. Es muss eine Farbe für IDs ab 10 gewählt werden.

Noch in diesem Kapitel

Modus der Einfärbung für UNDEFINED


Modus der Einfärbung für UNDEFINED

Handbuch > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Quellen > Modus der Einfärbung für UNDEFINED

Beim Zustand UNDEFINED kann die Einfärbung des Netzes in zwei Modi erfolgen:

  • Standard
  • Versorgung vorrangig

Die Einstellung erfolgt über die Projekteigenschaft Automatic Line Coloring/Modus der Einfärbung.

Standard

Die interne Berechechnung der Topologie (= Graphensuche) beginnt bei einer Quelle und durchschreitet das gesamte Netz so, dass jeder geschlossene Schalter (Schaltervariable hat Wert 1) pro Richtung nur einmal durchwandert wird und somit keine Zyklen entstehen. Dabei wird jeder besuchte Knoten (=Leitungssegment) mit der Quellenfarbe eingefärbt. Als Knoten werden direkt zusammenhängende Leitungen/Linien bezeichnet.

Trifft die Suche auf einen Schalter, dessen Schaltervariable einen der folgenden Status hat, wird ab diesem Punkt die UNDEFINED Farbe zum Einfärben verwendet:

  • INVALID [Wert: beliebig],
  • ist gestört [Wert: 3]
  • ist in Zwischenstellung [Wert: 2])

Die Graphensuche wird ab nun in gleicher Form weitergeführt. Jeder Schalter wird pro Richtung nur einmal mit der UNDEFINED Farbe durchwandert. Damit kann jeder Schalter pro Quelle maximal vier Mal durchwandert werden:

  1. mit Quellennummer in Vorwärtsrichtung,
  2. mit Quellennummer in Rückwärtsrichtung,
  3. mit UNDEFINED in Vorwärtsrichtung,
  4. mit UNDEFINED in Rückwärtsrichtung

Versorgung vorrangig

Mit der Einstellung Versorgung vorrangig werden nur Leitungen als UNDEFINED eingefärbt, die von zumindest einer Quelle potenziell versorgt sind, aber von keiner Quelle eindeutig. Ist eine Leitung von zumindest einer Quelle eindeutig versorgt, so kann sie von einer anderen Quelle keinen UNDEFINED Einfärbung mehr erhalten.

Diese Suche erfolgt zweistufig:

  • Im ersten Schritt wird wie bei Standard von jeder eingeschalteten Quelle ausgehend die Quellenfarbe im Netz verteilt, solange der nächste Schalter geschlossen ist. Ist der Schalter geöffnet oder gestört/undefiniert, wird die Suche beendet.
  • Im zweiten Schritte wird die Suche bei jedem gestört/undefiniert Schalter begonnen, der einseitig versorgt ist, und die UNDEFINED Farbe auf der unversorgten Seite im Netz verteilt. Diese Suche betrachtet auch Schalter als geschlossen, die gestört/undefined sind und verbreitet somit die UNDEFINED Farbe so lange im Netz, bis sie auf einen eindeutig geöffneten Schalter stößt. Zusätzlich wird die Suche beendet, wenn ein Leitungssegment erreicht wird, welches bereits versorgt ist.


Konfiguration der Topologischen Verriegelung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Topologischen Verriegelung

In der Runtime kann das Modul Befehlsgabe die Verriegelungen automatisch errechnen. Diese Verriegelungen basieren auf dem dynamischen Zustand des elektrischen Netzes. Die Topologie des Netzes wird via ALC projektiert. Wenn die Befehlsgabe erkennt, dass die Ausführung eines Befehls der Verriegelungsbedingung entspricht, wird die Ausführung des Befehls verhindert.

Beispiel: Anhand der ALC Projektierung und der aktuellen Zustände (EIN/AUS) von Quellen, Schaltern, Trennern etc. kann die Befehlsgabe automatisch erkennen dass die Ausführung eines Befehls zu dem Zustand "Spannung gegen Erde" führen würde. In diesem Falle wird die Ausführung des Befehls unterdrückt.

Die Überprüfung der topologischen Verriegelungen aus der ALC für die Befehlsgabe wird zentral - für jeweiliges Projekt - konfiguriert. Dabei wird auch entschieden ob ein Benutzer eine Verriegelung entriegeln kann (vorausgesetzt er verfügt auch über Berechtigunsebene zur Entriegelung der Aktion).

Die hier getroffenen Einstellungen gelten global für das gesamte Topologische Modell. Folgende Bedingungen stehen dabei zur Verfügung:

Parameter

Beschreibung

Spannung gegen Erde

Verriegelung ist aktiv, wenn ein Schalter/Trenner geschlossen werden soll, an dessen einem Anschluss geerdetes Potential anliegt und ein oder mehre Anschlüsse im ALC-Modell bespannt oder undefiniert sind.

Dabei ist auch sichergestellt, dass auch über einen Transformator hinweg eine Spannung gegen Erde erkannt wird.

Default-Status: entriegelbar

Beispiele:

  • Nach Schaltung des Elements ist eine Seite geerded und die andere bespannt.

Schalthandlung in Gebiet mit undefiniertem Zustand

Verriegelung ist aktiv, wenn ein Schalter/Trenner geschlossen werden soll, bei dem beide Anschlüsse auf 'undefiniert' oder 'gestört' liegen.

Default-Status: entriegelbar

Trenner unter Last

Die Verriegelung ist aktiv, wenn für das Einschalten (= Schließen) oder Ausschalten (= Öffnen) des Trenners bestimmte Bedingungen erfüllt werden.

Default-Status: entriegelbar

Bedingungen: siehe Abschnitt "Trenner unter Last - Verriegelungsbedingungen".

Verbraucher würde nicht mehr versorgt werden

Verriegelung ist aktiv, wenn ein Schalter/Trenner geöffnet werden soll und ein eingeschalteter, mit Spannung aus einer Quelle versorgter Verbraucher (Senke), dann spannungslos wäre.

Default-Status: entriegelbar

Bereich mit undefiniertem Zustand würde größer werden

Verriegelung ist aktiv, wenn ein Schalter/Trenner geschlossen werden soll, bei dem ein Anschluss den Zustand undefiniert oder gestört liegt und der andere nicht.

Die Verrieglung wird auch dann gemeldet, wenn der Befehl mit der Schaltrichtung keine konfiguriert wurde.

Default-Status: entriegelbar

Kuppeln von Netzen

Diese Verriegelung dient dazu, unabsichtliches Zusammenschalten zweier Netze mit unterschiedlichen Generatorenquellen zu verhindern.

Verriegelung ist aktiv wenn zwei ALC-Netzbereiche zusammengeschalten werden, in denen sich unterschiedliche Generatoren befinden. Als unterschiedliche Generatoren werden verfahrenstechnsiche Elemente vom Typ Generator mit unterschiedlichen Nummern der Quellen betrachtet.

Hinweis: Die Nummern der Quellen werden im Dialog der Projekteigenschaft ALC Konfiguration in der Registerkarte Quelle konfiguriert.

Verfahrenstechnische Elemente vom Funktionstyp Quelle gelten nicht als Generatoren.

Die Verriegelung wird aktiv wenn:

  • Nach der Schaltung sind beide Seiten des Elements unter Spannung.
  • Eine Seite beinhaltet eine Generatorenquelle, die im anderen Netz nicht vorhanden ist.

Default-Status: nicht prüfen

Überlastung einer Leitung

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einer Stromüberlastung einer Leitung oder eines Transformators im ALC Netz führen.

Default-Status: nicht prüfen

Mit den Eigenschaften Transformator-Name (bei Transformator) und Leitungsname (bei Leitung) kann für das Element ein Namen projektiert werden. Dieser Name wird in der Runtime als Verriegelungstext verwendet, wenn das Element nach einer Schalthandlung überlastet wäre.

Zusätzlich wird diese Verrieglung aktiv, wenn

  • eine Lastflussberechnung nicht möglich ist.
    Dies ist der Fall bei fehlenden oder ungültigen Messwerten sowie bei einem undefinierten Zustand eines Schalters (nicht ein oder aus)
  • die Lastflussberechnung kein schlüssiges Ergebnis errechnen kann.

Hinweis: Diese Verriegelung ist nur für das optionale Modul Lastflussberechnung verfügbar.

Zusammenschalten unterschiedlicher Spannungsebenen

Die Verriegelung wird aktiv, wenn zwei ALC-Quellen mit unterschiedlichen Nennspannungen zusammengeschalten werden.
Diese Überprüfung erfolgt über das gesamte Netz (nicht nur beim Schalter).

Default-Status: nicht prüfen

Status

Wenn Sie bei einer dieser Verriegelungen in die Spalte Status klicken, öffnet sich eine Dropdownliste mit drei Auswahlmöglichkeiten:

Parameter | Beschreibung
nicht prüfen | Die ausgewählte Bedingung wird in diesem Projekt (topologischen Modell) nicht berücksichtigt.
entriegelbar | Die ausgewählte Bedingung wird in diesem Projekt überprüft. Trifft die Bedingung zu, so kann sie der Benutzer der Befehlsgabe entriegeln (im Bild vom Typ Befehlsgabe). Die Entriegelung wird in der CEL protokolliert.
nicht entriegelbar | Die ausgewählte Bedingung wird in diesem Projekt überprüft. Trifft die Bedingung zu, so kann der Benutzer sie nicht entriegeln. Die Aktion (z.B. ein Schaltbefehl) wird nicht durchgeführt.

Ausnahme Topologische Verriegelung

Die Topologische Verriegelung wird nicht ausgeführt, wenn:

  • die Variable eines Schalters den Status Revision hat
    oder
  • die Variable handnachgeführt oder auf Ersatzwert eingestellt wird und dabei auf den selben Variablenwert geschaltet wird wie der Ausgangswert, also wenn der Schalter:
    • auf AUS ist und danach auf AUS nachgeführt oder ersetzt wird
    • auf EIN ist und danach auf EIN nachgeführt oder ersetzt wird

Noch in diesem Kapitel

Trenner unter Last - Verriegelungsbedingungen


Trenner unter Last - Verriegelungsbedingungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Topologischen Verriegelung > Trenner unter Last - Verriegelungsbedingungen

Für die Topologische Verriegelung Trenner unter Last darf ein Trenner geschaltet (= geöffnet oder geschlossen) werden, wenn für die Leitungssegmente, die der Trenner zusammen verbindet, eine der folgenden Bedingungen zutrifft:

Beim Einschalten (= Schließen) des Trenners:

Es wird überprüft ob die Topologie vor dem Schalten EIN befindet sich in einem der Zustände:

  • die beide Leitungssegmente sind von der gleichen Quelle bespannt / beide geerdet;
  • das eine Leitungssegment ist spannungsfrei, das andere Leitungssegment geerdet;
  • ein Leitungssegment ist unbelastet.

Beim Ausschalten (= Öffnen) des Trenners:

Es wird überprüft ob die Topologie nach dem Schalten AUS wird sich in einem der Zustände befinden:

  • die beide Leitungssegmente werden von der gleichen Quelle bespannt;
  • das eine Leitungssegment wird spannungsfrei, das andere Leitungssegment geerdet;
  • ein Leitungssegment wird unbelastet.

info Info

Bedeutung von "unbelastet"

Der Zustand unbelastet bedeutet:

  • Entweder:
    Alle am Leitungssegment angeschlossenen Schalter und Trenner sind geöffnet.
  • Oder:
    Die am Leitungssegment angeschlossenen Schalter und Trenner sind geschlossen, aber verbinden nur zu einem weiterem Segment, welches ebenfalls unbelastet ist.

Zusätzlich müssen für den Zustand unbelastet alle folgenden Bedingungen erfüllt werden:

  • Alle am Leitungssegment angeschlossenen Quellen und Verbraucher sind ausgeschaltet.
  • Es darf kein Trafo am Leitungssegment angeschlossen sein.
  • Es darf sich nicht um eine Leitung handeln, an der ausschließlich nur dieser Trenner angeschlossen ist (eine offene Leitung).


Konfiguration der Bildmarker

Handbuch > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Bildmarker

Hier konfigurieren Sie die Farbtabelle für die Bildmarker für die impendanzbasierte Fehlerortung und Lastverteilungsrechnung. Siehe auch: AddMarker.

Parameter | Beschreibung
Nummer | Interne eindeutige fortlaufende Nummer zur eindeutigen Zuordnung. Diese Nummer wird vom System automatisch vergeben, und kann nicht geändert werden.
Linienfarbe | Linienfarbe des Bildmarkers.
Füllfarbe | Füllfarbe des Bildmarkers.
Neu | Fügt eine neue Farbe hinzu.
Löschen | Löscht die ausgewählte Farbe. Hinweis: Es kann immer nur die letzte Farbe in der Liste gelöscht werden. Standardfarben können nicht gelöscht werden.

Die Konfiguration der Farben kann direkt über die Eingabe des entsprechenden Hexadezimal-Codes erfolgen oder über eine Farbpalette.

Zur direkten Eingabe:

  1. Klicken Sie mit der linken-Maus-Taste die Farbbezeichnung an.

    Das Feld wird in den Editiermodus umgeschaltet.

  2. Geben Sie den Code ein.
  3. Drücken Sie die Eingabe-Taste oder wählen Sie eine weitere Quelle aus, um die Änderung zu übernehmen.

Zur Auswahl über eine Farbpalette:

  1. Markieren Sie die gewünschte Zeile.
  2. Klicken Sie auf die Schaltfläche ... hinter der Farbe.
    Hinweis: Die Schaltfläche ... ist nur dann sichtbar, wenn der Farbeintrag mit Mausklick ausgewählt ist.

    Die Farbpalette wird in einem Kontextmenü geöffnet.

  3. Wählen Sie die gewünschte Farbe.

Der hexadezimale Farbcode beschreibt einen RGB-Farbwert und setzt sich wie folgt zusammen: #RRGGBB.

Element | Bedeutung
# | Kennzeichnung dafür, dass ein Hexadezimaler Farbcode verwendet wird.
RR | 2 Stellen für den Rotwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
GG | 2 Stellen für den Grünwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
BB | 2 Stellen für den Blauwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF


Funktion: ALC-Quellenfarbe ändern

Handbuch > Automatic Line Coloring (ALC) - Topologie > Funktion: ALC-Quellenfarbe ändern

Mit der Funktion ALC-Quellenfarbe ändern kann die Vordergrund- und Hintergrundfarbe einer ALC-Quelle für die Einfärbung zur Runtime vorübergehend geändert werden. Die Änderung bleibt bis zum Beenden der Runtime, Nachladen oder erneuten Ausführung der Funktion geändert. Um die Funktion zu erstellen:

  • wählen Sie Funktion neu
  • navigieren Sie zum Knoten Bilder
  • wählen Sie ALC-Quellenfarbe ändern

  • der Dialog zur Definition der Linienfarbe und der Füllfarbe öffnet sich
  • definieren Sie die gewünschten Farben

Eigenschaft | Funktion
Quelle | Dropdownliste zur Auswahl der Quelle und Anzeige der aktuell zugewiesenen Farben. Diese Farben sind hier nicht änderbar.
Neue Farbe für Quelle | Klick auf Farbe öffnet Dialog zur Auswahl einer Farbe.


Alias für Detailbilder

Handbuch > Automatic Line Coloring (ALC) - Topologie > Alias für Detailbilder

Für die Darstellung von Einzelbildern kann mit der Hilfe eines Alias ein Teilbereich aus dem Topologischen Netz herausgenommen und einzeln dargestellt werden. Die Bildelemente im Detailbild werden zwar nicht in das topologische Model mit aufgenommen, beziehen aber trotzdem ihre ALC-Farben aus dem Modell. Diese Bildelemente beziehen sich dazu auf einen Alias der Bildelemente aus dem Gesamtbild.

attention Achtung

Aliase sind nur innerhalb eines Projekts gültig!

Das bedeutet für Symbole, die Elemente mit Verknüpfungen zu Aliasen enthalten:

Wird das Symbol in die Allgemeine Symbolbibliothek oder in die Symbolbibliothek im Globalprojekt eingefügt und dort bearbeitet, gehen alle ALC Alias Informationen ohne weiteren Hinweis verloren!

Alias anlegen

Alias können angelegt werden für die Elemente:

  • Linie
  • Polylinie
  • Rohrleitung
  • Combi-Element

attention Achtung

Ein ALC Alias kann nicht angelegt werden, wenn im Namen des ausgewählten Bildes ein Punkt (.) enthalten ist.

Lösung: Ersetzen Sie den Punkt im Bildnamen durch ein anderes Zeichen, z.B. einen Unterstrich (_).

Um ein Quellelement als Alias anzulegen:

  • Aktivieren Sie beim Element, in der Eigenschaftengruppe Automatic Line Coloring die Eigenschaft Alias verwenden.
    Hinweis: Dazu müssen das Modul ALC lizenziert, und die Eigenschaft Farbe aus ALC aktiviert sein.
  • Klicken Sie bei der Eigenschaft Alias auf die Schaltfläche ...
  • Der Dialog zur Auswahl des Elements öffnet sich.

Parameter

Beschreibung

Bild

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Bildes.

Verfügbare ALC-Elemente

Zeigt die zum Bild gehörigen Elemente mit Elementname, Art des Elements und Funktionstyp an. Klick auf ein Element wählt Alias aus.

Filter

Die Elemente können nach allen Spalten gefiltert werden. Beim Setzen eines Filters werden die angebotenen Möglichkeiten aller anderen Filter auf sinnvoll kombinierbare Werte reduziert.

  • Name: Eingabe eines freien Suchbegriffs mit Wildcards (*). Die letzten 12 Suchbegriffe werden bis zum Beenden des Editors in einer Liste angeboten.
  • Element:
    Auswahl aus Dropdownliste.
  • Funktionstyp:
    Auswahl aus Dropdownliste.

Klick auf ... öffnet gespeicherte Suche oder Dropdownliste.

Bei aktiviertem Filter löscht Klick auf Schaltfläche X den Filter.

Ausgewählter Alias

Zeigt das im Feld Verfügbare ALC-Elemente ausgewählte Element an.

Keine Auswahl

Entfernt ausgewähltes Element.

OK

Speichert Auswahl und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet die Online-Hilfe.

info Info

Bei der Auswahl eines Elements für einen Alias können nur Elemente und Bilder aus demselben Projekt gewählt werden, in dem der Alias definiert wird. Elemente aus Unterprojekten oder parallelen Projekten stehen nicht zur Verfügung.

Ersetzung von Aliasnamen

Alias können bei der Bildumschaltung über Verknüpfung ersetzen ausgetauscht werden. Ein Detailbild kann daher mit den Daten unterschiedlicher Anlagenteile, z. B. Abgängen oder Teilnetzen, dargestellt werden. Die Ersetzung von Aliasnamen erfolgt analog zu jener von Variablen und Funktionen. Auch die Ersetzung in Elementen, die in Symbolen verwendet werden, ist möglich. Als Auswahldialog für das Ziel wird der gleiche Dialog wie bei der Eigenschaft Alias geöffnet.


Fehlerortung in elektrischen Netzen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen

Die Fehlerortung kennzeichnet durch spezielle Einfärbung via ALC jene Netzteile, die mit Erdschluss oder Kurzschluss behaftet sind. Anfangspunkte für die Fehlersuche sind sogenannte Erdschluss- oder Kurzschlussmelder (z.B. Melder eines Schutzgerätes), die einem Leistungsschalter zugeordnet sind. Es wird angenommen, dass die Erdschluss- und Kurzschlussmelder sich immer am Ausgang des Leistungsschalter-Elements befinden. Aus diesem Grund sollten bei der Projektierung die entsprechende Variablen (mit Meldungen des Schutzgeräts) mit ALC Elementen vom Funktionstyp Schalter verknüpft werden.

Die Meldungen von Schutzgeräten werden durch spezielle Einfärbungen mit den Quellenfarben ID 1 und ID 2 dargestellt. Die Einfärbung erfolgt jedoch nur, wenn die Meldung für ein Schutzgerät zutrifft, während die Leitungen bespannt sind. Parallel dazu werden die Meldungen auf die zusätzliche Variablen für die Anzeige gesetzt. Damit können Fehler in einem zenon Bild auch grafisch dargestellt werden. Diese Darstellung kann z.B. durch die Projektierung eines zusätzlichen Combi-Elements erfolgen, welches nur sichtbar ist, wenn der entsprechende Zustand (= Zustand gestört) erfüllt ist.

Damit können im Bild auch grafische Fehleranzeigen dargestellt werden, z.B. mit weiteren Combi-Elementen die nur bei anstehende Anzeige sichtbar sind.

Die Anzeige müssen manuell zurückgesetzt (= quittiert) werden nachdem die Schutzgeräte die Meldungen zurückgezogen haben.

info Info

Diese Funktionalität ist nur verfügbar, wenn sowohl die Energy Edition als auch das Modul Automatic Line Coloring lizenziert sind (Topologiepaket).

Fehlerortung

Die Fehlerortung läuft lokal auf jedem Rechner in zenon Netzwerk. Jeder Client im Netzwerk hat sein unabhängiges Modell und kann somit unabhängig Erd- und Kurzschlüsse in verschiedenen Teilen der Topologie suchen.

Die Fehlerortung in elektrischen Netzen teilt sich in:

  • Erdschlusssuche
  • Kurzschlusssuche

Um die Fehlerortung zur projektieren

  • benötigen Sie eine Lizenz für ALC und zenon Energy Edition
  • legen Sie die entsprechenden Bilder an
  • konfigurieren Sie ALC auf den entsprechenden Combi-Elementen mit dem Funktionstyp Schalter
  • konfigurieren Sie Leitungen so, dass sie ihre Einfärbung über ALC erhalten

Für die Fehlerortung stehen Ihnen zur Runtime spezielle Funktionen zur Verfügung:

  • Erdschlusssuche starten
  • Erdschlussmeldung quittieren
  • Erdschlusssuche beenden
  • Kurzschlussmeldung quittieren

Einfärbungen

Fehler lassen sich durch eine spezielle Einfärbung der Leitungen im ALC anzeigen, wenn die Meldungen antriffen während die Leitungen bespannt sind. Zur Runtime wechselt die per ALC zugewiesene Farbe automatisch, sobald sich der Zustand der Leitung ändert. Die projektierten Einfärbungen können zur Runtime vorübergehend über die Funktion ALC-Quellenfarbe ändern geändert werden.

Meldungen werden in der Reihenfolge ihres Eintreffens bearbeitet. Bei Konflikten

  • haben die Farben für Fehleranzeige den Vorrang
  • haben Kurzschlussmeldungen Vorrang vor Erdschlussmeldungen

Noch in diesem Kapitel

Erdschlusssuche

Kurzschlusssuche

Säumung


Erdschlusssuche

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche

Die Erdschlusssuche dient dazu, potenziell erdschlussbehaftete Netzteile durch Einfärbung zu markieren. Die Farbe wird aus der Projektierung der ALC-Quellenfarben für die Quelle GROUND FAULT (ID 1) bezogen. Parallel dazu werden die Meldungen auf die zusätzliche Variablen für die graphische Anzeige gesetzt.

Welche Netzteile potenziell erdschlussbehaftet sind, wird aus den Erdschlussmeldungen von Erdschlusserkennungsgeräten (Erdschlussanzeiger, Schutzgerät mit Erdschlusserfassung) abgeleitet. Für Erdschlussmeldungen gilt:

  • Jedes Gerät kann eine, zwei oder drei Erdschlussmeldungen besitzen.
  • Diese Erdschlussmeldungen werden entweder per Dauermeldungsverarbeitung oder per Wischermeldungsverarbeitung behandelt.
  • Bei Erdschlusserkennungsgeräten mit Richtungserkennung kann sich die Richtung vor- oder nacheilend zur Auslösung verhalten.
    • Voreilend:
      Zuerst wird die Meldung über die Richtung (Vorwärts und/oder Rückwärts) ermittelt und gemeldet, anschließend die Meldung über die Auslösung.
    • Nacheilend:
      Zuerst wird die Auslösung, dann die Richtung ermittelt und gemeldet.

info Info

Ein potenziell erdschlussbehafteter Netzteil wird erst dann als nicht mehr erdschlussbehaftet betrachtet, wenn dieser erfolgreich bespannt wurde.

Projektierung

Um die Erdschlusssuche zu projektieren:

  1. weisen Sie dem Combi-Element, das den Schalter repräsentiert, den Funktionstyp Schalter zu
  2. definieren Sie Modus der Erdschlusssuche, Erdschlusserkennung Auslösung und Erschlussanzeige.
  3. legen Sie die Funktionen für Erdschlusssuche starten, Erdschlussmeldung quittieren und Erdschlusssuche beenden an

info Info

Um auch in vermischten Netzen Erdschlüsse eingrenzen zu können, wird pro Pfad beginnend bei einer Quelle nur ein erdschlussbehafteter Bereich gesucht.

Noch in diesem Kapitel

Modus der Erdschlusssuche

Erdschlusserkennungstyp

Erdschlussanzeige

Erdschlusserkennung Auslösung

Erdschlusssuche starten

Erdschlussmeldung quittieren

Erdschlusssuche beenden


Modus der Erdschlusssuche

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Modus der Erdschlusssuche

Die Erdschlusssuche kann wahlweise:

  • den potenziell erdschlussbehafteten Netzteil einfärben
    oder
  • das gesamte Netz, in dem sich ein Erdschluss befindet

Der Modus der Einfärbung wird definiert über die Eigenschaft Modus der Erdschlusssuche.

Um die Eigenschaft zu projektieren:

  • navigieren Sie in den Projekteigenschaften zum Knoten Automatic Line Coloring
  • wählen Sie in der Dropdownliste der Eigenschaft Modus der Erdschlusssuche den gewünschten Modus
    • Netzteil einfärben: färbt nur den potenziell erdschlussbehaftete Netzteil ein
    • Ganzes Netz einfärben: färbt das gesamte zusammenhängende Netz, in welchem sich ein Erdschluss befindet, ein

Diese Einstellung kann zur Runtime über das Objektmodell der zenon API geändert werden. Dabei wird die Erdschlusssuche komplett neu durchgerechnet.


Erdschlusserkennungstyp

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusserkennungstyp

Über die Eigenschaft Typ werden Richtung und Art der Meldungsverarbeitung für das Combi-Element vom Typ Schalter projektiert.

Führen Sie dazu folgende Schritte aus:

  1. Navigieren Sie in den Eigenschaften des Combi-Elements zu der Eigenschaftengruppe Automatic Line Coloring
  2. Navigieren Sie in den Bereich Erdschlusserkennung
  3. Wählen Sie aus der Dropdownliste der Eigenschaft Typ den gewünschten Typ mit Richtung und Art der Meldungsverarbeitung
    • Richtung:
      gibt an, ob die steigende Flanke der Auslösungsmeldung oder die steigende Flanke einer Richtung vorher kommt
    • voreilend:
      bei steigender Flanke der Auslösungsmeldung wird der aktuelle Zustand der Richtung verwendet
    • nacheilend:
      nach steigender Flanke der Auslösungsmeldung wird auf die erste steigende Flanke einer Richtung gewartet, trifft diese nicht innerhalb von 2 Sekunden ein, wird das Erdschlusserkennungsgerät als ungerichtet betrachtet
    • Meldungsverarbeitung:
      gibt an, wie Meldungen verarbeitet werden
    • keine:
      normaler Schalter, Meldungen werden nicht verarbeitet
    • Dauermeldungsverarbeitung:
      neu eintreffende Meldungen werden als neue Erdschlussauslösung berücksichtig
    • Wischermeldungsverarbeitung:
      Meldungen, die während einer laufenden Suche eintreffen, werden unterdrückt

Hinweis: Die Unterscheidung zwischen Dauermeldungsverarbeitung und Wischermeldungsverarbeitung bezieht sich nur auf die Verarbeitung der Meldung, nicht auf deren Art. Eine Wischermeldungsverarbeitung muss sich also nicht auf ein Wischer-Bit beziehen.

attention Achtung

Um intermittierende Erdschlüsse zu unterdrücken, werden Erdschlussmeldungen, die in kürzeren Abständen als 2s eintreffen, ignoriert.


Erdschlussanzeige

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlussanzeige

Die bei Anzeige verknüpfte Variable ist eine Ausgangsvariable der Fehlerortung und zeigt den erfassten Zustand des Erdschlusserkennungsgeräts an. Das ist notwendig, da alle Meldungen intern bis zum Quittieren gespeichert bleiben. Die gespeicherten Meldungen entsprechen also nicht zwingend dem aktuellen Zustand der Meldevariable.

Bei jeder Erfassung einer Änderung wird ein Sollwert auf diese Variable abgesetzt. Dabei sind die Werte wie folgt:

Wert | Bedeutung
0 | kein Erdschluss
1 | Erdschluss vorwärts
2 | Erdschluss rückwärts
3 | Erdschluss ungerichtet
4 | Fehlerzustand -> beide Richtungen haben angesprochen

info Info

Um Probleme im Netzwerkbetrieb zu verhindern, sollte die hier verknüpfte Variable eine lokale Variable sein.


Erdschlusserkennung Auslösung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusserkennung Auslösung

Über die Auslösung wird die Variable für die Meldung des Erdschlusserkennungsgeräts definiert. Sie kann Informationen enthalten über das Vorhandensein eines Erdschlusses und die Richtung der Erdschlusses aus Sicht des Erdschlusserkennungsgeräts. Dabei wird unterschieden zwischen:

  • ungerichteten Erdschlusserkennungsgeräten
  • gerichteten Erdschlusserkennungsgeräten mit Auslösemeldung
  • gerichteten Erdschlusserkennungsgeräten ohne Auslösemeldung

Um die Variable für die Auslösung zu projektieren:

  1. navigieren Sie in den Eigenschaften des Combi-Elements zum Knoten Automatic Line Coloring
  2. öffnen Sie den Knoten Erdschlusserkennung
    1. für ungerichtete Erdschlusserkennungsgeräte:

      klicken Sie bei der Eigenschaft Auslösung auf die Schaltfläche ...

      wählen Sie im sich öffnenden Dialog die gewünschte Variable

      die Eigenschaften für die Richtung bleiben leer

    2. für gerichtete Erdschlusserkennungsgeräte mit Auslösemeldung

      verknüpfen Sie die Variable mit der Auslösung und ergänzen Sie die entsprechend Richtung:

      vorwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

    3. für gerichtete Erdschlusserkennungsgeräten ohne Auslösemeldung

      verknüpfen Sie die Variable mit der entsprechenden Richtung:

      vorwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

      die Eigenschaft Auslösung bleibt leer

Hinweis: Sprechen bei einem gerichteten Erdschlusserkennungsgerät mit Vorwärts beide Richtungen an, so wird dieses als fehlerhaft betrachtet und ignoriert.


Erdschlusssuche starten

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusssuche starten

Die Funktion Erdschlusssuche starten dient zur Lokalisierung eines Erdschlusses und hat zur Runtime zwei Auswirkungen:

  1. Meldungen aller Erdschlusserkennungsgeräte, die mit Wischermeldungsverarbeitung projektiert wurden, werden ignoriert.
  2. Der Suchalgorithmus wird geändert: Schalthandlungen können den erdschlussbehafteten Bereich nur noch verkleinern. Neu eintreffende Erdschlussmeldungen vergrößern den potenziell erdschlussbehafteten Bereich also nicht.

Um die Funktion Erdschlusssuche starten zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Erdschlusssuche starten

  • verknüpfen Sie die Funktion mit einem Button


Erdschlussmeldung quittieren

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlussmeldung quittieren

Mit der Funktion Erdschlussmeldung quittieren kann zur Runtime ein intern erfasster Erdschluss eines Erdschlusserkennungsgeräts quittiert werden. Dabei wird der intern gelatchte Erdschlusszustand zurückgesetzt, wenn der Zustand noch ansteht, oder als quittiert markiert. Eine erfasste Erdschlussmeldung wird intern nur gelöscht, wenn diese quittiert ist und nicht mehr ansteht.

Regeln beim Quittieren:

  • Wurde eine Variable verknüpft, die einer Auslösungs- oder Richtungsvariable eines Erdschlusserkennungsgeräts entspricht, so wird nur diese spezielle Erdschlussmeldung quittiert.
  • Wurde keine Variable verknüpft, werden alle Erdschlussmeldungen quittiert.
  • Das Quittieren kann auch über das Objektmodell der zenon API erfolgen.

Um die Funktion Erdschlussmeldung quittieren zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Erdschlussmeldung quittieren

  • der Dialog zur Auswahl einer Variablen öffnet sich
  • verknüpfen Sie die gewünschte Variable mit der Funktion
  • verknüpfen Sie die Funktion mit einem Button


Erdschlusssuche beenden

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusssuche beenden

Mit der Funktion Erdschlusssuche beenden Sie zur Runtime die Erdschlusssuche.

Um die Funktion zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Erdschlusssuche beenden

  • verknüpfen Sie die Funktion mit einem Button


Kurzschlusssuche

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche

Die Kurzschlusssuche dient dazu, potenziell kurzschlussbehaftete Netzteile durch Einfärbung entsprechend zu markieren. Die Farbe wird aus der Projektierung der ALC-Quellenfarben für die Quelle SHORT FAULT bezogen.

Welche Netzteile potenziell kurzschlussbehaftet sind, wird aus Kurzschlussmeldungen abgeleitet. Ein Kurzschlusserkennungsgerät (Kurzschlussanzeiger, Schutzgerät) kann ein bis drei Kurzschlussmeldungen besitzen. Bei Kurzschlusserkennungsgeräten mit Richtung kann die Richtung vor- oder nacheilend zur Auslösung sein. Ein potenziell kurzschlussbehafteter Netzteil wird erst dann als nicht mehr kurzschlussbehaftet betrachtet, wenn dieser erfolgreich bespannt wurde.

Projektierung

Um die Kurzschlusssuche zu projektieren:

  1. weisen Sie dem Combi-Element, das den Schalter repräsentiert, den Funktionstyp Schalter zu
  2. definieren Sie Kurzschlussanzeige und Kurzschlusserkennung Auslösung
  3. legen Sie die Funktion für Kurzschlussmeldung quittieren an

Noch in diesem Kapitel

Kurzschlusserkennungstyp

Kurzschlussanzeige

Kurzschlusserkennung Auslösung

Kurzschlussmeldung quittieren


Kurzschlusserkennungstyp

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlusserkennungstyp

Über die Einstellung Typ werden Richtung und Art der Meldungsverarbeitung für das Combi-Element vom Typ Schalter festgelegt. Zur Projektierung:

  1. navigieren Sie in den Eigenschaften des Combi-Elements zum Knoten Automatic Line Coloring
  2. öffnen Sie den Knoten Kurzschlusserkennung
  3. wählen Sie bei der Eigenschaft Typ den gewünschten Typ
    • Richtung:
      gibt an, ob die steigende Flanke der Auslösungsmeldung oder die steigende Flanke einer Richtung vorher kommt
    • voreilend:
      bei steigender Flanke der Auslösungsmeldung wird der aktuelle Zustand der Richtung verwendet
    • nacheilend:
      nach steigender Flanke der Auslösungsmeldung wird auf die erste steigende Flanke einer Richtung gewartet, trifft diese nicht innerhalb von 2 Sekunden ein, wird das Kurzschlusserkennungsgerät als ungerichtet betrachtet
    • Meldungsverarbeitung:
      gibt an, wie Meldungen verarbeitet werden
    • keine:
      normaler Schalter, Meldungen werden nicht verarbeitet
    • Dauermeldungsverarbeitung:
      neu eintreffende Meldungen werden als neue Erdschlussauslösung berücksichtig


Kurzschlussanzeige

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlussanzeige

Die bei Anzeige verknüpfte Variable ist eine Ausgangsvariable der Fehlerortung und zeigt den erfassten Zustand des Kurzschlusserkennungsgeräts an. Das ist nötig, da alle Meldungen intern bis zum Quittieren gespeichert bleiben, also nicht unbedingt dem aktuellen Zustand der Meldevariablen entsprechen.

Bei jeder Erfassung einer Änderung wird ein Sollwert auf diese Variable abgesetzt. Dabei sind die Werte wie folgt:

Wert | Bedeutung
0 | kein Kurzschluss
1 | Kurzschluss vorwärts
2 | Kurzschluss rückwärts
3 | Kurzschluss ungerichtet


Kurzschlusserkennung Auslösung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlusserkennung Auslösung

Über die Auslösung wird die Variable für die Meldung des Kurzschlusserkennungsgeräts definiert. Sie kann Informationen enthalten über das Vorhandensein eines Kurzschlusses und die Richtung der Kurzschlusses aus Sicht des Kurzschlusserkennungsgeräts. Dabei wird unterschieden zwischen:

  • ungerichteten Kurzschlussmeldern
  • gerichteten Kurzschlussmeldern mit Auslösemeldung
  • gerichteten Kurzschlussmeldern ohne Auslösemeldung

Um die Variable für zu projektieren:

  1. navigieren Sie in den Eigenschaften des Combi-Elements zum Knoten Automatic Line Coloring
  2. öffnen Sie den Knoten Kurzschlusserkennung
    1. für ungerichtete Kurzschlusserkennungsgerät

      klicken Sie bei der Eigenschaft Auslösung auf die Schaltfläche ...

      wählen Sie im sich öffnenden Dialog die gewünschte Variable

      die Eigenschaften für die Richtung bleiben leer

    2. für gerichtete Kurzschlusserkennungsgerät mit Auslösemeldung

      verknüpfen Sie die Variable mit der Auslösung und ergänzen Sie die entsprechend Richtung:

      vorwärts: verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts: verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

    3. für gerichtete Kurzschlusserkennungsgerät ohne Auslösemeldung

      verknüpfen Sie die Variable mit der entsprechenden Richtung:

      vorwärts: verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts: verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

      die Eigenschaft Auslösung bleibt leer


Kurzschlussmeldung quittieren

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlussmeldung quittieren

Mit der Funktion Kurzschlussmeldung quittieren kann zur Runtime ein intern erfasster Kurzschluss eines Kurzschlusserkennungsgeräts quittiert werden. Dabei wird der intern gelatchte Erdschlusszustand zurückgesetzt, wenn der Zustand noch ansteht, oder als quittiert markiert. Eine erfasste Kurzschlussmeldung wird intern nur gelöscht, wenn diese quittiert ist und nicht mehr ansteht.

Regeln beim Quittieren:

  • Wurde eine Variable verknüpft, die einer Auslösungs- oder Richtungsvariable eines Kurzschlusserkennungsgeräts entspricht, so wird nur diese spezielle Kurzschlussmeldung quittiert.
  • Wurde keine Variable verknüpft, werden alle Kurzschlussmeldungen quittiert.
  • Das Quittieren kann auch über das Objektmodell der zenon API erfolgen.

Um die Funktion Kurzschlussmeldung quittieren zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Kurzschlussmeldung quittieren

  • wählen Sie im sich öffnenden Dialog die gewünschte Variable
  • verknüpfen Sie die Funktion mit einem Button


Säumung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Säumung

Bei aktivierter Säumung werden entsprechende ALC-Elemente in der Runtime mit einem zusätzlichen Rand visualisiert, wenn ein Erdschluss oder Kurzschluss auf der Leitung anliegt. Die Einfärbung wird mit der projektierten Erdschluss- oder Kurzschlussfarbe visualisiert.

Unterstüzte ALC-Elemente:

  • Leitung
  • Linie
  • Polylinie

Liegen auf dem ALC-Element sowohl Erdschluss wie auch Kurzschluss an, wird die Farbe entsprechend der projektierten Priorität dargestellt. Es wird also entweder Erdschluss oder Kurzschluss dargestellt. Projektierte Effekte werden bei der Darstellung in der zenon Runtime ebenfalls unterstützt.

Projektieren im Editor

Führen Sie folgende Schritte durch um eine Säumung zu projektieren:

  • Projektieren Sie die Farben für Erdschluss und Kurzschluss.
    • Klicken Sie dazu in der Projekteigenschaftengruppe Automatic Line Coloring die Schaltfläche ... bei der Eigenschaft ALC Konfiguration.
      Der Dialog ALC Konfiguration wird geöffnet.
    • Passen Sie die Farben für die bereits bestehenden Einträge GROUND FAULT und SHORT FAULT an.
      Klicken Sie dazu die Schaltfläche ... in der Spalte Linienfarbe. Die Farbe wird aus einer Dropdownliste ausgewählt.
  • Erstellen oder wählen Sie im Editor ein zenon Bild.
  • Zeichnen Sie eine Linie, Polylinie oder Leitung oder wählen Sie ein bereits bestehendes Element aus.
  • Aktivieren Sie in der Eigenschaftengruppe Automatic Line Coloring die Eigenschaft Farbe aus ALC.
  • Aktivieren Sie die Eigenschaft Säumung verwenden und projektieren Sie die Breite der Säumung in der Eigenschaft Säumungsbreite [px].

Projektierungshinweis

Für eine saubere grafische Darstellung der Säumung in der Runtime wird folgende Projektierung empfohlen:

  • Zeichnen Sie ALC-Linienelemente.
    Dadurch kann es dazu kommen, dass die Darstellung einer Linie in eine andere hineinragt.

  • Um diesen grafischen Makel zu bereinigen:
    1. Markieren Sie jenes Element, welches durch die Projektierung überlappt.
    2. Wählen Sie im Kontextmenü den Eintrag Element Position.
    3. Wählen Sie im Submenü den Eintrag Hintergrund.

Das gewählte Element wird in den Hintergrund verschoben. Dadurch ist eine korrekte Darstellung der Leitungselemente gewährleistet.


Impedanzbasierende Fehlerortung und Lastverteilungsrechnung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung

Die impedanzbasierende Fehlerortung und Lastverteilungsrechnung erweitert ALC.

Während das Basismodul ALC Knoten und Kanten identifiziert, erkennt dieses spezielle Modell auch Linien und deren Parameter.

Fehlerortung aus Schutz ist via Projektierung im zenon Editor möglich. So kann z.B. der Fehlerort in einem zenon Bild mit einem Marker visualisiert werden.

Zusätzlich stellt dieses ALC-Modell Eigenschaften und Methoden zur externen Auswertung der Fehlerortung und Lastverteilung via API zur Verfügung.

Eigenschaften für ALC und das erweiterte topologische Modell

Die ALC-Elemente Combi-Element und Leitung (Linie, Polyline, Rohrleitung) verfügen über spezielle Eigenschaften für impedanzbasierende Fehlerortung und Lastverteilungsrechnung. Die Eigenschaften für die Lastverteilungsrechnung werden im Editor projektiert. Die Auswertung erfolgt jedoch nicht in zenon, sondern steht über die zenon API von Anwendern zu erstellenden Algorithmen zur Verfügung.

Dateien für erweitertes topologisches Modell

Das einfache topologische Modell des Basismoduls ALC für die Einfärbung wird um ein erweitertes topologisches Modell ergänzt, das alle Leitungen als separate Kanten enthält. Dieses erweiterte topologische Modell wird als ALC.xml abgelegt und kann so von externen Anwendungen eingelesen werden. Die ALC.xml enthält zwei Abschnitte:

  • GraphElements:
    enthält das erweiterte topologische Modell ohne Aliase
  • GraphAliases:
    enthält nur die Aliase

Noch in diesem Kapitel

Impedanzbasierende Fehlerortung des Kurzschlusses

Lastverteilungsrechung

Erweitertes topologisches Modell

API


Impedanzbasierende Fehlerortung des Kurzschlusses

Handbuch > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > Impedanzbasierende Fehlerortung des Kurzschlusses

Bei der impedanzbasierende Fehlerortung wird in der Topologie ein Fehlermarker am Ort der Störung gesetzt. Die von Schutzgeräten gemessenen Impedanzwerte werden vom Modul ALC ausgewertet. Basierend auf der Topologie werden die Fehlermarker korrekt in einem zenon Bild positioniert.

Tritt ein Kurzschluss auf und ist die Reaktanz ungleich Null, so startet die Suche nach den Kurzschlussort:

  • Kurzschluss:
    gemeldet durch die verlinkte Variable bei der Eigenschaft Auslösung (Eigenschaftengruppe Kurzschlusserkennung des Elements).
  • Reaktanz:
    Wert der Variable (vom Datentyp REAL), die mit der Eigenschaft Reaktanzwert aus Schutz (Eigenschaftengruppe Topologische Eigenschaften des Elements) verlinkt ist.

Position des Markers

Alle Leitungen werden in der entsprechenden Richtung durchlaufen. Die Richtung ergibt sich aus der negativen oder positiven Reaktanz. Die jeweilige Reaktanz der durchlaufenen Leitung wird abgezogen und es wird weitergesucht, bis die Rest-Reaktanz kleiner als die Reaktanz der nächsten Leitung ist. In der Leitung wird ein Marker gezeichnet. Die Position des Markers entspricht der Rest-Reaktanz.

Bei fehlendem Reaktanzwert bei Kurzschlussmeldung wird kein Marker gesetzt. Damit der Marker korrekt gezeichnet wird darf der Bereich während der Kurzschlussmeldung nicht unter Spannung stehen. Bei nacheilenden Kurzschlussmeldungen wird die Reaktanz erst dann ausgewertet, wenn die Richtungsmeldung eingetroffen oder das Timeout von 2 Sekunden abgelaufen ist.

Die Suche bricht ab, wenn ein offenes Schaltelement oder ein sonstiges ALC-Element gefunden wurde. Jeder Netz-Teil und jede einzelne Leitung darin werden nur einmal pro Auslöser durchlaufen, daher treten bei Schleifen im Leitungsnetz weniger Marker auf, als möglich wären.

Beim Nachladen werden bereits bestehende Marker an derselben Stelle wie vor dem Nachladen gezeichnet. Änderungen in der Projektierung der Fehlerortung werden erst nach einem erneuten Kurzschluss neu ausgewertet.

Wird eine Kurzschlussmeldung aufgehoben und quittiert, werden alle Marker dieses Kurzschluss-Auslösers gelöscht.

Hinweis: Abhängig von der Reihenfolge des Beseitigens der Kurzschlüsse und des Wieder-Einschaltens können Marker noch eingezeichnet bleiben, obwohl die Leitung nicht mehr als Kurzschluss eingefärbt ist.


Lastverteilungsrechung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > Lastverteilungsrechung

Bei der impedanzbasierenden Fehlerortung wird in der Topologie ein Fehlermarker am Ort der Störung gesetzt. Der Ort wird aus Impedanz, aufgrund der erweiterten Topologie berechnet.

Um die impedanzbasierende Fehlerortung im zenon Editor zu projektieren, führen Sie folgende Schritte durch:

  1. Aktivieren Sie die impedanzbasierende Fehlerortung:
    1. Klicken Sie dazu das Projekt in Ihrem Arbeitsbereich.
    2. Klicken Sie in die Projekteigenschaftengruppe Automatic Line Coloring.
    3. Aktivieren Sie die Eigenschaft Fehlerortung basierend auf Impedanz.

    Optional:

    Projektieren Sie die Max. zulässige Stromüberlastung [%] der Leitung.

    Konfigurieren Sie die Einstellung für die Verriegelung Überlastung einer Leitung in der Eigenschaft ALC Konfiguration. Per Default ist diese Verriegelung nicht aktiviert.

  2. Projektieren Sie die Darstellung der Bildmarker mit den Projekt-Eigenschaften:
    1. Größe der Bildmarker
    2. Linienbreite der Bildmarker
    3. Darstellungstyp der Bildmarker
  3. Erstellen Sie ein zenon Bild.
  4. Positionieren Sie das Element Combi-Element auf dem zenon Bild.
    Der Variablenauswahldialog wird geöffnet.
  5. Konfigurieren Sie die ALC-Einstellungen für das Combi-Element:
    1. Stellen Sie sicher, dass das Combi-Element ausgewählt ist.
    2. Wechseln Sie in die Eigenschaftengruppe Automatic Line Coloring.
    3. Wählen sie bei der Eigenschaft Funktionstyp aus der Dropdownliste den Eintrag Schalter.
    4. Verlinken Sie die Eigenschaft Reaktanzwert aus Schutz (im Eigenschaftenabschnitt Topologische Eigenschaften) mit einer Variable vom Datentyp REAL mit dem Wert der gemessenen Impedanz.
    5. Wählen Sie den Typ der Kurzschlusserkennung in der Dropdownliste der Eigenschaft Typ.
    6. Projektieren Sie die Farbe des Markers in der Eigenschaft Markerfarbe.


Erweitertes topologisches Modell

Handbuch > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > Erweitertes topologisches Modell

Jedes Objekt hat eine eindeutige ID, über die es innerhalb der Datei referenziert wird. Die Attribute entsprechen einem Subset der zenon Bildelemente, die die Elemente erzeugt haben.

GraphElement

ID | Beschreibung
Picture | Bildname
ElementID | Bildelement-ID
ElementRef | Bildelement -Referenz
Type | Bildelement -Typ (siehe "Element")
SourceID | Quellennummer
ReverseSourceID | Quellennummer in Rückwärtsrichtung
Variable | Zustandsvariable
VarProtReact | Reaktanzvariable
MaxIType | Art des Maximalstroms
MaxIVal | Maximalstrom Konstantwert
VarMaxI | Maximalstrom Variable
VarCurI | Momentanstrom Variable
VarCalcI | Berechneter Strom Variable
VarCurP | Momentanleistung Variable
LoadType | Art der Last
LoadVal | Last Konstantwert
VarLoad | Last Variable
React | Reaktanz
Resist | Resistanz
Length | Leitungslänge
Node1IDs | Liste alle mit Knoten1 verbundenen Element-IDs
Node2IDs | Liste alle mit Knoten2 verbundenen Element-IDs

GraphAlias

ID | Beschreibung
Picture | Bildname
ElementID | Bildelement-ID
ElementRef | Bildelement -Referenz
Type | Bildelement -Typ (siehe "Element")
OrigElemRef | Bildelement –Referenz des originalen Bildelements
OrigGraphElemID | ID des originalen Elements in "GraphElements"


API

Handbuch > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > API

Im Objektmodel der zenon API stehen für das Modell die Objekte ALCGraphElement und ALCGraphAlias zur Verfügung. Diese enthalten dieselbe Information wie die XML-Datei. Auf diese Objekte kann in der ALC-Engine zugegriffen werden über:

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Benutzerspezifische topologische Verriegelungen

Wird eine topologische Verriegelung geprüft, so wird an der ALCEngine folgender Event aufgerufen:

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

Übergeben werden der zu schaltende Schalter/Trenner und der neue Status. Der Event kann LockResult, bUnlockable und bsText ausfüllen, um eine verletzte Verrieglungsbedingung anzuzeigen. Gibt der Eventhandler tpBusy in LockResult zurück, so wird der Eventhandler so lange aufgerufen, bis er nicht mehr tpBusy liefert, maximal aber 10 Sekunden. Nach 10 Sekunden ist die Verriegelung aktiv. In bsText und bUnlockable werden Verriegelungstext und Entriegelbarkeit zurück gemeldet.

Bildmarker

Über die zenon API können zur Laufzeit Marker-Elemente in Bilder eingefügt werden. Diese Marker-Elemente stehen für folgende Elemente zur Verfügung:

  • Linie
  • Polylinie
  • Rohrleitung

Diese werden hinzugefügt oder gelöscht über die API-Funktionen in DynPictures:

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Die GUID des Markers, die von AddMarker() geliefert wird, identifiziert den Marker eindeutig und dient sowohl als Elementname (mit Präfix „$MARKER_") als auch als Schlüssel zum Löschen via DelMarker(). Die via API eingefügten Marker werden bildbezogen im Projekt gespeichert. Achtung: Die Speicherung erfolgt nicht remanent, also nur bis zum Neustart der Runtime.

Unabhängig vom Bildschirm, auf dem ein Bild geöffnet wird, werden die dort gesetzten Marker angezeigt. Die Marker werden intern als normale bedienbare Bildelemente gehandhabt. Es werden also Mausevents darauf aufgerufen.

Das Aussehen der Marker wird über die Projekteinstellungen im Bereich Automatic Line Coloring der Projektkonfiguration eingestellt:

  • Darstellungstyp der Bildmarker: Dreieck, Kreis, Quadrat, Kreuz
  • Größe der Bildmarker: Größe in Pixel
  • Linienbreite der Bildmarker: Breite in Pixel
  • Markerfarbe: definiert sich über den Index in den Markerfarbtabelle, die sich in den Eigenschaften des Bildelemente in der Gruppe Automatic Line Coloring befindet


Lastflussberechnung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung

Das Modul Lastflussberechnung implementiert folgende Funktionalität:

  • Berechnung für 3-Phasen, Hochleistungs-Energienetze.
  • Ableitung des Lastflussmodells aus Bildern mit ALC-Elementen (aktive Elemente, geschlossene Schalter, ...).
  • Berechnung des Lastflusses für den aktuellen Modell-Zustand (aus den Werten der ALC-Elemente).
  • Topologische Verriegelungen, basierend auf Vorausberechnung des ALC-Modells.
  • (n-1)-Berechnung.
    Visualisierung einer möglichen Überlastung des Netzes, z.B. bei Ausfall einer Leitung.

Die Projektierung wird im zenon Editor durch Parametrierung von ALC-Eigenschaften bei den entsprechenden Bildelementen vorgenommen (Combi-Element, Linie, ...). Diese Projektierungen der Lastflussberechnung werden in entsprechenden Eigenschaften bei ALC-Bildelementen im zenon Editor parametriert.

In der zenon Runtime erfolgt die Berechnung auf Basis des Newton-Raphson Verfahrens zur iterativen und näherungsweisen Lösung nichtlinearer Gleichungssysteme. Das Problem wird mit komplexen Werten aufgestellt: es gilt für N Schienen, davon G mit Generatoren, 2N - G - 1 reelle Unbekannte (Spannung an den Lastschienen, Phase der Schienen). Als Startwert wird die Nennspannung ohne Phasenverschiebung angenommen.

Die Ergebnisse der Lastflussberechnung werden auf den Variablen ausgegeben, die am jeweiligen ALC-Element verknüpft sind. Diese Projektierung dient weiter als Basis für nachfolgende (n-1) Berechnungen. Das Ergebnis dieser Berechnung kann mit dem Bildtyp "Lastfluss (n-1)-Berechnung" in der Runtime visualisiert werden.

Noch in diesem Kapitel

Allgemein

Voraussetzungen

Projektieren im Editor

Bild vom Typ Lastfluss (n-1)-Berechnung

Bildumschaltung für die Lastfluss (n-1)-Berechnung

Bedienung zur Runtime

Berechnung

Warnmeldungen und LOG-Einträge


Allgemein

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Allgemein

Das topologische Netz wurde mit Hilfe von ALC-Elementen abgebildet.

Voraussetzung für die Lastflussberechnung ist eine Projektierung des topologischen Netzes mit Hilfe von ALC-Elementen. In dieser Projektierung muss ein zenon Bild (ein-oder dreiphasiges ALC-Einlinienbild) mit Combi-Elementen und Linien vorhanden sein. Für diese Bildelemente müssen die die für die Lastflussberechnung relevanten Eigenschaften korrekt parametriert sein.

Die Lastflussrechnung ermittelt:

  • für Verbraucher (Lasten)
    die Spannung und die Phase.
  • für Generatoren
    die Blindleistung und die Phase
  • für Leitungen
    • Strom (Mittelwert)
    • Leistungsfaktor
    • Spannung am Eingang und Ausgang
    • Wirkleistung am Eingang und Ausgang
    • Blindleistung am Eingang und Ausgang
  • für Transformatoren:
    • Strom am Eingang und Ausgang
    • Spannung am Eingang und Ausgang
    • Wirkleistung am Eingang und Ausgang
    • Blindleistung am Eingang und Ausgang

Die so berechneten Werte können auf Variablen ausgegeben werden, die mit ALC-Elementen verknüpft sind.

Alternativ zur Leistung kann auch der Strom ausgegeben werden: I = S/U. Dies kann entfallen, wenn der Strom bereits über verknüpfte Variablen verfügbar ist.

Der Lastfluss wird über die Verbindungszweige zwischen den Sammelschienen berechnet. Dazu werden die Generatoren, Transformatoren und Lasten den Schienen zugeordnet und die Zweige (auch parallel) aus den Leitungen und Schaltern gebildet. Leitungen mit Null-Impedanz werden in den Sammelschienen integriert.

Erforderliche Messwerte

Als Eingabe für die Lastflussberechnung sind folgende Messwerte notwendig:

  • für Generatoren und Quellen:
    die Wirkleistung und die Spannung.
    Ein Generator ist die Referenz für die Phase, für ihn wird auch die Wirkleistung berechnet.
    Hinweis: Quellen verfügen über keine berechenbaren Ausgabewerte.
  • für Verbraucher (Lasten):
    die Wirk- und Blindleistung
  • für Transformatoren:
    das Windungsverhältnis und die Phasenverschiebung.
    Im Editor können Nennleistung [MW], Verlustleistungen, Magnetisierungsverluste, Stufenschalter und Phasenverschiebung parametriert werden.
  • für Leitungen:
    die komplexe Impedanz (Resistanz und Reaktanz).
  • für Kondensatoren:
    Schrittweite (s), Verschaltung (v) und Position (i).
    Daraus ergibt sich die zugeführte Blindleistung als Messwert: Q = s*v[i].

Hinweis: Nur aktive Elemente werden berücksichtigt.


Voraussetzungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Voraussetzungen

Es wird empfohlen, die Lastflussberechnung auf einem perfomanten Rechner mit einem 64-Bit-Betriebssystem durchzuführen.

Bei den ALC-Elementen müssen ausreichend Variablen mit Messwerten verknüpft werden.


Projektieren im Editor

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Projektieren im Editor

Projektierungsschritte für das Modul Lastflussberechnung:

  1. Aktivieren Sie die Lastflussberechnung.
    1. Navigieren Sie in den Projekteigenschaften in die Eigenschaftengruppe Automatic Line Coloring.
    2. Wählen Sie in der Eigenschaft Lastflussberechnung aktivieren aus dem Dropdownmenü den Eintrag Lastfluss.
  2. Parametrieren Sie bestehende ALC-Bildelemente.
    Die Parametrierung für die Lastflussberechnung wird in folgenden Eigenschaften der ALC-Bildelemente in der Eigenschaftengruppe Automatic Line Coloring konfiguriert. Beachten Sie auch die Hinweise in der Eigenschaftenhilfe bei den jeweiligen Eigenschaften.
    Die Verfügbarkeit ist abhängig vom projektierten Funktionstyp des ALC-Elements.

    ALC-Bildelement Combi-Element:

    • Funktionstyp Quelle:
      Lastflussberechnung - Eingabe
    1. Funktionstyp Generator:

      Lastflussberechnung - Eingabe

      Lastflussberechnung - Ausgabe

    2. Funktionstyp Senke:

      Lastflussberechnung - Eingabe

      Lastflussberechnung - Ausgabe

    3. Funktionstyp Transformator:

      Lastflussberechnung - Transformator Eingabe

      Lastflussberechnung - Transformator Ausgabe

      Beachten Sie auch die Projektierungshinweise im Kapitel Dreiwicklungs-Transformator.

    4. Funktionstyp Kondensator:

      Kondensator

    ALC-Bildelement Linie oder Rohrleitung:

    Lastfluss Leitung Parameter

    Lastfluss Leitung Resultat

  3. Verknüpfen Sie das ALC-Bildelement mit Variablen, die Messwerte aus dem Prozess liefern.
    Beispiel: Eine SPS liefert den aktuellen Wert der Wirkleistung eines Generators. Die Variable für diesen Messwert verknüpfen Sie bei dem Combi-Element, mit dem Sie diesen Generator im topologischen Netz darstellen. Diese Verknüpfung projektieren Sie in der Eigenschaftengruppe Lastflussberechnung - Eingabe bei der Eigenschaft Wirkleistung dynamisch [MW].
  4. Verknüpfen Sie das ALC-Bildelement mit Variablen, in die das Ergebnis der Lastflussberechnung geschrieben wird.
    Sie können dazu Variablen des Intern Treibers verwenden. Diese Variablen können Sie in zenon Bildern zur Anzeige der Ausgabewerte verwenden.
    Hinweis: Beachten sie das Kapitel Projektierung der Ausgabeparameter.

Projektierungsschritte für (n-1)-Berechnung

  1. Führen Sie die Projektierungsschritte für die Lastflussberechnung durch.
  2. Aktivieren Sie die (n-1)-Berechnung.
    1. Navigieren Sie in den Projekteigenschaften in die Eigenschaftengruppe Automatic Line Coloring.
    2. Aktivieren Sie die Eigenschaft (n-1)-Berechnung aktivieren.
  3. Projektieren Sie ein zenon Bild vom Typ Lastfluss (n-1)-Berechnung.
    Weitere Informationen dazu finden Sie im Kapitel Bild vom Typ Lastfluss (n-1)-Berechnung.
  4. Projektieren Sie eine Funktion Bildumschaltung.

info Info

Wird in dem Projekt die Befehlsgabe verwendet, kann auch eine topologische Verriegelung Überlastung einer Leitung projektiert werden.

Noch in diesem Kapitel

Dreiwicklungs-Transformator

Projektierung der Lastfluss Ausgabeparameter


Dreiwicklungs-Transformator

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Projektieren im Editor > Dreiwicklungs-Transformator

Um einen Dreiwicklungs-Transformator für die Lastflussberechnung zu projektieren, erstellen Sie drei Combi-Elemente mit dem ALC Funktionstyp Transformator.

Im zenon Editor wird geprüft, ob ein Transformator, der als Dreiwicklungs-Primärtransformator definiert wurde, richtig angeschlossen ist: mit dem Ausgang an genau zwei weitere Transformatoren, die keine Dreiwicklungs-Primärtransformatoren sind. Im Fehlerfall wird bei der Kompilierung eine Fehlermeldung im Ausgabefenster angezeigt.

Element 1 für die Primärwicklung:

  • Wichtig für die Primärwicklung ist, dass die Eigenschaft Dreiwicklungstrafo Primärwicklung aktiviert ist.
  • Verknüpfen Sie die Variablen für das Ergebnis der Lastflussberechnung in der Eigenschaftengruppe Lastflussberechnung - Transformator Ausgabe in den Eigenschaften für die Eingänge:
    • Strom Eingang [A]
    • Spannung Eingang [kV]
    • Wirkleistung Eingang [MW]
    • Blindleistung Eingang [MVar]

Hinweis: Für ALC sollte auch der Primärtransformator eine Quellenfarbe haben.

Element 2 und 3 für die Sekundär- und Tertiär-Wicklung:

  • Wichtig bei der Projektierung der Sekundär- und Tertiär-Wicklung ist, dass die Eigenschaft Dreiwicklungstrafo Primärwicklung nicht aktiviert ist.
  • Verknüpfen Sie die Variablen für das Ergebnis der Lastflussberechnung in der Eigenschaftengruppe Lastflussberechnung - Transformator Ausgabe in den Eigenschaften für die Ausgänge:
    • Strom Ausgang [A]
    • Spannung Ausgang [kV]
    • Wirkleistung Ausgang [MW]
    • Blindleistung Ausgang [MVar]

Zusammenspiel der projektierten Parameter bei einem Dreiwicklungs-Transformator

Der Dreiwicklungs-Transformator verwendet die Stufenschaltung nur vom Primärtransformator (und ignoriert sie bei den Sekundärtransformatoren). Die Phasenverschiebung wird nur von den Sekundärtransformatoren ausgewertet. Die Verluste entsprechen dem Datenblatt des Transformators oder folgender Berechnung: Nennleistung mal der Kurzschluss-Spannung [%] / 100.

Bei Sekundärtransformatoren werden Verlustleistungen in Bezug auf die Primärwicklung angegeben. Die Verluste zwischen der Sekundär- und der Tertiär-Wicklung werden bei der Berechnung für das Dreieck beim Primär-Transformator berücksichtigt.

Magnetisierungsverluste werden nur von der Primärwicklung berücksichtigt.

Für eine korrekte Berechnung ist wichtig, dass alle Transformatoren eines Dreiwicklungstransformators die gleiche Leistung haben.

... die gleiche Nennleistung ... (im Realen ist die Leistung auf Sekundär bzw. Tertiärseite durch Verluste immer geringer als auf Primärseite Eingang!!! Verwendung von 40 MW Primär und 100 MW Sekundär bzw. Tertiär wär aber möglich)

Projektierung Ausgabeparameter

Das Resultat der Lastflussberechnung kann für einen Transformator mit verknüpften Variablen an die Ausgabeparameter übergeben werden.

Dabei gilt:

  • Der Strom ist immer positiv.
  • Das Vorzeichen der Wirk- und Blindleistung ist dann positiv, wenn sie vom Eingang (Quelle = Rückspeisung) zum Ausgang (Quelle) fließt.
  • Berücksichtigt wird auch, dass bei Combi-Elementen Ein- und Ausgang vertauscht werden können.
  • Die Phase oder der Leistungsfaktor am Transformator (Ein- oder Ausgang) werden nicht ausgegeben.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.


Projektierung der Lastfluss Ausgabeparameter

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Projektieren im Editor > Projektierung der Lastfluss Ausgabeparameter

Die Ergebnisse der Lastflussberechnung können auf verknüpfte Variablen geschrieben werden.

Die Parametrierung für die Lastflussberechnung wird in den folgenden Eigenschaften der ALC-Bildelemente in der Projekt-Eigenschaftengruppe Automatic Line Coloring konfiguriert.

  • Transformator

    Die Projektierung dafür erfolgt bei verfahrenstechnischen Elementen im Combi-Element mit ALC-Funktionstyp Transformator in der Eigenschaftengruppe Lastflussberechnung - Transformator Ausgabe

  • Leitung

    Die Projektierung dafür erfolgt bei Leitungen (Linie, Polylinie, ...) mit aktivierter Eigenschaft Farbe aus ALC in der Eigenschaftengruppe Lastfluss Leitung Resultat.

Für die einzelnen Eigenschaften gilt:

Name

Einheit

Wertebereich

Formel

Strom

Ampere

I = 0,0

I = (VEin - VAus) / Z / v3

Leistungsfaktor

Keine

0,0 = cos f = 1,0

cos f = P / S =
P / v(P^2+Q^2)

Spannung Eingang

kV

U = 0,0

VEin

Spannung Ausgang

kV

U = 0,0

VAus

Wirkleistung Eingang

MW

PEin + jQEin = VEin *?V / Z

Blindleistung Eingang

MVar

Wirkleistung Ausgang

MW

PAus + jQAus = VAus *?V / Z

Blindleistung Ausgang

MVar

Ausgabe der Werte

Auf jeder Komponente (Leitung oder Transformator) auf einem Pfad werden alle berechneten Werte ausgegeben.

Dafür gilt:

  • Der Eingang ist links-oben (ist die Linie exakt diagonal, ist der Eingang oben-rechts).
  • Die Leistung ist positiv, wenn der Fluss vom Eingang zum Ausgang ist.
  • Wirk- oder Blindleistung am Eingang und Ausgang haben das gleiche Vorzeichen.
  • Der Verlust als PEin - PAus oder QEin - QAus ist daher immer = 0,0.
  • Wirk- und Blindleistung einer Leitung können verschiedenes Vorzeichen haben.
  • Strom, Spannung und Leistungsfaktor sind immer positiv.
  • Der Strom entlang eines Pfades (mit Gesamtimpedanz Z) ist konstant.
  • Der Leistungsfaktor wird am Ausgang ermittelt.
  • hat eine Leitung keine Impedanz, sind die Werte am Eingang und am Ausgang gleich.
  • Ist eine Leitung Teil einer Sammelschiene, wird nur die aktuelle Spannung am Eingang und Ausgang ausgegeben.


Bild vom Typ Lastfluss (n-1)-Berechnung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bild vom Typ Lastfluss (n-1)-Berechnung

Der neue Bildtyp Lastfluss (n-1)-Berechnung visualisiert in der Runtime das berechnete "N-1" Szenario, z.B. eine mögliche Überlastung des Netzes bei Ausfall einer Leitung oder eines Transformators.

Für die (n-1)-Berechnung wird je eine Leitung oder ein Transformator aus dem Netz entfernt. Das Modul Lastflussberechnung berechnet die daraus resultierende Belastung für die restlichen Komponenten (Leitungen und Transformatoren) in diesem Netz und visualiesert die Konsequenzen dar. Dies wird für alle Leitungen und Transformatoren ermittelt.

Die Liste im Bild kann dazu dienen, den am stärksten belasteten Teil eines Pfades (Leitung oder Transformator, Spalte Belastung Leitung) zu finden, nachdem eine Komponente aus dem Netz genommen wird (Ausfall Leitung). Die angezeigte Belastung von Ausfall Leitung steht in Bezug zu der Wahrscheinlichkeit, mit der die Komponente ausfallen könnte. Eine Schalthandlung (oder Ausfall) im Bereich von Ausfall Leitung würde zur Übertragung des Lastflusses auf Belastung Leitung führen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Lastfluss (n-1)-Berechnung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

(n-1)-Liste

Parameter

Beschreibung

Ausfall aktuell [%]

Aktuelle Belastung der Komponente (Leitung oder Transformator) in Prozent, die für die Berechnung des (n-1)-Szenarios rechnerisch aus dem Netz genommen wurde.

Ausfall aktuell [A]

Aktuelle Belastung der Komponente (in Ampere), die für die Berechnung aus dem Netz genommen wurde.

Ausfall Leitung/Transformator

Name der Komponente (Leitung oder Transformator), die für die Berechnung aus dem Netz genommen wurde.

Ausfall Strombelastbarkeit

Belastbarkeit der Komponente, die für die Berechnung der Belastung aus dem Netz genommen wurde (rechnerische Umleitung des Lastflusses).

Belastung (n-1) [%]

Berechnete Belastung (in Prozent) jener Komponente (Leitung oder Transformator), die bei Ausfall einer anderen Komponente (Ausfall Leitung) am stärksten belastet würde.
Dieser Eintrag zeigt die berechnete Belastung, also jenen Wert nachdem eine andere Leitung vom Netz genommen wird.

Hinweis: Der Name der Komponente wird in der Spalte Belastung Leitung angezeigt.

Belastung (n-1) [A]

Berechnete Belastung (in Ampere) jener Komponente, die bei Ausfall einer anderen Komponente (Leitung oder Transformator) am stärksten belastet würde.
Dieser Eintrag zeigt die berechnete Belastung, also jenen Wert, nachdem eine andere Komponente vom Netz genommen wird.

Hinweis: Der Name der Komponente wird in der Spalte Belastung Leitung angezeigt.

Belastung aktuell [%]

Aktuelle Belastung der Komponente die am stärksten belastet würde (in Prozent), nachdem eine andere Komponente (Leitung oder Transformator) aus dem Netz genommen wurde.

Hinweis: Dieser Eintrag zeigt die aktuelle Belastung ohne Berücksichtigung einer Neubelastung, also jenen Wert bevor eine andere Komponente aus dem Netz genommen wird.

Belastung aktuell [A]

Aktuelle Belastung der Komponente die am stärksten belastet würde (in Ampere), nachdem eine andere Komponente (Leitung oder Transformator) aus dem Netz genommen wurde.

Hinweis: Dieser Eintrag zeigt die aktuelle Belastung ohne Berücksichtigung einer Neubelastung, also jenen Wert bevor eine andere Komponente aus dem Netz genommen wird.

Belastung Leitung/Transformator

Name der Komponente (Leitung oder Transformator) die am stärksten belastet würde, nachdem eine andere Komponente (Ausfall Leitung) aus dem Netz genommen wurde.

Transformator

Für die (n-1)-Berechnung von Transformatoren gilt:

  • Die Zweiwicklungs-Transformatoren (auch parallel geschaltet) werden sowohl als belastete als auch als möglicherweise ausgefallene Komponente in die Berechnung aufgenommen. Ausgegeben wird der Strom auf der Eingangsseite, verglichen wird mit dem Nennstrom aus der Nennleistung: / v3 * Nenn-Eingangsspannung.
  • Ein Dreiwicklungs-Transformator wird bei der Rechnung nur als eine Komponente betrachtet. Laststrom und Nennstrom werden vom Primärtransformator übernommen. Wenn der Transformator eine Brücke bildet, können bei seinem Ausfall bis zu drei nicht verbundene Netzteile entstehen. Sind so entstandenen Netzeile noch weiter mit Energie versorgt, werden diese anschließend auf die nach dem Ausfall höchstbelastete Komponente durchsucht.

Noch in diesem Kapitel

Projektierung im Editor


Projektierung im Editor

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bild vom Typ Lastfluss (n-1)-Berechnung > Projektierung im Editor

Das Bild vom Typ Lastfluss N-1 Berechnung dient dazu, aktuelle Lasten einer Komponente (Leitung oder Transformator) sowie berechnete Lasten auf Komponente (Leitung oder Transformator) zu visualisieren. Die berechneten Lasten zeigen die Werte einer Komponente unter der Annahme, dass eine andere Komponente des vermaschten Netzes nicht mehr vorhanden ist.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Lastfluss (n-1)-Berechnung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.


Bildumschaltung für die Lastfluss (n-1)-Berechnung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung

Um ein Bild vom Typ Lastfluss (n-1)-Berechnung zur Runtime aufzuschalten:

  1. Projektieren Sie ein Bild vom Typ Lastfluss (n-1)-Berechnung.
  2. Erstellen Sie eine Funktion Bildumschaltung auf dieses Bild.
  3. Definieren Sie die gewünschten Spalteneinstellungen.

Funktion vom Typ Bildumschaltung anlegen

Eine Funktion vom Typ Bildumschaltung dient dazu, Bilder zur Runtime aufzuschalten. Für die Bildumschaltung zu einem Bild vom Typ Lastfluss (n-1)-Berechnung können Sie die grafische Ausprägung der Liste projektieren.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Bilder.
  3. Wählen Sie die Funktion Bildumschaltung.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Bestätigen Sie Ihre Auswahl mit Klick auf die Schaltfläche OK.
    Der Dialog Filter zur Projektierung die grafische Ausprägung der Anzeige in der Runtime wird geöffnet.
  6. Klicken Sie die Schaltfläche Spaltenauswahl und projektieren Sie die Inhalte, die Sie in der Runtime anzeigen wollen.
  7. Klicken Sie die Schaltfläche Spaltenformat und projektieren Sie das Erscheinungsbild der Liste in der Runime.
  8. Benennen Sie die Funktion in der Eigenschaft Name.

Noch in diesem Kapitel

Filter Bildumschaltung Lastflussberechnung

Spaltenauswahl

Spaltenformat


Filter Bildumschaltung Lastflussberechnung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung > Filter Bildumschaltung Lastflussberechnung

In diesem Dialog konfigurieren Sie die Inhalte des Bildtyps Lastfluss (n-1)-Berechnung für die Ansicht in der zenon Runtime.

Spalteneinstellungen

Parameter | Beschreibung
[Spaltenvorschau] | Vorschau der Spalten, die für die Anzeige in der Runtime konfiguriert sind.
Spaltenauswahl... | Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten für die (n-1)-Liste.
Spaltenformat... | Klick auf Schaltfläche öffnet Dialog zur Formatierung der (n-1)-Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenauswahl

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung > Spaltenauswahl

Hier Konfigurieren Sie jene Spalten, die in der Anzeige in der zenon Runtime visualisiert werden.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bedienung zur Runtime

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bedienung zur Runtime

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Für die Bedienung des Bild vom Typ Lastfluss (n-1)-Berechnung in der zenon Runtime gilt:

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Darstellung von längeren Texten in der Liste

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Noch in diesem Kapitel

Topologische Verriegelungen

Ansicht in der zenon Runtime


Topologische Verriegelungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bedienung zur Runtime > Topologische Verriegelungen

Das Modul Lastflussberechnung stellt folgende topologischen Verriegelungen zur Verfügung:

Überlastung einer Leitung

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einer Stromüberlastung einer Leitung oder eines Transformators im ALC Netz führen.

Würden mehrere Komponenten überlastet werden, wird nur der Name der Komponente mit der höchsten Überlastung als Verriegelungstext angezeigt.

Beispiel:

Grenzwert Strombelastbarkeit [A] | Berechneter Wert [A] | Max. zulässige Stromüberlastung [%] | Auslastung [%] | Überschreitung von erlaubten Grenzwert [%] | Verriegelung
5 | 7,51 | 10 | 150,2 | 40,2 | ja
2 | 7,51 | 10 | 375,5 | 265,5 | ja
5 | 4,51 | -10 | 90,2 | 0,2 | ja
5 | 5 | 0 | 100 | 0 | nein

Verriegelungstext: Die Leitung [Komponentenname] wird um 40.20% stärker überlastet werden als erlaubt.

Je nachdem ob eine Leitung oder ein Transformator überlastet ist, wird der Verriegelungstext entsprechend angepasst.

Zusätzlich wird diese Verrieglung aktiv, wenn

  • eine Lastflussberechnung nicht möglich ist.
    Dies ist der Fall bei fehlenden oder ungültigen Messwerten sowie bei einem undefinierten Zustand eines Schalters (nicht ein oder aus)
  • die Lastflussberechnung kein schlüssiges Ergebnis errechnen kann.

In beiden Fällen wird die Verriegelung aktiv und folgender Verrieglungstext angezeigt:

Die Lastflussberechnung konnte kein schlüssiges Ergebnis errechnen.

Zusammenschalten unterschiedlicher Spannungsebenen

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einem Zusammenschalten von zwei ALC-Netzbereichen mit unterschiedlichen Nennspannungen der ALC-Quellen führen.

Kuppeln von Netzen

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einem Zusammenschalten von zwei ALC-Netzbereichen mit unterschiedlichen Generatoren führen. Als unterschiedliche Generatoren werden verfahrenstechnische Elemente vom Typ Generator mit unterschiedlichen Nummern der Quellen betrachtet.

Die Verriegelung ist unter folgenden Voraussetzungen aktiv:

  • Nach der Schaltung sind beide Seiten des Elements unter Spannung.
  • Eine Seite beinhaltet eine Generatorenquelle, die im anderen Netz nicht vorhanden ist.

info Info

Weitere Details zu topologischen Verriegelungen finden Sie im Kapitel Konfiguration der Topologischen Verriegelung in diesem Handbuch.


Ansicht in der zenon Runtime

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bedienung zur Runtime > Ansicht in der zenon Runtime


Berechnung

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung

Die Berechnung erfolgt auf Basis des Newton-Raphson Verfahrens zur iterativen und näherungsweisen Lösung nichtlinearer Gleichungssysteme. Das Problem wird mit komplexen Werten aufgestellt: es gilt für N Schienen, davon G mit Generatoren, 2N - G - 1 reelle Unbekannte (Spannung an den Lastschienen, Phase der Schienen). Als Startwert wird die Nennspannung ohne Phasenverschiebung angenommen.

Die iterativen Berechnungen von Jacobi-Matrix und Resultaten werden solange wiederholt, bis die L2-Norm des Korrekturvektors kleiner als ein Zehntausendstel ist.

Validierung

Beim Kompilieren der Runtime-Dateien im zenon Editor wird eine Konsistenzprüfung der ALC-Projektierung durchgeführt. Fehlerhinweise werden im Ausgabefenster des Editors angezeigt.

Die Analyse wird in mehreren Schritten durchgeführt:

  • Zuerst wird das Netz, ausgehend von Quellen und Generatoren, durchsucht.
    • Die Suche wird bei einem Schalter, Trenner, Ventil und Sperrventil fortgesetzt.
    • Bei Endelementen (Verbraucher, Kondensator, Endelement) und Transformator wird die Suche beendet.
  • Alle Quellen die dabei gefunden wurden, liegen im gleichen Netzsegment. Bei einem Transformator wird - je nach Seite - die Quelle oder die Quelle für Rückspeisung berücksichtigt.
  • Alle Trafos, welche beim ersten Schritt der Suche nur auf einer Seite berücksichtigt wurden, sind Ausgangspunkt für eine erneute Erforschung des Netz auf der nicht besuchten Seite.
  • die Suche berücksichtigt dabei die definierte Spannung, nicht die Quellen-ID.
  • Systemquellen werden bei dieser Suche im Netzt nicht berücksichtigt.

Beachten Sie, dass diese Ausgabe immer für das letzte zenon Bild gilt. Es wird empfohlen, nach Korrektur dieser Projektierungsfehler nochmals die Meldungen im Ausgabefenster zu beachten. Weitere Informationen zu den Ausgabemeldungen finden Sie im Kapitel Warnmeldungen und LOG-Einträge.

Noch in diesem Kapitel

Sammelschienen und Abzweigungen

Berechnung der elektrischen Größen

Parallele Leitungen

Transformatoren

Kondensatoren


Sammelschienen und Abzweigungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Sammelschienen und Abzweigungen

Ermittlung und Validierung der Sammelschienen

Zu Beginn der Lastflussberechnung wird aus dem aktuellen topologischen Modell und den Schalterstellungen oder Zuständen von Quellen und Lasten das Sammelschienenmodell gebaut.

Nach Identifizierung der Sammelschienen wird geprüft, ob diese die Mindestanforderungen für den Lastfluss erfüllen. Werden die Anforderungen nicht erfüllt, werden diese Sammelschienen aus dem Modell entfernt.

Mindestanforderungen:

  • Die bei einem Generator ermittelte Sammelschiene muss eine positive Nettoleistung erbringen: Leistung des Generators minus Leistung der Lasten.
  • Aktive Sammelschienen müssen für Quellen und Generatoren eine abgehende Verbindung haben.
    Für Senken muss eine eingehende Verbindung vorhanden sein.
  • Passive Sammelschienen müssen mindestens zwei Verbindungen haben.

Wird eine Sammelschiene entfernt, wird dies in der LOG-Datei protokolliert.

Verifizierung von Abzweigungen

Unter den Sammelschienen mit Generatoren wird die stärkste Schiene als Referenzschiene (slack-bus) ausgewählt. Alle mit der Referenzschiene verbundenen Sammelschienen werden zu einem Teilnetz zusammengefasst. Durch Transformatoren wird das Netz in Zonen gleicher Spannung unterteilt. Die Teilnetze werden durchnummeriert. Dadurch sind alle Generatorschienen einem Netz zugeordnet.

Dabei muss für alle Sammelschienen die Vorgabe der Spannung (durch Quelle, Generator, Transformator oder Leitung) widerspruchsfrei gegeben sein. Ist dies nicht der Fall, kann das Netz nicht berechnet werden. Im Fehlerfall wird für jede Sammelschiene eine Warnmeldung in der LOG-Datei erstellt.

Übertragung in die Berechnungsmatrix

Für jedes Teilnetz, das mindestens einen Last-Bus beinhaltet, wird das Per-Unit-System angelegt, geordnet nach Spannung und Leistung der Referenzschiene. Damit werden die komplexen Admittanz-Werte der bestehenden Verbindungen in die Berechnungs-Matrix aufgenommen. Zusätzlich werden auch die bekannten Werte für PQ oder PV übernommen. Alle unbekannten Werte werden als 0 betrachtet.


Berechnung der elektrischen Größen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Berechnung der elektrischen Größen

Berechnet werden die Blindleistung aller Generatorschienen und die Wirkleistung der Referenzschiene. Die berechnete Phase der Schienen wird auf alle ALC-Elemente vom Funktionstyp Generator oder Senke verteilt. Die berechnete Spannung wird nur auf ALC-Elemente vom Funktionstyp Senke verteilt. Die Blindleistung auf der Generatorschiene, die nicht von den Lasten stammt, wird auf die Generatoren verteilt, proportional zur erzeugten Wirkleistung.

Der Strom, der zwischen zwei Schienen fließt, entspricht Spannung mal Admittanz, die übertragene Leistung errechnet sich aus dem Produkt der Spannung und der Spannungsdifferenz unter Betrachtung der Phasen, als komplexer Wert, mal der Admittanz. Die Differenz zwischen eingespeister und erhaltener Leistung eines Zweiges ist die Verlustleistung. Strom und Leistung werden auf alle ALC-Leitungselemente zwischen den Schienen ausgegeben. Auf jedem ALC-Leitungselement mit Impedanz fällt eine Verlustleistung an, entsprechend dem Anteil an der Gesamtimpedanz. Bei serieller Verbindung von mehreren impedanzbehafteten Leitungen wird die eingespeiste Leistung am ersten Leitungselement ausgegeben. Die entnommene Leistung wird am letzten Leitungselement ausgegeben. Da nur eine Leistung oder der Strom (Eingang oder Ausgang) ausgegeben werden kann, wird die eingespeiste Leistung am ersten ALC-Leitungselement ausgegeben. Die entnommene Leistung wird am letzten ALC-Leitungselement ausgegeben.

Alle berechneten Werte werden in die verknüpften Variablen geschrieben. Bestehende Werte einer vorangegangenen Berechnung werden mit dem aktuellsten Berechnungsergebnis überschrieben oder auf den Wert 0 gesetzt, wenn das Element nicht mehr unter Last steht.


Parallele Leitungen

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Parallele Leitungen

Zwischen zwei Sammelschienen sind parallele Verbindungspfade nur dann erlaubt, wenn diese seriell miteinander verbunden sind. Achtung: Eine Vermaschung zwischen zwei Leitungspfaden wird nicht unterstützt.

  • Eine Leitung kann eine Impedanz (Widerstand aus Resistanz und Reaktanz) haben.
  • Die Admittanz ist die Inverse dieses komplexen Widerstands (Impedanz).
  • Die Impedanz eines Leitungspfads ist die Summe der Impedanzen der einzelnen Leitungsteile.
  • Durch jeden Leitungspfad fließt Strom, entsprechend der Differenz der Spannung, mulitipliziert mit der Admittanz des Pfades.
  • Die eingespeiste Leistung pro Pfad errechnet sich aus der Ausgangsspannung, multipliziert mit Strom.
  • Die Verlustleistung auf dem Leitungspfad wird proportional auf die Leitungen verteilt.


Transformatoren

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Transformatoren

Ein Transformator bildet eine Verbindung zwischen zwei Sammelschienen, gleich wie eine Leitung. Eine Leitung mit Impedanz darf direkt an einem Transformator angeschlossen sein.

Ein Transformator berechnet seine Admittanz aus Verlustleistung, Nennspannung und Nennleistung. Die Admittanz wird gleich wie die Impedanz einer Leitung verwendet. Die lastunabhängigen Magnetisierungsverluste werden bei Transformatoren als Shunt behandelt. Stufenschaltung und Phasenverschiebung werden als ein komplexer Faktor beim Erstellen der Admittanz-Matrix berücksichtigt. Sind zwischen zwei Sammelschienen mehrere Transformatoren parallel geschaltet, müssen die Ein- und Ausgänge (Primär- und Sekundärseite) an der gleichen Schiene sein. Parallel geschaltene Transformatoren müssen die gleiche Leistung haben.

Hinweis: Dabei sollten auch Stufenschaltung und Phasenverschiebung korellieren.

Jeder Dreiwicklungs–Primärtransformator hat sekundärseitig eine Sammelschiene, an der sternförmig wieder zwei Transformatoren mit ihrer Primärseite angeschlossen sein müssen. Diese drei Transformatoren erzeugen gemeinsam (vom Dreieck zum Stern) die Einträge in der Admittanz-Matrix.

Der Dreiwicklungs-Transformator verwendet die Stufenschaltung nur vom Primärtransformator (und ignoriert sie bei den Sekundärtransformatoren). Die Phasenverschiebung wird nur von den Sekundärtransformatoren ausgewertet. Die Verluste entsprechen dem Datenblatt des Transformators oder folgender Berechnung: Nennleistung mal der Kurzschluss-Spannung [%] / 100.

Bei Sekundärtransformatoren werden Verlustleistungen in Bezug auf die Primärwicklung angegeben. Die Verluste zwischen der Sekundär- und der Tertiär-Wicklung werden bei der Berechnung für das Dreieck beim Primär-Transformator berücksichtigt.

Magnetisierungsverluste werden nur von der Primärwicklung berücksichtigt.

Für eine korrekte Berechnung ist wichtig, dass alle Transformatoren eines Dreiwicklungstransformators die gleiche Leistung haben.

... die gleiche Nennleistung ... (im Realen ist die Leistung auf Sekundär bzw. Tertiärseite durch Verluste immer geringer als auf Primärseite Eingang!!! Verwendung von 40 MW Primär und 100 MW Sekundär bzw. Tertiär wär aber möglich)

Für Dreiphasensysteme gilt allgemein: Scheinleistung MVA = v(MW^2 + MVar^2) = v3 * kV * A / 1000

Bei den Transformatoren wird auch die Rückspeisung (Lastfluss von Sekundär- oder Tertiär- zu anderen Wicklungen) berücksichtigt.


Kondensatoren

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Kondensatoren

Für die Berechnung bei Kondensatoren gilt:

  • Beim Aufbau des Modells wird ein Kondensator gleich wie eine Last behandelt: er wird an eine Sammelschiene – alleine oder mit anderen Lasten oder Quellen – angeschlossen.
  • Die Schrittweite ist die Nennleistung: aus Verschaltung und Position ergibt sich der Multiplikator und als Produkt die aktuelle Leistung.
  • Die Lastflussberechnung ermittelt die äquivalente Admittanz aus Nennleistung, Multiplikator und Nennspannung. Aus der Admittanz ergibt sich die tatsächliche Spannung sowie die eingespeiste reaktive Leistung.


Warnmeldungen und LOG-Einträge

Handbuch > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Warnmeldungen und LOG-Einträge

Projektierung

Die folgenden Warnmeldungen werden beim Kompilieren im Ausgabefenster des zenon Editors angezeigt.

Warnmeldung | Beschreibung
ALC: Bild 'bild01' - Der Transformator 'trafo01' ist als Dreiwicklungstransformator definiert, wurde aber falsch projektiert. | Projektierungsfehler für einen Dreiwicklungsgenerator. Am Ausgang müssen genau zwei weitere Transformatoren (die nicht selbst wieder 3-Wicklungs Primärtrafo sind) verbunden sein Weitere Informationen dazu finden Sie im Kapitel "Dreiwicklungs-Transformator".
ALC: Im Projekt sind keine Spannungen für die Quellen definiert. | Projektierungsfehler aufgrund von fehlenden Spannungsebenen der benutzerdefinierten Quellen bei der ALC-Quellenkonfiguration. In der aktuellen Projektierung der ALC Konfiguration ist keine Quelle mit einer Spannung konfiguriert. Die Konsistenzprüfung wird abgebrochen.
ALC: Die folgenden Quellen mit unterschiedlichen Spannungen liegen im gleichen Netzsegment: %s | Projektierungsfehler aufgrund von unterschiedlichen Spannungsebenen in ALC-Bildern. Die aktuelle Projektierung der ALC Konfiguration enthält mehrere Quellen mit unterschiedlichen Spannungsebenen im selben Netzsegment.
ALC: Mindestens eine Quelle muss die Spannung des Gebiets definieren: %s | Projektierungsfehler bei fehlenden Spannungsebenen bei der ALC-Quellenkonfiguration. Die aktuelle Projektierung der ALC Konfiguration enthält mehrere zusammenhängende Quellen, aber keine dieser Quellen hat eine Spannung konfiguriert.
ALC: Elemente ohne Anschluss an eine Quelle: %s | Projektierungsfehler bei fehlerhafter Positionierung eines ALC-Elementes auf einem zenon Bild. Die aktuelle Projektierung enthält mindestens ein Element, das von keiner Spannungsquelle versorgt wird.

Berechnung

Die folgenden Warn- und Fehlermeldungen werden in der LOG-Datei protokolliert und können mit dem Diagnosis Viewer ausgewertet werden.

Warnmeldung

Level

Beschreibung

Power Flow Bus voltage missing or different at[source var: gen138kV] [transformer var: trans30/110kV]

Warning

An einer Sammelschiene ist keine oder keine eindeutige Spannung auf den verwendeten Quellen definiert. Als Identifikation dient die verknüpfte Variable.

Power Flow Bus voltage missing

Warning

Eine Sammelschiene hat keine eigene Quelle und ist mit keiner Sammelschiene verbunden, die eine eindeutig definierte Spannung hat.

Cannot calculate load flow due to invalid switch positions or measured values

Error

Die Lastflussberechnung kann nicht durchgeführt werden. Mögliche Ursachen:

  • fehlender oder ungültiger Messwert
  • undefinierter Zustand eines Schalters (nicht ein oder aus)

Calculation of load flow did not converge to a result.

Error

Die Lastflussberechnung konnte kein schlüssiges Ergebnis errechnen.

zenon Editor Warnmeldungen

Beispielhafte Darstellung von Fehlprojektierungen für ALC-Elemente:

  • ALC: Die folgenden Quellen mit unterschiedlichen Spannungen liegen im gleichen Netzsegment:

  • ALC: Mindestens eine Quelle muss die Spannung des Gebiets definieren:

  • ALC: Elemente ohne Anschluss an eine Quelle:


State Estimator

Handbuch > Automatic Line Coloring (ALC) - Topologie > State Estimator

Das Modul State Estimator ist ein zusätzliches Modul zum Modul Lastflussberechnung.

Sind an den Knoten im topologischen Netz nicht alle für eine Lastflussberechnung notwendigen zu- oder abfließenden Leistungen bekannt, kann der State Estimator diese aus weiteren Messwerten im Netz rekonstruieren.

Elektrotechnische Parameter (Leistungen) werden vom State Estimator geschätzt. Dazu verwendet der State Estimator die Werte von Messpunkten auf Leitungen.

  • Die Messwerte werden bei den Eigenschaften der funktionalen ALC-Elemente projektiert. Zu diesen Elementen zählen das Combi-Element sowie alle Leitungen. In diesen Eigenschaften werden Variablen verknüpft, die Messwerte für die Berechnung des State Estimator darstellen.
  • Diese Messwerte sind Basis für die Berechnung des Leistungsflusses im topologischen Netz.
  • Das Ergebnis des State Estimator wird auf dieselben Variablen geschrieben, wie das Resultat einer Lastflussberechnung. Dieses Ergebnis wird ebenfalls für eine topologische Verriegelungsüberprüfung sowie die (n-1)-Berechnung verwendet.

Ausgehend von einer gegebenen Jakobi-Matrix des Moduls Lastflussberechnung werden die Spannungen und Phasendifferenzen der einzelnen Sammelschienen berechnet.

Der State Estimator ermittelt angenäherte Werte für Spannung und Phasen. Diese berechneten Werte werden mit den Messwerten verglichen. Die Berechnung wird dabei rekursiv so lange wiederholt, bis die für den State Estimator geforderte Genauigkeit erreicht ist. Diese Genauigkeit beträgt 0,0001.

Noch in diesem Kapitel

Projektierung im Editor


Projektierung im Editor

Handbuch > Automatic Line Coloring (ALC) - Topologie > State Estimator > Projektierung im Editor

Projektierungsschritte für das Modul State Estimator.

  1. Aktivieren Sie den State Estimator.
    1. Navigieren Sie in den Projekteigenschaften in die Eigenschaftengruppe Automatic Line Coloring.
    2. Wählen Sie in der Eigenschaft Lastflussberechnung aktivieren aus dem Dropdownmenü den Eintrag Lastfluss mit State Estimator.
  2. Parametrieren Sie ALC-Bildelemente, welche Leitungen im topologischen Netz darstellen.

info Info

Das Modul State Estimator baut auf der Projektierung für das Modul Lasstflussberechnung auf.


Batch Control

Handbuch > Batch Control

Das Modul Batch Control bietet Ihnen die Möglichkeit, batchorientierte Herstellungsverfahren für Los- und Chargenprodukte zu automatisieren. Das Modul entspricht dem Standard ANSI/ISA–88.01–1995, auch bekannt als ANSI/ISA–S88.

Für Batch Control stehen zur Runtime zwei unterschiedliche Editoren zur Verfügung:

  • Matrix Editor: Für einfache sequentielle oder parallel ablaufende Rezepte.
  • PFC-Editor: Für komplexe Rezepte mit Verzweigungen.

Je nach Lizenz stehen Ihnen beide Editoren zur Verfügung oder nur der Matrix-Editor.

attention Achtung

Hinweise in der im Editor eingebetteten Hilfe auf VBA Keywords sind in der aktuellen Version noch ohne Funktion.

Hinweis Wechsel von 7.00 zu 7.10 oder höher

Vor dem Konvertieren eines Projekts auf eine neue zenon Version müssen alle Rezepte beendet werden. Laufende Rezepte werden nach dem Wiederanlaufen nicht weiter ausgeführt. Das Wiederanlaufen funktioniert nur innerhalb der gleichen zenon Version.

Achtung: Projekte mit Rezepten, die in zenon 7.10 oder höher erstellt wurden, sind in zenon 7.0 nicht lauffähig.

Auswirkungen außerhalb Batch Control

Bei der Verwendung unterschiedlicher Versionen für Editor und Runtime können Probleme auftreten, wenn das Modul Batch Control lizenziert ist, Batch Control aber nicht verwendet wird.

Hintergrund: Sobald das Modul lizenziert wird, werden einige Dateien in die Runtime kompiliert. Ein Batch-Projekt, das mit 7.0 kompiliert wurde, ist aber in 7.10 nicht lauffähig.

Lösungen:

  • Kompilieren Sie das Projekt mit einem Editor der Version 7.10 oder höher.
  • Benutzen Sie eine Runtime der Version 7.0.
  • Verwenden Sie eine Lizenz, die das Modul Batch Control nicht beinhaltet.

Batch Control und Modul Schaltfolgen

Sind die beiden lizenzpflichtigen Module Batch Control und Schaltfolgen gleichzeitig lizenziert, erfolgt die Auswahl des verwendeten Moduls zur Runtime über die Projekteinstellung.

Um das bevorzugte Modul zur Runtime auszuwählen:

  • Klicken Sie im Editor den Knoten Ihres Projektes.
  • Gehen Sie in die Projekteigenschaftengruppe Runtime Einstellungen.
  • Wählen Sie bei Lizenzmodul zur Runtime aus der Dropdownliste der Eigenschaft Bevorzugtes Modul Schaltfolgen (default) oder Batch Control.

Das ausgewählte Modul steht dann in der Runtime für weitere Projektierung zur Verfügung.

Noch in diesem Kapitel

Einführung

Terminologie

Ablauf

Projektieren im Editor

Konvertierung

Konfigurieren und steuern in der Runtime

Funktionsberechtigungen

Verhalten im Netzwerk

Reporting

Formeleditor

XML-Export: Aggregate, Grundfunktionen und Rezepte

CEL

Störungsbehandlung

Fehlerbehandlung


Einführung

Handbuch > Batch Control > Einführung

Das Modul Batch Control besteht aus drei Teilen:

  1. Die Projektierumgebung im zenon Editor:
    Hier werden alle Aggregate (ISA Nomenklatur, Chapter 4.2.5: Units) mit ihren Grundfunktionen (ISA - 5.1.2.4: Phases) und Reaktionen erstellt. Die Grundfunktionen müssen eine Entsprechung in der Steuerung (ISA: Equipment Control) haben, die Technologische Funktion (ISA: Process Action) genannt wird.
    Batch Control spiegelt das physikalische Modell nach ISA 4.2 als flache Hierarchieebene, basierend auf Aggregaten (Units), wider.
    Auf die weiteren Ebenen des Modells wie Prozesszelle, Gebiet, Fabrik usw. wurde bewusst verzichtet. Auch bei der Erstellung der Batchrezepte wurde nur die unterste Ebene (Grundfunktionen) des ISA Struktur Modells 5.1 sowie Teilrezepte (Operation) implementiert. Die weiteren Ebenen wie Aggregats-Prozeduren und Prozeduren stehen nicht zur Verfügung.
  2. PFC-Editor und Matrix-Editor:
    Mit diesen Editoren werden in der zenon Runtime die Vorlagenrezepte (ISA: Master recipes) erstellt. Von diesen werden die Steuerrezepte (ISA: Control recipes) abgeleitet, die ausgeführt werden können (Siehe auch ISA 5.3.1.). Während des Ablaufs wird im jeweiligen Editor der genaue Zustand des Batchrezepts dargestellt und Sie können in den Rezeptablauf eingreifen.
  3. Recipe Execution Engine (REE):
    Die REE ist direkt in die zenon Runtime integriert und führt ein Batchrezept vollautomatisch im Hintergrund aus. Die REE kann durch Kommandos wie Start, Pause, Stopp usw. vom Benutzer gesteuert werden. Ebenso sind drei Modi möglich: Automatisch, Halbautomatisch und Manuell.

Besonderheit des Moduls Batch Control

Im Gegensatz zu den meisten anderen zenon Modulen erfolgt ein großer Teil der Projektierung, nämlich die Rezepterstellung, in der Runtime und nicht im Editor. Das bringt einige Besonderheiten mit sich, die in den jeweiligen Kapiteln behandelt werden. So werden z. B. geänderte Grundfunktionen nicht mehr in ein bereits freigegebenes Vorlagenrezept übertragen, um unerwünschte Datenänderungen zu verhindern.

Das Modul ist so konzipiert, dass es komplett unabhängig von der Steuerung ist. Das heißt, die Datenkommunikation erfolgt über alle verfügbaren zenon Treiber mit beliebigen SPSen oder auch RTUs. Diese führen nur die technologischen Funktionen aus. Die gesamte Rezeptabarbeitung erfolgt am Rechner in der REE. Bei einer Änderung am Batchrezept oder bei neuen Vorlagenrezepten sind damit keine Modifikation des SPS-Codes notwendig.

Das Modul befolgt die strikte Trennung zwischen Ablauf des Batchrezepts (ISA: Procedural Control Model) und Ausführung der Technologischen Funktion (ISA: Process Model) wie in ISA–S88, Kapitel 5.2.1 beschrieben.

Prinzipieller Aufbau der Kommunikation

Zur Kommunikation mit dem Prozess werden Standard zenon Variablen verwendet. Da Variablennamen häufig sehr technische und dadurch schwer lesbare Bezeichner haben, wurde eine weitere Abstrahierungsschicht eingeführt. Diese enthält Parameter, die in zwei Ausprägungen zur Verfügung stehen:

  • Befehlsparameter: Mit ihnen werden beim Ausführen einer Grundfunktion Sollwerte an die SPS übertragen.
  • Rückgabeparameter: Mit ihnen werden Werte von der SPS für Auswertungen zurückgelesen.

Mit beiden Parameterarten können Werte sowohl geschrieben (z. B. in Reaktionen) als auch gelesen (z. B. in Bedingungen) werden.

Schema:

Die SPS kommuniziert mit dem zenon Treiber, dieser wiederum mit der zenon Runtime. Die Runtime schickt die Werte weiter an die REE, wo sie verarbeitet werden. Die REE arbeitet intern asynchron zur zenon Runtime in einem 100 ms Zyklus.

Netzwerk

Das Modul Batch Control ist voll netzwerkfähig im Sinne der Client/Server-Technologie. Das heißt, es können Batch-Rezepte auf einem Client erstellt, dupliziert, bearbeitet, gelöscht usw. werden. Dabei erfolgt die gesamte Rezeptverwaltung immer am Server. Ebenso kann von einem Client aus die gesamte Ablaufbedienung wie Rezept starten, pausieren, stoppen usw. erfolgen. Auch Moduswechsel und manuelle Operationen wie springen sind möglich.

attention Achtung

Das Modul Batch Control ist nicht redundanzfähig. Es erfolgt kein Abgleich am Standby Server. Bei einem Ausfall des Servers werden die ausgeführten Batch-Rezepte am Standby nicht fortgesetzt! Es können auch keine Rezepte gestartet werden, während der projektierte Server 2 der prozessführende Server ist.


Terminologie

Handbuch > Batch Control > Terminologie

Im zenon Modul Batch Control werden folgende Begriffe verwendet:

Begriff | Definition
Aggregat | Physikalisch verfügbarer Maschinen- oder Anlagenteil, mit dem Grundfunktionen ausgeführt werden können. (ISA 88: Unit)
Aggregatfreigabe | Element des Moduls Batch Control, das die Belegung eines Aggregats im Aggregatsmanager aufhebt. Dadurch ist das Aggregat wieder durch andere Rezepte belegbar.
Aggregatsbelegung | Element des Moduls Batch Control, das die Belegung eines Aggregats im Aggregatsmanager bewirkt. Ein belegtes Aggregat kann nur von Grundfunktionen innerhalb des Rezepts verwendet werden. Damit ist das Aggregat für Grundfunktionen anderer, parallel ablaufender Rezepte gesperrt.
Aggregatsmanager | Interner Verwaltungsmechanismus, der für alle REE in der Runtime die Aggregatsbelegungen verwaltet.
Aktion | Im Bereich Batch Control: Alle Befehle, die bei der Bearbeitung des Rezepts verwendet werden, z.B.: Grundfunktion einfügen, Rezept testen usw..
Anfang Parallelzweig | Element, das eine Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige ermöglicht.
Anfang Verzweigung | Element, das eine Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige ermöglicht, von denen immer nur ein Zweig aktiv werden kann. Jeder nachfolgende Zweig muss mit einer Transition beginnen. Die Transition bestimmt im Rezeptablauf, welcher Zweig ausgeführt wird.
Anfangselement | Element des Moduls Batch Control, mit dem jedes Rezept beginnt.
Ausführungsposition | Position in einem Rezept des Moduls Batch Control an dem die Abarbeitung im halbautomatischen und manuellen Modus automatisch unterbrochen wird und die aktiven Elemente in den Pause Status versetzt werden. Mit dem Kommando "nächster Schritt" wird der Ablauf an dieser Position fortgesetzt.
Batch Control | Werkzeug zur Erstellung und Ausführung von ISA S88 konformen Master-Rezepten und Kontroll-Rezepten.
Batchbetrieb | Automatisches, sequentielles Abarbeiten eines Stapels von Einzeloperationen.
Befehlsparameter | Überbegriff für Initial- und Wertparameter.
Ende Parallelzweig | Element, das die Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige wieder zu einem Zweig zusammenführt.
Ende Verzweigung | Element, das eine durch ein Element Anfang Verzweigung begonnene Verzweigung wieder zusammenführt.
Endelement | Element des Moduls Batch Control, mit dem jedes Rezept endet.
Grundfunktion | Vordefinierter Handlungsablauf bestehend aus einer Eingangsverriegelung, Befehls- und Rückgabeparametern, einer Weiterschaltbedingung, Ereignisreaktion usw. (ISA 88: Phase)
Initialparameter | Parametertyp für Vorgabewerte der Grundfunktion. Werte werden vor der Prüfung der Eingangsverriegelung geschrieben.
Kommando | Im Bereich Batch Control: Befehl, der in den Rezeptablauf eingreift, z.B.: Starten, Stoppen, Modusänderungen usw...
Matrix-Rezept | Rezept im Modul Batch Control, das mit dem Matrix-Editor erstellt wurde.
Parallelzweig | Bereich des Moduls Batch Control. Ein Parallelzweig beginnt mit einem Anfang Parallelzweig Element und wird durch ein Ende Parallelzweig Element wieder auf einen Ausführungszweig zusammengeführt. Dazwischen befinden sich mindestens zwei Zweige, die gleichzeitig ausgeführt werden.
Parameter | Variablenverknüpfung bei einer Grundfunktion.
PFC-Rezept | Rezept im Modul Batch Control, das mit dem PFC-Editor erstellt wurde.
REE - Recipe Execution Engine | Teil des Moduls Batch Control zur Ablaufsteuerung von Rezepten. Die Engine führt ein Kontrollrezept aus und verwaltet den gesamten Ablauf des Rezepts.
Rezept | In Rezepten werden zusammengehörige Daten wie Maschinenparameter oder Formatdaten zusammengefasst gespeichert. Diese Daten können mit einem Arbeitsschritt vom Leitsystem in die Steuerung übertragen werden und umgekehrt. Es wird zwischen Standard-Rezepten und RGM-Rezepten unterschieden. Im Modul Batch Control ist in einem Rezept zusätzlich zu den Daten auch der Ablauf definiert. Dabei wird zwischen Matrix-Rezept und PFC-Rezept unterschieden.
Rückgabeparameter | Parametertyp für Werte, die aus der SPS gelesen werden.
Sprungziel | Element des Moduls Batch Control, das einen direkten Sprung auf eine definierte Stelle eines Zweiges ermöglicht.
Steuerrezept | Teil des Moduls Batch Control. Beinhaltet den Ablauf eines Produktionsprozesses auf Basis des Batch Verfahrens nach dem Standard ISA S88. Ein Steuerrezept ist immer von einem Vorlagenrezept abgeleitet und kann einmalig ausgeführt werden. (ISA 88: Control recipe)
Teilrezept | Im Modul Batch Control können Rezepte auf einzelne Teile aufgeteilt werden. Die Verwaltung der Teilrezepte erfolgt in einer zentralen Bibliothek. Im Rezept können Instanzen von Teilrezepten eingefügt werden. Die Parameter der verwendeten Grundfunktionen können bearbeitet werden, die Struktur kann nur in der Teilrezeptvorlage bearbeitet werden.
Transition | Element des Moduls Batch Control, das eine Bedingung beinhaltet. Das Element wird nach Grundfunktionen eingesetzt um einen definierten Übergang von einer Grundfunktion in die nächste zu gewährleisten.
Verbindungslinie | Teil des Verbindungsstücks im Modul Batch Control: Positioniert den Verbindungspunkt am Element.
Verbindungspunkt | Teil des Verbindungsstücks im Modul Batch Control. Verbindet zwei Elemente (z.B: Grundfunktion mit Grundfunktion oder Grundfunktion mit Linie) miteinander. Er ändert die Farbe wenn der Mauszeiger darüber steht.
Verbindungsstück | Möglichkeit im Modul Batch Control, Elemente miteinander zu verbinden. Es besteht aus Verbindungspunkt und Verbindungslinie.
Verzweigung | Bereich des Moduls Batch Control, der eine Aufteilung in zwei oder mehrere Zweige ermöglicht, von denen beim Rezeptablauf immer nur ein Zweig aktiv werden kann. Es handelt sich um eine Entweder-Oder-Verzweigung. Eine Verzweigung beginnt immer mit dem Element Anfang Verzweigung und endet mit dem Element Ende Verzweigung.
Vorlagenrezept | Teil des Moduls Batch Control. Beinhaltet den Ablauf eines Produktionsprozesses auf Basis des Batch Verfahrens nach dem Standard ISA S88. Ein Rezept besteht aus den Komponenten: Grundfunktionen, Transitionen, Parallelzweig usw. (ISA 88: Master recipe). Vorlagenrezepte dienen als Vorlage für Steuerrezepte.
Wertparameter | Parametertyp für Vorgabewerte der Grundfunktion. Werte werden nach erfolgreicher Prüfung der Eingangsverriegelung geschrieben.
Zweig | Ein Ausführungsbereich im Modul Batch Control. Auf ihm können Grundfunktionen, Transitionen und Sprungziele platziert sein.


Ablauf

Handbuch > Batch Control > Ablauf

Projektierung und Nutzung des Moduls Batch Control erfolgen in drei Hauptschritten:

  1. Projektierung im zenon Editor
  2. Rezepterstellung im Batch-Editor (PFC oder Matrix) zur Runtime
  3. Rezeptausführung zur Runtime

Projektierung

Der Projektant bildet im Editor die vorhandene physikalische Welt ab. Er definiert und erstellt Aggregate und weist diesen Grundfunktionen mit Parametern zu.

Rezepterstellung

Zur Runtime definiert der Rezeptersteller auf Basis der Vorgaben aus dem Editor das Vorlagenrezept. Dieses bestimmt den Ablauf. Dabei können nur die in der Projektierumgebung vorgegeben Aggregate, Grundfunktionen und Parameter verwendet werden.
Ausnahme: Wurde im Editor in der Gruppe Sollwert setzen die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert, kann der entsprechende Parameter modifiziert werden. Dies ist nur für Befehlsparameter möglich.

Rezeptausführung

Der Operator führt zur Runtime das Rezept aus. Dazu startet er ein Steuerrezept, das auf dem Vorlagenrezept basiert. Jedes Steuerrezept kann nur einmal gestartet und verwendet werden. Damit ist es eindeutig einer Charge zuordenbar. Rezepte laufen entweder automatisch, halbautomatisch oder manuell ab.

Der Operator kann Rezepte nicht mehr beeinflussen.
Ausnahme: Setzt der Rezeptersteller die Option Im Steuerrezept änderbar auf aktiv, kann der Operator zur Runtime noch Parameter editieren.


Projektieren im Editor

Handbuch > Batch Control > Projektieren im Editor

Um das Modul Batch Control in der Runtime nutzen zu können, müssen Sie zuerst im Editor:

  • Aggregate, Grundfunktionen und Reaktionen anlegen
  • ein Bild vom Typ Batch Control anlegen
  • eine Bildumschaltfunktion auf das Bild vom Typ Batch Control anlegen

Hinweis: Im Editor ist das Kopieren und Einfügen von Elementen übergreifend über alle Ebenen möglich.

Detailansicht

Im Modul Batch Control ist die Detailansicht zweigeteilt:

  • Der linke Teil umfasst den Aggregatsbaum. Der Eintrag Aggregate bildet den Ausgangspunkt für den Baum.
    Auf der nächsten Ebene werden die vorhandenen Aggregate angezeigt. Es folgen die zu jedem Aggregat gehörenden Grundfunktionen. Jede Grundfunktion besitzt als Unterpunkt Reaktionen.
  • Im rechten Teil wird, je nachdem welche Ebene des Baums ausgewählt wurde, eine flache Liste der Aggregate, Grundfunktionen, Parameter oder Reaktionen dargestellt.

Noch in diesem Kapitel

Aggregate

Grundfunktionen

Parameter

Bedingungen

Reaktionen

Fahrweisen

Verknüpfungen ersetzen

Bild vom Typ Batch Control anlegen

Auftragsvariablen

Bildumschaltung Batch Control

Keyboards

zenon Funktionen

Regeln Rezepterstellung


Aggregate

Handbuch > Batch Control > Projektieren im Editor > Aggregate

Um ein neues Aggregat anzulegen:

  1. navigieren Sie im Projektmanager zum Knoten Batch Control
  2. wählen Sie in der Detailansicht Aggregate
  3. wählen Sie im Kontextmenü den Befehl Aggregat neu
  4. ein neues Aggregat wird in der Detailansicht angelegt

Noch in diesem Kapitel

Symbolleiste Aggregatsbaum

Projektbaum - Kontextmenü Batch Control

Kontextmenü Aggregate

Kontextmenü Aggregat x

Detailansicht Aggregate

Detailansicht Aggregat x

Informationen zur Runtime


Symbolleiste Aggregatsbaum

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Symbolleiste Aggregatsbaum

Die Symbolleiste bezieht sich auf den kompletten Aggregatsbaum. Je nach ausgewähltem Element stehen ihre Symbole zur Verfügung oder sind deaktiviert.

Parameter

Beschreibung

Umbenennen

Öffnet Namensfeld des ausgewählten Elements zum Umbenennen.

Steht für Hauptknoten Aggregate nicht zur Verfügung.

Kopieren

Kopiert das ausgewählte Aggregat in die Zwischenablage.

Steht für Hauptknoten Aggregate nicht zur Verfügung.

Einfügen

Fügt ein in die Zwischenablage kopiertes Aggregat ein.

Löschen

Löscht ausgewähltes Element nach Sicherheitsabfrage.

Steht für Hauptknoten Aggregate nicht zur Verfügung.

Alle erweitern

Zeigt die gesamte Baumstruktur an.

Durch Klick auf den Pfeil erhalten Sie eine Dropdownliste, in der Sie einen der folgenden Befehle auswählen können:

  • Alle erweitern: erweitert alle Knoten
  • Alle reduzieren: reduziert alle Knoten
  • Ausgewählte erweitern: erweitert ausgewählten Knoten
  • Ausgewählte reduzieren: reduziert ausgewählten Knoten

Klick auf Schaltfläche erweitert immer alle Elemente.

Elemente können auch über Doppelklick auf den übergeordneten Eintrag erweitert und reduziert werden.

Alle Aggregate XML exportieren...

Exportiert alle Aggregate in eine XML-Datei.

Aggregate XML importieren...

Importiert Aggregate aus einer XML-Datei.

Hilfe

Öffnet die Online-Hilfe.


Projektbaum - Kontextmenü Batch Control

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Projektbaum - Kontextmenü Batch Control

Parameter | Beschreibung
Aggregat neu | Erstellt ein neues Aggregat.
Alle als XML exportieren... | Exportiert alle Aggregate in eine XML-Datei.
XML importieren... | Importiert Aggregate aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Aggregate

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Kontextmenü Aggregate

Rechtsklick auf den Haupteintrag Aggregate im Aggregatsbaum öffnet ein Kontextmenü:

Menüpunkt | Aktion
Aggregat neu | Erstellt ein neues Aggregat.
Verknüpfungen in Grundfunktionen ersetzen... | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Grundfunktionen.
Verknüpfungen in Aggregaten ersetzen... | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Aggregaten.
Einfügen | Fügt ein in die Zwischenablage kopiertes Aggregat ein.
Alle Agregate XML exportieren... | Exportiert alle Aggregate in eine XML-Datei.
Aggregate XML importieren... | Importiert Aggregate aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Aggregat x

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Kontextmenü Aggregat x

Rechtsklick auf ein erstelltes Aggregat öffnet ein Kontextmenü:

Menüpunkt | Aktion
Grundfunktion neu | Erstellt eine neue Grundfunktion.
Verknüpfungen in Grundfunktionen ersetzen... | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Grundfunktionen.
Verknüpfungen in Aggregat ersetzen... | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen im gewählten Aggregat
Umbenennen | Ermöglicht das Umbenennen des gewählten Aggregats.
Löschen | Löscht das ausgewählte Aggregat.
Kopieren | Kopiert das ausgewählte Aggregat in die Zwischenablage.
Einfügen | Fügt ein in die Zwischenablage kopiertes Aggregat ein.
Auswahl als XML exportieren... | Exportiert das ausgewählte Aggregat in eine XML-Datei.
Grundfunktionen XML importieren... | Importiert Grundfunktionen aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.


Detailansicht Aggregate

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Detailansicht Aggregate

Menüpunkt | Aktion
Aggregat neu | Legt ein neues Aggregat in der Detailansicht an.
Verknüpfungen in Grundfunktionen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Grundfunktionen.
Verknüpfungen in Aggregaten ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Aggregaten.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen... | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Auswahl als XML exportieren... | Exportiert die ausgewählten Aggregate in eine XML-Datei.
Aggregate XML importieren... | Importiert Aggregate aus einer XML-Datei.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Detailansicht Aggregat x

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Detailansicht Aggregat x

Parameter | Beschreibung
Grundfunktion neu | Legt eine neue Grundfunktion in der Detailansicht an.
Verknüpfungen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Grundfunktionen.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Zelle ersetzen... | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Auswahl als XML exportieren... | Exportiert die ausgewählten Grundfunktionen in eine XML-Datei.
Grundfunktionen XML importieren... | Importiert Grundfunktionen aus einer XML-Datei.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Informationen zur Runtime

Handbuch > Batch Control > Projektieren im Editor > Aggregate > Informationen zur Runtime

Zur Runtime können Informationen für einzelne Aggregate über Variablen abgerufen und dargestellt werden. Jedes zu belegende Aggregat initialisiert die Werte der verknüpften Variablen mit 0 oder leerem Text. Die Informationen kommen aus dem Rezept, welches das Aggregat beim Abruf belegt. Variablen werden immer nur bei Änderungen befüllt.

Die Variablen für die zur Runtime gewünschten Informationen werden in den Aggregatseigenschaften in der Gruppe Runtime Information konfiguriert für:

  • Vorlagenrezept: Informationen über ID, Name und Beschreibung des Vorlagenrezepts sowie Version und Ausgangsversion.
  • Steuerrezept: Informationen über ID, Name, Beschreibung und Auftragsnummer des Steuerrezepts.
  • Ausführung: Informationen über Anzahl der aktiven Rezepte sowie Ausfühungsstatus und -modus, jeweils numerisch und als Text.

    Hinweis: Der Wert für Anzahl der aktiven Rezepte ist in der Regel 0 oder 1. Wird eine höhere Zahl angezeigt, dann wurde der Start weiterer Rezepte manuell erzwungen.

  • Grundfunktionen: Information über aktive Grundfunktionen. Befindet sich die Grundfunktion in einem Teilrezept, wird der Name des Teilrezepts in Klammern angezeigt.
  • Fehler: Fehler werden zur Runtime visuell angezeigt und in Logs gespeichert. So wird ein Ablauffehler beim Aggregat visuell signalisiert und gleichzeitig die absolute Anzahl der historischen Ablauffehler angezeigt. Sobald ein Ablauffehler geht, wird der Zähler um 1 erhöht. Wird die Grundfunktion neu gestartet, geht der historische Fehler in der Anzeige weg, wird also nicht mehr visuell signalisiert. Die geloggte Information bleibt aber erhalten. Das gilt auch für Kommunikationsstörungen. Symbole zeigen also nur anstehende Fehler an, Zähler informieren auch über historische Fehler.
  • Matrix Informationen: Anzeige der aktiven Schritte in einem Matrix-Rezept. Es werden immer die Informationen aus dem Hauptrezept verwendet, auch wenn sich das auslösende Objekt in einem Teilrezepte befindet. Es können alle nummerischen Variablen gewählt werden, deren Datentyp >= 2 Byte ist.
    PFC-Rezepte erhalten immer leere Werte oder 0.

Werte Ausführungsstatus und Ausführungsmodus

Werte für Variable der Eigenschaften Ausführungsstatus (numerisch) und Ausführungsmodus (numerisch) finden Sie im Kapitel Variablenzuordnung/Allgemein.

Informationen in Rezepten und Aggregat

Beim Wiederanlaufen nach einem Runtime-Neustart wird der jeweilige Status mit der Information in den Rezepten hinterlegt.
Zum Beispiel: Pausiert nach regulärem Beenden oder Angehalten nach fehlerhaftem Beenden.

Der Ausführungsstatus wird auch in den Aggregatsinformationen angezeigt. Der Ausführungsstatus (numerisch und Text) in den Aggregatsinformationen enthält eine Nummer und einen Text, die denen der Variablen im Bild entsprechen. Inklusive Informationen, ob durch Wiederanlauf ausgelöst, Informationen über Objekte in abweichenden Status und Objekte, die einen Statuswechsel verzögern.
Achtung: Der Inhalt dieser Variablen ist zwischen zenon 7.10 und 7.11 nicht kompatibel.


Grundfunktionen

Handbuch > Batch Control > Projektieren im Editor > Grundfunktionen

Die Grundfunktion ist das Ausführungsobjekt eines Rezepts - und damit dessen Hauptbestandteil. Jeder Grundfunktion im Modul Batch Control muss eine Technologische Funktion in der Steuerung gegenüber stehen.

Beispiel: Sie möchten einen Tank aufheizen.

Dazu brauchen sie:

  1. Das entsprechende Equipment: eine Heizung im Tank
  2. Einen Temperatursensor, der die Ist-Temperatur im Tank misst. Diesen Sensor verbinden Sie mit einer Steuerung.
  3. Ein Programm in der Steuerung, das die Heizung steuert, bis die Soll-Temperatur erreicht ist.
    Dieses Steuerungsprogramm ist die Technologische Funktion in der SPS. Sie:
    • hat einen Eingangsparameter: eine Soll-Temperatur, die im Batch Control mit einem Befehlsparameter realisiert wird
    • benötigt einen Ausgangsparameter: auch eine Soll-Temperatur, die erreicht werden muss und im Batch Control als Rückgabeparameter realisiert wird

Um der Steuerung den Ablauf des Rezepts mitteilen zu können, benötigen Sie entsprechende Statusinformationen, die an die Steuerung übertragen werden. Dazu verwenden Sie Reaktionen und für die Rückmeldung Bedingungen.

Eine Grundfunktion besteht daher aus:

Typ | Beschreibung
Befehlsparameter | Die Sollwerte, die an die Steuerung übertragen werden
Rückgabeparameter | Die Rückgabewerte, die der REE den Zustand der Technologischen Funktion in der Steuerung mitteilen. Diese können in Bedingungen und Transitionen ausgewertet werden.
Reaktionen | REE Ereignisse können dazu genutzt werden, einerseits der Technologischen Funktion in der Steuerung den Zustand der REE mitzuteilen, als auch den Benutzer über Fehler (z B.: Timeouts, ungültige Parameterwerte) zu informieren.
Bedingungen | Dienen zur Auswertung der Rückgabeparameter: Der Zustand der Technologischen Funktion in der Steuerung wird ausgewertet.
Zeiten | Zeitkritische Vorgänge können damit überwacht werden. Bei Überschreitung der projektierten Zeit wird ein Ereignis ausgelöst, auf das wiederum mit einer Reaktion reagiert werden kann.

Projektierung

Um eine neue Grundfunktion anzulegen:

  1. wählen Sie das Aggregat für die Grundfunktion aus oder legen Sie das gewünschte Aggregat zuerst an
  2. wählen Sie im Kontextmenü den Befehl Grundfunktion neu
  3. eine neue Grundfunktion wird in der Detailansicht eingeblendet
  4. der Unterpunkt Reaktionen wird automatisch zur Grundfunktion hinzugefügt

info Info

Werden im Editor mehrere Grundfunktionen gleichzeitig ausgewählt, deren Formeln ident sind, aber deren Parameter sich unterscheiden, dann wird das nicht durch farbliche Unterlegung der unterschiedlichen Werte angezeigt.

Noch in diesem Kapitel

Kontextmenü Grundfunktion

Detailansicht Grundfunktion


Kontextmenü Grundfunktion

Handbuch > Batch Control > Projektieren im Editor > Grundfunktionen > Kontextmenü Grundfunktion

Kontextmenü Grundfunktion x

Rechtsklick auf eine erstellte Grundfunktion öffnet ein Kontextmenü zur Erstellung der Parameter:

Parameter | Beschreibung
Initialparameter neu | Erstellt einen neuen Initialparameter.
Wertparameter neu | Erstellt einen neuen Wertparameter.
Rückgabeparameter neu | Erstellt einen neuen Rückgabeparameter.
Verknüpfungen in Grundfunktionen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen für Verknüpfungen in Grundfunktionen.
Umbenennen | Ermöglicht, den Namen der aktuell ausgewählten Grundfunktion zu ändern.
Löschen | Löscht die aktuell ausgewählte Grundfunktion nach einer Sicherheitsabfrage.
Kopieren | Kopiert das ausgewählte Element in die Zwischenablage.
Einfügen | Fügt ein in die Zwischenablage kopiertes Element ein.
Auswahl als XML exportieren... | Exportiert die ausgewählten Grundfunktionen in eine XML-Datei.
Hilfe | Öffnet die Online-Hilfe.


Detailansicht Grundfunktion

Handbuch > Batch Control > Projektieren im Editor > Grundfunktionen > Detailansicht Grundfunktion

Parameter | Beschreibung
Initialparameter neu | Erstellt einen neuen Initialparameter.
Wertparameter neu | Erstellt einen neuen Wertparameter.
Rückgabeparameter neu | Legt einen neuen Rückgabeparameter in der Detailansicht an.
Verknüpfungen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen... | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Parameter

Handbuch > Batch Control > Projektieren im Editor > Parameter

Parameter sind die Kommunikationsschnittstelle zur Steuerung. Mit ihnen werden Werte an die Steuerung übertragen und auch wieder zurückgelesen. Um im Modul Batch Control nicht mit komplexen und für den Anwender unverständlichen Variablennamen arbeiten zu müssen, gibt es die Abstrahierungsschicht. Jeder Parameter besteht - pro Grundfunktion - aus einem eindeutigen Namen und einer Beschreibung. Darin kann der Projektant dem Rezeptersteller oder dem Benutzer beschreiben, wofür der Parameter dient oder welche Auswirkungen er hat.

Zu einer Grundfunktion können Sie eine beliebige Anzahl an Parametern hinzufügen. Wir unterscheiden zwischen Befehlsparametern und Rückgabeparametern. Befehlsparameter werden weiter in Initialparameter und Wertparameter unterteilt. Jeder Parameter kann jederzeit zwischen Befehls- und Rückgabeparameter umgeschaltet werden.

Werte zur Runtime ändern

Sollwerte können fix projektiert werden oder als zur Runtime änderbar. Parameterwerte können zur Runtime nur geändert werden, wenn der Typ auf Initial oder Wert gesetzt wurde.

Um Werte zur Runtime änderbar zu projektieren:

  1. Aktivieren Sie die Checkbox für die Eigenschaft Parameterwert im Vorlagenrezept änderbar.
  2. Entscheiden Sie, ob auch die Werte für Minimum und Maximum geändert werden dürfen.
  3. Aktivieren oder deaktivieren Sie dazu die Eigenschaft IsEditableLimitsInRecipeLocal.

Informationen zum Ändern der Werte zur Runtime lesen Sie im Kapitel Parameter bearbeiten.

Grenzwerte für Befehlsparameter

Werte für Befehlsparamter können mit Minimalwert und Maximalwert begrenzt werden. Zur Runtime können nur Werte angewendet werden, die sich innerhalb dieser Spanne befinden.

Die Minimal- und Maximalwerte für Befehlsparameter können festgelegt werden über:

  • Eigenschaften im Editor:
    Mit den Eigenschaften Min. Wert und Max. Wert werden Minimalwert und Maximalwert fest vorgegeben.
  • Verknüpfte Variablen:
    Mit den Eigenschaften Variable für Min. Wert und Variable für Max. Wert können Variablen definiert werden, die zur Runtime dynamisch die Grenzwerte für den Minimalwert und den Maximalwert festlegen. Die Variablenwerte werden einmalig beim Laden oder Nachladen eines Rezeptes ausgelesen und auf das Vorlagenrezept angewandt.

Noch in diesem Kapitel

Detailansicht Parameter

Befehlsparameter

Rückgabeparameter

Beispiel für Statusparameter

Ausführungsdauer


Detailansicht Parameter

Handbuch > Batch Control > Projektieren im Editor > Parameter > Detailansicht Parameter

Symbolleiste und Kontextmenü stellen Befehle zum Erstellen und Verwalten von Parametern zur Verfügung.

Parameter | Beschreibung
Initialparameter neu | Legt einen neuen Initialparameter in der Detailansicht an.
Wertparameter neu | Legt einen neuen Wertparameter in der Detailansicht an.
Rückgabeparameter neu | Legt einen neuen Rückgabeparameter in der Detailansicht an.
Verknüpfungen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Befehlsparameter

Handbuch > Batch Control > Projektieren im Editor > Parameter > Befehlsparameter

Befehlsparameter übermitteln Informationen und Werte zur Steuerung. Sie werden unterschieden in:

  • Initialparameter: Befehlsparameter, die vor dem Startevent abgesetzt werden. Sie übermitteln Informationen, die vor dem Setzen der Eingangsverriegelung in der Steuerung hinterlegt sein müssen, zum Beispiel, welche Fahrweise ausgeführt wird.
  • Wertparameter: Befehlsparameter, die nach der Eingangsverriegelung beim Ausführen der Grundfunktion abgesetzt werden.

Befehlsparameter beinhalten die Sollwerte, die an die Steuerung übertragen werden. Initialparameter und Wertparameter werden gesichert in die Steuerung geschrieben. Die genaue Beschreibung finden Sie im Kapitel: Ablauf einer Grundfunktion im Detail.

Befehlsparameter können auch in Transitionen, Bedingungen und Reaktionen verwendet werden. Initialparameter und Wertparameter können die gleiche Variable verknüpft haben. Bei der Validierung auf mehrfache Verwendung einer Variablen wird dies berücksichtigt.

Befehlsparameter verfügen über eine Vielzahl von Eigenschaften, die über das Eigenschaftenfenster eingestellt werden können. Dabei gilt:

  • Jeder Parameter muss mit einer Variable verknüpft sein.
  • Der Datentyp der Variable muss mit dem Datentyp des Parameters übereinstimmen.
  • Die Sollwertgrenzen des Parameters müssen innerhalb der Sollwertgrenzen der Variable liegen.

Ist dies nicht der Fall werden bei der Validierung Fehlermeldungen ausgegeben.

Hinweis zur Eigenschaft Parameterwert im Vorlagenrezept änderbar: Damit wird festgelegt ob der Wert des Befehlsparameters vom Ersteller des Vorlagenrezepts modifiziert werden darf. Sollen z. B. Maschinenparameter im Rezept nicht änderbar sein, sondern fix vorgegeben werden, muss diese Eigenschaft deaktiviert werden.

Projektierung

Um einen neuen Befehlsparameter zu erstellen:

  1. wählen Sie die gewünschte Grundfunktion aus
  2. wählen Sie im Kontextmenü den Befehl Initialparameter neu oder Wertparameter neu aus
  3. ein neuer Befehlsparameter wird in der Detailansicht angelegt

Hinweis Kompatibilität

Werden Runtime-Dateien für zenon 7.10 oder darauf folgende Versionen erstellt, dann werden Initialparameter und Wertparameter wieder gleich als Befehlsparameter behandelt. Befehlsparameter aus zenon 7.10 oder früher werden alle in Wertparameter umgewandelt.


Rückgabeparameter

Handbuch > Batch Control > Projektieren im Editor > Parameter > Rückgabeparameter

Die Rückgabeparameter beinhalten die Rückgabewerte, mit denen die Technologische Funktion der REE ihren Status mitteilt. Der Wert wird im Normalfall von der Steuerung gesetzt und von der REE ausgewertet. Rückgabeparameter können in Transitionen und Bedingungen ausgewertet werden.

Ebenso können sie in Reaktionen eingesetzt werden. Dabei werden die im Rückgabeparameter projektierten Werte übernommen. Dazu werden sie in den Reaktionen-Eigenschaftengruppen Parameter zuweisen und bei Parameter Sollwert setzen als Zielparameter verlinkt.

Projektierung

Um einen neuen Rückgabeparameter zu erstellen:

  1. wählen Sie die gewünschte Grundfunktion, für die Sie einen neuen Rückgabeparameter erstellen wollen
  2. wählen Sie im Kontextmenü den Befehl Rückgabeparameter neu
  3. ein neuer Befehlsparameter wird in der Detailansicht angelegt


Beispiel für Statusparameter

Handbuch > Batch Control > Projektieren im Editor > Parameter > Beispiel für Statusparameter

Um mit der Steuerung kommunizieren zu können, benötigen Sie im Normalfall zwei Statusparameter:

  • einen in Schreibrichtung und
  • einen in Leserichtung

Die Variable hinter diesen Parametern sollte einen numerischen Datentypen haben wie USINT oder UINT. Es wird empfohlen, beide Parameter als Rückgabeparameter ausführen.

info Info

Das mag für die Kommandos in Schreibrichtung im ersten Moment unlogisch scheinen, hat aber folgenden Hintergrund: Beim Ausführen der Grundfunktion werden immer alle Befehlsparameter abgesetzt. Damit sind sie auch in der Liste der Befehlsparameter sichtbar und können dadurch auch versehentlich geändert werden. Bei einem Kommando für die Steuerung ist das nicht sinnvoll. Es geht nicht nur darum, einen einzelnen Wert zur Steuerung als Befehl zu kommunizieren, sondern den Status der Grundfunktion im Rezept zu übermitteln.

Gerade beim Schreiben der Befehlsparameter ist es sinnvoll, der SPS nicht einfach das Schreiben an sich mitzuteilen, sondern den Zustand wenn alle Werte geschrieben worden sind und die SPS daher mit der Abarbeitung der Technologischen Funktion beginnen kann.

Dazu verwenden Sie am besten die Reaktion auf das Ereignis Befehlsparameter fertig abgesetzt. Bei Reaktionen auf ein Ereignis kann man auch Werte auf einen Rückgabeparameter schreiben. Daher wird in diesem Fall empfohlen für beide Statusparameter Rückgabeparameter zu verwenden.

Hier ein Beispiel, welche Werte die Parameter annehmen können:

Statusparameter in Schreibrichtung (zur SPS): Kommandos

Wert | Name des Ereignisses
0 | nicht definiert
1 | Grundfunktion gestartet
2 | Befehlsparameter fertig abgesetzt
3 | Grundfunktion beendet: Weiterschaltbedingung erfüllt und Minimale Ausführungsdauer erreicht (falls projektiert)
4 | Grundfunktion deaktiviert
5-9 | Reserve
10 | Statuswechsel: Pausierend
11 | Statuswechsel: Fortsetzend
12 | Statuswechsel: Anhaltend
13 | Statuswechsel: Neustartend
14 | Statuswechsel: Stoppend
15 | Statuswechsel: Abbrechend
16-19 | Reserve
20 | Moduswechsel: Automatisch
21 | Moduswechsel: Halbautomatisch
22 | Moduswechsel: Manuell
23-29 | Reserve
30 | Runtime beenden angestoßen
31 | Runtime Wiederanlauf
32 | Aggregatsbelegung nicht möglich
33 | Wartezeit Aggregatsbelegung überschritten
34 | Eingangsverriegelung blockiert
35 | Wartezeit Eingangsverriegelung überschritten
36 | Maximale Ausführungsdauer überschritten
37 | Wartezeit nachfolgende Bedingung überschritten
38 | Grundfunktion mehrfach gestartet

Die genaue Bedeutung der Ereignisse finden Sie im Kapitel Ereignistyp.

Für jeden Eintrag in der Tabelle legen Sie eine entsprechende Reaktion zum Schreiben des Statuswerts bei der Grundfunktion an.
Tipp: Verwenden Sie bei allen Grundfunktionen die selben Parameterbezeichnungen, z. B.: StatusGrundfunktion. Sie müssen dann die Reaktionen nur bei einer einzigen Grundfunktion projektieren und können diese mit Copy & Paste an alle Grundfunktionen übertragen. Sie können natürlich auch die Parameter kopieren. Vergessen Sie dabei jedoch nicht, die Variablen richtig zu stellen. Diese müssen zur jeweiligen Grundfunktion passen.

Parameter in Leserichtung (von der SPS): Rückgabewerte

Wert | Beschreibung | Verknüpft in der Eigenschaft
0 - 1 | Nicht definiert |
2 | Technologische Funktion abgeschlossen | Weiterschaltbedingung
3 - 9 | Reserve |
10 | Technologische Funktion pausiert | Pausiert
11 | Reserve |
12 | Technologische Funktion angehalten | Angehalten
13 | Technologische Funktion neu gestartet | Neu gestartet
14 | Technologische Funktion gestoppt | Gestoppt
15 | Technologische Funktion abgebrochen | Abgebrochen

Verknüpfen Sie die Werte mit einer Formel in der jeweiligen Eigenschaft.

Tipp: Sie können die Formel kopieren und nur den jeweiligen Wert ändern. Wenn Sie diese Einstellung ganz zu Beginn der Parametrierung der ersten Grundfunktion durchführen, können Sie die gesamte Grundfunktion kopieren und verfügen damit bei allen Grundfunktionen über diese Einstellungen.


Ausführungsdauer

Handbuch > Batch Control > Projektieren im Editor > Parameter > Ausführungsdauer

Die Ausführungsdauer wird über zwei Eigenschaften, die nicht zusammenhängen, geregelt. Ihre Werte müssen sich also nicht sinnvoll ergänzen.

Maximale Ausführungsdauer

Die Maximale Ausführungsdauer bezieht sich auf Grundfunktion deaktiviert und damit auf den Prozess. Sie hängt nicht mit der Minimalen Ausführungsdauer zusammen.

Minimale Ausführungsdauer

Die Eigenschaft Minimale Ausführungsdauer legt fest, wie lange in zenon nach dem Schreiben der Befehlsparameter gewartet wird, unabhängig vom Prüfen der Weiterschaltbedingung. Während der Ausführung wird die maximale Ausführungsdauer geprüft. Wird diese überschritten, wird ein Ereignis ausgelöst. Dieses kann mit einer Reaktion verknüpft werden. Das geschieht unabhängig davon, ob die Grundfunktion immer noch ihre Weiterschaltbedingung prüft oder nur noch auf die Minimale Ausführungsdauer wartet.

Die Länge der Minimalen Ausführungsdauer kann auch die der Maximalen Ausführungsdauer überschreiten.

Beispiel

  • Es gibt eine Grundfunktion: Rühren einschalten. Die Bestätigung, dass der Rührer läuft, darf maximal 5 Sekunden dauern, bevor vor einem Fehler gewarnt wird.
    Projektierung: Eigenschaft Maximale Ausführungsdauer erhält Wert 5 Sekunden mit entsprechender Reaktion.
  • Der Mixer soll aber 15 Minuten lang laufen, bevor die nächste Grundfunktion ausgeführt wird.
    Projektierung: Eigenschaft Minimale Ausführungsdauer erhält Wert 15 Minuten.

Damit beträgt die Minimale Ausführungsdauer 15 Minuten und die Maximale Ausführungsdauer 5 Sekunden.


Bedingungen

Handbuch > Batch Control > Projektieren im Editor > Bedingungen

Die Bedingungen dienen dazu, der REE den Status der Technologischen Funktion in der Steuerung mitzuteilen. Zur Auswertung der Bedingungen werden immer Formeln benutzt, die mit dem Formeleditor erstellt werden.

Tipp: Benutzen Sie einen einzigen Statusparameter (Rückgabeparameter), der verschiedene Werte annimmt, um den Zustand der Technologischen Funktion in der Steuerung an die Grundfunktion zu übermitteln. Ein Beispiel finden Sie im Kapitel Beispiel für Statusparameter.

Projektierung

Um eine neue Bedingung anzulegen:

  1. Klicken Sie auf die entsprechende Grundfunktion.
  2. Wählen Sie in den Eigenschaften die gewünschten Bedingungen aus dem Knoten Allgemein oder Bedingungen transiente Status.
  3. Klicken Sie in das Feld für den Wert oder auf die Schaltfläche ... .

    Der Formeleditor wird gestartet.

  4. Definieren Sie die Formel für die Bedingung.

Hinweis: Das Gegenstück zu den Bedingungen sind die Reaktionen. Mit ihnen wird der Ausführungsstatus an die Technologischen Funktionen in der Steuerung übertragen.

Allgemein

Als allgemeine Bedingungen stehen zur Verfügung:

  • Eingangsverriegelung

    Mit einer Eingangsverriegelung wird eine Grundfunktion zur Runtime erst ausgeführt, wenn die Bedingung für die Eingangsverriegelung erfüllt wurde.
    Die Eingangsverriegelung wird über die Eigenschaft Eingangsverriegelung konfiguriert. Über den Formeleditor wird die Bedingung, die die Eingangsverriegelung erfüllen muss, definiert. Die Formel kann aus einem oder mehreren Befehlsparameter und/oder Rückgabeparameter der Grundfunktion bestehen. Auch Wert und Status der Variablen können verwendet werden. Die Formel gibt TRUE oder FALSE als Ergebnis aus. Die Bedingung kann zur Runtime angezeigt, aber nicht verändert werden. Die Wartezeit für die Eingangsverriegelung wird mit der Eigenschaft Wartezeit Eingangsverriegelung konfiguriert.

    Die ausführung einer Grundfunktion erfolgt, sobald folgende Bedingungen erfüllt sind:

    • die Grundfunktion ist aktiv
    • das Aggregat ist belegt
    • die Grundfunktion wird nicht bereits ausgeführt
    • alle benötigten Variablen haben einen Wert bekommen

    die Eingangsverriegelung ist erfüllt, sofern eine solche definiert wurde

    Hinweis:Informationen zum Verhalten einer Eingangsverriegelung finden Sie auch im Kapitel Ablauf einer Grundfunktion im Detail.

  • Weiterschaltbedingung

    Nachdem alle Wertparameter erfolgreich geschrieben wurden, prüft eine Grundfunktion die Weiterschaltbedingung. Die Grundfunktion kann erst abgeschlossen und das Rezept fortgesetzt werden, wenn die Weiterschaltbedingung erfüllt ist. Diese wird über die Eigenschaft Weiterschaltbedingung konfiguriert.
    Die zu erfüllende Bedingung wird über den Formeleditor definiert.
    Die Formel:

    • kann aus einem oder mehreren Befehlsparametern und/oder Rückgabeparametern der Grundfunktion bestehen
    • kann Wert und Status der Variablen verwenden

gibt TRUE oder FALSE als Ergebnis aus.

Die Bedingung kann zur Runtime angezeigt, aber nicht verändert werden. Die Wartezeit für die Weiterschaltbedingung wird mit der Eigenschaft Maximale Ausführungsdauer konfiguriert

Transiente Status

Als Transitionen stehen folgende Eigenschaften zur Verfügung:

  • Pausiert
    Der Ablauf bleibt innerhalb der Grundfunktion stehen bei:
    • Warten auf Beendet
    • Warten auf Zuweisung
    • Warten auf Verriegelung
    • Warten auf Ende Grundfunktion
    • Prüfen auf parallele Ausführung
  • Angehalten
    Der Ablauf bleibt innerhalb der Grundfunktion stehen bei:
    • Warten auf Beendet
    • Warten auf Zuweisung
    • Warten auf Verriegelung
    • Warten auf Ende Grundfunktion
    • Prüfen auf parallele Ausführung
  • Gestoppt
  • Abgebrochen
  • Neu gestartet
    Grundfunktion wird von Anfang an neu ausgeführt.
  • Ausstiegsbedingung
    Bei Zutreffen dieser Bedingung wird der aktuelle Ausführungsschritt unterbrochen und aus der Grundfunktion ausgestiegen. Details finden Sie im Kapitel Aus Grundfunktion aussteigen.

Variablen

Übergangsbedingungen werden mit Parameter definiert, die mit Variablen verknüpft sind. Sie bestimmen, wann die Grundfunktion den Status wechselt.

Der Statuswechsel wird verzögert bis:

  • jede Variable einen Wert hat
  • die Formel TRUE ist
  • der Status keiner Variable gestört ist

Wird keine Bedingung definiert, ist der Statuswechsel immer erlaubt.

Alle Variablen für den Statuswechsel werden beim Advisen der Variablen mit angefordert, um möglichst schnell einen Wert zu bekommen. Der Wert für eine Variable, die den Statuswechsel bestimmt, wird beim Wechseln in den transienten Status ausgelesen. Ein eventueller Puls muss innerhalb der Wartezeit den Wert TRUE haben, um erkannt zu werden.

Hinweis: Beim Beenden der Runtime wird nicht auf die Variable zum Statuswechsel von stoppend auf gestoppt gewartet, da zu diesem Zeitpunkt bereits alle Variablen abgemeldet sind.

Noch in diesem Kapitel

Wartezeiten


Wartezeiten

Handbuch > Batch Control > Projektieren im Editor > Bedingungen > Wartezeiten

Der Rezeptersteller kann Wartezeiten definieren. Die Konfiguration von Wartezeiten (Timeouts) verhindert, dass zeitkritische Prozesse durch unvorhergesehene Ereignisse zu lange dauern. Wird die Bedingung nicht innerhalb der definierten Wartezeit erreicht, wird ein entsprechendes Ereignis ausgelöst. Mit den Reaktionen kann man auf das Ereignis reagieren und den Rezeptablauf beeinflussen.

Für alle Wartezeiten gilt:

  • Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.
  • Die Wartezeiten laufen unabhängig vom Rezeptstatus (also z. B. auch bei Rezept pausieren) und auch beim Beenden und Neustarten der Runtime ununterbrochen weiter.
  • Wird eine Grundfunktion angehalten und neu gestartet, werden die Wartezeiten neu gestartet.
  • Wird eine Grundfunktion mehrfach durchlaufen werden bei jedem erneuten Durchlauf die Wartezeiten neu gestartet.
  • Wartezeiten selbst beeinflussen den Ablauf in keiner Weise. Sie dienen nur dazu, ein Ereignis zu generieren. Die Reaktion muss im Ereignis definiert werden. Nach dem Auslösen des Ereignisses wird weiter auf die Erfüllung der Bedingung gewartet.


Reaktionen

Handbuch > Batch Control > Projektieren im Editor > Reaktionen

Reaktionen sind das Herzstück, um den Rezeptablauf zu beeinflussen und mit der Steuerung zu kommunizieren. Reaktion basieren immer auf Ereignissen. Das können Ereignisse der REE (z B.: Grundfunktion gestartet) sein, sowie auch allgemeine Ereignisse (z B. "Runtime beenden" angestoßen). Mit Hilfe der Reaktionen können Sie z B. der Steuerung mitteilen, wann eine Grundfunktion in der REE gestartet oder beendet wurde und wann alle Befehlsparameter abgesetzt wurden.

Ebenso müssen Sie mit Reaktionen den Status der Grundfunktion an die Steuerung übermitteln. Ansonsten hat die Steuerung keinerlei Information über den Ablauf des Rezepts.

Beispiel: Stoppen Sie die REE oder die Grundfunktion, wird das Ereignis Statuswechsel: Stoppen ausgelöst. Als Reaktion können Sie diesen Statuswechsel als Sollwertvorgabe an die Steuerung übermitteln. Erst dann kann die Steuerung darauf regieren und die Technologische Funktion stoppen. Ein Beispiel finden Sie im Kapitel Beispiel für Statusparameter.

Hinweis: Das Gegenstück zu den Reaktionen sind die Bedingungen. Mit ihnen wird der Status der Technologischen Funktion in der Steuerung an die REE übertragen.

Projektierung

Mit jeder Grundfunktion wird automatisch der Knoten Reaktionen erstellt. In diesem Knoten können beliebige Reaktionen angelegt werden. Um eine neue Reaktion anzulegen:

  1. klicken Sie auf Reaktionen
  2. wählen Sie im Kontextmenü den Befehl Reaktion neu
  3. eine neue Reaktion wird in der Detailansicht angelegt
  4. klicken Sie in der Detailansicht auf den Eintrag in der Spalte Ereignis
  5. wählen Sie aus der Dropdownliste das gewünschte Ereignis aus und definieren Sie im Eigenschaftenfenster die gewünschte Reaktionsart.

Pro Ereignis sind mehrere Reaktionen möglich. Diese werden bei ihrer Auslösung sortiert und entsprechend ihrer Priorität ausgeführt. Dabei hat 1 die höchste Priorität. Über die Symbolleiste oder das Kontextmenü können Reaktionen gleichen Typs umsortiert werden.

Einige der Reaktionen werden nur einmal im Ablauf ausgelöst, zum Beispiel Timeouts. Wird die Grundfunktion neu gestartet, werden auch diese Reaktionen bei Bedarf erneut ausgelöst.

Reaktionen können immer nur Parameter ihrer eigenen Grundfunktion verwenden. Werden Reaktionen von anderen Grundfunktionen kopiert, versuchen diese, Parameter gleichen Namens der neuen Grundfunktion zu verwenden.

Projektierungsregeln

  • Reaktionen können in jedem Objektstatus auftreten.
  • Pro Ereignis sind mehrere Reaktionen möglich. Diese werden bei ihrer Auslösung sortiert und entsprechend ihrer Priorität ausgeführt. Dabei hat 1 die höchste Priorität.
  • Alle Variablen aller Parameter werden beim Treiber zum Lesen angemeldet. Sollte ein Wert bei einer Reaktion benötigt werden, aber noch nicht zur Verfügung stehen oder gestört sein, wird der Ersatzwert geschrieben. Das Schreiben der Werte erfolgt ohne Schreibbestätigung.
  • Einige der Reaktionen werden nur einmal im Ablauf ausgelöst, zum Beispiel Timeouts. Wird die Grundfunktion neu gestartet, werden auch diese Reaktionen bei Bedarf erneut ausgelöst.

Verhalten zur Runtime

Für jede Reaktion können in der Eigenschaften-Gruppe Reaktionen eine Reihe von Aktionen konfiguriert werden, wie Parameter Sollwert setzen, Funktion, Parameter zuweisen oder Rezeptbeeinflussung. Zum Beispiel, um nach einem Neustart der Runtime den REE-Modus zu ändern oder oder beim Schreiben von Befehls-Parametern einen REE-Befehl auszuführen.

Beachten Sie dabei:

  • Das Ausführen dieser Aktionen kann zur Runtime von anderen Ereignissen unterbunden werden.
    Zum Beispiel kann der Status der Grundfunktion das Ausführen einer Aktion verhindern.
  • Mehrere verschiedene Reaktionen werden intern im selben Durchführungszyklus verarbeitet. Pro Zyklus ist aber nur ein REE-Befehl zulässig. In der Regel wird der letzte REE-Befehl ausgeführt.

Hinweis: Aktionen von Reaktionen werden in der CEL geloggt, wenn für die Reaktion die Eigenschaft CEL Eintrag erzeugen aktiviert wurde. Als Benutzer wird System eingetragen.

Noch in diesem Kapitel

Kontextmenü Reaktionen Aggregatsbaum

Detailansicht Reaktionen

Ereignisse

Reaktionsarten


Kontextmenü Reaktionen Aggregatsbaum

Handbuch > Batch Control > Projektieren im Editor > Reaktionen > Kontextmenü Reaktionen Aggregatsbaum

Parameter | Beschreibung
Reaktion neu | Erstellt eine neue Reaktion in der Detailansicht.
Verknüpfungen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Hilfe | Öffnet die Online-Hilfe.


Detailansicht Reaktionen

Handbuch > Batch Control > Projektieren im Editor > Reaktionen > Detailansicht Reaktionen

Parameter | Beschreibung
Reaktion neu | Legt eine neue Reaktion in der Detailansicht an.
Ausführungsreihung: Früher | Für Reaktionen gleichen Typs: Reiht die Reaktion in der Ausführungsreihenfolge vor.
Ausführungsreihung: Später | Für Reaktionen gleichen Typs: Reiht die Reaktion in der Ausführungsreihenfolge zurück.
Ausführungsreihung: Tauschen | Nur aktiv, wenn exakt zwei Reaktionen ausgewählt wurden. Tauscht Platz in der Ausführungsreihenfolge für diese beiden Rektionen.
Verknüpfungen ersetzen | Öffnet den Dialog zum Ersetzen von Verknüpfungen.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Ereignisse

Handbuch > Batch Control > Projektieren im Editor > Reaktionen > Ereignisse

Jede Reaktion ist eine Reaktion auf ein Ereignis. Das Ereignis wird in der Eigenschaft Ereignis festgelegt. Für jedes Ereignis können mehrere Reaktionen definiert werden. Die Ausführungsreihenfolge kann in der Detailansicht festgelegt werden.

Bei der Validierung des Rezepts zur Runtime wird im Fehlerfall der Name des Ereignisses angezeigt.
Syntax: (Ereignisname.x) Wobei Ereignisname dem Ereignis entspricht. x ist eine Ziffer, welche die Position in der Ausführungsreihenfolge anzeigt.

Aus der Dropdownliste können Sie folgende Ereignisse auswählen:

Ereignis

Beschreibung

Ablauf

Ereignisse im Ablauf.

Grundfunktion aktiviert

Ist das erste ausgelöste Ereignis.

Mit diesem Ereignis teilen Sie der SPS mit, dass die Grundfunktion in der REE aktiviert wurde und dass voraussichtlich bald die Grundfunktion gestartet wird.

Aggregatsbelegung nicht möglich

Wird ausgelöst, wenn das Aggregat beim ersten Versuch nicht erfolgreich belegt werden kann.

Grundfunktion gestartet

Mit diesem Ereignis teilen Sie der SPS mit, dass die Grundfunktion in der REE gestartet wurde und dass voraussichtlich bald die Befehlsparameter geschrieben werden.

Andere Ereignisse können vor diesem Ereignis ausgeführt werden, wenn für das entsprechende Ereignis die Eigenschaft Ausführung vor Start Event erlauben aktiviert wurde. Details siehe Abschnitt Ausführung vor Grundfunktion gestartet erlauben.

Eingangsverriegelung blockiert

Wird ausgelöst, wenn die Eingangsverriegelung erfolgreich blockiert wurde. Die Verriegelung wird nicht ausgeführt.

Nur sinnvoll, wenn die Eigenschaft Eingangsverriegelung konfiguriert wurde.

Eingangsverriegelung erfolgreich geprüft

Wird ausgelöst, wenn die Überprüfung der Eingangsverriegelung bei der ersten Prüfung zutrifft. Die Verriegelung wird ausgeführt.

Nur sinnvoll, wenn die Eigenschaft Eingangsverriegelung konfiguriert wurde.

Wertparameter fertig abgesetzt

Wird ausgelöst, wenn alle Befehlsparameter geschrieben wurden. Es kann jedoch nicht garantiert werden, dass wirklich alle Parameter in der Steuerung angekommen sind. Das hängt von der Kommunikation und vom jeweiligen Treiber ab. Es kann jedoch davon ausgegangen werden.

Empfehlung: Nutzen Sie dieses Ereignis dazu, um der SPS mitzuteilen, dass die Grundfunktion alle Befehlsparameter geschrieben hat und die SPS mit der Abarbeitung der Technologischen Funktion beginnen kann.

Weiterschaltbedingung erfüllt

Wird ausgelöst, wenn die Grundfunktion beendet ist. Dieses Ereignis ist die letzte Reaktion der Grundfunktion und unabhängig vom Grund des Beendens. Damit ist die Weiterschaltbedingung erfüllt.

Dieses Ereignis wird auch bei einem Neustart ausgelöst.

Grundfunktion deaktiviert

Wird ausgelöst, wenn die Grundfunktion gestartet war und jetzt beendet wird.

Timeout

Ereignisse zu Timeouts.

Grundfunktion mehrfach gestartet

Eine Grundfunktion kann nur einmal aktiv sein. Wird sie parallel mehrfach aktiv, dann wird dieses Ereignis ausgelöst.

Wartezeit Aggregatsbelegung überschritten

Wird ausgelöst, wenn die Wartezeit für die Aggregatsbelegung abläuft. Kann auch während Pausierend und Angehalten auftreten.

Wartezeit Eingangsverriegelung überschritten

Wird ausgelöst, wenn die Wartezeit (Timeout) für die Eingangsverriegelung abgelaufen ist.

Nur sinnvoll, wenn eine Eingangsverriegelung definiert wurde.

Befehlsparameter ohne Wert

Wird ausgelöst, wenn ein Befehlsparameter umgeschaltet werden soll und die dem Parameter zugeordnete Variable keinen gültigen Ausgangswert hat.

Maximale Ausführungsdauer überschritten

Wird ausgelöst, wenn die Wartezeit (Timeout) zum Warten auf die Weiterschaltbedingung (Beendet) überschritten wird.

Wartezeit nachfolgende Bedingung überschritten

Wird ausgelöst, wenn die Grundfunktion, obwohl die Weiterschaltbedingung erfüllt war, nicht innerhalb der hierfür vorgesehenen Wartezeit (Timeout) abgeschlossen wird.

Verknüpfte Variable gestört
  • Wenn der Wert einer Variable mit Status INVALID (Ungültig) verwendet werden soll, wird dieses Ereignis einmalig pro gestörter Variable und Grundfunktion erzeugt.
  • Wenn der Variablenstatus von INVALID auf Nicht-INVALID und wieder auf INVALID wechselt, wird bei Verwendung der Variablen die Reaktion erneut ausgelöst.
  • Wenn die Grundfunktion neu gestartet wird, wird bei Verwendung einer gestörten Variablen dieses Ereignis erneut ausgelöst.

Bei folgenden Aktivitäten wird auf gestörte Variable geprüft:

  • Quellvariable in Reaktion
  • Variable für Weiterschaltbedingung
  • Variable für die Eingangsverriegelung
  • Befehlsparameter invertiert schreiben
  • Variablen für Statuswechsel bei transienten Status erlauben
  • Hinweis: Die Abarbeitung der Ereignisse bei INVALID erfolgt nicht unbedingt in der Reihenfolge ihres Eintreffens. Tritt also während der Abarbeitung eines anderen Ereignisses ein INVALID Fehler auf, kann dieses Ereignis das gerade ausgeführte überholen.

Statuswechsel

Ereignisse zum Statuswechsel.

Wenn die Grundfunktion ihren Status ändert, wird die entsprechende Reaktion aktiviert.

Statuswechsel: In Ausführung

Die Grundfunktion wird ausgeführt.

Statuswechsel: Pausierend

Die Grundfunktion wird gerade auf Pausiert geschaltet.

Statuswechsel: Pausiert

Die Grundfunktion pausiert.

Statuswechsel: Fortsetzen

Die Grundfunktion wird nach einer Unterbrechung fortgesetzt.

Ein Statuswechsel im Objekt von Pausiert auf In Ausführung löst die Ereignisse Fortsetzen und In Ausführung aus.

Statuswechsel: Anhaltend

Die Grundfunktion wird gerade angehalten.

Statuswechsel: Angehalten

Die Grundfunktion wurde angehalten.

Statuswechsel: Neu startend

Die Grundfunktion startet gerade neu.

Statuswechsel: Stoppend

Die Grundfunktion wird gerade gestoppt.

Statuswechsel: Gestoppt

Die Grundfunktion wurde gestoppt.

Statuswechsel: Abbrechend

Die Grundfunktion wird gerade abgebrochen.

Statuswechsel: Abgebrochen

Die Grundfunktion wurde abgebrochen.

Statuswechsel: Abgeschlossen

Die Grundfunktion ist abgeschlossen.

Ausstiegsbedingung gestartet

Wird ausgelöst, wenn die Ausstiegsbedingung für den Ausstieg aus einer Grundfunktion gestartet wird.

Ausstiegsbedingung erfüllt

Wird ausgelöst, wenn die Ausstiegsbedingung für den Ausstieg aus einer Grundfunktion erfüllt ist.

Moduswechsel

Ereignisse zum Moduswechsel in der REE

Moduswechsel: Automatisch

Die REE wurde in den Modus Automatisch geschaltet.

Moduswechsel: Halbautomatisch

Die REE wurde in den Modus Halbautomatisch geschaltet.

Moduswechsel: Manuell

Die REE wurde in den Modus Manuell geschaltet.

Runtime beenden und neu starten

Ereignisse zum Beenden und Neustarten der Runtime.

Runtime beenden angestoßen

Wird ausgelöst, wenn die Runtime beendet wird. Dies ist ein besonders kritischer Zustand für das Modul Batch Control, da der Rezeptablauf in der Steuerung nicht sofort aufhört. Daher wird das Beenden der Runtime solange verhindert, bis das Modul Batch Control alle Daten gesichert hat. Es wird ein Prozessabbild erstellt, auf das dann wieder aufgesetzt werden kann.

Ebenso wird dafür gesorgt, dass Parameter der Sollwert Setzen Aktionen bei diesem Ereignis sicher auf der Steuerung ankommen. Die Grundfunktion wird intern erst pausiert, wenn die Schreibbestätigung vom Treiber erfolgt ist.

Weitere Details zum Beenden der Runtime findend Sie im Kapitel: Runtime Beenden und Wiederanlauf.

Bei diesem Ereignis sind keine Reaktionsarten der Gruppe Rezeptbeeinflussung möglich.

Runtime Wiederanlauf

Die Runtime ist wieder angelaufen.

Störungen und Fehler

Ereignisse zu Störungen und Fehler in der Kommunikation und auf der SPS.

Kommunikationsstörung

Mit diesem Ereignis wird mitgeteilt, dass die Kommunikation unterbrochen ist.

Kommunikationsstörung behoben

Mit diesem Ereignis wird mitgeteilt, dass der Kommunikationsausfall behoben wurde.

Kommunikationsstörung quittiert

Mit diesem Ereignis wird mitgeteilt, dass eine angezeigte Kommunikationsstörung quittiert wurde.

SPS-Fehler

Wird ausgelöst, wenn ein SPS-Fehler ansteht.

SPS-Fehler behoben

Wird ausgelöst, wenn ein SPS-Fehler behoben wurde.

SPS-Fehler behoben durch Deaktivierung der Grundfunktion

Wird ausgelöst, wenn beim Beenden einer Grundfunktion ein SPS-Fehler anstand. Dieser wurde beim Beenden auf behoben geändert. Gilt nicht für einen Neustart der Grundfunktion.

Ereignisse bei Neustart

Die Reaktionen Grundfunktion aktiviert, Grundfunktion gestartet und Grundfunktion deaktiviert werden immer nur einmal aktiviert. Bei einem Neustart der Grundfunktion werden diese Reaktionen nicht erneut ausgelöst. Der Ablauf der Grundfunktion beginnt zwar erneut, allerdings wurde er davor noch nicht vollständig ausgeführt.

Analog dazu wird die Reaktion Grundfunktion deaktiviert erst nach dem Beenden der Grundfunktion ausgelöst und nicht bei einem Neustart.

Die Reaktion Grundfunktion gestartet wird ausgelöst, wenn die Aggregatsbelegung und die parallele Ausführungserkennung ausgeführt wurden. Hat der Ablauf bei einem Neustart diese Erkennung noch nicht überschritten, wird die Reaktion beim Kommando Neu Starten ausgelöst. Ist der Ablauf bereits weiter fortgeschritten, wird die Reaktion nicht erneut ausgeführt.

Ausführung vor "Grundfunktion gestartet" erlauben

Ereignisse können auch vor dem Ereignis Grundfunktion gestartet zugelassen werden. Dazu muss für das entsprechende Ereignis die Eigenschaft Ausführung vor Start Event erlauben aktiviert werden. Diese Eigenschaft ist nur für Ereignisse konfigurierbar, die sowohl vor als auch nach Grundfunktion gestartet möglich sind. Bei allen anderen Ereignissen wird der Wert automatisch entsprechend ihrem Typ gesetzt.

Folgende Ereignisse sind vor und nach "Grundfunktion gestartet" zugelassen:

  • Moduswechsel
  • Statuswechsel
  • Ausstieg aus der Grundfunktion
  • Runtime beenden angestoßen
  • Runtime wiederanlaufen
  • Verknüpfte Variable gestört
  • Grundfunktion deaktiviert (kann vorher auftreten, wenn vor Grundfunktion gestartet aus der Grundfunktion ausgestiegen wurde)
  • Wartezeit für nachfolgende Bedingungen überschritten (kann vorher auftreten, wenn vor Grundfunktion gestartet aus der Grundfunktion ausgestiegen wurde)
  • Kommunikationsstörungen (aber erst ab dem Schritt, in dem auf die Werte für die Eigenschaft Kommunikationsstörung gewartet wird)

Folgende Ereignisse sind nur vor "Grundfunktion gestartet" zugelassen:

  • Grundfunktion aktiviert
  • Aggregatsbelegung
  • Grundfunktion mehrfach gestartet (exklusive Ausführung)

Alle anderen Ereignisse sind nur nach Ereignis Grundfunktion gestartet zugelassen.


Reaktionsarten

Handbuch > Batch Control > Projektieren im Editor > Reaktionen > Reaktionsarten

In den Eigenschaften der Reaktionen werden die Reaktionsarten genauer definiert und parametrisiert. In der Gruppe Reaktionen stehen Ihnen folgende Reaktionsarten zur Verfügung:

Reaktionsart

Beschreibung

Parameter Sollwert setzen

Beeinflusst sowohl Befehlsparameter als auch Rückgabeparameter direkt. Es können alle Parameterdatentypen verwendet werden.
Achtung: Der Wert muss innerhalb der Sollwertgrenzen der Variablen, die beim Parameter verknüpft ist, liegen. Ist dies nicht der Fall, wird bei der Validierung eine Fehlermeldung ausgegeben.

CEL-Eintrag

Erzeugt eine Eintrag in der CEL. Damit kann die Reaktion dokumentiert und der Rezeptablauf auch später noch nachvollzogen werden. Dazu muss die Eigenschaft CEL Eintrag erzeugen aktiviert worden sein. Der Text für die CEL wird in der Eigenschaft CEL Meldungstext festgelegt.

Als Benutzer wird System eingetragen.

Funktion

Ermöglicht das Verknüpfen einer beliebigen zenon Funktion.

Damit können Sie z. B. ein Pop-up aufschalten, um den Benutzer über einen bestimmten Zustand zu informieren, oder eine Sicherungsaktion von Daten anstoßen.

Hinweis: Im Netzwerk wird die Funktion immer am Server ausgeführt.

Parameter zuweisen

Ermöglicht es, eine Wertzuweisung von einem Quellparameter auf einen Zielparameter vorzunehmen. Es können sowohl Befehlsparameter als auch Rückgabeparameter verwendet werden. Der Datentyp von Quell-und Zielparameter muss ident sein, sonst wird bei der Validierung des Rezepts ein Fehler ausgegeben.

Rezeptbeeinflussung

Erlaubt es:

  • den Ausführungsmodus zu ändern
  • Kommandos für die REE auszuführen
  • Grundfunktionskommandos auszuführen

Damit kann auf schwerwiegende Ereignisse, wie Wartezeiten überschritten oder Verknüpfte Variable gestört, reagiert werden-

Hinweis: Verwenden Sie diese Reaktionsart sorgsam, da diese Reaktionsart den gesamten Rezeptablauf beeinflusst

Pro Ereignis können Sie jeweils nur ein einziges Mal:

  • den Modus setzen und
  • ein einziges Kommando absetzen.

Denn es ist zum Beispiel nicht sinnvoll, mit dem selben Ereignis das Rezept zu pausieren und es gleichzeitig anzuhalten.

Mehr über Kommandos lesen Sie im Kapitel Kommandos und Aktionen.


Fahrweisen

Handbuch > Batch Control > Projektieren im Editor > Fahrweisen

Fahrweisen ermöglichen es, eine Grundfunktion in verschiedenen Ausführungen zu parametrieren. Bei jeder Fahrweise werden nur die der Fahrweise zugeordneten Befehlsparameter abgesetzt.

Fahrweisen projektieren

Um Fahrweisen zu nutzen, müssen diese in der Grundfunktion aktiviert werden. Dazu:

  1. Markieren Sie die gewünschte Grundfunktion.
  2. Navigieren Sie zur Eigenschaftengruppe Fahrweisen.
  3. Aktivieren Sie die Checkbox vor der Eigenschaft Fahrweisen aktiv.
  4. Wählen Sie in der Eigenschaft Fahrweisenparameter einen Parameter. Dieser Parameter definiert zur Runtime, welche Fahrweise aktiv ist.
  5. Im Editor wird damit bei der Grundfunktion der Knoten Fahrweisen angezeigt.
  6. Führen Sie einen Rechtsklick auf den Knoten aus und wählen Sie im Kontextmenü den Eintrag Fahrweise neu.
  7. Eine neue Fahrweise wird erstellt.
  8. Konfigurieren Sie die Eigenschaften der Fahrweise.
    Beachten Sie dabei:
    • Name und Fahrweisennummer der Fahrweise müssen innerhalb der Grundfunktion eindeutig sein.
    • Der Name darf nicht leer sein, keinen Punkt enthalten, nicht nur aus Leerzeichen bestehen und maximal 256 Zeichen lang sein.
  9. Fügen Sie die gewünschten Befehlsparameter hinzu.

    Hinweis: Klick auf einen Parameter zeigt dessen Eigenschaften an.
    Bearbeitet werden können nur folgende Eigenschaften in der Gruppe Sollwert setzen:

    • Parameterwert
    • Min. Wert
    • Max. Wert
    • Parameterwert im Vorlagenrezept änderbar

    Alle anderen Eigenschaften können nicht bearbeitet werden. Um diese zu editieren, wechseln Sie zur Parameterliste der Grundfunktion.

Fahrweisen kopieren

Fahrweisen können über Befehle im Kontextmenü und der Symbolleiste kopiert und bei gleichen oder anderen Grundfunktionen eingefügt werden.

Werden Fahrweisen übergreifend über Grundfunktionen, Aggregate oder Projekt kopiert, dann werden nur jene Parameterverknüpfungen eingefügt, die in der neuen Grundfunktion auch aufgelöst werden können. Die Bedingungen sind dabei die gleichen wie beim Einfügen von Parameterverknüpfungen.

Noch in diesem Kapitel

Kontextmenü Knoten Fahrweisen

Kontextmenü ausgewählte Fahrweise

Symbolleiste und Kontextmenü Fahrweisenliste

Parameter


Kontextmenü Knoten Fahrweisen

Handbuch > Batch Control > Projektieren im Editor > Fahrweisen > Kontextmenü Knoten Fahrweisen

Rechtsklick auf den Knoten Fahrweisen öffnet ein Kontextmenü mit folgenden Einträgen:

Parameter | Beschreibung
Fahrweise neu | Erstellt eine neue Fahrweise ein.
Fahrweise einfügen | Fügt eine kopierte Fahrweise aus der Zwischenablage ein. Kopierte Fahrweisen werden beim Einfügen in eine Grundfunktion so angepasst, dass Name und Fahrweisennummer eindeutig gemacht werden, sofern sie es in der Grundfunktion nicht bereits sind.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü ausgewählte Fahrweise

Handbuch > Batch Control > Projektieren im Editor > Fahrweisen > Kontextmenü ausgewählte Fahrweise

Rechtsklick auf eine Fahrweise öffnet ein Kontextmenü mit folgenden Einträgen:

Parameter

Beschreibung

Befehlsparameter hinzufügen

Öffnet den Dialog zur Auswahl von Befehlsparametern.

Parameterverknüpfungen einfügen

Fügt Parameter, die von einer anderen Fahrweise kopiert wurden, zur ausgewählten Fahrweise hinzu. Hinweis: Kopieren Sie die Parameter in der Fahrweisenliste.

Umbenennen

Markiert den Namen zum Umbenennen.

Löschen

Löscht die ausgewählte Fahrweise nach einer Sicherheitsabfrage.

Kopieren

Kopiert die ausgewählte Fahrweise. Diese kann über Einfügen im Kontextmenü des Knotens Fahrweisen eingefügt werden.

Kopierte Fahrweisen werden beim Einfügen in eine Grundfunktion so angepasst, dass Name und Fahrweisennummer eindeutig gemacht werden, sofern sie es in der Grundfunktion nicht bereits sind.

Hilfe

Öffnet die Online-Hilfe.


Symbolleiste und Kontextmenü Fahrweisenliste

Handbuch > Batch Control > Projektieren im Editor > Fahrweisen > Symbolleiste und Kontextmenü Fahrweisenliste

Einträge in der Fahrweisenliste können über Symbole in der Symbolleiste oder Einträge im Kontextmenü bearbeitet werden.

Zur Verfügung stehen in Kontextmenü und Symbolleiste:

Parameter | Beschreibung
Befehlsparameter hinzufügen | Öffnet den Dialog zur Auswahl von Befehlsparametern.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Parameter

Handbuch > Batch Control > Projektieren im Editor > Fahrweisen > Parameter

Parameter verknüpfen

Um Parameter mit einer Fahrweise zu verknüpfen stehen Ihnen verschiedene Wege zur Verfügung:

  • Wählen Sie dazu im Kontextmenü der Fahrweise den Befehl Befehlsparameter hinzufügen.
  • Wählen Sie in der Detailansicht der Fahrweisen in der Symbolleiste oder im Kontextmenü eines Parameters den Befehl Befehlsparameter hinzufügen.
  • Ziehen Sie Parameter aus der Parameterliste der Grundfunktion per Drag&Drop auf die Fahrweise. Es werden nur Befehlsparameter verknüpft.

Hinweis: Wird bei der Grundfunktion ein Parameter gelöscht, werden bei allen Fahrweisen die zugehörigen Parameterverknüpfungen ebenfalls gelöscht.

Verlinkte Werte lösen oder wieder herstellen

Parameter der Fahrweisen übernehmen die Werte der Parameter, mit denen sie verknüpft sind.
Diese Verlinkung kann gelöst werden durch:

  • Überschreiben des Werts
  • trennen der Verlinkung über das Kontextmenü

Mit Hilfe des Kontextmenüs kann die Verlinkung zum Quellparameter auch wieder hergestellt werden.

Details zu verlinkten Werten lesen Sie im Kapitel Verlinkte Eigenschaften im Handbuch Editor.

Parameter kopieren

Existierende Parameterverknüpfungen können zwischen Fahrweisen kopiert werden. Das Kopieren ist über Grundfunktionen, Aggregate und Projekte übergreifend möglich. Beim Einfügen von Parameterverknüpfungen wird versucht, die Parameter dem Namen entsprechend zu verknüpfen. Es werden keine neuen Parameter erzeugt.

Das Einfügen ist nicht möglich, wenn in der Ziel-Grundfunktion kein Parameter mit dem kopierten Namen existiert oder der entsprechende Parameter schon Teil der Fahrweise ist.


Verknüpfungen ersetzen

Handbuch > Batch Control > Projektieren im Editor > Verknüpfungen ersetzen

Verknüpfungen von Variablen und Funktionen können in Aggregaten, Grundfunktionen und Reaktionen automatisiert ersetzt werden. Dieser Vorgang entspricht dem Vorgang beim Verknüpfungen ersetzen bei Bildumschaltung oder Verknüpfungen ersetzen im Editor-Bild.

Ersetzt werden können:

  • Aggregate: verknüpfte Variablen für Runtimeinformationen
  • Reaktionen: verknüpfte Funktionen
  • Parameter: verknüpfte Variablen

Um Elemente zu ersetzen:

  1. Wählen Sie im Kontextmenü oder der Symbolleiste den Befehl Verknüpfungen ersetzen.
  2. Der Dialog zum Ersetzen von Verknüpfungen wird geöffnet.

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden Test1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *test1 und Zieleintrag test2 findet und ersetzt Test1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen möchten, als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Info

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Achtung

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.


Bild vom Typ Batch Control anlegen

Handbuch > Batch Control > Projektieren im Editor > Bild vom Typ Batch Control anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Batch Control.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente


Kontrollelemente

Handbuch > Batch Control > Projektieren im Editor > Bild vom Typ Batch Control anlegen > Kontrollelemente

Vorlage einfügen

Eintrag | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Kontrollelemente

Kontrollelement | Beschreibung
Default (Vorlagenrezepte) | Fügt Kontrollelemente für Vorlagenrezepte an vordefinierten Stellen in das Bild ein. Diese Kontrollelemente können ergänzt, reduziert und neu positioniert werden.
Default (Steuerrezepte) | Fügt Kontrollelemente für Steuerrezepte an vordefinierten Stellen in das Bild ein. Diese Kontrollelemente können ergänzt, reduziert und neu positioniert werden.
Rezepteditor | Fügt den lizenzierten Editor zur Erstellung von Vorlagenrezepten und Steuerrezepten ein.

Matrix-Rezepterstellung

Kontrollelemente zur Erstellung von Matrix-Rezepten.

Kontrollelement | Beschreibung
Zeile/Spalte löschen | Löscht eine Zeile oder Spalte. (Abhängig von Auswahl.)
Spalten nach links/Schritte nach oben verschieben | Verschiebt Spalten nach links oder Schritte nach oben. (Abhängig von Auswahl.)
Spalten nach rechts/Schritte nach unten verschieben | Verschiebt Spalten nach rechts oder Schritte nach unten. (Abhängig von Auswahl.)
Ausgewählte Elemente aktivieren | Aktiviert die ausgewählten Elemente. (Abhängig von Auswahl.)
Ausgewählte Elemente deaktivieren | Deaktiviert die ausgewählten Elemente. (Abhängig von Auswahl.)

Rezeptsteuerung

Kontrollelemente zur Steuerung von Rezepten.

Kontrollelement

Beschreibung

Allgemein

Allgemeine Kontrollelemente:

  • Vorlagenrezept speichern
  • Rezept auf Fehler prüfen
  • Rezept in Testmodus umschalten
  • Rezept freigeben
  • Rezept in Editiermodus umschalten
  • Rezept schließen
  • Alle anderen Rezepte schließen
  • Element bearbeiten
  • Grafische Ausprägung

Ausführungsbefehle der Rezepte

Kontrollelemente für Rezeptbefehle:

  • Rezept starten
  • Rezept pausieren
  • Rezept fortsetzen
  • Rezept anhalten
  • Rezept neu starten
  • Rezept stoppen
  • Rezept abbrechen

Ausführungsbefehle der Grundfunktionen

Kontrollelemente für Grundfunktionsbefehle:

  • Grundfunktion pausieren
  • Grundfunktion fortsetzen
  • Grundfunktion anhalten
  • Grundfunktion neu starten
  • Aus Grundfunktion aussteigen

Umschalten von Ausführungsmodus

Kontrollelemente für Ausführungsmodi:

  • Umschalten in Automatischen Modus
  • Umschalten in Halbautomatischen Modus
  • Umschalten in Manuellen Modus
  • Kompatible Elemente

Ausführungsnavigation

Kontrollelemente für die Navigation in Rezepten:

  • Rezept nur an ausgewählten Ausführungspositionen fortsetzen
  • Rezept an allen Ausführungspositionen fortsetzen
  • Anstehende Bedingung überspringen

Teilrezeptnavigation

Kontrollelemente für die Navigation in Teilrezepten:

  • Zur Teilrezeptvorlage wechseln
  • Zum Hauptrezept wechseln

Kompatible Elemente:

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Umschalten in Automatischen Modus
  • Umschalten in Halbautomatischen Modus
  • Umschalten in Manuellen Modus

Vorlagenrezepte

Kontrollelemente für Vorlagenrezepte.

Kontrollelement

Beschreibung

Liste Vorlagenrezepte

In dieser Liste können alle Vorlagenrezepte angezeigt werden. Die Anzeige kann durch Filter auf eine individuelle Auswahl eingeschränkt werden.

Die Filterung kann bereits im zenon Editor in der Bildumschaltungsfunktion voreingestellt werden. Eine Filterung in der Runtime ist ebenso möglich. Diese Filtereinstellungen zur Runtime werden nicht gespeichert. Dies bedeutet, bei einer erneuten Aufschaltung des Bildes sind die Filter wieder neu einzugeben. Eine dauerhafte Vorgabe der Filter ist nur mit Projektierung im zenon Editor möglich.

Alle Kommandos sind auch in den Kontextmenüs der Liste möglich. Die Kommandos zur Listenverwaltung sind in der Kopfzeile der Liste aufrufbar, die Kommandos zur Rezeptverwaltung beim Editieren eines oder mehrerer Rezepte.

Die Rezepte in der Liste können nicht direkt in der Liste editiert werden. Umbenennen, ändern der Beschreibung oder ändern des Rezeptstatus sind nur mittels der jeweiligen Kommandos möglich.

Spaltenauswahl Vorlagenrezepte...

Öffnet einen Dialog, um festzulegen, welche Spalten dargestellt werden sollen.
Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.

Spalten formatieren Vorlagenrezepte...

Öffnet einen Dialog, um die Spalteneinstellungen zu ändern.
Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.

Vorlagenrezept neu...

Öffnet den Dialog zum Erstellen eines neuen Vorlagenrezepts.

Vorlagenrezept neue Version erzeugen

Erstellt eine neue Version des ausgewählten Vorlagenrezepts. Dieses muss freigegeben oder als veraltet gekennzeichnet sein.

Vorlagenrezept umbenennen

Nur aktiv, wenn genau ein Vorlagenrezept ausgewählt wurde.
Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.
Rezepte können nur im Status Editierbar umbenannt werden.
Verwenden Sie diese Funktion auch, um die Beschreibung des Vorlagenrezepts zu ändern.

Beim Umbenennen eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept duplizieren

Nur aktiv, wenn exakt ein Rezept ausgewählt wurde.
Erstellt eine Kopie des ausgewählten Rezepts. Beim Erzeugen der Kopie wird die auf der Festplatte gespeicherte Version verwendet. Wird das Rezept gerade auf einem anderen Rechner editiert, und die Änderungen sind noch nicht gespeichert, werden diese Änderungen nicht übernommen. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.

Die Kopie des Rezepts erhält automatisch den Status Editierbar und kann daher weiter bearbeitet werden.

Beim Duplizieren eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept löschen

Löscht die ausgewählten Rezepte unwiderruflich. Ist das Rezept auf einem anderen Rechner im Editor geöffnet, wird es dort automatisch geschlossen.

Löschen ist nur möglich, wenn es keine Steuerrezepte gibt, die auf dem Vorlagenrezept basieren. Es müssen zuerst alle Steuerrezepte gelöscht werden.
Rezepte die gerade im Testmodus ausgeführt werden (Vorlagenrezept Status: Test in Ausführung), können nicht gelöscht werden. Sie müssen zuerst Abgeschlossen, Gestoppt oder Abgebrochen werden.

Dürfen Rezepte nicht gelöscht werden, z. B. im FDA reglementiertem Umfeld, empfiehlt es sich, diese Schaltfläche nicht zu projektieren oder mit einer entsprechenden Berechtigungsebene zu versehen.
Beim Löschen eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept öffnen

Öffnet die ausgewählten Vorlagenrezepte im Rezepteditor, sofern das Bildelement Rezepteditor im Bild vorhanden ist. Jedes ausgewählte Vorlagenrezept wird in einer eigenen Registerkarte des Rezepteditors geöffnet.

Vorlagenrezept in Editiermodus umschalten

Ändert den Vorlagenrezept Status der ausgewählten Rezepte auf Editierbar. In diesem Status können Rezepte wieder komplett bearbeitet werden.
Nur Rezepte im Testmodus können wieder auf Editierbar geschaltet werden.

Vorlagenrezept in Testmodus umschalten

Ändert den Vorlagenrezept Status der ausgewählten Rezepte auf Testmodus. Nur fehlerfreie Rezepte können in den Testmodus umgeschaltet werden. Treten bei der Validierung Fehler auf, müssen diese zuerst behoben werden.

Rezepte im Testmodus können ausgeführt, aber nicht mehr umprojektiert werden. Details zu den Status finden Sie im Kapitel Rezeptarten und Rezeptstatus

Vorlagenrezept freigeben

Ändert den Vorlagenrezept Status der ausgewählten Rezepte auf Freigegeben. Nur fehlerfreie Rezepte können freigegeben werden. Treten bei der Validierung Fehler auf, müssen diese zuerst behoben werden.
Nur Rezepte im Status Testmodus und Editierbar können freigegeben werden.

Freigegebene Rezepte können nicht mehr verändert werden. Nur von freigegeben Rezepten können Steuerrezepte erstellt werden.
Details zu den Status finden Sie im Kapitel Rezeptarten und Rezeptstatus

Beim Freigeben eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept als veraltet kennzeichnen

Ändert den Status des Rezepts auf veraltet. Das Rezept kann nicht mehr bearbeitet oder freigegeben werden. Es kann kein Steuerrezept auf Basis dieses Rezepts erstellt werden.

Zugehörige Steuerrezepte in Liste anzeigen

Zeigt alle Steuerrezepte an, die auf dem ausgewählten Vorlagenrezept basieren und den eingestellten Filterkriterien entsprechen.

Liste der Steuerrezepte dynamisch aktualisieren.

Deaktiviert den Button Zugehörige Steuerrezepte in Liste anzeigen. Bei Auswahl eines Vorlagenrezepts werden automatisch alle dazugehörigen Steuerrezepte angezeigt.

Filter zum Anzeigen der Steuerrezepte

Ermöglicht Filterung der Steuerrezepte nach Kriterien:

  • Vorbereitete Steuerrezepte:
    Zeigt Steuerrezepte, die zur Ausführung vorbereitet sind.
  • Aktuell ausgeführte Steuerrezepte:
    Zeigt Steuerrezepte an, die gerade ausgeführt werden.
  • Abgeschlossene Steuerrezepte:
    Zeigt Steuerrezepte, die bereits ausgeführt wurden.
  • Veraltete Steuerrezepte:
    Zeigt Steuerrezepte mit dem Status veraltet an.

Filterung wirkt sich erst aus, wenn Sie auf Zugehörige Steuerrezepte in der Liste anzeigen klicken.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

Kompatible Elemente

  • Liste der Steuerrezepte dynamisch aktualisieren
  • Vorbereitete Steuerrezepte
  • Aktuell ausgeführte Steuerrezepte
  • Abgeschlossene Steuerrezepte
  • Veraltetete Steuerrezepte

Steuerrezepte

Kontrollelemente für Steuerrezepte.

Kontrollelement

Beschreibung

Liste Steuerrezepte...

In dieser Liste können alle Steuerrezepte angezeigt werden. Die Anzeige kann durch Filter auf eine individuelle Auswahl eingeschränkt werden.

Standardmäßig ist die Liste immer leer. Zum Befüllen der Liste müssen:

  • Vorlagenrezepte ausgewählt werden
  • die Filter
    aktuell ausgeführte Steuerrezepte,
    vorbereitetet Steuerrezepte und
    abgeschlossene Steuerrezepte
    gesetzt sein
  • der Button Zugehörige Steuerrezepte in Liste anzeigen gedrückt werden

Zusätzlich zu den oben erwähnten Filtern kann die Liste selbst noch gefiltert werden. Die Filterung kann bereits im zenon Editor in der Bildumschaltungsfunktion voreingestellt werden. Eine Filterung in der Runtime ist ebenso möglich. Diese Filtereinstellungen zur Runtime werden nicht gespeichert. Dies bedeutet, bei einer erneuten Aufschaltung des Bildes sind die Filter wieder neu einzugeben. Eine dauerhafte Vorgabe der Filter ist nur mit Projektierung im zenon Editor möglich.

Alle Kommandos sind auch in den Kontextmenüs der Liste möglich. Die Kommandos zur Listenverwaltung sind in der Kopfzeile der Liste aufrufbar, die Kommandos zur Rezeptverwaltung beim Editieren eines oder mehrerer Rezepte.
Die Rezepte in der Liste können nicht direkt in der Liste editiert werden. Umbenennen, ändern der Beschreibung oder das Starten des Rezepts ist nur mittels der jeweiligen Kommandos möglich.

Spaltenauswahl Steuerrezepte...

Öffnet einen Dialog, um festzulegen, welche Spalten dargestellt werden sollen.
Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.

Spalten formatieren Steuerrezepte...

Öffnet einen Dialog, um die Spalteneinstellungen zu ändern.
Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.

Steuerrezept neu ...

Öffnet den Dialog zur Eingabe eines eindeutigen Namens und einer Beschreibung für das Steuerrezept. Die Eindeutigkeit des Namens wird auch im zenon Netzwerk geprüft. Der Name muss nur innerhalb des Vorlagenrezepts eindeutig sein. Steuerrezepte, die auf anderen Vorlagenrezepten basieren, dürfen über den selben Namen verfügen. Die Eindeutigkeit innerhalb des Moduls Batch Control wird erreicht, indem immer der Vorlagenrezeptname und der Steuerrezeptname referenziert werden.

Beim Anlegen eines Steuerrezepts wird ein CEL Eintrag erzeugt.

Steuerrezept umbenennen

Nur aktiv, wenn genau ein Steuerrezept ausgewählt wurde.
Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.
Rezepte können nur im Status Vorbereitet umbenannt werden.
Verwenden Sie diese Funktion auch, um die Beschreibung des Steuerrezepts zu ändern.

Steuerrezept duplizieren

Nur aktiv, wenn exakt ein Rezept ausgewählt wurde.
Erstellt eine Kopie des ausgewählten Rezepts. Beim Erzeugen der Kopie wird die auf der Festplatte gespeicherte Version verwendet. Wird das Rezept gerade auf einem anderen Rechner editiert, und die Änderungen sind noch nicht gespeichert, werden diese Änderungen nicht übernommen. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.

Die Kopie des Rezepts erhält automatisch den Status Vorbereitet und kann daher weiter bearbeitet oder gestartet werden. Der Ausführungsstatus des Duplikats wird auf Automatisch gesetzt.

Beim Duplizieren eines Rezepts wird ein CEL-Eintrag erzeugt.

Steuerrezept löschen

Löscht die ausgewählten Rezepte unwiderruflich. Ist das Rezept auf einem anderen Rechner im Editor geöffnet, wird es dort automatisch geschlossen.

Löschen ist nur möglich, wenn alle ausgewählten Rezepte nicht ausgeführt werden (Steuerrezept Status: In Ausführung). Sie müssen zuerst Abgeschlossen, Gestoppt oder Abgebrochen werden.

Dürfen Rezepte nicht gelöscht werden, z. B. im FDA reglementiertem Umfeld, empfiehlt es sich, diese Schaltfläche nicht zu projektieren oder mit einer entsprechenden Berechtigungsebene zu versehen.
Beim Löschen eines Rezepts wird ein CEL Eintrag erzeugt.

Steuerrezept öffnen

Öffnet die ausgewählten Steuerrezepte im Rezepteditor, sofern das Bildelement Rezepteditor im Bild vorhanden ist. Jedes ausgewählte Steuerrezept wird in einer eigenen Registerkarte des Rezepteditors geöffnet.

Steuerrezept starten

Startet die ausgewählten Steuerrezepte im eingestellten Ausführungsmodus. Die Rezepte werden automatisch am Server ausgeführt. Es ist nicht erforderlich, dass das Rezept im Rezepteditor geöffnet ist.

Parameterlisten

Listenfelder für Anzeige von Parametern.

Es können zwei Listenfelder angelegt werden. Diese werden bei der Bildumschaltung konfiguriert.

Kontrollelement | Beschreibung
Parameterliste 1 | Erste Parameterliste.
Parameterliste 2 | Zweite Parameterliste

Fahrweisen

Kontrollelement für Fahrweisen.

Kontrollelement | Beschreibung
Liste der Fahrweisen | Zeigt die für die ausgewählte Grundfunktion verfügbaren Fahrweisen an.
Fahrweise übernehmen | Übernimmt die in der Liste ausgewählte Fahrweise in die Grundfunktion.

XML Import/Export

Kontrollelement für XML Import/Export.

Kontrollelement | Beschreibung
Vorlagenrezepte exportieren... | Exportiert das ausgewählte Vorlagenrezept in eine XML-Datei.
Steuerrezepte exportieren... | Exportiert das ausgewählte Steuerrezept in eine XML-Datei.
XML Import... | Importiert die ausgewählte XML-Datei.


Auftragsvariablen

Handbuch > Batch Control > Projektieren im Editor > Auftragsvariablen

Im Editor können Auftragsvariablen verknüpft werden. Auftragsvariablen ermöglichen die Zuordnung von Auftragsnummern zu Batch-Produktionen. Um zu gewährleisten, dass der Variablenwert sofort verfügbar ist, wird die Auftragsvariable beim Starten der Runtime in die globale Verbindung eingefügt und angemeldet. Auch beim Nachladen wird die Variable wieder angefordert.

In der Eigenschaft Individuelle Auftragsvariable definierte Auftragsvariablen können über eine Funktion zugewiesen werden. Sonst wird generell die globale Auftragsvariable verwendet.

Hinweis: Auftragsnummer werden für Rezeptliste und CEL nicht übersetzt. Das gilt auch dann, wenn Sie das Zeichen @ beinhalten.

Globale Auftragsvariable

Um eine globale Auftragsvariable zu verknüpfen:

  1. Navigieren Sie in den Eigenschaften des Moduls zum Knoten Allgemein/Auftragsvariable.
  2. Verknüpfen Sie in der Eigenschaft Auftragsvariable eine Variable.
  3. Wählen Sie aus der Dropdownliste der Eigenschaft Wert aus Auftragsvariable übernehmen bei die Art der Übernahme zur Runtime:
    • Bei der Erzeugung des Steuerrezepts:

      Beim Erzeugen des Steuerrezepts wird der aktuelle Wert der Variablen in das Steuerrezept übernommen. Der Wert wird im Dialog Steuerrezeptkonfiguration angezeigt. Der Wert darf nicht leer sein, sonst kann das Rezept nicht erzeugt werden.

    • Beim Starten des Steuerrezepts:

      Zur Runtime wird beim Starten des Steuerrezepts der Inhalt der Variablen ins Rezept geschrieben. Der Wert darf nicht leer sein.

    Hinweis Wertumwandlung: Der von der Variablen übergebene Wert wird unabhängig vom Typ der Variablen immer in einen String umgewandelt. Bei der Umwandlung von Real auf String werden 10 Nachkommastellen berücksichtigt. Nullen am Ende werden abgeschnitten.

  4. Definieren Sie optional auch eine Individuelle Auftragsvariable.

Zur Runtime kann die zugewiesene Auftragsnummer in der Liste der Steuerrezepte angezeigt werden.

Individuelle Auftragsvariable

Um eine Individuelle Auftragsvariable zu verknüpfen:

  1. Navigieren Sie in den Eigenschaften des Moduls zum Knoten Allgemein/Auftragsvariable.
  2. Verknüpfen Sie in der Eigenschaft Individuelle Auftragsvariable eine oder mehrere Variablen.
  3. Wählen Sie bei der Konfiguration von zenon Funktionen die gewünschte Variable und die Art der Zuweisung aus.


Bildumschaltung Batch Control

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control

Um Batch Control in der Runtime zu nutzen, projektieren Sie eine Bildumschaltung auf ein Bild vom Typ Batch Control:

  1. wählen Sie im Knoten Funktionen im Kontextmenü den Eintrag Funktion neu
  2. wählen Sie die Funktion Bildumschaltung
  3. wählen Sie das Bild vom Typ Batch Control
  4. der Filterdialog wird angezeigt
  5. konfigurieren Sie die
    1. Einstellungen für die Liste der Vorlagenrezepte/Steuerrezepte inklusive Vorfilterung
    2. Variablenzuordnungen
    3. Einstellungen der Parameterlisten
    4. Einstellungen der Fahrweisenliste
  6. verknüpfen Sie die Funktion mit einem Button im Bild, um in der Runtime umzuschalten

Noch in diesem Kapitel

Einstellungen der Rezeptlisten

Variablenzuordnung

Einstellungen der Parameterlisten

Einstellungen der Fahrweisenliste

Spaltenauswahl

Spaltenformat


Einstellungen der Rezeptlisten

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Einstellungen der Rezeptlisten

Die Einstellungen werden konfiguriert für:

  • Liste der Vorlagenrezepte
  • Liste der Steuerrezepte
  • Vorfilterung

Liste der Vorlagenrezepte

Konfiguration für Vorlagenrezepte.

Option

Beschreibung

Vorfilterung

Auswahl aus Dropdownliste, ob Vorlagenrezepte beim Aufschalten vorgefiltert werden sollen. Mögliche Einstellungen:

  • Keine Vorfilterung:
    Rezepte werden nicht vorgefiltert. Alle Vorlagenrezepte werden in der Liste angezeigt.
  • ID aus Variable:
    Rezepte werden nach ID gefiltert. Filterbedingung wird in der Eigenschaft Variable festgelegt.
  • Name aus Variable:
    Rezepte werden nach Rezeptname gefiltert. Filterbedingung wird in der Eigenschaft Variable festgelegt.

Variable

Definition der Variablen, die die Werte für die Vorfilterung liefert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl der Variablen.

Spalteneinstellungen von aufrufendem Bild übernehmen

Aktiv: Die Spalteneinstellungen werden zur Runtime vom aufrufenden Bild übernommen, also jenem Bild, in dem der Button mit der Bildumschaltfunktion projektiert ist. Das aufrufende Bild muss ebenfalls vom Typ Batch Control sein. Die entsprechenden Eigenschaften können im Editor nicht mehr konfiguriert werden.

Listenfeld

Darstellung der konfigurierten Spalten.

Spaltenauswahl

Öffnet den Dialog zur Auswahl der Spalten.

Spaltenformat

Öffnet den Dialog zur Formatierung der Spalten.

Liste der Steuerrezepte

Konfiguration für Steuerrezepte.

Option

Beschreibung

Befüllen der Liste der Steuerrezepte beim Aufschalten des Bildes

Einstellungen für das Füllen der Liste beim Aufruf. Auswahl einer Option.

  • Keine Füllung
  • Auswahl der Vorlagenrezepte vom aufrufenden Bild übernehmen und anwenden
  • Alle aufgeschalteten Vorlagenrezepte anwenden

Vorfilterung

Auswahl aus Dropdownliste, ob Steuerrezepte beim Aufschalten vorgefiltert werden sollen. Mögliche Einstellungen:

  • Keine Vorfilterung: Rezepte werden nicht vorgefiltert.
  • ID aus Variable: Rezepte werden nach ID gefiltert. Filterbedingung wird in der Eigenschaft Variable festgelegt.
  • Name aus Variable: Rezepte werden nach Rezeptname gefiltert. Filterbedingung wird in der Eigenschaft Variable festgelegt.
  • Auftragsnummer aus Variable: Rezepte werden nach Auftragsnummer gefiltert. Filterbedingung wird in der Eigenschaft Variable festgelegt.

Variable

Definition der Variablen, die die Werte für die Vorfilterung liefert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl der Variablen.

Gefundene Rezepte im Rezepteditor öffnen

Aktiv: Alle beim Aufschalten in der Liste dargestellten Rezepte werden im Rezepteditor geöffnet.

Hinweis: Es werden maximal die ersten 20 gefundenen Rezepte geöffnet.

Auswahl der Vorlagenrezepte füllt automatisch Liste der Steuerrezepte

Aktiv: Die Liste der Steuerrezepte zeigt immer die Steuerrezepte der zu diesem Zeitpunkt ausgewählten Vorlagenrezepte. Zur Runtime ist es dann nicht nötig, den Button Liste der Steuerrezepte dynamisch aktualisieren zu drücken.

Spalteneinstellungen von ausrufendem Bild übernehmen

Aktiv: Die Spalteneinstellungen werden zur Runtime vom aufrufenden Bild übernommen. Die entsprechenden Eigenschaften können im Editor nicht mehr konfiguriert werden.

Listenfeld

Darstellung der konfigurierten Spalten.

Spaltenauswahl

Öffnet den Dialog zur Auswahl der Spalten.

Spaltenformat

Öffnet den Dialog zur Formatierung der Spalten.

Steuerrezepte filtern nach Status

Einstellungen für das Filtern der Steuerrezepte nach ihrem Status.

Filter vom aufrufenden Bild übernehmen

Aktiv: Der Filter wird vom aufrufenden Bild übernommen.

Diesen Filter anwenden

Auswahl von Kriterien für den Status eines Rezepts, das aufgerufen werden soll.

Aktiv: Es können mehrere Status durch Auswahl der entsprechenden Checkbox gewählt werden:

  • Vorbereitet
  • Aktuell ausgeführt
  • Abgeschlossen
  • Veraltet

Allgemein Optionen

Groß-/Kleinschreibung für Rezeptnamen beachten

Aktiv: Beim Filtern auf Rezeptnamen wird die Groß-/Kleinschreibung beachtet.

Default: inaktiv

Diesen Dialog zur Runtime anbieten

Aktiv: Beim Aufruf der Funktion zur Runtime wird dieser Dialog geöffnet und der Anwender kann die Konfiguration vor Ausführung anpassen.

Der Dialog wird zur Runtime am aktuellen Rechner aufgeschaltet. Im Netzwerkbetrieb wird der Dialog bei Aufruf am Client auch am Client aufgeschaltet.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis Variablenauswahl über Name oder ID: Für die Auswahl von Variablen nach Name oder ID können jeweils numerische Variablen und String-Variablen ausgewählt werden. Die Datentypen werden in die jeweils korrekte Form konvertiert.

Noch in diesem Kapitel

Vorfilterung


Vorfilterung

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Einstellungen der Rezeptlisten > Vorfilterung

Damit in der Runtime nicht immer alle Rezepte in die Rezeptlisten geladen werden müssen, können Sie bereits in der Bildumschaltungsfunktion Filter für Vorlagenrezepte und Steuerrezepte festlegen. In der Runtime scheinen in der Liste der Vorlagenrezepte und der Steuerrezepte dann nur Rezepte auf, die den konfigurierten Filterbedingungen entsprechen. Falls aktiviert, werden diese Rezepte auch im Rezepteditor geöffnet.

Hinweis: Die Bildumschaltung zur Runtime kann auf Grund von großen Datenmengen der zu ladenden Rezepte eine gewisse Zeit in Anspruch nehmen. Der Fortschritt wird in einer Fortschrittsanzeige dargestellt.

Wenn Sie möchten, dass der Anwender den Filter zur Laufzeit nicht entfernen kann:

  1. Deaktivieren Sie die Option Dialog in Runtime anzeigen.
  2. Sperren Sie den Spaltenfilter: Öffnen Sie den Dialog Spaltenformat... und aktivieren Sie die Option Spaltenfilter in der Runtime sperren. Dadurch kann der Anwender in der Runtime den Filter nicht modifizieren und bekommt daher Rezepte, die er z. B. nicht modifizieren darf, nicht angezeigt.

Filter auf Vorlagenrezepte

Konfigurieren Sie:

  1. Vorfilterung

    Legen Sie fest, ob Rezepte vorgefiltert werden sollen. Sie können nach ID oder Name filtern. Die Filterbedingung wird zur Runtime über eine Variable abgefragt.

  2. Spalteneinstellungen
    1. klicken Sie in der Bildumschaltungsfunktion bei der Liste der Vorlagenrezepte oder bei der Liste der Steuerrezepte in einen Spaltenfilter
    2. geben dort den gewünschten Filtertext ein, wobei Wildcards in Form von Asterisks (*) zulässig sind
    3. bestätigen Sie den Filtertext mit der Eingabe-Taste, damit er übernommen wird.
  3. Automatische Rezeptaufschaltung

    Legen Sie fest, ob die gefundenen Rezepte beim Aufschalten gleich im Rezepteditor geöffnet werden sollen.

    Hinweis: Es können maximal die ersten 20 gefundenen Rezepte automatisch geöffnet werden.

info Info

Bei Nachladen der Runtime werden die Filtereinstellungen der Vorfilterung für Vorlagenrezepte wieder angewandt. Das gilt auch, wenn sich der Wert der Filtervariablen ändert oder neue Rezepte zur Liste hinzukommen, die nicht dem Filter entsprechen. Die Liste wird beim Nachladen immer exakt wiederhergestellt.

Filter auf Steuerrezepte

Konfigurieren Sie:

  1. Rezeptstatus

    Filtern Sie Steuerrezepte nach ihrem Status. Sie können über Checkboxen mehrere Status auswählen oder den Filter vom aufrufenden Bild übernehmen.

  2. Befüllen der Rezeptliste

    Legen Sie fest, ob und wie die Liste der Steuerrezepte beim Aufschalten gefüllt werden soll.

  3. Vorfilterung

    Legen Sie fest, ob Rezepte vorgefiltert werden sollen. Sie können nach ID, Name oder Auftragsnummer filtern. Die Filterbedingung wird zur Runtime über eine Variable abgefragt

  4. Spalteneinstellungen
    1. klicken Sie in der Bildumschaltungsfunktion bei der Liste der Vorlagenrezepte oder bei der Liste der Steuerrezepte in einen Spaltenfilter
    2. geben dort den gewünschten Filtertext ein, wobei Wildcards in Form von Asterisks (*) zulässig sind
    3. bestätigen Sie den Filtertext mit der Eingabe-Taste, damit er übernommen wird.
  5. Automatische Rezeptaufschaltung

    Legen Sie fest, ob die gefundenen Rezepte beim Aufschalten gleich im Rezepteditor geöffnet werden sollen.

    Hinweis: Es können maximal die ersten 20 gefundenen Rezepte automatisch geöffnet werden.

info Info

Bei Nachladen der Runtime werden die Filtereinstellungen der Vorfilterung für Steuerrezepte nicht erneut angewandt. Stattdessen werden alle Steuerrezepte angezeigt, die dem aktuellen Filter zur Runtime entsprechen (Vorlagenrezepte, Status, Spaltenfilter).


Variablenzuordnung

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung

In dieser Registerkarte verknüpfen Sie Variablen mit Elementen im Rezept. Sie können so Zustände einer Grundfunktion oder eines Teilrezepts in einem weiteren Bild anzeigen und darauf reagieren. Der Ausführungsstatus beim Rezept und beim ausgewählten Objekt kann über Stringvariablen oder numerische Variablen angezeigt werden. Numerische Variablen eigenen sich zum Beispiel zur Verknüpfung mit einem Combi-Element. Details zu den Status siehe Abschnitt Kodierung des Ausführungsstatus.

Um Zustände anzuzeigen:

  1. legen Sie ein neues Bild mit den gewünschten Elementen an
  2. verknüpfen Sie die Elemente mit Variablen
  3. verknüpfen Sie diese Variablen im Filter der Bildumschaltung mit den entsprechenden Objekten

Variablen verknüpfen

Um eine Variable zu verknüpfen:

  1. klicken Sie auf die Schaltfläche ...
  2. der Dialog zur Auswahl einer Variablen wird geöffnet
  3. wählen Sie gewünschte Variable

Anzeige

Angezeigt werden:

  • für das Rezept, auf dem der Fokus liegt:
    • Name
    • Beschreibung
    • Status
    • Ausführungsmodus
    • Ausführungsstatus
    • Rezepttyp
  • für das Objekt im Rezept, auf dem der Fokus liegt (Grundfunktion oder Teilrezept):
    • Name
    • Beschreibung
    • Aggregat
    • Typ
    • Status
    • Interner Zustand
    • Startzeit
    • Endezeit
    • Ausführungszähler
    • Ausführungsdauer

Parameter

Beschreibung

Vorlagenrezept

Variablenverknüpfungen für das Vorlagenrezept.

Status wird angezeigt, wenn das Rezept den Fokus erhält oder eine Grundfunktion oder ein Teilrezept markiert sind.

Verknüpft werden können:

  • Name
  • Version
  • Ausgangsversion
  • Beschreibung
  • Status (Text)
  • Status (Numerisch)

Steuerrezept

Variablenverknüpfungen für das Steuerrezept.

Status wird angezeigt, wenn das Rezept den Fokus erhält oder eine Grundfunktion oder ein Teilrezept markiert sind.

Verknüpft werden können:

  • Name
  • Beschreibung
  • Status (Text)
  • Status (Numerisch)
  • Auftragsnummer (Text)

Teilrezept

Variablenverknüpfungen für das Teilrezept.

Status wird angezeigt, wenn das Rezept den Fokus erhält oder eine Grundfunktion oder ein Teilrezept markiert sind.

Verknüpft werden können:

  • Name
  • Beschreibung

Allgemein

Variablenverknüpfungen für allgemeine Informationen.

Status wird angezeigt, wenn das Rezept den Fokus erhält oder eine Grundfunktion oder ein Teilrezept markiert sind.

Verknüpft werden können:

  • Ausführungsmodus (Text)
  • Ausführungsmodus (Numerisch)
  • Ausführungsstatus (Text)
  • Ausführungsstatus (Numerisch)
  • Rezepttyp (Text)
  • Rezepttyp (Numerisch)

Ausgewähltes Objekt

Variablenverknüpfungen für das ausgewählte Objekt (Grundfunktion oder Teilrezept).

Status wird angezeigt, wenn eine Grundfunktion oder ein Teilrezept im Rezept markiert sind.

Verknüpft werden können:

  • Name
  • Beschreibung
  • Aggregat
  • Typ (Text)
  • Typ (Numerisch)
  • Fahrweise
  • Fahrweisenbeschreibung
  • Fahrweisennummer
  • Status (Text)
  • Status (Numerisch)
  • Interner Zustand (Text)
  • Interner Zustand (Numerisch)
  • Startzeit
  • Endezeit
  • Ausführungszähler
  • Ausführungsdauer

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Sind mehrere Objekte markiert, werden keine Informationen angezeigt.

Noch in diesem Kapitel

Kodierung des Ausführungsstatus


Kodierung des Ausführungsstatus

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung > Kodierung des Ausführungsstatus

Ausführungsstatus

Der Ausführungsstatus (sowohl beim Rezept, als auch beim ausgewählten Objekt) ist mit unterschiedlichen Informationen kodiert:

  • Byte 0: Ausführungsstatus
  • Byte 1: Status-Bits für den Status
  • Byte 2: Typ des Objekts, zu dem der Status gehört

Ist kein Rezept geöffnet, dann sind die Stringvariablen leer und die Numerischen Variablen haben den Wert 0.

Byte 0

Ausführungsstatus.
Welche Werte möglich sind, bestimmt der Objekttyp.

String | Dezimal | Binär
Leerlauf | 1 | 1
In Ausführung | 2 | 10
Abgeschlossen | 3 | 11
Pausieren (ausgehend von Status: In Ausführung) | 4 | 100
Pausiert | 5 | 101
Anhalten (ausgehend von Status: In Ausführung) | 6 | 110
Anhalten (ausgehend von Status: Pausiert) | 7 | 111
Anhalten (ausgehend von Status: Neu Starten) | 8 | 1000
Angehalten | 9 | 1001
Neu Starten (ausgehend von Status: Angehalten) | 10 | 1010
Stoppen (ausgehend von Status: In Ausführung) | 11 | 1011
Stoppen (ausgehend von Status: Pausiert) | 12 | 1100
Stoppen (ausgehend von Status: Angehalten) | 13 | 1101
Gestoppt | 14 | 1110
Abbrechen (ausgehend von Status: In Ausführung) | 15 | 1111
Abbrechen (ausgehend von Status: Pausiert) | 16 | 10000
Abbrechen (ausgehend von Status: Angehalten) | 17 | 10001
Abgebrochen | 18 | 10010

Byte 1

Status-Bits für den Status.
Die Stringvariable wird um die Texte erweitert. In der Numerischen Variablen werden die entsprechenden Bits gesetzt

Wert für Stringvariable | Wert für numerische Variable
n Elemente in einem abweichenden Status | 0b00000001
Warten auf n Element(e) | 0b00000010

Byte 2

Typ des Objekts, zu dem der Status gehört.
Nur für numerische Variable.

Dezimal | Binär | Bedeutung
1 | 1 | Rezept
2 | 10 | Grundfunktion
3 | 11 | Teilrezept-Objekt im Rezept

Noch in diesem Kapitel

Vorlagenrezept

Steuerrezept

Teilrezept

Allgemein

Ausgewähltes Objekt


Vorlagenrezept

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung > Kodierung des Ausführungsstatus > Vorlagenrezept

Name

Name des aktuell geöffneten Vorlagenrezepts, oder des zum aktuell geöffneten Steuerrezept oder Teilrezept gehörenden Vorlagenrezepts.

Beschreibung

Beschreibung des aktuell geöffneten Vorlagenrezepts, oder des zum aktuell geöffneten Steuerrezept oder Teilrezept gehörenden Vorlagenrezepts.

Status (Text und numerisch)

Status des aktuell geöffneten Vorlagenrezepts, oder des zum aktuell geöffneten Steuerrezept oder Teilrezept gehörenden Vorlagenrezepts.

Variablenwerte:

String | Dezimal | Binär
Kein Rezept im aktiven View | 0 | 0
Erstellung (nicht sichtbar) | 1 | 1
Editiermodus | 2 | 10
Freigegeben | 3 | 11
Testmodus | 4 | 100
Test in Ausführung | 5 | 101
Terminiert mit Fehler | 6 | 110
Veraltet | 9 | 1001


Steuerrezept

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung > Kodierung des Ausführungsstatus > Steuerrezept

Name

Name des aktuell ausgewählten Steuerrezepts. Das Rezept muss geöffnet sein und den Fokus haben. Wird befüllt im Steuerrezept und in der Teilrezeptinstanz im Steuerrezept.

Beschreibung

Beschreibung des es aktuell ausgewählten Steuerrezepts. Das Rezept muss geöffnet sein und den Fokus haben. Wird befüllt im Steuerrezept und in der Teilrezeptinstanz im Steuerrezept.

Status (Text und numerisch)

Status des aktuell ausgewählten Steuerrezepts. Das Rezept muss geöffnet sein und den Fokus haben. Wird befüllt im Steuerrezept und in der Teilrezeptinstanz im Steuerrezept.

Variablenwerte:

String | Dezimal | Binär
Kein Steuerrezept aktiv | 0 | 0
Erstellung (nicht sichtbar) | 1 | 1
Vorbereitet | 2 | 10
In Ausführung | 3 | 11
Abgeschlossen | 4 | 100
Terminiert mit Fehler | 5 | 101
Veraltet | 7 | 111


Teilrezept

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung > Kodierung des Ausführungsstatus > Teilrezept

Name

Name des aktuell offenen Teilrezepts. Wird befüllt in der Teilrezeptvorlage und in der Teilrezeptinstanz.

Beschreibung

Beschreibung des aktuell offenen Teilrezepts. Wird befüllt in der Teilrezeptvorlage und in der Teilrezeptinstanz.


Allgemein

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung > Kodierung des Ausführungsstatus > Allgemein

Achtung: Der Inhalt dieser Variablen ist zwischen zenon 7.10 und 7.11 nicht kompatibel.

Ausführungsmodus (Text und numerisch)

Aktuell eingestellter Ausführungsmodus für das aktuell ausgewählte Rezept. Wird für alle Rezepttypen gefüllt.

Variablenwerte:

String | Dezimal | Binär
Automatisch | 1 | 01
Halbautomatisch | 2 | 10
Manuell | 3 | 11

Ausführungsstatus (Text und numerisch)

Status des Rezepts.

Byte 0

Variablenwerte:

String | Dezimal | Binär
Leerlauf | 1 | 1
In Ausführung | 2 | 10
Abgeschlossen | 3 | 11
Pausierend (ausgehend von Status: In Ausführung) | 4 | 100
Pausiert | 5 | 101
Anhaltend (ausgehend von Status: In Ausführung) | 6 | 110
Angehalten | 9 | 1001
Neu startend (ausgehend von Status: Angehalten) | 10 | 1010
Stoppend (ausgehend von Status: In Ausführung) | 11 | 1011
Gestoppt | 14 | 1110
Abbrechend (ausgehend von Status: In Ausführung) | 15 | 1111
Abgebrochen | 18 | 10010

Byte 1

Wert für Stringvariable | Wert für numerische Variable
n Elemente in einem Abweichenden Status | 0b00000001
Warten auf n Element(e) | 0b00000010

Byte 2

Objekttyp. Nur für die numerische Variable

Dezimal | Binär | Bedeutung
1 | 1 | Rezept

Rezepttyp (Text und numerisch)

Rezepttyp des aktuell ausgewählten Rezepts. Wird für alle Rezepttypen gefüllt.

Variablenwerte:

String | Dezimal |  | Binär
Vorlagenrezept |  | 1 | 1
Steuerrezept |  | 2 | 10
Teilrezeptvorlage |  | 4 | 100
Teilrezeptinstanz im Vorlagenrezept |  | 9 | 1001
Teilrezeptinstanz im Steuerrezept |  | 10 | 1010


Ausgewähltes Objekt

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Variablenzuordnung > Kodierung des Ausführungsstatus > Ausgewähltes Objekt

Die Variablen für das ausgewählte Objekt beinhalten immer dann Daten, wenn im aktuell ausgewählten Rezept ein eine einzige Grundfunktion oder ein einziges Teilrezept ausgewählt wurde. Sie werden für alle Rezepttypen befüllt. Wurde kein Objekt ausgewählt oder mehrere, dann sind die Stringvariablen leer und die numerischen 0.

Name

Wird mit dem Namen der Grundfunktion oder des Teilrezepts befüllt.

Beschreibung

Wird mit der Beschreibung der Grundfunktion oder des Teilrezepts befüllt.

Aggregat

Wird mit dem Namen des Aggregats der ausgewählten Grundfunktion befüllt.

Typ (Text und numerisch)

Variablenwerte:

String | Dezimal | Binär
Grundfunktion | 3 | 11
Teilrezept | 13 | 1101

Status (Text und numerisch)

Wird mit dem aktuellen Ausführungsstatus des Elements befüllt.

Werte für eine Grundfunktion

Byte 0

Variablenwerte:

String | Dezimal | Binär
Leerlauf | 1 | 1
In Ausführung | 2 | 10
Abgeschlossen | 3 | 11
Pausierend (ausgehend von Status: In Ausführung) | 4 | 100
Pausiert | 5 | 101
Anhaltend (ausgehend von Status: In Ausführung) | 6 | 110
Anhaltend (ausgehend von Status: Pausiert) | 7 | 111
Anhaltend (ausgehend von Status: Neu Startend) | 8 | 1000
Angehalten | 9 | 1001
Neu startend (ausgehend von Status: Angehalten) | 10 | 1010
Stoppend (ausgehend von Status: In Ausführung) | 11 | 1011
Stoppend (ausgehend von Status: Pausiert) | 12 | 1100
Stoppend (ausgehend von Status: Angehalten) | 13 | 1101
Gestoppt | 14 | 1110
Abbrechend (ausgehend von Status: In Ausführung) | 15 | 1111
Abbrechend (ausgehend von Status: Pausiert) | 16 | 10000
Abbrechend (ausgehend von Status: Angehalten) | 17 | 10001
Abgebrochen | 18 | 10010

Byte 1:

Immer leer.

Byte 2:

Objekttyp. Nur für die numerische Variable

Variablenwerte:

Dezimal | Binär | Bedeutung
2 | 10 | Grundfunktion

Werte für eine Teilrezeptinstanz

Byte 0

Variablenwerte:

String |  | Dezimal | Binär
Leerlauf | 1 |  | 1
In Ausführung | 2 |  | 10
Abgeschlossen | 3 |  | 11
Pausierend (ausgehend von Status: In Ausführung) | 4 |  | 100
Pausiert | 5 |  | 101
Anhaltend (ausgehend von Status: In Ausführung) | 6 |  | 110
Angehalten | 9 |  | 1001
Neu startend (ausgehend von Status: Angehalten) | 10 |  | 1010
Stoppend (ausgehend von Status: In Ausführung) | 11 |  | 1011
Stoppend (ausgehend von Status: Pausiert) | 12 |  | 1100
Stoppend (ausgehend von Status: Angehalten) | 13 |  | 1101
Gestoppt | 14 |  | 1110
Abbrechend (ausgehend von Status: In Ausführung) | 15 |  | 1111
Abbrechend (ausgehend von Status: Pausiert) | 16 |  | 10000
Abbrechend (ausgehend von Status: Angehalten) | 17 |  | 10001
Abgebrochen | 18 |  | 10010

Byte 1

Wert für Stringvariable | Wert für numerische Variable
n Elemente in einem abweichenden Status | 0b00000001

Das Bit wird immer dann gesetzt, wenn sich im Teilrezept Objekte befinden, deren Status vom Status des Teilrezepts abweicht. Ausgenommen sind Leerlauf und Abgeschlossen.

Byte 2:

Objekttyp. Nur für die numerische Variable.

Variablenwerte:

Dezimal | Binär | Bedeutung
3 | 11 | Teilrezeptobjekt im Rezept

Interner Status (Text und numerisch)

Wird mit dem internen Ausführungsstatus des ausgewählten Elements befüllt.

Zusammenstellung des internen Zustands:

  • Byte 0: Zustand
  • Byte 1: Status Bits
  • Byte 2: Objekttyp

Werte für eine Grundfunktion

Byte 0

Interner Status. Der Text kann für andere Objekte abweichen.

Variablenwerte:

String |  | Dezimal | Binär
Leerlauf | 1 |  | 1
Warten bis Grundfunktion bereit zum Starten ist | 2 |  | 10
Warten auf Aggregatsbelegung | 3 |  | 11
Warten auf Aggregatsbelegung – Timeout | 4 |  | 100
Warten auf exklusive Ausführung | 5 |  | 101
Warten auf Eingangsverriegelung | 6 |  | 110
Warten auf Eingangsverriegelung – Timeout | 7 |  | 111
Warten auf Weiterschaltbedingung | 8 |  | 1000
Warten auf Weiterschaltbedingung – Timeout | 9 |  | 1001
Warten auf Weiterschaltbedingung – Fehler bei Wertabsetzen | 10 |  | 1010
Warten auf minimale Ausführungsdauer | 11 |  | 1011
Warten bis Rezept im Status "In Ausführung" ist | 12 |  | 1100
Warten auf nachfolgende Bedingung | 13 |  | 1101
Warten auf nachfolgende Bedingung - Timeout | 14 |  | 1110

Byte 1

Status. Nur für numerische Variable.

Variablenwerte:

Dezimal | Binär | Bedeutung
00000001 | 1 | Ein Ausführungsfehler steht an.
00001000 | 8 | Eine Kommunikationsstörung steht an.
00010000 | 16 | Kommunikationsstörung behoben.
01000000 | 64 | Kommunikation wiederhergestellt.

Bei der Grundfunktion kann immer nur eines der Bits für die Kommunikationsstörung aktiv sein. Bei einem Teilrezept ist ein Bit immer dann gesetzt, wenn es auf mindestens eine interne Grundfunktion zutrifft.

Byte 2

Objekttyp. Nur für die numerische Variable.

Variablenwerte:

Dezimal | Binär | Bedeutung
3 | 11 | Teilrezeptobjekt im Rezept

Möglichkeiten bei Grundfunktion

Byte 0

Alle Möglichkeiten.

Byte 1

Alle Möglichkeiten.

Byte 2

Wert für numerische Variable |  | Bedeutung
Dezimal | Binär
2 | 10 | Grundfunktion

Möglichkeiten bei Teilrezeptinstanzen

Byte 0

Variablenwerte:

String | Dezimal | Binär
Leerlauf | 1 | 1
Ausführung der internen Objekte | 8 | 1000
Warten auf nachfolgende Bedingung | 13 | 1101

Byte 1

Immer leer.

Byte 2

Variablenwerte:

Dezimal | Binär | Bedeutung
3 | 11 | Teilrezeptobjekt im Rezept

Startzeit

Zeitpunkt, zu dem die Ausführung des ausgewählten Objekts begonnen hat.

Endezeit

Zeitpunkt, zu dem die Ausführung des ausgewählten Objekts abgeschlossen wurde.

Ausführungsdauer

Zeitspanne, die bisher während der Ausführung vergangen ist.

Ausführungszähler

Anzahl, wie oft das Element ausgeführt wurde


Einstellungen der Parameterlisten

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Einstellungen der Parameterlisten

Es stehen zwei Parameterlisten mit identischen Optionen zur Verfügung. Diese können individuell konfiguriert und eingesetzt werden.

Die Parameterlisten werden im Bild erstellt und bei der Bildumschaltung konfiguriert.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Parameterliste 1

Parameter

Beschreibung

Parameterliste 1

Anzeige der konfigurierten Liste. Die Spalten können:

  • gefiltert werden
  • in der Breite durch Ziehen der Spaltentitel mit der Maus verändert werden
  • durch Drag&Drop der Spaltentitel mit der Maus angeordnet werden

Hinweis: Das Filtern und Konfigurieren zur Runtime kann über die Eigenschaften der Gruppe Kopfzeile auch unterbunden werden.

Achtung: Wird im Editor ein Filter angelegt und die Anzeige der Filterzeile zur Runtime unterbunden, dann wird der Filter angewendet, kann aber nicht mehr konfiguriert werden.

Spaltenauswahl

Öffnet den Dialog zur Auswahl der Spalten, die angezeigt werden sollen.

Spaltenformat

Öffnet Dialog zur Formatierung der Spalten.

Befehlsparameter anzeigen

Auswahl der Befehlsparameter, die angezeigt werden sollen. Mögliche Auswahl durch Aktivierung der Checkboxen:

  • Parameterwert im Vorlagenrezept änderbar:
    Es werden Befehlsparameter angezeigt, für die im Editor die Option Parameterwert im Vorlagenrezept änderbar gesetzt wurde.
  • Im Steuerrezept änderbar:
    Es werden Befehlsparameter angezeigt, für die im Vorlagenrezept die Option Im Steuerrezept änderbar gesetzt wurde.
  • Im aktuellen Rezepttyp änderbar:
    Es werden Befehlsparameter angezeigt, die im aktuellen Rezepttyp geändert werden können.
  • Im Vorlagenrezept nicht änderbar:
    Es werden Befehlsparameter angezeigt, für die im Editor die Option Parameterwert im Vorlagenrezept änderbar nicht gesetzt wurde.
  • Im Steuerrezept nicht änderbar:
    Es werden Befehlsparameter angezeigt, für die im Vorlagenrezept die Option Im Steuerrezept änderbar nicht gesetzt wurde.
  • Im aktuellen Rezepttyp nicht änderbar:
    Es werden Befehlsparameter angezeigt, die im aktuellen Rezepttyp nicht geändert werden können.

Es können beliebige Kombinationen konfiguriert werden. Aktivierung aller Checkboxen führt zur Anzeige aller Befehlsparameter.

Rückgabeparameter anzeigen

Aktiv: Rückgabeparameter werden angezeigt.

Variable für die Darstellung der Anzahl der Einträge

Erlaubt das Verknüpfen einer Variable, die zur Laufzeit die Anzahl der in der Liste dargestellten Parameter enthält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Parameterliste 2

Parameter | Beschreibung
Parameterliste 2 | Parameterliste 2 mit identen Konfigurationsmöglichkeiten wie Parameterliste 1.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Parameterlisten werden zur Runtime neu aufgebaut, wenn:

  • im Rezept ein anderes Element ausgewählt wird
  • die ausgewählte Grundfunktion bearbeitet wurde
  • das Rezept gespeichert wurde (auch wenn das Speichern vom Client ausgeht)

info Info

Abwärtskompatibilität für Befehlsparameter anzeigen:

Die Option wurde mit Version 7.11 erweitert und von Radiobuttons auf Checkboxen umgestellt. Für die Abwärtskompatibilität bedeutet das:

Abwärtskompatibles Schreiben ist dann möglich, wenn:

nur eine Checkbox für die änderbaren Parameter gesetzt ist

oder die Kombination aller Checkboxen alle Parameter durchlässt

Ergibt die Kombination der Checkboxen eine Einstellung, die mit zenon 7.10 oder davor nicht konfigurierbar war, dann werden keine Parameter in der Liste angezeigt.


Einstellungen der Fahrweisenliste

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Einstellungen der Fahrweisenliste

In dieser Registerkarte legen Sie fest, wie die Liste der Fahrweisen zur Runtime angezeigt wird. Sie können auch Filter vordefinieren.

Option

Beschreibung

Fahrweisenliste

Konfiguration, wie die Liste zur Runtime angezeigt wird. Wählen Sie die gewünschten Spalten aus und definieren Sie bei Bedarf einen Filter.
Die Spalten können zur Runtime:

  • gefiltert werden
  • in der Breite durch Ziehen der Spaltentitel mit der Maus verändert werden
  • durch Drag&Drop der Spaltentitel mit der Maus angeordnet werden

Hinweis: Das Filtern und Konfigurieren zur Runtime kann über die Eigenschaften der Gruppe Kopfzeile auch unterbunden werden.

Achtung: Wird im Editor ein Filter angelegt und die Anzeige der Filterzeile zur Runtime unterbunden, dann wird der Filter angewendet, kann aber nicht mehr konfiguriert werden.

Spaltenauswahl

Öffnet Dialog zur Auswahl der Spalten, die angezeigt werden sollen.

Spaltenformat

Öffnet den Dialog zur Formatierung der Spalten.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenauswahl

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Spaltenauswahl

Die Spaltenauswahl steht für alle konfigurierbaren Listen zur Verfügung. Die Konfiguration erfolgt über einen Dialog, der jeweils die gleichen Optionen anbietet. Die verfügbaren Spalten hängen ab vom der zu konfigurierenden Liste. Beispiele für konkrete Listen folgen im Anschluss an die Dokumentation der Optionen.

Optionen

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Diese Einstellungen werden zur Runtime für andockbare Fenster nur benutzt, wenn für den angemeldeten Benutzer kein Runtimeprofil zur Verfügung steht.

Beispiele Spaltenauswahl

Spaltenauswahl für Liste der Vorlagenrezepte:

Spaltenauswahl für Liste der Steuerrezepte:

Spaltenauswahl für Liste der Teilrezepte (nur zur Runtime verfügbar):

Spaltenauswahl für Parameterlisten:

Spaltenauswahl für Fahrweisen:


Spaltenformat

Handbuch > Batch Control > Projektieren im Editor > Bildumschaltung Batch Control > Spaltenformat

In diesem Dialog definieren Sie das Spaltenformat:

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Diese Einstellungen werden zur Runtime für andockbare Fenster nur benutzt, wenn für den angemeldeten Benutzer kein Runtimeprofil zur Verfügung steht.


Keyboards

Handbuch > Batch Control > Projektieren im Editor > Keyboards

Parameter können zur Runtime geändert werden. Dazu stehen angepasste Keyboards zur Verfügung.

Hinweis: Mit Keyboards können auch Variablenwerte außerhalb der festgelegten Grenzen gesetzt werden. Diese führen in der Folge zu einem Validierungsfehler.

Keyboards für Batch Control

Keyboards für die Verwendung im Modul Batch Control allgemein definieren Sie in den Eigenschaften für das Modul in der Gruppe Parameter editieren/Keyboards. Legen Sie hier die gewünschten Keyboards fest für:

  • Binärparameter
  • Numerische Parameter
  • Stringparameter
  • Zeitdauerparameter

Mit der Eigenschaft Begründung bei Wertänderung erforderlich können Sie zusätzlich festlegen, dass jede Wertänderung begründet werden muss. Ist diese Eigenschaft aktiv, wird vor der Durchführung der Änderung ein Dialog zur Eingabe der Begründung geöffnet.

Verhalten zur Runtime

Zur Runtime öffnet ein Doppelklick auf den Eintrag einer Liste das jeweils verknüpfte Keyboard. Der Klick in unterschiedliche Spalten kann also unterschiedliche Keyboards öffnen.

Keyboard für Sollwert absetzen bei Parameter

Keyboards zum Absetzen von Sollwerten für einzelne Parameter definieren Sie in den Eigenschaften des jeweiligen Parameters in der Gruppe Sollwert setzen/Keyboards. Dazu:

  1. Navigieren Sie in den Parametereigenschaften zur Gruppe Sollwert setzen.
  2. Aktivieren Sie in der Untergruppe Keyboards die Eigenschaft Keyboardbild verwenden.
  3. Definieren Sie in der Eigenschaft Keyboardbild, welches Keyboardbild zur Runtime aufgeschaltet werden soll.

Verwendung eines Keyboards

Werte können im Vorlagenrezept und im Steuerrezept editiert werden, wenn der Rezeptstatus und die Parametereinstellungen das Zulassen. Minimum und Maximum können nur im Vorlagenrezept und nur an numerischen Parametern und Zeitdauer-Parametern geändert werden.

Für die Verwendung von Keyboards in Bildern vom Typ Batch Control gilt:

  • Es kann immer nur ein Keyboard aktiv sein. Wird ein neues aufgeschaltet, wird das bisherige geschlossen.
  • Wenn das Keyboard aktiv ist und ein Doppelklick in einer Spalte erfolgt, in der nichts geändert werden kann, passiert nichts.
  • Für Wert, Minimum und Maximum eines Parameters gilt:
    • Wenn an einem Parameter selbst ein Keyboard verknüpft ist, dann wird dieses verwendet.
    • Ist am Parameter kein Keyboard verknüpft, wird das in der Gruppe Parameter editieren allgemein für Batch Control verknüpfte Keyboard verwendet.
    • Wenn am Parameter ein Keyboard verknüpft ist, dieses aber nicht mehr vorhanden ist, wird ebenfalls das in der Gruppe Parameter editieren allgemein für Batch Control verknüpfte Keyboard verwendet.
    • Existiert auch dieses nicht, wird kein Keyboard geöffnet.
  • Keyboards für binäre Eingaben können die Tasten Ein, Aus und Toggeln zur Verfügung stellen.
  • Beim Umschalten der Einheiten werden die Min-/Max-Werte sowie Einheitennamen auf die System-Variablen neu gesetzt.
  • Für die Eigenschaft Änderbar im Steuerrezept wird unabhängig vom Parametertyp zuerst nach dem in der Gruppe Parameter editieren definierte Keyboard für Binärparameter gesucht. Ist keines verknüpft, dann wird nach einem Keyboard mit dem Standardnamen SETBOOLKBD gesucht. Existiert auch dieses nicht, wird kein Keyboard geöffnet.
  • Keyboards, die direkt mit Parameter verknüpft sind, können nach dem Freigeben eines Rezepts nicht mehr verändert werden. Wird das am Parameter verknüpfte Keyboard gelöscht, kann nur noch das in der Gruppe Parameter editieren definierte Keyboard verwendet werden.


zenon Funktionen

Handbuch > Batch Control > Projektieren im Editor > zenon Funktionen

Mit zenon Funktionen können Steuerkommandos an die Batch-Ausführung gesandt werden und im Editor bereits vordefinierte Steuerrezepte erzeugt werden:

  • Batch Rezepte exportieren: Exportiert Rezepte in eine XML-Datei.
  • Batch Rezepte importieren: Importiert Rezepte als XML-Datei.
  • Rezeptkommando- oder Moduswechsel ausführen: Schickt Steuerkommandos an die Batch-Ausführung.
  • Steuerrezept erzeugen: Erzeugt zur Runtime ein im Editor vordefiniertes Steuerrezept.
  • Vorlagenrezept freigeben: Gibt zur Runtime ein Vorlagenrezpt frei.

Noch in diesem Kapitel

Batch Rezepte exportieren

Batch Rezepte importieren

Rezeptkommando- oder Moduswechsel ausführen

Steuerrezept erzeugen

Vorlagenrezept freigeben


Batch Rezepte exportieren

Handbuch > Batch Control > Projektieren im Editor > zenon Funktionen > Batch Rezepte exportieren

Mit Hilfe der Funktion Batch Rezepte exportieren können Rezepte als XML-Datei exportiert werden. Um die Funktion zu erstellen:

  1. navigieren Sie im zenon Editor zum Knoten Funktionen
  2. wählen Sie Funktion neu
  3. navigieren Sie in der Funktionsauswahl zum Knoten Batch Control
  4. wählen Sie Batch Rezepte exportieren
  5. der Dialog zur Konfiguration der Funktion wird geöffnet

Rezeptfilter anwenden für

Parameter

Beschreibung

Rezeptfilter anwenden für

Auswahl worauf der Rezeptfilter angewendet wird:

  • Vorlagenrezept
  • Steuerrezept

Der Filter wird von oben nach unten abgearbeitet. Zum Beispiel wird Version nur auf die im Filter Vorlagenrezept gefundenen Rezepte angewandt.

Vorlagenrezept

Aktiv: Es wird auf Vorlagenrezepte gefiltert.

Steuerrezept

Aktiv: Es wird auf Steuerrezepte gefiltert.

Hinweis: Die dazu gehörenden Vorlagenrezepte müssen mit ausgewählt werden. Wird für das Steuerrezept kein Vorlagenrezept ausgewählt, kann der Filter zur Runtime die gesuchten Rezepte nicht finden.

Tipp: Ist das Vorlagenrezept nicht bekannt, empfiehlt sich die Filterung mit Platzhalter auf alle Vorlagenrezepte.

Rezeptfilter

Parameter

Beschreibung

Rezeptfilter

Konfiguration des Rezeptfilters

Vorlagenrezept

Parameter für die Auswahl des Vorlagenrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

ID aus Variable:
Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Version

Auswahl der Version aus Dropdownliste:

  • Alle:
    Die Versionsangabe wird ignoriert und jede gefundene Version wird verwendet.
  • Feststehende Version:
    Es wird auf die Version gefiltert, die hier ins Feld eingetragen wird.
    Höchste mögliche Version: 4294967295
  • Version aus Variable:
    Die Version des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • Nur älteste Version:
    Nur das Rezept mit der ältesten Versionsnummer wird verwendet.
  • Nur neueste Version:
    Nur das Rezept mit der neuesten Versionsnummer wird verwendet.
  • Default: Alle

Status Vorlagenrezept

Status des Vorlagenrezepts. Auswahl aus Dropdownliste.

Bei Auswahl Vorlagenrezept für Rezeptfilter:

  • Alle
  • Editiermodus
  • Freigegeben
  • Testmodus
  • Test in Ausführung
  • Terminiert mit Fehler
  • Veraltet

Bei Auswahl Steuerrezept für Rezeptfilter:

  • Freigegeben oder veraltet
  • Freigegeben
  • Veraltet

Anwenden auf gefundene Rezepte

Festlegung, auf welche Vorlagenrezepte der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

Steuerrezept

Parameter für die Auswahl des Steuerrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Steuerrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
    Es kann genau ein Rezept gefunden werden, wenn der Variablenwert zum Zeitpunkt der Ausführung eine gültige ID eines Steuerrezepts ist.

Auftragsnummer aus Variable:
Findet Steuerrezepte, die über die angegebene Auftragsnummer verfügen. Es kann jeder Variablentyp verknüpft werden. Der Wert wird automatisch in STRING konvertiert.

Status Steuerrezept

Festlegung, auf welchen Rezeptstatus der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Vorbereitet
  • In Ausführung
  • Abgeschlossen
  • Terminiert mit Fehler
  • Veraltet

Anwenden auf gefundene Rezepte

Festlegung, auf welche Steuerrezepte der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

Hinweis: Für Vorlagenrezepte und Steuerrezepte werden nur die jeweiligen IDs berücksichtigt. Die Suche nach Steuerrezepten kann mit diesem Filter mehrere Rezepte finden. Für ein eindeutiges Ergebnis muss dieser Filter auch für die Vorlagenrezepte aktiviert werden.

Teilrezept

Parameter für die Auswahl des Teilrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Teilrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Teilrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
    Es kann genau ein Rezept gefunden werden, wenn der Variablenwert zum Zeitpunkt der Ausführung eine gültige ID eines Teilrezepts ist.

Status Teilrezept

Festlegung, auf welche Rezeptstatus der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Editiermodus
  • Freigegeben
  • Veraltet

Anwenden auf gefundene Rezepte

Festlegung, auf welche Teilrezepte der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

Ausgabedatei

Auswahl des Dateinamens und des Speicherortes.

Benennung
  • Dateiname: Der Name der XML-Datei kann manuell eingegeben werden und/oder wird beim Auswählen einer Datei vom jeweiligen Speicher-Pfad übernommen.
  • Dateiname aus Variable: Der Name der XML-Datei wird von der verknüpften Variable übernommen.
  • Dateiname aus Rezeptnamen erzeugen: Der Name der XML-Datei wird aus Rezeptart, Rezeptname und Rezeptversion zusammengestellt.
  • Dateiname aus Rezept-ID erzeugen: Der Name der XML-Datei wird aus Rezeptart und Rezept-ID zusammengestellt.

Existierende Datei überschreiben

Aktiv: Bei Namenskonflikten wird die bereits existierende XML-Datei mit dem Namen überschrieben.

Hinweis: Dateien ohne Pfad werden im Export-Verzeichnis angelegt

Dateien ohne Pfad-Angabe werden automatisch im Export-Verzeichnis gespeichert.

Diesen Dialog zur Runtime anbieten

Aktiv: Der Dialog wird in der Runtime angezeigt und ist bedienbar.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Batch Rezepte importieren

Handbuch > Batch Control > Projektieren im Editor > zenon Funktionen > Batch Rezepte importieren

Mit Hilfe der Funktion Batch Rezepte importieren können Rezepte als XML-Datei importiert werden. Um die Funktion zu erstellen:

  1. navigieren Sie im zenon Editor zum Knoten Funktionen
  2. wählen Sie Funktion neu
  3. navigieren Sie in der Funktionsauswahl zum Knoten Batch Control
  4. wählen Sie Batch Rezepte importieren
  5. der Dialog zur Konfiguration der Funktion wird geöffnet

Importquelle

Parameter | Beschreibung
Dateiname | Importiert die XML-Datei mit dem ausgewählten Dateinamen.
Aus Variable | Importiert die XML-Datei aus der verknüpften Variable.

Importoptionen

Parameter

Beschreibung

Aktion bei Namenskonflikten in Vorlagenrezepten

Auswahl beim Vergeben eines Vorlagenrezept-Namens, der bereits existiert.

Neues Rezept erstellen

Erstellt ein neues Rezept mit dem Namen.

Altes Rezept überschreiben

Überschreibt das bestehende Rezept mit dem Namen.

Neue Version erstellen

Erstellt eine neue Version des Rezepts.

Überspringen

Überspringt diesen Schritt.

Aktion bei Namenskonflikten in Steuerrezepten/Teilrezepten

Auswahl beim Vergeben eines Steuerrezept- und/oder Teilrezeptnamens, der bereits existiert.

Neues Rezept erstellen

Erstellt ein neues Rezept mit dem Namen.

Altes Rezept überschreiben

Überschreibt das bestehende Rezept mit dem Namen.

Neue Version erstellen

Erstellt eine neue Version des Rezepts.

Überspringen

Überspringt diesen Schritt.

Auftragsnummer für neue Steuerrezepte

Auftragsnummer für neu erstellte Steuerrezepte

Individuelle Auftragsvariable verknüpfen

Verknüpft eine individuelle Auftragsvariable für jedes Steuerrezept

Wert aus Auftragsvariable übernehmen bei

Der Wert wird aus der Auftragsvariable übernommen beim

  • Starten des Steuerrezepts
  • Erzeugen des Steuerrezepts

Diesen Dialog zur Runtime anbieten

Dieser Dialog ist auch in der Runtime bedienbar.


Rezeptkommando- oder Moduswechsel ausführen

Handbuch > Batch Control > Projektieren im Editor > zenon Funktionen > Rezeptkommando- oder Moduswechsel ausführen

Mit Hilfe der Funktion schicken Sie Steuerkommandos an die Batch-Ausführung. Um die Funktion zu erstellen:

  1. navigieren Sie im zenon Editor zum Knoten Funktionen
  2. wählen Sie Funktion neu
  3. navigieren Sie in der Funktionsauswahl zum Knoten Batch Control
  4. wählen Sie Rezeptkommando-/Moduswechsel ausführen
  5. der Dialog zur Konfiguration der Funktion wird geöffnet

Aktion

Parameter

Beschreibung

Aktion

Auswahl der auszuführenden Aktion:

  • Kommando
  • Modus

Kommando

Auswahl des auszuführenden Kommandos aus Dropdownliste:

  • Ignorieren
  • Rezept starten
  • Rezept pausieren
  • Rezept fortsetzen
  • Rezept anhalten
  • Rezept neu starten
  • Rezept stoppen
  • Rezept abbrechen

Modus

Auswahl des Modus, in den das Rezept geschaltet werden soll:

  • Ignorieren
  • Automatisch
  • Halbautomatisch
  • Manuell

Rezeptfilter anwenden für

Parameter

Beschreibung

Rezeptfilter anwenden für

Auswahl worauf der Rezeptfilter angewendet wird:

  • Vorlagenrezept
  • Steuerrezept

Der Filter wird von oben nach unten abgearbeitet. Zum Beispiel wird Version nur auf die im Filter Vorlagenrezept gefundenen Rezepte angewandt.

Vorlagenrezept

Aktiv: Es wird auf Vorlagenrezepte gefiltert.

Steuerrezept

Aktiv: Es wird auf Steuerrezepte gefiltert.

Hinweis: Die dazu gehörenden Vorlagenrezepte müssen mit ausgewählt werden. Wird für das Steuerrezept kein Vorlagenrezept ausgewählt, kann der Filter zur Runtime die gesuchten Rezepte nicht finden.

Tipp: Ist das Vorlagenrezept nicht bekannt, empfiehlt sich die Filterung mit Platzhalter auf alle Vorlagenrezepte.

Rezeptfilter

Parameter

Beschreibung

Rezeptfilter

Konfiguration des Rezeptfilters

Vorlagenrezept

Parameter für die Auswahl des Vorlagenrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Version

Auswahl der Version aus Dropdownliste:

  • Alle:
    Die Versionsangabe wird ignoriert und jede gefundene Version wird verwendet.
  • Feststehende Version:
    Es wird auf die Version gefiltert, die hier ins Feld eingetragen wird.
    Höchste mögliche Version: 4294967295
  • Version aus Variable:
    Die Version des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • Nur älteste Version:
    Nur das Rezept mit der ältesten Versionsnummer wird verwendet.
  • Nur neueste Version:
    Nur das Rezept mit der neuesten Versionsnummer wird verwendet.
  • Default: Alle

Status Vorlagenrezept

Status des Vorlagenrezepts. Auswahl aus Dropdownliste.

Bei Auswahl Vorlagenrezept für Rezeptfilter:

  • Alle
  • Testmodus
  • Test in Ausführung

Bei Auswahl Steuerrezept für Rezeptfilter:

  • Freigegeben oder veraltet
  • Freigegeben
  • Veraltet

Anwenden auf gefundene Rezepte

Festlegung, auf welche Vorlagenrezepte der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

Steuerrezept

Parameter für die Auswahl des Steuerrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Steuerrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
    Es kann genau ein Rezept gefunden werden, wenn der Variablenwert zum Zeitpunkt der Ausführung eine gültige ID eines Steuerrezepts ist.
  • Auftragsnummer aus Variable:
    Findet Steuerrezepte, die über die angegebene Auftragsnummer verfügen. Es kann jeder Variablentyp verknüpft werden. Der Wert wird automatisch in STRING konvertiert.

Status Steuerrezept

Festlegung, auf welche Rezeptstatus der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Vorbereitet
  • In Ausführung

Anwenden auf gefundene Rezepte

Festlegung, auf welche Steuerrezepte der Filter angewendet wird. Auswahl aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Steuerrezept erzeugen

Handbuch > Batch Control > Projektieren im Editor > zenon Funktionen > Steuerrezept erzeugen

Mit Hilfe der Funktion Steuerrezept erzeugen kann zur Runtime ein im Editor vordefiniertes Steuerrezept erstellt werden. Um die Funktion zu erstellen:

  1. Navigieren Sie im zenon Editor zum Knoten Funktionen.
  2. Wählen Sie Funktion neu.
  3. Navigieren Sie in der Funktionsauswahl zum Knoten Batch Control.
  4. Wählen Sie Steuerrezept erzeugen.

    Der Dialog zur Konfiguration der Funktion wird geöffnet.

Konfiguration Dialog

Rezeptfilter

Parameter

Beschreibung

Rezeptfilter

Konfiguration des Rezeptfilters.

Der Filter wird von oben nach unten abgearbeitet. Zum Beispiel wird Version nur auf die im Filter Vorlagenrezept gefundenen Rezepte angewandt.

Groß-Kleinschreibung für Rezeptnamen beachten
  • Aktiv: Bei Rezeptnamen wird Groß- und Kleinschreibung beachtet.
    Recipe wird von RECIPE unterschieden.
  • Inaktiv: Groß-Kleinschreibung wird nicht beachtet.
    Recipe wird behandelt wie RECIPE.

Vorlagenrezept

Parameter für die Auswahl des Vorlagenrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Version

Auswahl der Version aus Dropdownliste:

  • Alle:
    Die Versionsangabe wird ignoriert und jede gefundene Version wird verwendet.
  • Feststehende Version:
    Es wird auf die Version gefiltert, die hier ins Feld eingetragen wird.
    Höchste mögliche Version: 4294967295
  • Version aus Variable:
    Die Version des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • Nur älteste Version:
    Nur das Rezept mit der ältesten Versionsnummer wird verwendet.
  • Nur neueste Version:
    Nur das Rezept mit der neuesten Versionsnummer wird verwendet.
  • Default: Alle

Anwenden auf gefundene Rezepte

Definition, auf welche Rezepte der Filter angewendet wird. Auswahl auf ID aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

Steuerrezeptname

Parameter

Beschreibung

Steuerrezeptname

Konfiguration des Namens des Steuerrezepts.

Steuerrezeptname

Auswahl der Namensvergabe aus Dropdownliste:

  • Name automatisch: Name wird bei der Erstellung automatisch vergeben
  • Name aus Variable: Name wird aus einer Variablen übernommen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
    Existiert zur Runtime bereits ein Rezept mit dem von der Variablen übergebenen Namen, wird kein neues Steuerrezept erstellt.

Auftragsnummer

Parameter

Beschreibung

Auftragsnummer

Konfiguration der Auftragsnummer.

Individuelle Auftragsvariable verknüpfen

Aktiv: Eine Auftragsvariable kann verknüpft werden. Die Variable muss bereits konfiguriert sein. Auswahl der Variablen aus Dropdownliste.

Wert aus Auftragsvariable übernehmen bei

Festlegung, zu welchem Zeitpunkt die Auftragsnummer übernommen wird. Beim:

  • Starten des Steuerrezepts
  • Erzeugen des Steuerrezepts

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Die Funktion wird dennoch erstellt, allerdings ohne definiertes Ziel.

Hilfe

Öffnet die Online-Hilfe.

Alle Filter wirken immer auf eine Gruppe von Rezepten mit gleichem Namen. Je nach Konfiguration kann mehr als ein Rezept übrig bleiben.
Zum Beispiel: Es werden Rezepte mit dem Filter Test* gesucht. Das Ergebnis sind 5 Versionen von Test_1 und 3 Versionen von Test_2. Wird weiter auf die neueste Version gefiltert, dann werden zwei Steuerrezepte erzeugt, je eines für das Rezept mit der höchsten Versionsnummer je Gruppe.

Hinweis Variablenauswahl über Name oder ID: Für die Auswahl von Variablen nach Name oder ID können jeweils numerische Variablen und String-Variablen ausgewählt werden. Die Datentypen werden in die jeweils korrekte Form konvertiert.


Vorlagenrezept freigeben

Handbuch > Batch Control > Projektieren im Editor > zenon Funktionen > Vorlagenrezept freigeben

Mit Hilfe der Funktion Vorlagenrezept freigeben kann zur Runtime ein Vorlagenrezept frei gegeben werden. Die Funktion gibt jene gefundenen Vorlagenrezepte zur Runtime frei, deren Eigenschaften passen und deren eventuell eingebettete Teilrezepte bereits freigegeben wurden. Sie kann von jedem Rechner im zenon Netzwerk angestoßen werden.
Um die Funktion zu erstellen:

  1. Navigieren Sie im zenon Editor zum Knoten Funktionen.
  2. Wählen Sie Funktion neu.
  3. Navigieren Sie in der Funktionsauswahl zum Knoten Batch Control.
  4. Wählen Sie Vorlagenrezept freigeben.

    Der Dialog zur Konfiguration der Funktion wird geöffnet.

Konfiguration Dialog

Rezeptfilter

Parameter

Beschreibung

Rezeptfilter

Konfiguration des Rezeptfilters.

Der Filter wird von oben nach unten abgearbeitet. Zum Beispiel wird Version nur auf die im Filter Vorlagenrezept gefundenen Rezepte angewandt.

Groß-Kleinschreibung für Rezeptnamen beachten
  • Aktiv: Bei Rezeptnamen wird Groß- und Kleinschreibung beachtet.
    Recipe wird von RECIPE unterschieden.
  • Inaktiv: Groß-Kleinschreibung wird nicht beachtet.
    Recipe wird behandelt wie RECIPE.

Vorlagenrezept

Parameter für die Auswahl des Vorlagenrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Version

Auswahl der Version aus Dropdownliste:

  • Alle:
    Die Versionsangabe wird ignoriert und jede gefundene Version wird verwendet.
  • Feststehende Version:
    Es wird auf die Version gefiltert, die hier ins Feld eingetragen wird.
    Höchste mögliche Version: 4294967295
  • Version aus Variable:
    Die Version des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • Nur älteste Version:
    Nur das Rezept mit der ältesten Versionsnummer wird verwendet.
  • Nur neueste Version:
    Nur das Rezept mit der neuesten Versionsnummer wird verwendet.
  • Default: Alle

Status

Auswahl des Status, über den das Rezept verfügen muss, aus Dropdownliste:

  • Editiermodus
  • Testmodus

Default: Editiermodus

Anwenden auf gefundene Rezepte

Definition, auf welche Rezepte der Filter angewendet wird. Auswahl auf ID aus Dropdownliste:

  • Alle
  • Nur älteste ID
  • Nur neueste ID

Default: Nur älteste ID

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Die Funktion wird dennoch erstellt, allerdings ohne definiertes Ziel.

Hilfe

Öffnet die Online-Hilfe.

Alle Filter wirken immer auf eine Gruppe von Rezepten mit gleichem Namen. Je nach Konfiguration kann mehr als ein Rezept übrig bleiben.
Zum Beispiel: Es werden Rezepte mit dem Filter Test* gesucht. Das Ergebnis sind 5 Versionen von Test_1 und 3 Versionen von Test_2. Wird weiter auf die neueste Version gefiltert, dann wird die neueste Version von Test_1 und die neueste Version von Test_2 frei gegeben.

Hinweis Variablenauswahl über Name oder ID: Für die Auswahl von Variablen nach Name oder ID können jeweils numerische Variablen und String-Variablen ausgewählt werden. Die Datentypen werden in die jeweils korrekte Form konvertiert.


Regeln Rezepterstellung

Handbuch > Batch Control > Projektieren im Editor > Regeln Rezepterstellung

Für die Erstellung von Rezepten zur Runtime können im Editor in der Eigenschaftengruppe Allgemein/Rezepterstellung Regeln definiert werden.

Parallelverzweigung verbieten

Über die Eigenschaft Parallelverzweigung verbieten legen Sie fest, ob Parallelverzweigungen erlaubt sind. Wird die Eigenschaft aktiviert, dann akzeptiert die Validierung zur Runtime keine parallelen Verzweigungen. Auch bereits validierte Rezepte werden vor dem Start erneut validiert. Bereits gestartete Rezepte mit Parallelzweigen werden nach dem Aktivieren dieser Eigenschaft abgebrochen.


Konvertierung

Handbuch > Batch Control > Konvertierung

Wird die zenon Version gewechselt, müssen vor dem Konvertieren des Projekts auf die neue Version alle Rezepte beendet werden.

Laufende Rezepte werden nach dem Wiederanlaufen nicht weiter ausgeführt. Das Wiederanlaufen funktioniert nur innerhalb der gleichen zenon Version.


Konfigurieren und steuern in der Runtime

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime

Die komplette Verwaltung, Erstellung und Abarbeitung der Rezepte erfolgt in der Runtime. Eine Bearbeitung im zenon Editor ist nicht möglich.

Hinweis: Runtime-Dateien sind bis inklusive Version 7.00 SP0 nicht kompatibel mit späteren Versionen. Ab Version 7.10 aufwärts ist die Kompatibilität gegeben.

Synchronisierung

Beim Laden, Öffnen, Duplizieren und Freigeben eines Rezepts oder Teilrezepts wird überprüft, ob die Projektierung von Aggregaten, Grundfunktionen usw. in der übergeordneten Instanz, z.B. dem Editor, verändert wurde. Details dazu siehe Kapitel Synchronisierung .

Auswahlverfahren in Listen:

  • Die Tastenkombination Strg+A: wählt alle Elemente aus
  • Die Tastenkombination Strg+Mausklick: fügt Vorlagenrezept zur bestehenden Auswahl hinzu
  • Umschalt-Taste+Mausklick: Erweitert Auswahl vom aktuell ausgewählten Vorlagenrezept bis zum angeklickten Vorlagenrezept

Speichern von Rezepten beim Beenden der Runtime

Wird die Runtime beendet und sind noch ungespeicherte Rezepte vorhanden, erfolgt eine Abfrage, ob diese Rezepte gespeichert werden sollen. Damit diese Abfrage das Schließen der Runtime nicht verhindert, wird nach 15 Sekunden ohne Eingabe die Runtime automatisch geschlossen. Nicht gespeicherte Rezepte werden dann verworfen.

Noch in diesem Kapitel

Oberfläche

Projektierungsregeln für Rezepte

Rezeptarten

Vorlagenrezepte

Teilrezepte

Fahrweisen

Steuerrezepte

Rezepte validieren

Rezeptausführung

Rezepte verwalten

Synchronisierung


Oberfläche

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche

Die Oberfläche der Editoren in der Runtime ist mit Werkzeugleisten und andockbaren Fenstern konfigurierbar.

Beispiel: Oberfläche mit Liste der Vorlagenrezepte, Liste der Steuerrezepte, Liste der Teilrezepte und PFC-Editor:

Aufschaltpositionen

Die Position im Rezept wird je nach Rezept und Status des Rezepts angepasst:

  • Beim Öffnen eines laufenden Rezepts:

    Es wird auf das erste aktive Element zentriert. Das erste aktive Element ist das, das sich am weitesten oben befindet. Bei mehreren aktiven Elementen in der gleichen Zeile wird das Element gewählt, das sich am weitesten links befindet. Elemente mit Ausführungspositionen davor oder danach werden für diesen Fall gleich behandelt wie die aktiven.

  • Beim ersten Öffnen eines Rezepts

    Es wird auf den Anfang des Rezepts zentriert. In einem PFC Rezept wird dabei auf das Startelement zentriert. Ein Matrix-Rezept wird so geöffnet, dass die linke obere Ecke sichtbar ist.

Tooltip

Ein Tooltip informiert über aktuelle und historische Ereignisse eines Elements.

Es werden angezeigt:

  • Elementname
  • Allgemeine Informationen zu Status und Anzahl der Ausführungen.
    Hinweis: Der Zähler wird aktiv, wenn die Grundfunktion neu aktiviert wird, also auch, wenn der Status Neustartend ist, aber die Neustartbedingung noch nicht durchlaufen wurde.
  • Fehler
  • Gesamtdauer inklusive Zeiten im Status Pausiert
  • Zeitlicher Ablauf

Noch in diesem Kapitel

Bedienelemente des Rezepteditors

Grafische Ausprägung

Statuszeile

Touch-Bedienung


Bedienelemente des Rezepteditors

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Bedienelemente des Rezepteditors

Für den Editor stehen zur Verfügung:

  • Symbolleisten (ausblendbar)
  • Registerkarten
  • andockbare Fenster

Symbolleisten

Im Rezepteditor stehen für jede Rezeptart und die unterschiedlichen Status eigene Symbolleisten zur Verfügung. Details siehe Kapitel Symbolleisten Matrix-Rezept und Symbolleisten und Kontextmenü PFC-Rezept. Alle Aktionen der einzelnen Symbole können auch über eigene Buttons im Bild projektiert werden. Werden die Symbolleisten daher nicht benötigt, können sie über Einstellungen im zenon Editor eingeblendet oder ausgeblendet werden.

Um die Symbolleisten ein-/auszublenden:

  1. Markieren Sie im zenon Editor das Kontrollelement Rezepteditor im Bild Batch Control.
  2. Navigieren Sie zur Eigenschaftengruppe Darstellung\Bedienelemente des Editors anzeigen.
  3. Aktivieren oder deaktivieren Sie die Checkbox Symbolleisten.

Noch in diesem Kapitel

Registerkarten im Rezepteditor

Andockbare Fenster


Registerkarten im Rezepteditor

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Bedienelemente des Rezepteditors > Registerkarten im Rezepteditor

Sind mehrere Rezepte im Rezepteditor geöffnet, werden diese mit Registerkarten repräsentiert. Rezepte können in zwei Gruppen nebeneinander oder untereinander angezeigt und geöffnet werden. Um ein Rezept in einer neuen Gruppe zu öffnen:

  1. Wählen Sie im Kontextmenü des Rezepts den Befehl Horizontale Nachbargruppe oder Vertikale Nachbargruppe.
  2. Wählen Sie Art der Anzeige:
    • verschieben
    • parallel öffnen

Die Bedienelemente gelten immer nur für das aktive Rezept der aktiven Gruppe.

  • Die aktive Gruppe wird farblich hervorgehoben.
  • Die aktive Registerkarte wird durch fette Beschriftung hervorgehoben. Informationen zur aktiven Registerkarte werden in der Titelleiste des Editors angezeigt.
  • Registerkarten können per Drag&Drop verschoben und angeordnet werden, auch zwischen Gruppen.

Kontextmenü Registerkarte

Parameter

Beschreibung

Speichern

Speichert Änderungen im Rezept.

Schließen

Schließt das Rezept.

Alle anderen schließen

Schließt alle anderen offenen Rezepte. Nur das Rezept, in dem das Kontextmenü aktiviert wurde, bleibt offen.

Untereinander anordnen

Öffnet das Rezept in einer neuen Gruppe unter den anderen Rezepten.

  • Ansicht verschieben: Das Rezept wird verschoben und aus der oberen Gruppe entfernt.
  • Ansicht parallel öffnen: Das Rezept wird in beiden Gruppen parallel angezeigt.

Nebeneinander anordnen

Öffnet das Rezept in einer neuen Gruppe rechts von der aktiven Gruppe.

  • Ansicht verschieben: Das Rezept wird verschoben und aus der linken Gruppe entfernt.
  • Ansicht parallel öffnen: Das Rezept wird in beiden Gruppen parallel angezeigt.


Andockbare Fenster

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Bedienelemente des Rezepteditors > Andockbare Fenster

Im Rezepteditor können zur Runtime drei Fenster eingeblendet, beliebig positioniert und angedockt werden:

  • Liste der Vorlagenrezepte
  • Liste der Steuerrezepte
  • Liste der Teilrezepte

Details zur Auswahl und Positionierung siehe Abschnitt Auswahl und Positionierung.

Die Einstellungen werden für jeden Rechner und Anwender individuell gespeichert.

Liste ein-/ausblenden

Die Liste der andockbaren Fenster kann über Einstellungen im zenon Editor eingeblendet oder ausgeblendet werden.

Um die Liste ein-/auszublenden:

  1. markieren Sie im zenon Editor das Kontrollelement Rezepteditor im Bild Batch Control
  2. navigieren Sie zur Eigenschaftengruppe Darstellung\Bedienelemente des Editors anzeigen
  3. aktivieren oder deaktivieren Sie die Checkbox Andockbare Fenster

Beispiele

Zusätzlich Liste der Teilrezepte im Rezepteditor eingeblendet:

Zusätzlich Liste der Vorlagenrezepte, Steuerrezepte und Teilrezepte im Rezepteditor eingeblendet:

Listen der Vorlagenrezepte, Steuerrezepte und Teilrezepte als Registerkarten im Rezepteditor eingeblendet:

Noch in diesem Kapitel

Auswahl und Positionierung


Auswahl und Positionierung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Bedienelemente des Rezepteditors > Andockbare Fenster > Auswahl und Positionierung

Um Fenster im Editor einzublenden und anzudocken:

  • wählen Sie die gewünschten Fenster über die Dropdownliste des Symbols Auswahl der andockbaren Fenster aus
  • ziehen Sie die Fenster an die gewünschte Position
  • platzieren Sie diese mit der Positionierungshilfe

Das Symbol Auswahl der andockbaren Fenster befindet sich am rechten Rand der Statusleiste des Editors. Klick auf das Symbol öffnet die Liste der andockbaren Fenster. Die Auswahl erfolgt über Aktivierung/Deaktivierung der Checkboxen.

Positionierungshilfe

Beim Bewegen von Fenstern auf der Editoroberfläche werden Positionierungshilfen angezeigt. Diese repräsentieren Fenster oder seine Ränder.

Dieses Element repräsentiert einen Fensterbereich im Editor.

Dieses Element repräsentiert den Randbereich des Editors.

Fenster positionieren

Um ein Element angedockt zu positionieren:

  1. bewegen Sie das Element mit der Maus in den gewünschten Bereich
  2. die Positionierungshilfe wird eingeblendet
  3. diese repräsentiert ein Fenster und dessen Bereiche:
    1. Mitte: gesamtes Fenster
    2. oben: obere Hälfte
    3. unten: untere Hälfte
    4. rechts: rechte Hälfte
    5. links: linke Hälfte

    oder den Rand des Editors

  4. bewegen Sie die Maus in die zentrale Positionierungshilfe oder auf eine Positionierungshilfe am Rand des Editors und dort auf den gewünschten Bereich
  5. der Bereich im Editor, an dem das Element beim Loslassen der Maustaste platziert würde, wird blau eingefärbt
  6. bewegen Sie die Maus innerhalb der Positionierungshilfe bis der gewünschte Bereich blau angezeigt wird
  7. lassen Sie die Maustaste los, das Element wird platziert

Wird ein Fenster auf ein bereits bestehendes Fenster platziert, werden beide Fenster am gleichen Ort über Registerkarten angezeigt.

Hinweis: Mehr zu Positionierung lesen Sie auch im Kapitel zum zenon Editor im Abschnitt Oberfläche/Fenster positionieren.


Grafische Ausprägung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Grafische Ausprägung

Klick auf das Symbol für die Grafische Ausprägung in der Symbolleiste öffnet den Dialog zur Konfiguration der Farben, Rastereinstellungen und Anzeige der Element-ID.

Parameter

Beschreibung

Hintergrundfarbe

Definiert die Hintergrundfarbe des Diagramms. Klick auf die Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Raster anzeigen
  • Aktiv: Raster wird angezeigt.
  • Inaktiv: Raster wird ausgeblendet.

Nur für PFC-Rezepte konfigurierbar.

Rasterfarbe

Definiert die Linienfarbe des Rastergitters. Klick auf die Farbe öffnet Farbpalette zur Auswahl einer Farbe.

IDs der Elemente anzeigen

Inaktiv: Im Rezept wird keine Element-ID angezeigt.
Hinweis: Diese Einstellung wird für den Normalbetrieb empfohlen.

Aktiv: Die ID der Elemente wird im Rezept angezeigt. Ausgenommen sind Linien. Die Anzeige erfolgt in der linken oberen Ecke des Elements.
Hinweis: Diese Einstellung wird für die Fehlersuche empfohlen.

OK

Übernimmt alle Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Statuszeile

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Statuszeile

Die Statuszeile wird automatisch an jedes Rezept angepasst, das den Fokus erhält, und mit dessen Daten initialisiert. In der Statuszeile wird angezeigt:

  • Modus des Rezepts
    • Editiermodus
    • Manueller Modus
    • Halbautomatischer Modus
    • Automatischer Modus
  • Zustand des Rezepts:
    • Bereit zum Starten
    • Fehler: Im Rezept liegt aktuell ein Fehler vor. Anzahl der Fehler wird ebenfalls angezeigt.
    • Historischer Fehler: Während der Ausführung trat mindestens ein Fehler auf. Es liegt aber aktuell kein Fehler mehr vor.
    • Kein Fehler: Ausführung läuft bislang fehlerfrei ab.
  • Aktueller Ausführungsstatus.
  • Mausposition und Veränderungen wie Schieben der Verbindungslinien
  • Freigabe eines Rezepts
  • Fehlerfrei fertig
  • Zoom-Stufe der aktuellen Ansicht; diese kann hier auch gesteuert werden

Auch beim Ausführen von Teilrezepten werden die globalen Zustände des Hauptrezepts angezeigt.


Touch-Bedienung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Oberfläche > Touch-Bedienung

Um zur Runtime die Bedienung per Touch zu vereinfachen, können Sie:

  • die Greifbarkeit der Ausführungspositionen optimieren
  • einige Symbole in Matrix-Rezepten als Kontrollelmente darstellen
  • Fahrweisen über Kontrollelmente einer Grundfunktion zuweisen

Ausführungsposition für Touch optimieren

Um die Greifbarkeit der Ausführungspositionen in einem laufenden Rezept zu optimieren, können Sie im Editor die Eigenschaft Touch Ausführungspositionen aktivieren. Sie finden diese in den Eigenschaften des Rezeptes im Knoten Darstellung/Multi-Touch.

Bei aktiver Option werden im Rezept-Editor die Ausführungspositionen halbtransparenten Kreisen hinterlegt, die Angriffsfläche wird dadurch vergrößert.


Projektierungsregeln für Rezepte

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Projektierungsregeln für Rezepte

Beim Projektieren gelten im Allgemeinen die im Standard ANSI/ISA–S88 definierten Regeln.

Wichtige Grundsätze:

Allgemein

  • Bei allen Elementen müssen immer alle Verbindungspunkte verbunden sein.
    Ausnahme: Sprungziele. Dort müssen nur zwei der drei Eingangsverbindungspunkte verknüpft sein.
  • Das Anfangselement ist bei PFC-Rezepten immer genau einmal vorhanden und markiert den Beginn des Ablaufs. Bei Matrix-Rezepten ist es nicht sichtbar.
  • Das Endelement ist bei PFC-Rezepten immer genau einmal vorhanden und markiert das Ende des Ablaufs. Bei Matrix-Rezepten ist es nicht sichtbar.
  • Grundfunktionen dürfen überall eingefügt werden. Es dürfen sich auch mehrere Grundfunktionen hintereinander befinden.
  • Es sollte mindestens eine aktive Grundfunktion im Rezept vorhanden sein.

Transitionen

  • Transitionen existieren nur in PFC-Rezepten.
  • Zwei Transitionen dürfen nicht direkt hintereinander liegen.

Zweige

  • Zweige existieren nur bei PFC-Rezepten.
  • Als erstes Element nach einem Anfang Verzweigung muss an jeder Stelle eine Transition stehen.
  • Die einzelnen Zweige, die bei einem Anfang Verzweigung starten, müssen alle wieder in ein Ende Verzweigung münden, niemals in ein Ende Parallelzweig. Es dürfen sich alle Elemente zwischen Anfang und Ende eines Zweigs befinden, auch Parallelzweige, solange diese vor dem Ende Verzweigung wieder abgeschlossen werden. Ein Ende Verzweigung kann an jeder Stelle durch Sprungziele ersetzt werden, auch innerhalb eines Parallelzweigs.
  • Es muss nicht zwingend pro Anfang Verzweigung auch jeweils ein Ende Verzweigung geben. Es können auch zwei Anfang Verzweigung Elemente verzweigt auf ein einzelnes Ende Verzweigung gehen oder umgekehrt.
  • Es ist nicht notwendig, dass es für ein Anfang Verzweigung ein Ende Verzweigung gibt. Wenn man zum Beispiel ein Element Anfang Verzweigung mit zwei Pfaden hat, von denen einer in einem Sprungziel endet, ist ein Ende Verzweigung nicht sinnvoll.

Parallelzweige

  • Jeder Parallelzweig muss mindestens eine Grundfunktion enthalten.
  • Das erste Element nach einem Anfang Parallelzweig darf keine Transition sein.
  • Die einzelnen Zweige, die bei einem Anfang Parallelzweig beginnen, müssen alle wieder in ein Ende Parallelzweig münden, dürfen aber niemals in ein Ende-Verzweigung enden. Zwischen Anfang Parallelzweig und Ende Parallelzweig dürfen beliebige Elemente verwendet werden, auch Zweige, solange diese vor dem Ende Parallelzweig wieder abgeschlossen werden.
  • Es müssen nicht alle Zweige, die in einem Anfang Parallelzweig gestartet wurden, wieder in ein Ende Parallelzweig münden. Es reicht, wenn alle Zweige wieder über Parallel Ende Objekte zusammenlaufen. Genauso dürfen auch Zweige aus unterschiedlichen Anfang Parallelzweig Objekten in ein Ende Parallelzweig zusammenlaufen.
  • Parallelzweige erlauben das Einbetten weiterer Parallelzweige.
    Dabei gilt: jeder eingebettete Parallelzweig muss sich wieder zum übergeordneten Parallelzweig vereinen

Linien im PFC Editor

  • Linien dürfen als Verbindungen zwischen allen Objekten eingefügt werden. Es ist auch erlaubt, eine beliebige Anzahl von Linien hintereinander einzufügen.
  • Linien dürfen nicht dazu verwendet werden, zwei gleiche Verbindungspunkte zu verbinden.
    Zum Beispiel: Die beiden Eingänge von zwei Grundfunktionen dürfen nicht mit einer Linie direkt verbunden werden. In der Projektierung wird diese Verbindung zugelassen, sie wird allerdings rot als Fehler dargestellt und in der Validierung wird eine Fehlermeldung ausgegeben.

Sprungziele

  • Sprungziele existieren nur bei PFC-Rezepten.
  • Sprungziele entsprechen einem Ende Verzweigung. Sie sind dafür gedacht, um
    • zwischen Zweigen zu springen,
    • aus Zweigen heraus zu springen,
    • Schleifen zu projektieren.

    Dabei gilt: Ein Pfad, der in einem Sprungziel endet, muss mit einem Anfang Verzweigung begonnen haben. Sonst wird das Ende nicht erreicht.

  • Sprungziele bestehen aus drei Eingängen und einem Ausgang. Es müssen immer mindestens zwei Eingänge und der Ausgang verbunden sein. Dabei macht es keinen Unterschied welcher der Eingangs-Verbindungspunkte verbunden ist.
  • Sprungziele dürfen hintereinander geschaltet werden, wenn mindestens zwei Eingangsverbindungspunkte belegt sind.
  • Sprünge sind verboten:
    • zwischen Parallelzweigen
    • um aus einem Parallelzweig heraus zu springen
    • um in einen Parallelzweig hinein zu springen.

Konfiguration von Objekten

Reaktionen

  • Reaktionen können in jedem Objektstatus auftreten.
  • Pro Reaktionstyp sind mehrere Reaktionen möglich. Diese werden bei ihrer Auslösung sortiert und entsprechend ihrer Priorität ausgeführt. Dabei hat 1 die höchste Priorität.
  • Alle Variablen aller Parameter werden beim Treiber zum Lesen angemeldet. Sollte ein Wert bei einer Reaktion benötigt werden, aber noch nicht zur Verfügung stehen oder gestört sein, wird der Ersatzwert geschrieben. Das Schreiben der Werte erfolgt ohne Schreibbestätigung.
  • Einige der Reaktionen werden nur einmal im Ablauf ausgelöst, zum Beispiel Timeouts. Wird die Grundfunktion neu gestartet, werden auch diese Reaktionen bei Bedarf erneut ausgelöst.


Rezeptarten

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptarten

Batch Control unterscheidet zwischen folgenden beiden Rezeptarten:

  • PFC-Rezepte: Für freie, komplexe Abläufe. Diese werden mit dem PFC-Editor erstellt.
  • Matrix Rezepte: Für einfache sequentielle, parallele Abläufe. Diese werden mit dem Matrix Editor erstellt.

Rezepte sind in folgenden Ausprägungen vorhanden:

  • Vorlagenrezepte:
    Bilden die Basis für die Steuerrezepte. Im Status Editierbar werden sie erstellt. Sind sie im Status Freigegeben können Sie nicht mehr modifiziert werden.
  • Teilrezepte:
    Bilden eine Substruktur, die in Rezepte eingebettet werden kann. Damit kann in komplexen Rezepten die Übersichtlichkeit erhöht werden. Teilrezeptvorlagen werden analog Vorlagenrezepte erstellt. In Vorlagenrezepten können Teilrezeptinstanzen eingefügt werden.
  • Steuerrezepte:
    Sind Rezepte, die einmalig ausgeführt werden können. Jedes Steuerrezept basiert auf einem Vorlagenrezept. Die Anordnung der Elemente kann in Steuerrezepten nicht verändert werden. Sie wird durch das Vorlagenrezept definiert. Änderbar sind nur Befehlsparameter, für die die Option Im Steuerrezept änderbar aktiviert wurde.

Rezepte werden zur Runtime erstellt und bearbeitet. Wird ein Bild geschlossen, dass noch nicht gespeicherte Rezepte enthält, erfolgt eine Benutzerabfrage, ob die entsprechenden Rezepte gespeichert werden sollen. Erfolgt binnen 15 Sekunden keine Eingabe durch den Benutzer, werden die nicht gespeicherten Änderungen verworfen und das Bild geschlossen.


Vorlagenrezepte

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte

Vorlagenrezepte bilden die Grundlage für Steuerrezepte. Mit Vorlagenrezepten wird der Rezeptablauf festgelegt und getestet. Nach der Freigabe eines Vorlagenrezepts kann dessen Inhalt und Struktur nicht mehr verändert werden.

Zum Erstellen von Vorlagenrezepten stehen zwei Editoren zur Verfügung:

  • Matrix-Editor
  • PFC-Editor

Je nach Lizenz stehen nur der Matrix-Editor oder beide Editoren zur Verfügung.

Noch in diesem Kapitel

Vorlagenrezept erstellen

Symbolleiste und Kontextmenü Vorlagenrezept Listenansicht

PFC-Rezept

Matrix-Rezept

Vorlagenrezept Testmodus

Vorlagenrezept freigeben

Rezept als veraltet kennzeichnen

Versionierung für Vorlagenrezepte

Aktionen


Vorlagenrezept erstellen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Vorlagenrezept erstellen

Ein Klick auf dem Button Vorlagenrezept erzeugen öffnet den Dialog Vorlagenrezept Konfiguration.

Parameter

Beschreibung

Matrix-Rezept

Aktivieren Sie dieses Optionsfeld, wenn Sie ein Matrix-Rezept erstellen möchten.

Hinweis: Nur möglich bei entsprechender Lizenz.

PFC-Rezept

Aktivieren Sie dieses Optionsfeld, wenn Sie ein PFC-Rezept erstellen möchten.

Hinweis: Nur möglich bei entsprechender Lizenz.

Name

Eindeutiger Name für das Rezept. Der Name darf keinen Punkt (.), kein Fragezeichen (?), kein @ und keinen Asterisk (*) enthalten.

Maximale Länge: 256 Zeichen.

Hinweis: Beim Kopieren von Rezepten wird der bestehende Name mit dem Präfix "Kopie von" ergänzt. Wird dabei die maximal mögliche Länge überschritten, wird der Name von hinten auf die erlaubte Länge gekürzt.

Die Eindeutigkeit wird Netzwerkweit geprüft. Es kann daher vorkommen, dass Sie den Namen nicht übernehmen können, da gleichzeitig ein anderer Benutzer auf einem anderen Rechner im zenon Netzwerk den selben Namen bereits vergeben hat und Sie das Rezept noch nicht in der Liste der Vorlagenrezepte sehen.

Den Rezeptnamen können Sie nachträglich ändern, aber nur so lange wie das Rezept im Status Editierbar ist.

Beschreibung

Optionale Beschreibung für das zu erstellende Rezept.

Die Beschreibung können Sie nachträglich ändern, aber nur so lange wie das Rezept im Status Editierbar ist. Zum Ändern der Beschreibung wählen Sie das Symbol Vorlagenrezept umbenennen.

OK

Übernimmt alle Einstellungen und erzeugt ein neues Rezept.

Abbrechen

Schließt den Dialog ohne ein Rezept zu erzeugen.


Symbolleiste und Kontextmenü Vorlagenrezept Listenansicht

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Symbolleiste und Kontextmenü Vorlagenrezept Listenansicht

Symbolleiste

Symbol | Beschreibung
Vorlagenrezept neu | Öffnet Dialog zur Erstellung eines neuen Vorlagenrezepts.
Vorlagenrezept im Editor öffnen | Öffnet ausgewählte Rezepte im Rezepteditor.
Neue Version erzeugen | Erstellt eine neue Version des ausgewählten Vorlagenrezepts. Dieses muss freigegeben oder als veraltet gekennzeichnet sein.
Vorlagenrezept umbenennen | Öffnet Dialog zum Umbenennen des ausgewählten Rezepts.
Vorlagenrezept duplizieren | Erstellt Kopie des ausgewählten Rezepts und öffnet Dialog zur Benennung des Duplikats.
Vorlagenrezept löschen | Löscht ausgewählte Rezepte.
Auswahl als XML exportieren... | Exportiert das ausgewählte Vorlagenrezept in eine XML-Datei.
XML importieren | Importiert die ausgewählte XML-Datei als Vorlagenrezept(e).
Vorlagenrezept in Testmodus umschalten | Schaltet ausgewähltes Rezept nach einer Sicherheitsabfrage in den Testmodus um.
Vorlagenrezept in Editiermodus umschalten | Schaltet ausgewähltes Rezept nach einer Sicherheitsabfrage in den Editiermodus um.
Vorlagenrezept freigeben | Gibt ausgewähltes Rezept nach einer Sicherheitsabfrage frei.
Steuerrezept neu | Öffnet Dialog zur Erstellung eines neuen Steuerrezepts.
Laufende Steuerrezepte in der Anzeige inkludieren | Schließt laufende Steuerrezepte in Anzeige ein.
Vorbereitete Steuerrezepte in der Anzeige inkludieren | Schließt vorbereitete Steuerrezepte in Anzeige ein.
Abgeschlossene Steuerrezepte in der Anzeige inkludieren | Schließt abgeschlossene Steuerrezepte in Anzeige ein.
Veraltete Steuerrezepte in der Anzeige inkludieren | Schließt veraltete Steuerrezepte in Anzeige ein.
Liste der zugehörigen Steuerrezepte in Steuerrezeptliste anzeigen | Zeigt alle Steuerrezepte zu den ausgewählten freigegebenen Vorlagenrezepten an.
Spaltenwahl | Öffnet Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat | Öffnet Dialog zur Konfiguration der Spaltenformate.

Kontextmenü

Befehl | Beschreibung
Vorlagenrezept neu | Öffnet Dialog zur Erstellung eines neuen Vorlagenrezepts.
Im Rezepteditor öffnen | Öffnet ausgewählte Rezepte im Rezepteditor.
Umbenennen... | Öffnet Dialog zum Umbenennen des ausgewählten Rezepts.
Duplizieren... | Erstellt Kopie des ausgewählten Rezepts und öffnet den Dialog zur Benennung des Duplikats.
Löschen | Löscht ausgewählte Rezepte.
Auswahl als XML exportieren... | Exportiert das ausgewählte Vorlagenrezept in eine XML-Datei.
XML importieren... | Importiert die ausgewählte XML-Datei als Vorlagenrezept(e).
Umschalten in Editiermodus | Schaltet ausgewähltes Rezept nach einer Sicherheitsabfrage in den Editiermodus um.
Umschalten in Testmodus | Schaltet ausgewähltes Rezept nach einer Sicherheitsabfrage in den Testmodus um.
Freigeben | Gibt ausgewähltes Rezept nach einer Sicherheitsabfrage frei.
Als veraltet kennzeichnen | Markiert die ausgewählten Rezepte als veraltet.
Steuerrezept neu | Öffnet Dialog zur Erstellung eines neuen Steuerrezepts.
Zugehörige Steuerrezepte in Liste anzeigen | Zeigt alle Steuerrezepte an, die zum ausgewählten freigegebenen Vorlagenrezept gehören.


PFC-Rezept

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept

Wenn Sie im Dialog Vorlagenrezept Konfiguration PFC-Rezept gewählt und den Dialog mit OK beendet haben, öffnet sich das von Ihnen neu erstellte Rezept in einer neuen Registerkarte im PFC-Editor.

Da jedes Rezept ein Anfangselement und ein Endelement benötigt, sind diese beiden Elemente schon in Ihrem Rezept vorhanden und können auch nicht gelöscht werden.

Fügen Sie hier Ihrem Rezept die gewünschten Grundfunktionen, Transitionen, Verzweigungen, Parallelverzweigungen und Aggregatsbelegungen hinzu. Felder, die für das Einfügen eines Elements nicht geeignet sind, werden rot eingefärbt, wenn das Element darüber bewegt wird.

Noch in diesem Kapitel

PFC-Editor

Symbolleisten und Kontextmenü PFC-Rezept

Anfangselement

Grundfunktion einfügen und konfigurieren

Teilrezepte einfügen

Linien

Transitionen

Verzweigungen und Parallelzweige

Sprungziele

Aggregat belegen und konfigurieren

Endelement


PFC-Editor

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > PFC-Editor

Im PFC-Editor können Sie Ihre Rezepte grafisch erstellen.

Technische Details

  • Blattgröße:
    • Default: 11 x 11 Zellen
    • Minimal: 5 x 5 Zellen
    • Maximal: 500 x 1000 Zellen
  • Zellengröße:
    • Default: 155 x 111 Pixel
  • Außenränder: 100 Pixel
  • Gitter: wird per Default angezeigt, kann auch ausgeblendet werden
  • Bildlaufleiste: Wird angezeigt, wenn das Dokument größer als die Schablone ist
  • Scrollen per Mausrad: nach oben und unten, oder bei gehaltener Umschalt-Taste nach links und rechts
  • Zoomen: Steuerung-Taste+Scrollrad
  • Auswahl von Elementen: linker Mausklick
  • Mehrfachauswahl: Steuerung-Taste+Mausklick
  • Symbol bewegen: Element anklicken und mit gedrückter linker Maus-Taste über das Diagramm bewegen. Inhalt kann auf Zellen mit grünem Hintergrund abgelegt werden. Färbt sich eine Zelle beim Darüberbewegen rot erlaubt sie kein Ablegen.


Symbolleisten und Kontextmenü PFC-Rezept

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Symbolleisten und Kontextmenü PFC-Rezept

Symbolleiste PFC-Editor: Editiermodus

Parameter

Beschreibung

Vorlagenrezept neu...

Öffnet Dialog zur Erstellung eines neuen Vorlagenrezepts.

Vorlagenrezept speichern

Speichert das zur Bearbeitung geöffnete Rezept.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Löschen

Löscht ausgewählte Elemente aus Diagramm.

Mehrfachauswahl über die Tastenkombination Strg+Mausklick.

Rezept auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Grundfunktion/Teilrezept austauschen

Öffnet Dialog zur Auswahl einer Grundfunktion oder eines Teilrezepts und ersetzt die bestehende durch die neu gewählte Grundfunktion, oder das bestehende Teilrezept durch ein neu gewähltes. Es können mehrere Grundfunktionen oder Teilrezepte gemeinsam gewählt und ausgetauscht werden.

Tastenkombination: Taste Umschalt+Doppelklick

Bearbeitungsmodus

Wechselt vom Einfügemodus in den Bearbeitungsmodus.

Grundfunktion einfügen

Fügt eine Grundfunktion ein.

Transition einfügen

Fügt eine Transition ein.

Anfang Parallelzweig einfügen

Fügt den Anfang eines Parallelzweigs ein.

Ende Parallelzweig einfügen

Fügt das Ende eines Parallelzweigs ein

Anfang Verzweigung einfügen

Fügt den Anfang einer Verzweigung ein.

Ende Verzweigung einfügen

Fügt das Ende einer Verzweigung ein.

Aggregatsbelegung einfügen

Fügt eine Aggregatsbelegung ein.

Sprungziel einfügen

Fügt ein Sprungziel ein.

Teilrezept einfügen

Fügt ein Teilrezept ein.

Rezept in den Testmodus umschalten

Schaltet das Rezept in den Testmodus. Dazu muss das Rezept fehlerfrei sein.

Rezept freigeben

Gibt das Rezept frei. Damit kann ein Steuerrezept erstellt werden.

Hinweis: Einfügeaktionen bleiben so lange aktiv, bis über das Symbol Bearbeitungsmodus oder die Esc-Taste in den Bearbeitungsmodus oder über ein Symbol zum Einfügen eines Elements zu einer anderen Einfügeoption gewechselt wird.

Symbolleiste PFC-Rezept: Testmodus

Parameter | Beschreibung
Rezept starten | Startet den Rezeptablauf.
Rezept pausieren | Pausiert das Rezept.
Rezept fortsetzen | Setzt pausiertes Rezept fort.
Rezept anhalten | Hält Rezept an.
Rezept neu starten | Startet angehaltenes Rezept neu.
Rezept stoppen | Stoppt das Rezept.
Rezept abbrechen | Bricht Rezeptablauf ab.
Grundfunktion pausieren | Pausiert ausgewählte Grundfunktion.
Grundfunktion fortsetzen | Setzt Ablauf einer ausgewählten pausierten Grundfunktion fort.
Grundfunktion anhalten | Hält ausgewählte Grundfunktion an.
Grundfunktion neu starten | Startet ausgewählte angehaltene Grundfunktion neu.
Aus Grundfunktion aussteigen | Startet Prozess zum Aussteigen aus der Grundfunktion.
Rezept auf Fehler prüfen | Startet Rezeptvalidierung.
Element bearbeiten | Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.
Grafische Ausprägung | Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.
Umschalten in Automatischen Modus | Schaltet Ausführung in den Automatischen Modus um.
Umschalten in Halbautomatischen Modus | Schaltet Ausführung in den Halbautomatischen Modus um.
Umschalten in Manuellen Modus | Schaltet Ausführung in den Manuellen Modus um.
Rezept nur an ausgewählten Ausführungspositionen fortsetzen | Setzt ein Rezept nur an den ausgewählten Positionen fort.
Rezept an allen Ausführungspositionen fortsetzen | Setzt ein Rezept an allen zur Verfügung stehenden Positionen fort.
Anstehende Bedingung überspringen | Überspringt eine anstehende Bedingung der ausgewählten Grundfunktion. Nur im Manuellen Modus möglich.
Editiermodus | Schaltet vom Testmodus in den Editiermodus um.
Rezept freigeben | Gibt das Rezept frei. Damit kann ein Steuerrezept erstellt werden.

Symbolleiste PFC-Rezept: freigegeben

Parameter

Beschreibung

Rezept auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Dialog wird in schreibgeschütztem Modus geöffnet, da bei freigegebenen Rezepten keine Bearbeitung mehr möglich ist.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Rezept duplizieren

Erstellt eine Kopie des Rezepts. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.

Steuerrezept erzeugen

Erzeugt ein Steuerrezept auf Basis des freigegebenen Vorlagenrezepts.

info Info

Die Funktionen der einzelnen Symbole können auch über Buttons projektiert und so Touch-bedienbar gemacht werden. Symbolleisten können daher auch ausgeblendet werden.


Anfangselement

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Anfangselement

Erstes Element im Ablauf. Es wird im Editor beim Erstellen des Rezepts automatisch angelegt und kann nicht gelöscht werden.


Grundfunktion einfügen und konfigurieren

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren

Um eine Grundfunktion einzufügen:

  1. Wählen Sie in der Symbolleiste das Symbol für Grundfunktion einfügen.
  2. Bewegen Sie die Maus an die gewünschte Stelle .
  3. Platzieren Sie die Grundfunktion.

    Der Dialog zur Auswahl einer Grundfunktion wird geöffnet.

  4. Wählen Sie die gewünschte Grundfunktion.

Um eine Grundfunktion zu konfigurieren:

  1. Führen Sie einen Doppelklick auf die Grundfunktion aus.
  2. Der Dialog zur Konfiguration wird geöffnet.
    Wurde dem Element noch keine Grundfunktion zugewiesen, öffnet der Doppelklick den Dialog zur Auswahl einer Grundfunktion.

Hinweis: Umschalt-Taste + Doppelklick öffnet immer den Dialog zur Auswahl einer Grundfunktion.

Konfiguration

Parameter | Beschreibung
Grundfunktion in diesem Schritt aktiv | Aktiv: Grundfunktion ist in diesem Schritt aktiv
Name | Name der Grundfunktion. Nur Anzeige.
Beschreibung | Kommentar zur Grundfunktion. Nur Anzeige.
Aggregat | Aggregat auf dem die Grundfunktion ausgeführt wird. Nur Anzeige.
Fahrweise | Auswahl einer Fahrweise aus Dropdownliste. Nur verfügbar, wenn im Editor für diese Grundfunktion Fahrweisen konfiguriert wurden. Default: keine Fahrweise verknüpft
Fahrweisenbeschreibung | Beschreibung der gewählten Fahrweise. Nur Anzeige der im Editor eingegebenen Beschreibung.
Allgemein | Registerkarte mit Konfiguration allgemeiner Eigenschaften.
Parameter | Registerkarte mit Konfiguration der Parameter.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbruch | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.

Konfiguration der Registerkarten siehe Kapitel:

  • Allgemein: Anzeige und Konfiguration der Einstellungen für die Grundfunktion
  • Parameter: Konfiguration der Parameter

Für Änderungen kann die Eingabe einer Begründung verlangt werden. Dazu muss entweder für das Modul allgemein die Eigenschaft Begründung bei Wertänderung erforderlich im Knoten Parameter editieren aktiviert werden oder für einzelne Grundfunktionen die Eigenschaft Begründung bei Wertänderung erforderlich in der Gruppe Allgemein.

Regeln für Bearbeitung einer Grundfunktion

Eine Grundfunktion kann bearbeitet werden:

  • In einem Vorlagenrezept im Editiermodus: Wenn der Benutzer über ausreichende Rechte verfügt.
  • In einem Vorlagenrezept im Testmodus: Wenn der Benutzer über ausreichende Rechte verfügt und die Grundfunktion nicht aktiv ist.
  • In einem Steuerrezept mit Status Vorbereitet: Wenn der Benutzer über ausreichende Rechte verfügt und im Vorlagenrezept die Option Im Steuerrezept änderbar aktiviert wurde.
  • In einem Steuerrezept mit Status In Ausführung: Wenn der Benutzer über ausreichende Rechte verfügt, im Vorlagenrezept die Option Im Steuerrezept änderbar aktiviert wurde und die Grundfunktion nicht aktiv ist.

In bereits ausgeführten Steuerrezepten und in freigegebenen Vorlagenrezepten kann die Grundfunktion nicht mehr editiert werden.

Noch in diesem Kapitel

Auswahl Grundfunktion

Allgemein

Parameter

Parameter bearbeiten

Parameterwerte über Keyboard ändern

Spaltenauswahl

Spaltenformat


Auswahl Grundfunktion

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Auswahl Grundfunktion

Wenn eine Grundfunktion hinzugefügt wird, öffnet sich der Dialog zur Auswahl einer Grundfunktion.

Option | Beschreibung
Projektbaum | Zeigt aktuelles Projekt an, aus dem die Grundfunktionen gewählt werden können.
Liste der Grundfunktionen | In der Liste werden alle im Editor projektierten Grundfunktionen angezeigt. Diese Liste kann gefiltert werden. Beim Filtern wird zwischen Groß- und Kleinschreibung unterschieden. Die Platzhalter * und ? können verwendet werden.
Pfeiltasten | Verschieben die Auswahl nach oben oder unten.
Keine Auswahl | Löscht bereits ausgewählte Grundfunktion aus dem Element.
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft alle Änderungen und schließt Dialog.

Alle Einstellungen des Dialogs werden beim Beenden benutzerspezifisch gespeichert.


Allgemein

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Allgemein

Die Eigenschaften der Registerkarte Allgemein werden mit Ausnahme der Option Im Steuerrezept änderbar im Editor vorgegeben. Die Werte können im Vorlagenrezept geändert werden. Ein Symbol zeigt an, ob der Wert im Dialog mit dem Wert im Editor übereinstimmt. Bei unterschiedlichen Werten, kann der im Editor definierte Wert wieder übernommen werden.

Bedeutung der Symbole neben den Werten:

Symbol | Beschreibung
Istgleich-Zeichen | Wert im Dialog und der im Editor vorgegebene Wert stimmen überein.
Spitze Klammern | Wert im Dialog und der im Editor vorgegebene Wert unterscheiden sich.
Pfeile in gegensätzliche Richtung | Nur aktiv, wenn sich die Werte in Rezept und Editor unterscheiden. Klick auf Schaltfläche übernimmt Wert vom Editor. Dieser überschreibt den Wert im Vorlagenrezept.

Grundfunktion editieren

Erklärung für die Konfiguration der über den beiden Registerkarten angezeigten Basisdaten siehe Kapitel Grundfunktion einfügen und konfigurieren.

Option

Beschreibung

Wartezeit Aggregatsbelegung

Zeit in Tagen, Stunden, Minuten und Sekunden, die auf die Belegung des Aggregats gewartet wird. Die Wartezeit kann zur Runtime verändert werden, solange sich das Rezept im Status editierbar befindet.

Nach Ablauf der definierten Zeit wird das Ereignis Wartezeit Aggregatsbelegung überschritten ausgelöst und das Element hervorgehoben dargestellt. Weitere Aktionen müssen vom Projektanten definiert werden. Erfolgen keine weiteren Aktionen, wird weiter gewartet.

Maximum: 9999T 23:59:59
Default: 0T 00:00:00

Hinweis: Ein Aggregat kann immer nur von einem einzigen Rezept mit Status In Ausführung belegt werden.

Wert wird im Editor vorgegeben und kann hier geändert werden, solange das Rezept nicht freigegeben wurde.

Eingangsverriegelung

Definiert Bedingung für Eingangsverriegelung. Klick auf Schaltfläche ... öffnet den Formeleditor zur Definition einer Bedingung.
Wird eine Eingangsverriegelung konfiguriert, dann wird die Grundfunktion zur Runtime erst ausgeführt, wenn die Bedingung für die Eingangsverriegelung erfüllt wurde. Die Formel kann aus einem oder mehreren Befehlsparametern und Rückgabeparametern der Grundfunktion bestehen. Wert und Status der Variablen können verwendet werden. Die Formel gibt TRUE oder FALSE als Ergebnis aus. Die Bedingung kann zur Runtime angezeigt, aber nicht verändert werden.
Die Wartezeit für die Eingangsverriegelung wird mit der Eigenschaft Wartezeit Eingangsverriegelung konfiguriert.

Wartezeit Eingangsverriegelung

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die in der Eigenschaft Eingangsverriegelung definierte Bedingung den Wert TRUE zurückgeben muss. Die Wartezeit beginnt mit dem Beginn der Prüfung der Eingangsverriegelung zu laufen. Wird innerhalb der Wartezeit die Bedingung nicht erfüllt, wird das Ereignis Wartezeit Eingangsverriegelung überschritten ausgelöst und weiter gewartet. Wurde keine Reaktion auf das Ereignis definiert, das ein anderes Verhalten erzwingt, wird weiter gewartet bis die Bedingung erfüllt wird.

Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.

  • Minimalwert: 0T 00:00:00
  • Maximalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Wert wird im Editor vorgegeben und kann hier geändert werden, solange das Rezept nicht freigegeben wurde.

Weiterschaltbedingung

Definiert Bedingung für Weiterschaltung. Klick auf Schaltfläche ... öffnet Formeleditor zur Definition einer Bedingung.
Bedingung kann zur Runtime angezeigt, aber nicht verändert werden. Die Zeitspanne, die auf die Erfüllung der Bedingung gewartet wird, wird mit der Eigenschaft Maximale Ausführungsdauer definiert.

Maximale Ausführungsdauer

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die in der Eigenschaft Weiterschaltbedingung definierte Bedingung den Wert TRUE zurückgeben muss. Die Wartezeit beginnt mit dem Schreiben der Befehlsparameter zu laufen. Wird innerhalb der Wartezeit die Bedingung nicht erfüllt, wird das Ereignis Maximale Ausführungsdauer überschritten ausgelöst und weiter gewartet. Wurde keine Reaktion auf das Ereignis definiert, das ein anderes Verhalten erzwingt, wird weiter gewartet bis die Bedingung erfüllt wird.

Hinweis: Zeit läuft weiter, wenn das Rezept/die Grundfunktion pausiert wird.

Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.

  • Minimalwert: 0T 00:00:00
  • Maximalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Wert wird im Editor vorgegeben und kann hier geändert werden, solange das Rezept nicht freigegeben wurde.

Nur sinnvoll, wenn die Eigenschaft Weiterschaltbedingung konfiguriert wurde.

Mehr zur Ausführungsdauer lesen Sie im Kapitel Ausführungsdauer.

Minimale Ausführungsdauer

Minimale Ausführungsdauer der Grundfunktion.

  • >0: Zeitraum, der nach dem Schreiben der Befehlsparameter mindestens gewartet wird, unabhängig davon, ob die Weiterschaltbedingung erfüllt ist.
  • 0: Keine minimale Ausführungsdauer definiert.

Hinweis: Minimale Ausführungsdauer kann Maximale Ausführungsdauer überschreiten. Wert wird im Editor vorgegeben und kann hier geändert werden, solange das Rezept nicht freigegeben wurde.

Im Steuerrezept änderbar, wenn im Vorlagenrezept Option Im Steuerrezept änderbar aktiviert wurde.

Mehr zur Ausführungsdauer lesen Sie im Kapitel Ausführungsdauer.

Im Steuerrezept änderbar

Aktiv: Eigenschaft kann im Steuerrezept geändert werden.

Wartezeit nachfolgende Bedingungen

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die Grundfunktion deaktiviert werden werden muss. Die Wartezeit beginnt mit dem Erreichen der Weiterschaltbedingung zu laufen. Wird innerhalb der Wartezeit die Bedingung nicht erfüllt, wird das Ereignis Wartezeit nachfolgende Bedingung überschritten ausgelöst und weiter gewartet. Wurde keine Reaktion auf das Ereignis definiert, das ein anderes Verhalten erzwingt, wird weiter gewartet bis die Bedingung erfüllt wird.

Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.

  • Minimalwert: 0T 00:00:00
  • Maximalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Hinweis: Ob nachfolgende Bedingungen existieren, hängt von der Rezeptstruktur ab. Die Konfiguration einer Wartezeit sollte daher besser nicht im Editor erfolgen, sondern zur Runtime. Wert wird im Editor vorgegeben und kann hier geändert werden, solange das Rezept nicht freigegeben wurde.

Weitere Informationen finden Sie in den Kapiteln Zeiten und Nachfolgende Bedingung.

OK

Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.

Abbrechen

Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Parameter

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Parameter

Parameter

Beschreibung

Liste der Parameter

Zeigt die im Editor konfigurierten Parameter an. Parameter können nach Spalten gefiltert und sortiert werden.

Klick auf Symbol Parameter bearbeiten, Doppelklick auf den Parameter, Befehl im Kontextmenü, oder Druck auf die Eingabe-Taste öffnet den Dialog zur Bearbeitung eines Parameters.

OK

Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.

abbrechen

Verwirft alle Änderungen aller Registerkarten und schließt Dialog.

Symbolleiste

Symbol | Bedeutung
Parameter bearbeiten | Öffnet Dialog zur Bearbeitung des Parameters.
Alle Befehlsparameter anzeigen | Schaltet um zwischen Anzeige der änderbaren Befehlsparameter und aller Befehlsparameter.
Rückgabeparameter anzeigen | Zeigt zusätzlich zu den Befehlsparametern auch die Rückgabeparameter an oder blendet diese aus.
Spaltenwahl | Öffnet Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat | Öffnet Dialog zur Formatierung der Spalten.


Parameter bearbeiten

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Parameter bearbeiten

Um einen Parameter zur Runtime zu bearbeiten:

  1. Wählen Sie im Dialog Grundfunktion editieren die Registerkarte Parameter.
  2. Markieren Sie den gewünschten Parameter.
  3. Öffnen Sie den Dialog zur Bearbeitung des Parameters über einen Klick auf Symbol Parameter bearbeiten, das Kontextmenü, einen Doppelklick auf den Parameter oder Druck auf die Eingabe-Taste.

    Der Dialog zur Bearbeitung wird geöffnet.

Für jeden Datentyp wird ein eigener Dialog geöffnet:

  • numerisch
  • binär
  • String
  • Zeitdauer

Die Eigenschaften werden in der Regel im Editor konfiguriert und zur Runtime nur angezeigt. Ausgenommen sind numerische Parameter und Parameter für Zeitdauer. Diese können zur Runtime angepasst werden, wenn im Editor die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert wurde.

Numerische Parameter

Parameter

Bedeutung

Parameter

Name des Parameters. Nur Anzeige.

Beschreibung

Freie Beschreibung des Parameters. Nur Anzeige.

Typ

Typ des Parameters: Initial, Wert oder Rückgabe. Nur Anzeige.

Datentyp

Datentyp des Parameters. Nur Anzeige.

Im Steuerrezept änderbar

Aktiv: Wert des Parameters kann im Steuerrezept geändert werden.

Nur verfügbar, wenn:

  • der Parameter vom Typ Initial oder Wert ist
  • im Editor konfiguriert wurde, dass der Parameter im Batch-Rezept geändert werden darf (Eigenschaft: Parameterwert im Vorlagenrezept änderbar).

Minimum

Minimalwert für den Parameter.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft IsEditableLimitsInRecipeLocal aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Minimum Variable

Zulässiger Minimalwert der Variablen.

Wert

Wert des Parameters.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Einheit

Einheit des Werts.

Maximum

Maximalwert für den Parameter. Nur Anzeige.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft IsEditableLimitsInRecipeLocal aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Maximum Variable

Zulässiger Maximalwert von Variable. Nur Anzeige.

Variable

Variable, die mit dem Parameter verknüpft ist. Nur Anzeige.

Datentyp Variable

Datentyp der Variable. Nur Anzeige.

Treiber

Treiber der Variablen. Nur Anzeige.

Treiberbezeichnung

Bezeichnung des Treibers der Variablen. Nur Anzeige.

Pfeil-Tasten

Navigation durch die Parameter.

Diese werden in der Reihenfolge der Liste angezeigt. Dabei werden nur Parameter angezeigt, die in der aktuellen Filterung und Gruppierung der Liste sichtbar sind.

Wurden Änderungen durchgeführt, erfolgt vor dem Wechsel zu einem anderen Parameter eine Abfrage, ob die Änderungen übernommen oder verworfen werden sollen. Sollen Änderungen übernommen werden, werden die Eingaben vor dem Weiterschalten überprüft.

Übernehmen

Übernimmt alle Änderungen, sofern die Überprüfung der Änderungen erfolgreich ist, und lässt Dialog zur weiteren Bearbeitung offen.

OK

Übernimmt alle Änderungen und schließt Dialog, sofern die Überprüfung der Änderungen erfolgreich ist.

Abbrechen

Verwirft alle nicht bereits übernommenen Änderungen und schließt Dialog.

Binäre Parameter

Parameter

Bedeutung

Parameter

Name des Parameters. Nur Anzeige.

Beschreibung

Freie Beschreibung des Parameters. Nur Anzeige.

Typ

Typ des Parameters: Initial, Wert oder Rückgabe. Nur Anzeige.

Datentyp

Datentyp des Parameters. Nur Anzeige.

Im Steuerrezept änderbar

Aktiv: Wert des Parameters kann im Steuerrezept geändert werden.

Nur verfügbar, wenn:

  • der Parameter vom Typ Initial oder Wert ist
  • im Editor konfiguriert wurde, dass der Parameter im Batch-Rezept geändert werden darf (Eigenschaft: Parameterwert im Vorlagenrezept änderbar).

Aus

Zustand: Aus.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Ein

Zustand: Ein.

Toggeln

Wechselt Zustand.

Variable

Variable, die mit dem Parameter verknüpft ist. Nur Anzeige.

Datentyp Variable

Datentyp der Variable. Nur Anzeige.

Treiber

Treiber der Variablen. Nur Anzeige.

Treiberbezeichnung

Bezeichnung des Treibers der Variablen. Nur Anzeige.

Pfeil-Tasten

Navigation durch die Parameter.

Diese werden in der Reihenfolge der Liste angezeigt. Dabei werden nur Parameter angezeigt, die in der aktuellen Filterung und Gruppierung der Liste sichtbar sind.

Wurden Änderungen durchgeführt, erfolgt vor dem Wechsel zu einem anderen Parameter eine Abfrage, ob die Änderungen übernommen oder verworfen werden sollen. Sollen Änderungen übernommen werden, werden die Eingaben vor dem Weiterschalten überprüft.

Übernehmen

Übernimmt alle Änderungen, sofern die Überprüfung der Änderungen erfolgreich ist, und lässt Dialog zur weiteren Bearbeitung offen.

OK

Übernimmt alle Änderungen und schließt Dialog, sofern die Überprüfung der Änderungen erfolgreich ist.

Abbrechen

Verwirft alle nicht bereits übernommenen Änderungen und schließt Dialog.

String-Parameter

Parameter

Bedeutung

Parameter

Name des Parameters. Nur Anzeige.

Beschreibung

Freie Beschreibung des Parameters. Nur Anzeige.

Typ

Typ des Parameters: Initial, Wert oder Rückgabe. Nur Anzeige.

Datentyp

Datentyp des Parameters. Nur Anzeige.

Im Steuerrezept änderbar

Aktiv: Wert des Parameters kann im Steuerrezept geändert werden.

Nur verfügbar, wenn:

  • der Parameter vom Typ Initial oder Wert ist
  • im Editor konfiguriert wurde, dass der Parameter im Batch-Rezept geändert werden darf (Eigenschaft: Parameterwert im Vorlagenrezept änderbar).

String

Alphanumerische Zeichenfolge.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Mögliche Länge ist begrenzt durch die in der Variable projektierte Stringlänge.

Stringlänge

Definiert mögliche Stringlänge. Nur Anzeige.

Variable

Variable, die mit dem Parameter verknüpft ist. Nur Anzeige.

Datentyp Variable

Datentyp der Variable. Nur Anzeige.

Treiber

Treiber der Variable. Nur Anzeige.

Treiberbezeichnung

Bezeichnung des Treibers der Variablen. Nur Anzeige.

Pfeil-Tasten

Navigation durch die Parameter.

Diese werden in der Reihenfolge der Liste angezeigt. Dabei werden nur Parameter angezeigt, die in der aktuellen Filterung und Gruppierung der Liste sichtbar sind.

Wurden Änderungen durchgeführt, erfolgt vor dem Wechsel zu einem anderen Parameter eine Abfrage, ob die Änderungen übernommen oder verworfen werden sollen. Sollen Änderungen übernommen werden, werden die Eingaben vor dem Weiterschalten überprüft.

Übernehmen

Übernimmt alle Änderungen, sofern die Überprüfung der Änderungen erfolgreich ist, und lässt Dialog zur weiteren Bearbeitung offen.

OK

Übernimmt alle Änderungen und schließt Dialog, sofern die Überprüfung der Änderungen erfolgreich ist.

Abbrechen

Verwirft alle nicht bereits übernommenen Änderungen und schließt Dialog.

Zeitdauer

Parameter

Bedeutung

Parameter

Name des Parameters. Nur Anzeige.

Beschreibung

Freie Beschreibung des Parameters. Nur Anzeige.

Typ

Typ des Parameters: Initial, Wert oder Rückgabe. Nur Anzeige.

Datentyp

Datentyp des Parameters. Nur Anzeige.

Im Steuerrezept änderbar

Aktiv: Wert des Parameters kann im Steuerrezept geändert werden.

Nur verfügbar, wenn:

  • der Parameter vom Typ Initial oder Wert ist
  • im Editor konfiguriert wurde, dass der Parameter im Batch-Rezept geändert werden darf (Eigenschaft: Parameterwert im Vorlagenrezept änderbar).

Minimum

Minimalwert für den Parameter im Format:
T hh:mm:ss

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft IsEditableLimitsInRecipeLocal aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Minimum Variable

Zulässiger Minimalwert von Variable.

Dauer

Wert des Parameters im Format:
T hh:mm:ss.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Einheit

Einheit des Werts.

Maximum

Maximalwert für den Parameter im Format:
T hh:mm:ss.

Vorgabe aus Editor kann geändert werden, wenn im Editor die Eigenschaft IsEditableLimitsInRecipeLocal aktiviert wurde.
Wird der Wert geändert, wird dies durch das Symbol rechts vom Wert angezeigt. Geänderte Werte können über die daneben liegende Schaltfläche wieder durch die Vorgabe aus dem Editor überschrieben werden. Bei Fahrweisen erfolgt die Synchronisierung mit den Werten, die in der Fahrweise bei der Parameterverknüpfung eingestellt wurden.

Maximum Variable

Zulässiger Minimalwert von Variable. Nur Anzeige.

Variable

Variable, die mit dem Parameter verknüpft ist. Nur Anzeige.

Datentyp Variable

Datentyp der Variable. Nur Anzeige.

Treiber

Treiber der Variable. Nur Anzeige.

Treiberbezeichnung

Bezeichnung des Treibers der Variablen. Nur Anzeige.

Pfeil-Tasten

Navigation durch die Parameter.

Diese werden in der Reihenfolge der Liste angezeigt. Dabei werden nur Parameter angezeigt, die in der aktuellen Filterung und Gruppierung der Liste sichtbar sind.

Wurden Änderungen durchgeführt, erfolgt vor dem Wechsel zu einem anderen Parameter eine Abfrage, ob die Änderungen übernommen oder verworfen werden sollen. Sollen Änderungen übernommen werden, werden die Eingaben vor dem Weiterschalten überprüft.

Übernehmen

Übernimmt alle Änderungen, sofern die Überprüfung der Änderungen erfolgreich ist, und lässt Dialog zur weiteren Bearbeitung offen.

OK

Übernimmt alle Änderungen und schließt Dialog, sofern die Überprüfung der Änderungen erfolgreich ist.

Abbrechen

Verwirft alle nicht bereits übernommenen Änderungen und schließt Dialog.


Parameterwerte über Keyboard ändern

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Parameterwerte über Keyboard ändern

Werte für Numerische Parameter und String-Parameter können direkt in der Parameter-Liste über ein Keyboard-Bild geändert werden.

Konfiguration im Editor:

  1. Verknüpfen Sie die Variable des Parameters mit einer Reaktionsmatrix.
    Zulässig sind Numerische Variablen und String-Variablen.

    Die Reaktionsmatrix muss vom gleichen Typ sein wie die Variable.
    Sie benötigen für jeden Wert einen Zustand mit:

    1. Wert gleich
    2. Grenzwerttext
  2. Erstellen Sie ein Keyboard für die in der Rema konfigurierten Zuständen mit den Kontrollelementen für:
    • Wertanzeige als Text
    • Sollwert-Eingabe
    • OK
  3. Verknüpfen Sie das Keyboard mit dem Parameter.

Anwendung zur Runtime:

  1. Klicken Sie in der Parameterliste in die Zelle für den Wert.

    Das Keyboard wird geöffnet.

  2. Klicken Sie auf den gewünschten Zustand.

    Der Wert wird in der Sollwert-Eingabe angezeigt.

  3. Klicken Sie auf OK.

    Der Wert wird in den Parameter geschrieben.


Spaltenauswahl

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Spaltenauswahl

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Grundfunktion einfügen und konfigurieren > Spaltenformat

Parameter

Beschreibung

Verfügbare Spalten

Liste der über Spaltenauswahl bereit gestellten Spalten. Die hier ausgewählte Spalte wird über die Einstellungen der Sektion Parameter konfiguriert.

Parameter

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel. Der Spaltentitel ist online sprachumschaltbar. Dazu müssen Sie das Zeichen @ vor dem Namen eingeben.

Breite

Breite der Spalte in Zeichen.

Ausrichtung

Ausrichtung.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog.


Teilrezepte einfügen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Teilrezepte einfügen

Um ein Teilrezept einzufügen:

  1. wählen Sie in der Symbolleiste das Symbol für Teilrezept einfügen
  2. bewegen Sie die Maus an die gewünschte Stelle
  3. platzieren Sie das Teilrezept
  4. der Dialog zur Auswahl einer Vorlage für das Teilrezept wird geöffnet
  5. wählen Sie das gewünschte Teilrezept
  6. das Teilrezept wird eingefügt


Linien

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Linien

Linien verbinden Elemente über freie Verbindungspunkte. Um Verbindungspunkte miteinander zu verbinden:

  1. Aktivieren Sie einen Punkt mit der Maus:
    Der Verbindungspunkt wird grün eingefärbt. Rot dagegen symbolisiert einen bereits vergebenen Verbindungspunkt.

  2. Ziehen Sie eine Linie zu einem anderen Verbindungspunkt:
    Ein gelber Pfeil zeigt die Richtung der Linie an. Grüne Felder können überquert werden. Rot markierte Felder dürfen von der Linie nicht gekreuzt werden.

  3. Sobald die gelbe Spitze der Linie den nächsten Verbindungspunkt berührt, wird sie erstellt.

Handhabung von Linien

Linien:

  • werden mit der Maus gezogen
  • können verschoben werden (Ctrl-Taste halten)
    Dabei trennen sich alle bisherigen Verbindungen und es wird versucht, die Linie neu zu verbinden, wenn sich am Ziel Objekte mit Verbindungspunkten in die richtige Richtung befinden.
    Sind mehrere Linien markiert, wird die Linie, in deren Zelle sich der Mauszeiger befindet, verschoben.
  • können gelöscht werden durch markieren und drücken der Del-Taste
  • werden beim erneuten Ziehen von Anfang zu Ende gelöscht
  • verfügen über einen Tooltip, der ihre ID anzeigt.

Erreicht eine Line einen Verbindungspunkt eines Objekts, wird dieser aktiviert. Ist die Verbindung möglich, wird er grün dargestellt, sonst rot. Nicht erlaubt sind Verbindungen, die zwei gleiche Verbindungspunkte verbinden, also zwei Eingänge oder zwei Ausgänge. Die Linie kann in jedem Fall eingefügt werden. Nicht erlaubte Verbindungen werden rot markiert und ergeben beim Testen eine entsprechende Fehlermeldung.

Die Verbindungspunkte der Elemente werden im Editiermodus immer angezeigt, auch wenn der fragliche Verbindungspunkt verbunden ist. Im Status "Freigegeben" werden keine Verbindungspunkte angezeigt.

Eigenschaften Verbindungspunkt:

  • verbunden: rote Markierung; Verbindung wird beim Ziehen der Linie getrennt und ein neuer Verbindungspunkt kann gesucht werden
  • offen: grüne Markierung; beim Ziehen wird eine neue Linie erstellt


Transitionen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Transitionen

Transitionen werden nach Grundfunktionen eingesetzt, um einen definierten Übergang von einer Grundfunktion zur nächsten zu gewährleisten. Transitionen zeigen im Ablauf ihren internen Status an und informieren mit einem Tooltip über Status und Ablaufdauer.

Details zu Transitionen lesen Sie auch im Abschnitt Projektieren im Editor im Kapitel Transitionen.


Verzweigungen und Parallelzweige

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Verzweigungen und Parallelzweige

Rezepte können verzweigen und in Parallelzweigen ablaufen.

Zweige und Parallelzweige bestehen aus:

  • einfachen oder doppelten horizontalen Linien
  • Verknüpfungsstücken (bestehend aus Verknüpfungslinie und Verknüpfungspunkt)

Verzweigung erstellen

Um eine Verzweigung zu erstellen:

  1. Wählen Sie das Symbol Anfang Verzweigung einfügen.
  2. Ziehen Sie die Verzweigung an der gewünschten Stelle auf.
  3. Verbinden Sie den Eingangs-Verknüpfungspunkt mit einem Ausgangs-Verknüpfungspunkt des vorangehenden Objekts.
  4. Verbinden Sie die beiden Ausgangs-Verknüpfungspunkte mit den gewünschten folgenden Objekten.
  5. Schließen Sie eine Verzweigung mit dem Objekt Ende Verzweigung einfügen.

Parallelzweige einfügen

Um eine Parallelverzweigung zu erstellen:

  1. Wählen Sie das Symbol Anfang Parallelzweig einfügen.
  2. Ziehen Sie die Verzweigung an der gewünschten Stelle auf.
  3. Verbinden Sie den Eingangs-Verknüpfungspunkt mit einem Ausgangs-Verknüpfungspunkt des vorangehenden Objekts.
  4. Verbinden Sie die beiden Ausgangs-Verknüpfungspunkte mit den gewünschten folgenden Objekten.
  5. Schließen Sie eine Parallelverzweigung mit dem Objekt Ende Parallelzweig einfügen.

Modifizieren und verschieben

Zweige und Parallelzweige können verschoben und in der Größe verändert werden.

Verschieben

Um ein Objekt zu verschieben:

  1. Klicken Sie das Objekt mit der Maus an.
  2. Halten Sie die Maustaste gedrückt.
  3. Ziehen Sie das Objekt an die gewünschte Stelle.

Größe ändern

Objekte Anfang/Ende Zweig/Parallelzweig können verlängert und gekürzt werden. Um deren Größe zu ändern:

  1. Bewegen Sie die Maus zum Ende des Objekts bis der Mauszeiger zum Doppelpfeil wird.
  2. Halten Sie die linke Maustaste gedrückt und bewegen Sie diese in die gewünschte Richtung:
    • vom Objekt weg, um es zu verlängern
    • in das Objekt hinein, um es zu verkürzen
  3. Beim Verlängern wird ein neues Verknüpfungstück eingefügt:
    • alle Felder, in die verlängert werden kann, werden grün eingefärbt
    • um mehrere neue Verknüpfungsstücke einzufügen, muss der Vorgang wiederholt werden
  4. Beim Verkürzen werden alle entsprechenden Verknüpfungsstücke gelöscht.

Noch in diesem Kapitel

Zweige

Parallelzweige

Zweige aufteilen und wieder vereinen


Zweige

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Verzweigungen und Parallelzweige > Zweige

Ein Zweig bietet die Möglichkeit, einen von mehreren möglichen Pfaden auszuführen. Dazu ist es notwendig, dass das erste Element am Anfang eines Zweiges eine Transition ist. Das bedeutet, ein Anfang Verzweigung kann als Nachfolgeobjekt nur eine Transition haben.

Ablauf:

  • Es wird der Pfad gewählt, bei dem als erstes die Transition TRUE wird.
  • Sollten mehrere Transitionen gleichzeitig TRUE sein, so wird immer der äußerst linke Pfad, bei dem die Transition TRUE ist, gewählt.

Für Anfang und Ende gilt: Befindet sich vor dem Element eine Grundfunktion und dahinter eine Transition, bleibt die Grundfunktion aktiv bis auch die Transition beendet wurde.

In einem Zweig werden die Objekte sequenziell abgearbeitet. Jeder Zweig arbeiten seine Objekte unabhängig von anderen Zweigen ab.


Parallelzweige

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Verzweigungen und Parallelzweige > Parallelzweige

Bei Parallelzweigen teilt sich ein Ausführungspfad in mehrere Ausführungspfade auf, die dann im Ablauf gleichzeitig ausgeführt werden. Im Ablauf wird auch der Zwischenbereich des Ende Parallelzweig eingefärbt. Die Farbe entspricht der Einfärbung der Grundfunktion.

Ende Parallelzweig wird als aktiv dargestellt, sobald das erste von mehreren Vorgängerelementen abgeschlossen wurde. Es wird gewartet, bis alle Vorgängerelemente abgeschlossen sind. Dann wird Ende Parallelzweig inaktiv dargestellt und weitergeschaltet.

Die Kennzeichnung des Elements Ende Parallelzweig als aktiv erfolgt bei:

  • Transitionen: Sofort nach dem Durchqueren.
  • Grundfunktionen: Wenn die Weiterschaltbedingung erfüllt und die minimale Ausführungsdauer abgelaufen ist.

Während der Ausführung wird der Status farbig angezeigt.


Zweige aufteilen und wieder vereinen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Verzweigungen und Parallelzweige > Zweige aufteilen und wieder vereinen

Bei Parallelzweigen teilt sich die Ausführung bei Anfang Parallelzweig auf und vereint die einzelnen Zweige wieder bei Ende Parallelzweig. Die Pfade des Parallelobjekts sind voneinander unabhängige Zweige. Erst bei Ende Parallelzweig werden alle Zweige synchronisiert.

Die möglichen Zweige werden bei der Rezepterstellung festgelegt. Ob die einzelnen Zweige belegt oder freigegeben werden, ergibt sich bei der Rezeptausführung in der Runtime. Ein Zweig ist immer so lange aktiv wie ein Objekt in ihm aktiv ist.

Ende Parallelzweig

Ein Ende Parallelzweig vereint die Zweige der angeschlossenen Pfade wieder. Das Objekt nach Ende Parallelzweig wird aktiviert, wenn alle Pfade mit der Ausführung bei Ende Parallelzweig angekommen sind.

Der linke Pfad ist fertig, darum ist Ende Parallelzweig bereits aktiv. Die Transition nach Ende Parallelzweig ist noch nicht aktiv, da der rechte Zweig noch nicht beendet ist.

Wenn der rechte Zweig auch beendet wird:

Die Transition nach Ende Parallelzweig wird aktiviert. Alle zuvor aktiven Objekte sind nach wie vor aktiv.


Sprungziele

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Sprungziele

Sprungziele ermöglichen es

  • zwischen Zweigen zu springen
  • aus Zweigen heraus zu springen
  • Schleifen zu projektieren

Sprungziele bestehen aus drei Eingängen und einem Ausgang. Dabei ist der Ausgang immer unten, und die Eingänge befinden sich immer oben und an den Seiten. Es können beliebige Eingangs-Verbindungspunkte verbunden sein. Ein Pfad, der in einem Sprungziel endet, muss mit einem Anfang Verzweigung begonnen haben. Sonst wird das Ende nicht erreicht. Sprungziele sind für Parallelzweige nicht zugelassen.

Während des Editierens sind alle Verbindungspunkte sichtbar, im Prüfmodus nur Verbindungspunkte, die auch verbunden sind.


Aggregat belegen und konfigurieren

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Aggregat belegen und konfigurieren

Um ein Aggregat zu belegen:

  1. Wählen Sie in der Symbolleiste das Symbol für Aggregatsbelegung einfügen.
  2. Bewegen Sie die Maus an die gewünschte Stelle.
  3. Platzieren Sie das Element Aggregatsbelegung.
  4. Das Element wird eingefügt.

Um die Aggregatsbelegung zu konfigurieren:

  1. Führen Sie einen Doppelklick auf das Element Aggregatsbelegung aus.

    Der Dialog zur Konfiguration wird geöffnet.

Konfiguration

In einem Konfigurationsdialog können die im Batchrezept vorhandenen Aggregate ausgewählt werden. Es wird zwischen Belegung und Freigabe unterschieden. Freigaben können selektiv oder global gesetzt werden. Bereits zuvor ausgewählte Aggregate, die im Rezept nicht mehr vorhanden sind, werden mit einem entsprechenden Hinweis angezeigt.

Wird der Dialog in einem freigegebenen Rezept geöffnet, dann wird er als "nur lesen" angezeigt. Es können alle Einträge eingesehen, aber nicht verändert werden.

Parameter

Beschreibung

Liste der Aggregate

Zeigt vorhandene Aggregate und deren zugeordnete Aktionen an.

Aktion

Weist dem in der Liste ausgewählten Aggregat eine Aktion zu.

Belegung des Aggregats

Belegt das Aggregat.

Freigabe des Aggregats

Gibt das Aggregat frei:

  • Freigabe der letzten Belegung: Die letzte Belegung wird freigegeben.
  • Rezeptweite Freigabe: Alle Belegungen im Rezept werden freigegeben.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbruch

Verwirft Änderungen und schließt Dialog.

Aggregate belegen und freigeben

Die Belegung eines Aggregats durch das Element Aggregatbelegung oder durch eine Grundfunktion ist nur möglich, wenn das Aggregat noch nicht oder ausschließlich im gleichen Rezept belegt ist. Die Belegung und Freigabe aller Aggregate, die im Element Aggregatbelegung verknüpft sind, erfolgt gleichzeitig. Es wird immer so lange gewartet, bis alle zur Belegung bestimmten Aggregate frei sind. Dann werden alle Belegungen und Freigaben ausgeführt. Grundfunktionen, die vor einem Element Aggregatbelegung stehen, bleiben aktiv, bis die Belegung erfolgreich ausgeführt wurde.

Aggregatsbelegungen bleiben bestehen, solange die auslösende Grundfunktion aktiv ist. Wenn das Rezept beendet wird und noch Belegungen von Elementen Aggregatbelegung aktiv sind, werden diese implizit freigegeben.

Hinweis: Eine Grundfunktion im Status pausiert oder angehalten versucht nicht, das Aggregat zu belegen. Das gilt auch, wenn die Grundfunktion während des Wartens auf die Belegung in pausiert oder angehalten geschaltet wird. Erst nach einem Neustart wird wieder versucht, das Aggregat zu belegen. Aber: Im manuellen Modus kann das Belegen eines Aggregats durch ein weiteres Rezept erzwungen werden. Das Rezept mit der ersten Belegung behält die Kontrolle und hat Vorrang bei der Ausführung. Gibt dieses Rezept seine Hauptbelegung ab, übernimmt das Rezept mit der am längsten bestehenden erzwungenen Belegung die Hauptbelegung.

Aktionen

Für jedes Aggregat, das in dem Rezept verwendet wird, kann eine Aktion definiert werden:

  • keine Aktion
  • belegen
  • freigeben

Tooltip

Im Tooltip des Elements Aggregatbelegung werden alle Aggregate angezeigt, die für eine Belegung oder Freigabe markiert sind. Während der Ausführung wird die Ausführungsdauer angegeben und alle Aggregate, auf die gewartet werden muss, werden farblich gekennzeichnet. Auf Aggregate muss gewartet werden, wenn diese in einem anderen Rezept belegt sind.


Endelement

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > PFC-Rezept > Endelement

Letztes Element im Ablauf. Es wird im Editor beim Erstellen des Rezepts automatisch angelegt und kann nicht gelöscht werden.


Matrix-Rezept

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Matrix-Rezept

Wenn Sie im Dialog Vorlagenrezpt Konfiguration Matrix-Rezept gewählt und den Dialog mit OK beendet haben, öffnet sich das von Ihnen neu erstellte Rezept in einer neuen Registerkarte im Matrix Editor.

Noch in diesem Kapitel

Matrix Editor

Symbolleisten Matrix-Rezept

Schritt benennen

Grundfunktion einfügen und konfigurieren

Teilrezept einfügen


Matrix Editor

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Matrix-Rezept > Matrix Editor

Im Matrix-Editor können Sie Ihre Rezepte und Teilrezepte in einer Matrix erstellen.

Technische Details:

  • Spalten enthalten Grundfunktionen und Teilrezepte:
    Grundfunktionen werden mit Klick auf das Symbol über der Diagonale eingefügt
    Teilrezepte werden mit Klick auf das Symbol unter der Diagonale eingefügt
  • Zeilen enthalten Schritte mit aktiven/inaktiven Grundfunktionen.
    Klick auf Pluszeichen fügt neue Zeile oder Spalte mit Grundfunktion oder Teilrezept in die Matrix ein.
  • Zeile/Spalte löschen: Druck auf die Entfernen-Taste löscht markierte Zeilen oder Spalten.
  • Zeilen/Spalten verschieben: Zeilen und Spalten können per Drag&Drop mit der Maus verschoben werden. Individuelle Benennungen von Schritten bleiben erhalten, die Schrittnummer wird automatisch angepasst.
  • Randzellen:
    • Doppelklick auf Grundfunktion: öffnet Dialog zur Konfiguration der Grundfunktion.
    • Doppelklick auf Schritt: öffnet Dialog zur Benennung des Schritts.
  • Auswahl von Zeilen/Spalten:
    • linker Mausklick in Randzelle: wählt eine Zeile/Spalte aus.
    • Steuerung-Taste+Mausklick in Randzelle: wählt zusätzliche Zeile/Spalte aus.
  • Zellen:
    • linker Mausklick: wählt Zelle aus.
    • Umschalt-Taste + Klick: aktiviert/deaktiviert Grundfunktion.
    • Steuerung-Taste + Klick: wählt mehrere Zellen aus.
    • Doppelklick auf Zelle: öffnet Dialog zur Konfiguration der Grundfunktion.
  • Bildlaufleiste: Wird angezeigt, wenn das Dokument größer als die Schablone ist.
  • Scrollen per Mausrad: nach oben und unten, oder bei gehaltener Umschalt-Taste nach links und rechts.


Symbolleisten Matrix-Rezept

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Matrix-Rezept > Symbolleisten Matrix-Rezept

Manche Symbole können auch als Kontrollelemente im Bild konfiguriert werden. Damit wird die Touch-Bedienung vereinfacht.

Symbolleiste Matrix-Rezept: Editiermodus

Symbol

Beschreibung

Vorlagenrezept neu...

Öffnet Dialog zur Erstellung eines neuen Vorlagenrezepts.

Vorlagenrezept speichern

Speichert das zur Bearbeitung geöffnete Rezept.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Löschen

Löscht ausgewählte Elemente aus Diagramm.

Mehrfachauswahl über die Tastenkombination Strg+Mausklick.

Rezept auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Ausgewählte Elemente aktivieren

Aktiviert die Grundfunktion oder das Teilrezept der ausgewählten Zellen.

Ausgewählte Elemente deaktivieren

Deaktiviert die Grundfunktion oder das Teilrezept der ausgewählten Zellen.

Ausgewählte Spalten nach links oder ausgewählte Schritte nach oben schieben

Verschiebt ausgewählte Spalten um eine Position nach links oder ausgewählte Schritte um eine Position nach oben.

Ausgewählte Spalten nach rechts oder ausgewählte Schritte nach unten schieben

Verschiebt ausgewählte Spalten um eine Position nach rechts oder ausgewählte Schritte um eine Position nach unten.

Rezept in den Testmodus umschalten

Schaltet das Rezept in den Testmodus. Dazu muss das Rezept fehlerfrei sein.

Rezept freigeben

Gibt das Rezept frei. Damit kann ein Steuerrezept erstellt werden.

Symbolleiste Matrix-Rezept: Testmodus

Parameter | Beschreibung
Rezept starten | Startet den Rezeptablauf.
Rezept pausieren | Pausiert das Rezept.
Rezept fortsetzen | Setzt pausiertes Rezept fort.
Rezept anhalten | Hält Rezept an,
Rezept neu starten | Startet angehaltenes Rezept neu.
Rezept stoppen | Stoppt das Rezept.
Rezept abbrechen | Bricht Rezeptablauf ab.
Grundfunktion pausieren | Pausiert Grundfunktion.
Grundfunktion fortsetzen | Setzt Ablauf einer pausierten Grundfunktion fort.
Grundfunktion anhalten | Hält Grundfunktion an.
Grundfunktion neu starten | Startet angehaltene Grundfunktion neu.
Aus Grundfunktion aussteigen. | Startet Prozess zum Aussteigen aus der Grundfunktion.
Rezept auf Fehler prüfen | Startet Rezeptvalidierung.
Element bearbeiten | Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.
Grafische Ausprägung | Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.
Umschalten in Automatischen Modus | Schaltet Ausführung in den Automatischen Modus um.
Umschalten in Halbautomatischen Modus | Schaltet Ausführung in den Halbautomatischen Modus um.
Umschalten in Manuellen Modus | Schaltet Ausführung in den Manuellen Modus um.
Rezept nur an ausgewählten Ausführungspositionen fortsetzen | Setzt ein Rezept nur an den ausgewählten Positionen fort.
Rezept an allen Ausführungspositionen fortsetzen | Setzt ein Rezept an allen zur Verfügung stehenden Positionen fort.
Anstehende Bedingung überspringen | Überspringt eine anstehende Bedingung. Nur im Manuellen Modus möglich.
Editiermodus | Schaltet vom Testmodus in den Editiermodus um.
Rezept freigeben | Gibt das Rezept frei. Damit kann ein Steuerrezept erstellt werden.

Symbolleiste Matrix-Rezept: freigegeben

Parameter

Beschreibung

Rezept auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Rezept duplizieren

Erstellt eine Kopie des Rezepts. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.

Steuerrezept erzeugen

Erzeugt ein Steuerrezept auf Basis des freigegebenen Vorlagenrezepts.

info Info

Die Funktionen der einzelnen Symbole können auch über Buttons projektiert und so Touch-bedienbar gemacht werden. Symbolleisten können daher auch ausgeblendet werden.


Schritt benennen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Matrix-Rezept > Schritt benennen

Schritte im Matrix-Editor können individuell benannt werden. Doppelklick auf die Zelle Schritt öffnet Dialog zu Vergabe eines individuellen Namens.

Der Name kann bis zu 100 Zeichen umfassen und ist mit vorangestelltem @ sprachumschaltbar.


Grundfunktion einfügen und konfigurieren

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Matrix-Rezept > Grundfunktion einfügen und konfigurieren

Um eine Grundfunktion einzufügen:

  1. Klicken Sie auf das Pluszeichen über der Diagonale in der letzten Spalte der Matrix.

    Der Dialog zur Auswahl einer Grundfunktion wird geöffnet.

  2. Wählen Sie die gewünschte Grundfunktion.

Um eine Grundfunktion zu konfigurieren:

  1. Führen Sie einen Doppelklick auf das Matrixfeld mit der gewünschten Grundfunktion aus.

    Der Dialog zur Konfiguration wird geöffnet.

Hinweis: Wird einen Grundfunktion auf inaktiv gesetzt, bleibt ihre Konfiguration gespeichert solange das Rezept sich im Editiermodus befindet.

Konfiguration

Parameter | Beschreibung
Grundfunktion in diesem Schritt aktiv | Aktiv: Grundfunktion ist in diesem Schritt aktiv
Name | Name der Grundfunktion. Nur Anzeige.
Beschreibung | Kommentar zur Grundfunktion. Nur Anzeige.
Aggregat | Aggregat auf dem die Grundfunktion ausgeführt wird. Nur Anzeige.
Fahrweise | Auswahl einer Fahrweise aus Dropdownliste. Nur verfügbar, wenn im Editor für diese Grundfunktion Fahrweisen konfiguriert wurden. Default: keine Fahrweise verknüpft
Fahrweisenbeschreibung | Beschreibung der gewählten Fahrweise. Nur Anzeige der im Editor eingegebenen Beschreibung.
Allgemein | Registerkarte mit Konfiguration allgemeiner Eigenschaften.
Parameter | Registerkarte mit Konfiguration der Parameter.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbruch | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.

Konfiguration der Registerkarten siehe Abschnitt PFC-Editor/Kapitel:

  • Allgemein: Anzeige und Konfiguration der Einstellungen für die Grundfunktion
  • Parameter: Konfiguration der Parameter

Regeln für Bearbeitung einer Grundfunktion

Eine Grundfunktion kann bearbeitet werden:

  • In einem Vorlagenrezept im Editiermodus: Wenn der Benutzer über ausreichende Rechte verfügt.
  • In einem Vorlagenrezept im Testmodus: Wenn der Benutzer über ausreichende Rechte verfügt und die Grundfunktion nicht aktiv ist.
  • In einem Steuerrezept mit Status Vorbereitet: Wenn der Benutzer über ausreichende Rechte verfügt und im Vorlagenrezept die Option Im Steuerrezept änderbar aktiviert wurde.
  • In einem Steuerrezept mit Status In Ausführung: Wenn der Benutzer über ausreichende Rechte verfügt, im Vorlagenrezept die Option Im Steuerrezept änderbar aktiviert wurde und die Grundfunktion nicht aktiv ist.

In bereits ausgeführten Steuerrezepten und in freigegebenen Vorlagenrezepten kann die Grundfunktion nicht mehr editiert werden.


Teilrezept einfügen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Matrix-Rezept > Teilrezept einfügen

Um ein Teilrezept einzufügen:

  1. Klicken Sie auf das Pluszeichen unter der Diagonale in der letzten Spalte der Matrix.

    Der Dialog zur Auswahl einer Teilrezeptvorlage wird geöffnet.

  2. Wählen Sie die gewünschte Teilrezeptvorlage.

    Ein neues Teilrezept wird eingefügt.


Vorlagenrezept Testmodus

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Vorlagenrezept Testmodus

Der Testmodus dient dazu ein Vorlagenrezept zu testen, ohne dass es vorher freigegeben wurde und Steuerrezepte erstellt wurden. Ebenso können im Testmodus auch Änderungen aus dem Editor direkt mittels Nachladen der Runtime übernommen werden.
Ausnahme: Während ein Rezept gerade ausgeführt wird, wird das Nachladen für dieses Rezept verzögert. Erst wenn das Rezept beendet, gestoppt oder abgebrochen wurde, wird der Nachladevorgang durchgeführt.

Im Testmodus kann der prinzipielle Rezeptablauf nicht geändert werden. Es können nur Werte der Befehlsparameter geändert werden. Änderungen werden direkt im Vorlagenrezept gespeichert. Eine explizites Speichern ist nicht erforderlich.

Parameter

Beschreibung

Rezept starten

Startet den Rezeptablauf.

Rezept pausieren

Pausiert das Rezept.

Rezept fortsetzen

Setzt pausiertes Rezept fort.

Rezept anhalten

Hält Rezept an,

Rezept neu starten

Startet angehaltenes Rezept neu.

Rezept stoppen

Stoppt das Rezept.

Rezept abbrechen

Bricht Rezeptablauf ab.

Grundfunktion pausieren

Pausiert die ausgewählte Grundfunktion.

Grundfunktion fortsetzen

Setzt Ablauf der ausgewählten pausierten Grundfunktion fort.

Grundfunktion anhalten

Hält die ausgewählte Grundfunktion an.

Grundfunktion neu starten

Startet die ausgewählte angehaltene Grundfunktion neu.

Rezept auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Umschalten in Automatischen Modus

Schaltet Ausführung in den Automatischen Modus um.

Umschalten in Halbautomatischen Modus

Schaltet Ausführung in den Halbautomatischen Modus um.

Umschalten in Manuellen Modus

Schaltet Ausführung in den Manuellen Modus um.

Rezept nur an ausgewählten Ausführungspositionen fortsetzen

Setzt ein Rezept nur an den ausgewählten Positionen fort.

Rezept an allen Ausführungspositionen fortsetzen

Setzt ein Rezept an allen zur Verfügung stehenden Positionen fort.

Anstehende Bedingung überspringen

Überspringt eine anstehende Bedingung.

Nur im Manuellen Modus möglich.

Rezept in den Editiermodus umschalten

Schaltet vom Testmodus in den Editiermodus zurück.

Rezept freigeben

Gibt das Rezept frei. Damit kann ein Steuerrezept erstellt werden.


Vorlagenrezept freigeben

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Vorlagenrezept freigeben

Sie können ein Vorlagenrezept freigeben, indem Sie es auswählen und auf den Button Vorlagenrezept freigeben klicken. Es können auch mehrere Rezepte gemeinsam ausgewählt und freigegeben werden. Die Freigabe muss über einen Dialog bestätigt werden. Dialoge für Aggregatsbelegungen, Transitionen und Grundbedingungen können schreibgeschützt geöffnet werden.

info Info

Nur fehlerfreie Vorlagenrezepte können freigegeben werden. Ein freigegebenes Vorlagenrezept kann nicht weiter bearbeitet werden.

Für jedes Rezept kann aber über Klick auf den Button Vorlagenrezept duplizieren eine Kopie des freigegebenen Vorlagenrezept erstellt werden. Diese Kopie kann wieder bearbeitet werden.

Es können nur Rezepte freigegeben werden, wenn alle darin enthaltenen Teilrezepte ebenfalls freigegeben wurden.


Rezept als veraltet kennzeichnen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Rezept als veraltet kennzeichnen

Rezepte, die nicht mehr gültig sind, aber nicht gelöscht werden sollen, können als veraltet gekennzeichnet werden. Wird ein Rezept auf diesen Status gesetzt, kann es nicht mehr bearbeitet oder freigegeben werden. Es kann auch kein Steuerrezept auf Basis dieses Rezepts erstellt werden. Das Rezept kann aber dupliziert und so als Grundlage für neue Vorlagenrezepte verwendet werden.

Es können nur Vorlagenrezepte als veraltet gekennzeichnet werden, die den Status freigegeben haben. Für dazugehörige Steuerrezepte gilt:

  • Steuerrezepte, die gerade ausgeführt werden, werden weiter ausgeführt
  • Steuerrezepte im Status vorbereitet können nicht mehr ausgeführt werden


Versionierung für Vorlagenrezepte

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Versionierung für Vorlagenrezepte

Vorlagenrezepte können versioniert werden. Dabei wird eine Kopie eines freigegebenen oder veralteten Rezepts erstellt. Diese Kopie befindet sich im Editiermodus und erhält eine eindeutige Versionsnummer. Das neue Rezept kann bearbeitet, aber nicht umbenannt werden. Einzelne Versionen, auch das Quellrezept selbst, können gelöscht werden.

Version erstellen

Um die Versionierung zur Runtime zu nutzen:

  1. Navigieren Sie im Editor im Knoten Batch Control zur Eigenschaftengruppe Allgemein/Versionierung.
  2. Aktivieren Sie die Eigenschaft Versionierung aktiv.
  3. Die Versionierung ist eingeschaltet und wird zur Runtime verwendet.

Um zur Runtime eine neue Version eines Rezepts zu erstellen:

  1. Wählen Sie das gewünschte Vorlagenrezept.
    Hinweis: Das Rezept muss freigegeben oder veraltet sein.
  2. Wählen Sie im Kontextmenü oder auf der Symbolleiste Neue Version erzeugen oder klicken Sie auf den entsprechenden Button im Bild.
  3. Ein Neues Rezept wird erstellt.

Regeln für die Versionierung

Für die Versionierung gilt:

  • Eine neue Version eines Rezepts erhält den gleichen Namen wie das Quellrezept.
  • Neue Versionen eines Rezepts können nicht umbenannt werden. Auch dann nicht, wenn die Version sich im Editiermodus befindet und die einzige verbliebene Version ist.
  • Die Beschreibung kann für jede Version geändert werden.
  • Jede Version erhält eine eindeutige Versionsnummer, die fortlaufend vergeben wird. Versionsnummern gelöschter Rezepte bleiben gesperrt und werden nicht neu vergeben.
  • In der Liste der Vorlagenrezepte werden die Versionsnummer des neuen Rezepts und die Versionsnummer des Quellrezepts in eigenen Spalten angezeigt.
  • Versionsnummern werden auch angezeigt in der Titelleiste des Rezepteditors und in der Registerkarte des Rezepts sowie in der Liste der Steuerrezepte und in Tooltips.

Nur eine Version freigeben

Es ist möglich, für jedes Vorlagenrezept immer nur eine Version zur Freigabe zuzulassen. Dazu aktivieren Sie im Editor die Eigenschaft Nur eine Version freigeben. Zur Runtime kann von jedem Vorlagenrezept immer nur eine Version freigegeben werden. Soll eine andere Version freigegeben werden, muss zuvor die bereits freigegeben gelöscht oder als veraltet gekennzeichnet werden.


Aktionen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Vorlagenrezepte > Aktionen

Aktion | Beschreibung
Rezept auf Fehler prüfen | Überprüft den Rezeptablauf auf Fehler und gibt Fehlermeldungen aus.
Element bearbeiten | Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.
Grafische Ausprägung | Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.
Rezept duplizieren | Kopiert das ausgewählte Rezept und fügt es als Kopie in die Liste ein.
Steuerrezept erzeugen | Erzeugt ein Steuerrezept auf Basis des freigegebenen Vorlagenrezepts.
Vorlagenrezept neu | Öffnet den Dialog zur Erstellung eines neuen Rezepts.
Vorlagenrezept speichern | Speichert alle Änderungen, die in einem Vorlagenrezept seit der letzten Speicherung vorgenommen wurden.
Löschen | Löscht das ausgewählte Element.
Grundfunktion austauschen | Öffnet den Dialog zur Auswahl einer Grundfunktion. Die bisherige Grundfunktion wird durch die neu gewählte ersetzt.
Bearbeitungsmodus | Schaltet den Mauszeiger vom Einfügen eines Elements um auf Bearbeitungsmodus. Das Zurückschalten in den Bearbeitungsmodus kann auch mit Druck auf die Esc-Taste erfolgen.
Grundfunktion einfügen | Besetzt den Mauszeiger mit einer Grundfunktion. Diese kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Transition einfügen | Besetzt den Mauszeiger mit einer Transition. Diese kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Anfang Parallelzweig einfügen | Besetzt den Mauszeiger mit einem Anfang Parallelzweig. Dieser kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Ende Parallelzweig einfügen | Besetzt den Mauszeiger mit einem Ende Parallelzweig. Dieses kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Anfang Verzweigung einfügen | Besetzt den Mauszeiger mit einem Anfang Verzweigung. Dieser kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Ende Verzweigung einfügen | Besetzt den Mauszeiger mit einem Ende Verzweigung. Dieses kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Aggregatsbelegung einfügen | Besetzt den Mauszeiger mit einer Aggregatsbelegung. Diese kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Sprungziel einfügen | Besetzt den Mauszeiger mit einem Sprungziel. Dieses kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.
Rezept in den Testmodus umschalten | Schaltet das Rezept in den Testmodus um.
Rezept freigeben | Gibt das Rezept frei. Damit kann ein Steuerrezept erzeugt werden.


Teilrezepte

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Teilrezepte

Teilrezepte bilden eine Substruktur, die in Rezepte eingebettet werden kann. Damit kann in komplexen Rezepten die Übersichtlichkeit erhöht werden. Teilrezepte werden gleich wie Matrix-Rezepten oder PFC-Rezepten erstellt. Die Teilrezepte werden auf Basis von Vorlagen erstellt und als Instanz in bestehende Matrix-Rezepte oder PFC-Rezepte eingefügt.

Teilrezepte erstellen

Um ein neues Teilrezept zu erstellen:

  1. Schalten Sie im Rezepteditor die Liste der Teilrezepte sichtbar (Checkbox aktivieren).
  2. Wählen Sie in der Symbolleiste oder im Kontextmenü der Liste den Befehl Teilrezept neu.
  3. Der Dialog zur Konfiguration eines Teilrezepts wird geöffnet.

Parameter

Beschreibung

Matrix Rezept

Aktivieren Sie dieses Optionsfeld, wenn Sie ein Teilrezept in Form eines Matrix-Rezepts erstellen möchten.

Hinweis: Nur möglich bei entsprechender Lizenz.

PFC-Rezept

Aktivieren Sie dieses Optionsfeld, wenn Sie ein Teilrezept in Form eines PFC-Rezepts erstellen möchten.

Hinweis: Nur möglich bei entsprechender Lizenz.

Name

Eindeutiger Name für das Teilrezept. Der Name darf keinen Punkt (.), kein Fragezeichen (?), kein @ und keinen Asterisk (*) enthalten.

Maximale Länge: 256 Zeichen.

Hinweis: Beim Kopieren von Teilrezepten wird der bestehende Name mit dem Präfix "Kopie von" ergänzt. Wird dabei die maximal mögliche Länge überschritten, wird der Name von hinten auf die erlaubte Länge gekürzt.

Die Eindeutigkeit wird netzwerkweit geprüft. Es kann daher vorkommen, dass Sie den Namen nicht übernehmen können, da gleichzeitig ein anderer Benutzer auf einem anderen Rechner im zenon Netzwerk den selben Namen bereits vergeben hat und Sie das Rezept noch nicht in der Liste der Teilrezepte sehen.

Den Rezeptnamen können Sie nachträglich ändern, aber nur so lange das Rezept im Status Editierbar ist.

Beschreibung

Optionale Beschreibung für das zu erstellende Teilrezept.

Die Beschreibung können Sie nachträglich ändern, aber nur so lange das Teilrezept im Status Editierbar ist. Zum Ändern der Beschreibung wählen Sie das Symbol Teilrezept umbenennen.

OK

Übernimmt alle Einstellungen und erzeugt ein neues Teilrezept.

abbrechen

Schließt den Dialog, ohne ein Teilrezept zu erzeugen.

Die Konfiguration im Rezepteditor erfolgt analog der Erstellung und Konfiguration von PFC-Rezepten oder Matrix-Rezepten.

Änderungen in Teilrezeptvorlagen werden für den Anwender in der Teilrezeptinstanz erst sichtbar, wenn die Teilrezeptvorlage gespeichert wurde.

Teilrezepte öffnen

Bereits existierende Teilrezepte können geöffnet werden mittels:

  • Doppelklick auf ein Teilrezept in der Liste der Teilrezepte
  • den Befehl Öffnen im Rezepteditor im Kontextmenü eines Teilrezepts
  • Klick auf das Symbol Öffnen in der Symbolleiste

Teilrezepte verwenden

Teilrezepte können in Rezepte im Matrix-Editor oder im PFC-Editor eingefügt und dort als Teil des Rezepts verwendet werden.

Teilrezepte fügen Sie ein:

  • im PFC-Rezept über das Symbol Teilrezept einfügen
  • im Matrix-Rezept über das Symbol Teilrezept hinzufügen

Innerhalb von Teilrezepten können Grundfunktionen und Kommandos ausgeführt werden. In der CEL wird beim Ausführen eines Kommandos auch die Position des Objektes im Rezept angegeben.

Beim Einfügen einer Teilrezeptinstanz in ein Rezept, wird immer die aktuell gespeicherte Version eingefügt. Ist das Teilrezept zur Bearbeitung geöffnet, sind also alle nicht gesicherten Änderungen auch nicht Teil der eingefügten Instanz.

Teilrezepte speichern

Teilrezepte sind als Instanzen immer Teil des Vorlagenrezepts, in das sie integriert sind. Wird eine Teilrezeptinstanz gespeichert, wird auch automatisch das dazugehörende Vorlagenrezept gespeichert.

Tooltip

Teilrezepte verfügen über einen Tooltip. Sobald sie einmal ausgeführt wurden, werden angezeigt:

  • Ausführungsstatus:
    Enthält aktuellen Status und Quellstatus (Status aus dem das Teilrezept kommt). Der Quellstatus ergibt sich aus der visuellen Einfärbung und entspricht nicht immer dem tatsächlichen letzten Status.
  • Ausführungszähler
  • Fehler:
    Zeigt die Anzahl der Objekte, die sich momentan in einem Fehlerzustand befinden, und die Anzahl der Objekte, die sich einmal in einem Fehlerzustand befunden haben.
  • Ausstieg aus Grundfunktion:
    Anzahl der Objekte, aus denen ausgestiegen wird oder wurde
  • Gesamtdauer mit Zeitpunkten der Aktivierung und Deaktivierung
  • Informationen über die Status der internen Objekte: Anzahl der Objekte im jeweiligen Status (ausgenommen Leerlauf)

Noch in diesem Kapitel

Symbolleiste und Kontextmenü Teilrezepte

Auswahl der Vorlage für ein Teilrezept

Status Teilrezept

Symbole bei Ausführung


Symbolleiste und Kontextmenü Teilrezepte

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Teilrezepte > Symbolleiste und Kontextmenü Teilrezepte

Symbolleiste Liste

Parameter | Beschreibung
Teilrezept neu | Erstellt ein neues Teilrezept.
Teilrezept im Editor öffnen | Öffnet das ausgewählte Teilrezept im Rezepteditor.
Teilrezept umbenennen | Öffnet den Dialog zur Umbenennung eines Rezepts.
Teilrezept duplizieren | Dupliziert das ausgewählte Teilrezept.
Teilrezept löschen | Löscht das ausgewählte Teilrezept.
Auswahl als XML exportieren... | Exportiert das ausgewählte Teilrezept in eine XML-Datei.
XML importieren | Importiert die ausgewählte XML-Datei als Teilrezept(e).
Teilrezept freigeben | Prüft das ausgewählte Teilrezept und gibt es frei, wenn keine Fehler gefunden wurden.
Spaltenwahl | Öffnet den Dialog zur Spaltenauswahl.
Spaltenformat | Öffnet den Dialog zur Spaltenformatierung.

Kontextmenü

Parameter | Beschreibung
Teilrezept neu | Erstellt ein neues Teilrezept.
Umbenennen | Öffnet den Dialog zur Benennung eines Rezepts.
Duplizieren | Dupliziert das ausgewählte Teilrezept.
Löschen | Löscht das ausgewählte Teilrezept.
Auswahl als XML exportieren... | Exportiert das ausgewählte Teilrezept in eine XML-Datei.
XML importieren... | Importiert die ausgewählte XML-Datei als Teilrezept(e).
Im Editor öffnen | Öffnet das ausgewählte Teilrezept im Rezepteditor.
Freigeben | Prüft das ausgewählte Teilrezept und gibt es frei, wenn keine Fehler gefunden wurden.

Symbolleiste PFC-Editor: Editiermodus

Parameter

Beschreibung

Teilrezept neu...

Öffnet Dialog zur Erstellung eines neuen Teilrezepts.

Teilrezept speichern

Speichert das zur Bearbeitung geöffnete Rezept.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Löschen

Löscht ausgewählte Elemente aus Diagramm.

Mehrfachauswahl über Strg+Mausklick.

Teilrezeptvorlage auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Grundfunktion austauschen

Öffnet Dialog zur Auswahl einer Grundfunktion und ersetzt die bestehende durch die neu gewählte Grundfunktion. Es können mehrere Grundfunktionen gemeinsam gewählt und ausgetauscht werden.

Tastenkombination: Umschalt-Taste+Doppelklick

Bearbeitungsmodus

Wechselt vom Einfügemodus in den Bearbeitungsmodus.

Grundfunktion einfügen

Fügt eine Grundfunktion ein.

Transition einfügen

Fügt eine Transition ein.

Anfang Parallelzweig einfügen

Fügt den Anfang eines Parallelzweigs ein.

Ende Parallelzweig einfügen

Fügt das Ende eines Parallelzweigs ein

Anfang Verzweigung einfügen

Fügt den Anfang einer Verzweigung ein.

Ende Verzweigung einfügen

Fügt das Ende einer Verzweigung ein.

Aggregatsbelegung einfügen

Fügt eine Aggregatsbelegung ein.

Sprungziel einfügen

Fügt ein Sprungziel ein.

Teilrezept freigeben

Gibt das Rezept frei.

Hinweis: Einfügeaktionen bleiben so lange aktiv bis über das Symbol Bearbeitungsmodus oder die Esc-Taste in den Bearbeitungsmodus oder über ein Symbol zum Einfügen eines Elements zu einer anderen Einfügeoption gewechselt wird.

Symbolleiste PFC-Rezept: freigegeben

Parameter

Beschreibung

Teilrezeptvorlage auf Fehler prüfen

Überprüft Rezept auf Fehler und gibt gefundene Fehler in einem Informationsfenster aus. Es werden bei mehreren Fehlern die ersten Fehler angezeigt.

Die Fehlermeldung enthält die Fehlernummer, die ID des Elements, dessen Position und eine Meldung in Klartext.

Element bearbeiten

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Dialog wird in schreibgeschütztem Modus geöffnet, da bei freigegebenen Rezepten keine Bearbeitung mehr möglich ist.

Grafische Ausprägung

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Teilrezept duplizieren

Erstellt eine Kopie des Rezepts. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.


Auswahl der Vorlage für ein Teilrezept

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Teilrezepte > Auswahl der Vorlage für ein Teilrezept

Teilrezepte können in Rezepte als Instanz eingefügt werden. Beim Einfügen eines Teilrezepts in ein Matrix-Rezept oder ein PFC-Rezept wird der Dialog zur Auswahl einer Vorlage für ein Teilrezept geöffnet. Dieser enthält alle bisher konfigurierten Teilrezepte:

Parameter

Beschreibung

Liste Arbeitsbereich

Im Standarddialog zur Anzeige der im Arbeitsbereich vorhandenen Projekte. In Batch Control ohne Funktion, da Teilrezepte immer nur aus dem jeweils aktiven Projekt gewählt werden können.

Tipp: Ziehen Sie diesen Bereich auf minimale Größe. Er wird dann in Zukunft nur noch minimiert* angezeigt.

Liste der Teilrezepte

Enthält alle angelegten Teilrezepte. Es können für beide Editoren (Matrix und PFC) beliebige Teilrezepte (Matrix oder PFC) gewählt werden.

Einträge können

  • durch Klick auf Spaltentitel sortiert werden; erneuter Klick invertiert Sortierung
  • durch Alphanumerische Einträge in Filterzeile gefiltert werden (Wildcards können verwendet werden)

Pfeiltasten

Verschieben die Auswahl:

  • nach oben
  • nach unten

Statuszeile

Zeigt an:

  • Zahl der Einträge
  • Zahl der angezeigten gefilterten Einträge
  • Zahl der ausgewählten Einträge

Keine Auswahl

Hebt bestehende Auswahl für existierendes Teilrezept auf und schließt den Dialog.

OK

Übernimmt Auswahl, schließt Dialog und fügt Teilrezept ein.

Abbrechen

Verwirft Auswahl und schließt Dialog, ohne eine Vorlage zu wählen oder zu ändern.

*Arbeitsbereich minimiert:


Status Teilrezept

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Teilrezepte > Status Teilrezept

Der für ein Teilrezept angezeigte Status repräsentiert immer den Status des Objekts mit der höchsten Priorität im Teilrezept.

Für die farbliche Kennzeichnung gilt:

  • nicht transiente Status: das Teilrezept wird zur Gänze eingefärbt
  • transiente Status: Quellstatus und Zielstatus werden angezeigt
  • Status Anhaltend (HOLDING) als Quellstatus: es wird immer In Ausführung (RUNNING, grün) angezeigt

Priorität

Priorität der Objekte in einem Teilrezept, beginnend mit der höchsten Priorität:

  1. Abbrechend (ABORTING)
  2. Abgebrochen (ABORTED)
  3. Stoppend (STOPPING)
  4. Gestoppt (STOPPED)
  5. Neu startend (RESTARTING)
  6. Anhaltend (HOLDING)
  7. Angehalten (HELD)
  8. Pausierend (PAUSING)
  9. Pausiert (PAUSED)
  10. In Ausführung (RUNNING)
  11. Abgeschlossen (COMPLETE)
  12. Leerlauf (IDLE)


Symbole bei Ausführung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Teilrezepte > Symbole bei Ausführung

Die Symbole entsprechen den allgemein in der REE verwendeten Symbolen. Teilrezepte werden in der REE durch Dreiecke in der linken und rechten oberen Ecke symbolisiert.

Symbol

Beschreibung

Tooltip

Leerlauf:

Im Teilrezept ist kein Objekt aktiv.

Leerlauf

In Ausführung:

Während ein Teilrezept ausgeführt wird, wird immer ein Symbol dargestellt.

Werden im Teilrezept noch Objekte ausgeführt, dann wird das Symbol für Progress angezeigt.

Ausführung der internen Objekte.

Ausführungspositíon aktiv

Ende Teilrezept:

Sind bereits Objekte nach dem Teilrezept aktiv, dann wird das Symbol für die Nachfolgende Bedingung angezeigt.

Warten auf Nachfolgende Bedingung.

Im Teilrezept wartet mindestens eine Ausführungsposition:

Wird angezeigt, wenn im halbautomatischen, oder manuellen Modus die Ausführung nach einer Grundfunktion im Teilrezept steht.

Hat ein Objekt innerhalb des Teilrezepts einen abweichenden Status, dann wird zusätzlich rechts oben ein Symbol angezeigt.

Ein abweichender Status liegt dann vor, wenn innerhalb des Teilrezepts ein Objekt einen Status hat, der nicht dem Status des Teilrezepts entspricht und nicht Leerlauf (IDLE) oder Abgeschlossen (COMPLETE) ist.


Fahrweisen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Fahrweisen

Zur Runtime können bei der Konfiguration der Grundfunktion im PFC-Rezept oder Matrix-Rezept Fahrweisen ausgewählt werden. Diese müssen bereits im zenon Editor konfiguriert worden sein.

Fahrweisen können nur geändert werden:

  • in Vorlagenrezepten
    • im Editier-Modus
    • Testmodus
  • in Teilrezeptvorlagen:
    • im Editier-Modus

In Teilrezeptinstanzen kann die Fahrweise nicht geändert werden.

Befehlsparameter in der Grundfunktion

Sind Fahrweisen für eine Grundfunktion aktiviert (Eigenschaft Fahrweisen aktiv im Editor), dann werden beim Einfügen dieser Grundfunktion in ein Rezept alle Befehlsparameter initial entfernt.

Wird im Dialog zur Bearbeitung einer Grundfunktion die Fahrweise gewechselt, dann werden:

  • alle momentan in dieser Grundfunktion vorhandenen Parameter entfernt
  • die in der neu ausgewählten Fahrweise verknüpften Parameter neu eingefügt

    Diese Parameter werden mit den Werten initialisiert, die die Parameterverknüpfungen momentan haben. Bestehende Runtime-Konfigurationen der Parameter gehen dabei verloren.

Wird eine Fahrweise für eine Grundfunktion ausgewählt, dann wird zusätzlich zu den verknüpften Parametern der Parameter zum Schreiben der Fahrweisennummer eingefügt. Dieser Parameter bekommt die Parameternummer als numerischen Wert. Er ist kein Rezept-Parameter. Ist der gleiche Parameter bereits mit der Fahrweise verknüpft, wird die Konfiguration der Verknüpfung ignoriert!

Synchronisieren von Änderungen an Fahrweisen und Fahrweisenaktivierung

Beim Synchronisieren werden Änderungen im Editor für Fahrweisen für Grundfunktionen übernommen. Details siehe Kapitel Synchronisierung.

Anzeige der Fahrweise

Gewählte Fahrweisen werden angezeigt:

  • im Tooltip der Grundfunktion (keine Anzeige, wenn keine Fahrweise ausgewählt wurde)
  • in der Grundfunktion im Rezept

    Matrix:

    PFC:

  • bei den Aggregatsinformationen für die aktiven Grundfunktionen als Appendix
  • im Report für eine Grundfunktion

Fahrweisen und Variablen

Wird eine Grundfunktion im Rezept ausgewählt, werden die Variablen für die Fahrweise befüllt.

Parameter

Datentyp

Beschreibung

Fahrweisenname

STRING

Zeigt den Name der Fahrweise an, die mit der ausgewählten Grundfunktion verknüpft ist.

Ist leer, wenn:

  • keine Grundfunktion ausgewählt ist
  • die Grundfunktion keine Fahrweisen verwendet
  • an der Grundfunktion momentan keine Fahrweise verknüpft ist
  • bei Mehrfachauswahl

Fahrweisenbeschreibung

STRING

Zeigt die Beschreibung der Fahrweise an, die mit der ausgewählten Grundfunktion verknüpft ist.

Ist leer, wenn:

  • keine Grundfunktion ausgewählt ist
  • die Grundfunktion keine Fahrweisen verwendet
  • an der Grundfunktion momentan keine Fahrweise verknüpft ist
  • bei Mehrfachauswahl

Fahrweisennummer

LINT

Zeigt die Fahrweisennummer der Fahrweise an, die mit der ausgewählten Grundfunktion verknüpft ist.

Ist -1, wenn:

  • keine Grundfunktion ausgewählt ist
  • die Grundfunktion keine Fahrweisen verwendet
  • an der Grundfunktion momentan keine Fahrweise verknüpft ist
  • bei Mehrfachauswahl

Touch-Bedienung

Fahrweisen können zur Runtime statt über den Dialog auch über Touch-Bedienung einfach einer Grundfunktion zugewiesen werden.
Dazu:

  1. Projektieren Sie im Editor die Kontrollelemente für die Liste und den Button zum Zuweisen.
  2. Legen Sie in der Bildumschaltung die anzuzeigenden Spalten fest.
    Bei Bedarf können Sie auch Filter vordefinieren.
  3. Zur Runtime markieren Sie die gewünschte Grundfunktion.
  4. Wählen Sie in der Filterliste die gewünschte Fahrweise aus.
  5. Tippen Sie auf den Button Fahrweise übernehmen.

    Die Fahrweise wird der Grundfunktion zugewiesen.


Steuerrezepte

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Steuerrezepte

Steuerrezepte sind Kopien von freigegebenen Vorlagenrezepten, die für die Produktion verwendet werden.

Noch in diesem Kapitel

Steuerrezept erstellen

Symbolleiste und Kontextmenü Steuerrezept Listenansicht

Symbolleiste Steuerrezept Editiermodus

Steuerrezept ausführen


Steuerrezept erstellen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Steuerrezepte > Steuerrezept erstellen

Sie können Steuerrezepte nur auf Basis eines freigegebenen Vorlagenrezepts erstellen. Wählen Sie das freigegebene Vorlagenrezept in der Liste der Vorlagenrezepte aus, das als Basis für Ihr Steuerrezept dienen soll und klicken Sie auf den Button Steuerrezept neu....

Parameter

Beschreibung

Matrix-Rezept

Aktiv: Es wird ein Matrix-Steuerrezept erstellt.

Nur Anzeige.

PFC-Rezept

Aktiv: Es wird ein PFC-Steuerrezept erstellt.

Nur Anzeige.

Auftragsnummer

Die von der Auftragsvariablen gelieferte Auftragsnummer.

Name

Eindeutiger Name für das Steuerrezept. Der Name darf keinen Punkt (.), kein Fragezeichen (?), kein @ und keinen Asterisk (*) enthalten.

Die Eindeutigkeit wird netzwerkweit geprüft. Es kann daher vorkommen, dass ein Name nicht übernommen wird, da gleichzeitig ein anderer Benutzer auf einem anderen Rechner im zenon Netzwerk den selben Namen bereits vergeben hat.

Der Name kann nachträglich geändert werden, solange das Rezept im Status Vorbereitet ist.

Beschreibung

Optionale Beschreibung des Rezepts.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Wurde das Steuerrezept über das Symbol in der Symbolleiste erstellt, dann wird es automatisch in einer neuen Registerkarte im Rezepteditor geöffnet, sofern dieser im Bild projektiert ist. Wurde das Steuerrezept über das Kontextmenü erstellt, wird es nicht im Rezepteditor geöffnet.

Das neu erstellte Rezept wird auch in der Liste der Steuerrezepte angezeigt, selbst wenn es nicht den eingestellten Filterkriterien entspricht.


Symbolleiste und Kontextmenü Steuerrezept Listenansicht

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Steuerrezepte > Symbolleiste und Kontextmenü Steuerrezept Listenansicht

Symbolleiste

Symbol | Beschreibung
Steuerrezept im Editor öffnen | Öffnet ausgewählte Rezepte im Rezepteditor.
Steuerrezept umbenennen | Öffnet Dialog zum Umbenennen des ausgewählten Rezepts.
Steuerrezept duplizieren | Erstellt Kopie des ausgewählten Rezepts und öffnet Dialog zur Benennung des Duplikats.
Steuerrezept löschen | Löscht ausgewählte Rezepte.
Auswahl als XML exportieren... | Exportiert das ausgewählte Steuerrezept in eine XML-Datei.
XML importieren | Importiert die ausgewählte XML-Datei als Steuerrezept(e).
Steuerrezept starten | Startet ausgewähltes Steuerrezept.
Spaltenwahl | Öffnet Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat | Öffnet Dialog zur Konfiguration der Spaltenformate.

Kontextmenü

Befehl | Beschreibung
Im Rezepteditor öffnen | Öffnet ausgewählte Rezepte im Editor.
Umbenennen | Öffnet Dialog zum Umbenennen des ausgewählten Rezepts.
Duplizieren | Erstellt eine Kopie des Rezepts. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.
Löschen | Löscht ausgewählte Rezepte.
Auswahl als XML exportieren... | Exportiert das ausgewählte Steuerrezept in eine XML-Datei.
XML importieren... | Importiert die ausgewählte XML-Datei als Steuerrezept(e).
Starten | Startet ausgewähltes Steuerrezept.


Symbolleiste Steuerrezept Editiermodus

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Steuerrezepte > Symbolleiste Steuerrezept Editiermodus

Parameter

Art

Beschreibung

Rezept starten

Kommando

Startet den Rezeptablauf.

Rezept pausieren

Kommando

Pausiert das Rezept.

Rezept fortsetzen

Kommando

Setzt pausiertes Rezept fort.

Rezept anhalten

Kommando

Hält Rezept an,

Rezept neu starten

Kommando

Startet angehaltenes Rezept neu.

Rezept stoppen

Kommando

Stoppt das Rezept.

Rezept abbrechen

Kommando

Bricht Rezeptablauf ab.

Grundfunktion pausieren

Kommando

Pausiert Grundfunktion.

Grundfunktion fortsetzen

Kommando

Setzt Ablauf einer pausierten Grundfunktion fort.

Grundfunktion anhalten

Kommando

Hält Grundfunktion an.

Grundfunktion neu starten

Kommando

Startet angehaltene Grundfunktion neu.

Aus Grundfunktion aussteigen

Kommando

Startet Prozess zum Aussteigen aus der Grundfunktion.

Rezept auf Fehler prüfen.

Aktion

Startet Rezeptvalidierung.

Element bearbeiten

Aktion

Öffnet den jeweiligen Dialog zur Bearbeitung des ausgewählten Elements.

Grafische Ausprägung

Aktion

Öffnet den Dialog zur Konfiguration von Hintergrundfarben, Raster und Anzeige der Element-ID.

Umschalten in Automatischen Modus

Kommando

Schaltet Ausführung in den Automatischen Modus um.

Umschalten in Halbautomatischen Modus

Kommando

Schaltet Ausführung in den Halbautomatischen Modus um.

Umschalten in Manuellen Modus

Kommando

Schaltet Ausführung in den Manuellen Modus um.

Rezept nur an ausgewählten Ausführungspositionen fortsetzen

Kommando

Setzt ein Rezept nur an den ausgewählten Positionen fort.

Rezept an allen Ausführungspositionen fortsetzen

Kommando

Setzt ein Rezept an allen zur Verfügung stehenden Positionen fort.

Anstehende Bedingung überspringen

Kommando

Überspringt eine anstehende Bedingung.

Nur im Manuellen Modus möglich.

Rezept duplizieren

Aktion

Erstellt eine Kopie des Rezepts. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.

Die Kopie des Rezepts erhält automatisch den Status Vorbereitet und kann daher weiter bearbeitet oder gestartet werden. Der Ausführungsstatus des Duplikats wird auf Automatisch gesetzt.

Beim Duplizieren eines Rezepts wird ein CEL-Eintrag erzeugt.


Steuerrezept ausführen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Steuerrezepte > Steuerrezept ausführen

Steuerrezepte können gestartet werden:

  • nach Auswahl eines Steuerrezepts in der Liste der Steuerrezepte:
    • per Klick auf die Schaltfläche Steuerrezept starten
    • per Klick auf den Befehl Starten im Kontextmenü
  • bei geöffnetem Steuerrezept durch Klick auf das Symbol Steuerrezept starten in der Symbolleiste

PFC-Steuerrezept:

Matrix-Steuerrezept:

Werte ändern

Wurde bei Parametern im Vorlagenrezept die Option Im Steuerrezept änderbar aktiviert, können diese Werte im Steuerrezept angepasst werden, solange die Grundfunktion noch nicht aktiv ist. In diesem Fall wird neben dem Wert eine Schaltfläche zur Synchronisierung angezeigt. Klick auf diese Schaltfläche übernimmt wieder den im Vorlagenrezept definierten Wert.

In Steuerrezepten, die bereits ausgeführt wurden, können keine Werte mehr geändert werden.

Bedeutung der Symbole neben änderbaren Werten:

Symbol | Beschreibung
Istgleich-Zeichen | Wert im Steuerrezept und im Vorlagenrezept stimmen überein.
Spitze Klammern. | Wert im Steuerrezept und im Vorlagenrezept unterscheiden sich.
Pfeile in gegensätzliche Richtung. | Klick auf Schaltfläche übernimmt Wert vom Vorlagenrezept. Dieser überschreibt den Wert im Steuerrezept. Nur aktiv, wenn sich die Werte im Steuerrezept und im Vorlagenrezept unterscheiden.


Rezepte validieren

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezepte validieren

Rezepte können während der Projektierung auf Fehler getestet werden. Um ein Rezept zu validieren, klicken Sie auf das entsprechende Symbol in der Symbolleiste des Rezepteditors der Runtime (grüner Haken - Rezept auf Fehler prüfen). Damit wird das Rezept nach internen Regeln auf Funktionsfähigkeit überprüft, vor allem werden geprüft:

  • Syntax (alle Linien verbunden, von Anfang bis Ende durchlaufbar usw.)
  • Variablen
  • Datentypen
  • Fahrweisen: Verknüpfung von Fahrweisen sowie Wert des verknüpften Fahrweisenparameters auf Grenzen der Variable

Das Ergebnis der Prüfung wird als Pop-up im Klartext ausgegeben. Gefundene Fehler werden auch in der LOG-Datei, die mit dem Diagnosis Viewer ausgewertet werden kann, gespeichert.

Regeln, die beim Projektieren zu beachten sind, finden Sie im Kapitel Projektierungsregeln für Rezepte.

attention Achtung

Teilrezepte, die zum Zeitpunkt der Validierung nicht verbunden sind, werden bei der Validierung ignoriert. Ihre Inhalte und Abläufe werden nicht überprüft.


Rezeptausführung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung

Noch in diesem Kapitel

Kommandos

Rezeptstatus

Recipe Execution Engine (REE)


Kommandos

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Kommandos

Zur Runtime stehen Kommandos und Aktionen zur Verfügung:

  • Kommandos wirken sich auf den Rezeptablauf aus.
  • Aktionen ermöglichen die Bearbeitung von Rezepten.

Damit ein Kommando für die Grundfunktion akzeptiert wird, sind folgende Voraussetzungen nötig:

  • Die REE muss laufen.
  • Die Grundfunktion muss aktiv sein.
  • Die Grundfunktion muss sich in einem Status befinden, in dem das Kommando erlaubt ist.

Durch Mehrfachauswahl kann das Kommando im gleichen Ausführungszyklus an mehrere Grundfunktionen gesendet werden.

Hinweis: Es wird zwischen Rezeptkommandos und Grundfunktionskommandos unterschieden:

  • Rezeptkommandos beeinflussen die Ausführung aller im Rezept aktiven Grundfunktionen, sowie den Status des Rezepts selbst.
  • Grundfunktionskommandos werden nur auf die ausgewählten Grundfunktionen angewandt (Mehrfachauswahl ist möglich).
Kommando | Beschreibung
Rezept starten | Startet den Rezeptablauf.
Rezept pausieren | Pausiert den Ablauf des Rezepts.
Rezept fortsetzen | Setzt ein pausiertes Rezept fort.
Rezept anhalten | Hält den Rezeptablauf an.
Rezept neu starten | Startet in dem angehaltenen Rezept alle aktiven Elemente neu.
Rezept stoppen | Stoppt das Rezept.
Rezept abbrechen | Bricht das Rezept ab.
Grundfunktion pausieren | Pausiert die Grundfunktion.
Grundfunktion fortsetzen | Setzt die pausierte Grundfunktion fort.
Grundfunktion anhalten | Hält die Grundfunktion an.
Grundfunktion neu starten | Startet die angehaltene Grundfunktion neu.
Aus Grundfunktion aussteigen | Bricht Grundfunktion ab. Nur in manuellem Modus verfügbar.
Umschalten in Automatischen Modus | Schaltet die REE in Automatischen Modus um.
Umschalten in Halbautomatischen Modus | Schaltet die REE in Halbautomatischen Modus um.
Umschalten in Manuellen Modus | Schaltet die REE in Manuellen Modus um.
Rezept nur an ausgewählten Ausführungspositionen fortsetzen | Setzt ein Rezept nur an den ausgewählten Positionen fort.
Rezept an allen Ausführungspositionen fortsetzen | Setzt ein Rezept an allen zur Verfügung stehenden Positionen fort.
Anstehende Bedingung überspringen | Überspringt eine anstehende Bedingung. Nur im Manuellen Modus möglich.

Erlaubte Kommandos

Für Rezeptkommandos und Grundfunktionskommandos gelten Ausführungsbedingungen. Zum Beispiel kann das Steuerrezept nicht mehr gestoppt werden, wenn es den Status Abbrechen hat.

Hinweis: Das Kommando Reset ist im zenon Batch Control nicht implementiert.

Überblick über Kommandos in Batch Control

Hinweis: Dieser Überblick ist dem ANSI/ISA-S88 Standard entnommen (Grafik 18).

Verhalten bei Kommando Stoppen

Nach einem Kommando Stoppen gehen Grundfunktionen, Transitionen und Ende Parallelzweig sofort in den Status gestoppt, auch wenn andere Elemente noch auf eine Bedingung für das Stoppen warten. Weitere folgende Kommandos wie z. B. Abbrechen, werden ignoriert. Es wird weiterhin der Status gestoppt angezeigt.

Verhalten bei Kommando "Stoppen"

Nach einem Kommando Stoppen gehen Transitionen und Ende Parallelzweig sofort in den Status gestoppt, auch wenn andere Elemente noch auf eine Bedingung für das Stoppen warten. Weitere folgende Kommandos wie z. B. Abbrechen, werden ignoriert. Es wird weiterhin der Status gestoppt angezeigt.


Rezeptstatus

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Rezeptstatus

Status für Vorlagenrezepte

Vorlagenrezepte können folgende Status annehmen:

  • Editierbar: In diesem Status kann alles verändert werden. Jedes neue Vorlagenrezept wird in diesem Status erzeugt.
  • Testmodus: In diesem Status verhält sich das Rezept ähnlich wie ein Steuerrezept. Die Anordnung der Elemente kann nicht modifiziert werden. Es kann jedoch ausgeführt werden, und es stehen alle Kommandos, Aktionen, Modi usw. zur Verfügung. Es können auch alle Befehlsparameter verändert werden, für die die Option Im Vorlagenrezept änderbar aktiviert wurde.
    Ausnahme: Ist eine Grundfunktion gerade aktiv, sind Änderungen nicht möglich. Maßgeblich dafür ist der Zustand beim Drücken des OK Buttons. Ist dabei die Grundfunktion aktiv, werden die Wertänderungen nicht übernommen und eine Fehlermeldung wird angezeigt.
    Im Testmodus können Rezepte auch mehrfach hintereinander ausgeführt werden. Das ist bei Steuerrezepten nicht möglich.
    Änderungen aus dem Editor werden beim Nachladen oder nach einem Runtime-Neustart, allerdings erst nachdem das Rezept beendet wurde, übernommen.
  • Freigegeben: In diesem Status sind keine Änderungen am Rezept mehr möglich.
    Hinweis: Auch Änderungen an den Grundfunktionen oder an den Reaktionen im Editor werden nicht an ein Vorlagenrezept übertragen. Das Vorlagenrezept behält immer den Zustand wie zum Zeitpunkt der Freigabe.
    Ausnahme: Änderungen an Variablen und an Funktionen werden durch diesen Schutzmechanismus nicht berücksichtigt. Das kann dazu führen, dass ein Vorlagenrezept und damit alle auf ihm basierenden Steuerrezepte ungültig werden. Wird z B. der Datentyp einer Variable von Bool auf String geändert, wird die Validierungsfunktion nicht mehr durchlaufen und das Rezept kann nicht mehr verwendet werden, bis der Fehler im Editor behoben ist. Ebenso werden die Aggregate selbst nicht geschützt, da sie rezeptübergreifend verwendet werden. Wird ein Aggregat-Name im Editor geändert, wirkt sich das unmittelbar nach dem Nachladen oder dem Neustart der Runtime auf alle darauf basierenden Grundfunktionen aus.

    Um ein Vorlagenrezept freigeben zu können, muss das Rezept vorher fehlerfrei validiert worden sein. Die Validierung erfolgt beim Freigeben automatisch und kann nicht umgangen werden. Nur von freigegeben Rezepten können Steuerrezepte erstellt werden.

    Soll ein Vorlagenrezept mit dem Status Freigegeben modifiziert werden, müssen Sie durch Duplizieren eine Kopie des Vorlagenrezepts erstellen. Diese erhält wieder den Status Editierbar.

Status für Steuerrezepte

Steuerrezepte können folgende Status annehmen:

  • Vorbereitet: Ein neu erzeugtes Steuerrezept besitzt diesen Status. In diesem Status kann es gestartet werden, und es können auch Befehlsparameter, für die die Option Im Steuerrezept änderbar aktiviert wurde, verändert werden.
  • In Ausführung: Das Steuerrezept wurde gestartet und wird abgearbeitet. In diesem Status bleibt es nun, bis es Abgeschlossen, Gestoppt oder Abgebrochen wurde. Den genauen Zustand des Rezepts erfährt man durch den Ausführungsstatus.
    In diesem Status können auch Befehlsparameter, für die die Option Im Steuerrezept änderbar aktiviert wurde, geändert werden.
    Ausnahme: Ist eine Grundfunktion gerade aktiv, sind Änderungen nicht möglich. Maßgeblich dafür ist der Zustand beim Drücken des OK Buttons. Ist dabei die Grundfunktion aktiv, werden die Wertänderungen nicht übernommen und eine Fehlermeldung wird angezeigt.
  • Abgeschlossen: Das Rezept hat seinen Endzustand erreicht. Es kann nicht mehr neu gestartet werden und es kann auch nicht mehr verändert werden. Änderungen an Befehlsparametern sind nicht mehr möglich. Abgeschlossene Steuerrezepte können dupliziert und gelöscht werden.


Recipe Execution Engine (REE)

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE)

Die REE (Recipe Execution Engine) führt Rezepte zur Runtime aus. Es kann eine beliebige Anzahl an Rezepten gestartet werden.

Noch in diesem Kapitel

Symbole und Farben

Rezeptabbild erstellen

Verhalten von Elementen zur Runtime

Modus und Moduswechsel

Die Ausführungsstatus

Rezept schrittweise ausführen und im Rezept springen

Ablauf einer Grundfunktion im Detail

Aus Grundfunktion aussteigen

Neustart Grundfunktion

Gesichertes Schreiben der Befehlsparameter

Runtime Beenden und Wiederanlauf


Symbole und Farben

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Symbole und Farben

Die Zustände im Ablauf einer Grundfunktion werden über verschiedene Symbole angezeigt. Einige Symbole werden auch für Transitionen und Ende Parallelzweig genutzt.

Symbole für den inneren Status:

Symbol | Bedeutung
 | Grundfunktion startet.
 | Warten auf Kommunikation mit der Steuerung.
 | Warten auf Aggregatsbelegung. Das Aggregat der Grundfunktion wird bereits in einem anderen Rezept verwendet.
 | Warten für Aggregatsbelegung ist abgelaufen.
 | Warten auf exklusive Ausführung. Eine andere Instanz der Grundfunktion ist im gleichen Rezept aktiv.
 | Schreiben der Initialparameter.
 | Schreiben der Initialparameter fehlgeschlagen.
 | Prüfen der Eingangsverriegelung.
 | Wartezeit für Eingangsverriegelung ist abgelaufen.
 | Schreiben der Wertparameter.
 | Schreiben der Wertparameter ist abgelaufen.
 | Warten auf Minimale Ausführungsdauer.
 | Grundfunktion: Warten auf Weiterschaltbedingung. Transition: Warten auf Transitionsbedingung. Ende Parallelzweig: Warten bis die Ausführung in allen Zweigen fertig ist.
 | Maximale Ausführungsdauer abgelaufen.
 | Warten auf nachfolgende Bedingung.
 | Wartezeit für nachfolgende Bedingung abgelaufen.
 | Nach dem Kommando Neustart beim Warten auf die Neustartbedingung.
 | Nach dem Kommando aus Grundfunktion aussteigen beim Warten auf die Ausstiegsbedingung.

Symbole für Fehler:

Die Symbole in der linken unteren Ecke der Grundfunktion geben Auskunft über den Fehlerzustand der Grundfunktion. Sie können in beliebiger Kombination mit den Symbolen für den inneren Status auftreten.

Symbol | Bedeutung
 | Kommunikationsstörung steht an.
 | Kommunikationsstörung behoben, warten auf Quittierung der Kommunikationsstörung.
 | Kommunikationsstörung behoben (und gegebenenfalls quittiert)
 | SPS-Fehler steht an.
 | SPS-Fehler behoben.

Symbole für "aus Grundfunktion aussteigen":

Die Symbole in der rechten unteren Ecke der Grundfunktion geben Auskunft über den Status beim Aussteigen aus der Grundfunktion.

Symbol | Bedeutung
 | Warten auf die Ausstiegsbedingung.
 | Ausstiegsbedingung erfüllt.

Tritt während einer Grundfunktion ein Fehler auf, dann wird die Grundfunktion bis zum erneuten Start als fehlerhaft gekennzeichnet.

Status

Der Ausführungsstatus von Grundfunktionen, Transitionen und Ende Parallelzweig wird farblich signalisiert:

Status

Farbe

Leerlauf

weiß

In Ausführung

grün

Abgeschlossen

blau

Stoppend

Zwei Farben:

  • gelb
  • Ursprüngliche Farbe

Gestoppt

gelb

Pausierend

Zwei Farben:

  • orange
  • Ursprüngliche Farbe

Pausiert

orange

Anhaltend

Zwei Farben:

  • grau
  • Ursprüngliche Farbe

Angehalten

grau

Abbrechend

Zwei Farben:

  • rot
  • Ursprüngliche Farbe

Abgebrochen

rot

Neu startend

Zwei Farben:

  • grün
  • Ursprüngliche Farbe

Forcieren

(nur Grundfunktionen oder Transitionen)

violetter Rand

Timeout

roter Rand


Rezeptabbild erstellen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Rezeptabbild erstellen

Während des Batch-Betriebes können alle aktuell ausgeführten Rezepte mit allen Rezeptdaten in einem Rezeptabbild (Image) gesichert werden. Das Speichern kann erfolgen:

  • beim Beenden der Runtime: ein Abbild aller laufenden Rezepte wird automatisch erstellt
  • zyklisch: in einem frei definierbaren Zeitraum zwischen 30 und 86400 Sekunden wird ein Rezeptabbild geschrieben (optional)
  • beim Aktivieren einer Grundfunktion: wenn eine Grundfunktion aktiviert wird, wird ein Rezeptabbild geschrieben (optional)

Diese Methoden können auch beliebig kombiniert werden. So kann sichergestellt werden, dass der Batch-Betrieb auch bei Fehlern jederzeit wieder korrekt fortgesetzt werden kann.

Rezeptabbild beim Runtime beenden

Wenn das Ereignis Runtime beenden angestoßen ausgelöst wird, wird das Beenden der Runtime solange verhindert, bis das Modul Batch Control alle Daten gesichert hat. Es wird ein Prozessabbild erstellt, das den Ausgangszustand für den Neustart darstellt. Es wird auch dafür gesorgt, dass Parameter der Sollwert Setzen Aktionen bei diesem Ereignis sicher auf der Steuerung ankommen. Die Grundfunktion wird intern erst pausiert, wenn die Schreibbestätigung vom Treiber erfolgt ist. Dieses Rezeptabbild beinhaltet die Rezeptabbilder der REEs, die Reihenfolge der Belegungen und alle Reaktionen, die beim Wiederanlauf benötigt werden. Weitere Details findend Sie im Kapitel: Runtime Beenden und Wiederanlauf.

Zyklisches schreiben eines Rezeptabbilds

Ein Rezeptabbild kann auch zyklisch während der Runtime geschrieben werden. Sobald Zyklisches Schreiben aktivieren aktiviert wird, wird im angegebenen Zyklus ein Rezeptabbild erstellt.

Um zyklisches Schreiben zu aktivieren:

  1. Navigieren Sie in den Eigenschaften des Moduls Batch Control zur Gruppe Rezeptabbild.
  2. Aktivieren Sie die Eigenschaft Zyklisches Schreiben aktivieren.
  3. Legen Sie in der Eigenschaft Zykluszeit [s] die Zeitspanne für das Schreiben des Rezeptabbilds fest; die minimale Zeitspanne beträgt 30 Sekunden.

Beim zyklischen Schreiben bleiben immer die letzten beiden Abbilddateien erhalten. Ältere werden gelöscht. Das Schreiben erfolgt in einem Zwei-Schritt-Verfahren:

  1. Das Rezeptabbild wird in die Datei TemporaryImg.REE geschrieben.
  2. Wenn dies erfolgreich war, wird die nächste Versionsnummer vergeben und die temporäre Datei auf die neue Version umbenannt.

Bei zyklisch erstellten Abbildern werden alle momentan laufenden Rezepte im Rezeptabbild gespeichert. Damit wird sichergestellt, dass das Rezept beim Wiederanlaufen zum Ausführungsstand passt. Dazu überschreibt das Rezept aus dem Rezeptabbild beim Wiederanlauf das Rezept auf der Runtime. Wiederanlaufen ist nur dann möglich, wenn das betroffene Rezept auf der Platte noch existiert und sich noch in einem Ausführungsstatus befindet. Wurde das Rezept nach Erstellung des Rezeptabbilds bereits beendet und gespeichert, wird das Rezept nicht neu gestartet.

Rezeptabbild bei Aktivierung einer Grundfunktion

Ein Rezeptabbild kann auch beim Aktivieren einer Grundfunktion erstellt werden. Um bei jedem Aktivieren einer Grundfunktion ein Rezeptabbild zu erstellen:

  1. navigieren Sie in den Eigenschaften des Moduls Batch Control zur Gruppe Rezeptabbild
  2. aktivieren Sie die Eigenschaft Rezeptabbild schreiben bei Aktivierung einer Grundfunktion

Zur Runtime wird bei jedem Aktivieren einer Grundfunktion ein Rezeptabbild geschrieben.

Speichern und Wiederherstellen

REE Images werden im Projektordner mit folgender Namenskonvention abgelegt: Batch[Version-Hex].REE

Anhand der Dateierweiterung .REE werden die Abbilddateien beim Start der Runtime eingelesen und die neuste Version identifiziert. Die neuste Version ist das zu ladende Rezeptabbild und bleibt nach dem Wiederanlauf als Datei erhalten. Sämtliche anderen Dateien mit der Dateierweiterung REE werden gelöscht.


Verhalten von Elementen zur Runtime

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Verhalten von Elementen zur Runtime

Grundsätzlich gilt: Grundfunktionen und alle auf sie folgende Elemente (Transition, Ende Parallelzweig, Start Parallelzweig, Zuweisung) bleiben aktiv, bis die nächste Grundfunktion aktiv wird. Ausnahme: Es wird manuell gesprungen.

Grundfunktionen

Alle Grundfunktionen Pausiert

Im Modus Manuell kann man alle Grundfunktionen in den Status Pausiert versetzen.
Zum Beispiel: Der Zweig wird vor dem Ende Parallelzweig über dieses Ende hinaus weiter durchschritten. Damit befindet sich die Ausführungsposition nach dem Ende Parallelzweig und vor der nächsten Grundfunktion. Alle Grundfunktionen vor dem Ende Parallelzweig sind im Status Pausiert. Nun wird eine dieser Grundfunktionen erst in Halten und dann in Neustart versetzt. Die anderen Grundfunktionen bleiben pausiert. Ist die neu gestartete Grundfunktion beendet, existiert nur noch eine Ausführungsposition. Wird diese mit Nächster Schritt aktiviert, dann ist keine Ausführungsposition mehr vorhanden. Das Element Ende Parallelzweig bleibt jedoch pausiert und schaltet nicht durch.

Lösung: Fortsetzen der pausierten Grundfunktionen.

Pausieren und Fortsetzen

Beim Pausieren und für Fortsetzen gilt:

  • Umschalten vom manuellen Modus zum automatischen: Alle pausierten Grundfunktionen werden fortgesetzt.
  • Pausieren und fortsetzen mit aktiver Ausführungsposition: Bei einem Rezeptkommando Fortsetzen werden Ausführungspositionen nicht fortgesetzt. Ausführungspositionen werden nur beim Grundfunktionskommando Fortsetzen sowie bei den Kommandos Rezept nur an ausgewählten Ausführungspositionen fortsetzen und Rezept an allen Ausführungspositionen fortsetzen fortgesetzt.
  • Wurde eine Grundfunktion im manuellen Modus Pausiert und der Ausführungsmodus wird auf Automatisch umgeschaltet, wird die Grundfunktion fortgesetzt. Umschalten in den automatischen Ausführungsmodus führt implizit ein Kommando Grundfunktion fortsetzen aus.
    • Ein Kommando Grundfunktion pausieren, gefolgt vom Kommando Rezept pausieren und Rezept fortsetzen, versetzt die pausierten Grundfunktionen wieder in den Status In Ausführung.
  • Bei einem globalen Pausieren und Fortsetzen wechselt der Rezeptstatus auf In Ausführung. Grundfunktionen mit Ausführungspositionen bleiben aber dennoch pausiert und die Ausführungsposition bleibt unverändert.
  • Bei einem lokalen Pausieren und Fortsetzen bleibt der Rezeptstatus auf In Ausführung. Das Rezept wird an den Ausführungspositionen fortgesetzt. Das gilt auch, wenn die Ausführungsposition verschoben wurde.

Verzweigungen

In Verzweigungen gilt:

  • Solange die linke Transition über keinen Wert verfügt, wird die rechte Transition ignoriert.
  • Ist die Transitionsbedingung für beide Transitionen erfüllt, wird der linke Zweig gewählt.

Stoppen von Elementen

Wird ein Ende Parallelzweig gestoppt, wird es sofort inaktiv und reagiert auf keine weiteren REE Kommandos wie z. B. abbrechen. Daher wechselt es auch nicht den Status zu abgebrochen nach einem Kommando abbrechen. Das gilt auch für Transitionen. Grundfunktionen dagegen warten nach einem Stoppen eventuell noch darauf, dass weitere Bedingungen erfüllt werden.

Transitionen

  • Transitionen bleiben immer so lange aktiv, bis eine nachfolgende Grundfunktion oder das Rezeptende erreicht wurde. Das gilt auch, wenn eine Transition von einem Ende Parallelverzweigung und einer weiteren Transition gefolgt ist.
  • In Zweigen werden Impulse für eine Transition ignoriert, solange die Transition links der betreffenden Transition noch keinen gültigen Wert hat.
  • Bei Anhalten und Neustarten werden Transitionen deaktiviert. Im manuellen oder halbautomatischen Modus wird die Ausführungsposition wieder aktiviert.

Ausführungsposition und Sprungziele

Kommando

Beschreibung

Fortsetzen

Wenn ein Objekt in Pause ist und sich nach diesem eine Ausführungsposition befindet, bewirkt ein Fortsetzen das Gleiche wie ein Nächster Schritt. Dies inkludiert auch die Sprünge.

Bei einem Grundfunktionskommando wirkt sich das Kommando nur auf den Sprung im gleichen Zweig aus.

Anhalten

Abhängig von Objekt:

  • Grundfunktion anhalten: entfernt Ausführungspositionen in den Zweigen
  • Rezept anhalten: entfernt alle Ausführungspositionen

Pause

Hat keine Auswirkung bei Sprungzielen. Bereits definierte Ziele bleiben erhalten.

Sonstige

Bewirken immer das Löschen der Sprünge.

Bei einem Grundfunktionskommando wird nur der Sprung im Bereich der Grundfunktion gelöscht.


Modus und Moduswechsel

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Modus und Moduswechsel

Die REE kann in drei Modi betrieben werden:

  • Automatisch: Das Rezept läuft vollautomatisch ab.
  • Halbautomatisch: Das Rezept wird manuell ausgeführt, es können keine Bedingungen übersprungen werden.
  • Manuell: Jeder Schritt im Rezept oder Teilrezept wird manuell ausgeführt, Bedingungen, auf die gewartet wird, können übersprungen werden.

Um ein Rezept manuell oder halbautomatisch auszuführen, können die Bewegungsarten Rezept schrittweise ausführen und springen benutzt werden.

Beim Umschalten auf den Modus Automatisch werden alle Ausführungspositionen entfernt. Globale Kommandos werden nur in Zweigen ausgeführt, die keine Ausführungspositionen enthalten.

info Info

Um auf schwerwiegende Ereignisse reagieren zu können, kann der Modus auch im laufenden Betrieb über die Reaktionsart Rezeptbeeinflussung geändert werden.


Die Ausführungsstatus

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Die Ausführungsstatus

Folgende Status sind für Rezepte möglich:

Status

Beschreibung

Leerlauf

Die REE befindet sich im Leerlauf.

In Ausführung

Beim Starten eines Steuerrezepts wechselt dieses in den Status In Ausführung. Einzelne Elemente im Rezept können aber einen abweichenden Status haben.

Abgeschlossen

Ein Rezept wechselt in den Status Abgeschlossen sobald:

  • in einem PFC- Rezept das Endelement erreicht wurde
    oder
  • in einem Matrix-Rezept alle Grundfunktionen fertig abgearbeitet wurden

Das Ausführen ist in diesem Status nicht mehr möglich.

Pausierend

Nach einem Rezeptkommando Pause ist das Rezept im Status Pausierend. Es bleibt solange in diesem Status, bis alle in Ausführung befindlichen Grundfunktionen im Status Pausiert sind. Erst dann erhält auch das Rezept den Status Pausiert.

Pausiert

Alle aktiven Grundfunktionen des Rezepts sind pausiert oder angehalten. Der Ablauf bleibt innerhalb der Grundfunktion stehen bei:

  • Warten auf Aggregatsbelegung.
  • Prüfen auf parallele Ausführung.
  • Warten auf Eingangsverriegelung.
  • Warten auf Weiterschaltbedingung.
  • Warten auf nachfolgende Bedingung.

Anhaltend

Nach einem Rezeptkommando Anhalten ist das Rezept im Status Anhaltend. Erst wenn alle aktiven Grundfunktionen im Status Angehalten sind, wechselt auch das Rezept in den Status Angehalten.

Angehalten

Alle aktiven Grundfunktionen des Rezepts sind angehalten. Der Ablauf bleibt innerhalb der Grundfunktion stehen bei:

  • Warten auf Aggregatsbelegung.
  • Prüfen auf parallele Ausführung.
  • Warten auf Eingangsverriegelung.
  • Warten auf Weiterschaltbedingung.
  • Warten auf nachfolgende Bedingung.

Neu startend

Nach dem Kommando Rezept neu starten befindet sich das Rezept im Status Neu startend. Erst wenn alle vormals angehaltenen Grundfunktionen im Rezept neu gestartet wurden, wechselt auch der Rezeptstatus auf In Ausführung.

Stoppend

Nach einem Kommando Rezept stoppen ist das Rezept im Status Stoppend. Erst wenn alle aktiven Grundfunktionen im Status Gestoppt sind, wechselt auch der Rezeptstatus auf Gestoppt.

Gestoppt

Alle aktiven Grundfunktionen im Rezept wurden gestoppt. Ein gestopptes Steuerrezept kann nicht wieder fortgesetzt oder neu gestartet werden.

Abbrechend

Nach einem Kommando Rezept abbrechen ist das Rezept im Status Abbrechend. Erst wenn alle aktiven Grundfunktionen im Status Abgebrochen sind, wechselt auch der Rezeptstatus auf Abgebrochen.

Abgebrochen

Alle aktiven Grundfunktionen im Rezept wurden abgebrochen. Ein abgebrochenes Steuerrezept kann nicht wieder fortgesetzt oder neu gestartet werden.

Vorbereitet

Vorbereitet zum Ablaufen.


Rezept schrittweise ausführen und im Rezept springen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Rezept schrittweise ausführen und im Rezept springen

Rezept schrittweise ablaufen lassen (steppen)

Ein Rezept kann schrittweise ausgeführt werden, wenn:

  • sich das Rezept entweder im halbautomatischen oder im manuellen Modus befindet
    und
  • der Status des Rezepts In Ausführung ist.

Beim schrittweisen Ausführen wird die Ausführung pausiert, sobald ein Element fertig ausgeführt wurde. Das erfolgt durch ein Kommando Pause an den betroffenen Ausführungspfad. Sobald in diesem Pfad alle aktiven Elemente den Status Pausiert erreicht haben, wird die Ausführungsposition durch einen roten Pfeil angezeigt. Teilrezepte werden wie alle anderen Objekte eines Rezepts behandelt.

Die Ausführung wird fortgesetzt mit:

  • einem selektiven Schritt: Auswahl des entsprechenden Pfeils (grün)
  • einem globalen Schritt: alle Positionen mit Pfeilen für mögliche Fortsetzung werden gestartet

Kommunikationsstörung bei schrittweiser Ausführung

Tritt an einer Grundfunktion eine Kommunikationsstörung auf, während diese auf eine Ausführungsposition wartet, wird die Ausführungsposition nicht mehr angezeigt bis die Störung behoben ist. Wird allerdings in der Zwischenzeit die Ausführung in den Modus automatisch geschalten, dann wird die Grundfunktion nur pausiert und muss fortgesetzt werden. Das gilt auch, wenn danach wieder in den manuellen oder halbautomatischen Modus gewechselt wird.

Kommandos

Globale Kommandos

Bei globalen Kommandos werden alle Ausführungspositionen gelöscht, da die Ausführung dort nicht fortgesetzt werden kann.

Ausnahmen: Pausieren und Fortsetzen. Hier bleiben die Ausführungspositionen so erhalten wie sie sind.

Grundfunktionskommandos

  • Anhalten für eine Grundfunktion: Die Ausführungsposition wird im Ausführungspfad der Grundfunktion gelöscht.
  • Fortsetzen: Falls eine Ausführungsposition vorhanden ist, wird in diesem Ausführungspfad ein selektiver nächster Schritt ausgeführt.

Sonderfälle:

Grundfunktionskommando Anhalten und Neustart in einem Parallelzweig bei aktivem Ende Parallelzweig

Hält man in diesem Beispiel (Bilder von links nach rechts) einen Parallelzweig an und startet neu, dann erreicht man nach weiterem schrittweisen Ausführen das bereits pausierte Ende Parallelzweig. Um die Ausführung hier fortzusetzen, muss die linke Grundfunktion ein Kommando Fortsetzen erhalten.

Nur einen Pfad in einem Parallelzweig mit einer aktiven Grundfunktion davor schrittweise ausführen

Wird in einem Parallelzweig mit einer Grundfunktion davor nur ein Pfad fertig ausgeführt und in einem der Parallelzweige gewartet (Grundfunktion davor ist In Ausführung), dann werden im Parallelzweig keine Ausführungspositionen mehr angezeigt. Um diese in den anderen Pfaden wieder zu erhalten, muss die Grundfunktion mit einem Grundfunktionskommando pausiert werden. Danach ist es möglich den Pfad fertig auszuführen.

Wird dann allerdings der Parallelzweig mit der Ausführungsposition weiter ausgeführt, dann wird die Grundfunktion vor dem Parallelzweig dadurch deaktiviert. Damit bleibt der linke Pfad Pausiert und ohne Ausführungsposition. Da hier nun keine aktive Grundfunktion vorhanden ist, kann die Ausführung nur mit einem globalen Pausieren und Fortsetzen wieder aufgenommen werden.

Springen (jump)

Springen bedeutet im Ablauf von einer Position auf eine andere - entfernte - zu wechseln, um dort die Ausführung fortzusetzen.

Um zu springen:

  1. Wählen Sie eine Ausführungsposition mit der Maus aus.
  2. Ziehen Sie diese auf eines der angebotenen Ziele.
  3. Führen Sie Rezept an selektierter Ausführungsposition fortsetzen aus.

Es werden alle aktiven Elemente vor dem Quellzeiger deaktiviert und das Objekt nach dem Ziel aktiviert.

Wird ein Sprung registriert, bei dem Quelle und Ziel sinngemäß die gleiche Stelle sind (Sprung über Linien, Sprungziele oder Ende Verzweigung Objekte), dann wird dieser Sprung ignoriert und es wird ein einfacher Schritt ausgeführt.

Springen in Parallelzweigen

Wird in Parallelzweigen über die Grundfunktion im ersten Parallelzweig gesprungen, dann wird die erste Grundfunktion vor dem Parallelzweig deaktiviert. Damit ist keine Grundfunktion mehr aktiv. Grundfunktionen dürfen nicht übersprungen werden, wenn damit keine Grundfunktion im Rezept mehr aktiv ist. Folgendes Verhalten beim Springen führt zu einem Fehler:

  • Rezept mit Parallelzweig

  • Ein globaler Schritt aktiviert die Grundfunktion vor Anfang Parallelzweig.

  • Nach dem nächsten Schritt befindet sich die Ausführungsposition vor der Grundfunktion im Parallelzweig.

  • Die Ausführungsposition wird hinter diese Grundfunktion verschoben.

    Regel beim Springen: Objekte vor einem Anfang Parallelzweig werden inaktiv, sobald Objekte danach aktiv werden.
    Damit wird jetzt beim Sprung die erste Grundfunktion inaktiv. Die übersprungene Grundfunktion im Parallelzweig wurde nie aktiv, ebenso wenig die folgenden Grundfunktionen.
    Damit ist jetzt im Rezept keine Grundfunktion mehr aktiv:


Ablauf einer Grundfunktion im Detail

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Ablauf einer Grundfunktion im Detail

Eine Grundfunktion wird immer nach dem selben Schema sequentiell abgearbeitet. Um den genauen Ablauf aufschlüsseln zu können, bedarf es auch einer nachfolgenden Bedingung. Für diese Darstellung verwenden wir als nachfolgende Bedingung eine Transition. Die Grundfunktion selber benennen wir Grundfunktion 1. Weitere spezielle Ablaufverhalten mit nachfolgenden Bedingungen finden Sie im Kapitel Nachfolgende Bedingung.

Grundfunktion/Transition | Ereignis
Grundfunktion wird aktiviert | Grundfunktion aktiviert
Alle Variablen der Grundfunktion werden bei den Treibern angemeldet. |
Aggregatsbelegung wird gestartet und Wartezeit Aggregatbelegung wird gestartet | Wenn die Aggregatsbelegung nicht im ersten Versuch erfolgreich war: Aggregatsbelegung nicht möglich
Optional: Aggregatsbelegung innerhalb der Wartezeit nicht möglich. | Wartezeit Aggregatsbelegung überschritten
Prüfung, ob Grundfunktion nicht bereits ausgeführt wird, wird gestartet. Dies kann vorkommen, wenn die Grundfunktion schon in einem Parallelzweig aktiv ist oder wenn die Aggregatsbelegung manuell übersprungen wurde und die Grundfunktion in einem anderen Rezept bereits ausgeführt wird. | Grundfunktion mehrfach gestartet
Schreiben der Initialparameter und Grundfunktion starten. | Grundfunktion gestartet
Prüfung der Eingangsverriegelung wird gestartet und Wartezeit Eingangsverriegelung wird gestartet. | Wenn die Prüfung der Eingangsverriegelung nicht im ersten Versuch erfolgreich war: Eingangsverriegelung blockiert
Optional: Bedingung der Eingangsverriegelung innerhalb der Wartezeit nicht TRUE. | Wartezeit Eingangsverriegelung überschritten
Schreiben der Wertparameter. | Wenn alle Wertparameter geschrieben wurden: Wertparameter fertig abgesetzt
Prüfung der Weiterschaltbedingung wird gestartet und Zeit für Minimale Ausführungsdauer und Maximale Ausführungsdauer wird gestartet. |
Optional: Weiterschaltbedingung erfüllt, aber Minimale Ausführungsdauer nicht erreicht. |
Optional: Bedingung der Weiterschaltbedingung innerhalb der Maximalen Ausführungsdauer nicht TRUE | Maximale Ausführungsdauer überschritten
Weiterschaltbedingung ist TRUE und Minimale Ausführungsdauer ist erreicht oder überschritten. Wartezeit nachfolgende Bedingung wird gestartet. Transition wird aktiviert | Grundfunktion beendet
Alle Variablen der Transition werden bei den Treibern angemeldet |
Optional: Nachfolgende Bedingung nicht innerhalb der Wartezeit TRUE Die Transitionsbedingung wird geprüft. | Wartezeit nachfolgende Bedingung überschritten
Die nächste Grundfunktion wird aktiviert. Die nachfolgende Bedingung kann sich aus mehreren Objekten zusammensetzen (z. B. Transition + Aggregatsbelegung). Erst wenn die nächste Grundfunktion erreicht wird (oder das Ende des Rezepts), gilt die nachfolgende Bedingung als erfüllt. |
Grundfunktion wird informiert, dass nachfolgende Bedingung erfüllt ist Transitionsbedingung ist TRUE | Grundfunktion deaktiviert
Alle Ereignisse der Grundfunktion werden deaktiviert. |
Alle Variablen der Grundfunktion werden von den Treibern abgemeldet. Alle Variablen der Transition werden von den Treibern abgemeldet. |
Die Grundfunktion wird deaktiviert. Die Transition wird deaktiviert. |

Regel für Werte von Transitionen

Ist die Bedingung einer Transition TRUE während die Transition aktiv ist, dann wird die Transition als beendet markiert. Sollte ihr Wert später wieder auf FALSE wechseln, hat das keinen Einfluss auf den weiteren Ablauf des Rezepts.

Globales Pausieren und Fortsetzen wenn eine Kommunikationsstörung vorliegt

Wenn eine Grundfunktion pausiert ist und eine Kommunikationsstörung vorliegt, kann diese nicht einfach fortgesetzt werden. Grundfunktionskommandos werden unterbunden, Rezeptkommandos werden umgangen. Ist das Rezept pausiert, kann ein Rezeptkommando Rezept fortsetzen geschickt werden. Dadurch wechselt zwar das Rezept wieder in den Status In Ausführung, der Ausführungspfad mit der gestörten Grundfunktion bleibt aber pausiert.

Noch in diesem Kapitel

Nachfolgende Bedingung


Nachfolgende Bedingung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Ablauf einer Grundfunktion im Detail > Nachfolgende Bedingung

Nachdem eine Grundfunktion ausgeführt wurde, bleibt sie noch aktiv, während der Rezeptablauf fortgesetzt wird. Erst wenn die nächste Grundfunktion aktiviert wird, oder das Rezeptende erreicht ist, wird die Grundfunktion deaktiviert. Dies wird als nachfolgende Bedingung bezeichnet. Das gilt auch, wenn zwischen der Grundfunktion und der folgenden Grundfunktion (oder dem Rezeptende) sich andere Elemente wie Transition oder Ende-Parallelverzweigung befinden. Durch dieses Verhalten wird sichergestellt, dass die Aggregatsbelegung nach der Ausführung einer Grundfunktion bis zum Start der nächsten Grundfunktion bestehen bleibt.


Aus Grundfunktion aussteigen

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Aus Grundfunktion aussteigen

Aus einer Grundfunktion kann während der Ausführung ausgestiegen werden. Die Ausführung wird dann nach der Grundfunktion fortgesetzt ohne die ausstehenden Schritte der Grundfunktion durchlaufen zu müssen. Das Aussteigen aus einer Grundfunktion ist nur im manuellen Modus möglich. Im Editor kann optional auch in der Eigenschaft Bedingungen transiente Status/Ausstiegsbedingung eine Bedingung konfiguriert werden.

Das Aussteigen ist möglich, wenn sich die Grundfunktion in einem dieser Status befindet:

  • In Ausführung
  • Pausierend
  • Pausiert
  • Anhaltend
  • Angehalten
  • Neu startend

Wenn das Ausstiegskommando die Grundfunktion erreicht, wird der aktuelle Ausführungsschritt unterbrochen, und sofort mit dem Prüfen der Ausstiegsbedingung begonnen. Wenn die Bedingung für den Ausstieg erfüllt ist, werden alle nötigen Schritte veranlasst, damit das Objekt wieder in den Status In Ausführung wechselt:

  • Neu startend: Der normale Ablauf wird ab dem Schritt Warten bis Rezept im Status „In Ausführung" ist fortgesetzt. Das bedeutet: Keiner der Schritte zwischen dem Anstoßen des Ausstiegs und Warten bis Rezept im Status „In Ausführung" ist wird ausgeführt.
  • In Ausführung: Der normale Ablauf wird nach der Grundfunktion weiter ausgeführt oder wartet die Grundfunktion auf das Erfüllen der Pausieren Bedingung.

Ab dem Beginn der Prüfung für den Ausstieg einer Grundfunktion werden keine Transientbedingungen mehr geprüft. Nur bei einem Wechsel auf Stoppend oder Abbrechend wird das Prüfen der Ausstiegsbedingung unterbrochen.

Verhalten beim Ausstieg aus der Grundfunktion je nach Ausführungsstatus:

  • Ausstieg aus der Grundfunktion aus Anhaltend oder aus Angehalten:
    Beim Wechsel zurück auf In Ausführung wird nur intern ein Neustart durchgeführt. Die Ausführungsdaten am Objekt bleiben erhalten. Das gilt auch, wenn während der Prüfung der Ausstiegsbedingung ein Neustart durchgeführt wird.
  • Ausstieg aus der Grundfunktion bei Rezeptstatus ungleich In Ausführung oder Neu startend:
    Bei abweichendem Rezeptstatus wird, nachdem die Bedingung erfüllt ist, weiter gewartet bis sich der Rezeptstatus in In Ausführung oder Neu startend ändert. Das ermöglicht auch bei unterschiedlichen Rezeptstatus den Ausstieg.
    Zum Beispiel: Das Rezept befindet sich im Status Angehalten. Für eine Grundfunktion wird die Aktion Ausstieg durchgeführt. Dann wird das Ende des Ausstiegs erst erreicht, wenn der Benutzer ein globales Neustart Kommando ausführt. Das ermöglicht den Ausstieg, wenn das Rezept im Status Angehalten ist, ohne den normalen Mechanismus für einen Neustart zu verwenden.

info Info

Tritt während des Aussteigens eine Kommunikationsstörung mit der SPS auf, dann wird die Prüfung der Ausstiegsbedingung ausgesetzt bis die Störung behoben ist.

Unterdrücken der Reaktionen während des Ausstiegs

Während aus einer Grundfunktion ausgestiegen wird, werden die meisten Ereignisse für den Statuswechsel und den Moduswechsel unterdrückt. Das Prüfen der Ausstiegsbedingung hat Priorität und der Statuswechsel wird auch ohne Prüfung der Bedingung durchgeführt. Ausgenommen davon sind Stoppend und Abbrechend, sowie Runtime beenden angestoßen und Runtime Wiederanlauf, da diese eine höhere Priorität als Ausstieg aus der Grundfunktion haben. Diese Ereignisse werden angestoßen, wie auch das Ereignis für Verknüpfte Variable gestört.


Neustart Grundfunktion

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Neustart Grundfunktion

Grundfunktionen können neu gestartet werden. Dabei werden alle verbundenen aktiven Objekte deaktiviert, auch verbundene Parallelzweige. Eine Grundfunktion führt immer nur eine Serie der Ereignisse für Aktivierung, Start und abgeschlossen durch, unabhängig von der Anzahl der Neustarts. Bereits ausgeführte Ereignisse werden bei einem Neustart übergangen. Transientbedingungen werden nur nach dem Ereignis Start überprüft.

Deaktivierung

Bei einem Neustart einer Grundfunktion werden prinzipiell alle aktiven Objekte deaktiviert, allerdings nur, wenn sie verbunden sind. Isolierte aktive Objekte werden nicht deaktiviert.

Reihenfolge der Deaktivierung

Die Deaktivierung geht von dem Objekt aus, das am längsten aktiv ist. Dieses Objekt wird auch nach dem Neustart wieder aktiviert. Wenn dieses Objekt deaktiviert wird, deaktiviert es auch alle Zweige, zu denen es eine Verbindung über ein aktives Objekt herstellen kann.

Isolierter Zweig

Ein Zweig ist dann isoliert, wenn er über kein aktives Objekt mit einem anderen Zweig verbunden ist. Die Deaktivierung erfolgt immer nur zwischen verbundenen Zweigen. Solange ein Objekt nicht den Status Abgeschlossen hat, besteht auch keine aktive Verbindung zu seinem Nachfolgeobjekt.

Neustart ausgewählter Grundfunktionen

Eine oder mehrere Grundfunktionen können ausgewählt und neu gestartet werden. Bei der Auswahl mehrerer Grundfunktionen müssen sich diese in getrennten Zweigen befinden.

Im gewählten Zweig wird für das älteste Objekt ein Neustart ausgeführt. Damit werden alle aktiven Objekte in verbundenen Zweigen deaktiviert.

Globaler Neustart

Der globale Neustart führt einen Neustart für alle Grundfunktionen aus. Der Neustart wird für das älteste aktive Objekt ausgeführt und damit werden alle verbundenen aktiven Objekte deaktiviert. Alle noch verbleibenden aktiven Objekte befinden sich in einem isolierten Zweig. Auch hier wird wieder das älteste Objekt neu gestartet bis alle aktiven Objekte behandelt wurden.


Gesichertes Schreiben der Befehlsparameter

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Gesichertes Schreiben der Befehlsparameter

Das Schreiben der Befehlsparameter (Initialparameter und Wertparameter) zur SPS erfolgt gesichert. Die Wartezeit kann im Editor projektiert werden.

Ablauf

Beim Schreiben von Befehlsparametern gilt:

  1. Es wird gewartet, bis alle invertiert zu schreibenden Parameter einen Wert haben.
    • Ist das nicht innerhalb der projektierten Wartezeit möglich, werden 3 Versuche gemacht.
    • Existieren dann noch immer Parameter ohne Wert, wird kein Parameter geschrieben, auch nicht jene mit Wert.
  2. Sind alle Versuche erfolglos geblieben, wird das Ereignis Befehlsparameter ohne Wert ausgelöst.
  3. Befehlsparameter werden geschrieben.
  4. Die Istwerte werden mit den geschriebenen Werten verglichen.

    Nach dem Schreiben der Parameterwerte werden diese wieder eingelesen. Wenn die gelesenen Werte nach der eingestellten Wartezeit nicht mit den geschriebenen Werten übereinstimmen, werden sämtliche Parameter neuerlich geschrieben. Es erfolgen maximal drei Wiederholungen

  5. Schlägt das gesicherte Schreiben fehl, wird ein Ereignis Kommunikationsstörung ausgelöst. Das bedeutet:
    • Der Fehler muss quittiert werden.
    • Die Grundfunktion muss wieder in den Status „In Ausführung" versetzt werden.
    • Das Schreiben wird beim Fortsetzen erneut gestartet.
    • Beim Neustart wird die Ausführung der Grundfunktion neu gestartet.
  6. Während das gesicherte Schreiben ausgeführt wird, kann der Ablauf mit Kommandos pausiert, angehalten usw. werden. Befindet sich die Grundfunktion im Status Pausiert und wird dann fortgesetzt, dann wird auch das Schreiben wieder neu begonnen. Dabei werden auch die zu invertierenden Werte für einen zu toggelnden Befehlsparameter neu ermittelt.
  7. Das Schreiben der Befehlsparameter kann auch übersprungen werden.
  8. Wird die Runtime während des Schreibens der Befehlsparameter beendet, werden diese beim Runtime-Start erneut geschrieben. Zu toggelnde Parameter werden erneut ermittelt.

Dauer, Beginnzeit und Endezeit des Schreibens werden im Tooltip der Grundfunktion angezeigt.

Wartezeit projektieren

Um die Wartezeit für das gesicherte Schreiben zu projektieren:

  1. Navigieren Sie in den Eigenschaften des Moduls Batch Control zur Gruppe Allgemein/Gesichertes Schreiben.
  2. Tragen Sie in der Eigenschaft Timeout für gesichertes Schreiben die gewünschte Wartezeit ein.

info Info

Die Wartezeit umfasst alle Wartevorgänge im gesamten Schreibprozess:

  • Warten auf Werte für alle zu schreibenden Parameter.
  • Warten auf Bestätigung der geschriebenen Parameter.
  • Warten auf Lesen der Variablen.

Wird der Default von 20 Sekunden verwendet, müssen alle Warteprozesse innerhalb von 20 Sekunden positiv abgeschlossen sein. Ist die Wartezeit ohne positives Ergebnis abgelaufen, wird das Schreiben von Neuem begonnen.


Runtime Beenden und Wiederanlauf

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezeptausführung > Recipe Execution Engine (REE) > Runtime Beenden und Wiederanlauf

Aktionen beim Wiederanlaufen

Für das Wiederanlaufen der Runtime nach dem Beenden können Aktionen vordefiniert werden. Diese können definiert werden für:

  • Wiederanlauf nach regulärem Beenden der Runtime
  • Wiederanlauf nach Systemausfall

Für jede der beiden Eigenschaften kann eine der folgenden Aktionen ausgewählt werden:

  • Rezept anhalten: Nach dem Wiederanlaufen wird das gesamte Rezept angehalten.
  • Rezept pausieren: Nach dem Wiederanlaufen wird das gesamte Rezept pausiert.
  • Rezeptstatus beibehalten: Nach dem Wiederanlaufen wird das Rezept in den selben Status versetzt, wie vor dem Beenden.

Statuswechsel

Beim Wiederanlauf wird versucht, den konfigurierten Statuswechsel auszuführen. Dazu muss auch das entsprechende Kommando ausführbar sein. Der Status Neu startend für Rezept und Grundfunktion wird dabei behandelt wie In Ausführung. Das bedeutet:

  • Pausiert wird gesetzt für: In Ausführung, Pausierend und Neu startend.
  • Angehalten wird gesetzt für: In Ausführung, Pausierend, Pausiert, Anhaltend und Neu startend.

Transientbedingungen werden nicht geprüft und Ereignisse nicht gesetzt. Damit kann der Zustand im Rezept mit dem Zustand der Anlage in Einklang gebracht werden, ohne für den Statuswechsel Events an die Anlage zu schicken.

Abbilddatei

Beim Beenden der Runtime wird eine Abbilddatei (Image) der laufenden Rezepte erstellt. Diese beinhaltet die Abbilder der REEs, die Reihenfolge der Belegungen und alle Reaktionen, die beim Wiederanlauf benötigt werden.

Belegungen

Nach dem Wiederanlaufen entsprechen Belegungen dem Zustand vor dem Beenden. Es wird gespeichert, wer ein Aggregat belegt hat und wer in welcher Reihenfolge Belegungen erzwungen hat. Kann ein Rezept nicht wieder anlaufen (z. B. wegen fehlgeschlagener Validierung), dann werden die Belegungen für dieses Rezept entfernt.

Reaktionen

Reaktionen, die vom Prozess angestoßen wurden, werden auch in das Image aufgenommen, wenn diese anstehen. Sie werden dann nach dem Wiederanlauf der REE ausgeführt. Dabei ist garantiert, dass die Reaktion immer als Ganzes ausgeführt wird, entweder vor dem Erstellen der Abbilddatei oder nach dem Wiederanlaufen.

Die Runtime Beenden Reaktion wird immer ausgeführt und kann nie ins Image aufgenommen werden.

Synchrones Schreiben

Die REE verwaltet die Bestätigungen für alle Variablen, deren Sollwertsetzen synchron ausgeführt werden soll. Der Timeout dafür wird durch die Zeit definiert, innerhalb der sich die Runtime beenden muss. Bei jeder Schreibbestätigung wird der Timeout neu gestartet. Dieser Neustart wird in der LOG-Datei protokolliert.

Variablen, die auf keinen Treiber zugreifen, werden immer ohne Bestätigung geschrieben, auch wenn eine Schreibbestätigung angefordert wird. Interne Treiber unterstützen keine Schreibbestätigung.

Parameter zuweisen

Da beim Starten der Runtime auch alle Treiber starten, können diese eventuell noch keinen gültigen Wert liefern, wenn dieser beim Wiederanlauf benötigt wird. Auf die Wertaktualisierung wird beim Wiederanlauf nicht gewartet. Damit ist nicht sichergestellt, dass der Wert wie erwartet geschrieben wird. Ist kein Wert verfügbar, wird der Ersatzwert verwendet.

Auf die Werte von internen Treibern wird gewartet, sofern diese innerhalb von 2 Zyklen verfügbar sind.

Prüfung auf Kommunikationsstörung

Beim Wiederanlaufen erfolgt auch eine Prüfung auf Kommunikationsstörungen, sofern diese projektiert wurde.


Rezepte verwalten

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezepte verwalten

In der Runtime findet die gesamte Rezeptverwaltung mithilfe eines oder mehrere Bilder vom Bildtyp Batch Control statt. Durch geeignete Filtereinstellungen können Sie bereits gefilterte Ansichten auf Vorlagenrezepte und/oder Steuerrezepte erreichen.

Im Bild stehen verschiedene Kontrollelemente (Buttons, Listen, Editoren) für unterschiedliche Aufgaben zur Verfügung. Das Bild kann auch so projektiert werden, dass es in drei Hauptbereiche eingeteilt wird, die teilweise auch völlig unabhängig voneinander genutzt werden können:

  • Bereich Vorlagenrezepte: Besteht aus einer Liste und Buttons zur Verwaltung Der Bereich kann völlig eigenständig benutzt werden.
  • Bereich Steuerrezepte: Besteht aus einer Liste und Buttons zur Verwaltung Der Bereich kann nur in Verbindung mit der Liste Vorlagenrezepte verwendet werden, da zuerst ein Vorlagenrezept ausgewählt werden muss, bevor die dazugehörenden Steuerrezepte in der Liste angezeigt werden können.
  • Rezepteditoren: Je nach eingestellter Rezeptart wird der PFC-Editor oder der Matrix Editor verwendet.

Noch in diesem Kapitel

Vorlagenrezepte verwalten

Steuerrezepte verwalten

Rezepte importieren

Speicherung auf der Festplatte und Sicherungsszenarien


Vorlagenrezepte verwalten

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezepte verwalten > Vorlagenrezepte verwalten

Liste und Listenformatierung

Liste/Aktion

Beschreibung

Liste Vorlagenrezepte

In dieser Liste können alle Vorlagenrezepte angezeigt werden. Die Anzeige kann durch Filter auf eine individuelle Auswahl eingeschränkt werden.

Die Filterung kann bereits im zenon Editor in der Bildumschaltungsfunktion voreingestellt werden. Eine Filterung in der Runtime ist ebenso möglich. Diese Filtereinstellungen zur Runtime werden nicht gespeichert. Dies bedeutet, bei einer erneuten Aufschaltung des Bildes sind die Filter wieder neu einzugeben. Eine dauerhafte Vorgabe der Filter ist nur mit Projektierung im zenon Editor möglich.

Alle Kommandos sind auch in den Kontextmenüs der Liste möglich. Die Kommandos zur Listenverwaltung sind in der Kopfzeile der Liste aufrufbar, die Kommandos zur Rezeptverwaltung beim Editieren eines oder mehrerer Rezepte.

Die Rezepte in der Liste können nicht direkt in der Liste editiert werden. Umbenennen, ändern der Beschreibung oder ändern des Rezeptstatus sind nur mittels der jeweiligen Kommandos möglich.

Hinweise zur optimalen Gestaltung der Liste:

Die Liste kann sowohl Inhaltlich als auch grafisch vielfältig gestaltet werden:

  • Inhaltlich: Die anzuzeigenden Spalten können ausgewählt werden, das Spaltenformat (Spaltenbreite, Ausrichtung, Spaltenbeschriftung) kann verändert und es kann eine Filterung eingestellt werden. Diese Einstellungen können in Editor und Runtime verändert werden.
  • Grafisch: Bei den Einstellungen der Liste im Editor finden Sie vielfältige Einstellmöglichkeiten in den Bereichen Darstellung, Bildlaufleisten und Füllung. Mit diesen Eigenschaften können Sie die Listen auch touchbedienbar gestalten. Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte über mehrere Zeilen dargestellt werden. Die Zeilenhöhe muss hierzu manuell angepasst werden.
  • Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
    Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Aktionen zur Listenverwaltung

Aktion | Beschreibung
Spaltenauswahl Vorlagenrezepte... | Öffnet einen Dialog, um festzulegen, welche Spalten dargestellt werden sollen. Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.
Spalten formatieren Vorlagenrezepte... | Öffnet einen Dialog, um die Spalteneinstellungen zu ändern. Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.

Aktionen zur Rezeptverwaltung

Aktion

Beschreibung

Vorlagenrezept neu...

Erzeugt ein neues, leeres Vorlagenrezept im Status Editierbar. Es erscheint der Dialog zur Eingabe eines eindeutigen Namens und einer freien Beschreibung. Die Eindeutigkeit des Namens wird auch im zenon Netzwerk geprüft.
Je nach Lizenzierung besteht auch die Möglichkeit zur Auswahl der Rezeptart: Matrix Rezept oder PFC-Rezept. Ist nur eine der beiden Rezeptarten lizenziert, wird die lizenzierte Rezeptart fix eingestellt. Die gewählte Rezeptart kann nachträglich nicht mehr verändert werden.

Beim Anlegen eines Vorlagenrezepts wird ein CEL Eintrag erzeugt.

Neue Version erzeugen

Vorlagenrezepte können versioniert werden. Dabei wird eine Kopie eines freigegebenen oder veralteten Rezepts erstellt. Diese Kopie befindet sich im Editiermodus und erhält eine eindeutige Versionsnummer. Das neue Rezept kann bearbeitet, aber nicht umbenannt werden. Einzelne Versionen, auch das Quellrezept selbst, können gelöscht werden.

Vorlagenrezept duplizieren

Nur aktiv, wenn exakt ein Rezept ausgewählt wurde.
Erstellt eine Kopie des ausgewählten Rezepts. Beim Erzeugen der Kopie wird die auf der Festplatte gespeicherte Version verwendet. Wird das Rezept gerade auf einem anderen Rechner editiert, und die Änderungen sind noch nicht gespeichert, werden diese Änderungen nicht übernommen. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.
Die Kopie des Rezepts erhält automatisch den Status Editierbar und kann daher weiter bearbeitet werden.

Beim Duplizieren eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept löschen

Löscht die ausgewählten Rezepte unwiderruflich. Ist das Rezept auf einem anderen Rechner im Editor geöffnet, wird es dort automatisch geschlossen.
Löschen ist nur möglich, wenn es keine Steuerrezepte gibt, die auf dem Vorlagenrezept basieren. Es müssen zuerst alle Steuerrezepte gelöscht werden.
Rezepte die gerade im Testmodus ausgeführt werden (Vorlagenrezept Status: Test in Ausführung), können nicht gelöscht werden. Sie müssen zuerst Abgeschlossen, Gestoppt oder Abgebrochen werden.

Dürfen Rezepte nicht gelöscht werden, z. B. im FDA reglementiertem Umfeld, empfiehlt es sich, diese Schaltfläche nicht zu projektieren oder mit einer entsprechenden Berechtigungsebene zu versehen.
Beim Löschen eines Rezepts wird ein CEL Eintrag erzeugt.

Auswahl als XML exportieren...

Exportiert das ausgewählte Vorlagenrezept in eine XML-Datei.

XML importieren

Importiert die ausgewählte XML-Datei als Vorlagenrezept.

Vorlagenrezept umbenennen

Nur aktiv, wenn genau ein Vorlagenrezept ausgewählt wurde.
Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.
Rezepte können nur im Status Editierbar umbenannt werden.
Verwenden Sie diese Funktion auch, um die Beschreibung des Vorlagenrezepts zu ändern.

Beim Umbenennen eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept öffnen

Öffnet die ausgewählten Vorlagenrezepte im Rezepteditor, sofern das Bildelement Rezepteditor im Bild vorhanden ist. Jedes ausgewählte Vorlagenrezept wird in einer eigenen Registerkarte des Rezepteditors geöffnet.

Vorlagenrezept freigeben

Ändert den Vorlagenrezept Status der ausgewählten Rezepte auf Freigegeben. Nur fehlerfreie Rezepte können freigegeben werden. Treten bei der Validierung Fehler auf, müssen diese zuerst behoben werden.
Nur Rezepte im Status Testmodus und Editierbar können freigegeben werden.

Freigegebene Rezepte können nicht mehr verändert werden. Nur von freigegeben Rezepten können Steuerrezepte erstellt werden.
Details zu den Status finden Sie im Kapitel Rezeptarten und Rezeptstatus

Beim Freigeben eines Rezepts wird ein CEL Eintrag erzeugt.

Vorlagenrezept testen

Ändert den Vorlagenrezept Status der ausgewählten Rezepte auf Testmodus. Nur fehlerfreie Rezepte können in den Testmodus umgeschaltet werden. Treten bei der Validierung Fehler auf, müssen diese zuerst behoben werden.

Rezepte im Testmodus können ausgeführt, aber nicht mehr umprojektiert werden. Details zu den Status finden Sie im Kapitel Rezeptarten und Rezeptstatus

Vorlagenrezept editieren

Ändert den Vorlagenrezept Status der ausgewählten Rezepte auf Editierbar. In diesem Status können Rezepte wieder komplett bearbeitet werden.
Nur Rezepte im Testmodus können wieder auf Editierbar geschaltet werden.

Vorlagenrezept als veraltet kennzeichnen

Ändert den Status des Rezepts auf veraltet. Das Rezept kann nicht mehr bearbeitet oder freigegeben werden. Es kann kein Steuerrezept auf Basis dieses Rezepts erstellt werden.

Steuerrezept neu...

Öffnet den Dialog zur Eingabe eines eindeutigen Namens und einer Beschreibung für das Steuerrezept. Die Eindeutigkeit des Namens wird auch im zenon Netzwerk geprüft. Der Name muss nur innerhalb des Vorlagenrezepts eindeutig sein. Steuerrezepte, die auf anderen Vorlagenrezepten basieren, dürfen über den selben Namen verfügen. Die Eindeutigkeit innerhalb des Moduls Batch Control wird erreicht, indem immer der Vorlagenrezeptname und der Steuerrezeptname referenziert werden.

Beim Anlegen eines Steuerrezepts wird ein CEL Eintrag erzeugt.

Aktionen zum Füllen der Steuerrezeptliste

Da jedes Steuerrezept nur ein einziges Mal ausgeführt werden kann, muss davon ausgegangen werden, dass es sehr viele Steuerrezepte gibt. Da beim Laden in der Liste der Steuerrezepte jedes Steuerrezept auf der Festplatte geöffnet werden muss, ist es sinnvoll, nicht alle Steuerrezepte anzuzeigen. Daher werden Steuerrezepte standardmäßig nicht automatisch geöffnet. Sie müssen manuell und mittels Filter aufgeschaltet werden:

  1. Stellen Sie die passenden Filteroptionen ein.
  2. Wählen Sie die gewünschten Vorlagenrezepte aus.
  3. Klicken Sie auf den Button Zugehörige Steuerrezepte in Liste anzeigen.
  4. Es werden alle zum Filter und zur Auswahl passenden Steuerrezepte in der Liste der Steuerrezepte angezeigt.
Aktion/Filter | Beschreibung
aktuell ausgeführte Steuerrezepte | Öffnet Steuerrezepte, die gerade ausgeführt werden. Steuerrezept Status: In Ausführung
vorbereitete Steuerrezepte | Öffnet Steuerrezepte, die zur Ausführung vorbereitet sind. Steuerrezept Status: Vorbereitet
abgeschlossene Steuerrezepte | Öffnet Steuerrezepte, die bereits ausgeführt wurden. Steuerrezept Status: Abgeschlossen
veraltete Steuerrezepte | Öffnet Steuerrezepte, die als veraltet gekennzeichnet wurden. Steuerrezept Status: Veraltet
Zugehörige Steuerrezepte in Liste anzeigen | Zeigt alle Steuerrezepte an, die auf dem ausgewählten Vorlagenrezept basieren und den eingestellten Filterkriterien entsprechen.


Steuerrezepte verwalten

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezepte verwalten > Steuerrezepte verwalten

Liste und Listenformatierung

Liste/Aktion

Beschreibung

Liste Steuerrezepte

In dieser Liste können alle Steuerrezepte angezeigt werden. Die Anzeige kann durch Filter auf eine individuelle Auswahl eingeschränkt werden.

Standardmäßig ist die Liste immer leer. Zum Befüllen der Liste müssen:

  • Vorlagenrezepte ausgewählt werden
  • die Filter
    aktuell ausgeführte Steuerrezepte,
    vorbereitetet Steuerrezepte und
    abgeschlossene Steuerrezepte
    gesetzt sein
  • der Button Zugehörige Steuerrezepte in Liste anzeigen gedrückt werden

Zusätzlich zu den oben erwähnten Filtern kann die Liste selbst noch gefiltert werden. Die Filterung kann bereits im zenon Editor in der Bildumschaltungsfunktion voreingestellt werden. Eine Filterung in der Runtime ist ebenso möglich. Diese Filtereinstellungen zur Runtime werden nicht gespeichert. Dies bedeutet, bei einer erneuten Aufschaltung des Bildes sind die Filter wieder neu einzugeben. Eine dauerhafte Vorgabe der Filter ist nur mit Projektierung im zenon Editor möglich.

Alle Kommandos sind auch in den Kontextmenüs der Liste möglich. Die Kommandos zur Listenverwaltung sind in der Kopfzeile der Liste aufrufbar, die Kommandos zur Rezeptverwaltung beim Editieren eines oder mehrerer Rezepte.
Die Rezepte in der Liste können nicht direkt in der Liste editiert werden. Umbenennen, ändern der Beschreibung oder das Starten des Rezepts ist nur mittels der jeweiligen Kommandos möglich.

Hinweise zur optimalen Gestaltung der Liste

Die Liste kann sowohl Inhaltlich als auch grafisch vielfältig gestaltet werden:

  • Inhaltlich: Die anzuzeigenden Spalten können ausgewählt werden, das Spaltenformat (Spaltenbreite, Ausrichtung, Spaltenbeschriftung) kann verändert und es kann eine Filterung eingestellt werden. Diese Einstellungen können in Editor und Runtime verändert werden.
  • Grafisch: Bei den Einstellungen der Liste im Editor finden Sie vielfältige Einstellmöglichkeiten in den Bereichen Darstellung, Bildlaufleisten und Füllung. Mit diesen Eigenschaften können Sie die Listen auch touchbedienbar gestalten. Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte über mehrere Zeilen dargestellt werden. Die Zeilenhöhe muss hierzu manuell angepasst werden.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Aktionen zur Listenverwaltung

Aktion | Beschreibung
Spaltenauswahl Steuerrezepte... | Öffnet einen Dialog, um festzulegen, welche Spalten dargestellt werden sollen. Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.
Spalten formatieren Steuerrezepte... | Öffnet einen Dialog, um die Spalteneinstellungen zu ändern. Achtung: Diese Änderungen werden bei einer erneuten Aufschaltung des Bildes wieder verworfen. Eine dauerhafte Festlegung ist nur im zenon Editor möglich.

Aktionen zur Rezeptverwaltung

Aktion

Beschreibung

Steuerrezept duplizieren

Nur aktiv, wenn exakt ein Rezept ausgewählt wurde.
Erstellt eine Kopie des ausgewählten Rezepts. Beim Erzeugen der Kopie wird die auf der Festplatte gespeicherte Version verwendet. Wird das Rezept gerade auf einem anderen Rechner editiert, und die Änderungen sind noch nicht gespeichert, werden diese Änderungen nicht übernommen. Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.

Die Kopie des Rezepts erhält automatisch den Status Vorbereitet und kann daher weiter bearbeitet oder gestartet werden. Der Ausführungsstatus des Duplikats wird auf Automatisch gesetzt.

Beim Duplizieren eines Rezepts wird ein CEL-Eintrag erzeugt.

Steuerrezept löschen

Löscht die ausgewählten Rezepte unwiderruflich. Ist das Rezept auf einem anderen Rechner im Editor geöffnet, wird es dort automatisch geschlossen.
Löschen ist nur möglich, wenn alle ausgewählten Rezepte nicht ausgeführt werden (Steuerrezept Status: In Ausführung). Sie müssen zuerst Abgeschlossen, Gestoppt oder Abgebrochen werden.

Dürfen Rezepte nicht gelöscht werden, z. B. im FDA reglementiertem Umfeld, empfiehlt es sich, diese Schaltfläche nicht zu projektieren oder mit einer entsprechenden Berechtigungsebene zu versehen.
Beim Löschen eines Rezepts wird ein CEL Eintrag erzeugt.

Steuerrezept umbenennen

Nur aktiv, wenn genau ein Steuerrezept ausgewählt wurde.
Der Dialog zur Eingabe eines eindeutigen Namens und der Beschreibung wird geöffnet.
Rezepte können nur im Status Vorbereitet umbenannt werden.
Verwenden Sie diese Funktion auch, um die Beschreibung des Steuerrezepts zu ändern.

Steuerrezept öffnen

Öffnet die ausgewählten Steuerrezepte im Rezepteditor, sofern das Bildelement Rezepteditor im Bild vorhanden ist. Jedes ausgewählte Steuerrezept wird in einer eigenen Registerkarte des Rezepteditors geöffnet.

Steuerrezept starten

Startet die ausgewählten Steuerrezepte im eingestellten Ausführungsmodus. Die Rezepte werden automatisch am Server ausgeführt. Es ist nicht erforderlich, dass das Rezept im Rezepteditor geöffnet ist.


Rezepte importieren

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezepte verwalten > Rezepte importieren

Beim Importieren eines Rezeptes aus einer XML-Datei wird bei Namenskonflikten der folgende Dialog angezeigt:

Wählen Sie im Dialog, wie Sie vorgehen möchten:

Parameter | Beschreibung
Vorlagenrezeptname/Steuerrezept/Teilrezept | Name des Rezepts, das bereits in Verwendung ist.
ein neues Rezept erstellen | Erstellt ein neues Rezept mit dem Namen und inkrementiert die Zahl am Ende des Namens.
das vorhandene Rezept überschreiben | Überschreibt das bereits bestehende Rezept mit dem Namen.
eine neue Rezeptversion erstellen | Erstellt eine neue Version des Rezepts mit dem Namen. Hinweis: Nur aktiv, wenn Versionierung aktiv im Editor ausgewählt wurde
Diese Aktion für alle weiteren Konflikte durchführen | Die ausgewählte Option wird für alle ausstehenden Konflikte angewendet. In Klammern wird die Zahl der Konflikte angezeigt.
Anzahl der zu importierenden Rezepte aus der XML-Datei | Anzahl der Rezepte, die in der ausgewählten XML-Datei enthalten sind. Anzahl der Rezepte, die es in der ausgewählten XML-Datei zu importieren sind.
Überspringen | Überspringt das Importieren des aktuell angezeigten Rezepts.
OK | Übernimmt die Auswahl und zeigt die Optionen für den nächsten Namenskonflikt an oder schließt den Dialog.
Abbrechen | Bricht die Aktion ab und schließt den Dialog.

Im Fall eines Namenskonflikts stehen, abhängig vom Status des bereits existierenden Rezepts, unter Umständen nicht alle Importoptionen zur Verfügung:

Rezeptart

Status des existierenden Rezepts

Mögliche Optionen

Vorlagenrezept

Editiermodus
  • ein neues Rezept erstellen
  • das vorhandene Rezept überschreiben
  • eine neue Rezeptversion erstellen

Freigegeben
  • ein neues Rezept erstellen
  • eine neue Rezeptversion erstellen

Veraltet
  • ein neues Rezept erstellen
  • eine neue Rezeptversion erstellen

Steuerrezept

Vorbereitet
  • ein neues Rezept erstellen
  • das vorhandene Rezept überschreiben

In Ausführung
  • ein neues Rezept erstellen

Abgeschlossen
  • ein neues Rezept erstellen

Teilrezept

Editiermodus
  • ein neues Rezept erstellen
  • das vorhandene Rezept überschreiben

Freigegeben
  • ein neues Rezept erstellen

Hinweis: Steuerrezepte können nicht zu bestehenden Vorlagenrezepten importiert werden, wenn sich die Versionsnummer des Vorlagenrezepts unterscheidet. Das zugehörige Vorlagenrezept aus dem zu importierenden Steuerrezept muss die gleiche Versionsnummer haben, wie die des bestehenden Vorlagenrezepts.


Speicherung auf der Festplatte und Sicherungsszenarien

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Rezepte verwalten > Speicherung auf der Festplatte und Sicherungsszenarien

Vorlagenrezepte

Jedes Vorlagenrezept verfügt über eine eindeutige ID, unter der es auf der Festplatte mit der Dateiendung .MR gespeichert wird, z B.: 9.MR.
Jedes Rezept entspricht somit einer Datei. Die ID des Rezepts kann in der Liste der Vorlagenrezepte abgelesen werden. Dazu muss die Spalte Vorlagenrezept ID eingeblendet werden.
Der Ordner für die Vorlagenrezepte ist ein Unterordner des Runtime-Ordner: \RT\FILES\zenon\system\BatchRecipes

Für die Rezeptverwaltung ist im selben Ordner die Datei Recipe.unique zuständig. Sie sorgt dafür, dass die Rezeptnamen eindeutig sind.

Hinweis: Wird ein Rezept manuell über den Dateiexplorer und damit außerhalb der Runtime des Moduls Batch Control gelöscht, dann muss die Datei Recipe.unique gelöscht werden, damit deren Inhalte wieder korrekt sind. Wird zum Beispiel ein Steuerrezept manuell gelöscht, kann das dazugehörige Vorlagenrezept im Modul Batch Control nicht mehr gelöscht werden, da das Steuerrezept dort noch als vorhanden angezeigt wird. Erst nach der Neuinitialisierung der Datei Recipe.unique kann auch das Vorlagenrezept gelöscht werden.

Sicherung von Vorlagenrezepten

Die .MR Dateien - und damit alle Vorlagenrezepte - können jederzeit gesichert werden. Sie können dazu z B. die Funktion Dateioperationen verwenden.

Rücksichern von Vorlagenrezepten

Das Rücksichern sollte nur in zwingend notwendigen Fällen erfolgen, da dabei zwangsläufig aktuellere Daten vernichtet werden. So gehen Sie vor:

  1. Beenden Sie die Runtime.
  2. Sichern Sie alle vorhanden Vorlagenrezepte.
  3. Benennen Sie die Datei Recipe.unique um, oder löschen Sie diese. Sie wird nach dem Starten der Runtime automatisch aus den .MR Dateien erneut generiert.
  4. Spielen Sie die .MR Dateien aus einer früheren Sicherung zurück.
  5. Starten Sie die Runtime neu.

Steuerrezepte

Jedes Steuerrezept verfügt über eine eindeutige ID unter der es auf der Festplatte mit der Dateiendung .CR gespeichert wird, z B.: 9.CR.
Jedes Rezept entspricht somit einer Datei. Die ID des Rezepts kann in der Liste der Steuerrezepte abgelesen werden. Dazu muss die Spalte Steuerrezept ID eingeblendet werden. Steuerrezepte basieren immer auf einem Vorlagenrezept, und sind daher immer diesem zugeordnet. Die ID-Nummernkreise sind daher nur eindeutig in Bezug auf das zugrunde liegende Vorlagenrezept.
Beispiel: Das Vorlagenrezept mit der ID 9 hat die Steuerrezepte mit der ID 1 und 2. Das Vorlagenrezept mit der ID 10 hat ebenfalls die Steuerrezepte mit der ID 1 und 2.

Daher hat jedes Vorlagenrezept einen Unterordner, in dem die Steuerrezepte abgelegt sind. Der Name des Ordners lautet immer: <Vorlagenrezept ID>.crd. In unserem Beispiel gibt es daher den Ordner 9.crd mit den Dateien 1.CR und 2.CR sowie den Ordner 10.crd mit den Dateien 1.CR und 2.CR.

Die Ordner für die Steuerrezepte sind Unterordner des Runtime-Ordner: \RT\FILES\zenon\system\BatchRecipes\. In diesem Ordner sind die einzelnen Steuerrezept-Ordner angelegt. In jedem Steuerrezept-Ordner befindet sich die Datei Recipe.unique. Sie sorgt dafür, dass die Rezeptnamen eindeutig sind.

Sichern und rücksichern von Steuerrezepten

Gehen Sie wie bei den Vorlagenrezepten vor, nur dass Sie nun alle .CR Dateien und die dazugehörende Ordnerstruktur sichern müssen. Beim Rücksichern müssen Sie alle Recipe.unique Dateien löschen. Auch diese werden automatisch wiederhergestellt.


Synchronisierung

Handbuch > Batch Control > Konfigurieren und steuern in der Runtime > Synchronisierung

Überprüfung auf Änderungen im Editor

Beim Laden, Öffnen, Duplizieren oder Freigeben eines Rezepts wird überprüft, ob die Projektierung von Aggregaten, Grundfunktionen usw. im Editor verändert wurde. Wird eine Änderung festgestellt, dann wird diese in das Objekt, dem die geänderte Funktion zugeordnet ist, übernommen. Einstellungen, die in der Runtime überschrieben wurden, bleiben erhalten. Wenn das Rezept verändert wurde, wird dies durch einen Asterisk (*) beim Rezeptnamen angezeigt.

Beim Nachladen wird das Rezept ebenfalls geprüft.

Hinweis: Aktualisiert werden nur Rezepte, die sich im Editiermodus oder im Testmodus befinden. Rezepte im Testmodus, die sich gerade in Ausführung befinden, werden erst nach dem Beenden der Ausführung aktualisiert.

attention Achtung

Änderungen an Grundfunktionen im Editor werden beim Freigeben eines Rezepts zur Runtime ohne Warnmeldung übernommen. Für alle Daten, die in der Runtime nicht überschrieben werden, ist der Editor das führende System.

Synchronisierung von Grundfunktionen

Das Bearbeiten vor Grundfunktionen und ihrer Parameter ist auf vier aufeinander folgenden Ebenen möglich:

  • im zenon Editor
  • in der Teilrezeptvorlage
  • im Vorlagenrezept
  • im Steuerrezept.

Beim Instanziieren werden immer die Daten aus der Ebene darüber verwendet. Auch die Synchronisierung und der Vergleich in den Bearbeitungsdialogen beziehen sich immer auf die vorherige Ebene.

Herkunft der Daten für Vergleich oder Synchronisierung:

Position der Grundfunktion | Grundfunktion, die Vergleichsdaten liefert
im zenon Editor | Keine Vergleichsdaten.
im Vorlagenrezept | Im zenon Editor projektierte Grundfunktion.
im Steuerrezept | Die Grundfunktion aus dem Vorlagenrezept.
in der Teilrezeptvorlage | Im zenon Editor projektierte Grundfunktion.
in der Teilrezeptinstanz im Vorlagenrezept | Die Grundfunktion aus der Vorlage des Teilrezepts.
in der Teilrezeptinstanz im Steuerrezept | Die Grundfunktion aus der Teilrezeptinstanz im Vorlagenrezept.

Informationen zur Herkunft der Vergleichsdaten finden Sie in den Tooltips der Steuerelemente für die Synchronisierung.

Rezepte und Teilrezepte

Synchronisiert wird, wenn:

  • ein Rezept geöffnet wird
  • ein Rezept nachgeladen wird
  • eine Teilrezeptvorlage gespeichert wird und dabei ein Rezept geöffnet ist, das eine Instanz dieser Vorlage hat

Werte in Grundfunktionen und Parametern entsprechen standardmäßig den Werten in den Vorlagen und können lokal überschrieben werden.

Änderungen an Fahrweisen und Fahrweisenaktivierung

Für Fahrweisen gilt beim Synchronisieren:

  • Beim Synchronisieren von Rezepten werden Grundfunktionen mit aktiven Fahrweisen mit den geänderten Informationen (Namensänderung, neue Tags hinzugefügt, etc.) ausgestattet.
  • Werden im Editor Fahrweisen für eine Grundfunktion aktiviert, dann wird die Grundfunktion zur Runtime in den Zustand versetzt, bei dem keine Fahrweise aktiv ist. Sie beinhaltet nur Rückgabe-Parameter.
  • Werden im Editor Fahrweisen für eine Grundfunktion deaktiviert, beinhaltet die Grundfunktion nach dem Synchronisieren die gesamte aktuelle Konfiguration der Grundfunktion. Es werden bei dieser Umstellung alle Änderungen, die an der Grundfunktion im Rezept gemacht wurden, verworfen.


Funktionsberechtigungen

Handbuch > Batch Control > Funktionsberechtigungen

Für Änderungen im Editor und zur Runtime können entsprechende Funktionsberechtigungen für Benutzer vergeben werden. Wird eine Bedienhandlungen ausgeführt, für die keine entsprechenden Rechte bestehen, wird eine Warnung angezeigt. Ausnahme: Beim Editieren wird keine Warnung angezeigt.

Fehlt einem Benutzer die Funktionsberechtigung, so sind

  • zur Runtime: die entsprechenden Funktionen nicht ausführbar
  • im Editor: Symbolleisten und Kontextmenüs des entsprechenden Moduls ausgegraut

Benutzer können sich für das Ausführen von Bedienhandlungen, die spezielle Berechtigungen benötigen, auch temporär anmelden. Details dazu, siehe Abschnitt Permanentes und temporäres Login im Handbuch Benutzerverwaltung.

Details zu den einzelnen Berechtigungen finden Sie im Handbuch Benutzerverwaltung, vor allem im Abschnitt Funktionsberechtigungen.

Hinweise:

  • Diese Funktionsberechtigungen stehen nur zur Verfügung, wenn Batch Control am Rechner lizenziert ist.
  • Teilrezeptinstanzen verwenden immer die Benutzerrechte des Rezepts, in das sie eingebettet sind.


Verhalten im Netzwerk

Handbuch > Batch Control > Verhalten im Netzwerk

Das Modul Batch Control ist voll netzwerkfähig im Sinne der Client/Server-Technologie. Das heißt, es können Batch-Rezepte auf einem Client erstellt, dupliziert, bearbeitet, gelöscht usw. werden. Dabei erfolgt die gesamte Rezeptverwaltung immer am Server. Ebenso kann von einem Client aus die gesamte Ablaufbedienung wie Rezept starten, pausieren, stoppen usw. erfolgen. Auch Moduswechsel und manuelle Operationen wie springen sind möglich.

attention Achtung

Das Modul Batch Control ist nicht redundanzfähig. Es erfolgt kein Abgleich am Standby Server. Bei einem Ausfall des Servers werden die ausgeführten Batch-Rezepte am Standby nicht fortgesetzt! Es können auch keine Rezepte gestartet werden, während der projektierte Server 2 der prozessführende Server ist.

Beim Einsatz von Batch Control in einem Netzwerk gilt:

Belegung

Das Erzwingen von Belegungen kann von Server und Client aus erfolgen.

Funktionen

Funktionen werden immer am Server ausgeführt.

Grundfunktionen

  • Bearbeitung von Grundfunktionen in Vorlagenrezepten:
    • Editiermodus: Änderungen werden lokal am Client durchgeführt.
      Wird während der Bearbeitung das Rezept auf einem anderen Rechner im Netzwerk gespeichert, geht die aktuelle Konfiguration verloren. Es wird eine entsprechende Nachricht angezeigt und der Dialog zur Bearbeitung wird geschlossen, die neuen Daten vom Server werden angezeigt.
    • Testmodus: Änderungen werden am Server durchgeführt.
  • Steuerrezept: Änderungen werden am Server durchgeführt.
  • Wird ein Rezept im Netzwerk gespeichert, werden alle Clients, die dieses Rezept verwenden, aktualisiert.
  • Wird ein Rezept auf einem Client geöffnet, wird immer die am Server aktuelle Version angezeigt, auch wenn es dort noch nicht gespeichert wurde.
  • Wird auf einem Rechner ein Rezept gelöscht, wird auf allen Rechnern, die dieses Rezept zur Ansicht geöffnet haben, eine Meldung ausgegeben, dass das Rezept gelöscht wurde.

Modus

  • Modus (automatisch, halbautomatisch, manuell) kann von Server und Client aus umgeschaltet werden.
  • Springen im Rezept und schrittweises ablaufen lassen von Rezepten kann von Server und Client aus erfolgen.

Nachladen

Nicht gesicherte Änderungen an Rezepten am Client können beim Nachladen überschrieben werden.

Rezepte

  • Rezepte können vom zenon Server und von zenon Clients gestartet und gesteuert werden.
  • Werden Parameter in einem Rezept geändert während das Rezept auf einem anderen zenon Client gespeichert wird, dann wird die Änderung der Parameter abgelehnt und nicht durchgeführt.
  • Ein Vorlagenrezept kann am zenon Client geändert werden, während es am zenon Server in den Testmodus geschaltet und zum zenon Client geschickt wird. Übernommen werden dann jene Änderungen, die zuletzt gespeichert wurde. Das heißt: Speichert der zenon Client zuletzt, wird das Rezept wieder in den Bearbeitungsmodus geschaltet. Speichert der zenon Server zuletzt, wird die Änderung des zenon Clients verworfen und das Rezept befindet sich im Testmodus.
  • Tritt während des Löschens eines Rezepts oder einer Teilrezeptvorlage eine Kommunikationsstörung auf, wird das Löschen mit einer Fehlermeldung abgelehnt.

Web Client

Mit einem Standard-Web Client:

  • können die Einstellungen für Gitternetz und Farbe geändert werden
  • können keine Rezepte erstellt oder bearbeitet werden
  • kann die Größe der Arbeitsfläche nicht geändert werden
  • werden in der Symbolleiste alle Symbole, die nicht zugelassen sind, deaktiviert; die Auswahl der entsprechenden Objekte ist also nicht möglich

Der Web Client PRO ist von diesen Einschränkungen nicht betroffen.

Noch in diesem Kapitel

Redundanz


Redundanz

Handbuch > Batch Control > Verhalten im Netzwerk > Redundanz

zenon Batch Control unterstützt keine Redundanz. In redundant aufgebauten Netzwerken bedeutet das:

  • Wenn der Server ausfällt, dann ist das Rezept in einem undefinierten Zustand.
    Es läuft am Standby Server nicht weiter.
  • Am Standby Server gilt, nachdem dieser sich zum Server hochgestuft hat:
    • Vorlagenrezepte können in den Editiermodus zurückgeschaltet und gelöscht werden.
      Diese Änderungen werden später am Server, wenn dieser wieder in Funktion ist, übernommen.
    • Steuerrezepte können nicht bearbeitet oder ausgeführt werden.
  • Starten, Pausieren oder weitere Kommandos sind am Standby Server nicht möglich.
  • Wird das Rezept am Standby Server nicht bearbeitet, dann läuft es normal weiter, sobald der Server wieder online ist.


Reporting

Handbuch > Batch Control > Reporting

Mit dem in zenon integrierten Report Viewer können Reports zur Konfiguration der Rezepte erstellt werden.

Bei der Bildumschaltung auf ein Bild vom Typ Report Viewer:

  • kann auf Rezepte gefiltert werden
  • können Datasets für Reports zu Batch Control erstellt werden:
    • Vorlagenrezept
    • Steuerrezept
    • Rezeptbilder
    • Matrix Struktur
    • PFC Struktur
    • Grundfunktionen
    • Parameter
    • Transitionen
    • Aggregatsbelegungen
    • Teilrezeptinstanzen

Noch in diesem Kapitel

Batch Control Rezeptfilter


Batch Control Rezeptfilter

Handbuch > Batch Control > Reporting > Batch Control Rezeptfilter

Bei der Bildumschaltung auf ein Bild vom Typ Report Viewer kann ein Filter auf Rezepte aus dem Modul Batch Control gesetzt werden. Um nach Rezepten zu filtern:

  1. Öffnen Sie bei der Bildumschaltung die Registerkarte Reportdefinition.
  2. Navigieren Sie zum Abschnitt Filter.
  3. Klicken Sie im Abschnitt Modulspezifische Filter auf Batch Control: Rezeptfilter.
  4. Der Dialog zur Konfiguration des Filters wird geöffnet.

Rezeptfilter anwenden auf

Parameter

Beschreibung

Rezeptfilter anwenden auf

Auswahl der Rezeptart, auf die der Filter angewendet wird:

  • Vorlagenrezept
  • Steuerrezept

Vorlagenrezept

Aktiv: Es wird auf Vorlagenrezepte gefiltert.

Steuerrezept

Aktiv: Es wird auf Steuerrezepte gefiltert.

Hinweis: Die dazu gehörenden Vorlagenrezepte müssen mit ausgewählt werden. Wird für das Steuerrezept kein Vorlagenrezept ausgewählt, kann der Filter zur Runtime die gesuchten Rezepte nicht finden.

Tipp: Ist das Vorlagenrezept nicht bekannt, empfiehlt sich die Filterung mit Platzhalter auf alle Vorlagenrezepte.

Rezeptfilter Einstellungen

Parameter

Beschreibung

Rezeptfilter Einstellungen

Optionen für den Rezeptfilter.

Auswahl aus Rezeptliste von aufrufendem Batch Control Bild übernehmen
  • Aktiv: Zur Runtime wird das erste ausgewählte Rezept des Batch-Bildes, aus dem das Reportviewer-Bild aufgerufen wird, verwendet. Individuelle Einstellungen in diesem Dialog stehen dann nicht zur Verfügung.
  • Inaktiv: Die Filtereinstellungen erfolgen individuell über diesen Dialog.

Vorlagenrezept

Parameter für die Auswahl des Vorlagenrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Version

Auswahl der Version aus Dropdownliste:

  • Alle:
    Die Versionsangabe wird ignoriert und jede gefundene Version wird verwendet.
  • Feststehende Version:
    Es wird auf die Version gefiltert, die hier ins Feld eingetragen wird.
    Höchste mögliche Version: 4294967295
  • Version aus Variable:
    Die Version des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • Nur älteste Version:
    Nur das Rezept mit der ältesten Versionsnummer wird verwendet.
  • Nur neueste Version:
    Nur das Rezept mit der neuesten Versionsnummer wird verwendet.
  • Default: Alle

Status Vorlagenrezept

Status des Rezepts. Auswahl aus Dropdownliste, abhängig von Filterung:

Filterung auf Vorlagenrezepte:

  • Alle
  • Editiermodus
  • Freigegeben
  • Testmodus
  • Test in Ausführung
  • Mit Fehler beendet
  • Veraltet

Filterung auf Steuerrezepte:

  • Freigegeben oder veraltet
  • Freigegeben
  • Veraltet

Ergebnis filtern nach

Definieren Sie durch Auswahl aus der Dropdownliste, welche ID bei der Filterung nach Namen gewählt werden soll:

  • Nur älteste ID
  • Nur neueste ID

Da ein Report immer nur auf ein Rezept angewendet werden kann, ist die Filterung auf "Alle Rezepte" nicht möglich.

Steuerrezept

Parameter für die Auswahl des Steuerrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Steuerrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
    Es kann genau ein Rezept gefunden werden, wenn der Variablenwert zum Zeitpunkt der Ausführung eine gültige ID eines Steuerrezepts ist.
  • Auftragsnummer aus Variable:
    Findet Steuerrezepte, die über die angegebene Auftragsnummer verfügen. Es kann jeder Variablentyp verknüpft werden. Der Wert wird automatisch in STRING konvertiert.
    Hinweis: Enthält die Variable keinen Wert, wird auch kein Rezept an den Report Viewer übergeben.

Status Steuerrezept

Auswahl des Rezeptstatus aus Dropdownliste:

  • Alle
  • Vorbereitet
  • In Ausführung
  • Abgeschlossen
  • Terminiert mit Fehler
  • Veraltet

Ergebnis filtern nach

Definieren Sie durch Auswahl aus der Dropdownliste, welche ID bei der Filterung nach Namen oder Auftragsnummer gewählt werden soll:

  • Nur älteste ID
  • Nur jüngste ID

OK

Übernimmt alle Änderungen, erstellt Filter und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Hinweis Variablenauswahl über Name oder ID: Für die Auswahl von Variablen nach Name oder ID können jeweils numerische Variablen und String-Variablen ausgewählt werden. Die Datentypen werden in die jeweils korrekte Form konvertiert.


Formeleditor

Handbuch > Batch Control > Formeleditor

Der Formeleditor wird immer automatisch aufgeschaltet, wenn die Eingabe oder Bearbeitung einer Formel verlangt wird. Vor allem bei:

Editor:

  • Eigenschaften der Grundfunktionen
  • Verriegelungsbedingungen
  • Weiterschaltbedingung
  • Bedingungen für transiente Status
  • Bedingungen für die Erkennung von Kommunikationsstörungen und SPS-Fehler

Runtime:

  • Weiterschaltbedingung und Verriegelungen bei der Bearbeitung einer Grundfunktion
  • Bearbeitung von Transitionen

info Info

Wird die in der Formel referenzierte Grundfunktion entfernt und eine neue Grundfunktion eingefügt, werden bei Transitionen die Operanden neu zugewiesen. Um die Operanden neu zuweisen zu können, muss die gleiche Grundfunktion erneut eingefügt werden. Parameter von einer anderen Grundfunktion werden nicht automatisch verknüpft.

Formel eingeben

Als Eingabe werden akzeptiert:

  • Konstante in Dezimalzahlen
  • Hexadezimalzahlen, wenn diese durch ein x eingeleitet werden
  • Punkt als Dezimaltrennzeichen, dabei gilt:
    • Komma wird automatisch durch Punkt ersetzt: aus 23,000 wird 23.000
    • Nachkommastellen, die nur aus Nullen bestehen werden abgetrennt: aus 23.000 wird 23

Parameter

Beschreibung

Parameterliste

Liste der Parameter, die für die Formel verwendet werden können.

Jeder Eintrag besteht aus:

  • einem Basisknoten für die Bezeichnung
  • einem Wert
  • einem Status
  • den Bits von Wert und Status

Ein Symbol am ersten Knoten zeigt an, ob es sich um einen Befehls- oder Rückgabeparameter handelt.

Die Kurzbezeichnung am Beginn des Namens wird in der Formel verwendet.

Hinzufügen

Öffnet Dialog zum Hinzufügen eines Parameters. Dabei gilt:

  • Hinzugefügt werden können: numerische und binäre Parameter sowie Parameter für Zeitdauer. Werte für Zeitdauer werden in Sekunden umgerechnet.
  • Für Bedingungen der Grundfunktion können nur die für sie angelegten Parameter verwendet werden.
  • Parameter können auch mehrfach hinzugefügt werden.

Ersetzen

Ermöglicht das Ersetzen eines Parameters. Klick auf Schaltfläche öffnet Dialog zum Hinzufügen eines Parameters.

  • Auswahl eines neuen Parameters ersetzt den markierten Parameter.
  • Klick auf Schaltfläche Keine Auswahl löscht markierten Parameter aus Liste.

Die Kurzbezeichnung bleibt beim Ersetzen bestehen.

Entfernen

Löscht den markierten Parameter. Damit ein Parameter gelöscht werden kann:

  • muss die Formel korrekt sein
  • darf der ausgewählte Parameter in der Formel nicht verwendet werden

Logische Operatoren

Über die Schaltflächen für Operatoren werden Operatoren in die Formel eingefügt.

AND

logisch 'UND'

OR

logisch 'ODER'

XOR

logisch 'EXKLUSIV ODER'

NOT

Negation

Syntax

Die Operatortasten fügen den auf ihnen dargestellten String in die Formel ein.

(

Klammer öffnen

)

Klammer schließen

Bitweise und Vergleichsoperatoren

&

Und

|

Oder

>

größer als

>=

größer gleich

<

kleiner als

<=

kleiner gleich

=

gleich

<>

kleiner oder größer

Bedingung

Konfiguration und Darstellung der Formel.

Kopieren

Kopiert die gesamte Formel:

  • alle konfigurierten Parameter aus dem Parameterbaum
  • Formel aus dem Feld

Einfügen

Fügt eine Formel aus der Zwischenablage ein. Dabei werden alle bisher konfigurierten Elemente gelöscht und durch die kopierte Formel ersetzt.

Beim Kopieren von Formeln zwischen Grundfunktionen wird versucht, die Operanden über ihre Namen wieder aufzulösen. Für Parameter die nicht gefunden werden, werden ungültige Einträge in der Operandenliste erstellt. Ihre Verwendungsstellen in der Formel bleiben bestehen.

OK

Übernimmt Formel und schließt den Dialog.

Dazu muss die Formel korrekt sein.

Abbrechen

Verwirft alle Änderungen und schließt Dialog.

info Info

Es können bis zu 99 Parameter in einer Formel verknüpft werden. X01 bis X99. Die Länge der Formel darf dabei 4096 Zeichen nicht überschreiten.

Die Bedeutung der Bits:

Parameter | Beschreibung
Wert-Bits | Es stehen 32 Wert-Bits (von 0 -31) zur Verfügung. Sie beschreiben den Parameterwert bitweise. Für binäre Parameter hat nur das Bit 0 Bedeutung, für SINT und USINT die Bits 0-7 usw...
Status-Bits | Stellt die gängigsten Status-Bits zur Verfügung. Die genaue Definition und Verwendung der Status-Bits finden Sie in der Liste Status-Bits.
Wert und Status | Alle Werte (Wert-Bits und Status-Bits) in den Formeln werden als Binärwerte betrachtet und können dann logisch mit UND oder ODER sowie anderen logischen Ausdrücken verbunden werden. Eine Ausnahme bilden der Gesamtwert und der Gesamtstatus. Damit man bei diesen auf einen Booleschen Ausdruck kommt, muss man den Gesamtwert zuerst mit einer Konstante bitweise verodern. Dazu wird der Operator & verwendet. Bei Ergebnis 0 (FALSE) der bitweisen Veroderung ergibt sich der Binärwert 0 (FALSE), ansonsten 1 (TRUE). Beispiel: Siehe Kapitel Beispiel bitweise Veroderung.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.

info Info

Formeln mit binären X-Werten und bitweiser Verknüpfung können mit maximal 2 binären Werten benutzt werden. Werden mehr Werte benötigt, muss die Verknüpfung ohne binäre X-Werte erfolgen.

Beispiel:

X01.Value & X02.Value -> funktioniert

X01.Value & X02.Value & X03.Value -> funktioniert nicht

Aber:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funktioniert

Noch in diesem Kapitel

Parameter hinzufügen

Liste Status-Bits

Logische Operatoren

Bitformeln

Vergleichsoperatoren

Beispiele für Formeln


Parameter hinzufügen

Handbuch > Batch Control > Formeleditor > Parameter hinzufügen

Klick auf die Schaltfläche Hinzufügen im Formeleditor öffnet den Dialog zur Auswahl von Parametern, die für eine Formel verwendet werden sollen.

Parameter | Beschreibung
Projektliste | Anzeige des aktiven Projekts. Es können immer nur Parameter gewählt werden, die im aktiven Projekt für die zu konfigurierende Grundfunktion angelegt wurden.
Parameterliste | Liste der für die gewählte Grundfunktion verfügbaren Parameter. Übernahme durch Auswahl und Klick auf die Schaltfläche OK oder durch Doppelklick auf einen Parameter.
Keine Auswahl | Löscht bereits gesetzte Parameter. Nur beim Ersetzen von Parametern wirksam. Wird ein Parameter im Formeleditor markiert und mit Klick auf die Schaltfläche Ersetzen dieser Dialog geöffnet, dann löscht Klick auf die Schaltfläche Keine Auswahl den Parameter aus der Liste im Formeleditor. Die Kurzbezeichnung bleibt beim Ersetzen bestehen.
OK | Fügt ausgewählten Parameter in Parameterliste der Formel ein und schließt Dialog.
Abbrechen | Verwirft Auswahl und schließt Dialog.
Hilfe | Öffnet Online-Hilfe.


Liste Status-Bits

Handbuch > Batch Control > Formeleditor > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Logische Operatoren

Handbuch > Batch Control > Formeleditor > Logische Operatoren

Logische Verknüpfungen: Variablen werden nur auf den logischen Wert '0' überprüft, ist der Wert ungleich '0', wird er mit '1' definiert.

Im Unterschied zur Bitformel kann der technische Bereich durch einen Streckungsfaktor verändert werden -> ungleich '0' oder '1'.

Operator | Bedeutung
AND | logisch 'UND'
NOT | Negation
OR | logisch 'ODER'
XOR | logisch 'EXKLUSIV ODER'

Die Operatoren haben in der Formelberechnung folgende Priorität:

Priorität | Operator
1 | & (Operator für Bitformeln)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.


Bitformeln

Handbuch > Batch Control > Formeleditor > Bitformeln

Bitformeln besitzen nur einen logischen Low- oder Highzustand. Im Unterschied zu logischen Formeln ist der Rohwert bereits fix vordefiniert (0,1).

Operator | Beschreibung
& | AND
| | OR

Noch in diesem Kapitel

Beispiel bitweise Veroderung


Beispiel bitweise Veroderung

Handbuch > Batch Control > Formeleditor > Bitformeln > Beispiel bitweise Veroderung

Sie wollen abfragen, ob eines der Anwenderstatus Bits 1-8 (M1 ... M8) von der Variable X01 gesetzt ist.

Normale Formel:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Diese Abfrage kann durch die bitweise Veroderung des Gesamtstatus wesentlich erleichtert werden.

Bitweise Veroderung

X01.Status & 0xFF

Die Konstante kann, wie oben beschrieben, Hexadezimal eingegeben werden:

0xFF entspricht dezimal 255, das sind die ersten acht Statusbits (Binär 11111111). Steht eines dieser Bits auf 1, dann ist das Ergebnis dieser bitweisen Veroderung 1 (True), ansonsten 0 (False).

Sollen z. B. alle Anwender Status-Bits außer dem Anwender Status-Bit M7 abgefragt werden, wäre der Binäre Ausdruck dafür: 10111111. Bit 7 ist nicht interessant, steht daher auf 0. Das entspricht Hexadezimal 0xBF. Der Ausdruck für die Formel ist dann: X01.Status & 0xBF.

Statt mit einer Konstante bitweise zu verodern, kann man den Wert auch direkt mit einer dezimalen Zahl vergleichen. Ist ein Vergleich falsch, ergibt sich der Binärwert 0 (False), ansonsten 1 (True).

Beispiel:

Sie wollen abfragen, ob ein Wert der Konstanten 202 entspricht. Die Formel lautet:

X01.Wert = 202

Entspricht der Wert der Konstanten 202, so ist das Ergebnis dieses Vergleiches 1 (True), ansonsten 0 (False).

Hinweis: Die bitweise Veroderung funktioniert mit dem Oder-Zeichen (|), gleich wie in diesem Beispiel.


Vergleichsoperatoren

Handbuch > Batch Control > Formeleditor > Vergleichsoperatoren

Vergleichsoperatoren dienen zum direkten Vergleich von zwei numerischen Werten. Das Ergebnis dieses Vergleichs wird in Form eines Binärzustandes dargestellt. „0“ wenn die Bedingung nicht erfüllt ist und „1“ wenn die Bedingung erfüllt ist.

Operator | Beschreibung
< | kleiner
> | größer
<= | kleiner gleich
>= | größer gleich
= | ist gleich
<> | ungleich

Links und rechts vom Vergleichs Operator muss ein (Gesamt-)Wert oder (Gesamt-)Status stehen, Einzelbits können mit diesen Vergleichsoperatoren nicht verwendet werden.

Rechts vom Vergleichs Operator kann auch eine Konstante stehen.
Im Combi-Element werden diese Konstanten als hexadezimale Werte oder Dezimalwerte eingegeben. Hexadezimale Zahlen werden beim Klick auf OK automatisch in Dezimalzahlen umgewandelt. Zum Beispiel entspricht 0x64 dem numerischen Wert 100.

Hinweis: Das Combi-Element ist im Modul Batch Control nicht verfügbar.

Example Beispiel

X01.Wert >= X02.Wert
Das Ergebnis ist „1“ wenn der Wert von X01 größer oder gleich dem Wert X02 ist

X01.Wert = 0x64
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 entspricht (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 oder 101 entspricht (= Hex 0x64 und Hex 0x65)


Beispiele für Formeln

Handbuch > Batch Control > Formeleditor > Beispiele für Formeln

Einfache logische UND Verknüpfung zwischen zwei Werte Bits

Example Beispiel

Formel: X01.03 AND X02.03

Diese Formel ergibt den Zustand WAHR, wenn sowohl Bit 3 der Variablen 1 als auch Bit 3 der Variablen 2 den Wert 1 hat.

Den Wert oder Status einer Variable vergleichen

Example Beispiel

(X01.Wert> X02.Wert)

Vergleiche auf logischer Basis miteinander vergleichen

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Vergleiche mit Werte- und Status-Bits

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Einen Wert mit einem dezimalen oder hexadezimalen Wert vergleichen

Example Beispiel

Formel: (X01.Wert = 111)

Formel: (X01.Wert = 0x6F)

Wird ein hexadezimaler Wert verwendet, so wird dieser mit dem Klick auf OK später in dezimale Schreibweise umgewandelt. Wurde ein dezimaler Wert angegeben und bestätigt, wird dieser beim erneuten Öffnen weiter als dezimaler Wert angezeigt.

info Info

Bei der Eingabe von Zahlen ist es nicht möglich, ein Komma oder einen Punkt zu verwenden.


XML-Export: Aggregate, Grundfunktionen und Rezepte

Handbuch > Batch Control > XML-Export: Aggregate, Grundfunktionen und Rezepte

Das Modul Batch Control erlaubt den Export von Aggregaten, Grundfunktionen und Rezepten in XML Dateien. In den folgenden Kapiteln wird die Struktur dieser Dateien beschrieben.

Noch in diesem Kapitel

Allgemeine Rezepteigenschaften in der XML-Datei

Matrix-Eigenschaften in der XML-Datei

PFC-Eigenschaften in der XML-Datei

Parameter-Eigenschaften


Allgemeine Rezepteigenschaften in der XML-Datei

Handbuch > Batch Control > XML-Export: Aggregate, Grundfunktionen und Rezepte > Allgemeine Rezepteigenschaften in der XML-Datei

Eigenschaften von Vorlagenrezepten

Eigenschaften von Vorlagenrezepten sind auch bei exportierten Steuerrezepten enthalten.

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

Rezepte

  • MasterRecipe
  • ControlRecipe
  • OperationTemplate

MrId

ID des entsprechenden Vorlagenrezepts.

MrName

Name des entsprechenden Vorlagenrezepts.

MrDescription

Beschreibung des entsprechenden Vorlagenrezepts.

MrVersion

Version des entsprechenden Vorlagenrezepts.

MrSourceVersion

Ursprungsversion des Vorlagenrezepts.

MrStatus

Status des entsprechenden Vorlagenrezepts.
  • 1: Editiermodus
  • 2: Freigegeben
  • 3: Testmodus
  • 4: Test in Ausführung
  • 8: Veraltet

RecipeType

Typ des Rezepts.
  • Matrix
  • Pfc

ApprovalTime

Zeitstempel der Freigabe des entsprechenden Vorlagenrezepts.

ApprovalUserName

Name des Benutzers, der das Rezept freigegeben hat.

ApprovalUserID

ID des Benutzers, der das Rezept freigegeben hat.

OutdatedTime

Veraltete Zeit für Rezepte.

OutdatedUserName

Name des Benutzers, der das Rezept auf veraltet gesetzt hat.

OutdatedUserID

ID des Benutzers, der das Rezept auf veraltet gesetzt hat.

Structure

Knoten für die Struktur des Rezepts.

Eigenschaften von Steuerrezepten

Eigenschaft

Beschreibung

Möglicher Wert

CrId

ID des Steuerrezepts.

CrName

Name des Steuerrezepts.

CrDescription

Beschreibung des Steuerrezepts.

CrStatus

Status des Steuerrezepts.
  • 2: Vorbereitet
  • 3: In Ausführung
  • 4: Abgeschlossen
  • 7: Veraltet

CrJobID

Auftragsnummer des Steuerrezepts.

CrJobIDVar

Variable für die Auftragsnummer.

CreationTime

Zeitstempel der Erstellung des Steuerrezpts.

CreationUserName

Name des Benutzers, der das Steuerrezept auf erstellt hat.

CreationUserID

ID des Benutzers, der das Steuerrezept auf erstellt hat.

StartingTime

Zeitstempel des Starts des Steuerrezpts.

StartingUserName

Name des Benutzers, der das Steuerrezept gestartet hat.

StartingUserID

ID des Benutzers, der das Steuerrezept gestartet hat.

Eigenschaften von Teilrezepten

Eigenschaft

Beschreibung

Möglicher Wert

OpId

ID der Teilrezeptvorlage.

OpName

Name der Teilrezeptvorlage.

OpDescription

Beschreibung der Teilrezeptvorlage.

OpType

Typ des Teilrezepts
  • Matrix
  • Pfc

OpStatus

Status der Teilrezeptvorlage.
  • 1: Editiermodus
  • 2: Freigegeben

ApprovalTime

Zeitstempel der Freigabe der Teilrezeptvorlage.

ApprovalUserName

Name des Benutzers, der das Teilrezeptvorlage freigegeben hat.

ApprovalUserID

ID des Benutzers, der das Teilrezeptvorlage freigegeben hat.

Structure

Knoten für die Struktur des Rezepts.


Matrix-Eigenschaften in der XML-Datei

Handbuch > Batch Control > XML-Export: Aggregate, Grundfunktionen und Rezepte > Matrix-Eigenschaften in der XML-Datei

Matrix-Struktur

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

Structure

Column

Spaltennummer im Matrix-Rezept.
  • Typ 1: Grundfunktion
  • Typ 2: Teilrezept

ObjectName

Name der verknüpften Grundfunktion oder des verknüpften Teilrezepts.

StepInfo

Reihennummer im Matrix-Rezept.

StepDescr

Beschreibung des Schritts im Matrix-Rezept.

Matrix-Zelleigenschaften

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

Cell

  • Typ 1: Grundfunktion
  • Typ 2: Teilrezept

CellActive

TRUE, wenn die Matrix-Zelle an dieser Stelle aktiv ist.

  • TRUE: Matrix-Zelle aktiv
  • FALSE: Matrix-Zelle inaktiv

ChartId

ID der Matrix-Zelle.

Phase

Eigenschaften-Knoten für die Grundfunktion einer Matrix-Zelle. Details hierzu lesen Sie im Kapitel Allgemeine Eigenschaften.

ControlStrategy

Eigenschaften-Knoten für die verwendete Fahrweise.

Hinweis: Diese Fahrweise wird bei einer Grundfunktion in einer Matrix-Zelle verwendet.

Details hierzu lesen Sie im Kapitel Allgemeine Eigenschaften.


PFC-Eigenschaften in der XML-Datei

Handbuch > Batch Control > XML-Export: Aggregate, Grundfunktionen und Rezepte > PFC-Eigenschaften in der XML-Datei

Struktur des PFC-Rezepts

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
Structure |  |  |
 | LastObjId | Zuletzt verwendete ID des PFC-Rezepts. |
 | ColCount | Anzahl der Spalten im PFC-Rezept. |
 | RowCount | Anzahl der Reihen im PFC-Rezept. |
 | CenterColOffset | Startkoordinate der Spalte. |
 | CenterRowOffset | Startkoordinate der Reihe. |

Element-Eigenschaften

Knoten

Beschreibung

Möglicher Wert

Chart-Objekt

Element für das PFC-Rezept.
  • TYPE: 1=Anfangselement
  • TYPE: 2=Endelement
  • TYPE: 3=Grundfunktion
  • TYPE: 4=Transition
  • TYPE: 5=Anfang Verzweigung
  • TYPE: 6=Ende Verzweigung
  • TYPE: 7=Anfang Parallelzweig
  • TYPE: 8=Ende Parallelzweig
  • TYPE: 9=Aggregatsbelegung
  • TYPE: 10=Teilrezept
  • TYPE: 11=Linie
  • TYPE: 12=Sprungziel

Anfangselement

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ChartObject |  | Element für das PFC-Rezept. | TYPE: 1
 | ChartId | ID des Elements im PFC-Rezept. |
 | ChartRow | Reihenkoordinate des Elements. |
 | ChartCol | Spaltenkoordinate des Elements. |

Endelement

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ChartObject |  | Element für das PFC-Rezept. | TYPE: 2
 | ChartId | ID des Elements im PFC-Rezept. |
 | ChartRow | Reihenkoordinate des Elements. |
 | ChartCol | Spaltenkoordinate des Elements. |

Grundfunktion

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ChartObject |  |  | TYPE: 3
 | ChartId | ID des Elements im PFC-Rezept. |
 | ChartRow | Reihenkoordinate des Elements. |
 | ChartCol | Spaltenkoordinate des Elements. |
 | Unit | Aggregatname der verlinkten Phase. |
 | Phase | Eigenschaften-Knoten für die Grundfunktion eines PFC-Elements. |

Transition

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ChartObject |  |  | TYPE: 4
 | ChartId | ID des Elements im PFC-Rezept. |
 | ChartRow | Reihenkoordinate des Elements. |
 | ChartCol | Spaltenkoordinate des Elements. |
Condition |  | Bedingung für die ausgewählten Transitionen. |
 | Expression | Die Bedingungen dienen dazu, der REE den Status der Technologischen Funktion in der Steuerung mitzuteilen. |
OperandTag |  | Adressierung der Parameter-Bedingungen. |
 | PhaseChartId | ID der Grundfunktion in der Bedingung. |
 | TagAddressing | Parameter der Grundfunktion. |

Anfangsverzweigung

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 5

ChartId

ID des Elements im PFC-Rezept.

ChartRow

Reihenkoordinate des Elements.

ChartCol

Spaltenkoordinate des Elements.

Cell

Anzahl der Verzweigungen von links nach rechts.

Connector

Verknüpfungspunkte der Verzweigungen.
  • TRUE: Verzweigung nach unten.
  • FALSE: Keine Verzweigung.

ArrayOffset

Anfangszelle der Verzweigung.

Endverzweigung

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 6

ChartId

ID des Elements im PFC-Rezept.

ChartRow

Reihenkoordinate des Elements.

ChartCol

Spaltenkoordinate des Elements.

Cell

Anzahl der Verzweigungen von links nach rechts.

Connector

Verknüpfungspunkte der Verzweigungen.
  • TRUE: Verzweigung nach unten.
  • FALSE: Keine Verzweigung.

ArrayOffset

End-Zelle der Verzweigung.

Anfang Parallelzweig

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 7

ChartId

ID des Elements im PFC-Rezept.

ChartRow

Reihenkoordinate des Elements.

ChartCol

Spaltenkoordinate des Elements.

Cell

Anzahl der Verzweigungen von links nach rechts.

Connector

Verknüpfungspunkte der Verzweigungen.
  • TRUE: Verzweigung nach unten.
  • FALSE: Keine Verzweigung.

ArrayOffset

Anfangszelle der Verzweigung.

Ende Parallelzweig

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 8

ChartId

ID des Elements im PFC-Rezept.

ChartRow

Reihenkoordinate des Elements.

ChartCol

Spaltenkoordinate des Elements.

Cell

Anzahl der Verzweigungen von links nach rechts.

Connector

Verknüpfungspunkte der Verzweigungen.
  • TRUE: Verzweigung nach unten.
  • FALSE: Keine Verzweigung.

ArrayOffset

End-Zelle der Verzweigung.

Aggregatsbelegung

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 9

ChartId

ID des Elements im PFC-Rezept.

ChartRow

Reihenkoordinate des Elements.

ChartCol

Spaltenkoordinate des Elements.

Allocations

Name der Aggregatsbelegung.
  • Allocations
  • Deallocations

Unit

Name des belegten Aggregats.

Global

Optionen für die Freigabe des Aggregates.
  • FALSE=Freigabe der letzten Belegung
  • TRUE=Rezeptweite Freigabe

Teilrezept

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 10

ChartId

ID des Elements im PFC-Rezept.

ChartRow

Reihenkoordinate des Elements.

ChartCol

Spaltenkoordinate des Elements.

Operation

Teilrezept

OpId

ID des Teilrezepts.

OpName

Name des Teilrezepts.

OpType

Typ des Teilrezepts.

OpDescription

Beschreibung des Teilrezepts.

OpStatus

Status des Teilrezepts.

ApprovalTime

Zeitstempel für freigegebene Rezepte.

ApprovalName

Name des freigegebenen Rezepts.

ApprovalUserId

ID des Benutzers, der das Rezept freigegeben hat.

Structure

Struktur des Rezepts.
  • PFC_Structure
  • Matrix_Structure

Linie

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

ChartObject

TYPE: 11

ChartId

ID der Linie.

ChartRow

Reihenkoordinate für den Anfangspunkt der Linie.

ChartCol

Spaltenkoordinate für den Anfangspunkt der Linie.

FirstCol

Spaltenkoordinate der Zelle, wo die Linie anfängt.

FirstRow

Reihenkoordinate der Zelle, wo die Linie anfängt.

SecondCol

Spaltenkoordinate der Zelle, wo die Linie endet.

SecondRow

Reihenkoordinate der Zelle, wo die Linie endet.

LineSegments

Spalten-, Reihen-, Typ-Koordinaten der Zellen, getrennt durch #, wo die gesamte Linie verläuft.
  • 0: Gerade Linie von oben nach unten
  • 1: 90° von oben nach rechts
  • 2: 90° von oben nach links
  • 3: Gerade Linie von links nach rechts
  • 4: 90° von rechts nach unten
  • 5: 90° von links nach unten

Sprungziel

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ChartObject |  |  | TYPE: 12
 | ChartId | ID des Sprungzieles. |
 | ChartCol | Spaltenkoordinate für den Anfangspunkt des Sprungziels. |
 | ChartRow | Reihenkoordinate für den Anfangspunkt des Sprungziels. |


Parameter-Eigenschaften

Handbuch > Batch Control > XML-Export: Aggregate, Grundfunktionen und Rezepte > Parameter-Eigenschaften

Grundfunktionen

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

Phase

Allgemeine Eigenschaften der Grundfunktion.

PhaseName

Name der Grundfunktion.

PhaseDescr

Frei definierbarer String zur näheren Beschreibung der Grundfunktion.

TOAllocation

Zeitraum in Tagen, Stunden, Minuten und Sekunden, die auf die Belegung des Aggregats gewartet wird.

TOInterlocking

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die in der Eigenschaft Eingangsverriegelung definierte Bedingung den Wert TRUE zurückgeben muss.

MinExecTime

Minimale Ausführungsdauer der Grundfunktion.

ExplanationMinExecTimeNeeded

Begründung bei Änderung der minimalen Ausführungsdauer erforderlich

TRUE: Bei der Eingabe von Wertänderungen für diese Grundfunktion zur Runtime muss vom Benutzer eine Begründung für die Änderung eingegeben werden.

FALSE: Keine Begründung erforderlich.

MaxExecTime

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die in der Eigenschaft Weiterschaltbedingung definierte Bedingung den Wert TRUE zurückgeben muss.

TOFollowingCond

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die Grundfunktion deaktiviert werden muss.

MinExecTimeCrModifiable

Minimale Ausführungsdauer der Grundfunktion im Steuerrezept modifizierbar.

  • TRUE: Minimale Ausführungsdauer der Grundfunktion im Steuerrezept modifizierbar.
  • FALSE: Minimale Ausführungsdauer der Grundfunktion im Steuerrezept nicht modifizierbar.

RtLocalFlags

Flags, welche Eigenschaften nicht mehr zur Editorkonfiguration verlinkt sind. Sie werden beim Nachladen nicht überschrieben.

Bei dieser Eigenschaft handelt es sich um ein bitkodiertes DWORD, indem jeweils ein Bit für eine Eigenschaft steht. In einem 0 basierten Index ist die Kodierung wie folgt:

  • Timeout Weiterschaltbedingung: Bit 0 (dezimal 1)
  • Timeout Eingangsverriegelung: Bit 1 (dezimal 2)
  • Timeout Nachfolgende Bedingung: Bit 2 (dezimal 4)
  • Timeout Aggregatsbelegung: Bit 3 (dezimal 8)
  • Minimale Ausführungsdauer: Bit 7 (dezimal 128)

CSActive

Fahrweisen aktiv
  • TRUE: Fahrweisen aktiv
  • FALSE: Fahrweisen inaktiv

CSTag

Fahrweisenparameter

CondInterlocking

Knoten für die Bedingung der Eingangsverriegelung.

CondDone

Knoten für die Weiterschaltbedingung.

CondEscaping

Knoten für die Bedingung für das Verlassen der Grundfunktion.

CondPausing

Knoten für die Bedingung für den Wechsel von Pausierend auf Pausiert.

CondHolding

Knoten für die Bedingung für den Wechsel von Anhaltend auf Angehalten.

CondStopping

Knoten für die Bedingung für den Wechsel von Stoppend auf Gestoppt.

CondAborting

Knoten für die Bedingung für den Wechsel von Abbrechend auf Abgebrochen.

CondRestarting

Knoten für die Bedingung für den Wechsel von Neu startend auf Laufend.

CondFailure

Knoten für die Bedingung zut Erkennung einer Kommunikationsstörung.

CondConnReconnect

Knoten für die Bedingung zur Quittierung einer Kommunikationsstörung.

CondPlcError

Knoten für die Bedingung für SPS-Fehler.

Parameter

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

Tag

TagName

Name des Parameters.

TagDescr

Beschreibung des Parameters.

TagType

Parametertyp
  • 0: Wertparameter
  • 1: Rückgabeparameter
  • 2: Initialparameter

DataType

Datentyp
  • 0: Bool
  • 1: String
  • 2: Numerisch
  • 3: Zeitdauer

Variable

Variable, die mit dem Parameter verknüpft ist.

VariableDataType

Datentyp der Variable.

VariableDriver

Name der EXE-Datei des Treibers der Variable.

VariableDriverDescr

Name des Treibers der Variable.

TagValue VariantType

Wert des Parameters.

ValueMin VariantType

Minimum-Wert des Parameters.

ValueMax VariantType

Maximaler Wert des Parameters.

VariableMin

Minimaler Wert der Variable.

VariableMax

Maximaler Wert der Variable.

MeasUnit

Einheit der Variable.

MaxStringLength

String-Länge, wie bei der Variable projektiert.

EditableInRecipe

Im Vorlagenrezept änderbar
  • TRUE: Parameterwerte sind im Vorlagenrezept änderbar.
  • FALSE: Parameterwerte sind im Vorlagenrezept nicht änderbar.

ExplanationNeeded

Begründung bei Wertänderung erforderlich
  • TRUE: Bei der Eingabe von Wertänderungen für diesen Parameter zur Runtime muss vom Benutzer eine Begründung für die Änderung eingegeben werden.
  • FALSE: Begründung nicht erforderlich.

TagModified

Parameterwert geändert.
  • TRUE: Parameterwert geändert
  • FALSE: Parameterwert nicht geändert.

EditableInCr

Parameterwert änderbar im Steuerrezept
  • TRUE: Parameterwert im Steuerrezept änderbar.
  • FALSE: Parameterwert im Steuerrezept nicht änderbar.

UseKeyboard

Keyboardbild verwenden
  • TRUE: Keyboardbild wird für diesen Parameter verwendet.
  • FALSE: Keyboardbild wird für diesen Parameter nicht verwendet.

KeyboardPictureName

Name des ausgewählten Keyboardbildes. Nur verfügbar, wenn die Eigenschaft Keyboardbild verwenden aktiviert wurde.

RtLocalFlags

Flags, welche Eigenschaften nicht mehr zur Editorkonfiguration verlinkt sind. Sie werden beim Nachladen nicht überschrieben.

Bitkodiertes DWORD.
Jeweils ein Bit steht für eine Eigenschaft.

Kodierung in einem 0-basierten Index:

  • Minimum:
    Bit 0 (dezimal 1)
  • Maximum:
    Bit 1 (dezimal 2)
  • Parameterwert:
    Bit 2 (dezimal 4)
  • Im Steuerrezept änderbar:
    Bit 6 (dezimal 64)

Reaktionen

Knoten

Eigenschaft

Beschreibung

Möglicher Wert

Reaction

Enthält allgemeine Eigenschaften für Reaktionen.

EventType

Auswahl des Ereignistyps, bei dem die Reaktion ausgeführt werden soll. Für jedes Ereignis können mehrere Reaktionen definiert werden.
  • 0: Runtime beenden angestoßen
  • 1: Eingangsverriegelung blockiert
  • 2: Wartezeit Eingangsverriegelung überschritten
  • 3: Grundfunktion aktiviert
  • 4: Maximale Ausführungsdauer überschritten
  • 5: Grundfunktion deaktiviert
  • 6: Wartezeit nachfolgende Bedingung überschritten
  • 7: Verknüpfte Variable gestört
  • 8: Statuswechsel: Fortsetzen
  • 9: Statuswechsel: In Ausführung
  • 10: Statuswechsel: Pausierend
  • 11: Statuswechsel: Pausiert
  • 12: Statuswechsel: Abgeschlossen
  • 13: Statuswechsel: Neu startend
  • 14: Statuswechsel: Anhaltend
  • 15: Statuswechsel: Angehalten
  • 16: Statuswechsel: Stoppend
  • 17: Statuswechsel: Gestoppt
  • 18: Statuswechsel: Abbrechend
  • 19: Statuswechsel: Abgebrochen
  • 20: Moduswechsel: Automatisch
  • 21: Moduswechsel: Halbautomatisch
  • 22: Moduswechsel: Manuell
  • 28: Wartezeit Aggregatsbelegung überschritten
  • 29: Grundfunktion mehrfach gestartet
  • 30: Aggregatsbelegung nicht möglich
  • 31: Wertparameter fertig abgesetzt
  • 32: Weiterschaltbedingung erfüllt
  • 33: Befehlsparameter ohne Wert
  • 34: Runtime Wiederanlauf
  • 35: Ausstiegsbedingung gestartet
  • 36: Ausstiegsbedingung erfüllt
  • 37: Kommunikationsstörung
  • 38: Kommunikationsstörung behoben
  • 39: Kommunikationsstörung quittiert
  • 40: Grundfunktion gestartet
  • 41: SPS-Fehler
  • 42: SPS-Fehler behoben
  • 43: SPS-Fehler behoben durch Deaktivierung der Grundfunktion
  • 44: Eingangsverriegelung erfolgreich geprüft

ReactionDescr

Beschreibung der Reaktion.

ReactionPrio

Zeigt die Ausführungsreihenfolge an, wenn für das gleiche Ereignis mehrere Reaktionen definiert wurden. Die Reihenfolge wird durch die Position in der Liste definiert und hier nur angezeigt.

ModeCommand

Über diese Reaktion kann in der Runtime der Ausführungsmodus als Reaktion auf das Ereignis gesteuert werden.
  • 0: Ignorieren
  • 1: Automatisch
  • 2: Halbautomatisch
  • 3: Manuell

StateCommand

Rezept- oder Grundfunktionskommando, das zur Runtime beim Eintreten des Ereignisses ausgeführt wird.
  • 0: Ignorieren
  • 2: Rezept pausieren
  • 3: Rezept fortsetzen
  • 4: Rezept anhalten
  • 5: Rezept neu starten
  • 6: Rezept stoppen
  • 7: Rezept abbrechen
  • 8: Grundfunktion pausieren
  • 9: Grundfunktion anhalten
  • 10: Grundfunktion neu starten
  • 11: Grundfunktion fortsetzen

Function

Funktion, die ausgeführt werden soll.

CelEnabled

CEL Eintrag erzeugen

TRUE: Der in der Eigenschaft CEL Meldungstext definierte Text wird in die Chronologische Ereignisliste, CEL eingetragen.

FALSE: Kein Eintrag in der CEL.

CelMsg

CEL-Meldungstext. Nur verfügbar, wenn Eigenschaft CEL Eintrag erzeugen aktiv ist.

CelGroup

Zuordnung einer bereits existierenden Alarm/Ereignis-Gruppe zu CEL- Meldungen für das gewählte Ereignis.

CelClass

Zuordnung einer bereits existierenden Alarm/Ereignis-Klasse zu CEL- Meldungen für das gewählte Ereignis.

SourceTag

Parameter, dessen Wert auf den in der Eigenschaft Zielparameter gewählten Parameter übertragen wird.

DestinationTag

Parameter, auf den der Wert des in der Eigenschaft Quellparameter gewählten Parameters übertragen wird.

SetTag

Parameter, auf den der definierte Sollwert als Reaktion auf das Ereignis geschrieben werden soll.

SetValueNum

Sollwert für Parameter vom Typ Numerisch.

SetValueStr

Sollwert für Parameter vom Typ String.

SetValueBool

Sollwert für einen binären Parameter.
  • 0: Aus
  • 1: Ein
  • 4: Toggeln

SetValueDuration

Sollwert in Tagen, Stunden, Minuten und Sekunden für Parameter vom Typ Zeitdauer. Die Zeitspanne wird als Wert in Sekunden auf die beim Parameter verknüpfte Variable geschrieben.

ExecuteBeforeStartEvent

Ausführung vor Start Event erlauben.

TRUE: Das Ereignis kann vor dem Ereignis Grundfunktion gestartet ausgeführt werden.

FALSE: Das Ereignis kann erst ausgeführt werden, wenn das Ereignis Grundfunktion gestartet ausgeführt wurde.

Fahrweisen

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ControlStrategy |  | Enthält Eigenschaften zur Konfiguration der Fahrweisen. |
 | CSName | Name der Fahrweise. |
 | CSDescription | Beschreibung der Fahrweise. |
 | ActiveCSNumber | Eindeutige Nummer der Fahrweise zur Identifikation innerhalb der Grundfunktion. |
 | CSTag | Konten für die Definition eines bei der Fahrweise verknüpften Parameters. |

Fahrweisen

Knoten | Eigenschaft | Beschreibung | Möglicher Wert
ConfiguredControlStrategy |  | Enthält Eigenschaften der konfigurierten Fahrweise im Rezept. |
 | CSName | Name der Fahrweise. |
 | CSDescription | Beschreibung der Fahrweise. |
 | ActiveCSNumber | Eindeutige Nummer der Fahrweise zur Identifikation innerhalb dieser Grundfunktion. |


CEL

Handbuch > Batch Control > CEL

Meldungen, Informationen und Fehler für Rezepte, Aggregate, Kommandos, Reaktionen, Ereignisse usw. werden in der Chronologischen Ereignisliste ( CEL) gespeichert und angezeigt.

Gruppen und Klassen

CEL-Informationen können Gruppen und Klassen zugeordnet werden. Diese entsprechen den im Projekt angelegten Alarm/Ereignis-Gruppen und Alarm/Ereignis-Klassen. Die jeweilige Gruppe oder Klasse wird in der CEL miteingetragen und kann zum Filtern und Gruppieren benutzt werden.

Die Zuordnung von Gruppen und Klassen erfolgt für Aktionen für:

  • Rezepte
  • Reaktionen
  • Kommandos
  • Wertänderungen
  • Springen, Forcen und schrittweises Ausführen

Rezepte

Die eingestellte Gruppe oder Klasse wird bei den folgenden Rezept-Aktionen in die CEL eingetragen:

  • Liste Vorlagenrezepte
    • Neu
    • Neue Version erzeugen
    • Löschen
    • Duplizieren
    • Umbenennen
    • Freigeben
    • Als veraltet kennzeichnen
    • Steuerrezept neu
  • Liste Steuerrezepte
    • Umbenennen
    • Duplizieren
    • Löschen
  • Liste Teilrezepte
    • Neu
    • Umbenennen
    • Duplizieren
    • Löschen
    • Freigeben

Kommandos

Die eingestellte Gruppe oder Klasse wird bei allen Rezeptkommandos, Grundfunktionskommandos, Modus Umschaltungen und Wiederanlaufmeldungen eingetragen.

Wertänderung

Die eingestellte Gruppe oder Klasse wird bei Wertänderungen an Parametern in Steuerrezepten eingetragen.

Springen, forcen und schrittweises Ausführen

Die eingestellte Gruppe oder Klasse wird bei allen manuellen Schritten, beim Überspringen von Schritten und beim Ausführen von Schritten eingetragen.

Zuordnung

Die Zuordnung der Gruppen und Klassen erfolgt

  • Allgemein: In den Eigenschaften des Knotens Batch Control in der Gruppe CEL Event Gruppen/Klassen.
  • Reaktionen: In den Eigenschaften des Ereignisses einer Reaktion in der Gruppe Reaktionen/CEL-Eintrag. Als Benutzer wird System eingetragen.


Störungsbehandlung

Handbuch > Batch Control > Störungsbehandlung

Treten Kommunikationsstörungen oder SPS-Fehler auf, können diese zur Runtime über eine im Editor konfigurierte Formel erkannt werden. Bei Kommunikationsstörungen wird die betroffene Grundfunktion pausiert oder angehalten (je nach Projektierung).

Noch in diesem Kapitel

Kommunikationsstörungen

SPS-Fehler


Kommunikationsstörungen

Handbuch > Batch Control > Störungsbehandlung > Kommunikationsstörungen

Die Erkennung von Störungen kann für jede Grundfunktion extra konfiguriert werden, da Grundfunktionen auch auf unterschiedlichen SPSen laufen können. Die Reaktion auf eine Kommunikationsstörung wird für alle Grundfunktionen global definiert. Zusätzlich kann auch eine Reaktion auf das Ereignis Kommunikationsstörung projektiert werden.

Um die Erkennung von Kommunikationsstörungen zu konfigurieren:

  1. markieren Sie die gewünschte Grundfunktion
  2. klicken Sie in der Eigenschaftengruppe Störung auf die Eigenschaft Kommunikationsstörung
  3. legen Sie im sich öffnenden Formeleditor die Bedingung zur Erkennung von Kommunikationsstörungen fest
  4. klicken Sie auf die Eigenschaft Kommunikationsstörung quittiert
  5. legen Sie die Bedingung zur Erkennung der Wiederherstellung der Kommunikation fest
  6. navigieren Sie zu den Eigenschaften für das Modul Batch Control
  7. öffnen Sie in der Gruppe Allgemein/Kommunikationsstörung die Eigenschaft Aktion bei Kommunikationsstörung
  8. wählen Sie aus der Dropdownliste die gewünschte Reaktion auf eine Kommunikationsstörung
    • Grundfunktion anhalten
    • Grundfunktion pausieren

Prüfung zur Runtime

Beim Starten einer Grundfunktion oder beim Wiederanlaufen der Runtime wird 60 Sekunden auf Werte für die Formel zur Prüfung der Kommunikation gewartet. Treffen innerhalb dieser Wartezeit keine Werte ein, wird eine Kommunikationsstörung angenommen.

Die erneute Prüfung auf Kommunikationsstörungen erfolgt, wenn sich die Grundfunktion in einem neuen Schritt befindet.

Bei Neustart oder beim Nachladen der Runtime kann das Warten auf die Werte in vielen Schritten stattfinden, da die Grundfunktion mitten im Ablauf wieder gestartet wird. Die Prüfung auf Kommunikationsstörungen erfolgt auch an allen Stellen, an denen eine Fehlerprüfung durchgeführt wird.

Wiederherstellung

Prüfen der Formel für den Kommunikationswiederaufbau

Ein Kommunikationsverlust zur SPS wird festgestellt, wenn der Wert der Formel für die Eigenschaft Kommunikationsstörung TRUE ist. Es wird dann so lange gewartet, bis die Kommunikation wieder hergestellt wurde, also der Wert der Formel FALSE ist. Danach wird weiter gewartet, bis der Wert der Formel für die Eigenschaft Kommunikationsstörung quittiert TRUE oder leer ist. Erst ab diesem Zeitpunkt kann die Ausführung des Objekts fortgesetzt werden.

In der Zeit zwischen Kommunikationsverlust und Kommunikationswiederherstellung:

  • können zur betroffenen Grundfunktion keine Grundfunktionskommandos gesendet werden
  • erfolgt der Statuswechsel direkt, Transientbedingungen werden nicht geprüft
  • werden keine Reaktionen für Statuswechsel gefeuert
  • bleibt der Ablaufpfad der betroffenen Grundfunktion bei Ausführung eines Globalen Kommandos Fortsetzen oder Neu Starten im alten Status
  • werden die nachfolgenden Ausführungspositionen so lange verzögert, bis die die Kommunikation an der Grundfunktion wiederhergestellt wurde

Überspringen des Kommunikationswiederaufbaus

Bei einer Kommunikationsstörung kann diese sowohl während der Fehler ansteht, als auch während des Kommunikationswiederaufbaus, übersprungen werden. In beiden Fällen wird die Kommunikation als wiederhergestellt betrachtet. Alle Reaktionen der übersprungenen Schritte werden gefeuert. Das Überspringen wird im Tooltip angezeigt.

Wurde eine Kommunikationsstörung übersprungen, dann tritt eine neue Kommunikationsstörung erst dann auf, wenn der Wert der Formel für die Eigenschaft Kommunikationsstörung auf FALSE wechselt.

Zähler am Rezept und Teilrezept für wiederhergestellte Kommunikation

In der Statuszeile des Rezepteditors stehen mit dem Symbol der Fehleranzeige und dem dazugehörigen Tooltip Informationen über Fehler im Rezept zur Verfügung. Dabei werden nur die höchstprioren Informationen dargestellt. Anstehende Fehler und historische Fehler werden nicht gleichzeitig dargestellt.

Priorisierung und Kodierung der Fehleranzeige im Tooltip:

Priorität | Farbe | Beschreibung
1 | rot | Aktuell x Fehler anstehend.
2 | rot | Aktuell x Kommunikationsstörung noch nicht quittiert.
3 | gelb | Fehler waren vorhanden.
4 | grün | Fehlerfrei.

Hinweis: "Aktuell x Fehler anstehend" zählt sowohl Ablauffehler als auch Kommunikationsstörungen.


SPS-Fehler

Handbuch > Batch Control > Störungsbehandlung > SPS-Fehler

Für jede Grundfunktion kann die Erkennung von SPS-Fehlern projektiert werden.

Um die Erkennung von SPS-Fehler zur Runtime zu konfigurieren:

  1. Projektieren Sie in zenon eine Variable, die den SPS-Fehler meldet
  2. markieren Sie im Editor im Modul Batch Control die gewünschte Grundfunktion.
  3. Klicken Sie in der Eigenschaftengruppe Störung auf die Eigenschaft SPS-Fehler.
  4. Legen Sie im sich öffnenden Formeleditor mit Hilfe der projektierten Variablen die Bedingung zur Erkennung von SPS-Fehlern fest.
    Hinweis: Die Formel kann im Report angezeigt werden.

Um die Zahl der anstehenden und behobenen SPS-Fehler in einem Bild anzuzeigen:

  1. Wählen Sie das Aggregat aus, für dessen Grundfunktionen eine SPS-Fehlererkennung projektiert wurde.
  2. Navigieren Sie zur Eigenschaftengruppe Runtime Information/Fehler.
  3. Konfigurieren Sie die Variablen für die Eigenschaften.
    • Anzahl der anstehenden SPS-Fehler
    • Anzahl der behobenen SPS-Fehler
  4. Projektieren Sie die Auswertung und Anzeige der Variablen zur Runtime.

Prüfung zur Runtime

Wenn eine Formel für SPS-Fehler verknüpft ist, wird diese während die Grundfunktion aktiv ist, geprüft. Die Prüfung beginnt, nachdem die Kommunikation zur SPS aufgebaut wurde und dauert an, bis die Grundfunktion deaktiviert wird. Die Verbindung gilt als aufgebaut, wenn alle Werte für die Formel zur Erkennung von Kommunikationsstörungen eingetroffen sind.

Tritt ein Kommunikationsfehler auf, wird der SPS-Fehler nicht geprüft, solange der Kommunikationsfehler nicht quittiert ist. Nach dessen Quittierung wird mit dem aktuell anstehenden Wert weitergeprüft.

SPS-Fehler und deren Behebung werden mit einem eigenen Symbol in der Grundfunktion oder im Teilrezept und jeweils mit einem Eintrag im Tooltip angezeigt.

Steht beim Beenden einer Grundfunktion ein SPS-Fehler an, dann wird dieser auf behoben geändert. Im Unterschied zur normalen Deaktivierung eines SPS-Fehlers wird ein eigenes Ereignis abgesetzt: SPS-Fehler behoben durch Deaktivierung der Grundfunktion. Das gilt nur für das tatsächliche Beenden, aber nicht für einen Neustart. Beim Neustart wird für weiter anstehende SPS-Fehler kein erneutes Ereignis abgesetzt.


Fehlerbehandlung

Handbuch > Batch Control > Fehlerbehandlung

Warnungen und Fehlermeldungen werden in Log-Dateien geschrieben und können mit dem Diagnosis Viewer ausgewertet werden. Dazu muss in den Filtereinstellungen das Modul Batch Control aktiviert werden.

Systemtreibervariable

Batch Control stellt dem System Treiber SYSDRV Informationen in Systemtreibervariablen zur Verfügung. Informationen zu deren Meldungen finden Sie im Handbuch SYSDRV, im Kapitel Thema - Batch Control.

Neuaufbau Indexdateien

Wenn die Indexdatei (recipe.unique) beim Runtimestart nicht gelesen werden kann oder nicht existiert, wird sie beim Start neu erstellt. Während dieses Zeitraums können Anfragen von Clients, die eine ID benötigen oder bearbeiten, nicht abgearbeitet werden. Modifizierungen werden abgelehnt, Abfragen werden nach Erstellung des Index beantwortet.


Benutzerverwaltung

Handbuch > Benutzerverwaltung

zenon sieht sowohl für den Editor als auch für den Onlinebetrieb Runtime eine Benutzerverwaltung vor. Diese Benutzerverwaltung erfüllt die Richtlinien der FDA (Food and Drug Administration, 21 CFR Part 11). Es ist auch möglich, zur Runtime Active Directory Benutzer zu verwalten.

Grundlagen

Die COPA-DATA Benutzerverwaltung unterscheidet drei Benutzer-Typen:

  • Benutzer: Darf entsprechend der ihm zugeteilten Berechtigungsebenen Bedienhandlungen vornehmen.
  • Hauptbenutzer: Darf zusätzlich Benutzer erstellen und editieren.
  • Administrator: Darf zusätzlich alle anderen Verwaltungsaufgaben durchführen wie Sperren aufheben, Passwörter zurücksetzen usw.

Das Konzept der Benutzerverwaltung geht davon aus, dass unterschiedliche Anwender unterschiedliche Bedienrechte - Berechtigungsebenen und Funktionsberechtigungen - besitzen. Diese Rechte werden unabhängig vom Benutzer-Typ vergeben. Benutzer können über zenon und das Windows Active Directory verwaltet werden.

Jedem Benutzer können mehrere unterschiedliche Berechtigungen zugewiesen werden. Es sind maximal 128 (0 bis 127) Berechtigungsebenen projektierbar. Die Zuordnung der Benutzer zu den einzelnen Berechtigungsebenen und der damit verbundene Aufbau des projektspezifischen Passwortkonzeptes kann vollständig frei erfolgen. Jedem Benutzer können beliebige Ebenen zugewiesen werden. So kann z. B. der Benutzer 1 über die Ebenen 0, 1, 5, 6 verfügen und der Benutzer 2 über die Ebenen 0, 1, 6, 8, 10. Es können nur Berechtigungen vergeben werden, über die der zuweisende Administrator selbst verfügt.

Das Login des Benutzers zur Runtime erfolgt über die Funktion Login und ein Bild vom Typ Login. Soll der Benutzer aufgrund eines Ereignisses automatisch angemeldet werden (z. B. Schlüsselschalterstellung als Meldung im System), wird die Funktion Login ohne Passwort verwendet. Die Funktion wird in einem Grenzwert oder in einer Rema der Variable in der Variablenverwaltung projektiert. In der Mehrprojektverwaltung können Benutzer beim Login automatisch in Unterprojekten angemeldet werden.

Wird über einen projektierten Zeitraum lang keine neuerliche Bedienaktion vorgenommen, kann ein automatisches, zeitgesteuertes Abmelden erfolgen. Mit der Funktion Logout können sich Benutzer jederzeit vom System abmelden. Damit wird der Benutzer SYSTEM angemeldet.

Benutzer anlegen und Rechte vergeben

In zenon können Sie Benutzer auf zwei Arten anlegen und verwalten:

  1. zenon Editor und Runtime:
    Benutzer werden im Editor angelegt und mit Rechten ausgestattet. Zur Runtime können sie sich einloggen. Administratoren und Hauptbenutzer können auch zur Runtime Benutzer anlegen und Rechte vergeben.
  2. AD und AD LDS:

    Active Directory Lightweight Directory Services (AD LDS) ist eine vereinfachte Version des Active Directory und eignet sich für den Einsatz auf normalen Desktop-Betriebssystemen, es muss kein Server-Betriebssystem eingesetzt werden. Active Directory (AD) und AD LDS können in zenon zur Benutzerverwaltung in der zenon Runtime verwendet werden. Für den zenon Editor steht AD und AD LDS nicht zur Verfügung.

    Benutzergruppen, die im AD oder AD LDS angelegt sind, erhalten Berechtigungen in zenon, wenn in zenon gleichnamige Benutzergruppen angelegt werden. Über ein eigenes Bild können AD und AD LDS aus der zenon Runtime heraus ausgelesen und bearbeitet werden. Benutzer, die hier angelegt werden, haben Benutzerrechte für alle zenon Projekte, unabhängig von dem Projekt, aus dem heraus sie angelegt wurden.

Noch in diesem Kapitel

Projektierung im zenon Editor

zenon Login und Benutzerverwaltung zur Runtime

Externe Benutzerverwaltung mit Microsoft Active Directory

Active Directory Benutzer aus zenon Runtime verwalten

Von zenon genutzte AD/AD LDS Eigenschaften


Projektierung im zenon Editor

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor

Im Editor werden Benutzer und Benutzergruppen angelegt sowie Passwörter und Berechtigungen definiert. Benutzereinstellungen können in der Runtime geändert werden.

Nicht alle Änderungen der benutzerbezogenen Parametrierungen im Editor werden zur Runtime durch einfaches Nachladen übernommen. Beachten Sie beim Übertragen von Runtime-Dateien die Eigenschaft Zur Runtime änderbare Daten. Hier wird festgelegt, ob die Projektierung der Benutzerverwaltung zur Runtime übertragen wird und die Konfiguration in der Runtime überschreibt. Per Default werden Inhalte der Benutzerverwaltung beim Übertragen zur Runtime nicht ersetzt.

Noch in diesem Kapitel

Kontextmenü Projektmanager

Symbolleiste und Kontextmenü Detailansicht

Anlegen eines Benutzers

Anlegen einer Benutzergruppe

Ändern eines Benutzers

Änderung einer Benutzergruppe

Namensänderung der Berechtigungsebenen

Benutzerauswahl: einzelner Benutzer

Benutzerauswahl: mehrere Benutzer

Funktionsberechtigungen

Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung


Kontextmenü Projektmanager

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Kontextmenü Projektmanager

Kontextmenü Benutzerverwaltung

Menüpunkt | Aktion
Editorprofile | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe

Kontextmenü Benutzer

Menüpunkt | Aktion
Benutzer neu | Öffnet den Dialog zur Anlage eines neuen Benutzers und trägt diesen in die Liste der Detailansicht ein.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Help | Öffnet die Online-Hilfe.

Kontextmenü Benutzergruppe

Menüpunkt | Aktion
Benutzergruppe neu | Öffnet den Dialog zur Anlage einer neuen Benutzergruppe und trägt diese in die Liste der Detailansicht ein.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Editorprofile | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Help | Öffnet die Online-Hilfe.

Kontextmenü Detailansicht: siehe Benutzerverwaltung Detailansicht Symbolleiste und Kontextmenü


Symbolleiste und Kontextmenü Detailansicht

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Symbolleiste und Kontextmenü Detailansicht

Menüpunkt/Symbol | Aktion
Benutzer neu | Öffnet den Dialog zur Anlage eines neuen Benutzers und trägt diesen in die Liste der Detailansicht ein.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Benutzergruppe

Menüpunkt | Aktion
Benutzergruppe neu | Öffnet den Dialog zur Anlage einer neuen Benutzergruppe und trägt diese in die Liste der Detailansicht ein.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Anlegen eines Benutzers

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen eines Benutzers

Um einen neuen Benutzer anzulegen:

  1. Navigieren Sie zum Knoten Benutzerverwaltung/Benutzer.
  2. Wählen Sie im Kontextmenü des Projektmanagers oder der Detailansicht oder in der Symbolleiste Benutzer neu... .

    Der Dialog zur Konfiguration wird geöffnet.

  3. Legen Sie in den einzelnen Registerkarten die Einstellungen fest für:
    • Benutzer

      Hinweis: Ein Benutzername kann nur einmal vergeben werden. Wenn versucht wird, einen bereits bestehenden Benutzer noch einmal anzulegen, wird eine Fehlermeldung ausgegeben.

    • Passwort
    • Message Control
    • Berechtigungsebenen
    • Benutzergruppen

info Info

Empfehlung: Legen Sie als ersten Benutzer einen Administrator ein. Nur dieser hat Zugriff auf alle Funktionen und kann damit auch Benutzer, die vom System gesperrt wurden, wieder frei schalten.

Noch in diesem Kapitel

Benutzer

Passwort ändern

Message Control

Berechtigungsebenen

Benutzergruppen


Benutzer

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen eines Benutzers > Benutzer

Konfiguration des Benutzers:

Benutzer

Option

Beschreibung

Benutzername

Geben Sie hier den Benutzernamen ein. Der Benutzer meldet sich mit seinem Benutzernamen am System an.

Maximale Länge: 20 Zeichen.

Hinweis: Dieser Name muss eindeutig sein und kann nur einmalig vergeben werden. Wenn versucht wird, einen bereits bestehenden Benutzer erneut anzulegen, wird eine Fehlermeldung ausgegeben.

Vollständiger Name

Geben Sie den vollständigen Namen des Benutzers ein. Damit ordnen Sie Benutzernamen realen Personen zu.

Login-Code

Eingabe des Login-Codes für die Anmeldung ohne Passwort.

Für den Login-Code gilt:

  • Muss innerhalb des Projekts eindeutig sein.
    Hinweis: Wird derselbe Login-Code für einen Benutzer im lokalen Projekt und im Globalprojekt verwendet, dann wird beim Erzeugen der Runtime-Dateien im Editor der Benutzer aus dem Globalprojekt nicht übertragen. Beachten Sie die entsprechende Fehlermeldung im Ausgabefenster. Bei Änderungen des Login-Codes zur Runtime, darf dieser nicht dem Code eines Benutzers aus dem Globalprojekt entsprechen.
  • Darf leer sein.
    Damit ist er für diesen Benutzer deaktiviert.
  • Maximale Länge: 1000 Zeichen
  • Darf nicht ausschließlich aus Leerzeichen bestehen.
  • Führende oder schließende Leerzeichen sind verboten.
  • Alle anderen Zeichen sind erlaubt.

Default: (leer)

Wird ein ungültiger Login-Code eingegeben, wird beim Schließen des Dialogs eine entsprechende Fehlermeldung angezeigt.

Details siehe Kapitel Login über Login-Code.

Benutzertyp

Auswahl des Benutzertyps aus Dropdownliste:

  • Benutzer:
    Darf entsprechend der ihm zugeteilten Berechtigungsebenen Bedienhandlungen vornehmen.
  • Hauptbenutzer:
    Darf zusätzlich Benutzer erstellen und editieren. Ob das auch für andere Hauptbenutzer gilt, wird über die Option Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren konfiguriert.
  • Administrator:
    Darf alle anderen Benutzer und Hauptbenutzer anlegen und editieren, sowie Sperren aufheben.
  • Default: Benutzer

Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren

Einstellungen für Detailrechte des Hauptbenutzers:

  • Aktiv: Darf auch andere Hauptbenutzer erstellen und editieren.
  • Inaktiv: Darf nur Benutzer erstellen und editieren.

Default: inaktiv

Aktiv

Aktiv: Der Benutzer ist aktiv und kann sich zur Runtime einloggen.

Hinweis: Nach den Regeln der FDA 21 CFR PART 11 darf ein Benutzer nie gelöscht werden, damit auch zu jedem späteren Zeitpunkt nachvollzogen werden kann, wer welche Aktion durchgeführt hat. Daher darf bei Projekten, die diesen Regeln unterliegen, ein Benutzer nur deaktiviert aber nicht gelöscht werden.

Um das Löschen von Benutzern zu verhindern, deaktivieren Sie in den Projekteigenschaften in der Gruppe Benutzerverwaltung die Eigenschaft Löschen von Benutzern.

Gesperrt

Aktiv: Der Benutzer ist zur Runtime gesperrt und kann sich nicht einloggen.

Diese Option wird automatisch gesetzt, wenn ein Benutzer sein Passwort öfter falsch eingegeben hat als erlaubt.

Optionen

Option

Beschreibung

Sperrcode

4-stelliger PIN-Code.

Dieser Code wird vom Benutzer in der Befehlsgabe verwendet, um Bereiche zu sperren oder wieder frei zu geben.
Nur verfügbar, wenn zenon Energy Edition lizenziert wurde.

Anmeldeprofil

Auswahl des Runtimeprofils, das beim Login angewendet wird, aus Dropdownliste:

  • Keines
  • Default
  • Last

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Passwort ändern

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen eines Benutzers > Passwort ändern

Festlegung oder Änderung des Passworts.

Passwörter dürfen maximal 20 Zeichen lang sein. Die minimale Länge wird in den Projekteigenschaften in der Gruppe Benutzerverwaltung mit der Eigenschaft Minimale Passwortlänge definiert (Default: 6 Zeichen).

Parameter | Beschreibung
Altes Passwort | Aktuelles Passwort.
Neues Passwort | Eingabe neues Passwort. Die Eingabe erfolgt automatisch verdeckt. Beachten Sie bei sprachübergreifenden Projekten, dass es möglich sein muss, die Zeichen auf der entsprechenden Tastatur zur Runtime einzugeben.
Passwort bestätigen | Wiederholung des Passworts. Die Eingabe erfolgt automatisch verdeckt.

Hinweis: Die Funktionalität Kopieren und Einfügen steht für die Eingabe in Passwortfeldern nicht zur Verfügung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Message Control

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen eines Benutzers > Message Control

Optionen für die Verwendung der Benutzer im Modul Message Control.

Parameter

Beschreibung

Message Control Benutzer

Aktiv: Der Benutzer wird vom Modul Message Control verwendet.

Telefon

Nummer des sprachfähigen Telefoniegeräts des Benutzers. Wird für Text-to-Speech verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl
  • in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
    Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

Mobiltelefon

Nummer des Mobiltelefons des Benutzers. Wird für Nachrichten über GSM und SMS verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl
  • in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
    Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

E-Mail

E-Mail Adresse des Benutzers.

Ersatzperson

Wird ein Benutzer nicht erreicht oder verweigert er die Annahme der Nachricht, kann eine Ersatzperson angegeben werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Benutzers. Es werden nur Benutzer zur Auswahl angeboten, die als Message Control Benutzer aktiviert wurden.

PIN-Code

PIN-Code, mit dem der Benutzer den Erhalt der Nachricht bestätigt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

NA-Code

PIN-Code, mit dem der Benutzer die Annahme der Nachricht verweigert (not available). Die Nachricht wird dann an den nächsten Benutzer in der Liste gesendet.

Ist kein weiterer Benutzer in der Liste eingetragen, so wird die Nachricht als "nicht erfolgreich quittiert" eingetragen. Die dazu zugeordnete Funktion wird ausgeführt. Zusätzlich wird in jedem Fall ein CEL-Eintrag "abgelehnt von" erzeugt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Weitere Informationen zum Zuordnen von Funktionen finden Sie im Kapitel Empfangsbestätigung - Einstellungen Empfangsbestätigung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Die Quittier-Codes für PIN (Bestätigung) und NA (Ablehnung) müssen sich unterscheiden und sollten nicht zu ähnlich gewählt werden.

Sind beide Codes ident, wird der Code als PIN und damit als Bestätigung der Nachricht interpretiert.

Wird ein unbekannter Code empfangen, wird bei SMS und E‑Mail die Nachricht an die Ersatzperson geschickt, bei Sprachnachrichten die Fehlernachricht abgespielt.


Berechtigungsebenen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen eines Benutzers > Berechtigungsebenen

Zuordnung von Berechtigungsebenen zu einem Benutzer. Es stehen 128 Berechtigungsebenen (0 bis 127) zur Verfügung.

Berechtigungsebenen weisen Sie zu über den Dialog beim Anlegen eines Benutzers oder über die Eigenschaft Berechtigungsebenen.

Dialog Berechtigungsebenen

Parameter | Beschreibung
Verfügbare Berechtigungsebenen | Liste aller verfügbaren Berechtigungen.
Ausgewählte Berechtigungsebenen | Liste der zugewiesenen Berechtigungen.
Schaltfläche Doppelpfeil nach rechts | In der Liste Verfügbare Berechtigungsebenen ausgewählte Einträge werden zur Liste Ausgewählte Berechtigungsebenen hinzugefügt.
Schaltfläche Doppelpfeil nach links | In der Liste Ausgewählte Berechtigungsebenen ausgewählte Einträge werden aus dieser Liste entfernt.

Hinweis: Jede gewünschte Ebene muss dezidiert zugewiesen werden. Eine gewählte Ebene schließt weder darunterliegende noch folgende Ebenen mit ein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Benutzergruppen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen eines Benutzers > Benutzergruppen

Zuweisung des Benutzers zu Benutzergruppen.

Parameter | Beschreibung
Verfügbare Benutzergruppen | Liste aller verfügbaren Benutzergruppen.
Ausgewählte Benutzergruppen | Liste der zugewiesenen Benutzergruppen.
Schaltfläche Doppelpfeil nach rechts | In der Liste Verfügbare Benutzergruppen ausgewählte Einträge werden zur Liste Ausgewählte Benutzergruppe hinzugefügt.
Schaltfläche Doppelpfeil nach links | In der Liste Ausgewählte Benutzergruppe ausgewählte Einträge werden aus dieser Liste entfernt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Anlegen einer Benutzergruppe

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen einer Benutzergruppe

Um eine Benutzergruppe anzulegen:

  1. markieren Sie in der Baumansicht des Projektmanagers unter dem Eintrag Benutzerverwaltung den Eintrag Benutzergruppen
  2. klicken Sie mit der rechten Maustaste in den Bereich Detailansicht (Detailansicht des Projektmanagers) oder direkt auf den Eintrag Benutzergruppen
  3. wählen Sie im Kontextmenü den Befehl Benutzergruppe neu oder klicken Sie alternativ dazu auf das entsprechende Symbol in der Symbolleiste
  4. die Dialogbox Neue Benutzergruppe anlegen wird geöffnet
  5. definieren Sie Namen und Berechtigungsebenen

info Info

In einem Projekt muss jede Benutzergruppe einen eindeutigen Namen haben.

Es ist möglich im Globalprojekt und im lokalen Projekt Benutzergruppen mit gleichen Namen zu erstellen. Ist dies der Fall, werden bei einem Konflikt die Berechtigungen der Benutzergruppe aus dem lokalen Projekt herangezogen. Wird die lokale Benutzergruppe gelöscht, erhält der Benutzer nach dem Kompilieren der Runtime-Dateien im Editor wiederum die Rechte aus der Gruppe des Globalprojektes.

Beispiel:

Im lokalen Projekt und im Globalprojekt ist jeweils eine Benutzergruppe A vorhanden. Im Globalprojekt sind ihr die Berechtigungsebenen 1, 2, 3, 100 und 101 zugewiesen, im lokalen Projekt die Berechtigungsebenen 1 und 2. Zur Runtime gelten die Regeln aus dem lokalen Projekt, es werden also nur die Berechtigungsebenen 1 und 2 zugewiesen. Ist im lokalen Projekt keine Benutzergruppe A vorhanden, haben Mitglieder der Gruppe A die Berechtigungsebenen 1, 2, 3, 100 und 101 aus dem Globalprojekt.

Noch in diesem Kapitel

Benutzergruppe benennen

Berechtigungsebenen

Reihenfolge in Message Control


Benutzergruppe benennen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen einer Benutzergruppe > Benutzergruppe benennen

Parameter | Beschreibung
Name | Name für die neue Benutzergruppe Achtung: @ ist kein gültiges Zeichen für den Namen einer Benutzergruppe.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Berechtigungsebenen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen einer Benutzergruppe > Berechtigungsebenen

Zuordnung von Berechtigungsebenen zu einer Benutzergruppe. Es stehen 128 Berechtigungsebenen (0 bis 127) zur Verfügung.

Berechtigungsebenen weisen Sie zu über den Dialog beim Anlegen einer Benutzergruppe oder über die Eigenschaft Berechtigungsebenen.

Dialog Berechtigungsebenen

Parameter | Beschreibung
Verfügbare Berechtigungsebenen | Liste aller verfügbarer Berechtigungen
Ausgewählte Berechtigungsebenen | Liste der zugewiesenen Berechtigungen
Schaltfläche Doppelpfeil nach rechts | In der Liste Verfügbare Berechtigungsebenen ausgewählte Einträge werden zur Liste Ausgewählte Berechtigungsebenen hinzugefügt.
Schaltfläche Doppelpfeil nach links | In der Liste Ausgewählte Berechtigungsebenen ausgewählte Einträge werden aus dieser Liste entfernt.

Hinweis: Jede gewünschte Ebene muss dezidiert zugewiesen werden. Eine gewählte Ebene schließt weder darunterliegende noch folgende Ebenen mit ein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Reihenfolge in Message Control

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Anlegen einer Benutzergruppe > Reihenfolge in Message Control

Legt die Reihenfolge der Benutzer innerhalb einer Gruppe für die Verwendung im Modul Message Control fest.

Parameter | Beschreibung
Benutzer | Liste aller verfügbaren Benutzer.
Nach oben | Reiht ausgewählten Benutzer um eine Position nach oben.
Nach unten | Reiht ausgewählten Benutzer um eine Position nach unten.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ändern eines Benutzers

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Ändern eines Benutzers

Das Ändern eines Benutzers erfolgt durch Auswahl des Benutzers aus der Liste der Detailansicht. Dadurch werden im Eigenschaften-Fenster die betreffenden Eigenschaften angezeigt und können hier geändert werden.


Änderung einer Benutzergruppe

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Änderung einer Benutzergruppe

Das Ändern einer Benutzergruppe erfolgt durch Auswahl der Benutzergruppe aus der Liste der Detailansicht. Dadurch werden im Eigenschaften-Fenster die betreffenden Parameter angezeigt. Sie können die Parameter Name, und Berechtigungsebenen ändern.

info Info

Wenn Sie eine Benutzergruppe umbenennen, verlieren alle Benutzer, die mit dieser Benutzergruppe verknüpft waren, diese Verknüpfung. Die Benutzergruppe wird mit (del) angezeigt.

Ist jedoch im Globalprojekt eine Benutzergruppe mit gleichem Namen vorhanden, übernehmen alle Benutzer, die zuvor mit der umbenannten Benutzergruppe verknüpft waren, die Berechtigungsebenen dieser Benutzergruppe.


Namensänderung der Berechtigungsebenen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Namensänderung der Berechtigungsebenen

Die Namen der Berechtigungsebenen können Sie global für Ihr Projekt ändern. Dazu gehen Sie bei den Projekteigenschaften zur Gruppe Benutzerverwaltung und klicken dort auf die Eigenschaft Berechtigungsebenen umbenennen.

Mit einem Doppelklick in die gewünschte Zeile der Spalte Name öffnen Sie das Editierfeld. Nehmen Sie die Änderungen vor. Die Eingabe wird beendet, sobald der Fokus nicht länger im Feld steht oder wenn Sie mit Enter-Taste bestätigen. Die Namensänderung wird nicht durchgeführt, wenn Sie die Esc-Taste drücken oder Sie das Editierfeld leer lassen.


Benutzerauswahl: einzelner Benutzer

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Benutzerauswahl: einzelner Benutzer

Im Dialog Benutzerauswahl wählen Sie zur Runtime einen Benutzer für die Verwendung in einem anderen Modul aus.

Um einen Benutzer auszuwählen:

  1. Markieren Sie den gewünschten Benutzer in der Liste der vorhandenen Benutzer.
  2. Bestätigen Sie die Eingaben mit OK.

    Der Benutzer wird hinzugefügt.

Dialog Benutzerauswahl

Option | Beschreibung
Liste Arbeitsbereich | Anzeige und Auswahl der Projekte, aus denen Benutzer ausgewählt werden können.
Liste Benutzer | Anzeige der Benutzer des ausgewählten Projekts. Diese Liste kann gefiltert werden.
Keine Auswahl | Ein bereits vorhandener Benutzer wird wieder abgewählt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Benutzerauswahl: mehrere Benutzer

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Benutzerauswahl: mehrere Benutzer

Im Dialog Benutzerauswahl wählen Sie mehrere Benutzer für die Verwendung in einem anderen Modul aus.

Um Benutzer auszuwählen:

  1. Markieren Sie die gewünschten Benutzer in der Liste der vorhandenen Benutzer.
  2. Übernehmen Sie die Auswahl mit Hinzufügen in die Liste der ausgewählten Benutzer.
  3. Bestätigen Sie die Eingaben mit OK.

    Die Benutzer werden dem aufrufenden Dialog hinzugefügt.

Dialog Benutzerauswahl

Option | Beschreibung
Projektliste | Enthält die für die Auswahl verfügbaren Projekte. Hinweis: Für Schichtmanagement steht nur das aktive Projekt zur Verfügung.
Liste vorhandene Benutzer | Zeigt alle verfügbaren Benutzer an.
Pfeiltasten | Ermöglichen das Navigieren in der Liste bei Touch-Bedienung.
Liste ausgewählte Benutzer | Zeigt alle für die Verwendung im Modul ausgewählten Benutzer an.
Pfeiltasten | Ermöglichen das Navigieren in der Liste bei Touch-Bedienung.
Hinzufügen | Fügt die in der Liste vorhandene Benutzer markierten Benutzer zur Liste Liste ausgewählte Benutzer hinzu.
Entfernen | Entfernt alle markierten Benutzer aus der Liste ausgewählte Benutzer.
Keine Auswahl | Entfernt die beim Aufrufen des Dialogs bereits in der Liste ausgewählte Benutzer vorhandenen Benutzer aus dem Dialog.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Funktionsberechtigungen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Funktionsberechtigungen

In zenon können Funktionsberechtigungen zugewiesen werden. Diese Funktionsberechtigungen beziehen sich zur Runtime auf Funktionen und im Editor auf die Konfiguration von Modulen. Fehlt einem Benutzer die Funktionsberechtigung, so sind

  • zur Runtime: die entsprechenden Funktionen nicht ausführbar
  • im Editor: Symbolleisten und Kontextmenüs des entsprechenden Moduls ausgegraut

Projektierung der Funktionsberechtigungen

Funktionsberechtigungen werden im zenon Editor projektiert.

Zuweisung der Funktionsberechtigungen

Diese Zuweisung erfolgt via:

  • Funktionsberechtigungen Runtime
  • Funktionsberechtigungen Editor

Für Globalprojekte erfolgt die Zuordnung gleich wie für den Editor. Die Auswahlmöglichkeit ist dabei auf die in einem Globalprojekt vorhandenen Knotenpunkte abgestimmt.

Sobald im Projekt eine oder mehrere Berechtigungsebenen größer 0 verwendet werden, erscheint beim Laden des Projektes im Editor ein Login-Dialog. Dieser Dialog erscheint auch, wenn nur ein Benutzer in dem Projekt angelegt wurde. Dadurch können Projekte im Editor geschützt werden. Bei der Eingabe von Benutzername und Passwort wird zwischen Groß- und Kleinschreibung unterschieden (Case sensitivity).

Generell gilt:

  • Alle Projektierungen für DragOver und Drag&Drop berücksichtigen Modulrechte.
  • Bei nicht vorhandenen Modulrechten:
    • Sind die dazugehörigen Menü- und Symbolleisten im zenon Editor ausgegraut.
    • Ist keine Projektierungsänderung in den Knoten und Unterknoten der Detailansicht möglich.
    • Sind die entsprechenden Tastenkombinationen nicht aktiv.
    • Sind die Eigenschaften im Eigenschaftenfenster ausgegraut. Dadurch sind auch weiterführende oder "tiefer liegende" Projektierungen nicht erreichbar (z.B. Combi-Zustände, Rema-Zustände, Archivprojektierung, etc.).
    • Bei fehlenden Modulrechten für die Funktionsberechtigung Bilder ist auch eine Bearbeitung von Bildern mit der Maus nicht möglich.

attention Achtung

Achten Sie daher bereits bei der Projektierung darauf, dass mindestens einem Benutzer folgende drei Berechtigungsebenen zugewiesen sind:

  • Projekt laden
  • Projekt
  • Benutzerverwaltung

info Info

Ist für das Globalprojekt eine Berechtigungsebene größer 0 für das Editieren von Bildern konfiguriert und dem eingeloggten Benutzer fehlt diese Berechtigungsebene, wird das Einfügen von Symbolen in die Symbolbibliothek des Globalprojekts unterbunden. Verlinkte Symbole aus dem Globalprojekt können in Bildern des Lokalprojekts in diesem Fall auch nicht bearbeitetet werden.

Noch in diesem Kapitel

Projektierung der Funktionsberechtigung

Funktionsberechtigungen Runtime

Funktionsberechtigungen Editor


Projektierung der Funktionsberechtigung

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Funktionsberechtigungen > Projektierung der Funktionsberechtigung

Um eine Funktionsberechtigung zu vergeben:

  1. Wählen Sie in den Projekteigenschaften die Eigenschaftengruppe Benutzerverwaltung.
  2. Klicken Sie im Eigenschaftenfeld Funktionsberechtigungen auf die Schaltfläche ....

    Der Dialog zur Konfiguration wird geöffnet.

  3. Vergeben Sie die Funktionsberechtigung für:
    • die jeweilige Funktion zur Runtime
      und/oder
    • für das jeweilige Modul im Editor
  4. Weisen Sie der gewünschten Funktionsberechtigung eine Berechtigungsebene zu.

Voraussetzung dafür ist, dass Sie auch über die jeweiligen Lizenzrechte für das entsprechende Modul verfügen. Dies wird bei der Projektierung der einzelnen Berechtigungsebenen nicht berücksichtigt.

Hinweise Funktionsberechtigungen für den Editor:

  • Änderungen der Funktionsberechtigungen werden erst nach Neustart des Editors oder dem Neuladen des Projektes wirksam.
  • Achten Sie darauf, dass mindestens ein Benutzer die erforderlichen Berechtigungen hat, um Einstellungen der Benutzerberechtigung zu bearbeiten.


Funktionsberechtigungen Runtime

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Funktionsberechtigungen > Funktionsberechtigungen Runtime

Wurden Funktionsberechtigungen für die Runtime vergeben, müssen sich Benutzer anmelden und über die entsprechende Berechtigungsebene verfügen, damit sie dieses Funktionen ausführen können.

Konfiguration Funktionsberechtigungen Runtime

Für alle Aktionen muss der Benutzer angemeldet sein und über die entsprechende Berechtigungsebene verfügen.

Funktionsberechtigungen Allgemein

Parameter

Beschreibung

Bearbeiten Erweiterter Trend

Kurven im Erweiterten Trend können zur Runtime bearbeitet werden. Bei fehlender Berechtigung sind folgende Kontrollelemente nicht verfügbar:

  • Diagramm
  • Kurven
  • Einstellungen
  • Cursor ein/aus
  • X-Achse

Bild zurück (PGUP)

Bild zurück-Funktionen können in der Runtime ausgeführt werden.

Bildumschaltung: "Diesen Dialog zur Runtime anbieten" ermöglichen

Die Funktion Bildumschaltung kann mit aktiver Option Diesen Dialog zur Runtime anbieten nur ausgeführt werden, wenn der eingeloggte Benutzer über die entsprechende Berechtigungsgruppe verfügt.

Notizbuch: Datei öffnen

Die Funktion Datei öffnen im Bild Typ Notizbuch kann nur ausgeführt werden, wenn der eingeloggte Benutzer über die entsprechende Berechtigungsgruppe verfügt.

Notizbuch: Datei speichern

Die Funktion speichern im Bild Typ Notizbuch kann nur ausgeführt werden, wenn der eingeloggte Benutzer über die entsprechende Berechtigungsgruppe verfügt.

Funktionsberechtigungen Alarme

Parameter

Beschreibung

Alarm Kommentar ändern

Ein für die Quittierung nötiger Kommentar darf geändert werden.

Alarm Kommentar eingeben

Ein für die Quittierung nötiger Kommentar darf eingegeben werden.

Alarmquittierung bestätigen

Alarme dürfen zur Runtime quittiert werden.

Alarm quit.über Alarmstatuszeile/Kontextmenü

Quittieren des Alarms über die Alarmstatuszeile oder das Kontextmenü ist nur möglich, wenn die Berechtigung in dem Projekt zum aktuell angezeigten Alarm vorhanden ist.

Bei Mehrprojektverwaltung: Quittieren der Systemmeldung in der Alarmstatuszeile oder über das Kontextmenü ist nur möglich, wenn die Berechtigung im Integrationsprojekt vorhanden ist.

Anmerkung: Systemmeldungen sind jene Meldungen, die beim Erreichen einer einstellbaren Alarmanzahl in der Alarmstatuszeile ausgegeben werden.

Alarm quit. über Bilder vom Typ Alarmmeldeliste

Quittieren über ein Bild vom Typ Alarmmeldeliste ist nur mit der Berechtigung in dem mit der Variablen verknüpften Projekt möglich (Mehrprojektverwaltung).
Hinweis: Wenn die Berechtigung fehlt, wird zwar das Blinken abgestellt, aber der Alarm nicht quittiert.

Alarm quittieren über Funktion

Das Quittieren über eine Funktion ist nur möglich, wenn die Berechtigung zu den ausgewählten Alarmen in den jeweiligen Projekten vorhanden ist.

Archiv editieren

Archivdaten (Archivserver) können zur Runtime geändert werden.

Sie können für jede dieser Quittiermethoden unterschiedliche Berechtigungsgruppen einstellen. Damit können Sie z. B. festlegen, dass eine Benutzergruppe nur über die Alarmstatuszeile quittieren kann und nicht anders.

info Info

Das Quittieren eines Alarms ist nur möglich, wenn die Berechtigung zu den ausgewählten Alarmen in den jeweiligen Projekten vorhanden ist.

Funktionsberechtigungen Batch Control

Parameter | Beschreibung
Batch Control: Rezept/Teilrezept importieren | Rezepte können im Modul Batch Control als XML-Datei nur importiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept - Erstellen, umbenennen, duplizieren | Steuerrezepte im Modul Batch Control können nur erstellt und verwaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept - Grundfunktion editieren | Grundfunktionen können in Steuerrezepte im Modul Batch Control nur editiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept - Löschen | Steuerrezepte im Modul Batch Control können nur gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Anstehende Bedingung überspringen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann aus einer Grundfunktion ausgestiegen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Aus der Grundfunktion aussteigen | Beim Ausführen von Steuerrezepten im Modul Batch Control können anstehende Bedingungen nur übersprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Ausführungsmodus umschalten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control der Ausführungsmodus nur umgeschaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Ausführungsmodus umschalten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann der Ausführungsmodus nur umgeschaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Einzelschritte ausführen, springen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann beim Ausführen von Einzelschritten nur gesprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion anhalten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion fortsetzen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion neu starten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur dann neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion pausieren | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept abbrechen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann die Rezeptausführung nur abgebrochen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept anhalten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept fortsetzen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept neu starten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur dann neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept pausieren | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept starten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept stoppen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur gestoppt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Teilrezept - Erstellen, editieren, umbenennen, duplizieren, speichern | Teilrezepte im Modul Batch Control können nur erstellt, bearbeitet und verwaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Teilrezept - Freigeben | Teilrezepte im Modul Batch Control können nur frei gegeben werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Teilrezept - Löschen | Teilrezepte im Modul Batch Control können nur gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Erstellen, editieren, umbenennen, duplizieren, speichern | Vorlagenrezepte im Modul Batch Control können nur erstellt und verwaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Freigeben | Vorlagenrezepte im Modul Batch Control können nur frei gegeben werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Löschen | Vorlagenrezepte im Modul Batch Control können nur gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Umschalten zwischen Testmodus und Editiermodus | Das Umschalten zwischen Testmodus und Editiermodus ist bei Vorlagenrezepte im Modul Batch Control nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Als veraltet kennzeichnen | Vorlagenrezepte im Modul Batch Control können nur als veraltet gekennzeichnet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Anstehende Bedingung überspringen | Im Testmodus ist bei Vorlagenrezepte im Modul Batch Control das Überspringen einer anstehenden Bedingung nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Aus der Grundfunktion aussteigen | Im Testmodus ist bei Vorlagenrezepte im Modul Batch Control der Ausstieg aus einer Grundfunktion nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Einzelschritte ausführen, springen | Im Testmodus ist bei Vorlagenrezepte im Modul Batch Control das Springen beim Ausführen von Einzelschritten nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion anhalten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion editieren | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur editiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion fortsetzen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion neu starten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur dann neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion pausieren | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept abbrechen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur abgebrochen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept anhalten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept fortsetzen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept neu starten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept pausieren | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept starten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept stoppen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur gestoppt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.

Funktionsberechtigungen Schaltfolgen:

Parameter | Beschreibung
Schaltfolgen: Ausführung abbrechen | Beim Ausführen von Schaltfolgen im Modul Schaltfolgen kann eine entsprechende Schaltfolge nur dann abgebrochen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführung fortsetzen | Im Modul Schaltfolgen kann eine pausierte Schaltfolge nur dann fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführung pausieren | Im Modul Schaltfolgen kann eine entsprechende Schaltfolge nur dann pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführung starten | Der Start einer Schaltfolge im Modul Schaltfolgen ist nur dann möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführungsmodus umschalten | Beim Ausführen von Schaltfolgen im Modul Schaltfolgen können Einzelschritte nur dann ausgeführt werden oder beim Ausführen von Einzelschritten kann nur dann gesprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Einzelschritte ausführen, springen | Beim Ausführen von Schaltfolgen im Modul Schaltfolgen können Einzelschritte nur dann ausgeführt werden oder beim Ausführen von Einzelschritten kann nur dann gesprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Erstellen, editieren, umbenennen, duplizieren, speichern | Die Verwaltung von Schaltfolgen im Modul Schaltfolgen - z.B. Neuerstellung, Änderung, Umbenennung, Duplizierung und Speichern - können nur dann projektiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Löschen | Im Modul Schaltfolgen können projektierte Schaltfolgen nur dann gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Schaltfolge importieren | Schaltfolgen können im Modul Schaltfolgen als XML-Datei nur dann importiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Umschalten zwischen Ausführungs- und Editiermodus | Ein Moduswechsel (Editiermodus oder Ausführungsmodus) ist im Modul Schaltfolgen nur dann möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.

Funktionsberechtigungen Schichtmanagement:

Parameter | Beschreibung
Schichtmanagement: Schicht erzeugen, editieren oder löschen | Beim Projektieren von Schichten im Modul Schichtmanagement zur Runtime kann eine Schicht nur erzeugt, editiert oder gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schichtmanagement: Schichtmodell erzeugen, editieren oder löschen | Beim Projektieren von Schichtmodellen im Modul Schichtmanagement zur Runtime kann eine Schicht nur erzeugt, editiert oder gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt

Berechtigungsebenen bearbeiten

Ändern

Öffnet den Dialog zur Auswahl der Berechtigungsebenen. (Die Registerkarte Benutzergruppe wird dabei ausgeblendet.)

Die gewählte Berechtigungsebene wird für alle ausgewählten Funktionen gesetzt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktionsberechtigungen Editor

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Funktionsberechtigungen > Funktionsberechtigungen Editor

Wurde für mindestens ein Modul eine Funktionsberechtigung vergeben, müssen sich Anwender beim Öffnen des Editors anmelden. Dazu wird beim Start des Editors ein Dialog aufgeschaltet. Dieser zeigt in der Titelzeile den aktuellen Projektnamen an und ermöglicht die Anmeldung.

Diese Funktionsberechtigungen können nur in diesem Projekt selbst wieder geändert werden. Es ist nicht nicht möglich, Funktionsberechtigungen mit Benutzern aus dem Globalprojekt oder anderen Projekten zu bearbeiten.

attention Achtung

Achten Sie darauf, dass mindestens ein Benutzer die erforderlichen Berechtigungen hat, um Einstellungen der Benutzerberechtigung im Editor zu bearbeiten. Wurden keine Benutzer konfiguriert oder nur Benutzer mit fehlenden Berechtigungsebenen kann das dazu führen, dass das Projekt nicht mehr bearbeitet werden kann.

Konfiguration Funktionsberechtigungen Editor

Modul

Beschreibung

Änderungshistorie ein/ausschalten

Die Änderungshistorie kann im Editor nur dann ein/ausgeschaltet werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Anlagenmodellierung

Das Modul Anlagenmodellierung steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Archivserver

Das Modul Archivserver steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Batch Control

Das Modul Batch Control steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Benutzerverwaltung

Benutzer und Benutzergruppen können im Editor nur dann bearbeitet und projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Anmerkung: Um sich nicht aus einem Projekt auszusperren, muss mindestens einem Benutzer diese Funktionsberechtigung zugewiesen sein.

Bilder

Der Knoten Bilder steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Dateien

Der Knoten Dateien steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Funktionen

Funktionen und Skripte können im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Last-Management

Das Modul Last-Management steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Menüs

Menüs können im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Message Control

Das Modul Message Control steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Production & Facility Scheduler

Das Modul Production & Facility Scheduler steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Programmierschnittstellen

Der Knoten Programmierschnittstellen steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Projekt

Die Projekteigenschaften können im Editor nur dann geändert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Anmerkung: Um sich nicht aus einem Projekt auszusperren, muss mindestens einem Benutzer diese Funktionsberechtigung zugewiesen sein.

Projekt laden

Das Projekt kann im Editor nur geladen werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Anmerkung: Um sich nicht aus einem Projekt auszusperren, muss mindestens einem Benutzer diese Funktionsberechtigung zugewiesen sein.

Report Generator

Der Report Generator steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Rezepte

Standard-Rezepte sowie der Rezeptgruppen-Manager können im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

SAP Interface

Das Modul SAP Interface steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Sprachdatei

Sprachumschaltung kann im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Stile

Das Modul Stile steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Hinweis: Stile sind nur im Globalprojekt verfügbar.

Variablen

Der Knoten Variablen steht im Editor nur dann zur Bearbeitung und Projektierung zur Verfügung, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Verriegelungen

Verriegelungen können im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Zeitsteuerung

Zeitsteuerung können im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

zenon Logic

zenon Logic Projekte können im Editor nur dann bearbeitet oder projektiert werden, wenn dem eingeloggten Benutzer die entsprechende Berechtigungsebene zugewiesen ist.

Berechtigungsebenen bearbeiten

Ändern

Öffnet den Dialog zur Auswahl der Berechtigungsebenen. (Die Registerkarte Benutzergruppe wird dabei ausgeblendet.)

Die gewählte Berechtigungsebene wird für alle ausgewählten Funktionen gesetzt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Mit der Tastenkombination Strg+Mausklick oder Umschalt+Mausklick können Sie mehrere Einträge gleichzeitig auswählen.

  • Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden.
  • Wenn Sie die Umschalt-Taste gedrückt halten und zwei Einträge anklicken, werden alle Einträge ausgewählt, die sich zwischen den beiden Einträgen befinden.
  • Bei gleichzeitigem Drücken und Halten von Steuerung- und Umschalt-Taste und Auswählen von zwei Einträgen,werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung

Login

Das Login zur Runtime kann erfolgen über:

  • Bild vom Typ Login: Permanentes Login, temporäres Login und/oder Eingabe einer Signatur über Bildumschaltung.
  • Modaler Dialog Temporäres Login : Wird für temporäres Login verwendet, wenn kein Bild vom Typ Login verknüpft ist.
  • Funktion Login mit Dialog : Login über einen modalen Dialog oder den Bildtyp Login, falls dieser verknüpft wurde.
  • Funktion Login ohne Passwort : Anmeldung eines Benutzers ohne Passworteingabe durch direkte Verknüpfung oder per Chip Ident System.

Soll ein Bild vom Typ Login für temporäres Login oder die Funktion Login mit Dialog verwendet werden, muss es in der Projekteigenschaft Bild für Login verknüpft werden.

Benutzerverwaltung

Für die Verwaltung von Benutzern stehen zur Verfügung:

  • Bild vom Typ Benutzerliste: Listet alle angelegten zenon Benutzer auf und ermöglicht es, diese über das Bild vom Typ Benutzer editieren anzulegen, zu editieren oder zu löschen und Berechtigungsebenen zu konfigurieren.
  • Bild vom Typ Benutzergruppenliste: Listet alle angelegten zenon Benutzergruppen auf und ermöglicht es, neue zu erstellen und Berechtigungsebenen zu konfigurieren.
  • Bild vom Typ Benutzer editieren: Ermöglicht das Editieren von Benutzern und Passwörtern zur Runtime.
  • Funktion Benutzer ändern: Öffnet einen Dialog zum Editieren von Benutzern und Benutzergruppen.
  • Funktion Passwort ändern: Öffnet einen Dialog zum Editieren des eigenen Passworts.

Noch in diesem Kapitel

Bild vom Typ Login anlegen

Bild vom Typ Benutzerliste anlegen

Bild vom Typ Benutzergruppenliste anlegen

Bild vom Typ Benutzer editieren anlegen


Bild vom Typ Login anlegen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Login anlegen

Bild vom Typ Login anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Login.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ Login

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Aktueller Benutzer (Anzeige) | Anzeige des aktuell angemeldeten Benutzers. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Benutzername | Eingabebereich für Benutzername. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Passwort | Eingabebereich für das Passwort. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Signatur | Eingabebereich für die Signatur. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
OK | Schaltfläche zum Einloggen und Schließen des Fensters.
Abbrechen | Bricht Login-Vorgang ab.
Übernehmen | Übernimmt Eingaben und lässt Dialog geöffnet. Ausnahme: Wird die maximale Anzahl der ungültigen Anmeldeversuche über die Projekteigenschaft Max. Benutzerfehleing. auf 0 gesetzt, dann wird das Fenster geschlossen.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Benutzer | Eigenschaften für Benutzer.
Aktueller Benutzer (Anzeige) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Benutzername | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Passwort | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Signatur | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Hinweis: Für Kontrollelemente vom Typ Dynamischer Text oder Schalter wird die jeweilige Funktionalität über die Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

info Info

Beim Einloggen/Ausloggen werden in allen betroffenen Projekten die entsprechenden Einträge in die CEL erstellt.

Noch in diesem Kapitel

Bildumschaltung auf Login


Bildumschaltung auf Login

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Login anlegen > Bildumschaltung auf Login

Mit der Bildumschaltung definieren Sie, welches Bild zur Runtime für das Login von Benutzern geöffnet wird.

Um eine Bildumschaltung auf ein Bild vom Typ Login anzulegen:

  1. Erstellen Sie eine Funktion.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das Bild vom Typ Login.
  4. Verknüpfen Sie die Funktion mit einem Button.


Bild vom Typ Benutzerliste anlegen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzerliste anlegen

Das Bild vom Typ Benutzerliste listet alle angelegten zenon Benutzer des Projekts auf und ermöglicht es, das Bild vom Typ Benutzer editieren aufzurufen und damit Benutzer anzulegen, editieren oder zu löschen und Berechtigungsebenen zu konfigurieren. Benutzer aus dem Globalprojekt werden nicht angezeigt und können nicht verwaltet werden.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Benutzerliste.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Hinweis: Dieser Bildtyp steht unter Windows CE nicht zur Verfügung.

Darstellung von längeren Texten in Listen

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Benutzerliste | Zeigt die konfigurierten Benutzer an.
Neu | Öffnet das in der Bildumschaltung definierte Bild zum Anlegen eines neuen Benutzers.
Editieren | Öffnet das in der Bildumschaltung definierte Bild zum Bearbeiten eines neuen Benutzers.
Löschen | Löscht den ausgewählten Benutzer nach einer Sicherheitsabfrage.
Funktionsberechtigungen | Öffnet den Dialog zur Vergabe von Funktionsberechtigungen.

Noch in diesem Kapitel

Bildumschaltung auf Benutzerliste


Bildumschaltung auf Benutzerliste

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzerliste anlegen > Bildumschaltung auf Benutzerliste

Mit der Bildumschaltung definieren Sie auch, welches Bild zur Runtime für das Erstellen oder Bearbeiten von Benutzern geöffnet wird.

Um eine Bildumschaltung auf ein Bild vom Typ Benutzerliste anzulegen:

  1. Erstellen Sie eine Funktion.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das Bild vom Typ Benutzerliste.
  4. Der Dialog zur Konfiguration wird geöffnet.
  5. Konfigurieren Sie die Bildumschaltung.
  6. Bestätigen Sie die Konfiguration mit Klick auf OK.
  7. Verknüpfen Sie die Funktion mit einem Button.

Dialog Benutzerliste

Parameter | Beschreibung
Spalteneinstellungen | Anzeige und Konfiguration der Spalten. Reihung erfolgt durch Verschieben mit der Maus oder über die Schaltfläche Spaltenauswahl. Einstellung Spaltenbreite durch Ziehen mit der Maus oder über die Schaltfläche Spaltenformat.
Spaltenauswahl | Öffnet den Dialog zur Konfiguration der Spalten.
Spaltenformat | Öffnet den Dialog zur Formatierung der Spalten.
Verknüpfte Bilder | Konfiguration der Bilder, die zur Runtime beim Klick auf die Buttons Neu und Editieren geöffnet werden.
Bild für Button "Benutzer neu" | Öffnet den Dialog zur Bildauswahl, um ein Bild zum Anlegen eines neuen Benutzers zur Runtime auszuwählen. Es können nur Bilder vom Typ Benutzer editieren gewählt werden.
Bild für Button "Benutzer editieren" | Öffnet den Dialog zur Bildauswahl, um ein Bild zum Bearbeiten eines Benutzers zur Runtime auszuwählen. Es können nur Bilder vom Typ Benutzer editieren gewählt werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzerliste anlegen > Bildumschaltung auf Benutzerliste > Spaltenauswahl

Konfiguration der anzuzeigenden Spalten:

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzerliste anlegen > Bildumschaltung auf Benutzerliste > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bild vom Typ Benutzergruppenliste anlegen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzergruppenliste anlegen

Bild vom Typ Benutzergruppenliste anlegen

Das Bild vom Typ Benutzergruppenliste dient dazu, alle im Projekt angelegten zenon Benutzergruppen aufzulisten und ermöglicht es, neue Gruppen zu erstellen sowie Berechtigungsebenen zuzuweisen. Benutzergruppen aus dem Globalprojekt werden nicht angezeigt und können nicht verwaltet werden.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Benutzergruppenliste .
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Gruppenliste

Kontrollelemente für die Anzeige der Benutzergruppen.

Kontrollelement | Beschreibung
Vorherige Gruppe | Navigiert zur vorherigen Gruppe.
Gruppenliste | Liste der verfügbaren Benutzergruppen.
Nächste Gruppe | Navigiert zur nächsten Gruppe.
Neue Gruppe | Legt eine neue Benutzergruppe an. Fokus wird zur Eingabe auf das Kontrollelement Gruppenname gesetzt. Klick auf den Button OK nach Eingabe des Namens erstellt neue Benutzergruppe.
Gruppe löschen | Löscht ausgewählte Gruppe nach einer Sicherheitsabfrage.

Eigenschaften

Vergabe von Gruppennamen und Bestätigung/Ablehnung von Änderungen.

Kontrollelement | Beschreibung
Gruppenname | Anzeige oder Eingabe eines Gruppennamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
OK | Übernimmt Änderungen.
Abbrechen | Verwirft alle Änderungen seit der letzten Übernahme durch OK.

Berechtigungsebenen

Konfiguration der Berechtigungsebenen.

Kontrollelement | Beschreibung
Verfügbare Berechtigungsebenen | Anzeige der verfügbaren Berechtigungsebenen.
Vorherige verfügbare Ebene | Navigiert zur vorherigen Ebene.
Listbox | Anzeige der Berechtigungsebenen.
Nächste verfügbare Ebene | Navigiert zur nächsten Ebene.
Ebene übernehmen (>>) | Verschiebt ausgewählte Ebene von Verfügbare Berechtigungsebenen zu Ausgewählte Berechtigungsebenen.
Ebene entfernen (<<) | Verschiebt ausgewählte Ebene von Ausgewählte Berechtigungsebenen zu Verfügbare Berechtigungsebenen.
Ausgewählte Berechtigungsebenen | Anzeige der für die Benutzergruppe ausgewählten Berechtigungsebenen.
Vorherige ausgewählte Ebene | Navigiert zur vorherigen Ebene.
Listbox | Anzeige der ausgewählten Berechtigungsebenen.
Nächste ausgewählte Ebene | Navigiert zur nächsten Ebene.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Gruppenname | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Hinweis: Für Kontrollelemente vom Typ Dynamischer Text oder Schalter wird die jeweilige Funktionalität über die Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Noch in diesem Kapitel

Bildumschaltung auf Benutzergruppenliste


Bildumschaltung auf Benutzergruppenliste

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzergruppenliste anlegen > Bildumschaltung auf Benutzergruppenliste

Mit der Bildumschaltung definieren Sie auch, welches Bild zur Runtime für das Erstellen oder Bearbeiten von Benutzergruppen geöffnet wird.

Um eine Bildumschaltung auf ein Bild vom Typ Benutzergruppenliste anzulegen:

  1. Erstellen Sie eine Funktion.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das Bild vom Typ Benutzergruppenliste.
  4. Bestätigen Sie die Konfiguration mit Klick auf OK.
  5. Verknüpfen Sie die Funktion mit einem Button.


Bild vom Typ Benutzer editieren anlegen

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzer editieren anlegen

Dieser Bildtyp ermöglicht das Editieren von Benutzern zur Runtime. Je nach Konfiguration der Bildumschaltung können Benutzer erstellt oder bearbeitet oder Passwörter geändert werden. Benutzer und Benutzergruppen aus dem Globalprojekt können nicht verwaltet werden.

Hinweis: Dieser Bildtyp steht unter Windows CE nicht zur Verfügung.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Benutzer editieren.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Benutzer

Kontrollelemente zur Benutzerkonfiguration.

Kontrollelement

Beschreibung

Benutzername

Geben Sie hier den Benutzernamen ein. Der Benutzer meldet sich mit seinem Benutzernamen am System an.

Maximale Länge: 20 Zeichen.

Hinweis: Dieser Name muss eindeutig sein und kann nur einmalig vergeben werden. Wenn versucht wird, einen bereits bestehenden Benutzer erneut anzulegen, wird eine Fehlermeldung ausgegeben.

Vollständiger Name

Geben Sie den vollständigen Namen des Benutzers ein. Damit ordnen Sie Benutzernamen realen Personen zu.

Login-Code

Eingabe des Login-Codes für die Anmeldung ohne Passwort.

Für den Login-Code gilt:

  • Muss innerhalb des Projekts eindeutig sein.
    Hinweis: Wird derselbe Login-Code für einen Benutzer im lokalen Projekt und im Globalprojekt verwendet, dann wird beim Erzeugen der Runtime-Dateien im Editor der Benutzer aus dem Globalprojekt nicht übertragen. Beachten Sie die entsprechende Fehlermeldung im Ausgabefenster. Bei Änderungen des Login-Codes zur Runtime, darf dieser nicht dem Code eines Benutzers aus dem Globalprojekt entsprechen.
  • Darf leer sein.
    Damit ist er für diesen Benutzer deaktiviert.
  • Maximale Länge: 1000 Zeichen
  • Darf nicht ausschließlich aus Leerzeichen bestehen.
  • Führende oder schließende Leerzeichen sind verboten.
  • Alle anderen Zeichen sind erlaubt.

Default: (leer)

Wird ein ungültiger Login-Code eingegeben, wird beim Schließen des Dialogs eine entsprechende Fehlermeldung angezeigt.

Details siehe Kapitel Login über Login-Code.

Benutzertyp

Dropdownliste zur Auswahl des Benutzertyps:

  • Benutzer:
    Darf entsprechend der ihm zugeteilten Berechtigungsebenen Bedienhandlungen vornehmen.
  • Hauptbenutzer:
    Darf zusätzlich Benutzer erstellen und editieren. Ob das auch für andere Hauptbenutzer gilt, wird über die Option Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren konfiguriert.
  • Administrator:
    Darf alle anderen Benutzer und Hauptbenutzer anlegen und editieren, sowie Sperren aufheben.

Aktiv

Checkbox.

Aktiv: Der Benutzer ist aktiv und kann sich zur Runtime einloggen.

Hinweis: Nach den Regeln der FDA 21 CFR PART 11 darf ein Benutzer nie gelöscht werden, damit auch zu jedem späteren Zeitpunkt nachvollzogen werden kann, wer welche Aktion durchgeführt hat. Daher darf bei Projekten, die diesen Regeln unterliegen, ein Benutzer nur deaktiviert aber nicht gelöscht werden.

Um das Löschen von Benutzern zu verhindern, deaktivieren Sie in den Projekteigenschaften in der Gruppe Benutzerverwaltung die Eigenschaft Löschen von Benutzern.

Gesperrt

Checkbox.

Aktiv: Der Benutzer ist zur Runtime gesperrt und kann sich nicht einloggen.

Diese Option wird automatisch gesetzt, wenn ein Benutzer sein Passwort öfter falsch eingegeben hat als erlaubt.

Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren

Checkbox.

Einstellungen für Detailrechte des Hauptbenutzers:

  • Aktiv: Darf auch andere Hauptbenutzer erstellen und editieren.
  • Inaktiv: Darf nur Benutzer erstellen und editieren.

Default: inaktiv

Sperrcode für Befehlsgabe

4-stelliger PIN-Code.

Dieser Code wird vom Benutzer in der Befehlsgabe verwendet, um Bereiche zu sperren oder wieder frei zu geben.
Nur verfügbar, wenn zenon Energy Edition lizenziert wurde.

Anmeldeprofil

Auswahl des Runtimeprofils, das beim Login angewendet wird, aus Dropdownliste:

  • Keines
  • Default
  • Last

Passwort ändern

Kontrollelemente zur Passwortkonfiguration.

Kontrollelement | Beschreibung
Altes Passwort | Aktuelles Passwort.
Neues Passwort | Eingabe neues Passwort. Die Eingabe erfolgt automatisch verdeckt. Beachten Sie bei sprachübergreifenden Projekten, dass es möglich sein muss, die Zeichen auf der entsprechenden Tastatur zur Runtime einzugeben.
Passwort bestätigen | Wiederholung des Passworts. Die Eingabe erfolgt automatisch verdeckt.

Message Control

Kontrollelemente zur Konfiguration des Message Control.

Kontrollelement

Beschreibung

Message Control Benutzer

Checkbox.

Aktiv: Der Benutzer wird vom Modul Message Control verwendet.

Telefon

Nummer des sprachfähigen Telefoniegeräts des Benutzers. Wird für Text-to-Speech verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl

in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

Mobiltelefon

Nummer des Mobiltelefons des Benutzers. Wird für Nachrichten über GSM und SMS verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl

in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

E-Mail

E-Mail Adresse des Benutzers.

Ersatzperson

Wird ein Benutzer nicht erreicht oder verweigert er die Annahme der Nachricht, kann eine Ersatzperson angegeben werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Benutzers. Es werden nur Benutzer zur Auswahl angeboten, die als Message Control Benutzer aktiviert wurden.

Ersatzperson auswählen

Schaltfläche ... öffnet den Dialog zur Auswahl einer Ersatzperson.

PIN-Code

PIN-Code, mit dem der Benutzer den Erhalt der Nachricht bestätigt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

NA-Code

PIN-Code, mit dem der Benutzer die Annahme der Nachricht verweigert (not available). Die Nachricht wird dann an den nächsten Benutzer in der Liste gesendet.

Ist kein weiterer Benutzer in der Liste eingetragen, so wird die Nachricht als "nicht erfolgreich quittiert" eingetragen. Die dazu zugeordnete Funktion wird ausgeführt. Zusätzlich wird in jedem Fall ein CEL-Eintrag "abgelehnt von" erzeugt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Weitere Informationen zum Zuordnen von Funktionen finden Sie im Kapitel Empfangsbestätigung - Einstellungen Empfangsbestätigung.

Berechtigungsebenen

Kontrollelemente zur Konfiguration der Berechtigungsebenen.

Kontrollelement | Beschreibung
Verfügbare Berechtigungsebenen | Liste aller verfügbaren Berechtigungen.
Ausgewählte Berechtigungsebenen | Liste aller ausgewählten Berechtigungen.
Berechtigungsebene übernehmen (>>) | In der Liste Verfügbare Berechtigungsebenen ausgewählte Einträge werden zur Liste Ausgewählte Berechtigungsebenen hinzugefügt.
Berechtigungsebene entfernen (<<) | In der Liste Ausgewählte Berechtigungsebenen ausgewählte Einträge werden aus dieser Liste entfernt.

Benutzergruppen

Kontrollelemente zur Konfiguration der Benutzergruppen.

Kontrollelement | Beschreibung
Verfügbare Benutzergruppen | Liste aller verfügbaren Benutzergruppen.
Ausgewählte Benutzergruppen | Liste der zugewiesenen Benutzergruppen.
Benutzergruppe übernehmen (>>) | In der Liste Verfügbare Benutzergruppen ausgewählte Einträge werden zur Liste Ausgewählte Benutzergruppe hinzugefügt.
Benutzergruppe entfernen (<<) | In der Liste Ausgewählte Benutzergruppe ausgewählte Einträge werden aus dieser Liste entfernt.

Touch

Kontrollelemente zur Navigation in Listboxen, optimiert auf Touch-Bedienung.

Kontrollelement | Beschreibung
Verfügbare BE rauf | Navigiert in der Listbox Verfügbare Berechtigungsebenen eine Berechtigungseben nach oben.
Verfügbare BE runter | Navigiert in der Listbox Verfügbare Berechtigungsebenen eine Berechtigungseben nach unten.
Ausgewählte BE rauf | Navigiert in der Listbox Ausgewählte Berechtigungsebenen eine Berechtigungseben nach oben.
Ausgewählte BE runter | Navigiert in der Listbox Ausgewählte Berechtigungsebenen eine Berechtigungseben nach unten.
Verfügbare BG rauf | Navigiert in der Listbox Verfügbare Benutzergruppen eine Berechtigungseben nach oben.
Verfügbare BG runter | Navigiert in der Listbox Verfügbare Benutzergruppen eine Berechtigungseben nach unten.
Ausgewählte BG rauf | Navigiert in der Listbox Ausgewählte Benutzergruppen eine Berechtigungseben nach oben.
Ausgewählte BG runter | Navigiert in der Listbox Ausgewählte Benutzergruppen eine Berechtigungseben nach unten.

OK/Abbrechen

Kontrollelemente für Bestätigung oder Ablehnung von Änderungen.

Kontrollelement | Beschreibung
OK | Übernimmt Änderungen.
Abbrechen | Verwirft alle Änderungen seit der letzten Übernahme durch OK.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Benutzer | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Benutzername | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Vollständiger Name | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Administrator [Button] | Statisches Win32 Kontrollelement. Wurde mit durch ein Element vom Typ Schalter ersetzt. Beschreibung siehe neues Element.
Administrator [Schalter] | Element vom Typ Schalter. Wurde durch Dropdownliste Benutzertyp ersetzt. Beschreibung siehe neues Element.
Aktiv | Statisches Win32 Kontrollelement. Wurde mit durch ein Element vom Typ Schalter ersetzt. Beschreibung siehe neues Element.
Gesperrt | Statisches Win32 Kontrollelement. Wurde mit durch ein Element vom Typ Schalter ersetzt. Beschreibung siehe neues Element.
Sperrcode für Befehlsgabe | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Passwort ändern | Eigenschaften für das Passwort.
Altes Passwort | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Neues Passwort | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Passwort bestätigen | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Message Control | Eigenschaften für die Verwendung im Modul Message Control.
Message Control Benutzer | Statisches Win32 Kontrollelement. Wurde mit durch ein Element vom Typ Schalter ersetzt. Beschreibung siehe neues Element.
Telefon | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Mobiltelefon | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
E-Mail | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Ersatzperson | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
PIN-Code | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
NA-Code | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Hinweis: Für Kontrollelemente vom Typ Dynamischer Text oder Schalter wird die jeweilige Funktionalität über die Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Noch in diesem Kapitel

Bildumschaltung auf Benutzer editieren


Bildumschaltung auf Benutzer editieren

Handbuch > Benutzerverwaltung > Projektierung im zenon Editor > Bildtypen, Dialoge und Funktionen für Login und Benutzerverwaltung > Bild vom Typ Benutzer editieren anlegen > Bildumschaltung auf Benutzer editieren

Mit der Bildumschaltung definieren Sie, wie das Bild vom Typ Benutzer editieren aufgeschaltet wird. Je nach Konfiguration können Sie:

  • neue Benutzer erstellen
  • Benutzer aus der Benutzerliste oder aus einer String-Variablen editieren
  • Passwörter ändern

Um eine Bildumschaltung auf ein Bild vom Typ Benutzer editieren anzulegen:

  1. Erstellen Sie eine Funktion.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das Bild vom Typ Benutzer editieren.
  4. Der Dialog zur Konfiguration wird geöffnet.
  5. Konfigurieren Sie die Bildumschaltung.
  6. Bestätigen Sie die Konfiguration mit Klick auf OK.
  7. Verknüpfen Sie die Funktion mit einem Button.

Dialog Benutzerliste

Parameter

Beschreibung

Neuen Benutzer anlegen

Das Bild vom Typ Benutzer editieren wird zum Anlegen eines neuen Benutzers verwendet. Die entsprechenden Kontrollelemente werden aktiviert.

Benutzer aus aufrufendem Bild übernehmen

Erfolgt der Aufruf aus dem Bild Benutzerliste, dann wird das Bild vom Typ Benutzer editieren zum Bearbeiten des Benutzers verwendet, der in der Benutzerliste ausgewählt ist. Die entsprechenden Kontrollelemente werden aktiviert.

Hinweis: Zur Runtime muss der editierende Benutzer über Administratorrechte verfügen. Mindestens ein Benutzer muss in der Liste ausgewählt sein.

Benutzer aus Variable übernehmen

Das Bild vom Typ Benutzer editieren wird zum Editieren des Benutzers verwendet, dessen Name von der definierten Stringvariable übergeben wird. Die entsprechenden Kontrollelemente werden aktiviert.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Passwort des angemeldeten Benutzers ändern

Das Bild vom Typ Benutzer editieren wird nur zum Ändern des Passworts des gerade angemeldeten Benutzers verwendet. Die entsprechenden Kontrollelemente werden aktiviert.

Dialog in Runtime anzeigen

Checkbox zur Auswahl, ob dieser Dialog in der Runtime angezeigt wird:

  • aktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime am aktuellen Rechner aufgeschaltet. Im Netzwerk wird dieser Dialog auf jenem Rechner aufgeschaltet, der die Funktion ausführt. Dadurch sind Änderungen von bestehenden Parametrierungen von einer zenon Editor-Projektierung bei der Ausführung in der zenon Runtime möglich.
  • inaktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime nicht angezeigt. Die Funktion oder der Befehl wird sofort mit der im Editor erstellten Projektierung ausgeführt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


zenon Login und Benutzerverwaltung zur Runtime

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime

Für die Benutzerverwaltung kann auch Windows AD oder AD LDS verwendet werden. Benutzer können permanent oder temporär eingeloggt und zur Runtime verwaltet werden.

Hinweis: Das Umbenennen von Benutzergruppen ist zur Runtime nicht möglich.

Werte oder Funktionen können zusätzlich über eine Signatur geschützt werden. Dazu muss beim entsprechenden Element die Eigenschaft Signatur erforderlich aktiviert werden. In diesem Fall muss der Benutzer, auch wenn er eingeloggt ist und die entsprechenden Rechte besitzt, nochmals Passwort und Signatur eingeben. Dabei wird zusätzlich ein Eintrag in der Chronologischen Ereignisliste erzeugt.

Hinweis: Die Eigenschaft Signatur erforderlich kann auch für Änderungen bei Variablen des Rezeptgruppenmanagers verwendet werden.

attention Achtung

Einstellungen für Benutzer, die im Editor geändert werden, können in die Runtime nur übernommen werden, wenn die Projekteigenschaft Zur Runtime änderbare Daten (Gruppe Allgemein) das Überschreiben der Benutzereigenschaften beim Schreiben der Runtime-Dateien zulässt.

In der Runtime geänderte Einstellungen können über den Befehl Runtime-Dateien importieren (Symbolleiste Runtime-Dateien) in den Editor übernommen werden. Dazu muss in der Eigenschaft Zur Runtime änderbare Daten das Dekompilieren erlaubt sein. Dies ist dann der Fall, wenn die Checkbox in der Spalte Nicht dekompilieren in der Zeile Benutzerverwaltung nicht aktiviert ist.

Noch in diesem Kapitel

Login-Vorgang und Verwaltung

Benutzer einloggen

Benutzer und Benutzergruppen verwalten

Bildtypen zur Verwaltung von Benutzern und Benutzergruppen

Funktionen für das Modul Benutzerverwaltung

Passwortschutz im Dynamischen Element

Änderungen im Editor zur Runtime übernehmen


Login-Vorgang und Verwaltung

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Login-Vorgang und Verwaltung

Nach dem Starten der Runtime ist der aktuelle Benutzer SYSTEM mit der freigegebenen Bedienebene LEVEL 0 angemeldet. In der Mehrprojektverwaltung können Benutzer beim Login in ein Projekt auch automatisch in alle Unterprojekte eingeloggt werden.

Regeln für Login zur Runtime

Beim Einloggen in der Runtime gibt es folgende Sicherheitsvorkehrungen:

  • Passwort

    Beachten Sie, dass unterschiedliche Bedingungen zur Passwortlänge gelten:

    • Lokale Benutzer: eine maximale Passwortlänge von 20 Zeichen ist erlaubt
    • AD-Benutzer: eine maximale Passwortlänge von 255 Zeichen ist erlaubt

    Bei einer mehrmaligen Falscheingabe des Passwortes erfolgt eine Sperre des Benutzers und er wird automatisch ausgeloggt. Das System ist somit für diesen Benutzer für alle Elemente die eine höhere Berechtigungsebene als 0 verlangen, unbedienbar. Er kann keine mit einem Benutzerlevel verbundenen Bedienaktionen mehr durchführen. Wie viele Versuche zum Login erlaubt sind, wird in den Projekteinstellungen mit der Eigenschaft Max. Benutzerfehleing. konfiguriert.

    Der Benutzername, für den der Login-Versuch erfolgte, wird in der Chronologischen Ereignisliste protokolliert. Der Administrator muss den entsprechenden Benutzer wieder freischalten (Eigenschaft Gesperrt deaktivieren).

  • Benutzername

    Bei Eingabe eines nicht existierenden Benutzernamens wird die Fehlermeldung "Ungültiger Benutzername" ausgegeben. Nach drei Fehleingaben wird das System für alle Elemente, die eine höhere Berechtigungsebene als 0 verlangen, gesperrt. Kein Benutzer ist damit in der Lage, mit einer Benutzerebene geschützte Bedienaktionen durchführen. Eine Aufhebung dieser Sperre kann nur durch den Administrator erfolgen.

    Der Benutzername des Benutzers, der sich fälschlicherweise versucht einzuloggen, wird in der Chronologischen Ereignisliste als Ereignis für den aktuell eingeloggten Benutzer protokolliert.

    Wird beim Login ein korrekter Benutzername angegeben, aber das Passwortfeld leer gelassen, wird dies wie eine ungültige Passworteingabe gewertet. Der Benutzer wird nach der definierten Anzahl erlaubter Fehlversuche gesperrt (Default 2, Sperre nach drittem Fehlversuch).

  • Einloggen nach Deaktivierung

    Ist ein Benutzer deaktiviert und versucht sich dennoch einzuloggen, ist ein Einloggen nicht möglich. Dieser Versuch wird in der Chronologischen Ereignisliste protokolliert.

Hinweis: Änderungen des Passworts über Funktionen, Bilder, Dialoge und API werden ebenfalls überprüft und führen bei mehrmaliger Falscheingabe des aktuellen Passworts zur Sperre des Benutzers. Die Anzahl der Zeichen im Feld des aktuellen Passworts sagt nichts über dessen Länge aus.

Externe Authentifizierung

Für externe Programme oder Anwendungen kann mittels zenon API eine Benutzer-Authentifizierung durchgeführt werden. Bei einer falschen externen Authentifizierung kann das System oder der Benutzer gesperrt werden.

Aktivieren Sie die Eigenschaft Systemsperre bei falscher externer Authentifizierung und/oder Benutzersperre bei falscher externer Authentifizierung in der Eigenschaftengruppe Benutzerverwaltung.

Hinweis: Es wird empfohlen, diese Optionen zu aktivieren, um das höchste Maß an Sicherheit zu erreichen.

Des Weiteren kann unter den Optionen Max. Benutzerfehleing. und/oder Max. Passwortfehleing. angegeben werden, nach wie vielen Fehleingaben die Sperre aktiv wird.

attention Achtung

Diese Einstellung hat keinen Einfluss auf die Benutzersperre im Active Directoy bei der Verwendung von AD-Benutzern. Hier gelten immer die Domäneneinstellungen.

Voraussetzungen für AD und AD LDS Nutzung

Um AD und AD LDS für den Login zur zenon Runtime nutzen zu können, muss die zenon Projekteigenschaft Benutzerverwaltung/Zugriff auf Active Directory konfiguriert werden.

  • AD: Für die Eigenschaft muss Ja gewählt werden und der Rechner muss sich in der Domäne befinden.
  • AD LDS: Für die Eigenschaft muss ADAM/AD LDS gewählt werden.
    Die Eigenschaften AD LDS-Verbindung, AD LDS-Benutzername und AD LDS-Passwort müssen korrekt konfiguriert werden.
    • AD LDS muss entsprechend vorbereitet werden.

Hinweis: ADAM wird nicht unterstützt.

Die Verwaltung ist möglich für:

  • ab Windows 8 und Windows Server 2012
  • Windows 7
  • Windows Server 2008

attention Achtung

Rechte, die in zenon vergeben werden, gelten für das jeweilige Projekt oder den Arbeitsbereich. Rechte, die im Active Directory vergeben werden, gelten global.

Werden also Rechte an Benutzer oder Benutzergruppen des Active Directory vergeben, dann gelten die Rechte für diese Benutzer in allen zenon Projekten!

Verwaltung zur Runtime

Jeder Benutzer hat zur Runtime die Möglichkeit, sein eigenes Passwort zu editieren. Er kann jedoch keinen anderen Benutzer editieren. Dies kann nur der Administrator. Änderungen zur Runtime müssen in den Editor zurückgelesen werden, um dort zur Verfügung zu stehen. Beachten Sie beim Übertragen von Runtime-Dateien die Eigenschaft Zur Runtime änderbare Daten. Hier wird festgelegt, ob die Projektierung der Benutzerverwaltung zur Runtime übertragen wird und die Konfiguration in der Runtime überschreibt. Per Default werden Inhalte der Benutzerverwaltung beim Übertragen zur Runtime nicht ersetzt.

Rechte zur Runtime über Funktionen und Bildtypen

Je nach Benutzertyp können Anwender zur Runtime unterschiedliche Aktionen durchführen:

Benutzertyp/Rechte | Administrator | Hauptbenutzer | Benutzer
Benutzer anlegen und verwalten | X | X | --
Hauptbenutzer anlegen und verwalten | X | 0 wenn konfiguriert | --
Administratoren anlegen und verwalten | X | X | --
Benutzergruppen anlegen und verwalten | X | -- | --
Berechtigungsebenen vergeben Hinweis: Es können nur Berechtigungsebenen vergeben werden, die man selbst besitzt. Damit wird verhindert, dass sich Administratoren oder Hauptbenutzer das System selbst freischalten. | X | X | --
Eigenes Passwort ändern | X | X | X

Hinweis: Benutzer und Benutzergruppen aus dem Editor-Globalprojekt werden zur Runtime mit den Benutzern und Benutzergruppen des Projekts zusammengeführt. Sie können daher zur Runtime weder editiert, noch in den Editor zurückgelesen werden.

attention Achtung

Konformität mit FDA 21 CFR Part 11:

  • Weder Benutzer noch Administrator können zur Runtime den Benutzernamen ändern.
  • Das Löschen von Benutzern kann in den Projekteigenschaften mit der Eigenschaft Löschen von Benutzern in der Gruppe Benutzerverwaltung unterbunden werden.

Passwort

Der jeweilige Benutzer ist der einzige, der Kenntnis über sein Passwort besitzt. Er ist auch der einzige, der sein Passwort ändern kann. Nachdem dem Benutzer ein Passwort durch den Administrator zugeteilt worden ist, muss der Benutzer beim erstmaligen Login sein Passwort neu festlegen. Damit wird sichergestellt, dass kein Administrator ein Benutzerpasswort kennt und dadurch falsche Signaturen auslöst. (Wichtig für FDA 21 CFR Part 11).

Wenn ein Benutzer sein Passwort vergisst, kann der Administrator das Passwort löschen und ein neues Initialpasswort vergeben. Der Administrator benötigt für diese Interventionen keine Kenntnis des Passwortes. Beim nächsten Einloggen muss der entsprechende Benutzer das Passwort wieder ändern.

Nähere Informationen zu geänderten Runtime-Dateien finden Sie im Kapitel: Zur Runtime änderbare Dateien

attention Achtung

Login über Bild vom Typ Login: Wird bei einer Anmeldung über ein Bild vom Typ Login für einen gültigen Benutzer kein Passwort eingegeben, erhalten Sie keine Fehlermeldung. Der Benutzer wird nicht eingeloggt. Das System wird auch nach dreimaligem Anmeldeversuch mit leerem Passwort nicht gesperrt.

Bei Eingabe eines falschen Passwortes und/oder eines nicht existierenden Benutzernamens wird das System wie gewohnt nach drei Versuchen gesperrt.


Benutzer einloggen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen

Das Login in ein Projekt erfolgt über einen modalen Dialog oder ein Bild vom Typ Login.
Benutzer können auf unterschiedliche Weisen angemeldet werden:

  • permanent
  • temporär
  • automatisch
  • extern über die API
  • mit zwischengespeicherten Anmeldeinformationen (nur mit Active Directory)
  • ohne vorher bestehende Domänen-Anbindung

Noch in diesem Kapitel

Permanentes Login

Temporäres Login

Automatisches Login und Logout für Unterprojekte

Externe Authentifizierung

Login mit zwischengespeicherten Anmeldeinformationen

Login mit alternativer Domäne

Login ohne bestehende Domänen-Anbindung


Permanentes Login

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Permanentes Login

Nach einem permanenten Login ist ein Benutzer dauerhaft angemeldet und kann alle Bedienhandlungen durchführen, für die er berechtigt ist. Bei Handlungen, für die er keine Bedienberechtigung besitzt, wird eine entsprechende Meldung angezeigt.

Das permanente Login kann erfolgen über:

  • eine Bildumschaltung auf ein Bild vom Typ Login
  • die Funktion Login mit Dialog
  • die Funktion Login ohne Passwort

Tipp: Für eingeloggte Benutzer können mit Passwort geschützte Text-Buttons auf unsichtbar gesetzt werden. Dazu muss die Eigenschaft Gesperrte Buttons (Projekteigenschaften -> Benutzerverwaltung -> Login und Signatur) entsprechend konfiguriert werden.

Hinweis: Temporäres Einloggen ist für eingeloggte Benutzer nicht möglich. Damit erhalten eingeloggte Benutzer bei Funktionen, für die sie keine ausreichende Berechtigung besitzen, keinen Dialog zur Anmeldung eines temporären Logins.


Temporäres Login

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Temporäres Login

Ist für einen nicht eingeloggten Benutzer eine Bedienhandlung nötig, die eine Authentifizierung erfordert, oder ist die Eingabe einer Signatur nötig, kann der Benutzer temporär eingeloggt werden. Dazu muss in den Projekteigenschaften die Eigenschaft Benutzerverwaltung -> Login und Signatur -> Temporäres Login aktiv aktiviert werden.

Temporäres Login kann erfolgen über:

  • Modalen Dialog, der von zenon automatisch aufgeschaltet wird.
  • Bild vom Typ Login, das mit der Eigenschaft Bild für Login verknüpft wurde.

Ablauf Login zur Runtime:

  1. Beim Ausführen einer passwortgeschützen Funktion wird der konfigurierte Dialog zum Login oder Eingabe der Signatur geöffnet.
    Wurde ein Bild vom Typ Login, verknüpft, so wird dieses geöffnet. Ansonsten wird ein modaler Dialog geöffnet.
  2. Der Benutzer kann sich einloggen und entsprechend seinen Rechten die Bedienhandlung ausführen. Fehlen dem Benutzer Berechtigungen, erhält er eine entsprechende Meldung.
  3. Der Benutzer wird sofort nach der Bedienhandlung automatisch wieder ausgeloggt.

info Info

Temporäres Login:

  • ist nur bei einer Funktionsausführung wirksam
  • unterstützt Schalter, aber keine Taster
  • ist für permanent eingeloggte Benutzer deaktiviert

Bild vom Typ Login

Dieser Bildtyp ermöglicht das temporäre Login und/oder die Eingabe einer Signatur.

Kontrollelement | Beschreibung
Aktueller Benutzer (Anzeige) | Anzeige des aktuell angemeldeten Benutzers. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Benutzername | Eingabebereich für Benutzername. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Passwort | Eingabebereich für das Passwort. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Signatur | Eingabebereich für die Signatur. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
OK | Schaltfläche zum Einloggen und Schließen des Fensters.
Abbrechen | Bricht Login-Vorgang ab.
Übernehmen | Übernimmt Eingaben und lässt Dialog geöffnet. Ausnahme: Wird die maximale Anzahl der ungültigen Anmeldeversuche über die Projekteigenschaft Max. Benutzerfehleing. auf 0 gesetzt, dann wird das Fenster geschlossen.

Modaler Dialog Temporäres Login

Dieser Dialog ermöglicht das temporäre Login. Ist eine Signatur erforderlich, muss diese in einem zweiten Schritt eingegeben werden.

Kontrollelement | Beschreibung
Aktuelle eingeloggter Benutzer (Anzeige) | Anzeige des aktuell angemeldeten Benutzers.
Benutzername | Eingabebereich für Benutzername.
Passwort | Eingabebereich für das Passwort.
OK | Schaltfläche zum Einloggen und Schließen des Fensters.
Abbrechen | Bricht Login-Vorgang ab.


Automatisches Login und Logout für Unterprojekte

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Automatisches Login und Logout für Unterprojekte

Benutzer können in der Mehrprojektverwaltung automatisch in Unterprojekte eingeloggt und aus diesen ausgeloggt werden.

Grundlage für das automatische Login sind zentrale (für alle Projekte gleiche) Benutzer.

Um dies zu erreichen, gibt es verschiedene Möglichkeiten:

  • Verwendung von Active Directory oder AD LDS/ADAM Benutzern
    • Ist die zu bevorzugende Möglichkeit, um Benutzer über mehrere Projekte hinweg zu verwalten.
    • Nähere Informationen zur Konfiguration und Verwendung finden sie in den Kapiteln Active Directory, AD LDS und ADAM.
  • Verwendung von Benutzern aus dem Globalprojekt
    • Benutzer aus dem Globalprojekt sind für alle Projekte im Arbeitsbereich verfügbar.
    • Achtung: Benutzer aus dem Globalprojekt können zur Runtime nicht bearbeitet werden.
  • Manuelle Verwaltung/Synchronisierung von Benutzern
    • Wenn im Integrationsprojekt, sowie in den Unterprojekten gleichnamige Benutzer existieren und im Integrationsprojekt ein Login ausgeführt wird, werden die gleichnamigen Benutzer in den Unterprojekten ebenfalls eingeloggt.

Konfiguration im Editor

Um automatisches Login/Logout zu konfigurieren:

  1. Öffnen Sie die Projekteigenschaften.
  2. Navigieren Sie zum Knoten Benutzerverwaltung.
  3. Aktivieren Sie die Eigenschaft Automatisches Login/Logout in Unterprojekten.
  4. Wiederholen Sie diesen Schritt für alle Projekte, die automatisches Login/Logout unterstützen sollen.

Anwendung zur Runtime

Loggen Sie sich zur Runtime mit einem Benutzer in ein Projekt ein.

Zur Runtime gilt:

  • Ein Benutzer wird beim Anmelden in einem Projekt automatisch in allen Unterprojekten, die das unterstützen, angemeldet. Beim Ausloggen wird er aus allen Unterprojekten ausgeloggt.
  • In den Unterprojekten werden beim Einloggen/Ausloggen keine entsprechenden Dialoge aufgeschaltet. Bereits angemeldete Benutzer werden abgemeldet.
  • Loggt sich der Benutzer in einem Unterprojekt aus, dann:
    • wird er in diesem Projekt und allen seinen Unterprojekten ausgeloggt
    • bleibt er in allen darüber liegenden Projekten, in denen er angemeldet ist, angemeldet
  • Beim Einloggen/Ausloggen werden in allen betroffenen Projekten die entsprechenden Einträge in die CEL erstellt.
  • Automatisches Einloggen/Ausloggen funktioniert nur in der Richtung von Projekten zu Unterprojekten, nie umgekehrt.

Hinweis: Diese Funktionalität eignet sich nicht für temporäres Login.

Ablauf für Windows-Benutzer

Ein bereits in einem Überprojekt eingeloggter Windows-Benutzer (AD/AD LDS/ADAM) wird beim automatischen Login in einem Unterprojekt wiederverwendet. Dazu muss der Kontext (AD-Pfad oder AD LDS/ADAM-Pfad) gleich sein. Wird ein Windows-Benutzer in der Login-Kette zum ersten Mal verwendet, wird das Passwort an dieser Stelle geprüft. Ergibt eine Überprüfung am Beginn der Login-Kette Ungültigkeit, wird der gesamte Login-Prozess angebrochen. Wird ein Login-Versuch in einem Unterprojekt abgelehnt, wird dieser Login abgebrochen, der Vorgang für alle weiteren Projekte aber fortgeführt.

info Info

Für den eingeloggten Benutzer wird immer die Berechtigungsebene des Projekts aus dem der Benutzer stammt herangezogen.

Beispiel:

Im Integrationsprojekt kann ein Benutzer A die Berechtigungsebenen 1,2,3 besitzen, während im Unterprojekt ein Benutzer A die Berechtigunsebenen 1,2,3,4,5 besitzen kann.

Das Gleiche gilt für Benutzer aus dem Active Directory und der Zuweisung der Berechtigungsebenen über zenon Benutzergruppen. So kann ein Benutzer B aus dem Active Directory die Berechtigungsebenen 1,2,3 aus einer zenon Benutzergruppe im Integrationsprojekt erben und ein Benutzer B im Unterprojekt die Berechtigungsebenen 1,2,3,4,5 aus der Benutzergruppe des Unterprojekts.

Weitere Informationen dazu finden Sie im Kapitel Gleiche Benutzergruppen in zenon und im Active Directory.


Externe Authentifizierung

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Externe Authentifizierung

Für externe Programme oder Anwendungen kann mittels zenon API eine Benutzer-Authentifizierung durchgeführt werden. Bei einer falschen externen Authentifizierung kann das System oder der Benutzer gesperrt werden.

Aktivieren Sie die Eigenschaft Systemsperre bei falscher externer Authentifizierung und/oder Benutzersperre bei falscher externer Authentifizierung in der Eigenschaftengruppe Benutzerverwaltung.

Hinweis: Es wird empfohlen, diese Optionen zu aktivieren, um das höchste Maß an Sicherheit zu erreichen.

Des Weiteren kann unter den Optionen Max. Benutzerfehleing. und/oder Max. Passwortfehleing. angegeben werden, nach wie vielen Fehleingaben die Sperre aktiv wird.

attention Achtung

Diese Einstellung hat keinen Einfluss auf die Benutzersperre im Active Directoy bei der Verwendung von AD-Benutzern. Hier gelten immer die Domäneneinstellungen.


Login mit zwischengespeicherten Anmeldeinformationen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Login mit zwischengespeicherten Anmeldeinformationen

Für AD-Domänenbenutzer ist ein Login mit zwischengespeicherten Anmeldeinformationen möglich. Damit kann die Anmeldung auch erfolgen, wenn keine Verbindung zum AD Domain Controller besteht.

Login konfigurieren

Um ein Login mit zwischengespeicherten Anmeldeinformationen zu ermöglichen:

  1. Navigieren Sie in den Projekteigenschaften zur Gruppe Benutzerverwaltung.
  2. Navigieren Sie zum Abschnitt Active Directory/AD LDS.
  3. Klicken Sie in der Eigenschaft Benutzergruppe für Active Directory-Login mit zwischengespeicherten Anmeldeinformationen auf die Schaltfläche ....

    Der Dialog zur Auswahl einer Benutzergruppe wird geöffnet.

  4. Wählen Sie die gewünschte Benutzergruppe.
  5. Schließen Sie den Auswahldialog.

    Die GUID der gewählten Benutzergruppe wird in der project.ini gespeichert.

Benutzergruppe konfigurieren

Vergeben Sie für die ausgewählte Benutzergruppe jene Berechtigungsebenen, die allen Benutzern zur Verfügung stehen sollen. Die Benutzer müssen nicht extra zur Gruppe hinzugefügt werden. Die Gruppeneigenschaften gelten automatisch für alle Benutzer, die mit zwischengespeicherten Anmeldinformationen angemeldet werden.

Wird die Benutzergruppe gelöscht, dann bleibt ihre GUID gespeichert. Benutzer können also weiterhin angemeldet werden, erhalten aber keine Berechtigungsebenen. Wird die Gruppe in der Eigenschaft Benutzergruppe für Active Directory-Login mit zwischengespeicherten Anmeldeinformationen auf Keine Auswahl gesetzt oder neu ausgewählt, dann wird die GUID entsprechend gelöscht oder neu eingetragen.

Verhalten zur Runtime

Versucht ein AD-Benutzer sich zur Runtime anzumelden, wenn keine Verbindung zum AD Domain Controller besteht, dann wird überprüft, ob in der project.ini für den Eintrag USRGROUP_AD_CACHED eine GUID für eine Benutzergruppe vorhanden ist:

  • Ist keine GUID vorhanden, wird die Anmeldung verweigert.
    Es wurde noch keine Benutzergruppe konfiguriert oder eine konfigurierte Benutzergruppe wurde durch Klick auf Keine Auswahl entfernt.
  • Ist die GUID einer gültigen Benutzergruppe vorhanden, wird der Benutzer mit den Berechtigungsebenen dieser Gruppe angemeldet.
    Eine gültige Benutzergruppe wurde konfiguriert.
  • Ist die GUID einer ungültigen Benutzergruppe vorhanden, wird der Benutzer ohne Berechtigungsebenen angemeldet.
    Eine Benutzergruppe wurde in die Eigenschaft Benutzergruppe für Active Directory-Login mit zwischengespeicherten Anmeldeinformationen eingetragen, die Benutzergruppe wurde aber gelöscht.

Jeder Versuch, sich mit zwischengespeicherten Anmeldeinformationen anzumelden, wird in die CEL eingetragen.

Umgang mit gelöschten Benutzergruppen

Die Verknüpfung der Benutzergruppen erfolgt über deren GUID, nicht über den Namen.
Wird eine Benutzergruppe AD_Login ausgewählt, dann wird deren GUID in die project.ini eingetragen und bei der Anmeldung abgefragt. Wird die Benutzergruppe AD_Login gelöscht, dann bleibt deren GUID weiterhin eingetragen. Wird eine neue Benutzergruppe AD_Login erstellt, erhält diese eine neue GUID. In der project.ini bleibt weiterhin die ursprüngliche GUID eingetragen. Die neue Benutzergruppe AD_Login wird nicht automatisch verknüpft. Sie muss über den Dialog der Eigenschaft Benutzergruppe für Active Directory-Login mit zwischengespeicherten Anmeldeinformationen neu ausgewählt werden.

attention Achtung

Zur Runtime erhält ein Benutzer, der mit zwischengespeicherten Anmeldeinformationen angemeldet wird, alle Rechte der ausgewählten Gruppe. Seine Berechtigungen können also auch seine ihm normalerweise zugewiesenen Rechte übersteigen.


Login mit alternativer Domäne

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Login mit alternativer Domäne

AD-Domänenbenutzer können für die Anmeldung in zenon auch eine andere AD-Domäne benutzen als jene, die für die Anmeldung in Windows benutzt wird.

info Info

Automatischer Login in Unterprojekte:

Wenn im Integrationsprojekt die Eigenschaft Zugriff auf Active Directory aktiv ist und für die Eigenschaft Active Directory Domäne eine alternative Domäne konfiguriert wurde, dann werden Benutzer in Unterprojekte nur dann automatisch eingeloggt, wenn für deren Eigenschaft Active Directory Domäne die gleiche Domäne konfiguriert wurde wie im Integrationsprojekt.

Konfiguration alternative Domäne

Wenn eine alternative Domäne benutzt werden soll, muss diese im Editor konfiguriert werden:

  1. Navigieren Sie im Editor zu den Projekteigenschaften für Benutzerverwaltung.
  2. Stellen Sie sicher, dass Zugriff auf Active Directory aktiviert ist.
  3. Tragen Sie in die Eigenschaft Active Directory Domäne den Namen der gewünschten Domäne ein.
    Achtung: Bleibt der Eintrag leer, ist keine Anmeldung mit einer anderen Domäne möglich.


Login ohne bestehende Domänen-Anbindung

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Login ohne bestehende Domänen-Anbindung

Active Directory Benutzer können sich in zenon anmelden, auch wenn die Runtime nicht von einem Active Directory Benutzer gestartet worden ist.

info Info

Automatischer Login in Unterprojekte:

Wenn im Integrationsprojekt die Eigenschaft Zugriff auf Active Directory aktiv ist und für die Eigenschaft Active Directory Domäne eine Domäne konfiguriert wurde, dann werden Benutzer in Unterprojekte nur dann automatisch eingeloggt, wenn für deren Eigenschaft Active Directory Domäne die gleiche Domäne konfiguriert wurde wie im Integrationsprojekt.

Konfiguration Anmeldung in Domäne

Um das Anmelden von AD-Benutzern unter diesen Gegebenheiten zu ermöglichen, muss das Projekt entsprechend konfiguriert werden:

  1. Navigieren Sie im Editor zu den Projekteigenschaften für Benutzerverwaltung.
  2. Stellen Sie sicher, dass Zugriff auf Active Directory aktiviert ist.
  3. Tragen Sie in die Eigenschaft Active Directory Domäne den Namen der gewünschten Domäne ein.
    Achtung: Bleibt der Eintrag leer, ist keine Anmeldung möglich.

Noch in diesem Kapitel

Benutzernamen aus Domäne für AML und CEL auslesen


Benutzernamen aus Domäne für AML und CEL auslesen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer einloggen > Login ohne bestehende Domänen-Anbindung > Benutzernamen aus Domäne für AML und CEL auslesen

Zur Runtime können die vollständigen Windows Benutzernamen in der AML und der CEL angezeigt werden. Wurde die Runtime von einem AD-Benutzer gestartet, stehen diese Daten automatisch zur Verfügung. Wurde die Runtime von einem lokalen Benutzer gestartet, muss das Auslesen im Domänen Controller konfiguriert werden.

Um die Benutzerdaten über AD anzuzeigen:

  1. Tragen Sie im zenon Editor in den Projekteigenschaften in der Gruppe Active Directory/AD LDS in der Eigenschaft Active Directory Domäne die Domäne ein.
  2. Tragen Sie in der Windows Anmeldeinformationsverwaltung im Abschnitt Generische Anmeldeinformationen die gewünschten Benutzerdaten ein:
    • Netzwerkadresse: Domäne
    • Benutzername: Windows Benutzerkennung eines zum Lesen berechtigten Benutzers
    • Kennwort: Kennwort des Benutzers

    Tipp: Die Windows Anmeldeinformationsverwaltung erreichen Sie über Systemsteuerung -> Alle Systemsteuerungselemente -> Anmeldeinformationsverwaltung -> Generische Anmeldeinformationen oder über die Kommandozeile mit rundll32.exe keymgr.dll,KRShowKeyMgr.

Hinweis Runtime: Die Verbindung zum Domänen Controller muss bereits beim Start der Runtime bestehen. Anderenfalls werden keine vollständigen Benutzernamen angezeigt. Auch nicht, wenn später eine Verbindung zum Domänen Controller hergestellt wird. In diesem Fall muss die Runtime bei bestehender Verbindung neu gestartet werden.


Benutzer und Benutzergruppen verwalten

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Benutzer und Benutzergruppen verwalten

Benutzer und Benutzergruppen können auch zur Runtime verwaltet werden.

info Info

Achten Sie darauf, Änderungen zur Runtime:

  • wieder in den Editor des Projektierungsrechners zurückzuschreiben
  • nicht durch Editor-Einstellungen zu überschreiben

Für die Benutzerverwaltung zur Runtime stehen folgende Möglichkeiten zur Verfügung:

Aktion

Bildtyp/Funktion

Benutzer anlegen
  • Bild vom Typ Benutzerliste
  • Bild vom Typ Benutzer editieren
  • Funktion Benutzer ändern

Benutzer bearbeiten
  • Bild vom Typ Benutzerliste
  • Bild vom Typ Benutzer editieren
  • Funktion Benutzer ändern

Benutzer löschen
  • Bild vom Typ Benutzerliste
  • Funktion Benutzer ändern

Passwort ändern
  • Bild vom Typ Benutzer editieren
  • Funktion Benutzer ändern
  • Funktion Passwort ändern

Funktionsberechtigung zuweisen
  • Funktion Benutzer ändern

Benutzergruppe erstellen
  • Bild vom Typ Benutzergruppenliste

Benutzergruppe bearbeiten
  • Bild vom Typ Benutzergruppenliste

Berechtigungsebene zuweisen
  • Bild vom Typ Benutzergruppenliste

attention Achtung

Löschen Sie keinen Benutzer, der alleiniger Modulinhaber ist.


Bildtypen zur Verwaltung von Benutzern und Benutzergruppen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Bildtypen zur Verwaltung von Benutzern und Benutzergruppen

Benutzer können zur Runtime nicht nur über Funktionen und modale Dialoge verwaltet werden, sondern auch über spezielle Bildtypen:

  • Benutzerliste: Listet alle Benutzer auf und bietet Möglichkeiten zum Erstellen, Bearbeiten und Löschen von Benutzern sowie zum Zuweisen von Funktionsberechtigungen.
  • Benutzergruppenliste: Listet alle Benutzergruppen auf und bietet die Möglichkeit, Benutzergruppen zu erstellen und zu verwalten sowie Funktionsberechtigungen zuzuzweisen.
  • Benutzer editieren: Ermöglicht die Erstellung und Verwaltung von Benutzern.

Für alle Aktionen müssen Sie als Administrator eingeloggt sein. Ausnahme: Benutzer ohne Administratorrechte können das eigene Passwort ändern.

Noch in diesem Kapitel

Benutzerliste

Benutzergruppenliste

Benutzer editieren und Passwort ändern


Benutzerliste

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Bildtypen zur Verwaltung von Benutzern und Benutzergruppen > Benutzerliste

Mit diesem Bild verwalten Sie Benutzerlisten.
Dabei gilt:

  • Sie müssen als Administrator oder Hauptbenutzer eingeloggt sein.
  • Sie können neue Benutzer anlegen.
  • Sie können Benutzer editieren.
  • Sie können Benutzer löschen.
  • Sie können nur Funktionsberechtigungen vergeben, über die Sie selbst direkt oder als Mitglied einer Benutzergruppe verfügen.

Um Benutzer in Listen zu verwalten:

  1. Loggen Sie als Administrator oder Hauptbenutzer ein.
  2. Öffnen Sie ein Bild vom Typ Benutzerliste.
  3. Konfigurieren Sie die gewünschten Einstellungen.
    • Klick auf Neu öffnet ein Bild vom Typ Benutzer editieren. Dieses muss bei der Bildumschaltung verknüpft worden sein.
    • Klick auf Editieren öffnet ein Bild vom Typ Benutzer editieren. Dieses muss bei der Bildumschaltung verknüpft worden sein.

Details zu den Kontrollelementen lesen Sie im Kapitel Bild vom Typ Benutzerliste anlegen.


Benutzergruppenliste

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Bildtypen zur Verwaltung von Benutzern und Benutzergruppen > Benutzergruppenliste

Mit diesem Bild verwalten Sie Benutzergruppen.
Dabei gilt:

  • Sie müssen als Administrator eingeloggt sein.
  • Sie können nur Benutzergruppen verwalten, denen Sie selbst auch angehören.
  • Sie können neue Benutzergruppen erstellen.
    Benutzergruppen, die Sie neu erstellen, werden Ihnen sofort zugewiesen. Damit verfügt die Gruppe über mindestens ein Mitglied und kann weiteren Benutzern zugewiesen werden.

Um Benutzergruppen zu verwalten:

  1. Loggen Sie als Administrator ein.
  2. Öffnen Sie ein Bild vom Typ Benutzergruppenliste.
  3. Konfigurieren Sie die gewünschten Einstellungen. Die möglichen Einstellungen entsprechen denen im Editor.

Details zu den Kontrollelementen lesen Sie im Kapitel Bild vom Typ Benutzergruppenliste anlegen.


Benutzer editieren und Passwort ändern

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Bildtypen zur Verwaltung von Benutzern und Benutzergruppen > Benutzer editieren und Passwort ändern

Mit diesem Bild verwalten Sie andere Benutzer. Alle Benutzer können außerdem das eigene Passwort ändern.
Dabei gilt:

  1. Sie müssen als Administrator oder Hauptbenutzer eingeloggt sein.
    Ausnahme: Benutzer ohne Administratorrechte können das eigene Passwort ändern.
  • Sie können nur Berechtigungsebenen vergeben, über die Sie selbst direkt oder als Gruppenmitglied verfügen.
  • Sie können nur Benutzergruppen zuweisen, denen Sie selbst auch angehören.
  • Sie können eigene Berechtigungsebenen und Benutzergruppen zur Runtime nicht ändern.

Benutzer editieren

Um Benutzer zu verwalten:

  1. Loggen Sie als Administrator oder Hauptbenutzer ein.
  2. Öffnen Sie ein Bild vom Typ Benutzer editieren
    oder öffnen Sie ein Bild vom Typ Benutzerliste und klicken Sie dort auf Neu oder Editieren.
  3. Konfigurieren Sie die gewünschten Einstellungen. Die möglichen Einstellungen entsprechen denen im Editor oder der Funktion Benutzer ändern.

Details zu den Kontrollelementen lesen Sie im Kapitel Bild vom Typ Benutzer editieren anlegen.

Passwort ändern

Damit Benutzer das eigene Passwort ändern können, wird ein modaler Dialog aufgeschaltet. Dieser Dialog kann durch ein Bild vom Typ Benutzer editieren ersetzt werden. Der Dialog oder das Bild werden modal aufgeschaltet, wenn:

  • die Funktion Passwort ändern ausgeführt wird
  • der angemeldete Benutzer sein Passwort ändern soll (neuer Benutzer, abgelaufenes Passwort, zurückgesetztes Passwort)

Um Benutzern das Editieren des Passworts über ein Bild zu ermöglichen:

  1. Verknüpfen Sie in den Projekteigenschaften Benutzerverwaltung Login und Signatur die Eigenschaft Bild für Passwortänderung mit einem Bild vom Typ Benutzer editieren.
  2. Zur Runtime wird statt des modalen Dialogs das Bild modal geöffnet.
  3. Benutzer können ihr Passwort ändern.

attention Achtung

Beachten Sie beim Ändern von Passwörtern für AD-Benutzer:

Die Anforderungen von zenon an die Mindestlänge und die Maximallänge eines Passwortes werden vorrangig behandelt.

Beispiel Mindestlänge: AD verlangt eine Mindestlänge von 4 Zeichen. In zenon wurde über die Eigenschaft Minimale Passwortlänge eine Mindestlänge von 8 Zeichen konfiguriert. Wird ein Passwort mit weniger als 8 Zeichen eingegeben führt das zu einer Fehlermeldung. Das Passwort kann für AD gültig sein, wird aber von zenon zurückgewiesen.

Hinweis Maximallänge: In zenon sind unterschiedliche Passwortmaximallängen erlaubt:

  • Lokale Benutzer: maximal 20 Zeichen
  • AD-Benutzer: maximal 255 Zeichen

Ist das AD Passwort länger als 20 Zeichen, dann kann sich ein AD-Benutzer damit in zenon anmelden. Das Passwort kann in zenon aber auch geändert werden.


Funktionen für das Modul Benutzerverwaltung

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung

Für die Benutzerverwaltung zur Runtime stehen folgende Funktionen zur Verfügung:

  • Login mit Dialog: Öffnet zur Runtime einen modalen Dialog oder das Bild vom Typ Login zum permanenten Login.
  • Login ohne Passwort: Loggt den im Editor definierten Benutzer zur Runtime ohne Passworteingabe ein oder ermöglicht das Login mit einem Chip ident System.
  • Logout: Loggt den aktuell angemeldeten Benutzer aus und loggt den Benutzer System mit der Berechtigungsebene 0 ein.
  • Benutzer ändern: Öffnet einen Dialog zum Editieren von Benutzern und Benutzergruppen.
  • Passwort ändern: Öffnet zur Runtime einen Dialog, um das Passwort zu ändern.

Noch in diesem Kapitel

Login mit Dialog

Login ohne Passwort

Logout

Benutzer ändern

Passwort ändern


Login mit Dialog

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Login mit Dialog

Diese Funktion öffnet zur Runtime, je nach Konfiguration:

  • den modalen Login-Dialog
  • das Bild vom Typ Login

Modaler Dialog

Kontrollelement | Beschreibung
Aktuelle eingeloggter Benutzer (Anzeige) | Anzeige des aktuell angemeldeten Benutzers.
Benutzername | Eingabebereich für Benutzername.
Passwort | Eingabebereich für das Passwort.
OK | Schaltfläche zum Einloggen und Schließen des Fensters.
Abbrechen | Bricht Login-Vorgang ab.

Der Login wird in der Chronologischen Ereignisliste protokolliert.

Größe und Position

Größe und Position des Anmeldefensters zur Runtime können in der zenon6.ini festgelegt werden:

  1. Öffnen Sie die zenon 6.ini.
  2. Erstellen oder modifizieren Sie den Bereich:

    [Befehlsgabe]

  3. Tragen Sie die Werte ein für:

    POSITION= links, rechts, oben, unten

    Default: POSITION= 0.001, 0.999, 0.835, 0.964

    Achtung: Die Größe bezieht sich auf die Bildgröße und nicht auf die Größe des Hauptfensters.

info Info

Die zenon6.ini finden Sie im Pfad: %ProgramData%\COPA-DATA\System\


Login ohne Passwort

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Login ohne Passwort

Diese Funktion ermöglicht es, zur Runtime einen Benutzer an zenon ohne Passworteingabe anzumelden. Dafür wird der Benutzer direkt und ohne eine Auswahl oder Eingabe angemeldet. Die Identifizierung des Benutzers erfolgt über eine Variable, einen Code oder per Chip Ident System. Der Funktionsaufruf kann über ein Ereignis (Meldungszustand von Schlüsselschalter) oder die Zeitsteuerung ausgelöst werden. In der Chronologischen Ereignisliste wird der Login protokolliert.

Das Login ohne Passwort eignet sich auch zur automatischen Anmeldung über Kartenlesegeräte. Dazu stehen zwei Varianten zur Verfügung:

  • Login über Login-Code:
    Beliebiger Code kann mit einem Benutzer verknüpft und an eine Variable übergeben werden. Diese übergibt diesen Code an die Funktion Login ohne Passwort. Diese Variante steht nur für zenon Benutzer zur Verfügung.
  • Login über Chip Ident System:
    Der Benutzername wird einer Variable übergeben, die den Benutzer anmeldet. Steht für zenon und AD-Benutzer zur Verfügung.

attention Achtung

Beachten Sie die Konsequenzen, wenn diese Funktion mit einer String-Variablen als Parameter konfiguriert wird:

  • Die Benutzerverwaltung kann umgangen werden.
  • Für Benutzer des Active Directory findet die Überprüfung von Benutzername und Passwort über den Domänen Controller nicht statt. So ist ein Login für Benutzer möglich, die aufgrund falscher Passworteingaben gesperrt sind oder die aufgrund von Uhrzeit-Einschränkungen oder Workstation-Einschränkungen nicht eingeloggt werden dürfen.

Nutzen Sie diese Möglichkeit nur, wenn andere Konfigurationen nicht möglich sind und beachten Sie die Auswirkungen auf die Sicherheit des Systems.

Funktion anlegen

Um die Funktion Login ohne Passwort anzulegen:

  • Legen Sie eine neue Funktion an.
  • Navigieren Sie zum Knoten Benutzerverwaltung.
  • Wählen Sie Login ohne Passwort.

    Der Dialog zur Konfiguration des Anmeldungsbenutzers wird geöffnet.

  • Wählen Sie die Art des Logins.

Dialog Login ohne Passwort

Option

Beschreibung

Benutzername

Meldet den ausgewählten Benutzer an.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Benutzers.

Benutzername aus Variable

Meldet den Benutzer mit dem Benutzernamen aus der übergebenen Variable an. Ermöglicht den Login über ein Chip Ident System.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer String-Variablen. Details siehe Abschnitt "Login über Chip Ident System".

Login-Code aus Variable

Meldet einen Benutzer über einen Login-Code an. Dieser Code wird in der Benutzerverwaltung mit dem Benutzer verknüpft und zur Runtime über eine STRING Variable übergeben.

Achtung: Diese Art der Anmeldung funktioniert nur für zenon Benutzer und steht für AD-Benutzer nicht zur Verfügung.

Details siehe Abschnitt Login über Login-Code.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Login über Login-Code

Login über Chip Ident System


Login über Login-Code

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Login ohne Passwort > Login über Login-Code

Benutzer können zur Runtime auch über einen eigenen Login-Code ohne Passwort angemeldet werden. Dieser Code wird mit dem Benutzer verknüpft und zur Anmeldung über eine Variable übergeben.

Login-Code

Der Login-Code kann mit dem Benutzer verknüpft werden über:

  • die Registerkarte Benutzer im Dialog zur Benutzerkonfiguration
  • die Eigenschaft Login-Code

Für den Login-Code gilt:

  • Muss innerhalb des Projekts eindeutig sein.
    Hinweis: Wird derselbe Login-Code für einen Benutzer im lokalen Projekt und im Globalprojekt verwendet, dann wird beim Erzeugen der Runtime-Dateien im Editor der Benutzer aus dem Globalprojekt nicht übertragen. Beachten Sie die entsprechende Fehlermeldung im Ausgabefenster. Bei Änderungen des Login-Codes zur Runtime, darf dieser nicht dem Code eines Benutzers aus dem Globalprojekt entsprechen.
  • Darf leer sein.
    Damit ist er für diesen Benutzer deaktiviert.
  • Maximale Länge: 1000 Zeichen
  • Darf nicht ausschließlich aus Leerzeichen bestehen.
  • Führende oder schließende Leerzeichen sind verboten.
  • Alle anderen Zeichen sind erlaubt.
  • Default: (leer)

Verhalten beim Export und Import

Beim XML-Export eines Benutzers wird der Login-Code im Klartext exportiert.

Beim XML-Import wird der in der XML-Datei enthaltene Login-Code evaluiert. Entspricht er nicht den Eingabekriterien, wird er entfernt. Eine Fehlermeldung wird im Ausgabefenster angezeigt.

Login-Code aus Variable

Um einen Benutzer über Login-Code aus Variable anzumelden:

  1. Verknüpfen Sie im Dialog zum Anlegen eines Benutzers den gewünschten Code mit einem Benutzer.
  2. Erstellen Sie eine STRING Variable, die zur Runtime den Code übergibt.

    Diese Variable muss zur Runtime:

    1. den Code über ein Eingabefeld oder von der ID-Karte erhalten
    2. bei Wertänderung die Funktion Login ohne Passwort aufrufen
    3. den Code übergeben
  3. Erstellen Sie eine Funktion Login ohne Passwort.
  4. Wählen Sie die Option Login-Code aus Variable.
  5. Verknüpfen Sie die Variable, die den Code übergibt.

Zur Runtime wird der Code der ID-Karte oder die Eingabe aus dem Eingabefeld auf die Variable geschrieben. Diese ruft die Funktion Login ohne Passwort auf und übergibt den Code. Der damit verknüpfte Benutzer wird gesucht. Wird ein passender Benutzer gefunden, so wird er angemeldet.

Falls automatisches Login für Unterprojekte konfiguriert wurde, wird das Login auch für die Unterprojekte durchgeführt.

Bei Übergabe von falschen Login-Codes werden die gleichen Regeln wie beim Login mit falschem Benutzernamen angewendet.

attention Achtung

Die Anmeldung mit Login-Code funktioniert nur für zenon Benutzer und steht für AD-Benutzer nicht zur Verfügung.

Login-Code zur Runtime bearbeiten

Zur Runtime kann der Login-Code nur von einem Benutzer mit Administratorrechten geändert werden. Andere Benutzer können auch den eigenen Code nicht ändern.

Um den Login-Code zur Runtime zu ändern, stehen dem Administrator zwei Möglichkeiten zur Verfügung:

  • Bild vom Typ Benutzer editieren: Im Bild muss das Eingabefeld für den Login-Code projektiert werden, damit zur Runtime Login-Code vergeben werden kann.
  • Funktion Benutzer ändern: Ermöglicht das Ändern und Erstellen von Benutzern inklusive Login-Code.

Jede Änderung des Login-Codes wird in der CEL protokolliert.


Login über Chip Ident System

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Login ohne Passwort > Login über Chip Ident System

Die Funktion Login ohne Passwort mit der Option Benutzer aus Variable ermöglicht die Nutzung von Chip Ident Systemen wie z. B. Euchner oder Keba Identsystem. Um die Funktion zu nutzen, beachten Sie:

  • Der Benutzer muss in der zenon Benutzerverwaltung oder im Active Directory mit dem gleichen Benutzernamen wie im Chip angelegt sein.

    Zum Beispiel: Benutzername im Chip ist J. Smith, dann muss in der Benutzerverwaltung oder im Active Directory ein J. Smith mit entsprechenden Rechten existieren.

  • Hält der Benutzer seinen Chip an den Chipleser, wird die String-Variable (z. B. username) mit den Daten des Chips befüllt (z. B. J. Smith) und der Benutzer angemeldet.
  • Damit die Funktion ausgeführt wird, muss eine Reaktionsmatrix vom Typ String existieren, die auf jede Wertänderung reagiert und die Funktion ausführt.
    • Diese Rema muss mit der Variablen (z. B. username) verknüpft sein.


Logout

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Logout

Mit der Verwendung dieser Funktion wird zur Runtime der aktuelle Benutzer abgemeldet und der Benutzer SYSTEM mit der Bedienberechtigung 0 angemeldet. In der Chronologischen Ereignisliste wird der Login des Systembenutzers protokolliert. Ist ein Active Directory Benutzer angemeldet, wird er ebenfalls abgemeldet.

Es sind keine Übergabeparameter notwendig.

attention Achtung

Automatischer Logout vs. Automatische Funktion:

  • Automatischer Logout: Passiert permanent ab dem Ablauf der definierten Zeit nach der letzten Bedienungsaktion.
  • Automatische Funktion: Passiert nur ein Mal ab dem Ablauf der definierten Zeit nach der letzten Bedienungsaktion.


Benutzer ändern

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern

Die Funktion Benutzer ändern erlaubt es zur Runtime, Benutzer zu erstellen und zu verwalten und ihnen Berechtigungsebenen zuzuweisen.

Um die Funktion zu erstellen:

  1. Erstellen Sie eine neue Funktion.
  2. Navigieren Sie zum Abschnitt Benutzerverwaltung.
  3. Wählen Sie die Funktion Benutzer ändern.
  4. Verknüpfen Sie die Funktion mit einem Button.

Verwendung zur Runtime

Beim Aufruf der Funktion zur Runtime wird ein Dialog geöffnet. Dieser ermöglicht das Erstellen und Editieren von:

  • Benutzern
  • Benutzergruppen

info Info

Regeln:

  • Administratoren können alle anderen Benutzer verwalten und deren Einstellungen ändern.
  • Administratoren können sich nicht selbst zusätzliche Berechtigungsebenen verleihen oder sich zu anderen Benutzergruppen hinzufügen.
  • Hauptbenutzer können andere Benutzer verwalten.
  • Benutzer ohne Administratorrechte können nur ihr Passwort und ihre Einstellungen für Message Control ändern.

Noch in diesem Kapitel

Benutzer

Benutzergruppe


Benutzer

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer

In dieser Registerkarte werden Benutzer verwaltet.

Parameter | Beschreibung
Liste Benutzer | Listet alle konfigurierten Benutzer auf.
Neu | Öffnet den Dialog zum Erstellen und Ändern neuer Benutzer.
Ändern | Öffnet den Dialog zum Erstellen und Ändern neuer Benutzer.
Löschen | Löscht den ausgewählten Benutzer nach einer Sicherheitsabfrage.
Funktionsberechtigungen ändern | Öffnet den Dialog zum Zuweisen von Funktionsberechtigungen zu Berechtigungsebenen für die Runtime.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Benutzer verwalten

Um einen Benutzer zu verwalten:

  1. Markieren Sie den Benutzer in der Liste.
  2. Wählen Sie die gewünschte Aktion mit Klick auf einen der Buttons.

Hinweis: Das Aussehen der Dialoge für Benutzer ändern und Benutzer neu anlegen unterscheidet sich.

Noch in diesem Kapitel

Benutzer

Passwort ändern

Message Control

Berechtigungsebenen

Benutzergruppen

Funktionsberechtigungen vergeben


Benutzer

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer > Benutzer

Eingabe der Benutzerdaten.

Benutzer

Option

Beschreibung

Benutzername

Geben Sie hier den Benutzernamen ein. Der Benutzer meldet sich mit seinem Benutzernamen am System an.

Maximale Länge: 20 Zeichen.

Hinweis: Dieser Name muss eindeutig sein und kann nur einmalig vergeben werden. Wenn versucht wird, einen bereits bestehenden Benutzer erneut anzulegen, wird eine Fehlermeldung ausgegeben.

Vollständiger Name

Geben Sie den vollständigen Namen des Benutzers ein. Damit ordnen Sie Benutzernamen realen Personen zu.

Login-Code

Eingabe des Login-Codes für die Anmeldung ohne Passwort.

Für den Login-Code gilt:

  • Muss innerhalb des Projekts eindeutig sein.
    Hinweis: Wird derselbe Login-Code für einen Benutzer im lokalen Projekt und im Globalprojekt verwendet, dann wird beim Erzeugen der Runtime-Dateien im Editor der Benutzer aus dem Globalprojekt nicht übertragen. Beachten Sie die entsprechende Fehlermeldung im Ausgabefenster. Bei Änderungen des Login-Codes zur Runtime, darf dieser nicht dem Code eines Benutzers aus dem Globalprojekt entsprechen.
  • Darf leer sein.
    Damit ist er für diesen Benutzer deaktiviert.
  • Maximale Länge: 1000 Zeichen
  • Darf nicht ausschließlich aus Leerzeichen bestehen.
  • Führende oder schließende Leerzeichen sind verboten.
  • Alle anderen Zeichen sind erlaubt.

Default: (leer)

Wird ein ungültiger Login-Code eingegeben, wird beim Schließen des Dialogs eine entsprechende Fehlermeldung angezeigt.

Details siehe Kapitel Login über Login-Code.

Benutzertyp

Auswahl des Benutzertyps aus Dropdownliste:

  • Benutzer:
    Darf entsprechend der ihm zugeteilten Berechtigungsebenen Bedienhandlungen vornehmen.
  • Hauptbenutzer:
    Darf zusätzlich Benutzer erstellen und editieren. Ob das auch für andere Hauptbenutzer gilt, wird über die Option Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren konfiguriert.
  • Administrator:
    Darf alle anderen Benutzer und Hauptbenutzer anlegen und editieren, sowie Sperren aufheben.
  • Default: Benutzer

Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren

Einstellungen für Detailrechte des Hauptbenutzers:

  • Aktiv: Darf auch andere Hauptbenutzer erstellen und editieren.
  • Inaktiv: Darf nur Benutzer erstellen und editieren.

Default: inaktiv

Aktiv

Aktiv: Der Benutzer ist aktiv und kann sich zur Runtime einloggen.

Hinweis: Nach den Regeln der FDA 21 CFR PART 11 darf ein Benutzer nie gelöscht werden, damit auch zu jedem späteren Zeitpunkt nachvollzogen werden kann, wer welche Aktion durchgeführt hat. Daher darf bei Projekten, die diesen Regeln unterliegen, ein Benutzer nur deaktiviert aber nicht gelöscht werden.

Um das Löschen von Benutzern zu verhindern, deaktivieren Sie in den Projekteigenschaften in der Gruppe Benutzerverwaltung die Eigenschaft Löschen von Benutzern.

Gesperrt

Aktiv: Der Benutzer ist zur Runtime gesperrt und kann sich nicht einloggen.

Diese Option wird automatisch gesetzt, wenn ein Benutzer sein Passwort öfter falsch eingegeben hat als erlaubt.

Optionen

Option

Beschreibung

Sperrcode

4-stelliger PIN-Code.

Dieser Code wird vom Benutzer in der Befehlsgabe verwendet, um Bereiche zu sperren oder wieder frei zu geben.
Nur verfügbar, wenn zenon Energy Edition lizenziert wurde.

Anmeldeprofil

Auswahl des Runtimeprofils, das beim Login angewendet wird, aus Dropdownliste:

  • Keines
  • Default
  • Last

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Passwort ändern

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer > Passwort ändern

Vergabe des Passworts für den Benutzer.

Parameter | Beschreibung
Altes Passwort | Aktuelles Passwort.
Neues Passwort | Eingabe neues Passwort. Die Eingabe erfolgt automatisch verdeckt. Beachten Sie bei sprachübergreifenden Projekten, dass es möglich sein muss, die Zeichen auf der entsprechenden Tastatur zur Runtime einzugeben.
Passwort bestätigen | Wiederholung des Passworts. Die Eingabe erfolgt automatisch verdeckt.

Hinweis: Die Funktionalität Kopieren und Einfügen steht für die Eingabe in Passwortfeldern nicht zur Verfügung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

info Info

Ein Administrator kann anderen Benutzern nur solche Gruppen frei geben, für die er selbst die Rechte besitzt.


Message Control

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer > Message Control

Konfiguration für Message Control.

Parameter

Beschreibung

Message Control Benutzer

Aktiv: Der Benutzer wird vom Modul Message Control verwendet.

Telefon

Nummer des sprachfähigen Telefoniegeräts des Benutzers. Wird für Text-to-Speech verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl
  • in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
    Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

Mobiltelefon

Nummer des Mobiltelefons des Benutzers. Wird für Nachrichten über GSM und SMS verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl
  • in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
    Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

E-Mail

E-Mail Adresse des Benutzers.

Ersatzperson

Wird ein Benutzer nicht erreicht oder verweigert er die Annahme der Nachricht, kann eine Ersatzperson angegeben werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Benutzers. Es werden nur Benutzer zur Auswahl angeboten, die als Message Control Benutzer aktiviert wurden.

PIN-Code

PIN-Code, mit dem der Benutzer den Erhalt der Nachricht bestätigt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

NA-Code

PIN-Code, mit dem der Benutzer die Annahme der Nachricht verweigert (not available). Die Nachricht wird dann an den nächsten Benutzer in der Liste gesendet.

Ist kein weiterer Benutzer in der Liste eingetragen, so wird die Nachricht als "nicht erfolgreich quittiert" eingetragen. Die dazu zugeordnete Funktion wird ausgeführt. Zusätzlich wird in jedem Fall ein CEL-Eintrag "abgelehnt von" erzeugt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Weitere Informationen zum Zuordnen von Funktionen finden Sie im Kapitel Empfangsbestätigung - Einstellungen Empfangsbestätigung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

attention Achtung

Die Quittier-Codes für PIN (Bestätigung) und NA (Ablehnung) müssen sich unterscheiden und sollten nicht zu ähnlich gewählt werden.

Sind beide Codes ident, wird der Code als PIN und damit als Bestätigung der Nachricht interpretiert.

Wird ein unbekannter Code empfangen, wird bei SMS und E‑Mail die Nachricht an die Ersatzperson geschickt, bei Sprachnachrichten die Fehlernachricht abgespielt.


Berechtigungsebenen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer > Berechtigungsebenen

Zuordnung von Berechtigungsebenen zu einem Benutzer. Es stehen 128 Berechtigungsebenen (0 bis 127) zur Verfügung.

Dialog Berechtigungsebenen

Parameter | Beschreibung
Verfügbare Berechtigungsebenen | Liste aller verfügbaren Berechtigungen.
Ausgewählte Berechtigungsebenen | Liste der zugewiesenen Berechtigungen.
Schaltfläche Doppelpfeil nach rechts | In der Liste Verfügbare Berechtigungsebenen ausgewählte Einträge werden zur Liste Ausgewählte Berechtigungsebenen hinzugefügt.
Schaltfläche Doppelpfeil nach links | In der Liste Ausgewählte Berechtigungsebenen ausgewählte Einträge werden aus dieser Liste entfernt.

Hinweis: Jede gewünschte Ebene muss dezidiert zugewiesen werden. Eine gewählte Ebene schließt weder darunterliegende noch folgende Ebenen mit ein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Benutzergruppen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer > Benutzergruppen

Zuweisung von Benutzergruppen.

Hinweis: Sie können nur Benutzergruppen zuweisen, über die Sie selbst verfügen.

Parameter | Beschreibung
Verfügbare Benutzergruppen | Liste aller verfügbaren Benutzergruppen.
Ausgewählte Benutzergruppen | Liste der zugewiesenen Benutzergruppen.
Schaltfläche Doppelpfeil nach rechts | In der Liste Verfügbare Benutzergruppen ausgewählte Einträge werden zur Liste Ausgewählte Benutzergruppe hinzugefügt.
Schaltfläche Doppelpfeil nach links | In der Liste Ausgewählte Benutzergruppe ausgewählte Einträge werden aus dieser Liste entfernt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Funktionsberechtigungen vergeben

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzer > Funktionsberechtigungen vergeben

Vergabe von Funktionsberechtigungen zu Berechtigungsebenen.

Hinweis: Sie können nur Funktionsberechtigungen vergeben, über die Sie selbst direkt oder als Gruppenmitglied verfügen.

Parameter | Beschreibung
Liste der Funktionen | Liste der vorhandenen Funktionen und den zugewiesenen Berechtigungsebenen.
Ändern | Öffnet Dialog zum Zuweisen einer neuen Berechtigungsebene.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Funktionsberechtigungen Allgemein

Parameter

Beschreibung

Bearbeiten Erweiterter Trend

Kurven im Erweiterten Trend können zur Runtime bearbeitet werden. Bei fehlender Berechtigung sind folgende Kontrollelemente nicht verfügbar:

  • Diagramm
  • Kurven
  • Einstellungen
  • Cursor ein/aus
  • X-Achse

Bild zurück (PGUP)

Bild zurück-Funktionen können in der Runtime ausgeführt werden.

Bildumschaltung: "Diesen Dialog zur Runtime anbieten" ermöglichen

Die Funktion Bildumschaltung kann mit aktiver Option Diesen Dialog zur Runtime anbieten nur ausgeführt werden, wenn der eingeloggte Benutzer über die entsprechende Berechtigungsgruppe verfügt.

Notizbuch: Datei öffnen

Die Funktion Datei öffnen im Bild Typ Notizbuch kann nur ausgeführt werden, wenn der eingeloggte Benutzer über die entsprechende Berechtigungsgruppe verfügt.

Notizbuch: Datei speichern

Die Funktion speichern im Bild Typ Notizbuch kann nur ausgeführt werden, wenn der eingeloggte Benutzer über die entsprechende Berechtigungsgruppe verfügt.

Funktionsberechtigungen Alarme

Parameter

Beschreibung

Alarm Kommentar ändern

Ein für die Quittierung nötiger Kommentar darf geändert werden.

Alarm Kommentar eingeben

Ein für die Quittierung nötiger Kommentar darf eingegeben werden.

Alarmquittierung bestätigen

Alarme dürfen zur Runtime quittiert werden.

Alarm quit.über Alarmstatuszeile/Kontextmenü

Quittieren des Alarms über die Alarmstatuszeile oder das Kontextmenü ist nur möglich, wenn die Berechtigung in dem Projekt zum aktuell angezeigten Alarm vorhanden ist.

Bei Mehrprojektverwaltung: Quittieren der Systemmeldung in der Alarmstatuszeile oder über das Kontextmenü ist nur möglich, wenn die Berechtigung im Integrationsprojekt vorhanden ist.

Anmerkung: Systemmeldungen sind jene Meldungen, die beim Erreichen einer einstellbaren Alarmanzahl in der Alarmstatuszeile ausgegeben werden.

Alarm quit. über Bilder vom Typ Alarmmeldeliste

Quittieren über ein Bild vom Typ Alarmmeldeliste ist nur mit der Berechtigung in dem mit der Variablen verknüpften Projekt möglich (Mehrprojektverwaltung).
Hinweis: Wenn die Berechtigung fehlt, wird zwar das Blinken abgestellt, aber der Alarm nicht quittiert.

Alarm quittieren über Funktion

Das Quittieren über eine Funktion ist nur möglich, wenn die Berechtigung zu den ausgewählten Alarmen in den jeweiligen Projekten vorhanden ist.

Archiv editieren

Archivdaten (Archivserver) können zur Runtime geändert werden.

Sie können für jede dieser Quittiermethoden unterschiedliche Berechtigungsgruppen einstellen. Damit können Sie z. B. festlegen, dass eine Benutzergruppe nur über die Alarmstatuszeile quittieren kann und nicht anders.

info Info

Das Quittieren eines Alarms ist nur möglich, wenn die Berechtigung zu den ausgewählten Alarmen in den jeweiligen Projekten vorhanden ist.

Funktionsberechtigungen Batch Control

Parameter | Beschreibung
Batch Control: Rezept/Teilrezept importieren | Rezepte können im Modul Batch Control als XML-Datei nur importiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept - Erstellen, umbenennen, duplizieren | Steuerrezepte im Modul Batch Control können nur erstellt und verwaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept - Grundfunktion editieren | Grundfunktionen können in Steuerrezepte im Modul Batch Control nur editiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept - Löschen | Steuerrezepte im Modul Batch Control können nur gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Anstehende Bedingung überspringen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann aus einer Grundfunktion ausgestiegen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Aus der Grundfunktion aussteigen | Beim Ausführen von Steuerrezepten im Modul Batch Control können anstehende Bedingungen nur übersprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Ausführungsmodus umschalten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control der Ausführungsmodus nur umgeschaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Ausführungsmodus umschalten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann der Ausführungsmodus nur umgeschaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Einzelschritte ausführen, springen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann beim Ausführen von Einzelschritten nur gesprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion anhalten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion fortsetzen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion neu starten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur dann neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Grundfunktion pausieren | Beim Ausführen von Steuerrezepten im Modul Batch Control kann eine Grundfunktion nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept abbrechen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann die Rezeptausführung nur abgebrochen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept anhalten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept fortsetzen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept neu starten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur dann neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept pausieren | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept starten | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Steuerrezept (Ausführung) - Rezept stoppen | Beim Ausführen von Steuerrezepten im Modul Batch Control kann ein Rezept nur gestoppt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Teilrezept - Erstellen, editieren, umbenennen, duplizieren, speichern | Teilrezepte im Modul Batch Control können nur erstellt, bearbeitet und verwaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Teilrezept - Freigeben | Teilrezepte im Modul Batch Control können nur frei gegeben werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Teilrezept - Löschen | Teilrezepte im Modul Batch Control können nur gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Erstellen, editieren, umbenennen, duplizieren, speichern | Vorlagenrezepte im Modul Batch Control können nur erstellt und verwaltet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Freigeben | Vorlagenrezepte im Modul Batch Control können nur frei gegeben werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Löschen | Vorlagenrezepte im Modul Batch Control können nur gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Umschalten zwischen Testmodus und Editiermodus | Das Umschalten zwischen Testmodus und Editiermodus ist bei Vorlagenrezepte im Modul Batch Control nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept - Als veraltet kennzeichnen | Vorlagenrezepte im Modul Batch Control können nur als veraltet gekennzeichnet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Anstehende Bedingung überspringen | Im Testmodus ist bei Vorlagenrezepte im Modul Batch Control das Überspringen einer anstehenden Bedingung nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Aus der Grundfunktion aussteigen | Im Testmodus ist bei Vorlagenrezepte im Modul Batch Control der Ausstieg aus einer Grundfunktion nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Einzelschritte ausführen, springen | Im Testmodus ist bei Vorlagenrezepte im Modul Batch Control das Springen beim Ausführen von Einzelschritten nur möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion anhalten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion editieren | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur editiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion fortsetzen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion neu starten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur dann neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Grundfunktion pausieren | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control eine Grundfunktion nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept abbrechen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur abgebrochen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept anhalten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur angehalten werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept fortsetzen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept neu starten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur neu gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept pausieren | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept starten | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur gestartet werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Batch Control: Vorlagenrezept (Testmodus) - Rezept stoppen | Im Testmodus kann bei Vorlagenrezepte im Modul Batch Control ein Rezept nur gestoppt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.

Funktionsberechtigungen Schaltfolgen:

Parameter | Beschreibung
Schaltfolgen: Ausführung abbrechen | Beim Ausführen von Schaltfolgen im Modul Schaltfolgen kann eine entsprechende Schaltfolge nur dann abgebrochen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführung fortsetzen | Im Modul Schaltfolgen kann eine pausierte Schaltfolge nur dann fortgesetzt werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführung pausieren | Im Modul Schaltfolgen kann eine entsprechende Schaltfolge nur dann pausiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführung starten | Der Start einer Schaltfolge im Modul Schaltfolgen ist nur dann möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Ausführungsmodus umschalten | Beim Ausführen von Schaltfolgen im Modul Schaltfolgen können Einzelschritte nur dann ausgeführt werden oder beim Ausführen von Einzelschritten kann nur dann gesprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Einzelschritte ausführen, springen | Beim Ausführen von Schaltfolgen im Modul Schaltfolgen können Einzelschritte nur dann ausgeführt werden oder beim Ausführen von Einzelschritten kann nur dann gesprungen werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Erstellen, editieren, umbenennen, duplizieren, speichern | Die Verwaltung von Schaltfolgen im Modul Schaltfolgen - z.B. Neuerstellung, Änderung, Umbenennung, Duplizierung und Speichern - können nur dann projektiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Löschen | Im Modul Schaltfolgen können projektierte Schaltfolgen nur dann gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Schaltfolge importieren | Schaltfolgen können im Modul Schaltfolgen als XML-Datei nur dann importiert werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schaltfolgen: Umschalten zwischen Ausführungs- und Editiermodus | Ein Moduswechsel (Editiermodus oder Ausführungsmodus) ist im Modul Schaltfolgen nur dann möglich, wenn der Benutzer über die entsprechenden Rechte verfügt.

Funktionsberechtigungen Schichtmanagement:

Parameter | Beschreibung
Schichtmanagement: Schicht erzeugen, editieren oder löschen | Beim Projektieren von Schichten im Modul Schichtmanagement zur Runtime kann eine Schicht nur erzeugt, editiert oder gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt.
Schichtmanagement: Schichtmodell erzeugen, editieren oder löschen | Beim Projektieren von Schichtmodellen im Modul Schichtmanagement zur Runtime kann eine Schicht nur erzeugt, editiert oder gelöscht werden, wenn der Benutzer über die entsprechenden Rechte verfügt


Benutzergruppe

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzergruppe

In dieser Registerkarte werden Benutzergruppen verwaltet.

Parameter | Beschreibung
Liste Benutzergruppen | Listet alle konfigurierten Benutzergruppen auf.
Neu | Öffnet den Dialog zum Erstellen und Ändern neuer Benutzergruppen.
Ändern | Öffnet den Dialog zum Erstellen und Ändern neuer Benutzergruppen.
Löschen | Löscht die ausgewählte Benutzergruppe nach einer Sicherheitsabfrage.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Benutzergruppen verwalten

Um eine Benutzergruppe zu verwalten:

  1. Markieren Sie die Benutzergruppe in der Liste.
  2. Wählen Sie die gewünschte Aktion mit Klick auf einen der Buttons.

Noch in diesem Kapitel

Benutzergruppe

Berechtigungsebenen


Benutzergruppe

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzergruppe > Benutzergruppe

Anlegen einer neuen Benutzergruppe.

Parameter | Beschreibung
Name | Name für die neue Benutzergruppe Achtung: @ ist kein gültiges Zeichen für den Namen einer Benutzergruppe.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Berechtigungsebenen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Benutzer ändern > Benutzergruppe > Berechtigungsebenen

Zuordnung von Berechtigungsebenen zu einem Benutzer. Es stehen 128 Berechtigungsebenen (0 bis 127) zur Verfügung.

Parameter | Beschreibung
Verfügbare Berechtigungsebenen | Liste aller verfügbarer Berechtigungen
Ausgewählte Berechtigungsebenen | Liste der zugewiesenen Berechtigungen
Schaltfläche Doppelpfeil nach rechts | In der Liste Verfügbare Berechtigungsebenen ausgewählte Einträge werden zur Liste Ausgewählte Berechtigungsebenen hinzugefügt.
Schaltfläche Doppelpfeil nach links | In der Liste Ausgewählte Berechtigungsebenen ausgewählte Einträge werden aus dieser Liste entfernt.

Hinweis: Jede gewünschte Ebene muss dezidiert zugewiesen werden. Eine gewählte Ebene schließt weder darunterliegende noch folgende Ebenen mit ein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Passwort ändern

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Funktionen für das Modul Benutzerverwaltung > Passwort ändern

Mit der Verwendung dieser Funktion kann der angemeldete Benutzer sein aktuelles Passwort zur Runtime ändern. Für die systeminternen Benutzer ist keine Änderung möglich.

Beachten Sie, dass unterschiedliche Bedingungen zur Passwortlänge gelten:

  • Lokale Benutzer: eine maximale Passwortlänge von 20 Zeichen ist erlaubt
  • AD-Benutzer: eine maximale Passwortlänge von 255 Zeichen ist erlaubt

Zur Runtime wird zur Passwortänderung ein Dialog aufgeschaltet.

Die notwendigen Eingaben sind

Parameter | Beschreibung
Altes Passwort | Aktuelles Passwort eingeben.
Neues Passwort | Neues Passwort eingeben.
Passwort bestätigen | Neues Passwort erneut eingeben.
OK | Übernimmt neues Passwort und schließt den Dialog.
Abbrechen | Bricht Vorgang ab.

Wurde dem Benutzer kein Passwort zugewiesen, kann er es sich im Onlinebetrieb beim ersten Aufruf der Funktion selbst definieren. Im Dialog wird in diesem Fall kein altes Passwort abgefragt.


Passwortschutz im Dynamischen Element

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Passwortschutz im Dynamischen Element

Zur Runtime können alle Dynamische Bildelemente, die eine Funktionsausführung oder eine Sollwert absetzen Funktion erlauben, mit einer Berechtigungsgruppe verknüpft werden:

  1. Legen Sie ein Dynamisches Element an. Beispielsweise einen Textbutton.

    Nun erscheinen im Eigenschaftenfenster alle projektierbaren Eigenschaften für dieses Dynamische Element.

  2. Gehen Sie bei den Eigenschaften in der Gruppe Berechtigung zur Eigenschaft Berechtigungsebene.

    Mit der Dropdownliste können Sie die zur Funktionsausführung nötige Berechtigungsebene einstellen.

Hinweis: Bei Dynamischen Elementen, bei denen eine Sollwertaktion geschützt werden soll, müssen Sie zuerst über das Eigenschaftenfenster eine Variable verknüpfen und die Checkbox der Eigenschaft Sollwert setzen aktivieren, bevor die Berechtigungsebene eingestellt werden kann.


Änderungen im Editor zur Runtime übernehmen

Handbuch > Benutzerverwaltung > zenon Login und Benutzerverwaltung zur Runtime > Änderungen im Editor zur Runtime übernehmen

Nicht alle Änderungen der Benutzerverwaltung werden zur Runtime mit Nachladen übernommen. Beachten Sie vor allem:

Maximale Anzahl für Passwortfehleingaben

Wenn Sie die Vorgabe für die maximale Anzahl von Fehlversuchen für die Passworteingabe im Editor ändern, wird diese Änderung in der Runtime erst mit einem Neustart der Runtime wirksam. Das Nachladen alleine genügt nicht, da sonst beliebig viele Versuche zur Passworteingabe möglich wären. Den Wert verändern Sie unter: Projekteigenschaften -> Benutzerverwaltung -> Max. Benutzerfehleing.

Änderungen von Benutzergruppen und Berechtigungen

Werden im Editor Benutzergruppen hinzugefügt oder entfernt oder Berechtigungen geändert, dann werden diese Änderungen zur Runtime für angemeldete Benutzer mit Nachladen nicht übernommen. Damit diese Änderungen wirksam werden, müssen angemeldete Benutzer vom System abgemeldet und neu angemeldet werden. Das gilt auch bei der Nutzung von Active Directory Benutzern.


Externe Benutzerverwaltung mit Microsoft Active Directory

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory

Mit zenon können Sie auch Microsoft Active Directory für die Benutzerverwaltung nutzen.

Um AD und AD LDS für den Login zur zenon Runtime nutzen zu können, muss die zenon Projekteigenschaft Benutzerverwaltung/Zugriff auf Active Directory konfiguriert werden.

  • AD: Für die Eigenschaft muss Ja gewählt werden und der Rechner muss sich in der Domäne befinden.
  • AD LDS: Für die Eigenschaft muss ADAM/AD LDS gewählt werden.
    Die Eigenschaften AD LDS-Verbindung, AD LDS-Benutzername und AD LDS-Passwort müssen korrekt konfiguriert werden.
    • AD LDS muss entsprechend vorbereitet werden.

Hinweis: ADAM wird nicht unterstützt.

Allgemeine Regeln

Bei der Verwaltung von zenon Benutzer im Active Directory gilt:

  • Benutzer aus dem Active Directory erhalten in zenon nicht automatisch Administrator-Rechte.
    Diese können aber über ein Bild vom Typ Active Directory Benutzerverwaltung zur Runtime vergeben werden.
    Achtung: Diese Rechte gelten dann unabhängig vom Projekt global, also auch für alle anderen zenon Projekte.
  • Benutzer aus dem Active Directory können keine Projekte im Editor laden oder bearbeiten.

Achtung: zenon unterstützt keine feingranularen Passwortrichtlinien.
zum Beispiel wird das automatische Entsperren gesperrter Benutzerkonten nicht unterstützt.

Benutzerrechte für AD Benutzer

Welche Rechte ein Active Director Benutzer zur Runtime erhält, hängt ab von der Art des Logins und seiner Zugehörigkeit zu Benutzergruppen:

  • Login bei erreichbarem Domain Controller:
    Der Benutzer kann Benutzerberechtigungen erhalten über:
    • eine Active Directory Schema-Erweiterung
    • eine Active Directory Benutzergruppenbeschreibung mit spezieller Syntax, der der Benutzer angehört
    • ein Active Directory Benutzer-Attribut groupMembershipSAM
    • eine lokalen zenon Benutzergruppe, die einer AD Benutzergruppe entsprechen, der der Benutzer angehört
  • Login mit zwischengespeicherten Anmeldeinformationen:
    Loggt sich ein Benutzer mit zwischengespeicherten Anmeldeinformationen ein, weil der Domain Controller nicht erreichbar ist, dann erhält er die Rechte jener zenon Benutzergruppe, die für den Login mit zwischengespeicherten Anmeldeinformationen konfiguriert wurde.

attention Achtung

Rechte, die in zenon vergeben werden, gelten für das jeweilige Projekt oder den Arbeitsbereich. Rechte, die im Active Directory vergeben werden, gelten global.

Werden also Rechte an Benutzer oder Benutzergruppen des Active Directory vergeben, dann gelten die Rechte für diese Benutzer in allen zenon Projekten!

Noch in diesem Kapitel

Active Directory (AD)

Active Directory Lightweight Directory Services - AD LDS

Active Directory Application Mode - ADAM (nur für Windows XP)


Active Directory (AD)

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD)

Active Directory kann in zenon zum Login und zur Benutzerverwaltung in der zenon Runtime verwendet werden. Für den zenon Editor steht AD nicht zur Verfügung.

info Info

Active Directory und AD LDS, sowie ADAM (für Windows XP), stehen unter Windows CE nicht zur Verfügung.

Nutzung AD in zenon

Das Active Directory kann auf drei Arten von zenon genutzt werden:

  1. Der Name der Berechtigungsgruppe in der zenon Benutzerverwaltung stimmt mit dem Gruppennamen einer Benutzergruppe im Active Directory überein: Automatische Zuordnung der Active Directory Benutzer zu der zenon Berechtigungsgruppe. Alle Benutzer der AD Gruppe erhalten die Benutzerrechte, die in der zenon Berechtigungsgruppe definiert sind. Siehe Benutzergruppen in zenon und Gruppen im Active Directory haben den selben Namen
  2. In der Beschreibung der Active Directory Gruppe werden die zenon Berechtigungsebenen und das Projekt in einer eine bestimmte Syntax hinterlegt. Alle Benutzer der Gruppe enthalten in zenon die in der AD Gruppe hinterlegten Benutzerrechte. Siehe Zuordnung eines Active Directory Benutzers zu zenon Berechtigungsebenen
  3. Das Active Directory Schema wird um Felder erweitert, in denen die zenon Berechtigungsebenen abgespeichert werden. Das erfordert eine Schema Erweiterung des Active Directorys . Diese eignet sich allerdings nicht für den Einsatz im FDA 21 CFR Part11 reglementierten Umfeld. Siehe: Schema-Erweiterung des Active Directory.

info Info

Bei der Passwortprüfung in zenon wird auch die Active Directory Eigenschaft Max. password agegeprüft.

Noch in diesem Kapitel

Allgemeines

Setzen der zenon Berechtigungsebenen in Active Directory

Gleiche Benutzergruppen in zenon und im Active Directory

Schema-Erweiterung des Active Directory

Schema Erweiterung - Details

Schema

Configuration

Domain


Allgemeines

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Allgemeines

Um in zenon die Benutzer aus dem ActiveDirectory (in Folge: AD genannt) verwenden zu können ist eine Domäne auf Basis eines Windows Server Betriebssystems die Grundvoraussetzung. Um Benutzer im ActiveDirectory verwalten zu können, muss der Server ein DNS Server sein.

Es muss also ein Domaincontroller mit DNS und ActiveDirectory zur Verfügung stehen um diese Benutzerkonten dann auch auf einem PC in der Domäne als Benutzer in zenon verwenden zu können.

Der Zugriff auf die Benutzer des ActiveDirectory muss in den Eigenschaften des Projekts aktiviert werden.

Grundlegendes Wissen über das ActiveDirectory und Windows Server - Technologie wird vorausgesetzt.

attention Achtung

Wenn das Login über Active Directory erfolgt, müssen ausnahmslos alle Rechner auf Active Directory Zugriff haben. Das gilt auch für Clients und zenon Web Clients!

Hintergrund: Das Login eines Clients erfolgt direkt vom Client zum Active Directory. Der zenon Runtime-Server ist daran nicht beteiligt.
Ein Active Directory Benutzer kann also nur eingeloggt werden, wenn ein Client:

  • Mitglied der Domäne ist
    und
  • Zugriff auf die Domäne hat


Setzen der zenon Berechtigungsebenen in Active Directory

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Setzen der zenon Berechtigungsebenen in Active Directory

Windows Benutzer können im Active Directory Berechtigungsebenen für zenon zugewiesen werden. Diese werden im Beschreibungsfeld einer Benutzergruppe gesetzt.

Um einem Benutzer zenon Berechtigungseben zuzuweisen:

  1. Erstellen Sie eine Domänengruppe, die für Berechtigungsebenen in zenon verwendet wird.
  2. Weisen Sie den Benutzer dieser Domänengruppe zu.
  3. Verknüpfen Sie die Domänengruppe mit der Domäne für zenon Benutzer.
  4. Vergeben Sie die Berechtigungsebenen in der Domänengruppe.
    Dazu: Tragen Sie die Berechtigungsebenen in die die Option Beschreibung ein.
    • Syntax: [freier Text] ##[Gruppenbezeichnung=HEX-Zahl]##
    • Freier Text: Optionaler Text zur Kennzeichnung der Gruppe.
    • Gruppenbezeichnung: zenon Berechtigungsebenen im HEX-Format.
      Die Gruppenbezeichnung wird durch ## eingeleitet und abgeschlossen.

Hinweis: Ein Benutzer kann mehreren Gruppen angehören. In diesem Fall erhält er die Summe der Berechtigungsebenen aller Gruppen.

Ablauf beim Einloggen in zenon:

  • Die Information über den Benutzer werden ausgelesen.
  • Es wird festgestellt, ob der Benutzer in zenon vorhanden ist.
  • Wird er in zenon nicht gefunden, wird überprüft, ob der Benutzer einer passenden Domänengruppe angehört.
  • Die Gruppenbezeichnung der AD Domäne wird ausgelesen.
  • Es wird festgestellt, ob entsprechende Berechtigungsebenen für den Domänenbenutzer in der zenon Runtime definiert sind.
  • Dem Domänen-Benutzer werden die definierten Berechtigungsebenen zugewiesen.

Hinweis: Existiert ein Benutzer weder in zenon noch in der AD Domäne, wird der Benutzer nicht eingeloggt. Existiert der Benutzer in AD, hat jedoch keine gültigen Berechtigungsebenen zugewiesen, wird er mit der Berechtigungsebene 0 eingeloggt. In beiden Fällen wir ein Eintrag in der CEL erstellt.

zenon Berechtigungsebenen als HEX-Zahl

Die Berechtigungsebenen werden in binärem Format zugewiesen. In der Beschreibung der AD Gruppe wird dies zur leichteren Lesbarkeit im Hex-Format dargestellt. Die HEX-Zahl hat 32 Stellen und wird in vier Gruppen unterteilt. Diese werden jeweils durch einen Bindestrich getrennt. Es müssen nicht alle 32 Stellen angegeben werden. Fehlende Stellen werden als 0 interpretiert.

Beispiele:

Beispiel

Berechtigungsebenen

Anmerkung

##GRP=7##

0, 1, 2

7 hexadezimal entspricht in binärer Darstellung 111.

Für jede 1 in der Binärzahl, wird die entsprechende Berechtigungsebene gesetzt.

  • Das Bit rechts außen steht für die Berechtigungsebene 0.
  • Das Bit in der Mitte für die Berechtigungsebene 1.
  • Das Bit links außen steht für die Berechtigungsebene 2.

##GRP=FFFFFFFF-FFFFFFFF-FFFFFFFF-FFFFFFFF##

0 bis 127

Beispiel Berechtigungsebenen in Active Directory

Konfiguration:

  • Im Active Directory ist ein Domänenbenutzer user_grp12 vorhanden.
  • Dieser Benutzer ist Mitglied der Domänengruppe grp12.
  • Die Domänengruppe grp12 ist Mitglied der Domäne für zenon.
  • In der Beschreibung der Domänengruppe wird eingetragen: Viewers (1) and Operators (2)##GRP=3-0-0-0##.

Ablauf zur Runtime:

  • Der Benutzer user_grp12 wird in zenon eingeloggt.
  • Es wird festgestellt, dass er der Domänengruppe grp12 angehört.
  • Die Beschreibung der Domänengruppe wird ausgelesen.
  • Aus dem Eintrag werden die Berechtigungsebenen ausgelesen.
  • Dem Benutzer werden die Berechtigungsebenen 0, 1 zugewiesen.


Gleiche Benutzergruppen in zenon und im Active Directory

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Gleiche Benutzergruppen in zenon und im Active Directory

Für Benutzer in zenon und im Active Directory gilt:

  • Existiert ein Benutzer im AD, aber nicht in zenon, dann:
    • werden die Benutzergruppen in zenon überprüft
    • die Berechtigungsebenen der Gruppen, denen der Benutzer angehört, werden dem AD Benutzer zugewiesen
  • Existiert ein Benutzer sowohl im AD und in zenon und der Benutzer loggt sich in die Runtime ein, dann:
    • hat der lokale zenon Benutzer Vorrang vor dem AD Benutzer
    • werden in AD keine Berechtigungsebenen überprüft, da der lokale Benutzer eingeloggt ist


Schema-Erweiterung des Active Directory

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Schema-Erweiterung des Active Directory

Hinweis: Diese Erweiterung sollte nicht im FDA 21 CFR Part11 reglementierten Umfeld eingesetzt werden. Nutzen Sie für FDA 21 CFR Part11 kompatible Benutzerverwaltung entweder die Methode Benutzergruppen in zenon und Gruppen im Active Directory oder Zuordnung eines Active Directory Benutzers zu zenon Berechtigungsebenen.

info Info

Active Directory und AD LDS, sowie ADAM (für Windows XP), stehen unter Windows CE nicht zur Verfügung.

Noch in diesem Kapitel

Installieren der Schema Erweiterung

Zuweisen von Benutzerrechten


Installieren der Schema Erweiterung

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Schema-Erweiterung des Active Directory > Installieren der Schema Erweiterung

Damit den Benutzern im AD auch die 128 Berechtigungsebenen von zenon zugewiesen werden können, muss das AD-Schema um diese Einträge (4 Integerwerte) ergänzt werden.

Dazu werden 2 Dateien (zenonUserLevel.exe, zAD_UserDlg.exe) auf den Server kopiert (am besten in einen eigenen Ordner). Sobald das Setup (zenonUserLevel.exe) gestartet wurde, darf dieser Ordner und die enthaltenen Dateien nicht mehr umbenannt oder gelöscht werden.

attention Achtung

Die beiden Dateien zenonUserLevel.exe und zAD_UserDlg.exe finden Sie auf dem zenon Installationsmedium im Ordner \Software\zenonUserLevel\

Es wird vom Setup ein Verweis auf die Datei zAD_UserDlg.exe im AD-Schema hinterlegt.

Weiters werden 4 Integerwerte (zenonUserLevel1, zenonUserLevel2, zenonUserLevel3, zenonUserLevel4) dem AD-Schema hinzugefügt.

info Info

Nur ein Benutzer der Gruppe Schema Administratoren darf diese Änderungen durchführen! Der Domänen-Administrator hat im Normalfall diese Rechte.


Zuweisen von Benutzerrechten

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Schema-Erweiterung des Active Directory > Zuweisen von Benutzerrechten

Nach der erfolgreichen Schema Erweiterung können nun den einzelnen Benutzern die Berechtigungsebenen zugewiesen werden.

Dazu wird die Microsoft Management Konsole (MMC) mit dem Plug-in Active Directory Users and Computers geöffnet.

Durch anklicken des gewünschten Benutzers mit der rechten Maustaste öffnet sich ein Kontextmenü. Im Kontextmenü wird ein neuer Menüpunkt sichtbar: zenonUserLevel.

In diesem Kontextmenü muss der Menüpunkt zenonUserLevel ausgewählt werden, damit sich das AdministrationsTool (zAD_UserDlg.exe) für den gewählten Benutzer öffnet.

info Info

Es können die Berechtigungsgruppen für zenon nur direkt beim Benutzer hinterlegt werden, Gruppen und Organisationseinheiten werden nicht unterstützt.

Mit Hilfe dieses Administrationstools können für jeden Benutzer bis zu 128 Berechtigungsebenen definiert werden.

info Info

Die Berechtigungsebene 0 ist per Default jedem Benutzer zugewiesen, diese kann mit dem Administrationstool auch nicht deaktiviert werden.

Diese Ebene entspricht dem Benutzer SYSTEM von zenon.

Noch in diesem Kapitel

Beschreibung des AdministrationsTools


Beschreibung des AdministrationsTools

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Schema-Erweiterung des Active Directory > Zuweisen von Benutzerrechten > Beschreibung des AdministrationsTools

Parameter | Beschreibung
[erste Zeile] | LDAP-Parameter, der als Connectionstring dient.
Last Name | Nachname des ausgewählten Benutzers.
First Name | Vorname des ausgewählten Benutzers.
User Level | 4 Integerwerte repräsentieren je 32 Berechtigungsebenen. Eingabe durch aktivieren oder deaktivieren der Checkboxen oder direkte Eingabe in Feld.
# | Aktualisiert Darstellung der Berechtigungsebenen.
Select | Aktiviert alle Checkboxen in einer Spalte.
Clear | Deaktiviert alle Checkboxen in einer Spalte.
Save | Speicher aktuelle Einstellungen.
Cancel | Verwirft alle Einstellungen seit letztem Speichern und schließt Dialog.
OK | Speichert alle Einstellungen und schließt Dialog.
Logging | Zeigt Logginginformationen an.


Schema Erweiterung - Details

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Schema Erweiterung - Details

Um die Hintergründe etwas zu verdeutlichen, werden hier die Schema Erweiterungen im Detail erklärt, damit diese bei Problemen auch kontrolliert oder überprüft werden können.

Damit die Details des AD-Schema betrachtet werden können, muss ADSI Edit auf dem Server installiert sein. Dieses Tool steht zur Verfügung, sobald die Support Tools für den Microsoft Server installiert worden sind.

Das ADSI Edit Plug-in kann dann in der Microsoft Management Konsole (MMC) geöffnet werden. Danach können verschiedene Verbindungen hergestellt werden.


Schema

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Schema

Im Schema können die zusätzlichen Attribute kontrolliert werden. Diese sind im Normalfall ganz unten aufgelistet.

zenonUserLevel1 - zenonUserLevel4


Configuration

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Configuration

Wenn die Verbindung auf Configuration eingerichtet wurde, können Details der einzelnen AD Objekte begutachtet und geändert werden. In diesem Fall ist jedoch nur das Objekt user-Display in den einzelnen DisplaySpecifiers von Interesse, da hier die Verknüpfung zwischen Benutzerobjekt und Administrationstool hergestellt wird.

Die Eigenschaften des Objektes user-Display enthalten ein Attribut mit dem Namen adminContextMenu.

Dieses Attribut beinhaltet die Verknüpfung zum Administrationstool (zAD_UserDlg.exe).

Man kann diesen Eintrag auch per Hand ändern, wenn dies notwendig sein sollte.

Dazu:

  1. Eintrag auswählen
  2. Schaltfläche Remove drücken
  3. den Parameter anpassen
  4. mit Add wieder hinzufügen

Der Parameter setzt sich wie folgt zusammen:

,Bezeichnung des Menüeintrages,Pfad zur zAD_UserDlg.exe Datei

Example Beispiel

Beispiel, wenn die EXE Datei im Ordner D:/AD_Users hinterlegt ist.

,&zenonUserLevel,D:/AD_Users/zAD_UserDlg.exe


Domain

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory (AD) > Domain

Wenn die Verbindung Domain geöffnet wird, sieht man auf den ersten Blick parallelen zur MMC mit dem Plug-in Active Directory Users and Computers. Genau diese Information kann man auch hier wieder finden, jedoch etwas detaillierter.

Untersucht man beispielsweise die Eigenschaften eines Benutzer Objekts und scrollt dabei in der Liste ganz nach unten, findet man auch hier wieder die 4 Integerwerte für die Berechtigungsebenen.


Active Directory Lightweight Directory Services - AD LDS

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS

Active Directory Lightweight Directory Services (kurz: AD LDS) ist eine vereinfachte Version des Active Directory und eignet sich für den Einsatz auf normalen Desktop-Betriebssystemen, es muss also kein Server-Betriebssystem eingesetzt werden. Wie AD unterstützt auch AD LDS:

  1. Der Name der Berechtigungsgruppe in der zenon Benutzerverwaltung stimmt mit dem Gruppennamen einer Benutzergruppe im Active Directory überein: Automatische Zuordnung der Active Directory Benutzer zu der zenon Berechtigungsgruppe. Alle Benutzer der AD Gruppe erhalten die Benutzerrechte, die in der zenon Berechtigungsgruppe definiert sind. Siehe Benutzergruppen in zenon und Gruppen im Active Directory haben den selben Namen
  2. In der Beschreibung der Active Directory Gruppe werden die zenon Berechtigungsebenen und das Projekt in einer eine bestimmte Syntax hinterlegt. Alle Benutzer der Gruppe enthalten in zenon die in der AD Gruppe hinterlegten Benutzerrechte. Siehe Zuordnung eines Active Directory Benutzers zu zenon Berechtigungsebenen

AD LDS können Sie verwenden unter:

  • Windows 7
  • Windows 8
  • Windows Server 2008
  • Windows Server 2012

Noch in diesem Kapitel

AD LDS ab Windows 8 und Windows Server 2012

AD LDS unter Windows 7

AD LDS unter Windows Server 2008

zenon Benutzerverwaltung mit Active Directory

Problembehandlung


AD LDS ab Windows 8 und Windows Server 2012

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012

Um AD LDS ab Windows 8 und Windows Server 2012 mit zenon zu nutzen:

  1. Installieren Sie AD LDS.
  2. Erstellen Sie eine neue AD LDS Instanz.
  3. Importieren Sie ein AD LDS Schema.
  4. Installieren Sie die Remote Verwaltung für Windows Server.
  5. Konfigurieren Sie das Active Directory Snap-in, um AD LDS Instanzen zu verwalten.
  6. Definieren Sie Rollen, Organisationseinheiten, Benutzer und Benutzergruppen.

Hinweis: Die Anleitung zu Installation und Nutzung von AD LDS benutzt teilweise Screenshots mit englischer Bedienoberfläche.

Noch in diesem Kapitel

AD LDS installieren

Neue AD LDS Instanz erstellen

AD LDS Schema importieren

Remote Server Verwaltung unter Windows 8 installieren

Tools

Active Directory Schema Snap-in konfigurieren

Rollen, Organisationseinheiten und Benutzer konfigurieren


AD LDS installieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > AD LDS installieren

Windows 8

Um AD LDS unter Windows 8 zu installieren:

  1. Öffnen Sie die Systemsteuerung.
  2. Öffnen Sie Programme und Features.
  3. Wählen Sie Windows Features aktivieren oder deaktivieren.

  4. Aktivieren Sie die Checkbox vor Active Directory Lightweight Directory Services.
  5. Klicken Sie auf OK.

Windows Server 2012

Um AD LDS unter Windows Server 2012 zu installieren:

  1. Gehen Sie zu Manage -> Add Roles and Features.
  2. Der Wizard wird gestartet.

  3. Wählen Sie Role-based or feature-based installation.
  4. Klicken Sie auf Next.

  5. Wählen Sie einen Server aus dem Server Pool aus.
  6. Klicken Sie auf Next.

  7. Aktivieren Sie für Server Roles die Checkbox vor Active Directory Lightweight Directory Services.
  8. Klicken Sie auf Next.

  9. Aktivieren Sie die Checkbox von Include management tools.
  10. Klicken Sie auf Add Features.

  11. Klicken Sie auf Next.

  12. Bestätigen Sie den automatischen Neustart des Servers.


Neue AD LDS Instanz erstellen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Neue AD LDS Instanz erstellen

Um eine neue AD LDS Instanz zu erstellen:

  1. Navigieren Sie in Windows zum Ordner %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools.
  2. Starten Sie die Datei Setup-Assistent für Active Directory Lightweight Directory Services.

  3. Klicken Sie auf Weiter.

  4. Wählen Sie als Installationstyp eine eindeutige Instanz.
  5. Klicken Sie auf Weiter.

  6. Vergeben Sie einen Instanzennamen.
  7. Klicken Sie auf Weiter.

  8. Geben Sie die Port-Nummern für LDAP und SSL an.
    Default LDAP: 389
    Default SSL: 636
    Hinweis: Wenn Sie eine der Port-Nummern ändern, müssen sie diese auch in einigen der folgenden Schritte anpassen.
  9. Klicken Sie auf Weiter.

  10. Aktivieren Sie die Option für eine Anwendungsverzeichnispartition.
  11. Geben Sie den Partitionsnamen ein.

    Hinweis: Der Partitionsname wird gemeinsam mit Portnummer und Servername in zenon benutzt.
    In diesem Beispiel würde der Eintrag in der entsprechenden zenon Eigenschaft AD LDS-Verbindung lauten: \\w8x64-vm0009.testenv.local:389/DC=copadata,DC=com

  12. Klicken Sie im Assistenten auf Weiter.

  13. Geben Sie den Speicherort für Datendateien und Wiederherstellung an. (Sie können ihn auf der Default-Einstellung belassen.)
  14. Klicken Sie auf Weiter.

  15. Wählen Sie aus, mit welchen Berechtigungen Vorgänge ausgeführt werden. (In diesem Beispiel Netzwerkdienstkonto.)

    Hinweis: Wenn der Rechner, auf dem Sie AD LDS installieren, kein Mitglied einer Domäne ist, erhalten Sie eine entsprechende Warnung:

    Das wird die Funktionalität nicht beeinträchtigen, solange Sie keine Replikationen vornehmen. Bestätigen Sie den Hinweis mit Klick auf Ja.

  16. Klicken Sie im Assistenten auf Weiter.

  17. Geben Sie den Benutzer an, der AD LDS verwalten soll. In diesem Beispiel wird der aktuell angemeldete Benutzer verwendet.
    Der Benutzer muss kein lokaler Administrator oder Domänen Administrator sein. Es kann auch eine Gruppe angegeben werden.
    Aber: In zenon muss ein einzelner Benutzer angegeben werden. Dieser kann Mitglied einer Gruppe sein.

    Der hier konfigurierte Benutzer wird in zenon in den Eigenschaften AD LDS-Benutzername und AD LDS-Passwort benutzt:

  18. Klicken Sie im Assistenten auf Weiter.

  19. Importieren Sie die benötigten LFIF-Dateien. Sie benötigen:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF
  20. Klicken Sie auf Weiter.

  21. Bestätigen Sie die Konfiguration durch Klick auf Weiter.

    Die Installation wird durchgeführt.

  22. Beenden Sie den Assistenten mit Klick auf Fertig stellen.


AD LDS Schema importieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > AD LDS Schema importieren

Um LD ADS Schemata zu importieren:

  1. Öffnen Sie die Kommandozeile.
  2. Navigieren Sie zum AD LDS Ordner: %WINDIR%\ADAM.
  3. Geben Sie den folgenden Befehl ein und drücken Sie die Eingabe-Taste:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf

    Achtung Windows Power Shell: Wird die Windows Power Shell für die Eingabe benutzt, muss der Konfigurationsteil in Anführungszeichen gesetzt werden: ldifde -i -s localhost:389 -c "CN=Configuration,DC=X" "#ConfigurationNamingContext" -f MS-adamschemaw2k8.ldf

    Hinweis: Falls Sie einen dedizierten Benutzer für die AD LDS Partition konfiguriert haben, müssen Sie zusätzlich angeben:

    • Benutzer
    • Domain
    • Passwort für ldifde

    Syntax: user: ADLDS, domain: T08-12en64, password: password): ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf -b ADLDS T08-12en64 Copadata1
    Für Windows Power Shell werden wieder Anführungszeichen benötigt.

  4. Sie erhalten eine Bestätigung über die durchgeführten Änderungen:

  5. Geben Sie jetzt den folgenden Befehl ein und drücken Sie die Eingabe-Taste (auch hier gelten die Regeln für dedizierte Benutzer wie im vorigen Schritt):

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

  6. Sie erhalten eine Bestätigung über die erfolgreiche Durchführung.


Remote Server Verwaltung unter Windows 8 installieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Remote Server Verwaltung unter Windows 8 installieren

Unter Windows 8 müssen Sie noch die Remote Server Verwaltung installieren. Dazu:

  1. Öffnen Sie die Systemsteuerung.
  2. Öffnen Sie Programme und Features.
  3. Wählen Sie Windows Features aktivieren oder deaktivieren.

  4. Aktivieren Sie die Checkbox vor Remoteserver-Verwaltungstools.
  5. Klicken Sie auf OK.

Hinweis: Werden die Remoteserver-Verwaltungstools nicht angezeigt, dann laden Sie diese von der der Microsoft Website herunter und installieren Sie diese.


Tools

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Tools

Folgende Tools sind bei der Verwaltung von AD LDS hilfreich:

  • Microsoft mmc mit dem Active Directory Schema snap-in: mmc –a
  • ADSI Edit
  • ADExplorer (können von Microsoft Sysinternals heruntergleaden werden)


Active Directory Schema Snap-in konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Active Directory Schema Snap-in konfigurieren

Um das Active Directory Schema Snap-in zu konfigurieren:

  1. Öffnen Sie die Kommandozeile mit Administratorrechten.
  2. Geben Sie den folgenden Befehl ein und drücken Sie die Eingabe-Taste: regsvr32 schmmgmt.dll
  3. Sie erhalten eine Bestätigung für die erfolgreiche Registrierung:

  4. Öffnen Sie die Ausführung.
    Geben Sie ein: mmc /a
  5. Die Verwaltungskonsole wird geöffnet:

  6. Klicken Sie im Menü Datei auf den Befehl Snap-in hinzufügen/entfernen.

  7. Wählen Sie Active Directory Schema.
  8. Klicken Sie auf Hinzufügen.
  9. Klicken Sie auf OK.
  10. Markieren Sie den Eintrag Active Directory Schema.
  11. Wählen Sie im Kontextmenü den Befehl Change Active Directory Domain Controller.

  12. Geben Sie im leeren Feld den Servernamen und den Port ein. In unserem Beispiel: w8x64-vm0026.testenv.local:389.
    Wählen Sie hier Ihren Server und Port.
    Sie sehen jetzt diese Ansicht:

  13. Speichern Sie das Snap-in über Datei -> Speichern.
  14. Optional:
    1. Öffnen Sie den Ordner Klassen und navigieren Sie zum Eintrag organization.

    2. Klicken Sie im Kontextmenü auf Eigenschaften.
    3. Öffnen Sie die Registerkarte Attribute.

    4. Klick Sie auf Hinzufügen und suchen Sie nach maxPwdAge. Klicken Sie auf OK.

      Fügen Sie auch lockoutDuration und lockoutThreshold hinzu.

      Beenden Sie den Dialog mit Klick auf OK.

      Diese Schritte sind optional und benötigen entsprechende Rechte. maxPwdAge definiert den Zeitbereich, in dem ein Passwort gültig ist, bevor es erneuert werden muss. lockoutDuration legt fest, wie lange ein Benutzer nach mehrmaliger falscher Passworteingabe gesperrt wird. Die erlaubte Zahl falscher Passworteingaben wird mit lockoutThreshold definiert.

  15. Öffnen Sie den Ordner Klassen und navigieren Sie zum Eintrag user.
    1. Klicken Sie im Kontextmenü auf Eigenschaften.
    2. Öffnen Sie die Registerkarte Attribute.
    3. Klick Sie auf Hinzufügen und suchen Sie nach sAMAccountName. Klicken Sie auf OK.
      Fügen Sie auch groupMembershipSAM und userAccountControl hinzu.

    Beenden Sie den Dialog mit Klick auf OK.

  16. Schließen Sie die Konsole.

Passwort-Richtlinien

Die Richtlinien für Passwortkomplexität, minimale Passwortlänge und minimales Passwortalter werden in den lokalen Sicherheitsrichtlinien des Rechners konfiguriert. Wenn der Rechner, auf dem AD LDS läuft, sich in einer Arbeitsgruppe befindet, sehen Sie die lokalen Sicherheitsrichtlinien. Befindet sich der Rechner in eine Domain, sehen Sie die Domain Security Policies. Abhängig von Ihrer Installation müssen Sie die Passwort-Richtlinien konfigurieren.

Für lokale Sicherheitsrichtlinien:

  1. navigieren Sie zu %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\Tools\
  2. starten Sie Local Security Policy
  3. konfigurieren Sie Password Policy

  4. konfigurieren Sie Account Lockout Policy


Rollen, Organisationseinheiten und Benutzer konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren

Zum Konfigurieren der Rollen, Organisationseinheiten und Benutzer verwenden Sie den ADSI Editor. Sie finden ihn im Pfad

%ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\.

Um Konfigurationen mit dem ADSI-Editor vorzunehmen:

  1. Starten Sie den ADSI-Editor.

  2. Wählen Sie im Kontextmenü Verbindung herstellen.
  3. Der Dialog für die Verbindungseinstellungen wird geöffnet.

  4. Konfigurieren Sie die folgenden Optionen entsprechend Ihren gewählten EInstellungen:
    • Verbindungspunkt: DC=copadata,DC=com
    • Computer: localhost:389
    • Schließen Sie den Dialog mit Klick auf OK.
  5. Sie sollten jetzt folgende Ansicht des Editors haben (den Baum im linken Fenster öffnen Sie durch Klick auf die Pfeile oder Doppelklick auf einen Eintrag):

Dies ist der Ausgangspunkt für alle weiteren Konfigurationen. In unserem Beispiel:

  • Rollen konfigurieren
  • maxPWwdAge konfigurieren
  • Organisationseinheit erstellen
  • Gruppe erstellen
  • Benutzer erstellen
  • Benutzer zu Gruppen hinzufügen

Noch in diesem Kapitel

Rollen konfigurieren

Passwort Gültigkeitsdauer konfigurieren

Organisationseinheit erstellen

Benutzergruppe erstellen

Benutzer erstellen

Benutzer zu Gruppen hinzufügen und Passwort setzen


Rollen konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren > Rollen konfigurieren

In diesem Kapitel erfahren Sie, wie Sie zenon Leserechte für die Struktur des AD LDS Baums geben.

Dazu:

  1. Expandieren Sie den Ordner CN=Roles.

  2. Markieren Sie CN=Readers.
  3. Wählen Sie im Kontextmenü Eigenschaften.
  4. Der Eigenschaften-Dialog wird geöffnet:

  5. Navigieren Sie zum Eintrag member.
  6. Klicken Sie auf Bearbeiten.
  7. Klicken Sie auf Windows-Konto hinzufügen.
  8. Fügen Sie für den Localhost den Benutzer Jeder (Everyone) hinzu.
  9. Schließen Sie den Dialog.
  10. Sie erhalten folgende Ansicht


Passwort Gültigkeitsdauer konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren > Passwort Gültigkeitsdauer konfigurieren

Dieser Bereich ist wichtig, wenn Sie für die zenon Organisationseinheit dezidierte Passwortregeln wünschen. Wenn Sie diese Regeln nicht konfigurieren, werden die lokalen Sicherheitsrichtlinien des Rechners, auf dem AD LDS installiert wurde, angewendet.

Um Regeln zu konfigurieren:

  1. Markieren Sie den Ordner DC=copadata,DC=com.
  2. Klicken Sie auf Aktualisieren.
  3. Schließen Sie den ADSI-Editor.
  4. Öffnen Sie den Editor erneut.
  5. Markieren Sie den Eintrag DC=copadata,DC=com.
  6. Öffnen Sie über das Kontextmenü die Eigenschaften:

  7. Navigieren Sie zum Eintrag maxPwdAge.
  8. Geben Sie einen gültigen Wert ein (Format: DD:HH:MM:SS) und schließen Sie den Dialog.

    Hinweis: Sollte der Eintrag maxPwdAge nicht verfügbar sein, überprüfen Sie, ob die Eigenschaft korrekt hinzugefügt wurde. Auch das Aktualisieren oder Schließen und neu Öffnen des Editors können das Problem beheben.

  9. Navigieren Sie zum Eintrag lockoutDuration.
  10. Geben Sie einen gültigen Wert ein (Format: DD:HH:MM:SS) und schließen Sie den Dialog.

  11. Navigieren Sie zum Eintrag lockoutThreshold.
  12. Geben Sie einen gültigen Wert ein und schließen Sie den Dialog.


Organisationseinheit erstellen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren > Organisationseinheit erstellen

Um eine Organisationseinheit zu erstellen:

  1. Markieren Sie den Ordner DC=copadata,DC=com.

  2. Wählen Sie im Kontextmenü Neu -> Objekt.

  3. Wählen Sie als Klasse organizationalUnit aus.
  4. Klicken Sie auf Weiter.

  5. Geben Sie als Wert einen Namen ein.
  6. Klicken Sie auf Weiter.
  7. Klicken Sie auf Beenden.


Benutzergruppe erstellen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren > Benutzergruppe erstellen

Um Benutzergruppen zu erstellen:

  1. Markieren Sie den Ordner mit der erstellten Organisationsheit.

  2. Wählen Sie im Kontextmenü Neu -> Objekt.

  3. Wählen Sie den Eintrag group aus.
  4. Klicken Sie auf Weiter.

  5. Vergeben Sie für Wert einen Namen, in diesem Beispiel zenon user group.
  6. Klicken Sie auf Weiter.

  7. Klicken Sie auf die Schaltfläche Mehr Attribute.
  8. Wählen Sie den Eintrag groupAttributes.

  9. Geben Sie bei Attribut bearbeiten 2147483650 ein.
  10. Klicken Sie auf Festlegen.

  11. Klicken Sie auf OK.
  12. Wählen Sie im Dialog Mehr Attribute die Eigenschaft sAMAccountName.

  13. Geben Sie den gleichen Wert wie für group ein.
  14. Klicken Sie auf Festlegen.

  15. Klicken Sie auf OK.
  16. Klicken Sie auf Fertig stellen.


Benutzer erstellen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren > Benutzer erstellen

Um Benutzer zu erstellen:

  1. Markieren Sie die Organisationseinheit.

  2. Wählen Sie im Kontextmenü Neu -> Objekt.

  3. Wählen Sie als Objekt user aus.

  4. Geben Sie als Wert einen Namen ein.
  5. Klicken Sie auf Weiter.

  6. Klicken Sie auf Weitere Attribute.
  7. Wählen Sie sAMAccountName.

  8. Geben Sie den gleichen Wert ein wie für user.
    Hinweis: Das ist wichtig, damit der Benutzer in zenon genutzt werden kann.
  9. Klicken Sie auf Festlegen.

  10. Klicken Sie auf OK.
  11. Klicken Sie auf Weitere Attribute.
  12. Wählen Sie displayName.

  13. Vergeben Sie eine Bezeichnung für die Anzeige.
  14. Klicken Sie auf Festlegen.

  15. Klicken Sie auf OK.
  16. Klicken Sie auf Fertig stellen.


Benutzer zu Gruppen hinzufügen und Passwort setzen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS ab Windows 8 und Windows Server 2012 > Rollen, Organisationseinheiten und Benutzer konfigurieren > Benutzer zu Gruppen hinzufügen und Passwort setzen

In diesem Abschnitt fügen Sie einen Benutzer einer Gruppe hinzu und vergeben ein Passwort.

Benutzer hinzufügen

Um Benutzer zu einer Gruppe hinzuzufügen:

  1. Markieren Sie die Gruppe.

  2. Wählen Sie im Kontextmenü Eigenschaften.

  3. Markieren Sie member.
  4. Klicken Sie auf Bearbeiten.

  5. Klicken Sie auf DN hinzufügen.
    Der Dialog zum Hinzufügen eines bereits konfigurierten Benutzers wird geöffnet

  6. Geben Sie für den Benutzer aus unserem Beispiel ein: CN=zenon1,OU=zenon users OU,DC=copadata,DC=com
  7. Klicken Sie auf OK, um den Dialog zu schließen.

  8. Klicken Sie auf OK.

Passwort setzen

Definieren Sie jetzt ein Passwort für den Benutzer. Dazu:

  1. Markieren Sie den gerade angelegten Benutzer.

  2. Wählen Sie im Kontextmenü Kennwort zurücksetzen.
  3. Vergeben Sie ein Passwort.
    Hinweis: Das Passwort muss die Anforderungen der Lokalen Sicherheitsrichtlinien erfüllen.
  4. Schließen Sie den Dialog.
  5. Wählen Sie im Kontexmenü des Benutzers Eigenschaften.

  6. Wählen Sie in den Eigenschaften msDS-UserAccountDisabled.

  7. Setzen Sie den Wert auf Falsch.

Der Benutzer kann jetzt in zenon verwendet werden.


AD LDS unter Windows 7

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7

AD LDS kann auch unter Windows 7 verwendet werden. Die Setups dafür erhalten Sie auf der Microsoft Website.

Nach der Installation erfolgt die Konfiguration über Systemsteuerung -> Verwaltung analog zur Beschreibung für Windows Server 2008.

Noch in diesem Kapitel

Neue AD LDS Instanz erstellen

AD LDS Schema importieren

AD Schema Snap-in konfigurieren

Organisationseinheiten, Gruppen und Benutzer konfigurieren


Neue AD LDS Instanz erstellen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > Neue AD LDS Instanz erstellen

Um eine neue AD LDS Instanz zu erstellen:

  1. Rufen Sie im Active Directory Lightweight Directory Services Control Panel den AD LDS Setup Wizard auf.

  2. Starten Sie den Wizard:

  3. Wählen Sie die Option A unique instance.

  4. Vergeben Sie einen Namen für die Instanz.

  5. Konfigurieren Sie die Ports. Default:
    • LDAP: 389
    • SSL: 636

    Hinweis: Wenn Sie hier den voreingestellten Port ändern, müssen Sie auch in einigen der folgenden Einstellungen den Port anpassen.

  6. Spezifizieren Sie den Partition Name.

    In unserem Beispiel: o=zenon,c=com

    Der Partition Name wird zusammen mit dem Port und dem Servernamen später in zenon benutzt.

    Diese Konfiguration in zenon kann später erfolgen. Fahren Sie mit der Konfiguration im Wizard fort.

  7. Definieren Sie den Speicherort.
    Die Einstellung kann auf der Default-Einstellung belassen werden.

  8. Definieren Sie den Service Account für AD LDS.

    In unserem Beispiel: Network service account

    Falls der Computer, auf dem AD LDS installiert wird, kein Mitglied einer Domäne ist, erhalten Sie eine Warnmeldung:

    Das beeinträchtigt die Funktionalität von AD LDS nicht. Ausnahme: Sie verwenden die Funktion Replication.

    Bestätigen Sie die Warnung mit einem Klick auf die Schaltfläche Yes.

  9. Definieren Sie den Benutzer, der Administratorechte erhält.

    In unserem Beispiel verwenden wir Currently logged on user. In unserem Fall ein lokaler Benutzer mit Administratorrechten.

    Der Benutzer und sein Passwort werden später in zenon verwendet.

    Diese Konfiguration kann später erfolgen. Fahren Sie mit der Konfiguration im Wizard fort.

  10. Importieren Sie die benötigten LDIF-Dateien:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF

  11. Beenden Sie die Installation


AD LDS Schema importieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > AD LDS Schema importieren

Zum Import der AD LDS Schemata:

  1. Navigieren Sie im Windows Explorer zum Ordner %WINDIR%\ADAM.
  2. Wählen Sie im Kontextmenü [Umschalt-Taste + rechter-Maus-Taste]: Eingabeaufforderung hier öffnen.

  3. Geben Sie folgende Zeichenfolge ein:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  4. Drücken Sie die Eingabe-Taste:

  5. Geben Sie folgende Zeichenfolge ein:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

    Hinweis: Falls Sie einen Port geändert haben, muss dieser hier angepasst werden.

  6. Drücken Sie die Eingabe-Taste:


AD Schema Snap-in konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > AD Schema Snap-in konfigurieren

Um das Schema Snap-in zu konfigurieren, registrieren Sie es zuerst über die Eingabeaufforderung (Administratorrechte nötig):

  1. Klicken Sie auf die Schaltfläche Start.
  2. Navigieren Sie zur Eingabeaufforderung.
  3. Wählen Sie im Kontextmenü Als Administrator ausführen.
  4. Geben Sie in der Eingabeaufforderung ein: regsvr32 schmmgmt.dll.
  5. Bestätigen Sie mit der Eingabe-Taste.

Konfiguration

  1. Klicken Sie mit der rechten Maustaste das Start-Symbol.
  2. Öffnen Sie Ausführen.
  3. Geben Sie ein: mmc /a.

  4. Klicken Sie auf File -> Add/Remove Snap-in...

  5. Wählen Sie Active Directory Schema.
  6. Klicken Sie auf Add.
  7. Klicken Sie auf OK.

  8. Navigieren Sie zu Active Directory Schema.
  9. Wählen Sie im Kontextmenü Change Active Directory Domain Controller...

  10. Geben Sie Server und Port ein (in diesem Beispiel: localhost:389).

  11. Sie sollten jetzt dieses Fenster sehen:

  12. Navigieren Sie zu Classes -> organization.
  13. Öffnen Sie Properties.

  14. klicken Sie auf Add.
    1. Suchen Sie nach maxPwdAge.
    2. Klicken Sie auf OK.

    1. Wiederholen Sie diesen Schritt für lockoutDuration

    1. und für lockoutThreshold.

  15. Klicken Sie auf OK.

  16. Öffnen Sie den Ordner Classes und navigieren Sie zum Eintrag user.
    1. Wählen Sie im Kontextmenü den Eintrag Properties.
    2. Öffnen Sie die Registerkarte Attributes.
    3. Klicken Sie auf Add und suchen Sie nach sAMAccountName.
    4. Klicken Sie auf OK.
    5. Fügen Sie auch groupMembershipSAM und userAccountControl.
    6. Schließen Sie den Dialog mit Klick auf OK.
  17. Schließen Sie die Konsole.

Hinweise:

  • Diese Schritte sind unbedingt nötig, um das maxPwdAge in der Organisationseinheit zur Verfügung zu haben, die im Anschluss konfiguriert wird.
    • maxPwdAge definiert die maximale Zeitspanne, nach der ein Benutzer sein Passwort ändern muss.
    • lockoutDuration definiert den Zeitraum, für den ein Benutzer gesperrt wird, nachdem er sein Passwort mehrmals falsch eingegeben hat.
    • lockoutThreshold definiert die Anzahl der möglichen Fehlversuche, bevor ein Benutzer für einen bestimmten Zeitraum gesperrt wird.
  • In den lokalen Sicherheitsrichtlinien des Computers legen Sie die Regeln fest für:
    • password complexity
    • minimum password length
    • age


Organisationseinheiten, Gruppen und Benutzer konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > Organisationseinheiten, Gruppen und Benutzer konfigurieren

Zur Konfiguration von Organisationseinheiten, Gruppen und Benutzern:

  1. öffnen Sie Start -> Administrative Tools -> ADSI Edit

  2. wählen Sie im Kontextmenü Connect to...
  3. benutzen Sie folgende Einstellungen (ändern, falls andere Einstellungen zuvor konfiguriert wurden):
    1. Connection Point: o=zenon,c=com
    2. Computer: localhost:389

    Sie sollten jetzt folgende Konfiguration sehen:

maxPwdAge konfigurieren

  1. markieren Sie O=zenon,c=com
  2. klicken Sie auf Refresh
  3. schließen Sie ADSI Edit
  4. öffnen Sie ADSI Edit erneut
  5. markieren Sie O=zenon,c=com
  6. wählen Sie im Kontextmenü Properties

  7. navigieren Sie zu maxPwdAge
    1. geben Sie einen gültigen Wert ein
    2. Format: DD:HH:MM:SS (in unserem Beispiel 10:00:00:00)

    Hinweis: Falls die Eigenschaft maxPwdAge nicht sichtbar ist, überprüfen Sie, ob sie korrekt hinzugefügt worden ist. Eventuell beseitigt auch ein Refresh oder das Schließen und Öffnen von ADSI Edit oder ein Neuladen des Schemas das Problem.

  8. navigieren Sie zu lockoutDuration
    1. geben Sie einen gültigen Wert ein
    2. Format: DD:HH:MM:SS (in unserem Beispiel 00:00:10:00, -> 10 Minuten)

  9. navigieren Sie zu lockoutThreshold

  10. geben Sie den gleichen Wert ein, wie in den lokalen Sicherheitsrichtlinien (z. B. 3)

Hinweis: Die Einstellungen für die Dauer der Accountsperre werden in AD LDS ignoriert. Es wird die Eigenschaft lockoutDuration (O=zenon,c=com) verwendet .

Noch in diesem Kapitel

Benutzer

Organisationseinheiten

Gruppen


Benutzer

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > Organisationseinheiten, Gruppen und Benutzer konfigurieren > Benutzer

Um einen Benutzer zu erstellen:

  1. Markieren Sie die Organisationseinheit.
  2. Wählen Sie im Kontextmenü New -> Object.

  3. Wählen Sie die Klasse user.

  4. Geben Sie einen Namen ein.
    In unserem Beispiel: zenon1.

  5. Klicken Sie auf Next.
  6. Wechseln Sie zur Registerkarte Attributes.
  7. Klicken Sie auf More Attributes.
    1. Navigieren Sie zur Eigenschaft Select a property to view.
    2. Wählen Sie in der Dropdownliste sAMAccountName.
    3. Navigieren Sie zu Edit Attribute.
    4. Geben Sie den gleichen Wert ein wie für den Benutzer (zenon1)ein.
      Diese Konfoguration ist nötig, damit der Benutzer in zenon genutzt werden kann.

  8. Klicken Sie auf Set.
  9. Wählen Sie bei der Eigenschaft Select a property to view jetzt displayName.
  10. Geben Sie einen Wert für die Anzeige des Namens ein, z. B. 1st SCADA user.

  11. Klicken Sie auf Set, dann auf OK und auf Finish.

Benutzer zur Gruppe hinzufügen

Um Benutzer zu einer Gruppe hinzuzufügen:

  1. Wählen Sie zenon user group.
  2. Wählen Sie im Kontextmenü Properties.

  3. Markieren Sie member.
  4. Klicken Sie auf Edit.

  5. Um den zuvor erstellten AD LDS Account (user) hinzuzufügen:
    1. Klicken Sie auf Add DN....
    2. Geben Sie in die Eingabemaske ein: CN=zenon1,OU=zenon users OU,O=zenon,C=com.

    Sie erhalten als Ergebnis:

  6. Definieren Sie ein Passwort für den Benutzer zenon1.

    Hinweis: Das Passwort muss die Anforderungen der lokalen Sicherheitsrichtlinien erfüllen.

  7. Setzen Sie für den Benutzer zenon1 die Eigenschaften set msDS-UserAccountDisabled auf False.

Der Benutzer ist jetzt angelegt und kann in zenon verwendet werden.


Organisationseinheiten

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > Organisationseinheiten, Gruppen und Benutzer konfigurieren > Organisationseinheiten

Um eine Organisationseinheit zu erstellen:

  1. markieren Sie O=zenon,c=com
  2. wählen Sie im Kontextmenü New -> Object

  3. wählen Sie organizationalUnit

  4. geben Sie einen Namen ein (in unserem Beispiel: zenon users OU)

  5. klicken Sie auf Next und dann auf Finish


Gruppen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows 7 > Organisationseinheiten, Gruppen und Benutzer konfigurieren > Gruppen

Um eine Gruppe zu erstellen:

  1. markieren Sie die Organisationseinheit
  2. wählen Sie im Kontextmenü New -> Object

  3. wählen Sie group

  4. geben Sie einen Namen ein (in unserem Beispiel: zenon user group)

  5. klicken Sie auf Next
  6. wechseln Sie zur Registerkarte Attributes
  7. klicken Sie auf More Attributes
    1. navigieren Sie zur Eigenschaft Select a property to view
    2. wählen Sie in der Dropdownliste groupAttributes
    3. navigieren Sie zu Edit Attribute
    4. geben Sie den Wert 2147483650 ein (repräsentiert eine account group)

  8. klicken Sie auf Set
  9. wählen Sie bei der Eigenschaft Select a property to view jetzt sAMAccountName
  10. geben Sie den gleichen Wert wie für die Gruppe ein (zenon user group)

    Hinweis: Diese Einstellung ist nötig, damit die Benutzergruppen in zenon konfiguriert werden können

  11. Klicken Sie auf OK und dann auf Finish


AD LDS unter Windows Server 2008

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > AD LDS unter Windows Server 2008

Um die AD LDS Server Role zu installieren:

  1. wählen Sie in den Administrative Tools Server Manager

  2. klicken Sie auf Add Roles

  3. fügen Sie die AD LDS Role hinzu


zenon Benutzerverwaltung mit Active Directory

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > zenon Benutzerverwaltung mit Active Directory

Für die Verwendung in zenon konfigurieren Sie erst die Einstellungen im Editor und setzen dann die Benutzerkennung auf AD LDS Ebene zur Runtime ein.

info Info

Active Directory und AD LDS, sowie ADAM (für Windows XP), stehen unter Windows CE nicht zur Verfügung.

Noch in diesem Kapitel

Editor

Runtime - Systemtreibervariablen


Editor

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > zenon Benutzerverwaltung mit Active Directory > Editor

Die Konfiguration erfolgt in den Projekteigenschaften im Abschnitt Benutzerverwaltung:

Beispiel

Folgende Einstellungen wurden getroffen:

  • Vom Anwender wurde eine Benutzergruppe mit dem Namen zenon user group erstellt.

  • Dieser wurde eine Berechtigungsebene zugeordnet.


Runtime - Systemtreibervariablen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > zenon Benutzerverwaltung mit Active Directory > Runtime - Systemtreibervariablen
  • Der Benutzer zenon1 kann sich in zenon einloggen.

    Die zenon Eigenschaft Vollständiger Name entspricht dem AD LDS Attribute displayName.

    Die Eigenschaft Benutzername entspricht dem AD LDS Attribut sAMAccountName.

  • Der Benutzer erhält seine Berechtigungsebenen von der zenon Gruppe:

  • Die restlichen Tage, bis das Passwort geändert werden muss, werden angezeigt (mit einem Tag Unterschied):

Fehlerbehandlung

Treten zur Runtime Fehler auf, überprüfen Sie ob:

  • die Einstellungen korrekt gesetzt wurden:
    • Benutzername
    • sAMAccountName
  • die Firewall-Einstellungen korrekt gesetzt wurden
  • die Editor-Konfiguration korrekt ist für:
    • Verbindung
    • Passwort

Falls der Benutzer keine Berechtigungsebenen von der zenon group bekommt, überprüfen Sie ob:

  • die Namen übereinstimmen
  • sAMAccountName der Gruppe in AD LDS gesetzt wurde
  • der Benutzer in AD LDS zur Gruppe hinzugefügt wurde

AD

Wenn Bedienberechtigungen aus der Benutzergruppe in AD kommen sollen, muss in AD LDS:

  • bei der Gruppe die Eigenschaft description angepasst werden
  • die Gruppe genau so wie das Projekt benannt werden

Weitere Informationen zur Konfiguration finden Sie im Abschnitt Setzen der zenon Berechtigungsebenen im Beschreibungsfeld einer Active Directory Gruppe.


Problembehandlung

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Lightweight Directory Services - AD LDS > Problembehandlung

Verbindung zum AD LDS Directory überprüfen

  1. Starten Sie den Microsoft ADExplorer auf dem Rechner, auf dem der zenon Editor oder die zenon Runtime eingesetzt werden.
  2. Versuchen Sie, mit den in zenon benutzten Einstellungen eine Verbindung zum AD LDS Directory herzustellen.
  3. Fehlerursachen können sein:
    • falscher Hostname
    • falscher Port
    • Firewall-Regeln im Netzwerk

Benutzer kann sich nicht einloggen

Überprüfen Sie, ob im AD LDS alle Attribute richtig gesetzt sind:

  • sAMAccountName
  • groupMembershipSAM
  • userAccountControl

Benutzer erhält nicht seine ihm zugeordneten Berechtigungsebenen

Überprüfen Sie:

  • Ist der Name der zenonBenutzergruppe der gleiche wie in AD LDS konfiguriert?
  • Ist der AD LDS Benutzer der entsprechenden AD LDS Gruppe zugeordnet?
  • Ist das Attribut sAMAccountName in der AD LDS Gruppe gesetzt?

Keine Inhalte im Snap-in

Werden nach dem Öffnen des Active Directory Schema Snap-ins keine Inhalte angezeigt, müssen die Zugriffsrechte angepasst werden. Dazu:

  1. wählen Sie im Kontextmenü Permissions...

  2. ordnen Sie den nötigen Benutzern die entsprechenden Rechte zu
    (neue Benutzer fügen Sie über Klick auf Add hinzu)

  3. klicken Sie auf die Schaltfläche Advanced

  4. klicken Sie auf die Schaltfläche Advanced
  5. öffnen Sie die Registerkarte Permissions
  6. aktivieren Sie die Option Apply to This object and all descedant objects für den jeweiligen Benutzer aus

  7. schließen Sie die Konsole und öffnen Sie diese erneut (mmc /a) für die weitere Konfiguration


Active Directory Application Mode - ADAM (nur für Windows XP)

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Application Mode - ADAM (nur für Windows XP)

Active Directory Application Mode (ADAM) ist für den Einsatz unter Windows XP gedacht. Windows XP wird von zenon nicht mehr unterstützt, da Microsoft das Betriebssystem abgekündigt hat und nicht mehr unterstützt. Diese Dokumentation bezieht sich nur auf Systeme, die noch unter Windows XP laufen.

Für alle aktuellen Betriebssysteme verwenden Sie Active Directory Lightweight Directory Services:

  • Windows 7
  • Windows 8/8.1
  • Windows Server 2008
  • Windows Server 2012

Voraussetzungen

Um Active Directory Application Mode für zenon verwenden zu können, müssen Sie bei der Konfiguration von ADAM folgende Punkte berücksichtigen.

  1. Erstellen Sie eine neue ADAM Instanz
  2. Spielen Sie ein AD Schema ein
  3. Um dem ADAM Benutzer den Zugriff zu ermöglichen, klicken Sie Programme -> Verwaltung -> Lokale Sicherheitsrichtlinien. Im sich öffnenden Dialog klicken Sie Sicherheitseinstellungen-> Kontorichtlinien. Hier legen Sie die gewünschten Einstellungen für Kennwortrichtlinien und Kontosperrungsrichtlinien fest.
  4. Konfigurieren Sie das ADAM Schema Snap-In.
  5. Im Snap-In führen Sie unter Klassen -> Organisation einen Rechtsklick aus und wählen Eigenschaften aus. Dann geben Sie in der Registerkarte Attribute als optionales Attribut maxPwdAge ein. Dadurch stellen Sie sicher, dass die Kennwortüberprüfung und Kennwortänderung analog zum Active Directory funktioniert.

    Hinweis: Sie müssen die Gültigkeitsdauer des Passworts in Nanosekunden angeben.

  6. Legen Sie in ADAM Benutzer und Benutzergruppe an. Beachten Sie dabei folgende Punkt:
    • Beim Benutzer und bei der Benutzergruppe müssen Sie unter Eigenschaft -> Attribut-Editor beim Attribut sAMAccountName nochmals den Namen manuell eintagen.
    • Bei der Benutzergruppe müssen Sie den Namen wie unter Nutzung des Active Directory beschrieben eingeben.
    • Die zenon Berechtigungsebenen legen Sie wie unter Nutzung des Active Directory beschrieben unter dem Attribut description an.

info Info

Um den Benutzernamen mithilfe der Systemtreibervariable anzuzeigen, müssen Sie in ADAM beim Benutzer unter Eigenschaften -> Attribut-Editor beim Attribut displayName den Benutzernamen manuell setzen.

Noch in diesem Kapitel

Neue ADAM-Instanz erstellen

AD-Schema einspielen

ADAM-Schema Snap-in konfigurieren


Neue ADAM-Instanz erstellen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Application Mode - ADAM (nur für Windows XP) > Neue ADAM-Instanz erstellen

  1. So installieren Sie eine ADAM-Instanz mithilfe des Active Directory-Anwendungsmodus-Setup-Assistenten:

  2. Klicken Sie zum Starten des Active Directory-Anwendungsmodus-Setup-Assistenten auf Start, zeigen Sie auf Alle Programme und dann auf ADAM, und klicken Sie dann auf ADAM-Instanz erstellen.
  3. Klicken Sie auf der Seite Willkommen auf Weiter.
  4. Auf der Seite Setup-Optionen können Sie wählen, ob Sie eine eindeutige ADAM-Instanz installieren oder einem vorhandenen Konfigurationssatz eine neue Instanz zuordnen möchten. Da Sie die erste ADAM-Instanz installieren, klicken Sie auf Eine eindeutige Instanz installieren. Klicken Sie anschließend auf Weiter.
  5. Geben Sie auf der Seite Instanzname einen Namen für die zu installierende ADAM-Instanz an. Der Name wird auf dem lokalen Computer zur eindeutigen Identifikation der ADAM-Instanz verwendet. Klicken Sie dann auf Weiter.
  6. Geben Sie auf der Seite Ports die Kommunikationsports an, die von der ADAM-Instanz zur Kommunikation verwendet werden. ADAM kann mithilfe von LDAP (Lightweight Directory Access-Protokoll) oder SSL (Secure Sockets Layer) kommunizieren. Daher müssen Sie für beide Ports einen Wert angeben. Klicken Sie dann auf Weiter.

    Hinweis: Wird auf dem Computer, auf dem Sie ADAM installieren, einer der Standardports bereits verwendet, wird vom Active Directory-Anwendungsmodus-Setup-Assistenten automatisch nach dem ersten verfügbaren Port gesucht, beginnend mit 50000. Beispielsweise werden von Active Directory die Ports 389 und 636 sowie die Ports 3268 und 3269 auf globalen Katalogservern verwendet. Daher werden beim Installieren von ADAM auf einem Domänencontroller die Defaults

    50000

    für den LDAP-Port und

    50001

    für den SSL-Port eingestellt.

  7. Auf der Seite Anwendungsverzeichnispartition können Sie eine Anwendungsverzeichnispartition (oder einen Namenskontext) erstellen, indem Sie auf Ja, eine Anwendungsverzeichnispartition erstellen klicken. Wenn Sie stattdessen auf Nein, keine Anwendungsverzeichnispartition erstellen klicken, müssen Sie nach der Installation manuell eine Anwendungsverzeichnispartition erstellen. Wenn Sie eine Anwendungsverzeichnispartition erstellen, müssen Sie einen definierten Namen für die neue Partition angeben. Klicken Sie dann auf Weiter.

    Hinweis: ADAM unterstützt definierte Namen im X.500- und im DNS-Stil (Domain Name System) für Verzeichnispartitionen der obersten Ebene.

  8. Auf der Seite Dateipfade können Sie die Installationsordner für ADAM-Daten- und Wiederherstellungsdateien (Protokolldateien) anzeigen und ändern. Standardmäßig werden ADAM-Daten- und Wiederherstellungsdateien unter %ProgramFiles(x86)%\Microsoft ADAM\Instanzname\data gespeichert. Dabei stellt

    Instanzname

    den ADAM-Instanznamen dar, den Sie auf der Seite

    Instanzname

    angeben. Klicken auf Weiter, um die Standardpfade zu übernehmen.

    Hinweis: Beim Installieren von ADAM auf einem Computer unter Windows XP müssen Sie diese Dateien auf demselben logischen Volume installieren. Beim Installieren von ADAM unter Windows Server 2003 und Windows Server 2003 R2 in einer Produktionsumgebung wird empfohlen, die Dateien auf separaten physikalischen Datenträgern zu installieren.
    Programmdateien und Verwaltungsprogramme werden von ADAM in %windir%\ADAM installiert.

  9. Auf der Seite Dienstkontoauswahl wählen Sie ein Konto aus, das als Dienstkonto für ADAM verwendet wird. Das ausgewählte Konto bestimmt den Sicherheitskontext, in dem die ADAM-Instanz ausgeführt wird. Wenn Sie ADAM nicht auf einem Domänencontroller installieren, wird standardmäßig das Netzwerkdienstkonto vom Active Directory-Anwendungsmodus-Setup-Assistenten verwendet. Klicken Sie auf Weiter, um die Standardeinstellung Netzwerkdienstkonto zu übernehmen. Beim Installieren von ADAM auf einem Domänencontroller klicken Sie stattdessen auf Dieses Konto und wählen dann ein Domänenbenutzerkonto als ADAM-Dienstkonto aus.

    Hinweis: Sie können das ADAM-Dienstkonto nach der Installation von ADAM mit dem Befehlszeilenprogramm dsmgmt ändern. Beim Installieren von ADAM auf einem Domänencontroller müssen Sie ein Domänenbenutzerkonto als ADAM-Dienstkonto auswählen.

  10. Auf der Seite ADAM-Administratoren wählen Sie einen Benutzer oder eine Gruppe als Standardadministrator für die ADAM-Instanz aus. Der ausgewählte Benutzer oder die ausgewählte Gruppe verfügt über vollständige Verwaltungsfunktionalität für die ADAM-Instanz. Standardmäßig wird vom Active Directory-Anwendungsmodus-Setup-Assistenten der aktuell angemeldete Benutzer angegeben. Sie können diese Auswahl in jedes lokale Konto oder Domänenkonto oder in jede Gruppe im Netzwerk ändern. Klicken Sie auf Zurzeit angemeldeter Benutzer und klicken Sie dann auf Weiter.
  11. Auf der Seite

    Importieren von LDIF-Dateien

    können Sie zwei LDF-Dateien mit Benutzerklassen-Objektdefinitionen in das ADAM-Schema importieren. Das Importieren dieser Benutzerklassen-Objektdefinitionen ist optional.
    1. Klicken Sie auf

      Die ausgewählten LDIF-Dateien für diese ADAM-Instanz importieren

      .
    2. Klicken Sie auf

      MS-InetOrgPerson.LDF

      und dann auf Hinzufügen.
    3. Klicken Sie auf

      MS-User.LDF

      und dann auf Hinzufügen.
    4. Klicken Sie auf

      MS-UserProxy.LDF

      , auf Hinzufügen und dann auf Weiter.
  12. Auf der Seite

    Installationsbereit

    können Sie die ausgewählten Installationsoptionen überprüfen. Wenn Sie auf Weiter klicken, beginnt der Active Directory-Anwendungsmodus-Setup-Assistent mit dem Kopieren von Dateien und mit der Installation von ADAM auf dem Computer.
  13. Wenn der Active Directory-Anwendungsmodus-Setup-Assistent die Installation von ADAM erfolgreich abgeschlossen hat, wird die folgende Meldung angezeigt: "Der Active Directory-Anwendungsmodus-Setup-Assistent wurde erfolgreich abgeschlossen." Wenn die Seite Fertigstellen

    des Assistenten

    angezeigt wird, klicken Sie auf Fertig stellen, um den Assistenten zu schließen.

    Hinweis: Wird der Active Directory-Anwendungsmodus-Setup-Assistent nicht erfolgreich abgeschlossen, wird auf der Seite

    Zusammenfassung

    eine Fehlermeldung mit dem Grund für den Fehler angezeigt.

  14. Wenn im Active Directory-Anwendungsmodus-Setup-Assistenten ein Fehler auftritt, bevor die Seite Zusammenfassung geöffnet wird, können Sie die angezeigte Fehlermeldung überprüfen. Darüber hinaus können Sie auf Start und dann auf Ausführen klicken und einen der folgenden Dateinamen eingeben:
    %windir%\Debug\Adamsetup.log
    %windir%\Debug\Adamsetup_loader.log
    Die Dateien %windir%\Debug\Adamsetup.log und %windir%\Debug\Adamsetup_loader.log enthalten nützliche Informationen zur Problembehandlung bei ADAM-Setup-Fehlern.


AD-Schema einspielen

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Application Mode - ADAM (nur für Windows XP) > AD-Schema einspielen

So verwenden Sie erstmalig das Active Directory/ADAM-Synchronisierungsprogramm

  • Klicken Sie auf Start,
  • öffnen Sie Alle Programme,
  • klicken Sie auf ADAM und
  • dann auf ADAM-Verwaltungsprogramme:

    ein Befehlsfenster im ADAM-Verzeichnis öffnet sich.

Zum Erweitern des ADAM-Schemas auf die Standardschemaobjekte von Windows Server in Active Directory:

  • geben Sie in der Eingabeaufforderung den folgenden Befehl in einer Zeile ein:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k3.ldf

  • Drücken Sie die Eingabetaste.


ADAM-Schema Snap-in konfigurieren

Handbuch > Benutzerverwaltung > Externe Benutzerverwaltung mit Microsoft Active Directory > Active Directory Application Mode - ADAM (nur für Windows XP) > ADAM-Schema Snap-in konfigurieren

Konfigurieren des Verwaltungsprogramms ADAM-Schema Snap-In

Mit einem weiteren ADAM-Verwaltungsprogramm, dem ADAM-Schema Snap-In, können Sie das ADAM-Schema verwalten. Wenn Sie das Active Directory-Schema-Snap-In bereits verwendet haben, sollte Ihnen das ADAM-Schema Snap-In bekannt vorkommen. Bevor Sie das ADAM-Schema Snap-In verwenden können, müssen Sie eine MMC-Datei dafür erstellen, wie in diesem Verfahren beschrieben.

  • Klicken Sie auf Start, auf Ausführen, geben Sie mmc /a ein, und klicken Sie anschließend auf OK.
  • Klicken Sie im Menü Datei auf Snap-In hinzufügen/entfernen, und klicken Sie dann auf Hinzufügen.
  • Klicken Sie in Verfügbare eigenständige Snap-Ins auf ADAM-Schema, auf Hinzufügen, auf Schließen, und klicken Sie dann auf OK.
  • Klicken Sie zum Speichern dieser Konsole im Menü Datei auf Speichern.
  • Geben Sie in Dateiname Folgendes ein, und klicken Sie dann auf Speichern:
    %windir%\system32\adamschmmgmt.msc
  • Stellen Sie über das ADAM-Schema Snap-In eine Verbindung mit der ADAM-Instanz her. Dazu klicken Sie in der Konsolenstruktur mit der rechten Maustaste auf ADAM-Schema, klicken Sie auf ADAM-Server ändern. Geben Sie localhost bei ADAM-Server und 389 bei Port ein.
  • Klicken Sie auf OK. Das ADAM-Schema Snap-In sieht jetzt wie folgt aus. Sie können die Klassen und Attribute des ADAM-Schemas durchsuchen und anzeigen.
  • Führen Sie zum Erstellen einer Verknüpfung für das ADAM-Schema-Snap-In im Menü Start folgende Aktionen aus:
    • Klicken Sie mit der rechten Maustaste auf Start, klicken Sie auf Öffnen – Alle Benutzer, doppelklicken Sie auf den Ordner Programme, und doppelklicken Sie dann auf den Ordner ADAM.
    • Zeigen Sie im Menü Datei auf Neu, und klicken Sie dann auf Verknüpfung.
    • Geben Sie im Assistenten zum Erstellen von Verknüpfungen in Geben Sie den Speicherort des Elements ein die Zeichenfolge adamschmmgmt.msc ein, und klicken Sie dann auf Weiter.
    • Geben Sie auf der Seite Programmbezeichnung auswählen in Geben Sie den Namen für die Verknüpfung ein den Namen ADAM-Schema ein, und klicken Sie dann auf Fertig stellen.


Active Directory Benutzer aus zenon Runtime verwalten

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten

Mit einem Bild vom Typ Active Directory Benutzerverwaltung können Sie zur Runtime auf das Windows Active Directory zugreifen. Sie können Organisationseinheiten, Benutzer und Benutzergruppen anlegen, löschen und bearbeiten und ihnen Rechte in zenon zuweisen.

info Info

Active Directory und AD LDS, sowie ADAM (für Windows XP), stehen unter Windows CE nicht zur Verfügung.

Domäne zur Runtime

Zur Runtime wird die Domäne des Benutzers verwendet, der die Runtime für den Active Directory Login gestartet hat. Es können sich nur Benutzer einloggen, die dieser Domäne angehören.

Benutzerrechte

attention Achtung

Rechte, die in zenon vergeben werden, gelten für das jeweilige Projekt oder den Arbeitsbereich. Rechte, die im Active Directory vergeben werden, gelten global.

Werden also Rechte an Benutzer oder Benutzergruppen des Active Directory vergeben, dann gelten die Rechte für diese Benutzer in allen zenon Projekten!

Noch in diesem Kapitel

Bild vom Typ Active Directory Benutzerverwaltung anlegen

Bildumschaltung auf Active Directory Benutzerverwaltung

Active Directory Benutzer zur Runtime verwalten.


Bild vom Typ Active Directory Benutzerverwaltung anlegen

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten > Bild vom Typ Active Directory Benutzerverwaltung anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Active Directory Benutzerverwaltung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ Active Directory Benutzerverwaltung

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Active Directory Fenster

Kontrollelemente für Anzeige und Verwaltung des Active Directorys.

Enthält die Active Directory Detailansicht: Fenster, in dem die Struktur des Active Directory angezeigt wird.

Kontrollelement | Beschreibung
Active Directory Fenster |
Neue Organisationseinheit anlegen (Tree) | Öffnet den Dialog, um im Baum eine neue Organisationseinheit anzulegen.
Organisationseinheit editieren |
Organisationseinheit löschen (Tree) | Löscht die im Baum ausgewählte Organisationseinheit nach Rückfrage.
Eine Ebene höher | Navigiert in der Struktur eine Ebene höher.
Neue Organisationseinheit anlegen | Legt unterhalb des im Baum ausgewählten Elements eine neue Organisationseinheit an. Der entsprechende Dialog wird geöffnet.
Neuen Benutzer anlegen | Öffnet den Dialog zum Anlegen eines neuen Benutzers.
Neue Benutzergruppe anlegen | Öffnet den Dialog zum Anlegen einer neuen Benutzergruppe.
Objekt bearbeiten | Öffnet den Dialog zum Bearbeiten des ausgewählten Objekts.
Objekt löschen | Löscht das ausgewählte Objekt.

Login

Kontrollelemente für den Login ins Active Directory.

Kontrollelement | Beschreibung
Domänenname | Eingabe und Anzeige des Domänennamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Benutzername | Eingabe und Anzeige des AD Benutzernamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Passwort | Eingabe des Passworts. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anmelden | Klick meldet den Benutzer beim AD an.
Abmelden | Klick meldet den Benutzer ab.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Domänenname | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Benutzername | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Passwort | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.


Bildumschaltung auf Active Directory Benutzerverwaltung

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten > Bildumschaltung auf Active Directory Benutzerverwaltung

Um das Bild vom Typ Active Directory Benutzerverwaltung zur Runtime zu nutzen, konfigurieren Sie eine Bildumschaltung. Sie können dabei schon Voreinstellungen für die anzuzeigenden Organisationseinheiten treffen. So können Sie steuern, welcher Benutzer welche Organisationseinheiten auswählen kann.

Bildumschaltung konfigurieren:

  1. Erstellen Sie eine neue Funktion Bildumschaltung auf ein Bild vom Typ Active Directory Benutzerverwaltung.
  2. Vergeben Sie einen Domänennamen, um zur Runtime das AD einer bestimmten Domäne zu öffnen.
    Sie können den Namen auch leer belassen. Dann muss der Domänenname bei der Anmeldung zur Runtime eingegeben werden.
  3. Konfigurieren Sie die anzuzeigenden Organisationseinheiten.
    Sie können alle anzeigen lassen, oder spezifische auswählen.
  4. Schließen Sie den Dialog mit Klick auf OK und verknüpfen Sie Funktion mit einem Button im Bild.

Filterdialog

Parameter

Beschreibung

Domänenname

Eingabe der Domäne, für die das Active Directory bei der Bildaufschaltung geladen werden soll.

Organisationseinheiten

Auswahl der anzuzeigenden Organisationseinheiten. Auswahl über Radiobuttons:

  • Alle: Zur Runtime werden alle Knoten der AD-Struktur Organisation der Domäne angezeigt.
  • Spezifische: Ermöglicht die Auswahl bestimmter Organisationseinten. Klick auf die Schaltfläche ... im Eingabefeld öffnet den Dialog zur Auswahl der Organisationseinheiten.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Organisationseinheiten auswählen

Wenn Sie im Filterdialog Spezifische Organisationseinheiten auswählen, wird erst der Dialog für die Eingabe der Login-Daten geöffnet, dann der Dialog zur Auswahl der Organisationseinheiten.

Login

Parameter

Beschreibung

Aktuell angemeldeter Benutzer

Aktiv: Der aktuell am Rechner angemeldete Benutzer wird zur Auswahl der Organisationseinheiten am AD angemeldet.

Explizite Anmeldung

Aktiv: Ein bestimmter Benutzer wird zur Auswahl der Organisationseinheiten am AD angemeldet.

  • Domäne: Eingabe der Domäne, deren Struktur angezeigt werden soll.
  • Benutzername: Benutzer. Kann leer bleiben, wenn das reine Lesen der Strukturdaten ausreicht.
  • Passwort:

OK

Übernimmt die Einstellungen und öffnet den Dialog Organisationseinheiten auswählen.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Organisationseinheiten

Parameter | Beschreibung
Liste Organisationseinheiten | Anzeige aller Organisationseinheiten der gewählten Domäne. Auswahl aus dem Ordnerbaum.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Active Directory Benutzer zur Runtime verwalten.

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten > Active Directory Benutzer zur Runtime verwalten.

Mit einem Bild vom Typ Active Directory Benutzerverwaltung können aus der zenon Runtime heraus Organisationseinheiten, Benutzergruppen und Benutzer des Active Directory verwaltet werden.

attention Achtung

Rechte, die in zenon vergeben werden, gelten für das jeweilige Projekt oder den Arbeitsbereich. Rechte, die im Active Directory vergeben werden, gelten global.

Werden also Rechte an Benutzer oder Benutzergruppen des Active Directory vergeben, dann gelten die Rechte für diese Benutzer in allen zenon Projekten!

Bild vom Typ Active Directory Benutzerverwaltung

Bei der Bildumschaltung wird das Bild leer aufgeschaltet.

Um Benutzer im AD zu verwalten:

  1. Geben Sie Domänename (kann bereits bei der Bildumschaltung definiert werden), Benutzername und Passwort ein
  2. Klicken Sie auf Anmelden.
  3. Die Verbindung wird hergestellt.
    Sollten Fehler auftreten, überprüfen Sie die Konfiguration im Active Directory und in zenon.
  4. Die Domänedaten werden ausgelesen und im Fenster angezeigt.
  5. Bearbeiten Sie die gewünschten Elemente. Mögliche Aktionen:
    • Organisationseinheiten anlegen und löschen
    • Benutzer anlegen, bearbeiten und löschen
    • Benutzergruppen anlegen, bearbeiten und löschen

Hinweis: Der angemeldete Benutzer muss in der Domäne über die entsprechenden Rechte verfügen.

Parameter

Beschreibung

Active Directory Fenster

Kontrollelemente für Anzeige und Verwaltung des Active Directorys.

Enthält die Active Directory Detailansicht: Fenster, in dem die Struktur des Active Directory angezeigt wird.

Kontrollelement | Beschreibung
Active Directory Fenster |
Neue Organisationseinheit anlegen (Tree) | Öffnet den Dialog, um im Baum eine neue Organisationseinheit anzulegen.
Organisationseinheit editieren |
Organisationseinheit löschen (Tree) | Löscht die im Baum ausgewählte Organisationseinheit nach Rückfrage.
Eine Ebene höher | Navigiert in der Struktur eine Ebene höher.
Neue Organisationseinheit anlegen | Legt unterhalb des im Baum ausgewählten Elements eine neue Organisationseinheit an. Der entsprechende Dialog wird geöffnet.
Neuen Benutzer anlegen | Öffnet den Dialog zum Anlegen eines neuen Benutzers.
Neue Benutzergruppe anlegen | Öffnet den Dialog zum Anlegen einer neuen Benutzergruppe.
Objekt bearbeiten | Öffnet den Dialog zum Bearbeiten des ausgewählten Objekts.
Objekt löschen | Löscht das ausgewählte Objekt.

Login

Kontrollelemente für den Login ins Active Directory.

Kontrollelement | Beschreibung
Domänenname | Eingabe und Anzeige des Domänennamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Benutzername | Eingabe und Anzeige des AD Benutzernamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Passwort | Eingabe des Passworts. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anmelden | Klick meldet den Benutzer beim AD an.
Abmelden | Klick meldet den Benutzer ab.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Domänenname | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Benutzername | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Passwort | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Kontextmenü Baum

Je nach ausgewähltem Element stellt das Kontextmenü im Baum (linkes Fenster) folgende Befehle zur Verfügung:

Befehl | Beschreibung
Neue Organisationseinheit anlegen | Legt unterhalb des im Baum ausgewählten Elements eine neue Organisationseinheit an. Der entsprechende Dialog wird geöffnet.
Neuen Benutzer anlegen | Löscht die im Baum ausgewählte Organisationseinheit nach Rückfrage.

Symbolleiste und Kontextmenü Detailansicht

Je nach ausgewähltem Element stellen das Kontextmenü und die Symbolleiste in der Detailansicht (rechtes Fenster) folgende Befehle zur Verfügung:

Befehl | Beschreibung
Eine Ebene höher | Navigiert in der Struktur eine Ebene höher.
Neue Organisationseinheit anlegen | Legt unterhalb des im Baum ausgewählten Elements eine neue Organisationseinheit an. Der entsprechende Dialog wird geöffnet.
Neuen Benutzer anlegen | Öffnet den Dialog zum Anlegen eines neuen Benutzers.
Neue Benutzergruppe anlegen | Öffnet den Dialog zum Anlegen einer neuen Benutzergruppe.
Ausgewähltes Objekt editieren | Öffnet den Dialog zum Bearbeiten des ausgewählten Objekts.
Ausgewähltes Objekt löschen | Löscht das ausgewählte Objekt.

Noch in diesem Kapitel

Organisationseinheit verwalten

Benutzer verwalten

Benutzergruppe verwalten


Organisationseinheit verwalten

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten > Active Directory Benutzer zur Runtime verwalten. > Organisationseinheit verwalten

Sie können AD Organisationseinheiten im Baum und in der Detailansicht anlegen und löschen.

Organisationseinheit anlegen

Um eine neue Organisationseinheit anzulegen:

  1. Klicken Sie im Bild auf den Button oder wählen Sie im Kontextmenü eines markierten Elements Neue Organisationseinheit anlegen.
  2. Der Dialog zum Konfigurieren einer Organisationsheit wird geöffnet.

  3. Vergeben Sie einen Namen.
    Maximale Länge: 64 Zeichen
  4. Klicken Sie auf OK.

Organisationseinheit editieren

Der Name einer Organisationseinheit kann geändert werden.

Achtung: Beim Ändern des Namens können Verknüpfungen zu Benutzern und Benutzergruppen, die im Modul Message Control verwendet werden, zerstört werden.

Um eine Organisationseinheit im Baum zu bearbeiten:

  1. Wählen Sie die gewünschte Organisationseinheit aus und klicken Sie auf den entsprechenden Button oder Befehl im Kontextmenü. In der Detailansicht klicken Sie auf den Button Objekt bearbeiten oder den Befehl Selektiertes Objekt editieren im Kontextmenü.
  2. Der Dialog zum Editieren wird geöffnet.
  3. Editieren Sie das Objekt.
  4. Beim Klick auf die Schaltfläche OK erfolgt eine Abfrage, wie mit Verknüpfungen umgegangen werden soll:

  5. Wählen Sie die gewünschte Option:
    • Ja: Die Umbenennung wird durchgeführt.
      Es wird versucht, Verknüpfungen mit Benutzern und Benutzergruppen, die im Modul Message Control verwendet werden, für den neuen Namen wieder herzustellen.
      Dieser Vorgang kann längere Zeit in Anspruch nehmen.
    • Nein: Die Änderung wird sofort durchgeführt.
      Achtung: Verknüpfungen zu Benutzern und Benutzergruppen, die im Modul Message Control verwendet werden, können zerstört werden!
    • Abbrechen: Die Umbenennung wird nicht übernommen und der Dialog wird beendet.

Organisationseinheit löschen

Um eine Organisationseinheit im Baum zu löschen, wählen Sie die gewünschte Organisationseinheit aus und klicken Sie auf den entsprechenden Button oder Befehl im Kontextmenü. In der Detailansicht klicken Sie auf den Button Objekt löschen oder den Befehl Selektiertes Objekt löschen im Kontextmenü.

Hinweis: Eine Organisationseinheit kann nur gelöscht werden, wenn sie keine weiteren Objekte mehr enthält.


Benutzer verwalten

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten > Active Directory Benutzer zur Runtime verwalten. > Benutzer verwalten

Es können neue Benutzer angelegt sowie bestehende Benutzer bearbeitet und gelöscht werden. Benutzer mit gleichen Anzeigenamen in der Liste können über die Informationen im Tooltip unterschieden werden.

  • Neuen Benutzer anlegen: Klicken Sie auf den entsprechenden Button oder den Befehl in der Symbolleiste oder im Kontextmenü.
  • Benutzer bearbeiten: Doppelklicken Sie einen Benutzereintrag oder klicken Sie auf den entsprechenden Button oder auf den Befehl Ausgewähltes Objekt bearbeiten im Kontextmenü.
  • Benutzer löschen: Markieren Sie den gewünschten Benutzer und drücken Sie die Entfernen-Taste, klicken Sie auf den entsprechenden Button oder auf den Befehl Ausgewähltes Objekt löschen im Kontextmenü.

Beim Anlegen und Bearbeiten wird ein Dialog geöffnet, in dem Sie den Benutzer konfigurieren.

Dialog zum Anlegen oder Bearbeiten eines Benutzers

Der Dialog besteht aus drei Registerkarten. Hinweise zu den Optionen finden Sie auch im Kapitel Projektieren im Editor/Anlegen eines Benutzers .

Benutzereigenschaften

Benutzer

Parameter

Beschreibung

Benutzer

Einstellungen für Benutzerangaben.

Benutzername

Eindeutiger Name des Benutzers für den Login.

Vollständiger Name

Angezeigter Name des Benutzers.

E-Mail

E-Mail Adresse des Benutzers.

Telefon

Nummer des sprachfähigen Telefoniegeräts des Benutzers. Wird für Text-to-Speech verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl

in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

GSM

Nummer des Mobiltelefons des Benutzers. Wird für Nachrichten über GSM und SMS verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl

in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

Passwort

Parameter | Beschreibung
Passwort | Einstellungen für das Passwort.
Passwort setzen | Aktiv: Das Passwort wird neu gesetzt.
Passwort | Eingabe neues Passwort. Die Eingabe erfolgt automatisch verdeckt. Beachten Sie bei sprachübergreifenden Projekten, dass es möglich sein muss, die Zeichen auf der entsprechenden Tastatur zur Runtime einzugeben.
Passwortbestätigung | Wiederholung des Passworts. Die Eingabe erfolgt automatisch verdeckt.
Benutzer muss Passwort bei nächster Anmeldung ändern | Aktiv: Der Benutzer muss, sobald er sich am System anmeldet, sein Passwort ändern.
Passwort läuft nie ab | Aktiv: Passwort muss nie geändert werden.

attention Achtung

Beachten Sie beim Ändern von Passwörtern für AD-Benutzer:

Die Anforderungen von zenon an die Mindestlänge und die Maximallänge eines Passwortes werden vorrangig behandelt.

Beispiel Mindestlänge: AD verlangt eine Mindestlänge von 4 Zeichen. In zenon wurde über die Eigenschaft Minimale Passwortlänge eine Mindestlänge von 8 Zeichen konfiguriert. Wird ein Passwort mit weniger als 8 Zeichen eingegeben führt das zu einer Fehlermeldung. Das Passwort kann für AD gültig sein, wird aber von zenon zurückgewiesen.

Hinweis Maximallänge: In zenon sind unterschiedliche Passwortmaximallängen erlaubt:

  • Lokale Benutzer: maximal 20 Zeichen
  • AD-Benutzer: maximal 255 Zeichen

Ist das AD Passwort länger als 20 Zeichen, dann kann sich ein AD-Benutzer damit in zenon anmelden. Das Passwort kann in zenon aber auch geändert werden.

Aktionen

Parameter | Beschreibung
Aktionen | Konfiguration von Aktionen für das Konto.
Benutzer deaktivieren | Aktiv: Der Benutzer wird deaktiviert und kann sich nicht mehr anmelden.
Benutzer entsperren | Aktiv: Der gesperrte Benutzer wird entsperrt und kann sich zur Runtime wieder anmelden.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Benutzergruppen des Benutzers

  1. Wählen Sie im Fenster Vorhandene Benutzergruppen aus den existierenden Benutzergruppen die gewünschten aus.
  2. Fügen Sie die gewählten Gruppen mit der Pfeil-Taste -> zur Liste Ausgewählte Benutzergruppen hinzu.
  3. Sie können auch Benutzergruppen, die bereits zugeordnet wurden, auswählen und mit der Pfeil-Taste <- wieder entfernen.

Parameter | Beschreibung
Vorhandene Benutzergruppen | Liste der konfigurierten Benutzergruppen.
Ausgewählte Benutzergruppen | Liste der für den Benutzer ausgewählten Benutzergruppen.
Pfeil-Tasten | Klick bewegt markierte Gruppen zu entsprechenden Liste.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Runtime Einstellungen

Allgemein

Parameter

Beschreibung

Allgemein

Allgemeine Einstellungen.

Administrator

Aktiv: Der Benutzer übernimmt die Rolle eines zenon Administrators. Nur ein Administrator kann gesperrte zenon Nutzerkonten entsperren.

Hinweis: Wird hier ein Benutzer als Administrator festgelegt, dann gilt diese Rolle für alle zenon Projekte!

Anmeldeprofil

Auswahl des Runtimeprofils, das beim Login angewendet wird, aus Dropdownliste:

  • Keines
  • Default
  • Last

Sperrcode für Befehlsgabe

4-stelliger PIN-Code.

Dieser Code wird vom Benutzer in der Befehlsgabe verwendet, um Bereiche zu sperren oder wieder frei zu geben.
Nur verfügbar, wenn zenon Energy Edition lizenziert wurde.

Message Control

Parameter

Beschreibung

Message Control

Einstellungen für Message Control.

Message Control Benutzer

Aktiv: Der Benutzer wird vom Modul Message Control verwendet.

PIN-Code

PIN-Code, mit dem der Benutzer den Erhalt der Nachricht bestätigt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

NA-Code

PIN-Code, mit dem der Benutzer die Annahme der Nachricht verweigert (not available). Die Nachricht wird dann an den nächsten Benutzer in der Liste gesendet.

Ist kein weiterer Benutzer in der Liste eingetragen, so wird die Nachricht als "nicht erfolgreich quittiert" eingetragen. Die dazu zugeordnete Funktion wird ausgeführt. Zusätzlich wird in jedem Fall ein CEL-Eintrag "abgelehnt von" erzeugt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Weitere Informationen zum Zuordnen von Funktionen finden Sie im Kapitel Empfangsbestätigung - Einstellungen Empfangsbestätigung.

Ersatzperson

Parameter | Beschreibung
Ersatzperson | Wird ein Benutzer nicht erreicht oder verweigert er die Annahme der Nachricht, kann eine Ersatzperson angegeben werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Benutzers. Es werden nur Benutzer zur Auswahl angeboten, die als Message Control Benutzer aktiviert wurden.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Dialog Ersatzperson

Soll für das Modul Message Control eine Ersatzperson ausgewählt werden, öffnet ein Klick auf die Schaltfläche einen Dialog mit bereits konfigurierten Benutzern.

Parameter | Beschreibung
Liste Personen | Liste der zur Verfügung stehenden Benutzer.
Keine Auswahl | Ein bereits im Dialog definierter Benutzer wird entfernt.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Wählen Sie den gewünschten Benutzer und klicken Sie auf OK.

Um eine bereits konfigurierten Ersatzperson zu entfernen, klicken Sie auf Keine Auswahl und dann auf OK.


Benutzergruppe verwalten

Handbuch > Benutzerverwaltung > Active Directory Benutzer aus zenon Runtime verwalten > Active Directory Benutzer zur Runtime verwalten. > Benutzergruppe verwalten

Es können neue Benutzergruppen angelegt sowie bestehende Benutzergruppen bearbeitet und gelöscht werden.

  • Neue Benutzergruppe anlegen: Klicken Sie auf den entsprechenden Button oder den Befehl in der Symbolleiste oder im Kontextmenü.
  • Benutzergruppe bearbeiten: Doppelklicken Sie einen Benutzergruppeneintrag oder klicken Sie auf den entsprechenden Button oder auf den Befehl Ausgewähltes Objekt bearbeiten im Kontextmenü.
  • Benutzergruppe löschen: Markieren Sie die gewünschte Benutzergruppe und drücken Sie die Entfernen-Taste, klicken Sie auf den entsprechenden Button oder auf den Befehl Ausgewähltes Objekt löschen im Kontextmenü.

Beim Anlegen und Bearbeiten wird ein Dialog geöffnet, in dem Sie den Benutzer konfigurieren.

Dialog zum Anlegen oder Bearbeiten von Benutzergruppen

Der Dialog besteht aus drei Registerkarten. Hinweise zur Konfiguration finden Sie auch im Kapitel Projektieren im Editor/Anlegen einer Benutzergruppe.

Eigenschaften der Benutzergruppe

Parameter | Beschreibung
Name | Eingabe eines eindeutigen, gültigen Namens für die Benutzergruppe.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Benutzer in dieser Benutzergruppe

  1. Wählen Sie im Fenster Vorhandene Benutzer aus den existierenden Benutzern die gewünschten aus.
  2. Fügen Sie die gewählten Benutzer mit der Pfeil-Taste -> zur Liste Ausgewählte Benutzer hinzu.
  3. Sie können auch Benutzer, die bereits zugeordnet wurden, auswählen und mit der Pfeil-Taste <- wieder entfernen.

Parameter | Beschreibung
Liste vorhandene Benutzer | Liste der konfigurierten Benutzer.
Liste ausgewählte Benutzer | Liste der für diese Gruppe ausgewählten Benutzer.
Pfeil-Tasten | Klick auf eine Pfeil-Taste bewegt ausgewählte Benutzer zur entsprechenden Gruppe.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Runtime-Einstellungen

Allgemein

Parameter | Beschreibung
Allgemein | Allgemeine Einstellungen. Konfiguration der Berechtigungsebenen.
Liste Vorhandene Berechtigungsebenen | Liste der in zenon konfigurierten Berechtigungsebenen.
Liste Ausgewählte Berechtigungsebenen | Liste der Berechtigungsebenen, die dieser Gruppe zugewiesen sind.
Pfeil-Tasten | Klick auf Pfeil-Taste bewegt ausgewählte Berechtigungsebenen zur entsprechenden Gruppe.

Message Control

Parameter | Beschreibung
Message Control | Konfiguration für zenon Message Control.
Gruppenruf aktiv | Aktiv: Bei Benachrichtigung über Message Control werden alle Mitglieder der Benutzergruppe benachrichtigt.
Reihenfolge der Benachrichtigung | Liste aller verfügbaren Benutzer. Reihung erfolgt über Klick auf die Pfeil-Tasten.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Von zenon genutzte AD/AD LDS Eigenschaften

Handbuch > Benutzerverwaltung > Von zenon genutzte AD/AD LDS Eigenschaften

Verschlüsselung

Für das Anmelden eines zenon AD/ADAM-Benutzers wird die NTLM/Kerberus-Verschlüsselung benützt. Für den Austausch anderer Daten als Passwörter in der bereits angemeldeten Sitzung ist bei ADSI (MS APIs für AD) keine explizite Verschlüsselung vorgesehen.

Liste der von zenon benützten Eigenschaften in AD/AD LDS

Domäne

Generelle Form | Anmerkung
defaultNamingContext |
distinguishedName | Von Containern.
name | Von Containern.
objectClass | Von Containern.
maxPwdAge |
lockoutDuration |

Benutzergruppe

Generelle Form | Anmerkung
distinguishedName |
name |
sAMAccountName |
member | Eventuell Anpassung des Werts in AD/AD LDS notwendig.
description |
groupMembershipSAM | Wird beim Editieren in zenon im Bild vom Typ Active Directory Benutzerverwaltung gesetzt.
groupType |
objectClass |

Benutzer

Generelle Form | Anmerkung
distinguishedName |
sAMAccountName |
displayName |
memberOf | Eventuell Anpassung des Werts in AD/AD LDS notwendig.
mail |
telephoneNumber |
Mobile |
pwdLastSet |
userAccountControl |
groupMembershipSAM | Wird beim Editieren in zenon im Bild vom Typ Active Directory Benutzerverwaltung gesetzt.
userPrincipalName | Eventuell Anpassung des Werts in AD/AD LDS notwendig.
objectClass |
objectCategory |
ZenOnUserLevel1 | Keine Standardeigenschaft des AD/AD LDS. Wird im Normalfall nicht benötigt. Nur aus Kompatibilitätsgründen vorhanden.
ZenOnUserLevel2 | Keine Standardeigenschaft des AD/AD LDS. Wird im Normalfall nicht benötigt. Nur aus Kompatibilitätsgründen vorhanden.
ZenOnUserLevel3 | Keine Standardeigenschaft des AD/AD LDS. Wird im Normalfall nicht benötigt. Nur aus Kompatibilitätsgründen vorhanden.


Bilder

Handbuch > Bilder

Bilder sind zentrale Elemente eines Projektes. Sie repräsentieren die projektierte Anlage, informieren und bieten Bedienelemente an.
Bilder bestehen aus Vektor-Elementen und/oder Dynamischen Elementen. Diese werden mit Variablen oder Funktionen verknüpft. Bilder werden im Hauptfenster des Editors projektiert.

zenon bietet eine große Anzahl an vordefinierten Bildtypen, wie Alarmmeldelisten, Erweiterter Trend und viele andere. Der Vorteil dieser Bildtypen liegt darin, dass mit dem Bildtyp die gewünschte Funktionalität gleich verbunden ist. Sie müssen nur den Bildtyp anlegen und es steht Ihnen sofort eine Fülle an vordefinierten Funktionalitäten zur Verfügung.

Eine Übersicht der Bildtypen finden Sie im Abschnitt Bildtypen.

Hauptfenster

Im Hauptfenster werden Dokumente wie Bilder, Reports usw. angezeigt und bearbeitet. Das Hauptfenster lässt sich als einziges Fenster nicht ausblenden.

Mehrere Dokumente parallel öffnen

Sie können im Hauptfenster mehrere Bilder gleichzeitig anzeigen. Die Bilder sind über Registerkarten am oberen Rand des Hauptfensters erreichbar und können über Optionen im Menüpunkt Fenster angeordnet werden. Beim Wechsel der Registerkarten werden die Elemente im Eigenschaftenfenster an die ausgewählte Registerkarte angepasst.

Um offene Bilder zu schließen, benutzen Sie die Tastenkombination Strg+F4, das Kontextmenü oder den Befehl Bild -> Schließen.

Kontextmenü Dokumente

Ein Rechtsklick auf die Registerkarte eines Dokuments öffnet ein Kontextmenü:

Parameter | Beschreibung
Speichern | Speichert das Dokument.
Schließen | Schließt dieses Dokument.
Alle anderen schließen | Schließt alle anderen Dokumente.

Elemente im Bild positionieren

Elemente mit einem Klick auf das Symbol in der Symbolleiste Elemente aktivieren und mit der Maus im Hauptfenster aufziehen.

Zum Bewegen des Elements stehen mehrere Möglichkeiten zur Verfügung:

  • Schnell bewegen: Element anklicken und mit der Maus positionieren.
  • Exakt positionieren: Element anklicken und mit den Pfeiltasten positionieren.
  • Drehen: Element mit dem "Griff" am Bezugspunkt beliebig drehen.

Positionierung von Elementen im Editor

Elemente können im Editor Sichtbarkeitsebenen zugeordnet und auch einzeln ausgeblendet werden.

Achtung: Kontrollelemente werden zur Runtime immer an oberster Stelle angezeigt. Das gilt auch, wenn sie im Editor von anderen Elementen überdeckt werden. Damit wird sichergestellt, dass sie immer erreichbar sind.

Anpassung an Auflösung

Bilder und ihre Elemente werden zur Runtime automatisch an die Bildschirmauflösung angepasst. Dies kann unterbunden werden. Um Bildelemente in original im Editor projektierter Größe und Position anzuzeigen, aktivieren Sie für das entsprechende Bild die Eigenschaft Elemente nicht an Bildschirmauflösung anpassen in der Gruppe Darstellung.

Noch in diesem Kapitel

Grafikqualität

Kontextmenü Projektmanager

Detailansicht Symbolleiste und Kontextmenü

Bild anlegen

Symbolleiste Bilder

Symbolleiste Elemente

Kontextmenü Elemente

XML-Export und XML-Import

Bildelemente

Bildelemente bearbeiten

Schablonen

Farbpaletten

Schriften

Symbole und Elementgruppen

Sichtbarkeitsebenen

Bildtypen

Bild-Funktionen


Grafikqualität

Handbuch > Bilder > Grafikqualität

In zenon kann die Qualität der dargestellten Grafik auf die Ressourcen des Systems abgestimmt werden. Die Einstellung erfolgt über die Projekteigenschaft Grafikqualität in der Gruppe Grafische Ausprägung. Diese Einstellungen wirken sich nur auf die Runtime aus. Im Editor wird immer DirectX verwendet.

Folgende Einstellungen sind möglich:

  • Windows Basis: Grundlegende Grafikeigenschaften. Für ressourcenschwache Hardware empfohlen.
  • DirectX Software: Grafikberechnungen werden von der CPU erledigt. Es können, abhängig von den darzustellenden Grafiken, mehrere CPUs verwendet werden. Die Verwendung von DirectX Software kann eine hohe Auslastung der CPU erzeugen.
  • DirectX Hardware: Ein Teil der Grafikberechnungen wird auf die Grafikkarte ausgelagert, wodurch die Performance gesteigert werden kann. Wird diese Einstellung vom verwendeten System nicht unterstützt, schaltet zenon automatisch auf DirectX Software um. Prinzipiell ist DirectX Hardware zu bevorzugen und DirectX Software nur zu verwenden, wenn unbedingt nötig.

attention Achtung
  • DirectX steht unter Windows CE nicht zur Verfügung.
  • DirectX kann für OCX nicht verwendet werden.

DirectX

DirectX ermöglicht eine höhere Grafikqualität als Windows Basis.

Um DirectX verwenden zu können, müssen einige Voraussetzungen erfüllt werden:

Voraussetzung

Erklärung

DirectX Hardware oder DirectX Software muss aktiviert sein.

In den Projekteigenschaften muss für die Eigenschaft Grafische Ausprägung DirectX Hardware oder DirectX Software gewählt werden.

Das Betriebssystem muss DirectX 11.1 unterstützen.

DirectX Hardware und DirectX Software funktionieren nur auf Betriebssystemen mit DirectX 11.1 - Unterstützung.

Wenn das System DirectX 11.1 nicht unterstützt, wird automatisch auf Windows Basis umgeschaltet.

Die aktuelle DirectX-Runtime muss installiert sein. Diese wird für zenon mit dem Setup mit installiert. Für den zenon Web Client muss sie manuell installiert werden.

Das Bild oder Element müssen DirectX unterstützen.

Nur unterstützte Elemente oder Bilder können mit DirectX dargestellt werden.

Bei DirectX Hardware müssen die Mindestvoraussetzungen erfüllt werden.

Details zu den Mindestvoraussetzungen siehe Kapitel Systemvoraussetzungen bei Verwendung von DirectX. Werden diese nicht erfüllt, wird automatisch auf DirectX Software umgeschaltet.

Steht vom Betriebssystem keine Hardwarebeschleunigung zur Verfügung (zum Beispiel bei Remote Desktop), kann DirectX Hardware eventuell nicht verwendet werden.

DirectX 11.1

Für die Verwendung von DirectX 11.1 gilt für das Betriebssystem:

  • Windows 8 und höher:
    DirectX 11.1 steht nativ zur Verfügung.
  • Windows 7 SP1 und Server 2008 R2 SP1:
    Ein Windows Service Pack muss installiert sein.
  • Windows 7 und Server 2008 R2 ohne Service Pack und niedriger:
    DirectX 11.1 kann nicht verwendet werden.

Service Pack für Windows 7 SP1 und Server 2008 R2 SP1 installieren

Um das Service Pack zu installieren:

  1. Laden Sie von der Microsoft Support Seite das Plattform Update KB2670838 herunter.
  2. Wählen Sie die Version, die Ihrem Betriebssystem entspricht:
    • 32-Bit
    • 64-Bit
  3. Führen Sie die entsprechende Installationsdatei aus.

Hinweis: Dies betrifft ausschließlich Windows 7 SP1 und Server 2008 R2 SP1. Auf neueren Versionen ist DirectX 11.1 bereits vorhanden. Auf älteren Versionen kann das Update nicht installiert werden.

Noch in diesem Kapitel

DirectX: Grafikleistung verbessern

DirectX: Vergleich zwischen DirectX Hardware und DirectX Software

DirectX: Fehlerbehandlung


DirectX: Grafikleistung verbessern

Handbuch > Bilder > Grafikqualität > DirectX: Grafikleistung verbessern

In jedem Rechner befindet sich eine Grafikkarte. Diese ist wichtig, um die Grafik auf den Bildschirm zu bringen.

Hat die Grafikkarte einen dedizierten Grafikspeicher, so besitzt die Grafikkarte einen eigenen Arbeitsspeicher und es handelt sich somit um eine separate Grafikkarte und nicht um einen integrierten Grafikprozessor. Grafikkarten mit dediziertem Grafikspeicher und Grafikprozessor werden normalerweise in Form von Steckkarten im Rechner verwendet. Diese besitzen in der Regel eine hohe Leistung.

Ein integrierter Grafikprozessor befindet sich direkt im Hauptprozessor des Rechners und kann nicht ausgebaut werden. Dieser besitzt in der Regel keinen eigenen Grafikspeicher und benötigt aus diesem Grund einen Teil des Arbeitsspeichers. Eine solche Grafikkarte hat in der Regel eine geringe Grafikleistung.

Für eine gute und schnelle Visualisierung der Bilder ist eine hohe Grafikleistung erforderlich. Die Grafikleistung wird durch DirectX verbessert, jedoch kann es trotzdem vorkommen, dass hochauflösende Bilder mit vielen eingebauten Elementen und Effekten zu längeren Wartezeiten führen.

In diesem Fall kann die Grafikleistung zusätzlich verbessert werden, indem Sie die folgenden Sachen beachten.

Mögliche Einflüsse auf die Grafikleistung:

Effekte

Das Anwenden von Effekten für Elemente kann bei Verwendung folgender Eigenschaften eine Auswirkung auf die Grafikleistung haben:

  • Schattengröße für Werte ungleich 100%
  • Weichzeichnung für Werte größer 0
  • Ausbreitung für Werte größer 0

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Verwenden Sie, wenn möglich, alternative Designs, bei welchen diese Effekte nicht benötigt werden.

Anzahl der Elemente

Mit der Anzahl an projektierten Elementen steigen die Leistungsanforderungen.

attention Achtung

Beachten Sie beim Einfügen von Elementen in Symbole folgende Informationen:

  • Symbole werden meistens mehrmals verwendet, dadurch führt jedes eingefügte Element zu einer entsprechenden Leistungsauswirkung.

Für eine bessere Übersicht und eine höhere Grafikleistung werden in diesem Fall folgende Schritte empfohlen:

Tipp Möglichkeiten zur Steigerung der Grafikleistung

Darstellungen aus mehreren Elementen:

  • Führen Sie, wenn möglich, mehrere Elemente zu einem Element zusammen.

Beispiele:

  • Verwenden Sie für die Darstellung eines Rechtecks ein Rechteck-Element und kein Polygon-Element.
  • Führen Sie mehrere einzelne Polygon-Elemente zu einem Polygon-Element zusammen.

Begrenzungen des Bildumfangs:

  • Verteilen Sie Elemente auf mehrere Bilder, die Sie jeweils einer Aufgabe zuweisen.
  • Schalten Sie jeweils nur das Bild auf, welches der Bediener für die aktuelle Aufgabe benötigt.

Elemente bei spezifischen Zoomstufen ausblenden :

In unterschiedlichen Zoomstufen werden unterschiedliche Details benötigt.

  • Setzen Sie daher die Sichtbarkeit der Elemente für bestimmte Zoomstufen.

Verschachtelte Elemente (Symbole, Combi-Elemente und Faceplates)

Ein Element, welches sich direkt in einem Bild befindet, bietet eine höhere Leistung, als ein Element, welches sich in einem verschachtelten Element, beispielsweise in einem Symbol befindet.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Verzichten Sie, wenn möglich, auf unnötige hierarchische Komplexität.

Farbverläufe

Farbverläufe erfordern im Vergleich zu einfachen Füllfarben mehr Leistung.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Elemente mit projektiertem Farbverlauf, welche im Bild nur schwer oder kaum zu sehen sind, haben teilweise nur eine geringe optische Auswirkung. In diesem Fall können diese mit einer einfachen Füllfarbe ersetzt werden.
  • Verzichten Sie auf Farbverläufe, indem Sie andere Design-Alternativen, wie zum Beispiel Flat Design verwenden.

Dynamiken

Das Verwenden von Dynamiken bei Elementen kann, auch ohne sichtbare Auswirkung, zu erhöhtem Leistungsbedarf führen.

Beispiele für Dynamiken:

  • Verschiebung,
  • Skalierung,
  • Drehung.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Verwenden Sie Dynamiken nur falls wirklich erforderlich.
  • Verwenden Sie statische Mittel anstelle von Dynamiken, wenn der gewünschte Effekt der gleiche ist.
  • Vermeiden Sie unnötig hohe Wert-Genauigkeit für die Dynamiken.

Auflösungen und Elementgrößen

Die Anzahl an Bildpunkten für die Darstellung kann eine direkte Auswirkung auf die Grafikleistung haben.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Vermeiden Sie unnötig hohe Auflösungen.
  • Reduzieren Sie die Auflösung:
    • Reduzieren Sie die Bildschirmauflösung.
    • Verkleinern Sie die Elementgrößen.

Überlappung von Elementen

Muss ein Element wegen einer Änderung neu gezeichnet werden, kann dies dazu führen, dass darunter und darüber liegende Elemente ebenfalls neu gezeichnet werden müssen.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Vermeiden Sie eine Überlappung bei Elementen, die sich oft und schnell ändern.
  • Vermeiden Sie, bei einer permanenten Wertänderung, eine zu hohe Aktualisierungsrate.

Große Grafikdateien

Große Grafikdateien benötigen, aufgrund der großen Anzahl an Bildpunkten, entsprechenden Leistungsaufwand.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Passen Sie die Grafik an die Ausgabegröße an.
  • Vermeiden Sie hohe Auflösungen.
  • Verwenden Sie zenon Elemente statt Grafikdateien, wenn möglich.

Anzahl an offenen Bildern

Mehrere gleichzeitig geöffnete Bilder können mehr Grafikleistung benötigen.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Schalten Sie nur benötigte Bilder auf.
  • Schließen Sie Bilder, die Sie nicht mehr benötigen.
  • Erstellen Sie aufgabenspezifische Übersichtsbilder anstelle von vielen Detailansichten.

Abrundungen

Das Verwenden von Abrundungen bei Elementen kann mehr Grafikleistung benötigen.

Tipp Möglichkeiten zur Steigerung der Grafikleistung
  • Verzichten Sie auf Abrundungen, wenn möglich.
  • Verwenden Sie stattdessen Design-Alternativen, wie zum Beispiel Flat Design.

Hinweis: Es wird empfohlen, bereits in frühen Phasen der Projektentwicklung, Tests für die Grafikleistung und Ergonomie auf der jeweiligen Zielplattform durchzuführen.


DirectX: Vergleich zwischen DirectX Hardware und DirectX Software

Handbuch > Bilder > Grafikqualität > DirectX: Vergleich zwischen DirectX Hardware und DirectX Software

Prinzipiell ist die grafische Ausgabe zwischen DirectX Hardware und DirectX Software identisch. Es werden die gleichen grafischen Eigenschaften für Bilder und Bildelemente unter beiden Grafikoptionen unterstützt.

Bei der Auswahl der Grafikoptionen DirectX Hardware oder DirectX Software ist Folgendes zu beachten:

DirectX Hardware

Ermöglicht die zusätzliche Hardwarebeschleunigung durch einen DirectX-fähigen Grafikprozessor (GPU). Dieser kann in Form eines integrierten Grafikprozessors oder im Idealfall einer dedizierten Grafikkarte im Rechnersystem eingebunden sein. Eine DirectX-fähige Grafikkarte sorgt für die Beschleunigung bestimmter Grafikoperationen. Diese führt in weiterer Folge ebenfalls zu einer Entlastung des Rechnersystems und zu einer potenziellen Leistungsverbesserung.

Tipp Tipp

Für aufwändigere Visualisierungen wird empfohlen, eine entsprechende Grafikunterstützung in Form einer leistungsstarken Grafikkarte einzusetzen, um geeignete Voraussetzungen für eine ergonomische Funktionalität zu schaffen. Mehr Details zu den Mindestvoraussetzungen bei Verwendung von DirectX lesen Sie im Kapitel Systemvoraussetzungen bei Verwendung von DirectX.

DirectX Software

Steht DirectX Hardware als Option nicht zur Verfügung, kann die Grafikoption DirectX Software verwendet werden. Nach dem Auswählen dieser Option führt DirectX durch Emulation die Grafikoperationen auf der CPU des Rechners aus. Hierdurch kann es zu einer erhöhten Auslastung des Systems, insbesondere der CPU und des Arbeitsspeichers kommen.

Hinweis: Die frei verfügbare Rechenleistung einer Single oder Multi Core CPU wird im Bedarfsfall unter dieser Grafikoption voll ausgenutzt.

Tipp Tipp

Für aufwändigere Visualisierungen wird empfohlen, eine entsprechende Grafikunterstützung in Form einer leistungsstarken Multi Core CPU einzusetzen, um geeignete Voraussetzungen für eine ergonomische Funktionalität zu schaffen. Mehr Details zu den Mindestvoraussetzungen bei Verwendung von DirectX lesen Sie im Kapitel Systemvoraussetzungen bei Verwendung von DirectX.


DirectX: Fehlerbehandlung

Handbuch > Bilder > Grafikqualität > DirectX: Fehlerbehandlung

Fehler werden im Diagnosis Viewer ausgegeben.

DirectX wird nicht initialisiert

Kann DirectX beim Aufschalten eines Bildes oder im laufenden Betrieb nicht initialisiert werden, dann wird versucht, DirectX neu zu initialisieren. Während dieses Vorgangs laufen zenon Editor und Runtime normal weiter. Sie können in dieser Zeit versuchen, das Problem zu beheben. Mögliche Ursachen und Lösungen können mit dem Diagnosis Viewer herausgefunden werden.

Während der Neuinitialisierung erscheint eine Fortschrittsanzeige. Um die Neuinitialisierung abzubrechen:

  1. Klicken Sie auf den Button Abbrechen.
  2. Bestätigen Sie die Fehlermeldung, die Ihnen angezeigt wird.
  3. Je nachdem, wo Sie den Vorgang abgebrochen haben, wird entweder der Editor oder die Runtime beendet.

Hinweis: Fehler, die ein Reinitialisieren von DirectX unmöglich machen, werden durch eine Fehlermeldung bekannt gegeben.

Diagnosis Viewer

DirectX stellt im Diagnosis Viewer individuelle Nachrichten bereit, mit jeweils:

  • einer Fehlermeldung,
  • möglichen Gründen für den Fehler,
  • Fehlercodes.

Die Ausgabe erfolgt in einem eigenen Modul DirectX. Bei Fehlern wird der Fehlertext im Textfeld Error ausgegeben, bei Warnungen und Debug-Hinweisen wird die entsprechende Meldung im Textfeld General ausgegeben:

  • Für das erfolgreiche Aufschalten eines Bildes wird mindestens eine DEBUG-Erfolgsmeldung ausgegeben.
  • Warnungen weisen auf Ereignisse hin, die den Betrieb beeinflussen können.
  • Tritt ein nicht behebbarer Fehler auf, wird eine Fehlermeldung (Error) ausgegeben.

info Info

Wird eine Meldung in einem Report im Diagnosis Viewer nicht komplett angezeigt, öffnen Sie den Eintrag durch einen Doppelklick, um die gesamte Meldung anzuzeigen.

Checkliste für Fehlerüberprüfung

Eine Überprüfung, ob DirectX funktioniert, kann durch das Aktivieren der Debug-Meldungen im Diagnosis Viewer durchgeführt werden. Bei erfolgreicher Überprüfung kommt eine entsprechende Meldung.

  • Kommen DirectX-spezifische Warnungen oder Fehlermeldungen im Diagnosis Viewer?
  • Ist in der Projekteigenschaft Grafikqualität DirectX Hardware oder DirectX Software eingestellt?
  • Werden die Mindestvoraussetzungen für DirectX erfüllt? Details zu den Mindestvoraussetzungen siehe Kapitel Systemvoraussetzungen bei Verwendung von DirectX.
  • Wird DirectX vom Bild oder Element unterstützt?
  • Funktioniert die Darstellung mit Windows Basis korrekt?
  • Funktioniert die Darstellung mit einem anderen Treiber korrekt?
  • Funktioniert die Darstellung mit einer Grafikkarte eines anderen Herstellers korrekt?


Kontextmenü Projektmanager

Handbuch > Bilder > Kontextmenü Projektmanager

Menüpunkt | Aktion
Bild neu | Legt ein neues Bild mit dem Standardnamen "Bild" als Bildtyp Standard an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei. Hinweis: Vorhandene Schablonen werden beim XML-Import über den Knoten Bilder nicht ersetzt. Beim XML-Import über den Knoten Schablonen werden vorhandene Schablonen überschrieben. In diesem Fall werden alle Bilder und deren Elemente an die neue Schablone angepasst.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.


Detailansicht Symbolleiste und Kontextmenü

Handbuch > Bilder > Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt

Aktion

Bild neu

Fügt ein neues Bild zur Liste hinzu und setzt den Fokus auf diesen Eintrag.

Bild öffnen

Öffnet das Hauptfenster für das markierte Bild.

Standard-Funktion erzeugen

Erstellt eine Bildumschaltfunktion und öffnet den entsprechenden Dialog.

Nur verfügbar, wenn ein Bild in der Detailliste ausgewählt ist.

Zurück zu Ausgangselement springen

Klick führt zu jenem Element zurück, von dem aus in das Bild gesprungen wurde.

Kopieren

Kopiert ausgewählte Einträge in die Zwischenablage.

Einfügen

Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.

Löschen

Löscht ausgewählte Einträge nach Rückfrage aus Liste.

Erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Auswahl als XML exportieren...

Exportiert alle ausgewählten Einträge in eine XML-Datei.

XML importieren

Importiert Einträge aus einer XML-Datei.

Hinweis: Vorhandene Schablonen werden beim XML-Import über den Knoten Bilder nicht ersetzt. Beim XML-Import über den Knoten Schablonen werden vorhandene Schablonen überschrieben. In diesem Fall werden alle Bilder und deren Elemente an die neue Schablone angepasst.

Bild/Symbol als Grafikdatei exportieren...

Exportiert das Bild/Symbol als eine Grafikdatei. Der Dateiauswahldialog bietet die entsprechenden auf dem System unterstützten Grafikformate an. Es werden prinzipiell alle am System installierten Windows Imaging Component (WIC) Codecs, welche Speichern unterstützen, zur Auswahl gestellt. Die Grafikgröße ergibt sich von dem zu exportierenden Bild oder Symbol.

Vorlage für Bildtyp erzeugen

Öffnet Dialog zum Anlegen eigener Vorlagen für das Einfügen von Kontrollelementen in den Bildtyp.

Alle Filter entfernen

Entfernt alle Filtereinstellungen.

Ausgewählte Zelle bearbeiten

Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.

Text in ausgewählter Spalte ersetzen

Öffnet den Dialog zum Suchen und Ersetzen von Texten.

Eigenschaften

Öffnet das Fenster Eigenschaften.

Hilfe

Öffnet die Online-Hilfe.

Hinweis: Im Bildcontainer verknüpfte Subbilder von Faceplates können nicht bearbeitet werden. Diese können nur angezeigt und kopiert werden.


Bild anlegen

Handbuch > Bilder > Bild anlegen

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs (per Default aktiviert)
  • die Erstellung eines Bildes über die Eigenschaften

Hinweis: Bilder übernehmen die Größe von der zugrunde gelegten Schablone. Größenangaben kleiner als die Schablone werden ignoriert. Werden Bilder größer als die Schablone definiert, werden Sie zum Weltbild. Für Navigation und Bildlauf in Weltbildern können ein Bild vom Typ Weltbild-Übersicht, die Touch-Steuerung und die Maus verwendet werden.

Noch in diesem Kapitel

Bild anlegen mit Bilderstellungsdialog

Bild anlegen und Projektierung über Eigenschaften


Bild anlegen mit Bilderstellungsdialog

Handbuch > Bilder > Bild anlegen > Bild anlegen mit Bilderstellungsdialog

Um den Bilderstellungsdialog zu Öffnen:

  1. Wählen Sie im Knoten Bilder oder in der Detailansicht der Bilder den Befehl Bild neu im Kontextmenü oder in der Symbolleiste.

    Der Bilderstellungsdialog wird geöffnet.

  2. Konfigurieren Sie Ihr Bild, indem Sie die Einstellungen für Ihr Bild aus den zur Verfügung stehenden Möglichkeiten auswählen.

    Per Default ist der Bildtyp Standard ausgewählt.

  3. Bestätigen Sie Ihre Einstellungen mit einem Klick auf OK.

    Das Bild wurde angelegt.

Aufbau des Bilderstellungsdialogs

Allgemein

Parameter | Beschreibung
Name | Benennung des Bildes
Schablone | Auswahlmöglichkeit für die angewandte Schablone. Jedes Bild wird einer Schablone zugeordnet und in dem durch die Schablone definierten Bildschirmbereich angezeigt.

Inhalt

Wählen Sie mit einem Mausklick unter Bildtyp den gewünschten Bildtyp aus. Die Bildtypen sind im Dialog Bild neu nach dem jeweiligen Themenbereich angeordnet. Weitere Informationen zum Bildtyp Standard und zu anderen Bildtypen finden Sie im Kapitel Bildtypen. Eine alphabetische Anordnung samt einer kurzen Beschreibung der zur Verfügung stehenden Bildtypen finden Sie im Kapitel Spezielle Bildtypen.

Vorlage

In diesem Bereich wird eine verkleinerte Ansicht der Bildvorlage dargestellt.

Um bei mehreren hinterlegten Vorlagen eine Auswahl zu treffen:

  1. Klicken Sie auf die Schaltfläche ....

    Der Dialog Vorlage auswählen wird geöffnet.

  2. Markieren Sie die gewünschte Vorlage mit einem Mausklick.
  3. Bestätigen Sie Ihre Auswahl mit einem Klick auf Übernehmen.

Dialoghilfe

Die Dialoghilfe gibt Auskunft über die konfigurierbaren Eigenschaften im Dialog Bild neu und die einzelnen Bildtypen.

Optionen

In diesem Bereich können Sie Anlagengruppen mit dem Bild verknüpfen.

Vorgehen zum Verknüpfen einer Anlagengruppe mit einem Bild:

  1. Klicken Sie auf die Auswahlschaltfläche ....

    Der Dialog Anlagengruppen auswählen wird geöffnet.

  2. Öffnen Sie in der Registerkarte Anlagenmodellierung den Knoten der Anlagengruppe durch einen Klick mit der linken Maustaste auf das Plus.

    Die im Knoten befindlichen Einträge werden angezeigt.

  3. Markieren Sie die gewünschte Anlagengruppe mit einem Mausklick.
  4. Klicken Sie auf die Schaltfläche Hinzufügen.

    Die Anlagengruppe wird hinzugefügt.

  5. Bestätigen Sie Ihre Auswahl mit einem Klick auf OK.

    Die Anlagengruppe wird bei der Bilderstellung mit dem gewählten Bild verknüpft.

Checkbox "Bild aktiv"-Variable anlegen und verknüpfen

Aktivieren Sie die Checkbox "Bild aktiv"-Variable anlegen und verknüpfen,um automatisch eine Variable zu erstellen und das Bild mit der Variable zu verknüpfen.

Noch in diesem Kapitel

Deaktivieren des Bilderstellungsdialogs


Deaktivieren des Bilderstellungsdialogs

Handbuch > Bilder > Bild anlegen > Bild anlegen mit Bilderstellungsdialog > Deaktivieren des Bilderstellungsdialogs

Der Bilderstellungsdialog ist ab zenon Version 8.00 verfügbar und per Default aktiviert.

Um den Bilderstellungsdialog zu deaktivieren:

  1. Gehen Sie in der Menüleiste des Editors auf Extras und Einstellungen....

    Der Dialog Einstellungen wird geöffnet.

  2. Deaktivieren Sie in der Registerkarte Einstellungen unter Editor Optionen die Checkbox der Eigenschaft Assistenten verwenden.

    Hinweis: Durch das Deaktivieren werden auch andere Erstellungsdialoge deaktiviert!

  3. Bestätigen Sie die Änderung mit einem Klick auf OK.

    Der Bilderstellungsdialog ist nun deaktiviert. Die Bildanlage erfolgt nach der im Kapitel Bild anlegen über die Eigenschaften beschriebenen Vorgehensweise.


Bild anlegen und Projektierung über Eigenschaften

Handbuch > Bilder > Bild anlegen > Bild anlegen und Projektierung über Eigenschaften

Vorgehen zum Anlegen eines Bildes:

  1. Wählen Sie im Knoten Bilder oder in der Detailansicht der Bilder den Befehl Bild neu im Kontextmenü oder in der Symbolleiste.
  2. Ein neues Bild vom Typ Standard wird angelegt.
  3. Wählen Sie bei Bedarf in den Eigenschaften oder in der Detailansicht einen speziellen Bildtyp.
  4. Konfigurieren Sie die Eigenschaften wie Größe, zugrunde liegende Schablone, Interaktionen usw.
  5. Fügen Sie spezielle Elemente über das Menü Kontrollelemente ein.


Symbolleiste Bilder

Handbuch > Bilder > Symbolleiste Bilder

Für die Bearbeitung von Bildern steht eine Symbolleiste zur Verfügung. Diese wird standardmäßig unterhalb der Menüleiste angezeigt.

Symbol

Beschreibung

Bild speichern

Speichert das aktive Bild.

Alles speichern

Speichert alle geänderten Bilder.

Ausschneiden

Schneidet das aktive Bild aus und speichert es in der Zwischenablage, auch projektübergreifend. Nur verfügbar, wenn ein Element ausgewählt wurde.

Kopieren

Speichert eine Kopie des aktiven Bildes in der Zwischenablage. Nur verfügbar, wenn ein Element ausgewählt wurde.

Einfügen

Fügt ein Bild aus der Zwischenablage ein. Nur verfügbar, wenn die Zwischenablage Daten enthält.

Format übertragen

Überträgt die Formatierungen des gerade ausgewählten Elements auf das nächste Element, das ausgewählt wird.

Bild neu zeichnen

Aktualisiert die Bildschirmanzeige.

Rückgängig

Erlaubt es, bis zu 100 Aktionen rückgängig zu machen. Standardmäßig lassen sich 10 Aktionen rückgängig machen.

Die Anzahl der Aktionen definieren: Optionen -> Einstellungen ->Einstellungen -> Anzahl der rückgängig Aktionen. Tragen Sie hier eine Zahl zwischen 1 und 100 ein.

Bearbeitungsmodus

Schaltet von Zoom auf Bearbeitungsmodus um.

Zoom

Stellt drei Zoom-Modi zur Verfügung:

  • Stufenloser Zoom:
    In der Combobox kann ein beliebiger Wert zwischen 15% und 1600% eingegeben oder ein voreingestellter Wert ausgewählt werden.
  • Zoomtool:
    Über die beiden Lupensymbole (+ und -) kann per Mausklick direkt im Bild gezoomt werden. Klicken Sie auf das Lupensymbol, um in den Zoom-Modus umzuschalten. Klicken Sie nun in das Bild, um die Größe zu ändern. Drücken der Steuerung-Taste schaltet zwischen vergrößern/verkleinern um. Der eingestellte Zoom wird pro Bild gespeichert. Um den Zoom-Modus zu beenden, klicken Sie auf das Symbol Bearbeitungsmodus in der Symbolleiste Elemente.
  • Einpassen:
    Wählt automatisch einen Zoomfaktor zwischen 15 - 1600%, so dass das ganze Bild im Editor komplett und proportional dargestellt wird. Der aktuelle Zoomfaktor wird in der Combobox angezeigt.

Tastenkombinationen:

  • Ansicht verkleinern: Tasten: Strg + Umschalt + -
  • Ansicht vergrößern: Tasten: Strg + Umschalt + +
  • Ansicht auf 100% einstellen: Tasten: Strg + Alt + 0
  • Ansicht an den im Editor zur Verfügung stehenden Platz anpassen und proportional darstellen: Tasten: Strg + 0

Ansteuerung über die Maus:

  • Strg+Scrollrad der Maus nach unten: Ansicht verkleinern
  • Strg+Scrollrad der Maus nach oben: Ansicht vergrößern
    Verkleinern/Vergrößern geschieht unter 100% in 25% Schritten, unter 800% in 50% Schritten und über 800% in 100% Schritten

Hilfe

Öffnet die Online-Hilfe.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Symbolleiste Elemente

Handbuch > Bilder > Symbolleiste Elemente

Symbol

Funktion

Bearbeitungsmodus

Schaltet von Zoom auf Bearbeitungsmodus um.

Ellipse/Kreis

Mit Rahmenfarbe und Füllfarbe; Rahmenart und Füllmuster (Kreis).

Kreisbogen

Mit definierbarer Linienstärke, Linienfarbe und Linienart.

Kreissegment

Zeichnet Kreissegment mit Öffnungswinkel 180º (veränderbar), definierbarer Linienstärke, Linienfarbe und Linienart.

Linie

Mit definierbarer Linienstärke, Linienfarbe und Linienart.

Polygon

Mit Rahmenfarbe und Füllfarbe; Rahmenart und Füllmuster.

Polylinie

Mit Linienart und Linienfarbe .

Rechteck

Mit Rahmenfarbe und Füllfarbe; Rahmenart und Füllmuster.

Rohrleitung

Mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster.

Statischer Text

Mit Schriftfarbe und Auswahl der Schriftart.

Button

Aktionsfeld in Buttondarstellung.

Combi-Element

Darstellung einer oder mehrerer Variablen auf einem Bildpunkt in Farbe und Symbol (Zeichenkette).

Universalregler

Schiebe- oder Drehregler.

Schalter

Einfaches Befehls- oder Sollwertvorgabeelement.

Combo-/Listbox

Werte von Variablen mit Textmeldungen verknüpfen.

Befehlsgabe-Element

Nur verfügbar mit einer SICAM 230 Lizenz.

Bildalarmierung Button

Nur verfügbar mit einer SICAM 230 Lizenz.

Zahlenwert

Werte numerisch darstellen.

Bargraf

Wert als Balkengrafik darstellen.

Zeigerinstrument

Wert in Instrumentendarstellung.

Dynamischer Text

Grenzwerttexte anzeigen

Trend-Element

einfache Liniengrafik

WPF-Element

Stellt gültige WPF-XAML-Dateien dar.

ActiveX Element

ActiveX-Elemente einfügen.

Uhr

Datum und Uhrzeit anzeigen.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Kontextmenü Elemente

Handbuch > Bilder > Kontextmenü Elemente

Für die Elemente stehen Ihnen im Kontextmenü an die Situation angepasste Befehle zur Verfügung.

Die reduzierte Darstellung verringert die Länge des Kontextmenüs auf die ausführbaren Optionen.

Die Reihenfolge der im Kontextmenü dargestellten Einträge richtet sich nach den zur Verfügung stehenden Optionen und muss nicht der tabellarischen Auflistung der einzelnen Befehle entsprechen.

Sie erreichen diese Befehle auch über Menüs und Symbolleisten.

Befehl

Beschreibung

Symbol

Öffnet die Dropdownliste Symbole. Je nach Symbolzustand sind folgende Befehle verfügbar:

  • Elementgruppe erzeugen
  • Auflösen
  • In Einzelbearbeitungsmodus wechseln/Einzelbearbeitungsmodus verlassen
  • Einfügen in existierende Elementgruppe
  • Symbol in Elementgruppe konvertieren
  • Bearbeiten im Symboleditor
  • Einfügen in Symbolbibliothek

Element auswählen

Zeigt alle unter dem Mausanzeiger befindlichen Elemente an, die in diesem Bereich übereinander positioniert sind. Ermöglicht so eine schnelle und eindeutige Auswahl eines einzelnen Elements. Wählen Sie das gewünschte Element durch einen Klick mit der linken Maus-Taste aus.

Element Position

Öffnet die Dropdownliste zum Ändern der Position des Elements:

  • Vordergrund: Verschiebt markierte Elemente in den Vordergrund
  • Hintergrund: Verschiebt markierte Elemente in den Hintergrund
  • Vorwärts: Verschiebt markierte Elemente um eine Ebene nach vorne
  • Rückwärts: Verschiebt markierte Elemente um eine Ebene nach hinten

Ausrichten

Öffnet die Dropdownliste zum Ausrichten von Elementen.

Anordnen

Öffnet die Dropdownliste zum neu Anordnen von Elementen.

Stilgruppe aus Element erzeugen

Ermöglicht die Erstellung einer eigenen Stilgruppe aus den im Element verwendeten Stilen

Verknüpfte Elemente

Öffnet die Dropdownliste mit dynamisch verknüpften Elementen, z. B.: Variablen, Funktionen, Schriften, Symbole usw.

Verknüpfungen ersetzen...

Öffnet den Dialog zum Ersetzen von Verknüpfungen.

Beispiel: Tank 1 Temperatur wird durch Tank 2 Temperatur ersetzt

Ausschneiden

Schneidet markierte Objekte aus und behält sie in der Zwischenablage.

Kopieren

Kopiert markierte Objekte

Duplizieren

Legt eine Kopie des markierten Objekts samt den zuletzt durchgeführten Änderungen an.

Beispiel: Wird ein Button dupliziert und anschließend verschoben, wird das nächte Duplikat automatisch in der gleichen Richtung und im gleichen Abstand versetzt eingefügt.

Einfügen

Fügt kopierte oder ausgeschnittene Objekte aus der Zwischenablage ein

An gleicher Position einfügen

Fügt kopierte oder ausgeschnittene Objekte aus der Zwischenablage an der gleichen Position ein

Löschen

Löscht markierte Objekte

Format übertragen

Überträgt die Eigenschaften eines ausgewählten Elements auf ein anderes oder mehrere.

  • Übertragen auf ein Element:

    Klick auf Element mit Ursprungseigenschaften
    -> Klick auf Symbol Format übertragen oder Befehl im Kontextmenü
    -> Klick auf Zielelement: Eigenschaften werden übertragen

  • Übertragen auf mehrere Elemente:

    Quellelement auswählen
    -> Zielelemente mit gedrückter Steuerung-Taste auswählen (Quell und Zielelemente sind markiert)
    > Klick auf Symbol Eigenschaften übertragen oder Befehl im Kontextmenü
    -> Eigenschaften des Quellelements werden auf die Zielelemente übertragen.

Welche Eigenschaften übertragen werden, ist abhängig von Quell- und Zielobjekt.

Wurden mehrere Elemente als Quelle gewählt, werden die Eigenschaften des ersten gewählten Elements übertragen.

Vollbildmodus

Der Vollbildmodus blendet alle übrigen Fenster aus und zeigt nur das Hauptfenster mit allen geöffneten Dokumenten (Bilder, Reports, ...) als Vollbild über den ganzen Bildschirm an.

Hinweis: Das Menü Kontrollelemente ist im Vollbildmodus immer noch aufrufbar.

Der Vollbildmodus kann beendet werden über:

  • die eingeblendete Schaltfläche zum Beenden des Vollbildmodus
  • die Tastenkombination Umschalt+F9

Raster anzeigen

Schaltet die Anzeige des Rasters ein oder aus.

Raster verwenden

Schaltet die Ausrichtung von Elementen am Raster ein oder aus.

Ein: Alle Objekte werden automatisch am Raster ausgerichtet.

Hinweis: Die Steuerung-Taste deaktiviert diese Einstellung vorübergehend. Wird beim Verschieben eines Elements die Steuerung-Taste gedrückt, dann wird das Element nicht am Raster ausgerichtet.

Fangpunkte verwenden

Schaltet Fangpunkte ein oder aus.

Verwenden: Nähert man ein Objekt dem Anfasspunkt eines anderen Objektes, dann rastet das Objekt an diesem Anfasspunkt ein.

Zoomen

Ermöglicht die Änderung der Darstellungsgröße in festen Schritten zwischen 15 % und 1600%.

Einpassen: wählt automatisch einen Zoomfaktor zwischen 15 - 1600%, so dass das ganze Bild im Editor komplett und proportional dargestellt wird.

Bild/Symbol in Grafikdatei exportieren...

Exportiert das Bild/Symbol in eine Grafikdatei. Der Dateiauswahldialog bietet die entsprechenden auf dem System unterstützten Grafikformate an. Es werden prinzipiell alle am System installierten Windows Imaging Component (WIC) Codecs, welche Speichern unterstützen, zur Auswahl gestellt. Die Grafikgröße ergibt sich von dem zu exportierenden Bild oder Symbol.

Vektorgrafik einfügen

Öffnet den Dialog zum Einfügen einer externen Vektorgrafik.
Unterstützt einige Versionen der Dateitypen DXF und PLT.

Hinweis: Der Import von Vektorgrafiken steht für den 64-Bit Editor nicht zur Verfügung.

Eigenschaften

Öffnet das Eigenschaftenfenster für das ausgewählte Element.

Bild speichern

Speichert das Bild.

Alle Bilder speichern

Speichert alle Bilder.

Bild/Symbol neu zeichnen

Aktualisiert die Bildschirmanzeige.

Vorlage für Bildtyp erzeugen...

Erzeugt eine Vorlage für einen neuen Bildtyp.

Text bearbeiten

Ermöglicht die Textbearbeitung, wenn beim Öffnen des Kontextmenüs ein Button ausgewählt ist.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Symbole


Symbole

Handbuch > Bilder > Kontextmenü Elemente > Symbole

Im Kontextmenü stehen Ihnen an die Situation angepasste Befehle zur Verfügung. Die im Kontextmenü angezeigten Befehle richten sich nach dem Zustand des ausgewählten Symbols oder der ausgewählten Symbole.

Die reduzierte Darstellung verringert die Länge des Kontextmenüs auf die ausführbaren Optionen. Die Reihenfolge der im Kontextmenü dargestellten Einträge richtet sich nach den zur Verfügung stehenden Optionen und muss nicht der tabellarischen Auflistung der einzelnen Befehle entsprechen.

Folgende Befehle können im Kontextmenü zur Auswahl stehen:

Befehl | Beschreibung
Elementgruppe erzeugen | Erzeugt eine Elementgruppe. Hierzu kann auch die Tastenkombination Strg + G verwendet werden.
Auflösen | Löst eine Elementgruppe in ihre Bildelemente auf. Hierzu kann auch die Tastenkombination Strg + Umschalt + G verwendet werden.
In Einzelbearbeitungsmodus wechseln/Einzelbearbeitungsmodus verlassen | Wechselt in den Einzelbearbeitungsmodus oder zurück in den Symbolbearbeitungsmodus. Der Einzelbearbeitungsmodus erlaubt es, einzelne Elemente des Symbols zu bearbeiten.
Einfügen in existierende Elementgruppe... | Fügt Symbol in eine bereits existierende Elementgruppe ein.
Einfügen in Symbolbibliothek... | Öffnet den Dialog, um eine Elementgruppe aus einem Bild einer Symbolbibliothek hinzuzufügen. Die Elementgruppe wird dabei in ein Symbol umgewandelt und als Symbol eingefügt. Die Elementgruppe im Bild bleibt als Elementgruppe erhalten.
Symbol in Elementgruppe konvertieren | Wandelt ein Symbol in eine Elementgruppe um.
Bearbeiten im Symboleditor | Öffnet ein Symbol im Symboleditor, um es dort zu bearbeiten.


XML-Export und XML-Import

Handbuch > Bilder > XML-Export und XML-Import

Bilder exportieren

Mit den Bildern werden auch die darin enthaltenen Variablen und Funktionen exportiert. Die Export-Datei für die Bilder enthält:

  • Bilder
  • Schablonen
  • Symbole
  • Variablen
  • Funktionen

Um Bilder zu exportieren:

  1. markieren Sie die gewünschten Bilder
  2. wählen Sie im Kontextmenü der Detailansicht den Befehl Auswahl als XML exportieren...
    Alternative: wählen Sie im Kontextmenü des Knotens Bilder den Befehl Alle als XML exportieren...
  3. der Auswahldialog für den Speicherort wird geöffnet
  4. wählen Sie den gewünschten Speicherort
  5. vergeben Sie einen Namen
  6. achten Sie auf den Dateityp XML
  7. bestätigen Sie mit Klick auf die Schaltfläche Speichern

Die ausgewählten Bilder werden in eine XML-Datei exportiert und können jederzeit in dieses oder andere Projekte wieder importiert werden.

Bilder importieren

Um Bilder zu importieren:

  1. wählen Sie im Kontextmenü des Knotens Bilder oder der Detailansicht Bilder den Befehl XML importieren
  2. der Auswahldialog für den Speicherort wird geöffnet
  3. navigieren Sie zum Speicherort der gewünschten XML-Datei
  4. wählen Sie die gewünschte Datei aus
  5. bestätigen Sie den Import mit Klick auf die Schaltfläche Öffnen

Die Bilder werden importiert.

Namenskonflikt beim Import

Beim Importieren eines Bildes wird der in der XML-Datei hinterlegte Name (Attribut ShortName) für die Benennung des neu anzulegenden Bildes verwendet. Existiert bereits ein Bild mit demselben Namen, wird der Import unterbrochen und eine Fehlermeldung angezeigt:

Parameter | Beschreibung
Ja | Das in der Fehlermeldung genannte Bild wird beim Import durch das Bild aus der XML-Datei ersetzt. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Nein | Das in der Fehlermeldung genannte Bild wird nicht importiert, das bereits vorhandene Bild wird beibehalten. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Ja alle | Das in der Fehlermeldung genannte Bild wird beim Import durch das Bild aus der XML-Datei ersetzt. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Bilder werden ersetzt.
Nein alle | Das in der Fehlermeldung genannte Bild wird nicht importiert, das bereits vorhandene Bild wird beibehalten. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Bilder werden beibehalten.

Hinweis: Es wird nur der ShortName verwendet. Der Dateiname spielt für die Benennung des zu importierenden Bildes keine Rolle, kann also zur Konfliktlösung nicht verwendet werden.

Variablen und Funktionen in Bildern

Dynamische Elemente und Schablonen werden automatisch mit Bildern automatisch importiert. Variablen und Funktionen müssen vorher separat aus dieser Datei importiert werden.

Es werden dabei nur Variablen und Funktionen der ersten Ebene berücksichtigt, d.h. Variablen und Funktionen die direkt im Bild verknüpft sind. Da sich einerseits Funktionen auf Variablen beziehen können (z. B. Sollwert setzen) andererseits aber auch Variablen auf Funktionen (z. B. Grenzwert-Funktionen), kann es nötig sein, zuerst die Variablen, dann die Funktionen und dann noch einmal die Variablen zu importieren. Erst dann werden sämtliche Verknüpfungen korrekt übernommen.

Beispiel: Ein Bild enthält einen Button mit einer Funktion Sollwert absetzen auf eine Variable. Mit dem Bild wird die Funktion importiert, nicht aber die Variable.

info Info

Hier empfiehlt sich der Einsatz des XML Import Wizards.


Bildelemente

Handbuch > Bilder > Bildelemente

In zenon nutzen Sie zwei Arten von Bildelementen:

  1. statische Vektor-Elemente
  2. Dynamische Elemente

Vektor-Elemente in zenon

Element | Eigenschaften
Ellipse | mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster
Kreis | Symbol Ellipse wählen, beim Zeichnen die Umschalt-Taste gedrückt halten; mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster
Kreisbogen | mit definierbarer Linienstärke, -farbe und -art
Kreissegment | mit definierbarer Linienstärke, -farbe und -art
Linie | mit definierbarer Linienstärke, -farbe und -art
Polygon | mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster
Polylinie | mit Linienart und -farbe (bei Flächenbeschreibung auch Füllmuster und -farbe)
Quadrat | Symbol Rechteck wählen, beim Zeichnen die Umschalt-Taste gedrückt halten; Rahmen- und Füllfarbe; Rahmenart und Füllmuster
Rechteck | mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster.
abgerundetes Rechteck | mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster; Rundungsgrad
Rohrleitung | mit Rahmen- und Füllfarbe; Rahmenart und Füllmuster
Statischer Text | mit Schriftfarbe und Auswahl der Schriftart

Tipp Tipp

Halten Sie beim Zeichnen von eindimensionalen Elementen (Linie, Rohrleitung) die Umschalt-Taste gedrückt, um die Elemente horizontal oder vertikal zu zeichnen.

Halten Sie beim Zeichnen von zweidimensionalen Elementen die Umschalt-Taste gedrückt, um die Elemente in quadratischer bzw. kreisrunder Form zu zeichnen.

Dynamische Elemente in zenon

Element

Funktion

ActiveX

Fügt ein beliebiges ActiveX Elemente ein. Dieses muss bereits am Rechner installiert sein.

Bargraf

Stellt die Größe eines Signales in Balkenform dar. Dabei verändert sich die Länge eines Balkens mit der Signalgröße.

Befehlsgabe-Element

Ermöglicht das Absetzen von Befehlen für das Modul Befehlsgabe. Benötigt Lizenz für SICAM 230.

Bildalarmierung Button

Ermöglicht Alarmierung über Bild mit Farbe und Blinken. Benötigt Lizenz für SICAM 230.

Bitmap Button

Verknüpft eine Grafikdatei (Pixelgrafik: *.bmp, *.jpg, *.gif und *.png, oder Vektorgrafik: *.wmf) mit einem Button.

Achtung! Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 6.50 eingestellt wurde. Ab Version 6.50 ist diese Funktionalität in das Element Button integriert.

Button

Ermöglicht es, Aktionen wie z. B. "Funktion ausführen" oder "Sollwert setzen" auszulösen. Er kann Text und Grafiken darstellen und als transparentes Objekt über andere Elemente gelegt werden.

Achtung! Wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner 6.50 eingestellt wurde, können nur Texte in der Runtime dargestellt werden. Die Projektierungen für die grafische Ausprägung des Buttons wird für die Anzeige in der Runtime nicht unterstützt.

Grafiken und die Funktion unsichtbar müssen dann mit den Elementen Bitmap Button und Unsichtbarer Button projektiert werden. Diese beiden Elemente finden Sie dann in der Dropdownliste Elemente ganz unten.

Combi-Element

Stellt Zustände von Variablen über Symbole, Bilder und Texte bildlich dar und kann auch als Schalter oder als Button eingesetzt werden.

Combo-/Listbox

Zeigt abhängig vom Variablenwert einen Text in einer Combobox oder einer Listbox an. Mit Auswahl eines Eintrags wird der dazugehörige Wert abgesetzt oder die dazugehörige Funktion ausgeführt.

Dynamischer Text

Stellt den Wert einer Stringvariablen in alphanumerischer Form dar oder den aktuellen Grenzwerttext von numerischen Variablen.

Meldungselement

Liest abhängig von den Werten zweier Variablen Text aus einer Textdatei aus und zeigt diesen an.

Achtung! Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 7.50 eingestellt wurde. Ab Version 7.50 wird diese Eigenschaft nicht mehr unterstützt.

Multibin

Ermöglicht es, abhängig von Variablenwerten eine Grafik anzuzeigen oder Symbole einzufärben und einen Zustandstext auszugeben.

Achtung! Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 7.50 eingestellt wurde. Ab Version 7.50 wird diese Eigenschaft nicht mehr unterstützt.

Schalter

Zeigt Werte einer Binärvariablen an und modifiziert diese.

Symbol bewegen

Ermöglicht es, ein Symbol abhängig von Variablenwerten zu verschieben, drehen und in der Größe zu ändern.
Wird für Projektierungen unter Windows CE benötigt.

Trend-Element

Stellt Werte in Form von Trendkurven dar.

Uhr

Zeigt die aktuelle Uhrzeit und das Datum an.

Universalregler

Stellt Regler in verschiedensten grafischen Ausprägungen zur Verfügung.

Hinweis zum Stil Bewegte Skala: Werte können zur Runtime nur über einen Dialog geändert werden. Wertänderung über den Regler direkt ist nicht möglich.

Unsichtbarer Button

Transparentes Objekt, mit dem eine Aktion wie z. B. "Funktion ausführen" oder "Sollwert setzen" ausgelöst werden kann.

Achtung! Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 6.50 eingestellt wurde. Ab Version 6.50 ist diese Funktionalität in das Element Button integriert.

WPF-Element

Stellt WPF-XAML-Dateien in zenon dar.

Zahlenwert

Stellt den Wert einer Variablen in numerischer Form dar.

Zeigerinstrument

Stellt den Wert einer Variablen in Form eines analogen Messgeräts dar mit einem Zeiger als Anzeigeelement dar.

Zustandselement

Überträgt Eigenschaften von verknüpften Variablen auf ein Symbol und zeigt statische Grenzwertexte an.

Achtung! Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 7.50 eingestellt wurde. Ab Version 7.50 wird diese Eigenschaft nicht mehr unterstützt.

Tipp Tipp

Halten Sie beim Zeichnen von Elementen die Umschalt-Taste gedrückt, um die Elemente in quadratischer Form zu zeichnen.

Noch in diesem Kapitel

Projektierung

Bildelemente in der Runtime

.NET Controls

ActiveX

Bargraf

Befehlsgabe-Element

Bildalarmierung Button

Button

Combi-Element

Combo-/Listbox

Dynamischer Text

Ellipse und Kreis

Kreisbogen

Kreissegment

Linie

Polygon

Polylinie

Rechteck und Quadrat

Rohrleitung

Schalter

Statischer Text

Trend-Element

Uhr

Universalregler

WPF

Zahlenwert

Zeigerinstrument

Elemente früherer Versionen


Projektierung

Handbuch > Bilder > Bildelemente > Projektierung

In diesem Abschnitt finden Sie Informationen zu:

  • Vektor-Elemente in zenon
  • Dynamische Elemente in zenon
  • Einfügen in das Hauptfenster
  • Eigenschaften definieren
  • Element Größe ändern
  • Element drehen
  • Zeilenhöhe
  • Sichtbarkeit
  • Mehrdeutige Projektierung

Tipp Tipp

Beim Bearbeiten von Bildelementen stehen Ihnen viele Tastenkombinationen zur Verfügung. Details finden Sie in der Hilfe im Abschnitt Tastenkombinationen Grafik.

Vektor-Elemente in zenon

Vektor-Elemente erzeugen Sie in zenon mit dem Zeicheneditor. In der Symbolleiste Elemente wählen Sie das gewünschte Element und platzieren es mit der Maus im Hauptfenster. Über das Fenster Eigenschaften konfigurieren Sie die Eigenschaften. Dazu muss das Element im Hauptfenster ausgewählt sein.

Import eigener Vektorgrafiken

Vektor-Elemente, die in externen Programmen erzeugt wurden, können als Bild importiert und eingebunden werden. Benutzen Sie dazu im Projektmanager den Abschnitt Dateien -> Grafiken -> Datei hinzufügen.

Hinweis: Der Import von Vektorgrafiken steht für den 64-Bit Editor nicht zur Verfügung.

Dynamische Elemente in zenon

Dynamische Bildelemente erzeugen Sie in zenon mit dem Zeicheneditor. In der Symbolleiste Elemente wählen Sie das gewünschte Element und platzieren es mit der Maus im Hauptfenster. Über das Fenster Eigenschaften konfigurieren Sie die Eigenschaften. Dazu muss das Element im Hauptfenster aktiviert sein. Graphische Elemente lassen sich hier direkt über Variablen dynamisieren. Für viele Elemente wird beim Erstellen ein Konfigurationsdialog eingeblendet.

Eigenschaften definieren

Bei vielen Dynamischen Elementen öffnet sich ein Konfigurationsdialog zur Auswahl von Variablen und/oder Funktionen, die das Verhalten des Elements zur Runtime definieren. Die Eigenschaften können auch unabhängig vom Konfigurationsdialog im Eigenschaftenfenster eingestellt werden. Dort lassen sie sich auch jederzeit ändern. Dazu muss das entsprechende Element im Hauptfenster aktiviert sein.

Sie können auch mehrere Elemente gleichzeitig auswählen und diesen gemeinsam Eigenschaften zuweisen. Dabei gilt:

  • Unterschiedliche Werte bei verschiedenen Eigenschaften werden rot hervorgehoben.
  • Eigenschaften, die nicht gemeinsam geändert werden können, sind deaktiviert.

Beim Erstellen der Elemente erhalten Sie zu den Eigenschaften auch kurze Hilfeanweisungen. Aktivieren Sie dazu in zenon die Eigenschaftenhilfe.

Anzeige im Hauptfenster

Informationen zu einem Dynamischen Element erhalten Sie im Hauptfenster durch:

Tooltip bei Mouseover:

  • Elementtyp
  • Elementname
  • Funktionsname/Funktionsart
  • verknüpfte Variablen

In der Statusleiste bei Aktivierung:

  • Position Mauszeiger
  • Elementtyp
  • Elementname
  • Startpunkt
  • Breite/Höhe

Noch in diesem Kapitel

Eigenschaften definieren

Element: Einfügen in das Hauptfenster

Element: Größe ändern

Element drehen

Sichtbarkeit

Zeilenhöhe

Mehrdeutige Projektierung


Eigenschaften definieren

Handbuch > Bilder > Bildelemente > Projektierung > Eigenschaften definieren

Für Elemente im Hauptfenster werden die Eigenschaften im Eigenschaftenfenster eingestellt. Dazu muss das entsprechende Element im Hauptfenster aktiviert sein.

Sie können auch mehrere Elemente gleichzeitig auswählen und diesen gemeinsam Eigenschaften zuweisen. Dabei gilt:

  • Unterschiedliche Werte bei verschiedenen Eigenschaften werden rot hervorgehoben.
  • Eigenschaften, die nicht gemeinsam geändert werden können, sind deaktiviert.

Beim Erstellen der Elemente erhalten Sie zu den Eigenschaften auch kurze Hilfeanweisungen. Aktivieren Sie dazu in zenon das Hilfe-Fenster.


Element: Einfügen in das Hauptfenster

Handbuch > Bilder > Bildelemente > Projektierung > Element: Einfügen in das Hauptfenster

Das ausgewählte Element kann mehrmals im Hauptfenster eingefügt und dort angeordnet werden. Welches Element ausgewählt und damit aktiv ist, zeigt ein Symbol unter der Spitze des Mauszeigers.

Um ein Element einzufügen:

  1. Wählen Sie das gewünschte Element mit einem Klick der linken Maustaste auf das Element aus.
  2. Ziehen Sie die Maus an der gewünschten Stelle im Hauptfenster.
  3. Drücken Sie die linke Maustaste und ziehen Sie das Element auf.
  4. Lassen Sie die Maustaste los, sobald Sie die gewünschte Größe des Elements erreicht haben.

Ausnahme: Polylinie, Polygon und Rohrleitung

  • ein Mausklick fügt eine neue Stützstelle ein
  • ein Doppelklick oder die Esc-Taste beendet das Aufziehen

attention Achtung

Jedes Element muss eine unverwechselbare ID haben. Werden in einem Bild mehrere Elemente mit der gleichen ID verwendet, dann werden beim Kompilieren alle Duplikate entfernt. Wird zum Beispiel ein Button kopiert und im gleichen Bild eingefügt, dann verfügt er über die gleiche ID. Beim Kompilieren wird die Kopie entfernt.

Ausnahme: Im Bild vom Typ Faceplate dürfen mehrere Container angelegt werden.


Element: Größe ändern

Handbuch > Bilder > Bildelemente > Projektierung > Element: Größe ändern

Um die Größe eines Elements zu ändern, können Maus, Tastatur, Eigenschaften oder ein Dialog benutzt werden:

  • Mit der Maus:
    1. Klicken Sie auf einen der Griffe des Elementrahmens.
    2. Ziehen Sie das Element auf die gewünschte Größe.
  • Mit der Tastatur:
    • Aktivieren Sie den gewünschten Anfasspunkt (Mauszeiger muss sich über Anfasspunkt befinden).
    • Ziehen Sie mit den Pfeil-Tasten:
    • Ein Druck an einer Pfeil-Taste ändert die Position um 1 Pixel.
    • Mit Umschalt-Taste: + Pfeil-Taste: Ein Druck an einer Pfeil-Taste ändert die Position um 10 Pixel.
  • Mit dem Eigenschaftenfenster: In der Eigenschaftengruppe Position können Sie die Position und Größe der Elemente pixelgenau festlegen.
  • Mit einem Dialog: Doppelklick auf einen Anfasspunkt öffnet einen Dialog, in dem Sie die Position pixelgenau festlegen können.

Hinweis: Wurde für Grafikdateien bei den Elementen Multibin, Combi-Element, Button oder Schalter für die Eigenschaft Grafikgröße als Wert Originalgröße gewählt, dann können Breite und Höhe der jeweiligen Grafikdatei nicht mehr verändert werden.


Element drehen

Handbuch > Bilder > Bildelemente > Projektierung > Element drehen

Elemente können frei gedreht werden. Der Drehpunkt wird mit den Eigenschaften in der Gruppe Bezugspunkt eingestellt.

Den Drehwinkel stellen Sie ein:

  • Mit der Maus:
    Klicken Sie auf das Element und drehen Sie es mit dem blauen Anfasspunkt.
  • Über eine Eigenschaft:
    Nutzen Sie die Eigenschaft Drehwinkel [°] in der Gruppe Position.
  • Mit einem Dialog:
    Doppelklick auf den grünen Anfasspunkt öffnet einen Dialog. In diesem können Sie den Drehwinkel eingeben.

info Info

Fensterbasierte Bildelemente wie ActiveX, Listen oder Combo-/Listbox können zur Runtime nicht gedreht werden. Die Konfiguration im Editor ist für ActiveX möglich, hat aber keine Auswirkung auf die Darstellung zur Runtime.


Sichtbarkeit

Handbuch > Bilder > Bildelemente > Projektierung > Sichtbarkeit

Die Sichtbarkeit bestimmt, ob ein Element oder Zustand zur Runtime angezeigt wird. Die Sichtbarkeit eines Elements zur Runtime wird definiert durch die Eigenschaften in der Gruppe Sichtbarkeit/Blinken. Über die Einstellungen der Eigenschaft Sichtbarkeit wird definiert, ob die Sichtbarkeit von einer Variablen oder einer Verriegelung bestimmt wird.

  • Variable: Die Sichtbarkeit wird von einer Variablen gesteuert.
    Wurde keine Variable definiert, ist das Element immer sichtbar. Wurde eine Variable definiert, wird die Sichtbarkeit entweder aus den Grenzwert-Eigenschaften dieser Variablen übernommen oder durch den Wertbereich bestimmt, der durch die Eigenschaften von und bis definiert ist.
  • Verriegelung: Die Sichtbarkeit wird von einer Verriegelung gesteuert.
    Wurde keine Verriegelung definiert, ist das Element immer sichtbar. Über die Eigenschaft Sichtbar, wenn verriegelt wird festgelegt, ob das Element sichtbar ist, wenn es verriegelt oder wenn es nicht verriegelt ist.

Sichtbarkeit bei Verriegelung:

Verriegelung verknüpft | Verriegelung aktiv | Sichtbar, wenn verriegelt | Ergebnis
X | X | X | sichtbar
X | X | - | unsichtbar
X | - | X | unsichtbar
X | X | - | sichtbar
- | - | - | sichtbar


Zeilenhöhe

Handbuch > Bilder > Bildelemente > Projektierung > Zeilenhöhe

Über die Eigenschaft Darstellung/Zeilenhöhe [Pixel] kann für bestimmte Elemente die Zeilenhöhe unabhängig von der Schriftgröße definiert werden. Der Defaultwert ist 0 Pixel. Die Zeilenhöhe ist bei der Defaulteinstellung an die Schriftgröße angepasst. Jeder Wert über 0 legt einen fixen Wert in Pixel für die Zeilenhöhe fest. Wird eine Zeilenhöhe auf diese Weise festgelegt, dann werden grafische Darstellungen nicht entsprechend der Zeilenhöhe angepasst, sondern an Hand der Schriftgröße skaliert.

Achtung: Wird die Zeilenhöhe:

  • zu groß gewählt, dann wird unter Umständen zur Runtime nichts angezeigt.
  • kleiner als die Schriftgröße gewählt, dann werden grafische Darstellungen abgeschnitten.


Mehrdeutige Projektierung

Handbuch > Bilder > Bildelemente > Projektierung > Mehrdeutige Projektierung

Auf Ebene von Projekteigenschaften kann es zu mehrdeutigen Projektierungen kommen.

Projekteigenschaften vs. Bildeigenschaften

Wird die grafische Darstellung für Verriegelungen einerseits in den Projekteigenschaften bei Benutzerverwaltung oder Grafische Ausprägung sowie andererseits in der Eigenschaft Sichtbar, wenn verriegelt beim Bildelement konfiguriert, entsteht eine Mehrdeutigkeit. In diesem Fall hat die lokale Einstellung eine höhere Priorität als die Einstellung in den Projekteigenschaften.

Verdeckte Elemente

Überlagert ein Vektor-Element ein Dynamisches Element, dann gilt:

  • Das Dynamische Element oder der überlagerte Teil wird nicht angezeigt.
  • Das Dynamische Element bleibt, auch wenn es vollständig verdeckt ist, bedienbar.
  • Liegen mehrere Dynamische Elemente übereinander, sind immer nur die sichtbaren (klickbaren) Teile bedienbar.

Tipp Tipp

Elemente, die zur Runtime verdeckt bleiben oder außerhalb des Sichtbarkeitsbereichs eines Bildes liegen, können im Editor mit der der Tastatur angesteuert werden. Details zur Projektierung siehe Handbuch Runtime, Kapitel Reihenfolge innerhalb Schablone festlegen.


Bildelemente in der Runtime

Handbuch > Bilder > Bildelemente > Bildelemente in der Runtime

Zur Runtime

  • Verhalten zur Runtime:
    • Transformation
    • Grafikanzeige
    • Reihenfolge zur Runtime
    • Sichtbarkeit
      Informationen dazu finden Sie im Kapitel Projektierung.
    • Verdeckte Elemente
      Informationen dazu finden Sie im Kapitel Projektierung.

info Info

Bildelemente, die mit einer Variablen verknüpft sind, die weder Wert noch Status hat, werden zur Runtime auf unsichtbar geschaltet.

Transformation

Definiert die Transformationsreihenfolge für die grafischen Elemente.

  • Rotation -> Zoom -> Translation
  • Zoom -> Rotation -> Translation

Default: Zoom -> Rotation -> Translation

Mehr Informationen finden Sie im Kapitel Transformationsreihenfolge der Bildelemente.

Grafikanzeige

Elemente mit Grafiken zeigen die Grafik nur dann an, wenn der dazugehörige Wert vorhanden ist.

Hat die Variable keinen Wert oder wurde der Wert noch nicht vom Treiber angefordert, werden Grafiken in Elementen (z.B. Combi-Element) in der Runtime nicht angezeigt. Das gilt auch für Variablen aus Unterprojekten, für die der Projektserver nicht erreichbar ist. In diesem Fall wird aber - sofern aktiviert - ein Kommunikationsproblem (blaues Quadrat) angezeigt. Wird der Server für ein Unterprojekt unerreichbar, nachdem bereits Werte an die Variable übergeben wurden, wird die Grafik noch so lange angezeigt bis das Bild neu geöffnet wird.
Weitere Informationen dazu finden Sie im Handbuch Statusverarbeitung im Kapitel Nicht aktualisiert (N_UPDATE).

Bei nicht vorhandener Kommunikation mit der SPS wird der Wert der betroffenen Variable in der Runtime mit einem roten Quadrat visualisiert.

Weitere Informationen dazu finden Sie bei der Eigenschaft Status der Variable anzeigen.

Reihenfolge

Zur Runtime werden die Elemente in der Reihenfolge von oben nach unten dargestellt. Dabei gilt:

  1. WPF Element: immer im Vordergrund
  2. ActiveX Element: immer im Vordergrund, ausgenommen es wird von einem WPF Element überlagert
  3. Dynamische Elemente und Vektor-Elemente
    Informationen dazu finden Sie im Kapitel Projektierung.

In welcher Reihenfolge die Elemente eines Bildes bei Tastaturbedienung angesteuert werden, definieren Sie bei der Projektierung im zenon Editor. Projektierungshinweise erhalten Sie im Handbuch Runtime im Kapitel Reihenfolge innerhalb Schablone festlegen.

Noch in diesem Kapitel

Transformationsreihenfolge der Bildelemente

Zeichenverhalten von Buttons und Vektor-Elementen unter Windows Basis


Transformationsreihenfolge der Bildelemente

Handbuch > Bilder > Bildelemente > Bildelemente in der Runtime > Transformationsreihenfolge der Bildelemente

Die Transformationsreihenfolge der grafischen Elemente kann im Editor in der Gruppe Grafische Ausprägung unter der Projekteigenschaft Transformationsreihenfolge ausgewählt werden.

Sie können zwischen folgenden zwei Optionen wählen:

  1. Rotation -> Zoom -> Translation
  • Wählt man diese Transformationsreihenfolge aus, wird das grafische Element unter dieser Option in Original wie folgt ausschauen:

    Nach einer 4-fachen Vergrößerung des grafischen Elements, sieht dieses so aus:

    Bei einer Vergrößerung und 45°-Rotation wird es wie folgt ausschauen:

  1. Zoom -> Rotation -> Translation
  • Wählt man diese Transformationsreihenfolge aus, wird das grafische Element unter dieser Option in Original wie folgt ausschauen:

    Nach einer 4-fachen Vergrößerung des grafischen Elements, sieht dieses so aus:

Bei einer 45°-Vergrößerung und Rotation wird es wie folgt ausschauen:

Hinweis: Der Unterschied zwischen den zwei Transformationsreihenfolgen liegt bei der Verwendung von Vergrößerung und Rotation eines grafischen Elements. Als Default-Einstellung ist die Option Zoom -> Rotation -> Translation ausgewählt.


Zeichenverhalten von Buttons und Vektor-Elementen unter Windows Basis

Handbuch > Bilder > Bildelemente > Bildelemente in der Runtime > Zeichenverhalten von Buttons und Vektor-Elementen unter Windows Basis

Abhängig von der Einstellung des project.ini Eintrags UseGDILegacyDrawing, gilt für Buttons und Vektor-Elemente:

Bei aktiver Einstellung (entspricht der Darstellung in Versionen < 7.60)

  • Buttons mit Farbverlauf werden mit Abrundungen von 20% dargestellt.
  • Rechteckige Buttons mit Farbverlauf werden mit zentriertem (50%) oder vollem (100%) Versatz dargestellt.
  • Runde Buttons werden mit der Einstellung Glanzpunkt dargestellt.
  • Rechtecke mit Farbverläufen werden mit der Farbverlaufs-Einstellung Linear dargestellt.
  • Rechtecke mit Abrundungen werden ohne Farbverlauf dargestellt.
  • Die Elemente Ellipse/Kreis mit Farbverlauf werden mit der Farbverlaufs-Einstellung Punktuell dargestellt.

Bei inaktiver Einstellung (entspricht der Darstellung in Versionen ab 7.60 und der Darstellung im Editor)

  • Buttons mit Farbverlauf werden mit Abrundungen wie am Element konfiguriert dargestellt.
  • Lineare Farbverläufe bei Buttons können jeden Wert (0-100%) annehmen.
  • Runde Buttons können mit allen Farbverlaufs-Einstellungen (Linear, Punktuell, Strahlend) dargestellt werden.
  • Rechtecke (auch mit Abrundungen) können mit den Farbverlaufs-Einstellungen Linear und Strahlend dargestellt werden.
  • Die Elemente Ellipse/Kreis können mit allen Farbverlaufs-Einstellungen (Linear, Punktuell, Strahlend) dargestellt werden.
  • Vektor-Elemente (Rechteck, Kreis/Ellipse) mit Farbverlauf werden mit dem Rahmen wie in den Einstellungen der Gruppe Linie konfiguriert dargestellt.


.NET Controls

Handbuch > Bilder > Bildelemente > .NET Controls

Das ActiveX Control CD_DotNetControlContainer.Container ermöglicht es, beliebige .NET Windows Forms Controls als Dynamisches Element in zenon zu verwenden. Dabei werden alle im .NET Control implementierten Funktionen unterstützt. Es kann mit allen zenon Versionen ab 5.50 verwendet werden, die ActiveX unterstützen.

Hinweis: .NET Framework 3.5 oder höher muss vorhanden sein.

info Info

Mehr über die Nutzung von .NET mit zenon lesen Sie im Handbuch Programmierschnittstellen im Kapitel .NET.

Um das ActiveX Control CD_DotNetControlContainer.Container zu verwenden:

  1. Legen Sie ein Dynamisches Element vom Typ ActiveX an.
  2. Wählen Sie in der Liste der vorhandenen Controls CD_DotNetControlContainer.Container.

    Hinweis: Controls sollten immer im Ordner Additional des Projekts abgelegt werden. Somit werden sie bei Sicherungen und Übertragungen berücksichtigt. Wenn Die Datei im Ordner Additional abgelegt ist, wählen Sie bei Path die Option Relative.

  3. Klicken Sie auf die Schaltfläche Eigenschaften.

    Der Dialog zur Konfiguration des Controls öffnet sich.

Konfigurationsdialog

Option

Beschreibung

SelectUserControl

Auswahl des .NET Controls über Dropdownliste aus den im ausgewählten .NET Control Assembly verfügbaren Controls.

Browse

Öffnet den Dateimanager zur Auswahl einer .NET Control Assembly.

Hinweis: Die .NET Control Assembly sollte sich im Additional Ordner des Projekts befinden.

Path

Auswahl, wie der Pfad gespeichert wird:

  • Absolute: Pfad wird absolut angegeben.
    Hinweis: Das kann zu Problemen führen, wenn z. B. die Runtime auf einem anderen Rechner läuft als der Editor und der Pfad auf am Runtime-Rechner nicht existiert.
  • Relative: Pfad relativ zum Speicherort der DLL. Wählen Sie diese Option wenn sich die DLL im Ordner Additional des Projekts befindet.

Default: Relative

Der gewählte Pfad wird unterhalb der Radiobuttons angezeigt.

Preview

Zeigt Pfad zur .NET Control Assembly an.

Feld links darunter: Vorschau auf das Control.

Feld rechts darunter: Eigenschaftenliste für das ausgewählte .NET Control.

Symbol: Nach Kategorien

Zeigt Eigenschaften nach Kategorien sortiert an.

Symbol: Alphabetisch

Zeigt Eigenschaften alphabetisch sortiert an.

Symbol: Eigenschaftenseiten

Zeigt Eigenschaftenseiten an.

OK

Bestätigt Konfiguration. Diese wird dann im zenon ActiveX Element als XML Stream gespeichert.

Cancel

Verwirft Konfiguration.


ActiveX

Handbuch > Bilder > Bildelemente > ActiveX

Mit dem Dynamischen Element ActiveX binden Sie ActiveX Elemente in Projekte ein.

info Info

Mehr über die Nutzung von ActiveX mit zenon lesen im Handbuch Programmierschnittstellen im Kapitel ActiveX.

Um ein ActiveX in einem Bild anzulegen:

  1. Wählen Sie das Symbol ActiveX in der Symbolleiste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker-Maus-Taste das Steuerelement auf.
  4. Ein Konfigurationsdialog öffnet sich, in dem Sie das Element wählen und konfigurieren.
  5. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements.
  6. Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.

Einzelne Eigenschaften des Elements definieren Sie im Eigenschaftenfenster. Dazu muss das Element im Hauptfenster aktiv sein (Mausklick). Um Controls nachträglich auszuwählen oder zu ändern, öffnen Sie den Konfigurationsdialog mit Doppelklick oder dem Menüpunkt Eigenschaften im Kontextmenü.

attention Achtung

Es werden nur ActiveX Elemente angezeigt, die auf dem Rechner installiert und registriert sind. Alle verwendeten ActiveX Elemente sind auch auf allen Runtime-Systemen, auf denen Sie das Projekt einsetzen, installiert.
Zum Registrieren von ActiveX Elementen auf Remote Systemen können Sie auch den Remote-Transport verwenden. Siehe Kapitel Dateien festlegen (Bearbeitung: Kopieren & registrieren)

Konfiguration ActiveX

ActiveX Elemente

Element | Funktion
ActiveX Elemente | Liste aller verfügbaren ActiveX Elemente.
Eigenschaften | Öffnet, wenn vorhanden, einen Konfigurationsdialog für das markierte ActiveX. Informationen und Hilfe zur Konfiguration erhalten Sie vom Hersteller des jeweiligen ActiveX Controls.

Variablenzuordnung

Element | Funktion
Variablenzuordnung | Liste der dem ActiveX Element zugeordneten Variablen.
Variable | Öffnet, wenn Variablenzuordnung möglich ist, den zenon Dialog zur Variablenauswahl.
Nach unten | Sortiert markierte Variable nach unten.
Nach oben | Sortiert markierte Variable nach oben.

Positionsänderung zur Runtime

Windowed ActiveX-Controls arbeiten zur Runtime nur mit umtransformierten Mauskoordinaten. Wird ein Element gedreht, gestreckt oder anderweitig in seiner Größe oder Position verändert, passt sich das Control nicht an und wird weiter an der ursprünglichen Position ausgeführt. Das transformierte Element kann damit an seiner transformierten Position nicht mehr über das Control bedient werden.

Windowless ActiveX-Controls können zur Runtime mit transformierten Mauskoordinaten arbeiten. Wird ein Element gedreht, gestreckt oder anderweitig in seiner Größe oder Position verändert, funktioniert das Control, wenn folgende Anforderungen erfüllt werden:

  • läuft nicht unter Windows CE
  • enthält kein Control im windowless ActiveX
  • Windowsless ActiveX unterstützt transformiertes Zeichnen korrekt

info Info

Beachten Sie den Unterschied zwischen windowed und windowless ActiveX Elementen.

Windowed ActiveX Elemente (z. b. alle Microsoft ActiveX Controls) liegen immer im Vordergrund.

Über windowless ActiveX Elemente kann dagegen z. b. ein Dynamisches Element drüber gelegt werden.


Bargraf

Handbuch > Bilder > Bildelemente > Bargraf

Mit dem Dynamischen Element Bargraf zeigen Sie die Größe eines Signals numerisch an. Die Länge des Balkens verändert sich zur Runtime mit der Signalgröße.

Um einen Bargraf in einem Bild anzulegen:

  1. Wählen Sie das Symbol Bargraf in der Symbolleiste Elemente oder in der Dropdownliste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maus-Taste das Element auf.
  4. Der Dialog zur Auswahl einer Variablen öffnet sich.
  5. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements.
  6. Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.

Einzelne Eigenschaften des Elements definieren Sie im Eigenschaftenfenster. Dazu muss das Element im Hauptfenster aktiv sein (Mausklick).

Um die verknüpfte Variable zu ändern:

  1. öffnen Sie in der Detailansicht des Projektmanagers die Variablen
  2. ziehen Sie die gewünschte Variable mit gedrückter linker Maus-Taste auf das Element
  3. die bisherige Variable wird durch die neue ersetzt

Farbliche Darstellung der Grenzwertverletzung

Bei Grenzwertverletzungen kann die Farbe aus der Variablen den gesamten Bereich einfärben oder nur den Bereich ab der Grenzwertverletzung. Gesteuert wird diese Funktionalität über die Eigenschaft Explizit in der Gruppe Darstellung.

Diese Eigenschaft wirkt sich nur auf die Darstellung von Werten mit definierten Grenzwerten aus Variablen aus.
Grenzwerte aus Reaktionsmatrizen werden nicht ausgewertet.

  • Aktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird nur der Teil der Darstellung, der in die Grenzwertverletzung hinein reicht, in der Farbe des jeweiligen Grenzwertes dargestellt.
    Hat die Variable mehrere definierte Grenzwerte, so werden die entsprechenden Bereiche der Darstellung jeweils in der Farbe des Grenzwertes dargestellt.
  • Inaktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird die gesamte Darstellung in der Farbe des verletzten Grenzwertes dargestellt.

Default: inaktiv


Befehlsgabe-Element

Handbuch > Bilder > Bildelemente > Befehlsgabe-Element

Ermöglicht das Absetzen von Befehlen für das Modul Befehlsgabe. Benötigt Lizenz für SICAM 230.

Anleitungen zur Nutzung des Elements finden Sie in der Hilfe zu SICAM 230.


Bildalarmierung Button

Handbuch > Bilder > Bildelemente > Bildalarmierung Button

Achtung: Der Bildalarmierung Button benötigt eine Lizenz für SICAM 230. Weitere Anleitungen zur Nutzung des Elements finden Sie in der Hilfe zu SICAM 230.


Button

Handbuch > Bilder > Bildelemente > Button

Mit dem Dynamischen Element Button erstellen Sie einen frei einstellbaren Button, den Sie im Bild interaktiv nutzen, um entweder eine Funktion auszuführen oder als Schalter für eine binäre Variable.

Der Button kann

  • eine Grafikdatei darstellen
  • eine Grafikdatei animieren
  • unsichtbar dargestellt werden

info Info

Bis inklusive Version 6.22 werden Buttons unterteilt in Text Button, Bitmap Button und Unsichtbarer Button. Ab Version 6.50 sind alle mit Buttons projektierbaren Eigenschaften im Element Button zusammengefasst.

Um das Dynamische Element Button in einem Bild anzulegen:

  1. wählen Sie das Symbol Button in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt
  3. ziehen Sie mit gedrückter linker Maustaste das Element auf
  4. der Funktionen Auswahldialog öffnet sich
  5. wählen Sie die gewünschte Funktion
  6. definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften

    Tipp: Sie können die Ecken beliebig runden

  7. Variablen fügen Sie per Drag&Drop hinzu

Beschriftung

Um den Button zu beschriften:

  • klicken Sie in das Element
  • geben Sie Text ein
  • definieren Sie im Knoten Text die Texteigenschaften

Unterstreichen

Um Text zu unterstreichen, stellen sie dem zu unterstreichenden Zeichen ein & vor.

T&ext wird zu:

Möchten Sie das Zeichen '&' im Text benutzen, geben Sie es doppelt ein:
1 && 2 wird zu 1 & 2.

Zeilenumbruch

Um einen Zeilenumbruch festzulegen, benutzen Sie die Zeichenfolge \n.

Beispiel:

Zeile 1 \n

Zeile 2

Button als Schalter

Um den Button als Schalter zu verwenden:

  1. Aktivieren Sie im Knoten Sollwert setzen die Eigenschaft Schalter.
  2. Mit der Eigenschaft Taster aktivieren Sie die Einstellungen, um den Button als Taster zu verwenden.
  3. Verknüpfen Sie den Button mit einer binären Variablen (Knoten Variable/Funktion, Eigenschaft Variable).

Button zur Ausführung einer Funktion

Um den Button mit einer Funktion zu verknüpfen:

  1. Deaktivieren Sie im Knoten Sollwert setzen die Eigenschaft Schalter.
  2. Verknüpfen Sie den Button mit einer Funktion (Knoten Variable/Funktion, Eigenschaft Funktion).

Button mit Grafik

Um den Button mit einer Grafik auszustatten:

  1. Klicken Sie in das Element.
  2. Aktivieren Sie in den Eigenschaften im Knoten Füllung über die Eigenschaften Grafikdatei und Grafikdatei bei gedrückt die gewünschten Grafiken für die unterschiedlichen Schalterzustände.
    Sie können folgende Grafikdateien einsetzen:
    Pixelgrafik: *.bmp, *.jpg, *.gif, *.png oder *.tif
    Vektorgrafik: *.wmf.

Unsichtbarer Button

Um eine interaktive, transparente Bedienfläche zu definieren:

  1. Klicken Sie in das Element.
  2. Aktivieren Sie in den Eigenschaften im Knoten Füllung die Checkbox der Eigenschaft Transparent.
  3. Entfernen Sie alle Beschriftungen aus dem Button.

Zugriff zur Runtime:

  • der Mauszeiger ändert sich beim Bewegen der Maus über das Element
  • über eine definierte Tastenkombination (Knoten Runtime, Eigenschaft Tastenkombination)

info Info

Beim unsichtbaren Button kann der Status der Variablen nicht angezeigt werden.

Noch in diesem Kapitel

Füllmuster und Farbverlauf

Grafiken animieren


Füllmuster und Farbverlauf

Handbuch > Bilder > Bildelemente > Button > Füllmuster und Farbverlauf

Das Element Button unterstützt verschiedene Füllmuster.

Um Farbverläufe zu definieren, wählen Sie als Füllmuster Farbverlauf.

Folgende Farbverläufe und die Einstellung Glanzpunkt werden unterstützt, abhängig von Button Form und Grafikqualität:

 | DirectX |  | Windows Basis
Button Form | Eckig | Rund | Eckig | Rund
Linear | X | X | X (nur horizontal) | X
Punktuell | X | X | -- | X
Punktuell mit Kanten | X | -- | -- | --
Strahlend | X | -- | X | --
Glanzpunkt | -- | X | -- | X

Legende:

  • X: verfügbar
  • --: nicht verfügbar


Grafiken animieren

Handbuch > Bilder > Bildelemente > Button > Grafiken animieren

Im Dynamischen Element Button können Grafikdateien vom Typ GIF animiert werden:

  1. Weisen Sie dem Button im Knoten Füllung über die Eigenschaft Grafikdatei eine GIF-Datei zu.
  2. Aktivieren Sie im gleichen Knoten eine Aktivierungsmöglichkeit für GIF-Animation.

    Sie können die Animation kontinuierlich oder abhängig von einer Bool Variable ausführen:

    1. Um die Animation kontinuierlich auszuführen: Aktivieren Sie die Eigenschaft GIF-Animation immer.
    2. Um die Animation abhängig von einer Variable auszuführen: Verknüpfen Sie die Eigenschaft Variable mit einer Bool Variable. Sobald diese Variable den Wert 1 erhält, wird die Animation ausgeführt.


Combi-Element

Handbuch > Bilder > Bildelemente > Combi-Element

Das Combi-Element ist ein universal einsetzbares Dynamisches Element, das verschiedenste grafische Ausprägungen annehmen kann:

  • Grafik
  • Bildsymbol
  • Text

Die Form der Darstellung wird über Zustände definiert. Als Zustände können sowohl Variablenwerte der Hauptvariable dienen als auch Werte weiterer Variablen sowie Statusinformationen aller verknüpften Variablen. Über Formeln können beliebige Verknüpfungen erstellt werden.
Zustände der Hauptvariablen (Grenzwertattribute) können direkt in das Combi-Element übertragen werden. Das Combi-Element unterstützt auch das Setzen von Sollwerten in Form eines Schalters/Tasters sowie das Absetzen von Funktionen und dient zur Umsetzung von verfahrenstechnischen Elementen für das Automatic Line Coloring.

Wenn Sollwerte über die Befehlsgabe und eine Rückmeldevariable im Dynamischen Element Combi-Element gesetzt werden, können sie unabhängig von der Einstellung der Eigenschaft Sollwert setzen gesetzt werden. Alle Aktionsbuttons im Bild Befehlsgabe, die eine direkte Modifikation der Rückmeldevariablen auslösen, sind dann auf unsichtbar gesetzt.

Erstellen eines Combi-Elements

Um ein Combi-Element in einem Bild anzulegen:

  1. Klicken Sie in der Symbolleiste Elemente auf das Symbol Combi-Element und ziehen Sie das Element mit der Maus im Hauptfenster auf.

    Der Variablenauswahldialog öffnet sich, gefiltert auf numerische Variablen.

  2. Wählen Sie die gewünschte Variable aus.
  3. Der Assistent für die Einstellungen zum Combi-Element öffnet sich und führt Sie durch die Grundeinstellungen. Falls Sie alle Einstellungen manuell statt mit dem Assistenten vornehmen möchten, klicken Sie jetzt auf Abbrechen. Details zum Assistenten finden Sie im Kapitel Assistent.

Bei manueller Einstellung definieren Sie im Knoten Darstellung die Darstellungsart. Als Default wird Symbol aus Bibliothek vorgegeben. Je nach Einstellung legen Sie noch Bilddateien und Texte fest.

Zusätzliche Zustände definieren Sie entweder im Assistenten über die Schaltfläche Neuer Zustand oder in den Eigenschaften des Combi-Elements im Knoten Darstellung mit der Eigenschaft Konfiguration und Test.

Funktionen und Variablen können dem Combi-Element auch per Drag&Drop zugewiesen werden. Dabei wird die jeweils bereits vorhandene Variable/Funktion durch die neue ersetzt.

Combi-Elemente können das im Projekt eingestellte Verhalten für Buttons übernehmen. Dazu aktivieren Sie die Eigenschaft Projekteigenschaften bei "gesperrt" übernehmen. Dabei werden die Einstellungen aus den Eigenschaften Gesperrte Buttons und Verriegelte Buttons übernommen. Die Auswahl Grau wirkt sich nur auf nicht-symbolische Textanteile aus.

attention Achtung

Beachten Sie folgende Einschränkungen:

  • Symbole, die sich in einem Combi-Element befinden, sind nicht bedienbar.
    Ausnahme: Symbole aus Bibliothek können als klickbare Buttons verwendet werden.
  • Wird das Combi-Element mit einem Schatten konfiguriert, dann kann es innerhalb eines Symbols nicht gedreht werden.

Verknüpfungsregeln

Wenn Sie als Darstellungsart Symbol aus Bibliothek gewählt haben, können Sie Verknüpfungsregeln angeben. Über die Eigenschaft Konfiguration und Test öffnen Sie den Dialog für die Element-Eingabe. Nach der Auswahl des Symbols über den Symbolauswahl-Button können Sie Verknüpfungsregeln erstellen und bearbeiten. Diese Regeln werden pro Zustand gespeichert.

Example Beispiel

Im Symbol enthaltene Variablen/Funktionen:
Var_SWITCH_0010
Var_TEMPERATURE_0010
Fct_ShowTrend_0010
Fct_Help_0000

Mit folgender Regel werden nun die Variablen und die Funktion des Symbols ersetzt:
Quelle: *_0010
ersetzen durch: _0020

Ergebnis der Verknüpfungsregel:
Var_SWITCH_0020
Var_TEMPERATURE_0020
Fct_ShowTrend_0020
Fct_Help_0000

Es können also mit Hilfe der Verknüpfungsregel alle Variablen und Funktionen ausgetauscht werden. Wenn ein Variablen- oder Funktionsname nicht in das Schema passt, kann diese Verknüpfung nicht ersetzt werden.

Beim Erzeugen der Runtime-Dateien wird dann pro Zustand die jeweilige Verknüpfung entsprechend der Regel ersetzt.

Example Beispiel

Sie möchten grafisch darstellen, ob ein Motor eingeschaltet ist und in welche Richtung er dreht.

Die Information zu Laufrichtung und zum Ein/Aus-Status entspricht dem Wert der verknüpften Variable mit den aktuellen Werten von der SPS. Diese Variable wird in der Eigenschaftengruppe Variable/Funktion bei der Eigenschaft Variable mit dem Combi-Element verknüpft.

Über den Zustandstext wird im Motor angezeigt, ob und wie er sich dreht.

  • Wählen Sie in der Eigenschaftengruppe Darstellung bei der Eigenschaft Darstellungsart aus der Dropdownliste der Eintrag Zustandstext und Bildsymbol.
  • Für die Parametrierung des Combi-Elements klicken Sie ... bei der Eigenschaft Konfiguration und Test.
    Der Dialog Zustandsdefinition wird geöffnet.
  • Geben Sie in diesem Dialog im Optionenbereich Darstellungselement den Zustandstext ein, den Sie dem jeweiligen Wert zuweisen wollen.

Während der Runtime steht in Ihrem Motor anschließend zum Beispiel: 'links', 'rechts' oder gar kein Text, wenn sich der Motor nicht dreht.

Nähere Informationen zur Auswertung der Status-Bits finden Sie im Kapitel Zustände

Noch in diesem Kapitel

Assistent

Klickbare Buttons in beliebiger Form

Zustände

Testmodus

Formeleditor

Darstellung von Variableninformationen


Assistent

Handbuch > Bilder > Bildelemente > Combi-Element > Assistent

Für die Grundkonfiguration des Combi-Elements steht ein Assistent zur Verfügung. Dieser öffnet sich, sobald Sie eine Variable für das Combi-Element ausgewählt haben.

Im ersten Schritt wählen Sie die Darstellungsart. Folgende Darstellungsarten stehen Ihnen zur Verfügung:

  • Symbol aus Bibliothek
  • Zustandstext und Bildsymbol
  • Grafikdatei und Bildsymbol
  • Nur Bildsymbol

info Info

In allen Fenstern für die Auswahl eines Zustands können Sie zusätzliche Zustände definieren. Dafür steht Ihnen die Schaltfläche Neuer Zustand zur Verfügung.

Default: Symbol aus Bibliothek
Diese Einstellung wird auch als Standard in den Eigenschaften vorgegeben, wenn Sie das Combi-Element ohne Assistent erstellen.

Sobald Sie eine Darstellungsart gewählt haben, können Sie Zustände definieren. Der erste Zustand ist immer der Defaultzustand.
Hinweis: Für den Defaultzustand kann kein Wert angegeben werden, für alle anderen Zustände muss ein Wert angegeben werden. Sie können immer nur einen Zustand zur gleichen Zeit bearbeiten.

Symbol aus Bibliothek

Klicken Sie auf das leere Fenster links unten, um ein Symbol aus der Globalen Symbolbibliothek oder aus der Projektbibliothek auszuwählen. Mit einem Klick auf das X neben dem Fenster löschen Sie das ausgewählte Symbol wieder.

Einstellung | Beschreibung
Wert | Numerischer Wert, bei dem der Zustand aktiv wird. Default: kein Wert Ab 2. Zustand: Eintrag verpflichtend.
Neuer Zustand | Legt einen neuen Zustand für das Combi-Element an.

info Info

Für Symbol aus Bibliothek können klickbare Buttons in beliebiger Form erstellt werden.

Zustandstext und Bildsymbol

Jeden Zustand kann mit einem Text sowie mit Vordergrundfarbe und Hintergrundfarbe gekennzeichnet werden.

Einstellung | Beschreibung
Wert | Numerischer Wert, bei dem der Zustand aktiv wird. Default: kein Wert Ab 2. Zustand: Eintrag verpflichtend.
Zustandstext | Text, wie er zur Runtime angezeigt wird.
Farbe | Schriftfarbe des Zustandstextes.
Füllfarbe | Hintergrundfarbe des Zustandstextes.
Neuer Zustand | Legt einen neuen Zustand für das Combi-Element an.

Grafikdatei und Bildsymbol

Klicken Sie auf die Schaltfläche <Keine Grafik ausgewählt> links unten, um eine Bilddatei (*.bmp, *.gif, *jpg, *.png) auszuwählen. Sie haben zwei Möglichkeiten zur Bildauswahl:

  1. Bilder aus dem Projekt:

    Bilder, die Sie bereits im Grafikverzeichnis des Projektes hinterlegt haben (siehe Kapitel Editor -> Projektmanager -> Dateien), werden Ihnen vom Assistenten automatisch angeboten.

  2. Absoluter Pfad zu anderen Verzeichnissen:
    • Aktivieren Sie dazu Direkte Dateiauswahl
    • Das Fenster schaltet um auf Direktauswahl
    • Klicken Sie auf die Schaltfläche ...
    • Wählen Sie mit dem Explorer die entsprechende Datei
Einstellung | Beschreibung
Wert | Numerischer Wert, bei dem der Zustand aktiv wird. Default: kein Wert Ab 2. Zustand: Eintrag verpflichtend.
Neuer Zustand | Legt einen neuen Zustand für das Combi-Element an.

Nur Bildsymbol

Sie können ein gemeinsames Symbol für alle Zustände des Combi-Elements angeben.
Dieses Symbol:

  • muss bereits im Bild vorhanden sein
  • gilt für alle Zustände
  • kann für jeden Zustand mit einer eigenen Füllfarbe gekennzeichnet werden
Einstellung | Beschreibung
Wert | Numerischer Wert, bei dem der Zustand aktiv wird. Default: kein Wert Ab 2. Zustand: Eintrag verpflichtend.
Bildsymbol | Dropdownliste zur Auswahl eines Symbols. Werden keine Symbole angezeigt, dann sind im aktuellen Bild noch keine Symbole vorhanden.
Füllfarbe | Kennzeichnet den zugewiesenen Zustand.
Neuer Zustand | Legt einen neuen Zustand für das Combi-Element an.


Klickbare Buttons in beliebiger Form

Handbuch > Bilder > Bildelemente > Combi-Element > Klickbare Buttons in beliebiger Form

Im Combi-Element können auch klickbare Buttons in beliebiger Form erstellt werden.

info Info

Diese Möglichkeit steht ab Version 6.51 zur Verfügung. Bei Projekten für frühere Versionen wird die Eigenschaft als inaktiv behandelt.

Um klickbare Buttons in beliebiger Form zu erstellen:

  1. erstellen Sie ein Combi-Element in der Ausprägung Symbol aus Bibliothek
  2. aktivieren Sie in den Eigenschaften des Combi-Elements im Knoten Darstellung die Eigenschaft Symbolform bestimmt Klickbereich

info Info

Diese Eigenschaft funktioniert unter Windows CE nicht, da die benötigte Funktionalität unter Windows CE nicht zur Verfügung steht.

Elemente

Im Symbol können sich weitere Symbole oder Combi-Elemente befinden. Der Klickbereich dieser Inhalte wird entsprechend angepasst. Bei Symbolen werden ganz normal die Elementgrenzen verwendet, beim Combi-Element abhängig von der Eigenschaft Symbolform bestimmt Klickbereich entweder die einzelnen Klickbereiche der Elemente oder das Umgebungsrechteck des Combi-Elements.

Folgende Elemente haben ihren eigenen speziellen Klickbereich:

  • Abgerundetes Rechteck (bis Version 6.50 als eigenes Vektor-Element vorhanden)
  • Button
  • Combi-Element mit Eigenschaft „Symbolform für Klickbereich"
  • Kreis
  • Kreissegment
  • Kreisbogen
  • Linie
  • Pipeline
  • Polygon
  • Polylinie
  • Rechteck
  • Statischer Text
  • Symbol (Korrekte Klickbereiche der Symbolelemente werden verwendet)

Alle anderen Elemente haben ihre rechteckige Umrandung als Klickbereich.

Spezielle Ausprägungen

Spezielle Ausprägung

Auswirkung

Nie speziell behandelt werden:

  • Linientyp
  • Füllmuster
  • Transparenzen jeglicher Art
    (ausgenommen Textelement)

Bereiche sind immer klickbar.

Transparenz bei Statischem Text:

Element verhält sich so, als ob das Element nicht existieren würde. Dadurch ist es möglich, Elemente zu benennen ohne unabsichtlich den Klickbereich zu vergrößern.

Beeinflusst Klickbereich nicht.

Tipp: Soll ein transparentes Textelement den Klickbereich beeinflussen:

  • deaktivieren Sie die Eigenschaft Transparent
  • legen Sie manuell ein transparentes Element darüber oder darunter

Button

Wird für Klickbereich verwendet, eine GIF-Animation für "gedrückt" steht hier nicht zur Verfügung. Das entspricht dem Verhalten bei inaktiver Eigenschaft Symbolform bestimmt Klickbereich.

Symbol ragt aus Combi-Element heraus.

Symbol wird dargestellt, Klicks werden aber nur innerhalb des Combi-Elements ausgewertet.

Anmerkung: Wenn Elemente über Symbolgrenzen hinausragen oder Symbole über die Grenzen eines Combi-Elements, kann es zu Darstellungsproblemen und Schmiereffekten kommen.

Klickbereiche

Im Editor werden teilweise größere Bereiche als Klickbereich definiert, um diese leichter anklickbar zu machen. Zum Beispiel kann eine Linie mit 1 Pixel Dicke im Editor auf einer Breite von 8 Pixel ausgewählt werden.

Zur Runtime erfolgt die Darstellung des Klickbereichs exakt. Zum Beispiel ist eine Linie von 1 Pixel Dicke auch nur auf einer Breite von 1 Pixel auswählbar.

Die Berechnung des Klickbereiches für das Combi-Element funktioniert unabhängig von der Einstellung der Eigenschaft Grafikqualität. Allerdings wird abhängig von dieser Einstellung ein unterschiedlicher Klickbereich für die Elemente berechnet.

info Info

Wenn sich der Mauszeiger über dem Combi-Element befindet, wird analysiert ob sich der Mauszeiger im Klickbereich des Elements befindet. Bei einer großen Anzahl von Elementen im Symbol des Combi-Elements kann die CPU-Last dann hoch ausfallen.

Noch in diesem Kapitel

Beispiel klickbare Buttons


Beispiel klickbare Buttons

Handbuch > Bilder > Bildelemente > Combi-Element > Klickbare Buttons in beliebiger Form > Beispiel klickbare Buttons

Beispiel 1

Zustand Symbolform bestimmt Klickbereich | Aktion
aktiv | Kein Klick
inaktiv | Klick

Beispiel 2

Zustand Symbolform bestimmt Klickbereich | Aktion
aktiv | Klick
inaktiv | Klick

Beispiel 3

Zustand Symbolform bestimmt Klickbereich | Aktion
aktiv | Kein Klick
inaktiv | Klick


Zustände

Handbuch > Bilder > Bildelemente > Combi-Element > Zustände

Das Fenster Zustände erreichen Sie über die Eigenschaft Konfiguration und Test im Knoten Darstellung.

Ein Klick auf die Schaltfläche ... oder den Text "hier klicken" öffnet das Fenster Zustände:

Hier

  • bearbeiten Sie existierende Zustände
  • fügen Sie neue Zustände hinzu
  • legen Sie fest, in welcher Reihenfolge Zustände abgearbeitet werden.

Die Einstellungen im oberen Teil des Fensters sind für alle Darstellungsarten gleich. Im unteren Drittel werden individuelle Einstellungen für die vier verschiedenen Darstellungsarten vorgenommen.

Gemeinsame Einstellungen

Zustandsdefinition

Listet alle definierten Zustände auf. Ein Zustand kann aus Werten und Status bestehen. Das Element wird vom ersten Zustand bis zum letzten Eintrag abgearbeitet. Die erste vollständige Übereinstimmung wird angezeigt. Ausnahme: Die Eigenschaft übereinander (bei Symbolen aus der Bibliothek) oder gekettet (bei Texten) ist aktiv.

Parameter | Beschreibung
Defaultzustand | Der bei der Erstellung des Elements definierte Zustand. Er steht immer an erster Stelle und kann nicht mehr geändert oder gelöscht werden.
Wert | Zeigt den definierten Wert (32 Bit) an.
Status | Zeigt den definierten Status an. Ein "F" am Ende der Statusanzeige weist auf eine Formel hin.
Neu | Definiert neue Zustände. Dabei werden Werte, Status und Formel des aktuell markierten Zustands als Ausgangswerte übernommen.
Löschen | Löscht den markierten Zustand. Der Defaultzustand kann nicht gelöscht werden.
nach oben/nach unten | Ändert die Reihenfolge der Abarbeitung der Zustände. Der Defaultzustand steht immer an erster Stelle.

Formelvariablen

Zeigt alle Variablen an, die für die Eingabe in Formeln definiert wurden. Existierende Variablen werden mit einem grünen Haken markiert, nicht existierende mit einem roten X. Nicht existierende Variablen können über Ändern durch existierende ersetzt werden. Die Schaltflächen Hinzufügen und Ändern öffnen den Dialog zur Variablenauswahl.

Wert

Ermöglicht

  • die Eingabe des Wertes für einen Zustand über eine Matrix oder numerisch
  • die Definition einer Formel
Parameter | Beschreibung
Wert | Festlegen des Wertes durch eine vorgegebene Bitstruktur.
Wert | Eingabe des numerischen Wertes.
Formel | Öffnet das Fenster zur Eingabe von Formeln. Es stehen die im Bereich Formelvariablen definierten Variablen zur Verfügung. Die Verknüpfung erfolgt über logische, bitweise und vergleichende Operatoren.

attention Achtung

Bei nicht-binären Variablen wird der Wert in der Signalauflösung angegeben! Einstellungen des Messbereichs oder der non-linearen Wertanpassung werden in diesem Element nicht berücksichtigt.

Status

Ermöglicht die Abfrage der Statusinformationen.

Achtung: Die meisten Status lassen sich nur abfragen, wenn der Treiber die Statusverarbeitung unterstützt.

Nr. | Kurzbezeichner | Langbezeichnung | Anmerkung
0 | M1 | Benutzerstatus 1 |
1 | M2 | Benutzerstatus 2 |
2 | M3 | Benutzerstatus 3 |
3 | M4 | Benutzerstatus 4 |
4 | M5 | Benutzerstatus 5 |
5 | M6 | Benutzerstatus 6 |
6 | M7 | Benutzerstatus 7 |
7 | M8 | Benutzerstatus 8 |
8 | NET_SEL | Select im Netzwerk |
9 | REVISION | Revision |
10 | PROGRESS | In Bearbeitung |
11 | TIMEOUT | Laufzeit Überschreitung |
12 | MAN_VAL | Handwert | Nur für Formeln verfügbar
13 | M14 | Benutzerstatus 14 | Nur für Formeln verfügbar
14 | M15 | Benutzerstatus 15 | Nur für Formeln verfügbar
15 | M16 | Benutzerstatus 16 | Nur für Formeln verfügbar
16 | GI | Generalabfrage |
17 | SPONT | Spontan |
18 | INVALID | Ungültig |
19 | T_CHG_A | Sommer/Winterzeit Ankündigung |
20 | OFF | Abgeschaltet |
21 | T_EXTERN | Echtzeit extern | Nur für Formeln verfügbar
22 | T_INTERN | Echtzeit intern | Nur für Formeln verfügbar
23 | N_SORTAB | Nicht sortierfähig | Nur für Formeln verfügbar
24 | FM_TR | Störmeldung Trafowert |
25 | RM_TR | Laufmeldung Trafowert |
26 | INFO | Info der Variable |
27 | ALT_VAL | Ersatzwert |
28 | RES28 | Reserviert |
29 | N_UPDATE | Nicht aktualisiert |
30 | T_STD | Winterzeit | Nur für Formeln verfügbar
31 | RES31 | Reserviert |
32 | COT0 | Übertragungsursache Bit 1 | Nur für Formeln verfügbar
33 | COT1 | Übertragungsursache Bit 2 | Nur für Formeln verfügbar
34 | COT2 | Übertragungsursache Bit 3 | Nur für Formeln verfügbar
35 | COT3 | Übertragungsursache Bit 4 | Nur für Formeln verfügbar
36 | COT4 | Übertragungsursache Bit 5 | Nur für Formeln verfügbar
37 | COT5 | Übertragungsursache Bit 6 | Nur für Formeln verfügbar
38 | N_CONF | Negative Bestätigung des Select durch Gerät (IEC 60870 [P/N]) | Nur für Formeln verfügbar
39 | TEST | Test-Bit (IEC 60870 [T]) |
40 | WR_ACK | Schreiben bestätigt | Nur für Formeln verfügbar
41 | WR_SUC | Schreiben erfolgreich | Nur für Formeln verfügbar
42 | NORM | Normalzustand | Nur für Formeln verfügbar
43 | N_NORM | Abweichung Normalzustand | Nur für Formeln verfügbar
44 | BL_870 | IEC 60870 Status: blocked |
45 | SB_870 | IEC 60870 Status: substituted |
46 | NT_870 | IEC 60870 Status: not topical |
47 | OV_870 | IEC 60870 Status: overflow |
48 | SE_870 | IEC 60870 Status: select |
49 | T_INVAL | Zeit ungültig | Nur für Formeln verfügbar
50 | RES50 | reserviert |
51 | RES51 | reserviert |
52 | RES52 | reserviert |
53 | RES53 | reserviert |
54 | RES54 | reserviert |
55 | RES55 | reserviert |
56 | RES56 | reserviert |
57 | RES57 | reserviert |
58 | RES58 | reserviert |
59 | RES59 | reserviert |
60 | RES60 | reserviert |
61 | RES61 | reserviert |
62 | RES62 | reserviert |
63 | RES63 | reserviert |

info Info

Die Kurzbezeichner für Statusbits wurden ab Version 6.50 für alle Sprachen vereinheitlicht. Details dazu und wie Sie alte Kurzbezeichner weiter verwenden können, lesen Sie im Kapitel Statusbits - Neue Kurzbezeichner.

Unquittiert: Ist die Option Blinken beim Grenzwert der Variablen aktiviert, wird das Bit unquittiert gesetzt. Mit der Option Blinkquittieren in der Alarmkonfiguration wird der Alarm blinkquittiert und das Bit unquittiert auf Null gesetzt (siehe auch Kapitel Blinkquittieren von Alarmen).

Individuelle Einstellungen

Individuelle Einstellungen zu den 4 Darstellungsarten von Zuständen finden Sie in den Unterkapiteln:

  • Symbol aus Bibliothek
  • Zustandstext und Bildsymbol
  • Grafikdatei und Bildsymbol
  • Nur Bildsymbol

Zustand projektieren bei noch nicht verknüpften Variablen

Manchmal müssen Sie ein Combi-Element projektieren, verfügen aber noch nicht über eine real existierende Variable. Zum Beispiel, wenn das Combi-Element in einem Symbol der Symbolbibliothek verwendet werden soll und die Variablenverknüpfung erst beim Reinziehen in das Bild erstellt wird. In diesem Fall arbeiten Sie erst mit einer sogenannten Dummy-Variablen, die sie später durch eine existierende ersetzen. So können Sie alle Zustände im Combi-Element auch dann projektieren, wenn noch keine existierenden Variablen verknüpft wurden. Nur auf den Testmodus haben Sie mit Dummy-Variablen keinen Zugriff.

So legen Sie eine 'Dummy'-Variable an:

  • Geben Sie in den Eigenschaften des Combi-Elements im Eingabefeld Variable einen symbolischen Namen an.
  • Klicken Sie im Bereich Darstellung in das Feld Konfiguration und Test: Die Seite Zustände in der Element-Eingabe wird geöffnet.
  • In der Liste der Formelvariablen werden existierende Variablen mit einem grünen Haken markiert, nicht existierende mit einem roten X. Sie können weitere Variablen hinzufügen:
  • Für existierende Variablen wählen Sie den Button Hinzufügen.
    Mit Ändern ersetzen Sie existierende Variablen durch andere, oder ersetzen nicht existierende Variable durch existierende.
  • Um eine nicht existierende Variable hinzuzufügen, klicken Sie erst auf Hinzufügen, dann auf Keine Auswahl. Sie erhalten eine Formelvariable mit folgendem Namensmuster: X00: <leer>. (00 steht für eine zweiziffrige Zahl.)
    Markieren Sie die Variable und klicken Sie in den Bereich <leer>; vergeben Sie eine Bezeichnung.
    Wenn Sie den Namen einer existierenden Variablen eingeben, wird die Verknüpfung zu dieser hergestellt, das Zeichen wechselt von rotem X auf grünen Haken.

Formeln

Wie eine Formel erstellt wird, lesen Sie im Kapitel Formeleditor.

Noch in diesem Kapitel

Symbol aus Bibliothek

Zustandstext und Bildsymbol

Grafikdatei und Bildsymbol

Nur Bildsymbol


Symbol aus Bibliothek

Handbuch > Bilder > Bildelemente > Combi-Element > Zustände > Symbol aus Bibliothek

Die generellen Einstellungen für alle Darstellungsarten von Zuständen finden Sie im Kapitel Zustände.

Option

Beschreibung

Darstellungselement

Symbol aus Bibliothek

Klick auf das Symbol öffnet den Dialog zur Symbolauswahl.

Klick auf das X neben dem Symbol löscht das gewählte Symbol.

Verknüpfungsregel bearbeiten

Variablen und Funktionen, die im Symbol enthalten sind, können mit Hilfe von Verknüpfungsregeln ausgetauscht werden.

Achtung: Wenn ein Variablen- oder Funktionsname nicht in das Schema passt, kann diese Verknüpfung nicht ersetzt werden.

Farben

Nur verfügbar, wenn im Bereich Spezifische Einstellungen die Eigenschaft Original Symbolfarben abgeschaltet ist.

Farbe

Wahl der Farbe.

Füllfarbe

Wahl der Füllfarbe.

Aus ALC

Die Farbe der verknüpften Quellen wird verwendet.

Spezifische Einstellungen

Original Symbolfarben
  • Aktiv: Übernimmt Originalfarbe vom Symbol. Deaktiviert Eigenschaft Farbe der Haupt-Variable übernehmen.

Blinken
  • Aktiv: Symbol blinkt zur Runtime, wenn Zustand erreicht wird.


Zustandstext und Bildsymbol

Handbuch > Bilder > Bildelemente > Combi-Element > Zustände > Zustandstext und Bildsymbol

Die generellen Einstellungen für alle Darstellungsarten von Zuständen finden Sie im Kapitel Zustände.

Parameter | Beschreibung
Darstellungselement |
Zustandtext | Text für den Zustand.
Text bei gedrückt | Text bei gedrücktem Symbol.
Farben |
Farbe | Wahl der Farbe.
Füllfarbe | Wahl der Füllfarbe.
Aus ALC | Die Farbe der verknüpften Quellen wird verwendet.
Spezifische Einstellungen |
Blinken | Aktiv: Symbol blinkt zur Runtime, wenn Zustand erreicht wird.
Transparent | Aktiv: Füllfarbe wird auf transparent gesetzt.


Grafikdatei und Bildsymbol

Handbuch > Bilder > Bildelemente > Combi-Element > Zustände > Grafikdatei und Bildsymbol

Die generellen Einstellungen für alle Darstellungsarten von Zuständen finden Sie im Überkapitel Zustände.

Parameter | Beschreibung
Darstellungselement |
Grafik | Klick auf Grafik öffnet Dialog zur Grafikauswahl. Löschen: Name aus Textzeile entfernen.
Spezifische Einstellungen |
Blinken | Aktiv: Symbol blinkt zur Runtime, wenn Zustand erreicht wird.


Nur Bildsymbol

Handbuch > Bilder > Bildelemente > Combi-Element > Zustände > Nur Bildsymbol

Die generellen Einstellungen für alle Darstellungsarten von Zuständen finden Sie im Überkapitel Zustände.

Parameter | Beschreibung
Farben |
Farbe | Wahl der Farbe.
Aus ALC | Die Farbe der verknüpften Quellen wird verwendet.
Spezifische Einstellungen |
Original Symbolfarben | Aktiv: Übernimmt Originalfarbe vom Symbol.
Symbol transparent | Aktiv: Symbolfarbe wird auf transparent gesetzt.
Blinken | Aktiv: Symbol blinkt zur Runtime, wenn Zustand erreicht wird.


Testmodus

Handbuch > Bilder > Bildelemente > Combi-Element > Testmodus

Der Testmodus simuliert die Runtime: Sie können eine Wertänderung testen und sehen, wie sich Ihr Combi Element während der Runtime verhält. Diese Registerkarte können Sie nur aktivieren, wenn alle Verknüpfungen auf existierende Variablen verweisen.

Hinweis: Im Testmodus erscheint das Symbol in einer schlechteren Auflösung als im Bild zur Runtime.


Formeleditor

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor

Der Formeleditor unterstützt bei der Erstellung von Formeln mit logischen oder vergleichenden Operatoren beim Combi-Element, bei Verriegelungen und Befehlsgabe. Werden für eine Formel zusätzliche Variablen benötigt, erstellen Sie diese im Bereich Formelvariablen des Zustandsfensters mit Klick auf die Schaltfläche Hinzufügen. Vorhandene Formeln werden in der Zustandsliste durch den Buchstaben F angezeigt.

Hinweis zur Eingabe von Nachkommastellen:

  • Dezimaltrennzeichen: Komma (,) wird automatisch durch Punkt (.) ersetzt
  • Null als Nachkommastelle wird automatisch entfernt, aus 23.000 wird automatisch 23

Formel erstellen

Klicken Sie im Zustandsfenster auf die Schaltfläche Formel. Der Formeleditor öffnet sich

Im linken Fenster wählen Sie die Bits für Ihre Formel aus.

Rechts finden Sie die Operatoren für logische und vergleichende Operationen.

Im Bereich Formel wird die erstellte Formel angezeigt.

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99. Die Länge der Formel darf dabei 4096 Zeichen nicht überschreiten.

Die Bedeutung der Bits:

Parameter

Beschreibung

Wert-Bits

Es stehen 32 Wert-Bits (von 0 -31) zur Verfügung. Sie beschreiben den Variablenwert bitweise. Für binäre Variablen hat nur das Bit 0 Bedeutung, für SINT und USINT die Bits 0-7 usw...

Hinweis: Die Auswertung bezieht sich immer auf den Rohwert (Signalbereich) der Variablen und nicht auf den umgerechneten Messwert.

Status-Bits

Stellt die gängigsten Status-Bits zur Verfügung. Die genaue Definition und Verwendung der Status-Bits finden Sie in der Liste Status-Bits.

unquittiert

Unquittiert wird wie ein ganz normales Status-Bit behandelt, wird hier aber separat angeführt, da es nicht zu den klassischen Variablen Status gehört.

Wert und Status

Alle Werte (Wert-Bits und Status-Bits) in den Formeln werden als Binärwerte betrachtet und können dann logisch mit UND oder ODER sowie anderen logischen Ausdrücken verbunden werden.
Eine Ausnahme bilden der Gesamtwert und der Gesamtstatus. Damit man bei diesen auf einen Booleschen Ausdruck kommt, muss man den Gesamtwert zuerst mit einer Konstante bitweise verodern. Dazu wird der Operator & verwendet.
Bei Ergebnis 0 (FALSE) der bitweisen Veroderung ergibt sich der Binärwert 0 (FALSE), ansonsten 1 (TRUE).

Beispiel: Siehe Kapitel Beispiel bitweise Veroderung.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.

Werden außerhalb des Formeleditors andere Einstellungen für den aktuellen Zustand gemacht, so werden diese mit der Formel mit einem logischen UND verknüpft.

Für Beispiele siehe Abschnitt Beispiele für Formeln.

info Info

Formeln mit binären X-Werten und bitweiser Verknüpfung können mit maximal 2 binären Werten benutzt werden. Werden mehr Werte benötigt, muss die Verknüpfung ohne binäre X-Werte erfolgen.

Beispiel:

X01.Value & X02.Value -> funktioniert

X01.Value & X02.Value & X03.Value -> funktioniert nicht

Aber:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funktioniert

Noch in diesem Kapitel

Liste Status-Bits

Logische Operatoren

Bitformeln

Vergleichsoperatoren

Beispiele für Formeln


Liste Status-Bits

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Logische Operatoren

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor > Logische Operatoren

Logische Verknüpfungen: Variablen werden nur auf den logischen Wert '0' überprüft, ist der Wert ungleich '0', wird er mit '1' definiert.

Im Unterschied zur Bitformel kann der technische Bereich durch einen Streckungsfaktor verändert werden -> ungleich '0' oder '1'.

Operator | Bedeutung
AND | logisch 'UND'
NOT | Negation
OR | logisch 'ODER'
XOR | logisch 'EXKLUSIV ODER'

Die Operatoren haben in der Formelberechnung folgende Priorität:

Priorität | Operator
1 | & (Operator für Bitformeln)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.


Bitformeln

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor > Bitformeln

Bitformeln besitzen nur einen logischen Low- oder Highzustand. Im Unterschied zu logischen Formeln ist der Rohwert bereits fix vordefiniert (0,1).

Operator | Beschreibung
& | AND
| | OR

Noch in diesem Kapitel

Beispiel bitweise Veroderung


Beispiel bitweise Veroderung

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor > Bitformeln > Beispiel bitweise Veroderung

Sie wollen abfragen, ob eines der Anwenderstatus Bits 1-8 (M1 ... M8) von der Variable X01 gesetzt ist.

Normale Formel:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Diese Abfrage kann durch die bitweise Veroderung des Gesamtstatus wesentlich erleichtert werden.

Bitweise Veroderung

X01.Status & 0xFF

Die Konstante kann, wie oben beschrieben, Hexadezimal eingegeben werden:

0xFF entspricht dezimal 255, das sind die ersten acht Statusbits (Binär 11111111). Steht eines dieser Bits auf 1, dann ist das Ergebnis dieser bitweisen Veroderung 1 (True), ansonsten 0 (False).

Sollen z. B. alle Anwender Status-Bits außer dem Anwender Status-Bit M7 abgefragt werden, wäre der Binäre Ausdruck dafür: 10111111. Bit 7 ist nicht interessant, steht daher auf 0. Das entspricht Hexadezimal 0xBF. Der Ausdruck für die Formel ist dann: X01.Status & 0xBF.

Statt mit einer Konstante bitweise zu verodern, kann man den Wert auch direkt mit einer dezimalen Zahl vergleichen. Ist ein Vergleich falsch, ergibt sich der Binärwert 0 (False), ansonsten 1 (True).

Beispiel:

Sie wollen abfragen, ob ein Wert der Konstanten 202 entspricht. Die Formel lautet:

X01.Wert = 202

Entspricht der Wert der Konstanten 202, so ist das Ergebnis dieses Vergleiches 1 (True), ansonsten 0 (False).

Hinweis: Die bitweise Veroderung funktioniert mit dem Oder-Zeichen (|), gleich wie in diesem Beispiel.


Vergleichsoperatoren

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor > Vergleichsoperatoren

Vergleichsoperatoren dienen zum direkten Vergleich von zwei numerischen Werten. Das Ergebnis dieses Vergleichs wird in Form eines Binärzustandes dargestellt. „0“ wenn die Bedingung nicht erfüllt ist und „1“ wenn die Bedingung erfüllt ist.

Operator | Beschreibung
< | kleiner
> | größer
<= | kleiner gleich
>= | größer gleich
= | ist gleich
<> | ungleich

Links und rechts vom Vergleichs Operator muss ein (Gesamt-)Wert oder (Gesamt-)Status stehen, Einzelbits können mit diesen Vergleichsoperatoren nicht verwendet werden.

Rechts vom Vergleichs Operator kann auch eine Konstante stehen.
Im Combi-Element werden diese Konstanten als hexadezimale Werte oder Dezimalwerte eingegeben. Hexadezimale Zahlen werden beim Klick auf OK automatisch in Dezimalzahlen umgewandelt. Zum Beispiel entspricht 0x64 dem numerischen Wert 100.

Hinweis: Das Combi-Element ist im Modul Batch Control nicht verfügbar.

Example Beispiel

X01.Wert >= X02.Wert
Das Ergebnis ist „1“ wenn der Wert von X01 größer oder gleich dem Wert X02 ist

X01.Wert = 0x64
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 entspricht (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 oder 101 entspricht (= Hex 0x64 und Hex 0x65)


Beispiele für Formeln

Handbuch > Bilder > Bildelemente > Combi-Element > Formeleditor > Beispiele für Formeln

Einfache logische UND Verknüpfung zwischen zwei Werte Bits

Example Beispiel

Formel: X01.03 AND X02.03

Diese Formel ergibt den Zustand WAHR, wenn sowohl Bit 3 der Variablen 1 als auch Bit 3 der Variablen 2 den Wert 1 hat.

Den Wert oder Status einer Variable vergleichen

Example Beispiel

(X01.Wert> X02.Wert)

Vergleiche auf logischer Basis miteinander vergleichen

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Vergleiche mit Werte- und Status-Bits

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Einen Wert mit einem dezimalen oder hexadezimalen Wert vergleichen

Example Beispiel

Formel: (X01.Wert = 111)

Formel: (X01.Wert = 0x6F)

Wird ein hexadezimaler Wert verwendet, so wird dieser mit dem Klick auf OK später in dezimale Schreibweise umgewandelt. Wurde ein dezimaler Wert angegeben und bestätigt, wird dieser beim erneuten Öffnen weiter als dezimaler Wert angezeigt.

info Info

Bei der Eingabe von Zahlen ist es nicht möglich, ein Komma oder einen Punkt zu verwenden.


Darstellung von Variableninformationen

Handbuch > Bilder > Bildelemente > Combi-Element > Darstellung von Variableninformationen

Sie können mithilfe des Combi-Elements Informationen zu Variablen darstellen für:

  • Betriebsmittelkennung
  • Maßeinheit
  • Variablenkennung
  • Variablenname
  • Variablenwert
  • Zeitstempel

Die dargestellte Information gilt immer für die verknüpfte Hauptvariable.

Projektierung

  1. Legen Sie ein Combi-Element an.
  2. Wählen Sie den Darstellungstyp Zustandstext & Bildsymbol aus.
  3. Legen Sie einen Default-Zustand an.
  4. Geben Sie bei Zustandstext einen Platzhalter der folgenden Tabelle ein.
    Achten Sie auf Groß-/Kleinschreibung!
    Die Ziffern gelten als Beispiele.
  5. Aktivieren Sie die Option Transparent am Element.

Betriebsmittelkennung

Platzhalter | Beschreibung
%r | Zeigt die Betriebsmittelkennung.
%r,1,2 | Zeigt die Betriebsmittelkennung ab Position 1 für 2 Zeichen.
%R | Zeigt die Betriebsmittelkennung.
%R,3,2 | Zeigt die Betriebsmittelkennung minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Maßeinheit

Platzhalter | Beschreibung
%u | Zeigt die Maßeinheit.
%u,1,2 | Zeigt die Maßeinheit ab Position 1 für 2 Zeichen.
%U | Zeigt die Maßeinheit.
%U,3,2 | Zeigt die Maßeinheit minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Variablenkennung

Platzhalter | Beschreibung
%l | Zeigt die Variablenkennung.
%l,1,2 | Zeigt die Variablenkennung ab Position 1 für 2 Zeichen.
%L | Zeigt die Variablenkennung.
%L,3,2 | Zeigt die Variablenkennung minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Variablenname

Platzhalter | Beschreibung
%n | Zeigt den Variablennamen.
%n,1,2 | Zeigt den Variablennamen ab Position 1 für 2 Zeichen.
%N | Zeigt den Variablennamen.
%N,3,2 | Zeigt den Variablennamen minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Variablenwert

Platzhalter | Beschreibung
%v | Zeigt den aktuellen Variablenwert.
%v,1,2 | Zeigt den aktuellen Variablenwert ab Position 1 für 2 Zeichen.
%V | Zeigt den aktuellen Variablenwert.
%V,3,2 | Zeigt den aktuellen Variablenwert minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Zeitstempel

Platzhalter | Beschreibung
%t | Zeigt den Zeitstempel.
%t,1,2 | Zeigt den Zeitstempel ab Position 1 für 2 Zeichen.
 | Zeigt den Zeitstempel.
%T,3,2 | Zeigt den Zeitstempel minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Die Formate für die Zeiteinstellungen werden vom Betriebssystem übernommen.


Combo-/Listbox

Handbuch > Bilder > Bildelemente > Combo-/Listbox

Mit dem Dynamischen Element Combo-/Listbox verknüpfen Sie Werte von Variablen mit Texten. Diese nutzen Sie auf zwei Arten:

  1. Wird ein Text zur Runtime ausgewählt, ändert sich der Wert der Variablen auf jenen Wert, der mit diesem Text verknüpft ist.
  2. Erreicht die Variable einen der definierten Werte, wird der verknüpfte Text solange in der Combobox/Listbox angezeigt, wie der Wert ansteht.

Erstellen einer Combo-/Listbox

Um das Dynamische Element Combo-/Listbox in einem Bild anzulegen:

  1. wählen Sie das Symbol Combo-/Listbox in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt
  3. ziehen Sie mit gedrückter linker Maustaste das Element auf
  4. ein Dialog öffnet sich, in dem Sie die gewünschte Variable mit dem Element verknüpfen. Variablen können auch per Drag&Drop mit dem Element verknüpft werden. Ziehen Sie eine Variable auf eine Combo-/Listbox, dann ersetzt sie die dort bereits vorhandene Variable.
    Folgende Variablentypen werden unterstützt:
    • binär
    • numerisch
    • string

info Info

Bei Stringvariablen kann im Text kein Semikolon (;) angezeigt werden, da das Semikolon als Trennzeichen verwendet wird.

Das Combo-/Listbox-Element unterstützt die gleichen zusätzlichen Funktionalitäten wie das Element Zahlenwert:

  • Schlossanzeige, Statusanzeige, Sichtbarkeit, dynamische Farben.
  • Dynamische Farben: Die Hintergrundfarbe wird nur für die vorhandenen Einträge übernommen; der nicht durch Einträge abgedeckte Bereich des Kontrollelements wird in der Standard-Farbe dargestellt.

Das Verknüpfen vom Makros auf Element-Events (z. B. LeftClickUp ...) wird nicht unterstützt.

attention Achtung

Unter Windows CE ist das Modifizieren von Farben und Schriftarten in der Combo-/ListBox nicht möglich.

Combo-/Listboxen können dynamisch oder statisch erstellt werden. Die Eigenschaft Einträge aus Stringvariable schaltet zwischen statischem und dynamischem Betrieb um. Beim statischen Betrieb werden im Editor fixe Einträge definiert. Im dynamischen Betrieb wird eine Inhaltsvariable verknüpft und deren Wert zur Runtime interpretiert.

Unterschied Combobox und Listbox

In der Combobox werden die Texte einzeln in einem Fenster aufgeklappt.

Hinweis zur Darstellung der Combobox im Editor: Die erste Zeile wird in der Hintergrundfarbe dargestellt, der Rest der Box transparent. Damit werden im Editor andere Elemente nicht überdeckt. Zur Runtime erfolgt die Darstellung wie gewohnt.

In der Listbox werden die Werte in einer Liste angezeigt, der aktuelle Wert wird markiert dargestellt. Gibt es mehr Zustände als in der Liste darstellbar sind, wird eine Bildlaufleiste angezeigt.

info Info

Hat die Variable einen Wert, der in den Einträgen der Combo-/Listbox nicht definiert wurde, so wird kein Text angezeigt oder markiert.

Statische Combobox oder Listbox

Für eine statische Box werden im Editor fixe Einträge konfiguriert. Diese werden zur Runtime dargestellt und angewendet.

Um Werte einzutragen:

  1. Öffnen Sie die Gruppe Darstellung.
  2. Wählen Sie mit der Eigenschaft Typ die Darstellungsart aus: Combobox oder Listbox.

    Defaultwert: Listbox

  3. Einträge können direkt eingetragen oder dynamisch erzeugt werden. Wechseln Sie dazu in die Gruppe Text.
  4. Um Einträge dynamisch zu erzeugen, aktivieren Sie die Eigenschaft Einträge aus Stringvariable.
  5. Um Einträge über den Dialog zu konfigurieren, klicken Sie bei der Eigenschaft Einträge auf die Schaltfläche ...

    Der Dialog zur Konfiguration der Einträge wird geöffnet.

  6. Tragen Sie Werte für Zustände ein.
  7. Verknüpfen Sie die Werte mit Texten für Zustände.

Dialog Einträge

Einträge

Parameter

Beschreibung

Einträge

Liste der bereits definierten Einträge.

Nr.

Fortlaufende Nummer, wird automatisch vergeben.

Wert

Wert, der unter Einträge/Wert vergeben wurde.

Wert absetzen

Ja: Wert absetzen ist aktiv.

Nein: Wert absetzen ist inaktiv.

Text

Zeichenfolge, die in Einträge/Text eingegeben wurde.

Funktion

Funktion, die im Feld Einträge/Funktion verknüpft wurde.

Parameter

Parameter, der für die Funktion zur Substitution vergeben wurde.

Variable

Verknüpfte Sichtbarkeitsvariable.

Neu

Erstellt einen neuen Eintrag mit:

  • fortlaufender Nummer
  • aktivem Wert absetzen

Löschen

Entfernt den ausgewählten Eintrag. Es kann jeweils nur ein Eintrag entfernt werden, Mehrfachauswahl ist nicht möglich.

Kopieren

Kopiert ausgewähltes Element und fügt es am Ende der Liste als neues Element ein. Die Einstellungen des kopierten Elements werden übernommen.

Nach oben/Nach unten

Verschiebt den gewählten Eintrag nach oben oder unten und passt die laufende Nummerierung an.

Eintragseinstellung

Parameter

Beschreibung

Eintragseinstellung

Konfiguration der Einträge in der Liste.

Text

Eingabe der Zeichenfolge, die mit dem Wert verknüpft wird.

Wert

Zahlenwert.

Welche Werte eingegeben werden können, hängt ab vom Datentyp der Variablen.

Wert absetzen

Aktiviert oder deaktiviert Sollwert setzen:

Aktiv: Der Wert wird als Sollwert abgesetzt.
Inaktiv: Der eingetragene Wert dient nur zur Indexierung der Auswahl.
Achtung: Wert absetzen wirkt sich nur auf den Wert aus, nicht auf die Funktion. Diese wird immer abgesetzt. Bei einem Funktionsaufruf ohne verknüpfter Variable muss Wert Absetzen inaktiv sein!

Funktion

Funktion, die beim Auswählen des Eintrages zur Runtime ausgeführt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Funktion.
Achtung: Die Funktion wird nur ausgeführt, wenn Sie den Eintrag über die Combobox/Listbox zur Runtime auswählen. Wird der auslösende Wert über eine Wertänderung der Variablen erreicht, wird die Funktion nicht ausgeführt. Bei einem Funktionsaufruf ohne verknüpfter Variable muss Wert Absetzen inaktiv sein!

Parameter für Substitution

Eingabe der Zeichenfolge für die Substituierung über Parameter. Ersetzt im Substituierungsdialog der Bildumschaltung für Indizes das Schlüsselwort {PARAM}.

Sichtbarkeitsvariable

Variable, deren Wertänderungen und damit Grenzwertverletzungen zur Runtime ausgewertet werden. Steht bei der Sichtbarkeitsvariable eine Grenzwertverletzung an, wird diese ausgewertet und bestimmt, ob der Eintrag in der Liste sichtbar ist oder nicht. Standardmäßig (es steht keine Grenzwertverletzung an) wird der Eintrag in der Liste dargestellt. Ein Klick auf die unter Sichtbarkeitsvariable befindliche Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Achtung: Eine Wertänderung im laufenden Betrieb kann dazu führen, dass bei der Ausprägung Combobox eine aufgeklappte Combobox zugeklappt wird.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Einträge sortieren

Die Einträge können sortiert werden über:

  • Schaltflächen Nach oben und Nach unten: Gewünschtes Element markieren und mit den Schaltflächen bewegen.
  • Drag&Drop: Element mit der Maus an gewünschte Stelle ziehen. Eine rote Linie zeigt die Stelle, an der das Element eingefügt wird, an.

Dynamische Combobox oder Listbox

Für den dynamischen Betrieb muss über die Eigenschaft Variable eine Stringvariable, die die Inhalte definiert, verknüpft werden. Zur Runtime werden eventuell parallel konfigurierte statische Einträge ignoriert. Der Wert der Inhaltsvariable wird ausgewertet und interpretiert. Dafür muss der Wert der Variable zur Runtime einem gültigen Layout entsprechen.

Layout

Der Stringwert stellt eine Liste von Einträgen dar. Jeder Eintrag besteht aus einem Wert und einem Text, die durch ein Komma „," getrennt werden. Einträge werden mit einem Semikolon „;" abgeschlossen. Enthält der Text-Teil eines Eintrags das Zeichen „@", wird der Textteil mit Hilfe der vorhandene Sprachtabelle übersetzt.

Beispiel eines gültigen Stringwerts:

1,eins;2,zwei;3,drei;

Beispiel eines gültigen Stringwerts mit Übersetzung:

1,@eins;2,@zwei;3,@drei;

Konfiguration

Um eine Variable zu verknüpfen:

  1. öffnen Sie die Gruppe Darstellung
  2. wählen Sie mit der Eigenschaft Typ die Darstellungsart aus: Combobox oder Listbox.

    Defaultwert: Listbox

  3. aktivieren Sie die Eigenschaft Einträge aus Stringvariable
  4. wählen Sie mit der Eigenschaft Variable die gewünschte Variable aus
    (Klick auf Schaltfläche ... öffnet Dialog für die Variablenauswahl)
  5. wählen Sie die Stringvariable mit den konfigurierten Einträgen

Element in Liste bei Auswahl hervorheben

Die in der Liste der Combobox oder Listbox angezeigten Elemente können zur Runtime farblich hervorgehoben werden. Dazu:

  • navigieren Sie in den Eigenschaften zur Gruppe Füllung
  • wählen Sie in der Gruppe Füllung die Eigenschaften
    • Textfarbe bei Auswahl für die Textfarbe
    • Hintergrundfarbe bei Auswahl für die Hintergrundfarbe des Textes

Damit werden zur Runtime diese Farben verwendet. Einstellungen des Betriebssystems werden ignoriert, wie auch die Farben der verknüpften Variablen.

info Info

Bis zur Version 6.50 wurden die Farben des Betriebssystems verwendet. Beim Konvertieren von Projekten wird:

  • die Hintergrundfarbe auf die im Betriebssystem konfigurierte Farbe gesetzt
  • wird die Textfarbe als statisch definierte Farbe festgelegt

Auf Rechnern, bei denen die Farben im Betriebssystem geändert wurde, kann es zu unterschiedlichem Verhalten zur Runtime kommen.

Fehlerbehandlung

Fehler werden als Log-Eintrag im Diagnosis Server angezeigt:

Meldung | Ebene | Bedeutung
The value '%s' of the content variable '%s' is not valid, entries might be incorrect or missing! | Fehler | Die in der Eigenschaft Variable verknüpfte Stringvariable hat einen Wert mit ungültigem Layout. Der Text wird so weit wie möglich ausgewertet. Der aktuelle Wert wird mitgeloggt, um die Fehleranalyse zur Runtime zu erleichtern.


Dynamischer Text

Handbuch > Bilder > Bildelemente > Dynamischer Text

Mit dem Dynamischen Element Dynamischer Text stellen Sie bei einer Grenzwertverletzung den aktuellen Grenzwerttext einer numerischen Variablen oder den Wert einer Stringvariablen in alphanumerischer Form dar. Liegt keine Grenzwertverletzung vor, wird der im Editor definierte Text angezeigt.

Um Dynamischen Text in einem Bild anzulegen:

  1. Wählen Sie das Symbol Dynamischer Text in der Symbolleiste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maus-Taste das Element auf.
  4. Der Dialog zur Auswahl einer Variablen öffnet sich.
  5. Wählen Sie die gewünschte Variable.
  6. Definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften.
    Vor allem:
    • Wählen Sie die Art für Anzeigetext.
      Wird hier Grenzwerttext gewählt, dann legen Sie in der Eigenschaft Text jenen Text fest, der angezeigt wird, solange keine Grenzwertverletzung vorliegt.

Die verknüpfte Variable und der in der Eigenschaft Anzeigetext gewählte Inhalt werden in der Vorschau des Elements im Hauptfenster angezeigt.

info Info

Wenn das Element zur Runtime verwendet wird, um ein statisches Win32 Kontrollelement zu ersetzen und es deaktiviert wird, werden Hintergrundfarbe und Textfarbe auf Grauwerte gesetzt.

Verdeckte Eingabe von Text

Wenn das Element zur Gestaltung von sensiblen Eingaben wie Passwörtern verwendet wird, kann die Eingabe maskiert werden. Dazu aktivieren Sie die Eigenschaft Verdeckte Eingabe. Falls gewünscht, können Sie über die Eigenschaft Buchstabe für Maskierung ein beliebiges Zeichen definieren, das zur Maskierung verwendet wird.

Zur Runtime wird Text mit dem definierten Zeichen ersetzt. Die Ersetzung erfolgt bereits während der Eingabe. Das Eingabefeld zeigt das Zeichen 8 Mal an, unabhängig von der tatsächlichen Länge des Textes. Wird die Eigenschaft Verdeckte Eingabe deaktiviert, dann wird der vom Benutzer eingegebene Text angezeigt.

Bei der Eingabe gilt:

  • Darf nicht leer sein.
    Wird das Eingabefeld gelöscht, dann wird das zuletzt verwendete, gültige Zeichen eingetragen.
  • Es kann nur ein Zeichen eingegeben werden.
  • Wird ein Leerzeichen eingegeben, wird zur Runtime das Feld leer angezeigt.

Default: *

Anzeigetext zur Runtime

Wert für Anzeigetext:

  • Betriebsmittelkennung: Der Inhalt der Variablen-Eigenschaft Betriebsmittelkennung wird angezeigt.
  • Grenzwerttext: Solange kein Grenzwert verletzt wurde, wird der Inhalt der Bild-Eigenschaft Text angezeigt. Bei einer Grenzwertverletzung wird der Inhalt der Variablen-Eigenschaft Grenzwerttext angezeigt. Für den Text wird die Farbe aus dem Grenzwert verwendet. Wurde für das Element eine dynamische Farbe konfiguriert, dann wird diese verwendet.
  • Maßeinheit: Der Inhalt der Variablen-Eigenschaft Maßeinheit wird angezeigt. Das Element wird upgedatet, sobald eine Funktion Einheitenumschaltung ausgeführt wird.
  • Variablenkennung: Der Inhalt der Variablen-Eigenschaft Kennung wird angezeigt.
  • Variablenname: Der Inhalt der Variablen-Eigenschaft Name wird angezeigt.
  • Variablenwert: Der Wert der Variablen wird angezeigt.

Sollwert setzen

Beim Sollwert Setzen über ein Element vom Typ Dynamischer Text kann über die Eigenschaft Absetzen bei Fokusverlust definiert werden, wie sich das Element zur Runtime verhält.

Eigenschaft:

  • Aktiv: Der Wert wird abgesetzt, sobald das Kontrollelement den Fokus verliert.
    Mit Betätigung der Esc-Taste wird die Eingabe abgebrochen und der Wert nicht abgesetzt.
  • Inaktiv: Der Wert wird nach Betätigung der Eingabe-Taste abgesetzt.
    Mit Betätigung der Esc-Taste wird die Eingabe abgebrochen und der Wert nicht abgesetzt.

Der Defaultwert hängt davon ab, ob das Element aus der Symbolleiste in das Bild eingefügt wurde oder ob es als editierbarer Dynamischer Text aus dem Menü Kontrollelemente eingefügt wurde:

  • Als Element im Bild: inaktiv
  • Aus Menü Kontrollelemente: aktiv

Sprachdatei

Alle angezeigten Inhalte der Anzeigetextarten werden sprachübersetzt, wenn die Sprachdatei entsprechende Einträge enthält.
Ausnahme: Variablenname wird nicht übersetzt.

Umgang mit Projekten vor 7.20

Mit Version 7.20 wurden die Checkbox Text aus Variable durch die neue Dropdown-Auswahl Anzeigetext ersetzt und deren mögliche Einstellungen erweitert. Für diese Änderung wurde eine Konvertierung der ursprünglichen Einträge implementiert: Der Wert Variablenwert wurde ursprünglich nur für STRING Variablen verwendet. Ab Version 7.20 wird dieser Wert abhängig vom Typ der Variablen konvertiert. INTEGER Variablen werden zu Grenzwerttext, STRING Variablen zu Variablenwert. Diese Konvertierung wird im Editor und in der Runtime beim Laden des Bildelements durchgeführt.

Werden Runtime-Dateien aus einem Projekt vor 7.20 direkt in ein Projekt der Version 7.20 übernommen, kann das zu folgendem Verhalten führen: Variablen vom Typ INTEGER werden mit Variablen vom Typ STRING vertauscht und umgekehrt.

Lösung: Erstellen Sie die Runtime-Dateien in der Version 7.20 neu.


Ellipse und Kreis

Handbuch > Bilder > Bildelemente > Ellipse und Kreis

Um eine Ellipse zu zeichnen:

  1. Wählen Sie das Symbol Ellipse/Kreis in der Symbolleiste oder im Menü Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste die Ellipse auf.
  4. Um Form, Größe oder Position zu ändern, ziehen Sie an den Eckpunkten oder bewegen Sie das Element.
  5. Definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster.

Hinweise:

  • Ellipse anpassen:
    Um Änderungen beim Ziehen symmetrisch auszuführen, halten Sie die Alt-Taste gedrückt.
  • Kreis zeichnen:
    Um einen Kreis zu zeichnen: Halten Sie beim Zeichnen die Umschalt-Taste gedrückt.
  • Kreis anpassen:
    Um die Kreisform beim Ziehen zu erhalten, halten Sie die Umschalt-Taste gedrückt.


Kreisbogen

Handbuch > Bilder > Bildelemente > Kreisbogen

Um einen Kreisbogen zu zeichnen:

  • Wählen Sie das Symbol Kreisbogen in der Symbolleiste Elemente.
  • Wählen Sie im Hauptfenster den Startpunkt.
  • Ziehen Sie mit gedrückter linker Maustaste den Kreisbogen.
  • Aufziehen nach rechts oben öffnet den Kreisbogen nach links oben, analog funktionieren alle Richtungen.
  • Um die Öffnungsrichtung zu ändern, bewegen Sie einen mittleren Anfasspunkt über die gegenüberliegende Linie.
  • Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements.
  • Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.
  • Halten Sie beim Ziehen Umschalt-Taste gedrückt, so werden die Seitenverhältnisse beibehalten.
  • Definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster.

info Info

Der Kreisbogen wird immer als Viertelkreis dargestellt und kann durch Kopieren und Einfügen erweitert werden.
Füllmuster und Füllfarbe stehen für Kreisbögen nicht zur Verfügung.


Kreissegment

Handbuch > Bilder > Bildelemente > Kreissegment

attention Achtung

Mit dem Kreissegment zeichnen Sie einen beliebigen Teil eines Kreises oder einer Ellipse.

Um ein Kreissegment zu zeichnen:

  1. Wählen Sie das Symbol Kreissegment in der Symbolleiste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste das Kreissegment auf.
  4. Aufziehen nach rechts oben öffnet das Kreissegment nach links und umgekehrt.
  5. Um die Öffnungsrichtung zu ändern, bewegen Sie einen mittleren Anfasspunkt über die gegenüberliegende Linie.
  6. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements.
  7. Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.
  8. Halten Sie beim Ziehen die Umschalt-Taste gedrückt, so werden die Seitenverhältnisse beibehalten.
  9. Um den Öffnungswinkel zu ändern oder das Kreissegment nach oben oder unten zu öffnen, haben Sie zwei Möglichkeiten:
    • Bewegen Sie die Maus über einen der beiden geteilten Anfasspunkte bis sich der Mauszeiger über dem äußeren der beiden Punkte in ein Schwarzes Kreuz mit Pfeilen verwandelt und bewegen Sie den Punkt in die gewünschte Richtung
      oder
    • Ändern Sie in den Eigenschaften unter Öffnungswinkel die Winkelangaben. Zum Beispiel:
      - für Öffnung nach unten: Endwinkel [°] 180° und Startwinkel [°] auf 0°
      - für Öffnung nach oben: umgekehrt
      Winkelangaben können maximal 2 Kommastellen haben.
      Hinweis: Da die aus Winkelangaben berechneten Eckpunkte Pixel sind, und diese ganzzahlig sein müssen, kann es vorkommen, dass die Winkeldarstellung von der Angabe etwas abweicht. Zum Beispiel ergibt die Angabe 45° keinen ganzzahligen Pixel. zenon intern wird abgerundet und der Winkel wird als 44,75° angezeigt.
  10. Definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster.

Legende:

  1. Anfasspunkt für Öffnungswinkel
  2. Anfasspunkt für Höhe

info Info

Möchten Sie das Kreissegment als Kreisbogen mit freiem Öffnungswinkel verwenden, ändern Sie dazu die Eigenschaft Füllmuster auf den Wert transparent. Mit der Darstellungsart transparent wird nur die äußere Linie dargestellt.
Der Öffnungswinkel muss immer > 0° und < 360° sein.

Achtung

Das Element Kreissegment steht unter Windows CE nicht zur Verfügung.

Segmentdicke

In den Eigenschaften kann die Segmentdicke eines Kreissegments unter Darstellung in der Gruppe Segmentdicke definiert werden. Ist die Eigenschaft Segmentdicke einstellbar aktiviert, dann wird vom Startwinkel und/oder vom Endwinkel der Ellipsenaußenkante ausgehend nur die jeweils eingestellte Dicke dargestellt. Damit können schlauchähnliche Formen mit unterschiedlicher Startdicke und Enddicke in Kurvenform dargestellt werden.

Es werden sowohl kreisförmige als auch elliptische Kreissegmente unterstützt. Um gleich dicke Formen darzustellen, steht die Eigenschaft Enddicke entspricht Startdicke zur Verfügung.

Wird als Segementdicke für Dicke Startwinkel [Pixel]und Dicke Endwinkel [Pixel] 0 festgelegt, dann wird ein Kreisbogen dargestellt.

Hinweis Verfügbarkeit: Nicht verfügbar bei Grafikqualität Windows Basis, bei Windows CE Projekt aktiv oder bei Farbverlauf Über Helligkeitswerte.


Linie

Handbuch > Bilder > Bildelemente > Linie

Um eine Linie zu zeichnen:

  1. wählen Sie das Symbol Linie in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt
  3. ziehen Sie mit gedrückter linker Maus-Taste die Linie auf
  4. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements möglich
  5. halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt
  6. definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster

info Info

Füllmuster und Füllfarbe stehen für Linien nicht zur Verfügung.


Polygon

Handbuch > Bilder > Bildelemente > Polygon

Um ein Polygon zu zeichnen:

  1. wählen Sie das Symbol Polygon in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt mit einem Klick der linken Maustaste
  3. ziehen Sie die erste Teilstrecke
  4. setzen Sie mit einem einfachen Mausklick (links) einen ersten Eckpunkt
  5. ziehen sie weitere Linien und setzen Sie Eckpunkte
  6. ein Doppelklick oder das Drücken der Esc-Taste setzen den Endpunkt
  7. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements
  8. halten Sie beim Ziehen die Umschalt-Taste gedrückt, so sind ausgehend von der ursprünglichen Position nur horizontale oder vertikale Bewegungen möglich
  9. definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster

    Tipp: Mit der Eigenschaft Rundung definieren Sie Rundung der Linien. Wählen Sie dazu einen Wert zwischen 0 (keine Rundung) und 1 (maximale Rundung).

Punkte hinzufügen

Um Eckpunkte (Stützpunkte) hinzuzufügen:

  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Hinzufügen eines Knotens im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Plus.
  • Ein Mausklick fügt einen Eckpunkt hinzu.

Punkte löschen

Um Eckpunkte (Stützpunkte) zu löschen:

  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Löschen des Knoten im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Minus.
  • Ein Mausklick entfernt den Punkt.

Punkte verschieben

Um Eckpunkte (Stützpunkte) zu verschieben:

  • Bewegen Sie den Mauszeiger über den gewünschten Punkt des Polyobjekts.
  • Platzieren Sie den Punkt über die Pfeil-Tasten an der gewünschten Stelle.

Hinweise:

  • Ein Druck auf eine Pfeil-Taste bewegt den Punkt um 1 Pixel. Wird gleichzeitig die Umschalt-Taste gedrückt, bewegt ein Tastendruck den Punkt um 10 Pixel.
  • Die Optionen Raster verwenden sowie Abstand horizontal und Abstand vertikal in den Einstellungen des Editors werden ignoriert.

info Info

Die Eigenschaft Über Helligkeitswerte steht für Polygone nicht zur Verfügung.


Polylinie

Handbuch > Bilder > Bildelemente > Polylinie

Um eine Polylinie zu zeichnen:

  1. wählen Sie das Symbol Polylinie in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt mit einem Klick der linken Maustaste
  3. ziehen Sie die erste Teilstrecke
  4. setzen Sie mit einem einfachen Mausklick (links) einen ersten Eckpunkt
  5. ziehen sie weitere Linien und setzen Sie Eckpunkte
  6. ein Doppelklick oder das Drücken der Esc-Taste setzen den Endpunkt
  7. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements
  8. halten Sie beim Ziehen die Umschalt-Taste gedrückt, so sind ausgehend von der ursprünglichen Position nur horizontale oder vertikale Bewegungen möglich
  9. definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster

    Tipp: Mit der Eigenschaft Rundung definieren Sie Rundung der Linien. Wählen Sie dazu einen Wert zwischen 0 (keine Rundung) und 1.

Punkte hinzufügen

Um Eckpunkte (Stützpunkte) hinzuzufügen:

  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Hinzufügen eines Knotens im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Plus.
  • Ein Mausklick fügt einen Eckpunkt hinzu.

Punkte löschen

Um Eckpunkte (Stützpunkte) zu löschen:

  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Löschen des Knoten im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Minus.
  • Ein Mausklick entfernt den Punkt.

Punkte verschieben

Um Eckpunkte (Stützpunkte) zu verschieben:

  • Bewegen Sie den Mauszeiger über den gewünschten Punkt des Polyobjekts.
  • Platzieren Sie den Punkt über die Pfeil-Tasten an der gewünschten Stelle.

Hinweise:

  • Ein Druck auf eine Pfeil-Taste bewegt den Punkt um 1 Pixel. Wird gleichzeitig die Umschalt-Taste gedrückt, bewegt ein Tastendruck den Punkt um 10 Pixel.
  • Die Optionen Raster verwenden sowie Abstand horizontal und Abstand vertikal in den Einstellungen des Editors werden ignoriert.


Rechteck und Quadrat

Handbuch > Bilder > Bildelemente > Rechteck und Quadrat

Um ein Rechteck zu zeichnen:

  1. Wählen Sie das Symbol Rechteck/Quadrat in der Symbolleiste oder im Menü Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maus-Taste das Rechteck auf.
  4. Um Form, Größe oder Position zu ändern, ziehen Sie an den Eckpunkten oder bewegen Sie das Element.
  5. Definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster.

    Tipp: Sie können die Ecken beliebig runden um ein abgerundetes Rechteck zu erzeugen

Hinweise:

  • Rechteck anpassen:
    Um Änderungen beim Ziehen symmetrisch auszuführen, halten Sie die Alt-Taste gedrückt.
  • Quadrat zeichnen:
    Um ein Quadrat zu zeichnen: Halten Sie beim Zeichnen die Umschalt-Taste gedrückt.
  • Quadrat anpassen:
    Um die Quadratform beim Ziehen zu erhalten, halten Sie die Umschalt-Taste gedrückt.


Rohrleitung

Handbuch > Bilder > Bildelemente > Rohrleitung

Um eine Rohrleitung zu zeichnen:

  1. Wählen Sie das Symbol Rohrleitung in der Symbolleiste Elemente
  2. Wählen Sie im Hauptfenster den Startpunkt mit einem Klick der linken Maustaste
  3. Ziehen Sie die erste Teilstrecke
  4. Setzen Sie mit einem einfachen Mausklick (links) einen ersten Eckpunkt
  5. Ziehen sie weitere Linien und setzen Sie Eckpunkte
  6. Setzen Sie den Endpunkt mit einem Doppelklick oder durck Drücken der Esc-Taste
  7. Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements
  8. Halten Sie beim Ziehen die Umschalt-Taste gedrückt, so sind ausgehend von der ursprünglichen Position nur horizontale oder vertikale Bewegungen möglich
  9. Definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster

    Tipp: Mit der Eigenschaft Rundung definieren Sie Rundung der Linien. Wählen Sie dazu einen Wert zwischen 0 (keine Rundung) und 1 (maximale Rundung).

Punkte hinzufügen

Um Eckpunkte (Stützpunkte) hinzuzufügen:

  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Hinzufügen eines Knotens im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Plus.
  • Ein Mausklick fügt einen Eckpunkt hinzu.

Punkte löschen

Um Eckpunkte (Stützpunkte) zu löschen:

  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Löschen des Knoten im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Minus.
  • Ein Mausklick entfernt den Punkt.

Punkte verschieben

Um Eckpunkte (Stützpunkte) zu verschieben:

  • Bewegen Sie den Mauszeiger über den gewünschten Punkt des Polyobjekts.
  • Platzieren Sie den Punkt über die Pfeil-Tasten an der gewünschten Stelle.

Hinweise:

  • Ein Druck auf eine Pfeil-Taste bewegt den Punkt um 1 Pixel. Wird gleichzeitig die Umschalt-Taste gedrückt, bewegt ein Tastendruck den Punkt um 10 Pixel.
  • Die Optionen Raster verwenden sowie Abstand horizontal und Abstand vertikal in den Einstellungen des Editors werden ignoriert.


Schalter

Handbuch > Bilder > Bildelemente > Schalter

Mit dem Dynamischen Element Schalter zeigen Sie die Werte einer Binärvariablen über Grafiken an und modifizieren sie. Das Element kann auch als Taster zur einstufigen ungesicherten Befehlsgabe verwendet werden.

Um einen Schalter in einem Bild anzulegen:

  1. Wählen Sie das Symbol Schalter in der Symbolleiste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste das Element auf.

    Der Dialog zur Auswahl einer binären Variablen öffnet sich.

  4. Wählen Sie die gewünschte Variable.
  5. Definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften.

Hinweise:

  • Um das Element als Taster zu verwenden, aktivieren Sie im Knoten Sollwert setzen die Eigenschaft Taster.
  • Das Element kann auch in Bildern als Kontrollelment für Checkboxen verwendet werden.

Dateiformate für die Darstellung des Schalters

Zur Runtime stehen für die Darstellung des Schalters unterschiedliche Dateiformate zur Verfügung.

Die Verwendung der Dateiformate ist abhängig von den Projekteinstellungen in der Eigenschaft Grafikqualität:

  • Windows Basis:
    Bilder folgender Dateiformate können verwendet werden:
    • BMP
    • JPG
    • PNG
    • in zenon vordefinierte Bitmaps
  • DirectX Software oder DirectX Hardware:
    Alle von Windows Basis unterstützten Dateiformate plus TIF, animiertes GIF und WMF können verwendet werden.

Verwendung als Kontrollelement

Das Element wird auch in Kontrollelementen von Bildern zur Darstellung von Checkboxen verwendet. Wird das Element in einem Bild als Kontrollelement verwendet, steht es zur Runtime nur zur Verfügung, wenn es aktiviert ist und die nötigen Benutzerrechte zur Verfügung stehen. Anderenfalls wird es deaktiviert und ausgegraut dargestellt.


Statischer Text

Handbuch > Bilder > Bildelemente > Statischer Text

Um Statischen Text einzutragen:

  1. Wählen Sie das Symbol Statischer Text in der Symbolleiste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maus-Taste das Textfeld auf.

    Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements.

    Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.

  4. Definieren Sie die gewünschten Eigenschaften im Eigenschaftenfenster.

Text eingeben und formatieren

Um Text einzugeben:

  1. Klicken Sie mit einem verzögerten Doppelklick auf das Textfeld.

    Oder: wählen Sie im Kontextmenü Text bearbeiten:
    Oder: Schreiben Sie den Text in die Eigenschaft Text.

  2. Schreiben Sie den gewünschten Text.

info Info

Der Umbruch des Textes erfolgt standardmäßig automatisch, abhängig von der Größe des Textfeldes. Um den Umbruch abzuschalten, deaktivieren Sie im Knoten Text die Eigenschaft Automatischer Zeilenumbruch.

Unterstreichen

Um Text zu unterstreichen, stellen sie dem zu unterstreichenden Zeichen ein & vor.

T&ext wird zu:

Möchten Sie das Zeichen '&' im Text benutzen, geben Sie es doppelt ein:
1 && 2 wird zu 1 & 2.

Zeilenumbruch

Um einen Zeilenumbruch festzulegen, benutzen Sie die Zeichenfolge \n.

Beispiel:

Zeile 1 \n

Zeile 2


Trend-Element

Handbuch > Bilder > Bildelemente > Trend-Element

Mit dem dynamischen Element Trend-Element stellen Sie Werte zur Runtime in Form von Trendkurven dar, wobei mehrere Prozessvariablen gleichzeitig dargestellt werden können.

Damit das Trend-Element Werte darstellen kann, muss die Eigenschaft Harddisk Datenspeicherung aktiv im Knoten Harddisk Datenspeicherung der Eigenschaften der Variablen aktiv sein. Zykluszeit [s] und Anzahl Werte müssen mit der Aktualisierungszeit und dem Darstellungszeitraum im Trend-Element übereinstimmen, sonst wird bei jedem Aufschalten des Bildes das Zeichnen der Kurven neu begonnen. Jede Änderung kann Auswirkung auf andere Trend-Elemente haben, die die gleiche Prozessvariable verwenden.

Erstellen eines Trend-Elements:

Um ein Trend-Element in einem Bild anzulegen:

  1. Wählen Sie das Symbol Trend-Element in der Symbolleiste Elemente oder in der Dropdownliste Dynamische Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste das Element auf.

    Der Dialog zur Auswahl mehrerer numerischer Variablen öffnet sich.

  4. Wählen Sie die gewünschten Variablen.

    Sämtliche Kurven werden im Trend-Element automatisch angelegt.

    Um später neue Kurven hinzuzufügen:

    • wählen Sie in den Eigenschaften im Knoten Kurven die Eigenschaft {Kurve neu}

      oder:

    • ziehen Sie die gewünschte Variable mit gedrückter linker Maustaste auf das Trend-Element
  5. Definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften:
    • Grafische Eigenschaften der Kurven zur Runtime definieren Sie im Knoten Kurven der Eigenschaften
    • Zykluszeit und Anzahl der Werte bestimmen Sie bei den Eigenschaften der jeweiligen Variablen im Knoten Harddisk Datenspeicherung

info Info

Funktionen und Variablen können auch per Drag&Drop mit dem Element verknüpft werden. Wurden keine Kurven im Editor definiert, wird das Trend-Element in der Runtime nicht dargestellt.


Uhr

Handbuch > Bilder > Bildelemente > Uhr

Mit dem Dynamischen Element Uhr zeigen Sie zur Runtime die aktuelle Uhrzeit an oder rechnen Sie numerische Werte in eine Uhrzeit um. Das Datum und/oder die Zeit kann als absoluter Zeitraum oder als Zeitunterschied dargestellt werden.

Anzeige

Die Anzeige zur Runtime hängt davon ab, ob eine Variable verknüpft wurde.

  • Ist keine Variable mit dem Element verknüpft, wird zur Runtime die aktuelle Systemzeit als absoluter Zeitraum angezeigt.
    Dazu setzen Sie in der Gruppe Darstellung die Eigenschaft Anzeigetyp auf den Wert Systemzeit/absoluter Zeitraum.
  • Ist eine Variable verknüpft, kann deren Wert angezeigt werden als:
    • Zeitdifferenz: die Variable muss die Anzahl von Sekunden enthalten.
      Es können die Integer-Werte im Sekundenraum -2147483648 (min(DINT)) bis + 4294967295 (max(UDINT)) angezeigt werden.
      Es ist also auch möglich, negative Werte darzustellen: Ein Variablenwert von -60 wird im Format mm:ss als -01:00 angezeigt. Umgekehrt wird aus der Anzeige -01:40 der Variablenwert -100.
    • absoluter Zeitraum: die Unixzeit, also die seit dem 1. Januar 1970 00:00 h UTC vergangenen Sekunden in positiven Bereich.

      Es können nur positive Werte bis 2147483647 dargestellt werden. Ein Variablenwert außerhalb dieses Bereichs führt zu einer falschen Anzeige: Der Teil hh:mm bleibt 00:00 oder 01:00 in Winterzeit.

Projektierung

Um eine Uhr in einem Bild anzulegen:

  1. wählen Sie das Symbol Uhr in der Symbolleiste Elemente oder in der Dropdownliste Dynamische Elemente
  2. wählen Sie im Hauptfenster den Startpunkt
  3. ziehen Sie mit gedrückter linker Maustaste das Element auf
  4. soll eine Variable verknüpft werden, dann:
    verknüpfen Sie gewünschte Variable im Abschnitt Variable/Funktion oder per Drag&Drop mit dem Element
    • Alle Variablen sind verknüpfbar, ausgenommen STRING und BOOL.
    • Die Nachkommastellen von FLOAT Variablen (z. B. von Datentypen REAL und DATE_AND_TIME) werden nicht berücksichtigt.
  5. definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften, vor allem:
  6. wählen Sie in der Gruppe Darstellung als Wert der Eigenschaft Anzeigetyp
    • Systemzeit/absoluter Zeitraum: Die Zeit wird als absolute Uhrzeit dargestellt.
      Hinweis: Kontextmenü und Tooltip werden nicht unterstützt.
    • Zeitdifferenz: Die Zeitdifferenz wird in Minuten und Sekunden ausgegeben. Die verknüpfte Variable muss die Anzahl von Sekunden enthalten.
      Es können die Integer-Werte im Sekundenraum -2147483648 (min(DINT)) bis + 4294967295 (max(UDINT)) angezeigt werden. Es ist also auch möglich, negative Werte darzustellen.
      Beispiele im Format mm:ss: Der Variablenwert 50 wird als 00:50 dargestellt, der Variablenwert 100 als 01:40.
      Der Variablenwert -60 wird als -01:00 angezeigt. Umgekehrt wird aus der Anzeige -01:40 der Variablenwert -100.
  7. wählen Sie über die Eigenschaft Formatierung die gewünschte Darstellung

info Info

Beim Anzeigetyp absoluter Zeitraum mit Sollwert setzen über Element hat die Eingabemaske die Formatierung vom Typ Zeitdifferenz.

Zum Beispiel:

  • absoluter Zeitraum Formatierung: hh:mm:ss dd.mm.yy
    wird im Element dargestellt als: dd:hh:mm:ss
  • dd.mm.yyyy (z. B. 17.12.2008)
    als ddddd (14230 Tagen seit 1. 1. 1970).


Universalregler

Handbuch > Bilder > Bildelemente > Universalregler

Mit dem Dynamischen Element Universalregler zeigen Sie Variablenwerte in Form von Schiebereglern, Bargrafen, LED Balkenanzeigen und beliebigen anderen Reglern an. Der Regler erlaubt zur Runtime eine direkte Sollwerteingabe.

Um den Universalregler in einem Bild anzulegen:

  1. Wählen Sie das Symbol Universalregler in der Symbolleiste Elemente oder in der Dropdownliste Dynamische Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste das Element auf.

    Der Dialog zur Auswahl einer Variablen öffnet sich.

  4. Wählen Sie die gewünschte Variable.

    Der Assistent zur Konfiguration des Universalreglers öffnet sich.

  5. Wählen Sie die Ausrichtung:
    horizontal, vertikal oder rund.

  6. Wählen Sie die Form:
    Schieb/Drehregler, Balken, LED Balken oder Bewegte Skala.

  7. Sie erhalten eine Voransicht:
    Definieren Sie Titelanzeige und Position der Wertanzeige.

  8. Weitere Eigenschaften definieren Sie im Eigenschaften-Fenster.

    Tipp: Die Darstellung und Form des Universalreglers verändern Sie in den Eigenschaften im Knoten Universalregler

info Info

Hinweise:

  • Ein Schleppzeiger kann den Minimal- oder Maximalwert der Variablen in einer bestimmten Zeitdauer darstellen. Ein Doppelklick auf das Element zur Runtime setzt den Schleppzeiger zurück.
  • Stil Bewegte Skala: Werte können zur Runtime nur über einen Dialog geändert werden. Wertänderung über den Regler direkt ist nicht möglich.

Farbliche Darstellung der Grenzwertverletzung

Bei Grenzwertverletzungen kann die Farbe aus der Variablen den gesamten Bereich einfärben oder nur den Bereich ab der Grenzwertverletzung. Gesteuert wird diese Funktionalität über die Eigenschaft Balken explizit in der Gruppe Universalregler.

Diese Eigenschaft wirkt sich nur auf die Darstellung von Werten mit definierten Grenzwerten aus Variablen aus.
Grenzwerte aus Reaktionsmatrizen werden nicht ausgewertet.

  • Aktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird nur der Teil der Darstellung, der in die Grenzwertverletzung hinein reicht, in der Farbe des jeweiligen Grenzwertes dargestellt.
    Hat die Variable mehrere definierte Grenzwerte, so werden die entsprechenden Bereiche der Darstellung jeweils in der Farbe des Grenzwertes dargestellt.
  • Inaktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird die gesamte Darstellung in der Farbe des verletzten Grenzwertes dargestellt.

Default: inaktiv


WPF

Handbuch > Bilder > Bildelemente > WPF

Mit dem Dynamischen Element WPF können gültige WPF/XAML-Dateien in zenon eingebunden und dargestellt werden.

info Info

Weitere Informationen zum Dynamischen Element WPF finden Sie im Handbuch zenon WPF.


Zahlenwert

Handbuch > Bilder > Bildelemente > Zahlenwert

Mit dem Dynamischen Element Zahlenwert stellen Sie numerische Werte dar.

Um ein Element vom Typ Zahlenwert in einem Bild anzulegen:

  1. wählen Sie das Symbol Zahlenwert in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt
  3. ziehen Sie mit gedrückter linker Maustaste das Element auf
  4. der Dialog zur Auswahl einer numerischen Variablen öffnet sich
  5. wählen Sie die gewünschte Variable
  6. definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften

info Info

Während der Runtime gilt: Ein Dezimalwert kann sowohl als Komma als auch als Punkt eingegeben werden. Die Darstellung erfolgt immer als Punkt.


Zeigerinstrument

Handbuch > Bilder > Bildelemente > Zeigerinstrument

Mit dem Dynamischen Element Zeigerinstrument stellen Sie Zeigerinstrumente dar.

Hinweis: Die Anzeigemöglichkeit als Bargraf bei konfiguriertem Öffnungswinkel 0 steht seit Version 7.60 nicht mehr zur Verfügung. Nutzen Sie stattdessen das Element Bargraf oder den Universalregler.

Um ein Zeigerinstrument in einem Bild anzulegen:

  1. Wählen Sie das Symbol Zeigerinstrument in der Symbolleiste Elemente oder in der Dropdownliste Dynamische Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie das Element mit gedrückter linker Maustaste auf.

    Der Dialog zur Auswahl einer numerischen Variable wird geöffnet.

  4. Wählen Sie die gewünschte Variable definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften.

Farbliche Darstellung der Grenzwertverletzung

Bei Grenzwertverletzungen kann die Farbe aus der Variable den Bereich ab der Grenzwertverletzung oder den gesamten Bereich einfärben. Gesteuert wird diese Funktionalität über die Eigenschaft Explizit in der Gruppe Darstellung.

Diese Eigenschaft wirkt sich nur auf die Darstellung von Werten mit definierten Grenzwerten aus Variablen aus.
Grenzwerte aus Reaktionsmatrizen werden nicht ausgewertet.

  • Aktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird nur der Teil der Darstellung, der in die Grenzwertverletzung hinein reicht, in der Farbe des jeweiligen Grenzwertes dargestellt.
    Hat die Variable mehrere definierte Grenzwerte, so werden die entsprechenden Bereiche der Darstellung jeweils in der Farbe des Grenzwertes dargestellt.
  • Inaktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird die gesamte Darstellung in der Farbe des verletzten Grenzwertes dargestellt.

Default: inaktiv


Elemente früherer Versionen

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen

Folgende Elemente stehen für die aktuelle zenon Version nicht mehr zur Verfügung:

Element | Verfügbar bis inklusive Version
Bitmap Button | 6.22
Meldungungselement | 7.20
Multibin | 7.20
Symbol bewegen | 6.22
Unsichtbarer Button | 6.22
Zustandselement | 7.20

Für nicht mehr unterstützte Elemente gilt:

  • Nach der Konvertierung in ein aktuelles Projekt, das ein Element nicht mehr unterstützt:
    • Vorhandene Elemente werden im Editor und in der Runtime angezeigt.
    • Vorhandene Elemente können im Editor konfiguriert werden.
    • Elemente können im Editor nicht neu erstellt werden.
  • Beim Kompilieren der Runtime-Dateien für eine Version, die diese Elemente unterstützt:
    • Die Elemente können angezeigt, konfiguriert und neu erstellt werden. Sie finden diese Elemente dann in der Dropdownliste Elemente ganz unten.

Noch in diesem Kapitel

Bitmap Button (nur bis Version 6.22)

Meldungungselement (nur bis Version 7.20)

Multibin (nur bis Version 7.20)

Symbol bewegen

Unsichtbarer Button (nur bis Version 6.22)

Zustandselement (nur bis Version 7.20)


Bitmap Button (nur bis Version 6.22)

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Bitmap Button (nur bis Version 6.22)

Verknüpft eine Grafikdatei (Pixelgrafik: *.bmp, *.jpg, *.gif, oder *.png oder Vektorgrafik: *.wmf) mit einem Button.

Wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner 6.50 eingestellt wurde, kann das Element Button nur Texte in der Runtime anzeigen. Grafiken müssen in diesem Fall über den Bitmap Button projektiert werden.

Buttons projektieren für unterschiedliche Runtimeversionen:

Button für | Runtime-Dateien erzeugen für < 6.50 | ab 6.50
Text | Button | Button
Grafik | Bitmap Button | Button
unsichtbar | Unsichtbarer Button | Button

Um einen Bitmap Button zu aktivieren:

  • Wählen Sie das Symbol Bitmap Button in der Symbolleiste Elemente.
  • Wählen Sie im Hauptfenster den Startpunkt.
  • Ziehen Sie mit gedrückter linker Maus-Taste das Element auf.
  • Ein Dialog öffnet sich, in dem Sie die gewünschte Funktion mit dem Element verknüpfen.
  • Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements.
  • Halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt.
  • Einzelne Eigenschaften des Elements definieren Sie im Eigenschaftenfenster. Dazu muss das Element im Hauptfenster aktiv sein (Mausklick).

Zur Auswahl von Funktionen wird ein gefilterter Dialog geöffnet:

Element

Beschreibung

Projektbaum

Definition des Projekts, aus dem die Funktion gewählt werden soll.

Auswahlfenster

Auswahl der Funktion.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bereits verknüpfte Funktionen werden gelöscht

Tipp: Dieser Dialog ist in der Größe anpassbar. Die Dialoggröße und -position wird gespeichert.

Verknüpfte Funktion ändern

  1. manuell
    • öffnen Sie in der Detailansicht des Projektmanagers die Funktionen
    • ziehen Sie die gewünschte Funktion mit gedrückter linker Maustaste auf das Element
    • die bisherige Funktion wird durch die neue ersetzt
  2. automatisch
    • wählen Sie im Kontextmenü des Elements Verknüpfungen ersetzen. Details zur Vorgangsweise finden Sie im Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.

Im Dynamischen Element Button können Grafikdateien vom Typ GIF animiert werden:

  1. Weisen Sie dem Button im Knoten Füllung über die Eigenschaft Grafikdatei eine GIF-Datei zu.
  2. Aktivieren Sie im gleichen Knoten eine Aktivierungsmöglichkeit für GIF-Animation.

    Sie können die Animation kontinuierlich oder abhängig von einer Bool Variable ausführen:

    1. Um die Animation kontinuierlich auszuführen: Aktivieren Sie die Eigenschaft GIF-Animation immer.
  3. Um die Animation abhängig von einer Variable auszuführen: Verknüpfen Sie die Eigenschaft Variable mit einer Bool Variable. Sobald diese Variable den Wert 1 erhält, wird die Animation ausgeführt.


Meldungungselement (nur bis Version 7.20)

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Meldungungselement (nur bis Version 7.20)

Mit dem Meldungselement zeigen Sie zur Runtime Texte in Abhängigkeit vom Wert der Prozessvariablen an. Quelle für die Texte sind Textdateien, die als Tabelle aufgebaut sind. Diese können Sie projektieren. attention Achtung

Ab Version 7.50 wird dieses Element nicht mehr unterstützt.

Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 7.50 eingestellt wurde.

Um das Meldungselement in einem Bild anzulegen:

  1. Wählen Sie das Symbol Meldungselement in der Symbolleiste Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste das Element auf.
  4. Der Dialog zur Auswahl mehrerer Variablen öffnet sich.
  5. Wählen Sie die gewünschten Variablen.
  6. Definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften.

Aufbau der Tabelle

  • Erstellen Sie ein Text-Dokument.
  • Speichern Sie es im Format Unicode.
  • Als Spaltentrennzeichen benutzen Sie das Zeichen |(ASCII-Code 124).
  • Beispiel:

    Aus|Ein|Diff|Stör

    Off|On|True|False

    Text1|Text2|Text3|Text4

  • Die verknüpften Variablen definieren Zeile und Spalte des anzuzeigenden Textes.

Variable Spaltenauswahl

Diese Variable muss eine Wortvariable (UINT) sein und definiert die Spalte, aus der der Text genommen wird. Gleichzeitig steuert sie die Art der Verarbeitung.

Bit gesetzt | Wirkung
Bit 15 (Bit mit höchstem Wert) | Meldeelement gesperrt; es wird nichts mehr angezeigt.
Bit 14 | Aktualisierung der Bildschirmausgabe abgeschaltet; letzter aktive Text wird angezeigt.

Variablen für Zeilenaktivierung

Die Adressierung der Zeilen erfolgt über die Bit-Nummer und nicht über den Numerischen Wert.

Die weiteren Variablen definieren die Zeilenpositionen, aus der die Texte genommen werden. Die Zeilenpositionen ergeben sich aus:

Wert | Zeile
1 | Zeile 1
2 | Zeile 2
4 | Zeile 3

Jede Zeilenvariable ist für maximal 16 Zeilen zuständig. Wenn mehr als 16 Zeilen benötigt werden, können weitere Zeilenvariablen definiert werden.

Soll Zeile 1 und Zeile 2 wechselnd angezeigt werden, muss der Wert der Zeilenvariablen 3 sein. Sind alle 16 Bit der ersten Variablen gesetzt, so werden die Zeilen 1 bis 16 abwechselnd angezeigt. Sind alle 16 Bit der zweiten Variablen gesetzt. so werden die Zeilen 17 bis 32 abwechselnd angezeigt.

  • Beispiel:

Ist das erste Bit der ersten Variablen und das erste Bit der zweiten Variablen gesetzt, so werden die Zeilen 1 und 17 abwechselnd angezeigt.


Multibin (nur bis Version 7.20)

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Multibin (nur bis Version 7.20)

Mit dem Dynamischen Element Multibin können Sie mehrere Zustände definieren:

  • eine Grafik abhängig von Variablenwerten anzeigen
  • Symbole einfärben
  • Zustandstext ausgeben
  • numerische Variablen und Binärvariablen verknüpfen
  • einen Schalter oder Taster für die erste Variable darstellen, sofern die erste Variable eine Binärvariable ist

Hinweis: Die Funktionalität des Elements Multibin kann auch über das Combi-Element projektiert werden.

attention Achtung

Ab Version 7.50 wird dieses Element nicht mehr unterstützt.

Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 7.50 eingestellt wurde.

Erstellen des Elements Multibin

Um Multibin in einem Bild anzulegen:

  1. wählen Sie das Symbol Multibin in der Symbolleiste Elemente
  2. wählen Sie im Hauptfenster den Startpunkt
  3. ziehen Sie mit gedrückter linker Maustaste das Element auf
  4. der Dialog zur Auswahl mehrerer Variablen öffnet sich
  5. wählen Sie die gewünschten Variablen
  6. definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften

Zustände definieren

Die Einstellungen für anzuzeigende Zustände von Variablen definieren Sie im Dialog zur Eingabe der Elemente:

  1. klicken Sie im Knoten Darstellung
  2. auf die Eigenschaft Konfiguration
    der Dialog zur Zustandsdefinition öffnet sich
  3. definierte Zustände werden von oben nach unten abgearbeitet
  4. die Einstellungen des ersten zutreffenden Zustands werden angezeigt

Noch in diesem Kapitel

Zustandsdefinition Multibin


Zustandsdefinition Multibin

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Multibin (nur bis Version 7.20) > Zustandsdefinition Multibin

Um dem Element Multibin bestimmte Zustände zuzuweisen:

  1. Klicken Sie im Knoten Darstellung auf die Eigenschaft Konfiguration.
  2. Der Dialog zur Eingabe der Elemente öffnet sich.
  3. Wählen Sie gewünschte Darstellungsart:
    • Grafikdatei: Darstellung der Information in Pixelgrafikdateien; damit sind auch bewegte Bilder möglich
    • Zustandstext und Bildsymbol: Darstellung über Symbole und Textinformationen
  4. Definierte Zustände werden von oben nach unten abgearbeitet und die Einstellungen des ersten zutreffenden Zustands werden angezeigt.

Noch in diesem Kapitel

Grafikdatei

Zustandstext und Bildsymbol

Schalter Einstellungen


Grafikdatei

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Multibin (nur bis Version 7.20) > Zustandsdefinition Multibin > Grafikdatei

Darstellung der Information in Grafikdateien. Erlaubt auch bewegte Bilder.

Darstellungsart

Eigenschaft | Beschreibung
Grafikdatei | Aktiv: Für die Darstellung der Zustände zur Runtime werden Grafikdateien verwendet. Deren Konfiguration wird hier erklärt.
Zustandstext und Bildsymbol | Aktiv: Für die Darstellung der Zustände zur Runtime werden Zustandstext und Bildsymbole verwendet. Das Symbol oder die Elementgruppe muss im Bild bereits vorhanden sein. Das in der Dropdown Liste ausgewählte Element blinkt im Bild bis der Dialog Element-Eingabe beendet wird. Deren Konfiguration wird im Kapitel Zustandstext und Bildsymbol erklärt.
In Originalgröße | Aktiv: Grafiken werden in Originalgröße dargestellt. Inaktiv: Grafiken werden zur Runtime auf die darzustellende Größe gestreckt oder gestaucht. Hinweis: Wenn diese Eigenschaft aktiviert ist, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Optionen

Eigenschaft | Beschreibung
Status anzeigen | Markiert das Element zur Runtime mit einem roten Punkt bei Ausnahmestatus.
Blinken aller Variablen berücksichtigen | Aktiv: Summenalarmierung aller verknüpften Prozessvariablen. Die Grafik oder Farbe wird durch den aktuellen Zustand festgelegt. Aktive Blinkzustände bleiben bis zur Quittierung erhalten.

Zustand 0 (LOW)

Eigenschaft

Beschreibung

Zustand 0 (LOW)

Einstellungen für den aktuellen Zustand passend zur Darstellungsart.

Grafik

Auswahl der Grafik. Klick auf Fläche öffnet Dialog zur Auswahl der Datei.

  • Sind gewünschte Dateien im Knoten Dateien/Grafiken im Projektmanager noch nicht vorhanden, können diese im Auswahldialog hinzugefügt werden.
  • Um eine Datei direkt aus einem beliebigen Ordner des Rechners auszuwählen, muss die Eigenschaft Direkte Dateiauswahl aktiviert werden.

Hinweis: Wenn die Eigenschaft In Originalgröße aktiviert ist, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Weitere Zustände

Eigenschaft

Beschreibung

Weitere Zustände

Auswahl weiterer Variablen über die Schaltfläche ... und Sortierung der Zustände über die Schaltflächen Nach-oben und Nach-unten.

Für jede der verknüpften Variablen muss ein diskreter Zustand angegeben werden; bei Mehrbitmeldungen und bei numerischen Werten durch die Eingabe des Wertes. Mehrbitmeldungen müssen mehrmals zugeordnet werden: Anzahl der Zustände minus 1; Bsp. Doppelmeldung=3.

Ist ein diskreter Zustand eingetreten, wird dieser dargestellt. Ist keiner der angegebenen Werte anstehend, wird der global für das Element gültige Zustand 0 [LOW] angezeigt.

Hinweis: Bei nicht-binären Variablen wird der Wert in der Signalauflösung angegeben.

Schalter Einstellungen

Ist als erste Variable eine Binärvariable verknüpft, kann diese als Schalter oder Taster benutzt werden.
Konfiguration siehe Kapitel Schalter Einstellungen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zustandstext und Bildsymbol

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Multibin (nur bis Version 7.20) > Zustandsdefinition Multibin > Zustandstext und Bildsymbol

Darstellung über Symbole und Textinformationen. Gleichzeitig wird die Farbe des aktuellen Zustands dem Symbol übergeben.

Darstellungsart

Eigenschaft | Beschreibung
Grafikdatei | Aktiv: Für die Darstellung der Zustände zur Runtime werden Grafikdateien verwendet. Deren Konfiguration wird im Kapitel Grafikdatei erklärt.
Zustandstext und Bildsymbol | Aktiv: Für die Darstellung der Zustände zur Runtime werden Zustandstext und Bildsymbole verwendet. Das Symbol oder die Elementgruppe muss im Bild bereits vorhanden sein. Das in der Dropdown Liste ausgewählte Element blinkt im Bild bis der Dialog Element-Eingabe beendet wird. Deren Konfiguration wird hier erklärt.
Zustandstext anzeigen | Aktiv: Zustandstexte werden zur Runtime angezeigt.
Hintergrundfarbe einstellbar | Aktiv: Hintergrundfarbe für den Text ist frei wählbar.

Optionen

Eigenschaft | Beschreibung
Status anzeigen | Aktiv: Markiert das Element zur Runtime mit einem roten Punkt bei Ausnahmestatus.
Nur Füllfläche einfärben | Aktiv: Es werden nur die Füllflächen der statischen Elemente eingefärbt, Rahmenfarben bleiben erhalten
Blinken aller Variablen berücksichtigen | Aktiv: Summenalarmierung aller verknüpften Prozessvariablen. Die Grafik oder Farbe wird durch den aktuellen Zustand festgelegt. Aktive Blinkzustände bleiben bis zur Quittierung erhalten.
Füllfarbe beim Blinken | Hintergrundfarbe beim Blinken. Klick auf Farbe öffnet Dialog zur Farbauswahl.

Zustand 0 (Low)

Eigenschaft | Beschreibung
Zustandstext | Text der zur Runtime angezeigt wird. Eingabe nur möglich wenn die Eigenschaft Zustandstext anzeigen aktiv ist.
Symbol-/Textfarbe | Auswahl der Farbe für das Symbol und den Zustandstext. Klick auf Farbe öffnet Dialog zur Farbauswahl.
Text Hintergrundfarbe | Wahl der Hintergrundfarbe für den Zustandstext. Klick auf Farbe öffnet Dialog zur Farbauswahl. Nur vorhanden, wenn die Eigenschaft Hintergrundfarbe einstellbar aktiv ist.

Weitere Zustände

Eigenschaft

Beschreibung

Weitere Zustände

Auswahl weiterer Variablen über die Schaltfläche ... und Sortierung der Zustände über die Schaltflächen Nach-oben und Nach-unten.

Für jede der verknüpften Variablen muss ein diskreter Zustand angegeben werden; bei Mehrbitmeldungen und bei numerischen Werten durch die Eingabe des Wertes. Mehrbitmeldungen müssen mehrmals zugeordnet werden: Anzahl der Zustände minus 1; Bsp. Doppelmeldung=3.

Ist ein diskreter Zustand eingetreten, wird dieser dargestellt. Ist keiner der angegebenen Werte anstehend, wird der global für das Element gültige Zustand 0 [LOW] angezeigt.

Hinweis: Bei nicht-binären Variablen wird der Wert in der Signalauflösung angegeben.

Zustandstext

Text der zur Runtime angezeigt wird. Eingabe nur möglich wenn die Eigenschaft Zustandstext anzeigen aktiv ist.

Symbol-/Textfarbe

Auswahl der Farbe für das Symbol und den Zustandstext. Klick auf Farbe öffnet Dialog zur Farbauswahl.

Text Hintergrundfarbe

Wahl der Hintergrundfarbe für den Zustandstext. Klick auf Farbe öffnet Dialog zur Farbauswahl.

Nur vorhanden, wenn die Eigenschaft Hintergrundfarbe einstellbar aktiv ist.

Schalter Einstellungen

Ist als erste Variable eine Binärvariable verknüpft, kann diese als Schalter oder Taster benutzt werden.
Informationen für die Konfiguration finden Sie im Kapitel Schalter Einstellungen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schalter Einstellungen

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Multibin (nur bis Version 7.20) > Zustandsdefinition Multibin > Schalter Einstellungen

Ist als erste Variable eine Binärvariable verknüpft, kann diese als Schalter oder Taster benutzt werden.

Eigenschaft | Beschreibung
Nur lesen | Aktiv: Zur Runtime ist keine Sollwertvorgabe möglich.
Schalter | Aktiv: Element fungiert als Schalter für Sollwertvorgabe.
Taster EIN | Aktiv: Setzt Sollwert HIGH ab. Die Taster-Vorzugslage geht auf Aus.
Taster AUS | Aktiv: Setzt Sollwert LOW ab. Die Taster-Vorzugslage geht auf Ein.
Haltezeit in ms | Haltezeit des Sollzustandes in Millisekunden.
Berechtigungsgruppe | Legt die für die Sollwerteingabe nötige Berechtigungsebene fest.
Tastenkombination | Tastenkombination für Sollwertvorgabe
Entfernen | Löscht die Tastenkombination.


Symbol bewegen

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Symbol bewegen

Mit dem Dynamischen Element Symbol bewegen können Sie beliebige Elemente abhängig vom Zustand von Variablen horizontal und vertikal bewegen oder deren Größe verändern (Zoom). Verbinden Sie dazu die Elemente mit einem Symbol.

Um Symbol bewegen in einem Bild anzulegen:

  • wählen Sie das Symbol Symbol bewegen in der Symbolleiste Elemente
  • wählen Sie im Hauptfenster den Startpunkt
  • ziehen Sie mit gedrückter linker Maustaste das Element auf
  • wählen Sie die gewünschte Variable definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften
  • Sie können nur Symbole benutzen, die sich bereits im Bild befinden

Hinweis: Das Dynamische Element Symbol bewegen steht allgemein nur bis zur Version 6.22 zur Verfügung. Ab Version 6.50 nutzen Sie für alle dynamischen Aktionen die dynamischen Eigenschaften eines Elements wie Position, Größe und Drehen dynamisch oder Füllung.
Ausnahme Windows CE: Projekte aller Versionen stellen das Element zur Verfügung, wenn die Eigenschaft Windows CE Projekt aktiviert wurde.


Unsichtbarer Button (nur bis Version 6.22)

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Unsichtbarer Button (nur bis Version 6.22)

Wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner 6.50 eingestellt wurde, kann das Element Button nur Texte in der Runtime anzeigen. Unsichtbare Buttons müssen in diesem Fall über das Element Unsichtbarer Button projektiert werden.

Buttons projektieren für unterschiedliche Runtimeversionen:

Button für | Runtime-Dateien erzeugen für < 6.50 | ab 6.50
Text | Button | Button
Grafik | Bitmap Button | Button
unsichtbar | Unsichtbarer Button | Button

Das dynamische Element Unsichtbarer Button bietet die Möglichkeit, eine interaktive, transparente Bedienfläche zu definieren, mit der ein Funktionsaufruf verknüpft ist.

Um einen Unsichtbaren Button zu aktivieren:

  • wählen Sie das Symbol Unsichtbarer Button in der Symbolleiste Elemente oder in der Dropdownliste Elemente
  • wählen Sie im Hauptfenster den Startpunkt
  • ziehen Sie mit gedrückter linker Maus-Taste das Element auf
  • ein Dialog öffnet sich, in dem Sie die gewünschte Funktion mit dem Element verknüpfen
  • Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements
  • halten Sie beim Ziehen an den äußeren Eckpunkten die Alt-Taste gedrückt, so wird die Änderung symmetrisch ausgeführt
  • Einzelne Eigenschaften des Elements definieren Sie im Eigenschaftenfenster. Dazu muss das Element im Hauptfenster aktiv sein (Mausklick).

Zur Auswahl von Funktionen wird ein gefilterter Dialog geöffnet:

Element

Beschreibung

Projektbaum

Definition des Projekts, aus dem die Funktion gewählt werden soll.

Auswahlfenster

Auswahl der Funktion.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bereits verknüpfte Funktionen werden gelöscht

Tipp: Dieser Dialog ist in der Größe anpassbar. Die Dialoggröße und -position wird gespeichert.

Verknüpfte Funktion ändern

  1. manuell
    • öffnen Sie in der Detailansicht des Projektmanagers die Funktionen
    • ziehen Sie die gewünschte Funktion mit gedrückter linker Maustaste auf das Element
    • die bisherige Funktion wird durch die neue ersetzt
  2. automatisch

wählen Sie im Kontextmenü des Elements Verknüpfungen ersetzen. Details zur Vorgangsweise finden Sie im Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.

info Info

Beim unsichtbaren Button kann der Status der Variable nicht angezeigt werden.


Zustandselement (nur bis Version 7.20)

Handbuch > Bilder > Bildelemente > Elemente früherer Versionen > Zustandselement (nur bis Version 7.20)

Mit dem Dynamischen Element Zustandselement steuern Sie ein Bildsymbol. Dabei werden Eigenschaften einer verknüpften Variablen wie z. B. Farben, Blinken usw. auf ein Symbol übertragen. Sie können damit auch statische Grenzwerttexte anzeigen.

attention Achtung

Ab Version 7.50 wird dieses Element nicht mehr unterstützt.

Dieses Element steht nur zur Verfügung, wenn die Projekteigenschaft Runtime-Dateien erzeugen für auf kleiner als 7.50 eingestellt wurde.

Um das Zustandselement in einem Bild anzulegen:

  1. Wählen Sie das Symbol Zustandselement in der Symbolleiste Elemente oder in der Dropdownliste Dynamische Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie mit gedrückter linker Maustaste das Element auf.
  4. Der Dialog zur Auswahl einer Variablen öffnet sich.
  5. Wählen Sie die gewünschte Variable.
  6. Definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften.

info Info

Statt dem Dynamischen Element Zustandselement können auch die Dynamik-Eigenschaften eines Elements oder das Combi-Element benutzt werden.


Bildelemente bearbeiten

Handbuch > Bilder > Bildelemente bearbeiten

Für Bildelemente stehen Ihnen vielfältige Bearbeitungsmöglichkeiten offen:

  • Grafische Aktionen
  • Automatisiertes Ersetzen
  • Hintergrundgrafiken
  • Funktionen Auswahldialog
  • Variablen Auswahldialog

Noch in diesem Kapitel

Grafische Aktionen

Verknüpfungen von Variablen und Funktionen ersetzen

Hintergrundgrafiken

Funktionen

Variablen


Grafische Aktionen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen

In zenon sind auch grafische Aktionen möglich. Dafür nutzen Sie:

  • Eigenschaften des Elements
  • Befehle im Menü Bearbeiten
  • Aktionen mit der Maus:
    • Halten der Steuerung-Taste beim Verschieben mit der Maus kopiert das Element.
    • Verschieben mit gedrückter rechter Maus-Taste öffnet das Kontextmenü für die Wahl, ob kopiert oder verschoben werden soll
  • das Kontextmenü

info Info

Grafische Aktionen wie Schatten oder Weichzeichner können Auswirkungen auf die Performance des Systems haben, sowohl im Editor als auch zur Runtime.

Eingabe von Werten

Für die Eingabe von Werten innerhalb definierter Grenzen stehen bei vielen Eigenschaften zusätzlich auch Schieberegler zur Verfügung. Diese sind über die Schaltfläche ... erreichbar. Wertänderungen über Schieberegler werden sofort im Eigenschaftenfeld angezeigt.

Bei der Auswahl von Farben wird die jeweils in der Palette aktivierte Farbe als Vorschau direkt im Objekt angezeigt.

Noch in diesem Kapitel

Abrundungen

Effekte für Bildelemente

Elemente bewegen

Farbverlauf und Transparenz

Format übertragen

Kopieren, einfügen und verschieben

Listen gestalten

Punkte hinzufügen, löschen und verschieben bei Polylinien, Polygonen und Rohrleitungen

Pfeile in Vektor-Elementen

Raster

Schrift

Auswählen

Skalieren, zentrieren und zoomen

Tastenkombinationen

Tastenkombination einem Element zuweisen


Abrundungen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Abrundungen

Die Elemente Rechteck und Button sowie Polygon, Polylinie und Rohrleitung können mit Abrundungen dargestellt werden.

info Info

Rundungen stehen nur eingeschränkt zur Verfügung bei:

  • aktiver Eigenschaft Windows CE Projekt
    oder
  • Wert Windows Basis für die Eigenschaft Grafikqualität

Rechteck und Button

Den Rundungsgrad definieren Sie mit den Eigenschaften im Knoten Abrundung. Für jeden Eckpunkt können jeweils 2 Werte eingegeben werden:

  • X-Wert: Prozentwert für die Rundung bezogen auf die Breite des Elementes
  • Y-Wert: ist ein Prozentwert für die Rundung bezogen auf die Höhe des Elementes

0 % bezeichnet keine Rundung.
100 % bezeichnen einen Viertelkreis.

Wird die Eigenschaft Proportional aktiviert, kann nur der X-Wert eingegeben werden.

Die Werte können für jede Ecke separat definiert werden. Wird der Wert einer Ecke auf -1 gesetzt, dann übernimmt er seinen Rundungswert von der Eigenschaft Alle X [%] und/oder Alle Y [%].

info Info

Wird der Wert für Alle X [%] oder Alle Y [%] geändert, werden alle Werte der entsprechenden Achse auf -1 eingesetzt. Damit können unterschiedliche Werte sehr einfach wieder vereinheitlicht werden.

Tipp: Im rechten unteren Quadranten des Elements befindet sich ein kleines blaues Dreieck. Klicken Sie mit der Maus darauf und bewegen Sie das Dreieck bis die gewünschte Rundung erreicht ist.

Beispiel:

Auf dem Button liegt eine GIF-Datei mit transparentem Hintergrund. Für den Button wurde ein rötlicher Farbverlauf definiert. Die Rundung der Ecken wurde mit Alle X [%] und Proportional definiert, anschließend wurde dieser Wert für die linke untere Ecke individuell geändert.

info Info

Wird die Eigenschaft Über Helligkeitswerte für die Darstellung der Füllfarbe verwendet, können keine abgerundeten Ecken dargestellt werden. Wird diese Eigenschaft für ein Element aktiviert, das abgerundete Ecken verwendet, so wird das Element mit nicht abgerundeten Ecken dargestellt.

Polygon, Polylinie und Rohrleitung

Den Rundungsgrad für Polygone, Polylinien und Rohrleitungen definieren Sie mit der Eigenschaft Rundung im Knoten Darstellung. Geben Sie dazu einen Wert zwischen 0 und 1 ein.


Effekte für Bildelemente

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Effekte für Bildelemente

Viele grafische Elemente können zur Runtime mit Effekten hervorgehoben werden.

Weitere Effekte finden Sie im Kapitel Effekte für Schablonen.

Noch in diesem Kapitel

Glow-Effekt

Rahmen und Schatten


Glow-Effekt

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Effekte für Bildelemente > Glow-Effekt

Viele Elemente in zenon unterstützen den Glow-Effekt.

Voraussetzungen

Um Glow-Effekt für ein grafisches Element verwenden zu können, müssen folgende Voraussetzungen erfüllt sein:

  • Die Projekteigenschaft Grafische Ausprägung/Grafikqualität muss auf DirectX Hardware oder DirectX Software gesetzt sein. Details siehe auch Kapitel Grafikqualität.
  • Das grafische Element muss unterstützt werden.
    Bis auf folgende Ausnahmen werden alle grafischen Elemente unterstützt: WMF, Symbole, Combi-Element, ActiveX, WPF, alle Win32 Control Elemente, Fenster und einige spezielle Kontrollelemente.
  • Das Element muss sichtbar sein.
    Ist das Element unsichtbar, so ist der Glow-Effekt automatisch auch unsichtbar, da dieser vom Element direkt abgeleitet wird.

Konfiguration

Um den Glow-Effekt für ein unterstütztes Element zu konfigurieren:

  1. stellen Sie sicher, dass die Eigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt ist
  2. erstellen Sie das Element
  3. navigieren Sie zum Eigenschaftenknoten Effekte
  4. aktivieren Sie im Bereich Glow (nur DirectX) die Eigenschaft Aktivieren
  5. konfigurieren Sie Transparenz, Farbe, Ausbreitung und Sichtbarkeit

    Werden mehrere Eigenschaften für den gleichen Effekt konfiguriert, wird die jeweils stärkere zur Runtime ausgeführt. Details siehe Abschnitt Abhängigkeit der Konfiguration. (Zum Beispiel: Ein unsichtbarer Glow-Effekt ist immer unsichtbar, die Einstellung zum Blinken hat dann keine Auswirkung mehr.)

Defaultwerte für den Glow-Effekt:

  • Aktivieren: inaktiv
  • Nur aktiv wenn gedrückt: inaktiv
  • Transparenz [%]: 20 %
  • Ausbreitung [Pixel]: 15 Pixel
  • Einfärben: inaktiv
  • Farbe: #FFFF90 (gelb)
  • Variable für Farbe: keine
  • Variable für Sichtbarkeit: keine
  • Sichtbarkeit von Grenzwert übernehmen: inaktiv
  • Sichtbar von: 0
  • Sichtbar bis: 0
  • Variable für Blinken: keine
  • Blinkfarbe von Grenzwert übernehmen: inaktiv
  • 2. Blinkzustand unsichtbar: inaktiv

Abhängigkeiten der Konfiguration

Variable für Sichtbarkeit

Sichtbarkeit hat besonders große Auswirkungen. Ist der Glow-Effekt auf nicht sichtbar gesetzt, werden Blinken und Farben ignoriert.

Abhängigkeiten:

  1. Variable für Sichtbarkeit ist verknüpft und Sichtbarkeit von Grenzwert übernehmen ist aktiv:
    • Unsichtbar im Grenzwert ist aktiviert: Glow Effekt ist nicht sichtbar.
    • Unsichtbar im Grenzwert ist nicht aktiviert:
      Der in den Eigenschaften konfigurierte Glow-Effekt wird angezeigt. Abhängig von den Einstellungen kann der Glow-Effekt auch blinken.
  2. Variable für Sichtbarkeit ist verknüpft und Sichtbarkeit von Grenzwert übernehmen ist inaktiv:
    • Der Variablenwert befindet sich innerhalb der Grenzen der Eigenschaften von Sichtbar von und Sichtbar bis:
      Der in den Eigenschaften konfigurierte Glow-Effekt wird angezeigt. Abhängig von den Einstellungen kann der Glow-Effekt auch blinken.
    • Der Variablenwert befindet sich außerhalb der Grenzen der Eigenschaften von Sichtbar von und Sichtbar bis:
      Der Glow-Effekt ist nicht sichtbar
  3. Variable für Sichtbarkeit ist nicht verknüpft:
    Der in den Eigenschaften konfigurierte Glow-Effekt wird angezeigt. Abhängig von den Einstellungen kann der Glow-Effekt auch blinken.

Variable für Blinken

Bei allen Zuständen, bei denen der ursprünglich konfigurierte Glow-Effekt angezeigt wird, erhält man jenen Glow-Effekt, der in den Eigenschaften eingestellt ist. Dabei kann zum Beispiel auch die Farbe aus einem Grenzwert einer eigenen Variable kommen; Details siehe Farbe aus Variable.

  1. Variable für Blinken ist verknüpft, Blinkfarbe von Grenzwert übernehmen ist aktiv und 2. Blinkzustand unsichtbar ist aktiv:
    • Grenzwert wurde verletzt:
      Glow-Effekt blinkt und wechselt zwischen eingefärbtem Glow-Effekt (aus Grenzwertverletzung) und dem ursprünglich in den Eigenschaften konfigurierten Glow-Effekt.
    • Grenzwert wurde nicht verletzt:
      Glow-Effekt blinkt nicht und es wird der ursprünglich in den Eigenschaften konfigurierte Glow-Effekt angezeigt.
  2. Variable für Blinken ist verknüpft, Blinkfarbe von Grenzwert übernehmen ist aktiv und 2. Blinkzustand unsichtbar ist inaktiv:
    • Grenzwertverletzung aktiv:
      Glow-Effekt blinkt und wechselt zwischen eingefärbtem Glow-Effekt (aus Grenzwertverletzung) und dem nicht dargestellten Glow-Effekt.
    • Grenzwertverletzung inaktiv:
      Glow-Effekt blinkt nicht und es wird der ursprünglich in den Eigenschaften konfigurierte Glow-Effekt angezeigt.
  3. Variable für Blinken ist verknüpft, Blinkfarbe von Grenzwert übernehmen ist inaktiv:
    • Grenzwertverletzung aktiv:
      Glow-Effekt blinkt und wechselt zwischen dem ursprünglich in den Eigenschaften konfigurierten Glow-Effekt und dem nicht dargestellten Glow-Effekt.
    • Grenzwertverletzung inaktiv:
      Glow-Effekt blinkt nicht und es wird der ursprünglich in den Eigenschaften konfigurierte Glow-Effekt angezeigt.
  4. Variable für Blinken ist nicht verknüpft:
    Glow-Effekt kann abhängig von anderen Eigenschaften dargestellt werden.

Farbe aus Variable:

Stellt die Möglichkeit dar, die Farbe des Glow-Effekts bei der normalen Darstellung über den Grenzwert einer Variable festzulegen. Dies gilt auch für die normale Darstellung, wenn der Glow-Effekt blinkt.

  1. Variable für Farbe verknüpft:
    1. Grenzwertverletzung aktiv:
      Die Farbe aus dem verletzten Grenzwert wird verwendet.
    2. Grenzwertverletzung inaktiv:
      Zum Einfärben des Glow-Effekts wird die in der Eigenschaft Farbe eingestellte Farbe verwendet.
  2. Variable für Farbe nicht verknüpft:
    Zum Einfärben des Glow-Effekts wird die in der Eigenschaft Farbe eingestellte Farbe verwendet.

Einfärben:

Definiert, ob der Glow-Effekt als Abbild des eigentlichen Elementes erzeugt oder mit einer einzelnen Farbe eingefärbt wird.

  1. Einfärben aktiv und Variable für Farbe verknüpft:
    1. Grenzwertverletzung aktiv:
      Zum Einfärben des Glow Effekts wird die Farbe aus dem verletzten Grenzwert verwendet.
    2. Grenzwertverletzung inaktiv:
      Zum Einfärben des Glow-Effekts wird die in der Eigenschaft Farbe eingestellte Farbe verwendet.
  2. Einfärben aktiv und Variable für Farbe nicht verknüpft:
    Zum Einfärben des Glow-Effekts wird die in der Eigenschaft Farbe eingestellte Farbe verwendet.
  3. Einfärben inaktiv: Es wird ein Abbild des eigentlichen Elementes mit all den entsprechenden Farben des Elementes für den Glow-Effekt verwendet.

Tipps zur Konfiguration

Um gute Ergebnisse zu erhalten:

  • Wählen Sie für Transparenz [%] einen eher niedrigen Wert. Ohne Einfärbung darf der Wert etwas höher liegen als mit Einfärbung.
  • Wählen Sie für Ausbreitung [Pixel] einen nicht zu kleinen Wert. Er sollte >5 gehalten werden, damit der Effekt außerhalb des Elements sichtbar ist.
    Achtung: Zu hohe Werte (>20) können dazu führen, dass der Glow-Effekt sehr stark reduziert wird. In diesem Fall kann die Sichtbarkeit durch weitere Reduktion der Transparenz erhöht werden. Allgemein kostet der Glow-Effekt viel Performance und sollte deshalb gut überlegt eingesetzt werden. Ein höherer Wert für Ausbreitung [Pixel] kostet mehr Performance, was sich besonders bei einander nahe liegenden Elementen auswirken kann.
  • Da der Glow-Effekt (wie auch der Schatten) bei DirectX direkt vom originalen Element abgeleitet wird, haben auch dynamische Änderungen des Elementes Auswirkungen auf den Effekt. Zusätzlich können auch Bitmap Grafiken mit den Effekten ausgestattet werden: So erhält zum Beispiel ein PNG-Bild mit teiltransparenten Bereichen genauso wie eine GIF-Animation, einen korrekten Glow-Effekt, der dynamisch während der Darstellung erzeugt wird. Der Glow-Effekt wirkt wie der Schatten auch auf Text, wodurch entsprechende Effekte erzielt werden können.

Noch in diesem Kapitel

Beispiele für Glow-Effekt

Fehlerbehandlung


Beispiele für Glow-Effekt

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Effekte für Bildelemente > Glow-Effekt > Beispiele für Glow-Effekt

Glow-Effekt

Element ohne Glow-Effekt:

Element mit Glow-Effekt:

Farben

Default Farbe 0xFFFF90 (Gelb):

Farbe 0xFFFFFF (Weiß):

Transparenz

0% Transparenz:

20% Transparenz:

60% Transparenz:

Ausbreitung

0 Pixel Ausbreitung und 0% Transparenz:

5 Pixel Ausbreitung und 0% Transparenz:

10 Pixel Ausbreitung und 0% Transparenz:

20 Pixel Ausbreitung und 0% Transparenz:

Farbe 0xFFFF90 und 5 Pixel Ausbreitung sowie 20% Transparenz:

Farbe 0xFFFF90 und 20 Pixel Ausbreitung sowie 20% Transparenz:

Texte

5 Pixel Ausbreitung und 0% Transparenz:

Farbe 0xFF0000 und Ausbreitung 5 Pixel sowie 0% Transparenz:

Große Schrift mit 15 Pixel Ausbreitung und 0% Transparenz:

Große Schrift mit Farbe 0xFF0000 und Ausbreitung 35 Pixel sowie 20% Transparenz:

Teiltransparente Grafik

Original:

20 Pixel Ausbreitung und 20% Transparenz:

Farbe 0xFF0000 mit 20 Pixel Ausbreitung und 20% Transparenz:

Ohne Farbe, 20 Pixel Ausbreitung und 20% Transparenz plus Schatten mit 40 Pixel Abstand, 60% Transparenz, schwarzer Farbe und 5 Pixel Weichzeichner:

Element ändert sich

3D-Button in Kontrastfarben, mit 15 Pixel Ausbreitung und 0 % Transparenz auf 3D Button:

3D-Button in Kontrastfarben, gedrückt mit 15 Pixel Ausbreitung und 0 % Transparenz auf 3D Button:


Fehlerbehandlung

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Effekte für Bildelemente > Glow-Effekt > Fehlerbehandlung

Ausgabefenster

Eintrag | Level | Erklärung
DirectX: Bild 'Bildname' - Element 'Elementname' verwendet einen Effekt, der mit der ausgewählten Grafikqualitätseinstellung nicht darstellbar ist. | Warning | Bei einem Element ist der Glow-Effekt aktiviert. Allerdings wurde DirectX Software oder DirectX Hardware nicht ausgewählt oder ist nicht verfügbar.

Checkliste zur Fehlereingrenzung

  • Ist DirectX eingeschaltet?
  • Ist DirectX auf dem System verfügbar? Eine entsprechende Überprüfung kann durch das Aktivieren der Debug Meldungen im DiagViewer durchgeführt werden. Bei erfolgreicher Unterstützung kommt eine entsprechende Meldung.
  • Unterstützt das Element überhaupt den Glow-Effekt?
  • Ist das Element sichtbar?
  • Führen statische Eigenschaften dazu (zum Beispiel Transparenz), dass der Glow-Effekt nicht oder anders als gewünscht dargestellt wird?
  • Führen dynamische Eigenschaften dazu, dass der Glow-Effekt nicht oder anders als gewünscht dargestellt wird?
  • Ist eine Eigenschaft ausgewählt, die nur unter bestimmten Bedingungen das Anzeigen des Glow-Effekts hervorruft (Button Element mit der Eigenschaft „Nur aktiv wenn gedrückt")?


Rahmen und Schatten

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Effekte für Bildelemente > Rahmen und Schatten

Elemente können durch Rahmen und Schatten erweitert werden.

Ausnahme: Zustandselemente können keinen Schatten erhalten.

info Info

Wird die Transparenz eines Objekts (z. B. der Hintergrundfarbe) geändert, ändert sich auch die Darstellung des bereits konfigurierten Schattens entsprechend. Die Werte für Farbe und Transparenz des Schattens bleiben dabei aber gleich.

Rahmen und Schatten zuweisen

  • Um ein Element mit einem Rahmen zu versehen, wählen Sie im Knoten Rahmen/Schatten in der Eigenschaft Rahmenart Rahmen aus.
  • Um ein Element mit einem Schatten zu versehen, wählen Sie im Knoten Rahmen/Schatten in der Eigenschaft Rahmenart Schatten aus.

Für Schatten und Rahmen können Sie festlegen

  • Abstand: Abstand des Rahmens oder Schattens zum Element.
  • Rahmenfarbe: Farbe des Rahmens oder des Schattens.

Für den Rahmen können Sie festlegen

  • Linienbreite: Die Breite des Rahmens.

Für den Schatten können Sie festlegen

  • Winkel: Den Winkel in Grad, um die sich der Schatten beginnend bei rechts außen gegen den Uhrzeigersinn verschiebt.

  • Transparenz: Transparenz des Schattens zwischen 0 und 100%, wobei 0% deckend und 100% durchsichtig ist.
  • Schattengröße: Größe des Schattens in Pixel.
  • Weichzeichnung: Verwischt die Oberflächenfarbe und macht den Übergang des Schattens weicher.
    Hinweis: ist hier ein Wert ungleich 0 eingestellt, dann beeinflusst die Berechnung des Schattens die Systemleistung.

info Info

Transparenz bei Linien oder Füllfarben eines Elements wirkt sich auch auf den Schatten aus. Zum Beispiel: Wird die Füllfarbe auf 100% transparent gesetzt, dann ist auch kein Schatten für den Füllbereich zu sehen.

Noch in diesem Kapitel

Beispiele


Beispiele

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Effekte für Bildelemente > Rahmen und Schatten > Beispiele

Schatten mit Winkel von 45 Grad um 10 Pixel versetzt

Schatten mit Winkel von 45 Grad um 30 Pixel versetzt

Schatten mit Größe 30 Pixel

Schatten mit Größe -20 Pixel

Schatten mit Größe -20 Pixel und transparentem Farbverlauf im Element

Abgerundetes Rechteck mit einer Weichzeichnung von 10


Elemente bewegen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Elemente bewegen

Um Elemente zu bewegen benutzen Sie:

Ab Version 6.50

  • die Eigenschaften beim jeweiligen Element:
    • Position
    • Größe und Drehen dynamisch
  • Zusätzlich dynamisieren Sie Elemente auch mit den Eigenschaften
    • Füllfarbe(n) dynamisch im Knoten Füllung
    • Blinken im Knoten Sichtbarkeit/Blinken
    • Sichtbarkeit im Knoten Sichtbarkeit/Blinken

Bis inklusive Version 6.22 und bei Runtime Kompatibilität mit Version 6.22 sowie für Windows CE:

  • Sie können alternativ das Dynamische Element Symbol bewegen verwenden


Farbverlauf und Transparenz

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Farbverlauf und Transparenz

Elemente können mit Farbverläufen versehen werden oder auf transparent geschaltet werden.

Dazu wählen Sie bei den Eigenschaften des Elements im Knoten Füllung die entsprechenden Eigenschaften aus:

Farbverlauf

Farbverläufe können mit folgender Ausrichtung bei folgenden Elementen eingestellt werden:

Element | Linear | Punktuell | Punktuell mit Kanten | Strahlend
Rechteck | X | X | X | X
Kreis | X | X | -- | X
Kreissegment | X | X | -- | X
Polygon | X | X | X | X
Button | X | X | X (wenn eckig) | X

Legende:

X: wird unterstützt

--: wird nicht unterstützt

Um Farbverläufe zu definieren, wählen Sie als Füllmuster Farbverlauf.

Sie können den Farbverlauf nun entweder über die Eigenschaften der Gruppe Farbverlauf definieren. Den Farbverlauf können Sie auch mit der Maus definieren. Klicken Sie dazu auf den kleinen blauen Kreis im Element (mit Verbindungslinie zum Mittelpunkt) und bewegen Sie den Kreis, bis Sie den gewünschten Verlauf erreichen.

Farbverlauf unter Windows CE oder bei Grafikqualität Windows Basis

Unter Windows CE oder bei der Einstellung Windows Basis für die Eigenschaft Grafikqualität lassen sich Farbverläufe für Buttons und Vektor-Elemente nur über Helligkeitswerte realisieren. Benutzen Sie zur Darstellung von Farbverläufen die Eigenschaften:

  • Helligkeit aussen
  • Helligkeit innen

Beachten Sie:

Die Eigenschaft Über Helligkeitswerte muss nicht extra aktiviert werden.

Die Eigenschaft Winkel [°] kann unter Windows CE und bei der Einstellung Windows Basis für die Eigenschaft Grafikqualität nur in Schritten von 90° verändert werden.

info Info

Verläufe werden bei Winkeln zwischen 45° und 135° sowie zwischen 225° und 315° horizontal ausgerichtet, andernfalls vertikal.

Für Polygone steht die Eigenschaft Über Helligkeitswerte nicht zur Verfügung.

Button

Für das Element Button gilt unter Windows CE und Windows Basis zusätzlich:

  • Für die Eigenschaft Farbverlauf stehen die Werte Punktuell und Punktuell mit Kanten nicht zur Verfügung.

Transparenz

Über die Eigenschaft Transparent schalten Sie ein Element komplett transparent.

Um Elemente teilweise transparent zu schalten, nutzen Sie die Eigenschaften für Transparenz der Füllfarben, Verlaufsfarbe und der Rahmenfarbe. Hier definieren Sie die Deckkraft der Farben mit Werten zwischen 0 und 100 Prozent. Dabei ist 0 deckend und 100 komplett transparent. Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Beispiele

Transparenz: Füllfarbe = 100, Füllfarbe 2 = 100

Transparenz: Füllfarbe = 50, Füllfarbe 2 = 100.

Transparenz: Füllfarbe = 0, Füllfarbe 2 = 100.

info Info

Kontrollelemente zur Steuerung von Listenfelder wie Bildlaufleisten unterstützen keine Transparenz.


Format übertragen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Format übertragen

Um die Eigenschaften eines ausgewählten Elements auf ein anderes oder mehrere zu übertragen:

  1. Übertragen auf ein Element:
    1. Klick auf Element mit Ursprungseigenschaften -
    2. Klick auf Symbol Eigenschaften übertragen
      oder entsprechenden Befehl im Kontextmenü
    3. Klick auf Zielelement: Eigenschaften werden übertragen
  2. Übertragen auf mehrere Elemente:
    1. Quellelement auswählen -
    2. Zielelemente mit gedrückter Steuerung-Taste auswählen (Quell und Zielelemente sind markiert)
    3. Klick auf Symbol Eigenschaften übertragen oder entsprechenden Befehl im Kontextmenü
    4. Eigenschaften des Quellelements werden auf die Zielelemente übertragen.

Wurden mehrere Elemente als Quelle gewählt, werden die Eigenschaften des ersten gewählten Elements übertragen.

info Info

Eigenschaften über Eigenschaftenfenster übernehmen:

Werden mehrere Elemente markiert, werden die Eigenschaften des jeweils letzten markierten Elements in der Eigenschaften-Eingabe angezeigt. Wird das Eigenschaftenfenster im Modus Gruppierte Ansicht oder im Modus Alle Eigenschaften angezeigt, kann die jeweilige Eigenschaft mit Drücken der Eingabe-Taste auf alle anderen markierten Elemente übertragen werden. Im Modus Dialogansich t ist das nicht möglich. Details siehe Kapitel Eigenschaftenfenster, Abschnitt Multiselekt.

Regeln für die Übertragung von Formaten

Übertragen werden:

  • Eigenschaften, die ein Element in Form und Farbe und Aussehen direkt bestimmen und nicht von einer Variablen beeinflusst werden

Nicht übertragen werden:

  • deaktivierte Eigenschaften
  • direkte Eigenschaften, die nicht sinnvoll übertragbar sind, wie Texte und Grafikdateien

    Ausnahme:

    • Grafikdateien beim Schalter werden kopiert, da man normalerweise immer die gleichen Schalter haben möchte.
    • Grafikdateien beim Button werden nicht kopiert, da hier normalerweise unterschiedliche verwendet werden.
  • Eigenschaften aus den Gruppen:
    • Berechtigung
    • Automatic Line Coloring
    • Allgemein
    • Position
    • Größe und Drehen dynamisch
    • Runtime
    • VBA Makros
    • Sollwert setzen
  • alles, was direkt aus Variablen kommt
  • Variablen und Funktionsverknüpfungen


Kopieren, einfügen und verschieben

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Kopieren, einfügen und verschieben

Um Elemente in Bildern zu kopieren, zu verschieben oder zu löschen usw. nutzen Sie

  • Befehle im Menü Bearbeiten
  • Aktionen mit der Maus:

    Halten der Steuerung-Taste beim Verschieben mit der Maus kopiert das Element.
    Verschieben mit gedrückter rechter Maustaste öffnet das Kontextmenü für die Wahl, ob kopiert oder verschoben werden soll.

  • das Kontextmenü

Verschieben

Objekte können mit der Maus oder der Tastatur verschoben werden, ausgenommen Schablonen. In Kombination mit Funktionstasten nutzen Sie besondere Effekte beim Verschieben:

Taste | Aktion | Ergebnis
Strg | verschieben mit Maus | Objekt wird kopiert.
Umschalt | verschieben mit Maus | Objekt kann nur waagrecht und senkrecht verschoben werden.
Umschalt | verschieben mit Pfeiltasten | Jeder Tastendruck verschiebt das Objekt um 10 Pixel.
rechte Maustaste | verschieben mit Maus | Kontextmenü ermöglicht Wahl zwischen kopieren und verschieben.
Leertaste |  | Mauszeiger wird zur Verschiebe-Hand. Mit dieser kann die Arbeitsfläche des Bildes mit der linken Maustaste beliebig verschoben werden.


Listen gestalten

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Listen gestalten

Bestimmte Listen können zur Runtime in ihrer Darstellung modifiziert werden. Nicht alle Konfigurationsmöglichkeiten stehen für alle Listen zur Verfügung. Die Konfiguration kann sich auch abhängig vom Bildtyp unterscheiden, so werden zum Beispiel Kopfzeilen für Batch Control mit anderen Eigenschaften konfiguriert als für AML. Vor allem verfügen Listenelemente für AML, Batch Control, CEL, Erweiterter Trend, Report Viewer oder RGM über diverse Gestaltungsmöglichkeiten.

Zur Verfügung stehen zum Beispiel:

  • Darstellung allgemein
  • Kopfzeilen und Bildlaufleisten
  • Grafik für Checkboxen
  • Konfigurierbare Listen

Noch in diesem Kapitel

Darstellung

Kopfzeilen und Bildlaufleisten

Grafik für Checkbox

Konfigurierbare Listen


Darstellung

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Listen gestalten > Darstellung

Im Bereich Darstellung können Schriftart und Zeilenhöhe konfiguriert und die Eigenschaft Erweiterte grafische Einstellungen aktiviert werden.

Schrift

Die für die Liste zu verwendende Schrift wählen Sie über die Eigenschaft Schrift. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Schriftart. Die hier angebotenen Schriften können Sie im Knoten Bilder/Schriftlisten konfigurieren.

Zeilenhöhe

Mit der Eigenschaft Zeilenhöhe [Pixel] definieren Sie die Zeilenhöhe unabhängig von der Schriftgröße.

Erweiterte grafische Einstellungen

Diese Eigenschaft ermöglicht, je nach Bildtyp, die Verwendung der anpassbaren horizontalen und vertikalen Bildlaufleisten, der Kopfzeile und des Rasters.

Vorschau

Mit Aktivierung der Eigenschaft Erweiterte grafische Einstellungen in den Projekteigenschaften der Kontrollelemente des Bildtyps Chronologische Ereignisliste werden im Editor die Kopfzeile und die Bildlaufleisten als Vorschau angezeigt. So lassen sich Details wie Farben Fülleffekte, Lichteffekte oder Raster einfacher projektieren.

Achtung: Da die Größe der Bildlaufleisten in der Vorschau der Größe zur Runtime entspricht, kann die gesamte Größe der Liste im Editor von der Größe zur Runtime abweichen. Das gilt auch für die Größe der Kopfzeile und die Schrift der Kopfzeile.

Anzeige von Binärwerten

Binärwerte in konfigurierbaren Listen können zur Runtime grafisch oder numerisch dargestellt werden. Die Konfiguration der Anzeige erfolgt über die Eigenschaften der Gruppe Darstellung/Anzeige von Bool-Werten.


Kopfzeilen und Bildlaufleisten

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Listen gestalten > Kopfzeilen und Bildlaufleisten

Kopfzeilen ermöglichen zur Runtime:

  • Spalten zu verschieben
  • die Größe zu ändern
  • die Sortierung zu ändern.

In der Regel werden Kopfzeilen im Bereich Darstellung/Kopfzeile konfiguriert. Kopfzeilen für AML und CEL weichen davon ab, Details siehe Abschnitt Kopfzeile für AML/CEL.

Kopfzeilen allgemein

Um Kopfzeilen zur Runtime verwenden zu können, aktivieren Sie die Eigenschaft Kopfzeile anzeigen.

Mit der Eigenschaft Spaltenpositionen fixiert fixieren Sie die Kopfzeile. Spalten können dann zur Runtime nicht mehr per Drag&Drop verschoben werden. Die Spaltenbreite kann weiterhin verändert werden.
Ausnahme: Für AML und CEL ist auch die Spaltenbreite nicht mehr änderbar.

Um zur Runtime die Filterzeile anzuzeigen, aktivieren Sie die Eigenschaft Filterzeile anzeigen.
Hinweis: Vorkonfigurierte Filter werden auch dann ausgeführt, wenn die Filterzeile nicht angezeigt wird.

Die Höhe der Kopfzeile definieren Sie über die Eigenschaft Höhe der Kopfzeile [Pixel]. Mit dem Wert 0 wird die Höhe automatisch auf Basis der Schriftgröße ermittelt. Die Maximale Höhe beträgt 255 Pixel.

Kopfzeile für und AML/CEL

Um Kopfzeilen in Bilden vom Typ AML oder CEL zu benutzen:

  1. Navigieren Sie in den Projekteigenschaften zur Gruppe Alarmmeldeliste oder Chronologische Ereignisliste.
  2. Wählen Sie bei der Eigenschaft Kopfzeile AML oder Kopfzeile CEL den Wert bedienbare Kopfzeile.
    Alternativ können Sie hier die Kopfzeile auch unbedienbar oder unsichtbar schalten.
  3. Öffnen Sie in den Bildeigenschaften der AML/CEL für die Liste die Gruppe Kopfzeile und Raster.
  4. Deaktivieren Sie die Checkbox der Eigenschaft Spaltenpositionen fixiert.

info Info

Sie können die Bedienbarkeit oder die Sichtbarkeit der Kopfzeile für jedes Bild vom Typ Alarmmeldeliste individuell wieder unterbinden, indem Sie die Eigenschaft Kopfzeile anzeigen oder Kopfzeile bedienbar für die tabellarische Darstellung deaktivieren.

Zur Runtime sortieren

Um zur Runtime die für die Sortierung relevante Spalte zu kennzeichnen und die Sortierreihenfolge zu bestimmen, projektieren Sie grafische Elemente für die Titelzeile:

  1. wählen Sie für die Eigenschaft Anzeigestil den Wert Grafikdateien
  2. verknüpfen Sie die Eigenschaften Aufsteigend sortiert und Absteigend sortiert jeweils mit einer Grafikdatei
  3. zur Runtime wird in der für die Sortierung relevanten Spalte die gewählte Grafik für die jeweilige Sortierrichtung angezeigt
  4. Klick auf Grafik ändert Sortierreihenfolge
  5. Klick in Spaltentitel aktiviert Spalte für Sortierung

Aussehen für Bildlaufleisten und Raster konfigurieren

Um Größe und Aussehen von Bildlaufleisten, der Kopfzeile und eines Rasters zu definieren:

  1. aktivieren Sie in der Gruppe Darstellung die Eigenschaft Erweiterte grafische Einstellungen
  2. definieren Sie die gewünschten Eigenschaften in den Gruppen Bildlaufleisten oder Kopfzeile und Raster

Informationen zu den einzelnen Eigenschaften erhalten Sie in der eingebetteten Hilfe.

info Info

Wird für die Eigenschaft Anzeigestil Grafikdateien gewählt, dann werden alle Elemente, für die keine Grafikdatei ausgewählt wird, mit einem Farbverlauf dargestellt. Bei Steuerelementen für Listen können keine transparenten Grafiken verwendet werden.


Grafik für Checkbox

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Listen gestalten > Grafik für Checkbox

Checkboxen können mit Grafiken individuell gestaltet werden. Dazu weisen Sie im Editor den entsprechenden Eigenschaften die gewünschten Grafiken zu. Die Grafiken müssen bereits im Knoten Dateien\Grafiken angelegt worden sein. Die definierte Grafik wird zur Runtime mit Rücksicht auf die Seitenverhältnisse (Aspect Ratio) gezeichnet.

Welche Grafikdatei für welchen Status einer Checkbox verwendet wird, definieren Sie mit den Eigenschaften in der Gruppe Darstellung:

  • Ein: Die Checkbox ist eingeschaltet (aktiviert).
  • Ein (inaktiv): Die Checkbox ist eingeschaltet (aktiviert) und kann nicht verändert werden.
  • Aus: Die Checkbox ist ausgeschaltet.
  • Aus (inaktiv): Die Checkbox ist ausgeschaltet und kann nicht verändert werden.


Konfigurierbare Listen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Listen gestalten > Konfigurierbare Listen

Eine Reihe von Listen können zur Runtime individuell konfiguriert werden:

  • Active Directory:
    • Liste im Active Directory Fenster (aber nicht: Baum)
  • AML
  • AML-Filter/CEL-Filter/Zeitfilter:
    • Chargen: Archivauswahl
    • Chargen: Chargenauswahl
  • Batch:
    • Liste der Vorlagenrezepte
    • Liste der Steuerrezepte
    • Parameterliste 1
    • Parameterliste 2
  • Befehlsgabe
    • Verriegelungsliste
  • Benutzerliste:
    • Benutzerliste
  • CEL
  • Erweiterter Trend:
    • Erweiterte Kurvenliste
  • Message Control:
    • Nachrichten-Warteschlange
  • Process Recorder
  • RGM:
    • Rezeptliste und Rezeptwerttabelle (aber nicht: Rezepertwerttabelle CE)
  • Schichtmanagement
  • Textlisten

Zu den möglichen Aktionen für diese Listen zählen:

  • Verschieben der Spalten
  • Konfiguration der Spalten
  • Einfärben von Spalten
  • Hervorheben der Position mit dem Fokus
  • Nutzung von Rückmeldevariablen

Allgemeine Informationen siehe auch Kapitel Listen gestalten .

info Info

Touch-Boxen können so wie Listen konfiguriert werden:

  • AML/CEL/Zeitfilter
  • Benutzer editieren
  • Benutzergruppenliste

Hinweis: Bei Touch-Boxen sind nicht alle Elemente konfigurierbar. Zum Beispiel gibt es keine Kopfzeile und es ist nur eine Spalte vorhanden.

Konfiguration im Editor

Das Aussehen und Verhalten der Konfigurierbare Liste zur Runtime kann im Editor über die Eigenschaften der Gruppe Darstellung vorkonfiguriert werden.

Eigenschaften der Kopfzeilen

Das Verhalten der Kopfzeilen zur Runtime wird im Editor jetzt über die Eigenschaften der Gruppe Kopfzeile definiert:

  • Kopfzeile anzeigen:
    Steuert, ob die Kopfzeile zur Runtime angezeigt wird.
  • Filterzeile anzeigen:
    Steuert, ob die Filterzeile zur Runtime angezeigt wird.
  • Sortieren sperren:
    Steuert die Möglichkeit, Tabellenspalten zur Runtime mit einen Klick auf die Kopfzeile zu sortieren.
  • Spaltenpositionen fixiert:
    Steuert die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen in der Breite anzupassen oder zu verschieben.
  • Kontextmenü deaktivieren:
    Aktiviert oder deaktiviert das Kontextmenü für die Kopfzeile.

Verhalten zur Runtime

Zellen bearbeiten

Um Zellen in Listen vom Typ Konfigurierbare Liste zu bearbeiten stehen Ihnen folgende Möglichkeiten zur Verfügung:

  • Doppelklick auf Eintrag
  • Klick in Zelle, sofort gefolgt von zweitem Klick (langsamer Doppelklick)

Abhängig vom Bildtyp kann auch ein Button zur Aktivierung der Bearbeitung zur Verfügung stehen.

Spalten einfärben

In konfigurierbaren Listen können Textfarbe und Hintergrundfarbe jeder Spalte individuell definiert werden. Dazu konfigurieren Sie in der Funktion Bildumschaltung des jeweiligen Bildes in der Registerkarte Spalten formatieren der Bereich Benutzerdefinierte Farben .

Fokus anzeigen

In konfigurierbaren Listen kann der jeweilige Fokus durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Die Zelle, Spalte oder Zeile, die den Fokus hat, wird farblich hervorgehoben. Diese Farben werden in den Projekteigenschaften Auswahlfarben der Objektlisten im Knoten Grafische Ausprägung konfiguriert.

Prioritäten bei Farbgebung

Werden mehrere Farben auf eine Liste angewandt, gelten folgende Prioritäten:

  1. Allgemein: Auswahlfarben der Objektlisten
  2. RGM: Rezeptwertprüfung
  3. RGM: Online-Validierung
  4. RGM: Verriegelung
  5. Liste: Spaltenfarbe

Rückmeldevariablen

Konfigurierbare Listen können mit einer Rückmeldevariable vom Typ BOOL verknüpft werden. Diese signalisieren zur Runtime, wenn in der Liste etwas ausgewählt wurde.

Um eine Rückmeldevariable zu verknüpfen:

  1. Klicken Sie in die Konfigurierbare Liste.
  2. Öffnen Sie in den Eigenschaften die Gruppe Rückmeldevariablen.
  3. Klicken Sie in der Eigenschaft Auswahl aktiv auf die Schaltfläche ....

    Der Dialog zur Auswahl einer BOOL Variablen wird geöffnet.

  4. Wählen Sie eine Variable aus.
  5. Verknüpfen Sie die Variable mit einem Element, das zur Runtime den Zustand der Variable anzeigt.
    Bedeutung der Werte:
    • 0: Keine Auswahl in der Liste.
      Hinweis: Wird ein Bild geschlossen, wird die Variable automatisch auf 0 gesetzt.
    • 1: In der Liste wurde etwas ausgewählt.


Punkte hinzufügen, löschen und verschieben bei Polylinien, Polygonen und Rohrleitungen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Punkte hinzufügen, löschen und verschieben bei Polylinien, Polygonen und Rohrleitungen

Bei Polylinien, Polygonen und Rohrleitungen können Punkte hinzugefügt, gelöscht und verschoben werden.

Punkte hinzufügen

Um Eckpunkte (Stützpunkte) hinzuzufügen:

  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Hinzufügen eines Knotens im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf eine Linie des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Plus.
  • Ein Mausklick fügt einen Eckpunkt hinzu.

Punkte löschen

Um Eckpunkte (Stützpunkte) zu löschen:

  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Klicken Sie mit der rechten Maus-Taste.
  • Wählen Sie im Kontextmenü den Eintrag Löschen des Knoten im ausgewählten Element.

oder:

  • Drücken Sie gleichzeitig Steuerung- und Umschalt-Taste.
  • Bewegen Sie den Mauszeiger auf einen Punkt des Polyobjekts.
  • Der Mauszeiger ändert sich zu einem Pfeil mit einem Minus.
  • Ein Mausklick entfernt den Punkt.

Punkte verschieben

Um Eckpunkte (Stützpunkte) zu verschieben:

  • Bewegen Sie den Mauszeiger über den gewünschten Punkt des Polyobjekts.
  • Platzieren Sie den Punkt über die Pfeil-Tasten an der gewünschten Stelle.

Hinweise:

  • Ein Druck auf eine Pfeil-Taste bewegt den Punkt um 1 Pixel. Wird gleichzeitig die Umschalt-Taste gedrückt, bewegt ein Tastendruck den Punkt um 10 Pixel.
  • Die Optionen Raster verwenden sowie Abstand horizontal und Abstand vertikal in den Einstellungen des Editors werden ignoriert.


Pfeile in Vektor-Elementen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Pfeile in Vektor-Elementen

Für alle Vektor-Elemente, die offene Figuren darstellen, kann jeweils ein Symbol für Start und Ende der Linie definiert werden. Das gilt für:

  • Linie
  • Polylinie
  • Kreisbogen ohne Füllung
  • Kreissegment ohne Füllung

Um ein Symbol hinzuzufügen:

  1. Achten Sie darauf, dass in den Projekteigenschaften für die Eigenschaft Grafikqualität (Knoten Bilder) mindestens DirectX Software gewählt wurde.
  2. Zeichnen Sie das Element.
  3. Wählen Sie in den Eigenschaften in der Gruppe Linienenden die Eigenschaften für:
    1. Anfangstyp: Symbol für Linienanfang.
    2. Endtyp: Symbol für Linienende.
    3. Größe: Vergrößerungsfaktor für Linienbreite. Der Faktor bezieht auf den Linienbreite des Vektor-Elements wie in der Eigenschaft Linienbreite [Pixel] definiert. Default = 0.

Folgende Symbole stehen zur Verfügung:

Von links, bzw nach links:

Von rechts, oder nach rechts:

info Info

Diese Elemente stehen nicht zur Verfügung:

  • unter Windows CE, da Grafikqualität DirectX Hardware oder DirectX Software aktiviert sein muss
  • bei gefülltem Kreissegment
  • bei gefülltem Kreisbogen

Noch in diesem Kapitel

Beispiel für Pfeile


Beispiel für Pfeile

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Pfeile in Vektor-Elementen > Beispiel für Pfeile

Vektor-Elemente mit Start- und Endsymbolen mit einem Vergrößerungsfaktor von 1,5:


Raster

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Raster

Im zenon Editor gibt es die Möglichkeit ein Raster einzuschalten, um Elemente an einer gerasterten Position auszurichten. Das Raster ermöglicht das exakte Ausrichten von Elementen im Bild. Grundeinstellungen treffen Sie im Menü Extras/Einstellungen:

Raster

Optionen für die Darstellung der Projektierungsumgebung im Hauptfenster des zenon Editors.

Option

Beschreibung

Raster anzeigen

Anzeige eines Rasters im Hauptfenster des zenon Editors.

  • Aktiv:
    Zeigt im Hauptfenster den unter Rastertyp definierten Raster an.
  • Inaktiv:
    Raster wird nicht angezeigt.

Raster verwenden

Verwendung des Rasters bei Projektierungsschritten.

  • Aktiv:
    Bildelemente werden immer am Raster ausgerichtet. Diese Funktion ist unabhängig von der Option Raster anzeigen.
  • Inaktiv: Bildelemente werden bei der Projektierung nicht am Raster ausgerichtet.

Farbe

Definiert die Farbe des Rasters. Klick auf Farbfeld öffnet das Pulldown-Menü zur Auswahl der Farbe.

Zur Auswahl wird die Windows Farbpalette benutzt.

Darstellung

Dropdownliste mit der Art der Rasterdarstellung:

  • durchgezogen
  • Schnittpunkte

Abstand vertikal

Definiert den vertikalen Abstand zwischen einzelnen Linien des Rasters. Damit definiert er auch, wie fein abgestuft Elementgrößen dargestellt werden können.

Empfohlener Rasterabstand: 10 Pixel

Abstand horizontal

Definiert den horizontalen Abstand zwischen einzelnen Linien des Rasters. Damit definiert er auch, wie fein abgestuft Elementgrößen dargestellt werden können.

Empfohlener Rasterabstand: 10 Pixel

Im Kontextmenü des Bildes entscheiden Sie:

Menüeintrag | Beschreibung
Raster anzeigen | Raster sichtbar oder unsichtbar schalten.
Raster verwenden | Elemente werden am Raster ausgerichtet.
Fangpunkte verwenden | Anfasspunkte der Objekte rasten bei Annäherung ein und richten sich aneinander aus.

info Info

Liegen Rasterpunkte 5 Pixel oder weniger auseinander, werden nur mehr die Rasterlinien angezeigt, die mehr als 5 Pixel auseinander liegen. Gerastert wird aber auch in den kleineren Rastern.


Schrift

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Schrift

Beim Erstellen eines Projektes wird automatisch eine Standardschrift angelegt. Diese wird bei neuen Objekten als Standardschrift vorgegeben. Die Standardschrift kann nicht gelöscht werden.

Wenn Sie andere Schriften benötigen:

  • Erstellen Sie die gewünschte Schriftart im Knoten Schriftlisten (Unterknoten von Bilder).
  • Wählen Sie in den Objekteigenschaften die Schrift aus (Knoten Text, Eigenschaft Schrift).


Auswählen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Auswählen

Objekte werden per Mausklick ausgewählt. Um mehrere Objekte auszuwählen:

  • halten Sie beim Klicken die Umschalt- oder Steuerung-Taste gedrückt und klicken Sie mit dem Mauszeiger auf die ausgewählten Objekte
    oder
  • ziehen Sie ein Fangrechteck mit der Maus

Um bei Mehrfachauswahl ein Objekt wieder abzuwählen, klicken Sie es mit gedrückter Steuerung-Taste an.

Auswahlreihenfolge ändern

Wenn Objekte aneinander ausgerichtet werden sollen, dient das Objekt, das als erstes ausgewählt wurde, als Referenz. Sie erkennen das Referenzobjekt an den vollflächig gefüllten Anfasspunkten. Um ein anderes Objekt zum Referenzobjekt zum machen:

  1. halten Sie die Umschalt-Taste gedrückt
  2. klicken Sie mit der Maus auf das Objekt, das als Referenzobjekt dienen soll

Ausrichten eines ausgewählten Objektes

Nähere Informationen zum Ausrichten von Objekten finden Sie in den Kapiteln Editor/Symbolleisten/Ausrichtung und Editor/Menüleiste/Bearbeiten


Skalieren, zentrieren und zoomen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Skalieren, zentrieren und zoomen

Skalieren

Sie können Elemente auf zwei Arten skalieren:

  1. proportional: Halten Sie dazu beim Skalieren die Umschalt-Taste gedrückt
  2. um den Mittelpunkt: halten Sie dazu die Alt-Taste gedrückt

Hinweis: Wurde für ein Element über die Eigenschaft Drehwinkel [°] ein Winkel ungleich 0 definiert, ist das Skalieren mittels Pfeiltasten nicht möglich.

Zentrieren

Mit H kann das aktuell ausgewählte Objekt zentriert im Arbeitsausschnitt dargestellt werden.

Zoomen

Editor

Im Editor stehen über das Symbol Zoom in der Symbolleiste zwei Zoom-Modi zur Verfügung:

  • Stufenloser Zoom:
    In der Combobox kann ein beliebiger Wert zwischen 15% und 400% eingegeben oder ein voreingestellter Wert ausgewählt werden.
  • Zoomtool:
    Über die beiden Lupensymbole (+ und -) wird im Bild per Mausklick direkt im Bild gezoomt. Drücken der Steuerung-Taste schaltet zwischen den Modi um. Der eingestellte Zoom wird pro Bild gespeichert.

Zoom-Modus beenden: Klicken Sie auf das Symbol Bearbeitungsmodus. in der Symbolleiste Elemente.

Runtime

Ein Bild kann nur innerhalb der Grenzen gezoomt werden, die für folgende Eigenschaften gesetzt wurden:

  • Breite (Maximum) [Pixel]
  • Höhe (Maximum) [Pixel]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Wird beim Zoomen zur Runtime eine Grenze erreicht, dann wird versucht, das Zoomen in die die freien Richtungen fortzuführen. Das Seitenverhältnis wird dabei berücksichtigt.

Bilder vom Typ Faceplate können nicht gezoomt werden.

Zoomen mit Multi-Touch im ETM

Im Modul Erweiterter Trend kann zusätzlich zum Fenster auch die Kurvengrafik mit einer Zwei-Finger-Geste gezoomt werden.

Das bedeutet für das Zoomen im ETM:

  • Grafik zoomen: Beide Finger müssen sich auf der Grafik befinden.
  • Bild zoomen: Beide Finger müssen sich im Bild befinden. Kein Finger darf sich auf der Grafik befinden.
  • Befinden sich zwei Finger auf der Grafik und zwei im Bild, werden Grafik und Bild gezoomt.
  • Befindet sich ein Finger im Bild und ein Finger auf der Grafik, wird das Bild bei entsprechender Konfiguration bewegt.
  • Wird bei einer Aktion ein Button gedrückt, kann diese Aktion nicht mehr abgebrochen werden.


Tastenkombinationen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Tastenkombinationen

Tastenkombinationen für den Grafikeditor:

Hinweis zu Tastenkombinationen: Das Pluszeichen (+) bedeutet, Tasten werden gemeinsam gedrückt.
Zum Beispiel:

Strg+A bedeutet: Steuerung-Taste halten und dann Taste A drücken.

Strg++ bedeutet: Steuerung-Taste halten und Plus-Taste drücken.

Allgemein

Befehl | Tastenkombination
Hauptfenster: Inhalte mit Verschiebehand scrollen | Leer gedrückt halten
Aktuelles Bild schließen | Strg+F4
Eigenschaften öffnen | Alt+Eingabe-Taste

Auswählen

Befehl

Tastenkombination

Mehrere Objekte auswählen

Umschalt- oder Steuerung-Taste halten

Ausgewähltes Element bei Mehrfachauswahl abwählen

Strg+Mausklick

Auswahl: Reihenfolge ändern. Definiert Element, an dem sich alle anderen orientieren

Umschalt-Taste beim Auswählen halten

Verdeckte Objekte auswählen
  1. Alt-Taste drücken
  2. Objekt anklicken und bewegen

Alle Elemente eines Bildes auswählen.

Strg+A

Nächstes Element in Reihenfolge der Erstellung auswählen

Tab

Vorheriges Element in Reihenfolge der Erstellung auswählen

Umschalt-Taste+Tab

Positionieren

Befehl | Tastenkombination
Ausgewähltes Objekt verschieben. | Pfeil-Tasten
Um 10 Pixel je Druck auf Pfeil-Taste verschieben | Umschalt-Taste+Pfeil-Taste
Nur waagrecht oder nur senkrecht verschieben | Umschalt-Taste beim Verschieben halten
Zentriert ausgewähltes Objekt im Arbeitsausschnitt | H

Aktionen

Befehl | Tastenkombination
Speichert Änderungen | Strg+S
Fügt Element aus der Zwischenablage ein | Strg+V Umschalt+Einfg
Fügt Element aus der Zwischenablage an der Originalposition ein, Original und Kopie liegen deckungsgleich übereinander | Strg+Umschalt+V
Kopiert ausgewähltes Elemente | Strg+C Strg+Einfg
Kopieren statt verschieben | Steuerung-Taste beim Verschieben halten
Dupliziert das ausgewählte Element Nähere Informationen finden Sie im Abschnitt Elemente duplizieren. | Strg+D
Löscht ausgewähltes Element | Entf
Schneidet ausgewähltes Elementen aus | Umschalt-Taste+Entf Strg+X
Macht Änderungen rückgängig | Strg+Z Alt+Rück
Knoten im ausgewählten Element hinzufügen oder löschen. Hinzufügen: Mauszeiger wird zu Pluszeichen (+). Löschen: Mauszeiger wird zu Minuszeichen (-). Funktioniert bei Polylinie, Polygon und Rohrelement. | Strg+Umschalt-Taste
Zeichnen von Polylinien und Polygonen beenden | S
Zeichnen von Polylinien und Polygonen beenden und letzten gezeichneten Teilbereich löschen | Esc
Ausgewählte Elemente um eine Ebene höher stufen | +
Ausgewählte Elemente um eine Ebene tiefer stufen | -
Ausgewählte Elemente in den Vordergrund holen | Strg++
Ausgewählte Elemente in den Hintergrund setzen | Strg+-

Skalieren

Befehl

Tastenkombination

Größe ändern

Mauszeiger auf Anfasspunkt positionieren, so dass sich der Mauszeiger in Pfeile ändert. Danach kann mithilfe der Pfeiltasten pixelgenau bzw. bei gedrückter Umschalt-Taste in Schritten von 10 Pixel positioniert werden.

Hinweis: Wurde für ein Element über die Eigenschaft Drehwinkel [°] ein Winkel ungleich 0 definiert, ist das Skalieren mittels Pfeiltasten nicht möglich.

Objekt um den Mittelpunkt skalieren

Alt-Taste beim Skalieren halten.

Proportional skalieren

Umschalt-Taste beim Skalieren halten.

Zoomen

Ansicht verkleinern | Strg + Umschalt-Taste + -
Ansicht vergrößern | Strg + Umschalt-Taste + +
Ansicht auf 100% einstellen | Strg + Alt + 0
Ansicht an den im Editor zur Verfügung stehenden Platz anpassen und proportional darstellen | Strg + 0

Zoomen mit der Maus

Ansicht verkleinern | Strg + Scrollrad der Maus nach unten
Ansicht vergrößern | Strg + Scrollrad der Maus nach oben

Noch in diesem Kapitel

Elemente duplizieren


Elemente duplizieren

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Tastenkombinationen > Elemente duplizieren

Sie haben die Möglichkeit Elemente in Bildern und Elemente im Schabloneneditor zu Erstellung von freien Schablonenformen zu duplizieren.

Um ein Element zu duplizieren:

  1. Wählen Sie ein Element.
  2. Wählen Sie die Tastenkombination Strg+D oder den Eintrag Duplizieren aus dem Kontextmenü des Elements.

    Das Element wird dupliziert und mit einem Default-Abstand von 15 Pixel nach rechts und 15 Pixel nach unten vom Startpunkt des ursprünglichen Elements positioniert.

Um weitere Elemente zu duplizieren:

  • Positionieren Sie das zuletzt duplizierte Element in dem gewünschten Abstand neben das Ursprungselement.
  • Wählen Sie die Tastenkombination Strg+D.

    Das Element wird dupliziert und in dem gleichen Abstand in X-Richtung und in Y-Richtung zum vorherigen Element positioniert.

Wird das Ursprungselement abgewählt, wird beim nächsten Duplizierungsvorgang wieder der Default-Abstand von 15 Pixel verwendet.

info Info

Elemente werden beim Duplizieren nicht außerhalb des Bildfensters oder des Schablonenfensters positioniert. Ist kein Platz mehr für eine Positionierung im entsprechenden Abstand vorhanden, werden die Elemente am Rand des Fensters eingefügt.

attention Achtung

Um Elemente nach dem Duplizieren wieder per Steuerung-Taste und gedrückter linker Maustaste kopieren zu können, heben Sie die Auswahl auf und wählen Sie nochmals die Tastenkombination Strg+D.


Tastenkombination einem Element zuweisen

Handbuch > Bilder > Bildelemente bearbeiten > Grafische Aktionen > Tastenkombination einem Element zuweisen

Bedienbare Elemente in einem Bild können mit einer Tastenkombination verknüpft und zur Runtime so bedient werden. Das gilt zum Beispiel für:

  • Ausführen von Kontrollelementen und zugewiesenen Funktion wie drucken, Bild bewegen usw.
  • Sollwert Absetzen (z. B. bei Schalter)
  • Fokus setzen bei bestimmten Fenstern (z. B. Kurvenliste im Erweiterten Trend oder Comboboxen im RGM)

Zur Runtime kann das die Steuerungsfunktion des Elements mit der Tastatur ausgeführt werden.

Um eine Tastenkombination einem Element zuzuweisen:

  1. markieren Sie das Kontrollelement
  2. navigieren Sie zur Eigenschaft Tastenkombination (Objekteigenschaften -> Runtime -> Tastaturbedienung)
  3. klicken Sie auf die Schaltfläche ... oder in das Eingabefeld
  4. der Dialog zur Festlegung der Tastenkombination wird geöffnet

Parameter | Beschreibung
Tastenkombination | Eingabe der Tastenkombination. Klicken Sie in das Feld und drücken Sie auf der Tastatur die gewünschte Taste oder Tastenkombination, z. B.: A. Die Tastenkombination wird im Eingabefeld angezeigt.
X | Löscht die Zeichenfolge im Eingabefeld.
OK | Übernimmt Tastenkombination und schließt Dialog.
Abbrechen | Verwirft Eingabe/Änderung und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.


Verknüpfungen von Variablen und Funktionen ersetzen

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen

Die Verknüpfung von Bildelementen mit Variablen, Funktionen und ALC-Aliase können ersetzt werden.

Dies kann bereits im Editor oder erst in der Runtime stattfinden. Die Projektierung dafür erfolgt immer im Editor.

Bereits im Editor werden die Verknüpfungen ersetzt:

  • für eingefügte Symbole wird der Dialog Verknüpfungsregel bearbeiten aufgerufen.
  • bei mehreren ausgewählten Bildelementen => Kontextmenü => Verknüpfungen ersetzen.
    Verknüpfungen ersetzen im Editor-Bild

Bereits im Editor projektiert aber erst in der Runtime ersetzt:

Sollen mehrere Variablen oder Funktionen gleichzeitig ersetzt werden, nutzen Sie am besten das automatisierte Ersetzen für:

  • Verknüpfungen ersetzen bei Bildumschaltung
  • Indizes ersetzen
  • Symbole

Wie Sie automatisiertes Ersetzen für die Projektierung einsetzen, lesen Sie auch im Handbuch Effizient projektieren mit zenon im Abschnitt Elemente wiederverwenden.

Noch in diesem Kapitel

Namenskonventionen

Verknüpfungen ersetzen im Editor-Bild

Verknüpfungen ersetzen bei Bildumschaltung

Befehlsgabe

Indizes ersetzen


Namenskonventionen

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Namenskonventionen

Um Variablen und andere Elemente sicher ersetzen zu können, sollte die Benennung systematisch und möglichst normiert erfolgen. Damit unterstützen Sie nicht nur die Wiederverwendbarkeit, sondern auch Wartung und Reverse Engineering.

Verschiedene Systeme unterstützen Sie bei der systematischen Benennung.

Zum Beispiel: Energiewirtschaft

Deutschland

  • KKS (Kraftwerk-Kennzeichen-System), Details siehe http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation), Details siehe http://de.wikipedia.org/wiki/DIN_6779
  • ANLAGEN-KENNZEICHNUNG (Anlagenkennzeichnungssystem), Details siehe http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

International

  • KKS (Befehlsgabe Plant Classification System), Details siehe http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Solche Normen existieren für alle Branchen. Es empfiehlt sich, deren Namenskonventionen zu benutzen.

Beispiel KKS:

In einem Energieprojekt sollten Variablen gemäß dem KKS benannt werden.
Eine entsprechend benannte Variable mit der Bezeichnung C01_MDY10-QA001_QA07 sagt aus:

  • Windenergieanlage C01 (Reihe C, Nr. 1)
  • Windturbinensteuerung MDY10
  • Leistungsteil QA001
  • Leistungsschutz QA07


Verknüpfungen ersetzen im Editor-Bild

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Verknüpfungen ersetzen im Editor-Bild

Verknüpfte Variablen oder Funktionen können im Editor regelbasiert dauerhaft ersetzt werden. Die Ersetzung beschränkt sich nicht auf die in den Eigenschaften der Gruppe Variable/Funktion definierten Variablen oder Funktionen. Es können auch alle anderen im Bild verwendeten Variablen ersetzt werden, wie etwa Variablen für Sichtbarkeit, Blinken, Größe und Drehen dynamisch und andere.

Um Variablen oder Funktionen regelbasiert direkt am Element zu ersetzen:

  1. Markieren Sie die gewünschten Element und öffnen Sie mit Rechtsklick auf ein Element das Kontextmenü.
  2. Wählen Sie Verknüpfungen ersetzen.

    Der Dialog zum Ersetzen von Verknüpfungen öffnet sich

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden Test1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *test1 und Zieleintrag test2 findet und ersetzt Test1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen möchten, als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Info

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Achtung

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.

info Info

Ersetzen per Drag&Drop: Elemente, die nur eine Variable oder Funktion enthalten können, erlauben den Austausch per Drag&Drop. Ziehen Sie mit der Maus die neue Variable oder Funktion auf das Element. Es ersetzt automatisch das bisherige.

Noch in diesem Kapitel

Beispiel: Verknüpfte Variable regelbasiert ersetzen


Beispiel: Verknüpfte Variable regelbasiert ersetzen

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Verknüpfungen ersetzen im Editor-Bild > Beispiel: Verknüpfte Variable regelbasiert ersetzen

Es sollen alle Variablen mit WIZ_VAR_1 im Namen durch Variablen mit WIZ_VAR_2 ersetzt werden.

  1. Geben Sie in das Textfeld Quelle WIZ_VAR_1 ein. Mit dem Zeichen* schließen Sie alle Variablen ein, die mit WIZ_VAR_1 beginnen.
  2. Geben Sie im Textfeld Ziel WIZ_VAR_2 ein.
  3. Klicken Sie auf Übernehmen.
  4. Die Variablen WIZ_VAR_10, WIZ_VAR_11 und WIZ_VAR_12 werden durch die Variablen WIZ_VAR_20, WIZ_VAR_21 und WIZ_VAR_22 ersetzt.


Verknüpfungen ersetzen bei Bildumschaltung

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Verknüpfungen ersetzen bei Bildumschaltung

Verknüpfte Variablen oder Funktionen in einem oder mehreren Elementen, aber auch Alias der ALC, können bei der Bildumschaltung ersetzt werden. Dabei werden die Elemente im Bild nicht dauerhaft ersetzt, sondern zur Runtime bei der Bildumschaltung verknüpft.

Um Verknüpfungen bei der Bildumschaltung zu ersetzen:

  • Projektieren Sie eine Funktion Bildumschaltung.
  • Enthält das Bild ersetzbare Elemente, wird der Dialog zum Ersetzen geöffnet.

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden Test1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *test1 und Zieleintrag test2 findet und ersetzt Test1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen möchten, als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Info

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Achtung

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.

Verriegelungen ersetzen

In dem Dialog erscheinen neben den mit dem Bild direkt verknüpften Variablen, auch alle Variablen der in diesem Bild verwendeten Verriegelungen. Dazu gehört auch die Ergebnisvariable einer Verriegelung. Wurde eine Variable sowohl mit Elementen des Bildes und mit Verriegelungen des Bildes verknüpft, erscheinen sie im Dialog nur einmal.

In der Runtime werden die zu ersetzenden Variablen für alle Verriegelungen, die diese Variablen verwenden, ersetzt. Neben den normal mit der Verriegelung verknüpften Variablen, werden auch die mit der Verriegelung verknüpften Ergebnisvariablen für das Bild ersetzt.

Ersetzen bei Integrationsprojekten

Sollen Variablen oder Funktionen zwischen einem Unterprojekt und dem Integrationsprojekt ersetzt werden, muss sichergestellt sein, dass alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Example Beispiel

Im Unterprojekt wird eine Bildumschaltung auf ein Bild des Unterprojekts konfiguriert. Dabei wird die Variable variable1 des Unterprojekts durch die Variable variable2 des Integrationsprojekts ersetzt. Damit diese Ersetzung zur Runtime durchgeführt wird, muss das Integrationsprojekt das Startprojekt sein.

Ist das Unterprojekt das Startprojekt, ist die Variable variable2 des Integrationsprojekts nicht verfügbar. Es wird keine Ersetzung durchgeführt und es wird die originale Variable variable1 des Unterprojekts verwendet.

Der Benutzer wird zur Runtime über einen Fehlschlag der Ersetzung nicht informiert.


Befehlsgabe

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Befehlsgabe

Bei einer Bildumschaltefunktion auf ein Bild vom Typ Befehlsgabe wird zusätzlich noch die Registerkarte Befehlsgabe angezeigt:

Parameter

Beschreibung

Variable, welche die Befehlsgabe definiert

Auswahl der Variable zur Bestimmung der Befehlsgabe.

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog.

Initialstufe

Definiert den Initialzustand des Befehlsgabebildes beim Aufschalten in der Runtime. Auswahl aus Dropdownliste:

  • Stufe 1
    Befehlsgabebild wird im Zustand der 1. Stufe aufgeschaltet.
  • Sperre
    Befehlsgabebild wird im Zustand Sperre aufgeschaltet.

Default: Stufe 1

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

§§Trenner

info Info

Weitere Informationen über die Möglichkeiten der Substituierung von Variablen bei Befehlsgabebildern finden Sie auch im Kapitel Variablensubstituierung im Handbuch Energy Edition - Befehlsgabe.


Indizes ersetzen

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Indizes ersetzen

Bei der Bildumschaltung zur Runtime können Variablen, Funktionen und ALC-Aliase über Indizierungsregeln oder elementspezifische Parameter dynamisch ersetzt werden.

Möglichkeiten zur Substituierung:

  • Über Indizierungsvariablen: z.B. {X01}
  • Über elementspezifische Parameter: {PARAM}
  • Ohne Indizierungsvariable oder Parameter

attention Achtung

Da die Namen ersetzt werden, sollten Variablen und Funktionen immer unterschiedlich benannt werden. Bei Namensgleichheit würden jeweils Variablen und Funktionen ersetzt werden.

Beispiel: Existieren eine Variable test und eine Funktion test und die Variable test soll ersetzt werden, würde gleichzeitig auch die Funktion test ersetzt.

Tipp: Benennen Sie Variablen und Funktionen jeweils mit einem Präfix (z.B var_ und func_). Damit haben Sie auch in Listen immer Überblick.

attention Achtung

Im Gegensatz zu Verknüpfungen ersetzen erfolgt die Ersetzung über Indizes rein namensbasiert und nicht über interne Variablen IDs.

D.h. werden in der Bildumschaltfunktion verwendete Variablen, Funktionen oder ALC-Aliase umbenannt, müssen diese Änderungen auch in der Bildumschaltfunktion selbst nachgezogen werden.

Dialog Indizes ersetzen

Indizierungsregeln

Parameter

Beschreibung

Indizierungsregeln

Konfiguration der Regeln für die Ersetzung von Variablen, Funktionen und ALC-Aliase.

Quelle

Eingabe der Quelle, die substituiert werden soll.

Ziel

Eingabe des Ziels. Es können auch Parameter für Werte aus Indizierungsvariablen wie z.B. ({X01} und Parameter {PARAM} für Funktionen verwendet werden.

Groß-/Kleinschreibung beachten
  • Aktiv: Beim Ersetzen wird Groß- und Kleinschreibung beachtet.

Liste Regeln

Liste der definierten Regeln.

Regel hinzufügen

Klick auf Schaltfläche fügt die über Quelle und Ziel definierte Regel zur Liste hinzu.

Info: Ist eine Regel in der Liste ausgewählt, wird diese überschrieben. Um eine neue Regel hinzuzufügen muss die Auswahl zuvor aufgehoben werden.

Regel entfernen

Klick auf Schaltfläche löscht die ausgewählte Regel aus der Liste.

Pfeil nach oben

Klick auf Schaltfläche reiht die ausgewählte Regel in der Liste um eine Position höher ein.

Pfeil nach unten

Klick auf Schaltfläche reiht die ausgewählte Regel in der Liste um eine Position tiefer ein.

Hinweis: Die Methode Indizies ersetzen kann auch ohne Indizierungsvariablen angewandt werden. Die Variablen werden in die Liste der Regeln eingetragen.
Vorteil: Wenn die Struktur um Unterelemente erweitert wird, muss die Funktion kein weiteres Mal angepasst werden wie es bei der Methode Verknüpfungen ersetzen der Fall wäre.

Indizierungsvariablen

Parameter | Beschreibung
Indizierungsvariablen | Konfiguration der Indizierungsvariablen.
Liste Regeln | Zeigt die ausgewählten Indizierungsvariablen an.
Hinzufügen | Klick auf Schaltfläche öffnet den Dialog zum Hinzufügen und Entfernen von Indizierungsvariablen an. Ausgewählte Variablen werden der Reihe nach hinzugefügt und mit einem Parameter versehen. Dieser kann in den Ersetzungsregeln für die jeweilige Indizierungsvariable eingesetzt werden. Beim Ersetzen wird der Wert dieser Variablen in die Regel eingesetzt.

Ersetzungsvorschau

Parameter | Beschreibung
Ersetzungsvorschau | Listet alle konfigurierten Ersetzungen auf. Klick auf einen Eintrag befüllt auch die Optionen Quelle und Ziel im Abschnitt Indizierungsregeln.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Wenn Indexvariablen in einem Netzwerkprojekt verwendet werden, muss der Client zuerst den Wert vom Server holen. Dann wird die Berechnung ausgeführt. Auf Geräten mit schwacher Hardware-Leistung kann dies zu Verzögerungen bei der Bildumschaltung führen.
Tipp: Schalten Sie Indexvariablen in einem Netzwerkprojekt immer auf Harddisk Datenspeicherung aktiv.

Noch in diesem Kapitel

Ersetzen über Indizierungsvariablen

Ersetzen über elementspezifische Parameter

Ersetzen ohne Indizierungsvariablen oder Parameter

Multiples ersetzen mit Indizierungsvariablen und Funktionsparameter


Ersetzen über Indizierungsvariablen

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Indizes ersetzen > Ersetzen über Indizierungsvariablen

Um die Ersetzung über Indizierungsvariablen zu projektieren:

  1. Im Feld Quelle der Ersetzungsvorschau werden alle im Bild verwendeten Variablen und Funktionen angezeigt.
  2. Führen Sie einen Linksklick auf eine Variable, eine Funktion oder ein ALC-Alias aus, für die Sie eine Indizierungsregel erstellen möchten.
  3. Die Variable/Funktion wird im Bereich Indizierungsregeln ins Feld Quelle und Ziel eingetragen.
    Alternativ können Sie die gewünschte Variable, Funktion oder ALC-Alias auch direkt ins Feld Quelle bei Indizierungsregeln eintragen.
  4. Definieren Sie die Indizierungsregel.
    Der dynamische Teil der Regel wird in geschwungene Klammern eingefügt, z. B. {X01}.

    Beispiel:

    Die Quellvariable Motor1.RPM wird durch das Ziel Motor{X01}.RPM ersetzt.
    Der Platzhalter X01 wird während der Runtime durch den jeweiligen Wert der Indizierungsvariable ersetzt.
    Die Ersetzungsregel würde somit lauten:

    Quelle: Motor1

    Ziel: Motor{X01}

  5. Übernehmen Sie diese mit einem Linksklick auf Regel hinzufügen in die Liste der Indizierungsregeln.
    Info: Ist eine Regel in der Liste ausgewählt, wird diese überschrieben. Um eine neue Regel hinzuzufügen muss die Auswahl zuvor aufgehoben werden.
  6. In der Liste werden alle angelegten Indizierungsregeln angezeigt.
  7. Über die Schaltflächen mit dem Pfeilsymbol verändern Sie die Reihenfolge der Einträge.

    Achtung: Die Ersetzungen werden der Reihenfolge der Darstellung in der Liste abgearbeitet!

  8. Fügen Sie über die Schaltfläche Hinzufügen... im Bereich Indizierungsvariablen die benötigten Indizierungsvariablen hinzu.
  9. Die in dieser Liste aufgeführten Variablen werden immer im Speicher gehalten, damit sich bei der Bildaufschaltung keine unnötigen Wartezeiten ergeben.

info Info

Für den Platzhalter * gelten dieselben Regeln wie bei Verknüpfungen ersetzen.

Projektübergreifend ersetzen

Wenn sich das Ziel in einem anderen Projekt befindet als die Quelle, kann dies mithilfe von # angezeigt werden.

Example Beispiel

Quelle: VAR_1

Ziel: VAR_1 in Projekt_1

Somit geben Sie als Quelle VAR_1 und als Ziel Projekt_1#VAR_1 ein.

Quelle: SUBPROJEKT1#VAR_1

Ziel: {X01}VAR_1

Die Indexvariable X01 ist eine Stringvariable ist und hat zur Runtime den Projektnamen inklusive # als Wert, z. B. SUBPROJEKT4#.


Ersetzen über elementspezifische Parameter

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Indizes ersetzen > Ersetzen über elementspezifische Parameter

Elemente in Bildern, die eine Bildumschaltung bewirken, können bei dieser Bildumschaltfunktion auch über elementspezifische Parameter substituiert werden.

info Info

Der Vorteil dieser Methode liegt darin, dass nur eine Funktion erstellt werden muss und die Substituierungsinformation direkt vom aufrufenden Element herangezogen wird.

Wird zur Runtime eine Funktion ausgeführt, die eine Substituierung verwendet, stehen folgende Möglichkeiten stehen zur Verfügung:

  1. {PARAM} wird durch den Inhalt des Textfeldes Parameter für Substitution ersetzt
  2. {PARAM} des aufrufenden Bildes wird für die Substitution verwendet

Ersetzen durch den Inhalt des Textfeldes Parameter für Substitution

Ersetzt werden können Variablen und Funktionen in Bildumschaltfunktionen, die mit folgenden Bildelementen verknüpft sind:

  • Button
  • Combo-/Listbox
  • Combi-Element

Der Parameter für die zu ersetzende Variablen oder Funktionen wird in der entsprechenden Eigenschaft oder Option gesetzt und im Substituierungsdialog für Indizes der Bildumschaltung verwendet. Dabei wird in der Substituierungsregel das Schlüsselwort {PARAM} durch den Inhalt der Eigenschaft Parameter für Substitution ersetzt.

Achtung: Vermeiden Sie Zeichenfolgen, die auch für die Parameter der Indizierungsvariablen verwendet werden, wie {X01}.

Konfiguration

Um Parameter zu verwenden:

  1. Konfigurieren Sie im Filterdialog das Ziel als {PARAM}.

  2. Geben Sie in der Eigenschaft oder Option des Elements den entsprechenden Parameter ein:
    • Button und Combi-Element:
      Eigenschaft Parameter für Substitution in der Gruppe Variable/Funktion.

    • Combo-Listbox:
      Option Parameter für Substitution im Dialog für die Eigenschaft Einträge der Combobox oder Listbox.

Ergebnis

Wird zur Runtime eine Funktion ausgeführt, die Substituierung verwendet, dann wird das Schlüsselwort {PARAM} durch seinen jeweiligen Eintrag ersetzt.
Ergibt der Eintrag kein sinnvolles Resultat, wird der ursprüngliche Wert angezeigt.

Zum Beispiel:

  • Lautet der Parameter 2 und die Regel lautet, WIZ_WAR_12* durch WIZ_WAR_2 zu ersetzen und beide Parameter existieren, dann wird das Element, das bisher WIZ_WAR_12 angezeigt hat jetzt WIZ_WAR_2 anzeigen.
  • Ist das Ergebnis der Ersetzung WIZ_WAR_2, das Variablen-Postfix 2 existiert aber nicht, dann wird der ursprüngliche Wert angezeigt.

Verwendung von {PARAM} des aufrufenden Bildes zur Substituierung

Die Aktivierung der Checkbox der Eigenschaft Von aufrufendem Bild übernehmen ermöglicht zur Runtime die Nutzung des {PARAM} des aufrufenden Bildes für die Substituierung des aufzurufenden Bildes. Damit kann der Parameter weitergeleitet werden. Wenn im aufrufenden Bild kein {PARAM} definiert wurde, bleibt der dafür vorgesehene String leer. Das Eingabefeld Parameter für Substitution wird inaktiv, sobald die Eigenschaft Von aufrufendem Bild übernehmen aktiviert wird.

Die Eigenschaft steht bei den folgenden Bildelementen zur Verfügung:

  • Button
  • Combo-/Listbox
  • Combi-Element

Sie finden die Eigenschaft:

  • bei Buttons: in den Eigenschaften unter Variable/Funktion
  • bei Combi-Elementen: in den Eigenschaften unter Variable/Funktion
  • bei Combo-/Listbox: in den Eigenschaften unter Text und Einträge. Klicken Sie auf die Auswahlschaltfläche ....

    Der Dialog Einträge wird geöffnet. Die Eigenschaft befindet sich unter Eintragseinstellung.


Ersetzen ohne Indizierungsvariablen oder Parameter

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Indizes ersetzen > Ersetzen ohne Indizierungsvariablen oder Parameter

Alternativ zur Ersetzung über Indizierungsvariablen oder elementspezifische Parameter kann auch eine "rein statische" Ersetzung erfolgen.

Dazu müssen weder Indizierungsvariablenregeln mit z. B. {X01}, noch das {PARAM} Schlüsselwort verwendet werden.

Example Beispiel

Quelle: Motor1*

Ziel: Motor2

Zur Runtime werden die Variablen die mit Motor1 beginnen durch Motor2 ersetzt.

info Info

Für den Platzhalter * gelten dieselben Regeln wie bei Verknüpfungen ersetzen.

info Info

Der Vorteil dieser Methode:
werden zu einem Bild neue Variablen hinzugefügt (welche ersetzt werden sollen) können dieselben Substituierungsregeln verwendet werden. Dies gilt auch für neue Strukturelemente.

Die Funktion muss in diesem Beispiel nicht umprojektiert werden, wie es bei Verknüpfungen ersetzen der Fall ist.

attention Achtung

Der Nachteil dieser Methode ist dass im Gegensatz zu Verknüpfungen ersetzen die Ersetzung rein textuell erfolgt und nicht auf internen Variablen IDs basiert.

D.h. werden in der Bildumschaltfunktion verwendete Variablen oder Funktionen umbenannt, müssen diese Änderungen auch in der Bildumschaltfunktion selbst nachgezogen werden.


Multiples ersetzen mit Indizierungsvariablen und Funktionsparameter

Handbuch > Bilder > Bildelemente bearbeiten > Verknüpfungen von Variablen und Funktionen ersetzen > Indizes ersetzen > Multiples ersetzen mit Indizierungsvariablen und Funktionsparameter

Die Parameter für Indizierungsvariablen und Funktionen können beliebig kombiniert und beliebig oft verwendet werden.

Regeln:

Wird der Parameter als Zeichenkette {X01} projektiert und dieser Index existiert für Indizierungsvariablen, dann wird {X01} nicht durch den Wert der Indzierungsvariablen ersetzt, sondern nur {PARAM} durch die Zeichenfolge {X01}, ohne dass nach einer zugehörigen Variablen gesucht wird.

Beispiele

Unterschiedliche Parameter

  • Basiswerte:
    • Der Wert für die Eigenschaft Parameter für Substitution ist 1.
    • Index X01 hat den Wert 2.
    • Index X02 hat den Wert 3.
  • Regel:
    • Ersetze monitor[3] durch monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Ergebnis:
    • monitor[12313]

Parameter für Funktion ist ident mit Parameter für Inzierungsvariablen

  • Basiswerte:
    • Der Wert für die Eigenschaft Parameter für Substitution ist {X01}.
    • Index X01 hat den Wert 2.
    • Index X02 hat den Wert 3.
  • Regel:
    • Ersetze monitor[3] durch monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Ergebnis:
    • mon[{X01}23{X01}3]


Hintergrundgrafiken

Handbuch > Bilder > Bildelemente bearbeiten > Hintergrundgrafiken

In jedem Bild kann im Hintergrund, eine Grafikdatei angezeigt werden. Diese Grafik ist in der hintersten Sichtbarkeitsebene positioniert und wird von allen anderen Elementen des Bildes überdeckt. Die Funktionalität ist analog zur Hintergrundgrafik des Windows Desktop zu sehen.

Zur Positionierung stehen Möglichkeiten wie zentriert oder gekachelt zur Verfügung. Ein freies verschieben ist nicht möglich.

Es können nur Grafikdateien verwendet werden, die bereits im Projekt im Bereich Dateien/Grafiken zur Verfügung stehen. Siehe bei: Dateien.

Tipp: Wenn Sie für mehrere Bilder dieselbe Hintergundgrafik verwenden wollen, können Sie die Hintergrundgrafik bereits bei den Schablonen festlegen. Siehe bei: Hintergrundgrafiken bei Schablonen

Tipp: Alternativ kann auch ein Button mit einer Grafikdatei ohne verknüpfte Funktion zur Darstellung einer frei positionierbaren Grafikdatei verwendet werden


Funktionen

Handbuch > Bilder > Bildelemente bearbeiten > Funktionen

Zur Auswahl von Funktionen wird ein gefilterter Dialog geöffnet:

Element

Beschreibung

Projektbaum

Definition des Projekts, aus dem die Funktion gewählt werden soll.

Auswahlfenster

Auswahl der Funktion.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bereits verknüpfte Funktionen werden gelöscht

Tipp: Dieser Dialog ist in der Größe anpassbar. Die Dialoggröße und -position wird gespeichert.

Verknüpfte Funktion ändern

  1. manuell
    • öffnen Sie in der Detailansicht des Projektmanagers die Funktionen
    • ziehen Sie die gewünschte Funktion mit gedrückter linker Maustaste auf das Element
    • die bisherige Funktion wird durch die neue ersetzt
  2. automatisch
    • wählen Sie im Kontextmenü des Elements Verknüpfungen ersetzen. Details zur Vorgangsweise finden Sie im Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.


Variablen

Handbuch > Bilder > Bildelemente bearbeiten > Variablen

Zur Auswahl von Variablen wird ein gefilterter Dialog angeboten.
Diese Variablen können teilweise auch projektübergreifend genutzt werden. Stellen Sie bei projektübergreifender Auswahl sicher, dass die entsprechenden Projekte zur Runtime verfügbar sind.

Verknüpfung einer Variable

Elemente, die nur mit einer einzelnen Variable verknüpft werden können, öffnen folgenden Dialog:

Element

Beschreibung

Projektbaum

Auswahl des Projekts, aus dem die Variable gewählt werden soll.

Auswahlfenster

Auswahl der Variablen, die verknüpft werden soll. Die Verknüpfung kann auf zwei Arten erfolgen:

  • Durch einen Doppelklick auf die gewünschte Variable: Dabei wird der Dialog automatisch geschlossen.
  • Durch Auswahl der gewünschten Variable und durch anschließendes Klicken auf OK.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bereits verknüpfte Variablen werden gelöst (z. B. verknüpfte Chargenvariablen im Archivserver)

Hinweis: Dieser Dialog ist in der Größe anpassbar. Die Position und Größe des Dialogfensters werden in Editor, Runtime und zenon Web Client projektunabhängig gespeichert.

Fehlerbehandlung

Wird die gewünschte Variable nicht angezeigt, kann dies mehrere Ursachen haben:

  • Sie haben einen Filter ausgewählt und die gewünschte Variable entspricht nicht diesem Filter: Überprüfen Sie, ob in der Filterzeile ein Filter eingetragen ist. Die unter dem Auswahlfenster angebrachte Information über gefilterte Elemente hilft ebenfalls bei der Überprüfung von eingestellten Filtern.
  • Der Dialog wird vom Editor gefiltert aufgeschaltet und die Variable entspricht nicht diesem Filter. Das gefilterte Aufschalten erfolgt dann, wenn nur bestimmte Datentypen zulässig sind. Z. B. dürfen bei einem Dynamischen Element Zahlenwert keine String-Variablen verknüpft werden.
  • Sie haben das falsche Projekt im Projektbaum ausgewählt.

attention Achtung

Der Dialog lässt generell die Auswahl mehrerer Variablen über die in Windows üblichen Tastenkombinationen zu. In Auswahldialogen für nur eine Variable kann aber auch nur eine verknüpft werden. Bei Mehrfachauswahl wird dann die als erste ausgewählte Variable dem Element zugewiesen.

Verknüpfung mehrerer Variablen

Elemente, die mit mehreren Variablen verknüpft werden können, öffnen folgenden Dialog:

Element

Beschreibung

Projektbaum

Definition des Projekts, aus dem die Variable gewählt werden soll.

Auswahlfenster

Auswahl der Variablen durch:

  • Mit Doppelklick wird die ausgewählte Variable wird der Variablenliste hinzugefügt
  • Mit Drag&Drop kann die ausgewählte Variable in die Variablenliste gezogen werden
  • Die gewünschten Variablen auswählen. Mit Hilfe der Steuerung- bzw. der Umschalt-Taste ist eine Mehrfachauswahl möglich. Mit Klick auf Hinzufügen werden die ausgewählten Variablen in die Variablenliste übernommen.

Variablenliste

Listet alle ausgewählten Variablen auf.

Hinzufügen

Fügt die aktuell im Auswahlfenster markierte Variable der Variablenliste hinzu.

Entfernen

Entfernt die in der Variablenliste markierte Variable aus der Liste.

Keine Auswahl

Je nach Element:

  • der Dialog wird abgebrochen
  • bestimmte Verknüpfungen, wie Chargenvariablen in der Archivierung, können gelöst werden

Hinweis: Dieser Dialog ist in der Größe anpassbar. Die Position und Größe des Dialogfensters werden in Editor, Runtime und zenon Web Client projektunabhängig gespeichert.

Fehlerbehandlung

Wird die gewünschte Variable nicht angezeigt, kann dies mehrere Ursachen haben:

  • Sie haben einen Filter ausgewählt und die gewünschte Variable entspricht nicht diesem Filter: Überprüfen Sie, ob in der Filterzeile ein Filter eingetragen ist. Die unter dem Auswahlfenster angebrachte Information über gefilterte Elemente hilft ebenfalls bei der Überprüfung von eingestellten Filtern.
  • Der Dialog wird vom Editor gefiltert aufgeschaltet und die Variable entspricht nicht diesem Filter. Das gefilterte Aufschalten erfolgt dann, wenn nur bestimmte Datentypen zulässig sind. Z. B. dürfen bei einem Dynamischen Element Zahlenwert keine String-Variablen verknüpft werden.
  • Sie haben das falsche Projekt im Projektbaum ausgewählt.

Verknüpfte Variable ändern

Wählen Sie im Kontextmenü des Elements Verknüpfungen ersetzen. Details zur Vorgangsweise finden Sie im Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.


Schablonen

Handbuch > Bilder > Schablonen

Schablonen bilden die Grundlage für das Layout der Fenster und der zur Runtime angezeigten Bilder. Sie strukturieren die Darstellung am Bildschirm und bestimmen die Position. Jedes Bild wird einer Schablone zugeordnet und in dem durch die Schablone definierten Bildschirmbereich angezeigt.

Schablonen bestimmen die allgemeinen Fenstereigenschaften wie Position, Größe, Aussehen und Manipulationsmöglichkeiten zur Laufzeit.

Schablonen:

  • bieten Übersicht über alle in einem Projekt definierten Bildbereiche.
  • können über die Eigenschaft Freie Schablonenform definieren frei gestaltet werden.
  • ermöglichen das Zuweisen von speziellen Funktionen auf alle in einer Schablone vorhandenen Bilder, z. B.:

    Bild zurück, Fokus auf Schablone setzen, Fokus von Schablone nehmen, Schablone schließen, Alarme Blink-Quittierung, Screenshot drucken.

  • ändern alle Bilder, die auf der entsprechenden Schablone basieren
  • Bilder erscheinen zur Runtime immer in der gleichen Größe an der definierten Stelle und können nicht beliebig verschoben werden
  • können bei Fokusverlust zur Runtime automatisch geschlossen werden
  • Bilder innerhalb einer Schablone können im Onlinebetrieb beliebig ausgetauscht werden

info Info

Existiert bei der Erstellung eines Bildes noch keine Schablone, dann erstellt zenon automatisch eine Default-Schablone, die den ganzen Bildschirm umfasst.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Schablone neu | Legt eine neue Schablone an.
Schabloneneditor öffnen | Öffnet den Schabloneneditor im Hauptfenster und zeigt in der Detailansicht die Liste der Schablonen an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei. Hinweis: Beim XML-Import über den Knoten Schablonen werden vorhandene Schablonen überschrieben. In diesem Fall werden alle Bilder und deren Elemente an die neue Schablone angepasst.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Schablone Detailansicht Symbolleiste und Kontextmenü

Schabloneneditor

Hintergrundgrafiken bei Schablonen festlegen

Verteiltes Engineering bei Schablonen

Hauptschablonen

Effekte für Schablonen


Schablone Detailansicht Symbolleiste und Kontextmenü

Handbuch > Bilder > Schablonen > Schablone Detailansicht Symbolleiste und Kontextmenü

Menüpunkt | Aktion
Schablone neu | Fügt eine neue Schablone zur Liste hinzu und setzt den Fokus auf diesen Eintrag.
Schabloneneditor öffnen | Öffnet den Schabloneneditor im Hauptfenster.
Freie Schablonenform definieren | Wechselt ins Hauptfenster zur Definition einer freien Schablonenform.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei. Hinweis: Beim XML-Import über den Knoten Schablonen werden vorhandene Schablonen überschrieben. In diesem Fall werden alle Bilder und deren Elemente an die neue Schablone angepasst.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Schabloneneditor

Handbuch > Bilder > Schablonen > Schabloneneditor

Im Schablonen Editor definieren und positionieren Sie alle Schablonen.

Noch in diesem Kapitel

Öffnen des Schabloneneditors

Neue Schablone erstellen

Positionierung und Aktionen zur Runtime

Schablone mehrfach aufschalten

Löschen von Schablonen


Öffnen des Schabloneneditors

Handbuch > Bilder > Schablonen > Schabloneneditor > Öffnen des Schabloneneditors

Um den Schabloneneditor zu öffnen:

  • klicken Sie im Projektmanager in der Detailansicht für Schablonen doppelt auf die gewünschte Schablone

    oder

  • wählen Sie Projektmanager -> Schablonen -> Kontextmenü -> Schabloneneditor öffnen

Die im Schabloneneditor dargestellte Größe hängt von der in der Bildschirmverwaltung eingestellten Bildschirmgröße ab. (Siehe Kapitel Bildschirm Verwaltung.) Wird die Bildschirmeinstellung im Nachhinein geändert, muss der Schabloneneditor neu geöffnet werden, damit er die neue Bildschirmeinstellung berücksichtigt.

Die rote Schablone für die Alarmstatuszeile wird von zenon für jedes Projekt automatisch an oberen Bildrand angelegt. Ihre Position kann über die Eigenschaften in der Gruppe Position verändert werden. Dazu muss die Eigenschaft Standardposition verwenden deaktiviert werden.


Neue Schablone erstellen

Handbuch > Bilder > Schablonen > Schabloneneditor > Neue Schablone erstellen

Um eine neue Schablone zu erstellen, haben Sie zwei Möglichkeiten:

  • Neue Schablone in der in den Bildschirmeigenschaften definierten Größe anlegen:
    Projektmanager -> Schablonen -> Kontextmenü -> Neue Schablone anlegen

oder

Detailansicht Schablonen -> Kontextmenü -> Schablone neu

  • Neue Schablone aufziehen:

Hauptfenster-> Kontextmenü -> Neue Schablone aufziehen

Hinweis: Der Mauszeiger wird zu einem Symbol mit vier Spitzen, sobald Sie in den Bereich der Schablone kommen. Drücken Sie die linke Maustaste und halten Sie diese gedrückt, um die Schablone an die gewünschte Stelle zu ziehen. Wenn Sie in eine Ecke des Randbereichs der Schablone klicken, wird der Mauszeiger zu einem doppelseitigen Pfeilsymbol. Damit können Sie die Schablone auf die gewünschte Größe aufziehen.

Neue Schablone erstellen

Um eine Schablone zu erstellen:

  1. Wählen Sie im Projektmanager, im Knoten Bilder den Unterpunkt Schablonen.
  2. Wählen Sie im Kontextmenü Schablone neu.
  3. Eine neue Schablone wird erstellt.
  4. Die Anfangsgröße wird durch die Größe des Displays bestimmt.
  5. Klicken Sie in die neue Schablone und ziehen sie die Schablone über die Anfasspunkte in die gewünschte Größe.

    Die Größe, sowie die Aufschaltgröße zur Runtime und die Eigenschaften für das Verschieben werden über die Eigenschaften in der Gruppe Position modifiziert.

  6. Positionieren Sie die Schablone an der gewünschten Stelle im Fenster.
  7. Definieren Sie im Eigenschaftenfenster die gewünschten Eigenschaften.

attention Achtung

Erhalten Schablonen im Globalprojekt und im Unterprojekt den gleichen Namen, dann werden Schablonen im Globalprojekt automatisch mit dem Präfix g_ versehen.

Example Beispiel

Im gesamten Projekt sollen drei Bereiche vorhanden sein:

  • Am oberen Bildschirmrand eine Kopfzeile mit Uhrzeit und Logo.
    Für diesen Bereich wird eine Schablone Kopfzeile definiert. Diese legt Größe und Position der Kopfzeile fest.
  • Am unteren Bildschirmrand eine Menüzeile.
    Eine Schablone Menüzeile wird angelegt.
  • Dazwischen Anlagenbilder.
    Eine Schablone Schaubild wird angelegt.

Schablonen werden immer an der definierten Stelle in der definierten Größe angezeigt. Alle in der Folge gezeichneten Bilder werden einer dieser Schablonen fest zugeordnet und zur Runtime darin aufgeschaltet. Soll die Bildschirmaufteilung geändert werden, weil z. B. die Menüzeile oben angezeigt werden soll und die Kopfzeile als Fußzeile, muss nur die Position der Schablonen geändert werden. Die in den Schablonen enthaltenen Bilder wandern automatisch mit.

Tipp: Platzieren Sie Schablonen nie direkt übereinander. So stellen Sie sicher, dass Sie zur Runtime immer Zugriff auf alle Bilder haben.

Größe zur Runtime verändern

Wenn die Größe einer Schablone zur Runtime verändert werden kann, können die erlaubten Größenveränderungen über folgende Eigenschaften der Gruppe Position beschränkt werden:

  • Breite(Minimum) [Pixel]: Legt die minimale Breite fest.
  • Breite(Maximum) [Pixel]: Legt die maximale Breite fest.
  • Höhe(Minimum) [Pixel]: Legt die minimale Höhe fest.
  • Höhe(Maximum) [Pixel]: Legt die maximale Höhe fest.

Diese Beschränkungen haben nur bei Manipulation per Multi-Touch Geste eine Auswirkung.

Positionieren von Schablonen

Position und Ausrichtung einer Schablone oder einer Gruppe ausgewählter Schablonen kann im Hauptfenster über das Kontextmenü Anordnen ausgewählt werden.

Anordnen mit Fangpunkten

Wenn die Einstellung Fangpunkte verwenden aktiviert wurde, (siehe Kapitel Editor, Abschnitt Einstellungen), haften die Anfasspunkte der Schablone an denen anderer Schablonen an. Zusätzlich können Schablonen an dem Bildschirmrand und an der eventuell sichtbaren Alarmzeile (wenn diese im Projekt aktiviert wurde) anhaften.

Noch in diesem Kapitel

Schablone mit freier Schablonenform

Schablonen im Schabloneneditor anzeigen


Schablone mit freier Schablonenform

Handbuch > Bilder > Schablonen > Schabloneneditor > Neue Schablone erstellen > Schablone mit freier Schablonenform

Sie können die Schablonenform mithilfe der Eigenschaft Freie Schablonenform Ihren individuellen Wünschen anpassen. Nachdem Sie diese Eigenschaft aktiviert haben, gelangen Sie auf eine der folgenden Arten in den Schablonenform-Editor:

  • Klicken Sie auf die Schaltfläche der Eigenschaft Freie Schablonenform definieren
  • Klicken Sie auf das entsprechende Symbol in der Symbolleiste der Schablonen
  • Wählen Sie den Menüeintrag Freie Schablonenform definieren im Kontextmenü bei der Schablonenauswahl
  • Wählen Sie den Menüeintrag Freie Schablonenform definieren im Kontextmenü im Schabloneneditor
  • Führen Sie einen Doppelklick auf eine Schablone im Schabloneneditor aus

Hier können Sie mit den Elementen Rechteck, Kreis, abgerundetes Rechteck und Polygone die Schablone nach Ihren Wünschen erstellen. Der transparente Bereich wird als weiß-graues Schachbrettmuster dargestellt.

info Info

Freie Schablonenform steht nicht zur Verfügung:

  • für Schablone Alarmstatuszeile
  • unter Windows CE

Wird die Eigenschaft Freie Schablonenform definieren deaktiviert, wird eine bereits bestehende freie Schablonenform weder im Schabloneneditor noch im Bildeditor angezeigt.

Freie Schablonenform kann nicht verwendet werden mit Rahmen.

Mithilfe der Eigenschaft Flächenverwendung, entscheiden Sie, wie das jeweilige Element das Aussehen der Schablone beeinflusst. Dazu stehen Ihnen folgende Einstellungen zur Verfügung:

Parameter | Beschreibung
Abdecken | Die Fläche des Elements wird als Bildbereich verwendet.
Ausschneiden | Die Fläche des Elements wird von den darunterliegenden Flächen entfernt. So können Sie z. B. "Löcher" in der Schablone erzeugen.
Verodert | Je nachdem, ob sich unter dem Element eine abdeckende Fläche befindet oder nicht, wird entweder ausgeschnitten oder abgedeckt.
info Info
Die Flächenverwendung bezieht sich immer auf die unter dem Element liegenden Flächen. Wenn Sie z. B. ein abdeckendes Element über ein ausschneidendes Element zeichnen, wird die Fläche ausgefüllt angezeigt. Wenn Sie die Reihenfolge umkehren, wird von dem abdeckenden Element das ausschneidende Element abgezogen.


Schablonen im Schabloneneditor anzeigen

Handbuch > Bilder > Schablonen > Schabloneneditor > Neue Schablone erstellen > Schablonen im Schabloneneditor anzeigen

Schablonen können im Schabloneneditor sichtbar oder unsichtbar geschaltet werden per:

  • Eigenschaft Anzeige im Schabloneneditor:
    aktiviert: zeigt Schablone an
  • Drag&Drop:
    unsichtbar: Schablone aus dem Hauptfenster ziehen
    sichtbar: Schablone aus der Detailansicht ins Hauptfenster ziehen
  • Detailansicht -> Ansicht im Schabloneneditor:
    unsichtbar: Checkbox deaktivieren
    sichtbar: Checkbox aktivieren

Informationen über Name und Position der Schablone erhalten Sie in der linken oberen Ecke der Schablone und per Tooltip, wenn Sie den Mauszeiger über die Schablone bewegen.

info Info

Ein Systemmenü oder eine Alarmstatuszeile werden im Schabloneneditor automatisch berücksichtigt und immer im Vordergrund dargestellt. Eine falsch positionierte Schablone kann damit zur Runtime keine wichtigen Informationen verdecken.


Positionierung und Aktionen zur Runtime

Handbuch > Bilder > Schablonen > Schabloneneditor > Positionierung und Aktionen zur Runtime

Schablonen können zur Runtime an festen oder relativ definierten Positionen aufgeschaltet werden. So lassen sich zum Beispiel Keyboard-Bilder oder Popup-Bilder genau dort positionieren, wo sich der Mauszeiger oder das aufschaltende Element befinden. Schablone können zur Runtime aufgeschaltet werden:

  • an einer absoluten Position
  • relativ zur Mausposition
  • relativ zum Element

Absolute und relative Position werden in den Eigenschaften der Schablone im zenon Editor definiert.

Position beim Neuaufschalten beibehalten

Fenster beziehen ihre Bildschirmposition immer aus der Schablone. Werden Popup-Bilder projektiert und während der Runtime verschoben, wird bei der nächsten Ausführung der Bildumschaltungs-Funktion das Popup-Bild wieder an die projektierte Position verschoben. Mithilfe der Eigenschaft Position und Größe beim Neuaufschalten beibehalten kann festgelegt werden, dass die Schablone ihre Position beibehält, solange sie geöffnet ist, unabhängig von Bildumschaltungen. Ist die Eigenschaft aktiv:

  • Wird ein Bild in der Runtime in einer manuell verschobenen Schablone geöffnet, bleibt deren Position und Größe auch bei einer erneuten Bildumschaltung erhalten.
  • Wird ein anderes Bild in der gleichen Schablone geöffnet, bleibt deren Position und Größe erhalten. Das gilt auch für den substituierten Aufruf.

Damit kann auf jedem Client eine andere Position für eine Schablone verwendet werden, da immer die lokale Position gespeichert wird.

Absolute Positionierung

Die Schablone wird immer an den fest definierten Koordinaten aufgeschaltet. Bei allen Bildaufschaltungen, die automatisch durch das System erfolgen, wie z. B. durch die Zeitsteuerung oder eine Grenzwertverletzung, wird immer die absolute Bildschirmposition verwendet.

Relative Positionierung

Die relative Positionierung eignet sich besonders für die Aufschaltung von Popups, Tastaturbildern oder Befehlsgabe-Bildern. Sie ist bei allen Bildumschaltungen, Sollwertvorgaben mit frei definierten Keyboardbildern und allen Befehlsgabe-Bildern, die vom Benutzer manuell angestoßen werden, möglich. Dabei ist es unerheblich, ob die Aktion über eine Bildumschaltungs-Funktion, Sollwertsetzen-Funktion oder direkt über ein Element angestoßen wird. Relative Positionierung steht Ihnen zur Verfügung bei:

  • dynamischen Elementen, denen man eine Funktion zuweisen kann
  • dynamischen Elementen, über die ein Sollwert abgesetzt werden kann (Button, Combi-Element)
  • Haupt- und Kontextmenüs
  • der bildtypspezifischen Funktion "Funktion ausführen" im Bild Alarmmeldeliste

Die relative Positionierung funktioniert auch in verschachtelten Funktionsaufrufen, also wenn Bildumschalten oder Sollwert setzen über ein Skript angestoßen werden. Falls das Bild bei relativer Positionierung über den Bildschirmrand ragen würde, wird es automatisch bündig am Bildschirmrand positioniert. Das gilt auch bei Mehrbildschirmverwaltung, sodass es nicht in den benachbarten Bildschirm ragen kann.

attention Achtung

Die relative Positionierung funktioniert nur bei direktem Aufruf durch den Benutzer, aber nicht bei automatisierten Funktionen oder über VBA.

Relativ zum Element

Positioniert den Bezugspunkt der Schablone relativ zu dem Element, von dem aus die Bildumschaltung angestoßen wurde (z. B. ein Button- oder ein Combi-Element). Zur Runtime wird dann der Bezugspunkt der Schablone immer auf den errechneten Bezugspunkt des Elements gelegt. Kann die Schablone an dieser Position nicht aufgeschaltet werden, da das Bild dadurch außerhalb des sichtbaren Bildschirmbereichs wäre, werden die Alternativbezugspunkte verwendet.

Legen Sie erst einen Bezugspunkt für Ihre Schablone fest und dann die bevorzugte Position am Element. Folgende Einstellungen stehen zur Verfügung:

Eigenschaft

Wert

Bezugspunkt Element vertikal
  • unten
  • oben

Bezugspunkt Element horizontal
  • links
  • rechts

Verschiebung vertikal in Pixel

Geben Sie die gewünschte Verschiebung ein

Verschiebung horizontal in Pixel

Geben Sie die gewünschte Verschiebung ein

Alternative Position

Legen Sie hier eine alternative Position für den Bezugspunkt der Schablone und den Bezugspunkt am Element an. Gehen Sie bei der Festlegung der alternativen Position genau so vor wie bei der Festlegung der bevorzugten Position. Die alternative Position wird verwendet, wenn die Schablone an der bevorzugten Position nicht aufgeschaltet werden kann.

Relativ zum Mauszeiger

Das Bild wird abhängig von der Position des Mauszeigers dargestellt. Befindet sich der Bezugspunkt links oben, wird die Schablone vom Bezugspunkt ausgehend nach rechts unten aufgeschaltet. Kann das Bild an der projektierten Position nicht vollständig dargestellt werden, wird die Position soweit verschoben, dass das gesamte Bild innerhalb des dargestellten Bereichs des Bildschirms bleibt.

Legen Sie den Bezugspunkt der Schablone über die beiden Eigenschaften Bezugspunkt Schablone vertikal und Bezugspunkt Schablone horizontal fest. Der Bezugspunkt wird auf der Schablone mit einem roten Punkt gekennzeichnet. Folgende Einstellungen stehen Ihnen zur Verfügung:

Eigenschaft

Wert

Bezugspunkt Schablone vertikal
  • oben
  • unten
  • zentriert

Bezugspunkt Schablone horizontal
  • links
  • rechts
  • zentriert

Example Beispiel

Sie haben einen Button am rechten Bildschirmrand und positionieren ein Popup-Fenster deshalb rechts daneben:

  • Bezugspunkt Element: rechts/zentriert
  • Bezugspunkt Schablone: links/zentriert

Zur Runtime wird dann rechts neben dem Button genau in der Mitte zentriert das Popup-Fenster aufgeschaltet. Das Popup-Fenster wird den Button nicht verdecken.

Sie verwenden dieselbe Schablone auch für einen Button am linken Bildschirmrand. Das Popup-Bild könnte rechts nicht mehr vollständig aufgeschaltet werden. Es wird daher die projektierte Alternativposition verwendet. Dafür setzen Sie den

  • alternativen Bezugspunkt für das Element auf: Links/zentriert
  • den alternativen Bezugspunkt der Schablone auf Rechts/zentriert

Größe zur Runtime verändern

Die Größe, mit der ein Bild zur Runtime aufgeschaltet wird und die erlaubten Größenveränderungen werden über die Eigenschaften der Gruppe Position konfiguriert. Navigieren Sie dazu im zenon Editor in den Knoten Bilder. Klicken Sie dort den Unterknoten Schablonen und wählen Sie im Vorschaufenster eine projektierte Schablone.

Eigenschaft

Beschreibung

Breite (Maximum) [Pixel]:

Legt die maximale Breite fest.

Höhe (Maximum) [Pixel]:

Legt die maximale Höhe fest.

Begrenzung Minimum:

Definiert Begrenzungen für Minimum. Mögliche Werte:

  • Ohne: Keine Begrenzung.
    Wird ein anderer Wert gewählt, dann wird im Schablonenfenster die gewählte Begrenzung zur Runtime mit einer strichlierten Linie angezeigt.
  • Breite: Begrenzung auf Breite.
  • Höhe: Begrenzung auf Höhe.
  • Relativ: Begrenzung auf einen Prozentwert der eingestellten Bildgröße.

Wirkt sich nur auf Multi-Touch Gesten aus. Die entsprechenden Werte werden über die Eigenschaft Wert (Minimum) definiert.

Default: Ohne

Aufschaltgröße:

Definiert die Größe, mit der ein auf dieser Schablone basierendes Bild zur Runtime aufgeschaltet wird:

  • Schablonengröße: Größe wie in Breite (Maximum) [Pixel] und Höhe (Maximum) [Pixel] definiert.
    Wird ein anderer Wert gewählt, dann wird im Schablonenfenster die Größe zur Runtime mit einer gepunkteten Linie angezeigt.
  • Breite [px]: Breite wie in Wert (Aufschaltgröße) definiert, Höhe wird entsprechend angepasst.
  • Höhe [px]: Größe wie in Wert (Aufschaltgröße) definiert, Breite wird entsprechend angepasst.
  • Relativ [%]: Die in Breite (Maximum) [Pixel] und Höhe (Maximum) [Pixel] definiert Größe wird auf den in Wert (Aufschaltgröße) definierten Prozentwert geändert.

Die entsprechenden Werte werden über die Eigenschaft Wert (Aufschaltgröße) definiert.

Default: Schablonengröße

Verschieben und Zoomen

Schablonen können zur Runtime verschoben und gezoomt werden.

Verschieben

Das Verschieben bezieht sich immer auf die in der Bildschirmverwaltung definierten Bildschirme. Unter Windows CE werden diese Einstellungen nicht beachtet.

Das Verschieben von Schablonen zur Runtime kann begrenzt werden auf:

  • Schablonenrand:
    Die Schablone kann nicht über die Bildschirmgrenze bewegt werden.
  • Schablonenrandbereich:
    Die Schablone kann über die Bildschirmgrenze hinaus bewegt werden. Es muss aber ein Bereich am Bildschirm verbleiben (Minimaler Schablonenrandbereich), an dem sie für weiteres Aktionen berührt werden kann.

Die Begrenzung wird nur wirksam, wenn sich die Schablone bereits beim Öffnen innerhalb der definierten Grenze befindet. Wird das Verschieben einer Schablone nicht begrenzt, kann sie - zum Beispiel mit Multi-Touch Gesten - über den sichtbaren Bereich hinaus verschoben werden.

info Info

Das Verschieben von Schablonen ist vor allem für den Full-Screen-Betrieb gedacht. Die Runtime-Anwendung selbst sollte nicht auf einen anderen Bildschirm verschoben werden. Wird die Runtime verschoben, kann das zu Einschränkungen beim Bewegen führen.

Zoomen

Die Begrenzungen gelten auch für das Zoomen. Wird beim Zoomen eine Grenze erreicht, dann wird versucht, das Zoomen im freien Raum fortzuführen. Dabei bleibt das Seitenverhältnis erhalten.

Überblick verschieben und zoomen

Beim Verschieben und Zoomen verhalten sich Schablonen abhängig von den getroffenen Einstellungen wie folgt:


Schablone mehrfach aufschalten

Handbuch > Bilder > Schablonen > Schabloneneditor > Schablone mehrfach aufschalten

Schablonen können zur Runtime mehrfach aufgeschaltet werden. Damit können auch Bilder mehrfach aufgeschaltet werden. Um Schablonen mehrfach aufschaltbar zu machen, aktivieren Sie die Eigenschaft Schablone mehrfach aufschaltbar in der Gruppe Allgemein der Schabloneneigenschaften.

Bei aktiver Option wird die Schablone bei jeder Bildaufschaltung als eigenständige Instanz angelegt. Das bedeutet: Bilder, die zuvor in dieser Schablone geöffnet wurden, bleiben weiter geöffnet.

Zum Beispiel: Ein Bild wird 100 Mal aufgeschaltet:

  • Schablone mehrfach aufschaltbar aktiv: 100 Bilder sind am Bildschirm geöffnet
  • Schablone mehrfach aufschaltbar inaktiv: 1 Bild ist am Bildschirm geöffnet

Hinweise zur Projektierung

Werden mehrfach geöffnete Bilder durch andere überdeckt, kann es passieren, dass diese Bilder unsichtbar und unzugänglich im Hintergrund bis zur Beendigung der Runtime geöffnet bleiben.

Der Projektant muss also sicherstellen, dass keine Bilder auf diese Weise in den Hintergrund gelangen.
Empfehlungen:

  • Aktivierung der Eigenschaft Immer im Vordergrund: Diese hält die Schablone/das Bild immer im Vordergrund.
  • Projektierung der Funktion Schablone schließen: Diese schließt alle Bilder, die auf dieser Schablone basieren, auch alle im Hintergrund geöffneten.
  • Schablonen frei platzierbar projektieren: Bediener sollen zur Runtime Schablonen am Bildschirm nach ihren Anforderungen platzieren können. Zum Beispiel über Touch-Bedienung oder mit der Maus oder Konfiguration der relative Position der Schablone zu einem Bedienelement oder Mauszeiger.

Empfehlung: Diese Option eignet sich vor allem zur Projektierung von Pop-ups.

Nur einmal pro Symbol öffnen

Um ein Bild nur einmal pro Symbol zu öffnen, projektieren Sie einen Button, der nach dem ersten Öffnen unsichtbar geschaltet wird:

  1. erstellen Sie im Symbol einen Button
  2. steuern Sie die Sichtbarkeit des Buttons mit einer Bool Variablen
  3. setzen Sie im Bild diese Bool Variable als Bild-aktiv Variable

Sobald das Bild einmal geöffnet wurde, ist der Button nicht mehr bedienbar.

Verhalten bei Fokusverlust

Schablonen können bei Fokusverlust automatisch geschlossen werden. Dabei werden alle auf dieser Schablone beruhenden Bilder geschlossen. Um Schablonen bei Fokusverlust automatisch zu schließen, aktivieren Sie die Eigenschaft Schließen bei Fokusverlust.

Dieses Schließen bei Fokusverlust kann auch unterdrückt werden. Dazu aktivieren Sie die Eigenschaft Schließen bei Fokusverlust unterdrücken. Wenn diese Schablone den Fokus erhält, dann bleiben alle anderen Schablonen mit aktivierter Eigenschaft Schließen bei Fokusverlust trotz Fokusverlust geöffnet.


Löschen von Schablonen

Handbuch > Bilder > Schablonen > Schabloneneditor > Löschen von Schablonen

Um Schablonen zu löschen können Sie:

  • eine oder mehrere Schablonen mit der Maus markieren und im Kontextmenü löschen wählen oder die Entfernen-Taste drücken
  • eine oder mehrere Schablonen in der Detailansicht markieren und im Kontextmenü löschen wählen oder die Entfernen-Taste drücken

Vor dem Löschen erfolgt eine Sicherheitsabfrage.

attention Achtung

Das Löschen von Schablonen kann nicht rückgängig gemacht werden.


Hintergrundgrafiken bei Schablonen festlegen

Handbuch > Bilder > Schablonen > Hintergrundgrafiken bei Schablonen festlegen

In jedem Bild kann im Hintergrund, eine Grafikdatei angezeigt werden. Diese Grafik ist in der hintersten Sichtbarkeitsebene positioniert und wird von allen anderen Elementen des Bildes überdeckt. Die Positionierung erfolgt über die Eigenschaften, freies Verschieben ist nicht möglich. Es können nur Grafikdateien verwendet werden, die bereits im Projektmanager im Bereich Dateien/Grafiken zur Verfügung stehen.

Sollen mehrere Bilder die gleiche Hintergrundgrafik benutzen, wird diese mit der Schablone des Bildes definiert:

  1. klicken Sie in den Eigenschaften der Schablone im Knoten Hintergrundgrafik in die Eigenschaft Grafikdatei
  2. wählen Sie eine Datei aus dem Knoten Dateien/Grafiken im Projektmanager
  3. legen Sie mit der Eigenschaft Ausrichtung die Position fest

Diese Grafikdatei wird dann bei allen Bildern, die mit dieser Schablone neu angelegt werden, verwendet. Es kann aber weiterhin für jedes Bild eine individuelle Grafikdatei als Hintergrundbild festgelegt werden.

Achtung! Die Grafikdatei wird mit den Bildern gespeichert. Eine Änderung der Grafikdatei oder deren Ausrichtung bei der Schablone wirkt sich nur für neue Bilder aus. Für bestehende Bilder muss diese Änderung manuell nachgezogen werden.


Verteiltes Engineering bei Schablonen

Handbuch > Bilder > Schablonen > Verteiltes Engineering bei Schablonen

Im Mehrbenutzer-Betrieb sind alle üblichen Mechanismen zum Bearbeiten und Übernehmen von Bearbeitungen implementiert. Allerdings wird im Schabloneneditor im Gegensatz zu den Bildern jede Schablone für sich behandelt und nicht das ganze Bild zur Änderung freigegeben. Schablonen, an denen keine Änderungen zugelassen wurden, sind zur besseren Übersicht mit gepunktetem Rand gekennzeichnet.


Hauptschablonen

Handbuch > Bilder > Schablonen > Hauptschablonen

Im Dialog Hauptschablone werden die Schablonen definiert, die von der Systemtreibervariablen Zuletzt geöffnetes Bild berücksichtigt werden.

Um Schablonen zu definieren:

  1. Navigieren Sie zur Projekteigenschaft Hauptschablonen im Knoten Grafische Ausprägung/Runtime allgemein.
  2. Klicken Sie auf die Schaltfläche ....

    Der Dialog zur Auswahl der Schablonen wird geöffnet:

  3. Wählen Sie die gewünschten Schablonen durch Mausklick aus oder ab.
    Ausgewählte Schablonen werden blau hinterlegt angezeigt.
  4. Klicken Sie auf OK, um die Auswahl zu übernehmen und den Dialog zu schließen.


Effekte für Schablonen

Handbuch > Bilder > Schablonen > Effekte für Schablonen

Schablonen können auch mit Effekten ausgestattet werden.

Weitere Effekte für Bildelemente finden Sie im Kapitel Effekte für Bildelemente.

Noch in diesem Kapitel

Schablone hervorheben


Schablone hervorheben

Handbuch > Bilder > Schablonen > Effekte für Schablonen > Schablone hervorheben

Mit Schablone hervorheben kann ein Bild hervorgehoben werden, um zum Beispiel die Aufmerksamkeit darauf zu lenken. Dazu wird die Schablone, auf der das Bild basiert, hervorgehoben, indem der restliche Bereich der Runtime eingefärbt wird. Für die Umgebung der Schablone des Bildes werden dabei eine Farbe und eine Transparenz definiert, die das darunter liegende Bild überdecken. Das darunter liegende Bild kann nicht bedient werden.

Hinweis:

  • Die Bilder müssen auf unterschiedlichen Schablonen unterschiedlicher Größe basieren.
  • Es darf immer nur ein Bild mit aktiver Eigenschaft Schablone hervorheben gleichzeitig aufgeschaltet werden.
  • Es können Bilder aus dem hervorgehobenen Bild heraus aufgeschaltet werden, sofern diese ebenfalls die Eigenschaft Schablone hervorheben aktiviert haben. Diese werden ebenfalls hervorgehoben.
    So kann zum Beispiel aus einer Liste heraus eine Tastatur aufgeschaltet werden. Liste und Tastatur werden dann beide hervorgehoben dargestellt.

    Achtung: Aus einem modalen Bild heraus darf kein nicht-modales Bild aufgeschaltet werden!
    Wird ein nicht-modales Bild über einem modalen aufgeschaltet, dann ist dieses Bild zwar sichtbar, aber nicht bedienbar. Das darunter liegende modale Bild ist ebenfalls nicht bedienbar, da es verdeckt ist. Damit ist die Runtime blockiert!

  • Diese Einstellung wird bei Verwendung in einem Faceplate-Container ignoriert.

Konfiguration

Mit der Eigenschaft Schablone hervorheben können Sie ein kleineres Bild über einem größeren Bild aufschalten.

Konfiguration:

  1. Navigieren Sie in den Bildeigenschaften zur Gruppe Darstellung.
  2. Aktivieren Sie die Eigenschaft Modaler Dialog.
  3. Aktivieren Sie die Eigenschaft Schablone hervorheben.
  4. Konfigurieren Sie mit der Eigenschaft Umgebungsfarbe die Farbe, mit der die Umgebung des aktiven Bildes eingefärbt werden soll.
    Diese Eigenschaft wirkt sich immer auf die Schablone, auf der das Bild beruht, aus.
  5. Konfigurieren Sie mit der Eigenschaft Umgebungstransparenz die Transparenz für die Eigenschaft Umgebungsfarbe.
  6. Projektieren Sie für das Bild einen Button, um es zur Runtime schließen zu können.

Sobald Sie dieses Bild über einem anderen aufschalten, wird der Bereich rund um die Schablone des Bildes eingefärbt und das Bild damit optisch hervorgehoben. Es ist nur noch dieses Bild bedienbar. Nach dem Schließen des Bildes, werden andere Bilder wieder in normaler Farbe und bedienbar angezeigt.

Beispiel

Bild wird aufgeschaltet:

Zweites Bild mit aktiviertem Effekt Schablone hervorheben wird dazugeschaltet. Alles außerhalb der Schablone des zugeschalteten Bildes wird mit der in Eigenschaft Umgebungsfarbe definierten Farbe und in Eigenschaft Umgebungstransparenz definierten Transparenz abgedeckt:


Farbpaletten

Handbuch > Bilder > Farbpaletten

Farbpaletten ermöglichen es, individuelle Farben in Farbpaletten zusammenzufassen. Sie können sich so ein Set von Farben definieren, dass sich sowohl im Editor als auch in der Runtime jederzeit einfach umschalten lässt. Alle Farben, die mit Hilfe der Palettenfarben definiert worden sind, lassen sich damit einfach austauschen; zentral oder mit Hilfe eines Globalprojekts auch global. Die Farben der Farbpaletten können überall verwendet werden, wo Farben genutzt werden.

Damit ist auch die Umsetzung von Vorgaben aus dem Corporate Designs problemlos möglich. Bei Bedarf kann das Design komplett getauscht werden (Palette wechseln) oder es können auch nur einzelne Farben (Farbe in Palette ändern) zentral geändert werden.

info Info

Verwenden Sie zenon Farbpaletten nicht für dynamische Grenzwertfarben bei zenon Projekten, deren Daten für den zenon Analyzer exportiert werden. Im zenon Analyzer können Grenzwertfarben nicht dynamisch geändert werden. Informationen aus Farbpaletten können damit nicht ausgewertet werden. Das kann zu nicht lesbaren Grafiken führen.

Projektierung

Farbpaletten werden im Editor erstellt, können exportiert und importiert werden und lassen sich zur Runtime über eine Funktion umschalten. Farbpaletten lassen sich sowohl im Globalprojekt als auch im lokalen Projekt anlegen.

Hinweis: Alle Paletten eines Projektes enthalten immer gleich viele Farben. Damit kann die Anzahl der Farben zwischen Globalprojekt und lokalem Projekt differieren.

attention Achtung

Bei Konflikten zur Runtime haben die Farbpaletten des lokalen Projekts Vorrang.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Farbpalette neu | Legt eine neue Farbpalette mit dem Standardnamen Color palette plus fortlaufender Indexnummer an.
Alle als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Farbpaletten Symbolleiste und Kontextmenü Detailansicht

Farbpaletten anlegen und bearbeiten

Farben anlegen und bearbeiten

Farbpaletten im Editor verwenden

Runtime-Dateien erzeugen

Funktion Farbpalette umschalten

Export und Import

Fehlermeldungen

Beispiel für Editor und Runtime


Farbpaletten Symbolleiste und Kontextmenü Detailansicht

Handbuch > Bilder > Farbpaletten > Farbpaletten Symbolleiste und Kontextmenü Detailansicht

Symbolleiste und Kontextmenü

Symbol | Aktion
Farbpalette neu | Legt eine neue Farbpalette mit dem Standardnamen Color palette plus fortlaufender Indexnummer an.
Standard Funktion erzeugen | Öffnet den Dialog zur Erstellung einer Funktion zur Palettenumschaltung und aktiviert in der Dropdownliste automatisch die ausgewählte Palette.
Farbpalette löschen | Löscht die Palette der markierten Farbe. Paletten können nur einzeln gelöscht werden.
Farbe neu | Legt eine neue Farbe mit der Standardfarbe weiß und dem Standardnamen Color plus Indexnummer an. Neue Farben werden immer für alle Paletten des Projektes angelegt. Tipp: Vergeben Sie für Globalprojekt und lokales Projekt eindeutig unterscheidbare Namen.
Farbe löschen | Löscht die ausgewählte Farbe in allen Paletten des Projektes. Hinweis: Der Befehl ist nur aktiv, wenn in allen Paletten die jeweils letzte Farbe markiert ist. Denn: Es kann immer nur die letzte Farbe einer Palette gelöscht werden, damit die Indexnummern weiter funktionieren. Weiters muss die Farbe für alle Paletten gelöscht werden, damit die Anzahl der Farben in allen Paletten ident bleibt.
Kopieren | Kopiert ausgewählte Farben in die Zwischenablage.
Einfügen | Fügt ausgewählte Farben aus der Zwischenablage ein.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Farbpalette im Editor | Öffnet eine Dropdownliste mit allen Paletten, die im lokalen Projekt und im Globalprojekt definiert wurden.
Speichern | Speichert alle Änderungen in den Farbpaletten.
Auswahl als XML exportieren... | Exportiert ausgewählte Paletten in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Eigenschaften | Öffnet das Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe.


Farbpaletten anlegen und bearbeiten

Handbuch > Bilder > Farbpaletten > Farbpaletten anlegen und bearbeiten

Sie können Farbpaletten global oder im lokalen Projekt anlegen. Globale Farbpaletten stehen in allen Projekten zur Verfügung, lokale nur in dem Projekt, in dem sie erstellt werden. Kommt es beim Absetzen zur Runtime zu Konflikten, werden die Farbpaletten des lokalen Projektes bevorzugt (siehe auch Farbpaletten zur Runtime).

Farbpalette anlegen

Um eine Farbpalette anzulegen:

  1. Wählen Sie im Projektmanager des gewünschten Projekts (Lokalprojekt oder Globalprojekt) unter Bilder den Knoten Farbpaletten aus.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Farbpalette neu.

    Eine neue Palette wird angelegt mit:

    • Standardname Farbpalette plus Indexnummer (z. B. Farbpalette 0)
    • gleicher Anzahl von Farben wie die bereits existierenden Paletten, alle Farben sind standardmäßig weiß

Farbpalette benennen

Um eine Palette individuell zu benennen:

  1. Wählen Sie die Palette oder eine oder mehrere Farben der Palette aus.
  2. Wählen Sie in den Eigenschaften in der Gruppe Farbpalette die Eigenschaft Palettenname.
  3. Tragen die den gewünschten Palettennamen ein.
    Tipp: Unterscheiden Sie schon bei der Namensgebung zwischen Globalprojekt und lokalem Projekt. So wissen Sie später bei der Auswahl von Farbpaletten immer, woher die Palette kommt.

Farbpalette löschen

Um eine Palette zu löschen:

  1. Markieren Sie die komplette Spalte der Palette.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Farbpalette löschen oder drücken Sie die Entfernen-Taste.

    Die Palette wird ohne Sicherheitsabfrage gelöscht.

Hinweis: Paletten können nur einzeln gelöscht werden.


Farben anlegen und bearbeiten

Handbuch > Bilder > Farbpaletten > Farben anlegen und bearbeiten

Farbe anlegen

Um eine Farbe anzulegen:

  1. Wählen Sie eine Farbe oder eine Palette aus.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Farbe neu oder drücken Sie die Einfügen-Taste.

    Am unteren Ende der Farbtabelle wird für alle Paletten eine neue Farbe eingefügt mit

    • Standardfarbe weiß und
    • Standardname Farbe plus Indexnummer, z. B. Farbe 10
  3. Definieren Sie die Farbe und vergeben Sie einen Namen.

Farbe umbenennen

Um eine Farbe umzubenennen:

  1. Wählen Sie die Farbe.
  2. Wählen Sie in den Eigenschaften in der Gruppe Farbe die Eigenschaft Farbname.
  3. Tragen Sie den gewünschten Namen ein.

Farbe definieren

Um eine Farbe zu definieren:

  1. Markieren Sie die gewünschte Farbe in der Palette.
  2. Geben Sie die Farbe ein:
    • entweder direkt in die Tabellenzelle der Detailansicht als Hexadezimalcode oder über den Auswahldialog per Klick auf ...
    • oder in den Eigenschaften in der Gruppe Farbe im Feld der Eigenschaft Farbe als Hexadezimalcode oder über den Auswahldialog per Klick auf ...

Farbe über Dialog definieren

Um vordefinierte Grundfarben aus einem Dialog zu wählen oder eigene Farben zu kreieren:

  1. Klicken Sie in der Detailansicht in der Zelle mit der gewünschten Farbe oder in den Eigenschaften bei Farbe auf ...

    Der Dialog zur Auswahl der Standardfarben öffnet sich

  2. Klicken Sie auf eine Standardfarbe, um diese zuzuweisen.
  3. Um eigene Farben zu definieren, klicken Sie auf die Schaltfläche Farben definieren.

  4. Definieren Sie die Farbe.
  5. Fügen Sie sie über die Schaltfläche Farbe hinzufügen zu Benutzerdefinierten Farben hinzu.
  6. Wählen Sie die gewünschte Farbe.
  7. Weisen Sie die Farbe per Klick auf OK zu.

Farbe kopieren

Um mehreren Farben die gleiche Farbdefinition zuzuweisen:

  1. Markieren Sie im Eingabefeld der Farbe den Hexadezimalcode der gewünschten Farbe.
  2. Kopieren Sie den Hexadezimalcode mit Strg+C oder dem Befehl Kopieren im Kontextmenü.
  3. Fügen Sie den Hexadezimalcode bei allen Farben, die die gleiche Farbdefinition erhalten sollen, mit Strg+V oder dem Befehl Einfügen im Kontextmenü ein.

Farbe löschen

Farben aus Paletten werden über ihren Index in den Paletten (= Zeilennummer im Palettenfenster) eindeutig bestimmt. Daher können Farben nur am Ende der Paletten gelöscht werden, weil sich sonst die Indizes nachfolgender Farben verändern würden. Da alle Paletten im Projekt gleich viele Farben haben müssen, können immer nur komplette Zeilen gelöscht werden. Um eine Farbe aus allen Paletten zu löschen:

  1. Markieren Sie die zu löschenden Zeilen, beginnend mit dem unteren Tabellenende der Palettenfarben.

    Nutzen Sie zum Markieren die gedrückte linke Maustaste und die Steuerung-Taste oder die Tastenkombination Strg+Umschalt.

  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Farbe löschen oder drücken Sie die Entfernen-Taste.


Farbpaletten im Editor verwenden

Handbuch > Bilder > Farbpaletten > Farbpaletten im Editor verwenden

Auswahl der aktiven Palette im Editor

Im Editor kann eine Palette aus dem lokalen oder globalen Projekt als aktive Palette zur Darstellung und Farbauswahl verwendet werden.

Um eine Palette für die Darstellung im Editor zu wählen:

  1. Klicken Sie mit der rechten Maustaste in die Tabelle der Farbpaletten.
  2. Wählen Sie im Kontextmenü Farbpalette im Editor.
  3. Wählen Sie aus der sich öffnenden Dropdownliste die gewünschte Palette.

Hinweis: Paletten aus dem lokalen Projekt werden vor Paletten aus dem Globalprojekt gereiht.

Achtung: Existieren im globalen und lokalen Projekt Paletten mit gleichen Namen, werden nur die Paletten aus dem lokalen Projekt zur Auswahl angeboten.

attention Achtung

Sind im globalen und lokalen Projekt nicht gleich viele Farben pro Palette projektiert, stehen bei der Auswahl aus der aktiven Palette eventuell weniger Farben zur Verfügung!

Palettendefinitionen aus dem lokalen Projekt haben immer Vorrang: Sind im lokalen Projekt Paletten mit mindestens einer Farbe projektiert, wird die Anzahl der Farben des lokalen Projekts zur Auswahl angeboten, sonst die Anzahl der Farben im Globalprojekt.

Fehlende Farben in der aktiven Palette werden weiß dargestellt.

Auswahl der Palettenfarben

Farben aus Paletten werden im Editor zugewiesen über:

  • Dialog in den Eigenschaften
  • Drag&Drop der Bezeichnung einer Farbe in das entsprechende Feld in den Eigenschaften
  • Direkte Eingabe der Bezeichnung einer Farbe in das entsprechende Feld in den Eigenschaften

Wird einem Element über die Eigenschaften eine Farbe zugewiesen, öffnet sich der Farbdialog mit zwei Registerkarten:

  • Farben: Auswahl einer bestimmten Farbe
  • Farbpaletten: Auswahl einer Palettenfarbe aus der aktiven Farbpalette

Sind weder im lokalen noch im globalen Projekt Paletten mit mindestens einer Farbe projektiert, oder lässt die Eigenschaft keine Farbauswahl aus Paletten zu, wird nur die Registerkarte Farben angezeigt.

Farben bei Mehrplatzfähigen Projekten

Änderungen an Farbpaletten können nur für alle Paletten eines Projektes gemeinsam ermöglicht, übernommen oder verworfen werden.


Runtime-Dateien erzeugen

Handbuch > Bilder > Farbpaletten > Runtime-Dateien erzeugen

Beim Erzeugen der Runtime-Dateien werden die Paletten des Globalprojekts und des lokalen Projekts in eine gemeinsame Liste übertragen. Dabei kann es zu Konflikten kommen. Beachten Sie:

  • Das lokale Projekt hat immer Vorrang.
  • Jede Palette bildet die Vereinigungsmenge ab, enthält also so viele Farben wie die größte Palette.
  • Enthalten die Paletten des Globalprojekts und lokalen Projekts unterschiedlich viele Farben, werden die kürzeren Paletten mit weiß aufgefüllt, damit alle Paletten gleich viele Farben enthalten und in jeder Palette für jeden Farbindex eine Farbe verfügbar ist.
  • Bei gleichnamigen Paletten wird die Palette des lokalen Projekts verwendet und mit den Farben des Globalprojekts aufgefüllt, falls dieses mehr Farben enthält.

Beispiel:

  • Im Globalprojekt existieren 3 Paletten: Global 1, Global 2 und Palette 1 mit je 10 Farben.
  • Im lokalen Projekt existieren 2 Paletten: Palette 1 und Palette 2 mit je 5 Farben.
  • In der Runtime existieren dann:
    • Palette 1: kommt aus lokalem Projekt und überschreibt Palette 1 aus Globalprojekt; sie enthält die 5 Farben aus dem lokalen Projekt plus den Farben 6 - 10 aus Palette 1 vom Globalprojekt
    • Palette 2: enthält die 5 Farben aus lokalem Projekt plus Farben 6 - 10 als weiß initialisiert
    • Global 1: enthält die 10 Farben aus dem Globalprojekt
    • Global 2: enthält die 10 Farben aus dem Globalprojekt

Farbpalette zur Runtime umschalten

Um Farben zur Runtime umzuschalten benötigen Sie die Funktion Farbpalette umschalten (siehe Kapitel Funktion Farbpalette umschalten).

Ein Beispiel für die Umschaltung zur Runtime finden Sie im Kapitel Beispiel für Editor und Runtime.


Funktion Farbpalette umschalten

Handbuch > Bilder > Farbpaletten > Funktion Farbpalette umschalten

Beim Start der Runtime wird automatisch die erste Palette im Projekt aktiv, solange nicht über ein Startscript eine andere Palette aktiviert wurde.

Die aktive Palette kann zur Runtime durch Aufruf der Funktion Farbpalette umschalten geändert werden. Alle Bilder und Elemente werden dann mit den Farben der neuen Palette neu gezeichnet.

Die jeweils aktive Palette wird über den Namen der Palette bestimmt. Existiert keine Palette mit dem angegebenen Namen, wird die erste Palette im Projekt aktiviert.

Um die Funktion Farbpalette umschalten anzulegen:

  1. Wählen Sie im Projektmanager im Kontextmenü des Knotens Funktionen den Befehl Funktion neu... .
  2. Navigieren Sie zum Knoten Anwendung.
  3. Wählen Sie Farbpalette umschalten aus.

  4. Bestätigen Sie mit OK.

    Der Dialog zur Wahl der Farbpalette wird geöffnet.

Dialog Auswahl Farbpalette

Option | Beschreibung
Farbpalette | Wählen Sie aus der Dropdownliste die gewünschte Farbpalette aus.
Diesen Dialog zur Runtime anbieten | Ermöglicht es, zur Runtime die Farbpalette neu auszuwählen.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Diese Einstellungen können in den Eigenschaften der Funktion in der Gruppe Allgemein jederzeit modifiziert werden.


Export und Import

Handbuch > Bilder > Farbpaletten > Export und Import

Farbpaletten können in XML-Dateien exportiert und aus diesen importiert werden.

Export

Um eine Palette zu exportieren:

  1. Wählen Sie die gewünschte Palette aus.
    Um mehrere Paletten auszuwählen, benutzen Sie die Steuerung- oder Umschalt-Taste oder ziehen Sie die Maus mit gedrückter linker Maustaste über die Titelzeile der Tabelle. Es können nur komplett ausgewählte Paletten, aber keinen einzelnen Farben exportiert werden.
    Hinweis: Ausgewählte Paletten können nicht mehr einzeln abgewählt werden.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Auswahl als XML exportieren....
  3. Wählen Sie im sich öffnenden Dateimanager einen Speicherort und einen Namen für die XML-Datei.

Import

Um eine Palette zu importieren:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl XML importieren...
  2. Wählen Sie im sich öffnenden Dateimanager die gewünschte Importdatei.
  3. Die in der XML-Datei gespeicherten Paletten werden importiert.

attention Achtung

Die Reihenfolge in der Importdatei wird berücksichtigt.
Wurde z. B. eine Palette an dritter Stelle in der Tabelle exportiert, wird sie wieder an der gleichen Stelle importiert, oder am Ende angehängt, wenn das Projekt weniger Paletten enthält. An dieser Stelle bereits vorhandene Paletten werden überschrieben.
Das bedeutet:

  • Befinden sich Paletten an der Stelle, an die importiert wird, werden Namen und Farben der existierenden Paletten von den importierten Paletten überschrieben.
  • Wird eine Palette an eine freie Stelle importiert, wird sie am Ende der Reihe eingefügt und mit dem fortlaufenden Standardnamen benannt.
  • Wird der Name einer importierten Palette bereits für eine Palette an anderer Stelle verwendet, dann können nur die Farben und nicht der Name der überschriebenen Palette ersetzt werden.
  • Weist die importierte Palette mehr Farben auf als die vorhandenen, werden bei den vorhandenen Paletten die fehlenden Farben durch weiß ergänzt.
  • Weist die importierte Palette weniger Farben auf als die vorhandenen, werden die fehlenden Farben von der überschriebenen Palette übernommen oder durch weiß ergänzt, wenn keine Palette überschrieben wurde.


Fehlermeldungen

Handbuch > Bilder > Farbpaletten > Fehlermeldungen

Bei Übernahme von Elementen, zum Beispiel über XML-Import oder Copy & Paste, können eventuell Palettenfarben nicht mehr richtig dargestellt werden. Mögliche Ursachen:

  • Es wurden im Projekt noch keine Farbpaletten angelegt.
  • Paletten haben unterschiedliche Anzahl von Farben.
  • Farben wurden gelöscht.

Im Eingabefeld der Eigenschaften werden dann entsprechende Fehlertexte angezeigt, das Element wird weiß dargestellt.

Fehlermeldung | Ursache
Keine Palette geladen! | Im lokalen und globalen Projekt wurden keine Paletten projektiert.
Palettenfarbe nicht vorhanden! | In den Paletten des Projekts gibt es keine Farbe mit dem passenden Index.


Beispiel für Editor und Runtime

Handbuch > Bilder > Farbpaletten > Beispiel für Editor und Runtime

Im Editor

So verwenden Sie zum Beispiel Farbpaletten im Editor:

  1. Legen Sie ein Bild mit einem Button mit Text und grafischem Element an.
  2. Wählen Sie in den Eigenschaften Füllfarbe.
  3. Klicken Sie auf die Schaltfläche ....

    Der Dialog zur Farbauswahl öffnet sich.

  4. Wählen Sie die Registerkarte Farbpalette.

    Die Farben der aktiven Farbpalette werden angezeigt.

  5. Wählen Sie die gewünschte Farbe.
  6. Wiederholen Sie diese Schritte für die Eigenschaften Rahmenfarbe und Textfarbe .

    Bild mit Farbpalette Basic:

  7. Klicken Sie in der Tabelle der Farbpaletten mit der rechten Maustaste in eine Zelle.
  8. Wählen Sie im Kontextmenü Farbpalette im Editor.
  9. Wählen Sie in der Dropdownliste eine andere Palette, zum Beispiel Palette 2.

    Bild im Editor:

In der Runtime

Zur Runtime wird das Bild mit der im Editor aktivierten Farbpalette angezeigt.

Wenn Sie eine Funktion Farbpalette umschalten projektiert haben, können Sie damit in der Runtime eine projektierte Farbpalette auswählen.

Dazu:

  1. Klicken Sie auf das Element.
  2. Wurde die Option Diesen Dialog zur Runtime anbieten aktiviert, kann zur Runtime eine neue Palette ausgesucht werden. Anderenfalls wird automatisch die in der Funktion vorgegebene Palette aufgeschaltet.

    Das Element wird auf die neuen Farben umgeschaltet.


Schriften

Handbuch > Bilder > Schriften

In zenon können alle Schriften benutzt werden, die im Betriebssystem vorhanden sind. Der Knoten Schriften befindet sich im Projektmanager unterhalb des Knotens Bilder.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Schriftliste neu | Legt eine neue Schriftliste in der Detailansicht an
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

info Info

Die gewählte Schrift muss auch auf dem Zielsystem mit der Runtime vorhanden sein. Fehlt die Schrift am Zielsystem, wird automatisch eine andere, am System vorhandene Schriftart aus der gleiche Familie verwendet.

Kompatibilität mit DirectX

Nicht alle Schriften sind für die Verwendung mit DirectX geeignet. TrueType und OpenType eignen sich für die Verwendung mit DirectX. Bitmap-Schriften eignen sich nicht. Nicht geeignete Schriften werden zur Runtime durch eine geeignete Schrift ersetzt.

  • Empfohlen für die Verwendung in zenon und geeignet für DirectX:
    • TrueType (.ttf)
    • OpenType (.otf)
  • Nicht geeignet:
    • Bitmap (.fon) wie zum Beispiel System oder Script
    • Adobe Type 1 (.pfm/.pfb)

Noch in diesem Kapitel

Schriftlisten

Standardschrift und Systemschrift

Benennung und Nummerierung von Schriften und Schriftlisten

Verbinden von Schriften mit Elementen


Schriftlisten

Handbuch > Bilder > Schriften > Schriftlisten

Per Default ist eine Schriftliste angelegt. Diese wird in der Detailansicht angezeigt, wenn der Knoten Bilder/Schriften im Projektmanager ausgewählt wurde.

Symbolleiste und Kontextmenü

Parameter | Beschreibung
Schriftliste neu | Legt eine neue Schriftliste an. Details siehe Abschnitt Neue Schriftliste anlegen.
Schriftliste löschen | Löscht die ausgewählte Schriftliste.
Schrift neu | Legt eine neue Schrift an. Der Dialog Schriftart des Betriebssystems wird geöffnet. Einstellungen für Schriftart, Schnitt, Grad etc. können getroffen werden. Siehe auch Abschnitt Neue Schrift anlegen.
Schrift löschen | Entfernt die ausgewählte Schrift wieder aus der Schriftliste.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Schriftliste im Editor | Zeigt alle bestehenden Schriftlisten an, die jeweils aktive ist angehakt.
Speichern | Speichert die Änderungen.
Ausgewählte XML exportieren | Exportiert ausgewählte Elemente in eine XML-Datei. Details siehe Kapitel Import/Export Abschnitt Bilder/Schriften.
XML importieren | Importiert Elemente aus einer XML-Datei.
Eigenschaften | Öffnet das Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe.

In den Eigenschaften der Schriftliste kann der Liste ein beliebiger Name zugeordnet werden.

attention Achtung

Nachträgliche Namensänderungen werden nicht automatisch übernommen. Wenn Sie den Namen einer Schriftliste nachträglich ändern und bereits eine Funktion Sprachumschaltung mit dieser Schriftliste angelegt haben, müssen Sie auch in dieser Funktion den Namen der Schriftliste ändern.

Schriftlisten: Globalprojekt versus Projekt

Der Editor hat immer eine Schriftliste aktiv geschaltet. Um Schriften aus dem Standardprojekt und dem Globalprojekt zu nutzen, müssen die Schriftlisten in diesen beiden Projekten gleich benannt werden.

Beachten Sie bei der Verwendung von Schriftlisten in Globalprojekten:

  • Werden Schriftlisten in einem Globalprojekt und einem Standard-Projekt gleich benannt, wird zur Runtime die Schriftliste des Standard-Projekts priorisiert.
  • Bei unterschiedlichen Namen sind im Standard-Projekt zwei Schriftlisten vorhanden, zur Runtime wird eine beliebige von beiden verwendet.

Um diesen Effekt zu vermeiden: Projektieren Sie eine Sprachumschalt-Funktion mit Auswahl der Schriftliste.

Noch in diesem Kapitel

Neue Schriftliste anlegen


Neue Schriftliste anlegen

Handbuch > Bilder > Schriften > Schriftlisten > Neue Schriftliste anlegen

Um Elemente mit anderen Schriftarten zu verknüpfen als in Schriftliste 1, muss eine weitere Schriftliste angelegt werden.

Weitere Schriftlisten anlegen:

Im Projektmanager im Knoten Bilder/Schriften kann im Kontextmenü mit dem Eintrag Schriftliste neu eine neue Schriftliste angelegt werden. Die neue Schriftliste wird in der Detailansicht des Projektmanagers angezeigt.

Auch hier wird die Standardschrift automatisch an erster Stelle angelegt.

Aktivieren einer Schriftliste:

Um eine Schriftliste zu aktivieren, klicken Sie in die Kopfzeile der gewünschten Schriftliste und wählen Sie im Kontextmenü den Eintrag Schriftliste im Editor. Dies kann im Zusammenhang mit sprachumschaltbaren Texten notwendig sein. So kann bereits im Editor festgestellt werden, wie das Element mit der Schrift in der Runtime aussehen wird. (z. B. ob die Schrift für den Button zu groß ist). Siehe dazu Kapitel: Sprachumschaltung/Fonts - Schriftarten.

info Info

Für die Runtime existiert keine Standard-Schriftliste. Werden mehrere Schriftlisten projektiert, muss die in der Runtime zu verwendende Schriftliste über die Sprachumschaltung festgelegt werden.


Standardschrift und Systemschrift

Handbuch > Bilder > Schriften > Standardschrift und Systemschrift

Jedes neu angelegte Element wird mit einer Standardschrift verknüpft. Das ist die Schrift, die dem Elementtyp zugeordnet ist. Eine Änderung der Eigenschaft Schrift eines Elementes hat zur Folge, dass jedes neue auf diesem Elementtyp basierende Element mit der geänderten Schrift verknüpft wird. Beim Neustart des Editors wird wieder die Standardschrift für alle Elementtypen verwendet. Die Standardschrift hat die Eigenschaft Arial 10 und befindet sich in der Schriftliste an der 2. Position.

Beim neu Erstellen eines Projektes werden folgende Schriften automatisch erstellt:

Schriftart | Schriftschnitt | Schriftgrad | Info
Arial | Standard | 8 |
Arial | Standard | 10 | Standardschrift
Arial | Standard | 12 |
Arial | Standard | 14 |
Arial | Standard | 20 |

Hinweise:

  • Die Standardschrift ist anpassbar. Eine Änderung wird automatisch überall dort übernommen, wo diese Schriftart verknüpft worden ist.
  • Die Systemschrift ist nicht skalierbar, daher kann es beim Zoomen oder bei der automatischen Auflösungsanpassung zu unerwünschtem Verhalten kommen.
  • Die Standardschrift kann über die Eigenschaft Schriftart geändert werden. Der Dialog entspricht dem, der dann geöffnet wird, wenn im Kontextmenü Schrift neu ausgewählt wird.

Noch in diesem Kapitel

Neue Schrift anlegen


Neue Schrift anlegen

Handbuch > Bilder > Schriften > Standardschrift und Systemschrift > Neue Schrift anlegen

Per Default ist eine Schriftliste angelegt, die in der Detailansicht des Projektmanagers angezeigt und mit unterschiedlichen Schriften befüllt werden kann.

Neue Schrift in der Schriftliste anlegen:

Klicken Sie in das Fenster der Detailansicht und öffnen Sie mit einem Rechtsklick das Kontextmenü. Hier wählen Sie den Eintrag 'Schrift neu'

Der Windows Dialog Schriftart wird geöffnet. Hier können folgende Einstellungen getroffen werden:

Parameter | Beschreibung
Schriftart | Sämtliche Schriften des Betriebssystems sind alphabethisch sortiert
Schriftschnitt | Fett, Kursiv etc
Schriftgrad | Schriftgröße in Pixels
Effekte | Unterstrichen, Durchgestrichen
Farbe | Auswahl der Schriftfarbe
Skript | Westlich, Kyrillisch etc.

info Info

Die Farbeinstellungen werden nicht übernommen. Texte werden in schwarz dargestellt, es sei denn die Farbe wird explizit in den Eigenschaften angepasst. Ansonsten kommt es lediglich während der Runtime (z. B. aufgrund einer Grenzwertverletzung) zu einer farblichen Veränderung von Texten.

Zu Schriften in einem Globalprojekt siehe Kapitel: Projektverwaltung/Global Projekt

attention Achtung

Alle verwendeten Schriften müssen auf allen Rechnern, auf denen das Projekt gestartet wird installiert sein.
Die Installation kann auch mit dem Remote-Transport erfolgen. Siehe Dateien festlegen (Bearbeitung: Kopieren & registrieren).


Benennung und Nummerierung von Schriften und Schriftlisten

Handbuch > Bilder > Schriften > Benennung und Nummerierung von Schriften und Schriftlisten

Bei der Erstellung eines zenon Projekts werden automatisch fünf Standardschriften erstellt. Die Namen der Schriftliste und der Standardschrift hängen von der Sprache ab, in der der Editor gestartet wird. Das gilt für Standardprojekte und Globalprojekte.

Die Schriften erhalten Nummern. Nummer 1 und 2 sind Standard-Schriften. Diesen beiden Nummern können nicht geändert werden, alle anderen Nummern können individuell angepasst werden. Bei der Erstellung eines Dynamischen Elements wird diesem automatisch die Schrift mit der Nummer 2 zugewiesen.

Der Editor hat immer eine Schriftliste aktiv geschaltet. Um Schriften aus dem Standardprojekt und dem Globalprojekt zu nutzen, müssen die Schriftlisten in diesen beiden Projekten gleich benannt werden.

Hinweis: zenon Projekte, die von der Version 5.50 in eine höhere konvertiert werden, haben keine Standardschriftliste, falls das Projekt in 5.50 keine Schriften enthält.

Global und lokal

Schriften aus dem lokalen Standardprojekt haben höhere Priorität als Schriften aus dem Globalprojekt.
Zum Beispiel: Im Globalprojekt existiert eine Schrift mit der Nummer 50. Diese Schrift kann in jedem Standardprojekt im Arbeitsbereich verwendet werden, solange das Standardprojekt keine Schrift mit der Nummer 50 enthält. Gibt es im Standardprojekt ebenfalls eine Nummer 50, wird diese Schrift verwendet.

Im Standardprojekt können die Schriften mit den Nummern 1 und 2 nicht gelöscht werden. Das bedeutet: Im Globalprojekt können zwar die Schriften mit den Nummern 1 und 2 geändert werden. Sie können aber nicht im Standardprojekt verwendet werden, da diese beiden Nummern im Standardprojekt immer vorhanden sind und höher priorisiert werden. Um Schriften aus Globalprojekt und Standardprojekt zu unterscheiden, kann ein Offset benutzt werden. Zum Beispiel kann die Schrift 2 aus dem Standardprojekt im Globalprojekt zur Schrift 2002 werden.

Workaround um die Schriften 1 und 2 aus dem Globalprojekt im Standardprojekt zu verwenden: Schriftliste im Standardprojekt löschen und eine neue leere Schriftliste wie die Schriftliste im Globalprojekt benennen.

Schriftliste löschen

Wenn Schriften mit den Nummern 1 und 2 aus dem Globalprojekt im Standardprojekt genutzt werden sollen, muss die Schriftliste im Standardprojekt gelöscht werden. Dazu:

  1. erstellen Sie eine Projektsicherung
  2. falls angepasste Schriften aus einem Standardprojekt global verwendet werden sollen:
    1. führen Sie einen XML-Export der Schriftliste aus dem Standardprojekt aus
    2. führen Sie einen XML-Import der Schriftliste ins Globalprojekt aus
  3. öffnen Sie den SQL-Ordner für das Standardprojekt

    Tipp: Projekt in zenon markieren -> Ctrl+Alt+E drücken -> der Explorer öffnet den Projektordner -> navigieren Sie weiter zu zenon/system

  4. schließen Sie den Arbeitsplatz
  5. löschen Sie die Datei fonts.bin
  6. öffnen Sie den Arbeitsplatz
  7. benennen Sie die jetzt leere Schriftliste genau so wie die Schriftliste im Globalprojekt

Jetzt werden im Standardprojekt die Schriften mit der Nummer 1 und 2 aus dem Globalprojekt verwendet. Neue Elemente verwenden die Schrift mit Nummer 2 des Globalprojekts, falls dieses verfügbar ist, und die Systemschrift, falls das Globalprojekt nicht verfügbar ist.

Import und Export über XML

Beim Import und Export über XML wird bei Dynamischen Elementen die Eigenschaft Name der Schrift zur Identifizierung benutzt. Ist zum Beispiel im Globalprojekt eine Schrift mit dem Namen "zenon" vorhanden und im lokalen Standardprojekt eine andere Schrift mit ebenfalls dem Namen "zenon", dann wird beim Import oder Export die Schrift des lokalen Projekts verwendet.

Tipp: Die Schriftnamen müssen im Globalprojekt und im Standardprojekt eindeutig sein. Der Editor überprüft dies nicht.

VBA

VBA benutzt bei Dynamischen Elementen die Eigenschaft Nummer der Schrift. Hier kann der Offset für Schriften im Globalprojekt und im Standardprojekt nützlich sein.

Zum Beispiel: Die Schrift 2 aus dem Standardprojekt wird durch 2002 aus dem Globalprojekt ersetzt. Bei Vektor-Elementen wird die Schriftnummer an zweiter Stelle des Fontstrings gespeichert. Im Fontstring "0 7 0 0 700 255 0 0 0 3 2 5 34 Arial" ist die Nummer der Schrift 7 und kann einfach durch 2007 aus dem Globalprojekt ersetzt werden.


Verbinden von Schriften mit Elementen

Handbuch > Bilder > Schriften > Verbinden von Schriften mit Elementen

Es gibt zwei Möglichkeiten, um eine Schrift mit einem Dynamischen- oder Vektor Bildelement (z.B: Text) zu verknüpfen:

  • Drag&Drop:
    • Klicken Sie in der Schriftliste in die Zelle mit der Aufzählungsnummer der gewünschten Schriftart.
    • Ziehen Sie diese mit gedrückter linker Maustaste auf das gewünschte Element.

    Die Schriftart wird mit dem Element verknüpft.

  • Eigenschaften:
    In den Eigenschaften des ausgewählten Elementes kann die Schriftart ebenfalls verknüpft werden.
    Klick auf die Schaltfläche ... der Eigenschaft Schrift in der Gruppe Textstil öffnet den Dialog zur Auswahl einer Schriftart.


Symbole und Elementgruppen

Handbuch > Bilder > Symbole und Elementgruppen

Symbole und Elementgruppen sind Bildelemente, denen Vektor- und Dynamische Bildelemente als Bildmakros zugeordnet sind. Beide werden als Bildsymbole in Bildern verwendet. Zur Runtime kann das Farbattribut eines Bildsymbols mittels Dynamischer Elemente (Zustandselement, Multibinärelement und Combi-Element) verändert werden.

  • Symbole werden in einer Symbolbibliothek gesammelt und können dort erstellt werden. Sie werden entweder in ein Bild verknüpft oder als Elementgruppe in ein Bild eingefügt. Solange sie verknüpft sind, wirkt sich jede Änderung am Symbol in der Bibliothek auf das Symbol im Bild aus. Symbole können auch als Elementgruppe in ein Bild eingefügt werden. Damit wird die Verbindung zur Bibliothek gelöst. Änderungen am Symbol wirken sich nicht auf die Elementgruppe aus.

    Hinweis: Ein Symbol kann auch mit anderen Symbolen verknüpft werden, jedoch nicht mit sich selbst.

  • Elementgruppen können in einem Bild aus mehreren Elementen erzeugt werden. Eine Elementgruppe kann auch als Symbol in eine Symbolbibliothek eingefügt werden. Dabei wird sie beim Einfügen in ein Symbol umgewandelt. Die Elementgruppe im Bild bleibt aber weiterhin als Elementgruppe bestehen.

zenon unterscheidet drei verschiedene Symbolbibliotheken:

Symbolbibliothek

Eigenschaft

Allgemeine Symbolbibliothek

Symbole sind in allen Projekten verfügbar. Der Knoten Allgemeine Symbolbibliothek befindet sich im Projektmanager unterhalb der aktuell geladenen Projekte.

Benennung beim Verknüpfen im Bild: [Symbolgruppe]/[Symbolname]

Regeln:

  • Der Variablenauswahldialog bietet alle Projekte des Arbeitsbereichs zur Verknüpfung an.
  • Diese Symbole werden im zenon Programmordner gespeichert und nur beim Editorstart aktualisiert. Diese Symbole werden bei der Projektsicherung nicht gesichert.
  • Verriegelungen sowie Aliase für ALC können nicht projektiert werden.
    Achtung: Werden Symbole, die Verriegelungen oder Aliase enthalten, eingefügt, dann werden diese Einstellungen entfernt.

Symbolbibliothek im Globalprojekt

Symbole sind für alle Projekte des Arbeitsbereichs verfügbar.

Benennung beim Verknüpfen im Bild: Globalprojekt_[Symbolname]

Regeln:

  • Die in die Symbolbibliothek des Globalprojekts kopierten Symbole behalten ihre Variablenverknüpfungen ohne Änderungen bei.
  • Der Variablenwahldialog bietet alle Projekte des Arbeitsbereichs zur Verknüpfung an. Verknüpften Variablen wird der Name des jeweiligen Projekts vorangestellt.
  • Der Name der Variable kann im Eigenschaftenfenster angepasst werden. So kann z. B. das Präfix mit dem Projektursprung gelöscht werden.
  • Die Symbole werden bei einer Projektsicherung mitgesichert.
  • Verriegelungen sowie Aliase für ALC können nicht projektiert werden.
    Achtung: Werden Symbole, die Verriegelungen oder Aliase enthalten, eingefügt, dann werden diese Einstellungen entfernt.

Symbolbibliothek im Projekt

Symbole sind nur im aktuellen Projekt verfügbar.

Benennung beim Verknüpfen im Bild: [Symbolname]

Regeln:

  • Die Symbole werden im Projektordner gespeichert. Die Projekt-Symbolbibliothek befindet sich im aktuellen Projekt im Knoten Bilder und wird bei einer Projektsicherung mitgesichert.
  • Verriegelungen sowie Aliase für ALC können projektiert werden. Diese Eigenschaften bleiben auch beim Einfügen von Symbolen erhalten.

Kopieren von Symbolen zwischen Bibliotheken

Symbole können per Drag&Drop kopiert werden.
Dabei gilt:

  • Es können nur Symbole der ersten Ebene des Baums kopiert werden.
  • Gruppen und Ordner können nicht kopiert werden.
  • Sind Namen von Symbolen in der Zielbibliothek bereits vorhanden, werden die hinzugefügten Symbole automatisch umbenannt.
    Das Umbenennen erfolgt durch Hinzufügen einer Unterstrichs und einer Ordnungszahl, z.B.: Calibrator_1.
  • Das Kopieren zwischen den Bibliotheken ist nur eingeschränkt möglich.

Übersicht Kopieren per Drag&Drop zwischen Symbolbibliotheken:

Kopieren per Drag&Drop möglich | Allgemeine Symbolbibliothek | Symbolbibliothek im Globalprojekt | Symbolbibliothek im Projekt
Allgemeine Symbolbibliothek | -- | + | --
Symbolbibliothek im Globalprojekt | -- | -- | +
Symbolbibliothek im Projekt | -- | + | --

Legende:

  • +: kopieren möglich
  • --: kopieren nicht möglich

Um mit allen Bibliotheken parallel arbeiten zu können, wird die Vorschau der Bibliotheken in separaten Fenstern angezeigt. Die Namen der Bibliotheken werden dabei in den Registerkarten am Hauptfenster angezeigt.

Hinweis: Ist für das Globalprojekt eine Berechtigungsebene größer 0 für das Editieren von Bildern konfiguriert und dem eingeloggten Benutzer fehlt diese Berechtigungsebene, wird das Einfügen von Symbolen in die Symbolbibliothek des Globalprojekts unterbunden. Verlinkte Symbole aus dem Globalprojekt können in Bildern des Lokalprojekts in diesem Fall auch nicht bearbeitetet werden.

Bildsymbole und Symbole aus einer Symbolbibliothek

  • Bildsymbole: In einem Bild enthaltene Symbole oder Elementgruppen.
  • Symbole aus einer Bibliothek: Werden in der Bibliothek bearbeitet und im Bild verknüpft.

attention Achtung

Symbole aus Allgemeine Symbolbibliothek werden pro Themen-Gruppe (z.B. Tank, Substation, ...) in einer eigenen Datei (*.sym) lokal im zenon Programmordner gespeichert. Diese Dateien müssen bei Mehrplatzprojekten und bei der Weitergabe von Projekten immer manuell zur Projektsicherung hinzugefügt werden.

Symbole aus der Symbolbibliothek im lokalen Projekt oder dem Globalprojekt sind automatisch in der jeweiligen Projektsicherung enthalten.

Tipp: Speichern Sie Symbole immer lokal.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert aus XML-Datei.
In neuem Fenster öffnen... | Öffnet ein eigenes Fenster für Ansicht und Bearbeitung der Symbole. (Default am unteren Rand des Editors.)
Hilfe | Öffnet die Online-Hilfe.

Überprüfung von Symbolen

Symbole werden auf ihr korrektes Vorhandensein überprüft:

  • beim Kompilieren der Runtime-Dateien
  • wenn beim Beenden des Editors neue Runtime-Dateien erzeugt werden

Fehlende Symbole werden im Ausgabefenster rot als fehlend markiert. Die Fehlermeldung nennt die Namen der betreffenden Bilder und Symbole.

Menü Symbole

Sobald ein Symbol im Symboleditor geöffnet wird, wird in der Symbolleiste der Menüpunkt Bilder durch Symbol ersetzt.

Dieser Menüeintrag wird nur dann angezeigt, wenn im Hauptfenster ein zenon Bild geöffnet ist.

Folgende Aktionen sind möglich:

Menüpunkt

Aktion

Symbol speichern

Speichert das aktuelle Symbol.

Alle Symbole speichern

Speichert alle Symbole.

Symbolgröße/Hintergrundfarbe ändern

Öffnet den Dialog zur Konfiguration von Symbolgröße und Hintergrundfarbe.

Hinweis: Änderungen der Hintergrundfarbe betreffen immer alle Symbole in der Globalen Symbolbibliothek.

Symbolliste

Öffnet eine Liste aller Symbole und Elementgruppen, die im aktuellen Bild verwendet werden.

Vollbildmodus

Der Vollbildmodus blendet alle übrigen Fenster aus und zeigt nur das Hauptfenster mit allen geöffneten Dokumenten (Bilder, Reports, ...) als Vollbild über den ganzen Bildschirm an.

Hinweis: Das Menü Kontrollelemente ist im Vollbildmodus immer noch aufrufbar.

Der Vollbildmodus kann beendet werden über:

  • die eingeblendete Schaltfläche zum Beenden des Vollbildmodus
  • die Tastenkombination Umschalt+F9

Symbol neu zeichnen

Aktualisiert die Bildschirmanzeige.

Raster anzeigen

Schaltet die Anzeige des Rasters ein oder aus.

Raster verwenden

Schaltet Verwendung des Rasters ein oder aus.

Ein: Alle Objekte werden automatisch am Raster ausgerichtet.

Fangpunkte verwenden

Schaltet Fangpunkte ein oder aus.

Verwendung: Nähert man ein Objekt dem Anfasspunkt eines anderen Objektes, dann rastet das Objekt an diesem Anfasspunkt ein.

Reihenfolge für Fokus verschieben

Festlegung der horizontalen oder vertikalen Reihenfolge bei Tastaturbedienung.

Projektierungsschritte finden Sie im Kapitel Reihenfolge innerhalb Schablone festlegen im Handbuch Runtime.

  • Reihenfolge für links/rechts:
    Legt die horizontale Reihenfolge fest.
  • Reihenfolge für oben/unten:
    Legt die vertikale Reihenfolge fest.

Zoomen

Ermöglicht die Änderung der Darstellungsgröße in festen Schritten zwischen 15 % und 1600%.

Einpassen: wählt automatisch einen Zoomfaktor zwischen 15 - 1600%, so dass das ganze Bild im Editor komplett und proportional dargestellt wird.

Bild/Symbol als Grafikdatei exportieren

Speichert das ausgewählte Bild oder Symbol in einer Grafikdatei.
Gespeichert wird:

  • in Bildern: das ausgewählte Bild mit allen Elementen und Symbolen
  • im Symboleditor: das ausgewählte Symbol

Zum Speichern wird der Dateibrowser geöffnet. Wählen Sie hier Speicherort, Dateiname und Typ.

Vektorgrafik einfügen

Öffnet den Dialog zum Einfügen einer externen Vektorgrafik.

Noch in diesem Kapitel

Symbole Detailansicht Symbolleiste und Kontextmenü

Größe und Hintergrundfarbe konfigurieren

Eigenschaften aus Verknüpfung freigeben

Eigene Symbole erstellen und löschen

Symbole in ein Bild einfügen

Symbolliste

XML-Export und XML-Import


Symbole Detailansicht Symbolleiste und Kontextmenü

Handbuch > Bilder > Symbole und Elementgruppen > Symbole Detailansicht Symbolleiste und Kontextmenü

Die Symbolbibliothek wird über das Kontextmenü oder die Symbolleiste bedient:

Befehle in Kontextmenü und Symbolleiste

Kontextmenü | Beschreibung
Symbol neu | Legt ein neues Symbol an.
Symbol öffnen | Öffnet das Symbol im Symboleditor zum Bearbeiten.
Symbolgruppe neu | Eine neue Symbolgruppe wird angelegt und kann mit ausgewählten Symbolen aus der Bibliothek oder selbst erstellten Symbolen befüllt werden. (Kopieren und Einfügen). Nur verfügbar in der Globalen Symbolbibliothek.
Symbol als Elementgruppe in Bild einfügen | Erstellt aus dem Symbol eine Elementgruppe und fügt diese in ein Bild ein (Details siehe Kapitel Elementgruppen).
Symbol in Bild einfügen | Verknüpft das Symbol im Bild (Details siehe Kapitel Symbole).
Verknüpfte Elemente | Öffnet Untermenü mit verknüpften Elementen und der Möglichkeit, zurück ins Ausgangselement zu springen.
Zurück zu Ausgangselement springen | Springt zurück zum Ausgangselement (nur Symbolleiste).
Kopieren | Kopiert das ausgewählte Symbol in die Zwischenablage (nur in hierarchischer Ansicht).
Einfügen | Fügt das kopierte Symbol in der aktiven Gruppe ein (nur in hierarchischer Ansicht).
Löschen | Löscht das ausgewählte Symbol oder die Symbolgruppe (nur in hierarchischer Ansicht). Achtung: Das Löschen kann nicht rückgängig gemacht werden!
Knoten erweitern/reduzieren | Erlaubt in der hierarchischen Ansicht, den gewählten Knoten oder alle Knoten zu erweitern oder zu reduzieren.
Flache Ansicht | Ordnet alle Symbole in einer flachen Liste an. Erleichtert die Suche nach bestimmten Symbolen. Hinweis: In dieser Ansicht können Symbole weder erzeugt noch gelöscht werden, auch das Kopieren oder Einfügen von Symbolen aus der Zwischenablage ist nicht möglich.
Hierarchische Ansicht | Ordnet alle Symbole hierarchisch in Untergruppen und stellt Abhängigkeiten dar.
Auswahl als XML exportieren... | Öffnet den Dialog zum XML-Export der gewählten Symbole. (Details siehe Kapitel Import/Export Symbole.)
Bild/Symbol als Grafikdatei exportieren... | Exportiert das Bild/Symbol als eine Grafikdatei. Der Dateiauswahldialog bietet die entsprechenden auf dem System unterstützten Grafikformate an. Es werden prinzipiell alle am System installierten Windows Imaging Component (WIC) Codecs, welche Speichern unterstützen, zur Auswahl gestellt. Die Grafikgröße ergibt sich von dem zu exportierenden Bild oder Symbol.
XML importieren | Importiert Symbole aus einer XML-Datei (siehe Kapitel Import/Export Symbole).
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Zelle ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Größe und Hintergrundfarbe konfigurieren

Handbuch > Bilder > Symbole und Elementgruppen > Größe und Hintergrundfarbe konfigurieren

Um die Symbolgröße und die Hintergrundfarbe zu konfigurieren:

  1. Setzen Sie den Fokus auf den Symboleditor.
  2. Wählen Sie in der Eigenschaftengruppe Allgemein die gewünschten Parameter für die Darstellung des Symbols im Symboleditor:
    1. Hintergrundfarbe: Definiert die Hintergrundfarbe für Symbole im Symboleditor. Klick auf Farbe öffnet Palette.
      Hinweis: Änderungen der Hintergrundfarbe im Symboleditor betreffen immer alle Symbole in der Allgemeinen Symbolbibliothek.
    2. Breite [Pixel]: Eingabe der Breite des Symbols in Pixel.
    3. Höhe [Pixel]: Eingabe der Höhe des Symbols in Pixel.


Eigenschaften aus Verknüpfung freigeben

Handbuch > Bilder > Symbole und Elementgruppen > Eigenschaften aus Verknüpfung freigeben

Um Symbole optimal nutzen zu können, ist es manchmal erforderlich, einzelnen Eigenschaften von Symbolelementen individuelle Werte zuzuweisen. Zum Beispiel hat ein Motorsymbol eine Überschrift, in der der Name enthalten ist.

Mit dieser Funktion können Sie zum Beispiel die Eigenschaft Text freigeben. Wenn das Symbol in ein Bild gezogen wird, ist die Eigenschaft Text individuell für jeden Motor einzeln änderbar.

Diese Funktionalität steht für alle Eigenschaften zur Verfügung.

Projektierung

Beim Öffnen eines Symbols wird der Symboleditor geöffnet. Der Symboleditor besteht aus einem zweigeteilten Fenster zur Bearbeitung des ausgewählten Symbols.

Im oberen Bereich wird das Symbol bearbeitet, im unteren Bereich werden die freigegebenen Eigenschaften der Elemente dieses Symbols aufgelistet. Zum Freigeben von Elementen haben Sie mehrere Möglichkeiten:

  1. Drag&Drop
    1. ziehen Sie die gewünschten Eigenschaften einzeln per Drag&Drop aus dem Eigenschaftenfenster in den unteren Bereich des Symboleditors.
    2. Hinweis: Sie müssen die Eigenschaften immer bei deren Namen anklicken (nicht beim Wert) und mit Drag&Drop in den Freigabebereich ziehen.
  2. Kontextmenü der Eigenschaft
    1. klicken Sie mit der rechten Maustaste auf den Namen der Eigenschaft
    2. wählen Sie im Kontextmenü [Eigenschaft] freigeben
    3. die Eigenschaft wird in die Liste eingetragen
  3. Symbolleiste der Eigenschaft
    1. klicken Sie mit der linken Maustaste auf den Namen der Eigenschaft
    2. klicken Sie in der Symbolleiste auf das Symbol zur Freigabe (grüner Pfeil nach oben über Textfeld)
    3. die Eigenschaft wird in die Liste eingetragen

Hinweis: Wird der Eintrag nicht angeboten oder das Symbol deaktiviert dargestellt, kann das Element nicht freigegeben werden. Mögliche Gründe:

  • kein Bildelement im Symboleditor ausgewählt
  • Eigenschaft wurde bereits freigegeben
  • Element unterstützt Freigabe nicht (z.B ActiveX)

Der Freigabebereich ist eine filterbare Liste. Sie können bei Bedarf nach einzelnen Eigenschaften filtern. Für Aktionen steht ein Kontextmenü zur Verfügung.

Kontextmenü für Freigabe-Liste:

Parameter | Beschreibung
Ausgewählte Eigenschaft entfernen | Entfernt Freigabe des Elements.
Rückgängig | Revidiert letzte Aktion.
Hilfe | Öffnet die Online-Hilfe.

Frei gegebene Eigenschaften bearbeiten

Wird das Symbol in einem Bild angezeigt, steht in den Eigenschaften der zusätzliche Knoten $_Elementname zur Verfügung. Darin werden alle individuell freigegebenen Eigenschaften angezeigt. Diese wurden aus dem Prinzip der Verknüpfung gelöst (freigegeben) und betreffen bei Änderungen nur dieses Symbol. Wird im Fenster Eigenschaften eines Symbols eine Eigenschaft eines der Elemente ausgewählt, so blinkt dieses Element im Bild.

Die frei gegebenen Eigenschaften können geändert werden:

  • mit den Eigenschaften im Zweig $_Elementname
  • mit dem Linked Symbol Wizard

Linked Symbol Wizard

Um frei gegebene Eigenschaften übersichtlich und bequem bearbeiten zu können, steht Ihnen der Linked Symbol Wizard zur Verfügung:

  1. Führen Sie im Bild einen Doppelklick auf ein Symbol aus, das:
    1. im Bild verknüpft ist und
    2. über frei gegebene Eigenschaften verfügt
  2. Der Linked Symbol Wizard öffnet sich.
  3. Wählen Sie die zu ändernde Eigenschaft.
  4. Geben Sie den neuen Wert ein.
    Hinweis: Jede Änderung wird sofort übernommen!
  5. Schließen Sie den Wizard mit Klick auf Exit.

Parameter | Beschreibung
Select an element in the symbol: | Auswahl eines Elements des Symbols aus der Dropdownliste.
Select the exported property to | Auswahl der frei gegebenen Eigenschaft aus Liste.
Anzeige Eigenschaft | Zeigt die zu ändernde Eigenschaft an.
Eingabefeld | Eingabe des neuen Werts der Eigenschaft über Texteingabe/Zahleneingabe, Dropdownliste oder Auswahldialog - abhängig von der Eigenschaft.
Exit | Schließt Wizard

info Info

Der Wizard unterstützt nicht alle möglichen Symboleigenschaften.


Eigene Symbole erstellen und löschen

Handbuch > Bilder > Symbole und Elementgruppen > Eigene Symbole erstellen und löschen

Symbole erstellen Sie entweder im Symboleditor oder in einem Bild. Elemente eines Symbols können sein:

  • Vektor-Elemente
  • Dynamische Elemente
  • andere Symbole: Symbole können in Elementgruppen eingefügt werden

info Info

In einem Symbol enthaltene Elemente sollten nur innerhalb des Symbolbereichs platziert werden und nicht darüber hinausragen. Überragen Elemente die Symbolgrenzen, kann es bei der Darstellung in der Runtime zu Artefakten kommen. Das gilt auch für Elemente, die Symbole benutzen (zum Beispiel das Combi-Element).

Im Symboleditor:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste Symbol neu.
  2. Klicken Sie in das Eingabefeld für Elementname und vergeben Sie einen Namen (Punkte sind in Symbolnamen nicht erlaubt).
  3. Erstellen Sie im Symboleditor das Symbol.
  4. Fügen Sie eventuell individuelle Eigenschaften hinzu (siehe Unterkapitel Eigenschaften aus Vererbung lösen).
  5. Speichern Sie das Symbol.

Im Bild:

  1. Wählen Sie eines oder mehrere Elemente im Bild aus.
  2. Wählen Sie im Kontextmenü Symbol -> Elementgruppe erzeugen (bzw -> einfügen in existierende Elementgruppe)
    oder im Menü Bearbeiten -> Symbol -> Elementgruppe erzeugen.
  3. Speichern Sie das Bild.

attention Achtung

Schriften und Grafiken in Symbolen bei projektübergreifendem Einsatz:

Schriften: Schriften werden über Ihre ID definiert. Stellen Sie sicher, dass in allen Projekten, in denen das Symbol verwendet wird, die gewünschte Schrift der gleichen ID zugeordnet ist.

Grafiken: In ein Symbol eingefügte Grafiken werden nicht mit dem Symbol abgespeichert. Die entsprechenden Grafiken müssen manuell in das Grafikverzeichnis des entsprechenden Projekts kopiert werden.

Symbole in Symbole einbetten oder verknüpfen

Sie können analog zu den Bildern auch bei der Erstellung von Symbolen bestehende Symbole verknüpfen oder als Elementgruppe erstellen (siehe Symbole in Bild einfügen). Dabei müssen Sie folgende Regeln beachten:

  • Ein Symbol darf keine Rekursion enthalten, d.h. es darf nicht auf sich selbst verweisen.
  • Projektsymbole dürfen nicht projektübergreifend verwendet werden!
  • Symbole aus der Globalen Symbolbibliothek dürfen keine Verknüpfung auf Projektsymbole beinhalten.

info Info

Sie können Symbolinhalte nur im Symboleditor bearbeiten. Wenn Sie es als eine Elementgruppe in ein Bild einfügen, kann diese im Bildeditor nicht bearbeitet werden.

attention Achtung

Sie können Symbole aus der Projektbibliothek nur innerhalb des jeweiligen Projektes verknüpfen. Ein projektübergreifendes Verknüpfen von Symbolen aus der Projektbibliothek ist nicht möglich. Um ein Symbol aus einer Projektbibliothek in einem anderen Projekt zu verwenden, können Sie daraus eine Elementgruppe erzeugen.

Symbol löschen oder auflösen

Um ein Symbol zu löschen:

  1. Markieren Sie das Symbol in der Bibliothek.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl löschen.

Um eine Elementgruppe in einem Bild aufzulösen:

  1. Markieren Sie die Elementgruppe in der Bibliothek.
  2. Wählen Sie im Kontextmenü Symbol -> Auflösen.
  3. Die Elementgruppe wird in seine Elemente aufgelöst.
  4. Wurde das Symbol zur Symbolbibliothek bereits hinzugefügt, bleibt es dort unverändert erhalten, wird aber in der Symbolverwaltung gelöscht.

Um ein Symbol zu löschen:

  1. Markieren Sie das Symbol in der Bibliothek.
  2. Wählen Sie im Kontextmenü Löschen.
  3. Das Symbol bleibt in der Symbolbibliothek unverändert erhalten, wird aber in der Symbolverwaltung gelöscht.

info Info

Um einzelne Elemente eines Symbols zu bearbeiten, ohne die Symbolzuordnung aufzuheben, wählen Sie:

  • bei Symbolen: Bearbeiten im Symboleditor
  • bei Elementgruppen: In Einzelbearbeitungsmodus wechseln

Noch in diesem Kapitel

Eigene Symbole in die Bibliothek übertragen


Eigene Symbole in die Bibliothek übertragen

Handbuch > Bilder > Symbole und Elementgruppen > Eigene Symbole erstellen und löschen > Eigene Symbole in die Bibliothek übertragen

In einem Bild erstellte Elementgruppen können als Symbole in eine Symbolbibliothek eingefügt werden.

Um eine Elementgruppe als Symbol in eine Symbolbibliothek einzufügen:

  1. Wählen Sie im Kontextmenü der Elementgruppe Symbol -> Einfügen in Symbolbibliothek.
  2. Der Dialog für die Symboldefinition öffnet sich.
  3. Wählen Sie die gewünschte Symbolbibliothek und den passenden Ordner.
  4. Bestätigen Sie den Dialog mit OK.
  5. Wechseln Sie in die gewählte Symbolbibliothek.
  6. Die Elementgruppe wurde in ein Symbol umgewandelt und mit dem Namen Elementgruppe_Nr eingetragen. (Nr ist eine durchlaufende Nummerierung der vorhandenen Elementgruppen, beginnend mit 1.)
  7. Vergeben Sie den gewünschten Namen.
  8. Um das Symbol weiter zu bearbeiten oder ihm individuelle Eigenschaften zuzuweisen (siehe Eigenschaften aus Vererbung lösen), öffnen Sie das Symbol per Doppelklick oder über den Kontextbefehl Symbol öffnen im Symboleditor.

Hinweis: Ist für das Globalprojekt eine Berechtigungsebene größer 0 für das Editieren von Bildern konfiguriert und dem eingeloggten Benutzer fehlt diese Berechtigungsebene, wird das Einfügen von Symbolen in die Symbolbibliothek des Globalprojekts unterbunden. Verlinkte Symbole aus dem Globalprojekt können in Bildern des Lokalprojekts in diesem Fall auch nicht bearbeitetet werden.


Symbole in ein Bild einfügen

Handbuch > Bilder > Symbole und Elementgruppen > Symbole in ein Bild einfügen

Symbole können auf zwei Arten in ein Bild eingefügt werden:

  • Elementgruppen: Sind nicht weiter mit dem Symbol in der Bibliothek verbunden, Änderungen am Ursprungssymbol wirken sich nicht auf die Elementgruppe aus.
  • Symbole: Sind weiter mit dem Ursprungssymbol verbunden. Änderungen am Symbol in der Bibliothek verändern auch das Symbol im Bild.

attention Achtung

Sie können Symbole aus der Projektbibliothek nur innerhalb des jeweiligen Projektes verknüpfen. Ein projektübergreifendes Verknüpfen von Symbolen aus der Projektbibliothek ist nicht möglich. Um ein Symbol aus einer Projektbibliothek in einem anderen Projekt zu verwenden, können Sie eine Elementgruppe erzeugen.

info Info

Wenn Sie die Eigenschaft Rahmen um dynamische Elemente im Editor anzeigen aktiviert haben, können Sie Elementgruppen von Symbolen auf einen Blick unterscheiden: Bei Symbolen wird in der oberen rechten Ecke ein Pfeilsymbol angezeigt. Sie finden diese Eigenschaft unter Extras --> Einstellungen im Bereich Bildbearbeitung.

Noch in diesem Kapitel

Elementgruppen

Symbole

Symbolauswahl im Combi Element


Elementgruppen

Handbuch > Bilder > Symbole und Elementgruppen > Symbole in ein Bild einfügen > Elementgruppen

So fügen Sie ein Symbol als Elementgruppe ein Bild ein:

  • Halten Sie die Steuerung-Taste gedrückt und ziehen Sie das Symbol per Drag&Drop ins Bild

    oder

  • Wählen Sie im Kontextmenü des Symbols Symbol als Elementgruppe in Bild einfügen um das Symbol in das aktuelle Bild als Elementgruppe einzufügen.

Elementgruppen können dann in ihre einzelnen Elemente aufgelöst werden oder ihre einzelnen Elemente können geändert werden. Dazu wählen Sie im Kontextmenü Symbol -> In Einzelbearbeitungsmodus wechseln oder im Menü Bearbeiten -> Symbol -> Einzelbearbeitungsmodus Elementgruppe.

Elementgruppen ändern sich nicht, wenn das Symbol, aus dem sie erstellt wurden, in der Bibliothek geändert wird, da sie nicht länger damit verknüpft sind.

Verknüpfte Variablen ersetzen

Beim Erzeugen einer Elementgruppe aus einem Symbol, das Variablen enthält, öffnet sich der Dialog zum Ersetzen von Variablen und Funktionen. Hier können Sie die vorhandenen Elemente durch die für dieses Symbol gewünschten automatisiert ersetzen. Details zum automatisierten Ersetzen von Variablen und Funktionen finden Sie im Kapitel Verknüpfungen ersetzen im Editor-Bild.

Um Variablen in bereits eingefügten Symbolen zu ersetzen, wählen Sie im Kontextmenü des Symbols den Befehl Verknüpfen ersetzen.

Tipp: Achten Sie darauf, dass die Variablen von Anfang an eindeutig und sinnvoll benannt werden.


Symbole

Handbuch > Bilder > Symbole und Elementgruppen > Symbole in ein Bild einfügen > Symbole

Symbole speichern in der Symbolbibliothek keine physikalisch vorhandenen Variablen, sondern nur Variablennamen. Beim Einfügen von Symbolen als Verknüpfung in ein Bild, können die im Symbol hinterlegten Variablennamen Variablen aus dem Projekt zugewiesen werden. Enthält das Projekt eine Variable, die einem im Symbol hinterlegten Variablennamen entspricht, wird diese automatisch - ohne extra Regel - verknüpft.

Symbol in Bild einfügen

So verknüpfen Sie ein Symbol in ein Bild:

  • ziehen Sie das Symbol per Drag&Drop ins Bild

    oder

  • wählen Sie im Kontextmenü des Symbols Symbol in Bild einfügen

Symbole werden nur als Verweis im Bild gespeichert. Jede Änderung des Symbols in der Bibliothek wirkt sich unmittelbar auf das Symbol im Bild aus. Wird z.B. ein Dynamisches Element im Symbol hinzugefügt, so ist dies in allen Bildern, in denen dieses Symbol verwendet wird, auch vorhanden.
Ausnahme: Änderungen der Symbolgröße wirken sich im Bild nur aus, wenn dort in der Symboleigenschaft Grafikgröße Originalgröße ausgewählt ist.

Sie können Symbole:

  • in Elementgruppen umwandeln: Kontextmenü Symbol -> Symbol in Elementgruppe konvertieren
  • im Symboleditor bearbeiten: Symbol -> Bearbeiten im Symboleditor
  • in eine Elementgruppe einfügen: Symbol -> Einfügen in existierende Elementgruppe

Symbole können nicht in ihre Elemente aufgelöst werden und ihre Elemente können im Modus Elemente bearbeiten (Kontextmenü -> Symbol -> In Einzelbearbeitungsmodus wechseln oder Menü Bearbeiten -> Symbol -> Einzelbearbeitungsmodus Elementgruppe) nicht geändert werden.

Noch in diesem Kapitel

Verknüpfte Variablen oder Funktionen ersetzen

Verknüpfungsregel - Zusammengesetzte Namen


Verknüpfte Variablen oder Funktionen ersetzen

Handbuch > Bilder > Symbole und Elementgruppen > Symbole in ein Bild einfügen > Symbole > Verknüpfte Variablen oder Funktionen ersetzen

Beim Einfügen eines Symbols, das Variablen enthält, öffnet sich der Dialog zum Ersetzen von Variablen und Funktionen. Hier können Sie die vorhandenen Elemente durch die für dieses Symbol gewünschten automatisiert ersetzen. Es können auch ALC Aliase, die in Elementen im Symbol verwendet werden, ersetzt werden. Mehrere Einträge werden durch ein Semikolon (;) getrennt.

Diesen Dialog erreichen Sie auch über die Eigenschaft Vorschau im Knoten Verknüpfungsregel des Elements.

info Info

Die Vorgangsweise für Symbole kann auch für Bildcontainer bei Bilder vom Typ Faceplate angewendet werden. Es gelten die gleichen Eigenschaften und Regeln.

Ausnahme: Die Eigenschaft Zusammengesetzte Namen steht nicht zur Verfügung.

Verknüpfte Variablen oder Funktionen ersetzen

Verknüpfungsregel

Eigenschaft | Beschreibung
Verknüpfungsregel | Konfiguration, welche Zeichenketten wie ersetzt werden.
Quelle | Eingabe der zu suchenden Zeichenkette. Erlaubte Wildcards: * und ? Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.
Ersetzen durch | Eingabe der Zeichenkette, die eingesetzt werden soll.
Name | Tauscht Information im Variablennamen.
Kennung | Tauscht Information in der Kennung.
Groß-/ Kleinschreibung beachten | Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.
Zusammengesetzte Namen | Zusammengesetzte Namen erlauben. Steht für ALC Aliase und Faceplate Container nicht zur Verfügung. Diese werden immer ohne Symbolpräfix verwendet.

Vorschau

Eigenschaft | Beschreibung
Vorschau | Anzeige der gewählten und ersetzen Elemente.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Weitere Details zum automatisierten Ersetzen von Variablen und Funktionen finden Sie im Kapitel Verknüpfungen von Variablen und Funktionen ersetzen.

Tipp: Achten Sie darauf, dass die Variablen von Anfang eindeutig und sinnvoll benannt werden.


Verknüpfungsregel - Zusammengesetzte Namen

Handbuch > Bilder > Symbole und Elementgruppen > Symbole in ein Bild einfügen > Symbole > Verknüpfungsregel - Zusammengesetzte Namen

Bei aktiver Eigenschaft Zusammengesetzte Namen im Knoten Verknüpfungsregel werden die Namen der verknüpften Variablen aus dem Objektnamen des Symbols und dem Variablennamen oder der Variablenkennung zusammengesetzt.

Dieses Verhalten wird mit der Eigenschaft Über Variablennamen bestimmt.

  • aktiv:
    Der Name der verknüpften Variablen wird aus dem Objektnamen des Symbols und dem Variablennamen (= Eigenschaft Name in der Eigenschaftengruppe Allgemein bei der Variable)zusammengesetzt.
  • nicht aktiv:
    Der Name der verknüpften Variablen wird aus dem Objektnamen des Symbols und dem Variablenkennung (= Eigenschaft Kennung in der Eigenschaftengruppe Allgemein bei der Variable)zusammengesetzt.

Die beiden Namen werden durch einen Punkt getrennt:
"Symbolname.Variable" oder "Symbolname.Kennung"

attention Achtung

Ist die Eigenschaft Zusammengesetzte Namen aktiv die Eigenschaft Über Variablennamen aber nicht aktiv wird die Variablenkennung verwendet. Ist diese Kennung jedoch leer, schlägt das Zusammensetzen fehl!

Beispiel

Variablenname: Motor.Drehzahl
Der Symbol Objektname ist "Motor". Das Dynamische Element, das im Symbol eingesetzt ist, hat als verknüpfte Variable den Platzhalter "Drehzahl".
Den Platzhalter "Drehzahl" kann man bei der Symbolerstellung einfach bei der Variableneigenschaft eintippen.

Zusammengesetzte Namen funktionieren auch mit verschachtelten Symbolen:
Hat man ein Symbol "Pumpe", das wiederum ein Symbol "Motor" und ein Symbol "Umrichter" mit dem Variablenplatzhalter "Leistung" enthält, dann funktioniert die Verknüpfung, wenn es im Projekt eine Variable Pumpe.Motor.Leistung und eine Variable Pumpe.Umrichter.Leistung gibt.


Symbolauswahl im Combi Element

Handbuch > Bilder > Symbole und Elementgruppen > Symbole in ein Bild einfügen > Symbolauswahl im Combi Element

Um ein Combi-Elemente mit einem Symbol zu verknüpfen:

  1. Wählen Sie in den Eigenschaften des Combi-Elements im Knoten Darstellung in der Eigenschaft Darstellungsart Symbol aus Bibliothek.
  2. Klicken Sie auf Konfiguration und Test.

    Der Konfigurationsdialog öffnet sich:

Die generellen Einstellungen für alle Darstellungsarten von Zuständen finden Sie im Kapitel Zustände.

Option

Beschreibung

Darstellungselement

Symbol aus Bibliothek

Klick auf das Symbol öffnet den Dialog zur Symbolauswahl.

Klick auf das X neben dem Symbol löscht das gewählte Symbol.

Verknüpfungsregel bearbeiten

Variablen und Funktionen, die im Symbol enthalten sind, können mit Hilfe von Verknüpfungsregeln ausgetauscht werden.

Achtung: Wenn ein Variablen- oder Funktionsname nicht in das Schema passt, kann diese Verknüpfung nicht ersetzt werden.

Farben

Nur verfügbar, wenn im Bereich Spezifische Einstellungen die Eigenschaft Original Symbolfarben abgeschaltet ist.

Farbe

Wahl der Farbe.

Füllfarbe

Wahl der Füllfarbe.

Aus ALC

Die Farbe der verknüpften Quellen wird verwendet.

Spezifische Einstellungen

Original Symbolfarben
  • Aktiv: Übernimmt Originalfarbe vom Symbol. Deaktiviert Eigenschaft Farbe der Haupt-Variable übernehmen.

Blinken
  • Aktiv: Symbol blinkt zur Runtime, wenn Zustand erreicht wird.


Symbolliste

Handbuch > Bilder > Symbole und Elementgruppen > Symbolliste

Über Bearbeiten -> Symbol -> Symbolliste... öffnen Sie eine Liste, die alle Symbole des aktiven Bildes anzeigt:

Parameter | Beschreibung
Verfügbare Symbole/Elementgruppen | Liste der im Bild vorhandenen Symbole und Elementgruppen.
Nr. | Nummer des Symbols oder der Elementgruppe.
Name | Name des Symbols oder der Elementgruppe

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Über einen Klick auf den jeweiligen Spaltentitel sortieren Sie die Symbole nach Nummer oder Name. Ein in der Symbolliste ausgewähltes Symbol wird im Bild blinkend dargestellt.


XML-Export und XML-Import

Handbuch > Bilder > Symbole und Elementgruppen > XML-Export und XML-Import

Der Import/Export von Symbolen ist aus der Projekt-Symbolbibliothek und aus der Globalen Symbolbibliothek möglich. Es können einzelne, ausgewählte Symbole oder die gesamte Bibliothek importiert oder exportiert werden. Der Pfad für den Export ist frei wählbar.

Symbole exportieren

Um Symbole zu exportieren:

  1. markieren Sie die gewünschten Symbole
  2. wählen Sie im Kontextmenü der Detailansicht den Befehl Auswahl als XML exportieren....
    Alternative: wählen Sie im Kontextmenü des Knotens Projekt-Symbolbibliothek den Befehl Alle als XML exportieren...
  3. der Auswahldialog für den Speicherort wird geöffnet
  4. wählen Sie den gewünschten Speicherort
  5. vergeben Sie einen Namen
  6. achten Sie auf den Dateityp XML
  7. bestätigen Sie mit Klick auf die Schaltfläche Speichern

Die ausgewählten Symbole werden in eine XML-Datei exportiert und können jederzeit in dieses oder andere Projekte wieder importiert werden.

Symbole importieren

Um Symbole zu importieren:

  1. wählen Sie im Kontextmenü des Knotens oder der Detailansicht von Projekt-Symbolbibliothek oder in der Detailansicht der Globalen Symbolbibliothek den Befehl XML importieren...
  2. der Auswahldialog für den Speicherort wird geöffnet
  3. navigieren Sie zum Speicherort der gewünschten XML-Datei
  4. wählen Sie die gewünschte Datei aus
  5. bestätigen Sie den Import mit Klick auf die Schaltfläche Öffnen

Die Symbole werden importiert.

Namenskonflikt beim Import

Beim Importieren eines Symbols wird der in der XML-Datei hinterlegte Name (Attribut ShortName) für die Benennung des neu anzulegenden Symbols verwendet. Existiert bereits ein Symbol mit demselben Namen, wird der Import unterbrochen und eine Fehlermeldung angezeigt:

Parameter | Beschreibung
Ja | Das in der Fehlermeldung genannte Symbol wird beim Import durch das Symbol aus der XML-Datei ersetzt. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Nein | Das in der Fehlermeldung genannte Symbol wird nicht importiert, das bereits vorhandene Symbol wird beibehalten. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Ja alle | Das in der Fehlermeldung genannte Symbol wird beim Import durch das Symbol aus der XML-Datei ersetzt. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Symbole werden ersetzt.
Nein alle | Das in der Fehlermeldung genannte Symbol wird nicht importiert, das bereits vorhandene Symbol wird beibehalten. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Symbole werden beibehalten.

Hinweis: Es wird nur der ShortName verwendet. Der Dateiname spielt für die Benennung des zu importierenden Symbols keine Rolle, kann also zur Konfliktlösung nicht verwendet werden.


Sichtbarkeitsebenen

Handbuch > Bilder > Sichtbarkeitsebenen

Ähnlich wie in CAD-Programmen können im Editor Sichtbarkeitsebenen definiert und einzelnen Elementen zugewiesen werden. So lassen sich bei komplexen Bildern nicht benötigte Elemente einfach ausblenden und jederzeit wieder einblenden. 15 Sichtbarkeitsebenen stehen zur Verfügung. Die Zuweisung einer Ebene erfolgt über die Eigenschaft Sichtbarkeitsebene im Knoten Allgemein. Das Aktivieren und Deaktivieren von einzelnen Ebenen erfolgt über die Schaltflächen der Symbolleiste Sichtbarkeitsebenen:

Symbol

Beschreibung

Alle Sichtbarkeitsebenen sichtbar machen

Blendet alle Ebenen ein.

Alle Sichtbarkeitsebenen unsichtbar machen

Blendet alle Ebenen aus.

Sichtbarkeitsebene [Nr]

Blendet die entsprechende Sichtbarkeitsebene ein oder aus.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

info Info

Sichtbarkeitsebenen gelten nur für den Editor und haben zur Runtime keine Auswirkung.

Hinweis Kontrollelemente: Kontrollelemente werden zur Runtime immer an oberster Stelle angezeigt. Das gilt auch, wenn sie im Editor von anderen Elementen überdeckt werden. Damit wird sichergestellt, dass sie immer erreichbar sind.


Bildtypen

Handbuch > Bilder > Bildtypen

Bilder werden in der Grundeinstellung mit dem Bildtyp Standard erzeugt. Folgen Sie den Anweisungen im Kapitel Bild anlegen mit Bilderstellungsdialog um ein Bild mit den Bildtyp Standard zu erstellen. Der Bildtyp Standard ist per Default bereits ausgewählt.

Im Bilderstellungsdialog können unter Inhalt und Bildtyp auch spezielle Bildtypen ausgewählt werden.

attention Achtung

Wird ein Bild vom Bildtyp Standard auf einen speziellen Bildtypen geändert, so ist der neue Bildtyp fest mit dem Bild verbunden und kann nicht mehr geändert werden.

Spezielle Bildtypen

Für besondere Aufgaben bietet zenon eine Reihe von speziellen Bildtypen an. Nach Auswahl eines speziellen Bildtyps stehen im Menü Kontrollelemente alle Bedienelemente für den jeweiligen Bildtyp zur Verfügung. Der Menüpunkt Vorlage einfügen öffnet einen Auswahldialog zum Einfügen vordefinierter Layouts mit bestimmten Kontrollelemente an definierter Position.

info Info

Spezielle Bildtypen müssen auch bei mehrfachem Einsatz nur einmal erstellt werden. Über die Filter der Funktion Bildumschaltung können diese jeweils mit verschiedenen Daten geöffnet werden.

Spezielle Bildtypen als Startbild

Jeder Bildtyp kann auch als Startbild benutzt werden.

Achtung: Spezielle Bildtypen werden mit leerem Filter und damit ohne Daten aufgeschaltet.

Noch in diesem Kapitel

Standard Bildtyp

Spezielle Bildtypen

Bildtypspezifische Funktionen

Active Directory Benutzerverwaltung

Anlagenmodell

Faceplate

Filterbilder

Message Box

HTML

Notizbuch

Kontextliste

Video


Standard Bildtyp

Handbuch > Bilder > Bildtypen > Standard Bildtyp

Zur Auswahl der Bildtypen und zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des per Default aktivierten Bilderstellungsdialogs. Diese Vorgehensweise wird empfohlen.
  • die Erstellung eines Bildes über die Eigenschaften.

Vorgehen zum Erstellen eines Bildes vom Bildtyp Standard bei deaktiviertem Bilderstellungsdialog

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der EigenschaftBildtyp Standard.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.


Spezielle Bildtypen

Handbuch > Bilder > Bildtypen > Spezielle Bildtypen

In der Tabelle Spezielle Bildtypen in zenon finden Sie eine Auflistung und Beschreibung der verfügbaren Bildtypen. Zur Auswahl der Bildtypen und zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des per Default aktivierten Bilderstellungsdialogs. Diese Vorgehensweise wird empfohlen.
  • die Erstellung eines Bildes über die Eigenschaften. Die Beschreibung dieser Vorgehensweise ist in der folgenden Tabelle mit dem jeweiligen Bildtyp verknüpft.

Spezielle Bildtypen in zenon:

Bildtyp

Beschreibung

Active Directory Benutzerverwaltung

Ermöglicht zur Runtime die Verwaltung der Active Directory Benutzer und Benutzergruppen.

Alarmmeldeliste

Sammelt Alarmmeldungen und zeigt sie in Listenform an.

Alarmmeldeliste Filter

Filter für die Alarmmeldeliste.

Anlagenmodell

Anlagenmodelle bieten die Möglichkeit zur Strukturierung von physikalischen Produktionsanlagen. Über den Bildtyp kann das Anlagenmodell zur Runtime als z.B. als Filter verwendet werden.

Archiv-Nachbearbeitung

Erlaubt die tabellarische Darstellung und Editierung von gespeicherten Archivwerten.

Lizenzinfo: Nur verfügbar mit Lizenz für Archivserver.

Batch

Erstellen von Vorgaben für Vorlagenrezepte im Modul Batch Control. Das Modul entspricht dem Standard ANSI/ISA-S88. Über den Bildtyp können batchorientierte Herstellungsverfahren für Los- und Chargenprodukte automatisiert werden.

Lizenzinfo: Nur verfügbar mit Lizenz für Batch Control.

Befehlsgabe

Ermöglicht die Darstellung und Durchführung von Befehlsgaben.
Lizenzinfo: Nur verfügbar mit Lizenz für Energy Edition.

Benutzerliste

Anzeige von Benutzern und die Möglichkeit, diese mit dem Bild vom Typ Benutzer editieren, zu bearbeiten.

Benutzergruppenliste

Anzeige von Benutzergruppen und Möglichkeit, diese mit dem Bild vom Typ Benutzer editieren, zu bearbeiten.

Benutzer editieren

Benutzer erstellen, bearbeiten oder löschen.

Chronologische Ereignisliste

Sammelt Prozess- und Systemereignisse sowie Benutzervorgaben und stellt sie in Listenform dar.

Chronologische Ereignisliste Filter

Filter für die Chronologische Ereignisliste.

Erweiterter Trend

Stellt Online- und Archivwerte zur Runtime als Liniengrafiken dar.

Faceplate

Nimmt mehrere Bilder unterschiedlichen Typs in einem Bild auf und ermöglicht so eine gleichzeitige Darstellung der Bilder zur Runtime.

Höchstlastprognose

Bild zur Darstellung der Höchstlastprognose.

Lizenzinfo: Nur verfügbar mit Lizenz für SICAM 230.

HTML

Ermöglicht die Darstellung einer Webseite in HTML, angepasst an den Microsoft Internet-Explorer.

Industrial Maintenance Manager

Bietet einen Überblick welche Gerät, Anlagen oder Maschinen gewartet werden müssen. Der Bildtyp ermöglicht die Darstellung von Wartungsinformationen.

Lizenzinfo: Nur verfügbar mit Lizenz für Industrial Maintenance Manager.

Hinweis: Steht unter Windows CE nicht zur Verfügung.

Industrial Performance Analyzer

Wertet die Alarmdaten statistisch aus, um Schwachstellen (Stillstandszeiten) einer Anlage zu lokalisieren.

Hinweis: Steht unter Windows CE nicht zur Verfügung.

Keyboard

Erzeugt eine frei definierbare virtuelle Tastatur.

Kontextliste

Erlaubt die zentrale Verwaltung hierarchisch strukturierter Texte zur Runtime. Durch die Verknüpfung eines Kontextlisteneintrags mit Einträgen aus der Alarmmeldeliste können mögliche Alarmursachen zentral vordefiniert werden.

Lastfluss (n-1)-Berechnung

Dient dazu, aktuelle Lasten einer Leitung sowie berechnete Lasten auf Leitungen zu visualisieren. Die berechneten Lasten zeigen die Werte einer Leitung unter der Annahme, dass eine andere Leitung des vermaschten Netzes nicht mehr vorhanden ist.

Last-Management

Planung und Darstellung von Energiebezugsmanagement (Strom).

Lizenzinfo: Nur verfügbar mit Lizenz für Last-Management

Hinweis: Steht unter Windows CE nicht zur Verfügung.

Login

Individuell gestaltbares Fenster für temporäres oder permanentes Login zur Runtime, sowie Eingabe einer Signatur und Login über Funktion.

Message Box

Der Bildtyp ermöglicht die Anzeige von Fehlern, Warnungen, Hinweisen und Abfragen zur Runtime.

Message Control

Das Modul ermöglicht den Versand von Nachrichten an einzelne Empfänger oder Empfängergruppen. Der Bildtyp dient der Verwaltung der Message Queue in der Message Control.

Notizbuch

Gibt Protokolle und Textdateien aus, die aus Datenbankabfragen erstellt werden oder als Textdateien vorhanden sind.

Production & Facility Scheduler

Mit diesem Bildtyp können zeitliche Abläufe direkt gesteuert werden. Dies ermöglicht die Verwaltung von Fahrplänen und Profilen.

Lizenzinfo: Nur verfügbar mit Lizenz für Production & Facility Scheduler (PFS).

Prozess-Rekorder

Bild für die Steuerung der Wiedergabe von aufgezeichneten Prozessdaten in der Runtime.

Lizenzinfo: Nur verfügbar mit Lizenz für das optionale Modul Prozess-Rekorder.

Report Generator

Zur Ausgabe von Protokollen, die aus den Daten der verschiedenen Module, wie etwa der Alarmmeldeliste oder der Chronologischen Ereignisliste gewonnen wurden. Die Protokolle wurden mit dem erweiterten Report Generator erstellt.

Lizenzinfo: Nur verfügbar mit Lizenz für Report Generator. Sollen Reports nur angezeigt und nicht editiert werden, ist für die Runtime keine Lizenz nötig.

Report Viewer

Dient der Anzeige von RDL-Reports für Archiv-, AML-, CEL- und Online-Werte.

Lizenzinfo: Nur verfügbar mit Lizenz für Reporting.

Rezeptgruppen-Manager

Verwaltet Rezepte und deren Verwendung innerhalb von Rezeptgruppen.

Lizenzinfo: Nur verfügbar mit Lizenz für Rezeptgruppen Manager (RGM).

S7-Graph

Wird für sequentielle Abläufe mit alternativen oder parallelen Schrittfolgen (SFC) verwendet. Stellt zur Runtime den momentanen Zustand der Ablaufsteuerung in der SPS direkt dar.

Standard-Rezepte

Bildtyp zur einfachen Verwaltung von Rezepten.

Schaltfolgen

Bildtyp zur Erstellung von Abläufen zur Runtime. Als Basis dienen Befehlsgabeaktionen, welche im Editor projektiert sind.

Lizenzinfo: Nur verfügbar mit zusätzlicher Lizenz. Kann nur zusätzlich zur Energy Edition lizensiert werden.

Scheduler

Zur Projektierung von Schalthandlungen, die zu einem bestimmten Zeitpunkt ausgeführt werden.

Lizenzinfo: Nur verfügbar, wenn keine PFS-Lizenz vorhanden.

Schichtmanagement

Zur Modellierung und Organisation von Schichten.

Variablen-Diagnose

Bildtyp zur Darstellung von Variablen, Zeitstempeln und Statusangaben zur Runtime und der Absetzung von Sollwerten.

Hinweis: Steht unter Windows CE nicht zur Verfügung.

Video

Zur Darstellung von Online- und gespeicherten Videoaufnahmen (*.avi).

Hinweis: Steht unter Windows CE nicht zur Verfügung.

Weltbild-Übersicht

Ermöglicht es, Standardbilder, die größer sind als die Bildschirmauflösung, mit der Maus zu scrollen.

Zeit- und Chargenfilter

Ermöglicht generelle Filtereinstellungen für Listen. Welche Listen damit gesteuert werden, wird in der Funktion Bildumschaltung festgelegt.

Noch in diesem Kapitel

Anlegen spezieller Bildtypen

Vorlagen für Standardbilder und spezielle Bildtypen


Anlegen spezieller Bildtypen

Handbuch > Bilder > Bildtypen > Spezielle Bildtypen > Anlegen spezieller Bildtypen

Zur Auswahl der Bildtypen und zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des per Default aktivierten Bilderstellungsdialogs. Diese Vorgehensweise wird empfohlen.
  • die Erstellung eines Bildes über die Eigenschaften.

Vorgehen zum Erstellen eines Bildes mit einem speziellen Bildtyp bei deaktiviertem Bilderstellungsdialog

  1. Erstellen Sie ein neues Bild oder wählen Sie ein vorhandenes Bild vom Typ Standard aus.
  2. Klicken Sie in den Eigenschaften im Knoten Allgemein bei Bildtyp auf den Bildtyp Standard.
  3. Wählen Sie den gewünschten Bildtyp aus der Dropdownliste aus.

    Alternativ: Klicken Sie in der Detailansicht Bilder auf den Bildtyp des Bildes und wählen Sie aus der Dropdownliste den gewünschten Bildtyp aus.

  4. Wählen Sie im Menü Kontrollelemente die gewünschten Kontrollelemente.
    • Vorlage einfügen öffnet einen Auswahldialog zum Einfügen vordefinierter Layouts mit bestimmten Kontrollelemente an definierter Position.
    • Elemente, die im Bild bereits vorhanden sind, werden grau dargestellt und können nicht mehr ausgewählt werden.

info Info

Einschränkung für automatisches Einfügen der Vorlagen:

Befindet sich bereits ein statisches Element, zum Beispiel ein Kontrollelement, im Bild, werden beim Einfügen der Kontrollelemente aus der Vorlage keine Rahmen und keine Rahmenbeschriftungen erzeugt.

Empfehlung: Fügen Sie nach dem Anlegen eines speziellen Bildtyps im ersten Schritt die Kontrollelemente aus der Vorlage ein und erst danach weitere Elemente.


Vorlagen für Standardbilder und spezielle Bildtypen

Handbuch > Bilder > Bildtypen > Spezielle Bildtypen > Vorlagen für Standardbilder und spezielle Bildtypen

Für spezielle Bildtypen wie auch Standardbilder können Vorlagen zum automatischen Einfügen und Positionieren von Elementen verwendet werden. Vorlagen können aus jedem Bild selbst erstellt werden. Für die speziellen Bildtypen werden auch vorgefertigte Vorlagen mit zenon ausgeliefert.

Vorlagen werden in komprimierten ZIP-Dateien abgelegt, die jeweils drei weitere Dateien enthalten:

  • Metadaten: XML-Datei mit der Beschreibung der Vorlage (Name, Beschreibung, Größe, usw.).
  • Bildelemente: XML-Datei mit den exportierten Elementen eines Bildes.
  • Vorschau: Bitmap-Datei mit der Vorschau der Vorlage.

Mitgelieferte Vorlage

Die mitgelieferten Vorlagen stehen in verschiedenen Auflösungen sowie optimiert für Touchscreen zur Verfügung. Diese Vorlagen können weder verändert noch gelöscht werden. Von COPA-DATA vordefinierte Vorlagen werden im zenon Programmordner abgelegt unter: \Templates\ScreenTypes\[SPRACHE]\[Name für den Bildtyp]\[Dateiname].zip.

Beispiel: Vorlagen für AML in Deutsch finden Sie unter %Program Files (x86)%\COPA-DATA\zenon 9.2\Templates\ScreenTypes\GERMAN\Alarm Message list\

Hinweis: Im Editor werden nur Vorlagen für die aktuell eingestellte Sprache geladen.

Benutzerdefinierte Vorlagen

Benutzer können für jeden Bildtyp eigene Vorlagen erstellen und speichern. Diese können auch bearbeitet und gelöscht werden.

Benutzerdefinierte Vorlagen werden im zenon Datenordner abgelegt unter: Templates\ScreenTypes\<Name für den Bildtyp>\<Dateiname>.zip.
Z. B.: %ProgramData%\COPA-DATA\zenon8.00\Templates\ScreenTypes\Alarm Message List\3e9afbcf-f93d-46d9-a199-e00effe4811c.zip.

Hinweis: Der Pfad hängt davon ab, ob er bei der Installation oder über das Startup Tool registriert wurde. Ist das nicht der Fall, wird als Datenordner der aktuelle Programmordner verwendet.

Noch in diesem Kapitel

Vorlagen verwenden

Vorlagen erstellen


Vorlagen verwenden

Handbuch > Bilder > Bildtypen > Spezielle Bildtypen > Vorlagen für Standardbilder und spezielle Bildtypen > Vorlagen verwenden

Um Vorlagen für ein Bild zu verwenden:

  1. Öffnen Sie das Bild.
  2. Wählen Sie im Menü Kontrollelemente den Befehl Vorlage einfügen....
  3. Der Dialog mit den vordefinierten und benutzerdefinierten Vorlagen wird geöffnet.

    Hinweis: für Bilder vom Typ Standard stehen nur benutzerdefinierte Vorlagen zur Verfügung.

  4. Wählen Sie die gewünschte Vorlage.
  5. Klicken Sie auf Übernehmen.
  6. Die in der Vorlage definierten Elemente werden an den vordefinierten Positionen eingefügt.

Parameter | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.
Vorschau auf Vorlage (rechts oben) | Vorschau auf das Bild bei Übernahme der gewählten Vorlage.
Beschreibung Vorlage (rechts unten | Beschreibung der Vorlage.
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.
Übernehmen | Fügt die gewählte Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Vorlagen erstellen

Handbuch > Bilder > Bildtypen > Spezielle Bildtypen > Vorlagen für Standardbilder und spezielle Bildtypen > Vorlagen erstellen

Ordner und Vorlagen können für benutzerdefinierte vorlagen neu erstellt, gelöscht, umbenannt und verschoben werden. Mitgelieferte, vordefinierte Vorlagen können weder bearbeitet noch gelöscht werden.

Ordner oder Vorlagen erstellen

Um einen Ordner zu erstellen, wählen Sie:

  • im Dialog die Schaltfläche Order neu
  • oder im Kontextmenü den Befehl Order neu
  • oder benutzen Sie die Schaltfläche Einfg

Um eine Vorlage zu erstellen:

  1. markieren Sie in der Detailansicht das gewünschte Bild
  2. wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Vorlage für Bildtyp erzeugen
  3. der Dialog zum Erstellen eigener Vorlagen wird geöffnet
  4. wählen Sie einen vorhandenen Ordner aus oder erstellen Sie einen neuen
  5. vergeben Sie einen Namen für die neue Vorlage
  6. fügen Sie optional eine Beschreibung hinzu
  7. bestätigen Sie mit OK
  8. die Vorlage wird im markierten Ordner hinzugefügt

Parameter | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an. Ermöglicht über das Kontextmenü Ordner und Vorlagen zu löschen oder umzubenennen und Ordner hinzuzufügen.
Vorschau auf Vorlage (rechts oben) | Vorschau auf das Bild bei Übernahme der gewählten Vorlage.
Beschreibung Vorlage (rechts unten | Beschreibung der Vorlage.
Ordner neu | Erstellt neuen Ordner. Es können mehrere Ebenen angelegt werden.
Umbenennen | Öffnet Feld mit Namen zum Editieren. Das kann auch mit der F2-Taste oder einem verzögerten Doppelklick erreicht werden.
Löschen | Löscht nach einer Sicherheitsabfrage ausgewählten Ordner mit allen Unterordnern.
OK | Erstellt Vorlage und schließt Dialog.
abbrechen | Schließt Dialog, ohne Vorlage zu erstellen.
Hilfe | Öffnet die Online-Hilfe.

Ordner löschen

Um einen Ordner oder eine Vorlage zu löschen:

  1. markieren Sie den Ordner oder die Vorlage
  2. wählen Sie
    1. im Dialog die Schaltfläche Löschen
    2. oder im Kontextmenü den Befehl Löschen
    3. oder benutzen Sie die Entfernen-Taste

Der Ordner oder die Vorlage wird nach einer Sicherheitsabfrage gelöscht. Bei Ordnern werden eventuelle Unterordner mit allen enthaltenen Vorlagen gelöscht.

Ordner oder Vorlagen umbenennen

Um einen Ordner oder eine Vorlage umzubenennen:

  • wählen Sie im Kontextmenü den Befehl Umbenennen
  • oder benutzen Sie die Schaltfläche Umbenennen
  • oder markieren Sie das Element und öffnen Sie mit der F2-Taste oder einem verzögerten Doppelklick die Beschriftung zur Bearbeitung
  • oder ändern Sie bei Vorlagen den Text im Feld Name

Ordner oder Vorlagen verschieben

Ordner und Vorlagen können per Drag&Drop mit der Maus in andere Ordner verschoben werden.

Noch in diesem Kapitel

Kontextmenü Vorlage für Bildtyp erstellen


Kontextmenü Vorlage für Bildtyp erstellen

Handbuch > Bilder > Bildtypen > Spezielle Bildtypen > Vorlagen für Standardbilder und spezielle Bildtypen > Vorlagen erstellen > Kontextmenü Vorlage für Bildtyp erstellen

Im Dialog zum Erstellen neuer Vorlagen stehen auch Kontextmenüs zur Verfügung.

Kontextmenü für Ordner

Parameter | Beschreibung
Ordner neu | Erstellt einen neuen Ordner unterhalb der markierten Ebene.
Löschen | Löscht den markierten Ordner nach einer Sicherheitsabfrage.
Umbenennen | Öffnet die Ordnerbeschriftung zum Umbenennen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü für Vorlagen

Parameter | Beschreibung
Löschen | Löscht die markierte Vorlage nach einer Sicherheitsabfrage.
Umbenennen | Öffnet die Vorlagenbeschriftung zum Umbenennen.
Hilfe | Öffnet die Online-Hilfe.


Bildtypspezifische Funktionen

Handbuch > Bilder > Bildtypen > Bildtypspezifische Funktionen

Wird in einem Bild mit einem speziellen Bildtyp ein Dynamisches Element vom Typ Button erstellt, steht in den Eigenschaften die zusätzliche Eigenschaft Bildtyp-spezifische Aktion zur Verfügung (Knoten Variable/Funktion). Mit dieser Eigenschaft verknüpfen Sie spezielle Funktionen, die vom Bildtyp abhängen, mit einem Button.

Werden Bildtyp-spezifisch verknüpfte Funktionen ungültig, zum Beispiel durch Kopieren eines Buttons in ein Bild anderen Typs, dann wird auf die ungültige Verknüpfung hingewiesen und diese kann ersetzt werden. Ungültige Funktionen werden beim Kompilieren entfernt.

attention Achtung

Zusätzlich zu einer Bildtyp-spezifische Funktion kann auch eine allgemeine Funktion mit dem Button verknüpft werden. Außerdem können zur Runtime VBA Ereignisse (wie LeftClickDown) ausgeführt werden.

Beachten Sie in diesem Fall die Reihenfolge der Ausführung beim Betätigen des Buttons:

  1. VBA-Ereignisse
  2. Bildtyp-spezifische Funktion
  3. allgemeine Funktion

Eine Funktion wird dabei erst ausgeführt, wenn das vorangegangene Ereignis beendet ist.

Dialog Element-Eingabe

Parameter | Beschreibung
Liste der Funktionen | Listet alle für den Bildtyp verfügbaren spezifischen Funktionen auf. Funktionen, die für diesen Button nicht zur Verfügung stehen, werden grau dargestellt. Klick auf einen Eintrag wählt diesen zur Verknüpfung aus.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Active Directory Benutzerverwaltung

Handbuch > Bilder > Bildtypen > Active Directory Benutzerverwaltung

Mit einem Bild vom Typ Active Directory Benutzerverwaltung können Sie zur Runtime auf das Windows Active Directory zugreifen. Sie können Organisationseinheiten, Benutzer und Benutzergruppen anlegen, löschen und bearbeiten und ihnen Rechte in zenon zuweisen.

info Info

Active Directory und AD LDS, sowie ADAM (für Windows XP), stehen unter Windows CE nicht zur Verfügung.

Domäne zur Runtime

Zur Runtime wird die Domäne des Benutzers verwendet, der die Runtime für den Active Directory Login gestartet hat. Es können sich nur Benutzer einloggen, die dieser Domäne angehören.

Benutzerrechte

attention Achtung

Rechte, die in zenon vergeben werden, gelten für das jeweilige Projekt oder den Arbeitsbereich. Rechte, die im Active Directory vergeben werden, gelten global.

Werden also Rechte an Benutzer oder Benutzergruppen des Active Directory vergeben, dann gelten die Rechte für diese Benutzer in allen zenon Projekten!

Bild vom Typ Active Directory Benutzerverwaltung anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Active Directory Benutzerverwaltung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ Active Directory Benutzerverwaltung

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Active Directory Fenster

Kontrollelemente für Anzeige und Verwaltung des Active Directorys.

Enthält die Active Directory Detailansicht: Fenster, in dem die Struktur des Active Directory angezeigt wird.

Kontrollelement | Beschreibung
Active Directory Fenster |
Neue Organisationseinheit anlegen (Tree) | Öffnet den Dialog, um im Baum eine neue Organisationseinheit anzulegen.
Organisationseinheit editieren |
Organisationseinheit löschen (Tree) | Löscht die im Baum ausgewählte Organisationseinheit nach Rückfrage.
Eine Ebene höher | Navigiert in der Struktur eine Ebene höher.
Neue Organisationseinheit anlegen | Legt unterhalb des im Baum ausgewählten Elements eine neue Organisationseinheit an. Der entsprechende Dialog wird geöffnet.
Neuen Benutzer anlegen | Öffnet den Dialog zum Anlegen eines neuen Benutzers.
Neue Benutzergruppe anlegen | Öffnet den Dialog zum Anlegen einer neuen Benutzergruppe.
Objekt bearbeiten | Öffnet den Dialog zum Bearbeiten des ausgewählten Objekts.
Objekt löschen | Löscht das ausgewählte Objekt.

Login

Kontrollelemente für den Login ins Active Directory.

Kontrollelement | Beschreibung
Domänenname | Eingabe und Anzeige des Domänennamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Benutzername | Eingabe und Anzeige des AD Benutzernamens. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Passwort | Eingabe des Passworts. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Anmelden | Klick meldet den Benutzer beim AD an.
Abmelden | Klick meldet den Benutzer ab.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Domänenname | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Benutzername | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Passwort | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Details zur Verwendung in zenon und zur Konfiguration des Active Directory lesen Sie im Handbuch Benutzerverwaltung, in den Kapiteln:

  • Active Directory Benutzerverwaltung mit zenon Runtime
  • Benutzerverwaltung mit Microsoft Active Directory

attention Achtung

Rechte, die in zenon vergeben werden, gelten für das jeweilige Projekt oder den Arbeitsbereich. Rechte, die im Active Directory vergeben werden, gelten global.

Werden also Rechte an Benutzer oder Benutzergruppen des Active Directory vergeben, dann gelten die Rechte für diese Benutzer in allen zenon Projekten!


Anlagenmodell

Handbuch > Bilder > Bildtypen > Anlagenmodell

Mit einem Bild vom Typ Anlagenmodell können zur Runtime:

  • andere, bereits geöffnete, Bilder auf bestimmte Anlagengruppen gefiltert werden.
  • alle mit einer bestimmten Anlagengruppe verknüpften Funktionen automatisch nacheinander ausgeführt werden.

Das Filtern auf eine Anlagengruppe wirkt sich immer nur auf bereits geöffnete Bilder aus. Werden Bilder neu aufgeschaltet oder neu geladen, werden sie wieder ohne die Filter des Bildes Anlagenmodell angezeigt.

Hinweis: Mit der Option Hierarchischer Filter genügt es, wenn eine Variable mit einer Ebene des Anlagenmodells verknüpft ist. Diese Variable wird automatisch bei der Filterung auf eine übergeordnete Ebenen berücksichtigt.

info Info

Es stehen Anlagenmodelle aus Globalprojekten und lokalen Projekten zur Verfügung. Bei Namenskonflikten werden lokale Anlagenprojekte vorgezogen.

Tipp: Achten Sie bei der Projektierung von Anlagenmodellen auf eindeutige Namen. Versehen Sie zum Beispiel globale Anlagenmodelle mit einem entsprechenden Präfix oder Suffix. So vermeiden Sie gleiche Namen in lokalen und globalen Anlagemodellen. Und Sie können in Auswahllisten den Ursprung der angezeigten Anlagenmodelle einfach identifizieren.

Details zur Projektierung und Verwendung von Bildern vom Typ Anlagenmodell finden Sie im Handbuch Anlagenmodellierung im Kapitel Bild vom Typ Anlagenmodell und Filtern zur Runtime.


Faceplate

Handbuch > Bilder > Bildtypen > Faceplate

Faceplate bezeichnet ein zenon Bild, das mittels Bildcontainer mehrere Bilder unterschiedlichen Typs verknüpft aufnehmen und zur Runtime gleichzeitig darstellen kann. Mit Faceplates können zum Beispiel:

  • mehrere Bilder parallel in einem Bild angezeigt werden
  • mehrere Zeitfilter auf den gleichen Bildtyp parallel angewandt werden
  • Daten eines Bildes über einen Filter auf ein weiteres Bild angewandt werden

Bild vom Typ Faceplate anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Faceplate.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Zulässige Bildtypen für Faceplates

In Faceplates können folgende Bildtypen verknüpft werden:

  • AML
  • AML-Filter
  • Anlagenmodell
  • CEL
  • CEL-Filter
  • ETM
  • HTML
  • Report Generator
  • Report Viewer
  • Standard
  • Zeit-Filter

Faceplates in der Detailansicht

In Faceplates verknüpfte Subbilder werden in der Detailansicht unterhalb des Faceplate-Bildes als Gruppe angezeigt.

Auf die Subbilder kann in der Spalte Name gefiltert werden. Es werden alle zum Filter passenden Subbilder und das jeweils dazugehörige Faceplate angezeigt. Subbilder können kopiert, aber nicht weiter bearbeitet werden.

Noch in diesem Kapitel

Bild vom Typ Faceplate anlegen

Verknüpfungen ersetzen

Bildumschaltung konfigurieren

Faceplate zur Runtime verwenden


Bild vom Typ Faceplate anlegen

Handbuch > Bilder > Bildtypen > Faceplate > Bild vom Typ Faceplate anlegen

Ein Bild vom Typ Faceplate besteht aus Bildcontainern und den optionalen Buttons Filter und Filter editierbar.

Bildcontainer:

Bildcontainer zeigen den Namen des Containers und den Namen sowie Typ des verknüpften Bildes an. Bei bereits verknüpften Bildern werden diese Informationen durch automatisch definierte Hintergrundfarben hervorgehoben. Damit überlagern diese Informationen im Editor immer Inhalte des verknüpften Bildes, die an der gleichen Stelle positioniert sind.

Die Größe des Containers kann an die Größe des verknüpften Bildes angepasst werden. Dazu navigieren Sie zur Eigenschaft Größe von verknüpftem Bild übernehmen in der Gruppe Position. Klick auf die Schaltfläche ... übernimmt die Größe des verknüpften Bildes für den Container.

Bild vom Typ Faceplate

Kontrollelemente

Beschreibung

Vorlage einfügen

Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp.

Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden.

Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Bildcontainer

Element das mit einem existierenden Bild verknüpft wird und zur Runtime den Inhalt des verknüpften Bildes anzeigt.

In einem Bild vom Typ Faceplate können mehrere Bildcontainer verwendet werden.

Wurde die Option Rahmen um Dynamische Elemente (Extras --> Einstellungen) aktiviert, dann wird im Container in der rechten oberen Ecke ein Symbol angezeigt. Dieses verweist darauf, dass der Inhalt verlinkt ist.

Der Container enthält Informationen zum verknüpften Bild.

Filter

Schaltet zur Runtime ein Fenster mit den im Editor konfigurierten Filtern auf. Es können nur jene Filter bearbeitet werden, die dafür freigegeben wurden.

Filter editierbar

Schaltet zur Runtime ein Fenster mit den im Editor konfigurierten Filtern auf und ermöglicht die Bearbeitung aller Filter - unabhängig von den Vorgaben im Editor.

Bild vom Typ Faceplate anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Faceplate .
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Hinweise zur Projektierung

Um ein Bild mit einem Container zu verknüpfen, haben Sie folgende Möglichkeiten:

  • Drag&Drop:
    Ziehen Sie ein Bild per Drag&Drop in den Container. Beim Positionieren der Maus über dem Ziel wird über Symbole angezeigt, ob das Bild verknüpft werden kann.
    Hinweis: Werden mehrere Bilder gleichzeitig per Drag&Drop in einen Container gezogen, dann wird das Bild verknüpft, das als erstes ausgewählt wurde.
  • Auswahl über Eigenschaft:
    Wählen Sie über die Eigenschaft Bild in der Eigenschaftengruppe Darstellung ein Bild aus. Es werden nur zulässige Bildtypen zur Verknüpfung angeboten.
  • Dialog im Container:
    Rufen Sie mit einem Doppelklick auf den leeren Bildcontainer den Dialog zur Auswahl eines Bildes auf. Es werden nur zulässige Bildtypen zur Verknüpfung angeboten.
    Hinweis: Doppelklick auf einen bereits befüllten Container öffnet das verlinkte Bild.

Tipps:

  • Doppelklick auf einen Bildcontainer öffnet:
    • bei leerem Bildcontainer: den Dialog zum Verknüpfen eines Bildes
    • bei konfiguriertem Bildcontainer: das verknüpfte Bild in einer neuen Registerkarte
  • Über die Eigenschaft Vorschau im Editor anzeigen kann die Anzeige des im Bildcontainer verknüpften Bildes im Editor ein- und ausgeschaltet werden. Bei Performanceproblemen wird das Ausschalten der Anzeige empfohlen.

info Info

Achten Sie bei der Vergabe von Namen für die Eigenschaft Elementname auf eindeutige Bezeichnungen. So stellen Sie beim Anlegen einer Bildumschaltung eine eindeutige Auswahl sicher.

Bildcontainer manuell anlegen

Um Bildcontainer manuell anzulegen:

  1. Öffnen Sie das Menü Kontrollelemente.
  2. Wählen Sie Bildcontainer.
  3. Ziehen Sie den Bildcontainer mit der Maus im Bild auf.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild aus der Liste aus und bestätigen Sie die Auswahl mit Klick auf OK.
  5. Vergeben Sie einen eindeutigen Namen für den Bildcontainer.

Wiederholen Sie diese Schritte für alle gewünschten Bildcontainer.

info Info

Im Editor können nur Faceplates mit erlaubten Bildtypen angelegt werden. Für den Bildtyp Standard kann allerdings nachträglich auch ein verbotener Bildtyp eingestellt werden. Wurden solche Bildtypen im Editor ausgewählt, wird die Verknüpfung gelöst. Zur Runtime wird ein leerer Container angezeigt


Verknüpfungen ersetzen

Handbuch > Bilder > Bildtypen > Faceplate > Verknüpfungen ersetzen

In Container verknüpfte Funktionen, Variablen, Verriegelungsvariablen und ALC-Aliase können automatisiert ersetzt werden.

Um Verknüpfungen zu ersetzen:

  1. Navigieren Sie in den Eigenschaften des Containers zur Gruppe Verknüpfungsregel.
  2. Konfigurieren Sie die entsprechenden Ersetzungen direkt oder nutzen Sie den Dialog.
  3. Klick auf die Schaltfläche ... in der Eigenschaft Vorschau öffnet den Dialog zur Konfiguration und Vorschau der Ersetzungen.

Per Mehrfachauswahl können Ersetzungen für mehrere Container gleichzeitig vorgenommen werden. In diesem Fall müssen die Regeln über die Eigenschaften definiert werden. Der Dialog mit der Vorschau steht dann nicht zur Verfügung.

Verknüpfungsregel

Eigenschaft | Beschreibung
Verknüpfungsregel | Konfiguration, welche Zeichenketten wie ersetzt werden.
Quelle | Eingabe der zu suchenden Zeichenkette. Erlaubte Wildcards: * und ? Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.
Ersetzen durch | Eingabe der Zeichenkette, die eingesetzt werden soll.
Name | Tauscht Information im Variablennamen.
Kennung | Tauscht Information in der Kennung.
Groß-/ Kleinschreibung beachten | Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.
Zusammengesetzte Namen | Zusammengesetzte Namen erlauben. Steht für ALC Aliase und Faceplate Container nicht zur Verfügung. Diese werden immer ohne Symbolpräfix verwendet.

Vorschau

Eigenschaft | Beschreibung
Vorschau | Anzeige der gewählten und ersetzen Elemente.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Weitere Details zum automatisierten Ersetzen von Variablen und Funktionen finden Sie im Kapitel Verknüpfungen von Variablen und Funktionen ersetzen.

Tipp: Achten Sie darauf, dass die Variablen von Anfang eindeutig und sinnvoll benannt werden.

Die definierte Verknüpfungsregel wird auf folgende Objekte angewendet, wenn sie im Bild vorhanden sind:

  • Funktionen
  • Variablen
  • Verriegelungsvariablen
  • ALC-Aliase

Ablauf

Bei Bildumschaltungen auf ein Bild vom Typ Faceplate werden in der Vorschau-Liste der Bildumschaltung die durch die beim Bildcontainer konfigurierten Verknüpfungsregel zu ersetzenden Objekte angezeigt. Auch die Vorschau des Bildcontainers zeigt bereits die ersetzten Objekte an. Unterschiedliche Bildcontainer können das gleiche Bild verwenden, aber unterschiedliche Verknüpfungsregeln definieren.

Zur Runtime wird erst die beim Bildcontainer konfigurierte Ersetzungsregel auf das verknüpfte Bild angewendet. Anschließend wird, sofern konfiguriert, die Verknüpfungsregel der Bildumschaltungsfunktion angewendet.

Kann eine Verknüpfungsregel zur Runtime nicht aufgelöst werden, wird einen LOG-Eintrag erstellt.


Bildumschaltung konfigurieren

Handbuch > Bilder > Bildtypen > Faceplate > Bildumschaltung konfigurieren

Um eine Funktion zur Aufschaltung eines Bildes vom Typ Faceplate anzulegen:

  1. Wählen Sie Funktion neu.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das Bild vom Typ Faceplate aus oder ein im Faceplate verknüpftes Subbild.

    Der Dialog zur Konfiguration und Verknüpfung der Filter wird geöffnet.

  4. Konfigurieren Sie die gewünschten Filter.
    Tipp: Sie können mehrere unterschiedliche Filter des gleichen Typs konfigurieren.
  5. Verknüpfen Sie Bildcontainer mit Filter.
    Hinweis: Es können nur Filter verknüpft werden, die vom Bildtyp im Bildcontainer unterstützt werden.
    Auf Subbilder können Filter vom Typ AML, CEL, Zeit und Anlagenmodell angewandt werden.
  6. Bestätigen Sie die Konfiguration mit Klick auf die Schaltfläche OK.

Filterdialog

Parameter

Beschreibung

Filter

Registerkarte zur Konfiguration der Filter für Bildcontainer im Faceplate.

Verknüpfungen ersetzen

Registerkarte, in der verknüpfte Variablen ersetzt werden können.

Indizes ersetzen

Registerkarte, in der Indizes ersetzt werden können.

Liste Filter

Liste aller angelegten Filter. Diese Filter können einzelnen Bildcontainern zugewiesen.

Die Liste ist alphabetisch nach Filter sortiert. Die Einträge in jeder Gruppe können durch Klick auf den Spaltentitel nach Bezeichnung oder Filterparameter sortiert werden.

Checkbox

Aktiv: Wenn für den Dialog die Option Diesen Dialog zur Runtime anbieten aktiviert wurde, steht dieser Filter zur Runtime zur Konfiguration zur Verfügung.

Inaktiv: Dieser Filter kann zur Runtime nicht bearbeitet werden.

Default: aktiv

Neu

Öffnet den Dialog zur Auswahl eines Filtertyps und legt einen entsprechenden neuen Filter in der Liste an.

Tastenkombination: Einfg-Taste

Bearbeiten

Öffnet einen vom Filtertyp abhängigen Konfigurationsdialog.
Der Dialog kann auch mit einem Doppelklick auf den Filter in der Liste geöffnet werden.

Duplizieren

Kopiert den ausgewählten Filter und fügt ihn mit neuem Namen in die Gruppe der entsprechenden Filter ein.

Entfernen

Entfernt den momentan gewählten Filter aus der Liste.

Tastenkombination: Entf-Taste

Bildcontainer

Zuweisung von Filter zu Bildcontainern.

Liste Filter

Listet alle vorhandenen Bildcontainer und die jeweils verknüpften Filter auf.

Die Namen der Container setzen sich zusammen aus: Bezeichnern für den Bildcontainer plus Name des Bildes plus Bildtyp.

Unterhalb des Containernamens werden bereits verknüpfte Filter alphabetisch angezeigt. Jeder Container-Eintrag verfügt über eine Schaltfläche Filter verknüpfen. Klick auf Filter verknüpfen öffnet den Dialog zur Auswahl eines Filters.

Filter verknüpfen

Klick öffnet Dialog zur Auswahl eines Filters, der mit dem Container verknüpft werden soll. Es werden nur Filter angezeigt, die mit dem ausgewählten Container verknüpft werden können.

Es können mehrere Filter pro Container ausgewählt werden, jedoch nicht mehrere Filter vom selben Typ. Filtertypen, die bereits mit dem jeweiligen Bildcontainer verknüpft wurden, stehen nicht mehr zur Auswahl.

Diese Schaltfläche wird für jeden Bildcontainer am Ende seiner Filterliste angezeigt.

Bearbeiten

Öffnet einen vom Filtertyp abhängigen Konfigurationsdialog.
Der Dialog kann auch mit einem Doppelklick auf den Filter in der Liste geöffnet werden.

Entfernen

Löst die Verknüpfung des momentan gewählten Filters mit dem Bildcontainer.

Tastenkombination: Entf-Taste

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Dialog vor Ausführung der Funktion geöffnet.

Zur Runtime werden nur jene Filter zum Bearbeiten angeboten, deren Checkbox im Editor aktiviert wurde und deren Bildtypen dazu geeignet sind. Alle anderen Filter werden angezeigt, können aber nicht bearbeitet werden.

Hinweis: Diese Einstellung kann zur Runtime im Bild mit dem Button Filter editierbar übergangen werden.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Unterstützte Bildtypen für Dialog zur Runtime anbieten

Mit Aktivierung der Option Diesen Dialog zur Runtime anbieten wird zur Runtime vor Ausführung der Bildumschaltung der Dialog zum Bearbeiten der Filter angeboten. Nicht alle Bildtypen unterstützen dies vollständig.

Liste der Bildtypen und Filter:

Legende:

  • X: verfügbar
  • 1/2/3: mit Einschränkungen; siehe Anmerkungen
  • --: nicht verfügbar
Bildtyp | Filter | RT editierbar
Alarmmeldeliste | Alarmmeldeliste (Allgemein) | X
 | Alarmmeldeliste (Spalteneinstellungen) | X
 | Anlagenmodell | X
 | Chargen | 1
 | Projekt | X
 | Status | X
 | Text | X
 | Zeit | 2
Alarmmeldeliste Filter | Alarmmeldeliste Filter (Allgemein) | X
 | Chargen | 1
 | Chargenliste (Spalteneinstellungen) | X
 | Text | X
 | Verknüpfte Bilder | --
 | Zeit | 2
Anlagenmodell | Anlagenmodell (Allgemein) | --
Chronologische Ereignisliste | Anlagenmodell | X
 | Chargen | 1
 | Chronologische Ereignisliste (Allgemein) | X
 | Chronologische Ereignisliste (Spalteneinstellungen) | X
 | Projekt | X
 | Status | X
 | Text | X
 | Zeit | 2
Chronologische Ereignisliste Filter | Chargen | 1
 | Chargenliste (Spalteneinstellungen) | X
 | Chronologische Ereignisliste Filter (Allgemein) | X
 | Text | X
 | Verknüpfte Bilder | --
 | Zeit | 2
Erweiterter Trend | Chargen | 1
 | Erweiterter Trend (Allgemein) | 3
 | Erweiterter Trend (Druckereinstellungen) | X
 | Erweiterter Trend (Spalteneinstellungen) | X
 | Zeit | 2
HTML | HTML (Allgemein) | X
Report Generator | Report Generator (Datei) | X
 | Report Generator (Parameter) | X
 | Chargen | 1
 | Zeit | 2
Report Viewer | Report Viewer (Reportdefinition) | --
Standard |  | --
Zeit-Filter | Chargen | 1
 | Chargenliste (Spalteneinstellungen) | X
 | Verknüpfte Bilder | --
 | Zeit | 2

Anmerkungen:

  • 1 - Chargen: nur Kein Chargenfilter oder Chargenfilter direkt anwenden.
    Kein Name/Archiv Aus Variable.
  • 2 - Zeit: Absoluter/Relativer Zeitraum nur mit Vorgabe.
    Kein Zeitbereich.
  • 3 - Erweiterter Trend (Allgemein): Gleiche Einschränkungen wie bei Bildumschaltung Erweiterter Trend, z.B kein Wechsel der Datenquelle, Diagrammart usw.

Noch in diesem Kapitel

Neuen Filter anlegen

Filter verknüpfen

Übernahme von Filtern bei Bildumschaltung auf andere Bildtypen

Verknüpfungen und Indizes ersetzen


Neuen Filter anlegen

Handbuch > Bilder > Bildtypen > Faceplate > Bildumschaltung konfigurieren > Neuen Filter anlegen

Filter für Bildcontainer werden im oberen Bereich der Registerkarte Filter angelegt und verwaltet.

Um einen Filter anzulegen:

  1. Klicken Sie auf die Schaltfläche Neu.
  2. Der Dialog zur Auswahl eines Filtertyps wird geöffnet.

  3. Angezeigt werden:
    • Allgemeine Filter
    • Bildtypspezifische Filter
  4. Wählen Sie den gewünschten Filter.
    Sie können mehrere Filter gleichzeitig auswählen:
    • Steuerung-Taste + Mausklick: wählt alle angeklickten Filter
    • Mausklick -> Umschalt-Taste+Mausklick: wählt alle Filter zwischen erstem und zweiten Klick aus
    • Klick auf Filterüberschrift: wählt alle Filter dieser Gruppe aus
    • Steuerung-Taste + A: wählt alle Filter aus
    • Steuerung-Taste + D: wählt alle Filter ab
    • Umschalt-Taste+[Buchstabe]: wählt den nächsten Filter mit entsprechendem Anfangsbuchstaben

    Wird nur ein Filter ausgewählt, öffnet der Klick auf OK den entsprechenden Konfigurationsdialog.
    Werden mehrere Filter ausgewählt, dann wird kein Dialog geöffnet. Jeder gewählte Filter muss nach dem Anlegen manuell konfiguriert werden.

  5. Konfigurieren Sie den Filter.
  6. Schließen Sie die Konfiguration mit Klick auf OK ab.

Filtertypen

Für Faceplates stehen verschiedene Filtertypen zur Verfügung. Es werden bei der Konfiguration immer nur jene Filter angeboten, die sich für im Faceplate vorhandene Bildtypen eignen. Verwendet zum Beispiel keiner der verknüpften Bildtypen Chargen, dann wird auch der Chargenfilter nicht angeboten.

Filter

Beschreibung

Allgemeine Filter

Filter, die unabhängig von den konfigurierten Bildtypen zur Verfügung stehen.

Zeit

Konfiguration von Zeitfilter.

Text

Eingrenzung der Anzeige auf Meldungen, die bestimmte Suchbegriffe enthalten.

Chargen

Konfiguration eines Chargenfilters.

Verfügbar, wenn im Faceplate ein Bild vom Typ AML, CEL, Erweiterter Trend oder Report Generator verknüpft ist.

Status

Konfiguration der Status, auf die gefiltert werden soll.

Anlagenmodell

Konfiguration eines Filters auf Anlagengruppen aus dem Globalprojekt oder dem lokalen Projekt.

Projekt

Auswahl der Projekte eines Integrationsprojekts, auf die gefiltert werden soll.

Hinweis: In der Regel nur verfügbar, wenn mehrere Projekte in einem Integrationsprojekt angelegt wurden. Bei der Filterkonfiguration für Faceplates wird der Projektfilter auch für Einzelprojekte angeboten.

Bildtypspezifische Filter

Filter, die abhängig von den konfigurierten Bildtypen angeboten werden.

Alarmmeldeliste (Allgemein)

Konfiguration, welche Alarme angezeigt werden.

Alarmmeldeliste (Spalteneinstellungen)

Konfiguration, welche Spalten der AML in welcher Reihenfolge und Sortierung angezeigt werden.

Anlagenmodell (Allgemein)

Konfiguration der Filter für ein Bild vom Typ Anlagenmodell.

Chronologische Ereignisliste (Allgemein)

Konfiguration, welcher Ereignisse angezeigt werden.

Chronologische Ereignisliste (Spalteneinstellungen)

Konfiguration, welche Spalten der CEL in welcher Reihenfolge und Sortierung angezeigt werden.

Erweiterter Trend (Allgemein)

Konfiguration folgender Einstellungen für den Erweiterten Trend:

  • Daten
  • Darstellung
  • X-Achse

Erweiterter Trend (Druckereinstellungen)

Konfiguration der Druckereinstellungen für den Erweiterten Trend.

Erweiterter Trend (Spalteneinstellungen)

Konfiguration der Spalteneinstellungen für den Erweiterten Trend.

HTML (Allgemein)

Konfiguration der Filter für ein Bild vom Typ HTML.

Report Generator (Datei)

Konfiguration der aufzurufenden Report-Datei des Report Generators.

Report Generator (Parameter)

Konfiguration der zu verwendenden Parameter des Report Generators.

Report Viewer (Reportdefinition)

Konfiguration der zu verwendenden Reportdefinitionen des Report Viewers.

Verknüpfte Bilder

Konfiguration der verknüpften Bilder für Zeitfilter, Alarmmeldeliste und Chronologische Ereignisliste.


Filter verknüpfen

Handbuch > Bilder > Bildtypen > Faceplate > Bildumschaltung konfigurieren > Filter verknüpfen

Filter für Bildcontainer werden im unteren Bereich der Registerkarte Filter verknüpft und verwaltet.

Um einen Bildcontainer mit einem Filter zu verknüpfen:

  1. Klicken Sie im Fenster Bildcontainer auf die Schaltfläche Filter verknüpfen.
  2. Der Dialog zum Verknüpfen eines Filters wird geöffnet.

  3. Wählen Sie den oder die gewünschten Filter aus.
  4. Bestätigen Sie die Verknüpfung mit Klick auf die Schaltfläche OK.

Auswahl Filter für Verknüpfung

Mit jedem Bildcontainer können mehrere Filter verknüpft werden. Allerdings kann pro Filtertyp nur ein Filter verknüpft werden. Filtertypen, die bereits mit dem jeweiligen Bildcontainer verknüpft wurden, stehen nicht mehr zur Auswahl.

Die Liste der Filter ist alphabetisch nach Filter sortiert. Die Einträge in jeder Gruppe können durch Klick auf den Spaltentitel nach Bezeichnung oder Filterparameter sortiert werden.

Es können mehrere Filter gleichzeitig ausgewählt werden:

  • Die Tastenkombination Strg+Mausklick: wählt alle angeklickten Filter
  • Mausklick -> Umschalt-Taste+Mausklick: wählt alle Filter zwischen erstem und zweiten Klick aus
  • Klick auf Filterüberschrift: wählt alle Filter dieser Gruppe aus
  • Strg+A: wählt alle Filter aus
  • Strg+D: wählt alle Filter ab
  • Umschalt-Taste+[Buchstabe]: wählt den nächsten Filter mit entsprechendem Anfangsbuchstaben


Übernahme von Filtern bei Bildumschaltung auf andere Bildtypen

Handbuch > Bilder > Bildtypen > Faceplate > Bildumschaltung konfigurieren > Übernahme von Filtern bei Bildumschaltung auf andere Bildtypen

Bei Bildumschaltungen auf bestimmte Bildtypen können Bilder vom Typ Faceplate oder Subbilder eines Faceplates als aufrufendes Bild oder zu aktualisierendes Bild gewählt werden. Wird das Bild vom Typ Faceplate als zu aktualisierendes Bild gewählt, wird der Filter auf alle passenden Subbilder angewendet.

Bildtypen, die bei einer Bildumschaltung Faceplates und Subbilder als Quelle/Ziel erlauben:

  • AML-Filter
  • Anlagenmodell
  • CEL-Filter
  • Zeitfilter

Unterstützte Bildcontainer im Faceplate, das als zu aktualisierendes Bild gewählt wird:

  • AML
  • AML-Filter
  • Anlagenmodell
  • CEL
  • CEL-Filter
  • Erweiterter Trend
  • Zeitfilter


Verknüpfungen und Indizes ersetzen

Handbuch > Bilder > Bildtypen > Faceplate > Bildumschaltung konfigurieren > Verknüpfungen und Indizes ersetzen

In dieser Registerkarte werden alle Variablen und Funktionen der verknüpften Bilder aufgelistet. Diese können wie auch bei anderen Bildumschaltungen automatisiert ersetzt werden.

Details siehe:

  • Verknüpfungen von Variablen und Funktionen ersetzen
  • Verknüpfungen ersetzen bei Bildumschaltung
  • Indizes ersetzen

Besonderheit bei Ersetzung im Bild vom Typ Faceplate

Die Einstellungen für das Ersetzen von Variablen und Funktionen werden in einem Bild vom Typ Faceplate nicht nur für das Faceplate selbst, sondern auch für alle eingebetteten Bilder angewendet. Ersetzungen, die bereits am Container über die Eigenschaften der Gruppe Verknüpfungsregel konfiguriert wurden, werden in der Registerkarte Verknüpfungen ersetzen angezeigt. Zur Runtime wird erst die beim Bildcontainer konfigurierte Ersetzungsregel auf das verknüpfte Bild angewendet. Anschließend wird, sofern konfiguriert, die Verknüpfungsregel der Bildumschaltungsfunktion angewendet.

Beispiel:

Ausgangslage:

  • Das Faceplate-Bild enthält eine Variable Test1 und ein Bild CEL.
  • Das Bild CEL enthält ebenfalls eine Variable Test1.
  • Bei der Bildumschaltung wird die Variable Test1 durch Test2 ersetzt.

Ergebnis:

  • Das Faceplate-Bild wird aufgeschaltet und zeigt an Stelle der Variable Test1 die Variable Test2 an.
  • Das verknüpfte Bild vom Typ CEL wird eingebettet dargestellt.
  • Auch im CEL-Bild wird die Variable Test1 durch Test2 ersetzt.


Faceplate zur Runtime verwenden

Handbuch > Bilder > Bildtypen > Faceplate > Faceplate zur Runtime verwenden

Zur Runtime werden an den Stellen, an denen Bildcontainer platziert sind, die darin verknüpften Bilder angezeigt. Die Bilder übernehmen die Größe ihrer Bildcontainer und können wie alle anderen aufgeschalteten Bilder bedient werden.

Im folgenden Faceplate-Bild werden zwei Container mit unterschiedlichen Bildern angezeigt.

info Info

Im Editor können nur Faceplates mit erlaubten Bildtypen angelegt werden. Für den Bildtyp Standard kann allerdings nachträglich auch ein verbotener Bildtyp eingestellt werden. Wurden solche Bildtypen im Editor ausgewählt, wird die Verknüpfung gelöst. Zur Runtime wird ein leerer Container angezeigt

Änderungen an Schablonen und Bildern

Die Bilder in den Containern werden an Rahmen und Schablonen angepasst.

Das anzuzeigende Bild wird entsprechend beschnitten, wenn:

  • die Schablone kleiner konfiguriert wird als das Bild, das sie anzeigen soll
  • ein Faceplate-Bild als Popup aufgeschaltet und in seiner Größe geändert wird

Noch in diesem Kapitel

Filter bearbeiten


Filter bearbeiten

Handbuch > Bilder > Bildtypen > Faceplate > Faceplate zur Runtime verwenden > Filter bearbeiten

Die im Editor projektierten Filter für die Bilder in den Bildcontainern können je nach Einstellungen zur Runtime bearbeitet werden.

Filter nicht bearbeitbar

Damit bei beim Aufschalten des Bildes zur Runtime keine Möglichkeit besteht, Filter zu editieren, deaktivieren Sie bei der Konfiguration der Bildumschaltung die Option Diesen Dialog zur Runtime anbieten (aktivierte Filter sind zur Runtime editierbar).

Diese Sperre kann mit dem Button Filter editierbar umgangen werden.

Ausgewählte Filter bearbeitbar

Damit beim Aufschalten des Bildes zur Runtime Filter editiert werden können:

  • Aktivieren Sie bei der Konfiguration der Bildumschaltung:
    • in der Liste Filter die Checkbox für jeden gewünschten Filter
    • die Option Diesen Dialog zur Runtime anbieten (aktivierte Filter sind zur Runtime editierbar)

Hinweis: Beachten Sie die Einschränkungen für unterstützte Bildtypen im Abschnitt Unterstützte Bildtypen für Dialog zur Runtime anbieten.

Zur Runtime wird beim Aufschalten des Bildes der Dialog zur Auswahl und Bearbeitung der Filter angezeigt. Alle für die Bearbeitung zugelassenen Filter können ausgewählt und editiert werden. Alle anderen Filter sind gesperrt. Gesperrte Filter können aber mit dem Button Filter editierbar freigeschaltet werden.

Alle Filter zur Runtime anzeigen und bearbeiten

Mit dem Button Filter editierbar kann zur Runtime der Dialog mit allen Filtern zur freien Bearbeitung aufgeschaltet werden.

Sollen Filter nur eingeschränkt bearbeitbar sein, ein Benutzer aber uneingeschränkten Zugriff haben, dann:

  1. projektierten Sie die Bildumschaltung mit eingeschränkten/keinen Zugriffsmöglichkeiten auf die Filter
  2. legen Sie im Bild einen Button Filter editierbar an
  3. vergeben Sie für den Button entsprechende Zugriffsrechte für Benutzer und Benutzergruppen

Zur Runtime sind die Filter nur, wie in der Bildumschaltung festgelegt, editierbar. Der für den Button freigegebene Benutzer kann aber alle projektierten Filter bearbeiten.


Filterbilder

Handbuch > Bilder > Bildtypen > Filterbilder

Mit Filterbildern gestalten Sie individuelle Filterseiten mit eigenen Filterdialogen. Diese können Sie nach Gesichtspunkten wie Touchbedienbarkeit, Filterung nur von speziellen Bereichen, Sprachumschaltbarkeit usw. gestalten.

Als Filterbilder stehen zur Verfügung:

  • Alarmmeldeliste Filter
  • Chronologische Ereignisliste Filter
  • Zeit-/Chargen-/Schichtfilter

Noch in diesem Kapitel

Filterbilder anlegen

Bildumschaltung auf ein Filterbild


Filterbilder anlegen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen

So legen Sie Filterbilder an für:

  • Alarmmeldeliste Filter
  • Chronologische Ereignisliste Filter
  • Zeit-/Chargen-Schichtfilter

Noch in diesem Kapitel

Bild vom Typ Alarmmeldeliste Filter anlegen

Bild vom Typ CEL Filter anlegen

Bild vom Typ Zeit-/Chargen-/Schichtfilter anlegen

Vordefinierte Namen

Filterbild verwenden


Bild vom Typ Alarmmeldeliste Filter anlegen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ Alarmmeldeliste Filter anlegen

Das Bild vom Typ Alarmmeldeliste Filter ermöglicht es, zur Runtime individualisierte Filtereinstellungen für die Alarmmeldeliste vorzunehmen. Es werden nur die benötigen Filter projektiert und dem Benutzer zur Verfügung gestellt. Das Aussehen lässt sich frei definieren und damit an unterschiedliche Endgeräte anpassen. Es können alle Filtereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste vorhanden sind, projektiert werden.

Damit:

  • werden nur die wirklich benötigten Filterelemente projektiert und dem Benutzer zur Verfügung gestellt
  • bekommt der Benutzer nur diese Filter angezeigt und gewinnt Übersicht
  • kann das Aussehen völlig frei definiert werden und so zum Beispiel auch eine leichte Bedienung über einen Touchscreen realisiert werden

Details zur Handhabung zur Runtime, siehe Abschnitt Alarmmeldeliste Filter benutzen.

Definition der Filterkriterien, siehe Abschnitt Filter Alarmmeldeliste Filter.

attention Achtung

Bilder vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter und Zeitfilter müssen mit einer eigenen Schablone projektiert werden. Benutzen sie die gleiche Schablone wie andere Bilder, werden zur Runtime beim Schließen des Bildes alle auf dieser Schablone basierenden Bilder ebenfalls geschlossen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Alarmmeldeliste Filter.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
      Hinweis: Das Bild AML Filter darf nicht auf derselben Schablone wie andere Bilder basieren!
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Vorlagen


Kontrollelemente

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ Alarmmeldeliste Filter anlegen > Kontrollelemente

Das Bild vom Typ Alarmmeldeliste Filter kann folgende Steuer- und Anzeigeelemente enthalten.

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden. Mehr zu Vorlagen für diesen Bildtyp im Kapitel Vorlagen.

Allgemeine Filter

Dropdownliste verschiedener allgemeiner Filter.

Kontrollelement

Beschreibung

Alle Elemente einfügen: Allgemeine Filter

Fügt alle Elemente aus dem Bereich Allgemeine Filter an vordefinierten Plätzen ein. Elemente können individuell angeordnet werden.

Alle Elemente einfügen: Allgemeine Filter (Touch)

Fügt alle Elemente aus dem Bereich Allgemeine Filter an vordefinierten Plätzen ein. Elemente können individuell angeordnet werden. Die Elemente wurden auf Touchbedienung optimiert.

Variablen

Alarme welcher Variablen werden angezeigt:
  • Name

Filtern nach Namen der Variablen.
  • Kennung

Filtern nach Kennung der Variablen.
  • Groß-/Kleinschreibung beachten

Groß- und Kleinschreibung bei der Filterung der Variablen beachten.

Alarmart

Welche Alarme werden angezeigt:
  • Nur nicht quittierte Alarme

Nur nicht quittierte Alarme.
  • Nur gegangene Alarme

Nur gegangene Alarme.
  • Nur anstehende Alarme

Nur anstehende Alarme.
  • Kommentar erforderlich

Alarme, deren Quittierung einen Kommentar erfordert.
  • Alarmursache erforderlich

Alarme, deren Quittierung die Verknüpfung einer Alarmursache erfordert.

Mindestzeit anstehender Alarme

Zeit, die Alarme mindestens anstehen müssen.
  • Tage

Nur Alarme, die mindestens seit der angegeben Zahl von Tagen anstehen.
  • Stunden

Nur Alarme, die mindestens seit der angegeben Zahl von Stunden anstehen.
  • Minuten

Nur Alarme, die mindestens seit der angegeben Zahl von Minuten anstehen.
  • Sekunden

Nur Alarme, die mindestens seit der angegeben Zahl von Sekunden anstehen.
  • Millisekunden

Nur Alarme, die mindestens seit der angegeben Zahl von Millisekunden anstehen.

Mindestzeit anstehender Alarme (Touch)

Auf Touchbedienung optimierte Elemente für Konfiguration der Mindestzeit für anstehende Alarme.

  • Button: Tage (rauf)
  • Touchbox: Tage
  • Button: Tage (runter)
  • Button: Stunden (rauf)
  • Touchbox: Stunden
  • Button: Stunden (runter)
  • Button: Minuten (rauf)
  • Touchbox: Minuten
  • Button: Minuten (runter)
  • Button: Sekunden (rauf)
  • Touchbox: Sekunden
  • Button: Sekunden (runter)
  • Button: Millisekunden (rauf)
  • Touchbox: Millisekunden
  • Button: Millisekunden (runter)

Datenherkunft

Woher stammen die Daten:
  • Ringpuffer

Aus dem Ringpuffer.
  • Historische Daten

Aus einem Archiv.
  • Maximale Anzahl (Eingabefeld)

Eingabe der maximal anzuzeigenden Alarme bei Anzeige historischer Alarme.

0: zeigt alle an

Alarm/Ereignis-Gruppen/Alarm/Ereignis-Klassen, Alarmbereiche

Listenfelder für gruppierte Anzeige:
  • Alarm/Ereignis-Gruppen

Alarm/Ereignis-Gruppen
  • Alarm/Ereignis-Klassen

Alarm/Ereignis-Klassen
  • Alarmbereiche

Alarmbereiche
Hinweis: Bei aktivierter Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden ist die Spalte Alarmbereich leer. Die Checkbox befindet sich im Punkt Alarmbehandlung der Variableneigenschaften.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

Variablen

  • Name
  • Kennung

Alarmart

  • Nur nicht quittierte Alarme
  • Nur gegangene Alarme
  • Nur anstehende Alarme
  • Kommentar erforderlich

Datenherkunft

  • Ringpuffer
  • Historische Daten
  • Maximale Anzahl (Eingabefeld)

Zeitfilter

Elemente für Zeitfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche.

Absoluter Zeitraum - klassische Darstellung

Elemente für den absoluten Zeitraum in klassischer Darstellung.

Absoluter Zeitraum - kompakte Darstellung

Elemente für den absoluten Zeitraum in kompakter Darstellung.

Relativer Zeitraum

Elemente für den relativen Zeitraum.

Ab HH:MM:SS Uhr

Elemente für einen Zeitraum ab einer definierten Uhrzeit.

Ab Tag - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag zu einer definierten Uhrzeit.

Ab Tag, Monat - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag in einem bestimmten Monat zu einer definierten Uhrzeit.

Zeitbereich: 15/30/60 Minuten

Elemente für einen Zeitraum von 15, 30 oder 60 Minuten.

Zeitbereich - ein Tag

Elemente für einen Zeitraum von einem Tag.

Zeitbereich - 1 oder 2 Wochen

Elemente für einen Zeitraum über eine oder zwei Wochen.

Sowohl bei der Ansicht für eine Woche als auch bei jener für zwei Wochen ist jeweils jede Woche auswählbar. Bei der Zwei-Wochen-Ansicht wird abhängig von der ausgewählten Woche ein Zeitraum von 14 Tagen ausgewählt.

Zeitbereich - ein Monat

Elemente für einen Zeitraum von einem Monat.

Zeitbereich - ein Jahr

Elemente für einen Zeitraum von einem Jahr.

Alle Elemente einfügen (Touch)

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche, die für die Touch-Bedienung optimiert wurden. Analog zu Alle Elemente einfügen stehen zur Verfügung:

  • Absoluter Zeitraum - klassische Darstellung
  • Relativer Zeitraum
  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Zeitbereich - 15/30/60 Minuten
  • Zeitbereich - ein Tag
  • Zeitbereich - 1 oder 2 Wochen
  • Zeitbereich - ein Monat
  • Zeitbereich - ein Jahr

Eingestellter Zeitfiltertyp (Anzeige)

Element vom Typ Dynamischer Text für die Anzeige des eingestellten Zeitfiltertyps.

Zeitfiltertyp (Beschriftung)

Beschriftung für Typ des Zeitfilters.

Zeitfiltertyp (Combobox)

Combobox Zeitfiltertyp.

Zeitfiltertyp (Radiogroup)

Schalter-Elemente, die zur Runtime bestimmte Elemente ein- oder ausblenden:

  • Kein Filter
  • Absoluter Zeitfilter
  • Relativer Zeitfilter
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab HH:MM:SS Uhr
  • Zeitbereich 15 Minuten
  • Zeitbereich 30 Minuten
  • Zeitbereich 60 Minuten
  • Zeitbereich 1 Tag
  • Zeitbereich 1 Woche
  • Zeitbereich 2 Wochen
  • Zeitbereich 1 Monat
  • Zeitbereich 1 Jahr

Zeit von

Felder und Beschriftungen für Angaben "Von"-Zeit.

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Von Stunde (Beschriftung)
  • Von Stunde (Combobox)
  • Von Minute (Beschriftung)
  • Von Minute (Combobox)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Combobox)
  • Von (Spincontrol)

Zeit bis

Felder und Beschriftungen für Angaben "Bis"-Zeit.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Combobox)
  • Bis Monat (Beschriftung)
  • Bis Monat (Combobox)
  • Bis Tag (Beschriftung)
  • Bis Tag (Combobox)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Combobox)
  • Bis Minute (Beschriftung)
  • Bis Minute (Combobox)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Combobox)
  • Bis (Spincontrol)

Zeit von (Touch)

Felder und Beschriftungen für Angaben "Von"-Zeit, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Von Stunde (Beschriftung)
  • Von Stunde (Button: rauf)
  • Von Stunde (Touchbox)
  • Von Stunde (Button: runter)
  • Von Minute (Beschriftung)
  • Von Minute (Button: rauf)
  • Von Minute (Touchbox)
  • Von Minute (Button: runter)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Button rauf)
  • Von Sekunde (Touchbox)
  • Von Sekunde (Button runter)

Zeit bis (Touch)

Felder und Beschriftungen für Angaben "Bis"-Zeit, optimiert für Touchbedienung.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Button: rauf)
  • Bis Jahr (Touchbox)
  • Bis Jahr (Button: runter)
  • Bis Monat (Beschriftung)
  • Bis Monat (Button: rauf)
  • Bis Monat (Touchbox)
  • Bis Monat (Button: runter)
  • Bis Tag (Beschriftung)
  • Bis Tag (Button: rauf)
  • Bis Tag (Touchbox)
  • Bis Tag (Button: runter)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Button: rauf)
  • Bis Stunde (Touchbox)
  • Bis Stunde (Button: runter)
  • Bis Minute (Beschriftung)
  • Bis Minute (Button: rauf)
  • Bis Minute (Touchbox)
  • Bis Minute (Button: runter)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Button rauf)
  • Bis Sekunde (Touchbox)
  • Bis Sekunde (Button: runter)

Absolutzeitfilter

Felder und Beschriftungen für Angaben absoluter Zeitfilter.

  • Von (Beschriftung)
  • Von Datum (Kalenderanzeige)
  • Von Datum (Datumsanzeige)
  • Von Zeit (Zeitanzeige)
  • Bis (Beschriftung)
  • Bis Datum (Kalenderanzeige)
  • Bis Datum (Datumsanzeige
  • Bis Zeit (Zeitanzeige)

Zeitbereich

Felder und Beschriftungen für Angaben von Zeitbereichen:

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Woche (Beschriftung)
  • Woche (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Startzeit (Beschriftung)
  • Startzeit (Combobox)

Zeitbereich (Touch)

Felder und Beschriftungen für Angaben von Zeitbereichen, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Woche (Beschriftung)
  • Woche (Button: rauf)
  • Woche (Touchbox)
  • Woche (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Startzeit (Beschriftung)
  • Startzeit (Button: rauf)
  • Startzeit (Touchbox)
  • Startzeit (Button: runter)

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Zeitfiltertyp (Radiogroup)
    Win32 Kontrollelemente vom Typ Radiobutton. Wurde durch Schalter-Elemente ersetzt. Beschreibung siehe aktuelle Elemente.
  • Eingestellter Zeitfiltertyp (Anzeige)
    Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Chargenfilter

Elemente für Chargenauswahl zur Runtime.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Archivliste

Liste der zur Verfügung stehenden Archive.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Archivliste

Status der Archivliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Chargenliste

Liste der zur Verfügung stehenden Chargen.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Chargenliste

Status der Chargenliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Zeitfilter auf Chargenliste anwenden

Wendet den konfigurierten Zeitfilter auf die Auswahl in der Chargenliste an.

Chargenname Filter (Eingabefeld)

Eingabe einer Zeichenfolge zur Filterung der Chargennamen in der Chargenliste.

Chargenname Filter (Button)

Button zur Ausführung der Filterung auf Chargennamen.

Deaktiviert, wenn das Kontrollelement Chargenname Filter nicht vorhanden ist.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen.

Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Folgende Win32 Elemente wurden durch Elemente vom Typ Dynamischer Text ersetzt.

  • Status der Archivliste
  • Status der Chargenliste
  • Chargenname Filter (Eingabefeld)

Schichtfilter

Dropdownliste für Element des Schichtfilters.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Schichtliste

Liste der zur Verfügung stehenden Schichten.

Status der Schichtliste

Status der Schichtliste mit Zahl für:

  • gesamt
  • gefiltert
  • ausgewählt

Schichtliste aktualisieren

Klick auf Button aktualisiert die Anzeige der Schichtliste.

Textfilter

Dropdownliste verschiedener Textfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen: Textfilter

Fügt alle Elemente für Textfilter ein.

Kein Textfilter

Radiobutton für Abwahl Textfilter.

Suchen nach (Wörter getrennt durch Leerzeichen)

Radiobutton für Aktvierung der Suche

Beschriftung: Suchtext

Beschriftung für Suchfeld.

Eingabefeld: Suchtext

Feld für Eingabe der Suchbegriffe.

Optionen

Optionen für Suche
  • Groß-/Kleinschreibung beachten

Groß-/Kleinschreibung muss beachtet werden.
  • Wörter müssen nicht vollständig im Text vorkommen

Es wird auch nach Fragmenten gesucht.
  • Mindestens ein Wort muss im Text vorkommen

Mindestens ein Suchbegriff von mehreren muss im Ergebnis enthalten sein.
  • Alle Wörter müssen im Text vorkommen

Alle Suchbegriffe müssen im Ergebnis enthalten sein.
  • Filtertext muss exakt im Text vorkommen

Text aus dem Eingabefeld muss exakt im Ergebnis enthalten sein.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Kein Textfilter
  • Suchen nach (Wörter getrennt durch Leerzeichen)
  • Eingabefeld: Suchtext
  • Groß-/Kleinschreibung beachten
  • Wörter müssen nicht vollständig im Text vorkommen
  • Mindestens ein Wort muss im Text vorkommen
  • Alle Wörter müssen im Text vorkommen
  • Filtertext muss exakt im Text vorkommen

Buttons

Schaltflächen zur Runtime.

OK | Button: Übernimmt die Filtereinstellungen und schließt das Bild. Hinweis Faceplates: In Faceplates können Bilder vom Typ AML-Filter, CEL-Filter und Zeit-/Chargen-/Schichtfilter verwendet werden. Bei deren Konfiguration zur Runtime schließt der Klick auf OK das komplette Faceplate. Sollen die Filtereinstellungen gespeichert werden und das Faceplate geöffnet bleiben, klicken Sie auf Übernehmen.
Abbrechen | Button: Bricht die Konfiguration der Filtereinstellungen ab.
Übernehmen | Button: Übernimmt die Filtereinstellungen.
Aktualisieren | Button: Aktualisiert die gefilterte Anzeige.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Liste angehalten aufschalten


Vorlagen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ Alarmmeldeliste Filter anlegen > Vorlagen

Vorlage | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.
Vorschau und Beschreibung (rechts) | Zeigt Vorschau und Beschreibung der gewählten Vorlage an.
Standard | Fügt Standardelemente ein.
Scada | Spezielle Vorlagen, optimiert für Mausbedienung.
Nur Variablen- & Textfilter | Fügt Elemente für die Filterung auf Variablen- und Text ein.
Ohne Alarmgruppen | Fügt Elemente für die Filterung auf Variablen, Text und anstehende Mindestzeit ohne Alarmgruppen ein.
Standard | Fügt Standardelemente ein.
Variablen-, Text & Zeitfilter | Fügt Elemente für die Filterung auf Variablen, Text und Zeit ein.
Variablen-, Text & Zeitfilter (ab Monat) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Monat ein.
Variablen-, Text & Zeitfilter (ab Stunde) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Stunde ein.
Variablen-, Text & Zeitfilter (ab Tag) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Tag ein.
Variablen-, Text & Zeitfilter (absolut - Tabelle) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.
Variablen-, Text & Zeitfilter (absolut - kompakt) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich in kompakter Darstellung ein.
Variablen-, Text & Zeitfilter (absolut) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.

Dialog beenden

Schaltfläche | Beschreibung
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.
Übernehmen | Fügt die gewählte Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Bild vom Typ CEL Filter anlegen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ CEL Filter anlegen

Das Bild vom Typ Chronologische Ereignisliste Filter ermöglicht es, zur Runtime individualisierte Filtereinstellungen für die Chronologische Ereignisliste vorzunehmen. Es werden nur die benötigten Filter projektiert und dem Benutzer zur Verfügung gestellt. Das Aussehen lässt sich frei definieren und damit an unterschiedliche Endgeräte anpassen. Es können alle Filtereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste vorhanden sind, projektiert werden.

Damit:

  • werden nur die wirklich benötigten Filterelemente projektiert und dem Benutzer zur Verfügung gestellt
  • bekommt der Benutzer nur diese Filter angezeigt und gewinnt Übersicht
  • kann das Aussehen völlig frei definiert werden und so zum Beispiel auch eine leichte Bedienung über einen Touchscreen realisiert werden

Details zur Handhabung zur Runtime, siehe Abschnitt CEL Filter benutzen.

Definition der Filterkriterien, siehe Abschnitt Filter für Bildumschaltung CEL Filter.

attention Achtung

Bilder vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter und Zeitfilter müssen mit einer eigenen Schablone projektiert werden. Benutzen sie die gleiche Schablone wie andere Bilder, werden zur Runtime beim Schließen des Bildes alle auf dieser Schablone basierenden Bilder ebenfalls geschlossen.

Bild vom Typ Chronologische Ereignisliste Filter anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Chronologische Ereignisliste Filter.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
      Hinweis: Das Bild CEL Filter darf nicht auf derselben Schablone wie andere Bilder basieren!
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Vorlagen


Kontrollelemente

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ CEL Filter anlegen > Kontrollelemente

Das Bild vom Typ Chronologische Ereignisliste Filter kann folgende Steuer- und Anzeigeelemente enthalten.

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden. Mehr zu Vorlagen für diesen Bildtyp im Kapitel Vorlagen.

Allgemeine Filter

Dropdownliste verschiedener allgemeiner Filter.

Kontrollelement

Beschreibung

Systemmeldungen vom Filter ausnehmen

Zeigt zur Runtime eine Checkbox zum Anzeigen oder Ausfiltern von Systemmeldungen an. Systemmeldungen sind Meldungen ohne Variablenbezug.

Bedienung zur Runtime:

  • Aktiv: Systemmeldungen werden zur Runtime immer angezeigt. Das gilt auch dann, wenn sie durch den Text- oder Variablenfilter ausgefiltert werden sollten.
    Ausnahme: Systemmeldungen werden aber trotz aktivierter Checkbox nicht angezeigt, wenn sie durch den Zeitfilter oder die Filter für Datenherkunft (Ringpuffer oder Historische Daten) ausgefiltert werden.

Beispiel: Es sollen nur Meldungen mit dem Text "XY" angezeigt werden. Bei aktiver Option werden aber Systemmeldungen, die den Begriff nicht enthalten, auch angezeigt.

Alle Elemente einfügen: Allgemeine Filter

Fügt alle Elemente aus dem Bereich Allgemeine Filter an vordefinierten Plätzen ein. Elemente können individuell angeordnet werden.

Variablen

Alarme welcher Variablen werden angezeigt:
  • Name

Filtern nach Namen der Variablen.
  • Kennung

Filtern nach Kennung der Variablen.
  • Groß-/Kleinschreibung beachten

Groß- und Kleinschreibung bei der Filterung der Variablen beachten.

Datenherkunft

Woher stammen die Daten:
  • Ringpuffer

Aus dem Ringpuffer.
  • Historische Daten

Aus einem Archiv.
  • Maximale Anzahl (Beschriftung)

Text für Eingabefeld Maximale Anzahl

  • Maximale Anzahl (Eingabefeld)

Eingabe der maximal anzuzeigenden Alarme bei Anzeige historischer Alarme.

0: zeigt alle an

Runtime Einstellungen

  • Liste angehalten aufschalten

Schaltet die CEL in angehaltenem Zustand auf. Neue Alarme werden nicht hinzugefügt.
  • Relativzeiten anzeigen

Schaltet zwischen der normalen Anzeige und der Relativzeit-Anzeige um, ohne dass der ausgewählte Eintrag den Fokus verliert.

Relativzeit: Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Alarm/Ereignis-Gruppen/Alarm/Ereignis-Klassen, Alarmbereiche

Listenfelder für gruppierte Anzeige:
  • Alarm/Ereignis-Gruppen

Alarm/Ereignis-Gruppen
  • Alarm/Ereignis-Klassen

Alarm/Ereignis-Klassen
  • Alarmbereiche

Alarmbereiche

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

Systemmeldungen vom Filter ausnehmen

Variablen

  • Name
  • Kennung
  • Groß-/Kleinschreibung beachten

Datenherkunft

  • Ringpuffer
  • Historische Daten
  • Maximale Anzahl (Eingabefeld)

Zeitfilter

Elemente für Zeitfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche.

Absoluter Zeitraum - klassische Darstellung

Elemente für den absoluten Zeitraum in klassischer Darstellung.

Absoluter Zeitraum - kompakte Darstellung

Elemente für den absoluten Zeitraum in kompakter Darstellung.

Relativer Zeitraum

Elemente für den relativen Zeitraum.

Ab HH:MM:SS Uhr

Elemente für einen Zeitraum ab einer definierten Uhrzeit.

Ab Tag - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag zu einer definierten Uhrzeit.

Ab Tag, Monat - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag in einem bestimmten Monat zu einer definierten Uhrzeit.

Zeitbereich: 15/30/60 Minuten

Elemente für einen Zeitraum von 15, 30 oder 60 Minuten.

Zeitbereich - ein Tag

Elemente für einen Zeitraum von einem Tag.

Zeitbereich - 1 oder 2 Wochen

Elemente für einen Zeitraum über eine oder zwei Wochen.

Sowohl bei der Ansicht für eine Woche als auch bei jener für zwei Wochen ist jeweils jede Woche auswählbar. Bei der Zwei-Wochen-Ansicht wird abhängig von der ausgewählten Woche ein Zeitraum von 14 Tagen ausgewählt.

Zeitbereich - ein Monat

Elemente für einen Zeitraum von einem Monat.

Zeitbereich - ein Jahr

Elemente für einen Zeitraum von einem Jahr.

Alle Elemente einfügen (Touch)

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche, die für die Touch-Bedienung optimiert wurden. Analog zu Alle Elemente einfügen stehen zur Verfügung:

  • Absoluter Zeitraum - klassische Darstellung
  • Relativer Zeitraum
  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Zeitbereich - 15/30/60 Minuten
  • Zeitbereich - ein Tag
  • Zeitbereich - 1 oder 2 Wochen
  • Zeitbereich - ein Monat
  • Zeitbereich - ein Jahr

Eingestellter Zeitfiltertyp (Anzeige)

Element vom Typ Dynamischer Text für die Anzeige des eingestellten Zeitfiltertyps.

Zeitfiltertyp (Beschriftung)

Beschriftung für Typ des Zeitfilters.

Zeitfiltertyp (Combobox)

Combobox Zeitfiltertyp.

Zeitfiltertyp (Radiogroup)

Schalter-Elemente, die zur Runtime bestimmte Elemente ein- oder ausblenden:

  • Kein Filter
  • Absoluter Zeitfilter
  • Relativer Zeitfilter
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab HH:MM:SS Uhr
  • Zeitbereich 15 Minuten
  • Zeitbereich 30 Minuten
  • Zeitbereich 60 Minuten
  • Zeitbereich 1 Tag
  • Zeitbereich 1 Woche
  • Zeitbereich 2 Wochen
  • Zeitbereich 1 Monat
  • Zeitbereich 1 Jahr

Zeit von

Felder und Beschriftungen für Angaben "Von"-Zeit.

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Von Stunde (Beschriftung)
  • Von Stunde (Combobox)
  • Von Minute (Beschriftung)
  • Von Minute (Combobox)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Combobox)
  • Von (Spincontrol)

Zeit bis

Felder und Beschriftungen für Angaben "Bis"-Zeit.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Combobox)
  • Bis Monat (Beschriftung)
  • Bis Monat (Combobox)
  • Bis Tag (Beschriftung)
  • Bis Tag (Combobox)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Combobox)
  • Bis Minute (Beschriftung)
  • Bis Minute (Combobox)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Combobox)
  • Bis (Spincontrol)

Zeit von (Touch)

Felder und Beschriftungen für Angaben "Von"-Zeit, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Von Stunde (Beschriftung)
  • Von Stunde (Button: rauf)
  • Von Stunde (Touchbox)
  • Von Stunde (Button: runter)
  • Von Minute (Beschriftung)
  • Von Minute (Button: rauf)
  • Von Minute (Touchbox)
  • Von Minute (Button: runter)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Button rauf)
  • Von Sekunde (Touchbox)
  • Von Sekunde (Button runter)

Zeit bis (Touch)

Felder und Beschriftungen für Angaben "Bis"-Zeit, optimiert für Touchbedienung.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Button: rauf)
  • Bis Jahr (Touchbox)
  • Bis Jahr (Button: runter)
  • Bis Monat (Beschriftung)
  • Bis Monat (Button: rauf)
  • Bis Monat (Touchbox)
  • Bis Monat (Button: runter)
  • Bis Tag (Beschriftung)
  • Bis Tag (Button: rauf)
  • Bis Tag (Touchbox)
  • Bis Tag (Button: runter)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Button: rauf)
  • Bis Stunde (Touchbox)
  • Bis Stunde (Button: runter)
  • Bis Minute (Beschriftung)
  • Bis Minute (Button: rauf)
  • Bis Minute (Touchbox)
  • Bis Minute (Button: runter)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Button rauf)
  • Bis Sekunde (Touchbox)
  • Bis Sekunde (Button: runter)

Absolutzeitfilter

Felder und Beschriftungen für Angaben absoluter Zeitfilter.

  • Von (Beschriftung)
  • Von Datum (Kalenderanzeige)
  • Von Datum (Datumsanzeige)
  • Von Zeit (Zeitanzeige)
  • Bis (Beschriftung)
  • Bis Datum (Kalenderanzeige)
  • Bis Datum (Datumsanzeige
  • Bis Zeit (Zeitanzeige)

Zeitbereich

Felder und Beschriftungen für Angaben von Zeitbereichen:

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Woche (Beschriftung)
  • Woche (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Startzeit (Beschriftung)
  • Startzeit (Combobox)

Zeitbereich (Touch)

Felder und Beschriftungen für Angaben von Zeitbereichen, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Woche (Beschriftung)
  • Woche (Button: rauf)
  • Woche (Touchbox)
  • Woche (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Startzeit (Beschriftung)
  • Startzeit (Button: rauf)
  • Startzeit (Touchbox)
  • Startzeit (Button: runter)

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Zeitfiltertyp (Radiogroup)
    Win32 Kontrollelemente vom Typ Radiobutton. Wurde durch Schalter-Elemente ersetzt. Beschreibung siehe aktuelle Elemente.
  • Eingestellter Zeitfiltertyp (Anzeige)
    Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Chargenfilter

Elemente für Chargenauswahl zur Runtime.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Archivliste

Liste der zur Verfügung stehenden Archive.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Archivliste

Status der Archivliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Chargenliste

Liste der zur Verfügung stehenden Chargen.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Chargenliste

Status der Chargenliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Zeitfilter auf Chargenliste anwenden

Wendet den konfigurierten Zeitfilter auf die Auswahl in der Chargenliste an.

Chargenname Filter (Eingabefeld)

Eingabe einer Zeichenfolge zur Filterung der Chargennamen in der Chargenliste.

Chargenname Filter (Button)

Button zur Ausführung der Filterung auf Chargennamen.

Deaktiviert, wenn das Kontrollelement Chargenname Filter nicht vorhanden ist.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen.

Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Folgende Win32 Elemente wurden durch Elemente vom Typ Dynamischer Text ersetzt.

  • Status der Archivliste
  • Status der Chargenliste
  • Chargenname Filter (Eingabefeld)

Schichtfilter

Dropdownliste für Element des Schichtfilters.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Schichtliste

Liste der zur Verfügung stehenden Schichten.

Status der Schichtliste

Status der Schichtliste mit Zahl für:

  • gesamt
  • gefiltert
  • ausgewählt

Schichtliste aktualisieren

Klick auf Button aktualisiert die Anzeige der Schichtliste.

Textfilter

Dropdownliste verschiedener Textfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen: Textfilter

Fügt alle Elemente für Textfilter ein.

Kein Textfilter

Radiobutton für Abwahl Textfilter.

Suchen nach (Wörter getrennt durch Leerzeichen)

Radiobutton für Aktvierung der Suche

Beschriftung: Suchtext

Beschriftung für Suchfeld.

Eingabefeld: Suchtext

Feld für Eingabe der Suchbegriffe.

Optionen

Optionen für Suche
  • Groß-/Kleinschreibung beachten

Groß-/Kleinschreibung muss beachtet werden.
  • Wörter müssen nicht vollständig im Text vorkommen

Es wird auch nach Fragmenten gesucht.
  • Mindestens ein Wort muss im Text vorkommen

Mindestens ein Suchbegriff von mehreren muss im Ergebnis enthalten sein.
  • Alle Wörter müssen im Text vorkommen

Alle Suchbegriffe müssen im Ergebnis enthalten sein.
  • Filtertext muss exakt im Text vorkommen

Text aus dem Eingabefeld muss exakt im Ergebnis enthalten sein.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Kein Textfilter
  • Suchen nach (Wörter getrennt durch Leerzeichen)
  • Eingabefeld: Suchtext
  • Groß-/Kleinschreibung beachten
  • Wörter müssen nicht vollständig im Text vorkommen
  • Mindestens ein Wort muss im Text vorkommen
  • Alle Wörter müssen im Text vorkommen
  • Filtertext muss exakt im Text vorkommen

Runtime Einstellungen

Kontrollelement

Beschreibung
  • Liste angehalten aufschalten

Schaltet die CEL in angehaltenem Zustand auf. Neue Alarme werden nicht hinzugefügt.
  • Relativzeiten anzeigen

Schaltet zwischen der normalen Anzeige und der Relativzeit-Anzeige um, ohne dass der ausgewählte Eintrag den Fokus verliert.

Relativzeit: Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Buttons

Schaltflächen zur Runtime.

OK | Button: Übernimmt die Filtereinstellungen und schließt das Bild. Hinweis Faceplates: In Faceplates können Bilder vom Typ AML-Filter, CEL-Filter und Zeit-/Chargen-/Schichtfilter verwendet werden. Bei deren Konfiguration zur Runtime schließt der Klick auf OK das komplette Faceplate. Sollen die Filtereinstellungen gespeichert werden und das Faceplate geöffnet bleiben, klicken Sie auf Übernehmen.
Abbrechen | Button: Bricht die Konfiguration der Filtereinstellungen ab.
Übernehmen | Button: Übernimmt die Filtereinstellungen.
Aktualisieren | Button: Aktualisiert die gefilterte Anzeige.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Liste angehalten aufschalten
  • Relativzeiten anzeigen (relativ zum selektierten Eintrag)


Vorlagen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ CEL Filter anlegen > Vorlagen

Vorlage | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.
Vorschau und Beschreibung (rechts) | Zeigt Vorschau und Beschreibung der gewählten Vorlage an.
Standard | Fügt Standardelemente ein.
Scada | Spezielle Vorlagen, optimiert für Mausbedienung.
Standard | Fügt Standardelemente ein.
Variablen-, Text & Zeitfilter (absolut - kompakt) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich in kompakter Darstellung ein.
Variablen-, Text & Zeitfilter (absolut) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.
Variablen-, Text & Zeitfilter (ab Monat) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Monat ein.
Variablen-, Text & Zeitfilter (ab Stunde) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Stunde ein.
Variablen-, Text & Zeitfilter (ab Tag) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Tag ein.
Variablen-, Text & Zeitfilter (absolut - Tabelle) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.
Variablen-, Text & Zeitfilter (Typ auswählbar) | Fügt Elemente für die Filterung auf Variablen, Text und auswählbarem Zeitbereich ein.

Dialog beenden

Parameter | Beschreibung
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.
Übernehmen | Fügt die gewählte Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Bild vom Typ Zeit-/Chargen-/Schichtfilter anlegen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ Zeit-/Chargen-/Schichtfilter anlegen

Mit einem Bild vom Typ Zeit-/Chargen-/Schichtfilter ist es möglich, in der Runtime Zeitfiltereinstellungen inklusive Chargen- und Schichtinformationen vorzunehmen. Folgende Bildtypen können mit dem Filter beeinflusst werden:

  • Alarmmeldeliste
  • Archiv-Nachbearbeitung
  • Chronologische Ereignisliste
  • Erweiterter Trend

Der Vorteil dieses Bildtyps liegt darin, dass nur die wirklich benötigten Filterelemente projektiert werden können. Somit muss sich der Benutzer nicht mit zu vielen Filtereinstellungen auseinandersetzen. Er bekommt nur die Filtereinstellungen angezeigt, die er benötigt. Außerdem können Sie das Aussehen völlig frei definieren und so zum Beispiel auch die leichte Bedienung über einen Touchscreen sicherstellen.

attention Achtung

Bilder vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter und Zeitfilter müssen mit einer eigenen Schablone projektiert werden. Benutzen sie die gleiche Schablone wie andere Bilder, werden zur Runtime beim Schließen des Bildes alle auf dieser Schablone basierenden Bilder ebenfalls geschlossen.

Im Bild vom Typ Zeitfilter können alle Zeitfiltereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf dem entsprechenden Bild vorhanden sind, projektiert werden.

Bild vom Typ Zeit-/Chargen-/Schichtfilter anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Zeit-/Chargen-/Schichtfilter.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Vorlagen


Kontrollelemente

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ Zeit-/Chargen-/Schichtfilter anlegen > Kontrollelemente

Für Bilder vom Typ Zeitfilter stehen neben den klassischen Elementen auch Elemente zur Verfügung, die für die Touchbedienung optimiert wurden.

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden. Mehr zu Vorlagen für diesen Bildtyp im Kapitel Vorlagen.

Zeitfilter

Elemente für Zeitfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche.

Absoluter Zeitraum - klassische Darstellung

Elemente für den absoluten Zeitraum in klassischer Darstellung.

Absoluter Zeitraum - kompakte Darstellung

Elemente für den absoluten Zeitraum in kompakter Darstellung.

Relativer Zeitraum

Elemente für den relativen Zeitraum.

Ab HH:MM:SS Uhr

Elemente für einen Zeitraum ab einer definierten Uhrzeit.

Ab Tag - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag zu einer definierten Uhrzeit.

Ab Tag, Monat - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag in einem bestimmten Monat zu einer definierten Uhrzeit.

Zeitbereich: 15/30/60 Minuten

Elemente für einen Zeitraum von 15, 30 oder 60 Minuten.

Zeitbereich - ein Tag

Elemente für einen Zeitraum von einem Tag.

Zeitbereich - 1 oder 2 Wochen

Elemente für einen Zeitraum über eine oder zwei Wochen.

Sowohl bei der Ansicht für eine Woche als auch bei jener für zwei Wochen ist jeweils jede Woche auswählbar. Bei der Zwei-Wochen-Ansicht wird abhängig von der ausgewählten Woche ein Zeitraum von 14 Tagen ausgewählt.

Zeitbereich - ein Monat

Elemente für einen Zeitraum von einem Monat.

Zeitbereich - ein Jahr

Elemente für einen Zeitraum von einem Jahr.

Alle Elemente einfügen (Touch)

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche, die für die Touch-Bedienung optimiert wurden. Analog zu Alle Elemente einfügen stehen zur Verfügung:

  • Absoluter Zeitraum - klassische Darstellung
  • Relativer Zeitraum
  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Zeitbereich - 15/30/60 Minuten
  • Zeitbereich - ein Tag
  • Zeitbereich - 1 oder 2 Wochen
  • Zeitbereich - ein Monat
  • Zeitbereich - ein Jahr

Eingestellter Zeitfiltertyp (Anzeige)

Element vom Typ Dynamischer Text für die Anzeige des eingestellten Zeitfiltertyps.

Zeitfiltertyp (Beschriftung)

Beschriftung für Typ des Zeitfilters.

Zeitfiltertyp (Combobox)

Combobox Zeitfiltertyp.

Zeitfiltertyp (Radiogroup)

Schalter-Elemente, die zur Runtime bestimmte Elemente ein- oder ausblenden:

  • Kein Filter
  • Absoluter Zeitfilter
  • Relativer Zeitfilter
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab HH:MM:SS Uhr
  • Zeitbereich 15 Minuten
  • Zeitbereich 30 Minuten
  • Zeitbereich 60 Minuten
  • Zeitbereich 1 Tag
  • Zeitbereich 1 Woche
  • Zeitbereich 2 Wochen
  • Zeitbereich 1 Monat
  • Zeitbereich 1 Jahr

Zeit von

Felder und Beschriftungen für Angaben "Von"-Zeit.

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Von Stunde (Beschriftung)
  • Von Stunde (Combobox)
  • Von Minute (Beschriftung)
  • Von Minute (Combobox)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Combobox)
  • Von (Spincontrol)

Zeit bis

Felder und Beschriftungen für Angaben "Bis"-Zeit.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Combobox)
  • Bis Monat (Beschriftung)
  • Bis Monat (Combobox)
  • Bis Tag (Beschriftung)
  • Bis Tag (Combobox)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Combobox)
  • Bis Minute (Beschriftung)
  • Bis Minute (Combobox)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Combobox)
  • Bis (Spincontrol)

Zeit von (Touch)

Felder und Beschriftungen für Angaben "Von"-Zeit, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Von Stunde (Beschriftung)
  • Von Stunde (Button: rauf)
  • Von Stunde (Touchbox)
  • Von Stunde (Button: runter)
  • Von Minute (Beschriftung)
  • Von Minute (Button: rauf)
  • Von Minute (Touchbox)
  • Von Minute (Button: runter)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Button rauf)
  • Von Sekunde (Touchbox)
  • Von Sekunde (Button runter)

Zeit bis (Touch)

Felder und Beschriftungen für Angaben "Bis"-Zeit, optimiert für Touchbedienung.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Button: rauf)
  • Bis Jahr (Touchbox)
  • Bis Jahr (Button: runter)
  • Bis Monat (Beschriftung)
  • Bis Monat (Button: rauf)
  • Bis Monat (Touchbox)
  • Bis Monat (Button: runter)
  • Bis Tag (Beschriftung)
  • Bis Tag (Button: rauf)
  • Bis Tag (Touchbox)
  • Bis Tag (Button: runter)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Button: rauf)
  • Bis Stunde (Touchbox)
  • Bis Stunde (Button: runter)
  • Bis Minute (Beschriftung)
  • Bis Minute (Button: rauf)
  • Bis Minute (Touchbox)
  • Bis Minute (Button: runter)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Button rauf)
  • Bis Sekunde (Touchbox)
  • Bis Sekunde (Button: runter)

Absolutzeitfilter

Felder und Beschriftungen für Angaben absoluter Zeitfilter.

  • Von (Beschriftung)
  • Von Datum (Kalenderanzeige)
  • Von Datum (Datumsanzeige)
  • Von Zeit (Zeitanzeige)
  • Bis (Beschriftung)
  • Bis Datum (Kalenderanzeige)
  • Bis Datum (Datumsanzeige
  • Bis Zeit (Zeitanzeige)

Zeitbereich

Felder und Beschriftungen für Angaben von Zeitbereichen:

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Woche (Beschriftung)
  • Woche (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Startzeit (Beschriftung)
  • Startzeit (Combobox)

Zeitbereich (Touch)

Felder und Beschriftungen für Angaben von Zeitbereichen, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Woche (Beschriftung)
  • Woche (Button: rauf)
  • Woche (Touchbox)
  • Woche (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Startzeit (Beschriftung)
  • Startzeit (Button: rauf)
  • Startzeit (Touchbox)
  • Startzeit (Button: runter)

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Zeitfiltertyp (Radiogroup)
    Win32 Kontrollelemente vom Typ Radiobutton. Wurde durch Schalter-Elemente ersetzt. Beschreibung siehe aktuelle Elemente.
  • Eingestellter Zeitfiltertyp (Anzeige)
    Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Chargenfilter

Elemente für Chargenauswahl zur Runtime.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Archivliste

Liste der zur Verfügung stehenden Archive.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Archivliste

Status der Archivliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Chargenliste

Liste der zur Verfügung stehenden Chargen.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Chargenliste

Status der Chargenliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Zeitfilter auf Chargenliste anwenden

Wendet den konfigurierten Zeitfilter auf die Auswahl in der Chargenliste an.

Chargenname Filter (Eingabefeld)

Eingabe einer Zeichenfolge zur Filterung der Chargennamen in der Chargenliste.

Chargenname Filter (Button)

Button zur Ausführung der Filterung auf Chargennamen.

Deaktiviert, wenn das Kontrollelement Chargenname Filter nicht vorhanden ist.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen.

Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Folgende Win32 Elemente wurden durch Elemente vom Typ Dynamischer Text ersetzt.

  • Status der Archivliste
  • Status der Chargenliste
  • Chargenname Filter (Eingabefeld)

Schichtfilter

Dropdownliste für Element des Schichtfilters.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Schichtliste

Liste der zur Verfügung stehenden Schichten.

Status der Schichtliste

Status der Schichtliste mit Zahl für:

  • gesamt
  • gefiltert
  • ausgewählt

Schichtliste aktualisieren

Klick auf Button aktualisiert die Anzeige der Schichtliste.

Hinweis: Damit die Kontrollelemente für den Schichtfilter in der Runtime angezeigt werden:

  • Muss in der Bildumschaltung die Option Schichtauswahl anzeigen gewählt werden.
  • Muss der Zeitfilter konfiguriert sein.

Buttons

Schaltflächen zur Runtime.

OK | Button: Übernimmt die Filtereinstellungen und schließt das Bild. Hinweis Faceplates: In Faceplates können Bilder vom Typ AML-Filter, CEL-Filter und Zeit-/Chargen-/Schichtfilter verwendet werden. Bei deren Konfiguration zur Runtime schließt der Klick auf OK das komplette Faceplate. Sollen die Filtereinstellungen gespeichert werden und das Faceplate geöffnet bleiben, klicken Sie auf Übernehmen.
Abbrechen | Button: Bricht die Konfiguration der Filtereinstellungen ab.
Übernehmen | Button: Übernimmt die Filtereinstellungen.
Aktualisieren | Button: Aktualisiert die gefilterte Anzeige.

Hervorhebung von Touch-Elementen

Kontrollelemente für Touchbedienung können durch farbliche Kennzeichnung hervorgehoben werden. Dazu werden im Bild für Touchelemente folgende Eigenschaften in der Gruppe Füllung konfiguriert:

  • Textfarbe bei Fokus: Textfarbe, wenn das Element den Fokus hat
  • Hintergrundfarbe bei Fokus: Hintergrundfarbe, wenn das Element den Fokus hat
  • Textfarbe ohne Fokus: Textfarbe, wenn das Element den Fokus nicht hat
  • Hintergrundfarbe ohne Fokus: Hintergrundfarbe, wenn das Element den Fokus nicht hat


Vorlagen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Bild vom Typ Zeit-/Chargen-/Schichtfilter anlegen > Vorlagen

Für Bilder vom Typ Zeitfilter stehen Ihnen mehrere vordefinierte Vorlagen zur Verfügung.

Vorlage | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.
Vorschau und Beschreibung (rechts) | Zeigt Vorschau und Beschreibung der gewählten Vorlage an.
Standard | Fügt Standardelemente ein.
Scada | Vorlagen für Mausbedienung.
Absolut | Fügt Elemente für Absolutzeit ein.
Absolut Kalender | Fügt Elemente für Absolutzeit mit Kalender ein.
Absolut kompakt | Fügt Elemente für Absolutzeit in komprimiertem Design ein.
Standard | Fügt Standardelemente ein.
ab Monat | Fügt Elemente für Zeitbereich ab Monat ein.
ab Stunde | Fügt Elemente für Zeitbereich ab Stunde ein.
ab Tag | Fügt Elemente für Zeitbereich ab Tag ein.
Touch | Vorlagen, optimiert für Touchbedienung.
Absolut | Fügt Elemente für Absolutzeit ein.
Standard | Fügt Standardelemente ein.
ab Monat | Fügt Elemente für Zeitbereich ab Monat ein.
ab Stunde | Fügt Elemente für Zeitbereich ab Stunde ein.
ab Tag | Fügt Elemente für Zeitbereich ab Tag ein.
Vorschau auf Vorlage (rechts oben) | Vorschau auf das Bild bei Übernahme der gewählten Vorlage.
Beschreibung Vorlage (rechts unten | Beschreibung der Vorlage.
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.

Dialog beenden

Parameter | Beschreibung
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.
Übernehmen | Fügt die gewählte Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Vordefinierte Namen

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Vordefinierte Namen

Für Zeitfilter stehen vordefinierte Namen bereit.

Achtung: Unter Windows CE stehen die vordefinierten Namen nicht zur Verfügung.

Um einen Namen auszuwählen:

  1. definieren Sie in der Detailansicht als Bildtyp Zeitfilter, Chronologische Ereignisliste Filter oder Alarmmeldeliste Filter
  2. klicken Sie in der Spalte Name zwei Mal in das Feld
  3. wählen Sie in der Dropdownliste den gewünschten vordefinierten Namen
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE

Hinweis: Bilder vom Typ CEL Filter und AML Filter verfügen zusätzlich über einen vordefinierten Namen CEL_FILTER oder AML_FILTER.


Filterbild verwenden

Handbuch > Bilder > Bildtypen > Filterbilder > Filterbilder anlegen > Filterbild verwenden

Filterbilder

Filterbilder ermöglichen es, einen voreingestellten Filter von einem Bild auf ein anderes zu übertragen. Der Filter des Quellbildes wird über das Zielbild gelegt. Die Bilder können auch von unterschiedlichen Bildtypen sein.

attention Achtung

Damit zur Runtime die Zeit vom aufrufenden Bild übernommen werden kann, muss im Editor in der Bildumschaltfunktion für die Alarmmeldeliste oder die Chronologische Ereignisliste im Zeitfilter folgender Zeitbereich gewählt werden: Filter beim Zeitfiltertyp einstellen.

Aufrufdefinition

Folgende Voraussetzungen müssen erfüllt sein, damit die eingestellten Filter zur Anwendung kommen:

  1. Als Zeitbereich beim Zeitfilter wird Filter beim Zeitfiltertyp einstellen gewählt.
  2. Das Bild (Bild vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter oder Zeit-/Chargen-/Schichtfilter) wird mithilfe eines Buttons oder eines Combi-Elements aktiviert. Nur so wird der Bezug zwischen Filterbild und Quellbild gewährleistet.
  3. Das Quellbild und das Filterbild müssen entweder auf unterschiedlichen Schablonen oder auf unterschiedlichen Bildschirmen projektiert sein. Nur wenn das Quellbild offen ist, kann der Filter für das Filterbild aktualisiert werden. Das ist nur möglich, wenn beide Bilder nicht dieselbe Schablone oder denselben Bildschirm verwenden.
  4. Das aufrufende Bild muss mit dem aufzurufenden Filterbild kompatibel sein (siehe Tabelle).
Quellbild | AML Filter | CEL Filter | Zeitfilter
Archiv-Nachbearbeitung | T | T | T
Erweiterter Trend | T | T | T
Zeitfilter | T | T | X
Alarmmeldeliste Filter | X | C | T
Chronologische Ereignisliste Filter | C | X | T
Alarmmeldeliste | X | C | T
Chronologische Ereignisliste | C | X | T

Legende:

  • C: Gemeinsame Einstellungen werden aktualisiert.
  • T: Zeiteinstellungen werden aktualisiert.
  • X: Alle Einstellungen werden aktualisiert.

info Info

Keine Filterung

Das Filterbild wird nicht gefiltert, sondern mit den projektierten Werten aufgeschaltet, wenn:

  • eine der Bedingungen 1 bis 3 nicht erfüllt wird oder
  • die Einstellung Aufrufendes Bild bei der Funktion Bildumschaltung nicht aktiviert ist oder
  • das Bild nicht über ein Bildelement aufgerufen wird

In diesem Fall werden zur Runtime die Buttons Übernehmen, Schließen und Aktualisieren ausgegraut dargestellt und haben keine Funktion.

Aktualisierung

Beim Aufruf eines Filterbilds (Alarmmeldeliste Filter, Chronologische Ereignisliste Filter, Zeitfilter), werden die in der Funktion Bildumschaltung projektierten Bilder auf zwei Arten aktualisiert:

  • Wird das Filterbild über ein Bildelement aufgerufen, werden die Zielbilder, die sich auf demselben Bildschirm wie das Quellbild befinden aktualisiert.
  • Wird das Filterbild auf einem anderen Weg aufgerufen oder ist die Einstellung Auf allen Bildschirmen aktualisieren aktiviert, werden alle projektierten Zielbilder aktualisiert.

Die Aktualisierung erfolgt, sobald Sie den Button Übernehmen anklicken oder das Filterbild mit dem Button Schließen schließen. Der Button Abbrechen verwirft die Änderungen und schließt das Filterbild.

Filtereinstellungen aktualisieren

Mithilfe des Buttons Aktualisieren, übernehmen Sie die aktuellen Filtereinstellungen des Quellbilds. Wenn das Filterbild nicht durch ein Bildelement aufgerufen wurde oder wenn die Einstellung Aufrufendes Bild nicht aktiviert wurde, wird auf allen Bildschirmen nach einem Bild gesucht, das zur Aktualisierung verwendet werden kann. Das erste Bild, das gefunden wird, wird dann zur Aktualisierung verwendet.


Bildumschaltung auf ein Filterbild

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild

Um eine Funktion zur Aufschaltung eines Filterbildes anzulegen:

  1. Wählen Sie Funktion neu.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das gewünschte Bild aus:
    • AML-Filter
    • CEL-Filter
    • Zeitfilter
  4. Der Dialog zur Konfiguration und Verknüpfung der Filter für den gewählten Bildtyp wird geöffnet.
    Die angezeigten Registerkarten hängen vom Bildtyp ab.
  5. Konfigurieren Sie die entsprechenden Registerkarten.

info Info

Registerkarten für spezielle Bildtypen:

  • AML-Filter: Bilder, Allgemein, Text, Zeit, Chargen, Schicht, Spalteneinstellungen
  • CEL-Filter: Bilder, Allgemein, Text, Zeit, Chargen, Schicht, Spalteneinstellungen
  • Zeitfilter: Bilder, Zeit, Chargen, Schicht, Spalteneinstellungen

Noch in diesem Kapitel

Bilder

Allgemein

Text

Zeit

Chargen

Schicht

Spalteneinstellungen


Bilder

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Bilder

In dieser Registerkarte definieren Sie die Bilder, die durch den Bildfilter aktualisiert werden sollen.

Folgende Einstellungen stehen Ihnen zur Verfügung:

Filter wird aus folgendem Bild übernommen

Parameter

Beschreibung

Filter wird aus folgendem Bild übernommen

Definition des Bildes, von dem der Filter übernommen werden soll.

Aufrufendes Bild

Aktiv: Die Filtereinstellungen werden aus dem Bild übernommen, aus dem das Filterbild aufgerufen wird. Die Schaltfläche Bild ist ausgegraut. Sie können kein Bild explizit angeben, da bei dieser Einstellung die Filteraktualisierung immer vom aufrufenden Bild aus erfolgt.

Hinweis: Einstellungen in den Registerkarten Allgemein, Text und Zeit sind gesperrt.

Vordefiniertes Bild

Klick auf Schaltfläche öffnet den Bildauswahldialog.

Wählen Sie das Bild aus, von dem der Filter - beim Betätigen des Buttons Aktualisieren in der Runtime - gelesen werden soll.

Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.

Achtung: Beim initialen Aufschalten des Filterbildes über die Funktion wird der in der Funktion projektierte Filter verwendet, nicht der Filter des hier angegebenen Bildes!

Hinweis: Es ist nur sinnvoll ein Bild auszuwählen, das den Bildfilter übernehmen oder füllen kann.

Das ausgewählte Bild wird in die Liste der zu aktualisierenden Bilder eingetragen. Wenn Sie es aus der Liste löschen, tritt automatisch das nächste ausgewählte Bild aus der Liste an dessen Stelle.

Hinweis: Nicht verfügbar, wenn Sie die Checkbox Aufrufendes Bild aktiviert haben.

Zu aktualisierende Bilder

Parameter | Beschreibung
Zu aktualisierende Bilder | Auswahl der Bilder, die aktualisiert werden sollen. Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.
Bildauswahl | Klick auf Schaltfläche öffnet Dialog zur Bildauswahl der Filterbilder. Wählen Sie die gewünschten Bilder.
Aktualisierung | Festlegung, wo sich die Filterübernahme auswirken soll.
Auf allen Bildschirmen aktualisieren | Aktiv: Die Bilder aus der Liste der zu aktualisierenden Bilder werden auf allen verfügbaren Bildschirmen aktualisiert.


Allgemein

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Allgemein

Diese Registerkarte ist nur für Alarmmeldeliste Filter und Chronologische Ereignisliste Filter verfügbar und zeigt die Standard-Filter für die jeweilige Liste an. Siehe Alarmmeldeliste Filter oder Chronologische Ereignisliste Filter.

AML-Filter

Variablenfilter

Parameter

Beschreibung

Variablenfilter

Einschränkung auf Alarme bestimmter Variablen

Variablenname

Geben Sie den Namen oder den Teil des Namens von Variablen an, nach dem Sie filtern möchten.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Kennung

Geben Sie die Kennung oder die Teilkennung von Variablen an, nach der Sie filtern möchten. Wildcard * ist möglich.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Groß-/Kleinschreibung beachten

Aktiv: Groß- und Kleinschreibung wird bei der Filterung nach Variablenname und/oder Kennung beachtet.

Alarmart

Parameter

Beschreibung

Alarmart

Art der Alarme, die angezeigt werden.

Nur nicht quittierte Alarme

Aktiv: Es werden nur Alarme angezeigt, die vom Benutzer noch nicht quittiert wurden.

Nur gegangene Alarme

Aktiv: Es werden nur Alarme angezeigt, die schon gegangen sind; d.h. deren Werte nicht mehr im kritischen Bereich sind.

Nur anstehende Alarme

Aktiv: Es werden nur Alarme angezeigt, die noch anstehen; d.h. deren Werte sich noch im kritischen Bereich befinden.

Kommentar erforderlich

Aktiv: Es werden nur Alarme angezeigt, für die bei der Quittierung Kommentarpflicht besteht.

Alarmursache erforderlich

Aktiv: Es werden nur Alarme angezeigt, für die zur Quittierung die Verknüpfung einer Alarmursache erforderlich ist.

Alarme müssen mindestens anstehen

Definieren Sie mithilfe der Spincontrols wie lange ein Alarm mindestens anstehen muss, damit er angezeigt wird. Mögliche Einstellungen:

  • Tage
  • Stunden (Std.)
  • Minuten (Min.)
  • Sekunden (Sek.)
  • Millisekunden (ms)

Datenherkunft

Parameter | Beschreibung
Datenherkunft | Anzeige aktueller oder aktueller und historischer Alarme.
Ringpuffer | Aktiv: Es werden nur Daten aus dem Ringpuffer angezeigt.
Historische Daten Maximale Anzahl | Aktiv: Es werden Daten aus dem Ringpuffer und historische Daten aus der AML angezeigt. Die maximale Anzahl der anzuzeigenden Daten inkludiert die Daten aus dem Ringpuffer.

Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche

Parameter | Beschreibung
Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche | Auswahl von Gruppen, Klassen und Alarmbereichen.
Alarm/Ereignis-Gruppen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Gruppen jene aus, aus denen Alarme angezeigt werden sollen.
Alarm/Ereignis-Klassen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Klassen jene aus, aus denen Alarme angezeigt werden sollen.
Alarmbereiche | Wählen Sie aus den vorhandenen Alarmbereichen jene aus, aus denen Alarme angezeigt werden sollen. Hinweis: Bei aktivierter Eigenschaft Hierarchische Alarmierung des Anlagenmodells verwenden ist die Spalte Alarmbereich leer. Die Checkbox befindet sich im Punkt Alarmbehandlung der Variableneigenschaften.
Runtime-Einstellungen | Verhalten der AML zur Runtime
Liste angehalten aufschalten | Aktiv: Solange die Liste angezeigt wird, werden keine neuen Einträge hinzugefügt.

CEL-Filter

Mit dem allgemeinen Filter legen Sie fest, welche Ereignisse angezeigt werden und welchen Zugriff Sie zur Runtime auf die Einstellung haben. Dazu unterscheiden Sie Ereignisse nach:

  • Art
  • Datenherkunft
  • Variablen
  • Alarm/Ereignis-Gruppen, Klassen und Alarmbereichen

Die folgenden Eigenschaften stehen Ihnen zur Verfügung:

Variablenfilter

Parameter

Beschreibung

Variablenfilter

Einschränkung auf Ereignisse bestimmter Variablen

Variablenname

Geben Sie den Namen oder den Teil des Namens von Variablen an, nach dem Sie filtern möchten.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Kennung

Geben Sie die Kennung oder die Teilkennung von Variablen an, nach der Sie filtern möchten. Wildcard * ist möglich.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Groß-/Kleinschreibung beachten

Aktiv: Groß- und Kleinschreibung wird bei der Filterung nach Variablenname und/oder Kennung beachtet.

Datenherkunft

Parameter

Beschreibung

Datenherkunft

Anzeige aktueller oder aktueller und historischer Ereignisse.

Ringpuffer

Aktiv: Es werden nur Daten aus dem Ringpuffer angezeigt.

Historische Daten
Maximale Anzahl

Aktiv: Es werden Daten aus dem Ringpuffer und historische Daten aus der CEL angezeigt.

Die maximale Anzahl der anzuzeigenden Daten inkludiert die Daten aus dem Ringpuffer.

Runtime-Einstellungen

Verhalten der CEL zur Runtime

Liste angehalten aufschalten

Aktiv: Solange die Liste angezeigt wird, werden keine neuen Einträge hinzugefügt.

(Nicht verfügbar für Funktion CEL exportieren.)

Relativzeit anzeigen

Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche

Parameter | Beschreibung
Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche | Auswahl von Gruppen, Klassen und Alarmbereichen.
Alarm/Ereignis-Gruppen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Gruppen jene aus, aus denen Alarme angezeigt werden sollen.
Alarm/Ereignis-Klassen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Klassen jene aus, aus denen Alarme angezeigt werden sollen.
Alarmbereiche | Wählen Sie aus den vorhandenen Alarmbereichen jene aus, aus denen Alarme angezeigt werden sollen.

Filter für Systemmeldungen

Parameter

Beschreibung

Filter für Systemmeldungen

Filtereinstellungen für Systemmeldungen. Systemmeldungen sind Meldungen ohne Variablenbezug.

Systemmeldungen immer in Liste anzeigen

Einstellung für die Anzeige von Systemmeldungen unabhängig von den Filtereinstellungen.

  • Aktiv: Systemmeldungen werden zur Runtime immer angezeigt. Folgende Filter werden dadurch unterdrückt:
    Variablenname
    Kennung
    Status
    Anlagenmodellierung
    Alarm/Ereignis-Gruppen
    Alarm/Ereignis-Klassen
    Chargen

Besonderheiten:

  • Systemmeldungen werden trotz aktivierter Checkbox nicht angezeigt, wenn sie durch den Zeitfilter oder die Filter für Datenherkunft (Ringpuffer oder Historische Daten) ausgefiltert werden.
  • Systemmeldungen werden unabhängig von dieser Einstellung immer angezeigt, wenn auf Anlagenmodelle gefiltert wird.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Für zenon unter Windows CE gilt: CE Systeme, auf denen der Filterdialog angezeigt werden soll, müssen über eine höhere Auflösung als 800*600 Pixel verfügen, damit der Dialog vollständig dargestellt werden kann.


Text

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Text

In dieser Registerkarte definieren Sie Vorgabewerte für die Textfilterung. Nur verfügbar für Alarmmeldeliste Filter und Chronologische Ereignisliste Filter.

Filtern nach

Parameter | Beschreibung
Filtern nach |
Kein Textfilter | Der Textfilter wird nicht verwendet.
Suche nach (Wörter getrennt durch Leerzeichen) | Der Textfilter wird verwendet. Die weiteren Optionen sind freigeschalten.
Eingabefeld | Geben Sie die entsprechenden Wörter oder Zeichenketten ein.

Optionen

Parameter | Beschreibung
Optionen |
Groß-/Kleinschreibung beachten | Aktiv: Beim Filtern wird zwischen Groß- und Kleinschreibung unterschieden.
Wörter müssen nicht vollständig im Text vorkommen | Aktiv: Auch Wortteile werden beim Filtern berücksichtigt.
Mindestens ein Wort muss im Text vorkommen | Aktiv: Mindestens ein Wort des Suchstrings muss im Text vorkommen.
Alle Wörter müssen im Text vorkommen | Aktiv: Alle Wörter des Suchstrings müssen im Text vorkommen. Die Reihenfolge spielt dabei keine Rolle.
Filtertext muss exakt im Text vorkommen | Aktiv: Der Text muss exakt wie im Suchstring definiert vorkommen.


Zeit

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit

In dieser Registerkarte definieren Sie den Zeitbereich, der beim Öffnen des Filterbildes verwendet werden soll.

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar


Absoluter Zeitraum

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Zeit > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Chargen

In dieser Registerkarte definieren Sie die Chargen, die angezeigt werden sollen.

Hinweis: Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter

Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden

Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archiv(e)

Konfiguration der Filterung auf Archive. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter

Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch

Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable

Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für alle Module nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Name(n)

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter

Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch

Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable

Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.

Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Schicht

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spalteneinstellungen

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Spalteneinstellungen

In dieser Registerkarte definieren Sie, wie die Archivliste, die Chargenliste und die Schichtliste zur Runtime angezeigt werden:

  • Auswahl der anzuzeigenden Spalten
  • Sortierung der Spalten
  • Formatierung der Spalten:
    • Beschriftung
    • Breite
    • Ausrichtung

Archivliste

Option

Beschreibung

Archivliste

Konfiguration der Archivliste. Anzeige der konfigurierten Spalten.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Chargenliste

Option

Beschreibung

Chargenliste

Konfiguration der Chargenliste. Anzeige der konfigurierten Spalten.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Schichtliste

Option

Beschreibung

Schichtliste

Konfiguration der Schichtliste. Anzeige der konfigurierten Spalten.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Spalteneinstellungen > Spaltenauswahl

Auswahl und Reihenfolge der Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Bilder > Bildtypen > Filterbilder > Bildumschaltung auf ein Filterbild > Spalteneinstellungen > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Message Box

Handbuch > Bilder > Bildtypen > Message Box

Über Message Boxes können Sie Systemmeldungen zur Runtime anzeigen lassen. Es können 5 verschiedene Systemmeldungen zur Runtime projektiert werden:

  • Message Box [Ok]
  • Message Box [Ja, Nein]
  • Message Box [Ja, Nein, Ja alle, Nein alle]
  • Message Box [Ok, Abbrechen]
  • Message Box [Ja, Nein, Abbrechen]

Hinweis: Die aufgelisteten Message Box Typen werden nur aufgeschalten, wenn sie direkt aus einem zenon Bild aufgerufen werden. Die Message Boxes, die von einem Dialog aus aufgerufen werden, bleiben unverändert.

Noch in diesem Kapitel

Bild vom Typ Message Box anlegen

Bedienen zur Runtime


Bild vom Typ Message Box anlegen

Handbuch > Bilder > Bildtypen > Message Box > Bild vom Typ Message Box anlegen

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Message Box.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

attention Achtung

Beachten Sie unbedingt die folgenden Einstellungen für die ausgewählte Schablone:

  • Aktivieren Sie die Option Schablone mehrfach aufschaltbar
  • Aktivieren Sie die Option Schließen bei Fokusverlust unterdrücken
  • Das Bild Message Box darf nicht auf derselben Schablone wie andere Bilder basieren!
  • Deaktivieren Sie die Option Min./Max. Schaltflächen in den Projekteigenschaften Rahmen.

Beachten Sie unbedingt die folgenden Informationen für das Bild vom Typ Message Box:

  • Es kann keine Bildumschaltungsfunktion im Bild projektiert werden.
  • Das Bild vom Typ Message Box darf nicht über eine Bildumschaltungsfunktion aufgerufen werden.


Bedienen zur Runtime

Handbuch > Bilder > Bildtypen > Message Box > Bedienen zur Runtime

Folgende Kontrollelemente stehen zur Verfügung:

Kontrollelement | Aktion
Message Box Titel | Überschrift der Message Box.
Message Box Text | Inhalt der Message Box.
Buttons | Buttons im Dialog zum Auswählen einer Aktion.
Ok | Bestätigt Aktion und schließt den Dialog.
Abbrechen | Verwirft Aktion und schließt den Dialog.
Ja | Übernimmt Änderungen und schließt den Dialog.
Nein | Verwirft Änderungen und schließt den Dialog.
Ja alle | Übernimmt alle Änderungen und schließt den Dialog.
Nein alle | Verwirft alle Änderungen und schließt den Dialog.
Icons | Einige Systemmeldung haben ein Icon, um deren Typ zu symbolisieren.
Ausrufezeichen | Erscheint bei einer Systemmeldung in Form einer Warnung.
Information | Erscheint bei einer Systemmeldung in Form einer Information.
Frage | Erscheint bei einer Systemmeldung in Form einer Frage.
Fehler | Erscheint bei einer Systemmeldung in Form eines Fehlers.

Hinweis: Icons werden als Buttons ohne Funktion realisiert. Ersetzen Sie den Beschriftungstext durch Grafikdateien, um die gewünschte Darstellung zu erzielen.


HTML

Handbuch > Bilder > Bildtypen > HTML

Ermöglicht die Darstellung eines Bildes in HTML. Als Rendering Engine wird das aktuell am Rechner installierte Microsoft Web Browser Control verwendet.

info Info

Unter Windows CE sind Browser in ihren Möglichkeiten eingeschränkt. Eventuell werden Seiten nicht wie erwartet dargestellt.

Kompatibilitätsmodus

Das Verhalten des Kompatibilitätsmodus kann über die Windows Registry angepasst werden.

Beispiel: Kompatibilitätsmodus für Internet Explorer 11 setzen:

  1. Navigieren Sie zum Schlüssel HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION
  2. Fügen Sie folgenden DWORD Wert hinzu: Zenrt32.exe
    (Achten Sie auf Groß-/Kleinschreibung)
  3. Setzen Sie dessen Dezimalwert auf: 11001

Hinweis: Auf einem 64-Bit Rechner fügen Sie den gleichen DWORD Wert in folgendem Schlüssel hinzu:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION

GPU Rendering

Das Verhalten kann über die Windows Registry angepasst werden.

Beispiel: GPU Rendering setzen:

  1. Navigieren Sie zum Schlüssel HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_GPU_RENDERING
  2. Fügen Sie folgenden DWORD Wert hinzu: Zenrt32.exe
    (Achten Sie auf Groß-/Kleinschreibung)
  3. Setzen Sie dessen Dezimalwert auf: 00000001

Hinweis: Auf einem 64-Bit Rechner fügen Sie den gleichen DWORD Wert in folgendem Schlüssel hinzu:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_GPU_RENDERING

Noch in diesem Kapitel

Bild vom Typ HTML anlegen

Bildumschaltung auf ein Bild vom Typ HTML


Bild vom Typ HTML anlegen

Handbuch > Bilder > Bildtypen > HTML > Bild vom Typ HTML anlegen

Bild vom Typ HTML anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp HTML .
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ HTML

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Browser | Kontrollelemente für den Browser.
Browserfenster | Anzeige des Browsers.
Adressfeld | Feld zur Eingabe der Adresse (URL).
Startseite | Aufruf der Startseite.
Vorwärts | Vorwärts blättern.
Zurück | Rückwärts blättern.
Aktualisieren | Anzeige aktualisieren.
Stopp | Navigation beenden.
Suche | Kontrollelemente für die Suche. Beim Klicken auf einen Link im Feld Suche wird die entsprechende Seite im Browser angezeigt. So kann im Feld Suche z. B. eine Navigationsleiste oder das Ergebnis einer Suchmaschinenabfrage angezeigt werden, ohne dass dessen Inhalt geändert wird, wenn ein Link angeklickt wird.
Suchfenster | Anzeige der Suche.
Suchfeld | Suchen nach Adressen oder Datei.
Startseite | Im Suchbereich zur Startseite zurück.
Vorwärts | Im Suchbereich vorwärts blättern.
Zurück | Im Suchbereich rückwärts blättern.
Aktualisieren | Anzeige im Suchbereich aktualisieren.
Stopp | Suchen abbrechen.
Filter | Filterbox aufschalten.


Bildumschaltung auf ein Bild vom Typ HTML

Handbuch > Bilder > Bildtypen > HTML > Bildumschaltung auf ein Bild vom Typ HTML

Um eine Funktion zur Aufschaltung des Bildes vom Typ HTML anzulegen:

  • Wählen Sie Funktion neu.
  • Wählen Sie Bildumschaltung.
  • Wählen Sie das Bild vom Typ HTML aus.
  • Der Konfigurationsdialog wird geöffnet.
  • Konfigurieren Sie die Parameter für Browser und Suche.
    Die Browseradresse kann statisch konfiguriert oder von einer Variablen übernommen werden.
  • Bestätigen Sie die Konfiguration mit Klick auf OK.

Dialog Bildumschaltung HTML

Adressen

Parameter

Beschreibung

Adressen

Auswahl der Art der Adresseingabe für die Startseite:

  • URL statisch: Eingabe einer festen Adresse in das Feld Browserfenster oder Auswahl aus dessen Dropdownliste.
  • URL aus Variable: Auswahl einer Variablen im Feld Variable, die zur Runtime die Adresse übergibt.

Variable

Eingabe der Variablen, die zur Runtime die URL der Startseite übergibt. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen. Die Variable kann auch direkt in das Feld eingetragen werden.

Nur verfügbar, wenn für Adressen URL aus Variable gewählt wurde.

Browserfenster

Eingabe der URL, die zur Runtime als Startseite geöffnet werden soll. Auswahl aus Dropdownliste oder direkte Eingabe in das Feld.

Nur verfügbar, wenn für Adressen URL statisch gewählt wurde.

Suchfenster

Auswahl der URL, die für Suche im Internet verwendet wird. Auswahl aus Dropdownliste oder direkte Eingabe in das Feld.

Verlauf

Parameter

Beschreibung

Verlauf

Anzahl der Adressen, die für die Dropdownliste zur Verfügung stehen.

Suchadressen

Anzahl der Adressen, die für den Suchbereich vorgemerkt werden und in der Dropdownliste zur Verfügung stehen.

Minimum: 0
Maximum: 20
Default: 10

Hinweis: Die Anzahl wird nur für die remanente Speicherung in der project.ini verwendet (bei Beenden und Neustart der Runtime), jedoch nicht für die laufende Runtime.

Browseradressen

Anzahl der Adressen, die für die Startseite vorgemerkt werden.

Minimum: 0
Maximum: 20
Default: 10

Hinweis: Die Anzahl wird nur für die remanente Speicherung in der project.ini verwendet (bei Beenden und Neustart der Runtime), jedoch nicht für die laufende Runtime.

Allgemein

Parameter

Beschreibung

Diesen Dialog zur Runtime anbieten
  • Aktiv: Der Dialog wird beim Aufschalten des Bildes in der Runtime angezeigt. Einstellungen können angepasst werden.
  • Inaktiv: Zur Runtime gelten die hier getroffenen Einstellungen. Diese können nicht mehr angepasst werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Notizbuch

Handbuch > Bilder > Bildtypen > Notizbuch

Das Notizbuch dient zur Anzeige und (optional) Bearbeitung von Textdateien.

Noch in diesem Kapitel

Bild vom Typ Notizbuch anlegen

Funktion Bildumschaltung auf Notizbuch

Bedienen zur Runtime


Bild vom Typ Notizbuch anlegen

Handbuch > Bilder > Bildtypen > Notizbuch > Bild vom Typ Notizbuch anlegen

Bild vom Typ Notizbuch anlegen

Die Darstellungsgröße des Notizbuches wird aus der Schablonengröße abgeleitet. Welche Datei geöffnet wird, ist bei der Definition der Bildumschaltung festzulegen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Notizbuch.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelement | Aktion
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Notizbuch-Fenster | Stellt das gewählte Notizbuch dar.
Notizbuchfunktionen | Kontrollelemente zur Handhabung des Notizbuchs.
Datei... | Öffnet den Dialog zum Auswählen einer Datei.
Aktualisieren | Aktualisiert das gewählte Fenster.
Speichern | Speichert die Textdatei im vorgegebenen Ordner.
Speichern unter... | Öffnet den Dialog zur Auswahl eines Speicherpfades und Namens.
Schließen | Schließt das aktuelle Fenster.
Drucken | Druckt den Inhalt des Notizbuchs am definierten Drucker aus.
Drucken mit Dialog... | Öffnet vor dem Druck den Dialog zur Auswahl eines Druckers.
Navigation |  | Kontrollelemente zur Navigation.
Zeile nach oben |  | Geht in der Textdatei eine Zeile nach oben.
Zeile nach unten |  | Geht in der Textdatei eine Zeile nach unten.
Spalte nach rechts |  | Geht in der Textdatei eine Spalte nach rechts.
Spalte nach links |  | Geht in der Textdatei eine Spalte nach links.
Seite nach oben |  | Geht in der Textdatei eine Seite nach oben.
Seite nach unten |  | Geht in der Textdatei eine Seite nach unten.
Seite nach rechts |  | Geht in der Textdatei eine Seite nach rechts.
Seite nach links |  | Geht in der Textdatei eine Seite nach links.


Funktion Bildumschaltung auf Notizbuch

Handbuch > Bilder > Bildtypen > Notizbuch > Funktion Bildumschaltung auf Notizbuch

Um eine Funktion zur Aufschaltung des Bildes Notizbuch anzulegen:

  • wählen Sie Funktion neu
  • wählen Sie Bildumschaltung
  • wählen Sie das Bild vom Typ Notizbuch aus
  • ein Dialog zur Definition der Datei, die angezeigt werden soll, öffnet sich

Parameter | Beschreibung
Dateiname | Auswahl der Datei, die angezeigt werden soll. Klick auf Schaltfläche ... öffnet den Auswahldialog. Die Datei muss im Projektmanager im Knoten Dateien/Texte und Formate bereits angelegt sein. Wurde noch keine entsprechende Datei angelegt, kann sie im Dialog über das Symbol Datei hinzufügen ausgewählt werden. Erlaubte Dateitypen: TXT, HTM, HTML, FRM.
nur lesen | Aktiv: Der Text kann zur Runtime nur gelesen, aber nicht editiert werden.


Bedienen zur Runtime

Handbuch > Bilder > Bildtypen > Notizbuch > Bedienen zur Runtime

Folgende Kontrollelemente stehen zur Verfügung:

Kontrollelement | Aktion
Notizbuch-Fenster | Stellt das gewählte Notizbuch dar.
Notizbuchfunktionen | Kontrollelemente zur Handhabung des Notizbuchs.
Datei... | Öffnet den Dialog zum Auswählen einer Datei.
Aktualisieren | Aktualisiert das gewählte Fenster.
Speichern | Speichert die Textdatei im vorgegebenen Ordner.
Speichern unter... | Öffnet den Dialog zur Auswahl eines Speicherpfades und Namens.
Schließen | Schließt das aktuelle Fenster.
Drucken | Druckt den Inhalt des Notizbuchs am definierten Drucker aus.
Drucken mit Dialog... | Öffnet vor dem Druck den Dialog zur Auswahl eines Druckers.
Navigation |  | Kontrollelemente zur Navigation.
Zeile nach oben |  | Geht in der Textdatei eine Zeile nach oben.
Zeile nach unten |  | Geht in der Textdatei eine Zeile nach unten.
Spalte nach rechts |  | Geht in der Textdatei eine Spalte nach rechts.
Spalte nach links |  | Geht in der Textdatei eine Spalte nach links.
Seite nach oben |  | Geht in der Textdatei eine Seite nach oben.
Seite nach unten |  | Geht in der Textdatei eine Seite nach unten.
Seite nach rechts |  | Geht in der Textdatei eine Seite nach rechts.
Seite nach links |  | Geht in der Textdatei eine Seite nach links.


Kontextliste

Handbuch > Bilder > Bildtypen > Kontextliste

Kontextlisten ermöglichen die zentrale Verwaltung hierarchisch strukturierter Texte zur Runtime. Sie können zur zentralen Verwaltung von Alarmursachen genutzt werden. Dazu wird je ein Eintrag aus der Kontextliste mit einem oder mehreren Einträgen in der Alarmmeldeliste verknüpft.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Mithilfe der Kontextliste können mögliche Alarmursachen zentral vordefiniert werden. Das vereinfacht auch die Auswertung, z.B. in Reports. Zusätzlich benötigte Texte (Alarmursachen) können über das zenon Bild Kontextliste zur Laufzeit einfach ergänzt werden.

Für Kontextlisten gilt:

  • Ebenen
    In einer Kontextliste können mehrere Knoten parallel oder hierarchisch angeordnet werden. Jeder Knoten kann mehrere Einträge enthalten.
    Einschränkungen:
    • 5 Ebenen maximale Hierarchietiefe
    • nicht sprachumschaltbar
  • Persistenz
    Kontextlisten sind persistent. Sie können also nicht gelöscht, sondern nur aus der Oberfläche ausgeblendet werden. Dadurch werden Lücken in Reports vermieden.

Darstellung von längeren Texten in Listen

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Kontextlisten im Netzwerk

Bei der Verwendung einer Kontextliste in einem Netzwerkprojekt erfolgt die Speicherung am Server. Clients werden automatisch synchronisiert.
Wird eine Liste auf mehreren Clients gleichzeitig bearbeitet, wird die zuletzt gespeicherte Version vom Server übernommen und an alle Clients verteilt.

Verliert der Client die Verbindung zum Server, wird die Kontextliste am Client geleert und die Bildelemente zur Bearbeitung werden ausgegraut. Verknüpfte Einträge in der Alarmmeldeliste werden mit dem Text <Alarmursache existiert nicht> angezeigt.
Sobald wieder eine Verbindung zum Server besteht, wird die Kontextliste angezeigt und die Bildelemente zur Bearbeitung werden freigegeben.

Tipp: Verwenden Sie im Netzwerk Token zur Bedienberechtigung, Details siehe Kapitel Kontextliste im Netzwerk.

AML

Beim Aufschalten einer Alarmmeldeliste kann die Spalte "Alarmursache" leer angezeigt werden (<Alarmursache existiert nicht>), wenn das Update vom Server noch nicht gesendet wurde. Sobald das erste Update vom Server kommt, werden die Alarmursachen korrekt angezeigt.

CEL

Änderungen in der Kontextliste können in der CEL protokolliert werden. Aktivieren Sie dazu in den Projekteigenschaften für die Gruppe Chronologische Ereignisliste die Protokollierung für Kontextlisten.

Noch in diesem Kapitel

Bild vom Typ Kontextliste anlegen

Bildumschaltung konfigurieren

Kontextliste zur Runtime verwenden


Bild vom Typ Kontextliste anlegen

Handbuch > Bilder > Bildtypen > Kontextliste > Bild vom Typ Kontextliste anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Kontextliste.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ Kontextliste

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Kontrollelemente

Kontrollelement

Beschreibung

Kontextliste

Darstellung der Kontextliste mit ihren Einträgen und den bei der Bildumschaltung definierten Spalten.

Spaltenauswahl

Öffnet den Dialog zur Auswahl der anzuzeigenden Spalten.

Zur Runtime nur verfügbar, wenn die Liste im Bild angezeigt wird.

Spaltenformat

Öffnet den Dialog zur Konfiguration der einzelnen Spalten.

Zur Runtime nur verfügbar, wenn die Liste im Bild angezeigt wird.

Name

Eingabe des Namens für einen Knoten oder einen Text.
Für Namen gilt:

  • Der Name für Knoten muss in der Kontextliste innerhalb einer Ebene eindeutig sein.
  • Der Name für Texte muss innerhalb eines Knotens eindeutig sein.
  • Maximale Länge: 256 Zeichen
  • Folgende Zeichen sind verboten: /\:*?<>!|"'?#%

Beschreibung

Eingabe der Beschreibung für einen Knoten oder einen Text.

Stammknoten hinzufügen

Fügt einen Knoten auf erster Ebene hinzu.

Knoten hinzufügen

Fügt einen Knoten unter dem ausgewählten Element hinzu. und wechselt die Auswahl zum neu erstellten Element.

Text hinzufügen

Fügt einen Text zum ausgewählten Element hinzu. Die Auswahl des Elements bleibt bestehen.

Speichern

Speichert die Kontextliste.

Als "gelöscht" markierte Texte anzeigen

Schalterelement zur Konfiguration der Anzeige von Einträgen, die als gelöscht markiert wurden.

  • Ein: Gelöschte Einträge werden in der Kontextliste angezeigt.
  • Aus: Keine Anzeige von gelöschten Einträgen in der Kontextliste.

Default: abhängig von Einstellung in Bildumschaltung.

Knoten erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren.
Auswahl:

  • Alle erweitern:
    Öffnet alle Knoten aller Ebenen.
  • Alle reduzieren:
    Klappt alle Knoten aller Ebenen ein.
  • Ausgewählte erweitern:
    Öffnet alle Einträge der ausgewählten Ebene.
  • Ausgewählte reduzieren:
    Klappt alle Einträge der ausgewählten Ebene ein.

XML Exportieren

Exportiert die Kontextliste in eine XML-Datei.

XML Importieren

Importiert eine Kontextliste aus einer XML-Datei.
Beim Import werden vorhandene Kontextlisten komplett ersetzt. Es werden keine Texte zusammengeführt. Bereits vorhandene Texte werden gelöscht.

OK

Übernimmt die Einstellungen und schließt das Bild.

Hinweis: Zur Runtime nur verfügbar, wenn das Bild zur Auswahl von Alarmursachen verwendet wird.

Abbrechen

Verwirft alle Änderungen und bricht die Konfiguration ab.

Hinweis: Zur Runtime nur verfügbar, wenn das Bild zur Auswahl von Alarmursachen verwendet wird.

Keine Auswahl

Hebt die Auswahl auf und schließt das Bild.

Hinweis: Zur Runtime nur verfügbar, wenn das Bild zur Auswahl von Alarmursachen verwendet wird.

Noch in diesem Kapitel

Verwendung eines Bildes vom Typ Kontextliste zur Auswahl von Alarmursachen


Verwendung eines Bildes vom Typ Kontextliste zur Auswahl von Alarmursachen

Handbuch > Bilder > Bildtypen > Kontextliste > Bild vom Typ Kontextliste anlegen > Verwendung eines Bildes vom Typ Kontextliste zur Auswahl von Alarmursachen

Bilder vom Typ Kontextliste können in der Runtime zur Auswahl von Alarmursachen verwendet werden.

Projektierung

Um ein Bild vom Typ Kontextliste zur Auswahl von Alarmursachen zu verwenden, gehen Sie wie folgt vor:

Erstellung des Bildes

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in den Eigenschaften den Bildtyp Kontextliste.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.

      Tipp: Um das Bild in Dialogform aufzuschalten, empfiehlt es sich, eine Schablone mit der Einstellung Rahmenart Größe fixiert zu verwenden.

  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
  4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  5. Aktivieren Sie bei Bedarf die Einstellung Modaler Dialog in der Gruppe Darstellung für das Bild.

Verwendung des Bildes

Um das Bild in der Runtime für die Auswahl von Alarmursachen verwenden zu können, wählen Sie in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Einstellung Bild für Alarmursachen-Auswahl das zuvor erstellte Bild aus. Der Standard Dialog zur Auswahl von Alarmursachen wird dabei durch dieses Bild ersetzt.

Verwendung zur Runtime

Über die Kontrollelemente OK, Abbrechen und Keine Auswahl können Sie Einträge aus der Kontextliste (Alarmursachen) zu den in der Alarmmeldeliste ausgewählten Alarmen zuordnen.

Zur Runtime sind in dem Bild nur die Kontrollelemente zur Auswahl von Alarmursachen, die Kontrollelemente für Spalteneinstellungen sowie die Kontrollelemente zum Erweitern und Reduzieren von Knoten aktiv. Sämtliche anderen Kontrollelemente zur Bearbeitung der Kontextliste werden, falls im Bild vorhanden, ausgegraut.


Bildumschaltung konfigurieren

Handbuch > Bilder > Bildtypen > Kontextliste > Bildumschaltung konfigurieren

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Bilder.
  3. Wählen Sie die Funktion Bildumschaltung.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime gestartet ist.
  5. Konfigurieren Sie die Filter.
  6. Benennen Sie die Funktion in der Eigenschaft Name.

Noch in diesem Kapitel

Allgemein

Spalteneinstellungen


Allgemein

Handbuch > Bilder > Bildtypen > Kontextliste > Bildumschaltung konfigurieren > Allgemein

Konfiguration der allgemeinen Eigenschaften.

Option

Beschreibung

Als "gelöscht" markierte Texte anzeigen

Konfiguration der Anzeige von Einträgen, die als gelöscht markiert wurden.

  • aktiv: Anzeige in der Kontextliste.
  • inaktiv: Keine Anzeige in der Kontextliste.

Default: inaktiv

Hinweis: Wurde für das Bild ein entsprechendes Kontrollelement projektiert, wird es analog zu dieser Einstellung konfiguriert.

Standard-Ansicht der Kontextliste

Konfiguration der Ansicht, in der die Kontextliste zur Runtime geöffnet wird.
Auswahl über Radiobuttons:

  • Alle Knoten erweitert:
    Alle Einträge aller Knoten werden angezeigt. (Default.)
  • Knoten erster Ebene erweitert:
    Die erste Ebene wird geöffnet angezeigt.
  • Alle Knoten reduziert:
    Nur die erste Ebene der Knoten ist sichtbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Spalteneinstellungen

Handbuch > Bilder > Bildtypen > Kontextliste > Bildumschaltung konfigurieren > Spalteneinstellungen

Konfiguration der Ansicht der Kontextliste zur Runtime. Wählen Sie die anzuzeigenden Spalten und konfigurieren Sie deren Aussehen.
Die Konfiguration kann zur Runtime angepasst werden, entweder per Klick oder über die entsprechenden Kontrollelemente.
Die Optionen Spaltenauswahl und Spaltenformat stehen im Bild nur zur Verfügung, wenn die Liste im Bild angezeigt wird.

Parameter | Beschreibung
Listenfeld | Darstellung der konfigurierten Spalten.
Spaltenauswahl | Öffnet Dialog zur Auswahl der Spalten.
Spaltenformat | Öffnet Dialog zur Formatierung der Spalten.
OK | Übernimmt alle Änderungen und schließt Dialog.
Abbrechen | Verwirft alle Änderungen und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Bilder > Bildtypen > Kontextliste > Bildumschaltung konfigurieren > Spalteneinstellungen > Spaltenauswahl

Hier konfigurieren Sie die zur Runtime anzuzeigenden Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Bilder > Bildtypen > Kontextliste > Bildumschaltung konfigurieren > Spalteneinstellungen > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Kontextliste zur Runtime verwenden

Handbuch > Bilder > Bildtypen > Kontextliste > Kontextliste zur Runtime verwenden

Die Kontextliste zeigt zur Runtime Knoten und Texte in bis zu 5 Ebenen an. Welche Spalten standardmäßig angezeigt werden, wird über die Bildumschaltung konfiguriert. Je nach Konfiguration können die Spalten über die entsprechenden Kontrollelemente oder per Klick verschoben und angepasst werden.

Kontrollelemente

Kontrollelement

Beschreibung

Kontextliste

Darstellung der Kontextliste mit ihren Einträgen und den bei der Bildumschaltung definierten Spalten.

Spaltenauswahl

Öffnet den Dialog zur Auswahl der anzuzeigenden Spalten.

Zur Runtime nur verfügbar, wenn die Liste im Bild angezeigt wird.

Spaltenformat

Öffnet den Dialog zur Konfiguration der einzelnen Spalten.

Zur Runtime nur verfügbar, wenn die Liste im Bild angezeigt wird.

Name

Eingabe des Namens für einen Knoten oder einen Text.
Für Namen gilt:

  • Der Name für Knoten muss in der Kontextliste innerhalb einer Ebene eindeutig sein.
  • Der Name für Texte muss innerhalb eines Knotens eindeutig sein.
  • Maximale Länge: 256 Zeichen
  • Folgende Zeichen sind verboten: /\:*?<>!|"'?#%

Beschreibung

Eingabe der Beschreibung für einen Knoten oder einen Text.

Stammknoten hinzufügen

Fügt einen Knoten auf erster Ebene hinzu.

Knoten hinzufügen

Fügt einen Knoten unter dem ausgewählten Element hinzu. und wechselt die Auswahl zum neu erstellten Element.

Text hinzufügen

Fügt einen Text zum ausgewählten Element hinzu. Die Auswahl des Elements bleibt bestehen.

Speichern

Speichert die Kontextliste.

Als "gelöscht" markierte Texte anzeigen

Schalterelement zur Konfiguration der Anzeige von Einträgen, die als gelöscht markiert wurden.

  • Ein: Gelöschte Einträge werden in der Kontextliste angezeigt.
  • Aus: Keine Anzeige von gelöschten Einträgen in der Kontextliste.

Default: abhängig von Einstellung in Bildumschaltung.

Knoten erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren.
Auswahl:

  • Alle erweitern:
    Öffnet alle Knoten aller Ebenen.
  • Alle reduzieren:
    Klappt alle Knoten aller Ebenen ein.
  • Ausgewählte erweitern:
    Öffnet alle Einträge der ausgewählten Ebene.
  • Ausgewählte reduzieren:
    Klappt alle Einträge der ausgewählten Ebene ein.

XML Exportieren

Exportiert die Kontextliste in eine XML-Datei.

XML Importieren

Importiert eine Kontextliste aus einer XML-Datei.
Beim Import werden vorhandene Kontextlisten komplett ersetzt. Es werden keine Texte zusammengeführt. Bereits vorhandene Texte werden gelöscht.

OK

Übernimmt die Einstellungen und schließt das Bild.

Hinweis: Zur Runtime nur verfügbar, wenn das Bild zur Auswahl von Alarmursachen verwendet wird.

Abbrechen

Verwirft alle Änderungen und bricht die Konfiguration ab.

Hinweis: Zur Runtime nur verfügbar, wenn das Bild zur Auswahl von Alarmursachen verwendet wird.

Keine Auswahl

Hebt die Auswahl auf und schließt das Bild.

Hinweis: Zur Runtime nur verfügbar, wenn das Bild zur Auswahl von Alarmursachen verwendet wird.

Anzeige der Ebenen

Jede Kontextliste kann Texte in bis zu 5 Ebenen enthalten. Die Anzeige der Ebenen kann über Klick auf die Knotensymbole in der Liste oder über Button gesteuert werden.

Buttons:

  • Alle erweitern:
    Öffnet alle Einträge der nächsten geschlossenen Ebene.
  • Alle Knoten erweitern:
    Öffnet alle Einträge aller Ebenen.
  • Alle reduzieren:
    Klappt alle Knoten aller Ebenen ein.
  • Ausgewählte erweitern:
    Öffnet alle Einträge der ausgewählten Ebene.
  • Ausgewählte reduzieren:
    Klappt alle Einträge der ausgewählten Ebene ein.

Filtern von Einträgen

Die Einträge der Kontextliste können gefiltert angezeigt werden.
Sie können die Filter mehrerer Spalten kombinieren.

Um eine Kontextliste zu filtern:

  1. Tragen Sie den Filtertext in die Filterzeile ein.
    Sie können dabei die Platzhalter ? und * verwenden.
  2. Drücken Sie die Eingabe-Taste.

    Die Kontextliste wird gefiltert angezeigt.

Sortieren von Einträgen

Die Einträge in der Kontextliste können sortiert angezeigt werden. Dabei werden sämtliche Knoten und Unterknoten sortiert.

Zum Sortieren drücken sie auf die entsprechenden Spaltenüberschrift.

Sortiert werden kann nach

  • Text
  • Beschreibung
  • Als "gelöscht" markiert

in absteigender und aufsteigender Reihenfolge.

Noch in diesem Kapitel

Knoten und Texte bearbeiten

Auswahl von Alarmursachen

Kontextlisten im Netzwerk

Alarmursachen

API Textlist Manager


Knoten und Texte bearbeiten

Handbuch > Bilder > Bildtypen > Kontextliste > Kontextliste zur Runtime verwenden > Knoten und Texte bearbeiten

In der Kontextliste können Texte in bis zu 5 Ebenen erstellt werden. Knoten können beliebig viele Texte enthalten. Innerhalb eines Knotens müssen Textnamen eindeutig sein. Namen und Beschreibungen können hinzugefügt und geändert werden. Knoten und Texte können als gelöscht markiert werden.

Einträge erstellen und bearbeiten

Knoten erstellen

Um einen Knoten zu erstellen:

  1. Für einen Knoten auf oberster Ebene, darf in der Kontextliste nichts ausgewählt sein.
    Für einen Knoten in einer Unterebene, markieren Sie einen Knoten in der übergeordneten Ebene.
  2. Tragen Sie in das Eingabefeld Name einen innerhalb der Kontextliste eindeutigen Namen ein.
    Maximale Länge: 256 Zeichen
    Hinweis: Folgende Zeichen sind verboten: /\:*?<>!|"'?#%
  3. Übernehmen Sie den Eintrag mit Druck auf die Eingabe-Taste.
  4. Klicken Sie auf den Button Knoten hinzufügen.

    Der Knoten wird erstellt und erhält den Fokus. So können Sie einfach eine Hierarchie oder neue Texte für den neuen Knoten erstellen.

Text erstellen

Um einen Text zu erstellen:

  1. Markieren Sie einen Knoten in der Kontextliste.
  2. Tragen Sie in das Eingabefeld Name einen innerhalb der Ebene eindeutigen Namen ein.
    Maximale Länge: 256 Zeichen
    Hinweis: Folgende Zeichen sind verboten: /\:*?<>!|"'?#%
  3. Übernehmen Sie den Eintrag mit Druck auf die Eingabe-Taste.
  4. Klicken Sie auf den Button Text hinzufügen.

    Der Text wird in der Ebene hinzugefügt.
    Der Fokus bleibt auf dem übergeordneten Knoten. So können Sie einfach mehrere Texte hintereinander für einen Knoten erstellen.
    Hinweis: Der Button ist deaktiviert, wenn kein Eintrag in der Kontextliste ausgewählt ist.

Tipp Tipp

Zum Erstellen von Knoten und Texten: Wählen Sie bei den Eingabefelder Name und Beschreibung für die Eigenschaft Sollwert setzen über die Option Element.

Einträge bearbeiten

Um einen Eintrag zu bearbeiten:

  1. Markieren Sie den Eintrag in der Kontextliste.
  2. Mit einem Doppelklick öffnen Sie das Feld zur Bearbeitung.
  3. Ändern Sie den Eintrag.
  4. Übernehmen Sie die Änderung durch Druck auf die Eingabe-Taste oder Klick neben das Feld.
  5. Speichern Sie die Änderung durch Klick auf den Button Speichern.

Einträge speichern

Um Änderungen in der Kontextliste zu speichern, betätigen Sie den Button Speichern.
Sind beim Verlassen des Bildes ungespeicherte Änderungen vorhanden, wird ein Dialog aufgeschaltet, der das Speichern der Änderungen anbietet. Um die Änderungen zu speichern, muss der Dialog binnen 15 Sekunden mit Klick auf Ja bestätigt werden. Sonst werden alle ungespeicherten Änderungen verworfen.

Einträge als gelöscht markieren

Einträge in einer Kontextliste können nicht gelöscht, sondern nur als gelöscht markiert werden.
Um einen Eintrag als gelöscht zu markieren:

  1. Markieren Sie die gewünschten Elemente in der Kontextliste.
    Mehrfachauswahl ist möglich.
  2. Klicken Sie doppelt auf die Checkbox in der Spalte Als "gelöscht" markiert oder drücken Sie die Entfernen-Taste.
    Bei Mehrfachauswahl drücken Sie die Entfernen-Taste.
    Die Checkbox wird angehakt dargestellt.

    Die Elemente werden als gelöscht markiert.
    Abhängig von der Einstellung für das Kontrollelement Als "gelöscht" markierte Texte anzeigen werden die Elemente aus der Liste entfernt oder ausgegraut angezeigt.

Wird ein Knoten als gelöscht markiert, dann werden auch alle seine Unterelemente als gelöscht markiert. Sobald ein Eintrag als gelöscht markiert wurde, können Name und Beschreibung nicht mehr geändert werden.

Die Markierung kann auch wieder aufgehoben werden.
Um eine Markierung aufzuheben:

  1. Markieren Sie das Element.
    Hinweis: Für Unterelemente von als gelöscht markierten Elementen kann die Markierung nicht aufgehoben werden, solange das übergeordnete Element weiter als gelöscht markiert wird.
  2. Klicken Sie doppelt auf die Checkbox in der Spalte Als "gelöscht" markiert. Die Checkbox darf nicht mehr angehakt sein.

    Das Element kann wieder bearbeitet werden.

Hinweis: Über die API können Name und Beschreibung immer geändert werden.


Auswahl von Alarmursachen

Handbuch > Bilder > Bildtypen > Kontextliste > Kontextliste zur Runtime verwenden > Auswahl von Alarmursachen

Wenn das Bild zur Auswahl von Alarmursachen verwendet wird, können Sie über die Kontrollelemente OK, Abbrechen und Keine Auswahl Einträge aus der Kontextliste (Alarmursachen) zu den aktuell in der Alarmmeldeliste ausgewählten Alarmen zuordnen.

Zur Runtime sind in dem Bild nur die Kontrollelemente zur Auswahl von Alarmursachen, die Kontrollelemente für Spalteneinstellungen sowie die Kontrollelemente zum Erweitern und Reduzieren von Knoten aktiv. Sämtliche anderen Kontrollelemente zur Bearbeitung der Kontextliste werden, falls im Bild vorhanden, ausgegraut.


Kontextlisten im Netzwerk

Handbuch > Bilder > Bildtypen > Kontextliste > Kontextliste zur Runtime verwenden > Kontextlisten im Netzwerk

Bei der Verwendung einer Kontextliste in einem Netzwerkprojekt erfolgt die Speicherung am Server. Clients werden automatisch synchronisiert.
Wird eine Liste auf mehreren Clients gleichzeitig bearbeitet, wird die zuletzt gespeicherte Version vom Server übernommen und an alle Clients verteilt.

Verliert der Client die Verbindung zum Server, wird die Kontextliste am Client geleert und die Bildelemente zur Bearbeitung werden ausgegraut. Verknüpfte Einträge in der Alarmmeldeliste werden mit dem Text <Alarmursache existiert nicht> angezeigt.
Sobald wieder eine Verbindung zum Server besteht, wird die Kontextliste angezeigt und die Bildelemente zur Bearbeitung werden freigegeben.

Mit aktivierter Bedienberechtigung

Ist in den Projekteinstellungen für die Gruppe Netzwerk die Eigenschaft Bedienberechtigung im Netzwerk entsprechend projektiert (Global oder via Anlagenmodell), führt dies in der Runtime zu folgendem Verhalten:

  • Ist die Bedienberechtigung am Rechner vorhanden, können sämtliche Aktionen wie in Knoten und Texte bearbeiten beschrieben durchgeführt werden.
  • Ist keine Bedienberechtigung vorhanden, werden diese Aktionen unterbunden und es wird ein Hinweisdialog aufgeschaltet.
  • Ist die Bedienberechtigung während des Bearbeitens vorhanden, jedoch nicht beim Schließen des Bildes wenn ungesicherte Änderungen vorhanden sind, wird ein Hinweisdialog aufgeschaltet und die Änderungen werden verworfen.

Weitere Informationen zum Thema Bedienberechtigung finden Sie im Kapitel Bedienberechtigung im Netzwerk.


Alarmursachen

Handbuch > Bilder > Bildtypen > Kontextliste > Kontextliste zur Runtime verwenden > Alarmursachen

Das Modul Kontextliste steht für die Alarmmeldeliste zur Konfiguration und Anzeige von Alarmursachen zur Verfügung.


API Textlist Manager

Handbuch > Bilder > Bildtypen > Kontextliste > Kontextliste zur Runtime verwenden > API Textlist Manager

Über den Textlist Manager ist ein Zugriff auf die Kontextliste via der API möglich. Dabei können Knoten und Texte erzeugt werden. Der Textlist Manager erzeugt eine eindeutige GUID für jeden Eintrag in der Kontextliste. Über diese GUID kann auf die Elemente zugegriffen werden. Bei ungültiger GUID wird ein leerer String ausgegeben. Wird die GUID nicht gefunden, wird der Hinweis "Alarmursache existiert nicht" ausgegeben.

Texte können in mehreren Ebenen erstellt werden. Die einzelnen Texte werden mit Punkten (.) getrennt für die Ausgabe in der Spalte Alarmursache in der Alarmmeldeliste zusammengesetzt.
Zum Beispiel: Alarm causes.Filler.Bottle broken

Maximalanzahl Ebenen: 5

Beispiel:

Die blau gefärbten Ebenen sind korrekt, die rot gefärbte wird nicht mehr verwendet, da die erlaubte Anzahl an Ebenen überschritten wird.

attention Achtung

Das TextListManager Objekt in der API entspricht der Kontextliste in zenon. Die TextList Objekte entsprechen den Knoten und Texten in zenon.

Folgendes Skript erzeugt diese Textliste.

Skript

Option Explicit

Public Sub CreateTree()

Dim TM As TextListManager

Set TM = thisProject.TextListManager

' ##################### T1 ####################

Dim T1 As TextList

Set T1 = TM.Create("T1 Name", "T1 Description")

Dim T11 As TextList

Set T11 = T1.Create("T11 Name", "T11 Description")

Dim T12 As TextList

Set T12 = T1.Create("T12 Name", "T12 Description")

' ##################### T2 ####################

Dim T2 As TextList

Set T2 = TM.Create("T2 Name", "T2 Description")

Dim T21 As TextList

Set T21 = T2.Create("T21 Name", "T21 Description")

' ##################### T3 ####################

Dim T3 As TextList

Set T3 = TM.Create("T3 Name", "T3 Description")

Dim T31 As TextList

Set T31 = T3.Create("T31 Name", "T31 Description")

Dim T32 As TextList

Set T32 = T3.Create("T32 Name", "T32 Description")

Dim T321 As TextList

Set T321 = T32.Create("T321 Name", "T321 Description")

Dim T3211 As TextList

Set T3211 = T321.Create("T3211 Name", "T3211 Description")

Dim T32111 As TextList

Set T32111 = T3211.Create("T32111 Name", "T32111 Description")

'########## This will not work - because of Level depth ###############

'Dim T321111 As TextList

'Set T321111 = T32111.Create("T321111 Name", "T321111 Description")

Dim T32112 As TextList

Set T32112 = T3211.Create("T32112 Name", "T32112 Description")

Dim T3212 As TextList

Set T3212 = T321.Create("T3212 Name", "T3212 Description")

Dim T322 As TextList

Set T322 = T32.Create("T322 Name", "T322 Description")

Dim T3221 As TextList

Set T3221 = T322.Create("T3221 Name", "T3221 Description")

Dim T323 As TextList

Set T323 = T32.Create("T323 Name", "T323 Description")

' ##################### T4 ####################

Dim T4 As TextList

Set T4 = TM.Create("T4 Name", "T4 Description")

'####################### Test Item Function of TextListManager ###########################

Dim textlisttest As TextList

Set textlisttest = TM.Item(0)

thisProject.Cel.WriteCelString (textlisttest.Name() + textlisttest.Description() + textlisttest.Guid())

'##################### Saving TextLists ###########################################

Dim answ As Boolean

answ = thisProject.TextListManager.Save()

End Sub


Video

Handbuch > Bilder > Bildtypen > Video

Mit der Verwendung eines Bildes für die Videodarstellung sind Videoaufnahmen - online und aus gespeicherten Dateien - in zenon darstellbar. Als Format wird .avi verwendet.

Videos werden zur Runtime zentriert in der zugewiesenen Schablone abgespielt. Die Steuerung erfolgt über Kontrollelemente.

Hinweis: Die zum Abspielen des Videos benötigten Codec müssen auf dem Rechner installiert sein.

info Info

Die Ansteuerung von in Notebooks integrierten Videokameras über den Treiber des Herstellers arbeitet nicht immer korrekt mit zenon zusammen. In diesem Fall:

  • installieren Sie eine Kamerasoftware eines Drittanbieters
  • wählen Sie dann die integrierte Kamera als Quelle aus

Noch in diesem Kapitel

Bild vom Typ Video anlegen

Funktion Bildumschaltung - Video

Bedienen zur Runtime


Bild vom Typ Video anlegen

Handbuch > Bilder > Bildtypen > Video > Bild vom Typ Video anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Video.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

info Info

Vorlage einfügen fügt vordefinierte Kontrollelemente an vordefinierten Stellen im Bild ein. Alle Kontrollelemente können ergänzt, gelöscht und frei positioniert werden. Auch andere Dynamische Elemente und Vektor-Elemente können hinzugefügt werden.


Funktion Bildumschaltung - Video

Handbuch > Bilder > Bildtypen > Video > Funktion Bildumschaltung - Video

Mit einem Bild des Typs Video können zur Runtime zwei Arten von Videos angezeigt werden:

  1. gespeicherte Videos (*.avi)
  2. Videos einer Überwachungskamera

Welche Bilder angezeigt werden, hängt davon ab, welche Registerkarte beim Speichern des Dialogs angezeigt wird.

info Info

Sollen sowohl Dateien als auch Onlinebilder angezeigt werden, erstellen Sie zwei Funktionen mit Bildumschaltung auf das Bild.

Um eine Funktion zur Aufschaltung des Bildes Video anzulegen:

  • wählen Sie Funktion neu
  • wählen Sie Bildumschaltung
  • wählen Sie das Bild vom Typ Video aus
  • ein Dialog zur Definition der Bildquelle öffnet sich:
    • Video-Datei
    • Video Online

Noch in diesem Kapitel

Video-Datei

Video Online


Video-Datei

Handbuch > Bilder > Bildtypen > Video > Funktion Bildumschaltung - Video > Video-Datei

Die für das Aufschalten eines Bildes des Typs Video zur Betrachtung gespeicherter Video-Dateien benötigten Parameter sind:

  • Angabe des Videos, das angezeigt werden soll
  • Einstellungen für Position, Geschwindigkeit, Lautstärke und Zoomfaktor der Anzeige

Option | Beschreibung
Videodatei | Auswahl der gespeicherten Videodatei, die angezeigt werden soll. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Datei. Achtung: Beachten Sie bei der Bennenung von Videodateien die maximale Pfadlänge auf Ihrem System.

Optionen u. Parameter

Option

Beschreibung

Wiedergabeleiste anzeigen

Anzeige eines Schiebereglers in der Video-Anzeige.

Menü anzeigen

Anzeige eines Menüs zur Steuerung des Videos mit der Wiedergabeleiste.

Nur verfügbar, wenn Wiedergabeleiste anzeigen aktiviert wurde.

Anzeige zentrieren

Ausgangspunkt für die Position der Video-Anzeige bei Zoom-Aktionen.

  • Aktiv : Das gezoomte Video wird in der Mitte der Schablone positioniert.
  • Inaktiv : Der Video-Anzeigebereich wird nach rechts unten vergrößert.

Automatisch starten
  • Aktiv: Die Video-Datei wird sofort beim Öffnen des Bildes abgespielt.

Wiederholen
  • Aktiv: Nach dem Ende des Videos wird die Videodatei erneut abgespielt.

Geschwindigkeit

Abspielgeschwindigkeit in Tausendstel der Originalgeschwindigkeit.
Default: 1000 (Originalgeschwindigkeit)

Zoom

Zoom-Faktor für seitenrichtiges Vergrößern oder Verkleinern in Prozent der Originalgröße.
Default: 100 (Originalgröße)

Lautstärke

Lautstärke in Tausendstel der Originallautstärke.
Default: 1000 (Originallautstärke)

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Video Online

Handbuch > Bilder > Bildtypen > Video > Funktion Bildumschaltung - Video > Video Online

Die für das Aufschalten eines Bildes des Typs Video zur Anzeige einer Überwachungskamera benötigten Parameter sind:

  • Angabe des Video-Treibers
  • Einstellungen für die Aufzeichnungsoptionen, falls Videos auch aufgezeichnet werden sollten

Option | Beschreibung
Video - Treiber | Auswahl des zu verwendenden Video-Treibers aus Dropdownliste. Diese enthält die installierten und unterstützten Treiber. Hinweis: Der Treiber soll Microsoft Capturing unterstützen.

Aufnahme

Optionen für die Aufzeichnung und Speicherung von Videos als AVI-Dateien oder Bitmaps.
Falls nur Online-Bilder dargestellt werden sollen, werden hier keine Einstellungen benötigt.

Option

Beschreibung

Videotreiber

Auswahl des Videotreibers aus Dropdownliste. Treiberspezifische Einstellungen.
Je nach Treiber stehen weitere Eigenschaften zur Verfügung:

  • Anzeigen
  • Formatieren
  • Komprimieren
  • Quelle

Name oder Kurzbezeichnung

Name der zu speichernden Datei.

Format

Auswahl des Videoformats aus Dropdownliste:

  • AVI
  • BMP

Automatische Namensvergabe
  • Aktiv: Name wird während der Aufzeichnung automatisch erstellt.
    Syntax: [Systemzeit].[Format]

Zeitlimit für Aufnahme

Zeitlimit, wie lange aufgezeichnet, wird in Sekunden.
Eingabe in Feld.

Default: 5

Bildfrequenz

Anzahl der Bilder pro Sekunde für die Aufzeichnung.

Eingabe in Feld.

Default: 15

Video-Puffer

Reservierter Pufferbereich für die Videoaufzeichnung in MB.

Eingabe in Feld.

Default: 5

Maximale Verlustrate

Maximal erlaubte Verlustrate an Bildern pro Sekunde in Prozent während der Aufnahme. Wird der Maximalwert überschritten, wird eine Warnung ausgegeben.

  • Wert: 0 bis 100

Default: 10

Audio

Einstellungen für die Tonaufzeichnung.

Option | Beschreibung
Audio aufnehmen | Aktiv: Ton wird aufgezeichnet.
Format | Auswahl des Formats. Mögliche Einstellung hängt ab von gewählten Treiber in Videotreiber.


Bedienen zur Runtime

Handbuch > Bilder > Bildtypen > Video > Bedienen zur Runtime

Videos werden zentriert in der Schablone angezeigt.

Kontrollelement | Beschreibung
Filter | Filtereinstellungen.
Steuerung | Kontrollelemente zur Steuerung der Videos.
Start | Video abspielen.
Stopp | Abspielen stoppen/wieder aufnehmen.
Aufnahme | Video aufnehmen.
Pause | Video während des Abspielens anhalten.
Video - Online | Elemente für Steuerung eines Online-Videos.
Format | Ausgabeformat.
Quelle | Datenquelle.
Anzeige | Video anzeigen.
Kompression | Datenkompression.
Video - Datei | Elemente für Steuerung einer Videodatei.
Vergrößerung | Vergrößerung des Ausschnitts.
Geschwindigkeit | Abspielgeschwindigkeit.
>> (Vorspulen) | Springt einen Schritt (Frame) weiter.
<< (Zurückspulen) | Springt einen Schritt zurück.
Auswerfen | Auswurf.


Bild-Funktionen

Handbuch > Bilder > Bild-Funktionen

Wird aus dem Kontextmenü in der Detailansicht die Standardfunktion erstellt, so erstellt zenon automatisch eine Funktion Bildumschaltung für das ausgewählte Bild. Weitere Funktionen können über den Knoten Funktionen und den Befehl Funktion neu projektiert werden.

Noch in diesem Kapitel

Bild indiziert

Bild schließen

Bild zurück

Bild zurück-Pfad löschen

Bildmittelpunkt verschieben

Bildumschaltung

Eingabe auf Element mit Fokus aktivieren

Fokus auf Schablone setzen

Fokus verschieben

Fokus von Schablone nehmen

Menü anzeigen

Bildschirm zuordnen

Schablone in den Vordergrund holen

Schablone schließen

Screenshot drucken

Sollwertvorgabe für Keyboard-Bild

Übersichtsfenster anzeigen


Bild indiziert

Handbuch > Bilder > Bild-Funktionen > Bild indiziert

Mit dieser Funktion wird zur Runtime auf ein Bild umgeschaltet, dessen Name von einer String-Variablen definiert wird. Die Variable wird mit dieser Funktion ausgewählt.

Parameter

Beschreibung

Variable für Bildname

Verlinkte Variable mit dem Namen des zenon Bildes, auf welches mit dieser Funktion umgeschaltet wird.

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog. Als Übergabeparameter ist eine String-Variable aus der Variablenliste auszuwählen.

Bildschirm

ZielBildschirm der Bildumschaltung.

Auswahl aus Dropdownliste:

  • Aktueller Bildschirm
    Bild wird auf dem aktuellen, aufrufenden Bildschirm aufgeschaltet.
  • Name virtueller Bildschirm 1
    Bild wird auf dem 1. virtuellem Bildschirm aufgeschaltet.
  • Name virtueller Bildschirm x
    Bild wird auf dem x. virtuellem Bildschirm aufgeschaltet.

Die Auswahl entspricht der Projektierung der Eigenschaft Bildschirmverwaltung in der Projekteigenschaftengruppe Grafische Ausprägung.

Hinweis: nicht sichtbar, wenn kein virtueller Bildschirm projektiert ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bild schließen

Handbuch > Bilder > Bild-Funktionen > Bild schließen

Mit dieser Funktion wird zur Runtime ein definiertes Bild geschlossen. Ist bei Mehr-Bildschirm-Projekten ein Bild auf mehreren Bildschirmen aufgeschaltet, kann ausgewählt werden, welches Bild auf welchem Bildschirm geschlossen wird.

Um die Funktion zu projektieren:

  1. wählen Sie in der Liste der Funktionen im Knoten Bilder die Funktion Bild schließen
  2. wählen Sie das gewünschte Bild
  3. wählen Sie bei Mehr-Bildschirm-Projekten den virtuellen Bildschirm, auf dem das Bild geschlossen werden soll, aus der Liste:
    • alle
    • aktueller Bildschirm
    • bestimmter virtueller Bildschirm

Bild schließen

Parameter | Beschreibung
Bild schließen | Konfiguration, welche Bilder bei Aufruf der Funktion geschlossen werden.
Alle Bilder mit dem Namen | Alle geöffneten Bilder mit dem gewählten Namen werden geschlossen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Bilds. Details siehe Abschnitt Dialog Bildauswahl.
Aufrufendes Bild | Das aufrufende Bild wird geschlossen. Auch, wenn mehrere Bilder mit gleichem Namen geöffnet sind, wird nur das eine Bild, von dem der Aufruf kommt, geschlossen. Bei Auswahl dieser Option kann die Bildschirmauswahl nicht manuell konfiguriert werden. Empfehlung: Eignet sich für das Schließen von Pop-ups.

Bildschirmauswahl

Parameter

Beschreibung

Bildschirmauswahl

Konfiguration des Bildschirms, für den das Schließen des Bildes konfiguriert wird.

Bildschirm

Auswahl des Bildschirms aus Liste:

  • Alle Bildschirme
  • Aktueller Bildschirm
  • Auswahl eines virtuellen Bildschirms
    (Hinweis: Beim Aufruf zur Runtime werden die realen Bildschirme angezeigt.)

Steht nur bei Mehr-Bildschirm-Systemen zur Verfügung und nur für die Option Alle Bilder mit dem Namen.

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Dialog vor Ausführung der Funktion geöffnet.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Dialog Bildauswahl

Im Auswahldialog Bilder können Bilder für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Bilder können gewählt werden aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten
Fenster Bilder | Auswahl des Bildes. Werden mehrere Bilder ausgewählt, wird für die Ausführung der Funktion das in der Liste an oberster Stelle stehende Bild verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bild zurück

Handbuch > Bilder > Bild-Funktionen > Bild zurück

Mit dieser Funktion kann im Onlinebetrieb schnell auf zuvor aufgeschaltete und mittlerweile geschlossene Bilder einer Schablone zurück gewechselt werden. Diese zuvor aufgeschalteten Bilder werden nach dem Schließen in einem Speicher verwaltet. Beim erneuten Öffnen wird dieselbe Funktion, die zum Aufschalten des Bildes benutzt wurde, noch einmal ausgeführt. Das bedeutet, dass Bildfilter nicht gespeichert werden, sondern neu erstellt werden müssen. Durch die Ausführung der Funktion Bildumschaltung werden die Bilder der entsprechenden freigegebenen Schablonen in den Speicher eingetragen.

Achtung: Jeder Aufruf der Funktion Bildumschaltung zählt mit, auch wenn er nicht direkt erfolgt, sondern als Start-Funktion in den Bildeigenschaften eingetragen ist.

Um die Funktion zu projektieren:

  1. Legen Sie die zu berücksichtigenden Schablonen in der Projekteigenschaft Hauptschablonen in der Gruppe Grafische Ausprägung/Runtime allgemein fest.
  2. Legen Sie die Anzahl der Bilder, die zurückgeschaltet werden soll, mit der Projekteigenschaft Anzahl für Bild zurück Funktion in der Gruppe Funktionen fest.
  3. Konfigurieren Sie die Funktion Bild zurück.
    In der Funktion ausgewählte Funktionen müssen auch in der Projekteigenschaft Hauptschablonen ausgewählt werden.
    Hinweis für Mehr-Bildschirm-Systeme: Die Funktion bezieht sich immer auf alle Bildschirme. Eine Bildschirmauswahl ist nicht möglich.

info Info

Ein Bild wird erst in die Bild-zurück Liste eingetragen, wenn es geschlossen wird. Im Hintergrund offen bleibende Schablonen gelten allerdings nicht als geschlossene Bilder. Werden also Bilder in mehreren übereinander liegenden Schablonen aufgeschaltet, dann bleibt die Bild-Zurück-Liste leer, da ja alle Bilder noch geöffnet sind.

Tipp: Platzieren Sie Schablonen generell nicht übereinander.

Pfad löschen

Der Bild zurück-Pfad kann zur Runtime gelöscht werden:

  • Bei Benutzerwechsel automatisch über die Projekteigenschaft Bei Benutzerwechsel "Bild zurück"-Pfad löschen in der Gruppe Benutzerverwaltung.
  • Individuell durch Projektierung der Funktion Bild zurück-Pfad löschen.


Bild zurück-Pfad löschen

Handbuch > Bilder > Bild-Funktionen > Bild zurück-Pfad löschen

Mit dieser Funktion kann zur Runtime der Pfad der Funktion Bild zurück gelöscht werden.

Um die Funktion zu projektieren:

  1. Wählen Sie in der Liste der Funktionen im Knoten Bild zurück die Funktion Bild zurück-Pfad löschen.
  2. Die Funktion wird erstellt.
  3. Verknüpfen Sie die Funktion mit einem Button im Bild.

Hinweis: Der Bild zurück-Pfad kann zur Runtime auch automatisch bei einem Benutzerwechsel gelöscht werden. Dazu muss die Projekteigenschaft Bei Benutzerwechsel "Bild zurück"-Pfad löschen in der Gruppe Benutzerverwaltung konfiguriert werden.


Bildmittelpunkt verschieben

Handbuch > Bilder > Bild-Funktionen > Bildmittelpunkt verschieben

Die Funktion dient dazu, den Bildmittelpunkt in der Weltbildfunktionalität zu verschieben oder den Zoomfaktor zu verändern.

Voraussetzungen:

  • das Bild muss größer sein als die Schablone
  • bei den Bildeigenschaften muss in der Gruppe Schablone die Eigenschaft Bildgröße von Schablone übernehmen deaktiviert werden
  • die Größe muss über die Eigenschaften Breite [Pixel] und Höhe [Pixel] definiert werden

info Info

Diese Funktion steht unter Windows CE nicht zur Verfügung.

Dialog Bildmittelpunkt und Zoom

Parameter | Beschreibung
Bild | Auswahl des Bildes für den neuen Bildmittelpunkt. Klick auf die Schaltfläche öffnet den Dialog zur Bildauswahl.
Bildmittelpunkt anwählen | Einstellung des Bildmittelpunkts.
Objektname | Gewünschten Bildmittelpunkt über ein Objekt aus der Objektliste festlegen.
Koordinaten | Gewünschten Bildmittelpunkt in Koordinaten (x,y) eingeben.
Zoomstufe einstellen | Einstellung des Zoomfaktors.
in % | Gewünschten Zoomfaktor in Prozent eingeben.
Stufe | Gewünschten Zoomfaktor aus den definierten Zoomstufen auswählen.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbruch | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Bei mehrfach aufgeschaltetem Weltbild wird diese Funktion immer nur auf das zuletzt aufgeschaltete Weltbild angewendet.


Bildumschaltung

Handbuch > Bilder > Bild-Funktionen > Bildumschaltung

Die Funktion Bildumschaltung ermöglicht es, zur Runtime zwischen Prozessbildern umzuschalten.

Example Beispiel

In einem Projekt gibt es ein Bild Start und ein Bild vom Typ Alarmmeldeliste. Es soll während der Runtime möglich sein, zwischen diesen beiden Bildern umzuschalten. Dazu wird beispielsweise im Bild Start ein Button angelegt sowie eine Funktion vom Typ Bildumschaltung auf das Bild Alarmmeldeliste. Anschließend wird die Funktion mit dem Button verknüpft z B. mittels Drag&Drop. Während der Runtime kann nun mit Betätigung des Buttons das Bild Start verlassen und das Bild Alarmmeldeliste aufgeschalten werden.

Bildumschaltung projektieren

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. navigieren Sie zum Knoten Bilder
  3. wählen Sie die Funktion Bildumschaltung
  4. der Dialog zur Auswahl eines Bildes wird geöffnet
  5. wählen Sie ein Bild
  6. der Dialog zum Ersetzen von Variablen und Funktionen wird geöffnet
    Hinweis: Durch Ersetzen der Verknüpfungen, können mehrere Funktionen das gleiche Bild wiederverwenden um verschiedene Teile der Anlage darzustellen, z.B. für Motor1 wie auch für Motor2.
  7. schließen Sie den Dialog mit Klick auf OK
  8. weisen Sie die Funktion einem Button zu

Dialog Bildauswahl

Im Auswahldialog Bilder können Bilder für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Bilder können gewählt werden aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten
Fenster Bilder | Auswahl des Bildes. Werden mehrere Bilder ausgewählt, wird für die Ausführung der Funktion das in der Liste an oberster Stelle stehende Bild verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Eingabe auf Element mit Fokus aktivieren

Handbuch > Bilder > Bild-Funktionen > Eingabe auf Element mit Fokus aktivieren

Diese Funktion aktiviert das Element, das in der gewählten Schablone den Fokus besitzt.


Fokus auf Schablone setzen

Handbuch > Bilder > Bild-Funktionen > Fokus auf Schablone setzen

Diese Funktion setzt bei Tastaturbedienung zur Runtime den Fokus auf eine definierte Schablone.

Um die Funktion zu projektieren:

  1. Wählen Sie in der Liste der Funktionen im Knoten Bilder die Funktion Fokus auf Schablone setzen.

    Der Dialog zur Auswahl einer Schablone wird geöffnet .

  2. Wählen Sie die gewünschte Schablone.
  3. Wählen Sie bei Mehr-Bildschirm-Projekten den virtuellen Bildschirm für die Aufschaltung der Schablone.
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Definieren Sie, welches Bildelement den Fokus erhalten soll.
    Dazu:
    1. Öffnen Sie den Dialog für Reihenfolge für Fokus verschieben mit Reihenfolge für links/rechts.
    2. Definieren Sie das Element, das als erstes angesteuert werden soll.

Verhalten zur Runtime:

  • Die mit einem Fokus versehene Schablone wird mit einem Rahmen dargestellt. Linienbreite und Farbe des Rahmens werden in den Projekteigenschaften im Knoten Grafische Ausprägung/Bilder definiert.
  • Im Bild erhält das Element den Fokus, das in der Reihenfolge für links/rechts als erstes Element definiert wurde. Die Reihenfolge für oben/unten wird ignoriert.

Dialog Schablonenauswahl

Im Dialog Schablonenauswahl können Schablonen für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Schablonen können aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten gewählt werden.
Fenster Schablonen | Auswahl einer Schablone. Werden mehrere Schablonen ausgewählt, wird für die Ausführung der Funktion die in der Liste an oberster Stelle stehende Schablone verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Fokus auf Schablone setzen bei mehrfach aufgerufenen Schablonen

Wird eine Schablone mehrfach am Bildschirm angezeigt, dann wird bei jedem Ausführen der Funktionen der Fokus entgegen der Aufschaltreihenfolge durch gewechselt. Werden zum Beispiel bei einer mehrfach aufschaltbaren Schablone die Bilder Bild1, Bild2 und Bild3 geöffnet und anschließend der Fokus auf diese Schablone gesetzt, erhält zuerst das letzte geöffnete Bild3 den Fokus. Bei erneutem Aufruf der Funktion Fokus auf Schablone setzen wird der Fokus auf Bild2 gesetzt usw.


Fokus verschieben

Handbuch > Bilder > Bild-Funktionen > Fokus verschieben

Diese Funktion setzt bei Tastaturbedienung zur Runtime den Fokus auf ein bestimmtes Element und kann damit zur Navigation innerhalb einer Schablone verwendet werden.

Eigenschaft | Aktion
Richtung | Festlegen der Richtung, in der der Fokus weitergegeben werden soll. Es gilt die im Editor Im Kontextmenü oder unter Bearbeiten/Reihenfolge für Fokus verschieben... festgelegte Reihenfolge
auf das Element | Festlegen des Elements, das den Fokus erhalten soll. Einzugeben ist der Objektname des Elements


Fokus von Schablone nehmen

Handbuch > Bilder > Bild-Funktionen > Fokus von Schablone nehmen

Diese Funktion nimmt zur Runtime den Fokus von der aktuellen Schablone. Zur weiteren Tastaturbedienung muss der Fokus neu auf eine Schablone gesetzt werden.


Menü anzeigen

Handbuch > Bilder > Bild-Funktionen > Menü anzeigen

Diese Funktion steuert die Anzeige von Hauptmenüs.

  1. erstellen Sie mit Funktion neu eine neue Funktion
  2. wählen Sie im Knoten Bilder die Funktion Menü anzeigen
  3. definieren Sie die auszuführende Aktion und das Hauptmenü

Parameter | Beschreibung
Aktion | Auswahl der Aktion:
Menü anzeigen | Das ausgewählte Menü wird angezeigt.
Menü ausblenden | Das ausgewählte Menü wird ausgeblendet.
Menü wechseln | Das aktuelle Menü wird ausgeblendet und das ausgewählte Menü wird angezeigt.
Wenn kein Menü vorhanden | Das ausgewählte Menü wird angezeigt, wenn derzeit kein anderes angezeigt ist.
Menü | Auswahl des Menüs.
Diesen Dialog zur Runtime anbieten | Aktiv: Bei Ausführung der Funktion zur Runtime wird dieser Dialog aufgeschaltet.


Bildschirm zuordnen

Handbuch > Bilder > Bild-Funktionen > Bildschirm zuordnen

In einem Mehr-Bildschirm-Projekt kann mittels dieser Funktion einem einzelnen reellen Bildschirm ein bestimmter virtueller Bildschirm zugewiesen werden.


Schablone in den Vordergrund holen

Handbuch > Bilder > Bild-Funktionen > Schablone in den Vordergrund holen

Mit dieser Funktion können zur Runtime Bilder, die von anderen überlagert werden, in den Vordergrund geholt werden. Es wird eine Schablone ausgewählt - und bei vorhandener Mehr-Bildschirm-Konfiguration eine Bildschirmzuordnung. Zur Runtime werden beim Ausführen alle Instanzen der definierten Schablone auf dem gewählten Bildschirm in den Vordergrund geholt. Nützlich ist diese Funktion hauptsächlich für Bilder und Schablonen, die mit Titelleiste aufgeschaltet wurden.

Um die Funktion zu projektieren:

  1. Wählen Sie im Kontextmenü des Knotens Funktionen den Eintrag Funktion neu.
  2. Öffnen Sie im Auswahldialog den Knoten Bilder.
  3. Wählen Sie die Funktion Schablone in den Vordergrund holen.
  4. Der Dialog zur Auswahl einer Schablone wird geöffnet.
  5. Wählen Sie die gewünschte Schablone und bestätigen Sie mit Klick auf OK.
  6. Verknüpfen Sie die Funktion mit einem Button.

Auswahldialog für Schablone

Parameter

Beschreibung

Fenster Projektbaum

Zeigt alle Projekte im Arbeitsbereich an. Schablonen können aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten gewählt werden.

Fenster Schablonen

Auswahl einer Schablone.

Werden mehrere Schablonen ausgewählt, wird für die Ausführung der Funktion die in der Liste an oberster Stelle stehende Schablone verwendet.

Keine Auswahl

Entfernt Auswahl und schließt Dialog.

Bildschirm

Bei Mehr-Bildschirm-Systemen Auswahl des Bildschirms aus Dropdownliste für den diese Funktion konfiguriert wird:

  • Alle Bildschirme
  • Aktueller Bildschirm
  • Bestimmter virtueller Bildschirm

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Schablone schließen

Handbuch > Bilder > Bild-Funktionen > Schablone schließen

Mit dieser Funktion wird zur Runtime die ausgewählte Schablone mit allen darauf basierenden Bildern geschlossen. Im Gegensatz zur Funktion Bild schließen ist die genaue Angabe des Bildnamens hier nicht erforderlich. Ist bei Mehr-Bildschirm-Projekten eine Schablone auf mehreren Bildschirmen aufgeschaltet, kann ausgewählt werden, welche Schablone auf welchem Bildschirm geschlossen wird.

Um die Funktion zu projektieren:

  1. wählen Sie in der Liste der Funktionen im Knoten Bilder die Funktion Schablone schließen
  2. wählen Sie die gewünschte Schablone
  3. wählen Sie bei Mehr-Bildschirm-Projekten den virtuellen Bildschirm, auf dem die Schablone geschlossen werden soll, aus der Dropdownliste:
    • alle
    • aktueller Bildschirm
    • bestimmter virtueller Bildschirm

Schablone schließen

Parameter | Beschreibung
Schablone schließen | Konfiguration, welche Schablonen bei Aufruf der Funktion geschlossen werden.
Alle Schablonen mit dem Namen | Alle geöffneten Schablonen mit dem gewählten Namen werden geschlossen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Schablone. Details siehe Abschnitt Dialog Schablonenauswahl.
Aufrufende Schablone | Die aufrufende Schablone wird geschlossen. Auch, wenn mehrere Schablonen mit gleichem Namen geöffnet sind, wird nur die eine Schablone, von dem der Aufruf kommt, geschlossen. Bei Auswahl dieser Option kann die Bildschirmauswahl nicht manuell konfiguriert werden.

Bildschirmauswahl

Parameter

Beschreibung

Bildschirmauswahl

Konfiguration des Bildschirms, für den das Schließen der Schablone konfiguriert wird.

Bildschirm

Auswahl des Bildschirms aus Liste:

  • Alle Bildschirme
  • Aktueller Bildschirm
  • Auswahl eines virtuellen Bildschirms
    (Hinweis: Beim Aufruf zur Runtime werden die realen Bildschirme angezeigt.)

Steht nur bei Mehr-Bildschirm-Systemen zur Verfügung und nur für die Option Alle Schablonen mit dem Namen.

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Dialog vor Ausführung der Funktion geöffnet.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Dialog Schablonenauswahl


Dialog Schablonenauswahl

Handbuch > Bilder > Bild-Funktionen > Schablone schließen > Dialog Schablonenauswahl

Im Dialog Schablonenauswahl können Schablonen für die Ausführung von Funktionen ausgewählt werden aus:

  • aktuellem Projekt
  • Unterprojekten
  • allen Projekten im Arbeitsbereich mit aktiver Option Projekt im Speicher halten

Parameter | Beschreibung
Fenster Projektbaum | Zeigt alle Projekte im Arbeitsbereich an. Schablonen können aus dem aktuellen Projekt und aus allen Projekten mit aktiver Option Projekt im Speicher halten gewählt werden.
Fenster Schablonen | Auswahl einer Schablone. Werden mehrere Schablonen ausgewählt, wird für die Ausführung der Funktion die in der Liste an oberster Stelle stehende Schablone verwendet.
Keine Auswahl | Entfernt Auswahl und schließt Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Screenshot drucken

Handbuch > Bilder > Bild-Funktionen > Screenshot drucken

Mit der Verwendung dieser Funktion kann zur Runtime ein Screenshot vom gesamten Bildschirm oder von Schablonen ausgedruckt werden (Prozessbilder, Listen, Trendkurven, etc.).

Als Übergabeparameter sind die Schablone und Zusatzoptionen anzugeben. Die Projektierung der Funktion erfolgt über folgenden Dialog.

Eigenschaft

Beschreibung

Ausgewählter Druckbereich

Anzeige des gewählten Bereichs.

Druckbereich definieren

Auswahl des zu druckenden Bereichs.

Gesamter Bildschirmbereich

Druckt Screenshot des gesamten Bildschirms. Bei Mehr-Bildschirm-Systemen wird der Inhalt des Default-Bildschirms gedruckt.

Schablonenliste

Nur verfügbar, wenn die Eigenschaft Gesamter Bildschirmbereich inaktiv ist.

Wählen Sie die gewünschte Schablone per Doppelklick. Diese wird im Feld Ausgewählter Druckbereich angezeigt.

Hinweis: Wenn die gewählte Schablone zur Runtime nicht aktiv ist, wird nichts gedruckt.

Bildschirm

Nur verfügbar, wenn eine Schablone gewählt wurde und die Eigenschaft Gesamter Bildschirmbereich inaktiv ist.

Wählen Sie den gewünschten Bildschirm aus der Dropdownliste:

  • alle
  • aktueller Bildschirm
  • bestimmter virtueller Bildschirm

Hinweis: Wenn Sie eine Schablone ausgewählt haben, die über mehrere Bildschirme geht, müssen Sie aktueller Bildschirm auswählen, damit die gesamte Schablone gedruckt wird.

Druckoptionen

Mit Heftrand

Beim Druck wird ein Randbereich zum Heften berücksichtigt.

Invertiert

Kehrt Hell-/Dunkel-Bereiche um.

Fax

Der Druck wird auf ein Fax umgeleitet. Dafür muss in den Druckereinstellungen als Drucker für Screenshots ein Faxgerät gewählt werden.


Sollwertvorgabe für Keyboard-Bild

Handbuch > Bilder > Bild-Funktionen > Sollwertvorgabe für Keyboard-Bild

Die Funktion Sollwertvorgabe für Keyboard-Bild ist nur für Keyboard-Bild verfügbar. Zusätzlich muss das Textfeld Sollwerteingabe angelegt sein. Sie ermöglicht das Einstellen oder auch das Absetzten eines zuvor definierten Werts.

Parameter | Beschreibung
Sollwertvorgabe | Eingabe des Sollwerts.
Aktion | Auswahl der Aktion aus Dropdownliste,. (Mögliche Aktionen siehe folgende Tabelle.)
OK | Übernimmt Eingaben, schließt Dialog und erstellt Funktion mit Wert und Aktion.
Abbrechen | Verwirft Eingaben, schließt Dialog und erstellt Funktion ohne Sollwert und Aktion.
Hilfe | Öffnet Online-Hilfe.

Aktionen in Dropdownliste:

Aktion

Beschreibung

Wert vorschlagen

Die Sollwertvorgabe wird ins Keyboard-Bild geschrieben.

Wert übernehmen

Es wird:

  • die Sollwertvorgabe ins Keyboard-Bild
  • das Keyboard-Bild mit OK geschlossen

RGM: Wert übernehmen und absetzen

Wenn das Keyboard-Bild von der RGM Rezepttabelle aus aufgerufen wird, dann wird:

  • die Sollwertvorgabe ins Keyboard-Bild geschrieben
  • das Keyboard-Bild mit OK geschlossen
  • der Rezeptwert auf die Variable geschrieben

RGM: Wert übernehmen und Rezept speichern

Wenn das Keyboard-Bild von der RGM Rezepttabelle aus aufgerufen wird, dann wird:

  • die Sollwertvorgabe ins Keyboard-Bild geschrieben
  • das Keyboard-Bild mit OK geschlossen
  • das Rezept gespeichert

RGM: Wert schreiben und absetzen sowie Rezept speichern

Wenn das Keyboard-Bild von der RGM Rezepttabelle aus aufgerufen wird, dann wird:

  • die Sollwertvorgabe ins Keyboard-Bild geschrieben
  • das Keyboard-Bild mit OK geschlossen
  • der Rezeptwert auf die Variable geschrieben
  • das Rezept gespeichert


Übersichtsfenster anzeigen

Handbuch > Bilder > Bild-Funktionen > Übersichtsfenster anzeigen

Die Funktion Übersichtsfenster anzeigen blendet in der Runtime ein Übersichtsfenster ein, das in einem Mehr-Bildschirm-System die vorhandenen reale Bildschirme oder Schablonen anzeigt. Per Mausklick kann ein Bildschirm oder eine Schablone angesteuert werden.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. navigieren Sie zum Knoten Bilder
  3. wählen Sie die Funktion Übersichtsfenster anzeigen
  4. der Dialog zur Konfiguration des Übersichtsfensters wird geöffnet
  5. wählen Sie Ihre Konfiguration
  6. schließen Sie den Dialog mit Klick auf OK
  7. weisen Sie die Funktion einem Button zu

Dialog Übersichtsfenster anzeigen

Einstellungen

Parameter | Beschreibung
Einstellungen | Die Funktion kann das Übersichtsfenster entweder nur öffnen, nur schließen oder toggeln. Auswahl erfolgt über Radiobuttons:
Anzeigen | Übersichtsfenster wird aufgeschaltet.
Toggeln | Anzeige wird umgeschaltet zwischen geöffnet und geschlossen.
Schließen | Übersichtsfenster wird geschlossen.

Anzeige der

Parameter | Beschreibung
Anzeige der | Auswahl der Anzeige im Übersichtsfenster. Es werden entweder Schablonen oder Bildschirme angezeigt.
Schablonen | Das Übersichtsfenster teilt den Bildschirm in Schablonen ein.
Bildschirme | Das Übersichtsfenster teilt den Bildschirm in Bildschirme ein.
Position | Position des Übersichtsfensters auf dem Bildschirm, berechnet in Pixel vom linken oberen Rand aus.

Fenster-Style

Parameter | Beschreibung
Fenster-Style |
mit Titel | Aktiv: Das Übersichtsfenster hat eine Windows-Titelleiste.
System Menü | Aktiv: Bei aktiver Titelleiste wird das Windows-Systemmenü eingeblendet.
mit Rahmen | Aktiv: Übersichtsfenster wird mit Rahmen angezeigt. Fenstergröße kann zur Runtime durch Ziehen am Rahmen verändert werden. Auswahl der Rahmenstärke über Radiobuttons.
dünn | Dünner Rahmen.
dick | Dicker Rahmen.

Farben

Parameter | Beschreibung
Farben | Einstellung der Farben im Übersichtsfenster. Klick auf Farbe öffnet Palette.
Hintergrundfarbe | Farbe des Fensterhintergrunds
aktuelle Ansicht | Aktuell angezeigte Schablonen/Bildschirme.
Rahmen | Farbe des Rahmens.
ausgewählte | Ausgewählte Schablonen/Bildschirme.
OK | Übernimmt Einstellungen, schließt Dialog und erstellt Funktion mit Zuordnung.
Abbrechen | Verwirft Einstellungen, schließt Dialog und erstellt Funktion mit Standardeinstellungen.
Hilfe | Öffnet Online-Hilfe.


Bildschirmverwaltung

Handbuch > Bildschirmverwaltung

Die Bildschirmverwaltung ermöglicht die einfache Organisation von mehreren Bildschirmen.

Aufgaben der Bildschirmverwaltung :

  • Betrieb: Gemischter Betrieb von Ein- und Mehrbildschirm-Systemen.
    Zum Beispiel werden in einem Leitstand drei Bildschirme eingesetzt, auf einem Client zwei und das Notebook des Wartungstechnikers verfügt nur über einen Bildschirm.
  • Bildausgabe: Freie Ausgabe eines Bildes auf beliebige Bildschirme und Änderung der Zuordnung Bild -> Bildschirm in der Runtime.
    Alle Bildtypen (z. B. AML, Menüs) und Funktionen (z. B. Bildquittierung), die diesem Bild oder dieser Schablone zugeordnet sind, werden automatisch übernommen.
  • Anpassung der Auflösung: Einbindung von Rechnern mit verschiedenen Auflösungen in ein Projekt.
    Zum Beispiel: Die Bildschirmauflösung bei der Projektierung beträgt 1680 x 1050. Die Auflösung am Zielgerät beträgt 1024 x 768. In diesem Fall passt zenon die Auflösung zwar automatisch richtig an, durch das unterschiedliche Seitenverhältnis werden aus Kreisen aber zwangsläufig Ellipsen. Mit der Bildschirmverwaltung ist es möglich, die Zielauflösung für die Runtime korrekt anzupassen.

info Info

Die minimale empfohlene Auflösung zur Runtime beträgt 1024 x 768 Pixel. Es können auch kleinere Auflösungen projektiert werden. Allerdings sind dann möglicherweise einige Online-Dialoge nicht bedienbar. Das betrifft nur wenige Dialoge. Werden diese nicht verwendet, kann die Auflösung auch niedriger gewählt werden.

Einstellungen in zenon und Windows

Die Bildschirmverwaltung wird im Editor für jedes Projekt extra konfiguriert und verwaltet. Sie wirkt sich auf Schablonen und Bilder in zenon aus. Es empfiehlt sich, die Größe der Schablonen auf die Größe des anzeigenden Bildschirms oder der anzeigenden Bildschirme anzupassen. Größere Schablonen ragen in andere Bildschirme hinein oder werden nicht komplett angezeigt.

Dialogboxen - auch jene in zenon - unterliegen den Windows-Einstellungen.

attention Achtung

Bei Mehrprojektverwaltung gelten In der Runtime immer die Einstellungen des Integrationsprojektes.

Noch in diesem Kapitel

Konzept und Voraussetzungen

Projektieren im Editor

Bildschirmauflösung ändern

Funktionen der Bildschirmverwaltung

Beispielkonfiguration

Bildschirmverwaltung zur Runtime

Remote-Desktop


Konzept und Voraussetzungen

Handbuch > Bildschirmverwaltung > Konzept und Voraussetzungen

Mit der Bildschirmverwaltung werden Bilder auf virtuellen Bildschirmen aufgeschaltet. Virtuelle Bildschirme werden real vorhandenen Bildschirmen zugeordnet. Diese Zuordnung kann über Bildschirmprofile individuell eingestellt werden. Damit lassen sich Projekte für unterschiedliche Konfigurationen individualisieren.

Die Bildschirmverwaltung beruht auf:

  • Fixierung der Default-Auflösung für ein Projekt.
    Zum Beispiel 2048x768 bei zwei Bildschirmen mit einer Auflösung von je 1024x768.
    Diese wird für die Runtime fix eingestellt.
  • Benennung real vorhandener Bildschirme.
  • Definition von virtuellen Bildschirmen, die den realen Bildschirmen zugeordnet werden.
    Virtuelle Bildschirme ermöglichen es z. B., ein 3-Bildschirm-System (3 reale und 3 virtuelle Bildschirme) auf einem 1-Bildschirm-System (1 realer und 3 virtuelle Bildschirme) darzustellen.
  • Möglichkeit, im Editor und zur Runtime die Zuordnung virtueller auf reale Bildschirme zu ändern.
    Damit kann zum Beispiel ein virtueller Bildschirm statt auf den projektierten auf einen anderen realen Bildschirm verschoben werden.
  • Übersichtsfenster mit einer Schablonen- oder Bildschirmübersicht.
    Dieses ermöglicht durch Auswahl der gewünschten Bildfläche im Fenster die schnelle Bildschirmanwahl. Dies kann auch über optional einblendbare Bildlaufleisten erfolgen.

Ablauf

Bei Nutzung mehrerer Bildschirme:

  • werden Bilder bei der Bildumschaltung virtuellen Bildschirmen zugewiesen
  • virtuelle Bildschirme können beliebig auf real vorhandene Bildschirme rangiert werden

Damit kann ein Projekt auch auf unterschiedlichen Systemen mit unterschiedlicher Bildschirmzahl ohne Umprojektierung korrekt angezeigt werden

Projektierung

Die Bildschirmverwaltung hat unterschiedliche Auswirkungen auf:

  • neue Projekte
  • bestehende Projekte

Empfehlung Arbeitsablauf: Erstellen Sie bei einem neuen Projekt erst die Bildschirmverwaltung, bevor Sie Schablonen und Bilder definieren. Beginnen Sie mit der Festlegung der Auflösung für die Runtime.

attention Achtung

Beachten Sie bei der Projektierung:

  • Für die optimale Darstellung von zenon zur Runtime wird für die Windows Anzeige die Standardeinstellung (entspricht 100%) empfohlen. Höhere Werte können dazu führen, dass grafische Elemente, Symbole, Texte usw. nicht korrekt angezeigt werden.
  • Windows Themen können Elemente in der Runtime überlagern. Achten sie bei der Projektierung auf einen passenden Abstand von Elementen zum Bildschirmrand.

Noch in diesem Kapitel

Voraussetzung für die Runtime

Neues Projekt

Bestehendes Projekt anpassen


Voraussetzung für die Runtime

Handbuch > Bildschirmverwaltung > Konzept und Voraussetzungen > Voraussetzung für die Runtime

Damit die Bildschirmverwaltung auf einem Mehrbildschirmsystem richtig arbeitet, muss in der zenon6.ini die tatsächlich vorhandene Bildschirmauflösung eingestellt werden.

Ausnahme: Beim zenon Web Client sind diese Einstellungen nicht notwendig.

INI-Einträge

Folgende INI-Einträge sind im Bereich[DEFAULT] erforderlich:

  • Die Einträge RT_CXMAINFRAME und RT_CYMAINFRAME definieren die Auflösung der Größe des Hauptfensters (Summe aller Bildschirme) in Pixel.
  • Die Einträge RT_CXRESOLUTION und RT_CYRESOLUTION definieren die Referenzauflösung (Auflösung des primären Bildschirms) in Pixel für die Auflösungsanpassung in der Runtime am Zielrechner.
Eintrag | Bedeutung
[DEFAULT] | Abschnitt, in dem der Eintrag erfolgt.
SCREENPROFILE= | Ausgewähltes Bildschirmprofil für diesen Rechner. Name der Konfiguration. Zum Beispiel: ScreenProfile=Standard Wird am Projektierungsrechner über die Konfiguration der allgemeinen Einstellungen festgelegt. Auf anderen Rechnern muss es eventuell über einen manuellen Eintrag in der zenon6.ini definiert werden.
RT_CXMAINFRAME= | Breite der Auflösung aller Bildschirme. Zum Beispiel bei zwei Bildschirmen mit je 1280 Pixel Breite: RT_CXMAINFRAME=2560
RT_CYMAINFRAME= | Höhe der Auflösung aller Bildschirme. Achtung: Ist die Windows Taskleiste eingeblendet, muss deren Höhe einbezogen werden.
RT_CXRESOLUTION= | Breite der Auflösung des Zielrechners in der Runtime in Pixel, unabhängig vom Wert der Eigenschaft RT_CXMAINFRAME.
RT_CYRESOLUTION= | Höhe der Auflösung des Zielrechners in der Runtime in Pixel, unabhängig vom Wert der Eigenschaft RT_CYMAINFRAME.

attention Achtung

Folgende Konfigurationen können dazu führen, dass nichts dargestellt wird oder nur der erste Bildschirm Bilder anzeigt:

  • Wenn die in der INI definierten Werte größer als die tatsächlich zur Verfügung stehende Fläche ist, dann wird unter Umständen nichts dargestellt.
    Lösung: Angaben in der INI korrigieren.
  • Wenn die Windows Taskleiste fix dargestellt wird, werden Bilder eventuell nur am ersten Bildschirm dargestellt.
    Lösung: Windows Taskleiste auf Taskleiste automatisch ausblenden stellen.
    Oder: RT_CYMAINFRAME so definieren, dass nicht in die Taskleiste hineingezeichnet wird, z. B. RT_CYMAINFRAME=1024 statt 1280.

Beispiel

Ein Projekt wurde für Bildschirme mit der Auflösung 1920x1080 projektiert.
Das Projekt soll auf Bildschirme mit der Auflösung 1024x768 angepasst werden.

Auflösung Zielrechner: Bildschirm 1 und Bildschirm 2: 1024x768

Dazu müssen die Einträge in der zenon6.ini wie folgt gesetzt werden:

  • RT_CXMAINFRAME=2048
  • RT_CYMAINFRAME=768
  • RT_CXRESOLUTION=1024
  • RT_CYRESOLUTION=768


Neues Projekt

Handbuch > Bildschirmverwaltung > Konzept und Voraussetzungen > Neues Projekt

Definieren Sie die Bildschirmauflösung vor Beginn der Projektierung. Diese Einstellung sollte später nicht mehr verändert werden, da dies zu Verzerrungen der Bilder führen kann, wenn die Relation Breite/Höhe der Auflösungen nicht übereinstimmt.

Wenn ein neues Projekt erstellt wird, wird die Bildschirmauflösung für die Bildschirmverwaltung automatisch an die aktuelle Bildschirmauflösung angepasst. Soll ein Projekt auf einem Rechner mit einer anderen Auflösung laufen, passen Sie die Einstellungen vor Beginn der Projektierung entsprechend an.

Um Bilder verschiedenen realen Bildschirmen in unterschiedlicher Kombination zuordnen zu können, definieren Sie entsprechend viele virtuelle Bildschirme.


Bestehendes Projekt anpassen

Handbuch > Bildschirmverwaltung > Konzept und Voraussetzungen > Bestehendes Projekt anpassen

Bei Änderungen der Bildschirmverwaltung in bestehenden Projekten, müssen alle Bildumschaltungen angepasst werden.

Die Bildschirmverwaltung kann dennoch auch bestehenden Projekten Vorteile bringen. Zum Beispiel:

  • Vermeidung von doppelten Bildern für unterschiedliche Auflösungen.
  • Einbindung von Rechnern mit unterschiedlicher Anzahl von Bildschirmen in ein Netzwerkprojekt.
    Um den Änderungsaufwand gering zu halten, arbeiten Sie bei der Einbindung von Rechnern mit geringerer Bildschirmanzahl am besten mit einem Übersichtsfenster. Damit können alle Bildschirme schnell angewählt werden.


Projektieren im Editor

Handbuch > Bildschirmverwaltung > Projektieren im Editor

Im Editor definieren Sie die Verwaltung für:

  • neue Projekte
  • bestehende Projekte

Um die Bildschirmverwaltung zu konfigurieren:

  1. Navigieren Sie in den Projekteigenschaften zum Knoten Grafische Ausprägung.
  2. Klicken Sie in der Untergruppe Runtime allgemein in die Eigenschaft Bildschirmverwaltung.

    Der Konfigurationsdialog wird geöffnet.

  3. Definieren Sie die allgemeinen Einstellungen.
  4. Definieren Sie die individuelle Einstellungen für unterschiedliche Profile.

attention Achtung

Die Koordinaten von Schablonen beziehen sich bei absoluter Positionierung immer auf die obere linke Ecke des Hauptbildschirms. Dieser muss der äußerst linke Bildschirm im System sein.

Ein Beispiel für die Konfiguration eines Projekts mit unterschiedlichen Bildschirmeinstellungen finden Sie im Abschnitt Beispielkonfiguration.

Hinweis Mehrprojektverwaltung

Beachten Sie bei der Projektierung der Bildschirmverwaltung für Integrationsprojekte:

  • Konfigurieren Sie in der Mehrprojektverwaltung die Bildschirmverwaltung für alle Projekte gleich.
  • Projektieren Sie die Auflösung, die am Produktivsystem zur Verfügung steht.
  • Verwenden Sie die Option Anzeige an Bildschirmauflösung anpassen nur für Standalone-Projekten oder wenn alle Projekte ident konfiguriert sind.

Noch in diesem Kapitel

Allgemeine Einstellungen

Individuelle Einstellungen


Allgemeine Einstellungen

Handbuch > Bildschirmverwaltung > Projektieren im Editor > Allgemeine Einstellungen

Dialog zur Konfiguration der allgemeinen Bildschirmeigenschaften:

Reale Bildschirme

Eigenschaft | Beschreibung
Reale Bildschirme | Anzahl der real vorhandenen Bildschirme (Hardware). Die Einstellungen der Bildschirme definieren Sie auf den Profilseiten (siehe Abschnitte Individuelle Einstellungen und Projektierung Reale Bildschirme).
Anzahl | Zeigt Zahl aktuell definierter realer Bildschirme an.

Virtuelle Bildschirme

Eigenschaft | Beschreibung
Virtuelle Bildschirme | Anzahl der virtuellen Bildschirme. Die Einstellungen der Bildschirme definieren Sie auf den Profilseiten. (Siehe Abschnitte Individuelle Einstellungen und Projektierung Virtuelle Bildschirme).
Anzahl | Zeigt Zahl aktuell definierter virtueller Bildschirme als V_00 bis V_nn an. Der erste reale Bildschirm wird von zenon als Default-Bildschirm konfiguriert.
Ändern | Klick auf Schaltfläche öffnet Dialog zur Festlegung der Anzahl virtueller Bildschirme.
Namen | Liste der Namen der virtuellen Bildschirme.
Umbenennen... | Öffnet Dialog zur Benennung virtueller Bildschirme. Freie Texteingabe mit maximal 15 Zeichen.

attention Achtung

Der erste virtuelle Bildschirm wird in zenon als Default-Bildschirm benutzt.

Bildschirmprofile

Eigenschaft | Beschreibung
Bildschirmprofile | Definiert zentral Bildschirmprofile für die Runtime. Jedes Bildschirmprofil erhält eine eigene Registerkarte zur individuellen Konfiguration. Die Festlegung von Bildschirmprofilen für andere Rechner muss eventuell manuelle über einen INI-Eintrag erfolgen.
Kopieren... | Legt ein neues Profil auf Basis des ausgewählten Profils an und öffnet den Dialog zur Vergabe eines Namens.
Umbenennen... | Öffnet den Dialog zum Benennen eines Profils.
Löschen... | Löscht das ausgewählte Profil ohne Sicherheitsabfrage.
Bildschirmprofil, das auf diesem Rechner von der Runtime geladen wird | Öffnet die Dropdownliste zur Auswahl des Profils, das zur Runtime benutzt werden soll. Hinweis: Auf einem Remote-Rechner muss das Profil eventuell manuell in die Datei zenon6.ini eingetragen werden.

Bildschirmauflösung

Eigenschaft

Beschreibung

Bildschirmauflösung

Auflösung, in der das Projekt in der Runtime laufen wird. (Siehe Konfiguration in Kapitel Voraussetzung für die Runtime.)

Tipp: Legen Sie diese Einstellung vor dem Beginn der Projektierung fest. Spätere Veränderungen können zu Verzerrungen in der Darstellung führen, wenn die Relation Breite/Höhe der Auflösungen nicht übereinstimmt!
Standard: Auflösung des aktuellen Rechners.

Von aktuellem Bildschirm übernehmen

Übernimmt die Auflösung des aktuell aktiven Bildschirms als Auflösung für das Bildschirmprofil.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Bildschirmprofil auf Runtimerechner festlegen

Wenn Sie auf einem PC nur die Runtime, nicht aber den Editor installiert haben, können Sie das gewünschte Bildschirmprofil folgendermaßen festlegen:

  1. Öffnen Sie die Datei zenon6.ini mit einem Texteditor.
  2. Navigieren Sie zum Abschnitt [DEFAULT].
  3. Fügen Sie folgenden Eintrag ein:
    ScreenProfile=Name des Bildschirmprofils.
  4. Speichern Sie die Datei und schließen Sie den Texteditor.

info Info

Am zenon Web Client wird standardmäßig immer das Profil Standard geladen. Sie können aber über den Eintrag SCREENPROFILE= in der zenon6.ini ein anderes Bildschirmprofil vorgeben.


Individuelle Einstellungen

Handbuch > Bildschirmverwaltung > Projektieren im Editor > Individuelle Einstellungen

Jedes Bildschirmprofil wird in der Konfiguration durch eine eigene Registerkarte repräsentiert. Hier legen Sie die Einstellungen für reale und virtuelle Bildschirme sowie das Verhalten zur Runtime fest.

Online-Auswahlmenü

Option | Beschreibung
Online-Auswahlmenü | Verhalten des Online-Auswahlmenüs zur Runtime.
Online-Auswahlmenü anzeigen | Aktiv: Menü wird zur Runtime beim Bildwechsel aufgeschalten und bietet die Bildschirme an, für die die Option Online-Auswahlmenü aktiviert wurde.
Anzeigedauer | Zeit in Sekunden während der das Online-Auswahlmenü aufgeschalten bleibt.
Schaltfläche "Abbrechen" anzeigen | Aktiv: Zur Runtime wird die Schaltfläche Abbrechen angezeigt.
Beschriftung für Schaltfläche "Abbrechen" ändern | Aktiv: Schaltfläche, mit der das Online-Auswahlmenü geschlossen werden kann, wird zur Runtime angezeigt. Beschriftung der Schaltfläche kann beliebig geändert werden. = % zeigt die verbleibenden Sekunden bis zum automatischen abbrechen an.
ESC-Taste schließt Auswahlmenü | Aktiv: Das Online-Auswahlmenü kann auch mit der Esc-Taste geschlossen werden.

Erscheinungsbild der Runtime

Eigenschaft

Beschreibung

Erscheinungsbild der Runtime

Definiert Anzeigeoptionen zur Runtime.

Anzeige an Bildschirmauflösung anpassen

Aktiv: Die Projektauflösung wird an die Bildschirmauflösung des aktuellen Rechners angepasst.

Inaktiv: die Auflösung wird für das Projekt fixiert, d.h. es erfolgt keine Anpassung des Projektes an die verfügbare Bildschirmauflösung.

Titelleiste bei Anpassung berücksichtigen

Aktiv: Die Titelhöhe wird im Schabloneneditor und in der Runtime berücksichtigt.

Diese Eigenschaft ist aus Kompatibilitätsgründen vorhanden und wird normalerweise nicht benötigt.

Hinweis: Die Aktivierung dieser Einstellung führt in der Runtime zu einer Verschiebung der Bilder um die Höhe der Titelleiste nach unten.

Hauptmenü bei Anpassung berücksichtigen

Aktiv: Die Menühöhe wird im Schabloneneditor und in der Runtime berücksichtigt.

Diese Eigenschaft ist aus Kompatibilitätsgründen vorhanden und wird normalerweise nicht benötigt.

Hinweis: Die Aktivierung dieser Einstellung führt in der Runtime zu einer Verschiebung der Bilder um die Höhe des Hauptmenüs nach unten.

Seitenverhältnis beibehalten
  • Aktiv: Bei Anpassung an eine andere Auflösung zur Runtime wird das Seitenverhältnis beibehalten.
  • Inaktiv: Das Seitenverhältnis wird eventuell geändert.

Achtung: Eine Änderung des Seitenverhältnisses kann sich auf die Darstellung auswirken.
Zum Beispiel:

  • Kreise werden oval dargestellt.
  • Für gedrehte Elemente stimmen die Anschlusspunkte nicht mehr.
  • Symbole werden aufgelöst dargestellt.

Bildlaufleisten anzeigen

Aktiv: Zur Runtime werden Bildlaufleisten angezeigt. Diese Laufleisten ermöglichen eine Navigation in Bildern, die die Bildschirmgröße übersteigen.

Reale Bildschirme

Eigenschaft | Beschreibung
Reale Bildschirme | Liste mit allen realen Bildschirmen und den ihnen zugewiesenen Eigenschaften.
Ändern... | Öffnet den Dialog zum Definieren der individuellen Eigenschaften des ausgewählten realen Bildschirms.

Virtuelle Bildschirme

Eigenschaft | Beschreibung
Virtuelle Bildschirme | Liste mit allen virtuellen Bildschirmen und den ihnen zugewiesenen Eigenschaften. Bildumschaltungen beziehen sich auf virtuelle Bildschirme. Virtuelle Bildschirme werden zur Runtime realen Bildschirmen zugewiesen.
Ändern... | Öffnet den Dialog zum Definieren der individuellen Eigenschaften des ausgewählten virtuellen Bildschirms.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektierung Reale Bildschirme

Projektierung Virtuelle Bildschirme


Projektierung Reale Bildschirme

Handbuch > Bildschirmverwaltung > Projektieren im Editor > Individuelle Einstellungen > Projektierung Reale Bildschirme

Klick auf Schaltfläche Ändern im Abschnitt Reale Bildschirme in der Registerkarte für die individuelle Einstellung eines Bildschirmprofils öffnet den Dialog zur Konfiguration realer Bildschirme.

Parameter | Beschreibung
Name | Name des Bildschirms. Freie Texteingabe mit maximal 15 Zeichen.
Position | Beschreibt die Position und Auflösung des Bildschirms. Zum Beispiel: Bildschirm links: 0/0/1920/1080 Bildschirm rechts: 1920/0/3840/1080
Ersatzbildschirm, wenn Bildschirm nicht vorhanden | Aktiv: Ermöglicht in Dropdownliste die Auswahl eines anderen realen Bildschirms, dem dieser zugeordnet wird, zum Beispiel, weil er aktuell nicht mit dem Rechner verbunden ist. Zur Runtime wird dann der Bildschirm auf dem zugewiesenen angezeigt. Bildlaufleisten ermöglichen das Scrollen zwischen beiden Bildschirmbildern.
Im Online-Auswahlmenü anzeigen | Aktiv: Zur Runtime wird dieser Bildschirm bei jeder Bildumschaltung, die eine individuelle Auswahl des Bildschirms ermöglicht, im Menü angeboten.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Projektierung Virtuelle Bildschirme

Handbuch > Bildschirmverwaltung > Projektieren im Editor > Individuelle Einstellungen > Projektierung Virtuelle Bildschirme

Klick auf Schaltfläche Ändern im Abschnitt Virtuelle Bildschirme in der Registerkarte für die individuelle Einstellung eines Bildschirmprofils öffnet den Dialog zur Konfiguration virtueller Bildschirme.

Parameter | Beschreibung
Name | Anzeige des Namens. Dieser kann in der Registerkarte Allgemeine Einstellungen geändert werden.
Zuordnung einstellen | Einstellungen für die Zuordnung des Bildschirms.
Im Online -Auswahlmenü anzeigen | Aktiv: zur Runtime wird bei jeder Bildaufschaltung, die diesem Bildschirm zugeordnet wurde, das Menü zur Auswahl eines realen Bildschirms angeboten.
Anzeige auf realem Bildschirm | Ordnet den virtuellen Bildschirm einem realen Bildschirm fix zu. Zur Runtime kann diese Zuordnung über die Funktion Bildschirm zuordnen geändert werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bildschirmauflösung ändern

Handbuch > Bildschirmverwaltung > Bildschirmauflösung ändern

Wird die Bildschirmauflösung in der Projekteigenschaft Bildschirmverwaltung geändert, dann wirkt sich das auf die Größe der Schablonen und der darin enthaltenen Bilder mit deren Bildelementen aus. In Bildern enthaltene Elemente können nach der Änderung eventuell auch verzerrt und an anderen Positionen dargestellt werden. Bei der Änderung der Bildschirmauflösung müssen das Globalprojekt und die einzelnen Projekte entsprechend angepasst werden.

Globalprojekt

Änderung der Auflösung in der Bildschirmverwaltung

Wird die Auflösung im Bildschirmverwaltungsdialog des Globalprojektes geändert, dann wird die Größe der Schablonen im Globalprojekt entsprechend verändert. Auf diesen Schablonen basierende Bilder und die darin enthaltenen Elemente werden ebenfalls in der Größe verändert.

attention Achtung

Nach Änderung der Auflösung im Globalprojekt werden die Bilder und Elemente entsprechend der neuen Auflösung angezeigt. Zur Runtime werden sie aber weiterhin mit den Einstellungen des jeweiligen Projekts, in dem sie verwendet werden, angezeigt. Die Auflösung muss also immer auch im Projekt angepasst werden.

Änderung der Schablonengröße

Wird im Globalprojekt nur die Größe der Schablonen geändert, die Auflösung in der Bildschirmverwaltung bleibt aber gleich, dann werden Elemente in Bildern, die auf diesen globalen Schablonen basieren, ebenfalls geändert.

Integrationsprojekt und in Unterprojekten

Änderung der Auflösung in der Bildschirmverwaltung

Jedes Projekt hat seine eigene Bildschirmverwaltung.

Wird die Auflösung in der Bildschirmverwaltung geändert, dann wird die Größe der Schablonen dieses Projektes entsprechend geändert. Bilder, die auf diesen Schablonen basieren, und die darin enthaltene Elemente werden ebenfalls in der Größe angepasst.

Tipp Tipp
  • Für mehrhierarchische Projekte:
    Passen Sie im Editor die Einstellungen der Bildschirmverwaltung für jedes Projekt an.
  • Ohne Auflösungsanpassung:
    Wenn nur die Größe der Schablonen und Bilder geändert werden soll, Elemente jedoch nicht in Größe und Position verändert werden sollen, dann exportieren Sie Bilder vor der Anpassung in eine XML-Datei. Importieren Sie die Bilder nach der Anpassung wieder.

attention Achtung

Bei der Konfiguration der Bildumschaltung im Editor wird eine Liste der auswählbaren Bildschirme angezeigt. Der Inhalt dieser Liste hängt vom zuletzt konfigurierten und mit OK bestätigten Dialog der Bildschirmverwaltung ab - unabhängig davon, in welchem Projekt einer Mehrprojektverwaltung diese Konfiguration erfolgte. Das heißt: Eine Änderung in Projekt A wirkt sich auch auf den Inhalt der Liste in Projekt B aus.

Lösung: Öffnen und bestätigen Sie den Dialog im Projekt, in dem Sie eine Bildumschaltung vornehmen.

Beispiel

Ein Projekt hat die Auflösung 1280 x 720. Diese soll auf 1920 x 1080 geändert werden.

Ausgangslage

Es bestehen folgende Projekten mit folgenden Einstellungen:

  • Globalprojekt mit:
    • Schablonen: maximal 1280 x 720
    • Auflösung konfiguriert 1280 x 720
  • Integrationsprojekt:
    • Bilder: maximal 1280 x 720
    • Auflösung konfiguriert 1280 x 720
  • Unterprojekte:
    • Bilder: maximal 1280 x 720
    • Auflösung konfiguriert 1280 x 720

Konfiguration

Die Konfiguration hängt davon ab, ob die in den Bildern enthaltenen Elemente ebenfalls angepasst werden sollen.

Konfiguration inklusive Änderung der Elemente:

  1. Globalprojekt:

    Ändern Sie die Auflösung in der Bildschirmverwaltung auf 1920 x 1080. Damit werden Schablonen, Bilder und Elemente angepasst.

  2. Integrationsprojekt:

    Ändern Sie die Auflösung in der Bildschirmverwaltung auf 1920 x 1080. Damit wird die Einstellung für die Runtime angepasst.

  3. Unterprojekte:

    Ändern Sie die Auflösung in der Bildschirmverwaltung auf 1920 x 1080. Damit wird die Einstellung für die Runtime angepasst.

Konfiguration ohne Änderung der Elemente:

  1. Exportieren Sie alle Bilder in eine XML-Datei.
  2. Passen Sie die Bildschirmauflösung an-
  3. Importieren Sie die Bilder aus der XML-Datei.


Funktionen der Bildschirmverwaltung

Handbuch > Bildschirmverwaltung > Funktionen der Bildschirmverwaltung

Über zenon Funktionen kann die Bildschirmverwaltung zur Runtime gesteuert werden.

Zur Verfügung stehen:

  • Einstellungen bei der Bildumschaltung: Der Dialog für die Bildauswahl wird um Einstellungen für die Bildschirmzuordnung erweitert.
  • Bildschirm zuordnen: Ermöglicht es, einen virtuellen Bildschirm zur Runtime einem realen Bildschirm zuzuordnen.
  • Übersichtsfenster anzeigen: Schaltet zur Runtime ein Übersichtsfenster auf oder schließt es. Das Fenster zeigt alle projektieren realen Bildschirme oder Schablonen an und ermöglicht das schnelle Auswählen und Umschalten.

Einstellungen für die Bildschirmauswahl stehen auch zur Verfügung für die Funktionen:

  • Fokus auf Schablone setzen
  • Schablone schließen
  • Bild schließen

Noch in diesem Kapitel

Einstellungen bei Bildumschaltung

Bildschirm zuordnen

Übersichtsfenster anzeigen


Einstellungen bei Bildumschaltung

Handbuch > Bildschirmverwaltung > Funktionen der Bildschirmverwaltung > Einstellungen bei Bildumschaltung

Sobald die Bildschirmverwaltung auf mehr als einen Bildschirm konfiguriert wird, stehen bei der Bildumschaltung im Auswahldialog der Bilder zusätzliche Optionen für die die Auswahl des Bildschirms zur Verfügung, auf dem das Bild dargestellt werden soll:

Zusätzliche Optionen

Beschreibung

Bildschirm

Auswahl des Bildschirms aus Dropdownliste.

Diese enthält alle in der Bildschirmverwaltung definierten virtuellen Bildschirme plus den Eintrag aktueller Bildschirm.

Virtueller Bildschirm: Das Bild wird auf dem Bildschirm, der mit dem gewählten virtuellen Bildschirm verknüpft ist, aufgeschaltet.

Wurde dem virtuellen Bildschirm in der Konfiguration kein realer Bildschirm zugewiesen sondern die Option Online-Auswahlmenü anzeigen, dann wird zur Runtime ein Auswahlfenster für die Wahl eines realen Bildschirms angeboten.

Aktueller Bildschirm: Öffnet das Bild immer auf dem Bildschirm, von dem der Aufruf kommt. Zum Beispiel:
Der Button für das Öffnen der AML wird auf dem linken Bildschirm gedrückt, dann wird die AML auf dem linken Bildschirm aufgeschaltet. Wird der Button für die Aufschaltung der AML auf dem rechten Bildschirm gedrückt, dann wird die AML rechts aufgeschaltet,

In der Funktionsübersicht wird bei der Funktion in Klammer angezeigt, auf welchem Bildschirm das Bild angezeigt wird.

Zum Beispiel:

START (V_00) bedeutet: Die Umschaltung erfolgt auf das Bild START und dieses wird am virtuellen Bildschirm V_00 angezeigt.
REL bedeutet Anzeige auf dem aktuellen Bildschirm.

Online-Auswahlmenü

Wenn in der Runtime ein Funktion Bildumschaltung mit aktiver Option Online-Auswahlmenü anzeigen ausgeführt wird, dann wird vor dem Ausführen der Funktion ein Menü zur Bildschirmauswahl aufgeschaltet. Die Inhalte des Menüs und die Anzeigedauer werden in der Bildschirmkonfiguration festgelegt.


Bildschirm zuordnen

Handbuch > Bildschirmverwaltung > Funktionen der Bildschirmverwaltung > Bildschirm zuordnen

Mit der Funktion Bildschirm zuordnen können virtuelle Bildschirme zur Runtime realen Bildschirmen zugeordnet werden, unabhängig von der projektierten Zuweisung.

Um die Funktion zu projektieren:

  1. Erstellen Sie eine neue Funktion.
  2. Navigieren Sie in die Gruppe Bilder.
  3. Wählen Sie die Funktion Bildschirm zuordnen.

    Der Dialog zur Zuordnung eines virtuellen zu einem realen Bildschirms wird geöffnet.

  4. Erstellen Sie eine Zuordnung.
  5. Schließen Sie den Dialog mit Klick auf OK.

Dialog Bildschirmzuordnung

Parameter | Beschreibung
Name | Auswahl des virtuellen Bildschirms aus Dropdownliste. Alle in der Bildschirmverwaltung konfigurierten virtuellen Bildschirme werden aufgelistet.
Zuordnung einstellen | Auswahl der Zuordnung über Radiobuttons:
Im Online-Auswahlmenü anzeigen | Schaltet zur Runtime einen Dialog zur Auswahl des gewünschten realen Bildschirms auf.
Anzeige auf realem Bildschirm | Ordnet virtuellen Bildschirm einem realen Bildschirm zu. Bildschirm wird aus Dropdownliste ausgewählt. Diese Liste enthält alle in der Bildschirmverwaltung konfigurierten realen Bildschirme.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Funktionen werden in der Detailansicht mit dem Ziel der Zuweisung angezeigt.

Zum Beispiel:

  • V_00,(ONLINE): Zuordnung des virtuellen Bildschirms V_00 zu einem realen Bildschirm erfolgt zur Runtime über das Online-Auswahlmenü.
  • ???,???: Zuordnungsdialog wurde abgebrochen, es wird keine Funktion ausgeführt.
  • V_00,Left screen: Der virtuelle Bildschirm V_00 wird dem realen Bildschirm Left screen zugeordnet.


Übersichtsfenster anzeigen

Handbuch > Bildschirmverwaltung > Funktionen der Bildschirmverwaltung > Übersichtsfenster anzeigen

Die Funktion Übersichtsfenster anzeigen blendet in der Runtime ein Übersichtsfenster ein, das in einem Mehr-Bildschirm-System die vorhandenen reale Bildschirme oder Schablonen anzeigt. Per Mausklick kann ein Bildschirm oder eine Schablone angesteuert werden.

Um die Funktion zu projektieren:

  1. Erstellen Sie eine neue Funktion.
  2. Navigieren Sie in die Gruppe Bilder.
  3. Wählen Sie die Funktion Übersichtsfenster anzeigen.

    Der Dialog zur Konfiguration des Übersichtsfensters wird geöffnet.

  4. Konfigurieren Sie das Übersichtsfenster.
  5. Schließen Sie den Dialog mit Klick auf OK.

Dialog Übersichtsfenster anzeigen

Einstellungen

Parameter | Beschreibung
Einstellungen | Die Funktion kann das Übersichtsfenster entweder nur öffnen, nur schließen oder toggeln. Auswahl erfolgt über Radiobuttons:
Anzeigen | Aktiv: Übersichtsfenster wird aufgeschaltet.
Toggeln | Aktiv: Anzeige wird umgeschaltet zwischen geöffnet und geschlossen.
Schließen | Aktiv: Übersichtsfenster wird geschlossen.
Anzeige der | Auswahl der Anzeige im Übersichtsfenster. Es werden entweder Schablonen oder Bildschirme angezeigt.
Schablonen | Aktiv: Das Übersichtsfenster teilt den Bildschirm in Schablonen ein.
Bildschirme | Aktiv: Das Übersichtsfenster teilt den Bildschirm in Bildschirme ein.

Fenster-Style

Parameter

Beschreibung

Fenster-Style

mit Titel

Aktiv: Das Übersichtsfenster hat eine Windows-Titelleiste.

System Menü

Aktiv: Bei aktiver Titelleiste wird das Windows-Systemmenü eingeblendet.

mit Rahmen

Aktiv: Übersichtsfenster wird mit Rahmen angezeigt. Fenstergröße kann zur Runtime durch Ziehen am Rahmen verändert werden. Auswahl der Rahmenstärke über Radiobuttons.
  • dünn

Aktiv: Dicker Rahmen.
  • dick

Aktiv: Dünner Rahmen.

Position

Parameter

Beschreibung

Position

Position des Übersichtsfensters auf dem Bildschirm, berechnet in Pixel vom linken oberen Rand aus für:

  • oben
  • unten
  • links
  • rechts

Farben

Parameter | Beschreibung
Farben |  | Einstellung der Farben im Übersichtsfenster. Klick auf Farbe öffnet Palette.
Hintergrundfarbe |  | Farbe des Fensterhintergrunds.
aktuelle Ansicht |  | Aktuell angezeigte Schablonen/Bildschirme.
Rahmen |  | Farbe des Rahmens.
Ausgewählte |  | Ausgewählte Schablonen/Bildschirme.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Beispielkonfiguration

Handbuch > Bildschirmverwaltung > Beispielkonfiguration

In diesem Beispiel sehen Sie mögliche Konfiguration für folgende Projektanforderung:

  1. 1 Server mit 2 Bildschirmen mit einer Auflösung von jeweils 1920 x 1080
  2. 1 Client mit einem Bildschirm mit einer Auflösung von 1920 x 1080
  3. 1 Notebook für das Service-Team mit einer Auflösung von 1024 x 768

Aufgabe

Wir konfigurieren das Projekt so, dass es am Server mit 2 Bildschirmen visualisiert werden kann. Für den Client passen wir die Einstellungen so an, dass alle Ausgaben auf einem einzigen Bildschirm angezeigt werden. Und für das Service-Notebook ändern wir zusätzlich die Auflösung der Anzeige. Im Betrieb muss am betreffenden Runtime-Rechner nur das entsprechende Bildschirmprofil gewählt werden, um die korrekte Anzeige zu erhalten.

Konfiguration starten

  1. Konfigurieren Sie die INI-Datei analog zur Anleitung im Kapitel Voraussetzung für die Runtime, um die Auflösung zur Runtime festzulegen.
  2. Die Grundkonfiguration erfolgt in der Bildschirmkonfiguration:
    Navigieren Sie zu Projekteigenschaften -> Grafische Ausprägung -> Runtime allgemein.
  3. Klicken Sie auf die Eigenschaft Bildschirmverwaltung.
  4. Der Dialog für die Bildschirmkonfiguration wird geöffnet.
  5. Konfigurieren Sie zuerst die allgemeinen Einstellungen.
  6. Konfigurieren Sie dann die individuellen Einstellungen für:
    1. den Server mit 2 Bildschirmen
    2. den Client mit einem Bildschirm
    3. das Notebook für das Service-Team

Noch in diesem Kapitel

Konfiguration allgemein

Konfiguration Server mit 2 Bildschirmen

Konfiguration Client mit einem Bildschirm

Konfiguration Notebook Service-Team

Weitere Konfiguration


Konfiguration allgemein

Handbuch > Bildschirmverwaltung > Beispielkonfiguration > Konfiguration allgemein

Für die Konfiguration werden zuerst:

  • allgemeine Einstellungen festgelegt, wie Anzahl der virtuellen und realen Bildschirme
  • Profile für die 3 unterschiedlichen Konfigurationen angelegt

Allgemeine Einstellungen

Bildschirme

Für unser Beispiel definieren wir:

  • 2 reale Bildschirme
  • 3 virtuelle Bildschirme:
    • je einen für Prozessbilder
    • einen für die beliebige Aufschaltung der Menüleiste: Damit können wir immer bestimmen, ob die Menüleiste rechts oder links aufgeschaltet wird, ohne die Prozessbilder zu beeinflussen.

Zur Erinnerung: Virtuelle Bildschirme sind Ziel der Bildumschaltungen. Diese werden zur Runtime realen Bildschirmen zugewiesen. Man hat damit die Möglichkeit, zwischen den realen und den virtuellen Bildschirmen zu rangieren. Ist zum Beispiel der zweite Bildschirm nicht vorhanden, wie beim Notebook, kann die Ausgabe der Bilder einfach auf den linken Bildschirm geleitet werden, ohne die Projektierung der Funktionen zu ändern.

Auflösung

Ein wichtiger Faktor ist auch die eingestellte Auflösung. Dies ist die Bezugsgröße für die Anpassung. Sie wird vor Beginn der Projektierung einmalig eingestellt und sollte nachträglich nicht mehr verändert werden. Wird diese Einstellung nachträglich geändert, so werden alle Koordinaten der Elemente in den Bildern neu berechnet.

Wir tragen unsere Zielauflösung von 1920 x 1080 ein.

Bildschirmprofile

Für jede Konfiguration unseres Beispiels legen wir ein eigenes Profil an. In unserem Beispiel:

  • Server 2 Mon
  • Client 1 Mon
  • Notebook small

Dazu:

  1. Markieren Sie das Profil Standard.
  2. Klicken Sie auf kopieren.

    Der Dialog zum Umbenennen wird geöffnet.

  3. Geben Sie den neuen Namen ein (die Länge ist auf 15 Zeichen begrenzt).
  4. Klicken Sie auf OK.
  5. Wiederholen Sie den Vorgang für alle weiteren Profile.

Jedes Profil erhält in der Bildschirmkonfiguration eine eigene Registerkarte für die individuelle Konfiguration.

Wir beginnen mit der Registerkarte Server 2 Mon.


Konfiguration Server mit 2 Bildschirmen

Handbuch > Bildschirmverwaltung > Beispielkonfiguration > Konfiguration Server mit 2 Bildschirmen

Die erste Konfiguration bezieht sich auf unseren Server mit 2 Bildschirmen.

Wir werden konfigurieren:

  • das Online-Auswahlmenü
  • das Erscheinungsbild zur Runtime
  • die realen Bildschirme
  • die virtuellen Bildschirme

Online-Auswahlmenü

Das Online-Auswahlmenü ermöglicht es, zur Runtime auszuwählen, auf welchem realen Bildschirm ein Bild aufgeschaltet wird. Dazu muss:

  • Die Option Online-Auswahlmenü aktiviert sein.
  • In der Zuweisung des virtuellen Bildschirms die Option Im Online-Auswahlmenü anzeigen gewählt worden sein
    oder

    eine Funktion Bildschirm zuordnen projektiert worden sein.

Für unser Beispiel:

  • Aktivieren Sie die Option.
  • Wählen Sie eine Anzeigedauer von 10 Sekunden: wurde bis dahin keine Aktion gesetzt, wird das Menü wieder ausgeblendet.
  • Aktivieren Sie die Option Beschriftung: damit wird zur Runtime im Menü eine Schaltfläche Abbrechen angeboten.
  • Beschriften Sie die Schaltfläche mit Cancel = %: im Menü wird damit die verbleibende Zeit bis zum Abbrechen angezeigt.
  • Aktivieren Sie die Option Esc-Taste schließt Auswahlmenü: damit wird das Menü zur Runtime auch Per Druck auf die Esc-Taste geschlossen.

Zur Runtime wird dann bei einer Bildumschaltung auf einen virtuellen Bildschirm mit Online-Auswahlmenü das Menü angezeigt:

Zur Wahl stehen die realen Bildschirme M_00 und M_01. Bis zum abbrechen sind noch 10 Sekunden Zeit für eine Wahl. Klick auf Cancel oder Druck auf die Esc-Taste würde das Menü sofort beenden.

Bildschirmeinstellungen zur Runtime

Für die Darstellung des Bildschirms zur Runtime:

  • Deaktivieren Sie die Option Anzeige an Bildschirmauflösung anpassen: damit bleibt die Anzeige immer in der projektierten Größe. (Bei aktiver Option würde die Anzeige an die aktuelle Auflösung angepasst werden.)
  • Aktivieren Sie die Option Bildlaufleisten anzeigen: damit werden zur Runtime Bildlaufleisten angeboten, die das Scrollen im Bild ermöglichen.

Konfiguration reale Bildschirme

Am Server stehen zwei Bildschirme zur Verfügung. Die beiden realen Bildschirme aus dem Beispielprojekt werden entsprechend konfiguriert.

Der zweite Bildschirm zum Beispiel erhält die entsprechenden Koordinaten, um an horizontal rechts an den ersten Bildschirm anzuschließen.

Der Name kann für jede Konfiguration extra eingestellt werden. Um die Bildschirme zu konfigurieren:

  1. Öffnen Sie der Reihe nach jeden der beiden Bildschirme mit Klick auf die Schaltfläche Ändern.
  2. Vergeben Sie einen Namen, in unserem Beispiel einfach M_00 und M_01.
  3. Deaktivieren Sie die Option Ersatzbildschirm, wenn Bildschirm nicht vorhanden (diese benötigen wir in den anderen Konfigurationen).
  4. Tragen Sie die Koordinaten ein,
    gerechnet wird von der linken oberen Ecke des linken Bildschirms.
  5. Aktivieren Sie die Option Im Online-Auswahlmenü anzeigen, damit der Bildschirm für die Online-Auswahl zur Runtime zur Verfügung steht.

Konfiguration virtuelle Bildschirme

In dieser Konfiguration werden die virtuellen Bildschirme den realen zugeordnet.

Zur Erinnerung: Bildumschaltungen verweisen auf virtuelle Bildschirme. Die Zuweisung der virtuellen Bildschirme entscheidet, auf welchem realen Bildschirm das Bild wirklich aufgeschaltet wird.

In unserem Beispiel stehen drei virtuelle Bildschirme zur Verfügung. Die beiden ersten werden jeweils einem realen Bildschirm zugewiesen. Der dritte virtuelle Bildschirm soll ermöglichen, die Menüleiste beliebig aufzuschalten. Dieser wird keinem realen Bildschirm zugewiesen, sondern diese Zuweisung soll im Online-Auswahlmenü angeboten werden.

Um die ersten beiden virtuellen Bildschirme zuzuweisen:

  1. Öffnen Sie der Reihe nach jeden der beiden Bildschirme mit Klick auf die Schaltfläche Ändern.
  2. Die Namen werden nur angezeigt, sie sind für alle Profile gleich und können nur global in der Registerkarte Allgemein geändert werden.
  3. Wählen Sie Anzeige auf realem Bildschirm.
  4. Wählen Sie aus der Dropdownliste den gewünschten realen Bildschirm:
    • M_00 für Bildschirm left
    • M_01 für Bildschirm right

Die Konfiguration des dritten virtuellen Bildschirms erfolgt analog.

Unterschied: statt Anzeige auf realem Bildschirm wählen Sie die Option Im Online-Auswahlmenü anzeigen.

Damit ist das Profil für den Server mit 2 Bildschirmen fertig konfiguriert.

Wechseln Sie jetzt zur Registerkarte Client 1 Mon.


Konfiguration Client mit einem Bildschirm

Handbuch > Bildschirmverwaltung > Beispielkonfiguration > Konfiguration Client mit einem Bildschirm

Die Konfiguration für den Client mit einem Bildschirm entspricht im Wesentlichen der Konfiguration des Servers. Allerdings steht hier nur ein Bildschirm zur Verfügung. Damit ergeben sich zwei wesentliche Unterschiede:

  1. Der zweite reale Bildschirm muss auf den ersten gemappt werden.
  2. Die Menüleiste wird direkt zugewiesen.

Bei den realen Bildschirmen:

  1. Öffnen Sie die Konfiguration des Bildschirme M_01.
  2. Aktivieren Sie die Option Ersatzbildschirm, wenn Bildschirm nicht vorhanden.
  3. Wählen Sie aus der Combobox M_00.

Das Online-Auswahlmenü wird zur Runtime nicht benötigt, Sie können die Optionen aber aktiv lassen.

Bei den virtuellen Bildschirmen:

  1. Öffnen Sie die Konfiguration des Bildschirms Menu bar.
  2. Aktivieren Sie die Option Zuordnen zu realem Bildschirm.
  3. Wählen Sie aus der Dropdownliste M_00.

Die gesamte Konfiguration für Client 1 Mon sieht nun so aus:

In unserem Beispiel fehlt nun noch die Konfiguration des Notebooks. Wechseln Sie dazu zur Registerkarte Notebook small.


Konfiguration Notebook Service-Team

Handbuch > Bildschirmverwaltung > Beispielkonfiguration > Konfiguration Notebook Service-Team

Die Konfiguration des Notebooks für das Service-Team entspricht der Konfiguration des Client-Rechners mit einem Bildschirm. Allerdings unterscheidet sich die Auflösung. Diese muss angepasst werden.
Dazu:

  1. Öffnen Sie die Konfiguration des realen Bildschirms M_00.
  2. Geben Sie die entsprechenden Koordinaten ein,
    in unserem Beispiel: 0/0/1024/768.

Die Auflösung wurde nun an die reale Auslösung des Notebooks angepasst, der Bildschirm M_01 wird wie beim Client-Rechner auf den Bildschirm M_00 umgeleitet. Zur Runtime bekommen Sie Bildlaufleisten, mit denen Sie die Anzeige scrollen können.

Alle anderen Einstellungen entsprechen denen des Client Rechners:

Beenden Sie die Konfiguration mit Klick auf die Schaltfläche OK.


Weitere Konfiguration

Handbuch > Bildschirmverwaltung > Beispielkonfiguration > Weitere Konfiguration

Im Projekt müssen Sie in der Folge noch:

  • Bei Bildumschaltungen wählen, auf welchem virtuellen Bildschirm das Bild aufgeschaltet werden soll.
  • Auf den unterschiedlichen Rechnern das jeweils zu nutzender Bildschirmprofil festlegen (für den Projektierungsrechner wählen Sie das Profil in der Bildschirmkonfiguration).
  • Bei Funktionen wie Fokus auf Schablone setzen, Schablone schließen oder Bild schließen entscheiden, für welche Bildschirme die Aktion gilt.
  • Eventuell eine Funktion Bildschirm zuordnen projektieren, um zur Runtime virtuelle Bildschirme unabhängig von der Ausgangskonfiguration realen Bildschirmen zuweisen zu können.
  • Ein Übersichtsfenster projektieren, um zur Runtime bequem navigieren zu können.


Bildschirmverwaltung zur Runtime

Handbuch > Bildschirmverwaltung > Bildschirmverwaltung zur Runtime

Zur Runtime stehen verschiedene Möglichkeiten zur Verfügung,

  • Bildschirme zu wählen
    und
  • zwischen Bildschirmen zu navigieren

info Info

Wird die Runtime über eine Remote-Desktop-Verbindung gestartet, dann wird die Auflösung des Remote-Rechners verwendet. Die Auflösung unterscheidet sich damit möglicherweise von der projektierten, womit Verschiebungen in der Darstellung auftreten können.

Die Auflösung des entfernten Bildschirms kann auch per INI Datei festgelegt werden (siehe Abschnitt Bildschirmprofil auf Runtimerechner festlegen im Kapitel Allgemeine Einstellungen).

Noch in diesem Kapitel

Bildschirmwahl zur Runtime

Navigation zur Runtime


Bildschirmwahl zur Runtime

Handbuch > Bildschirmverwaltung > Bildschirmverwaltung zur Runtime > Bildschirmwahl zur Runtime

Zur Runtime stehen verschiedene Möglichkeiten zur Verfügung, virtuelle Bildschirme realen Bildschirmen zuzuweisen:

  • Online-Auswahlmenü bei Aufschaltung
  • Funktion Bildschirm zuordnen

Online-Auswahlmenü

Wenn in der Runtime ein Funktion Bildumschaltung mit aktiver Option Online-Auswahlmenü anzeigen ausgeführt wird, dann wird vor dem Ausführen der Funktion ein Menü zur Bildschirmauswahl aufgeschaltet. Die Inhalte des Menüs und die Anzeigedauer werden in der Bildschirmkonfiguration festgelegt.

Funktion Bildschirm zuordnen

Die Funktion Bildschirm zuordnen ermöglicht es, das Online-Auswahlmenü unabhängig von einer Bildumschaltung aufzurufen und virtuelle Bildschirme einem realen Bildschirm zuzuweisen.


Navigation zur Runtime

Handbuch > Bildschirmverwaltung > Bildschirmverwaltung zur Runtime > Navigation zur Runtime

Zur Runtime kann zwischen Bildschirmen navigiert werden über:

  • Übersichtsfenster
  • Bildlaufleisten

Übersichtsfenster

Übersichtsfenster werden als Funktion projektiert. Entweder wird für das Anzeigen und Schließen des Übersichtsfensters jeweils eine eigene Funktion erstellt oder man benutzt die Funktion Toggeln, um zwischen ein- und ausschalten des Fensters zu wechseln.

Zur Runtime wird mit Ausführen der Funktion ein Fenster eingeblendet. Dieses zeigt die komplette zur Verfügung stehende Bildschirmfläche an, unterteilt in Bildschirme oder in Schablonen. Für die Anzeige von Schablonen und Bildschirmen müssen jeweils unterschiedliche Funktionen projektiert werden.

Per Mausklick werden im Fenster Bildschirme oder Schablonen ausgewählt.

Bildlaufleisten

Mit Bildlaufleisten kann schnell zwischen Bildschirmen navigiert werden. Bildlaufleisten werden angezeigt, wenn:

  • in der individuellen Konfiguration des Bildschirmprofils die Eigenschaft Bildlaufleisten anzeigen aktiviert wurde
  • ein realer Bildschirm auf einen anderen realen Bildschirm gemappt wird


Remote-Desktop

Handbuch > Bildschirmverwaltung > Remote-Desktop

Auf einem Remote Desktop Client mit mehreren Bildschirmen, können diese über eine Remote-Verbindung benutzt werden, wenn bestimmte Voraussetzungen erfüllt werden. Das ist auch für Multi-Bildschirm-Konfigurationen in der zenon Runtime möglich, auch dann wenn das eigentliche System initial nur einen Bildschirm unterstützt.

Voraussetzungen für die Konfiguration eines Mehrbildschirmsystems für Remote Desktop:

Client:

  • Windows Enterprise oder Ultimate
  • RDP erlaubt echte Multi-Bildschirm Unterstützung
    Unterstützt Option /multimon

Server:

  • Windows Enterprise oder Ultimate
    oder
  • Terminal Server/Remote Desktop Services Rolle
  • Richtlinien erlauben Multi-Bildschirm-Unterstützung

Details zur Konfiguration finden Sie unter anderem in diesem Microsoft Blogeintrag: https://blogs.msdn.microsoft.com/rds/2009/07/01/using-multiple-monitors-in-remote-desktop-session/


Chronologische Ereignisliste (CEL)

Handbuch > Chronologische Ereignisliste (CEL)

In der Chronologischen Ereignisliste (CEL) können Systemereignisse und Benutzereingaben protokolliert werden, wie zum Beispiel:

  • Alarm-Quittierung
  • Alarm-Löschen
  • Sollwert-Setzen
  • Rezepte absetzen
  • Rezepte ändern
  • Archivdaten
  • Benutzeraktionen
  • Netzwerkaktionen

Die Einträge erfolgen jeweils in der Sprache, in der die zenon Runtime läuft.

Noch in diesem Kapitel

CEL projektieren

Funktionen

Bedienen zur Runtime


CEL projektieren

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren

Die Bedienung der Chronologischen Ereignisliste erfolgt zur Runtime über Bilder vom Typ Chronologische Ereignisliste und Chronologische Ereignisliste Filter.

Editor

Um Ereignisse zur Runtime anzeigen und filtern zu können, muss im Editor:

  • ein Bild vom Typ Chronologische Ereignisliste projektiert werden

Zusätzlich können Sie:

  • die Anzeige von Ereignissen über Filter steuern
  • mit einem Bild vom Typ Chronologische Ereignisliste Filter die zur Runtime verfügbaren Filter anpassen

Runtime

Für die Bedienung zur Runtime werden genutzt:

  • Bildumschaltung CEL
  • Bildumschaltung CEL Filter
  • die zenon CEL-Funktionen
  • Bild vom Typ CEL Filter benutzen

Noch in diesem Kapitel

Bild vom Typ CEL anlegen

Bild vom Typ CEL Filter anlegen

Ereignisse für CEL definieren

CEL-Projektierung über Filter

CEL Ringpuffer


Bild vom Typ CEL anlegen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL anlegen

Bild vom Typ Chronologische Ereignisliste anlegen

Ein Bild vom Typ Chronologische Ereignisliste ermöglicht, zur Runtime Systemereignisse und Benutzerhandlungen zu protokollieren und anzuzeigen. Welche Einträge angezeigt werden, wird über die Projektierung definiert. Die Anzeige kann durch Filter bei der Projektierung und zur Runtime verändert werden. Funktionen ermöglichen den Export und den Druck der angezeigten Ereignisse.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Chronologische Ereignisliste.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Aussehen der CEL anpassen


Kontrollelemente

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL anlegen > Kontrollelemente

Vorlage einfügen

Eintrag | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Kontrollelemente

Fenster

Parameter

Beschreibung

Chronologische Ereignisliste

Anzeigefeld für die Liste mit ihren Ereignissen. Das Aussehen ist konfigurierbar. Spalten werden über den Filter Spalteneinstellungen bei der Bildumschaltung festgelegt.

Über die Eigenschaft Spalteneinstellung CEL in den Projekteigenschaften in der Gruppe Chronologische Ereignisliste werden die Einstellungen für den Export in CSV, XML und DBF definiert. Diese dienen auch als Voreinstellung für die Bildumschaltfunktion.

Eingestellter Filter

Zeigt aktuell gewählten Filter an.

Status Chronologische Ereignisliste

Zeigt zur Runtime den Status der CEL an.

  • Aktiv: Ereignisse werden je nach Einstellungen im Projekt protokolliert
  • Inaktiv: Ereignisse werden nicht protokolliert

Der Status wird in den Projekteigenschaften in der Gruppe Chronologische Ereignisliste über die Eigenschaft CEL aktiv festgelegt. Eine Änderung wird erst nach einem Neustart der Runtime wirksam.

Anzahl gesamt

Anzahl aller Ereignisse in der Liste

Listenfunktionen

Parameter

Beschreibung

Filter...

Öffnet den Filterdialog.

Stopp/Weiter

Steuert Aufnahme neuer Ereignisse in die Liste während der Anzeige:

Stopp: Es werden keine neuen Einträge an die Liste angefügt. Der Button ändert seine Beschriftung in Weiter.

Weiter: Es werden wieder neue Einträge an die Liste angefügt. Der Button ändert seine Beschriftung in Stopp. Um die neuen Einträge chronologisch einzuordnen muss der Button Sortieren betätigt werden.

Sortieren

Nach dem Aufschalten der CEL zur Runtime werden neue Einträge nicht chronologisch einsortiert, sondern am Ende der Liste hinzugefügt.

Klick auf den Button sortiert die Liste neu.

Zur Unterscheidung von sortierten und unsortierten Einträgen kann über die Eigenschaften sortierter Text und unsortierter Text jeweils eine unterschiedliche Farbe zugewiesen werden

Relativzeiten anzeigen

Aktiv: Relativzeiten werden angezeigt, ohne dass der ausgewählte Eintrag den Fokus verliert.

Drucken

Druckt Liste so, wie sie aktuell angezeigt wird, aus.

Drucken mit Dialog...

Öffnet vor dem Drucken die Druckereinstellungen.

Kommentarfeld

Parameter

Beschreibung

Kommentarfeld

Eingabe eines freien Textes durch den Benutzer für das ausgewählte Ereignis.

Maximale Länge: 79 Zeichen

Um den Text in der CEL mit anzuzeigen, muss in der Spaltendefinition die Spalte Kommentar aktiviert werden. Änderungen werden mit der Eingabe-Taste übernommen. Mit der Esc-Taste oder Fokusverlust wird die Änderung verworfen.

Änderungen an Kommentaren können über die Aktivierung der Eigenschaft CEL-Kommentare dokumentiert werden.

Navigation

Parameter | Beschreibung
Navigation | Steuert Elemente der Liste.
Zeile nach oben | Blättert eine Zeile nach oben.
Zeile nach unten | Blättert eine Zeile nach unten.
Spalte nach rechts | Blättert eine Spalte nach rechts.
Spalte nach links | Blättert eine Spalte nach links.
Seite nach oben | Blättert eine Seite nach oben.
Seite nach unten | Blättert eine Seite nach unten.
Seite nach rechts | Blättert eine Seite nach rechts.
Seite nach links | Blättert eine Seite nach links.

Kompatible Elemente

Parameter | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl gesamt | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Status Chronologische Ereignisliste | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kommentarfeld | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Schablone schließen | Schließt die Schablone auf der das Bild beruht. Empfehlung: Benutzen Sie zum Schließen von Schablonen die Funktion Schablone schließen Damit nach dem Schließen das davor geöffnete Bild angezeigt wird, muss das Bild vom Typ CEL mit einer eigenen Schablone projektiert werden.
Relativzeiten anzeigen | Statisches Win32 Kontrollelement. Wurde mit durch ein Element vom Typ Schalter ersetzt. Beschreibung siehe neues Element.

Filterprofile

Filterprofile | Filtereinstellungen, die der Anwender in der Runtime speichern kann.
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichern einer Einstellung als Profil.
Löschen | Löscht ausgewähltes Profil.

info Info

Mit dem Kontrollelement Filter anzeigen wird der aktuell benutzte Filter angezeigt.

Bei einem:

  • Textfilter: wird der Ausdruck [Txt] angezeigt
  • Relativzeitfilter: wird ein Ausdruck nach folgendem Schema angezeigt:
    [T,Rel:%dd,%dh,%dm;%ds]
    Beispiel: [T,Rel:1d,0h,0m,0s] entspricht einem Tag.


Aussehen der CEL anpassen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL anlegen > Aussehen der CEL anpassen

Die tabellarische Darstellung der Chronologischen Ereignisliste kann an individuelle Vorgaben angepasst werden. Dazu stehen folgende Eigenschaften der CEL zur Verfügung.

Hinweis: Die Textfarbe der Einträge in die CEL wird in den Projekteigenschaften über die Eigenschaften der Gruppe Chronologische Ereignisliste/Farben CEL Einträge konfiguriert.

Bildlaufleisten, Kopfzeile und Raster

Um Größe und Aussehen von Bildlaufleisten, der Kopfzeile und eines Rasters für die Tabelle zu definieren:

  1. Aktivieren Sie in der Gruppe Darstellung die Eigenschaft Erweiterte grafische Einstellungen.
  2. Definieren Sie die gewünschten Eigenschaften in den Gruppen Bildlaufleisten und Kopfzeile und Raster.

info Info

Wird für die Eigenschaft Anzeigestil Grafikdateien gewählt, dann werden alle Elemente, für die keine Grafikdatei ausgewählt wird, mit einem Farbverlauf dargestellt. Bei Steuerelementen für Listen können keine transparenten Grafiken verwendet werden.

Zur Runtime sortieren

Um zur Runtime die für die Sortierung relevante Spalte zu kennzeichnen und die Sortierreihenfolge zu bestimmen, projektieren Sie grafische Elemente für die Titelzeile:

  1. Wählen Sie für die Eigenschaft Anzeigestil den Wert Grafikdateien.
  2. Verknüpfen Sie die Eigenschaften Aufsteigend sortiert und Absteigend sortiert jeweils mit einer Grafikdatei.

    Zur Runtime wird in der für die Sortierung relevanten Spalte die gewählte Grafik für die jeweilige Sortierrichtung angezeigt.

    • Klick auf Grafik ändert Sortierreihenfolge.
    • Klick in Spaltentitel aktiviert Spalte für Sortierung.

Hinweis: Bei Sortierung nach Zeitstempel werden Einträge mit gleichem Zeitstempel zusätzlich nach dem Zeitpunkt der Erstellung sortiert.

Kopfzeile zur Runtime bedienen

Sie können Benutzern ermöglichen, die Kopfzeile zur Runtime zu bedienen. Dadurch ist eine individuelle Anpassung der Darstellung in der Runtime möglich:

  • Spalten per Drag&Drop bewegen
  • Spaltenbreite mit der Maus ändern
  • Sortierung ändern

Benutzen Sie dazu die Eigenschaften:

  • Spaltenpositionen fixiert: Steuert die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen in der Breite anzupassen oder zu verschieben.
    • aktiv: Die Spalten können nicht per Drag&Drop bewegt und nicht in der Breite angepasst werden.
    • inaktiv: Die Spalten können per Drag&Drop angeordnet werden und die Breite der Spalten kann durch Ziehen mit der Maus angepasst werden
  • Sortieren sperren: Steuert die Möglichkeit, Tabellenspalten zur Runtime zu sortieren.
    • aktiv: Die Tabelle kann nicht sortiert werden.
    • inaktiv: Die Tabelle kann mit einen Klick auf die Kopfzeile sortiert werden.

Hinweis: Um diese Eigenschaften konfigurieren zu können, muss in den Projekteinstellungen in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile gewählt werden. Hier können Sie die Kopfzeile auch generell unbedienbar oder unsichtbar schalten. Diese Einstellungen gelten für alle Kopfzeilen im Projekt.

Vorschau

Mit Aktivierung der Eigenschaft Erweiterte grafische Einstellungen werden im Editor die Kopfzeile und die Bildlaufleisten als Vorschau angezeigt. So lassen sich Details wie Farben, Fülleffekte, Lichteffekte oder Raster einfacher projektieren.

Achtung: Da die Größe der Bildlaufleisten in der Vorschau der Größe zur Runtime entspricht, kann die gesamte Größe der Liste im Editor von der Größe zur Runtime abweichen. Das gilt auch für die Größe der Kopfzeile und die Schrift der Kopfzeile.


Bild vom Typ CEL Filter anlegen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL Filter anlegen

Das Bild vom Typ Chronologische Ereignisliste Filter ermöglicht es, zur Runtime individualisierte Filtereinstellungen für die Chronologische Ereignisliste vorzunehmen. Es werden nur die benötigten Filter projektiert und dem Benutzer zur Verfügung gestellt. Das Aussehen lässt sich frei definieren und damit an unterschiedliche Endgeräte anpassen. Es können alle Filtereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste vorhanden sind, projektiert werden.

Damit:

  • werden nur die wirklich benötigten Filterelemente projektiert und dem Benutzer zur Verfügung gestellt
  • bekommt der Benutzer nur diese Filter angezeigt und gewinnt Übersicht
  • kann das Aussehen völlig frei definiert werden und so zum Beispiel auch eine leichte Bedienung über einen Touchscreen realisiert werden

Details zur Handhabung zur Runtime, siehe Abschnitt CEL Filter benutzen.

Definition der Filterkriterien, siehe Abschnitt Filter für Bildumschaltung CEL Filter.

attention Achtung

Bilder vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter und Zeitfilter müssen mit einer eigenen Schablone projektiert werden. Benutzen sie die gleiche Schablone wie andere Bilder, werden zur Runtime beim Schließen des Bildes alle auf dieser Schablone basierenden Bilder ebenfalls geschlossen.

Bild vom Typ Chronologische Ereignisliste Filter anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Chronologische Ereignisliste Filter.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
      Hinweis: Das Bild CEL Filter darf nicht auf derselben Schablone wie andere Bilder basieren!
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Kontrollelemente

Vorlagen

Vordefinierte Namen

Filterbilder


Kontrollelemente

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL Filter anlegen > Kontrollelemente

Das Bild vom Typ Chronologische Ereignisliste Filter kann folgende Steuer- und Anzeigeelemente enthalten.

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden. Mehr zu Vorlagen für diesen Bildtyp im Kapitel Vorlagen.

Allgemeine Filter

Dropdownliste verschiedener allgemeiner Filter.

Kontrollelement

Beschreibung

Systemmeldungen vom Filter ausnehmen

Zeigt zur Runtime eine Checkbox zum Anzeigen oder Ausfiltern von Systemmeldungen an. Systemmeldungen sind Meldungen ohne Variablenbezug.

Bedienung zur Runtime:

  • Aktiv: Systemmeldungen werden zur Runtime immer angezeigt. Das gilt auch dann, wenn sie durch den Text- oder Variablenfilter ausgefiltert werden sollten.
    Ausnahme: Systemmeldungen werden aber trotz aktivierter Checkbox nicht angezeigt, wenn sie durch den Zeitfilter oder die Filter für Datenherkunft (Ringpuffer oder Historische Daten) ausgefiltert werden.

Beispiel: Es sollen nur Meldungen mit dem Text "XY" angezeigt werden. Bei aktiver Option werden aber Systemmeldungen, die den Begriff nicht enthalten, auch angezeigt.

Alle Elemente einfügen: Allgemeine Filter

Fügt alle Elemente aus dem Bereich Allgemeine Filter an vordefinierten Plätzen ein. Elemente können individuell angeordnet werden.

Variablen

Alarme welcher Variablen werden angezeigt:
  • Name

Filtern nach Namen der Variablen.
  • Kennung

Filtern nach Kennung der Variablen.
  • Groß-/Kleinschreibung beachten

Groß- und Kleinschreibung bei der Filterung der Variablen beachten.

Datenherkunft

Woher stammen die Daten:
  • Ringpuffer

Aus dem Ringpuffer.
  • Historische Daten

Aus einem Archiv.
  • Maximale Anzahl (Beschriftung)

Text für Eingabefeld Maximale Anzahl

  • Maximale Anzahl (Eingabefeld)

Eingabe der maximal anzuzeigenden Alarme bei Anzeige historischer Alarme.

0: zeigt alle an

Runtime Einstellungen

  • Liste angehalten aufschalten

Schaltet die CEL in angehaltenem Zustand auf. Neue Alarme werden nicht hinzugefügt.
  • Relativzeiten anzeigen

Schaltet zwischen der normalen Anzeige und der Relativzeit-Anzeige um, ohne dass der ausgewählte Eintrag den Fokus verliert.

Relativzeit: Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Alarm/Ereignis-Gruppen/Alarm/Ereignis-Klassen, Alarmbereiche

Listenfelder für gruppierte Anzeige:
  • Alarm/Ereignis-Gruppen

Alarm/Ereignis-Gruppen
  • Alarm/Ereignis-Klassen

Alarm/Ereignis-Klassen
  • Alarmbereiche

Alarmbereiche

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

Systemmeldungen vom Filter ausnehmen

Variablen

  • Name
  • Kennung
  • Groß-/Kleinschreibung beachten

Datenherkunft

  • Ringpuffer
  • Historische Daten
  • Maximale Anzahl (Eingabefeld)

Zeitfilter

Elemente für Zeitfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche.

Absoluter Zeitraum - klassische Darstellung

Elemente für den absoluten Zeitraum in klassischer Darstellung.

Absoluter Zeitraum - kompakte Darstellung

Elemente für den absoluten Zeitraum in kompakter Darstellung.

Relativer Zeitraum

Elemente für den relativen Zeitraum.

Ab HH:MM:SS Uhr

Elemente für einen Zeitraum ab einer definierten Uhrzeit.

Ab Tag - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag zu einer definierten Uhrzeit.

Ab Tag, Monat - HH:MM:SS Uhr

Elemente für einen Zeitraum ab einem bestimmten Tag in einem bestimmten Monat zu einer definierten Uhrzeit.

Zeitbereich: 15/30/60 Minuten

Elemente für einen Zeitraum von 15, 30 oder 60 Minuten.

Zeitbereich - ein Tag

Elemente für einen Zeitraum von einem Tag.

Zeitbereich - 1 oder 2 Wochen

Elemente für einen Zeitraum über eine oder zwei Wochen.

Sowohl bei der Ansicht für eine Woche als auch bei jener für zwei Wochen ist jeweils jede Woche auswählbar. Bei der Zwei-Wochen-Ansicht wird abhängig von der ausgewählten Woche ein Zeitraum von 14 Tagen ausgewählt.

Zeitbereich - ein Monat

Elemente für einen Zeitraum von einem Monat.

Zeitbereich - ein Jahr

Elemente für einen Zeitraum von einem Jahr.

Alle Elemente einfügen (Touch)

Öffnet Dropdownliste zur Auswahl vordefinierter Elemente für bestimmte Zeitbereiche, die für die Touch-Bedienung optimiert wurden. Analog zu Alle Elemente einfügen stehen zur Verfügung:

  • Absoluter Zeitraum - klassische Darstellung
  • Relativer Zeitraum
  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Zeitbereich - 15/30/60 Minuten
  • Zeitbereich - ein Tag
  • Zeitbereich - 1 oder 2 Wochen
  • Zeitbereich - ein Monat
  • Zeitbereich - ein Jahr

Eingestellter Zeitfiltertyp (Anzeige)

Element vom Typ Dynamischer Text für die Anzeige des eingestellten Zeitfiltertyps.

Zeitfiltertyp (Beschriftung)

Beschriftung für Typ des Zeitfilters.

Zeitfiltertyp (Combobox)

Combobox Zeitfiltertyp.

Zeitfiltertyp (Radiogroup)

Schalter-Elemente, die zur Runtime bestimmte Elemente ein- oder ausblenden:

  • Kein Filter
  • Absoluter Zeitfilter
  • Relativer Zeitfilter
  • Ab Tag, Monat - HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab HH:MM:SS Uhr
  • Zeitbereich 15 Minuten
  • Zeitbereich 30 Minuten
  • Zeitbereich 60 Minuten
  • Zeitbereich 1 Tag
  • Zeitbereich 1 Woche
  • Zeitbereich 2 Wochen
  • Zeitbereich 1 Monat
  • Zeitbereich 1 Jahr

Zeit von

Felder und Beschriftungen für Angaben "Von"-Zeit.

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Von Stunde (Beschriftung)
  • Von Stunde (Combobox)
  • Von Minute (Beschriftung)
  • Von Minute (Combobox)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Combobox)
  • Von (Spincontrol)

Zeit bis

Felder und Beschriftungen für Angaben "Bis"-Zeit.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Combobox)
  • Bis Monat (Beschriftung)
  • Bis Monat (Combobox)
  • Bis Tag (Beschriftung)
  • Bis Tag (Combobox)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Combobox)
  • Bis Minute (Beschriftung)
  • Bis Minute (Combobox)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Combobox)
  • Bis (Spincontrol)

Zeit von (Touch)

Felder und Beschriftungen für Angaben "Von"-Zeit, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Von Stunde (Beschriftung)
  • Von Stunde (Button: rauf)
  • Von Stunde (Touchbox)
  • Von Stunde (Button: runter)
  • Von Minute (Beschriftung)
  • Von Minute (Button: rauf)
  • Von Minute (Touchbox)
  • Von Minute (Button: runter)
  • Von Sekunde (Beschriftung)
  • Von Sekunde (Button rauf)
  • Von Sekunde (Touchbox)
  • Von Sekunde (Button runter)

Zeit bis (Touch)

Felder und Beschriftungen für Angaben "Bis"-Zeit, optimiert für Touchbedienung.

  • Bis Jahr (Beschriftung)
  • Bis Jahr (Button: rauf)
  • Bis Jahr (Touchbox)
  • Bis Jahr (Button: runter)
  • Bis Monat (Beschriftung)
  • Bis Monat (Button: rauf)
  • Bis Monat (Touchbox)
  • Bis Monat (Button: runter)
  • Bis Tag (Beschriftung)
  • Bis Tag (Button: rauf)
  • Bis Tag (Touchbox)
  • Bis Tag (Button: runter)
  • Bis Stunde (Beschriftung)
  • Bis Stunde (Button: rauf)
  • Bis Stunde (Touchbox)
  • Bis Stunde (Button: runter)
  • Bis Minute (Beschriftung)
  • Bis Minute (Button: rauf)
  • Bis Minute (Touchbox)
  • Bis Minute (Button: runter)
  • Bis Sekunde (Beschriftung)
  • Bis Sekunde (Button rauf)
  • Bis Sekunde (Touchbox)
  • Bis Sekunde (Button: runter)

Absolutzeitfilter

Felder und Beschriftungen für Angaben absoluter Zeitfilter.

  • Von (Beschriftung)
  • Von Datum (Kalenderanzeige)
  • Von Datum (Datumsanzeige)
  • Von Zeit (Zeitanzeige)
  • Bis (Beschriftung)
  • Bis Datum (Kalenderanzeige)
  • Bis Datum (Datumsanzeige
  • Bis Zeit (Zeitanzeige)

Zeitbereich

Felder und Beschriftungen für Angaben von Zeitbereichen:

  • Von Jahr (Beschriftung)
  • Von Jahr (Combobox)
  • Von Monat (Beschriftung)
  • Von Monat (Combobox)
  • Woche (Beschriftung)
  • Woche (Combobox)
  • Von Tag (Beschriftung)
  • Von Tag (Combobox)
  • Startzeit (Beschriftung)
  • Startzeit (Combobox)

Zeitbereich (Touch)

Felder und Beschriftungen für Angaben von Zeitbereichen, optimiert für Touchbedienung.

  • Von Jahr (Beschriftung)
  • Von Jahr (Button: rauf)
  • Von Jahr (Touchbox)
  • Von Jahr (Button: runter)
  • Von Monat (Beschriftung)
  • Von Monat (Button: rauf)
  • Von Monat (Touchbox)
  • Von Monat (Button: runter)
  • Woche (Beschriftung)
  • Woche (Button: rauf)
  • Woche (Touchbox)
  • Woche (Button: runter)
  • Von Tag (Beschriftung)
  • Von Tag (Button: rauf)
  • Von Tag (Touchbox)
  • Von Tag (Button: runter)
  • Startzeit (Beschriftung)
  • Startzeit (Button: rauf)
  • Startzeit (Touchbox)
  • Startzeit (Button: runter)

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Zeitfiltertyp (Radiogroup)
    Win32 Kontrollelemente vom Typ Radiobutton. Wurde durch Schalter-Elemente ersetzt. Beschreibung siehe aktuelle Elemente.
  • Eingestellter Zeitfiltertyp (Anzeige)
    Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Chargenfilter

Elemente für Chargenauswahl zur Runtime.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Archivliste

Liste der zur Verfügung stehenden Archive.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Archivliste

Status der Archivliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Chargenliste

Liste der zur Verfügung stehenden Chargen.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Status der Chargenliste

Status der Chargenliste mit Zahl für:

  • verfügbar
  • gefiltert
  • angezeigt

Zeitfilter auf Chargenliste anwenden

Wendet den konfigurierten Zeitfilter auf die Auswahl in der Chargenliste an.

Chargenname Filter (Eingabefeld)

Eingabe einer Zeichenfolge zur Filterung der Chargennamen in der Chargenliste.

Chargenname Filter (Button)

Button zur Ausführung der Filterung auf Chargennamen.

Deaktiviert, wenn das Kontrollelement Chargenname Filter nicht vorhanden ist.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen.

Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Folgende Win32 Elemente wurden durch Elemente vom Typ Dynamischer Text ersetzt.

  • Status der Archivliste
  • Status der Chargenliste
  • Chargenname Filter (Eingabefeld)

Schichtfilter

Dropdownliste für Element des Schichtfilters.

Kontrollelement

Beschreibung

Alle Elemente einfügen

Fügt alle Unterelemente in das Bild ein.

Schichtliste

Liste der zur Verfügung stehenden Schichten.

Status der Schichtliste

Status der Schichtliste mit Zahl für:

  • gesamt
  • gefiltert
  • ausgewählt

Schichtliste aktualisieren

Klick auf Button aktualisiert die Anzeige der Schichtliste.

Textfilter

Dropdownliste verschiedener Textfilter.

Kontrollelement

Beschreibung

Alle Elemente einfügen: Textfilter

Fügt alle Elemente für Textfilter ein.

Kein Textfilter

Radiobutton für Abwahl Textfilter.

Suchen nach (Wörter getrennt durch Leerzeichen)

Radiobutton für Aktvierung der Suche

Beschriftung: Suchtext

Beschriftung für Suchfeld.

Eingabefeld: Suchtext

Feld für Eingabe der Suchbegriffe.

Optionen

Optionen für Suche
  • Groß-/Kleinschreibung beachten

Groß-/Kleinschreibung muss beachtet werden.
  • Wörter müssen nicht vollständig im Text vorkommen

Es wird auch nach Fragmenten gesucht.
  • Mindestens ein Wort muss im Text vorkommen

Mindestens ein Suchbegriff von mehreren muss im Ergebnis enthalten sein.
  • Alle Wörter müssen im Text vorkommen

Alle Suchbegriffe müssen im Ergebnis enthalten sein.
  • Filtertext muss exakt im Text vorkommen

Text aus dem Eingabefeld muss exakt im Ergebnis enthalten sein.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Kein Textfilter
  • Suchen nach (Wörter getrennt durch Leerzeichen)
  • Eingabefeld: Suchtext
  • Groß-/Kleinschreibung beachten
  • Wörter müssen nicht vollständig im Text vorkommen
  • Mindestens ein Wort muss im Text vorkommen
  • Alle Wörter müssen im Text vorkommen
  • Filtertext muss exakt im Text vorkommen

Runtime Einstellungen

Kontrollelement

Beschreibung
  • Liste angehalten aufschalten

Schaltet die CEL in angehaltenem Zustand auf. Neue Alarme werden nicht hinzugefügt.
  • Relativzeiten anzeigen

Schaltet zwischen der normalen Anzeige und der Relativzeit-Anzeige um, ohne dass der ausgewählte Eintrag den Fokus verliert.

Relativzeit: Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Buttons

Schaltflächen zur Runtime.

OK | Button: Übernimmt die Filtereinstellungen und schließt das Bild. Hinweis Faceplates: In Faceplates können Bilder vom Typ AML-Filter, CEL-Filter und Zeit-/Chargen-/Schichtfilter verwendet werden. Bei deren Konfiguration zur Runtime schließt der Klick auf OK das komplette Faceplate. Sollen die Filtereinstellungen gespeichert werden und das Faceplate geöffnet bleiben, klicken Sie auf Übernehmen.
Abbrechen | Button: Bricht die Konfiguration der Filtereinstellungen ab.
Übernehmen | Button: Übernimmt die Filtereinstellungen.
Aktualisieren | Button: Aktualisiert die gefilterte Anzeige.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

  • Liste angehalten aufschalten
  • Relativzeiten anzeigen (relativ zum selektierten Eintrag)


Vorlagen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL Filter anlegen > Vorlagen

Vorlage | Beschreibung
Listenfeld Vorlagen (links) | Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.
Vorschau und Beschreibung (rechts) | Zeigt Vorschau und Beschreibung der gewählten Vorlage an.
Standard | Fügt Standardelemente ein.
Scada | Spezielle Vorlagen, optimiert für Mausbedienung.
Standard | Fügt Standardelemente ein.
Variablen-, Text & Zeitfilter (absolut - kompakt) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich in kompakter Darstellung ein.
Variablen-, Text & Zeitfilter (absolut) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.
Variablen-, Text & Zeitfilter (ab Monat) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Monat ein.
Variablen-, Text & Zeitfilter (ab Stunde) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Stunde ein.
Variablen-, Text & Zeitfilter (ab Tag) | Fügt Elemente für die Filterung auf Variablen, Text und relativem Zeitbereich ab Tag ein.
Variablen-, Text & Zeitfilter (absolut - Tabelle) | Fügt Elemente für die Filterung auf Variablen, Text und absolutem Zeitbereich ein.
Variablen-, Text & Zeitfilter (Typ auswählbar) | Fügt Elemente für die Filterung auf Variablen, Text und auswählbarem Zeitbereich ein.

Dialog beenden

Parameter | Beschreibung
Bestehende Bildelemente löschen | Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht.
Übernehmen | Fügt die gewählte Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Vordefinierte Namen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL Filter anlegen > Vordefinierte Namen

Für Zeitfilter stehen vordefinierte Namen bereit.

Achtung: Unter Windows CE stehen die vordefinierten Namen nicht zur Verfügung.

Um einen Namen auszuwählen:

  1. definieren Sie in der Detailansicht als Bildtyp Zeitfilter, Chronologische Ereignisliste Filter oder Alarmmeldeliste Filter
  2. klicken Sie in der Spalte Name zwei Mal in das Feld
  3. wählen Sie in der Dropdownliste den gewünschten vordefinierten Namen
    • CEL_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Filterbilder

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Bild vom Typ CEL Filter anlegen > Filterbilder

Filterbilder

Filterbilder ermöglichen es, einen voreingestellten Filter von einem Bild auf ein anderes zu übertragen. Der Filter des Quellbildes wird über das Zielbild gelegt. Die Bilder können auch von unterschiedlichen Bildtypen sein.

attention Achtung

Damit zur Runtime die Zeit vom aufrufenden Bild übernommen werden kann, muss im Editor in der Bildumschaltfunktion für die Alarmmeldeliste oder die Chronologische Ereignisliste im Zeitfilter folgender Zeitbereich gewählt werden: Filter beim Zeitfiltertyp einstellen.

Aufrufdefinition

Folgende Voraussetzungen müssen erfüllt sein, damit die eingestellten Filter angewendet werden:

  1. Als Zeitbereich beim Zeitfilter wird Filter beim Zeitfiltertyp einstellen gewählt.
  2. Das Bild (Bild vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter oder Zeit-/Chargen-/Schichtfilter) wird mithilfe eines Buttons oder eines Combi-Elements aktiviert. Nur so wird der Bezug zwischen Filterbild und Quellbild gewährleistet.
  3. Das Quellbild und das Filterbild müssen entweder auf unterschiedlichen Schablonen oder auf unterschiedlichen Bildschirmen projektiert sein. Nur wenn das Quellbild offen ist, kann der Filter für das Filterbild aktualisiert werden. Das ist nur möglich, wenn beide Bilder nicht dieselbe Schablone oder denselben Bildschirm verwenden.
  4. Das aufrufende Bild muss mit dem aufzurufenden Filterbild kompatibel sein (siehe Tabelle).
Quellbild | AML Filter | CEL Filter | Zeitfilter
Archiv-Nachbearbeitung | T | T | T
Erweiterter Trend | T | T | T
Zeitfilter | T | T | X
Alarmmeldeliste Filter | X | C | T
Chronologische Ereignisliste Filter | C | X | T
Alarmmeldeliste | X | C | T
Chronologische Ereignisliste | C | X | T

Legende:

  • C: Gemeinsame Einstellungen werden aktualisiert.
  • T: Zeiteinstellungen werden aktualisiert.
  • X: Alle Einstellungen werden aktualisiert.

info Info

Keine Filterung

Das Filterbild wird nicht gefiltert, sondern mit den projektierten Werten aufgeschaltet, wenn:

  • eine der Bedingungen 1 bis 3 nicht erfüllt wird oder
  • die Einstellung Aufrufendes Bild bei der Funktion Bildumschaltung nicht aktiviert ist oder
  • das Bild nicht über ein Bildelement aufgerufen wird

In diesem Fall werden zur Runtime die Buttons Übernehmen, Schließen und Aktualisieren ausgegraut dargestellt und haben keine Funktion.


Ereignisse für CEL definieren

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Ereignisse für CEL definieren

Welche Ereignisse in der Chronologischen Ereignisliste protokolliert werden, definieren Sie über:

  1. Eigenschaften der Gruppe Protokollierung im Knoten Chronologische Ereignisliste in den Projekteigenschaften
    • Alarmquittierung bestätigt
    • Alarm-Quittierung
    • Funktion Sollwert setzen
    • Rezepte absetzen
    • Rezepte ändern
    • Archivdaten
    • Archivauslagerung [h]
  2. Eigenschaften der Variablen
    • AML/CEL in Gruppe Grenzwerte
    • Gruppe Protokollierung in CEL im Knoten Sollwert setzen

Sollwertänderungen protokollieren

Sollwertänderungen sind über verschiedene Mechanismen möglich. Diese werden je nach Einstellung und Modul in der CEL protokolliert.

Parameter

Beschreibung

Protokollierung von Sollwert Setzen Sollwert absetzen

Für jede Variable kann die Protokollierung von Sollwertänderungen definiert werden. Dazu stehen in der Eigenschaft Protokollierung in der Gruppe Sollwert setzen folgende Optionen zur Verfügung:

Alles: Alle Änderungen über Dynamische Elemente und die Funktion Sollwert absetzen werden protokolliert.

Nichts: Änderungen werden nicht protokolliert.
Nur über Dynamische Elemente: Protokolliert nur Sollwert absetzen über Dynamische Elemente, nicht aber über die Funktion Sollwert absetzen.

Alter und neuer Wert

Mit der Eigenschaft Alter und neuer Wert wird festgelegt, ob nur neue oder auch alte Werte in das Protokoll geschrieben werden.

Diese Eigenschaft wirkt sich aus auf Sollwert absetzen per:

  • Dynamisches Element
  • Funktion SW absetzen
  • Sollwert setzen über VBA

Sollwert setzen über VBA

Wird die Checkbox Sollwert setzen über VBA aktiviert, werden Sollwertänderungen per VBA in der CEL protokolliert.

Rezepte Standard und Rezeptgruppen-Manager

Für die Standard Rezepte und den Rezeptgruppen-Manager wird die Protokollierung über die Eigenschaften der Gruppe Protokollierung im Knoten Chronologische Ereignisliste gesteuert.

PFS/Scheduler

Der Production & Facility Scheduler und der Scheduler protokollieren alle Sollwertänderungen in der CEL. Diese Einstellung ist nicht konfigurierbar.

Hinweis: Es wird nur neuer Wert protokolliert. Die Eigenschaft Chronologische Ereignisliste wird nicht berücksichtigt.

Noch in diesem Kapitel

Sollwert schreiben überprüfen

Länge statischer Grenzwerttext CEL


Sollwert schreiben überprüfen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Ereignisse für CEL definieren > Sollwert schreiben überprüfen

Beim Schreiben von Werten erhält der Wert ein Statusbit, dass er geschrieben wird. Ist der Schreibvorgang erfolgreich, wird das entsprechende Statusbit gesetzt:

  • WR-ACK

    Der Treiber hat einen Wert zum Schreiben bekommen.

  • WR-SUC

    Wert 1: Schreiben erfolgreich.

    Wert 0: Schreiben nicht erfolgreich, der Wert konnte nicht abgesetzt werden.

  • info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung ausgeführt, dann werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!

Diese Statuskombination bleibt solange bestehen, bis die nächste Wertänderung angestoßen wird. Dann gehen beide Status auf 0 bis der Schreibvorgang fertig ist. Zur Auswertung muss in der Rema folgende Bitkombination abgefragt werden:

WR-ACK, WR-SUC

Ergebnis:

  • WR-ACK 1, WR-SUC 1: Schreibvorgang erfolgreich.
  • WR-ACK 1, WR-SUC 0: Schreibvorgang nicht erfolgreich.

attention Achtung

Der Mechanismus zeigt nur, dass der Schreibvorgang erfolgreich (oder nicht erfolgreich) auf die Steuerung abgesetzt wurde. Es bedeute nicht, dass der Wert in der Steuerung auch geändert wurde, da die Steuerung den Wert sofort wieder zurücksetzen/überschreiben kann. (Zum Beispiel beim Schreiben auf Ausgänge oder bei Wischerbits, die nur kurzfristig gesetzt werden.)

Module

Dieser Mechanismus kann bei folgenden Modulen eingesetzt werden:

  • Funktion Sollwert absetzen: Option Schreibbestätigung abwarten im Konfigurationsdialog der Funktion aktivieren.
  • Standard Rezepte: Eigenschaft Synchron schreiben aktivieren.
  • Rezeptgruppen-Manager: Eigenschaft Synchron schreiben aktivieren.

Eintrag in CEL

In den Projekteigenschaften finden Sie unter Chronologische Ereignisliste folgende Eigenschaften:

  • Funktion Sollwert setzen

    Für den Eintrag in der CEL muss in den Projekteigenschaften im Knoten Chronologische Ereignisliste die Eigenschaft Funktion Sollwert setzen aktiviert werden. Es wird dann bei jedem Ausführen der Funktion die positive oder negative Rückmeldung in die CEL geschrieben.

  • Sollwert-Protokollierung nur bei Sollwertänderung

    Bei aktivierter Funktion kommt es zu keinem Eintrag in der CEL, wenn der gleiche Wert erneut gesetzt oder empfangen wird. Protokolliert werden nur Wertänderungen. Die Ausführung der Eigenschaft ist nicht abhängig von der Variableneinstellung Alter und neuer Wert.

  • Text bei Sollwertänderung

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

  • Text bei Sollwertänderung (Alter/Neuer Wert)

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des alten und des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

Standard Rezepte und Rezeptgruppen Manager

Für den Eintrag in die CEL wird eine Systemtreibervariable verwendet, die bei erfolgreich abgesetzten Rezept auf 1 geht. Eine globale Variable wird am Server ausgewertet, eine lokale auf jedem Client, um zu erfahren, wann das zuletzt ausgeführte Rezept fertig geschrieben wurde.
Mit diesen Variablen kann per Grenzwert oder Reaktionsmatrizen ein CEL Eintrag generiert werden. Die Abfrage erfolgt mit einer Multianalog oder einer Multibinär Rema.

Noch in diesem Kapitel

Verwendung von Platzhaltern bei Sollwertänderungen


Verwendung von Platzhaltern bei Sollwertänderungen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Ereignisse für CEL definieren > Sollwert schreiben überprüfen > Verwendung von Platzhaltern bei Sollwertänderungen

Die Eigenschaften Text bei Sollwertänderung und Text bei Sollwertänderung (Alter/Neuer Wert) ermöglichen die Erstellung von freien Texten für die Darstellung der jeweiligen Wertänderungen zur Runtime.

Text bei Sollwertänderung

  • Default: %a: (%v)

Text bei Sollwertänderung (Alter/Neuer Wert)

  • Default: %a: @Alt@: (%o) @Neu@: (%v)

Die Eigenschaften zur Erstellung der gewünschten Texte verwenden Platzhalter. Zur Parametrierung der Platzhalter stehen die folgenden Möglichkeiten zur Verfügung.

Syntax

Für die Parametrierung gilt folgende Nomenklatur:

Parameter | Beschreibung
; | Trennzeichen für Anweisungen. Dient zur Trennung des konstanten Textteils vom dynamischen Textteil. Bei der Trennung zu Variablen darf kein Leerzeichen zwischen dem Trennzeichen und der Variable enthalten sein.
@Text | Text aus der aktuell geladenen Sprachtabelle.

Verwenden Sie folgende Parameter:

  • %a: Aktionstyp

    Aktuell sind folgende Texte für diesen Aktionstyp (= %a) in den zenon Release-Sprachen vordefiniert:

    • @Umschalten auf Spontanwert@
    • @Modifizieren Spontanwert@
    • @Umschalten u. modi. Spontanwert@
    • @Umschalten auf Ersatzwert@
    • @Modifizieren Ersatzwert@
    • @Umschalten u. modi. Ersatzwert@
    • @Spontanwert abschalten
    • @Spontanwert einschalten
  • %v: neuer Wert der Variable
  • %o: alter Wert der Variable
  • %u: Einheit der Variable

Sie können Ihre eigenen übersetzten Text für die Aktionstypen benutzen.
Das Schlüsselwort in der Sprachtabelle muss in der eingestellten Runtime-Sprache definiert sein.

Beispiele

Text bei Sollwertänderung:

Änderung des Durchflusses auf 50 Liter pro Sekunde durch eine Rohrleitung.

Eingabe in der Eigenschaft: $%a;: @Testtext@ (;%v;%u;)

Ausgabe in der CEL: Modifizieren Spontanwert: Testtext (50 L / sec)

Text bei Sollwertänderung (Alter/Neuer Wert):

Änderung des Durchflusses von 50 Liter pro Sekunde auf 75 Liter pro Sekunde durch eine Rohrleitung.

Eingabe in der Eigenschaft: $%a;: @Alt:@ (;%o;%u;) @Neu:@ (;%v;%u;)

Ausgabe in der CEL: Modifizieren Spontanwert: Alt (50 L / sec) Neu (75 L / sec)


Länge statischer Grenzwerttext CEL

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > Ereignisse für CEL definieren > Länge statischer Grenzwerttext CEL

Mithilfe der Eigenschaft Länge statischer Grenzwerttexte CEL legen Sie fest, aus wie vielen Zeichen der Meldungstext in der CEL bestehen darf. Für jede CEL-Datei wird die erlaubte Länge des Meldungstexts in der Kopfzeile gespeichert. Die Änderung dieser Eigenschaft wirkt sich erst dann aus, wenn eine neue CEL-Datei erzeugt wird.

Hinweis: Beim dBase-Export ist die Länge auf 254 Zeichen beschränkt.

CEL.BIN und Netzwerk

In der Datei CEL.BIN werden Meldungstexte als String mit variabler Länge gespeichert und ebenso im Netzwerk übertragen. Das bedeutet, dass CEL-Einträge aus dem Ringpuffer unabhängig von der Eigenschaft Länge statischer Grenzwerttexte CEL nicht längenbegrenzt sind.


CEL-Projektierung über Filter

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter

Die Anzeige der Ereignisse zur Runtime projektieren Sie über Filter. Sie haben dazu mehrere Möglichkeiten:

  1. Informationen, die zur Runtime in der CEL angezeigt werden, definieren:
    Damit legen Sie fest, welche Informationen zu einem Ereignis angezeigt werden.
    Details siehe: Spalteneinstellung für Chronologische Ereignisliste.
  2. Ereignis für die CEL beim Aufschalten filtern und zur Runtime modifizieren:
    Damit definieren Sie Filter vor, geben am dem Bediener an der Maschine die Möglichkeit, eigene Filter zu definieren.
    Details siehe: Filter für Bildumschaltung CEL.
  3. Filter für die Runtime fest vorgeben:
    Damit erstellen Sie Filter, die auf den tatsächlichen Einsatz zugeschnitten sind und blenden nicht benötigte Filterkriterien aus.
    Details siehe: Filter für Bildumschaltung CEL-Filter.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Noch in diesem Kapitel

Spalteneinstellung für Chronologische Ereignisliste

Filter für Bildumschaltung CEL

Filter für Bildumschaltung CEL-Filter


Spalteneinstellung für Chronologische Ereignisliste

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Spalteneinstellung für Chronologische Ereignisliste

Welche Informationen zur Runtime in der CEL angezeigt und auch exportiert werden, legen Sie in den Spalteneinstellungen fest. Diese konfigurieren Sie in den Eigenschaften der Chronologischen Ereignisliste im Projekt:

  1. Öffnen Sie in den Projekteigenschaften den Knoten Chronologische Ereignisliste
  2. Klicken Sie auf die Eigenschaft Spalteneinstellung CEL
  3. Der Dialog für die Spalteneinstellungen wird geöffnet.
  4. Konfigurieren Sie die gewünschten Spalten.
    Hinweis: Bei der Konfiguration der Bildumschaltung wird diese Konfiguration als Default übernommen und kann in der Registerkarte Spalteneinstellungen individuell adaptiert werden.
  5. Hinweis: Für die Berechnung der Spaltenbreite wird die durchschnittliche Zeichenbreite der gewählten Schriftart verwendet.

info Info

In den Projekteinstellungen können Sie mithilfe der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL eine Default-Einstellung für die Reihenfolge und die Größe der Spalten vornehmen. Wenn Sie eine neue Funktion vom Typ Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste anlegen, wird diese Einstellung als Default verwendet und kann in der entsprechenden Registerkarte angepasst werden. Die Einstellung wird in der Datei project.ini gespeichert.

Spaltenkonfiguration

Spalten

Im Listenfeld dieser Registerkarte werden Ihnen alle zur Verfügung stehenden Spaltentypen angezeigt.

Die Reihenfolge der Spaltentypen ändern Sie mithilfe von Drag&Drop im Listenfeld:

  • klicken Sie in die Spalte Spaltentyp
  • verschieben Sie die einzelnen Einträge wie gewünscht

Alternativ können Sie die Reihenfolge über die Schaltflächen Ausgewählten Eintrag nach oben verschieben und Ausgewählten Eintrag nach unten verschieben anpassen.

Parameter

Beschreibung

Checkbox:

Auswahl, welche Spaltentypen angezeigt werden.

Beschreibung

Freier Texteintrag für Beschreibung der Spalte.

Beschreibung ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.

Hinweis: Für die Spaltenbeschreibung ist die zenon Sprachumschaltung verfügbar.

Spaltenbreite

Definiert die Breite der Spalte in Zeichen.

Spaltenbreite ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.
-1: Breite wird zur Runtime über durchschnittliche Zeichenbreite berechnet

Hinweis: Aus Kompatibilitätsgründen erhalten Spalten mit Zeitangaben (Zeitspalten), deren Breite in früheren zenon Versionen nicht geändert werden konnte, automatisch den Wert -1.

Anzeige

Für die Spaltentypen

  • Alarm/Ereignis-Klasse Symbol
  • Alarm/Ereignis-Gruppe Symbol
  • Alarmzustand

ist die Form der Anzeige zur Runtime auswählbar. Wählen Sie aus der Dropdownliste die gewünschte Form aus.

Für den Spaltentyp Anlagengruppe kann ein Anlagenmodell für die Anzeige ausgewählt werden. Das Dropdownmenü zur Auswahl wird erst dann sichtbar, wenn sie auf Höhe des Eintrags Anlagengruppe in die Spalte Anzeige klicken.

Ausgewählten Eintrag nach oben verschieben

Verschiebt ausgewählten Eintrag um eine Position nach oben.

Ausgewählten Eintrag nach unten verschieben

Verschiebt ausgewählten Eintrag um eine Position nach unten.

Vorschaufeld

Zeigt die im Listenfeld gewählten Spalten in der dort definierten Breite.

Via Checkbox aktivierte oder deaktiverte Spaltentypen werden in Echtzeit in der Vorschau aktualisiert.

Sie können die Spaltenbreiten auch im Vorschaufeld anpassen, indem Sie einen Linksklick auf das rechte Ende einer Spalte ausführen, die Maustaste gedrückt halten und bei gedrückter Maustaste und den Spaltenrand entsprechend nach links oder rechts bewegen.
In diesem Fall wechselt die Anzeige des Mauszeigers zu einem Kreuzsymbol.

Tabelleneinstellungen

Parameter | Beschreibung
Absteigend sortieren | Sortiert die Einträge initial in der Liste nach der Spalte Zeit kommt in absteigender Reihenfolge. Diese Einstellung gilt für das Aufschalten des Bilds. In der Runtime können Sie die Sortierreihenfolge durch einen Klick auf den Spaltenkopf ändern. Die momentan verwendete Sortierreihenfolge wird durch einen Pfeil am Spaltenkopf angezeigt. Default: inaktiv
Raster anzeigen | Blendet ein Raster bei der Darstellung der Liste zur Runtime ein. Default: aktiv
Abwechselnde Hintergrundfarbe verwenden | Verwendet abwechselnd die Zeilenfarbe 1 und Zeilenfarbe 2 als Hintergrundfarbe für die Liste in der Runtime. Default: aktiv
Zeilenfarbe 1 | Farbe, die als Hintergrundfarbe für alle ungeraden Zeilen (1, 3, 5 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.
Zeilenfarbe 2 | Farbe, die als Hintergrundfarbe für alle geraden Zeilen (2, 4, 6 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.

Anzeige in den Zeitspalten

Parameter

Beschreibung

Uhrzeit

Zeigt die Zeit für einen Listeneintrag in folgender Form an: HH:MM:SS

Default: aktiv

Datum

Zeigt das Datum für einen Listeneintrag in folgender Form an: TT:MM:JJJJ

Default: aktiv

Millisekunden

Erweitert den Zeiteintrag um Millisekunden. Millisekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Muss aktiviert werden, wenn Millisekunden in Exporten oder Druckausgaben ausgegeben werden sollen.

Mikrosekunden

Erweitert den Zeiteintrag um Mikrosekunden. Mikrosekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Nur verfügbar, wenn die Option Millisekunden aktiviert ist.

Tipp: Wenn Sie das automatische Keyboard in der Runtime aktivieren, wird jedes Mal, wenn eine Eingabe oder Auswahl aus einer Dropdownliste notwendig ist, automatisch ein Fenster mit dem Keyboard aufschalten. Damit können Sie die Spalten auch dann nutzen, wenn Sie einen Rechner ohne Tastatur verwenden.

attention Achtung

Die Spaltenbreite wird in Zeichen angegeben und ist von der verwendeten Schriftart abhängig.

Wenn die Spaltenbreite nicht einem Vielfachen der Zeichenbreite der verwendeten Schriftart entspricht, kann es zu Abweichungen bei der tatsächlichen Spaltenbreite kommen. Das kann zur Folge haben, dass Text abgeschnitten wird oder ein Leerraum entsteht.

Lösung: Verwenden Sie Schriften mit fester Zeichenbreite.


Filter für Bildumschaltung CEL

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL

Mit Filter legen Sie fest, welche Ereignisse zur Runtime angezeigt werden sollen und welche ausgeblendet werden. Filter können im Editor und - je nach den Vorgaben im Editor - zur Runtime definiert werden.

Um die Filterauswahl zur Runtime auf die Bedürfnisse des Operators zuzuschneiden, benutzen Sie statt dem Bild Chronologische Ereignisliste ein Bild vom Typ Chronologische Ereignisliste Filter.

Um eine Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste zu projektieren:

  1. erstellen Sie eine Funktion Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste
  2. der Filterdialog wird geöffnet und bietet mehrere Registerkarten mit Filterkriterien an:
    • Allgemein
    • Zeit
    • Chargen
    • Schicht (kann nicht gleichzeitig mit Chargenfilter verwendet werden)
    • Spalteneinstellungen
    • Text
    • Status
    • Projekt (Steht nur im Integrationsprojekt der Mehrprojektverwaltung zur Verfügung.)
    • Anlagenmodellierung

Optional können, wenn verknüpfte Variablen oder Indizes vorhanden sind, noch folgende Registerkarten angezeigt werden:

  • Verknüpfungen ersetzen
  • Indizes ersetzen

Details dazu lesen Sie im Handbuch Bilder in den Abschnitten Verknüpfungen von Variablen und Funktionen ersetzen und Symbol e.

Noch in diesem Kapitel

Allgemein

Zeit

Chargen

Schicht

Spalteneinstellungen

Text

Status

Projekt

Anlagenmodellierung


Allgemein

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Allgemein

Mit dem allgemeinen Filter legen Sie fest, welche Ereignisse angezeigt werden und welchen Zugriff Sie zur Runtime auf die Einstellung haben. Dazu unterscheiden Sie Ereignisse nach:

  • Art
  • Datenherkunft
  • Variablen
  • Alarm/Ereignis-Gruppen, Klassen und Alarmbereichen

Die folgenden Eigenschaften stehen Ihnen zur Verfügung:

Variablenfilter

Parameter

Beschreibung

Variablenfilter

Einschränkung auf Ereignisse bestimmter Variablen

Variablenname

Geben Sie den Namen oder den Teil des Namens von Variablen an, nach dem Sie filtern möchten.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Kennung

Geben Sie die Kennung oder die Teilkennung von Variablen an, nach der Sie filtern möchten. Wildcard * ist möglich.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Groß-/Kleinschreibung beachten

Aktiv: Groß- und Kleinschreibung wird bei der Filterung nach Variablenname und/oder Kennung beachtet.

Runtime-Einstellungen

Parameter

Beschreibung

Runtime-Einstellungen

Verhalten der CEL zur Runtime

Liste angehalten aufschalten

Aktiv: Solange die Liste angezeigt wird, werden keine neuen Einträge hinzugefügt.

(Nicht verfügbar für Funktion CEL exportieren.)

Relativzeit anzeigen

Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Diesen Dialog zur Runtime anbieten

Aktiv: Vor jedem Aufschalten des Bildes wird der Filterdialog geöffnet. Die Filter-Einstellungen können modifiziert werden. Diese Option steht unter Windows CE nicht zur Verfügung.
Achtung: Wird zusätzlich in der Registerkarte Chargen die Option Chargenauswahldialog anzeigen ausgewählt, dann wird zur Runtime der Chargenauswahldialog aufgeschaltet. Dieser wird bei einem Reload nicht mehr angezeigt.

Hinweise für Zeitbereichsfilter:

Diesen Dialog zur Runtime anbieten aktiv:

  • Der Filter wird zur Runtime bei der Bildumschaltung geöffnet. Beim Nachladen wird der Filter nicht mehr angeboten. Dieses Verhalten kann sich bei einzelnen Bildtypen unterscheiden, wenn der Dialog bei der Bildumschaltung angezeigt und abgebrochen wurde.
  • Es wird immer der letzte abgeschlossene Zeitbereich verwendet.

Diesen Dialog zur Runtime anbieten inaktiv:

  • Letzten abgeschlossenen Zeitbereich verwenden aktiv:
    Es wird der letzte abgeschlossene Zeitbereich verwendet
  • Letzten abgeschlossenen Zeitbereich verwenden inaktiv:
    Es wird der aktuelle Zeitbereich verwendet

Dialog zur Runtime ersetzen mit Bild

Definition eines Bildes, das zur Runtime statt des Dialogs aufgeschaltet werden soll, wenn die Option Diesen Dialog zur Runtime anbieten aktiv ist. Es werden nur Bilder vom Typ CEL-Filter oder Zeitfilter angeboten.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

Datenherkunft

Anzeige aktueller oder aktueller und historischer Ereignisse.

Ringpuffer

Aktiv: Es werden nur Daten aus dem Ringpuffer angezeigt.

Historische Daten
Maximale Anzahl

Aktiv: Es werden historische Daten aus der CEL angezeigt.

Die maximale Anzahl inkludiert die Daten aus dem Ringpuffer. Die jüngsten X Einträge entsprechen den Einträgen im Ringpuffer. X ist für den Ringpuffer definierte Größe.

Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche

Parameter | Beschreibung
Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche | Auswahl von Gruppen, Klassen und Alarmbereichen.
Alarm/Ereignis-Gruppen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Gruppen jene aus, aus denen Alarme angezeigt werden sollen.
Alarm/Ereignis-Klassen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Klassen jene aus, aus denen Alarme angezeigt werden sollen.
Alarmbereiche | Wählen Sie aus den vorhandenen Alarmbereichen jene aus, aus denen Alarme angezeigt werden sollen.

Filter für Systemmeldungen

Parameter

Beschreibung

Filter für Systemmeldungen

Filtereinstellungen für Systemmeldungen. Systemmeldungen sind Meldungen ohne Variablenbezug.

Systemmeldungen immer in Liste anzeigen

Einstellung für die Anzeige von Systemmeldungen unabhängig von den Filtereinstellungen.

  • Aktiv: Systemmeldungen werden zur Runtime immer angezeigt. Folgende Filter werden dadurch unterdrückt:
    Variablenname
    Kennung
    Status
    Anlagenmodellierung
    Alarm/Ereignis-Gruppen
    Alarm/Ereignis-Klassen
    Chargen

Besonderheiten:

  • Systemmeldungen werden trotz aktivierter Checkbox nicht angezeigt, wenn sie durch den Zeitfilter oder die Filter für Datenherkunft (Ringpuffer oder Historische Daten) ausgefiltert werden.
  • Systemmeldungen werden unabhängig von dieser Einstellung immer angezeigt, wenn auf Anlagenmodelle gefiltert wird.

Systemmeldungen und Schichtfilter

  • Aktiv: Beim Anwenden eines Schichtfilters werden die Systemmeldungen angezeigt, deren Zeitstempel innerhalb einer der gewählten Schichten liegt.
  • Inaktiv: Beim Anwenden eines Schichtfilters werden keine Systemmeldungen angezeigt.
    Hinweis: Systemmeldungen, deren Zeitstempel nicht innerhalb einer der gewählten Schichten liegt, werden nie angezeigt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Betrifft zenon unter Windows CE: CE Systeme, auf denen der Filterdialog angezeigt werden soll, müssen über eine höhere Auflösung als 800*600 Pixel verfügen, damit der Dialog vollständig dargestellt werden kann.


Zeit

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit

Zeitfilter ermöglichen es, Daten, die angezeigt oder exportiert werden sollen, zu begrenzen. Die Zeitfilter sind sehr flexibel einsetzbar und können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Zeitfilter können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden für:

  • Absoluter Zeitraum
  • Relativer Zeitraum
  • Ab
  • Zeitbereich

Die Zeitfilterung kann prinzipiell auf zwei Arten erfolgen:

  1. Zeitbereich im Editor vorgeben
    Es werden fixe Zeitbereiche verwendet. Im Editor wird ein Zeitbereich vorgegeben. In der Runtime kann nur mehr nach diesem Zeitbereich gefiltert werden. Auch andere Filter - z B. Filtern nach Variablenname, Alarm/Ereignis-Gruppen und -Klassen usw. - sind zur Runtime nicht mehr anpassbar.
  2. Zeitfilter zur Runtime anpassbar
    Es werden vorprojektierte Zeiten verwendet. Der Zeitfilter wird im Editor vorgegeben und kann zur Runtime beliebig verändert werden.

Achtung: Wird die Option Kein Zeitfilter gewählt, dann können keine Schichten konfiguriert werden.

Zeitfilter

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar


Absoluter Zeitraum

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Zeit > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt. Wenn der Chargenfilter aktiviert ist, wird zur Runtime beim Laden der CEL vorab aus dem Archivserver eine Liste aller hier projektierten Chargen geholt, die dem projektierten Zeitraum entsprechen.

Hinweis: Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus.

Achtung: Alle zu einer Anlage gehörenden Variablen und das Chargen-Archiv müssen mit der gleichen Anlage im Anlagenmodell verknüpft sein.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Dialog zur Runtime ersetzen mit Bild

Nur verfügbar, wenn die Option Chargenauswahldialog anzeigen gewählt wurde.

Definition eines Bildes, das zur Runtime statt des Chargenauswahldialogs aufgeschaltet werden soll. Es werden nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter angeboten.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

Hinweis: Auch über die Option Diesen Dialog zur Runtime anbieten kann ein Chargenfilterbild ausgewählt werden. Dieses wird an dieser Stelle allerdings nicht als Chargenfilter, sondern als Zeitfilterbild verwendet. Die Chargenfilter-Optionen werden an dieser Position nicht richtig angewendet.

Chargenauswahl relativ

Achtung: Diese Option ist nur für Erweiterter Trend verfügbar. Sie wird bei Faceplates für alle Bildtypen angezeigt, ist aber auch hier nur für ETM verfügbar.

Konfiguration für ETM:

Damit die Option verfügbar ist, muss die Option Chargenauswahldialog anzeigen aktiviert und in den Projekteigenschaften die Eigenschaft Windows CE Projekt deaktiviert sein.

  • Aktiv: Ermöglicht direkten Vergleich mehrerer Chargen. Die Darstellung geht immer von Nullpunkt aus.

Hinweis: Bei aktivierter Option stehen zur Runtime die Buttons Diagramm und X-Achsen nicht zur Verfügung. Das gilt auch für die Rechtsklick-Funktionalität.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
    Hinweis: Chargenname darf kein | Zeichen enthalten!
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Schicht

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
      Hinweis: Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird anstelle der Schichtauswahl der komplette Konfigurationsdialog mit allen Registerkarten aufgeschaltet. Der Benutzer kann dann alle Optionen neu definieren.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Bildumschaltung auf verknüpftes Bild

Die Bildumschaltung kann auch auf ein verknüpftes Filter-Bild erfolgen. Dabei können Schichtfilter benutzt werden.
Dazu:

  1. Definieren Sie bei der Bildumschaltung in der Registerkarte Allgemein in der Option Dialog zur Runtime ersetzen mit Bild das gewünschte Filterbild.
  2. Stellen Sie sicher, dass das Filterbild die für die Schichtliste nötigen Kontrollelemente enthält.
  3. Definieren Sie den gewünschten Zeitfilter.
  4. Aktivieren Sie in der Registerkarte Schicht die Option Schichtauswahl anzeigen.
  5. Definieren Sie den Schichtfilter.

Zur Runtime wird bei der Bildumschaltung das verknüpfte Filterbild aufgeschalten. In der Schichtliste werden die Schichten, wie in der Bildumschaltung definiert, angezeigt. Kontrollelemente für Chargen werden ausgeblendet.

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Zur Runtime werden die Schichtliste und der Button Aktualisieren nicht angezeigt.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet.

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Achtung: Es muss zur Runtime mindestens 1 Schicht ausgewählt werden, um die Seite aufschalten oder den Filter konfigurieren zu können.
Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird der gesamte Konfigurationsdialog aufgeschalten.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Systemmeldungen

Systemmeldungen werden in der Registerkarte Allgemein konfiguriert.
Sie wirken auch auf den Schichtfilter:

  • Aktiv: Beim Anwenden eines Schichtfilters werden jene Systemmeldungen angezeigt, deren Zeitstempel innerhalb einer der gewählten Schichten liegt.
  • Inaktiv: Beim Anwenden eines Schichtfilters werden keine Systemmeldungen angezeigt.

Hinweis: Systemmeldungen, deren Zeitstempel nicht innerhalb einer der gewählten Schichten liegt, werden nie angezeigt.

Filter-Button im Bild zur Runtime

Wird im CEL-Bild der Button Filter gedrückt, dann wird, abhängig von der Konfiguration, der komplette Filterdialog inklusive Schichtauswahlliste angezeigt. Damit können die Filtereinstellungen geändert und die Schichtliste aktualisiert werden, um eine andere Schicht zu wählen.


Spalteneinstellungen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Spalteneinstellungen

In diesem Dialog definieren Sie, welche Spalten Sie sich in welcher Form, Reihenfolge und Sortierung anzeigen lassen möchten.

Hinweis: Alle Einstellungen, die Sie in dieser Registerkarte vornehmen, gelten als Default für:

  • Bild vom Typ Chronologische Ereignisliste
  • Bild vom Typ Chronologische Ereignisliste Filter
  • Export nach CSV, dBase oder XML

Diese Default-Einstellungen können bei der Definition der einzelnen CEL-Funktionen geändert werden.

info Info

In den Projekteinstellungen können Sie mithilfe der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL eine Default-Einstellung für die Reihenfolge und die Größe der Spalten vornehmen. Wenn Sie eine neue Funktion vom Typ Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste anlegen, wird diese Einstellung als Default verwendet und kann in der entsprechenden Registerkarte angepasst werden. Die Einstellung wird in der Datei project.ini gespeichert.

Spalten

Im Listenfeld dieser Registerkarte werden Ihnen alle zur Verfügung stehenden Spaltentypen angezeigt.

Die Reihenfolge der Spaltentypen ändern Sie mithilfe von Drag&Drop im Listenfeld:

  • klicken Sie in die Spalte Spaltentyp
  • verschieben Sie die einzelnen Einträge wie gewünscht

Alternativ können Sie die Reihenfolge über die Schaltflächen Ausgewählten Eintrag nach oben verschieben und Ausgewählten Eintrag nach unten verschieben anpassen.

Parameter

Beschreibung

Checkbox:

Auswahl, welche Spaltentypen angezeigt werden.

Beschreibung

Freier Texteintrag für Beschreibung der Spalte.

Beschreibung ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.

Hinweis: Für die Spaltenbeschreibung ist die zenon Sprachumschaltung verfügbar.

Spaltenbreite

Definiert die Breite der Spalte in Zeichen.

Spaltenbreite ändern: führen Sie einen Linksklick auf den entsprechenden Bereich aus. Tragen Sie im Editierfeld den gewünschten Wert ein.
-1: Breite wird zur Runtime über durchschnittliche Zeichenbreite berechnet

Hinweis: Aus Kompatibilitätsgründen erhalten Spalten mit Zeitangaben (Zeitspalten), deren Breite in früheren zenon Versionen nicht geändert werden konnte, automatisch den Wert -1.

Anzeige

Für die Spaltentypen

  • Alarm/Ereignis-Klasse Symbol
  • Alarm/Ereignis-Gruppe Symbol
  • Alarmzustand

ist die Form der Anzeige zur Runtime auswählbar. Wählen Sie aus der Dropdownliste die gewünschte Form aus.

Für den Spaltentyp Anlagengruppe kann ein Anlagenmodell für die Anzeige ausgewählt werden. Das Dropdownmenü zur Auswahl wird erst dann sichtbar, wenn sie auf Höhe des Eintrags Anlagengruppe in die Spalte Anzeige klicken.

Ausgewählten Eintrag nach oben verschieben

Verschiebt ausgewählten Eintrag um eine Position nach oben.

Ausgewählten Eintrag nach unten verschieben

Verschiebt ausgewählten Eintrag um eine Position nach unten.

Vorschaufeld

Zeigt die im Listenfeld gewählten Spalten in der dort definierten Breite.

Via Checkbox aktivierte oder deaktiverte Spaltentypen werden in Echtzeit in der Vorschau aktualisiert.

Sie können die Spaltenbreiten auch im Vorschaufeld anpassen, indem Sie einen Linksklick auf das rechte Ende einer Spalte ausführen, die Maustaste gedrückt halten und bei gedrückter Maustaste und den Spaltenrand entsprechend nach links oder rechts bewegen.
In diesem Fall wechselt die Anzeige des Mauszeigers zu einem Kreuzsymbol.

Tabelleneinstellungen

Parameter | Beschreibung
Absteigend sortieren | Sortiert die Einträge initial in der Liste nach der Spalte Zeit kommt in absteigender Reihenfolge. Diese Einstellung gilt für das Aufschalten des Bilds. In der Runtime können Sie die Sortierreihenfolge durch einen Klick auf den Spaltenkopf ändern. Die momentan verwendete Sortierreihenfolge wird durch einen Pfeil am Spaltenkopf angezeigt. Default: inaktiv
Raster anzeigen | Blendet ein Raster bei der Darstellung der Liste zur Runtime ein. Default: aktiv
Abwechselnde Hintergrundfarbe verwenden | Verwendet abwechselnd die Zeilenfarbe 1 und Zeilenfarbe 2 als Hintergrundfarbe für die Liste in der Runtime. Default: aktiv
Zeilenfarbe 1 | Farbe, die als Hintergrundfarbe für alle ungeraden Zeilen (1, 3, 5 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.
Zeilenfarbe 2 | Farbe, die als Hintergrundfarbe für alle geraden Zeilen (2, 4, 6 etc.) der Liste in der Runtime verwendet wird, wenn Sie Abwechselnde Hintergrundfarbe verwenden aktiviert haben.

Anzeige in den Zeitspalten

Parameter

Beschreibung

Uhrzeit

Zeigt die Zeit für einen Listeneintrag in folgender Form an: HH:MM:SS

Default: aktiv

Datum

Zeigt das Datum für einen Listeneintrag in folgender Form an: TT:MM:JJJJ

Default: aktiv

Millisekunden

Erweitert den Zeiteintrag um Millisekunden. Millisekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Muss aktiviert werden, wenn Millisekunden in Exporten oder Druckausgaben ausgegeben werden sollen.

Mikrosekunden

Erweitert den Zeiteintrag um Mikrosekunden. Mikrosekunden werden als Nachkommaanteil bei den Sekunden dargestellt.

Default: inaktiv

Hinweis: Nur verfügbar, wenn die Option Millisekunden aktiviert ist.

Tipp: Wenn Sie das automatische Keyboard in der Runtime aktivieren, wird jedes Mal, wenn eine Eingabe oder Auswahl aus einer Dropdownliste notwendig ist, automatisch ein Fenster mit dem Keyboard aufschalten. Damit können Sie die Spalten auch dann nutzen, wenn Sie einen Rechner ohne Tastatur verwenden.

attention Achtung

Die Spaltenbreite wird in Zeichen angegeben und ist von der verwendeten Schriftart abhängig.

Wenn die Spaltenbreite nicht einem Vielfachen der Zeichenbreite der verwendeten Schriftart entspricht, kann es zu Abweichungen bei der tatsächlichen Spaltenbreite kommen. Das kann zur Folge haben, dass Text abgeschnitten wird oder ein Leerraum entsteht.

Lösung: Verwenden Sie Schriften mit fester Zeichenbreite.

info Info

Wenn Sie Variablen mit Maßeinheiten projektiert haben, wird bei einem Eintrag der Variablen in der Chronologischen Ereignisliste diese Maßeinheit angezeigt. Voraussetzung hierfür ist, dass Sie sich den Spaltentyp Maßeinheit anzeigen lassen.


Text

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Text

Filtern nach

Parameter | Beschreibung
Filtern nach |
Kein Textfilter | Der Textfilter wird nicht verwendet.
Suche nach (Wörter getrennt durch Leerzeichen) | Der Textfilter wird verwendet. Die weiteren Optionen sind freigeschalten.
Eingabefeld | Geben Sie die entsprechenden Wörter oder Zeichenketten ein.

Optionen

Parameter | Beschreibung
Optionen |
Groß-/Kleinschreibung beachten | Aktiv: Beim Filtern wird zwischen Groß- und Kleinschreibung unterschieden.
Wörter müssen nicht vollständig im Text vorkommen | Aktiv: Auch Wortteile werden beim Filtern berücksichtigt.
Mindestens ein Wort muss im Text vorkommen | Aktiv: Mindestens ein Wort des Suchstrings muss im Text vorkommen.
Alle Wörter müssen im Text vorkommen | Aktiv: Alle Wörter des Suchstrings müssen im Text vorkommen. Die Reihenfolge spielt dabei keine Rolle.
Filtertext muss exakt im Text vorkommen | Aktiv: Der Text muss exakt wie im Suchstring definiert vorkommen.


Status

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Status

Der Zustand der Checkbox gibt an, ob das Statusbit ausgewertet werden soll.

Status der Checkbox | Beschreibung
schwarzer Punkt | Das Statusbit wird nicht ausgewertet.
0 | Es werden nur die Einträge angezeigt, bei denen das Statusbit auf false steht.
1 | Es werden nur die Einträge angezeigt, bei denen das Statusbit auf true steht.

Example Beispiel

Ist die Checkbox SPONT auf 1 gesetzt, werden nur die Alarme angezeigt, die durch Spontanwerte hervorgerufen wurden.

Hinweis: Details zu Statusbits finden Sie im Kapitel Statusverarbeitung.


Projekt

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Projekt

Auswahl der Projekte, die für die CEL berücksichtigt werden sollen. Der Filter zur Auswahl von Unterprojekten steht nur im Integrationsprojekt der Mehrprojektverwaltung zur Verfügung.

Die Auswahl aus dem Integrationsprojekt und allen Unterprojekten erfolgt per Mehrfachauswahl durch Halten der Steuerung-Taste und Mausklick auf die gewünschten Projekte.


Anlagenmodellierung

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL > Anlagenmodellierung

In diesem Dialog konfigurieren Sie die Filterung der CEL nach Anlagenmodellen. Im Filter werden alle bereits erstellten Anlagenmodelle angezeigt. Die Projektierung des Anlagenmodells kann für ein Projekt (nicht jedoch für das Globalprojekt) direkt über die Symbolleiste in diesem Dialog erweitert und geändert werden.

Hinweis: Um bei Einträgen der Chronologischen Ereignisliste die Anlagengruppe anzuzeigen, aktivieren Sie in der Registerkarte Spalteneinstellungen die Checkbox für den Spaltentyp Anlagengruppe und wählen Sie für diesen Eintrag in der Spalte Anzeige aus dem Dropdownmenü das gewünschte Anlagenmodell aus.

info Info

Beim Anwenden eines Anlagenmodellfilters werden immer auch alle Systemmeldungen inkludiert. Das gilt auch dann, wenn in der Bildumschaltung in der Registerkarte Allgemein die Option Systemmeldungen immer in Liste anzeigen deaktiviert wurde.

Um Gruppen zum Filter hinzuzufügen:

  1. wählen Sie das gewünschte Element
  2. klicken Sie auf die Schaltfläche Hinzufügen
  3. wiederholen Sie den Vorgang, bis alle benötigten Gruppen in der Liste enthalten sind
    (Mehrfachauswahl ist nicht möglich)

Um Gruppen aus dem Filter zu entfernen:

  1. wählen Sie die gewünschten Elemente
    (Mehrfachauswahl: Steuerung- oder Umschalt-Taste gedrückt halten und gewünschte Elemente anklicken)
  2. klicken Sie auf die Schaltfläche Entfernen

Anlagenmodellierung

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Filter für Bildumschaltung CEL-Filter

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter

Um eine Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste Filter zu projektieren:

  1. Erstellen Sie eine Funktion Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste Filter.

    Der Filter wird mit allen Registerkarten angezeigt:

    • Bilder
    • Allgemein
    • Text
    • Zeit
    • Chargen
    • Schicht
    • Spalteneinstellungen

Noch in diesem Kapitel

Bilder

Allgemein

Text

Zeit

Chargen

Schicht

Spalteneinstellungen


Bilder

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Bilder

In dieser Registerkarte definieren Sie die Bilder, die durch den Bildfilter aktualisiert werden sollen.

Folgende Einstellungen stehen Ihnen zur Verfügung:

Filter wird aus folgendem Bild übernommen

Parameter

Beschreibung

Filter wird aus folgendem Bild übernommen

Definition des Bildes, von dem der Filter übernommen werden soll.

Aufrufendes Bild

Aktiv: Die Filtereinstellungen werden aus dem Bild übernommen, aus dem das Filterbild aufgerufen wird. Die Schaltfläche Bild ist ausgegraut. Sie können kein Bild explizit angeben, da bei dieser Einstellung die Filteraktualisierung immer vom aufrufenden Bild aus erfolgt.

Hinweis: Einstellungen in den Registerkarten Allgemein, Text und Zeit sind gesperrt.

Vordefiniertes Bild

Klick auf Schaltfläche öffnet den Bildauswahldialog.

Wählen Sie das Bild aus, von dem der Filter - beim Betätigen des Buttons Aktualisieren in der Runtime - gelesen werden soll.

Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.

Achtung: Beim initialen Aufschalten des Filterbildes über die Funktion wird der in der Funktion projektierte Filter verwendet, nicht der Filter des hier angegebenen Bildes!

Hinweis: Es ist nur sinnvoll ein Bild auszuwählen, das den Bildfilter übernehmen oder füllen kann.

Das ausgewählte Bild wird in die Liste der zu aktualisierenden Bilder eingetragen. Wenn Sie es aus der Liste löschen, tritt automatisch das nächste ausgewählte Bild aus der Liste an dessen Stelle.

Hinweis: Nicht verfügbar, wenn Sie die Checkbox Aufrufendes Bild aktiviert haben.

Zu aktualisierende Bilder

Parameter | Beschreibung
Zu aktualisierende Bilder | Auswahl der Bilder, die aktualisiert werden sollen. Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.
Bildauswahl | Klick auf Schaltfläche öffnet Dialog zur Bildauswahl der Filterbilder. Wählen Sie die gewünschten Bilder.
Aktualisierung | Festlegung, wo sich die Filterübernahme auswirken soll.
Auf allen Bildschirmen aktualisieren | Aktiv: Die Bilder aus der Liste der zu aktualisierenden Bilder werden auf allen verfügbaren Bildschirmen aktualisiert.


Allgemein

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Allgemein

Mit dem allgemeinen Filter legen Sie fest, welche Ereignisse angezeigt werden und welchen Zugriff Sie zur Runtime auf die Einstellung haben. Dazu unterscheiden Sie Ereignisse nach:

  • Art
  • Datenherkunft
  • Variablen
  • Alarm/Ereignis-Gruppen, Klassen und Alarmbereichen

Die folgenden Eigenschaften stehen Ihnen zur Verfügung:

Variablenfilter

Parameter

Beschreibung

Variablenfilter

Einschränkung auf Ereignisse bestimmter Variablen

Variablenname

Geben Sie den Namen oder den Teil des Namens von Variablen an, nach dem Sie filtern möchten.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Achtung: Das Komma-Zeichen (,) dient bei der Filterung "nur" als Trenner zwischen mehreren zu filternden Variablen. Es kann jedoch nicht nach einem Komma-Zeichen im Variablennamen gefiltert werden!
Dies hat zur Konsequenz, dass die spezielle Filterung von Array Variablen für Dim 2 und Dim 3 nicht möglich ist.

Kennung

Geben Sie die Kennung oder die Teilkennung von Variablen an, nach der Sie filtern möchten. Wildcard * ist möglich.

Die Verwendung der Wildcard * ist möglich. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Hinweis: In der Runtime oder im Editor eingegebene Filterbegriffe werden auf dem lokalen Rechner in der zenon6.ini automatisch gespeichert und stehen in der Dropdownliste zur Auswahl zur Verfügung.

Groß-/Kleinschreibung beachten

Aktiv: Groß- und Kleinschreibung wird bei der Filterung nach Variablenname und/oder Kennung beachtet.

Datenherkunft

Parameter

Beschreibung

Datenherkunft

Anzeige aktueller oder aktueller und historischer Ereignisse.

Ringpuffer

Aktiv: Es werden nur Daten aus dem Ringpuffer angezeigt.

Historische Daten
Maximale Anzahl

Aktiv: Es werden Daten aus dem Ringpuffer und historische Daten aus der CEL angezeigt.

Die maximale Anzahl der anzuzeigenden Daten inkludiert die Daten aus dem Ringpuffer.

Runtime-Einstellungen

Verhalten der CEL zur Runtime

Liste angehalten aufschalten

Aktiv: Solange die Liste angezeigt wird, werden keine neuen Einträge hinzugefügt.

(Nicht verfügbar für Funktion CEL exportieren.)

Relativzeit anzeigen

Alle Einträge werden im zeitlichen Abstand zum ausgewählten Eintrag angezeigt.

Die angegebene Zeit ist die Differenz-Zeit, die seit dem ausgewählten Ereignis verstrichen ist. Der ausgewählte Eintrag erhält automatisch den Zeitstempel 0. Die anderen Ereignisse haben eine:

  • positive Zeitdifferenz zum ausgewählten Eintrag, wenn sie später stattfanden
  • negative Zeitdifferenz zum ausgewählten Eintrag, wenn sie vorher stattfanden

Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche

Parameter | Beschreibung
Alarm/Ereignis-Gruppen/Klassen, Alarmbereiche | Auswahl von Gruppen, Klassen und Alarmbereichen.
Alarm/Ereignis-Gruppen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Gruppen jene aus, aus denen Alarme angezeigt werden sollen.
Alarm/Ereignis-Klassen | Wählen Sie aus den vorhandenen Alarm/Ereignis-Klassen jene aus, aus denen Alarme angezeigt werden sollen.
Alarmbereiche | Wählen Sie aus den vorhandenen Alarmbereichen jene aus, aus denen Alarme angezeigt werden sollen.

Filter für Systemmeldungen

Parameter

Beschreibung

Filter für Systemmeldungen

Filtereinstellungen für Systemmeldungen. Systemmeldungen sind Meldungen ohne Variablenbezug.

Systemmeldungen immer in Liste anzeigen

Einstellung für die Anzeige von Systemmeldungen unabhängig von den Filtereinstellungen.

  • Aktiv: Systemmeldungen werden zur Runtime immer angezeigt. Folgende Filter werden dadurch unterdrückt:
    Variablenname
    Kennung
    Status
    Anlagenmodellierung
    Alarm/Ereignis-Gruppen
    Alarm/Ereignis-Klassen
    Chargen

Besonderheiten:

  • Systemmeldungen werden trotz aktivierter Checkbox nicht angezeigt, wenn sie durch den Zeitfilter oder die Filter für Datenherkunft (Ringpuffer oder Historische Daten) ausgefiltert werden.
  • Systemmeldungen werden unabhängig von dieser Einstellung immer angezeigt, wenn auf Anlagenmodelle gefiltert wird.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Für zenon unter Windows CE gilt: CE Systeme, auf denen der Filterdialog angezeigt werden soll, müssen über eine höhere Auflösung als 800*600 Pixel verfügen, damit der Dialog vollständig dargestellt werden kann.


Text

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Text

Filtern nach

Parameter | Beschreibung
Filtern nach |
Kein Textfilter | Der Textfilter wird nicht verwendet.
Suche nach (Wörter getrennt durch Leerzeichen) | Der Textfilter wird verwendet. Die weiteren Optionen sind freigeschalten.
Eingabefeld | Geben Sie die entsprechenden Wörter oder Zeichenketten ein.

Optionen

Parameter | Beschreibung
Optionen |
Groß-/Kleinschreibung beachten | Aktiv: Beim Filtern wird zwischen Groß- und Kleinschreibung unterschieden.
Wörter müssen nicht vollständig im Text vorkommen | Aktiv: Auch Wortteile werden beim Filtern berücksichtigt.
Mindestens ein Wort muss im Text vorkommen | Aktiv: Mindestens ein Wort des Suchstrings muss im Text vorkommen.
Alle Wörter müssen im Text vorkommen | Aktiv: Alle Wörter des Suchstrings müssen im Text vorkommen. Die Reihenfolge spielt dabei keine Rolle.
Filtertext muss exakt im Text vorkommen | Aktiv: Der Text muss exakt wie im Suchstring definiert vorkommen.


Zeit

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Zeit

In dieser Registerkarte definieren Sie den Zeitbereich, der beim Öffnen des Filterbildes verwendet werden soll.

Details zu den Zeit-Filteroptionen lesen Sie im Kapitel Filter für Bildumschaltung CEL/Zeit.

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Chargen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Chargen

In dieser Registerkarte definieren Sie die Chargen, die angezeigt werden sollen.

Hinweis: Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter

Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden

Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archiv(e)

Konfiguration der Filterung auf Archive. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter

Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch

Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable

Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für alle Module nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Name(n)

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter

Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch

Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable

Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.

Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Schicht

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Systemmeldungen

Systemmeldungen werden in der Registerkarte Allgemein konfiguriert.
Sie wirken auch auf den Schichtfilter:

  • Aktiv: Beim Anwenden eines Schichtfilters werden jene Systemmeldungen angezeigt, deren Zeitstempel innerhalb einer der gewählten Schichten liegt.
  • Inaktiv: Beim Anwenden eines Schichtfilters werden keine Systemmeldungen angezeigt.

Hinweis: Systemmeldungen, deren Zeitstempel nicht innerhalb einer der gewählten Schichten liegt, werden nie angezeigt.

Filter-Button im Bild zur Runtime

Wird im CEL-Bild der Button Filter gedrückt, dann wird abhängig von der Konfiguration, der komplette Filterdialog inklusive Schichtauswahlliste angezeigt. Damit können die Filtereinstellungen geändert und die Schichtliste aktualisiert werden, um eine andere Schicht zu wählen.


Spalteneinstellungen

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Spalteneinstellungen

In dieser Registerkarte definieren Sie, wie die Archivliste, die Chargenliste und die Schichtliste zur Runtime angezeigt werden:

  • Auswahl der anzuzeigenden Spalten
  • Sortierung der Spalten
  • Formatierung der Spalten:
    • Beschriftung
    • Breite
    • Ausrichtung

Dialog Spalteneinstellungen

Archivliste

Option

Beschreibung

Archivliste

Konfiguration der Archivliste. Anzeige der konfigurierten Spalten.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Chargenliste

Option

Beschreibung

Chargenliste

Konfiguration der Chargenliste. Anzeige der konfigurierten Spalten.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Schichtliste

Option

Beschreibung

Schichtliste

Konfiguration der Schichtliste. Anzeige der konfigurierten Spalten.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl

Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten.

Spaltenformat

Klick auf Schaltfläche öffnet Dialog zur Formatierung der Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Spalteneinstellungen > Spaltenauswahl

Auswahl und Reihenfolge der Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL-Projektierung über Filter > Filter für Bildumschaltung CEL-Filter > Spalteneinstellungen > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


CEL Ringpuffer

Handbuch > Chronologische Ereignisliste (CEL) > CEL projektieren > CEL Ringpuffer

Ereignisse werden, sobald sie auftreten, in einem Ringpuffer (cel.bin) und einer Ereignisdatei (*.cel) im Runtimeordner gespeichert.

Ringpuffer

Der Ringpuffer enthält alle anstehenden Ereignisse. Diese werden verwaltet über:

  • Zeit kommt in Millisekunden als eindeutige Signatur

Größe des Ringpuffers

Die Größe des Ringpuffers muss in den Projekteigenschaften mit der Eigenschaft Größe des Ringpuffers ausreichend dimensioniert werden.

Zur Runtime werden beim Aufschalten des CEL-Bildes alte Einträge in der Liste belassen. Sobald neue Einträge hinzugefügt werden, kann die Zahl der angezeigten Einträge die für den Ringpuffer projektierte Größe überschreiten. Beim Neuaufschalten der Liste werden die alten Einträge entfernt und die projektierte Größe wird wieder eingehalten. Dieses Verhalten dient dazu, Datenverlust bei aufgeschalteter Liste zu verhindern.

Achtung: Das Anzeigen von Einträgen über die definierten Werte hinaus belegt zusätzlichen Arbeitsspeicher. Dieser wird beim Neuaufschalten nicht frei gegeben, sondern bleibt beim zuletzt erreichten Höchstwert.

Ringpuffer speichern

Der Ringpuffer wird beim Beenden der Runtime automatisch als cel.bin gespeichert. Wird die Runtime durch unerwartete Ereignisse beendet, wie Spannungsausfall, kommt es zu Datenverlust. Um das zu verhindern, kann der Ringpuffer über die Eigenschaft Ringpuffer bei Wertänderung speichern bei jedem neuen Eintrag oder über die Funktion AML- und CEL-Ringpuffer speichern manuell gespeichert werden.

Ereignisdatei

Alle Alarme werden zeitgleich mit dem Ringpuffer in eine eigene CEL-Datei (*.cel) geschrieben. Diese wird für jeden Kalendertag automatisch erstellt und über die Eigenschaft CEL-Daten speichern verwaltet. Der Name der Datei setzt sich zusammen aus dem Buchstaben C, gefolgt vom Datum in der Form JJMMTT und der Endung .cel, z. B. C100623.cel. Diese Dateien werden für jeden Tag automatisch erstellt und müssen bei begrenztem Speicherplatz vom Anwender ausgelagert oder gelöscht werden. *.cel Dateien werden im Ordner ...\Projektordner\Computername\Projektname gespeichert.

Synchronisierung von Ringpuffer und Alarmdatei

Ringpuffer und CEL-Datei werden synchronisiert. Diese Synchronisierung erfolgt immer vom Ringpuffer zur CEL-Datei.

Speicherzeiträume

Die Chronologische Ereignisliste *.cel wird bei jedem neuen Eintrag gespeichert.

Der Ringpuffer (*.bin) wird gespeichert:

  • beim Beenden der Runtime
  • bei aktiver Eigenschaft Ringpuffer bei Wertänderung speichern nach jedem neuen Eintrag
  • beim Ausführen der Funktion AML- und CEL-Ringpuffer speichern

Hinweis: Ist die Option Ringpuffer bei Wertänderung speichern deaktiviert, werden nach einem Stromausfall die Einträge in der CEL und im Ringpuffer eventuell nicht mehr übereinstimmen.


Funktionen

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen

Über Funktionen werden zur Runtime die Anzeige und Handhabung der CEL gesteuert.

attention Achtung

Werden Funktionen im Netzwerk eingesetzt, beachten Sie deren Ausführungsort.

Noch in diesem Kapitel

Bildumschaltung CEL

Bildumschaltung CEL-Filter

Funktionen für Chronologische Ereignisliste


Bildumschaltung CEL

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Bildumschaltung CEL

Um ein Bild vom Typ Chronologische Ereignisliste zur Runtime aufzuschalten:

  1. Legen Sie Bild vom Typ Chronologische Ereignisliste an.
  2. Erstellen Sie eine Funktion Bildumschaltung auf das Bild.
  3. Definieren Sie die gewünschten Filtereigenschaften.

Zur Runtime können die Filtereigenschaften modifiziert werden. Ausnahme: Im Editor wurden feste Zeitfilter definiert.

Bildumschaltung projektieren

Um eine Bildumschaltung auf ein Bild vom Typ CEL anzulegen:

  1. Wählen Sie im Kontextmenü des Knotens Funktion den Befehl Funktion neu.
  2. Klicken Sie auf Bildumschaltung.

    Der Dialog zur Bildauswahl wird angezeigt.

  3. Wählen Sie das Bild vom Typ CEL.
    Oder: Legen Sie es in diesem Dialog mit Klick auf das Symbol Bild neu an.

    Der Filter wird mit allen Registerkarten angezeigt:

    • Allgemein
    • Zeit
    • Chargen
    • Schicht (kann nicht gleichzeitig mit Chargenfilter verwendet werden)
    • Spalteneinstellungen
    • Text
    • Status
    • Projekt (Steht nur im Integrationsprojekt der Mehrprojektverwaltung zur Verfügung.)
    • Anlagenmodellierung

    Optional können, wenn verknüpfte Variablen oder Indizes vorhanden sind, noch folgende Registerkarten angezeigt werden:

    • Verknüpfungen ersetzen
    • Indizes ersetzen

  4. Definieren Sie die Filter, die zur Runtime vordefiniert sein sollen.
  5. Bestätigen Sie die Einstellungen und schließen Sie den Dialog mit Klick auf OK.
  6. Verknüpfen Sie die Funktion mit einem Button, um zur Runtime auf das Bild umzuschalten und die Filtereigenschaften anzubieten.

info Info

Wird auf ein Bild referenziert, das keine Zeitfilter hat, dann werden die Zeitfilter deaktiviert.


Bildumschaltung CEL-Filter

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Bildumschaltung CEL-Filter

Um ein Bild vom Typ Chronologische Ereignisliste Filter zur Runtime aufzuschalten:

  1. legen Sie ein Bild vom Typ Chronologische Ereignisliste Filter an
  2. erstellen Sie eine Funktion Bildumschaltung auf das Bild
  3. definieren Sie die gewünschten Filtereigenschaften

Die Filtereigenschaften lassen sich zur Runtime nur über die im Bild definierten Buttons steuern.

Bildumschaltung projektieren

Um eine Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste Filter anzulegen:

  1. wählen Sie im Kontextmenü des Knotens Funktionen den Befehl Funktion neu
  2. klicken Sie auf Bildumschaltung
  3. der Dialog zur Bildauswahl wird angezeigt
  4. wählen Sie das Bild vom Typ Chronologische Ereignisliste Filter
    oder legen Sie es in diesem Dialog mit Klick auf das Symbol Bild neu an
  5. der Filter wird mit allen Registerkarten angezeigt:
    • Bilder
    • Allgemein
    • Text
    • Zeit
    • Chargen
    • Schicht
    • Spalteneinstellungen

  6. definieren Sie die Filter, die zur Runtime vordefiniert sein sollen
  7. bestätigen Sie die Einstellungen und schließen Sie den Dialog mit Klick auf OK
  8. verknüpfen Sie die Funktion mit einem Button, um zur Runtime auf das Bild umzuschalten und die Filtereigenschaften anzubieten


Funktionen für Chronologische Ereignisliste

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste

Verschiedene Funktionen ermöglichen die Handhabung von Ereignissen zur Runtime.

Um eine Funktion für die Chronologische Ereignisliste zu erstellen:

  1. navigieren Sie zum Knoten Funktionen
  2. wählen Sie im Kontextmenü oder auf der Symbolleiste den Befehl Funktion neu
  3. der Dialog zur Auswahl von Funktionen wird geöffnet
  4. navigieren Sie zum Knoten AML/CEL

  5. wählen Sie die gewünschte Funktion
  6. konfigurieren Sie die Funktion, wenn nötig
  7. verknüpfen Sie die Funktion mit einem Button

Noch in diesem Kapitel

AML- und CEL-Ringpuffer speichern

CEL exportieren

Drucken AML oder CEL

Online-Drucken ein/ausschalten

Online-Drucken neue Seite beginnen

Online Drucker umschalten


AML- und CEL-Ringpuffer speichern

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > AML- und CEL-Ringpuffer speichern

Mit dieser Funktion können zur Runtime der Inhalt der Ringpuffers für Alarme und Ereignisse sowie die Werte von Mathematik-Variablen (Zähler) gespeichert werden. Die Einträge werden in folgenden Dateien gespeichert:

Datei | Inhalt | Größe einstellbar über Eigenschaft
ALARM.BIN | Alarme | Größe des Ringpuffers
CEL.BIN | Einträge der Chronologischen Ereignisliste | Größe des Ringpuffers
SY_MA32.BIN | Werte mathematischer Variablen (z. B. Zähler) |

Beispiel: Speichern des AML-Ringpuffers.

Vorgehen:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie AML- und CEL-Ringpuffer speichern.
  3. Verknüpfen Sie die Funktion mit einem Button.


CEL exportieren

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > CEL exportieren

Mit dieser Funktion können zur Runtime die gespeicherten Ereignisse mit Filterbedingungen in eine Datei oder Datenbank exportiert werden.

Um CEL-Einträge zu exportieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie CEL exportieren.
  3. Der Dialog zur Auswahl der Filterkriterien öffnet sich.

  4. Definieren Sie die Kriterien für:
    • Exportformat
    • Allgemein
    • Zeit
    • Text
    • Status
    • Anlagenmodellierung
    • Projekt
  5. Verknüpfen Sie die Funktion mit einem Button

Noch in diesem Kapitel

Exportformat

CSV: Exportierte Spalten

dBase: Exportierte Spalten

SQL: Exportierte Spalten

XML: Exportierte Spalten


Exportformat

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > CEL exportieren > Exportformat

Exporte können in unterschiedliche Formate erfolgen. Welche Spalten wie exportiert werden, hängt von der Quelle (AML/CEL) und vom Exportformat ab.

Daten werden unterschiedlich exportiert für:

  • CSV
  • dBase
  • SQL
  • XML

info Info

Der Export nach SQL erfolgt inkrementell. Liegen bereits exportierte Daten vor, werden nur neue und geänderte Daten exportiert.

Spaltenauswahl

Die Auswahl der zu exportierenden Spalten hängt ab vom Exportformat:

  • CSV, DBF und XML: Auswahl über den Dialog der Projekteigenschaft Spalteneinstellung AML für die AML und Spalteneinstellung CEL für die CEL.
  • SQL: Feste Einstellungen für den inkrementellen Export, die nicht weiter konfiguriert werden können.
    Hinweis: Mit Version 7.20 wurde die Spalte RESLABEL für die Betriebsmittelkennung hinzugefügt. Bereits existierende Exporttabellen können damit nicht weiter benutzt werden. Die Tabelle muss für den korrekten Export umbenannt werden.

Export konfigurieren

Exportformat

Parameter

Beschreibung

Exportformat

Auswahl des Dateityps. Mögliche Formate:

  • dBase: DBaseIV-Format (*.dbf):
  • CSV
  • XML
  • SQL

Hinweis zu dBase:

  • Dateinamen dürfen nicht länger als acht Zeichen sein.
  • Projektierte Spaltenbreite wird für Export verwendet. Ist z. B. unter Spalteneinstellungen ein Wert von 40 Zeichen eingestellt, werden auch nur maximal 40 Zeichen exportiert.
  • Es werden maximal 255 Zeichen exportiert.

Optionen

Parameter | Beschreibung
Optionen |
Als Unicode exportieren | Export in ASCII-Format erfolgt in Unicode.
Inkrementell exportieren | Es werden nur Unterschiede seit dem letzten Export exportiert.

Zeitformat

Parameter | Beschreibung
Zeitformat | Definition des Formats, in dem die Zeit gespeichert wird.
Zeitstempel in Lokalzeit und -format exportieren | Zeitstempel wird in die lokale Zeit und das lokale Format exportiert.
Zeitstempel in Lokalzeit exportieren (ISO 8601) | Zeitstempel wird in UTC-Zeit plus Zeitverschiebung exportiert.
Zeitstempel in UTC exportieren (ISO 8601) | Zeitstempel wird in die koordinierte Weltzeit (UTC) exportiert. UTC wird als Weltzeit überall dort eingesetzt, wo weltweit eine einheitliche Zeitskala benötigt wird.

Export in Datei

Parameter

Beschreibung

Export in Datei

Festlegung der Datei, in der der Export gespeichert wird.

Dateiname

Dateiname individuell festlegen.

Maximal 32 alphanumerische Zeichen inklusive Dateiendung.

Hinweis: Bestehende Dateien gleichen Namens werden überschrieben.

Dateinamen automatisch generieren

Aktiv : Der Dateinamen wird aus einer Kurzkennung, einem Datumsschlüssel und einem individuellen Postfix automatisch generiert.
Inaktiv : Der Dateiname wird vom Benutzer unter Dateiname eingegeben.

(Bestehende Dateien werden nicht überschrieben.)

Details siehe nächste Tabelle: Kodierung Name für automatische Namensvergabe

Postfix

Freie, individuelle Kennung. Steht nur für Dateinamen automatisch generieren zur Verfügung.

Mögliche Eingaben:

  • dBase: 1 alphanumerisches Zeichen
  • ASCII und XML: 32 alphanumerische Zeichen

Beispiel

Anzeige des vollständigen Dateinamens bei automatischer Generierung.

Eingestellter Exportordner

Anzeige des aktuell in den Projekteigenschaften eingestellten Exportpfades . (Eigenschaft Runtime-Ordner im Knoten Allgemein/Name/Ordner.)

Export in SQL-Datenbank

Parameter für den Export in eine SQL-Datenbank

Datenbankverbindung

Konfiguration der Datenbankverbindung. Klick auf Schaltfläche ... öffnet Konfigurationsdialog.

Tabelle

Auswahl der Tabelle, in die geschrieben werden soll.

Kodierung Name für automatische Namensvergabe

Beispiel für die Kodierung der automatischen Namensvergabe eines AML-Exports:

Name

AJJMMTTP.XXX

A

Kurzkennung der Alarmmeldeliste

JJMMTT

Datumsangabe:

  • JJ: Jahr, zweistellig
  • MM: Monat, zweistellig
  • TT: Tag, zweistellig

P

Freie, individuelle Kennung:

  • dBase: 1 alphanumerisches Zeichen
  • ASCII und XML: 32 alphanumerische Zeichen

XXX

Dateiendung:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Hinweis: Die Kurzkennung für die Chronologische Ereignisliste lautet C. Ansonsten folgt die Kodierung des Namens dem im Beispiel beschriebenen Vorgehen.

Formales

  • Format der Zeileneinträge: wird aus den Einstellungen der Eigenschaft Spalteneinstellung AML bzw.Spalteneinstellung CEL übernommen.
  • Spaltentrennzeichen: Semikolon (Strichpunkt ;)

attention Achtung

Millisekunden für Druck und Export

Soll beim Drucken oder beim Exportieren von AML oder CEL nach CSV, XML oder dBase die Zeit in Millisekunden angegeben werden, muss diese Eigenschaft im Dialog für die Spalteneinstellungen aktiviert werden. Dazu:

  • Navigieren Sie in den Projekteigenschaften zum Knoten Alarmmeldeliste oder Chronologische Ereignisliste.
  • Klicken Sie auf die Schaltfläche ... der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL.
  • Der Dialog für die Spalteneinstellung wird geöffnet.
  • Aktivieren Sie die Checkbox vor der Eigenschaft Millisekunden.

Die Einstellung muss für AML und CEL jeweils extra vorgenommen werden.

Hinweise SQL

attention Achtung

Stellen Sie sicher, dass der in der Verbindung konfigurierte Provider zur Runtime am Runtime-Rechner verfügbar ist.

Hinweis: Mit dem zenon Editor wird auch ein SQL Client installiert. Da die zenon Runtime keinen SQL Server benötigt, wird auch kein SQL Client automatisch installiert. Dieser kann von der Microsoft Website heruntergeladen werden und muss individuell installiert werden.

Achten Sie bei der Installation des Providers auf die korrekte Version. Diese muss zur verwendeten zenon Version passen. Das heißt: Wird eine 32-Bit zenon Runtime verwendet, muss der Provider eine 32-Bit Version sein. Das gilt auch dann, wenn er auf einem 64-Bit Betriebssystem installiert wird und auch wenn die Datenbank selbst eine 64 Bit Anwendung ist.

attention Achtung

Bei Verwendung des Native Client 10 und 11 wird das Passwort nicht automatisch in den Providerstring übernommen. Es muss manuell eingetragen werden.

Z.B.: ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV: Exportierte Spalten

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > CEL exportieren > CSV: Exportierte Spalten

Der Export nach CSV dient vor allem der Weiterverarbeitung in anderen Applikationen. Die Daten werden entsprechend der Auswahl in Spalteneinstellung AML beziehungsweise Spalteneinstellung CEL exportiert:

  • Es werden nur Daten der ausgewählten Spalten exportiert.
  • Die Reihenfolge in der Exportdatei entspricht der im Dialog definierten.
  • Trennzeichen: Semikolon (;)
  • Spaltentitel werden nicht exportiert.


dBase: Exportierte Spalten

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > CEL exportieren > dBase: Exportierte Spalten

Für den Export in eine dBase-Datei werden die Daten entsprechend der Auswahl in Spalteneinstellung AML beziehungsweise Spalteneinstellung CEL exportiert:

  • Es werden nur Daten der ausgewählten Spalten exportiert.
  • Die Reihenfolge in der Exportdatei ist fest definiert.

Spalten in exportierter Reihenfolge:

Spalte | Typ | Größe | Beschreibung
DATUM_KOMM | Date | 8 | Alarm gekommen: Datum.
ZEIT_KOMMT | Character | 10 | Alarm gekommen: Zeit.
ALARMTEXT | Character | 40 | Grenzwerttext.
TAG_NR | Character | 40 | Variablenkennung.
KOMMENTAR | Character | 45 | Kommentar.
STATUS | Character | 4 | Status der Variable.
WERT | Character | 10 | Variablenwert.
USER | Character | 6 | Benutzerkennung.
COMPUTER | Character | 48 | Rechnername.
VAR_NAME | Character | 32 | Variablenname.
RESLABEL | Character | 15 | Betriebsmittelkennung.
PROJ_NAME | Character | 31 | Projektname.
CLASS | Character | 31 | Name der Alarmklasse.
GROUP | Character | 31 | Name der Alarmgruppe.


SQL: Exportierte Spalten

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > CEL exportieren > SQL: Exportierte Spalten

Für den SQL-Export werden die Daten in einer fest definierten Reihenfolge inkrementell exportiert.

Spalten in exportierter Reihenfolge:

Spalte | Typ | Beschreibung
[VAR] | varchar(128) | Variablenname.
[TAG] | varchar(128) | Variablenkennung.
[RESLABEL] | varchar(128) | Betriebsmittelkennung.
[TEXT] | varchar(1024) | Grenzwerttext.
[COMES_S] | int | Alarm gekommen in Unix-Zeit (Sekunden seit 01. 01. 1970).
[COMES_MS] | int | Alarm gekommen: Millisekundenanteil.
[STATUS] | int | Status der Variable.
[VALUE] | varchar(128) | Variablenwert.
[USERID] | varchar(128) | Benutzerkennung.
[COMP] | varchar(128) | Rechnername.
[ACT_TEXT] | varchar(128) | Alarm: Kommentar.
[PRJ] | varchar(128) | Projektname.
[CLASS] | varchar(128) | Name der Alarmklasse.
[GROUP] | varchar(128) | Name der Alarmgruppe.


XML: Exportierte Spalten

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > CEL exportieren > XML: Exportierte Spalten

Beim Export in eine XML-Datei werden die Daten entsprechend der Auswahl in Spalteneinstellung AML beziehungsweise Spalteneinstellung CEL exportiert:

  • Es werden nur Daten der ausgewählten Spalten exportiert.
  • Die Reihenfolge in der Exportdatei entspricht der im Dialog definierten.
  • Spaltentitel werden als Tags verwendet. Alle dabei nicht erlaubten Zeichen werden vor dem Export entfernt und ersetzt.
    Regeln für das Ersetzen:
    • Leerzeichen: Unterstrich (_).
    • Andere verbotene Zeichen: Bindestrich (-).


Drucken AML oder CEL

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > Drucken AML oder CEL

Mit dieser Funktion können zur Runtime die gespeicherten Ereignisse mit Filterbedingungen auf einem Drucker ausgegeben werden

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Drucken AML oder CEL
  3. der Dialog zur Auswahl der Liste öffnet sich

  4. wählen Sie Chronologische Ereignisliste
  5. der Dialog zur Auswahl der Filterkriterien öffnet sich
  6. definieren Sie die Kriterien für:
    • Allgemein
    • Zeit
    • Text
    • Status
    • Schrift: Auswahl aus den in zenon definierten Schriften
  7. verknüpfen Sie die Funktion mit einem Button

info Info

Zur Runtime kann nicht zwischen CEL und AML umgeschaltet werden. Um beide Listen drucken zu können, müssen zwei Funktionen projektiert werden.

Zeilenaufbau

Datum/Zeit gekommen | Datum/Zeit gegangen | Datum/Zeit quittiert | Langtext | Zustandstext

Die zur Verfügung stehenden Schlüsselworte für die Formatierungsdatei (BTB.FRM für Online-Druck und BTB_G.FRM für Offline-Druck) und Beispiel für deren Verwendung finden Sie im Kapitel FRM-Konfigurationsdatei im Abschnitt Bedienen zur Runtime.

Eine FRM-Datei gliedert sich in drei Teile:

  • Kopfteil: am Seitenbeginn
  • Listenteil: zyklisch pro Zeile
  • Fußteil: am Seitenende

Grundsätze

Beachten Sie beim Bearbeiten von FRM-Dateien:

  • Trennung der Listenteile:
    • Kopfteil und Listenteil sowie Listenteil und Fußteil werden durch %% getrennt.

      Diese Gliederungsmarkierung darf nur je einmal für den Listenteil und den Fußteil verwendet werden.

    • Achtung: Nach der letzten Zeile müssen mindestens zwei leere Absätze folgen. Andernfalls wird die Fußzeile nicht gedruckt!
  • Positionierung der einzelnen Einträge:
    Es dürfen nur Leerzeichen verwendet werden, keine Tabulatoren.
  • Bearbeiten der FRM-Datei in einem Texteditor:
    Automatischer Zeilenumbruch muss deaktiviert werden, da sonst unerwünschte Effekte in der Formatierung auftreten können.

Schlüsselwörter

Die Einstellung der Seitenlänge wird in den Projekteigenschaften unter AML und CEL vorgenommen oder über die Dateien ALARM.frm oder ALAR_G.frm für AML oder BTB.frm und BTB_G.frm für CEL.

Beachten Sie:

  • Die Anzahl der Alarmeinträge pro Seite ergibt sich aus der vorgegebenen Anzahl an Zeilen (z. B. Zeilen pro Seite 72) abzüglich der für Kopf- und Fußtexte verwendeten Zeilen.
  • Für die Verwendung der Schlüsselworte, die die Reaktivierung auswerten (Zeit, Anzahl), muss in der Alarmmeldeliste die Option Reaktiviertzeit verwenden aktiviert sein.
  • In der Formatierungsdatei sind Schlüsselworte und freie Texte verwendbar. Schlüsselworte können alternativ in Deutsch oder Englisch verwendet werden. Die Verwendung englischer Schlüsselwörter wird empfohlen.
  • Nicht jedes Schlüsselwort ist für jede Art von Druck (AML, CEL, online, offline) geeignet.

Die folgende Tabelle enthält Schlüsselwörter in Deutsch und Englisch und deren Einsatzmöglichkeiten:

Deutsch | Englisch | AML Offline | CEL Offline | AML Online | CEL Online | Beschreibung
Schlüsselwörter für den Listenteil
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Betriebsmittelkennung
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Datum und Zeitpunkt des Alarmauftretens
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Datum und Zeitpunkt des Alarmendes
@DATZEITOK | @DTACK | X | - | X | - | Datum und Zeitpunkt der Alarmquittierung
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Datum und Zeitpunkt der Reaktivierung: Eigenschaft Reaktiviertzeit verwenden in Projekteigenschaften muss aktiviert sein.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Datum und Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEIT | @TLASTEVENT | - | - | X | X | Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEITOK | @TACK | X | - | X | - | gibt nur Zeitpunkt der Quittierung an
@ZTKOMMT | @TRECEIVED | X | X | X | X | gibt nur Zeitpunkt des Alarmauftretens an
@ZTGEHT | @TCLEARED | X | - | X | - | gibt nur Zeitpunkt der Alarmendes an
@ZTREAKT | @TREACTIVATE | X | - | X | - | gibt nur Zeitpunkt der Reaktivierung an
@TIMELASTING | @TACTIVE | X | - | X | - | Zeit anstehend (Differenz Zeit Kommt - Zeit geht)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@KANALNAME | @VARNAME | X | X | X | X | Variablenname CEL: Nur Einträge mit Variablen
@AK | @ACLASSNR | X | X | X | X | Alarm/Ereignis-Klassenname
@AG | @AGROUPNR | X | X | X | X | Alarm/Ereignis-Gruppennummer
@AGNAME | @AGROUPNAME | X | X | X | X | Name der Alarm/Ereignis-Gruppe
@AKNAME | ACLASSNAME | X | X | X | X | Name der Alarm/Ereignis-Klasse
@TAGNR | @IDENTIFICATION | X | X | X | X | Kennung (firmenspezifische Bezeichnung)
@AMELDUNG | @TEXT | X | X | X | X | Alarmmeldetext
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Anzahl der Reaktivierungen
@STATUS | @STATUS | X | X | X | X | Statusinformation wie in der Alarmmeldeliste
@WERT | @VALUE | X | X | X | X | Variablenwert des Alarms
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Kommentar aus der Alarmmeldeliste. Bei Verwendung von dynamischen Grenzwerttexten nur verfügbar, wenn Lange dynamische Grenzwerttexte AML oder Lange dynamische Grenzwerttexte CEL aktiviert ist.
@USER | @USERID | X | X | X | X | AML: Anwender, der Alarm bestätigt hat.
@RECHNER | @COMPUTER | X | X | X | X | AML: Rechner, auf dem Alarm bestätigt wurde.
Schlüsselwörter für den Kopf- und Fußteil
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@SEITE | @PAGE | X | X | X | X | Seitenzahl
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Systemdatum und Systemuhrzeit
@HEADDATUM | @DSYSTEM | X | X | X | X | Systemdatum
@HEADZEIT | @TSYSTEM | X | X | X | X | Systemuhrzeit
@USER | @USERID | X | X | X | X | Benutzer, der druckt
@USERNAME | @USERNAME | X | X | X | X | Vollständiger Benutzername, der Aktivität auslöste
@RECHNER | @COMPUTER | X | X | X | X | Rechner, von dem aus gedruckt wird
[Text] | [Text] |  |  |  |  | beliebiger Text in der Ausgabezeile am Drucker

attention Achtung

Zwischen den Schlüsselwörtern muss ausreichend Platz vorgesehen werden, damit Einträge nicht überschrieben werden. Damit stellen Sie sicher, dass auch lange Grenzwert-Texte korrekt angezeigt werden.

Beispiel:

@TEXT (Leerzeichen bis hierher)

Einstellung Millisekunden

attention Achtung

Millisekunden für Druck und Export

Soll beim Drucken oder beim Exportieren von AML oder CEL nach CSV, XML oder dBase die Zeit in Millisekunden angegeben werden, muss diese Eigenschaft im Dialog für die Spalteneinstellungen aktiviert werden. Dazu:

  • Navigieren Sie in den Projekteigenschaften zum Knoten Alarmmeldeliste oder Chronologische Ereignisliste.
  • Klicken Sie auf die Schaltfläche ... der Eigenschaft Spalteneinstellung AML oder Spalteneinstellung CEL.
  • Der Dialog für die Spalteneinstellung wird geöffnet.
  • Aktivieren Sie die Checkbox vor der Eigenschaft Millisekunden.

Die Einstellung muss für AML und CEL jeweils extra vorgenommen werden.


Online-Drucken ein/ausschalten

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > Online-Drucken ein/ausschalten

Mit der Verwendung dieser Funktion wird der Onlinedruck auf einen Status gesetzt:

  • einschalten: schaltet den Online-Druck ein
  • ausschalten: schaltet den Online-Druck aus
  • aktiv/inaktiv: schaltet den Online-Druck um

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Online-Drucken ein/ausschalten
  3. der Dialog zur Auswahl der Aktion öffnet sich

  4. wählen Sie die gewünschte Aktion
  5. verknüpfen Sie die Funktion mit einem Button


Online-Drucken neue Seite beginnen

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > Online-Drucken neue Seite beginnen

Mit dieser Funktion steuern Sie zur Runtime den Seitenvorschub beim Online-Drucken:

Die aktuelle Seite des Ausdruckes wird mit der projektierten Fußzeile versehen und ein Seitenvorschub auf den neuen Seitenanfang vorgenommen. Der Seitenzähler wird auf 1 zurückgesetzt und die Kopfzeile ausgedruckt.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Online-Drucken neue Seite beginnen
  3. verknüpfen Sie die Funktion mit einem Button


Online Drucker umschalten

Handbuch > Chronologische Ereignisliste (CEL) > Funktionen > Funktionen für Chronologische Ereignisliste > Online Drucker umschalten

Mit dieser Funktion kann zur Runtime der Drucker für den Online-Ausdruck gewechselt werden.

info Info

Diese Funktion steht unter Windows CE nicht zur Verfügung.

Um die Funktion zu projektieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie Online-Drucker umschalten.

    Der Dialog zur Auswahl des Druckers öffnet sich.

  3. Wählen Sie den gewünschten Drucker aus der Dropdownliste.
  4. Verknüpfen Sie die Funktion mit einem Button.

Parameter | Beschreibung
Druckerwahl | Auswahl des gewünschten Druckers aus der Dropdownliste.
Diesen Dialog zur Runtime anbieten | Aktiv: Bei Ausführung der Funktion wird der Dialog aufgeschaltet und der Drucker kann zur Runtime definiert werden.


Bedienen zur Runtime

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime

Zur Runtime wird die Chronologische Ereignisliste über eine Bildumschaltungsfunktion aufgerufen.

Die zur Verfügung stehenden Kontrollelemente und das Aussehen werden im Editor projektiert.

Fenster

Parameter

Beschreibung

Chronologische Ereignisliste

Anzeigefeld für die Liste mit ihren Ereignissen. Das Aussehen ist konfigurierbar. Spalten werden über den Filter Spalteneinstellungen bei der Bildumschaltung festgelegt.

Über die Eigenschaft Spalteneinstellung CEL in den Projekteigenschaften in der Gruppe Chronologische Ereignisliste werden die Einstellungen für den Export in CSV, XML und DBF definiert. Diese dienen auch als Voreinstellung für die Bildumschaltfunktion.

Eingestellter Filter

Zeigt aktuell gewählten Filter an.

Status Chronologische Ereignisliste

Zeigt zur Runtime den Status der CEL an.

  • Aktiv: Ereignisse werden je nach Einstellungen im Projekt protokolliert
  • Inaktiv: Ereignisse werden nicht protokolliert

Der Status wird in den Projekteigenschaften in der Gruppe Chronologische Ereignisliste über die Eigenschaft CEL aktiv festgelegt. Eine Änderung wird erst nach einem Neustart der Runtime wirksam.

Anzahl gesamt

Anzahl aller Ereignisse in der Liste

Listenfunktionen

Parameter

Beschreibung

Filter...

Öffnet den Filterdialog.

Stopp/Weiter

Steuert Aufnahme neuer Ereignisse in die Liste während der Anzeige:

Stopp: Es werden keine neuen Einträge an die Liste angefügt. Der Button ändert seine Beschriftung in Weiter.

Weiter: Es werden wieder neue Einträge an die Liste angefügt. Der Button ändert seine Beschriftung in Stopp. Um die neuen Einträge chronologisch einzuordnen muss der Button Sortieren betätigt werden.

Sortieren

Nach dem Aufschalten der CEL zur Runtime werden neue Einträge nicht chronologisch einsortiert, sondern am Ende der Liste hinzugefügt.

Klick auf den Button sortiert die Liste neu.

Zur Unterscheidung von sortierten und unsortierten Einträgen kann über die Eigenschaften sortierter Text und unsortierter Text jeweils eine unterschiedliche Farbe zugewiesen werden

Relativzeiten anzeigen

Aktiv: Relativzeiten werden angezeigt, ohne dass der ausgewählte Eintrag den Fokus verliert.

Drucken

Druckt Liste so, wie sie aktuell angezeigt wird, aus.

Drucken mit Dialog...

Öffnet vor dem Drucken die Druckereinstellungen.

Kommentarfeld

Parameter

Beschreibung

Kommentarfeld

Eingabe eines freien Textes durch den Benutzer für das ausgewählte Ereignis.

Maximale Länge: 79 Zeichen

Um den Text in der CEL mit anzuzeigen, muss in der Spaltendefinition die Spalte Kommentar aktiviert werden. Änderungen werden mit der Eingabe-Taste übernommen. Mit der Esc-Taste oder Fokusverlust wird die Änderung verworfen.

Änderungen an Kommentaren können über die Aktivierung der Eigenschaft CEL-Kommentare dokumentiert werden.

Navigation

Parameter | Beschreibung
Navigation | Steuert Elemente der Liste.
Zeile nach oben | Blättert eine Zeile nach oben.
Zeile nach unten | Blättert eine Zeile nach unten.
Spalte nach rechts | Blättert eine Spalte nach rechts.
Spalte nach links | Blättert eine Spalte nach links.
Seite nach oben | Blättert eine Seite nach oben.
Seite nach unten | Blättert eine Seite nach unten.
Seite nach rechts | Blättert eine Seite nach rechts.
Seite nach links | Blättert eine Seite nach links.

Kompatible Elemente

Parameter | Beschreibung
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Anzahl gesamt | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Status Chronologische Ereignisliste | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kommentarfeld | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Schablone schließen | Schließt die Schablone auf der das Bild beruht. Empfehlung: Benutzen Sie zum Schließen von Schablonen die Funktion Schablone schließen Damit nach dem Schließen das davor geöffnete Bild angezeigt wird, muss das Bild vom Typ CEL mit einer eigenen Schablone projektiert werden.
Relativzeiten anzeigen | Statisches Win32 Kontrollelement. Wurde mit durch ein Element vom Typ Schalter ersetzt. Beschreibung siehe neues Element.

Filterprofile

Filterprofile | Filtereinstellungen, die der Anwender in der Runtime speichern kann.
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichern einer Einstellung als Profil.
Löschen | Löscht ausgewähltes Profil.

info Info

Mit dem Kontrollelement Filter anzeigen wird der aktuell benutzte Filter angezeigt.

Bei einem:

  • Textfilter: wird der Ausdruck [Txt] angezeigt
  • Relativzeitfilter: wird ein Ausdruck nach folgendem Schema angezeigt:
    [T,Rel:%dd,%dh,%dm;%ds]
    Beispiel: [T,Rel:1d,0h,0m,0s] entspricht einem Tag.

Konfiguration der Anzeige

Welche Informationen in der CEL angezeigt werden, konfigurieren Sie über die Spalteneinstellung der CEL Projektierung . Die Spalteneinstellungen erreichen Sie über:

  • Projekteigenschaften -> Chronologische Ereignisliste -> Spalteneinstellung CEL (nur Registerkarte Spalteneinstellungen )
    oder
  • Funktion Bildumschaltung auf ein Bild vom Typ CEL ( alle Registerkarten)

Aktualisierung der Einträge

Wurde in den Projekteigenschaften in der Gruppe Chronologische Ereignisliste die Eigenschaft Automatisch aktualisieren aktiviert, dann werden neue Ereignisse sofort hinzugefügt, sobald sie auftreten. Anderenfalls werden die Werte vor jedem Schreiben eines Werts auf die SPS einmalig geholt. Dabei wird als Istwert in der CEL der Wert eingetragen, der vor dem Schreiben auf der SPS war.

Anzeige in der Spalte Wert

In der Spalte Wert können nur Werte numerischer Datentypen angezeigt werden. Bei Einträgen mit einem Datentyp String bleibt die Spalte leer.

Kommentarfeld

Einträge oder Änderungen im Kommentarfeld bewirken folgende Aktionen:

  • Ein Event für die API wird erzeugt (CelItemCommentChanged).
  • Bei Clients oder dem Standby Server wird der Kommentar an den Prozessführenden Server geschickt.
  • Wurde die Eigenschaft CEL-Kommentare aktiviert, erfolgt bei Änderungen ein Eintrag in die CEL, der auf die Änderung hinweist.

Syntax: <TimeStamp> - alter Wert "<Old Value>" - neuer Wert: "<New Value>";

Noch in diesem Kapitel

CEL filtern

Ereignisse drucken und exportieren


CEL filtern

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > CEL filtern

Ereignisse können zur Runtime gefiltert angezeigt werden über:

  • Filteranwendung zur Runtime
  • Bildumschaltung mit vordefiniertem Filter auf ein Bild vom Typ CEL
  • Bildumschaltung mit Filter beim Bildaufruf eines Bild vom Typ CEL
  • Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste Filter

Filtern zur Runtime

Im Bild vom Typ CEL könne zur Runtime Filter angewandt werden. Um die in der CEL angezeigten Ereignisse zu filtern:

  1. Der Button Filter muss vorhanden sein.
  2. Klicken Sie auf den Button Filter.

    Der Filterdialog der CEL wird geöffnet

Eingestellte Filter lassen sich in Profilen speichern.

Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste

Ereignisse können vorgefiltert angezeigt werden. Dazu:

  1. Projektieren Sie einen Filter für die Funktion Bildumschaltung auf ein Bild vom Typ CEL.

    Die CEL wird beim Aufruf gefiltert angezeigt.

  2. Wird für die Funktion die Option Diesen Dialog zur Runtime anbieten aktiviert, kann der Filter vor der Anzeige neu definiert werden.
  3. Weitere Filtereinstellungen zur Runtime sind über den Button Filter möglich.

Bildumschaltung auf ein Bild vom Typ Chronologische Ereignisliste-Filter

Um dem Benutzer zur Runtime nur die Filter anzubieten, die er benötigt, verwenden Sie das Bild vom Typ Chronologische Ereignisliste Filter. Dazu:

  1. Projektieren Sie eine Bildumschaltung auf ein Bild vom Typ CEL-Filter.
  2. Rufen Sie zur Runtime die CEL über diese Funktion auf.

    Der Benutzer hat eine auf seine Bedürfnisse zugeschnittene Chronologische Ereignisliste.

Noch in diesem Kapitel

Filterdialog

Filterprofile

CEL-Filter benutzen


Filterdialog

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > CEL filtern > Filterdialog

Wenn im Editor konfiguriert, wird bei der Bildumschaltung der Filterdialog zur Konfiguration angeboten. Dieser Dialog wird auch aufgeschalten, wenn der Button Filter betätigt wird. Die Optionen entsprechen in der Regel denen, die auch im Editor zur Verfügung stehen. Einstellungen, die zur Runtime nicht mehr getroffen werden können, werden ausgeblendet. Zusätzliche Informationen werden eventuell eingeblendet.

Filterdialog

Registerkarte Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Zur Runtime werden die Schichtliste und der Button Aktualisieren nicht angezeigt.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Achtung: Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird der gesamte Konfigurationsdialog aufgeschalten.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Schichtliste

Anzeige der für die Filterung verfügbaren Schichten in einer Liste.
Nur verfügbar, wenn die Option Schichtauswahl anzeigen ausgewählt wurde.

Option | Beschreibung
Schichtliste | Anzeige aller verfügbaren Schichten. Auswahl der für die Filterung zu verwendenden Schichten durch Mausklick. Mehrfachauswahl ist möglich.
Alle auswählen | Wählt alle angezeigten Schichten aus.
Alle abwählen | Wählt alle angezeigten Schichten ab.
Aktualisieren | Klick auf Schaltfläche aktualisiert die Anzeige in der Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Filterprofile

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > CEL filtern > Filterprofile

Filterprofile sind Filtereinstellungen, die der Anwender bezogen auf ein bestimmtes Bild in der Runtime speichern und aufrufen kann.

Um Filterprofile verwenden zu können, müssen im Bild folgende Kontrollelemente projektiert werden:

Kontrollelement | Beschreibung
Filterprofile | Profilverwaltung zur Runtime.
Profilauswahl | Auswahl eines gespeicherten Profils aus Dropdownliste.
Speichern | Klick auf Button speichert in der Runtime die Filtereinstellungen als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Klick auf Button löscht in der Runtime das ausgewählte Profil.

Damit können Sie zur Runtime:

  • Filter speichern
  • gespeicherte Filter anwenden
  • Filterprofile löschen

Filterprofile können mit weiteren Kontrollelementen auch exportiert und importiert werden.

Filterprofil speichern

Um ein Filterprofil zu erstellen:

  1. Definieren Sie Filterbedingungen.
  2. Vergeben Sie im Eingabefeld Filterprofile einen Namen.
  3. Klicken Sie auf Speichern.
    Das Filterprofil wird gespeichert und ist in der Dropdownliste verfügbar.

Filterprofil anwenden

Um ein Filterprofil anzuwenden:

  1. Wählen Sie aus der Dropdownliste Filterprofile einen Filter.
  2. Der Filter wird sofort angewendet.

Filterprofil löschen

Um ein Filterprofil zu löschen:

  1. Wählen Sie einen Filter aus der Dropdownliste Filterprofile.
  2. Klicken Sie auf die Schaltfläche Löschen.
    Das Filterprofil wird gelöscht.
  3. Der gelöschte Filter wird weiter angewendet, bis ein neuer Filter definiert oder ausgewählt wurde.


CEL-Filter benutzen

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > CEL filtern > CEL-Filter benutzen

Das Bild vom Typ Chronologische Ereignisliste Filter ermöglicht es, zur Runtime individualisierte Filtereinstellungen für die Chronologische Ereignisliste vorzunehmen. Es können alle Filtereinstellungen, die auch im Filter für die Funktion Bildumschaltung auf ein Bild vom Typ CEL vorhanden sind, projektiert werden.

Damit:

  • werden nur die wirklich benötigten Filterelemente projektiert und dem Benutzer zur Verfügung gestellt
  • bekommt der Benutzer nur diese Filter angezeigt und gewinnt Übersicht
  • kann das Aussehen völlig frei definiert werden und so zum Beispiel auch eine leichte Bedienung über einen Touchscreen realisiert werden

Filterbilder

Filterbilder ermöglichen es, einen voreingestellten Filter von einem Bild auf ein anderes zu übertragen. Der Filter des Quellbildes wird über das Zielbild gelegt. Die Bilder können auch von unterschiedlichen Bildtypen sein.

attention Achtung

Damit zur Runtime die Zeit vom aufrufenden Bild übernommen werden kann, muss im Editor in der Bildumschaltfunktion für die Alarmmeldeliste oder die Chronologische Ereignisliste im Zeitfilter folgender Zeitbereich gewählt werden: Filter beim Zeitfiltertyp einstellen.

Aufrufdefinition

Folgende Voraussetzungen müssen erfüllt sein, damit die eingestellten Filter zur Anwendung kommen:

  1. Als Zeitbereich beim Zeitfilter wird Filter beim Zeitfiltertyp einstellen gewählt.
  2. Das Bild (Bild vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter oder Zeit-/Chargen-/Schichtfilter) wird mithilfe eines Buttons oder eines Combi-Elements aktiviert. Nur so wird der Bezug zwischen Filterbild und Quellbild gewährleistet.
  3. Das Quellbild und das Filterbild müssen entweder auf unterschiedlichen Schablonen oder auf unterschiedlichen Bildschirmen projektiert sein. Nur wenn das Quellbild offen ist, kann der Filter für das Filterbild aktualisiert werden. Das ist nur möglich, wenn beide Bilder nicht dieselbe Schablone oder denselben Bildschirm verwenden.
  4. Das aufrufende Bild muss mit dem aufzurufenden Filterbild kompatibel sein (siehe Tabelle).
Quellbild | AML Filter | CEL Filter | Zeitfilter
Archiv-Nachbearbeitung | T | T | T
Erweiterter Trend | T | T | T
Zeitfilter | T | T | X
Alarmmeldeliste Filter | X | C | T
Chronologische Ereignisliste Filter | C | X | T
Alarmmeldeliste | X | C | T
Chronologische Ereignisliste | C | X | T

Legende:

  • C: Gemeinsame Einstellungen werden aktualisiert.
  • T: Zeiteinstellungen werden aktualisiert.
  • X: Alle Einstellungen werden aktualisiert.

info Info

Keine Filterung

Das Filterbild wird nicht gefiltert, sondern mit den projektierten Werten aufgeschaltet, wenn:

  • eine der Bedingungen 1 bis 3 nicht erfüllt wird oder
  • die Einstellung Aufrufendes Bild bei der Funktion Bildumschaltung nicht aktiviert ist oder
  • das Bild nicht über ein Bildelement aufgerufen wird

In diesem Fall werden zur Runtime die Buttons Übernehmen, Schließen und Aktualisieren ausgegraut dargestellt und haben keine Funktion.

Aktualisierung

Beim Aufruf eines Filterbilds (Alarmmeldeliste Filter, Chronologische Ereignisliste Filter, Zeitfilter), werden die in der Funktion Bildumschaltung projektierten Bilder auf zwei Arten aktualisiert:

  • Wird das Filterbild über ein Bildelement aufgerufen, werden die Zielbilder, die sich auf demselben Bildschirm wie das Quellbild befinden aktualisiert.
  • Wird das Filterbild auf einem anderen Weg aufgerufen oder ist die Einstellung Auf allen Bildschirmen aktualisieren aktiviert, werden alle projektierten Zielbilder aktualisiert.

Die Aktualisierung erfolgt, sobald Sie den Button Übernehmen anklicken oder das Filterbild mit dem Button Schließen schließen. Der Button Abbrechen verwirft die Änderungen und schließt das Filterbild.

Filtereinstellungen aktualisieren

Mithilfe des Buttons Aktualisieren, übernehmen Sie die aktuellen Filtereinstellungen des Quellbilds. Wenn das Filterbild nicht durch ein Bildelement aufgerufen wurde oder wenn die Einstellung Aufrufendes Bild nicht aktiviert wurde, wird auf allen Bildschirmen nach einem Bild gesucht, das zur Aktualisierung verwendet werden kann. Das erste Bild, das gefunden wird, wird dann zur Aktualisierung verwendet.


Ereignisse drucken und exportieren

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > Ereignisse drucken und exportieren

Einträge der CEL können dokumentiert und archiviert werden über:

  • CEL Online drucken: jedes Ereignis wird beim Anzeigen in der Liste auf einem Zeilendrucker ausgegeben
  • CEL Offline drucken: die CEL wird im aktuellen Zustand als abgeschlossene Liste ausgedruckt
  • Inhalte der CEL (gefiltert) exportieren

Der für Ausdrucke zu verwendende Drucker wird über das Menü Datei -> Allgemeine Konfiguration -> Standard definiert.

attention Achtung

Für den Ausdruck wird eine Konfigurationsdatei *.frm verwendet:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Diese FRM-Datei muss sich im Projektbaum im Abschnitt Dateien im Ordner Texte und Formate befinden.

Vorlagen für FRM_Dateien finden Sie im Ordner: %ProgramData%\COPA-DATA\zenon800

Diese können über Datei hinzufügen in den Abschnitt Texte und Formate eingefügt und dort bearbeitet werden.

Schlüsselwörter für FRM-Dateien finden Sie im Kapitel FRM-Konfigurationsdatei.

Noch in diesem Kapitel

Online drucken

Offline drucken

FRM-Konfigurationsdatei

Ereignisse exportieren


Online drucken

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > Ereignisse drucken und exportieren > Online drucken

Beim Online-Druck wird jedes Ereignis mit Eintrag in die CEL sofort an den Drucker geschickt.

Achtung: Der Online-Druck erfolgt zeilenweise konform zum ESC/P (Epson Standard Code for Printers) und benötigt einen Epson-kompatiblen Drucker.

Um Einträge der CEL online auszudrucken:

  1. Definieren Sie einen Drucker.
  2. Navigieren Sie in den Projekteigenschaften zum Knoten AML und CEL.
  3. Aktivieren Sie die Eigenschaft Drucken aktiv.
  4. Wählen Sie bei der Eigenschaft Ausdruck für in der Combobox Chronologische Ereignisliste aus.
  5. Legen Sie mit der Eigenschaft Zeilen pro Seite die Zeilenzahl fest (Default: 72).
  6. Konfigurieren Sie die BTB.frm.
  7. Fügen Sie die BTB.frm zum Knoten Dateien/Texte und Formate hinzu.

info Info

Diese Funktion steht unter Windows CE nicht zur Verfügung.

Druck und Drucker zur Runtime steuern

Seitenwechsel

Seitenvorschub wird durchgeführt, wenn:

  • eine Seite vollständig beschrieben wurde
  • bei aktivem Online-Druck die Runtime beendet wird
  • die Funktion Online-Drucken neue Seite beginnen ausgeführt wird

Druck unterbrechen

Um den Online-Druck zu unterbrechen oder wieder aufzunehmen:

  • führen Sie die Funktion Online Ausdrucke ein/ausschalten aus.

Drucker wechseln und einrichten

Um zur Runtime den Drucker zu wechseln:

  • führen Sie die Funktion Online Drucker umschalten aus

Um zur Runtime den gewählten Drucker einzurichten:

  1. Projektieren Sie für das Bild ein Kontrollelement Drucken mit Dialog.
  2. Klicken Sie zur Runtime auf den Button Drucken mit Dialog.
  3. Der Konfigurationsdialog wird geöffnet.

Drucker

Parameter | Beschreibung
Drucker | Einstellungen für den Drucker.
Name: | Auswahl des Druckers aus Dropdownliste. Liste enthält alle im Betriebssystem konfigurierten Drucker.
Eigenschaften... | Öffnet Dialog zur Konfiguration des gewählten Druckers.
Status: | Anzeige Druckerstatus. Nur Information.
Typ: | Anzeige Druckertyp. Nur Information
Standort: | Anzeige Standort des Druckers, falls konfiguriert. Nur Information.
Kommentar: | Anzeige Kommentar zum Drucker, falls konfiguriert. Nur Information.

Papier

Parameter | Beschreibung
Papier | Konfiguration des Ausdrucks.
Größe | Auswahl Papierformat aus Dropdownliste.
Quelle | Wahl der Papierzufuhr aus Dropdownliste.

Ausrichtung

Parameter

Beschreibung

Ausrichtung

Wahl der Papierausrichtung. Mögliche Parameter:

  • Hochformat
  • Querformat

Netzwerk

Öffnet Dialog zur Auswahl eines Druckers im Netzwerk.

OK

Übernimmt Konfiguration und schließt Dialog. Zur Runtime wird damit der Druck gestartet.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Zur Runtime wird damit auch der Ausdruck abgebrochen.

Formatierungsbeispiel

Projektierung in BTB.FRM:

Datum: @DSYSTEM | Chronologische Ereignisliste Demoprojekt | Zeit @TSYSTEM Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Seite | @PAGE |

Ausgabe auf dem Drucker:

Datum: 20.03.2011 | Chronologische Ereignisliste Demoprojekt | Zeit: 12:00 Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Meldung 1 | Limit überschritten
20.03.2011 13:00:00 | 13:05:35 | Demomeldung | Limit 750 erreicht
20.03.2011 13:03:59 |  | Meldung 2 | Grenzwert
20.03.2011 13:11:23 |  | Meldung 3 | aus
20.03.2011 13:03:59 | 13:12:45 | Demomeldung | aus
 | Seite | 1 |


Offline drucken

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > Ereignisse drucken und exportieren > Offline drucken

Offline drucken bedeutet, dass die CEL so, wie sie im Moment zur Runtime angezeigt wird, ausgedruckt wird. Dieser Ausdruck ist eine Momentaufnahme inklusive aller gesetzten Filter und deren Einschränkungen. Der Druck erfolgt unabhängig davon, ob die Variablen die Option Drucken besitzen.

Drucken

Um die CEL offline zu drucken:

  1. definieren Sie einen Drucker
  2. konfigurieren Sie die BTB_G.frm
  3. fügen Sie die BTB_G.frm zum Knoten Dateien/Texte und Formate hinzu
  4. klicken Sie zur Runtime auf den Schaltfläche Drucken oder Drucken mit Dialog.

Drucker einrichten und wechseln

Drucker wechseln und einrichten

Um zur Runtime den Drucker zu wechseln:

  • führen Sie die Funktion Online Drucker umschalten aus

Um zur Runtime den gewählten Drucker einzurichten:

  1. Projektieren Sie für das Bild ein Kontrollelement Drucken mit Dialog.
  2. Klicken Sie zur Runtime auf den Button Drucken mit Dialog.
  3. Der Konfigurationsdialog wird geöffnet.

Drucker

Parameter | Beschreibung
Drucker | Einstellungen für den Drucker.
Name: | Auswahl des Druckers aus Dropdownliste. Liste enthält alle im Betriebssystem konfigurierten Drucker.
Eigenschaften... | Öffnet Dialog zur Konfiguration des gewählten Druckers.
Status: | Anzeige Druckerstatus. Nur Information.
Typ: | Anzeige Druckertyp. Nur Information
Standort: | Anzeige Standort des Druckers, falls konfiguriert. Nur Information.
Kommentar: | Anzeige Kommentar zum Drucker, falls konfiguriert. Nur Information.

Papier

Parameter | Beschreibung
Papier | Konfiguration des Ausdrucks.
Größe | Auswahl Papierformat aus Dropdownliste.
Quelle | Wahl der Papierzufuhr aus Dropdownliste.

Ausrichtung

Parameter

Beschreibung

Ausrichtung

Wahl der Papierausrichtung. Mögliche Parameter:

  • Hochformat
  • Querformat

Netzwerk

Öffnet Dialog zur Auswahl eines Druckers im Netzwerk.

OK

Übernimmt Konfiguration und schließt Dialog. Zur Runtime wird damit der Druck gestartet.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Zur Runtime wird damit auch der Ausdruck abgebrochen.

Formatierungsbeispiel

Projektierung in BTB_G.frm:

Datum: @DSYSTEM | Geschlossene AML Demoprojekt | Zeit @TSYSTEM Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Seite | @PAGE |

Ausgabe auf dem Drucker:

Datum: 20.03.2011 | Geschlossene AML Demoprojekt | Zeit: 12:00 Uhr | Text
Datum/Zeit kommt | Zeit geht | Meldetext | Zustandstext
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Meldung 1 | Limit überschritten
20.03.2011 13:00:00 | 13:05:35 | Demomeldung | Limit 750 erreicht
20.03.2011 13:03:59 |  | Meldung 2 | Grenzwert
20.03.2011 13:11:23 |  | Meldung 3 | aus
20.03.2011 13:03:59 | 13:12:45 | Demomeldung | aus
 | Seite | 1 |


FRM-Konfigurationsdatei

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > Ereignisse drucken und exportieren > FRM-Konfigurationsdatei

FRM-Dateien (Formatdateien) sind Konfigurationsdateien für den Ausdruck von Listen.

Eine FRM-Datei gliedert sich in drei Teile:

  • Kopfteil: am Seitenbeginn
  • Listenteil: zyklisch pro Zeile
  • Fußteil: am Seitenende

Grundsätze

Beachten Sie beim Bearbeiten von FRM-Dateien:

  • Trennung der Listenteile:
    • Kopfteil und Listenteil sowie Listenteil und Fußteil werden durch %% getrennt.

      Diese Gliederungsmarkierung darf nur je einmal für den Listenteil und den Fußteil verwendet werden.

    • Achtung: Nach der letzten Zeile müssen mindestens zwei leere Absätze folgen. Andernfalls wird die Fußzeile nicht gedruckt!
  • Positionierung der einzelnen Einträge:
    Es dürfen nur Leerzeichen verwendet werden, keine Tabulatoren.
  • Bearbeiten der FRM-Datei in einem Texteditor:
    Automatischer Zeilenumbruch muss deaktiviert werden, da sonst unerwünschte Effekte in der Formatierung auftreten können.

Schlüsselwörter

Die Einstellung der Seitenlänge wird in den Projekteigenschaften unter AML und CEL vorgenommen oder über die Dateien ALARM.frm oder ALAR_G.frm für AML oder BTB.frm und BTB_G.frm für CEL.

Beachten Sie:

  • Die Anzahl der Alarmeinträge pro Seite ergibt sich aus der vorgegebenen Anzahl an Zeilen (z. B. Zeilen pro Seite 72) abzüglich der für Kopf- und Fußtexte verwendeten Zeilen.
  • Für die Verwendung der Schlüsselworte, die die Reaktivierung auswerten (Zeit, Anzahl), muss in der Alarmmeldeliste die Option Reaktiviertzeit verwenden aktiviert sein.
  • In der Formatierungsdatei sind Schlüsselworte und freie Texte verwendbar. Schlüsselworte können alternativ in Deutsch oder Englisch verwendet werden. Die Verwendung englischer Schlüsselwörter wird empfohlen.
  • Nicht jedes Schlüsselwort ist für jede Art von Druck (AML, CEL, online, offline) geeignet.

Die folgende Tabelle enthält Schlüsselwörter in Deutsch und Englisch und deren Einsatzmöglichkeiten:

Deutsch | Englisch | AML Offline | CEL Offline | AML Online | CEL Online | Beschreibung
Schlüsselwörter für den Listenteil
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Betriebsmittelkennung
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Datum und Zeitpunkt des Alarmauftretens
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Datum und Zeitpunkt des Alarmendes
@DATZEITOK | @DTACK | X | - | X | - | Datum und Zeitpunkt der Alarmquittierung
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Datum und Zeitpunkt der Reaktivierung: Eigenschaft Reaktiviertzeit verwenden in Projekteigenschaften muss aktiviert sein.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Datum und Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEIT | @TLASTEVENT | - | - | X | X | Uhrzeit von Alarm kommt oder geht oder quittiert oder reaktiviert
@ZEITOK | @TACK | X | - | X | - | gibt nur Zeitpunkt der Quittierung an
@ZTKOMMT | @TRECEIVED | X | X | X | X | gibt nur Zeitpunkt des Alarmauftretens an
@ZTGEHT | @TCLEARED | X | - | X | - | gibt nur Zeitpunkt der Alarmendes an
@ZTREAKT | @TREACTIVATE | X | - | X | - | gibt nur Zeitpunkt der Reaktivierung an
@TIMELASTING | @TACTIVE | X | - | X | - | Zeit anstehend (Differenz Zeit Kommt - Zeit geht)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@KANALNAME | @VARNAME | X | X | X | X | Variablenname CEL: Nur Einträge mit Variablen
@AK | @ACLASSNR | X | X | X | X | Alarm/Ereignis-Klassenname
@AG | @AGROUPNR | X | X | X | X | Alarm/Ereignis-Gruppennummer
@AGNAME | @AGROUPNAME | X | X | X | X | Name der Alarm/Ereignis-Gruppe
@AKNAME | ACLASSNAME | X | X | X | X | Name der Alarm/Ereignis-Klasse
@TAGNR | @IDENTIFICATION | X | X | X | X | Kennung (firmenspezifische Bezeichnung)
@AMELDUNG | @TEXT | X | X | X | X | Alarmmeldetext
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Anzahl der Reaktivierungen
@STATUS | @STATUS | X | X | X | X | Statusinformation wie in der Alarmmeldeliste
@WERT | @VALUE | X | X | X | X | Variablenwert des Alarms
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Kommentar aus der Alarmmeldeliste. Bei Verwendung von dynamischen Grenzwerttexten nur verfügbar, wenn Lange dynamische Grenzwerttexte AML oder Lange dynamische Grenzwerttexte CEL aktiviert ist.
@USER | @USERID | X | X | X | X | AML: Anwender, der Alarm bestätigt hat.
@RECHNER | @COMPUTER | X | X | X | X | AML: Rechner, auf dem Alarm bestätigt wurde.
Schlüsselwörter für den Kopf- und Fußteil
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Projektname
@SEITE | @PAGE | X | X | X | X | Seitenzahl
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Systemdatum und Systemuhrzeit
@HEADDATUM | @DSYSTEM | X | X | X | X | Systemdatum
@HEADZEIT | @TSYSTEM | X | X | X | X | Systemuhrzeit
@USER | @USERID | X | X | X | X | Benutzer, der druckt
@USERNAME | @USERNAME | X | X | X | X | Vollständiger Benutzername, der Aktivität auslöste
@RECHNER | @COMPUTER | X | X | X | X | Rechner, von dem aus gedruckt wird
[Text] | [Text] |  |  |  |  | beliebiger Text in der Ausgabezeile am Drucker

attention Achtung

Zwischen den Schlüsselwörtern muss ausreichend Platz vorgesehen werden, damit Einträge nicht überschrieben werden. Damit stellen Sie sicher, dass auch lange Grenzwert-Texte korrekt angezeigt werden.

Beispiel:

@TEXT (Leerzeichen bis hierher)


Ereignisse exportieren

Handbuch > Chronologische Ereignisliste (CEL) > Bedienen zur Runtime > Ereignisse drucken und exportieren > Ereignisse exportieren

Einträge der CEL können in unterschiedliche Formate exportiert werden:

  • dBase
  • CSV
  • XML
  • SQL

Export

Um Einträge der CEL zu exportieren

  1. legen Sie eine Funktion CEL exportieren an
  2. verknüpfen Sie die Funktion mit einem Button
  3. führen Sie die Funktion zur Runtime aus

info Info

Der Export nach SQL erfolgt inkrementell. Liegen bereits exportierte Daten vor, werden nur neue und geänderte Daten exportiert.


Controls

Handbuch > Controls

In zenon können eigene Controls eingebunden werden. Dafür stehen zur Verfügung:

  • .NET User Controls (Implementierung in zenon siehe auch .NET Controls im Handbuch Bilder.)
  • ActiveX (Implementierung in zenon siehe auch ActiveX im Handbuch Bilder.)
  • WPF

info Info

Informationen zur Nutzung der zenon Programmierschnittstellen (PCE, VBA, VSTA) finden Sie im Handbuch Programmierschnittstellen.

attention Achtung

Fehler in Anwendungen wie ActiveX, PCE, VBA, VSTA, WPF und externen Anwendungen, die über die API auf zenon zugreifen, können auch die Stabilität der Runtime beeinflussen.

Noch in diesem Kapitel

Allgemein

ActiveX

.NET User Controls

WPF


Allgemein

Handbuch > Controls > Allgemein

Controls für zenon können über ActiveX, .NET und WPF realisiert werden. Über VBA/VSTA kann auf die zenon API zugegriffen werden.

Noch in diesem Kapitel

Auf zenon API zugreifen

Methoden


Auf zenon API zugreifen

Handbuch > Controls > Allgemein > Auf zenon API zugreifen

Unter zenon kann ein ActiveX Control um spezielle Funktionen erweitert werden, um darin auf die zenon API zuzugreifen.

Auf die zenon API zugreifen

  • wählen Sie in den Projekt References mit Add References... die zenon Runtime Objektbibliothek aus
  • fügen Sie die erweiterten Funktionen in den Klassencode des Controls ein

Erweiterte zenon ActiveX Funktionen

// Wird beim Initialisieren des Controls in der zenon Runtime aufgerufen.

public bool zenonInit(zenon.Element dispElement)…

// Wird beim Zerstören des Controls in der zenon Runtime aufgerufen.

public bool zenonExit()…

// Unterstützt das Control Variablenverknüpfungen.

public short CanUseVariables()…

// Com Control unterstützte Datentypen.

public short VariableTypes()…

// Maximale Anzahl der Variablen, die mit dem Control verknüpft werden können.

public short MaxVariables()…

Beispiel

Das COM Object einer zenon Variable wird in einem Member zwischengespeichert, um später im Paint Event des Controls darauf zugreifen zu können:

zenon.Variable m_cVal = null;

public bool zenonInit(zenon.Element dispElement)

{

if (dispElement.CountVariable > 0) {

try {

m_cVal = dispElement.ItemVariable(0);

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}

return true;

}

public bool zenonExit()

{

try {

if (m_cVal != null) {

System.Runtime.InteropServices.Marshal.ReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

public short CanUseVariables()

{

return 1; // die Variablen werden unterstützt

}

public short VariableTypes()

{

return short.MaxValue; // alle Daten Typen werden unterstützt

}

public short MaxVariables()

{

return 1; // maximal eine Variable soll mit dem Control Verknüpft werden

}

private void SamplesControl_Paint(object sender, PaintEventArgs e)

{

// zenon Variables has changed

try {

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

} catch { }

}


Methoden

Handbuch > Controls > Allgemein > Methoden

ActiveX- und .NET-Controls, die zenon Variablen verwenden, benötigen bestimmte Methoden.

Noch in diesem Kapitel

CanUseVariables

MaxVariables

VariableTypes

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Handbuch > Controls > Allgemein > Methoden > CanUseVariables

Prototyp: short CanUseVariables();

Diese Methode gibt 1 oder 0 zurück

Wert | Beschreibung
1: | Das Control kann zenon Variablen verwenden. Es können für das Dynamische Element (über den Button Variable) nur zenon Variablen mit den über die Methode VariableTypes angegebenen Typen in der von der Methode MaxVariables angegebenen Anzahl angegeben werden.
0: | Das Control kann zenon Variablen nicht verwenden oder besitzt diese Methode nicht. Es können Variablen mit allen Typen ohne Beschränkung der Anzahl angegeben werden. Diese können in der Runtime aber nur über VBA verwendet werden.


MaxVariables

Handbuch > Controls > Allgemein > Methoden > MaxVariables

Prototyp: short MaxVariables();

Hier wird die Anzahl der Variablen festgelegt, die aus der Variablenliste ausgewählt werden können.

Wird 1 zurückgegeben, so wird in der Variablenliste die Mehrfachauswahl deaktiviert. Es erfolgt eine Warnung, wenn trotzdem mehrere Variablen ausgewählt werden.


VariableTypes

Handbuch > Controls > Allgemein > Methoden > VariableTypes

Prototyp: short VariableTypes();

Der von dieser Methode zurückgegebene Wert wird als Maske für die verwendbaren Variablentypen in der Variablenliste verwendet. Der Wert ist eine UND-Verknüpfung aus folgenden Werten (definiert in zenon32/dy_type.h):

Wert 1 | Wert 2 | Entsprechung
WORT | 0x0001 | Stelle 0
BYTE | 0x0002 | Stelle 1
BIT | 0x0004 | Stelle 2
DWORT | 0x0008 | Stelle 3
FLOAT | 0x0010 | Stelle 4
DFLOAT | 0x0020 | Stelle 5
STRING | 0x0040 | Stelle 6
EIN_AUSGABE | 0x8000 | Stelle 15


zenonExit

Handbuch > Controls > Allgemein > Methoden > zenonExit

Prototyp: boolean zenonExit();

Diese Methode wird von der zenon Runtime beim Schließen des ActiveX Controls aufgerufen.

Hier sollten alle Dispatch Pointer auf Variablen freigegeben werden.


zenonExitEd

Handbuch > Controls > Allgemein > Methoden > zenonExitEd

Entspricht zenonExit und wird beim Schließen des ActiveX im Editor ausgeführt.

Damit kann auch im Editor auf Änderungen im ActiveX, z. B. Wertänderungen, reagiert werden.

Info: Steht aktuell nur für ActiveX zur Verfügung.


zenonInit

Handbuch > Controls > Allgemein > Methoden > zenonInit

Prototyp: boolean zenonInit(IDispatch*dispElement);

Mit Hilfe dieser Methode wird in der Runtime dem ActiveX Control ein Zeiger auf das Dispatch Interface des Dynamischen Elements übergeben. Über diesen Zeiger können dann die mit dem Dynamischen Element verknüpften zenon Variablen angesprochen werden.

Die Reihenfolge der übergebenen Variablen definieren Sie in der Konfiguration des ActiveX Elements mit den Schaltflächen Nach unten oder Nach oben.
Der Element-Eingabe Dialog öffnet sich nachdem Sie das ActiveX Element doppelklicken oder in den Element Eigenschaften im Knoten Darstellung die Eigenschaft ActiveX Einstellungen wählen.


zenonInitEd

Handbuch > Controls > Allgemein > Methoden > zenonInitEd

Entspricht zenonInit und wird beim Öffnen des ActiveX (Doppelklick auf das ActiveX) im Editor ausgeführt.

Info: Steht aktuell nur für ActiveX zur Verfügung.


ActiveX

Handbuch > Controls > ActiveX

Mit ActiveX kann die Funktionalität der zenon Runtime und des Editors selbstständig erweitert werden.

In diesem Handbuch lesen Sie:

  • ActiveX Elemente entwickeln
  • Beispiel LatchedSwitch (C++)
  • Beispiel CD_SliderCtrl (C++)
  • Beispiel .NET Control als ActiveX (C#)

Informationen zum Dynamischen Element ActiveX finden Sie im Handbuch Bilder im Kapitel ActiveX.

ActiveX unter Windows CE

Wenn Eine ActiveX Control unter Windows CE laufen soll, muss das apartment Model auf Threading gestellt werden. Wird es auf Free gestellt, wird das Control in der zenon Runtime nicht laufen.

Noch in diesem Kapitel

ActiveX Elemente entwickeln

Beispiel LatchedSwitch (C++)

Beispiel CD_SliderCtrl (C++)

Beispiel .NET Control als ActiveX (C#)


ActiveX Elemente entwickeln

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln

Das Dynamische Element ActiveX in zenon kann Variablen an das ActiveX Control weitergeben, ohne dass der Umweg über VBA verwendet werden muss, um das Control zu bedienen.

Das Control kann selbst definieren, wie viele zenon Variablen es verwenden kann und von welchem Typ sie sein dürfen. Die Properties des Controls können über das Dynamische Element festgelegt werden.

Dazu muss die Schnittstelle (Dispatch-Interface) des Controls eine Reihe bestimmter Methoden unterstützen.

Noch in diesem Kapitel

Methoden


Methoden

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden

Jedes ActiveX-Control, das zenon Variablen verwenden kann, muss folgende Methoden enthalten:

  • CanUseVariables
  • MaxVariables
  • VariableTypes
  • zenonExit
  • zenonExitEd
  • zenonInit
  • zenonInitEd

Welche Dispatch ID die Methoden in der Schnittstelle haben, ist dabei gleichgültig. Beim Aufruf der Methoden wird in zenon die richtige ID aus dem Interface geholt.

Noch in diesem Kapitel

CanUseVariables

MaxVariables

VariableTypes

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > CanUseVariables

Prototyp: short CanUseVariables();

Diese Methode gibt 1 oder 0 zurück

Wert | Beschreibung
1: | Das Control kann zenon Variablen verwenden. Es können für das Dynamische Element (über den Button Variable) nur zenon Variablen mit den über die Methode VariableTypes angegebenen Typen in der von der Methode MaxVariables angegebenen Anzahl angegeben werden.
0: | Das Control kann zenon Variablen nicht verwenden oder besitzt diese Methode nicht. Es können Variablen mit allen Typen ohne Beschränkung der Anzahl angegeben werden. Diese können in der Runtime aber nur über VBA verwendet werden.


MaxVariables

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > MaxVariables

Prototyp: short MaxVariables();

Hier wird die Anzahl der Variablen festgelegt, die aus der Variablenliste ausgewählt werden können.

Wird 1 zurückgegeben, so wird in der Variablenliste die Mehrfachauswahl deaktiviert. Es erfolgt eine Warnung, wenn trotzdem mehrere Variablen ausgewählt werden.


VariableTypes

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > VariableTypes

Prototyp: short VariableTypes();

Der von dieser Methode zurückgegebene Wert wird als Maske für die verwendbaren Variablentypen in der Variablenliste verwendet. Der Wert ist eine UND-Verknüpfung aus folgenden Werten (definiert in zenon32/dy_type.h):

Wert 1 | Wert 2 | Entsprechung
WORT | 0x0001 | Stelle 0
BYTE | 0x0002 | Stelle 1
BIT | 0x0004 | Stelle 2
DWORT | 0x0008 | Stelle 3
FLOAT | 0x0010 | Stelle 4
DFLOAT | 0x0020 | Stelle 5
STRING | 0x0040 | Stelle 6
EIN_AUSGABE | 0x8000 | Stelle 15


zenonExit

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > zenonExit

Prototyp: boolean zenonExit();

Diese Methode wird von der zenon Runtime beim Schließen des ActiveX Controls aufgerufen.

Hier sollten alle Dispatch Pointer auf Variablen freigegeben werden.


zenonExitEd

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > zenonExitEd

Entspricht zenonExit und wird beim Schließen des ActiveX im Editor ausgeführt.

Damit kann auch im Editor auf Änderungen im ActiveX, z. B. Wertänderungen, reagiert werden.

Info: Steht aktuell nur für ActiveX zur Verfügung.


zenonInit

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > zenonInit

Prototyp: boolean zenonInit(IDispatch*dispElement);

Mit Hilfe dieser Methode wird in der Runtime dem ActiveX Control ein Zeiger auf das Dispatch Interface des Dynamischen Elements übergeben. Über diesen Zeiger können dann die mit dem Dynamischen Element verknüpften zenon Variablen angesprochen werden.

Die Reihenfolge der übergebenen Variablen definieren Sie in der Konfiguration des ActiveX Elements mit den Schaltflächen Nach unten oder Nach oben.
Der Element-Eingabe Dialog öffnet sich nachdem Sie das ActiveX Element doppelklicken oder in den Element Eigenschaften im Knoten Darstellung die Eigenschaft ActiveX Einstellungen wählen.


zenonInitEd

Handbuch > Controls > ActiveX > ActiveX Elemente entwickeln > Methoden > zenonInitEd

Entspricht zenonInit und wird beim Öffnen des ActiveX (Doppelklick auf das ActiveX) im Editor ausgeführt.

Info: Steht aktuell nur für ActiveX zur Verfügung.


Beispiel LatchedSwitch (C++)

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++)

Im Folgenden wird als Beispiel ein ActiveX Control beschrieben, das über zwei Bit-Variablen einen verriegelbaren Schalter realisiert. Die erste Variable repräsentiert den Schalter, die zweite Variable den Riegel. Die Schaltervariable kann über das ActiveX Control nur dann geändert werden, wenn die Riegelvariable den Wert 0 hat.

Der Zustand des Elements wird über vier Bitmaps angezeigt, die im zenon Editor über den Properties-Dialog des Controls ausgewählt werden können.

Noch in diesem Kapitel

Schnittstelle

Control

Methoden

Bedienung und Darstellung

zenon Interface


Schnittstelle

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Schnittstelle

Das Control LatchedSwitch besitzt folgendes Dispatch Interface:

[ uuid(EB207159-D7C9-11D3-B019-080009FBEAA2),
helpstring(Dispatch interface for LatchedSwitch Control), hidden ]
dispinterface _DLatchedSwitch

{
properties:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_PROP(CLatchedSwitchCtrl)
[id(1)] boolean SollwertDirekt;
[id(2)] IPictureDisp* SwitchOn; // container for the bitmaps
[id(3)] IPictureDisp* SwitchOff;
[id(4)] IPictureDisp* LatchedOn;
[id(5)] IPictureDisp* LatchedOff;
//}}AFX_ODL_PROP

methods:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_METHOD(CLatchedSwitchCtrl)
//}}AFX_ODL_METHOD
[id(6)] short CanUseVariables();
[id(7)] short VariableTypes();
[id(8)] short MaxVariables();
[id(9)] boolean zenonInit(IDispatch* dispElement);
[id(10)] boolean zenonExit();
[id(DISPID_ABOUTBOX)] void AboutBox();

};

Die Properties SwitchOn bis LatchedOff nehmen die Bitmaps zur Anzeige der vier Zustände des Controls auf. Die Bitmaps selbst werden in Objekten der Klasse CPictureHolder abgelegt. Über die Eigenschaft SollwertDirekt wird festgelegt, ob die Eingabe von Sollwerten über einen Dialog oder direkt durch Klicken auf das Control möglich sein soll.


Control

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Control

Die Implementation des Controls erfolgt über die Klasse CLatchedSwitchCtrl. Diese Klasse besitzt als Members die CPictureHolder-Objekte zur Aufnahme der Bitmaps. Ausserdem werden drei DispatchDriver für das Dynamische Element und die Variablen mitgeführt:

class CLatchedSwitchCtrl : public COleControl

{

DECLARE_DYNCREATE(CLatchedSwitchCtrl)

// Constructor

public:

CLatchedSwitchCtrl();

// Overrides

// ClassWizard generated virtual function overrides

//{{AFX_VIRTUAL(CLatchedSwitchCtrl)

public:

virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual void DoPropExchange(CPropExchange* pPX);

virtual void OnResetState();

virtual DWORD GetControlFlags();

//}}AFX_VIRTUAL

// Implementation

protected:

~CLatchedSwitchCtrl();

DECLARE_OLECREATE_EX(CLatchedSwitchCtrl) // Class factory and guid

DECLARE_OLETYPELIB(CLatchedSwitchCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS(CLatchedSwitchCtrl) // Property page IDs

DECLARE_OLECTLTYPE(CLatchedSwitchCtrl) // Type name and misc status

// Message maps

//{{AFX_MSG(CLatchedSwitchCtrl)

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

// Dispatch maps

//{{AFX_DISPATCH(CLatchedSwitchCtrl)

BOOL m_sollwertDirekt;

afx_msg void OnSollwertDirektChanged();

afx_msg LPPICTUREDISP GetSwitchOn();

afx_msg void SetSwitchOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetSwitchOff();

afx_msg void SetSwitchOff(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOn();

afx_msg void SetLatchedOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOff();

afx_msg void SetLatchedOff(LPPICTUREDISP newValue);

afx_msg short CanUseVariables();

afx_msg short VariableTypes();

afx_msg short MaxVariables();

afx_msg BOOL zenonInit(LPDISPATCH dispElement);

afx_msg BOOL zenonExit();

//}}AFX_DISPATCH

CPictureHolder m_SwitchOn;

CPictureHolder m_SwitchOff;

CPictureHolder m_LatchedOn;

CPictureHolder m_LatchedOff;

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

// Event maps

//{{AFX_EVENT(CLatchedSwitchCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

double VariantToDouble(const VARIANT FAR *v);

void VariantToCString(CString *c,const VARIANT FAR *v);

BOOL IsVariantString(const VARIANT FAR *v);

BOOL IsVariantValue(const VARIANT FAR *v);

// Dispatch and event IDs

public:

CString szVariable[2];

IElement m_dElement;

IVariable m_dLatchVar, m_dSwitchVar;

enum {

//{{AFX_DISP_ID(CLatchedSwitchCtrl)

dispidSollwertDirekt = 1L,

dispidSwitchOn = 2L,

dispidSwitchOff = 3L,

dispidLatchedOn = 4L,

dispidLatchedOff = 5L,

dispidCanUseVariables = 6L,

dispidVariableTypes = 7L,

dispidMaxVariables = 8L,

dispidZenOnInit = 9L,

dispidZenOnExit = 10L,

//}}AFX_DISP_ID

};

};


Methoden

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Methoden

Folgende Methoden werden verwendet:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit

Noch in diesem Kapitel

CanUseVariables

VariableTypes

MaxVariables

zenonInit

zenonExit


CanUseVariables

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Methoden > CanUseVariables

Diese Methode gibt 1 zurück, es können also zenon Variablen verwendet werden.

short CLatchedSwitchCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Methoden > VariableTypes

Das Control kann nur mit Bit-Variablen arbeiten, daher wird 0x0004 zurückgegeben.

short CLatchedSwitchCtrl::VariableTypes()

{

return 0x0004; // Nur Bit-Variablen

}


MaxVariables

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Methoden > MaxVariables

Es können zwei Variablen verwendet werden, daher wird 2 zurückgegeben.

short CLatchedSwitchCtrl::MaxVariables()

{

return 2; // 2 Variablen

}


zenonInit

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Methoden > zenonInit

In dieser Methode werden über den Dispatchpointer des Dynamischen Elements die Dispatchdriver der Variablen geholt. Über diese Pointer werden beim Klicken und beim Zeichnen des Controls die Variablenwerte geholt und gesetzt.

BOOL CLatchedSwitchCtrl::zenonInit(LPDISPATCH dispElement)

{

m_dElement = IElement(dispElement);

Element.m_lpDispatch->AddRef();

if (m_dElement.GetCountVariable() >= 2)

{

short iIndex = 0;

m_dSwitchVar = IVariable(m_dElement.ItemVariable(COleVariant(iIndex)));

m_dLatchVar = IVariable(m_dElement.ItemVariable(COleVariant(++iIndex)));

}

return TRUE;

}

info Info

Element.m_lpDispatch->AddRef();

Nicht verwendete Objekte werden nicht automatisch aus dem Speicher gelöscht. Dies muss durch die Programmierung erfolgen. Der Programmierer bestimmt ob ein Objekt - basierend auf einen Verweiszähler - entfernt werden kann.

COM verwendet die IUnknow Methoden AddRef und Release um die Verweisanzahl von Interfaces auf einem Objekt zu verwalten.

Die allgemeine Regel für den Aufruf dieser Methoden sind:

  • Immer, wenn der Client einen Interface Pointer empfängt, muss AddRef auf dem Interface aufgerufen werden.
  • Immer, wenn der Client die Verwendung des Interface Pointers beendet, muss ein Release aufgerufen werden.

Bei einer einfachen Implementierung wird durch einen AddRef Aufruf eine Zählervariable im Objekt erhöht. Jeder Aufruf eines Release vermindert diesen Zähler im Objekt. Wenn dieser Zähler wieder auf NULL ist, kann das Interface aus dem Speicher entfernt werden.

Ein Verweiszähler kann auch so implementiert werden, daß jede Referenz auf das Objekt (und nicht zu einem individuellen Interface) gezählt wird.

In diesem Fall rufen jedes AddRef und jedes Release Stellvertreter einer zentralen Implementierung auf das Objekt auf. Ein Release gibt dann das gesamte Objekt frei, wenn der Verweiszähler Null erreicht hat.


zenonExit

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Methoden > zenonExit

Diese Methode gibt die Dispatchdriver wieder frei.

BOOL CLatchedSwitchCtrl::zenonExit()

{

m_dElement.ReleaseDispatch();

m_dSwitchVar.ReleaseDispatch();

m_dLatchVar.ReleaseDispatch();

return TRUE;

}


Bedienung und Darstellung

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Bedienung und Darstellung

Noch in diesem Kapitel

Sollwert setzen

Zeichnen


Sollwert setzen

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Bedienung und Darstellung > Sollwert setzen

Ein Sollwert wird über einen Klick mit der linken Maustaste auf das Control gesetzt.

Ist m_iSollwertDirekt 0, wird ein Dialog zur Auswahl des Sollwerts angezeigt, sonst wird der aktuelle Wert der Schaltervariable invertiert.

Hat die Riegelvariable den Wert 1, wird nur ein MessageBeep ausgeführt und es kann kein Sollwert über das Control gesetzt werden.

void CLatchedSwitchCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

CRect rcBounds;

GetWindowRect(&rcBounds);

COleVariant coleValue((BYTE)TRUE);

BOOL bLatch = (BOOL)VariantToDouble((LPVARIANT)&m_dLatchVar.GetValue());

BOOL bSwitch = (BOOL)VariantToDouble((LPVARIANT)&m_dSwitchVar.GetValue());

if (bLatch) // Verriegelt!!!

MessageBeep(MB_ICONEXCLAMATION);

else

{

if (m_sollwertDirekt)

{

bSwitch = !bSwitch;

}

else

{

CSollwertDlg dlg;

dlg.m_iSollwert = bSwitch ? 1 : 0;

if (dlg.DoModal() == IDOK)

{

if (dlg.m_iSollwert == 2) // Toggle

bSwitch = !bSwitch;

else

bSwitch = (BOOL)dlg.m_iSollwert;

}

}

coleValue = (double)bSwitch;

m_dSwitchVar.SetValue(coleValue);

}

COleControl::OnLButtonDown(nFlags, point);

}


Zeichnen

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > Bedienung und Darstellung > Zeichnen

Beim Zeichnen des Controls werden über die Dispatchdriver der Variablen deren Werte geholt und entsprechend eine der vier vorgegebenen Grafiken gezeichnet. Wenn sich der Wert einer Variable ändert, wird das Control über die OnDraw-Routine aktualisiert.

void CLatchedSwitchCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

CRect rcBitmap = rcBounds;

rcBitmap.NormalizeRect();

if (!m_dElement)

{

m_SwitchOn.Render(pdc, &rcBounds, &rcBounds);

return;

}

BOOL bVal1 = 0, bVal2 = 0;

VARIANT vRes;

if (m_dSwitchVar) // Variable vorhanden?

{

vRes = m_dSwitchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (m_dLatchVar) // Variable vorhanden?

{

vRes = m_dLatchVar.GetValue();

bVal2 = (BOOL)VariantToDouble(&vRes);

}

if (bVal1 && bVal2)

m_SwitchOn.Render(pdc, rcBitmap, rcBitmap);

else if (!bVal1 && bVal2)

m_SwitchOff.Render(pdc, rcBitmap, rcBitmap);

else if (bVal1 && !bVal2)

m_LatchedOn.Render(pdc, rcBitmap, rcBitmap);

else

m_LatchedOff.Render(pdc, rcBitmap, rcBitmap);

}


zenon Interface

Handbuch > Controls > ActiveX > Beispiel LatchedSwitch (C++) > zenon Interface

Damit das Dispatch Interface von zenon zum Sollwertsetzen verwendet werden kann, müssen für die Variablen und das Element Klassen angelegt werden, die von COleDispatchDriver abgeleitet sind. Diese Klassen werden am einfachsten über den Class Wizard der Entwicklungsumgebung angelegt (Button Add Class, Auswahl von From a type library, zenrt32.tlb auswählen).

Bei unserem Control sind das die Klassen IElement und IVariable. Sie sind in zenrt32.h und zenrt32.cpp definiert.


Beispiel CD_SliderCtrl (C++)

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++)

Da folgende Beispiel beschreibt ein ActiveX Control, das dem Windows SliderCtrl gleicht. Diese Komponente kann mit einer zenon Variable verknüpft werden. Der Anwender kann über den Schieberegler den Sollwert einer Variable ändern. Ändert sich die Variable über ein anderes Dynamisches Element, wird der Slider aktualisiert.

Noch in diesem Kapitel

Schnittstelle

Control

Methoden

Bedienung und Darstellung

zenon Interface


Schnittstelle

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Schnittstelle

Das Control CD_SliderCtrl besitzt folgendes Dispatch Interface:

[ uuid(5CD1B01D-015E-11D4-A1DF-080009FD837F),

helpstring(Dispatch interface for CD_SliderCtrl Control), hidden

]

dispinterface _DCD_SliderCtrl

{

properties: //*** Eigenschaften des Controls

[id(1)] short TickRaster;

[id(2)] boolean ShowVertical;

[id(3)] short LineSize;

methods: //*** Methoden des Controls (für zenon-ActiveX)

[id(4)] boolean zenonInit(IDispatch* pElementInterface);

[id(5)] boolean zenonExit();

[id(6)] short VariableTypes();

[id(7)] short CanUseVariables();

[id(8)] short MaxVariables();

[id(DISPID_ABOUTBOX)] void AboutBox();

};


Control

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Control

Die Implementierung des Controls erfolgt über die Klasse CD_SliderCtrlCtrl. Diese Klasse besitzt als Member ein Windows-übliches CSliderCtrl, mit dem das Control als Subclass ediniert wird. Die Schnittstellen IVariable und IElemen t enthalten zenon Schnittstellen, die integriert werden mußten. Diese sind abgeleitet von COleDispatchDriver.

class CCD_SliderCtrlCtrl : public COleControl

{

DECLARE_DYNCREATE(CCD_SliderCtrlCtrl)

private: //*** Member-Variablen

BOOL m_bInitialized;

BOOL m_bShowVertical;

BOOL m_bTicksBoth;

long m_nRangeStart;

long m_nRangeEnd;

long m_nTickOrientation;

IVariable m_interfaceVariable;

IElement m_interfaceElement;

CSliderCtrl m_wndSliderCtrl;

public:

CCD_SliderCtrlCtrl();

//{{AFX_VIRTUAL(CCD_SliderCtrlCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

//}}AFX_VIRTUAL

protected:

~CCD_SliderCtrlCtrl();

//*** Methoden zur Konvertierung von Variant

double VariantToDouble(const VARIANT FAR *vValue);

DECLARE_OLECREATE_EX(CCD_SliderCtrlCtrl) // Class factory and guid

DECLARE_OLETYPELIB (CCD_SliderCtrlCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CCD_SliderCtrlCtrl) // Property page IDs

DECLARE_OLECTLTYPE (CCD_SliderCtrlCtrl) // Type name and misc status

//*** Methoden für die Funktionalität des SliderCtrls

BOOL IsSubclassedControl ();

LRESULT OnOcmCommand (WPARAM wParam, LPARAM lParam);

//{{AFX_MSG(CCD_SliderCtrlCtrl)

afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void VScroll(UINT nSBCode, UINT nPos);

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

//{{AFX_DISPATCH(CCD_SliderCtrlCtrl)

afx_msg BOOL GetTickOnBothSides();

afx_msg void SetTickOnBothSides (short nNewValue);

afx_msg BOOL GetShowVertical();

afx_msg void SetShowVertical(BOOL bNewValue);

afx_msg short GetTickOrientation();

afx_msg void SetTickOrientation (short nNewValue);

afx_msg BOOL zenonInit(LPDISPATCH pElementInterface);

afx_msg BOOL zenonExit();

afx_msg short VariableTypes();

afx_msg short CanUseVariables();

afx_msg short MaxVariables();

//}}AFX_DISPATCH

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

//{{AFX_EVENT(CCD_SliderCtrlCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

public:

enum {

//{{AFX_DISP_ID(CCD_SliderCtrlCtrl)

dispidShowVertical = 1L,

dispidTicksOnBothSides = 2L,

dispidTickOrientation = 3L,

dispidZenOnInit = 4L,

dispidZenOnExit = 5L,

dispidVariableTypes = 6L,

dispidCanUseVariables = 7L,

dispidMaxVariables = 8L,

//}}AFX_DISP_ID

};

};


Methoden

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Methoden

Folgende Methoden werden verwendet:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit

Noch in diesem Kapitel

CanUseVariables

VariableTypes

MaxVariables

zenonInit

zenonExit


CanUseVariables

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Methoden > CanUseVariables

Diese Methode gibt 1 zurück, es können also zenon Variablen verwendet werden.

short CCD_SliderCtrlCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Methoden > VariableTypes

Das Control kann mit Wort, Byte, Doppelwort und Float-Variablen arbeiten. Eine Auflistung der möglichen Datentypen finden Sie in der allgemeinen Beschreibung über diese Methode.

short CCD_SliderCtrlCtrl::VariableTypes()

{

return 0x0001 | // Wort

0x0002 | // Byte

0x0008 | // D-Wort

0x0010 | // Float

0x0020; // D-Float

}


MaxVariables

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Methoden > MaxVariables

Mit diesem Control kann nur eine Variable verknüpft werden.

short CCD_SliderCtrlCtrl::MaxVariables()

{

return 1; // 1 Variablen

}


zenonInit

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Methoden > zenonInit

Der Parameter dispElement enthält das Inteface für das Dynamische Element. Über dieses Element wird die verknüpfte zenon Variable ermittelt. Ist diese gültig, wird der Bereich des SliderCtrls gesetzt. Weiters werden die Einstellungen für die Darstellung (Anzahl der Ticks, ...) gesetzt. Wenn keine Variable verknüpft ist, wird ein Laufbereich von 0 bis 0 festgelegt. Somit kann das SliderCtrl nicht verändert werden. Über die Variable m_bInitialized wird festgelegt, dass Sollwerte ab jetzt abgesetzt werden können.

BOOL CCD_SliderCtrlCtrl::zenonInit(LPDISPATCH dispElement)

{

//*** Ermittle die Variable über das zenon Element

m_interfaceElement = IElement(pElementInterface);

if (m_interfaceElement.GetCountVariable() > 0) {

short nIndex = 0;

m_interfaceVariable = IVariable

(m_interfaceElement.ItemVariable(COleVariant(nIndex)));

}

//*** Initialisiere den Bereich des Slider-Ctrls

if (m_interfaceVariable) {

//*** Laufbereich festlegen

m_nRangeStart = (long) VariantToDouble(&m_interfaceVariable.GetRangeMin());

m_nRangeEnd = (long) VariantToDouble(&m_interfaceVariable.GetRangeMax());

m_wndSliderCtrl.SetRange(m_nRangeStart,m_nRangeEnd,TRUE);

//*** Nebenticks festlegen

m_wndSliderCtrl.SetTicFreq(m_nTickCount);

m_wndSliderCtrl.SetPageSize(m_nTickCount);

m_wndSliderCtrl.SetLineSize(m_nLineSize);

} else {

m_wndSliderCtrl.SetRange(0,0,TRUE);

return FALSE;

}

m_bInitialized = TRUE;

return TRUE;

}


zenonExit

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Methoden > zenonExit

In dieser Methode werden die zenon Schnittstellen wieder freigegeben.

BOOL CCD_SliderCtrlCtrl::zenonExit()

{

m_interfaceElement.ReleaseDispatch();

m_interfaceVariable.ReleaseDispatch();

return TRUE;

}


Bedienung und Darstellung

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Bedienung und Darstellung

Noch in diesem Kapitel

Zeichnen

Sollwert setzen


Zeichnen

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Bedienung und Darstellung > Zeichnen

Über DoSuperclassPaint wird das SliderCtrl gezeichnet (da es sich um gesubclassed Control handelt). Wenn im Moment des Zeichnens der Regler verschoben wird, nimmt die Variable m_bInitialized den Wert FALSE an. Damit wird sichergestellt, dass der Wert verändert werden kann. Im Normalfall wird der Wert der Variable ermittelt und über die Methode SetPos des SliderCtrls dargestellt.

void CCD_SliderCtrlCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

//*** Aktualisiere die Ansicht

DoSuperclassPaint(pdc, rcBounds);

if (m_interfaceVariable && m_bInitialized) {

COleVariant cValue(m_interfaceVariable.GetValue());

int nValue = (int) VariantToDouble(&cValue.Detach());

m_wndSliderCtrl.SetPos(nValue);

}

}


Sollwert setzen

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > Bedienung und Darstellung > Sollwert setzen

In der LButtonDown-Methode wird die Variable m_bInitialized auf FALSE gesetzt und im LButtonUp-Event wieder auf TRUE. Damit wird sichergestellt, dass der Wert verändert werden kann. Sonst würde die OnDraw-Routine aufgerufen und der ursprüngliche Wert dargestellt werden.

void CCD_SliderCtrlCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

m_bInitialized = FALSE;

COleControl::OnLButtonDown(nFlags, point);

}

void CCD_SliderCtrlCtrl::OnLButtonUp(UINT nFlags, CPoint point)

{

m_bInitialized = TRUE;

COleControl::OnLButtonUp(nFlags, point);

}

Ein Sollwert wird über eine Änderung des Reglers herbeigeführt. In den Methoden HScroll oder VScroll wird der Sollwert abgesetzt (abhängig, davon, ob es sich um einen horizontalen oder einen vertikalen Schieberegler handelt).

void CCD_SliderCtrlCtrl::HScroll(UINT nSBCode, UINT nPos)

{

switch (nSBCode) {

case TB_LINEUP:

case TB_PAGEUP:

case TB_LINEDOWN:

case TB_PAGEDOWN:

case TB_THUMBTRACK:

case TB_THUMBPOSITION:{

//*** Sollwert ohne Dialog absetzen ?

int nValue = m_wndSliderCtrl.GetPos();

COleVariant cValue((short) nValue,VT_I2);

m_interfaceVariable.SetValue(cValue);

}

}

}


zenon Interface

Handbuch > Controls > ActiveX > Beispiel CD_SliderCtrl (C++) > zenon Interface

Damit das Dispatch Interface von zenon zum Sollwertsetzen verwendet werden kann, müssen für die Variablen und das Element Klassen angelegt werden, die von COleDispatchDriver abgeleitet sind. Diese Klassen werden am einfachsten über den Class Wizard der Entwicklungsumgebung angelegt (Button Add Class, Auswahl von From a type library, zenrt32.tlb auswählen).

Bei unserem Control sind das die Klassen IElement und IVariable. Sie sind in zenrt32.h und zenrt32.cpp definiert.


Beispiel .NET Control als ActiveX (C#)

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#)

Das folgende Beispiel beschreibt ein .NET Control, das als ActiveX Control in zenon ausgeführt wird.

Die Erstellung und Integration passiert in vier Schritten:

  1. Windows Form Control erzeugen
  2. .NET User Control in Dual Control umwandeln
  3. Im Editor über VBA mit ActiveX arbeiten
  4. zenon Variablen mit dem .NET User Control verbinden

attention Achtung

Bei der Verwendung von zenon COM-Objekten in selbst erstellten User Controls oder externen Anwendungen müssen diese über die Methode Marshal.ReleaseComObject freigegeben werden. Die Freigabe über die Methode Marshal.FinalReleaseComObject darf nicht verwendet werden, da diese zu einem Ausfall von zenon Add-Ins führt.

info Info

Die Screenshots für dieses Thema sind nur in englischer Sprache verfügbar.

Noch in diesem Kapitel

Windows Form Control erzeugen

.NET User Control in Dual Control umwandeln

Im Editor über VBA mit ActiveX arbeiten

zenon Variablen mit dem .NET User Control verbinden


Windows Form Control erzeugen

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > Windows Form Control erzeugen

Um ein Windows Form Control zu erzeugen:

  1. Starten Sie Visual Studio 2008 und erzeugen Sie ein neues Windows Form Control Library Projekt:

  2. Benennen Sie das Default Control auf den gewünschten Controlnamen um.
    In unserem Beispiel: SampesControl.cs.

  3. Öffnen Sie den Control Designer und fügen Sie die gewünschten Controls ein, in unserem Fall eine Textbox:

  4. Controls verfügen normalerweise über Eigenschaften. Öffnen Sie den Code Designer über View Code und fügen Sie die gewünschten extern verfügbaren Properties hinzu.
    In unserem Beispiel: Extern sichtbares Property „UserText" mit get und set Zugriff, das den Text der Textbox enthält:

  5. Kompilieren Sie das Projekt.

    Das Windows Forms Control kann jetzt in anderen Windows Forms Projekten verwendet werden.

    Wichtig: Das Control muss manuell über Choose Items in die Control Toolbox eingefügt werden.


.NET User Control in Dual Control umwandeln

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > .NET User Control in Dual Control umwandeln

Um das .NET in ein Dual Control umzuwandeln, muss zuerst die COM-Schnittstelle für ActiveX aktiviert werden.

  1. Öffnen Sie das Projekt und aktivieren Sie unter den Build-Einstellungen die Eigenschaft Register for COM interop:

  2. Öffnen Sie die Datei AssemblyInfo.cs und
    • setzen Sie das Attribut ComVisible auf true
    • fügen Sie das Attribut ClassInterface hinzu

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Öffnen Sie den Codedesigner über View Code und fügen Sie die notwendigen ActiveX Attribute und using Einträge hinzu. Erzeugen Sie über das Menü Tools/Create GUID eine neue GUID für das GUID-Attribut:

  4. Damit das Control auch als ActiveX Oberflächen Control auswählbar ist, müssen in die Control-Klasse noch folgende Funktionen eingefügt werden:
    • RegisterClass
    • UnregisterClass

    Danach kann das Control in der Registry registriert werden.

  5. Kompilieren Sie das Projekt erneut.

    Das Windows Form Control ist jetzt ActiveX fähig und wurde beim Rebuild automatisch registriert. Eine zusätzliche Typelib-Datei zenOnDotNetControl.tlb wurde im Outputverzeichnis erstellt.

  6. Um das Control auf einem anderen Rechner einzusetzen:
    1. kopieren Sie die DLL-Datei und die TLB-Datei auf den Zielrechner
    2. registrieren Sie die Dateien über die Kommandozeile mit:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Fügen Sie das erweiterte Windows Form Control als ActiveX Control in den zenon Editor ein:


Im Editor über VBA mit ActiveX arbeiten

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > Im Editor über VBA mit ActiveX arbeiten

Um im zenon Editor auf die Eigenschaften des Controls zugreifen zu können:

  1. Erzeugen Sie im zenon Editor im Knoten Programmierschnittstellen/VBA-Makros ein neues Init Makro mit der Bezeichnung Init_ActiveX.

    Mit diesem Makro kann man über obElem.AktiveX auf alle externen Properties zugreifen.

  2. Weisen Sie dieses Makro über die Eigenschaften VBA Makros/Init des ActiveX Elements dem ActiveX Control zu.

Beispiel Init Makro

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Den String auf das Control setzen"

End Sub


zenon Variablen mit dem .NET User Control verbinden

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden

In zenon haben Sie die Möglichkeit, ein ActiveX Control um spezielle Funktionen zu erweiterten und darin auf die zenon API zuzugreifen.

Benötigte Methoden

  • public bool zenOnInit (Wird beim Control Initialisieren in der zenon Runtime aufgerufen.)
  • public bool zenOnInitED (Wird im Editor verwendet.)
  • public bool zenOnExit() (Wird beim Control-Zerstören in der zenon Runtime aufgerufen.)
  • public bool zenOnExitED() (Wird im Editor verwendet.)
  • public short CanUseVariables() (Unterstützt das Verknüpfungen von Variablen.)
  • public short VariableTypes() (Vom Control unterstützte Datentypen)
  • public MaxVariables() (Maximale Anzahl der Variablen, die mit dem Control verknüpft werden können.)

Referenz hinzufügen

  1. Wählen Sie in Microsoft Visual Studio unter Add References die zenon Runtime-Objektbibliothek aus, damit man im Control auf die zenon API zugreifen kann.

  2. Fügen Sie die erweiterten Funktionen in den Klassencode des Controls ein, um auf die gesamte zenon API zuzugreifen.

    In unserem Beispiel wird das COM-Objekt einer zenon Variable in einem Member zwischengespeichert, um später im Paint Event des Controls darauf zugreifen zu können.

Noch in diesem Kapitel

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnInitED(zenOn.Element dispElement)

public bool zenOnExit()

public bool zenOnExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnInit(zenOn.Element dispElement)

Mit Hilfe dieser Methode wird in der Runtime dem ActiveX Control ein Zeiger auf das Dispatch Interface des Dynamischen Elements übergeben. Über diesen Zeiger können dann die mit dem Dynamischen Element verknüpften zenon Variablen angesprochen werden.

Die Reihenfolge der übergebenen Variablen stellen Sie im Element-Eingabe Dialog mit den Schaltflächen Nach unten oder Nach oben ein. Der Element-Eingabe Dialog öffnet sich, wenn Sie:

  • das ActiveX Element doppelklicken oder
  • im Kontextmenü Eigenschaften wählen oder
  • im Eigenschaftenfenster im Knoten Darstellung die Eigenschaft ActiveX Einstellungen wählen


public bool zenOnInitED(zenOn.Element dispElement)

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnInitED(zenOn.Element dispElement)

Entspricht public bool zenOnInit und wird beim Öffnen des ActiveX im Editor (Doppelklick auf ActiveX) ausgeführt.


public bool zenOnExit()

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnExit()

Diese Methode wird von der zenon Runtime beim Schließen des ActiveX Controls aufgerufen. Hier sollten alle Dispatch Pointer auf Variablen freigegeben werden.


public bool zenOnExitED()

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnExitED()

Entspricht public bool zenOnExit() und wird beim Schließen des ActiveX im Editor ausgeführt. Damit kann man auch im Editor auf Änderungen, etwas Wertänderungen, reagieren.


public short CanUseVariables()

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public short CanUseVariables()

Diese Methode gibt 1 zurück, wenn das Control zenon Variablen verwenden kann, und 0 wenn nicht.

  • 1: Für das Dynamische Element können(über die Schaltfläche Variablen) nur zenon Variablen mit den über die Methode VariableTypes angegebenen Typen in der von der Methode MaxVariables angegebenen Anzahl angegeben werden.
  • 0: Gibt CanUseVariables 0 zurück oder besitzt das Control diese Methode nicht, können Variablen mit allen Typen ohne Beschränkung der Anzahl angegeben werden. Diese können in der Runtime aber nur über VBA verwendet werden.


public short VariableTypes()

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public short VariableTypes()

Der von dieser Methode zurückgegebene Wert wird als Maske für die verwendbaren Variablentypen in der Variablenliste verwendet. Der Wert ist eine UND-Verknüpfung aus folgenden Werten (definiert in zenon32/dy_type.h):

Parameter | Wert | Beschreibung
WORD | 0x0001 | entspricht Stelle 0
BYTE | 0x0002 | entspricht Stelle 1
BIT | 0x0004 | entspricht Stelle 2
DWORD | 0x0008 | entspricht Stelle 3
FLOAT | 0x0010 | entspricht Stelle 4
DFLOAT | 0x0020 | entspricht Stelle 5
STRING | 0x0040 | entspricht Stelle 6
IN_OUTPUT | 0x8000 | entspricht Stelle 15


public MaxVariables()

Handbuch > Controls > ActiveX > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public MaxVariables()

Hier wird die Anzahl der Variablen festgelegt, die aus der Variablenliste ausgewählt werden können:

1: In der Variablenliste wird die Mehrfachauswahl deaktiviert. Es erfolgt eine Warnung, wenn trotzdem mehrere Variable ausgewählt werden.


.NET User Controls

Handbuch > Controls > .NET User Controls

Mit .NET Controls kann die Funktionalität der zenon Runtime und des Editors selbstständig erweitert werden.

In diesem Handbuch lesen Sie:

  • Unterschiede zwischen Control Container und ActiveX
  • Beispiel .NET Control Container
  • Beispiel .NET Control als ActiveX (C#)

Informationen zur Verwendung von .NET Controls in ActiveX finden Sie im auch Handbuch Bilder im Kapitel .NET Controls.

attention Achtung

Bei der Verwendung von zenon COM-Objekten in selbst erstellten User Controls oder externen Anwendungen müssen diese über die Methode Marshal.ReleaseComObject freigegeben werden. Die Freigabe über die Methode Marshal.FinalReleaseComObject darf nicht verwendet werden, da diese zu einem Ausfall von zenon Add-Ins führt.

Noch in diesem Kapitel

Unterschiede Nutzung .NET Control in Control Container oder ActiveX

Beispiel .NET Control Container

Beispiel .NET Control als ActiveX (C#)


Unterschiede Nutzung .NET Control in Control Container oder ActiveX

Handbuch > Controls > .NET User Controls > Unterschiede Nutzung .NET Control in Control Container oder ActiveX

Ein .NET User Control kann:

  • über CD_DotNetControlContainer Control direkt in das zenon ActiveX-Element eingebunden werden
  • als ActiveX Control verwendet und direkt in das zenon ActiveX-Element eingebunden werden

Unterschiede zwischen Container Control und ActiveX Control sind vor allem:

CD_DotNetControlContainer Control

ActiveX Control

  • Muss nicht am Rechner registriert werden.
  • Muss als ActiveX am Rechner registriert werden (regsvr32).
  • Bei Änderungen am Control muss nur die DLL ausgetauscht werden.
  • Bei Änderungen am Control muss die TLB neu registriert werden.
  • Zugriff über VBA und VSTA nur über CD_DotNetControlContainer Methoden möglich.
  • Zugriff über VBA und VSTA sehr einfach.


Beispiel .NET Control Container

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container

In diesem Tutorial wird beschrieben, wie man in Visual Studio 2010 ein einfaches .NET User Control (Programmiersprache C#) erstellt und dieses anschließend mit Hilfe des zenon CD_DotNetControlContainer Controls als ActiveX in ein zenon ActiveX Element einbindet.

Noch in diesem Kapitel

Allgemeines

.Net User Control erstellen

CD_DotNetControlContainer und .NET User Control einfügen

Zugriff auf das User Control über VSTA oder VBA


Allgemeines

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Allgemeines

Der CD_DotNetControlContainer dient als Wrapper zwischen einem User Control und dem zenon AktiveX Element. Alle im folgenden Beispiel verwendeten Methoden sowie alle Public Methoden und Properties werden über den CD_DotNetControlContainer vom User Control zum ActiveX weitergegeben und können von zenon verwendet werden, auch in VBA und VSTA.

Wird im User Control auf das zenon Programming Interface referenziert, kann direkt auf zenon Objekte zugegriffen werden.

Im folgenden Beispiel werden wir:

  • ein .NET User Control erstellen
  • CD_DotNetControlContainer und .NET User Control einfügen
  • den Zugriff auf das User Control über VSTA (VBA) ermöglichen

Pfad für DLL in Editor und Runtime

Der Pfad zur .Net DLL, der im Editor gewählt wird, wird auch zur Runtime verwendet. Er wird absolut gesetzt und darf nicht verändert werden.

Stellen Sie sicher, dass auf allen Rechnern im zenon Netzwerk für Editor und Runtime der gleiche Pfad verwendet wird.
Tipp: Wählen Sie einen absoluten Pfad, zum Beispiel: C:\Controls. Tragen Sie den Pfad fix im Remote-Transport und im .NET Control Container ein. Gleichen Sie diesen Pfad über den Remote-Transport mit allen Rechnern ab.

Noch in diesem Kapitel

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnExit()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Allgemeines > public bool zenOnInit(zenOn.Element dispElement)

Mit Hilfe dieser Methode wird in der Runtime dem ActiveX Control ein Zeiger auf das Dispatch Interface des Dynamischen Elements übergeben. Über diesen Zeiger können dann die mit dem Dynamischen Element verknüpften zenon Variablen angesprochen werden.

Die Reihenfolge der übergebenen Variablen stellen Sie im Element-Eingabe Dialog mit den Schaltflächen Nach unten oder Nach oben ein. Der Element-Eingabe Dialog öffnet sich, wenn Sie:

  • das ActiveX Element doppelklicken oder
  • im Kontextmenü Eigenschaften wählen oder
  • im Eigenschaftenfenster im Knoten Darstellung die Eigenschaft ActiveX Einstellungen wählen


public bool zenOnExit()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Allgemeines > public bool zenOnExit()

Diese Methode wird von der zenon Runtime beim Schließen des ActiveX Controls aufgerufen. Hier sollten alle Dispatch Pointer auf Variablen freigegeben werden.


public short CanUseVariables()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Allgemeines > public short CanUseVariables()

Diese Methode gibt 1 zurück, wenn das Control zenon Variablen verwenden kann, und 0 wenn nicht.

  • 1: Für das Dynamische Element können(über die Schaltfläche Variablen) nur zenon Variablen mit den über die Methode VariableTypes angegebenen Typen in der von der Methode MaxVariables angegebenen Anzahl angegeben werden.
  • 0: Gibt CanUseVariables 0 zurück oder besitzt das Control diese Methode nicht, können Variablen mit allen Typen ohne Beschränkung der Anzahl angegeben werden. Diese können in der Runtime aber nur über VBA verwendet werden.


public short VariableTypes()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Allgemeines > public short VariableTypes()

Der von dieser Methode zurückgegebene Wert wird als Maske für die verwendbaren Variablentypen in der Variablenliste verwendet. Der Wert ist eine UND-Verknüpfung aus folgenden Werten (definiert in zenon32/dy_type.h):

Parameter | Wert | Beschreibung
WORD | 0x0001 | entspricht Stelle 0
BYTE | 0x0002 | entspricht Stelle 1
BIT | 0x0004 | entspricht Stelle 2
DWORD | 0x0008 | entspricht Stelle 3
FLOAT | 0x0010 | entspricht Stelle 4
DFLOAT | 0x0020 | entspricht Stelle 5
STRING | 0x0040 | entspricht Stelle 6
IN_OUTPUT | 0x8000 | entspricht Stelle 15


public MaxVariables()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Allgemeines > public MaxVariables()

Hier wird die Anzahl der Variablen festgelegt, die aus der Variablenliste ausgewählt werden können:

1: In der Variablenliste wird die Mehrfachauswahl deaktiviert. Es erfolgt eine Warnung, wenn trotzdem mehrere Variable ausgewählt werden.


.Net User Control erstellen

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > .Net User Control erstellen

Bei dem User Control handelt es sich um ein einfaches Control, das es ermöglicht, über ein Eingabefeld (Textbox) einen neuen Wert zu setzen. Nach Drücken des Buttons wird der Wert auf die gewünschte zenon Variable geschrieben.

Eine weitere Funktion soll automatisch eine Wertänderung der Variable in zenon erkennen und den neuen Wert automatisch im Control anzeigen.

info Info

Die Screenshots für dieses Thema sind nur in englischer Sprache verfügbar.

Arbeitsschritte

  1. Zunächst erstellen Sie ein neues Projekt in VS und verwenden dazu den Projekttypen „Windows Forms Control Library"

    Wichtig: Framework auf 3.5 einstellen!

  2. Danach benennen Sie die CS-Datei „UserControl" in „zenon_CD_DotNetControlContainer.cs" um. Die Dateien Designer.cs und .resx werden automatisch mit unbenannt.

  3. Im nächsten Schritt erstellen Sie das User Control. Dazu benötigen Sie zwei Textboxen für die Ein-und Ausgabe sowie einen Button zum Absetzen eines neuen Wertes auf die zenon Variable.
    Benennen Sie:
    • die erste Textbox „txtGetZenonVariable"
    • die zweite Textbox „txtSetZenonVariable"
    • den Button „btnSetZenonVariable"

  4. Um auf zenon Objekte zugreifen zu können, benötigen Sie eine Referenz auf das zenon Programming Interface. Dazu:
    • klicken Sie auf den Knoten „References" im Solution Explorer
    • öffnen das Kontextmenü
    • wählen Add References…
    • wechseln zur Registerkarte COM
    • wählen die zenon programming interface library aus

    Danach sollte die „zenOn" Referenz in der Liste der Referenzen sichtbar sein.

  5. Im nächsten Schritt legen Sie im Programmcode der zenon_CD_DotNetControlContainer.cs eine globale Variable vom Typ zenon.Variable an:

  6. Diese Variable wird über die public Methode zenOnInit initialisiert:

    und über die public Methode zenOnExit wieder freigegeben:

    In den folgenden Methoden wird festgelegt ob zenon Variable und Datentypen verwendet werden und wie viele Variable übergeben werden dürfen:

  7. Im nächsten Schritt legen Sie im Click-Event des Buttons btnSetZenonVariable fest, dass beim Klicken des Buttons der Wert in der Textbox txtSetZenonVariable auf den Wert der zenon Variable geschrieben und danach der Inhalt der Textbox gelöscht wird.

  8. Um auf eine Wertänderung der Variable reagieren können, benötigen Sie das Paint-Event des Controls. Das Paint-Event wird auch getriggert, wenn sich der Wert der initialisierten zenon Variable ändert und kann somit für die Aktualisierung von Werten verwendet werden. Da Variablen die im zenon ActiveX-Element referenziert sind automatisch advised sind, kann generell auf den zenon.OnlineVariable Container im Control verzichtet werden.

Der Code im Überblick

Hier nochmals der gesamte Code im Überblick:

using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Linq;

using System.Text;

using System.Windows.Forms;

using zenOn;

namespace zenon_CD_DotNetControlContainer

{

public partial class zenon_CD_DotNetControlContainer : UserControl

{

//This will be needed to get the zenon Variable Container

zenOn.Variable m_cVal = null;

public zenon_CD_DotNetControlContainer()

{

InitializeComponent();

}

/// <summary>

/// This public Method will be called by the initialization of the control during

/// the zenon Runtime.

/// </summary>

/// <param name="dispElement"></param>

/// <returns></returns>

public bool zenOnInit(zenOn.Element dispElement)

{

//Check if zenon Variables are added to the

//Control

if (dispElement.CountVariable > 0)

{

try

{

//Take the first zenon Variable and added

//to the global Variable

m_cVal = dispElement.ItemVariable(0);

}

catch { }

}

return true;

}

// <summary>

/// This public Method will be called by the release of the control during

/// the zenon Runtime.

/// </summary>

/// <returns></returns>

public bool zenOnExit()

{

try

{

if (m_cVal != null)

{

//Release the zenon Variable (Com-Object)

System.Runtime.InteropServices.Marshal.ReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

/// <summary>

/// This public Method is needed to link zenon Variables

/// to the control.

/// </summary>

/// <returns></returns>

public short CanUseVariables()

{

return 1; // Only this Variable is supported

}

/// <summary>

/// This public Method returns the Type of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short VariableTypes()

{

return short.MaxValue; // all Data Types supported

}

/// <summary>

/// This public Method returns the number of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short MaxVariables()

{

return 1; // Only 1 Variable should linked to the Control

}

/// <summary>

/// This will be triggert by clicking the Button. The new Value will

/// be set to the zenon Variable

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void btnSetZenonVariable_Click(object sender, EventArgs e)

{

//Set Value from TextBox to the zenon Variable

m_cVal.set_Value(0,txtSetZenonVariable.Text.ToString());

this.txtSetZenonVariable.Text = string.Empty;

}

/// <summary>

/// This will be triggert by painting the User Control or the Value of the Variable changed.

/// After the value of the Variable changed the Control will be new painted and the new Value

/// will be set to the Textbox.

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void zenon_CD_DotNetControlContainer_Paint(object sender, PaintEventArgs e)

{

if (m_cVal != null)

{

this.txtGetZenonVariable.Text = m_cVal.get_Value(0).ToString();

return;

}

else

{

this.txtGetZenonVariable.Text = "Variable Value";

return;

}

}

}

}

Release erstellen

Zum Schluss erstellen Sie ein Release, um die fertige DLL in zenon und/oder in den CD_DotNetControlContainer einbinden zu können.

Dafür muss unbedingt in den Settings von Debug auf Release umgestellt werden.


CD_DotNetControlContainer und .NET User Control einfügen

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > CD_DotNetControlContainer und .NET User Control einfügen

Um das zenon Projekt vorzubereiten und den CD_DotNetControlContainer und das .NET User Control einzufügen, führen Sie folgende Schritte aus:

  1. Legen Sie eine interne Variable vom Typ String an und setzen Sie die Stringlänge auf 30.

  2. Fügen Sie im zenon Projektknoten Projekt/Dateien/Sonstige die DLL des erstellten .NET User Controls ein. Hierbei wird die Datei in den Ordner Additional auf Dateisystemebene kopiert.

  3. Die DLL befindet sich im Output-Ordner des Visual Studio Projekts unter ...\bin\Release\zenon_CD_DotNetControlContainer.dll.

  4. Im Projekt wählen Sie das ActiveX-Element und ziehen es in ein zenon Bild.
    • Der Dialog Konfiguration wird geöffnet.
    • Wählen Sie das CD_DotNetControlContainer.Container Control aus.

  5. Um das .NET User Control in das CD_DotNetControlContainer Control einzubetten:
    • Klicken Sie auf die Schaltfläche Eigenschaften.
    • Ein neuer Dialog wird geöffnet.

    • Mit Klick auf die Schaltfläche Load wählen Sie den Pfad des Projektordners, zum Beispiel: C:\ProgramData\COPA-DATA\SQL\9888419d-251e-4595-b396-9be42367997c\FILES\zenon\custom\additional\zenon_CD_DotNetControlContainer.dll

    Hinweis: Controls sollten immer im Ordner Additional des Projekts abgelegt werden. Somit werden sie bei Sicherungen und Übertragungen berücksichtigt. Der Pfad ist dabei relativ zum Speicherort zu definieren. Alternativ können Sie bei Path die Option Absolute verwenden, dabei muss aber sichergestellt sein dass am Zielsystem die selbe Verzeichnisstruktur existiert.

    Nun sollte das .NET User Control angezeigt werden.

    Bestätigen Sie den Dialog mit Klick auf OK.

  6. Im letzten Schritt verknüpfen Sie über die Schaltfläche Variablen eine Variable mit dem Control.

    Die erste ausgewählte Variable wird automatisch über die public Methode zenonInit mit der global definierten Variable (.NET UserControl) verknüpft. Die Verlinkung mit dem Control erfolgt aber erst nach dem Start der Runtime.

    Dann verlinken Sie noch die interne Variable mit einem Textelement.

  7. Nach dem Runtime Start ist das Control zunächst leer.

    Wird ein Wert in die zweite Textbox geschrieben und danach mit dem Button Set zenon Variable bestätigt, dann wird der Wert auf die zenon Variable geschrieben. (Das btnSetZenonVariable_Click Event wird ausgeführt.)

    Dieser wird auch im zenon Textelement angezeigt.

    Wird der Wert direkt im zenon Text-Element geändert,

    dann wird der Wert direkt über das Paint Event des .NET Controls in die erste Textbox geschrieben.


Zugriff auf das User Control über VSTA oder VBA

Handbuch > Controls > .NET User Controls > Beispiel .NET Control Container > Zugriff auf das User Control über VSTA oder VBA

In diesem Beispiel wird der Zugriff über VSTA gezeigt. Die Vorgehensweise ist bei VBA die gleiche.

  1. Erweitern Sie das Control mit einen Label (label) und benennen Sie dieses lblzenonInfo. In diesem Label soll der Wert einer anderen zenon Variablen angezeigt werden. Der neue Wert soll über ein VSTA Makro gesetzt werden.

  2. Erweitern Sie den Code um ein Property (Information) und fügen get und set Eigenschaften zu dem Property hinzu. Diese erlauben es, den Text des Labels zu lesen und zu schreiben.

  3. Erstellen Sie ein neues Release für unser User Control und kopieren Sie dieses wieder in den Ordner additional des zenon Projekts.
    Nicht vergessen: zenon Editor vorher schließen!
    Löschen Sie die alte DLL und starten Sie den zenon Editor neu. Sollte sich die DLL immer noch im Ordner befinden, einfach ein zweites Mal löschen. Jetzt kann die geänderte DLL neu importiert werden. Das CD_DotNetContainerControl sowie das ActiveX werden automatisch aktualisiert.
  4. Klicken Sie im zenon Editor auf das ActiveX und öffnen Sie das Eigenschaftenfenster.

    Sie können nun die neue Eigenschaft Information im Auswahlfenster des Controls sehen und auch einen Wert setzen.

    Dieser Wert wird auch im Control gesetzt („myInformation")

  5. Um mit dem CD_DotNetControlContainer in VSTA oder VBA arbeiten zu können, benötigen Sie zunächst die Referenz auf das Control. Nach dem VSTA für das Projekt geöffnet wurde (ProjectAddin) muss die Referenz vom CD_DotNetControlContainer hinzugefügt werden.

    Zusätzlich muss auch das Assembly System.Windows.Forms hinzugefügt werden.

  6. Mit folgendem Code kann der Wert für die Control Eigenschaft Information neu gesetzt werden:

  7. Zum Schluss:
    • erstellen Sie eine zenon Funktion VSTA Makro ausführen
    • verknüpfen Sie die Funktion mit einem Button

    Zur Runtime wird das Label beim Klick auf den Button von myInformation auf New Information geändert.

    Und beim nächsten Drücken des Buttons wieder zurück geändert.


Beispiel .NET Control als ActiveX (C#)

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#)

Das folgende Beispiel beschreibt ein .NET Control, das als ActiveX Control in zenon ausgeführt wird.

Die Erstellung und Integration passiert in vier Schritten:

  1. Windows Form Control erzeugen
  2. .NET User Control in Dual Control umwandeln
  3. Im Editor über VBA mit ActiveX arbeiten
  4. zenon Variablen mit dem .NET User Control verbinden

attention Achtung

Bei der Verwendung von zenon COM-Objekten in selbst erstellten User Controls oder externen Anwendungen müssen diese über die Methode Marshal.ReleaseComObject freigegeben werden. Die Freigabe über die Methode Marshal.FinalReleaseComObject darf nicht verwendet werden, da diese zu einem Ausfall von zenon Add-Ins führt.

info Info

Die Screenshots für dieses Thema sind nur in englischer Sprache verfügbar.

Noch in diesem Kapitel

Windows Form Control erzeugen

.NET User Control in Dual Control umwandeln

Im Editor über VBA mit ActiveX arbeiten

zenon Variablen mit dem .NET User Control verbinden


Windows Form Control erzeugen

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > Windows Form Control erzeugen

Um ein Windows Form Control zu erzeugen:

  1. Starten Sie Visual Studio 2008 und erzeugen Sie ein neues Windows Form Control Library Projekt:

  2. Benennen Sie das Default Control auf den gewünschten Controlnamen um.
    In unserem Beispiel: SampesControl.cs.

  3. Öffnen Sie den Control Designer und fügen Sie die gewünschten Controls ein, in unserem Fall eine Textbox:

  4. Controls verfügen normalerweise über Eigenschaften. Öffnen Sie den Code Designer über View Code und fügen Sie die gewünschten extern verfügbaren Properties hinzu.
    In unserem Beispiel: Extern sichtbares Property „UserText" mit get und set Zugriff, das den Text der Textbox enthält:

  5. Kompilieren Sie das Projekt.

    Das Windows Forms Control kann jetzt in anderen Windows Forms Projekten verwendet werden.

    Wichtig: Das Control muss manuell über Choose Items in die Control Toolbox eingefügt werden.


.NET User Control in Dual Control umwandeln

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > .NET User Control in Dual Control umwandeln

Um das .NET in ein Dual Control umzuwandeln, muss zuerst die COM-Schnittstelle für ActiveX aktiviert werden.

  1. Öffnen Sie das Projekt und aktivieren Sie unter den Build-Einstellungen die Eigenschaft Register for COM interop:

  2. Öffnen Sie die Datei AssemblyInfo.cs und
    • setzen Sie das Attribut ComVisible auf true
    • fügen Sie das Attribut ClassInterface hinzu

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Öffnen Sie den Codedesigner über View Code und fügen Sie die notwendigen ActiveX Attribute und using Einträge hinzu. Erzeugen Sie über das Menü Tools/Create GUID eine neue GUID für das GUID-Attribut:

  4. Damit das Control auch als ActiveX Oberflächen Control auswählbar ist, müssen in die Control-Klasse noch folgende Funktionen eingefügt werden:
    • RegisterClass
    • UnregisterClass

    Danach kann das Control in der Registry registriert werden.

  5. Kompilieren Sie das Projekt erneut.

    Das Windows Form Control ist jetzt ActiveX fähig und wurde beim Rebuild automatisch registriert. Eine zusätzliche Typelib-Datei zenOnDotNetControl.tlb wurde im Outputverzeichnis erstellt.

  6. Um das Control auf einem anderen Rechner einzusetzen:
    1. kopieren Sie die DLL-Datei und die TLB-Datei auf den Zielrechner
    2. registrieren Sie die Dateien über die Kommandozeile mit:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Fügen Sie das erweiterte Windows Form Control als ActiveX Control in den zenon Editor ein:


Im Editor über VBA mit ActiveX arbeiten

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > Im Editor über VBA mit ActiveX arbeiten

Um im zenon Editor auf die Eigenschaften des Controls zugreifen zu können:

  1. Erzeugen Sie im zenon Editor im Knoten Programmierschnittstellen/VBA-Makros ein neues Init Makro mit der Bezeichnung Init_ActiveX.

    Mit diesem Makro kann man über obElem.AktiveX auf alle externen Properties zugreifen.

  2. Weisen Sie dieses Makro über die Eigenschaften VBA Makros/Init des ActiveX Elements dem ActiveX Control zu.

Beispiel Init Makro

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Den String auf das Control setzen"

End Sub


zenon Variablen mit dem .NET User Control verbinden

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden

In zenon haben Sie die Möglichkeit, ein ActiveX Control um spezielle Funktionen zu erweiterten und darin auf die zenon API zuzugreifen.

Benötigte Methoden

  • public bool zenOnInit (Wird beim Control Initialisieren in der zenon Runtime aufgerufen.)
  • public bool zenOnInitED (Wird im Editor verwendet.)
  • public bool zenOnExit() (Wird beim Control-Zerstören in der zenon Runtime aufgerufen.)
  • public bool zenOnExitED() (Wird im Editor verwendet.)
  • public short CanUseVariables() (Unterstützt das Verknüpfungen von Variablen.)
  • public short VariableTypes() (Vom Control unterstützte Datentypen)
  • public MaxVariables() (Maximale Anzahl der Variablen, die mit dem Control verknüpft werden können.)

Referenz hinzufügen

  1. Wählen Sie in Microsoft Visual Studio unter Add References die zenon Runtime-Objektbibliothek aus, damit man im Control auf die zenon API zugreifen kann.

  2. Fügen Sie die erweiterten Funktionen in den Klassencode des Controls ein, um auf die gesamte zenon API zuzugreifen.

    In unserem Beispiel wird das COM-Objekt einer zenon Variable in einem Member zwischengespeichert, um später im Paint Event des Controls darauf zugreifen zu können.

Noch in diesem Kapitel

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnInitED(zenOn.Element dispElement)

public bool zenOnExit()

public bool zenOnExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnInit(zenOn.Element dispElement)

Mit Hilfe dieser Methode wird in der Runtime dem ActiveX Control ein Zeiger auf das Dispatch Interface des Dynamischen Elements übergeben. Über diesen Zeiger können dann die mit dem Dynamischen Element verknüpften zenon Variablen angesprochen werden.

Die Reihenfolge der übergebenen Variablen stellen Sie im Element-Eingabe Dialog mit den Schaltflächen Nach unten oder Nach oben ein. Der Element-Eingabe Dialog öffnet sich, wenn Sie:

  • das ActiveX Element doppelklicken oder
  • im Kontextmenü Eigenschaften wählen oder
  • im Eigenschaftenfenster im Knoten Darstellung die Eigenschaft ActiveX Einstellungen wählen


public bool zenOnInitED(zenOn.Element dispElement)

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnInitED(zenOn.Element dispElement)

Entspricht public bool zenOnInit und wird beim Öffnen des ActiveX im Editor (Doppelklick auf ActiveX) ausgeführt.


public bool zenOnExit()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnExit()

Diese Methode wird von der zenon Runtime beim Schließen des ActiveX Controls aufgerufen. Hier sollten alle Dispatch Pointer auf Variablen freigegeben werden.


public bool zenOnExitED()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public bool zenOnExitED()

Entspricht public bool zenOnExit() und wird beim Schließen des ActiveX im Editor ausgeführt. Damit kann man auch im Editor auf Änderungen, etwas Wertänderungen, reagieren.


public short CanUseVariables()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public short CanUseVariables()

Diese Methode gibt 1 zurück, wenn das Control zenon Variablen verwenden kann, und 0 wenn nicht.

  • 1: Für das Dynamische Element können(über die Schaltfläche Variablen) nur zenon Variablen mit den über die Methode VariableTypes angegebenen Typen in der von der Methode MaxVariables angegebenen Anzahl angegeben werden.
  • 0: Gibt CanUseVariables 0 zurück oder besitzt das Control diese Methode nicht, können Variablen mit allen Typen ohne Beschränkung der Anzahl angegeben werden. Diese können in der Runtime aber nur über VBA verwendet werden.


public short VariableTypes()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public short VariableTypes()

Der von dieser Methode zurückgegebene Wert wird als Maske für die verwendbaren Variablentypen in der Variablenliste verwendet. Der Wert ist eine UND-Verknüpfung aus folgenden Werten (definiert in zenon32/dy_type.h):

Parameter | Wert | Beschreibung
WORD | 0x0001 | entspricht Stelle 0
BYTE | 0x0002 | entspricht Stelle 1
BIT | 0x0004 | entspricht Stelle 2
DWORD | 0x0008 | entspricht Stelle 3
FLOAT | 0x0010 | entspricht Stelle 4
DFLOAT | 0x0020 | entspricht Stelle 5
STRING | 0x0040 | entspricht Stelle 6
IN_OUTPUT | 0x8000 | entspricht Stelle 15


public MaxVariables()

Handbuch > Controls > .NET User Controls > Beispiel .NET Control als ActiveX (C#) > zenon Variablen mit dem .NET User Control verbinden > public MaxVariables()

Hier wird die Anzahl der Variablen festgelegt, die aus der Variablenliste ausgewählt werden können:

1: In der Variablenliste wird die Mehrfachauswahl deaktiviert. Es erfolgt eine Warnung, wenn trotzdem mehrere Variable ausgewählt werden.


WPF

Handbuch > Controls > WPF

Mit dem Dynamischen Element WPF können gültige WPF/XAML-Dateien in zenon eingebunden und dargestellt werden.

Eine ausführliche Dokumentation über WPF-Elemente in zenon sowie Tutorials für Designer, Entwickler und Projektanten finden Sie im Handbuch zenon WPF-Element.

Dieses Handbuch behandelt folgende Themen:

  • Grundlagen
  • Leitfaden für Designer
  • Leitfaden für Entwickler
  • Projektierung in zenon


Energy Edition

Handbuch > Energy Edition

Bei der zenon Energy Edition handelt es sich um ein Paket mit speziellen Funktionalitäten für die Energie- beziehungsweise die Verfahrenstechnik. Dabei profitiert der Anwender von einfach zu implementierenden Funktionalitäten, die ihm rasch eine individuelle Anpassung der Applikation an physikalische Gegebenheiten ermöglichen.

Für die Energy Edition stehen zur Verfügung:

  • Befehlsgabe
  • ALC (Automatic Line Coloring): Bereits in der Lizenz für die Energy Edition enthalten, stellt grundlegende Eigenschaften der Linieneinfärbung zur Verfügung.
  • Schaltfolgen
  • Topologisches Element Trafo
  • Topologie-Paket: Benötigt zusätzliche Lizenzierung am Server (nicht am Client) und erweitert ALC um:
    • Mehrfachversorgung
    • Gesicherte Versorgung
    • Topologische Verriegelungen
    • Topologisches Element Trenner
    • Fehlerortung und Erdschlusssuche
  • Das Modul Lastflussberechnung implementiert folgende Funktionalität:
    • Berechnung für 3-Phasen, Hochleistungs-Energienetze.
    • Ableitung des Lastflussmodells aus Bildern mit ALC-Elementen (aktive Elemente, geschlossene Schalter, ...).
    • Berechnung des Lastflusses für den aktuellen Modell-Zustand (aus den Werten der ALC-Elemente).
    • Topologische Verriegelungen, basierend auf Vorausberechnung des ALC-Modells.
  • (n-1)-Berechnung.
    Visualisierung einer möglichen Überlastung des Netzes, z.B. bei Ausfall einer Leitung.
  • State Estimator

    Das Modul State Estimator ist ein zusätzliches Modul zum Modul Lastflussberechnung.

    Sind an den Knoten im topologischen Netz nicht alle für eine Lastflussberechnung notwendigen zu- oder abfließenden Leistungen bekannt, kann der State Estimator diese aus weiteren Messwerten im Netz rekonstruieren.
    Elektrotechnische Parameter (Leistungen) werden vom State Estimator geschätzt. Dazu verwendet der State Estimator die Werte von Messpunkten auf Leitungen.

Noch in diesem Kapitel

Automatic Line Coloring (ALC) - Topologie

Schaltfolgen

Befehlsgabe


Automatic Line Coloring (ALC) - Topologie

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie

Die topologische Einfärbung von Leitungen dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie in der elektrischen Energieverteilung (für Strom). Damit lassen sich die prozessgesteuerten Einfärbungen von topologischen Netzen einfach realisieren.

Aufgrund der Projektierung im Bild wird die Leitungsstruktur einschließlich ihrer angeschlossenen verfahrenstechnischen Elemente (z. B. Tanks und Ventile, oder Generatoren, Schalter und Verbraucher) intern als Modell nachgebildet und der Medienfluss während der Runtime dargestellt.

Um bildübergreifende Modelle zu ermöglichen, ist die gesamte Projektierung sowie Konfiguration immer projektweit. Es ergibt sich somit pro Projekt ein gesamtes Topologisches Modell, das zur Berechnung der Leitungszustände und schließlich zur Färbung der einzelnen Leitungen herangezogen wird.

Die gesamte Topologie wird dabei aus dem grafischen Design unter Anordnung der Elemente automatisch erstellt. Es sind keine weiteren projektiertechnischen Maßnahmen notwendig.

info Info

Ausgehend von einer Quelle, durchläuft der ALC Algorithmus jeden Schalter nur einmal pro Richtung.

Detailbilder

Für die Darstellung von Einzelbildern kann mit der Hilfe von Alias ein Teilbereich aus dem Topologischen Netz herausgenommen und einzeln dargestellt werden. Ein Detailbild kann mit den Daten unterschiedlicher Anlagenteile, z. B. Abgängen oder Teilnetzen, dargestellt werden.

Noch in diesem Kapitel

ALC Elemente

Konfiguration

Funktion: ALC-Quellenfarbe ändern

Alias für Detailbilder

Fehlerortung in elektrischen Netzen

Impedanzbasierende Fehlerortung und Lastverteilungsrechnung

Lastflussberechnung

State Estimator


ALC Elemente

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente

Automatic Line Coloring (ALC) ermöglicht es, Leitungen abhängig vom Prozesszustand einzufärben. Als verfahrenstechnisches Element wird das Combi-Element verwendet. ALC dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie topologischen Netzen in der elektrischen Energieverteilung (für Strom).

Projektierung

Für die Projektierung werden zwei Typen von Bildelementen mit verschiedener Funktion unterschieden. Zum einen sind dies Verfahrenstechnische Elemente (Quelle, Schalter, Trenner, Senke, Trafo oder Link) und zum anderen Leitungen.

Dabei ist es so, dass die verfahrenstechnischen Elemente eine Funktion und eine Farbe (Quelle und Trafo) besitzen. Wenn die verfahrenstechnischen Elemente aktiv sind, übernehmen die abgehenden Leitungen bei Quelle und bei Trafo die Farbe dieser Elemente oder nehmen bei Schalter und bei Link die Farbe der Eingangsleitung des Elements an. Bei Inaktivität der verfahrenstechnischen Elemente wird die Farbe der Leitungen aus der Projektierung im Element übernommen.

Die verschiedenen Funktionen dieser Elemente werden in den Eigenschaften des Combi Elementes zugewiesen.

Beispiel

Eine Quelle verfügt über eine angeschlossene Leitung. An diese Leitung ist ein Schalter angeschlossen. Daran ist wiederum eine zweite Leitung angeschlossen. Wenn die Quelle aktiv ist, wird die erste Leitung bis zum Schalter mit der in den Projekteigenschaften des Automatic Line Coloring definierten Farbe der Quelle eingefärbt. Die weitere Leitung wird erst dann eingefärbt, wenn der Schalter geschlossen ist.

Quelle inaktiv

Quelle aktiv

Schalter geschlossen

Undefiniert oder gestört

info Info

Befindet sich das verfahrenstechnische Element im Zustand undefiniert oder gestört, wird dies automatisch erkannt. Die abgehenden Leitungen und alle weiteren Elemente werden für beide Status in der Farbe der vordefinierten Quelle undefiniert angezeigt.

Anzahl geschlossene Schalter in einer Reihe

Für das korrekte Funktionieren des ALC-Algorithmus spielt es eine Rolle, wie viele geschlossene Schalter in einer Reihe angeordnet sind.

Empfehlung: Ordnen Sie maximal 256 geschlossene Schalter in einer Reihe zwischen Quelle und Senke an.

Noch in diesem Kapitel

Verfahrenstechnische Elemente via Combi-Element

Leitungen

Überprüfung der Projektierung


Verfahrenstechnische Elemente via Combi-Element

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element

Verfahrenstechnische Elemente werden in zenon mit einem Combi-Element erstellt und bestimmen je nach Zustand die Einfärbung der angeschlossenen Leitung.

Folgende Einstellungen stehen zur Verfügung:

Eigenschaft

Beschreibung

Funktionstyp

Gibt den verfahrenstechnischen Typ des Combi-Elements an.

keine Funktion

Das Element hat im ALC keine Funktion.
Hinweis: Der Funktionstyp "keine Funktion" ist der Defaultwert.

Quelle

Dient als Lieferant für eine Farbe. Ist die Quelle aktiv (Wert: 1), bekommen alle angeschlossenen Leitungen, die in den Elementeigenschaften die Option Farbe aus ALC gesetzt haben, die Farbe der Quelle zugewiesen. Die Farbe ist durch die in den Projekteigenschaften für die Quelle definierte Quellfarbe bestimmt. (z. B. Tanks oder Generatoren). Eine Quelle ist ein Einpol, dem eine statische Quellenummer zugeordnet ist. Die Quelle ist über den Zustand ihrer Hauptvariable schaltbar. Quellen gelten grundsätzlich als netzsynchron und kuppelbar.

Für die topologische Verriegelung Zusammenschalten unterschiedlicher Spannungsebenen wird die Nennspannung der Quelle berücksichtigt.

Details zur Quelle finden Sie im Kapitel Konfiguration der Quellen.

Generator

Ein Generator verhält sich prinzipiell wie eine Quelle, nur dass er grundsätzlich als eigenständig und nicht-netzsynchron angenommen wird.

Für die topologische Verriegelung Kuppeln von Netzen wird die Nummer der Quelle, die mit einem Generator verknüpft ist, berücksichtigt.

Schalter

Damit können Leitungen unterbrochen werden. Ist der Schalter geschlossen/aktiv (Wert: 1), dann ist die Verbindung zwischen zwei Leitungen geschlossen und die Leitung verfärbt sich bis zum nächsten Schalter mit der definierten Farbe der Quelle. Ein Schalter leitet in diesem Fall die Quellen-Farbe der Eingangsleitung an die Ausgangsleitung weiter.

Ist der Zustand des Schalters gestört (Wert: 3) oder undefiniert (Wert: 2) oder Status der Hauptvariable ist INVALID, verfärbt sich die Leitung in die Farbe undefiniert aus der ALC Konfiguration in den Projekteigenschaften. Ein Schalter liefert somit an seinem Ausgang (Anschluss 2) anstatt der eingehenden Quellennummer die Quellennummer 0 (undefiniert).

Beispiel: siehe Abschnitt Beispiel Schalter - Farben aus ALC.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Trenner

Ein Trenner verhält sich prinzipiell wie ein Schalter. Allerdings darf ein Trenner im Topologischen Modell nicht unter Spannung geschaltet werden - topologische Verriegelung "Trenner unter Last" in der Befehlsgabe.

Auch wie beim Schalter die Hauptvariable bestimmt der Zustand: Ein, Aus, Zwischenstellung, gestört.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Transformator

Ein Transformator ist gleichzeitig eine Senke und eine Quelle. Er dient dazu die Eingangsfarbe (Eingangsquelle) gegen eine Ausgangsfarbe (Trafo eigene Quelle) auszutauschen.
Erst wenn der Transformator eine aktive Eingangsleitung hat, wird die Ausgangsleitung ebenfalls aktiv angezeigt. Die Ausgangsleitung bekommt jedoch nicht die Farbe der Eingangsleitung wie beim Schalter, sondern die Farbe der eigenen Quelle des Transformators. Bei jedem Transformator muss daher eine Quelle eingestellt werden. Ein Transformator kann nicht aktiv oder inaktiv geschaltet werden, er ist immer aktiv, unabhängig vom Wert der verknüpften Variable.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Rückspeisefähiger Transformator:

Um einen rückspeisefähigen Transformator zu erhalten, müssen Sie bei Quelle für Rückspeisung eine andere Quelle als UNDEFINED [0] auswählen. Das bedeutet, dass sich der Transformator in beiden Richtungen - vom Eingang zum Ausgang (Vorwärtsrichtung) und auch vom Ausgang zum Eingang (Rückwärtsrichtung) - gleich verhält. Der einzige Unterschied besteht darin, dass zur Weiterverbreitung die Quellnummer der Eigenschaft Quelle für Rückspeisung und nicht die der Eigenschaft Quelle verwendet wird.

Hinweis: Fehlerhafte Netzzustände oder fehlerhafte Projektierungen, wie z. B. gleichzeitige Speisung von Eingang und Ausgang oder Kurzschluss von Eingang und Ausgang werden nicht speziell eingefärbt. Das bedeutet, dass sich der rückwärtsspeisefähige Transformator wie zwei antiparallel geschaltete Trafos verhält, die nicht rückwärtsspeisefähig sind.

Kondensator

Der Kondensator ist als Last nur einseitig anschließbar. Für die Lastflussberechnung dient der Kondensator als Kompensation der Blindleistung.

Schieber

Ein Schieber (ein Ventil) verhält sich ähnlich wie ein Schalter, wird aber für Wasser- und Gasleitungen verwendet.

Werte der Hauptvariable:

  • Schieber AUS: Wert 0 -> Schieber geschlossen -> keine Weiterleitung
  • Schieber EIN: Wert 1 -> Schieber komplett geöffnet -> Weiterleitung
  • Schieber Wert 2 (intermediate) -> Schieber teilweise geöffnet -> Weiterleitung
  • Schieber Wert 3 (Fehler) -> Schieber gestört

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Rückschlagventil

Das Rückschlagventil leitet Informationen nur in eine Richtung weiter.

Werte der Hauptvariable:

  • Wert 0:
    Die Weiterleitung ist nicht aktiv (= das Ventil ist geschlossen)
  • Wert 1 oder 2:
    Eine Weiterleitung ist nur in eine Richtung möglich. Dabei wird die Farbe der Quelle ausschließlich vom Eingang zum Ausgang weitergeleitet. Eine Weiterleitung in die Gegenrichtung ist nicht vorgesehen. Dies betrifft auch das Weiterleiten der ALC-Information für die Farbe der Erde.
  • Wert 3:
    Die Weiterleitung ist undefiniert. Dies tritt z.B. dann auf, wenn das Rückschlagventil gestört ist. In diesem Fall wird der Zustand nur am Ausgang weitergeleitet.

Hinweis: Ist die Eigenschaft Eingang/Ausgang tauschen aktiv, werden Eingang und Ausgang dieses Elements für das ALC umgekehrt.

Das Rückschlagventil wird auch von der topoligischen Verriegelung berücksichtigt.

Senke

Damit wird das Ende der Leitung festgelegt. Die Senke hat keinen Einfluss auf die Farbberechnung, sondern wird ausschließlich dazu verwendet, dass das Modell vollständig abgebildet werden kann. Soll mit externen Programmen (z. B. VBA) auf das Modell zugegriffen werden, dann ist die Senke unter Umständen für weitere Berechnungen erforderlich, und damit auch zu projektieren.
In Energieprojekten wird die Senke zur Darstellung von Verbrauchern verwendet. Diese werden zur Berechnung der ALC - topologischen Verriegelungen (in der Befehlsgabe) 'Verbraucher würde nicht mehr versorgt werden' herangezogen.

Abschluss

Für Sammelschienenende. Unterdrückt beim Kompilieren im Editor die Fehlermeldung "Linie nur einseitig angeschlossen“.

Link

Ein Link dient dazu, eine Leitung an einer anderen Stelle fortzuführen. Wird ein Link durch eine Leitung "versorgt", so sind alle anderen Links mit dem gleichen Link-Namen ebenfalls genau mit dieser Quelle(n) versorgt. Dabei spielt es keine Rolle, ob sich die Links auf demselben Bild oder auf völlig unterschiedlichen Bildern im Projekt befinden. Damit lassen sich bildübergreifende topologische Netze realisieren. Mehr als zwei Links mit dem gleichen Link-Namen im Projekt sind ebenfalls zulässig.

Links werden mit der Eigenschaft Link-Name projektiert.

Links können durch mehrere Leitungen gleichzeitig versorgt werden oder mehrere Abgänge versorgen. Prinzipiell gibt es keine Unterscheidung wischen Zu- und Abgängen. Die ALC-Farben der Quellen werden an alle angeschlossene Leitungen weitergegeben.

Ein Link kann nicht mit einer Wertänderung der verknüpften Variablen aktiv oder inaktiv geschaltet werden: er ist immer aktiv. Deshalb ist es nicht zwingend erforderlich das Combi-Element mit einer Variable zu verknüpfen.
Achtung: Zwei Link-Elemente dürfen nicht direkt mit einer Leitung verbunden werden. Es muss sich dazwischen immer ein anderes verfahrenstechnisches Element (Schalter/Trenner oder Trafo) befinden.

Die - bei den Funktionstypen Quelle und Transformator - angegebene Quellennummer wird über geschlossene Schalter (Trenner, Schieber etc.) bis zu den Verbrauchern (Senken) weitergeleitet. Aus der überlagerten Summe der speisenden Quellennummern werden dynamisch die Farben aller angeschlossenen Leitungen und verfahrentechnischen Elemente berechnet.

Quelle und Link-Nummer

Parameter

Beschreibung

Quelle

Hier erfolgt die Zuweisung einer Quelle zum Element. Zur Auswahl in der Dropdownliste stehen alle Quellen, die in der ALC Konfiguration (bei den Projekteigenschaften) vergeben wurden. Angezeigt werden die Quellennamen.
Diese Eigenschaft ist nur aktiv, wenn als Funktionstyp 'Quelle', 'Trafo' oder 'Generator' gewählt wurde.

Details zur Quelle finden Sie im Kapitel Konfiguration der Quellen.

Achtung: Verwenden Sie dazu nicht die vordefinierten Systemquellen (ID 0..9). Projektieren Sie für diese Verlinkung eigene Quellen:

  • Für die Projektierung eigener Quellen klicken Sie in der Projekteigenschaftengruppe Automatic Line Coloring die Schaltfläche ... bei der Eigenschaft ALC Konfiguration.
  • Die Systemquellen UNDEFINED [0], GROUND FAULT [1], SHORT FAULT [2] und GROUNDED [3] sind ausschließlich für die Projektierung der Erdung vorgesehen.
  • Die vordefinierten Systemquellen SYSSOURCE4 [4] bis SYSSOURCE9 [9] dienen als Platzhalter.

Link-Nummer

Für den Funktionstyp Link wird hier die Link-Nummer frei eingestellt. Alle identischen Link-Nummern im Projekt korrelieren miteinander.

Weitere Informationen dazu finden Sie beim Funktionstyp Link.
Diese Eigenschaft ist nur aktiv, wenn als Funktionstyp Link gewählt wurde.

Variablen der verfahrenstechnischen Elementen

Damit einem Schalter, Trenner oder Schieber etc. der Zustand (geöffnet, geschlossen, gestört) mitgeteilt werden kann, muss im jeweiligen Combi-Element eine Variable des Datentyps BOOL oder Integer als Hauptvariable verknüpft sein.

Beispiel:

  • Treiber IEC870: Variablen mit Typ ID T01..T37
  • Treiber IEC850: Variablen */Pos/stVal[ST]
  • Treiber DNP3...: Input Variablen

Voraussetzung: das DPI/DPC Mapping wurde im Treiber nicht deaktiviert.

info Info

Für die Position des Schalter werden nur die ersten beiden Bits der Hauptvariable berücksichtigt.

  • Das erste Bit stellt die eigentliche Schaltung dar; 0 entspricht dabei AUS und 1 entspricht EIN.
  • Das zweite Bit ist das Fehlerbit. Wenn es 0 ist, liegt kein Fehler vor.

Auch der Zustand einer Quelle ("vorhanden" (EIN)/"nicht vorhanden" (AUS)) wird ebenso über die verknüpfte Hauptvariable ausgewertet. Für diese Auswertung wird eine Variable des Intern Treibers vom Datentyp BOOL empfohlen. Dann kann (so wie es in der Paxis üblich ist) die Quelle mit dem Rest der Topologie über ein Schalter oder Trenner verbunden werden. Dadurch ist es möglich, die Farbe der Quelle - abhängig von der Position des Schalters - weiterzuleiten.

Hinweis: Für die Hauptvariable einer Quelle, die über einen Schalter/Trenner mit dem Netz verbunden ist (z.B. Erde), legen Sie eine Variable für den Intern Treiber an. Konfigurieren Sie für diese Variable die Eigenschaften Berechnung mit dem Wert Netzwerk und Initialwert mit Wert 1 ("immer vorhanden"). Sie finden diese Eigenschaften in der Variablen-Eigenschaftengruppe Interne Variable. Alternativ dazu können Sie eine Quelle auch direkt mit der Prozessvariable verknüpfen (die Quelle und deren Schalter in einem). Dadurch können Sie die Topologische Verriegelung beim Schalten der Quelle deaktivieren oder umgehen.

Zustände

  • Ein Schalter und eine Quelle sind eingeschaltet (geschlossen), wenn der Wert der verknüpften Variable 1 ist.
  • Ein Schalter ist gestört, wenn der Wert der verknüpften Variable >1 ist oder den INVALID Statusbit hat.
    Ein gestörter Schalter liefert an seinem Ausgang (Anschluss 2) anstatt der eingehenden Quellennummer die Quellennummer 0 (undefiniert). In Richtung vom Ausgang zum Eingang verhält sich der Schalter wie offen.

    Hinweis: Hat die Hauptvariable eines Schalters den Status INVALID, so wird das gesamte nachfolgende Netz INVALID, weil der Zustand des Netzes nicht bekannt ist. Der Zustand INVALID wird über nachfolgende geschlossene Schalter weitergeleitet.

attention Achtung

Wird in den einzelnen Zuständen des Combi-Elementes die Farbe und Füllfarbe Aus ALC aktiviert, werden zur Runtime nicht nur Leitungen, aber auch die verfahrenstechnischen Elemente, eingefärbt.

Noch in diesem Kapitel

Beispiel Schalter - Farben aus ALC

Anschlusspunkte bei verfahrenstechnischen Elementen

Eingang/Ausgang tauschen

Messpunkte


Beispiel Schalter - Farben aus ALC

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Beispiel Schalter - Farben aus ALC

Beispiel 1

Combi-Element mit Wertzustand 00 und Linienfarbe aus ALC:

  1. Projektierung im Editor:
    • Combi-Element mit Wertzustand 00
    • Linienfarbe aus ALC aktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe: grün
    • Farbe unbespannt: weiß
    • Schalterzustand: aus/offen (Wert 0)

Beispiel 2

Combi-Element mit Wertzustand 01 und Farben aus ALC:

  1. Projektierung im Editor
    • Combi-Element mit Wertzustand 01
    • Linienfarbe aus ALC aktiv
    • Füllfarbe aus ALC aktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe: grün
    • Farbe unbespannt: weiß
    • Schalterzustand: ein/geschlossen (Wert 1)

Beispiel 3

Combi-Element Wertzustand 00 ohne Farben aus ALC:

  1. Projektierung im Editor:
    • Combi-Element mit Wertzustand 00
    • Linienfarbe aus ALC nicht aktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe: grün
    • Farbe unbespannt und Konstruktionsfarbe der Linie: weiß
    • definierte Linien- und Füllfarben des Combielements: schwarz
    • Schalterzustand: aus/offen (Wert 0)

Beispiel 4

Combi-Element Wertzustand 01 ohne Farben aus ALC:

  1. Projektierung im Editor
    • Combi-Element mit Wertzustand 01
    • Linienfarbe aus ALC inaktiv
    • Füllfarbe aus ALC inaktiv

  2. ergibt zur Runtime bei:
    • Quellenfarbe = grün
    • Farbe unbespannt und Konstruktionsfarbe der Linie: weiß
    • definierte Linien- und Füllfarben des Combielements: schwarz
    • Schalterzustand: ein/geschlossen (Wert 1)


Anschlusspunkte bei verfahrenstechnischen Elementen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Anschlusspunkte bei verfahrenstechnischen Elementen

Beim Projektieren erfolgt der Anschluss einer Leitung (z. B. Linie) an ein verfahrenstechnisches Element (Combi-Element) durch überlappende Projektierung im Bild an so genannten Fangpunkten am Combi-Element. Bei jedem Anschlusspunkt kann nur eine Leitungen gleichzeitig angeschlossen werden. Alle Leitungen, deren Leitungsanfänge sich im definierten Bereich befinden, gelten als angeschlossen (Topologie aus Grafik).

attention Achtung

Verwenden Sie ALC Elemente nur im nicht gedrehten Zustand, denn:

Die Berechnung des Topologischen Modells für ALC erfolgt im Editor auf Basis der Positionen der Elemente im nicht gedrehten Zustand und ohne Berücksichtigung etwaiger Dynamiken.

Anschlusspunkte und Anschlussbereiche

  • Der Anschlussbereich für einen Anschlusspunkt befindet sich in der Mitte jeder Seite des Combi-Elements. Jedes Combi-Element verfügt also über 4 Anschlusspunkte.
  • Die Größe eines Anschlussbereichs entspricht 2/3 der Höhe und Breite eines Combi-Elements, aber nicht mehr als 20 Pixel.
  • Jeder Anschlussbereich wird in der Mitte der jeweiligen Elementecke zentriert und erstreckt sich symetrisch nach innen und außen, maximal 10 Pixel jeweils.

attention Achtung

Ist das Combi-Element kleiner als 30 Pixel, überlappen sich Anschlussbereiche innerhalb des Elements. Linien, die sich berühren können Fehler hervorrufen (Kompilierung, Einfärbung).

Die möglichen Anschlusspunkte für Combi-Elemente kleiner und größer als 30 Pixel sehen Sie in der Illustration.

Farben:

  • Blau: Combi-Element
  • Rot: Anschlussbereiche

Maße:

  • A: Höhe des Combi-Elements.
  • B: Breite des Combi-Elements.
  • a: Breite des Anschlussbereichs: 2/3 von A, aber maximal 20 Pixel.
  • b: Länge des Anschlussbereichs: 2/3 von B, aber maximal 20 Pixel.

Regeln

  • Befindet sich eine Leitung außerhalb des Anschlussbereichs, wird keine Verbindung erkannt und es erfolgt daher keine Einfärbung der Leitung. Auch für alle nachfolgenden Leitungen wird damit die Einfärbung nicht stimmen.
  • Bei Quellen, Senken und bei Links können prinzipiell alle beschriebenen Anschlusspunkte verwendet werden.
    Achtung: Bei Quellen und Senken darf immer nur ein einziger Anschlusspunkt gleichzeitig verwendet werden. Werden mehrere Anschlusspunkte gleichzeitig benutzt, kann es zu undefinierten Zuständen kommen.
    Bei Elementen des Typs Link können auch mehrere Anschlusspunkte gleichzeitig verwendet werden. Die eingehenden Farbinformationen werden gleichmäßig auf alle Leitungen verteilt.
  • Bei Schaltern/Trennern/Schiebern und Transformatoren erfolgt der Anschluss 1 (Versorgung) links oder oben und Anschluss 2 (Abgang) rechts oder unten. Diese Reihenfolge kann mit der Eigenschaft Eingang/Ausgang tauschen geändert werden.
    Achtung: Bei Schaltern und Transformatoren muss darauf geachtet werden, dass jeweils nur ein Versorgungsanschlusspunkt und ein Abgangsanschlusspunkt verwendet wird. Die gleichzeitige Verwendung mehrerer Versorgungs- oder Abgangversorgungspunkten führt zur Inkonsistenz und ist daher nicht zulässig.
  • Für alle verfahrenstechnische Elemente gilt: Pro Anschlusspunkt darf nur eine einzige Leitung angeschlossen werden. Abzweigungen können nicht direkt am Element realisiert werden, sondern müssen mit Hilfe von Leitungen projektiert werden.


Eingang/Ausgang tauschen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Eingang/Ausgang tauschen

Wenn ein Transformator, ein Trenner oder ein Schalter projektiert wird, können Eingang und Ausgang vertauscht werden. Dazu:

  1. wählen Sie als Funktionstyp entweder Trafo, Trenner oder Schalter.
  2. aktivieren Sie die Checkbox Eingang/Ausgang tauschen

Der Eingang wird dann rechts oder unten und der Ausgang links oder oben gesetzt.

Überblick

Konfiguration Gerät | Eingang | Ausgang
normal | links | rechts
normal | oben | unten
getauscht | rechts | links
getauscht | unten | oben


Messpunkte

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Verfahrenstechnische Elemente via Combi-Element > Messpunkte

Für die Visualisierung der ALC-Quellen, welche aktuell das verfahrenstechnische Element versorgen oder von diesem Element ausgehen, werden Variablen verknüpft.

Diese Variablen werden mit aktuellen Werten aus dem Modul ALC versorgt. Durch Anzeige dieser Variablen können Namen der Quellen vom Modul ALC visualisiert werden.

Diese Eigenschaften sind in der Combi-Element Eigenschaftengruppe Automatic Line Coloring in dem Bereich Zustand zusammengefasst.

Projektierbare Eigenschaften:

  • Anstehende Quellen Eingang
    (Datentyp STRING)
  • Anstehende Quellen Ausgang
    (Datentyp STRING)
  • Höchstpriore Quelle Eingang
    (numerischer Datentyp)
  • Höchstpriore Quelle Ausgang
    (numerischer Datentyp)

Darstellung in der Runtime

In der zenon Runtime werden die verknüpften Variablen mit folgenden Werten angezeigt:

  • Nummer der Anstehenden Quellen (Datentyp STRING):
    • anstehende Quellennummer(n)
      Es werden die Nummern aller anstehenden Quellen in einer STRING-Variable zusammengefasst. Dies gilt sowohl für Eingang wie für Ausgang.
      Mehrer Quellennummern werden mit einem Strichpunkt (;) getrennt. Die Sortierung erfolgt nach der Priorität der Quelle.
      Hinweis: Bei Mehrfachversorgung wird die Quelle mit mehren Einträgen am Eingang repräsentiert.
    • <leer>
      unbespannt
  • Nummer der Höchstprioren Quelle (numerische Variable):
    • 0 oder größer
      Nummer der höchstprioren Quelle. Dies gilt sowohl für Eingang wie für Ausgang.
    • -1
      unbespannt


Leitungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Leitungen

Leitungen werden durch die Vektor-Elemente Linie, Polylinien und Rohrleitung repräsentiert.

Ist für eine Leitung die Eigenschaft Farben aus ALC aktiviert, so wird die Farbgebung aus der ALC-Konfiguration bestimmt. Leitungen werden je nach Zustand der verfahrenstechnischen Elemente und der ALC-Einstellungen automatisch vom System eingefärbt.

Dabei wird die Farbe im Normalfall von der höchst-prioren Quellennummer, des durch die Leitung fließenden Mediums, bestimmt, oder bleibt bei 'leer/unbespannt' so wie im Bild bei 'Farben statisch' oder bei 'Farben dynamisch' projektiert.

Die Darstellungsart definieren Sie über die Dropdownlisten:

  • Vorrang bei Darstellung
  • Mehrfachversorgung darstellen
  • Gesicherte Versorgung darstellen

In den Eigenschaften der Leitungen stehen Ihnen folgende Optionen zur Verfügung:

Parameter

Beschreibung

Farbe aus ALC

Aktiviert die automatische Linienfärbung für dieses Vektor-Element. Das bedeutet: Ist die Quelle, die die Leitung versorgt aktiv, und sind alle Schalter/Ventile, die von der Quelle zur Leitung führen, geschlossen, so wird die Leitung eingefärbt. Bei Versorgung der Leitung durch nur eine einzige Quelle wird die projektierte Quellenfarbe zur Einfärbung verwendet. Die Linienbreite wird nicht beeinflusst.

Vorrang bei Darstellung

Definiert, ob Mehrfachversorgung, gesicherte Versorgung oder beide dargestellt werden.
Default: Mehrfachversorgung

Gesicherte Versorgung

Das Element wird entsprechend den Regeln der gesicherten Versorgung dargestellt.

Eine Leitung gilt dann als gesichert versorgt, wenn sie von mindestens zwei verschiedenen Schaltern oder Trafos mit einer Nicht-Systemquelle versorgt wird. Systemquellen tragen nicht zur gesicherten Versorgung bei, schließen sie aber auch nicht aus.

Mehrfachversorgung

Das Element wird entsprechend den Regeln der Mehrfachversorgung dargestellt.

Eine Leitung gilt dann als mehrfach versorgt, wenn sie von mindestens zwei verschiedenen Quellen versorgt wird. Dabei ist ohne Belang, ob es sich um System- oder um Benutzerquellen handelt und von welcher Seite die Leitung von den Quellen versorgt wird.

kein Vorrang

Die Einfärberegeln für Mehrfachversorgung und für Gesicherte Versorgung werden gleichzeitig angewandt, falls beide Kriterien erfüllt werden. Das bedeutet:

Ist eine Leitung

  • mehrfach und gesichert versorgt,
  • der Vorrang auf kein Vorrang eingestellt,
  • die Darstellung für Mehrfachversorgung auf zwei höchstpriore Quellen gesetzt,
  • die Darstellung für gesicherte Versorgung auf doppelte Breite gesetzt,

dann wird die Linie doppelt breit und zweifärbig gestrichelt dargestellt.

Mehrfachversorgung darstellen

Wird eine Leitung durch mehrere unterschiedliche Quellen gleichzeitig versorgt, spricht man von einer Mehrfachversorgung. Hier definieren Sie, wie mehrfach versorgte Leitungen dargestellt werden.

Default: höchst-priore Quelle

höchst-priore Quelle

Die Leitung übernimmt immer die Linienfarbe jener Quelle, die die höchste Priorität hat.
Hinweis: Prioritäten entsprechen der in der ALC Konfiguration gewählten Reihenfolge.

zwei höchst-priore Quellen

Relevant für Leitungen, die durch zwei oder mehrere unterschiedliche Quellen gespeist werden. Die zwei Quellen mit der höchsten Priorität bestimmen die Farbgebung. Die Leitung wird mit diesen beiden Farben gestreift dargestellt. Die Strichelungslänge kann über die Eigenschaft Strichelungslänge mehrfachversorgt festgelegt werden.

Systemquellen gelten bei Mehrfachversorgung wie echte Quellen und färben Linien zweifärbig, falls sie entsprechend konfiguriert wurden.

alternative Farbe

Die in der Eigenschaft Alternative Farbe definierte Farbe wird verwendet.

Strichelungslänge mehrfachversorgt

Definiert die Strichelungslänge in Pixel von Linien, Polylinien oder Rohrleitungen für die gestrichelte ALC-Einfärbung bei zwei höchstpriore Quellen für Mehrfachversorgung darstellen.

  • Minimal: 0 (automatische Strichelungslänge)
  • Maximal: 32767
  • Default: 0

Alternative Farbe

Alternative Farbe für die ALC Einfärbung von Linien, Polylinien oder Rohrleitungen bei Mehrfachversorgung.

gesicherte Versorgung darstellen

Wird eine Leitung durch eine einzige Quelle mehrfach (parallel) versorgt, spricht man von einer 'Gesicherten Versorgung'. Hier definieren Sie wie 'Gesicherte Versorgung' dargestellt wird.

Eine Leitung wird immer dann gesichert versorgt dargestellt, wenn sie von mindestens zwei Schaltern mit einer echten Quelle (nicht Systemquelle) versorgt wird.

Default: normal

doppelte Breite

Relevant für Leitungen, die von ein und derselben Quelle mehrfach (gesichert) versorgt werden. Ist das der Fall, wird die Leitung mit der doppelten projektierten Breite gezeichnet. (Beispiel: Eine Leitung mit Linienbreite 5 wird bei gesicherter Versorgung mit Linienbreite 10 dargestellt).
Wird diese Leitung durch zwei oder mehrere unterschiedliche Quellen (Mehrfachversorgung) versorgt, ändert sich die Linienbreite nicht!

Die Farbe wird immer durch die höchst-priore Quelle vorgegeben!

doppelte Helligkeit

Relevant für Leitungen, die von ein und derselben Quelle mehrfach (gesichert) versorgt werden. Ist das der Fall wird die Leitung mit der doppelten projektierten Helligkeit gezeichnet.
Wird diese Leitung durch zwei oder mehrere unterschiedliche Quellen (Mehrfachversorgung) versorgt, ändert sich die Linienfarbe nicht!
Wird diese Leitung von einer einzigen Quelle (gesicherte Versorgung) mehrfach versorgt, so wird die Leitung mit doppelter Helligkeit gezeichnet.
Formel für die Berechnung der doppelten Helligkeit:

  1. Die eingestellte RGB-Farbe wird in den HLS Farbraum umgerechnet.
  2. L (also Luminanz = Helligkeit) wird neu berechnen mit NeueLuminanz = 240*3/4 + L/4
  3. Der Farbwert wird mit der neuen Helligkeit wieder in den RGB Farbraum zurückgerechnet.

Die Farbe wird immer durch die höchst-priore Quelle vorgegeben!

normal

Das Element wird in der Farbe der Quelle und der projektierten Breite dargestellt.

Alias verwenden

Aktiv: Alias wird benutzt.

Alias

Öffnet Dialog zur Auswahl eines Alias

info Info

Die Quellenfarben und die Prioritäten der Quellen werden bei den Projekteigenschaften eingestellt.

Benutzerdefinierte Quellen müssen eine ID höher als 9 haben. IDs bis 9 sind für Systemquellen reserviert.

info Info

Die Berechnung der Farbe einer Leitung zur Runtime wird nach folgender Prioritätenliste durchgeführt:

  1. Automatic Line Coloring
    (höchste Priorität, überlagert alle anderen Einstellungen)
  2. Farben dynamisch
  3. Farben statisch

Noch in diesem Kapitel

Beispiel

Anschlusspunkte bei Leitungen


Beispiel

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Leitungen > Beispiel

Es wird im Folgenden angenommen, dass der 'Quelle 0' die Farbe blau zugewiesen ist, während 'Quelle 1' die Farbe rot hat. Außerdem ist 'Quelle 0' die höchstpriore Quelle.

Quelle 0

Quelle 1

Daraus ergeben sich für die verschiedenen Optionen folgende beispielhafte Darstellungen:

 | Linie / Polylinie | Rohrleitung
höchst-priore Quelle |  |
zwei höchst-priore Quellen |  |
doppelte Breite |  |
doppelte Helligkeit |  |


Anschlusspunkte bei Leitungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Leitungen > Anschlusspunkte bei Leitungen

Beim Projektieren erfolgt der Anschluss einer Leitung (Linie, Polylinie oder Rohrleitung) an eine weitere Leitung durch überlappende Projektierung im Bild an so genannten 'Fangpunkte' der Leitungen. Die Fangpunkte - eigentlich sind es Fangbereiche - befinden sich jeweils am Anfang und am Ende einer jeden Leitung und sind am Anfangs- oder Endpunkt jeweils ± 3 Pixel groß.

Example Beispiel

Der Anfangspunkt einer Leitung hat die Koordinaten (Startpunkt x/ Startpunkt y): 150/100 Pixel.
Daraus ergibt sich ein Fangbereich von (x / y): 147 - 153 / 97 - 103 Pixel.

Befindet sich der Leitungsanfang oder das Ende dieser Leitung, einer oder mehrerer weiteren Leitungen innerhalb dieses Bereichs, wird automatisch eine Verknüpfung hergestellt, ohne dass es dafür weiterer Einstellungen bedarf. Eine reine Überlappung der Fangbereiche der einzelnen Linien ist nicht ausreichend!

In der folgenden Grafik wird der Fangbereich grafisch dargestellt (Die grünen Leitungen haben mit der schwarzen Leitung eine Verbindung, die rote Leitung nicht.):

info Info

An jedem Fangpunkt können beliebig viele Leitungen miteinander verbunden werden.

attention Achtung

Befindet sich eine Leitung außerhalb des oben dargestellten Fangbereichs (z. B. die roten Leitungen in der Grafik), wird keine Verbindung erkannt und es erfolgt daher keine Einfärbung der Leitung. Auch für alle nachfolgenden Leitungen wird damit die Einfärbung nicht stimmen.

Leitungskreuzungen lassen sich sehr einfach realisieren, indem die Enden der Leitungen sich nicht im Fangbereich befinden:

attention Achtung

Verwenden Sie ALC Elemente nur im ungedrehten Zustand, denn:

Die Berechnung des Topologischen Modells für ALC erfolgt im Editor auf Basis der Positionen der Elemente im ungedrehten Zustand und ohne Berücksichtigung etwaiger Dynamiken.


Überprüfung der Projektierung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > ALC Elemente > Überprüfung der Projektierung

Projektieren Sie die gewünschten verfahrenstechnischen Elemente und Leitungen in einem oder mehreren Bildern und speichern Sie diese Bilder. Jetzt können Sie mithilfe von Alle Runtime-Dateien erzeugen oder Geänderte Runtime-Daten erzeugen überprüfen, ob in Ihren Bildern Fehler oder Konflikte vorhanden sind. Sollten Fehler und/oder Konflikte vorhanden sein, werden entsprechenden Fehlermeldungen oder Warnungen im Ausgabefenster angezeigt.

info Info

Klicken Sie die entsprechende Zeile im Ausgabefenster doppelt an. Das Bild mit dem fehlerhaften Bildelement wird automatisch geöffnet. Wenn sich das fehlerhafte Bildelement in einem Symbol befindet, wird automatisch das entsprechenden Symbol ausgewählt.

Folgende Fehlermeldungen können angezeigt werden.

  • ALC: Bild '%s' - An der Leitung '%s' sind zwei Link-Elemente mit unterschiedlicher Link-Nummer angeschlossen. (Doppelklick öffnet das Bild und wählt die Leitung aus)
  • ALC: Bild '%s' - Am Element '%s' sind mehr als zwei Anschlusspunkte belegt. Pro Element darf jeweils nur ein Eingang und ein Ausgang verwendet werden. (Doppelklick öffnet das Bild und wählt das Element aus)

Folgende Warnungen können angezeigt werden.

  • ALC: Bild '%s' - Die Alias-Leitung '%s' ist an eine nicht Alias-Leitung angeschlossen. (Doppelklick öffnet das Bild und wählt die Leitung aus)
  • ALC: Bild '%s' - Das Alias-Element '%s' ist an eine Nicht-Alias-Leitung angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)
  • ALC: Bild '%s' - Das Nicht-Alias-Element '%s' ist an eine Alias-Leitung angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)
  • ALC: Bild '%s' - Die Leitung '%s' ist nur einseitig angeschlossen. (Doppelklick öffnet das Bild und wählt die Leitung aus)
  • ALC: Bild '%s' - Das Element '%s' ist nicht angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)
  • ALC: Bild '%s' - Das Element '%s' ist nur einseitig angeschlossen. (Doppelklick öffnet das Bild und wählt das Element aus)

In den Fehlermeldungen oder Warnungen werden die entsprechenden Elemente mithilfe der Element-Referenz identifiziert. Diese Referenz dient auch als Verknüpfungsschlüssel bei ALC-Aliasen.


Konfiguration

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Konfiguration

Um ALC zu konfigurieren:

  1. Navigieren Sie in den Projekteigenschaften der Gruppe Automatic Line Coloring zur Eigenschaft ALC Konfiguration
  2. Klicken Sie auf die Schaltfläche ...
  3. Der Dialog zur Konfiguration wird geöffnet
  4. Konfigurieren Sie die gewünschten Eigenschaften für:
    • Quellen

      Legen Sie eine neue Quelle an.
      Klicken Sie dazu die Schaltfläche Neu. Dies erstellt einen neuen Eintrag mit dem Namen Quelle [laufende Nummer] am Ende der Liste der Quellen.
      Hinweis: Beachten Sie dabei, dass die Systemquellen (ID 0..9) eine vordefinierte Bedeutung haben oder für zukünftige Versionen reserviert sind.

      Projektieren Sie anschließend die Farben der neuen Quelle, indem Sie den Farbwert via Mausklick anwählen und die Schaltfläche ... klicken. Dies öffnet ein Dropdownmenü zur Auswahl der Farben.

      Berücksichtigen Sie auch die Grundsätze für Einfärbung für UNDEFINED.

    • Verriegelungen

      Konfigurieren Sie, welche Topologische Verriegelungen das Modul Befehlsgabe berücksichtigen soll.
      Hinweis: diese Registerkarte ist nur mit einer gültigen Lizenz für das optionale Modul ALC - Topologie Paket verfügbar.

    • Bildmarker

      Konfigurieren Sie die Farbtabelle für die Bildmarker für die Impendanzbasierte Fehlerortung.
      Hinweis: diese Registerkarte ist nur mit einer gültigen Lizenz für das optionale Modul ALC - Topologie Paket verfügbar.

Noch in diesem Kapitel

Konfiguration der Quellen

Konfiguration der Topologischen Verriegelung

Konfiguration der Bildmarker


Konfiguration der Quellen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Quellen

Die Konfiguration der Quellen, z. B. deren Bezeichnung und Farben (Reihenfolge und Priorität), erfolgt projektbezogen in den Projekteigenschaften unter ALC Konfiguration. Quellen mit der ID zwischen 0 und 9 sind für Systemquellen reserviert. Die, die bereits eine Funktion haben (z.B. GROUNDED - die Farbe der Quelle "Erde") dürfen nicht umfunktioniert werden. Die, die in der aktuellen zenon Version noch keine Funktionalität haben, bleiben für die zukünftige Versionen reserviert.

Die Quellenfarben ab ID #10 stehen für die verfahrenstechnischen Elemente frei zur Verfügung.
Beispiele: Quelle "Generator" oder "110kV". Fügen Sie dafür weitere Farben hinzu.

Quellenfarben

Parameter

Beschreibung

Nummer

Interne eindeutige fortlaufende Nummer, damit die Quellen eindeutig zugeordnet werden können. Diese Nummer wird vom System automatisch vergeben, und kann nicht geändert werden.

Achtung: Die Nummern 0 bis 9 sind für Systemquellen reserviert und dürfen nicht benutzerspezifisch verwendet werden.

Name

Logische Bezeichnung für die Quelle (z. B.: 'Wasser' oder 'geerdet'). Diese Bezeichnung wird auch bei der Auswahl der Quelle bei Combi-Elementen verwendet. Die Bezeichnung können Sie ändern, indem Sie mit der linken Maus-Taste die Quellenbezeichnung anklicken. Dadurch wird in einen Editiermodus umgeschaltet. Mit der Eingabe-Taste oder durch Auswahl einer anderen Quelle wird die Änderung übernommen.

Hinweis: Die Bezeichnungen sind nicht sprachumschaltbar.

Linienfarbe

Linienfarbe der jeweiligen Quelle. Diese wird für das Zeichnen von Linien, Polylinien sowie als äußere Farbe für Rohrleitungen verwendet.

Füllfarbe

Gestrichelt

Typ der Darstellung für geerdete Quellen.

  • aktiv:
    Linie für geerdete Quelle wird zur Runtime gestrichelt dargestelt
  • inaktiv:
    Linie für geerdete Quelle wird zur Runtime normal dargestellt

Hinweis: Diese Checkbox kann nur für die Systemquelle GROUNDED aktiviert werden. Bei allen anderen Quellen ist diese Checkbox ausgegraut.

Spannung [kV]

Nennspannung der Quelle in Kilovolt.
Diese Option steht nicht für Systemquellen zur Verfügung.

Default: leer

Eingabebereich:

  • 0 - 4000 KV
  • Nachkommastellen müssen mit . angegeben sein
  • ungültige Eingaben werden auf 0 gesetzt.
  • negative Eingaben werden positiv gesetzt.

Neu

Fügt eine neue Farbe hinzu.

Löschen

Löscht die ausgewählte Farbe.

Nach oben (Pfeilsymbol)

Verschiebt ausgewählte Quelle um eine Position nach oben.

Ganz nach oben (Pfeilsymbol)

Verschiebt ausgewählte Quelle an den Beginn der Liste.

Nach unten (Pfeilsymbol)

Verschiebt ausgewählte Quelle um eine Position nach unten.

Ganz nach unten (Pfeilsymbol)

Verschiebt ausgewählte Quelle an das Ende der Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Konfiguration der Farben kann direkt über die Eingabe des entsprechenden Hexadezimal-Codes erfolgen oder über eine Farbpalette.

Zur direkten Eingabe:

  1. Klicken Sie mit der linken-Maus-Taste die Farbbezeichnung an.

    Das Feld wird in den Editiermodus umgeschaltet.

  2. Geben Sie den Code ein.
  3. Drücken Sie die Eingabe-Taste oder wählen Sie eine weitere Quelle aus, um die Änderung zu übernehmen.

Zur Auswahl über eine Farbpalette:

  1. Markieren Sie die gewünschte Zeile.
  2. Klicken Sie auf die Schaltfläche ... hinter der Farbe.
    Hinweis: Die Schaltfläche ... ist nur dann sichtbar, wenn der Farbeintrag mit Mausklick ausgewählt ist.

    Die Farbpalette wird in einem Kontextmenü geöffnet.

  3. Wählen Sie die gewünschte Farbe.

Der hexadezimale Farbcode beschreibt einen RGB-Farbwert und setzt sich wie folgt zusammen: #RRGGBB.

Element | Bedeutung
# | Kennzeichnung dafür, dass ein Hexadezimaler Farbcode verwendet wird.
RR | 2 Stellen für den Rotwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
GG | 2 Stellen für den Grünwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
BB | 2 Stellen für den Blauwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF

info Info

Die Reihenfolge in dieser Liste entspricht der Priorität der Quellen, wobei das erste Element die höchste Priorität erhält.

Um die Prioritäten der einzelnen Quellen untereinander zu verändern, können Sie diese mit den Pfeil-Schaltflächen durchführen.

attention Achtung

Einschränkungen beim Löschen der Quellen und Rücksetzen von Fehlereinfärbungen:

Quellen mit der ID zwischen 0 und 9 sind für Systemquellen reserviert. Sie können:

  • nicht gelöscht werden
  • als Fehlerfarbe nicht zurückgesetzt werden

Quellen löschen

Damit Quellen gelöscht werden können, müssen Sie eine ID ab 10 haben. Es kann jeweils nur die Quelle mit der höchsten ID gelöscht werden.

Fehler-Einfärbungen zurücksetzen

Damit Fehler-Einfärbungen nach Behebung der Ursache zurückgesetzt werden können, darf keine Systemquellen-Farbe verwendet werden. Es muss eine Farbe für IDs ab 10 gewählt werden.

Noch in diesem Kapitel

Modus der Einfärbung für UNDEFINED


Modus der Einfärbung für UNDEFINED

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Quellen > Modus der Einfärbung für UNDEFINED

Beim Zustand UNDEFINED kann die Einfärbung des Netzes in zwei Modi erfolgen:

  • Standard
  • Versorgung vorrangig

Die Einstellung erfolgt über die Projekteigenschaft Automatic Line Coloring/Modus der Einfärbung.

Standard

Die interne Berechechnung der Topologie (= Graphensuche) beginnt bei einer Quelle und durchschreitet das gesamte Netz so, dass jeder geschlossene Schalter (Schaltervariable hat Wert 1) pro Richtung nur einmal durchwandert wird und somit keine Zyklen entstehen. Dabei wird jeder besuchte Knoten (=Leitungssegment) mit der Quellenfarbe eingefärbt. Als Knoten werden direkt zusammenhängende Leitungen/Linien bezeichnet.

Trifft die Suche auf einen Schalter, dessen Schaltervariable einen der folgenden Status hat, wird ab diesem Punkt die UNDEFINED Farbe zum Einfärben verwendet:

  • INVALID [Wert: beliebig],
  • ist gestört [Wert: 3]
  • ist in Zwischenstellung [Wert: 2])

Die Graphensuche wird ab nun in gleicher Form weitergeführt. Jeder Schalter wird pro Richtung nur einmal mit der UNDEFINED Farbe durchwandert. Damit kann jeder Schalter pro Quelle maximal vier Mal durchwandert werden:

  1. mit Quellennummer in Vorwärtsrichtung,
  2. mit Quellennummer in Rückwärtsrichtung,
  3. mit UNDEFINED in Vorwärtsrichtung,
  4. mit UNDEFINED in Rückwärtsrichtung

Versorgung vorrangig

Mit der Einstellung Versorgung vorrangig werden nur Leitungen als UNDEFINED eingefärbt, die von zumindest einer Quelle potenziell versorgt sind, aber von keiner Quelle eindeutig. Ist eine Leitung von zumindest einer Quelle eindeutig versorgt, so kann sie von einer anderen Quelle keinen UNDEFINED Einfärbung mehr erhalten.

Diese Suche erfolgt zweistufig:

  • Im ersten Schritt wird wie bei Standard von jeder eingeschalteten Quelle ausgehend die Quellenfarbe im Netz verteilt, solange der nächste Schalter geschlossen ist. Ist der Schalter geöffnet oder gestört/undefiniert, wird die Suche beendet.
  • Im zweiten Schritte wird die Suche bei jedem gestört/undefiniert Schalter begonnen, der einseitig versorgt ist, und die UNDEFINED Farbe auf der unversorgten Seite im Netz verteilt. Diese Suche betrachtet auch Schalter als geschlossen, die gestört/undefined sind und verbreitet somit die UNDEFINED Farbe so lange im Netz, bis sie auf einen eindeutig geöffneten Schalter stößt. Zusätzlich wird die Suche beendet, wenn ein Leitungssegment erreicht wird, welches bereits versorgt ist.


Konfiguration der Topologischen Verriegelung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Topologischen Verriegelung

In der Runtime kann das Modul Befehlsgabe die Verriegelungen automatisch errechnen. Diese Verriegelungen basieren auf dem dynamischen Zustand des elektrischen Netzes. Die Topologie des Netzes wird via ALC projektiert. Wenn die Befehlsgabe erkennt, dass die Ausführung eines Befehls der Verriegelungsbedingung entspricht, wird die Ausführung des Befehls verhindert.

Beispiel: Anhand der ALC Projektierung und der aktuellen Zustände (EIN/AUS) von Quellen, Schaltern, Trennern etc. kann die Befehlsgabe automatisch erkennen dass die Ausführung eines Befehls zu dem Zustand "Spannung gegen Erde" führen würde. In diesem Falle wird die Ausführung des Befehls unterdrückt.

Die Überprüfung der topologischen Verriegelungen aus der ALC für die Befehlsgabe wird zentral - für jeweiliges Projekt - konfiguriert. Dabei wird auch entschieden ob ein Benutzer eine Verriegelung entriegeln kann (vorausgesetzt er verfügt auch über Berechtigunsebene zur Entriegelung der Aktion).

Die hier getroffenen Einstellungen gelten global für das gesamte Topologische Modell. Folgende Bedingungen stehen dabei zur Verfügung:

Parameter

Beschreibung

Spannung gegen Erde

Verriegelung ist aktiv, wenn ein Schalter/Trenner geschlossen werden soll, an dessen einem Anschluss geerdetes Potential anliegt und ein oder mehre Anschlüsse im ALC-Modell bespannt oder undefiniert sind.

Dabei ist auch sichergestellt, dass auch über einen Transformator hinweg eine Spannung gegen Erde erkannt wird.

Default-Status: entriegelbar

Beispiele:

  • Nach Schaltung des Elements ist eine Seite geerded und die andere bespannt.

Schalthandlung in Gebiet mit undefiniertem Zustand

Verriegelung ist aktiv, wenn ein Schalter/Trenner geschlossen werden soll, bei dem beide Anschlüsse auf 'undefiniert' oder 'gestört' liegen.

Default-Status: entriegelbar

Trenner unter Last

Die Verriegelung ist aktiv, wenn für das Einschalten (= Schließen) oder Ausschalten (= Öffnen) des Trenners bestimmte Bedingungen erfüllt werden.

Default-Status: entriegelbar

Bedingungen: siehe Abschnitt "Trenner unter Last - Verriegelungsbedingungen".

Verbraucher würde nicht mehr versorgt werden

Verriegelung ist aktiv, wenn ein Schalter/Trenner geöffnet werden soll und ein eingeschalteter, mit Spannung aus einer Quelle versorgter Verbraucher (Senke), dann spannungslos wäre.

Default-Status: entriegelbar

Bereich mit undefiniertem Zustand würde größer werden

Verriegelung ist aktiv, wenn ein Schalter/Trenner geschlossen werden soll, bei dem ein Anschluss den Zustand undefiniert oder gestört liegt und der andere nicht.

Die Verrieglung wird auch dann gemeldet, wenn der Befehl mit der Schaltrichtung keine konfiguriert wurde.

Default-Status: entriegelbar

Kuppeln von Netzen

Diese Verriegelung dient dazu, unabsichtliches Zusammenschalten zweier Netze mit unterschiedlichen Generatorenquellen zu verhindern.

Verriegelung ist aktiv wenn zwei ALC-Netzbereiche zusammengeschalten werden, in denen sich unterschiedliche Generatoren befinden. Als unterschiedliche Generatoren werden verfahrenstechnsiche Elemente vom Typ Generator mit unterschiedlichen Nummern der Quellen betrachtet.

Hinweis: Die Nummern der Quellen werden im Dialog der Projekteigenschaft ALC Konfiguration in der Registerkarte Quelle konfiguriert.

Verfahrenstechnische Elemente vom Funktionstyp Quelle gelten nicht als Generatoren.

Die Verriegelung wird aktiv wenn:

  • Nach der Schaltung sind beide Seiten des Elements unter Spannung.
  • Eine Seite beinhaltet eine Generatorenquelle, die im anderen Netz nicht vorhanden ist.

Default-Status: nicht prüfen

Überlastung einer Leitung

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einer Stromüberlastung einer Leitung oder eines Transformators im ALC Netz führen.

Default-Status: nicht prüfen

Mit den Eigenschaften Transformator-Name (bei Transformator) und Leitungsname (bei Leitung) kann für das Element ein Namen projektiert werden. Dieser Name wird in der Runtime als Verriegelungstext verwendet, wenn das Element nach einer Schalthandlung überlastet wäre.

Zusätzlich wird diese Verrieglung aktiv, wenn

  • eine Lastflussberechnung nicht möglich ist.
    Dies ist der Fall bei fehlenden oder ungültigen Messwerten sowie bei einem undefinierten Zustand eines Schalters (nicht ein oder aus)
  • die Lastflussberechnung kein schlüssiges Ergebnis errechnen kann.

Hinweis: Diese Verriegelung ist nur für das optionale Modul Lastflussberechnung verfügbar.

Zusammenschalten unterschiedlicher Spannungsebenen

Die Verriegelung wird aktiv, wenn zwei ALC-Quellen mit unterschiedlichen Nennspannungen zusammengeschalten werden.
Diese Überprüfung erfolgt über das gesamte Netz (nicht nur beim Schalter).

Default-Status: nicht prüfen

Status

Wenn Sie bei einer dieser Verriegelungen in die Spalte Status klicken, öffnet sich eine Dropdownliste mit drei Auswahlmöglichkeiten:

Parameter | Beschreibung
nicht prüfen | Die ausgewählte Bedingung wird in diesem Projekt (topologischen Modell) nicht berücksichtigt.
entriegelbar | Die ausgewählte Bedingung wird in diesem Projekt überprüft. Trifft die Bedingung zu, so kann sie der Benutzer der Befehlsgabe entriegeln (im Bild vom Typ Befehlsgabe). Die Entriegelung wird in der CEL protokolliert.
nicht entriegelbar | Die ausgewählte Bedingung wird in diesem Projekt überprüft. Trifft die Bedingung zu, so kann der Benutzer sie nicht entriegeln. Die Aktion (z.B. ein Schaltbefehl) wird nicht durchgeführt.

Ausnahme Topologische Verriegelung

Die Topologische Verriegelung wird nicht ausgeführt, wenn:

  • die Variable eines Schalters den Status Revision hat
    oder
  • die Variable handnachgeführt oder auf Ersatzwert eingestellt wird und dabei auf den selben Variablenwert geschaltet wird wie der Ausgangswert, also wenn der Schalter:
    • auf AUS ist und danach auf AUS nachgeführt oder ersetzt wird
    • auf EIN ist und danach auf EIN nachgeführt oder ersetzt wird

Noch in diesem Kapitel

Trenner unter Last - Verriegelungsbedingungen


Trenner unter Last - Verriegelungsbedingungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Topologischen Verriegelung > Trenner unter Last - Verriegelungsbedingungen

Für die Topologische Verriegelung Trenner unter Last darf ein Trenner geschaltet (= geöffnet oder geschlossen) werden, wenn für die Leitungssegmente, die der Trenner zusammen verbindet, eine der folgenden Bedingungen zutrifft:

Beim Einschalten (= Schließen) des Trenners:

Es wird überprüft ob die Topologie vor dem Schalten EIN befindet sich in einem der Zustände:

  • die beide Leitungssegmente sind von der gleichen Quelle bespannt / beide geerdet;
  • das eine Leitungssegment ist spannungsfrei, das andere Leitungssegment geerdet;
  • ein Leitungssegment ist unbelastet.

Beim Ausschalten (= Öffnen) des Trenners:

Es wird überprüft ob die Topologie nach dem Schalten AUS wird sich in einem der Zustände befinden:

  • die beide Leitungssegmente werden von der gleichen Quelle bespannt;
  • das eine Leitungssegment wird spannungsfrei, das andere Leitungssegment geerdet;
  • ein Leitungssegment wird unbelastet.

info Info

Bedeutung von "unbelastet"

Der Zustand unbelastet bedeutet:

  • Entweder:
    Alle am Leitungssegment angeschlossenen Schalter und Trenner sind geöffnet.
  • Oder:
    Die am Leitungssegment angeschlossenen Schalter und Trenner sind geschlossen, aber verbinden nur zu einem weiterem Segment, welches ebenfalls unbelastet ist.

Zusätzlich müssen für den Zustand unbelastet alle folgenden Bedingungen erfüllt werden:

  • Alle am Leitungssegment angeschlossenen Quellen und Verbraucher sind ausgeschaltet.
  • Es darf kein Trafo am Leitungssegment angeschlossen sein.
  • Es darf sich nicht um eine Leitung handeln, an der ausschließlich nur dieser Trenner angeschlossen ist (eine offene Leitung).


Konfiguration der Bildmarker

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Konfiguration > Konfiguration der Bildmarker

Hier konfigurieren Sie die Farbtabelle für die Bildmarker für die impendanzbasierte Fehlerortung und Lastverteilungsrechnung. Siehe auch: AddMarker.

Parameter | Beschreibung
Nummer | Interne eindeutige fortlaufende Nummer zur eindeutigen Zuordnung. Diese Nummer wird vom System automatisch vergeben, und kann nicht geändert werden.
Linienfarbe | Linienfarbe des Bildmarkers.
Füllfarbe | Füllfarbe des Bildmarkers.
Neu | Fügt eine neue Farbe hinzu.
Löschen | Löscht die ausgewählte Farbe. Hinweis: Es kann immer nur die letzte Farbe in der Liste gelöscht werden. Standardfarben können nicht gelöscht werden.

Die Konfiguration der Farben kann direkt über die Eingabe des entsprechenden Hexadezimal-Codes erfolgen oder über eine Farbpalette.

Zur direkten Eingabe:

  1. Klicken Sie mit der linken-Maus-Taste die Farbbezeichnung an.

    Das Feld wird in den Editiermodus umgeschaltet.

  2. Geben Sie den Code ein.
  3. Drücken Sie die Eingabe-Taste oder wählen Sie eine weitere Quelle aus, um die Änderung zu übernehmen.

Zur Auswahl über eine Farbpalette:

  1. Markieren Sie die gewünschte Zeile.
  2. Klicken Sie auf die Schaltfläche ... hinter der Farbe.
    Hinweis: Die Schaltfläche ... ist nur dann sichtbar, wenn der Farbeintrag mit Mausklick ausgewählt ist.

    Die Farbpalette wird in einem Kontextmenü geöffnet.

  3. Wählen Sie die gewünschte Farbe.

Der hexadezimale Farbcode beschreibt einen RGB-Farbwert und setzt sich wie folgt zusammen: #RRGGBB.

Element | Bedeutung
# | Kennzeichnung dafür, dass ein Hexadezimaler Farbcode verwendet wird.
RR | 2 Stellen für den Rotwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
GG | 2 Stellen für den Grünwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF
BB | 2 Stellen für den Blauwert der Farbe in Hexadezimaler Nomenklatur. 0-255 entspricht 0-FF


Funktion: ALC-Quellenfarbe ändern

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Funktion: ALC-Quellenfarbe ändern

Mit der Funktion ALC-Quellenfarbe ändern kann die Vordergrund- und Hintergrundfarbe einer ALC-Quelle für die Einfärbung zur Runtime vorübergehend geändert werden. Die Änderung bleibt bis zum Beenden der Runtime, Nachladen oder erneuten Ausführung der Funktion geändert. Um die Funktion zu erstellen:

  • wählen Sie Funktion neu
  • navigieren Sie zum Knoten Bilder
  • wählen Sie ALC-Quellenfarbe ändern

  • der Dialog zur Definition der Linienfarbe und der Füllfarbe öffnet sich
  • definieren Sie die gewünschten Farben

Eigenschaft | Funktion
Quelle | Dropdownliste zur Auswahl der Quelle und Anzeige der aktuell zugewiesenen Farben. Diese Farben sind hier nicht änderbar.
Neue Farbe für Quelle | Klick auf Farbe öffnet Dialog zur Auswahl einer Farbe.


Alias für Detailbilder

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Alias für Detailbilder

Für die Darstellung von Einzelbildern kann mit der Hilfe eines Alias ein Teilbereich aus dem Topologischen Netz herausgenommen und einzeln dargestellt werden. Die Bildelemente im Detailbild werden zwar nicht in das topologische Model mit aufgenommen, beziehen aber trotzdem ihre ALC-Farben aus dem Modell. Diese Bildelemente beziehen sich dazu auf einen Alias der Bildelemente aus dem Gesamtbild.

attention Achtung

Aliase sind nur innerhalb eines Projekts gültig!

Das bedeutet für Symbole, die Elemente mit Verknüpfungen zu Aliasen enthalten:

Wird das Symbol in die Allgemeine Symbolbibliothek oder in die Symbolbibliothek im Globalprojekt eingefügt und dort bearbeitet, gehen alle ALC Alias Informationen ohne weiteren Hinweis verloren!

Alias anlegen

Alias können angelegt werden für die Elemente:

  • Linie
  • Polylinie
  • Rohrleitung
  • Combi-Element

attention Achtung

Ein ALC Alias kann nicht angelegt werden, wenn im Namen des ausgewählten Bildes ein Punkt (.) enthalten ist.

Lösung: Ersetzen Sie den Punkt im Bildnamen durch ein anderes Zeichen, z.B. einen Unterstrich (_).

Um ein Quellelement als Alias anzulegen:

  • Aktivieren Sie beim Element, in der Eigenschaftengruppe Automatic Line Coloring die Eigenschaft Alias verwenden.
    Hinweis: Dazu müssen das Modul ALC lizenziert, und die Eigenschaft Farbe aus ALC aktiviert sein.
  • Klicken Sie bei der Eigenschaft Alias auf die Schaltfläche ...
  • Der Dialog zur Auswahl des Elements öffnet sich.

Parameter

Beschreibung

Bild

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Bildes.

Verfügbare ALC-Elemente

Zeigt die zum Bild gehörigen Elemente mit Elementname, Art des Elements und Funktionstyp an. Klick auf ein Element wählt Alias aus.

Filter

Die Elemente können nach allen Spalten gefiltert werden. Beim Setzen eines Filters werden die angebotenen Möglichkeiten aller anderen Filter auf sinnvoll kombinierbare Werte reduziert.

  • Name: Eingabe eines freien Suchbegriffs mit Wildcards (*). Die letzten 12 Suchbegriffe werden bis zum Beenden des Editors in einer Liste angeboten.
  • Element:
    Auswahl aus Dropdownliste.
  • Funktionstyp:
    Auswahl aus Dropdownliste.

Klick auf ... öffnet gespeicherte Suche oder Dropdownliste.

Bei aktiviertem Filter löscht Klick auf Schaltfläche X den Filter.

Ausgewählter Alias

Zeigt das im Feld Verfügbare ALC-Elemente ausgewählte Element an.

Keine Auswahl

Entfernt ausgewähltes Element.

OK

Speichert Auswahl und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet die Online-Hilfe.

info Info

Bei der Auswahl eines Elements für einen Alias können nur Elemente und Bilder aus demselben Projekt gewählt werden, in dem der Alias definiert wird. Elemente aus Unterprojekten oder parallelen Projekten stehen nicht zur Verfügung.

Ersetzung von Aliasnamen

Alias können bei der Bildumschaltung über Verknüpfung ersetzen ausgetauscht werden. Ein Detailbild kann daher mit den Daten unterschiedlicher Anlagenteile, z. B. Abgängen oder Teilnetzen, dargestellt werden. Die Ersetzung von Aliasnamen erfolgt analog zu jener von Variablen und Funktionen. Auch die Ersetzung in Elementen, die in Symbolen verwendet werden, ist möglich. Als Auswahldialog für das Ziel wird der gleiche Dialog wie bei der Eigenschaft Alias geöffnet.


Fehlerortung in elektrischen Netzen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen

Die Fehlerortung kennzeichnet durch spezielle Einfärbung via ALC jene Netzteile, die mit Erdschluss oder Kurzschluss behaftet sind. Anfangspunkte für die Fehlersuche sind sogenannte Erdschluss- oder Kurzschlussmelder (z.B. Melder eines Schutzgerätes), die einem Leistungsschalter zugeordnet sind. Es wird angenommen, dass die Erdschluss- und Kurzschlussmelder sich immer am Ausgang des Leistungsschalter-Elements befinden. Aus diesem Grund sollten bei der Projektierung die entsprechende Variablen (mit Meldungen des Schutzgeräts) mit ALC Elementen vom Funktionstyp Schalter verknüpft werden.

Die Meldungen von Schutzgeräten werden durch spezielle Einfärbungen mit den Quellenfarben ID 1 und ID 2 dargestellt. Die Einfärbung erfolgt jedoch nur, wenn die Meldung für ein Schutzgerät zutrifft, während die Leitungen bespannt sind. Parallel dazu werden die Meldungen auf die zusätzliche Variablen für die Anzeige gesetzt. Damit können Fehler in einem zenon Bild auch grafisch dargestellt werden. Diese Darstellung kann z.B. durch die Projektierung eines zusätzlichen Combi-Elements erfolgen, welches nur sichtbar ist, wenn der entsprechende Zustand (= Zustand gestört) erfüllt ist.

Damit können im Bild auch grafische Fehleranzeigen dargestellt werden, z.B. mit weiteren Combi-Elementen die nur bei anstehende Anzeige sichtbar sind.

Die Anzeige müssen manuell zurückgesetzt (= quittiert) werden nachdem die Schutzgeräte die Meldungen zurückgezogen haben.

info Info

Diese Funktionalität ist nur verfügbar, wenn sowohl die Energy Edition als auch das Modul Automatic Line Coloring lizenziert sind (Topologiepaket).

Fehlerortung

Die Fehlerortung läuft lokal auf jedem Rechner in zenon Netzwerk. Jeder Client im Netzwerk hat sein unabhängiges Modell und kann somit unabhängig Erd- und Kurzschlüsse in verschiedenen Teilen der Topologie suchen.

Die Fehlerortung in elektrischen Netzen teilt sich in:

  • Erdschlusssuche
  • Kurzschlusssuche

Um die Fehlerortung zur projektieren

  • benötigen Sie eine Lizenz für ALC und zenon Energy Edition
  • legen Sie die entsprechenden Bilder an
  • konfigurieren Sie ALC auf den entsprechenden Combi-Elementen mit dem Funktionstyp Schalter
  • konfigurieren Sie Leitungen so, dass sie ihre Einfärbung über ALC erhalten

Für die Fehlerortung stehen Ihnen zur Runtime spezielle Funktionen zur Verfügung:

  • Erdschlusssuche starten
  • Erdschlussmeldung quittieren
  • Erdschlusssuche beenden
  • Kurzschlussmeldung quittieren

Einfärbungen

Fehler lassen sich durch eine spezielle Einfärbung der Leitungen im ALC anzeigen, wenn die Meldungen antriffen während die Leitungen bespannt sind. Zur Runtime wechselt die per ALC zugewiesene Farbe automatisch, sobald sich der Zustand der Leitung ändert. Die projektierten Einfärbungen können zur Runtime vorübergehend über die Funktion ALC-Quellenfarbe ändern geändert werden.

Meldungen werden in der Reihenfolge ihres Eintreffens bearbeitet. Bei Konflikten

  • haben die Farben für Fehleranzeige den Vorrang
  • haben Kurzschlussmeldungen Vorrang vor Erdschlussmeldungen

Noch in diesem Kapitel

Erdschlusssuche

Kurzschlusssuche

Säumung


Erdschlusssuche

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche

Die Erdschlusssuche dient dazu, potenziell erdschlussbehaftete Netzteile durch Einfärbung zu markieren. Die Farbe wird aus der Projektierung der ALC-Quellenfarben für die Quelle GROUND FAULT (ID 1) bezogen. Parallel dazu werden die Meldungen auf die zusätzliche Variablen für die graphische Anzeige gesetzt.

Welche Netzteile potenziell erdschlussbehaftet sind, wird aus den Erdschlussmeldungen von Erdschlusserkennungsgeräten (Erdschlussanzeiger, Schutzgerät mit Erdschlusserfassung) abgeleitet. Für Erdschlussmeldungen gilt:

  • Jedes Gerät kann eine, zwei oder drei Erdschlussmeldungen besitzen.
  • Diese Erdschlussmeldungen werden entweder per Dauermeldungsverarbeitung oder per Wischermeldungsverarbeitung behandelt.
  • Bei Erdschlusserkennungsgeräten mit Richtungserkennung kann sich die Richtung vor- oder nacheilend zur Auslösung verhalten.
    • Voreilend:
      Zuerst wird die Meldung über die Richtung (Vorwärts und/oder Rückwärts) ermittelt und gemeldet, anschließend die Meldung über die Auslösung.
    • Nacheilend:
      Zuerst wird die Auslösung, dann die Richtung ermittelt und gemeldet.

info Info

Ein potenziell erdschlussbehafteter Netzteil wird erst dann als nicht mehr erdschlussbehaftet betrachtet, wenn dieser erfolgreich bespannt wurde.

Projektierung

Um die Erdschlusssuche zu projektieren:

  1. weisen Sie dem Combi-Element, das den Schalter repräsentiert, den Funktionstyp Schalter zu
  2. definieren Sie Modus der Erdschlusssuche, Erdschlusserkennung Auslösung und Erschlussanzeige.
  3. legen Sie die Funktionen für Erdschlusssuche starten, Erdschlussmeldung quittieren und Erdschlusssuche beenden an

info Info

Um auch in vermischten Netzen Erdschlüsse eingrenzen zu können, wird pro Pfad beginnend bei einer Quelle nur ein erdschlussbehafteter Bereich gesucht.

Noch in diesem Kapitel

Modus der Erdschlusssuche

Erdschlusserkennungstyp

Erdschlussanzeige

Erdschlusserkennung Auslösung

Erdschlusssuche starten

Erdschlussmeldung quittieren

Erdschlusssuche beenden


Modus der Erdschlusssuche

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Modus der Erdschlusssuche

Die Erdschlusssuche kann wahlweise:

  • den potenziell erdschlussbehafteten Netzteil einfärben
    oder
  • das gesamte Netz, in dem sich ein Erdschluss befindet

Der Modus der Einfärbung wird definiert über die Eigenschaft Modus der Erdschlusssuche.

Um die Eigenschaft zu projektieren:

  • navigieren Sie in den Projekteigenschaften zum Knoten Automatic Line Coloring
  • wählen Sie in der Dropdownliste der Eigenschaft Modus der Erdschlusssuche den gewünschten Modus
    • Netzteil einfärben: färbt nur den potenziell erdschlussbehaftete Netzteil ein
    • Ganzes Netz einfärben: färbt das gesamte zusammenhängende Netz, in welchem sich ein Erdschluss befindet, ein

Diese Einstellung kann zur Runtime über das Objektmodell der zenon API geändert werden. Dabei wird die Erdschlusssuche komplett neu durchgerechnet.


Erdschlusserkennungstyp

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusserkennungstyp

Über die Eigenschaft Typ werden Richtung und Art der Meldungsverarbeitung für das Combi-Element vom Typ Schalter projektiert.

Führen Sie dazu folgende Schritte aus:

  1. Navigieren Sie in den Eigenschaften des Combi-Elements zu der Eigenschaftengruppe Automatic Line Coloring
  2. Navigieren Sie in den Bereich Erdschlusserkennung
  3. Wählen Sie aus der Dropdownliste der Eigenschaft Typ den gewünschten Typ mit Richtung und Art der Meldungsverarbeitung
    • Richtung:
      gibt an, ob die steigende Flanke der Auslösungsmeldung oder die steigende Flanke einer Richtung vorher kommt
    • voreilend:
      bei steigender Flanke der Auslösungsmeldung wird der aktuelle Zustand der Richtung verwendet
    • nacheilend:
      nach steigender Flanke der Auslösungsmeldung wird auf die erste steigende Flanke einer Richtung gewartet, trifft diese nicht innerhalb von 2 Sekunden ein, wird das Erdschlusserkennungsgerät als ungerichtet betrachtet
    • Meldungsverarbeitung:
      gibt an, wie Meldungen verarbeitet werden
    • keine:
      normaler Schalter, Meldungen werden nicht verarbeitet
    • Dauermeldungsverarbeitung:
      neu eintreffende Meldungen werden als neue Erdschlussauslösung berücksichtig
    • Wischermeldungsverarbeitung:
      Meldungen, die während einer laufenden Suche eintreffen, werden unterdrückt

Hinweis: Die Unterscheidung zwischen Dauermeldungsverarbeitung und Wischermeldungsverarbeitung bezieht sich nur auf die Verarbeitung der Meldung, nicht auf deren Art. Eine Wischermeldungsverarbeitung muss sich also nicht auf ein Wischer-Bit beziehen.

attention Achtung

Um intermittierende Erdschlüsse zu unterdrücken, werden Erdschlussmeldungen, die in kürzeren Abständen als 2s eintreffen, ignoriert.


Erdschlussanzeige

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlussanzeige

Die bei Anzeige verknüpfte Variable ist eine Ausgangsvariable der Fehlerortung und zeigt den erfassten Zustand des Erdschlusserkennungsgeräts an. Das ist notwendig, da alle Meldungen intern bis zum Quittieren gespeichert bleiben. Die gespeicherten Meldungen entsprechen also nicht zwingend dem aktuellen Zustand der Meldevariable.

Bei jeder Erfassung einer Änderung wird ein Sollwert auf diese Variable abgesetzt. Dabei sind die Werte wie folgt:

Wert | Bedeutung
0 | kein Erdschluss
1 | Erdschluss vorwärts
2 | Erdschluss rückwärts
3 | Erdschluss ungerichtet
4 | Fehlerzustand -> beide Richtungen haben angesprochen

info Info

Um Probleme im Netzwerkbetrieb zu verhindern, sollte die hier verknüpfte Variable eine lokale Variable sein.


Erdschlusserkennung Auslösung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusserkennung Auslösung

Über die Auslösung wird die Variable für die Meldung des Erdschlusserkennungsgeräts definiert. Sie kann Informationen enthalten über das Vorhandensein eines Erdschlusses und die Richtung der Erdschlusses aus Sicht des Erdschlusserkennungsgeräts. Dabei wird unterschieden zwischen:

  • ungerichteten Erdschlusserkennungsgeräten
  • gerichteten Erdschlusserkennungsgeräten mit Auslösemeldung
  • gerichteten Erdschlusserkennungsgeräten ohne Auslösemeldung

Um die Variable für die Auslösung zu projektieren:

  1. navigieren Sie in den Eigenschaften des Combi-Elements zum Knoten Automatic Line Coloring
  2. öffnen Sie den Knoten Erdschlusserkennung
    1. für ungerichtete Erdschlusserkennungsgeräte:

      klicken Sie bei der Eigenschaft Auslösung auf die Schaltfläche ...

      wählen Sie im sich öffnenden Dialog die gewünschte Variable

      die Eigenschaften für die Richtung bleiben leer

    2. für gerichtete Erdschlusserkennungsgeräte mit Auslösemeldung

      verknüpfen Sie die Variable mit der Auslösung und ergänzen Sie die entsprechend Richtung:

      vorwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

    3. für gerichtete Erdschlusserkennungsgeräten ohne Auslösemeldung

      verknüpfen Sie die Variable mit der entsprechenden Richtung:

      vorwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts:
      verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

      die Eigenschaft Auslösung bleibt leer

Hinweis: Sprechen bei einem gerichteten Erdschlusserkennungsgerät mit Vorwärts beide Richtungen an, so wird dieses als fehlerhaft betrachtet und ignoriert.


Erdschlusssuche starten

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusssuche starten

Die Funktion Erdschlusssuche starten dient zur Lokalisierung eines Erdschlusses und hat zur Runtime zwei Auswirkungen:

  1. Meldungen aller Erdschlusserkennungsgeräte, die mit Wischermeldungsverarbeitung projektiert wurden, werden ignoriert.
  2. Der Suchalgorithmus wird geändert: Schalthandlungen können den erdschlussbehafteten Bereich nur noch verkleinern. Neu eintreffende Erdschlussmeldungen vergrößern den potenziell erdschlussbehafteten Bereich also nicht.

Um die Funktion Erdschlusssuche starten zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Erdschlusssuche starten

  • verknüpfen Sie die Funktion mit einem Button


Erdschlussmeldung quittieren

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlussmeldung quittieren

Mit der Funktion Erdschlussmeldung quittieren kann zur Runtime ein intern erfasster Erdschluss eines Erdschlusserkennungsgeräts quittiert werden. Dabei wird der intern gelatchte Erdschlusszustand zurückgesetzt, wenn der Zustand noch ansteht, oder als quittiert markiert. Eine erfasste Erdschlussmeldung wird intern nur gelöscht, wenn diese quittiert ist und nicht mehr ansteht.

Regeln beim Quittieren:

  • Wurde eine Variable verknüpft, die einer Auslösungs- oder Richtungsvariable eines Erdschlusserkennungsgeräts entspricht, so wird nur diese spezielle Erdschlussmeldung quittiert.
  • Wurde keine Variable verknüpft, werden alle Erdschlussmeldungen quittiert.
  • Das Quittieren kann auch über das Objektmodell der zenon API erfolgen.

Um die Funktion Erdschlussmeldung quittieren zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Erdschlussmeldung quittieren

  • der Dialog zur Auswahl einer Variablen öffnet sich
  • verknüpfen Sie die gewünschte Variable mit der Funktion
  • verknüpfen Sie die Funktion mit einem Button


Erdschlusssuche beenden

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Erdschlusssuche > Erdschlusssuche beenden

Mit der Funktion Erdschlusssuche beenden Sie zur Runtime die Erdschlusssuche.

Um die Funktion zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Erdschlusssuche beenden

  • verknüpfen Sie die Funktion mit einem Button


Kurzschlusssuche

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche

Die Kurzschlusssuche dient dazu, potenziell kurzschlussbehaftete Netzteile durch Einfärbung entsprechend zu markieren. Die Farbe wird aus der Projektierung der ALC-Quellenfarben für die Quelle SHORT FAULT bezogen.

Welche Netzteile potenziell kurzschlussbehaftet sind, wird aus Kurzschlussmeldungen abgeleitet. Ein Kurzschlusserkennungsgerät (Kurzschlussanzeiger, Schutzgerät) kann ein bis drei Kurzschlussmeldungen besitzen. Bei Kurzschlusserkennungsgeräten mit Richtung kann die Richtung vor- oder nacheilend zur Auslösung sein. Ein potenziell kurzschlussbehafteter Netzteil wird erst dann als nicht mehr kurzschlussbehaftet betrachtet, wenn dieser erfolgreich bespannt wurde.

Projektierung

Um die Kurzschlusssuche zu projektieren:

  1. weisen Sie dem Combi-Element, das den Schalter repräsentiert, den Funktionstyp Schalter zu
  2. definieren Sie Kurzschlussanzeige und Kurzschlusserkennung Auslösung
  3. legen Sie die Funktion für Kurzschlussmeldung quittieren an

Noch in diesem Kapitel

Kurzschlusserkennungstyp

Kurzschlussanzeige

Kurzschlusserkennung Auslösung

Kurzschlussmeldung quittieren


Kurzschlusserkennungstyp

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlusserkennungstyp

Über die Einstellung Typ werden Richtung und Art der Meldungsverarbeitung für das Combi-Element vom Typ Schalter festgelegt. Zur Projektierung:

  1. navigieren Sie in den Eigenschaften des Combi-Elements zum Knoten Automatic Line Coloring
  2. öffnen Sie den Knoten Kurzschlusserkennung
  3. wählen Sie bei der Eigenschaft Typ den gewünschten Typ
    • Richtung:
      gibt an, ob die steigende Flanke der Auslösungsmeldung oder die steigende Flanke einer Richtung vorher kommt
    • voreilend:
      bei steigender Flanke der Auslösungsmeldung wird der aktuelle Zustand der Richtung verwendet
    • nacheilend:
      nach steigender Flanke der Auslösungsmeldung wird auf die erste steigende Flanke einer Richtung gewartet, trifft diese nicht innerhalb von 2 Sekunden ein, wird das Kurzschlusserkennungsgerät als ungerichtet betrachtet
    • Meldungsverarbeitung:
      gibt an, wie Meldungen verarbeitet werden
    • keine:
      normaler Schalter, Meldungen werden nicht verarbeitet
    • Dauermeldungsverarbeitung:
      neu eintreffende Meldungen werden als neue Erdschlussauslösung berücksichtig


Kurzschlussanzeige

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlussanzeige

Die bei Anzeige verknüpfte Variable ist eine Ausgangsvariable der Fehlerortung und zeigt den erfassten Zustand des Kurzschlusserkennungsgeräts an. Das ist nötig, da alle Meldungen intern bis zum Quittieren gespeichert bleiben, also nicht unbedingt dem aktuellen Zustand der Meldevariablen entsprechen.

Bei jeder Erfassung einer Änderung wird ein Sollwert auf diese Variable abgesetzt. Dabei sind die Werte wie folgt:

Wert | Bedeutung
0 | kein Kurzschluss
1 | Kurzschluss vorwärts
2 | Kurzschluss rückwärts
3 | Kurzschluss ungerichtet


Kurzschlusserkennung Auslösung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlusserkennung Auslösung

Über die Auslösung wird die Variable für die Meldung des Kurzschlusserkennungsgeräts definiert. Sie kann Informationen enthalten über das Vorhandensein eines Kurzschlusses und die Richtung der Kurzschlusses aus Sicht des Kurzschlusserkennungsgeräts. Dabei wird unterschieden zwischen:

  • ungerichteten Kurzschlussmeldern
  • gerichteten Kurzschlussmeldern mit Auslösemeldung
  • gerichteten Kurzschlussmeldern ohne Auslösemeldung

Um die Variable für zu projektieren:

  1. navigieren Sie in den Eigenschaften des Combi-Elements zum Knoten Automatic Line Coloring
  2. öffnen Sie den Knoten Kurzschlusserkennung
    1. für ungerichtete Kurzschlusserkennungsgerät

      klicken Sie bei der Eigenschaft Auslösung auf die Schaltfläche ...

      wählen Sie im sich öffnenden Dialog die gewünschte Variable

      die Eigenschaften für die Richtung bleiben leer

    2. für gerichtete Kurzschlusserkennungsgerät mit Auslösemeldung

      verknüpfen Sie die Variable mit der Auslösung und ergänzen Sie die entsprechend Richtung:

      vorwärts: verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts: verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

    3. für gerichtete Kurzschlusserkennungsgerät ohne Auslösemeldung

      verknüpfen Sie die Variable mit der entsprechenden Richtung:

      vorwärts: verknüpfen Sie eine Variable mit der Eigenschaft Vorwärts

      rückwärts: verknüpfen Sie eine Variable mit der Eigenschaft Rückwärts

      die Eigenschaft Auslösung bleibt leer


Kurzschlussmeldung quittieren

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Kurzschlusssuche > Kurzschlussmeldung quittieren

Mit der Funktion Kurzschlussmeldung quittieren kann zur Runtime ein intern erfasster Kurzschluss eines Kurzschlusserkennungsgeräts quittiert werden. Dabei wird der intern gelatchte Erdschlusszustand zurückgesetzt, wenn der Zustand noch ansteht, oder als quittiert markiert. Eine erfasste Kurzschlussmeldung wird intern nur gelöscht, wenn diese quittiert ist und nicht mehr ansteht.

Regeln beim Quittieren:

  • Wurde eine Variable verknüpft, die einer Auslösungs- oder Richtungsvariable eines Kurzschlusserkennungsgeräts entspricht, so wird nur diese spezielle Kurzschlussmeldung quittiert.
  • Wurde keine Variable verknüpft, werden alle Kurzschlussmeldungen quittiert.
  • Das Quittieren kann auch über das Objektmodell der zenon API erfolgen.

Um die Funktion Kurzschlussmeldung quittieren zu projektieren:

  • legen Sie eine neue Funktion an
  • navigieren Sie zum Knoten Fehlerortung in elektrischen Netzen
  • wählen Sie die Funktion Kurzschlussmeldung quittieren

  • wählen Sie im sich öffnenden Dialog die gewünschte Variable
  • verknüpfen Sie die Funktion mit einem Button


Säumung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Fehlerortung in elektrischen Netzen > Säumung

Bei aktivierter Säumung werden entsprechende ALC-Elemente in der Runtime mit einem zusätzlichen Rand visualisiert, wenn ein Erdschluss oder Kurzschluss auf der Leitung anliegt. Die Einfärbung wird mit der projektierten Erdschluss- oder Kurzschlussfarbe visualisiert.

Unterstüzte ALC-Elemente:

  • Leitung
  • Linie
  • Polylinie

Liegen auf dem ALC-Element sowohl Erdschluss wie auch Kurzschluss an, wird die Farbe entsprechend der projektierten Priorität dargestellt. Es wird also entweder Erdschluss oder Kurzschluss dargestellt. Projektierte Effekte werden bei der Darstellung in der zenon Runtime ebenfalls unterstützt.

Projektieren im Editor

Führen Sie folgende Schritte durch um eine Säumung zu projektieren:

  • Projektieren Sie die Farben für Erdschluss und Kurzschluss.
    • Klicken Sie dazu in der Projekteigenschaftengruppe Automatic Line Coloring die Schaltfläche ... bei der Eigenschaft ALC Konfiguration.
      Der Dialog ALC Konfiguration wird geöffnet.
    • Passen Sie die Farben für die bereits bestehenden Einträge GROUND FAULT und SHORT FAULT an.
      Klicken Sie dazu die Schaltfläche ... in der Spalte Linienfarbe. Die Farbe wird aus einer Dropdownliste ausgewählt.
  • Erstellen oder wählen Sie im Editor ein zenon Bild.
  • Zeichnen Sie eine Linie, Polylinie oder Leitung oder wählen Sie ein bereits bestehendes Element aus.
  • Aktivieren Sie in der Eigenschaftengruppe Automatic Line Coloring die Eigenschaft Farbe aus ALC.
  • Aktivieren Sie die Eigenschaft Säumung verwenden und projektieren Sie die Breite der Säumung in der Eigenschaft Säumungsbreite [px].

Projektierungshinweis

Für eine saubere grafische Darstellung der Säumung in der Runtime wird folgende Projektierung empfohlen:

  • Zeichnen Sie ALC-Linienelemente.
    Dadurch kann es dazu kommen, dass die Darstellung einer Linie in eine andere hineinragt.

  • Um diesen grafischen Makel zu bereinigen:
    1. Markieren Sie jenes Element, welches durch die Projektierung überlappt.
    2. Wählen Sie im Kontextmenü den Eintrag Element Position.
    3. Wählen Sie im Submenü den Eintrag Hintergrund.

Das gewählte Element wird in den Hintergrund verschoben. Dadurch ist eine korrekte Darstellung der Leitungselemente gewährleistet.


Impedanzbasierende Fehlerortung und Lastverteilungsrechnung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung

Die impedanzbasierende Fehlerortung und Lastverteilungsrechnung erweitert ALC.

Während das Basismodul ALC Knoten und Kanten identifiziert, erkennt dieses spezielle Modell auch Linien und deren Parameter.

Fehlerortung aus Schutz ist via Projektierung im zenon Editor möglich. So kann z.B. der Fehlerort in einem zenon Bild mit einem Marker visualisiert werden.

Zusätzlich stellt dieses ALC-Modell Eigenschaften und Methoden zur externen Auswertung der Fehlerortung und Lastverteilung via API zur Verfügung.

Eigenschaften für ALC und das erweiterte topologische Modell

Die ALC-Elemente Combi-Element und Leitung (Linie, Polyline, Rohrleitung) verfügen über spezielle Eigenschaften für impedanzbasierende Fehlerortung und Lastverteilungsrechnung. Die Eigenschaften für die Lastverteilungsrechnung werden im Editor projektiert. Die Auswertung erfolgt jedoch nicht in zenon, sondern steht über die zenon API von Anwendern zu erstellenden Algorithmen zur Verfügung.

Dateien für erweitertes topologisches Modell

Das einfache topologische Modell des Basismoduls ALC für die Einfärbung wird um ein erweitertes topologisches Modell ergänzt, das alle Leitungen als separate Kanten enthält. Dieses erweiterte topologische Modell wird als ALC.xml abgelegt und kann so von externen Anwendungen eingelesen werden. Die ALC.xml enthält zwei Abschnitte:

  • GraphElements:
    enthält das erweiterte topologische Modell ohne Aliase
  • GraphAliases:
    enthält nur die Aliase

Noch in diesem Kapitel

Impedanzbasierende Fehlerortung des Kurzschlusses

Lastverteilungsrechung

Erweitertes topologisches Modell

API


Impedanzbasierende Fehlerortung des Kurzschlusses

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > Impedanzbasierende Fehlerortung des Kurzschlusses

Bei der impedanzbasierende Fehlerortung wird in der Topologie ein Fehlermarker am Ort der Störung gesetzt. Die von Schutzgeräten gemessenen Impedanzwerte werden vom Modul ALC ausgewertet. Basierend auf der Topologie werden die Fehlermarker korrekt in einem zenon Bild positioniert.

Tritt ein Kurzschluss auf und ist die Reaktanz ungleich Null, so startet die Suche nach den Kurzschlussort:

  • Kurzschluss:
    gemeldet durch die verlinkte Variable bei der Eigenschaft Auslösung (Eigenschaftengruppe Kurzschlusserkennung des Elements).
  • Reaktanz:
    Wert der Variable (vom Datentyp REAL), die mit der Eigenschaft Reaktanzwert aus Schutz (Eigenschaftengruppe Topologische Eigenschaften des Elements) verlinkt ist.

Position des Markers

Alle Leitungen werden in der entsprechenden Richtung durchlaufen. Die Richtung ergibt sich aus der negativen oder positiven Reaktanz. Die jeweilige Reaktanz der durchlaufenen Leitung wird abgezogen und es wird weitergesucht, bis die Rest-Reaktanz kleiner als die Reaktanz der nächsten Leitung ist. In der Leitung wird ein Marker gezeichnet. Die Position des Markers entspricht der Rest-Reaktanz.

Bei fehlendem Reaktanzwert bei Kurzschlussmeldung wird kein Marker gesetzt. Damit der Marker korrekt gezeichnet wird darf der Bereich während der Kurzschlussmeldung nicht unter Spannung stehen. Bei nacheilenden Kurzschlussmeldungen wird die Reaktanz erst dann ausgewertet, wenn die Richtungsmeldung eingetroffen oder das Timeout von 2 Sekunden abgelaufen ist.

Die Suche bricht ab, wenn ein offenes Schaltelement oder ein sonstiges ALC-Element gefunden wurde. Jeder Netz-Teil und jede einzelne Leitung darin werden nur einmal pro Auslöser durchlaufen, daher treten bei Schleifen im Leitungsnetz weniger Marker auf, als möglich wären.

Beim Nachladen werden bereits bestehende Marker an derselben Stelle wie vor dem Nachladen gezeichnet. Änderungen in der Projektierung der Fehlerortung werden erst nach einem erneuten Kurzschluss neu ausgewertet.

Wird eine Kurzschlussmeldung aufgehoben und quittiert, werden alle Marker dieses Kurzschluss-Auslösers gelöscht.

Hinweis: Abhängig von der Reihenfolge des Beseitigens der Kurzschlüsse und des Wieder-Einschaltens können Marker noch eingezeichnet bleiben, obwohl die Leitung nicht mehr als Kurzschluss eingefärbt ist.


Lastverteilungsrechung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > Lastverteilungsrechung

Bei der impedanzbasierenden Fehlerortung wird in der Topologie ein Fehlermarker am Ort der Störung gesetzt. Der Ort wird aus Impedanz, aufgrund der erweiterten Topologie berechnet.

Um die impedanzbasierende Fehlerortung im zenon Editor zu projektieren, führen Sie folgende Schritte durch:

  1. Aktivieren Sie die impedanzbasierende Fehlerortung:
    1. Klicken Sie dazu das Projekt in Ihrem Arbeitsbereich.
    2. Klicken Sie in die Projekteigenschaftengruppe Automatic Line Coloring.
    3. Aktivieren Sie die Eigenschaft Fehlerortung basierend auf Impedanz.

    Optional:

    Projektieren Sie die Max. zulässige Stromüberlastung [%] der Leitung.

    Konfigurieren Sie die Einstellung für die Verriegelung Überlastung einer Leitung in der Eigenschaft ALC Konfiguration. Per Default ist diese Verriegelung nicht aktiviert.

  2. Projektieren Sie die Darstellung der Bildmarker mit den Projekt-Eigenschaften:
    1. Größe der Bildmarker
    2. Linienbreite der Bildmarker
    3. Darstellungstyp der Bildmarker
  3. Erstellen Sie ein zenon Bild.
  4. Positionieren Sie das Element Combi-Element auf dem zenon Bild.
    Der Variablenauswahldialog wird geöffnet.
  5. Konfigurieren Sie die ALC-Einstellungen für das Combi-Element:
    1. Stellen Sie sicher, dass das Combi-Element ausgewählt ist.
    2. Wechseln Sie in die Eigenschaftengruppe Automatic Line Coloring.
    3. Wählen sie bei der Eigenschaft Funktionstyp aus der Dropdownliste den Eintrag Schalter.
    4. Verlinken Sie die Eigenschaft Reaktanzwert aus Schutz (im Eigenschaftenabschnitt Topologische Eigenschaften) mit einer Variable vom Datentyp REAL mit dem Wert der gemessenen Impedanz.
    5. Wählen Sie den Typ der Kurzschlusserkennung in der Dropdownliste der Eigenschaft Typ.
    6. Projektieren Sie die Farbe des Markers in der Eigenschaft Markerfarbe.


Erweitertes topologisches Modell

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > Erweitertes topologisches Modell

Jedes Objekt hat eine eindeutige ID, über die es innerhalb der Datei referenziert wird. Die Attribute entsprechen einem Subset der zenon Bildelemente, die die Elemente erzeugt haben.

GraphElement

ID | Beschreibung
Picture | Bildname
ElementID | Bildelement-ID
ElementRef | Bildelement -Referenz
Type | Bildelement -Typ (siehe "Element")
SourceID | Quellennummer
ReverseSourceID | Quellennummer in Rückwärtsrichtung
Variable | Zustandsvariable
VarProtReact | Reaktanzvariable
MaxIType | Art des Maximalstroms
MaxIVal | Maximalstrom Konstantwert
VarMaxI | Maximalstrom Variable
VarCurI | Momentanstrom Variable
VarCalcI | Berechneter Strom Variable
VarCurP | Momentanleistung Variable
LoadType | Art der Last
LoadVal | Last Konstantwert
VarLoad | Last Variable
React | Reaktanz
Resist | Resistanz
Length | Leitungslänge
Node1IDs | Liste alle mit Knoten1 verbundenen Element-IDs
Node2IDs | Liste alle mit Knoten2 verbundenen Element-IDs

GraphAlias

ID | Beschreibung
Picture | Bildname
ElementID | Bildelement-ID
ElementRef | Bildelement -Referenz
Type | Bildelement -Typ (siehe "Element")
OrigElemRef | Bildelement –Referenz des originalen Bildelements
OrigGraphElemID | ID des originalen Elements in "GraphElements"


API

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Impedanzbasierende Fehlerortung und Lastverteilungsrechnung > API

Im Objektmodel der zenon API stehen für das Modell die Objekte ALCGraphElement und ALCGraphAlias zur Verfügung. Diese enthalten dieselbe Information wie die XML-Datei. Auf diese Objekte kann in der ALC-Engine zugegriffen werden über:

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Benutzerspezifische topologische Verriegelungen

Wird eine topologische Verriegelung geprüft, so wird an der ALCEngine folgender Event aufgerufen:

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

Übergeben werden der zu schaltende Schalter/Trenner und der neue Status. Der Event kann LockResult, bUnlockable und bsText ausfüllen, um eine verletzte Verrieglungsbedingung anzuzeigen. Gibt der Eventhandler tpBusy in LockResult zurück, so wird der Eventhandler so lange aufgerufen, bis er nicht mehr tpBusy liefert, maximal aber 10 Sekunden. Nach 10 Sekunden ist die Verriegelung aktiv. In bsText und bUnlockable werden Verriegelungstext und Entriegelbarkeit zurück gemeldet.

Bildmarker

Über die zenon API können zur Laufzeit Marker-Elemente in Bilder eingefügt werden. Diese Marker-Elemente stehen für folgende Elemente zur Verfügung:

  • Linie
  • Polylinie
  • Rohrleitung

Diese werden hinzugefügt oder gelöscht über die API-Funktionen in DynPictures:

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Die GUID des Markers, die von AddMarker() geliefert wird, identifiziert den Marker eindeutig und dient sowohl als Elementname (mit Präfix „$MARKER_") als auch als Schlüssel zum Löschen via DelMarker(). Die via API eingefügten Marker werden bildbezogen im Projekt gespeichert. Achtung: Die Speicherung erfolgt nicht remanent, also nur bis zum Neustart der Runtime.

Unabhängig vom Bildschirm, auf dem ein Bild geöffnet wird, werden die dort gesetzten Marker angezeigt. Die Marker werden intern als normale bedienbare Bildelemente gehandhabt. Es werden also Mausevents darauf aufgerufen.

Das Aussehen der Marker wird über die Projekteinstellungen im Bereich Automatic Line Coloring der Projektkonfiguration eingestellt:

  • Darstellungstyp der Bildmarker: Dreieck, Kreis, Quadrat, Kreuz
  • Größe der Bildmarker: Größe in Pixel
  • Linienbreite der Bildmarker: Breite in Pixel
  • Markerfarbe: definiert sich über den Index in den Markerfarbtabelle, die sich in den Eigenschaften des Bildelemente in der Gruppe Automatic Line Coloring befindet


Lastflussberechnung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung

Das Modul Lastflussberechnung implementiert folgende Funktionalität:

  • Berechnung für 3-Phasen, Hochleistungs-Energienetze.
  • Ableitung des Lastflussmodells aus Bildern mit ALC-Elementen (aktive Elemente, geschlossene Schalter, ...).
  • Berechnung des Lastflusses für den aktuellen Modell-Zustand (aus den Werten der ALC-Elemente).
  • Topologische Verriegelungen, basierend auf Vorausberechnung des ALC-Modells.
  • (n-1)-Berechnung.
    Visualisierung einer möglichen Überlastung des Netzes, z.B. bei Ausfall einer Leitung.

Die Projektierung wird im zenon Editor durch Parametrierung von ALC-Eigenschaften bei den entsprechenden Bildelementen vorgenommen (Combi-Element, Linie, ...). Diese Projektierungen der Lastflussberechnung werden in entsprechenden Eigenschaften bei ALC-Bildelementen im zenon Editor parametriert.

In der zenon Runtime erfolgt die Berechnung auf Basis des Newton-Raphson Verfahrens zur iterativen und näherungsweisen Lösung nichtlinearer Gleichungssysteme. Das Problem wird mit komplexen Werten aufgestellt: es gilt für N Schienen, davon G mit Generatoren, 2N - G - 1 reelle Unbekannte (Spannung an den Lastschienen, Phase der Schienen). Als Startwert wird die Nennspannung ohne Phasenverschiebung angenommen.

Die Ergebnisse der Lastflussberechnung werden auf den Variablen ausgegeben, die am jeweiligen ALC-Element verknüpft sind. Diese Projektierung dient weiter als Basis für nachfolgende (n-1) Berechnungen. Das Ergebnis dieser Berechnung kann mit dem Bildtyp "Lastfluss (n-1)-Berechnung" in der Runtime visualisiert werden.

Noch in diesem Kapitel

Allgemein

Voraussetzungen

Projektieren im Editor

Bild vom Typ Lastfluss (n-1)-Berechnung

Bildumschaltung für die Lastfluss (n-1)-Berechnung

Bedienung zur Runtime

Berechnung

Warnmeldungen und LOG-Einträge


Allgemein

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Allgemein

Das topologische Netz wurde mit Hilfe von ALC-Elementen abgebildet.

Voraussetzung für die Lastflussberechnung ist eine Projektierung des topologischen Netzes mit Hilfe von ALC-Elementen. In dieser Projektierung muss ein zenon Bild (ein-oder dreiphasiges ALC-Einlinienbild) mit Combi-Elementen und Linien vorhanden sein. Für diese Bildelemente müssen die die für die Lastflussberechnung relevanten Eigenschaften korrekt parametriert sein.

Die Lastflussrechnung ermittelt:

  • für Verbraucher (Lasten)
    die Spannung und die Phase.
  • für Generatoren
    die Blindleistung und die Phase
  • für Leitungen
    • Strom (Mittelwert)
    • Leistungsfaktor
    • Spannung am Eingang und Ausgang
    • Wirkleistung am Eingang und Ausgang
    • Blindleistung am Eingang und Ausgang
  • für Transformatoren:
    • Strom am Eingang und Ausgang
    • Spannung am Eingang und Ausgang
    • Wirkleistung am Eingang und Ausgang
    • Blindleistung am Eingang und Ausgang

Die so berechneten Werte können auf Variablen ausgegeben werden, die mit ALC-Elementen verknüpft sind.

Alternativ zur Leistung kann auch der Strom ausgegeben werden: I = S/U. Dies kann entfallen, wenn der Strom bereits über verknüpfte Variablen verfügbar ist.

Der Lastfluss wird über die Verbindungszweige zwischen den Sammelschienen berechnet. Dazu werden die Generatoren, Transformatoren und Lasten den Schienen zugeordnet und die Zweige (auch parallel) aus den Leitungen und Schaltern gebildet. Leitungen mit Null-Impedanz werden in den Sammelschienen integriert.

Erforderliche Messwerte

Als Eingabe für die Lastflussberechnung sind folgende Messwerte notwendig:

  • für Generatoren und Quellen:
    die Wirkleistung und die Spannung.
    Ein Generator ist die Referenz für die Phase, für ihn wird auch die Wirkleistung berechnet.
    Hinweis: Quellen verfügen über keine berechenbaren Ausgabewerte.
  • für Verbraucher (Lasten):
    die Wirk- und Blindleistung
  • für Transformatoren:
    das Windungsverhältnis und die Phasenverschiebung.
    Im Editor können Nennleistung [MW], Verlustleistungen, Magnetisierungsverluste, Stufenschalter und Phasenverschiebung parametriert werden.
  • für Leitungen:
    die komplexe Impedanz (Resistanz und Reaktanz).
  • für Kondensatoren:
    Schrittweite (s), Verschaltung (v) und Position (i).
    Daraus ergibt sich die zugeführte Blindleistung als Messwert: Q = s*v[i].

Hinweis: Nur aktive Elemente werden berücksichtigt.


Voraussetzungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Voraussetzungen

Es wird empfohlen, die Lastflussberechnung auf einem perfomanten Rechner mit einem 64-Bit-Betriebssystem durchzuführen.

Bei den ALC-Elementen müssen ausreichend Variablen mit Messwerten verknüpft werden.


Projektieren im Editor

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Projektieren im Editor

Projektierungsschritte für das Modul Lastflussberechnung:

  1. Aktivieren Sie die Lastflussberechnung.
    1. Navigieren Sie in den Projekteigenschaften in die Eigenschaftengruppe Automatic Line Coloring.
    2. Wählen Sie in der Eigenschaft Lastflussberechnung aktivieren aus dem Dropdownmenü den Eintrag Lastfluss.
  2. Parametrieren Sie bestehende ALC-Bildelemente.
    Die Parametrierung für die Lastflussberechnung wird in folgenden Eigenschaften der ALC-Bildelemente in der Eigenschaftengruppe Automatic Line Coloring konfiguriert. Beachten Sie auch die Hinweise in der Eigenschaftenhilfe bei den jeweiligen Eigenschaften.
    Die Verfügbarkeit ist abhängig vom projektierten Funktionstyp des ALC-Elements.

    ALC-Bildelement Combi-Element:

    • Funktionstyp Quelle:
      Lastflussberechnung - Eingabe
    1. Funktionstyp Generator:

      Lastflussberechnung - Eingabe

      Lastflussberechnung - Ausgabe

    2. Funktionstyp Senke:

      Lastflussberechnung - Eingabe

      Lastflussberechnung - Ausgabe

    3. Funktionstyp Transformator:

      Lastflussberechnung - Transformator Eingabe

      Lastflussberechnung - Transformator Ausgabe

      Beachten Sie auch die Projektierungshinweise im Kapitel Dreiwicklungs-Transformator.

    4. Funktionstyp Kondensator:

      Kondensator

    ALC-Bildelement Linie oder Rohrleitung:

    Lastfluss Leitung Parameter

    Lastfluss Leitung Resultat

  3. Verknüpfen Sie das ALC-Bildelement mit Variablen, die Messwerte aus dem Prozess liefern.
    Beispiel: Eine SPS liefert den aktuellen Wert der Wirkleistung eines Generators. Die Variable für diesen Messwert verknüpfen Sie bei dem Combi-Element, mit dem Sie diesen Generator im topologischen Netz darstellen. Diese Verknüpfung projektieren Sie in der Eigenschaftengruppe Lastflussberechnung - Eingabe bei der Eigenschaft Wirkleistung dynamisch [MW].
  4. Verknüpfen Sie das ALC-Bildelement mit Variablen, in die das Ergebnis der Lastflussberechnung geschrieben wird.
    Sie können dazu Variablen des Intern Treibers verwenden. Diese Variablen können Sie in zenon Bildern zur Anzeige der Ausgabewerte verwenden.
    Hinweis: Beachten sie das Kapitel Projektierung der Ausgabeparameter.

Projektierungsschritte für (n-1)-Berechnung

  1. Führen Sie die Projektierungsschritte für die Lastflussberechnung durch.
  2. Aktivieren Sie die (n-1)-Berechnung.
    1. Navigieren Sie in den Projekteigenschaften in die Eigenschaftengruppe Automatic Line Coloring.
    2. Aktivieren Sie die Eigenschaft (n-1)-Berechnung aktivieren.
  3. Projektieren Sie ein zenon Bild vom Typ Lastfluss (n-1)-Berechnung.
    Weitere Informationen dazu finden Sie im Kapitel Bild vom Typ Lastfluss (n-1)-Berechnung.
  4. Projektieren Sie eine Funktion Bildumschaltung.

info Info

Wird in dem Projekt die Befehlsgabe verwendet, kann auch eine topologische Verriegelung Überlastung einer Leitung projektiert werden.

Noch in diesem Kapitel

Dreiwicklungs-Transformator

Projektierung der Lastfluss Ausgabeparameter


Dreiwicklungs-Transformator

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Projektieren im Editor > Dreiwicklungs-Transformator

Um einen Dreiwicklungs-Transformator für die Lastflussberechnung zu projektieren, erstellen Sie drei Combi-Elemente mit dem ALC Funktionstyp Transformator.

Im zenon Editor wird geprüft, ob ein Transformator, der als Dreiwicklungs-Primärtransformator definiert wurde, richtig angeschlossen ist: mit dem Ausgang an genau zwei weitere Transformatoren, die keine Dreiwicklungs-Primärtransformatoren sind. Im Fehlerfall wird bei der Kompilierung eine Fehlermeldung im Ausgabefenster angezeigt.

Element 1 für die Primärwicklung:

  • Wichtig für die Primärwicklung ist, dass die Eigenschaft Dreiwicklungstrafo Primärwicklung aktiviert ist.
  • Verknüpfen Sie die Variablen für das Ergebnis der Lastflussberechnung in der Eigenschaftengruppe Lastflussberechnung - Transformator Ausgabe in den Eigenschaften für die Eingänge:
    • Strom Eingang [A]
    • Spannung Eingang [kV]
    • Wirkleistung Eingang [MW]
    • Blindleistung Eingang [MVar]

Hinweis: Für ALC sollte auch der Primärtransformator eine Quellenfarbe haben.

Element 2 und 3 für die Sekundär- und Tertiär-Wicklung:

  • Wichtig bei der Projektierung der Sekundär- und Tertiär-Wicklung ist, dass die Eigenschaft Dreiwicklungstrafo Primärwicklung nicht aktiviert ist.
  • Verknüpfen Sie die Variablen für das Ergebnis der Lastflussberechnung in der Eigenschaftengruppe Lastflussberechnung - Transformator Ausgabe in den Eigenschaften für die Ausgänge:
    • Strom Ausgang [A]
    • Spannung Ausgang [kV]
    • Wirkleistung Ausgang [MW]
    • Blindleistung Ausgang [MVar]

Zusammenspiel der projektierten Parameter bei einem Dreiwicklungs-Transformator

Der Dreiwicklungs-Transformator verwendet die Stufenschaltung nur vom Primärtransformator (und ignoriert sie bei den Sekundärtransformatoren). Die Phasenverschiebung wird nur von den Sekundärtransformatoren ausgewertet. Die Verluste entsprechen dem Datenblatt des Transformators oder folgender Berechnung: Nennleistung mal der Kurzschluss-Spannung [%] / 100.

Bei Sekundärtransformatoren werden Verlustleistungen in Bezug auf die Primärwicklung angegeben. Die Verluste zwischen der Sekundär- und der Tertiär-Wicklung werden bei der Berechnung für das Dreieck beim Primär-Transformator berücksichtigt.

Magnetisierungsverluste werden nur von der Primärwicklung berücksichtigt.

Für eine korrekte Berechnung ist wichtig, dass alle Transformatoren eines Dreiwicklungstransformators die gleiche Leistung haben.

... die gleiche Nennleistung ... (im Realen ist die Leistung auf Sekundär bzw. Tertiärseite durch Verluste immer geringer als auf Primärseite Eingang!!! Verwendung von 40 MW Primär und 100 MW Sekundär bzw. Tertiär wär aber möglich)

Projektierung Ausgabeparameter

Das Resultat der Lastflussberechnung kann für einen Transformator mit verknüpften Variablen an die Ausgabeparameter übergeben werden.

Dabei gilt:

  • Der Strom ist immer positiv.
  • Das Vorzeichen der Wirk- und Blindleistung ist dann positiv, wenn sie vom Eingang (Quelle = Rückspeisung) zum Ausgang (Quelle) fließt.
  • Berücksichtigt wird auch, dass bei Combi-Elementen Ein- und Ausgang vertauscht werden können.
  • Die Phase oder der Leistungsfaktor am Transformator (Ein- oder Ausgang) werden nicht ausgegeben.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.


Projektierung der Lastfluss Ausgabeparameter

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Projektieren im Editor > Projektierung der Lastfluss Ausgabeparameter

Die Ergebnisse der Lastflussberechnung können auf verknüpfte Variablen geschrieben werden.

Die Parametrierung für die Lastflussberechnung wird in den folgenden Eigenschaften der ALC-Bildelemente in der Projekt-Eigenschaftengruppe Automatic Line Coloring konfiguriert.

  • Transformator

    Die Projektierung dafür erfolgt bei verfahrenstechnischen Elementen im Combi-Element mit ALC-Funktionstyp Transformator in der Eigenschaftengruppe Lastflussberechnung - Transformator Ausgabe

  • Leitung

    Die Projektierung dafür erfolgt bei Leitungen (Linie, Polylinie, ...) mit aktivierter Eigenschaft Farbe aus ALC in der Eigenschaftengruppe Lastfluss Leitung Resultat.

Für die einzelnen Eigenschaften gilt:

Name

Einheit

Wertebereich

Formel

Strom

Ampere

I = 0,0

I = (VEin - VAus) / Z / v3

Leistungsfaktor

Keine

0,0 = cos f = 1,0

cos f = P / S =
P / v(P^2+Q^2)

Spannung Eingang

kV

U = 0,0

VEin

Spannung Ausgang

kV

U = 0,0

VAus

Wirkleistung Eingang

MW

PEin + jQEin = VEin *?V / Z

Blindleistung Eingang

MVar

Wirkleistung Ausgang

MW

PAus + jQAus = VAus *?V / Z

Blindleistung Ausgang

MVar

Ausgabe der Werte

Auf jeder Komponente (Leitung oder Transformator) auf einem Pfad werden alle berechneten Werte ausgegeben.

Dafür gilt:

  • Der Eingang ist links-oben (ist die Linie exakt diagonal, ist der Eingang oben-rechts).
  • Die Leistung ist positiv, wenn der Fluss vom Eingang zum Ausgang ist.
  • Wirk- oder Blindleistung am Eingang und Ausgang haben das gleiche Vorzeichen.
  • Der Verlust als PEin - PAus oder QEin - QAus ist daher immer = 0,0.
  • Wirk- und Blindleistung einer Leitung können verschiedenes Vorzeichen haben.
  • Strom, Spannung und Leistungsfaktor sind immer positiv.
  • Der Strom entlang eines Pfades (mit Gesamtimpedanz Z) ist konstant.
  • Der Leistungsfaktor wird am Ausgang ermittelt.
  • hat eine Leitung keine Impedanz, sind die Werte am Eingang und am Ausgang gleich.
  • Ist eine Leitung Teil einer Sammelschiene, wird nur die aktuelle Spannung am Eingang und Ausgang ausgegeben.


Bild vom Typ Lastfluss (n-1)-Berechnung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bild vom Typ Lastfluss (n-1)-Berechnung

Der neue Bildtyp Lastfluss (n-1)-Berechnung visualisiert in der Runtime das berechnete "N-1" Szenario, z.B. eine mögliche Überlastung des Netzes bei Ausfall einer Leitung oder eines Transformators.

Für die (n-1)-Berechnung wird je eine Leitung oder ein Transformator aus dem Netz entfernt. Das Modul Lastflussberechnung berechnet die daraus resultierende Belastung für die restlichen Komponenten (Leitungen und Transformatoren) in diesem Netz und visualiesert die Konsequenzen dar. Dies wird für alle Leitungen und Transformatoren ermittelt.

Die Liste im Bild kann dazu dienen, den am stärksten belasteten Teil eines Pfades (Leitung oder Transformator, Spalte Belastung Leitung) zu finden, nachdem eine Komponente aus dem Netz genommen wird (Ausfall Leitung). Die angezeigte Belastung von Ausfall Leitung steht in Bezug zu der Wahrscheinlichkeit, mit der die Komponente ausfallen könnte. Eine Schalthandlung (oder Ausfall) im Bereich von Ausfall Leitung würde zur Übertragung des Lastflusses auf Belastung Leitung führen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Lastfluss (n-1)-Berechnung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

(n-1)-Liste

Parameter

Beschreibung

Ausfall aktuell [%]

Aktuelle Belastung der Komponente (Leitung oder Transformator) in Prozent, die für die Berechnung des (n-1)-Szenarios rechnerisch aus dem Netz genommen wurde.

Ausfall aktuell [A]

Aktuelle Belastung der Komponente (in Ampere), die für die Berechnung aus dem Netz genommen wurde.

Ausfall Leitung/Transformator

Name der Komponente (Leitung oder Transformator), die für die Berechnung aus dem Netz genommen wurde.

Ausfall Strombelastbarkeit

Belastbarkeit der Komponente, die für die Berechnung der Belastung aus dem Netz genommen wurde (rechnerische Umleitung des Lastflusses).

Belastung (n-1) [%]

Berechnete Belastung (in Prozent) jener Komponente (Leitung oder Transformator), die bei Ausfall einer anderen Komponente (Ausfall Leitung) am stärksten belastet würde.
Dieser Eintrag zeigt die berechnete Belastung, also jenen Wert nachdem eine andere Leitung vom Netz genommen wird.

Hinweis: Der Name der Komponente wird in der Spalte Belastung Leitung angezeigt.

Belastung (n-1) [A]

Berechnete Belastung (in Ampere) jener Komponente, die bei Ausfall einer anderen Komponente (Leitung oder Transformator) am stärksten belastet würde.
Dieser Eintrag zeigt die berechnete Belastung, also jenen Wert, nachdem eine andere Komponente vom Netz genommen wird.

Hinweis: Der Name der Komponente wird in der Spalte Belastung Leitung angezeigt.

Belastung aktuell [%]

Aktuelle Belastung der Komponente die am stärksten belastet würde (in Prozent), nachdem eine andere Komponente (Leitung oder Transformator) aus dem Netz genommen wurde.

Hinweis: Dieser Eintrag zeigt die aktuelle Belastung ohne Berücksichtigung einer Neubelastung, also jenen Wert bevor eine andere Komponente aus dem Netz genommen wird.

Belastung aktuell [A]

Aktuelle Belastung der Komponente die am stärksten belastet würde (in Ampere), nachdem eine andere Komponente (Leitung oder Transformator) aus dem Netz genommen wurde.

Hinweis: Dieser Eintrag zeigt die aktuelle Belastung ohne Berücksichtigung einer Neubelastung, also jenen Wert bevor eine andere Komponente aus dem Netz genommen wird.

Belastung Leitung/Transformator

Name der Komponente (Leitung oder Transformator) die am stärksten belastet würde, nachdem eine andere Komponente (Ausfall Leitung) aus dem Netz genommen wurde.

Transformator

Für die (n-1)-Berechnung von Transformatoren gilt:

  • Die Zweiwicklungs-Transformatoren (auch parallel geschaltet) werden sowohl als belastete als auch als möglicherweise ausgefallene Komponente in die Berechnung aufgenommen. Ausgegeben wird der Strom auf der Eingangsseite, verglichen wird mit dem Nennstrom aus der Nennleistung: / v3 * Nenn-Eingangsspannung.
  • Ein Dreiwicklungs-Transformator wird bei der Rechnung nur als eine Komponente betrachtet. Laststrom und Nennstrom werden vom Primärtransformator übernommen. Wenn der Transformator eine Brücke bildet, können bei seinem Ausfall bis zu drei nicht verbundene Netzteile entstehen. Sind so entstandenen Netzeile noch weiter mit Energie versorgt, werden diese anschließend auf die nach dem Ausfall höchstbelastete Komponente durchsucht.

Noch in diesem Kapitel

Projektierung im Editor


Projektierung im Editor

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bild vom Typ Lastfluss (n-1)-Berechnung > Projektierung im Editor

Das Bild vom Typ Lastfluss N-1 Berechnung dient dazu, aktuelle Lasten einer Komponente (Leitung oder Transformator) sowie berechnete Lasten auf Komponente (Leitung oder Transformator) zu visualisieren. Die berechneten Lasten zeigen die Werte einer Komponente unter der Annahme, dass eine andere Komponente des vermaschten Netzes nicht mehr vorhanden ist.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Lastfluss (n-1)-Berechnung.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.


Bildumschaltung für die Lastfluss (n-1)-Berechnung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung

Um ein Bild vom Typ Lastfluss (n-1)-Berechnung zur Runtime aufzuschalten:

  1. Projektieren Sie ein Bild vom Typ Lastfluss (n-1)-Berechnung.
  2. Erstellen Sie eine Funktion Bildumschaltung auf dieses Bild.
  3. Definieren Sie die gewünschten Spalteneinstellungen.

Funktion vom Typ Bildumschaltung anlegen

Eine Funktion vom Typ Bildumschaltung dient dazu, Bilder zur Runtime aufzuschalten. Für die Bildumschaltung zu einem Bild vom Typ Lastfluss (n-1)-Berechnung können Sie die grafische Ausprägung der Liste projektieren.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Bilder.
  3. Wählen Sie die Funktion Bildumschaltung.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Bestätigen Sie Ihre Auswahl mit Klick auf die Schaltfläche OK.
    Der Dialog Filter zur Projektierung die grafische Ausprägung der Anzeige in der Runtime wird geöffnet.
  6. Klicken Sie die Schaltfläche Spaltenauswahl und projektieren Sie die Inhalte, die Sie in der Runtime anzeigen wollen.
  7. Klicken Sie die Schaltfläche Spaltenformat und projektieren Sie das Erscheinungsbild der Liste in der Runime.
  8. Benennen Sie die Funktion in der Eigenschaft Name.

Noch in diesem Kapitel

Filter Bildumschaltung Lastflussberechnung

Spaltenauswahl

Spaltenformat


Filter Bildumschaltung Lastflussberechnung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung > Filter Bildumschaltung Lastflussberechnung

In diesem Dialog konfigurieren Sie die Inhalte des Bildtyps Lastfluss (n-1)-Berechnung für die Ansicht in der zenon Runtime.

Spalteneinstellungen

Parameter | Beschreibung
[Spaltenvorschau] | Vorschau der Spalten, die für die Anzeige in der Runtime konfiguriert sind.
Spaltenauswahl... | Klick auf Schaltfläche öffnet Dialog zur Auswahl und Reihung der Spalten für die (n-1)-Liste.
Spaltenformat... | Klick auf Schaltfläche öffnet Dialog zur Formatierung der (n-1)-Liste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenauswahl

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung > Spaltenauswahl

Hier Konfigurieren Sie jene Spalten, die in der Anzeige in der zenon Runtime visualisiert werden.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bildumschaltung für die Lastfluss (n-1)-Berechnung > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bedienung zur Runtime

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bedienung zur Runtime

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Für die Bedienung des Bild vom Typ Lastfluss (n-1)-Berechnung in der zenon Runtime gilt:

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Darstellung von längeren Texten in der Liste

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Noch in diesem Kapitel

Topologische Verriegelungen

Ansicht in der zenon Runtime


Topologische Verriegelungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bedienung zur Runtime > Topologische Verriegelungen

Das Modul Lastflussberechnung stellt folgende topologischen Verriegelungen zur Verfügung:

Überlastung einer Leitung

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einer Stromüberlastung einer Leitung oder eines Transformators im ALC Netz führen.

Würden mehrere Komponenten überlastet werden, wird nur der Name der Komponente mit der höchsten Überlastung als Verriegelungstext angezeigt.

Beispiel:

Grenzwert Strombelastbarkeit [A] | Berechneter Wert [A] | Max. zulässige Stromüberlastung [%] | Auslastung [%] | Überschreitung von erlaubten Grenzwert [%] | Verriegelung
5 | 7,51 | 10 | 150,2 | 40,2 | ja
2 | 7,51 | 10 | 375,5 | 265,5 | ja
5 | 4,51 | -10 | 90,2 | 0,2 | ja
5 | 5 | 0 | 100 | 0 | nein

Verriegelungstext: Die Leitung [Komponentenname] wird um 40.20% stärker überlastet werden als erlaubt.

Je nachdem ob eine Leitung oder ein Transformator überlastet ist, wird der Verriegelungstext entsprechend angepasst.

Zusätzlich wird diese Verrieglung aktiv, wenn

  • eine Lastflussberechnung nicht möglich ist.
    Dies ist der Fall bei fehlenden oder ungültigen Messwerten sowie bei einem undefinierten Zustand eines Schalters (nicht ein oder aus)
  • die Lastflussberechnung kein schlüssiges Ergebnis errechnen kann.

In beiden Fällen wird die Verriegelung aktiv und folgender Verrieglungstext angezeigt:

Die Lastflussberechnung konnte kein schlüssiges Ergebnis errechnen.

Zusammenschalten unterschiedlicher Spannungsebenen

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einem Zusammenschalten von zwei ALC-Netzbereichen mit unterschiedlichen Nennspannungen der ALC-Quellen führen.

Kuppeln von Netzen

Die Verriegelung wird aktiv, wenn Schalthandlungen zu einem Zusammenschalten von zwei ALC-Netzbereichen mit unterschiedlichen Generatoren führen. Als unterschiedliche Generatoren werden verfahrenstechnische Elemente vom Typ Generator mit unterschiedlichen Nummern der Quellen betrachtet.

Die Verriegelung ist unter folgenden Voraussetzungen aktiv:

  • Nach der Schaltung sind beide Seiten des Elements unter Spannung.
  • Eine Seite beinhaltet eine Generatorenquelle, die im anderen Netz nicht vorhanden ist.

info Info

Weitere Details zu topologischen Verriegelungen finden Sie im Kapitel Konfiguration der Topologischen Verriegelung in diesem Handbuch.


Ansicht in der zenon Runtime

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Bedienung zur Runtime > Ansicht in der zenon Runtime


Berechnung

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung

Die Berechnung erfolgt auf Basis des Newton-Raphson Verfahrens zur iterativen und näherungsweisen Lösung nichtlinearer Gleichungssysteme. Das Problem wird mit komplexen Werten aufgestellt: es gilt für N Schienen, davon G mit Generatoren, 2N - G - 1 reelle Unbekannte (Spannung an den Lastschienen, Phase der Schienen). Als Startwert wird die Nennspannung ohne Phasenverschiebung angenommen.

Die iterativen Berechnungen von Jacobi-Matrix und Resultaten werden solange wiederholt, bis die L2-Norm des Korrekturvektors kleiner als ein Zehntausendstel ist.

Validierung

Beim Kompilieren der Runtime-Dateien im zenon Editor wird eine Konsistenzprüfung der ALC-Projektierung durchgeführt. Fehlerhinweise werden im Ausgabefenster des Editors angezeigt.

Die Analyse wird in mehreren Schritten durchgeführt:

  • Zuerst wird das Netz, ausgehend von Quellen und Generatoren, durchsucht.
    • Die Suche wird bei einem Schalter, Trenner, Ventil und Sperrventil fortgesetzt.
    • Bei Endelementen (Verbraucher, Kondensator, Endelement) und Transformator wird die Suche beendet.
  • Alle Quellen die dabei gefunden wurden, liegen im gleichen Netzsegment. Bei einem Transformator wird - je nach Seite - die Quelle oder die Quelle für Rückspeisung berücksichtigt.
  • Alle Trafos, welche beim ersten Schritt der Suche nur auf einer Seite berücksichtigt wurden, sind Ausgangspunkt für eine erneute Erforschung des Netz auf der nicht besuchten Seite.
  • die Suche berücksichtigt dabei die definierte Spannung, nicht die Quellen-ID.
  • Systemquellen werden bei dieser Suche im Netzt nicht berücksichtigt.

Beachten Sie, dass diese Ausgabe immer für das letzte zenon Bild gilt. Es wird empfohlen, nach Korrektur dieser Projektierungsfehler nochmals die Meldungen im Ausgabefenster zu beachten. Weitere Informationen zu den Ausgabemeldungen finden Sie im Kapitel Warnmeldungen und LOG-Einträge.

Noch in diesem Kapitel

Sammelschienen und Abzweigungen

Berechnung der elektrischen Größen

Parallele Leitungen

Transformatoren

Kondensatoren


Sammelschienen und Abzweigungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Sammelschienen und Abzweigungen

Ermittlung und Validierung der Sammelschienen

Zu Beginn der Lastflussberechnung wird aus dem aktuellen topologischen Modell und den Schalterstellungen oder Zuständen von Quellen und Lasten das Sammelschienenmodell gebaut.

Nach Identifizierung der Sammelschienen wird geprüft, ob diese die Mindestanforderungen für den Lastfluss erfüllen. Werden die Anforderungen nicht erfüllt, werden diese Sammelschienen aus dem Modell entfernt.

Mindestanforderungen:

  • Die bei einem Generator ermittelte Sammelschiene muss eine positive Nettoleistung erbringen: Leistung des Generators minus Leistung der Lasten.
  • Aktive Sammelschienen müssen für Quellen und Generatoren eine abgehende Verbindung haben.
    Für Senken muss eine eingehende Verbindung vorhanden sein.
  • Passive Sammelschienen müssen mindestens zwei Verbindungen haben.

Wird eine Sammelschiene entfernt, wird dies in der LOG-Datei protokolliert.

Verifizierung von Abzweigungen

Unter den Sammelschienen mit Generatoren wird die stärkste Schiene als Referenzschiene (slack-bus) ausgewählt. Alle mit der Referenzschiene verbundenen Sammelschienen werden zu einem Teilnetz zusammengefasst. Durch Transformatoren wird das Netz in Zonen gleicher Spannung unterteilt. Die Teilnetze werden durchnummeriert. Dadurch sind alle Generatorschienen einem Netz zugeordnet.

Dabei muss für alle Sammelschienen die Vorgabe der Spannung (durch Quelle, Generator, Transformator oder Leitung) widerspruchsfrei gegeben sein. Ist dies nicht der Fall, kann das Netz nicht berechnet werden. Im Fehlerfall wird für jede Sammelschiene eine Warnmeldung in der LOG-Datei erstellt.

Übertragung in die Berechnungsmatrix

Für jedes Teilnetz, das mindestens einen Last-Bus beinhaltet, wird das Per-Unit-System angelegt, geordnet nach Spannung und Leistung der Referenzschiene. Damit werden die komplexen Admittanz-Werte der bestehenden Verbindungen in die Berechnungs-Matrix aufgenommen. Zusätzlich werden auch die bekannten Werte für PQ oder PV übernommen. Alle unbekannten Werte werden als 0 betrachtet.


Berechnung der elektrischen Größen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Berechnung der elektrischen Größen

Berechnet werden die Blindleistung aller Generatorschienen und die Wirkleistung der Referenzschiene. Die berechnete Phase der Schienen wird auf alle ALC-Elemente vom Funktionstyp Generator oder Senke verteilt. Die berechnete Spannung wird nur auf ALC-Elemente vom Funktionstyp Senke verteilt. Die Blindleistung auf der Generatorschiene, die nicht von den Lasten stammt, wird auf die Generatoren verteilt, proportional zur erzeugten Wirkleistung.

Der Strom, der zwischen zwei Schienen fließt, entspricht Spannung mal Admittanz, die übertragene Leistung errechnet sich aus dem Produkt der Spannung und der Spannungsdifferenz unter Betrachtung der Phasen, als komplexer Wert, mal der Admittanz. Die Differenz zwischen eingespeister und erhaltener Leistung eines Zweiges ist die Verlustleistung. Strom und Leistung werden auf alle ALC-Leitungselemente zwischen den Schienen ausgegeben. Auf jedem ALC-Leitungselement mit Impedanz fällt eine Verlustleistung an, entsprechend dem Anteil an der Gesamtimpedanz. Bei serieller Verbindung von mehreren impedanzbehafteten Leitungen wird die eingespeiste Leistung am ersten Leitungselement ausgegeben. Die entnommene Leistung wird am letzten Leitungselement ausgegeben. Da nur eine Leistung oder der Strom (Eingang oder Ausgang) ausgegeben werden kann, wird die eingespeiste Leistung am ersten ALC-Leitungselement ausgegeben. Die entnommene Leistung wird am letzten ALC-Leitungselement ausgegeben.

Alle berechneten Werte werden in die verknüpften Variablen geschrieben. Bestehende Werte einer vorangegangenen Berechnung werden mit dem aktuellsten Berechnungsergebnis überschrieben oder auf den Wert 0 gesetzt, wenn das Element nicht mehr unter Last steht.


Parallele Leitungen

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Parallele Leitungen

Zwischen zwei Sammelschienen sind parallele Verbindungspfade nur dann erlaubt, wenn diese seriell miteinander verbunden sind. Achtung: Eine Vermaschung zwischen zwei Leitungspfaden wird nicht unterstützt.

  • Eine Leitung kann eine Impedanz (Widerstand aus Resistanz und Reaktanz) haben.
  • Die Admittanz ist die Inverse dieses komplexen Widerstands (Impedanz).
  • Die Impedanz eines Leitungspfads ist die Summe der Impedanzen der einzelnen Leitungsteile.
  • Durch jeden Leitungspfad fließt Strom, entsprechend der Differenz der Spannung, mulitipliziert mit der Admittanz des Pfades.
  • Die eingespeiste Leistung pro Pfad errechnet sich aus der Ausgangsspannung, multipliziert mit Strom.
  • Die Verlustleistung auf dem Leitungspfad wird proportional auf die Leitungen verteilt.


Transformatoren

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Transformatoren

Ein Transformator bildet eine Verbindung zwischen zwei Sammelschienen, gleich wie eine Leitung. Eine Leitung mit Impedanz darf direkt an einem Transformator angeschlossen sein.

Ein Transformator berechnet seine Admittanz aus Verlustleistung, Nennspannung und Nennleistung. Die Admittanz wird gleich wie die Impedanz einer Leitung verwendet. Die lastunabhängigen Magnetisierungsverluste werden bei Transformatoren als Shunt behandelt. Stufenschaltung und Phasenverschiebung werden als ein komplexer Faktor beim Erstellen der Admittanz-Matrix berücksichtigt. Sind zwischen zwei Sammelschienen mehrere Transformatoren parallel geschaltet, müssen die Ein- und Ausgänge (Primär- und Sekundärseite) an der gleichen Schiene sein. Parallel geschaltene Transformatoren müssen die gleiche Leistung haben.

Hinweis: Dabei sollten auch Stufenschaltung und Phasenverschiebung korellieren.

Jeder Dreiwicklungs–Primärtransformator hat sekundärseitig eine Sammelschiene, an der sternförmig wieder zwei Transformatoren mit ihrer Primärseite angeschlossen sein müssen. Diese drei Transformatoren erzeugen gemeinsam (vom Dreieck zum Stern) die Einträge in der Admittanz-Matrix.

Der Dreiwicklungs-Transformator verwendet die Stufenschaltung nur vom Primärtransformator (und ignoriert sie bei den Sekundärtransformatoren). Die Phasenverschiebung wird nur von den Sekundärtransformatoren ausgewertet. Die Verluste entsprechen dem Datenblatt des Transformators oder folgender Berechnung: Nennleistung mal der Kurzschluss-Spannung [%] / 100.

Bei Sekundärtransformatoren werden Verlustleistungen in Bezug auf die Primärwicklung angegeben. Die Verluste zwischen der Sekundär- und der Tertiär-Wicklung werden bei der Berechnung für das Dreieck beim Primär-Transformator berücksichtigt.

Magnetisierungsverluste werden nur von der Primärwicklung berücksichtigt.

Für eine korrekte Berechnung ist wichtig, dass alle Transformatoren eines Dreiwicklungstransformators die gleiche Leistung haben.

... die gleiche Nennleistung ... (im Realen ist die Leistung auf Sekundär bzw. Tertiärseite durch Verluste immer geringer als auf Primärseite Eingang!!! Verwendung von 40 MW Primär und 100 MW Sekundär bzw. Tertiär wär aber möglich)

Für Dreiphasensysteme gilt allgemein: Scheinleistung MVA = v(MW^2 + MVar^2) = v3 * kV * A / 1000

Bei den Transformatoren wird auch die Rückspeisung (Lastfluss von Sekundär- oder Tertiär- zu anderen Wicklungen) berücksichtigt.


Kondensatoren

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Berechnung > Kondensatoren

Für die Berechnung bei Kondensatoren gilt:

  • Beim Aufbau des Modells wird ein Kondensator gleich wie eine Last behandelt: er wird an eine Sammelschiene – alleine oder mit anderen Lasten oder Quellen – angeschlossen.
  • Die Schrittweite ist die Nennleistung: aus Verschaltung und Position ergibt sich der Multiplikator und als Produkt die aktuelle Leistung.
  • Die Lastflussberechnung ermittelt die äquivalente Admittanz aus Nennleistung, Multiplikator und Nennspannung. Aus der Admittanz ergibt sich die tatsächliche Spannung sowie die eingespeiste reaktive Leistung.


Warnmeldungen und LOG-Einträge

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > Lastflussberechnung > Warnmeldungen und LOG-Einträge

Projektierung

Die folgenden Warnmeldungen werden beim Kompilieren im Ausgabefenster des zenon Editors angezeigt.

Warnmeldung | Beschreibung
ALC: Bild 'bild01' - Der Transformator 'trafo01' ist als Dreiwicklungstransformator definiert, wurde aber falsch projektiert. | Projektierungsfehler für einen Dreiwicklungsgenerator. Am Ausgang müssen genau zwei weitere Transformatoren (die nicht selbst wieder 3-Wicklungs Primärtrafo sind) verbunden sein Weitere Informationen dazu finden Sie im Kapitel "Dreiwicklungs-Transformator".
ALC: Im Projekt sind keine Spannungen für die Quellen definiert. | Projektierungsfehler aufgrund von fehlenden Spannungsebenen der benutzerdefinierten Quellen bei der ALC-Quellenkonfiguration. In der aktuellen Projektierung der ALC Konfiguration ist keine Quelle mit einer Spannung konfiguriert. Die Konsistenzprüfung wird abgebrochen.
ALC: Die folgenden Quellen mit unterschiedlichen Spannungen liegen im gleichen Netzsegment: %s | Projektierungsfehler aufgrund von unterschiedlichen Spannungsebenen in ALC-Bildern. Die aktuelle Projektierung der ALC Konfiguration enthält mehrere Quellen mit unterschiedlichen Spannungsebenen im selben Netzsegment.
ALC: Mindestens eine Quelle muss die Spannung des Gebiets definieren: %s | Projektierungsfehler bei fehlenden Spannungsebenen bei der ALC-Quellenkonfiguration. Die aktuelle Projektierung der ALC Konfiguration enthält mehrere zusammenhängende Quellen, aber keine dieser Quellen hat eine Spannung konfiguriert.
ALC: Elemente ohne Anschluss an eine Quelle: %s | Projektierungsfehler bei fehlerhafter Positionierung eines ALC-Elementes auf einem zenon Bild. Die aktuelle Projektierung enthält mindestens ein Element, das von keiner Spannungsquelle versorgt wird.

Berechnung

Die folgenden Warn- und Fehlermeldungen werden in der LOG-Datei protokolliert und können mit dem Diagnosis Viewer ausgewertet werden.

Warnmeldung

Level

Beschreibung

Power Flow Bus voltage missing or different at[source var: gen138kV] [transformer var: trans30/110kV]

Warning

An einer Sammelschiene ist keine oder keine eindeutige Spannung auf den verwendeten Quellen definiert. Als Identifikation dient die verknüpfte Variable.

Power Flow Bus voltage missing

Warning

Eine Sammelschiene hat keine eigene Quelle und ist mit keiner Sammelschiene verbunden, die eine eindeutig definierte Spannung hat.

Cannot calculate load flow due to invalid switch positions or measured values

Error

Die Lastflussberechnung kann nicht durchgeführt werden. Mögliche Ursachen:

  • fehlender oder ungültiger Messwert
  • undefinierter Zustand eines Schalters (nicht ein oder aus)

Calculation of load flow did not converge to a result.

Error

Die Lastflussberechnung konnte kein schlüssiges Ergebnis errechnen.

zenon Editor Warnmeldungen

Beispielhafte Darstellung von Fehlprojektierungen für ALC-Elemente:

  • ALC: Die folgenden Quellen mit unterschiedlichen Spannungen liegen im gleichen Netzsegment:

  • ALC: Mindestens eine Quelle muss die Spannung des Gebiets definieren:

  • ALC: Elemente ohne Anschluss an eine Quelle:


State Estimator

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > State Estimator

Das Modul State Estimator ist ein zusätzliches Modul zum Modul Lastflussberechnung.

Sind an den Knoten im topologischen Netz nicht alle für eine Lastflussberechnung notwendigen zu- oder abfließenden Leistungen bekannt, kann der State Estimator diese aus weiteren Messwerten im Netz rekonstruieren.

Elektrotechnische Parameter (Leistungen) werden vom State Estimator geschätzt. Dazu verwendet der State Estimator die Werte von Messpunkten auf Leitungen.

  • Die Messwerte werden bei den Eigenschaften der funktionalen ALC-Elemente projektiert. Zu diesen Elementen zählen das Combi-Element sowie alle Leitungen. In diesen Eigenschaften werden Variablen verknüpft, die Messwerte für die Berechnung des State Estimator darstellen.
  • Diese Messwerte sind Basis für die Berechnung des Leistungsflusses im topologischen Netz.
  • Das Ergebnis des State Estimator wird auf dieselben Variablen geschrieben, wie das Resultat einer Lastflussberechnung. Dieses Ergebnis wird ebenfalls für eine topologische Verriegelungsüberprüfung sowie die (n-1)-Berechnung verwendet.

Ausgehend von einer gegebenen Jakobi-Matrix des Moduls Lastflussberechnung werden die Spannungen und Phasendifferenzen der einzelnen Sammelschienen berechnet.

Der State Estimator ermittelt angenäherte Werte für Spannung und Phasen. Diese berechneten Werte werden mit den Messwerten verglichen. Die Berechnung wird dabei rekursiv so lange wiederholt, bis die für den State Estimator geforderte Genauigkeit erreicht ist. Diese Genauigkeit beträgt 0,0001.

Noch in diesem Kapitel

Projektierung im Editor


Projektierung im Editor

Handbuch > Energy Edition > Automatic Line Coloring (ALC) - Topologie > State Estimator > Projektierung im Editor

Projektierungsschritte für das Modul State Estimator.

  1. Aktivieren Sie den State Estimator.
    1. Navigieren Sie in den Projekteigenschaften in die Eigenschaftengruppe Automatic Line Coloring.
    2. Wählen Sie in der Eigenschaft Lastflussberechnung aktivieren aus dem Dropdownmenü den Eintrag Lastfluss mit State Estimator.
  2. Parametrieren Sie ALC-Bildelemente, welche Leitungen im topologischen Netz darstellen.

info Info

Das Modul State Estimator baut auf der Projektierung für das Modul Lasstflussberechnung auf.


Schaltfolgen

Handbuch > Energy Edition > Schaltfolgen

Das Modul Schaltfolgen ermöglicht Befehle des Moduls Befehlsgabe in der zenon Runtime zu Abläufen zusammenzustellen, diese zu visualisieren und im Bedarfsfall Benutzerinteraktionen auszuführen.

Das Modul Schaltfolgen besteht aus zwei Teilen:

  1. Die Projektierumgebung im zenon Editor:
    Hier werden automatisch die Daten für Schaltfolgen aus der Projektierung im Modul Befehlsgabe übernommen.
  2. Schaltfolgen-Editor in der zenon Runtime:
    Mit diesem Editor werden in der zenon Runtime die Schaltfolgen erstellt. Basis für die Schaltfolgen ist die projektierte Befehlsgabe. Während des Ablaufs wird im Schaltfolgen-Editor der jeweilige Zustand der Befehlsgabe dargestellt und Sie können in die Schaltfolge eingreifen.

Eine ausführliche Beschreibung des Moduls finden Sie im Handbuch Schaltfolgen.


Befehlsgabe

Handbuch > Energy Edition > Befehlsgabe

Die Befehlsgabe dient vor allem zum gesicherten Schalten von Variablen in der Energietechnik. "Gesichert" bedeutet, dass überprüft wird ob die Schalthandlung - aufgrund der projektierten Verriegelungsbedingung und der dynamisch aktualisierten Topologie (aktueller physikalischer Zustand des topologischen Netzwerks) - erlaubt ist. Die Projektierung der Topologie und der Topologischen Verriegelungen erfolgt im Modul ALC (Automatic Line Coloring).

Hinweis: Eine Schritt-für-Schritt-Anleitung für die Erstellung einer Projektierung einer einfachen Befehlsgabe finden Sie im Abschnitt Projektieren im Editor.

Befehlsgruppen beinhalten immer einen Satz an definierten Aktionen, welche im Regelfall auf einen spezifischen Datenpunkt (ein spezifisches Gerät) angepasst sind. So können zum Beispiel unterschiedliche Befehlsgruppen für verschiedene topologische Elemente (Schalter/Trenner etc.) individuell und zentral definiert werden.

Ein Datenpunkt für die Befehlsgabe besteht im Regelfall immer aus 2 physikalischen Variablen:

  • Rückmeldevariable:
    Die Rückmeldevariable wird zentral für die gesamte Befehlsgruppe definiert. Sie repräsentiert den Zustand des topologischen Elements, z.B. ob der Schalter offen oder geschlossen ist.
  • Befehlsvariable:
    Jeder Aktion innerhalb einer Befehlsgruppe wird eine definierte Befehlsvariable zugewiesen. Über diese Variable schreibt der Treiber die Befehle an die Steuerung.

Abhängig von der auszuführenden Aktion, werden diese Befehle auf einer der beiden Variablen ausgeführt.

Example Beispiel

Schaltbefehl Ein
Setzt das Kommando oder den neuen Wert auf die Befehlsvariable ab. Anhand der Rückmeldevariable erfolgt eine Überprüfung über den Erfolg der angestoßenen Aktion.

Statusvorgabe Aus
Setzt die in der Aktion konfigurierten Statusbits der Rückmeldevariable zurück. Die Befehlsvariable ist für diese Aktion nicht von Bedeutung.
Hinweis: Aktionsvariable ist gleich Name der Rückmeldung).

Hinweis: Eine Beschreibung der Befehlsgabeaktionen finden Sie im Abschnitt Aktionstypen.

Namensersetzung

Um die Definition der Variablen zu vereinfachen oder zu verallgemeinern können die Variablenbezüge (für Befehls-, Rückmelde- und Bedingungsvariablen) in der Befehlsgabe über eine Namensersetzung definiert werden. Dabei können Wildcards '*' verwendet werden. Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Durch diese flexible Definition können allgemein gültige Prozeduren definiert werden, die dann für mehrere Datenpunkte gelten. Damit wird auch die Zahl der zu definierenden Befehlsgruppen deutlich reduziert.

Example Beispiel
  • Definition der Befehlsvariablen - Eigenschaft Aktionsvariable = *_CO
  • Definition der Rückmeldevariablen - Name der Rückmeldung = *_RV

Die Befehlsgabe ergänzt zur Runtime automatisch den Namen der Befehlsvariable um den Namen der Rückmeldevariable, die im Prozessbild angezeigt/angewählt wird. Beide Variablen unterscheiden sich im Namen nur durch deren Endung.

Dies gilt auch für Bedingungsvariablen: X01: *_ClsEna.

Auch weitere Variablen - die im Befehlsgabebild mit dynamischen Bildelementen verknüpft wurden - können zur Runtime ersetzt werden.

Weitere Details dazu finden Sie im Kapitel Substituierung zusätzlicher Variablen.

Ausführung

Im Regelfall werden die Einstufigen Bedienhandlungen über ein Kontextmenü eines Elementes in der Topologie (z.B eines Schalters) ausgeführt. Eine weiteres typisches Einsatzszenario ist das Öffnen eines Bildes vom Typ Befehlsgabe anstelle des Sollwert setzen Dialoges.

Die Zweistufige Bedienhandlungen werden über ein Kontextmenü oder dem Bildtyp Befehlsgabe ausgeführt.

Für diesen Bildtyp stehen spezifische Kontrollelemente zur Verfügung. Diese ermöglichen eine individuelle optische und funktionelle Gestaltung der Befehlsgabe. So können z. B. individuelle Aktionen direkt auf Aktionsbuttons gelegt werden. Danach sind diese Aktionen direkt für den Bediener anwählbar. Dieser Bildtyp beinhaltet zusätzlich alle nötigen Voraussetzungen um Funktionalitäten wie die Entriegelung, zweistufige Ausführung, Zweihandbedienung, Sperre, etc. zu realisieren.

Hinweis: Detailierte Informationen zum Ablauf im Bild vom Typ Befehlsgabe finden Sie im Kapitel Ablauf im Befehlsgabebild.

Der Aufruf eines solchen Bildes erfolgt am Bildelement der Rückmeldevariable über sein Kontextmenü oder anstatt des Sollwert setzen Dialoges. Der Aufruf kann auch über die Funktion Bildumschaltung erfolgen, die mit einem Button verknüpft wird.

Eine Aktion (Schalthandlung) kann zur Runtime:

  • Erlaubt sein:
    Wenn keine Verriegelungsbedingung ansteht.
  • Verboten sein:
    Wenn eine nicht entriegelbare Bedingung ansteht.
  • Nach Entriegelung erlaubt sein:
    Wenn eine entriegelbare Bedingung ansteht.

Dies ergibt sich aus den Befehlsgruppen und dem aktuellen Zustand des topologischen Modells ALC Konfiguration - Registerkarte Verriegelungen.

Hinweis: Zusätzliche Informationen zum Ablauf eines Befehls finden Sie im Kapitel Ausführung eines Befehls.

Im zenon Netzwerk erfolgt die Synchronisierung für Aktionen der Befehlsgabe, welche eine bestimmte Rückmeldevariable betreffen, über die Aktivierung des NET_SEL Statusbits. Damit wird die parallele Ausführung von verschiedenen Benutzern, auf gleiche Objekte (gleiche Variablen) ausgeschlossen. Parallele Ausführung auf unterschiedlichen Rückmeldevariablen wird unterstützt.

Noch in diesem Kapitel

Befehlsgabe

Befehlsgabe Detailansicht Symbolleiste und Kontextmenü

Projektieren im Editor

Bedienen zur Runtime


Befehlsgabe

Handbuch > Energy Edition > Befehlsgabe > Befehlsgabe

Menüpunkt | Aktion
Befehlsgruppe neu | Legt eine neue Befehlsgruppe an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Maßeinheiten aus einer XML-Dateien.
Editorprofil | Öffnet die Dropdownliste zur Auswahl eines Editorprofils.
Hilfe | Öffnet die Online-Hilfe.

info Info

Befehlsgruppen können exportiert, importiert und über die Zwischenablage kopiert und eingefügt werden. Gleiches gilt für Aktionen und deren Verriegelungsbedingungen, auch zwischen verschiedenen Befehlsgruppen.


Befehlsgabe Detailansicht Symbolleiste und Kontextmenü

Handbuch > Energy Edition > Befehlsgabe > Befehlsgabe Detailansicht Symbolleiste und Kontextmenü

Kontextmenü Befehlsgabe und Befehlsgruppe

Menüpunkt | Aktion
Befehlsgruppe neu | Erstellt eine neue Befehlsgruppe.
XML exportieren alle... | Exportiert alle Einträge in eine XML-Datei.
Ausgewählte XML exportieren... | Exportiert ausgewählte Einträge in XML-Datei.
XML importieren... | Importiert aus XML-Datei.
Kopieren | Kopiert ausgewählte Befehlsgruppe in die Zwischenablage.
Einfügen | Fügt Befehlsgruppe aus der Zwischenablage ein.
Löschen | Löscht - nach einer Sicherheitsabfrage - die ausgewählte Befehlsgruppe.
Umbenennen | Ermöglicht das Umbenennen einer Befehlsgruppe.
Eigenschaften | Öffnet das Eigenschaftenfenster für die ausgewählte Befehlsgruppe.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Gruppe Aktionen

Menüpunkt | Aktion
Befehl neu | Legt einen neuen Befehl an und öffnet die Eigenschaften.
Auto/Remote-Befehl neu | Legt einen neuen Auto/Remote-Befehl an und öffnet die Eigenschaften.
Zwangsbefehl neu | Legt einen neuen Zwangsbefehl an und öffnet die Eigenschaften.
Sollwertvorgabe neu | Legt eine neue Sollwertvorgabe an und öffnet die Eigenschaften.
Statusvorgabe neu | Legt eine neue Statusvorgabe an und öffnet die Eigenschaften.
Ersetzen neu | Legt eine neue Aktion Ersetzen an und öffnet die Eigenschaften.
Revision neu | Legt eine neue Revision an und öffnet die Eigenschaften.
Nachführen neu | Legt eine neue Aktion Nachführen an und öffnet die Eigenschaften.
Blockieren neu | Legt eine neue Aktion Blockieren an und öffnet die Eigenschaften.
Freigeben neu | Legt eine neue Freigabe an und öffnet die Eigenschaften.
Prüfe Rückmeldewert | Legt eine neue Aktion Prüfe Rückmeldung an und öffnet die Eigenschaften.
Sperre neu | Legt eine neue Sperre an und öffnet die Eigenschaften.
Einfügen | Fügt Aktion aus der Zwischenablage ein.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü einzelne Aktion

Menüpunkt | Aktion
Verriegelungsbedingungen neu | Legt eine neue Verriegelungsbedingung an. Hinweis: Ausgegraut bei Befehlsgabe-Aktionstyp Zwangsbefehl.
Kopieren | Kopiert ausgewählte Aktion in die Zwischenablage.
Einfügen | Fügt Aktion aus der Zwischenablage ein.
Löschen | Löscht nach einer Sicherheitsabfrage die ausgewählte Aktion.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Bedingung

Menüpunkt | Aktion
Verriegelungsbedingung entfernen | Löscht ausgewählte Bedingung.
Kopieren | Kopiert ausgewählte Bedingung.
Einfügen | Fügt Bedingung aus Zwischenablage ein.
Eigenschaften | Öffnet das Eigenschaftenfenster für das ausgewählte Element.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Gruppe Variablen

Menüpunkt | Aktion
Variable hinzufügen... | Öffnet Dialog zur Auswahl einer Variablen.
Einfügen | Fügt Variable aus der Zwischenablage ein.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü einzelne Variable

Menüpunkt | Aktion
Variable entfernen | Löscht nach einer Sicherheitsabfrage die ausgewählte Variable aus der Gruppe.
Kopieren | Kopiert ausgewählte Variable in die Zwischenablage.
Einfügen | Fügt Variable aus der Zwischenablage ein.
Eigenschaften | Öffnet das Eigenschaftenfenster für das ausgewählte Element.
Hilfe | Öffnet die Online-Hilfe.


Projektieren im Editor

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor

Das Modul Befehlsgabe ist ein umfangreiches Modul mit vielfältigen Möglichkeiten, das Verhalten in der Runtime zu erweitern und individuell anzupassen.

Beachten Sie für Ihre Projektierung im zenon Editor auch die Informationen in der Einführung für dieses Handbuch.

Beispiel einer ersten, einfachen Befehlsgabeprojektierung

  1. Legen Sie ein Bild vom Typ Befehlsgabe an.
    Fügen Sie für dieses Bild die Kontrollelemente aus einer Vorlage ein.

    Alternative Projektierung für Bedienung zur Runtime via Kontextmenü:
    Erstellen Sie ein Kontextmenü mit folgenden Parametern:

    • Aktionstyp Befehlsgabe
    • Text $ALL$
    • Menü ID ID_CDM_AUTO
  2. Erstellen Sie zwei Variablen.
    Es wird empfohlen diese Variablen mit einem Energy Treiber (z.B. IEC870) anzulegen.
    Achtung: Der Intern Treiber ist für Rückmeldevariablen nicht geeignet.
    • Befehlsvariable
      Variable um einen Befehl (öffne/schließe) zur Steuerung zu schreiben, z.B. IEC870 Variable T46;
    • Rückmeldevariable
      Variable, die den Zustand (Position: offen/geschlossen/gestört etc.) des relevantes Objektes in der selben Steuerung darstellt, z.B. T03.

    Bennen Sie diese Variablen.
    Sie können die Variablen so benennen, dass die beide Namen eine gemeinsame Bezeichnung am Anfang haben, z.B. switch_Q0_CO und switch_Q0_RV. Dies ermöglicht eine Befehlsgruppe für mehrere Variablenpaare zu nutzen.

  3. Legen Sie eine Befehlsgruppe an.
    Projektieren Sie folgende Eigenschaften der Befehlsgruppe:
    • Variablenname der Rückmeldung:
      Mit Namenersetzung: *_RV
      Ohne Namenersetzung: Name der Rückmeldevariable aus Schritt 2
    • Bild
      Verlinkung mit Bild vom Typ Befehlsgabe aus Schritt 1
  4. Legen Sie Aktionen in der Befehlsgruppe an.
    1. Projektieren Sie eine Aktion vom Aktionstyp Schaltbefehl mit folgenden Parametern:
    • Aktionsvariable
      Mit Namenersetzung: *_CO
      Ohne Namenersetzung: Name der Befehlsvariable aus Schritt 2.
    • Rückmeldezustand/Schaltrichtung: EIN
    • Befehl: 1
    • Aktionsbutton Aktion 1/Button: Ein
      für Ausführung ohne Kontextmenü und ohne Zweistufig
    1. Projektieren Sie eine zweite Aktion mit folgenden abweichenden Parametern:
    • Rückmeldezustand/Schaltrichtung: AUS
    • Befehl: 0
    • Aktionsbutton: Aktion 2/Button: Aus

    Tipp: Kopieren Sie die erste projektierte Aktion und ändern Sie die Parameter.

  5. Verlinken Sie die Variablen mit der Befehlsgruppe.
    Hinweis: Dies ist immer erforderlich, unabhängig davon, ob eine Namenersetzung projektiert wurde oder nicht.
    1. Wählen Sie die beiden in Schritt 2 erstellten Variablen.
    2. Projektieren Sie in der Eigenschaftengruppe Sollwert setzen die Eigenschaft Befehlsgruppe.
      Wählen Sie dazu aus der Dropdownliste die mit Schritt 3 erstellte Befehlsgruppe.
  6. Projektieren Sie einen Auslöser für die erstellte Befehlsgabe:
    1. Legen Sie ein neues zenon Bild an. Der Typ des Bildes ist beliebig, jedoch nicht Befehlsgabe.
    2. Platzieren Sie auf diesem Bild ein dynamisches Bildelement.
    3. Verlinken Sie dieses Bildelement mit der Rückmeldevariable.
    4. Wählen Sie in der Dropdownliste der Eigenschaft Sollwert setzen über den Eintrag Befehlsgabe.
      Sie finden diese Eigenschaft in der Eigenschaftengruppe Sollwert setzen des Bildelements.

      Alternative Projektierung für Bedienung zur Runtime via Kontextmenü:
      Wählen Sie in der Dropdownliste der Eigenschaft Kontextmenü den Namen des in Schritt 1 erstellten Kontextmenüs.
      Sie finden diese Eigenschaft in der Eigenschaftengruppe Runtime des Bildelements.

Der Benutzer kann nun das so projektierte Bildelement in der Runtime klicken (Rechtsklick für Kontextmenü) um die Aktionen der Befehlsgabe anzustoßen.

info Info

Verwenden Sie auch für Tests nach Möglichkeit einen Treiber der im vollen Umfang die Auswertung des COT (Cause of Transmission - Übertragungsursache) unterstützt, z.B. den IEC 60870-5-101_104 Treiber. Bei COT Auswertung handelt es sich um eine erweiterte Funktionalität zur Kommunikationsüberwachung während eines Befehls über Einstellung Laufzeitüberwachung. Die Stausbits COTx der Befehlsvariable können zusätzlich in den Reaktionsmatrixen Multi-Numerisch und Multi-Binär ausgewertet werden.

Noch in diesem Kapitel

Bild vom Typ Befehlsgabe anlegen

Variablen der Befehlsgruppe

Befehlsgabe projektieren

Menü erzeugen

Runtime Dateien erzeugen


Bild vom Typ Befehlsgabe anlegen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Bild vom Typ Befehlsgabe anlegen

Ein Bild vom Typ Befehlsgabe ermöglicht zur Runtime die Steuerung und Übersicht der Befehlsgabe. Die Befehlsgabe kann in der Runtime über Buttons gesteuert werden.

Das Anlegen des Befehlsgabe-Bildes im Editor erfolgt durch Projektierung eines neuen Bildes vom Typ Befehlsgabe. Nähere Informationen zu den vordefinierten Bildtypen finden Sie im Handbuch Bilder/Vordefinierte Bildtypen.

Das Bild Befehlsgabe wird für die Benutzerinteraktion mittels Befehlsgabe während der Runtime verwendet (ein- und zweistufige Befehlsgabe). Es ermöglicht dem Bediener, die zur Befehlsausführung notwendigen Aktivitäten durchzuführen. Dies kann z B. das Entriegeln einer anstehenden Aktion oder die Bestätigung der Ausführung bei einer zweistufigen Befehlsgabe sein.

info Info

Bei der Verwendung der einstufigen Befehlsgabe, kann auch ein Kontextmenü verwendet werden. Der Bildtyp Befehlsgabe wird dann nicht im Projekt benötigt.

Bei diesem Bildtyp stehen spezifische Kontrollelemente zur Verfügung, welche die für die Befehlsgabe notwendige Bedienhandlungen ermöglichen und aktuelle Informationen über den Zustand der auszuführenden Aktion visualisieren (z.B. Anzeige der Schaltrichtung).

Nach dem Anlegen des neuen Bildes wird es leer geöffnet. Die Standard-Kontrollelemente erstellen Sie über das Menü Kontrollelemente/Vorlage einfügen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Befehlsgabe.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Vorlagen

Vorlage - Standard

Vorlage - Komplett

Substituierung zusätzlicher Variablen im Bild


Vorlagen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Bild vom Typ Befehlsgabe anlegen > Vorlagen

Für Bilder vom Typ Befehlsgabe stehen Ihnen mehrere vordefinierte Vorlagen zur Verfügung.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Vorlage

Beschreibung

Listenfeld Vorlagen (links)

Zeigt alle vordefinierten und benutzerdefinierten Vorlagen an.

Vorschau und Beschreibung (rechts)

Zeigt Vorschau und Beschreibung der gewählten Vorlage an.

Standard

Kompakte Darstellung der Befehlsgabe mit Visualisierung von:

  • Aktionen
  • Verriegelungen
  • Buttons zum Selektieren und Ausführen

Energy

Vorlage

Beschreibung

Hochformat

Darstellung der Befehlsgabe im Hochformat, optimiert für die Platzierung neben einem Übersichtsbild:

  • Aktionen
  • Verriegelungen
  • Buttons zum Selektieren und Ausführen
  • Sperren

Hochformat ohne Sperre

Vereinfachte Darstellung der Befehlsgabe im Hochformat:

  • Aktionen
  • Verriegelungen
  • Buttons zum Selektieren und Ausführen

Komplett

Erweiterte Darstellung der Befehlsgabe mit Visualisierung von:

  • Rückmeldevariablen
  • Aktionsvariablen
  • Sperren
  • Aktionen
  • Verriegelungen
  • Buttons zum Selektieren und Ausführen

Komplett mit Verriegelungsliste

Erweiterte Darstellung der Befehlsgabe inklusive Liste aller Verriegelungen:

  • Rückmeldevariablen
  • Aktionsvariablen
  • Verriegelungen (Liste)
  • Aktionen
  • Buttons zum Selektieren und Ausführen

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Komplett ohne Sperre

Erweiterte Darstellung der Befehlsgabe. Bei den Verriegelungen wird nur die aktuell anstehende Verriegelung visualisiert:

  • Rückmeldevariablen
  • Aktionsvariablen
  • Aktionen
  • Verriegelungen (Text)
  • Buttons zum Selektieren und Ausführen

Minimal

Enthält nur Visualisierung der Buttons zum Selektieren und Ausführen.

Dialog beenden

Parameter | Beschreibung
Bestehende Bildelemente löschen | Verhalten bei Übernahme der Vorlage für die Projektierung im Editor. Aktiv: Bereits bestehende Elemente im Bild werden bei Übernahme der Vorlage gelöscht. Default: nicht aktiv.
Übernehmen | Übernimmt die Elemente der gewählten Vorlage in das Bild ein und schließt den Dialog.
Abbrechen | Schließt den Dialog, ohne Elemente einzufügen.
Hilfe | Öffnet die Online-Hilfe.


Vorlage - Standard

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Bild vom Typ Befehlsgabe anlegen > Vorlage - Standard

Die Vorlage Standard beinhaltet nur die wichtigste Kontrollelemente für Aktionen von Typ Befehl. Sie eignet sich für die Aktionen die über ein Kontextmenü oder aus einer Schaltfolge ausgeführt werden.

Aktion / Befehl

Kontrollelement

Beschreibung

Aktive Aktion/Befehl

Zeigt die anstehende Aktion der Befehlsgruppe an.

Schaltrichtung

Die bei der aktiven Aktion projektierte Schaltrichtung. Die Texte sind bei der Einstellung „Schaltrichtung“ dokumentiert.

Je nach aktiver Aktion wird folgender Text angezeigt:

  • Befehl, Revision, Nachführen, Ersetzen: Text aus Grenzwert je nach Schaltrichtung.
  • Status: Ein oder Aus
  • Sonstige: leer

Verriegelungen

Kontrollelement | Beschreibung
Anstehende Verrieglung | Verriegelungstext der anstehenden Verriegelung.
Entriegeln | Bei anstehender, entriegelbarer Verriegelung kann mit dieser Schaltfläche diese entriegelt werden. Hinweis: Dieses Control wird nur angezeigt wenn das Bild sich im Schritt „Entriegeln“ befindet. Das Control ist gesperrt wenn die anstehende Verriegelung nicht entriegelbar ist.

Selektieren/Ausführen

Kontrollelement

Beschreibung

Ein

Befehlstaste für Schaltbefehl, z.B. zum Schließen eines Schalters.

Aus

Befehlstaste für Schaltbefehl, z.B. zum Öffnen eines Schalters.

Bestätigen

Bestätigt für anstehende, zweistufige Aktion.
Erst nach Klick auf diesen Button wird z.B. ein zweistufiger Schaltbefehl ausgeführt.

Abbrechen
  • Schließt Befehlsgabebild. Anstehende Aktion wird nicht ausgeführt.
  • Abbruch für anstehende, zweistufige Aktion (Cancel anstatt Execute).
  • Abbruch einer Aktionsausführung (je nach Projektierung, z.B.: Abbruch Operate wenn noch nicht terminiert wurde).

Der Button ist ausgegraut, wenn das Bild im Schritt „Stufe 1“ ist.

Noch in diesem Kapitel

Kontrollelemente - Gesamtübersicht


Kontrollelemente - Gesamtübersicht

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Bild vom Typ Befehlsgabe anlegen > Vorlage - Standard > Kontrollelemente - Gesamtübersicht

In der Menüleiste Kontrollelemente stehen im zenon für das Bild vom Typ Befehlsgabe folgende Elemente zur Verfügung:

Bezeichner

Kontrolltyp

Default

Aktionsbuttons

Text

Buttons, denen eine Aktion zugeordnet werden kann. Durch Anklicken im Bild wird die zugeordnete Aktion aktiviert und das Bild wechselt in den Schritt „Entriegelung“

Der Button wird nicht angezeigt wenn:

  • Dem Button bei der aktuellen Befehlsgruppe keine Aktion zugeordnet ist.
  • Die Variable mit welchem das Bild aufgeschaltet wurde die Befehlsvariable ist und die dem Button zugeordnete Aktion nicht die Befehlsvariable als Aktionsvariable verwendet. Wenn dem Button jedoch die Aktion „Sperre“ zugeordnet ist, ist er sichtbar.

Der Button wird gesperrt angezeigt wenn:

  • Das Bild sich nicht im Schritt „Stufe 1“ befindet.
  • Die Rückmeldevariable eines der Statusbit I_KENNUNG(18), AUS(20) oder NICHT_AKTUELL(29) gesetzt hat und die zugeordnete Aktion auf die Befehlsvariable schreibt.
  • Die Rückmeldevariable den Status REVISION(9) aktiv hat und die zugeordnete Aktion auf die Befehlsvariable schreibt.
  • Die Rückmeldevariable den Status REVISION(9) aktiv hat und die zugeordnete Aktion „Nachführen“ ist.
  • Die zugeordnete Aktion „Freigeben“ ist und die Rückmeldevariable nicht den Status Ersatzwert(27) aktiv hat
  • Die zugeordnete Aktion „Nachführen“ ist und der Wert der Rückmeldevariable der Schaltrichtung entspricht.
  • Die zugeordnete Aktion „Ersetzen“ ist und der Wert der Rückmeldevariable der Schaltrichtung entspricht.
  • Die Rückmeldevariable den Status REVISION(9) aktiv hat und die zugeordnete Aktion „Ersetzen“ ist.
  • Die zugeordnete Aktion „Revision“ ist und der Wert der Rückmeldevariable der Schaltrichtung entspricht.

Aktion1

Aktion2

RM TTA

Text

Name der Rückmeldevariable

X

RM Kennung

Text

Kennung der Rückmeldevariable

X

Aktionsvariable Einheit

Text

Einheit der aktuellen Aktionsvariable.

X

Aktionsvariable Status setzen

Liste

Definiert den zu setzenden Status für die Aktion „Statusvorgabe“ für die Schaltrichtung „Keine“. Die Status werden auf den aktuellen Zustand gesetzt und bei Änderung aktualisiert.

Ist gesperrt wenn die aktive Aktion nicht „Status setzen“ ist.

Schaltrichtung

Text

Die bei der aktiven Aktion projektierte Schaltrichtung. Die Texte sind bei der Einstellung „Schaltrichtung“ dokumentiert.

Je nach aktiver Aktion wird folgender Text angezeigt:

Befehl, Revision, Nachführen, Ersetzen: Text aus Grenzwert je nach Schaltrichtung.

Status: Ein oder Aus

Sonstige: leer

X

Ausführen Stufe 2

Button

Bringt die Aktion zur Ausführung.

Dieses Kontrollelement ist nur sichtbar wenn das Bild sich in Schritt „Stufe 2“ befindet.

Das Kontrollelement ist gesperrt wenn:

  • Zweihandbedienung projektiert wurde und die Steuerung-Taste nicht gedrückt ist.
  • Die Rückmeldevariable den Status REVISION(9) gesetzt hat und die aktive Aktion „Befehl“, „Sollwert“, „Ersetzen“ oder „Nachführen“ ist.
  • Der Button bereits angeklickt wurde.

X

Aktionsvariable Minimum

Numerisch

Minimalwert der Aktionsvariable.

Ist nicht sichtbar wenn die Aktionsvariable den Datentyp „String“ hat.

Aktionsvariable Maximum

Numerisch

Maximumwert der Aktionsvariable.

Ist nicht sichtbar wenn die Aktionsvariable den Datentyp „String“ hat.

Scrollbalken

Numerisch

Sollwertvorgabe mittels Scrollbalken. Setzt den Wert im Kontrollelement „Sollwert“ oder wird von diesem gesetzt.

Ist nicht sichtbar wenn die Aktionsvariable den Datentyp „String“ hat.

Das Kontrollelement ist gesperrt wenn:

- Keine Aktion aktiv ist.

- Das Bild nicht im Schritt „Stufe 1“ ist

Sollwert

Numerisch, Text

Ermöglicht die Eingabe des Sollwerts.

Durch Anklicken des Kontrollelements wird dieses in den Editiermode geschaltet und die Sollwerteingabe möglich. Mit Enter wird der Editiermode wieder verlassen.

Der neue Wert wird jedoch erst beim Anklicken des Kontrollelements „Ausführen“ gesetzt.

Für die Aktion „Sollwert“ wird mittels dieses Kontrollelements der zu setzende Wert vorgegeben

Das Kontrollelement ist gesperrt wenn:

- Die Rückmeldevariable den Status REVISION(9) gesetzt hat.

- Keine Aktion aktiv ist.

- Das Bild nicht im Schritt „Stufe 1“ ist

RM Wert

Text

Wert der Rückmeldevariable

X

RM Status

Text

Enthält den Status der Rückmeldevariable in der Kurzformbenennung.

X

RM Einheit

Text

Einheit der Rückmeldevariable

X

Verriegelungstext

Text

Text der anstehenden Verriegelung.

Text ist Online sprachübersetzbar

X

Entriegeln

Bei anstehender, entriegelbarer Verriegelung kann mit dieser Schaltfläche diese entriegelt werden.

Hinweis: Dieses Kontrollelement wird nur angezeigt wenn das Bild sich im Schritt „Entriegeln“ befindet.

Das Kontrollelement ist gesperrt wenn die anstehende Verriegelung nicht entriegelbar ist.

X

Beenden

Button

Schließt das Bild ohne Aktionsausführung.

Der Button ist nur in einem modalen Bild sichtbar.

Für modale Bilder ist dieser Button wichtig um das Bild im Fehlerfalle wieder verlassen zu können!

Abbrechen

Button

Bricht den Ablauf der Befehlsgabe ab und kehrt in den Schritt „Stufe 1“ zurück.

Der Button ist gesperrt wenn das Bild im Schritt „Stufe 1“ ist.

X

Sperrliste

Liste

Enthält die bei der Rückmeldevariable aktivierten Sperren.

Ist gesperrt wenn die Befehlsgruppe keine Aktion „Sperre“ projektiert hat.

Text ist Online sprachübersetzbar

Benutzerkennung

Eingabefeld

Nimmt die Benutzerkennung für die Sperre auf.

Ist gesperrt wenn die Befehlsgruppe keine Aktion „Sperre“ projektiert hat.

Sperrcode

Eingabefeld

Für die Eingabe des benutzerspezifischen Sperrcode.

Ist gesperrt wenn die Befehlsgruppe keine Aktion „Sperre“ projektiert hat.

Sperre ausführen

Button

Aktiviert eine Sperre. Der Benutzer, der die Sperre aktiviert wird im Kontrollelement „Benutzerkennung“ angezeigt.

Ist gesperrt wenn die Befehlsgruppe keine Aktion „Sperre“ projektiert hat.

Diese Bedienhandlung wird, wenn durch die Projektierung nicht unterdrückt, in der CEL protokolliert.

Entsperren

Button

Entfernt die Sperre durch den bei Benutzerkennung angegeben Benutzer.

Ist gesperrt wenn die Befehlsgruppe keine Aktion „Sperre“ projektiert hat.

Diese Bedienhandlung wird, wenn durch die Projektierung nicht unterdrückt, in der CEL protokolliert.

Ausführen

Button

Wert von Kontrollelement „Sollwert“ oder „Status setzen“ übernehmen.

Dieses Kontrollelement ist nur sichtbar wenn das Bild sich im Schritt „Stufe 1“ befindet.

Das Kontrollelement ist zusätzlich zu der generellen Sperre gesperrt wenn:

  • Die aktive Aktion nicht „Status setzen“, „Sollwert“ oder „Nachführen Sollwert“ ist
  • Der Wert im Kontrollelement „Sollwert“ für die Aktionsvariable nicht gültig ist.

Bemerkung

Eingabefeld

Bemerkung zur Sperre.

Aktionsvariable Status

Text

Status der aktiven Aktionsvariable in Kurzformbenennung.

X

Aktionsvariable Name

Text

Name der aktiven Aktionsvariable.

X

Aktionsvariable Kennung

Text

Kennung der aktiven Aktionsvariable.

X

Aktionsvariable Wert

Text

Wert der aktiven Aktionsvariable.

X

Aktive Aktion

Text

Bezeichnung der aktiven Aktion.

X


Vorlage - Komplett

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Bild vom Typ Befehlsgabe anlegen > Vorlage - Komplett

Die Vorlage Komplett beinhaltet alle Kontrollelemente für die Aktionen von Typ Befehl und Sperre.

Parameter

Beschreibung

Rückmeldevariable

Name

Name der Rückmeldevariable

Kennung

Kennung der Rückmeldevariable

Status

Enthält die Kurzbezeichnungen der Statusbits für die Rückmeldevariable.

Wert

Aktueller Wert der Rückmeldevariable

Maßeinheit

Maßeinheit der Rückmeldevariable

Aktionsvariable

Name

Name der Aktionsvariable

Kennung

Kennung der Aktionsvariable

Status

Enthält die Kurzbezeichnungen der Statusbits für die Aktionsvariable.

Beispiel:

  • Bits für COT
  • Status SE_870 während Select
  • Status PN-Bit bei negativer Antwort von SPS

Hinweis: Für die Aktion „Statusvorgabe“ beinhaltet die Statusbits der Rückmeldevariable.

Wert

Aktueller Wert der Aktionsvariable oder Eingabefeld für Befehlsgabe-Aktion Sollwertvorgabe.

Hinweis: Dieser Wert ändert sich während des Ablauf der Aktion von einem bestehendem zum aktuellen Wert. Erst mit COT=7 (COT_actcon) oder WR-SUC wird die Anzeige des Wertes aktualisiert.

  • Bei projektierter Sollwertvorgabe gilt:
    Für die Aktion „Sollwert“ wird mittels dieses Kontrollelements der zu setzende Wert vorgegeben. Durch Anklicken des Kontrollelements wird dieses in den Editiermode geschaltet und die Sollwerteingabe möglich. Mit Enter wird der Editiermode wieder verlassen.
    Der neue Wert wird jedoch erst beim Anklicken des Kontrollelements „Ausführen“ gesetzt.
    Das Kontrollelement ist gesperrt wenn:
    - Die Rückmeldevariable den Status REVISION(9) gesetzt hat.
    - Keine Aktion aktiv ist.
    - Das Bild nicht im Schritt „Stufe 1“ ist

Maßeinheit

Maßeinheit der Aktionsvariable

Sperre

Kontrollelemente der Gruppe Sperre sind gesperrt wenn in der Befehlsgruppe keine Aktion „Sperre“ projektiert ist.

Benutzer

Nimmt die Benutzerkennung für die Sperre auf.

Sperrcode

Für die Eingabe des benutzerspezifischen Sperrcode.

Bemerkung

Optionaler Text welcher bei der Sperre vom Benutzer eingegeben werden kann.

Sperren

Aktiviert eine Sperre durch den beim Kontrollelement „Benutzer“ eingegebenen Benutzer.

Hinweis: Diese Bedienhandlung wird, wenn durch die Projektierung nicht unterdrückt, in der CEL protokolliert.

Entsperren

Entfernt eine bereits aktivierte Sperre.

Dabei können nur Sperren deaktiviert werden, die der Benutzer selber aktiviert hat. Dadurch ist gewährleistet, dass nur eigene Sperren aufgehoben werden.

Der Benutzer wird im Kontrollelement "Benutzer" visualisiert.

Ist in der Befehlsgruppe keine Aktion Sperre projektiert, ist dieser Button ausgegraut.

Hinweis: Diese Bedienhandlung wird, wenn durch die Projektierung nicht unterdrückt, in der CEL protokolliert.

Sperrliste

Liste der aktiven Sperren:

  • Benutzer
    Name des Benutzers, welcher die Sperre aktiviert hat.
  • Sperrzeit
    Zeitstempel der Verriegelung
  • Bemerkung
    Text für die Verriegelung.

Aktion / Befehl

Aktive Aktion / Befehl

Art der aktiven Befehlsgabeaktion wie z. B. Doppelbefehl.

Schaltrichtung

Die bei der aktiven Aktion projektierte Schaltrichtung. Die Texte sind bei der Einstellung „Schaltrichtung“ dokumentiert.

Je nach aktiver Aktion wird folgender Text angezeigt:

Befehl, Revision, Nachführen, Ersetzen: Text aus Grenzwert je nach Schaltrichtung.

Status: Ein oder Aus

Sonstige: leer

Verriegelungen

Anstehende Verriegelung

Die anstehende Verriegelung laut Projektierung oder Texte aus ALC - Topologischen Verriegelung.

Entriegeln

Diese Schaltfläche entriegelt eine anstehende, entriegelbarer Verriegelung.

Hinweis: Dieses Kontrollelement wird nur dann angezeigt, wenn das Bild sich im Schritt „Entriegeln“ befindet.

Das Kontrollelement ist gesperrt, wenn die anstehende Verriegelung nicht entriegelbar ist.

Selektieren / Ausführen

Ein

Befehlstaste der ersten Stufe, z.B. zum Schließen eines Schalters.

Hinweis: Nur sichtbar in Stufe 1.

Aus

Befehlstaste der ersten Stufe, z.B. zum Öffnen eines Schalters.

Hinweis: Nur sichtbar in Stufe 1.

Bestätigen

Befehlstaste der zweiten Stufe.

Hinweis: Nur sichtbar in Stufe 2.

Abbrechen

Befehlstaste der zweiten Stufe.
Bricht den Ablauf der Befehlsgabe ab und kehrt in den Schritt „Stufe 1“ zurück.

Der Button ist ausgegraut, wenn das Bild im Schritt „Stufe 1“ ist.

Schließen

Schließt das Befehlsgabebild.


Substituierung zusätzlicher Variablen im Bild

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Bild vom Typ Befehlsgabe anlegen > Substituierung zusätzlicher Variablen im Bild

Für die Befehlsgabe können - zusätzlich zur Variablensubstituierung von zenon und Verwendung von Platzhaltern in Rückmelde- und Befehlsvariablen - noch weitere Substitutionsregeln pro Befehlsgruppe und Befehlsgabe-Aktion projektiert werden. So können Sie im Befehlsgabebild weitere dynamische Elemente platzieren, die mit zusätzlichen Variablen verknüpft sind, deren Namen dann in der Runtime auch automatisch substituiert werden. Die Substituierung wird entsprechend der Rückmelde- und Befehlsvariablen durchgeführt.

Bei der Projektierung im zenon Editor finden Sie pro Befehlsgruppe und Befehlsgabe-Aktion je eine Eigenschaft Ersetzung im Bild. Diese Eigenschaften sind in der Eigenschaftengruppen Befehlsgabebild.

Die Substituierung der zusätzlichen Variablen

Voraussetzung für die Nutzung der Substituierung sind:

  • Die Rückmelde- und Befehlsvariable wurden in der Befehlsgabe mit dem Platzhalter - Wildcard * (Stern) projektiert.
    Beispiel: *_RV, *_CO
    Rückmeldevariable: Variablenname der Rückmeldung
    Befehlsvariable: Aktionsvariable
  • In der jeweiligen Befehlsgruppe oder Befehlsgabe-Aktion ist in der Eigenschaft Bild ein Befehlsgabebild zugewiesen und die Eigenschaft Ersetzung im Bild dabei beinhaltet wenigstens ein Text.

Dann im Befehlsgabebild werden Variablen nach folgender Regel substituiert:

  • Im Variablenname, der im Befehlsgabebild dargestellt wird, wird der Text aus der Eigenschaft substituiert.
  • Er wird mit einem Text substituiert, welchen die Befehlsgabe im Namen einer Rückmeldevariable oder Aktionsvariable an Stelle des Platzhalters * gefunden hat.

    Beispiel:
    Im Editor, Variable verknüpft im Bild: xxx_BlkOpn
    Eigenschaft Ersetzung im Bild: xxx
    In der Runtime, in der Variablennamen, das xxx wird mit der aktuellen Inhalt von * substituiert.

Mehrere zu substituierende Texte werden mit einem Semikolon (;) getrennt projektiert. Bei der Aufschaltung des Bildes in der Runtime werden diese Phrasen von Links nach Rechts substituiert. Sobald ein Text für die Ersetzung angewendet wird, werden die nachfolgenden Phrasen ignoriert.

Hinweis: Substituierungen funktionieren nur, wenn alle zu ersetzenden Variablen/Funktionen beim Speichern des Bildes bereits vorhanden sind. Ist beim Aufschalten des Befehlsgabebildes in der Runtime kein Variablenname mit dem projektierten Text vorhanden, wird auch nichts substituiert.

Bildumschaltung und Befehlsgabe
Substitutionsregeln

Die Substituierung via Bildumschaltungs-Funktion ist mit der Substitution der Befehlsgabe kombinierbar. Für die Substituierung gelten folgende Regeln:

  • Wird das Bild mit einer Funktion Bildumschaltung aufgeschaltet, wird in der Runtime die in der Funktion projektierte Substituierung verwendet.
  • Wird das Bild durch das Modul Schaltfolgen oder via Menü aufgeschalten, bezieht die Runtime das Bild und die Susbstituierung von der Projektierung in der jeweiligen Befehlsgabeaktion. Ist in der Befehlsgabeaktion keine Substituierung projektiert, bezieht die Runtime das Bild und die Substituierung von der Befehlsgabegruppe. Ist auch in der Befehlsgabegruppe keine Substituierung projektiert findet keine Ersetzung statt.
  • Bei Klick auf ein dynamisches Element, dass Sollwertvorgabe neu projektiert hat, bezieht die Runtime das Bild und die Substituierung von der Befehlsgabeaktion Sollwertvorgabe.

info Info

Weitere Informationen zur Substituierung via Bildumschaltefunktion erhalten Sie im Kapitel Befehlsgabe im Handbuch Funktionen und Skripte.

Beispiel

Projektiert sind:

  • Name der Rückmeldevariable: abc_RV.
  • Projektierte Rückmeldevariable bei Befehlsgruppe: *_RV
  • Zusätzliche Variablen verknüpft im Bild: xyz_lock, xy_Switch

    Ergebnis - Szenario 1

  • Projektierte Ersetzung im Bild: xyz;xy
  • Vorhandene Variablen im Projekt: abc_lock und abc_Switch.
  • Ergebnis: Darstellung der Variablen in Bild: abc_lock und abc_Switch.

    Ergebnis - Szenario 2

  • Projektierte Ersetzung im Bild: xy;xyz
  • Vorhandene Variablen im Projekt: abcz_lock und abc_Switch.
  • Ergebnis: Darstellung der Variablen in Bild zu abcz_lock und abc_Switch.

    Ergebnis - Szenario 3

  • Projektierte Ersetzung im Bild: xy;xyz
  • Vorhandene Variablen im Projekt: abc_lock und abc_Switch.
  • Ergebnis: Darstellung der Variablen in Bild: abc_lock und abc_Switch.
    Da abcz_lock nicht vorhanden ist.


Variablen der Befehlsgruppe

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Variablen der Befehlsgruppe

Befehlsgruppen nutzen zum einen die Variablen der Schaltaktionen (die Rückmelde- und Befehlsvariable), zum anderen, optional, die Variablen der Befehlsbedingungen und die Variablen der Schalterfallerkennung.

Damit das Modul Befehlsgabe benutzt werden kann, müssen die jeweilige Rückmelde- und Befehlsvariablen einer Befehlsgruppe zugewiesen sein. Diese Zuordnung erfolgt im Knoten Variablen => bei der Variable => in der Eigenschaftengruppe Sollwert setzen => in der Dropdownliste der Eigenschaft Befehlsgruppe.

Achten Sie darauf, dass diese Zuordnung sowohl für Rückmeldevariablen wie auch für Befehlsvariablen projektiert wird.

Hinweis: Fehler in der Projektierung werden beim Kompilieren des Projektes im Ausgabefenster des zenon Editors aufgelistet. In der Runtime werden fehlerhafte oder unvollständig konfigurierte Befehlsgaben für die betroffene Variablen, nicht aufgerufen.

Für die Rückmelde- und Befehlsvariablen, kann der Sollwert nur über die Befehlsgabe gesetzt werden, nicht mehr direkt über dynamische Bildelemente. Für Bildelemente, über die der Benutzer die Befehlsgabe auslöst, muss bei der Projektierung für die Eigenschaft Sollwert setzen über der Wert Befehlsgabe gewählt werden oder ein Kontextmenu verknüpft sein. Verwenden Sie dafür vorzugsweise die Bildelemente, die mit Rückmeldevariable (nicht Befehlsvariable) verknüpft sind. Dies garantiert die Verfügbarkeit von allen Aktionen der Befehlsgruppe (vorausgesetzt der Benutzer ist berechtigt).

Hinweis: Das Bildelement kann auch verwendet werden, wenn die Rückmeldevariable "read-only" ist, z.B. aus einer IEC 60870 Steuerung. Ein Combi-Element mit dem Symbol eines Leitungsschalters kann die Befehlsgabe anstoßen, obwohl die Rückmeldevariable selbst nicht änderbar ist. Die Position des Schalters (offen/geschlossen) entspricht dem Wert der Rückmeldevariable.

Trotz der verknüpften Befehlsgabe können die Werte der Befehlsvariablen auch noch direkt beschrieben werden:

  • über RGM
  • über API
  • in zenon Logic bei aktivierter Eigenschaft Extern sichtbar.
    Hinweis: Sie finden diese Eigenschaft bei der Eigenschaftengruppe Externe Einstellungen der Variable.

Die Befehlsgabe wird dabei ignoriert.

info Info

Wenn eine Variable mit einer Befehlsgruppe verknüpft ist, kann man die Variable nicht mit der zenon Funktion Sollwert setzen beschreiben.

Ausnahme: Wenn in derselben Befehlsgruppe auch eine Aktion Sollwertvorgabe mit Schaltrichtung Sollwert angelegt wurde, dann ruft die zenon Funktion diese Aktion im Hintergrund auf, ohne dass das Bild Befehlsgabe aufgeschaltet wird. Das heißt, die Befehlsbedingungen werden überprüft (jedoch weder Interne, noch Topologische Verriegelungsbedingungen). Eine anstehende Verriegelungsbedingung verhindert das Schreiben eines Sollwertes. Während der Ausführung der Aktion wird das Statusbit NET_SEL nicht gesetzt und die Variableneigenschaft Select Before Operate wird ignoriert.

Das gilt auch für die Werteingabe einer Variablen, die mit einem dynamischen Bildelement verknüpft ist, wenn für die Eigenschaft Sollwert setzen über Element gewählt wurde.

Allgemeines Beispiel

Die Befehlsgruppe "DPI one stage" wurde mit dem Namen der Rückmeldevariable *_RV konfiguriert, und die Schaltaktionen in dieser Gruppe mit dem Namen der Aktionsvariable *_CO.

Im SCADA-Projekt wurden Variablen mit Namen ied9_100_RV (Position des Schalters) und ied9_100_CO (Befehl für Schalter) projektiert. Und die Variable ied9_100_RV wurde mit einem Bildelement verlinkt mit Sollwert setzen über = Befehlsgabe.

Verlinken Sie bei den beiden Variablen ied9_100_RV und ied9_100_CO in der Eigenschaft Befehlsgruppe (Eigenschaftengruppe Sollwert setzen) die Befehlsgruppe "DPI one stage". Zur Runtime wird die jeweilige Wildcard * mit ied9_100 ersetzt.

So können auch weitere Variablen, wie z.B. ied9_101_RV und ied9_101_CO (usw.) mit dieser Befehlsgruppe verlinkt werden. In der Runtime werden dann die Befehlsgruppen mehrfach instanziert und können unabhängig bedient werden.

Weiter können Sie auch die optionale Variablen der Befelhsbedingungen und der Schalterfallerkennung mit Platzhalter * definieren, z.B. X01: *_EnableClose.

info Info

Durch die unterschiedliche Verwendung von Grenzwerten/Reaktionsmatrizen für die Befehls-/ Rückmeldevariable können individuelle Schaltrichtungstexte für die Aktionen angezeigt werden. Immer abhängig davon, auf welcher der Variablen die gewünschte Aktion ausgeführt wird.

Noch in diesem Kapitel

Grenzwerte und Reaktionsmatrizen für Schaltrichtungstexte

Projektübergreifende Variablen


Grenzwerte und Reaktionsmatrizen für Schaltrichtungstexte

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Variablen der Befehlsgruppe > Grenzwerte und Reaktionsmatrizen für Schaltrichtungstexte

Die Befehlsgabe verwendet für die Darstellung der Schaltrichtung im Befehlsgabebild und im Kontextmenü die Grenzwert-Texte der Befehlsvariablen.

Beispiel: während der Ausführung eines Befehls in der zweistufigen Befehlsgabe, wird für Aktionen vom Typ Befehl in Kontrollelement Schaltrichtung ein entsprechender Text angezeigt. Diese Texte können über die Grenzwerte oder die Reaktionsmatrizen -Zustände definiert werden.

Besonders in Kontextmenü ermöglichen diese Texte dem Benutzer ein besseres Verständnis oder einen besseren Überblick über die in der Runtime zur Verfügung stehenden Aktionen (z. B. 'Befehl: Trenner öffnen').

Damit haben Sie die Möglichkeit, unterschiedliche Texte für jede Variable, welche die gleiche Befehlsgruppe verwendet, zu vergeben. So können mehrere Variablenpaare (jeweils Rückmeldevariable und Aktionsvariable) nur eine Befehlsgruppe nutzen und doch individualisiert dargestellt werden.

Wurden bei Variablen keine Grenzwerte erstellt und keine Reaktionsmatrizen verlinkt, verwendet die Aktion einen Standardtext:

Schaltrichtung der Aktion | Standardtext
keine | @NONE
AUS | @OFF
EIN | @ON
DIFF | @INTER
STÖR | @FAULT
DIR | @DIR

info Info

Durch das Auslesen der Schaltrichtungstexte aus den Grenzwerteinstellungen, sind diese Texte auch voll sprachumschaltbar.


Projektübergreifende Variablen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Variablen der Befehlsgruppe > Projektübergreifende Variablen

attention Achtung

Für die Funktionalitäten der Befehlsgabe wird vorausgesetzt, dass die in den Befehlsgruppen verwendeten Variablen sich im gleichen Projekt befinden.

Wird dennoch eine Variable aus einem anderen Projekt verwendet (z. B. untergeordnetes Projekt in der Mehrprojektverwaltung), werden die Befehlsgruppe, die Rückmeldevariable, die Aktionsvariable und das aktionsspezifische Bild (vom Bildtyp 'Befehlsgabe') auch in diesem anderen Projekt erwartet.

info Info

Für die Verriegelungen durch den Prozess können allerdings auch projektübergreifende Variablen verwendet werden. Die oben genannten Einschränkungen gilt nur für Variablen der Befehlsgruppe.


Befehlsgabe projektieren

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren

Wählen Sie im Projektbaum den Eintrag Befehlsgabe. Im Kontextmenü wählen Sie Befehlsgruppe neu.

Nach Anlegen einer neuen Befehlsgruppe wird diese in der Detailansicht des Projektmanagers mit dem Standardnamen „Befehlsgruppe + Index“ eingefügt. Der Index wird durch eine fortlaufende Nummer ersetzt.

Hinweis: Dieser Name dient im System zur eindeutigen Identifizierung.

info Info

Die Namen für die Befehlsgruppen können völlig frei vergeben werden. Allerdings ist darauf zu achten, dass diese im Projekt eindeutig sein müssen: gilt für Allgemeine Verriegelungen und Befehlsgruppen.

Für die Befehlsgruppen stehen folgende Parameter zur Verfügung:

Parameter

Beschreibung

Name

Benennung der Befehlsgruppe. Muss eindeutig für alle Verriegelungen im Projekt sein. Dieser Name wird später bei der Variable, die diese Befehlsgruppe verwendet, angezeigt.

Die Befehlsgruppe kann jeder Zeit umbenannt werden.

Variablenname der Rückmeldung

Hier ist der Variablenname oder die Maske für die Ersetzung der Rückmeldevariable abzulegen.

Ein im Namen vorkommender Wildcard * (Stern) dient als Platzhalter für den Ersetzungstext.

Beispiel:

  • *_RV
  • */stVal[ST]

Es kann nur ein Platzhalter im Namen verwendet werden.

Achtung: Wenn der Name leer bleibt oder die hier verwendete Variable (ersetzt oder absolut) zum Zeitpunkt der Kompilierung nicht vorhanden ist, steht diese Befehlsgruppe in der Runtime nicht zur Verfügung. Eine entsprechende Meldung im Ausgabefenster weist beim Kompilieren auf diesen Fehler hin.

Statusverarbeitung

Parameter

Beschreibung

Status PROGRESS setzen

Wenn aktiviert, dann wird bei den Aktionen Befehl und Nachführen das Statusbit In Bedienung (PROGRESS) beschrieben. Der Wert auf welchem das Statusbit gesetzt wird, hängt von der Schaltrichtung der Aktion ab.

Das Statusbit wird auf 1 gesetzt wenn:

  • Die Rückmeldezustand/Schaltrichtung der Aktion EIN oder AUS ist.
  • Die Rückmeldevariable nicht bereits den Wert der eingestellten Schaltrichtung hat.

Das Statusbit wird bei der Prüfung der Verriegelungen gesetzt und bleibt bis die Aktionausführung abgeschlossen wird.
Das impliziert auch, dass im Fall von Select Before Operate, der Status PROGRESS erst nach erfolgreichem 'Select' (SE+COT_actcon) gesetzt wird und dann während der Laufzeitüberwachung oder Flankenverzögerung, gesetzt bleibt.

Wird die Ausführung der Aktion durch ein Kontextmenü angestoßen oder ist die Aktion einstufig, wird das Statusbit auch entsprechend gesetzt.

Laufzeitüberwachung

Es gibt folgende Einstellung für diese Dropdownliste:

  • keine:
    Die Laufzeitüberwachung ist deaktiviert. Bei Select Before Operate wird jedoch auf Bestätigung des 'Select' (SE+COT_actcon) gewartet und sichergestellt, dass 'Select' beendet wurde (SPS hat auf 'Execute' COT_act in der vorgesehene Zeit reagiert). Wurde 'Select' noch nicht beendet, wird das 'Select' deaktiviert - dafür wird ein 'Cancel' (SE+COT_deact) gesendet.
  • nur Rückmeldevariable:
    Der Wert der Rückmeldevariable (RV) wird benutzt, um zu überprüfen, ob der Vorgang erfolgreich war.
  • nur Übertragungsursache:
    Die Statusbits Cause of Transmission (COT) der Kommandovariable werden benutzt, um zu überprüfen, ob der Vorgang erfolgreich war.
  • COT und RV:
    beide oben definierte Bedingungen.

Bild modal

Wenn aktiviert dann wird das Bild unabhängig der erstellten Projektierung für die Eigenschaft Modaler Dialog beim Bild, modal angezeigt.

Bildtitel aus Rückmeldevariable

Die Kennung der Rückmeldevariable wird im Bildtitel angezeigt. Dies erfolgt nur wenn das Bild auch einen Titel bei der Schablone projektiert hat.

Sprachumschaltung wird unterstützt.

Bild

Name des aufzuschaltenden Bildes wenn die Befehlsgabe über ein Bildelement der Rückmeldevariable (oder Aktionsvariable) aufgerufen wird.

Hinweis: Via Kontextmenu aufgerufene Aktionen öffnen für die Bestätigung der zweiten Stufe oder Verriegelungstext ein Bild das bei der Aktion definiert wurde. Das hier verknüpfte Bild wird nur dann im Kontextmenü angeboten, wenn direkt bei der Befehlsgabeaktion kein Bild verknüpft wurde.

Schalterfallerkennung

Steht nur zur Verfügung, wenn die Eigenschaft Status PROGRESS setzen aktiviert ist.

Aktiv: Die Rückmeldevariable wird auf Wertwechsel von <> 0 auf 0 überwacht. Die Erkennung setzt das Statusbit CD_TRIP (50) nur dann auf 1, wenn:

  • das Statusbit CB_TR_I (51) nicht 1 ist, ansonsten ist die Erkennung unterdrückt.
  • das Statusbit PROGRESS (10) nicht 1 ist, ansonsten wird die Wertänderung der Rückmeldevariable als Resultat eines eigenen Befehls betrachtet.

Achtung: Auch Wertänderungen, die eine verspätete Folge von eigenen Kommando sind, können als ein Schalterfall erkannt werden. Dies geschieht dann, wenn das PROGRESS Bit bereits gelöscht wurde oder wenn die Aktion die Laufzeitüberwachung nicht unterstützt.

Erkennungsunterdrückung

Eingabe der Formel, mit der die Erkennung eines Schalterfalls unterdrückt wird. Klick auf die Schaltfläche ... öffnet den Formeleditor.

Für die Formel können alle Variablen aus dem Knoten Variablen in der Befehlsgruppe verwendet werden. Es können Variablen aller zur Runtime geladenen Projekte verwendet werden. Auch Namensersetzungen mit '*' - wie bei der Definition der Verriegelungsbedingungen einer Aktion - sind möglich.

Die Unterdrückung setzt das Statusbit CB_TR_I (51) auf 1.

Bei aktiver Erkennung werden alle Variablen, deren Status oder Wert in der Formel für die Schalterfallerkennung verwendet wird, beim Programmstart nach dem Laden aller Projekte zum Lesen aktiviert und bleiben vom Treibern während der gesamten Runtime-Laufzeit angefordert.

Hinweis: Variablen, die in der Formel verwendet werden, können nicht von der Liste der bei der Befehlsgruppe verlinkten Variablen, gelöscht werden.

info Info

Die Rückmelde- und Aktionsvariablen müssen nicht zwingend in der Liste der mit Befehlsgruppe verlinkten Variablen stehen. Deren Namen müssen lediglich bei der Befehlsgruppe und in der Aktion konfiguriert werden.

Noch in diesem Kapitel

Befehlsgabe im Verteilten Engineering

Aktion erzeugen

Aktionstypen

Aktionen anwenden

Befehlsbedingungen

Formeleditor


Befehlsgabe im Verteilten Engineering

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Befehlsgabe im Verteilten Engineering

info Info

Da die Befehlsbedingungen und die Allgemeinen Verriegelungen (Standard Funktionalität - ohne Energy Edition) in der gleichen Struktur im zenon Editor abgelegt sind, wird das Check-Out Symbol (Änderungen ermöglichen) für beide Knoten im Projektbaum exakt gleich gesetzt. Alle Aktionen auf die Befehlsbedingungen betreffen auch die allgemeinen Verriegelungen und umgekehrt.

Als gelöscht markierte Variablen werden für die Kompilierung der Befehlsbedingungen als nicht existent betrachtet. Beim kompilieren werden entsprechende Fehlermeldungen im Ausgabefenster des zenon Editors angezeigt.


Aktion erzeugen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktion erzeugen

Aktionen definieren die für die Befehlsgruppen möglichen Schaltbefehle. Durch Auswählen des Elementes Aktion in der Detailansicht der Befehlsgruppe, kann mittels der rechten Maustaste eine neue Aktion definiert werden. Details zu den definierten Aktionen werden nach Anlegen auch in der Detailansicht angezeigt (z.B. "Schaltbefehl: *_BE [EIN,1]").

Die weiteren Einstellungen für die Aktionen erfolgen danach im Eigenschaftenfenster. Dabei sind einzelne Eigenschaften, abhängig vom Aktionstyp, inaktiv.

Folgende Eigenschaften sind für eine Befehlsgabeaktion verfügbar

Parameter

Beschreibung

Aktionseinstellungen

Aktionsvariable

Variable, auf die geschrieben wird. Bei manchen Aktionen ist dies die Rückmeldevariable. In diesem Falle ist das Feld gesperrt.

Ein im Namen vorkommender '*' dient als Platzhalter für den Ersetzungstext. Es kann nur ein Platzhalter im Namen verwendet werden.

Wenn die hier verwendete Variable (ersetzt oder absolut) zum Zeitpunkt der Kompilierung nicht vorhanden ist, steht diese Aktion in der Runtime nicht zur Verfügung. Eine entsprechende Meldung weist beim Kompilieren auf diesen Fehler hin.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen

Default: Keine Zuordnung

Aktionstyp

Zeigt den Typ vom Befehl. Zum editieren nur für Aktionstyp Befehl freigegeben; mögliche Einstellungen sind Schalt- oder Pulsbefehl.

Default: Schaltbefehl

Rückmeldezustand/Schaltrichtung

Definiert den erwarteten Wert und Status der Rückmeldevariable nach Aktionsausführung.

Bei den Aktionen Blockieren, Sperre und Freigeben gesperrt.

Default:

Der Defaultwert ist abhängig von der gewählten Befehlsgabeaktion.

Befehl

Definiert den Wert, welcher bei der Aktion Befehl als Wert auf die Befehlsvariable geschrieben wird.

Hinweis: nur verfügbar für die Befehlsaktionen Schalt- und Pulsbefehl, Auto/Remote-Befehl und Zwangsbefehl.

Default: 1

Flankenverzögerung

Zeit in Millisekunden um welche bei einem Pulsbefehl das Zurücksetzen des Wertes verzögert wird.

Hinweis: Nur verfügbar bei Aktion Pulsbefehl.
Es wird nicht gewartet bis die Laufzeitüberwachung beendet ist.

Default: 1000 ms

Sollwert

Definiert den Wert der an die Steuerung geschrieben wird.

Hinweis: Nur verfügbar wenn Rückmeldezustand/Schaltrichtung auf DIR gesetzt ist.

Modifizierbare Status

Liste der mittels der Aktion Statusvorgabe veränderbaren Statusbits.

Hinweis: Nur bei der Aktion Statusvorgabe freigegeben.

Default: Keine Modifizierbar

Befehlsgabebild

Bild

Bild vom Typ Befehlsgabe, das beim Ausführen der Aktion über das Kontextmenü des Elements verwendet wird. Wenn kein Bild eingetragen ist, wird das Bild, das in der Eigenschaft Bild in der Befehlsgruppe eingetragen ist, verwendet. Ein projektiertes, jedoch nicht vorhandenes Bild erzeugt eine Fehlermeldung beim Erzeugen der Runtime-Dateien. Die Aktion wird in diesem Fall nicht übernommen.

Default: keines.

Hinweis: Wird die Befehlsgabe durch ein dynamisches Bildelement aufgerufen, wird diese Eigenschaft ignoriert und immer das Bild benutzt, das in der Eigenschaft Bild in der Befehlsgruppe eingetragen ist.
Steht für den Aktionstyp Auto/Remote-Befehl nicht zur Verfügung.

Ersetzung im Bild

Substitutionsregel für Bilder vom Typ Befehlsgabe: In dieser Eigenschaft wird das Ziel der Substitution projektiert. Projektiert wird jener Text, welcher ersetzt werden soll.

Mehrere Substitionsregeln werden mit einem Strichpunkt (;) getrennt. Dabei werden die projektierten Substitutionen von links nach rechts abgearbeitet.

Ist kein * in der Rückmelde - oder Aktionsvariable vorhanden, findet keine Substituierung statt. Bei der Projektierung wird nicht zwischen Groß- und Kleinschreibung unterschieden.

Aktionsbutton

Zuordnung der Aktion zu einem Aktionsbutton. Aktionsbuttons werden in einem Befehlsgabebild projektiert. Wenn die Befehlsgruppe mit einem anderen Bild verwendet wird (z. b. über Funktion), bleibt trotzdem die Zuordnung zu dem Aktionsbutton bestehen. Mit anderen Worten: die Aktion wird immer auf den Button mit der zugeordneten Aktions-ID gelegt. Fehlt ein solcher, ist diese Aktion im Bild nicht verfügbar. In der Auswahlliste dieser Eigenschaft werden nur die noch nicht zugeordneten Aktionsbuttons angeboten.

Diese Einstellung ist gesperrt wenn bei der Befehlsgruppe kein Bild zugeordnet wurde oder bei dem Aktionstyp Sperre.

Default: Keine Zuordnung

Soll/Ist-Vergleich

Wenn aktiviert, dann wird geprüft ob der Wert der Rückmeldevariable bereits der Rückmeldezustand/Schaltrichtung entspricht. Wenn ja, wird eine entriegelbare Verriegelungsmeldung angezeigt.

Hinweis: Nur aktiv für Aktionstyp Befehl

Default: Inaktiv

Nur ausführbar wenn Soll <> Ist

Deaktiviert einen Aktionsbutton im Befehlsgabebild, wenn der Wert der Rückmeldevariable bereits dem Wert des Sollwerts entspricht. Bei Wertänderung der Rückmeldevariable wird der entsprechende Aktionsbutton wieder aktiv.
Gleiches gilt auch für Kontextmenüeinträge. Hier wird die entsprechende Befehlsgabeaktion im Menü nicht angezeigt.

Hinweis: Nur verfügbar, wenn die Eigenschaft Soll/Ist-Vergleich aktiviert ist und nur für die Befehlsgabeaktion Befehl (Schalt- oder Pulsbefehl).

Default: Inaktiv

Zweistufig

Wenn aktiv, wird die Aktion erst nach Klicken (in der Runtime) des Buttons Ausführen 2. Stufe ausgeführt. Wenn nicht aktiv dann wird die Aktion nach entriegeln der letzten Verriegelung oder wenn keine Verriegelung ansteht sofort ausgeführt.

Hinweis: Bei Aktionen Sperre und Auto/Remote-Befehl gesperrt.

Default: Aktiv

Zweihandbedienung
  • Aktiv: Das Kontrollelement Ausführen 2. Stufe wird nur freigegeben, wenn die Steuerung-Taste gehalten wird.
    In Multi-Touch Anwendungen müssen beide Druckpunkte jeweils auf einem eigenen Bild mit einer eigenen Schablone bereitgestellt werden.

Nicht verfügbar, wenn keine zweistufige Ausführung projektiert wurde.

Hinweis: Für das Kontrollelement Ausführen 2. Stufe darf bei Zweihandbedienung die Eigenschaft mit Lasso auswählbar nicht aktiv sein. Diese Eigenschaften finden Sie beim projektieren Kontrollelement in der Eigenschaftengruppe Runtime .

Default: Inaktiv

Automatisch schließen

Wenn aktiv dann wird das Bild nach Ausführung der Aktion automatisch geschlossen.

Hinweis: Steht für den Aktionstyp Auto/Remote-Befehl nicht zur Verfügung.

Default: Inaktiv

Menü ID

Die Menü ID wird für die Erstellung von Kontextmenüs zur Runtime verwendet.

Hinweis: Werden zwei Aktionen mit der gleichen ID ausgestattet, werden sie im Aktionsbaum mit einem speziellen Symbol markiert. Sie können dann nicht von Kontextmenu aufgerufen werden.

Aktionsname

Frei vergebbarer Name der Befehlsgabe-Aktion.

Dieser kann für das Modul Befehlsgabe über das Befehlsgabebild zur Runtime angezeigt werden.

Im Modul Schaltfolgen wird dieser Name für den Schritt verwendet.

Schaltfolgen

Projektierungen für das Modul Schaltfolgen.

Ignoriere "Zweistufig"

Bei aktivierter Eigenschaft werden zweistufige Aktionen bei der Ausführung im Modul Schaltfolgen ohne Öffnen eines Befehlsgabefensters sofort ausgeführt. Die für die Befehlsgabe projektierte zweistufige Ausführung des Befehls wird ignoriert.

Überspringe Aktion bei identem Soll/Ist-Wert

Bei aktivierter Eigenschaft und Istwert entspricht dem erwarteten Sollwert wird zur Runtime in einer Schaltfolge die Aktion übersprungen.

Hinweis: Die Eigenschaft steht nur für die Befehlsgabeaktion Befehl (Schalt- oder Pulsbefehl) zur Verfügung.

Optionen

CEL-Eintrag unterdrücken

Wenn aktiv dann wird bei Aktionsausführung kein Eintrag in der CEL erstellt.

Default: Inaktiv

Timeout

Timeout für die Laufzeitüberwachung in Sekunden für Aktionstyp Schaltbefehl und Pulsbefehl.

Diese Einstellung gilt auch als Timeout für Select.

Maßeinheit sind Sekunden

Nur verfügbar bei den Aktionen Befehl, Auto/Remote-Befehl, Prüfe Rückmeldung, Sollwertvorgabe und Zwangsbefehl.

Default: 30

Timeout abbrechbar

Ermöglicht das Abbrechen des Timeouts der Laufzeitüberwachung.

Steht nur für die Aktionen Befehl und Sollwertvorgabe zur Verfügung.

Wenn das Kommando bereits ausgeführt wird - nachdem COT_actcon empfangen wurde - bricht der Button Abbrechen die Laufzeitüberwachung ab.

Damit sind zum Beispiel Buttons wieder aktiv und bedienbar.

Hinweis: Nicht alle Treiber unterstützen die Deaktivierung während der Ausführung. Wenn nicht wird kein Cancel an die Steuerung gesendet, nur die Aktion unterbrochen.

Qualifier of Command verwenden

Ermöglicht Befehlen eine Zusatzinformation (Qualifier of Command) mitzugeben. Voraussetzung dafür ist, dass auch der Treiber diese Möglichkeit unterstützt. Mögliche Treiber sind z.B. IEC850, IEC870 und DNP3.

Steht nur für die Aktionen Befehl , Auto/Remote-Befehl und Zwangsbefehl zur Verfügung.

Default: inaktiv

Qualifier of Command

Eingabe eines Zahlenwertes, welcher als Befehlsparameter zum Treiber gesendet wird. Diese Eingabemöglichkeit steht nur dann zur Verfügung, wenn die Eigenschaft Qualifier of Command verwenden aktiviert ist.

  • Eingabebereich: 0 - 127
  • Default: 0

attention Achtung

Die Bezeichnung der Aktionstypen in der Eigenschaft Menü ID muss eindeutig sein, damit sie im Kontextmenü eindeutig identifizierbar sind. Verfügen zwei Aktionen über die gleiche ID, werden Sie im Aktionsbaum mit einem speziellen Symbol M markiert.

Tipp Tipp

Hinweise:

  • Bei Auswahl einzelner Eigenschaften erhalten Sie in der eingebetteten Hilfe zusätzliche Informationen zur Funktionalität.
  • Definierte Aktionen und Befehlsbedingungen können in XML exportiert und aus XML importiert werden. Damit können sie sehr einfach archiviert oder in anderen Applikationen wieder verwendet werden.
  • Der Status kann über den Befehl Statusvorgabe gesetzt werden.


Aktionstypen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen

Die Aktionstypen sind die zur Verfügung stehenden Befehlsprozeduren. Je nach Befehl werden unterschiedliche Aktivitäten ausgeführt.

Im System steht eine Vielzahl von Aktionen zur Verfügung. Folgende Aktionstypen können für Befehlsgruppen definiert werden:

Aktionstyp

Anmerkung

Befehl neu

Schalt- oder Pulsbefehl. Über den Wert der Befehlsvariable wird der projektierte Befehlsgabezustand zur Steuerung geschrieben.

Hinweis: der Schaltbefehl eignet sich für Einzel- und Doppelbefehle mit Energy Treiber (IEC60870, IEC61850, DNP3).

Auto/Remote-Befehl neu

Der Remotebefehl wird vom Process Gateway oder der zenon API an die Befehlsgabe weitergeleitet und wie ein Schaltbefehl abgearbeitet.

Die Aktion steht weder im Befehlsgabe-Bild, noch über Kontextmenü zur Verfügung.

Zwangsbefehl neu

Der Aktionstyp Zwangsbefehl ermöglicht das Absetzen eines Befehls auch wenn die Rückmeldevariable leer, OFF, NT oder INVALID ist.

Hinweis: die Aktion ist für Not-Abschaltungen gedacht, soll nur mit Bedacht eingesetzt werden.

Sollwertvorgabe neu

Schreibt einen beliebigen numerischen Wert auf die Befehlsvariable.

Statusvorgabe neu

Verändert die Statusbits der Rückmeldevariable. Gilt nur für Statusbits in der Liste Modifizierbare Status.

Ersetzen neu

Verändert den Status der Rückmeldevariable auf Ersatzwert (ALT_VAL) und setzt einen Ersatzwert auf die Rückmeldevariable ab.

Hinweis: Das Setzen der Variablen auf Ersatzwerte ermöglicht die Visualisierung des Prozesses mit manuel gesammelten Daten während des Ausfalls der Kommunikation, , z.B. via Automatic Line Coloring.

Revision neu

Setzt Statusbit REVISION der Rückmeldevariable.

Hinweis: In der Revision wird die Alarmbehandlung unterdrückt.

Nachführen neu

Setzt Wert der ausgewählten Rückmeldevariable entsprechend der Schaltrichtungeinstellung.

Hinweis: die Kommunikationsprotokolle in Energy (IEC60870, IEC61850, DNP3) schließen direktes Schreiben auf die Rückmeldevariable aus.

Blockieren neu

Schaltet Rückmeldevariable ab (Statusbit OFF).

Hinweis: die abgeschaltete Variablen werden von der angeschlossenen Hardware nicht mehr gelesen.

Freigeben neu

Setzt Statusbit Ersatzwert (ALT_VAL) auf 0.

Hinweis: als Folge hat die Rückmeldevariable wieder den von der Steuerung empfangenen Wert .

Prüfe Rückmeldewert

Überprüft den Zustand der Rückmeldevariable, ohne eine Aktivität auszuführen.

Hinweis: die Aktion ist für Einsatz im Modul Schaltfolgen gedacht.

Sperre neu

Mit Eingabe eines gültigen Sperrcodes, ist die Rückmeldevariable für weitere Aktionen gesperrt oder entsperrt.

Hinweis: Die Auflistung der Aktionstypen erfolgt in obenstehender Aufstellung in der Reihenfolge, wie die Aktionstypen im Kontextmenü zenon angeboten werden. Die Reihenfolge im Hauptfenster ist jedoch alphabetisch.

In der Detailansicht der Befehlsgabe werden die Aktionen im Baum mit der jeweils gewählten Schaltrichtung und mit dem konfigurierten Aktionswert angezeigt.

attention Achtung

Die Bezeichnung der Aktionstypen in der Eigenschaft Menü ID muss eindeutig sein, damit sie im Kontextmenü eindeutig identifizierbar sind. Verfügen zwei Aktionen über die gleiche ID, werden Sie im Aktionsbaum mit einem speziellen Symbol M markiert.

Noch in diesem Kapitel

Aktionstyp Befehl

Aktionstyp Auto/Remote-Befehl

Aktionstyp Zwangsbefehl

Aktionstyp Sollwertvorgabe

Aktionstyp Statusvorgabe

Aktionstyp Ersetzen

Aktionstyp Revision

Aktionstyp Nachführen

Aktionstyp Blockieren

Aktionstyp Freigeben

Aktionstyp Prüfe Rückmeldewert

Aktionstyp Sperre


Aktionstyp Befehl

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Befehl

Dieser Aktionstyp wird je nach Projektierung als Schaltbefehl oder Pulsbefehl verwendet.

Bei Ausführung des Befehls wird ein Wert - 0 oder 1 - auf die Befehlsvariable geschrieben. Der zu schreibende Wert wird mit der Eigenschaft Befehl konfiguriert.

Dieser Aktionstyp unterstützt das Select Before Operate und die Laufzeitüberwachung. Das Select Before Operate hängt von entsprechender Eigenschaft der Befehlsvariable und von Treiber ab.

Die Laufzeitüberwachung, je nach projektierter Art (z.B. über Rückmeldevariable), kann auch überprüfen, ob die Rückmeldevariable ihr Wert entsprechend dem Befehl ändert. Welchen Wert bei der Rückmeldevariable die Laufzeitüberwachung aufgrund des Befehls dann erwartet, ist bei der Eigenschaft Rückmeldezustand/Schaltrichtung (Ein/Aus/keine) zu definieren:

Schaltrichtung

Wert der Rückmeldevariable nach Befehlsausführung

Keine

Es ist keine bestimmte Wertänderung vorgesehen. Die Aktion wird beendet, wenn das projektierte Timeout abgelaufen ist.

Hinweis: Die Laufzeitüberwachung kann trotzdem aktiviert sein, um die Übertragungsursache (COT) zu berücksichtigen.

Aus

Die Aktion erwartet Wert 0.

Wenn noch vor der Befehlssausführung die Rückmeldevariable bereits der Wert 0 hat, dann bei aktivierter Eigenschaft Soll/Ist-Vergleich wird eine interne Verriegelungsbedingung gemeldet.

Hinweis: Ist die Laufzeitüberwachung mit den Werten keine oder über Übertragungsursache projektiert, wird nicht auf Wert der Rückmeldevariable gewartet.

Ein

Die Aktion erwartet Wert 1 und (entsprechend Soll/Ist-Vergleich) wird auf Wert 1 vergleichen.

Bei Pulsbefehlen wird ein Wert zwei Mal an die Steuerung geschrieben. Beim zweiten Mal erfolgt, nach der projektierten Flankenverzögerung, ein automatisches Rücksetzen auf 0 oder 1 (abhängig von der Projektierung der Eigenschaft Rückmeldezustand/Schaltrichtung). Dies unterbleibt jedoch, wenn bei der Befehlsvariable die Eigenschaft Select Before Operate aktiviert wurde. Die Energy Protokolle geben keine Möglichkeiten ein Select mit Puls zu verwenden. Ist bei der Aktionsvariable die Eigenschaft Select Before Operate aktiviert, verhält sich ein Pulsbefehl gleich wie ein Schaltbefehl.

Beachten Sie: Der Pulsbefehl wird nicht für Energy Treiber empfohlen. Der Pulsbefehl sollte nur mit einer SPS verwendet werden, die anstelle einer Flanke einen Puls erwartet.

info Hinweis

Ist bei Aktionsausführung der aktuelle Wert der Rückmeldevariable unterschiedlich zu dem in der Schaltrichtung eingestellten Wert, und wurde die Schaltrichtung Ein oder Aus definiert, kann für die Dauer der Laufzeitüberwachung das Statusbit In Bearbeitung ( PROGRESS ) gesetzt werden. Aktivieren Sie dazu die Eigenschaft Status PROGRESS setzen der Befehlsgruppe.


Aktionstyp Auto/Remote-Befehl

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Auto/Remote-Befehl

Der Remotebefehl (über Process Gateway, VBA etc.) wird an die zenon Befehlsgabe weitergeleitet, welche den Ablauf (Verriegelungsüberprüfung, Weitergabe an Treiber, Rückmeldung, usw.) wie einen Schaltbefehl abarbeitet.

Dabei gilt:

  • Der Befehl ist weder über das Befehlsgabebild noch über das Kontextmenü zugänglich.
  • Der Befehl wird nur mit einem vorangegangenen Select unterstützt. Die Aktionsvariable muss die Eigenschaft Select Before Operate aktiviert haben.
  • Beim Beenden der Runtime, oder beim Nachladen wird ein bereits gesetztes Select verworfen.
    Beachten Sie: Ein Master, der via Process Gateway verbunden ist, wird darüber nicht informiert. Für den Master am Process Gateway muss dies mit einer eigenen Konfiguration des Process Gateway (via INI-Datei) realisiert werden. Dies kann z.B. mit einer Konfiguration für den Verbindungsabbruch abgefangen werden.

Tipp Tipp

Aktivieren Sie in der Befehlsgruppe die Eigenschaft Statusbits auf Befehlsvariablen schreiben.

Dadurch ist sichergestellt, dass der Auto/Remote-Befehl von dem Aktionstyp Sperre beeinflusst wird.

Hinweis: Beim Greifen einer Verriegelung wird ein (sprachumschaltbarer) CEL Eintrag mit dem projektierten Text erstellt.

API

Über das VBA Interface kann mittels der Methode IVariable::SetValueWithStatusEx und den zu übergebenden Statusbits entschieden werden, ob das Schreiben entweder via dem Modul Befehlsgabe oder direkt via VBA-Programmierung erfolgen soll.

  • Wenn das Statusbit NET_SEL (Bit 8) bereits gesetzt ist (z.B. das Befehlsgabebild ist offen), wird das Kommando nicht ausgeführt.
  • Ist das Statusbit nicht gesetzt, wird dieses gesetzt und das Schreiben wird durch die Befehlsgabe ausgeführt, oder werden Kommandos an die Befehlsgabe weitergeleitet.
  • Der Rückgabewert der Methode gibt Auskunft ob die Befehlsgabe aktiviert oder das Kommando ausgeführt wurde.

Übergabe der Statusbits der Aktionsvariable an die Methode:

  • SE_870 + COT_act(6) - Select activation
    Ermittelt die auszuführende Befehlsaktion und aktiviert die Befehlsgabe. Der Rückgabewert der Methode gibt Auskunft darüber, ob dies möglich ist.
  • SE_870 + COT_deact(8) - Deactivation (Cancel)
    Laufende Befehlsgabe wird abgebrochen.
  • COT_act(6) - Activation (Operate/Execute)
    Execute für Befehlsgabe wird ausgeführt.

Damit die Methode die Befehlsgabe ausführen kann, muss eine Remote-Befehl Aktion existieren, deren Schaltrichtung dem übergebenen Sollwert entspricht. Der tatsächlich auf dem Treiber geschriebene Wert, Select usw. ergibt sich aus der Eigenschaften der Aktion.

info Info

Weitere Informationen erhalten Sie im Kapitel Select before Operate im Handbuch Process Gateway IEC870 Slave.


Aktionstyp Zwangsbefehl

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Zwangsbefehl

Der Aktionstyp Zwangsbefehl ermöglicht das Absetzen eines Befehls, auch wenn die Rückmeldevariable leer, OFF, Not topical oder gestört (INVALID) ist. Er ist für die Not-Abschaltungen gedacht.

Verriegelungensbedingungen können für den Zwangsbefehl nicht angelegt werden, da zur Runtime nicht gewährleistet ist, dass die Bedingungsvariablen einen gültigen Wert haben.

Hinweis: Der Zwangsbefehl entspricht einen bedingungslosen Schaltbefehl.

attention Achtung

Die voreilige oder fehlerhafte Projektierung des Zwangsbefehls kann in der Runtime für die Anlage die dramatische Folgen haben. Setzen Sie diesen Befehl daher immer mit Bedacht ein und schützen Sie diese durch Benutzerberechtigungen.


Aktionstyp Sollwertvorgabe

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Sollwertvorgabe

Der Aktionstyp Sollwertvorgabe bietet die Möglichkeit, einen beliebigen numerischen Wert auf die Befehlsvariable zu schreiben. Das Bild vom Typ Befehlsgabe bietet dazu eigene Kontrollelemente an, die auch eine manuelle Vorgabe des Sollwertes ermöglichen. Mit der Eigenschaft Rückmeldezustand/Schaltrichtung wird definiert, wie der Sollwert gesetzt werden soll:

Schaltrichtung

Wert der Rückmeldevariable

DIR

Sollwert wird direkt gesetzt. Der abzusetzende Wert wird über die Eigenschaft Sollwert der Aktion festgelegt.

Der auszugebende Text kann über einen Grenzwert/ein Rema für den Zustand/Wert 5 projektiert werden. Ist das nicht der Fall, wird ein Standardtext verwendet.

Soll/Ist-Vergleich wird nicht unterstützt.

Die Aktion kann mehrfach hintereinander ausgeführt werden.

Sollwert

Der Wert vom Kontrollelement Sollwert des Befehlsgabebildes wird auf die Aktionsvariable geschrieben.

In einstufiger Ausführung wird der Wert beim Drücken des Buttons Ausführen oder beim Drücken des Aktionsbuttons (wenn konfiguriert) abgesetzt.
In zweistufiger Ausführung wird der Wert beim Drücken des Buttons Ausführen 2.Stufe abgesetzt.

Dieser Aktionstyp, für DIR, unterstützt Select Before Operate.
Zusätzlich wird die Laufzeitüberwachung unterstützt. Diese ist auf die Auswertungen der Übertragungsursache (COT) eingeschränkt. Eine Auswertung des Wertes der Rückmeldevariable ist in diesem Aktionstyp nicht möglich.

info Info

Wenn eine Variable mit einer Befehlsgruppe verknüpft ist, kann man die Variable nicht mit der zenon Funktion Sollwert setzen beschreiben.

Ausnahme: Wenn in derselben Befehlsgruppe auch eine Aktion Sollwertvorgabe mit Schaltrichtung Sollwert angelegt wurde, dann ruft die zenon Funktion diese Aktion im Hintergrund auf, ohne dass das Bild Befehlsgabe aufgeschaltet wird. Das heißt, die Befehlsbedingungen werden überprüft (jedoch weder Interne, noch Topologische Verriegelungsbedingungen). Eine anstehende Verriegelungsbedingung verhindert das Schreiben eines Sollwertes. Während der Ausführung der Aktion wird das Statusbit NET_SEL nicht gesetzt und die Variableneigenschaft Select Before Operate wird ignoriert.

Das gilt auch für die Werteingabe einer Variablen, die mit einem dynamischen Bildelement verknüpft ist, wenn für die Eigenschaft Sollwert setzen über Element gewählt wurde.

Für weitere Informationen lesen Sie die Informationen in dem Kapitel Aktionen anwenden.

attention Achtung

Bei Sollwertvorgabe mit Schaltrichtung DIR werden weder die Grenzen der verknüpften Variablen überprüft, noch ob das Sollwert Setzen für diese Variable generell zulässig ist.


Aktionstyp Statusvorgabe

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Statusvorgabe

Verändert die Statusbits der Rückmeldevariable. Je nach Definition der Schaltrichtung wird folgendes ausgeführt:

Schaltrichtung

Aktion

Aus

Die in der Liste Modifizierbare Status projektierten Statusbits werden alle auf 0 zurückgesetzt.

Ein

Die in der Liste Modifizierbare Status projektierten Statusbits werden alle auf 1 (aktiv) gesetzt.

Keine

Die in der Liste Modifizierbare Status projektierten Statusbits müssen in der Runtime im Befehlsgabe-Bild über das Kontrollelement Status setzen definiert werden. Im Kontrollelement wird jedes Statusbit über eine Checkbox individuell definiert.

  • In einstufiger Ausführung werden die Statusbits beim Drücken des Buttons Ausführen oder beim Drücken des Aktionsbuttons (wenn konfiguriert) abgesetzt.
  • In zweistufiger Ausführung werden die Statusbits beim Drücken des Buttons Ausführen 2.Stufe abgesetzt.

Verändern Sie in der Runtime ein Statusbit, so wird die Änderung in der Chronologischen Ereignisliste mitprotokolliert (Status inklusive Wert). Diese Meldungen sind zur Runtime sprachumschaltbar.

info Info

Der Aktionstyp Statusvorgabe löst immer ein Beschreiben der Rückmeldevariable.

Zusätzlich zum Aktionstyp Statusvorgabe können Werte der Statusbits auch durch andere Aktionen der Befehlsgabe modifiziert werden.
Beispiele dafür sind:

  • Die Statusbits OFF und REVISION sollen durch Aktionstyp Blockieren oder Aktionstyp Revision verändert werden. Mit diesen Aktionen empfängt die Runtime vom Treiber auch den aktuellen Wert der Rückmeldevariable.
  • Wird über die Aktion Sperre ein Schalter gesperrt, wird das Statusbit M1 der Rückmeldevariable gesetzt.
  • Die Statusbits CB_TRIP und CB_TRI_I repräsentieren das Ergebnis der Eigenschaft Schalterfallerkennung.


Aktionstyp Ersetzen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Ersetzen

Der Prozesswert eines ferngemeldeten Schalters wird temporär (z.B. wegen Revision, Wartungsarbeiten, dauerhafter Verbindungsausfall etc.) durch einen Ersatzwert ausgetauscht.

Die Rückmeldevariable wird auf den Status Ersatzwert ( ALT_VAL ) gesetzt. Zusätzlich wird der, durch die Schaltrichtung definierte Wert, auf die Rückmeldevariable abgesetzt.

Schaltrichtung | Ersatzwert
Aus | 0
Ein | 1
Diff | 2
Stör | 3
Keine | 4

Der Ersatzwert wird nicht an die angeschlossene Hardware übertragen. Er dient der Substitution der Werte anhand manuel erfasster Information.

Tipp Tipp

Durch Umschalten der Rückmeldevariablen auf Ersatzwerte ist es möglich, den aktuellen topologischen Zustand der Netzes in ALC abzubilden, während das SCADA System vom Prozess entkoppelt wurde.


Aktionstyp Revision

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Revision

Setzt den Wert für das Statusbit Revision der Rückmeldevariable. Der Wert wird in der Eigenschaft Rückmeldezustand/Schaltrichtung projektiert.

Schaltrichtung | Status
Aus | Setzen auf 0
Ein | Setzen auf 1


Aktionstyp Nachführen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Nachführen

Der Aktionstyp Nachführen setzt den Wert der Rückmeldevariable entsprechend der Einstellung der Schaltrichtung.

Hinweis: die Kommunikationsprotokolle in Energy (IEC60870, IEC61850, DNP3) schließen direktes Schreiben auf die Rückmeldevariable aus. In diesen Treibern wird die Aktion fehlschlagen! Um einen Befehl auszuführen wird das Setzen des Werts auf eine Befehlsvariable erwartet.

Schaltrichtung | Aktion
Aus | 0
Ein | 1
Diff | 2
Stör | 3
DIR | Der Sollwert wird direkt gesetzt. Der abzusetzende Wert wird über die Eigenschaft Sollwert festgelegt. Der auszugebende Text kann über einen Grenzwert/eine Rema für den Zustand/Wert 5 projektiert werden. Ist das nicht der Fall, wird ein Standardtext verwendet. Soll/Ist-Vergleich wird nicht unterstützt. Die Aktion kann mehrfach hintereinander ausgeführt werden.
Sollwert | Wert vom Kontrollelement Sollwert im Befehlsgabebild wird auf die Rückmeldevariable geschrieben.

attention Achtung

Beim direkten Sollwert Setzen werden weder die Grenzen der verknüpften Variablen überprüft, noch, ob das Sollwert Setzen für diese Variable generell zulässig ist.

info Info

Das Statusbit In Bearbeitung (PROGRESS) wird gesetzt, wenn:

  • bei Aktionsausführung der aktuelle Wert der Rückmeldevariable unterschiedlich zu dem in der Schaltrichtung eingestellten Wert ist
    und
  • die Schaltrichtung Ein oder Aus definiert wurde.

Handnachführung

Unter Handnachführung versteht man das Nachführen eines nicht ferngemeldeten Schalters in zenon. Nachgeführt wird üblicherweise auf eine Variable ohne Prozessbezug. Bei einer solchen Variable sollte eigentlich nie ein Invalid-Bit anstehen. Es ist zwar möglich, jedoch nicht sinnvoll, eine Variable mit Prozessbezug nachzuführen! Die SPS wird diesen Wert wieder überschreiben.

Verhalten:

Aus Sicht des Treibers ist Nachführen ein ganz normales Sollwertsetzen.

Gegensatz dazu - Aktion: Ersetzen

Der Prozesswert eines ferngemeldeten Schalters wird vorübergehend (z.B. wegen Wartungsarbeiten) durch einen Ersatzwert ausgetauscht.


Aktionstyp Blockieren

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Blockieren

Durch Ausführen dieser Aktion wird die Rückmeldevariable abgeschaltet.

Das Statusbit der Rückmeldevariable wird auf OFF gesetzt. Die abgeschalteten Variablen werden von der angeschlossenen Hardware nicht mehr gelesen.

Hat die Rückmeldevariable bereits das Statusbit OFF gesetzt, wird bei nochmaliger Ausführung der Aktion das Statusbit nicht erneut gesetzt. Die Runtime empfängt vom Treiber den aktuellen Wert der Rückmeldevariable.

Hinweis: Dieser Aktionstyp kann pro Befehlsgruppe nur einmal projektiert werden.


Aktionstyp Freigeben

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Freigeben

Die Aktion Freigeben setzt das Statusbit Ersatzwert ( ALT_VAL ) auf 0 (inaktiv) zurück. Ist auch das Statusbit Abgeschaltet ( OFF ) aktiv, wird es ebenfalls auf 0 (inaktiv) gesetzt. Nach Ausführung der Aktion Freigeben empfängt die Runtime den aktuellen Wert vom Treiber für die Rückmeldevariable.

Die Aktion kann zur Runtime nur ausgeführt werden, wenn bei der ausgewählten Rückmeldevariable das Statusbit Ersatzwert ( ALT_VAL ) aktiv ist (Wert: 1).

Hinweis: Dieser Aktionstyp kann pro Befehlsgruppe nur einmal projektiert werden.


Aktionstyp Prüfe Rückmeldewert

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Prüfe Rückmeldewert

Die Aktion Prüfe Rückmeldewert dient dazu, die Variablen auf den Zustand EIN oder AUS zu überprüfen.

Während die Aktion Prüfe Rückmeldung ausgeführt wird, ist die Standardtaste Abbruch im Bild vom Typ Befehlsgabe freigegeben.

Dabei wird - je nach Einstellung der Laufzeitüberwachung - gewartet, bis der Wert der Rückmeldevariable jenem Wert der Prüfrichtung - Aktionseigenschaft Schaltrichtung - entspricht. Bei Prüfwert EIN ist dies der Wert 1; bei AUS der Wert 0.

Ist keine Laufzeitüberwachung projektiert (Laufzeitüberwachung = "Keine"), wird maximal die eingestellte Wartezeit (~24 Stunden) gewartet. Anderenfalls wird die Aktion beendet und das Statusbit TIMEOUT bei der Rückmeldevariable gesetzt.

Wenn nach Ausführung der Aktion im Befehlsgabebild die anderen Aktionen nicht verfügbar sind, hat dies folgende Gründe:

  • Der Timeout bei der Laufzeitüberwachung ist noch nicht abgelaufen.
  • Die Rückmeldevariable hat noch nicht den erwarteten Wert (die Wertänderung wurde noch nicht empfangen).
  • Die Aktion wurde noch nicht mit dem Button Abbrechen abgebrochen.

info Info

Der Aktionstyp Prüfe Rückmeldewert dient nur zum Lesen des Wertes der Rückmeldevariable, ohne eine Aktivität auszuführen.

Die Aktion ist für den Einsatz im Modul Schaltfolgen vorgesehen.

Wenn die Rückmeldevariable bereits den Wert der Schaltrichtung hat, wird die Aktionsausführung sofort als abgeschlossen erkannt. Die restlichen Buttons im Befehlsgabebild werden dadurch sofort verfügbar.

Hinweis: Ist die Rückmeldevariable auf Status OFF oder Revision gesetzt, kann der Rückmeldewert trotzdem geprüft werden.


Aktionstyp Sperre

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionstypen > Aktionstyp Sperre

Ermöglicht das Sperren einer Rückmeldevariable für die Aktionen der Befehlsgabe.

Hinweise:

  • Dieser Aktionstyp kann pro Befehlsgruppe nur einmal projektiert werden.
  • Verriegelugsbedingungen werden bei der Aktion nicht unterstützt. Sperren können immer ausgeführt werden.

info Info

Wird über die Aktion Sperre ein Schalter gesperrt, wird das Statusbit M1 der Rückmeldevariable gesetzt.

Ist die Eigenschaft Statusbits auf Befehlsvariablen schreiben aktiviert wird das Statusbit M1 auch auf der Befehlsvariable gesetzt.

Voraussetzung dazu sind im System vorhandene Benutzer, die über einen im Modul Benutzerverwaltung projektierten Sperrcode verfügen. Ein Sperren oder Entsperren einer Rückmeldevariable kann nur über die korrekte Eingabe eines Sperrcodes erfolgen.

Dabei kann dieselbe Variable auch von mehreren Benutzern parallel gesperrt werden. Aktionen für die Rückmeldevariable sind erst wieder möglich, wenn alle Sperren durch Eingabe des Sperrcodes aufgehoben wurden.

Es können keine Aktionen ausgeführt werden, wenn

  • Aktionen der Befehlsvariablen die gesperrte Variable als Rückmeldevariable verwenden (z.B. Schaltbefehl)
  • Aktionen der Befehlsvariablen die gesperrte Variable als Aktionsvariable verwenden (z.B. Ersetzen)

Über ein eigenes Kontrollelement Sperrliste kann eine Liste der aktuellen Sperren im Befehlsgabebild angezeigt werden.

Der Sperrcode kann für jeden Benutzer individuell definiert werden. Diese Parametrierung erfolgt direkt bei einem bereits bestehenden Benutzer in der Eigenschaft Sperrcode.

Die Einstellung für den Sperrcode kann auch in der Runtime für einen bestehenden Benutzer vorgenommen werden.

Zur Laufzeit können Benutzer, die noch über eine aktive Befehlssperre verfügen, nicht gelöscht werden.

attention Achtung

Benutzer können auch über die Entwicklungsumgebung gelöscht werden. Dies hat zur Folge, dass beim Neustart oder Nachladen der Runtime die definierten Sperren verloren gehen.

In der Benutzerverwaltung gesperrte (deaktivierte) Benutzer können keine Befehlssperre aktivieren oder deaktivieren.

info Info

Informationen über aktive Sperren werden auch im redundanten Netzwerk abgeglichen und stehen daher nach einer Redundanzumschaltung zur Verfügung.


Aktionen anwenden

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden

Die Befehlsgabe in der Energy Edition kann an mehreren Stellen genutzt werden. Dem Anwender bleibt dabei überlassen, welche Variante er einsetzen möchte. Auch eine gleichzeitige Nutzung (bezogen auf ein Element) der unterschiedlichen Verwendungsarten ist jederzeit möglich:

  • Aufruf über eine Funktion Bildumschaltung auf ein Bild vom Typ Befehlsgabe.
  • Aufruf über Bildelement vom Typ Zahlenwert, Combi-Element, Dynamischer Text, Bargraf, Uhr, Universalregler, Zeigerinstrument oder Zustandselement.
    Zur Aktivierung muss die Eigenschaft Sollwert setzen über des Elements auf Befehlsgabe konfiguriert werden.
  • Aufruf über ein Kontextmenü, wenn die Eigenschaft Aktionstyp den Wert Befehlsgabe hat. Für eventuelle Interaktion mit dem Benutzer (z.B. anstehende Verriegelung) wird das Befehlsgabebild geöffnet.
    Hinweis: Sie finden diese Eigenschaft in der Gruppe Darstellung/Typ der Menüeigenschaften.
  • Aufruf über das Modul Schaltfolgen.

Tipp Tipp

Verlinken Sie alle Bildelemente oder Funktionen, die die Befehlsgabe aufrufen, immer mit einer Rückmeldevariable.

Nur durch die Verlinkung mit einer Rückmeldevariable ist sichergestellt, dass alle Aktionen im Bild vom Typ Befehlsgabe für die Bedienung in der Runtime zur Verfügung stehen.

Eine Verlinkung mit einer Befehlsvariable wird ausdrücklich nicht empfohlen!

Sobald die Variable mit einer Befehlsgruppe verknüpft wurde, ist die direkte Sollwertvorgabe nur über ein zenon Bild vom Typ Befehlsgabe oder einem Kontextmenü vom Typ Befehlsgabe möglich.
Ausnahme: Enthält die Befehlsgruppe eine Aktion Sollwertvorgabe mit Rückmeldezustand/Schaltrichtung 'Sollwert', wird diese Aktion für die Befehlsvariablen (nicht Rückmeldevariablen) benutzt.

Dies geschieht:

  • beim Aufruf der Funktion Sollwert setzen.
  • beim Aufruf über ein Bildelement; auch wenn die Eigenschaft Sollwert setzen über des Elements den Wert Eingabemaske oder Element hat.
  • beim Aufruf über ein Kontextmenü von Typ Sollwert.

Dabei wird das Statusbit NET_SEL der Rückmeldevariable nicht berücksichtigt und es wird kein Select ausgeführt.

attention Achtung

Bei dieser Art der Ausführung verhindert eine anstehende Verriegelungsbedingung in der Sollwertvorgabe Aktion das Schreiben eines Sollwertes. Dabei erfolgt keine Interaktion mit dem Benutzer.

Noch in diesem Kapitel

Funktion Bildumschaltung auf Bild vom Typ Befehlsgabe

Befehlsgabe über dynamische Bildelemente

Befehlsgabe über Kontextmenü

Makros für Kontextmenü

Fehlermeldungen beim Aufschalten den Kontextmenüs

Ausführen von Aktionen über Kontextmenü

Kontextmenü Sollwert


Funktion Bildumschaltung auf Bild vom Typ Befehlsgabe

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Funktion Bildumschaltung auf Bild vom Typ Befehlsgabe

Wenn bei der Funktion Bildumschaltung als Bild ein Bild vom Typ Befehlsgabe ausgewählt wird, erhält der Konfigurationsdialog für die Bildumschaltfunktion folgende Parameter:

Parameter

Beschreibung

Variable welche die Befehlsgabe definiert

Die hier projektierte Variable definiert die zu verwendende Befehlsgruppe. Über den Namen der Variable ermittelt das Bild die passende Rückmeldevariable und die damit verknüpfte Aktionsvariable.

Initialstufe

Definiert den Schritt (Zustand) in welchem das Befehlsgabebild aufgeschaltet wird.

  • Stufe 1
    Das Bild wird aufgeschaltet und wartet auf Aktionsdefinition und Ausführung. Aktionsausführungen müssen manuell durch den Benutzer durchgeführt werden.
  • Sperre
    Das Bild wird im Befehlsschritt für die Aktionssperre geöffnet.
    Hinweis: Mit dieser Initialstufe sind nicht alle projektierten Kontrollelemente sichtbar. Eine Übersicht über sichtbare Kontrollelemente finden Sie im Kapitel Blockierte oder gesperrte Elemente.

attention Achtung

Bei fehlender Bedienberechtigung der Kommandovariable ist eine Bildumschaltung auf ein Bild vom Typ Befehlsgabe nicht möglich.


Befehlsgabe über dynamische Bildelemente

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Befehlsgabe über dynamische Bildelemente

Die Befehlsgabe kann durch Anklicken (linke Maustaste) eines dynamischen Bildelements angestoßen werden. Im Regelfall handelt es sich dabei um ein Combi-Element mit einem Symbol eines Schalters in der Topologie oder ein Zahlenwert-Element, das den Wert der Position (0 - aus, 1 - ein, 3 - gestört etc.) des Schalters darstellt. Das dynamische Bildelement sollte dafür:

  • in der Eigenschaft Sollwert setzen über mit Befehlsgabe konfiguriert werden
  • und mit einer Rückmeldevariable (bzw. Aktionsvariable) verknüpft werden. Also mit einer Variable die - über die Eigenschaft Befehlsgruppe - mit einer gültigen Befehlsgruppe konfiguriert wurde, so wie auch eine passende Aktionsvariable (bzw. Rückmeldevariable).

Das zu öffnende Bild - vom Typ Befehlsgabe - ist bei der Befehlsgruppe der beim Element verknüpften Variablen definiert. Die entsprechende Aktionsvariable (bzw. Rückmeldevariable) wird automatisch aus der Befehlsgruppe ermittelt.

info Info

Bei der gewählten Einstellung Befehlsgabe wird das Befehlsgabebild an Stelle des Standarddialogs Sollwert setzen aufgeschaltet.

Folgende Dynamische Elemente unterstützen die Einstellung Befehlsgabe:

  • Bargraf
  • Combi-Element
  • Textelement
  • Uhr
  • Universalregler
  • Zahlenwert
  • Zeigerinstrument
  • Zustandselement

Wenn die mit dem Element verknüpfte Variable keine Befehlsgruppe definiert hat, oder die Konfiguration der Befehlsgabe ungültig (z.B. unvollständig) ist, wird ein Fehlereintrag für den Diagnosis Viewer erzeugt. Das Bild wird dann nicht geöffnet.

info Info

Wenn eine Variable mit einer Befehlsgruppe verknüpft ist, kann man die Variable nicht mit der zenon Funktion Sollwert setzen beschreiben.

Ausnahme: Wenn in derselben Befehlsgruppe auch eine Aktion Sollwertvorgabe mit Schaltrichtung Sollwert angelegt wurde, dann ruft die zenon Funktion diese Aktion im Hintergrund auf, ohne dass das Bild Befehlsgabe aufgeschaltet wird. Das heißt, die Befehlsbedingungen werden überprüft (jedoch weder Interne, noch Topologische Verriegelungsbedingungen). Eine anstehende Verriegelungsbedingung verhindert das Schreiben eines Sollwertes. Während der Ausführung der Aktion wird das Statusbit NET_SEL nicht gesetzt und die Variableneigenschaft Select Before Operate wird ignoriert.

Das gilt auch für die Werteingabe einer Variablen, die mit einem dynamischen Bildelement verknüpft ist, wenn für die Eigenschaft Sollwert setzen über Element gewählt wurde.


Befehlsgabe über Kontextmenü

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Befehlsgabe über Kontextmenü

Die Befehlsgabe kann auch über ein Kontextmenü direkt am Element - Eigenschaft Runtime - Kontextmenü - angestoßen werden. Dabei handelt es sich um die am meisten verwendete Einsatzvariante. Das Kontextmenü stellt in diesem Zusammenhang bereits die erste Stufe der zweistufigen Aktionen dar. Für die zweite Stufe (Ausführen oder Abbrechen), oder eine Verriegelung, wird eventuell ein Bild geöffnet - das bei der Aktion verknüpft wurde.

Das Menü muss über einen Eintrag vom Aktionstyp Befehlsgabe verfügen. Die Anzeige der einzelnen Aktionen wird automatisch durch das Menü definiert. Abhängig vom 'Namen' des Menü-Eintrages kann dabei selektiv die Anzeige der Aktionen beeinflusst werden.

Beim Erzeugen einer neuen Aktion in der Befehlsgabe, wird eine Menü-ID entsprechend des Aktionstyps und der Schaltrichtung für die Eigenschaft Aktionstyp erzeugt und in der Dropdownliste angeboten. Entspricht der Inhalt einer für den Aktionstyp und die Schaltrichtung als Standardtext definierten ID, dann wird der Inhalt angepasst, wenn sich der Aktionstyp oder die Schaltrichtung ändern.

Um ein Kontextmenü für die Befehlsgabe zu erstellen:

  1. erstellen Sie in der Befehlsgabe die gewünschten Aktionen
  2. wählen Sie in den Eigenschaften des Kontextmenü-Eintrags den Aktionstyp Befehlsgabe
  3. wählen Sie mit der Eigenschaft Menü ID die gewünschte Aktion und Schaltrichtung über die Dropdownliste
  4. vergeben Sie in der Eigenschaft Text eine eindeutige Bezeichnung
    Hinweis: Wird für Text kein Eintrag definiert, wird das Feld automatisch mit der Bezeichnung "Befehlsgabe" gefüllt.

attention Achtung

Die Projektierung in der Eigenschaft Text muss eindeutig sein. Werden gleiche Texte vergeben, werden weitere Menüpunkte mit gleichem Text nicht angezeigt.

Da automatisch erzeugte Menüpunkte mit gleicher Aktion den gleichen Text ergeben, stehen für diese Makros zur Verfügung.

Die Zeichenfolge ID_CMD_AUTO ist für automatisch erzeugte Menüpunkte reserviert. Diese müssen immer mit Makros verwendet werden, da sonst nur der Menüpunkt eingefügt wird.

Beim Überprüfen auf doppelte Einträge gelten folgende Regeln:

  • Manuelle Menüpunkte haben Priorität gegenüber automatischen.
  • Bei gleichem Typ hat der letzte Eintrag doppelte Priorität.
  • Wenn ein doppelter Eintrag gefunden wird, erfolgt eine Warnung im Log. Diese enthält die Menü-ID und Bezeichnung. Automatisch expandierte Einträge haben bei der ID den Zusatz <auto>.

Aktionen für Aktionstyp Befehlsgabe

Aktion | Schaltrichtung | Menü-ID
ID_CMD_AUTO |  | Dieser Menüpunkt zeigt automatisch alle möglichen Aktionen für ein Element an, sofern kein direkter Menüpunkt aus der Liste bereits verwendet wird.
Pulsbefehl | EIN (1) | ID_CMD_EBEF_ON
Pulsbefehl | AUS (1) | ID_CMD_EBEF_OFF
Pulsbefehl | KEINE | ID_CMD_EBEF_NONE
Schaltbefehl | EIN (1) | ID_CMD_DBEF_ON
Schaltbefehl | AUS (2) | ID_CMD_DBEF_OFF
Schaltbefehl | KEINE | ID_CMD_DBEF_NONE
Sollwert | KEINE | ID_CMD_SVALUE
Sollwert | DIREKT | ID_CMD_SVALUE_DIR
Statusvorgabe | KEINE | ID_CMD_STATE
Statusvorgabe | EIN (1) | ID_CMD_STATE_ON
Statusvorgabe | AUS (0) | ID_CMD_STATE_OFF
Ersetzen | KEINE | ID_CMD_REPL_NONE
Ersetzen | EIN (1) | ID_CMD_REPL_ON
Ersetzen | AUS (0) | ID_CMD_REPL_OFF
Ersetzen | STÖR | ID_CMD_REPL_DEF
Ersetzen | DIFF | ID_CMD_REPL_DIFF
Nachführen | KEINE | ID_CMD_UPD_NONE
Nachführen | EIN (1) | ID_CMD_UPD_ON
Nachführen | AUS (0) | ID_CMD_UPD_OFF
Nachführen | DIFF | ID_CMD_UPD_DIFF
Nachführen | STÖR | ID_CMD_UPD_DEF
Nachführen | DIREKT | ID_CMD_UPD_DIR
Blockieren | KEINE | ID_CMD_BLOCK
Freigeben | KEINE | ID_CMD_UNLOCK
Sperren | KEINE | ID_CMD_LOCK
Revision | AUS (0) | ID_CMD_REV_OFF
Revision | EIN (1) | ID_CMD_REV_ON
Zwangsbefehl | EIN (1) | ID_CMD_FORCE_ON
Zwangsbefehl | Aus (0) | ID_CMD_FORCE_OFF
Zwangsbefehl | KEINE | ID_CMD_FORCE_NONE

Benennungen der Menüpunkte für das Kontextmenü

Automatische Erzeugung

Einträge, die über ID_CMD_AUTO erzeugt werden, erhalten automatisch einen Namen nach dem Schema: 'Aktionsnamen' plus 'Grenzwerttext der Schaltrichtung'.

Manuell aus Tabelle

Werden die Menü-Einträge aus der Tabelle erzeugt, muss für jede Aktion unter 'Darstellung - Text' ein Text für den Eintrag im Kontextmenü definiert werden.

Namen für die Menüpunkte:

  • Befehl
  • Sollwert
  • Status
  • Ersetzen
  • Freigeben
  • Nachführen
  • Blockieren
  • Sperre
  • Revision

Aktionstexte

Aktion | Text
Pulsbefehl Schaltbefehl | Text wird aus dem Grenzwert, entsprechend der Schaltrichtung, übernommen.
Nachführen Ersetzen | Wird eine Schaltrichtung (ungleich zu 'keine') definiert, wird der Text aus dem Grenzwert entsprechend der Schaltrichtung angezeigt.
Status | 'AUS' oder 'EIN' abhängig von der eingestellten Schaltrichtung.
Revision | Text aus dem Grenzwert entsprechend der Schaltrichtung.
Sonstige | Es wird kein spezieller Aktionstext angezeigt.

Example Beispiel

Angezeigter Text für einen Schaltbefehl mit definiertem Grenzwert:

'Befehl: Schaltrichtung EIN'

info Info
  • Alle angezeigten Texte sind mit den Standard-Mechanismen sprachumschaltbar. Siehe dazu auch: Welche Texte sind sprachumschaltbar?
  • Alle angezeigten Menü Einträge werden automatisch alphabetisch sortiert.

Die aktuell zu verwendende Befehlsgruppe wird über die Variable ermittelt, die mit dem Bildelement verknüpft ist. Wenn die Variable keine Befehlsgruppe zugeordnet hat oder die Rückmeldevariable nicht existiert, wird das Kontextmenü zur Runtime nicht angezeigt (eine entsprechende Fehlermeldung wird am Diagnosis Server eingetragen).

info Info

In Abhängigkeit von der Befehlsgruppe werden die Menüpunkte der Befehlsgabe dargestellt. Der Menüpunkt wird nur angezeigt, wenn die mit ihm verbundene Aktion existiert. Daraus ergibt sich, dass wenn die Variable des Elements die Befehlsvariable ist, nur die Aktionen für die Befehlsvariable, plus Aktion Sperre angezeigt werden können. Aktionen für die Rückmeldevariable werden automatisch ausgeblendet.

Verfügbarkeitsbedingungen

Die Menüpunkte werden nur freigegeben, wenn die entsprechenden Aktionen ausführbar sind. Folgende Bedingungen sind Voraussetzung:

  • Alle Menüpunkte sind gesperrt, wenn bei der Rückmeldevariable das Statusbit NET_SEL aktiv ist.
  • Alle Menüpunkte sind gesperrt, wenn die Rückmeldevariable nicht ermittelt werden konnte.
  • Alle Menüpunkte sind gesperrt, wenn die Rückmeldevariable keinen Wert hat und dieser auch nicht innerhalb 30 Sekunden angefordert werden konnte.
  • Am Web Client ohne Schreibberechtigung sind die Menüpunkte gesperrt.
  • Die Menüpunkte sind gesperrt, wenn die Verbindung zum Prozessführenden Server fehlt.
  • Der Menüpunkt, welcher mit der Aktion Freigeben verbunden ist, wird gesperrt, wenn bei der Aktionsvariable nicht das Statusbit ALT_VAL aktiv ist.
  • Der Menüpunkt, welcher mit der Aktion Ersetzen oder Revision verbunden ist, dessen Schaltrichtung dem Wert der Aktionsvariable entspricht, ist gesperrt.
  • Alle Menüpunkte bis auf jenen welcher mit der Aktion Sperre verbunden ist, sind gesperrt, wenn bei der Rückmeldevariable eine Änderungssperre aktiv ist.
  • Wenn bei der Rückmeldevariable das Statusbit REVISION aktiv ist, sind die Aktionen Sollwert, Ersetzen, Nachführen und Befehl gesperrt.
  • Solange bei der Befehlsgruppe eine Laufzeitüberwachung, Flankenbildung oder SBO aktiv ist, werden alle Menüpunkte gesperrt. Dies ergibt sich, da das Statusbit NET_SEL ebenfalls aktiv bleibt.


Makros für Kontextmenü

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Makros für Kontextmenü

Ein Makro ist eine definierte Zeichenfolge, die bei der Menüpunkterzeugung zur Runtime mit einem Text ersetzt wird. Beinahe alle Makros können pro Menüpunkt mehrfach vorkommen. Sie können auch als Ergebnis weitere Makros beinhalten. Dabei muss die Expansionsreihenfolge beachtet werden. Makros sind bei der Menüprojektierung case insensitive. Wenn Makros als Ergebnis ein Makro beinhalten, muss das Makro in Großbuchstaben im Ergebnis enthalten sein. Die Eingabe erfolgt mit $ als Prefix und Suffix.

Die Reihenfolge der Expansion erfolgt von links nach rechts in folgender Priorität.

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<Zustand>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Makro

Beschreibung

$ALL$

Ergibt Aktionsbenennung: Schaltrichtung.

Entspricht der Kombination der Makros $ACT$: $DIR$

Hinweis: Wird ein Kontextmenü für Befehlsgabe angelegt, so ist der Default-Text $ALL$, auch wenn das Menü schon einen Text projektiert hat aber der Aktionstyp zur Befehlsgabe wechselt.

$NOTE$

Der gesamte Text inklusive dem Makro wird als Bemerkung interpretiert. Ist der resultierende Text leer, wird das Makro $ALL$ eingesetzt.

Als letztes Makro wird nochmals das Bemerkungsmakro geprüft und der Text rechts davon inklusive Makro gelöscht.

Ist der resultierende Text leer oder besteht er nur aus Leerzeichen, wird der Menüpunkt nicht eingefügt.

$TAG$

Wird durch die Kennung der Aktionsvariable ersetzt.

Die Kennung kann durch die Onlinesprachübersetzung übersetzt werden. Wenn kein Übersetzungszeichen (@) enthalten ist, wird automatisch die gesamte Kennung zur Übersetzung markiert.

$REMA<Zustand>$

<Zustand> ist ein Rema- oder Grenzwertzustand, dessen Text zur Ersetzung verwendet wird.

Ist der Zustand nicht vorhanden, wird der Menüpunkt nicht dargestellt.

Der Grenzwerttext wird vor der Makroexpansion entsprechend der Platzierung von @ sprachübersetzt.

Zustand kann eine Zahl zwischen -231 und 231-1 sein. Führende Leerzeichen und ein Vorzeichen sind erlaubt. Wenn nicht auf eine Zahl konvertierbare Zeichen enthalten sind oder die Zahl außerhalb des angegebenen Bereiches ist, wird der Menüpunkt nicht dargestellt.

$RDIR$

Text für die Schaltrichtung aus Reaktionsmatrix/Grenzwert wie im Makro $DIR$, ausgenommen:

  • Aktion Sollwert setzen direkt
    Der Text wird aus Rema/Grenzwert vom Zustand, der dem Wert des zu setzenden Sollwertes entspricht, genommen.
  • Aktion Status ein und Status aus
    Text wird aus Rema/Grenzwert für den Zustand ein oder aus genommen.
  • Aktion Nachführen direkt
    Der Text wird aus Rema/Grenzwert vom Zustand, der dem Wert des zu setzenden Sollwertes entspricht, genommen.

$DIR$

Schaltrichtung der Aktion.

$ACT$

Aktionsbenennung der Aktion.

$NAME$

Das Makro $NAME$ kann für die Bildung von Menus verwendet werden und liefert den projektierten Inhalt der Eigenschaft Aktionsname, der auch zur Runtime mit einem @-Zeichen sprachumschaltbar ist.

Automatisch erzeugte Menüpunkte

Automatisch erzeugte Menüpunkte werden bei ID_CMD_AUTO als Menü-ID erzeugt. In diesem Fall müssen immer Makros verwendet werden, da ansonsten nur ein Menüpunkt eingefügt wird.

Kompatibilität

Vor Version 6.51 wurde Text bei automatischen Menüpunkten ignoriert. Bei der Konvertierung von Projekten, die mit Versionen vor 6.51 erstellt wurden, werden vor dem projektierten Text die Makros $ALL$$NOTE$ eingefügt. Damit verhalten sich diese Menüpunkte genauso wie bisher.

Online Sprachumschaltung

Die Beschriftung für den Menüpunkt in der Eigenschaft Text wird vor der Makroexpansion ab dem Zeichen @ sprachübersetzt.

Hinweis: Ist beim Makro $TAGS$ kein Übersetzungsindikator (@) enthalten, wird der komplette Text übersetzt.


Fehlermeldungen beim Aufschalten den Kontextmenüs

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Fehlermeldungen beim Aufschalten den Kontextmenüs

Beim Aufschalten den Menüs in der Runtime, wird dessen Inhalt auf Konsistenz geprüft. Bei auftretenden Fehler werden entsprechende Fehlermeldungen für das Diagnosis Viewer ausgegeben. Folgende Meldungen können auftreten:

Parameter | Beschreibung
Menüpunkt für Befehlsgabe unterdrückt da Name mehrfach im Menü! | Das Menü beinhaltet bereits einen Menüpunkt mit einem in der Befehlsgabe verwendeten Bezeichner. Verwenden Sie die bei der Befehlsgabe verwendeten Namen für keine sonstigen Menüpunkte.
Menüpunkt für Befehlsgabe unterdrückt da Benennung mehrfach im Menü! | Es ist bereits ein Menüpunkt mit der gleichen Benennung im Menü. Automatisch erzeugte Menüpunkt werden nicht eingefügt, wenn bereits ein Menüpunkt mit der gleichen Benennung im Menü ist.
Text für Menüeintrag kann nicht ermittelt werden! | Die Benennung eines automatisch erzeugten Menüpunkt konnte nicht ermittelt werden. Dies deutet meist auf einen fehlenden Grenzwertext hin.
Keine Befehlsgruppe bei Variable vom Bildelement verknüpft! | Die dem Bildelement zugeordnete Variable hat keine oder eine nicht mehr gültige Befehlsgruppe verknüpft. Entsprechende Fehlermeldungen werden beim Kompilieren ausgegeben.
Rückmeldevariable nicht existent! | Die bei der Befehlsgruppe verwendete Rückmeldevariable existiert nicht.
Select nicht aktivierbar! | Statusbit NET_SEL(8) konnte nicht innerhalb der Timeoutzeit aktiviert werden.


Ausführen von Aktionen über Kontextmenü

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Ausführen von Aktionen über Kontextmenü

Nach Aktivierung eines Menüpunktes für die Befehlsgabe wird die zugeordnete Aktion ausgeführt. Das Ausführen über Menü aktiviert im ersten Schritt das Setzen des Statusbits NET_SEL. Nur wenn dies erfolgreich war, wird die Ausführung der eigentlichen Aktion (zum Beispiel die Ausführung der Aktion Schaltbefehl) begonnen.

Anschließend öffnet sich ein Bild vom Typ Befehlsgabe, wenn eines der folgenden Kriterien erfüllt ist:

  • Wenn die auszuführende Aktion Sollwertvorgabe, Statusvorgabe mit Eingabe oder Nachführen ist, wird das der Aktion zugeordnete Bild im Schritt „Stufe 1“ geöffnet. Im Bild kann dann der zu schreibende Sollwert oder Status definiert werden.
  • Wenn die auszuführende Aktion Sperre ist, wird das aktionsspezifische Bild mit dem Schritt Sperre aufgerufen.
  • Wenn eine anstehende Verriegelungsbedingung die Ausführung verhindert, wird das bei der Aktion projektierte Bild im Schritt Entriegelung aufgerufen. Eine Ausführung wird auch verhindert, wenn Select Before Operate nicht fehlerfrei aktiviert werden konnte.
  • Wenn eine zweistufige Ausführung bei der Aktion projektiert ist, wird das aktionsspezifische Bild im Schritt „Stufe 2“ aufgerufen.
  • Wenn bei der Aktion kein spezifisches Bild projektiert wurde, wird das Bild, welches zentral bei der Befehlsgruppe projektiert wurde, geöffnet.

info Info

Trifft keine der oben genannten Bedingungen zu, wird die Aktion sofort - ohne weitere Bedienhandlungen - ausgeführt.


Kontextmenü Sollwert

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Aktionen anwenden > Kontextmenü Sollwert

Ist die einem Bildelement zugeordnete Variable mit einer Befehlsgruppe verknüpft, wird auch das Schreiben eines Sollwertes über die Befehlsgabe abgehandelt. Voraussetzung dafür ist, dass bei der Befehlsgabe eine Aktion Sollwertvorgabe mit Rückmeldezustand/Schaltrichtung Sollwert vorhanden ist. Fehlt diese, wird das Absetzen des Sollwertes nicht ausgeführt.

info Info

Eine anstehende Verriegelungsbedingung verhindert das Schreiben eines Sollwertes.


Befehlsbedingungen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Befehlsbedingungen

Befehlsgruppen beinhalten zum einen die Definition der Schalt-Aktionen, zum anderen auch die Definition der Befehls-Verriegelungsbedingungen. Befehlsbedingungen sind optionale Parameter die Applikation-spezifisch definiert werden können.

Jede Aktion innerhalb einer Befehlsgruppe kann zusätzlich mit Verriegelungsbedingungen erweitert werden. Diese prozessgesteuerten Bedingungen verhindern ein ungewolltes Ausführen von Aktionen, abhängig vom aktuellen Prozesszustand.

Für die Befehlsbedingungen sind in einer Befehlsgruppe folgende drei Teile wesentlich:

  • Die Aktion, bei der die Bedingungen definiert wurden, und auf die auch die internen Verriegelungen zutreffen.
    Die Aktionen definieren welcher Befehl ausgeführt wird, auf welche Variablen diese Aktionen angewendet werden sollen und parametrieren die internen Verriegelungen.
  • Die Bedingungsvariablen, aufgelistet im Knoten Variablen der Befehlsgruppe.
    Diese definieren, welche Variablen in den Befehlsbedingungen verwendet werden können.
  • Die Befehlsbedingungen, erstellt pro Aktion.
    Diese Bedingungen beinhalten eine oder mehrere Formeln, die auf Bedingungsvariablen basieren. Dieser Syntax ist gleich wie die Definition der Formeln im Formel Editor. Somit kann das Ausführen von Befehlen zusätzlich vom aktuellen Prozesszustand abhängig gemacht werden.

info Info

Projektierten Allgemeine Verriegelungen haben auf diese Prüfung keinen Einfluss.

Zusätzlich zu den Befehlsbedingungen werden vor Aktionsausführung folgende Verriegelungstypen automatisch überprüft:

  • Interne Verriegelungsbedingungen
  • Topologische Verriegelungsbedingungen

Interne Verriegelungsbedingungen

Diese Bedingungen werden vor jeder Aktionsausführung automatisch überprüft, ohne dass der Projektant Einfluss darauf nehmen kann. Diese Interne Verriegelungsbedingungen sind vom System vorgegeben und dienen der Plausibilitätsprüfung.

Example Beispiel

Eine Interne Verriegelung trifft ein wenn:

  • Die Rückmeldevariable ist bereits in zenon Netzwerk ausgewählt (hat NET_SEL Statusbit von anderem Netzwerk Client gesetzt).
  • Die Rückmeldevariable hat bereits gewünschter Wert und die Aktion wurde mit Soll/Ist-Vergleich konfiguriert.
  • Im SBO das Select wurde von Steuerung abgelehnt (Statusbits: SE_870 + COT_actcon(7) + N_CONF).

Topologische Verriegelungsbedingungen

Diese Bedingungen ergeben sich aus dem aktuellen topologischen Zustand zur Laufzeit. Die Definition dieser Bedingungen erfolgt in den 'Konfiguration der Topologischen Verriegelungen' Einstellungen des Projekts für Automatic Line Coloring.

Noch in diesem Kapitel

Befehlsbedingungen definieren

Interne Verriegelungsbedingungen


Befehlsbedingungen definieren

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Befehlsbedingungen > Befehlsbedingungen definieren

Zu jeder Aktion kann eine beliebige Anzahl von Befehlsbedingungen definiert werden. Durch diese Bedingungen kann die Ausführbarkeit einer Aktion zusätzlich eingeschränkt werden. Diese Bedingungen werden durch Formeln definiert, in denen Variablen aus den aktiven Projekten verwendet werden können. Die Formel spricht dabei die verknüpften Variablen über den Index in der Bedingung an.

info Info

Die Bedingungsvariable wird wenn ein ‚*’ in der Definition verwendet wird automatisch ersetzt.

Bedingungsvariable definieren

In einem ersten Schritt müssen die Variablen oder Ersatznamen der Variablen projektiert werden. Diese werden später bei den Formeln der Befehlsbedingungen verwendet. Werden zur Laufzeit die definierten Bedingungen durch die verknüpften Prozessvariablen erfüllt, stehen dem Anwender die jeweiligen Aktionen zur Verfügung.

info Info

In einer Formel verwendete Variablen können nicht aus dem Knoten Variablen der Befehlsgruppe entfernt werden:

  • in einer Verriegelungsbedingung
  • in der Schalterfallerkennung - Erkennungsunterdrückung

Projektierung

Die Definition einer Befehlsbedingung erfolgt durch Formeln. Nicht erfüllte Bedingungen bewirken dass in der Runtime die Aktion nicht ausgeführt wird oder zuerst durch den Benutzer entriegelt werden muss. Der Benutzer muss dafür die entsprechende Berechtigunsebene zur Entriegelung haben.

Um eine Befehlsbedingung zu definieren, empfiehlt sich folgende Vorgehensweise:

  1. Gehen Sie zum Knoten Variablen in der Detailansicht der Befehlsgabe.
    1. Wählen Sie im Kontextmenü den Eintrag Variable hinzufügen....
    2. Der Variablenauswahldialog wird geöffnet.
  2. Wählen Sie eine Prozessvariable.
    Diese Variable dient als Grundlage für die Formeln der Befehlsbedingungen.

    Optional:
    Erzeugen Sie eine ersetzbare Definition:

    1. Brechen Sie dazu den Variablenauswahldialog mit Klick auf die Schaltfläche Keine Auswahl ab.
      Eine leere Definition wird erzeugt.
    2. Geben Sie im Eingabefeld der Eigenschaft Verriegelungsvariable den Namen mit dem Platzhalter * ein.
      Dadurch wird die automatische Ersetzung projektiert.
  3. Gehen Sie zu einer bereits bestehende Aktion.
  4. Wählen Sie im Kontextmenü den Eintrag Verriegelungsbedingung neu.
  5. Definieren Sie die gewünschte Formel in der Eigenschaft Logische Verknüpfung.


Interne Verriegelungsbedingungen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Befehlsbedingungen > Interne Verriegelungsbedingungen

Mit Hilfe der internen Verriegelungsbedingungen werden die grundlegenden Voraussetzungen für die Aktionsausführung geprüft (Plausibilitätsprüfung). Die Ergebnisse, beziehungsweise das Ansprechen einer Verriegelung, wird zur Runtime im Bild vom Typ Befehlsgabe im Bildelement Verriegelungstext angezeigt.

Parameter

Beschreibung

Zustand schon vorhanden

Zu setzender Zustand entspricht bereits dem aktuellen Wert der Rückmeldevariable. Diese Überprüfung ist nur aktiv, wenn für die Aktion die Eigenschaft Soll/Ist-Vergleich aktiviert wurde.

Diese Verriegelung ist entriegelbar; soweit der Benutzer eine Berechtigung dazu hat - entsprechend der Eigenschaft Berechtigunsebene zur Entriegelung der Aktion.

Interner Fehler aufgetreten

Befehlsgabe kann die Prüfung nicht ausführen.
Tritt auf, wenn der Datentyp der Aktionsvariable für diese Aktion nicht erlaubt ist.

Beispiel: Aktion Pulsbefehl Ein für Stringvariablen.

Diese Verriegelung ist nicht entriegelbar.

Kein Verriegelungsobjekt

Befehlsgruppe konnte nicht ermittelt werden (Projektierungsfehler).
Diese Verriegelung ist nicht entriegelbar.

Aktion nicht definiert

Auszuführende Aktion konnte nicht ermittelt werden (Projektierungsfehler).
Diese Verriegelung ist nicht entriegelbar.

Differenz zwischen lokaler und globaler Verriegelung

Pulsbefehl Parameter nicht konsistent (Projektierungsfehler).
Diese Verriegelung ist nicht entriegelbar.

Ein oder mehrere Werte sind nicht verfügbar

Wert der Bedingungsvariable ist:

  • nicht verfügbar (Verriegelungscode: 14)
  • gestört - Statusbit INVALID (Verriegelungscode: 15)

Diese Verriegelung ist nicht entriegelbar.

Sperrverwaltung nicht gültig

Die Verwaltung der Sperren konnte nicht geladen werden und ist ungültig.
Diese Verriegelung ist nicht entriegelbar.

Variable gegen Änderungen gesperrt

Befehlsgabe durch die Rückmeldevariable - Statusbit M1 - gesperrt.
Diese Verriegelung ist nicht entriegelbar.

Hinweis: Mit Aktionstyp Sperre können Sie im Befehlsgabebild das Ändern von Variablen sowohl sperren wie entsperren.

SBO abgelehnt

Die Aktivierung des Select wurde von der Steuerung abgelehnt.
Diese Verriegelung ist nicht entriegelbar.

Hinweis: Nur die Energy Treiber signalisieren die Ablehnung des Select - die Aktionsvariable bekommt die Statusbits COT_actcon(7) + N_CONF + SE_870.

Timeout bei SBO Aktivierung

Innerhalb des projektierten Timeouts wurde von der Steuerung keine Bestätigung - weder positiv noch negativ - für Select Aktivierung erhalten.
Diese Verriegelung ist nicht entriegelbar.

Hinweis: Nur die Energy Treiber unterstützen Select Aktivierung - die Aktionsvariable bekommt die Statusbits COT_act(6) + SE_870.

Timeout bei SBO Deaktivierung

Innerhalb des projektierten Timeouts wurde von der Steuerung keine Bestätigung - weder positiv noch negativ - für die Deaktivierung (Cancel zum Select) erhalten.
Diese Verriegelung ist nicht entriegelbar.

Timeout bei Ausführung

Die Aktionsausführung wurde nicht innerhalb des projektierten Timeouts als beendet gemeldet. Bei der Rückmeldevariable wird das Statusbit TIMEOUT gesetzt.
Diese Verriegelung ist nicht entriegelbar.

Hinweis: was erfüllt sein muss um die Aktion abzuschließen bestimmt die Laufzeitüberwachung der Befehlsgruppe.

SBO abgelaufen

Die Steuerung hat den Ablauf der Zeit für die SBO Aktivierung gemeldet. Die zweite Ausführungsstufe wird erneut versuchen ein Select zu senden.
Diese Verriegelung ist nicht entriegelbar.

Hinweis: Ob eine Steuerung das Select-Timeout melden kann, bestimmt das jeweilige Kommunikationsprotokoll. Wenn ja, dann signalisieren die Energy Treiber den Ablauf des Select - die Aktionsvariable bekommt die Statusbits COT_actterm(10) + N_CONF + SE_870.

Hinweis: Die Nummern der internen Verriegelungsbedingungen sind auch in der System Treiber Variable [Befehlsgabe] Verriegelungscode abgebildet, wenn diese Variable im Projekt angelegt wurde.


Formeleditor

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor

Der Formeleditor unterstützt bei der Erstellung von Formeln mit logischen oder vergleichenden Operatoren beim Combi-Element, bei Verriegelungen und Befehlsgabe. Werden für eine Formel zusätzliche Variablen benötigt, erstellen Sie diese im Bereich Formelvariablen des Zustandsfensters mit Klick auf die Schaltfläche Hinzufügen. Vorhandene Formeln werden in der Zustandsliste durch den Buchstaben F angezeigt.

Hinweis zur Eingabe von Nachkommastellen:

  • Dezimaltrennzeichen: Komma (,) wird automatisch durch Punkt (.) ersetzt
  • Null als Nachkommastelle wird automatisch entfernt, aus 23.000 wird automatisch 23

Formel erstellen

Klicken Sie im Zustandsfenster auf die Schaltfläche Formel. Der Formeleditor öffnet sich

Im linken Fenster wählen Sie die Bits für Ihre Formel aus.

Rechts finden Sie die Operatoren für logische und vergleichende Operationen.

Im Bereich Formel wird die erstellte Formel angezeigt.

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99. Die Länge der Formel darf dabei 4096 Zeichen nicht überschreiten.

Die Bedeutung der Bits:

Parameter

Beschreibung

Wert-Bits

Es stehen 32 Wert-Bits (von 0 -31) zur Verfügung. Sie beschreiben den Variablenwert bitweise. Für binäre Variablen hat nur das Bit 0 Bedeutung, für SINT und USINT die Bits 0-7 usw...

Hinweis: Die Auswertung bezieht sich immer auf den Rohwert (Signalbereich) der Variablen und nicht auf den umgerechneten Messwert.

Status-Bits

Stellt die gängigsten Status-Bits zur Verfügung. Die genaue Definition und Verwendung der Status-Bits finden Sie in der Liste Status-Bits.

unquittiert

Unquittiert wird wie ein ganz normales Status-Bit behandelt, wird hier aber separat angeführt, da es nicht zu den klassischen Variablen Status gehört.

Wert und Status

Alle Werte (Wert-Bits und Status-Bits) in den Formeln werden als Binärwerte betrachtet und können dann logisch mit UND oder ODER sowie anderen logischen Ausdrücken verbunden werden.
Eine Ausnahme bilden der Gesamtwert und der Gesamtstatus. Damit man bei diesen auf einen Booleschen Ausdruck kommt, muss man den Gesamtwert zuerst mit einer Konstante bitweise verodern. Dazu wird der Operator & verwendet.
Bei Ergebnis 0 (FALSE) der bitweisen Veroderung ergibt sich der Binärwert 0 (FALSE), ansonsten 1 (TRUE).

Beispiel: Siehe Kapitel Beispiel bitweise Veroderung.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.

Werden außerhalb des Formeleditors andere Einstellungen für den aktuellen Zustand gemacht, so werden diese mit der Formel mit einem logischen UND verknüpft.

Für Beispiele siehe Abschnitt Beispiele für Formeln.

info Info

Formeln mit binären X-Werten und bitweiser Verknüpfung können mit maximal 2 binären Werten benutzt werden. Werden mehr Werte benötigt, muss die Verknüpfung ohne binäre X-Werte erfolgen.

Beispiel:

X01.Value & X02.Value -> funktioniert

X01.Value & X02.Value & X03.Value -> funktioniert nicht

Aber:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funktioniert

Noch in diesem Kapitel

Liste Status-Bits

Logische Operatoren

Bitformeln

Beispiel bitweise Veroderung

Vergleichsoperatoren

Beispiele für Formeln


Liste Status-Bits

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Logische Operatoren

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor > Logische Operatoren

Logische Verknüpfungen: Variablen werden nur auf den logischen Wert '0' überprüft, ist der Wert ungleich '0', wird er mit '1' definiert.

Im Unterschied zur Bitformel kann der technische Bereich durch einen Streckungsfaktor verändert werden -> ungleich '0' oder '1'.

Operator | Bedeutung
AND | logisch 'UND'
NOT | Negation
OR | logisch 'ODER'
XOR | logisch 'EXKLUSIV ODER'

Die Operatoren haben in der Formelberechnung folgende Priorität:

Priorität | Operator
1 | & (Operator für Bitformeln)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.


Bitformeln

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor > Bitformeln

Bitformeln besitzen nur einen logischen Low- oder Highzustand. Im Unterschied zu logischen Formeln ist der Rohwert bereits fix vordefiniert (0,1).

Operator | Beschreibung
& | AND
| | OR


Beispiel bitweise Veroderung

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor > Beispiel bitweise Veroderung

Sie wollen abfragen, ob eines der Anwenderstatus Bits 1-8 (M1 ... M8) von der Variable X01 gesetzt ist.

Normale Formel:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Diese Abfrage kann durch die bitweise Veroderung des Gesamtstatus wesentlich erleichtert werden.

Bitweise Veroderung

X01.Status & 0xFF

Die Konstante kann, wie oben beschrieben, Hexadezimal eingegeben werden:

0xFF entspricht dezimal 255, das sind die ersten acht Statusbits (Binär 11111111). Steht eines dieser Bits auf 1, dann ist das Ergebnis dieser bitweisen Veroderung 1 (True), ansonsten 0 (False).

Sollen z. B. alle Anwender Status-Bits außer dem Anwender Status-Bit M7 abgefragt werden, wäre der Binäre Ausdruck dafür: 10111111. Bit 7 ist nicht interessant, steht daher auf 0. Das entspricht Hexadezimal 0xBF. Der Ausdruck für die Formel ist dann: X01.Status & 0xBF.

Statt mit einer Konstante bitweise zu verodern, kann man den Wert auch direkt mit einer dezimalen Zahl vergleichen. Ist ein Vergleich falsch, ergibt sich der Binärwert 0 (False), ansonsten 1 (True).

Beispiel:

Sie wollen abfragen, ob ein Wert der Konstanten 202 entspricht. Die Formel lautet:

X01.Wert = 202

Entspricht der Wert der Konstanten 202, so ist das Ergebnis dieses Vergleiches 1 (True), ansonsten 0 (False).

Hinweis: Die bitweise Veroderung funktioniert mit dem Oder-Zeichen (|), gleich wie in diesem Beispiel.


Vergleichsoperatoren

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor > Vergleichsoperatoren

Vergleichsoperatoren dienen zum direkten Vergleich von zwei numerischen Werten. Das Ergebnis dieses Vergleichs wird in Form eines Binärzustandes dargestellt. „0“ wenn die Bedingung nicht erfüllt ist und „1“ wenn die Bedingung erfüllt ist.

Operator | Beschreibung
< | kleiner
> | größer
<= | kleiner gleich
>= | größer gleich
= | ist gleich
<> | ungleich

Links und rechts vom Vergleichs Operator muss ein (Gesamt-)Wert oder (Gesamt-)Status stehen, Einzelbits können mit diesen Vergleichsoperatoren nicht verwendet werden.

Rechts vom Vergleichs Operator kann auch eine Konstante stehen.
Im Combi-Element werden diese Konstanten als hexadezimale Werte oder Dezimalwerte eingegeben. Hexadezimale Zahlen werden beim Klick auf OK automatisch in Dezimalzahlen umgewandelt. Zum Beispiel entspricht 0x64 dem numerischen Wert 100.

Hinweis: Das Combi-Element ist im Modul Batch Control nicht verfügbar.

Example Beispiel

X01.Wert >= X02.Wert
Das Ergebnis ist „1“ wenn der Wert von X01 größer oder gleich dem Wert X02 ist

X01.Wert = 0x64
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 entspricht (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 oder 101 entspricht (= Hex 0x64 und Hex 0x65)


Beispiele für Formeln

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Befehlsgabe projektieren > Formeleditor > Beispiele für Formeln

Einfache logische UND Verknüpfung zwischen zwei Werte Bits

Example Beispiel

Formel: X01.03 AND X02.03

Diese Formel ergibt den Zustand WAHR, wenn sowohl Bit 3 der Variablen 1 als auch Bit 3 der Variablen 2 den Wert 1 hat.

Den Wert oder Status einer Variable vergleichen

Example Beispiel

(X01.Wert> X02.Wert)

Vergleiche auf logischer Basis miteinander vergleichen

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Vergleiche mit Werte- und Status-Bits

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Einen Wert mit einem dezimalen oder hexadezimalen Wert vergleichen

Example Beispiel

Formel: (X01.Wert = 111)

Formel: (X01.Wert = 0x6F)

Wird ein hexadezimaler Wert verwendet, so wird dieser mit dem Klick auf OK später in dezimale Schreibweise umgewandelt. Wurde ein dezimaler Wert angegeben und bestätigt, wird dieser beim erneuten Öffnen weiter als dezimaler Wert angezeigt.

info Info

Bei der Eingabe von Zahlen ist es nicht möglich, ein Komma oder einen Punkt zu verwenden.


Menü erzeugen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Menü erzeugen

Die Befehlsgabe kann auch über ein Kontextmenü aktiviert werden. Kontextmenüs werden im Editor über den Knoten Menüs erstellt und in den Eigenschaften des Elements, auf das Sie sich beziehen, definiert.

Ein Menü-Eintrag kann einen von drei verschiedenen Inhalten haben:

Parameter

Beschreibung

Aktionstyp

Legt fest, welche Art von Aktion über den entsprechenden Menü-Eintrag zur Runtime ausgeführt werden soll. Nicht alle Aktionstypen stehen im Hauptmenü zur Verfügung, manche sind nur über das Kontextmenü projektierbar.

  • Alarme quittieren (nur Kontextmenü)
  • Befehlsgabe (nur Kontextmenü)
  • Blinken quittieren (nur Kontextmenü)
  • Erweiterten Trend anzeigen
  • Funktion
  • Hilfe
  • Keine Aktion
  • Sollwert absetzen
  • VBA Makro (nur Kontextmenü)

Untermenü

Öffnet zur Runtime ein Untermenü.

Trennlinie

Eine horizontale Linie trennt Menüeinträge.

Text unterstreichen: Die Eingabe eines & bewirkt, dass das folgende Zeichen unterstrichen dargestellt wird.

Einträge projektieren

Um einen Menüeintrag im Hauptmenü oder Kontextmenü zu projektieren:

  1. aktivieren Sie die entsprechende Menüzelle
  2. wählen Sie in den Eigenschaften:
    • Aktionstyp: abhängig von Menüart
      siehe auch: Aktionstypen Hauptmenü und Aktionstypen Kontextmenü
    • Menü ID: ID des Eintrags
      Hinweis: Für Menüeinträge des Moduls Befehlsgabe werden von diesem Modul fix vordefinierte Typen mit vorgegebenen IDs für die Projektierung verwendet.
      Weitere Informationen dazu sowie eine Auflistung dieser IDs finden Sie im Handbuch Energy Edition im Kapitel Befehlsgabe über Kontextmenü.
    • Text: eindeutige Beschriftung der Menüzelle

attention Achtung

Die Projektierung in der Eigenschaft Text muss eindeutig sein. Werden gleiche Texte vergeben, werden weitere Menüpunkte mit gleichem Text nicht angezeigt.

Details zur Definition von Kontextmenüs für die Befehlsgabe lesen Sie im Kapitel Menüs/Befehlsgabe.


Runtime Dateien erzeugen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Runtime Dateien erzeugen

Beim Erzeugen der Runtime-Dateien für die Befehlsgruppen wird eine Prüfung auf Fehlprojektierung durchgeführt. Zusätzlich erfolgt eine Validierung für die die korrekte Ersetzung der Variablennamen.

Für jede Variable, die eine Befehlsgruppe zugeordnet hat, wird die Befehlsgruppe für die Bedienung zur zenon Runtime instanziert. In jeder Instanz sind nur mehr jene Aktionen enthalten, welche über diese Variable ausgelöst werden dürfen.

Example Beispiel

Die Befehlsgruppe zur Befehlsvariable enthält nurmehr Aktionen für die jeweilige Befehlsvariable.

Ausnahme: die Aktion „Sperre“ ist auch bei der Befehlsvariable verfügbar.

info Info

Auch Änderungen der Projektierung für Variablen erfordern eine Neukompilierung des Projekts.

Noch in diesem Kapitel

Ersetzen der Variablennamen

Fehler beim Erzeugen der Runtime-Dateien


Ersetzen der Variablennamen

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Runtime Dateien erzeugen > Ersetzen der Variablennamen

Um die Wiederverwendbarkeit der Befehlsgruppe zu erhöhen, besteht die Möglichkeit die Variablenbezüge zu ersetzen. Die Ersetzung ist für Rückmelde-, Befehls- und Bedingungsvariable möglich.

Bei der Ersetzung wird der Platzhalter (Wildcard *) automatisch durch den Namen jener Variable ersetzt, die der Befehlsgabe zugeordnet ist.

Beispiel

Die Befehlsgruppe wurde in der Eigenschaft Variablenname der Rückmeldung mit der Maske *_RV konfiguriert. Im Projekt wurden die Variablen xyz_RV, abcRV und bool_RV angelegt und mit der Befeghlsgruppe verknüpft.

Variable | Teil zu ersetzen | Ergebnis | Bemerkung
xyz_RM | xyz | xyz_RM | Variable existiert, Zuordnung erfolgreich.
abcRM | <leer> | _RM | Die Maske passt nicht, da das Zeichen _ fehlt. Der Kompiler wird ein Fehler melden. In der Runtime die Bedienung der Variable abcRM löst keine Befahlsgabe aus.
bool_RM | bool | bool_RM | Variable existiert, Zuordnung erfolgreich.

Diese Regeln gelten gleichlautend für die Befehlsvariablen.

info Info

Bei kompilieren der Befehlsgruppe wird der Text, der dem Teil zu ersetzen entspricht, wie folgend gesucht:

  • der Text wird im Vergleich der Maske mit der Name der Rückmeldevariable festgelegt.
  • Anderenfalls wird der Text durch die Aktionsvariable definiert. Dabei wird die erste zur Variable passenden Aktion angewendet.
  • Konnte der Text für die Ersetzung erfolgreich ermittelt werden, wird der Platzhalter * durch diesen Text ersetzt.

Beachten Sie dazu folgende Punkte bei der Benennung von Variablen:

  • Die Namen der Variablen und die Maske sollten so gewählt werden, dass diese eindeutig zugeordnet werden können.
  • Die Namen der Variablen, welche für die Rückmelde-, Befehls- und Bedingungsvariable verwendet werden, sollten über den gleichen Ersetzungstext erzeugbar sein.
  • Wenn die Rückmeldevariable ersetzt wird (wurde mit einer Maske definiert) aber die Befehlsvariable nicht, ist besonders darauf zu achten, dass die Befehlsgruppe welche für die Befehlsvariable erzeugt wird, auch die erwartete Rückmeldevariable verwendet.
  • Eine zusätzliche Validierung der Rückmeldevariable stellt für die Befehlsgruppe sicher, dass diese Befehlsgruppe nur Aktionen beinhaltet, deren Aktionsvariable (bei ihrer kompilierten Befehlsgruppen) dieselbe Rückmeldevariable verwendet. Nicht korrekt projektierte Aktionen erzeugen eine Warnung und werden bei der Kompilierung entfernt.


Fehler beim Erzeugen der Runtime-Dateien

Handbuch > Energy Edition > Befehlsgabe > Projektieren im Editor > Runtime Dateien erzeugen > Fehler beim Erzeugen der Runtime-Dateien

Beim Erzeugen der Runtime-Dateien für die Befehlsgabe erfolgt eine umfangreiche Validierung auf Fehlprojektierung und nicht vorhandene Bezüge.

info Info

Ein Fehler hat immer zur Folge, dass das Objekt - welches den Fehler verursacht - während der Runtime nicht zur Verfügung steht.

Wenn die Befehlsgruppe einen Fehler hat, wird der Variablen keine Befehlsgruppe zugeordnet. Das hat während der Runtime zur Folge, dass alle Bedienhandlungen gesperrt sind.

Eine Warnung wird erzeugt wenn die Projektierung ein Problem im Ablauf der Befehlsgabe erzeugen würde. Diese Warnung wird unabhängig davon generiert, ob die Projektierung in der Runtime funktionieren würde oder nicht.

In den Fehlermeldungen werden folgende Platzhalter verwendet:

<VERNAME> | Platzhalter wird in der Fehlermeldung durch den Namen der Befehlsgruppe ersetzt.
<VERRM> | Platzhalter wird in der Fehlermeldung durch den Namen der Rückmeldevariable ersetzt.
<AUFVAR> | Platzhalter wird in der Fehlermeldung durch den Namen der Variablen, der die Befehlsgruppe zugeordnet ist, ersetzt.
<ACTVAR> | Platzhalter wird in der Fehlermeldung durch den Namen der Variablen der Aktion ersetzt.
<Aktionsbezeichnung> | Platzhalter wird in der Fehlermeldung durch die Benennung der Aktion ersetzt.
<VARNAME> | Platzhalter wird durch Variable in der Visualisierung ersetzt.

Folgende Fehlermeldungen können beim Erzeugen der Runtime-Dateien auftreten:

Meldungstext

Beschreibung

<VERNAME>: Verriegelungs-PV <VERRM> existiert nicht!

Bedingungsvariable für allgemeine Verriegelung ist nicht vorhanden.

Variable '<AUFVAR>' verwendet nicht vorhandene Befehlsgabe!

Variable verwendet eine nicht vorhandene Befehlsgabe.

(<AUFVAR>) Befehlsgabe '<VERNAME>' enthält keine Aktionen!

Befehlsgruppen ohne Aktion werden nicht in die Laufzeit übernommen. Diese Meldung kann auch ein Folgefehler sein.

(<AUFVAR>) Rückmeldevariable '<VARRM>' verwendet nicht die Befehlsgruppe '<VERNAME>'

Es wird eine Rückmeldevariable verwendet welche eine andere Befehlsgruppe verwendet. Die Rückmeldevariable muss immer mit der Verriegelung verknüpft sein, welche sie als Rückmeldevariable verwendet.

(<AUFVAR>) Rückmeldevariable '<VARRM>' für Befehlsgabe '<VERNAME>' verwendet einen Treiber ohne Prozesskopplung!

Die Rückmeldevariable muss auf einen prozessgekoppelten Treiber liegen.

(<AUFVAR>) Befehlsgabe '<VERNAME>' enthält nach der Kompilierung keine Aktionen!

Eine Befehlsgruppe ohne Aktionen ist nicht sinnvoll.

(<AUFVAR>) Rückmeldevariable '<VARRM>' von Befehlsgabe '<VERNAME>' nicht vorhanden!

Die verwendete Rückmeldevariable ist nicht vorhanden oder als gelöscht markiert.

(<AUFVAR>) Befehlsgabe '<VERNAME>' verwendet Bild '<Bild GUID>'(<BILDNAME>) welches nicht vom Typ Power ist!

Diese Meldung ist eine Warnung. Wenn bei der Ausführung eine Bedienhandlung nötig wird, kann diese nicht durchgeführt werden.

(<AUFVAR>) Befehlsgabe '<VERNAME>' verwendet nicht vorhandenes Bild '<Bild GUID>'!

Das der Befehlsgruppe zugeordnete Bild existiert nicht.

(<AUFVAR>) Ersetzte Aktionsvariable '<ACTVAR>' für Aktion '<Aktionsbezeichnung>' von Befehlsgabe '<VERNAME>' nicht vorhanden!

Die Aktionsvariable ist nach Ersetzungen nicht vorhanden oder als gelöscht markiert.

(<AUFVAR>) Aktion '<Aktionsbezeichnung>' bei Befehlsgabe '<VERNAME>' verwendet die nicht existierende Variable '<ACTVAR>'

Die Aktion verwendet eine Variable, die im Projekt nicht vorhanden oder als gelöscht markiert ist.

(<AUFVAR>) Aktionsvariable '<ACTVAR>' für Aktion '<Aktionsbezeichnung>' von Befehlsgabe '<VERNAME>' verwendet einen Treiber ohne Prozesskopplung!

Die einer Aktion zugeordnete Variable darf auf keinen internen Treiber liegen.

<VERNAME>(<AUFVAR>): Aktion '<Aktionsbezeichnung>' existiert bereits!

Pro Aktionsvariable dürfen folgende Aktionen nur einmal pro Befehlsgruppe projektiert sein:

  • Schaltbefehl mit gleichen Befehlsgabezustand.
  • Nachführen mit gleicher Schaltrichtung.
  • Ersetzen mit gleicher Schaltrichtung.
  • Revision mit gleicher Schaltrichtung.
  • Pulsbefehl
  • Sollwertvorgabe
  • Freigeben
  • Blockieren
  • Sperre

<VERNAME>(<AUFVAR>): Aktion '<Aktionsbezeichnung>': Puls- und Schaltbefehl für gleiche Befehlsvariable nicht möglich!

Puls- und Schaltbefehl dürfen nicht gemeinsam verwendet werden.

(<AUFVAR>) Aktion '<Aktionsbezeichnung>' bei Befehlsgabe '<VERNAME>' verwendet Bild '<Bild GUID>('<Bildname>') welches nicht vom Typ Power ist!

Diese Meldung ist eine Warnung. Es werden keine Bedienhandlungen möglich sein.

(<AUFVAR>) Aktion '<Aktionsbezeichnung>' bei Befehlsgabe '<VERNAME>' verwendet nicht vorhandenes Bild '<Bild GUID>'!

Der Aktion ist ein nicht vorhandenes Bild zugeordnet.

<VERNAME>(<AUFVAR>): Verriegelungs-PV '<VARNAME>' existiert nicht!

Ersetzte Bedingungsvariable existiert nicht.

(<AUFVAR>) Variable '<VARNAME>' von Aktionsverriegelungsbedingung der Befehlsgabe '<VERNAME>' existiert nicht!

Variable der Verriegelungsbedingung nicht vorhanden.

(<AUFVAR>) Aktionsvariable '<VARANME>' der Aktion '<Aktionsbezeichnung>' von Befehlsgruppe '<VERNAME>' verwendet eine andere Befehlsgruppe!

Die bei einer Befehlsgruppe verwendeten Aktionsvariablen dürfen nur mit keiner oder der Befehlsgruppe wo sie verwendet werden verknüpft sein.

(<AUFVAR>) Befehlsvariable <ACTVAR> hat keine gültig kompilierte Verriegelung! Aktion <Aktionsbezeichnung> entfernt.

Die in der Aktion verwendete Aktionsvariable hat keine kompilierte Befehlsgruppe. Diese Meldung kann auch ein Folgefehler sein.

(<AUFVAR>) Befehlsvariable <ACTVAR> verwendet Rückmeldevariable <VARNAME>! Aktion <Aktionsbezeichnung> entfernt.

Die kompilierte Befehlsgruppe bei der Rückmeldevariable beinhaltet eine Aktionen, deren Aktionsvariable nicht die gleiche Rückmeldevariable wie <AUFVAR> verwendet.
Hinweis: Bei der Rückmeldevariable dürfen keine Aktionen möglich sein, die andere Rückmeldevariablen verändern,


Bedienen zur Runtime

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime

Bei Kommandoeingaben durch einen Benutzer zur Runtime wird im Hintergrund automatisch eine Laufzeitüberwachung durchgeführt.

Noch in diesem Kapitel

Ausführung eines Befehls

Bildtyp Befehlsgabe

Nachladen

Protokollierung in der CEL

Serverwechsel im Redundanzbetrieb

Runtime beenden

Rückmeldevariable sperren


Ausführung eines Befehls

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls

Diese Beschreibung, zum Ablauf eines Befehls mit der Befehlsgabe, gilt für folgende Aktionstypen der Befehlsgabe:

  • Befehl
  • Auto/Remote-Befehl
  • Zwangsbefehl (nur teilweise)
  • Sollwertvorgabe

info Info

Informationen wie die Ausführung eines Befehls die Darstellung und Verfügbarkeit der Kontrollelemente im Bild vom Typ Befehlsgabe beeinflusst, finden Sie im Kapitel Ablauf im Befehlsgabebild.

Der Ablauf eines Befehls ist von folgenden Projektierungen abhängig:

Variableneigenschaften

  • Select Before Operate (SBO) inaktiv:
    In diesem Falle wird von einer Aktion kein separater Select-Befehl ausgeführt.
    Hinweis: Ein Treiber (z.B.: DNP3_NG oder IEC850) kann trotzdem ein Select automatisch ausführen. Dies hat für die Befehlsgabe jedoch keine Auswirkung. Die Befehlsgabe wird in diesem Falle auf ein fehlgeschlagenes Select wie auf ein fehlgeschlagenes Operate/Execute reagieren.
  • Select Before Operate (SBO) aktiv:
    In diesem Fall wird von der Befehlsgabe immer ein Select (COT_act(6), SE) an den Treiber weitergegeben. Danach wird - unabhängig von der projektierten Art der Laufzeitüberwachung - abgewartet, bis der vollständige Befehlsprozess (einschließlich Operate) abgeschlossen ist.

    Achtung: Die Variableneigenschaft Select Before Operate hat entscheidende Auswirkungen auf die Laufzeitüberwachung.
    Bei aktiviertem Select Before Operate werden bei jeder Projektierung in der Laufzeitüberwachung die Aktionsbuttons (sowie Kontextmenüeinträge) solange deaktiviert bis COT den Wert COT_accterm(10) erhält.
    Dies gilt auch dann, wenn für die Laufzeitüberwachung "keine" oder "über Rückmeldevariable" projektiert sind.
    Wird kein COT_accterm empfangen, wir lediglich ein TIMEOUT-Statusbit der Rückmeldevariable gesetzt.
  • Operate abbrechen aktiv:
    Wenn aktiviert, dann darf bei Befehlsgabe auch nach einem Operate ein Cancel zur Steuerung geschickt werden, nicht nur nach einem Select. Damit können sowohl die Ausführung des Befehls in der Steuerung, sowie die laufende Laufzeitüberwachung, vorzeitig beendet werden. Die Eigenschaft wird automatisch in der Aktion wie aktiviertes Timeout abbrechbar behandelt.

info Info

Wird eine Variable mit aktivem Select Before Operate projektiert und der Treiber unterstützt kein COT dann wird nach einem Select keine Reaktion vom Treiber erfolgen. Nach Ablauf des projektierten Timeout wird das Befehlsgabebild über die interne Verriegelungsbedingung "Timeout bei SBO Aktivierung" informieren.

Art der Laufzeitüberwachung

Die Eigenschaft Laufzeitüberwachung in der Befehlsgruppe bestimmt, welche Bedingungen erfüllt sein müssen, um die Aktion als erfolgreich abzuschließen. Zusätzlich wird mit der Eigenschaft Laufzeitüberwachung bestimmt, wie lange die Befehlsgabe aktiv bleibt um eventuell eine Deaktivierung (Cancel) an die SPS zu senden, die Statusbits der Rückmeldevariable zu aktualisieren und die Weitergabe der Aktion via Auto/Remote-Befehl zu gewährleisten.

  • keine
    • ohne Select Before Operate:
      direkter Befehl zur Steuerung ("fire & forget") - sendet den Befehl zur Steuerung und wartet nicht auf Rückmeldung.
    • mit Select Before Operate:
      es wird im Hintergrund gewartet bis der COT-Ablauf vollständig abgeschlossen wird. Es wird kein TIMEOUT Statusbit gesetzt, auch dann nicht, wenn ein Timeout abgelaufen ist.
  • nur über Übertragunsursache (COT)
    Die Aktion ist erfolgreich abgeschlossen nach vollständigem COT-Ablauf (COT_actterm(10) wurde empfangen).
  • nur über Rückmeldevariable (RV)
    die Aktion ist erfolgreich abgeschlossen, wenn der Wert der Rückmeldevariable dem Rückmeldezustand/Schaltrichtung in der Aktion entspricht.
    • mit Select Before Operate:
      Es wird zwar im Hintergrund gewartet bis der vollständige COT-Ablauf abgeschlossen wird. Auch wenn ein Timeout abgelaufen ist, wird kein TIMEOUT Statusbit gesetzt.
  • über RV und COT
    Die Aktion ist erfolgreich abgeschlossen wenn beide oben beschriebene Bedingungen erfüllt wurden.

Hinweis: Weitere Details finden Sie im Kapitel Laufzeitüberwachung.

Eigenschaften in der Befehlsgabe-Aktion:

  • Einstufig:
    Nach dem erfolgreichen Select übergibt die Befehlsgabe das Operate/Execute automatisch an den Treiber.
  • Zweistufig:
    Ein erfolgreiches Select aktiviert die Buttons Ausführen 2. Stufe und Abbrechen im Befehlsgabebild:
    • Wird Ausführen 2. Stufe geklickt übergibt die Befehlsgabe ein Operate/Execute (COT_act(6), ohne SE) an den Treiber.
    • Via Klick auf Abbrechen wird von der Befehlsgabe ein Cancel (COT_deact(8), SE) an den Treiber weitergegeben.
  • Timeout:
    Der projektierte Wert gibt an, wie lange auf die Antwort von der Steuerung gewartet wird. Und zwar jeweils:
    • Nach Absetzen eines Select-Befehls.
    • Nach Absetzen eines Execute-Befehls.
    • Nach Absetzen eines Cancel-Befehls.
  • Timeout abbrechbar:
    Wenn diese Eigenschaft aktiviert ist, kann der Benutzer eine noch laufende Laufzeitüberwachung abbrechen, z.B. bei einem Versuch in der Steuerung die Frequenzen der Stromnetze zu synchronisieren. Der Button Abbrechen im Befehlsgabebild bleibt bedienbar, während der Execute-Befehl ausgeführt wird. Abhängig von der Projektierung der Variableneigenschaft Operate abbrechen ist es auch möglich, die SPS über den Abbruch zu informieren.
    Hinweis: nicht alle Energy Protokolle bieten eine technische Möglichkeit, ein Operate abzubrechen. Somit ist es nicht für jeden Energy Treiber möglich, ein Cancel an die SPS weiterzugeben.

Noch in diesem Kapitel

Select before Operate

Laufzeitüberwachung


Select before Operate

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Select before Operate

Select before Operate ist eine Prozedur in Energy-Protokollen (z.B. DNP3, IEC61850 oder IEC60870-101/104). An die SPS wird zuerst eine "Reservierung/Vorbelegung", das sogenannte Select-Kommando gesendet. Nur wenn diese Vorbelegung der SPS erfolgreich ist wird über den Treiber (via Befehlsgabe) das entsprechende Ausführungskommando Execute gesendet.

zenon Energy Treiber aktualisieren dabei folgende Statusbits (via Kommandovariablen):

  • SE_870, COTx
  • bei entsprechender Projektierung N_CONF.

Diese Statusbits sowie NET-SEL können nicht durch den Projektanten konfiguriert werden. Die Statusbits werden durch die entsprechenden Treiber oder zenon Module gesetzt.

Die Eigenschaft Laufzeitüberwachung beeinflusst nur den Ablauf des Befehls Execute. Der Befehl Select wird durch die Laufzeitüberwachung nicht beeinflusst. Nach Absenden eines Select wartet die Befehlsgabeaktion den in der Eigenschaft Timeout (Eigenschaftengruppe Optionen in der Befehlsgabeaktion) projektierten Zeitraum.

Dabei kann es zu folgenden Abhängigkeiten kommen:

  • SPS reagiert nicht
  • SPS reagiert negativ
  • SPS reagiert positiv
    • Benutzer sendet kein Execute oder Cancel

Abbruch eines Select

Für Abbruch (Cancel) eines Select gilt, unabhängig von der projektierten Art der Laufzeitüberwachung:

  1. Ist die Eigenschaft Select Before Operate bei der Aktionsvariable aktiviert, kann ein Select für zweistufigen Befehle (aktivierte Befehlsgabeaktion-Eigenschaft Zweistufig) durch einen Benutzer abgebrochen werden. Nach einem erfolgreichen Select (COT=7, SE) kann die Befehlsgabe, bei Klicken des Buttons Abbrechen,ein Deactivation (COT=8, SE) senden.
  2. Anschließend wird auf eine Antwort der SPS oder auf ein Timeout gewartet.
    Die Aktion endet:
    • wenn die projektierte Timeoutzeit abgelaufen ist
    • wenn die SPS den Abbruch bestätigt (COT=9, any SE or PN).
      Der Empfang eines COT=9 verwirft das PROGRESS Statusbit.
  3. Die Messzeit beginnt, wenn der Benutzer den Cancel-Button klickt. Der vorangegangene Zeitraum - während die Aktion auf ein Select wartet - beeinflusst nicht den Zeitraum, in welchem die Aktion auf eine Abbruchbestätigung wartet.
  4. Die Rückmeldevariable erhält kein TIMEOUT Statusbit.
  5. Es gilt immer dasselbe Verhalten, unabhängig von der Projektierung der Eigenschaft Laufzeitüberwachung.

Hinweis: das PN-Bit - Positive(0)/Negative(1) - wird an das Statusbit N_CONF der Aktionsvariable abgespiegelt.

Noch in diesem Kapitel

SBO - keine Reaktion von SPS

SBO - negative Reaktion von SPS

SBO - positive Reaktion von SPS

SBO - positive Reaktion von SPS aber Benutzer sendet kein Execute oder Cancel


SBO - keine Reaktion von SPS

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Select before Operate > SBO - keine Reaktion von SPS

Die Befehlsgabe schickt zuerst ein Select an den Treiber. Während die Aktion auf eine Reaktion von der SPS wartet, sind alle Buttons im Bild vom Typ Befehlsgabe ausgegraut.

Nach Ablauf der Aktion Timeout wird eine Information im Befehlsgabebild angezeigt. Diese Nachricht wird im Feld des Verriegelungstextes angezeigt: interne Verriegelungsbedingung "Timeout bei SBO Aktivierung".

In diesem Falle ist nur die Schaltfläche Abbruch verfügbar. Alle anderen Buttons des Befehlsgabebildes sind immer noch ausgegraut.

Einträge im Kontextmenü stehen nicht zur Verfügung.

Hinweis: Die Rückmeldevariable erhält dabei weder ein TIMEOUT noch ein PROGRESS Statusbit.
Für Select gilt das gleiche Verhalten, egal welcher Wert für die Laufzeitüberwachung projektiert ist. Der Ablauf ist für zweistufige sowie einstufige Aktionen gleich.


SBO - negative Reaktion von SPS

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Select before Operate > SBO - negative Reaktion von SPS

Die Befehlsgabe veranlasst den Treiber ein Select (COT_act(6) + SE) zu senden. Wird eine negative Antwort von der SPS empfangen (COT_actcon(7) + SE + PN=1), wird nicht länger gewartet.

  • Durch klicken auf den Button Cancel wird das PROGRESS Statusbit entfernt. Die Rückmeldevariable erhält dabei kein TIMEOUT Statusbit.
  • Empfängt die Aktion eine negative Antwort auf Select, wird diese Information im Feld des Verriegelungstextes angezeigt: interne Verriegelungsbedingung "SBO abgelehnt".
    In diesem Falle ist nur die Schaltfläche Cancel verfügbar. Alle anderen Buttons des Befehlsgabebildes sind ausgegraut.

Auch Einträge im Kontextmenü stehen nicht zur Verfügung.

Für Select gilt das gleiche Verhalten, egal welcher Wert für die Laufzeitüberwachung projektiert ist. Der Ablauf ist für zweistufige sowie einstufige Aktionen gleich.

Hinweis: das PN-Bit - Positive(0)/Negative(1) - wird an das Statusbit N_CONF der Aktionsvariable abgespiegelt.


SBO - positive Reaktion von SPS

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Select before Operate > SBO - positive Reaktion von SPS

Wenn die SPS positiv auf ein Select antwortet (COT_actcon(7) + SE) (somit bestätigtes Select) geht die Aktion zum nächsten Schritt => Ausführung

  • Die Befehlsgabe beendet das Warten auf ein Select.
  • Die Rückmeldevariable bekommt das PROGRESS-Statusbit gesetzt. Dies jedoch nur, wenn der aktuelle Wert der Rückmeldevariable unterschiedlich zum Wert des Befehls ist.

Nach Bestätigung des Select gilt:

  1. Einstufige Aktionen:
    Die Befehlsgabe sendet automatisch ein Operate/Execute (COT_act(6), no SE) an die SPS.
  2. Zweistufige Aktionen:
    Die Buttons Ausführen 2. Stufe und Abbruch im Bild vom Typ Befehlsgabe werden aktiv. Bestätigt ein Benutzer den Ausführen 2. Stufe-Button, sendet die Befehlsgabe ein Operate/Execute an die SPS.

Das PROGRESS-Bit wird zurückgesetzt wenn die SPS das Execute (COT_actcon(7)) bestätigt oder nach dem Ablauf der folgenden Laufzeitüberwachung.


SBO - positive Reaktion von SPS aber Benutzer sendet kein Execute oder Cancel

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Select before Operate > SBO - positive Reaktion von SPS aber Benutzer sendet kein Execute oder Cancel

Wenn der Benutzer nach erfolgreichem Select weder ein Execute noch ein Cancel auslöst, wird - ohne zeitliche Vorgabe einer Reaktionszeit - auf die Benutzerinteraktion gewartet. So kann es dazu kommen - sofern die SPS ein Select Timeout unterstützt - dass durch ein Select Timeout während der Wartezeit auf die Benutzerineraktion die Zeit abläuft und das Select ungültig wird. Wenn dies geschieht, sendet die SPS ein Select-Termination (COT=10, SE, PN=1). Die Befehlsgabe reagiert auf empfangene Select-Termination so, dass - wenn der Benutzer nun doch ein Execute auslöst - die Befehlsgabe automatisch zuerst ein erneutes Select sendet.
Nach Betätigung des Buttons Abbrechen im Befehlsgabebild wird kein erneutes Select oder Cancel an die SPS weitergeleitet.

Hinweis: Ist nur für zweistufige Aktionen relevant.


Laufzeitüberwachung

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Laufzeitüberwachung

Die einfachste, nicht für Energy Treiber vorgesehene, Laufzeitüberwachung wird durchgeführt wenn:

  • die Eigenschaft Laufzeitüberwachung in der Befehlsgruppe keine oder nur über Rückmeldevariable (RV) ist;
  • für die Befehlsvariable weder die Eigenschaft Select Before Operate (SBO) noch Operate abbrechen aktiviert wurde.

Für diese Projektierung überprüft die Laufzeitüberwachung die Verriegelungen und schreibt einen Befehl zur Steuerung. Danach wartet die Laufzeitüberachung noch ab, ob die Rückmeldevariable den Wert entsprechend dem Befehl ändert. Wird der Timeout der Laufzeitüberwachung überschritten, wird auf der Rückmeldevariable das Statusbit TIMEOUT gesetzt. Ist in der Befehlsgruppe die Eigenschaft Statusbits auf Befehlsvariablen schreiben aktiviert, wird das Statusbit TIMEOUT zusätzlich auf auf der Befehlsvariable gesetzt.

In Zusammenarbeit mit Energy Treibern (für Select Before Operate oder COT-Ablauf) wird über die Übertragungsursache (COT) zwischen zenon und der Steuerung die Information ausgetauscht, ob ein Befehl geschrieben werden soll oder ob das Schreiben erfolgreich war. Bei Energy Treibern erhält die Aktionsvariable entsprechend der Stufe des Befehls eine COT. Im Hintergrund kann die Befehlsgabe überprüfen, ob dann die Rückmeldevariable ihren Wert und die Aktionsvariable den COT entsprechend dem Kommando ändert.

Hinweis: Wertänderungen der Rückmeldevariablen werden erst nach COT_act(6) berücksichtigt.

info Info

COTx Statusbits ergeben einen Wert. Dieser Wert kann zur Runtime - so wie auch alle anderen Statusbits - über Multi-numerische oder Multi-binäre Reaktionsmatrizen ausgewertet werden.

Hinweis: COT wird nicht nur vom IEC870 Treiber, sondern auch von einigen anderen Energy-Treibern - in unterschiedlicher Ausprägung - unterstützt. Manche Treiber unterstützen COT, obwohl das Protokoll selbst keine COT beinhaltet (z.B. IEC850, DNP3). Details finden Sie in der jeweiligen Treiberdokumentation.

Laufzeitüberwachung und Verriegelungbedingungen der Aktion:

Während der Laufzeitüberwachung werden Verriegelungen überprüft:

  1. Bei direkter Ausführung (= ohne Select Before Operate).
  2. Bei Aktivieren des Select (= vor dem Select).
  3. Nach dem Select OK - vor Execute.
  • Die aktuelle Befehlsaktion zeigt eine Information über ausstehende Verriegelungen im Kontrollelement Verriegelungstext an. Der Benutzer muss diese entriegeln. Dazu muss der Benutzer über die entsprechenden Benutzerrechte verfügen. Zustätzlich muss die Verriegelung entriegelbar projektiert sein. Anderenfalls kann diese Aktion nur abgebrochen werden.
  • Wird diese Aktion durch eine projektierte Verriegelung abgebrochen, wird kein Befehl an die SPS gesendet.
  • Wurde bereits ein Select gesendet, wird automatisch abgebrochen. In diesem Fall wird eine Deaktivierung (Cancel) gesendet.
  • Die Rückmeldevariable erhält dabei kein TIMEOUT-Bit. Sollte bereits ein PROGRESS-Bit gesetzt sein wird dieses zurückgesetzt.

Bei einstufiger Projektierung der Aktion:

Steht in der ersten Stufe eine Verriegelung an, wird der Verriegelungstext angezeigt und auf eine Reaktion durch einen Benutzer gewartet. Wählt der Benutzer Ein oder Aus wird der Bestätigen-Button aktiv. Der Wert wird dann an die SPS gesendet. Drückt der Benutzer Abbrechen und es wurde bereits ein Select durchgeführt, sendet die Aktion eine Deaktivierung (Cancel).

Bei zweistufiger Projektierung der Aktion:

Die zweistufige Aktion überprüft die Verriegelung und gibt bereits bei der ersten Stufe eine Meldung:

  • Direkte Ausführung - kein Select Before Operate:
    Gilt für den Moment, wenn der erste Button geklickt wird.
  • aktives Select Before Operate:
    Gilt für den Moment, wenn die Bestätigung für Select empfangen wird oder das Timeout für Select abgelaufen ist.

Durch Drücken des Button für das Entsperren der Entriegelung wird der Button Ausführen 2. Stufe verfügbar. Wird dieser Button gedrückt wird ein Execute an die SPS gesendet. Wird Abbrechen gedrückt und ein Select wurde bereits gesendet, sendet die Aktion eine Deaktivierung (COT_deact(8)+SE) an die SPS.

Gab es für die erste Stufe keine ausstehende Verriegelung, bevor sich die Bedingungen geändert haben und bevor der Benutzer Bestätigen via Klick ausgeführt hat, wird die Aktion erneut die Verriegelungsbedingungen überprüfen. Stehen dann noch Verriegelungen aus, wird eine Nachricht angezeigt und auf einen Abbruch durch den Benutzer gewartet.

Hinweis: In diesem Falle kann die Verriegelung nicht durch einen Benutzer entriegelt werden.

info Info

Einstufige Aktionen haben in allen drei Szenarien das gleiche Verhalten.

Laufzeitüberwachung und negative Antworten von SPS:

  • Execute negativ
    Während der Laufzeitüberwachung kann die SPS auf ein Execute/Operate negativ reagieren (COT_actcon(7) + PN). Wurde die negative Reaktion auf ein Execute empfangen, wird die Laufzeitüberwachung beendet.
  • Execute Termination negativ
    Wurde von der SPS Execution Termination (COT_actterm(10) + PN) negativ gemeldet, wird die Laufzeitüberwachung in diesem Falle nicht mehr auf eine Wertänderung der Rückmeldevariable warten und sofort beendet.

Das Statusbit PROGRESS wird zurückgesetzt. Das Statusbit TIMEOUT wird bei der Rückmeldevariable nicht gesetzt.

Hinweis: das PN-Bit - Positive(0)/Negative(1) - wird auf das Statusbit N_CONF der Aktionsvariable gespiegelt abgebildet.

Noch in diesem Kapitel

Abbruch Laufzeitüberwachung

Laufzeitüberwachung nur über Rückmeldevariable (RV)

Laufzeitüberwachung nur über Übertragungsursache (COT)

Laufzeitüberwachung über COT (Übertragungsursache) und RV (Rückmeldevariable)


Abbruch Laufzeitüberwachung

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Laufzeitüberwachung > Abbruch Laufzeitüberwachung

Wurde bei einer Befehlsgabeaktion die Eigenschaft Timeout abbrechbar aktiviert, kann der Benutzer die Laufzeitüberwachung - die zweite Stufe (Execute) der Ausführung - mit der Schaltfläche "Abbrechen" abbrechen.

Dabei sendet die Befehlsgabe den Abbruch an den Treiber. Der Treiber (z.B. der IEC850 Treiber) sendet ein Cancel Request nur dann an die SPS weiter, wenn bei der Projektierung die Eigenschaft Operate abbrechen aktiviert wurde. Sie finden diese Eigenschaft in der Variablen-Eigenschaftengruppe Sollwert setzen.

Ist die Eigenschaft Operate abbrechen bei der Befehlsvariable aktiviert, kann der Benutzer die Laufzeitüberwachung ebenfalls mit der Schaltfläche Abbrechen im Bild vom Typ Befehlsgabe abbrechen. Es wird wie aktiviertes Timeout abbrechbar automatisch betrachtet.

Hinweis: Nicht alle Treiber - die den Abbruch eines Select unterstützen - unterstützen auch den Abbruch eines Execute. Weitere Informationen erhalten Sie in der jeweiligen Treiberdokumentation.


Laufzeitüberwachung nur über Rückmeldevariable (RV)

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Laufzeitüberwachung > Laufzeitüberwachung nur über Rückmeldevariable (RV)

Die Laufzeitüberwachung über Rückmeldevariable ist die am meisten benutzte Art der Laufzeitkontrolle. Diese reagiert auf eine Wertänderung der Rückmeldevariable. Welcher Wert bei der Rückmeldevariable aufgrund des Befehls erwartet wird, ist mit der Eigenschaft Rückmeldezustand/Schaltrichtung - Ein/Aus - zu definieren.

Negative Antworten der SPS (COT_actcon(7) + PN) beenden die Laufzeitüberwachung.

Hinweis: Wertänderungen der Rückmeldevariablen werden erst nach COT_act(6) der Aktionsvariable berücksichtigt. Vorzeitige Wertänderungen der Rückmeldevariable werden ignoriert. Dies kann z. B. dann eintreten, wenn Wertänderungen für die Rückmeldevariable bereits nach einem Select vorliegen, ohne dass ein Operate/Execute gesendet wurde.


Laufzeitüberwachung nur über Übertragungsursache (COT)

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Laufzeitüberwachung > Laufzeitüberwachung nur über Übertragungsursache (COT)

Bei der Laufzeitüberwachung nur über COT reagiert die Laufzeitüberwachung nicht auf den Wert der Rückmeldevariable (RV) sondern nur auf die Übertragungsursache - die Statusbits COTx der Aktionsvariable.

Beispiel ohne SBO:

Der Ablauf im Detail:

  1. Der Wert und COT_act(6) werden auf die Aktionsvariable abgesetzt.
  2. Auf die Rückmeldevariable wird das Statusbit PROGRESS gesetzt.
  3. Erhält die Steuerung den Wert COT_act, wird auf die Folgewerte COT_actcon(7) und COT_actterm(10) gewartet.
  4. Beenden des Ablaufs:
    1. Der Ablauf wird beendet, wenn COT_actterm empfangen wurde.
    2. Wird in der projektierten Timeout-Zeit kein COT_actterm empfangen, dann wird:
      - der Ablauf beendet und
      - das Statusbit TIMEOUT der Rückmeldevariable aktiviert.
      Hinweis: Diese Zeit projektieren Sie in der Eigenschaft Timeout bei der Befehlsaktion.
  5. Das Statusbit PROGRESS wird zurückgesetzt.


Laufzeitüberwachung über COT (Übertragungsursache) und RV (Rückmeldevariable)

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Ausführung eines Befehls > Laufzeitüberwachung > Laufzeitüberwachung über COT (Übertragungsursache) und RV (Rückmeldevariable)

Bei der Laufzeitüberwachung über COT und RV reagiert die Laufzeitüberwachung auf den Wert der Rückmeldevariable (RV) und auf die Übertragungsursache - die Statusbits COTx der Aktionsvariable.

Beispiel ohne SBO:

Der Ablauf im Detail:

  1. Der Wert und COT_act(6) werden auf die Aktionsvariable abgesetzt.
  2. Auf die Rückmeldevariable wird das Statusbit PROGRESS gesetzt.
  3. Erhält die Steuerung den Wert COT_act, wird auf die Folgewerte COT_actcon(7) oder COT_actterm (10) gewartet.
  4. Beenden des Ablaufs:
    1. Der Ablauf wird beendet, wenn beide folgende Bedingungen erfüllt wurden:
    • COT_actterm wurde empfangen

      und

    • der Wert der Rückmeldevariablen entspricht der Schaltrichtung (Eigenschaft Rückmeldezustand/Schaltrichtung).
      Welche der beiden Bedingungen zuerst eintritt, ist ohne Bedeutung. Sobald beide vorhanden sind, wird der Ablauf beendet.
    1. Wird nur eine oder keine der beiden Bedingungen aus Punkt 4a innerhalb der in der Aktion projektierten Timeout-Zeit erfüllt, dann wird:
      - der Ablauf beendet und
      - das Statusbit TIMEOUT der Rückmeldevariable aktiviert.
  5. Das Statusbit PROGRESS wird zurückgesetzt.


Bildtyp Befehlsgabe

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe

Ein Bild vom Typ Befehlsgabe ermöglicht zur Runtime die Steuerung und Übersicht der Befehlsgabe. Die Befehlsgabe kann über Buttons gesteuert werden. Für die Befehlsgabe werden Vorlagen in unterschiedlichen Ausprägungen bereitgestellt.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Befehlsgabe.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Noch in diesem Kapitel

Ablauf im Befehlsgabebild

Blockierte oder gesperrte Elemente

Kontrollelemente - Gruppe: Aktion / Befehl

Kontrollelemente - Gruppe: Aktionsvariable

Kontrollelemente - Gruppe: Rückmeldevariable

Kontrollelemente - Gruppe: Selektieren / Ausführen

Kontrollelemente - Gruppe: Sperre

Kontrollelemente - Gruppe: Verriegelungen


Ablauf im Befehlsgabebild

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Ablauf im Befehlsgabebild

Das Bild von Typ Befehlsgabe hat einen mehrstufigen Ablauf, der aus folgenden Schritten besteht:

  1. Initialisierung
  2. Stufe 1
    Spezifizieren der Aktion
  3. Entriegelung
    Überprüfung der Verriegelungen und Select anfordern
  4. Stufe 2
    Befehl ausführen
  5. Warten bis Ausführung beendet wird

und ein unabhängiger Schritt - "Sperre"

Abhängig davon, in welchem Schritt sich der Ablauf befindet, werden die Kontrollelemente im Bild aktualisiert, dazugeschaltet oder ausgeblendet.

Hinweis: Diese Schritte sind in der System Treiber Variable [Befehlsgabe] Bildstufe abgebildet.

Initialisierung

Dieser Schritt initialisiert die interne Ablaufverwaltung. Anschließend wird sofort und ohne Benutzerinteraktion zu Schritt "Stufe 1" gewechselt.

Die Initialisierung wird unabhängig des Aufschaltgrundes beim Öffnen des Bildes ausgeführt:

  • Die Rückmeldevariable und die Befehlsvariable (wenn diese die Aufschaltsvariable ist), werden vom Treiber angefordert. Dabei wird evaluiert, ob die Datenpunkte existieren. Im Fehlerfall wird ein LOG-Eintrag erstellt.
  • Das NET_SEL Statusbit für die Rückmeldevariable wird aktiviert.
  • Einstellungen für die Darstellung werden vorgenommen:
    • Die Eigenschaften Bild modal und der Titel des Bildes werden entsprechend gesetzt. Hinweis: der Titel des Bildes wird via der Eigenschaft Bildtitel aus Rückmeldevariable übernommen.
    • Die Buttons ohne zugeordnete Aktion werden ausgeblendet.
      Mehr dazu finden Sie im Kapitel Blockierte oder gesperrte Elemente.

Stufe 1

Die auszuführende Aktion kann bereits in diesem Schritt spezifiziert sein. Dies kann dann der Fall sein, wenn der Benutzer die Aktion via Kontextmenü ausgewählt hat. Auch wenn das Befehlsgabebild wegen einer vorangegangenen (bereits ausgeführter) Aktion noch geöffnet ist, bleibt sie auch weiterhin - spezifiziert. Ist noch keine Aktion spezifiziert wird die auszuführende Aktion automatisch ermittelt. Das Ergebnis dieser Ermittlung der auszuführenden Aktion wird im Kontrollelement Aktive Aktion abgebildet.

Der Wechsel zum nächsten Schritt "Entriegelung" erfolgt:

  • Durch Klick auf einen Aktionsbutton:
    damit spezifiziert der Benutzer manuell die Aktion zum Ausführen.
    Beispiel: Ein/Aus (Bildtyp-spezifische Aktion: Aktion N).
  • Durch Klick auf den Button Ausführen (Bildtyp-spezifische Aktion: Ausführen);
    der Button bezieht sich auf die aktuell spezifizierte Aktion.

Die Ermittlung der auszuführenden Aktion findet beim Aufruf des Befehlsgabebildes (z.B. mit Klick auf ein Bildelement) statt. Die auszuführende Aktion ist dann noch nicht spezifiziert, da das Befehlsgabebild mehrere mögliche Aktionen umfassen kann. Das Ergebnis der Ermittlung ist abhängig von den im Bild projektierten Kontrollelementen und den Aktionen, die mit der Aufschaltvariable verknüpft sind.

Die Ermittlung erfolgt nach folgenden Kriterien:

  1. Sollwertvorgabe
    Wenn ein Kontrollelement für die Eingabe Wert Aktionsvariable oder Wert Aktionsvariable (Schieberegler) im Bild projektiert wurde und für die Aufschaltvariable die Aktion Sollwertvorgabe [Sollwert] existiert.
  2. Statusvorgabe
    Wenn ein Kontrollelement Status setzen im Bild projektiert wurde und für die Aufschaltvariable die Aktion Statusvorgabe [keine] existiert.
  3. Sperre
    Wenn das Bild über die Funktion Bildumschaltung mit der Eigenschaft Initialstufe Sperre geöffnet wurde und die Befehlsgruppe die Aktion Sperre beinhaltet.
  4. Konnte durch keine der Prüfungen eine Aktion ermittelt werden, wird das Bild ohne aktive Aktion geöffnet. Die Kontrollelemente für die Eingabe und auch der Button Ausführen sind dann deaktiviert .

Hinweis: Dadurch können Sie für bestimmte Aktionen die eigenen projektierten Bilder vom Typ Befehlsgabe aufschalten und der Fokus wird auf das jeweils relevante Eingabefeld gelegt.

Entriegelung

Bei Bedienung über das Kontextmenü wird der Schritt direkt aktiviert.

In diesem Schritt wird die Prüfung durchgeführt, ob Verriegelungen anstehen. Nur wenn keine Verriegelungen als anstehend erkannt wird, kann zur "Stufe 2" gewechselt werden.

Gleichzeitig erfolgt eine Select Anforderung zur Steuerung, wenn bei der Befehlsvariable die Eigenschaft Select Before Operate aktiv ist. Es wird gewartet bis die SPS das Select bestätigt oder bis das bei der Aktion definierte Timeout abgelaufen ist. Bei Timeout oder Ablehnung des Select wird eine entsprechende, nicht entriegelbare Verriegelungsmeldung angezeigt.

Wenn Verriegelungsbedingungen anstehen, wird der Schritt erst dann verlassen, wenn alle Verriegelungen entriegelt wurden. Wenn die Protokollierung in die CEL bei der Aktion nicht deaktiviert wurde (Eigenschaft CEL-Eintrag unterdrücken) wird eine Entriegelung in der CEL aufgezeichnet.

Bei Klick auf den Button Abbruch (Bildtyp-spezifische Aktion: Abbrechen) wird zurück zu Schritt "Stufe 1" gewechselt. Dies kann notwendig sein, wenn eine nicht entriegelbare Verriegelung ansteht. Ein bereits aktives Select wird dann deaktiviert (Cancel).

Stufe 2

In diesem Schritt wird der grundlegende Befehl (Operate) zur Steuerung gesendet.

Wird auf den Button Bestätigen (Bildtyp-spezifische Aktion: Ausführen 2. Stufe) geklickt und

  • ein gültiges Select ist vorhanden,
  • keine Verriegelungen anstehen,

wird mit der Ausführung der Aktion begonnen. Ist bei diesem Button eine Signierung projektiert, wird nach erfolgreicher Signierung mit der Ausführung begonnen.

Statusbits der Rückmeldevariable:

  • Bit PROGRESS wird aktiviert
  • Bit TIMEOUT wird deaktiviert, wenn eine verherige Aktion dieses Statusbit aktiviert hatte.

Stufe 2 bei zweistufigen Aktionen

Bei zweistufiger Ausführung wird immer auf eine Bestätigung durch einen Benutzer gewartet. Erst nachdem der Benutzer den Button Bestätigen geklickt hat wird erneut auf Verriegelungen überprüft. Sind in der Zwischenzeit Verriegelungsbedingungen aktiv geworden, wird die Ausführung nicht begonnen. In diesem Falle ist mit Klick auf den Button Abbruch in die "Stufe 1" zurückzukehren und die Befehlsgabe erneut durchzuführen.

Wenn das NET_SEL-Bit nicht mehr aktiv ist (z.B. am Netzwerk Client nach einer Redundanzumschaltung), wird eine Fehlermeldung protokolliert. Die Aktion wird nicht ausgeführt.

Ist das Select in der Steuerung abgelaufen (Befehlsvariable hat in diesem Fall die Statusbits SE_870 + COT_actterm(10) + N_CONF erhalten) wird erneut ein Select von der SPS angefordert. Nach positiver Bestätigung wird die Aktion ausgeführt. Wenn dabei die erneute SBO-Aktivierung fehlschlägt, wird eine entsprechende Meldung angezeigt.

Wird anstelle des Buttons Bestätigen auf den Button Abbruch geklickt, wird zurück zu "Stufe 1" gewechselt. Ein bereits aktives Select wird dann deaktiviert (Cancel).

Warten bis Ausführung beendet wird

In diesem Schritt wird gewartet bis die Aktion vollständig ausgeführt wurde. Die Dauer der Ausführung hängt vom Treiber (bzw. der Steuerung) und der Projektierung ab. Negative Antworten der Steuerung brechen die Ausführung ab, z.B.: negative Antwort auf ein Operate.

Die Ausführung wartet bis alle folgenden Punkte erfüllt sind:

  • Projektiertes Select Before Operate für die Befehlsvariable:
    Wurde Select von der SPS positiv bestätigt, wird bis Termination gewartet.
  • Abschluss der projektierten Laufzeitüberwachung (wenn nicht mit keine projektiert).
  • Abschluss der Flankenbildung für die Aktion Pulsbefehl.
    Hinweis: Die Flankenverzögerung wird nicht ausgeführt wenn Select Before Operate bei der Befehlsvariable aktiviert wurde.

Wurde die Ausführung abgeschlossen und ist für die Aktion die Einstellung Automatisch schließen projektiert, wird das Bild geschlossen. Ansonsten wird in den Schritt "Initialisierung" gewechselt.

Wenn die Laufzeitüberwachung beendet ist, gilt für die Statusbits der Rückmeldevariable:

  • Bit PROGRESS wird deaktiviert
  • Bit TIMEOUT wird aktiviert wenn die Laufzeitüberwachung mit einem Fehler beendet wurde.

Sperre

Dieser Schritt wird aktiviert, wenn das Bild via der Funktion Bildumschaltung und dabei mit der Eigenschaft Initialstufe Sperre aufgerufen wurde. Das besondere an diesem Schritt ist, dass einige Kontrollelemente nicht angezeigt werden. Sichtbar sind nur die Kontrollelemente der Gruppen Rückmeldevariable und Sperre.

Hinweis: die Funktionalität Sperren/Entsperren steht auch in anderen Schritten zur Verfügung, wenn entsprechende Kontrollelemente im Bild platziert wurden.

Wenn bei der Aktion Sperre das Automatisch schließen projektiert wurde, wird das Bild nach Anklicken des Buttons Sperren oder Entsperren geschlossen.

Dieser Schritt kann nicht auf ein anderer Schritt gewechselt werden.


Blockierte oder gesperrte Elemente

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Blockierte oder gesperrte Elemente

Es sind einige Voraussetzungen zu erfüllen, damit die Einträge im Kontextmenü und die Kontrollelemente im Bild aktiv werden. Da diese zumeist mehrere Elemente betreffen, werden diese hier zusammenfassend dokumentiert.

Die Einträge im Kontextmenü und die Kontrollelemente im geöffneten Bild sind bis auf Beenden gesperrt wenn:

  • ein anderes Bild bereits der aktuelle Besitzer des aktiven NET_SEL Statusbit der Rückmeldevariable ist (z.B. durch einen Netzwerk Client)
  • die Aufschaltvariable keine Befehlsgabe projektiert hat
  • die Rückmeldevariable nicht vorhanden ist
  • die Rückmeldevariable noch mit keinen Wert versorgt wurde
  • für die ausgewählte Variable der Status INVALID oder OFF aktiv ist
    Ausnahme: Zwangsbefehl, Ersetzen
  • die Rückmeldevariable für die Befehlsgabe gesperrt wurde:
    • das Statusbit M1, also die Befehlssperre, bei der Rückmeldevariable gesetzt ist

    Ausnahme: die Kontrollelemente für die Aktion Sperre

  • eine Aktion für die Aktionsvariable läuft und die Laufzeitüberwachung noch nicht abgeschossen wurde
    Ausnahme: Der Button Abbrechen kann hier - abhängig von der Projektierung - aktiv sein.
  • auf die Bestätigung des Select (SBO) gewartet wird
  • die Daten der Sperre übertragen werden
  • die Daten der Sperre ungültig sind
  • der aktuell angemeldete Benutzer nicht über die nötige Berechtigungsebene verfügt.

Entriegeln

Eine Entriegelung ist nur dann möglich, wenn:

  • die Berechtigungsebene des angemeldeten Benutzers die Ausführung erlaubt
  • entsprechend der Konfiguration der Verriegelung:
    • für Befehlsbedingung:
      wenn die Eigenschaft Entriegelbar aktiviert wurde
    • für Topologische Verriegelung:
      wenn in der ALC Konfiguration der Status entriegelbar gewählt wurde.

Aktion Sperre von Kontextmenü

Wird das Bild durch die Befehlsgabeaktion Sperre aufgeschaltet, sind nur folgenden Kontrollelemente im Bild sichtbar:

  • Rückmeldevariable (Name)
  • Rückmeldevariable (Kennung)
  • Rückmeldevariable (Wert)
  • Rückmeldevariable (Status)
  • Rückmeldevariable (Maßeinheit)
  • Sperre
  • Benutzer
  • Sperrcode übernehmen

Andere im Bild projektierten Kontrollelemente werden ausgeblendet.


Kontrollelemente - Gruppe: Aktion / Befehl

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Kontrollelemente - Gruppe: Aktion / Befehl

Kontrollelement

Beschreibung

Aktive Aktion / Befehl

Typ der aktivierten Befehlsgabeaktion (Aktionstyp).

Beispiele: Schaltbefehl, Prüfe Rückmeldewert).

Schaltrichtung

Wert, der bei der aktiven Aktion projektierten Eigenschaft Rückmeldezustand/Schaltrichtung.

Je nach aktiver Aktion wird folgender Text angezeigt:

  • Befehl
  • Revision
  • Nachführen
  • Ersetzen:
    Text aus Grenzwert je nach Schaltrichtung.
  • Status: Ein oder Aus
  • Sonstige: leer

Hinweis: Die Informationen sind auch in der System Treiber Variablen [Befehlsgabe] Identifikation der Aktion und [Befehlsgabe]Parameter der Aktion abgebildet.


Kontrollelemente - Gruppe: Aktionsvariable

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Kontrollelemente - Gruppe: Aktionsvariable

Kontrollelement

Beschreibung

Name

Name der Aktionsvariable.

Kennung

Kennung der Aktionsvariable.

Status

Enthält die Kurzbezeichnungen der Statusbits für die Aktionsvariable.

Beispiel:

  • Bits für COT
  • Status SE_870 während Select
  • Status N_CONF (PN-Bit) bei negativer Antwort von SPS

Hinweis: Die Aktion Statusvorgabe beinhaltet die geplante Statusbits der Rückmeldevariable.

Wert

Aktueller Wert der Aktionsvariable oder Eingabefeld für Befehlsgabe-Aktion Sollwertvorgabe.

Hinweis: Bei Treibern die auch das Lesen der Befehsvariablen von SPS erlauben, ändert sich dieser Wert während des Ablauf der Aktion von einem bestehendem zum aktuellen Wert. Dann erst mit COT=7 (COT_actcon) oder WR-SUC wird die Anzeige des Wertes aktualisiert.

  • Bei projektierter Sollwertvorgabe gilt:
    Für die Aktion Sollwert wird mittels dieses Kontrollelement der zu setzende Wert vorgegeben. Durch Anklicken des Kontrollelements wird dieses in den Editiermode geschaltet und die Sollwerteingabe möglich. Mit der Eingabetaste wird der Editiermode wieder verlassen.
    Der neue Wert wird jedoch erst beim Anklicken des Kontrollelements Bestätigen gesetzt.

Das Kontrollelement ist gesperrt wenn:

  • Die Rückmeldevariable den Status REVISION(9) gesetzt hat.
  • Keine Aktion aktiv ist.
  • Das Bild nicht im Schritt „Stufe 1“ ist

Maßeinheit

Maßeinheit der Aktionsvariable

Hinweis: Der Name ist auch in der System Treiber Variable [Befehlsgabe] Name der Aktionsvariable abgebildet.


Kontrollelemente - Gruppe: Rückmeldevariable

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Kontrollelemente - Gruppe: Rückmeldevariable

Kontrollelement | Beschreibung
Name | Name der Rückmeldevariable
Kennung | Kennung der Rückmeldevariable
Status | Enthält die Kurzbezeichnungen der Statusbits für die Rückmeldevariable.
Wert | Aktueller Wert der Rückmeldevariable
Maßeinheit | Maßeinheit der Rückmeldevariable

Hinweis: Der Name ist auch in der System Treiber Variable [Befehlsgabe] Name der Rückmeldevariable abgebildet.


Kontrollelemente - Gruppe: Selektieren / Ausführen

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Kontrollelemente - Gruppe: Selektieren / Ausführen

Kontrollelement | Beschreibung
Ein | Befehlstaste der ersten Stufe, z.B. zum Schließen eines Schalters. Bei aktivierten SBO für die Befehlsvariable - sendet eines Select zu Steuerung. Hinweis: Nur sichtbar in Stufe 1.
Aus | Befehlstaste der ersten Stufe, z.B. zum Öffnen eines Schalters. Bei aktivierten SBO für die Befehlsvariable - sendet eines Select zu Steuerung. Hinweis: Nur sichtbar in Stufe 1.
Bestätigen | Befehlstaste der zweiten Stufe - Execute/Operate. Bestätigt die Ausführung des Befehls nach erfolgreicher Überprüfung der Verriegelung und positiver Bestätigung des Select von der SPS. Hinweis: Nur sichtbar in Stufe 2.
Abbrechen | Befehlstaste der zweiten Stufe - Cancel. Bricht den Ablauf der Befehlsgabe ab und kehrt in den Schritt „Stufe 1“ zurück. Hinweis: Nur sichtbar in Stufe 2.
Schließen | Schließt das Befehlsgabefenster in der zenon Runtime.

Hinweis: Die Stufen sind auch in der System Treiber Variable [Befehlsgabe] Bildstufe abgebildet.


Kontrollelemente - Gruppe: Sperre

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Kontrollelemente - Gruppe: Sperre

Kontrollelemente der Gruppe Sperre sind gesperrt wenn in der Befehlsgruppe keine Aktion Sperre projektiert ist.

Kontrollelement

Beschreibung

Benutzer

Nimmt die Benutzerkennung für die Sperre auf.

Sperrcode

Für die Eingabe des benutzerspezifischen Sperrcode.

Bemerkung

Optionaler Text welcher bei der Sperre vom Benutzer eingegeben werden kann.

Sperren

Aktiviert eine Sperre durch den beim Kontrollelement Benutzer eingegebenen Benutzer.

Hinweis: Diese Bedienhandlung wird, wenn durch die Projektierung nicht unterdrückt, in der CEL protokolliert.

Entsperren

Entfernt die Sperre, die - vom im Kontrollelement Benutzer eingegebenen Benutzer - ausgelöst wurde.
Dadurch ist gewährleistet, dass nur eigene Sperren aufgehoben werden.

Hinweis: Diese Bedienhandlung wird, wenn durch die Projektierung nicht unterdrückt, in der CEL protokolliert.

Sperrliste

Liste der aktiven Sperren:

  • Benutzer
    Name des Benutzers, welcher die Sperre aktiviert hat.
  • Sperrzeit
    Zeitstempel der Verriegelung.
  • Bemerkung
    Text für die Verriegelung.


Kontrollelemente - Gruppe: Verriegelungen

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Bildtyp Befehlsgabe > Kontrollelemente - Gruppe: Verriegelungen

Kontrollelement | Beschreibung
Verriegelungstext | Die anstehende Verriegelung laut Projektierung oder Texte aus ALC - Topologischen Verriegelung.
Entriegeln | Diese Schaltfläche entriegelt eine anstehende, entriegelbare Verriegelung. Hinweis: Dieses Kontrollelement wird nur angezeigt, wenn das Bild sich im Schritt „Entriegeln“ befindet (Kapitel: Ablauf im Befehlsgabebild). Das Kontrollelement ist gesperrt, wenn die anstehende Verriegelung nicht entriegelbar ist.

Hinweis: Die Verriegelungstexte sind auch in der System Treiber Variable [Befehlsgabe] Verriegelungsmeldung abgebildet.


Nachladen

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Nachladen

Beim Nachladen einer Befehlsgabe-Projektierung in der Runtime ist folgendes zu berücksichtigen:

  • Wenn eine Laufzeitüberwachung, Flankenbildung oder SBO aktiv sind, wird das Nachladen so lange verzögert, bis diese beendet sind.
  • Ein geöffnetes Bild vom Typ Befehlsgabe wird geschlossen und der Ablauf nach dem Nachladen in Abhängigkeit des aktuellen Schrittes wieder begonnen:
Schritt vor dem Nachladen | Verhalten nach dem Nachladen
Stufe 1 | Bild wird wieder für Stufe 1 aufgeschaltet.
Entriegelung oder Stufe 2 | Schritt Entriegelungsstufe wird aktiviert. Die Verriegelungsprüfung wird erneut ausgeführt.
Sperre | Sperre wird wieder aktiviert.
  • Vor dem erneuten Aufschalten werden die Rückmeldevariable, Befehlsvariable, Bedingungsvariablen, Befehlsgruppe und Aktion neu ermittelt. Wenn eines der Objekte nicht mehr vorhanden ist, werden die Kontrollelemente in der Runtime gesperrt.
  • Wurde bei der Variable - welche zum Aufruf der Befehlsgabe diente - die Befehlsgruppe entfernt oder getauscht, wird das Bild mit gesperrten Kontrollelementen aufgeschaltet. Das Bild ist dann erneut aufzuschalten oder die Befehlsgabe ist erneut auszuführen.
  • Wenn die Befehlsgruppe bei der Rückmeldevariable entfernt oder getauscht wurde, werden alle von der Befehlsgabe ausgelösten Sperren von der Variablen entfernt.
  • Wenn ein Benutzer - welcher eine Befehlssperre aktiviert hatte - nicht mehr existiert, wird die Sperre entfernt. Das Statusbit M1 und die LOCK.BIN Datei werden entsprechend aktualisiert.


Protokollierung in der CEL

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Protokollierung in der CEL

In der CEL werden neben den Schaltaktionen folgende Benutzerhandlungen protokolliert.

Parameter | Beschreibung
Entriegeln | Das Entriegeln einer anstehenden Verriegelung wird in der CEL vermerkt.
Alles Entriegeln | Es wird für jede entriegelte Verriegelung ein entsprechender CEL Eintrag erstellt.
Aktion ausführen | Wenn die Aktionseinstellung „CEL-Eintrag unterdrücken“ nicht aktiv ist, dann wird die Aktionsausführung in der CEL protokolliert.


Serverwechsel im Redundanzbetrieb

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Serverwechsel im Redundanzbetrieb

Wenn der Standby Server die Rolle des Prozessführendes Server übernimmt, übernehmen die Treiber des aktuellen Prozessführenden Servers das Schreiben zur Steuerungen. Dadurch wird ein laufendes Select Before Operate abgebrochen.

Auch die Betreuung des Select im Netzwerk - Statusbit NET_SEL - der Rückmeldevariable von bisherigen prozessführenden Server kann nicht übernommen werden und die Befehlsgabe muss erneut ausgeführt werden.

Beachten Sie das Verhalten der Runtime, wenn eine Redundanz-Umschaltung nicht durch einen Ausfall des Prozessführenden Servers sondern von Benutzer angestoßen wird.


Runtime beenden

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Runtime beenden

So lange aktive Aktionen im System noch anstehen, wird das ordnungsgemäße Beenden der Runtime (z. B. über einen Funktionsaufruf) verzögert.

Ein aktiver Select Before Operate Ablauf, verzögert das Beenden der zenon Runtime ebenso. Bei aktiviertem Select Before Operate wird eine Deaktivierung (Cancel) durchgeführt.

info Info

Diese Situation tritt vor allem bei einstufiger Ausführung der Befehlsgabeaktion Pulsbefehl mit Laufzeitüberwachung und oder Flankenbildung auf. Die Runtime wird erst beendet, nachdem die Aktion abgeschlossen wurde.


Rückmeldevariable sperren

Handbuch > Energy Edition > Befehlsgabe > Bedienen zur Runtime > Rückmeldevariable sperren

Eine Rückmeldevariable ist gesperrt wenn das Benutzerstatus Bit M1 gesetzt wurde.

In der Aktion Sperre kann - durch Eingabe des Benutzernamen sowie einem (bei der Benutzerdefinition projektierten) Sperrcode - die Sperre aktiviert oder deaktiviert werden. Für jede Rückmeldevariable kann ein Benutzer eine Sperre aktivieren. Mehrere Benutzer können dieselbe Rückmeldevariable sperren.

Die aktiven Sperren sind remanent in der Datei LOCK.BIN gespeichert, und werden auch nach einem Neustart des Systems weiter berücksichtigt.

info Info

Für die Sperren erfolgt eine automatische Synchronisation im zenon Netzwerk. Dadurch können Sperren auch im redundanten Betrieb eingesetzt werden.


Erweiterter Trend

Handbuch > Erweiterter Trend

Der Erweiterte Trend dient zur Darstellung von Online-Werten und historischen Werten (Archivwerte) von Prozess- und abgeleiteten Prozessvariablen in Kurvenform. Er ermöglicht die Rücklesbarkeit von historischen Daten. Das Scrollen im Erweiterten Trend bietet eine Lineal- und Zoomfunktion sowie eine Trendanalyse. Im Unterschied zum Dynamischen Element Trend ist Zoomen, Blättern, Abfragen und Skalieren von Onlinewerten und Werten aus Archiven möglich.

Erweiterter Trend Starter Edition

Im Standardumfang von zenon ist mit der Starter Edition eine im Funktionsumfang reduzierte Version des Erweiterten Trends enthalten.

Die Starter Edition hat folgende Einschränkungen:

  • kein XY Trend
  • keine 2. Zeitachse
  • Kurvenanzahl begrenzt auf 8 Kurven
  • keine logarithmische Darstellung
  • Abtastung mit einem Cursor

Zusätzliche Einschränkungen bei Verwendung in Windows CE Projekten siehe Handbuch zenon Operator unter Windows CE, Kapitel Einschränkungen für zenon.

attention Achtung

Ist im Editor nur die Erweiterter Trend Starter Edition lizenziert, können die oben genannten Einschränkungen nicht projektiert werden.

Ist in der Runtime nur die Erweiterter Trend Modul Starter Edition lizenziert, können Bildumschaltungsfunktionen, die den oben genannten Regeln nicht entsprechen, nicht ordnungsgemäß ausgeführt werden. Das Bild Erweiterter Trend wird dann mit dem Default Filter (=leerer Filter) aufgeschaltet. Es erfolgt ein Eintrag im Diagnosis Server.

Beispiel: Sie versuchen in der Runtime mit der Starter Edition eine Bildumschaltungsfunktion auf ein Bild mit 10 Kurven durchzuführen. Das Erweiterter Trend Bild wird zwar geöffnet, es werden jedoch keine Kurven angezeigt.

Noch in diesem Kapitel

Projektieren im Editor

Bedienen zur Runtime


Projektieren im Editor

Handbuch > Erweiterter Trend > Projektieren im Editor

Um den Erweiterten Trend in der Runtime nutzen zu können, müssen im Editor:

  • ein Bild vom Typ Erweiterter Trend angelegt werden
  • eine Bildumschaltfunktion erstellt werden
  • Kurven konfiguriert werden

Noch in diesem Kapitel

Bild vom Typ Erweiterter Trend anlegen

Vorbereitungen zum Aufschalten eines ETM-Bildes

Bildumschaltung - Erweiterter Trend

Kurven konfigurieren

Filterprofile

Funktion "Erweiterter Trend Diagramm drucken"

Einträge in der project.ini


Bild vom Typ Erweiterter Trend anlegen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bild vom Typ Erweiterter Trend anlegen

Das Bild vom Typ Erweiterter Trend dient dazu, den Erweiterten Trend zur Runtime zu bedienen.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Erweiterter Trend.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Auswahl der anzuzeigenden Fenster für Diagramme und Kurven zur Runtime.

Kontrollelement

Beschreibung

Diagramm

Fenster zur Anzeige der Trendkurve.

Nicht verfügbar, wenn das Bild mit aktivierter Option Chargenauswahldialog anzeigen -> Chargenauswahl relativ aufgeschaltet wurde.

Diagrammname

Zeigt den Diagrammnamen an.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Eingestellter Filter

Zeigt zur Runtime den aktuell eingestellten Zeitfilter an.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Cursor-Ausgabeliste

Zeigt die Position des Cursors im Diagrammfenster und die unter Diagrammeinstellungen und Cursor-Ausgabe festgelegten Werte an.

Erweiterte Kurvenliste

Kurvenliste, die zur Runtime bearbeitet werden kann. Bearbeitet werden können:

  • Aktiv
  • Farbe
  • Flächendarstellung
  • Füllfarbe
  • Kurvenname
  • Reihenfolge
  • Titel
  • Transparenz Füllfarbe
  • Variablennname
  • Variablenkennung
  • Y-Achse

Hinweis: Steht unter Windows CE nicht zur Verfügung. Wird dort durch die Kurvenliste (veraltet) ersetzt.

Kurve aktivieren

Aktiviert die ausgewählte Kurve in der Erweiterten Kurvenliste. Durch aktivieren/deaktivieren wird die Kurve im Bild ein-/ausgeblendet und die Liste aktualisiert. Mehrfachauswahl ist möglich. Die Schaltfläche ist inaktiviert, wenn in der Kurvenliste keine Kurve ausgewählt wurde.

Achse aktivieren

Aktiviert die ausgewählte Achse in der Erweiterten Kurvenliste. Durch aktivieren/deaktivieren wird die Achse im Bild ein-/ausgeblendet und die Liste aktualisiert. Mehrfachauswahl ist möglich. Die Schaltfläche ist inaktiviert, wenn in der Kurvenliste keine Kurve ausgewählt wurde.

Kurvenfarbe

Ermöglicht die Einstellung der gewünschten Farbe für die jeweilige Kurve. Bei einem Farbwechsel wird die Kurve im Bild neu dargestellt und die Liste aktualisiert. Die Schaltfläche ist nur aktiviert, wenn in der Erweiterten Kurvenliste eine einzelne Kurve ausgewählt wurde.

Diagrammfunktionen

Vordefinierte Bedienelemente für Diagramme.

Kontrollelement | Beschreibung
Filter | Anzeige eingestellter Filter.
Diagrammeinstellungen | Aktiviert Dialog für Diagrammeinstellungen und Cursor-Ausgabe.
Kurven | Kurvenparameter ändern.
X-Achsen | Öffnet Dialog für Einstellungen der X-Achse. Nicht verfügbar, wenn das Bild mit aktivierter Option Chargenauswahldialog anzeigen -> Chargenauswahl relativ aufgeschaltet wurde.
Aktualisieren | Aktualisiert die Darstellung.
Stopp | Bildschirm nicht aktualisieren.
Weiter | Bildschirm aktualisieren.
Cursor ein/aus | Werte abfragen.
Doppelcursor ein/aus | Werte, die zwischen 2 Cursor liegen, anzeigen.
Drucken | Druckt Diagramm. Hinweis: Ausdrucke über den Button Drucken des Bildes Erweiterter Trend unterscheiden sich im Ergebnis eventuell vom Drucken über die Funktionen Bildumschaltung Erweiterter Trend oder Erweiterter Trend Diagramm drucken. Die Funktionen gehen von einem Fenster der Größe 1000 x 700 Pixel aus. Drucken über den Button geht von der im Editor definierten Proportion aus.
Drucken mit Dialog | Wahl des Druckers vor dem Ausdruck des Diagramms.
In Zwischenablage kopieren | Darstellung in die Zwischenablage kopieren.
Angezeigte Daten exportieren | Exportiert alle sichtbaren Daten aller angezeigten Kurven in eine CSV-Datei.

Diagrammnavigation

Buttons zur Navigation im Diagramm.

Kontrollelement

Beschreibung

Cursor ein Pixel nach links

Setzt Cursor ein Pixel nach links.

Wird gleichzeitig die Umschalt-Taste gedrückt, wird der Cursor um 10 Pixel bewegt.

Cursor ein Pixel nach rechts

Setzt Cursor ein Pixel nach rechts.

Wird gleichzeitig die Umschalt-Taste gedrückt, wird der Cursor um 10 Pixel bewegt.

Rückwärts

Auf der Zeitachse zurück scrollen (Historie).

Rückwärts Viertel

Verschiebt angezeigten Zeitraum um ein Viertel der gewählten Maßeinheit zurück.

Vorwärts

Auf der Zeitachse vorwärts scrollen (aktuell).

Vorwärts Viertel

Verschiebt angezeigten Zeitraum um ein Viertel der gewählten Maßeinheit nach vorne.

Zoomen

Darstellung vergrößern.

Schritt zurück

Darstellung verkleinern.

Zoom +

Verringert Zeitabstände der Darstellung.

Zoom -

Vergrößert Zeitabstände der Darstellung.

Auf 100 % zoomen

Stellt Zoomfaktor auf 100 % ein.

Diese Zoomaktion wird in die Zoom-History gespeichert.

Zum Beispiel: Wird mittels Zoomen

  • zweimal ein ausgewählter Bereich des Erweiterten Trends gezoomt,
  • danach Inhalt auf 100% zoomen gewählt und
  • danach wieder ein selektierter Bereich gezoomt,

dann stehen 4 Zoom-Ereignisse in der History. Diese können über den Button Schritt zurück schrittweise wieder zurückgesprungen werden.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Diagrammname | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kurvenliste CE | Liste der Kurven. Wird aus Kompatibilitätsgründen für CE verwendet. Für alle anderen Projekte wird die Erweiterte Kurvenliste empfohlen.

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Kontrollelement

Beschreibung

Profilauswahl

Profil aus Liste auswählen.

Speichern

Speichert aktuelle Einstellung als Profil.

Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten.
Verboten sind: ! \ / : * ? < > | ""

Löschen

Löscht ausgewähltes Profil.

Import

Importiert Filterprofile aus Exportdatei.

Export

Exportiert Filterprofile in Datei.

info Info

Die Kontrollelemente Cursor ein Pixel nach links und Cursor ein Pixel nach rechts bewegen nur den Cursor, sofern er aktiv ist, und nicht den Trend.

Anstelle der Kontrollelemente können auch die Pfeil-Tasten der Tastatur benutzt werden.

Wird beim Bewegen mittels Pfeil-Tasten oder Kontrollelementen die Umschalt-Taste gedrückt gehalten, erfolgt die Bewegung in Schritte von 10 Pixeln.

Noch in diesem Kapitel

Einstellungen zur Bedienung des Erweiterten Trends mit der Maus zur Runtime


Einstellungen zur Bedienung des Erweiterten Trends mit der Maus zur Runtime

Handbuch > Erweiterter Trend > Projektieren im Editor > Bild vom Typ Erweiterter Trend anlegen > Einstellungen zur Bedienung des Erweiterten Trends mit der Maus zur Runtime

Im Editor können Einstellungen getroffen werden, um in einem Bild vom Bildtyp Erweiterter Trend zur Runtime die Mausfunktionen zu definieren:

  1. Öffnen Sie ein Bild vom Bildtyp Erweiterter Trend.
  2. Klicken Sie in das Kontrollelement Diagrammfenster des Erweiterten Trends.

    Die Eigenschaften des Diagrammfensters werden angezeigt.

  3. Wählen Sie in der Eigenschaftengruppe Runtime die Eigenschaft Manipulation per Maus.
  4. Projektieren Sie das gewünschte Verhalten zur Runtime mit den jeweiligen Eigenschaften.

    Hinweis: Wird in der Trendansicht ein Cursor für die Anzeige verwendet sind Interaktionen der Maus in der Runtime deaktiviert.

Parameter

Beschreibung

Ziehen mit linker Maustaste

Zur Auswahl stehen:

  • Keine Reaktion
  • Zoomrahmen aufziehen
  • Verschieben
  • Horizontal verschieben

Hinweis: Die Schaltfläche Zoomen ist nicht verfügbar, wenn bei Ziehen mit linker Maustaste die Einstellung Zoomrahmen aufziehen gewählt wurde.

Ziehen mit rechter Maustaste

Zur Auswahl stehen:

  • Keine Reaktion
  • Zoomrahmen aufziehen
  • Verschieben
  • Horizontal verschieben

Mausrad

Zur Auswahl stehen:

  • Keine Reaktion
  • Vertikal verschieben
  • Horizontal verschieben

Alt + Mausrad

Zur Auswahl stehen:

  • Keine Reaktion
  • Vertikal verschieben
  • Horizontal verschieben

Strg + Mausrad

Zur Auswahl stehen:

  • Keine Reaktion
  • Zoomen
  • X-/T-Achse zoomen


Vorbereitungen zum Aufschalten eines ETM-Bildes

Handbuch > Erweiterter Trend > Projektieren im Editor > Vorbereitungen zum Aufschalten eines ETM-Bildes

Zum Aufschalten eines Bildes vom Bildtyp Erweiterter Trend stehen folgende Möglichkeiten zur Verfügung:

  • über die Funktion Bildumschaltung (Standard-Funktion)
  • über ein Dynamisches Element mit Kontextmenü

Vorbereitungen zum Aufschalten eines ETM-Bildes über ein Dynamisches Element mit Kontextmenü

Sind mehrere Dynamische Elemente mit einem Kontextmenü zum Aufschalten eines ETM-Bildes verknüpft, wird im ETM-Bild stets die Variable des dynamischen Elements dargestellt, von dem aus das Kontextmenü geöffnet wurde.

Vorgehen:

  1. Gehen Sie im Projektbaum auf den Knoten Menüs.

    Die Detailansicht wird geöffnet.

  2. Legen Sie ein neues Kontextmenü mit dem gewünschten Namen an.

    Das Symbol des Kontextmenüs wird auf der rechten Seite dargestellt.

  3. Klicken Sie das Symbol mit der linken Maustaste an.

    Das Eigenschaftsfenster des Symbols wird geöffnet.

  4. Geben Sie unter Darstellung/Typ und Text den Text ein, der zur Runtime im Kontextmenü angezeigt werden soll.

    Dieser Text wird auch im Symbol angezeigt.

    Hinweis: Wenn Sie in die markierte Fläche unterhalb des Textes klicken, können Sie in den Eigenschaften einen weiteren Text eingeben. Mit diesem Eintrag des Kontextmenüs kann dann eine weitere Funktion verbunden werden.

  5. Stellen Sie bei Aktionstyp Erweiterten Trend anzeigen ein.
  6. Gehen Sie in den Eigenschaften auf den Knoten Erweiterter Trend.
  7. Wählen Sie unter Bild über die Auswahlschaltfläche ... ein Bild vom Bildtyp Erweiterter Trend aus.

    Hinweis: Durch Aktivieren der Checkbox Häkchen wird vor dem Text des Kontextmenüs ein Häkchen angezeigt. Ansonsten hat diese Checkbox keine Auswirkungen.

  8. Stellen Sie unter Zeitfilter relativ die gewünschte Zeit ein.

    Default: 0T 00:00:00

  9. Wählen Sie unter Stilgruppe für Diagramm über die Auswahlschaltfläche ... den gewünschten Stil aus.
  10. Öffnen Sie das Bild, in dem sich das Dynamische Element befindet, das mit dem Kontextmenü verknüpft werden soll.
  11. Klicken Sie das Dynamische Element mit der linken Maustaste an.

    Das Eigenschaftsfenster des Elements wird geöffnet.

  12. Wählen Sie unter Runtime und Kontextmenü das gewünschte Kontextmenü aus.
  13. Starten Sie die Runtime.
  14. Klicken Sie mit der rechten Maustaste auf das Dynamische Element mit dem Kontextmenü.

    Das Kontextmenü wird geöffnet.

  15. Klicken Sie mit der linken Maustaste auf den gewünschten Eintrag.

    Das ETM-Bild wird geöffnet. Die Variable des Dynamischen Elements ist bereits in der Kurvenliste ersichtlich und als Kurve angelegt.


Bildumschaltung - Erweiterter Trend

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend

Mit der Bildumschaltung werden die Parameter für das in der Runtime anzuzeigende Trenddiagramm definiert. Jede Trendkurve wird mit einem eigenen Namen versehen. Um die Übersichtlichkeit nicht zu verlieren, sollten nicht zu viele Trendkurven gleichzeitig angezeigt werden. Die Projektierung von Kurven kann für mehrere Variablen erfolgen, die dann zur Runtime aktiviert werden können.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Bilder.
  3. Wählen Sie die Funktion Bildumschaltung.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Konfigurieren Sie die Filter.
  6. Benennen Sie die Funktion in der Eigenschaft Name.

Filterdialog Bildumschaltung

Registerkarte | Beschreibung
Daten | Konfiguration der Datenherkunft und Kurvenverwaltung.
Darstellung | Konfiguration der Diagrammdarstellung.
X-Achse | Konfiguration der X-Achse.
Zeit | Konfiguration des Zeitfilters.
Chargen | Konfiguration des Chargenfilters.
Schicht | Konfiguration des Schichtfilters. Kann nicht gemeinsam mit Chargenfilter aktiv sein.
Spalteneinstellung | Konfiguration der anzuzeigenden Spalten.
Druckereinstellungen | Konfiguration der Einstellungen für Druck der Diagramme oder Speicherung als Bild.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Daten

Darstellung

X-Achse

Zeit

Chargen

Schicht

Spalteneinstellungen

Druckereinstellungen


Daten

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Daten

Konfiguration von Datenherkunft und Kurven und deren Anzeige zur Runtime.

Die angebotenen Optionen unterscheiden sich je nach Datenherkunft:

  • Onlinedaten
  • Block-Array
  • Archivdaten

info Info

Der Erweiterte Trend unterstützt die Darstellung von projektübergreifenden Daten. Dabei wird sowohl die Darstellung von Daten aus Unterprojekten in einem Integrationsprojekt, als auch die umgekehrte Richtung unterstützt. Möglich ist dies für alle Arten der Datenherkunft.

Weitere Informationen zum projektübergreifenden Datenaustausch finden Sie im Kapitel Mehrprojektverwaltung.

Konfiguration Daten

Hinweis: Die Schaltfläche Ersetzen... steht nur zur Verfügung, wenn unter Datenherkunft Archivdaten ausgewählt wurde.

Datenherkunft

Parameter

Beschreibung

Datenherkunft

Auswahl der Datenherkunft:

  • Onlinedaten
  • Block-Array
  • Archivdaten

Nur auswählbar, solange keinen Kurven konfiguriert wurden.

Onlinedaten

Aktiv: Für die Darstellung werden aktuelle Onlinewerte und gespeicherte Werte verwendet.

Block-Array

Aktiv: Für die Darstellung werden Variablen mit Array-Werten verwendet. Damit können Sie die Anzeige auf Variablen einschränken, die auf einem Treiber basieren, der Variablen mit Array-Werten unterstützt.

Die Darstellung von Variablen mit Array-Werten funktioniert genauso wie die XY-Darstellung. Allerdings müssen Sie keinen Zeitfilter und keine X-Variable auswählen. Geben Sie in der Registerkarte X-Achse (XY-Anzeige) bei Skala Von und Bis die entsprechenden Array-Indizes der Quelldaten ein.

Hinweis: Block-Array entspricht der Eigenschaft Größe Blockarray, die bei einer Variablen eingestellt werden kann, und ist nicht ident mit Array-Variablen.

Archivdaten

Aktiv: Für die Darstellung werden in der Datenbank gespeicherte Archivwerte (ARX-Format oder SQL-Daten) verwendet.

Hinweis: Archive im XML-, dBase- oder TXT-Format werden nach Ablauf des Speicherzykluses nicht mehr angezeigt.

Optionen

Parameter

Beschreibung

Optionen

Konfiguration von Optionen, abhängig von der Datenherkunft.

Daten sortieren

Nur verfügbar für Onlinedaten und Archivdaten.

Aktiv: Die Daten werden nach dem Laden nach ihrem Zeitstempel sortiert.

Hinweis: Die Nutzung dieser Option kann die Performance beeinträchtigen, da jedes Mal alle Daten neu sortiert werden müssen.

Empfehlung: Verwenden Sie diese Option, wenn Daten von einer externen Quelle kommen und nicht sichergestellt werden kann, dass die Reihenfolge korrekt ist.

Nur Delta-Daten

Nur verfügbar für Archivdaten.

Aktiv: Beim Aufschalten oder Aktualisieren des Trends werden nur Archive mit geänderten Daten geladen.

Archive aus Rückleseordnern verwenden

Nur verfügbar für Archivdaten.

Für die Darstellung werden die historischen Daten aus dem Rückleseordner verwendet.

Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.

Passendes Verdichtungsarchiv automatisch auswählen

Nur verfügbar für Archivdaten.

Aktiv: Zur Runtime wird das passende Verdichtungsarchiv automatisch ausgewählt.

Funktionsweise zur Runtime:

  • Zoom:
    Wird ein sehr großer Zeitbereich im Basisarchiv gewählt oder wird sehr oft aus der Ansicht mit dem Button Zoom - herausgezoomt, dann werden in der Regel sehr viele Daten angefordert.
    Mit aktiver Option werden nur die Daten aus dem nächsten Verdichtungsarchiv angezeigt. Wird wieder in das Diagramm hineingezoomt (via Button Zoom +), wechselt das Diagramm in der Ansicht zurück zum vorherigen Archiv.
  • Schwellwert:
    Kann der Schwellwert nicht bestimmt werden, wird als Default 15 Werte verwendet.
    Berechnung Schwellwert: Wurzel aus Diagrammbreite = Zahl der Werte aus dem Verdichtungsarchiv.
    Beispiel: Diagrammbreite 625 Pixel ergibt einen Schwellwert von 25 Werten.
  • Verdichtungsarchive
    Aus den Verdichtungsarchiven wird jene Verdichtungsvariable gewählt, die als erste in folgender Reihenfolge erscheint: - Durchschnitt
    - Maximum
    – Minimum
    – Summe
    Achtung: Wird die Variable für das Diagramm aus einem Verdichtungsarchiv gewählt, dann:
    - wird in der Trenddarstellung nur die gleiche Verdichtungsfunktion berücksichtigt
    - werden nurmehr die Daten des Verdichtungsarchivs verwendet. Eine Darstellung der Daten, die der Verdichtungsvariable zugrunde liegen ist nicht mehr möglich. Diese werden dadurch auch z.B. bei Zoom - nicht mehr berücksichtigt.
    Sind mehrere Verdichtungsarchive auf einer Ebene mit der gleichen Verdichtungsfunktion vorhanden, wird immer das erste gewählt.
  • Nur eine Summenvariable:
    Wird zu einer Variablen aus dem Basisarchiv nur eine Summenvariable gefunden, erfolgt eine Warnung im Diagnosis Viewer und im Ausgabefenster des Editors.

Default-Einstellung:

  • aktiv
  • Ausgenommen Projekte, die vor 7.11 erstellt und in die aktuelle Version konvertiert wurden.

Kurven

Parameter

Beschreibung

Kurven

Anzeige und Aktivierung der konfigurierten Kurven. Doppelklick auf einen Eintrag öffnet den Dialog zur Konfiguration der Kurve.

Die Anzeige zur Runtime kann hier aktiviert und deaktiviert sowie die Reihenfolge der Anzeige konfiguriert werden.

Die angezeigten Spalten in der Kurvenliste entsprechen der aktuellen Konfiguration der Erweiterten Kurvenliste in der Registerkarte Spalteneinstellungen.

Wichtige Spalten:

  • Kurvenname: Anzeige des Kurvennamens.
  • Titel: Anzeige des konfigurierten Kurventitels.
  • Farbe: Anzeige der konfigurierten Kurvenfarbe.
  • Y-Achse: Aktivierung/Deaktivierung der Anzeige der Y-Achse zur Runtime durch Klick in die Checkbox.
    Wurde die Checkbox deaktiviert, kann die Y-Achse für die Kurve zur Runtime im Bild Erweiterter Trend ausgewählt und angezeigt werden.
  • Aktiv: Aktivierung/Deaktivierung der Anzeige der Kurve zur Runtime durch Klick in die Checkbox.
    Wurde die Checkbox deaktiviert, kann die Kurve zur Runtime im Bild Erweiterter Trend ausgewählt und angezeigt werden.
  • Variablenname: Anzeige des Variablennamens.
  • Variablenkennung: Anzeige der Variablenkennung.
  • Reihenfolge: Definiert die Reihenfolge, in der die Kurven in dieser Registerkarte und zur Runtime angezeigt werden. Die Reihenfolge kann durch Klick in eine Zelle und Eintrag einer Ziffer geändert werden. Alternativ kann die Reihenfolge durch Klicken auf den Spaltenkopf und anschließendem Drag&Drop geändert werden.
    Minimum: 1
    Maximum: Anzahl der Kurven.
    Die Sortierung erfolgt durch Klick auf den Spaltenkopf.
    Die Reihenfolge kann auch zur Runtime konfiguriert werden.
  • Quelle: Gibt Auskunft über den Ursprungsort der dargestellten Variablen. Der Benennung des ursprünglichen Archives erfolgt nach der Regelung: <Kurzbezeichnung> +"-" + <Name> +", "+ <Gruppierung> + " (" + <Quelle> + ")". Beispiel: A1-ARCHIV1,SU(AA-ARCHIV1)
  • Hinweise:
  • Die erlaubte Anzahl der Kurven hängt von der Lizenz ab.
  • Bei der Auswahl einer Archiv-Variablen vom Typ String wird im Dialog Kurveneinstellungen automatisch die Option Gantt-Darstellung aktiviert.
  • Die Sortierung nach anderen Spalten als Reihenfolge wirkt sich nicht auf die Reihenfolge der Kurvenanzeige aus.

Hinzufügen...

Öffnet den Dialog zur Variablenauswahl, abhängig von der Datenherkunft:

  • Onlinedaten: numerische Variablen
  • Block-Array: numerische Variablen
  • Archivdaten: Variablen bestehender Archive

Bearbeiten...

Öffnet den Dialog für die Kurvenkonfiguration.

Dieser Dialog kann auch mit Doppelklick auf eine Kurve in der Liste Kurven geöffnet werden.

Löschen

Ermöglicht das Entfernen von Einträgen.

Ersetzen...

Öffnet den Dialog Filterobjekte substituieren.

Folgende Objekte können substituiert werden:

  • Kurvendaten (Archiv-Variable)
  • Achsentitel (Y-Achse / X-Achse)
  • Kurventitel
  • Sichtbarkeitsvariable der Kurve
  • X-Achsendaten (Archiv-Variable für XY-Diagramm)

Vorschlag für die Harddisk-Datenspeicherung

Parameter

Beschreibung

Vorschlag für die Harddisk-Datenspeicherung

Steht nur für Onlinedaten zur Verfügung.

Bietet vom System vorgeschlagene Werte für die Eigenschaften der Gruppe Harddisk Datenspeicherung im zenon Editor an.

Die Berechnung des Vorschlags hängt unmittelbar mit der Aktualisierungsrate (Registerkarte Darstellung) zusammen. Bei YT-Anzeige fließt auch die im Zeitfilter konfigurierte Zeit in die Berechnung mit ein.

Anzahl

Anzahl der Werte, die geschrieben werden. Entspricht dem Wert, der in die Eigenschaft Anzahl Werte eingetragen wird.

Zykluszeit

Zykluszeit in Sekunden. Entspricht dem Wert, der in die Eigenschaft Zykluszeit [s] eingetragen wird.

Vorschau

Zeigt die aktuellen Werte der Variablen an, die durch die vorgeschlagenen Werte ersetzt werden sollen.

Vorschlag übernehmen

Aktiv: Schreibt beim Beenden des Dialogs mit OK die vorgeschlagenen Werte in die jeweiligen Eigenschaften der Variablen.

Hinweis: Ist die Eigenschaft Harddisk Datenspeicherung aktiv deaktiviert, wird sie aktiviert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Die bis Version 7.10 vorhandenen Optionen zum Import und Export dieses Filters wurden vorübergehend entfernt. Der Import von Filter aus Projekten anderer Versionen ist damit zurzeit nicht möglich.

Harddisk Datenspeicherung

Sollen Online-Variablen im Erweiterten Trend angezeigt werden, empfiehlt sich eine Abstimmung der Werte für das Speichern der Variablenwerte auf der Festplatte. Wurde bei der Konfiguration der Bildumschaltung auf ein Bild vom Typ Erweiterter Trend die Option Onlinedaten gewählt, schlägt das System optimale Werte für das Speichern der Variablenwerte auf der Festplatte vor. Diese Werte können auch manuell angepasst werden.

Im zenon Editor finden Sie diese Eigenschaften in der Gruppe Harddisk Datenspeicherung.
Diese umfasst die Eigenschaften:

  • Harddisk Datenspeicherung aktiv: Schaltet Datenspeicherung ein oder aus.
  • Anzahl Werte: Anzahl der Werte, die gespeichert werden.
  • Zykluszeit [s]: Zykluszeit in Sekunden.
  • Aufzeichnungsart: Art der Speicherung:
    • Harddisk-Daten (zyklisch): Zyklisches Schreiben der Werte auf die Festplatte.
    • Nachsortierte Werte (RDA): Die Werte werden blockweise vom Treiber auf die Festplatte geschrieben.
      Eignet sich für Post-Mortem-Analyse. Steuerung muss dafür konfiguriert sein, im Fehlerfall Daten zu speichern und nach erneuter Inbetriebnahme auf die Festplatte zu schreiben.

Wird die Harddisk Datenspeicherung nicht verwendet, werden Daten zur Runtime nicht gespeichert.

Noch in diesem Kapitel

Block-Array

Filterobjekte substituieren


Block-Array

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Daten > Block-Array

Um Variablen mit Arraydaten anzuzeigen:

  • definieren Sie bei den entsprechenden Variablen die Eigenschaft Größe Blockarray in der Gruppe Zusätzliche Einstellungen, zum Beispiel 10

  • wählen Sie bei der Funktion Bildumschaltung auf das Erweiterter Trend Bild die Eigenschaft Block-Array:

Ergebnis zur Runtime

  1. Beim Runtimestart ist das Erweiterter Trend Bild noch leer:

  2. Sobald die Rezeptwerte abgesetzt wurden, werden die Werte der Variablen mit Block-Arrays angezeigt:


Filterobjekte substituieren

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Daten > Filterobjekte substituieren

Im Dialog Filterobjekte substituieren können folgende Elemente substituiert werden:

  • Kurvendaten (Archivvariable)
  • Achsentitel (Y-Achse / X-Achse)
  • Kurventitel
  • Sichtbarkeitsvariable der Kurve
  • X-Achsendaten (Archivvariable für XY-Diagramm)

In diesem Dialog können Sie etwa eine im Editor bereits für die Darstellung im ETM definierte Kurveneinstellung für weitere Variablen nutzen.

Die Variable der bereits definierten Kurve wird durch die gewünschte Variable ersetzt.

Zur Runtime steht dann eine Kurve mit den gleichen Einstellungen zur Verfügung.

Das Vorgehen wird an zwei Beispielen zur Ersetzung von Variablen dargestellt.

Bei der Konfiguration der Substitution im Editor wird der Eintrag des Archivkanals mit dem folgenden String eindeutig identifiziert:

ArchiveProject#ArchiveShortName|Aggregation(PossibleSubAggragetion).ProjectOfVariable#VariableName

In der jeweiligen Registerkarte des Dialogs Filterobjekte substituieren können Sie:

  • Verknüpfungen ersetzen
  • Indizes ersetzen

Vorarbeiten zum Ersetzen von Verknüpfungen oder Indizes

Vorbereitungen:

  1. Wählen Sie im Filterdialog der Bildumschaltfunktion des ETM die Variable aus, die ersetzt werden soll. Klicken Sie hierzu in der Registerkarte Daten auf die Schaltfläche Hinzufügen....

    Der Dialog Archivvariablenauswahl wird geöffnet.

  2. Wählen Sie die gewünschte Variable aus und klicken Sie auf die Schaltfläche Einfügen.

    Beispiel: Variable1

  3. Bestätigen sie die Auswahl mit einem Klick auf OK.

    Der Dialog wird geschlossen. Die ausgewählte Variable ist unter Kurven ersichtlich.

Noch in diesem Kapitel

Verknüpfungen ersetzen

Indizes ersetzen


Verknüpfungen ersetzen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Daten > Filterobjekte substituieren > Verknüpfungen ersetzen

Es stehen zwei Vorgehensweisen zur Verfügung:

  • Ersetzen von Verknüpfungen über die Schaltfläche Übernehmen...
  • Ersetzen von Verknüpfungen über die Schaltfläche Variable/Funktion...

Ersetzen von Verknüpfungen über die Schalftläche Übernehmen

Beispiel: Variable1 soll durch Variable2 ersetzt werden.

Vorgehen:

  1. Führen Sie die Vorbereitungen zum Ersetzen von Verknüpfungen oder Indizes aus.
  2. Klicken Sie danach im Dialog Filter... in der Registerkarte Daten auf die Schaltfläche Ersetzen....

    Der Dialog Filterobjekte substituieren wird geöffnet.

  3. Geben Sie im Eingabefeld unter Quelle (mit `*´ oder `?') den Ursprung der zu zu ersetzenden Verknüpfung an.

    Beispiel: Variable1*

    Die Variable ist unter Quelle und Ziel ersichtlich.

    Initial sind Quelle und Ziel mit der gleichen Variable befüllt.

  4. Geben Sie im Eingabefeld unter Ziel die Variable ein, mit der Variable1 ersetzt werden soll.

    Beispiel: Variable2

    Hinweis: Die im Beispiel angeführter Variable 2 muss bereits angelegt und eine Archivvariable sein.

  5. Klicken Sie auf Übernehmen.

    In einem Dialog wird ausgegeben, wie viele Verbindungen ersetzt wurden.

  6. Bestätigen Sie den Dialog mit einem Klick auf OK.

    Unter Ziel ist nun die Variable eingetragen, die die Quellvariable ersetzt.

  7. Klicken Sie auf OK, um den Dialog zu schließen.
  8. Klicken Sie auf OK, um den Filterdialog zu schließen.

    Beim nächsten Öffnen der Runtime steht die Kurve mit der ersetzten Variable (Variable 2) im ETM zur Verfügung.

Ersetzen von Verknüpfungen über die Schalftläche Variable/Funktion...

Beispiel: Variable1 soll durch Variable2 ersetzt werden.

Vorgehen:

  1. Klicken Sie im Dialog Filterobjekte substituieren auf Variable/Funktion....

    Der Dialog Archivvariablenauswahl wird geöffnet.

  2. Wenn im unteren Listenbereich des Dialoges Einträge vorhanden sind, markieren Sie diese durch einen Klick mit der linken Maustaste.
  3. Klicken Sie auf die Schaltfläche Löschen, um die Einträge zu entfernen.
  4. Wählen Sie aus den angezeigten Archivvariablen die Variable aus, mit der Sie die Quellvariable ersetzen möchten.
  5. Bestätigen Sie die Auswahl mit einem Klick auf Einfügen.

    Die Auswahl wird im unteren Listenbereich angezeigt.

  6. Klicken Sie auf OK, um den Dialog zu schließen.

    Die ausgewählte Variable ist nun im Dialog Filterobjekte substituieren unter Ziel ersichtlich.

  7. Klicken Sie auf OK, um den Dialog zu schließen.
  8. Klicken Sie auf OK, um den Filterdialog zu schließen.

    Beim nächsten Öffnen der Runtime steht die Kurve mit der ersetzten Variable (Variable 2) im ETM zur Verfügung.


Indizes ersetzen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Daten > Filterobjekte substituieren > Indizes ersetzen

Es stehen zwei Vorgehensweisen zur Verfügung:

  • Indizes ersetzen mit Indizierungsvariablen (X01-X99)
  • Indizes ersetzen mit Substitutionsparameter eines dynamischen Elements {PARAM}

Beispiel: Variable1 soll mit einer Indizierungsvariable oder dem Substitutionsparameter eines dynamischen Elements ersetzt werden.

Ersetzen von Indizes

Vorgehen:

  1. Führen Sie die Vorbereitungen zum Ersetzen von Verknüpfungen oder Indizes aus.
  2. Klicken Sie im Dialog Filterobjekte substituieren auf die Registerkarte Indizes ersetzen.

    Die zu ersetzende Variable wird in der Ersetzungsvorschau unter Quelle angezeigt.

    Beispiel: Variable1

  3. Klicken sie in der Ersetzungsvorschau auf die Variable, um diese in den Indizierungsregeln in Quelle und Ziel zu übernehmen.
  4. Um mit Indizierungsvariablen (X01-X99) zu arbeiten, ändern Sie die Benennung der Variable unter Ziel nach Ihren Wünschen.

    Beispiel: Variable(X01)2 Die Indizierungsvariable X01 wird verwendet.

    Hinweis: Beginnen Sie stets mit X01, da die Variablenzuordnung unter Indizierungsvariablen automatisch nach oben zählt.

  5. Klicken Sie auf die Schaltfläche Regel hinzufügen um die Angaben von Quelle und Ziel aus den Indizierungsregeln zu übernehmen.
  6. Klicken Sie unter Indizierungsvariablen auf die Schaltfläche Hinzufügen....

    Der Dialog Variablenauswahl wird geöffnet.

  7. Wählen Sie die Variable aus, die zum Ersetzen verwendet werden soll.
  8. Klicken Sie auf Hinzufügen um die Variable zu übernehmen.
  9. Klicken Sie auf OK, um den Dialog zu schließen.

    Unter Indizierungsvariablen ist die X01 zugewiesene Variable ersichtlich.

  10. Sie können weitere Regeln hinzufügen, wenn Sie in den Indizierungsregeln unter Ziel eine neue Benennung der Variable durchführen und auf Regel hinzufügen klicken.

    Hierfür können Sie auch den Substitutionsparameter eines dynamischen Elements {PARAM} nutzen.

    Beispiel: Variable{PARAM}2

  11. Klicken Sie auf OK, um den Filterdialog zu schließen.

    Beim nächsten Öffnen der Runtime steht die Kurve mit der ersetzten Variable im ETM zur Verfügung.

Hinweis: Wenn mehrere Indizierungsregeln vorhanden sind, werden diese von oben nach untern durchgegangen. Die erste zutreffende Regel wird ausgeführt. Die Reihung der Regeln kann mit den Pfeiltasten geändert werden.


Darstellung

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Darstellung

Einstellungen für die Darstellung des Diagramms zur Runtime.

Diagramm-Name

Parameter | Beschreibung
Diagramm-Name | Frei projektierbarer Diagramm-Name. Maximale Länge: 30 Zeichen Chargennamen dynamisch integrieren: Der Diagramm-Name kann Chargennamen enthalten. Dazu fügen Sie die Zeichenfolge %c% in den Namen ein. Zur Runtime wird %c% durch jenen Chargennamen ersetzt, der die Filtervoraussetzungen erfüllt. Zum Beispiel: Der Diagramm-Name Diagramm1_%C%_Ende ergibt in der Runtime Diagramm1_Charge1_Ende

Design

Parameter

Beschreibung

Design

Einstellungen für das Design des Diagramms.

Stilgruppe für Diagramm

Über die Auswahlschaltfläche ... kann eine vordefinierte Stilgruppe für das Diagramm ausgewählt werden.

Wenn eine Stilgruppe ausgewählt und somit verknüpft wurde, werden alle in der Stilgruppe befindlichen Stile übernommen und ausgegraut.

Wenn eine Stilgruppe abgewählt wird, werden die mit der Stilgruppe verknüpften Stile ebenfalls abgewählt.

Textstil für Schrift

Über die Auswahlschaltfläche ... kann ein vordefinierter Textstil für die Schrift im Diagramm ausgewählt werden.

Schrift

Auswahl der benutzerdefinierten Schrift für die Achsenbeschriftungen und die Wertanzeigen aus Dropdownliste.

Füllungsstil für Hintergrund

Über die Auswahlschaltfläche ... kann ein vordefinierter Füllungsstil für den Hintergrund des Diagramms ausgewählt werden.

Hintergrund

Auswahl der Hintergrundfarbe für die dargestellte Grafik.

Klick auf die Farbe öffnet Dialog zur Farbauswahl.

Linienstil für Gitternetz

Über die Auswahlschaltfläche ... kann ein vordefinierter Linienstil für das Gitternetz des Diagramms ausgewählt werden.

Gitternetz

Auswahl der Farbe für das überlagerte Gitternetz.

Klick auf die Farbe öffnet Dialog zur Farbauswahl.

Innenabstandstil für Diagramm zum Fenster

Über die Auswahlschaltfläche ... kann ein vordefinierter Innenabstandstil für die Festlegung des Abstands zwischen Diagramm und Fensterrahmen ausgewählt werden.

Minimum jeweils: 10 px

Maximum jeweils: 2000 px

Links

Abstand zwischen dem linken Rand des Kontrollelements und der Y-Achse (Ursprung 0% X-Achse).
(Achtung: Platz zur linksseitigen Beschriftung der Y-Achse bei der projektierten benutzerdefinierten Schriftart berücksichtigen.)

Rechts

Abstand zwischen dem rechten Rand des Kontrollelements und der Y-Achse (Ursprung 100% X-Achse).
(Achtung: Platz zur rechtsseitigen Beschriftung der Y-Achse bei der projektierten benutzerdefinierten Schriftart berücksichtigen.)

Oben

Abstand zwischen dem oberen Rand des Kontrollelements und der darin dargestellten Trendkurven.
(Achtung: Platz für spätere optionale Einblendung der gespeicherten Informationen bei aktivem Zeiger berücksichtigen.)

Unten

Abstand zwischen dem unteren Rand des Kontrollelements und der X-Achse (Ursprung 0% Y-Achse).
(Achtung: Platz zur zweizeiligen Beschriftung der X-Achse bei der projektierten benutzerdefinierten Schriftart berücksichtigen.)

Aktualisierung

Parameter

Beschreibung

Aktualisierung

Einstellungen für die Aktualisierung des Diagramms.

Scrollweite

Festlegen des Bildscrollens in Prozent, wenn der rechte Diagrammrand erreicht wird.

Mögliche Werte: 0 bis 100
Achtung: Nur für YT-Anzeige verfügbar.

Aktualisierungsrate

Festlegen der Bildaktualisierung in Sekunden.

  • Bei Onlinedaten und Block-Array muss der Wert größer 0 sein.
  • Bei Onlinedaten und Block-Array ist keine statische Aufschaltung möglich.
  • Bei Archivdaten passt sich die Aktualisierungsrate dynamisch an die Ladezeit der Daten an. Dauert das Laden länger als das halbe Aktualisierungsintervall, wird die Aktualisierungsrate verdoppelt.
    Alternativ kann bei Archivdaten der Wert für die Aktualisierungsrate auf 0 gesetzt werden. Das hat zur Folge, dass die angezeigten Daten nicht aktualisiert werden.
    Diese Einstellung ist hilfreich, wenn eine große Datenmenge im ETM angezeigt werden soll. Wenn in diesem Fall die Aktualisierungsrate auf einen zu kleinen Wert gestellt ist, kann das zu einer Endlosschleife führen.

Maximum jeweils: 3600 s

Aktualisierungsrate optimieren: Beim Einlesen von Archivdaten wird vom Server (auch Einzelplatz) und Client am Beginn und am Ende eine Log-Meldung erstellt, die mit dem Diagnosis Viewer gelesen werden kann. Damit kann ermittelt werden, wie lange das Lesen der Daten dauert und die Aktualisierungsrate entsprechend gewählt werden.

Offset

Verschiebt den Nullpunkt der Zeitachse um den angegebenen Wert in Sekunden.

Maximum: 65535 s

Für Datenherkunft Block-Array nicht verfügbar.

Gantt

Parameter

Beschreibung

Gantt

Einstellungen für die Darstellung des Gantt Diagramms.

Gantt-Kurven automatisch ausrichten

Ermöglicht die Ausrichtung von Gantt-Kurven nach selbst definierten Vorgaben.

Bei aktivierter Checkbox können folgende Eigenschaften eingestellt werden:

  • Abstand
  • Referenzposition
  • Anordnung

Hinweis: Wenn ein älteres Projekt in die zenon Version 8.00 konvertiert wird, ist die Checkbox automatisch deaktiviert. Bei neu erstellen Funktionen ist die Checkbox automatisch aktiviert.

Abstand

Einstellung des Abstandwertes.

Nur verfügbar, wenn die Checkbox der Eigenschaft Gantt-Kurven automatisch ausrichten aktiviert ist.

Mögliche Werte: 0 bis 20 px

Referenzposition

Auswahl der Position, von welcher der Abstandswert gerechnet werden soll.

Nur verfügbar, wenn die Checkbox der Eigenschaft Gantt-Kurven automatisch ausrichten aktiviert ist.

Folgende Optionen stehen zur Auswahl:

  • Oberes Ende des Diagramms
  • Unteres Ende des Diagramms

Anordnung

Auswahl der Position der Gantt-Kurve.

Nur verfügbar, wenn die Checkbox der Eigenschaft Gantt-Kurven automatisch ausrichten aktiviert ist.

Folgende Optionen stehen zur Auswahl:

  • Nach oben
  • Nach unten

Hinweis: Bei mehreren Gantt Kurven und der Konfiguration "Oberes Ende des Diagramms" und "Nach oben" muss der obere Abstand für Diagramm zum Fenster entsprechend groß gewählt werden.

Runtime

Parameter

Beschreibung

Runtime

Einstellungen für das Verhalten zur Runtime.

Diesen Dialog zur Runtime anbieten

Voraussetzung: Im Zeitfilter wird ein Zeitbereich festgelegt. Wird in der Registerkarte X-Achse für YT-Anzeige die Option Vergleich mit 2. Zeitraum aktiviert, werden zwei Zeitfilter für die beiden X-Achsen angeboten.

Aktiv: Vor jedem Aufschalten des Bildes wird der Filterdialog geöffnet. Die Filter-Einstellungen können modifiziert werden. Diese Option steht unter Windows CE nicht zur Verfügung.
Achtung: Wird zusätzlich in der Registerkarte Chargen die Option Chargenauswahldialog anzeigen ausgewählt, dann wird zur Runtime der Chargenauswahldialog aufgeschaltet. Dieser wird bei einem Reload nicht mehr angezeigt.

Hinweise für Zeitbereichsfilter:

Diesen Dialog zur Runtime anbieten aktiv:

  • Der Filter wird zur Runtime bei der Bildumschaltung geöffnet. Beim Nachladen wird der Filter nicht mehr angeboten. Dieses Verhalten kann sich bei einzelnen Bildtypen unterscheiden, wenn der Dialog bei der Bildumschaltung angezeigt und abgebrochen wurde.
  • Es wird immer der letzte abgeschlossene Zeitbereich verwendet.

Diesen Dialog zur Runtime anbieten inaktiv:

  • Letzten abgeschlossenen Zeitbereich verwenden aktiv:
    Es wird der letzte abgeschlossene Zeitbereich verwendet
  • Letzten abgeschlossenen Zeitbereich verwenden inaktiv:
    Es wird der aktuelle Zeitbereich verwendet

Zeitfilter ersetzen mit Bild

Nur verfügbar, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert ist.

Ersetzt zur Runtime den Dialog mit einem Bild vom Typ Zeit-/Chargen-/Schichtfilter. Das aktuell verknüpfte Bild wird angezeigt. Dabei darf nur ein Bild vom Typ Zeit-/Chargen-/Schichtfilter ausgewählt werden. .

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes. Angeboten werden nur Bilder aus dem aufrufenden Projekt und nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter.

Details zur Ersetzung mit einem Schichtfilter siehe Handbuch Schichtmanagement, Kapitel Erweiterter Trend.

Bei Auswahl eines Filterbildes wird in der Detailansicht der Funktion in der Spalte Parameter zusätzlich die Information BOX SCREEN angezeigt, ohne verknüpftes Bild wird nur BOX angezeigt.

Fadenkreuz im XY-Diagramm anzeigen

Anzeige des Fadenkreuzes zur Runtime:

  • Aktiv: eingeschaltet
  • Inaktiv: ausgeschaltet

Nur verfügbar, wenn in der Registerkarte X-Achse XY-Anzeige aktiviert wurde.

X-Achse: Variable für Wert des 1. Cursors

Variable für Abszissen des ersten Cursors.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen vom Typ LREAL oder DWORD/DINT/UDINT.

Beim Aufschalten und Bewegen des Cursors zur Runtime werden dessen Abszissen (Zeit- oder X-Werte) in die zugeordnete Variable geschrieben. Die Werte werden dabei im Unix-Zeitformat gespeichert (Anzahl der vergangenen Sekunden seit 1. Januar 1970 00:00 Uhr UTC).

X-Achse: Variable für Wert des 2. Cursors

Variable für Abszissen des zweiten Cursors.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen vom Typ LREAL oder DWORD/DINT/UDINT.

Beim Aufschalten und Bewegen des Cursors zur Runtime werden dessen Abszissen (Zeit- oder X-Werte) in die zugeordnete Variable geschrieben. Die Werte werden dabei im Unix-Zeitformat gespeichert (Anzahl der vergangenen Sekunden seit 1. Januar 1970 00:00 Uhr UTC).

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


X-Achse

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > X-Achse

Einstellungen für die X-Achse. Diese kann in zwei unterschiedlichen Formen projektiert werden:

  • YT-Anzeige: Darstellung der Trendkurven über den projektierten Zeitbereich.
    Bei der Projektierung der Zeitachse sind der Zeitbereich, die Chargen und die Achsendarstellung definierbar.
  • XY-Anzeige: Darstellung der Werte über eine Variable oder abgeleitete Variable (Ortskurven, Arbeitspunkte etc.)
    Nur verfügbar, wenn in der Registerkarte Chargen die Option Chargenauswahl relativ nicht aktiv ist.

Noch in diesem Kapitel

YT-Anzeige

XY-Anzeige


YT-Anzeige

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > X-Achse > YT-Anzeige

X-Achse

Option

Beschreibung

X-Achse

Auswahl der Anzeigeart.

YT-Anzeige

Aktiv: Darstellung der Kurven über die Zeit wird projektiert.

Die definierten Hauptticks der Zeitachse werden nur als Vorschlag betrachtet. Um eine übersichtliche Darstellung zu erhalten, werden nach der jeweiligen Anforderung Ticks automatisch erstellt oder weggenommen. Dieses Verhalten greift auch bei der Zoomfunktion.

Bei aktiviertem Variablen-Zeitstempel: Der zur Runtime auf der Zeitachse zur Verfügung stehende Raum wird gleichmäßig aufgeteilt. Auf der linken Seite der Zeitachse befindet sich der bereits vergangene Zeitraum (z.B. -0 01:00:00), auf der rechten Seite der Zeitstempel 0 00:00:00. Beide Angaben müssen jedoch kein Haupttick sein.

Die Sommerzeit wird automatisch korrekt wiedergegeben.

XY-Anzeige

Aktiv: Darstellung der Kurven über eine andere Variable wird projektiert.

Bei aktivierter XY-Anzeige stehen der Variablen-Zeitstempel und die weiteren Auswahlmöglichkeiten JJ, MM, TT, HH, MM, SS und MS nicht zur Verfügung.

Variable für X-Achse

(Für YT-Anzeige nicht verfügbar. )

Achsentitel

(Für YT-Anzeige nicht verfügbar. )

Skalastil

Möglichkeit zur Auswahl eines Stiles für die Skala über die rechts vom Anzeigefeld befindliche Auswahlschaltfläche ....

Hinweis: Zum ausgewählten Stil gehörige Elemente können nicht geändert werden.

Position

Eingabe eines Prozentwerts für die Positionierung der X-Achse bezogen auf die Höhe der Y-Achse.

Mögliche Werte: -100 bis 100.

Zum Beispiel:

  • 0 %: Positionierung am unteren Ende der Y-Achse
  • 100 %: Positionierung am oberen Ende der Y-Achse
  • 50 %: Positionierung in der Mitte der Y-Achse

Farbe

Festlegung der Achsenfarbe. Klick auf Farbanzeige öffnet Dialog zur Auswahl der Farbe.

Hinweis: unabhängig von der Trendkurvenfarbe projektierbar.

Vertikale Gitternetzlinien anzeigen

Aktiv: Zur Runtime werden an den Hauptticks vertikale Hilfslinien angezeigt.

Vergleich mit 2. Zeitraum

Aktiv: Vergleich mit einem zweiten Zeitraum anzeigen.

Hinweis: Parametrieren Sie in der Registerkarte Darstellung die Ansicht des Diagramms, um zur Runtime alle Informationen im Diagramm anzuzeigen. Die Abstände des Diagramms zum Fenster können über Links, Rechts, Oben und Unten einzeln parametriert werden.

Nur für Archive mit Filter auf einen Zeitbereich oder eine Charge. Bei der Verwendung eines 2. Zeitraums in Verbindung mit Chargen muss mit dem Archiv eine Chargenvariable verknüpft sein.

Vergleich mit relativem Chargenfilter ist nicht möglich.

Pro Archivvariable werden zwei Zeitbereiche gleichzeitig dargestellt, z. B. Wochen-Gegenüberstellung.

Beim Aufschalten werden zwei Trends aufgeschaltet. Der zweite Zeitbereich wird auf der entgegengesetzten Beschriftungsseite der Zeitachse in der Farbe des Gitternetzes dargestellt.

Nur bei voller Lizenz verfügbar.

Beschriftung

Lage der Achsenbeschriftung.

Oberhalb der Achse

Achsenbeschriftung über der Achse.

Unterhalb der Achse

Achsenbeschriftung unter der Achse.

Achsentyp

(Für YT-Anzeige nicht verfügbar. )

Linear

(Für YT-Anzeige nicht verfügbar. )

Logarithmisch

(Für YT-Anzeige nicht verfügbar. )

Achsenunterteilung

Festlegen der Achsenunterteilung.

Anzahl Hauptticks

Anzahl der Hauptunterteilungen mit Wertanzeige.

Maximum: 60

Länge Hauptticks

Länge der Hauptunterteilungslinien in Pixel.

Maximum: 10

Anzahl Nebenticks

Anzahl der Unterteilungen zwischen zwei Hauptunterteilungen.

Maximum: 60

Tickberechnung

(Für YT-Anzeige nicht verfügbar. )

Cursor Anfasspunkt

Option

Beschreibung

Cursor Anfasspunkt

Definition des kreisförmigen, mittig dargestellten Anfasspunkts zur erleichterten Bedienung der Lineale, z. B. im Touch-Betrieb.

Durchmesser

Durchmesser des Anfasspunkts in Pixel.

  • 0: kein Anfasspunkt (kompatibel mit Projekten vor Version 7)
  • >0: Anfasspunkt wird entsprechend des eingegebenen Werts dargestellt

Default: 0

Maximal: 100

Skala

Option

Beschreibung

Variablen-Zeitstempel

Anzeige des Zeitstempels der Variable zur Runtime.

  • aktiv:
    Die Achse wird mit den vorhandenen Zeitmarken beschriftet.
  • inaktiv:
    Der Aufschaltzeitpunkt wird als 00:00 definiert. Werte davor werden relativ in die Vergangenheit beschriftet (-01:00).
  • Default: aktiv

JJ

Jahr

MM

Monat

TT

Tag

HH

Stunden

MM

Minuten

SS

Sekunden

MS

Millisekunden

Die Checkbox MS ist per Default deaktiviert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


XY-Anzeige

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > X-Achse > XY-Anzeige

Nur verfügbar, wenn in der Registerkarte Chargen die Option Chargenauswahl relativ nicht aktiv ist.

Option

Beschreibung

X-Achse

Auswahl der Anzeigeart.

YT-Anzeige

Aktiv: Darstellung der Kurven über die Zeit wird projektiert.

XY-Anzeige

Aktiv: Darstellung der Kurven über eine andere Variable wird projektiert.

Variable für X-Achse

Auswahl und Markierung einer dem Diagramm zugeordneten Variablen. Diese wird für die X-Achse verwendet.

Klick auf Schaltfläche ... öffnet abhängig von der Datenherkunft einen Dialog für die Variablenauswahl.

Achsentitel

Text der Achsenbeschriftung zur Runtime.

Maximale Länge: 30 Zeichen

Zur Auswahl stehen folgende Möglichkeiten:

  • Statisch: Der Titel kann frei eingegeben werden. Das Textfeld steht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.
  • Aus Variable: Der Titel wird aus einer verknüpften Variable übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist aktiv.
  • Variablenname: Der Name der Variable wird als Titel übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.

Per Default ist Statisch eingestellt.

Skalastil

Möglichkeit zur Auswahl eines Stiles für die Skala über die rechts vom Anzeigefeld befindliche Auswahlschaltfläche ....

Hinweis: Zum ausgewählten Stil gehörige Elemente können nicht geändert werden.

Position

Eingabe eines Prozentwerts für die Positionierung der X-Achse bezogen auf die Höhe der Y-Achse.

Mögliche Werte: -100 bis 100

Zum Beispiel:

  • 0 %: Positionierung am unteren Ende der Y-Achse
  • 100 %: Positionierung am oberen Ende der Y-Achse
  • 50 %: Positionierung in der Mitte der Y-Achse

Farbe

Festlegung der Achsenfarbe. Klick auf Farbanzeige öffnet Dialog zur Auswahl der Farbe.

Hinweis: Unabhängig von der Trendkurvenfarbe projektierbar.

Vertikale Gitternetzlinien anzeigen

Aktiv: Zur Runtime werden an den Hauptticks vertikale Hilfslinien angezeigt.

Vergleich mit 2. Zeitraum

(Für XY-Anzeige nicht verfügbar.)

Variablen-Zeitstempel

(Für XY-Anzeige nicht verfügbar.)

Beschriftung

Lage der Achsenbeschriftung.

Oberhalb der Achse

Achsenbeschriftung über der Achse.

Unterhalb der Achse

Achsenbeschriftung unter der Achse.

Achsentyp

Auswahl der Darstellung der Achse:

  • Linear
  • Logarithmisch

Linear

Aktiv: Lineare Darstellung der Achse.

Logarithmisch

Aktiv: Logarithmische Darstellung der Achse.

Nur bei voller Lizenz verfügbar.

Achsenunterteilung

Festlegen der Achsenunterteilung.

Anzahl Hauptticks

Anzahl der Hauptunterteilungen mit Wertanzeige.

Maximum: 100

Länge Hauptticks

Länge der Hauptunterteilungslinien in Pixel.

Maximum: 4 - 10

Anzahl Nebenticks

Anzahl der Unterteilungen zwischen zwei Hauptunterteilungen.

Maximum: 4 - 10

Tickberechnung

Einstellmöglichkeit zur Berechnung der dargestellten Ticks:

  • Eingepasst - Minimalwert und Maximalwert sind äußerste Grenze der Achse. Die Beschriftung der Anzeige wird auf optisch ansprechende Zahlen gerundet und die Ticks entsprechend angepasst. Eine kleine Abweichung zu den eingestellten Hauptticks kann auftreten, wenn der auf der Achse zur Verfügung stehende Platz so gleichmäßiger aufgeteilt werden kann.
  • Automatisch - Die Kalkulation erfolgt ungenauer als bei Automatisch optimiert. Die konfigurierten Achsenlimits im Editor können dabei verändert werden.
  • Linear - Eine gleichmäßige Verteilung der Ticks auf der Achse wird durchgeführt.
  • Automatisch optimiert - Diese Einstellung wird nur in der Runtime angewendet und verändert keine konfigurierten Achsenlimits im Editor. Zur Rundung der Werte wird der naheliegendste runde Wertbereich verwendet.

Default: Eingepasst

Cursor Anfasspunkt

Cursor Anfasspunkt | (Für XY-Anzeige nicht verfügbar.)
Durchmesser | (Für XY-Anzeige nicht verfügbar.)

Skala

Skala

Festlegung der Werte für die Skala über Aktivierung der Checkboxen:

  • JJ: Jahr
  • MM: Monat
    TT: Tag
  • HH: Stunde
  • MM: Minuten
  • SS: Sekunde
  • MS: Millisekunde

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Anzeige x-Achse im Diagramm ab Version 6.51

Aus Performancegründen werden Archivdaten für die X-Achse nicht mehr automatisch geladen. Um die X-Achse im Diagramm dennoch anzuzeigen:

  • fügen Sie die für die Variable für X-Achse gewählte Variable auch als Kurve im Diagramm hinzu
  • deaktivieren Sie die Anzeige für diese Kurve

info Info

Wurde XY-Anzeige projektiert, dann wird beim Start der Abtastung immer nur der jeweils aktuelle Wert angezeigt. Dieser kann nicht aktualisiert werden. Der Cursor kann nicht bewegt werden.

Noch in diesem Kapitel

Archivvariablenauswahl für X-Achse

Vorarbeiten für Archivvariablenauswahl der X-Achse zur Runtime


Archivvariablenauswahl für X-Achse

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > X-Achse > XY-Anzeige > Archivvariablenauswahl für X-Achse

Sie können eine Variable aus einem Archiv auswählen, um diese als X-Achse in einer XY-Anzeige zu verwenden.

Option

Beschreibung

Arbeitsbereich

Baumansicht des aktuellen Arbeitsbereichs.

Alle aktuellen Projekte werden angezeigt.

Auswahl des Projekts via Klick.

Variablenliste

Liste aller in Archiven befindlichen Variablen des ausgewählten Projekts.

Diese Liste ist sortier- und filterbar.

Zusätzliche Spalten können via Kontextmenü angezeigt werden. Dieses Kontextmenü erhalten Sie, wenn sie in einer Spaltenüberschrift einen Rechtsklick ausführen.

Informationen über verfügbare und die ausgewählte Variable werden in der Fußleiste der Variablenliste als Text angezeigt.

Die Variablenliste verfügt über folgende Spalten:

  • Projektname
  • Name
  • Kennung
  • Anlagengruppen
  • Aktive Kurve

Hinweis: Wenn die Checkbox der Eigenschaft Aktive Kurve in der Zeile mit der Benennung Automatische Archivauswahl aktiviert ist, wird zur Runtime automatisch ein Archiv ausgewählt, um die bestmögliche Lösung für die betreffende Zeitspanne zu finden. Diese Einstellung ist unabhängig von der Eigenschaft Passendes Verdichtungsarchiv automatisch auswählen.

Liste zum Vorkommen der ausgewählten Variable

Zeigt die ausgewählte Variable an. Diese kann in mehreren Archiven abgelegt sein.

Einfügen

Übernimmt gewählte Variable von der Variablenliste in die Liste zum Vorkommen der ausgewählten Variable.

Hinweis: Eine Variable der Variablenliste kann auch mit einem Doppelklick übernommen werden.

Löschen

Entfernt die gewählte Variable aus der Liste zum Vorkommen der ausgewählten Variable.

Alle erweitern

Öffnet Unterknoten der ausgewählten Variable.

Alle reduzieren

Schließt Unterknoten der ausgewählten Variable.

Aktivieren

Wählt die Variable im gewünschten Archiv aus.

Deaktivieren

Setzt die Auswahl zurück.

Instanziieren

Legt eine Kopie einer Variable für eine Kurve an.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Instanziieren von Archivvariablen


Instanziieren von Archivvariablen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > X-Achse > XY-Anzeige > Archivvariablenauswahl für X-Achse > Instanziieren von Archivvariablen

Im Dialog Archivvariablen-Auswahl können Sie über die Schaltfläche Instanziieren eine oder mehrere Instanzen einer Archivvariable für Kurven erzeugen. Die neuen Einträge werden in der unteren Liste angezeigt und mit aufsteigenden Nummern versehen. Die so erzeugten Kopien können zur Runtime als Kurven dargestellt werden.

Vorgehen:

  1. Klicken Sie im Dialog Filter... in der Registerkarte Daten auf die Schaltfläche Hinzufügen....

    Der Dialog Archivvariablen-Auswahl wird geöffnet.

  2. Markieren Sie in der Liste im oberen Fenster die gewünschte Archivvariable.
  3. Klicken Sie auf die Schaltfläche Einfügen.

    Die Kopie der Archivvariable wird in die Liste im unteren Fenster eingefügt.

  4. Markieren Sie in der Liste im unteren Fenster die Archivvariable, die instanziiert (kopiert) werden soll.

    Die Schaltfläche Instanziieren wird aktiviert.

  5. Klicken Sie auf Instanziieren, um eine weitere Instanz anzulegen.

    Der Eintrag wird unter der Ursprungsdatei hinzugefügt und zur Unterscheidung mit einer aufsteigenden Nummer bezeichnet.

  6. Führen Sie diesen Vorgang so oft aus, bis Ihnen die gewünschte Anzahl von Instanzen zur Verfügung steht.
  7. Schließen Sie den Dialog mit einem Klick auf OK.

Hinweis: Falls für in der Liste im unteren Fenster eingetragene Archivvariablen keine aktiven Kurven konfiguriert sind, wird eine Fehlermeldung ausgegeben. Die entsprechenden Variablen und auch bereits verknüpfte Kurven werden entfernt.


Vorarbeiten für Archivvariablenauswahl der X-Achse zur Runtime

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > X-Achse > XY-Anzeige > Vorarbeiten für Archivvariablenauswahl der X-Achse zur Runtime

Um die Archivvariablenauswahl auch zur Runtime nutzen zu können, sind folgende Vorarbeiten nötig:

  1. Öffnen Sie das Bild vom Bildtyp Erweiterter Trend, von dem Sie auf die Variablenauswahl zugreifen möchten.
  2. Fügen Sie eine Diagrammfunktion (z.B. X-Achse...) in Ihr Bild vom Bildtyp Erweiterter Trend ein.
  3. Speichern Sie die Änderungen, indem Sie im Kontextmenü auf Bild Speichern klicken oder mit Strg+S.

    Die Vorarbeiten sind abgeschlossen.


Zeit

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit

Konfiguration der Zeitfilter. Steht für Datenherkunft Block-Array nicht zur Verfügung.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Zeitfilter können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden für:

  • Absoluter Zeitraum
  • Relativer Zeitraum
  • Ab
  • Zeitbereich

Die Zeitfilterung kann prinzipiell auf zwei Arten erfolgen:

  1. Zeitbereich im Editor vorgeben
    Es werden fixe Zeitbereiche verwendet. Im Editor wird ein Zeitbereich vorgegeben. In der Runtime kann nur mehr nach diesem Zeitbereich gefiltert werden. Auch andere Filter - z B. Filtern nach Variablenname, Alarm/Ereignis-Gruppen und -Klassen usw. - sind zur Runtime nicht mehr anpassbar.
  2. Zeitfilter zur Runtime konfigurierbar
    Der Zeitfilter wird im Editor vorgegeben und kann zur Runtime beliebig verändert werden.

Zeitfilter

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Die Option Kein Zeitfilter ist für Erweiterter Trend nicht verfügbar.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar


Absoluter Zeitraum

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Zeit > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt. Nur verfügbar für Datenherkunft Archivdaten.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Hinweis: Die Option Chargenauswahl relativ ist nur verfügbar für die YT-Achse und nur, wenn keine Kurven projektiert sind.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Dialog zur Runtime ersetzen mit Bild

Nur verfügbar, wenn die Option Chargenauswahldialog anzeigen gewählt wurde.

Definition eines Bildes, das zur Runtime statt des Chargenauswahldialogs aufgeschaltet werden soll. Es werden nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter angeboten.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

Hinweis: Auch über die Option Diesen Dialog zur Runtime anbieten kann ein Chargenfilterbild ausgewählt werden. Dieses wird an dieser Stelle allerdings nicht als Chargenfilter, sondern als Zeitfilterbild verwendet. Die Chargenfilter-Optionen werden an dieser Position nicht richtig angewendet.

Chargenauswahl relativ

Achtung: Diese Option ist nur für Erweiterter Trend verfügbar. Sie wird bei Faceplates für alle Bildtypen angezeigt, ist aber auch hier nur für ETM verfügbar.

Konfiguration für ETM:

Damit die Option verfügbar ist, muss die Option Chargenauswahldialog anzeigen aktiviert und in den Projekteigenschaften die Eigenschaft Windows CE Projekt deaktiviert sein.

  • Aktiv: Ermöglicht direkten Vergleich mehrerer Chargen. Die Darstellung geht immer von Nullpunkt aus.

Hinweis: Bei aktivierter Option stehen zur Runtime die Buttons Diagramm und X-Achsen nicht zur Verfügung. Das gilt auch für die Rechtsklick-Funktionalität.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
    Hinweis: Chargenname darf kein | Zeichen enthalten!
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schicht

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Schicht

Die Registerkarte ist nur konfigurierbar bei:

  • Datenherkunft Archivdaten
  • konfiguriertem Zeitfilter

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
      Hinweis: Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird anstelle der Schichtauswahl der komplette Konfigurationsdialog mit allen Registerkarten aufgeschaltet. Der Benutzer kann dann alle Optionen neu definieren.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten

Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Bildumschaltung auf verknüpftes Bild

Die Bildumschaltung kann auch auf ein verknüpftes Filter-Bild erfolgen. Dabei können Schichtfilter benutzt werden.
Dazu:

  1. Definieren Sie bei der Bildumschaltung in der Registerkarte Allgemein in der Option Dialog zur Runtime ersetzen mit Bild das gewünschte Filterbild.
  2. Stellen Sie sicher, dass das Filterbild die für die Schichtliste nötigen Kontrollelemente enthält.
  3. Definieren Sie den gewünschten Zeitfilter.
  4. Aktivieren Sie in der Registerkarte Schicht die Option Schichtauswahl anzeigen.
  5. Definieren Sie den Schichtfilter.

Zur Runtime wird bei der Bildumschaltung das verknüpfte Filterbild aufgeschalten. In der Schichtliste werden die Schichten, wie in der Bildumschaltung definiert, angezeigt. Kontrollelemente für Chargen werden ausgeblendet.

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Es können Anlagengruppen und Schichtnamen vorausgewählt werden.

Zur Runtime werden die Schichtliste und der Button Aktualisieren nicht angezeigt.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird der Dialog zur Schichtauswahl eingeblendet.

Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.

Der Dialog wird zur Runtime angezeigt, bei:

  • Klick auf den Button Filter.
    Oder:
  • Ausführen der Bildumschaltung.
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Achtung: Es muss zur Runtime mindestens 1 Schicht ausgewählt werden, um die Seite aufschalten oder den Filter konfigurieren zu können.
Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird der gesamte Konfigurationsdialog aufgeschalten.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Verhalten zur Runtime

In der Runtime gilt für den Schichtfilter:

  • Beim Vergleich mit zweitem Zeitbereich wird für beide Zeitbereiche ein Schichtfilter angeboten. Wird dem Bild ein neuer Filter zugewiesen, so werden beide Filter mit demselben Wert überschrieben.
  • Ein Zeitfilter vom Typ Kein Zeitfilter ist nicht erlaubt.
  • Wird der Zeitfilter als relativ konfiguriert, dann werden die anzuzeigenden Schichten nur zum Aufschaltzeitpunkt ermittelt.
    Das bedeutet:
    • Zu einem späteren Zeitpunkt werden neu hinzugekommene oder bereits abgelaufene Schichten nicht berücksichtigt.
    • Es wird also nur die Schicht berücksichtigt, die zum Zeitpunkt des Aufschaltens die früheste oder späteste war. Diese bewegt sich dann im Zeitablauf aus der Anzeige der Skala.
  • Wird der Schichtfilter als Schichtfilter direkt anwenden plus In den Modus „Schichtauswahl anzeigen" umschalten konfiguriert, können aber keine Schichten gefunden werden, dann wird:
    • der Zeitfilter ungültig
    • der Zeitfilter automatisch auf einen Defaultwert-gesetzt: Relativer Zeitraum 1 h
    • beim Drücken des Buttons Diagramm die automatische Korrektur im Filterdialog angezeigt


Spalteneinstellungen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Spalteneinstellungen

Konfiguration der Spalteneinstellungen der erweiterten Kurvenliste.

Parameter

Beschreibung

Cursorausgabe / Werte zwischen erstem und zweitem Cursor

Konfiguration der anzuzeigenden Spaltentypen und Spaltenbreiten.

Spaltentyp

Zur Verfügung stehende Spaltentypen.:

Cursorausgabe

  • Datum
  • Kurve
  • Wert
  • Maßeinheit
  • Grenzwerttext
  • Status

Werte zwischen erstem und zweitem Cursor

  • Minimum
  • Mittelwert
  • Maximum
  • Zeit-Differenz
  • Wert-Differenz
  • Summe
  • Standardabweichung
  • Anzahl Messpunkte

Klick in Checkbox aktiviert/deaktiviert Anzeige des Typs zur Runtime.

Breite

Breite für Spalte der Cursorausgabe oder Spaltenbreite der Messpunkte zwischen erstem und zweitem Cursor in der Cursor-Ausgabeliste. Wert entspricht Anzahl der Zeichen.

Klick in Wert ermöglicht Bearbeitung.

Kopfzeile im Abtastfenster im Kompatibilitätsmodus anzeigen

Aktiv: Für zenon Versionen vor 6.51 SP0 werden für das "Abtastfenster im Kompatibilitätsmodus" Spaltenüberschriften angezeigt. Wird zum Beispiel für die Anzeige konvertierter Projekte zur Runtime verwendet.

Für Projekt ab Version 6.51 nicht nötig. Hier werden alle Spaltentitel in der Abtastliste angezeigt.

Erweiterte Kurvenliste

Konfiguration der Darstellung der erweiterten Kurvenliste.

Listenfeld

Darstellung der konfigurierten Spalten.

Spaltenauswahl

Öffnet Dialog zur Auswahl der Spalten.

Spaltenformat

Öffnet Dialog zur Formatierung der Spalten.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

info Info

Die Titel der Kopfzeile der Cursor-Ausgabeliste sind mithilfe der Sprachumschaltung beliebig veränderbar.

Um die Kopfzeile auch bei der Konvertierung von älteren Projekten zur Verfügung zu stellen, können Sie entweder die vorhandene Cursor-Ausgabeliste löschen und durch die Neue ersetzen oder sich aktivieren die Checkbox Kopfzeile anzeigen.

Wenn Sie Projekt für eine zenon Version älter als 6.51 SP0 erstellen, können Sie nach dem Einstellen der Runtime-Zielversion die entsprechende Cursor-Ausgabeliste einfügen.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat

Aussehen von Listen anpassen


Spaltenauswahl

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Spalteneinstellungen > Spaltenauswahl

Hier konfigurieren Sie die zur Runtime anzuzeigenden Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Spalteneinstellungen > Spaltenformat

Hier werden die Spalten formatiert.

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Aussehen von Listen anpassen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Spalteneinstellungen > Aussehen von Listen anpassen

Das Aussehen der Erweiterten Kurvenliste und der Cursor-Ausgabeliste kann an individuelle Vorgaben angepasst werden:

Bildlaufleisten, Kopfzeile und Raster

Um Größe und Aussehen von Bildlaufleisten, der Kopfzeile und eines Rasters für die Tabelle zu definieren:

  1. Aktivieren Sie in der Gruppe Darstellung die Eigenschaft Erweiterte grafische Einstellungen.
  2. Definieren Sie die gewünschten Eigenschaften in den Gruppen Bildlaufleisten und Kopfzeile und Raster.

info Info

Wird für die Eigenschaft Anzeigestil Grafikdateien gewählt, dann werden alle Elemente, für die keine Grafikdatei ausgewählt wird, mit einem Farbverlauf dargestellt. Bei Steuerelementen für Listen können keine transparenten Grafiken verwendet werden.

Zur Runtime sortieren

Um zur Runtime die für die Sortierung relevante Spalte zu kennzeichnen und die Sortierreihenfolge zu bestimmen, projektieren Sie grafische Elemente für die Titelzeile:

  1. Wählen Sie für die Eigenschaft Anzeigestil den Wert Grafikdateien.
  2. Verknüpfen Sie die Eigenschaften Aufsteigend sortiert und Absteigend sortiert jeweils mit einer Grafikdatei.

    Zur Runtime wird in der für die Sortierung relevanten Spalte die gewählte Grafik für die jeweilige Sortierrichtung angezeigt.

    • Klick auf Grafik ändert Sortierreihenfolge.
    • Klick in Spaltentitel aktiviert Spalte für Sortierung.

Kopfzeile zur Runtime bedienen

Für die Erweiterte Kurvenliste stehen Ihnen auch Eigenschaften für Anordnung und Sortierung der Spalten per Klick zur Verfügung.

Sie können Benutzern ermöglichen, die Kopfzeile zur Runtime zu bedienen. Dadurch ist eine individuelle Anpassung der Darstellung in der Runtime möglich:

  • Spalten per Drag&Drop bewegen
  • Spaltenbreite mit der Maus ändern
  • Sortierung ändern

Benutzen Sie dazu die Eigenschaften:

  • Spaltenpositionen fixiert: Steuert die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen in der Breite anzupassen oder zu verschieben.
    • aktiv: Die Spalten können nicht per Drag&Drop bewegt und nicht in der Breite angepasst werden.
    • inaktiv: Die Spalten können per Drag&Drop angeordnet werden und die Breite der Spalten kann durch Ziehen mit der Maus angepasst werden
  • Sortieren sperren: Steuert die Möglichkeit, Tabellenspalten zur Runtime zu sortieren.
    • aktiv: Die Tabelle kann nicht sortiert werden.
    • inaktiv: Die Tabelle kann mit einen Klick auf die Kopfzeile sortiert werden.

Für die Cursor-Ausgabeliste steht Ihnen die Eigenschaft Spaltenpositionen fixiert zur Verfügung.

Vorschau

Mit Aktivierung der Eigenschaft Erweiterte grafische Einstellungen werden im Editor die Kopfzeile und die Bildlaufleisten als Vorschau angezeigt. So lassen sich Details wie Farben Fülleffekte, Lichteffekte oder Raster einfacher projektieren.

Achtung: Da die Größe der Bildlaufleisten in der Vorschau der Größe zur Runtime entspricht, kann die gesamte Größe der Liste im Editor von der Größe zur Runtime abweichen. Das gilt auch für die Größe der Kopfzeile und die Schrift der Kopfzeile.


Druckereinstellungen

Handbuch > Erweiterter Trend > Projektieren im Editor > Bildumschaltung - Erweiterter Trend > Druckereinstellungen

Konfiguration der Einstellungen für den Ausdruck oder die Ausgabe in eine Datei.

Ausgabe

Parameter

Beschreibung

Ausgabe

Konfiguration des Ausgabetyps und der entsprechenden Optionen.

Drucker

Aktiv: Das Diagramm wird auf dem Drucker ausgegeben, der in der Allgemeinen Konfiguration von zenon als Standard für Screenshots definiert ist. Siehe auch Kapitel Drucker.

Datei

Aktiv: Das Diagramm wird als Datei gespeichert. Konfigurieren Sie die Ausgabe mit den Optionen:

  • Typ
  • Breite
  • Höhe
  • Dateiname Vorgabe
  • Dateiname automatisch
  • Mit Präfix

Diese Optionen stehen nur für die Ausgabe in eine Datei zur Verfügung.

Typ

Auswahl des Dateityps aus Dropdownliste. Zur Verfügung stehen:

  • JPG
  • BMP

Breite

Eingabe der Breite der Grafikdatei in Pixel.

Höhe

Eingabe der Höhe der Grafikdatei in Pixel.

Dateiname Vorgabe

Aktiv: Eingabe eines beliebigen Dateinamens.

Dateiname automatisch

Aktiv: Der Dateiname wird automatisch vergeben.

Format: <Präfix_><YYYYMMDD>_<HHMM>.<Typ>

Mit Präfix

Nur verfügbar, wenn Dateiname automatisch aktiviert wurde.

Geben Sie ein beliebiges Präfix für den automatisch erstellten Dateinamen ein. Dieses wird dem Namen getrennt durch einen Unterstrich (_) vorangestellt.

Optionen

Parameter | Beschreibung
Optionen | Konfiguration der Optionen.
Legende anzeigen | Aktiv: Mit dem Diagramm wird eine Legende ausgedruckt. Diese informiert zum Beispiel über Kurven und deren Farben.
Auf eine Seite drucken | Aktiv: Die Legende wird auf der gleichen Seite wie das Diagramm ausgegeben.

Kopf- und Fußzeile, Überschrift und Kommentar

Parameter

Beschreibung

Kopf- und Fußzeile, Überschrift und Kommentar

Beim Ausdruck eines Erweiterten Trend Diagramms können zusätzliche Informationen für die Kopf- und Fußzeile sowie eine Überschrift und ein Kommentar projektiert werden.

Zur einfacheren Eingabe stehen vier Schaltflächen zur Verfügung für:

  • Datum
  • Uhrzeit
  • Diagramm-Name
  • Seitenzahl

Kopfzeile

Eingabe von Informationen für die Kopfzeile in den Bereichen:

  • Links
  • Mitte
  • Rechts

Fußzeile

Eingabe von Informationen für die Fußzeile in den Bereichen:

  • Links
  • Mitte
  • Rechts

Überschrift

Eingabe einer Überschrift.

Kommentar

Eingabe eines Kommentars.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Hinweis: Ausdrucke über den Button Drucken des Bildes Erweiterter Trend unterscheiden sich im Ergebnis eventuell vom Drucken über die Funktionen Bildumschaltung Erweiterter Trend oder Erweiterter Trend Diagramm drucken. Die Funktionen gehen von einem Fenster der Größe 1000 x 700 Pixel aus. Drucken über den Button geht von der im Editor definierten Proportion aus.


Kurven konfigurieren

Handbuch > Erweiterter Trend > Projektieren im Editor > Kurven konfigurieren

Kurven werden in der Registerkarte Daten mit Klick auf die Schaltfläche Hinzufügen erstellt.

Um Kurven zu konfigurieren:

  1. Markieren Sie die Kurve in der Liste.
  2. Führen Sie einen Doppelklick auf die markierte Kurve aus oder klicken Sie auf die Schaltfläche Bearbeiten.

    Der Dialog Kurve bearbeiten zur Konfiguration der Kurve wird geöffnet.

  3. Konfigurieren Sie:
    1. Kurveneinstellungen
    2. Y-Achsenparameter
  4. Bestätigen Sie die Änderungen mit einem Klick auf OK.

Noch in diesem Kapitel

Kurveneinstellungen

Y-Achsenparameter

Zuweisen eines Skalastils

Gantt-Darstellung

Einstellen der Zeilenhöhe bei automatischem Zeilenumbruch


Kurveneinstellungen

Handbuch > Erweiterter Trend > Projektieren im Editor > Kurven konfigurieren > Kurveneinstellungen

Für jede Trendkurve können die Kurveneigenschaften parametriert werden.

Kurve

Parameter

Beschreibung

Kurve

Konfiguration der Kurve.

Kurvenname

Frei definierbarer Kurvenname.

Zur Auswahl stehen folgende Möglichkeiten:

  • Statisch: Der Titel kann frei eingegeben werden. Das Textfeld steht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.
  • Aus Variable: Der Titel wird aus einer verknüpften Variable übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist aktiv.
  • Variablenname: Der Name der Variable wird als Titel übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.

Per Default wird der Variablenname genutzt.

Kurvenstil

Konfiguration des in der Kurve angewandten Stiles. Klicken Sie auf die Auswahlschaltfläche ..., um den Dialog Stilauswahl zu öffnen.
Hinweis: Zum ausgewählten Stil gehörige Elemente können nicht geändert werden.

Linienbreite [Pixel]

Festlegung der Breite der Kurve in Pixel.

Kurvenfarbe

Konfiguration der Kurvenfarbe. Klick auf Farbe öffnet Farb-Auswahldialog.

Darstellungsform

Parameter

Beschreibung

Darstellung

Auswahl der Darstellungsart (Kurve oder Gantt)

Kurve

Konfiguration der Kurvendarstellung.

Linienart

Festlegen der Linienart für die Trendkurve. Mögliche Darstellungsformen:

  • Linie
  • Striche
  • Punkte
  • Strich-Punkt
  • Strich-Punkt-Punkt

Hinweis: Wurde in der Eigenschaft Grafikqualität Windows Basis gewählt, können im Erweiterten Trend bei einer Linienbreite größer 1 nur durchgezogene Linien dargestellt werden.

Interpolation

Aktiv: Werte werden mittels Polylinie verbunden (Stützstellen).

Inaktiv: Wertänderungen werden als Liniensprünge dargestellt (Stufendarstellung).

Kurve verlängern

Aktiv: Die Kurve wird vom letzten vorhandenen Datenpunkt bis zum aktuellen Zeitpunkt verlängert.

Flächendarstellung

Aktiv: Die Werte werden als Flächen statt als Linien dargestellt.

Füllfarbe

Konfiguration der Füllfarbe. Klick auf Farbe öffnet Farb-Auswahldialog.

Nur wirksam, wenn die Option Flächendarstellung aktiviert wurde.

Transparenz Füllfarbe

Festlegung der Transparenz der Füllfarbe in Prozent. Damit kann vermieden werden, dass Kurven von Kurven mit Flächendarstellung überdeckt werden.

  • 0 %: keine Transparenz
  • 100 %: völlige Transparenz

Hinweis: Unter Windows CE nicht verfügbar.

Kurve aktiv

Aktiv: Die Kurve und die dazugehörige vertikale Achse sind zur Runtime im Erweiterten Trend aktiv.

Durch deaktivieren der Checkbox werden die Kurve und die Achse deaktiviert. Der Eintrag in der Kurvenliste bleibt erhalten. Der Status der Kurve ist zur Runtime in der Kurvenliste in der Spalte Aktiv ersichtlich.

Hinweis: Sobald eine Sichtbarkeitsvariable mit der Kurve verknüpft ist, wird diese für die Sichtbarkeit der Kurve und der Achse zur Runtime herangezogen. Ein Änderungen des Status über die Kurvenliste ist in diesem Fall nicht möglich.

Sichtbarkeitsvariable

Steuert zur Runtime die Sichtbarkeit der Kurve und der dazugehörigen vertikalen Achse im Erweiterten Trend.

Gantt

Aktiv: Gantt-Darstellung für diese Kurve wird aktiviert.

Hinweise zu Einschränkungen siehe Abschnitte Gantt-Darstellung und Y-Achsenparameter.

Grenzwert anzeigen

Nur für die Gantt-Darstellung verfügbar.

Aktiv: Der numerische Grenzwert wird dargestellt.

Grenzwerttext anzeigen

Nur für die Gantt-Darstellung verfügbar.

Aktiv: Die Bezeichnung des Grenzwerts wird dargestellt.

Abstand vom oberen Rand [Pixel]

Nur für die Gantt-Darstellung verfügbar.

Festlegung des Abstands in Pixel der Gantt-Kurve vom oberen Diagrammrand. Positive Werte verschieben die Kurve nach oben, negative Werte nach unten.

Anzeigeverschiebung

Parameter | Beschreibung
Anzeigeverschiebung | Konfiguration der Anzeigeverschiebung
Tage | Verschiebt die Kurve um die eingestellte Anzahl an Tagen.
Stunden | Verschiebt die Kurve um die eingestellte Anzahl an Stunde.
Minuten | Verschiebt die Kurve um die eingestellte Anzahl an Sekunden.
Monatswechsel | Verschiebt die Kurve um einen Monat.
Jahreswechsel | Verschiebt die Kurve um ein Jahr.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Y-Achsenparameter

Handbuch > Erweiterter Trend > Projektieren im Editor > Kurven konfigurieren > Y-Achsenparameter

In diesem Dialog und im Dialog Kurveneinstellungen werden die Kurven-Parameter definiert.

Skalastil

Parameter | Beschreibung
Skalastil | Konfiguration des in der Skala angewandten Stiles. Klicken Sie auf die Auswahlschaltfläche ..., um den Dialog Stilauswahl zu öffnen. Hinweis: Zum ausgewählten Stil gehörige Elemente können nicht geändert werden.

Darstellung

Parameter

Beschreibung

Darstellung

Parameter für Darstellung der Kurven zur Runtime.

Achsentitel

Benennung der Achse.

Zur Auswahl stehen folgende Möglichkeiten:

  • Statisch: Der Titel kann frei eingegeben werden. Das Textfeld steht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.
  • Aus Variable: Der Titel wird aus einer verknüpften Variable übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist aktiv.
  • Variablenname: Der Name der Variable wird als Titel übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.

Position

Positionierung der Lage der Y-Achse auf der X-Achse in Prozent der Länge der X-Achse.

  • 0: links,
  • 100: rechts

Farbe

Konfiguration der Achsenfarbe. Klick auf Farbe öffnet Farb-Auswahldialog.

Achtung: Unabhängig von der Trendkurvenfarbe projektierbar.

Horizontale Gitternetzlinien anzeigen

Anzeige von Hilfslinien an den Hauptticks.

Für Gantt-Darstellung nicht verfügbar.

Skala

Parameter

Beschreibung

Skala

Darstellungsbereich der Prozessvariablen innerhalb ihrer projektierten technischen Grenzen festlegen (Lupenfunktion).

Für Gantt-Darstellung nicht verfügbar.

Achsentyp

Festlegen der Skalierung der Y-Achse.

Zur Verfügung stehen:

  • Linear: Lineare Teilung der Y-Achse.
  • Logarithmisch: Logarithmische Teilung der Y-Achse

Für Gantt-Darstellung nicht verfügbar.

Von

Startwert Skalierung.

Bis

Endwert Skalierung.

Automatische Skalierung

Aktiv: In der Runtime wird für diese Kurve die Skalierung der Achse automatisch ermittelt. Als Achsenbegrenzungen werden die min/max Werte des anzuzeigenden Bereichs verwendet.

Bei aktiver Checkbox stehen die Eingabefelder für die Skalierung (Von/Bis) nicht mehr zur individuellen Konfiguration zur Verfügung.

Beschriftung

Parameter | Beschreibung
Beschriftung | Lage der Achsenbeschriftung
Links der Achse | Werte werden links der Achse angezeigt.
Rechts der Achse | Werte werden rechts der Achse angezeigt.
Exponentielle Darstellung | Werte werden exponentiell dargestellt. Für Gantt-Darstellung nicht verfügbar.
Einheit ausblenden | Aktiv: Einheit für Achsenbeschriftung wird nicht angezeigt. Ermöglicht die Darstellung mehrere Variablen mit unterschiedlichen Einheiten. Default: inaktiv Für Gantt-Darstellung nicht verfügbar.

Achsenunterteilung

Parameter

Beschreibung

Achsenunterteilung

Festlegen der Achsenunterteilung.

Für Gantt-Darstellung nicht verfügbar.

Anzahl Hauptticks

Anzahl der Hauptticks mit Wertanzeige.

Länge Hauptticks (Pixel)

Länge der Hauptticks in Pixel.

Anzahl Nebenticks

Anzahl der Nebenticks mit Wertanzeige.

Tick-Berechnung

Einstellmöglichkeit zur Berechnung der dargestellten Ticks:

  • Eingepasst - Minimalwert und Maximalwert sind äußerste Grenze der Achse. Die Beschriftung der Anzeige wird auf optisch ansprechende Zahlen gerundet und die Ticks entsprechend angepasst. Eine kleine Abweichung zu den eingestellten Hauptticks kann auftreten, wenn der auf der Achse zur Verfügung stehende Platz so gleichmäßiger aufgeteilt werden kann.
  • Automatisch - Die Kalkulation erfolgt ungenauer als bei Automatisch optimiert. Die konfigurierten Achsenlimits im Editor können dabei verändert werden.
  • Linear - Eine gleichmäßige Verteilung der Ticks auf der Achse wird durchgeführt.
  • Automatisch optimiert - Diese Einstellung wird nur in der Runtime angewendet und verändert keine konfigurierten Achsenlimits im Editor. Zur Rundung der Werte wird der naheliegendste runde Wertbereich verwendet.

Default: Eingepasst

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Die Anzeige der Kurve und Y-Achse werden über die Checkboxen für Y-Achse und Aktiv in der Registerkarte Daten konfiguriert.


Zuweisen eines Skalastils

Handbuch > Erweiterter Trend > Projektieren im Editor > Kurven konfigurieren > Zuweisen eines Skalastils

Sie können im Editor Achsen und Anzeigen einen Stil zuweisen, der dann zur Runtime angewandt wird.

Diese Möglichkeit besteht für folgende Achsen und Anzeigen:

  • X-Achse
    • YT-Anzeige
    • XY-Anzeige
  • Y-Achse

Projektierung

  1. Klicken Sie hierzu im jeweiligen Dialog auf die neben dem Textfeld Skalastil befindliche Auswahlschaltfläche ....

    Der Dialog Stilauswahl wird geöffnet.

  2. Wählen Sie den gewünschten Stil aus. Falls noch kein Stil angelegt sein sollte, können Sie selbst eine neue Stilgruppe und einen neuen Stil erzeugen.

    Hinweis: Ein neuer Stil kann erst nach der Erstellung der Stilgruppe erzeugt werden.

  3. Bestätigen Sie die Auswahl mit einem Klick auf OK.
  4. Der Skalastil wird zur Runtime angewandt.

    Hinweis: Zum ausgewählten Stil gehörige Elemente können nicht geändert werden.


Gantt-Darstellung

Handbuch > Erweiterter Trend > Projektieren im Editor > Kurven konfigurieren > Gantt-Darstellung

Mit Hilfe der Gantt-Darstellung können Sie den Zustand einer Anlage im Erweiterten Trend visualisieren. Sie können sich z. B. anzeigen lassen, wann sich eine Anlage im Betrieb, in Wartung, in Ruhe usw. befunden hat. Durch die Darstellung im Erweiterten Trend ist es möglich, die Zustände der Anlage mit Prozesskennlinien zu vergleichen. Sie können so Rückschlüsse über das Verhalten der Anlage ziehen. Beispielsweise stellen Sie ein abnormales Verhalten der Prozesskennlinie fest, sehen aber anhand des Gantt-Diagramms, dass sich die Anlage zu dieser Zeit in Wartung befunden hat.

Projektierung

Bei der Gantt-Darstellung werden die Grenzwerte oder Reaktionsmatritzen zur Auswertung herangezogen und nicht die eigentlichen Werte der entsprechenden Variablen. Die Anzeige spiegelt den Zustand der Anlage wider, der genaue Wert spielt keine Rolle.

Die einzelnen Gantt-Diagramme werden im oberen Rahmen des Kontrollelements Diagramm angezeigt. Achten Sie darauf, dass Sie den Rahmen groß genug projektieren, damit es nicht zu Anzeigeproblemen kommt.

Als Grundlage für die Farbe des jeweiligen Gantt Charts wird der verletzte Grenzwert oder die Reaktionsmatrix verwendet. Dabei wird immer auf die aktuell projektierten Grenzwerte und Zustände der Rema verwendet. Wenn Sie diese ändern, werden auch historische Auswertungen mit den aktuellen Werten dargestellt. Es gibt keine Historie für die Grenzwerte oder Zustände der Rema.

Hinweis: Wenn eine Gantt-Kurve auch den aktuellen Zustand anzeigen soll, muss in der Konfiguration der Archivierung in der Registerkarte Aufzeichnungsart die Option Prozessabbild beim Start speichern aktiviert werden.

Kurveneinstellungen

Die Kurveneinstellungen für die Gantt-Darstellung erfolgt über den gleichen Dialog wie die allgemeine Kurvenkonfiguration. Die einzustellenden Parameter unterscheiden sich teilweise:

Parameter

Beschreibung

Kurvenname

Der Kurvenname wird als Beschriftung verwendet und ist frei definierbar.

Zur Auswahl stehen folgende Möglichkeiten:

  • Statisch: Der Titel kann frei eingegeben werden. Das Textfeld steht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.
  • Aus Variable: Der Titel wird aus einer verknüpften Variable übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist aktiv.
  • Variablenname: Der Name der Variable wird als Titel übernommen. Das Textfeld steht nicht zur Verfügung. Die Auswahlschaltfläche ... ist ausgegraut.

Per Default wird der Variablenname genutzt.

Kurvenstil

Konfiguration des in der Kurve angewandten Stiles. Klicken Sie auf die Auswahlschaltfläche ..., um den Dialog Stilauswahl zu öffnen.
Hinweis: Zum ausgewählten Stil gehörige Elemente können nicht geändert werden.

Grenzwert anzeigen

Nur für die Gantt-Darstellung verfügbar.

Aktiv: Der numerische Grenzwert wird dargestellt.

Grenzwerttext anzeigen

Nur für die Gantt-Darstellung verfügbar.

Aktiv: Die Bezeichnung des Grenzwerts wird dargestellt.

Abstand vom oberen Rand

Nur für die Gantt-Darstellung verfügbar.

Festlegung des Abstands in Pixel der Gantt-Kurve vom oberen Diagrammrand. Positive Werte verschieben die Kurve nach oben, negative Werte nach unten.

Hinweis: Die Option wird nur eingeblendet, wenn in der Registerkarte Darstellung der Bildumschaltung die Checkbox der Eigenschaft Gantt-Kurven automatisch ausrichten deaktiviert ist.

Kurve aktiv

Aktiv: Die Kurve und die dazugehörige vertikale Achse sind zur Runtime im Erweiterten Trend aktiv.

Durch deaktivieren der Checkbox werden die Kurve und die Achse deaktiviert. Der Eintrag in der Kurvenliste bleibt erhalten. Der Status der Kurve ist zur Runtime in der Kurvenliste in der Spalte Aktiv ersichtlich.

Hinweis: Sobald eine Sichtbarkeitsvariable mit der Kurve verknüpft ist, wird diese für die Sichtbarkeit der Kurve und der Achse zur Runtime herangezogen. Ein Änderungen des Status über die Kurvenliste ist in diesem Fall nicht möglich.

Sichtbarkeitsvariable

Steuert zur Runtime die Sichtbarkeit der Kurve und der dazugehörigen vertikalen Achse im Erweiterten Trend.

Hinweis: Werden die Optionen Grenzwert anzeigen und Grenzwerttext anzeigen gemeinsam verwendet, erfolgt die Anzeige als:
Grenzwerttext/Grenzwert

Y-Achse

Die Konfiguration der Y-Achse erfolgt über den gleichen Dialog wie die allgemeine Kurvenkonfiguration. Hier wird die Beschriftung konfiguriert.

  • Farbe
  • Position in % der Breite der X-Achse (gemessen von links)

Ansicht zur Runtime:

Gantt-Darstellung für String-Variablen

Die Konfiguration der Kurveneinstellungen für Gantt-Darstellung für Archivvariablen vom Typ String unterscheidet sich von der Konfiguration anderer Gantt-Darstellung in diesen Punkten:

Parameter | Beschreibung
Grenzwert anzeigen | inaktiv
Grenzwerttext anzeigen | inaktiv
Alternativfarbe | ersetzt die Eigenschaft Füllfarbe und wird mit einer Farbe initialisiert, die sich von der Kurvenfarbe unterscheidet

Zur Runtime:

Die Anzeige erfolgt bei dieser Gantt-Darstellung wie bei einer gewöhnlichen Gantt-Darstellung, mit folgenden Unterschieden:

  • bei jedem neuen Wert der Variablen wechselt der Balken die Farbe zwischen Kurvenfarbe und Alternativfarbe
  • als Text wird der Stringwert der Variablen angezeigt

Hinweise zur Projektierung der Gantt-Darstellung für String-Variablen

Bei Gantt-Kurven mit Text wird die Linienbreite nicht automatisch angepasst. Der Defaultwert 0 entspricht hier einer Breite von 1 Pixel. Die Schriftart wird aus den Einstellungen der Registerkarte Darstellung übernommen, die Schriftfarbe ist schwarz.

Wenn für die Aufzeichnung der Stringvariablen im Archiv Aufzeichnung bei Wertänderung gewählt wurde und der aktuelle Zustand angezeigt werden soll, dann muss auch die Option Prozessabbild beim Start speichern aktiviert werden.

Werden Runtime-Dateien für eine Version vor zenon 7.11 erzeugt, dann wird:

  • die Kurve vom Typ Gantt-Darstellung für String-Variable nicht entfernt
  • ein Balken ohne Text angezeigt, solange die Variable einen Wert hat


Einstellen der Zeilenhöhe bei automatischem Zeilenumbruch

Handbuch > Erweiterter Trend > Projektieren im Editor > Kurven konfigurieren > Einstellen der Zeilenhöhe bei automatischem Zeilenumbruch

Um besonders lange Texte in Listen anzeigen zu können besteht die Möglichkeit, einen automatischen Zeilenumbruch einzustellen. Die Ausgabe des gewünschten Textes muss aber manuell durch die Einstellung der Zeilenanzahl vorgenommen werden. Dies geschieht über die Zeilenhöhe.

Vorgehen zum Einstellen der Zeilenhöhe:

  1. Aktivieren Sie in den Eigenschaften der entsprechenden Liste unter dem Knoten Darstellung die Checkbox der Eigenschaft Automatischer Zeilenumbruch.
  2. Geben Sie in den Eigenschaften der Liste unter dem Knoten Darstellung und Zeilenhöhe [Pixel] die gewünschte Zeilenhöhe ein.

    Wenn:

    • die eingegebene Zeilenhöhe zur mehrzeiligen Darstellung geeignet ist und der Text Leerzeichen aufweist, wird der Text in mehrere Zeilen aufgeteilt.
    • der Text trotzdem zu lang ist, wird dieser abgeschnitten und am Ende mit ... dargestellt.

Beispiel: Die Schrift Arial 10 weist eine Höhe von 10 Punkten auf. Da 1 Punkt 1,333 Pixel entspricht, ergeben 10 Punkt eine Höhe von 13 Pixel.

Geben Sie eine Zeilenhöhe von 34 Pixel ein, um eine zweizeilige Ausgabe zu bekommen.

Folgende Zuordnung gilt:

Pixel | Textzeilen
34 | 2
50 | 3
66 | 4
82 | 5
98 | 6

Von der zweiten Textzeile an müssen für jede folgende Zeile 16 Pixel hinzugefügt werden.


Filterprofile

Handbuch > Erweiterter Trend > Projektieren im Editor > Filterprofile

Filterprofile sind Filtereinstellungen, die der Anwender bezogen auf ein bestimmtes Bild in der Runtime speichern und aufrufen kann.

Um Filterprofile verwenden zu können, müssen im Bild folgende Kontrollelemente projektiert werden:

Kontrollelement | Beschreibung
Filterprofile | Profilverwaltung zur Runtime.
Profilauswahl | Auswahl eines gespeicherten Profils aus Dropdownliste.
Speichern | Klick auf Button speichert in der Runtime die Filtereinstellungen als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Klick auf Button löscht in der Runtime das ausgewählte Profil.

Damit können Sie zur Runtime:

  • Filter speichern
  • gespeicherte Filter anwenden
  • Filterprofile löschen

Filterprofile können mit weiteren Kontrollelementen auch exportiert und importiert werden.


Funktion "Erweiterter Trend Diagramm drucken"

Handbuch > Erweiterter Trend > Projektieren im Editor > Funktion "Erweiterter Trend Diagramm drucken"

Mithilfe der Funktion Erweiterter Trend Diagramm drucken können Sie Diagramme des Erweiterten Trends ausdrucken oder in einer Datei (JPG oder BMP) speichern, ohne dass Sie das Bild vom Typ Erweiterter Trend aufschalten müssen.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. navigieren Sie zum Knoten Anwendungen
  3. wählen Sie Erweiterter Trend Diagramm drucken

Die Funktion wird analog zur Bildumschaltung konfiguriert.

Hinweis: Ausdrucke über den Button Drucken des Bildes Erweiterter Trend unterscheiden sich im Ergebnis eventuell vom Drucken über die Funktionen Bildumschaltung Erweiterter Trend oder Erweiterter Trend Diagramm drucken. Die Funktionen gehen von einem Fenster der Größe 1000 x 700 Pixel aus. Drucken über den Button geht von der im Editor definierten Proportion aus.


Einträge in der project.ini

Handbuch > Erweiterter Trend > Projektieren im Editor > Einträge in der project.ini

In der Datei project.ini sind für den erweiterten Trend folgende Einträge möglich:

Parameter

Beschreibung

[DEFAULT]

Allgemeine Einstellungen

MILLISEK=
  • 1: Darstellung im Millisekundenraster
  • 0: minimal im Updateraster

[EW_TREND]

ANZEIGE_GWTEXT=
  • 1: Grenzwerttext anzeigen (default)
  • 0: nicht anzeigen

[ARCHIV]

Archivprojektierung

ARCHDIGITS=

Anzahl der Nachkommastellen beim Export von Archiven im Format TXT, XML oder DBF sowie bei der Auslagerung auf einen SQL Server.
Default: 1

TRENNZEICHEN=

Trennzeichen bei Auslagerung in ASCII-Datei.
Default: ;

SPEICHER=

Maximale Anzahl der Werte, die für den Erweiterten Trend, die Archiv-Nachbearbeitung und Reports eingelesen werden.

Default: 1000

SQL_MAXROWS=

Maximale Anzahl auszulesender Werte aus SQL.

Eintrag erfolgt in 1.000er Schritten.
100 = 100.000 Werte.

Ab Version 6.50 wird automatisch sichergestellt, dass mindestens 10% Speicher frei sind.


Bedienen zur Runtime

Handbuch > Erweiterter Trend > Bedienen zur Runtime

Im Online-Betrieb wird das Fenster für den Erweiterten Trend über einen Funktionsaufruf geöffnet. Das im Editor vordefinierte Bild wird aufgeschaltet.

Mit erweiterter Kurvenliste:

Für die Bedienung des Erweiterten Trends und die Anzeigen stehen je nach Projektierung unterschiedliche Kontrollelemente zur Verfügung:

Fenster

Auswahl der anzuzeigenden Fenster für Diagramme und Kurven zur Runtime.

Kontrollelement

Beschreibung

Diagramm

Fenster zur Anzeige der Trendkurve.

Nicht verfügbar, wenn das Bild mit aktivierter Option Chargenauswahldialog anzeigen -> Chargenauswahl relativ aufgeschaltet wurde.

Diagrammname

Zeigt den Diagrammnamen an.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Eingestellter Filter

Zeigt zur Runtime den aktuell eingestellten Zeitfilter an.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Cursor-Ausgabeliste

Zeigt die Position des Cursors im Diagrammfenster und die unter Diagrammeinstellungen und Cursor-Ausgabe festgelegten Werte an.

Erweiterte Kurvenliste

Kurvenliste, die zur Runtime bearbeitet werden kann. Bearbeitet werden können:

  • Aktiv
  • Farbe
  • Flächendarstellung
  • Füllfarbe
  • Kurvenname
  • Reihenfolge
  • Titel
  • Transparenz Füllfarbe
  • Variablennname
  • Variablenkennung
  • Y-Achse

Hinweis: Steht unter Windows CE nicht zur Verfügung. Wird dort durch die Kurvenliste (veraltet) ersetzt.

Kurve aktivieren

Aktiviert die ausgewählte Kurve in der Erweiterten Kurvenliste. Durch aktivieren/deaktivieren wird die Kurve im Bild ein-/ausgeblendet und die Liste aktualisiert. Mehrfachauswahl ist möglich. Die Schaltfläche ist inaktiviert, wenn in der Kurvenliste keine Kurve ausgewählt wurde.

Achse aktivieren

Aktiviert die ausgewählte Achse in der Erweiterten Kurvenliste. Durch aktivieren/deaktivieren wird die Achse im Bild ein-/ausgeblendet und die Liste aktualisiert. Mehrfachauswahl ist möglich. Die Schaltfläche ist inaktiviert, wenn in der Kurvenliste keine Kurve ausgewählt wurde.

Kurvenfarbe

Ermöglicht die Einstellung der gewünschten Farbe für die jeweilige Kurve. Bei einem Farbwechsel wird die Kurve im Bild neu dargestellt und die Liste aktualisiert. Die Schaltfläche ist nur aktiviert, wenn in der Erweiterten Kurvenliste eine einzelne Kurve ausgewählt wurde.

Diagrammfunktionen

Vordefinierte Bedienelemente für Diagramme.

Kontrollelement | Beschreibung
Filter | Anzeige eingestellter Filter.
Diagrammeinstellungen | Aktiviert Dialog für Diagrammeinstellungen und Cursor-Ausgabe.
Kurven | Kurvenparameter ändern.
X-Achsen | Öffnet Dialog für Einstellungen der X-Achse. Nicht verfügbar, wenn das Bild mit aktivierter Option Chargenauswahldialog anzeigen -> Chargenauswahl relativ aufgeschaltet wurde.
Aktualisieren | Aktualisiert die Darstellung.
Stopp | Bildschirm nicht aktualisieren.
Weiter | Bildschirm aktualisieren.
Cursor ein/aus | Werte abfragen.
Doppelcursor ein/aus | Werte, die zwischen 2 Cursor liegen, anzeigen.
Drucken | Druckt Diagramm. Hinweis: Ausdrucke über den Button Drucken des Bildes Erweiterter Trend unterscheiden sich im Ergebnis eventuell vom Drucken über die Funktionen Bildumschaltung Erweiterter Trend oder Erweiterter Trend Diagramm drucken. Die Funktionen gehen von einem Fenster der Größe 1000 x 700 Pixel aus. Drucken über den Button geht von der im Editor definierten Proportion aus.
Drucken mit Dialog | Wahl des Druckers vor dem Ausdruck des Diagramms.
In Zwischenablage kopieren | Darstellung in die Zwischenablage kopieren.
Angezeigte Daten exportieren | Exportiert alle sichtbaren Daten aller angezeigten Kurven in eine CSV-Datei.

Diagrammnavigation

Buttons zur Navigation im Diagramm.

Kontrollelement

Beschreibung

Cursor ein Pixel nach links

Setzt Cursor ein Pixel nach links.

Wird gleichzeitig die Umschalt-Taste gedrückt, wird der Cursor um 10 Pixel bewegt.

Cursor ein Pixel nach rechts

Setzt Cursor ein Pixel nach rechts.

Wird gleichzeitig die Umschalt-Taste gedrückt, wird der Cursor um 10 Pixel bewegt.

Rückwärts

Auf der Zeitachse zurück scrollen (Historie).

Rückwärts Viertel

Verschiebt angezeigten Zeitraum um ein Viertel der gewählten Maßeinheit zurück.

Vorwärts

Auf der Zeitachse vorwärts scrollen (aktuell).

Vorwärts Viertel

Verschiebt angezeigten Zeitraum um ein Viertel der gewählten Maßeinheit nach vorne.

Zoomen

Darstellung vergrößern.

Schritt zurück

Darstellung verkleinern.

Zoom +

Verringert Zeitabstände der Darstellung.

Zoom -

Vergrößert Zeitabstände der Darstellung.

Auf 100 % zoomen

Stellt Zoomfaktor auf 100 % ein.

Diese Zoomaktion wird in die Zoom-History gespeichert.

Zum Beispiel: Wird mittels Zoomen

  • zweimal ein ausgewählter Bereich des Erweiterten Trends gezoomt,
  • danach Inhalt auf 100% zoomen gewählt und
  • danach wieder ein selektierter Bereich gezoomt,

dann stehen 4 Zoom-Ereignisse in der History. Diese können über den Button Schritt zurück schrittweise wieder zurückgesprungen werden.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Diagrammname | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kurvenliste CE | Liste der Kurven. Wird aus Kompatibilitätsgründen für CE verwendet. Für alle anderen Projekte wird die Erweiterte Kurvenliste empfohlen.

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Kontrollelement

Beschreibung

Profilauswahl

Profil aus Liste auswählen.

Speichern

Speichert aktuelle Einstellung als Profil.

Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten.
Verboten sind: ! \ / : * ? < > | ""

Löschen

Löscht ausgewähltes Profil.

Import

Importiert Filterprofile aus Exportdatei.

Export

Exportiert Filterprofile in Datei.

info Info

Die Kontrollelemente Cursor ein Pixel nach links und Cursor ein Pixel nach rechts bewegen nur den Cursor, sofern er aktiv ist, und nicht den Trend.

Anstelle der Kontrollelemente können auch die Pfeil-Tasten der Tastatur benutzt werden.

Wird beim Bewegen mittels Pfeil-Tasten oder Kontrollelementen die Umschalt-Taste gedrückt gehalten, erfolgt die Bewegung in Schritte von 10 Pixeln.

Werden im Erweiterten Trend Archivwerte angezeigt oder ist die laufende Aktualisierung der Onlinedaten abgeschaltet, werden die aktuellen Werte der Kurven mit der Betätigung des Buttons Aktualisieren bis zum aktuellen Zeitpunkt neu eingelesen. Oder es wird über die unter Diagramm vorgegebene Aktualisierungszeit aktualisiert.

Ein Blättern im erweiterten Trend über die dargestellte X-Achse hinaus ist mit der Verwendung der Buttons << (ältere Werte anzeigen) oder >> (aktuellere Werte anzeigen) möglich. Werden Onlinedaten angezeigt, ist maximal die bei der Prozessvariablen definierte Eintragstiefe darstellbar. Für Archivwerte ist die Projektierung der in der Datenbank gespeicherten Archive ausschlaggebend.

info Info

Die Aktualisierungsrate passt sich beim Archiv-Trend dynamisch an die Ladezeit der Daten an. Dauert das Laden länger als das halbe Aktualisierungsintervall, wird die Aktualisierungsrate verdoppelt.

Zoom

Klick auf den Button Zoom + plus Aufziehen eines Bereiches auf dem Diagramm stellt die Werte in einer feineren Auflösung und in einem kleineren Intervall (X- und Y-Achse) dar. Zoomen ist nur dann möglich, wenn der gewählte Bereich mindestens eine Unterteilung pro Achse umfasst. Es kann mehrfach gezoomt werden. Ein Klick auf den Button Zoom - schaltet den Zoomfaktor in den Stufen zurück, in denen er vorher definiert wurde.

Online-Daten

Bei Online-Daten und durchlaufender Aktualisierung springt die Darstellung bei jedem Refresh immer an den aktuellsten Eintrag. Um blättern zu können, muss bei Online-Daten die laufende Aktualisierung über den Button Stopp abgeschaltet werden. Soll die laufende Aktualisierung wieder aktiviert werden, ist der Button Weiter zu betätigen. Mit dem nächsten Refreshzyklus des Diagramms werden die neuen Daten und der neue X-Achsenbereich aktualisiert.

info Info

Online-Variablen im Erweiterten Trend:

Die Online-Variablen für den Erweiterten Trend werden im Editor projektiert und können zur Runtime nicht mehr verändert werden. Bei der Konfiguration im Editor wird auch der HDD-Ringpuffer für die Variable konfiguriert. Zur Runtime ist es nicht möglich, den Ringpuffer für Variablen zu erstellen oder zu ändern. Daher können Kurven von Online-Variablen zur Runtime nicht angepasst werden.

Variablen aus Archiven können auch zur Runtime weiter hinzugefügt werden.

Noch in diesem Kapitel

Maus

Cursor

Daten exportieren

Diagrammeinstellungen

Erweiterte Kurvenliste bedienen

Filter bei Bildumschaltung

Schnelle Änderung der Achsenparameter im Onlinebetrieb

Darstellungsunterschiede der Auslagerungsmethoden

Archivvariablenauswahl für X-Achse

Aufschalten eines ETM-Bildes über Kontextmenü


Maus

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Maus

Zur Runtime können Sie die Maus verwenden, um im Diagrammfenster des Erweiterten Trends zu arbeiten.

Das Verhalten der Maus bei gedrückten Tasten oder dem Betätigen des Mausrads können Sie im Editor einstellen.


Cursor

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Cursor

Klicken Sie auf den Button Cursor ein/aus, um den Abtastungsmodus zu starten. Es erscheint ein Cursor in der Mitte des Diagramms. Sie können den Cursor bewegen, indem Sie auf ihn klicken und bei gedrückter Maustaste die Maus bewegen. Alternativ können Sie auch die Tastatur verwenden. Drücken Sie Nach-links oder Nach-rechts, um den Cursor in kleinen Schritten zu bewegen. Um größere Schritte auszuführen, halten Sie zusätzlich die Umschalt-Taste gedrückt. Den zugehörigen Wert sehen Sie im Cursor-Ausgabefenster. Klicken Sie erneut auf den Button Cursor ein/aus, um den Abtastmodus zu beenden. Sie können sich folgende Informationen im Cursor-Ausgabefenster anzeigen lassen:

Parameter | Beschreibung
Datum | Datum/Zeit des gespeicherten Werts. Minimalskalierung: Millisekunden
Variable | Name der Variable, von der Wert kommt.
Wert | Wert.
Einheit | Einheit des gespeicherten Werts.
Zustand | Zustandstext (Grenzwerttext) des gespeicherten Werts.
Status | Status des gespeicherten Werts.
Minimum | Minimalwert des Darstellungszeitraums (optional).
Mittelwert | Mittelwert des Darstellungszeitraums (optional).
Maximum | Maximalwert des Darstellungszeitraums (optional).
Zeit-Differenz | Zeitunterschied. Minimalskalierung: Millisekunden
Wert-Differenz | Unterschied der Werte.
Summe | Summe
Standardabweichung | Standardabweichung.
Anzahl Messpunkte | Zahl der Messpunkte.

Um die angezeigten Informationen und die jeweiligen Spaltenbreiten zu verändern, klicken Sie auf die Schaltfläche Diagramm.... Der Dialog zur Konfiguration des Erweiterten Trends wird geöffnet.

In der Registerkarte Spalteneinstellungen stellen Sie die Spaltenbreiten für die verschiedenen Informationen im Cursor-Ausgabefenster ein. Mithilfe der Checkbox entscheiden Sie, welche Spalten Sie angezeigt bekommen.

info Info

Wurde XY-Anzeige projektiert, dann wird beim Start der Abtastung immer nur der jeweils aktuelle Wert angezeigt. Dieser kann nicht aktualisiert werden. Der Cursor kann nicht bewegt werden.

Doppelcursor ein/aus

Wenn Sie das Kontrollelement Doppelcursor ein/aus projektiert haben, haben Sie die Möglichkeit einen zweiten Cursor im Diagramm zu verwenden. Damit ist eine Abtastung mit zwei Cursors möglich. Klicken Sie auf den Button Doppelcursor an/aus, um sich zwei Cursors einen am linken und einen am rechten Ende des Diagrammfensters anzeigen zu lassen. Sie können den zweiten Cursor mit der Maus oder auch mit der Tastatur bewegen. Dazu halten sie die Steuerung-Taste gedrückt und drücken Sie Nach-links oder Nach-rechts, um den Cursor in kleinen Schritten zu bewegen. Um größere Schritte auszuführen, halten Sie zusätzlich die Umschalt-Taste gedrückt.

Sie können sich die Werte zwischen erstem und zweitem Cursor im Cursor-Ausgabefenster anzeigen lassen. Die Spalten, die Ihnen zur Verfügung stehen, können Sie im Dialog Diagrammeinstellungen und Cursor-Ausgabe nach Ihren Vorstellungen anpassen. Öffnen Sie den Dialog, indem Sie im ETM-Bild auf die Schaltfläche Einstellungen... klicken.

info Info

Bei der Darstellungsart Block-Array ist der Doppelcursor nicht verfügbar.

Abszissen in Variablen schreiben

Für die Cursors können zwei Variablen definiert werden, in die zur Runtime beim Aufschalten und Bewegen der Cursor die Abszissen (Zeit- oder X-Werte) geschrieben werden. Die Variablen können vom Typ LREAL oder DWORD/DINT/UDINT sein und werden in der Bildumschaltung in der Registerkarte Darstellung konfiguriert. Die Werte werden dabei im Unix-Zeitformat gespeichert (Anzahl der vergangenen Sekunden seit 1. Januar 1970 00:00 Uhr UTC).


Daten exportieren

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Daten exportieren

Als Kontrollelement kann für den Erweiterten Trend ein Button Angezeigte Daten exportieren... ins Bild eingefügt und zur Runtime genutzt werden. Dabei werden alle sichtbaren Daten aller angezeigten Kurven in einer Textdatei im CSV-Format gespeichert.

Format der CSV-Datei

  • Die Ausgabe erfolgt in eine Unicode Textdatei.
  • Trennzeichen: Semikolon (;)
  • Speicherort und Dateiname können im Speicherdialog frei gewählt werden.
  • Die Datei hat keinen Header.
  • Die Daten werden in der Textdatei dieser Reihenfolge angezeigt:

    Variablenname;Kennung;Wert;Einheit;Status;Zeit

Eigenschaft

Format

Variablenname:

Zeichenkette

Kennung:

Zeichenkette

Wert:
  • bis zu 8 Stellen vor dem Dezimaltrenner,
  • 8 Stellen hinter dem Dezimaltrenner

Einheit:

Zeichenkette

Status:

Zeichenkette

Zeit:

dd.mm.yyyy hh:mm:ss.ms

Ist eine exportierte Variableneigenschaft leer, wird nichts ausgegeben.

Beispiel: MyVarREAL_4;;978.45000000;;SPONT;09.09.2011 09:37:44.443

attention Achtung

Werden viele Kurven zum Export ausgewählt, kann die Datensammlung erhebliche Zeit in Anspruch nehmen.


Diagrammeinstellungen

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Diagrammeinstellungen

Aus der bestehenden Projektierung, die im Editor vorgenommen wurde, können zur Laufzeit temporäre Änderungen (ohne Speicherung) vorgenommen werden. Um den Dialog für die Konfiguration zu öffnen, klicken Sie auf die Schaltfläche Diagramm.

Wichtige Änderungsmöglichkeiten:

Parameter | Beschreibung
Daten: Kurven -> Aktiv | Aktiviert und deaktiviert die Anzeige der Kurve.
Daten: Kurven -> Y-Achse | Darstellung der Y-Achse zur Kurve.
Daten: Kurven -> Bearbeiten | Ändern der Eigenschaften der ausgewählten Trendkurve.
Spalteneinstellungen | Einstellungen der Diagrammparameter.
Darstellung: Design | Benutzerdefinierte Schrift für X- und Y-Achsenbeschriftung sowie Wertanzeige.
Darstellung: Aktualisierung | Aktualisierung des Diagramms bei Onlinedaten


Erweiterte Kurvenliste bedienen

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Erweiterte Kurvenliste bedienen

Wird im Editor die erweiterte Kurvenliste projektiert, so können Kurven zur Runtime bearbeitet werden. Es ist möglich:

  • zu filtern nach:
    • Aktivierung
    • Farbe
    • Kurvenname
    • Reihenfolge
    • Titel
    • Variablenname
    • Variablenkennung
    • Y-Achse
    • Quelle
  • Kurvennamen zu bearbeiten
  • Titel zu bearbeiten
  • Farben zu bearbeiten
  • Y-Achse zu aktivieren oder zu deaktivieren
  • Kurven zu aktivieren oder zu deaktivieren
  • die Anzeigereihenfolge zu ändern

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Um ein Element zu bearbeiten, führen Sie einen Doppelklick in die entsprechende Zelle der Liste aus.

Falls Sie zur Runtime längere Texte in einer Liste darstellen wollen, aktivieren Sie vorab im Editor in den Eigenschaften der entsprechenden Liste unter dem Knoten Darstellung die Checkbox der Eigenschaft Automatischer Zeilenumbruch. Die Zeilenhöhe muss manuell angepasst werden.

info Info

Unter Windows CE kann die erweiterte Kurvenliste nicht dargestellt werden und wird dort durch die normale Kurvenliste ersetzt.

Kurven sortieren

Die Reihenfolge, in der die Kurven im ETM gezeichnet werden, kann definiert werden:

  • im Editor: bei der Bildumschaltung in der Registerkarte Daten in der Konfiguration der Kurvenliste
  • zur Runtime: im Fenster Erweiterte Kurvenliste

Um die Reihenfolge ändern zu können, muss die Spalte Reihenfolge in der Kurvenliste angezeigt werden.

Zur Runtime

Um die Reihenfolge, in der die Kurven gezeichnet werden, zu ändern:

  1. Klicken Sie in das Fenster Erweiterte Kurvenliste.
  2. Wählen Sie die zu ändernde Kurve.
  3. Klicken Sie in die Zelle der Spalte Reihenfolge.
  4. Tragen Sie die gewünschte Ziffer ein. Die anderen Kurven werden automatisch umgereiht. Eine niedrige Position bedeutet, die Kurve wird früher gezeichnet (weiter hinten angezeigt), eine höhere Position bedeutet, die Kurve wird später gezeichnet (weiter vorne angezeigt):
    • Minimum: 1
    • Maximum: Anzahl der Kurven

Die Sortierung erfolgt durch Klick auf den Spaltenkopf. Die Sortierung nach anderen Spalten als Reihenfolge wirkt sich nicht auf die Reihenfolge der Kurvenanzeige aus.

Verwendung der Buttons Kurve aktivieren, Achse aktivieren und Kurvenfarbe

Bei einer Mehrfachauswahl von Kurven in der Kurvenliste gelten für die Verwendung der Buttons Kurve aktivieren und Achse aktivieren folgende Regeln:

  1. Wenn die jeweiligen Checkboxen (Spalte Y-Achse oder Aktiv) bei allen ausgewählten Kurven aktiviert sind, werden diese durch einen Klick auf einen der beiden Buttons deaktiviert.
  2. Wenn die jeweiligen Checkboxen (Spalte Y-Achse oder Aktiv) für alle ausgewählten Kurven deaktiviert sind, werden diese durch einen Klick auf einen der beiden Buttons aktiviert.
  3. Wenn einige Checkboxen (Spalte Y-Achse oder Aktiv) der ausgewählten Kurven aktiviert und einige deaktiviert sind, werden beim erstmaligen Klicken auf einen Button die jeweiligen Checkboxen der Kurven aktiviert. Bei allen folgenden Klicken gilt das in den Punkten 1 und 2 beschriebene Verhalten.

Hinweis: Alle drei Buttons sind inaktiv, wenn in der Kurvenliste keine Kurve ausgewählt wurde. Der Button Kurvenfarbe ist außerdem inaktiv, wenn mehr als eine Kurve ausgewählt wurde.

info Info

Wenn die alte und die neue Liste zusammen im Bild vorhanden ist, gelten die vorgestellten Regeln nur für die Erweiterte Kurvenliste.

Drag&Drop

Unter bestimmten Umständen kann die Kurvenliste im Editor und zur Runtime auch per Drag&Drop sortiert werden:

  1. Sortieren Sie die Liste nach der Spalte Reihenfolge.

    Achtung: Beim ersten Anzeigen der Liste ist diese auch nach einer Reihenfolge sortiert. Für Drag&Drop muss aber explizit der Spaltenkopf zur Sortierung geklickt werden! Ob aufsteigend oder absteigend sortiert wird, hat keine Auswirkung.

  2. Achten Sie darauf, dass keine Gruppierungen bestehen.
  3. Klicken Sie in die Zeile mit der gewünschten Kurve.
  4. Ziehen Sie die Kurve an den gewünschten Platz. Der Platz, an dem sie eingefügt wird, wird rot umrandet dargestellt.

Checkboxen mit Grafik gestalten

Checkboxen können mit Grafiken individuell gestaltet werden. Dazu weisen Sie im Editor den entsprechenden Eigenschaften der Kurvenliste die gewünschten Grafiken zu. Die Grafiken müssen bereits im Knoten Dateien\Grafiken angelegt worden sein. Zu konfigurierende Eigenschaften in der Gruppe Darstellung:

  • Ein
  • Ein (inaktiv)
  • Aus
  • Aus (inaktiv)

Die definierte Grafik wird zur Runtime mit Rücksicht auf die Seitenverhältnisse (Aspect Ratio) gezeichnet.


Filter bei Bildumschaltung

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Filter bei Bildumschaltung

Die in der Bildumschaltung konfigurierten Filtereinstellungen können zur Runtime modifiziert werden. Dazu

  1. Öffnen Sie im Editor die Funktion zur Bildumschaltung.
  2. Aktivieren Sie in der Registerkarte Darstellung die Option Diesen Dialog zur Runtime anbieten.

Zur Runtime wird beim Aufschalten des Bildes je nach Projektierung angezeigt:

  • kompletter Konfigurationsdialog
  • Chargenfilter aktiviert: Chargenfilter wird angeboten
  • Chargenfilter deaktiviert, Zeitfilter Zeitbereich: Zeitfilter wird angeboten

Konfiguration Chargenfilter

Wurde bei der Projektierung als Zeitfiltertyp die Option Kein Zeitfilter gesetzt, dann werden zur Runtime alle Einträge seit 1. 1. 2000 angezeigt.

attention Achtung

In der Liste der Archive werden alle projektierten Chargenarchive angeboten. Es muss hier das gleiche Archiv ausgewählt werden wie in der Bildumschaltung. Nur dann werden auch Daten angezeigt.

Parameter

Beschreibung

Chargenfilter

Auswahl der Chargen, auf die gefiltert werden soll. Der Filter besteht aus den beiden Listen:

  • Liste Archive: Liste der Archive
  • Liste Chargen: Liste der dem gewählten Archiv zugeordneten Chargen

Liste Archive

Auswahl des gewünschten Archivs.

Knoten *:

  • Sammelt alle Chargen aller angezeigten Archive.
  • Schlüssel ist der Chargenname.
  • Startzeit ist die Startzeit der frühesten Charge.
  • Endezeit die späteste Endezeit aller Chargen.

Liste Chargen

Anzeige der dem ausgewählten Archiv zugeordneten Chargen.

Filterung durch Eingabe eines Texts, Datums, Zeitpunkts oder Zeitbereichs - je nach Typ.

Sortierung durch Klick auf die Kopfzeile.

Chargenname

Zeigt die Namen aller verfügbaren Chargen an.

Filter: Eingabe einer Zeichenfolge. Nur Chargen mit der jeweiligen Zeichenfolge werden angezeigt.

Startdatum

Zeigt das Startdatum aller verfügbaren Chargen an.

Filter: Eingabe eines Startdatums oder Auswahl aus Kalender.

Startzeit

Nur verfügbar, wenn Sie ein Startdatum eingeben.

Anzeige der Startzeit aller verfügbaren Chargen.

Filter: Eingabe einer Startzeit. * bedeutet 00:00:00 Uhr.

Enddatum

Zeigt das Enddatum aller verfügbaren Chargen an.

Filter: Eingabe eines Enddatums oder Auswahl aus Kalender.

Endzeit

Nur verfügbar, wenn Sie ein Enddatum eingeben.

Anzeige der Endzeit aller verfügbaren Chargen.

Filter: Eingabe einer Endzeit. * bedeutet 23:59:59 Uhr.

Dauer

Diese Spalte zeigt die Dauer aller verfügbaren Chargen an.

Nur Anzeige.

info Info

Es werden auch noch nicht abgeschlossene Chargen angezeigt, falls sie den Filterkriterien entsprechen.

info Info

Der Wert der Chargenvariable wird am Beginn der Charge sowohl in die Index-Datei also auch in den Header der ARX-Datei geschrieben. Bei jeder Änderung dieser Variable werden diese Einträge angepasst. Beim Abschließen der Charge wird der aktuelle Wert der Chargenvariable endgültig in die Index-Datei und in den Header geschrieben.

Erst wenn eine Charge abgeschlossen ist, ist der Chargenname festgeschrieben.

SQL

Die Chargenfilterung auf in SQL-ausgelagerte Archivwerte erfolgt über einen Zeitfilter. Dieser Zeitfilter beinhaltet alle Werte des Archivs zwischen Beginnzeit und Endezeit der Charge. Die Chargen-Beginnzeit und Chargen-Endezeit sind mit eingeschlossen. Bei dieser Zeitfilterung bleiben Millisekunden unberücksichtigt.

Konfiguration Zeitbereich

Der Filterdialog für die Zeiteinstellung kann zur Runtime spezialisiert auf einen Zeitbereich angeboten werden. Dazu:

  1. Öffnen Sie im Editor die Funktion zur Bildumschaltung.
  2. Klicken Sie auf Filter.
  3. Öffnen Sie die Registerkarte Zeit.
  4. Wählen Sie die Option Zeitbereich.

Zur Runtime wird anstelle des gesamten Dialogs nur ein Dialog zur Konfiguration des Zeitraums angeboten. Zum Beispiel für die Einstellung Ein Tag:

Beispiel

Mit dieser Einstellung können auch individuelle Zeitbereiche, wie zum Beispiel Schichten, schnell abrufbar konfiguriert werden.

Zum Beispiel: Schicht von 06:00 bis 14:00 Uhr.

  1. Wählen Sie als Zeitraum: Ein Tag.

    Ein Tag dauert dabei standardmäßig von 00:00 bis 24:00.

  2. Setzen Sie die Verschiebung des Zeitbereichs auf 6 Stunden.

    Jetzt dauert der Tag von 6:00 bis 6:00 am nächsten Tag.

  3. Setzen Sie jetzt Zeitraum ändern auf 16 Stunden.
  4. Belassen Sie die Option Zeit abziehen.

    Damit wird von 06:00 am nächsten Tag um 16 Stunden zurück gerechnet. Nun dauert der Tag von 6:00 bis 14:00, was genau der gewünschten Schicht entspricht.

  5. Übertragen Sie die neuen Runtime-Dateien.
  6. Starten Sie die Runtime neu.
  7. Bei der Bildaufschaltung wählen Sie den gewünschten Tag aus.

Sie erhalten die Daten des gewählten Tages von 06:00 bis 14:00 Uhr.


Schnelle Änderung der Achsenparameter im Onlinebetrieb

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Schnelle Änderung der Achsenparameter im Onlinebetrieb

Um die Werte angezeigter Kurven exakt festzustellen, können die X-Achse und Y-Achse verschoben werden. Das Verschieben ist möglich über:

  • Drag&Drop mit der linken Maustaste
    • X-Achse vertikal verschieben
    • Y-Achse horizontal verschieben
      Die Y-Achse wird beim Verschieben dupliziert: Während die Kopie bewegt wird, bleibt die Originalachse am Platz.
  • rechten Mausklick auf die Achse, um den Dialog zur Konfiguration zu öffnen:
    • Registerkarte X-Achse, YT-Anzeige
    • Dialog Y-Achse

Erneutes Aufschalten des Bildes setzt Verschiebung zurück.


Darstellungsunterschiede der Auslagerungsmethoden

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Darstellungsunterschiede der Auslagerungsmethoden

Die Darstellung zur Runtime von Daten aus ausgelagerten Archiven ist abhängig von der projektierten Auslagerungsmethoden:

  • Auslagerungsmethode ARX
    Der Trend zeichnet zwischen einer Veränderung eines Wertes konstant eine Linie
    Ausgelagerte Archive ohne Werteveränderung werden nicht verbunden. Es entsteht ein Leerraum während der Darstellung zur Runtime.
  • Auslagerungsmethode SQL-Datenbank
    Der Trend zeichnet zwischen einer Veränderung eines Wertes konstant eine Linie.
    Ausgelagerte Archive werden miteinander verbunden.

Folgendes Beispiel:

  • Aufzeichnungsart:
    Bei Wertänderung
  • Speicherzyklus:
    Zyklisch, jede Minute

Beispiel bei Auslagerungsmethode ARX

Beispiel bei Auslagerungsmethode SQL-Datenbank


Archivvariablenauswahl für X-Achse

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Archivvariablenauswahl für X-Achse

Sie können zur Runtime eine Variable aus einem Archiv auswählen, um diese als X-Achse in einer XY-Anzeige zu verwenden.

Hinweis: Voraussetzung sind bereits davor ausgeführte Vorarbeiten im Editor. Details hierzu finden Sie im Kapitel Vorarbeiten für Variablenauswahl der X-Achse zur Runtime.

Vorgehen:

  1. Klicken Sie zur Runtime auf eine Diagrammfunktion (z.B. X-Achse...).

    Der Dialog Filter... wird geöffnet.

  2. Klicken Sie in der Registerkarte X-Achse unter Darstellung auf Variable für X-Achse....

    Der Dialog Archivvariablen-Auswahl wird geöffnet.

  3. Wählen Sie die gewünschte Variable aus, indem Sie diese mit der linken Maustaste markieren.
  4. Bestätigen Sie die Auswahl mit einem Klick auch die Schaltfläche Einfügen.
  5. Schließen Sie den Auswahldialog mit einem Klick auf OK.
  6. Wählen Sie die Benennung des Achsentitels aus. Zur Auswahl stehen folgende Möglichkeiten:
    • Statisch
    • Aus Variable
    • Variablenname
  7. Schließen Sie den Dialog Filter... mit einem Klick auf OK.


Aufschalten eines ETM-Bildes über Kontextmenü

Handbuch > Erweiterter Trend > Bedienen zur Runtime > Aufschalten eines ETM-Bildes über Kontextmenü

Zur Runtime können bei dynamischen Elementen ETM-Bilder über ein Kontextmenü aufgerufen werden.

Die entsprechende Variable wird als Kurve im Bild des Bildtyps Erweiterter Trend dargestellt.

Vorab müssen im Editor die entsprechenden Konfigurationen durchgeführt werden.

Vorgehen:

  1. Klicken Sie mit der rechten Maustaste auf das Dynamische Element mit dem Kontextmenü zur Aufschaltung eines ETM-Bildes.

    Das Kontextmenü wird geöffnet.

  2. Klicken Sie mit der linken Taste in das Kontextmenü.

    Das ETM-Bild wird geöffnet. Die Variable des Dynamischen Elements ist bereits in der Kurvenliste ersichtlich und als Kurve angelegt.


Funktionen und Skripte

Handbuch > Funktionen und Skripte

Die Eingriffe der Benutzer in zenon werden über benutzerdefinierte Projektfunktionen realisiert. Skripte ermöglichen es, mehrere benutzerdefinierte Funktionen zusammenzufassen und zur Runtime in einer Abfolge auszuführen.

Noch in diesem Kapitel

Funktionen

Skripte

Dialog Funktionen und Skripte auswählen


Funktionen

Handbuch > Funktionen und Skripte > Funktionen

Alle in einem Projekt verwendeten Funktionen basieren auf den vorhandenen Systemfunktionen. Es handelt sich um vordefinierte Makros, die vom Projektanten einfach benutzt und parametriert werden können.

Funktionen werden projektiert oder ausgewählt über:

  • den Knoten Funktionen
  • den Dialog Funktionen und Skripte auswählen

Noch in diesem Kapitel

Kontextmenüs und Symbolleiste

Übersicht Funktionen in zenon

Projektieren im Editor

Systemfunktionen

Funktionen im Netzwerk

Ausführungsreihenfolge während der Runtime


Kontextmenüs und Symbolleiste

Handbuch > Funktionen und Skripte > Funktionen > Kontextmenüs und Symbolleiste

Projektmanager

Menüpunkt | Aktion
Funktion neu | Öffnet ein Fenster mit der Funktionsauswahl zum Anlegen einer neuen Funktion.
Nicht verwendete Funktionen anzeigen | Erstellt Projektanalyse für nicht verwendete Funktionen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
In neuem Fenster öffnen... | Öffnet ein eigenes Fenster für Ansicht und Bearbeitung der Funktionen. Als Default-Einstellung wird das Fenster am unteren Rand des Editors angezeigt. Dieses lässt sich beliebig verschieben.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Detailansicht

Symbolleiste und Kontextmenü

Menüpunkt | Aktion
Funktion neu | Öffnet den Dialog zur Erstellung einer neuen Funktion.
Parameter | Öffnet den Dialog zur Eingabe der Parameter.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Funktionsverwendung... | Erstellt Projektanalyse der ausgewählten Funktion im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Übersicht Funktionen in zenon

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon

Funktionen sind in folgende Gruppen geordnet:

  • Add-In
  • AML und CEL
  • Anwendung
  • Archivserver
  • Batch Control
  • Benutzerverwaltung
  • Bilder
  • Fehlerortung in elektrischen Netzen
  • Message Control
  • Netzwerk
  • Report Generator / Report Viewer / Analyzer
  • Rezepte
  • Schaltfolgen
  • Schichtmanagement
  • Skript
  • Variable
  • VBA
  • VSTA
  • Windows

info Info

Die in zenon verfügbaren Funktionen sind lizenzabhängig.

Noch in diesem Kapitel

Favoriten

Add-In

AML und CEL

Anwendung

Archivserver

Batch Control

Benutzerverwaltung

Bilder

Fehlerortung in elektrischen Netzen

Message Control

Netzwerk

Report Generator / Report Viewer / Analyzer

Rezepte

Schaltfolgen

Schichtmanagement

Skript

Variable

VBA

VSTA

Windows


Favoriten

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Favoriten

Diese Gruppe beinhaltet Funktionen, welche Sie als Favoriten definiert haben.

Um Funktionen in diese Gruppe hinzuzufügen:

  • Ziehen Sie mit Drag&Drop die bevorzugten Funktionen in diese Gruppe, um schneller auf sie zugreifen zu können.


Add-In

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Add-In

Diese Gruppe beinhaltet Funktionen für den Umgang mit Add-Ins.

Funktion | Beschreibung
Dialog "Runtime-Dienste verwalten" anzeigen | Öffnet zur Runtime den Dialog zur Verwaltung der Dienste. Mehr im Kapitel: Dialog "Runtime Dienste verwalten" anzeigen.
Project Wizard Extension ausführen | Ermöglicht es, einen Wizard zur Runtime auszuführen. Mehr im Kapitel: Project Wizard Extension ausführen.


AML und CEL

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > AML und CEL

Diese Gruppe beinhaltet Funktionen für den Umgang mit der Alarmmeldeliste (AML) und der Chronologischen Ereignisliste (CEL).

Funktion

Beschreibung

Alarme Blink-Quittierung

Diese Funktion quittiert das Blinken aller Elemente des aktuell geöffneten Bildes einer ausgewählten Schablone.

Mehr im Kapitel: Alarme blinkquittieren

Alarmquittierung bestätigen

Diese Funktion löscht gefilterte Alarme.

Mehr im Kapitel: Alarme löschen

Alarme quittieren

Diese Funktion quittiert gefilterte Alarme.

Mehr im Kapitel: Alarme quittieren

Alarm/Ereignis-Gruppe abmelden/anmelden

Diese Funktion meldet die Variablen der Alarm/Ereignis-Gruppe beim Treiber ab oder an.

Mehr im Kapitel: Alarm/Ereignis-Gruppe abmelden/anmelden

Alarmmeldeliste aktiv

Diese Funktion schaltet die gesamte Alarmmeldeliste ein.

Mehr im Kapitel: Alarmmeldeliste aktiv

Alarmmeldeliste aktiv/inaktiv

Diese Funktion schaltet die gesamte Alarmmeldeliste ein oder aus.

Mehr im Kapitel: Alarmmeldeliste aktiv/inaktiv

Alarmmeldeliste inaktiv

Diese Funktion schaltet die gesamte Alarmmeldeliste aus.

Mehr im Kapitel: Alarmmeldeliste inaktiv

Alarmmeldeliste, Alarm/Ereignis-Gruppen/Klassen aktivieren/deaktivieren

Diese Funktion schaltet eine Alarm/Ereignis-Gruppe, eine Alarm/Ereignis-Klasse oder die gesamte Alarmmeldeliste ein oder aus.

Mehr im Kapitel: Alarmmeldeliste, Alarm/Ereignis-Gruppen, Alarm/Ereignis-Klassen, aktivieren/deaktivieren

AML exportieren

Diese Funktion exportiert gefilterte Einträge der Alarmmeldeliste in ein externes Format.

Mehr im Kapitel: AML exportieren

AML- und CEL-Ringpuffer speichern

Diese Funktion speichert aktuelle Alarme und Ereignisse in die Dateien ALARM.BIN und CEL.BIN sowie Werte von Mathematik-Variablen (Zähler) in die Datei SY_MA32.BIN.

Mehr im Kapitel: AML- und CEL-Ringpuffer speichern

CEL exportieren

Diese Funktion exportiert gefilterte Einträge der Chronologischen Ereignisliste (CEL) in ein externes Format.

Mehr im Kapitel: CEL exportieren

Drucken AML oder CEL

Diese Funktion druckt gefilterte Einträge der Alarmmeldeliste (AML) oder der Chronologischen Ereignisliste (CEL) aus.

Mehr im Kapitel: Drucken AML oder CEL

IPA-Dokument erzeugen/drucken

Diese Funktion erzeugt eine IPA-Auswertung und schreibt sie in eine HTML-Datei oder druckt diese aus.

Mehr im Kapitel: Dokument erzeugen

Online-Drucken ein/ausschalten

Diese Funktion schaltet den Online-Ausdruck der Alarmmeldeliste oder der Chronologischen Ereignisliste (CEL) ein oder aus.

Mehr im Kapitel: Online Ausdrucke ein/ausschalten

Online-Drucken neue Seite beginnen

Diese Funktion beendet bei aktiviertem Online-Druck eine Seite und beginnt eine neue. Die Seitennummer wird auf 1 zurückgesetzt.

Mehr im Kapitel: Online-Drucken neue Seite beginnen

Online-Drucker umschalten

Diese Funktion schaltet den Online-Ausdruck auf einen ausgewählten Drucker um. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Kapitel: Online Drucker umschalten


Anwendung

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Anwendung

Diese Gruppe beinhaltet Funktionen für den Umgang mit Projekt-Einstellungen.

Funktion | Beschreibung
Drucker wählen | Diese Funktion öffnet einen Dialog, in dem der Benutzer Drucker für die verschiedenen Druckaufgaben auswählen kann. Mehr im Kapitel: Drucker wählen
Erweiterter Trend Diagramm drucken | Mithilfe dieser Funktion können Sie Diagramme des Erweiterten Trends ausdrucken oder in einer Datei (JPG oder BMP) Mithilfe dieser Funktion wird die Optimierung für ein selektiertes Versorgungsgebiet im Modul Lastmanagement gestartet. Diese Funktion wird nur am Server ausgeführt. Mehr im Kapitel: Last-Management startenspeichern, ohne dass Sie das Bild vom Typ Erweiterter Trend aufschalten müssen. Mehr im Kapitel: Erweiterter Trend Diagramm drucken
Farbpalette umschalten | Erstellt eine Funktion, um zur Runtime zwischen Farbpaletten umzuschalten. Mehr im Kapitel: Farbpalette umschalten
Funktionen bei Grenzwerten aktiv | Diese Funktion schaltet die Funktionsverwaltung ein. Automatisch ausgeführte Funktionen (z. B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden ausgeführt. Mehr im Kapitel: Funktionen bei Grenzwerten aktiv
Funktionen bei Grenzwerten aktiv/inaktiv | Diese Funktion schaltet die Funktionsverwaltung ein oder aus. Automatisch ausgeführte Funktionen (z. B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden (nicht) ausgeführt. Mehr im Kapitel: Funktionen bei Grenzwerten aktiv/inaktiv
Funktionen bei Grenzwerten inaktiv | Diese Funktion schaltet die Funktionsverwaltung aus. Automatisch ausgeführte Funktionen (z. B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden nicht ausgeführt. Mehr im Kapitel: Funktionen bei Grenzwerten inaktiv
Hilfe aufrufen | Diese Funktion öffnet eine ausgewählte Hilfeseite aus einer CHM-Datei. Mehr im Kapitel: Hilfe aufrufen
Last-Management starten | Mithilfe dieser Funktion wird die Optimierung für ein selektiertes Versorgungsgebiet im Modul Lastmanagement gestartet. Diese Funktion wird nur am Server ausgeführt. Mehr im Kapitel: : Last-Management starten
Last-Management stoppen | Mithilfe dieser Funktion wird die Optimierung für ein selektiertes Versorgungsgebiet im EMS-Modul gestoppt. Diese Funktion wird nur am Server ausgeführt. Mehr im Kapitel: : Last-Management stoppen
Lizenzinformation anzeigen | Mithilfe dieser Funktion wird ein Dialog zur Anzeige der Versions- und Lizenzinformationen aufgeschalten. Mehr im Kapitel: : Versions- und Lizenzinformationen
Nachladen | Diese Funktion lädt nur geänderte oder alle Runtime-Dateien nach. Mehr im Kapitel: Nachladen
Offene Wartungen ermitteln | Diese Funktion bildet aktuell anstehende Wartungen aus dem IMM gefiltert auf Statusvariablen ab. Mehr im Kapitel: Offene Wartungen ermitteln
Simulation ein/ausschalten | Diese Funktion schaltet zwischen Simulationsmodus und Hardwaremodus um. Art des Simulationsmodus oder Hardwaremodus können ausgewählt werden. Zusätzlich kann die Simulation für das Modul Prozess-Rekorder im Wiedergabe-Modus gestartet werden. Mehr im Kapitel: Projektsimulation aktivieren/deaktivieren
PFS - benutzerdefiniertes Ereignis anstoßen | Diese Funktion führt ein zuvor vom Benutzer angelegtes PFS-Ereignis aus. Mehr im Kapitel: PFS - benutzerdefiniertes Ereignis anstoßen
Prozess-Rekorder-Wiedergabe aktivieren/deaktivieren | Diese Funktion aktiviert oder deaktiviert den Wiedergabe-Modus des Moduls Prozess-Rekorder. Mehr im Kapitel: Prozess-Rekorder: Wiedergabe aktivieren/deaktivieren
Rechtsklick simulieren | Diese Funktion interpretiert den nächsten Mausklick als einen Rechtsklick. Mehr im Kapitel: Rechtsklick simulieren
Remanentdaten speichern | Erlaubt das Speichern der Daten für die konfigurierten Module. Zur Auswahl stehen: AML-Ringpuffer, CEL-Ringpuffer, System Treiber und Mathematik Treiber, Intern Treiber, Remanentabbilder aller Treiber, Sperrung der Befehlsgabe. Mehr im Kapitel: Remanentdaten speichern
Runtime beenden | Diese Funktion beendet die zenon Runtime. Mehr im Kapitel: Runtime beenden
S7-Graph Heuristik auswerten | Diese Funktion ermöglicht es Ihnen, die S7-Graph Heuristik durchzuführen, ohne dass das Bild vom Typ S7-Graph aktiv ist. Mehr im Kapitel: S7-Graph Heuristik
SAP-Funktion ausführen | Ermöglicht den Aufruf einer SAP Funktion zur Runtime. Mehr im Kapitel: SAP Funktion ausführen
Sprachumschaltung | Diese Funktion schaltet in mehrsprachigen Projekten auf eine ausgewählte Sprache um. Mehr im Kapitel: Sprachumschaltung
Topologie - Erdschlusssuche | Aufruf der Kurzschlusssuche. Mehr im Kapitel: Topologie - Kurzschlusssuche
Topologie - Verbindungen prüfen | Ermittelt den Versorgungszustand von topologischen Verbrauchern bildet diesen auf Variablen ab. Mehr im Kapitel: Topologie - LoadShedding


Archivserver

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Archivserver

Diese Gruppe beinhaltet Funktionen für das optionale Modul Archivserver.

Funktion | Beschreibung
Archiv beenden | Diese Funktion beendet ein ausgewähltes Archiv des optionalen Moduls Archivserver. Mehr im Kapitel: Archiv beenden
Archiv indizieren | Diese Funktion indiziert Archive. Mehr im Kapitel: Archiv indizieren
Archiv starten | Diese Funktion startet ein ausgewähltes Archiv des optionalen Moduls Archivserver. Mehr im Kapitel: Archiv starten
Archive exportieren | Diese Funktion exportiert gefilterte Archiveinträge des optionalen Moduls Archivserver in ein externes Format. Mehr im Kapitel: Archive exportieren
Offene Archive anzeigen | Diese Funktion zeigt eine Liste der laufenden Archive des optionalen Moduls Archivserver an. Mehr im Kapitel: Offene Archive anzeigen


Batch Control

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Batch Control

Diese Gruppe beinhaltet Funktionen für Batch Control.

Funktion | Beschreibung
Batch Rezepte exportieren | Mit Hilfe der Funktion können Rezepte als XML-Datei exportiert werden. Mehr im Kapitel: Batch Rezepte exportieren
Batch Rezepte importieren | Mit Hilfe der Funktion können Rezepte aus einer XML-Datei importiert werden. Mehr im Kapitel: Batch Rezepte importieren
Rezeptkommando-/Moduswechsel ausführen | Mit Hilfe der Funktion schicken Sie Steuerkommandos an die Batch-Ausführung. Mehr im Kapitel: Rezeptkommando- oder Moduswechsel ausführen
Steuerrezept erzeugen | Mit Hilfe dieser Funktion kann zur Runtime über einen Button ein im Editor vordefiniertes Steuerrezept erstellt werden. Mehr im Kapitel: Funktion Steuerrezept erzeugen


Benutzerverwaltung

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Benutzerverwaltung

Diese Gruppe beinhaltet Funktionen für die Benutzerverwaltung.

Funktion | Beschreibung
Benutzer ändern | Diese Funktion öffnet einen Dialog, in dem ein eingeloggter Administrator Benutzer und Benutzergruppen anlegen, editieren oder löschen kann. Mehr im Kapitel: Benutzer ändern
Login mit Dialog | Diese Funktion öffnet den Standard-Login-Dialog. Mehr im Kapitel: Login mit Dialog
Login ohne Passwort | Diese Funktion loggt einen ausgewählten Benutzer ein ohne nach seinem Passwort zu fragen. Mehr im Kapitel: Login ohne Passwort
Logout | Diese Funktion loggt den aktuell eingeloggten Benutzer aus. Mehr im Kapitel: Logout
Passwort ändern | Diese Funktion öffnet einen Dialog, in dem der aktuell eingeloggte Benutzer sein Passwort ändern kann. Mehr im Kapitel: Passwort ändern


Bilder

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Bilder

Diese Gruppe beinhaltet Funktionen für den Umgang mit Bildern.

Funktion

Beschreibung

ALC-Quellenfarben

Funktion zur Konfiguration der ALC-Quellenfarben bei Fehlerortung in elektrischen Netzen.

Mehr im Kapitel: ALC-Quellenfarben.

Bild indiziert

Diese Funktion öffnet ein Bild, dessen Name eine ausgewählte Variable beinhaltet.

Mehr im Kapitel: Bild indiziert.

Bild schließen

Diese Funktion schließt ein ausgewähltes Bild.

Mehr im Kapitel: Bild schließen.

Bild zurück

Diese Funktion schaltet auf das vorher geöffnete Bild der ausgewählten Schablone zurück.

Mehr im Kapitel: Bild zurück.

Bild zurück-Pfad löschen

Mit dieser Funktion kann zur Runtime der Pfad der Funktion Bild zurück gelöscht werden.

Mehr im Kapitel: Bild zurück-Pfad löschen.

Bildmittelpunkt verschieben

Diese Funktion scrollt und/oder zoomt in einem Weltbild.

Mehr im Kapitel: Bildmittelpunkt verschieben.

Bildumschaltung

Diese Funktion öffnet ein ausgewähltes Bild. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Hinweis: Ohne Dialog wird die Funktion mit höchster Priorität (1) ausgeführt. Wird vor der Ausführung ein Dialog aufgeschaltet, wird die Priorität auf hoch (2) heruntergestuft.

Mehr im Kapitel: Bildumschaltung.

Eingabe auf Element mit Fokus aktivieren

Diese Funktion löst die Funktionalität des Elements aus, das gerade den Eingabefokus hat.

Mehr im Kapitel: Eingabe auf Element mit Fokus aktivieren.

Fokus auf Schablone setzen

Diese Funktion setzt den Eingabefokus auf das aktuell geöffnete Bild einer ausgewählten Schablone. So können Projekte mit reiner Tastaturbedienung erstellt werden.

Mehr im Kapitel: Fokus auf Schablone setzen.

Fokus verschieben

Diese Funktion setzt den Eingabefokus auf ein bestimmtes Element in einem Bild, dessen Schablone den Fokus hat.

Mehr im Kapitel: Fokus verschieben.

Fokus von Schablone nehmen

Diese Funktion entfernt den Eingabefokus von dem aktuell geöffneten Bild einer ausgewählten Schablone. So können Projekte mit reiner Tastaturbedienung erstellt werden.

Mehr im Kapitel: Fokus von Schablone nehmen

Menü anzeigen

Diese Funktion öffnet oder schließt ein ausgewähltes Hauptmenü. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Kapitel: Menü anzeigen.

Bildschirm zuordnen

Diese Funktion weist einem ausgewählten virtuellen Bildschirm einen ausgewählten realen Bildschirm zu. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Kapitel: Bildschirm zuordnen.

Runtimeprofile

Erstellt eine Funktion, mit der zur Runtime die Profilverwaltung geöffnet, ein Profil erstellt oder ein Profil geladen werden kann.

Mehr im Kapitel: Runtimeprofile.

Schablone in den Vordergrund holen

Mit dieser Funktion können zur Runtime Bilder, die von anderen überlagert werden, in den Vordergrund geholt werden.

Mehr im Kapitel: Schablone in den Vordergrund holen.

Schablone schließen

Diese Funktion schließt das aktuell geöffnete Bild einer ausgewählten Schablone.

Mehr im Kapitel: Schablone schließen.

Screenshot drucken

Diese Funktion druckt zur Runtime einen Screenshot vom gesamten Bildschirm oder von Schablonen.

Mehr im Kapitel: Screenshot drucken.

Sollwertvorgabe für Keyboard-Bild

Diese Funktion stellt einen vordefinierten Wert ein oder setzt einen vordefinierten Wert im Bild vom Typ Keyboard ab.

Mehr im Kapitel: Sollwertvorgabe für Keyboard-Bild.

Übersichtsfenster anzeigen

Diese Funktion öffnet ein Übersichtsfenster. Damit kann auf einem Ein-Bildschirm-System ein Mehr-Bildschirm-System simuliert werden.

Mehr im Kapitel: Übersichtsfenster anzeigen.


Fehlerortung in elektrischen Netzen

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Fehlerortung in elektrischen Netzen

Enthält Funktionen zur Fehlerortung in elektrischen Netzen.

Funktion | Beschreibung
Erdschlussmeldung quittieren | Funktion zum Quittieren einer Erdschlussmeldung. Öffnet den Dialog zur Auswahl einer Variablen. Mehr im Kapitel: Erdschlussmeldung quittieren
Erdschlusssuche beenden | Funktion zum Beenden der Erdschlusssuche. Mehr im Kapitel: Erdschlusssuche beenden
Erdschlusssuche starten | Funktion zum Starten der Erdschlusssuche. Mehr im Kapitel: Erdschlusssuche starten
Erdschlussmeldung quittieren | Funktion zum Quittieren einer Kurzschlussmeldung. Öffnet den Dialog zur Auswahl einer Variablen. Mehr im Kapitel: Kurzschlussmeldung quittieren


Message Control

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Message Control

Diese Gruppe beinhaltet Funktionen für das optionale Modul Message Control.

Funktion | Beschreibung
Aktuelle Warteschlange speichern | Speichert zur Runtime aktuelle Message Queue. Mehr im Kapitel: Aktuelle Warteschlange speichern
Gruppen/Klassen/Bereiche/Anlagen unterdrücken | Ermöglicht das Versenden von Nachrichten für bestimme Alarme zu unterdrücken. Mehr im Kapitel: Gruppen/Klassen/Bereiche/Anlagen unterdrücken
Sende Nachricht | Erstellt eine Funktion zum Versenden von Nachrichten. Mehr im Kapitel: Sende Nachricht
Sende Nachricht aktivieren | Aktiviert Message Control zur Runtime für das aktive Projekt. Mehr im Kapitel: Sende Nachricht aktivieren
Sende Nachricht deaktivieren | Deaktiviert Message Control zur Runtime für das aktive Projekt. Mehr im Kapitel: Sende Nachricht deaktivieren


Netzwerk

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Netzwerk

Diese Gruppe beinhaltet Funktionen für den Umgang mit einem Netzwerk.

Funktion

Beschreibung

Bedienberechtigung im Netzwerk

Diese Funktion holt oder gibt die Bedienberechtigung im Netzwerk frei.

Mehr im Kapitel: Bedienberechtigung im Netz

Redundanz-Umschaltung

Diese Funktion tauscht den Prozessführenden Server und den Standby Server des Projekts, abhängig vom gewählten Redundanzmodus aus:

  • Bewertet
  • Dominant
  • Nicht dominant

Hinweis: Nicht verfügbar, wenn CE Terminal als Datenserver dient. Weitere Informationen dazu erhalten Sie im Handbuch zenon Operator im Kapitel CE Terminal als Datenserver.

Mehr im Kapitel: Redundanz-Umschaltung


Report Generator / Report Viewer / Analyzer

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer

Diese Gruppe beinhaltet Funktionen für:

  • Report Generator
  • Report Viewer
  • zenon Analyzer
Funktion | Beschreibung
Analyzer: Report erzeugen | Die ereignisgesteuerte Reporterstellung ermöglicht es, als Auslöser für die Erstellung und den Versand eines Reports im COPA-DATA Produkt zenon Analyzer ein Ereignis zu nutzen; zum Beispiel eine Wertänderung. Mehr im Kapitel: zenon Analyzer
Report Generator: ausführen | Diese Funktion führt einen ausgewählten Report des optionalen Moduls Report Generator aus. Mehr im Kapitel: Report ausführen
Report Generator: drucken | Diese Funktion druckt einen ausgewählten Report des optionalen Moduls Report Generator. Mehr im Kapitel: Drucken Report
Report Generator: exportieren | Diese Funktion exportiert einen ausgewählten Report des optionalen Moduls Report Generator in ein externes Format. Mehr im Kapitel: Report exportieren
Report Viewer: exportieren/drucken | Ermöglicht es, Reports zur Runtime als PDF oder Online-Ausdruck auszugeben. Mehr im Kapitel: Report exportieren oder drucken.

attention Achtung

Reports, die mit dem zenon Report Viewer angezeigt werden, werden abhängig von den Einstellungen für die Windows Schriftgröße angezeigt.
Das heißt: Reports werden bei Größenänderungen nicht über die automatische Bildschirmanpassung von zenon skaliert. Bei Bildskalierungen wird der Inhalt nicht angepasst.

Noch in diesem Kapitel

zenon Analyzer


zenon Analyzer

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer > zenon Analyzer

zenon stellt Funktionen zur Verfügung, die den Datenaustausch mit dem COPA-DATA Produkt zenon Analyzer erleichtern.

Ereignisgesteuerte Reporterstellung

Die ereignisgesteuerte Reporterstellung ermöglicht es, ein Ereignis - wie zum Beispiel eine Wertänderung - als Auslöser für die Erstellung und den Versand eines Reports zu nutzen. Diese Reports können mittels zenon Funktionerstellt werden.

Noch in diesem Kapitel

Analyzer Report mittels zenon Funktion erzeugen

Allgemeine Einstellungen

Parameterliste

Erweiterte Einstellungen für gesicherte Verbindung

Konfiguration der Werte


Analyzer Report mittels zenon Funktion erzeugen

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer > zenon Analyzer > Analyzer Report mittels zenon Funktion erzeugen

Voraussetzungen

Damit Sie einen ereignisgesteuerten Report für den zenon Analyzer über die zenon Funktion Analyzer: Report erzeugen erstellen können, müssen folgende Voraussetzungen erfüllt sein:

  • zenon Version 7.20 oder höher
  • Verbindung mit entsprechenden Rechten zu einem Analyzer Server der Version 2 oder höher
  • Analyzer Server Wrapper muss installiert sein. Installation erfolgt über einen eigenen Auswahlpunkt im zenon Setup.
  • Runtime und Editor müssen nach der Installation des Analyzer Server Wrapper neu gestartet werden, damit sie die installierten Analyzer Server Wrapper DLLs finden können.
  • Empfehlung: Damit die Windows Authentifizierung garantiert funktioniert, sollte sich der Analyzer Server in der gleichen Domain wie zenon Editor und zenon Runtime befinden.

Problemlösung

  • Kommunikationsprobleme mit dem Analyzer Server: Überprüfen Sie Kommunikation im Netzwerk sowie die Authentifizierung (Benutzer und Zugriffsrechte).
  • Reports werden gerendert, enthalten aber keine Daten: Überprüfen Sie die Lizenz des Analyzer Servers.

Funktion erstellen

Um die Funktion zu erstellen:

  1. Erstellen Sie im zenon Editor eine neue Funktion.
  2. Navigieren Sie im Auswahldialog zur Gruppe Report Generator/Report Viewer/Analyzer.

  3. Wählen Sie die Funktion Analyzer: Report erzeugen.
  4. Der Dialog zur Konfiguration wird geöffnet:
  5. Konfigurieren Sie in der Registerkarte Allgemeine Einstellungen die Verbindungsparameter und wählen Sie den gewünschten Report aus.

    Achtung: Bevor zur zweiten Registerkarte gewechselt wird, müssen unbedingt eine Verbindung aufgebaut und ein Report gewählt werden!

  6. Konfigurieren Sie in der Registerkarte Parameterliste die Report-Eigenschaften.
    Beim Wechseln zur zweiten Registerkarte wird versucht, bereits bestehende Werte für die Parametereingabe erneut zu setzen. Schlägt dies fehl, wird die Liste der gesetzten Parameterwerte leer angezeigt.

    Defaults können durch individuelle Werte ersetzt werden. Deaktivieren Sie dazu die Checkbox vor dem Wert und klicken Sie auf den Wert. Ein Dialog zur Eingabe des neuen Werts wird geöffnet.

  7. Verknüpfen Sie die Funktion mit einem Button oder einem Ereignis, um sie zur Runtime zu benutzen.

Ablauf zur Runtime

Ablauf beim Auslösen der Funktion zur Reporterstellung zur Runtime:

  1. Die konfigurierte Verbindung wird hergestellt.
  2. Der gewählte Report wird gesetzt.
  3. Die gewählten Parameterwerte werden für diesen Report gesetzt.
  4. Der Report wird erstellt und in der gewünschten Form ausgegeben.
  5. Der Dateiname wird generiert und die Datei im Exportordner des Projekts gespeichert.
  6. Der vollständige Dateiname wird in die gewählte Variable geschrieben.


Allgemeine Einstellungen

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer > zenon Analyzer > Allgemeine Einstellungen

In dieser Registerkarte wird die Verbindung zum Analyzer Server konfiguriert und der Bericht ausgewählt. Bevor Sie zur Registerkarte Parameterliste wechseln:

  • muss die Verbindung zum Analyzer Server hergestellt werden
  • diese Registerkarte komplett konfiguriert werden

Welche Optionen in der Registerkarte Parameterliste zur Verfügung stehen, hängt ab von Ihrer Auswahl für die Option Report.

Registerkarte Allgemeine Einstellungen

Analyzer Server

Option

Beschreibung

Analyzer Server

Konfiguration der Verbindung zum Analyzer Server.

Version

Auswahl der Version des Analyzer Servers aus Dropdownliste. Nur verfügbar, wenn keine Verbindung besteht.

Computername

Eingabe des Namens des Rechners, auf dem der Analyzer Server läuft. Nur verfügbar, wenn keine Verbindung besteht.

Windows-Authentifizierung verwenden

Auswahl der Art der Authentifizierung:

  • Aktiv: Windows-Authentifizierung wird verwendet.
  • Inaktiv: Der Benutzer muss Benutzername und Passwort eingeben.

Benutzername

Eingabe des Benutzernamens.

Nur verfügbar, wenn Windows-Authentifizierung verwenden inaktiv ist und keine Verbindung besteht.

Passwort

Eingabe des Passworts für die Authentifizierung.

Die eingegebenen Zeichen werden nicht dargestellt, die Länge des Passworts wird verschleiert. Das Passwort wird verschlüsselt gespeichert und nur unmittelbar zum Verbindungsaufbau entschlüsselt.

Nur verfügbar, wenn Windows-Authentifizierung verwenden inaktiv ist und keine Verbindung besteht.

Sichere Verbindung

Aktiv: Die Verbindung wird gesichert hergestellt.

Nur verfügbar für zenon Analyzer ab Version 3.00.

Erweitert

Erweiterte Einstellungen für die Verbindungswartezeit. Dies kann maximal 1 Tag betragen.

Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration.

Nur verfügbar für zenon Analyzer ab Version 3.00.

Verbindung herstellen

Klick auf die Schaltfläche baut eine Verbindung zum Analyzer Server auf.

Nach erfolgreichem Verbindungsaufbau werden die Dropdownlisten für Report und Format aktualisiert.

Verbindung trennen

Klick auf die Schaltfläche trennt die bestehende Verbindung.

Reporterstellung

Option

Beschreibung

Reporterstellung

Konfiguration der Basisdaten für den Report.

Report

Auswahl des Reports aus Dropdownliste.

Format

Auswahl des Ausgabeformats aus Dropdownliste:

  • CSV
  • Excel
  • MHTML (Web Archiv)
  • PDF
  • TIFF Datei
  • Word
  • XML Datei mit Reportdaten

Zeitstempel in Dateiname inkludieren
  • Aktiv: Der Ausführungs-Zeitstempel wird in den Dateinamen inkludiert.

Ablauf der Dateinamenerzeugung:

  • Ausgangspunkt ist der Reportname ohne Pfad.
    Beispiel: Alarms
  • Dann wird, falls aktiviert, der Zeitstempel hinzugefügt. Beispiel am 15.8.2014 um 15:20:00 Uhr: Alarms_2014_08_15_15_20_00
  • Dann wird die Dateinamenerweiterung entsprechend dem gewählten Ausgabeformat hinzugefügt.
    Beispiel: Alarms_2014_08_15_15_20_00.pdf
  • Existiert bereits eine Datei mit diesem Namen im Exportordner des Projekts, wird ein Zähler hinzugefügt, bis der Dateiname eindeutig ist.
    Beispiel:
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variable für Pfad zur erstellten Datei

Zeigt die aktuell gewählte zenon Variable an, die den Pfad zur geschriebenen Reportdatei erhält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Tipp: Damit kann beim Beenden eines Chargenarchivs oder bei einer Grenzwertverletzung ein ereignisgesteuerter Report über ein Skript per E‑Mail aus zenon versendet werden. Dabei wird diese Variable verwendet, um den Anhang der Message Control Funktion Sende Nachricht zu definieren.
Ablauf:

  • Zuerst wird die Reportfunktion ausgeführt, die die Variable schreibt.
  • Dann wird die Funktion Sende Nachricht ausgeführt, die den Anhangpfad aus der Variablen liest.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Parameterliste

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer > zenon Analyzer > Parameterliste

In dieser Registerkarte konfigurieren Sie die Report-Eigenschaften. Welche Parameter angeboten werden, hängt ab von der Auswahl des Reports in der Registerkarte Allgemeine Einstellungen.

Registerkarte Parameterliste

Option

Beschreibung

Parameterliste

Anzeige der Report-Parameter. Die Reihenfolge entspricht der Reihenfolge im Report.

Empfehlung: Konfigurieren Sie die Parameter von oben nach unten.

Parametername

Anzeige des Parameternamens.
Kann hier nicht konfiguriert werden.

Standard

Definiert, ob der Parameter auf seinen Vorgabewert gesetzt ist.

  • Aktiv: Vorgabewert aus Report wird verwendet.
  • Inaktiv: Wert wird durch Klick in Spalte Wert individuell gewählt.

Mausklick oder Drücken der Leertaste bei markiertem Parameter schaltet die Checkbox um. Hat ein Parameter keinen Vorgabewert, ist die Checkbox ausgegraut und inaktiv.

Wert

Anzeige des aktuellen Werts des Parameters.

  • Ist die Checkbox Standard aktiviert, dann wird hier der Text Standardwert angezeigt und die Zelle erlaubt keine Eingaben.
  • Ist die Checkbox Standard deaktiviert, dann wird hier der aktuell konfigurierte Wert angezeigt.
    Klick auf die Zelle oder das Drücken der Eingabetaste bei markiertem Parameter öffnet den für den Wert passenden Eingabedialog.

Kann ein Parameter noch nicht eingegeben werden, wird der Text Nicht verfügbar angezeigt und die Zelle ist deaktiviert. Das kann zum Beispiel bedeuten, dass zuerst Werte für einen anderen Parameter gesetzt werden müssen, um die Wertliste zu füllen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Tipp Chargen/Schicht-Report:

In der Runtime wird der Wert einer zenon Stringvariable gelesen. In der Liste der vordefinierten Werte für den Parameter wird nach diesem String als Label gesucht. Der Wert zu dem übereinstimmenden Label ist dann der Parameterwert, also die gewählte Schicht oder Charge.

Die Chargenvariable eines Chargenarchivs kann hier verwendet werden. Führen Sie für den Chargen-Report die Funktion Analyzer: Report erzeugen beim Beenden des Chargenarchivs aus. Der Report hat dann als Zeitfilter die letzte Charge dieses Archivs.


Erweiterte Einstellungen für gesicherte Verbindung

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer > zenon Analyzer > Erweiterte Einstellungen für gesicherte Verbindung

Konfiguration der Verbindungswartezeit. Der Dialog wird beim Klick auf die Schaltfläche Erweitert in der Registerkarte Allgemeine Einstellungen geöffnet.

Parameter

Beschreibung

Verbindungs-Timeout

Wartezeit beim Verbindungsaufbau in Sekunden. Wird diese überschritten, wird der Verbindungsaufbau abgebrochen.

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Default: 100

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Konfiguration der Werte

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Report Generator / Report Viewer / Analyzer > zenon Analyzer > Konfiguration der Werte

Für die Konfiguration der Parameterwerte stehen für jede Eingabe passende Dialoge zur Verfügung. Die Konfiguration erfolgt je nach Eingabemöglichkeit für:

  • Ein Wert ohne vordefinierten Wert: Eingabe des Werts.
  • Mehrere Werte ohne vordefinierte Werte: Eingabe der Werte und Hinzufügen zu einer Liste.
  • Ein Wert mit vordefiniertem Wert: Auswahl aus Dropdownliste oder Liste.
  • Mehrere Werte mit vordefinierten Werten: Auswahl aus Liste.

Ob ein Wert konfiguriert werden kann, kann davon abhängen, dass der vorhergehende Wert ausgewählt wurde. Zum Beispiel müssen Projekte ausgewählt werden, damit Archive und Variablen konfiguriert werden können.
Welche Dialoge angeboten werden, hängt von der Report-Auswahl ab.

Beispiele für einige häufig verwendete Dialoge:

Anlagengruppen

Auswahl der gewünschten Anlagengruppen:

  1. Wählen Sie die gewünschten Anlagengruppen in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Gruppen werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Anlagengruppen wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Anlagengruppen in den Report zu übernehmen, klicken Sie auf OK.

Archive

  1. Wählen Sie die gewünschten Archive in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Archive werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Archive wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Archive in den Report zu übernehmen, klicken Sie auf OK.

Komprimierung

  1. Wählen Sie die gewünschte Komprimierung aus der Dropdownliste aus.
  2. Klicken Sie auf OK.

Komprimierungsfunktion

  1. Wählen Sie die gewünschte Komprimierungsfunkltion aus der Dropdownliste aus.
  2. Klicken Sie auf OK.

Projekte

  1. Wählen Sie die gewünschten Projekte in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Projekte werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Projekte wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Projekte in den Report zu übernehmen, klicken Sie auf OK.

Variablen

Auswahl der gewünschten Variablen.

  1. Wählen Sie die gewünschten Variablen in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Variablen werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Variablen wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Variablen in den Report zu übernehmen, klicken Sie auf OK.

Zeitbereich

  1. Wählen Sie das Gewünschte Datum und die Uhrzeit für
    1. Von
    2. Bis
  2. Klicken Sie auf OK.


Rezepte

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Rezepte

Diese Gruppe beinhaltet Funktionen für den Umgang mit Standard-Rezepten und Rezepten des optionalen Moduls Rezeptgruppen Manager.

Funktion | Beschreibung
Rezeptgruppen-Manager | Diese Funktion schreibt, liest, kopiert, importiert oder exportiert ein ausgewähltes Rezept des optionalen Moduls Rezeptgruppen Manager (RGM). Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden. Mehr im Kapitel: Rezeptgruppen-Manager
Standard-Rezept | Diese Funktion schreibt, liest, kopiert, importiert oder exportiert ein ausgewähltes Standard-Rezept. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden. Mehr im Kapitel: Standard-Rezept
Standard-Rezept einzeln direkt | Diese Funktion sendet die Werte eines ausgewählten Standard-Rezepts an die Steuerung. Mehr im Kapitel: Standard-Rezept einzeln direkt
Standard-Rezept einzeln mit Auswahl | Diese Funktion öffnet einen Dialog, in dem der Benutzer ein Standard-Rezept ändern oder ausführen kann. Mehr im Kapitel: Standard-Rezept einzeln mit Auswahl
Standard-Rezept einzeln mit Online-Auswahl | Diese Funktion öffnet einen Dialog, in dem der Benutzer ein Standard-Rezept auswählen und ausführen und/oder ändern kann. Mehr im Kapitel: Standard-Rezept einzeln mit Online-Auswahl


Schaltfolgen

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Schaltfolgen

Diese Gruppe beinhaltet Funktionen für das optionale Modul Schaltfolgen.

Funktion | Beschreibung
Schaltfolgen exportieren | Exportiert projektierte Schaltfolgen in eine XML-Datei Mehr im Kapitel: Schaltfolgen exportieren.
Schaltfolgen importieren | Importiert projektierte Schaltfolgen aus einer XML-Datei Mehr im Kapitel: Schaltfolgen importieren.
Schaltfolgen teachen | Mit Hilfe der Funktion starten oder stoppen Sie den Teachingvorgang in der Runtime. Diese Funktion eignet sich besonders dazu, das Teaching in der Runtime in einem Prozessbild zu starten, ohne zum Schaltfolgen-Editor umschalten zu müssen. Mehr im Kapitel: Schaltfolgen teachen.
Schaltfolgen-Kommando/Moduswechsel ausführen | Mit Hilfe der Funktion schicken Sie Steuerkommandos an die Schaltfolgenausführung. Mehr im Kapitel: Schaltfolgenkommando- oder Moduswechsel ausführen.


Schichtmanagement

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Schichtmanagement

Diese Gruppe beinhaltet Funktionen für den Umgang mit dem Schichtmanagement.

Funktion | Beschreibung
SQL-Export Schichtkalender | Diese Funktion ermöglicht die Erstellung und das Editieren von Schichtterminen.


Skript

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Skript

Diese Gruppe beinhaltet Funktionen für den Umgang mit Skripten.

Funktion | Beschreibung
Skript ausführen | Diese Funktion führt ein ausgewähltes Skript aus. Mehr im Kapitel: Skript ausführen
Skript mit Online-Auswahl | Diese Funktion öffnet einen Dialog, in dem der Benutzer ein Skript auswählen und ausführen kann. Mehr im Kapitel: Skript mit Online-Auswahl


Variable

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Variable

Diese Gruppe beinhaltet Funktionen für den Umgang mit Variablen.

Funktion | Beschreibung
Daten exportieren | Diese Funktion exportiert auf der Festplatte gespeicherte Werte (*.HDD) ausgewählter Variablen in ein externes Format. Mehr im Kapitel: Daten exportieren
dBase Datei lesen | Diese Funktion liest eine ausgewählte dBase-Datei und führt sie als ein Rezept aus. Mehr im Kapitel: dBase Datei lesen
Drucken Momentanwerte | Diese Funktion druckt aktuelle Werte ausgewählter Variablen aus. Mehr im Kapitel: Drucken Momentanwerte
Einheitenumschaltung | Schaltet zwischen Basiseinheit und Umrechnungseinheit um. Mehr im Kapitel: Einheitenumschaltung
HD-Verwaltung inaktiv | Diese Funktion schaltet die Harddisk-Datenspeicherung aus. HDD-Dateien werden nicht geschrieben. Mehr im Kapitel: HD-Verwaltung inaktiv
HD-Verwaltung aktiv | Diese Funktion schaltet die Harddisk-Datenspeicherung ein. HDD-Dateien werden geschrieben. Mehr im Kapitel: HD-Verwaltung aktiv
HD-Verwaltung inaktiv/aktiv | Diese Funktion schaltet die Harddisk-Datenspeicherung ein oder aus. HDD-Dateien werden (nicht) geschrieben. Mehr im Kapitel: HD-Verwaltung inaktiv/aktiv
Sollwert setzen | Diese Funktion sendet für eine ausgewählte Variable einen neuen Wert zur Steuerung. Mehr im Kapitel: Sollwert absetzen
Treiberkommandos | Diese Funktion sendet ein ausgewähltes Kommando zu einem ausgewählten Treiber. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden. Mehr im Kapitel: Treiber Kommandos
Treiber Simulationsabbild an Standby Server übertragen | Wird nur am Standby Server ausgeführt. Fordert bei Ausführung vom Server ein Abbild für die ausgewählten Treiber. Der Treiber hat dafür 5 Sekunden Zeit. Mehr im Kapitel: Treiber Simulationsabbild an Standby übertragen
Uhrzeit auf Variable schreiben | Diese Funktion liest die Systemzeit des Betriebssystems und schreibt sie auf eine String-Variable in der Steuerung. So kann die Systemzeit der Steuerung mit der des Betriebssystems synchronisiert werden. Mehr im Kapitel: Uhrzeit auf Variable schreiben
Uhrzeit von Variable lesen | Diese Funktion liest die Zeit aus einer String-Variable der Steuerung und setzt die Systemzeit des Betriebssystems entsprechend. So kann die Systemzeit der Steuerung mit der des Betriebssystems synchronisiert werden. Mehr im Kapitel: Uhrzeit von Variable lesen


VBA

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > VBA

Diese Gruppe beinhaltet Funktionen für den Umgang mit VBA-Makros.

Funktion | Beschreibung
PCE-Editor öffnen | Diese Funktion öffnet den Editor des optionalen Moduls Process Control Engine (PCE). Mehr im Kapitel: PCE-Editor öffnen
VBA-Editor öffnen | Diese Funktion öffnet den VBA-Editor. Mehr im Kapitel: V BA-Editor öffnen
VBA-Makro ausführen | Diese Funktion führt ein ausgewähltes VBA-Makro aus. Achtung: Der VBA Event project inactive wird vor AUTO_END_xxx Skripte ausgeführt. Daher wird in Skripten die zenon Funktion VBA-Makro ausführen dann nicht mehr ausgeführt, da VBA zu diesem Zeitpunkt nicht mehr läuft. VBA-Makros, die in "AUTOEND" ausgeführt werden sollen, müssen über Project.Inactive aufgerufen werden. Mehr im Kapitel: VBA-Makro ausführen und Funktionen in zenon.
VBA-Makro Dialog anzeigen | Diese Funktion öffnet der VBA Makro Dialog. Mehr im Kapitel: VBA-Makro Dialog anzeigen


VSTA

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > VSTA

Diese Gruppe beinhaltet Funktionen für den Umgang mit VSTA.

Funktion | Beschreibung
VSTA-Editor öffnen | Diese Funktion öffnet den VSTA-Editor. Mehr im Kapitel: VSTA-Editor öffnen
VSTA-Makro ausführen | Diese Funktion führt ein ausgewähltes VSTA-Makro aus. Mehr im Kapitel: VSTA-Makro ausführen
VSTA-Makro Dialog anzeigen | Diese Funktion öffnet den VSTA Makro-Dialog. Mehr im Kapitel: VSTA Makro-Dialog anzeigen


Windows

Handbuch > Funktionen und Skripte > Funktionen > Übersicht Funktionen in zenon > Windows

Diese Gruppe beinhaltet Funktionen für den Umgang mit Betriebssystem-Funktionalität.

Funktion | Beschreibung
Audiodatei ausführen | Diese Funktion spielt eine ausgewählte Audiodatei (*.wav) einmalig ab. Mehr im Kapitel: Audiodatei ausführen
Dateioperation | Diese Funktion kopiert, löscht oder verschiebt ausgewählte Dateien. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden. Mehr im Kapitel: Dateioperation
Dauerton Start | Diese Funktion spielt eine Audiodatei (*.wav) wiederholt ab. Mehr im Kapitel: Dauerton Start
Dauerton Stopp | Diese Funktion stoppt das wiederholte Abspielen einer Audiodatei (*.wav). Mehr im Kapitel: Dauerton Stopp
In den Hintergrund | Diese Funktion schaltet die zenon Runtime in den Hintergrund. Mehr im Kapitel: In den Hintergrund
In den Vordergrund | Diese Funktion schaltet die zenon Runtime in den Vordergrund. Mehr im Kapitel: In den Vordergrund
Screenshot drucken | Diese Funktion druckt entweder den aktuellen Bildschirm oder das aktuell geöffnete Bild einer ausgewählten Schablone aus. Der Ausdruck kann wahlweise auf ein Fax umgeleitet werden. Mehr im Kapitel: Screenshot drucken
Starte Programm | Diese Funktion startet ein externes Programm. Übergabeparameter können definiert werden. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden. Mehr im Kapitel: Starte Programm


Projektieren im Editor

Handbuch > Funktionen und Skripte > Funktionen > Projektieren im Editor

Sie können im zenon Editor Funktionen zur Runtime projektieren.

Noch in diesem Kapitel

Anlegen und bearbeiten von Funktionen

Auswahl einer Funktion

Löschen von Funktionen

Einfügen von Funktionen aus anderen Projekten


Anlegen und bearbeiten von Funktionen

Handbuch > Funktionen und Skripte > Funktionen > Projektieren im Editor > Anlegen und bearbeiten von Funktionen

Im Kontextmenü des Knotens Funktionen im Projektmanager, stehen folgende Befehle zur Verfügung:

Parameter | Beschreibung
Funktion neu ... | Eine neue Funktion wird angelegt und kann über die Eigenschaften im Eigenschaftenfenster parametriert werden.
Nicht verwendete Funktionen anzeigen... | Öffnet die Projektanalyse im Hauptfenster und zeigt nicht verwendete Funktionen an.
Alle als XML exportieren... | Alle Funktionen in eine XML-Datei exportieren. Siehe Kapitel Import/Export.
XML importieren ... | Funktionen aus einer XML-Datei importieren. Siehe Kapitel Import/Export.
In neuem Fenster öffnen... | Öffnet die Detailansicht der Funktionen in einem neuen Fenster.
Editorprofil | Siehe Kapitel Symbolleiste Editorprofile.


Auswahl einer Funktion

Handbuch > Funktionen und Skripte > Funktionen > Projektieren im Editor > Auswahl einer Funktion

Um eine neue Funktion anzulegen, wird der Eintrag Funktion neu ausgewählt. Der Funktions-Auswahl-Dialog öffnet sich. Ist eine Funktion ausgewält, finden Sie unterhalb des Dialoges die Dialoghilfe. Dort wird die ausgewählte Funktion kurz erläutert. Genauere Informationen finden Sie im Kapitel Übersicht Funktionen.

Wenn Sie eine Funktion ausgewählt und mit OK bestätigt haben, ist diese angelegt. Die Parameter dieser neuen Funktion können nun im Eigenschaften-Fenster definiert werden.

Wenn Sie nach Ihrer Auswahl die Schaltfläche Hilfe im Dialog betätigen, werden Sie direkt in die Onlinehilfe der entsprechenden Funktion weitergeleitet.

Wie im Eigenschaften-Fenster steht auch hier eine individuell anpassbare Favoritenansicht zur Verfügung. Der Knoten Favoriten steht immer zu Beginn der Liste. Per Default sind dort die Funktionen Bildumschaltung und Sollwert setzen eingetragen. Eine beliebige Funktion kann mittels Kontextmenu oder per Drag&Drop zu den Favoriten hinzugefügt oder von dort entfernt werden.

Unterhalb des Dialoges wird die Dialoghilfe angezeigt, in der die ausgewählte Funktion kurz beschrieben wird. Eine Übersicht über die einzelnen Funktionen, die ausgewählt werden können, finden Sie auch im Abschnitt Übersicht Funktionen.


Löschen von Funktionen

Handbuch > Funktionen und Skripte > Funktionen > Projektieren im Editor > Löschen von Funktionen

Um eine Funktion zu löschen, muss diese in der Detailansicht ausgewählt werden und die Entfernen-Taste gedrückt werden.


Einfügen von Funktionen aus anderen Projekten

Handbuch > Funktionen und Skripte > Funktionen > Projektieren im Editor > Einfügen von Funktionen aus anderen Projekten

Funktionen können aus anderen Projekten desselben Arbeitsbereichs eingefügt werden.

Dies ist bei Bildern (Bild Start-Ende-Funktion, Buttons), Grenzwerten, Zeitsteuerung, Scheduler, Skripte, Menüs, Projekten (automatische Funktionsausführung, Archiv) möglich.


Systemfunktionen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen

Systemfunktionen sind nicht auf ein Modul beschränkt. Sie haben auf die gesamte zenon Projektierung Auswirkung und steuern Rechner-Einstellungen, wie zum Beispiel, die Auswahl des Druckers.

Noch in diesem Kapitel

Anwendung - Funktionen

Windows - Funktionen


Anwendung - Funktionen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen

Allgemeine zenon Funktionen

Parameter | Beschreibung
Drucker wählen | Diese Funktion öffnet einen Dialog, in dem der Benutzer Drucker für die verschiedenen Druckaufgaben auswählen kann. Hinweis: Diese Funktion steht für CE Geräte nicht zur Verfügung.
Last-Management starten |
Last-Management stoppen |
Erweiterter Trend Diagramm drucken | Mithilfe dieser Funktion können Sie Diagramme des Erweiterten Trends ausdrucken oder in einer Datei (JPG oder BMP) speichern, ohne dass Sie das Bild vom Typ Erweiterter Trend aufschalten müssen.
Farbpalette umschalten | Erstellt eine Funktion, um zur Runtime zwischen Farbpaletten umzuschalten.
Funktionen bei Grenzwerten aktiv | Diese Funktion schaltet die Funktionsverwaltung ein. Automatisch ausgeführte Funktionen (z.B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden ausgeführt.
Funktionen bei Grenzwerten aktiv/inaktiv | Diese Funktion schaltet die Funktionsverwaltung ein oder aus. Automatisch ausgeführte Funktionen (z.B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden (nicht) ausgeführt.
Funktionen bei Grenzwerten inaktiv | Diese Funktion schaltet die Funktionsverwaltung aus. Automatisch ausgeführte Funktionen (z.B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden nicht ausgeführt.
Hilfe aufrufen | Diese Funktion öffnet eine ausgewählte Hilfeseite aus einer CHM-Datei.
Nachladen | Diese Funktion lädt im Editor geänderte Runtime-Dateien nach.
Rechtsklick simulieren | Diese Funktion interpretiert den nächsten Mausklick als einen Rechtsklick.
Remanentdaten speichern | Erlaubt das Speichern der Daten für die konfigurierten Module. Zur Auswahl stehen: AML-Ringpuffer, CEL-Ringpuffer, System Treiber und Mathematik Treiber, Intern Treiber, Remanentabbilder aller Treiber und Sperrung der Befehlsgabe.
Runtime beenden | Diese Funktion beendet die Runtime des Leitsystems.
SAP-Funktion ausführen | Führt eine im SAP Interface definierte SAP Funktion zur Laufzeit aus. Die SAP Funktion wiederum triggert im SAP System wiederum einen Remote Function Call (RFC)
Sprachumschaltung | Diese Funktion schaltet in mehrsprachigen Projekten auf eine ausgewählte Sprache um.

Noch in diesem Kapitel

Drucker wählen

Funktionen bei Grenzwerten aktiv

Funktionen bei Grenzwerten inaktiv

Funktion bei Grenzwerten aktiv/inaktiv

Nachladen

Programm verlassen

Rechtsklick simulieren

Remanentdaten speichern


Drucker wählen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Drucker wählen

Die Drucker für die verschiedenen Listen werden grundsätzlich in der Allgemeinen Konfiguration festgelegt.

Mit der Verwendung dieser Funktion kann im Onlinebetrieb die Druckerauswahl geändert werden. Diese Funktion benötigt keine Parameter.

Die Einstellungen der Drucker erfolgen wie im Kapitel Konfiguration/Standard/Drucker beschrieben.


Funktionen bei Grenzwerten aktiv

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Funktionen bei Grenzwerten aktiv

Mit dieser Funktion wird die Verwaltung von Grenzwertfunktionen zur Runtime aktiv geschaltet.


Funktionen bei Grenzwerten inaktiv

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Funktionen bei Grenzwerten inaktiv

Mit dieser Funktion wird die Verwaltung von Grenzwertfunktionen zur Runtime inaktiv geschaltet.


Funktion bei Grenzwerten aktiv/inaktiv

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Funktion bei Grenzwerten aktiv/inaktiv

Mit dieser Funktion werden Grenzwertfunktionen zur Runtime zwischen den beiden Zuständen 0 und 1 umgeschaltet. Der in der Datei zenon6.ini gespeicherte Zustand wird beim Starten der Runtime eingelesen:

[FUNKTIONEN]

EIN=0 -> inaktiv

EIN=1 -> aktiv


Nachladen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Nachladen

Diese Funktion lädt geänderte Runtime-Dateien, ohne dass die Runtime dafür beendet werden muss.

info Info

Das Nachladen eines Projekts übernimmt alle geänderten projektspezifischen Einstellungen in die laufende zenon Runtime. Ausgenommen davon sind Netzwerkkonfigurationen in der Eigenschaftengruppe Netzwerk, wie Netz aktiv, Dominanz, Server1, Server2,...

Änderungen, welche sich auf die komplette zenon Runtime auswirken, erfordern einen Neustart der zenon Runtime.

Dies gilt beispielsweise für Änderungen:

  • der Projekthierarchie
  • der Monitorverwaltung
  • des Aussehen des Hauptfensters
  • der Konfiguration des Message-Controls

attention Achtung

Bilddateien vom Typ PNG können nicht überschrieben werden, wenn sie aktuell in der Runtime angezeigt werden.

Hintergrund: Die Runtime sperrt geöffnete .png Dateien. Damit wird verhindert, dass diese überschrieben werden.

Lösung: Bevor der Remote-Transport angestoßen wird, muss sichergestellt sein, dass Bilder mit *.png Dateien:

  • nicht in der Runtime aufgeschaltet sind
  • nicht von einem anderen Programm benutzt werden

Dies gilt ebenso für das Nachladen der geänderten Runtime-Dateien. Der Runtime-Abgleich im Netzwerk schlägt für ein *.png Bild fehl, wenn dieses auf einem beteiligten zenon Rechner aufgeschalten ist (Standby Server, Client).

Nachladen durch System verzögert

Das Nachladen der Runtime wird vom System auf einen späteren Zeitpunkt verschoben, wenn:

  • der Benutzer ein Kontextmenü oder einen Dialog öffnet
  • eine Nachrichtenbox angezeigt wird

Das Nachladen wird in diesem Fall erst durchgeführt, wenn diese Elemente wieder geschlossen wurden.


Programm verlassen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Programm verlassen

Mit der Verwendung dieser Funktion wird die Runtime definiert heruntergefahren (Protokollierung in CEL, Schließen der Archive, Ausführung des Scriptes AUTOEND etc.).

Es sind keine Übergabeparameter notwendig.

attention Achtung
  • Der VBA Event project inactive wird vor AUTO_END_xxx Skripte ausgeführt. Daher wird in Skripten die zenon Funktion VBA-Makro ausführen dann nicht mehr ausgeführt, da VBA zu diesem Zeitpunkt nicht mehr läuft. VBA-Makros, die in "AUTO_END" ausgeführt werden sollen, müssen über Project.Inactive aufgerufen werden.
  • Zyklische Archive dürfen nicht im Skript AUTOEND angegeben werden.


Rechtsklick simulieren

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Rechtsklick simulieren

Beim Ausführen dieser Funktion in der Runtime wird der nächste Mausklick oder Antippen eines Touchscreens als Klick mit der rechten Maustaste interpretiert.

Diese Funktion dient dazu, auch auf Touchscreens etwa Kontextmenüs zugänglich zu machen.

Es sind keine Übergabeparameter notwendig.


Remanentdaten speichern

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Anwendung - Funktionen > Remanentdaten speichern

Die Funktion Remanentdaten speichern ermöglicht es, zur Runtime jederzeit Remanentdaten zu speichern. Die Funktion kann importiert und exportiert werden. Um die Funktion zu konfigurieren:

  1. wählen Sie Funktion neu
  2. navigieren Sie zum Knoten Anwendung
  3. wählen Sie Remanentdaten speichern
  4. der Dialog zur Auswahl der Module öffnet sich

Modul | Beschreibung
AML-Ringpuffer | Aktiv: AML-Ringpuffer wird gespeichert.
CEL-Ringpuffer | Aktiv: CEL-Ringpuffer wird gespeichert.
System Treiber und Mathematik Treiber | Aktiv: Daten des System Treibers und des Mathematik Treibers werden gespeichert.
Intern Treiber | Aktiv: Daten des Intern Treibers werden gespeichert.
Remanentabbilder aller Treiber | Aktiv: Daten aller Treiber werden gespeichert.
Sperrung der Befehlsgabe | Aktiv: Daten der Sperrung der Befehlsgabe werden gespeichert.

Falls beim Speichern Fehler auftreten, werden diese im Fehlerprotokoll gespeichert.

info Info

Wenn die Runtime im Simulationsmodus läuft (Projektsimulation aktiv), speichert die Funktion Remanentdaten speichern keine Werte von folgenden Treibern:

  • Intern Treiber
  • Mathematik Treiber
  • System Treiber


Windows - Funktionen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen

Funktionen, die im Betriebssystem etwas auslösen.

Parameter | Beschreibung
Audiodatei ausführen | Diese Funktion spielt eine ausgewählte Audiodatei (*.wav) einmalig ab.
Dateioperation | Diese Funktion kopiert, löscht oder verschiebt ausgewählte Dateien. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.
Dauerton Start | Diese Funktion spielt eine Audiodatei (*.wav) wiederholt ab.
Dauerton Stopp | Diese Funktion stoppt das wiederholte Abspielen einer Audiodatei (*.wav).
In den Hintergrund | Diese Funktion schaltet die Runtime des Leitsystems in den Hintergrund.
In den Vordergrund | Diese Funktion schaltet die zenon Runtime in den Vordergrund. Achtung: Beim in den Vordergrund Schalten wird die Alarmstatuszeile überdeckt.
Starte Programm | Diese Funktion startet ein externes Programm. Übergabeparameter können definiert werden. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Noch in diesem Kapitel

Audiodatei ausführen

Dateioperationen

Dauerton Start

Dauerton Ende

In den Hintergrund

In den Vordergrund

Starte Programm


Audiodatei ausführen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > Audiodatei ausführen

Mit der Verwendung dieser Funktion wird während der Runtime die angegebene Audiodatei (*.wav) mit jedem Funktionsaufruf einmal abgespielt. Als Übergabeparameter ist die Audiodatei anzugeben.


Dateioperationen

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > Dateioperationen

Mit der Verwendung dieser Funktion kann während der Runtime eine definierte Dateioperation (kopieren, verschieben und löschen) erfolgen.
Als Übergabeparameter sind die Dateioperation und die Dateiparameter anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske.

Hinweis: Das Kopieren oder Verschieben von mehrere Dateien mit gleichzeitiger Umbenennung der Dateierweiterung ist nicht möglich.

Projektierbare Dateioperationen:

Parameter | Beschreibung
Kopieren | Dateien von einem Namen und Pfad auf einen neuen Namen und Zielpfad kopieren. Übergabeparameter werden beachtet.
Verschieben | Dateien von einem Namen und Pfad auf einen neuen Namen und Zielpfad verschieben und danach im Quellpfad löschen. Übergabeparameter werden beachtet.
Löschen | Dateien löschen. Übergabeparameter werden beachtet. Achtung: Dateien werden nicht im Windows Papierkorb abgelegt, sondern direkt und permanent gelöscht.

Wird die angegebene Quelle nicht gefunden (Datei oder Pfad ist nicht vorhanden oder fehlerhaft), wird die Funktion nicht ausgeführt. Standardmäßig wird keine Fehlermeldung angezeigt. Sie können optional über die Optionen eine Fehlermeldung erzwingen; dies wird aber nicht empfohlen, da damit die Runtime oder weitere Funktionsabarbeitungen eventuell blockiert werden.

Nach der Festlegung der Dateioperation sind weitere Optionen projektierbar.

Parameter

Beschreibung

Quelle/Ziel

Geben Sie den Pfad zu Quelle und Ziel an. Sie können dabei für Quelle und Ziel auch Wildcards (*) verwenden. (Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.)
Sie haben drei Möglichkeiten, den Pfad zu definieren:

  • absolut (Sie können zur Eingabe auch den Button '...' hinter dem Textfeld benutzen.
  • relativ zum Runtimeordner (Link: mehr zum Runtimeordner)
  • relativ zum Datenordner. (Link: mehr zum Datenordner).

Zum Beispiel:

absolut:
Quelle 'C:\temp\datenbank.mdb' nach Ziel 'D:\backup\' -> Die Datei 'datenbank.mdb' wird in den Ordner 'D:\backup\' kopiert. Damit das Kopieren funktioniert, muss der Zielordner bereits existieren und er muss unbedingt mit einem Backslash abgeschlossen werden.

relativ:
Relativ zum Datenordner: '*.aml' nach Ziel 'D:\backup\' kopiert alle Dateien der Alarmmeldeliste in den Ordner 'D:\backup\'.

Dateien umbenennen:
Das Umbenennen einzelner Dateien ist möglich. Zum Beispiel kopiert 'C:\temp\datenbank.mdb' nach Ziel 'D:\backup\backupdb.mdb' die Datei 'datenbank.mdb' in den Ordner 'D:\backup\' und benennt sie dabei in 'backupdb.mdb' um.

Das Umbenennen mehrerer Dateien gleichzeitig über Wildcards ist nicht möglich.

Unterordner berücksichtigen

Sucht Dateien auch in Unterordnern des Quellpfades und erstellt dessen Baumstruktur auch im Zielverzeichnis.

Achtung: In Verbindung mit der Option Löschen werden Dateien und Ordner nicht im Windows Papierkorb abgelegt, sondern direkt und permanent gelöscht.

Existierende Dateien überschreiben

Existiert die Quelldatei bereits im Zielverzeichnis, wird sie mit der aktuellen Datei überschrieben.

Fehlermeldungen anzeigen

Ist Kopieren oder Verschieben nicht möglich, wird eine Fehlermeldung als Systemmeldung ausgegeben. Aktivierung dieser Option wird nicht empfohlen, da damit die Runtime oder weitere Funktionsabarbeitungen eventuell blockiert werden.

Diesen Dialog zur RT anbieten

Im Onlinebetrieb wird vor der Ausführung der Funktion eine Dialogmaske aufgeschaltet, in der die Parameter angepasst werden können (Dateioperation, Quelle, Ziel etc.). Die geänderten Einstellungen bleiben während der Runtime des Onlinebetriebes erhalten. In dieser Dialogmaske fehlt die Option mit Dialogbox vor der Ausführung.

Nur ausführen, wenn Datei(en)

Dateioperation wird nur bei definiertem Zeitkriterium ausgeführt (Tage, Stunden).

älter als

Die Datei muss älter sein als der angegebene Zeitraum. Dabei bedeutet '1 Tag' immer 24 Stunden ab Ausführungszeitpunkt.

jünger als

Die Datei muss jünger sein als der angegebene Zeitraum. Dabei bedeutet '1 Tag' immer 24 Stunden ab Ausführungszeitpunkt.
Hinweis: 'älter als' muss größer sein als 'jünger als'.


Dauerton Start

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > Dauerton Start

Mit der Verwendung dieser Funktion wird während der Runtime die angegebene Audiodatei (*.wav) mit einem Funktionsaufruf immer wieder abgespielt bis die Funktion Dauerton Stopp ausgeführt wird. Als Übergabeparameter ist die Audiodatei anzugeben.


Dauerton Ende

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > Dauerton Ende

Diese Funktion beendet das wiederholte Abspielen einer Audiodatei (*.wav), welche mit der Funktion Dauerton Start angestoßen wurde.


In den Hintergrund

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > In den Hintergrund

Mit der Verwendung dieser Funktion wird während der Runtime die Darstellung von zenon in den Hintergrund geschaltet. Der Eintrag SYSKEY in der Datei project.ini wird nicht berücksichtigt. Die Anwahl anderer Applikationen (Programmanager) ist möglich.

[DEFAULT] |
... |
SYSKEY= | 0 - Systemtasten aktiv
 | 1 - Systemtasten gesperrt (default)

Es sind keine Übergabeparameter notwendig.


In den Vordergrund

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > In den Vordergrund

Mit der Verwendung dieser Funktion wird während der Runtime die Darstellung von zenon in den Vordergrund geschaltet. Alle anderen Applikationen werden in den Hintergrund geschaltet (Ausnahme: Applikationen mit der Einstellung Immer im Vordergrund). Der Eintrag SYSKEY in der Datei project.ini wird berücksichtigt.

Eintrag

Bedeutung

[DEFAULT]

SYSKEY=

Sperre oder Aktivierung der Systemtasten:

  • 0: Systemtasten aktiv
  • 1: Systemtasten gesperrt (Default)

Es sind keine Übergabeparameter notwendig.

info Info

Beim in den Vordergrund Schalten der Runtime mit der Funktion In den Vordergrund wird das Runtime-Fenster als oberstes Fenster definiert.

Beachten Sie folgende Sonderfälle:

  • Das Keyboard DIALOGKBD kann in dieser Situation nicht aufgeschaltet werden.
    Andere Keyboards können verwendet werden.
  • Die Alarmstatuszeile wird vom Runtime-Fenster überdeckt.

Um die Alarmstatuszeile wieder in den Vordergrund zu holen, haben Sie folgende Möglichkeiten:

  • Aktivieren Sie die Systemtasten (Projekteigenschaft Systemtasten sperren deaktivieren) und holen Sie die Alarmstatuszeile mit Alt+Tab wieder in den Vordergrund.
  • Aktivieren Sie die Windows Taskbar und klicken Sie auf das Fenster Status.
  • Schalten Sie die Runtime wieder in den Hintergrund.
  • Starten Sie die Runtime neu.

Hinweis: Die Funktion In den Vordergrund ist nicht identisch mit der Funktion Schablone in den Vordergrund holen!


Starte Programm

Handbuch > Funktionen und Skripte > Funktionen > Systemfunktionen > Windows - Funktionen > Starte Programm

Mit der Verwendung dieser Funktion kann während der Runtime ein anderes Programm (*.EXE) gestartet werden. Beim Funktionsaufruf können Übergabeparameter für das zu startenden Programm mit angegeben werden.

Als Übergabeparameter ist die Programmdatei (*.EXE) anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske.

Projektierbare Eigenschaften sind:

Parameter | Beschreibung
Name | Name der auszuführenden Datei; Suche und Auswahl über Schaltfläche möglich
Parameter | Übergabeparameter zum Programm
diesen Dialog zur Runtime anbieten | Programm und Parameter im Onlinebetrieb beim Funktionsaufruf ändern

Die Auswahl des Programms erfolgt über eine Dialogmaske.

Für den Start des Programmes muss es in einem Suchpfad (Systemumgebung unter Windows NT) vorhanden sein. Benutzerdefinierte Programme (Visual-Basic) sollten im zenon Installationspfad abgelegt werden.

Bei aufgeschalteter Alarmmeldeliste und ausgewähltem Alarm in der Liste kann dem Programmaufruf der Namen der Variablen als Parameter (für externe Datenbankinformationssysteme) übergeben werden. Der Parameter wird als Schlüsselwort übergeben.

Parameter | Beschreibung
@alarm.name | Name der Variablen
@alarm.unit | Einheit der verknüpften Variablen
@alarm.value | Wert, der den Eintrag ausgelöst
@alarm.stext | entsprechender Grenzwerttext
@alarm.ctime | Zeit kommt (Wert in Sekunden seit 1.1.1970)
@alarm.ctimemilli | dazugehörenden Millisekunden
@alarm.gtime | Zeit geht
@alarm.gtimemilli | dazugehörenden Millisekunden
@alarm.qtime | Zeit quittiert
@alarm.user | Benutzer, der quittiert hat
@alarm.identification | Kennung der Variablen

Ist keine Alarmmeldeliste aufgeschaltet, mehrere oder kein Alarm in der Liste ausgewählt, wird kein Übergabeparameter übergeben. Sind mehrere Alarmmeldelisten aufgeschaltet (globale und selektive Liste), wird der ausgewählte Eintrag der 1. gefundenen Liste verwendet.

Bei aufgeschalteter Chronologischer Ereignisliste und ausgewähltem Eintrag in der Liste kann dem Programmaufruf der Namen der Variablen als Parameter (für externe Datenbankinformationssysteme) übergeben werden. Der Parameter wird als Schlüsselwort übergeben.

Parameter | Beschreibung
@cel.name | Name der Variablen
@cel.unit | Einheit der verknüpften Variablen (nur wenn Variable verknüpft ist)
@cel.value | Wert, der den Eintrag ausgelöst hat (nur wenn über Grenzwertverletzung ausgelöst)
@cel.stext | entsprechender Grenzwerttext
@cel.ctime | Zeit kommt (Wert in Sekunden seit 1.1.1970)
@cel.ctimemilli | dazugehörenden Millisekunden
@cel.user | Benutzer, der quittiert hat
@cel.identification | Kennung der Variable

Ist keine Chronologische Ereignisliste aufgeschaltet, mehrere oder kein Eintrag in der Liste ausgewählt, wird kein Übergabeparameter übergeben. Sind mehrere Chronologische Ereignislisten aufgeschaltet (globale und selektive Liste), wird der ausgewählte Eintrag der 1. gefundenen Liste verwendet.

Weitere mögliche Übergabeparameter sind:

@picture

Bild, aus dem heraus die Funktion aufgerufen wurde

Bei der Verwendung dieser Funktion sind die Rückwirkungen der gestarteten Programme auf das Gesamtsystem zu berücksichtigen (benötigte Ressourcen, Multitasking, Programmsicherheit etc.).


Funktionen im Netzwerk

Handbuch > Funktionen und Skripte > Funktionen > Funktionen im Netzwerk

Wenn Funktionen im Netzwerk eingesetzt werden, muss deren Ausführungsort beachtet werden:

Bei Funktionen, die im Netzwerk eingesetzt werden:

  • kann der Ausführungsort in manchen Fällen frei konfiguriert werden
  • ist der Ausführungsort in manchen Fällen fest vorgegeben

info Info

Skripte bündeln mehrere Funktionen. Der Ausführungsort hängt dann ab von den Einstellungen der Funktion Skript ausführen. Diese Einstellung überschreibt die Einstellungen der einzelnen Funktionen.

Ausführungsort konfigurieren

Bei Funktionen, deren Ausführungsort frei konfiguriert werden kann, stehen bei den Eigenschaften der Funktion entsprechende Parameter zur Verfügung.

Um den Ausführungsort zu definieren:

  1. Navigieren Sie in den Eigenschaften der Funktion zur Gruppe Ausführung.
  2. Wählen Sie den gewünschten Ausführungsort durch Aktivierung der Checkbox aus. Mehrfachauswahl ist möglich:
    • Aktueller Rechner: Funktion wird auf dem aktuellen Rechner ausgeführt.
    • Prozessführender Server: Funktion wird auf dem Prozessführenden Server ausgeführt.
    • Standby Server: Funktion wird auf dem Standby Server ausgeführt
    • Client: Funktion wird auf allen Clients ausgeführt.

Übersicht Funktionen im Netzwerk

Die folgende Tabelle zeigt, welche Funktionen wo ausgeführt werden.

Legende:

  • Einstellbar: Verhalten kann konfiguriert werden

    +: Ja

    -: Nein

    O: Default

  • Wenn nicht einstellbar, kennzeichnet O den Ausführungsort:
    • Aktiver Rechner
    • Prozessführender Server
    • Standby Server
    • Client

Funktion | Einstellbar | Aktueller Rechner | Prozessführender Server | Standby Server | Client
AML und CEL |  |  |  |  |
Alarme Blink-Quittierung | - | O |  |  |
Alarme löschen | - |  | O | O |
Alarme quittieren | - |  | O | O |
Alarm/Ereignis-Gruppe abmelden/anmelden | - | O |  |  |
Alarmmeldeliste/Alarm/Ereignis-Gruppen/Alarm/Ereignis-Klassen aktivieren/deaktivieren | - |  | O | O |
Alarmmeldeliste aktiv | - |  | O |  |
Alarmmeldeliste aktiv/inaktiv | - |  | O |  |
Alarmmeldeliste inaktiv | - |  | O |  |
AML exportieren | + | O |  |  |
AML- und CEL-Ringpuffer speichern | - |  | O | O |
CEL exportieren | + | O |  |  |
Drucken AML oder CEL | + | O |  |  |
IPA-Dokument erzeugen/drucken | - |  | O |  |
Online-Drucken ein/ausschalten | - |  | O | O |
Online-Drucken neue Seite beginnen | + | O |  |  |
Online-Drucker umschalten | - |  | O |  |
Anwendung |  |  |  |  |
Drucker wählen | + | O |  |  |
Last-Management starten | - |  | O |  |
Last-Management stoppen | - |  | O |  |
Erweiterter Trend Diagramm drucken | + | O |  |  |
Farbpalette umschalten | + | O |  |  |
Funktionen bei Grenzwerten aktiv | - |  | O | O |
Funktionen bei Grenzwerten aktiv/inaktiv | - |  | O | O |
Funktionen bei Grenzwerten inaktiv | - |  | O | O |
Hilfe aufrufen | + | O |  |  |
Nachladen | + | O |  |  |
Offene Wartungen ermitteln | - |  | O |  |
PFS - benutzerdefiniertes Ereignis anstoßen | + | O |  |  |
Projektsimulation aktivieren/deaktivieren | - | O |  |  |
Rechtsklick simulieren | + | O |  |  |
Remanentdaten speichern | + | O |  |  |
Runtime beenden | + | O |  |  |
S7-Graph Heuristik auswerten | + | O |  |  |
SAP-Funktion ausführen | + | O |  |  |
Sprachumschaltung | + | O |  |  |
Topologie - Erdschlusssuche | - |  | O |  |
Topologie - LoadShedding | - |  | O |  |
Archivserver |  |  |  |  |
Archiv beenden | - |  | O | O |
Archiv indizieren | - |  | O |  |
Archiv starten | - |  | O | O |
Archive exportieren | - | O |  |  |
Offene Archive anzeigen | - |  | O | O |
Benutzerverwaltung |  |  |  |  |
Benutzer ändern | + | O |  |  |
Login mit Dialog | + | O |  |  |
Login ohne Passwort | + | O |  |  |
Logout | + | O |  |  |
Passwort ändern | - | O |  |  |
Bilder |  |  |  |  |
ALC-Quellfarbe ändern | + | O |  |  |
Bild indiziert | - | O |  |  |
Bild schließen | + | O |  |  |
Bild zurück | - | O |  |  |
Bildmittelpunkt verschieben | + | O |  |  |
Bildumschaltung | + | O |  |  |
Eingabe auf Element mit Fokus aktivieren | + | O |  |  |
Fokus auf Schablone setzen | + | O |  |  |
Fokus verschieben | - | O |  |  |
Fokus von Schablone nehmen | + | O |  |  |
Menü anzeigen | + | O |  |  |
Bildschirm zuordnen | + | O |  |  |
Runtimeprofile | + | O |  |  |
Schablone schließen | + | O |  |  |
Sollwertvorgabe für Keyboard-Bild | - | O |  |  |
Übersichtsfenster anzeigen | + | O |  |  |
Fehlerortung in elektrischen Netzen |  |  |  |  |
Erdschlussmeldung quittieren | + | O |  |  |
Erdschlusssuche beenden | + | O |  |  |
Erdschlusssuche starten | + | O |  |  |
Kurzschlussmeldung quittieren | + | O |  |  |
Message Control |  |  |  |  |
Aktuelle Warteschlange speichern | - |  | O |
Gruppen/Klassen/Bereiche/ Anlagen unterdrücken | - |  | O |  |
Sende Nachricht | - |  | O |  |
Sende Nachricht aktivieren | - |  | O |  |
Sende Nachricht deaktivieren | - |  | O |  |
Netzwerk |  |  |  |  |
Bedienberechtigung im Netz | + | O |  |  |
Redundanz Umschaltung | - |  |  | O |
Report Generator |  |  |  |  |
Drucken Report | + |  |  |  |
Report ausführen | + |  |  |  |
Report exportieren | + |  |  |  |
Rezepte |  |  |  |  |
Rezeptgruppen-Manager | - | O |  |  |
Standard-Rezept | - | O |  |  |
Standard-Rezept einzeln direkt | + | O |  |  |
Standard-Rezept einzeln mit Auswahl | - | O |  |  |
Standard-Rezept einzeln mit Online-Auswahl | - | O |  |  |
Skript |  |  |  |  |
Skript ausführen | + | O |  |  |
Skript mit Online-Auswahl | + | O |  |  |
Variable |  |  |  |  |
Daten exportieren | - |  | O |  |
dBase Datei lesen | + | O |  |  |
Drucken Momentanwerte | + | O |  |  |
Einheitenumschaltung | + | O |  |  |
HD-Verwaltung aktiv | - |  | O | O |
HD-Verwaltung inaktiv | - |  | O | O |
HD-Verwaltung inaktiv/active | - |  | O | O |
Sollwert absetzen | - |  | O |  |
Treiberkommandos | - | O |  |  |
Treiber Simulationsabbild an Standby übertragen | - |  |  | O |
Uhrzeit auf Variable schreiben | + | O |  |  |
Uhrzeit von Variable lesen | + | O |  |  |
VBA |  |  |  |  |
PCE-Editor öffnen | - |  | O |  |
VBA-Editor öffnen | + | O |  |  |
VBA-Makro ausführen | + | O |  |  |
VBA-Makro Dialog Anzeigen | + | O |  |  |
VSTA |  |  |  |  |
VSTA-Editor öffnen | + | O |  |  |
VSTA-Marko ausführen | + | O |  |  |
VSTA-Makro Dialog anzeigen | + | O |  |  |
Windows |  |  |  |  |
Audiodatei ausführen | + | O |  |  |
Dateioperation | + | O |  |  |
Dauerton Start | + | O |  |  |
Dauerton Stopp | + | O |  |  |
In den Hintergrund | - | O |  |  |
In den Vordergrund | - | O |  |  |
Screenshot drucken | + | O |  |  |
Starte Programm | + | O |  |  |


Ausführungsreihenfolge während der Runtime

Handbuch > Funktionen und Skripte > Funktionen > Ausführungsreihenfolge während der Runtime

Die Ausführung von Funktionen in der Runtime geschieht in 3 Prioritätsstufen:

  • Priorität 1: Immediate (wird sofort ausgeführt)
  • Priorität 2: High (vor Ausführung wird ein Dialog aufgeschaltet)
  • Priorität 3: Low

Wird für eine Funktion mit der Priorität 1 vor der Ausführung ein Dialog aufgeschaltet, wird die Priorität auf 2 heruntergestuft.

Innerhalb eine Projektes werden alle Funktionen eines Skripts in dieselbe Warteschlange eingereiht. Im Skript werden alle Funktionen in einer Prioritätsebene ausgeführt. Das garantiert, dass die Funktionen hintereinander ausgeführt werden.

Example Beispiel

Über ein Skript wird über die Funktion Bildumschaltung eine Bildanordnung von Bildern verschiedener Projekte aktiviert, die von der Reihenfolge der Ausführung abhängt (Bilder liegen über anderen Bildern).

Priorität der Ausführung zur Runtime

Funktionsgruppen

Funktionen

Priorität

AML und CEL

Steuerung der Alarm- und CEL-Verwaltung

Alarme Blink-Quittierung

1

Alarmquittierung bestätigen

1

Alarme quittieren

1

Alarm/Ereignis-Gruppe abmelden/anmelden

1

Alarmmeldeliste aktiv

1

Alarmmeldeliste aktiv/inaktiv

1

Alarmmeldeliste inaktiv

1

  • Alarmmeldeliste, Alarm/Ereignis-Gruppen, Alarm/Ereignis-Klassen aktivieren/deaktivieren

1

  • AML- und CEL-Ringpuffer speichern

1

  • Drucken AML oder CEL

3

  • Exportieren Alarme

2

  • Exportieren CEL

2

  • IPA-Dokument erzeugen/drucken

1

  • Online-Drucken ein/ausschalten

1

  • Online-Drucken neue Seite beginnen

?

  • Online-Drucker umschalten

3

Anwendung

Anwendungen aufrufen

  • Drucker wählen

3

  • Erweiterter Trend Diagramm drucken

1

  • Farbpalette umschalten

2

  • Funktionen bei Grenzwerten inaktiv/aktiv

1

  • Funktionen bei Grenzwerten aktiv

1

  • Funktionen bei Grenzwerten inaktiv

1

  • Hilfe aufrufen

3

  • Nachladen

1

  • Offene Wartungen ermitteln

3

  • PFS-Ereignis anstoßen

1

  • Programm verlassen

3

  • Rechtsklick simulieren

3

  • Remanentdaten speichern

1

  • S7-Graph Heuristik auswerten

1

  • Simulation ein/ausschalten

1

  • Sprachumschaltung

2

Archivserver

Steuerung der Archive

1

  • Archiv beenden

1

  • Archiv indizieren

1

  • Archiv starten

1

  • Archive aktive

2

  • Export Archive

1

Benutzerverwaltung

Benutzerverwaltung

Benutzer ändern

3

Login mit Dialog

2

Login ohne Passwort

2

Logout

2

Passwort ändern

2

Bilder

Bilder wählen und steuern

ALC-Quellenfarbe ändern

1

Bild indiziert

1

Bild schließen

2

Bild zurück

1

Bildmittelpunkt verschieben

1

Bildumschaltung

1

Eingabe auf Element mit Fokus aktivieren

1

Fokus auf Schablone setzen

1

Fokus verschieben

1

Fokus von Schablone nehmen

1

Menü anzeigen

1

Bildschirm zuordnen

1

Runtimeprofile

1

Schablone schließen

1

Übersichtsfenster anzeigen

1

Fehlerortung in elektrischen Netzen

Erdschlussmeldung quittieren

1

Erdschlusssuche beenden

1

Erdschlusssuche starten

1

Kurzschlussmeldung quittieren

1

Message Control

Versenden von Nachrichten (Message Control)

Aktuelle Warteschlange speichern

1

Gruppen/Klassen/Bereiche/Anlagen unterdrücken

1

Sende Nachricht

1

Sende Nachricht aktivieren

1

Sende Nachricht deaktivieren

1

Netzwerk

Netzwerkfunktion

Bedienberechtigung im Netzwerk

1

Redundanz-Umschaltung

1

Report - Generator

Funktionen für Reports

  • Report Generator: druckenDrucken Report

2

  • Exportieren Report

2

  • Report ausführen

2

Rezepte

Steuerungen der Rezepte

  • Rezeptgruppen-Manager

2

  • Standard-Rezept

2

  • Standard-Rezept einzeln direkt

2

  • Standard-Rezept einzeln mit Auswahl

2

  • Standard-Rezept einzeln mit Online-Auswahl

2

Skript

Funktionsblöcke (Skripte) ausführen

  • Skript ausführen

1

  • Skript mit Online-Auswahl

2

Variable

Funktionen für Variablen

  • Daten- exportieren

3

  • dBase Datei lesen

2

  • Drucken Momentanwerte

2

  • Einheitenumschaltung

2

  • HD-Verwaltung aktiv

1

  • HD-Verwaltung inaktiv

1

  • HD-Verwaltung inaktiv/aktiv

1

  • Sollwert absetzen

1

  • Treiber Kommandos

2

  • Treiber Simulationsabbild an Standby übertragen

1

  • Uhrzeit auf Variable schreiben

1

  • Uhrzeit von Variable lesen

1

VBA

VBA-Funktionen

  • PCE-Editor öffnen

3

  • VBA-Editor öffnen

3

  • VBA-Makro ausführen

3

  • VBA-Makro Dialog anzeigen

3

VSTA

VSTA Funktionen

  • VSTA-Editor öffnen

3

  • VSTA-Makro ausführen

3

  • VSTA-Makro Dialog anzeigen

3

Windows

  • Audiodatei ausführen

2

  • Dateioperation

3

  • Dauerton Start

1

  • Dauerton Stopp

1

  • In den Hintergrund

2

  • In den Vordergrund

2

  • Screenshot drucken

2

  • Starte Programm

2


Skripte

Handbuch > Funktionen und Skripte > Skripte

Skripte fassen mehrere Funktionen zusammen, um diese zur Runtime in einer Abfolge auszuführen. zenon stellt auch einige vordefinierte Skripte bereit.

Skripte werden projektiert oder ausgewählt über:

  • den Knoten Skripte
  • den Dialog Funktionen und Skripte auswählen

Noch in diesem Kapitel

Kontextmenü und Symbolleiste Skripte

Projektieren im Editor

Vordefinierte Skripte

Skripte zur Runtime ausführen

Priorität im Netzwerk


Kontextmenü und Symbolleiste Skripte

Handbuch > Funktionen und Skripte > Skripte > Kontextmenü und Symbolleiste Skripte

Kontextmenü Projektmanager

Menüpunkt | Aktion
Skript neu | Legt ein neues Skript an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste Skripte Detailansicht

Symbol

Beschreibung

Skript neu

Fügt ein neues Skript zur Liste hinzu.

Funktionen hinzufügen

Öffnet den Dialog zum Hinzufügen von Funktionen.

Skriptverwendung

Öffnet die Projektanalyse im Hauptfenster und zeigt die Elemente an, mit denen das ausgewählte Skript verwendet wird.

Nicht verwendete Skripte anzeigen

Öffnet die Projektanalyse im Hauptfenster und zeigt nicht verwendete Skripte an.

Kopieren

Kopiert das ausgewählte Skript oder die ausgewählte Funktion in die Windows Zwischenablage.

Einfügen

Fügt in die Windows Zwischenablage kopiertes Element ein.

Löschen

Löscht das ausgewählte Skript oder entfernt die ausgewählte Funktion aus dem Skript.

Erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Auswahl als XML exportieren...

Exportiert ausgewählte Einträge in eine XML-Datei.

XML importieren

Importiert Elemente aus einer XML-Datei.

Ausgewählte Zelle bearbeiten

Erlaubt das Ändern des Skript-Namens. Auch per Mausklick in das Feld oder über F2-Taste möglich.

Eigenschaften

Öffnet das Fenster Eigenschaften.

Hilfe

Öffnet die Online-Hilfe.

Kontextmenü ausgewähltes Skript

Parameter

Beschreibung

Funktionen hinzufügen

Öffnet den Dialog zum Hinzufügen von Funktionen.

Skript neu

Fügt ein neues Skript zur Liste hinzu.

Standardfunktion erzeugen

Erzeugt automatisch eine Standardfunktion für das ausgewählte Skript.

Skriptverwendung

Öffnet die Projektanalyse im Hauptfenster und zeigt die Elemente an, mit denen das ausgewählte Skript verwendet wird.

Nicht verwendete Skripte anzeigen

Öffnet die Projektanalyse im Hauptfenster und zeigt nicht verwendete Skripte an.

Kopieren

Kopiert das ausgewählte Skript oder die ausgewählte Funktion in die Windows Zwischenablage.

Einfügen

Fügt in die Windows Zwischenablage kopiertes Element ein.

Löschen

Löscht das ausgewählte Skript oder entfernt die ausgewählte Funktion aus dem Skript.

Knoten erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Auswahl als XML exportieren...

Exportiert ausgewählte Einträge in eine XML-Datei.

XML importieren

Importiert Elemente aus einer XML-Datei.

Ausgewählte Zelle bearbeiten

Erlaubt das Ändern des Skript-Namens. Auch per Mausklick in das Feld oder über F2-Taste möglich.

Eigenschaften

Öffnet das Fenster Eigenschaften.

Hilfe

Öffnet die Online-Hilfe.


Projektieren im Editor

Handbuch > Funktionen und Skripte > Skripte > Projektieren im Editor

Um Skripte zu projektieren oder zu bearbeiten, klicken Sie im Projektbaum auf den im Knoten Funktionen befindlichen Knoten Skripte und wählen Sie in der Symbolleiste oder im Kontextmenü die gewünschte Aktion.

info Info

Beim Ändern von Skriptnamen werden die Parameter der verbundenen Funktionen entsprechend geändert. Bei Mehrplatzfähigen Projekten werden Funktionen nach einer Kontrollabfrage (Änderungen Ermöglichen) automatisch angepasst. Nach erfolgreicher Änderung wird das Skript geändert.

Skript projektieren

Um ein neues Skript zu projektieren:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste Skript neu.
  2. Ein neues Skript wird der Liste hinzugefügt.
  3. Vergeben Sie einen Namen oder wählen Sie ein vordefiniertes Skript aus der Dropdownliste.
    Hinweis: Name darf nicht leer sein.
  4. Fügen Sie Funktionen hinzu und sortieren Sie diese.
    Funktionen werden in der Reihenfolge ihrer Projektierung ausgeführt.
  5. Erstellen Sie eine Funktion zum Starten des Skripts zur Runtime.

Funktionen hinzufügen und reihen

Sie können neue Funktionen per Befehl zu einem Skript hinzufügen oder bereits verknüpfte Funktionen per Drag&Drop hinzufügen oder umreihen.

Funktion neu

Um eine Funktion zu einem Skript per Befehl hinzuzufügen:

  1. Wählen Sie im Kontextmenü oder in der Symbolleiste Funktionen hinzufügen.
  2. Der Dialog zur Auswahl einer oder mehrerer Funktion wird geöffnet.
  3. Wählen Sie die gewünschten Funktionen und schließen Sie den Dialog mit Klick auf OK.
  4. Die Funktionen werden am Ende der Liste bereits existierender Funktionen angefügt.

Drag&Drop-Aktionen

Um eine Funktion zu einem Skript per Drag&Drop hinzuzufügen:

  1. Wählen Sie die gewünschte Funktion aus einem Skript.
  2. Ziehen Sie die Funktionen an die gewünschte Stelle:
    • Innerhalb des Quell-Skripts: Die Funktion wird umgereiht.
      Tipp: Wird beim Drag&Drop die Umschalt-Taste gehalten, wird die Funktion kopiert.
    • In einem anderen Skript: Die Funktion wird in das Ziel-Skript kopiert.
      Ist der Knoten des Skripts geschlossen, dann wird die Funktion am Ende eingefügt.
      Ist der Knoten geöffnet, dann wird die Funktion an der angezeigten Stelle eingefügt.
      Tipp: Wird beim Drag&Drop die Umschalt-Taste gehalten, wird die Funktion im Quell-Skript gelöscht.


Vordefinierte Skripte

Handbuch > Funktionen und Skripte > Skripte > Vordefinierte Skripte

zenon stellt eine Reihe vordefinierter Skripte zur Verfügung. Vordefiniert ist das Verhalten dieser Skripte zur Runtime. Die auszuführenden Funktionen müssen individuell projektiert werden.

Skript

Beschreibung

AUTOSTART

Im Skript werden die Startinformationen (z. B. Kopfzeile und Statuszeile aufschalten, Alarmausgänge rücksetzen etc.) projektiert.

Das Skript wird beim Start der Runtime automatisch nach dem Aufschalten des Startbildes ausgeführt, wenn das Projekt das Runtime-Startprojekt ist. Das Skript wird nicht ausgeführt, wenn das Projekt nicht als Startprojekt definiert ist oder wenn es sich um ein Unterprojekt in einem Multihierarchischen Netzwerk handelt.

Achtung: Das Startbild darf nicht im Skript AUTOSTART aufgerufen werden, da es über die Projekteigenschaft Startbild festgelegt wird.

Für das Aufschalten der zu einem Hauptbild gehörigen Teilbilder, wie bildspezifische Menüzeilen etc., wird ein eigenes Skript definiert. Damit wird sichergestellt, dass durch die Anwahl des Bildes über die Funktion Bildumschaltung die Anwahl aus dem Bildkatalog oder die Funktion Bild zurück immer alle Detailbilder mit aufgeschaltet werden.

AUTOEND

Im Skript werden die definierten Ende-Funktionen projektiert.

Das Skript wird beim Beenden der Runtime automatisch ausgeführt, wenn das Projekt das Runtime-Startprojekt ist. Das Skript wird nicht ausgeführt, wenn das Projekt nicht als Startprojekt definiert ist oder wenn es sich um ein Unterprojekt in einem Multihierarchischen Netzwerk handelt.

Achtung:

  • Die Funktionen VBA-Makro ausführen und VSTA-Makro ausführen werden in AUTOEND Skripten nicht ausgeführt, da die API Schnittstelle zu diesem Zeitpunkt bereits terminiert wurde.
    Verwenden Sie das Project.Inactive Event in der API um die entsprechende Funktionalität vor dem Beenden der Runtime auszuführen.
  • Zyklische Archive dürfen nicht in das Skript AUTOEND eingebunden werden

AUTOSTART_CLIENT

Im Skript werden die Startinformationen (z. B. Kopfzeile und Statuszeile aufschalten, Alarmausgänge rücksetzen etc.) projektiert. Das Skript wird beim Runtimestart des Clients automatisch vor dem Aufschalten des Startbildes am Client ausgeführt, wenn das Projekt das Runtime-Startprojekt ist.

AUTOEND_CLIENT

Im Skript werden die definierten Ende-Funktionen projektiert.

Das Skript wird beim Beenden der Runtime des Clients automatisch am Client ausgeführt, wenn das Projekt das Runtime-Startprojekt ist.

Achtung:

  • Die Funktionen VBA-Makro ausführen und VSTA-Makro ausführen werden in AUTOEND Skripten nicht ausgeführt, da die API Schnittstelle zu diesem Zeitpunkt bereits terminiert wurde.
    Verwenden Sie das Project.Inactive Event in der API um die entsprechende Funktionalität vor dem Beenden der Runtime auszuführen.

AUTOSTART_SRVPRJ

Skript wird beim Runtimestart auf dem Rechner, der Server für das Projekt ist, automatisch vor dem Aufschalten des Startbildes ausgeführt, unabhängig davon, ob das Projekt als Startprojekt definiert wurde oder nicht oder wenn es sich um ein Unterprojekt in einem Multihierarchischen Netzwerk handelt.

AUTOEND_SRVPRJ

Skript wird beim Beenden der Runtime auf dem Rechner, der Server für das Projekt ist, automatisch ausgeführt, unabhängig davon, ob das Projekt als Startprojekt definiert wurde oder nicht oder wenn es sich um ein Unterprojekt in einem Multihierarchischen Netzwerk handelt.

Achtung:

  • Die Funktionen VBA-Makro ausführen und VSTA-Makro ausführen werden in AUTOEND Skripten nicht ausgeführt, da die API Schnittstelle zu diesem Zeitpunkt bereits terminiert wurde.
    Verwenden Sie das Project.Inactive Event in der API um die entsprechende Funktionalität vor dem Beenden der Runtime auszuführen.
  • Zyklische Archive dürfen nicht in das Skript AUTOEND eingebunden werden

Autostart_native_Webclient

Wird ausgeführt, wenn der zenon Web Client gestartet wird.
Darf nur bei zenon Web Clients ausgeführt werden.

Für die HTML Web Engine stehen folgende Skripte zur Verfügung, die automatisch ausgeführt werden:

Skript | Beschreibung
AUTOSTART_HTML_WEBCLIENT | Skript wird beim Sitzungsstart jedes HTML Web Client ausgeführt.

Für den Simulationsmodus stehen folgende Skripte zur Verfügung, die automatisch ausgeführt werden:

Skript | Beschreibung
AUTOSTART_SIMUL | Wenn die Runtime im Simulationsmodus startet, wird automatisch das Skript mit dem Namen AUTOSTART_SIMUL ausgeführt, wenn es vorhanden ist. Hinweis: Gilt auch für Wiedergabe-Modus des Moduls Prozess-Rekorder.
AUTOEND_SIMUL | Wenn die Runtime den Simulationsmodus beendet, wird automatisch das Skript mit dem Namen AUTOEND_SIMUL ausgeführt, wenn es vorhanden ist. Hinweis: Gilt auch für Wiedergabe-Modus des Moduls Prozess-Rekorder.


Skripte zur Runtime ausführen

Handbuch > Funktionen und Skripte > Skripte > Skripte zur Runtime ausführen

Um ein Skript auszuführen ist eine entsprechende Funktion zu projektieren. Über die Funktionen Skript ausführen oder Skript mit Online-Auswahl können Skripte zur Runtime gestartet werden:

  • Skript ausführen:
    Führt zur Runtime ein im Editor vordefiniertes Skript aus.
  • Skript mit Online-Auswahl:
    Ermöglicht zur Runtime die Auswahl des auszuführenden Skripts.

Um eine Funktion zur Ausführung eines Skripts zu projektieren:

  1. Wählen Sie im Knoten Funktionen im Kontextmenü den Befehl Funktion neu...
  2. Der Dialog zur Funktionsauswahl wird geöffnet.
  3. Navigieren Sie zum Knoten Skript.
  4. Wählen Sie die gewünschte Funktion:
    1. Skript ausführen, um das in diesem Dialog ausgewählte Skript direkt auszuführen
    2. Skript mit Online-Auswahl, um zur Runtime die Auswahl des auszuführenden Skripts zu ermöglichen
  5. Bestätigen Sie die Konfiguration mit Klick auf OK.

Dialog Skript auswählen

Parameter | Beschreibung
Liste Projekte (links) | Auswahl des Projekts, aus dem das Skript ausgewählt werden soll. Hinweis: Stellen Sie bei Auswahl von Skripten aus einem anderen als dem aktuellen Projekt sicher, dass dieses Projekt zur Runtime zur Verfügung steht.
Liste Skripte (rechts) | Auswahl des Skripts. Es kann nur ein Skript verknüpft werden. Skripte können über die Symbolleiste und das Kontextmenü neu erstellt und bearbeitet werden. Neue Skripte und Änderungen werden sofort gespeichert. Die Funktionen eines Skripts können per Drag&Drop neu angeordnet werden.
Keine Auswahl | Entfernt eine bereits bestehende Verknüpfung und schließt den Dialog.
OK | Übernimmt Einstellungen und schließt den Dialog. Bei Skript ausführen wird zur Runtime beim Ausführen dieser Funktion das gewählte Skript gestartet. Bei Skript mit Online-Auswahl wird zur Runtime beim Ausführen dieser Funktion dieser Dialog geöffnet.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste und Kontextmenü

Symbol/Befehl

Beschreibung

Skript neu

Fügt ein neues Skript zur Liste hinzu.

Funktionen hinzufügen

Öffnet den Dialog zum Hinzufügen von Funktionen.

Kopieren

Kopiert das ausgewählte Skript in die Zwischenablage.

Einfügen

Fügt Skript aus der Zwischenablage ein.

Erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Ausgewählte Zelle bearbeiten (nur Symbolleiste)

Erlaubt das Ändern des Skript-Namens. Auch per Mausklick in das Feld oder über F2-Taste möglich.

Text in ausgewählter Spalte ersetzen (nur Symbolleiste)

Öffnet den Dialog zum Suchen und Ersetzen von Texten in der aktuell ausgewählten Spalte.

Skripte im Netzwerk

Bei aktivem Netzwerk kann für Skripte über die Eigenschaften in der Gruppe Ausführung definiert werden, auf welchem Rechner das Skript ausgeführt wird.

info Info

Beachten Sie die Prioritäten der Skriptausführung im Netzwerk


Priorität im Netzwerk

Handbuch > Funktionen und Skripte > Skripte > Priorität im Netzwerk

Ist im zenon Projekt das Netzwerk aktiviert kann für eine Funktion der ausführende Rechner projektiert werden. Dazu markieren Sie die Funktion im zenon Editor in der Detailansicht des Projektmanagers. In der Funktions-Eigenschaftengruppe Ausführung aktivieren Sie jenen Rechner, auf dem die Funktion ausgeführt werden soll.

  • Aktueller Rechner
  • Client
  • Server
  • Standby

Für Skripte gilt:

Skripte können über die Funktionen Skript ausführen oder Skript mit Online-Auswahl aufgerufen werden.
Die Projektierung der Skript-Eigenschaft Ausführung überschreibt die Projektierung der im Skript enthaltenen Funktions-Eigenschaft Ausführung.

Funktionen, denen ursprünglich ein anderer Ausführungsort zugewiesen worden war, übernehmen den neuen hier definierten Ausführungsort.

Beispiel 1: Aktueller Rechner

  • Funktion 1 wurde mit Ausführungsort Server definiert.
  • Funktion 2 wurde mit Ausführungsort Client definiert.
  • Für die Funktion Skript ausführen wurde Aktueller Rechner festgelegt.
  • Folge: Beide Funktionen werden exakt auf dem Rechner ausgeführt, auf dem die Funktion Skript ausführen ausgeführt werden. Das kann ein Client, ein Server oder ein Standby sein, je nach Netzwerkrolle des aufrufenden Rechners.

Beispiel 2: Client versus Server

  • Das Skript enthält zwei Funktionen. Jede dieser beiden Funktionen wurde jeweils mit Ausführungsort Client projektiert.
  • Dieses Skript wird via Funktion Skript ausführen ausgeführt.
  • Für diese Funktion Skript ausführen wurde Server festgelegt.
  • Folge: Beide Funktionen werden auf dem Server ausgeführt, unabhängig davon, auf welchem Rechner Skript ausführen gestartet wird.

Beispiel 3: Treiberkommandos:

Treiberkommandos werden per Default am Server und am Standby ausgeführt. Wird ein Skript mit Treiberkommandos am Client gestartet, dann wird:

  • die Funktion Treiberkommandos am Client gestartet
  • der Treiber nach Ausführung des Skripts am Server gestoppt


Dialog Funktionen und Skripte auswählen

Handbuch > Funktionen und Skripte > Dialog Funktionen und Skripte auswählen

Einzelne Skripte und Funktionen können für viele Funktionen in Dialogen, Eigenschaften und Dynamischen Elementen über einen eigenen Dialog konfiguriert werden. Die Konfiguration von mehrfachen Funktionen erfolgt in eigenen Dialogen.
Der Dialog zur Auswahl von Funktionen und Skripten wird aufgeschaltet für:

  • Archiv-Konfiguration/Registerkarte Runtime: Funktion ausführen bei Archivstart oder Archivende
  • Combo-/Listbox: jedes Element, das über eigene Funktionen verfügt
  • Dialoge: alle Eigenschaften mit Funktionen
  • Dynamische Elemente: alle Eigenschaften mit Funktionen und Doppelklick auf ein Dynamisches Element
  • Remas: Funktion
  • Verknüpfungen ersetzen: Dialog Funktionen ersetzen
  • WPF: Event-Eigenschaften

Der Dialog bietet die Möglichkeit, Funktionen auszuwählen und Skripte zu konfigurieren:

  • Funktionsauswahl: Auswahl eine Funktion oder Erstellen einer neuen Funktion
  • Skriptauswahl: Auswahl eines Skripts oder Erstellen eines neuen Skripts sowie Zuweisung einer Funktion Skript ausführen

Noch in diesem Kapitel

Funktionsauswahl

Skriptauswahl


Funktionsauswahl

Handbuch > Funktionen und Skripte > Dialog Funktionen und Skripte auswählen > Funktionsauswahl

Auswahl und Konfiguration von Funktionen, die verknüpft werden sollen.

Um eine Funktion auszuwählen:

  1. Wählen Sie das Projekt, das die Funktion enthält.

    Hinweis: Wird ein anderes Projekt als das aktuelle verwendet, stellen Sie sicher, dass das Projekt zur Runtime zur Verfügung steht.

  2. Wählen Sie die gewünschte Funktion aus.
    Bei Bedarf können über die Symbolleiste und das Kontextmenü neue Funktionen erstellt oder vorhandene Funktionen kopiert werden.
  3. Bestätigen Sie die Auswahl mit Klick auf OK.

Dialog Funktionsauswahl

Parameter

Beschreibung

Liste Projekte (links)

Auswahl des Projekts, aus dem die Funktion ausgewählt werden soll.

Hinweis: Stellen Sie bei Auswahl von Funktionen aus einem anderen als dem aktuellen Projekt sicher, dass dieses Projekt zur Runtime zur Verfügung steht.

Liste Funktionen (rechts)

Auswahl der Funktion. Es kann nur eine Funktion verknüpft werden. Wird mehr als eine Funktion ausgewählt, dann wird die zuletzt gewählte Funktion verknüpft.

Funktionen können über die Symbolleiste und das Kontextmenü neu erstellt und bearbeitet werden. Neue Funktionen und Änderungen werden sofort gespeichert.

OK

Verknüpft die gewählte Funktion und schließt den Dialog.

Abbrechen

Schließt den Dialog, ohne eine Funktion zu verknüpfen.

Hilfe

Öffnet die Hilfe.

Keine Auswahl

Entfernt eine bereits bestehende Verknüpfung und schließt den Dialog.

Symbolleiste und Kontextmenü

Symbol/Befehl | Beschreibung
Funktion neu | Fügt eine neue Funktion zur Liste hinzu.
Kopieren | Kopiert die ausgewählte Funktion in die Zwischenablage.
Einfügen | Fügt eine Funktion aus der Zwischenablage ein.


Skriptauswahl

Handbuch > Funktionen und Skripte > Dialog Funktionen und Skripte auswählen > Skriptauswahl

Auswahl und Konfiguration von Skripten, die verknüpft werden sollen, sowie Zuweisung der Funktion Skript ausführen.

Um ein Skript auszuwählen:

  1. Wählen Sie das Projekt, das das Skript enthält.

    Hinweis: Wird ein anderes Projekt als das aktuelle verwendet, stellen Sie sicher, dass das Projekt zur Runtime zur Verfügung steht.

  2. Wählen Sie das gewünschte Skript aus.
  3. Bearbeiten Sie das Skript bei Bedarf.
    Über die Befehle des Kontextmenüs und der Symbolleiste können Sie neue Skripte erstellen, Funktionen hinzufügen und Skripte kopieren oder umbenennen.
  4. Bestätigen Sie die Auswahl mit Klick auf OK.

Dialog Skriptauswahl

Parameter | Beschreibung
Liste Projekte (links) | Auswahl des Projekts, aus dem das Skript ausgewählt werden soll. Hinweis: Stellen Sie bei Auswahl von Skripten aus einem anderen als dem aktuellen Projekt sicher, dass dieses Projekt zur Runtime zur Verfügung steht.
Liste Skripte (rechts) | Auswahl des Skripts. Es kann nur ein Skript verknüpft werden. Skripte können über die Symbolleiste und das Kontextmenü neu erstellt und bearbeitet werden. Neue Skripte und Änderungen werden sofort gespeichert. Die Funktionen eines Skripts können per Drag&Drop neu angeordnet werden.
Funktion: Skript ausführen | Auswahl der Funktion, die das gewählte Skript ausführen soll, aus Combobox. Die Combobox enthält in einer Dropdownliste alle bereits definierten Funktionen, die das gewählte Skript ausführen können. In das Eingabefeld kann der Name für eine neue Funktion zum Ausführen des Skripts eingegeben werden.
OK | Übernimmt den gewählten oder neu vergebenen Namen für die Funktion Skript ausführen, verknüpft das gewählte Skript und schließt den Dialog.
Abbrechen | Schließt den Dialog, ohne ein Skript zu verknüpfen.
Hilfe | Öffnet die Hilfe.
Keine Auswahl | Entfernt eine bereits bestehende Verknüpfung und schließt den Dialog.

Symbolleiste und Kontextmenü

Symbol/Befehl

Beschreibung

Skript neu

Fügt ein neues Skript zur Liste hinzu.

Funktionen hinzufügen

Öffnet den Dialog zum Hinzufügen von Funktionen.

Kopieren

Kopiert das ausgewählte Skript in die Zwischenablage.

Einfügen

Fügt Skript aus der Zwischenablage ein.

Erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Ausgewählte Zelle bearbeiten (nur Symbolleiste)

Erlaubt das Ändern des Skript-Namens. Auch per Mausklick in das Feld oder über F2-Taste möglich.

Text in ausgewählter Spalte ersetzen (nur Symbolleiste)

Öffnet den Dialog zum Suchen und Ersetzen von Texten in der aktuell ausgewählten Spalte.


HTML Web Engine

Handbuch > HTML Web Engine

Die HTML Web Engine dient zur Bereitstellung von zenon Bildern als HTML5 Webseite. Am Visualisierungs-Endgerät wird per Webbrowser die Benutzerschnittstelle aufgerufen und dargestellt. Es sind dafür keine spezielle Software-Installation - auch keine Browser Plug-Ins - am Endgerät erforderlich. Prozessdaten für die Visualisierung werden von einer zenon Runtime bezogen.

Funktionalitäten der HTML Web Engine

Überblick über die Funktionalitäten der HTML Web Engine:

  • Sitzungsbasierte Bereitstellung von HTML5 Visualisierungsinhalten an HTML Web Clients.
  • Darstellung grundlegender Visualisierungsinhalte, die im zenon Editor erstellt wurden.
  • Datenanzeige:
    • Variablenwerte
      Anzeigen werden in der HTML Web Engine dynamisch aktualisiert.
    • Chronologischen Ereignisliste (CEL)
      Einträge der CEL werden in der HTML Web Engine dynamisch aktualisiert.
    • Erweiterter Trend (ETM)
      Die Darstellung im ETM wird in der HTML Web Engine nicht aktualisiert. Dies bedeutet, dass der ETM nur mit den beim Aufschalten vorhandenen Daten gezeichnet und dann nicht mehr aktualisiert wird.
    • Meldungen der Alarmmeldeliste (AML)
      Einträge der AML werden in der HTML Web Engine dynamisch aktualisiert.
  • Weiterleitung von Prozessinformationen, wie Variablenwerte, Alarm- oder Ereignis-Meldungen einer zenon Runtime an einen oder mehrere HTML Web Clients.
  • Unterstützung aktiver Bedienhandlungen, wie Sollwert setzen.
  • Mobiles, ortsunabhängiges Bedienen und Beobachten.
  • Keine Installation und/oder Konfiguration am Endgerät, also am Client notwendig. Plattformunabhängige Darstellung in HTML5 Standard.
  • Betrieb des HTML Web Servers auf einem separaten Rechner, wie zum Beispiel in einer DMZ möglich.
  • Sichere Netzwerkkommunikation über HTTPS, basierend auf SSL-Zertifikaten.
  • Schutz von sensiblen Visualisierungsbereichen oder Prozessen mittels Benutzerauthentifizierung und Unterstützung von Benutzerebenen.

Die HTML Web Engine unterstützt die Authentifizierung eines Web Engine Clients mit erhöhter Sicherheit gegenüber der zenon Benutzer-Authentifizierung und gegenüber Active Directory. Die Anmeldung erfolgt durch Eingabe des Benutzernamens und Passwort.

Regionale Einstellungen

Die HTML Web Engine unterstützt die meisten üblichen Sprachen, Zahlenformate und Datumsformate.

Noch in diesem Kapitel

Erforderliche Komponenten und deren Definitionen

Grundlegender Systemaufbau der HTML Web Engine

Systemvoraussetzungen

Lizenzierung

Installation

SCADA Runtime Connector

Client Authentifizierung für eine Verbindung zur Runtime

Deployment der Web Engine

Projektieren im Editor

Projekt für Web kompilieren

Ablauf einer HTML Web Engine Sitzung

Systemdiagnose und Fehlersuche


Erforderliche Komponenten und deren Definitionen

Handbuch > HTML Web Engine > Erforderliche Komponenten und deren Definitionen

Komponente

Beschreibung

zenon Runtime

Die Prozessdaten für die HTML5 Visualisierung werden von einer zenon Runtime (Server oder Client) zur Verfügung gestellt.

HTML Web Engine

Die HTML Web Engine dient zur Bereitstellung von Prozessbildern als HTML5 Webseite. Am Visualisierungs-Endgerät wird per Web Browser die Benutzerschnittstelle aufgerufen und dargestellt. Es sind dafür am Endgerät weder eine spezielle Software Installation noch ein Software Plug-In erforderlich. Prozessdaten für die Visualisierung werden von einer zenon Runtime bezogen.

Hinweis: Die HTML Web Engine verarbeitet Prozessdaten zum Zweck der Visualisierung und Bedienung durch den HTML Web Client. Die Verwaltung der Prozessdaten erfolgt dabei ausschließlich durch die zenon Runtime.

IIS, Publishing Dienst

Diensteplattform von Microsoft für PCs und Server. Über sie können Dokumente und Dateien im Netzwerk zugänglich gemacht werden. Die HTML Web Engine nutzt den IIS als Laufzeitumgebung und zur Veröffentlichung von zenon Bildern. Als Kommunikationsprotokoll kommt HTTPS zum Einsatz. Mittels sogenanntem Deployment wird die HTML Web Engine am IIS instanziert.

Web Browser

Web Browser sind spezielle Computerprogramme zur Darstellung von Dokumenten und Daten, speziell von Webseiten im World Wide Web.

zenon Web Engine Deployment Tool

Stellt die HTML Web Engine als Web-Applikation im IIS bereit und ermöglicht deren Konfiguration. Es kann auch eine existierende HTML Web Engine Instanz aktualisiert oder gelöscht werden.

Web Engine Compiler

Generiert aus einem zenon Projekt heraus jene Daten, die die HTML Web Engine benötigt, um die HTML5-Inhalte für den zenon Web Client zur Verfügung zu stellen. Beim Übersetzungsvorgang dieser Projektdaten überprüft der HTML Web Engine Compiler die Projektinhalte und gibt Auskunft über nicht unterstützte Funktionen oder Eigenschaften. Als Resultat des Übersetzungsvorgangs entsteht eine Datei, die der Web Engine zur Verfügung gestellt wird.

SCADA Runtime Connector

Dient als Kommunikationsschnittstelle zur zenon Runtime.

Sie finden den SCADA Runtime Connector im Pfad:

%programfiles(x86)%\Common Files\COPA-DATA\Connectors\zrsConnector.exe

Wenn das Web Deployment Tool verwendet wird, muss der SCADA Runtime Connector ausgeführt werden, da dessen Status bei der Anwendung überprüft wird.

Der Connector Container kann über das Startup Tool automatisch gestartet werden, wenn sich ein Benutzer am System anmeldet.


Grundlegender Systemaufbau der HTML Web Engine

Handbuch > HTML Web Engine > Grundlegender Systemaufbau der HTML Web Engine

Die HTML Web Engine stellt als Web Applikation eine HTML5 Webseite zur Verfügung.

attention Achtung

Empfehlungen:

  • Betreiben Sie die gesamte Systemkonfiguration immer in einem vertrauenswürdigen Netzwerkbereich.
  • Publizieren Sie HTML5 Website nie direkt im Internet.

Im Verlauf einer Sitzung wird zwischen zwei unterschiedlichen Verbindungsstufen unterschieden:

  1. Darstellung der Visualisierungsseiten ohne Prozessdaten
  2. Darstellung der Visualisierungsseiten und Anzeige von Prozessdaten

Darstellung der Visualisierungsseiten ohne Prozessdaten

Der zenon Web Client verbindet sich zur HTML Web Engine durch Aufruf des URL (Uniform Ressource Locator) für die HTML5 Webseite. Nach erfolgreichem Aufbau der Sitzung kann das Projekt ohne Zugriff auf Prozessdaten der zenon Runtime visualisiert werden.

Darstellung der Visualisierungsseiten und Anzeige von Prozessdaten

Die HTML Web Engine verbindet sich über den SCADA Runtime Connector zur zenon Runtime. Diese Verbindung wird nur zugelassen, wenn eine Benutzerauthentifizierung auf Basis von Benutzername und Passwort erfolgreich durchgeführt wurde. Die Authentifizierung erfolgt mit externer Authentifizierung an der Benutzerverwaltung der zenon Runtime. Die Übergabe der Benutzerinformation kann entweder manuell durch den zenon Web Client Bediener oder automatisch durch die Web Engine erfolgen.

Zur Projektierung der HTML5 Visualisierung sind keine speziellen Werkzeuge erforderlich. Die Erstellung der Bilder und Funktionen erfolgt standardmäßig im zenon Editor.
Eine Auflistung der unterstützten Elemente, Eigenschaften und Funktionen finden Sie im Kapitel Unterstützte Funktionalitäten für die HTML5 Visualisierung.

Zugriff von einem Endgerät auf die HTML5 Visualisierung

So greifen Sie mit einem HTML5-fähigen Web Browser von einem Visualisierungs-Endgerät aus auf die HTML5 Visualisierung zu:

Hinweis: Die Aufteilung der Komponenten dient nur der einfachen Darstellung. Die gesamte hier dargestellte Konfiguration kann in beliebiger Verteilung der Komponenten in einem Netzwerk oder auch auf einem einzelnen Rechner betrieben werden.

Ablauf:

  1. Der Bediener auf Station 4 verbindet sich mit einem Standard Web Browser durch Eingabe der Webseiten-URL zum Web Server auf Station 3.
    Dadurch erhält er von der Web Engine die dort vorliegenden Visualisierungsseiten.
  2. Prozessdaten werden in der HTML5 Visualisierung erst nach einer erfolgreichen Benutzerauthentifizierung angezeigt.
    Nach erfolgreicher Prüfung von Benutzername und Passwort wird die Verbindung zur zenon Runtime (im Beispiel auf Station 2) aufgebaut.
  3. Die Schnittstelle zwischen zenon Runtime und Web Engine bildet der SCADA Runtime Connector.
    Auf Seiten der zenon Runtime muss der SCADA Runtime Connector gestartet werden.
  4. Die Projektierung der HTML5 Visualisierung wird aus einem zenon Editor-Projekt (im Beispiel auf Station 1) abgeleitet.
    Die Projektstände auf Station 2 (zenon Runtime) und Station 3 (Web Engine) sollten dabei identisch sein.
    Mit dem Web Engine Compiler werden die Projektdaten für die Verwendung durch die HTML Web Engine übersetzt. Die notwendigen Schritte zur Installation der HTML Web Engine auf Station 3 und das Deployment am Internet Information Server werden im Kapitel Deployment der Web Engine beschrieben.

    Die Datei aus dem Web Engine Compiler wird in einem frei definierbaren Ordner abgelegt. Hier wird sie von der HTML Web Engine ausgelesen.

Hinweise: Stellen Sie für die Anbindung einer HTML5-Visualisierung eine dedizierte zenon Runtime zur Verfügung, um die reibungslose Zusammenarbeit mit prozessrelevanten Abläufen zu garantieren. Führen Sie nach Änderungen im zenon Projekt den Kompiliervorgang noch einmal durch.

Bilder freigeben

Mittels der HTML Web Engine können bestimmte Bilder aus dem aktiven Projekt in einem Web Browser aufgerufen werden. Welche Bilder für die Darstellung im Web Browser freigegeben werden, bestimmen Sie für jedes Bild über die Eigenschaft Im Web verfügbar.

Alle Bilder, für die diese Eigenschaft aktiviert wurde, werden mit dem Web Engine Compiler für die Web Engine kompiliert und stehen für die Bereitstellung im Web Browser auf dem Client zur Verfügung. Bilder, für die diese Eigenschaft nicht aktiviert wurde, können für die zenon Runtime Visualisierung verwendet werden, sind jedoch nicht im Web Browser verfügbar.

Folgende Bildtypen können für die Visualisierung im Web genutzt werden:

  • AML
  • CEL
  • ETM
  • Login
  • HTML
  • Standard


Systemvoraussetzungen

Handbuch > HTML Web Engine > Systemvoraussetzungen

Web Server

Die HTML Web Engine unterstützt die folgenden Betriebsysteme:

Betriebssystem | Beschreibung
Windows 7 (SP1) | Professional, Enterprise und Ultimate Edition, jeweils x86 und x64 Versionen.
Windows 8 und 8.1 | Standard, Professional und Enterprise, jeweils x86 und x64 Versionen.
Windows 10 | Pro, Enterprise und Education, jeweils x86 und x64 Versionen.
Windows Server 2008 R2 (SP1) | Alle Ausgaben mit Ausnahme der Core Edition.
Windows Server 2012 und 2012 R2 | Alle Ausgaben mit Ausnahme der Core Edition.

Hinweis: Für den Betrieb der HTML Web Engine ist das .NET Framework 4.5 oder höher erforderlich.

Web Client

Für den HTML Web Client ist keine spezielle Installation erforderlich. Er funktioniert in der Regel mit jedem Web Browser, der folgenden Technologien unterstützt:

  • HTML5
  • HTML5 Canvas
  • JavaScript (ECMAScript 5.1)

Die Verarbeitung der HTML5 Inhalte erfolgt im Web Browser unabhängig vom Betriebssystem. Es wird empfohlen, eine aktuelle Version eines der folgenden Web Browser zu verwenden:

  • Windows Internet Explorer ab Version 11
  • Microsoft Edge
  • Mozilla Firefox
  • Apple Safari
  • Google Chrome

Hinweis: Javascript muss im Web Browser aktiviert sein.

Client-Server Verbindung

Für die Verbindung zwischen Web Server und HTML Client muss eine ausreichende Datenrate zur Verfügung stehen. Bei einer zu geringen Datenrate werden entsprechende Meldungen am HTML Web Client angezeigt. Eine zu geringe Datenrate kann dazu führen, dass eine Sitzung nicht zustande kommt oder abgebrochen werden muss.

Hinweis: Bei Verwendung von Windows Server Betriebssystemen wird die Anzahl der gleichzeitigen Client Verbindungen durch den Microsoft IIS nicht limitiert. Bei Verwendung von Windows Desktop Betriebssysteme hängt die mögliche Anzahl gleichzeitiger Verbindungen von der Version des installierten Betriebssystems ab.


Lizenzierung

Handbuch > HTML Web Engine > Lizenzierung

Die HTML Web Engine muss pro Instanz lizenziert werden. Die Lizenzierung erfolgt über die Lizenzverwaltung. Bei fehlender Lizenz wird die HTML Web Engine in einem zeitlich begrenzten Demo-Modus gestartet.

Folgende Ausbauten stehen für die HTML Web Engine zur Verfügung:

  • Standard: Zugriff auf die Visualisierung nur lesend. Der HTML Web Client kann als Betrachter verwendet werden.
  • Pro: Vollzugriff auf die Visualisierung, lesend und schreibend.

info Info

Beachten Sie die Limitierung der Anzahl gleichzeitiger Client Verbindungen durch den Microsoft IIS.

Hinweis: Bei Verwendung von Windows Server Betriebssystemen wird die Anzahl der gleichzeitigen Client Verbindungen durch den Microsoft IIS nicht limitiert. Bei Verwendung von Windows Desktop Betriebssystemen variiert diese Anzahl abhängig von der Version des installierten Betriebssystem.

Unterschiede HTML Web Engine zu zenon Web Server:

  • Die Lizenzüberprüfung erfolgt auf Basis von Instanzen. Jedes Projekt entspricht einer Instanz.
  • Wird eine Lizenz ungültig, dann wird erst eine weitere Lizenz gesucht. Wird keine gefunden, kann über die Schaltfläche zur Lizenzsuche nach einer weiteren gültigen Lizenz gesucht werden.
  • Laufen Demo-Lizenzen ab, muss der Service neu gestartet werden, um den Demo-Modus nutzen zu können. Der Demo-Modus steht nur zur Verfügung, wenn eine Demo-Lizenz hinterlegt ist.


Installation

Handbuch > HTML Web Engine > Installation

Für den Betrieb der HTML Web Engine benötigen Sie folgende Installationen:

Web Server:

  • IIS Publishing Dienst.

    Richten Sie den Publishing Dienst gemäß den Anleitungen aus Kapitel IIS Publishing Dienst installieren ein.

  • zenon Web Server.

    Installieren Sie vom Installationsmedium den zenon Web Server.

    Microsoft Web Deploy wird beim Setup automatisch mitinstalliert.

Projektierung und Laufzeit-Anwendung:

  • zenon (Editor und Runtime).

Hinweis: Für den HTML Web Client ist keine spezielle Installation erforderlich.

Noch in diesem Kapitel

IIS Publishing Dienst installieren


IIS Publishing Dienst installieren

Handbuch > HTML Web Engine > Installation > IIS Publishing Dienst installieren

Internet Information Services, abgekürzt IIS, dienen zur Veröffentlichung von Dokumenten, wie zum Beispiel HTML-Seiten, über das HTTP-Protokoll. In den im Kapitel Systemvoraussetzungen genannten Betriebssystemen ist der IIS Publishing Dienst bereits in der Standard-Installation enthalten. Dieser muss nur noch über die Windows Features aktiviert werden.

IIS 7, Windows 7

Um den IIS Publishing Dienst zu aktivieren:

  1. Drücken Sie Tastenkombination Windows+R.

    Der Dialog zur Eingabe eines Befehl für die Kommandozeile wird geöffnet.

  2. Geben Sie in das Eingabefeld appwiz.cpl ein.

    Klicken Sie auf OK.
    Ein neues Fenster der Systemsteuerung zur Konfiguration von Programmen und Windows-Features wird geöffnet.

  3. Klicken Sie in diesem Fenster auf Windows-Features aktivieren oder deaktivieren.

    Das Fenster zur Auswahl von Features des Betriebssystems wird geöffnet.

  4. Expandieren Sie in diesem Fenster den Knoten Internetinformationsdienste.
  5. Aktivieren Sie WWW-Dienste.
    Damit werden in allen Unterordnern der Eigenschaft die Default-Einstellungen gesetzt.
  6. Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  7. Aktivieren Sie ASP.NET.
  8. Expandieren Sie den Knoten Webverwaltungstools.
  9. Aktivieren Sie dort IIS Verwaltungskonsole.
  10. Klicken Sie auf OK.

Hinweis: Bei nachträglicher Installation oder Upgrade des NET-Frameworks unter Windows 7, muss diese Software manuell in den IIS Publishing Dienst registriert werden. Mehr Details dazu siehe Kapitel .NET-Registrierung am IIS unter Windows 7.

IIS 8, Windows 8/8.1

Um den IIS Publishing Dienst zu aktivieren:

  1. Drücken Sie Tastenkombination Windows+R.

    Der Dialog zur Eingabe eines Befehl für die Kommandozeile wird geöffnet.

  2. Geben Sie in das Eingabefeld appwiz.cpl ein.

    Klicken Sie auf OK.
    Ein neues Fenster der Systemsteuerung zur Konfiguration von Programmen und Windows-Features wird geöffnet.

  3. Klicken Sie in diesem Fenster auf Windows-Features aktivieren oder deaktivieren.

    Das Fenster zur Auswahl von Features des Betriebssystems wird geöffnet.

  4. Expandieren Sie in diesem Fenster den Knoten Internetinformationsdienste.
  5. Aktivieren Sie dort alle WWW-Dienste.
  6. Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  7. Aktivieren Sie ASP.NET 4.5
  8. Expandieren Sie den Knoten Allgemeine HTTP-Features
  9. Aktivieren Sie dort Statischer Inhalt.
  10. Expandieren Sie den Knoten Webverwaltungstools.
  11. Aktivieren Sie dort optional IIS Verwaltungskonsole.
  12. Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  13. Aktivieren Sie dort WebSocket-Protokoll.
  14. Klicken Sie auf Ok.

Windows 10

Um den IIS Publishing Dienst zu aktivieren:

  1. Drücken Sie Tastenkombination Windows+R.

    Der Dialog zur Eingabe eines Befehl für die Kommandozeile wird geöffnet.

  2. Geben Sie in das Eingabefeld appwiz.cpl ein.

    Klicken Sie auf OK.
    Ein neues Fenster der Systemsteuerung zur Konfiguration von Programmen und Windows-Features wird geöffnet.

  3. Klicken Sie in diesem Fenster auf Windows-Features aktivieren oder deaktivieren.

    Das Fenster zur Auswahl von Features des Betriebssystems wird geöffnet.

  4. Expandieren Sie in diesem Fenster den Knoten Internetinformationsdienste.
  5. Aktivieren Sie dort alle WWW-Dienste.
  6. Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  7. Aktivieren Sie ASP.NET 4.7
  8. Expandieren Sie den Knoten Allgemeine HTTP-Features
  9. Aktivieren Sie dort Statischer Inhalt.
  10. Expandieren Sie den Knoten Webverwaltungstools.
  11. Aktivieren Sie dort optional IIS Verwaltungskonsole.
  12. Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  13. Aktivieren Sie dort WebSocket-Protokoll.
  14. Klicken Sie auf Ok.

Windows Server 2008 R2

Folgen Sie den Anweisungen von Microsoft: https://technet.microsoft.com/en-us/library/cc771209.aspx

  1. Öffnen Sie den Assistenten Rollen hinzufügen.
  2. Aktivieren Sie die Web Server (IIS)-Rolle

    Der Assistent Rollen hinzufügen öffnet sich.

  3. Klicken Sie auf Rollendienste.
  4. Expandieren Sie den Knoten Anwendungsentwicklungfeatures.
  5. Aktivieren Sie die folgenden Rollendienste:
  • ASP.NET
  • .NET Erweiterbarkeit
  • ISAPI-Erweiterungen
  • ISAPI-Filter

Achtung: Deaktivieren Sie keine Rollendienste, die schon von Microsoft vorausgewählt sind.

Hinweis: Es wird empfohlen Windows Server 2012 zu verwenden, da der Windows Server 2008 R2 keine WebSocket-Protokolle unterstützt.

Windows Server 2012 (R2)

Folgen Sie den Anweisungen von Microsoft: https://technet.microsoft.com/en-us/library/hh831475.aspx

  1. Öffnen Sie den Assistenten zum Hinzufügen von Rollen und Features Wizard.

  2. Expandieren Sie den Knoten Anwendungsentwicklung.
  3. Aktivieren Sie die folgenden Rollendienste:
    • NET Erweiterbarkeit 4.5
    • ASP.NET 4.5
    • ISAPI Erweiterung
    • ISAPI-Filter
    • WebSocket Protokoll

Noch in diesem Kapitel

.NET-Registrierung am IIS unter Windows 7


.NET-Registrierung am IIS unter Windows 7

Handbuch > HTML Web Engine > Installation > IIS Publishing Dienst installieren > .NET-Registrierung am IIS unter Windows 7

Im Falle einer nachträglichen Installation oder Upgrade des .NET Frameworks unter Windows 7 muss eine Registrierung am IIS Publishing Dienst erfolgen.

Dazu:

  1. Öffnen Sie die Windows Eingabeaufforderung mit der Option Als Administrator.
  2. Wechseln Sie in den Microsoft.NET Installationsordner mit der höchsten Version.
  3. Geben Sie den Befehl aspnet_regiis -i ein.

    Nach erfolgreicher Registrierung steht die aktuelle Microsoft .NET Framework Version für die Verwendung mit IIS bereit.

  4. Stellen Sie sicher, dass der Application Pool am IIS, in dem die HTML Web Engine betrieben wird, die aktuelle .NET Version verwendet.

    Dies kann mit dem Internet Information Services Manager überprüft und eingestellt werden:


SCADA Runtime Connector

Handbuch > HTML Web Engine > SCADA Runtime Connector

Auf Seiten der zenon Runtime muss der SCADA Runtime Connector gestartet sein, sobald eine Interaktion mit der HTML Web Engine erforderlich ist. Der SCADA Runtime Connector wird bei der Installation der zenon Runtime mitinstalliert. Die Interaktion beginnt grundsätzlich mit der Benutzerauthentifizierung für den ersten HTML Web Client.

Der SCADA Runtime Connector kann manuell oder automatisch gestartet werden:

  • Manuell:
    • Starten Sie die Anwendung im Startup Tool unter Tools. Wählen Sie unter Available applications (current folder) den Eintrag SCADA Runtime Connector aus. Bestätigen Sie die Auswahl mit einem Klick auf Start.
    • Starten Sie die Anwendung direkt aus dem Ordner %programfiles(x86)%\Common Files\COPA-DATA\Connectors\zrsConnector.exe
  • Automatisch:
    • Aktivieren Sie den Autostart für den Connector Container im Startup Tool.

Für jede HTML Web Engine Sitzung wird eine eigene SCADA Runtime Connector Sitzung aufgebaut.
In dieser Sitzung werden übertragen:

  • Variablen, die für die aktuelle Bilddarstellung am HTML Client benötigt werden:
    Zum Beispiel Variablen für die Anzeige von Variablenwerten oder Elementdynamiken. Variablen können für eine Sitzung an- und abgemeldet werden. Nach erfolgreicher Benutzerauthentifizierung für einen HTML Web Client meldet die HTML Web Engine eine Liste von Variablen zur Kommunikation und spontanen Aktualisierung über den SCADA Runtime Connector an. Somit kann die HTML Web Engine Werteänderungen an die gerade verbundenen Web Clients weiterverteilen.

    Hinweis: Es werden nur Variablen angemeldet, die für die Darstellung an den HTML Web Clients benötigt werden.

  • Sollwert setzen über den SCADA Runtime Connector:
    Zur Erhöhung der Sicherheit wird vor einer Wertänderung an der zenon Runtime eine explizite Prüfung der Authentizität auf Basis der Benutzerdaten des HTML Web Client durchgeführt. Eine Sperre oder Entfernung von Benutzern auf Seiten der zenon Runtime wird somit für das Setzen von Sollwerten unmittelbar wirksam.

Verschlüsselte Kommunikation

Die TCP-Verbindung zwischen SCADA Runtime Connector (zrsConnector.exe) und SCADA Runtime Connector Client (zrsConnCli.dll) kann mit AES verschlüsselt werden.

Um die verschlüsselte Kommunikation zu nutzen, vergeben Sie für Runtime und Client ein Verschlüsselungspasswort.
Dazu:

  1. Tragen Sie im zenon Startup Tool in der Registerkarte Network configuration das Passwort ein.
    Dieses wird auch in der zenon6.ini verschlüsselt hinterlegt.
    Abschnitt: [ZRSCONNECTOR]
    Eintrag: ENCRYPTION_PWD
  2. Setzen Sie im Deployment Tool der HTML Web Engine im Fenster Security options das gleiche Passwort in der Registerkarte Security options. Dieses wird verschlüsselt in der web.config in der Einstellung Encryption_Password abgelegt.

Ist bei der Validierung der SCADA Runtime Connector am eingestellten Zielrechner erreichbar, aber das Verschlüsselungspasswort stimmt nicht überein, dann läuft der Connector-Test in ein Timeout. Sie erhalten einen Hinweis auf ein eventuell falsch gesetztes Passwort.


Client Authentifizierung für eine Verbindung zur Runtime

Handbuch > HTML Web Engine > Client Authentifizierung für eine Verbindung zur Runtime

Laufzeit-Daten der zenon Runtime, wie etwa Variablenwerte zur Anzeige oder für Anzeige-Dynamiken werden nur zur Verfügung gestellt, wenn sich der HTML Client gegenüber der zenon Runtime authentifizieren kann. Dies kann über Benutzernamen und Passwort auf zwei Arten erfolgen:

  • Automatischer Login durch Konfiguration eines Benutzers im Zuge des Deployments.
    Mehr Details hierzu, siehe Kapitel Deployment der Web Engine.
  • Manueller Login durch den zenon Web Client in einem Bild vom Typ Login.
    Mehr Details hierzu, siehe Kapitel Bild vom Typ Login anlegen.

Hinweis: Die Authentifizierung kann durch Übertragung der Login-Daten (Benutzername und Passwort) für einen zenon Benutzer oder einen Active Directory Benutzer erfolgen. Die Validierung der Benutzerdaten erfolgt dabei durch die zenon Runtime.


Deployment der Web Engine

Handbuch > HTML Web Engine > Deployment der Web Engine

Das zenon Web Enginge Eeployment Tool bietet wichtige Operationen zur Verwaltung der Web Engine als Web Applikation in den Internet Information Services (IIS) an.

Um das Deployment Tool zu starten:

  1. Öffnen Sie das zenon Startup Tool.
  2. Klicken Sie auf den Button Tools.
  3. Wählen Sie unter Available Application das Web Engine Deployment Tool aus.
  4. Klicken Sie auf Start.

    Das Tool wird gestartet

info Info

Hinweis: Das Deployment Tool wird mit dem zenon Web Server automatisch installiert. Für die Verwendung dieses Tools sind Administratorrechte erforderlich.

Das Deployment Tool steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

zenon Web Engine Deployment Tool


zenon Web Engine Deployment Tool

Handbuch > HTML Web Engine > Deployment der Web Engine > zenon Web Engine Deployment Tool

Mit dem zenon Web Engine Deployment Tool werden HTML Web Engine Instanzen am IIS verwaltet. Sie können neue Instanzen erstellen und bestehende ändern oder entfernen.

Option

Beschreibung

Deploy

Stellt eine neue Instanz der HTML Web Engine am IIS bereit.

In der folgenden Registerkarten werden die nötigen Optionen konfiguriert.

Change

Aktualisiert bestehende Web Engine Applications.

In der folgenden Registerkarte können für die HTML Web Engine geändert werden:

  • Version.
  • Konfiguration.
  • SCADA Runtime Connector:
    Hostname, IP Adresse.
  • Pfad des Datenordners.
    Data Directory, in dem die exportierten Projektdaten (*.webx) liegen.
  • Sicherheitseinstellungen:
    Benutzername, Passwort oder Umstellung für automatische Anmeldung.

Hinweis: Nicht verfügbar, wenn auf dem IIS keine gültige Web Engine Applikation verfügbar ist.

Remove

Entfernt eine laufende Applikation der HTML Web Engine.

In der folgenden Registerkarte wird die zu entfernende Version ausgewählt.

Soll die Web Engine durch eine aktuellere Version ersetzt werden, verwenden Sie die Option Change.

Hinweis: Nicht verfügbar, wenn auf dem IIS keine gültige Web Engine Applikation verfügbar ist.

Noch in diesem Kapitel

Allgemeine Einstellungen für die Web Engine

Sicherheitseinstellungen

Validierung der Einstellungen

Fortschritt


Allgemeine Einstellungen für die Web Engine

Handbuch > HTML Web Engine > Deployment der Web Engine > zenon Web Engine Deployment Tool > Allgemeine Einstellungen für die Web Engine

In diesem Dialog konfigurieren Sie allgemeine Einstellungen für den Betrieb der HTML Web Engine.

Welche Optionen verfügbar sind, hängt davon ab, welche Option im Startdialog gewählt wurde:

  • Deploy: Neukonfiguration einer HTML Web Engine.
  • Change: Änderung einer bestehenden HTML Web Engine.
  • Remove: Entfernen einer bestehenden HTML Web Engine.
Option | Beschreibung
Web Engine application to change | Auswahl der Instanz, die geändert werden soll. Hinweis: Nur verfügbar bei Auswahl Change im Startdialog.
Web Engine application to change | Auswahl der Instanz, die gelöscht werden soll. Hinweis: Nur verfügbar bei Auswahl Remove im Startdialog.
Desired version/type | Auswahl der Version aus Dropdownliste. Hinweis: Nur verfügbar für Deploy und Change.
IIS application name | Eingabe des gewünschten Namens für die Web Engine Applikation Dieser Name wird ein Teil der URL sein, unter der die HTML5 Webseite später erreicht wird. Beispiel: https://Serveradresse/<Applikationsname> Hinweis: Nur verfügbar für Deploy und Remove (nur Anzeige).
Application version | zenon Version der Instanz (nur Anzeige). Hinweis: Nur verfügbar für Remove.
Runtime Connector host name or IP address | Geben Sie den Host-Namen oder die IP-Adresse des Rechners ein, auf dem die zenon Runtime und der SCADA Runtime Connector installiert sind. Hinweis: Nur verfügbar für Deploy und Change.
Data directory | Ordner, aus dem die Web Engine die exportierten Projektdaten auslesen soll. Hinweis: In diesem Ordner muss die vom Web Engine Compiler generierte webx-Datei zur Verfügung stehen. Beim ersten Zugriff der HTML Web Engine wird die erste webx-Datei in die Dateiliste geladen. Wird die von der Web Engine geladene webx-Datei geändert oder gelöscht, startet die Web Engine automatisch neu und lädt wiederum die erste im Ordner befindliche webx-Datei. Default-Ordner: C:\Users\Public\Documents\zenon_Projects\Web Hinweis: Nur verfügbar für Deploy und Change.

Navigation

Cancel | Verwirft Änderungen und schließt den Dialog.
Back | Schaltet im Ablauf des Tools eine Registerkarte zurück.
Next | Schaltet im Ablauf des Tools eine Registerkarte weiter.

Überprüfung der Eingabe

Während einer Eingabe wird diese überprüft:

Sollten Fehleingaben erkannt werden, werden diese mit einem roten Warnsignal angezeigt. Wenn Sie mit der Maus über das Warnsymbol navigieren erhalten Sie in einem Tooltip weitere Informationen.


Sicherheitseinstellungen

Handbuch > HTML Web Engine > Deployment der Web Engine > zenon Web Engine Deployment Tool > Sicherheitseinstellungen

In diesem Dialog konfigurieren Sie die Sicherheitseinstellungen für den Betrieb der HTML Web Engine.

IIS certificate

Die Kommunikation der zenon HTML Web Engine erfolgt immer über eine gesicherte (HTTPS, Port 443) Verbindung.

Definieren Sie in diesem Bereich, ob durch das Deployment Tool ein selbst-signiertes Zertifikat für die Kommunikation verwendet wird. Ist noch kein selbst-signiertes Zertifikat vorhanden, wird dies durch das Deployment Tool erstellt. Dieses Zertifikat wird dem IIS zugewiesen.

Hinweis: Ein Sicherheits-Zertifikat ist zur Verschlüsselung der Kommunikation zwischen dem zenon Web Server und zenon Web Client zwingend erforderlich.

Option

Beschreibung

Use self-signed certificate

Aktivieren Sie diese Option, wenn Sie ein temporäres, selbst-signiertes Zertifikat erstellen lassen möchten.
Diese Option wird beim ersten Deploy als Default angeboten.

Hinweis: Falls noch kein Zertifikat am IIS vorhanden ist, ist diese Option zwingend.

Use existing certificate

Wählen Sie diese Option wenn bereits eine gültige Konfiguration vorliegt.
Ist bereits eine gültige Konfiguration vorhanden, wird diese Option als Default angeboten.

Hinweis: Es wird empfohlen, ein offizielles Zertifikat einer Zertifizierungsstelle zu verwenden.

Mögliche Zertifizierungsstelle: https://www.digicert.com/ssl-certificate-installation-microsoft-iis-8.htm

Web Client Authentication

Definieren Sie in diesem Bereich, wie die Authentifizierung des zenon Web Clients erfolgen soll.

Option

Beschreibung

User name and password (recommended)

Eingabefeld für Passwort für Authentifizierung des zenon Web Clients.
Die Authentifizierung des zenon Web Clients erfolgt durch manuelle Eingabe von Benutzername und Passwort.

Hinweis: Die Eingabe von Benutzername und Passwort muss in einem zenon Bild vom Typ Login erfolgen.

Automatic login

Aktivieren Sie diese Option, wenn Sie möchten, dass die Web Engine automatisch eine Verbindung zur zenon Runtime aufbaut. Zur Authentifizierung werden die angegebenen Benutzerdaten verwendet.

Achtung: Bei Verwendung dieser Option erhält jeder zenon Web Client eine Verbindung zur zenon Runtime.

User name

Eingabefeld für zenon Benutzername.

Geben Sie hier den gewünschten Benutzernamen ein.

Password

Eingabefeld für Passwort des zenon Benutzers.

Geben Sie hier das Benutzer-Passwort ein.

Hinweis: Nicht verfügbar, wenn für Web Client Authentication User name and password gewählt wurde.

Password (confirm)

Geben Sie hier das Benutzer-Passwort erneut ein.

Hinweis: Nicht verfügbar, wenn für Web Client Atuhentication User name and password gewählt wurde.

Runtime communication

Art der Kommunikation zur Web Engine.

Option | Beschreibung
Cleartext communication | Kommunikation zur Web Engine erfolgt via Klartext ohne Verschlüsselung.
Encrypted communication (recommended) | Die Kommunikation zur Web Engine erfolgt verschlüsselt. Hinweis: Die Einstellungen für die Runtime werden im Startup Tool in der Registerkarte Network configuration mit der Eigenschaft Encrypt Runtime Connector communication konfiguriert. Die Passwörter für Runtime und HTML Web Engine müssen übereinstimmen.
Password | Eingabefeld für Passwort für gesicherte Kommunikation. Geben Sie hier das Benutzer-Passwort ein.
Password (confirm) | Geben Sie hier das Benutzer-Passwort erneut ein.

Navigation

Cancel | Verwirft Änderungen und schließt den Dialog.
Back | Schaltet im Ablauf des Tools eine Registerkarte zurück.
Next | Schaltet im Ablauf des Tools eine Registerkarte weiter.


Validierung der Einstellungen

Handbuch > HTML Web Engine > Deployment der Web Engine > zenon Web Engine Deployment Tool > Validierung der Einstellungen

In diesem Dialog werden die Einstellungen validiert. Während der Validierung wird der Fortschritt mit einem grünen Balken visualisiert.

Das Ergebnis der Validierung wird in einer Liste angezeigt.

Mit Klick auf die Schaltfläche Copy to clipboard kopieren Sie die Ausgabe in die Zwischenablage.


Fortschritt

Handbuch > HTML Web Engine > Deployment der Web Engine > zenon Web Engine Deployment Tool > Fortschritt

In diesem Dialog sehen Sie den Fortschritt des Web Engine Deployments am IIS.

Mit Klick auf die Schaltfläche Copy to clipboard kopieren Sie die Ausgabe in die Zwischenablage.

Klicken Sie nach erfolgreichem Abschluss des Vorgangs auf die Schaltfläche Finish, um das Deployment Tool zu schließen.


Projektieren im Editor

Handbuch > HTML Web Engine > Projektieren im Editor

Die notwendigen Daten für die HTML5 Visualisierung durch die Web Engine werden aus einem zenon Standard Projekt erstellt. Dafür muss der zenon Editor geöffnet sein.

Hinweis: Beachten Sie bei der Projektierung der HTML5 Visualisierung die unterstützten Eigenschaften, Bildelemente und Funktionen der HTML Web Engine.

Projekt anlegen

Für die HTML5 Visualisierung mit dem zenon Web Server, legen Sie ein zenon Standard Projekt an. Bestimmte Ressourcen aus einem Globalprojekt können Sie ebenfalls dafür verwenden.

attention Achtung

Für die HTML Web Engine darf nur der Bildtyp Standard als Startbild verwendet werden. Spezielle Bildtypen eignen sich nicht.

Noch in diesem Kapitel

Unterstützte Funktionalitäten für die HTML Visualisierung


Unterstützte Funktionalitäten für die HTML Visualisierung

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung

Für die HTML5 Visualisierung stehen grundlegende Elemente, Eigenschaften und Funktionen zur Verfügung:

Allgemein

Funktionalität

Beschreibung

Variablen
  • Anzeige von statischen und dynamischen Werten.
  • Sollwert setzen direkt in der HTML Web Engine.
  • Dynamisieren der Elementanzeige durch Variablenwerte.
    z.B.: Sichtbarkeit/Blinken, Rotation, Positionierung, Größenanpassung...
  • Grenzwerte für die Dynamisierung der Element-Anzeige (wie Grenzwertfarbe, Grenzwerttext) werden grundlegend unterstützt.

Achtung: Grenzwertinformationen von Reaktionsmatrizen werden nicht unterstützt!

Schriftarten und Schriftlisten
  • Auswahl und Darstellung beliebiger Schriftarten, die am System verfügbar sind.
    Hinweis: Gewählte Schriftarten müssen sowohl am Projektierungsrechner als auch auf den zenon Web Clients zur Verfügung stehen. Die Schriften müssen im lokalen Projekt definiert sein.
  • Darstellung im Schriftstil Normal, Kursiv und Fett.
  • Auswahl und Darstellung der Schriftart gemäß Schriftliste.
  • Online Umschaltung der Schriftliste.

Hinweis: Bei Sitzungsstart wird die erste Schriftliste des zenon Projekts dargestellt

Bilder und Schablonen

Bild/Schablone

Beschreibung

Schablone
  • Aufschaltung rechteckiger Schablonen an absoluter Position.

Achtung: Schablonennamen müssen eindeutig sein. Groß-/Kleinschreibung wird nicht beachtet.

Bilder allgemein
  • Darstellung von Bildern in der Größe der verknüpften Schablone.
  • Anzeige von Hintergrundfarbe und Hintergrundbild.
  • Ausführung einer Bild-Start- und -Ende-Funktion.

Bildtyp Standard
  • Darstellung von Bildern dieses Typs.

Bildtyp Login
  • Darstellung von Bildern dieses Typs.
  • Benutzer Authentifizierung mit den Bildtyp-spezifischen Elementen Eingabe Benutzername und Eingabe Passwort oder Login-Befehl.

Bildtyp AML
  • Darstellung von Bildern dieses Typs.
  • Darstellung von dynamischen AML-Listen. Dynamisch bedeutet, dass die dargestellten Daten aktualisiert werden.

Bildtyp CEL
  • Darstellung von Bildern dieses Typs.
  • Darstellung von dynamischen CEL-Listen. Dynamisch bedeutet, dass die dargestellten Daten aktualisiert werden.

Bildtyp HTML
  • Darstellung von Bildern dieses Typs.
  • Darstellung der Bildtyp-spezifischen Elemente wie Web Browser

Bildtyp ETM
  • Darstellung von Bildern dieses Typs.
  • Statische Darstellung von einfachen Liniendiagrammen. Statisch bedeutet, dass die dargestellten Daten nicht aktualisiert werden.

Bildelemente

Statische Bildelemente

Unterstützt werden allgemein:

  • Grundlegende Unterstützung der elementspezifischen Anzeigeoptionen (Anzeige, Farben und Fülloptionen, keine Effekte).
  • Grundlegende Unterstützung von Darstellungsdynamiken über Variablen (Farbgebung und Positionsdynamiken).

Unterstützt werden:

  • Kreis
  • Kreisbogen
  • Kreissegment
  • Linie
  • Polygon
  • Polylinie
  • Rechteck
  • Statischer Text

Anmerkungen:

Element

Beschreibung

Kreis
  • Unterstützt die Eigenschaft Farbverlauf invertiert.
    Bei Auswahl Farbverlauf für die Eigenschaft Füllmuster wird der Helligkeitsverlauf des Füllmusters invertiert dargestellt.

Kreissegment
  • Unterstützt die Eigenschaft Farbverlauf invertiert.
    Bei Auswahl Farbverlauf für die Eigenschaft Füllmuster wird der Helligkeitsverlauf des Füllmusters invertiert dargestellt.

Polygon
  • Unterstützt die Eigenschaft Farbverlauf invertiert.
    Bei Auswahl Farbverlauf für die Eigenschaft Füllmuster wird der Helligkeitsverlauf des Füllmusters invertiert dargestellt.

Rechteck
  • Unterstützt die Eigenschaft Farbverlauf invertiert.
    Bei Auswahl Farbverlauf für die Eigenschaft Füllmuster wird der Helligkeitsverlauf des Füllmusters invertiert dargestellt.

Dynamische Bildelemente allgemein

Unterstützt werden allgemein:

  • Grundlegende Unterstützung der elementspezifischen Anzeigeoptionen (Anzeige, Farben und Fülloptionen, keine Effekte).
  • Grundlegende Unterstützung von Darstellungsdynamiken über Variablen (Farbgebung und Positionsdynamiken).

Anmerkungen:

Element

Beschreibung

Button
  • Ausführung von Funktionen des lokalen Projekts.
    Hinweis: Für die Ausführung der Aktion wird die entsprechende Benutzerebene geprüft.
  • Eigenschaften Füllmuster und Farbverlauf:
    Farbverlauf wirkt sich nur dann aus, wenn für Füllmuster Farbverlauf gewählt wird.

Dynamischer Text
  • Anzeige der Variableninformationen Variablenwert, Name, Kennung, Betriebsmittelkennung, Maßeinheit und Grenzwerttext möglich.
  • Sollwert setzen mit Dialog.

Hinweis: Für die Ausführung der Aktion wird die entsprechende Benutzerebene geprüft.

Zahlenwert
  • Sollwert setzen mit Dialog unter Berücksichtigung statischer Sollwertgrenzen.
    Hinweis: Für die Ausführung der Aktion wird die entsprechende Benutzerebene geprüft.

Elementgruppen und Symbole

Funktionalität

Beschreibung

Elementgruppe
  • Darstellung von Elementgruppen.
  • Die Darstellung der enthaltenen Elemente erfolgt gemäß deren Projektierung und unterstützten Eigenschaften.

Verknüpftes Symbol
  • Darstellung von verknüpften Symbolen.
  • Unterstützung von Verknüpfungen ersetzen bei Anwendung im Bild, wobei resultierende Einträge auf Ressourcen im lokalen Projekt verweisen müssen.
  • Die Darstellung der enthaltenen Elemente erfolgt gemäß deren Projektierung und unterstützten Eigenschaften.

Funktionen

Funktion

Beschreibung

Bildumschaltung
  • Aufschaltung von Bildern des lokalen Projekts.
  • Unterstützung von Verknüpfungen ersetzen, wobei resultierende Einträge auf Ressourcen im lokalen Projekt verweisen müssen.

Schablone schließen
  • Schließen von Schablonen mit dem angegebenen Schablonennamen.

Sollwert setzen
  • Direktes Setzen von vordefinierten Variablenwerten.

Sprachumschaltung
  • Online-Umschaltung von Sprachdatei und Schriftliste.

Farbpalette umschalten
  • Online Umschaltung der Farbpallette zur grafischen Darstellung.

Skript ausführen
  • Ausführung von Funktionen des lokalen Projekts. Nicht unterstützte Funktionen werden von der Ausführung ausgenommen.

Logout
  • Abmelden des aktuellen Benutzers einer zenon Web Client Sitzung und Abbau der Verbindung zur zenon Runtime
  • Die zenon Web Client Sitzung wird im Offline Modus fortgesetzt

Globalprojekt

Der HTML-Export berücksichtigt die Verwendung folgender Ressourcen aus einem Globalprojekt:

  • Schablonen
  • Farbpaletten
  • Sprachdateien

Noch in diesem Kapitel

Bild vom Typ HTML anlegen, anpassen und aufrufen

Beispiel: Einfaches Startbild

AML und CEL: Unterstützte Funktionalitäten

Bild vom Typ Erweiterter Trend

Automatischer Skript-Aufruf bei Start einer zenon Web Client Sitzung

Individueller Skript-Aufruf mittels URL-Erweiterung bei Start einer zenon Web Client Sitzung


Bild vom Typ HTML anlegen, anpassen und aufrufen

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Bild vom Typ HTML anlegen, anpassen und aufrufen

Legen Sie ein Bild vom Typ HTML an und erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ HTML anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp HTML .
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ HTML

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Browser | Kontrollelemente für den Browser.
Browserfenster | Anzeige des Browsers.
Adressfeld | Feld zur Eingabe der Adresse (URL).
Startseite | Aufruf der Startseite.
Vorwärts | Vorwärts blättern.
Zurück | Rückwärts blättern.
Aktualisieren | Anzeige aktualisieren.
Stopp | Navigation beenden.
Suche | Kontrollelemente für die Suche. Beim Klicken auf einen Link im Feld Suche wird die entsprechende Seite im Browser angezeigt. So kann im Feld Suche z. B. eine Navigationsleiste oder das Ergebnis einer Suchmaschinenabfrage angezeigt werden, ohne dass dessen Inhalt geändert wird, wenn ein Link angeklickt wird.
Suchfenster | Anzeige der Suche.
Suchfeld | Suchen nach Adressen oder Datei.
Startseite | Im Suchbereich zur Startseite zurück.
Vorwärts | Im Suchbereich vorwärts blättern.
Zurück | Im Suchbereich rückwärts blättern.
Aktualisieren | Anzeige im Suchbereich aktualisieren.
Stopp | Suchen abbrechen.
Filter | Filterbox aufschalten.

Bild anpassen

Um das Bild an die Nutzung mit der HTML Web Engine anzupassen:

  1. Aktivieren Sie für das Bild die Eigenschaft Im Web verfügbar unter Allgemein.
  2. Beachten Sie die Optionen für das Öffnen externer Webseiten.

Bildumschaltung anlegen

Legen Sie eine Bildumschaltfunktion an, um das Bild zur Runtime aufrufen zu können.

Die HTML Web Engine unterstützt folgende Optionen:

Option

Beschreibung

Adressen
  • URL statisch

Die URL wird statisch festgelegt.

Hinweis: Diese Einstellung ist zwingend.

Browserfenster

Geben Sie hier die vollständige URL der externen Webseite ein, inklusive https://

Beispiel: https://Serveradresse

Noch in diesem Kapitel

Optionen für das Öffnen externer Webseiten


Optionen für das Öffnen externer Webseiten

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Bild vom Typ HTML anlegen, anpassen und aufrufen > Optionen für das Öffnen externer Webseiten

Das Öffnen externer Webseiten wird von der HTML Web Engine entweder über ein eingebettetes Browser-Fenster oder als neues Browser-Fenster unterstützt.

Eingebettetes Browser-Fenster:

Um in der Runtime ein eingebettetes Browser-Fenster von der URL zu sehen, die Sie in der Bildumschaltfunktion eingegeben haben:

  • Wählen Sie im Menü Kontrollelemente die Aktion Browser -> Browser Fenster.
  • Zeichnen Sie im Bild den Rahmen für das Browser-Fenster. Innerhalb dieses Rahmens erfolgt die Darstellung der angegebenen Webseite (URL).

Hinweis: Das Öffnen der eingebetteten Darstellung (iFrame) funktioniert nur, wenn die X-Frame-Optionen auf dem Remote Server entsprechend konfiguriert sind. Zusätzlich muss durch die HTTPS-Verbindung zwischen HTML Web Engine und HTML Web Client die Adresse der eingebetteten Webseite ebenfalls für HTTPS zur Verfügung stehen.

Neues Browser-Fenster:

Um eine externe Webseite in einem neuen Browser-Fenster zu öffnen:

  • Löschen Sie das Browser-Fenster Control aus der eingefügten Vorlage im Bild.

    Die externe Webseite wird in einem neuen Browser-Fenster geöffnet, wenn sich kein Browser-Fenster Kontrollelement im Bild befindet.

Hinweis: Das Aufschalten mehrerer URLs wird per Skript unterstützt. Einige Browser verhindern jedoch durch Pop-Up Blocker das Aufschalten von Tabs. In solchen Fällen erscheint ein Dialog mit den URLs, die nicht aufgeschaltet werden konnten. Diese URLs können manuell geöffnet werden.


Beispiel: Einfaches Startbild

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Beispiel: Einfaches Startbild

Überprüfen Sie an einem einfachen Beispiel die Funktionsfähigkeit der HTML Web Engine.

Dazu:

  1. Erstellen Sie ein Bild vom Typ Standard.
  2. Aktivieren Sie für das Bild die Eigenschaft Im Web verfügbar unter Allgemein.
  3. Geben Sie dieses Bild in den Projekteigenschaften in der Gruppe Grafische Ausprägung als Startbild an.

    Hinweis: Mit einem Autostart-Skript können Sie eine beliebige Startseite für das Web definieren.

  4. Fügen Sie einfache Elemente in das Bild ein, wie zum Beispiel Rechteck, Kreis oder Statischen Text.
  5. Stellen Sie sicher, dass das aktuelle Projekt als Startprojekt gesetzt ist.
  6. Exportieren Sie das Projekt für die HTML5 Visualisierung.

Erweiterung: Authentifizierung mit Login

Um Daten mit der zenon Runtime austauschen zu können, muss der zenon Web Client gegenüber der Runtime als Benutzer authentifiziert werden. Mehr Details hierzu lesen Sie im Kapitel: Client Authentifizierung für eine Verbindung zur Runtime.
So erweitern Sie Projekt für eine manuelle Authentifizierung:

  1. Fügen Sie ein Dynamisches Element zur Anzeige eines Variablenwerts, zum Beispiel Dynamischer Text oder Zahlenwert ein.
  2. Weisen Sie diesem Element eine Variable aus dem Projekt zu.

    Hinweis: Variablenwerte können auch für Positions- oder Farbdynamiken eines Elements verwendet werden.

  3. Erstellen Sie ein neues Bild vom Typ Login, das Sie in der Visualisierung anzeigen.
    Verwenden Sie für die Anzeige die Funktion Bildumschaltung verwenden.
  4. Aktivieren Sie am Bild in der Gruppe Allgemein die Eigenschaft Im Web verfügbar.
  5. Fügen Sie in das Login-Bild die Elemente Benutzername, Passwort, Login und Abbrechen ein.

  6. Führen Sie den HTML Export für das aktuelle Projekt durch.

Der zenon Web Client hat nun die Möglichkeit, durch Eingabe der Benutzerdaten die Authentifizierung durchzuführen. Bei erfolgreicher Authentifizierung erfolgt der Aufbau der Verbindung zur zenon Runtime. Dadurch stehen beispielsweise Variablenwerte für die HTML5 Visualisierung zur Verfügung.


AML und CEL: Unterstützte Funktionalitäten

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > AML und CEL: Unterstützte Funktionalitäten

Die Bildtypen AML und CEL unterstützen für die HTML Web Engine folgende Funktionalitäten:

Alarme: Alarmursache erforderlich

Es können Alarme für Grenzwerte mit aktivierter Eigenschaft Alarmursache erforderlich erstellt werden.
Das Quittieren dieser Alarme wird allerdings von der HTML Web Engine nicht unterstützt.

Listendarstellungen

Listen werden in Seiten unterteilt. Unter der Liste wird eine Fußzeile zur Navigation eingeblendet.
Per Klick auf die Symbole können die Einträge der Liste aufgerufen werden. Durch Klick auf die Dropdownliste kann die Anzahl der dargestellten Listeneinträge definiert werden.

Sortieren zur Runtime

Listen in AML und CEL können sortiert angezeigt werden.
Um die Sortierung einer Liste zu ändern, klicken Sie auf den Spaltentitel.
Klick schaltet um zwischen:

  • Aufsteigend
  • Absteigend
  • Standard (wie von der zenon Runtime geliefert)

Das Verhalten der Kopfzeile, der Sortierung und die Spaltenbreiten werden im zenon Editor in den Projekteigenschaften konfiguriert.

Sortierung von Text

Text wird entsprechend der natürlichen Sortierung sortiert:

  • alphabetische Reihenfolge
  • mehrstellige Zahlen werden als ein Zeichen angesehen

Beispiel:

  • Alphabetische Sortierung: 1, 11, 2, 3, 33, 4
  • Natürliche Sortierung: 1, 2, 3, 4, 11, 33

Spaltenbeschriftung

Die Spalten Kennung und Betriebsmittelkennung werden mit der Beschriftung Identification und Resource Label angezeigt. Der in diesen Spalten verwendete Text ist sprachumschaltbar.

Sprachumschaltung zur Runtime

Für folgende Spalten der AML und CEL steht Sprachumschaltung zur Verfügung:

  • Text
  • Kennung
  • Betriebsmittelkennung
  • Maßeinheit

Hinweis: Die Sprachumschaltung wird für jede Zelle einzeln durchgeführt. Wird zur Runtime umgeschaltet, kann die Umschaltung auf die neue Sprache einige Sekunden in Anspruch nehmen.

Zeitformate

Datum und Zeit in AML und CEL werden in der lokalisierten Darstellung des jeweiligen Clients angezeigt. Dabei wird die UTC-DateTime übertragen und auf Basis der Einstellungen des lokalen Rechners neu formatiert.

Weitere Informationen und Beispiele finden Sie im Handbuch Runtime, im Kapitel Behandlung von Zeitangaben.

Noch in diesem Kapitel

Eigenschaften und Optionen

Alarmquittierung


Eigenschaften und Optionen

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > AML und CEL: Unterstützte Funktionalitäten > Eigenschaften und Optionen

Die HTML Web Engine unterstützt folgende Eigenschaften und Optionen bei Kontrollelementen, Bildumschaltung und Projekteigenschaften:

Bildumschaltfunktion AML und CEL

Registerkarte

Gruppe

Einstellungen und Anmerkungen

Allgemein

Variablenfilter
  • Variablenname
  • Kennung

Hinweis: Groß- und Kleinschreibung wird nicht berücksichtigt.

Alarmart (nur AML)

Optionen:

  • Nur nicht quittierte Alarme
  • Nur gegangene Alarme
  • Nur anstehende Alarme

Hinweis: Andere Einstellungen werden ignoriert.

Datenherkunft

Einstellungen werden ignoriert.
Es werden immer Historische Daten der zenon Runtime verwendet.
Maximum: 65535

Runtime-Einstellungen

Einstellungen werden ignoriert.
Es wird immer die Option Liste angehalten aufschalten benutzt.
Es werden die Listeneinträge angezeigt, die zum Zeitpunkt Bildaufschaltung in der zenon Runtime vorhanden waren.

Zeit

Filter

Optionen:

  • Kein Zeitfilter
  • Absoluter Zeitraum
  • Relativer Zeitraum

Einstellungen

Nur die Option Vorgabe.
Alle anderen Einstellungen werden ignoriert.

Spalteneinstellungen

Spalten
  • Alarmzustand
    (Inklusive Anzeige über Kreissymbol oder Grafikdatei.)
  • Zeit kommt
  • Zeit geht (nur AML)
  • Zeit quittiert (nur AML)
  • Text
  • Variablenname
  • Wert
  • Maßeinheit
  • Benutzer vollständiger Name
  • Computername
  • Kommentar (nur AML)

Hinweis: Die eingestellte Darstellungsreihenfolge wird berücksichtigt.

Die Spaltenbeschreibung ist editierbar und sprachumschaltbar.

Tabelleneinstellungen

Immer aktiv:

  • Abwechselnde Hintergrundfarben verwenden
  • Raster anzeigen
  • Absteigend sortieren

Hinweis: Farbpaletten-Umschaltung wird unterstützt für:

  • Zeilenfarbe 1
  • Zeilenfarbe 2

Anlagenmodellierung

Aus Lokal- und Globalprojekt.

Kontrollelemente für Bildtyp Alarmmeldeliste

Gruppe

Untergruppe

Einstellungen und Anmerkungen

Kopfzeile und Raster

Kopfzeile

Kopfzeile anzeigen: Einstellung immer aktiv.

Anzeigestil: Einstellung immer Standard.

Füllfarbe: Ergibt Hintergrundfarbe.
Wird auch für die Fußzeile im Web verwendet für:

  • Statische/Fixe Farbe.
  • Farbpalette und Farbpaletten Umschaltung.

Schrift wird auch in der Fußzeile im Web angewendet für:

  • Statische Auswahl.
  • Schriftlisten Umschaltung.

Textfarbe wird auch in der Fußzeile im Web angewendet für:

  • Statische/Fixe Farbe.
  • Farbpalette und Farbpaletten Umschaltung.

Füllung

Füllung

Textfarbe wird verwendet für:

  • Statische/Fixe Farbe
  • Farbpalette und Farbpaletten Umschaltung

Darstellung

Darstellung

Wird verwendet für:

  • Statische Auswahl
  • Schriftlisten Umschaltung

Projekteigenschaften AML

Eigenschaftengruppe | Unterstützte Eigenschaften
Alarmmeldeliste | Kopfzeile AML
Datenspeicherung AML | Nicht verfügbar.
Alarm kommt | Alle.
Alarm geht | Alle.
Alarm quittiert | Alle.
Alarmquittierung bestätigt | Nicht verfügbar. Alarme, deren Quittierung bestätigt wurde, werden in der HTML Web Engine nicht angezeigt.
Alarmstatuszeile | Nicht verfügbar.


Alarmquittierung

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > AML und CEL: Unterstützte Funktionalitäten > Alarmquittierung

Alarme können einzeln ausgewählt und quittiert werden. Es werden nur Alarme mit aktivierter Eigenschaft Quittierpflichtig unterstützt.

Dabei gilt:

  • Die Quittierung des Alarms erfolgt via Button Quittieren des Bildtyps Alarmverwaltung.
  • Ist für einen Grenzwert die Eigenschaft Quittierpflichtig nicht aktiviert, wird der Button Quittieren im Bildtyp Alarmverwaltung deaktiviert.
  • Der Button Alle quittieren des Bildtyps Alarmverwaltung wird nicht unterstützt.
  • Das Quittieren eines Alarms setzt für den angemeldeten Benutzer die notwendigen Funktionsberechtigungen voraus.
    Sind diese nicht vorhanden, wird eine Fehlermeldung angezeigt.

    Hinweis: Stellen Sie sicher, dass der Benutzer über die Funktionsberechtigung Alarm quittieren über Bilder vom Typ Alarmmeldeliste verfügt.
    Weitere Informationen finden Sie im Handbuch Benutzerverwaltung im Kapitel Funktionsberechtigungen.

  • Nicht unterstützt werden:
    • Kommentar erforderlich
    • Alarmursache erforderlich

    Hinweis: Es können Grenzwerte mit diesen Eigenschaften konfiguriert werden. Das Quittieren von Alarmen, die diese Eigenschaften voraussetzen, wird in der HTML Web Engine nicht unterstützt.


Bild vom Typ Erweiterter Trend

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Bild vom Typ Erweiterter Trend

Der Bildtyp Erweiterter Trend unterstützt für die HTML Web Engine folgende Funktionalitäten:

Optionen der Bildumschaltfunktion

Registerkarte

Gruppe

Einstellungen und Anmerkungen

Daten

Datenherkunft

Option:

nur Archivdaten

Optionen

Die Einstellungen der Optionen werden für die HTML Web Engine nicht unterstützt.

Kurven

Anzeige von einfachen Kurven ohne weiteren Optionen.

Darstellung

Diagramm-Name

Darstellung des Diagramm-Namens, wie projektiert

Aktualisierung

Optionen der Eigenschaftengruppe Aktualisierung werden nicht unterstützt.

Design

Optionen der Eigenschaftengruppe Design werden nicht unterstützt.

Es wird eine vordefinierte Darstellung angezeigt.

Runtime

Die Anzeige dieses Dialogs wird in der HTML Web Engine nicht unterstüzt.

Eine Filterung ist nicht möglich.

X-Achse

X-Achse

Option:

  • nur YT-Anzeige

Hinweis: XY-Anzeige wird nicht unterstützt.

Zeit

Filter

Unterstützt werden:

  • Absoluter Zeitraum
  • Relativer Zeitraum

Alle anderen Zeitfilter werden nicht unterstützt.

Achtung: Bildumschaltungen mit ungültigen Zeitfilterkonfigurationen stehen in der HTML Web Engine nicht zur Verfügung. Buttons mit entsprechenden Aufrufen werden deaktiviert.

Chargen

Die Einstellungen der Registerkarte Chargen werden für die HTML Web Engine nicht unterstützt.

Spalteneinstellungen

Die Einstellungen der Registerkarte Spalteneinstellungen werden für die HTML Web Engine nicht unterstützt.

Druckereigenschaften

Die Einstellungen der Registerkarte Druckereinstellungen werden für die HTML Web Engine nicht unterstützt.

Kontrollelemente Diagramm

Gruppe | Untergruppe | Einstellungen und Anmerkungen
Darstellung |  | Die Konfiguration der Darstellung wird für die HTML Web Engine nicht unterstützt. Das Verhalten ist fix vorgegeben.
Linien |  | Die Konfiguration der Linien wird für die HTML Web Engine nicht unterstützt. Das Verhalten ist fix vorgegeben.
Füllung |  | Die Konfiguration von Füllungen wird für die HTML Web Engine nicht unterstützt. Das Verhalten ist fix vorgegeben.

Noch in diesem Kapitel

Datenverdichtung


Datenverdichtung

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Bild vom Typ Erweiterter Trend > Datenverdichtung

Für die Darstellung im Erweiteren Trend werden Daten unter bestimmten Bedingungen verdichtet. Damit wird die Schnelligkeit der Darstellung über die HTML Web Engine beschleunigt, so dass sie jener in der zenon Runtime entspricht.

Ablauf:

  • Die maximale Anzahl der darzustellenden Variablen wird durch die Breite der Schablone in Pixel bestimmt, auf der das Bild beruht.
  • Werden bei einer Archivabfrage weniger Variablen zurückgegeben als Pixel vorhanden sind, erfolgt keine Verdichtung.
  • Übersteigt die Anzahl der Archivvariablen die Schablonenbreite, dann wird eine Mittelwertbildung durchgeführt.
    Dazu wird die Zeitachse in Zeitbereiche eingeteilt.
    Die von der Runtime übergebenen Archivwerte werden in die jeweiligen Zeitbereiche eingeordnet. Über die Archivwerte innerhalb eines Zeitbereichs wird der Mittelwert berechnet. Befindet sich innerhalb eines Zeitbereichs kein Archivwert, wird dieser Zeitbereich gelöscht.
    Hinweis: Die Mittelwertbildung wird nicht nur für numerische Variablen durchgeführt, sondern auch bei Binärvariablen angewendet.
  • Nicht notwendige Variablen bleiben unberücksichtigt, da diese für die aktuelle Darstellung nicht benötigt werden. Dies reduziert Hintergrundberechnungen, spart Rechnerleistung und beschleunigt die Aufschaltzeit.
    Das passiert unabhängig von der Anzahl der Archivwerte und der Mittelwertbildung.
    Dazu werden 3 zeitlich aufeinanderfolgende Archivwerte einer Variable analysiert. Haben alle 3 Variablen den gleichen Wert, wird die mittlere Variable entfernt.
    Hat z. B. eine aufgezeichnete Archivvariable über den gesamten Abfragezeitraum den gleichen Wert, werden nur 2 Variablen (Anfang und Ende) dargestellt.

Hinweis: Bei einer Mittelwertbildung wird in der Regel die Trendlinie anders dargestellt als bei Rohwerten.


Automatischer Skript-Aufruf bei Start einer zenon Web Client Sitzung

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Automatischer Skript-Aufruf bei Start einer zenon Web Client Sitzung

Beim Starten einer HTML Web Client-Sitzung kann ein Skript automatisch aufgerufen werden. Damit kann zum Beispiel eine spezielle Startseite für die Webanwendung vorgegeben werden.

Für das Skript ist folgender Skript-Name reserviert: AUTOSTART_HTML_WEBCLIENT

Hinweis: Dieses Skript wird beim Sitzungsstart jedes HTML Web Client ausgeführt. Der Name des Skriptes darf nicht verändert werden.


Individueller Skript-Aufruf mittels URL-Erweiterung bei Start einer zenon Web Client Sitzung

Handbuch > HTML Web Engine > Projektieren im Editor > Unterstützte Funktionalitäten für die HTML Visualisierung > Individueller Skript-Aufruf mittels URL-Erweiterung bei Start einer zenon Web Client Sitzung

Die HTML Web Engine ermöglicht das individuelle Ausführen von zenon Funktionen im Zuge des Sitzungsstarts für einen HTML Web Client. Die Funktionsausführung erfolgt durch ein Skript, das über die Funktion Skript ausführen gestartet wird. Der Name der gewünschten Startfunktion wird in der URL für den Aufruf der Webseite mit dem Argument startfunction übermittelt. Die Funktion zur Ausführung des Skripts muss explizit für den Aufruf als URL-Startfunktion freigegeben werden.

Hinweis: Sämtliche Einstellungen, die für die Nutzung der URL-Startfunktion erforderlich sind, müssen zum Zeitpunkt der Kompilierung für das Web im Projekt vorhanden sein.

Ablauf für die Anwendung der Funktionalität:

  1. Der Aufruf der Webseite mit dem zusätzlichen Argument startfunction für den Aufruf der gewünschten Funktion Skript ausführen.
    Der Aufruf erfolgt mit dem Funktionsnamen.
  2. Sofern die Funktion für die Verwendung als URL-Startfunktion freigegeben wurde, erfolgt die Ausführung des zugewiesenen Skripts. Die Ausführung des Skripts erfolgt individuell für die vorliegende HTML Web Client Sitzung. Falls die angesprochene Funktion nicht existiert oder nicht freigegeben wurde, erfolgt der standardmäßige Webseiten-Aufruf. Die Sitzung wird entsprechend dem Aufruf ohne startfunction-Argument aufgebaut.

Hinweis: Dieser Screenshot steht nur in englischer Sprache zur Verfügung.

Für die Benennung des Funktionsnamens im Web gelten folgende Einschränkungen:

Erlaubt | Verboten
Alphanumerische Zeichen (0-9, a-z, A-Z) | Umlaute
$ - _ . + ! * ' ( ) , | ASCII Steuerzeichen (0x00-0x1F;0x7F)
 | Reservierte Zeichen (& / : ; ? @)
 | Unklare Zeichen (wie Leerzeichen und " ' < > # % { } I \ ^ ~ [ ])


Projekt für Web kompilieren

Handbuch > HTML Web Engine > Projekt für Web kompilieren

Mit dem Web Engine Compiler werden aus einem zenon Projekt heraus jene Daten generiert, die die HTML Web Engine benötigt, um die HTML5 Inhalte für den zenon Web Client zur Verfügung zu stellen. Beim Übersetzungsvorgang dieser Projektdaten überprüft der Web Engine Compiler die Projektinhalte und gibt Auskunft über nicht unterstützte Funktionen oder Eigenschaften. Als Resultat des Übersetzungsvorgangs entsteht eine Datei, die der Web Engine zur Verfügung gestellt wird.

Um den Web Engine Compiler zu öffnen:

  1. Klicken Sie in der Menüleiste des Editors auf Optionen.
  2. Klicken Sie auf Projekt für Web kompilieren...

    Der Dialog zum Kompilieren des Projekts wird geöffnet.
    Hinweis: Dieser steht nur in Englisch zur Verfügung.

Dialog HTML Web Engine Compiler

Option | Beschreibung
Please select the target directory for the Web Engine data file | Wählen Sie hier ein Verzeichnis zum Speichern der Web Engine Datei aus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners.
Open folder in File Explorer | Öffnet den ausgewählten Ordner im Windows Explorer.
Progress | Zeigt beim Kompilieren Warnungen, Fehlermeldungen und Informationen an.
Copy to clipboard | Kopiert den Inhalt des Ausgabefensters Progress in die Zwischenablage.
Open Web Engine Compiler LOG file | Öffnet die Web Engine Compiler LOG-Datei. Diese enthält die Meldungen aus dem Ausgabefenster Progress.
Start compilation | Startet den Kompiliervorgang.
Close | Schließt den Web Engine Compiler.


Ablauf einer HTML Web Engine Sitzung

Handbuch > HTML Web Engine > Ablauf einer HTML Web Engine Sitzung

Nach erfolgreichem Kompilieren der Projektdaten, steht die HTML Visualisierung zur Verfügung.
Um die Webseite aufzurufen:

  1. Öffnen Sie einen HTML5 kompatiblen Web Browser.
    Die Liste der empfohlenen Web Browser, finden Sie im Kapitel Systemvoraussetzungen.
  2. Geben Sie in die Adressleiste des Web Browsers die Webseiten-URL für die HTML5 Visualisierung ein: https://Serveradresse/<Applikationsname>.

    Die Bereitstellung der HTML5 Inhalte erfolgt automatisch. Dabei wird für jeden zenon Web Client eine eigene Sitzung erstellt und verwaltet. Die Laufzeitdaten der zenon Runtime stehen zur Verfügung, sobald Sie als Benutzer erfolgreich authentifiziert wurden. Mehr Details dazu lesen Sie im Kapitel Client Authentifizierung für eine Verbindung zur Runtime.

  3. Sobald Sie die Webseite verlassen, werden die HTML Web Engine Sitzung und die Verbindung zur zenon Runtime automatisch abgebaut.

Hinweis: Das Verlassen der Webseite erfolgt unter anderem durch Schließen des Web Browsers, Schließen der Registerkarte, Aktualisierung der Ansicht oder erneute Eingabe der URL.


Systemdiagnose und Fehlersuche

Handbuch > HTML Web Engine > Systemdiagnose und Fehlersuche

Sollte es beim Systemstart oder Betrieb zu Problemen kommen, werden am HTML Web Client Fehlermeldungen angezeigt, die Auskunft über die mögliche Problemursache geben. Die Protokollierungsstufe der Fehlermeldungen hängt davon ab, wie die HTML5 Webseite aufgerufen wird:

  • Lokaler Web Browser: Sie erhalten detaillierte Meldungen.
    Dazu muss der Web Browser auf dem selben Rechner (mit der gleichen IP Adresse) laufen, auf dem auch die Web Engine betrieben wird.
  • Remote Browser: Allgemeine Meldungen.
    Das gilt bei einem Aufruf von einem anderen Gerät und/oder einer anderen IP-Adresse.

Checklisten

Für den fehlerfreien Systembetrieb

Zur allgemeinen Prüfung der Systemkonfiguration werden folgende Checks empfohlen:

  • HTML Web Engine wurde am IIS installiert. Das Web Engine Deployment wurde fehlerfrei durchgeführt. Der Web Server ist in Betrieb.
  • Visualisierungsdaten wurden mit dem Web Engine Compiler erzeugt. Es kommt zu keinen Fehlern beim Kompiliervorgang. Die resultierenden Daten des Web Engine Compilers stehen für den Zugriff durch die Web Engine bereit.
    Hinweis: Das Auftreten von Warnungen beeinflusst die Lauffähigkeit der HTML Web Engine nicht grundsätzlich. Es kann je nach Art der Warnung jedoch zu spezifischen Einschränkungen der projektierten Funktionalität kommen.
  • Die Versionen von Web Engine Compiler und HTML Web Engine sind identisch.
    Hinweis: Die vom Web Engine Compiler erzeugten Daten können nur von der HTML Web Engine (Web Applikation) mit gleicher Versionsnummer richtig interpretiert werden.

Für die Übertragung von Prozessdaten

Beachten Sie bei der Übertragung von Prozessdaten:

  • zenon Runtime und SCADA Runtime Connector wurden gestartet. Der SCADA Runtime Connector kann über das Netzwerk erreicht werden.
    Hinweis: Die Prozesse für zenon Runtime und SCADA Runtime Connector müssen im gleichen Benutzerkontext laufen.
  • Die Benutzer, mit denen die Authentifizierung erfolgt, müssen in der zenon Runtime verfügbar sein.


Import - Export

Handbuch > Import - Export

Teile eines Projekts (z.B Funktionen, Variablen, Bilder etc.) lassen sich in zenon importieren oder aus zenon exportieren. So können Elemente in anderen Projekten genutzt, gesichert oder extern bearbeitet werden.

Noch in diesem Kapitel

Allgemeines

Archive

Bilder

Benutzer

Datentypen

Funktionen

Menüs

Reaktionsmatrizen

Rezepte Standard

Rezeptgruppen

Variablen

Verriegelungen

Zeitsteuerung

Zuweisungen

Fehlermeldungen


Allgemeines

Handbuch > Import - Export > Allgemeines

Die exportierten Dateien können extern bearbeitet und in das gleiche oder ein anderes Projekt importiert werden.

attention Achtung

Einschränkungen:

  • Formeln:
    Import und Export über CSV oder dBase unterstützt keine treiberspezifischen Variableneinstellungen wie z.B. keine Formeln. Exportieren und importieren Sie diese über XML.
  • XML und Abwärtskompatibilität:
    Beim XML Import/Export ist keine Abwärtskompatibilität gegeben. Daten aus älteren zenon Versionen können übernommen werden. Die Übergabe von Daten aus neueren Versionen an ältere wird nicht unterstützt.

Folgende Funktionalitäten eines Projekts stehen für den Import/Export zur Verfügung:

  • Variablendefinition
    • Datentypen
    • Reaktionsmatrizen
    • Zuweisungen
  • Bilder
    • Schablonen
    • Schriften
  • Funktionen
    • Skript-Funktionen
  • Archivserver
  • Rezepte Standard
  • Rezeptgruppen Manager
  • Zeitsteuerung
  • Verriegelungen
  • Menü-Verwaltung
  • Benutzerverwaltung

Dabei lassen sich entweder alle Objekte eines Typs exportieren oder nur einzelne Objekte.

  • Alle Objekte: Klicken Sie im Projektmanager den gewünschten Knoten -> Kontextmenü Alle als XML exportieren...
  • Einzelne Objekte: Auswahl eines oder mehrerer Objekte in der Detailansicht -> Auswahl als XML exportieren

Die Objekte werden beim Import/Export nach ihrem Namen identifiziert, nicht nach ihrer internen ID, d.h. wenn Objekte in ein anderes Projekt importiert werden, haben sie dort nicht die gleiche interne ID!

Ein Fortschrittsbalken zeigt den jeweiligen Status beim Import/Export an.

attention Achtung

Wenn beim Import im Projekt ein Element gleichen Namens bereits existiert, so wird es durch das Element aus der Import-Datei überschrieben! (Einzige Ausnahmen sind die Datentypen.)

Die Eigenschaften der Objekte werden in der Export-Datei mit ihrer internen Bezeichnung aufgelistet, die auch für den Zugriff mit VBA verwendet wird.

Die einzelnen Eigenschaften werden in der Eigenschaften-Hilfe detailliert beschrieben.

Eigenschaften, die in der XML-Datei nicht vorhanden sind (z. b. gelöscht wurden), werden beim neuen Anlegen eines Elements mit den Default-Werten belegt. Bei bereits im Projekt vorhandenen Elementen werden die in der XML-Datei nicht vorhandenen Eigenschaften nicht verändert.

Example Beispiel

Eine Variable wird das erste Mal ohne Offset importiert. Der Offset wird mit dem Default-Wert 0 initialisiert. Mit dem S7-Import wird der Offset auf 100 geändert. Später wird die Variable ein zweites Mal importiert, wobei in der Import-Datei der Offset immer noch fehlt. Der Offset 100 bleibt erhalten.

attention Achtung

Die zu importierende XML-Datei muss konsistent sein. Beim Import der Datei erfolgt keine Plausibilitätsprüfung. Wenn in den importierten Daten Fehler sind, kann es zu unerwünschten Effekten im Projekt kommen bis hin zu Abstürzen.

Dies muss vor allem auch beachtet werden, wenn in einer XML-Datei nicht alle Eigenschaften vorhanden sind und diese dann durch Default-Werte gesetzt werden! Z. B.: Eine binäre Variable hat einen Grenzwert von 300.


Archive

Handbuch > Import - Export > Archive

Die Export-Datei für die Archive gliedert sich in:

Archivliste

Beim Import/Export der Archive werden die betroffenen Variablen oder Funktionen nicht automatisch mit exportiert/importiert. Es sollte gegebenen Falls darauf geachtet werden, dass vorher ein entsprechender Import/Export durchgeführt wird. Es können alle Archive gleichzeitig oder ausgewählte Archive exportiert/importiert werden.


Bilder

Handbuch > Import - Export > Bilder

Bilder exportieren

Mit den Bildern werden auch die darin enthaltenen Variablen und Funktionen exportiert. Die Export-Datei für die Bilder enthält:

  • Bilder
  • Schablonen
  • Symbole
  • Variablen
  • Funktionen

Um Bilder zu exportieren:

  1. markieren Sie die gewünschten Bilder
  2. wählen Sie im Kontextmenü der Detailansicht den Befehl Auswahl als XML exportieren...
    Alternative: wählen Sie im Kontextmenü des Knotens Bilder den Befehl Alle als XML exportieren...
  3. der Auswahldialog für den Speicherort wird geöffnet
  4. wählen Sie den gewünschten Speicherort
  5. vergeben Sie einen Namen
  6. achten Sie auf den Dateityp XML
  7. bestätigen Sie mit Klick auf die Schaltfläche Speichern

Die ausgewählten Bilder werden in eine XML-Datei exportiert und können jederzeit in dieses oder andere Projekte wieder importiert werden.

Bilder importieren

Um Bilder zu importieren:

  1. wählen Sie im Kontextmenü des Knotens Bilder oder der Detailansicht Bilder den Befehl XML importieren
  2. der Auswahldialog für den Speicherort wird geöffnet
  3. navigieren Sie zum Speicherort der gewünschten XML-Datei
  4. wählen Sie die gewünschte Datei aus
  5. bestätigen Sie den Import mit Klick auf die Schaltfläche Öffnen

Die Bilder werden importiert.

Namenskonflikt beim Import

Beim Importieren eines Bildes wird der in der XML-Datei hinterlegte Name (Attribut ShortName) für die Benennung des neu anzulegenden Bildes verwendet. Existiert bereits ein Bild mit demselben Namen, wird der Import unterbrochen und eine Fehlermeldung angezeigt:

Parameter | Beschreibung
Ja | Das in der Fehlermeldung genannte Bild wird beim Import durch das Bild aus der XML-Datei ersetzt. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Nein | Das in der Fehlermeldung genannte Bild wird nicht importiert, das bereits vorhandene Bild wird beibehalten. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Ja alle | Das in der Fehlermeldung genannte Bild wird beim Import durch das Bild aus der XML-Datei ersetzt. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Bilder werden ersetzt.
Nein alle | Das in der Fehlermeldung genannte Bild wird nicht importiert, das bereits vorhandene Bild wird beibehalten. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Bilder werden beibehalten.

Hinweis: Es wird nur der ShortName verwendet. Der Dateiname spielt für die Benennung des zu importierenden Bildes keine Rolle, kann also zur Konfliktlösung nicht verwendet werden.

Variablen und Funktionen in Bildern

Dynamische Elemente und Schablonen werden automatisch mit Bildern automatisch importiert. Variablen und Funktionen müssen vorher separat aus dieser Datei importiert werden.

Es werden dabei nur Variablen und Funktionen der ersten Ebene berücksichtigt, d.h. Variablen und Funktionen die direkt im Bild verknüpft sind. Da sich einerseits Funktionen auf Variablen beziehen können (z. B. Sollwert setzen) andererseits aber auch Variablen auf Funktionen (z. B. Grenzwert-Funktionen), kann es nötig sein, zuerst die Variablen, dann die Funktionen und dann noch einmal die Variablen zu importieren. Erst dann werden sämtliche Verknüpfungen korrekt übernommen.

Beispiel: Ein Bild enthält einen Button mit einer Funktion Sollwert absetzen auf eine Variable. Mit dem Bild wird die Funktion importiert, nicht aber die Variable.

info Info

Hier empfiehlt sich der Einsatz des XML Import Wizards.

Noch in diesem Kapitel

Schablonen

Schriften

Symbole


Schablonen

Handbuch > Import - Export > Bilder > Schablonen

Schablonen können unabhängig von den Bildern exportiert/importiert werden.

Die Schablonen werden mit den ursprünglich definierten Koordinaten (abhängig von der Auflösung auf dem Quellrechner) exportiert. Beim Import ist darauf zu achten, dass die Schablonen nicht automatisch an die Auflösung des Zielrechners angepasst werden.


Schriften

Handbuch > Import - Export > Bilder > Schriften

Beim Export von Schriften werden exportiert:

  • Schriftliste
  • Schriften

Alle diese Daten werden mit den Schriften automatisch importiert.


Symbole

Handbuch > Import - Export > Bilder > Symbole

Der Import/Export von Symbolen ist aus der Projekt-Symbolbibliothek und aus der Globalen Symbolbibliothek möglich. Es können einzelne, ausgewählte Symbole oder die gesamte Bibliothek importiert oder exportiert werden. Der Pfad für den Export ist frei wählbar.

Symbole exportieren

Um Symbole zu exportieren:

  1. markieren Sie die gewünschten Symbole
  2. wählen Sie im Kontextmenü der Detailansicht den Befehl Auswahl als XML exportieren....
    Alternative: wählen Sie im Kontextmenü des Knotens Projekt-Symbolbibliothek den Befehl Alle als XML exportieren...
  3. der Auswahldialog für den Speicherort wird geöffnet
  4. wählen Sie den gewünschten Speicherort
  5. vergeben Sie einen Namen
  6. achten Sie auf den Dateityp XML
  7. bestätigen Sie mit Klick auf die Schaltfläche Speichern

Die ausgewählten Symbole werden in eine XML-Datei exportiert und können jederzeit in dieses oder andere Projekte wieder importiert werden.

Symbole importieren

Um Symbole zu importieren:

  1. wählen Sie im Kontextmenü des Knotens oder der Detailansicht von Projekt-Symbolbibliothek oder in der Detailansicht der Globalen Symbolbibliothek den Befehl XML importieren...
  2. der Auswahldialog für den Speicherort wird geöffnet
  3. navigieren Sie zum Speicherort der gewünschten XML-Datei
  4. wählen Sie die gewünschte Datei aus
  5. bestätigen Sie den Import mit Klick auf die Schaltfläche Öffnen

Die Symbole werden importiert.

Namenskonflikt beim Import

Beim Importieren eines Symbols wird der in der XML-Datei hinterlegte Name (Attribut ShortName) für die Benennung des neu anzulegenden Symbols verwendet. Existiert bereits ein Symbol mit demselben Namen, wird der Import unterbrochen und eine Fehlermeldung angezeigt:

Parameter | Beschreibung
Ja | Das in der Fehlermeldung genannte Symbol wird beim Import durch das Symbol aus der XML-Datei ersetzt. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Nein | Das in der Fehlermeldung genannte Symbol wird nicht importiert, das bereits vorhandene Symbol wird beibehalten. Bei einem erneuten Konflikt wird die Fehlermeldung wieder aufgeschaltet.
Ja alle | Das in der Fehlermeldung genannte Symbol wird beim Import durch das Symbol aus der XML-Datei ersetzt. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Symbole werden ersetzt.
Nein alle | Das in der Fehlermeldung genannte Symbol wird nicht importiert, das bereits vorhandene Symbol wird beibehalten. Diese Einstellung wird bei weiteren Fehlern durch Namensgleichheiten automatisch verwendet. Alle betroffenen Symbole werden beibehalten.

Hinweis: Es wird nur der ShortName verwendet. Der Dateiname spielt für die Benennung des zu importierenden Symbols keine Rolle, kann also zur Konfliktlösung nicht verwendet werden.


Benutzer

Handbuch > Import - Export > Benutzer

Die Export-Datei für die Benutzer gliedert sich in:

Benutzerliste

Lokal im Projekt angelegte Benutzer können exportiert/importiert werden.

attention Achtung

Die Passwörter der Benutzer werden verschlüsselt exportiert! Daher können diese direkt in der Export-Datei nicht geändert werden.


Datentypen

Handbuch > Import - Export > Datentypen

Die Export-Datei für die Datentypen gliedert sich in:

Datentypliste

Siehe auch Abschnitt: Import von Variablen und Datentypen.

Noch in diesem Kapitel

Datentypen von Hand anlegen


Datentypen von Hand anlegen

Handbuch > Import - Export > Datentypen > Datentypen von Hand anlegen

attention Achtung

Nur für Experten

Sollte ein Datentyp von Hand in der XML-Datei angelegt werden, sollte die folgende Definition verwendet werden:

info Info

<Apartment ShortName=' zenon(R) type list' Version=' 0x00000000' >
<Type TypeID=' 3' IsComplex=' FALSE' >
<Name>UINT</Name>
</Type>
</Apartment>

Die restlichen Eigenschaften der Datentypdefinition sollten weggelassen werden.


Funktionen

Handbuch > Import - Export > Funktionen

Beim Import/Export der Funktionen werden die betroffenen Variablen, etc. nicht automatisch mit exportiert/importiert. Es sollte gegebenen Falls darauf geachtet werden, dass vorher ein Import/Export der betroffenen Objekte durchgeführt wird.

info Info

Ab zenon 6.50 werden Zeitinformationen in einer XML-basierten Funktion in UTC (Sekunden seit dem 01.01.1970, 0 Uhr). Diese betrifft z. B. Funktion Bildumschaltung auf folgende Bildtypen:

  • Alarmmeldeliste
  • Alarmmeldeliste Filter
  • Archiv-Nachbearbeitung
  • Chronologische Ereignisliste
  • Chronologische Ereignisliste Filter
  • Erweiterter Trend
  • Production & Facility Scheduler
  • Report
  • Zeitfilter

Bei älteren zenon Versionen als 6.50, wird diese Zeitinformation stringbasiert gespeichert (z. B. 02.01.1970 01:00:00).

Noch in diesem Kapitel

Skripte


Skripte

Handbuch > Import - Export > Funktionen > Skripte

Die Export-Datei für die Skripte gliedert sich in:

Skriptenliste

Beim Import/Export der Skripte werden die betroffenen Funktionen nicht automatisch mit exportiert/importiert. Es sollte gegebenen Falls darauf geachtet werden, dass vorher ein Funktionenimport/-export durchgeführt wird.

Jedes Skript scheint in der Export-Datei mit einer eigenen Sektion auf, die den Namen des Skripts und die Namen der verknüpften Funktionen beinhaltet.


Menüs

Handbuch > Import - Export > Menüs

Die Export-Datei für die Menüs gliedert sich in:

Menüliste

Beim Import/Export der Menüs werden die betroffenen Variablen, Funktionen, Hilfeseiten und Makros nicht automatisch mit exportiert/importiert. Es sollte gegebenenfalls darauf geachtet werden, dass vorher ein entsprechender Import/Export durchgeführt wird.


Reaktionsmatrizen

Handbuch > Import - Export > Reaktionsmatrizen

Die Export-Datei für die Reaktionsmatrizen gliedert sich in:

Reaktionsmatrizenliste


Rezepte Standard

Handbuch > Import - Export > Rezepte Standard

Die Export-Datei für die Standard Rezepte gliedert sich in:

Rezeptliste

Variablenliste

Treiberliste

Datentypliste

Mit den Standard Rezepten werden also auch die darin enthaltenen Variablen exportiert. Die Rezepte werden automatisch importiert. Die Variablen müssen vorher separat aus dieser Datei importiert werden.

Zusätzlich zum XML Import/Export steht bei den Standard Rezepten auch ein ASCII Import zur Verfügung.
Achtung: Beim ASCII-Import können Rezepte nur einzeln importiert werden.

Beim Rezept wird der Rohwert gespeichert. Dieser wird über VBA und beim Export von Rezepten über XML verwendet.


Rezeptgruppen

Handbuch > Import - Export > Rezeptgruppen

Die Export-Datei für die Rezepte des Rezeptgruppen Managers gliedert sich in:

  • Rezeptgruppenliste

Beim Import/Export der Rezeptgruppen und ihrer Rezepte werden die betroffenen Variablen nicht automatisch mit exportiert/importiert. Es sollte gegebenenfalls darauf geachtet werden, dass vorher ein Variablenimport/-export durchgeführt wird.

Die XML-Datei ist auf der Basis von Rezeptgruppen aufgebaut, d.h. es werden einzelne Rezeptgruppen importiert (mit deren Variablen und Rezepten und Rezeptwerten). Nach einem Import werden bestehende Rezeptwerte, welche nicht im Importfile stehen, noch vorhanden sein. Gleiches gilt für Rezepte und verknüpfte Variablen.

Beim Import eines einzelnen Rezeptes aus der Rezeptgruppe gilt: Die zugehörige Rezeptgruppe muss ausgewählt sein. Eine entsprechende Meldung wird im Ausgabefenster angezeigt.

info Info

Der RGM unterstützt neben XML auch den ASCII-Import von Rezepten.
Achtung: Beim ASCII-Import können Rezepte nur einzeln importiert werden.


Variablen

Handbuch > Import - Export > Variablen

Variablen können mit zenon exportiert und importiert werden:

  • XML: Export und Import; beim Import werden die Daten analysiert und bei Konflikten Lösungsmöglichkeiten angeboten
  • CSV: Export und Import; beim Import werden vorhandene Daten überschrieben
  • DBF: Export und Import; beim Import werden vorhandene Daten überschrieben
  • S7: Import
  • TwinCAT Projekt: Import

info Info

Beim Import/Export mittels CSV können keine komplexen Variablen (Strukturvariablen, Arrays) importiert oder exportiert werden.

Export

Die Export-Datei für die Variablen gliedert sich in:

  • Variablenliste
  • Treiberliste
  • Datentypliste

Mit den Variablen werden also auch die Treiber und die Datentypen exportiert. Siehe auch Handbuch Variablen, Kapitel Daten exportieren.

attention Achtung

Auch in einer XML-Datei muss unbedingt ein Treiber angegeben sein, sonst werden keine Variablen importiert! Zu beachten ist auch, dass die Treibereigenschaften in der XML-Datei projektabhängig sind.

Import

Beim Import von Variablen wird von zenon eine Dialogbox geöffnet, in der ein Quelltreiber aus der XML-Datei einem Zieltreiber im Projekt zugeordnet werden kann. Alle Variablen des Quelltreibers werden dann als Variablen für den Zieltreiber importiert. Die Datentypen werden mit den Variablen automatisch importiert. Die Treiber müssen vor dem Import im Projekt angelegt sein. Siehe Abschnitt Import von Variablen und Datentypen.

attention Achtung

Änderungen für Variablen werden in einer unsortierten Liste gesammelt. Daher kann nur eine Änderung pro Variable je Import übernommen werden. Sollen mehrere Änderungen pro Variable übernommen werden, muss dies über mehrere Import-Vorgänge realisiert werden.

Beispiel: Wenn die gleiche Variable im gleichen Import-Vorgang sowohl umbenannt als auch gelöscht werden würde, kann der Import zu einer nicht gelöschten, aber umbenannten Variable in der Projektierung führen.

Import von Struktur-Variablen:

Strukturen

Strukturen, die sich von bestehenden unterscheiden, können in bereits bestehende Strukturen importiert werden. Darauf basierende Variablen werden automatisch angepasst:

  • Die Strukturelemente werden über ihren Namen identifiziert.
  • Bei bereits bestehenden Strukturelementen wird der Typ angepasst, sofern er sich unterscheidet.
  • Nicht bestehende Elemente werden hinzugefügt.
  • Elemente, die es im neuen Strukturdatentyp nicht gibt, werden entfernt.

Inaktive Variablen

Beim Import von Strukturvariablen werden sowohl aktive als auch inaktive Variablen importiert. Vorhandene Elemente werden beim Import nicht überschrieben. Wird also in einem Projekt eine inaktive Variable importiert und anschließend aktiviert, bleibt sie auch nach einem erneuten XML-Import aktiv.

Noch in diesem Kapitel

Import und Export von Variablen und Datentypen

XML-Import

CSV-Import

CSV-Export

S7-Projekt

dBase Import und Export


Import und Export von Variablen und Datentypen

Handbuch > Import - Export > Variablen > Import und Export von Variablen und Datentypen

Für den Import/Export von Variablen gilt:

  • Der Import/Export darf nicht aus dem Globalprojekt gestartet werden.
  • Der Start erfolgt über:
    • Kontextmenü zu Variablen oder Datentyp im Projektbaum
    • oder Kontextmenü einer Variablen oder eines Datentyps
    • oder Symbol in der Symbolleiste Variablen

attention Achtung

Beim Import/Überschreiben von existierenden Datentypen werden alle Variablen geändert, die auf diesem existierenden Datentyp basieren.

Beispiel:

Es existiert ein Datentyp XYZ abgeleitet vom Typ INT mit Variablen, die auf diesem Datentyp basieren. Ihre zu importierende XML-Datei enthält ebenfalls einen Datentyp mit Namen XYZ, allerdings abgeleitet vom Typ STRING. Wird dieser Datentyp importiert, so wird der existierende Datentyp überschrieben und bei allen auf ihm basierenden Variablen der Typ angepasst. D.h. die Variablen sind jetzt STRING- und keine INT-Variablen mehr.


XML-Import

Handbuch > Import - Export > Variablen > XML-Import

Beim XML- Import von Variablen oder Datentypen werden diese erst einem Treiber zugeordnet und dann analysiert. Vor dem Import entscheidet der Benutzer, ob und wie das jeweilige Element (Variable oder Datentyp) importiert werden soll:

  • Importieren:
    Das Element wird neu importiert.
  • Überschreiben:
    Das Element wird importiert und überschreibt ein bereits vorhandenes Element.
  • Nicht importieren:
    Das Element wird nicht importiert.

Hinweis: Beim Import werden die Aktionen und deren Dauer in einem Fortschrittsbalken angezeigt.

Voraussetzungen

Beim Import gelten folgende Bedingungen:

  • Abwärtskompatibilität

    Beim XML Import/Export ist keine Abwärtskompatibilität gegeben. Daten aus älteren zenon Versionen können übernommen werden. Die Übergabe von Daten aus neueren Versionen an ältere wird nicht unterstützt.

  • Konsistenz

    Die zu importierende XML-Datei muss konsistent sein. Beim Import der Datei erfolgt keine Plausibilitätsprüfung. Weisen die importierten Daten Fehler auf, kann es zu unerwünschten Effekten im Projekt kommen.

    Dies muss vor allem auch beachtet werden, wenn in einer XML-Datei nicht alle Eigenschaften vorhanden sind und diese dann durch Default-Werte ersetzt werden. Z. B.: Eine binäre Variable hat einen Grenzwert von 300.

  • Struktur-Datentypen

    Struktur-Datentypen müssen über die gleiche Anzahl von Strukturelementen verfügen.
    Beispiel: Ein Strukturdatentyp im Projekt hat 3 Strukturelemente. Ein gleichnamiger Datentyp in der XML-Datei hat 4 Strukturelemente. Dann wird keine der auf diesem Datentyp basierenden Variablen der Datei in das Projekt importiert.

Noch in diesem Kapitel

Treiber zuordnen

Treiberobjekttyp zuordnen

Import

XML-Datei der exportierten Variablen extern bearbeiten


Treiber zuordnen

Handbuch > Import - Export > Variablen > XML-Import > Treiber zuordnen

Mit dem Befehl Import wird der Dialog zur Treiberzuordnung geöffnet.

Um einen Treiber neu zuzuordnen:

  1. Markieren Sie den Treiber in der Zuordnungstabelle.
  2. Markieren Sie den gewünschten Treiber in der Liste des aktuellen Projekts.
  3. Klicken Sie auf Treiber zuordnen.

Um einen Treiberobjekttyp neu zuzuordnen:

  1. Markieren Sie den Treiber in der Zuordnungstabelle.
  2. Klicken Sie auf Treiberobjekttypen zuordnen.

    Der Dialog zur Zuordnung von Treiberobjekttypen wird geöffnet.

Um eine Treiberzuordung aufzuheben:

  1. Markieren Sie den Treiber in der Zuordnungstabelle.
  2. Klicken Sie auf Treiberuuordnung aufheben.

Dialog Treiberzuordnung

Parameter | Beschreibung
Zuordnungstabelle | Zeigt die aktuelle Zuordnung an.
Treiberobjekttyp zuordnen | Öffnet den Dialog zur Zuordnung der Treiberobjekttypen.
Treiberzuordnung aufheben | Löst bestehende Zuordnungen.
Treiberliste | Listet alle bestehenden Treiber des Projekts auf.
Neuen Treiber anlegen | Öffnet Dialog, um neuen Treiber anzulegen.
Treiber zuordnen | Ordnet den ausgewählten Treiber der Treiberliste dem in der Zuordnungstabelle ausgewählten Treiber zu
OK | Übernimmt Einstellungen, schließt den Dialog und startet den Import.
Abbrechen | Verwirft Einstellungen und schließt den Dialog ohne zu importieren.
Hilfe | Öffnet Online-Hilfe.

Neuen Treiber erstellen

Während des Imports können über die Schaltfläche Neuer Treiber neue Treiber angelegt und zugeordnet werden. Dabei wird der Dialog zum Anlegen und Konfigurieren neuer Treiber geöffnet.


Treiberobjekttyp zuordnen

Handbuch > Import - Export > Variablen > XML-Import > Treiberobjekttyp zuordnen

Um einen Treiberobjekttyp neu zuzuordnen:

  1. Markieren Sie den Quelltreiber.
  2. Wählen Sie den Treiberobjekttyp des Zieltreibers.
  3. Klicken Sie auf Treiberobjekttyp zuordnen.

Um die Zuordnung eines Treiberobjekttyps aufzuheben:

  1. Markieren Sie den Quelltreiber.
  2. Klicken Sie auf Zuordnung aufheben.

Dialog Zuordnung Treiberobjekttypen

Option | Beschreibung
Zuordnungstabelle | Zeigt die aktuelle Zuordnung an.
Zuordnung aufheben | Löst bestehende Zuordnungen.
Treiberobjektypen des Zieltreibers | Liste der zur Verfügung stehenden Treiberobjekttypen.
Treiberobjektyp zuordnen | Ordnet den ausgewählten Treiberobjektyp des Zieltreibers dem in der Zuordnungstabelle ausgewählten Treiberobjektyp zu.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Import

Handbuch > Import - Export > Variablen > XML-Import > Import

Vor dem Import der Variablen, werden der Status und Konflikte angezeigt.

Konflikte

Folgende Konflikte können angezeigt werden:

  • Der Datentyp existiert bereits und die zugehörige Variable kann nicht auf den zu importierenden Datentyp konvertiert werden.
  • Der Datentyp ist komplex und die Elemente des existierenden unterscheiden sich von dem zu importierenden durch Anzahl oder Name.
  • Der Datentyp ist komplex, die Elemente sind zwar gleich, aber unterscheiden sich in ihren Datentypen wobei eine Konvertierung zugehöriger Variablen nicht möglich ist.
  • Die Variable ist von einem Typ, der nicht importiert werden kann (s.o.).
  • Die Variable ist von einem anderen Typ als die bestehende (einfach/komplex).
  • Die Treiberzuordnung für die Variable ist nicht korrekt (der zugeordnete Treiber unterstützt die entsprechende Datenart und/oder den entsprechenden Bereich nicht).

Dialog für Import

Option

Beschreibung

Zu importierende Elemente

Liste der Elemente, die importiert werden sollen.

Bei komplexen Variablen werden die zugehörigen einfachen Variablen angezeigt. Strukturierte Typen können aufgeklappt werden und zur Information werden die Elemente des Strukturdatentyps angezeigt.

Symbole zeigen den Import-Status an.

  • Grün: Das Element kann importiert werden.
  • Blau: Ein Konflikt muss gelöst werden.
    Zum Beispiel: Der Datentyp der Variable kann nicht importiert werden.
  • Gelb: Es besteht ein Konflikt. Das Element wird importiert und überschreibt ein bereits vorhandenes Element.
    Zum Beispiel: Ein Element mit gleichem Namen, aber anderen Einstellungen ist vorhanden. Oder ein identes Element ist vorhanden.

Rot: Es besteht ein Konflikt. Das Element wird nicht importiert.

Import-Details

Beschreibt den Importstatus und bietet Lösungsmöglichkeiten bei Konflikten an.

Beschreibung

Beschreibt den Status des Elements.

Mögliche Aktionen

Erklärt die möglichen Aktionen.

Aktion

Auswahl der gewünschten Aktion aus Dropdownliste.

Ist nur eine mögliche Aktion zulässig, dann ist diese vorausgewählt und lässt sich nicht ändern.

Mögliche Aktionen:

  • Importieren: Das Element wird importiert.
    Steht zur Verfügung, wenn die Variable oder der Datentyp noch nicht im Projekt existieren. Das Element wird im Projekt neu angelegt.
  • Nicht importieren: Das Element wird nicht importiert.
    Steht zur Verfügung, wenn die Variable oder der Datentyp bereits existieren.
  • Überschreiben: Das Element wir importiert und überschreibt eine bereits bestehende Version.
    Steht zur Verfügung, wenn die Variable oder der Datentyp bereits existieren und überschrieben werden dürfen.

OK

Übernimmt gewählte Aktionen, schließt den Dialog und importiert die dazu ausgewählten Variablen.

Abbrechen

Verwirft Eingaben und bricht den Import der Variablen ab.


XML-Datei der exportierten Variablen extern bearbeiten

Handbuch > Import - Export > Variablen > XML-Import > XML-Datei der exportierten Variablen extern bearbeiten

XML-Dateien können nach dem Export oder vor dem Import mit einem externen Programm bearbeitet werden.

attention Achtung

Das externe Bearbeiten von XML-Dateien ist nur für Experten gedacht.
Fehlerhafte Importe können Ihr Projekt beschädigen oder zerstören. Legen Sie vor jeder Bearbeitung eine Projektsicherung an.

Die Header-Definition muss folgende Attribute enthalten:

Parameter | Beschreibung
ShortName | Name der Variable
DriverID | ID des Treibers Die Kennung ist für jeden Treiber projektabhängig. Die genaue Kennung des Treibers erhalten Sie, indem Sie in Ihrem Projekt einen Treiber und eine zugehörige Variable anlegen und mittels XML exportieren.
TypeID | ID für den Datentyp ACHTUNG: die TYPEID ist auch projektabhängig. Details finden Sie unter Import für Datentypen.
HWObjectType | Kennung für den Treiberobjekttyp Hier wird der Bereich auf der Steuerung definiert z. B. Datenbaustein Bereich, Merker Bereich, Ausgang, Eingang, usw. Nicht jeder Treiber unterstützt alle Objekttypen. Welcher Treiber welchen Objekttyp unterstützt, sehen Sie in der jeweiligen Dokumentation des Treibers. Die genauen Kennungen sind in der Kategorie tpKanaltypes im VBA Objektkatalog aufgelistet.
HWObjectName | Name für den Treiberobjekttyp Redundante Information zu HWObjectType. Diese Eigenschaft dient nur der Information.
IsComplex | TRUE = Strukturvariable FALSE = einfache Variable
Matrix | Name der verknüpften Reaktionsmatrix Diese Eigenschaft ist leer, wenn keine Reaktionsmatrix verknüpft ist.

Syntax-Beispiele für die Bearbeitung der XML-Datei:

Nr. | Beispiel | Ausdruck | Kommentar
1. | Anlegen einer neuen Variablen beim Importieren | <Variable ShortName='WIZ_VAR_10' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> |
2. | Löschen einer bestehenden Variablen beim Importieren | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> | War die Variable im zenon Projekt vorhanden wird diese unter Verwendung des Attributes Delete gelöscht. Bitte achten Sie darauf, dass das Attribut nicht leer ist. Das heißt, es muss z. B. TRUE oder FALSE enthalten. Der Inhalt des Eintrages wird in diesem Fall nicht ausgewertet.
3. | Umbenennen einer bestehenden Variablen beim Importieren | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix='' NewName='Standard_1'> | Beim Umbenennen wird die Variable zunächst importiert, und danach erst umbenannt. Sie können also auf Wunsch der Variable geänderte Eigenschaften übertragen, und diese gleichzeitig umbenennen. Existiert eine Variable mit dem neuen Namen bereits, schlägt das Umbenennen fehl. Ein Eintrag im Ausgabefenster gibt Ihnen darüber Auskunft.


CSV-Import

Handbuch > Import - Export > Variablen > CSV-Import

Variablen können mit zenon in CSV-Dateien exportiert und aus CSV-Dateien importiert werden, zum Beispiel um sie in Microsoft Excel weiter zu bearbeiten. In CSV exportierte Variablen werden immer als TXT-Datei im Unicode-Format gespeichert.

Wurden beim Export die Kompatibilitätsgrenzen von Microsoft Excel überschritten und der Export trotz Warnung durchgeführt, enthält die zu importierende TXT-Datei nicht alle exportierten Daten.

Spezifikation des Formats

  • Trennzeichen: Tab
  • Dateiendung: .txt
  • Codierung: Die exportierte Datei ist Unicode kodiert. Die zu importierende Datei muss ebenfalls Unicode kodiert sein.

info Info

Import und Export über CSV oder dBase unterstützt keine treiberspezifischen Variableneinstellungen wie z. B. Formeln. Nutzen Sie dafür den Export/Import über XML.

Kompatibilität mit Microsoft Excel

Export nach Excel

Um exportierte Variablen in CSV-Dateien korrekt in Microsoft Excel importieren zu können, beachten Sie:

  • Format:
    Damit Microsoft Excel das richtige Dezimaltrennzeichen verwendet, muss bei den Regional- und Sprachoptionen im Betriebssystem das Format auf Englisch eingestellt sein. Achtung: Diese Einstellung ist bei Verwendung von Dezimaltrennzeichen zwingend, da die Werte sonst falsch interpretiert oder gespeichert werden.
  • Unicode:
    Die Dateien müssen in Microsoft Excel als Unicode Text (.txt) gespeichert werden. Gespeichert werden sie als TXT-Dateien. Unter älteren Microsoft Excel Versionen kann die Bezeichnung auch leichte Abweichungen aufweisen.
    Achtung: Wird ein anderes Format verwendet, können die Daten nicht mehr korrekt importiert werden!
  • @ Zeichen:
    Microsoft Excel interpretiert @ Zeichen in einer Zelle nicht als Text und lässt deshalb eventuell keine Bearbeitung zu. Um Zellen mit @ Zeichen bearbeiten zu können, muss der Zelltyp (Kategorie) von Standard auf Text umgestellt werden. Dazu
    • markieren Sie die Zelle oder die Spalte
    • wählen Sie nach einem Rechtsklick auf die Zelle im Kontextmenü den Befehl Zellen formatieren
    • stellen Sie im Dialog die Kategorie auf Text
  • Maximalwerte:
    • Microsoft Excel 97-2003: 65536 Zeilen, 256 Spalten
    • Microsoft Excel 2007: 1048576 Zeilen, 16384 Spalten

attention Achtung

Bei mehr als 16384 oder 256 Spalten und bei mehr als 1048576 oder 65536 Zeilen erscheint jeweils eine Abfrage ob entsprechend weniger dynamische Eigenschaften (wenn möglich) exportiert werden sollen. Bei Auswahl der Limitierung werden dann so viele dynamische Eigenschaften wie möglich exportiert.

Statische Eigenschaften werden nicht limitiert.

Reicht das Entfernen der dynamischen Eigenschaften nicht aus, so erscheint zusätzlich ein entsprechender Hinweis.

Bei der maximalen Anzahl an Variablen muss berücksichtigt werden, dass die Kopfzeile eine eigene Zeile benötigt.

Import aus Excel

Beim Import aus Excel darf die letzte (leere) Zeile nicht gelöscht werden, sonst kann die CSV-Datei nicht in zenon importiert werden.

Noch in diesem Kapitel

Mindestvoraussetzungen

Variablen beim Import löschen oder umbenennen

Kompatibilität mit Microsoft Excel

Beispiel für Import


Mindestvoraussetzungen

Handbuch > Import - Export > Variablen > CSV-Import > Mindestvoraussetzungen

Definition der Formate

Format | Inhalt
VariableName | Name, den die Variable tragen soll
DriverName | Bezeichnung des vorhandenen Treibers
DriverType | Typ des vorhandenen Treibers
HWObjectType | Nummer des Treiberobjekttyps. Diese ist - im Gegensatz zum sprachabhängigen Namen - immer eindeutig. Die Nummer kann entweder durch Export einer entsprechenden Variablen oder mit Hilfe der Treiber-Dokumentation herausgefunden werden.
TypeName | Name des vorhandenen Datentyps

Inhalte

  • Treiber vom importierten DRIVERTYPE und dem importierten DRIVERNAME muss existieren:
    Kann kein Treiber mit dem DRIVERTYPE und dem DRIVERNAME gefunden werden, wird versucht, die Variable mit einem ähnlichen Treiber zu verknüpfen. Dabei wird zuerst nach einem Treiber nur mit dem DRIVERTYPE, danach nur mit dem DRIVERNAME gesucht. Kann auf diese Weise kein Treiber für eine Zuordnung gefunden werden, wird versucht die Variable mit dem Intern Treiber, danach mit einem vorhandenen Treiber zu verknüpfen. Wenn kein Treiber vorhanden ist oder der Variable kein Treiber zugeordnet werden kann, wird die Variable nicht importiert. Mit dem Dialog Treiber-Zuordnung (siehe Kapitel Import von Variablen und Datentypen) kann die entsprechende Verknüpfung noch vor dem Import der Variablen erstellt und/oder geändert werden. Dieser Dialog wird nach Auswahl der zu importierenden Datei geöffnet.
  • Simpler Datentyp mit dem importierten TYPENAME und dem importierten HWOBJECTTYPE:
    Ist der Datentyp mit dem entsprechenden TYPENAME nicht vorhanden, wird die Variable nicht importiert. Nachdem alle weiteren Variablen abgearbeitet oder importiert wurden, wird im Ausgabefenster gemeldet, wie viele Variablen aufgrund von fehlenden Datentypen nicht importiert werden konnten.

Header

Es muss eine Kopfzeile existieren, welche die Eigenschaftswerte beschreibt:
Die Kopfzeile beschreibt die Eigenschaften auf Spaltenbasis. Der erste Eintrag in der Kopfzeile gilt immer für den ersten Eintrag bei den Werten, der zweite Eintrag in der Kopfzeile gilt immer für den zweiten Eintrag bei den Werten usw. Die Anzahl der Felder der Kopfzeile muss der maximal vorkommenden Anzahl an Feldern der gesamten Datei entsprechen.

  • Die Kopfzeile
    muss nicht in der ersten Zeile des Files stehen, muss aber die erste oder oberste Zeile von allen Zeilen sein.
  • Groß-/Kleinschreibung
    • spielen in der Kopfzeile keine Rolle.
    • wird bei Eigenschaftswerten berücksichtigt.
  • Die Kopfzeile muss durchgängig und ohne Lücken sein.
    Befindet sich ein leeres Feld (Bereich zwischen Trennzeichen) im Header, wird der Import abgebrochen.
    Definition leeres Feld: Zwei aufeinander folgende Trennzeichen ohne Inhalt dazwischen.
  • Führende und abschließende Leerzeichen
    innerhalb eines Feldes (egal ob mit oder ohne Anführungszeichen) werden als solche interpretiert. Es werden keine Leerzeichen entfernt. Deshalb muss der Wert oder das Feld ganz genau stimmen.
  • Das Trennzeichen
    sollte am Ende einer Zeile nicht mehr vorkommen, außer es handelt sich um ein existentes Feld, das einen leeren Wert besitzt.
  • Sämtliche Felder (Bereich zwischen Trennzeichen), in denen das Trennzeichen vorkommt, müssen in Anführungszeichen stehen.
    Davon ist jeweils nur das entsprechende Feld betroffen. Die restlichen Felder, welche nicht diese Kriterien erfüllen, müssen auch nicht in Anführungszeichen stehen. Tabulator-Trennzeichen werden innerhalb eines Feldes, welches in Anführungszeichen steht, automatisch entfernt.
  • Wenn Anführungszeichen verwendet werden sollen,
    muss das gesamte Feld (Bereich zwischen Trennzeichen) in Anführungszeichen stehen und zusätzlich jedes gewollte Anführungszeichen direkt verdoppelt werden. Die Anzahl an Anführungszeichen muss also immer einer geraden Zahl entsprechen.
    Beispiele:
    • T"e"st wird zu "T""e""st",
    • "AB"C" wird zu """AB""C""",
    • AB"C wird zu "AB""C"
  • Nur zwei Anführungszeichen in einem Feld ohne Text dazwischen sind nicht für leere Werte gültig.
  • Leer gelassene Felder (2 direkt aufeinander folgende Trennzeichen)
    werden als für diese Spalte nicht existierender Eintrag interpretiert. Ist das Feld, einer für die Variable existierender Eigenschaft, leer und somit nicht gesetzt, wird der Vorgabewert dieser Eigenschaft verwendet.
  • Existieren weniger Felder für Werte als in der Kopfzeile festgelegt,
    werden die restlichen nicht existierenden Felder für Werte als leere Felder interpretiert.
  • Ist die Anzahl an Werten oder Felder
    in einer Zeile größer als die Anzahl an die in der Kopfzeile festgelegten Felder, so werden die letzten oder betroffenen Werte/Felder ignoriert.
  • Strichpunkt und Beistrich
    können in Feldern (ohne Anführungszeichen) beliebig verwendet werden.
  • Punkte
    werden bei numerischen Werten immer als Dezimaltrennzeichen gewertet.
  • Es dürfen leere Zeilen existieren.
    Diese werden ignoriert.

Namen, Verknüpfungen und Ersetzungen

  • Jede Variable muss ihren eigenen Namen in der Datei haben.
    Kommen mehrere Variablen mit dem gleichen Namen vor, so wird die erste importiert, alle weiteren werden ignoriert.
  • Verknüpfungen müssen existieren.
    Reaktionsmatrix, Funktionen, Variablen, Alarmbereiche, Alarm/Ereignis-Gruppen, Alarm/Ereignis-Klassen, Verriegelungen usw. werden beim Import nur verknüpft, wenn diese im Projekt auch existieren. Existiert das Element mit dem Namen nicht, so wird kein Element verknüpft. Wenn eine Eigenschaft nicht verknüpft werden kann, so werden die restlichen Eigenschaften davon unabhängig trotzdem importiert.
  • Dynamische Eigenschaften (wie zum Beispiel Grenzwerte) haben eine gemeinsame Identifizierung und eine Laufnummer.
    Die Laufnummer beginnt bei 0. Die Bezeichnung erfolgt ähnlich dem XML Export Format. (z. B.: Limits_8_Active, Limits_8_Text, Limits_8_LimitValue, …)
  • Array Variablen und Variablen von komplexen Datentypen werden weder exportiert, noch importiert.
  • Vorhandene komplexe Variablen werden beim Importieren nicht überschrieben.
  • Der Import einer Variable wird bei Existenz des gleichen Namens in einem Kindelement einer vorhandenen komplexe Variablen zugelassen. Wenn z. B. der Name der zu importierenden Variable ABC.DEF ist und die Variable DEF im zenon Editor ein Kind von der Variable ABC im Editor ist, so wird die Variable trotzdem eingefügt.
  • Alle Eigenschaften, die importiert oder exportiert werden, haben ähnliche Spalten-/Headernamen wie beim XML Import oder Export. Die Spalten-/Headernamen können am Leichtesten durch Export einer entsprechenden Variable herausgefunden werden.
  • Bei einigen Treibern gib es treiberspezifische Eigenschaften. Um die entsprechenden Spalten-/Headernamen herauszufinden eignet sich am besten ein Export einer Variable mit dem entsprechenden Treiber.

Beschränkungen

Eigenschaften, die nicht exportiert oder importiert werden:

  • ID_ComplexVariable
  • ID_Complex
  • HWObjectName
  • ID_DriverTyp
  • DriverID
  • TypeID
  • IsComplex
  • Alle IsLocal oder Flag Eigenschaften
  • IsSWProtokol, IsSW_Akt und IsSW_VBA


Variablen beim Import löschen oder umbenennen

Handbuch > Import - Export > Variablen > CSV-Import > Variablen beim Import löschen oder umbenennen

Beim Import können Variablen gelöscht oder umbenannt werden. Das Löschen erfolgt via Eintrag im Feld KANAL_D, das Umbenennen via Eintrag im Feld KANAL_R. Die zu löschende oder umzubenennende Variable wird im Feld VariableName definiert.

Variablen löschen

Variablen werden gelöscht, wenn im Feld KANAL_D und im Feld VariableName der CSV-Datei gültige Einträge erkannt werden.

Feld | Funktion | gültig, wenn
KANAL_D | Setzt Löschbefehl. | 1
VariableName | Name der zu löschenden Variablen | Eintrag, der nicht ausschließlich aus nichtdruckbaren Zeichen besteht

Zum Löschen können auch CSV-Dateien verwendet werden, die nur aus diesen beiden Feldern bestehen (Short-Format).

Variablen umbenennen

Variablen werden umbenannt, wenn im Feld KANAL_R und im Feld VariableName der CSV-Datei gültige Einträge erkannt werden.

Feld | Funktion | gültig, wenn
KANAL_R | Zu ersetzender Originalname der Variablen. | Eintrag, der nicht ausschließlich aus nichtdruckbaren Zeichen besteht
VariableName | Neuer Variablenname. | Eintrag, der nicht ausschließlich aus nichtdruckbaren Zeichen besteht

Zum Umbenennen können auch CSV-Dateien verwendet werden, die nur aus diesen beiden Feldern bestehen (Short-Format).

attention Achtung

Wird in einer Zeile sowohl die Umbenennung als auch die Löschung beauftragt, wird die Variable gelöscht.

Meldungen im Ausgabefenster

Werden beim CSV-Import Variablen gelöscht oder umbenannt, werden im Ausgabefenster des Editors Meldungen zum Erfolg oder Misserfolg der Aktionen ausgegeben:

Meldung

Level

Beschreibung

Umzubenennende Variable '%s' nicht vorhanden.

Warning

Die umzubenennende Variable, referenziert durch den im Feld KANAL_R angegebenen Variablennamen, existiert nicht.

Zu löschende Variable '%s' nicht vorhanden.

Warning

Die zu löschende Variable, referenziert durch den im Feld VariableName angegebenen Variablennamen, existiert nicht.

Die Variable '%s' wurde in '%s' umbenannt.

Normal

Die Variable wurde erfolgreich umbenannt.

Die Variable '%s' wurde gelöscht.

Normal

Die Variable wurde erfolgreich gelöscht.

%i von %i Variable(n) umbenannt.

Normal

oder Warning

Diese Meldung wird nur ausgegeben, wenn Umbenennungen durch gültige, also nicht leere KANAL_R Felder durchzuführen sind. Der erste Platzhalter (%i) entspricht der Anzahl der erfolgreich durchgeführten, der zweite Platzhalter der Anzahl der beauftragten Umbenennungen.

Konnten nicht alle Umbenennungen erfolgreich durchgeführt werden, wird die Ausgabe als Warnung formatiert.

%i von %i Variable(n) gelöscht.

Normal

oder

Warning

Diese Meldung wird nur ausgegeben, wenn Löschungen durch gültige KANAL_D Felder (numerischer Wert 1) durchzuführen sind. Der erste Platzhalter (%i) entspricht der Anzahl der erfolgreich durchgeführten, der zweite Platzhalter der Anzahl der beauftragten Löschungen.

Konnten nicht alle Löschungen erfolgreich durchgeführt werden, wird die Ausgabe als Warnung formatiert.


Kompatibilität mit Microsoft Excel

Handbuch > Import - Export > Variablen > CSV-Import > Kompatibilität mit Microsoft Excel

Export nach Excel

Um exportierte Variablen in CSV-Dateien korrekt in Microsoft Excel importieren zu können, beachten Sie:

  • Format:
    Damit Microsoft Excel das richtige Dezimaltrennzeichen verwendet, muss bei den Regional- und Sprachoptionen im Betriebssystem das Format auf Englisch eingestellt sein. Achtung: Diese Einstellung ist bei Verwendung von Dezimaltrennzeichen zwingend, da die Werte sonst falsch interpretiert oder gespeichert werden.
  • Unicode:
    Die Dateien müssen in Microsoft Excel als Unicode Text (.txt) gespeichert werden. Gespeichert werden sie als TXT-Dateien. Unter älteren Microsoft Excel Versionen kann die Bezeichnung auch leichte Abweichungen aufweisen.
    Achtung: Wird ein anderes Format verwendet, können die Daten nicht mehr korrekt importiert werden!
  • @ Zeichen:
    Microsoft Excel interpretiert @ Zeichen in einer Zelle nicht als Text und lässt deshalb eventuell keine Bearbeitung zu. Um Zellen mit @ Zeichen bearbeiten zu können, muss der Zelltyp (Kategorie) von Standard auf Text umgestellt werden. Dazu
    • markieren Sie die Zelle oder die Spalte
    • wählen Sie nach einem Rechtsklick auf die Zelle im Kontextmenü den Befehl Zellen formatieren
    • stellen Sie im Dialog die Kategorie auf Text
  • Maximalwerte:
    • Microsoft Excel 97-2003: 65536 Zeilen, 256 Spalten
    • Microsoft Excel 2007: 1048576 Zeilen, 16384 Spalten

attention Achtung

Bei mehr als 16384 oder 256 Spalten und bei mehr als 1048576 oder 65536 Zeilen erscheint jeweils eine Abfrage ob entsprechend weniger dynamische Eigenschaften (wenn möglich) exportiert werden sollen. Bei Auswahl der Limitierung werden dann so viele dynamische Eigenschaften wie möglich exportiert.

Statische Eigenschaften werden nicht limitiert.

Reicht das Entfernen der dynamischen Eigenschaften nicht aus, so erscheint zusätzlich ein entsprechender Hinweis.

Bei der maximalen Anzahl an Variablen muss berücksichtigt werden, dass die Kopfzeile eine eigene Zeile benötigt.

Import aus Excel

Beim Import aus Excel darf die letzte (leere) Zeile nicht gelöscht werden, sonst kann die CSV-Datei nicht in zenon importiert werden.


Beispiel für Import

Handbuch > Import - Export > Variablen > CSV-Import > Beispiel für Import

Für den Import einer Variable seien folgende Informationen in der Datei gegeben:

VariableName | DriverName | DriverType | HWObjectType | TypeName
Test | MeinTreiber | Intern | 33 | MeinDatentyp

Bevor die Datei importiert werden kann, muss sichergestellt werden, dass ein Treiber mit dem Namen „MeinTreiber" und dem Typ Intern im Projekt angelegt wurde. Dieser Treiber muss den Kanaltyp oder HWObjectType unterstützen. Zusätzlich muss der Datentyp „MeinDatentyp" existieren. Nach Auswahl der Datei für den Import, erscheint der Dialog für die Treiber-Zuordnung. Darin können alle zu importierenden Variablen eines im Projekt angelegten Treibers mit einem anderen Treiber verknüpft werden. Wenn der gleiche Treiber gewünscht ist, kann der Dialog direkt mit OK bestätigt werden. Danach erfolgt der Import der Variablen.


CSV-Export

Handbuch > Import - Export > Variablen > CSV-Export

Variablen können mit zenon in CSV-Dateien exportiert und aus CSV-Dateien importiert werden, zum Beispiel um sie in Microsoft Excel weiter zu bearbeiten.

Ausnahme: Komplexe Datentypen und Arrayvariablen dürfen nicht exportiert werden.

attention Achtung

Der Export erfolgt in eine Tabulator separierte Unicode Textdatei mit der Endung .txt statt .csv.

Hintergrund: Microsoft Excel speichert CSV Dateien als ANSI Text Datei mit; als Separator. Beim Speichern als CSV in Excel wird Unicode entfernt. Damit wären die Exportdaten für das Projekt irreparabel beschädigt.

Exportoptionen

  1. Export aller exportierbaren Variablen im Projekt
  2. Exportieren ausgewählter exportierbarer Variablen
    • nur verfügbar, wenn mindestens eine exportierbare Variable ausgewählt wurde

Beim Exportieren der Variablen wird ein Dialog zur Wahl des Speicherorts und des Dateinamens angeboten. Die Dateiendung ist fest mit .txt vorgegeben.

Befinden sich für das Verarbeiten in Microsoft Excel zu viele Eigenschaften in der zu exportierenden Datei, wird das weitere Vorgehen abgefragt:

  • Eigenschaften oder Zeilen abschneiden:
    Es werden dann zum Beispiel nur ein Teil der Grenzwerte oder nur ein Teil der Variablen exportiert (hängt vom Fall der Limitierung ab). In erster Linie werden Informationen nicht exportiert, die in älteren Microsoft Excel Versionen nicht verarbeitet werden können. Die exportierte Datei kann mit einem externen Programm bearbeitet werden.
  • Alle Eigenschaften exportieren
  • Export abbrechen

Kompatibilität mit Microsoft Excel

Export nach Excel

Um exportierte Variablen in CSV-Dateien korrekt in Microsoft Excel importieren zu können, beachten Sie:

  • Format:
    Damit Microsoft Excel das richtige Dezimaltrennzeichen verwendet, muss bei den Regional- und Sprachoptionen im Betriebssystem das Format auf Englisch eingestellt sein. Achtung: Diese Einstellung ist bei Verwendung von Dezimaltrennzeichen zwingend, da die Werte sonst falsch interpretiert oder gespeichert werden.
  • Unicode:
    Die Dateien müssen in Microsoft Excel als Unicode Text (.txt) gespeichert werden. Gespeichert werden sie als TXT-Dateien. Unter älteren Microsoft Excel Versionen kann die Bezeichnung auch leichte Abweichungen aufweisen.
    Achtung: Wird ein anderes Format verwendet, können die Daten nicht mehr korrekt importiert werden!
  • @ Zeichen:
    Microsoft Excel interpretiert @ Zeichen in einer Zelle nicht als Text und lässt deshalb eventuell keine Bearbeitung zu. Um Zellen mit @ Zeichen bearbeiten zu können, muss der Zelltyp (Kategorie) von Standard auf Text umgestellt werden. Dazu
    • markieren Sie die Zelle oder die Spalte
    • wählen Sie nach einem Rechtsklick auf die Zelle im Kontextmenü den Befehl Zellen formatieren
    • stellen Sie im Dialog die Kategorie auf Text
  • Maximalwerte:
    • Microsoft Excel 97-2003: 65536 Zeilen, 256 Spalten
    • Microsoft Excel 2007: 1048576 Zeilen, 16384 Spalten

attention Achtung

Bei mehr als 16384 oder 256 Spalten und bei mehr als 1048576 oder 65536 Zeilen erscheint jeweils eine Abfrage ob entsprechend weniger dynamische Eigenschaften (wenn möglich) exportiert werden sollen. Bei Auswahl der Limitierung werden dann so viele dynamische Eigenschaften wie möglich exportiert.

Statische Eigenschaften werden nicht limitiert.

Reicht das Entfernen der dynamischen Eigenschaften nicht aus, so erscheint zusätzlich ein entsprechender Hinweis.

Bei der maximalen Anzahl an Variablen muss berücksichtigt werden, dass die Kopfzeile eine eigene Zeile benötigt.

Import aus Excel

Beim Import aus Excel darf die letzte (leere) Zeile nicht gelöscht werden, sonst kann die CSV-Datei nicht in zenon importiert werden.


S7-Projekt

Handbuch > Import - Export > Variablen > S7-Projekt

Mit zenon können Step 7-Projekte importiert werden. Beim Import eines Step 7-Projekts werden die entsprechenden Variablen in zenon angelegt.

Für die Umwandlung von bestehenden Variablennamen aus Step 7-Projekten für den Import in zenon können verschiedene vorgegebene Regeln verwendet werden.

Redundanz

Pro Station (Rack) wird nur die erste gefundene CPU zum Import angeboten.

Noch in diesem Kapitel

Voraussetzungen für den Variablenimport von Step 7-Projekten

Importdialog S7-Projekt importieren

Variablen auswählen


Voraussetzungen für den Variablenimport von Step 7-Projekten

Handbuch > Import - Export > Variablen > S7-Projekt > Voraussetzungen für den Variablenimport von Step 7-Projekten

Um Variablen aus einem Step 7-Projekt in zenon importieren zu können:

  • Muss das Step 7-Projekt lokal auf der Festplatte oder im Netzwerk zur Verfügung stehen.
  • Darf das Step 7-Projekt nicht gleichzeitig von einem Step 7 Programmordner im S7 Simatic Manager geöffnet sein.
    Ist es dort geöffnet, schlägt der Import eventuell fehl, abhängig von den exklusiven Zugriffen, die sich der S7 Simatic Manager sichert. Es werden dann z.B. keine Stationen angezeigt.
  • Muss in Step 7 oder PC S7 alles übersetzt worden sein, damit alle Objekte in zenon übernommen werden können.
  • Müssen Step 7 Projekte ab Version 11 vor dem Import in zenon mit dem Variable Export Manager exportiert werden.

info Info

Beim Import von PCS7-Projekten muss für das jeweilige Projekt das Unterverzeichnis CSV_export existieren. Darin muss für jede Station des Projekts eine CSV-Datei mit dem gleichen Namen wie die Station vorhanden sein. Beim Import werden die hierarchischen Namen aus dieser Datei verwendet.

Besonderheiten beim Import ab Step 7, Version 11

Ab der Version 11 ist Step 7 Bestandteil des TIA Frameworks der Firma Siemens. Für den Variablenimport in zenon müssen die Variablen eines TIA Step 7-Projekts vor dem Import in zenon mit dem Variable Export Manager exportiert worden.

Noch in diesem Kapitel

Variable Export Manager

Benutzeroberfläche Variable Export Manager

Variablen Export - Variable Export Manager


Variable Export Manager

Handbuch > Import - Export > Variablen > S7-Projekt > Voraussetzungen für den Variablenimport von Step 7-Projekten > Variable Export Manager

Mit dem Variable Export Manager exportieren Sie Variablen aus Step 7 ab Version 11 und bereiten diese so für den Import in zenon vor.

Beachten Sie dabei, dass für die TIA Versionen 11, 12 und 13 unterschiedliche Variablen Export Manager zum Einsatz kommen.

Übersicht

  • Step 7 bis Version 11:
    Automatischer Import - keine Zusatzschritte notwendig.
  • Step 7 Version 11 und 12:
    Export eines S7 Projektes via CD_TIAProject_Exporter.exe
    (Ablageort: C:\Programme (x86)\COPA-DATA\zenon 8.00 SP0\)

    Import in zenon via Erweitertem Import.

  • Step 7 Version 13:
    Export eines S7 Projektes via CD_TIA13Project_Exporter.exe
    (Ablageort: C:\Program Files (x86)\COPA-DATA\zenon 8.00 SP0\)
    Import in zenon via Erweitertem Import.

Voraussetzungen

Um Variablen aus Step 7 Projekten für den Import in zenon vorzubereiten muss auf dem Exportrechner:

  • Die entsprechende TIA-Software der Firma Siemens installiert sein.
  • Das Programm Variable Export Manager vorhanden sein.
    Um den Variable Export Manager zu nutzen, kopieren Sie das entsprechende Programm aus dem zenon Installationsordner oder vom zenon Installationsmedium, auf jenen Rechner, auf dem der Variable Export Manager eingesetzt werden soll.


Benutzeroberfläche Variable Export Manager

Handbuch > Import - Export > Variablen > S7-Projekt > Voraussetzungen für den Variablenimport von Step 7-Projekten > Benutzeroberfläche Variable Export Manager

Parameter | Beschreibung
Fortschrittsanzeige | Zeigt Fortschritt des Exportvorgangs an.
Export | Startet einen erneuten Export. Steht zur Verfügung, sobald der vorangegangene Export beendet wurde.
Cancel | Bricht den Export ab.
Close | Schließt den Variable Export Manager. Hinweis: Inaktiv bei laufendem Export.

info Info

Der Variable Export Manager steht in beiden Versionen nur in englischer Sprache zur Verfügung.


Variablen Export - Variable Export Manager

Handbuch > Import - Export > Variablen > S7-Projekt > Voraussetzungen für den Variablenimport von Step 7-Projekten > Variablen Export - Variable Export Manager

Um Variablen aus Step 7 ab Version 11 zu exportieren:

  1. Starten Sie den Variable Export Manager.
    Hinweis: Achten Sie darauf, die korrekte Version des Variable Export Managers zu starten.
  2. Der Dialog zur Auswahl für ein Step 7-Projekt wird geöffnet.
  3. Wählen Sie das gewünschte Projekt aus.
    Hinweis: TIA-Projekte haben die Dateierweiterung .ap11, .ap12 oder .ap13
  4. Klicken Sie die Schaltfläche Open, um fortzufahren.
  5. Der Dialog zur Auswahl des Speicherortes und -namens wird geöffnet.
  6. Wählen Sie einen Speicherort und Namen für die Exportdatei.
  7. Bestätigen Sie ihre Eingabe mit Save.
  8. Der Export wird gestartet.
  9. Kopieren Sie die Exportdatei auf den Rechner, auf dem sie in zenon importiert werden sollen.
  10. Setzen Sie mit dem gewohnten S7-Import fort.


Importdialog S7-Projekt importieren

Handbuch > Import - Export > Variablen > S7-Projekt > Importdialog S7-Projekt importieren

Projektauswahl

Parameter | Beschreibung
S7-Projektdatei | Speicherort und Name der ausgewählten Importdatei. Hinweis: mögliche Dateiendungen sind .zst sowie .s7p.
... | Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Importdatei.
Zieltreiber | Anzeige des ausgewählten Treibers. Hinweis: Diese Anzeige dient nur zur Information. Änderungen sind in diesem Dialog nicht mehr möglich.
Projektstruktur | Zeigt die Struktur der ausgewählten Import- oder Projektdatei. Die Baumansicht kann mit Klick auf [+] erweitert oder mit [-] verkleinert werden.

Optionen

Parameter | Beschreibung
Nur BuB Variablen | Wenn aktiv werden nur "Bedienen und Beobachten" (Bub) Variablen importiert. Default: nicht aktiv

Variablen-Benennung

Parameter | Beschreibung
Name wird aus Technologischen Ebenen gebildet | Auswahl der Technologischen Ebenen (1 - 5 und Kreis) aus der CFC-Programmierung, die für die Namensgebung der Variablen verwendet werden sollen. Default: alle Ebenen inklusive Kreis aktiviert.
Trennzeichen | Auswahl des Zeichens, das die ausgewählten Technologischen Ebenen voneinander trennt. Default: \
Interne Nomenklatur | Für die Namen der erstellten Objekte wird die interne Nomenklatur verwendet. Beispiel: S0 (für Netzadresse = 0)
WinCC Nomenklatur | Für die Namen der erstellten Objekte wird die WinCC Nomenklatur verwendet. Beispiel: S7-Programm
Kombiniert | Für die Namen der erstellten Objekte werden sowohl die interne Nomenklatur als auch die WinCC Nomenklatur verwendet. Als Trennzeichen wird ein Punkt (.) verwendet.

Importziel

Parameter

Beschreibung

Variablenliste

Die Variablen werden in die zenon Variablenliste importiert.

Beim Import wird überprüft, ob bereits eine Variable mit dem entsprechenden Namen existiert. Ist das der Fall, werden zenon spezifische Attribute beibehalten. Dies bedeutet, es findet eine vergleichende Zusammenführung (Merging) zwischen den importierten Variablen und den vorhanden Variablen statt.

Hinweis: Wird dasselbe Projekt mit unterschiedlichen Benennungsregeln (Nomenklaturen) importiert, werden auch die Variablen neu angelegt. Eine Zusammenführung mit bestehenden Variablen findet dann nicht mehr statt.

Achten Sie daher darauf, dass Sie beim erneuten Import eines bereits importieren Projektes dieselbe Nomenklatur wählen, wie beim Erstexport.

Datei

Die Variablen werden in die angegebene Datei (*.dbf) importiert. Diese Datei können Sie bearbeiten und dann in zenon importieren.

Dateipfad und -name

Nur aktiv, wenn als Importziel Datei ausgewählt wurde.
Die Angabe des Dateinamens und des Pfades erfolgt via der Schaltfläche "...".

...

Öffnet Dialog zur Auswahl des Zielpfades und zur Eingabe des Zieldateinamens.

Hinweis: Beachten Sie die beschränkten Feldgrößen der DBF-Datei. Bei Überschreitungen der Feldgrößen können Informationen beim Import verloren gehen können.

Nur aktiv, wenn als Importziel Datei ausgewählt wurde.

Navigation

Parameter | Beschreibung
Ausführen | Startet den Import. Es öffnet sich der Dialog zur Auswahl der Stationen.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Einstellungen des Importdialogs sind remanent und werden gespeichert. Beim nächsten Aufruf des Dialogs werden die zuletzt verwendeten Einstellungen erneut angezeigt.

Noch in diesem Kapitel

Step 7-Projekte in COPA-DATA importieren


Step 7-Projekte in COPA-DATA importieren

Handbuch > Import - Export > Variablen > S7-Projekt > Importdialog S7-Projekt importieren > Step 7-Projekte in COPA-DATA importieren

Um Step 7-Projekte zu importieren:

  1. Navigieren Sie im zenon Editor zum Knoten Variablen.
  2. Führen Sie einen Rechtsklick auf den Knoten Variablen aus.
  3. Wählen Sie im Kontextmenü den Eintrag Erweiterter Import/Export -> S7-Projekt importieren.
  4. Der Dialog Treiberauswahl zur Auswahl des Treibers wird geöffnet.
  5. Wählen Sie den gewünschten Treiber aus der Liste in diesem Auswahldialog.
  6. klicken Sie auf die Schaltfläche OK.
  7. Der Import-Assistent wird geöffnet.
  8. Folgen Sie den Schritten des Import-Assistenten
    1. wählen Sie das gewünschte Projekt
    2. wählen Sie die gewünschten Stationen
    3. konfigurieren Sie die Stationen
    4. wählen Sie die Variablen aus

Noch in diesem Kapitel

Stationen auswählen

Einstellungen der Stationen


Stationen auswählen

Handbuch > Import - Export > Variablen > S7-Projekt > Importdialog S7-Projekt importieren > Step 7-Projekte in COPA-DATA importieren > Stationen auswählen

Wählen Sie die gewünschten Stationen.

Verfügbare Stationen

Parameter

Beschreibung

Liste der Stationen

Listet alle verfügbaren Stationen der gewählten Projektdatei auf:

  • Netzadresse
  • Präfix
  • Station
  • CPU

Hinweise:

  • Liste ist sortierbar, Mehrfachauswahl ist möglich.
  • CPU: Pro Station (Rack) wird nur die erste gefundene CPU zum Import angeboten.

Alle auswählen

Wählt alle aufgelisteten Stationen aus.

Einstellungen...

Öffnet den Dialog zur Einstellung der Stationen.
Dieser Dialog bietet zusätzliche Filterungsmöglichkeiten für die Liste der zu importierenden Variablen.

Navigation

Parameter | Beschreibung
OK | Übernimmt Auswahl und öffnet Dialog zur Variablenauswahl. Hinweis: Dieser Vorgang kann je nach Umfang des Step 7-Projekts einige Zeit in Anspruch nehmen.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Einstellungen der Stationen

Handbuch > Import - Export > Variablen > S7-Projekt > Importdialog S7-Projekt importieren > Step 7-Projekte in COPA-DATA importieren > Einstellungen der Stationen

In diesem Dialog können Sie Filter setzen und weitere Einstellungen vornehmen. So kann z.B. nur nach Variablen eines bestimmten Datentypes, nach Variablen eines oder mehrerer Datenbausteine gefiltert werden. Zusätzlich können in diesem Dialog noch weitere Vorgaben für die Vergabe der Variablennamen angegeben werden.

Diese Einstellungen beeinflussen die Liste der Variablen, welche im Dialog zur Auswahl der Variablen angeboten werden.

Einstellungen

Parameter | Beschreibung
Netzadresse | Gibt die Netzadresse an und beeinflusst den Stationsnamen. Default: 1 Hinweis: Beginnt immer mit 0.

Vorfilter

Filterung für die zu importierenden Variablen nach Datenbausteinen und Datentypen.

Parameter

Beschreibung

Aktiv

Aktiviert die Vorfilterung für:

  • Datenbausteine
  • Datentypen
  • Bereiche

Aktiv: verwendet die in der Liste angezeigten Variablen und Datentypen als Vorfilter. Unterschiede zwischen Step 7 und zenon werden nicht angezeigt.

Inaktiv: Beim Import werden alle Variablen und Datentypen von Step 7 und zenon verglichen. Unterschiede werden angezeigt. Nicht vorhandene Elemente werden zum Löschen oder Mergen angeboten.

Default: inaktiv

Datenbausteine

Liste der im Step 7-Projekt vorhandenen Datenbausteinen.

Wählen Sie die Datenbausteine, aus denen Sie Variablen importieren möchten.

Hinweis: Ausgegraut, wenn Vorfilterung nicht aktiviert ist. Ebenfalls ausgegraut, wenn Keine Bausteine in Bereiche aktiviert ist.

Mehrfachauswahl ist möglich.

Datentypen

Liste von Datentypen.
Nur Variablen, welche auf den ausgewählten Datentypen basieren, werden für den Variablenimport berücksichtigt.

Wählen Sie die Datentypen, auf den die Variablen basieren, die Sie importieren möchten.

Hinweis: Ausgegraut, wenn Vorfilterung nicht aktiviert ist. Mehrfachauswahl ist möglich.

Bereiche

Wählen Sie den gewünschten Bereich, in dem nach Variablen gesucht wird.

  • Alle Bereiche
  • Nur Bausteine
  • Keine Bausteine
    Deaktiviert die Möglichkeit, Variablen nach Datenbausteinen vorzufiltern.

Optionen

Filterkriterien, welche bereits in zenon vorhandene Variable mit den zu importierenden Variablen vergleichen.

Parameter | Beschreibung
Nur nicht vorhandene Variablen anbieten | Es werden nur jene Variablen zum Import angeboten, die noch nicht in zenon existieren.
Nur vorhandene Variablen anbieten | Es wird nach bereits vorhandenen Variablen gesucht. Diese können beim Import zusammengeführt werden.
Nach zu löschenden Variablen suchen | Nach der Variablenauswahl werden alle Variablen, die nicht im Step 7-Projekt vorhanden sind angezeigt. Sie können aus dem zenon Projekt gelöscht werden. Hinweis: nicht auswählbar, wenn Vorfilterung nicht aktiviert wurde.
Zuordnung zu vorhandenen Variablen nach Adresse statt Namen | Aktiv: Bereits vorhandene Variablen am Treiber werden über die Variablenadresse anstelle des Namens zusammengeführt. Somit ist es möglich, geänderte Namen aus einem Step7 Projekt zu übernehmen. Default: inaktiv

Präfix

Zusätzliche Konfigurationen für die Benennung der zu importierenden Variablen.

Parameter

Beschreibung

Kein

Die importierten Variablen bekommen kein Präfix vor den Namen.

Netzadresse

Die importierten Namen bekommen die Netzadresse gefolgt von einem Punkt als Präfix vor den Namen.

Freie Eingabe

Die importierten Variablen bekommen ein frei wählbares Präfix vor den Variablennamen.

Beim Import der Variablen wird das eingegebene Präfix mit einem Punkt als Trennzeichen vor den Variablennamen gesetzt.

Hinweis: Achten Sie darauf, dass Sie beim nochmaligen Import das gleiche Präfix verwenden! Anderenfalls werden die Variablen doppelt angelegt.

Eingabefeld

Textfeld für die Eingabe des Präfix.
Hinweis: Eingabefeld ist nur dann aktiv, wenn Freie Eingabe ausgewählt wurde.

Navigation

Parameter | Beschreibung
OK | Übernimmt Auswahl und kehrt zum Dialog Stationen auswählen zurück. Hinweis: Dieser Vorgang kann je nach Umfang des Step 7-Projekts einige Zeit in Anspruch nehmen.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Variablen auswählen

Handbuch > Import - Export > Variablen > S7-Projekt > Variablen auswählen

In diesem Dialog werden alle für den Import vorhandenen Variablen angezeigt. Diese Liste ist das Ergebnis Ihrer Konfigurationen in den vorangegangen Dialogen.

Vorhandene Variablen

Parameter

Beschreibung

Projekt

Projektbaum des ursprünglichen Step 7-Projekts.

Diese Übersicht wird mit [+] erweitert und mit [-] verringert. Nach Auswahl des Projekts werden die darin enthaltenen Step 7-Variablen in der Variablenliste angezeigt.

Variablenliste

Liste aller für den Variablenimport verfügbaren Variablen:

  • Variablenname
  • Kommentar
  • Datenbereich
  • Datentyp
  • Datenbaustein
  • Offset
  • Bit
  • Attribute
  • Adressinformation.

Wählen Sie aus dieser Liste jene Variablen, welche Sie in zenon importieren möchten.

Hinweis: Diese Liste ist sortier- und filterbar. Die Liste kann via Klick auf rechte Maustaste, Kontextmenüeintrag Spalten formatieren... angepasst werden.

Zu importierende Variablen

Parameter | Beschreibung
Liste der ausgewählten Variablen | Wählen Sie in der Variablenliste die Variablen, welche Sie importieren möchten. Übernahme mit der Schaltfläche Hinzufügen.
Hinzufügen | Fügt ausgewählte Variablen aus dem Variablen Vorschaufenster in die Liste der zu importierenden Variablen ein.
Lösen | Entfernt gewählte Variable(n) aus der Liste der zu importierenden Variablen.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog. Die Variablen aus dem Step 7-Projekt werden entsprechend der Einstellungen in zenon importiert.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog. Dadurch kehren Sie zum Dialog S7-Projekt importieren zurück.
Hilfe | Öffnet die Online-Hilfe.

In der Baumansicht können Sie entweder das ganze Projekt oder einzelnen Stationen auswählen. Je nach Auswahl werden die entsprechenden Variablen im Variablenvorschaufenster angezeigt. Wählen Sie die gewünschten Variablen aus und klicken Sie auf die Schaltfläche Hinzufügen, um die Variablen zum Import hinzuzufügen. Die ausgewählten Variablen erscheinen im unteren Bereich des Dialogs. Um Variablen von dort zu entfernen, wählen Sie die gewünschten Variablen aus und klicken Sie auf die Schaltfläche Lösen.

info Info

Mit der Tastenkombination Strg+Mausklick oder Umschalt+Mausklick können Sie mehrere Einträge gleichzeitig auswählen.

  • Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden.
  • Wenn Sie die Umschalt-Taste gedrückt halten und zwei Einträge anklicken, werden alle Einträge ausgewählt, die sich zwischen den beiden Einträgen befinden.
  • Bei gleichzeitigem Drücken und Halten von Steuerung- und Umschalt-Taste und Auswählen von zwei Einträgen,werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.

Wenn Sie alle gewünschten Variablen hinzugefügt haben, bestätigen Sie den Dialog mit OK. Die Variablen werden in zenon angelegt.


dBase Import und Export

Handbuch > Import - Export > Variablen > dBase Import und Export

Daten können nach dBase exportiert und aus dBase importiert werden.

info Info

Import und Export über CSV oder dBase unterstützt keine treiberspezifischen Variableneinstellungen wie z. B. Formeln. Nutzen Sie dafür den Export/Import über XML.

Import DBF-Datei

Um den Import zu starten:

  1. führen Sie einen Rechtsklick auf die Variablenliste aus
  2. wählen Sie in der Dropdownliste von Erweiterter Export/Import ... den Befehl dBase importieren
  3. folgen Sie dem Importassistenten

Das Format der Datei ist im Kapitel Dateiaufbau beschrieben.

info Info

Beachten Sie:

  • Treiberobjekttyp und Datentyp müssen in der DBF-Datei an den Zieltreiber angepasst werden, damit Variablen importiert werden.
  • dBase unterstützt beim Import keine Strukturen oder Arrays (komplexe Variablen).

Export DBF-Datei

Um den Export zu starten:

  1. führen Sie einen Rechtsklick auf die Variablenliste aus
  2. wählen Sie im Dropdownliste von Erweiterter Export/Import ... den Befehl dBase exportieren...
  3. folgen Sie dem Exportassistenten

attention Achtung

DBF-Dateien:

  • müssen in der Benennung dem 8.3 DOS Format für Dateinamen entsprechen (8 alphanumerische Zeichen für Name, 3 Zeichen Erweiterung, keine Leerzeichen)
  • dürfen im Pfadnamen keinen Punkt (.) enthalten.
    Z. B. ist der Pfad C:\users\Max.Mustermann\test.dbf ungültig.
    Gültig wäre: C:\users\MaxMustermann\test.dbf
  • müssen nahe am Stammverzeichnis (Root) abgelegt werden, um die eventuelle Beschränkungen für Dateinamenlänge inklusive Pfad zu erfüllen: maximal 255 Zeichen

Das Format der Datei ist im Kapitel Dateiaufbau beschrieben.

info Info

dBase unterstützt beim Export keine Strukturen oder Arrays (komplexe Variablen).

Noch in diesem Kapitel

dBaseIV Variablendatei


dBaseIV Variablendatei

Handbuch > Import - Export > Variablen > dBase Import und Export > dBaseIV Variablendatei

Für den Variablenimport und -export muss die dBaseIV-Datei folgende Struktur und Inhalte besitzen.

attention Achtung

dBase unterstützt keine Strukturen oder Arrays (komplexe Variablen).

DBF-Dateien müssen:

  • in der Benennung dem 8.3 DOS Format für Dateinamen entsprechen (8 alphanumerische Zeichen für Name, 3 Zeichen Erweiterung, keine Leerzeichen)
  • nahe am Stammverzeichnis (Root) abgelegt werden

Struktur

Bezeichnung | Typ | Feldgröße | Bemerkung
KANALNAME | Char | 128 | Variablenname. Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
KANAL_R | C | 128 | Ursprünglicher Name einer Variablen, der durch den Eintrag unter VARIABLENNAME ersetzt werden soll (Feld/Spalte muss manuell angelegt werden). Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
KANAL_D | Log | 1 | Variable wird bei Eintrag 1 gelöscht (Feld/Spalte muss manuell angelegt werden).
TAGNR | C | 128 | Kennung. Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
EINHEIT | C | 11 | Technische Maßeinheit
DATENART | C | 3 | Datentyp (z. B. Bit, Byte, Wort, ...) entspricht dem Datentyp.
KANALTYP | C | 3 | Speicherbereich in der SPS (z. B. Merkerbereich, Datenbereich, ...) entspricht Treiberobjekttyp.
HWKANAL | Num | 3 | Netzadresse
BAUSTEIN | N | 3 | Datenbaustein-Adresse (nur bei Variablen aus den Datenbereich der SPS)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Für Bit-Variablen: Bitadresse Für Byte-Variablen: 0=niederwertig, 8=höherwertig Für String-Variablen: Stringlänge (max. 63 Zeichen)
ARRAYSIZE | N | 16 | Anzahl der Variablen im Array für Index-Variablen ACHTUNG: Nur die erste Variable steht voll zur Verfügung. Alle folgenden sind nur über VBA oder den Rezeptgruppen Manager zugänglich
LES_SCHR | L | 1 | Lese-Schreib-Berechtigung 0: Sollwert setzen ist nicht erlaubt 1: Sollwert setzen ist erlaubt
MIT_ZEIT | L | 1 | Zeitstempelung in zenon (nur wenn vom Treiber unterstützt)
OBJEKT | N | 2 | Treiberspezifische ID-Nummer des Primitivobjekts setzt sich zusammen aus TREIBER-OBJEKTTYP und DATENTYP
SIGMIN | Float | 16 | Rohwertsignal minimal (Signalauflösung)
SIGMAX | F | 16 | Rohwertsignal maximal (Signalauflösung)
ANZMIN | F | 16 | technischer Wert minimal (Messbereich)
ANZMAX | F | 16 | technischer Wert maximal (Messbereich)
ANZKOMMA | N | 1 | Anzahl der Nachkommastellen für die Darstellung der Werte (Messbereich)
UPDATERATE | F | 19 | Updaterate für Mathematikvariablen (in sec, eine Dezimalstelle möglich) bei allen anderen Variablen nicht verwendet
MEMTIEFE | N | 7 | Nur aus Kompatibilitätsgründen vorhanden
HDRATE | F | 19 | HD-Updaterate für hist. Werte (in sec, eine Dezimalstelle möglich)
HDTIEFE | N | 7 | HD-Eintragtiefe für hist. Werte (Anzahl)
NACHSORT | L | 1 | HD-Werte als nachsortierte Werte
DRRATE | F | 19 | Aktualisierung an die Ausgabe (für zenon DDE-Server, in sec, eine Kommastelle möglich)
HYST_PLUS | F | 16 | Positive Hysterese; ausgehend vom Messbereich
HYST_MINUS | F | 16 | Negative Hyterese; ausgehend vom Messbereich
PRIOR | N | 16 | Priorität der Variable
REAMATRIZE | C | 32 | Name der zugeordnete Reaktionsmatrix
ERSATZWERT | F | 16 | Ersatzwert; ausgehend vom Messbereich
SOLLMIN | F | 16 | Sollwertgrenze Minimum; ausgehend vom Messbereich
SOLLMAX | F | 16 | Sollwertgrenze Maximum; ausgehend vom Messbereich
VOMSTANDBY | L | 1 | Variable vom Standby Server anfordern; der Wert der Variable wird im redundanten Netzwerkbetrieb nicht vom Server sondern vom Standby Server angefordert
RESOURCE | C | 128 | Betriebsmittelkennung. Freier String für Export und Anzeige in Listen. Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
ADJWVBA | L | 1 | Nichtlineare Wertanpassung: 0: Nichtlineare Wertanpassung wird verwendet 1: Nichtlineare Wertanpassung wird nicht verwendet
ADJZENON | C | 128 | Verknüpftes VBA-Makro zum Lesen der Variablenwerte für die nichtlineare Wertanpassung.
ADJWVBA | C | 128 | Verknüpftes VBA-Makro zum Schreiben der Variablenwerte für die nichtlineare Wertanpassung.
ZWREMA | N | 16 | Verknüpfte Zählwert-Rema.
MAXGRAD | N | 16 | Maximaler Gradient für die Zählwert-Rema.

attention Achtung

Beim Import müssen Treiberobjekttyp und Datentyp in der DBF-Datei an den Zieltreiber angepasst werden, damit Variablen importiert werden.

Grenzwertdefinition

Grenzwertdefinition für Grenzwert 1 bis 4, oder Zustand 1 bis 4:

Bezeichnung | Typ | Feldgröße | Bemerkung
AKTIV1 | L | 1 | Grenzwert aktiv (pro Grenzwert vorhanden)
GRENZWERT1 | F | 20 | technischer Wert oder ID-Nummer der verknüpften Variable für einen dynamischen Grenzwert (siehe VARIABLEx) (wenn unter VARIABLEx 1 steht und hier -1, wird die bestehende Variablenzuordnung nicht überschrieben)
SCHWWERT1 | F | 16 | Schwellwert für den Grenzwert
HYSTERESE1 | F | 14 | wird nicht verwendet
BLINKEN1 | L | 1 | Blinkattribut setzen
BTB1 | L | 1 | Protokollierung in CEL
ALARM1 | L | 1 | Alarm
DRUCKEN1 | L | 1 | Druckerausgabe (bei CEL oder Alarm)
QUITTIER1 | L | 1 | quittierpflichtig
LOESCHE1 | L | 1 | löschpflichtig
VARIABLE1 | L | 1 | dyn. Grenzwertverknüpfung der Grenzwert wird nicht durch einen absoluten Wert (siehe Feld GRENZWERTx) festgelegt.
FUNC1 | L | 1 | Funktionsverknüpfung
ASK_FUNC1 | L | 1 | Ausführung über die Alarmmeldeliste
FUNC_NR1 | N | 10 | ID-Nummer der verknüpften Funktion (steht hier -1, so wird die bestehende Funktion beim Import nicht überschrieben)
A_GRUPPE1 | N | 10 | Alarm/Ereignis-Gruppe
A_KLASSE1 | N | 10 | Alarm/Ereignis-Klasse
MIN_MAX1 | C | 3 | Minimum, Maximum
FARBE1 | N | 10 | Farbe als Windowskodierung
GRENZTXT1 | C | 66 | Grenzwerttext
A_DELAY1 | N | 10 | Zeitverzögerung
INVISIBLE1 | L | 1 | Unsichtbar

Bezeichnungen in der Spalte Bemerkung beziehen sich auf die in den Dialogboxen zur Definition von Variablen verwendeten Begriffe. Bei Unklarheiten, siehe Kapitel Variablendefinition.


Verriegelungen

Handbuch > Import - Export > Verriegelungen

Die Export-Datei für die Verriegelungen gliedert sich in:

  • Verriegelungenliste

Beim Import/Export der Verriegelungen werden die betroffenen Variablen nicht automatisch mit exportiert/importiert. Es sollte gegebenen Falls darauf geachtet werden, dass vorher ein Variablen- Import/Export durchgeführt wird.

Noch in diesem Kapitel

Befehlsgruppen


Befehlsgruppen

Handbuch > Import - Export > Verriegelungen > Befehlsgruppen

Export

Die Befehlsgruppen können selektiv oder alle gemeinsame exportiert werden.

info Info

Die Befehlsgruppen und allgemeinen Verriegelungen werden nicht gemeinsam exportiert!

Import

Für den Import von Befehlsgruppen gilt:

  • Die Beziehung zwischen bestehenden Befehlsgruppen und zu importierender wird über den Name hergestellt. Wenn bereits eine Befehlsgruppe mit dem Namen besteht, wird diese aktualisiert.
  • Wenn bereits eine allgemeine Verriegelung mit dem Namen besteht, wird eine neue Befehlsgruppe mit neuen Namen angelegt.
  • Nicht existente Befehlsgruppen werden angelegt.
  • In der Importdatei vorhandene allgemeine Verriegelungen werden nicht importiert.
  • Absolute Variablenbezüge werden über den Namen hergestellt.
  • Neu angelegte Befehlsgruppen bekommen eine eindeutige noch nie verwendete ID zugewiesen


Zeitsteuerung

Handbuch > Import - Export > Zeitsteuerung

Die Export-Datei für die Zeitsteuerung gliedert sich in:

Zeitfunktionenliste

Funktionenliste

Mit den Zeitfunktionen werden also auch die darin enthaltenen Funktionen exportiert. Die Zeitfunktionen werden automatisch importiert. Die Funktionen müssen vorher separat aus dieser Datei importiert werden.


Zuweisungen

Handbuch > Import - Export > Zuweisungen

Die Export-Datei für die Zuweisungen gliedert sich in:

Zuweisungenliste

Beim Import/Export der Zuweisungen werden die betroffenen Variablen nicht automatisch mit exportiert/importiert. Es sollte gegebenen Falls darauf geachtet werden, dass vorher ein Variablenimport/-export durchgeführt wird.


Fehlermeldungen

Handbuch > Import - Export > Fehlermeldungen

Fehler beim Import oder Export werden im Ausgabefenster angezeigt.

Fehlermeldung | Mögliche Ursache und Lösung
Fehler: "Die Datei kann nicht geöffnet werden, weil sie von einem anderen Benutzer geöffnet ist." | Datei ist für Bearbeitung gesperrt. Benutzer muss Datei frei geben, bevor der Import/Export erneut durchgeführt wird.
Fehler: "Datenbank kann nicht erzeugt oder geöffnet werden." | Eventuell fehlen die Rechte zur Erzeugung der Datei oder die Datei ist korrupt.
Fehler: "Variable ist ungültig und wurde nicht gespeichert." | Variable ist ungültig. Alle Parameter der Variablen überprüfen.
Fehler: "Variable konnte nicht in die Datenbank aufgenommen werden." | Fehler bei der Aufnahme in die Datenbank.
Fehler: "Variable enthält eine ungültige Hardware-Adresse." | Eine Hardware-Adresse der Variable ist nicht korrekt. Adresse vor dem Neuimport korrigieren.
Fehler: "Treiber stellt kein Objekt zum Im-/Export bereit, Im-/Export wird nicht ausgeführt." | Der gewählte Treiber verfügt über keine Objekte, die importiert/exportiert werden können.
Fehler: "Variable kann nicht gelöscht werden, weil sie nicht vorhanden ist." | Eine zum Löschen ausgewählte Variable existiert nicht mehr.
Warnung: "Variable mit dem neuen Namen existiert bereits, Import wird mit altem Namen durchgeführt." | Eine Variable, die beim Import umbenannt werden soll, wird nicht umbenannt, da bereits eine Variable mit gleichem Namen vorhanden ist. Sie wird mit dem ursprünglichen Namen importiert.
Warnung: "Variable kann nicht umbenannt werden, und wird neu angelegt." | Eine Variable, die umbenannt werden soll, kann nicht umbenannt werden. Sie wird neu angelegt.

Fehler beim XML-Import werden in einem eigenen Dialog behandelt und gelöst.


Industrial Maintenance Manager (IMM)

Handbuch > Industrial Maintenance Manager (IMM)

Der Industrial Maintenance Manager (IMM) dient zur Pflege von Maschinen- und Wartungsdaten. Serviceintervalle können bequem geplant und verwaltet werden. Auf einen Blick ist feststellbar, welche Geräte, Anlagen, Maschinen usw. heute/in dieser Woche/im nächsten Monat usw. gewartet werden müssen. Ebenso wird mitprotokolliert, welche Wartungsarbeiten in der Vergangenheit durchgeführt worden sind.

Noch in diesem Kapitel

Funktionalitäten

Einschränkungen

Vorarbeiten

Bild vom Typ IMM anlegen

zenon Funktionen

Wartungsarbeit

Dateneingabe

Integration in den Prozess

Bedienung zur Runtime

Ansicht zur Runtime

Filtern über Checkboxen


Funktionalitäten

Handbuch > Industrial Maintenance Manager (IMM) > Funktionalitäten
  • Geräte können kopiert und eingefügt werden; dem Gerätenamen wird eine fortlaufende Nummer angefügt.
  • Die Listenansicht kann im Bildfilter angepasst werden. Spaltenauswahl, Spaltenbreite, Spaltenname und deren Reihenfolge können modifiziert werden.
  • Jede Listenansicht kann man sich als html via Stylesheet anzeigen und drucken lassen.
  • Das Anlagenkennzeichen kann nur über das Kontextmenu im Baum angelegt werden.
  • Mehrhierarchische Anlagenkennzeichen
  • Geräte können über das Kontextmenu im Baum oder der Liste angelegt werden, vorausgesetzt eine Anlage wurde im Baum augewählt. Diese Anlage wird dann automatisch als Anlagenkennzeichen im Gerät eingefügt.
  • Per Klick auf den Spaltenkopf werden die Elemente alphabethisch sortiert.
  • Mehrprojektfähig
  • Server-Client
  • Das Löschen von Geräten unterliegt einem Benutzerlevel, welches zwei Arten zu Löschen vorsieht. Einmal ein Löschen in dem Sinne, dass die Daten in der Datenbank erhalten bleiben und somit die Historieneinträge nicht verloren gehen. Dabei wird in der Datenbank das Flag ACTIVE auf 0 gesetzt. Zum anderen ein endgültiges Löschen: alle Daten aus der Datenbank inkl. der Wartungsarbeiten und der Historie werden dabei gelöscht.
  • Die Checkboxen in der Baumansicht bei den Anlagenkennzeichnungen (AKZ) sind ein Filter. Wenn gesetzt, werden nur die Geräte, Historieneinträge und Wartungen angezeigt, die zu dieser AKZ gehören.


Einschränkungen

Handbuch > Industrial Maintenance Manager (IMM) > Einschränkungen

Das Modul speichert die Daten in einer Microsoft SQL Server Datenbank (Alle SQL Server Versionen ab SQL Server 2000 sind möglich). Der MS SQL Server ist nicht im Lieferumfang von zenon enthalten. Sie können jedoch die SQL Server Express Edition, die mit dem zenon Editor mitinstalliert wird, nutzen.

Andere SQL-Server wie z. B. Oracle werden nicht unterstützt.


Vorarbeiten

Handbuch > Industrial Maintenance Manager (IMM) > Vorarbeiten

Noch in diesem Kapitel

Datenbank

Projektierung


Datenbank

Handbuch > Industrial Maintenance Manager (IMM) > Vorarbeiten > Datenbank

Zum Erstellen einer Datenbank benötigen Sie das SQL Server Management Studio (SSMS).

Installation des SQL Server Management Studios

  1. Laden Sie die aktuellste Version von der Microsoft Homepage herunter.
  2. Wählen Sie für den Downlad das englischsprachige Setup, da sich die folgenden Schritte auf die englische Version beziehen.
  3. Führen Sie das Setup aus.

Erstellen der Datenbank

  1. Starten Sie das SQL Server Management Studio.
  2. Stellen Sie eine Verbindung zum gewünschten Server her.
  3. Führen Sie im Object Explorer einen Rechtsklick auf Databases aus.
  4. Wählen Sie im Kontextmenü den Eintrag New Database... aus.

    Der Dialog zur Konfiguration wird geöffnet.

  5. Vergeben Sie den gewünschten Namen.
  6. Konfigurieren Sie bei Bedarf weitere Optionen.
  7. Beenden Sie den Dialog mit Klick auf OK.


Projektierung

Handbuch > Industrial Maintenance Manager (IMM) > Vorarbeiten > Projektierung

Es werden vier Tabellen in der Datenbank erzeugt. Die Namen der Tabellen sind fest vergeben und entsprechen den Namen, die in der Messstellenverwaltung verwendet werden:

  • Tabelle für Geräte: Devices
  • Tabelle für Wartungsarb.: MaintenanceWorks
  • Tabelle für Historie: MaintenanceHistory
  • Tabelle für Dokumente: Documents

Datenbankverbindung

In den Projekteigenschaften kann im Knoten Industrial Maintenance Manager über die Eigenschaft Datenbank der ODBC-String manuell bearbeitet werden. Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration:

Neu...

Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen.

Wählen Sie im Dialogfeld Neue Datenquelle erstellen den Treiber SQL Server und klicken Sie auf Weiter, um den Namen oder den Speicherort des neuen Datei-DSN anzugeben

Klicken Sie erneut auf Weiter um eine Zusammenfassung der neuen Informationen anzuzeigen.

Klicken Sie auf Fertig stellen um das treiberspezifische Setup-Dialogfeld anzuzeigen.

Wenn Sie einen Servernamen aus der Liste auswählen, sind keine weiteren Konfigurationseinstellungen erforderlich.

Klicken Sie erneut auf Weiter.

Klicken Sie erneut auf Weiter.

Nun können Sie die früher erzeugte Datenbank auswählen.

Klicken Sie auf Fertigstellen.

Sie können nun die projektierte Verbindung testen.

attention Achtung

Bei Verwendung des Native Client 10 und 11 wird das Passwort nicht automatisch in den Providerstring übernommen. Es muss manuell eingetragen werden.

Z.B.: ...;User ID=sqlExampleUser1;Password=secretPassword;...


Bild vom Typ IMM anlegen

Handbuch > Industrial Maintenance Manager (IMM) > Bild vom Typ IMM anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp IMM.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Bild vom Typ IMM:

Parameter

Beschreibung

Vorlage einfügen

Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp.

Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden.

Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Liste

Liste der Vorgänge, die zur Runtime angezeigt werden.

Listenfunktionen

Kontrollelemente zur Steuerung der Liste.

Filter

Wendet Filter an.

Anlagen-Kennzeichen neu

Erstellt ein neues Anlagen-Kennzeichen.

Anlagen-Kennzeichen löschen

Löscht ausgewähltes Anlagenkennzeichen.

Gerät

Kontrollelemente für Geräte.
  • Neu

Fügt ein neues Gerät ein.
  • Bearbeiten

Ermöglicht die Bearbeitung des ausgewählten Geräts.
  • Löschen

Löscht Gerät.
  • Als inaktiv markieren

Schaltet Gerät auf inaktiv.
  • Austauschen

Führt Gerätetausch durch.

Kopieren

Kopiert ausgewähltes Element in Zwischenablage.

Einfügen

Fügt ausgewähltes Element aus Zwischenablage ein.

Zähler tauschen

Führt Zählertausch durch.

Wartung bearbeiten

Ermöglicht das Bearbeiten einer Wartung.

Wartung durchführen

Schaltet auf Wartung durchführen.

Reparatur durchführen

Schaltet auf Reparatur durchführen.

Liste drucken

Druckt Liste aus.

Details drucken

Druckt Details.

Aktualisieren

Aktualisiert Ansicht.

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Profilauswahl

Profil aus Liste auswählen.

Speichern

Speichert aktuelle Einstellung als Profil.

Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten.
Verboten sind: ! \ / : * ? < > | ""

Löschen

Löscht ausgewähltes Profil.

Import

Importiert Filterprofile aus Exportdatei.

Export

Exportiert Filterprofile in Datei.


zenon Funktionen

Handbuch > Industrial Maintenance Manager (IMM) > zenon Funktionen

Noch in diesem Kapitel

Bildumschaltung IMM

Offene Wartungen ermitteln


Bildumschaltung IMM

Handbuch > Industrial Maintenance Manager (IMM) > zenon Funktionen > Bildumschaltung IMM

Um ein Bild vom Typ Prozess-Rekorder zur Runtime aufzuschalten:

  1. Projektieren Sie ein Bild vom Typ Industrial Maintenance Manager.
  2. Erstellen Sie eine Funktion Bildumschaltung auf dieses Bild.
  3. Definieren Sie die gewünschten Inhalte für die Ansicht in der Runtime.

Funktion vom Typ Bildumschaltung anlegen

Eine Funktion vom Typ Bildumschaltung dient dazu, Bilder zur Runtime aufzuschalten.

Für die Bildumschaltung zu einem Bild vom Typ Industrial Maintenance Manager können Sie zusätzlich die anzuzeigende Struktur für Geräte, Wartungsarbeiten und Historie mit konfigurierbaren Listen projektieren.

Parameter

Beschreibung

Spalteneinstellungen (Geräte)

Konfigurierbare Liste für die zur Runtime angezeigten Spalten der Geräte und Gerätedaten.

verfügbare Spalten:

  • Gerät (default)
  • Anlagen-Kennzeichen (default)
  • aktueller Betriebsstunden-Zähler (default)
  • aktueller Schaltspiel-Zähler (default)
  • Zeitraum seit letzter Wartung (default)
  • Bezeichnung
  • Fabrikat
  • Inbetriebnahmedatum
  • Seriennummer
  • Status
  • Typ

Konfiguration der anzuzeigenden Information mit Klick auf die Schaltfläche Spaltenauswahl....

Spalteneinstellungen (Wartungsarbeiten)

Konfigurierbare Liste für die zur Runtime angezeigten Spalten der Wartungsarbeiten.

verfügbare Spalten:

  • Gerät (default)
  • Anlagen-Kennzeichen (default)
  • Wartungsarbeit (default)
  • aktueller Betriebsstunden-Zähler (default)
  • aktueller Schaltspiel-Zähler (default)
  • Zeitraum seit letzter Wartung (default)
  • Fälligkeit (default)
  • Bezeichnung
  • Intern-Extern
  • Kommentar
  • Status

Konfiguration der anzuzeigenden Information mit Klick auf die Schaltfläche Spaltenauswahl....

Spalteneinstellungen (Historie)

Konfigurierbare Liste für die zur Runtime angezeigten Spalten der Historie.

verfügbare Spalten:

  • Gerät (default)
  • Anlagen-Kennzeichen (default)
  • Wartungsarbeit (default)
  • Zählerstand bei Wartung (default)
  • Benutzer (default)
  • Datum (default)
  • Bezeichnung
  • Kommentar

Konfiguration der anzuzeigenden Information mit Klick auf die Schaltfläche Spaltenauswahl....

Spaltenauswahl...

Auswahl der Spalten für die Anzeige zur Runtime.
Klick auf Schaltfläche öffnet den Dialog Spalteneigenschaften.

Spaltenformat...

Anpassung der Darstellung in der Runtime.
Klick auf Schaltfläche öffnet den Dialog Spalteneigenschaften für die Konfiguration der Ansicht.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Projektieren im Editor

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Favoriten .
  3. Wählen Sie die Funktion Bildumschaltung .

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Konfigurieren Sie die Filter.
  6. Benennen Sie die Funktion in der Eigenschaft Name .

Baum- und Listenansicht im Editor

Die aus der Runtime bekannte Ansicht mit den Kontrollelementen Baum und Liste kann auch im Editor einzeln projektiert werden:

  1. Öffnen Sie das Bild vom Typ IMM, in dem Sie Kontrollelemente hinzufügen wollen.
  2. Klicken Sie auf Kontrollelemente, um den Auswahldialog zu öffnen.
  3. Wählen Sie das gewünschte Kontrollelement aus.
  4. Fügen Sie das gewünschte Kontrollelement hinzu, indem Sie dieses mit gedrückter linker Maustaste im Bild aufziehen.

Hinweis: Wenn im Bild bereits ein Kontrollelement vorhanden ist, ist dieses im Auswahldialog ausgegraut.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Industrial Maintenance Manager (IMM) > zenon Funktionen > Bildumschaltung IMM > Spaltenauswahl

Auswahl und Reihenfolge der Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Industrial Maintenance Manager (IMM) > zenon Funktionen > Bildumschaltung IMM > Spaltenformat

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Offene Wartungen ermitteln

Handbuch > Industrial Maintenance Manager (IMM) > zenon Funktionen > Offene Wartungen ermitteln

Die Funktion Offene Wartungen ermitteln holt für einen ausgewählten Zeitraum die Liste aller anstehenden Wartungen aus dem IMM. Diese werden zur Bestimmung der projektierten anlagenspezifischen Statuswerte verwendet.

Bei Ausführung der Funktion:

  • werden auf die jeweiligen Statusvariablen numerische Sollwerte abgesetzt; diese Sollwerte entsprechen der Gesamtzahl der anstehenden Wartungen, die sich in Anlagen befinden und der Zuordnung von Anlagenkennzeichen zu Statusvariablen entsprechen
  • werden auch die am Gerät und an der Wartung projektierten Statusvariablen der Wartung aktualisiert

Um die Funktion zu projektieren:

  • wählen Sie Funktion neu...
  • öffnen Sie den Zweig Anwendung
  • wählen Sie Offene Wartungen ermitteln
  • der Dialog zur Konfiguration der Funktion öffnet sich
Parameter | Beschreibung
Zeitraum | Zeitraum, für den die anstehenden Wartungen ermittelt werden. Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.
Anlagenkennzeichen | Eingabe der Anlagenkennzeichen, die einer Statusvariablen zugeordnet werden sollen. Form: Anlagekennzeichen werden durch Komma getrennt als Liste eingegeben. Anlagekennzeichen dürfen auch Wildcards beinhalten. (Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.)
Statusvariable | Numerische Variable, die bei Funktionsausführung die Anzahl offener Wartungen in den unter Anlagenkennzeichen angegebenen Anlagen als Sollwert erhält.
Zuordnungen | Liste der Zuordnungen von Anlagenkennzeichen zu Statusvariablen.
Hinzufügen | Fügt eine Zuordnungszeile hinzu.
Entfernen | Löscht die ausgewählte Zuordnung.

Example Beispiel

In Anlage1 stehen 2 Wartungen an, in Anlage2 steht 1 Wartung an.
Anlage1 und Anlage2 sind die einzigen Anlagen in diesem Beispiel.
Die Funktion ist analog dem oben dargestellten Screenshot projektiert.

Die Statusvariablen erhalten folgende Sollwerte:

Wartungen_heute_alle = 3

Wartungen_heute_alle2 = 3

Wartungen_heute_Anlage1_2 = 3

Wartungen_heute_Anlag1 = 2

Wartungen_heute_Anlag2 = 1

info Info

Die Funktion wird im Netzwerkbetrieb immer nur am Server ausgeführt.


Wartungsarbeit

Handbuch > Industrial Maintenance Manager (IMM) > Wartungsarbeit

Die Berechnung einer anstehenden Wartung ist das Kernstück des IMM. Eine Wartungsarbeit kann drei verschieden Wartungsintervalle haben:

- einen Zeitraum in Tagen

- einen Betriebsstundenzähler oder

- einen Schaltspielzähler.

Anhand dieser Intervalle wird die Fälligkeit der Wartungen berechnet.

Kommt eine Wartung in den Warnbereich, erscheint diese in der Liste für anstehende Wartungen mit dem Vermerk, dass die Warnstufe erreicht ist. Wird das Wartungsintervall erreicht, wird die Wartung auf fällig gesetzt und ist auch in der Liste für die Wartungen zu sehen.

Die Funktion Wartungen ermitteln

Mit der Funktion Wartungen ermitteln werden aus dem IMM die Liste aller anstehenden Wartungen im ausgewählten Zeitraum geholt. Diese anstehenden Wartungen werden dann zur Bestimmung der projektierten anlagenspezifischen Statuswerte verwendet.

Dabei werden auf die jeweiligen Statusvariablen numerische Sollwerte in der Höhe der Gesamtanzahl der anstehenden Wartungen abgesetzt, die sich in Anlagen befinden, die dem zugehörigen Filterkriterium entsprechen.

Wenn Sie eine neue Funktion Wartungen ermitteln im Editor anlegen, erscheint der folgende Konfigurationsdialog:

Zeitraum

Hier wird der Zeitraum ausgewählt, in welchem die anstehenden Wartungen ermittelt werden (siehe IMM)

Noch in diesem Kapitel

Zeitraum

Betriebsstunden- und Schaltspielzähler


Zeitraum

Handbuch > Industrial Maintenance Manager (IMM) > Wartungsarbeit > Zeitraum

Bei der Wartungsarbeiten-Daten Eingabe kann ein Zeitraumintervall in Tagen eingegeben werden. Zusätzlich kann noch eine Vorwarndauer angegeben werden, was bedeutet: so viele Tage vor Ablauf des Zeitraumintervalls soll die Wartungsarbeit als anstehende Wartungsarbeit als Fälligkeit Warnung gewertet werden. (Meldung 'Wartung in xx Tagen fällig'.)

Wird der Zeitraum oder Zählerstand des Wartungsintervalles erreicht, wird die Wartung mit dem Text 'Wartungsintervall überschritten' eingetragen.

Das Datum der letzten durchgeführten Wartung wird bei jeder Durchführung aktualisiert. Bei Ersteingabe der Wartungsarbeit wird dieses Datum auf das Inbetriebnahmedatum gesetzt.


Betriebsstunden- und Schaltspielzähler

Handbuch > Industrial Maintenance Manager (IMM) > Wartungsarbeit > Betriebsstunden- und Schaltspielzähler

Zur Berechnung für eine anstehende Wartung wird die Differenz des alten Zählerstands bei der letzten Wartung und des aktuellen durch die Anzahl der verstrichenen Tage seit der letzten Wartung dividiert und zu dem alten hinzuaddiert. Ist dieser größer als erlaubt, wird die Wartung als anstehend ausgewertet und in der Liste angezeigt.

Sollte eine Variable einen geringeren Wert als bei der letzten Wartung haben, bekommt man eine Mitteilung.


Dateneingabe

Handbuch > Industrial Maintenance Manager (IMM) > Dateneingabe

Die Variablenwerte werden nur dann in die Wartungsdaten eingepflegt, wenn die Wartungsarbeit neu angelegt wird. Ansonsten bleibt der alte Wert bestehen.

Wird ein Gerät angelegt und keine Variablen verknüpft, bleibt in der dazugehörigen Wartungsarbeit der Initialwert stehen. Auch bei dieser Konstellation werden die Variablenwerte in der Wartungsarbeit nicht überschrieben, wenn die Variablen nachträglich eingefügt werden. Es wird eine Mittelung ausgeworfen, falls die zur Wartungsberechnung benötigte Variable noch den Initialwert hat. Der Variablenwert lässt sich nur mehr durch Ausführen einer Reparatur, eines Gerätetausch oder einer Wartungsarbeit ändern.


Integration in den Prozess

Handbuch > Industrial Maintenance Manager (IMM) > Integration in den Prozess
  • Mitteilung über Erfolg der Wartungsarbeit: Dem Gerät kann eine Integer-Variable zugeordnet werden. Weiters muss man in der Wartungsarbeit den Rückgabewert dieser Variable definieren. Ist keine Unterscheidung der einzelnen Wartungsarbeiten gewünscht, kann hier immer derselbe Wert eingegeben werden. Wird kein Wert angegeben, wird auch kein Wert in der Variable gesetzt.
  • Rückmeldung im Prozess: Zu jeder Wartungsarbeit kann eine Variable verknüpft werden, die den Status der Wartung beinhaltet. (Status Ok 0 und Status fällig 1)


Bedienung zur Runtime

Handbuch > Industrial Maintenance Manager (IMM) > Bedienung zur Runtime

Folgende Funktionen sind verfügbar:

  • Gerät neu: Ein neues Gerät anlegen. Es muss ein Anlagenkennzeichen ausgewählt sein.
  • Gerät bearbeiten: Ein Gerät bearbeiten. Es muss ein Gerät ausgewählt sein.
  • Gerät inaktiv: Ein Gerät inaktiv schalten, d.h. Daten werden nicht mehr angezeigt, bleiben aber in der Datenbank erhalten.
  • Wartung durchführen: Es muss eine Wartung ausgewählt sein, um diese durchzuführen.
  • Aktualisieren: Es werden die Daten aus der Datenbank und die Variablen neu eingelesen.
  • Filter: Schaltet den Bildfilterdialog auf, um Spalten zu modifizieren.
  • Drucken: Generiert ein html mit der gewünschten Listenansicht. Es wird genau die aktuelle Ansicht wiedergegeben. Es können die Historie und die anstehenden Wartungen gedruckt werden.
  • Details drucken: Die Details zu einer Wartungsarbeit als html betrachten. Es muss hierzu natürlich eine Wartungsarbeit ausgewählt sein.

Hinweis: Zusätzlich können Geräte mit Drag&Drop verschoben werden.


Ansicht zur Runtime

Handbuch > Industrial Maintenance Manager (IMM) > Ansicht zur Runtime

Wenn das Bild vom Typ IMM zur Runtime aufgeschaltet wird, wird es in zwei Bereiche aufgeteilt dargestellt:

Noch in diesem Kapitel

Linke Seite: Baum

Rechte Seite: Liste


Linke Seite: Baum

Handbuch > Industrial Maintenance Manager (IMM) > Ansicht zur Runtime > Linke Seite: Baum

Parameter

Beschreibung

Stammdaten

Als Unterknoten werden die Anlagen-Kennzeichnen verwendet. Diese Unterknoten haben eine Checkbox um die Auswahl einzugrenzen. Diese Auswahl bestimmt die Ausgabe in der Liste. Es werden bei den Stammdaten, den Wartungsarbeiten und in der Historie nur mehr die Daten angezeigt, die zu den ausgewählten Anlagen gehören.

Hinweis: Geräte aus der Liste können über Drag&Drop in Anlagengruppen verschoben werden. Mehrfachauswahl ist möglich. Nach dem Verschieben von Geräten wird die Zuordnung automatisch angepasst.

Anlagenmodellierung

Hier werden Anlagenmodelle und Anlagengruppen dargestellt.

Hinweis: Die Anlagenmodelle müssen im Editor konfiguriert werden und können zur Runtime nicht verändert werden.

Neue Geräte können nur bei Anlagengruppen angelegt werden.

Sie können neue Gerät anlegen über:

  • den Button Gerät neu
  • das Kontextmenü
  • das Kontextmenü der Liste

Hinweis: Geräte aus der Liste können über Drag&Drop zwischen den Anlagengruppen oder in den Knoten Stammdaten verschoben werden.

In der Listenspalte Anlagen-Kennzeichen wird der gesamte hierarchische Name der Anlagengruppe dargestellt.

Das Filtern zur Runtime über die Checkboxen funktioniert auch bei den Anlagenmodellen.

Historie

Hier werden die Historiendaten nach Zeiträumen gefiltert. Unter freier Filter kommt ein Dialog zur Auswahl eines beliebigen Zeitraumes.

Wartungsarbeiten

Hier werden die anstehenden Wartungsarbeiten nach Zeiträumen gefiltert. Unter freier Filter kommt ein Dialog zur Auswahl eines beliebigen Zeitraumes.


Rechte Seite: Liste

Handbuch > Industrial Maintenance Manager (IMM) > Ansicht zur Runtime > Rechte Seite: Liste

Hier wird die Auswahl in der Baumansicht in Listenform dargestellt. Die Liste kann nach jeder Spalte auf oder absteigend sortiert werden. Zusätzlich gibt es in dieser Ansicht ein Kontextmenü, das je nach Auswahl in der Baumansicht andere Funktionen zur Verfügung stellt.

Auswahl Stammdaten

Befehl

Beschreibung

Gerät neu

Unter Gerät neu können neue Stammdaten angelegt werden. Die Eingabe erfolgt über einen Dialog mit drei Registerkarten. Auf dem ersten Blatt werden die Daten zu dem Gerät eingegeben. Auf dem Blatt Wartungsarbeiten können zu dem Gerät eine beliebige Anzahl an Wartungsarbeiten angelegt werden. Als Übersicht werden die Titel der Wartungsarbeiten auf diesem Blatt in einer Liste dargestellt. Auf dem letzten Blatt kann dem Gerät noch eine beliebige Anzahl an Dokumenten zugeordnet werden. Diese werden wie die Wartungsarbeiten der Übersicht halber in einer Liste dargestellt. Durch Doppelklick auf ein Dokument wird das jeweilige Dokument angezeigt, sofern das zugehörige Programm installiert ist.

Hinweis: Geräte können per Drag&Drop auf andere Anlagen in den Stammdaten verschoben werden.

Gerät bearbeiten

Wie bei Gerät neu, nur dass hier die Felder mit den bereits vorhandenen Daten aufgefüllt werden. Es muss dazu ein Gerät ausgewählt sein.

Gerätetausch

Hier werden die Variablen für Schaltspiel- und Betriebsstundenzähler verändert! Auf diesen beruht die Berechnung für die Fälligkeit der Wartung. Wird ein Gerätetausch gemacht, erfolgt ein Historieneintrag. Weiters wird das Wartungsintervall zurückgesetzt und die neuen Variablenwerte als Ausgangswerte für die Wartungsberechnung verwendet.

Die Gerätedaten bleiben gleich, nur die verknüpften Variablen ändern sich. Diese sind über einen Dialog einzugeben. Falls die Variable nicht existiert, wird eine Warnung ausgegeben, dass momentan keine gültige Variable mit dem Gerät verknüpft ist.

Zählertausch

Wird ein Zähler getauscht, bleibt die Variable dieselbe, es wird hier der Zählerstand (Variablenwert) verändert. Wird ein Zählertausch gemacht, erfolgt ein Historieneintrag. Wahlweise kann hier das Wartungsintervall zurückgesetzt werden.

Es kann ein neuer Startwert für das ersetzte Gerät eingetragen werden

Gerät löschen

Das ausgewählte Gerät kann gelöscht werden. Es werden alle zugehörigen Daten (Wartungsarbeiten, Historiendaten und Dokumente) gelöscht. Als Sicherheit wird noch einmal abgefragt, ob die Daten wirklich gelöscht werden sollen.

Stammdaten eingeben

Parameter

Beschreibung

Name

Name des Geräts.

Anlagen-Kennzeichnung

Anzeige der Anlagenkennzeichnung.

Typenschild

Daten zum Typenschild:

  • Typ
  • Fabrikat
  • Seriennummer

Freie Bezeichnung

Eingabefeld für freie Beschreibung.

Inbetriebnahmedatum

Eingabe des Inbetriebnahmedatums.

Variablen

Konfiguration der Variablen.

Schaltspiel-Zähler

Auswahl der Variablen für den Schaltspiel-Zähler.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Achtung: Zählbereich muss so groß gewählt werden, dass im Betrieb zwischen dem aktuellen Zählerstand und dem Zählerstand der letzten Wartung immer weniger als der halbe Zählerendwert vergeht.

Max. Zählerstand

Maximal erlaubter Zählerstand.

Betriebsstunden

Auswahl der Variablen für die Betriebsstunden.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Achtung: Zählbereich muss so groß gewählt werden, dass im Betrieb zwischen dem aktuellen Zählerstand und dem Zählerstand der letzten Wartung immer weniger als der halbe Zählerendwert vergeht.

Max. Zählerstand

Maximal erlaubter Zählerstand.

Rückgabevariable

Nach einer ausgeführten Wartungsarbeit wird der dort definierte Wert auf die hier verknüpfte Variable geschrieben. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Wartungsarbeiten konfigurieren

Parameter

Beschreibung

Name

Name für Auftrag.

Kommentar

Kommentar zum Auftrag.

Hinweis: Einen Zeilenumbruch erzeugen Sie mit der Tastenkombination Strg+Eingabe.

Berechtigungsebene

Eingabe der Berechtigungseben, die zur Ausführung benötigt wird.

Wartungsintervall

Konfiguration des Wartungsintervalls für:

  • Zeitraum in Tagen
  • Schaltspiel-Zähler
  • Betriebsstunden

Prozessinteraktion

Eigenschaften für die Interaktion.

Rückgabewert

Wert, der nach ausgeführter Wartungsarbeit auf die beim Gerät verknüpfte Rückgabevariable geschrieben wird.

Statusvariable

Variable, die den Status der Wartungsarbeit anzeigt:

  • 0: Wartung nicht fällig
  • 1: Wartung fällig

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Die Variable wird beim Aktualisieren des IMM Bildes sowie beim Ausführen der Funktion Offene Wartungen ermitteln geschrieben.

Daten bearbeiten

Folgende Zugriffsmöglichkeiten auf Dateien werden unterstützt.

Lokale Laufwerke | Lokale Festplatte
UNC-Pfad | z. B. \\Servername\Freigabename
Verbundene Laufwerke | Freigegebene Festplatte eines Netzwerkcomputers

attention Achtung

Voraussetzung: Um die Dokumente anzeigen zu können, muss ein entsprechender Viewer installiert sein. Z. B. Adobe Acrobat Reader für .pdf Dateien.

Gerätetausch

Zählertausch

Auswahl Wartungsarbeiten

Durch Doppelklick auf eine Wartungsarbeit, werden die Daten zu dieser Wartungsarbeit angezeigt. Die Daten können aber nicht verändert werden.

Reparatur durchführen

Wird eine Reparatur durchgeführt, erfolgt erstens ein Historieneintrag und weiters wird die Wartungsarbeit als nicht (!) erledigt für dieses Intervall angesehen und bleibt somit in der Fälligkeitsliste. Es erfolgt ein Historieneintrag.

So wie Wartung durchführen, nur dass eine extra Abfrage kommt, ob die Zähler aktualisiert werden sollen oder nicht.

Liste drucken

Die dargestellte Liste wir eins-zu-eins in eine XML-Datei geschrieben und mittels Stylesheet in einem html-Browser dargestellt. Diese HTML-Datei kann nun gespeichert oder direkt ausgedruckt werden.

Details drucken

Die Daten zu der ausgewählten Wartungsarbeit werden ausgegeben.

Wartung bearbeiten

Hier können die Daten zu der ausgewählten Wartungsarbeit bearbeitet werden.

Wartung durchführen

Wird eine Wartung durchgeführt werden die Zähler aktualisiert und ein Historieneintrag generiert. Außerdem wird die Wartungsarbeit als erledigt für dieses Intervall angesehen und somit aus der Fälligkeitsliste entfernt.

Unter Dokumente werden die verknüpften Dateien in einer Liste angezeigt. Mittels Doppelklick auf eine Datei, wird diese geöffnet, sofern ein passendes Programm installiert ist.

Auswahl Historie

Hier gibt es nur einen Menüeintrag und zwar Liste drucken. Gleiche Vorgehensweise wie bei Wartungsarbeit - Liste drucken.


Filtern über Checkboxen

Handbuch > Industrial Maintenance Manager (IMM) > Filtern über Checkboxen

Sie können zur Runtime über die Checkboxen in der Baum-Ansicht auch bei den Anlagenmodellen Filterungen vornehmen. Das Filtern geschieht unabhängig von im Knotenpunkt Stammdaten ausgeführten Filterungen.

Hinweis: Wenn Sie eine Anlagengruppe markieren, werden die darin befindlichen Gerät in einer Liste dargestellt. Diese Funktion ist auch ohne aktivierter Checkbox gegeben.

Um alle in der Anlagenmodellierung befindliche Geräte anzuzeigen

Vorgehen:

  1. Stellen Sie sicher, dass bei allen Anlagengruppen die Checkboxen deaktiviert sind.
  2. Klicken Sie auf den Knotenpunkt Anlangenmodellierung.

    Alle Geräte in der Liste werden angezeigt.

    Hinweis: Wenn eine Checkbox aktiviert ist, wird bei einem Klick auf das Anlagenmodell oder die Anlagenmodellierung der Inhalt der jeweiligen Anlagengruppe angezeigt.

Um in Anlagenmodellen oder in einer Anlagengruppe befindliche Geräte anzuzeigen

Vorgehen:

  1. Aktivieren Sie die Checkbox der Anlagengruppe im gewünschten Anlagenmodell.

    Hinweis: Mehrfachauswahl ist möglich. Aktuell in der Liste angezeigt werden aber nur die Geräte der der markierten Anlagengruppe.

  2. Klicken Sie auf den Eintrag des übergeordneten Anlagenmodells.

    Die Geräte der ausgewählten Anlagengruppen werden nun in der Liste dargestellt.


Industrial Performance Analyzer

Handbuch > Industrial Performance Analyzer

Der Industrial Performance Analyzer (IPA) dient dazu, Alarmdaten und damit einhergehende Standzeiten in verschiedenen Listenansichten anzuzeigen und auszuwerten. Der IPA greift auf eine SQL Datenbank zu, in der Alarme – entsprechende Projektierung vorausgesetzt – gespeichert werden.

Durch die verschiedenen Filtereinstellungen bietet der IPA eine größtmögliche Flexibilität. Sie können z. B. auf einzelne Bereiche Ihrer Anlage filtern und sich so nur die Alarme anzeigen lassen, die in diesem Bereich aufgetreten sind. Der IPA ermöglicht auch das Aufspüren von Schwachstellen Ihrer Anlage. Dies ist vor allem bei der Inbetriebnahme hilfreich, um etwaigen Anlaufschwierigkeiten auf den Grund zu gehen und zu beheben. Im Zusammenspiel mit dem Modul Production & Facility Scheduler (PFS) ermöglicht der IPA Ihnen, pausenbereinigte Standzeiten anzuzeigen. Von den tatsächlichen Standzeiten werden die Pausenzeiten subtrahiert. Damit sehen Sie sozusagen die Nettostandzeit Ihrer Anlage. Außerdem kann der IPA Schichtzeiten und Schichtnamen aus dem PFS übernehmen. Dies erleichtert das Projektieren und spart Zeit. Außerdem müssen die Schichtzeiten und Schichtnamen nur an einer Stelle gewartet werden. Weiterhin ist sichergestellt, dass der PFS und der IPA dieselben Daten verwenden.

info Info

Der Industrial Performance Analyzer ist für den PC-Einsatz konzipiert und greift daher auf Maus und Tastatur als Eingabegeräte zu. Die vollständige Bedienbarkeit über einen Touchscreen ist nicht gegeben.

Noch in diesem Kapitel

Grundsätzliche Funktionsweise

Projektieren im Editor

Bedienung während der Runtime


Grundsätzliche Funktionsweise

Handbuch > Industrial Performance Analyzer > Grundsätzliche Funktionsweise

Alle Alarmdaten, die entsprechend projektiert wurden (siehe Variablen), werden in einer SQL Datenbank gespeichert. Unterstützt werden: Microsoft SQL-Server und Oracle SQL Server. Diese können sowohl lokal als auch im Netzwerk zur Verfügung stehen.

In der Runtime werden die entsprechenden Alarmdaten in einen Puffer gespeichert und von dort zyklisch in die angegebene Datenbank geschrieben. Die Zykluszeit wird beim Projektieren im Editor festgelegt (siehe Allgemeine Einstellungen).

Mehrere Runtime Projekte können in dieselbe Datenbank schreiben. Die zentrale Speicherung der Alarmdaten sorgt für hohe Datensicherheit und hohe Verfügbarkeit der Alarmdaten.
Die Darstellung der Auswertung erfolgt zur Runtime über ein Bild vom Typ Industrial Performance Analyzer.


Projektieren im Editor

Handbuch > Industrial Performance Analyzer > Projektieren im Editor

Sie müssen folgende Einstellungen vornehmen, um in der Runtime Alarmdaten mit dem Industrial Performance Analyzer darzustellen und auszuwerten.

Noch in diesem Kapitel

Allgemeine Einstellungen

Variablen

Sprachumschaltung

Bild vom Typ Industrial Performance Analyzer

Funktion Bildumschaltung

Funktion IPA Dokument erzeugen/drucken


Allgemeine Einstellungen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen

Unter den Projekteigenschaften finden Sie den Bereich Industrial Performance Analyzer. Hier definieren Sie Einstellungen für den IPA, die Ihr gesamtes Projekt betreffen.

Die folgenden Eigenschaften stehen Ihnen zur Verfügung:

Eigenschaft | Beschreibung
IPA aktiv | Wählen Sie diese Eigenschaft aus, um den IPA einzuschalten.
Datenbank | Definieren Sie die Datenbank, in die der IPA die Alarmdaten ablegen soll (siehe Datenbank)
Tabellenname | Geben Sie einen freien Namen für die Tabelle Ihrer IPA Daten an. Eine Tabelle mit diesem Namen wird beim ersten Datenbankzugriff der Runtime automatisch in der Datenbank erzeugt.
Speicherzyklus | Definieren Sie das Intervall, in dem die Alarmdaten aus dem Puffer in die Datenbank geschrieben werden sollen. Werte aus der Praxis liegen zwischen 2 und 5 Minuten.
Puffergröße | Geben Sie an, wie viele Alarme im Puffer gespeichert werden sollen. Am Ende jedes Zyklus wird der Pufferinhalt in die Datenbank gespeichert. Danach ist der Puffer wieder leer. Wenn innerhalb eines Zyklus mehr als die angegebene Anzahl an Alarmen auftritt, gehen zuerst die ältesten Alarme verloren.
Schicht aus PFS | Wählen Sie diese Eigenschaft aus, um die Zeiten für die definierten Schichten aus dem Production & Facility Scheduler zu übernehmen. Wenn Sie diese Eigenschaft aktivieren, können Sie sich bei der Auswertung der Alarme pausenbereinigte Standzeiten anzeigen lassen.
Schicht aus Variable | Wählen Sie eine Variable vom Typ INT aus. Zusammen mit der Eigenschaft Schichtname aus Liste, können Sie so Zahlenwerten Schichtnamen zuordnen.
Zeitfilter vordefiniert | Definieren Sie verschiedenen Zeitfilter, auf die Sie in der Runtime zurückgreifen können.
Alarmursache | Definieren Sie verschiedene Alarmursachen, auf die sie in der Runtime zurückgreifen können.
Anlagen-Kennzeichnung | Definieren Sie verschiedene Anlagen-Kennungen, auf die sie in der Runtime zurückgreifen können.
Anlagen-Kennzeichnung über | Entscheiden Sie, ob Sie den Beginn der Kennung einer Variablen oder den Beginn des Variablennamens als Teil der Anlagen-Kennzeichnung verwenden wollen.
Schichtname aus PFS | Wählen Sie diese Eigenschaft aus, um die Schichtnamen für die definierten Schichten aus dem Production & Facility Scheduler zu übernehmen.
Schichtname aus Liste | Definieren Sie zu Zahlenwerten Schichtnamen. Über den Zahlenwert der Variablen, die Sie unter Schichtname aus Variable angegeben haben, wird in der Runtime zum jeweiligen Alarm der hier definierte Schichtname angezeigt.
Zum Löschen | Wählen Sie in der Dropdownliste die Berechtigungsebene aus, über die ein Benutzer verfügen muss, um Datenbankeinträge des Industrial Performance Analyzers zu löschen.
Zum Editieren | Wählen Sie in der Dropdownliste die Berechtigungsebene aus, über die ein Benutzer verfügen muss, um Datenbankeinträge des Industrial Performance Analyzers zu bearbeiten.

Noch in diesem Kapitel

Datenbank

Zeitfilter vordefinieren

Alarmursachen

Anlagen-Kennzeichnung

Schichtname aus Liste


Datenbank

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Datenbank

Bei der Eigenschaft Datenbank, klicken Sie auf die Schaltfläche mit den drei Punkten, um in den Auswahldialog für die Dateidatenquelle zu gelangen.

Vorgehen:

  1. Um eine neue DSN-Datei zu erzeugen, klicken Sie auf Neu....
  2. Wählen Sie im folgenden Dialog den Eintrag SQL Server aus und klicken Sie auf Weiter.
  3. Geben Sie einen Namen für die Datenquelle an und klicken Sie erneut auf Weiter.
  4. Klicken Sie auf Fertig stellen, um den Dialog zu beenden.
  5. Unter Server den entsprechenden SQL-Server auswählen und Weiter klicken.
  6. Im folgenden Dialog müssen Sie nichts verändern. Klicken Sie auf Weiter.
  7. Aktivieren Sie die Checkbox Die Standarddatenbank ändern auf: und wählen Sie die gewünschte Datenbank aus. Weiter klicken.
  8. In diesem Dialog müssen Sie erneut keine Änderungen vornehmen. Fertig stellen klicken, um den Dialog zu schließen.

Der abschließende Dialog zeigt Ihnen nochmals Ihre Einstellungen. Sie können hier die Datenquelle testen. Bestätigen Sie diesen und den folgenden Dialog mit OK.

attention Achtung

Bei Verwendung des Native Client 10 und 11 wird das Passwort nicht automatisch in den Providerstring übernommen. Es muss manuell eingetragen werden.

Z.B.: ...;User ID=sqlExampleUser1;Password=secretPassword;...


Zeitfilter vordefinieren

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Zeitfilter vordefinieren

Bei Auswahl dieser Einstellung, erhalten Sie folgenden Dialog.

Parameter | Beschreibung
Hinzufügen... | Fügen Sie eine neue Filterzeit hinzu. Im erscheinenden Dialog vergeben Sie einen eindeutigen Namen und stellen die Beginn- und Endezeit ein.
Ändern... | Nur aktiv, wenn Sie einen bestehenden Dialog ausgewählt haben. Im erscheinenden Dialog können Sie den Namen, die Beginnzeit und die Endezeit ändern.
Löschen | Nur aktiv, wenn Sie einen oder mehrere bestehenden Dialoge ausgewählt haben. Löscht die ausgewählten Zeitfilter ohne Rückfrage.

Die hier definierten Zeitfilter stehen Ihnen in der Runtime zur Verfügung. Sie können zum Beispiel die Zeiten ihrer Schichten (Frühschicht, Spätschicht usw.) hier einmal definieren und können dann im Bild vom Typ Industrial Performance Analyzer bei der Filterung auf diese Zeitbereiche zugreifen.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Noch in diesem Kapitel

Zeitfilter vordefiniert hinzufügen


Zeitfilter vordefiniert hinzufügen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Zeitfilter vordefinieren > Zeitfilter vordefiniert hinzufügen

Über den Dialog Definition fügen Sie neue Zeitfilter hinzu oder ändern bereits bestehende.

Parameter | Beschreibung
Name | Eindeutiger Name des Zeitfilters
Beginnzeit | Zeitpunkt, ab dem der Zeitfilter gültig ist.
Endezeit | Zeitpunkt, ab dem der Zeitfilter endet.


Alarmursachen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Alarmursachen

Bei Auswahl dieser Einstellung, erhalten Sie folgenden Dialog.

Parameter | Beschreibung
Hinzufügen... | Fügen Sie eine neue Alarmursache hinzu. Im erscheinenden Dialog vergeben Sie eine eindeutige Nummer und einen eindeutigen Namen.
Ändern... | Nur aktiv, wenn Sie einen bestehenden Dialog ausgewählt haben. Im erscheinenden Dialog können Sie die Nummer und den Namen ändern.
Löschen | Nur aktiv, wenn Sie einen oder mehrere bestehenden Dialoge ausgewählt haben. Löscht die ausgewählten Alarmursachen ohne Rückfrage.

Die hier definierten Alarmursachen stehen Ihnen in der Runtime zur Verfügung. Im Bild vom Typ Industrial Performance Analyzer können Sie jedem Alarm eine Alarmursache zuordnen. Sie wählen die Alarmursachen aus einer Liste aus, die Sie hier verwalten.

Noch in diesem Kapitel

Alarmursachen hinzufügen


Alarmursachen hinzufügen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Alarmursachen > Alarmursachen hinzufügen

Über den Dialog Alarmursachen fügen Sie neue Ursachen hinzu oder ändern bereits bestehende.

Parameter | Beschreibung
Nummer | Eindeutige Nummer der Alarmursache.
Name | Eindeutige Ursache.


Anlagen-Kennzeichnung

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Anlagen-Kennzeichnung

Bei Auswahl dieser Einstellung, erhalten Sie folgenden Dialog.

Parameter | Beschreibung
Hinzufügen... | Fügen Sie eine neue Anlagen-Kennzeichnung hinzu. Im erscheinenden Dialog vergeben Sie einen Namen für die Anlagenkennzeichnung.
Ändern... | Nur aktiv, wenn Sie einen bestehenden Dialog ausgewählt haben. Im erscheinenden Dialog können Sie den Namen der Anlagen-Kennzeichnung ändern.
Löschen | Nur aktiv, wenn Sie einen oder mehrere bestehenden Dialoge ausgewählt haben. Löscht die ausgewählten Anlagen-Kennzeichnungen ohne Rückfrage.

Die hier definierten Anlagen-Kennzeichnungen stehen ihnen in der Runtime zur Verfügung. Die Anlagen-Kennzeichnung kann als Präfix im Namen der Variablen oder in der Kennung der Variablen vorkommen (siehe Eigenschaft Anlagen-Kennzeichnung über in Allgemeine Eigenschaften). Der Präfix wird durch das Zeichen _ beendet. Eine Zuordnung zu einer Anlagen-Kennzeichnung erfolgt nur, wenn eine erstellte Anlagen-Kennzeichnung genau dem Präfix entspricht.

Example Beispiel

Anlagen-Kennzeichnung:

  • facility11

Variablenname oder Variablenkennung:

  • facility_Variable1
  • facility11_Variable1

Nur die Variable facility11_Variable1 wird der erstellten Anlagen-Kennzeichnung facility11 zugeordnet.

Die Anlagen-Kennzeichnung hilft Ihnen dabei, nach den gewünschten Anlagen zu filtern.

Noch in diesem Kapitel

Anlagen-Kennzeichnung hinzufügen


Anlagen-Kennzeichnung hinzufügen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Anlagen-Kennzeichnung > Anlagen-Kennzeichnung hinzufügen

Über den Dialog Anlagen-Kennzeichnung fügen Sie neue Anlagen-Kennzeichnungen hinzu oder ändern bereits bestehende.

Parameter | Beschreibung
Anlagen-Kennzeichnung | Name für die Anlagen-Kennzeichnung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schichtname aus Liste

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Schichtname aus Liste

Bei Auswahl dieser Einstellung, erhalten Sie folgenden Dialog.

Parameter | Beschreibung
Hinzufügen... | Fügen Sie einen neuen Schichtnamen hinzu. Im erscheinenden Dialog vergeben Sie eine eindeutige Nummer und einen eindeutigen Namen.
Ändern... | Nur aktiv, wenn Sie einen bestehenden Dialog ausgewählt haben. Im erscheinenden Dialog können Sie die Nummer und den Namen ändern.
Löschen | Nur aktiv, wenn Sie einen oder mehrere bestehenden Dialoge ausgewählt haben. Löscht die ausgewählten Schichtnamen ohne Rückfrage.

Die hier definierten Schichtnamen stehen Ihnen in der Runtime zur Verfügung. Sie helfen Ihnen bei der Filterung, um nur die Alarme anzuzeigen, die in der jeweiligen Schicht aufgetreten sind.

Noch in diesem Kapitel

Schichtname aus Liste hinzufügen


Schichtname aus Liste hinzufügen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Allgemeine Einstellungen > Schichtname aus Liste > Schichtname aus Liste hinzufügen

Über den Dialog Schichtbezeichnung fügen Sie neue Schichten hinzu oder ändern bereits bestehende.

Parameter | Beschreibung
Nummer | Eindeutige Nummer der Schicht.
Name | Eindeutiger Name der Schicht.


Variablen

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Variablen

Damit Alarme in der IPA-Datenbank gespeichert werden, müssen Sie bei jeder Variablen, die hierfür in Betracht kommt, die Eigenschaft in IPA-Datenbank speichern aktivieren. Nur Alarme von Variablen, bei den diese Eigenschaft aktiviert ist, werden in der Datenbank gespeichert und können dann im Bild vom Typ Industrial Performance Analyzer angezeigt und ausgewertet werden.

attention Achtung

Im Grenzwerttext der Variablen und in der Variablenkennung dürfen nur für SQL-Statements zugelassene Zeichen vorkommen.


Sprachumschaltung

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Sprachumschaltung

Im Industrial Performance Analyzer steht die Sprachumschaltung für folgende Bereiche zur Verfügung:

  • Alarm/Ereignis-Gruppen und Alarm/Ereignis-Klassen
  • Anlagen-Kennzeichnung

    Hinweis: Da die Verwendung von '@' bei Variablennamen nicht erlaubt ist, ist die Sprachumschaltung für Anlagen-Kennzeichnung nur verfügbar, wenn Sie Anlagen-Kennzeichnung über Variablenkennung ausgewählt haben.

  • Alarmursache
  • Schichtname

    Hinweis: Da die Verwendung von '@' im Production & Facility Scheduler nicht erlaubt ist, ist die Sprachumschaltung für Schichtname nur verfügbar, wenn Sie entsprechende Einträge bei Schichtname aus Liste projektiert haben.

Sie müssen die Begriffe, für die die Sprachumschaltung angewendet werden soll, mit '@' kennzeichnen. Außerdem müssen Sie sicherstellen, dass in der Sprachtabelle entsprechende Einträge vorhanden sind.


Bild vom Typ Industrial Performance Analyzer

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Bild vom Typ Industrial Performance Analyzer

Bild vom Typ Industrial Performance Analyzer anlegen

Das Bild vom Typ Industrial Performance Analyzer dient dazu, die Alarmdaten, die der Industrial Performance Analyzer in der Datenbank speichert, während der Runtime anzuzeigen und auszuwerten.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Industrial Performance Analyzer.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Kontrollelemente für Fenster.

Kontrollelement | Beschreibung
Liste | Tabellarische Darstellung der Alarmdaten. Die Informationen werden aus der Tabelle in der Datenbank gelesen und hier dargestellt.
Listentyp | Textfeld, das den ausgewählten Listentyp anzeigt.
Eingestellter Filter | Anzeige des eingestellten Filters. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Listenfunktionen

Kontrollelemente zur Steuerung der Liste.

Kontrollelement | Beschreibung
Filter... | Öffnet den Filterdialog
Filter zurück | Lädt die letzte Filtereinstellung. Die letzten 10 Filtereinstellungen werden gespeichert.
Filter aufheben | Deaktiviert alle Filtereinstellungen.
Datenbank aktualisieren | Liest die Daten aus der Datenbank erneut ein.
Dokument erzeugen | Erzeugt ein Dokument mit den ausgewählten Daten und öffnet es. Die Daten werden in Tabellenform dargestellt.
Diagramm erzeugen | Stellt die ausgewählten Daten in einem Diagramm dar.
Diagramm Einstellungen | Definition zum Layout des Diagramms; z. B. Balken- oder Tortendiagramm.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Eingestellter Filter | Anzeige des eingestellten Filters. Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Kontrollelement | Beschreibung
Profilauswahl | Profil aus Liste auswählen.
Profil speichern | Speichert aktuelle Einstellung als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Profil löschen | Löscht ausgewähltes Profil.
Import | Importiert Filterprofile aus Exportdatei.
Export | Exportiert Filterprofile in Datei.


Funktion Bildumschaltung

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Funktion Bildumschaltung

Wenn Sie eine Funktion Bildumschaltung (siehe Funktionen) auf ein Bild vom Typ Industrial Performance Analyzer erstellen, wird Ihnen der IPA-Filterdialog angezeigt. Hier können Sie Filter setzen und Einstellungen vornehmen, die bei der Umschaltung auf das Bild vom Typ Industrial Performance Analyzer berücksichtigt werden.

Details zu den Einstellungen im Filterdialog finden Sie im Kapitel Filter.


Funktion IPA Dokument erzeugen/drucken

Handbuch > Industrial Performance Analyzer > Projektieren im Editor > Funktion IPA Dokument erzeugen/drucken

Mit dieser Funktion können Sie automatisch eine IPA-Auswertung erzeugen und als HTML-Dokument abspeichern oder am Windows-Standarddrucker ausdrucken. Sie finden die Funktion unter der Gruppierung AML und CEL.

Die Filtermöglichkeiten und die Filterprojektierung entsprechen der Funktion Bildumschaltung auf das Bild vom Typ Industrial Performance Analyzer. Auf der Registerkarte Zieldokument wählen Sie aus, ob die Auswertung auf den Windows-Standarddrucker oder in eine Datei im Exportverzeichnis ausgegeben werden soll.

Wenn Sie die Auswertung in eine Datei speichern wollen, aktivieren Sie die Checkbox Auf Datei und geben Sie einen Namen an.

attention Achtung

Sie müssen den Dateinamen inklusive .html angeben, damit Ihr System die erzeugte Datei problemlos erkennt und Sie sie sofort mit einem geeigneten Programm öffnen können.

Beispiel für Dateiname:

IPA_010109.html

Wenn Sie die Checkbox nicht aktivieren, wird die Auswertung ausgedruckt.


Bedienung während der Runtime

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime

Die Bedienung des IPAs in der Runtime erfolgt über das Bild vom Typ Industrial Performance Analyzer. Das Bild wird mit den im Editor projektierten Filter- und Übergabeparameter aufgeschalten. Sie erhalten also die Darstellung, die Sie im Editor definiert haben.

Jede Anzeige hat ihre eigenen Default-Sortierung der Spalten (siehe Kapitel Filter). Sie können auch selbst nach jeder beliebigen Spalte sortieren, indem Sie einen Linksklick auf den jeweiligen Spaltenkopf ausführen. Wenn Sie nach mehreren Spalten sortieren möchten, halten Sie die Steuerung-Taste gedrückt und klicken Sie nacheinander die gewünschten Spalten an. Dadurch erhalten Sie eine kaskadierte Sortierung. Wenn Sie nicht mehr die Default-Sortierung verwenden, zeigt ein Pfeil neben dem Spaltennamen an, dass nach dieser Spalte sortiert ist. Die Sortierung kann sowohl aufsteigend als auch absteigend erfolgen. Der erste Linksklick auf eine Spalte sortiert die Einträge absteigend. Ein weiterer Linksklick wechselt zwischen den Sortierrichtungen.

Zur Bedienung des Industrial Performance Analyzers und zur Darstellung der Alarmdaten stehen Ihnen die im Editor projektierten Kontrollelemente zur Verfügung (siehe Bild vom Typ Industrial Performance Analyzer).

Einträge löschen

Sie können nur mit dem internen Industrial Performance Analyzer Einträge aus der Datenbank löschen. Um einen Eintrag zu löschen, führen Sie einen Rechtsklick auf den gewünschten Eintrag aus. Wählen Sie im erscheinenden Kontextmenü den Eintrag ausgewählte Zeile aus Datenbank löschen aus. Wenn Sie über die benötigte Berechtigung zum Löschen verfügen, wird der Eintrag gelöscht (siehe Allgemeine Einstellungen).

Alarmursache und Kommentar

Wenn Sie zu einem Alarm eine Alarmursache und/oder einen Kommentar hinzufügen möchten, haben Sie zwei Möglichkeiten. Führen Sie einen Doppelklick auf die gewünschte Zeile aus. Im folgenden Dialog können Sie eine Alarmursache aus der Dropdownliste Alarmursache auswählen und einen freien Kommentar in das Feld Kommentar eingeben.

Sie erreichen den Dialog auch, indem Sie auf die gewünschte Zeile einen Rechtsklick ausführen und im Kontextmenü Alarmursache bearbeiten auswählen.

Noch in diesem Kapitel

Filter

Dokument erzeugen

Diagramm


Filter

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter

Mithilfe des Filterdialogs bestimmen Sie das Aussehen des Bilds vom Typ Industrial Performance Analyzer. Sie entscheiden welche Alarme Sie angezeigt bekommen und nach welchen Kriterien diese sortiert werden.

Jede Listenart zeigt bestimmte Spalten und hat eine Default-Sortierung. Die Listenarten sind in Summenliste, Statistikliste und Einzelliste unterteilt.

Hinweis: Alarmgruppen und Alarmklassen werden nach ID sortiert und nicht nach Text.

Summenliste

Listenname | verfügbare Spalten | Default-Sortierung
Klassenbezogen | Alarm/Ereignis-Klasse, Anzahl, Gesamtdauer | Spalte: Anzahl, beginnend mit der größten Anzahl
Einzelstörungsbezogen | Variable, Kennung, Anzahl, Gesamtdauer, Brutto Gesamtdauer, Grenzwerttext, Alarm/Ereignis-Klasse, Alarm/Ereignis-Gruppe, Anlage, Projekt | Spalte: Anzahl, beginnend mit der größten Anzahl
Gruppenbezogen | Alarm/Ereignis-Gruppe, Anzahl, Gesamtdauer | Spalte: Anzahl, beginnend mit der größten Anzahl
Anlagenbezogen | Anlage, Anzahl, Gesamtdauer | Spalte: Anzahl, beginnend mit der größten Anzahl

Statistikliste

Listenname | verfügbare Spalten | Default-Sortierung
Gesamtstörungsdauer einer Anlage | Anlage, Gesamtdauer | Spalte: Gesamtdauer, beginnend mit dem längsten Alarm
n kürzeste Alarme | Status, Variable, Kennung, Beginn, Dauer, Bruttodauer, Alarm/Ereignis-Klasse, Alarm/Ereignis-Gruppe, Grenzwerttext, Schichtbeginn, Schichtende, Anlage, Projekt, Alarmursache, Kommentar | Spalte: Dauer, beginnend mit dem kürzesten Alarm
n häufigste Alarme | Anzahl, Variable, Kennung, Beginn, Gesamtdauer, Brutto Gesamtdauer, Alarm/Ereignis-Klasse, Alarm/Ereignis-Gruppe, Grenzwerttext, Anlage, Projekt, Alarmursache, Kommentar | Spalte: Anzahl, beginnend mit der größten Anzahl
n längste Alarme | Status, Variable, Kennung, Beginn, Dauer, Bruttodauer, Alarm/Ereignis-Klasse, Alarm/Ereignis-Gruppe, Grenzwerttext, Schichtbeginn, Schichtende, Anlage, Projekt, Alarmursache, Kommentar | Spalte: Dauer, beginnend mit dem längsten Alarm
n letzte Alarme | Status, Variable, Kennung, Beginn, Dauer, Bruttodauer, Alarm/Ereignis-Klasse, Alarm/Ereignis-Gruppe, Grenzwerttext, Schichtbeginn, Schichtende, Anlage, Projekt, Alarmursache, Kommentar | Spalte: Beginn, beginnend mit dem ältesten Alarm

Die gewünschte Anzahl n, geben Sie neben n= ein.

Einzelliste

Listenname | verfügbare Spalten | Default-Sortierung
Alarmmeldeliste | Status, Variable, Kennung, Beginn, Dauer, Bruttodauer, Alarm/Ereignis-Klasse, Alarm/Ereignis-Gruppe, Grenzwerttext, Schichtbeginn, Schichtende, Anlage, Projekt, Alarmursache, Kommentar | Spalte: Beginn, beginnend mit dem ältesten Alarm

Noch in diesem Kapitel

Datenbank und Ansicht

Datum/Zeit

Anlagen-Kennzeichnung

Alarm/Ereignis-Klassen

Alarmgruppen

Sonstiges

Schichtbeginn

Schichtende

Alarmursache

Spaltendefinition


Datenbank und Ansicht

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Datenbank und Ansicht

Wählen Sie hier die gewünschte Ansicht unter Ansicht aus.

Die Felder DSN-Name und Tabelle zeigen Ihnen die Verbindung zum gewählten SQL-Server und den Namen der Tabelle, in der IPA die Alarmdaten speichert. Diese Felder dienen rein der Information. Sie können hier keine Änderungen vornehmen (siehe Datenbank). Einstellungen können Sie über diese Eigenschaften tätigen:

Parameter | Beschreibung
Raster anzeigen | Blendet ein Raster bei der Darstellung der Alarmdaten ein.
n= | Geben Sie an, wie viele Einträge die Ansichten n kürzest Alarme, n häufigsten Alarme, n längste Alarme und n letzte Alarme enthalten sollen.


Datum/Zeit

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Datum/Zeit

In dieser Registerkarte definieren Sie Daten und Uhrzeiten.

Datum

Einstellungen für das Datum.

Option

Beschreibung

Datum
  • Aktiv: Einstellungen für das Datum können getroffen werden.

Heute

Der Filter gilt für den heutigen Tag.

Gestern

Der Filter gilt für den gestrigen Tag.

Vorgestern

Der Filter gilt für vorgestern.

Wählbar
  • Aktiv: Eingabe eines frei definierbaren Datumsbereich.

mit Uhrzeit
  • Aktiv: Für das Start- und Enddatum kann auch jeweils eine Uhrzeit definiert werden.
  • Inaktiv: Der Zeitbereich beginnt am Startdatum um 00:00 Uhr und endet am Enddatum um 24:00 Uhr.

Nur verfügbar, wenn die Option Wählbar aktiviert wurde.

Start

Eingabe des Startdatums und des Startzeitpunkts.

Ende

Eingabe des Enddatums und des Endzeitpunkts.

Zeit

Einstellungen für die Uhrzeit.

Option

Beschreibung

Zeit
  • Aktiv: Einstellungen für die Uhrzeit können getroffen werden.

Die Zeitbereiche sind tagesbezogen. Sie beziehen sich auf jeden Tag, der unter Datum ausgewählt wurde.

Beispiel:

Wurde unter Datum Wählbar ausgewählt und bei Start der 01.10.2017 und bei Ende der 05.10.2017 ausgewählt, dann bezieht sich der hier ausgewählte Zeitbereich auf jeden der fünf Tage des Intervalls vom 1. bis zum 5. Oktober.

Wählbar
  • Aktiv: Eingabe eines Zeitbereich.

Start

Eingabe des Startdzeitpunkts.

Ende

Eingabe des Endzeitpunkts.

Selbstdefiniert

Auswahl von selbstdefinierten Zeitbereiche. Diese müssen zuvor im Editor erstellt werden.
Details siehe Kapitel Zeitfilter vordefinieren.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Anlagen-Kennzeichnung

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Anlagen-Kennzeichnung

Um diesen Filter zu verwenden, aktivieren Sie die Checkbox Aktiv. Wenn Sie jetzt den Dialog mit OK verlassen, werden Ihre Einstellungen auf die Darstellung angewandt. Wenn Sie die Checkbox Aktiv deaktivieren, bleiben Ihre Einstellungen erhalten. Sie werden allerdings nicht auf die Darstellung angewandt.

Im Filter der Anlagen-Kennzeichnung können eine oder mehrere Anlagen aktiviert werden. Die Einträge in der linken Liste können markiert und mit der Pfeiltaste in die rechte Liste verschoben werden.

Die Alarme der Anlagen in der rechten Liste werden dargestellt.

Die Anlagen-Kennzeichnung erfolgt über den Präfix im Variablennamen oder in der Variablenkennung, je nach Ihrer Projektierung (siehe Allgemeine Einstellungen). Sie verwalten die Liste der Anlagen-Kennzeichnung im Editor unter Anlagen-Kennzeichnung.

info Info

Bei der Filterung können mehrere Einträge ausgewählt werden. Dies geschieht mithilfe von Steuerung- oder Umschalt-Taste. Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden. Wenn Sie die Umschalt-Taste drücken, werden alle Einträge ausgewählt, die sich zwischen den beiden ausgewählten Einträgen befinden. Bei gleichzeitigem Drücken von Steuerung- und Umschalt-Taste werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Alarm/Ereignis-Klassen

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Alarm/Ereignis-Klassen

Um diesen Filter zu verwenden, aktivieren Sie die Checkbox Aktiv. Wenn Sie jetzt den Dialog mit OK verlassen, werden Ihre Einstellungen auf die Darstellung angewandt. Wenn Sie die Checkbox Aktiv deaktivieren, bleiben Ihre Einstellungen erhalten. Sie werden allerdings nicht auf die Darstellung angewandt.

Im Filter der Alarm/Ereignis-Klassen können eine oder mehrere Alarm/Ereignis-Klassen aktiviert werden. Die Einträge in der linken Liste können markiert und mit der Pfeiltaste in die rechte Liste verschoben werden.

Die Alarme der Klassen in der rechten Liste werden dargestellt.

info Info

Bei der Ansicht in der Runtime wird nur der Name der Alarm/Ereignis-Klasse angezeigt. Dadurch wird eine bessere Sortierung der Einträge erreicht. Die Nummer der Alarm/Ereignis-Klasse wird nicht angezeigt

info Info

Bei der Filterung können mehrere Einträge ausgewählt werden. Dies geschieht mithilfe von Steuerung- oder Umschalt-Taste. Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden. Wenn Sie die Umschalt-Taste drücken, werden alle Einträge ausgewählt, die sich zwischen den beiden ausgewählten Einträgen befinden. Bei gleichzeitigem Drücken von Steuerung- und Umschalt-Taste werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Alarmgruppen

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Alarmgruppen

Um diesen Filter zu verwenden, aktivieren Sie die Checkbox Aktiv. Wenn Sie jetzt den Dialog mit OK verlassen, werden Ihre Einstellungen auf die Darstellung angewandt. Wenn Sie die Checkbox Aktiv deaktivieren, bleiben Ihre Einstellungen erhalten. Sie werden allerdings nicht auf die Darstellung angewandt.

Im Filter der Alarm/Ereignis-Gruppen können eine oder mehrere Alarm/Ereignis-Gruppen aktiviert werden. Die Einträge in der linken Liste können markiert und mit der Pfeiltaste in die rechte Liste verschoben werden.

Die Alarme der Gruppen in der rechten Liste werden dargestellt.

info Info

Bei der Ansicht in der Runtime wird nur der Name der Alarm/Ereignis-Gruppe angezeigt. Dadurch wird eine bessere Sortierung der Einträge erreicht. Die Nummer der Alarm/Ereignis-Gruppe wird nicht angezeigt.

Die Sortierung erfolgt dabei nicht alphabetisch, sondern nach dem Index.

info Info

Bei der Filterung können mehrere Einträge ausgewählt werden. Dies geschieht mithilfe von Steuerung- oder Umschalt-Taste. Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden. Wenn Sie die Umschalt-Taste drücken, werden alle Einträge ausgewählt, die sich zwischen den beiden ausgewählten Einträgen befinden. Bei gleichzeitigem Drücken von Steuerung- und Umschalt-Taste werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Sonstiges

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Sonstiges

Auf dieser Registerkarte sind einige zusätzliche Filterfunktionen verfügbar.

Parameter | Beschreibung
Alarmdauer | Filterung nach der Alarmdauer. Nur Alarme deren Dauer in diesem Zeitfenster liegen werden berücksichtigt.
Alarmhäufigkeit | Filterung nach der Alarmhäufigkeit. Nur Alarme deren Häufigkeit in diesem Bereich liegen werden berücksichtigt. Diese Filter kann nur aktiviert werden, wenn in der Ansicht der Listendarstellung n häufigsten Alarme gewählt wurde.
Alarmzustand | Filterung nach Alarmzustand. Wählen Sie eine dieser Möglichkeiten: anstehend, gegangen oder beides.
Grenzwerttextfilter | Filterung nach dem Grenzwerttext des Alarmes. Entweder über den Text z. B. 'Test' zeigt alle Alarme an, die im Alarmtext 'Test' enthalten (wählbar Groß-/Kleinschreibung beachten), oder mittels Regular expressions.
Variablenkennungstextfilter | Filterung nach dem Kennungstext des Alarmes. Entweder über den Text oder mittels Regular expressions.
Projektfilter | Filterung nach dem Projekt aus dem die Alarme in die Datenbank eingetragen wurden. Soll nach mehreren Projekten gefiltert werden, können diese durch das Zeichen ',' getrennt eingegeben werden.

Noch in diesem Kapitel

Regular expressions


Regular expressions

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Sonstiges > Regular expressions

Regular expressions bezeichnet ein Textmuster, das aus normalen Zeichen (z. B. Buchstaben, Ziffer etc.) und Sonderzeichen, so genannten Metazeichen, besteht. Bei der Filterung oder Durchsuchung von Texten, können Sie damit eine bestimmte Zeichenfolge definieren.

info Info

Regular expressions sind nicht mit Wildcards – z. B. * entspricht beliebigen Zeichen – zu verwechseln. Regular expressions sind um ein vielfaches leistungsfähiger und ermöglichen Ihnen, Ihre Suche genau zu definieren.

Die folgende Tabelle enthält eine vollständige Liste der Metazeichen und deren Verhalten im Kontext von regular expressions:

Metazeichen | Beschreibung
\ | Markiert das nächste Zeichen als Sonderzeichen, Literal, Rückverweis oder oktales Escapezeichen. Beispielsweise entspricht n dem Zeichen n. \n entspricht einem Zeilenendezeichen. Die Sequenz \\ entspricht \, und \( entspricht (.
^ | Entspricht der Position am Anfang der Eingabezeichenfolge.
$ | Entspricht der Position am Ende der Eingabezeichenfolge.
* | Entspricht dem vorherigen Zeichen oder Teilausdruck nullmal oder mehrere Male. Zum Beispiel entspricht zo* den Zeichenfolgen "z, zo, zoo usw.
+ | Entspricht dem vorherigen Zeichen oder Teilausdruck einmal oder mehrere Male. Zum Beispiel entspricht zo+ den Zeichenfolgen zo, zoo usw., jedoch nicht z.
? | Entspricht dem vorherigen Zeichen oder Teilausdruck null‑ oder einmal. Beispielsweise entspricht do(es)? der Zeichenfolge do in do oder does.
. | Entspricht jedem beliebigen einzelnen Zeichen außer \n. Soll die Entsprechung ein beliebiges Zeichen einschließlich \n sein, verwenden Sie ein Muster wie [\s\S].
(muster) | Ein Teilausdruck, der muster entspricht und die Entsprechung erfasst. Sollen die Entsprechungen runde Klammern ( ) sein, verwenden Sie \( oder \).
x|y | Entspricht entweder x oder y. Beispielsweise entspricht z|food - z oder food. (z|f)ood entspricht zood oder food.
[xyz] | Eine Zeichengruppe. Entspricht einem beliebigen der eingeschlossenen Zeichen. Beispiel: [abc] entspricht dem a in plain.
[^xyz] | Eine negative Zeichengruppe. Entspricht einem beliebigen nicht eingeschlossenen Zeichen. Beispiel: [^abc] entspricht dem p in plain.
[a-z] | Ein Zeichenbereich. Entspricht einem beliebigen Zeichen im angegebenen Bereich. Beispiel: [a-z] entspricht jedem Kleinbuchstaben im Bereich von a bis z.
[^a-z] | Ein negativer Zeichenbereich. Entspricht einem beliebigen Zeichen, das sich nicht im angegebenen Bereich befindet. Beispiel: [^a-z] entspricht jedem Buchstaben, der nicht im Bereich von a bis z vorhanden ist.

Folgende regular expressions werden vom IPA exklusiv genutzt:

Metazeichen | Beschreibung
? | Wenn dieses Zeichen unmittelbar auf einen der anderen Quantifizierer folgt (*, +, ?, {n}, {n,}, {n,m}), ist das Vergleichsmuster "nicht gierig". Ein nicht gieriges Muster sucht nach einer Entsprechung eines möglichst kleinen Teils der gesuchten Zeichenfolge, während das standardmäßige "gierige Muster" nach einer Entsprechung eines möglichst großen Teil der gesuchten Zeichenfolge sucht. Beispielsweise entspricht o+? in der Zeichenfolge oooo einem einzigen o, während o+ allen o entspricht.
\cx | Entspricht dem durch x angegebenen Steuerzeichen. Beispielsweise entspricht \cM Strg+M oder einem Wagenrücklaufzeichen. Der Wert von x muss im Bereich von A bis Z oder von a bis z liegen. Andernfalls wird angenommen, dass c ein literales c‑Zeichen ist.
\f | Entspricht einem Seitenvorschubzeichen. Gleichbedeutend mit \x0c und \cL.
\t | Entspricht einem Tabulatorzeichen. Gleichbedeutend mit \x09 und \cI.
\v | Entspricht einem vertikalen Tabulatorzeichen. Gleichbedeutend mit \x0b und \cK.
\num | Entspricht num, wobei num eine positive ganze Zahl ist. Ein Verweis zurück auf erfasste Entsprechungen. Beispiel: (.)\1 entspricht zwei aufeinander folgenden, identischen Zeichen.


Schichtbeginn

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Schichtbeginn

Um diesen Filter zu verwenden, aktivieren Sie die Checkbox Aktiv. Wenn Sie jetzt den Dialog mit OK verlassen, werden Ihre Einstellungen auf die Darstellung angewandt. Wenn Sie die Checkbox Aktiv deaktivieren, bleiben Ihre Einstellungen erhalten. Sie werden allerdings nicht auf die Darstellung angewandt.

Im Filter Schichtbeginn können eine oder mehrere Schichten aktiviert werden. Die Einträge in der linken Liste können markiert und mit der Pfeiltaste in die rechte Liste verschoben werden.

Der Filter Schichtbeginn bezieht sich auf die Schicht die zu der Zeit von Alarm kommt aktiv war. Die Liste mit den Schichtnamen verwalten Sie im Editor unter Schichtname aus Liste.

info Info

Bei der Filterung können mehrere Einträge ausgewählt werden. Dies geschieht mithilfe von Steuerung- oder Umschalt-Taste. Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden. Wenn Sie die Umschalt-Taste drücken, werden alle Einträge ausgewählt, die sich zwischen den beiden ausgewählten Einträgen befinden. Bei gleichzeitigem Drücken von Steuerung- und Umschalt-Taste werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Schichtende

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Schichtende

Um diesen Filter zu verwenden, aktivieren Sie die Checkbox Aktiv. Wenn Sie jetzt den Dialog mit OK verlassen, werden Ihre Einstellungen auf die Darstellung angewandt. Wenn Sie die Checkbox Aktiv deaktivieren, bleiben Ihre Einstellungen erhalten. Sie werden allerdings nicht auf die Darstellung angewandt.

Im Filter Schichtende können eine oder mehrere Schichten aktiviert werden. Die Einträge in der linken Liste können markiert und mit der Pfeiltaste in die rechte Liste verschoben werden.

Der Filter Schichtende bezieht sich auf die Schicht die zu der Zeit von Alarm geht aktiv war. Die Alarme der Schichten in der rechten Listbox werden dargestellt. Die Liste mit den Schichtnamen verwalten Sie im Editor unter Schichtname aus Liste.

info Info

Bei der Filterung können mehrere Einträge ausgewählt werden. Dies geschieht mithilfe von Steuerung- oder Umschalt-Taste. Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden. Wenn Sie die Umschalt-Taste drücken, werden alle Einträge ausgewählt, die sich zwischen den beiden ausgewählten Einträgen befinden. Bei gleichzeitigem Drücken von Steuerung- und Umschalt-Taste werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Alarmursache

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Alarmursache

Um diesen Filter zu verwenden, aktivieren Sie die Checkbox Aktiv. Wenn Sie jetzt den Dialog mit OK verlassen, werden Ihre Einstellungen auf die Darstellung angewandt. Wenn Sie die Checkbox Aktiv deaktivieren, bleiben Ihre Einstellungen erhalten. Sie werden allerdings nicht auf die Darstellung angewandt.

Im Filter Alarmursachen können eine oder mehrere Alarmursachen aktiviert werden. Die Liste der Alarmursachen verwalten Sie im Editor unter Alarmursachen.

info Info

Bei der Filterung können mehrere Einträge ausgewählt werden. Dies geschieht mithilfe von Steuerung- oder Umschalt-Taste. Bei gedrückter Steuerung-Taste können mehrere einzelne Einträge ausgewählt werden. Wenn Sie die Umschalt-Taste drücken, werden alle Einträge ausgewählt, die sich zwischen den beiden ausgewählten Einträgen befinden. Bei gleichzeitigem Drücken von Steuerung- und Umschalt-Taste werden alle dazwischen liegenden Einträge ausgewählt und die zuvor ausgewählten Einträge werden beibehalten.


Spaltendefinition

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Filter > Spaltendefinition

In dieser Registerkarte passen Sie die voreingestellten Spalten Ihren Bedürfnissen an.

Parameter | Beschreibung
Listenansicht | Aus dem Dropdown Menü die gewünschte Liste auswählen.
Spalten | In dieser Liste sind alle Spalten aufgeführt, die für die gewählte Listenansicht verfügbar sind.
Benutzerdefiniert | Aktivieren Sie diese Checkbox, um die voreingestellten Werte für Spaltentitel und -breite anzupassen.
Spaltentitel | Neuen Titel für ausgewählte Spalte eingeben.
Spaltenbreite | Definieren Sie die Breite für die ausgewählte Spalte in Pixel. Wenn Sie 0 eingeben, wird die Spalte ausgeblendet.


Dokument erzeugen

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Dokument erzeugen

Zusätzlich zur Ansicht der Alarmdaten kann ein Dokument im HTML-Format erzeugt werden. Diese Dokumente können ausgedruckt oder gespeichert werden. Nachdem alle gewünschten Filterungen und Sortierungen vorgenommen wurden, kann das Dokument durch Linksklick auf den Button Dokument erzeugen generiert werden.

Das Layout des Dokumentes wird durch XSL-Dateien (Stylesheet) bestimmt.
Die Dateien liegen im Ordner: %ProgramData%\COPA-DATA\zenon8.00\IPA\.
Die Stylesheets enthalten einen Verweis auf eine Datei Logo.gif. Diese dient als Platzhalter für ein individuelles Logo. Der Pfad zu diesem Logo muss im Stylesheet konfiguriert werden.

Folgende vordefinierte Dateien sind vorhanden:

XSL-Datei | Beschreibung
Single_list.xsl | Einzelalarmdarstellungen
Statistical_duration.xsl | statistische Darstellung der Gesamtstörungsdauer einer Anlage
Statistical_frequency.xsl | Statistische Darstellung der n häufigsten Alarme, n kürzesten Alarme, n längsten Alarme, n letzten Alarme.
Sum_list_equipment.xsl | Anlagenbezogene Summenliste.
Sum_list_single_alarm.xsl | Einzelstörungsbezogene Summenliste.
Sum_list_group.xsl | Gruppenbezogene Summenliste.
Sum_list_class.xsl | Klassenbezogene Summenliste.

Werden mehrere Stylesheet-Dateien gefunden, wird mit einem Dialog abgefragt, welche Vorlage verwendet werden soll.

Schlüsselwörter

Die Stylesheets können individuell angepasst werden. Benutzen Sie dazu folgende Schlüsselwörter:

Schlüsselwort | Bedeutung
Alarmcause | Alarmursache
Brutto_duration | Gesamtdauer brutto
Class | Alarmklasse
Comment | Kommentar
Duration | Dauer
Equipment | Anlagengruppe
Group | Alarmguppe
Identification | Kennung
Limit_text | Grenzwerttext
Number | Anzahl
Project | Projekt
Shift_end | Zeit Schichtende
Shift_start | Zeit Schichtbeginn
Start | Beginnzeit
Status | Status


Diagramm

Handbuch > Industrial Performance Analyzer > Bedienung während der Runtime > Diagramm

Für die summierten Listendarstellungen und für die Statistikliste n häufigste Alarme kann neben dem Dokument auch ein Diagramm erzeugt werden.

Mit den Einstellungen des Diagramms wird sein Layout bestimmt.

In der Registerkarte Diagramm allgemein kann zwischen folgenden Diagrammen ausgewählt werden:

Diagrammart | Beschreibung
Horizontales Balkendiagramm | Balkendiagramm wird horizontal dargestellt.
Vertikales Balkendiagramm | Balkendiagramm wird vertikal dargestellt.
Tortendiagramm | Beim Tortendiagramm kann zwischen der 3D oder der 2D Darstellung gewählt werden.

Die summierten Alarme werden bezogen auf die Zeit oder auf die Anzahl dargestellt. Unter dem Eintrag Diverses wird die Farbe der Balken bestimmt. Auch die Anzeige des Rasters wird hier aktiviert.

In der Registerkarte Beschriftung werden Font und Farbe der Diagrammbeschriftung gewählt. Mit dem Style wird der darzustellende Beschriftungstext bestimmt.

In der Registerkarte Legende werden die Schriftfont und die Schriftfarbe gewählt. Es wird definiert, wie die Legende dargestellt wird und an welcher Position sie relativ zur Grafik angeordnet sein soll.


Installation und Updates

Handbuch > Installation und Updates

Bei der ersten Installation von zenon startet die Installationsroutine automatisch und führt Sie durch den gesamten Installationsvorgang. Falls Sie den Autostart von Medien deaktiviert haben, starten Sie die Installation durch Ausführen der Datei START.exe im Wurzelverzeichnis Ihres zenon Installationsmediums.

Hinweise für die Installation:

  • Vor der Installation von zenon:
    • sollten alle aktuellen Betriebssystem-Updates installiert werden
      Hinweis: Wenn Sie immer die aktuellste Version (Service Pack) des entsprechenden Betriebssystems verwenden, vermeiden Sie Kompatibilitätsprobleme und Sicherheitslücken.
    • darf kein offener Neustart anstehen
  • Bei Windows 7 Embedded Standard wird zenon über die normale Installationsroutine installiert. Voraussetzungen für die Hardware finden Sie im Kapitel Runtime unter Windows Embedded Standard.
  • Die Installation von zenon für Windows CE erfolgt über die normale Installationsroutine. Installiert werden die Dateien für Windows CE in der Version 7.20. Details finden Sie im Kapitel Runtime für Windows CE.
  • Während der Installation von zenon wird der COPA-DATA Multiple Network Protocol Driver (cdprotdrv.sys) installiert. Um den Treiber zu starten, muss das Betriebssystem nach der Installation neu gestartet werden.

attention Achtung

Ab Version 7.10 kann zenon nicht auf Systemen installiert werden, auf denen bereits die Microsoft SQL Server Data Engine (MSDE) installiert ist. Das betrifft alle Systeme auf denen zenon 6.01 oder 6.20 Version installiert ist.

info Info

Erhalten Sie bei einer Installation die Fehlermeldung, dass ein Dienst nicht gestartet werden konnte, dann:

  • starten Sie erst den Rechner neu
  • starten Sie dann das zenon Setup neu

Noch in diesem Kapitel

zenon Standardinstallation

Unbeaufsichtigte Installation und Deinstallation

Fehlerbehandlung

Windows Updates

Virenscanner

Dateistruktur

Freie Ports

Installation einer älterer Version nach der Installation von zenon 8.00 (64-Bit Betriebssystem)

Parallele Installation von Version 7.x mit Version 6.51

Systemvoraussetzungen

Pfade für Installation und im Betrieb

zenon für Windows CE

zenon Logic Runtime für Windows CE

zenon Web Server

zenon Web Client

Updates (Build Setups)

FAQ

Technische Unterstützung

Lizenzinformationen zu Open Source Software


zenon Standardinstallation

Handbuch > Installation und Updates > zenon Standardinstallation

zenon startet beim Verbinden des zenon Installationsmediums automatisch seine Installationsroutine und führt Sie durch den gesamten Installationsvorgang. Alternativ starten Sie die Installation durch Ausführen der Datei START.exe im Wurzelverzeichnis Ihres zenon Installationsmediums.

Für den Installationsvorgang sind auf dem Rechner Administratorenrechte erforderlich!

attention Achtung

Während der Installation wird der Rechner, wenn nötig, automatisch neu gestartet. Schließen Sie vor der Installation alle anderen Programme.

Noch in diesem Kapitel

Startbildschirm

zenon Standardinstallation

Auswahl der Edition - Installationsart (Benutzerdefinierte Installation)

Installation und Abschluss


Startbildschirm

Handbuch > Installation und Updates > zenon Standardinstallation > Startbildschirm

Am Startbildschirm sehen Sie die zu installierende Version inklusive Build-Nummer.

  1. Wählen Sie aus der Dropdownliste links oben die gewünschte Sprache für die Installation.
    Für die Installation stehen folgende Sprachen zur Verfügung:
    • Deutsch
    • Englisch
    • Französisch
    • Italienisch
    • Spanisch
  2. Informationen zu zenon erhalten Sie mit Klick auf die gewünschte Schaltfläche:

    Öffnet eine Animatiom mit aktuellen Informationen zur zenon Version.

    Öffnet die zenon Hilfe zur Installation als PDF.

    Öffnet den Quick-Start Guide im PDF-Format mit Tipps für die ersten Projektierungsschritte in zenon.

    Achtung: Diese Seite kann später nicht erneut eingeblendet werden. Wenn Sie Informationen zur aktuellen Version oder das Handbuch für die Installation benötigen, öffnen Sie diese jetzt.

  3. Mit Klick auf die Schaltfläche Weiter öffnen Sie das Fenster mit den Lizenzbedingungen.
    Lizenzbedingungen
  4. Bestätigen Sie die Lizenzbedingungen durch Aktivierung der entsprechenden Checkbox.

    Mit Klick auf die Schaltfläche Drucken können Sie die Lizenzbedingungen auch ausdrucken.

  5. Mit Klick auf die Schaltfläche Weiter öffnen Sie das Fenster zur Auswahl des gewünschten Produkts.
    Hinweis: Die Schaltfläche Weiter ist nur dann verfügbar, wenn Sie den Bedingungen der Lizenzvereinbarung mit Klick auf das Optionsfeld zugestimmt haben.


zenon Standardinstallation

Handbuch > Installation und Updates > zenon Standardinstallation > zenon Standardinstallation

Wählen Sie das gewünschte Produkt. Es können nur Produkte ausgewählt werden, die noch nicht installiert sind. Wünschen Sie eine Neuinstallation, müssen Sie das bereits installierte Produkt über die Systemsteuerung zuerst deinstallieren.

  • zenon Editor:
    Installiert zenon Editor und zenon Runtime. Zusätzlich benötigte Komponenten für den Editor werden automatisch mitinstalliert.
  • zenon Runtime:
    Installiert nur die zenon Runtime.
  • zenon Web Server:
    Installiert den zenon Web Server und die jeweils aktuellen zenon Web Clients.
  • zenon Web Client:
    Installiert nur den zenon Web Client.

info Info

Bei Auswahl von zenon Web Server oder zenon Web Client startet umgehend die Installation.

Bei Auswahl von zenon Editor oder zenon Runtime öffnet sich der Dialog zur Editions-Auswahl.


Auswahl der Edition - Installationsart (Benutzerdefinierte Installation)

Handbuch > Installation und Updates > zenon Standardinstallation > Auswahl der Edition - Installationsart (Benutzerdefinierte Installation)

Mit Klick auf das gewünschte Produkt öffnen Sie das Fenster zu Auswahl der Edition.

  1. Wählen Sie die lizenzierte Version:
    • zenon Supervisor Edition
    • zenon Energy Edition
    • zenon Pharma Edition
    • zenon Operator Edition

  2. Mit Klick auf die gewünschte Edition öffnen Sie das Fenster zur Auswahl der Installationsart:

    • Jetzt installieren:
      Startet die Installation der gewählten Edition.
      Eventuell wird der Rechner während er Installation automatisch neu gestartet. Folgen Sie den weiteren Anweisungen des Wizards.
    • Benutzerdefiniert:
      Öffnet weitere Fenster zur individuellen Installation.
      Hier können Sie den Installationspfad ändern und entscheiden, ob Sie Demoprojekte installieren möchten.
  3. Mit Klick auf die Schaltfläche Weiter öffnen Sie das Fenster für die Anpassung der Installationsordner:

    • Definieren Sie bei Bedarf Ihre individuellen Ordner für die 32-Bit Version und die 64-Bit Version des Programms.
      Klicken Sie dazu die Schaltfläche Ändern...
    • Legen Sie den Zielordner für Projekt-Datenbanken fest.
      Achtung: Der hier gewählte Speicherort muss über ausreichend Speicherplatz verfügen. Alle Benutzer benötigen Schreibrechte.
    • Falls Sie das Demo-Projekt mitinstallieren möchten, aktivieren Sie die entsprechende Checkbox.
      Das Demo-Projekt demonstriert beispielhaft mögliche Einsatzszenarien in verschiedenen Branchen.
  4. Klicken Sie auf die Schaltfläche Installieren:
    Die Installation der gewählten Edition wird gestartet.
    Eventuell wird der Rechner während er Installation automatisch neu gestartet. Folgen Sie den weiteren Anweisungen des Wizards.


Installation und Abschluss

Handbuch > Installation und Updates > zenon Standardinstallation > Installation und Abschluss

Während der Installation werden Sie in der Fortschrittsanzeige über den jeweiligen Installationsfortschritt und den aktuellen Installationsschritt informiert.

  • Mit Klick auf die Schaltfläche Abbrechen können Sie die Installation unterbrechen.
    Vor Abbruch der Installation erfolgt eine Sicherheitsabfrage.

Option | Beschreibung
Ja | Die Installation wird abgebrochen. Es wird der Dialog für eine fehlerhafte Installation angezeigt.
Nein | Die Installation wird fortgesetzt.

Der Installationsvorgang kann einige Zeit in Anspruch nehmen. Schalten Sie während dieser Zeit Ihren Rechner nicht aus. Stellen Sie auch sicher, dass Ihr Rechner nicht automatisch in den Ruhezustand versetzt wird.

Abschluss

Nach erfolgreicher Installation werden Sie mit einem Dialog informiert.

  • Klicken Sie die Schaltfläche Fertig stellen um die Installation abzuschließen.
  • Starten Sie das Setup neu, um weitere Produkte wie z.B. den zenon Web Server zu installieren.

Abgebrochene oder fehlerhafte Installation

Tritt bei der Installation ein Fehler auf oder wurde die Installation abgebrochen wird dies in einem Dialog angezeigt.

Klicken Sie die Schaltfläche Fertig stellen um das Setup zu beenden.


Unbeaufsichtigte Installation und Deinstallation

Handbuch > Installation und Updates > Unbeaufsichtigte Installation und Deinstallation

zenon kann auch unbeaufsichtigt installiert (Silent Installation) und deinstalliert (Silent Remove) werden.

info Info

Die unbeaufsichtigte Installation und Deinstallation ist möglich für alle zenon Versionen ab 7.10.

Unbeaufsichtigte Installation ab zenon 7.20

Syntax: scada.exe /silent /language:[Nummer] CDPROP_EDITION=[Edition] CDPROP_TYPE=[Typ] ISFeatureInstall=[Features]

Parameter

Argumente

Beschreibung

scada.exe

Aufruf der Installation.

/silent

Unbeaufsichtigte Installation.

/language:
  • 1031: Deutsch
  • 1033: Englisch
  • 1034: Spanisch
  • 1036: Französisch
  • 1040: Italienisch

Auswahl der Sprache.

Beispiel Englisch:
language:1033

CDPROP_EDITION=
  • ENERGY
  • SUPERVISOR
  • OPERATOR
  • PHARMA
  • SCIENCE

Auswahl der Edition.

Beispiel Energy Edition:
CDPROP_EDITION=ENERGY

Wird für zenon Web Server und zenon Web Client nicht benötigt.

CDPROP_TYPE=
  • ED: Editor und Runtime
  • RT: Runtime

Auswahl Editor oder Runtime.

Beispiel Runtime:
CDPROP_TYPE=RT

Wird für zenon Web Server und zenon Web Client nicht benötigt.

ISFeatureInstall=
  • PREREQUISITES_EDITOR,SCADA:
    Editor
  • PREREQUISITES_RUNTIME,SCADA:
    Runtime
  • PREREQUISITES_WEBSERVER,WEBSERVER:
    Web Server
  • PREREQUISITES_WEBCLIENT,WEBCLIENT:
    Web Client

Auswahl der zu installierenden Features.

Beispiel zenon Editor:
ISFeatureInstall=PREREQUISITES_EDITOR,SCADA

Beispiele:

  • Installation Editor, Deutsch, Energy Edition:
    scada.exe /silent /language:1031 CDPROP_EDITION=ENERGY CDPROP_TYPE=ED ISFeatureInstall=PREREQUISITES_EDITOR,SCADA
  • Installation Runtime, Englisch, Supervisor Edition:
    scada.exe /silent /language:1033 CDPROP_EDITION=SUPERVISOR CDPROP_TYPE=RT ISFeatureInstall=PREREQUISITES_RUNTIME,SCADA?
  • Installation zenon Web Server, Deutsch:
    scada.exe /silent /language:1031 ISFeatureInstall=PREREQUISITES_WEBSERVER,WEBSERVER?
  • Installation zenon Web Client, Deutsch:
    scada.exe /silent /language:1031 ISFeatureInstall=PREREQUISITES_WEBCLIENT,WEBCLIENT?

Unbeaufsichtigte Deinstallation ab zenon 7.20

Ohne LOG-Datei

Pfad: C:\Program Files (x86)\InstallShield Installation Information\{9BE6EDFE-3465-486F-87EE-1C439DE5EA9A}

Syntax: SCADA.exe /remove /silent??

Mit LOG-Datei

Pfad: C:\Program Files (x86)\InstallShield Installation Information\{9BE6EDFE-3465-486F-87EE-1C439DE5EA9A}

Syntax: SCADA.exe /remove /silent??? /log"%TEMP%"

Unbeaufsichtigte Installation zenon 7.10 und 7.11

Syntax: scada.exe /silent /language:[Nummer] CDPROP_EDITION=[Edition] CDPROP_TYPE=[Typ] ISFeatureInstall=[Features]

Parameter

Argumente

Beschreibung

scada.exe

Aufruf der Installation.

/silent

Unbeaufsichtigte Installation.

/language:
  • 1031: Deutsch
  • 1033: Englisch
  • 1034: Spanisch
  • 1036: Französisch
  • 1040: Italienisch

Auswahl der Sprache.

Beispiel Englisch:
language:1033

CDPROP_EDITION=
  • ENERGY
  • SUPERVISOR
  • OPERATOR
  • PHARMA

Auswahl der Edition.

Beispiel Energy Edition:
CDPROP_EDITION=ENERGY

Wird für zenon Web Server nicht benötigt.

CDPROP_TYPE=
  • ED: Editor und Runtime
  • RT: Runtime

Auswahl Editor oder Runtime.

Beispiel Runtime:
CDPROP_TYPE=RT

Wird für zenon Web Server nicht benötigt.

ISFeatureInstall=
  • WIBU,SCADA,MS,MSALL,SQL,COMMON:
    Editor
  • WIBU,SCADA,MS,MSALL,COMMON:
    Runtime
  • WIBU,WS,MSALL,COMMON:
    Web Server

Auswahl der zu installierenden Features.

Beispiel zenon Editor:
ISFeatureInstall=WIBU,SCADA,MS,MSALL,SQL,COMMON

Beispiele:

  • Installation Editor, Deutsch, Energy Edition:
    scada.exe /silent /language:1031 CDPROP_EDITION=ENERGY CDPROP_TYPE=ED ISFeatureInstall=WIBU,SCADA,MS,MSALL,SQL,COMMON
  • Installation Runtime, Englisch, Supervisor Editon:
    scada.exe /silent /language:1033 CDPROP_EDITION=SUPERVISOR CDPROP_TYPE=RT ISFeatureInstall=WIBU,SCADA,MS,MSALL,COMMON
  • Installation zenon Web Server, Deutsch:
    scada.exe /silent /language:1031 ISFeatureInstall=WIBU,WS,MSALL,COMMON

Unbeaufsichtigte Deinstallation Version 7.10 und zenon 7.11

zenon 7.10

Pfad: C:\Program Files (x86)\InstallShield Installation Information\{860C41F0-6034-4822-BCF1-88D4849AE897}

Syntax: SCADA.exe /remove /silent??

zenon 7.11

Pfad: C:\Program Files (x86)\InstallShield Installation Information\{ED00D319-77B8-4C58-8D67-2DA2D48E90DB}

Syntax: SCADA.exe /remove /silent


Fehlerbehandlung

Handbuch > Installation und Updates > Fehlerbehandlung

Prüfung vor der Installation

Vor der Installation werden die Voraussetzungen am System überprüft. Falls Voraussetzungen nicht erfüllt werden, werden Ihnen diese auf einer eigenen Seite mit Hinweisen zur Behebung angezeigt.

Fehler während der Installation

Treten während der Installation Fehler auf, erhalten Sie eine Fehlermeldung.

Falls Sie zur Lösung Hilfe vom Technische Consulting der COPA-DATA benötigen:

  1. Erstellen Sie nach Möglichkeit einen Screenshot der Fehlermeldung.
  2. Navigieren Sie zum Ordner %Temp%/SCADALOG.
  3. Hier finden Sie Sie die Log-Dateien der Installation.
  4. Erzeugen Sie mit dem Inhalt des Ordners eine ZIP-Datei.
  5. Schicken Sie Datei und Screenshot an support@copadata.com.

Falls Sie das Meldungsfenster schon geschlossen haben, finden Sie die Log-Dateien mit den Installationsinformationen für SQL-Server im Ordner:
C:\Program Files\Microsoft SQL Server\110\Setup Bootstrap\LOG

Tipp: Die Datei Summary.txt gibt einen Anhaltspunkt, wo das Problem liegen könnte.

info Info

Firewalls: Bei der Installation konfiguriert zenon automatisch die mit Windows installierte Firewall. Firewalls anderer Hersteller müssen vom Anwender korrekt konfiguriert werden.

Häufige Fehlerquellen bei der Installation:

  • Virenscanner ist aktiv und blockiert die Installation durch fehlerhaftes Erkennen von Viren. Lösung: Rechner vom Netzwerk abhängen, Virenscanner deaktivieren, Installation durchführen
  • Firewall wurde nicht korrekt konfiguriert. Lösung: Rechner vom Netzwerk abhängen, Firewall deaktivieren, Installation durchführen
  • Fehlerhafte SQL-Installation ist im System bereits vorhanden. Lösung: Projektbackups erstellen sofern noch möglich, SQL Server deinstallieren, SQL Ordner umbenennen, Installation erneut starten.


Windows Updates

Handbuch > Installation und Updates > Windows Updates

Achtung: Automatische Windows-Updates beeinflussen die Installation!

Wird während des zenon Setups ein Update des Windows Betriebssystems ausgeführt, kann das zu Problemen bei der Installation von zenon führen.

Um das zu vermeiden:

  • Deaktivieren Sie das automatische Windows-Update für den Zeitraum der Installation.
  • Führen Sie Windows-Updates vor der Installation von zenon aus.


Virenscanner

Handbuch > Installation und Updates > Virenscanner

Antiviren-Software kann die Installation von zenon verlangsamen oder diese sogar verhindern.

Hinweis: Führt die von Ihnen eingesetzte Antiviren-Software zu Problemen bei der Installation, deaktivieren Sie die Antiviren-Software für die Zeitdauer der Installation. Die betroffenen Rechner können in diesem Zeitraum höheren Risiken ausgesetzt sein. Aktivieren Sie die Antiviren-Software sofort nach der Installation von zenon wieder.


Dateistruktur

Handbuch > Installation und Updates > Dateistruktur

Die Dateistruktur wird während der Installation angelegt oder erweitert.

Dabei werden die zenon Programmdateien in einem Ordner abgelegt, der während der Installation angegeben wird.

Zusätzlich wird während der Installation nach einem Ordner für die SQL-Datenbanken der Projekte gefragt. Auf dem Speichermedium für die Projektablage (SQL, Bilder usw.) muss genügend freier Platz reserviert sein, da hier alle aktuellen und zukünftigen Projektdaten abgelegt werden.

Ordner | Pfad
Programmordner | 32-Bit System: %Program Files%\COPA-DATA\zenon7xxx 64-Bit System: %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Programmdatenordner, z. B. Globale Symbole, Druckvorlagen, Log-Dateien, usw. | %ProgramData%\COPA-DATA\zenon7xxx
Datenbankordner (SQL) | %ProgramData%\COPA-DATA\SQL
Systemordner | %ProgramData%\COPA-DATA\System
Einstellungen Editor und Profile | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Einstellungen Diagnosis Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definition Runtime-Ordner und Daten-Ordner

Runtime-Ordner

Der Editor erzeugt die Runtime-Dateien im Runtime-Ordner oder diese werden per Remote-Transport in diesen Ordner übertragen. Der Runtime-Ordner wird beim Kompilieren eines Projektes im Editor erstellt oder aktualisiert. Dieser Ordner kann im zenon Editor mit der Projekteigenschaft Runtime-Ordner parametriert werden. Bei Remote-Übertragung wird der Runtime-Ordner in den Einstellungen für den Remote-Transport festgelegt.

Daten-Ordner

Die Runtime speichert alle zur Runtime erzeugten Datendateien, wie etwa Alarmdateien, Archivdateien usw. im Daten-Ordner. Standardmäßig wird der Daten-Ordner als Unter-Ordner zum Runtime-Ordner angelegt. Er erhält automatisch den Namen des Rechners, auf dem die Runtime läuft. Dieser Speicherort kann in den Projekteigenschaften (Allgemein/Datenordner) geändert werden.

Tipp: Setzen Sie den Daten-Ordner nie auf ein entfernbares Laufwerk wie einen USB Stick oder ein Netzlaufwerk. Es wird empfohlen, die Daten lokal aufzuzeichnen und extern zu sichern.

attention Achtung

Falls der angegebene Pfad nicht existiert oder nicht verfügbar ist, werden von der Runtime keine Daten mehr geschrieben. Das bedeutet 100% Datenverlust. Die Runtime bleibt bedienbar, muss aber neu gestartet werden, sobald der Pfad wieder verfügbar ist. Die Verfügbarkeit des Ordners kann mit der Systemtreibervariablen Runtime-Ordner nicht verfügbar überprüft werden.


Freie Ports

Handbuch > Installation und Updates > Freie Ports

zenon und zenon Logic benötigen für die Kommunikation im Netzwerk bestimmte Kommunikationsports. Wenn andere Programme, wie z. B. ein bereits installierter SQL-Server, diese Ports belegen, kann dies die Kommunikation von zenon stören. Viele Ports sind in zenon über das Startup Tool oder Eigenschaften im Editor veränderbar.

So überprüfen Sie die Belegung der Ports:

  1. Geben Sie auf der Komandozeile netstat -a -n -o ein.

    Die Kommandozeile erhalten Sie unter Windows mit:

    • Windowstaste+R
    • geben Sie cmd ein und bestätigen Sie mit OK
    • ein DOS-Eingabefenster öffnet sich
    • geben Sie hier den netstat Befehl ein
  2. Sie erhalten eine Liste mit allen aktiven TCP/IP und UDP Ports.
  3. Überprüfen Sie bei den abhörenden Ports (Status: ABHÖREN) ob für die von zenon und zenon Logic benötigten Ports die Prozess-ID (PID) den Prozessen von zenon und zenon Logic entspricht.

    Diese PIDs können im Windows Task Manager ausgelesen werden. Öffnen Sie dazu den Windows Task Manager und wechseln Sie in die Registerkarte Dienste.

  4. Verwendet andere Software diese Ports, konfigurieren Sie diese Software um.
    Welche Ports zenon und zenon Logic nutzen, sehen Sie in der Tabelle Portbelegung durch zenon und zenon Logic. Hier sehen Sie auch, ob Ports in diesen Programmen anpassbar sind.

Portbelegung durch zenon und zenon Logic

Anwendung

Beschreibung

Ports

Transport-Protokoll

stratonrt[k].exe

zenon Logic Runtime pollende Kommunikation und zenon Logic Workbench.
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

zenon Logic Redundanz.
  • 7000-7010

TCP

stratonrt[k].exe

zenon Logic Runtime spontane Kommunikation.
  • 9000-9010

TCP

zennetsrv.exe

zenon Netzwerkdienst.
  • 1100-1100

TCP

zensyssrv.exe

zenon Transportservice.
  • 1101

TCP

zendbsrv.exe

zenon Datenbankdienst.
  • 1103

TCP

zenAdminsrv.exe

zenonVerwaltungsdienst.
  • 50777

TCP

zenLogSrv.exe

zenonLogging-Dienst.
  • 50780

TCP

zenvnc.exe

zenon Remote Desktop Dienst.
  • 5600 (fix)
  • 5610 (fix)

TCP

CodeMeter.exe

Code Meter Dongle Dienst.
  • 22350 (veränderbar, muss aber unverändert bleiben)

TCP

WkSvW32.exe

WibuKey Netzwerkdienst.
  • 22347 (fix)

TCP

Zenrt32.exe

Message Control mit Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fix)

SIP und RTP sind konfigurierbar über den Editor. RTCP wird vom System automatisch gesetzt.

UDP


Installation einer älterer Version nach der Installation von zenon 8.00 (64-Bit Betriebssystem)

Handbuch > Installation und Updates > Installation einer älterer Version nach der Installation von zenon 8.00 (64-Bit Betriebssystem)

Wird auf einem 64-Bit Betriebssystem nach der Installation von zenon 8.00 eine zenon Version mit niedrigerer Versionsnummer als 7.10 installiert, müssen nach deren Installation die 64-Bit Dienste über die Kommandozeile neu registriert werden. Die Registrierung kann über eine Batch-Datei oder manuell erfolgen.

Mit Batch Datei registrieren:

  1. kopieren Sie vom zenon Installationsmedium die Datei Register.bat.
  2. Sie finden diese im Ordner: ...\AdditionalSoftware\Register Admin Service and Log Service (x64)\
  3. Führen Sie die Datei auf dem betreffenden Rechner als Administrator aus.

Manuelle Registrierung:

  1. starten Sie die Kommandozeile mit Administratorrechten
  2. navigieren Sie zum Ordner %Program Files%\Common Files\COPA-DATA\zenAdminSrv
  3. starten Sie den Dienst zenAdminSrv.exe mit dem Parameter -service
  4. navigieren Sie zum Ordner %Program Files%\Common Files\COPA-DATA\zenLogSrv
  5. starten Sie den Dienst zenLogSrv.exe mit dem Parameter -service

Example Beispiel

zenAdminSrv:

  • Ordner: C:\Program Files\Common Files\COPA-DATA\zenAdminSrv
  • Befehl: zenAdminSrv.exe -service

zenLogSrv:

  • Ordner: C:\Program Files\Common Files\COPA-DATA\zenLogSrv
  • Befehl: zenLogSrv.exe -service


Parallele Installation von Version 7.x mit Version 6.51

Handbuch > Installation und Updates > Parallele Installation von Version 7.x mit Version 6.51

Wird eine Version 7.x auf einem System installiert, auf dem bereits zenon 6.51 installiert ist, muss nach der Installation der Multiple Network Protocol Driver nach einem Reboot neu installiert werden.

Für x64-Systeme

Zur Neuinstallation:

  1. Starten Sie das System neu.
  2. Öffnen Sie am Installationsmedium den Pfad AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver.
  3. Führen Sie die Datei MNDPx64Setup.bat aus.

Damit wird der Treiber neu installiert und korrekt mit den Netzwerkadaptern verknüpft.

Für x86-Systeme

Zur Neuinstallation:

  1. Starten Sie das System neu.
  2. öffnen Sie am Installationsmedium den Pfad AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver
  3. führen Sie die Datei MNDPx86Setup.bat aus

Damit wird der Treiber neu installiert und korrekt mit den Netzwerkadaptern verknüpft.


Systemvoraussetzungen

Handbuch > Installation und Updates > Systemvoraussetzungen

zenon 8.00 kann auf allen aktuellen Microsoft Betriebssystemen eingesetzt werden. zenon wird immer auf den neuesten Versionen der Betriebssysteme mit den neuesten verfügbaren Service Packs und Hotfixes getestet.

Änderungen durch Service Packs, Hotfixes oder Patches von Microsoft können Inkompatibilitäten bewirken und die Funktionsfähigkeit der Software beeinflussen. In diesem Fall wird COPA-DATA so früh wie möglich eine aktualisierte Version von zenon zur Verfügung stellen. Nähere Informationen erhalten Sie in diesem Fall vom COPA-DATA Support: support@copadata.com.

attention Achtung

Beachten Sie bei der Projektierung:

  • Für die optimale Darstellung von zenon zur Runtime wird für die Windows Anzeige die Standardeinstellung (entspricht 100%) empfohlen. Höhere Werte können dazu führen, dass grafische Elemente, Symbole, Texte usw. nicht korrekt angezeigt werden.
  • Windows Themen können Elemente in der Runtime überlagern. Achten sie bei der Projektierung auf einen passenden Abstand von Elementen zum Bildschirmrand.

Noch in diesem Kapitel

Desktop Betriebssysteme

Server Betriebssysteme

Server und Desktop Betriebssysteme bis Windows 8.1

Windows CE und Windows Embedded

Windows 10

Systemvoraussetzungen bei Verwendung von DirectX

Zusätzliche Software

Benutzerrechte

Hardwarevoraussetzungen


Desktop Betriebssysteme

Handbuch > Installation und Updates > Systemvoraussetzungen > Desktop Betriebssysteme

Unterstützte Desktop Betriebssysteme und erforderliche Service Packs:

Betriebssystem | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows 7 (Professional, Enterprise und Ultimate Version, jeweils x86 und x64 Versionen) | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Nicht lauffähig
Windows Embedded Standard 7 (vorausgesetzt, alle notwendigen Betriebssystemkomponenten sind vorhanden) | Nicht lauffähig | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Nicht lauffähig
Windows 8 und 8.1 (Standard, Professional, Enterprise, jeweils x86 und x64 Versionen) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Nur x64 mit SP 0
Windows Embedded 8 Standard (vorausgesetzt, alle notwendigen Betriebssystemkomponenten sind vorhanden) | Nicht lauffähig | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Nicht lauffähig
Windows 10 (Home, Pro, Enterprise, Education, Pro Education, Enterprise LTSB, IoT Enterprise, Pro for Workstations) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Nur Home, Pro und Enterprise (jeweils x64) mit SP 0


Server Betriebssysteme

Handbuch > Installation und Updates > Systemvoraussetzungen > Server Betriebssysteme

Unterstützte Server Betriebssysteme und erforderliche Service Packs:

Server Betriebssystem | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows Server 2008 R2 (Alle Editionen, ausgenommen Core) | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Nicht lauffähig
Windows Server 2012 und 2012 R2 (Alle Editionen, ausgenommen Core) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Nur x64 mit SP 0
Windows Server 2016 (Alle Editionen, ausgenommen Core) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Nur x64 mit SP 0


Server und Desktop Betriebssysteme bis Windows 8.1

Handbuch > Installation und Updates > Systemvoraussetzungen > Server und Desktop Betriebssysteme bis Windows 8.1

Überblick der unterstützten Server- und Desktop Betriebssysteme bis Windows 8.1

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 und 8.1/ Server 2008 (R2) SP1, 2012 und 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime für Windows CE | -- | -- | -- | X
Web Server | X | X | X | X (nur Web Server Pro Light)
Web Client | X | X | X | --
HTML Web Engine | X | X | X | --

Legende:

  • X: unterstützt
  • --: nicht unterstützt

Achtung: Ab Version 7.50 wird Windows CE nicht mehr unterstützt.

Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.


Windows CE und Windows Embedded

Handbuch > Installation und Updates > Systemvoraussetzungen > Windows CE und Windows Embedded

Unterstützte Betriebssysteme:

Betriebssystem | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows CE 6.0 (ARM und x86) Achtung: Wird nur bis Version 7.20 unterstützt. Ab Version 7.50 müssen Runtime-Dateien für 7.20 erzeugt werden. | Nicht lauffähig | Nur zenon Operator | Nur Pro Light | Nicht lauffähig | Nicht lauffähig | lauffähig | Nicht lauffähig
Windows Embedded Compact 7 (ARM und x86) Achtung: Wird nur bis Version 7.20 unterstützt. Ab Version 7.50 müssen Runtime-Dateien für 7.20 erzeugt werden. | Nicht lauffähig | Nur zenon Operator | Nur Pro Light | Nicht lauffähig | Nicht lauffähig | lauffähig | Nicht lauffähig


Windows 10

Handbuch > Installation und Updates > Systemvoraussetzungen > Windows 10

Überblick der unterstützten Desktop Betriebssysteme für Windows 10

Windows Version | zenon Supervisor / Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Legende:

  • X: verfügbar
  • --: nicht lauffähig


Systemvoraussetzungen bei Verwendung von DirectX

Handbuch > Installation und Updates > Systemvoraussetzungen > Systemvoraussetzungen bei Verwendung von DirectX

Bei der Verwendung von DirectX Hardware oder DirectX Software müssen folgende Mindestvoraussetzungen erfüllt werden:

Hinweis: Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Parameter

Mindestvoraussetzung

Empfohlen

CPU:

Single Core mit SSE2 Unterstützung.

Quad Core oder mehr Cores

Grafikkarte:

(Nur DirectX Hardware)

DirectX 11 Mainstream Grafikkarte.

Hinweis: Insbesondere bei Verwendung eines integrierten Grafikchips kann es, abhängig vom eingesetzten Treiber, zu Beeinträchtigungen der Darstellungsqualität kommen.

Dedizierte DirectX 11 AMD oder nVidia High-End Grafikkarte.

Grafikspeicher:

(Nur DirectX Hardware)

1 GB VRAM

Hinweis: Die tatsächlich benötigte Größe ist abhängig von der Anzahl der aufgeschalteten Bilder und der dargestellten Elemente.

2 GB VRAM

Treiber Grafikkarte:

(Nur DirectX Hardware)

Aktuellster Treiber des Grafikkartenherstellers.

Betriebssystem:

DirectX Hardware und DirectX Software funktionieren nur auf Betriebssystemen mit DirectX 11.1 - Unterstützung.

Wenn das System DirectX 11.1 nicht unterstützt, wird automatisch auf Windows Basis umgeschaltet.

Die aktuelle DirectX-Runtime muss installiert sein. Diese wird für zenon mit dem Setup mit installiert. Für den zenon Web Client muss sie manuell installiert werden.

Die DirectX Hardwarefähigkeit der Grafikkarte und des Treibers können Sie mit dem Windows Betriebssystem-Tool dxdiag.exe überprüfen.
Bis Windows 7: Prüfen Sie unter Anzeige den Wert DDI-Version. Der Wert 11 zum Beispiel steht für DirectX 11.
Ab Windows 8: In der Registerkarte Display werden unter Feature Levels alle unterstützten DirectX-Versionen angezeigt. DirectX 11 wird zum Beispiel als 11.0 angezeigt.


Zusätzliche Software

Handbuch > Installation und Updates > Systemvoraussetzungen > Zusätzliche Software

SQL Server

Der zenon Editor arbeitet mit einer SQL Datenbank. Diese wird bei der Installation des zenon Editors mitinstalliert:

  • Bis inklusive Version 6.20 SP4: SQL-Server 2000 (MSDE)
  • Ab Version 6.21 SP0: SQL Server 2005 Express
  • Ab Version 7.00 SP0: SQL Server 2008R2 SP1 Express
  • Ab Version 7.10 SP0: SQL Server 2012 SP1 Express
  • Ab Version 7.20 SP0: SQL Server 2012 SP2 Express
  • Ab Version 7.50 SP0: SQL Server 2012 SP3 Express

attention Achtung

Beachten Sie bei einem Wechsel der Version oder bei einem Service Pack Update des SQL Servers: Projekte müssen in der ursprünglichen Version gesichert und exportiert und dann in der neuen Version wieder importiert werden.

Hinweis: Ist eine zenon Version mit der gleichen SQL Server Version, aber mit einem anderen Service Pack, bereits vorhanden, wird dieses Service Pack durch die neue zenon Installation nicht upgedated. Das Service Pack Update kann entweder manuell oder über das Windows Update erfolgen.

Dongle

  • Die für den Dongleschutz erforderliche Software CodeMeter wird immer automatisch mitinstalliert.
  • Wird WibuKey benötigt, kann dieser vom Installationsmedium installiert werden.
    Pfad: \AdditionalSoftware\WIBU-SYSTEMS WibuKey


Benutzerrechte

Handbuch > Installation und Updates > Systemvoraussetzungen > Benutzerrechte

Für die Installation sind Windows Administratorrechte erforderlich.

Für den laufenden Betrieb sind Standard Windows Benutzerrechte erforderlich. Die Benutzerkontensteuerung (UAC) kann auf höchster Sicherheitsstufe aktiviert sein.


Hardwarevoraussetzungen

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen

PC Version und CE Version von zenon stellen unterschiedliche Ansprüche an die benötigte Hardware. In diesem Kapitel finden Sie die Hardwarevoraussetzungen für die einzelnen Versionen von Editor und Runtime sowie zenon Web Server und zenon Web Client.

Der Editor nutzt als SQL-Server einen Microsoft SQL Server und stellt höhere Ansprüche an die Hardware als die Runtime. Sollen Editor und Runtime gleichzeitig auf einem System laufen, addieren sich die Voraussetzungen.

attention Achtung

Es werden Grafikkarten mit eigenem Grafikspeicher und DirectX-Unterstützung empfohlen. Shared Memory-Grafikkarten beanspruchen eventuell zu viel Arbeitsspeicher und führen damit zu Leistungseinbußen. Beachten Sie das Kapitel Systemvoraussetzungen bei Verwendung von DirectX. Für den Einsatz von Multi-Touch ist die empfohlene Konfiguration aus diesem Kapitel zu beachten.

Performance-Optimierung

Beachten Sie, dass alle Angaben nur die minimalen Anforderungen an Ihr System darstellen. Eine höherwertige Ausstattung Ihrer Hardware verbessert die Leistung von zenon erheblich.

  • Statten Sie Ihre Hardware - sowohl Clients und vor allem Server - mit genügend Arbeitsspeicher (RAM) aus.
  • Optimieren Sie die Hardware für die Datensicherung, z.B. mit einem schnellen SSD-Datenspeicher.
  • Stimmen Sie die Hardware der Clients und des Netzwerks aufeinander ab. Ein System ist immer so leistungsfähig wie seine schwächste Komponente.
  • Optimieren Sie Ihre Netzwerkarchitektur, z.B. durch Einsatz einer Verkabelung mit einer hohen Datenübertragunsrate und entsprechenden Geräten (Switches und Router).
  • Für den Einsatz in einer virtuellen Umgebung achten Sie auf eine entsprechende performance-optimierte Konfiguration des virtuellen Systems.

Noch in diesem Kapitel

Editor

Runtime

Runtime unter Windows Embedded Standard

Runtime für Windows CE

Web Server

Web Client


Editor

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen > Editor

Die Mindestvoraussetzungen beziehen sich auf eine Komplettinstallation des Editors. Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Hardware | Mindestvoraussetzung | Empfohlen
CPU | Single Core mit SSE2 Unterstützung. | Quad Core
Arbeitsspeicher | Ab 4 GB Hinweis: Je mehr Projekte Sie gleichzeitig im Speicher halten, desto höher ist der Speicherbedarf. | 8 GB
Festplatte | Mindestens 4 GB freier Speicherplatz für die Komplettinstallation plus Speicherplatz für die Projekte. |
Bildschirmauflösung | Extended VGA mit 1024 x 768. | Doppel-Bildschirmsystem: 2 Mal 1920 x 1080
Grafikkarte | 64 MB dedizierter Speicher. Karten mit Shared Memory können zu Leistungseinbußen führen. Beachten Sie das Kapitel Systemvoraussetzungen bei Verwendung von DirectX. |
Eingabegeräte | Standardtastatur und Standardmaus. |
USB Schnittstelle oder DVD-Laufwerk | Für die Installation, abhängig vom Installationsmedium. Die Installation ist auch über das Netzwerk möglich. Installationsdateien können auch aus dem Kundenbereich der COPA-DATA Website heruntergeladen werden. |
Parallele oder USB Schnittstelle | Bei Dongle-Lizenzierung für Dongle erforderlich. Bei Netzwerkdongle nur für Dongleserver nötig. |
Netzwerkanschluss (optional) | 10 MBit/s mit TCP/IP Protokoll für Remote-Transport, Netzwerkdongle, Projektsicherungen auf zentralem Dateiserver, mehrplatzfähiger Editor usw. | 1000 MBit/s

Hinweis: Bei Verwendung umfangreicher mehrplatzfähigen Projekten beachten Sie die Informationen im Kapitel Hardwarevoraussetzungen.


Runtime

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen > Runtime

Die Mindestvoraussetzungen beziehen sich auf eine Komplettinstallation der Runtime. Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Hardware

Mindestvoraussetzung

Empfohlen

CPU

Single Core mit SSE2 Unterstützung.

Quad Core

Arbeitsspeicher

Ab 512 MB.

Hinweis: Projekte mit großen Datenmengen, Netzwerkprojekte, mehrere parallele Projekte und Projekte im Redundanzbetrieb benötigen mehr Speicher.

4096 MB

Festplatte

2 GB freier Speicherplatz für Runtime-Installation plus Speicherplatz für die Projekte.

Achtung: Wenn Sie historische Daten aufzeichnen (z. B. Archivdaten oder Alarm-/CEL-Daten), muss ausreichend Festplattenplatz zur Verfügung stehen oder bei der Projektierung dafür gesorgt werden, dass die historischen Daten ausgelagert oder gelöscht werden.

Bildschirmauflösung

VGA mit 640 x 480.

Grafikkarte

64 MB dedizierter Speicher. Karten mit Shared Memory können zu Leistungseinbußen führen. Beachten Sie hierbei das Kapitel Systemvoraussetzungen bei Verwendung von DirectX.

Eingabegeräte

Tastatur und/oder Maus. Auch die Bedienung über einen Touchscreen ist möglich. Für den Touchscreen stehen Ihnen viele individuelle, gestaltbare Softkeyboards zur Verfügung. Zusätzlich besteht die Möglichkeit der Multi-Touch-Bedienung.

USB Schnittstelle

(optional)
  • Für Installation.
    Installation auch über Netzwerk oder andere Datenträger möglich.
  • Für Dongle. Auch Netzwerkdongle möglich.

Netzwerkanschluss (optional)

64 kBits/s für Standard Client/Server Projekte.

100 Mbit/s Fullduplex für Redundanzbetrieb.

1000 Mbit/s Fullduplex für Standard Client/Server Projekte.

Remoteverbindung (optional)

Minimalvoraussetzung: Wählmodem mit 9600 Bits/s.

1 MBit/s Fullduplex.

WAN Einsatz (optional)

Beliebige Verbindung über Router, z. B. per ISDN oder DSL. Die Datenübertragung ist im WAN technisch bedingt langsamer als im lokalen Netzwerk. Beachten Sie die möglichen Datenübertragungsraten der von Ihnen eingesetzten WAN-Technik bereits bei der Projekterstellung.

Message Control (optional)

Die Voraussetzungen dafür finden Sie im Kapitel Message Control.

Schnittstellen (optional)

Die nötigen Schnittstellen hängen von den Anforderungen der SPS und/oder Busanbindung ab, z. B.: serielle RS232 oder RS422/485 Schnittstellen, ISA/PCI Steckplätze, usw.


Runtime unter Windows Embedded Standard

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen > Runtime unter Windows Embedded Standard

Die Mindestanforderungen beziehen sich auf eine an das Betriebssystem Windows Embedded Standard 7 SP1 mit Plattformupdate angepasste Installation der Runtime. Für umfangreiche Projekte muss die Hardware entsprechend leistungsstärker sein.

Diese Tabelle gibt nur die von der Standard-Installation abweichenden Werte wieder. Die restlichen Parameter entsprechen den im Kapitel Hardwarevoraussetzungen für die Runtime beschriebenen Werten.

Hardware

Mindestanforderung

Empfohlen

Arbeitsspeicher
  • 512 MB.

Hinweis: Projekte mit großen Datenmengen, Netzwerkprojekte, mehrere parallele Projekte und Projekte im Redundanzbetrieb benötigen mehr Speicher.
  • 2048 MB

Speichermedium
  • 2 GB freier Speicherplatz am Laufwerk C:\ vor der Installation von .NET Framework 3.5 und 4.5
    800 MB freier Speicherplatz nach der Installation von .NET Framework
  • plus Speicherplatz für die Projekte, Archive, etc.
  • 80 GB

Achtung: Wenn Sie historische Daten aufzeichnen (z. B. Archivdaten oder Alarm-/CEL-Daten), muss ausreichend Festplattenplatz zur Verfügung stehen oder bei der Projektierung dafür gesorgt werden, dass die historischen Daten ausgelagert oder gelöscht werden.


Runtime für Windows CE

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen > Runtime für Windows CE

Die Mindestanforderungen beziehen sich auf eine Komplettinstallation der Runtime für Windows CE. Für umfangreiche Projekte muss die Hardware entsprechend leistungsstärker sein.

Hardware | Mindestanforderung | Empfohlen
CPU | Mindestens 400 MHz | 1 GHz
Arbeitsspeicher | 64 MB | 1024 MB für Windows CE 6.0.
Speichermedium | 64 MB freier Speicherplatz. Permanent beschreibbarer remanenter Speicher für Projektdaten | 256 MB freier Speicherplatz oder mehr.
Netzwerkanschluss | Für Standard Client/Server Projekte: 10 Mbit/s Fullduplex. |

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.


Web Server

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen > Web Server

Die Mindestvoraussetzungen beziehen sich auf eine Komplettinstallation des Web Servers. Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Hardware | Mindestvoraussetzungen | Empfohlen
CPU | Single Core mit SSE2 Unterstützung. |
Arbeitsspeicher | Ab 1024 MB |
Festplatte | 256 MB freier Speicherplatz. | 1 GB freier Speicherplatz.
Netzwerkanschluss | 10 Mbit/s Fullduplex. | 1000 Mbit/s Fullduplex.
Remoteverbindung (optional) | Mindestvoraussetzung: Wählmodem mit 9600 Bits/s. | 1 MBit/s Fullduplex.


Web Client

Handbuch > Installation und Updates > Systemvoraussetzungen > Hardwarevoraussetzungen > Web Client

Die Mindestvoraussetzungen beziehen sich auf eine Komplettinstallation des zenon Web Clients. Für umfangreiche Projekte oder mehrere gleichzeitig geladene Projekte muss die Hardware entsprechend leistungsstärker sein. Dadurch können die Mindestvoraussetzungen steigen.

Hardware | Mindestvoraussetzung | Empfohlen
CPU | Single Core mit SSE2 Unterstützung. | Quad Core
Arbeitsspeicher | Ab 1024 MB |
Festplatte | 64 MB freier Speicherplatz für zenon Web Client plus Speicherplatz für die Projekte. | 80 GB freier Speicherplatz.
Netzwerkanschluss | 10 Mbit/s Fullduplex. | 1000 Mbit/s Fullduplex.
Remoteverbindung (optional) | Mindestvoraussetzung: Wählmodem mit 9600 Bits/s. | 1 MBit/s Fullduplex.
Grafikkarte | 64 MB dedizierter Speicher. Karten mit Shared Memory können zu Leistungseinbußen führen. Beachten Sie hierbei das Kapitel Systemvoraussetzungen bei Verwendung von DirectX. |


Pfade für Installation und im Betrieb

Handbuch > Installation und Updates > Pfade für Installation und im Betrieb

Pfade für zenon:

  • Installation
  • Editor
  • Runtime

info Info

Viele Standardpfade können Sie sich mit dem set Kommando anzeigen lassen:

  • starten Sie die Kommandozeile (Eingabe cmd im Windows Startbereich)
  • geben Sie den Befehl set ein
  • mit Klick auf die Taste Eingabe werden Standardordner für Windows und zenon angezeigt

Hinweis: Da absolute Pfade sich in verschiedenen Betriebssystemen unterscheiden können, werden in diesem Kapitel Pfade immer als Windows Umgebungsvariablen angezeigt. Zum Beispiel %ProgramData% statt C:\ProgramData.

Installation

Bei der Installation werden Pfade gesetzt für:

  • zenon Editor
  • zenon SQL-Ordner

Nur die Pfade für zenon Editor und zenon SQL-Ordner sind anpassbar.
Das Setup benötigt Administratorrechte, das gilt auch für die Änderung der Installationspfade.

Voraussetzungen

Die Installationspfade von vorausgesetzter Drittanbieter-Software entsprechen den Standardpfaden der jeweiligen Hersteller und sind beim Setup nicht änderbar.

Welche zusätzlichen Softwarepakete installiert werden, hängt ab von der Installationsart:

  • zenon Editor
  • zenon Runtime
  • zenon Web Client
  • zenon Logic Runtime
Voraussetzung | Editor | Runtime | Web Client | zenon Logic Runtime
Microsoft .NET Framework 3.5 SP1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft Visual C++ 2015 Redistributables | + | + | + | -
Microsoft SQL-Server 2012 SP1 Express (ab 7.10) | + | - | - | -
VSTA | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
Report Viewer 10.0 (ab 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon

Die Installation von zenon Editor setzt zwei Pfade:

  • zenon Editor:
    • 32-Bit Systeme: %ProgramFiles(x86)%\COPA-DATA\zenon [Version]
    • 64-Bit Systeme: %ProgramFiles%\COPA-DATA\zenon [Version]

    Diese Pfade können bei der Installation angepasst werden.

  • zenon SQL-Ordner:
    • ab Version 7.10: %ProgramData%\COPA-DATA\SQL2012\

    Diese Pfade können manuell über die zenDB.ini geändert werden.

zenon Editor

Im zenon Editor werden standardmäßig folgende Pfade benutzt:

Objekt | Pfad
Arbeitsplatz | %CD_USERDATA% Zum Beispiel: C:\Users\Public\Documents\zenon_Projects
Projekte | %CD_USERDATA% Zum Beispiel: C:\Users\Public\Documents\zenon_Projects Tipp für Tastenkombination: Projekt markieren -> Strg+Alt+D
SQL-Ordner des Projekts | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES Tipp für Tastenkombination: Projekt markieren -> Strg+Alt+E
project.ini | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES\zenon\system
zenon6.ini | %ProgramData%\COPA-DATA\System Zum Beispiel: C:\ProgramData\COPA-DATA\System
Sicherung | %ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP %ProgramData%\COPA-DATA\[SQL-Ordner\UID]\FILES\[Projekte]
Kompilierte Dateien | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
Externe Dateien | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\... Hinweis: Im Projekt einstellbar über Eigenschaft Dateiablage.
Systemdateien | Windows Systemordner.

zenon Runtime

In der zenon Runtime werden standardmäßig folgende Pfade benutzt:

Objekt | Pfad
Projekte | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
Externe Dateien | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\...
Exportierte Archive, Chronologische Ereignislisten und Alarmmeldeliste | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\Export Hinweis: Wird bei erstem Export angelegt.
Systemdateien | Windows Systemordner.

zenon Logic

Pfade für zenon Logic werden analog zu den zenon Pfaden angelegt.


zenon für Windows CE

Handbuch > Installation und Updates > zenon für Windows CE

Bestandteile

Die CE Version von zenon setzt sich aus folgenden Komponenten zusammen:

  • zenon CE Runtime
  • Sprach DLLs
  • Netzwerk DLL
  • Treiber DLLs
  • zenon6.ini
  • Transportservice

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.

Voraussetzungen für Installation der Runtime auf Remote-Systemen

  • Auf dem CE Terminal muss der Transportservice (SysSrvCE.exe) von zenon installiert und gestartet sein oder eine ActiveSync-Verbindung bestehen. Hinweise zur manuellen Installation über Datenträger finden Sie im Kapitel Manuelle Installation und Runtime-Update.
  • Das CE Terminal, auf das die neuen Daten übertragen werden sollen, muss für den ordnungsgemäßen Transport über mindestens 8 Megabyte freien Speicher "Program Memory" verfügen. Dieser Parameter kann über das Control Panel Systemeigenschaften angepasst werden.

Vorgangsweise

Details zu Kompatibilität, Installation und Update finden Sie in den Kapiteln:

  • CE Versionen / Prozessorunterstützung
  • Update Windows CE Runtime

info Info

Wird beim Start von zenonrce.exe auch die Datei syssrvce.exe ausgeführt, dann kann sichergestellt werden, dass immer eine TCP-Verbindung aufgebaut werden kann. Damit ist nur eine Datei für die Autostart-Funktionalität nötig. Allerdings muss zwischen beide Starts eine Zeitverzögerung projektiert werden.

Ursache: Beim Start von zenonRCE startet automatisch auch zenLogSrvCE. Aber auch beim Start von syssrvce wird zenLogSrvCE mitgestartet.

Werden zenonRCE und syssrvce innerhalb eines sehr kurzen Zeitraums gestartet, versuchen beide, zenLogSrvCE zu starten. Das führt das zu einer Fehlermeldung.

Lösung: Um dies zu vermeiden, projektieren Sie eine Verzögerung zwischen den Start von zenonRCE und zenLogSrvCE. Dazu können Sie in der zenon6.ini den Eintrag STARTDELAY= setzen. Damit wird die Runtime (zenLogSrvCE) später gestartet. Es wird dann überprüft, ob zenLogSrvCE bereits läuft und dieser nicht mehr neu gestartet.

Noch in diesem Kapitel

CE - Versionen und Prozessorunterstützung

Systemdateien

Update Windows CE Runtime

Manuelle Installation und Runtime-Update

Pocket PCs (PDA - Handheld PC)

Fehlerbehandlung


CE - Versionen und Prozessorunterstützung

Handbuch > Installation und Updates > zenon für Windows CE > CE - Versionen und Prozessorunterstützung

In der zenon Version 7.20 werden folgende Windows CE Versionen und Prozessoren unterstützt:

Prozessoren:

  • x86
  • ARM V4/V5

CE-Versionen:

  • CE 6.00
  • Windows Embedded Compact 7

Informationen zu unterstützten CE Versionen und Prozessoren für frühere zenon Versionen finden Sie in der jeweiligen Dokumentation oder erhalten Sie beim COPA-DATA Support.

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.


Systemdateien

Handbuch > Installation und Updates > zenon für Windows CE > Systemdateien

Die Runtime für Windows CE setzt das Vorhandensein unterschiedlichster Systemdateien voraus. Fehlt eine dieser Dateien, so erzeugt das Betriebssystem eine Fehlermeldung beim Starten der Runtime, dass eine oder mehrere Komponenten nicht gefunden wurden. Folgende Systemdateien sind unbedingt erforderlich:

Datei | Beschreibung
mfc90u.dll | Erforderlich für die Runtime. Es kommt eine Fehlermeldung beim Starten, wenn diese Datei nicht vorhanden ist.
msvcr90.dll | Erforderlich für die Runtime. Es kommt eine Fehlermeldung beim Starten, wenn diese Datei nicht vorhanden ist.
atl90.dll | Nicht erforderlich für das Starten der Runtime, aber für den Einsatz eines Treibers mit Netzwerkanbindung oder den Einsatz von zenon im Netzwerk. Wenn diese Datei nicht vorhanden ist, kann das Gerät nicht als Client fungieren oder funktionieren TCP/IP Treiberanbindungen nicht.
IMGDECMP.dll | Nicht erforderlich für das Starten der Runtime, aber erforderlich für die Darstellung von Transparenz, wenn Alpha Blending im Betriebssystem nicht integriert ist. Eine Animation ist bei GIF Dateien unter Windows CE nicht möglich.
VBSCRIPT.dll + JSCRIPT.dll | Nicht erforderlich für das Starten der Runtime. Diese Datei wird benötigt für die PCE (Process Control Engine).

Einige dieser Systemdateien werden mit der Installation von zenon für CE mit installiert und können z. B. mit dem UpdateCE Tool auf das CE Gerät übertragen werden. Alle diese Systemdateien sollten bereits vom Gerätehersteller in das Betriebssystem-Image des CE Geräts integriert werden.

attention Achtung

Für Hersteller von Windows CE Betriebssystemimages:
CE Versionen vor 6.0 benötigen die Datei toolhelp.dll. Damit die Datei am CE Gerät vorhanden und die Toolhelp im SDK auch verfügbar ist, aktivieren Sie im Platform Manager folgenden Eintrag:
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Hiermit ist die Toolhelp.dll im Image mit dabei.
Tipp: Verwenden Sie immer das aktuellste Service Pack des Platform Builder.

Hinweis: Die toolhelp.dll wird für Windows CE 6 nicht benötigt und soll mit CE 6 nicht verwendet werden.


Update Windows CE Runtime

Handbuch > Installation und Updates > zenon für Windows CE > Update Windows CE Runtime

Um ein Update der Windows CE Runtime durchzuführen:

  • Stellen Sie sicher, dass der zenon Transport Service (SysSrvCE.exe) auf dem CE Gerät läuft.
  • Vergewissern Sie sich, dass sie keine Remote Verbindung mittels zenon Editor zum Gerät aufgebaut haben.
  • Wählen Sie im zenon Menü Extras den Befehl Update Windows CE Runtime.

    Der Dialog zur Übertragung von Runtime-Dateien öffnet sich.

  • Konfigurieren Sie die Verbindung.
  • Definieren Sie die zu übertragenden Dateien.
  • Wählen Sie die Version aus.
  • Starten Sie das Update.

Hinweis: Sollten Sie die Runtime zum ersten Mal übertragen/installieren, beachten Sie die Hinweise im Kapitel Manuelle Installation und Runtime-Update .

Verbindung konfigurieren

Die Verbindung zum Windows CE Gerät konfigurieren Sie in der Registerkarte Connection.

Parameter | Beschreibung
Serial | Einstellung für serielle Verbindung zum Windows CE Gerät, Port muss ausgewählt werden.
TCP/IP | Einstellungen für TCP/IP Verbindung zum Windows CE Gerät.
Adress | IP-Adresse.
Name | Computername.
Syssrvce.exe starts with these settings | Einstellung für Start der syssrvce.exe.
Serial | Aktiv: serielle Verbindung wird gewählt, Port muss ausgewählt werden.
TCP/IP | Aktiv: TCP/IP Verbindung wird gewählt.
Connection with MS ActiveSync | Einstellungen zur Verbindung über MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Aktiv: syssrvce.exe wird beim ersten Transport über MS ActiveSync übertragen.
Destination folder | Zielordner.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Zu übertragende Dateien definieren

Parameter | Beschreibung
Files to update | Dateien, die übertragen werden sollen.
HMI Runtime | Aktiv: Überträgt zenon Dateien zum Zielgerät. Default: aktiv
PLC Runtime | Aktiv: Überträgt zenon Logic Dateien zum Zielgerät. Default: inaktiv
OS system files | Aktiv: Überträgt nötige Dateien des Betriebssystems. Default: aktiv
Update zenon6.ini | Überträgt die zenon6.ini zum Zielgerät. Damit werden auch die Lizenzinformationen am Zielgerät geändert.
Options |
Language | Gewünschte Sprache am Zielsystem. Default: English
HMI drivers | Auswahl der zu übertragenden HMI Treiber.
Available | Liste der zur Verfügung stehenden Treiber.
Selected | Liste der ausgewählten Treiber.
Add | Fügt markierte Treiber zur Liste der ausgewählten Treiber hinzu.
Add all | Fügt alle Treiber zur Liste der ausgewählten Treiber hinzu.
Remove | Löscht markierte Treiber aus der Liste der ausgewählten Treiber.
Remove all | Löscht alle Treiber aus der Liste der ausgewählten Treiber.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Version auswählen

Wählen Sie in der Registerkarte Versions die passende Version aus, falls sie nicht automatisch erkannt wurde.

Parameter | Beschreibung
WinCE version | Version des Windows CE Betriebssystems am Zielgerät. Klick auf Schaltfläche öffnet Dropdownliste zur Auswahl.
Processor type | Prozessor des Geräts.
Source path | Pfad zum Ordner, der die Dateien enthält. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl des Ordners.
New | Fügt neuen, leeren Eintrag in Liste ein.
Delete | Löscht den ausgewählten Eintrag aus der Liste,
Test | Überprüft Einstellungen.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Update starten

Um die Verbindung herzustellen:

  1. Klicken Sie in der Registerkarte Update auf die Schaltfläche Start.

    Die Daten für die Übertragung werden überprüft und in einem Fenster angezeigt.

  2. Starten Sie mit einem Klick auf die Schaltfläche Next die Übertragung zum Zielgerät.

    Falls die Übertragung aufgrund fehlender Dateien nicht gestartet werden kann, erhalten Sie eine Fehlermeldung mit der Liste der fehlenden Dateien:

    Falls Sie die Fehlermeldung The current update was not completed erhalten, wurde die Installation unterbrochen oder nicht korrekt beendet.

info Info

Soll zenVNCServer.exe per Update ersetzt werden, wird dieser beendet und nach dem Update wieder gestartet. Dazu muss die Datei zenVNCSrvCE.exe in der UpdateCE.ini im Abschnitt [SOURCES_FILES_GENERAL] mit den folgenden Einträge konfiguriert sein (per default vorhanden):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Manuelle Installation und Runtime-Update

Handbuch > Installation und Updates > zenon für Windows CE > Manuelle Installation und Runtime-Update

Installation und Update sind auch ohne Remote-Transport und ActiveSync möglich. Dazu werden die erforderlichen Dateien manuell auf eine Speicherkarte für das CE Gerät kopiert. Dafür müssen Sie CE Version und Prozessortyp das CE Geräts kennen.

Folgende Dateien müssen zwingend aus dem jeweiligen Ordner für die richtige Plattform auf die für das CE Gerät bestimmte Speicherkarte kopiert werden:

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnose-DLL)
  • zenon6.ini (Konfigurationsdatei)
  • Cd_tooCE.dll (Hilfs-DLL)
  • ZenNetSrvCE.dll (Netzwerk)
  • CDHelper.dll (Hilfs-DLL)
  • Eine der folgenden Sprach-DLLs: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (Die ausgewählte Sprache wird in der Datei zenon6.ini festgelegt.)
  • syssrvce.exe (Transportservice und Diagnosis Server)
  • atl90.dll (Systemdatei, ev. im Betriebssystem enthalten)
  • mfc90u.dll (Systemdatei, ev. im Betriebssystem enthalten)
  • msvcr90.dll (Systemdatei, ev. im Betriebssystem enthalten)

Weitere Dateien, wie zum Beispiel die Treiber oder die Remotedesktop-Software (zenVNCCfgCE.exe und zenVNCSrvCE.exe), sind optional.


Pocket PCs (PDA - Handheld PC)

Handbuch > Installation und Updates > zenon für Windows CE > Pocket PCs (PDA - Handheld PC)

Pocket PCs werden ab Version 7 nicht mehr unterstützt.


Fehlerbehandlung

Handbuch > Installation und Updates > zenon für Windows CE > Fehlerbehandlung

Mögliche Fehler:

Fehler | Mögliche Lösung
Verbindungsfehler bei Update über COM. | Geöffneter Windows Explorer verzögert die Zugriffszeit. Explorer schließen behebt das Problem.
Transportservice funktioniert nicht. | Version des Transportservice überprüfen. Mindestens: Version 5.21 SP3 oder höher oder der Version 5.50 SP1 oder höher.
Runtime Update Programm kann keine Verbindung aufbauen. | Beenden Sie offene Verbindungen des Editors zum CE Transportservice.


zenon Logic Runtime für Windows CE

Handbuch > Installation und Updates > zenon Logic Runtime für Windows CE

Die Installation der zenon Logic Runtime (PLC Runtime) auf einem Windows CE System läuft ähnlich ab wie die Installation der Runtime für Windows CE.

Voraussetzung: Lauffähiger Transportservice unter CE.

Die zenon Logic Runtime für Windows CE setzt sich aus folgenden Komponenten zusammen:

  • zenon Logic Runtime
  • Sprach DLL
  • zenon Logic IO Treiber
  • zenon6.ini

Installation

  • Wählen Sie im zenon Menü Extras/Update Windows CE Runtime.

    Der Dialog zur Übertragung von Runtime-Dateien öffnet sich.

  • Aktivieren Sie im Fenster Files die Checkbox PLC Runtime, um die für zenon Logic nötigen Dateien in das CE Ausführungsverzeichnis zu kopieren.
  • Wechseln Sie zur Registerkarte Connection.

  • Definieren Sie die Verbindung zum Windows CE Gerät. Geben Sie die IP-Adresse oder den seriellen Port an.
  • Falls auch die zenon6.ini übertragen werden soll, wählen Sie Update zenon6.ini aus. Damit werden auch die Lizenzinformationen am Zielgerät geändert.
  • Wählen Sie im Fenster CE Runtime Versions die passende Version aus, falls sie nicht automatisch erkannt wurde.

Update

Funktioniert wie im Kapitel Update Windows CE Runtime beschrieben.

Achtung: In der Registerkarte Files muss die Option PLC Runtime aktiviert werden!

info Info

Unter Windows CE 6.0 werden die MFC-Dateien immer übertragen


zenon Web Server

Handbuch > Installation und Updates > zenon Web Server

Um den zenon Web Server oder zenon Web Server Pro zu installieren:

  1. Aktivieren Sie die WWW-Dienste auf dem Rechner.

    Der Ordner C:\inetpub\wwwroot muss existieren.

  2. Starten Sie das zenon Installationsmedium. Der Startbildschirm wird angezeigt.

    Falls Sie Autostart von Medien deaktiviert haben, führen Sie die Datei start.exe auf dem Installationsmedium aus.

  3. Wählen Sie zenon Web Server aus.
    Entsprechend der Version des Betriebssystems wird automatisch die 32-Bit oder 64-Bit Version des zenon Web Servers installiert.
  4. Folgen Sie der Installationsroutine.
  5. Starten Sie den Computer neu.

Die Setup-Dateien für den Web Client finden Sie nach der Installation in Unterverzeichnissen des zenon Web Server-Installationspfades (xxx steht für die jeweilige Version von zenon), z. B.: C:/Programme (x86)/COPA-DATA/zenonWebserver/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oder

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE

Es werden auch die Beispiel-Webseiten (index*.html und init*.html) mitinstalliert. Diese sind im Unterverzeichnis zenon des zenon Web Server-Installationspfades zu finden, z. B.:
C:/Programme/zenonWebserver/zenon/index.htm
oder
C:/Inetpub/wwwroot/zenon/index.html

info Info

Der Dienst für den zenon Web Server wird nur in der lizenzierten Version automatisch gestartet. Im Demo-Modus muss der zenon Web Server manuell über die zenon Web Server-Konsole in den Systemeigenschaften gestartet werden.

Weiterführende Informationen

Details zum zenon Web Server lesen Sie im Handbuch zenon Web Server und Web Server Pro, zur Lizenzierung im Handbuch Lizenzierung.


zenon Web Client

Handbuch > Installation und Updates > zenon Web Client

Der zenon Web Client besteht vor allem aus einem ActiveX Control, das Informationen in einem Browser darstellt. Die Darstellung erfolgt dabei 1:1 wie in einem zenon Runtime Client. Die Verbindung zum Runtime Server erfolgt über den zenon Web Server mittels TCP/IP Kommunikation.

Die Setup-Dateien für den zenon Web Client finden Sie nach der Installation in Unterverzeichnissen des zenon Web Server-Installationspfades (xxx steht für die jeweilige Version von zenon), z. b.: %Programfiles%/COPA-DATA/zenon Web Server/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oder

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE

Alle zenon Logic Web Client-Setups sind digital signiert und können problemlos auch im Internet zum Download bereit gestellt werden.

Mit dem COPA-DATA Web Client wird auch der zenon Web Client Starter installiert. Dieser ermöglicht das Öffnen des zenon Web Client aus einem beliebigen Browser.

info Info

Der zenon Web Client sendet Error- und LOG-Dateien. Der für die Auswertung dieser Dateien notwendige Diagnosis Server wird bei einer Installation des zenon Web Client mitinstalliert.


Updates (Build Setups)

Handbuch > Installation und Updates > Updates (Build Setups)

Update (Build Setup)

Ein Update wird über die bestehende Installation installiert und ersetzt nur geänderte Dateien durch neue Versionen. Alle Projekte und individuellen Einstellungen bleiben erhalten. Build Setups sind nie zu 100% qualitätsgesichert. Es werden nur die enthaltenen Fehlerbehebungen getestet. Sollten durch eine Fehlerbehebung unerwünschte Nebeneffekte auftreten, können diese unter Umständen bei den Tests nicht auffallen. COPA-DATA empfiehlt daher immer den Einsatz von Service Packs. Diese durchlaufen immer den kompletten Qualitätssicherungsprozess.

Hinweise:

  • Build Setups können nur lokal installiert werden. Eine Installation auf Netzwerkpfaden (UNC) ist nicht möglich.
  • zenon Web Client: Um ein Update für den zenon Web Client zu installieren, muss der zenon Web Client zuvor deinstalliert werden.

Wechsel zu neuer Version

Wenn Sie eine neue Version von zenon installieren möchten, starten Sie die Installationsroutine. Bei der Installation wird die neue Version parallel zur bisherigen Version installiert. Alle Ihre Projekte und individuellen Einstellungen bleiben erhalten. Projekte werden bei der Installation nicht in die neue Version konvertiert. Erst beim ersten Öffnen im Editor erfolgt die Konvertierung des jeweiligen Projektes in die neue Version. Eine Dialogbox weist auf den Vorgang hin. Die bisherige Version wird automatisch gesichert. Möchten Sie nur die jeweils aktuellste Version verwenden, deinstallieren Sie die Vorgängerversion über die entsprechende Routine der Windows Systemsteuerung.

attention Achtung

Wenn eine Installation den Wechsel des SQL Servers mit sich bringt (z. B. von zenon 7.00 auf zenon 7.10 oder höher, muss vor der Installation eine Sicherung aller Projekte oder des Arbeitsplatzes erfolgen. Diese Sicherung wird nach der Installation wieder eingespielt. Details zur Vorgehensweise siehe auch Abschnitt Mehrbenutzer-Projekte/Update mit Wechsel des SQL Servers.

Möchten Sie mehrere Versionen von zenon parallel betreiben, so managen Sie diese über das Startup Tool. Es kann immer nur jeweils eine Version gestartet werden. Welche Version gestartet wird, legen Sie im Startup Tool fest, das beim Start alle nötigen Einstellungen automatisch vornimmt. Details dazu lesen Sie im Kapitel Startup Tool .

info Info

Neue Versionen bringen immer strukturelle Änderungen mit sich. Bei der Installation bleiben die Projekte und Einstellungen erhalten. Beim ersten Öffnen im Editor werden Projekte in die neue Version konvertiert, gleichzeitig wird eine automatische Sicherungskopie der alten Version erstellt.

Konvertierte Projekte können in Vorgängerversionen nicht mehr bearbeitet werden. Ab Version 6.2 kann der Editor Projekte für unterschiedliche Runtime-Versionen erzeugen.

Wichtige Hinweise zur Konvertierung von Projekten finden Sie im Revisionstext. Dieser wird auf dem Installationsmedium ausgeliefert und steht Ihnen auch online zur Verfügung.

Mehrbenutzer-Projekte

Um den Wechsel zu einer neuen zenon Version in Mehrbenutzer-Projekten ohne Datenverlust zu gewährleisten:

  1. Auf allen Clients alle ausgecheckten Elemente einchecken -> Änderungen übernehmen.
    Es darf nichts mehr ausgecheckt sein. Dies gilt für alle Projekte.
  2. Am Server-Rechner die neue zenon Version installieren.
  3. Alle Server-Projekte in die neue Version konvertieren: Dazu alle Projekte auf dem Server-Rechner im Editor einmal laden.
  4. Die neuen zenon Version auf den Client-Rechnern installieren.
  5. Projekte auf Clients laden und neu auschecken.

Update mit Wechsel des SQL Servers

Wenn eine Installation den Wechsel des SQL Servers mit sich bringt (z. B. von zenon 7.00 auf zenon 9.2), sind weitere Schritte nötig. Diese Schritte werden durchgeführt:

  • nachdem alle Projekte eingecheckt wurden
  • bevor die neue Version installiert wird

Ablauf beim Wechsel des SQL Servers:

  1. checken Sie auf allen Clients alle ausgecheckten Elemente ein -> Änderungen übernehmen.
  2. öffnen Sie am Mehrbenutzer-Server den Editor in der Ausgangsversion
  3. erstellen Sie Sicherungen aller Projekte, die Sie mit der neuen Version bearbeiten oder öffnen möchten
    • entweder als einzelne Projektsicherungen
    • oder als Sicherung des kompletten Arbeitsplatzes
  4. installieren Sie die neue Version auf dem Server
  5. konvertieren Sie alle Server-Projekte in die neue Version indem Sie die zuvor erstellten Projektsicherungen im Editor einmal laden
  6. installieren Sie das Update auf jedem Client
  7. übertragen Sie die Projekte vom Mehrbenutzer-Server aus auf die Clients
    (beachten Sie den neuen Namen der SQL Instanz)
  8. die Projekte sind konvertiert, synchronisiert und einsatzbereit

Achtung: Stellen Sie sicher, dass die Einstellungen der Firewall den Datenverkehr vom Mehrbenutzer-Server zu den Clients und umgekehrt zulässt.


FAQ

Handbuch > Installation und Updates > FAQ

Fehler bei der Installation treten vor allem auf, wenn das Ersetzen oder Erstellen von Dateien durch Virenscanner oder bereits vorhandene Installationen verhindert wird. Hier finden Sie die häufigsten Ursachen für Installationsfehler und deren Lösung.

zenon

Problem

Lösung

Installation wird abgebrochen.

Typische Fehlermeldung: Error 1304. Error writing to file...

Virenscanner deaktivieren, nicht benötigte Programme schließen.

Demo-Projekte wurden installiert, werden aber nicht angezeigt. Neue Projekte können nicht angelegt werden.

Überprüfen Sie den Rechnernamen. Dieser:

  • darf maximal 15 Zeichen lang sein
  • muss den Konventionen der NetBIOS Computernamens entsprechen

Fehlermeldung, dass ein Dienst nicht gestartet werden konnte.
  • starten Sie erst den Rechner neu
  • starten Sie dann das zenon Setup neu

SQL Server

Allgemein

Problem | Lösung
Die Installation schlägt fehl, da das Passwort nicht den Anforderungen entspricht. | Wird über die lokale Windows Sicherheitsrichtlinie die minimale Kennwortlänge von Default 8 auf einen Wert größer als 10 eingestellt, dann schlägt die Installation des SQL Servers fehl, da das zenon SQL Passwort aus 10 Zeichen besteht.


Technische Unterstützung

Handbuch > Installation und Updates > Technische Unterstützung

Basic Support

Falls Sie Unterstützung bei der Installation benötigen, helfen Ihnen unsere Mitarbeiter im Technischen Consulting gerne.

Anwender mit Basic-Support erreichen die Hotline unter der E-Mail-Adresse support@copadata.com.

Advanced und Premium Support

Wenn Sie einen Wartungsvertrag Advanced oder Premium besitzen, nutzen Sie die dort angegebene Telefonnummer oder E-Mailadresse. Falls Sie Ihren kostenlosen Wartungsvertrag Basic auf Advanced oder Premium erweitern möchten, beraten Sie unsere Vertriebsmitarbeiter (sales@copadata.com) gerne.


Lizenzinformationen zu Open Source Software

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software

COPA-DATA Produkte verwenden folgende Open Source Software.

Hinweis: Diese Informationen stehen nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

zenon Open Source licences for several features

zenon Open Source GPL/Mozilla Licenses

zenon Logic Workbench Open Source Licenses


zenon Open Source licences for several features

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features
  • The SNMP driver (SNMPNG32.exe) uses OpenSSL and NetSNMP
  • The LicenseManager uses the JSON and the Zlib
  • The OPC UA Process Gateway (AccessOPCUA.dll) and the OPC UA driver (OPCUA32.exe) use OpenSSL
  • The Message Control uses MIMEMail and OpenSSL (zenon32.dll)
  • The HTML Web Engine –Web Application uses ANTLRv3, Bootstrap, jQuery UI, jQuery, Json.NET, NLog, Owin, jQuery.SVG, WebGrease
  • The HTML Web Engine – Deployment Tool uses Extended WPF Toolkit, Newtonsoft.Json, NLog, WPF Application Framework (WAF)
  • The HTML Web Engine – Compiler uses Newtonsoft.Json, Nlog.Windows.Forms, NLog
  • The Everywhere Essentials QR Code Generator Wizard uses QrCode.Net
  • The Message Control VoiceOverIP Extension (MsgCtrlVoip.dll) uses libSRTP, Speex, PortAudio, Alaw/Ulaw Converter, GSM Codec 06.10 and iLBC Codec
  • The 3D Configuration Tool uses DWF Toolkit License, the MIT License (MIT), the SharpDX - Alexandre Mutel License
  • The GIS-Control uses the Gmap-Control with the MIT License (MIT)
  • The System.Data.SQLite and the System Window Interactivity WPF are using the Microsoft Public License (MS-PL)
  • The NLog 4.4.0 uses the NLog / License
  • The Add-In Framework uses the SharpDevelop 5.1.0 with the MIT License, the Mono.AddIns 1.3 with the MIT License, the Mono.Cesil 0.9.6.4 with the MIT/X11 License, the WPF Application Framework (WAF) 3.2.0 with the Microsoft Public License (MS-PL)
  • The zenon Analyzer Management Studio uses the Castel.Core 4.2.1 with Apache License
  • The *.ini-file handling is using a ini-parser with the MIT License
  • The Drag&Drop functionality is using package with the BSD 3-Clause License
  • The Toggle Switch Control Library is using the Microsoft Public License (MsPL)

You have to accept the according license agreements as well as the standard end user license agreement (EULA)

Noch in diesem Kapitel

Alaw/Ulaw Converter

ANTLRv3

Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

BSD 3-Clause License

Castle.Core 4.2.1

DWF Toolkit

Extended WPF Toolkit, WPF Application Framework (WAF)

GMap.NET

GSM Codec 06.10

Helix Toolkit

JSON Library

iLBC Codec

ini Parser

jQuery.SVG

libSRTP

Microsoft Public License (MS-PL)

Microsoft Report Viewer Runtime for Microsoft SQL Server License

MIMEMail

Mono.AddIns 1.3

Mono.Cecil 0.9.6.4

NetSNMP

NLog 4.4.0 License

Nlog, NLog.Windows.Forms

Open CASCADE Technology

OpenSSL

PortAudio

QrCode.Net

SharpDevelop 5.1.0

SharpDX

Speex

System.Data.SQLite Copyright

Toggle Switch Control Library

WebGrease, Owin

WPF Application Framework (WAF) 3.2.0

zenon Logic driver for Ethernet POWERLINK based on stackfrom openPOWERLINK

Zlib Library


Alaw/Ulaw Converter

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Alaw/Ulaw Converter

This source code is a product of Sun Microsystems, Inc. and is provided for unrestricted use. Users may copy or modify this source code without charge.

SUN SOURCE CODE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.

Sun source code is provided with no support and without any obligation on the part of Sun Microsystems, Inc. to assist in its use, correction, modification or enhancement.

SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS SOFTWARE OR ANY PART THEREOF.

In no event will Sun Microsystems, Inc. be liable for any lost revenue or profits or other special, indirect and consequential damages, even if Sun has been advised of the possibility of such damages.

Sun Microsystems, Inc.

2550 Garcia Avenue

Mountain View, California 94043


ANTLRv3

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > ANTLRv3

[The BSD License]

Copyright (c) 2010 Terence Parr

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the author nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

The MIT License (MIT)_
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

  • The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


BSD 3-Clause License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > BSD 3-Clause License

Copyright (c) 2015-16, Jan Karger (Steven Kirk)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
  • Neither the name of gong-wpf-dragdrop nor the names of its
    contributors may be used to endorse or promote products derived from
    this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Castle.Core 4.2.1

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Castle.Core 4.2.1

Copyright 2004-2016 Castle Project - http://www.castleproject.org/

Licensed under the Apache License, Version 2.0 (the "License");

you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software

distributed under the License is distributed on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and limitations under the License.


DWF Toolkit

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > DWF Toolkit

NOTICE TO USER: THIS LICENSE AGREEMENT ("AGREEMENT") IS A LEGAL AGREEMENT BETWEEN YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) AND AUTODESK, INC. FOR THE RELEASE CANDIDATE VERSION OF THE DWF TOOLKIT, WHICH INCLUDES COMPUTER SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED MATERIALS AND ONLINE OR ELECTRONIC DOCUMENTATION ("LICENSED SOFTWARE"). BY INSTALLING THE LICENSED SOFTWARE YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THE LICENSED SOFTWARE.

  1. LICENSE GRANT

    1.1 Autodesk grants to you ("Licensee") a perpetual, nontransferable, nonexclusive, royalty-free, limited license to:

    1.1.1 (a) Use the Licensed Software for development, testing, research, internal, educational, or commercial purposes.; (b) Modify the Licensed Software to create derivative works and applications, including ports; and (c) Compile the Licensed Software, derivative works and applications prepared in accordance with subsection 1.1.1(b) into binary code. You acknowledge that the Licensed Software is being provided by Autodesk as a courtesy during a "release candidate" period during which Autodesk may perform testing and modifications to the Licensed Software. As such, Autodesk makes no representation or promise that future versions or releases of the Licensed Software will contain identical or substantially similar elements and functions as the version licensed hereunder. Though Autodesk does not currently believe there will be substantial changes to the Licensed Software, Autodesk reserves the right to make any change in accordance with its requirements.

    1.1.2 Reproduce, distribute and sublicense free of charge or for a fee the Licensed Software in binary code form in conjunction with derivative works or applications created by Licensee or licensed from third parties by Licensee, provided, that: (a) Licensee makes no use of Autodesk's trademarks, trade names, or trade dress; (b) In the event Licensee makes any modification to the Licensed Software, Licensee must publish the specification for such modifications for use by third party developers and provide Autodesk with a copy thereof; and (c) The Licensee must sublicense the Licensed Software "as is", without warranty of any kind.

    1.1.3 Reproduce, distribute and sublicense free of charge to sublicensees the source code of the unmodified Licensed Software, provided that (a) Licensee must state in its sublicenses that the Licensed Software is being distributed pursuant to a license granted by Autodesk, Inc.; (b)The terms of sublicenses granted by Licensee must (i) contain all applicable terms of this Agreement, and (ii) not be broader than the terms of the license granted by this Agreement; (c) Licensee must exactly reproduce Autodesk's copyright and other proprietary rights notices which accompany the copy of the Licensed Software licensed by Autodesk to Licensee; and (d) Licensee shall conspicuously state in its sublicenses that the Licensed Software is offered "as is", without warranty of any kind.

    1.1.4 Reproduce, distribute and sublicense the source code of the Licensed Software as modified by Licensee, provided that (a) Licensee must state in its sublicense that the Licensed Software has been modified by Licensee; (b) Licensee must exactly reproduce Autodesk's copyright and other proprietary rights notices which accompany the copy of the Licensed Software licensed by Autodesk to Licensee; (c) As to the unmodified portions of the Licensed Software, the terms of the sublicenses granted by Licensee must (i) contain all applicable terms of this Agreement, and (ii) not be broader than the terms of the license granted by this Agreement; (d) Licensee must conspicuously state in its sublicenses that the original, unmodified portions of the Licensed Software are offered "as is", without warranty of any kind; and (e) Licensee must (i) publish the modified Licensed Software to the Worldwide Web, (ii) make available with the modified Licensed Software documentation which describes in detail the modifications which Licensee has made to the Licensed Software, and (iii) provide to Autodesk a copy of the modified Licensed Software and the documentation.

    1.2 Licensee acquires no right, title, or interest in or to the Licensed Software.

    1.3 Licensee shall retain all rights to any independently developed software, such as applications, developed by or for Licensee.

    1.4 Autodesk is under no obligation to provide maintenance, support, or upgrades for the Licensed Software.

  2. COPYRIGHTS AND TRADEMARKS

    Licensee shall reproduce and apply any copyright or other proprietary rights notices included on or embedded in the Licensed Software to any copies of the Licensed Software or to applications created using the Licensed Software, in any form. Licensee shall have no right to use any Autodesk trademarks, trade names or trade dress absent a separate written agreement between Autodesk and Licensee. Licensee hereby understands and agrees that Autodesk is not granting any rights to Autodesk patents, copyrights, trademarks or trade secret information to Licensee by this Agreement.

  3. FEES

    Use of the Licensed Software in accordance with the terms of this Agreement shall not require payment of a license fee to Autodesk.

  4. TERM AND TERMINATION

    The grant of a perpetual license notwithstanding, Autodesk may immediately terminate this Agreement and revoke the license granted to Licensee upon written notice to Licensee if Licensee fails to comply with any of the terms or conditions of this Agreement. Upon termination of this Agreement, Licensee shall immediately cease using, reproducing and distributing the Licensed Software, the license and rights granted hereunder shall expire, and Licensee shall immediately destroy or return to Autodesk the Licensed Software and all related documentation, materials or copies thereof.

  5. DISCLAIMER OF WARRANTY

    5.1 The Licensed Software is provided "AS IS" and without any warranty of any kind. Autodesk reserves the right to update and make modifications to the Licensed Software in any future release in its sole discretion.

    5.2 AUTODESK DOES NOT MAKE AND HEREBY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE, OR TRADE PRACTICE.

  6. LIMITATION OF LIABILITY

    6.1 In no event will Autodesk be liable for any lost revenues, data, or profits, or special, indirect, or consequential damages, even if Autodesk has been advised of the possibility or probability of such damages. Autodesk's maximum liability for damages shall be limited to the fees, if any, required under Section 3 for the particular Licensed Software which caused the damages.

    6.2 The Licensed Software is not fault-tolerant and is not designed, manufactured, or intended for use or resale as online control equipment in hazardous environments requiring fail-safe performance, such as in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, direct life support machines, or weapons systems, in which the failure of the Licensed Software or derived binaries could lead directly to death, personal injury, or severe physical or environmental damage ("High Risk Activities"). Autodesk specifically disclaims any express or implied warranty of fitness for High Risk Activities. Licensee will not knowingly use, distribute, or sublicense the Licensed Software or derived binaries for High Risk Activities and will ensure that its customers and end-users of Licensee's products are provided with a copy of the notice specified in the first sentence of this Section 6.2.

  7. PROPRIETARY INFORMATION

    The Licensed Software is the proprietary information of Autodesk, Inc. ("Confidential Information"). Except as permitted by this Agreement, Licensee shall not disclose Confidential Information and shall use it only for purposes specifically contemplated by this Agreement. This Agreement will not affect any non-disclosure agreement between the parties.

  8. EXPORT

    Unless properly authorized by the U.S. Government, Licensee shall not export, re-export or transfer, whether directly or indirectly, the Licensed Software or binary derivative or direct products thereof, to any person or company who is (a) present in or controlled by a legal resident of any proscribed country listed in the U.S. Export Administration Regulations (or any equivalent thereof ), or (b) a person or entity named in the entity lists, denied persons lists or specially designated nationals lists maintained by the U.S. Government.

  9. U.S. GOVERNMENT RESTRICTED RIGHTS

    This Licensed Software is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software Clause as DFARS 252.227-7013 and FAR 52.227-19 as applicable. Manufacturer is Autodesk, Inc., 111 McInnis Parkway, San Rafael, California 94903.

  10. GOVERNING LAW

    Any action related to this Agreement will be governed by California law, excluding choice of law rules.


Extended WPF Toolkit, WPF Application Framework (WAF)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Extended WPF Toolkit, WPF Application Framework (WAF)

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

  • The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
  • A "contribution" is the original software, or any additions or changes to the software.
  • A "contributor" is any person that distributes its contribution under this license.
  • "Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

  • (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
  • (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

  • (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
  • (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
  • (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
  • (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
  • (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


GMap.NET

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > GMap.NET

The MIT License (MIT)

Copyright (c) FLAT EARTH. This software can access some map providers and may viotile their Terms of Service, you use it at your own risk, nothing is forcing you to accept this ;} Source itself is legal!

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


GSM Codec 06.10

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > GSM Codec 06.10

Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann, Technische Universitaet Berlin

Any use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects ofthis software. THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.

As a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.

Berlin, 28.11.1994

Jutta Degener

Carsten Bormann


Helix Toolkit

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Helix Toolkit

Copyright (c) 2012 Helix Toolkit contributors

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


JSON Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > JSON Library

Copyright © 2013-2017 Niels Lohmann

Lizenz (https://github.com/nlohmann/json#license):
The class is licensed under the MIT License (https://opensource.org/licenses/MIT).

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


iLBC Codec

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > iLBC Codec

Copyright 2011 The WebRTC project authors

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Google nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


ini Parser

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > ini Parser

The MIT License (MIT)

Copyright (c) 2008 Ricardo Amores Hernández

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


jQuery.SVG

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > jQuery.SVG

Copyright 2007 - 2015 Keith Wood

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


libSRTP

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > libSRTP

Copyright (c) 2001-2006 Cisco Systems, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the Cisco Systems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Microsoft Public License (MS-PL)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Microsoft Public License (MS-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

  1. Definitions
    The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law. A "contribution" is the original software, or any additions or changes to the software. A "contributor" is any person that distributes its contribution under this license. "Licensed patents" are a contributor's patent claims that read directly on its contribution.
  2. Grant of Rights
    (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create. (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.
  3. Conditions and Limitations
    (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
    (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
    (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
    (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
    (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.

Opensource.org site content is licensed under a Creative Commons Attribution 4.0 International License.

Terms of Service

  1. ACCEPTANCE OF TERMS
    The Open Source Initiative ("OSI") provides the information on this Web site as provided in these Terms of Service ("TOS"). OSI may update the TOS at any time and without prior notice by posting a new version at http://www.opensource.org. The information on this site and your use of it is subject to the most recent version of the TOS posted.
  2. DESCRIPTION OF SERVICE
    OSI provides you with access to discussion lists, forums, licenses and a variety of other services. ("OSI Service"). Unless explicitly stated otherwise, any new features that augment or enhance the current OSI Service shall be subject to the TOS.
  3. YOUR REGISTRATION OBLIGATIONS
    In consideration of your use of the OSI Service, you represent that you are of legal age to form a binding contract and are not a person barred from receiving serviceunder the laws of the United States or other applicable jurisdiction. You also agree to:
    1. provide true, accurate, current and complete information about yourself as prompted by the OSI Service's registration form (the "Registration Data") and
    2. maintain and promptly update the Registration Data to keep it true, accurate, current and complete. If you provide any information that is untrue, inaccurate, not current or incomplete, or OSI has reasonable grounds to suspect that such information is untrue, inaccurate, not current or incomplete, OSI has the right to suspend or terminate your account and refuse any and all current or future use of the OSI Services (or any portion thereof).
  4. OSI PRIVACY POLICY
    Registration Data and certain other information about you is subject to our Privacy Policy.
  5. CONDUCT
    You understand that all information, data, text, software, graphics or other materials ("Content"), whether publicly posted or privately transmitted, are the sole responsibility of the person from whom such Content originated. This means that you, and not OSI, are entirely responsible for all Content that you upload, post, email, transmit or otherwise make available via the OSI Service. OSI does not control the Content posted via the OSI Service and, as such, does not guarantee the accuracy, integrity or quality of such Content. Under no circumstances will OSI be liable in any way for any Content, including, but not limited to, any errors or omissions in any Content, or any loss or damage of any kind incurred as a result of the use of any Content posted, emailed, transmitted or otherwise made available via the OSI Service. You agree to not use the OSI Service to:
    1. upload, post, email, transmit or otherwise make available any Content that is unlawful, harmful, threatening, abusive, harassing, tortuous, defamatory, vulgar, obscene, libelous, invasive of another's privacy, hateful, or racially, ethnically or otherwise objectionable or harm minors;
    2. impersonate any person or entity or falsely state or otherwise misrepresent your affiliation with a person or entity;
    3. forge headers or otherwise manipulate identifiers in order to disguise the origin of any Content transmitted through the OSI Service;
    4. upload, post, email, transmit or otherwise make available any Content that you do not have a right to make available under any law or under contractual or other relationships;
    5. upload, post, email, transmit or otherwise make available any Content that infringes any patent, trademark, trade secret, copyright or other proprietary rights of any party;
    6. upload, post, email, transmit or otherwise make available any unsolicited or unauthorized advertising, promotional materials, "junk mail," "spam," or any other form of solicitation;
    7. upload, post, email, transmit or otherwise make available any material that contains software viruses or any other computer code, files or programs designed to interrupt, destroy or limit the functionality of any computer software or hardware or telecommunications equipment;
    8. disrupt the normal flow of dialogue, or otherwise act in a manner that negatively affects other users' ability to engage in discussions or exchanges;
    9. interfere with or disrupt the OSI Service or servers or networks connected to the OSI Service, or disobey any requirements, procedures, policies or regulations of networks connected to the OSI Service;
    10. intentionally or unintentionally violate any applicable local, state, national or international law,
    11. "stalk" or otherwise harass another; and/or
    12. collect or store personal data about other users in connection with the prohibited conduct and activities set forth in paragraphs above. You acknowledge that OSI may or may not pre-screen Content, but that OSI and its designees shall have the right (but not the obligation) in their sole discretion to pre-screen, refuse, move, or remove any Content that is available via the OSI Service and which violates the TOS. You agree that you must evaluate, and bear all risks associated with, the use of any Content, including any reliance on the accuracy, completeness, or usefulness of such Content. You acknowledge, consent and agree that OSI may access, preserve and disclose your account information and Content if required to do so by law or in a good faith belief that such access preservation or disclosure is reasonably necessary to:
    • comply with legal process;
    • enforce the TOS;
    • respond to claims that any Content violates the rights of third parties;
    • respond to your requests for customer service; or (e) protect the rights, property or personal safety of OSI its users and the public.
  6. CONTENT MADE AVAILABLE FOR INCLUSION ON THE OSI SERVICE
    OSI does not claim ownership of Content you submit or make available for inclusion via the OSI Service. However, with respect to Content you submit or make available for inclusion on the publicly available OSI Service, you irrevocably grant OSI the perpetual, worldwide, royalty-free and non-exclusive license, with the right to sublicense through multiple tiers of sublicensees, to use, distribute, reproduce, modify, adapt, publicly perform and publicly display such Content, in whole or in part, on the OSI Service or other publications by OSI in any media whether now existing or which come into the existence into the future and to provide that information under the license set forth on the initial page of the http://www.opensource.org/ Web site. And for Content you submit for private discussions, you grant OSI the worldwide, royalty-free and non-exclusive license to use, distribute, reproduce, modify, adapt, publicly perform and publicly display such Content on the associated private discussion group.
    1. Photo Credits
    2. Home Page:
    • Businesses: "Berlin Startup Tour" CC-BY Heisenberg Media, 2013
      https://www.flickr.com/photos/heisenbergmedia/8408215473
    • Developers: "A Ladies Learning Code workshop in Toronto" CC-BY Jon Lim, 2011
      https://commons.wikimedia.org/wiki/File:Ladies_Learning_Code_event,_November_26_2011.jpg
    • Education: "OLPC Class - Mongolia Ulaanbaatar" CC-BY OLPC, 2008
      https://commons.wikimedia.org/wiki/File:OLPC_Class_-_Mongolia_Ulaanbaatar.JPG
    • Government: "A participant representing a country in a simulation of the CTBTO Executive Council poses a question at the CTBT Diplomacy and Public Policy Course. CTBT Diplomacy & Public Policy course - CTBTO Executive Council On-Site Inspection request simulation: 18-9 July 2013" CC-BY The Official CTBTO Photostream, 2013
      https://commons.wikimedia.org/wiki/File:CTBT_Diplomacy_%26_Public_Policy_course_-_July_2013_%289376130261%29.jpg
    • Non-profit: "People cheer during AIESEC Sciences Po Local Committee presentation at AIESEC France's Spark 2013 congress" CC-BY Jakub Szypulka, 2013
      https://en.wikipedia.org/wiki/AIESEC#/media/File:Roll_call_at_AIESEC_France%27s_Spark_2013.jpg
    • Users: CC0
      http://www.pexels.com/photo/man-person-apple-iphone-162/
  7. INDEMNITY
    You agree to indemnify and hold OSI and its subsidiaries, affiliates, officers, agents, employees, partners and licensors harmless from any claim or demand, including but not limited to reasonable attorneys' fees, made by any third party due to or arising out of Content you submit, post, transmit or otherwise make available through the Service, your use of the OSI Service, your connection to the Service, your violation of the TOS, or your violation of any rights of another.
  8. MODIFICATIONS TO OSI SERVICE You acknowledge that OSI may establish general practices and limits concerning use of the OSI Service, including without limitation the maximum number of days that email messages, message board postings or other uploaded Content will be retained by the OSI Service.. You further acknowledge that OSI reserves the right to modify these general practices and limits from time to time. OSI reserves the right at any time and from time to time to modify or discontinue, temporarily or permanently, the OSI Service (or any part thereof) with or without notice. You agree that OSI shall not be liable to you or to any third party for any modification, suspension or discontinuance of the OSI Service.
  9. TERMINATION
    You agree that OSI may terminate your access to the OSI Service for violations of the TOS and/or requests by authorized law enforcement or other government agencies.
  10. LINKS
    The OSI Service may provide, or third parties may provide, links to other World Wide Web sites or resources. Because OSI has no control over such sites and resources, you acknowledge and agree that OSI is not responsible for the availability of such external sites or resources, and does not endorse and is not responsible or liable for any Content, advertising, products or other materials on or available from such sites or resources. You further acknowledge and agree that OSI shall not be responsible or liable, directly or indirectly, for any damage or loss caused or alleged to be caused by or in connection with use of or reliance on any such Content, goods or services available on or through any such site or resource.
  11. DISCLAIMER OF WARRANTIES
    You expressly understand and agree that: Your use of the OSI service is at your sole risk. OSI service is provided on an "as is" and "as available" basis. OSI and its subsidiaries, affiliates, officers, employees and licensors expressly disclaim all warranties of any kind, whether express or implied, including, but not limited to the implied warranties of merchantability, fitness for a particular purpose and non-infringement. OSI and its subsidiaries, affiliates, officers, employees and licensors make no warranty that
    1. The OSI service will meet your requirements;
    2. The OSI service will be uninterrupted, timely, secure or error-free and
    3. The results that may be obtained from the use of the OSI service will be accurate or reliable. No advice or information, whether oral or written, obtained by you from OSI or through or from the service shall create any warranty not expressly stated in the TOS.
  12. LIMITATION OF LIABILITY
    You expressly understand and agree that OSI and its subsidiaries, affiliates, officers, employees, agents, partners and licensors shall not be liable to you for any direct, indirect, incidental, special, consequential or exemplary damages, including, but not limited to, damages for loss of profits, goodwill, use, data or other intangible losses (even if osi has been advised of the possibility of such damages), resulting from the use or the inability to use the OSI service.
  13. NOTICE AND PROCEDURE FOR MAKING CLAIMS OF COPYRIGHT INFRINGEMENT
    OSI respects the copyright of others, and we ask our users to do the same. OSI may, in appropriate circumstances and at its discretion, disable and/or terminate the access of users who may be repeat infringers. If you believe that your work has been copied in a way that constitutes copyright infringement, please provide OSI's Copyright Agent the following information: an electronic or physical signature of the person authorized to act on behalf of the owner of the copyright; a description of the copyrighted work that you claim has been infringed; a description of where the material that you claim is infringing is located on the site; your address, telephone number, and email address; a statement by you that you have a good faith belief that the disputed use is not authorized by the copyright owner, its agent, or the law; a statement by you, made under penalty of perjury, that the above information in your Notice is accurate and that you are the copyright owner or authorized to act on the copyright owner's behalf.
    OSI's Agent for Notice of claims of copyright infringement can be reached as follows:
    By mail:
    Mr. Mark Radcliffe
    Copyright Agent
    Open Source Initiative
    c/o DLA Piper
    2000 University Ave
    East Palo Alto,
    CA 94303
    USA
    By fax: +1-650-833-2001
    By email: copyright@opensource.org
  14. GENERAL INFORMATION
    Entire Agreement. The TOS constitutes the entire agreement between you and OSI and governs your use of the OSI Service, superseding any prior agreements between you and OSI with respect to the OSI Service.. Choice of Law and Forum. The TOS and the relationship between you and OSI shall be governed by the laws of the State of California without regard to its conflict of law provisions. You and OSI agree to submit to the personal and exclusive jurisdiction of the courts located within the county of Santa Clara, California. Waiver and Severability of Terms. The failure of OSI to exercise or enforce any right or provision of the TOS shall not constitute a waiver of such right or provision. If any provision of the TOS is found by a court of competent jurisdiction to be invalid, the parties nevertheless agree that the court should endeavor to give effect to the parties' intentions as reflected in the provision, and the other provisions of the TOS remain in full force and effect.


Microsoft Report Viewer Runtime for Microsoft SQL Server License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Microsoft Report Viewer Runtime for Microsoft SQL Server License

MICROSOFT SOFTWARE LICENSE TERMS

MICROSOFT REPORT VIEWER RUNTIME FOR MICROSOFT SQL SERVER

These license terms are an agreement between Microsoft Corporation (or based on where you live, one of its affiliates) and you. Please read them. They apply to the software named above, which includes the media on which you received it, if any. The terms also apply to any Microsoft

  • updates,
  • supplements,
  • Internet-based services, and
  • support services

for this software, unless other terms accompany those items. If so, those terms apply.

BY USING THE SOFTWARE, YOU ACCEPT THESE TERMS. IF YOU DO NOT ACCEPT THEM, DO NOT USE THE SOFTWARE.

If you comply with these license terms, you have the rights below.

  1. INSTALLATION AND USE RIGHTS. You may install and use any number of copies of the software on your devices to design, develop and test your programs.
  2. DATA COLLECTION. The software may collect information about you and your use of the software and send that to Microsoft. Microsoft may use this information to provide services and improve Microsoft’s products and services. Your opt-out rights, if any, are described in the product documentation. Some features in the software may enable collection of data from users of your applications that access or use the software. If you use these features to enable data collection in your applications, you must comply with applicable law, including getting any required user consent, and maintain a prominent privacy policy that accurately informs users about how you use, collect, and share their data. You can learn more about Microsoft’s data collection and use in the product documentation and at http://go.microsoft.com/fwlink/?LinkId=825925, and the Microsoft Privacy Statement at http://go.microsoft.com/fwlink/?LinkId=825924. You agree to comply with all applicable provisions of the Microsoft Privacy Statement.
  3. ADDITIONAL LICENSING REQUIREMENTS AND/OR USE RIGHTS.
    1. Distributable Code.

    Right to Use and Distribute. If you comply with the terms below:

    • You may copy and distribute the object code form of the software ("Distributable Code") in programs you develop; and
    • You may permit distributors of your programs to copy and distribute the Distributable Code as part of those programs.
    1. Distribution Requirements. For any Distributable Code you distribute, you must
    • add significant primary functionality to it in your programs;
    • for any Distributable Code having a filename extension of .lib, distribute only the results of running such Distributable Code through a linker with your program;
    • distribute Distributable Code included in a setup program only as part of that setup program without modification;
    • require distributors and external end users to agree to terms that protect it at least as much as this agreement;
    • display your valid copyright notice on your programs; and
    • indemnify, defend, and hold harmless Microsoft from any claims, including attorneys’ fees, related to the distribution or use of your programs.
    1. Distribution Restrictions. You may not
    • alter any copyright, trademark or patent notice in the Distributable Code;
    • use Microsoft’s trademarks in your programs’ names or in a way that suggests your programs come from or are endorsed by Microsoft;
    • distribute Distributable Code to run on a platform other than the Windows platform;
    • include Distributable Code in malicious, deceptive or unlawful programs; or
    • modify or distribute the source code of any Distributable Code so that any part of it becomes subject to an Excluded License. An Excluded License is one that requires, as a condition of use, modification or distribution, that

      the code be disclosed or distributed in source code form; or

      others have the right to modify it.

  4. SCOPE OF LICENSE. The software is licensed, not sold. Unless applicable law gives you more rights, Microsoft reserves all other rights not expressly granted under this agreement, whether by implication, estoppel or otherwise. You may use the software only as expressly permitted in this agreement. In doing so, you must comply with any technical limitations in the software that only allow you to use it in certain ways. You may not
    • work around any technical limitations in the software;
    • reverse engineer, decompile or disassemble the software, except and only to the extent that applicable law expressly permits, despite this limitation;
    • make more copies of the software than specified in this agreement or allowed by applicable law, despite this limitation;
    • publish the software for others to copy;
    • rent, lease or lend the software;
    • transfer the software or this agreement to any third party; or
    • use the software for commercial software hosting services.
  5. THIRD PARTY NOTICES. The software may include third party components with separate legal notices or governed by other agreements, as may be described in the ThirdPartyNotices file accompanying the software. Even if such components are governed by other agreements, the disclaimers and the limitations on and exclusions of damages below also apply.
  6. BACKUP COPY. You may make one backup copy of the software. You may use it only to reinstall the software.
  7. DOCUMENTATION. Any person that has valid access to your computer or internal network may copy and use the documentation for your internal, reference purposes.
  8. EXPORT RESTRICTIONS. The software is subject to United States export laws and regulations. You must comply with all domestic and international export laws and regulations that apply to the software. These laws include restrictions on destinations, end users and end use. For additional information, see www.microsoft.com/exporting.
  9. SUPPORT SERVICES. Because this software is "as is," we may not provide support services for it.
  10. ENTIRE AGREEMENT. This agreement, and the terms for supplements, updates, Internet-based services and support services that you use, are the entire agreement for the software and support services.
  11. APPLICABLE LAW.
    1. United States. If you acquired the software in the United States, Washington state law governs the interpretation of this agreement and applies to claims for breach of it, regardless of conflict of laws principles. The laws of the state where you live govern all other claims, including claims under state consumer protection laws, unfair competition laws, and in tort.
    2. Outside the United States. If you acquired the software in any other country, the laws of that country apply.
  12. LEGAL EFFECT. This agreement describes certain legal rights. You may have other rights under the laws of your country. You may also have rights with respect to the party from whom you acquired the software. This agreement does not change your rights under the laws of your country if the laws of your country do not permit it to do so.
  13. DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED "AS-IS." YOU BEAR THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES OR CONDITIONS. YOU MAY HAVE ADDITIONAL CONSUMER RIGHTS OR STATUTORY GUARANTEES UNDER YOUR LOCAL LAWS WHICH THIS AGREEMENT CANNOT CHANGE. TO THE EXTENT PERMITTED UNDER YOUR LOCAL LAWS, MICROSOFT EXCLUDES THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.

    FOR AUSTRALIA – YOU HAVE STATUTORY GUARANTEES UNDER THE AUSTRALIAN CONSUMER LAW AND NOTHING IN THIS TERMS IS INTENDED TO AFFECT THOSE RIGHTS.

  14. LIMITATION ON AND EXCLUSION OF REMEDIES AND DAMAGES. YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00. YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT OR INCIDENTAL DAMAGES.

    This limitation applies to

    • anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and
    • claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by applicable law.

It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you because your country may not allow the exclusion or limitation of incidental, consequential or other damages.


MIMEMail

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > MIMEMail

Copyright (c) 2013, tike <timflex@gmx.de>

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment:

    This product includes software developed by the tike.

  4. Neither the name of the tike nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY <COPYRIGHT HOLDER> ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Mono.AddIns 1.3

The MIT License

Copyright (C) 2007 Novell, Inc (http://www.novell.com)

Copyright (C) 2012 Xamarin Inc

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Mono.Cecil 0.9.6.4

Mono.Cecil is licensed under the MIT/X11:

Copyright (c) 2008 - 2011, Jb Evain

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

The MIT/X11 is a permissive license, which is GPL compatible, and allows usage within proprietary software as long as this license is distributed along with the software.


NetSNMP

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP

Various copyrights apply to this package, listed in various separate parts below. Please make sure that you read all the parts.

Noch in diesem Kapitel

CMU/UCD copyright notice: (BSD like)

Networks Associates Technology, Inc copyright notice

Cambridge Broadband Ltd. copyright notice

Sun Microsystems, Inc. copyright notice

Sparta, Inc copyright notice (BSD)

Cisco/BUTNIC copyright notice (BSD)

Fabasoft R&D Software GmbH & Co KG copyright notice

Apple Inc. copyright notice (BSD)

ScienceLogic, LLC copyright notice (BSD)


CMU/UCD copyright notice: (BSD like)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > CMU/UCD copyright notice: (BSD like)

Copyright 1989, 1991, 1992 by Carnegie Mellon University

Derivative Work - 1996, 1998-2000

Copyright 1996, 1998-2000 The Regents of the University of California

All Rights Reserved

Permission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of CMU and The Regents of the University of California not be used in advertising or publicity pertaining to distribution of the software without specific written permission.

CMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.


Networks Associates Technology, Inc copyright notice

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Networks Associates Technology, Inc copyright notice

Copyright (c) 2001-2003, Networks Associates Technology, Inc

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the Networks Associates Technology, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Cambridge Broadband Ltd. copyright notice

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Cambridge Broadband Ltd. copyright notice

Portions of this code are copyright (c) 2001-2003, Cambridge Broadband Ltd.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • The name of Cambridge Broadband Ltd. may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Sun Microsystems, Inc. copyright notice

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Sun Microsystems, Inc. copyright notice

Copyright © 2003 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara, California 95054, U.S.A.

All rights reserved.

Use is subject to license terms below.

This distribution may include materials developed by third parties

Sun, Sun Microsystems, the Sun logo and Solaris are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the Sun Microsystems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Sparta, Inc copyright notice (BSD)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Sparta, Inc copyright notice (BSD)

Copyright (c) 2003-2009, Sparta, Inc

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Sparta, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Cisco/BUTNIC copyright notice (BSD)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Cisco/BUTNIC copyright notice (BSD)

Copyright (c) 2004, Cisco, Inc and Information Network

Center of Beijing University of Posts and Telecommunications.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Cisco, Inc, Beijing University of Posts and Telecommunications, nor the names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Fabasoft R&D Software GmbH & Co KG copyright notice

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Fabasoft R&D Software GmbH & Co KG copyright notice

Copyright (c) Fabasoft R&D Software GmbH & Co KG, 2003

oss@fabasoft.com

Author: Bernhard Penz

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • The name of Fabasoft R&D Software GmbH & Co KG or any of its subsidiaries, brand or product names may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Apple Inc. copyright notice (BSD)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > Apple Inc. copyright notice (BSD)

Copyright (c) 2007 Apple Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. Neither the name of Apple Inc. ("Apple") nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


ScienceLogic, LLC copyright notice (BSD)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NetSNMP > ScienceLogic, LLC copyright notice (BSD)

Copyright (c) 2009, ScienceLogic, LLC

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of ScienceLogic, LLC nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


NLog 4.4.0 License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > NLog 4.4.0 License

Copyright (c) 2004-2016 Jaroslaw Kowalski <jaak@jkowalski.net>, Kim Christensen, Julian Verdurmen All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Nlog, NLog.Windows.Forms

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Nlog, NLog.Windows.Forms

Copyright (c) 2004-2011 Jaroslaw Kowalski <jaak@jkowalski.net>

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Open CASCADE Technology

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Open CASCADE Technology

Licensing

Open CASCADE Technology version 6.7.0 and later are governed by GNU Lesser General Public License (LGPL) version 2.1 with additional exception.

Note: A specific license is applied to Open CASCADE Technology version 6.6.0 and earlier.

GNU LESSER GENERAL PUBLIC LICENSE

Version 2.1, February 1999

Copyright (C) 1991, 1999 Free Software Foundation, Inc. 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]

PREAMBLE

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software–to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some specially designated software packages–typically libraries–of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.

To protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library. To protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.

Finally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.

When a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.

We call this license the "Lesser" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.

For example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.

Although the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a "work based on the library" and a "work that uses the library". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called "this License"). Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work which has been distributed under these terms. A "work based on the Library" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is true depends on what the Library does and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.

(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.

In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.

Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.

If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a "work that uses the Library". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a "work that uses the library". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is true is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or link a "work that uses the Library" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:

a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable "work that uses the Library", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.

e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the Library" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.

7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.

b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.

11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

Open CASCADE Exception (version 1.0) to GNU LGPL version 2.1.

The object code (i.e. not a source) form of a "work that uses the Library" can incorporate material from a header file that is part of the Library. As a special exception to the GNU Lesser General Public License version 2.1, you may distribute such object code incorporating material from header files provided with the Open CASCADE Technology libraries (including code of CDL generic classes) under terms of your choice, provided that you give prominent notice in supporting documentation to this code that it makes use of or is based on facilities provided by the Open CASCADE Technology software.


OpenSSL

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > OpenSSL

LICENSE ISSUES

The OpenSSL toolkit stays under a dual license, i.e. both the conditions of the OpenSSL License and the original SSLeay license apply to the toolkit.

See below for the actual license texts. Actually both licenses are BSD-style Open Source licenses. In case of any license issues related to OpenSSL please contact openssl-core@openssl.org.

OpenSSL License

Copyright (c) 1998-2011 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
  4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.
  5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.
  6. Redistributions of any form whatsoever must retain the following acknowledgment:

    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com).

This product includes software written by Tim Hudson (tjh@cryptsoft.com).

Original SSLeay License

Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

All rights reserved.

This package is an SSL implementation written by Eric Young (eay@cryptsoft.com).The implementation was written so as to conform with Netscapes SSL.

This library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgement:

    "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)" The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).

  4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]


PortAudio

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > PortAudio

Based on the Open Source API proposed by Ross Bencina

Copyright (c) 1999-2000 Phil Burk

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.


QrCode.Net

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > QrCode.Net

[The MIT License (MIT)]

Copyright (c) 2011 George Mamaladze

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


SharpDevelop 5.1.0

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > SharpDevelop 5.1.0

The MIT License

SPDX short identifier: MIT

Copyright <YEAR> <COPYRIGHT HOLDER>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


SharpDX

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > SharpDX

Copyright (c) 2010-2015 SharpDX - Alexandre Mutel

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Speex

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Speex

Copyright 2002-2005

Xiph.org Foundation

Jean-Marc Valin

David Rowe

EpicGames

Analog Devices

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the Xiph.org Foundation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


System.Data.SQLite Copyright

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > System.Data.SQLite Copyright

All files in the "System.Data.SQLite.Linq/SQL Generation" directory (within the source tree) are covered by the Microsoft Public License (MS-PL). These files end up being compiled into both the "System.Data.SQLite.Linq" and "System.Data.SQLite.EF6" assemblies.

All other code and documentation in System.Data.SQLite has been dedicated to the public domain by the authors. All code authors, and representatives of the companies they work for, have signed affidavits dedicating their contributions to the public domain and originals of those signed affidavits are stored in a firesafe at the main offices of Hwaci. Anyone is free to copy, modify, publish, use, compile, sell, or distribute the original System.Data.SQLite code, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

Obtaining An Explicit License To Use System.Data.SQLite

Even though System.Data.SQLite is in the public domain and does not require a license, some users want to obtain a license anyway. Some reasons for obtaining a license include:

  • You are using System.Data.SQLite in a jurisdiction that does not recognize the public domain.
  • You are using System.Data.SQLite in a jurisdiction that does not recognize the right of an author to dedicate their work to the public domain.
  • You want to hold a tangible legal document as evidence that you have the legal right to use and distribute System.Data.SQLite.
  • Your legal department tells you that you have to purchase a license.

If you feel like you really have to purchase a license for System.Data.SQLite, Hwaci, the company that employs the architect and principal developers of System.Data.SQLite, will sell you one.

Contributed Code

In order to keep System.Data.SQLite completely free and unencumbered by copyright, all new contributors to the System.Data.SQLite code base are asked to dedicate their contributions to the public domain. If you want to send a patch or enhancement for possible inclusion in the System.Data.SQLite source tree, please accompany the patch with the following statement:

The author or authors of this code dedicate any and all copyright interest in this code to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this code under copyright law.

We are not able to accept patches or changes to System.Data.SQLite that are not accompanied by a statement such as the above. In addition, if you make changes or enhancements as an employee, then a simple statement such as the above is insufficient. You must also send by surface mail a copyright release signed by a company officer. A signed original of the copyright release should be mailed to:

Hwaci
6200 Maple Cove Lane
Charlotte, NC 28269
USA

A template copyright release is available in PDF or HTML. You can use this release to make future changes.


Toggle Switch Control Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Toggle Switch Control Library

Microsoft Public License (Ms-PL)

© 2006-2018 Microsoft

Version 11.9.2017.21066

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

  • The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
  • A "contribution" is the original software, or any additions or changes to the software.
  • A "contributor" is any person that distributes its contribution under this license.
  • "Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

  • (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
  • (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

  • (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
  • (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
  • (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
  • (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
  • (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


WebGrease, Owin

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin

Apache License 2.0 (Apache)

Version 2.0, January 2004

http://www.apache.org/licenses/

Noch in diesem Kapitel

Definitions

Grant of Copyright License

Grant of Patent License

Redistribution

Submission of Contributions

Trademarks

Disclaimer of Warranty

Limitation of Liability

Accepting Warranty or Additional Liability


Definitions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Definitions
  • "License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.
  • "Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.
  • "Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.
  • "You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.
  • "Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.
  • "Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.
  • "Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).
  • "Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.
  • "Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."
  • "Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.


Grant of Copyright License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Grant of Copyright License

Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.


Grant of Patent License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Grant of Patent License

Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.


Redistribution

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Redistribution

You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

  1. You must give any other recipients of the Work or Derivative Works a copy of this License; and
  2. You must cause any modified files to carry prominent notices stating that You changed the files; and
  3. You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and
  4. If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.


Submission of Contributions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Submission of Contributions

Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.


Trademarks

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Trademarks

This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.


Disclaimer of Warranty

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Disclaimer of Warranty

Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.


Limitation of Liability

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Limitation of Liability

In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.


Accepting Warranty or Additional Liability

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WebGrease, Owin > Accepting Warranty or Additional Liability

While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.


WPF Application Framework (WAF) 3.2.0

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > WPF Application Framework (WAF) 3.2.0

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

  1. Definitions

    The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
    A "contribution" is the original software, or any additions or changes to the software.
    A "contributor" is any person that distributes its contribution under this license.
    "Licensed patents" are a contributor's patent claims that read directly on its contribution.

  2. Grant of Rights

    (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
    (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

  3. Conditions and Limitations

    (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
    (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
    (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
    (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
    (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


zenon Logic driver for Ethernet POWERLINK based on stackfrom openPOWERLINK

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > zenon Logic driver for Ethernet POWERLINK based on stackfrom openPOWERLINK

Copyright (c) 2015, Bernecker+Rainer Industrie-Elektronik Ges.m.b.H. (B&R)

Copyright (c) 2013, SYSTEC electronic GmbH

Copyright (c) 2013, Kalycito Infotech Private Ltd.All rights reserved.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Zlib Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source licences for several features > Zlib Library

Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler

zlib.h -- interface of the 'zlib' general purpose compression library version 1.2.11, January 15th, 2017

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly: jloup@gzip.org

Mark Adler: madler@alumni.caltech.edu

The data format used by the zlib library is described by RFCs (Request for Comments) 1950 to 1952 in the files http://tools.ietf.org/html/rfc1950 (zlib format), rfc1951 (deflate format) and rfc1952 (gzip format).


zenon Open Source GPL/Mozilla Licenses

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses

These licenses are applicable only for the listed software components:

  • For zenVNCSrv.exe, zenVNCSrvCE.exe and zenVNCCli.exe:
    GNU GENERAL PUBLIC LICENSE Version 3 applies
  • For MsgCtrlVoip.dll:
    GNU LESSER GENERAL PUBLIC LICENSE Version 3 applies
  • For Ude.dll:
    MOZILLA PUBLIC LICENSE Version 1.1 applies
  • For TestOCCReader.dll
    GNU LESSER GENERAL PUBLIC LICENSE (LGPL) Version 2.1 with additional exception

The source code for the above mentioned software components can always be requested, free of charge, at this contact address:

Ing. Punzenberger COPA-DATA GmbH
Karolingerstrasse 7b
A-5020 Salzburg
Austria
Tel: +43 / 662 / 43 10 02 - 0
Fax: +43 / 662 / 43 10 02 - 33
Email: sales@copadata.com
Internet: www.copadata.com

Noch in diesem Kapitel

GNU GENERAL PUBLIC LICENSE (GPL)

MOZILLA PUBLIC LICENSE

GNU LESSER GENERAL PUBLIC LICENSE


GNU GENERAL PUBLIC LICENSE (GPL)

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL)

Preamble

The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.

The precise terms and conditions for copying, distribution and modification follow.

Noch in diesem Kapitel

TERMS AND CONDITIONS


TERMS AND CONDITIONS

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS

Noch in diesem Kapitel

Definitions

Source Code

Basic Permissions

Protecting Users' Legal Rights From Anti-Circumvention Law

Conveying Verbatim Copies

Conveying Modified Source Versions

Conveying Non-Source Forms

Additional Terms

Termination

Acceptance Not Required for Having Copies

Automatic Licensing of Downstream Recipients

Patents

No Surrender of Others' Freedom

Use with the GNU Affero General Public License

Revised Versions of this License

Disclaimer of Warranty

Limitation of Liability

Interpretation of Sections 15 and 16


Definitions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Definitions

“This License” refers to version 3 of the GNU General Public License.

“Copyright” also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.

“The Program” refers to any copyrightable work licensed under this License. Each licensee is addressed as “you”. “Licensees” and “recipients” may be individuals or organizations.

To “modify” a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a “modified version” of the earlier work or a work “based on” the earlier work.

A “covered work” means either the unmodified Program or a work based on the Program.

To “propagate” a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.

To “convey” a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays “Appropriate Legal Notices” to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.


Source Code

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Source Code

The “source code” for a work means the preferred form of the work for making modifications to it. “Object code” means any non-source form of a work.

A “Standard Interface” means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The “System Libraries” of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A “Major Component”, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The “Corresponding Source” for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.


Basic Permissions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Basic Permissions

All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.


Protecting Users' Legal Rights From Anti-Circumvention Law

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Protecting Users' Legal Rights From Anti-Circumvention Law

No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.


Conveying Verbatim Copies

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Conveying Verbatim Copies

You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.


Conveying Modified Source Versions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Conveying Modified Source Versions

You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

  1. The work must carry prominent notices stating that you modified it, and giving a relevant date.
  2. The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to “keep intact all notices”.
  3. You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.
  4. If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.

A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an “aggregate” if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.


Conveying Non-Source Forms

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Conveying Non-Source Forms

You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:

  1. Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.
  2. Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.
  3. Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.
  4. Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.
  5. Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A “User Product” is either (1) a “consumer product”, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, “normally used” refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.

“Installation Information” for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.


Additional Terms

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Additional Terms

“Additional permissions” are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

  1. Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or
  2. Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or
  3. Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or
  4. Limiting the use for publicity purposes of names of licensors or authors of the material; or
  5. Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or
  6. Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.

All other non-permissive additional terms are considered “further restrictions” within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.


Termination

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Termination

You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.


Acceptance Not Required for Having Copies

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Acceptance Not Required for Having Copies

You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.


Automatic Licensing of Downstream Recipients

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Automatic Licensing of Downstream Recipients

Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An “entity transaction” is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.


Patents

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Patents

A “contributor” is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's “contributor version”.

A contributor's “essential patent claims” are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, “control” includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a “patent license” is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To “grant” such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. “Knowingly relying” means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is “discriminatory” if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.


No Surrender of Others' Freedom

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > No Surrender of Others' Freedom

If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.


Use with the GNU Affero General Public License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Use with the GNU Affero General Public License

Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.


Revised Versions of this License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Revised Versions of this License

The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License “or any later version” applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.


Disclaimer of Warranty

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Disclaimer of Warranty

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


Limitation of Liability

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Limitation of Liability

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Interpretation of Sections 15 and 16

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU GENERAL PUBLIC LICENSE (GPL) > TERMS AND CONDITIONS > Interpretation of Sections 15 and 16

If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.


MOZILLA PUBLIC LICENSE

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE

Version 1.1

Noch in diesem Kapitel

Definitions

Source Code License

Distribution Obligations

Inability to Comply Due to Statute or Regulation

Application of this License

Versions of the License

Disclaimer of Warranty

Termination

Limitation of Liability

U.S. Government End Users

Miscellaneous

Responsibility for Claims

Multiple-Licensed Code

EXHIBIT A - Mozilla Public License


Definitions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Definitions
  1. "Commercial Use" means distribution or otherwise making the Covered Code available to a third party.
  2. "Contributor" means each entity that creates or contributes to the creation of Modifications.
  3. "Contributor Version" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.
  4. "Covered Code" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.
  5. "Electronic Distribution Mechanism" means a mechanism generally accepted in the software development community for the electronic transfer of data.
  6. "Executable" means Covered Code in any form other than Source Code.
  7. "Initial Developer" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.
  8. "Larger Work" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.
  9. "License" means this document.
    1. "Licensable" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.
  10. "Modifications" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:
    1. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.
    2. Any new file that contains any part of the Original Code or previous Modifications.
  11. "Original Code" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.
    1. "Patent Claims" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.
  12. "Source Code" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.
  13. "You" (or "Your") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, "You" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, "control" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.


Source Code License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Source Code License

Noch in diesem Kapitel

The Initial Developer Grant

Contributor Grant


The Initial Developer Grant

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Source Code License > The Initial Developer Grant

The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:

  1. under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and
  2. under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).
  3. the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.
  4. Notwithstanding Section 2.1(b) above, no patent license is granted:
    1. for code that You delete from the Original Code;
    2. separate from the Original Code; or
    3. for infringements causedby:

      i) the modification of the Original Code or

      ii) thecombination of the Original Code with other software or devices


Contributor Grant

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Source Code License > Contributor Grant

Subject to third party intellectual property claims, each Contributorhereby grants You a world-wide, royalty-free, non-exclusive license

  1. under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and
  2. under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).
  3. the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.
  4. Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.


Distribution Obligations

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations

Noch in diesem Kapitel

Application of License

Availability of Source Code

Description of Modifications

Intellectual Property Matters

Required Notices

Distribution of Executable Versions

Larger Works


Application of License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Application of License

The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.


Availability of Source Code

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Availability of Source Code

Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.


Description of Modifications

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Description of Modifications

You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.


Intellectual Property Matters

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Intellectual Property Matters
  1. Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled "LEGAL" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.
  2. Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.
  3. Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.


Required Notices

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Required Notices

You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.


Distribution of Executable Versions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Distribution of Executable Versions

You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.


Larger Works

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Distribution Obligations > Larger Works

You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.


Inability to Comply Due to Statute or Regulation

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Inability to Comply Due to Statute or Regulation

If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.


Application of this License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Application of this License

This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.


Versions of the License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Versions of the License

Noch in diesem Kapitel

New Versions

Effect of New Versions

Derivative Works


New Versions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Versions of the License > New Versions

Netscape Communications Corporation ("Netscape") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.


Effect of New Versions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Versions of the License > Effect of New Versions

Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.


Derivative Works

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Versions of the License > Derivative Works

If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases "Mozilla", "MOZILLAPL", "MOZPL", "Netscape", "MPL", "NPL" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)


Disclaimer of Warranty

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Disclaimer of Warranty

COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.


Termination

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Termination
  1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.
  2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as "Participant") alleging that:
    1. such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.
    2. any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant
  3. If You assert a patent infringement claim against Participantalleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.
  4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.


Limitation of Liability

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Limitation of Liability

UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.


U.S. Government End Users

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > U.S. Government End Users

The Covered Code is a "commercial item," as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.


Miscellaneous

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Miscellaneous

This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not apply to this License.


Responsibility for Claims

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Responsibility for Claims

As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.


Multiple-Licensed Code

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > Multiple-Licensed Code

Initial Developer may designate portions of the Covered Code as "Multiple-Licensed". "Multiple-Licensed" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.


EXHIBIT A - Mozilla Public License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > MOZILLA PUBLIC LICENSE > EXHIBIT A - Mozilla Public License

`UDE.dll `The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.

The Original Code can be found here: https://github.com/errepi/ude .

The Initial Developer of the Original Code is Rudi Pettazzi.

All Rights Reserved.

Contributor(s): -.

[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]


GNU LESSER GENERAL PUBLIC LICENSE

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE

Version 3, 29 June 2007

Copyright (C) 2007 Free Software Foundation, Inc. http://fsf.org/ Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

This version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.

Noch in diesem Kapitel

Additional Definitions

Exception to Section 3 of the GNU GPL

Conveying Modified Versions

Object Code Incorporating Material from Library Header Files

Combined Works

Combined Libraries

Revised Versions of the GNU Lesser General Public License


Additional Definitions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Additional Definitions

As used herein, "this License" refers to version 3 of the GNU Lesser General Public License, and the "GNU GPL" refers to version 3 of the GNU General Public License.

"The Library" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.

An "Application" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library.

Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.

A "Combined Work" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the "Linked Version".

The "Minimal Corresponding Source" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.

The "Corresponding Application Code" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.


Exception to Section 3 of the GNU GPL

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Exception to Section 3 of the GNU GPL

You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.


Conveying Modified Versions

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Conveying Modified Versions

If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:

  1. under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or
  2. under the GNU GPL, with none of the additional permissions of this License applicable to that copy.


Object Code Incorporating Material from Library Header Files

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Object Code Incorporating Material from Library Header Files

The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:

  1. Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.
  2. Accompany the object code with a copy of the GNU GPL and this license document.


Combined Works

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Combined Works

You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:

  1. Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.
  2. Accompany the Combined Work with a copy of the GNU GPL and this license document.
  3. For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.
  4. Do one of the following:
    1. Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.
    2. Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.
  5. Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)


Combined Libraries

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Combined Libraries

You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:

  1. Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.
  2. Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.


Revised Versions of the GNU Lesser General Public License

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Open Source GPL/Mozilla Licenses > GNU LESSER GENERAL PUBLIC LICENSE > Revised Versions of the GNU Lesser General Public License

The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License "or any later version" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.

If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.


zenon Logic Workbench Open Source Licenses

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses
  • The zenon Logic Workbench uses the following libraries:
    • Cxlmage Library
    • Gong-wpf-dragdrop Library
    • Jasper Library
    • JPEG Library
    • Libpng Library
    • Math.NET Numerics Library
    • MNG Library
    • PCap Library
    • SQLite Library
    • Tiff Library
    • Tinyxml Library
    • Zlib Library

Noch in diesem Kapitel

Cxlmage Library

Gong-wpf-dragdrop Library

Jasper Library

JPEG Library

Libpng Library

Math.NET Numerics Library

MNG Library

PCap Library

SQLite Library

Tiff Library

Tinyxml Library

Zlib Library


Cxlmage Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Cxlmage Library

This copy of the CxImage notices is provided for your convenience. In case of any discrepancy between this copy and the notices in the file ximage.h that is included in the CxImage distribution, the latter shall prevail.

If you modify CxImage you may insert additional notices immediately following this sentence.

COPYRIGHT NOTICE, DISCLAIMER, and LICENSE:

CxImage version 6.0.0 02/Feb/2008

CxImage: Copyright (C) 2001 - 2008, Davide Pizzolato

Original CImage and CImageIterator implementation are:

Copyright (C) 1995, Alejandro Aguilar Sierra (asierra(at)servidor(dot)unam(dot)mx)

Covered code is provided under this license on an "as is" basis, without warranty of any kind, either expressed or implied, including, without limitation, warranties that the covered code is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the covered code is with you. Should any covered code prove defective in any respect, you (not the initial developer or any other contributor) assume the cost of any necessary servicing, repair or correction. This disclaimer of warranty constitutes an essential part of this license. No use of any covered code is authorized hereunder except under this disclaimer.

Permission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, for any purpose, including commercial applications, freely and without fee, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

Other information: about CxImage, and the latest version, can be found at the CxImage home page: http://www.xdp.it


Gong-wpf-dragdrop Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Gong-wpf-dragdrop Library

BSD 3-Clause License

Copyright (c) 2015-16, Jan Karger (Steven Kirk)

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of gong-wpf-dragdrop nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Jasper Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Jasper Library

JasPer License Version 2.0

Copyright (c) 2001-2006 Michael David Adams

Copyright (c) 1999-2000 Image Power, Inc.

Copyright (c) 1999-2000 The University of British Columbia

All rights reserved.

Permission is hereby granted, free of charge, to any person (the "User") obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

  1. The above copyright notices and this permission notice (which includes the disclaimer below) shall be included in all copies or substantial portions of the Software.
  2. The name of a copyright holder shall not be used to endorse or promote products derived from the Software without specific prior written permission.

THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.

IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

NO ASSURANCES ARE PROVIDED BY THE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. AS A CONDITION TO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE RESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY.

THE SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL SYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH RISK ACTIVITIES"). THE COPYRIGHT HOLDERS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.


JPEG Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > JPEG Library

README for release 6b of 27-Mar-1998

This distribution contains the sixth public release of the Independent JPEG Group's free JPEG software. You are welcome to redistribute this software and to use it for any purpose, subject to the conditions under LEGAL ISSUES, below.

Serious users of this software (particularly those incorporating it into larger programs) should contact IJG at jpeg-info@uunet.uu.net to be added to our electronic mailing list. Mailing list members are notified of updates and have a chance to participate in technical discussions, etc.

This software is the work of Tom Lane, Philip Gladstone, Jim Boucher, Lee Crocker, Julian Minguillon, Luis Ortiz, George Phillips, Davide Rossi, Guido Vollbeding, Ge' Weijers, and other members of the Independent JPEG Group.

IJG is not affiliated with the official ISO JPEG standards committee.

DOCUMENTATION ROADMAP

This file contains the following sections:

Section | Description
OVERVIEW | General description of JPEG and the IJG software.
LEGAL ISSUES | Copyright, lack of warranty, terms of distribution.
REFERENCES | Where to learn more about JPEG.
ARCHIVE LOCATIONS | Where to find newer versions of this software.
RELATED SOFTWARE | Other stuff you should get.
FILE FORMAT WARS | Software *not* to get.
TO DO | Plans for future IJG releases.

Other documentation files in the distribution are:

User documentation:

Documentation | Description
install.doc | How to configure and install the IJG software.
usage.doc | Usage instructions for cjpeg, djpeg, jpegtran, rdjpgcom, and wrjpgcom.
*.1 | Unix-style man pages for programs (same info as usage.doc).
wizard.doc | Advanced usage instructions for JPEG wizards only.
change.log | Version to version change highlights.

Programmer and internal documentation:

Documentation | Description
libjpeg.doc | How to use the JPEG library in your own programs.
example.c | Sample code for calling the JPEG library.
structure.doc | Overview of the JPEG library's internal structure.
filelist.doc | Road map of IJG files.
coderules.doc | Coding style rules - please read if you contribute code.

Please read at least the files install.doc and usage.doc. Useful information can also be found in the JPEG FAQ (Frequently Asked Questions) article. See ARCHIVE LOCATIONS below to find out where to obtain the FAQ article.

If you want to understand how the JPEG code works, we suggest reading one or more of the REFERENCES, then looking at the documentation files (in roughly the order listed) before diving into the code.

OVERVIEW

This package contains C software to implement JPEG image compression and decompression. JPEG (pronounced "jay-peg") is a standardized compression method for full-color and gray-scale images. JPEG is intended for compressing "real-world" scenes; line drawings, cartoons and other non-realistic images are not its strong suit. JPEG is lossy, meaning that the output image is not exactly identical to the input image. Hence you must not use JPEG if you have to have identical output bits. However, on typical photographic images, very good compression levels can be obtained with no visible change, and remarkably high compression levels are possible if you can tolerate a low-quality image. For more details, see the references, or just experiment with various compression settings.

This software implements JPEG baseline, extended-sequential, and progressive compression processes. Provision is made for supporting all variants of these processes, although some uncommon parameter settings aren't implemented yet. For legal reasons, we are not distributing code for the arithmetic-coding variants of JPEG; see LEGAL ISSUES. We have made no provision for supporting the hierarchical or lossless processes defined in the standard.

We provide a set of library routines for reading and writing JPEG image files, plus two sample applications "cjpeg" and "djpeg", which use the library to perform conversion between JPEG and some other popular image file formats. The library is intended to be reused in other applications.

In order to support file conversion and viewing software, we have included considerable functionality beyond the bare JPEG coding/decoding capability; for example, the color quantization modules are not strictly part of JPEG decoding, but they are essential for output to colormapped file formats or colormapped displays. These extra functions can be compiled out of the library if not required for a particular application. We have also included "jpegtran", a utility for lossless transcoding between different JPEG processes, and "rdjpgcom" and "wrjpgcom", two simple applications for inserting and extracting textual comments in JFIF files.

The emphasis in designing this software has been on achieving portability and flexibility, while also making it fast enough to be useful. In particular, the software is not intended to be read as a tutorial on JPEG. (See the REFERENCES section for introductory material.) Rather, it is intended to be reliable, portable, industrial-strength code. We do not claim to have achieved that goal in every aspect of the software, but we strive for it.

We welcome the use of this software as a component of commercial products.

No royalty is required, but we do ask for an acknowledgement in product documentation, as described under LEGAL ISSUES.

LEGAL ISSUES

In plain English:

  • We don't promise that this software works. (But if you find any bugs, please let us know!)
  • You can use this software for whatever you want. You don't have to pay us.
  • You may not pretend that you wrote this software. If you use it in a program, you must acknowledge somewhere in your documentation that you've used the IJG code.

In legalese:

The authors make NO WARRANTY or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided "AS IS", and you, its user, assume the entire risk as to its quality and accuracy.

This software is copyright (C) 1991-1998, Thomas G. Lane.

All Rights Reserved except as specified below.

Permission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions:

  • If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no-warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation.
  • If only executable code is distributed, then the accompanying documentation must state that "this software is based in part on the work of the Independent JPEG Group".
  • Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.

These conditions apply to any software derived from or based on the IJG code, not just to the unmodified library. If you use our work, you ought to acknowledge us.

Permission is NOT granted for the use of any IJG author's name or company name in advertising or publicity relating to this software or products derived from it. This software may be referred to only as "the Independent JPEG Group's software".

We specifically permit and encourage the use of this software as the basis of commercial products, provided that all warranty or liability claims are assumed by the product vendor.

ansi2knr.c is included in this distribution by permission of L. Peter Deutsch, sole proprietor of its copyright holder, Aladdin Enterprises of Menlo Park, CA.

ansi2knr.c is NOT covered by the above copyright and conditions, but instead by the usual distribution terms of the Free Software Foundation; principally, that you must include source code if you redistribute it. (See the file ansi2knr.c for full details.) However, since ansi2knr.c is not needed as part of any program generated from the IJG code, this does not limit you more than the foregoing paragraphs do.

The Unix configuration script "configure" was produced with GNU Autoconf. It is copyright by the Free Software Foundation but is freely distributable. The same holds for its supporting scripts (config.guess, config.sub, ltconfig, ltmain.sh). Another support script, install-sh, is copyright by M.I.T. but is also freely distributable.

It appears that the arithmetic coding option of the JPEG spec is covered by patents owned by IBM, AT&T, and Mitsubishi. Hence arithmetic coding cannot legally be used without obtaining one or more licenses. For this reason, support for arithmetic coding has been removed from the free JPEG software. (Since arithmetic coding provides only a marginal gain over the unpatented Huffman mode, it is unlikely that very many implementations will support it.) So far as we are aware, there are no patent restrictions on the remaining code.

The IJG distribution formerly included code to read and write GIF files. To avoid entanglement with the Unisys LZW patent, GIF reading support has been removed altogether, and the GIF writer has been simplified to produce "uncompressed GIFs". This technique does not use the LZW algorithm; the resulting GIF files are larger than usual, but are readable by all standard GIF decoders.

We are required to state that "The Graphics Interchange Format(c) is the Copyright property of CompuServe Incorporated. GIF(sm) is a Service Mark property of CompuServe Incorporated."

REFERENCES

We highly recommend reading one or more of these references before trying to understand the innards of the JPEG software.

The best short technical introduction to the JPEG compression algorithm is:

Wallace, Gregory K. "The JPEG Still Picture Compression Standard",

Communications of the ACM, April 1991 (vol. 34 no. 4), pp. 30-44.

(Adjacent articles in that issue discuss MPEG motion picture compression, applications of JPEG, and related topics.) If you don't have the CACM issue handy, a PostScript file containing a revised version of Wallace's article is available at ftp://ftp.uu.net/graphics/jpeg/wallace.ps.gz. The file (actually a preprint for an article that appeared in IEEE Trans. Consumer Electronics) omits the sample images that appeared in CACM, but it includes corrections and some added material. Note: the Wallace article is copyright ACM and IEEE, and it may not be used for commercial purposes.

A somewhat less technical, more leisurely introduction to JPEG can be found in "The Data Compression Book" by Mark Nelson and Jean-loup Gailly, published by M&T Books (New York), 2nd ed. 1996, ISBN 1-55851-434-1. This book provides good explanations and example C code for a multitude of compression methods including JPEG. It is an excellent source if you are comfortable reading C code but don't know much about data compression in general. The book's JPEG sample code is far from industrial-strength, but when you are ready to look at a full implementation, you've got one here...

The best full description of JPEG is the textbook "JPEG Still Image Data Compression Standard" by William B. Pennebaker and Joan L. Mitchell, published by Van Nostrand Reinhold, 1993, ISBN 0-442-01272-1. Price US$59.95, 638 pp. The book includes the complete text of the ISO JPEG standards (DIS 10918-1 and draft DIS 10918-2). This is by far the most complete exposition of JPEG in existence, and we highly recommend it.

The JPEG standard itself is not available electronically; you must order a paper copy through ISO or ITU. (Unless you feel a need to own a certified official copy, we recommend buying the Pennebaker and Mitchell book instead; it's much cheaper and includes a great deal of useful explanatory material.) In the USA, copies of the standard may be ordered from ANSI Sales at (212) 642-4900, or from Global Engineering Documents at (800) 854-7179. (ANSI doesn't take credit card orders, but Global does.) It's not cheap: as of 1992, ANSI was charging $95 for Part 1 and $47 for Part 2, plus 7% shipping/handling. The standard is divided into two parts, Part 1 being the actual specification, while Part 2 covers compliance testing methods. Part 1 is titled "Digital Compression and Coding of Continuous-tone Still Images, Part 1: Requirements and guidelines" and has document numbers ISO/IEC IS 10918-1, ITU-T T.81. Part 2 is titled "Digital Compression and Coding of Continuous-tone Still Images, Part 2: Compliance testing" and has document numbers ISO/IEC IS 10918-2, ITU-T T.83.

Some extensions to the original JPEG standard are defined in JPEG Part 3, a newer ISO standard numbered ISO/IEC IS 10918-3 and ITU-T T.84. IJG currently does not support any Part 3 extensions.

The JPEG standard does not specify all details of an interchangeable file format. For the omitted details we follow the "JFIF" conventions, revision 1.02. A copy of the JFIF spec is available from:

Literature Department

C-Cube Microsystems, Inc.

1778 McCarthy Blvd.

Milpitas, CA 95035

phone (408) 944-6300, fax (408) 944-6314

A PostScript version of this document is available by FTP at ftp://ftp.uu.net/graphics/jpeg/jfif.ps.gz. There is also a plain text version at ftp://ftp.uu.net/graphics/jpeg/jfif.txt.gz, but it is missing the figures. The TIFF 6.0 file format specification can be obtained by FTP from ftp://ftp.sgi.com/graphics/tiff/TIFF6.ps.gz. The JPEG incorporation scheme found in the TIFF 6.0 spec of 3-June-92 has a number of serious problems. IJG does not recommend use of the TIFF 6.0 design (TIFF Compression tag 6). Instead, we recommend the JPEG design proposed by TIFF Technical Note #2 Straton3dPartySoftware-(Compression tag 7). Copies of this Note can be obtained from ftp.sgi.com or from ftp://ftp.uu.net/graphics/jpeg/. It is expected that the next revision of the TIFF spec will replace the 6.0 JPEG design with the Note's design. Although IJG's own code does not support TIFF/JPEG, the free libtiff library uses our library to implement TIFF/JPEG per the Note. libtiff is available from ftp://ftp.sgi.com/graphics/tiff/.

ARCHIVE LOCATIONS

The "official" archive site for this software is ftp.uu.net (Internet address 192.48.96.9). The most recent released version can always be found there in directory graphics/jpeg. This particular version will be archived as ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz. If you don't have direct Internet access, UUNET's archives are also available via UUCP; contact help@uunet.uu.net for information on retrieving files that way.

Numerous Internet sites maintain copies of the UUNET files. However, only ftp.uu.net is guaranteed to have the latest official version.

You can also obtain this software in DOS-compatible "zip" archive format from the SimTel archives (ftp://ftp.simtel.net/pub/simtelnet/msdos/graphics/), or on CompuServe in the Graphics Support forum (GO CIS:GRAPHSUP), library 12 "JPEG Tools". Again, these versions may sometimes lag behind the ftp.uu.net release.

The JPEG FAQ (Frequently Asked Questions) article is a useful source of general information about JPEG. It is updated constantly and therefore is not included in this distribution. The FAQ is posted every two weeks to Usenet newsgroups comp.graphics.misc, news.answers, and other groups. It is available on the World Wide Web at http://www.faqs.org/faqs/jpeg-faq/ and other news.answers archive sites, including the official news.answersarchive at rtfm.mit.edu: ftp://rtfm.mit.edu/pub/usenet/news.answers/jpeg-faq/. If you don't have Web or FTP access, send e-mail to mail-server@rtfm.mit.edu with body

send usenet/news.answers/jpeg-faq/part1

send usenet/news.answers/jpeg-faq/part2

RELATED SOFTWARE

Numerous viewing and image manipulation programs now support JPEG. (Quite a few of them use this library to do so.) The JPEG FAQ described above lists some of the more popular free and shareware viewers, and tells where to obtain them on Internet.

If you are on a Unix machine, we highly recommend Jef Poskanzer's free PBMPLUS software, which provides many useful operations on PPM-format image files. In particular, it can convert PPM images to and from a wide range of other formats, thus making cjpeg/djpeg considerably more useful. The latest version is distributed by the NetPBM group, and is available from numerous sites, notably ftp://wuarchive.wustl.edu/graphics/graphics/packages/NetPBM/.

Unfortunately PBMPLUS/NETPBM is not nearly as portable as the IJG software is; you are likely to have difficulty making it work on any non-Unix machine.

A different free JPEG implementation, written by the PVRG group at Stanford, is available from ftp://havefun.stanford.edu/pub/jpeg/. This program is designed for research and experimentation rather than production use; it is slower, harder to use, and less portable than the IJG code, but it is easier to read and modify. Also, the PVRG code supports lossless JPEG, which we do not. (On the other hand, it doesn't do progressive JPEG.)

FILE FORMAT WARS

Some JPEG programs produce files that are not compatible with our library. The root of the problem is that the ISO JPEG committee failed to specify a concrete file format. Some vendors "filled in the blanks" on their own, creating proprietary formats that no one else could read. (For example, none of the early commercial JPEG implementations for the Macintosh were able to exchange compressed files.)

The file format we have adopted is called JFIF (see REFERENCES). This format has been agreed to by a number of major commercial JPEG vendors, and it has become the de facto standard. JFIF is a minimal or "low end" representation. We recommend the use of TIFF/JPEG (TIFF revision 6.0 as modified by TIFF Technical Note #2) for "high end" applications that need to record a lot of additional data about an image. TIFF/JPEG is fairly new and not yet widely supported, unfortunately.

The upcoming JPEG Part 3 standard defines a file format called SPIFF. SPIFF is interoperable with JFIF, in the sense that most JFIF decoders should be able to read the most common variant of SPIFF. SPIFF has some technical advantages over JFIF, but its major claim to fame is simply that it is an official standard rather than an informal one. At this point it is unclear whether SPIFF will supersede JFIF or whether JFIF will remain the de-facto standard. IJG intends to support SPIFF once the standard is frozen, but we have not decided whether it should become our default output format or not. (In any case, our decoder will remain capable of reading JFIF indefinitely.)

Various proprietary file formats incorporating JPEG compression also exist. We have little or no sympathy for the existence of these formats. Indeed, one of the original reasons for developing this free software was to help force convergence on common, open format standards for JPEG files. Don't use a proprietary file format!

TO DO

The major thrust for v7 will probably be improvement of visual quality. The current method for scaling the quantization tables is known not to be very good at low Q values. We also intend to investigate block boundary smoothing, "poor man's variable quantization", and other means of improving quality-vs-file-size performance without sacrificing compatibility.

In future versions, we are considering supporting some of the upcoming JPEG Part 3 extensions --- principally, variable quantization and the SPIFF file format.

As always, speeding things up is of great interest.

Please send bug reports, offers of help, etc. to jpeg-info@uunet.uu.net.


Libpng Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Libpng Library

This copy of the libpng notices is provided for your convenience. In case of any discrepancy between this copy and the notices in the file png.h that is included in the libpng distribution, the latter shall prevail.

COPYRIGHT NOTICE, DISCLAIMER, and LICENSE:

If you modify libpng you may insert additional notices immediately following this sentence.

libpng versions 1.2.6, August 15, 2004, through 1.2.24, December 14, 2007, are Copyright (c) 2004, 2006-2007 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-1.2.5 with the following individual added to the list of Contributing Authors:

  • Cosmin Truta

libpng versions 1.0.7, July 1, 2000, through 1.2.5 - October 3, 2002, are Copyright (c) 2000-2002 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-1.0.6 with the following individuals added to the list of Contributing Authors:

  • Simon-Pierre Cadieux
  • Eric S. Raymond
  • Gilles Vollant

and with the following additions to the disclaimer:

There is no warranty against interference with your enjoyment of the library or against infringement. There is no warranty that our

efforts or the library will fulfill any of your particular purposes or needs. This library is provided with all faults, and the entire risk of satisfactory quality, performance, accuracy, and effort is with the user.

libpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are Copyright (c) 1998, 1999 Glenn Randers-Pehrson, and are

distributed according to the same disclaimer and license as libpng-0.96, with the following individuals added to the list of Contributing Authors:

  • Tom Lane
  • Glenn Randers-Pehrson
  • Willem van Schaik

libpng versions 0.89, June 1996, through 0.96, May 1997, are Copyright (c) 1996, 1997 Andreas Dilger Distributed according to the same disclaimer and license as libpng-0.88, with the following individuals added to the list of Contributing Authors:

  • John Bowler
  • Kevin Bracey
  • Sam Bushell
  • Magnus Holmgren
  • Greg Roelofs
  • Tom Tanner

libpng versions 0.5, May 1995, through 0.88, January 1996, are Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.

For the purposes of this copyright and license, "Contributing Authors" is defined as the following set of individuals:

  • Andreas Dilger
  • Dave Martindale
  • Guy Eric Schalnat
  • Paul Schmidt
  • Tim Wegner

The PNG Reference Library is supplied "AS IS". The Contributing Authors and Group 42, Inc. disclaim all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The Contributing Authors and Group 42, Inc. assume no liability for direct, indirect, incidental, special, exemplary, or consequential damages, which may result from the use of the PNG Reference Library, even if advised of the possibility of such damage.

Permission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, for any purpose, without fee, subject to the following restrictions:

  1. The origin of this source code must not be misrepresented.
  2. Altered versions must be plainly marked as such and must not be misrepresented as being the original source.
  3. This Copyright notice may not be removed or altered from any source or altered source distribution.

The Contributing Authors and Group 42, Inc. specifically permit, without fee, and encourage the use of this source code as a component to supporting the PNG file format in commercial products. If you use this source code in a product, acknowledgment is not required but would be appreciated.

A "png_get_copyright" function is available, for convenient use in "about" boxes and the like: printf("%s",png_get_copyright(NULL));

Also, the PNG logo (in PNG format, of course) is supplied in the files "pngbar.png" and "pngbar.jpg (88x31) and "pngnow.png" (98x31).

Libpng is OSI Certified Open Source Software. OSI Certified Open Source is a certification mark of the Open Source Initiative.

Glenn Randers-Pehrson

glennrp at users.sourceforge.net

December 14, 2007


Math.NET Numerics Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Math.NET Numerics Library

The Math.NET Numerics Library uses the License MIT/X11.

Copyright (c) 2002-2015 Math.NET

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


MNG Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > MNG Library

COPYRIGHT NOTICE:

Copyright (c) 2000-2007 Gerard Juyn (gerard@libmng.com)

[You may insert additional notices after this sentence if you modify this source]

For the purposes of this copyright and license, "Contributing Authors" is defined as the following set of individuals:

  • Gerard Juyn
  • Glenn Randers-Pehrson

The MNG Library is supplied "AS IS". The Contributing Authors disclaim all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The Contributing Authors assume no liability for direct, indirect, incidental, special, exemplary, or consequential damages, which may result from the use of the MNG Library, even if advised of the possibility of such damage.

Permission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, for any purpose, without fee, subject to the following restrictions:

  1. The origin of this source code must not be misrepresented; you must not claim that you wrote the original software.
  2. Altered versions must be plainly marked as such and must not be misrepresented as being the original source.
  3. This Copyright notice may not be removed or altered from any source or altered source distribution.

The Contributing Authors specifically permit, without fee, and encourage the use of this source code as a component to supporting the MNG and JNG file format in commercial products. If you use this source code in a product, acknowledgment would be highly appreciated.

Parts of this software have been adapted from the libpng package. Although this library supports all features from the PNG specification (as MNG descends from it) it does not require the libpng package. It does require the zlib library and optionally the IJG jpeg library, and/or the "little-cms" library by Marti Maria (depending on the inclusion of support for JNG and Full-Color-Management respectively.

This library's function is primarily to read and display MNG animations. It is not meant as a full-featured image-editing component! It does however offer creation and editing functionality at the chunk level (future modifications may include some more support for creation and or editing).


PCap Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > PCap Library

Copyright (C) 1999 WIDE Project.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. Neither the name of the project nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


SQLite Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > SQLite Library

2001 September 15

The author disclaims copyright to this source code.

This header file defines the interface that the SQLite library presents to client programs. If a C-function, structure, datatype, or constant definition does not appear in this file, then it is not a published API of SQLite, is subject to change without notice, and should not be referenced by programs that use SQLite.

Some of the definitions that are in this file are marked as "experimental". Experimental interfaces are normally new features recently added to SQLite. We do not anticipate changes to experimental interfaces but reserve the right to make minor changes if experience from use "in the wild" suggest such changes are prudent.

The official C-language API documentation for SQLite is derived from comments in this file. This file is the authoritative source on how SQLite interfaces are supposed to operate.

The name of this file under configuration management is "sqlite.h.in".

The makefile makes some minor changes to this file (such as inserting the version number) and changes its name to "sqlite3.h" as part of the build process.


Tiff Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Tiff Library

Copyright (c) 1988-1997 Sam Leffler

Copyright (c) 1991-1997 Silicon Graphics, Inc.

Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that:

  1. the above copyright notices and this permission notice appear in all copies of the software and related documentation, and
  2. the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.

THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHAT SO EVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Tinyxml Library

www.sourceforge.net/projects/tinyxml

Original code (2.0 and earlier)copyright (c) 2000-2006 Lee Thomason (www.grinninglizard.com)

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software. Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this

    software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

  2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.


Zlib Library

Handbuch > Installation und Updates > Lizenzinformationen zu Open Source Software > zenon Logic Workbench Open Source Licenses > Zlib Library

Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler

zlib.h -- interface of the 'zlib' general purpose compression library version 1.2.11, January 15th, 2017

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly: jloup@gzip.org

Mark Adler: madler@alumni.caltech.edu


Keyboards

Handbuch > Keyboards

Keyboards dienen bei zenon als virtuelle Tastaturen. Mithilfe einer virtuellen Tastatur sind Eingaben zur Runtime per Touchscreen möglich.

Hinweis: Vermeiden Sie die Nutzung von Keyboard und die Hardware-Tastatur im Mischbetrieb.

In zenon Editor können 2 verschiedene Arten von Keyboards projektiert werden:

  • Automatisches Keyboard.
  • Projektierbares Keyboard.

Verwendung von Keyboards in zenon:

  • Keyboards werden in zenon zum Sollwert absetzen verwendet.
  • Im Modul Batch Control können individuelle Keyboards verwendet werden.
    • Weitere Informationen finden Sie im Handbuch Batch Control, im Kapitel Keyboards.
  • Im Rezeptgruppenmanager kann man:
    • für jeden Rezeptparameter einzeln ein Keyboard-Bild verknüpfen
    • Keyboards für jeden Parameter-Datentyp definieren

Weitere Informationen finden Sie im Handbuch RGM, im Kapitel Keyboard.

Sonderfälle

Rezeptgruppenmanager

Ein String-Keyboard wird aufgeschaltet für Anwenderstatus Aktionstyp in Rezeptgruppenmanager.
Wird im Rezeptgruppenmanager bei einem Rezeptparameter vom Typ Bool oder Numerisch der Aktionstyp auf Anwenderstatus geändert, wird das im RGM allgemein projektierte String-Keyboard aufgeschaltet. Ist dort kein Keyboard-Bild verknüpft, wird der direkte Editiermodus in der Rezeptwert-Tabelle aktiviert.

Element Dynamischer Text mit verknüpfter Funktion

Wird ein Element vom Typ Dynamischer Text mit einer Funktion verknüpft, die Eingaben erlaubt, dann gilt:

  • Die Eigenschaft Sollwert setzen wird automatisch aktiviert und für weitere Bearbeitung gesperrt.
  • Die Eigenschaft Sollwert setzen über erlaubt nur die Auswahl folgender Elemente:
    • Eingabemaske:
      Eingabe abhängig von Konfiguration
    • Element:
      Eingabe direkt im Element

Konfiguration Eingabemaske:

  • Keyboardbild verwenden wird automatisch aktiviert und gegen Bearbeitung gesperrt.
  • Keyboardbild: Auswahl eines (vom Benutzer) projektierten Bildes.
    • Individuelles Bild vorhanden:
      Das verknüpfte Keyboard wird verwendet.
    • Leer: SETSTRINGKBD wird verwendet.

Noch in diesem Kapitel

Automatisches Keyboard

Projektierbares Keyboard

Hardware Tastaturen und virtuelle Keyboards im Mischbetrieb


Automatisches Keyboard

Handbuch > Keyboards > Automatisches Keyboard

Um das automatische Keyboard zu benutzen, gehen Sie wie folgt vor:

  1. Öffnen Sie den zenon Editor.
  2. Klicken Sie auf das Projekt, mit welchem Sie arbeiten möchten.
  3. Klicken Sie in den Eigenschaften auf Interaktion.
  4. Aktivieren Sie dort die Einstellung Automatisches Keyboard unter der Überschrift Keyboard.

Diese Einstellung ist als Standard nicht aktiviert. Beim Aktivieren wird das automatische Keyboard vom System erzeugt und wird relativ nah am Element in der Runtime automatisch aufgeschaltet. Es erscheint dort, wo ein Sollwert einzugeben ist. Einige Eigenschaften wie Größe oder Position können Sie über die Eigenschaften im Editor konfigurieren.

Hinweis: Für die Profil-Steuerelemente stehen keine automatischen Keyboards zur Verfügung. In diesem Fall wird empfohlen, ein eigenes Keyboard anzulegen und über eine Schaltfläche aufzuschalten. Damit kann auch auf einem Touchscreen die Eingabe eines Profilnamens über ein eigenes, manuell aufzuschaltendes Keyboard erfolgen.
Weitere Informationen dazu finden Sie im Kapitel Runtimeprofile im Handbuch Runtime.

Noch in diesem Kapitel

Größe des Keyboards

Position des Keyboards


Größe des Keyboards

Handbuch > Keyboards > Automatisches Keyboard > Größe des Keyboards

Die Größe des Keyboards kann vom Anwender frei definiert werden.

Dazu:

  1. Öffnen Sie den zenon Editor.
  2. Klicken Sie auf das Projekt, mit welchem Sie arbeiten möchten.
  3. Klicken Sie in den Eigenschaften auf Interaktion.
  4. Aktivieren Sie die Einstellung Automatisches Keyboard unter der Überschrift Keyboard.
  5. Geben Sie in das Feld Keyboard Größe [%] die gewünschte Größe in Prozent ein.

info Info

Die Höhe der Titelleiste wird aus den Anzeige-Einstellungen geholt. Geändert werden kann die Einstellung über Systemsteuerung -> Anzeige -> Darstellung -> Erweitert -> Element: Palettentitel.


Position des Keyboards

Handbuch > Keyboards > Automatisches Keyboard > Position des Keyboards

Sie können in den Eigenschaften des Keyboards eine bevorzugte Position und ergänzend eine alternative Position definieren. Findet das Keyboard an der bevorzugten Position nicht genügend Platz, wird es an der alternativen Position dargestellt. Reicht auch dort der Platz nicht aus, wird die Position vom System definiert. Die Positionen legen Sie über die Kombination von jeweils vier Werten fest.

Eigenschaft | Beschreibung
Horizontal | Links (Default) positioniert die linke Ecke des Keyboards relativ zur linken oberen oder unteren Ecke des Elements. Rechts positioniert die rechte Ecke des Keyboards relativ zur rechten oberen oder unteren Ecke des Elements.
Verschiebung horizontal [Pixel] | Horizontaler Abstand (in Pixeln) zum ausgewählten Element für die bevorzugte Position des automatischen Keyboards. Positive Werte verschieben das Keyboard nach rechts, negative nach links. Default: 2.
Vertikal | Mit Oben (Default) oder Unten positionieren Sie das Keyboard oberhalb oder unterhalb des Elements.
Verschiebung vertikal [Pixel] | Vertikaler Abstand (in Pixeln) zum ausgewählten Element für die bevorzugte Position des automatischen Keyboards. Positive Werte verschieben das Keyboard nach oben, negative nach unten. Default: 2.


Projektierbares Keyboard

Handbuch > Keyboards > Projektierbares Keyboard

Das Keyboard kann vom Anwender selbst projektiert oder definiert werden. Um das zu tun, gehen Sie wie folgt vor:

  1. Öffnen Sie den zenon Editor.
  2. Klicken Sie auf das Projekt, mit welchem Sie arbeiten möchten.
  3. Legen Sie unter Bilder->Schablonen eine neue Schablone an.

    Hinweis: Keyboards brauchen immer eine eigene Schablone, die ausschließlich für Keyboards verwendet werden sollte.

  4. Projektieren Sie Positionierung und Größe der Schablone in der Schablonen-Eigenschaftengruppe Position. Dadurch werden auch Größe und Position des Keyboards in der Runtime definiert.
  5. Legen Sie unter Bilder ein neues Bild vom Typ Keyboard an.
  6. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.

In den Eigenschaften der Kontrollelemente können Projektierungen der Keyboard-Tasten (z.B. Farbe oder Form) geändert werden. Beachten Sie hierbei, dass abhängig vom Kontrollelement nicht alle Eigenschaften geändert werden können. So ist z.B. die Eigenschaft Text Zeile 1 eines Kontrollelements, welches eine Taste darstellt, nicht änderbar. In diesem Beispiel ist die Eigenschaft ausgegraut.

info Info

Es wird empfohlen, die Vorlage Standard zu verwenden.

Noch in diesem Kapitel

Bild vom Typ Keyboard anlegen

Kontrollelemente

Tasten für Rezeptgruppen-Manager

Automatische Tastenbeschriftung

Keyboards im zenon Web Client


Bild vom Typ Keyboard anlegen

Handbuch > Keyboards > Projektierbares Keyboard > Bild vom Typ Keyboard anlegen

Ein Bild vom Typ Keyboard ermöglicht die Nutzung einer frei definierbaren virtuellen Tastatur.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Keyboard.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontextmenü im Projektmanager:

  1. Klicken Sie im Projektmanager auf Bilder.
  2. Mit einem Rechtsklick öffnet sich das Kontextmenü.
  3. Klicken Sie im Kontextmenü auf Bild neu.

Symbolleiste:

  1. Klicken Sie im Projektmanager auf Bilder.
  2. Klicken Sie in der Detailansicht des Projektmanagers, in der Symbolleiste auf Bild neu.

Um den Bildtyp des neuen Bildes zu bestimmen, haben Sie mehrere Möglichkeiten:

Detailansicht des Projektmanagers:

  1. Klicken Sie in der Detailansicht des Projektmanagers auf den Bildtyp des neu erstellten Bildes.
  2. Wählen Sie in der Dropdownliste den Bildtyp Keyboard.

Eigenschaften:

  1. Klicken Sie in den Eigenschaften auf Allgemein.
  2. Klicken Sie unter Bildtyp auf den Pfeil rechts und wählen Sie in der Dropdownliste den Bildtyp Keyboard.
  3. Wählen Sie in den Eigenschaften der Gruppe Allgemein ein vordefiniertes Keyboard als Name oder vergeben Sie einen freien Namen.

Achtung: Keyboard-Bilder mit reservierten Namen haben zur Runtime Vorrang vor anderen Keyboard-Bildern, auch vor dem Bild Automatisches Keyboard bei Touch-Bedienung.

Wird ein Bild vom Typ Keyboard über den ganzen Bildschirm aufgerufen, statt nur als Dialog, kann es vorkommen, dass Menüs verdeckt werden.

Tipp: Projektieren Sie in diesem Fall eine Funktion Schablone schließen, die Ihnen erlaubt, die geöffnete Keyboard-Schablone zu schließen.

In den Bild-Eigenschaften, unter Allgemein, gibt es unter Name mehrere Schlüsselwörter. Wozu diese dienen, lesen Sie im Folgenden:

Reservierte Namen

Für den Bildtyp Keyboard wurden folgende Namen reserviert:

Name

Beschreibung

DIALOGKBD

Ist ein Bild dieses Namens vorhanden, wird es zur Runtime immer dann geöffnet, wenn ein Dialog aufgeschaltet wird, z. B. bei Eingabe eines neuen Rezeptnamens im RGM.

Achtung: Das DIALOGKBD ist nicht für die Verwendung mit dem Kontrollelement Sollwerteingabe vorgesehen und auch nicht dafür geeignet. Die Benutzung in dieser Kombination kann in der Runtime zu Fehlern führen.

SETBOOLKBD

Ist ein Bild dieses Namens vorhanden, wird es zur Runtime immer dann geöffnet, wenn eine Eingabe für Binärvariablen erforderlich ist.

SETSTRINGKBD

Ist ein Bild dieses Namens vorhanden, so wird es zur Runtime anstelle der Standard-Eingabemaske für Stringvariablen verwendet.

SETVALUEKBD

Ist ein Bild dieses Namens vorhanden, so wird es zur Runtime anstelle der Standard-Eingabemaske für numerische Variablen verwendet. Das Kontrollelement Sollwerteingabe muss in die Tastatur eingefügt werden.

Achtung: Bei aktivierter Feststelltaste können in einem Keyboard vom Typ SETVALUEKBD keine Eingaben gemacht werden, da statt der Zahlen, die entsprechenden Sonderzeichen eingegeben würden.
Ausnahme: Französische Tastaturen benötigen zur Zahleneingabe die Umschalt-Taste oder die Feststell-Taste.

Hinweis: Verwenden Sie das Kontrollelement Sollwerteingabe nur für Keyboards, die zur Sollwerteingabe angelegt werden (SETVALUEKBD, SETSTRINGKBD). Dieses wird automatisch mit der Variablen des Dynamischen Elements, das den Sollwert erhalten soll, verbunden. Beim Einsatz mit normalen Keyboards kann es daher zu unerwünschten Ergebnissen kommen.

Für Keyboards, die zur Sollwertvorgabe dienen, muss das Kontrollelement Sollwertvorgabe jedoch zwingend im Bild projektiert sein. Ansonsten ist keine Wert-Eingabe und auch kein Sollwert absetzen möglich.

Hinweis: Ist im Projekt

  • ein Bild vom Typ Keyboard mit dem reservierten Namen DIALOGKBD vorhanden
  • und gleichzeitig ein Bild vom Typ Login
  • und ist die Eigenschaft Automatisches Keyboard in der Gruppe Keyboard aktiviert,

dann dürfen diese Bilder nicht auf derselben Schablone basieren. Das DIALOGKBD würde in diesem Fall immer automatisch verwendet werden.

Ein Keyboard-Button hat im zenon Editor mehrere Eigenschaften als ein normaler Button. Diese kann man unter Darstellung sehen und definieren. Auf dieser Weise lassen sich Sonderzeichen definieren.


Kontrollelemente

Handbuch > Keyboards > Projektierbares Keyboard > Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Alphanumerisch links | Definition der Tasten für selbst angelegtes Keyboard, linke Seite einer normalen Standard-Tastatur.
Alphanumerisch rechts | Definition der Tasten für selbst angelegtes Keyboard, rechte Seite einer normalen Standard-Tastatur.
Ziffernblock | Definition der Tasten für selbst angelegtes Keyboard, numerische Tasten einer normalen Standard-Tastatur.
Funktionstasten | Definition der Tasten für selbst angelegtes Keyboard, F- und Esc-Tasten einer normalen Standard-Tastatur.

Empfehlung: Verwenden Sie eine Vorlage.

Kontrollelement | Beschreibung
Sollwert setzen | Kontrollelemente für den Sollwert setzen.
Sollwerteingabe | Ermöglicht die Eingabe eines Sollwertes. Muss für SETBOOLKBD, SETSTRINGKBD und SETVALUEKBD zwingend im Bild projektiert sein.
Wert++ | Führt Plusrechnungen durch. Addiert 1 zum Wert.
Wert-- | Führt Minusrechnungen durch. Subtrahiert 1 vom Wert.
Wert ein | Der Wert ist 1, also true. Beispiel: Maschine ist an.
Wert aus | Der Wert ist 0, also false. Beispiel: Maschine ist aus.
Wert Toggeln | True/False-Wechsel.
OK | Setzt den Wert und schließt das Fenster.
Abbrechen | Schließt das Fenster.


Tasten für Rezeptgruppen-Manager

Handbuch > Keyboards > Projektierbares Keyboard > Tasten für Rezeptgruppen-Manager

Für den RGM stehen bei der Konfiguration des Keyboard-Bildes unter Kontrollelemente -> Rezeptgruppenmanager spezifisch spezielle Kontrollelemente zur Verfügung:

Kontrollelement

Beschreibung

Wert absetzen

Der Sollwert wird auf die Variable abgesetzt, im Rezept aktualisiert und das Keyboard wird geschlossen.

Rezept speichern

Das Rezept wird gespeichert.

Wert absetzen und Rezept speichern

Der Sollwert wird auf die Variable abgesetzt, im Rezept aktualisiert, das Rezept gespeichert und das Keyboard geschlossen.

Wertanzeigen als Text 1
bis
Wertanzeigen als Text 32

Tasten können mit Grenzwerten aus einer Reaktionsmatrix verknüpft werden. Dazu muss die Variable des Rezeptparameters

  • mit einer Numerischen Reaktionsmatrix oder Stringreaktionsmatrix verknüpft sein und
  • „ist gleich"-Zustände beinhalten.

Zur Laufzeit werden belegte Tasten eingeblendet und mit dem Text aus der Reaktionsmatrix beschriftet.

Klick auf den Button schreibt den in der Reaktionsmatrix verknüpften Wert als Vorschlag für den Rezeptwert in das Kontrollelement Sollwerteingabe.


Automatische Tastenbeschriftung

Handbuch > Keyboards > Projektierbares Keyboard > Automatische Tastenbeschriftung

Die Beschriftung der Tastatur kann wahlweise frei definiert oder vom Betriebssystem übernommen werden. Aktivieren oder deaktivieren Sie dazu in den Eigenschaften des Bildes, unter Darstellung die Option Automatische Beschriftung. Die Sprache wird vom Betriebssystem übernommen und die Tasten werden automatisch danach beschriftet. Diese Option ist für andere Länder gut geeignet, die mit dem Keyboard arbeiten möchten. Es stehen alle Tastatur-Layouts zur Verfügung, die von Windows unterstützt werden.

Die Funktionalität der Keyboard-Tasten entspricht der Hardware-Tastatur. Diese ist abhängig, von der am ausführenden Rechner in den Systemeinstellungen eingestellten Tastatur. Die projektierte Beschriftung wird in diesem Falle ignoriert. Die am Rechner eingestellte Tastatur (via Systemeinstellung) hat bei der Anzeige in der zenon Runtime immer Vorrang vor den im zenon Editor angezeigten Beschriftungen.

Dabei gilt:

  1. Aktiv:
    • Für die Buchstaben, Zahlen und F-Tasten eines Bildes vom Bildtyp Keyboard wird die Original-Beschriftung des Tastatur-Layouts vom Betriebssystem übernommen.
    • Es können keine alternativen Beschriftungen definiert werden.
    • Wurden Tasten bereits anders beschriftet, wird zur Runtime wieder die Original-Beschriftung verwendet. Funktionstasten wie Tab oder Umschalt können weiter alternativ beschriftet werden.

Der Ziffernblock der Tastatur wird nicht automatisch beschriftet und die Beschriftung kann zur Runtime jederzeit angepasst werden, unabhängig von der Einstellung der Eigenschaft Automatische Beschriftung.

  1. Inaktiv:
    • Alle Tasten können individuell beschriftet werden und werden zur Runtime entsprechend angezeigt.
    • Die Beschriftung der Tasten kann im Editor in den Eigenschaften, unter Darstellung angepasst werden.
    • Zur Runtime wird die projektierte Beschriftung dargestellt.


Keyboards im zenon Web Client

Handbuch > Keyboards > Projektierbares Keyboard > Keyboards im zenon Web Client

Wird zur Runtime ein Keyboard aufgeschaltet, bleibt es auch offen, wenn die Runtime minimiert wird. In der Taskleiste des Betriebssystems wird eine Dropdownliste für das Keyboard angezeigt.

attention Achtung

Individuell angepasste Bilder vom Typ Keyboard funktionieren unter Umständen mit dem Browser Mozilla Firefox nicht korrekt.

Ursache: Mozilla Firefox lädt neue Fenster im Hintergrund, ohne ihnen den Fokus zu geben. Je nach Projektierung, werden individuell angepasste Keyboard-Bilder geschlossen, sobald sie den Fokus verlieren.

Lösung: Benutzen Sie einen anderen Browser wie z. B. Microsoft Internet Explorer oder Google Chrome oder verwenden Sie die Schablonen-Option Schließen bei Fokusverlust. Dadurch ist auch eine korrekte Anzeige in Mozilla Firefox möglich.

Automatische Keyboards sind nicht betroffen!


Hardware Tastaturen und virtuelle Keyboards im Mischbetrieb

Handbuch > Keyboards > Hardware Tastaturen und virtuelle Keyboards im Mischbetrieb

Virtuelle Keyboards verhalten sich im Betriebssystem wie Hardware-Tastaturen. Wenn virtuelle Keyboards gemeinsam mit Hardware-Tastaturen eingesetzt werden, beeinflussen sich diese gegenseitig. Einstellungen auf der Hardware-Tastatur, zum Beispiel Feststellung der Umschalt-Taste, wirken sich auf das virtuelle Keyboard aus und umgekehrt.

Beispiele:

  • Wird auf der Hardware-Tastatur die Feststell-Taste für die Umschalt-Taste (CAPS-Lock) gedrückt, gilt das auch für das virtuelle Keyboard. In diesem Fall wird auch die Ziffern-Eingabe am automatischen Keyboard abgeschaltet.
  • Wird auf der Hardware-Tastatur die Num-Taste gedrückt, um den Ziffernblock auszuschalten, funktioniert auch der Tastenblock am virtuellen Keyboard nicht mehr.

Hinweis: Es wird nicht empfohlen das Keyboard und die Hardware-Tastatur im Mischbetrieb zu benutzen.


Konfigurationsdateien

Handbuch > Konfigurationsdateien

Informationen für Systemadministratoren, die direkt in die INI-Dateien eingreifen wollen.

info Info

Projekteinstellungen sollten prinzipiell im Editor vorgenommen werden. Änderungen in den INI-Dateien sind Experten vorbehalten.

Speicherformat der INI-Dateien

Zum Lesen der INI-Dateien werden systembedingt nur ANSI und Unicode unterstützt.

attention Achtung

UTF-8 Speicherformat wird nicht unterstützt!

Sichern Sie ihre INI-Dateien deshalb immer als Textdatei im ANSI- oder Unicode-Format.

Import- und INI-Dateien

Sie erhalten Informationen zu folgenden Konfigurationsdateien:

Datei

Beschreibung

dBaseIV Variablendatei

Einstellungen der dBase IV Importdatei.

License.ini

Enthält Lizenzinformationen.

project.ini

Einstellungen für Projekt.

Die project.ini finden Sie im Runtime-Pfad des jeweiligen Projekts. Um den Pfad zu öffnen:

  • markieren Sie das Projekt
  • drücken Sie die Tastenkombination Strg+Alt+E
  • der zum Projekt gehörende SQL-Ordner wird geöffnet
  • navigieren Sie zu ...\FILES\zenon\system

startup.ini

Einstellungen des zenon Startup Tools.

wizards.ini

Aufbau der INI-Datei für die Verwaltung der Wizards in VSTA und VBA.

zenDB.ini

Einstellungen der SQL Datenbank

zenon6.ini

Einstellungen für zenon allgemein.

Die zenon6.ini finden Sie im Pfad:

C:\ProgramData\COPA-DATA\System\

zenWebSrv.ini

Einstellungen für den zenon Web Server.

Abarbeitung von project.ini und zenon6.ini

Die INI-Dateien werden jeweils wie folgt abgearbeitet:

project.ini

Die Einstellungen in project.ini werden in folgender Reihenfolge abgearbeitet:

  1. project.ini
  2. zenon6.ini
  3. Defaultwert

Dabei wird der erste gefundene Eintrag verwendet.

zenon6.ini

Die Einstellungen in zenon6.ini werden in folgender Reihenfolge abgearbeitet:

  1. zenon6.ini
  2. Defaultwert

Dabei wird der erste gefundene Eintrag verwendet.

Noch in diesem Kapitel

dBaseIV Variablendatei

License.ini

project.ini

startup.ini

wizards.ini

zenDB.ini

zenon6.ini

zenProcGateway.ini

zenWebSrv.ini


dBaseIV Variablendatei

Handbuch > Konfigurationsdateien > dBaseIV Variablendatei

Für den Variablenimport und -export muss die dBaseIV-Datei folgende Struktur und Inhalte besitzen.

attention Achtung

dBase unterstützt keine Strukturen oder Arrays (komplexe Variablen).

DBF-Dateien müssen:

  • in der Benennung dem 8.3 DOS Format für Dateinamen entsprechen (8 alphanumerische Zeichen für Name, 3 Zeichen Erweiterung, keine Leerzeichen)
  • nahe am Stammverzeichnis (Root) abgelegt werden

Struktur

Bezeichnung | Typ | Feldgröße | Bemerkung
KANALNAME | Char | 128 | Variablenname. Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
KANAL_R | C | 128 | Ursprünglicher Name einer Variablen, der durch den Eintrag unter VARIABLENNAME ersetzt werden soll (Feld/Spalte muss manuell angelegt werden). Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
KANAL_D | Log | 1 | Variable wird bei Eintrag 1 gelöscht (Feld/Spalte muss manuell angelegt werden).
TAGNR | C | 128 | Kennung. Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
EINHEIT | C | 11 | Technische Maßeinheit
DATENART | C | 3 | Datentyp (z. B. Bit, Byte, Wort, ...) entspricht dem Datentyp.
KANALTYP | C | 3 | Speicherbereich in der SPS (z. B. Merkerbereich, Datenbereich, ...) entspricht Treiberobjekttyp.
HWKANAL | Num | 3 | Netzadresse
BAUSTEIN | N | 3 | Datenbaustein-Adresse (nur bei Variablen aus den Datenbereich der SPS)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Für Bit-Variablen: Bitadresse Für Byte-Variablen: 0=niederwertig, 8=höherwertig Für String-Variablen: Stringlänge (max. 63 Zeichen)
ARRAYSIZE | N | 16 | Anzahl der Variablen im Array für Index-Variablen ACHTUNG: Nur die erste Variable steht voll zur Verfügung. Alle folgenden sind nur über VBA oder den Rezeptgruppen Manager zugänglich
LES_SCHR | L | 1 | Lese-Schreib-Berechtigung 0: Sollwert setzen ist nicht erlaubt 1: Sollwert setzen ist erlaubt
MIT_ZEIT | L | 1 | Zeitstempelung in zenon (nur wenn vom Treiber unterstützt)
OBJEKT | N | 2 | Treiberspezifische ID-Nummer des Primitivobjekts setzt sich zusammen aus TREIBER-OBJEKTTYP und DATENTYP
SIGMIN | Float | 16 | Rohwertsignal minimal (Signalauflösung)
SIGMAX | F | 16 | Rohwertsignal maximal (Signalauflösung)
ANZMIN | F | 16 | technischer Wert minimal (Messbereich)
ANZMAX | F | 16 | technischer Wert maximal (Messbereich)
ANZKOMMA | N | 1 | Anzahl der Nachkommastellen für die Darstellung der Werte (Messbereich)
UPDATERATE | F | 19 | Updaterate für Mathematikvariablen (in sec, eine Dezimalstelle möglich) bei allen anderen Variablen nicht verwendet
MEMTIEFE | N | 7 | Nur aus Kompatibilitätsgründen vorhanden
HDRATE | F | 19 | HD-Updaterate für hist. Werte (in sec, eine Dezimalstelle möglich)
HDTIEFE | N | 7 | HD-Eintragtiefe für hist. Werte (Anzahl)
NACHSORT | L | 1 | HD-Werte als nachsortierte Werte
DRRATE | F | 19 | Aktualisierung an die Ausgabe (für zenon DDE-Server, in sec, eine Kommastelle möglich)
HYST_PLUS | F | 16 | Positive Hysterese; ausgehend vom Messbereich
HYST_MINUS | F | 16 | Negative Hyterese; ausgehend vom Messbereich
PRIOR | N | 16 | Priorität der Variable
REAMATRIZE | C | 32 | Name der zugeordnete Reaktionsmatrix
ERSATZWERT | F | 16 | Ersatzwert; ausgehend vom Messbereich
SOLLMIN | F | 16 | Sollwertgrenze Minimum; ausgehend vom Messbereich
SOLLMAX | F | 16 | Sollwertgrenze Maximum; ausgehend vom Messbereich
VOMSTANDBY | L | 1 | Variable vom Standby Server anfordern; der Wert der Variable wird im redundanten Netzwerkbetrieb nicht vom Server sondern vom Standby Server angefordert
RESOURCE | C | 128 | Betriebsmittelkennung. Freier String für Export und Anzeige in Listen. Länge kann über den Eintrag MAX_LAENGE in der project.ini eingeschränkt werden.
ADJWVBA | L | 1 | Nichtlineare Wertanpassung: 0: Nichtlineare Wertanpassung wird verwendet 1: Nichtlineare Wertanpassung wird nicht verwendet
ADJZENON | C | 128 | Verknüpftes VBA-Makro zum Lesen der Variablenwerte für die nichtlineare Wertanpassung.
ADJWVBA | C | 128 | Verknüpftes VBA-Makro zum Schreiben der Variablenwerte für die nichtlineare Wertanpassung.
ZWREMA | N | 16 | Verknüpfte Zählwert-Rema.
MAXGRAD | N | 16 | Maximaler Gradient für die Zählwert-Rema.

attention Achtung

Beim Import müssen Treiberobjekttyp und Datentyp in der DBF-Datei an den Zieltreiber angepasst werden, damit Variablen importiert werden.

Grenzwertdefinition

Grenzwertdefinition für Grenzwert 1 bis 4, oder Zustand 1 bis 4:

Bezeichnung | Typ | Feldgröße | Bemerkung
AKTIV1 | L | 1 | Grenzwert aktiv (pro Grenzwert vorhanden)
GRENZWERT1 | F | 20 | technischer Wert oder ID-Nummer der verknüpften Variable für einen dynamischen Grenzwert (siehe VARIABLEx) (wenn unter VARIABLEx 1 steht und hier -1, wird die bestehende Variablenzuordnung nicht überschrieben)
SCHWWERT1 | F | 16 | Schwellwert für den Grenzwert
HYSTERESE1 | F | 14 | wird nicht verwendet
BLINKEN1 | L | 1 | Blinkattribut setzen
BTB1 | L | 1 | Protokollierung in CEL
ALARM1 | L | 1 | Alarm
DRUCKEN1 | L | 1 | Druckerausgabe (bei CEL oder Alarm)
QUITTIER1 | L | 1 | quittierpflichtig
LOESCHE1 | L | 1 | löschpflichtig
VARIABLE1 | L | 1 | dyn. Grenzwertverknüpfung der Grenzwert wird nicht durch einen absoluten Wert (siehe Feld GRENZWERTx) festgelegt.
FUNC1 | L | 1 | Funktionsverknüpfung
ASK_FUNC1 | L | 1 | Ausführung über die Alarmmeldeliste
FUNC_NR1 | N | 10 | ID-Nummer der verknüpften Funktion (steht hier -1, so wird die bestehende Funktion beim Import nicht überschrieben)
A_GRUPPE1 | N | 10 | Alarm/Ereignis-Gruppe
A_KLASSE1 | N | 10 | Alarm/Ereignis-Klasse
MIN_MAX1 | C | 3 | Minimum, Maximum
FARBE1 | N | 10 | Farbe als Windowskodierung
GRENZTXT1 | C | 66 | Grenzwerttext
A_DELAY1 | N | 10 | Zeitverzögerung
INVISIBLE1 | L | 1 | Unsichtbar

Bezeichnungen in der Spalte Bemerkung beziehen sich auf die in den Dialogboxen zur Definition von Variablen verwendeten Begriffe. Bei Unklarheiten, siehe Kapitel Variablendefinition.


License.ini

Handbuch > Konfigurationsdateien > License.ini

Die Konfigurationsdatei License.ini enthält Informationen zur Lizenzierung der COPA-DATA Produkte. Das Hinzufügen, Aktivieren und Bearbeiten von Lizenzen erfolgt über die Lizenzverwaltung.
Pfad zur License.ini: %programdata%\COPA-DATA\System
Tipp: Sie können den Pfad auch mit der Umgebungsvariable %CD_System% aufrufen.

attention Achtung

Bearbeiten Sie die License.ini nicht manuell!
Änderungen an der Datei können dazu führen, dass lizenzierte Produkte nicht mehr genutzt werden können. Führen Sie alle Aktionen zur Lizenzierung über die Lizenzverwaltung durch.

Die License.inienthält für jedes lizenzierte Produkt eine eigene Zeile mit der Seriennummer. Jedes Produkt (Editor, Runtime usw.) wird mit einem eigenen Abschnitt in die INI-Datei eingetragen. Wurden mehrere Lizenzen für ein Produkt erworben, wird jede Seriennummer in einer eigenen Zeile angezeigt. Bei der Abfrage der lizenzierten Produkte werden die Seriennummern der Reihe nach überprüft. Es wird immer die erste gefundene, gültige Seriennummer verwendet.

Noch in diesem Kapitel

Einstellungen [SETTINGS]

zenon Analyzer [Analyzer]

zenon Editor [Editor]

zenon Runtime [Runtime]

zenon Web Server [WebServer]

HTML Web Engine [WebEngine]

Process Gateway [ProcessGateway]

zenon Logic Runtime [LogicRuntime]


Einstellungen [SETTINGS]

Handbuch > Konfigurationsdateien > License.ini > Einstellungen [SETTINGS]

INI-Einträge für die Einstellungen der Lizenzverwaltung.

Eintrag

Funktion

[SETTINGS]

Einstellungen für Lizenzverwaltung.

AUTO_UPDATE =

Einstellungen, ob Lizenzen automatisch aktualisiert werden.

  • 1: Aktiv. Lizenzen werden automatisch aktualisiert.
  • 0: Inaktiv. Lizenzen müssen manuell aktualisiert werden.

Default: 1

Hinweis: Konfiguration über die Option Alle verwendeten Lizenzen automatisch aktualisieren in der Registerkarte Einstellungen.

AUTO_UPDATE_CYCLE =

Aktualisierungszyklus in Sekunden.

Diese Zykluszeit wird nach der Aktualisierung zur Errechnung der Zeit für AUTO_UPDATE_PENDING verwendet.

  • Minimum: 86400 s (= 24 h)

Default: 604800 s (= 7 Tage in Sekunden =7*24*60*60)

AUTO_UPDATE_PENDING =

Zeitpunkt der nächsten Aktualisierung als Text in Lokalzeit. Die Formatierung erfolgt entsprechend der Systemeinstellungen.

Ist kein gültiger Zeitstempel eingetragen wird die Aktualisierung sofort ausgeführt.

Default: [leer]

LOGGING_USER_DATA =

Einstellungen, ob Benutzerdaten gespeichert werden sollen.

  • 1: Aktiv. Benutzerdaten werden gespeichert..
  • 0: Inaktiv. Benutzerdaten werden nicht gespeichert.
    Beachten Sie damit verbundenen Einschränkungen.

Default: 1

Hinweis: Konfiguration über die Option Benutzerdatenerfassung in der Registerkarte Einstellungen. Hier finden Sie auch Hinweise zu Einschränkungen bei Deaktivierung der Speicherung.

PROXY_URL =

URL des Proxy bei manueller Konfiguration.

PROXY_USERNAME =

Benutzername für Anmeldung bei Proxy.

PROXY_PASSWORD =

Verschlüsseltes Passwort für Anmeldung bei Proxy.

AUTO_UPDATE_BENDING=

Datum für automatisches Update der Proxy-Einstellungen.

SYSTEM_PROXY =

Der im System konfigurierte Proxy.


zenon Analyzer [Analyzer]

Handbuch > Konfigurationsdateien > License.ini > zenon Analyzer [Analyzer]

INI-Einträge für die Lizenzierung des zenon Analyzer.

Eintrag | Funktion
[Analyzer] | Gruppe für Seriennummern, die dem zenon Analyzer zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


zenon Editor [Editor]

Handbuch > Konfigurationsdateien > License.ini > zenon Editor [Editor]

INI-Einträge für die Lizenzierung des zenon Editors.

Eintrag | Funktion
[Editor] | Gruppe für Seriennummern, die dem zenon Editor zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


zenon Runtime [Runtime]

Handbuch > Konfigurationsdateien > License.ini > zenon Runtime [Runtime]

INI-Einträge für die Lizenzierung der zenon Runtime.

Eintrag | Funktion
[Runtime] | Gruppe für Seriennummern, die der zenon Runtime zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


zenon Web Server [WebServer]

Handbuch > Konfigurationsdateien > License.ini > zenon Web Server [WebServer]

INI-Einträge für die Lizenzierung des zenon Web Servers.

Eintrag | Funktion
[WebServer] | Gruppe für Seriennummern, die dem zenon Web Server zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


HTML Web Engine [WebEngine]

Handbuch > Konfigurationsdateien > License.ini > HTML Web Engine [WebEngine]

INI-Einträge für die Lizenzierung der HTML Web Engine.

Eintrag | Funktion
[WebEngine] | Gruppe für Seriennummern, die der HTML Web Engine zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


Process Gateway [ProcessGateway]

Handbuch > Konfigurationsdateien > License.ini > Process Gateway [ProcessGateway]

INI-Einträge für die Lizenzierung des Process Gateways.

Eintrag | Funktion
[PROCESSGATEWAY] | Gruppe für Seriennummern, die dem Process Gateway zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


zenon Logic Runtime [LogicRuntime]

Handbuch > Konfigurationsdateien > License.ini > zenon Logic Runtime [LogicRuntime]

INI-Einträge für die Lizenzierung der zenon Logic Runtime.

Eintrag | Funktion
[LogicRuntime] | Gruppe für Seriennummern, die der zenon Logic Runtime zugeordnet sind.
SERIALX = | Lizenzierte Seriennummern. Eine Zeile für jede Seriennummer. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0 = C1200-AAAAA-BBBBB-00000-00010
SERIALX_DESC = | Beschreibungstext für die Lizenz. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_DESC = Gen_Std
SERIALX_LOCATION = | Rechner-Adresse, an der die Lizenz aktiviert wurde. X steht für die Nummer der Reihenfolge Lizenzen. Z. B.: SERIAL0_LOCATION = Computer000.MyDomain


project.ini

Handbuch > Konfigurationsdateien > project.ini

Die Datei project.ini enthält projektspezifische Einstellungen. Projekteinstellungen sollten prinzipiell im Editor vorgenommen werden. Änderungen in der project.ini sind Experten vorbehalten. Einstellungen im Editor, die von den Default-Werten abweichen, werden vom Editor in die project.ini eingetragen.

Einträge permanent ändern und übernehmen

Einträge in der project.ini werden beim Rücklesen von Projekten aus der Runtime und beim Starten der Runtime vom Editor aus überschrieben.

Um Einträge in der project.ini permanent zu übernehmen, empfiehlt sich folgende Vorgehensweise:

  1. Identifizieren Sie das Projekt.
    Dazu notieren Sie die GUID des Projekts im Editor. Die ersten 4-6 Stellen sind ausreichend.

    Tipp: Markieren Sie das Projekt im Projektmanager und drücken Sie die Tastenkombination Strg+Alt+E.
    Der Explorer öffnet den Ordner ...\<GUID>\Project_SQL_directory\FILES\
    Diesen Pfad benötigen Sie im nächsten Schritt.

    Schließen Sie dann den Arbeitsbereich oder beenden Sie den Editor.

  2. Navigieren Sie zur project.ini: Diese befindet sich im Ordner ...\<GUID>\Project_SQL_directory\FILES\zenon\system.
  3. Bearbeiten Sie die project.ini: Nehmen Sie die gewünschten Änderungen in der project.ini vor. Speichern und schließen Sie die Datei.
  4. Runtime-Dateien übertragen: Öffnen Sie den Editor wieder oder laden Sie das Projekt. Erzeugen Sie geänderte Runtime-Dateien und übertragen Sie die Runtime-Dateien.

info Info

Die project.ini wird unabhängig vom Projektnamen immer als project.ini in diesem Pfad gespeichert: Project_SQL_Ordner\FILES\zenon\system\project.ini
Um zum Ordner zu navigieren, markieren Sie im Editor das Projekt und drücken Sie die Tastenkombination Strg+Alt+E. Damit wird der übergeordnete Pfad ...\<GUID>\Project_SQL_directory\FILES\ im Datei-Explorer geöffnet.

Noch in diesem Kapitel

Allgemeine Einstellungen [DEFAULT]

AML [ALARM]

Archivserver [ARCHIV]

Automatic Line Coloring [ALC] und [ALC_TOP]

Bild-Elemente [ELEMENTE]

CEL [BTB]

Drucken [DRUCKER]

Erweiterter Trend [EW_TREND]

Export [EXPORT]

Fehler-Logs [ERRORLOG] und [LON_32]

Funktionen [FUNKTIONEN]

HTML Bildtyp [HTML_BROWSE] und [HTML_SEARCH]

Industrial Maintenance Manager [IMM]

Netzwerk [NETZ] und [TOKEN]

Passwortverwaltung [PASSWORD]

Pfade [PATH]

Production & Facility Scheduler [PFS]

Projektverknüpfungen [PROJEKTLINKS]

Prozess-Rekorder [PROCESSRECORDER]

Remote-Transport [ED_REMOTE], [DIRLIST] und [TRANSPASS]

Rezeptgruppen-Manager [RGM]

Runtime [RT]

Runtime änderbare Daten [RTDATEN]

Schichtmanagement [SHIFT_MANAGEMENT]

Status [STATUS]

Tabellen [TABELLE]

Treiber

Weltbild [WORLDVIEW]

zenon Versionen und Projektversionierung [VERSION]


Allgemeine Einstellungen [DEFAULT]

Handbuch > Konfigurationsdateien > project.ini > Allgemeine Einstellungen [DEFAULT]

Eintrag

Beschreibung

[DEFAULT]

Allgemeine Einstellungen für das Projekt.

AUFFUELLEN=

Art der Speicherung bei der Verwaltung der HD- und Speicher-Daten:

  • 0: Der jeweils ankommende Wert wird gespeichert.
  • 1: Die Werte werden im definierten Intervall abgelegt.
    Bei größeren Zeitabständen müssen eventuell mehrere Daten gespeichert werden.

Default: 1

Berechnung: es wird jede kte Zykluszeit gespeichert. k ist der größte ganzzahlige Teiler der zu speichernden HD-Werte, der kleiner oder gleich 84 ist.
Beispiel: Anzahl Werte 300 -> Speicherung jeden 75. Wert.

Entspricht im Editor der Eigenschaft Daten Pufferung in der Gruppe Runtime Einstellungen.

BLINK=

Blinkfrequenz Dynamischer Elemente in Zehntelsekunden.

  • Minimum: 0
  • Maximum: 2147483647

Default: 5

Z. B: BLINK=5 entspricht Blinken im Halbsekunden-Takt.

Entspricht im Editor der Einstellung Blinkfreq. [ZehntelSek.] in der Gruppe Grafische Ausprägung/Runtime allgemein.

BTB_DRUCKEN=0

Festlegung, ob bei Aktivierung der Einstellung ONLINE_DRUCKEN=1 die AML oder CEL gedruckt wird:

  • 1: CEL
  • 0: AML

Default: AML

Entspricht im Editor der Eigenschaft Ausdruck für in der Gruppe AML und CEL.

CURSOR=

Anzeige Mauszeiger:

  • 1: In der Runtime wird der Mauszeiger angezeigt.
  • 0: Der Mauszeiger wird abgeschaltet (z. B. für Touchbedienung).

Default: 1

Achtung: Diese Einstellung wirkt sich nur auf zenon aus, nicht aber auf Windows Standard-Elemente wie Titelzeilen, Menüs, Scrollbalken usw. Für Windows-Elemente muss der Mauszeiger direkt im Betriebssystem deaktiviert werden.

Entspricht im Editor der Eigenschaft Cursor sichtbar in der Gruppe Grafische Ausprägung/Runtime allgemein.

EnRtDlgFont=

Ermöglicht es, Dialoge und mehrseitige Einstellungen in der Runtime mit einer einstellbaren Schrift anzuzeigen.

  • 0: inaktiv
  • 1: aktiv

Default: 0

Die zu verwendende Schrift definieren Sie über die Eigenschaft RtDlgFont=.

Entspricht im Editor der Eigenschaft Dialogschrift einstellbar in der Gruppe Grafische Ausprägung/Runtime allgemein.

ExternalReference_Writeable=

Definiert, ob die Externe Referenz über die Editor-Oberfläche geändert werden kann.

  • 0: Änderung nur über die zenon API möglich.
  • 1: Änderung über die Oberfläche des Editors möglich.

Default: 0

FocusLineColor=

Farbe des Rahmens, der zur Runtime das Objekt mit dem Fokus identifiziert.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 12614523 (Editor: #7B7BC0)

Entspricht im Editor der Eigenschaft Fokus Linienfarbe in der Gruppe Grafische Ausprägung.

FocusLineWidth=

Linienbreite des Rahmens in Pixel, der zur Runtime das Objekt mit dem Fokus identifiziert.

Default: 3

Entspricht im Editor der Eigenschaft Fokus Linienbreite in der Gruppe Grafische Ausprägung/Bilder.

GW_FKT_AT_RT_START =1

Ausführung der Grenzwertfunktionen beim Start der Runtime und anstehenden Grenzwertverletzung:

  • 0: nein
  • 1: ja

Default: 1

Achtung: Diese Eigenschaft betrifft nur Grenzwerte, die keine Alarme sind.

Entspricht im Editor der Einstellung für die Variablen-Eigenschaft Grenzwertfunktion beim RT-Start ausführen in der Gruppe Funktionen.

HDDATEN=

Aufzeichnung der HD-Daten:

  • Aktiv: Harddisk-Daten (HDD) werden aufgezeichnet.
  • Inaktiv: Harddisk-Daten (HDD) werden nicht aufgezeichnet.

Default: Aktiv

Entspricht im Editor der Eigenschaft HD-Daten aktiv.

HEX=

Anzeigeart der Variablenadressen:

  • 0: normal
  • 1: hexadezimal

LockVar=

Ermöglicht in Projekten ohne Netzwerk das Setzen einer Bediensperre über eine binäre Variable.

Werte:

  • 0: Keine Variable verknüpft.
  • >0: Interne ID der Variablen

Default: 0

Soll nur im Editor konfiguriert werden.

Entspricht im Editor der Eigenschaft Bediensperre in der Gruppe Interaktion.

MENU=

Anzeige von Hauptmenüs zur Runtime:

  • 0: In der Runtime werden keine Hauptmenüs angezeigt.
  • 1: Am oberen Rand des Runtime-Fensters wird ein Balken für die Darstellung der Menüs reserviert.

Default: 0

Achtung: Wenn Hauptmenüs verwendet werden, muss diese Option aktiviert sein.

Entspricht im Editor der Eigenschaft Hauptmenüs aktiv in der Gruppe Grafische Ausprägung/Runtime allgemein.

MILLISEK=0

Darstellung und interne Verarbeitung der HD-Werte, sowie der Aktualisierung der aktiven Bilder erfolgt in:

  • 1: Millisekunden
  • 0: Sekunden

Default: 1

Entspricht im Editor der Eigenschaft Trend und HD-Werte in Millisekunden in der Gruppe Runtime Einstellungen.

MOUSE_FOCUS=

Einstellung für Maus-Fokus:

  • 1: aktiv
  • 0: inaktiv

ONLINE_DRUCKEN=

Protokollierung von Runtime-Einträgen (CEL oder Alarm).

  • 1: aktiv: Bei jedem Eintrag in die AML oder CEL wird das Ereignis an den in den Projekteigenschaften definierten Drucker gesendet.
  • 0: inaktiv

Default: 1

Auswahl von CEL oder AML erfolgt über den Eintrag BTB= (0 = AML, 1 = CEL).

Entspricht im Editor der Eigenschaft Drucken aktiv in der Gruppe AML und CEL.

PokeAckInCel=

CEL-Eintrag für das Schreiben von Werten:

  • 1: Beim erfolgreichen Schreiben von Werten auf die Hardware erfolgt ein entsprechender Eintrag in der CEL.
  • 0: Das erfolgreiche Schreiben von Werten wird in der CEL nicht protokolliert.

Default: 0

Hinweis: Diese Einstellung wirkt sich zur Runtime nur aus, wenn das Sollwert-Setzen über die Funktion Sollwert setzen ausgeführt wird.

Entspricht im Editor der Eigenschaft Funktion Sollwert setzen in der Gruppe Chronologische Ereignisliste/Protokollierung.

RELEASE=5

Darstellung des Hauptfensters zur Runtime:

  • 0: Titel mit System, Min. und Max. Schaltfläche.
    Das Fenster kann in der Größe verändert und verschoben sowie per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • 1: Titel mit Min. und Max. Schaltfläche.
    Das Fenster kann in der Größe verändert und verschoben werden. Schließen ist nicht möglich (auch nicht über Kontextmenü, Aufgabenleiste oder die Tastenkombination Alt+F4). Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • 2: Titel mit Minimize-Schaltfläche.
    Für frühere Versionen. Wird nicht mehr unterstützt. Zur Runtime wird die zuletzt gültige Variante benutzt.
  • 3: Titel mit Maximize-Schaltfläche.
    Für frühere Versionen. Wird nicht mehr unterstützt. Zur Runtime wird die zuletzt gültige Variante benutzt.
  • 4: Titel ohne Bedienelemente.
    Kein Systemmenü, Minimize und Maximize-Schaltflächen. Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • 5: kein Titel (gesamter Schirm).
    Vollflächige Darstellung. Titelleiste wird nicht angezeigt.
  • 6: Titel mit Systemmenü.
    Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet das Kontextmenü.

Default: 5

Achtung: Wird diese Eigenschaft im Editor geändert, muss die Runtime neu gestartet werden. Nur nachladen funktioniert nicht, da zur Übernahme das Hauptfenster der Runtime erst geschlossen und dann neu geöffnet werden muss.

Entspricht im Editor der Eigenschaft Runtime-Titel in der Gruppe Grafische Ausprägung/Runtime allgemein.

RtDlgFont=

Auswahl der Schrift, die in der Runtime für Dialoge und mehrseitige Einstellungen verwendet werden soll:

  • 0: Standard
  • 1: Schriftart Nummer 1 aus Schriftliste
  • 2: Schriftart Nummer 2 aus Schriftliste
  • 3: Schriftart Nummer 3 aus Schriftliste
  • 4: Schriftart Nummer 4 aus Schriftliste
  • 5: Schriftart Nummer 5 aus Schriftliste

Default: 2

Wirkt sich nur aus, wenn die Eigenschaft EnRtDlgFont= den Wert 1 hat.

Entspricht im Editor der Eigenschaft Dialogschrift in der Gruppe Grafische Ausprägung/Runtime allgemein.

RTVERSION=

Version der Runtime, für die Editor-Dateien kompiliert werden.

Beispiel: RTVERSION=7100 erzeugt Runtime-Dateien, die in einer Runtime der Version 7.10 SP0 verwendet werden.

Achtung: Nach jeder Änderung dieser Eigenschaft müssen alle Runtime-Dateien neu erzeugt werden. Auch die Konfigurationen aller Treiber werden konvertiert. Einstellungen, die es in der entsprechenden Version nicht gibt, werden auf Default gesetzt.

Entspricht im Editor der Eigenschaft Runtime-Dateien erzeugen für, enthalten in der der Gruppe Allgemein.

RuntimeLasso=

Auswahl mehrerer Elemente zur Runtime.

  • 0: inaktiv
  • 1: aktiv
    Durch Bewegen der Maus mit gedrückter linker Maustaste können in der Runtime mehrere Elemente ausgewählt werden. Auf diese Elemente kann dann ein VBA-Makro zugreifen.

Default: 0

Entspricht im Editor der Eigenschaft Runtime Lasso in der Gruppe Interaktion.

SCREEN=

Auflösung des Runtime-Bildes am Bildschirm mit:

  • links
  • oben
  • rechts
  • unten

Jede Änderung bewirkt das Anpassen aller Schablonen, Bilder, Schriften usw.

Beispiel: SCREEN=0,0,1280,1024

Wird aus dem Dialog der Eigenschaft Bildschirmverwaltung (Registerkarte Allgemein, Option Bildschirmauflösung) in der Gruppe Grafische Ausprägung/Runtime allgemein übernommen.

CS_STEPNAME=

Anzeigeart des Aktionsnamens im Schaltfolge-Raster.

  • 1: Der benutzerdefinierte Aktionsname wird verwendet.
  • 0: Der Standardtext wird verwendet.

Default: 0

Entspricht im Editor der Eigenschaft Schrittname im Schaltfolge-Raster in der Gruppe Schaltfolgen.

UseGDILegacyDrawing=

Modus für die kompatible Darstellung von Elementen zur Runtime bei eingestellter Grafikqualität Windows Basis.

  • 0: Buttons und Vektor-Elemente werden unter Verwendung der neuen Zeichenroutinen dargestellt (entspricht der Darstellung im Editor).
  • 1: Buttons und Vektor-Elemente werden zur Runtime wie in Versionen < 7.60 dargestellt.

Default: 0

Für Projektsicherungen die aus Versionen < 7.60 rückgelesen werden, wird der Wert beim Rücklesen auf 1 gesetzt.

Weitere Informationen dazu finden Sie im Kapitel Zeichenverhalten von Buttons und Vektor-Elementen unter Windows Basis.

UseGDIplus=

Legt die verwendete Grafikqualität fest:

  • 0: Windows Basis. Grundlegende Grafikeigenschaften. Für ressourcenschwache Hardware empfohlen.
  • 4: DirectX Hardware. Grafikberechnung wird von der CPU erledigt und kann zu hoher CPU Auslastung führen.
  • 5: DirectX Software. Ein Teil der Grafikberechnungen wird auf die Grafikkarte ausgelagert. Unterstützt das System die Einstellung nicht, wird automatisch auf DirectX Software umgeschaltet.

Default: 4

Hinweise:

  • DirectX steht unter Windows CE nicht zur Verfügung und kann für OCX nicht verwendet werden.
  • Die Werte 1, 2 und 3 dürfen nicht verwendet werden.
  • Beim Umschalten des Modus während der Projektierung kann es zu geringfügigen Pixelabweichungen kommen. Die Eigenschaft sollte daher vor dem Erstellen von Bildern gesetzt werden.
  • Beim Aktivieren von Windows Basis werden für alle Linienarten, die eine Linienbreite [Pixel] >1 verwenden, sämtliche Linientypen wieder auf durchgehende Linie gesetzt.

Entspricht im Editor der Eigenschaft Grafikqualität in der Gruppe Grafikqualität/Bilder.

USEREVENTNEEDMODEL=
  • 0: Benutzerevents werden auch ohne Schicht am Tag ausgeführt.
  • 1: Benutzerevents werden nur mit Schicht am Tag ausgeführt.

WATCHFILES=

Legt fest, ob Runtime-Dateien indiziert werden.

  • 0: inaktiv
  • 1: aktiv

Default: 0

Bei aktiver Indexierung wird für den schnelleren Zugriff ein Ordner-Cache für die Runtime-Daten aktiviert.

Entspricht im Editor der Eigenschaft Runtime-Dateien indizieren in der Gruppe Runtime Einstellungen.


AML [ALARM]

Handbuch > Konfigurationsdateien > project.ini > AML [ALARM]

Eintrag

Beschreibung

[ALARM]

Einträge für die Alarmmeldeliste.

Diese Eigenschaften sollten in der Regel im Editor in den Projekteigenschaften der Gruppe Alarmmeldeliste parametriert werden.

AELTESTER=

Festlegung, welcher Alarm in der Alarmstatuszeile angezeigt wird. Abhängig von den Einstellungen für die Eigenschaft NACHSCHIEBEN= wird:

  • 1: Nur der älteste unquittierte Alarm wird in der Statuszeile in der Runtime angezeigt (NACHSCHIEBEN=0) oder der älteste Alarm wird zuerst angezeigt (NACHSCHIEBEN=1).
  • 0: Nur der jüngste unquittierte Alarm in der Statuszeile wird in der Runtime angezeigt (NACHSCHIEBEN=0) oder der jüngste Alarm wird zuerst angezeigt (NACHSCHIEBEN=1).

Entspricht im Editor der Eigenschaft Anzeige.

ALA_ANZ=

Breite der Spalte Text in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

ALARMLISTE=

Bestimmt die Reihenfolge der Alarmmeldelisteneinträge:

  • 0: eindeutiger Variablenname
  • 1: Kennung
  • 2: Alarmtext
  • 3: Zeitpunkt Alarm kommt
  • 4: Zeitpunkt Alarm geht
  • 5: Zeit der Quittierung

z.B: ALARMLISTE=13452
Kennung-kommt-geht-quittiert-Alarmtext

ALARM_STATE_BACK_COLOR=

Hintergrundfarbe der Alarmstatuszeile.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 255

Entspricht im Editor der Eigenschaft Hintergrundfarbe.

ALARM_STATE_BACK_COLOR1=

Hintergrundfarbe für Warnmeldung 1 (STACK_WARNING_COUNT0=).

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 16711680

Entspricht im Editor der Eigenschaft Meldung 1 Hintergrundfarbe.

ALARM_STATE_BACK_COLOR2=

Hintergrundfarbe für Warnmeldung 2 (STACK_WARNING_COUNT1=).

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 16711680

Entspricht im Editor der Eigenschaft Meldung 2 Hintergrundfarbe.

ALARM_STATE_BACK_COLOR3=

Hintergrundfarbe für Warnmeldung 3 (STACK_WARNING_COUNT0=).

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 16711680

Entspricht im Editor der Eigenschaft Meldung 3 Hintergrundfarbe.

ALARM_STATE_TEXT_COLOR=

Textfarbe der Alarmstatuszeile.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 0

Entspricht im Editor der Eigenschaft Textfarbe.

ALARM_STATE_TEXT_COLOR1=

Textfarbe für die Warnmeldung 1 (STACK_WARNING_TEXT0=).

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 16777215

Entspricht im Editor der Eigenschaft Meldung 1 Textfarbe.

ALARM_STATE_TEXT_COLOR2=

Textfarbe für die Warnmeldung 2 (STACK_WARNING_TEXT1=).

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 16777215

Entspricht im Editor der Eigenschaft Meldung 2 Textfarbe.

ALARM_STATE_TEXT_COLOR3=

Textfarbe für die Warnmeldung 3 (STACK_WARNING_TEXT2=).

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Default: 16777215

Entspricht im Editor der Eigenschaft Meldung 3 Textfarbe.

AREA=

Beschreibung der Spalte Alarmbereich.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

AREA_ANZ=

Breite der Spalte Alarmbereich in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

AREANR=

Beschreibung der Spalte Alarmbereich Nummer.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

AREANR_ANZ=

Breite der Spalte Alarmbereich Nummer in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

BEEP=

Ausgabe eines Signaltons beim Auftreten des ersten Alarms:

  • 1: Signalton wird ausgegeben. (Default)
  • 0: Es wird kein Ton ausgegeben.

BGCOLOR_COMES=

Hintergrundfarbe für Darstellung eines Eintrags in der Alarmmeldeliste zur Runtime für:

Alarm kommt

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Default: #FFFFFF

Entspricht im Editor der Eigenschaft Hintergrundfarbe.

BGCOLOR_GOES=

Hintergrundfarbe für Darstellung eines Eintrags in der Alarmmeldeliste zur Runtime für:

Alarm geht

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Default: #FFFFFF

Entspricht im Editor der Eigenschaft Hintergrundfarbe.

BGCOLOR_REACT=

Hintergrundfarbe für Darstellung eines Eintrags in der Alarmmeldeliste zur Runtime für:

Alarm reaktiviert

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Default: #FFFFFF

Entspricht im Editor der Eigenschaft Hintergrundfarbe.

COLOR_ACKN_COMES

Text-/Zustandsfarbe für Darstellung eines quittierten Alarmeintrags in der Alarmmeldeliste zur Runtime.

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und Alarm quittiert.

Default: #3D6894

Entspricht im Editor der Eigenschaft Text-/Zustandsfarbe - Kommt.

COLOR_ACKN_GOES

Text-/Zustandsfarbe für Darstellung eines quittierten Alarmeintrags in der Alarmmeldeliste zur Runtime.

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und Alarm quittiert.

Default: #3D6894

Entspricht im Editor der Eigenschaft Text-/Zustandsfarbe - Geht.

COLOR_ACKN_REACT

Text-/Zustandsfarbe für Darstellung eines quittierten Alarmeintrags in der Alarmmeldeliste zur Runtime.

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und Alarm quittiert.

Default: #3D6894

Entspricht im Editor der Eigenschaft Text-/Zustandsfarbe - Reaktiviert.

BGCOLOR_ACKN_COMES

Hintergrundfarbe für Darstellung eines Eintrags in der Alarmmeldeliste zur Runtime für:

Alarm quittiert - Kommt

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Default: #FFFFFF

Entspricht im Editor der Eigenschaft Hintergrundfarbe - Kommt.

BGCOLOR_ACKN_GOES

Hintergrundfarbe für Darstellung eines Eintrags in der Alarmmeldeliste zur Runtime für:

Alarm quittiert - Geht

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Default: #FFFFFF

Entspricht im Editor der Eigenschaft Hintergrundfarbe - Geht.

BGCOLOR_ACKN_REACT

Hintergrundfarbe für Darstellung eines Eintrags in der Alarmmeldeliste zur Runtime für:

Alarm quittiert - Reaktiviert

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Default: #FFFFFF

Entspricht im Editor der Eigenschaft Hintergrundfarbe - Reaktiviert.

LINE_BACKGROUNDCOLOR

Benutzt Farbe des Alarmstatus als Hintergrundfarbe für die Darstellung des Eintrags in der Alarmmeldeliste zur Runtime:

  • aktiv: Farbe des Alarmstatus wird zur Runtime als Hintergrundfarbe verwendet
  • inaktiv: Keine Verwendung der Farbe des Alarmstatus zur Runtime

Default: inaktiv

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Entspricht im Editor der Eigenschaft Zeilenhintergrund aus Alarmzustand.

LINE_STATE_TEXTCOLOR

Benutzt Farbe des Alarmstatus als Textfarbe für die Darstellung des Eintrags in der Alarmmeldeliste zur Runtime:

  • Zeitspalten: gewählte Farbe wird nur bei Zeitspalten angewandt
  • Ganze Zeile: gewählte Farbe gilt für ganze Zeile

Default: Zeitspalten

Konfiguration im Editor in den Projekteigenschaften unter Alarmmeldeliste und dem entsprechenden Eigenschaftseintrag.

Entspricht im Editor der Eigenschaft Zustandstextfarbe anwenden auf.

CLASS_ANZ=

Breite der Spalte Alarm/Ereignis-Klasse in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

CLASSSYMBOL_ANZ=

Breite der Spalte Alarm/Ereignis-Klasse Symbol in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

COLOR_ACKN_MARKER = xxx

Bei unquittierten Alarmen blinken zwei Rechtecke in der Farbe xxx. Nach Quittierung gehen diese in Dauerlicht über.

xxx wird wie folgt berechnet: Rotanteil (0-255) + 256 * Grünanteil (0-255) + 65536*Blauanteil(0-255)

Entspricht im Editor der Eigenschaft Unquittierte Alarme blinken.

COLOR_BACKGROUND=

Verwendung der Farbe aus Alarmklasse:

  • 1: Klassenfarbe wird als Hintergrundfarbe interpretiert
  • 0: Klassenfarbe bestimmt die Textfarbe

Default: 0

Ist keine Klasse mit dem Grenzwert verknüpft, wird die Hintergrundfarbe oder die Textfarbe aus den Einstellungen des Listenelements im Bild verwendet.

Wird gemeinsam mit der Eigenschaft COLOR_CLASS= verwendet.

Entspricht im Editor der Eigenschaft Alarm/Ereignis-Klassen Farbe.

COLOR_CLASS=

Alarm/Ereignis-Klassen Farbe wird:

  • 1: verwendet
  • 0: nicht verwendet

Default: 1

Wird gemeinsam mit der Eigenschaft COLOR_BACKGROUND= verwendet.

Entspricht im Editor der Eigenschaft Alarm/Ereignis-Klassen Farbe.

COMES_ANZ=

Breite der Spalte Zeit kommt in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

COMPUTER_ANZ=

Breite der Spalte Computername in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

DELETE_IN_CEL=

Eintrag beim Löschen von löschpflichtigen Alarm in die CEL:

  • 1: Wird ein löschpflichtiger Alarm gelöscht, erfolgt ein Eintrag in die Chronologische Ereignisliste (CEL).
  • 0: Beim Löschen von Alarmen erfolgt kein Eintrag in die CEL.

Default: 0

Entspricht im Editor der Eigenschaft Alarmquittierung bestätigt in der Gruppe Chronologische Ereignisliste.

DYN_LIMIT_FILE=

Verwendung des Kommentarfeldes für dynamische Grenzwerttexte:

  • 0: Das Kommentarfeld wird nur für die dynamischen Grenzwerttexte genutzt und ist für Kommentare gesperrt.
    Maximale Länge: 80 Zeichen.
  • 1: Kommentare und dynamische Grenzwerttexte sind erlaubt. Dynamische Inhalte werden in einer Datei mit der Namenskonvention D*.AML abgelegt. Diese wird zusätzlich zur Datei A*.AML angelegt. Das Kommentarfeld kann damit für Kommentare benutzt werden.
    Maximale Länge für dynamische Grenzwerttexte 254 Zeichen.

Default: 0

Entspricht der Eigenschaft Lange dynamische Grenzwerttexte AML in der Gruppe Alarmmeldeliste.

EIN=

Alarmverarbeitung ist beim Programmstart:

  • 1: aktiv
  • 0: inaktiv

Default: 1

Entspricht der Eigenschaft Alarmmeldeliste aktiv in der Gruppe Alarmmeldeliste.

FARBE_DEL=

Textfarbe für Alarm gelöscht in der Alarmmeldeliste.

Entspricht im Editor der Eigenschaft Farbe in der Gruppe Alarmquittierung bestätigt.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

FARBE_GEHT=

Textfarbe für Alarm geht in der Alarmmeldeliste.

Entspricht im Editor der Eigenschaft Text-/Zustandsfarbe im Abschnitt Alarm geht in den Projekteigenschaften.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

FARBE_KOMMT=

Textfarbe für Alarm kommt in der Alarmmeldeliste. Entspricht im Editor der Eigenschaft Text-/Zustandsfarbe im Abschnitt Alarm kommt in den Projekteigenschaften.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

FARBE_QUIT=

Textfarbe für Alarm quittiert in der Alarmmeldeliste.

Entspricht im Editor der Eigenschaft Farbe im Abschnitt Alarm quittiert in den Projekteigenschaften.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

GOES_ANZ=

Breite der Spalte Zeit geht in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

GRID_LINES=

Darstellung der Spalten und Zeilen in der Alarmmeldeliste mit Gitterlinien:

  • 0: ein
  • 1: aus

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

GROUP_ANZ=

Breite der Spalte Alarm/Ereignis-Gruppe in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

GROUPSYMBOL_ANZ=

Breite der Spalte Alarm/Ereignis-Gruppe Symbol in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

HEADER=

Anzeige einer Spaltenüberschrift in der Alarmmeldeliste.

  • 1: Spaltenüberschrift wird angezeigt.
  • 0: Spaltenüberschrift wird nicht angezeigt.

Wird gemeinsam mit der Einstellung HEADER_ENABLE= verwendet.

Entspricht im Editor der Eigenschaft Kopfzeile AML .

HEADER_ENABLE=

Verwendung der Spaltenüberschrift:

  • 1: Spaltenüberschrift kann bedient werden. (Default.)
  • 0: Spaltenüberschrift wird nur zur Anzeige verwendet (fixiert).

Wird gemeinsam mit der Einstellung HEADER= verwendet.

Entspricht im Editor der Eigenschaft Kopfzeile AML .

IMAGE_DEL=

Grafikdatei für Status Alarm gelöscht.

Entspricht im Editor der Eigenschaft Grafikdatei für Alarmzustand in der Gruppe Alarmquittierung bestätigt.

IMAGE_GEHT=

Grafikdatei für Status Alarm geht.

Entspricht im Editor der Eigenschaft Grafikdatei für Alarmzustand in der Gruppe Alarm geht.

IMAGE_KOMMT=

Grafikdatei für Status Alarm kommt.

Entspricht im Editor der Eigenschaft Grafikdatei für Alarmzustand in der Gruppe Alarm kommt.

IMAGE_QUIT=

Grafikdatei für Status Alarm quittiert.

Entspricht im Editor der Eigenschaft Grafikdatei für Alarmzustand in der Gruppe Alarm quittiert.

LINE_BLINK_UNACK=

Verhalten von Nicht ausgewählte Zeilen mit unquittierte Alarmen:

  • 1: Nicht ausgewählte Zeilen mit unquittierten Alarmen blinken in der Alarmmeldeliste.
  • 0: Kein Blinken-

Default: 0

Entspricht im Editor der Eigenschaft Unquittierte Alarme blinken.

MILLISEK=

Anzeige der Millisekunden bei Kommt-Zeit:

  • 0: Millisekunden werden weder angezeigt noch ausgedruckt
  • 1: Millisekunden werden mit angezeigt

Default: 0

NACHSCHIEBEN=

Nachschieben von Alarmen in die Alarmstatuszeile:

  • 1: Alle unquittierten Alarme werden zur Runtime in der Statuszeile hintereinander angezeigt. Sobald ein Alarm durch einen Doppelklick mit der rechten Maustaste quittiert wurde, wird der nächste Alarm angezeigt.
    Abhängig von der Einstellung in der Eigenschaft AELTESTER= wird der älteste oder der neueste Alarm zuerst angezeigt.
  • 0: In der Statuszeile wird immer nur ein Alarm angezeigt. Die Statuszeile ist leer, nachdem der Alarm quittiert wurde. Erst der nächste auftretende Alarm blendet die Alarmstatuszeile wieder ein.

Entspricht im Editor der Eigenschaft nächsten nachschieben.

PREF_COMES=

Präfix für Alarm kommt.
Default: TEXT=>>

Entspricht im Editor der Eigenschaft Präfix in der Gruppe Alarm kommt.

PREF_GOES=

Präfix für Alarm geht
Default: TEXT=<<

Entspricht im Editor der Eigenschaft Präfix in der Gruppe Alarm geht.

PREF_IMAGE_COMES=

Grafikdatei für Präfix Alarm kommt.

Entspricht im Editor der Eigenschaft Grafikdatei Präfix in der Gruppe Alarm kommt.

PREF_IMAGE_GOES=

Grafikdatei für Präfix Alarm geht.

Entspricht im Editor der Eigenschaft Grafikdatei Präfix in der Gruppe Alarm geht.

PREF_IMAGE_QUIT=

Grafikdatei für Präfix Alarm quittiert.

Entspricht im Editor der Eigenschaft Grafikdatei Präfix in der Gruppe Alarm quittiert.

PREF_QUIT=

Präfix für Alarm quittiert.
Default: TEXT=--

Entspricht im Editor der Eigenschaft Präfix in der Gruppe Alarm quittiert.

QUIT_ANZ=

Breite der Spalte Zeit quittiert in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

QUIT_IN_CEL=

Aufnahme des Quittierens eines Alarms in die Chronologische Ereignisliste:

  • 0: wird aufgenommen
  • 1: wird nicht aufgenommen

Default: 0

Entspricht der Eigenschaft Alarm-Quittierung in der Gruppe Protokollierung in den Projekteigenschaften für Chronologische Ereignisliste.

REACT_TIME_ANZ=

Breite der Spalte Reaktivierte Zeit in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

REACT_COUNT_ANZ=

Breite der Spalte Reaktiviert Anzahl in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

REACT_STAT_ANZ=

Breite der Spalte Reaktiviert Variablenstatus in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

RESOURCELABEL=

Beschreibung der Spalte für die Betriebsmittelkennung.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

RESOURCELABEL_ANZ=

Breite der Spalte für die Betriebsmittelkennung in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

RTEXT_ANZ=

Breite der Spalte Reaktionstext in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

SAVE_BIN_ALWAYS=

Einstellung, ob jede Änderung der Daten der Alarmmeldeliste auch das Speichern der Daten in die alarm.bin bewirkt:

  • 1: Speicherung aktiv
  • 0: Speicherung inaktiv

Default: 0

Entspricht im Editor der Eigenschaft Ringpuffer bei Wertänderung speichern .

Hinweis: Wird die Eigenschaft auf aktiv gesetzt, kann das - vor allem bei Flash Disks - zu erheblicher Systembelastung führen. Wird die Eigenschaft auf inaktiv gesetzt, kann es bei einem unerwarteten Beenden der Runtime zu Datenverlust kommen. Inaktiv empfiehlt sich vor allem bei niedriger Performance.

SAVE_ONLY_STACK=

Datenhaltung für Alarme:

  • 0: Alle Daten werden gespeichert.
  • 1: Nur anstehende Alarme (alarm.bin) werden auf der Festplatte gespeichert.
  • 2: Auf CE-Geräten wird nur der Ringpuffer (alarm.bin) auf die Festplatte gespeichert; auf PCs werden auch die historischen Einträge (*.aml) gespeichert.

Default: 2

Entspricht im Editor der Eigenschaft AML-Daten speichern.

STACK_SIZE=

Maximale Anzahl der Einträge für den Ringpuffer.

Minimum: 1
Maximum: 32767
Default: 100

Empfohlen: Mindestens Anzahl der Variablen mit Alarmen.

Achtung: Der Ringpuffer muss immer ausreichend dimensioniert werden. Zur Runtime wird der Ringpuffer im Arbeitsspeicher dynamisch gehandhabt. Es werden also auch Alarme angezeigt, die die Größe des Ringpuffers übersteigen. In der Speicherdatei des Ringpuffers (alarm.bin) werden aber nur Alarme bis zur festgelegten Anzahl gespeichert. Alle Einträge werden parallel in die Alarmdatei (*.aml) im Runtime-Ordner eingetragen. Beide Dateien werden synchronisiert. Bei Pufferüberlauf können in der Alarmdatei unquittierte Einträge enthalten sein.

Entspricht im Editor der Eigenschaft Größe des Ringpuffers.

STACK_WARNING_COUNT0=

Anzahl der Einträge in der AML, die nötig sind, damit die Meldung 1 zur Runtime in der Warnzeile angezeigt wird.

Achtung: Der Wert muss kleiner sein als der Wert in Eigenschaft STACK_WARNING_COUNT1=.

Entspricht im Editor der Eigenschaft Meldung 1 Alarmanzahl.

STACK_WARNING_COUNT1=

Anzahl der Einträge in der AML, die nötig sind, damit die Meldung 2 zur Runtime in der Warnzeile angezeigt wird.

Achtung: Der Wert muss kleiner sein als der Wert in Eigenschaft STACK_WARNING_COUNT2=.

Entspricht im Editor der Eigenschaft Meldung 2 Alarmanzahl.

STACK_WARNING_COUNT2=

Anzahl der Einträge in der AML, die nötig sind, damit die Meldung 3 zur Runtime in der Warnzeile angezeigt wird.

Achtung: Der Wert muss kleiner sein als der Wert in Eigenschaft STACK_SIZE=.

Entspricht im Editor der Eigenschaft Meldung 3 Alarmanzahl.

STACK_WARNING_TEXT0=

Text der Meldung 1, der zur Runtime in der Warnzeile angezeigt werden soll. Diese Meldung überlagert die Alarmstatuszeile.

Entspricht im Editor der Eigenschaft Meldung 1 Text.

STACK_WARNING_TEXT1=

Text der Meldung 2, der zur Runtime in der Warnzeile angezeigt werden soll. Diese Meldung überlagert die Alarmstatuszeile.

Entspricht im Editor der Eigenschaft Meldung 2 Text.

STACK_WARNING_TEXT2=

Text der Meldung 3, der zur Runtime in der Warnzeile angezeigt werden soll. Diese Meldung überlagert die Alarmstatuszeile.

Entspricht im Editor der Eigenschaft Meldung 3 Text.

STAT_ANZ=

Breite der Spalte Variablenstatus in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

STATUS=

Anzeige der Alarmstatuszeile.

  • 1: Alarmstatuszeile wird angezeigt.
  • 0: Alarmstatuszeile wird nicht angezeigt.

Default: 1

Entspricht der Eigenschaft Statuszeile aktiv in der Gruppe Alarmstatuszeile.

Achtung Mehrprojektverwaltung: Einstellung im Integrationsprojekt definiert Verhalten für Unterprojekte, unabhängig von der Einstellung der Unterprojekte. Zur Runtime wird immer die Alarmstatuszeile des obersten Projekts verwendet.

STATUS_SCHRIFT=

Index der ausgewählten Schrift für den Text in der Statuszeile.

  • 0: Standardschrift (Default)

Entspricht im Editor der Eigenschaft Schrift.

TAG_ANZ=

Breite der Spalte Kennung in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TEXTLIST_ENDNODE_SEL=

Definiert, ob in der Runtime Texte aus allen Ebenen oder nur Texte aus Endknoten als Alarmursachen gewählt werden können.

  • 1: Es können nur Texte aus Endknoten als Alarmursachen gewählt werden.
  • 0: Texte aus allen Ebenen können als Alarmursachen gewählt werden.

Default: 0

TIME_LASTING_ANZ=

Breite der Spalte Zeit angestanden in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_ACT_TEXT=

Beschreibung der Spalte Kommentar.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_CLASS=

Beschreibung der Spalte Alarm/Ereignis-Klasse.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_CLASSNR=

Beschreibung der Spalte Alarm/Ereignis-Klasse Nummer.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_CLASSSYMBOL=

Beschreibung der Spalte Alarm/Ereignis-Klasse Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_CLASSSYMBOL_STYLE=

Anzeigeart der Spalte Alarm/Ereignis-Klasse Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_COMES=

Beschreibung der Spalte Zeit kommt.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_COMP=

Beschreibung der Spalte Computername.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_GOES=

Beschreibung der Spalte Zeit geht.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_GROUP=

Beschreibung der Spalte Alarm/Ereignis-Gruppe.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_GROUPNR=

Beschreibung der Spalte Alarm/Ereignis-Gruppe Nummer.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_GROUPSYMBOL=

Beschreibung der Spalte Alarm/Ereignis-Gruppe Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_GROUPSYMBOL_STYLE=

Anzeigeart der Spalte Alarm/Ereignis-Gruppe Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_NAME=

Beschreibung der Spalte Variablenname.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_PROJECT=

Beschreibung der Spalte Projektname.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_QUIT=

Beschreibung der Spalte Zeit quittiert.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_REACT_TIME=

Beschreibung der Spalte Reaktiviert Zeit.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_REACT_COUNT=

Beschreibung der Spalte Reaktiviert Anzahl.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_REACT_STAT=

Beschreibung der Spalte Reaktiviert Variablenstatus.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_STATUS=

Beschreibung der Spalte Variablenstatus.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_STATUSCAPTION=

Beschreibung der Spalte Alarmzustand.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_STATUSCAPTION_STYLE=

Anzeigeart der Spalte Alarmzustand.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_TAGNR=

Beschreibung der Spalte Kennung.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_TEXT=

Beschreibung der Spalte Text.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_TIME_LASTING=

Beschreibung der Spalte Zeit angestanden.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_VALUE=

Beschreibung der Spalte Wert.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_USER=

Beschreibung der Spalte Benutzername.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

TITLE_USERNAME=

Beschreibung der Spalte Benutzer vollständiger Name.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

UNIT=

Breite der Spalte Maßeinheit in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

USER_ANZ=

Breite der Spalte Benutzernamen in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

VAR_ANZ=

Breite der Spalte Variablennamen in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.

ZEIT_TYP=

Definition des Formats, in dem die Zeit ausgegeben werden soll:

  • 1: nur Millisekunden
  • 2: nur Zeit
  • 3: Zeit und Millisekunden
  • 4: nur Datum
  • 5: Datum und Millisekunden
  • 6: Datum und Zeit
  • 7: Datum und Zeit und Millisekunden

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.


Archivserver [ARCHIV]

Handbuch > Konfigurationsdateien > project.ini > Archivserver [ARCHIV]

Eintrag

Funktion

[ARCHIV]

Eigenschaften für Archive.

Empfehlung: Konfiguration über den Dialog zur Archiv-Nachbearbeitung im Editor.

ARCHDIGITS=

Anzahl der Nachkommastellen beim Export von Archiven im Format TXT, XML und DBF.
Default: ARCHDIGITS=1

CLIENTS_LOAD_LOCAL=

Laden der Archivdateien:

  • 1: Archivdateien werden am Client lokal gelesen und nicht vom Server geholt. Dies funktioniert nicht mit Chargenauswahl. Nur für das Archivformat *.arx und SQL-Auslagerung.
  • 0: Archivdateien werden vom Server geholt.

Achtung: Das Setzen dieses Eintrags führt nicht dazu, dass die von der Runtime erzeugten Daten mit dem zenon Client synchronisiert werden. Die Archivdateien müssen manuell auf den Client kopiert werden.

CLOSEDELAY=

Zeit die nach einer RDA-Abtastung gewartet wird, bis die ARV- oder ARX-Datei geschlossen wird. Tritt innerhalb dieser Wartezeit eine weitere Abtastung auf, dann werden die Daten in die gleiche Datei geschrieben.

Default: CLOSEDELAY=5

CRATE_BLOCKSIZE=

Definiert die Anzahl von Rows beim Einfügen von Werten. Es muss die Anzahl der ROWS pro INSERT angegeben werden.

Default: 10000

Hinweis: Kann nur für Crate.IO Datenbanken verwendet werden. Weitere Informationen finden Sie im Handbuch Archivserver, im Kapitel CRATE.IO.

EVAC_ERR_PERIOD=

Im Fehlerfall wird im eingestellten Zeitraum ein Eintrag in der CEL erstellt. Dieser Zeitraum ist in Stundenschritten einstellbar.

Kann eine ARV- oder ARX-Datei nicht gelesen werden, wird diese in AR_ umbenannt und dann mit der nächsten Datei weiter verfahren.

Default: EVAC_ERR_PERIOD=12

EXPORTFORMAT=

Exportformat mit:

  • Datum
  • Zeit
  • Variable (TTA)
  • Wert
  • Status

EXPORTFORMAT=DZVWS

MIN_MAX_ENDE_ZEIT=

Wahl der Zeitangabe:

  • 1: Zeitpunkt des Auftretens des Minimal- oder Maximalwerts
  • 0: Zeitpunkt des Archivendes

NUR_HANDWERT=

Für hier angeführte Archive werden für die Berechnung der Verdichtungsarchive nur Handwerte benutzt. Eingabe der Kurzbezeichnungen, getrennt durch Leerzeichen.

NUR_HANDWERT=X1 X2

SPEICHER=

Maximale Anzahl der in den Speicher zu lesenden Werte für:

  • Erweiterter Trend
  • Archiv-Nachbearbeitung
  • AML
  • CEL
  • Tabellen

Angabe in Kilobyte (z. B. 2000000 für 2 GB).

Default: 1000000 (=1 GB)

Achtung: Bei Archivdaten werden immer alle Werte aller Variablen eingelesen, auch wenn nur eine Variable angezeigt wird.

Hinweis: Vor dem Einlesen von Archivdateien (*.arx) wird der zur Verfügung stehende Platz überprüft. Wird mehr als die hier definierte Größe benötigt, wird das Einlesen abgebrochen und eine Fehlermeldung in das Protokoll des Diagnosis Viewer s geschrieben.

SQL_MAXROWS=

Maximale Anzahl der aus der SQL-Datenbank zu lesenden Werte (bei Archivauslagerung in SQL).

Maximum: 4.294.967.295

Hinweis: Es wird zusätzlich automatisch überprüft, dass mindestens 10 % Speicher frei sind.

STATUSSPERRBIT=

Definiert das Bit im Status, das als Archivsperre benutzt wird. Alle Werte, die dieses Bit im Status gesetzt haben, werden von der Archivierung durch den Ersatzwert mit INVALID ersetzt.

Zulässige Werte:

  • 0 bis 31
  • -1: inaktiv

Default: 0

TRENNZEICHEN=

Trennungszeichen für Export in ASCII-Dateien zwischen den Feldern.

Beispiel: TRENNZEICHEN=;

ZEIT_AUTOMATISCH=

Automatische Zeitkorrektur:

  • 1: Für die Verdichtungsarchive wird eine automatische Zeitkorrektur um -1 Sekunde durchgeführt. Damit kann z.B ein Zeitstempel von 00:00 (24:00) Uhr auf den vorangegangenen Tag um 23:59 gesetzt werden.
  • 0: keine Korrektur.


Automatic Line Coloring [ALC] und [ALC_TOP]

Handbuch > Konfigurationsdateien > project.ini > Automatic Line Coloring [ALC] und [ALC_TOP]

[ALC]

Eintrag

Beschreibung

[ALC]

Eigenschaften im Knoten Automatic Line Coloring der Projekteigenschaften.

GROUNDFAULTMODE=

Legt fest, ob bei der Erdschlusssuche der potenziell erdschlussbehaftete Netzteil eingefärbt wird oder das gesamte Netz, in dem sich ein Erdschluss befindet:

  • 0: Netzteil einfärben
  • 1: Ganzes Netz einfärben.

Entspricht im Editor der Eigenschaft Modus der Erdschlusssuche.

MARKER_BACKGROUNDx=

Hintergrundfarbe des Markers. x steht für die Nummer des Markers, beginnend bei 0.

Beispiel: MARKER_BACKGROUND3=2124031.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

MARKER_CNT=

Anzahl der konfigurierten Bildmarker.

Dieser Wert wird vom Editor gesetzt.

MARKER_COLOURx=

Linienfarbe des Markers. x steht für die Nummer des Markers, beginnend bei 0.

Beispiel: MARKER_COLOUR3=255.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

MARKERLINE=

Linienbreite für Bildmarker in Pixel.

Entspricht im Editor der Eigenschaft Linienbreite der Bildmarker.

MARKERSIZE=

Größe der Bildmarker in Pixel.

Entspricht im Editor der Eigenschaft Größe der Bildmarker.

MARKERTYPE=

Darstellungsformen der Bildmarker:

  • 0: Dreieck
  • 1: Kreis
  • 2: Quadrat
  • 3: Kreuz

Entspricht im Editor der Eigenschaft Darstellungstyp der Bildmarker.

MAXOVERLOAD=

Maximal zulässige Stromüberlastung in Prozent.

Beispiel: MAXOVERLOAD=1.000000.

Entspricht im Editor der Eigenschaft Max. zulässige Stromüberlastung [%].

SEARCHMODE=

Legt den Modus der Einfärbung für den Zustand UNDEFINED fest:

  • 0: Standard.
    Die Quellenfarbe wird ausgehend von jeder eingeschalteten Quelle im Netz verteilt, solange der nächste Schalter geschlossen ist.
  • 1: Versorgung vorrangig.
    Färbt nur Leitungen ein, die von zumindest einer Quelle potenziell versorgt sind, aber von keiner Quelle eindeutig.

Entspricht im Editor der Eigenschaft Modus der Einfärbung.

SOURCE_BACKGROUNDx=

Hintergrundfarbe der Quelle. Diese wird als Hintergrundfarbe bei Rohrleitungen und verfahrenstechnischen Elementen (Combi-Element) verwendet. x steht für die Nummer der Quelle, beginnend bei 0. Diese Nummer darf nicht mit der Eigenschaft SOURCE_PRIORITYx= verwechselt werden.

Beispiel: SOURCE_BACKGROUND3=2124031.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

SOURCE_CNT=

Anzahl der konfigurierten Quellen.

Dieser Wert wird vom Editor gesetzt.

SOURCE_COLOURx=

Linienfarbe der Quelle. Diese wird für das Zeichnen von Linien, Polylinien sowie als äußere Farbe für Rohrleitungen verwendet. x steht für die Nummer des Markers, beginnend bei 0. Diese Nummer darf nicht mit der Eigenschaft SOURCE_PRIORITYx= verwechselt werden.

Beispiel: SOURCE_COLOUR3=255.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

SOURCE_DRAWSTYLEx=

Typ der Darstellung für geerdete Quellen.

  • 0: inaktiv:
    Linie für geerdete Quelle wird zur Runtime normal dargestelllt.
  • 1: aktiv:
    Linie für geerdete Quelle wird zur Runtime gestrichelt dargestellt.

Beispiel: SOURCE_DRAWSTYLE3=1

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

SOURCE_NAME0=

Name der Quelle. Diese Bezeichnung wird auch bei der Auswahl der Quelle bei Combi-Elementen verwendet. x steht für die Nummer der Quelle, beginnend bei 0.

Beispiel: SOURCE_NAME3=GROUNDED

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

SOURCE_PRIORITYx=

Priorität bei der Abarbeitung. Diese Nummer wird vom System automatisch vergeben, und darf nicht geändert werden.

Beispiel: SOURCE_PRIORITY0=3
Die Quelle 0 hat Priorität 3 und wird an dritter Stelle der Liste angezeigt und abgearbeitet.

SOURCE_VOLTAGEx=

Nennspannung der Quelle in Kilovolt.
Diese Option steht nicht für Systemquellen zur Verfügung.
In dieser INI-Datei wird der Wert der Nennspannung ganzzahlig in Millivolt eingetragen.

Beispiele:

  • SOURCE_VOLTAGE10=300000000
    Diese Quelle hat eine projektierte Nennspannung von 300 kV
  • SOURCE_VOLTAGE10=10200000
    projektierte Nennspannung von 10,2 kV

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

[ALC_TOP]

Eintrag

Beschreibung

[ALC_TOP]

Eigenschaften der Verriegelung.

Empfehlung: Konfiguration über den Dialog der Eigenschaft ALC Konfiguration.

INTER_CNT=5

Anzahl der konfigurierten Verriegelungen.

Dieser Wert wird vom Editor gesetzt.

INTER_NOx=

Typ der Verriegelung. x steht für die Nummer des Eintrags, beginnend bei 0. Die Typ wird durch Nummern definiert:

  • 900: Spannung gegen Erde
  • 903: Schalthandlung in Gebiet mit undefiniertem Zustand
  • 905: Trenner unter Last
  • 906: Verbraucher würde nicht mehr versorgt werden
  • 907: Bereich mit undefiniertem Zustand würde größer werden

Beispiel: INTER_NO0=900

INTER_MODEx=

Status der Verriegelung. x steht für die Nummer des Eintrags, beginnend bei 0. Mögliche Status:

  • 0: nicht prüfen
  • 1: entriegelbar
  • 2: nicht entriegelbar

Beispiel: INTER_MODE0=1


Bild-Elemente [ELEMENTE]

Handbuch > Konfigurationsdateien > project.ini > Bild-Elemente [ELEMENTE]

Eintrag

Beschreibung

[ELEMENTE]

TREND_ZEIT_FAKTOR=

Multiplikationsfaktor für Zeitabstände beim Zeichnen im Trend-Element.

Eine Trendkurve wird nur gezeichnet, wenn der Abstand zwischen zwei aufgezeichneten Werten das x-Fache der nötigen Update-Rate beträgt

  • 0: Es wird keine Überprüfung durchgeführt.

Maximum: 65535

Default: 20


CEL [BTB]

Handbuch > Konfigurationsdateien > project.ini > CEL [BTB]

Eintrag

Beschreibung

[BTB]

Einträge für die Chronologische Ereignisliste (CEL).

Diese Eigenschaften sollten in der Regel im Editor in den Projekteigenschaften der Gruppe Chronologische Ereignisliste parametriert werden.

ARCHIV_WRITE=

Einstellung, ob bei Änderungen von Archivdaten ein CEL-Eintrag generiert werden soll:

  • 0: Das Editieren von Archiven wird in der CEL nicht mitprotokolliert.
  • 1: Beim Editieren von Archiven wird in der CEL protokolliert:
    • Name der Archivdatei
    • neuer und alter Wert der Variablen
    • neuer und alter Zeitstempel der Variablen
    • Name der Variable

Entspricht im Editor der Eigenschaft Archivdaten.

AREA=

Beschreibung der Spalte Alarmbereich.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

AREA_ANZ=

Breite der Spalte Alarmbereich in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

AREANR=

Beschreibung der Spalte Alarmbereich Nummer.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

AREANR_ANZ=

Breite der Spalte Alarmbereich Nummer in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

BTBLISTE=

Gewünschte Einträge und deren Reihenfolge in der Liste:

  • 0: Variablenname
  • 1: Kennung
  • 2: Text
  • 3: Zeit des Auftretens
  • 6: Statusinformation
  • 7: Wert
  • 8: Anwender ausgeben

Beispiel: BTBLISTE=320

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

CLASS_ANZ=

Breite der Spalte Alarm/Ereignis-Klasse in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

COLOR_BACKGROUND=

Verwendung der Farbe aus Alarmklasse:

  • 1: Klassenfarbe wird als Hintergrundfarbe interpretiert
  • 0: Klassenfarbe bestimmt die Textfarbe

Default: 0

Ist keine Klasse mit dem Grenzwert verknüpft, wird die Hintergrundfarbe oder die Textfarbe aus den Einstellungen des Listenelements im Bild verwendet.

Wird gemeinsam mit der Eigenschaft COLOR_CLASS= verwendet.

Entspricht im Editor der Eigenschaft Alarm/Ereignis-Klassen Farbe.

COLOR_CLASS=

Alarm/Ereignis-Klassen Farbe wird:

  • 1: verwendet
  • 0: nicht verwendet

Default: 1

Wird gemeinsam mit der Eigenschaft COLOR_BACKGROUND= verwendet.

Entspricht im Editor der Eigenschaft Alarm/Ereignis-Klassen Farbe.

COMPUTER_ANZ=

Breite der Spalte Computername in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

DRUCKE_SYSMLDG=

Einstellung für den Ausdruck von Systemmeldungen beim Online-Ausdruck::

  • 0: nur Ausgabe in Liste
  • 1: Ausdruck erfolgt

Default: 1

Entspricht im Editor der Eigenschaft Systemmeldungen drucken.

DYN_LIMIT_FILE=

Verwendung des Kommentarfeldes für dynamische Grenzwerttexte:

  • 0: Das Kommentarfeld wird für die dynamischen Grenzwerttexte genutzt und ist für Kommentare gesperrt.
    Maximale Länge: 80 Zeichen.
  • 1: Dynamische Inhalte werden in einer Datei mit der Namenskonvention D*.CEL gespeichert. Diese wird zusätzlich zur Datei C*.CEL angelegt. Das Kommentarfeld kann damit für Kommentare benutzt werden.
    Maximale Länge für dynamische Grenzwerttexte: 254 Zeichen.

Default: 0

Entspricht im Editor der Eigenschaft Lange dynamische Grenzwerttexte CEL.

EIN=

Die Chronologische Ereignisliste wird benutzt.

  • 1: Die Chronologische Ereignisliste (CEL) ist in der Runtime aktiv. Ereignisse werden aufgezeichnet und die CEL ist verfügbar.
  • 0: Keine Ereignisse werden aufgezeichnet.

Default: 1

Hinweis: Änderungen werden erst nach einem Neustart der Runtime wirksam.

Entspricht im Editor der Eigenschaft CEL aktiv.

FARBE_SORT=

Definiert Farbe des Textes für sortierte Einträge in der CEL.

Hinweise:

  • Wird für die Eigenschaft COLOR_BACKGROUND=1 gewählt, dann hat diese Farbe Vorrang vor der Auswahl in FARBE_SORT.
  • Für SICAM 230: Um in der Liste durchgehend die gleiche Farbe zu erhalten, muss für die Eigenschaft FARBE_UNSORT= die gleiche Farbe gewählt werden.

Entspricht im Editor der Eigenschaft sortierter Text.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

FARBE_UNSORT=

Definiert Farbe des Textes für unsortierte Einträge in der CEL.

Entspricht im Editor der Eigenschaft unsortierter Text.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

FIRST_ENTRY=

Anzuzeigende Einträge beim Aufschalten der CEL.

  • 0: Beim Start der Runtime werden keine bestehenden Grenzwerteinträge eingelesen. Erst wenn nach dem Start neue Ereignisse auftreten, erfolgen neue Einträge.
  • 1: Auch beim Start bereits bestehende Grenzwertverletzungen werden eingetragen.

GRID_LINES=

Darstellung der Spalten und Zeilen in der Alarmmeldeliste mit Gitterlinien:

  • 0: ein
  • 1: aus

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

GROUP_ANZ=

Breite der Spalte Alarm/Ereignis-Gruppe in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

HEADER=

Anzeige einer Spaltenüberschrift in der Liste.

Anzeige einer Spaltenüberschrift in der CEL.

  • 1: Spaltenüberschrift wird angezeigt.
  • 0: Spaltenüberschrift wird nicht angezeigt.

Wird gemeinsam mit der Einstellung HEADER_ENABLE= verwendet.

Entspricht im Editor der Eigenschaft Kopfzeile CEL.

HEADER_ENABLE=

Verwendung der Spaltenüberschrift:

  • 1: Spaltenüberschrift kann bedient werden.
  • 0: Spaltenüberschrift wird nur zur Anzeige verwendet (fixiert).

Wird gemeinsam mit der Einstellung HEADER= verwendet.

Entspricht im Editor der Eigenschaft Kopfzeile CEL.

MAXTEXTLEN=

Legt fest, aus wie vielen Zeichen der statische Grenzwerttext in der CEL maximal bestehen darf. Die Minimal- und Maximalwerte gelten auch für VBA/VSTA.

  • Minimum: 127
  • Maximum: 1023

Einschränkung: Beim dBase-Export ist die Länge auf 256 Zeichen beschränkt.

Entspricht im Editor der Eigenschaft Länge statischer Grenzwerttexte CEL.

NAME=

Vergabe eines Namenskürzels für die gespeicherten Textdateien.

Voraussetzung: Der Eintrag TXT_FILE=1

Default: NAME=BTBTTMM.TXT
(TT=Tag, MM=Monat)

RECIPE_CHANGE=

Einträge beim Ändern von Rezepten

  • 0: Das Ändern von Standard Rezepten und Rezepten des Rezeptgruppen-Managers (RGM) wird nicht in der CEL protokolliert.
  • 1: Beim Ändern eines Rezepts wird dieses mit dem Namen des Rezepts in der CEL protokolliert.
  • 2: Beim Ändern eines Rezepts wird dieses in der CEL protokolliert mit:
    • Name des Rezepts
    • neuen und alten Werten der Variablen
    • Namen der Variablen

Default: 0

Entspricht im Editor der Eigenschaft Rezepte ändern.

RECIPE_WRITE=

Einträge beim Absetzen von Rezepten

  • 0: Das Absetzen von Standard Rezepten und Rezepten des Rezeptgruppen-Managers (RGM) wird nicht in der CEL protokolliert.
  • 1: Beim Absetzen eines Rezepts wird dieses mit dem Namen des Rezepts in der CEL protokolliert.
  • 2: Beim Absetzen eines Rezepts wird dieses in der CEL protokolliert mit:
    • Name des Rezepts
    • neuen und alten Werten der Variablen
    • Namen der Variablen

Default: 0

Entspricht im Editor der Eigenschaft Rezepte absetzen.

RESOURCELABEL=

Beschreibung der Spalte für die Betriebsmittelkennung.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

RESOURCELABEL_ANZ=

Breite der Spalte für die Betriebsmittelkennung in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

RTEXT_ANZ=

Breite der Spalte Reaktionstext in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

SAVE_BIN_ALWAYS=

Einstellung, ob jede Änderung der Daten der CEL auch das Speichern der Daten in die cel.bin bewirkt:

  • 1: Speicherung aktiv
  • 0: Speicherung inaktiv

Default: 0

Entspricht im Editor der Eigenschaft Ringpuffer bei Wertänderung speichern.

Hinweis: Wird die Eigenschaft auf aktiv gesetzt, kann das - vor allem bei Flash Disks - zu erheblicher Systembelastung führen. Wird die Eigenschaft auf inaktiv gesetzt, kann es bei einem unerwarteten Beenden der Runtime zu Datenverlust kommen. Inaktiv empfiehlt sich vor allem bei niedriger Performance.

SAVE_ONLY_STACK=

Datenhaltung für CEL:

  • 0: Alle CEL-Einträge (*.cel) werden gespeichert.
  • 1: Nur eine definierte Anzahl von CEL-Einträgen (cel.bin) wird gespeichert. Die Anzahl wird über die Eigenschaft Größe des Ringpuffers definiert.
  • 2: Auf CE-Geräten wird nur der Ringpuffer (cel.bin) gespeichert; auf PCs werden auch die historischen Einträge (*.cel) gespeichert.

Default: 0

Entspricht im Editor der Eigenschaft CEL-Daten speichern.

SORTDESCENDING=

Sortierrichtung:

  • 0: aufsteigend
  • 1: absteigend

Default: 0

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

SPONTAN=

Zeitpunkt für Eintrag in Liste:

  • 1: Alle neuen CEL-Einträge werden sofort eingetragen.
    Ausnahmen: Die Liste ist gestoppt.
  • 0: Änderungen werden erst beim Neuaufschalten der Liste geladen.
    Vorteil: Verringert den Netzwerkverkehr.

Default: 1

Entspricht im Editor der Eigenschaft Automatisch aktualisieren.

STAT_ANZ=

Breite der Spalte Status in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TAG_ANZ=

Breite der Spalte Kennung in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_NAME=

Bezeichner für den Spaltentitel Variablenname.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_ACT_TEXT=

Beschreibung der Spalte Kommentar.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_CLASS=

Beschreibung der Spalte Alarm/Ereignis-Klasse.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_CLASSNR=

Beschreibung der Spalte Alarm/Ereignis-Klasse Nummer.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_CLASSSYMBOL=

Beschreibung der Spalte Alarm/Ereignis-Klasse Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_CLASSSYMBOL_STYLE=

Anzeigeart der Spalte Alarm/Ereignis-Klasse Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_COMES=

Beschreibung der Spalte Zeit kommt.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_COMP=

Beschreibung der Spalte Computername.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_GROUP=

Beschreibung der Spalte Alarm/Ereignis-Gruppe.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_GROUPNR=

Beschreibung der Spalte Alarm/Ereignis-Gruppe Nummer.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_GROUPSYMBOL=

Beschreibung der Spalte Alarm/Ereignis-Gruppe Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_GROUPSYMBOL_STYLE=

Anzeigeart der Spalte Alarm/Ereignis-Gruppe Symbol.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_NAME=

Bezeichner für den Spaltentitel Variablenname.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_PROJECT=

Beschreibung der Spalte Projektname.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_TAGNR=

Beschreibung der Spalte Kennung.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_TEXT=

Beschreibung der Spalte Text.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_STATUS=

Beschreibung der Spalte Variablenstatus.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_USER=

Beschreibung der Spalte Benutzername.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_USERNAME=

Beschreibung der Spalte Vollständiger Benutzername.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TITLE_VALUE=

Beschreibung der Spalte Wert.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TXT_ANZ=

Breite der Spalte Text in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

TXT_FILE=

Art der Speicherung der Informationen:

  • 0: im zenon eigenen Format (*.cel)
  • 1: im ASCII-Format (*.txt)

Default: 0
Hinweis: Diese Datei ist für zenon nicht mehr lesbar.

UNIT=

Breite der Spalte Maßeinheit in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

USER_ANZ=

Breite der Spalte Benutzername in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

VAR_ANZ=

Breite der Spalte Variablenname in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

WERT_ANZ=

Breite der Spalte Wert in Zeichen.

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung CEL in der Gruppe Chronologische Ereignisliste oder über die Bildumschaltung.

ZEIT_TYP=

Definition des Formats, in dem die Zeit ausgegeben werden soll:

  • 1: nur Millisekunden
  • 2: nur Zeit
  • 3: Zeit und Millisekunden
  • 4: nur Datum
  • 5: Datum und Millisekunden
  • 6: Datum und Zeit
  • 7: Datum und Zeit und Millisekunden

Empfehlung: Konfiguration im Editor über den Dialog der Eigenschaft Spalteneinstellung AML in der Gruppe Alarmmeldeliste oder über die Bildumschaltung.


Drucken [DRUCKER]

Handbuch > Konfigurationsdateien > project.ini > Drucken [DRUCKER]

Eintrag

Beschreibung

[DRUCKER]

Einstellungen für den Ausdruck zur Runtime.

DRUCKZEIT=

Treten Alarm nahezu gleichzeitig auf, können mehrere Einträge in einen Druckauftrag zusammengefasst werden.

Beispiel: DRUCKZEIT=2
Es darf mindestens 2 Sekunden lang kein Alarm auftreten, damit der Druckauftrag abgeschickt wird.

MAXNAMEN=

Beim Drucken zur Runtime werden die einzelnen Einträge jeweils als eigene Druckaufträge abgeschickt. Um Namenskonflikte zu vermeiden, kann eine Nummer vergeben werden.

Beispiel: MAXNAMEN=9
Nummeriert die Dateien bis 9 durch.

MAXPJ=

Maximale Anzahl der Druck-Aufträge im Windows-Druckmanager. Wird diese Anzahl überschritten, dann wird ein Eintrag in der Chronologischen Ereignisliste (CEL) generiert.

  • Minimum: 0
  • Maximum: 65535

Default: 90

Entspricht im Editor der Eigenschaft Max. Druckaufträge in der Gruppe Runtime Einstellungen.


Erweiterter Trend [EW_TREND]

Handbuch > Konfigurationsdateien > project.ini > Erweiterter Trend [EW_TREND]

Eintrag

Beschreibung

[EW_TREND]

Einstellungen für den Erweiterten Trend.

ANZEIGE_GWTEXT=0

Anzeige des Grenzwerttextes beim Scannen der Kurven.

  • 1: ein
  • 0: aus


Export [EXPORT]

Handbuch > Konfigurationsdateien > project.ini > Export [EXPORT]

Eintrag

Beschreibung

[EXPORT]

FILEEXIST_MESSAGEBOX=

Benachrichtigung beim Überschreiben vorhandener Daten beim Export von Daten in der Runtime:

  • 1: Meldung wird angezeigt
  • 0: Meldung wird unterdrückt

Default: 0

Entspricht im Editor der Eigenschaft Datenexport in der Gruppe Runtime Einstellungen /Runtime Meldungen bei.

FILEEXIST_OVERWR_APP_CAN=

Aktion, wenn vorhandene Dateien beim Export überschrieben würden:

  • 0: Datei wird überschrieben (=OVERWRITE).
  • 1: Datensätze werden angehängt (=APPEND).
  • 2: Export wird abgebrochen (=CANCEL).

MAX_LAENGE=

Maximale Länge des Variablennamen bei der Archivierung in eine DBF-Datei.

Default=32

OK_MESSAGEBOX=

Benachrichtigung bei erfolgreichem Export von Daten in der Runtime:

  • 1: Meldung wird angezeigt
  • 0: Meldung wird unterdrückt

Default: 0

Entspricht im Editor der Eigenschaft Dateien ersetzen in der Gruppe Runtime Einstellungen/Runtime Meldungen bei.


Fehler-Logs [ERRORLOG] und [LON_32]

Handbuch > Konfigurationsdateien > project.ini > Fehler-Logs [ERRORLOG] und [LON_32]

Eintrag

Beschreibung

[ERRORLOG]

Einstellungen für Erstellung und Inhalt der Fehlerdateien.

[LON_32]

Einstellungen für LON-Treiber.

DIAG_LEVEL=

Je nach Level werden Aktionen in der Fehlerdatei mitprotokolliert:

  • 0: keine Protokollierung (Default)
  • 1: Fehler
  • 2: Schreiben
  • 3: Lesen
  • 4: Advise/Unadvise
  • 5: Intern


Funktionen [FUNKTIONEN]

Handbuch > Konfigurationsdateien > project.ini > Funktionen [FUNKTIONEN]

Eintrag

Beschreibung

[FUNKTIONEN]

Einträge für Funktionen.

EIN=

Automatische Funktionsausführung für Grenzwertverwaltung, Zeitsteuerung usw.:

  • 1: aktiv
  • 0: inaktiv

Default: 1

NAMEN=

Anzeige der Funktionen nach:

  • 0: Funktionen
  • 1: Namen

PROJECTONLY=

Wirkungsweise der Funktion Bild zurück:

  • 0: projektübergreifend
  • 1: nur mit Bildern des Projekts, in dem die Funktion angelegt wurde

Nur für Mehrprojektverwaltung.

SOUND=

Auswahl eines Tons für die Funktion Dauerton Start und Start der Funktion.

Wert: Zahl zwischen 1 und 255

Empfehlung: Konfiguration über die Funktion.

ZURUECK_ANZAHL=

Anzahl der Bilder, die in die Liste für die Funktion Bild zurück eingetragen werden sollen.
Hinweis: Jeder Aufruf der Funktion Bildumschaltung zählt mit, auch wenn er nicht direkt erfolgt, sondern als Start-Funktion in den Bildeigenschaften eingetragen ist.

  • Minimum: 0
  • Maximum: 65535
  • Default: 10

Empfehlung: Konfiguration über die Funktion Anzahl für Bild zurück Funktion in der Gruppe Funktionen.

ZURUECK_SCHABLONEN=

Name der Schablone, deren Bilder in die Liste der Bilder für die Funktion Bild zurück aufgenommen werden.

Es können mehrere Schablonennamen angeführt werden. Diese werden durch vorangestellten Unterstrich und Komma getrennt.
Z. B.: ZURUECK_SCHABLONEN=_MAIN,_SUBNAVIGATION,

Empfehlung: Konfiguration über die Funktion Hauptschablonen in der Gruppe Grafische Ausprägung/Runtime allgemein.


HTML Bildtyp [HTML_BROWSE] und [HTML_SEARCH]

Handbuch > Konfigurationsdateien > project.ini > HTML Bildtyp [HTML_BROWSE] und [HTML_SEARCH]

[HTML_BROWSE]

Eintrag | Beschreibung
[HTML_BROWSE] | Einträge für das Adressfeld (für Browserfenster) für den Bildtyp HTML.
URLn= | URL-Einträge für das Adressfeld, maximal 20 Einträge.

[HTML_SEARCH]

Eintrag | Beschreibung
[HTML_SEARCH] | Einträge für das Suchfeld (für Suchfenster) für den Bildtyp HTML.
URLn= | URL-Einträge für das Adressfeld, maximal 20 Einträge.


Industrial Maintenance Manager [IMM]

Handbuch > Konfigurationsdateien > project.ini > Industrial Maintenance Manager [IMM]

Eintrag | Beschreibung
[IMM] | Einträge für den Industrial Maintenance Manager (IMM).
Dns= | ODBC-Verbindung der Datenbank des IMM. Entspricht im Editor der Eigenschaft Datenbank.
TableDevice= | Name der Tabelle in der Datenbank für Geräte. Wird auch für Messstellenverwaltung verwendet und ist fest vorgegeben. Sollte nicht verändert werden. Default: Devices Entspricht im Editor der Eigenschaft Tabelle für Geräte.
TableMaint= | Name der Tabelle in der Datenbank für Wartungsarbeiten. Ist fest vorgegeben und sollte nicht verändert werden. Default: MaintenanceWorks Entspricht im Editor der Eigenschaft Tabelle für Wartungsarb.
TableHist= | Name der Tabelle in der Datenbank für die Historie. Ist fest vorgegeben und sollte nicht verändert werden. Default: MaintenanceHistory Entspricht im Editor der Eigenschaft Tabelle für Historie.
TableDoc= | Name der Tabelle in der Datenbank für Dokumente. Ist fest vorgegeben und sollte nicht verändert werden. Default: Documents Entspricht im Editor der Eigenschaft Tabelle für Dokumente.
Userlevel= | Berechtigungsgruppe, die benötigt wird, um Daten aus der Datenbank löschen zu können. Default: 0 Entspricht im Editor der Eigenschaft Berechtigungsebene.


Netzwerk [NETZ] und [TOKEN]

Handbuch > Konfigurationsdateien > project.ini > Netzwerk [NETZ] und [TOKEN]

Eintrag

Beschreibung

[NETZ]

Einstellungen für das Netzwerk.

Empfehlung: Konfiguration über die Eigenschaften der Gruppe Netzwerk.

APP_CLOSE_BOX=

Wird ein Server beendet, während Clients verbunden sind, kann eine Nachricht angezeigt werden:

  • 1: Beim Beenden der Runtime auf einem Server wird auf allen verbundenen Clients eine Meldung angezeigt, die das Beenden der Runtime anzeigt. Das Beenden der Runtime wird um 70 Sekunden verzögert, damit auf den Clients Eingaben noch korrekt abgeschlossen werden können.
  • 0: Die Runtime auf dem Server wird ohne Anzeige einer Meldung auf den Clients sofort geschlossen.

Default: 0

Entspricht im Editor der Eigenschaft Beenden-Benachrichtigung.

CLIENTx=

Nachladeverzögerung für den angegebenen Client im zenon Netzwerk. x ist eine fortlaufende Zahl pro CLIENTx-Eintrag. Die angegebenen Clients werden entsprechend dieser Nummerierung nachgeladen.

Ist der angegebene Client allerdings der Standby Server so wird dieser sofort nachgeladen. Der CLIENTx-Eintrag für einen Standby Server wird ignoriert.

Für diese Projektierung steht keine Eigenschaft im zenon zur Verfügung. Die Nachladeverzögerung kann nur mit einem INI-Eintrag projektiert werden.

CLIENT[laufende Nummer]=Clientname,[Nachladeverzögerung in Sekunden]

Der Clientname ist jeweils der Hostname des Rechners, nicht der Fully qualified domain name. Die Nachladeverzögerung in Sekunden kann 0 bis 86400 Sekunden betragen. Eingaben ausserhalb dieses Wertebereichs werden durch eine zufällige Nachladezeit ersetzt.

Beispiel:

  • CLIENT0=VM-CDSBG104,5
  • CLIENT1=WKS001,10

Der Rechner mit dem Namen VM-CDSBG104 (=Client0) lädt mit einer Verzögerung von 5 Sekunden nach; der Rechner mit dem Namen WKS001 (= Client 1) mit einer Verzögerung von 10 Sekunden.

Achtung: die laufende Nummerierung der Clients muss kontinuierlich fortlaufend sein. Existieren z.B. Einträge für CLIENT0, CLIENT1, CLIENT2, CLIENT3 und CLIENT5 so werden nur die Einträge der folgenden Clients berücksichtigt: Client0, Client1, Client2 und Client3. Die Nachladeverzögerung für Client5 wird nicht berücksichtigt.

Hinweis: Für Clients, welche über keinen solchen Eintrag verfügen gilt die zufällige Nachladeverzögerung, wie im Eintrag RELOADDELAY_SEC angegeben. Ist auch dieser Eintrag leer, werden alle Clients gleichzeitig nachgeladen.

DetectionOffTime=

Zeit in Sekunden, wie lange nach einer Umstufung mit dem Wechsel der Prozessführung gewartet wird.

  • Minimum: 0
  • Maximum: 65535

Default: 10

Entspricht im Editor der Eigenschaft Totzeit nach Umschaltung [s].

eCriteria<Index>=

Prüfkriterium. Für jeden Eintrag wird eine fortlaufende Indexnummer verwendet. Zum Beispiel eCriteria0, eCriteria1 ... Wird gemeinsam mit den Eigenschaften WatchedVariableID<Index>, ValueLimit<Index> und Weight<Index> verwendet. Die Verknüpfung erfolgt über die Indexnummern.

Werte:

  • 0: Keine Auswertung
  • 1: Nur auf Variablenstatus
  • 2: Wert Unterschreitung
  • 3: Wert Überschreitung

Wird im Editor über den Dialog der Eigenschaft Bewertungen konfiguriert.

Hysteresis=

Hysterese in Bewertungspunkten, die überschritten werden müssen, um die Umschaltverzögerung zu aktivieren.

  • Minimum: 0
  • Maximum: 4294967296

Default: 0

Entspricht im Editor der Eigenschaft Hysterese.

ModifiedCounter=

Zähler, der bei jeder Änderung einer Eigenschaft der Gruppe Redundanz Einstellungen um eins hochgezählt wird. Dieser Zähler wird für die Validierung der Bewertung im Netzwerk benötigt und wird von zenon automatisch gesetzt.

Achtung: Darf nicht verändert werden!

RatedEntries=

Anzahl der definierten Bewertungen. Bezieht sich auf die Eigenschaften eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> und Weight<Index> verwendet. Die Verknüpfung erfolgt über die Indexnummern.

RELOADDELAY_SEC=

Nachladeverzögerung für Clients in Sekunden bei großen Netzwerkprojekten.

  • 0: keine Verzögerung
  • >0: Jeder Client wählt für sich eine Zufallszahl zwischen 0 und der angegeben Nachladeverzögerung zum Nachladen.

Hinweis: Ist für einen Client ein CLIENTx-Eintrag vorhanden, hat der CLIENTx-Eintrag beim Nachladen für den Client Priorität.

RedundancyMode=

Art des Redundanzmodus für die Bewertung des Netzwerkes. Wurde als projektierter Wert = Bewertet gewählt, steuert dieser die Redundanzumschaltung.

  • 0: Dominant.
    Führt keine Bewertung aus.
  • 1: Nichtdominant.
    Ergebnis der Bewertung ist immer Null. Es wird keine Umschaltung durchgeführt.
  • 2: Bewertet.
    Eine Bewertung wird ausgeführt und entsprechend umgeschaltet. Diese erfolgt über die Eigenschaften eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> und Weight<Index>.

Default: 1

Hinweis: Nur aktiv, wenn Redundanztyp=Software-Redundanz.

Entspricht im Editor der Eigenschaft Redundanzmodus.

Routing=

Einstellungen für Routing:

  • 0: Kein Routing.
  • 1: Der Rechner fungiert als Knotenrechner und kann Pakete routen. Dabei laufen alle Netzwerkpakete von außerhalb über diesen Rechner.
    Diese Einstellung kann zu Engpässen führen und beeinflusst die möglichen Netzwerktopologien. Ein Einsatz ist in speziellen Netzwerkkonstellationen sinnvoll, z.B. bei WAN-Netzwerken oder gerouteten Netzwerken.

Default: 0

Empfehlung: Einstellung deaktivieren.

Entspricht im Editor der Eigenschaft Routing aktiv.

SERVER=

Einstellung, ob Netzwerk verwendet wird.

  • -1: Netzwerk inaktiv, Einzelplatzrechner.
  • >= 0: Netzwerk aktiv

Default: 0

Beispiel: SERVER=2

Entspricht im Editor der Eigenschaft Netzwerk aktiv.

SERVER1=

Zuordnung eines Rechners als Server 1 .

Beispiel: SERVER1=COMPUTER1

Entspricht im Editor der Eigenschaft Server 1.

SERVER2=

Zuordnung eines Rechners als Server 2.

Beispiel: SERVER2=COMPUTER2

Entspricht im Editor der Eigenschaft Server 2.

SwitchDelay=

Zeit in Sekunden, um die das Hochstufen zum Prozessführenden Server verzögert wird.

  • Minimum: 0
  • Maximum: 65535

Default: 30

Wirkt sich nur aus, wenn für RedundancyMode=2 gewählt wurde.

Entspricht im Editor der Eigenschaft Umschaltverzögerung [s].

TYPE=

Wahl des Redundanzmodells.

  • 1: Hardware-Redundanz.
    Das System besteht aus zwei redundanten Steuerungen und zwei redundanten Leitsystem-Rechnern. Jeder Rechner kommuniziert mit einer Steuerung bidirektional. Beide Rechner und beide Steuerungen gleichen ihre Daten ab. Fällt eine Komponente im ersten System aus, übernimmt das zweite System.
  • 0: Software-Redundanz.
    Das System besteht aus einer Steuerung und zwei redundanten Leitsystem-Rechnern. Beide Rechner müssen Verbindung zur Steuerung haben. Beide Rechner kommunizieren mit der Steuerung und halten gleichzeitig die Daten aus der Steuerung aktuell. Die Kommunikation zur Steuerung übernimmt der Rechner mit Server-Funktion. Der Server kommuniziert also bidirektional, der Standby unidirektional. Fällt der Server aus, übernimmt der Standby Server die bidirektionale Kommunikation mit der Steuerung.

Default: 0

Entspricht im Editor der Eigenschaft Redundanztyp.

ValueLimit<Index>=

Grenzwert, wenn bei der Bewertung auf Wert geprüft wird. Für jeden Eintrag wird eine fortlaufende Indexnummer verwendet. Zum Beispiel ValueLimit0, ValueLimit1 ...

Wird gemeinsam mit den Eigenschaften eCriteria<Index>, WatchedVariableID<Index> und Weight<Index> verwendet. Die Verknüpfung erfolgt über die Indexnummern.

Default: 0

Wird im Editor über den Dialog der Eigenschaft Bewertungen konfiguriert.

WatchedVariableID<Index>=

ID der Variablen, die für die Bewertung ausgewertet wird. Für jeden Eintrag wird eine fortlaufende Indexnummer verwendet. Zum Beispiel WatchedVariableID0, WatchedVariableID1 ...

Wird gemeinsam mit den Eigenschaften eCriteria<Index>, ValueLimit<Index> und Weight<Index> verwendet. Die Verknüpfung erfolgt über die Indexnummern.

Default: 0

Wird im Editor über den Dialog der Eigenschaft Bewertungen konfiguriert.

Weight<Index>=

Gewichtung für Bewertung.

Wert zwischen 0 und 100.

Für jeden Eintrag wird eine fortlaufende Indexnummer verwendet. Zum Beispiel Weight0, Weight1 ... Wird gemeinsam mit den Eigenschaften eCriteria<Index>, WatchedVariableID<Index> und ValueLimit<Index> verwendet. Die Verknüpfung erfolgt über die Indexnummern.

Default: 100

Wird im Editor über den Dialog der Eigenschaft Bewertungen konfiguriert.

TOKEN

Eintrag

Beschreibung

[TOKEN]

Verwaltung der Bedienberechtigung.

ACTIVE=0

Die aktive Bedienberechtigung im Netzwerk stellt sicher, dass im Netzwerk immer nur eine Station zur gleichen Zeit aktive Bedienhandlungen ausführen darf (z. B. Sollwerte ändern). Passiver, lesender Zugriff ist, davon unabhängig, immer möglich. Mögliche Werte oder Art der Bedienberechtigung:

  • 2:
    Bedienberechtigung via Anlagenmodell.
  • 1:
    Globale Bedienberechtigung. Nur ein Rechner kann das Projekt zur selben Zeit bedienen (z.B. Alarme quittieren, Sollwerte setzen).
  • 0:
    Keine Bedienberechtigung. Mehrere Rechner können das Projekt zur gleichen Zeit bedienen.

Default: 0

Entspricht im Editor der Eigenschaft Bedienberechtigung im Netzwerk.

QUESTION_TIMEOUT=

Zeit, die einem Rechner zur Verfügung steht, um eine Anfrage nach einer Token-Abgabe zu beantworten. Nach Ablauf der Frist ohne Antwort erhält die anfragende Station automatisch die Berechtigung.

Entspricht im Editor der Eigenschaft Timeout für Abfrage [s].

QUIT_TIMEOUT=60

Zeitraum, innerhalb dem ein Client seine Bedienberechtigung zyklisch bestätigen muss. Wird keine Bestätigung in diesem Zeitraum gesendet, verliert der Client den Token automatisch.

Achtung: Dieser Wert muss kleiner sein als die in der Eigenschaft QUESTION_TIMEOUT= eingestellte Zeit.

Entspricht im Editor der Eigenschaft Timeout für Bedienberechtigung [s].


Passwortverwaltung [PASSWORD]

Handbuch > Konfigurationsdateien > project.ini > Passwortverwaltung [PASSWORD]

Eintrag

Beschreibung

[PASSWORD]

Einstellungen für die Benutzerverwaltung.

Empfehlung: Konfiguration über die Gruppe Benutzerverwaltung.

ADDOMAIN=

Definiert die alternative Domäne für die Anmeldung eines Benutzers in zenon mit einer anderen AD-Domäne als jener, mit der er in Windows angemeldet ist.
Nur verfügbar, wenn UseActiveDirectory=1 ist und der Wert nicht leer ist.

Beispiel: ADDOMAIN=AlternateDomain

Entspricht im Editor der Eigenschaft Active Directory Domäne.

CANAUTOLOGOFF=

Automatisches Logout:

  • 1: Der Benutzer wird automatisch ausgeloggt, wenn für den in der Eigenschaft LOGOFF= definierten Zeitraum keine Bedienaktion stattfindet.
  • 0: Kein automatisches Logout.

Default: 0

Entspricht im Editor der Eigenschaft Automatisches Logout aktiv.

CHANGE_PWD_PIC=

Bild, das für das Ändern des Passworts anstelle des modalen Dialogs verwendet wird.

  • GUID: Das Bild mit dieser GUID wird beim Ändern des Passworts (Funktionsaufruf oder verpflichtende Änderung durch den Benutzer) aufgeschaltet. Es können nur Bilder vom Typ Benutzer editieren verknüpft werden.
  • Leer: Kein Bild verknüpft. Für das Login wird ein modaler Dialog aufgeschaltet.

Default: Leer

Entspricht im Editor der Eigenschaft Bild für Passwortänderung.

DEL_PIC_BACK_PATH_AT_LOGOUT=

Einstellung für das automatische Löschen des Bild zurück-Pfades bei Benutzerwechsel.

  • 0: Pfad wird nicht gelöscht
  • >0: Pfad wird bei Benutzerwechsel gelöscht

Default: 0

Entspricht im Editor der Eigenschaft Bei Benutzerwechsel "Bild zurück"-Pfad löschen.

DELUSER=

Löschen eines Benutzers in der Runtime:

  • 1: Löschen eines Benutzers ist erlaubt.
  • 0: Benutzer können nur als gelöscht markiert werden. Die Benutzer bleiben dabei in der Liste der Benutzer, sind allerdings für die Bedienung in der Runtime nicht mehr gültig (nach FDA Richtlinie).

Default: 1

Entspricht im Editor der Eigenschaft Löschen von Benutzern.

DISREAKTION=

Definiert das Aussehen von Buttons, die aufgrund der Einstellungen der Bedienberechtigung gesperrt sind. Wird zur Runtime für die Bedienung von Tasten mit der Eigenschaft Verriegelte Buttons (LOCKED_KEYS=)kombiniert.

Mögliche Werte:

  • 0: Normal
  • 1: Grau
  • 2: Unsichtbar

Default: 0

Wirkt sich nur aus, wenn die Eigenschaft LOGTEMP = den Wert 0 hat.

Entspricht im Editor der Eigenschaft Gesperrte Buttons.

EDITSIGNATURE=

Änderungen des Signaturtextes erlauben:

  • 0: Der Signaturtext kann in der Runtime nicht geändert werden.
  • 1: In der Runtime wird ein Dialog zum Editieren des Signaturtextes geöffnet.

Default: 0

Entspricht im Editor der Eigenschaft Signaturtext editierbar.

EXTERNALLOGIN_SYSTEMLOCK=

Verhalten des gesamten Systems bei falscher externer Authentifizierung:

  • 0: Keine Sperre des gesamten Systems bei falscher externern Authentifizierung
  • 1: Das System wird bei falscher externer Authentifizierung gesperrt.

Default: 1 (aktiv)

Entspricht im Editor der Eigenschaft Systemsperre bei falscher externer Authentifizierung.

EXTERNALLOGIN_USERLOCK=

Verhalten für User bei falscher externer Authentifizierung:

  • 0: Keine Sperre des entsprechenden Benutzers bei falscher externern Authentifizierung.
  • 1: Der entsprechende Benutzer wird bei falscher externer Authentifizierung gesperrt.

Default: 1 (aktiv)

Entspricht im Editor der Eigenschaft Benutzersperre bei falscher externer Authentifizierung.

ACHTUNG: Diese Einstellung hat keinen Einfluss auf die Benutzersperre im Active Directoy bei der Verwendung von AD-Benutzern. Hier gelten immer die Domäneneinstellungen.

LOGIN_PIC=

Bild, das für das Login anstelle des modalen Dialogs verwendet wird. Diese Bild wird auch für die Ausführung der Funktion Login mit Dialogverwendet.

  • GUID: Das Bild mit dieser GUID wird beim Login aufgeschaltet. Es können nur Bilder vom Typ Login verknüpft werden.
  • Leer: Kein Bild verknüpft. Für das Login wird ein modaler Dialog oder das in LOGINSIGNATURE_PIC= definierte Bild aufgeschaltet.

Default: Leer

Entspricht im Editor der Eigenschaft Bild für Login.

LOGINSIGNATURE_PIC=

Bild, das für das Login mit Signatur anstelle des modalen Dialogs verwendet wird.

  • GUID: Das Bild mit dieser GUID wird beim Login mit Signatur aufgeschaltet. Es können nur Bilder vom Typ Login verknüpft werden.
  • Leer: Kein Bild verknüpft. Für das Login mit Signatur wird ein modaler Dialog aufgeschaltet.

Default: Leer

Entspricht im Editor der Eigenschaft Bild für Login mit Signatur.

LOGOFF=

Zeit ohne Bedienaktion (in Minuten), nach der ein Benutzer automatisch ausgeloggt wird, wenn die Eigenschaft CANAUTOLOGOFF= den Wert 1 hat.

Entspricht im Editor der Eigenschaft Zeit [min].

LOGTEMP =

Temporäres Einloggen für die Ausführung einer Funktion:

  • 1: Wenn ein Benutzer nicht eingeloggt ist und ein Element zu bedienen versucht, das eine Bedienberechtigung erfordert, wird er zur Eingabe seiner Kennung und seines Passworts aufgefordert. Der Benutzer wird sofort nach der Bedienhandlung automatisch wieder ausgeloggt.
  • 0: Wenn ein Benutzer nicht eingeloggt ist und ein Element zu bedienen versucht, das eine Bedienberechtigung erfordert, erhält er die Information, dass er dazu nicht berechtigt ist.

Default: 1

Hinweis: Position und Größe der Login-Maske können in der zenon6.ini unter [Befehlsgabe]Position = definiert werden.

Entspricht im Editor der Eigenschaft Temporäres Login aktiv

MINPWLENGTH=

Minimale Länge des Passwortes in Zeichen.

  • Minimum: 0
  • Maximum: 20

Default: 6

Entspricht im Editor der Eigenschaft Minimale Passwortlänge.

PWTRIES=

Anzahl der erlaubten falschen Passwort-Eingaben.
Wird diese Anzahl überschritten, so wird der entsprechende Benutzer gesperrt. Die Sperre kann nur von einem Administrator aufgehoben werden. Ein entsprechender Eintrag in der Chronologischen Ereignisliste (CEL) wird erstellt.

  • Minimum: 0
  • Maximum: 65535

Default: 3

Entspricht im Editor der Eigenschaft Max. Passwortfehleing.

PWVALIDDAYS=

Eingabe eines Zeitraumes in Tagen, wie lange ein Passwort gültig ist. Nach abgelaufener Zeit muss ein neues Passwort vergeben werden.

  • Minimum: 0 - Das Passwort läuft nie ab und muss nicht erneuert werden. Bei dieser Einstellung wird der Wert 2147483647 auf die Systemtreibervariable "Tage bis Passwort abläuft" geschrieben.
  • Maximum: 4294967295

Default: 0
Achtung: Bei Produktionen nach den Richtlinien der FDA ist der Eintrag 0 hier nicht zulässig, da die Regeln der FDA ein zyklisches Ändern des Passworts verlangen.

Entspricht im Editor der Eigenschaft Pwt. Gültigkeitsdauer[d].

RecursiveLogin=

Einstellung für automatisches Login/Logout in Unterprojekte:

  • 0: kein automatisches Login/Logout (Default)
  • 1: automatisches Login/Logout aktiv

Default: 0

Entspricht im Editor der Eigenschaft Automatisches Login/Logout in Unterprojekten.

UseActiveDirectory=

Einstellung, ob Active Directory benutzt wird.

  • 0: Active Directory wird nicht benutzt.
  • 1: Die Nutzung von Active Directory ist aktiv.
  • 2: AD LDS wird benutzt.

Default: 0

Entspricht im Editor der Eigenschaft Zugriff auf Active Directory.

USRGROUP_AD_CACHED=

Eintrag für Benutzergruppe, die ein Login mit gespeicherten Anmeldinformationen ermöglicht. Es wird die GUID der gewählten Benutzergruppe gepeichert.

Beispiel: USRGROUP_AD_CACHED=4b5199f4-969c-489a-9c60-15194aa3a161

Der Eintrag wird vom Editor bei Auswahl einer Benutzergruppe für die Eigenschaft Benutzergruppe für Active Directory-Login mit zwischengespeicherten Anmeldeinformationen automatisch erstellt und darf nicht manuell verändert werden. Wird die verknüpfte Benutzergruppe gelöscht, bleibt deren GUID weiterhin eingetragen, bis sie durch die GUID einer anderen Benutzergruppe ersetzt oder durch Konfiguration mit Keine Auswahl gelöscht wird.

Mehr Informationen zum Login mit gespeicherten Anmeldeinformationen finden Sie im Buch Benutzerverwaltung, Kapitel Login mit zwischengespeicherten Anmeldeinformationen.

USERTRIES=

Anzahl der erlaubten Eingaben eines nicht existierenden Benutzernamens.
Wird diese Anzahl überschritten, so wird das System gesperrt. Mit Ausnahme von Administratoren kann sich kein Benutzer mehr anmelden. Durch die Anmeldung eines Administrators wird das System automatisch wieder entsperrt. Ein entsprechender Eintrag in der Chronologischen Ereignisliste (CEL) wird erstellt. Änderungen dieses Werts werden zur Runtime erst nach einem Neustart wirksam.

  • Minimum: 0
  • Maximum: 65535

Default: 3

Entspricht im Editor der Eigenschaft Max. Benutzerfehleing.


Pfade [PATH]

Handbuch > Konfigurationsdateien > project.ini > Pfade [PATH]

Eintrag | Beschreibung
[PATH] | Konfiguration der Pfade.
BACKUP= | Pfad für Gesicherte Archivdateien ^ = (default = Datenbankverzeichnis).
EXPORTPFAD= | Zuletzt eingestellter Pfad bei Export von Daten oder Tabellen in der Runtime.
LISTEN= | Pfad für Listen im Format *.txt , *.qrf und *.frm .
REPORTS= | Pfad für den Export oder Druck von Reports.
VIDEO= | Pfad für Dateien im Format *.avi in der Runtime.


Production & Facility Scheduler [PFS]

Handbuch > Konfigurationsdateien > project.ini > Production & Facility Scheduler [PFS]

Eintrag

Beschreibung

[PFS]

Einstellungen für den Production & Facility Scheduler (Production & Facility Scheduler).

AnzeigenMitStrg=

Steuert Anzeige des Dialogs beim Einfügen von kopierten Fahrplänen.

Mögliche Werte:

  • 1: Der Dialog wird nur angezeigt, wenn beim Einfügen des Fahrplans die Steuerung-Taste gedrückt wird.
  • 0: Der Dialog wird immer angezeigt.


Projektverknüpfungen [PROJEKTLINKS]

Handbuch > Konfigurationsdateien > project.ini > Projektverknüpfungen [PROJEKTLINKS]

Eintrag

Beschreibung

[PROJEKTLINKS]

Parameter für verknüpfte Projekte bei Integrationsprojekten.

Verknüpfte Unterprojekte werden durchnummeriert, zum Beispiel: LINK1=, LINK2=, ...

GLINK=

Name des Globalprojekts.

Wird dieser geändert, müssen die verknüpften Projektbezüge angepasst werden.

GLINKPATH=

Pfad des Globalprojekts für Runtime-Dateien.

Wird dieser geändert, müssen bereits vorhandene Dateien manuell in den neuen Ordner kopiert werden.

LINK1=

Projektname des ersten Unterprojekts.

LINKGUID1=

Eindeutige GUID des ersten Unterprojekts.

LINKMULTI1=

Kennzeichnung mehrplatzfähiger Projekte

  • 1: Mehrplatzfähiges Projekte.
  • 0: Einzelprojekt.

LINKPATH1=

Projektpfad des ersten Unterprojekts..


Prozess-Rekorder [PROCESSRECORDER]

Handbuch > Konfigurationsdateien > project.ini > Prozess-Rekorder [PROCESSRECORDER]

Eintrag | Beschreibung
[PROCESSRECORDER] | Einträge für das Modul Prozess-Rekorder.
ACTIVE= | Aktiviert oder deaktiviert das Modul Prozess-Rekorder. 0: nicht aktiviert 1: Aktiviert Default: 0


Remote-Transport [ED_REMOTE], [DIRLIST] und [TRANSPASS]

Handbuch > Konfigurationsdateien > project.ini > Remote-Transport [ED_REMOTE], [DIRLIST] und [TRANSPASS]

[ED_REMOTE]

Eintrag

Beschreibung

[ED_REMOTE]

Verwaltung der Remote-Transport Parameter im Netzwerk für den Editor.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

COM=

Definition des COM Ports bei serieller Verbindung (DEVICE=0).

CONFIG=

Konfiguration der Verbindung über serielle Verbindung oder TCP/IP.

Zum Beispiel: CONFIG=HOST=RECHNER-XY048;

DEVICE=

Art der Verbindung:

  • 0: Seriell
  • 1: TCP/IP

Default: 1

EXTRA=

Einstellung für Windows CE. Verwendung des lokalen Kartenlesegeräts:

  • 0: nein
  • 1: ja

Wirkt sich nur aus, wenn in den Projekteinstellungen Windows CE aktiviert wurde.

EXTRAEINTRAG=

Runtimeordner am Zielgerät bei Verwendung des lokalen Kartenlesegeräts (EXTRA=1) für Windows CE .

IP_NAME=

Rechnername oder der IP_Adresse bei TCP/IP-Verbindung (DEVICE=1).

RECENT_x=

Zuletzt benutzte Rechnernamen. x steht für die Nummer des Eintrags, beginnend bei 0 für den zuletzt benutzen Namen.

Beispiel: RECENT_0=ATSGA-XY007

SERVER_DOWNLOAD

Einstellungen für den Download:

  • 1: Download aktiv.
    Der Download findet zusätzlich an Server 1 und Server 2 statt.
  • 0: Download inaktiv.
    Der Download findet nur am eingetragenen Rechner statt.

Wirkt sich nur aus, wenn in den Projekteinstellungen das Netzwerk aktiviert und als Transportmedium TCP/IP gewählt wurde.

[DIRLIST]

Eintrag

Beschreibung

[DIRLIST]

Einstellungen für Ordner für den Remote-Transport

ADD_AKTIV=

Übertragung der Dateien aus dem Dateiordner Sonstige:

  • 0: inaktiv
  • 1: aktiv

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

BITMAP=

Speicherpfad für den Dateiordner Grafiken.

BITMAP_AKTIV=

Übertragen von Dateien im Dateiordner Grafiken:

  • 0: Dateien werden nicht übertragen
  • 1: Dateien werden übertragen

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

COMMENT_x=

Kommentar zu individuellem Eintrag in die Quelle/Ziel-Liste. x steht für die Nummer des Eintrags, beginnend bei 0.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

COUNT=

Anzahl der konfigurierten Zeilen in der Liste Quelle/Ziel im Dialog Remote-Transport. Wird vom Editor eingetragen.

DRV_AKTIV=

Übertragung der Dateien aus dem Dateiordner Treiber:

  • 0: inaktiv
  • 1: aktiv

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

HELP_AKTIV=

Übertragung der Dateien aus dem Dateiordner Hilfe:

  • 0: inaktiv
  • 1: aktiv

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

LISTEN=

Speicherpfad für den Dateiordner Texte und Formate.

LISTEN_AKTIV=

Übertragen von Dateien im Dateiordner für Texte und Formate:

  • 0: Dateien werden nicht übertragen
  • 1: Dateien werden übertragen

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

PROJECTBASE=

Zielpfad für den Runtime-Ordner am entfernten Gerät.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

RDLC_AKTIV=

Übertragung der Dateien aus dem Dateiordner Report Viewer:

  • 0: inaktiv
  • 1: aktiv

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

REPORTS=

Speicherpfad für den Dateiordner Tabellen.

REPORTS_AKTIV=

Übertragen von Dateien im Dateiordner Tabellen.

  • 0: Dateien werden nicht übertragen
  • 1: Dateien werden übertragen

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

SOURCE_x=

Quell-Pfad für individuell definierte Datei oder Ordner für die Übertragung. x steht für die Nummer des Eintrags, beginnend bei 0.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

SPALTENBREITE_0=

Breite der Spalte aktiv in Zeichen.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

SPALTENBREITE_1=

Breite der Spalte Quelle in Zeichen.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

SPALTENBREITE_2=

Breite der Spalte Ziel in Zeichen.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

SPALTENBREITE_3=

Breite der Spalte Bearbeitung in Zeichen.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

SPALTENBREITE_4=

Breite der Spalte Beschreibung in Zeichen.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

STRAT_AKTIV=

Übertragung der zenon Logic Dateien:

  • 0: inaktiv
  • 1: aktiv

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

TARGET_x=

Ziel-Pfad für individuell definierte Datei oder Ordner für die Übertragung. x steht für die Nummer des Eintrags, beginnend bei 0.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

TYPE_x=

Art der Übertragung für individuell definierte Dateien oder Ordner. x steht für die Nummer des Eintrags, beginnend bei 0. Übertragunsgarten:

  • o: kopieren
  • 1: kopieren und registrieren
  • 2: kopieren und ausführen

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

VIDEO=

Speicherpfad für den Dateiordner Multimedia.

VIDEO_AKTIV=

Übertragen von Dateien im Dateiordner für Multimedia:

  • 0: Dateien werden nicht übertragen
  • 1: Dateien werden übertragen

Empfehlung: Konfiguration über den Dialog der Eigenschaft Remote-Transport in der Gruppe Allgemein.

[TRANSPASS]

Eintrag

Beschreibung

[TRANSPASS]

Remote-Transport Passwort auf dem Entwicklungsrechner.

Hinweis: Konfiguration für Remote in zenon6.ini im Abschnitt Remote-Transport Passwort [TRANSPASS].

FIX=

Passwort wird:

  • 1: gespeichert
  • 0: nicht gespeichert

KEY=

Passwort für Remote-Transport.

Wird vom Editor eingetragen.

KEYCRYPT=

Verschlüsselt abgelegtes Passwort für Remote-Transport.

Wird nur verwendet, wenn KEY= leer ist.

Ab Version 7.20 Default. Die Umstellung erfolgt am Quellsystem automatisch bei der Konvertierung eines Projekts auf Version 7.20. Am Zielsystem muss die Umstellung manuell erfolgen.

NET=

Datenabfrage für die Konfiguration der Verschlüsselung:

  • ungleich 0: Der Editor sendet nach dem Aufbau einer Remote-Transport Verbindung eine Anfrage an das Remote Gerät nach den Daten für die Konfiguration der Verschlüsselung. Der Eintrag wird vom Dialog Verbindung aufbauen gesetzt und unmittelbar nach dem Versenden der Anfrage auf 0 zurückgesetzt.

SER=

Status der Option Seriennummer und Aktivierungsnummer konfigurieren im Dialog zum Aufbauen einer Verbindung.

  • 0: inaktiv
  • 1: aktiv


Rezeptgruppen-Manager [RGM]

Handbuch > Konfigurationsdateien > project.ini > Rezeptgruppen-Manager [RGM]

Eintrag

Beschreibung

[RGM]

Einträge für den Rezeptgruppenmanager.

REPORTFONT=

Schriftart für Tabellen:

  • 1 Bei Bildern des Typs Rezeptgruppen-Manager ist die Schrift einstellbar. Es wird die in der Eigenschaft Schrift projektierte Schriftart verwendet.
  • 0: Standardschriftart wird verwendet.

Default: 0

Wird eine benutzerdefinierte Tabelle (mit Report Generator erstellt) verwendet, werden die im Report festgelegten Schriften verwendet.

Entspricht im Editor der Eigenschaft Tabellenschrift einstellbar.


Runtime [RT]

Handbuch > Konfigurationsdateien > project.ini > Runtime [RT]

Eintrag

Beschreibung

[RT]

Einstellungen für die Runtime.

ERSTE_TASTE=

Ausführung von Funktionen, die mit einer Taste verknüpft sind:

  • 0: alle verknüpften Funktionen werden ausgeführt
  • 1: nur die erste gefundene Funktion wird ausgeführt

GFX_LIST_SEL_CLR_0=

Farbe für den Text eines Listeneintrags, wenn der Fokus auf dem Element liegt.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Z.B.: GFX_LIST_SEL_CLR_0=16777215

Default: Wert des Betriebssystems

Entspricht im Editor der Eigenschaft Textfarbe bei Fokus in der Gruppe Grafische Ausprägung/Auswahlfarben der Objektlisten.

GFX_LIST_SEL_CLR_1=

Farbe für den Text eines Listeneintrags, wenn der Fokus nicht auf dem Element liegt.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Z.B.: LIST_SEL_CLR_2=0

Default: Wert des Betriebssystems

Entspricht im Editor der Eigenschaft Textfarbe ohne Fokus in der Gruppe Grafische Ausprägung/Auswahlfarben der Objektlisten.

GFX_LIST_SEL_CLR_2=

Hintergrundfarbe eines Listeneintrags, wenn der Fokus auf dem Element liegt.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Z.B.: LIST_SEL_CLR_2=16750899

Default: Wert des Betriebssystems

Entspricht im Editor der Eigenschaft Hintergrundfarbe bei Fokus in der Gruppe Grafische Ausprägung/Auswahlfarben der Objektlisten.

GFX_LIST_SEL_CLR_3=

Hintergrundfarbe eines Listeneintrags, wenn der Fokus nicht auf dem Element liegt.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

Z.B.: LIST_SEL_CLR_2=15790320

Default: Wert des Betriebssystems

Entspricht im Editor der Eigenschaft Hintergrundfarbe ohne Fokus in der Gruppe Grafische Ausprägung/Auswahlfarben der Objektlisten.

INTERNALDRIVERWITHSTATUS=

Lizenzierungsmodell für Variablen des Intern Treibers:

  • 0: deaktiviert
    In der Runtime werden keine externen Zeitstempel und nicht alle Status angezeigt.
    Die Variablen werden nicht als TAGs gezählt.
  • 1: aktiviert
    In der Runtime werden alle Zeitstempel und Status angezeigt.
    Die Variablen werden bei der Ermittlung der Lizenzgröße berücksichtigt.

Default: 0

Hinweis: Bei Konvertierung von Projekten wird dieser Eintrag per Default mit 0 (= inaktiv) erstellt. Dadurch werden Zeitstempel und Status für Treiber des Intern Treibers nicht mehr in der Runtime angezeigt.

Ändern Sie den INI-Eintrag auf 1 oder aktivieren Sie im Editor die Eigenschaft Server 2 als Datenserver um die Werte für Zeitstempel und Status wieder in der Runtime zu visualisieren.

LOCKED_KEYS=

Definiert das Aussehen von Buttons zur Runtime, die aufgrund einer Verriegelung gesperrt sind.

Mögliche Darstellungsformen:

  • 0: normal
  • 1: grau
  • 2: unsichtbar

Diese Eigenschaft wirkt unabhängig von der Eigenschaft Grafische Kennzeichnung aktiv. Ein grauer Button kann z.B. auch ein Schlosssymbol anzeigen

Wird zur Runtime mit der Eigenschaft DISREAKTION= kombiniert (Gruppe [PASSWORD])

Entspricht im Editor der Eigenschaft Verriegelte Buttons in der Gruppe Grafische Ausprägung/Gesperrte/Verriegelte Elemente.

NOT_WORKING_AKTIV=

Einstellung für automatische Ausführung einer Funktion nach einer eingestellten Zeit ohne Bedienung:

  • 1: automatische Ausführung aktiv
  • 0: automatische Ausführung inaktiv
    Mit diesem Eintrag wird die Ausführung ein- (=1) oder abgestellt (=0).

Default: 0

Die auszuführende Funktion wird mit NOT_WORKING_FUNC= definiert. Der Zeitraum mit NOT_WORKING_TIME=.

Entspricht im Editor der Eigenschaft Autom. Funktionsausführung aktiv in der Gruppe Funktionen.

NOT_WORKING_FUNC=

Nummer der Funktion, die nach der in NOT_WORKING_TIME= definierten Zeit ausgeführt werden soll.

Entspricht im Editor der Eigenschaft Funktion in der Gruppe Funktionen.

NOT_WORKING_TIME=

Zeitraum in Minuten, nachdem die in NOT_WORKING_FUNC= angegebene Funktion ausgeführt werden soll.

Entspricht im Editor der Eigenschaft Zeit ohne Bedienaktion (in Minuten) in der Gruppe Funktionen.

ROUND_FLOAT_VARS=
  • 0: Variablen vom Typ FLOAT werden nicht gerundet.
  • 1: Variablen vom Typ FLOAT werden auf 6 Stellen gerundet.

Default: 1

SELECTION_NORMAL=

Kennzeichnung eines ausgewählten Eintrages in einer Liste (Alarm oder Cel) mit:

  • 0: Rahmen. Empfohlen für bessere Lesbarkeit bei hohen Bildschirmauflösungen.
  • 1: Balken. Die Hintergrundfarbe der ausgewählten Zeilen wird invertiert. Empfohlen für bessere Lesbarkeit bei niedrigen Bildschirmauflösungen.

Default: 0

Entspricht im Editor der Eigenschaft Auswahl mit Rahmen in der Gruppe AML und CEL.

TOUCHSCREEN=

Automatisches Keyboard für Touchscreens:

  • 1: anzeigen, wenn eine Eingabe nötig ist
  • 0: nicht anzeigen

Default: 0

Entspricht im Editor der Eigenschaft Automatisches Keyboard in der Gruppe Interaktion/Keyboard.

WIN_CE=

Einstellungen für die Verwendung unter Windows CE:

  • 1: Funktionalitäten, die unter Windows CE nicht unterstützt werden, werden im Editor ausgeblendet (grau oder unsichtbar).
  • 0: Die gesamte lizenzierte Funktionalität des Editors steht zur Verfügung.

Default: 0

Entspricht im Editor der Eigenschaft Windows CE Projekt in der Gruppe Allgemein.

WITH_ACTION=1

Bedienung der Elemente:

  • 0: Das erste Element unter dem Mauszeiger wird verwendet.
  • 1: Das erste Element unter dem Mauszeiger, das mit einer Aktion verknüpft ist, wird verwendet.


Runtime änderbare Daten [RTDATEN]

Handbuch > Konfigurationsdateien > project.ini > Runtime änderbare Daten [RTDATEN]

Eintrag

Beschreibung

[RTDATEN]

Einstellungen für die Erzeugung Runtime änderbarer Daten.

NOOVERWRITE_REZEPTE=

Übertragung von Rezeptgruppen.

  • 0: Rezeptgruppen werden erzeugt und übertragen. In der Runtime vorhandene Rezeptgruppen werden überschrieben.
  • 1: Rezeptgruppen werden nicht übertragen.

Empfehlung: Konfiguration im Editor mit dem Dialog der Eigenschaft Zur Runtime änderbare Daten.

NOOVERWRITE_REZEPTUREN=

Übertragung von Rezepten.

  • 0: Rezepte werden erzeugt und übertragen. In der Runtime vorhandene Rezepte werden überschrieben.
  • 1: Rezepte werden nicht übertragen.

Empfehlung: Konfiguration im Editor mit dem Dialog der Eigenschaft Zur Runtime änderbare Daten.

NOOVERWRITE_PASSWORT=

Übertragung von Passwörtern.

  • 0: Passwörter werden erzeugt und übertragen. In der Runtime vorhandene Rezepte werden überschrieben.
  • 1: Passwörter werden nicht übertragen.

Empfehlung: Konfiguration im Editor mit dem Dialog der Eigenschaft Zur Runtime änderbare Daten.

NOOVERWRITE_FPM=

Übertragung von Scheduler-Daten.

  • 0: Scheduler-Daten werden erzeugt und übertragen. In der Runtime vorhandene Scheduler-Daten werden überschrieben.
  • 1: Scheduler-Daten werden nicht übertragen.

Empfehlung: Konfiguration im Editor mit dem Dialog der Eigenschaft Zur Runtime änderbare Daten.


Schichtmanagement [SHIFT_MANAGEMENT]

Handbuch > Konfigurationsdateien > project.ini > Schichtmanagement [SHIFT_MANAGEMENT]

Eintrag | Beschreibung
[SHIFT_MANAGEMENT] | Einstellungen für das Schichtmanagement.
HOLIDAY_COUNTRY_CODE= | Definiert länderspezifische Feiertage. Empfehlung: Konfigurieren Sie die Feiertage über die Projekteigenschaft Schichtmanagement/Nationale Feiertage Beispiel Feiertage für Österreich: HOLIDAY_COUNTRY_CODE=45


Status [STATUS]

Handbuch > Konfigurationsdateien > project.ini > Status [STATUS]

Eintrag | Beschreibung
[STATUS] |
STATUS0= | Text für die Statusinformation, wenn Bit 0 gesetzt ist. Es kann ein Kurz- und ein Langtext durch ; getrennt eingegeben werden.
STATUSx= | Wie STATUS0 mit Nummern x = 1 bis 63.


Tabellen [TABELLE]

Handbuch > Konfigurationsdateien > project.ini > Tabellen [TABELLE]

[TABELLE] | Eigenschaften für Tabellen.
TRENNZEICHEN= | Trennzeichen der einzelnen Zellen beim Exportieren von Reports in der Runtime in eine Datei im Format *.TXT. Zum Beispiel nur druckbare Zeichen wie - oder Tabulator (TAB). Beispiel: TRENNZEICHEN=TAB


Treiber

Handbuch > Konfigurationsdateien > project.ini > Treiber

Eigenschaften für Treiber.

Noch in diesem Kapitel

S7TCP32 [S7TCP32]

OMR_FINS [OMR_FINS]

Serielles Logging [RS232LOG]

Simotion [SIMOTION]

Systemtreiber [SYSTEMTREIBER]


S7TCP32 [S7TCP32]

Handbuch > Konfigurationsdateien > project.ini > Treiber > S7TCP32 [S7TCP32]

Eintrag

Beschreibung

[S7TCP32]

Einstellungen für den Treiber S7TCP32

FS=

Definiert, ob die Objekt-Typen F&S DB Bit, F&S DB Byte, F&S Bit und F&S Byte angezeigt werden:

  • 1: Anzeige
  • 0: keine Anzeige (Default)


OMR_FINS [OMR_FINS]

Handbuch > Konfigurationsdateien > project.ini > Treiber > OMR_FINS [OMR_FINS]

Eintrag

Beschreibung

[OMR_FINS]

Einstellungen für den Treiber OMR_FINS.

BLOCKWRITE=

Aktivierung des Blockwrite.

  • 0: Blockwrite ist ausgeschaltet.
  • 1: Blockwrite ist eingeschaltet.


Serielles Logging [RS232LOG]

Handbuch > Konfigurationsdateien > project.ini > Treiber > Serielles Logging [RS232LOG]

Für manche Treiber kann serielles Logging aktiviert werden.

Eintrag

Beschreibung

[RS232LOG]

Aktivierung oder Deaktivierung des seriellen Loggings.

LOGCOMx=

Aktivierung für die Schnittstelle x:

  • x: Nummer der gewählten Schnittstelle

Mögliche Werte:

  • 0: kein Logging
  • 1: serielles Logging aktiv
    Es wird eine Datei LOG_COMxxx.TXT im Ordner des Treibers erstellt.

Beispiel Aktivierung für COM 1:
LOGCOM1=1

Hinweis: Aktivieren Sie die Protokollierung nur bei Problemen und nur kurzfristig. Die Protokollierung benötigt erhebliche Ressourcen. Außerdem belegt die LOG-Datei innerhalb kurzer Zeit erheblichen Speicherplatz.


Simotion [SIMOTION]

Handbuch > Konfigurationsdateien > project.ini > Treiber > Simotion [SIMOTION]

Eintrag

Beschreibung

[SIMOTION]

Einstellungen für den Treiber Simotion.

BLOCKWRITE=

Aktivierung des Blockwrite.

  • 0: Blockwrite ist ausgeschaltet.
  • 1: Blockwrite ist eingeschaltet. Sowohl für Global- als auch für Axis-Variablen werden mehrere Werte pro TCP-Request geschrieben. Dabei wird bei Global-Variablen ein durchgehender Speicherblock beschrieben und bei Axis-Variablen eine Liste von Variablenwerten gesendet.


Systemtreiber [SYSTEMTREIBER]

Handbuch > Konfigurationsdateien > project.ini > Treiber > Systemtreiber [SYSTEMTREIBER]

Eintrag

Beschreibung

[SYSTEMTREIBER]

Eigenschaften für Systemtreiber.

UPDATE_SEK=

Zykluszeit des Systemtreibers in Sekunden.

WISCHER_BOXEN=
  • 0: Meldungen werden unterdrückt. Für diesen Fall stehen im Systemtreiber Bit-Variablen zur Verfügung, mit denen man durch das Verknüpfen einer Funktion mit einem Grenzwert auf die Falscheingaben individuell reagieren kann.
  • 1: Bei falschen Benutzereingaben (Sollwert setzen, einloggen, etc.) werden in der Runtime entsprechende Meldungen angezeigt.

Entspricht im Editor der Eigenschaft Fehlerhafter Eingabe.

WISCHER_BOXEN_USERLEVEL=

Nur aktiv, wenn WISCHER_BOXEN=1

  • 0: Bei falscher Berechtigungsebene wird keine Fehlermeldung angezeigt. Die Systemtreibervariable keine Funktionsberechtigung wird trotzdem gesetzt und kann mittels Grenzwert oder Reaktionsmatrix ausgewertet werden.
  • 1: Führt zur Runtime ein Benutzer eine Funktion aus, die eine Berechtigungsebene erfordert, die der angemeldete Benutzer nicht erfüllt, wird ein Fenster mit einer Fehlermeldung angezeigt.

Entspricht im Editor der Eigenschaft Berechtigung nicht ausreichend.


Weltbild [WORLDVIEW]

Handbuch > Konfigurationsdateien > project.ini > Weltbild [WORLDVIEW]

Eintrag

Beschreibung

[WORLDVIEW]

Weltbild-Darstellung.

MarkCenter=
  • 0: keine Markierung einer ausgewählten Station
  • 1: bewirkt bei Anwahl einer Station eine kurzzeitige Markierung der Station im Bild


zenon Versionen und Projektversionierung [VERSION]

Handbuch > Konfigurationsdateien > project.ini > zenon Versionen und Projektversionierung [VERSION]

Eintrag

Beschreibung

[VERSION]

Informationen über die zenon Version, mit der das Projekt zuletzt bearbeitet wurde sowie Informationen zur Projektversionierung. Diese werden vom Editor gesetzt und dürfen nicht verändert werden!

BETA=

Hinweis auf den Release-Status der zuletzt verwendeten zenon Version.

  • 0: frei gegebene Version
  • 1: Betaversion

GUID=

GUID des Projekts.

PROJECT_VERSION_ACTIVE=

Versionierung des Projekts:

  • 1: Projektversionierung wird verwendet. Jede Projektsicherung wird mit einer eigenen Versionsnummer gespeichert.
  • 0: Keine Projektversionierung.

Default: 0

Entspricht im Editor der Eigenschaft Versionierung aktiv in der Gruppe Allgemein/Versionierung.

PROJ_MAJOR=

Nummer der Hauptversion. Diese kann frei vergeben werden.

Achtung: Willkürliche Veränderungen dieser Nummer beeinflussen die Konsistenz der Versionierung.

Konfiguration über die Eigenschaft Hauptversion in der Gruppe Allgemein/Versionierung.

PROJ_MINOR=

Detailnummer zur Hauptversion. Wird automatisch vergeben.

Entspricht im Editor der Eigenschaft Projektversion in der Gruppe Allgemein/Versionierung.

PROJ_TIMESTAMP=

Der Zeitpunkt der letzten Projektsicherung in UTC als Sekunden.

SP=

Nummer des Service Packs der zenon Version, mit der das Projekt zuletzt bearbeitet wurde.

Zum Beispiel: 0 für zenon 7.20 SP0.

VERSION1=

Nummer der Hauptversion von zenon, mit der das Projekt zuletzt bearbeitet wurde.

Zum Beispiel: 7 für zenon 7.20 SP0.

VERSION2=

Nummer der Unterversion von zenon, mit der das Projekt zuletzt bearbeitet wurde.

Zum Beispiel: 20 für zenon 7.20 SP0.

XML_EXPORT_ACTIVE=

XML-Export von Versionen:

  • 1: Bei jeder Projektsicherung wird eine ZIP-Datei (Version.zip) eingefügt. Diese enthält 24 XML-Dateien mit den Sicherungen der einzelnen Module.
    Hinweis: Bei Mehrplatzfähigen Projekten nur bei lokaler Sicherung.
  • 0: Kein XML-Export.

Default: 0

Entspricht im Editor der Eigenschaft XML-Export aktiv in der Gruppe Allgemein/Versionierung.


startup.ini

Handbuch > Konfigurationsdateien > startup.ini

Hinweis: Einstellungen sollten prinzipiell im Startup-Tool vorgenommen werden. Änderungen in der startup.ini sind Experten vorbehalten.
Zurzeit sind nur die Einstellungen zur Verschlüsselung der Kommunikation im Netzwerk dokumentiert.

Eintrag | Beschreibung
[Settings] |
USE_ENCRYPTION= | Verschlüsselung aktivieren oder deaktivieren: 0: inaktiv 1: aktiv Eintrag wird nach dem Setzen und Speichern im Startup Tool in die zenon6.ini übernommen.
ENCRYPTION_PWD | Hier wird das Passwort nach seiner Erstellung automatisch verschlüsselt eingetragen. Das Passwort wird rechnerabhängig verschlüsselt, daher führt ein identisches Passwort bei unterschiedlichen Rechnern zu unterschiedlichen Inhalten dieses Eintrags. Eintrag wird nach dem Setzen und Speichern im Startup Tool in die zenon6.ini übernommen.
PWD_VALIDATION= | Hash zur Überprüfung, ob sich die zur Verschlüsselung benutzten Daten verändert haben.


wizards.ini

Handbuch > Konfigurationsdateien > wizards.ini

Aufbau der INI-Datei für die Verwaltung der Wizards in VSTA und VBA.

info Info

Diese Dokumentation steht nur in Englisch zur Verfügung.

Noch in diesem Kapitel

VSTA wizards.ini

VBA wizards.ini

Benötigte Methoden für Aktualisierung


VSTA wizards.ini

Handbuch > Konfigurationsdateien > wizards.ini > VSTA wizards.ini

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

CLASSNAME: Name of the Form-Class representing the Wizard.

VERSION: Version number

PATH:Path-expansion to location of the files.

DELETE: 1 when the Wizard is to be removed from the Workspace

FILES: The amount of files included in this wizard

FILE_X: The name of a file included in the wizard

TYPE_X: The type of the file (Required for the Form.cs and Resx File)

DEP_X: The Name of a file on which this file depends

Beispiel

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Export-Wizard

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Demo Wizard

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


VBA wizards.ini

Handbuch > Konfigurationsdateien > wizards.ini > VBA wizards.ini

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

VERSION: Current Version

PATH:Path-expansion to location of the files.

VB_NAME: Name of the VBA-Object representing the Wizard.

VB_TYPE: 0=Form, 1=class

DELETE: 1 when the Wizard is to be removed from the Workspace

Beispiel

[DEFAULT

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Wizard for creating variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Document Wizard

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Import-Wizard

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Benötigte Methoden für Aktualisierung

Handbuch > Konfigurationsdateien > wizards.ini > Benötigte Methoden für Aktualisierung

Beispiel für die Methoden, die benötigt werden, damit die Wizards im Dialog für die Aktualisierung angezeigt werden:

VBA

'The following methods define the form as a control system Wizard. If IsZenOnWizard is set to false,

'the Wizard does not appear in the Wizarddialog, does not influence the Wizardupdate Dialog.

Public Function GetWizardName() As String

GetWizardName = "Empty Wizard"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenonWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// This Static method returns the name of the wizard,

/// which will be displayed in the wizard-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// This Static method returns the description of the wizard,

/// which will be displayed at the bottom of the wizard-dialog.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "This is our Demo Wizard";

return strValue;

}

/// <summary>

/// This static method returns the category name of the wizard,

/// which will be used as node-name in the wizards-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// This static method returns a bool which can be used to "switch" the wizard

/// on/off in the wizard dialog (false=wizard is not shown in the tree).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// This static method returns the version of the wizard.

/// Indicated at the bottom of the wizard-dialog.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// This method is called when the wizard has been selected in the

/// wizard dialog and confirmed with "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


zenDB.ini

Handbuch > Konfigurationsdateien > zenDB.ini

Einträge in der zenDB.ini definieren die Verbindung zum SQL Server. Diese werden mit dem Startup Tool festgelegt.

Einträge in die zenDB.ini

Ab Version 7.11 SP0

Eintrag

Default Wert

Erklärung

[CONNECTION_SQL2012]

Verbindungseinstellungen für SQL Server 2012

PW=

Startup Tool: keiner
Sonst: zen_$2012

Definiert das Passwort, das der zenDBSrv zur Authentifizierung gegenüber dem SQL Server verwendet. Das Passwort wird in der zenDB.ini verschlüsselt abgelegt. Der unverschlüsselte Defaultwert kann dennoch zum Verbindungsaufbau verwendet werden, da aufgrund dessen Länge der Entschlüsselungsversuch fehlschlägt und der Defaultwert direkt zum Verbindungsaufbau verwendet wird.

Beachten Sie:

  • Die Verschlüsselung erfolgt über das Startup Tool.
  • Die Datenbankeinstellung muss unbedingt mit dem Startup Tool erfolgen.

Das Passwort muss zusätzlich am SQL Server für den Benutzer zenOnSrv angepasst werden.

Hinweis: Jede Komponente schreibt diesen Wert verschlüsselt in die INI-Datei.

Alle weiteren Einstellungen entsprechen jenen der Version 7.10.

Ab Version 7.10 SP0

Eintrag

Default Wert

Erklärung

[PATH]

keiner

Pfad

DB60_SQL2012=

keiner

Definiert den Pfad, unter dem die SQL-Datenbanken für die zenon Editor Projekte abgelegt werden.

Beispiel:

DB60_SQL2012=C:\ProgramData\COPA-DATA\SQL2012\

[CONNECTION_SQL2012]

Verbindungseinstellungen für SQL Server 2012

USER=

Startup Tool: keiner
Sonst: zenOnSrv

Definiert den Benutzernamen, mit dem sich der zenDBSrv am SQL Server anmeldet.

PW=

Startup Tool: keiner
Sonst: srv_710

Definiert das Passwort, das der zenDBSrv zur Authentifizierung gegenüber dem SQL Server verwendet. Das Passwort wird in der zenDB.ini verschlüsselt abgelegt. Der unverschlüsselte Defaultwert kann dennoch zum Verbindungsaufbau verwendet werden, da aufgrund dessen Länge der Entschlüsselungsversuch fehlschlägt und der Defaultwert direkt zum Verbindungsaufbau verwendet wird.

Beachten Sie:

  • Die Verschlüsselung erfolgt über das Startup Tool.
  • Die Datenbankeinstellung muss unbedingt mit dem Startup Tool erfolgen.

Das Passwort muss zusätzlich am SQL Server für den Benutzer zenOnSrv angepasst werden.

Hinweis: Jede Komponente schreibt diesen Wert verschlüsselt in die INI-Datei.

SQLINSTANCE=

Startup Tool: keiner
Sonst: localhost

Definiert die SQL Server Instanz, zu der sich der zenDBSrv verbindet. Mit dem Default-Wert kann keine Verbindung aufgebaut werden, da er keinen Instanznamen enthält. Vor dem Verbindungsaufbau wird „localhost" im Instanznamen durch den aktuellen Computernamen ersetzt.

Beispiel:

SQLINSTANCE=localhost\zenon_2012

SQLPROVIDER=

Startup Tool: keiner
Sonst: SQLNCLI10.1

Optionaler Eintrag für den Provider, den der zenDBSrv verwendet, um die Datenbankverbindung herzustellen. Der Default Wert entspricht dem SQL Server 2008 R2 Native Client.

Beispiel:

SQLPROVIDER=SQLNCLI10.1

Version 7.00 SP0

Eintrag | Default Wert | Erklärung
[PATH] | keiner | Pfad
DB60_SQL2008= | keiner | Definiert den Pfad, unter dem die SQL-Datenbanken für die zenon Editor Projekte abgelegt werden. Beispiel: DB60_SQL2008=C:\ProgramData\COPA-DATA\SQL2008R2\
[CONNECTION_SQL2008] |  | Verbindungseinstellungen für SQL Server 2008R2
USER= | Startup Tool: keiner Sonst: zenOnSrv | Definiert den Benutzernamen, mit dem sich der zenDBSrv am SQL Server anmeldet.
PW= | Startup Tool: keiner Sonst: srv_700 | Definiert das Passwort, das der zenDBSrv zur Authentifizierung gegenüber dem SQL Server verwendet. Das Passwort wird in der zenDB.ini verschlüsselt abgelegt. Der unverschlüsselte Defaultwert kann dennoch zum Verbindungsaufbau verwendet werden, da aufgrund dessen Länge der Entschlüsselungsversuch fehlschlägt und der Defaultwert direkt zum Verbindungsaufbau verwendet wird. Hinweis: Jede Komponente schreibt diesen Wert verschlüsselt in die INI-Datei.
SQLINSTANCE= | Startup Tool: keiner Sonst: localhost | Definiert die SQL Server Instanz, zu der sich der zenDBSrv verbindet. Mit dem Default-Wert kann keine Verbindung aufgebaut werden, da er keinen Instanznamen enthält. Vor dem Verbindungsaufbau wird „localhost" im Instanznamen durch den aktuellen Computernamen ersetzt. Beispiel: SQLINSTANCE=localhost\zenon_2008R2
SQLPROVIDER= | Startup Tool: keiner Sonst: SQLNCLI10.1 | Optionaler Eintrag für den Provider, den der zenDBSrv verwendet, um die Datenbankverbindung herzustellen. Der Default Wert entspricht dem SQL Server 2008 R2 Native Client. Beispiel: SQLPROVIDER=SQLNCLI10.1

Version 6.51 SP0

Eintrag | Default Wert | Erklärung
[PATH] |  | Pfad
DB60_SQL2005= | keiner | Definition des Pfades. Beispiel: DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONNECTION_SQL2005] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Name des Service, der die SQL Server Instanz startet. Muss dem Eintrag PROVIDER_SQL2005= im Abschnitt Data Source entsprechen! Beispiel: SQLSERVICE_SQL2005=MSSQL$zenon_DEV
USER= | keiner | Benutzer. Beispiel: USER=zenOnSrv
PW= | keiner | Passwort. Wird im Startup Tool vergeben und hier verschlüsselt abgelegt. Beispiel: PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90
SQLINSTANCE= | keiner | SQL Instant. Beispiel: SQLINSTANCE=localhost\zenon_DEV

Ab Version 6.21 SP0 bis Version 6.50 SP0

Eintrag

Default Wert

Erklärung

[PATH]

Pfad

DB60_SQL2005=

Keiner

Definition des Pfades.

Beispiel:
DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\

[CONFIG]

SQLSERVICE_SQL2005=

localhost\ZENON_DEV

Name des Service, der die SQL Server Instanz startet. Muss dem Eintrag Data Source im Abschnitt PROVIDER_SQL2005= entsprechen!
Beispiel:

SQLSERVICE_SQL2005=MSSQL$zenon_DEV

PROVIDER_SQL2005=

Eintrag für den Provider, den der zenDBSrv verwendet, um die Datenbankverbindung herzustellen.
Beispiel:

PROVIDER_SQL2005=Provider=SQLNCLI.1;Password=srv_601;Persist Security Info=True;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\zenon_DEV;

Bis Version 6.20 SP4

Eintrag | Default Wert | Erklärung
[PATH] |  | Pfad
DB60= |  | Beispiel: DB60=C:\SQL\
[CONFIG] |  |
SQLSERVICE= | MSSQL$ZENON | Definiert den Pfad, unter dem die SQL-Datenbanken für die zenon Editor Projekte abgelegt werden.
Provider= |  | Eintrag für den Provider, den der zenDBSrv verwendet, um die Datenbankverbindung herzustellen. Beispiel: Provider=Provider=SQLOLEDB.1;Password=zenon;Persist Security Info=False;User ID=sa;Initial Catalog=%s;Data Source=localhost\zenon


zenon6.ini

Handbuch > Konfigurationsdateien > zenon6.ini

Einstellungen sollten prinzipiell im Editor vorgenommen werden. Änderungen in der zenon6.ini sind Experten vorbehalten.

info Info

Die zenon6.ini finden Sie im Pfad: %ProgramData%\COPA-DATA\System\

Noch in diesem Kapitel

Allgemeine Einstellungen [DEFAULT]

AML und CEL Filterung nach Name und Kennung [AlarmFilterDialog]

Arbeitsbereiche [RECENTWORKSPACES]

Archivbearbeitung [ARCHEDIT]

Befehlsgabe [Befehlsgabe]

Benutzerberechtigung in Everywhere Server by zenon [Password]

Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM]

Drucker allgemein [DRUCKER] und [FRM_PRNT]

Editor [EDITOR] und [Editor/CustomMenu]

Everywhere Server [EVERYWHERE]

Erweiterter Trend [EW-TREND]

Export [EXPORT]

Fenstereinstellungen [PROPERTY]

IP-Adresse unter Windows CE [IPADDR]

Message Control [MESSAGE CONTROL]

Netzwerk [NETZ]

Pfadeinstellungen [PATH]

Port-Konfiguration [LISTENING_SOCKETS]

Programmierschnittstelle [Add-Ins], [PCE], [VBA] und [VSTA]

Remote-Transport Parameter [SYS_REMOTE]

Remote-Transport Passwort [TRANSPASS]

Runtime [RT]

SCADA Runtime Connector [ZRSCONNECTOR]

SYMBOL [SYMBOL]

Simulator [SIMULATOR]

Terminal Server [TERMINAL]

Treiber


Allgemeine Einstellungen [DEFAULT]

Handbuch > Konfigurationsdateien > zenon6.ini > Allgemeine Einstellungen [DEFAULT]

Eintrag

Beschreibung

[DEFAULT]

Allgemeine Einstellungen.

AUTOEXCEPTTIME=

Zeit für die Anzeige der Exception-Box in Sekunden.
Fehlt dieser Eintrag oder wird er auf 0 gesetzt, dann wird die Box angezeigt bis sie mit OK bestätigt wird.

DEFANWENDUNG30=

Name des aktiven Projekts, das bei Programmstart geladen wird

DEFWORKSPACE=

Name des aktiven Arbeitsbereichs, der bei Programmstart geladen wird.

Empfehlung: Wahl über die Registerkarte General im Startup Tool.

LANGUAGE=

Voreingestellte Sprache:

  • GERMAN
  • ENGLISH
  • ITALIAN
  • FRENCH
  • ...

Hinweis: Dieser INI-Eintrag gilt auch für den zenon Web Client.

LASTPROJEKT=

Zuletzt im Editor aufgeschaltetes Projekt. Wird vom Editor beim Beenden gesetzt.

Eintrag wird ignoriert, wenn im Startup Tool die Option Overwrite INI settings aktiviert ist.

RT_CXMAINFRAME=

Speichert gemeinsam mit RT_CYMAINFRAME= die Position und Größe des Runtime Fensters.

RT_CXRESOLUTION=

Breite der Auflösung des Zielrechners in der Runtime in Pixel, unabhängig vom Wert der Eigenschaft RT_CXMAINFRAME.

RT_CYMAINFRAME=

Speichert gemeinsam mit RT_CXMAINFRAME= die Position und Größe des Runtime Fensters.

Achtung: Ist die Taskleiste eingeblendet, muss deren Höhe einbezogen werden und entsprechend mehr Pixel müssen subtrahiert werden.

RT_CYRESOLUTION=

Höhe der Auflösung des Zielrechners in der Runtime in Pixel, unabhängig vom Wert der Eigenschaft RT_CYMAINFRAME.

RTENDDELAY=

Verzögerung beim Beenden der Runtime in Millisekunden (ms), wenn sich diese beim Beenden rekursiv in Aufrufen befindet.

  • Maximum: 231-1 ms
  • Minimum: 1000 ms
    Werte <1000 ms werden automatisch auf Minimalwert korrigiert.

Default: 30000

Beispiel: RTENDDELAY=30000

SCREENPROFILE=

Ausgewähltes Bildschirmprofil für diesen Rechner. Diese gilt für alle Projekte.

Empfehlung: Konfiguration über den Dialog der Eigenschaft Bildschirmverwaltung in den Projekteigenschaften der Gruppe Grafische Ausprägung/Runtime allgemein.

SERIALIZE=

Definition der Bildauflösung:

  • 0: Bildauflösung individuell, alle Bilder werden für jeden Client neu berechnet
  • 1: Erster gestarteter Client legt Bildauflösung fest.

STARTDELAY=

Verzögerung des Runtime-Starts beim Booten in Millisekunden (ms).
Bei Problemen beim automatischen Starten der Runtime mit dem Betriebssystem kann der Start der Runtime mit dieser Einstellung verzögert werden. Damit hat das Betriebssystem entsprechend mehr Zeit, alle nötigen Dienste zu starten.

STARTPAGE=

Beim Öffnen des Editors wird die Startseite angezeigt, wenn der Eintrag auf TRUE steht.

Default: TRUE

STRING=

Name des Projekts, das nachgeladen werden soll, wenn am Server das Nachladen angestoßen wird.

Eintrag erfolgt in der zenOn6.ini des Servers.


AML und CEL Filterung nach Name und Kennung [AlarmFilterDialog]

Handbuch > Konfigurationsdateien > zenon6.ini > AML und CEL Filterung nach Name und Kennung [AlarmFilterDialog]

Eintrag

Beschreibung

[AlarmFilterDialog]

Speichert historische Einträge in die Filter für Variablenname und Kennung in der Registerkarte Allgemein bei der Konfiguration der Bildumschaltung auf Bilder vom Typ AML, CEL und Filterbilder.

Die Liste wird bei neuen Einträgen in die Combobox jeweils nach dem Schließen des Filterdialogs der Bildumschaltung ergänzt. Der aktuell gesetzte Eintrag in der Combobox wird nicht gespeichert. Die historischen Einträge gelten für alle Projekte am lokalen Rechner und stehen im Editor und zur Runtime in der Dropdownliste zur Auswahl zur Verfügung.

History1_COUNT=

Anzahl der Einträge in der Dropdownliste für Variablenname.

History1_x=

Eintrag in die Dropdownliste für Variablenname. x steht für eine fortlaufende Nummerierung, die mit 0 beginnt.

Beispiel: History1_2=*top

History2_COUNT=

Anzahl der Einträge in der Dropdownliste für Kennung.

History2_x=

Eintrag in die Dropdownliste für Kennung. x steht für eine fortlaufende Nummerierung, die mit 0 beginnt.

Beispiel: History2_2=*filler


Arbeitsbereiche [RECENTWORKSPACES]

Handbuch > Konfigurationsdateien > zenon6.ini > Arbeitsbereiche [RECENTWORKSPACES]

Zeigt die fünf zuletzt geladenen Arbeitsbereiche inklusive Pfad an. Diese Einstellungen werden vom Editor beim Beenden in die zenon6.ini geschrieben. Im Editor werden diese fünf Arbeitsbereiche im Menü Datei angezeigt.

Eintrag

Beschreibung

[RECENTWORKSPACES]

Abschnitt für die fünf zuletzt geladenen Arbeitsbereiche.

WORKSPACE0=

WORKSPACE1=

WORKSPACE2=

WORKSPACE3=

WORKSPACE4=

Zuletzt geladener Arbeitsbereich. Je jünger, desto kleiner die Ordnungszahl.

  • WORKSPACE0: zuletzt geladener Arbeitsbereich
  • WORKSPACE4: Arbeitsbereich, dessen letzte Verwendung am längsten zurückliegt.

Es wird der gesamte Pfad zum Arbeitsbereich angezeigt.
Zum Beispiel: WORKSPACE0=C:\Users\Public\Documents\zenon_Projects\Demo760.wsp6


Archivbearbeitung [ARCHEDIT]

Handbuch > Konfigurationsdateien > zenon6.ini > Archivbearbeitung [ARCHEDIT]

Eintrag

Beschreibung

[ARCHEDIT]

Eigenschaften für Archivbearbeitung.

ARCHEDITFONT=

Auswahl der Schriftart.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

DATUMBREITE=

Breite der Spalte Datum/Zeit in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

EINHEITBREITE=

Breite der Spalte Maßeinheit in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

KENNUNGBREITE=

Breite der Spalte Kennung in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

KURZBEZEICHNUNG=

Anzeige der Archivkurzbezeichnung in der Tabelle:

  • 1: ja
  • 0: nein

STATUSBREITE=

Breite der Spalte Status in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

VARIABLEBREITE=

Breite der Spalte Variable in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

WERTBREITE=

Breite der Spalte Wert in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

ZUSTANDBREITE=

Breite der Spalte Text in Zeichen.

Empfehlung: Kann zur Runtime über den Dialog Diagrammfenster konfiguriert werden.

ZWANGSSPEICHERN=

Nachführen von Einträgen in Verdichtungsarchiven:

  • 1: alle Einträgen
  • 0: nur geänderte Einträge


Befehlsgabe [Befehlsgabe]

Handbuch > Konfigurationsdateien > zenon6.ini > Befehlsgabe [Befehlsgabe]

Eintrag

Beschreibung

[Befehlsgabe]

Achtung: Nur für SICAM 230.

Befehlsstring=

Protokollierung von Befehl in CEL bei Befehlsgabe:

  • 0: inaktiv
  • 1: aktiv

CODE=

Codenummernabfrage:

  • 0: aus
  • 1: ein

CodeKontrolle=

Plausibilitätsprüfung bei der Abfrage der Codenummern:

  • 0: aus
  • 1: ein

POSITION=

Definiert Position und Größe der Login-/Logout-Maske.

Wertbereich von 0 bis 1. Die Werte werden getrennt durch Komma in folgender Syntax eingegeben:
xlinks, xrechts, yoben, yunten
Default: 0.001 , 0.999 , 0.835 , 0.964

TASTE=

Tastenbelegung für Zweihandbedienung. Mögliche Einträge:

  • kein Eintrag: Einhandbedienung
  • RETURN: Eingabe-Taste
  • SPACE: Taste Leerschritt
  • F2 bis F12: Ein der F-Tasten (ausgenommen F1)
  • A bis Z und 0 bis 9: Ein alphanumerisches Zeichen

Default: kein Eintrag


Benutzerberechtigung in Everywhere Server by zenon [Password]

Handbuch > Konfigurationsdateien > zenon6.ini > Benutzerberechtigung in Everywhere Server by zenon [Password]

Eintrag | Beschreibung
[PASSWORD] | Konfiguration der Zugangsberechtigungen für Everywhere Server.
EVWH_ACCESS= | Berechtigungsebene, welche Zugang zum Everywhere Server hat. Wert: Nummer des projektierten Berechtigungslevels Default: 0 (= jeder hat Zugang)


Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM]

Handbuch > Konfigurationsdateien > zenon6.ini > Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM]

Ab Version 7 werden Remote und Diagnose über zwei unterschiedliche Dienste abgewickelt. Sind auf einem Gerät sowohl alte als auch neue Diagnose Clients oder Diagnosis Server vorhanden, können diese über INI-Einträge unabhängig voneinander konfiguriert werden. So können zum Beispiel die LOG-Einträge von alten Diagnose Clients umgeleitet werden, ohne dass die LOG-Einträge neuer Diagnose Clients berührt werden.

Diagnosis Server vor Version 7.00 SP0

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für zenSysSrv (Remote-Transport und Diagnosis Server).

LOGDirectory=

Definiert Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird der LOG-Ordner im %ProgramData%-Ordner der verwendeten Version verwendet.

Beispiel:
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Konfigurationsstring für den Diagnosis Server und den zenSysSrv . Remote-Transport und Diagnose-System verwenden bis inklusive Version 6.51 SP0 die gleiche Serverkonfiguration. Der String besteht aus folgenden Teilen: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart.
    TCP/IP und seriell stehen zur Verfügung.
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.
  • BAUD: gibt die Verbindungsgeschwindigkeit einer seriellen Verbindung an.

Konfiguration PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Konfiguration CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

  • 0: inaktiv (Default)

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE :

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Hinweis: Im Zuge der Trennung von zenSysServ und zenLogServ für zenon 7.00 wurde dieser Defaultwert auch für andere Versionen umgestellt. Davor war der Defaultwert 2.

Diagnosis Server ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Server. Betrifft nur zenLogSrv und hat keine Auswirkung auf zenSysSrv.

LOGDirectory=

Definiert den Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird verwendet:

  • der aus der Registry extrahierte Pfad
    z. B. %ProgramData%\COPA-DATA\LOG
  • der LOG-Ordner im %ProgramData%-Ordner des zenLogSrv, falls in der Registry kein Pfad definiert wird
    z. B. %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Konfigurationsstring für den Diagnosis Server. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

Default: 0

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE:

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Diagnosis Client vor Version 7.00 SP0:

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnosis Client abgelegt. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnosis Client abgelegt. Der String besteht aus folgenden Teilen:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Hinweise

INIT unter CE

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]oder [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnosis Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnosis Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnosis Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnosis Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

zenLogSrv auf einem System mit verschiedenen Versionen

Wird der zenLogSrv auf einem System mit verschiedenen Versionen als zentraler lokaler Diagnosis Server verwendet, muss der Eintrag LOG_CONFIG im Abschnitt [SYS_REMOTE] wie folgt lauten:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Grund: Ältere Clients verwenden dann den zenLogSrv als Diagnosis Server. Neue Clients machen das automatisch. Am PC wird dieser als Dienst automatisch beim Systemstart gestartet, unter CE muss er händisch gestartet werden.

Achtung: Ist der Port nicht erreichbar, starten ältere Clients den zenSysSrv und versuchen erneut eine Verbindung mit diesem herzustellen.


Drucker allgemein [DRUCKER] und [FRM_PRNT]

Handbuch > Konfigurationsdateien > zenon6.ini > Drucker allgemein [DRUCKER] und [FRM_PRNT]

Eintrag | Beschreibung
[DRUCKER] | Druckerzuordnung. Diese Einstellungen werden im Editor im Menü Datei -> Allgemeine Konfiguration -> Standard -> Drucker konfiguriert.
ALARM= | Online-Drucker für Alarmmeldeliste oder Chronologische Ereignisliste zur Runtime. Auswahl ob AML oder CEL in den Projekteigenschaften in der Gruppe AML und CEL oder über die Dateien ALAR.FRM oder BTB.FRM.
ALARM_OFFL= | Offline-Drucker für Alarmmeldeliste oder Chronologische Ereignisliste über Button Drucken im jeweiligen Bild. Formatkonfiguration über die Dateien ALAR_G.FRM oder BTB_G.FRM. Ist kein Eintrag vorhanden, wird der im Eintrag ALARM= definierte Drucker verwendet.
WERTE= | Drucker für Reports und wenn die Funktion Aktuellen Wert drucken (Ausgabe der aktuellen Werte und Tabellen) gewählt wurde.
HDDRUCKER= | Drucker für Screenshots.
LISTDRUCKER= | Drucker für allgemeine Listen.
[FRM_PRNT] | Konfiguration der formatierten Ausgabe der AML/CEL mit FRM_PRNT.DLL.
LINES= | Angabe der Zeilenanzahl pro Seite. Default: 0


Editor [EDITOR] und [Editor/CustomMenu]

Handbuch > Konfigurationsdateien > zenon6.ini > Editor [EDITOR] und [Editor/CustomMenu]

Eintrag

Beschreibung

[EDITOR]

Einstellungen im Editor.

Empfehlung: Konfiguration über Extras -> Einstellungen.

CASESENSITIVEFILTER=

Filter in der Detailansicht berücksichtigt Groß-/Kleinschreibung:

  • 0: nein
  • 1: ja

DIRECTX_TYPE=

Entscheidet, ob Hardwarebeschleunigung verwendet wird:

  • 1: aktiv
  • 0: inaktiv

Default: 1

DYNRAHMEN=

Rahmen um die Dynamischen Elemente im Editor anzeigen:

  • 0: nicht aktiv
  • 1: aktiv (Default)

EINGABE_SOFORT=

Aufruf der Eingabemaske eines Elements sofort bei Erstellung:

  • 0: nein
  • 1: ja

FANGPUNKTE=

Verwendung von Fangpunkten:

  • 0: aus
  • 1: ein

FANGPUNKTESIZE=

Größe der Fangpunkte in Pixel bei Bildern.

FANGPUNKTESIZE_TEMPL=

Größe der Fangpunkte in Pixel bei Schablonen.

KOORD_GLOBAL=

Anzeige der Koordinaten:

  • 0: Klient-Koordinaten des Fensters
  • 1: bildschirmunabhängige (globale) Pixelkoordinaten

LASTWORKSPACE=

Automatisches Laden des zuletzt genutzten Arbeitsbereichs beim Starten des Editors.

  • 1: Letzter Arbeitsbereich wird automatisch geladen
  • 0: Editor startet ohne Arbeitsbereich zu laden

RASTER=

Im Raster positionieren:

  • 0: nicht aktiv
  • 1: aktiv

RASTER_ABSTAND_X=

Rasterabstand horizontal in Pixel.
Default = 5

RASTER_ABSTAND_Y=

Rasterabstand vertikal in Pixel.
Default = 5

RASTER_COLOR=

Farbe der Rasterpunkte.

Die Farbe wird in Dezimalschreibweise eingegeben. Im Editor wird sie in Hexadezimal mit vorangestelltem # angezeigt.
Beispiel: Farbe #8000FF im Editor entspricht 16711808 in der INI-Datei.

RASTER_GRID=

Raster anzeigen:

  • 0: aus (Default)
  • 1: ein

RASTER_TYPE=

Art des Rasters:

  • 0: durchgezogen
  • 1: gepunktet (wird ab Version 7.20 nicht mehr unterstützt und bei Projektkonvertierung durch 0 ersetzt.)
  • 2: Schnittpunkte

RUECK_ANZ=

Anzahl der Aktionen, die rückgängig gemacht werden können.

Zum Beispiel: RUECK_ANZ=10

SORTLOGICAL=

Logische Sortierung von Texten in der Detailansicht:

  • 0: aus
  • 1: ein

SPOT=

Größe der Eckpunkte der Elemente.
Default = 5

SUCHE=

Pixelabstand bis zum Positionswechsel zum Feststellen des gleichen Punkts bei Verschiebung.
Default = 5

SYMBOL_COLOR=

Hintergrundfarbe des Symbols im Symboleditor, um den verfügbaren Zeichenbereich besser erkennen zu können.

Default: Weiß
Eintrag für Weiß: SYMBOL_COLOR=16777215

USE_WIZARDS=

Verwendung von Assistenten bei der Projektierung:

  • 0: aus
  • 1: ein

Hinweis: Betrifft nur Assistenten für die Konfiguration (z. B. Archivierung), aber nicht Wizards (z. B. Project Wizard).

WINDOW=

Der Editor merkt sich beim Schließen seine aktuelle Position und legt diese in der zenon6.ini ab. Beim nächsten Start wird er an der gespeicherten Position gestartet.

  • Erste Zahl: Legt fest, ob das Fenster minimiert (1), maximiert (2) oder normal (3) dargestellt wird.
  • Weitere Zahlen: Position von der linken oberen Ecke aus.

Beispiel: WINDOW=3,109,181,589,661

WORKSPACEVIEW=

Anzeige des Arbeitsbereichs im Editor:

  • 1: Arbeitsbereichsansicht aktiv
  • 0: Arbeitsbereichsansicht inaktiv

Benutzerdefiniertes Menü

Eintrag | Beschreibung
[Editor/CustomMenu] | Einträge für das benutzerdefinierte Menü im Editor. Empfehlung: Konfiguration über Optionen -> Einstellungen -> Menü Tools.
Arguments#0= | Parameter für Programmausführung.
File#0= | Name der auszuführenden Datei für Menüeintrag 0.
Name#0= | Eintrag im Menü für Programm 0.


Everywhere Server [EVERYWHERE]

Handbuch > Konfigurationsdateien > zenon6.ini > Everywhere Server [EVERYWHERE]

Eintrag

Beschreibung

[EVERYWHERE]

Konfiguration der globalen Eigenschaften für den Everywhere Server.

CERTIFCATE=

Serverzertifikat Subject für HTTPS

Betreff des Zertifikats. Das Zertifikat muss im Machine Store im Knoten MY (Eigene Zertifikate) gespeichert sein.

z.B.: CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1: Der Everywhere Server wird mit der zenon Runtime gestartet.
  • 0: Der Everywhere Server wird nicht gestartet.

Default: 0

PORT=

HTTPS-Port für die Kommunikation mit dem Everywhere Server

Default: 8050

WRITE_ACCESS=
  • 0: Nur lesender Zugriff über Everywhere Server möglich.
  • 1: Ermöglicht das Schreiben von Variablen und das Quittieren von Alarmen.

Default: 0

Weitere Informationen dazu finden Sie im Handbuch Everywhere Server by zenon.


Erweiterter Trend [EW-TREND]

Handbuch > Konfigurationsdateien > zenon6.ini > Erweiterter Trend [EW-TREND]

Eintrag

Beschreibung

[EW_TREND]

Konfiguration Erweiterter Trend.

AUTOSKALIERUNG=

Definiert, ob Autoskalierung per Default aktiviert ist oder nicht.

  • 0: aktiv
  • 1: inaktiv


Export [EXPORT]

Handbuch > Konfigurationsdateien > zenon6.ini > Export [EXPORT]

Eintrag

Beschreibung

[EXPORT]

Export-Konfiguration.

AML_CEL_NEU=

Export in dBase-Datei:

  • 0: im Standardformat
  • 1: in den wie im Editor für die entsprechenden Listen projektierten Spalten


Fenstereinstellungen [PROPERTY]

Handbuch > Konfigurationsdateien > zenon6.ini > Fenstereinstellungen [PROPERTY]

Eintrag

Beschreibung

[PROPERTY]

Einstellungen für Eigenschaftenfenster und Ausgabefenster.

OUTPUTHIDEERRORS=

Anzeige von Fehlern im Ausgabefenster unterdrücken:

  • 0: Anzeige erfolgt
  • 1: keine Anzeige

OUTPUTHIDEMESSAGES=

Anzeige von Nachrichten im Ausgabefenster unterdrücken:

  • 0: Anzeige erfolgt
  • 1: keine Anzeige

OUTPUTHIDEWARNINGS=

Anzeige von Warnungen im Ausgabefenster unterdrücken:

  • 0: Anzeige erfolgt
  • 1: keine Anzeige

SHOWALL=

Anzeige der Eigenschaften im Eigenschaftenfenster:

  • 0: aus
  • 1: ein

SHOWFAVORITES=

Anzeige der Favoriten im Eigenschaftenfenster:

  • 0: aus
  • 1: ein

Hat die Eigenschaft VIEW= den Wert 2 werden Favoriten immer angezeigt.

SORT=

Sortierung im Eigenschaftenfenster:

  • 0: aufsteigend
  • 1: absteigend
  • 2: logisch

VIEW=

Ansicht der Eigenschaften im Eigenschaftenfenster:

  • 0: gruppiert
  • 1: alle
  • 2: Dialogansicht


IP-Adresse unter Windows CE [IPADDR]

Handbuch > Konfigurationsdateien > zenon6.ini > IP-Adresse unter Windows CE [IPADDR]

Eintrag

Beschreibung

[IPADDR]

Nur unter Windows CE.

Da unter CE keine HOSTS Datei unterstützt wird, werden Computernamen über eine Zuordnungsliste den IP-Adressen zugeordnet.

Man benötigt diese Liste nur in Netzen ohne DNS. Ist ein DNS-Server vorhanden, löst Windows CE den Namen selbst auf.
Die Liste kann nur von Hand mit einem Texteditor eingestellt werden. Im Normalfall muss nur die Adresse des projektierten Servers eingetragen werden.

COMPUTERNAME1=

Ordnet dem Computer COMPUTERNAME1 eine IP-Adresse zu.
Beispiel: MAIN=10.20.10.01 ordnet dem Computernamen MAIN die entsprechende IP-Adresse zu.

Achtung: Alle Einträge (Computernamen) müssen großgeschrieben sein, sonst werden sie nicht erkannt


Message Control [MESSAGE CONTROL]

Handbuch > Konfigurationsdateien > zenon6.ini > Message Control [MESSAGE CONTROL]

Eintrag

Erklärung

[MESSAGE CONTROL]

Einstellungen für das Modul Message Control.

Empfehlung: Konfiguration über die Eigenschaften der Gruppe Message Control im Arbeitsbereich inklusive Untergruppen und die Eigenschaften der Gruppe Projektspezifische Einstellungen im Knoten Message Control im Projektbaum.

GSM_SMS=

Aktivierung von SMS über GMS als Versandart.

  • 0: aktiv
  • nicht 0: inaktiv

Default: 0

Der Eintrag entspricht in der Message32.ini dem Eintrag [GSM]
On

Dieser wird beim Importieren/Exportieren der INI-Einstellungen berücksichtigt.

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe SMS-Nachricht (GSM-Modem).

GSM_SMS_COM=

COM-Port, der für die Verbindung zum Modem verwendet wird.

Default: leer

Entspricht im Editor der Eigenschaft Modemanschluss (seriell).

GSM_SMS_PIN=

PIN-Code, der zur Authentifizierung gegenüber dem Modem verwendet wird.

Default: leer

Entspricht im Editor der Eigenschaft PIN-Code.

GSM_SMS_SMSC=

Telefonnummer der Kurzmitteilungszentrale des GSM-Providers.

Default: leer

Entspricht im Editor der Eigenschaft Nummer der Kurzmitteilungszentrale.

GSM_BULK_DELETE=

Verhalten beim Löschen von SMS:

  • 0: Nachrichten werden mit der Methode Index gelöscht. Gelesene SMS werden einzeln gelöscht
  • 1: Nachrichten werden mit der Methode Statusflag gelöscht. Alle gelesenen SMS werden auf einmal gelöscht
    Hinweis: Diese Methode ist schneller und perfomanter, wird aber nicht von jedem Modem unterstützt.

Default: 0

Entspricht im Editor der Eigenschaft SMS mit der Statusflag-Syntax des AT+CMGD-Kommandos löschen.

Outlook=

Benachrichtigung per E-Mail über Outlook:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe E-Mail Nachricht (Outlook).

Outlook_Profile=

Name des Outlook Profils, das für den Versand benutzt werden soll.

Default: leer

Entspricht im Editor der Eigenschaft Profil.

POP_APOP=

Steuert die Authentifizierung am Posteingangsserver bei Benachrichtigung über SMTP/POP.

  • 0: Zur Authentifizierung werden Benutzer (USER) und Passwort (PASS) verwendet.
  • 1: Zur Authentifizierung wird das APOP-Kommando anstelle von Benutzer und Passwort verwendet.

Default: 0

Entspricht im Editor der Eigenschaft APOP zur Authentifizierung verwenden in der Gruppe E-Mail Nachricht (SMTP).

POP_KEEP_MAILS=

Legt fest, ob gelesene E-Mails am Server belassen werden:

  • 0: E-Mails werden nach dem Abruf am Server gelöscht.
  • 1: E-Mails werden nach dem Abruf am Server belassen.

Default: 0

Hinweis: Da POP3 keinerlei Möglichkeit zum Filtern der Mails beim Abrufen beinhaltet, werden immer alle im Posteingang vorhandenen Mails abgerufen. Ist diese Eigenschaft aktiv, steigt der Speicherverbrauch am Server und die Performance beim Abruf kann sinken.

Entspricht im Editor der Eigenschaft Gelesene E-Mails am Server belassen.

POP_PASSWORD=

Passwort für die Anmeldung am Posteingangsserver (POP3). Das Passwort wird verschlüsselt gespeichert und nur für die Authentifizierung entschlüsselt.

Darf nur im Editor geändert werden.

Default: leer

Entspricht im Editor der Eigenschaft Passwort in der Gruppe Posteingangsserver.

POP_POLL_INTERVALL=

Minimaler Abstand zwischen zwei POP3-Abfragen in Sekunden. Wert soll die Vorgaben des POP3 Servers nicht unterschreiten.

  • Minimum: 10
  • Maximum: 4294967295

Default: 60

Entspricht im Editor der Eigenschaft Minimale Zeitspanne zwischen Abfragen (s).

POP_PORT=

Port, auf dem der POP3 Server angesprochen wird.

  • Maximalwert: 6553

Default für:

  • ungesicherte Verbindung: 110
  • gesicherte Verbindung: 995

Entspricht im Editor der Eigenschaft Port in der Gruppe Posteingangsserver.

POP_SECURITY=

Art der Absicherung der Verbindung zum POP3 Server.

  • 0: keine Absicherung
  • 1: SSLv2 und SSLv3
  • 2: TLSv1

Default: 0

Entspricht im Editor der Eigenschaft Verschlüsselung in der Gruppe Posteingangsserver.

POP_SERVER=

Adresse des POP3 Servers.

Default: leer

Entspricht im Editor der Eigenschaft Serveradresse in der Gruppe Posteingangsserver.

POP_USER=

Benutzername für den Posteingangsserver.

Default: leer

Entspricht im Editor der Eigenschaft Benutzername in der Gruppe Posteingangsserver.

SMSGateway=

Benachrichtigung per SMS über SMS-Gateway:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe SMS-Nachricht (SMS-Gateway).

SMSGateway_Inbox=

Eingangsordner des SMS-Servers für den SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Eingangsordner.

SMSGateway_OriginId=

Absenderkennung für SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Absenderkennung.

SMSGateway_Outbox=

Ausgangsordner des SMS-Servers für den SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Ausgangsordner.

SMSGateway_Prefix=

Anfangsbuchstabe der SMS-Dateien. Muss für jedes Projekt eindeutig sein.

Länge: 1 Zeichen

Default: F

Entspricht im Editor der Eigenschaft Anfangsbuchstabe der SMS-Dateien.

SMSGateway_SemaphorPrefix=

Anfangsbuchstabe der Sperrdatei.

Länge: 1 Zeichen

Default: S

Entspricht im Editor der Eigenschaft Anfangsbuchstabe der Sperr/Semaphor-Dateien.

SMSGateway_SmartAlarm=

Smartalarming wird verwendet. Muss für jedes Projekt eindeutig sein.

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Smart Alarming.

SMSGateway_Statusbox=

Ordner für Statusmeldung bei SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Statusordner.

SMSGateway_TimeOut=

Timeout-Zeit für ausgehende Nachrichten in Minuten. Legt fest, nach welcher Zeitspanne einen Nachricht als "nicht erfolgreich verschickt" interpretiert wird.

Default: 60

Entspricht im Editor der Eigenschaft Timeout.

SMTP_AUTH=

Authentifizierung am Postausgangsserver.

  • 0: keine Absicherung
  • 1: vor Versand am POP3 Server anmelden
  • 2: SMTP AUTH mit Anmeldung am SMTP Server vor Versand

Default: 0

Entspricht im Editor der Eigenschaft Authentifizierung am Postausgangsserver in der Gruppe Postausgangsserver.

SMTP_OTHER_CREDS=

Legt fest, ob der Postausgangsserver andere Anmeldedaten als der Posteingangsserver verwendet.

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft in der Gruppe Postausgangsserver.

SMTP_PASSWORD=

Hex-Dump des verschlüsselten Passwortes zur Authentifizierung am Postausgangsserver.

Default: leer

Entspricht im Editor der Eigenschaft in der Gruppe Postausgangsserver.

SMTP_OTHER_CREDS=

Anmeldedaten für SMTP-Server.

  • 0: Anmeldedaten für den Posteingangsserver werden auch am Postausgangsserver verwendet.
  • 1: Für die Authentifizierung am Postausgangsserver werden andere Anmeldedaten als am Posteingangsserver verwendet.

Default: 0

Entspricht im Editor der Eigenschaft Andere Anmeldedaten als am Posteingangsserver verwenden in der Gruppe Postausgangsserver.

SMTP_OUT_ADDR=

Adresse für ausgehende E-Mails.

Default: leer

Entspricht im Editor der Eigenschaft Adresse für ausgehende E-Mails in der Gruppe Postausgangsserver.

SMTP_POP_MAIL=

Benachrichtigung per E-Mail über SMTP/POP:

  • 1: aktiv
  • 0: inaktiv

Default: 0

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe Postausgangsserver.

SMTP_PORT=

Definiert den verwendeten Port am SMTP Server.

Maximum: 65535

Default: 25

Entspricht im Editor der Eigenschaft Port in der Gruppe Postausgangsserver.

SMTP_SECURITY=

Art der Verschlüsselung der Verbindung zum SMTP Server.

  • 0: keine Absicherung
  • 1: SSLv2 und SSLv3
  • 2: TLSv1

Default: 0

Entspricht im Editor der Eigenschaft Verschlüsselung in der Gruppe Postausgangsserver.

SMTP_SERVER=

Der vom Benutzer eingegebene SMTP Server.

Default: leer

Entspricht im Editor der Eigenschaft Serveradresse in der Gruppe Postausgangsserver.

SMTP_SRV_IS_POP=

Der Eintrag bestimmt, ob der POP3 Server als SMTP Server verwendet wird.

  • 1: POP 3 ist SMTP
  • 0: POP3 und SMTP sind unterschiedliche Server

Default: 0

Entspricht im Editor der Eigenschaft Posteingangsserver für ausgehende E-Mails verwenden in der Gruppe Postausgangsserver.

SMTP_SUBJECT=

Betreff für ausgehende E-Mails und zur Erkennung, ob eine eingehende E-Mail am Server für die Versandart relevant ist.

Eingehenden E-Mails müssen diesen Text ebenfalls im Betreff stehen haben, um vom System weiter verarbeitet zu werden. E-Mails, die diesen Text nicht enthalten, werden weder an Message Control weitergeleitet noch vom Server gelöscht.

Default: MsgCtrl_Alert:

Entspricht im Editor der Eigenschaft E-Mail Betreff in der Gruppe Postausgangsserver.

SMTP_USER=

Benutzername für den Postausgangsserver gespeichert.

Default: leer

Entspricht im Editor der Eigenschaft Benutzername in der Gruppe Postausgangsserver.

SMTP_USER_IS_ADDR=

Definiert, ob der Benutzername für die Authentifizierung gegenüber dem Postausgangsserver als Absenderadresse für ausgehende Mails verwendet wird. Wird nur verwendet, wenn der Eintrag SMTP_AUTH= nicht 0 ist.

  • 1: aktiv
  • 0: inaktiv

Default: 0

Entspricht im Editor der Eigenschaft Benutzername ist Adresse für ausgehende E-Mails in der Gruppe Postausgangsserver.

Speech=

Benachrichtigung per Text-to-Speech über Modem:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Voice Modem (Text-to-Speech) in der Gruppe Sprachnachricht.

Speech_Name=

Auswahl der Stimme und Sprache für Text-to-Speech.

Achten Sie auf die Auswahl der zum Editor passenden Stimmen:

  • 32-Bit Editor: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • 64-Bit Editor: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Default: leer

Entspricht im Editor der Eigenschaft Stimme in der Gruppe Text-to-Speech.

Speech_Rate=

Geschwindigkeit der Stimme.

  • Minimum: -10
  • Maximum: 10

Default: 0

Entspricht im Editor der Eigenschaft Geschwindigkeit des Redeflusses in der Gruppe Text-to-Speech.

Speech_Volume=

Lautstärke der Stimme. Zahl entspricht dem Prozentwert vom Maximalwert der gewählten Stimme.

  • Maximum: 100
  • Minimum: 0 Wert vom Betriebssystem wird ohne Änderung übernommen.

Default: 0

Entspricht im Editor der Eigenschaft Lautstärke in der Gruppe Text-to-Speech.

Subject=

Eindeutige ID, die eingehende Mails wieder enthalten müssen, um in Message Control verarbeitet zu werden.

Default: MsgCtrl_Alert:

Entspricht im Editor der Eigenschaft Betreff (Id) in der Gruppe E-Mail Nachricht (Outlook).

Telephone=

Benachrichtigung per Audiodatei via Modem:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Voice Modem (Audiodatei) in der Gruppe Sprachnachricht.

Telephone_IgnoreDisconnect=

Verhalten bei Verbindungsabbruch:

  • 1: Ein Verbindungsabbruch (z. B. Empfänger beendet Gespräch) wird ignoriert und die Nachricht wird vollständig abgespielt, bevor die Leitung geschlossen wird.
  • 0: Nachricht wird abgebrochen, wenn Verbindung abbricht.

Default: 0

Entspricht im Editor der Eigenschaft Auflegen ignorieren in der Gruppe Sprachnachricht.

Telephone_Line=

Angabe des zu verwenden Modems. Muss bereits am Rechner konfiguriert sein.

Entspricht im Editor der Eigenschaft Leitungsname in der Gruppe Telefon Einstellungen.

Telephone_LineId=

Automatisch erstelle Gerät-ID, die das ausgewählte Modem identifiziert. Dient bei mehreren Modems gleichen Namens zur Unterscheidung der Geräte.

Achtung: Dient nur der Information. Darf hier nicht verändert werden.

Entspricht im Editor der Eigenschaft Leitungs-Id in der Gruppe Telefon Einstellungen.

Telephone_Timeout=

Zeit in Minuten, nach der eine stehende Verbindung abgebrochen und beendet werden soll. Zeitintervall muss länger sein als die für das Abspielen und Bestätigen der Nachricht benötigte Zeit.

Default: 1

Entspricht im Editor der Eigenschaft Timeout [min] in der Gruppe Sprachnachricht.

Telephone_WelcomeMessageCount=

Anzahl der Wiederholungen für den Willkommenstext.

Default: 5

Entspricht im Editor der Eigenschaft Begrüßungstext wiederholen in der Gruppe Sprachnachricht.

VOIP_AUDIO=

Sprachnachricht per Voice over IP als Audiodatei:

  • 0: inaktiv
  • 1: Voice over IP (Audiodatei)

Default: 0

Entspricht im Editor der Eigenschaft Voice over IP (Audiodatei) in der Gruppe Sprachnachricht.

Hinweis:

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_DOMAIN=

Serveradresse des VoIP-Anbieters.

Default: (leer)

Entspricht im Editor der Eigenschaft Serveradresse in der Gruppe Voice over IP.

VOIP_PASSWORD=

Passwort für den VoIP-Zugang.

Wird verschlüsselt gespeichert und darf nur in der Oberfläche geändert werden.

Default: (leer)

Entspricht im Editor der Eigenschaft Passwort in der Gruppe Voice over IP.

VOIP_RTP=

Nummer des RTP Ports für VoIP.

Default: 4000

Entspricht im Editor der Eigenschaft RTP-Port in der Gruppe Voice over IP.

VOIP_SIP=

Nummer des SIP Ports für VoIP.

Default: 5060

Entspricht im Editor der Eigenschaft SIP-Port in der Gruppe Voice over IP.

VOIP_TTS=

Sprachnachricht per Voice over IP als Text-to-Speech.:

  • 0: inaktiv
  • 1: Voice over IP (Text-to-Speech)

Default: 0

Entspricht im Editor der Eigenschaft Voice over IP (Text-to-Speech) in der Gruppe Sprachnachricht.

Hinweis:

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_USER=

Benutzername für VoIP-Zugang.

Default: (leer)

Entspricht im Editor der Eigenschaft Benutzername in der Gruppe Voice over IP.

info Info

Manche Eigenschaften können die Werte anderer Eigenschaften übernehmen. Sie speichern immer die zuletzt eingegebenen Werte. Daher müssen die Werte der INI-Einträge nicht immer mit den im Editor angezeigten Werten der Eigenschaften übereinstimmen. Betroffen sind davon folgende Eigenschaften:

  • SMTP_SERVER= -> Serveradresse
  • SMTP_USER= -> Benutzername
  • SMTP_PASSWORD= -> Passwort
  • SMTP_OUT_ADDR= -> Adresse für ausgehende E-Mails


Netzwerk [NETZ]

Handbuch > Konfigurationsdateien > zenon6.ini > Netzwerk [NETZ]

Eintrag

Beschreibung

[NETZ]

Netzwerk-Einstellungen

ANALYZER2_SERVER_TIMEOUT_SEC=

Wartezeit für Verbindung bei Ausführung der Analyzer Report Execution Function.

Wert in Sekunden.

  • Minimum: 1
  • Maximum: 86400

Default: 100

Nur gültig bei Verbindung zu einem Analyzer Server der Version 2.XX. Ab Version 7.50 wird das Timeout über die Optionen des ZAMS konfiguriert.

ENCRYPTION_PWD

Hier wird das Passwort nach seiner Erstellung automatisch verschlüsselt eingetragen. Das Passwort wird rechnerabhängig verschlüsselt, daher führt ein identisches Passwort bei unterschiedlichen Rechnern zu unterschiedlichen Inhalten dieses Eintrags.

Hinweis: Dieser INI-Eintrag gilt auch für den zenon Web Client.

NET_CONNECTCOUNT=

Anzahl der Wiederholungen des TCP/IP Connects am Client.

  • 0:

Default = 0 (sofortige Wiederholung)

NET_CONNECTWAIT_MSEC=

Wartezeit nach einem fehlgeschlagenen TCP/IP Connect am Client in Millisekunden .
Default = 30000

NET_PROXYPORT=

Port für die Verbindung vom zenon Web Client zum zenon Web Server: Der zenon Web Server lauscht am Port, der zenon Web Client verbindet sich zum Port.
Default:

  • TCP: 1102
  • HTTP: 8080

NET_TIMEOUT_MSEC=

Timeout für Netzwerkkommunikation in Millisekunden.
Default = 30000 (entspricht 30 Sekunden).

Dieser Eintrag bestimmt sowohl die Wartezeit, bevor sich der Standby Server zum Prozessführenden Server (bei Ausfall) hochstuft.

Zusätzlich bestimmt dieser Eintrag die Größe des Puffers. Der Puffer am Standby Server speichert alle Werte während der projektierten Zeit. Zusätzlich wird dieser Zeitbereich für die Pufferung um ein Drittel der projektierten Zeit erhöht.

NET_NETMODULTIMEOUT_MSEC=

Timeout für Modulkommunikation in Millisekunden. Wird für nicht spontane Modulanforderung am Client oder Standby verwendet. Wenn innerhalb der eingestellten Zeit keine Antwort vom Server kommt, wird die Aktion abgebrochen.

Default = 30000

Beispiele: Aufruf von Archivdaten für Erweiterten Trend, Rezept-Verwaltung, Passwortliste ...)

POLLING_INTERVALL=

Wartezeit in Millisekunden, bis der zenon Web Client erneut eine HTTP-GET-Anfrage zum zenon Web Server sendet, wenn der Puffer für eine Verbindung leer ist.

Default: 2000

PWD_VALIDATION=

Hash zur Überprüfung, ob sich die zur Verschlüsselung benutzten Daten verändert haben.

Hinweis: Dieser INI-Eintrag gilt auch für den zenon Web Client.

QUESIZE=

Maximale Objektanzahl in Queue im Netzwerk.
Default: 5000

TIMESYNCH=

Zeitsynchronisierung:

  • 1: = Zeit wird mit einem Serverprojekt abgeglichen (Default)
  • 0: = Zeit wird nicht abgeglichen (z.B für Kreisredundanz)

USE_ENCRYPTION=

Verschlüsselung aktivieren oder deaktivieren:

0: inaktiv

1: aktiv

Hinweis: Dieser INI-Eintrag gilt auch für den zenon Web Client.

USEIPV6=

Regelt die Verwendung von IPv6.

1: Aktiv, alle TCP-Verbindungen werden ausschließlich über IPv6 aufgebaut.

0: Inaktiv, alle TCP-Verbindungen werden ausschließlich über IPv4 aufgebaut.

Dualer Betrieb ist nicht möglich.

Hinweis: Wird diese Option geändert, müssen alle laufenden zenon Prozesse neu gestartet werde. Das betrifft insbesondere zenAdminSrv, zenSysSrv, zenLogSrv und zenDBSrv.

Folgende Komponenten sind von der Einstellung nicht betroffen:

  • Treiberkommunikation mit den Steuerungen
  • Protokollkommunikation in den ProcessGateway-Plugins
  • Workbench- und Runtimekommunikation in zenon Logic

Achtung: Funktioniert nur ab Version 7. Bei aktiver Option können keine Versionen vor 7 gestartet werden.

WAN=

Verbindung des Client zum Server:

  • 0: LAN (Default)
  • 1: WAN

WAN_IDLETIME=

WAN Leerlaufzeit.
Nach dieser Zeit wird die Verbindung zum Server oder Client geschlossen.
Default = 30000 ms


Pfadeinstellungen [PATH]

Handbuch > Konfigurationsdateien > zenon6.ini > Pfadeinstellungen [PATH]

Eintrag

Beschreibung

[PATH]

Pfadeinstellungen.

BILDER=

Pfad der BLD-Dateien.

BITMAP=

Erlaubte Grafikdateien. Folgende Formate sind möglich:

  • *.bmp
  • *.jpg
  • *.png
  • *.tif
  • *.wmf
  • *.xaml
  • *.cdwpf

DLL=

Pfad der DLL-Dateien (Programmordner).

EDOC_PATH =

Pfad zum EPLAN-Dokument (Elektrodokumentationsprogramm).

Zum Beispiel: EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

EXPORTARV=

Pfad für manuell ausgelagerte Archive (*.arv).

GRAPHIK=

Pfad der Grafik-Dateien für den Grafikimport.

ONLINE_HELP=

Pfad für CHM-Dateien in der Runtime.

VBF30=

Pfad zur aktuellen Projektdatenbank.

WEB_PROJECT_PATH=

Pfad für die Runtime-Dateien des zenonWeb Client. Wenn dieser Eintrag nicht vorhanden ist, wird der Ordner %temp%\zenWebCli verwendet.

Einträge aus global_vars.js in der zenon Web Server werden an diesen Pfad angehängt.


Port-Konfiguration [LISTENING_SOCKETS]

Handbuch > Konfigurationsdateien > zenon6.ini > Port-Konfiguration [LISTENING_SOCKETS]

Eintrag

Beschreibung

[LISTENING_SOCKETS]

Konfiguration der Listening Ports für Anwendungen. Änderungen müssen in die zenon6.ini aller anderen in die Kommunikation eingebundenen Rechner übertragen werden.

Achtung:

  • Änderungen können einen Neustart des Rechners auslösen.
  • Alle Rechner, mit denen kommuniziert wird, müssen über idente Einstellungen verfügen.
  • Diese Einstellungen stehen unter Windows CE nicht zur Verfügung.
  • Zur Runtime werden die in der jeweiligen zenon6.ini gespeicherten Einstellungen verwendet.

Empfehlung: Konfigurieren Sie diese Einstellungen über das Startup Tool.

XXX_CUST_PORT=

XXX steht für die entsprechende Anwendung.

Alternative Portnummer. Nur wirksam, wenn XXX_PORT_CASE=1.

XXX_BIND_ADDRESS=

XXX steht für die entsprechende Anwendung.

Feste IP-Adresse. Nur wirksam, wenn XXX_BIND_CASE=1.

XXX_BIND_ADAPTER=

XXX steht für die entsprechende Anwendung.

Name des Netzwerkadapters. Nur wirksam, wenn XXX_BIND_CASE=2.

XXX_BIND_CASE=

XXX steht für die entsprechende Anwendung.

Art der Bindung:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

XXX_PORT_CASE=

XXX steht für die entsprechende Anwendung.

Art der Portzuordnung:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Anwendungen und deren Defaulteinstellungen

Administration Service

ADMINSRV_CUST_PORT=

Alternative Portnummer für Administrator Service. Nur wirksam, wenn ADMINSRV_PORT_CASE=1.

Default: 50777

ADMINSRV_BIND_ADDRESS=

Feste IP-Adresse für Administrator Service. Nur wirksam, wenn ADMINSRV_BIND_CASE=1.

Default: 0.0.0.0

ADMINSRV_BIND_ADAPTER=

Name des Netzwerkadapters für Administrator Service. Nur wirksam, wenn ADMINSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

ADMINSRV_BIND_CASE=

Art der Bindung für Administrator Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

ADMINSRV_PORT_CASE=

Art der Portzuordnung für Administrator Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Analyzer Connector Service

ANACONSRV_CUST_PORT=

Alternative Portnummer für Analyzer Connector Service. Nur wirksam, wenn ANACONSRV_PORT_CASE=1.

Default: 50778

ANACONSRV_BIND_ADDRESS=

Feste IP-Adresse für Analyzer Connector Service. Nur wirksam, wenn ANACONSRV_BIND_CASE=1.

Default: 0.0.0.0

ANACONSRV_BIND_ADAPTER=

Name des Netzwerkadapters für Analyzer Connector Service. Nur wirksam, wenn ANACONSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

ANACONSRV_BIND_CASE=

Art der Bindung für Analyzer Connector Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

ANACONSRV_PORT_CASE=

Art der Portzuordnung für Analyzer Connector Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Analyzer License Service

ANALICSRV_CUST_PORT

Alternative Portnummer für Analyzer License Service. Nur wirksam, wenn ANALICSRV_PORT_CASE=1.

Default: 50779

ANALICSRV_BIND_ADDRESS=

Feste IP-Adresse für Analyzer License Service. Nur wirksam, wenn ANALICSRV_BIND_CASE=1.

Default: 0.0.0.0

ANALICSRV_BIND_ADAPTER=

Name des Netzwerkadapters für Analyzer License Service. Nur wirksam, wenn ANALICSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

ANALICSRV_BIND_CASE=

Art der Bindung für Analyzer License Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

ANALICSRV_PORT_CASE=

Art der Portzuordnung für Analyzer License Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

DB Service

DBSRV_CUST_PORT=

Alternative Portnummer für DB Service. Nur wirksam, wenn DBSRV_PORT_CASE=1.

Default: 1103

DBSRV_BIND_ADDRESS=

Feste IP-Adresse für DB Service. Nur wirksam, wenn DBSRV_BIND_CASE=1.

Default: 0.0.0.0

Default: 0.0.0.0

DBSRV_BIND_ADAPTER=

Name des Netzwerkadapters für DB Service. Nur wirksam, wenn DBSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

DBSRV_BIND_CASE=

Art der Bindung für DB Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

DBSRV_PORT_CASE=

Art der Portzuordnung für DB Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Logging Service

LOGSRV_CUST_PORT=

Alternative Portnummer für Logging Service. Nur wirksam, wenn LOGSRV_PORT_CASE=1.

Default: 50780

LOGSRV_BIND_ADDRESS=

Feste IP-Adresse für Logging Service. Nur wirksam, wenn LOGSRV_BIND_CASE=1.

Default: 0.0.0.0

LOGSRV_BIND_ADAPTER=

Name des Netzwerkadapters für Logging Service. Nur wirksam, wenn LOGSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

LOGSRV_BIND_CASE=

Art der Bindung für Logging Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

LOGSRV_PORT_CASE=

Art der Portzuordnung für Logging Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Network Service

NETSRV_CUST_PORT=

Alternative Portnummer für Network Service. Nur wirksam, wenn NETSRV_PORT_CASE=1.

Default: 1100

NETSRV_BIND_ADDRESS=

Feste IP-Adresse für Network Service. Nur wirksam, wenn NETSRV_BIND_CASE=1.

Default: 0.0.0.0

NETSRV_BIND_ADAPTER=

Name des Netzwerkadapters für Network Service. Nur wirksam, wenn NETSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

NETSRV_BIND_CASE=

Art der Bindung für Network Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

NETSRV_PORT_CASE=

Art der Portzuordnung für Network Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

SNMP Trap Service

SNMPTRAPSRV_CUST_PORT=

Alternative Portnummer für SNMP Trap Service. Nur wirksam, wenn SNMPTRAPSRV_PORT_CASE=1.

Default: 50782

SNMPTRAPSRV_BIND_ADDRESS=

Feste IP-Adresse für SNMP Trap Service. Nur wirksam, wenn SNMPTRAPSRV_BIND_CASE=1.

Default: 0.0.0.0

SNMPTRAPSRV_BIND_ADAPTER=

Name des Netzwerkadapters für SNMP Trap Service. Nur wirksam, wenn SNMPTRAPSRV_BIND_CASE=2

Default: kein Eintrag (leer).

SNMPTRAPSRV_BIND_CASE=

Art der Bindung für SNMP Trap Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

SNMPTRAPSRV_PORT_CASE=

Art der Portzuordnung für SNMP Trap Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Transport Service

SYSSRV_CUST_PORT=

Alternative Portnummer für Transport Service. Nur wirksam, wenn SYSSRV_PORT_CASE=1.

Default: 1101

SYSSRV_BIND_ADDRESS=

Feste IP-Adresse für Transport Service. Nur wirksam, wenn SYSSRV_BIND_CASE=1.

Default: 0.0.0.0

SYSSRV_BIND_ADAPTER=

Name des Netzwerkadapters für Transport Service. Nur wirksam, wenn SYSSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

SYSSRV_BIND_CASE=

Art der Bindung für Transport Service:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

SYSSRV_PORT_CASE=

Art der Portzuordnung für Transport Service:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

WEB Service CLassic

WEBSRV_CUST_PORT=

Alternative Portnummer für WEB Service Classic. Nur wirksam, wenn WEBSRV_PORT_CASE=1.

Default: 1102

WEBSRV_BIND_ADDRESS=

Feste IP-Adresse für WEBService Classic. Nur wirksam, wenn WEBSRV_BIND_CASE=1.

Default: 0.0.0.0

WEBSRV_BIND_ADAPTER=

Name des Netzwerkadapters für WEB Service Classic. Nur wirksam, wenn WEBSRV_BIND_CASE=2.

Default: kein Eintrag (leer).

WEBSRV_BIND_CASE=

Art der Bindung für WEB Service Classic:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

WEBSRV_PORT_CASE=

Art der Portzuordnung für WEB Service Classic:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

WEB Service Tunneling

WEBSRVTNL_CUST_PORT=

Alternative Portnummer für WEB Service Tunneling. Nur wirksam, wenn WEBSRVTNL_PORT_CASE=1.

Default: 8080

WEBSRVTNL_BIND_ADDRESS=

Feste IP-Adresse für WEB Service Tunneling. Nur wirksam, wenn WEBSRVTNL_BIND_CASE=1.

Default: 0.0.0.0

WEBSRVTNL_BIND_ADAPTER=

Name des Netzwerkadapters für WEB Service Tunneling. Nur wirksam, wenn WEBSRVTNL_BIND_CASE=2

Default: kein Eintrag (leer).

WEBSRVTNL_BIND_CASE=

Art der Bindung für WEB Service Tunneling:

  • 0: Alle Adapter (Any)
  • 1: per Adresse
  • 2: per Adapter

Default: 0

Hinweis: Für 1 und 2 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

WEBSRVTNL_PORT_CASE=

Art der Portzuordnung für WEB Service Tunneling:

  • 0: Default Port. Standard Port-Nummer.
  • 1: Custom Port. Individuelle Port-Nummer.

Default: 0

Hinweis: Für 1 muss die jeweilige Adresse über den entsprechenden Eintrag konfiguriert werden.

Übersicht Standard-Ports

Anwendung | Standard-Port
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (für Verteiltes Engineering im Editor) | 1434
zenAdminSrv.exe | 50777
zenLicTransfer (License Transfer Service) | 50784
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
WEB Service Tunneling | 8080
zenon Logic |
Belegter Port für zenon Logic oder straton hängt ab vom Projekt und Dienst. Z. B.: Erstes zenon Logic Projekt belegt 1200 und 9000, zweites Projekt 1201 und 9001 usw. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Treiber |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Programmierschnittstelle [Add-Ins], [PCE], [VBA] und [VSTA]

Handbuch > Konfigurationsdateien > zenon6.ini > Programmierschnittstelle [Add-Ins], [PCE], [VBA] und [VSTA]

Add-Ins

Eintrag

Beschreibung

[AddIns]

Einstellungen für das Add-In Framework.

ON=

Add-In Framework aktivieren:

  • 0: aus
  • 1: ein

Default: 1

Voraussetzung: VBA muss aktiviert sein.

PCE

Hinweis: PCE wird ab Version 7.20 nicht mehr unterstützt und nicht mehr im Modulbaum von zenon angezeigt. Beim Konvertieren von Projekten aus Versionen vor 7.20, die PCE-Tasks enthalten, wird der Knoten PCE für diese Projekte wieder eingeblendet. PCE wird nicht weiterentwickelt und dokumentiert.

Die INI-Einstellungen können weiter verwendet werden.

Empfehlung: Verwenden Sie zenon Logic anstelle von PCE.

Eintrag

Beschreibung

[PCE]

Einstellungen für die Process Control Engine.

ON=

PCE aktivieren:

  • 0: aus
  • 1: ein

Voraussetzung: VBA muss aktiviert sein.

VBA

Eintrag

Beschreibung

[VBA]

Parameter für Visual Basic for Applications.

BREAK=

VBA Meldungsbox bei Fehler mit Abfrage für Debuggen während der Runtime aktivieren.

  • 1: ein (Default)
  • 0: aus

EIN=

VBA aktivieren:

  • 0: aus:
    VBA wird nicht initialisiert und nicht geladen. Damit können keine IDE angezeigt und keine Wizards ausgeführt werden.
    VSTA wird damit ebenfalls deaktiviert.
    Die COM-Schnittstelle kann aber initialisiert werden.
  • 1: ein:
    VBA wird initialisiert und geladen.

EVENT=

VBA Events (Ereignisse) aktivieren:

  • 0: aus
    Verknüpfte VBA-Makros werden nicht ausgeführt.
    COM-Events werden nicht gefeuert.
  • 1: ein
    VBA-Makros werden ausgeführt und COM-Events werden gefeuert.

UPDATE=

Beim jedem Start des Editors wird der Dialog zum Update der Wizards aufgeschaltet:

  • 0: aus
  • 1: ein

[VBA_TOOLBAR]

Belegung der Symbole in der Makro-Symbolleiste mit VBA Makros.

VBABUTTON_x=

Zuweisung von Makros zu Symbolen der Makroliste. x steht für eine Ziffer zwischen 0 und 4. Es können bis zu fünf Makros mit Symbolen verknüpft werden: VBABUTTON_0 bis VBABUTTON_4.

Zum Beispiel: VBAButton_2=ActivateStartupScreen

Empfehlung: Konfiguration über die Symbolleiste Makroliste.

VSTA

Eintrag

Beschreibung

[VSTA]

Parameter für VSTA.

CSHARP=

Auswahl der VSTA Programmiersprache für Editor:

  • 1: C# (Default)
  • 0: VB.NET

LOADED=

Laden des VSTA Add-ins:

  • 1: VSTA Add-in für Editor wird beim Start geladen
  • 0: Beim Editor-Start wird über einen Dialog abgefragt, ob das VSTA Add-in geladen werden soll.

Hinweis: Führt ein fehlerhaftes Add-in zum Absturz des Editors, wird der Eintrag automatisch auf 0 gesetzt.

ON=

VSTA aktivieren:

  • 1: VSTA aktiviert (default)
  • 0: VSTA deaktiviert


Remote-Transport Parameter [SYS_REMOTE]

Handbuch > Konfigurationsdateien > zenon6.ini > Remote-Transport Parameter [SYS_REMOTE]

Eintrag

Beschreibung

[SYS_REMOTE]

Verwaltung der Remote-Transport Parameter im Netzwerk.

Konfiguration des Diagnosis Servers siehe Kapitel:

Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM].

AUTORUN=

Name und Pfad des Programms, das mit dem zenSysSrv gestartet wird.

BROWSE=

Anzeige des Browser-Fensters im CE zenSysSrv:

  • 0: keine Anzeige
  • 1: Anzeige

Hinweis: Das Fenster wird auch dann nicht angezeigt, wenn der Bildschirm zu klein ist.

CONFIG=

Konfigurationsstring für zenSysSrv . Remote-Transport und Diagnose-System verwenden bis inklusive Version 6.51 SP0 die gleiche Serverkonfiguration. Details für Konfiguration, vor allem ab Version 7 siehe Kapitel: Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM].

Der String besteht aus folgenden Teilen: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout].

  • DEVICE: setzt die verwendete Kommunikationsart.
    TCP/IP und seriell stehen zur Verfügung.
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Verbindungs-Timeoutzeit in Sekunden an.
  • BAUD: gibt die Verbindungsgeschwindigkeit einer seriellen Verbindung an.

Konfiguration PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Konfiguration CE:

  • DEVICE=COM1
  • BAUD=115200

INIT=

Bestimmt unter CE, was beim Starten der zeSysSrv-Oberfläche geschieht:

  • 0: beenden
  • 1: starten
  • [alles andere]: nur Oberfläche zeigen


Remote-Transport Passwort [TRANSPASS]

Handbuch > Konfigurationsdateien > zenon6.ini > Remote-Transport Passwort [TRANSPASS]

Eintrag

Beschreibung

[TRANSPASS]

Remote-Transport Passwort (auf Remote Station).

Hinweis: Konfiguration für Entwicklungsrechner in proeject.ini im Abschnitt Remote-Transport [ED_REMOTE], [DIRLIST] und [TRANSPASS].

FIX=

Passwort wird:

  • 1: gespeichert
  • 0: nicht gespeichert

KEY=

Passwort für Remote-Transport.

KEYCRYPT=

Verschlüsselt abgelegtes Passwort für Remote-Transport.

Wird nur verwendet, wenn KEY= leer ist.

Ab Version 7.20 Default. Die Umstellung erfolgt am Quellsystem automatisch bei der Konvertierung eines Projekts auf Version 7.20. Am Zielsystem muss die Umstellung manuell erfolgen.


Runtime [RT]

Handbuch > Konfigurationsdateien > zenon6.ini > Runtime [RT]

Eintrag

Beschreibung

[RT]

Einstellungen für Runtime.

DRIVER_QUE=

Größe der Sendequeue zur Runtime.

  • 0: unbegrenzt

Hinweis: Ab Version 8.00 hat diese Option keine Auswirkung mehr. Durch das veränderte Pufferverhalten kann es nicht mehr zu einer Blockade des Treibers durch die zenon Runtime kommen.

DRIVER_COUNT=

TMP-Eintrag für Treiber und Runtime. Zykluszeit des Threads im Treiber, der Daten in die zenon Runtime sendet.

Zum Beispiel: DRIVER_COUNT=100

DYNRAHMEN=

Definiert, ob zur Runtime Rahmen um Dynamische Elemente dargestellt werden.

  • 0: nicht darstellen
  • 1: darstellen

RECT_ANZ=

Einstellung für Optimierungsmaßnahmen.

Die neu darzustellenden Bereiche eines Bildes werden in Rechtecken gesammelt und anschließend neu gezeichnet. Nach Erreichen des festgelegten Werts werden die neuen Zeichenbereiche zum ersten Rechteck hinzugefügt.

Zum Beispiel: RECT_ANZ=50


SCADA Runtime Connector [ZRSCONNECTOR]

Handbuch > Konfigurationsdateien > zenon6.ini > SCADA Runtime Connector [ZRSCONNECTOR]

Eintrag | Beschreibung
[ZRSCONNECTOR] | Einstellungen für den SCADA Runtime Connector.
ENCRYPTION_PWD= | Verschlüsseltes Passwort für den SCADA Runtime Connector. Darf hier nicht geändert werden. Änderungen erfolgen über das zenon Startup Tool.


SYMBOL [SYMBOL]

Handbuch > Konfigurationsdateien > zenon6.ini > SYMBOL [SYMBOL]

Eintrag

Beschreibung

[SYMBOL]

SUBSTITUTE=

Substituierung beim Einfügen eines Symbols in ein Bild:

  • 1: Die Funktion Substituieren wird angewendet.
  • 0: Keine Substituierung.

Default: 1

Hinweis: Wirkt sich nur bei Elementen aus, die mit mindestens einer Variablen verknüpft sind.


Simulator [SIMULATOR]

Handbuch > Konfigurationsdateien > zenon6.ini > Simulator [SIMULATOR]

Eintrag

Beschreibung

[SIMULATOR]

BACKUP=

Sicherung der HD-Werte auf Festplatte:

  • 0: keine Sicherung
  • 1: Sicherung auf Festplatte (Default)

DIAG_LEVEL=

Definition, welche Aktionen in der Fehlerdatei protokolliert werden:

  • 0: keine Protokollierung (Default)
  • 1: Fehler mitschreiben (Sollwert setzen)

DWBEGIN=

Beginn der Variablenadressen für DWORD.

DWEND=

Ende der Variablenadressen für DWORD.

FLOATBEGIN=

Beginn der Variablenadressen für FLOAT.

FLOATEND=

Ende der Variablenadressen für FLOAT.

MAXHDVALS=

Gibt den größten Offsetbereich minus 1 für HD-Daten an. Bei HD-String muss der Offset um 4 unterhalb dieses Wertes bleiben.

Default: 1024

OFFSET=

Offset für Steuervariablen im Simulator.

Default: 0


Terminal Server [TERMINAL]

Handbuch > Konfigurationsdateien > zenon6.ini > Terminal Server [TERMINAL]

Eintrag

Beschreibung

[TERMINAL]

Einstellungen für Terminal Server

CLIENT=

Runtime am Terminal Server.

Mögliche Werte:

  • 0: Die Runtime kann nur einmal pro Session gestartet werden. Ein Betrieb am Terminal Server ist nicht möglich.
  • 1: Terminal Server wird verwendet. Die Runtime kann mehrfach gestartet werden, alle Einstellungen für Terminal Server Betrieb werden von der Runtime automatisch vorgenommen.

Default: 0

CLIENT_NO_FILE_ALIGN=

Parameter für Abgleich der Clients mit Server:

  • 0: Projekte werden immer von allen Clients nachgeladen.
  • 1: selektiver Abgleich aktiv.
    Nur der zenon Client, der in der Konsolen-Session des Terminal-Servers gestartet wird, gleicht die Runtime-Dateien mit dem zenon Server ab


Treiber

Handbuch > Konfigurationsdateien > zenon6.ini > Treiber

Einstellungen für Treiber.

Noch in diesem Kapitel

BrTcp32 [BrTcp32]

Sipa_32 [SIPA_32]

SNMPNG32 [SNMP_NG_TRAP_SERVICE]

Systemtreiber [SYSTEMTREIBER], [DEFAULT] und [LOCAL_VAR]


BrTcp32 [BrTcp32]

Handbuch > Konfigurationsdateien > zenon6.ini > Treiber > BrTcp32 [BrTcp32]

Eintrag

Beschreibung

[BrTcp32]

Einstellungen für den Treiber S7TCP32

LOGFILE=

Erweitertes Logging für den Treiber:

  • 1: Aktiviert das spezielle erweiterte Logging des Treibers. Ansicht der Einträge über den Diagnosis Viewer.
  • 0: nein


Sipa_32 [SIPA_32]

Handbuch > Konfigurationsdateien > zenon6.ini > Treiber > Sipa_32 [SIPA_32]

Eintrag

Beschreibung

[SIPA_32]

Einstellungen für den Treiber Sipa_32.

NOT_USED=

Liste von Hardwareadressen, die im Projekt nicht verwendet werden sollen.

Beispiel: NOT_USED=1,2,3,4

SIMUL=

Einstellung für den Hardware-Simulations-Modus. In diesem Modus wird die Hardware im Speicher nachgebildet und nicht wie im Simulationsmodus jede Variable einzeln behandelt.

  • 1: aktiviert
  • 0: deaktiviert


SNMPNG32 [SNMP_NG_TRAP_SERVICE]

Handbuch > Konfigurationsdateien > zenon6.ini > Treiber > SNMPNG32 [SNMP_NG_TRAP_SERVICE]

Eintrag | Beschreibung
[SNMP_NG_TRAP_SERVICE] | Einstellungen für den Treiber SNMPNG32
PollingInterval= | Polling-Intervall des Trapempfängerdienstes in Millisekunden. Default: 5000
PollingRetries= | Anzahl der Wiederholungen wenn ein Polling des Trapempfängerdienstes fehlschlägt. Default: 2
PollingRetryTimeout= | Wartezeit zwischen den Wiederholungen des Pollings am Trapempfängerdienst in Millisekunden. Default: 1000


Systemtreiber [SYSTEMTREIBER], [DEFAULT] und [LOCAL_VAR]

Handbuch > Konfigurationsdateien > zenon6.ini > Treiber > Systemtreiber [SYSTEMTREIBER], [DEFAULT] und [LOCAL_VAR]

Eintrag | Beschreibung
[DEFAULT] | Defaulteinstellungen.
UPDATE_SEK = | Zykluszeit des Systemtreibers in Sekunden
[LOCAL_VAR] | Einträge für die Systemtreibervariablen.
ID_DWORD_1 = <Wert> ID_DWORD_2 = <Wert> ID_DWORD_3 = <Wert> ID_DWORD_4 = <Wert> | Diese Einträge liefern die Werte für die Systemtreibervariablen Systeminfo -> Lokale System-Variable: DWORD1-4. Diese Variablen sind zur Identifikation eines einzelnen Rechners im Netzwerk gedacht. Das heißt, die Werte werden immer lokal in der zenon.ini Datei verwaltet. Für jede dieser Variablen können standardmäßig Grenzwerte definiert werden. Falls in der zenon.ini keine Einträge vorhanden sind, werden in zenon zur Runtime die Werte für diese Variablen auf 0 gesetzt.


zenProcGateway.ini

Handbuch > Konfigurationsdateien > zenProcGateway.ini

[GENERAL]

Eintrag

Beschreibung

[GENERAL]

Allgemeine Einstellung für das Process Gateway, unabhängig vom gewählten Modul.

DLL=

Auswahl der DLL-Datei, welche für das Process Gateway verwendet wird. Die gewählte DLL-Datei bestimmt die Modulauswahl

  • AccessAzure.dll
  • AccessDEC.dll
  • AccessDNP3_SG.dll
  • AccessICCP.dll
  • AccessIEC870Sl.dll
  • AccessMODBUS.dll
  • AccessOPCUA.dll
  • AccessSNMP.dll
  • AccessSQL.dll

Noch in diesem Kapitel

AccessDEC [DEC]

DNP3 Slave [DNP3]

ICCP-TASE.2 [ICCP]

IEC870 Slave [IEC870Sl]

MODBUS Slave [MODBUS]

OPC UA Server [OPCUA]

Access SNMP [SNMP]

AccessSQL [DATABASE]

AccessAzure [Azure]


AccessDEC [DEC]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > AccessDEC [DEC]

Hinweis: Die Konfigurationsdatei muss im Systemordner liegen.

[DEC]

Eintrag | Beschreibung
PORT= | Port Nummer, auf dem das Process Gateway auf Verbindungsversuche wartet
TCPTIMEOUT= | Timeout-Intervall, nachdem eine Verbindung beendet wird
REFRESHRATE= | Zeitintervall in Millisekunden, in dem das Prozessabbild von zenon auf Änderungen überprüft wird.


DNP3 Slave [DNP3]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > DNP3 Slave [DNP3]


ICCP-TASE.2 [ICCP]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > ICCP-TASE.2 [ICCP]

[ICCP]

Eintrag

Beschreibung

SERVER_PORT=

Nummer des IP-Ports des Servers; der Port erlaubt die Verbindung von entfernten Clients.

Der Port wird beim Start geöffnet und bleibt bestehen.

Default: 102

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

MAX_CONNECTIONS=

Maximale Anzahl der Verbindungen von entfernten ICCP-Clients zum Server. Wird ignoriert wenn CLIENT_AUTO_CONNECT=1 konfiguriert wurde.

Default: 0 (= uneingeschränkt)

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

MAJOR_VERSION_NUMBER=

Hauptversionsnummer des ICCP Protokolls, z.B.: 1996, 2000.

Default: 2000

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

MINOR_VERSION_NUMBER=

Unterversionsnummer des ICCP Protokolls.

Default: 8

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

BILATERAL_TABLE_ID=

Bilaterale Tabellenkennzeichnung. Diese wird beim Verbindungsaufbau zwischen allen ICCP-Kommunikationspartnern abgeglichen.

Hinweis: Die eindeutige bilaterale Tabellenkennzeichnung muss auf allen Geräten, die mit dem ICCP-TASE.2 Process Gateway kommunizieren, gleich sein.

LOCAL_DOMAIN_NAME=

Lokaler ICCP-Domänenname; Einstellung für Server, soll spiegelverkehrt zum Kommunikationspartner eingestellt sein.

REMOTE_DOMAIN_NAME=

Remote ICCP-Domänenname; Einstellung für Client, soll spiegelverkehrt zum Kommunikationspartner eingestellt sein.

CLIENT_AUTO_CONNECT=

Projektierung, ob bei Start des Process Gateways der Client automatisch den Verbindungsaufbau zum entfernten ICCP-Server initialisiert.

0: nicht initialisieren - nur warten

1: initialisieren

CLIENT_IP_NAME=

IP-Adresse oder Hostname des entfernten Server, wenn dieser Client die Kommunikation initialisieren soll.

CLIENT_PORT=

Port-Nummer des entfernten Server, wenn dieser Client die Kommunikation initialisieren soll.

CHECK_SERVER_Variables=

Überprüfung ob alle konfigurierten Variablen auf dem entfernten Server zur Verfügung stehen.

0: keine Überprüfung von projektierten Variablennamen.

1: Überprüfung von projektierte Variablennamen.

CHECK_SERVER_VARIABLES_MERKER_BIT=

Statusbit für Client-Variablen, die bei aktivierter Überprüfung der projektierten Variablen nicht am Server vorhanden sind.

0: kein Statusbit für fehlende Client-Variablen

1 bis 8: Benutzerstatusbit M1 bis M8

SERVER_STATE_VARIABLE=

Name der Variable für die Anzeige des Verbindungsstatus zwischen ICCP-Server und entferntem Client.

CLIENT_STATE_VARIABLE=

Name der Variable für die Anzeige des Verbindungsstatus zwischen ICCP-Client und entferntem Server.

NOT_AVAILABLE_SERVER_VARIABLES_VARIABLE=

Name der Variable für die Anzeige von Variablennamen (in der zenon Runtime), welche für die aktuelle Clientverbindung nicht am entfernten Server verfügbar sind.

CALLING_OSI_SESSION_SELECTOR=

CALLING_OSI_PRESENTATION_SELECTOR=

CALLING_OSI_AE_QUALIFIER=

CALLING_OSI_AP_TITLE=

CALLED_OSI_SESSION_SELECTOR=

CALLED_OSI_PRESENTATION_SELECTOR=

CALLED_OSI_AE_QUALIFIER=

CALLED_OSI_AP_TITLE=

OSI-Kommunikationsparameter

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

[VARIABLES]

Gruppe für konfigurierte Bezüge zwischen zenon Variablen und ICCP-Variablen. Gelistet werden:

  • Parameter jeder ICCP-Variablen
  • Anzahl der Variablen
  • Namen der Variablen
Eintrag | Beschreibung
PARAM_0= | Parameter für ICCP-Name. Die Nummerierung beginnt mit 0. Mit jedem weiteren Parameter wird der Zähler um 1 erhöht. Dieser Bezeichner entspricht dem Bezeichner des Variablennamens. PARAM_0 entspricht NAME_0. Beispiel: PARAM_0=1,0,0,ICCP_Name
COUNT= | Zahl der konfigurierten Bezüge
NAME_0= | Name der zenon Variablen. Die Nummerierung beginnt mit 0. Mit jedem weiteren Parameter wird der Zähler um 1 erhöht. Dieser Bezeichner entspricht dem Parameterbezeichner. PARAM_0 entspricht NAME_0. Beispiel: NAME_0=MyName


IEC870 Slave [IEC870Sl]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > IEC870 Slave [IEC870Sl]

Verschlüsselung

Parameter

Beschreibung

TLS_ACTIVE=

Art der abgesicherten Kommunikation.

  • 0: deaktiviert
    Keine verschlüsselte Kommunikation.
  • 1: aktiviert
    Kommunikation erfolgt verschlüsselt, auf Basis der folgenden Parameter.

Default: 0

TLS_CERTIFICATE_STORE_PATH=

Absoluter Ablageort der Zertifikate. Dieses Basisverzeichnis muss die beiden Unterverzeichnisse CA und PRIVATE enthalten.

  • CA
    für vertrauenswürdige Zertifikate

und

  • PRIVATE
    für eigene Zertifikate

TLS_CERTIFICATE_FILE=

Name des TLS-Zertifikates.
Der Default-Ablageort wird mit dem Eintrag für den [Ablageort der Zertifikate] (TLS_CERTIFICATE_STORE_PATH=) projektiert. Das TLS-Zeritifikat muss dort im Ordner PRIVATE vorhanden sein.

TLS_CIPHER_LIST=

Liste der unterstützten Verschlüsselungsverfahren. Die Liste enthält die Kürzel im openSSL-Format.

TLS_PEER_CERTIFICATE_SUBJECT=

Verwendete Zertifikats-Identifizierung des Clients.

Das Client-Zertifikat muss das hier konfigurierte SUBJECT enthalten. Bei Nicht-Übereinstimmung wird die Verbindung abgebrochen.

TLS_RENEGOTIATION_TIMEOUT=

Maximale Dauer einer verschlüsselten Verbindung, bevor diese erneuert wird.
Nach Ablauf der projektierten Zeit wird die Verschlüsselung neu initialisiert. Dabei werden Zertifikate und Schlüssel neu ausgetauscht. Zeitangabe in Sekunden.

Default: 86400

TLS_RENEGOTIATION_MAX_BYTES=

Datenmenge, für die eine verschlüsselte Verbindung benutzt wird, bevor diese erneuert wird.

Nach Übertragung der projektierten Datenmenge wird die Verschlüsselung neu initialisiert. Dabei werden Zertifikate und Schlüssel neu ausgetauscht. Angabe in Bytes.

Default: 1048576

TLS_RESUMPTION_TIMEOUT=

Maximale Dauer eines benutzten Schlüssels, bevor er erneuert wird.
Es erfolgt nur eine Erneuerung des Schlüssels. Das Zertifikat wird dabei nicht aktualisiert. Nach Ablauf der projektierten Zeit wird das Zertifikat erneuert. Zeitangabe in Sekunden.

Default: 43200

TLS_RESUMPTION_MAX_BYTES=

Datenmenge, für die ein Schlüssel benutzt wird, bevor er erneuert wird.

Nach Übertragung der projektierten Datenmenge wird die Verschlüsselung erneuert. Das Zertifikat wird dabei nicht aktualisiert. Angabe in Bytes.

Default: 10485760

TLS_CRL_CHECK_INTERVAL=21600

Zeitintervall für die Prüfung, ob das aktuell verwendete Zertifikat in der REVOCATION LIST enthalten ist.

Ist das Zertifikat in der REVOCATION LIST enthalten, ist die verschlüsselte Verbindung nicht mehr sicher. Die Verbindung wird abgebrochen. Zeitangaben in Sekunden.

Default: 21600


MODBUS Slave [MODBUS]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > MODBUS Slave [MODBUS]

[MODBUS]

Eintrag | Beschreibung
COMPORT= | Serielle Schnittstelle (COM1 = 0, COM2 = 1,...). Kann über Konfigurationsdialog eingestellt werden.
BAUD= | Baudrate der seriellen Schnittstelle. Kann über Konfigurationsdialog eingestellt werden.
BYTESIZE= | Anzahl Datenbits der seriellen Schnittstelle
PARITY= | Paritätseinstellungen der seriellen Schnittstelle: 0=No 1=Odd 2=Even Kann über Konfigurationsdialog eingestellt werden.
STOPBITS= | Anzahl Stoppbits der seriellen Schnittstelle 0=1 1=1.5 2=2 Kann über Konfigurationsdialog eingestellt werden.
TIMEOUT= | Timeoutintervall bei serieller Kommunikation in Millisekunden
HWADDRESS= | Hardwareadresse des MODBUS-Systems. Default: 1 Kann über Konfigurationsdialog eingestellt werden.
REFRESHRATE= | Updatezeit in Millisekunden
SERIELL= | Serielle oder TCP/IP Kommunikation: 1 = seriell 0 = TCP/IP Kann über Konfigurationsdialog eingestellt werden.
PORT= | TCP/IP-Port
TCPTIMEOUT= | TCP/IP-Timeout Intervall in Sekunden

[MODBUS VARIABLES]

Variablen, die im AccessMODBUS ausgetauscht werden sollen.

Hinweis: Dieser Eintrag ersetzt ab zenon 7.11 den ursprünglichen Eintrag [VARIABLES]. Damit wird verhindert, dass für Variablen aus dem Standardprojekt ein überflüssiger Austausch über die Option Logic zu SCADA Verbindung durchgeführt wird.

Eintrag

Beschreibung

COUNT

Anzahl der zu exportierenden Variablen

OFFSET_n

Modbus-Adresse, die der entsprechenden Nummer (n) zugeordnet ist. Nummerierung startet mit 0.

NAME_n

Name der Variable, die der entsprechenden Nummer (n) zugeordnet ist. Nummerierung startet mit 0.

Beispiele:

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variable aus Startprojekt
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variable aus Projekt "BASISTUTORIAL"


OPC UA Server [OPCUA]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > OPC UA Server [OPCUA]

[OPCUA]

Eintrag

Beschreibung

SERVER_NAME=

Name des OPC UA Servers zu dem das Gateway eine Verbindung aufbaut.

SERVER_PORT=

Port für die Kommunikation zum OPC UA Server.

Default: 4841

CERTIFICATES_PATH=

Pfad für den Stammordner mit den Zertifikatsdateien und den jeweiligen Unterordnern.

Default: %ProgramData%\PKI\CA\

Hinweis: Eintrag muss gelöscht werden, wenn beim Start des Process Gateway neue Zertifikat erstellt werden sollen.

SERVER_CERTIFICATE_LOCATION=

URI der Datei mit dem öffentlichem Schlüssel des Servers. Der Pfad wird immer absolut angegeben. Dieser öffentliche Schlüssel wird vom Client zum Verschlüsseln der Nachrichten verwendet.

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Hinweis: Eintrag muss gelöscht werden, wenn beim Start des Process Gateway neue Zertifikat erstellt werden sollen.

SERVER_PRIVATE_KEY_LOCATION=

URI der Datei mit dem privatem Schlüssel des Servers. Der Pfad wird immer absolut angegeben. Dieser private Schlüssel wird vom Server zum Entschlüsseln der Nachrichten des Clients verwendet.

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Hinweis: Eintrag muss gelöscht werden, wenn beim Start des Process Gateway neue Zertifikat erstellt werden sollen.

ONLY_SECURE_CONNECTIONS=

Auswahl, welche Art der Verbindung (sicher oder unsicher) für einen Verbindungsaufbau zugelassen ist.

  • TRUE
    Eine Verbindung zum Server ist nur mit einer sicheren Verbindung möglich.
  • FALSE
    Eine Verbindung zum Server ist auch mit einer unsicheren Verbindung möglich.

Default: TRUE

TRUST_ALL_CLIENT_CERTIFICATES=

Auswahl, welche Art von Zertifikaten (Client- oder Serverzertifikate) für einen Verbindungsaufbau zugelassen ist.

  • TRUE
    Alle Client-Zertifikate werden akzeptiert, die Verbindung wird aufgebaut.
  • FALSE
    Alle Clients, die sich mit dem Server verbinden wollen, müssen ein gültiges Zertifikat übermitteln. Dieses Zertifikat wird zusätzlich darauf überprüft, ob es sich in der Liste der bekannten Client-Zertifikate (Certificate trust list path) befindet.

Default: TRUE

USE_USER_AUTHENTICATION=

Auswahl, ob die Benutzerverwaltung des aktuellen zenon Projekts bei der Anmeldung am Server für die Identifizierung verwendet werden soll.

  • TRUE
    Clients können sich am Server nur mit gültiger Benutzerkennung und Passwort anmelden.
    Hinweis: Dazu muss im zenon Editor die Benutzerverwaltung aktiviert und projektiert sein.
  • FALSE
    Anonymes Login ist möglich.

Default: FALSE

MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION=

Anzahl der Subscriptions pro Session. Einstellbar zwischen minimal 1 und maximal 100 Subscriptions.

Default: 10

[Variables]

Eintrag | Beschreibung
PROJECT_x= | Name des Projekts aus dem die Variablen stammen. x steht für die Nummerierung innerhalb eines Projekts, beginnend bei 0. Beispiel: PROJECT_0=TEST
PARAM_x= | Parameter für Projekt x. Nummerierung erfolgt von 0 aufwärts. Beispiel: PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet
COUNT= | Anzahl der konfigurierten Variablen.
NAME_x= | Name der Variablen. x steht für die Nummerierung des Projekts, beginnend bei 0. Beispiel: NAME_0=Driverforinternalvariables_ModemHwAdrSet

2 = Konstante für Namespace Index

Wird fix durch das System vorgegeben/vergeben und darf nicht geändert werden.


Access SNMP [SNMP]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > Access SNMP [SNMP]


AccessSQL [DATABASE]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > AccessSQL [DATABASE]


AccessAzure [Azure]

Handbuch > Konfigurationsdateien > zenProcGateway.ini > AccessAzure [Azure]

[Azure]

Eintrag | Beschreibung
INTEGRITYPERIOD= | Intervall des Schreibzyklus in Sekunden.
PROXY_DOMAIN= | Adresse des Proxy-Servers.
PROXY_USER= | Benutzername für die Anmeldung am Proxy-Server.
PROXY_PWD= | Passwort für die Anmeldung am Proxy-Server. Hinweis: Das Passwort wird auch in der .INI-Datei verschlüsselt dargestellt.

Hinweis: Damit die Proxy-Einstellungen funktionieren, muss auf dem Rechner .NET 4.5 installiert sein.

[VARIABLES]

Eintrag

Beschreibung

Name_n=

Name der Variable für das Process Gateway.
Format: QUELLPROJEKT#QUELLVARIABLE.

Nummerierung (n):

n steht dabei für die laufende Nummer der Verbindungskonfiguration.

Diese Nummerierung beginnt mit 0.

Beispiel:

  • 1 Variable ergibt n = 0
  • 3 Variablen ergeben für den dritten Eintrag n = 2

Count=

Anzahl der Variablen.

Hinweis: Hier beginnt die Nummerierung mit 1. Acht Verbindungen ergeben Count=8.

[CONNECTIONS]

Eintrag

Beschreibung

CONN_n=

Name der MS Azure Verbindung.

Nummerierung (n):

n steht dabei für die laufende Nummer der Verbindungskonfiguration.

Diese Nummerierung beginnt mit 0.

Beispiel:

  • 1 Verbindung ergibt n = 0
  • 3 Verbindungen ergeben für den dritten Eintrag n = 2

QUEUE_n=

Name der MS Azure Warteschlange.

Für die Nummerierung (_n) gelten dieselben Regeln wie für CONN

COUNT=

Anzahl der konfigurierten MS Azure Verbindungen.

Hinweis: Hier beginnt die Nummerierung mit 1. Zwei Verbindungen ergeben Count=2.


zenWebSrv.ini

Handbuch > Konfigurationsdateien > zenWebSrv.ini

Einstellungen für den zenon Web Server.

Parameter

Beschreibung

[DEFAULT]

Basiseinstellungen.

INIT=

Einstellung für Aktivierung des zenon Web Servers.

Andere Einstellung als 0: Web Server wurde von Systemsteuerung aus gestartet.

USE_HTTP_PROXY=

Legt fest, ob die Verbindung über TCP oder über HTTP erfolgt.

  • 0: TCP wird verwendet.
  • Nicht 0: HTTP Tunnelling wird verwendet.

Wert kann direkt über den Konfigurationsdialog des Web Servers gesetzt werden

[PROXY]

Datenaustausch zwischen zenon Web Server und Systemsteuerung.

REMOVE_CLIENT

Dieser Eintrag meldet an den zenon Web Server, wenn in der Systemsteuerung ein angemeldeter Client entfernt wurde.

MAX_CLIENT

Maximale Anzahl an Client. (Abhängig von Lizenz.)

AKT_CLIENT

Aktuelle Anzahl angemeldeter Clients.

LICENCEINFO

Lizenzinformation, wie sie in der Systemsteuerung angezeigt wird:

  • Demo Web Server Pro
  • Demo Web Server
  • Runtime Web Server Pro
  • Runtime Web Server

[CLIENTLIST]

Liste der angemeldeten Clients.

NAME_[Index 00 aufwärts]

Name des angemeldeten Clients.

Hinweis: Die Einträge in [PROXY] und [CLIENTLIST] werden beim Starten des zenon Web Servers gelöscht. Bekommt der Dienst ein Steuerkommando von der Systemsteuerung, werden die Einträge nach Bedarf geschrieben oder gelesen.

info Info

Die zenWebSrv.ini finden Sie im Pfad %cd_system%.


Last-Management

Handbuch > Last-Management

Das Last-Management ist ein Werkzeug zur Unterstützung der betriebswirtschaftlichen Betriebsführung. Es dient zur Umsetzung eines Energiebezugsmanagements bei kleinen bis mittleren Energieerzeugern, aber auch bei Industrieunternehmen, deren Energiebezug über Sonderverträge geregelt ist.

Das Modul inkludiert dabei zwei hochwertige Funktionalitäten zur Unterstützung des Anwenders:

  • Prognose (Kurzfristprognose): Zur Vermeidung von Lastspitzen und zur Automatisierung des Lastabwurfes.
  • Optimierung: Optimierung des gemittelten Energiebezuges einer Verrechnungsperiode.

Der Fokus liegt auf energietechnischen Anlagen.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Einleitung

Funktionsweise des Systems im Strombereich

Grundsätzliche Überlegungen

Methode des Last-Managements

Mehrstufige Blockheizkraftwerke (BHKWs)

Projektierung des Moduls Last-Managements

Interner Status der Komponenten

Erzeugen der Runtime-Dateien

Bedienen des Last-Management zur Runtime


Einleitung

Handbuch > Last-Management > Einleitung

Aufgabe eines Last-Management ist es, die wirtschaftliche Betriebsführung von Sondervertragskunden wie Energieversorgungsunternehmen (EVU) oder Industriebetrieben zu optimieren. Als wesentliche Hilfsmittel dazu werden Energie-Trendrechnungen eingesetzt, die als Basis für eine automatisierte Energiebezugsoptimierung dienen.

Noch in diesem Kapitel

Ausgangssituation im Elektrizitätsbereich

Ziele einer wirtschaftlichen Betriebsführung

Gasnetz


Ausgangssituation im Elektrizitätsbereich

Handbuch > Last-Management > Einleitung > Ausgangssituation im Elektrizitätsbereich

Im Elektrizitätsbereich kommt in der Regel ein Tarif zur Anwendung, der sowohl die vom Lieferanten getätigten Investitionen/Baukosten, als auch die anfallenden Kosten für die Energieerzeugung und Netzerhaltung berücksichtigt.

Zur Festlegung des Leistungspreises werden bei diesen Unternehmen daher in der Regel einige der im Jahr angefallenen höchsten Leistungen herangezogen. Die Ermittlung der gemittelten Leistung erfolgt in einer festgelegten Messperiode, üblicherweise 15 oder 30 Minuten. Ferner wird im Arbeitspreis die bezogene Energie verrechnet. Die auf dieser Basis geschlossenen Verträge sind im Normalfall langfristig gültig.


Ziele einer wirtschaftlichen Betriebsführung

Handbuch > Last-Management > Einleitung > Ziele einer wirtschaftlichen Betriebsführung

Ziel der wirtschaftlichen Betriebsführung im Elektrizitätsbereich ist es, vom Lieferanten möglichst viel Energie zum vertraglich festgelegten, möglichst niedrigen Leistungspreis zu beziehen (Optimierung).

Einsparungspotenzial ergibt sich in solchen Konstellationen durch das Vermeiden teurer Leistungsspitzen. Die Leistungsspitzen innerhalb einer Messperiode lassen sich durch gezielte regelnde Eingriffe reduzieren:

  • Lastabwurf bei schaltbaren Verbrauchern
  • Einsatz der Eigenerzeugung

Dazu ist es notwendig, die mittlere Leistung einer Messperiode vorherzusehen (Prognose). So lässt sich eine drohende Überschreitung der festgelegten Bezugsleistungsgrenze rechtzeitig erkennen und man kann entsprechend regelnd eingreifen.


Gasnetz

Handbuch > Last-Management > Einleitung > Gasnetz

Das Modul Last-Management unterstützt ab zenon 7.50 nur noch Stromnetze.

Die Funktionalität für Gasnetze wurde entfernt. Bei Import, Konvertierúng und Kompilierung von zenon Projekten aus früheren Versionen wird eine entsprechende Meldung im Ausgabefenster des zenon Editors ausgegeben, wenn noch Projektierungsinhalte für Gasnetze vorhanden sind.

Bei Start in der zenon Runtime wird ein entsprechender CEL-Eintrag erstellt.

Hinweistext

Für Projektierungen mit Gasnetz-Inhalten wird im Ausgabefenster des zenon Editor folgende Meldung ausgegeben:

Die Funktionalität "Gasnetz" wird im Modul Last-Management nicht länger unterstützt und deshalb nicht importiert.


Funktionsweise des Systems im Strombereich

Handbuch > Last-Management > Funktionsweise des Systems im Strombereich

Für die Versorgung mit elektrischer Energie beträgt die Messperiode oder Verrechnungsperiode in der Regel 15 oder 30 Minuten. In dieser Zeit wird die an den Übergabestellen erfasste mittlere Bezugsleistung (im Folgenden als Leistung oder Last bezeichnet) oder die äquivalente Energiemenge ermittelt und verrechnet.

Der Leistungspreis richtet sich üblicherweise nach den höchsten 3 Werten, die für die Messperiode in unterschiedlichen Monaten angefallen sind. Der Leistungspreis ist dann über einen längeren Vertragszeitraum gültig.

Die zur Berechnung des Leistungspreises herangezogene mittlere Leistung, lässt sich reduzieren, wenn entstehende Lastspitzen durch gezielte Eingriffe begrenzt werden. Eingriffsmöglichkeiten bestehen für diese kurzfristige Bezugsoptimierung durch den Einsatz von:

  • Lastabwurf schaltbarer Verbraucher
  • Erhöhung der Eigenerzeugung

Das Ziel der Strombezugsoptimierung ist, die vertraglich festgelegte oder angestrebte Bezugsleistung (Soll-Leistung oder Grenzleistung) innerhalb einer Messperiode in keinem Fall zu überschreiten. Bei entsprechend hohem Leistungsbedarf soll diese aber auch nur wenig unterschritten werden, um ein Maximum an Energie zu beziehen.

Realisiert wird die Bezugsoptimierung durch eine Trendrechnung als Kurzzeitprognose. Mit den im Bearbeitungsintervall (meist 30, 60 oder 180 Sekunden) erfassten Messwerten wird dazu eine Trendanalyse durchgeführt und der ermittelte Trend bis zum Periodenende hochgerechnet.


Grundsätzliche Überlegungen

Handbuch > Last-Management > Grundsätzliche Überlegungen

Auf den folgenden Seiten finden Sie Überlegungen und Beispiele, die es Anwendern erleichtern, beeinflussbare Elemente Ihrer Anlage zu identifizieren und auszuwählen. Es geht um die Frage, welche Elemente oder Geräte durch ein Last-Management sinnvoll direkt oder indirekt beeinflusst werden können.

Noch in diesem Kapitel

Optionen zur Lastbeeinflussung im Strombereich

Lastcharakteristika der Verbraucher


Optionen zur Lastbeeinflussung im Strombereich

Handbuch > Last-Management > Grundsätzliche Überlegungen > Optionen zur Lastbeeinflussung im Strombereich

Option

Beschreibung

Direkt schaltbare Verbraucher

Zu dieser Gruppe gehören Verbraucher, die kurzzeitig abschaltbar sind, ohne Produktionsprozesse störend zu unterbrechen (Industrieöfen, Pumpen für Wasservorratsbehälter etc.).

Die Lasten haben einen festen Wert und sind üblicherweise vom Verbraucher abhängig und daher bekannt oder messbar.

Direktheizungen

Diese Verbraucher sind aufgrund ihres Speichereffektes ohne wesentliche Minderung der Versorgungsqualität kurzzeitig unterbrechbar (Heizungen in Warmwasserspeichern, elektrisch betriebene Fußbodenheizungen etc.).

Die Lasten bestehen aus einem konstanten und einem temperaturabhängigen Anteil. Die Last ist außerdem von der vorausgegangenen Abschaltdauer abhängig.

Monovalente Wärmepumpen

Diese Pumpen werden üblicherweise wie Direktheizungen betrieben.

Der temperaturabhängige Anteil ist stärker ausgeprägt und steigt mit fallender Außentemperatur (Pumpen zur Wärmeerzeugung inkl. Klimageräte) oder steigt mit ansteigender Außentemperatur (Klimageräte). Die Last ist von der vorhergegangenen Abschaltdauer abhängig.

Bivalente Wärmepumpen

Diese können unter den eingesetzten Brennstoffen wählen und werden unterhalb einer gewissen Temperatur von der eigenen Steuerung oder durch die Optimierung auf einen anderen Energieträger umgeschaltet.

Für die Verbraucher entstehen dabei keine Versorgungseinschränkungen. Da die Umschaltung nicht ständig erfolgen soll, werden diese Komponenten nur langfristig und restriktiv umgeschaltet.

Das Lastverhalten steigt bei fallender Temperatur bis zum Umschaltpunkt, um dann gänzlich zu verschwinden.

Nachtspeicherheizungen

Diese Verbraucher werden planmäßig oder nach der freien Leistung zur Niedertarifzeit mit Energie versorgt. Sie sind in der übrigen Zeit abgeschaltet.

Die Last ist wesentlich von der Außentemperatur abhängig. Es macht sich bemerkbar, wie viele Heizungen anspringen (begrenzt durch die installierte Leistung) und wie lange diese aufgeladen werden.

Spitzenlastaggregate und Notstromaggregate

Diese Aggregate können nach Bedarf zu und abgeschaltet werden. In einigen Fällen sind die Aggregate regelbar. Da der Anlauf mit zusätzlichen Kosten beim Verschleiß verbunden ist, sollte die Anzahl der Einsätze eingeschränkt werden. Außerdem sollten diese Aggregate nach der Einschaltung auch eine Mindestbetriebsdauer zur Vermeidung thermischer Schäden berücksichtigen.

Blockheizkraftwerke (BHKW)

Diese Aggregate werden vorrangig zur Wärmeerzeugung gebaut und werden beim Einsatz durch den Wärmebedarf geführt (Wärmevorrang).

Einige Aggregate sind auch direkt zur Stromerzeugung einsetzbar (Stromvorrang). Diese Betriebsweise ist, wenn nicht gleichzeitig die Wärme abgenommen wird, normalerweise unwirtschaftlich. Daher ist der Einsatz nur bei entsprechendem Wärmebedarf oder der Möglichkeit der Wärmespeicherung vorteilhaft.

Die Lastreduktion in Bezug auf die Übernahmestelle ist von den Nenngrößen und bei geregelten oder wärmegeführten Maschinen vom Arbeitspunkt der Aggregate abhängig.

Die Zusammenfassung von Aggregaten zu Gruppen ist durchaus üblich. Nach dem Wärmebedarf wird dann eine bestimmte Anzahl aus der Gruppe eingesetzt. Die maximale Leistungsabsenkung im Strombereich ist durch die Anzahl und Nennleistung der nicht eingesetzten Aggregate gegeben.

Spannungsabsenkung

Im Strombereich ist es in einigen Netzen möglich, die Spannung abzusenken. Dazu werden die Transformatoren zur Mittelspannungsebene auf eine niedrigere Stufe gestellt.

Die Spannungsabhängigkeit der Verbraucher (ohmsche Lasten) bewirkt hier einen anderen Lastbedarf, sofern nicht untergeordnete Regelungen die Spannung oder Leistung wieder angleichen.

Der Effekt in Form der Lastreduktion ist von der Netzlast, der möglichen Spannungsabsenkung (Minimalspannungen müssen eingehalten werden) und auch von der Verbraucherzusammensetzung abhängig.


Lastcharakteristika der Verbraucher

Handbuch > Last-Management > Grundsätzliche Überlegungen > Lastcharakteristika der Verbraucher

Zur Rekonstruktion des eigentlich geforderten Lastbedarfs müssen für das Lastverhalten der abgeschalteten Komponenten Modelle verwendet werden, die unterschiedlichen Klassen zugeordnet werden können.

Art | Beschreibung
Konstante Leistung | Beim Einschalten läuft ein Aggregat (Pumpe, Ofen) mit definierter Leistungsaufnahme an. Entsprechend reduziert sich beim Ausschalten der Verbrauch direkt um die Leistungsaufnahme. In diesem Fall ist die Angabe der Nennleistung als Konstante ausreichend.
Direkt temperaturabhängig | Eine Temperaturabhängigkeit der Verbraucher ist direkt von den Witterungseinflüssen abhängig und steigt bei Wärmeleistung etwa proportional zum negativen Gradienten der Außentemperatur. In Bezug auf Kühlleistung kehrt sich das Verhalten um.
Ladezeitmodell | Dabei macht sich die Temperatur einerseits in der Höhe der Einschaltleistung bemerkbar und andererseits durch die Länge der darauffolgenden Ladezeit bis zum Abfall der Leistung, wenn alle Wärmespeicher aufgeladen sind.
Abhängigkeit von der Ausschaltdauer | Dabei werden abhängig von der vorausgegangenen Ausschaltdauer - infolge der zwischenzeitlichen Auskühlung oder Erwärmung - mehr oder weniger viele Verbraucher eingeschaltet, die sich dann nach kurzer Zeit wieder ausschalten.
Abhängigkeit vom Produktionsprozess | Im Industriebereich kann es, bedingt durch Produktionsprozesse, zu Verhalten kommen, die keinem Verhaltensmuster oder Abhängigkeiten unterliegen und die nur durch die Produktionsfahrpläne bestimmt sind.


Methode des Last-Managements

Handbuch > Last-Management > Methode des Last-Managements

Das Last-Management für elektrische Energie (Strom) basiert auf einer Zeitreihenanalyse, wobei der bisher gemessene Leistungsverlauf analysiert und in die Zukunft extrapoliert wird. Der Prognosehorizont für das Last-Management entspricht der Restzeit in der jeweiligen Messperiode.

Noch in diesem Kapitel

Eingangswerte

Das Modell der Kurzfristprognose

Arbeitsweise der Bezugsregelung

Überlagerung von Fahrplaneingaben


Eingangswerte

Handbuch > Last-Management > Methode des Last-Managements > Eingangswerte

Das Last-Management erwartet als Eingangswert einen Zählwert oder Rechenwert, der von den Treibern geliefert oder in zenon als Ergebnis einer mathematischen Formel gebildet wird.

Achtung: Es muss sichergestellt werden, dass dieser im Aktualisierungsintervall genau einmal geliefert wird. Es dürfen keine Werte fehlen und keine Werte doppelt geliefert werden.

Die Dimension: MW, kW oder kWh

Das System ist ausgelegt auf Basis von kW und Stunde. Daher sind die in allen Parametrierungsmasken geforderten Leistungen und Energiemengen auf diese Größe und Dimension bezogen. Die Last-Management-Funktionen rechnen intern aber dimensionsfrei. Daher ist es eigentlich unbedeutend, in welcher Dimension die Werte angeliefert und interpretiert werden, solange diese auf die gleiche Basis bezogen sind. Es kann als Basiseinheit kW oder MW angesetzt werden.

info Info

Da das Last-Management bei Ausfällen eine Komponente darstellt, die große Kosten verursachen kann, ist die Sicherung der Eingangswerte besonders wichtig. Es empfiehlt sich, durch den Einsatz von sinnvollen Ersatzwerten oder durch eine Ersatzwertstrategie diese Werteingänge für das Modul sicher zu stellen.


Das Modell der Kurzfristprognose

Handbuch > Last-Management > Methode des Last-Managements > Das Modell der Kurzfristprognose

Für eine Hochrechnung des momentanen Leistungsverlaufes ist es notwendig, ein mathematisches Modell des Leistungsverlaufes zu bilden. Durch Extrapolation des Leistungsverlaufes mit diesem Modell über die Restzeit der laufenden Verrechnungsperiode wird der erwartete Leistungswert am Periodenende geschätzt.

Leistungstrend

Zur Zeit des Periodenendes T ist die Leistung P prog (T) zu ermitteln. Für die Ermittlung des momentanen Leistungstrends wird eine lineare Funktion in Form eines Polygons ersten Grades angesetzt, die bis zum Periodenende extrapoliert wird.

P prog (T) = P konst (t) + P trend (t) * ( T - t )

Die mathematisch anzusetzenden Polygonkoeffizienten p0, p1 sind hier zum leichteren Verständnis nach Ihrer physikalischen Bedeutung benannt.

Koeffizient | Beschreibung
P prog | prognostizierter Leistungswert
P konst | Leistungskonstante (Höhe der letzten Werte)
P trend | Leistungstrend (linearer Anstieg/Abfall)
T | Zeitpunkt des Endes des Messintervalls
t | aktueller Zeitpunkt

Energietrend

Daraus abgeleitet ergibt sich der Energietrend bis zum Periodenende E (T) durch die Funktion

E prog (T) =P mittel (t) * t + P konst (t) * (T - t) + ½ * P trend (t) * (T - t)

Koeffizient | Beschreibung
E prog | prognostizierter Energiewert
P mittel | Leistungsmittelwert (aus Zählwert)

Der erste Summand stellt die bis zum Zeitpunkt t ermittelte Energie dar. Diese kann, wie in der Formel, über den Leistungsmittelwert gegeben sein, oder auch als direkt ermittelter Energiewert E (t).

Der zweite Summand schreibt die bisherige konstante Leistung bis zum Periodenende fort und ermittelt daraus den konstanten Energieanteil.

Der dritte Summand beschreibt den zusätzlichen Einfluss aus dem Trend.

Bezüglich der Energieberechnung für die eigentliche Verrechnung ist ein Wert erforderlich, der am Messperiodenanfang exakt zurückgesetzt wird. Es ist daher nicht möglich, extern gefilterte Werte dafür zu verwenden.

Aus der obigen Formel ist der Mittelwert am Periodenende bestimmbar:

P prog mittel (T) = E prog (T) / T

Parameter | Beschreibung
P prog mittel | Prognostizierter mittlerer Leistungswert

Noch in diesem Kapitel

Berechnung der Korrekturleistung

Istwert- und Realwertprognose

Absenkung der Bezugsgrenze


Berechnung der Korrekturleistung

Handbuch > Last-Management > Methode des Last-Managements > Das Modell der Kurzfristprognose > Berechnung der Korrekturleistung

Innerhalb der laufenden Messperiode darf bei einzuhaltender mittleren Leistung

P grenz = Bezugsgrenze

bezogen werden, was über der Messperiode T der Energiemenge

E grenz = P grenz * T

entspricht.

Durch Vergleich dieser Energie mit der am Periodenende erwarteten Energie E prog (T) ist die energiemengenmäßige Über-/Unterschreitung des Bezuges

E korr = E prog (T) - E grenz

ermittelbar, die bei Überschreitung durch entsprechende Schaltungen auszugleichen ist, und die bei Unterschreitung ausgeglichen werden kann.

Dabei ist zu beachten, dass zum Zeitpunkt t nur noch die Restzeit (T - t) verfügbar ist. Damit wird eine größere Korrekturleistung

P korr (t) = E korr / (T - t)

erforderlich.


Istwert- und Realwertprognose

Handbuch > Last-Management > Methode des Last-Managements > Das Modell der Kurzfristprognose > Istwert- und Realwertprognose

Die Prognose wird im Last-Management Modul für mehrere Trends durchgeführt.

  • Der erste Trend wird über den Bezug gelegt. Dieser Trend bestimmt als Istwertprognose den Anstieg des Lastbedarfs.
  • Ein zweiter Trendfaktor berücksichtigt die in der Vergangenheit erfolgten Schaltungen.
  • Ein dritter Trendfaktor ermittelt den Einfluss der in der Zukunft erfolgenden Schaltungen.

Die Trendfunktionen werden übereinandergelegt und ergeben die Realwertprognose. Diese beschreibt, den eigentlich zu erwartenden Lastverlauf zum Ende der Verrechnungsperiode.


Absenkung der Bezugsgrenze

Handbuch > Last-Management > Methode des Last-Managements > Das Modell der Kurzfristprognose > Absenkung der Bezugsgrenze

Da der Lasttrend nie ganz exakt vorausgesagt werden kann und sich auch Abweichungen bei den Annahmen für die schaltbaren Lasten einstellen, ist es notwendig, den eigentlichen Bezugssollwert aus Sicherheitsgründen etwas zu unterschreiten.

Daher ist bei der Parametrierung ein Sicherheitsabstand [%] in Prozent vorgesehen, um den die Bezugsgrenze im Minimum unterschritten werden muss, damit Zuschaltungen ausgelöst werden.

Ziffer | Beschreibung
1 | Bezugsgrenze (Sollwert)
2 | Sicherheitsabstand
3 | Hysterese abschalten
4 | Hysterese zuschalten
5 | Hysterese für Schaltungen

Um diese Grenze kann durch Hysterese Zuschalten [%] und Hysterese Abschalten [%] eine Hysterese aufgebaut werden. Dabei eliminiert Hysterese Zuschalten [%] einen Teil der Sicherheitsabstand [%].

attention Achtung

Achten Sie unbedingt darauf, dass Hysterese Zuschalten [%] in jedem Fall kleiner als der Sicherheitsabstand [%] gewählt wird. Anderenfalls reagiert das System zu spät auf die Überschreitungen der Bezugsgrenze.


Arbeitsweise der Bezugsregelung

Handbuch > Last-Management > Methode des Last-Managements > Arbeitsweise der Bezugsregelung

Closed Loop Betrieb

Die Bezugsregelung wird im Regelfall im Closed Loop Betrieb eingesetzt. Dabei werden Aufgrund der Ergebnisse des Optimierungsteils Zu- und Abschaltungen berechnet. Die Schaltungen werden direkt durch die entsprechenden Schaltbefehle ausgelöst.

info Info

Im Last-Management Modul müssen nicht die unmittelbaren Schaltpunkte bei den Geräten verwendet werden. Der Anwender kann sich applikativ entscheiden, ob er direkte Schaltungen ermöglichen möchte oder diese erst durch den Benutzer endgültig freigegeben werden.

attention Achtung

Der unkontrollierte Einsatz des Closed Loop Betriebes in einer unbesetzten Umgebung erfordert eine intensive Erprobungsphase. Dabei müssen alle von der Regelung durchgeführten Schaltungen vom Bediener kontrolliert werden. Eine solche Erprobungsphase ist auf Größe und Komplexität des Systems abzustimmen. Es kann, durchaus erforderlich sein, den Erprobungszeitraum bis zu einem Jahr auszudehnen.

Noch in diesem Kapitel

Leistungsermittlung der Verbraucher

Schaltungsablauf


Leistungsermittlung der Verbraucher

Handbuch > Last-Management > Methode des Last-Managements > Arbeitsweise der Bezugsregelung > Leistungsermittlung der Verbraucher

Die Leistungsermittlung der Verbraucher ist in Bezug auf die Beurteilung des durch Schaltungen erwarteten Effektes besonders bedeutend. Problematisch ist, dass die Leistung der abgeschalteten Verbraucher üblicherweise nicht direkt messbar ist und teilweise nur geschätzt werden kann.

Im System sind zwei Mechanismen zur Leistungsermittlung realisiert

  • Vorgabe eines festen Wertes durch Parametrierung.

    Der Wert (z. B. die Nennleistung) wird von der Optimierung als fest angesehen und ist immer verfügbar.

  • Messung des aktuellen Wertes.

    Eine Messung ermittelt diesen Wert und zenon bildet ihn mittels einer Variable in den Geräten ab.

Der Anfangswert für die Leistung des Verbrauchers wird durch eine gezielte Abfrage des Variablenwerts beim Start der Optimierung bestimmt. Um Fehler durch Schwankungen zu kompensieren, errechnet die Optimierung aus den nachfolgend eintreffenden Messwerten einen gleitenden Mittelwert.

info Info

Ist eine Komponente beim Start der Optimierung ausgeschaltet, ist deren Leistungswert Null. Daher kann von der SCADA-Funktion kein gültiger Leistungswert als Voraussetzung für den Komponenteneinsatz ermittelt werden. Die Komponente muss einmal von Hand eingeschaltet werden.

attention Achtung

Solange nicht mindestens ein Wert eingetroffen ist, ist der Leistungswert für die Komponente nicht bekannt und kann für die Optimierung nicht verwendet werden.

Noch in diesem Kapitel

Primäre Faktoren

Sekundäre Faktoren


Primäre Faktoren

Handbuch > Last-Management > Methode des Last-Managements > Arbeitsweise der Bezugsregelung > Leistungsermittlung der Verbraucher > Primäre Faktoren

Die Energiemenge

Entscheidend für die Verbraucherauswahl ist grundsätzlich die abzuschaltende/zuzuschaltende Energiemenge.

Ist die geforderte Energiemenge nicht exakt schaltbar, wird sie bei einer Abschaltanforderung als Minimalwert und bei einer Zuschaltanforderung als Maximalwert betrachtet. Damit können die Bezugsgrenzen sicher eingehalten werden.

info Info

Die Energiemenge kann auch während der Runtime durch eine Variable dynamisch angepasst werden.

Verfügbarkeit

Die Verfügbarkeit steuert, ob der Verbraucher generell einsetzbar ist. Die Verfügbarkeit kann mit der Hand gesetzt werden und wird immer dann zurückgenommen, wenn die Komponente betriebsbedingt nicht einsetzbar ist (z. B. bei Revisionen) oder nicht von der Optimierung eingesetzt werden soll.

Auch Bedingungen, die sich aus dem Prozess ergeben, können über die Verfügbarkeit der Komponente deren Einsatzmöglichkeit in der Optimierung steuern.

info Info

Die Verfügbarkeit kann auch zur Runtime durch eine Variable dynamisch angepasst werden. So können z. B. durch einen Scheduler oder Production & Facility Scheduler auch Fahrpläne bezüglich der Verfügbarkeit realisiert werden.


Sekundäre Faktoren

Handbuch > Last-Management > Methode des Last-Managements > Arbeitsweise der Bezugsregelung > Leistungsermittlung der Verbraucher > Sekundäre Faktoren

Sperrzeiten und Freigabezeiten der Verbraucher

Mit den Sperrzeiten lässt sich steuern, zu welchen Zeiten die Komponenten der Optimierung nicht zur Verfügung stehen. Die Zeiten, die nicht als Sperrzeiten ausgewiesen sind, stellen die Freigabezeiten dar.

attention Achtung

Die Komponenten werden innerhalb der Sperrzeiten nicht von der Optimierung beeinflusst - oder nur in der freigegebenen Richtung. Daher verbleiben die Komponenten in dem Zustand, den sie am Ende der Freigabezeit erreicht haben.

Minimal- und Maximalschaltzeiten

Zu jedem einsetzbaren Verbraucher und Erzeuger kann die Minimal- und Maximalzeit für die einzelnen Schaltzustände (Ein/Aus) angegeben werden. Die Zeit gibt an, welche Zeitdauer mindestens verstreichen muss, bis eine Schaltung in Gegenrichtung ausgelöst werden kann.

Wichtig ist der Parameter für Aggregate, da zur Vermeidung thermischer Schäden und Verrußungen diese nach dem Einschalten nicht unmittelbar wieder abgeschaltet werden dürfen. So muss zum Beispiel nach dem Aktivieren der diversen Heizungsgruppen eine gewisse Zeit verstreichen, damit diese überhaupt einschalten.

Schalthäufigkeit

Sind Verbraucher und Erzeuger in einem gewissen Zeitraum nur begrenzt häufig schaltbar, so werden für die Komponente bei Überschreiten der Anzahl keine weiteren Schalthandlungen mehr ausgeführt. Zur Parametrierung muss neben der Anzahl auch ein Zeitbereich angegeben werden.

Example Beispiel

Maximal 25 Schaltungen in 12 Stunden

Schaltprioritäten

Die Schaltungen der Komponenten werden nach einem Prioritätenschema geplant. Dabei werden Zuschalt- und Abschaltpriorität gesondert geführt. Die Prioritäten können vom Benutzer nach Betriebserfordernissen festgelegt werden. Eine Komponente mit der höchsten Priorität (höchster numerischen Wert) wird zuerst geschaltet.

Besteht die Anforderung, Komponenten in geordneter Reihenfolge zu schalten, indem der zuerst eingeschaltete Verbraucher als letzter wieder ausgeschaltet wird, so ist über alle Komponenten ein Nummernschema zu legen: aufsteigend für erste Einschaltung und absteigend für letzte Ausschaltung.

info Info

Sind in einer Anlage für mehrere Geräte die gleichen Prioritätsstufen vergeben, stellt das Last-Management Modul automatisch sicher, dass im Mittel alle Geräte gleicher Stufe einer identen Anzahl von Schalthandlungen unterzogen werden.


Schaltungsablauf

Handbuch > Last-Management > Methode des Last-Managements > Arbeitsweise der Bezugsregelung > Schaltungsablauf

Der Begriff Abschaltanforderung seitens der Optimierung bezieht sich immer auf die Reaktion des Verbrauchers, der durch seine Abschaltung den Lastbedarf und damit die Bezugsleistung senkt. Die Abschaltanforderung kann dementsprechend auch durch die Einschaltung eines Aggregates erfüllt werden.

Abläufe bei einer Schaltung

Ziffer | Beschreibung
1 | Vorwarnung EIN
2 | Befehlsausgabe EIN
3 | Verzögerungszeit einschalten
4 | Vorwarnung AUS
5 | Befehlsausgabe AUS
6 | Verzögerungszeit ausschalten

Verzögerungszeit für das Einschalten (Einschalttotzeit)

Entspricht der Zeit von der Ausgabe des Schaltbefehles bis zum Erreichen der Nennleistung.

Die Zeit bis zum Erreichen der Last kann - abhängig vom Gerät - beträchtlich sein, z. B. Aggregathochlauf und Synchronisation, rückwärtsgesteuerte Heizungen etc.

Verzögerungszeit für das Ausschalten (Ausschalttotzeit)

Zeit von der Ausgabe des Schaltbefehles bis zum vollständigen Abfall der Leistung. Auch hier muss die Zeit für die Befehlsausgabe zurzeit bis zum vollständigen Leistungsabfall addiert werden.

Vorwarnzeit für Ein und Ausschalten (Länge Vorwarnzeit)

Die Schaltzeiten werden zum exakten Ausregeln der Energiemengen auf Sekunden genau geplant. Damit dem Benutzer Gelegenheit gegeben wird, die Zeiten im Open Loop Betrieb auch einzuhalten, ist eine gewisse Vorlaufzeit zur Durchführung der Schaltung erforderlich. Diese wird durch die Vorwarnzeit definiert. Hierdurch erhält der Bediener die Information über durchzuführende Schaltungen, noch bevor diese ausgeführt werden müssen.

attention Achtung

Da das Modul Last-Management von der Durchführung der Schaltungen ausgeht, sollten im Hinblick auf die Genauigkeit des Prognoseergebnisses die vorgeschlagenen Schaltungen zeitgerecht ausgeführt werden.

Taktik der Schaltungsplanung

Die Schaltungsauswahl geschieht generell so, dass möglichst wenige Schaltungen durchzuführen sind. Dies beruhigt den Netzbetrieb und erhält die Verfügbarkeit der Verbraucher, die, durch einen Maximalwert in der Schaltungszahl begrenzt, eingesetzt werden dürfen. Ferner werden Konflikte bei der Befehlsausgabe der Schaltungen minimiert.

Der Einsatz von Komponenten mit viel größerer Leistung als für die Korrektur notwendig, ist durch eine gezielte Zeitsteuerung möglich. Die Komponenten werden so kurzzeitig eingesetzt, dass diese die geforderte Energie kompensieren.

Schaltungsunterdrückung am Anfang der Messperiode

Am Anfang einer Messperiode werden gegebenenfalls größere Schaltungen durchgeführt oder zum Ausgleich der Energiemengen am Periodenende große Abweichungen zum eigentlichen Leistungsmittelwert eingestellt. Es ist daher notwendig, dem System am Anfang der Messperiode Gelegenheit zu geben, sich an die neuen Verhältnisse anzupassen.

Daher ist im System eine Totzeit Beginn Tarifintervall parametrierbar. In dieser Zeit werden keine Schalthandlungen durch die Optimierung ausgelöst.

attention Achtung

Erfolgt über einen längeren Zeitraum keine Rückmeldung auf einen durch das Last-Management ausgeführten Schaltbefehl (auf der Rückmeldevariable), geht dieses von einer fehlerhaften Aktion aus und wird versuchen, eine weitere Schalthandlung (am nächsten zur Verfügung stehenden Gerät) auszuführen. Es ist daher immer sicher zu stellen, dass die korrekten Rückmeldungen über den Erfolg der Schaltaktion an das Last-Management übermittelt werden.


Überlagerung von Fahrplaneingaben

Handbuch > Last-Management > Methode des Last-Managements > Überlagerung von Fahrplaneingaben

Die Schaltung von Aggregaten und Verbrauchern nach festen Zeiten über den Scheduler oder den Production & Facility Scheduler ist bei vielen Anwendungen notwendig. Da keine explizite Kopplung zwischen diesen Modulen und der Kurzfristoptimierung existiert, werden diese Schaltungen in ihrer Auswirkung bezüglich des Leistungstrends nicht überwacht und auch nicht im Trend des Leistungsbezuges dargestellt. Sie wirken hinsichtlich des Ergebnisses störend in der Kurzfristoptimierung.

Damit sich diese Störungen nicht drastisch auswirken, sollten externe Schaltungen so parametriert werden, dass diese am Periodenwechsel stattfinden. Ist dies nicht möglich, sind diese unmittelbar nach Periodenwechsel einzuplanen, damit der Störeinfluss auf die Regelung noch kompensiert werden kann. Derartige Schaltungen sollten innerhalb der Totzeit Beginn Tarifintervall abgeschlossen sein und die Auswirkung der Schaltung auf den Eingangszählwert sollte vorliegen.


Mehrstufige Blockheizkraftwerke (BHKWs)

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs)

Mehrstufige BHKWs können als eine Komponente betrachtet werden. Es sind BHKWs von 2 bis n Stufen modellierbar.

Die Steuerung der BHKWs erfolgt über einen Sollwert. Zusätzlich können verschiedene Leistungsstufen definiert werden, die dieser Sollwert annehmen kann. Die tatsächliche Leistung des BHKWs wird über einen Messwert (Prozessvariable) erfasst und an das Last-Management zurückgesendet.

attention Achtung

Ein BHKW ist erst bei Erreichen der Nennleistung für das Last-Management verfügbar. Durch Projektierung wird das Verfügbarkeitsflag entsprechend gesetzt. Das BHKW kann vom Last-Management nicht ausgeschaltet, sondern nur auf Nennleistung zurückgefahren werden.

Noch in diesem Kapitel

Sollwert Verarbeitung bei BHKWs

Schaltplanungen bei BHKWs

Prioritäten von BHKWs

Zeitabhängige Restriktionen bei BHKWs

Handschaltungen bei BHKWs


Sollwert Verarbeitung bei BHKWs

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Sollwert Verarbeitung bei BHKWs

Die Menge der Werte, die der Sollwert annehmen kann, entspricht der Anzahl der definierten Leistungsstufen. Der Wert, der durch den Sollwert angenommen werden kann, entspricht immer genau einem der definierten Werte für die Leistungsstufen. Der Sollwert wird vom Last-Management mit keiner anderen Zahl belegt.

Die Initialisierung erfolgt mit der aktuell gemessenen Leistung. Falls dieser Wert keine definierte Stufe trifft, wird die vom Wert her nächst kleinere Stufe angenommen. Das BHKW gilt jedoch als nicht verfügbar, solange die gemessene Leistung keiner Stufe entspricht. Bei einer Störung der gemessenen Leistung ist das BHKW nicht verfügbar und der Sollwert wird erst bei Eintreffen eines gültigen Messwertes initialisiert.

Da eine gemessene Leistung nicht unbedingt genau einem Sollwert entsprechen muss, wird eine Hysterese um den Sollwert definiert. Eine Stufe gilt dann als erreicht oder eingestellt, sobald ein aktueller Leistungswert in dem Hysteresebereich um den gegebenen Sollwert liegt. Die Hysterese kann pro BHKW separat definiert werden.

Bei der Belegung des Sollwertes dürfen die definierten Stufen nicht übersprungen werden. Der Sollwert wird also vom Last-Management nur auf die nächst höhere oder niedrigere Stufe eingestellt.

Eine Sollwertgabe erfolgt nur, wenn das BHKW zu diesem Zeitpunkt eine eindeutige Stufenstellung (unter Berücksichtigung der Hysterese) aufweist. Andernfalls ist das BHKW nicht verfügbar, da die gemessene Leistung keiner Stufe entspricht.


Schaltplanungen bei BHKWs

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Schaltplanungen bei BHKWs

Bei der Einplanung von Sollwertgaben für ein BHKW sind die Bedingungen für die Sollwertgabe zu beachten. Sind zur Abdeckung der Last mehrere Stufen eines BHKWs notwendig, darf beim Abfahren des Schaltplans immer nur von einer Stufe auf die nächste geschaltet werden. Dazu müssen die Sollwertgaben auf die einzelnen Stufen unter Berücksichtigung der Verzögerungszeiten für das Ab- oder Zuschalten von Stufen eingeplant werden.

attention Achtung

Es ist zu berücksichtigen, dass auch Vorwarnungen nur bei einer definierten Stufenstellung gegeben werden. Deswegen muss man die Länge der Vorwarnzeit für die einzelnen Stufen bei den Schaltplanungen beachten.


Prioritäten von BHKWs

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Prioritäten von BHKWs

Ein BHKW hat eine fest definierte Einschalt- und Ausschaltpriorität. Die Werte können auch über Prozessvariablen gesteuert werden, so dass Prioritäten flexibel gesteuert werden können. Die Übernahme einer neuen Priorität erfolgt dann zum nächsten Tarifintervallwechsel.

Die Prioritäten werden nicht für jede Stufe unterschiedlich festgelegt, sondern gelten für das ganze BHKW.

Wenn mindestens zwei BHKWs die gleiche Priorität besitzen, wird das rollierende Prioritätenverfahren angewandt. Eine wichtigere Bedingung für diese BHKWs mit gleicher Priorität ist, dass sie möglichst auf die gleichen Stufen eingestellt sind, oder sich höchstens um eine Stufe unterscheiden. Voraussetzung dafür ist, dass sowohl die Einschaltprioritäten als auch die Ausschaltprioritäten dieser BHKWs gleich sind.

Der interne Referenzzähler für die Schalthäufigkeit wird bei BHKWs beim Einschalten hochgezählt. Das trifft genau dann zu, wenn der aktuelle Leistungswert von einer Leistungsstufe in die nächst größere Stufe übergeht. Bei Stromverbrauchern wird der Referenzzähler beim Ausschalten der Komponente inkrementiert. Somit wird innerhalb einer Prioritätenstufe das Hin und Herschalten zwischen zwei Blockheizkraftwerkstufen mit dem Ein und Ausschalten eines Verbrauchers verglichen.


Zeitabhängige Restriktionen bei BHKWs

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Zeitabhängige Restriktionen bei BHKWs

BHKWS bedürfen einer speziellen Behandlung im Hinblick auf deren Zeitverhalten. Spezielle Anforderungen müssen zu den Laufzeiten bei einem Stufenwechsel und bei der Verzögerungszeit durch das Last-Management berücksichtigt werden.

Noch in diesem Kapitel

Laufzeiten nach Stufenwechsel

Ablauf der Verzögerungszeit


Laufzeiten nach Stufenwechsel

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Zeitabhängige Restriktionen bei BHKWs > Laufzeiten nach Stufenwechsel

Die minimalen und maximalen Laufzeiten eines BHKWs müssen pro Stufe festgelegt werden. Anstatt von vier Zeiten für eine Komponente (minimale Einschaltzeit, minimale Ausschaltzeit, maximale Einschaltzeit, maximale Ausschaltzeit) gibt es für die Modellierung der BHKWs mit Stufen nur noch die beiden Zeiten für die minimale und maximale Laufzeit (Einschaltzeit) je Stufe.

Die minimale Laufzeit (Einschaltzeit) einer Stufe gibt an, welche Zeit das BHKW mindestens auf dieser Stufe laufen muss. Nach Erreichen einer Stufe muss die Optimierung mindestens diese Zeitspanne warten, bis eine neue Sollwertgabe für die nächst kleinere Stufenstellung erfolgen kann.

Die maximale Laufzeit einer Stufe gibt an, wie lange ein BHKW mit dieser Stufe höchstens laufen darf. Mit Ausnahme der niedrigsten Stufe (Nennleistung), wird das BHKW nach Ablauf dieser Zeit eine Stufe zurück geschaltet. Dabei gilt eine Stufe auch als aktiv, wenn das BHKW tatsächlich auf einer höheren Stufe fährt. Die maximalen Laufzeiten der einzelnen Stufen müssen hinsichtlich anderer Restriktionen (minimale Laufzeiten, Vorwarnungen) aufeinander abgestimmt sein, so dass ein rechtzeitiges Zurückschalten auf eine niedrigere Stufe möglich ist. Die Optimierung muss auch Sollwertgaben auf eine höhere Stufe unterdrücken, wenn die maximale Laufzeit - z. B. aufgrund der minimalen Laufzeit der höheren Stufe - nicht mehr eingehalten werden kann.

info Info

Durch Handschaltungen kann es eventuell zu Verletzungen der vorgegebenen Restriktionen kommen, die vom Last-Management nicht abgefangen werden können.

Für die niedrigste Stufe (Nennleistung) hat die maximale Laufzeit eine andere Bedeutung als für die übrigen Stufen. Die maximale Laufzeit der niedrigsten Stufe gibt an, wie lange das BHKW auf dieser Stufe höchstens alleine laufen darf. Danach muss das BHKW auf die nächst höhere Stufe eingestellt werden.

Beispiel für die Parametrierung der einzelnen Stufen:

Stufe | 0 | 1 | 2 | 3 | 4
Leistung | 100 | 200 | 300 | 400 | 500
minimale Einschaltzeit (in Sekunden) | -- | 60 | 60 | 60 | 60
Vorwarnzeit (in Sekunden) | -- | 210 | 0 | 0 | 0
Verzögerungszeit Zuschalten (in Sekunden) | -- | 30 | 30 | 30 | 30
Verzögerungszeit Abschalten (in Sekunden) | -- | 30 | 30 | 30 | 30
Minimaler Wert für die maximale Einschaltzeit (in Sekunden) | 210 | 240 | 180 | 120 | 60

Die anzugebenden Zeiten in der Parametrierung für das Ab- oder Zuschalten beziehen sich immer auf die Stufe, für die sie angegeben werden. Das heißt, eine Abschaltzeit die für eine Stufe parametriert ist, wird berücksichtigt, wenn von dieser Stufe auf die niedrigere Stufe zurück "geschaltet" wird. Eine Zuschaltzeit wird berücksichtigt, wenn auf diese Stufe, von einer niedrigeren Stufe, hoch "geschaltet" wird.

Da die niedrigste Stufe den Lauf des BHKWs mit Nennleistung repräsentiert, sind hier keine Angaben für die minimale Laufzeit, die Vorwarnzeit, sowie für die Verzögerungszeit Zuschalten und die Verzögerungszeit Abschalten erforderlich.

Die minimal zulässigen Werte für die maximalen Einschaltzeiten der jeweiligen Stufen ergeben sich wie folgt:

  • Bei der ersten Stufe:

    Vorwarnzeit der nächst höheren Stufe

  • Bei der letzten Stufe:

    maxi/minimale Einschaltzeit, Vorwarnzeit der letzten Stufe

  • Bei allen anderen Stufen:

    maxi/minimale Einschaltzeit, Vorwarnzeit der nächst höheren Stufe

    + Verzögerungszeit Zuschalten der nächst höheren Stufe

    + minimaler Wert für die maximale Einschaltzeit der nächst höheren Stufe

    + Vorwarnzeit der nächst höheren Stufe

    + Verzögerungszeit Abschalten der nächst höheren Stufe

Falls bei einem BHKW die maximale Einschaltzeit einer Stufe unter dem errechneten minimalen Wert für die maximale Einschaltzeit liegt, wird das BHKW als nicht verfügbar behandelt und eine entsprechende Verfügbarkeitskennung für die Einsatzbereitschaft gesetzt.


Ablauf der Verzögerungszeit

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Zeitabhängige Restriktionen bei BHKWs > Ablauf der Verzögerungszeit

Ein Sollwert bleibt auf einer Stufe eingestellt, bis diese Stufe erreicht ist oder die definierte Verzögerungszeit abgelaufen ist. Im letzteren Fall wird der Sollwert bezüglich der aktuell gemessenen Leistung neu initialisiert. Dabei muss geprüft werden, auf welche Stufe die aktuelle Leistung trifft. Folgende Fälle sind zu beachten:

  • Der aktuelle Leistungswert entspricht der alten Stufe:

    Der Sollwert hatte keine Wirkung und wird auf den alten Wert zurückgesetzt.

  • Der aktuelle Wert entspricht keiner Stufe:

    Es kann geprüft werden, ob sich die aktuelle Leistung dem neuen Sollwert genähert hat.
    In diesem Fall kann der eingestellte Sollwert beibehalten werden, andernfalls muss dieser neu initialisiert werden.

  • Der aktuelle Wert entspricht einer anderen Stufe:

    Die Leistung des BHKWs hat sich entgegen der Sollwertgabe verhalten. Dieses entspricht einer Handschaltung trotz Verfügbarkeit für das Last-Management. Für das weitere Vorgehen siehe Handschaltungen.

Schaltplanungen auf die nächsten Stufen, müssen überarbeitet und/oder ausgetauscht werden, wenn ein vorher eingestellter Sollwert einer Schaltung für ein BHKW nicht erreicht wird. Bei weiteren Schalthandlungen werden andere Komponenten bevorzugt eingesetzt.


Handschaltungen bei BHKWs

Handbuch > Last-Management > Mehrstufige Blockheizkraftwerke (BHKWs) > Handschaltungen bei BHKWs

Falls ein Messwert der aktuellen Leistung sich ohne Sollwertgabe außerhalb der vom Last-Management eingestellten Stufe bewegt, wird die Komponente als nicht verfügbar angenommen, da sie offensichtlich zu dieser Zeit nicht vom Last-Management regelbar ist.

Tritt ein Messwert der aktuellen Leistung wieder in den Hysteresebereich einer definierten Leistungsstufe, so wird der Unterschied zum eingestellten Sollwert festgestellt und eine Differenz bei der Stufeneinstellung als Handschaltung angenommen. Der Sollwert wird auf die neu erkannte Stufe eingestellt.

Eine erkannte Handschaltung wird zur Prognose übertragen, damit diese in der Trendberechnung berücksichtigt werden kann.


Projektierung des Moduls Last-Managements

Handbuch > Last-Management > Projektierung des Moduls Last-Managements

Die Last-Management-Projektierung erfolgt über eine hierarchische Baumansicht, in der den einzelnen Objekten abhängig von ihrem Typ entsprechende Unterobjekte hinzugefügt werden können. Unterobjekte werden durch Auswahl des entsprechenden Menüeintrags im Kontextmenü des gewählten Knotens hinzugefügt.

Alle Objekte verfügen über die Eigenschaften Name und Beschreibung. Die Parametrierung der einzelnen Objekte erfolgt über das Eigenschaften-Fenster.

Alle im Eigenschaften-Fenster einstellbaren Eigenschaften werden beim Klick auf den jeweilige Namen der Eigenschaft im Fenster der Eigenschaftenhilfe kurz erklärt.

info Info

Alle genannten oder gezeigten Einstellungen sind nur bei lizenziertem Last-Management Modul sichtbar. Das lizenzierte Last-Management Modul ist ein eigenes Element im Projektbaum. Über diesen Eintrag können die Einstellungen im Last-Management Modul vorgenommen werden.

attention Achtung

Innerhalb des Last-Management Moduls sollten alle vorhandenen Einheiten (Netze, Verbrauchergruppen, Erzeuger, Verbraucher etc.) eindeutige Namen bekommen, um eine einwandfreie Funktion der Prognose und Optimierung zu gewährleisten.

info Info

Alle Prozessvariablenwerte, die im Last-Management Modul für die Angabe/Anpassung von Zeitwerten während der Runtime (z. B. Min. Einschaltzeit Variable) zur Anwendung kommen, werden als Sekundenwerte interpretiert. Ein numerischer Wert von 300 entspricht also einer Zeitspanne von 5 Minuten (=300 Sekunden).

Um eine korrekte Funktionalität für das Last-Management zu gewährleisten, müssen für ein Versorgungsgebiet folgende Variablen angelegt werden:

  • Aktueller Gesamtverbrauch
  • Bezugsgrenze
  • Startwert der Prognose
  • Erster Schaltwert
  • Prognostizierter Fehlerbereich
  • Prognostizierter Endverbrauch
  • Letzter Schaltwert
  • Ist-Abweichung brutto
  • Ist-Abweichung netto

info Info

Nutzen Sie den Kontextmenüeintrag "Variablen automatisch erzeugen und verknüpfen" im Kontextmenü für ein Versorgungsgebiet. Dieser Befehl erzeugt automatisch Variablen für die oben gelisteten Eigenschaften und verknüpft diese gleichzeitig mit den Eigenschaften.

Folgende Variablen müssen für einen Erzeuger oder Verbraucher angelegt werden, um eine korrekte Funktionalität für das Last-Management zu gewährleisten:

  • Schaltzustand beim Verbraucher
  • Schaltzustand beim Erzeuger
  • Verfügbarkeit

Noch in diesem Kapitel

Minimalanforderungen

Last-Management: Detailansicht Symbolleisten und Kontextmenüs

Daten für das Last-Management

Netze

Versorgungsgebiet

Verbrauchergruppe

Erzeuger

Verbraucher

Sperrzeiten

Bild vom Typ Last-Management anlegen

Projektieren der Bild-Umschaltfunktion

Funktionen Start/Stopp anlegen

Schaltvorschau projektieren


Minimalanforderungen

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Minimalanforderungen

Versorgungsgebiet

Für die korrekte Funktionalität für das Last-Management müssen für ein Versorgungsgebiet mindestens folgende Variablen angelegt werden:

  • Aktueller Gesamtverbrauch
  • Bezugsgrenze
  • Startwert der Prognose
  • Erster Schaltwert
  • Prognostizierter Fehlerbereich
  • Prognostizierter Endverbrauch
  • Letzter Schaltwert
  • Ist-Abweichung brutto
  • Ist-Abweichung netto

info Info

Im Kontextmenü für ein Versorgungsgebiet finden Sie die Option Variablen anlegen. Diese erzeugt automatisch Variablen für die oben gelisteten Eigenschaften und verknüpft sie mit diesen. Ausgenommen sind die Eigenschaften Aktueller Gesamtverbrauch und Bezugsgrenze, diese müssen manuell angelegt werden.

Erzeuger/Verbraucher

Für die korrekte Funktionalität für das Last-Management müssen für einen Erzeuger/Verbraucher mindestens folgende Variablen angelegt werden:

  • beim Erzeuger
    • Schaltzustand
    • Standby-Leistung Variable
      oder Wert für Eigenschaft Standby-Leistung
  • beim Verbraucher
    • Schaltzustand
    • Nennleistung Variable
      oder Wert für Eigenschaft Nennleistung
  • beim Erzeuger und Verbraucher
    • Verfügbarkeit


Last-Management: Detailansicht Symbolleisten und Kontextmenüs

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Last-Management: Detailansicht Symbolleisten und Kontextmenüs

Eintrag | Beschreibung
Neu | Erzeugt ein neues Objekt, abhängig von der Position im Baum.
Kopieren | Kopiert ausgewähltes Element in Zwischenablage.
Einfügen | Fügt Objekte aus Zwischenablage ein.
Löschen | Löscht ausgewähltes Element nach Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Elemente in eine XML-Datei.
XML importieren… | Importiert Objekte aus XML-Datei.
Eigenschaften | Öffnet das Eigenschaftenfenster für das ausgewählte Element.
Hilfe | Ruft die Online Hilfe für das Last-Management auf.

Kontextmenü Netze

Eintrag | Beschreibung
Stromnetz neu | Erzeugt ein neues Stromnetz.
Einfügen | Fügt Objekte vom Typ Netz ein.
Alle als XML exportieren... | Exportiert alle definierten Netze in eine XML-Datei.
XML importieren… | Importiert Objekte vom Typ Netz.
Hilfe | Ruft die Online Hilfe für das Last-Management auf.

Weitere Kontextmenüs:

Stromnetze

Noch in diesem Kapitel

Kontextmenüs für Stromnetze


Kontextmenüs für Stromnetze

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Last-Management: Detailansicht Symbolleisten und Kontextmenüs > Kontextmenüs für Stromnetze

Kontextmenü Netz_Strom

Eintrag | Aktion
Versorgungsgebiet neu | Legt ein neues Versorgungsgebiet an.
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Stromnetz ein.
Löschen | Löscht die aktuell ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich.
Auswahl als XML exportieren... | Exportiert die ausgewählten Einträge in eine XML-Datei.
XML importieren … | Importiert Objekte aus einer XML-Datei.
Eigenschaften | Öffnet das Eigenschaften-Fenster.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü Versorgungsgebiet

Eintrag | Aktion
Erzeuger neu | Legt einen neuen Erzeuger im ausgewählten Versorgungsgebiet an.
Verbrauchergruppe neu | Erstellt eine neue Verbrauchergruppe im Versorgungsgebiet.
Variablen automatisch erzeugen und verknüpfen | Legt automatisch alle minimal erforderlichen Variablen für das ausgewählte Versorgungsgebiet an und verknüpft sie mit den passenden Eigenschaften.
Kopieren | Kopiert das aktuell ausgewählte Versorgungsgebiet in die Zwischenablage. Das Kopieren mehrerer Versorgungsgebiete über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte aus der Zwischenablage ein. Eingefügt werden können Objekte vom Typ Versorgungsgebiet.
Löschen | Löscht das aktuell ausgewählte Versorgungsgebiet. Das Löschen mehrerer Versorgungsgebiete über Mehrfachauswahl ist möglich.
Auswahl als XML exportieren... | Exportiert das aktuell ausgewählte Versorgungsgebiet. Das Exportieren mehrerer Versorgungsgebiete über Mehrfachauswahl ist möglich.
XML importieren … | Import die Projektierung für Versorgungsgebiete aus einer XML-Datei. Importiert werden können Objekte vom Typ Versorgungsgebiet.
Eigenschaften | Öffnet das Eigenschaften-Fenster.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü Erzeuger (Gruppe)

Eintrag | Aktion
Erzeuger neu | Legt neue Erzeuger für das aktuell ausgewählte Versorgungsgebiet an.
Einfügen | Fügt Objekte vom Typ Erzeuger aus der Zwischenablage ein.
XML importieren… | Importiert Objekte vom Typ Erzeuger aus einer XML-Datei.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü Erzeuger

Eintrag | Aktion
Kopieren | Kopiert gewählte Erzeuger in die Zwischenablage.
Einfügen | Fügt Objekte vom Typ Erzeuger aus der Zwischenablage ein.
Löschen | Löscht gewählte Erzeuger. Vor dem Löschen wird ein Dialog mit einer Sicherheitsabfrage aufgeschaltet.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Erzeuger des ausgewählten Versorgungsgebietes in eine XML-Datei.
XML importieren… | Importiert Objekte vom Typ Erzeuger aus einer XML-Datei.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü Verbrauchergruppen (Gruppe)

Eintrag | Aktion
Verbrauchergruppe neu | Legt eine neue Verbrauchergruppe an.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe aus der Zwischenablage ein.
XML importieren… | Importiert Objekte vom Typ Verbrauchergruppe aus einer XML-Datei.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü Verbrauchergruppe

Eintrag | Aktion
Verbraucher neu | Legt einen neuen Verbraucher in der ausgewählten Verbrauchergruppe an.
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe in die Zwischenablage. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe, Verbraucher aus der Zwischenablage ein.
Löschen | Löscht die ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich. Vor dem Löschen wird ein Dialog mit einer Sicherheitsabfrage geöffnet.
Auswahl als XML exportieren... | Exportiert alle Verbrauchergruppen des gewählten Netzes in eine XML-Datei. Das Exportieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
XML importieren … | Importiert Objekte vom Typ Versorgungsgebiet aus einer XML-Datei.
Eigenschaften | Öffnet das Eigenschaften-Fenster.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü Verbraucher

Eintrag | Aktion
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe in die Zwischenablage. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe, Verbraucher aus der Zwischenablage ein.
Löschen | Löscht die aktuell ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich. Vor dem Löschen wird ein Dialog mit einer Sicherheitsabfrage geöffnet.
Auswahl als XML exportieren... | Exportiert die aktuell ausgewählte Verbrauchergruppe in eine XML-Datei. Das Exportieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
XML importieren… | Importiert Objekte vom Typ Versorgungsgebiet aus einer XML-Datei.
Eigenschaften | Öffnet das Eigenschaften-Fenster.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.


Daten für das Last-Management

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Daten für das Last-Management

Das Last-Management benötigt zur Trendrechnung und Optimierung eine historische Datenbasis. Sind keine historischen Daten für die Datenpunkte vorhanden, kann das Last-Management Modul die Berechnungen nicht starten. Es wird damit kein berechneter Wert für die Prognostizierter Endverbrauch angezeigt.

Das Last-Management Modul verfügt aktuell über keine Schnittstelle zum Archivserver Modul. Für die Kurzfristoptimierung ist dies auch nicht nötig, dazu reichen die historischen Daten, die über die Option Harddisk Datenspeicherung aufgezeichnet werden, völlig aus.

Für die Aufzeichnung der HD Daten empfehlen sich dabei, abhängig von der Periodenlänge, folgende Einstellungen:

Anzahl der Vergangenheitswerte

Als Richtlinie kann nach folgender Faustregel vorgegangen werden:

Der durch die Harddisk Datenspeicherung zur Verfügung gestellte Historische Daten Bereich muss zumindest dem 1,5 fachen des*Tarifintervall entsprechen. Ist keine ausreichende Datentiefe vorhanden, wird die Berechnung der Optimierung nicht gestartet.

attention Achtung

Am Beginn des Tarifintervall benötigt das Last-Management einen Aktueller Gesamtverbrauch für das angezeigte Versorgungsgebiet. Dabei muss der neue Wert während des übernächsten Optimierungszyklus an das Last-Management übergeben werden, also bei einem Optimierungszyklus von 30 Sekunden im Bereich zwischen Sekunde 30 und Sekunde 60.

Erhält das Last-Management in diesem Zeitraum keinen neuen Wert, wird eine erneute Initialisierung für das Last-Management erst wieder zur nächsten Verrechnungsperiode ausgeführt.


Netze

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Netze

Der Sammelknoten enthält alle im Projekt angelegten Netze, bietet aber selbst keine Einstellmöglichkeiten.

Optionen:

Menü/Eintrag | Erklärung
Stromnetz neu | Erzeugt ein neues Stromnetz.
Einfügen | Fügt Objekte aus der Zwischenablage ein.
Alle als XML exportieren... | Exportiert alle definierten Netze in eine XML-Datei.
XML importieren… | Importiert Inhalte aus einer XML-Datei.
Hilfe | Ruft die Online-Hilfe für das Last-Management auf.

Für jedes neu angelegte Netz muss ein eindeutiger Name vergeben werden. Zur leichteren Identifikation kann optional für jedes Netze auch eine freie Beschreibung vergeben werden, diese ist aber nicht Pflicht.

info Info

Pro Projekt kann immer nur 1 Stromnetz angelegt oder verwaltet werden.


Versorgungsgebiet

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Versorgungsgebiet

Das Versorgungsgebiet stellt die Stufe der Objekthierarchie dar, auf deren Basis die Prognose und Optimierung erfolgt.

info Info

Um das Last-Management für ein Versorgungsgebiet zu starten, muss eine Funktion vom Typ "Last-Management starten" mit dem Versorgungsgebiet als Parameter ausgeführt werden.

Einstellungen für das Versorgungsgebietes eines Stromnetzes

Für Versorgungsgebiete stehen Einstellungen zur Verfügung für:

  • Eingangswerte: Definiert Variablen für den Bezug der aktuellen Werte und Bezugsgrenzen.
  • Berechnete Werte: Einstellungen, um Parameter für die Prognose und Optimierung mit Hilfe von Prozessvariablen zur Runtime anzupassen.
  • Parameter: Wichtige Einstellungen für die Optimierung des Versorgungsgebietes mit direkter Auswirkung auf die Schalt-Handlungen für das Last-Management.
  • Statusinformation: Einstellung, welche Variable über Verfügbarkeit für das Last-Management Bild informiert.

Alle in den jeweiligen Gruppen einstellbaren Eigenschaften werden beim Klick auf die jeweilige Eigenschaft im Hilfefenster erklärt

Kontextmenü Einträge

Menü/Eintrag | Erklärung
Erzeuger neu | Legt einen neuen Erzeuger im ausgewählten Versorgungsgebiet an.
Verbrauchergruppe neu | Erstellt eine neue Verbrauchergruppe im Versorgungsgebiet.
Variablen anlegen | Legt automatisch alle minimal erforderlichen Variablen für das ausgewählte Versorgungsgebiet an und verknüpft sie mit den passenden Eigenschaften.
Ausschneiden | Ohne Funktion beim Versorgungsgebiet.
Kopieren | Kopiert das aktuell ausgewählte Versorgungsgebiet. Das Kopieren mehrerer Versorgungsgebiete über Mehrfachauswahl ist möglich.
Einfügen | Eingefügt werden können Objekte vom Typ Versorgungsgebiet.
Löschen | Löscht das aktuell ausgewählte Versorgungsgebiet. Das Löschen mehrerer Versorgungsgebiete über Mehrfachauswahl ist möglich.
Alle als XML exportieren... | Exportiert alle Versorgungsgebiete des ausgewählten Netzes.
Auswahl als XML exportieren... | Exportiert das aktuell ausgewählte Versorgungsgebiet. Das Exportieren mehrerer Versorgungsgebiete über Mehrfachauswahl ist möglich.
XML importieren … | Importiert werden können Objekte vom Typ Versorgungsgebiet.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.


Verbrauchergruppe

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Verbrauchergruppe

Einzelne Verbraucher werden in Verbrauchergruppen zusammengefasst. Dabei kann jede Verbrauchergruppe eine beliebige Anzahl an Verbrauchern beinhalten.

Kontextmenü Einträge am Knoten "Verbrauchergruppen":

Menü/Eintrag | Erklärung
Verbrauchergruppe neu | Legt eine neue Verbrauchergruppe an.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe ein
Auswahl als XML exportieren... | Exportiert die Verbrauchergruppe inklusive aller in der Gruppe definierten Verbraucher.
XML importieren… | Importiert Objekte vom Typ Verbrauchergruppe.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Kontextmenü-Einträge am Knoten einer Verbrauchergruppe:

Menü/Eintrag | Erklärung
Verbraucher neu | Legt einen neuen Verbraucher in der ausgewählten Verbrauchergruppe an.
Ausschneiden | Ohne Funktion bei der Verbrauchergruppe.
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe, Verbraucher ein.
Löschen | Löscht die aktuell ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich.
Alle als XML exportieren... | Exportiert alle Verbrauchergruppen des ausgewählten Netzes.
Auswahl als XML exportieren... | Exportiert die aktuell ausgewählte Verbrauchergruppe. Das Exportieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
XML importieren … | Importiert Objekte vom Typ Versorgungsgebiet.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.


Erzeuger

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Erzeuger

Über den Knoten Erzeuger können über das Kontextmenü Neue Erzeuger für das ausgewählte Stromnetz erzeugt werden.

Erzeuger dienen zur Senkung der aktuellen Bezugsleistung. Für jeden Erzeuger ist es prinzipiell möglich, diesen zuzuschalten oder auf höhere Last (Spitzenleistung) zu schalten. Ein Zu- oder Höher Schalten eines Verbrauchers wirkt sich unmittelbar mindernd auf den aktuellen Leistungsbezugswert (Akt. Verbrauchsmittelwert) aus .

Kontextmenü Einträge am Knoten "Erzeuger":

Menü/Eintrag | Erklärung
Erzeuger neu | Legt neue Erzeuger für das aktuell ausgewählte Versorgungsgebiet an.
Einfügen | Fügt Objekte vom Typ Erzeuger ein.
Alle als XML exportieren... | Exportiert alle Erzeuger des Versorgungsgebietes.
XML importieren… | Importiert Objekte vom Typ Erzeuger.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Eigenschaften

Für Erzeuger lassen sich neben Name und Kennung Eigenschaften in verschiedenen Gruppen definieren:

  • Leistung/Priorität: Bestimmt das grundlegende Verhalten von Geräten in Stromnetzen.
  • Schaltzeiten: Vorgabe von unterschiedlichen Laufzeiten oder zeitlichen Anforderungen an einzelne Geräte.
  • Schalthäufigkeit: Festlegung der maximalen Schalthäufigkeit pro Zeiteinheit.
  • Schaltvariablen: Prozessvariablen zur Anpassung wichtiger Parameter während der Runtime.
  • Sperrzeiten: Schließt einzelne Geräte für das Last-Management aus der Optimierung aus.
  • Schaltstufen: Definiert Schaltstufen für Blockheizkraftwerke.

Alle einstellbaren Eigenschaften werden beim Klick auf die jeweilige Eigenschaft im Hilfefenster erklärt.

attention Achtung

Die Schaltpriorität wird vom Last-Management über alle definierten Geräte berücksichtigt. Das heißt, derselbe Nummernkreis kommt bei Erzeugern und Verbrauchern zur Anwendung. Es müssen daher die Prioritäten immer für alle definierten Geräte betrachtet werden, da keine Unterscheidung zwischen Erzeugern und Verbrauchern getroffen wird.

Kontextmenü-Einträge für einen ausgewählten Erzeuger:

Menü/Eintrag | Erklärung
Ausschneiden | Ohne Funktion bei der Verbrauchergruppe.
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe, Verbraucher ein
Löschen | Löscht die aktuell ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich.
Alle als XML exportieren... | Exportiert alle Verbrauchergruppen des ausgewählten Netzes.
Auswahl als XML exportieren... | Exportiert die aktuell ausgewählte Verbrauchergruppe. Das Exportieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
XML importieren... | Importiert Objekte vom Typ Versorgungsgebiet.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Noch in diesem Kapitel

Schaltstufen


Schaltstufen

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Erzeuger > Schaltstufen

Ein Sonderfall im Last-Management stellen die BHKWs (Blockheizkraftwerke) dar. Diese spezielle Form von Erzeugern kann Ihre Leistung in Stufen anpassen. Um ein BHKW zu definieren, können an einem beliebigen Verbraucher im Last-Management Schaltstufen definiert werden.

Grundlegend können für jedes BHKW unter dem Knoten Schaltstufen Einstellungen zur Sollwert-Variable, zum aktuellen Verbrauch und zur Hysterese vorgenommen werden.

Für jedes BHKW kann eine beliebige Anzahl von Schaltstufen definiert werden:

Jede Schaltstufe bietet dabei Einstellmöglichkeiten zur Leistung und zur Vorwarnung vor Schalthandlungen sowie zum Ein- und Ausschalten. Alle einstellbaren Eigenschaften werden beim Klick auf die jeweilige Eigenschaft im Hilfefenster erklärt.

attention Achtung

Werden für einen Erzeuger Schaltstufen definiert, überschreiben diese Einstellungen die Standard-Parameter des Erzeugers. Eine entsprechende Warnung wird beim Kompilieren im Ausgabefenster ausgegeben. "


Verbraucher

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Verbraucher

Verbraucher stellen im Last-Management Modul die wesentlichen Elemente zum Lastabwurf dar. Mittels Zu- oder Abschaltungen von Verbrauchern kann das Last-Management direkt regelnd eingreifen und hilft damit, Spitzenlasten zu vermeiden.

Kontextmenü Einträge für eine ausgewählte Verbrauchergruppe:

Menü/Eintrag | Erklärung
Verbraucher neu | Legt einen neuen Verbraucher im aktuell ausgewählten Versorgungsgebiet an.
Ausschneiden | Ohne Funktion bei der Verbrauchergruppe.
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe, Verbraucher ein.
Löschen | Löscht die aktuell ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich.
Alle als XML exportieren... | Exportiert alle Verbrauchergruppen des ausgewählten Netzes.
Auswahl als XML exportieren... | Exportiert die aktuell ausgewählte Verbrauchergruppe. Das Exportieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
XML importieren... | Importiert Objekte vom Typ Versorgungsgebiet.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.

Eigenschaften

Für Verbraucher lassen sich neben Name und Kennung Eigenschaften in verschiedenen Gruppen definieren:

Leistung/Priorität: Bestimmt das grundlegende Verhalten von Geräten in Stromnetzen.

Schaltzeiten: Vorgabe von unterschiedlichen Laufzeiten oder zeitlichen Anforderungen an einzelne Geräte.

Schalthäufigkeit: Festlegung der maximalen Schalthäufigkeit pro Zeiteinheit.

Schaltvariablen: Prozessvariablen zur Anpassung wichtiger Parameter während der Runtime.

Sperrzeiten: Schließt einzelne Geräte für das Last-Management aus der Optimierung aus.

Alle einstellbaren Eigenschaften werden beim Klick auf die jeweilige Eigenschaft im Hilfefenster erklärt.

Kontextmenü Einträge für einen ausgewählten Verbraucher

Menü/Eintrag | Erklärung
Ausschneiden | Ohne Funktion bei der Verbrauchergruppe.
Kopieren | Kopiert die aktuell ausgewählte Verbrauchergruppe in die Zwischenablage. Das Kopieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
Einfügen | Fügt Objekte vom Typ Verbrauchergruppe, Verbraucher aus der Zwischenablage ein.
Löschen | Löscht die aktuell ausgewählte Verbrauchergruppe. Das Löschen mehrerer Gruppen über Mehrfachauswahl ist möglich.
Alle als XML exportieren... | Exportiert alle Verbrauchergruppen des ausgewählten Netzes.
Auswahl als XML exportieren... | Exportiert die aktuell ausgewählte Verbrauchergruppe. Das Exportieren mehrerer Gruppen über Mehrfachauswahl ist möglich.
XML importieren … | Importiert Objekte vom Typ Versorgungsgebiet.
Hilfe | Öffnet die Hilfe für das Last-Management Modul.


Sperrzeiten

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Sperrzeiten

Sowohl bei Erzeugern als auch bei Verbrauchern ist es möglich, Zeiten zu definieren, in denen Schalthandlungen nur teilweise oder gar nicht durchgeführt werden dürfen. Es können pro Verbraucher/Erzeuger beliebig viele Sperrzeiten angegeben werden.

Pro Element kann eine beliebige Anzahl von Sperrzeiten definiert werden. Es ist darauf zu achten, dass sich diese nicht gegenseitig überlappen. In diesem Fall ist es möglich, dass ein Gerät durch das Last-Management Modul nicht mehr geschalten werden kann.

info Info

Die Sperrzeit-Parameter werden im Projekt fix eingestellt und können zur Runtime nicht geändert werden.


Bild vom Typ Last-Management anlegen

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Bild vom Typ Last-Management anlegen

Die Bedienung des Last-Management Moduls erfolgt zur Runtime über ein Bild vom Typ Last-Management.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Last-Management.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Fenster Prognose | Fenster zur Anzeige der Prognose.
Liste Schaltvorschau | Anzeige der Schaltvorschau.
Name Versorgungsgebiet | Anzeige des Namens des Versorgungsgebiets. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Name Versorgungsgebiet | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.


Projektieren der Bild-Umschaltfunktion

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Projektieren der Bild-Umschaltfunktion

Beim Anlegen einer Bild-Umschaltfunktion für ein Bild vom Typ Last-Management wird folgender Dialog zur Parametrierung angeboten.

Hinweis: Der abgebildete Dialog zeigt die Werte bei gewähltem Stromnetz und Versorgungsgebiet sowie bei projektierten Variablen. Default sind alle Felder leer.

Durch eine Bildumschaltung wird zur Runtime das Last-Management Bild geöffnet. Folgende Parameter können konfiguriert werden:

Parameter | Beschreibung
Netze | Auswahl des Netzes. Zeigt den Namen des projektierten Netzes an.
Versorgungsgebiete | Liste der projektierten Versorgungsgebiete für das gewählte Netz. Das ausgewählte Versorgungsgebiet wird in der Laufzeit n der Optimierung zur Anzeige gebracht. Pro Prozessbild ist immer nur die Anzeige eines Versorgungsgebietes möglich. Allerdings besteht die Möglichkeit, mehrere Bilder des Typs Last-Management parallel zu öffnen, damit können auch mehrere Versorgungsgebiete parallel angezeigt werden.

Grafische Ausprägung

In diesem Bereich konfigurieren Sie das Erscheinungsbild des Bildes vom Typ Last-Management in der Runtime.

Parameter

Beschreibung

Aktueller Wert

Anzeigefarbe und Linienstärke des aktuellen Werts im projektierten Last-Management-Bild in der Runtime:

  • Farbfläche:
    Klick auf Farbfläche öffnet den Dialog zur Auswahl der Anzeigefarbe.
  • Breite:
    Breite der angezeigten Linie in Pixel.

Achsen

Anzeigefarbe und Linienstärke der Achsen im projektierten Last-Management-Bild in der Runtime.

  • Farbfläche:
    Klick auf Farbfläche öffnet den Dialog zur Auswahl der Anzeigefarbe.
  • Breite:
    Breite der angezeigten Linie in Pixel.

Hilfslinien

Anzeigefarbe und Linienstärke der Hilfslinien im projektierten Last-Management-Bild in der Runtime.

  • Farbfläche:
    Klick auf Farbfläche öffnet den Dialog zur Auswahl der Anzeigefarbe.
  • Breite:
    Breite der angezeigten Linie in Pixel.

Kurven

Anzeigefarbe und Linienstärke der Kurven im projektierten Last-Management-Bild in der Runtime.

  • Farbfläche:
    Klick auf Farbfläche öffnet den Dialog zur Auswahl der Anzeigefarbe.
  • Breite:
    Breite der angezeigten Linie in Pixel.

Skala Minimum

Untere Grenze der Wertbereichsskala für die Anzeige der Kennlinie im projektierten Last-Management-Bild in der Runtime.

Skala Maximum

Obere Grenze der Wertbereichsskala für die Anzeige der Kennlinie im projektierten Last-Management-Bild in der Runtime.

Schrift

Parametrierung der Schrift, die für die Anzeige der Achsbeschriftungen in der Trendkurve zur Runtime verwendet wird.

Auswahl aus Dropdownliste.

Tarifintervall

Default: 15 min

Verknüpfte Variablen

In diesem Bereich werden die projektierten Variablen für die entsprechenden Werte angezeigt.
Eine Projektierung ist in diesem Dialog nicht möglich. Die Projektierung erfolgt direkt in den Eigenschaften der Elemente des Moduls.

Parameter | Beschreibung
Prognostizierter Mittelwert | xx Berechnete Werte
Akt. Verbrauchsmittelwert | Berechnete Werte
Prognostizierter Fehlerbereich Mittelwert | Berechnete Werte
Prognostizierter Endverbrauch | Berechnete Werte
Aktueller Wert | Feld dient nur zur Anzeige, der Wert kann nicht geändert werden. Angezeigt wird die Variable der Eigenschaft Aktueller Wert des aktuell ausgewählten Gebietes.
Endwert Prognose | Feld dient nur zur Anzeige, der Wert kann nicht geändert werden. Angezeigt wird die Variable der Eigenschaft Endwert Prognose des aktuell ausgewählten Gebietes.
Prognose Mittelwert | Feld dient nur zur Anzeige, der Wert kann nicht geändert werden. Angezeigt wird die Variable der Eigenschaft Prognose Mittelwert des aktuell ausgewählten Gebietes.
Bezugsgrenze | Feld dient nur zur Anzeige, der Wert kann nicht geändert werden. Angezeigt wird die Variable der Eigenschaft Bezugsgrenze des aktuell ausgewählten Gebietes.
Verrechnungsperiode (min.) | Feld dient nur zur Anzeige, der Wert kann nicht geändert werden. Zeigt die aktuell eingestellte Länge der Verrechnungsperiode für das ausgewählte Versorgungsgebiet an.

Schaltvorschau

Für die Projektierung der Schaltvorschau, definieren Sie in der Registerkarte Schaltvorschau Spalteneinstellungen die Filtereinstellungen für die Anzeige zur Runtime. Details dazu finden Sie im Kapitel Schaltvorschau Spalteneinstellungen.


Funktionen Start/Stopp anlegen

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Funktionen Start/Stopp anlegen

Für jedes Versorgungsgebiet muss die Optimierung zur Runtime extra gestartet werden. Dazu benutzen Sie die Funktion Last-Management starten.
Um gestartete Versorgungsgebiete zu stoppen, legen Sie eine Funktion Last-Management stoppen an.

Hinweis: Diese Funktionen werden nur am Server ausgeführt.

attention Achtung

In der Runtime werden alle gestarteten Versorgungsgebiete von der Lizenzierung erfasst. Achten Sie auf ausreichende Lizenzierung.

Tipp: Stoppen Sie die Optimierung von Versorgungsgebieten, wenn diese nicht benötigt wird, um Ihre Lizenz optimal zu nutzen. Um Versorgungsgebiete regelmäßig, z. B. in der Nacht oder in bestimmten Schichten, zu stoppen, können Sie die Funktionen Last-Management starten oder Last-Management stoppen über den Production & Facility Scheduler steuern.

Last-Management starten

Schritte zum Anlegen einer Funktion:

  • Erstellen Sie eine neue Funktion:
    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen den Befehl Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.
  • Klicken Sie im Knoten Anwendung auf Last-Management starten:
    Der Dialog zur Auswahl des Versorgungsgebietes wird geöffnet.

  • Wählen Sie zuerst das gewünschte Netz aus der Liste Netze.
    Die verfügbaren Versorgungsgebiete werden in der Liste der Versorgungsgebiete aufgelistet.
  • Wählen Sie dann das gewünschte Versorgungsgebiet aus der Liste Versorgungsgebiete.
  • Klicken Sie die Schaltfläche OK um die Funktion zu erstellen.

Last-Management stoppen

  • Erstellen Sie eine neue Funktion:
    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen den Befehl Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.
  • Klicken Sie im Knoten Anwendung auf Last-Management stoppen:
    Der Dialog zur Auswahl des Versorgungsgebietes wird geöffnet.

  • Wählen Sie zuerst das gewünschte Netz aus der Liste Netze.
    Die verfügbaren Versorgungsgebiete werden in der Liste der Versorgungsgebiete aufgelistet.
  • Wählen Sie dann das gewünschte Versorgungsgebiet aus der Liste Versorgungsgebiete.
  • Klicken Sie die Schaltfläche OK um die Funktion zu erstellen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schaltvorschau projektieren

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Schaltvorschau projektieren

Geplante Schalthandlungen können zur Runtime als Vorschau angezeigt werden.

Um die Schaltvorschau zur Runtime zu projektieren:

  1. Verknüpfen Sie beim gewünschten Versorgungsgebiet für das Last-Management über die Eigenschaft Geplante Schaltungen (Gruppe Statusinformation) eine String-Variable, die vom Last-Management System die Liste aller geplanten Schalthandlungen erhält.

    Tipp: Am sinnvollsten ist dazu eine String-Variable am Intern Treiber.
    Für Serverbetrieb setzen Sie die Berechnung auf Netzwerk. Damit wird die Variable im gesamten zenon Netz verteilt.

  2. Definieren Sie den gewünschten Inhalt der Schaltvorschau. Öffnen Sie dazu die Registerkarte Last-Management Schaltvorschau Spalteneinstellungen im Dialog der Bildumschaltungsfunktion auf das Last-Management Bild.
  3. Fügen Sie in das Last-Management Bild das Kontrollelement Tabellarische Darstellung: Schaltvorschau ein.

    Farben und Schrift passen Sie über dessen Eigenschaften an.

Sprachumschaltung

Alle in der Schaltvorschau dargestellten Informationen sind über die Sprachtabelle sprachumschaltbar.

Für die Spaltentitel kann dazu im Filter-Dialog der Name eingestellt werden. Wählt man hier Namen der Form @Schaltzeit, @Objektname oder ähnlich, so werden diese zur Runtime mit den entsprechenden Einträgen der Sprachtabelle ersetzt.

Außerdem können alle Inhalte der Schaltvorschau ersetzt werden:

  1. Objektnamen werden ersetzt indem in der Projektierung für das Last-Management die Objektnamen ebenfalls mit @ angegeben werden. Zum Beispiel: @Erzeuger1
  2. Akt.Wert und Schaltwert können entweder numerische Inhalte aufweisen (bei Stufen-BHKWs) oder @On/@Off

Noch in diesem Kapitel

Schaltvorschau Spalteneinstellungen

Schaltvorschau zur Runtime


Schaltvorschau Spalteneinstellungen

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Schaltvorschau projektieren > Schaltvorschau Spalteneinstellungen

Über die Spalteneinstellung definieren Sie, welche Angaben in welcher Reihenfolge angezeigt werden.

Hinweis: Alle in der Schaltvorschau dargestellten Informationen sind über die Sprachtabelle sprachumschaltbar:
Wählen Sie Namen mit einem vorangestellten @, z. B. @Schaltzeit, damit diese zur Runtime mit den entsprechenden Einträgen der Sprachtabelle ersetzt werden.

Im Listenfeld dieser Registerkarte werden Ihnen alle zur Verfügung stehenden Spaltentypen angezeigt. Mithilfe einer Checkbox entscheiden Sie, welche Spaltentypen angezeigt werden. Sie können die Beschreibung und die Spaltenbreite jedes Spaltentyps ändern, indem Sie eine Linksklick auf den entsprechenden Bereich ausführen und im sich öffnenden Editierfeld den gewünschten Wert eintragen.

Parameter | Beschreibung
Spaltentyp | Typ der Spalte. Nicht editierbar. Anzeige zur Runtime wird per Checkbox aktiviert oder deaktiviert.
Beschreibung | Definiert Überschrift der jeweiligen Spalte. Kann auch sprachumschaltbar konfiguriert werden. Wert ist editierbar.
Breite | Definiert die Breite der Spalte in Pixel. Diese kann auch durch Ziehen mit der Maus in der Liste mit horizontaler Anzeige der Spaltennamen festgelegt werden. Wert ist editierbar.
Ausgewählten Eintrag nach oben verschieben | Verschiebt ausgewählte Spalte nach oben. Verschieben ist auch per Drag&Drop möglich.
Ausgewählten Eintrag nach unten verschieben | Verschiebt ausgewählte Spalte nach unten. Verschieben ist auch per Drag&Drop möglich.
Feld mit horizontaler Anzeige der Spaltennamen | Zeigt die in der Liste aktivierten Spalten an. Durch Ziehen mit dem Mauszeiger an den Spaltengrenzen kann die Spaltengröße definiert werden.

attention Achtung

Die Spaltenbreite ist von der verwendeten Schriftart abhängig. Wenn die Spaltenbreite nicht einem Vielfachen der Zeichenbreite der verwendeten Schriftart entspricht, kann es zu Abweichungen bei der tatsächlichen Spaltenbreite kommen.


Schaltvorschau zur Runtime

Handbuch > Last-Management > Projektierung des Moduls Last-Managements > Schaltvorschau projektieren > Schaltvorschau zur Runtime

Zur Runtime zeigt das Bild Schaltvorschau die anstehenden Schalthandlungen mit Zeitpunkt und Konsequenz an:


Interner Status der Komponenten

Handbuch > Last-Management > Interner Status der Komponenten

Intern werden im Last-Management unterschiedliche Status für die Geräte mitgeführt. Diese Status können auf einer Variable abgebildet werden. Es empfiehlt sich, die Status mittels einer Reaktionsmatrix zu überwachen und z. B. in der Chronologischen Ereignisliste auszuwerten.

Die Variable "Interner Schaltzustand" von Geräten kann folgende Werte annehmen:

Allgemeine Gründe (Gültig für alle Komponenten)

Wert | Beschreibung
0 | Nicht belegt (Hochlauf).
100 | Einsatz ist möglich.
101 | Keine Schaltanforderung der HP.
102 | Deaktiviert bis zum Ende des Tarifintervalls.
103 | Der Schaltvorwarnbefehl ist ungültig.
104 | Nicht mehr genug Zeit, um vorzuwarnen.
105 | Die Vorwarnzeit ist noch nicht abgelaufen.
106 | Leistungszuschaltung am Tarifintervallende wegen Parametrierung nicht möglich.
107 | Der Schaltzustand kann nicht ermittelt werden.
200 | Verzögerungszeit ist noch nicht abgelaufen
201 | Komponente ist auf "nicht verfügbar" geschaltet.
202 | Verfügbarkeitsmeldung ist ungültig.
203 | Keine VARIABLE zum Ermitteln des aktuellen Betriebszustandes definiert.
204 | Parametrierung gestört.
205 | Totzeit ist noch nicht abgelaufen.
206 | Meldung des aktuellen Schaltzustandes ist ungültig.
207 | Noch keine Daten für den gleitenden Mittelwert der Leistung vorhanden.
208 | Aktueller Leistungswert ist ungültig.
209 | Ist "unbedingt" geschaltet (Fahrplan Mittelfrist).
210 | Textadresse oder Wert für die Einschaltpriorität ist ungültig.
211 | Textadresse oder Wert für die Ausschaltpriorität ist ungültig.
212 | Sperrzeit ist aktiv, Sperrzeittyp AUS.
213 | Sperrzeit ist aktiv, Sperrzeittyp EIN.
214 | Maximale Anzahl der Schaltungen ist bereits erreicht.
215 | Schaltbefehl ist nicht einsetzbar.
216 | Minimale Schaltzeit ist noch nicht erreicht.
217 | Fahrplandaten sind noch nicht vollständig geschrieben.
218 | Allgemeines Problem.
219 | Befehls-VARIABLE zum Schalten nicht einsatzbereit.
220 | Kein Befehl zum Senden der Schaltvorwarnung definiert.
221 | Erweiterte Parametrierung für minimale Einschaltzeit pro Zeiteinheit nicht gültig.
222 | Restriktion "Minimale Einschaltzeit pro Zeiteinheit einhalten" wegen anderer Restriktion nicht möglich.
223 | Unbedingt eingeschaltet wegen "minimaler Einschaltzeit pro Zeiteinheit".
250 | Variable oder Wert für die minimale Einschaltzeit ist ungültig.
251 | Variable oder Wert für die minimale Ausschaltzeit ist ungültig.
252 | Variable oder Wert für die maximale Einschaltzeit ist ungültig.
253 | Variable oder Wert für die maximale Ausschaltzeit ist ungültig.
254 | Restriktionen nicht plausibel.

Gründe für BHKWs (Erzeuger)

Wert | Beschreibung
5000 | Aktuelle Leistung entspricht keiner Stufenleistung.
5001 | BHKW läuft nicht unterhalb der Nennleistung.
5002 | Das BHKW hat nur eine Stufe und kann nicht geschaltet werden.
5003 | Das BHKW läuft mit Nennleistung und kann nicht weiter herunter geschaltet werden.
5004 | Die höchste eingeschaltete Stufe kann aufgrund der minimalen Einschaltzeit pro Zeiteinheit nicht abgeschaltet werden.
5005 | Das BHKW läuft bereits auf der höchsten Stufe.
5006 | Die Variable zum Messen der aktuellen Leistung ist ungültig.
5007 | Die Vorwarnung für eine Stufe wurde ausgegeben, es wird auf die Sollwertgabe gewartet.
5008 | Die Variable für den Sollwert ist nicht gültig.
5009 | Die Reihenfolge der Leistungsvorgaben durch Variablen ist nicht aufsteigend.
5010 | Der Wert einer parametrierten maximalen Einschaltzeit einer Stufe ist zu gering.
5011 | Maximale Laufzeit einer Stufe wurde erreicht und Stufen werden abgeschaltet.


Erzeugen der Runtime-Dateien

Handbuch > Last-Management > Erzeugen der Runtime-Dateien

Nach der Projektierung der Funktionen Last-Management starten oder Last-Management stoppen wird beim Übersetzen der Runtime-Dateien eine Konsistenzprüfung der Projektierung vorgenommen. Bei Problemen erfolgt eine entsprechende Ausgabe im Ausgabefenster, z. B. wenn notwendige Variablen nicht belegt wurden.

Runtime startet nicht

Lässt sich ein Projekt in der Runtime nicht starten, kann das unterschiedliche Gründe haben:

  • fehlerhafte Projektierung
  • fehlende Lizenz: Bei der Funktion Last-Management starten wird eine Lizenzprüfung vorgenommen. Fehlt die erforderliche Lizenz, startet das Last-Management nicht und ein entsprechender Eintrag wird im Log eingetragen.


Bedienen des Last-Management zur Runtime

Handbuch > Last-Management > Bedienen des Last-Management zur Runtime

Bilder für das Last-Management ermöglichen die Überwachung der Prognose und Schaltungen zur Runtime in Form eines Prognosebildes.

Mit Hilfe der Kontrollelemente werden die einzelnen Bedienelemente im Bild angeordnet (Prognosebereich und die Anzeige des aktuell ausgeschalteten Versorgungsgebietes).

info Info

Das Bild zur Runtime dient der reinen Anzeige der Schaltungs- und Prognosedaten. Über das Bild können keinerlei Eingriffe vorgenommen werden. Parameter für das Last-Management Modul werden ausschließlich über am Versorgungsgebiet verlinkte Variablen gesteuert.

Eine Prognose kann zum Beispiel so aussehen:

Ziffer | Beschreibung (Eigenschaften des Versorgungsgebiets)
1 | Vorheriger Tarifintervall
2 | Aktueller Tarifintervall
3 | Bezugsgrenze
4 | Erster Schaltwert
5 | Prognostizierter Endverbrauch
6 | Aktueller Verbrauchsmittelwert
7 | Startwert der Prognose
8 | Letzter Schaltwert
9 | Prognostizierter Fehlerbereich
10 | Prognostizierter Mittelwert

info Info

Bei der Vorschau wird nach einem fehlerhaften Wert immer erst der zweite gültige der folgenden Werte übernommen. Wird keine Wertänderung festgestellt, wird der gleiche Wert und Status wie beim zuletzt empfangenen angenommen. Damit wird eine möglichst exakte Vorschau sichergestellt.


Maßeinheitenumschaltung

Handbuch > Maßeinheitenumschaltung

Die Maßeinheitenumschaltung ermöglichen das Umrechnen und Umschalten von Basiseinheiten in sogenannte Umrechnungseinheiten, zum Beispiel Meter in Yard oder Meter in Dezimeter, Zentimeter und Millimeter. Eine Basiseinheit beinhaltet den Ausgangswert für eine Umrechnung. Die Umrechnungseinheit enthält den im Verhältnis zur Basiseinheit umgerechneten Wert. Beide verfügen über eine Maßeinheitenbezeichnung. Für die Umrechnungseinheiten können ein Faktor, ein Offset und eine Kommaverschiebung bezogen auf die zugehörige Basiseinheit definiert werden.

Bei der Parametrierung einer Variablen kann eine Basiseinheit ausgewählt werden. Über die Funktion Maßeinheitenumschaltung kann zur Runtime zwischen verschiedenen Maßeinheiten umgeschaltet werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Basiseinheit neu | Legt eine neue Basiseinheit an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Maßeinheiten aus einer XML-Dateien.
Hilfe | Öffnet die Online-Hilfe.

info Info

Die Maßeinheitenumschaltung darf nicht gemeinsam mit der Funktion variablerw des Report-Generator verwendet werden. Diese Report-Funktion stellt für ältere Projekte eine Einheitenumschaltung zur Verfügung. Wird eine in der Maßeinheitenumschaltung definierte Maßeinheit einer Variablen mit dieser Report-Funktion zur Runtime geändert, muss die Konfiguration in der Maßeinheitenumschaltung neu erfolgen.

Noch in diesem Kapitel

Maßeinheiten Detailansicht Symbolleiste und Kontextmenü

Maßeinheiten projektieren

Basiseinheit einer Variablen zuweisen

Funktion Einheitenumschaltung

Runtime


Maßeinheiten Detailansicht Symbolleiste und Kontextmenü

Handbuch > Maßeinheitenumschaltung > Maßeinheiten Detailansicht Symbolleiste und Kontextmenü

Kontextmenü Maßeinheiten Detailansicht

Menüpunkt | Aktion
Basiseinheit neu | Legt eine neue Basiseinheit an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Maßeinheiten aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü und Symbolleiste Basiseinheit/Umrechnungseinheit

Menüpunkt | Aktion
Basiseinheit neu | Legt eine neue Basiseinheit an.
Umrechnungseinheit neu | Legt eine neue Umrechnungseinheit für die übergeordnete Basiseinheit an.
Verknüpfte Elemente: Zurück zu Ausgangselement springen | Dropdownliste mit Link zurück zu dem Element, von dem aus man zur Maßeinheit gekommen ist. Nur vorhanden, wenn Maßeinheit mit anderem Element verknüpft ist.
Umbenennen | Ermöglicht das Umbenennen der Maßeinheit. Achtung: Werden Maßeinheiten umbenannt, so müssen alle Maßeinheiten, die bereits mit Variablen verknüpft sind oder in Funktionen verwendet werden, bei der jeweiligen Variablen oder in der jeweiligen Funktion manuell angepasst werden. Siehe auch: Basiseinheit einer Variablen zuweisen Funktion Einheitenumschaltung.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Maßeinheiten aus einer XML-Dateien.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von" eingefügt.
Löschen | Löscht ausgewählte Einträge.
Hilfe | Öffnet die Online-Hilfe.


Maßeinheiten projektieren

Handbuch > Maßeinheitenumschaltung > Maßeinheiten projektieren

Für die Umrechnung müssen Sie eine Basiseinheit und eine Umrechnungseinheit anlegen, sowie die Parameter für Umrechnung festlegen. Die Umrechnung erfolgt nach der Formel y=kx+d (Österreich) oder y=mx+b Deutschland). Jede Basiseinheit kann einer Variablen als Maßeinheit zugewiesen werden.

Um eine neue Basiseinheit anzulegen:

  1. wählen Sie im Projektmanager den Knoten Maßeinheiten
  2. führen Sie einen Rechtsklick auf Maßeinheiten aus
  3. wählen Sie aus dem Kontextmenü den Befehl Basiseinheit neu
  4. ein neuer Eintrag wird in der Liste angelegt
  5. vergeben Sie eine Bezeichnung für die Maßeinheit
  6. legen Sie eine Umrechnungseinheit an

Um eine neue Umrechnungseinheit anzulegen:

  • führen Sie einen Rechtsklick auf eine Basiseinheit aus
  • wählen Sie aus dem Kontextmenü den Befehl Umrechnungseinheit neu
  • ein neuer Eintrag wird in der Liste angelegt
  • vergeben Sie eine Bezeichnung für die Maßeinheit
  • legen Sie einen Faktor für die Umrechnung fest
  • legen Sie einen Wert für die Kommaverschiebung fest
  • legen Sie einen Wert für den Offset fest


Basiseinheit einer Variablen zuweisen

Handbuch > Maßeinheitenumschaltung > Basiseinheit einer Variablen zuweisen

Basiseinheiten werden in der Eigenschaft Maßeinheit (Knoten Allgemein) einer Variable zugewiesen.

Sie können hier freie Bezeichnungen für Maßeinheiten vergeben. Soll die Maßeinheitenumrechnung zur Runtime genutzt werden, wählen Sie eine zuvor definierte Basiseinheit aus der Dropdownliste aus.

Tipp: Falls Sie eine freie Bezeichnung vergeben, legen Sie am besten gleich im Anschluss im Knoten Maßeinheiten die Basiseinheit mit gleichem Namen an.

Damit zur Runtime umgerechnet werden kann, müssen Sie eine Funktion Maßeinheitenumschaltung anlegen.

attention Achtung

Wird eine Maßeinheit nachträglich umbenannt, so wird die Umbenennung bei bereits verknüpften Variablen nicht automatisch nachgezogen.

Um bereits verknüpfte Maßeinheiten umzubenennen:

  • wählen Sie die Detailansicht im Projektmanager
  • wählen Sie die Spalte Maßeinheiten oder fügen Sie diese der Ansicht hinzu, falls sie noch nicht angezeigt wird
  • wählen Sie im Kontextmenü den Befehl Text in selektierter Spalte ersetzen
  • suchen Sie im sich öffnenden Dialog nach dem alten Namen und ersetzen Sie ihn durch den neuen


Funktion Einheitenumschaltung

Handbuch > Maßeinheitenumschaltung > Funktion Einheitenumschaltung

Damit zur Runtime zwischen Maßeinheiten umgeschaltet werden kann, legen Sie eine Funktion Einheitenumschaltung an:

  • wählen Sie im Projektmanager den Knoten Funktion
  • wählen Sie im Kontextmenü den Befehl Funktion neu
  • navigieren Sie zur Gruppe Variable
  • wählen Sie die Funktion Einheitenumschaltung

    Hinweis: Das Ausführen der Funktion Einheitenumschaltung löst auch einen Refresh des Reports aus, falls dieser gerade angezeigt wird.

  • der Dialog zur Parametrierung der Einheitenumschaltung öffnet sich:

Eigenschaft | Beschreibung
Einheitenumschaltung | Dialog zum Zuweisen von Umrechnungseinheiten zu Basiseinheiten.
Basiseinheit | Liste der angelegten Basiseinheiten.
Umschalten in | Dropdownliste zur Auswahl der Umrechnungseinheit. Es kann entweder eine projektierte Umrechnungseinheit oder die Basiseinheit gewählt werden. Projektierte Umrechnungseinheit: Zur Runtime wird auf diese umgeschaltet. <Basiseinheit>: Die Basiseinheit bleibt zur Runtime aktiv.

info Info

Beim XML-Export dieser Funktion werden die Maßeinheiten nicht mit exportiert. Diese müssen separat exportiert werden.

attention Achtung

Wird eine Maßeinheit nachträglich umbenannt, so wird die Umbenennung der Basiseinheit in den Funktionen automatisch berücksichtigt. Umrechnungseinheiten müssen manuell geändert werden.


Runtime

Handbuch > Maßeinheitenumschaltung > Runtime

In der Runtime wird jeder Variablenwert bei jeder Ein- oder Ausgabe zusätzlich zur standardmäßig verwendeten Umrechnung von Signal- auf Messbereicheinheiten umgerechnet.

  • Ausgabe: Über die Funktion Maßeinheitenumschaltung wird eine Umrechnungseinheit für eine Variable aktiviert. Der Wert in Messbereichseinheiten wird mit dem darin eingestellten Offset und Faktor beaufschlagt. Zudem wird für die Umwandlung des Wertes in einen String die an der Variable eingestellte Anzahl der Nachkommastellen entsprechend korrigiert.
  • Eingabe: Die Umrechnung erfolgt analog zur Ausgabe in umgekehrter Richtung.

Einschränkungen:

  • Beim Export werden die umgeschalteten Einheiten exportiert.
  • Werte, die als String gespeichert sind, werden für die Ausgabe nicht erneut umgerechnet. Diese Werte bleiben in der Maßeinheit, die zum Zeitpunkt des Erstellens des Strings aktiv war. Insbesondere trifft dies alle Werte, die in den Text eines CEL-Eintrags eingefügt werden, wie „Sollwert geändert von ALT auf NEU" usw.
  • Betriebsstunden und Schaltspiel-Zähler im Industrial Maintenance Manager werden immer in Basiseinheiten angezeigt.
  • Leistungen im EMS-Bild werden immer in Basiseinheit angezeigt.

VBA

Zugriffe auf Werte über VBA erfolgen immer in Basiseinheiten. Zum Beispiel liefert Variable.Value keinen maßeinheitenumgeschalteten Wert, da es sich um keine Wertausgabe handelt. Damit auch über VBA die Maßeinheitenumschaltung genutzt werden kann, wurden 4 neue Funktionen an Variable. eingebaut:

Keyword | Beschreibung
SecondaryUnitName | liefert den Namen der eingestellten Umrechnungseinheit
SecondaryUnitDigits | liefert die Nachkommastellen der eingestellten Umrechnungseinheit
CalcSecondaryUnitValue | rechnet Wert der Basiseinheit in den Wert der Umrechnungseinheit um
CalcPrimaryUnitValue | rechnet Wert der Umrechnungseinheit in den Wert der Basiseinheit um


Menüs

Handbuch > Menüs

Im Menü-Editor werden Windows-konforme Menüs erstellt. Es gibt zwei Arten von Menüs:

  • Hauptmenüs
  • Kontextmenüs

Hinweis: Das Betriebssystem erlaubt keine eigenen Menüs für einzelne Bilder oder Schablonen.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Hauptmenü neu | Fügt ein neues Hauptmenü in die Menüliste der Detailansicht ein.
Kontextmenü neu | Fügt ein neues Kontextmenü in die Menüliste der Detailansicht ein.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet Kontextmenü mit vordefinierten Editorprofilen.
Help | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektieren im Editor

Bedienen während der Runtime


Projektieren im Editor

Handbuch > Menüs > Projektieren im Editor

Wählen Sie den Eintrag Menü im Projektmanager aus, um den Menü-Editor in der Detailansicht zu öffnen. Es stehen Hauptmenüs und Kontextmenüs zur Auswahl. Über das Kontextmenü (Eintrag Hauptmenü neu oder Kontextmenü neu) können Sie neue Menüs erstellen. Diese werden anschließend im rechten Teil der Detailansicht angezeigt. Menüs können exportiert und importiert werden. Nähere Informationen finden Sie im Kapitel Import-Export/Menüs.

attention Achtung

Voraussetzung, damit Hauptmenüs während der Runtime angezeigt werden: In den Projekteigenschaften muss die Eigenschaft Hauptmenüs aktiv (Knoten Grafische Ausprägung) aktiviert werden.

Neuen Menüeintrag anlegen

Um einen neuen Menüeintrag anzulegen:

  1. Markieren Sie den letzten Eintrag.
  2. Bestätigen Sie mit der Eingabe-Taste.
  3. Eine neues leeres Eingabefeld wird erstellt.

Neues Untermenü anlegen

Um ein neues Untermenü anzulegen, aktivieren Sie im übergeordneten Menüeintrag die Eigenschaft Untermenü. Damit wird ein neues Eintragefeld für das Untermenü geöffnet.

Menüeintrag verschieben

  1. Markieren Sie den gewünschten Eintrag (Mehrfachauswahl ist möglich).
  2. Ziehen Sie ihn mit gedrückter linker Maus-Taste an die neue Position.
  3. Hinweis: Wenn Sie Untermenüs zu einem Menüeintrag verschieben, der nicht als Untermenü definiert ist, werden die Einträge als Hauptmenüs angelegt
    Verschieben Sie den obersten Eintrag, werden alle Untermenüs mitverschoben.

Menüeintrag kopieren

  1. Markieren Sie den gewünschten Eintrag (Mehrfachauswahl ist möglich).
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Kopieren.
  3. Wählen Sie den Ablageort für die Kopie.

    Hinweis: Wenn Sie Untermenüs zu einem Menüeintrag kopieren, der nicht als Untermenü definiert ist, werden die Einträge als Hauptmenüs angelegt.
    Kopieren Sie den obersten Eintrag, werden alle Untermenüs mitkopiert.

  4. Wählen Sie im Kontextmenü oder in der Symbolleiste Einfügen.
  5. Ziehen Sie ihn mit gedrückter linker Maus-Taste an die neue Position.

Menüeintrag umbenennen

  1. Wählen Sie den Menüeintrag aus und bearbeiten Sie ihn durch:
    • Doppelklick oder verzögerten Doppelklick auf den Eintrag
      oder
    • Drücken der F2-Taste oder der Eingabe-Taste bei ausgewähltem Eintrag
      oder
    • Wahl des Befehls Umbenennen im Kontextmenü oder in der Symbolleiste
  2. der aktuelle Eintrag wird markiert
  3. tragen Sie den neuen Namen ein
  4. bestätigen Sie die Änderung durch:
    • Drücken der Eingabe-Taste
    • Wechsel zu einem anderen Menüeintrag
  5. oder verwerfen Sie die Änderung durch Drücken der Esc-Taste.

Mehrfachauswahl

Um mehrere Einträge gleichzeitig zu bearbeiten_

  • Halten Sie die Steuerung-Taste gedrückt und klicken Sie auf die Einträge

    oder

  • halten Sie die Umschalt-Taste gedrückt und klicken Sie auf die Einträge

    oder

  • halten Sie die Umschalt-Taste gedrückt und benutzen Sie die Pfeil-Tasten der Tastatur

Um einen Eintrag wieder abzuwählen, klicken Sie bei weiter gehaltener Steuerung- oder Umschalt-Taste auf den Eintrag.

Um alle abzuwählen und nur einen Eintrag zu aktivieren, klicken Sie auf den gewünschten Eintrag.

Noch in diesem Kapitel

Symbolleiste und Kontextmenüs für Detailansicht und Details

Einträge definieren


Symbolleiste und Kontextmenüs für Detailansicht und Details

Handbuch > Menüs > Projektieren im Editor > Symbolleiste und Kontextmenüs für Detailansicht und Details

Symbolleiste

Menüpunkt | Aktion
Hauptmenü neu | Fügt ein neues Hauptmenü in die Menüliste der Detailansicht ein.
Kontextmenü neu | Fügt ein neues Kontextmenü in die Menüliste der Detailansicht ein.
Standard-Funktion erzeugen | Öffnet den Dialog zur Auswahl einer Aktion und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählten Eintrag in die Zwischenablage.
Einfügen | Fügt Inhalt der Zwischenablage ein.
Löschen | Löscht den ausgewählten Eintrag ohne weitere Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in XML-Datei.
XML importieren | Importiert Einträge aus XML-Datei.
Umbenennen | Öffnet Menüeintrag zum Umbenennen.
Eigenschaften | Öffnet das Eigenschaftenfenster für den Eintrag.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Runtime Menüs

Menüpunkt | Aktion
Hauptmenü neu | Fügt ein neues Hauptmenü in die Menüliste der Detailansicht ein.
Kontextmenü neu | Fügt ein neues Kontextmenü in die Menüliste der Detailansicht ein.
Einfügen | Fügt kopierten Menüeintrag im entsprechenden Zweig (Hauptmenüs oder Kontextmenüs) als Kopie x von ein, wobei x eine fortlaufende Nummer ist.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Hauptmenüs

Menüpunkt | Aktion
Hauptmenü neu | Fügt ein neues Hauptmenü in die Menüliste der Detailansicht ein.
Einfügen | Fügt kopierten Menüeintrag eines Hauptmenüs als Kopie x von ein, wobei x eine fortlaufende Nummer ist.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Kontextmenüs

Menüpunkt | Aktion
Kontextmenü neu | Fügt ein neues Kontextmenü in die Menüliste der Detailansicht ein.
Einfügen | Fügt kopierten Menüeintrag eines Kontextmenüs als Kopie x von ein, wobei x eine fortlaufende Nummer ist.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Menüs

Menüpunkt | Aktion
Standard-Funktion erzeugen | Öffnet den Dialog zur Auswahl einer Aktion und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.
Verknüpfte Elemente | Listet verknüpfte Elemente auf. Klick auf einen Eintrag öffnet verknüpftes Element im Editor.
Kopieren | Kopiert den ausgewählten Eintrag.
Einfügen | Fügt kopierten Menüeintrag als Kopie x von ein, wobei x eine fortlaufende Nummer ist.
Löschen | Löscht den ausgewählten Eintrag ohne weitere Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in XML-Datei.
XML importieren | Importiert Einträge aus XML-Datei.
Eigenschaften | Öffnet das Eigenschaftenfenster für den Eintrag.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Details

Menüpunkt | Aktion
Umbenennen | Öffnet Menüpunkt zum Umbenennen.
Neu erstellen vor ausgewähltem | Fügt vor dem markierten Menüpunkt einen neuen Menüpunkt ein.
Kopieren | Kopiert ausgewählten Menüpunkt in die Zwischenablage.
Einfügen | Fügt Inhalt der Zwischenablage ein.
Löschen | Löscht den ausgewählten Menüpunkt ohne weitere Sicherheitsabfrage.
Eigenschaften | Öffnet das Eigenschaftenfenster für den Menüpunkt.
Hilfe | Öffnet die Online-Hilfe.


Einträge definieren

Handbuch > Menüs > Projektieren im Editor > Einträge definieren

Ein Menü-Eintrag kann einen von drei verschiedenen Inhalten haben:

Parameter

Beschreibung

Aktionstyp

Legt fest, welche Art von Aktion über den entsprechenden Menü-Eintrag zur Runtime ausgeführt werden soll. Nicht alle Aktionstypen stehen im Hauptmenü zur Verfügung, manche sind nur über das Kontextmenü projektierbar.

  • Alarme quittieren (nur Kontextmenü)
  • Befehlsgabe (nur Kontextmenü)
  • Blinken quittieren (nur Kontextmenü)
  • Erweiterten Trend anzeigen
  • Funktion
  • Hilfe
  • Keine Aktion
  • Sollwert absetzen
  • VBA Makro (nur Kontextmenü)

Untermenü

Öffnet zur Runtime ein Untermenü.

Trennlinie

Eine horizontale Linie trennt Menüeinträge.

Text unterstreichen: Die Eingabe eines & bewirkt, dass das folgende Zeichen unterstrichen dargestellt wird.

Einträge projektieren

Um einen Menüeintrag im Hauptmenü oder Kontextmenü zu projektieren:

  1. aktivieren Sie die entsprechende Menüzelle
  2. wählen Sie in den Eigenschaften:
    • Aktionstyp: abhängig von Menüart
      siehe auch: Aktionstypen Hauptmenü und Aktionstypen Kontextmenü
    • Menü ID: ID des Eintrags
      Hinweis: Für Menüeinträge des Moduls Befehlsgabe werden von diesem Modul fix vordefinierte Typen mit vorgegebenen IDs für die Projektierung verwendet.
      Weitere Informationen dazu sowie eine Auflistung dieser IDs finden Sie im Handbuch Energy Edition im Kapitel Befehlsgabe über Kontextmenü.
    • Text: eindeutige Beschriftung der Menüzelle

attention Achtung

Die Projektierung in der Eigenschaft Text muss eindeutig sein. Werden gleiche Texte vergeben, werden weitere Menüpunkte mit gleichem Text nicht angezeigt.

Noch in diesem Kapitel

Aktionstypen Hauptmenü

Eigenschaften des Kontextmenüs und Auswahl der Aktionstypen

Grafische Ausprägungen

Untermenü


Aktionstypen Hauptmenü

Handbuch > Menüs > Projektieren im Editor > Einträge definieren > Aktionstypen Hauptmenü

Parameter | Beschreibung
Funktion | Eine definierte Funktion von zenon wird durch Auswahl des Menü-Eintrags in der Runtime ausgeführt.
Hilfe | Eine Hilfeseite aus einer CHM-Datei wird angezeigt.
Keine Aktion | Es wird keine Aktion ausgeführt.
Sollwert setzen | Durch Auswahl des Menü-Eintrages Sollwert setzen kann zur Runtime ein fixer Wert abgesetzt oder ein Variablenwert um einen bestimmten Wert erhöht oder verringert werden. Die Eingabe erfolgt über die Sollwert-Eingabe-Maske zenon. Ist eines der 3 Keyboardbilder (SETVALUEKBD, SETBOOLKBD oder SETSTRINGKBD) im Projekt vorhanden, wird dieses automatisch verwendet. Für diese Aktion kann eine Variable direkt definiert werden oder bei Verwendung als Kontextmenü-Eintrag kann die Variable aus einem angeklickten Element übernommen werden.


Eigenschaften des Kontextmenüs und Auswahl der Aktionstypen

Handbuch > Menüs > Projektieren im Editor > Einträge definieren > Eigenschaften des Kontextmenüs und Auswahl der Aktionstypen

In den Eigenschaften des Kontextmenüs stehen folgende Knoten zur Verfügung, in denen Sie Einstellungen für das Kontextmenü vornehmen können:

  • Darstellung/Typ
  • Berechtigung
  • Sollwert setzen
  • Funktion/Makro
  • Hilfe
  • Erweiterter Trend

Im Kontextmenü stehen unter Darstellung/Typ und Aktionstyp folgende Auswahlmöglichkeiten zur Verfügung:

Parameter

Beschreibung

Alarme quittieren

Die Alarme aller Variablen die mit dem dynamischen Element verknüpft sind, auf das sich das Kontextmenü bezieht, werden quittiert.

Befehlsgabe

Öffnet das definierte Befehlsgabe Fenster (nur in Verbindung mit Energy-Lizenz)

Blinken quittieren

Schaltet den Blinkzustand aller Alarme für Variablen ab, die mit dem dynamischen Element, auf das sich das Kontextmenü bezieht, verknüpften sind. Der Alarm wird dabei nicht quittiert.

Erweiterten Trend anzeigen

Öffnet ein Bild vom Bildtyp Erweiterter Trend. Es wird eine neue Kurve für die Variable angelegt, die mit dem jeweiligen Element verknüpft ist. Die neue Kurve verfügt per Default über den mit der Variable/Datentyp verknüpften Stil. Bei Archivvariablen wird automatisch das am Besten geeignete Archiv ausgewählt. Falls es sich um keine Archivvariable handelt, werden die Onlinedaten verwendet. Wenn kein Bild vom Bildtyp Erweiterter Trend im Kontextmenü konfiguriert wurde, wird der Menüpunkt zur Runtime ausgegraut. Wenn ein Diagrammstil verknüpft ist, werden die Stile der Gruppen zur Runtime verwendet.

Im Knoten Erweiterter Trend der Menüeigenschaften können folgende Einstellungen vorgenommen werden:

  • Bild: Ermöglicht die Bildauswahl zur Darstellung im Erweiterten Trend.
  • Zeitfilter relativ: Ermöglicht die Einstellung eines Zeitfilters.
  • Stilgruppe für Diagramm: Ermöglicht die Auswahl eines Stiles für die Darstellung im Erweiterten Trend.

Funktion

Eine definierte Funktion von zenon wird durch Auswahl des Menü-Eintrags in der Runtime ausgeführt.

Hilfe

Eine Hilfeseite aus einer CHM-Datei wird angezeigt.

Keine Aktion

Es wird keine Aktion ausgeführt.

Sollwert setzen

Durch Auswahl des Menü-Eintrages Sollwert setzen kann zur Runtime ein fixer Wert abgesetzt oder ein Variablenwert um einen bestimmten Wert erhöht oder verringert werden. Die Eingabe erfolgt über die Sollwert-Eingabe-Maske zenon. Ist eines der 3 Keyboardbildern (SETVALUEKBD, SETBOOLKBD oder SETSTRINGKBD) im Projekt vorhanden, wird dieses automatisch verwendet.
Für diese Aktion kann eine Variable direkt definiert werden, oder bei Verwendung als Kontextmenü-Eintrag kann die Variable aus einem angeklickten Element übernommen werden.

VBA-Makro

Ein VBA-Makro wird durch Auswahl des Menü-Eintrags in der Runtime ausgeführt. Sie können nur die VBA-Makros auswählen, die als Init-Event deklariert sind.

Noch in diesem Kapitel

Befehlsgabe


Befehlsgabe

Handbuch > Menüs > Projektieren im Editor > Einträge definieren > Eigenschaften des Kontextmenüs und Auswahl der Aktionstypen > Befehlsgabe

Beim Erzeugen einer neuen Aktion in der Befehlsgabe, wird eine Menü-ID entsprechend des Aktionstyps und der Schaltrichtung für die Eigenschaft Aktionstyp erzeugt und in der Dropdownliste angeboten. Entspricht der Inhalt einer für den Aktionstyp und die Schaltrichtung als Standardtext definierten ID, dann wird der Inhalt angepasst, wenn sich der Aktionstyp oder die Schaltrichtung ändern.

Um ein Kontextmenü für die Befehlsgabe zu erstellen:

  1. erstellen Sie in der Befehlsgabe die gewünschten Aktionen
  2. wählen Sie in den Eigenschaften des Kontextmenü-Eintrags den Aktionstyp Befehlsgabe
  3. wählen Sie mit der Eigenschaft Menü ID die gewünschte Aktion und Schaltrichtung über die Dropdownliste
  4. vergeben Sie in der Eigenschaft Text eine eindeutige Bezeichnung
    Hinweis: Wird für Text kein Eintrag definiert, wird das Feld automatisch mit der Bezeichnung "Befehlsgabe" gefüllt.

attention Achtung

Die Projektierung in der Eigenschaft Text muss eindeutig sein. Werden gleiche Texte vergeben, werden weitere Menüpunkte mit gleichem Text nicht angezeigt.

Da automatisch erzeugte Menüpunkte mit gleicher Aktion den gleichen Text ergeben, stehen für diese Makros zur Verfügung.

Die Zeichenfolge ID_CMD_AUTO ist für automatisch erzeugte Menüpunkte reserviert. Diese müssen immer mit Makros verwendet werden, da sonst nur der Menüpunkt eingefügt wird.

Beim Überprüfen auf doppelte Einträge gelten folgende Regeln:

  • Manuelle Menüpunkte haben Priorität gegenüber automatischen.
  • Bei gleichem Typ hat der letzte Eintrag doppelte Priorität.
  • Wenn ein doppelter Eintrag gefunden wird, erfolgt eine Warnung im Log. Diese enthält die Menü-ID und Bezeichnung. Automatisch expandierte Einträge haben bei der ID den Zusatz <auto>.

Aktionen für Aktionstyp Befehlsgabe

Aktion | Schaltrichtung | Menü-ID
ID_CMD_AUTO |  | Dieser Menüpunkt zeigt automatisch alle möglichen Aktionen für ein Element an, sofern kein direkter Menüpunkt aus der Liste bereits verwendet wird.
Pulsbefehl | EIN (1) | ID_CMD_EBEF_ON
Pulsbefehl | AUS (1) | ID_CMD_EBEF_OFF
Pulsbefehl | KEINE | ID_CMD_EBEF_NONE
Schaltbefehl | EIN (1) | ID_CMD_DBEF_ON
Schaltbefehl | AUS (2) | ID_CMD_DBEF_OFF
Schaltbefehl | KEINE | ID_CMD_DBEF_NONE
Sollwert | KEINE | ID_CMD_SVALUE
Sollwert | DIREKT | ID_CMD_SVALUE_DIR
Statusvorgabe | KEINE | ID_CMD_STATE
Statusvorgabe | EIN (1) | ID_CMD_STATE_ON
Statusvorgabe | AUS (0) | ID_CMD_STATE_OFF
Ersetzen | KEINE | ID_CMD_REPL_NONE
Ersetzen | EIN (1) | ID_CMD_REPL_ON
Ersetzen | AUS (0) | ID_CMD_REPL_OFF
Ersetzen | STÖR | ID_CMD_REPL_DEF
Ersetzen | DIFF | ID_CMD_REPL_DIFF
Nachführen | KEINE | ID_CMD_UPD_NONE
Nachführen | EIN (1) | ID_CMD_UPD_ON
Nachführen | AUS (0) | ID_CMD_UPD_OFF
Nachführen | DIFF | ID_CMD_UPD_DIFF
Nachführen | STÖR | ID_CMD_UPD_DEF
Nachführen | DIREKT | ID_CMD_UPD_DIR
Blockieren | KEINE | ID_CMD_BLOCK
Freigeben | KEINE | ID_CMD_UNLOCK
Sperren | KEINE | ID_CMD_LOCK
Revision | AUS (0) | ID_CMD_REV_OFF
Revision | EIN (1) | ID_CMD_REV_ON
Zwangsbefehl | EIN (1) | ID_CMD_FORCE_ON
Zwangsbefehl | Aus (0) | ID_CMD_FORCE_OFF
Zwangsbefehl | KEINE | ID_CMD_FORCE_NONE

info Info

Weiter Informationen zur Verwendung von Kontextmenüs in der Befehlsgabe lesen im Handbuch Energy Edition im Abschnitt Kontextmenü Befehlsgabe.

Noch in diesem Kapitel

Makros für Kontextmenü


Makros für Kontextmenü

Handbuch > Menüs > Projektieren im Editor > Einträge definieren > Eigenschaften des Kontextmenüs und Auswahl der Aktionstypen > Befehlsgabe > Makros für Kontextmenü

Ein Makro ist eine definierte Zeichenfolge, die bei der Menüpunkterzeugung zur Runtime mit einem Text ersetzt wird. Beinahe alle Makros können pro Menüpunkt mehrfach vorkommen. Sie können auch als Ergebnis weitere Makros beinhalten. Dabei muss die Expansionsreihenfolge beachtet werden. Makros sind bei der Menüprojektierung case insensitive. Wenn Makros als Ergebnis ein Makro beinhalten, muss das Makro in Großbuchstaben im Ergebnis enthalten sein. Die Eingabe erfolgt mit $ als Prefix und Suffix.

Die Reihenfolge der Expansion erfolgt von links nach rechts in folgender Priorität.

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<Zustand>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Makro

Beschreibung

$ALL$

Ergibt Aktionsbenennung: Schaltrichtung.

Entspricht der Kombination der Makros $ACT$: $DIR$

Hinweis: Wird ein Kontextmenü für Befehlsgabe angelegt, so ist der Default-Text $ALL$, auch wenn das Menü schon einen Text projektiert hat aber der Aktionstyp zur Befehlsgabe wechselt.

$NOTE$

Der gesamte Text inklusive dem Makro wird als Bemerkung interpretiert. Ist der resultierende Text leer, wird das Makro $ALL$ eingesetzt.

Als letztes Makro wird nochmals das Bemerkungsmakro geprüft und der Text rechts davon inklusive Makro gelöscht.

Ist der resultierende Text leer oder besteht er nur aus Leerzeichen, wird der Menüpunkt nicht eingefügt.

$TAG$

Wird durch die Kennung der Aktionsvariable ersetzt.

Die Kennung kann durch die Onlinesprachübersetzung übersetzt werden. Wenn kein Übersetzungszeichen (@) enthalten ist, wird automatisch die gesamte Kennung zur Übersetzung markiert.

$REMA<Zustand>$

<Zustand> ist ein Rema- oder Grenzwertzustand, dessen Text zur Ersetzung verwendet wird.

Ist der Zustand nicht vorhanden, wird der Menüpunkt nicht dargestellt.

Der Grenzwerttext wird vor der Makroexpansion entsprechend der Platzierung von @ sprachübersetzt.

Zustand kann eine Zahl zwischen -231 und 231-1 sein. Führende Leerzeichen und ein Vorzeichen sind erlaubt. Wenn nicht auf eine Zahl konvertierbare Zeichen enthalten sind oder die Zahl außerhalb des angegebenen Bereiches ist, wird der Menüpunkt nicht dargestellt.

$RDIR$

Text für die Schaltrichtung aus Reaktionsmatrix/Grenzwert wie im Makro $DIR$, ausgenommen:

  • Aktion Sollwert setzen direkt
    Der Text wird aus Rema/Grenzwert vom Zustand, der dem Wert des zu setzenden Sollwertes entspricht, genommen.
  • Aktion Status ein und Status aus
    Text wird aus Rema/Grenzwert für den Zustand ein oder aus genommen.
  • Aktion Nachführen direkt
    Der Text wird aus Rema/Grenzwert vom Zustand, der dem Wert des zu setzenden Sollwertes entspricht, genommen.

$DIR$

Schaltrichtung der Aktion.

$ACT$

Aktionsbenennung der Aktion.

$NAME$

Das Makro $NAME$ kann für die Bildung von Menus verwendet werden und liefert den projektierten Inhalt der Eigenschaft Aktionsname, der auch zur Runtime mit einem @-Zeichen sprachumschaltbar ist.

Automatisch erzeugte Menüpunkte

Automatisch erzeugte Menüpunkte werden bei ID_CMD_AUTO als Menü-ID erzeugt. In diesem Fall müssen immer Makros verwendet werden, da ansonsten nur ein Menüpunkt eingefügt wird.

Kompatibilität

Vor Version 6.51 wurde Text bei automatischen Menüpunkten ignoriert. Bei der Konvertierung von Projekten, die mit Versionen vor 6.51 erstellt wurden, werden vor dem projektierten Text die Makros $ALL$$NOTE$ eingefügt. Damit verhalten sich diese Menüpunkte genauso wie bisher.

Online Sprachumschaltung

Die Beschriftung für den Menüpunkt in der Eigenschaft Text wird vor der Makroexpansion ab dem Zeichen @ sprachübersetzt.

Hinweis: Ist beim Makro $TAGS$ kein Übersetzungsindikator (@) enthalten, wird der komplette Text übersetzt.


Grafische Ausprägungen

Handbuch > Menüs > Projektieren im Editor > Einträge definieren > Grafische Ausprägungen

Die Menüs können grafisch durch folgende Eigenschaften beeinflusst werden

Parameter | Beschreibung
Grafikdatei | Zeigt im ganz linken Bereich eine Grafikdatei an.
Hintergrundgrafik | Legt hinter den Menüeintrag eine Grafikdatei. Die Ausrichtung kann entweder in Originalgröße oder gestreckt erfolgen.
Häkchen | Zeigt im ganz linken Bereich ein Häkchen an. Dieses Häkchen hat keinerlei Einfluss auf die Verfügbarkeit der verknüpften Funktionalität sondern dient nur der Anzeige. Eine Steuerung der Anzeige und der Funktionalität in der Runtime kann nur über VBA/VSTA erfolgen.
Sichtbar | Aktiviert: Menüeintrag wird zur Runtime angezeigt und verknüpfte Funktionalität steht zur Verfügung. Eine Steuerung der Sichtbarkeit zur Runtime kann nur über VBA/VSTA erfolgen.
Trennlinie aktiv | Zeigt an Stelle des Menüeintrags eine waagrechte Trennlinie zur logischen Unterteilung des Menüs an. Die Trennlinie kann in der Breite von 0 bis 50 Pixel und in der Farbe frei definiert werden.


Untermenü

Handbuch > Menüs > Projektieren im Editor > Einträge definieren > Untermenü

Um Untermenüs zu erstellen:

  1. Navigieren Sie in eine Menüzelle.
  2. Aktivieren Sie die Eigenschaft Untermenü.
    Dadurch wird neben der ausgewählten Menüzelle ein neues, leeres Menüfeld erstellt.
  3. Definieren Sie die Einträge für das Untermenü oder projektieren Sie weitere Untermenüs.

Untermenüs werden durch einen Pfeil nach rechts angezeigt. Untermenüs können auch geschachtelt aufgebaut werden.


Bedienen während der Runtime

Handbuch > Menüs > Bedienen während der Runtime

Die Menüs des Menü-Editors entsprechen in Ihrer Bedienung der aus Windows-Anwendungen gewohnten Funktionalität.

Menüs werden zur Runtime fix in der linken oberen Ecke platziert.

Hinweis: Bei anstehenden Alarmen kann die Alarmzeile die Menüs überdecken. Menüs können in diesem Fall erst bedient werden, wenn die Alarme quittiert wurden. Um das zu vermeiden, projektieren Sie die die Alarmstatuszeile an eine andere Stelle oder aktivieren Sie Rahmen für die Schablone.

Noch in diesem Kapitel

Menüs zur Runtime anzeigen


Menüs zur Runtime anzeigen

Handbuch > Menüs > Bedienen während der Runtime > Menüs zur Runtime anzeigen

Um Hauptmenüs zur Runtime anzuzeigen, muss die entsprechende Funktion Menü anzeigen projektiert und verknüpft werden.

Kontextmenüs werden in den Eigenschaften der betreffenden Dynamischen Elemente definiert.

Benutzerverwaltung

Ist für das Projekt eine Benutzerverwaltung projektiert, kann das Anzeigeverhalten der Menüs zur Runtime den Benutzerberechtigungen angepasst werden.

info Info

Mehr Infos über die Projektierung der Benutzerverwaltung lesen Sie im Handbuch Benutzerverwaltung.

Projektieren im Editor:

  1. Klicken Sie den Hauptknoten Ihres Projektes.
  2. Navigieren Sie in die Eigenschaftengruppe Benutzerverwaltung .
  3. Wählen Sie in der Eigenschaft Gesperrte Menüpunkte das gewünschte Verhalten.
  4. Ordnen Sie eine Berechtigungsebene zu:
    Für die Zuordnung der jeweiligen Berechtigungsebene :
    1. Wechseln Sie in die Eigenschaftengruppe Berechtigung .
    2. Setzen Sie in der Eigenschaft Berechtigungsebene den entsprechenden Passwortlevel.

Noch in diesem Kapitel

Hauptmenüs anzeigen

Kontextmenüs anzeigen


Hauptmenüs anzeigen

Handbuch > Menüs > Bedienen während der Runtime > Menüs zur Runtime anzeigen > Hauptmenüs anzeigen

Diese Funktion steuert die Anzeige von Hauptmenüs.

  1. erstellen Sie mit Funktion neu eine neue Funktion
  2. wählen Sie im Knoten Bilder die Funktion Menü anzeigen
  3. definieren Sie die auszuführende Aktion und das Hauptmenü

Parameter | Beschreibung
Aktion | Auswahl der Aktion:
Menü anzeigen | Das ausgewählte Menü wird angezeigt.
Menü ausblenden | Das ausgewählte Menü wird ausgeblendet.
Menü wechseln | Das aktuelle Menü wird ausgeblendet und das ausgewählte Menü wird angezeigt.
Wenn kein Menü vorhanden | Das ausgewählte Menü wird angezeigt, wenn derzeit kein anderes angezeigt ist.
Menü | Auswahl des Menüs.
Diesen Dialog zur Runtime anbieten | Aktiv: Bei Ausführung der Funktion zur Runtime wird dieser Dialog aufgeschaltet.

info Info

Im zenon Web Client (zenon Web Server und Web Server Pro) werden Hauptmenüs nicht angezeigt.

Unter CE (zenon unter Windows CE) können Menüs nur in den Standards, die Windows CE unterstützen, angezeigt werden. Andere Farben und Schriften als die Windows Farben und Schriften können in den Menüs unter CE nicht explizit ausgewählt werden.

Wird aus dem Kontextmenü in der Detailansicht die Standardfunktion erstellt, so erstellt zenon automatisch eine Funktion 'Menü anzeigen' für das ausgewählte Menü.


Kontextmenüs anzeigen

Handbuch > Menüs > Bedienen während der Runtime > Menüs zur Runtime anzeigen > Kontextmenüs anzeigen

Kontextmenüs können zur Runtime für Dynamische Elemente genutzt werden. Um ein Kontextmenü zur Runtime anzuzeigen, verknüpfen Sie das Kontextmenü mit dem gewünschten Dynamischen Element.

Dazu:

  1. navigieren Sie in den Eigenschaften des Dynamischen Elements zum Knoten Runtime
  2. wählen Sie die Eigenschaft Kontextmenü
  3. wählen Sie das gewünschte Kontextmenü aus der Dropdownliste

attention Achtung

Kontextmenüs werden über ihren Namen referenziert. Das heißt: Wird ein Kontextmenü umbenannt, geht die Verknüpfung mit dem Dynamischen Element verloren und muss neu erstellt werden.


Message Control

Handbuch > Message Control

Das optionale Modul Message Control ermöglicht den automatisierten Versand von Nachrichten und deren Quittierung. Der Versand wird über eine Funktion ausgelöst, die mit einem Ereignis verknüpft werden kann. Als Medien für den Versand stehen zur Verfügung:

  • E-Mail über Microsoft Outlook oder über SMTP
  • SMS über GSM-Modem oder über einen SMS-Gateway
  • Sprachnachricht mit Audiodatei über Modem oder per Voice over IP an Telefon
  • Sprachnachricht Text-to-Speech über Modem oder per Voice over IP an Telefon

Der Status der Übertragung kann in der Chronologischen Ereignisliste (CEL) protokolliert werden.

Die Konfiguration erfolgt in zwei Abschnitten:

  • Allgemeine Einstellungen zum Versand: in den Eigenschaften der Gruppe Message Control des Arbeitsbereichs.
  • Projektspezifische Einstellungen: in den Eigenschaften des Knotens Message Control im jeweiligen Projekt.

Kontextmenü projektspezifische Einstellungen im Projektmanager

Menüpunkt | Aktion
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Kompatibilität mit Version 6.xx

Voraussetzungen

Einschränkungen

Unterstützte AT-Kommandos

Message Control konfigurieren

Message Control zur Runtime

Meldungen und Fehlerbehandlung


Kompatibilität mit Version 6.xx

Handbuch > Message Control > Kompatibilität mit Version 6.xx

Änderungen von Version 7 gegenüber älteren Versionen

Ab Version zenon 7.00 SP0 unterscheidet sich das Modul Message Control in Technik und Konfiguration grundlegend von früheren Versionen.

Wichtige technische Änderungen:

  • es wird kein COM-Server mehr verwendet
  • die Zusatzkomponente der Firma DerDack wird nicht mehr verwendet
  • die ZenMsgQueue wird durch ein eigenes Bild vom Typ Message Control ersetzt
  • die Konfiguration erfolgt in den Eigenschaften Message Control des Arbeitsplatzes (Versand) und den Eigenschaften Projektspezifische Einstellungen für das Modul Message Control im Projekt (projektspezifisch)
  • es gibt keine Detailansicht mehr
  • das Schichtenmodell und die Kalenderfunktionalität wurden entfernt
  • es gibt keine Runtime änderbaren Dateien mehr
  • E-Mailversand ist möglich über Outlook oder einen SMTP Server, wobei SMTP den Versand von Anhängen erlaubt
  • die Konfiguration der Versandarten wird nicht länger in einer eigenen messag32.ini gespeichert, sondern in der zenon6.ini
  • Auswertung Grenzwerttexte: Bisher war die Auswertung von zusammengesetzten Texten im Modul Message Control unterschiedlich zur Auswertung von Standard-Grenzwerttexten. Ab Version 7.00 werden beide gleich ausgewertet: @StringTabelle+%var1

Details zur Konfiguration lesen Sie im Kapitel Message Control konfigurieren.

attention Achtung

Nur Projekte ab Version 5.50 SP7 können nach Version 7 konvertiert werden.

Konvertierung

Aufgrund der tief gehenden Änderungen kann bei der Konvertierung keine 100% Kompatibilität garantiert werden. Das gilt auch für das Kompilieren von Runtime-Dateien für ältere Versionen. Beachten Sie beim Konvertieren vor allem:

  • Benutzer:
    • Benutzer mit gleichem Name (Vorname Nachname) vorhanden: Benutzer wird verwendet und Informationen werden ergänzt.
    • Kein entsprechender Benutzer vorhanden: Es wird ein neuer Benutzer angelegt, die Verknüpfung zum Ersatzmann und zur Benutzergruppe werden aufgelöst. Der Benutzer wird in die bestehende oder die bei der Konvertierung erstellte Gruppe eingetragen.
  • Benutzergruppen:
    • Benutzergruppe mit gleichem Name vorhanden: Benutzergruppe wird verwendet und Informationen werden ergänzt.
    • Keine entsprechende Benutzergruppe vorhanden: Es wird eine neue Benutzergruppe angelegt.
  • Funktionen:

    Die Funktion Empfängerdatenbank anzeigen wurde entfernt:
    Diese Funktion kann mit dem Editor nicht mehr erzeugt werden. Beim Konvertieren wird sie aber nicht gelöscht. Ihr Aufruf zur Runtime bleibt ohne Wirkung und erzeugt einen LOG-Eintrag.

  • Paging:
    Paging steht als Versandart nicht mehr zur Verfügung. Bestehende Funktionen mit Versandart Paging werde beim Konvertieren geändert auf Versandart GSM. Eine Meldung im Ausgabefenster weist darauf hin. Nach der Konvertierung müssen die Einstellungen der Funktion überprüft werden.
  • Zur Runtime änderbare Dateien:
    Da die Benutzerverwaltung geändert wurde, werden keine Runtime änderbaren Dateien für Message Control benötigt. Es gibt in Version 7 auch keine Möglichkeit, alte Runtime-Daten zurückzulesen. Werden die Runtime-Dateien eines Projekts vor Version 7 benötigt, müssen diese in einem Editor vor zenon 7 zurückgelesen und dann konvertiert werden.
  • Schichten und Kalender:
    Die Funktionalität für Schichten und Kalender wurde entfernt. Bestehende Funktionen mit Zieltyp Schicht werde beim Konvertieren geändert auf Zieltyp Gruppe. Es wird allerdings keine Gruppe verknüpft. Eine Meldung im Ausgabefenster weist darauf hin. Nach der Konvertierung müssen die Einstellungen der Funktion überprüft werden.
  • SMS-Gateway:
    Da die einfache Schnittstelle keine technische Möglichkeit bietet, Nachrichten eindeutig zuordnen zu können, wird ab Version 7 nur noch die erweiterte Schnittstelle unterstützt. Beim Konvertieren muss sichergestellt werden, dass auch der SMS-Server der Firma Dialogs entsprechend konfiguriert wird. Sonst schlägt der Versand fehl.

Import und Export

Bisherige Versionen von Message Control und Versionen ab zenon 7.00 SP0 speichern ihre Einstellungen in unterschiedlichen Dateien:

  • bis inklusive Version 6.51 SP0: message32.ini
  • ab Version 7.00 SP0: zenon6.ini

Einstellungen importieren

Wird eine ältere Version von zenon in Version 7 oder höher geöffnet, werden die Einstellungen aus der bisherigen message32.ini übernommen und soweit möglich angepasst. Die Projektierung muss immer manuell überprüft werden, da nicht alle Einstellungen 100% korrekt konvertiert werden können. So werden zum Beispiel Schichtplänen Gruppen zugewiesen, die noch weiter konfiguriert werden müssen.

Einstellungen exportieren

Die Konfiguration kann aus Version 7 in die message32.ini für ältere Versionen geschrieben werden. Dazu klicken Sie auf die globale Arbeitsbereich-Eigenschaft Message Control/Einstellungen in Messag32.ini exportieren (v6.XX) und bestätigen Sie die Sicherheitsabfrage.

Achtung: Mit dem Ausführen der Eigenschaft Einstellungen in Messag32.ini exportieren (v6.XX) werden alle entsprechenden Einträge in der message32.ini überschrieben. Die INI-Datei kann damit Einträge enthalten, die im bisherigen Modul Message Control nicht ausgeführt werden können oder Konfigurationen unbrauchbar machen.

Noch in diesem Kapitel

Kompatibilität mit Version 5.50


Kompatibilität mit Version 5.50

Handbuch > Message Control > Kompatibilität mit Version 6.xx > Kompatibilität mit Version 5.50

Eine direkte Übernahme von Inhalten aus Version 5.50 auf Version 8.00 ist nicht möglich. Um Projektierungen des Moduls Message Control von Version 5.50 auf die aktuelle Version zu konvertieren führen Sie folgende Schritte durch:

  1. Konvertieren Sie Ihre Projekte zuerst nach zenon Version 6.51.
    Alle Benutzer und Gruppen werden aktualisiert.
    Hinweis: Dieser Zwischenschritt ist unbedingt notwendig. Eine direkte Konvertierung der Projektierung von Version 5.50 zur aktuellen Version ist nicht möglich!
  2. Konvertieren Sie anschließend die Projektierung von Version 6.51 zur aktuellen zenon Version.
  3. Überprüfen Sie in der aktuellen Version die Einstellungen für Benutzer und Benutzergruppen.
    Führen Sie im Bedarfsfall die notwendigen Korrekturen in der aktuellen Version durch.

attention Achtung

Beachten Sie dazu auch die Kompatibilitätshinweise im Kaptiel Kompatibilität mit Version 6.xx.


Voraussetzungen

Handbuch > Message Control > Voraussetzungen

Die Voraussetzungen für den Einsatz von Message Control hängen von den gewünschten Übertragungsmedien ab:

Medium

Voraussetzung

E-Mail über Microsoft Outlook:

Laufende Instanz von Microsoft Outlook.

E-Mail über SMTP:

Der Runtime-Server, der den Versand durchführt, muss an ein Netzwerk angeschlossen sein.

Ein E-Mail-Account muss verfügbar sein. Die Server mit dem Zugang zum Account müssen erreichbar sein.

SMS über GMS:

Ein GSM-Modem muss an den Computer angeschlossen und über eine serielle Schnittstelle (COM-Port) ansprechbar sein. USB-Modems erstellen bei der Installation in der Regel einen virtuellen COM-Port, über den sie angesprochen werden können.

SMS über SMS-Gateway:

Kompatibler Passender SMS-Server.

Sprachausgabe:

Voice-Modem mit DTMF-Funktionalität oder Voice over IP Server.

Text to Speech Engine. (Teilweise in Betriebssystem enthalten. Kann durch eigenes Text-To-Speech Paket bei COPA-DATA erweitert werden.)

Telefon:

Voice-Modem mit DTMF-Funktionalität.

Wird ein ISDN-Adapter verwendet, muss dieser folgende Funktionen unterstützen:

  • Unterstützung von Sprachnachrichten (LINEMEDIAMODE_AUTOMATEDVOICE)
  • Unterstützung von DTMF-Signalen (für die Entgegennahme des PIN-Codes bei der Quittierung einer Nachricht)
  • Unterstützung des Telephony Application Programming Interface (TAPI)

Voice over IP:

Voice over IP Zugang.

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Ports für VoIP

Für VoIP werden 2 Protokolle benutzt:

  • SIP: benutzt Port für SIP Port.
    Hinweis: SIP-TLS wird aktuell nicht unterstützt. VoIP sollte daher in kritischen Umgebungen, die Verschlüsselung verlangen, nicht eingesetzt werden.
  • RTP: benutzt Ports für RTP and RTCP.
    RTCP muss immer 1 höher sein als RTP.

Die Ports für die Versandmethode Voice over IP können über die Eigenschaften der Gruppe Voice over IP frei konfiguriert werden.

Bereiche:

  • SIP: 0 - 65535
  • RTP: 0 - 65534

Defaultwerte:

  • SIP-Port: 5060
  • RTP-Port: 4000
  • RTCP-Port: 4001
    Dieser Port kann nicht geändert werden. Er ist immer 1 höher als der RTP-Port.


Einschränkungen

Handbuch > Message Control > Einschränkungen

Unter bestimmten Umständen kann die Funktionalität von Message Control eingeschränkt sein oder nicht zur Verfügung stehen.

DTMF-Signale bei Mobiltelefonen und Voice over IP

DTMF-Signale mancher Mobiltelefone können von manchen VoIP-Providern missverständlich interpretiert werden.

Ursache: Manche Mobiltelefone senden sehr lange DTMF-Signale. Diese können bei Voice over IP vom Provider sporadisch auch als zwei kurze Tastendrücke interpretiert werden.

Lösung: Probieren Sie eine andere Kombination von Mobiltelefon und VoIP-Provider.

Erkennen von Signalen

Signale mancher Mobiltelefone werden von manchen VoIP-Providern nicht korrekt erkannt.

Lösung: Probieren Sie eine andere Kombination von Mobiltelefon und VoIP-Provider.

Windows CE

Das Modul Message Control steht unter Windows CE nicht zur Verfügung.


Unterstützte AT-Kommandos

Handbuch > Message Control > Unterstützte AT-Kommandos

Message Control unterstützt folgende AT-Kommandos:

Aufgabe | Kommando | Antwort | Kommentar zur Antwort
Verbindungstest: | AT\r | \r\nOK\r\n | am Ende
PIN-Status abfragen: | AT+CPIN?\r | +CPIN: | an beliebiger Stelle in der Antwort plus \r\n am Ende
PIN eingeben: | AT+CPIN="[PIN-Code]"\r | \r\nOK\r\n | am Ende
Modem in SMS-PDU-Modus schalten: | AT+CMGF=0\r | \r\nOK\r\n | am Ende
Telefonnummer der SMS Zentrale setzen: Hinweis: Bei SMSC-Nummer auch Ländercode (00xy oder +xy; xy steht für die entsprechenden Ziffern) setzen. | AT+CSCA="[SMSC-Telefonnummer]"\r | \r\nOK\r\n | am Ende
Prüfen, ob das Modem in den SMS-PDU-Modus gewechselt hat: | AT+CMGF?\r | \r\nOK\r\n | am Ende
Prüfen, ob das Modem die übergebene SMS-Zentrale gesetzt hat: | AT+CSCA?\r | \r\nOK\r\n | am Ende
Nachricht an diese Nummer versenden. Modem signalisiert Bereit für PDU wenn das Kommando akzeptiert wurde: | AT+CMGS="[PDU-Länge]"\r | \r\n>[Leerzeichen] |
PDU für die, an die zuvor spezifizierte Nummer, zu sendende SMS mit Abschluss-Flag: | [SMS-PDU][0x1A] | \r\nOK\r\n | am Ende
SMS aus dem Speicher mit per Flag gesetztem Status auflisten: | AT+CMGL=[Flag]\r | \r\nOK\r\n | am Ende
Alle SMS mit dem per Flag gesetzten Status aus dem Speicher löschen (unabhängig vom Index): | AT+CMGD=0,[Flag]\r | \r\nOK\r\n | am Ende
SMS mit dem gegebenen Index aus dem Speicher löschen: | AT+CMGD=[Index]\r | \r\nOK\r\n | am Ende

Hinweis: Beim AT+CMGD-Kommando genügt es, wenn eine der beiden Versionen unterstützt wird.

Argumente:

  • \r --> Carriage Return --> 0x0D
  • \n --> Line Feed --> 0x0A

Fehlersuche

Fehlermeldungen enthalten in der Antwort den Hinweis ERROR. Details zur Fehlersuche und zum Testen der Verbindung finden Sie im Kapitel Meldungen und Fehlerbehandlung.


Message Control konfigurieren

Handbuch > Message Control > Message Control konfigurieren

Message Control wird konfiguriert über:

  • globale Eigenschaften der Medien für den Versand
  • projektspezifische Eigenschaften für die Nachricht
  • Funktionen, die zur Runtime ausgeführt werden, für Versand und Verwaltung der Nachrichten

Nachrichten können verschickt und quittiert werden als:

  • E‑Mail
  • SMS
  • Sprachnachricht

Nachrichtenversand konfigurieren

Um den Versand einer Nachricht zu konfigurieren:

  1. Wählen Sie das Medium für den Versand in der Eigenschaftengruppe in Message Control.
    Hinweis: Sie finden diese Eigenschaftengruppe, wenn Sie im zenon Editor den aktuellen Arbeitsbereich anklicken.
  2. Aktivieren Sie dazu die Eigenschaft Versandart aktiv in jenem Bereich der Eigenschaftengruppe, welcher die gewünschten Versandart repräsentiert.
    Hinweis: Die Eigenschaft Versandart aktiv kann für mehrere Versandarten aktiviert werden.
  3. Konfigurieren Sie das Medium.
  4. Konfigurieren Sie die projektspezifischen Eigenschaften.
  5. Konfigurieren Sie die Benutzer oder Benutzergruppen, die über das Medium erreicht werden sollen.
  6. Erstellen Sie eine Funktion Sende Nachricht und

    verknüpften Sie die Funktion:

    1. mit einem Button oder
    2. mit der Eigenschaft Funktion bei jenen Grenzwerten, die bei Verletzung, dieses Nachricht verschicken sollen

      Bei einer Verknüpfung mit einem Grenzwert können dynamisch zur Runtime generierte Inhalte versandt werden. Um mehrere Sende Nachricht Funktionen für einen Grenzwert zu verwenden, benutzen Sie ein Skript, das diese Funktionen enthält und mit dem Grenzwert verknüpft wird.

Konfiguration der Nachricht

Eine Nachricht setzt sich aus mehreren Teilen zusammen:

  • Betreff: wird für E-Mails definiert über:
    • Betreff (Id) in den globalen Einstellungen für Outlook
    • E-Mail Betreff in den globalen Einstellungen für E‑Mails über SMTP
    • Eigenschaft Dynamischer Teil des Betreffs in den projektspezifischen Einstellungen für E‑Mail über SMTP oder Outlook
  • Beschreibung und Fehleingabe: wird für Sprachnachrichten definiert über:
    • Sprachnachricht per Text-To-Speech

      oder

    • Sprachnachricht per Audiodatei
  • Nachrichtentext: wird für E-Mails, SMS und Sprachnachrichten definiert in:
    • der Option Konstanter Text

Verwaltung der Message Queue konfigurieren

Um die Nachrichten zur Runtime zu verwalten:

  1. erstellen Sie ein Bild vom Typ Message Control
  2. erstellen und konfigurieren Sie eine Funktion Bildumschaltung auf dieses Bild
  3. verknüpfen Sie die Funktion mit einem Button

Damit können zur Runtime Nachrichten auf ihren Status überprüft und die Message Queue überwacht werden.

Message Control zur Runtime

Um Message Control zur Runtime einzusetzen:

  1. aktivieren Sie Message Control über
    • Eigenschaft Aktiv bei Runtimestart: Wird diese Eigenschaft aktiviert, startet Message Control mit der Runtime automatisch.
    • Funktion Sende Nachricht aktivieren: Wird diese Funktion aufgerufen, wird Message Control gestartet. Nachrichten werden erst ab diesen Zeitpunkt verarbeitet.

Beim normalen Beenden der Runtime wird ein Abbild der aktuelle Nachrichten-Queue gespeichert. Dieses Abbild kann auch während der Runtime jederzeit über die Funktion Aktuelle Warteschlange speichern erstellt werden. Message Control kann zur Runtime über die Funktion Sende Nachricht deaktivieren beendet werden.

Nachricht unterdrücken

Message Control führt einer Liste mit deaktivierten Elementen. Deaktiviert bedeutet, dass deren Alarme keine Meldung auslösen.

Ist bei eine Grenzwertverletzung eine Funktion Sende Nachricht verknüpft, werden Nachrichten nur erstellt und verschickt, wenn weder die Variable noch der Alarm unterdrückt sind.

  • Die Variable ist unterdrückt, wenn ihr Bereich oder eine der verknüpften Anlagengruppen in der Liste unterdrückter Elemente vorhanden ist.
  • Der Alarm ist unterdrückt, wenn die Alarm/Ereignis-Gruppe, die Alarm/Ereignis-Klasse oder der Alarmbereich in der Liste unterdrückter Elemente vorhanden ist.

Diese Liste kann mit der Funktion Gruppen/Klassen/Bereiche/Anlagen unterdrücken zur Runtime geändert werden. Es können Alarme und Anlagen aktiviert oder deaktiviert werden. Unterdrückte Einträge werden in der CEL geloggt, sofern für die Eigenschaft In CEL protokollieren alle Bestätigungen oder nur negative Bestätigungen gewählt wurde.

Das Aktivieren oder Deaktivieren von Einträgen erfolgt remanent im Netzwerk. Werden zum Beispiel für Wartungszwecke die Alarme eines Anlagenteils abgeschaltet, bleibt diese Einstellung auch nach dem Beenden der Runtime aktiv und wird beim Neustart wieder angewendet.

Noch in diesem Kapitel

Allgemeine Einstellungen zum Versand

Projektspezifische Einstellungen

Bild vom Typ Message Control anlegen

Benutzerverwaltung

Funktionen

Parameter für Nachrichten


Allgemeine Einstellungen zum Versand

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand

Die für den Versand von Nachrichten eingesetzten Medien werden global definiert und können von jedem Projekt und jedem Arbeitsbereich genutzt werden.

Als Medien für den Versand stehen zur Verfügung:

  • E-Mail-Nachricht über Outlook
  • E-Mail-Nachricht über SMTP
  • SMS-Nachricht über GSM-Modem
  • SMS-Nachricht über SMS-Gateway
  • Sprachnachricht Audiodatei über Modem
  • Sprachnachricht Text-to-Speech über Modem
  • Voice over IP als Audiodatei
  • Voice over IP als Text-to-Speech

Um die Eigenschaften zu konfigurieren:

  1. markieren Sie den Arbeitsbereich
  2. wählen Sie in den Eigenschaften die Gruppe Message Control
  3. aktivieren und konfigurieren Sie die gewünschten Medientypen

Die Einstellungen werden in der zenon6.ini im Bereich [Message Control] gespeichert.

attention Achtung

Diese Eigenschaften der Gruppe Message Control im Arbeitsbereich sind nicht projektspezifisch. Änderungen in diesem Bereich werden daher zur Runtime erst nach einem Neustart der Runtime wirksam.

Noch in diesem Kapitel

E-Mail-Nachricht über Outlook

E-Mail-Nachricht über SMTP

SMS-Nachricht über GSM-Modem

SMS-Nachricht über SMS-Gateway

Sprachnachrichten

Einträge zenon6.ini


E-Mail-Nachricht über Outlook

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > E-Mail-Nachricht über Outlook

Für den Versand einer Nachricht als E-Mail mit Microsoft Outlook muss:

  • die Versandart über die Eigenschaft Versandart aktiv aktiviert worden sein
  • auf dem ausführenden Rechner eine laufende Instanz von Microsoft Outlook mit eingerichtetem Konto und Verbindung zum Netzwerk/Internet vorhanden sein

Sind die Nachrichten quittierpflichtig, muss dafür gesorgt sein, das das Postfach innerhalb der Zeit, die für die Quittierung zur Verfügung steht abgefragt wird. Dieser Zeitraum wird mit der Funktion Sende Nachricht (Registerkarte Empfangsbestätigung) festgelegt.

attention Achtung

Für Outlook gilt bei der Verwendung mit Message Control:

  • 32-Bit Outlook benötigt die 32-Bit Version von zenon.
  • 64-Bit Outlook benötigt die 64-Bit Version von zenon.

Gemischter Betrieb ist in keiner Kombination möglich.

Konfiguration

  1. Aktivieren Sie die Versandart über die Eigenschaft Versandart aktiv.
    Hinweis: Sie finden diese Checkbox im Bereich E-Mail Nachricht (Outlook) der Eigenschaftengruppe Message Control.
  2. Definieren Sie über die Eigenschaft Profil den Namen des Outlook-Profils, das benutzt werden soll.
  3. Legen Sie über die Eigenschaft Betreff (Id) einen eindeutigen Betreff fest.
    Dieser Betreff dient als Kriterium für die Weiterleitung eingehender Nachrichten an das Modul Message Control. E-Mails, die diese ID nicht enthalten, werden nicht an Message Control weitergeleitet. Er muss:
    • mindestens vier Zeichen Länge aufweisen
    • bei Antworten unverändert belassen werden
  4. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  5. Konfigurieren Sie Benutzer und Benutzergruppen.
  6. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.

Verhalten zur Laufzeit

  1. Sobald die Runtime gestartet wird, werden Nachrichten abgerufen.
  2. Nachrichten werden entsprechend den Einstellungen zusammengesetzt und verschickt, sobald eine entsprechende Funktion ausgeführt wird.
  3. Antwortet ein Benutzer auf eine Nachricht, wird dessen Antwort beim Nachrichtenabruf gelesen und an Message Control übergeben.
  4. Dieses führt die Quittierung durch.


E-Mail-Nachricht über SMTP

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > E-Mail-Nachricht über SMTP

Für den Versand einer Nachricht als E-Mail über einen SMTP-Server muss:

  • die Versandart über die Eigenschaft Versandart aktiv aktiviert worden sein
  • auf dem ausführenden Rechner eine Verbindung zum Mail-Server vorhanden sein
  • ein E-Mail Account definiert sein
  • der Mail-Server mit seinen Zugangsdaten konfiguriert sein

Sind die Nachrichten quittierpflichtig, muss dafür gesorgt sein, das das Postfach innerhalb der Zeit, die für die Quittierung zur Verfügung steht abgefragt wird. Dieser Zeitraum wird mit der Funktion Sende Nachricht (Registerkarte Empfangsbestätigung) festgelegt.

Konfiguration

  1. Aktivieren Sie die Versandart über die Eigenschaft Versandart aktiv.
    Hinweis: Sie finden diese Checkbox im Bereich E-Mail Nachricht (SMTP) der Eigenschaftengruppe Message Control.
  2. Konfigurieren Sie die Eigenschaften für:
    • Posteingangsserver
    • Postausgangsserver
  3. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  4. Konfigurieren Sie Benutzer und Benutzergruppen.
  5. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.

Verhalten zur Laufzeit

  1. Sobald die Runtime gestartet wird, werden Nachrichten abgerufen.
  2. Nachrichten werden entsprechend den Einstellungen zusammengesetzt und verschickt, sobald eine entsprechende Funktion ausgeführt wird.
  3. Antwortet ein Benutzer auf eine Nachricht, wird dessen Antwort beim Nachrichtenabruf gelesen und an Message Control übergeben.
  4. Dieses führt die Quittierung durch.

Es kann immer nur ein Thread Verbindungen öffnen. Eine Verbindung wird immer für den Thread geöffnet, der sie benötigt, und sofort nach Beendigung des Datenaustausches geschlossen. Während eine Nachricht gesendet wird, kann kein anderer Thread den Posteingang abfragen oder ebenfalls eine Nachricht senden. Wird der Posteingang abgefragt, kann ebenfalls kein anderer Thread eine Abfrage starten oder Nachrichten senden.

Tritt bei einem der Abläufe ein Fehler auf, wie Authentifizierung fehlgeschlagen oder Kommando nicht unterstützt, werden alle aktiven Verbindungen geschlossen.

Die korrekten Einstellungen für die Konfiguration sind beim Anbieter des verwendeten E-Mail Accounts erhältlich.

Abläufe

Abruf eingehender E-Mails

  1. Aufbau einer Verbindung zum parametrierten Posteingangsserver und dem entsprechenden Port.
    Ob die Verbindung gesichert oder ungesichert erfolgt, hängt ab von den Einstellungen der Eigenschaft Verschlüsselung.
  2. Alle Mails im Posteingang werden durch die Kommandos STAT und RETR abgerufen. Auf Basis des Betreffs wird entschieden, ob eine E‑Mail relevant ist. Nicht relevante Nachrichten werden übersprungen. Relevante Nachrichten werden an Message Control weitergeleitet und - solange die Eigenschaft Gelesene E-Mails am Server belassen deaktiviert ist - mit dem Kommando DELE vom Server gelöscht.
    Hinweis HTML-Mails: Beim Empfang werden alle HTML-Steuerzeichen entfernt.
  3. Die Verbindung wird durch Senden des QUIT Kommandos und anschließendes Schließen der Verbindung beendet.

Versand einer E-Mail

  1. Je nach Einstellung wird eine gesicherte oder ungesicherte Verbindung zum SMTP-Server aufgebaut.
  2. Wenn konfiguriert, wird die SMTP Authentifizierung über das AUTH Kommando durchgeführt.
  3. Die zu versendende Nachricht wird im MIME-Format mit den SMTP Kommandos MAIL, RCPT und DATA übertragen.
  4. Die SMTP Verbindung wird durch Senden des QUIT Kommandos und anschließendes Schließen der Verbindung beendet.
  5. Falls eine POP3-Verbindung besteht, wird auch diese geschlossen.


SMS-Nachricht über GSM-Modem

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > SMS-Nachricht über GSM-Modem

Für den Versand einer Nachricht als SMS über ein GSM-Modem muss:

  • die Versandart über die Eigenschaft Versandart aktiv aktiviert worden sein
  • ein GSM-Modem an den sendenden Rechner angeschlossen und über eine serielle Schnittstelle (COM-Port) ansprechbar sein
    Hinweis: USB-Modems erstellen bei der Installation in der Regel einen virtuellen COM-Port, über den sie angesprochen werden können.
  • das GSM-Modem eventuell mit einer Herstellersoftware initialisiert werden, damit es sich ins GSM-Netz einwählen kann

Konfiguration

  1. Aktivieren Sie die Versandart über die Eigenschaft Versandart aktiv.
    Hinweis: Sie finden diese Checkbox im Bereich SMS-Nachricht (GSM-Modem) der Eigenschaftengruppe Message Control.
  2. Wählen Sie über die Eigenschaft Modemanschluss (seriell) den COM-Port des Modems aus der Dropdownliste aus.
    Der korrekte Port wird in den Systemeigenschaften beim Modem angezeigt.
    Hinweis: Nach einem Neuanschluss des Modems oder Neustart des Computers muss das Modem eventuell wieder mit der Herstellersoftware initialisiert werden, bevor es mit Message Control verwendet werden kann. Der COM-Port kann mit einem Neuanschluss des Modems oder Neustart des Computers wechseln.
  3. Geben Sie in der Eigenschaft PIN-Code, falls nötig, die PIN für das Modem ein.
  4. Überprüfen Sie die Verbindung mit Klick auf Verbindung prüfen.
  5. Geben Sie in das Eigenschaftenfeld Nummer der Kurzmitteilungszentrale die Rufnummer für die Kurzmitteilungszentrale ein.
  6. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  7. Konfigurieren Sie Benutzer und Benutzergruppen.
  8. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.

Verhalten zur Laufzeit

  1. Sobald die Runtime gestartet wird, wird die Verbindung zum Modem aufgebaut und konfiguriert.
  2. Nachrichten werden abgerufen.
  3. Nachrichten werden entsprechend den Einstellungen zusammengesetzt und verschickt, sobald eine entsprechende Funktion ausgeführt wird.
  4. Antwortet ein Benutzer auf eine Nachricht, wird dessen Antwort beim Abruf gelesen und an Message Control übergeben.
  5. Dieses führt die Quittierung durch.
  6. Liegen nach dem Abruf keine unvollständigen mehrteiligen Nachrichten mehr vor, werden die gelesenen Nachrichten am Modem gelöscht.
  7. Beim Beenden der Runtime wird die Verbindung zum Modem getrennt.

info Info

Wird das Modem neu angeschlossen oder der Rechner neu gestartet, wird empfohlen:

  • Führen Sie die vom GSM-Betreiber gelieferte Konfigurationssoftware aus, damit das Modem initialisiert wird und sich zum Netz verbindet.
  • Überprüfen Sie in der Systemsteuerung, ob das Modem nach dem erneuten Anschließen wieder den gleichen COM-Port verwendet.

Konstanten, Timeouts und Parameter

Eintrag

Wert

Erklärung

Timeout für AT Befehle

10000 ms

Das Modem hat 10 Sekunden Zeit, auf die Übermittlung eines AT-Kommandos zu antworten.

SMS Polling-Intervall

20000 ms

Alle 20 Sekunden wird geprüft, ob neue SMS eingegangen sind und diese gelesen. Sind keine unvollständigen mehrteiligen SMS vorhanden, werden alle gelesenen Nachrichten gelöscht.

COM-Timeouts

schreiben: 5 Sekunden

lesen: sofortige Rückgabe

Zum Schreiben der Bytes auf den COM-Port (max. 400 bei SMS-PDU mit Maximalgröße) stehen 5 Sekunden Zeit zur Verfügung.

Beim Lesen vom COM-Port wird der aktuelle Inhalt des Empfangspuffers ausgelesen und sofort zurückgesprungen.

COM-State-Konfiguration
  • Baud: 9600
  • Binärmodus
  • Paritäts-Check: inaktiv
  • Clear-to-Send und Data-Set-Ready: nicht überwacht
  • Data-Terminal-Ready und Request-To-Send Flow Control: aktiviert
  • Bit pro Byte: 8
  • Parität: Keine
  • Stop Bit:1

Standardkonfiguration einer seriellen Schnittstelle.

Puffer

Grenze

Maximalwert

Erklärung

Größe des Sendepuffers und Größe des Empfangspuffers für die serielle Schnittstelle in Byte

4096

Die einzelnen PDUs sind maximal 400 Byte groß. Beim Versenden einer SMS werden die PDUs einzeln hintereinander gesendet.

Beim Empfangen werden alle seit dem letzten Polling-Intervall gekommenen SMS auf einmal als Block abgefragt. Das Modem kann damit mindestens 10 PDUs auf einmal in den Empfangspuffer der seriellen Schnittstelle schieben.

Größe des Gesamtpuffers für Konvertierungen und eingehende SMS in Byte

12288

Da eine SMS-PDU maximal 400 Byte im Empfangspuffer belegt, können innerhalb eines Polling-Intervalls von 20 Sekunden mit diesem Puffer maximal 30 SMS-Teile mit Maximalgröße empfangen werden.

Die Maximalgröße einer zu versendenden SMS beträgt 6144 Unicode-Zeichen.


SMS-Nachricht über SMS-Gateway

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > SMS-Nachricht über SMS-Gateway

Für den Versand einer Nachricht als SMS über ein SMS-Gateway muss:

  • die Versandart über die Eigenschaft Versandart aktiv aktiviert worden sein
  • ein kompatibler SMS-Server vorhanden und konfiguriert sein

Ablauf

Konfiguration SMS-Server

Für die korrekte Konfiguration des SMS-Servers wenden Sie sich an den Hersteller.

Für die Zusammenarbeit mit zenon gilt:

  • Es müssen folgende Ordner existieren:
    • Inbox
    • Outbox
    • State
  • zenon verschiebt Nachrichten in diese Ordner.
  • Das SMS-Gateway liest und befüllt diese Ordner.
  • zenon überwacht diese Ordner:
    Sobald neue Nachrichten oder Informationen darin enthalten sind, werden diese an Message Control weitergegeben.

Konfiguration in zenon

  1. Aktivieren Sie die Versandart über die Eigenschaft Versandart aktiv.
    Hinweis: Sie finden diese Checkbox im Bereich SMS-Nachricht (SMS-Gateway) der Eigenschaftengruppe Message Control.
  2. Konfigurieren Sie Ausgangsordner, Eingangsordner und Statusordner.
  3. Konfigurieren Sie den Anfangsbuchstabe der SMS-Dateien.
    Dieser Anfangsbuchstabe ist eindeutig für das Projekt. Wird ein SMS-Gateway von mehreren Projekten benutzt, muss für jedes Projekt ein eindeutiges Präfix definiert werden.
  4. Anfangsbuchstabe der Sperr/Semaphor-Dateien konfigurieren: Legt den Anfangsbuchstaben für die Sperr/Semaphor-Dateien. Dieser Anfangsbuchstabe ist eindeutig für das Projekt. Wird ein SMS-Gateway von mehreren Projekten benutzt, muss für jedes Projekt ein eindeutiges Präfix definiert werden.
  5. Konfigurieren Sie die Eigenschaft Smart Alarming.
    Wird die Eigenschaft aktiviert, dann werden SMS wie folgt behandelt:
    • Alle ausgehenden Nachrichten werden überprüft. Beginnt eine Nachricht mit dem Text ALARM!, dann wird die Nachricht nicht im normalen Format (ID; Nachricht) gesendet, sondern im Format: ALARM! ID; Nachricht.
    • Mit dem Versand einer Nachricht, die mit ALARM! beginnt, wird das Mobiltelefon des Empfängers automatisch auf „sehr laut“ geschaltet, sofern das Telefon dies unterstützt.
    • Auch eingehenden Nachrichten werden auf diese Zeichenkette überprüft.
      Befindet sich an Position 6 ein Ausrufezeichen (!), dann werden die ersten 6 Stellen abgeschnitten und die Nachricht von Message Control weitergeleitet.
  6. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  7. Konfigurieren Sie Benutzer und Benutzergruppen.
  8. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.

Verhalten zur Laufzeit

  1. Sobald die Runtime gestartet wird, werden Nachrichten abgerufen.
  2. Nachrichten werden entsprechend den Einstellungen zusammengesetzt und verschickt, sobald eine entsprechende Funktion ausgeführt wird.
  3. Antwortet ein Benutzer auf eine Nachricht, wird dessen Antwort beim Nachrichtenabruf gelesen und an Message Control übergeben.
  4. Dieses führt die Quittierung durch.


Sprachnachrichten

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > Sprachnachrichten

Sprachnachrichten können gesendet werden als:

  • Audiodatei über Modem
  • Text-to-Speech über Modem
  • Voice over IP als Audiodatei
  • Voice over IP als Text-to-Speech

Informationen zum Ablauf zur Runtime lesen Sie in den Unterkapiteln sowie im Kapitel Sprachnachrichten zur Runtime.

Modem

Um Nachrichten über ein Modem zu versenden, muss

  • ein Modem an den sendenden Rechner angeschlossen und konfiguriert sein
  • das Telefongerät des Empfängers DTMF-fähig sein

Voice over IP

Um Nachrichten per Voice over IP zu versenden, muss Voice over IP korrekt konfiguriert sein.
Pflichtfelder:

  • Serveradresse
  • Benutzername
  • Passwort

Weiters muss:

  • das Telefongerät des Empfängers DTMF-fähig sein
  • der VoIP Provider die Protokolle SIP und RTP unterstützen
  • die Firewall die entsprechenden Ports geöffnet haben
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

Achtung: Nicht alle technischen Möglichkeiten des Protokolls wurde in Message Control implementiert.

Audiodatei

Um Nachrichten als Audiodatei zu versenden, muss:

  • im Knoten Dateien/Multimedia jeweils eine Audiodatei hinterlegt werden für:
    • Beschreibung
    • Bestätigung
    • Fehleingabe

Text-to-Speech

Um Nachrichten als Text-to-Speech zu versenden, muss:

  • das Telefongerät des Empfängers DTMF-fähig sein
  • eine Text-to-Speech (TTS) Engine installiert sein
  • die passende Sprachdatei installiert sein

Noch in diesem Kapitel

Sprachnachricht Audiodatei über Modem

Sprachnachricht Text-to-Speech über Modem

Voice over IP als Audiodatei

Voice over IP als Text-to-Speech


Sprachnachricht Audiodatei über Modem

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > Sprachnachrichten > Sprachnachricht Audiodatei über Modem

Für den Versand einer Sprachnachricht als Audiodatei über ein Modem muss:

  • die Versandart über die Eigenschaft Voice Modem (Audiodatei) aktiviert worden sein
  • im Knoten Dateien/Multimedia jeweils eine Audiodatei hinterlegt werden für:
    • Beschreibung
    • Bestätigung
    • Fehleingabe
  • ein Modem an den sendenden Rechner angeschlossen und konfiguriert sein
  • das Telefongerät des Empfängers DTMF-fähig sein

Achtung: Der Wert für die projektspezifische Eigenschaft Wartezeit zwischen Versuchen und Timeout muss größer sein als der Wert für die Option Wartezeit in den Sende Nachricht-Funktionen (Registerkarte Empfangsbestätigung).

Ablauf

Konfiguration

  1. Aktivieren Sie die Versandart über die Eigenschaft Voice Modem (Audiodatei).
  2. Konfigurieren Sie die Einstellungen für Timeout [min] und Begrüßungstext wiederholen.
  3. Wählen Sie über die Eigenschaft Leitungsname das Modem für den Versand aus.
    Die Auswahl erfolgt aus einer Dropdownliste, die alle in der Systemsteuerung konfigurierten Modems auflistet.
  4. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  5. Konfigurieren Sie Benutzer und Benutzergruppen.
  6. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.
  7. Diese Methode ist quittierpflichtig.

Verhalten zur Laufzeit

  1. Eine Funktion ruft die Versandmethode auf.
  2. Über das Modem wird ein Anruf initiiert.
  3. Die Verbindung gilt als hergestellt, sobald der Anruf an der Gegenstelle signalisiert wird. Ab diesem Zeitpunkt wird die Begrüßung abgespielt. Über die #-Taste kann die Begrüßung wiederholt werden.
    Danach muss der PIN eingegeben werden. Erst dann wird die Nachricht abgespielt.
  4. Die Nachricht muss vom Empfänger mit dem jeweils gültigen Code quittiert werden:
    • PIN-Code für Bestätigung
    • NA-Code für Ablehnung

    Der Empfänger kann zusätzlich:

    • die eben gehörte Datei durch Drücken der Raute-Taste (#) am Telefon erneut abrufen
    • eine Eingabe durch Drücken der Stern-Taste (*) rückgängig machen;
      in diesem Fall wird erneut die Begrüßung abgespielt

Hinweis: Erst mit Schließen der Leitung wird der Status der Nachricht bewertet (bestätigt oder abgelehnt oder fehlend). Solange die Leitung offen ist, kann durch drücken der Stern-Taste * wieder von vorne begonnen und der Code erneut eingegeben werden. Damit kann zum Beispiel auch noch PIN auf NA geändert werden.


Sprachnachricht Text-to-Speech über Modem

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > Sprachnachrichten > Sprachnachricht Text-to-Speech über Modem

Für den Versand einer Sprachnachricht per Text-to-Speech muss:

  • die Versandart über die Eigenschaft Voice Modem (Text-to-Speech) aktiviert worden sein
  • ein Modem an den sendenden Rechner angeschlossen und konfiguriert sein
  • das Telefongerät des Empfängers DTMF-fähig sein
  • eine Text-to-Speech (TTS) Engine installiert sein
  • die passende Sprachdatei installiert sein

Achtung: Der Wert für die projektspezifische Eigenschaft Wartezeit zwischen Versuchen und Timeout muss größer sein als der Wert für die Option Wartezeit in den Sende Nachricht-Funktionen (Registerkarte Empfangsbestätigung).

Sprachdateien

Je nach Version des Editor (32-Bit oder 64-Bit), muss im Betriebssystem die dazu passende Stimme (32-Bit fähig oder 64-Bit fähig) installiert und konfiguriert werden.

Dazu:

  1. Schließen Sie den Editor.
  2. Wählen Sie die zum Editor passende Stimme (sapi.cpl):
    • 32-Bit fähige Stimmen für den 32-Bit Editor: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
    • 64-Bit fähige Stimmen für den 64-Bit Editor: C:\Windows\System32\Speech\SpeechUX\sapi.cpl
  3. Starten Sie den Editor und wählen Sie in der Eigenschaft Stimme die konfigurierte Stimme aus.

Ablauf

Konfiguration

  1. Aktivieren Sie die Versandart über Eigenschaft Voice Modem (Text-to-Speech).
  2. Konfigurieren Sie die Einstellungen für Timeout [min] und Begrüßungstext wiederholen
  3. Wählen Sie über die Eigenschaft Leitungsname das Modem für den Versand aus.
    Die Auswahl erfolgt aus einer Dropdownliste, die alle in der Systemsteuerung konfigurierten Modems auflistet.
  4. Konfigurieren Sie die Eigenschaften für Text-to-Speech:
    • Stimme
    • Geschwindigkeit des Redeflusses
    • Lautstärke
  5. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  6. Konfigurieren Sie Benutzer und Benutzergruppen.
  7. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.
  8. Diese Methode ist quittierpflichtig.

Verhalten zur Laufzeit

  1. Eine Funktion ruft die Versandmethode auf.
  2. Über das Modem wird ein Anruf initiiert.
  3. Die Verbindung gilt als hergestellt, sobald der Anruf an der Gegenstelle signalisiert wird. Ab diesem Zeitpunkt wird die Beschreibung abgespielt. Über die #-Taste kann die Begrüßung wiederholt werden.
    Danach muss der PIN eingegeben werden. Erst dann wird der Text für die Bestätigung abgespielt.
  4. Die Nachricht muss vom Empfänger mit dem jeweils gültigen Code quittiert oder abgelehnt werden.
    • PIN-Code für Bestätigung
    • NA-Code für Ablehnung

    Der Empfänger kann zusätzlich:

    • die eben gehörte Datei durch Drücken der Raute-Taste (#) am Telefon erneut abrufen
    • eine Eingabe durch Drücken der Stern-Taste (*) rückgängig machen; in diesem Fall wird erneut die Beschreibung abgespielt


Voice over IP als Audiodatei

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > Sprachnachrichten > Voice over IP als Audiodatei

Für den Versand einer Sprachnachricht als Audiodatei via Voice over IP muss:

  • die Versandart über die Eigenschaft Voice over IP (Audiodatei) aktiviert worden sein
  • Voice over IP im Editor konfiguriert sein
  • im Knoten Dateien/Multimedia jeweils eine Audiodatei hinterlegt werden für:
    • Beschreibung
    • Bestätigung
    • Fehleingabe
  • das Telefongerät des Empfängers DTMF-fähig sein
  • der VoIP Provider die Protokolle SIP und RTP unterstützen
  • die Firewall die entsprechenden Ports geöffnet haben
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

Ablauf

Konfiguration

  1. Aktivieren Sie die Versandart über die Eigenschaft Voice over IP (Audiodatei).
  2. Konfigurieren Sie die Einstellungen der Gruppe Voice over IP:
    • Serveradresse
    • Benutzername
    • Passwort
  3. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  4. Konfigurieren Sie Benutzer und Benutzergruppen.
  5. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.
  6. Diese Methode ist quittierpflichtig.

Verhalten zur Laufzeit

  1. Eine Funktion ruft die Versandmethode auf.
  2. Über den VoIP-Server wird ein Anruf initiiert.
  3. Die Verbindung gilt als hergestellt, sobald der Anruf an der Gegenstelle entgegengenommen wird. Ab diesem Zeitpunkt wird die Beschreibung abgespielt. Über die Taste # kann die Begrüßung wiederholt werden.
  4. Die Beschreibung muss vom Empfänger mit dem jeweils gültigen Code quittiert werden:
    • PIN-Code für Bestätigung
    • NA-Code für Ablehnung

    Der Empfänger kann zusätzlich:

    • die eben gehörte Datei durch Drücken der Raute-Taste (#) am Telefon erneut abrufen
    • eine Eingabe durch Drücken der Stern-Taste (*) rückgängig machen

    Der Anruf wird nicht automatisch beendet. Er muss vom Empfänger beendet werden.

    Erst mit Schließen der Leitung wird der Status der Nachricht bewertet (bestätigt oder abgelehnt oder fehlend). Solange die Leitung offen ist, kann durch drücken der Taste * wieder von vorne begonnen und der Code erneut eingegeben werden. Damit kann zum Beispiel auch noch PIN auf NA geändert werden.

Hinweise:

  • Wird der Anruf nicht entgegengenommen, dann wird die Ersatzperson angerufen, sofern eine konfiguriert wurde. Sonst wird der Anruf abgebrochen.
  • In der Liste der Nachrichten wird in der Spalte Nachricht der Name der Audiodatei angezeigt.


Voice over IP als Text-to-Speech

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > Sprachnachrichten > Voice over IP als Text-to-Speech

Für den Versand einer Sprachnachricht per Text-to-Speech muss:

  • die Versandart über die Eigenschaft Voice over IP (Text-to-Speech) aktiviert worden sein
  • Voice over IP konfiguriert sein
  • das Telefongerät des Empfängers DTMF-fähig sein
  • eine Text-to-Speech (TTS) Engine installiert sein
  • die passende Sprachdatei installiert sein
  • der VoIP Provider die Protokolle SIP und RTP unterstützen
  • die Firewall die entsprechenden Ports geöffnet haben
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

Sprachdateien

Je nach Version des Editor (32-Bit oder 64-Bit), muss im Betriebssystem die dazu passende Stimme (32-Bit fähig oder 64-Bit fähig) installiert und konfiguriert werden.

Dazu:

  1. Schließen Sie den Editor.
  2. Wählen Sie die zum Editor passende Stimme (sapi.cpl):
    • 32-Bit fähige Stimmen für den 32-Bit Editor: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
    • 64-Bit fähige Stimmen für den 64-Bit Editor: C:\Windows\System32\Speech\SpeechUX\sapi.cpl
  3. Starten Sie den Editor und wählen Sie in der Eigenschaft Stimme die konfigurierte Stimme aus.

Ablauf

Konfiguration

  1. Aktivieren Sie die Versandart über Eigenschaft Voice over IP (Text-to-Speech).
  2. Konfigurieren Sie die Eigenschaften der Gruppe Voice over IP:
    • Serveradresse
    • Benutzername
    • Passwort
  3. Konfigurieren Sie die Eigenschaften für Text-to-Speech:
    • Stimme
    • Geschwindigkeit des Redeflusses
    • Lautstärke
  4. Konfigurieren Sie die Eigenschaften für Projektspezifische Einstellungen.
  5. Konfigurieren Sie Benutzer und Benutzergruppen.
  6. Legen Sie benötigte Funktionen an und verknüpfen Sie diese mit Buttons oder Ereignissen.
  7. Diese Methode ist quittierpflichtig.

Verhalten zur Laufzeit

  1. Eine Funktion ruft die Versandmethode auf.
  2. Über den VoIP-Server wird ein Anruf initiiert.
  3. Die Verbindung gilt als hergestellt, sobald der Anruf an der Gegenstelle entgegengenommen wird. Ab diesem Zeitpunkt wird die Beschreibung abgespielt. Über die Taste # kann die Begrüßung wiederholt werden.
  4. Die Beschreibung muss vom Empfänger mit dem jeweils gültigen Code quittiert oder abgelehnt werden.
    • PIN-Code für Bestätigung
    • NA-Code für Ablehnung

    Der Empfänger kann zusätzlich:

    • die eben gehörte Datei durch Drücken der Raute-Taste (#) am Telefon erneut abrufen
    • eine Eingabe durch Drücken der Stern-Taste (*) rückgängig machen; in diesem Fall wird erneut die Beschreibung abgespielt

Hinweise:

  • Wird der Anruf nicht entgegengenommen, dann wird die Ersatzperson angerufen, sofern eine konfiguriert wurde. Sonst wird der Anruf abgebrochen.
  • In der Liste der Nachrichten wird in der Spalte Nachricht der Nachrichtentext angezeigt.


Einträge zenon6.ini

Handbuch > Message Control > Message Control konfigurieren > Allgemeine Einstellungen zum Versand > Einträge zenon6.ini

Message Control wird vor allem über globale und projektspezifische Eigenschaften konfiguriert. In der zenon6.ini werden die globalen Eigenschaften der Medien im Abschnitt [Message Control] abgebildet.

Hinweis: Änderungen sollen immer über die Eigenschaften der zenon Oberfläche vorgenommen werden.

Bedeutung der INI-Einträge:

Eintrag

Erklärung

[MESSAGE CONTROL]

Einstellungen für das Modul Message Control.

Empfehlung: Konfiguration über die Eigenschaften der Gruppe Message Control im Arbeitsbereich inklusive Untergruppen und die Eigenschaften der Gruppe Projektspezifische Einstellungen im Knoten Message Control im Projektbaum.

GSM_SMS=

Aktivierung von SMS über GMS als Versandart.

  • 0: aktiv
  • nicht 0: inaktiv

Default: 0

Der Eintrag entspricht in der Message32.ini dem Eintrag [GSM]
On

Dieser wird beim Importieren/Exportieren der INI-Einstellungen berücksichtigt.

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe SMS-Nachricht (GSM-Modem).

GSM_SMS_COM=

COM-Port, der für die Verbindung zum Modem verwendet wird.

Default: leer

Entspricht im Editor der Eigenschaft Modemanschluss (seriell).

GSM_SMS_PIN=

PIN-Code, der zur Authentifizierung gegenüber dem Modem verwendet wird.

Default: leer

Entspricht im Editor der Eigenschaft PIN-Code.

GSM_SMS_SMSC=

Telefonnummer der Kurzmitteilungszentrale des GSM-Providers.

Default: leer

Entspricht im Editor der Eigenschaft Nummer der Kurzmitteilungszentrale.

GSM_BULK_DELETE=

Verhalten beim Löschen von SMS:

  • 0: Nachrichten werden mit der Methode Index gelöscht. Gelesene SMS werden einzeln gelöscht
  • 1: Nachrichten werden mit der Methode Statusflag gelöscht. Alle gelesenen SMS werden auf einmal gelöscht
    Hinweis: Diese Methode ist schneller und perfomanter, wird aber nicht von jedem Modem unterstützt.

Default: 0

Entspricht im Editor der Eigenschaft SMS mit der Statusflag-Syntax des AT+CMGD-Kommandos löschen.

Outlook=

Benachrichtigung per E-Mail über Outlook:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe E-Mail Nachricht (Outlook).

Outlook_Profile=

Name des Outlook Profils, das für den Versand benutzt werden soll.

Default: leer

Entspricht im Editor der Eigenschaft Profil.

POP_APOP=

Steuert die Authentifizierung am Posteingangsserver bei Benachrichtigung über SMTP/POP.

  • 0: Zur Authentifizierung werden Benutzer (USER) und Passwort (PASS) verwendet.
  • 1: Zur Authentifizierung wird das APOP-Kommando anstelle von Benutzer und Passwort verwendet.

Default: 0

Entspricht im Editor der Eigenschaft APOP zur Authentifizierung verwenden in der Gruppe E-Mail Nachricht (SMTP).

POP_KEEP_MAILS=

Legt fest, ob gelesene E-Mails am Server belassen werden:

  • 0: E-Mails werden nach dem Abruf am Server gelöscht.
  • 1: E-Mails werden nach dem Abruf am Server belassen.

Default: 0

Hinweis: Da POP3 keinerlei Möglichkeit zum Filtern der Mails beim Abrufen beinhaltet, werden immer alle im Posteingang vorhandenen Mails abgerufen. Ist diese Eigenschaft aktiv, steigt der Speicherverbrauch am Server und die Performance beim Abruf kann sinken.

Entspricht im Editor der Eigenschaft Gelesene E-Mails am Server belassen.

POP_PASSWORD=

Passwort für die Anmeldung am Posteingangsserver (POP3). Das Passwort wird verschlüsselt gespeichert und nur für die Authentifizierung entschlüsselt.

Darf nur im Editor geändert werden.

Default: leer

Entspricht im Editor der Eigenschaft Passwort in der Gruppe Posteingangsserver.

POP_POLL_INTERVALL=

Minimaler Abstand zwischen zwei POP3-Abfragen in Sekunden. Wert soll die Vorgaben des POP3 Servers nicht unterschreiten.

  • Minimum: 10
  • Maximum: 4294967295

Default: 60

Entspricht im Editor der Eigenschaft Minimale Zeitspanne zwischen Abfragen (s).

POP_PORT=

Port, auf dem der POP3 Server angesprochen wird.

  • Maximalwert: 6553

Default für:

  • ungesicherte Verbindung: 110
  • gesicherte Verbindung: 995

Entspricht im Editor der Eigenschaft Port in der Gruppe Posteingangsserver.

POP_SECURITY=

Art der Absicherung der Verbindung zum POP3 Server.

  • 0: keine Absicherung
  • 1: SSLv2 und SSLv3
  • 2: TLSv1

Default: 0

Entspricht im Editor der Eigenschaft Verschlüsselung in der Gruppe Posteingangsserver.

POP_SERVER=

Adresse des POP3 Servers.

Default: leer

Entspricht im Editor der Eigenschaft Serveradresse in der Gruppe Posteingangsserver.

POP_USER=

Benutzername für den Posteingangsserver.

Default: leer

Entspricht im Editor der Eigenschaft Benutzername in der Gruppe Posteingangsserver.

SMSGateway=

Benachrichtigung per SMS über SMS-Gateway:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe SMS-Nachricht (SMS-Gateway).

SMSGateway_Inbox=

Eingangsordner des SMS-Servers für den SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Eingangsordner.

SMSGateway_OriginId=

Absenderkennung für SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Absenderkennung.

SMSGateway_Outbox=

Ausgangsordner des SMS-Servers für den SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Ausgangsordner.

SMSGateway_Prefix=

Anfangsbuchstabe der SMS-Dateien. Muss für jedes Projekt eindeutig sein.

Länge: 1 Zeichen

Default: F

Entspricht im Editor der Eigenschaft Anfangsbuchstabe der SMS-Dateien.

SMSGateway_SemaphorPrefix=

Anfangsbuchstabe der Sperrdatei.

Länge: 1 Zeichen

Default: S

Entspricht im Editor der Eigenschaft Anfangsbuchstabe der Sperr/Semaphor-Dateien.

SMSGateway_SmartAlarm=

Smartalarming wird verwendet. Muss für jedes Projekt eindeutig sein.

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Smart Alarming.

SMSGateway_Statusbox=

Ordner für Statusmeldung bei SMS-Versand.

Default: leer

Entspricht im Editor der Eigenschaft Statusordner.

SMSGateway_TimeOut=

Timeout-Zeit für ausgehende Nachrichten in Minuten. Legt fest, nach welcher Zeitspanne einen Nachricht als "nicht erfolgreich verschickt" interpretiert wird.

Default: 60

Entspricht im Editor der Eigenschaft Timeout.

SMTP_AUTH=

Authentifizierung am Postausgangsserver.

  • 0: keine Absicherung
  • 1: vor Versand am POP3 Server anmelden
  • 2: SMTP AUTH mit Anmeldung am SMTP Server vor Versand

Default: 0

Entspricht im Editor der Eigenschaft Authentifizierung am Postausgangsserver in der Gruppe Postausgangsserver.

SMTP_OTHER_CREDS=

Legt fest, ob der Postausgangsserver andere Anmeldedaten als der Posteingangsserver verwendet.

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft in der Gruppe Postausgangsserver.

SMTP_PASSWORD=

Hex-Dump des verschlüsselten Passwortes zur Authentifizierung am Postausgangsserver.

Default: leer

Entspricht im Editor der Eigenschaft in der Gruppe Postausgangsserver.

SMTP_OTHER_CREDS=

Anmeldedaten für SMTP-Server.

  • 0: Anmeldedaten für den Posteingangsserver werden auch am Postausgangsserver verwendet.
  • 1: Für die Authentifizierung am Postausgangsserver werden andere Anmeldedaten als am Posteingangsserver verwendet.

Default: 0

Entspricht im Editor der Eigenschaft Andere Anmeldedaten als am Posteingangsserver verwenden in der Gruppe Postausgangsserver.

SMTP_OUT_ADDR=

Adresse für ausgehende E-Mails.

Default: leer

Entspricht im Editor der Eigenschaft Adresse für ausgehende E-Mails in der Gruppe Postausgangsserver.

SMTP_POP_MAIL=

Benachrichtigung per E-Mail über SMTP/POP:

  • 1: aktiv
  • 0: inaktiv

Default: 0

Entspricht im Editor der Eigenschaft Versandart aktiv in der Gruppe Postausgangsserver.

SMTP_PORT=

Definiert den verwendeten Port am SMTP Server.

Maximum: 65535

Default: 25

Entspricht im Editor der Eigenschaft Port in der Gruppe Postausgangsserver.

SMTP_SECURITY=

Art der Verschlüsselung der Verbindung zum SMTP Server.

  • 0: keine Absicherung
  • 1: SSLv2 und SSLv3
  • 2: TLSv1

Default: 0

Entspricht im Editor der Eigenschaft Verschlüsselung in der Gruppe Postausgangsserver.

SMTP_SERVER=

Der vom Benutzer eingegebene SMTP Server.

Default: leer

Entspricht im Editor der Eigenschaft Serveradresse in der Gruppe Postausgangsserver.

SMTP_SRV_IS_POP=

Der Eintrag bestimmt, ob der POP3 Server als SMTP Server verwendet wird.

  • 1: POP 3 ist SMTP
  • 0: POP3 und SMTP sind unterschiedliche Server

Default: 0

Entspricht im Editor der Eigenschaft Posteingangsserver für ausgehende E-Mails verwenden in der Gruppe Postausgangsserver.

SMTP_SUBJECT=

Betreff für ausgehende E-Mails und zur Erkennung, ob eine eingehende E-Mail am Server für die Versandart relevant ist.

Eingehenden E-Mails müssen diesen Text ebenfalls im Betreff stehen haben, um vom System weiter verarbeitet zu werden. E-Mails, die diesen Text nicht enthalten, werden weder an Message Control weitergeleitet noch vom Server gelöscht.

Default: MsgCtrl_Alert:

Entspricht im Editor der Eigenschaft E-Mail Betreff in der Gruppe Postausgangsserver.

SMTP_USER=

Benutzername für den Postausgangsserver gespeichert.

Default: leer

Entspricht im Editor der Eigenschaft Benutzername in der Gruppe Postausgangsserver.

SMTP_USER_IS_ADDR=

Definiert, ob der Benutzername für die Authentifizierung gegenüber dem Postausgangsserver als Absenderadresse für ausgehende Mails verwendet wird. Wird nur verwendet, wenn der Eintrag SMTP_AUTH= nicht 0 ist.

  • 1: aktiv
  • 0: inaktiv

Default: 0

Entspricht im Editor der Eigenschaft Benutzername ist Adresse für ausgehende E-Mails in der Gruppe Postausgangsserver.

Speech=

Benachrichtigung per Text-to-Speech über Modem:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Voice Modem (Text-to-Speech) in der Gruppe Sprachnachricht.

Speech_Name=

Auswahl der Stimme und Sprache für Text-to-Speech.

Achten Sie auf die Auswahl der zum Editor passenden Stimmen:

  • 32-Bit Editor: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • 64-Bit Editor: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Default: leer

Entspricht im Editor der Eigenschaft Stimme in der Gruppe Text-to-Speech.

Speech_Rate=

Geschwindigkeit der Stimme.

  • Minimum: -10
  • Maximum: 10

Default: 0

Entspricht im Editor der Eigenschaft Geschwindigkeit des Redeflusses in der Gruppe Text-to-Speech.

Speech_Volume=

Lautstärke der Stimme. Zahl entspricht dem Prozentwert vom Maximalwert der gewählten Stimme.

  • Maximum: 100
  • Minimum: 0 Wert vom Betriebssystem wird ohne Änderung übernommen.

Default: 0

Entspricht im Editor der Eigenschaft Lautstärke in der Gruppe Text-to-Speech.

Subject=

Eindeutige ID, die eingehende Mails wieder enthalten müssen, um in Message Control verarbeitet zu werden.

Default: MsgCtrl_Alert:

Entspricht im Editor der Eigenschaft Betreff (Id) in der Gruppe E-Mail Nachricht (Outlook).

Telephone=

Benachrichtigung per Audiodatei via Modem:

  • 0: inaktiv
  • 1: aktiv

Default: 0

Entspricht im Editor der Eigenschaft Voice Modem (Audiodatei) in der Gruppe Sprachnachricht.

Telephone_IgnoreDisconnect=

Verhalten bei Verbindungsabbruch:

  • 1: Ein Verbindungsabbruch (z. B. Empfänger beendet Gespräch) wird ignoriert und die Nachricht wird vollständig abgespielt, bevor die Leitung geschlossen wird.
  • 0: Nachricht wird abgebrochen, wenn Verbindung abbricht.

Default: 0

Entspricht im Editor der Eigenschaft Auflegen ignorieren in der Gruppe Sprachnachricht.

Telephone_Line=

Angabe des zu verwenden Modems. Muss bereits am Rechner konfiguriert sein.

Entspricht im Editor der Eigenschaft Leitungsname in der Gruppe Telefon Einstellungen.

Telephone_LineId=

Automatisch erstelle Gerät-ID, die das ausgewählte Modem identifiziert. Dient bei mehreren Modems gleichen Namens zur Unterscheidung der Geräte.

Achtung: Dient nur der Information. Darf hier nicht verändert werden.

Entspricht im Editor der Eigenschaft Leitungs-Id in der Gruppe Telefon Einstellungen.

Telephone_Timeout=

Zeit in Minuten, nach der eine stehende Verbindung abgebrochen und beendet werden soll. Zeitintervall muss länger sein als die für das Abspielen und Bestätigen der Nachricht benötigte Zeit.

Default: 1

Entspricht im Editor der Eigenschaft Timeout [min] in der Gruppe Sprachnachricht.

Telephone_WelcomeMessageCount=

Anzahl der Wiederholungen für den Willkommenstext.

Default: 5

Entspricht im Editor der Eigenschaft Begrüßungstext wiederholen in der Gruppe Sprachnachricht.

VOIP_AUDIO=

Sprachnachricht per Voice over IP als Audiodatei:

  • 0: inaktiv
  • 1: Voice over IP (Audiodatei)

Default: 0

Entspricht im Editor der Eigenschaft Voice over IP (Audiodatei) in der Gruppe Sprachnachricht.

Hinweis:

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_DOMAIN=

Serveradresse des VoIP-Anbieters.

Default: (leer)

Entspricht im Editor der Eigenschaft Serveradresse in der Gruppe Voice over IP.

VOIP_PASSWORD=

Passwort für den VoIP-Zugang.

Wird verschlüsselt gespeichert und darf nur in der Oberfläche geändert werden.

Default: (leer)

Entspricht im Editor der Eigenschaft Passwort in der Gruppe Voice over IP.

VOIP_RTP=

Nummer des RTP Ports für VoIP.

Default: 4000

Entspricht im Editor der Eigenschaft RTP-Port in der Gruppe Voice over IP.

VOIP_SIP=

Nummer des SIP Ports für VoIP.

Default: 5060

Entspricht im Editor der Eigenschaft SIP-Port in der Gruppe Voice over IP.

VOIP_TTS=

Sprachnachricht per Voice over IP als Text-to-Speech.:

  • 0: inaktiv
  • 1: Voice over IP (Text-to-Speech)

Default: 0

Entspricht im Editor der Eigenschaft Voice over IP (Text-to-Speech) in der Gruppe Sprachnachricht.

Hinweis:

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_USER=

Benutzername für VoIP-Zugang.

Default: (leer)

Entspricht im Editor der Eigenschaft Benutzername in der Gruppe Voice over IP.

info Info

Manche Eigenschaften können die Werte anderer Eigenschaften übernehmen. Sie speichern immer die zuletzt eingegebenen Werte. Daher müssen die Werte der INI-Einträge nicht immer mit den im Editor angezeigten Werten der Eigenschaften übereinstimmen. Betroffen sind davon folgende Eigenschaften:

  • SMTP_SERVER= -> Serveradresse
  • SMTP_USER= -> Benutzername
  • SMTP_PASSWORD= -> Passwort
  • SMTP_OUT_ADDR= -> Adresse für ausgehende E-Mails


Projektspezifische Einstellungen

Handbuch > Message Control > Message Control konfigurieren > Projektspezifische Einstellungen

Die projektspezifischen Einstellungen erreichen Sie über die Eigenschaften des Knotens Message Control im jeweiligen Projekt. Sie enthalten Eigenschaften für die Konfiguration der Nachricht und deren Zustellung. Generelle Eigenschaften für die Versandmedien werden in den Eigenschaften Message Control des Arbeitsbereichs konfiguriert.

Aktivierung von Message Control für das Projekt

Message Control kann zur Runtime aktiviert werden über:

  • Eigenschaft Aktiv bei Runtimestart: Wird diese Eigenschaft aktiviert, startet Message Control mit der Runtime automatisch.
  • Funktion Sende Nachricht aktivieren: Wird diese Funktion aufgerufen wird Message Control gestartet. Nachrichten werden erst ab diesen Zeitpunkt verarbeitet.

Message Control kann zur Runtime über die Funktion Sende Nachricht deaktivieren beendet werden.

Projektspezifische Eigenschaften

In den projektspezifischen Eigenschaften können festgelegt werden:

  • Dynamischer Teil des Betreffs über die Eigenschaft Dynamischer Teil des Betreffs: Eingehende Nachrichten werden auf diesen Inhalt zur Weiterleitung an Message Control gefiltert.
  • Protokollierung der Nachricht über die Eigenschaft In CEL protokollieren: In der Chronologischen Ereignisliste können Nachrichten nach unterschiedlichen Kriterien protokolliert werden:
  • alle Bestätigungen:
    alle Nachrichten
  • keine Bestätigungen:
    keine Nachrichten
  • nur negative Bestätigungen:
    nur Nachrichten, welche abgelehnt oder nicht beantwortet wurden (auch Wiederholungen)
    • nur positive Bestätigungen:
      nur Nachrichten, welche bereits quittiert wurden
  • Kennzeichnung des Status der Nachricht über Farbe und Grafik: Die Spalte Status des Bildes Message Control kann über eine Grafik und Farbe den Status einer Nachricht darstellen.
  • Regeln für das Wiederholen unterbrochener Anrufe

info Info

Regeln für unterbrochene Anrufe:

  • Wird ein Anruf ohne Bestätigung oder Ablehnung unterbrochen und die Unterbrechung nicht als Hardwarefehler klassifiziert, dann:
    • wird der Anruf für den gleichen Adressaten nicht wiederholt
    • werden noch nicht benachrichtigte Ersatzpersonen oder Gruppenmitglieder benachrichtigt
  • Wird ein Anruf durch einen Hardwarefehler unterbrochen, dann wird der Anruf für den gleichen Adressaten entsprechend der in der Eigenschaft Maximale Anzahl der Versuche eingestellten Zahl für Wiederholungen erneut gesendet.

Konfiguration der Nachricht

Eine Nachricht setzt sich zusammen aus:

  1. Statischer Teil: Unveränderbarer Betreff, der in den globalen Einstellungen für E-Mails definiert wird.
  2. Dynamischer Teil: Projektspezifischer Teil des Betreffs. Wird mit der Eigenschaft Dynamischer Teil des Betreffs festgelegt.

Aufbau des dynamischen Teils des Betreffs

Der dynamische Teil des Betreffs wird nach folgenden Regeln aufgebaut:

  • Ein Parameter kann:
    • ein Schlüssel aus der Sprachtabelle sein: z.B. @MyText;
    • eine bestimmte Variable definieren, die bei Ausführung der Funktion über AML oder eine Grenzwertverletzung über ihren Namen aufgerufen wird,: z.B. %Var1;
      Achtung: Die verletzte Variable für den Betreff wird nicht dynamisch ermittelt!
    • ein zusammengesetzter Eintrag in der Sprachtabelle sein: z.B. %@Var2+MultipleText
  • $: kennzeichnet Text, der Parameter enthält.
  • @: kennzeichnet Sprachumschaltung
  • %: kennzeichnet Variablen
  • %%: kennzeichnet Grenzwerttext Parameter für Variablen

    Zwischen den beiden Prozentzeichen kann eine Variable angegeben werden.
    Wird keine Variable angegeben, bezieht sich der Wert auf die Hauptvariable.

  • Textteile werden mit einem Semikolon (;)voneinander getrennt.
  • Nachrichten enden mit einem Semikolon (;).

Parameter

Zur Runtime

Aktion

Schlüssel:

@MyText

Es wird überprüft, ob für die aktuelle Sprache in der Sprachtabelle ein Eintrag für @MyText vorhanden ist.
  • Vorhanden: Eintrag wird in die Nachricht eingefügt.
  • Nicht vorhanden: Je nach Einstellung der Projekteigenschaft Nicht übersetzte Schlüsselwörter anzeigen wird entweder @MyText oder MyText in die Nachricht eingefügt.

Variable:

%Var1%

Es wird überprüft, ob die Variable vorhanden ist und der Wert gelesen werden kann.

  • Vorhanden: Wert der Variablen wird genommen und als String in der Text eingefügt.
  • Nicht vorhanden/nicht lesbar: Der Text xxx wird in die Nachricht eingefügt.

Zusammengesetzter Eintrag:

@StringTabelle+%var1Text

Es wird überprüft, ob:

  • 1. die Variable vorhanden ist und der Wert gelesen werden kann. Wert wird als String an den Präfix-Text („MultipleText") angehängt.
  • 2. für den Text in der Sprachtabelle ein Eintrag vorhanden ist
  • Variable und Text vorhanden:
    Text wird in die Nachricht eingefügt.
    Beispiel: Wert der Variable ist 33. Dann wird in der Sprachtabelle nach @StringTabelle33 gesucht und der dazu gehörende Text eingefügt.
  • Nicht vorhanden: Je nach Einstellung der Projekteigenschaft Nicht übersetzte Schlüsselwörter anzeigen wird entweder @MyText oder MyText in die Nachricht eingefügt.

Beispiel: $@Achtung;%Var1;


Bild vom Typ Message Control anlegen

Handbuch > Message Control > Message Control konfigurieren > Bild vom Typ Message Control anlegen

Das Bild vom Typ Message Control dient dazu, zur Runtime die Message-Queue eines Projekts zu verwalten.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Message Control.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Vorlage einfügen

Kontrollelemente | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Listen und Felder, die zur Runtime angezeigt werden können.

Kontrollelemente | Beschreibung
Nachrichten-Warteschlange | Liste der Nachrichten. Enthält Nachrichten, die verschickt, bestätigt oder gelöscht wurden oder noch zu verschicken sind. Die Nachrichten werden nur angezeigt und können nicht mehr bearbeitet werden. Spaltenüberschriften können individuell benannt werden und sind durch Voranstellung des Zeichens @ sprachumschaltbar.
Anzahl der Nachrichten | Zahl der aktuell vorhandenen Nachrichten.
Letzte Aktualisierung | Zeitpunkt der letzten Aktualisierung.
Unterdrückte Alarm/Ereignis-Gruppen | Alarm/Ereignis-Gruppen, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.
Unterdrückte Alarm/Ereignis-Klassen | Alarm/Ereignis-Klassen, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.
Unterdrückte Alarm/Ereignis-Bereiche | Alarm/Ereignis-Bereiche, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.
Unterdrückte Anlagengruppen | Anlagen, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.

Listenfunktionen

Kontrollelemente zur Steuerung von Listen.

Kontrollelemente | Beschreibung
Filter | Öffnet Dialog zur Konfiguration der Filter für die Ansicht.
Löschen | Löscht ausgewählten Eintrag aus der Liste. Es können nur Nachrichten gelöscht werden, die noch nicht verschickt wurden.
Aktualisieren | Aktualisiert Ansicht. Die aktuellen Daten werden aus der Message Queue in das Bild geladen. Der Zeitpunkt der letzten Aktualisierung kann über das Feld Letzte Aktualisierung angezeigt werden.
Stopp/Weiter | Startet und stoppt zyklische Aktualisierung der Liste.

Filterprofile

Profilverwaltung

Kontrollelemente | Beschreibung
Profilauswahl | Öffnet Dialog zur Auswahl eines Profils.
Speichern | Speichert aktuelle Einstellungen als Profil.
Löschen | Löscht Profil.
Import | Öffnet Dialog zum Import von Profilen aus Datei.
Export | Öffnet Dialog zum Export von Profilen in Datei.

info Info

Die Spalten der Liste können im Editor über die Filter für die Funktion Bildumschaltung konfiguriert werden, zur Runtime über das Kontrollelement Filter. Die Spalten der Liste können mit individuellen Beschriftungen versehen werden und sind sprachumschaltbar.


Benutzerverwaltung

Handbuch > Message Control > Message Control konfigurieren > Benutzerverwaltung

Benutzer und Benutzergruppen für Message Control werden in der zenon Benutzerverwaltung angelegt und verwaltet. Damit ein Benutzer in Message Control verwendet werden kann, muss in der Benutzerverwaltung die Eigenschaft Message Control Benutzer oder Message Control Gruppe aktiv gesetzt sein.

Benutzer und Benutzergruppen werden über Namen referenziert.

attention Achtung

Stellen Sie sicher, dass für jeden Benutzer die für den Versand benötigten Kontaktdaten konfiguriert werden.

Soll zur Runtime ein Benutzer oder eine Benutzergruppe benachrichtigt werden und die für die gewählte Versandart benötigten Daten stehen für einen Benutzer nicht zur Verfügung, wird der Versand abgebrochen. Es erfolgt kein erneuter Sendeversuch.

Das bedeutet für Gruppen: Ist zum Beispiel der vierte Benutzer einer Liste nicht korrekt konfiguriert, dann werden die ersten drei Benutzer der Liste benachrichtigt. Beim vierten Benutzer wird der Vorgang abgebrochen. Dieser und alle folgenden Benutzer der Liste erhalten keine Benachrichtigung mehr. Es wird auch nicht versucht, die ersten drei Benutzer erneut zu benachrichtigen.

Benutzer

Parameter

Beschreibung

Message Control Benutzer

Aktiv: Der Benutzer wird vom Modul Message Control verwendet.

Telefon

Nummer des sprachfähigen Telefoniegeräts des Benutzers. Wird für Text-to-Speech verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl
  • in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
    Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

Mobiltelefon

Nummer des Mobiltelefons des Benutzers. Wird für Nachrichten über GSM und SMS verwendet.

Eingabe in Ziffern. Zusätzlich erlaubt sind:

  • ein führendes Plus (+) als Abkürzung für 00 der internationalen Ländervorwahl
  • in der AD Benutzerverwaltung auch folgende Trennzeichen: Minus (-), Schrägstrich (/) und Leerzeichen
    Hinweis: Bei der Kommunikation zwischen AD und Message Control werden Trennzeichen entfernt, sobald die Daten aus dem AD auf ein zenon Objekt gemappt werden.

E-Mail

E-Mail Adresse des Benutzers.

Ersatzperson

Wird ein Benutzer nicht erreicht oder verweigert er die Annahme der Nachricht, kann eine Ersatzperson angegeben werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Benutzers. Es werden nur Benutzer zur Auswahl angeboten, die als Message Control Benutzer aktiviert wurden.

PIN-Code

PIN-Code, mit dem der Benutzer den Erhalt der Nachricht bestätigt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

NA-Code

PIN-Code, mit dem der Benutzer die Annahme der Nachricht verweigert (not available). Die Nachricht wird dann an den nächsten Benutzer in der Liste gesendet.

Ist kein weiterer Benutzer in der Liste eingetragen, so wird die Nachricht als "nicht erfolgreich quittiert" eingetragen. Die dazu zugeordnete Funktion wird ausgeführt. Zusätzlich wird in jedem Fall ein CEL-Eintrag "abgelehnt von" erzeugt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Weitere Informationen zum Zuordnen von Funktionen finden Sie im Kapitel Empfangsbestätigung - Einstellungen Empfangsbestätigung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Die Quittier-Codes für PIN (Bestätigung) und NA (Ablehnung) müssen sich unterscheiden und sollten nicht zu ähnlich gewählt werden.

Sind beide Codes ident, wird der Code als PIN und damit als Bestätigung der Nachricht interpretiert.

Wird ein unbekannter Code empfangen, wird bei SMS und E‑Mail die Nachricht an die Ersatzperson geschickt, bei Sprachnachrichten die Fehlernachricht abgespielt.

Reihenfolge innerhalb der Benutzergruppe

Benutzer können über die Eigenschaft Benutzerreihenfolge innerhalb einer Benutzergruppe gereiht werden.

Parameter | Beschreibung
Benutzer | Liste aller verfügbaren Benutzer.
Nach oben | Reiht ausgewählten Benutzer um eine Position nach oben.
Nach unten | Reiht ausgewählten Benutzer um eine Position nach unten.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Zur Runtime wird die Reihenfolge der Benutzer aus der globale Benutzerverwaltung an die in dieser Eigenschaft definierte Reihenfolge angefügt. Lokale Benutzer werden also immer vor globalen Benutzern angezeigt.

info Info

Details zur Benutzerverwaltung in zenon lesen Sie im Handbuch Benutzerverwaltung.


Funktionen

Handbuch > Message Control > Message Control konfigurieren > Funktionen

Funktionen steuern die Verwendung von Message Control zur Runtime.

Damit werden:

  • Message Control eingeschaltet und ausgeschaltet
  • Nachrichten verschickt
  • das Bild vom Typ Message Control zur Verwaltung der Nachrichten-Queue aufgeschaltet
  • die Nachrichten-Queue gespeichert
  • Elemente für Nachrichten unterdrückt

Noch in diesem Kapitel

Bildumschaltung auf ein Bild vom Typ Message Control

Aktuelle Warteschlange speichern

Gruppen/Klassen/Bereiche/Anlagen unterdrücken

Sende Nachricht

Sende Nachricht aktivieren

Sende Nachricht deaktivieren


Bildumschaltung auf ein Bild vom Typ Message Control

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Bildumschaltung auf ein Bild vom Typ Message Control

Mit einer Bildumschaltung auf ein Bild vom Typ Message Control rufen Sie zur Runtime das Bild auf, um die Message Queue zu überwachen. Um die Bildumschaltung zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Bildumschaltung
  3. der Auswahldialog für das Bild wird geöffnet
  4. wählen Sie das gewünschte Bild vom Typ Message Control
  5. der Dialog zur Konfiguration der Spalteneinstellungen wird geöffnet
  6. konfigurieren Sie die Spalten
  7. schließen Sie die Konfiguration mit Klick auf OK ab
  8. verknüpfen Sie die Funktion mit einem Button, um sie zur Runtime aufrufen zu können

Noch in diesem Kapitel

Spalteneinstellungen


Spalteneinstellungen

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Bildumschaltung auf ein Bild vom Typ Message Control > Spalteneinstellungen

Einstellungen für das Filtern der Nachrichten

Parameter | Beschreibung
Listenfeld | Darstellung der konfigurierten Spalten.
Spaltenauswahl | Öffnet Dialog zur Auswahl der Spalten.
Spaltenformat | Öffnet Dialog zur Formatierung der Spalten.
OK | Übernimmt alle Änderungen und schließt Dialog.
Abbrechen | Verwirft alle Änderungen und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Bildumschaltung auf ein Bild vom Typ Message Control > Spalteneinstellungen > Spaltenauswahl

Konfiguration der zur Runtime anzuzeigenden Spalten.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Bildumschaltung auf ein Bild vom Typ Message Control > Spalteneinstellungen > Spaltenformat

Formatierung der Spalten.

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Aktuelle Warteschlange speichern

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Aktuelle Warteschlange speichern

Diese Funktion speichert ein Abbild der aktuellen Message Queue. Wird die Runtime normal beendet, wird dieses Abbild durch ein beim Beenden der Runtime gültiges Abbild der Queue ersetzt. Um diese Funktion zu projektieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie in der Gruppe Message Control die Funktion Aktuelle Warteschlange speichern.
  3. Verknüpfen Sie die Funktion mit einem Button, um sie zur Runtime aufrufen zu können.

Diese Funktion wird immer am prozessführenden Rechner ausgeführt.


Gruppen/Klassen/Bereiche/Anlagen unterdrücken

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Gruppen/Klassen/Bereiche/Anlagen unterdrücken

Message Control führt eine Liste mit deaktivierten Elementen. Deaktiviert bedeutet, dass deren Alarme keine Meldung auslösen. Diese Liste kann mit dieser Funktion geändert werden. Es können Alarme und Anlagen aktiviert oder deaktiviert werden. Die Projektierung erfolgt im Editor und kann zur Runtime für Änderungen frei gegeben werden.

Ist bei einem Grenzwerte eine Funktion Sende Nachricht verknüpft, werden Nachrichten nur erstellt und verschickt, wenn weder die Variable noch der Alarm unterdrückt sind.

  • Die Variable ist unterdrückt, wenn ihr Bereich oder eine der verknüpften Anlagengruppen in der Liste unterdrückter Elemente vorhanden ist.
  • Der Alarm ist unterdrückt, wenn die Alarm/Ereignis-Gruppe, die Alarm/Ereignis-Klasse oder der Alarmbereich in der Liste unterdrückter Elemente vorhanden ist.

Unterdrückte Einträge werden in der CEL geloggt, sofern für die Eigenschaft In CEL protokollieren alle Bestätigungen oder nur negative Bestätigungen gewählt wurde.

Funktion projektieren

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie in der Gruppe Message Control die Funktion Gruppen/Klassen/Bereiche/Anlagen unterdrücken
  3. der Dialog zur Konfiguration der zu unterdrückenden oder aktivierenden Elemente wird geöffnet
  4. konfigurieren Sie die Elemente
  5. schließen Sie den Dialog mit Klick auf OK
  6. verknüpfen Sie die Funktion mit einem Button, um sie zur Runtime aufrufen zu können

Noch in diesem Kapitel

Allgemein

Anlagenmodellierung


Allgemein

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Gruppen/Klassen/Bereiche/Anlagen unterdrücken > Allgemein

Parameter

Beschreibung

Alarm/Ereignis-Gruppen

Liste der konfigurierten Alarm/Ereignis-Gruppen.

Alarmbereiche

Liste der konfigurierten Alarmbereiche.

Alarm/Ereignis-Klassen

Liste der konfigurierten Alarm/Ereignis-Klassen.

Aktivieren

Aktiv: Beim Aufruf der Funktion werden die ausgewählten Elemente in die Liste der unterdrückten Elemente eingefügt.

Deaktivieren

Aktiv: Beim Aufruf der Funktion werden die ausgewählten Elemente aus der Liste der unterdrückten Elemente entfernt.

Dialog in Runtime anzeigen

Checkbox zur Auswahl, ob dieser Dialog in der Runtime angezeigt wird:

  • aktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime am aktuellen Rechner aufgeschaltet. Im Netzwerk wird dieser Dialog auf jenem Rechner aufgeschaltet, der die Funktion ausführt. Dadurch sind Änderungen von bestehenden Parametrierungen von einer zenon Editor-Projektierung bei der Ausführung in der zenon Runtime möglich.
  • inaktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime nicht angezeigt. Die Funktion oder der Befehl wird sofort mit der im Editor erstellten Projektierung ausgeführt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Die Auswahl von Elemente aus einer Liste erfolgt über Mausklick. Mehrfachauswahl ist möglich. Dazu reicht ein weiterer Mausklick, es müssen keine zusätzlichen Tasten gedrückt werden. Erneuter Klick auf ein ausgewähltes Element, wählt das Element wieder ab.


Anlagenmodellierung

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Gruppen/Klassen/Bereiche/Anlagen unterdrücken > Anlagenmodellierung

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft die Auswahl und schließt den Dialog. Achtung: Eventuelle Änderungen in der Struktur lokaler Anlagenmodelle bleiben erhalten.
Hilfe | Öffnet die Online-Hilfe.

Konfiguration

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Um ein neues Modell hinzuzufügen:

  1. Klicken Sie auf das Projekt.
  2. Wählen Sie in der Symbolleiste Anlagenmodell neu.

Modell entfernen

Um ein bestehendes Modell zu entfernen:

  1. Klicken Sie auf das Modell.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Um eine Gruppe zu einem Modell hinzuzufügen:

  1. Wählen Sie das gewünschte Anlagenmodell.
    Achtung: Bestehen Namenskonflikte zwischen globalen und lokalen Anlagenmodellen, werden die lokalen Anlagenmodelle angezeigt und die globalen ignoriert. Informationen zu eventuellen Konflikten erhalten Sie per Klick auf das entsprechende Symbol (Dreieck mit Ausrufezeichen) in der Symbolleiste.
  2. Wählen Sie eine Anlagengruppe oder Ebene.
  3. Fügen Sie die neue Gruppe über die Schaltfläche Hinzufügen zur Liste im unteren Bereich des Dialogs hinzu.

    Hinweise:

    • Untergruppen werden nicht automatisch hinzugefügt.
    • Es können beliebig viele Gruppen verknüpft werden.

Gruppen aus dem Modell löschen

Um eine Gruppe aus einem Modell zu löschen:

  1. Wählen Sie in der Liste im unteren Bereich des Dialogs die gewünschten Elemente (Mehrfachauswahl ist möglich).
  2. Klicken Sie auf die Schaltfläche Entfernen.

Hinweis: Änderungen in einem Baum-Element bleiben erhalten, unabhängig davon, ob die Schaltfläche Abbrechen betätigt wird. Abbrechen bedeutet nur, dass kein Element ausgewählt wird.

Zur Runtime

Beim Ausführen der Funktion wird die im Dialog konfigurierte Einstellung als Request zum prozessführenden Rechner geschickt. Dort wird sie dann ausgewertet.


Sende Nachricht

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht

Diese Funktion ermöglicht den Versand von Nachrichten zur Runtime. Dazu verknüpfen Sie die Funktion mit:

  • einem Alarm (Funktion für Gruppe Klasse oder Bereich)
  • einem Grenzwert (Eigenschaft Grenzwerte/Funktion),
  • einer Reaktionsmatrix (Funktion)
  • der Zeitsteuerung (über Schaltfläche oder PFS)

attention Achtung

Stellen Sie sicher, dass für jeden Benutzer die für den Versand benötigten Kontaktdaten konfiguriert werden.

Soll zur Runtime ein Benutzer oder eine Benutzergruppe benachrichtigt werden und die für die gewählte Versandart benötigten Daten stehen für einen Benutzer nicht zur Verfügung, wird der Versand abgebrochen. Es erfolgt kein erneuter Sendeversuch.

Das bedeutet für Gruppen: Ist zum Beispiel der vierte Benutzer einer Liste nicht korrekt konfiguriert, dann werden die ersten drei Benutzer der Liste benachrichtigt. Beim vierten Benutzer wird der Vorgang abgebrochen. Dieser und alle folgenden Benutzer der Liste erhalten keine Benachrichtigung mehr. Es wird auch nicht versucht, die ersten drei Benutzer erneut zu benachrichtigen.

Um die Funktion zu projektieren:

  1. Erstellen Sie eine neue Funktion.
  2. Wählen Sie in der Gruppe Message Control die Funktion Sende Nachricht.
  3. Der Dialog zur Konfiguration wird geöffnet:

  4. Konfigurieren Sie
    • Versandart
    • Nachricht
    • Empfangsbestätigung
  5. Schließen Sie den Dialog mit Klick auf OK.
    Hinweis: Beim Klick auf OK werden die Eingaben in den Registerkarten validiert. Werden Fehlkonfigurationen entdeckt, wird der Benutzer über eine Nachrichtenbox informiert. Der Benutzer kann dann die Konfiguration ändern odern mit dem Speichern der fehlerhaften Konfiguration fortfahren.
  6. Verknüpfen Sie die Funktion.

    Bei einer Verknüpfung mit einem Grenzwert oder Rema können dynamisch zur Runtime generierte Inhalte versandt werden. Um mehrere Sende Nachricht Funktionen für einen Grenzwert zu verwenden, benutzen Sie ein Skript, das diese Funktionen enthält und mit dem Grenzwert verknüpft wird.

info Info

Die Funktion Sende Nachricht wird zur Runtime immer am prozessführenden Rechner ausgeführt. Dies ist jener Rechner, der die Funktion in der Runtime ausführt.

Noch in diesem Kapitel

Versandart

Nachricht

Empfangsbestätigung


Versandart

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Versandart

In dieser Registerkarte werden Versandart, Empfänger und Methode konfiguriert.

Parameter

Beschreibung

Versandart

Auswahl der Versandart aus Dropdownliste. Je nach Konfiguration stehen zur Verfügung:

  • E-Mail-Nachricht über Outlook
  • E-Mail-Nachricht über SMTP
  • Sprachnachricht Audiodatei über Modem
  • Sprachnachricht Text-to-Speech über Modem
  • SMS-Nachricht über SMS Server
  • SMS-Nachricht über GSM-Modem
  • Voice over IP als Audiodatei
  • Voice over IP als Text-to-Speech

Hinweis: In der Dropdownliste werden nur Medien angezeigt, deren Eigenschaft Versandart aktiv in den Message Control Eigenschaften des Arbeitsbereichs aktiviert wurde.

Empfänger

Einstellungen zum Empfänger.

Typ

Konfiguration des Empfängertyps aus Dropdownliste. Dabei wird der Dialog zur Auswahl eines Benutzers oder einer Benutzergruppe geöffnet.
Zur Verfügung stehen:

  • Benutzergruppe:
    Versand an eine Gruppe.
    In der Option Methode wird festgelegt, wie die Gruppenmitglieder benachrichtigt werden.
  • Benutzer:
    Versand an einen einzelnen Benutzer.
  • Benutzergruppe mit Schichtfilter:
    Auswahl einer Benutzergruppe für das Schichtmanagement. Es können mit einer Schicht verknüpfte Benutzer benachrichtigt werden.
    Empfehlung: Wählen Sie als Methode Endlosfolgeruf.

Konfigurierte Benutzer oder Benutzergruppen können über die Option Empfängername geändert werden.

Methode

Nur verfügbar, wenn für die Option Typ Benutzergruppe oder Benutzergruppe mit Schichtfilter ausgewählt wurde.

Auswahl der Versandmethode aus Dropdownliste. Mögliche Methoden:

  • Gruppenruf:
    Alle Benutzer der Gruppe erhalten die Nachricht parallel.
    (Hinweis: Diese Methode entspricht in Versionen vor zenon 7.00 dem Versandtyp Gruppe-Versand.)
  • Folgeruf:
    Die Nachricht wird den Benutzern entsprechend der in der Gruppe definierten Reihenfolge der Reihe nach zugestellt bis der erste positiv quittiert. Die Gruppe wird nur einmal durchlaufen. Erfolgt keine positive Quittierung, wird der Versand beendet.
  • Endlosfolgeruf:
    Entspricht prinzipiell dem Folgeruf, allerdings mit Wiederholung: Nach dem letzten Empfänger wird die Gruppe wieder von oben beginnend durchlaufen. Der Versand erfolgt bis zur ersten positiven Quittierung.

Hinweis: Diese Einstellung ist unabhängig von der Eigenschaft Maximale Anzahl der Versuche.

Empfängername

Nur verfügbar, wenn Option Name von Variable inaktiv ist.

Öffnet Dialog zur Auswahl eines Empfängers oder einer Empfängergruppe - abhängig von Auswahl in der Option Typ.

Name von Variable

Aktiv: Zur Runtime wird die Variable gelesen und über deren Wert ein Benutzer oder eine Benutzergruppe aus der Benutzerverwaltung ausgelesen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Dialog kann nur geschlossen werden, wenn alle nötigen Optionen konfiguriert wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Nachricht an Benutzergruppe mit Schichtfilter schicken


Nachricht an Benutzergruppe mit Schichtfilter schicken

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Versandart > Nachricht an Benutzergruppe mit Schichtfilter schicken

Benutzer, die einer Schicht zugewiesen wurden, können bei Alarmen und Ereignissen über das Modul Message Control automatisiert benachrichtigt werden.
Die Benachrichtigung wird über die beiden Module Schichtmanagement und Message Control konfiguriert.

Hinweis: Die Benachrichtigung kann nur für konfigurierte Schichten benutzt werden. Eine Verknüpfung mit Schichtmodellen ist nicht möglich.

Konfiguration

Um Benutzer benachrichtigen zu können:

  1. Verknüpfen Sie die gewünschten Benutzer mit der Schicht.
  2. Verknüpfen Sie die Benutzer mit einer Benutzergruppe.
    Achten Sie darauf, dass für die Benutzer, die benachrichtigt werden sollen:
    • die Eigenschaft Message Control Benutzer aktiviert wurde
    • für die Benutzergruppe die Eigenschaft Message Control Gruppe aktiviert wurde
  3. Legen Sie für die Benutzergruppe die Reihenfolge, in der die Benutzer benachrichtigt werden, fest. Dafür nutzen Sie die Eigenschaft Benutzerreihenfolge. Die Benutzer werden in der festgelegten Reihenfolge benachrichtigt.
  4. Konfigurieren Sie für Message Control den Empfänger in der Funktion Sende Nachricht:
    1. Öffnen Sie die Funktion und wechseln Sie in die Registerkarte Versandart.
    2. Wählen Sie in der Option Typ Benutzergruppe mit Schichtfilter.
      Der Dialog Benutzergruppenauswahl wird geöffnet.
    3. Wählen Sie die für das Schichtmanagement konfigurierte Benutzergruppe als Empfänger der Nachricht aus.
      Hinweis: Um die Gruppe später zu ändern, wählen Sie die Option Empfängername.
    4. Wählen Sie eine Methode aus.
      Hinweis: Wird Gruppenruf gewählt, dann werden alle Empfänger gleichzeitig benachrichtigt, bei Folgeruf und Endlosfolgeruf nacheinander.
  5. Konfigurieren Sie die weiteren Optionen der Funktion.

Ablauf Runtime

Ablauf bei Auslösung der Funktion Sende Nachricht:

  1. Die Funktion sucht in der eingestellten Benutzergruppe den ersten Benutzer, der für Message Control konfiguriert ist.
  2. Es wird überprüft, ob dieser Benutzer in einer derzeit aktiven Schicht enthalten ist.
  3. Ist der Benutzer in einer aktiven Schicht enthalten, wird er benachrichtigt.
  4. Ist der Benutzer nicht enthalten, kann er nicht erreicht werden oder weist er die Nachricht ab, dann wird in der Benutzergruppe der nächste Benutzer gesucht und mit der aktuellen Schicht verglichen.
  5. Dieser Ablauf wird ausgeführt, bis ein Benutzer die Nachricht bestätigt oder das Durchlaufen der Gruppe beendet wurde.

Der exakte Ablauf hängt von der konfigurierten Methode ab.

Methoden für Benutzergruppe mit Schichtfilter

Das Verhalten zur Runtime hängt davon ab, welche Methode für die Benutzergruppe mit Schichtfilter gewählt wurde:

Methode

Ablauf

Gruppenruf:
  • Die Nachricht geht an alle Benutzer der gewählten Gruppe, die in einer Schicht verknüpft sind, die bei der Funktionsausführung aktiv ist.
    Alle gefundenen Benutzer werden gleichzeitig benachrichtigt.
  • Bestätigt ein Benutzer die Nachricht nicht, dann wird eine Nachricht dessen Ersatzperson gesendet, wenn diese in einer Schicht verknüpft ist.

Folgeruf:

  • Es wird versucht, den ersten Benutzer der Gruppe, der mit der Schicht verknüpft ist, zu finden.
  • Dieser Benutzer wird benachrichtigt.
  • Wird er nicht erreicht, wird der nächste Benutzer gesucht und benachrichtigt.
  • Dies wird einmal durchlaufen bis das Ende der Gruppe erreicht wird.
  • Ist während des Ablaufs keine Schicht mehr aktiv oder sind in den aktiven Schichten keine relevanten Benutzer verknüpft, dann wird die Benachrichtigung beendet.
    Es erfolgt ein entsprechender Eintrag in der CEL.

Endlosfolgeruf:
  • Es wird versucht, den ersten Benutzer der Gruppe, der mit der Schicht verknüpft ist, zu finden.
  • Dieser Benutzer wird benachrichtigt.
  • Wird er nicht erreicht, wird der nächste Benutzer gesucht und benachrichtigt.
  • Dies wird zyklisch durchlaufen bis ein Benutzer erreicht wird.
  • Ist während des Ablaufs keine Schicht mehr aktiv oder sind in den aktiven Schichten keine relevanten Benutzer verknüpft, dann wird die Benachrichtigung beendet.
    Es erfolgt ein entsprechender Eintrag in der CEL.

Hinweise:

  • Es werden immer nur Benutzer benachrichtigt, die in einer Schicht verknüpft sind, die bei der Funktionsausführung aktiv ist.
  • Abhängig von der Konfiguration können auch Nachrichten an Benutzer gesendet werden, die in keiner Schicht mehr aktiv sind.
    Beispiel: Die Versandart (z. B. Telefon) benötigt für das Versenden einige Zeit. Sind zum Zeitpunkt des Erzeugens der Nachricht bereits weitere Nachrichten in der Warteschlange, dann wird die neue Nachricht mit Verzögerung versandt. Hat in der Zwischenzeit die Schicht gewechselt, wird die Nachricht dennoch an den Benutzer der vorhergehenden Schicht gesendet.
  • Folgeruf und Endlosfolgeruf: Es werden keine weiteren Nachrichten erzeugt, wenn in der aktiven Schicht kein Benutzer der gewählten Gruppe aktiv ist.
    Beispiel: Der Nachrichtenversand mit Endlosfolgeruf beginnt während der Schicht 1.
    Keiner der Empfänger quittiert die Nachricht. Zwischen Schicht 1 und der folgenden Schicht 2 ist eine schichtfreie Zeit von 5 Minuten projektiert.
    Läuft genau in diesen 5 Minuten der Timeout für die Quittierung ab, dann stehen zu diesem Zeitpunkt keine Empfänger zur Verfügung. Der Nachrichtenversand wird abgebrochen. Auch nach Beginn von Schicht 2 werden keine Nachrichten an deren Benutzer gesendet.

Beispiel mit Folgeruf:

Eine Nachricht wird an eine Gruppe versendet.

  • Die Gruppe enthält die Benutzer User 1, User 2, User 3, User 4, User 5 und User 6, in exakt dieser Reihenfolge.
  • Die Funktion Sende Nachricht ist konfiguriert mit der Methode Folgeruf.
  • Zum Zeitpunkt des ersten Versendens ist eine Schicht aktiv mit User 4, User 5 und User 6.
  • Die Funktion vergleicht die Benutzer der Gruppe mit den Benutzern der Schicht.
  • Als erstes wird User 4 benachrichtigt.
    Reagiert dieser nicht, wird User 5 benachrichtigt und danach User 6.
  • Zu diesem Zeitpunkt ist aber die ursprüngliche Schicht bereits zu Ende und die nächste Schicht mit User 1, User 2 und User 3 hat begonnen.
  • Da alle Benutzer dieser Schicht in der Gruppe vor User 6 gereiht sind, wird nun keine weitere Nachricht verschickt.

Empfehlung: Wählen Sie als Methode Endlosfolgeruf. Dann werden alle Benutzer solange kontaktiert, bis einer reagiert. In unserem Beispiel würde nach dem Schichtwechsel in der neuen Schicht der Benutzer User 1 benachrichtigt.


Nachricht

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Nachricht

In dieser Registerkarte wird der Inhalt der Nachricht definiert. Angebotene Optionen und Konfiguration hängen von der Auswahl des Versandmediums in der Option Versandart auf der Registerkarte Versandart ab.

Die Konfiguration der Nachrichten erfolgt individuell für:

  • E-Mail über Outlook und SMS über GMS oder SMS-Gateway
  • E-Mail über SMTP
  • Sprachnachricht per Audiodatei
  • Sprachnachricht per Text-To-Speech

Details zur Konfiguration der Parameter für Nachrichten finden Sie im Kapitel Parameter für Nachrichten.

info Info

Werden Parameter oder Werte von zusätzlichen Variablen eine Nachricht inkludiert, dann sind diese Variablen nicht automatisch beim Treiber angemeldet. Ist eine Variable zu dem Zeitpunkt, an dem die Funktion ausgeführt wird, nicht angemeldet, muss die Anmeldung währen der Aktion erfolgen. Das kann unter bestimmten Umständen (z. B. bei langsamer serieller Kommunikation zur Hardware) zur Verzögerung führen, da gewartet werden muss bis der erste Wert vom Treiber kommt und von der Funktion ausgewertet werden kann.

Noch in diesem Kapitel

E-Mail über Outlook und SMS über GSM oder SMS-Gateway

E-Mail über SMTP

Sprachnachricht per Audiodatei

Sprachnachricht per Text-To-Speech


E-Mail über Outlook und SMS über GSM oder SMS-Gateway

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Nachricht > E-Mail über Outlook und SMS über GSM oder SMS-Gateway

Konfiguration des Nachrichtentexts für:

  • E-Mail über Outlook
  • SMS über GSM-Modem
  • SMS über SMS-Gateway

Parameter

Beschreibung

Freier Nachrichtentext

Fester Bestandteil der Nachricht.

Dieser Text wird auf Platzhalter durchsucht:

  • $: kennzeichnet "formatierten" Text. Der Text wird dann auf Parameter geparst.
  • Textteile werden als Parameter betrachtet, wenn sie mit einem Semikolon (;)vom restlichen Text getrennt sind und mit einem Semikolon (;)enden.
  • Ein Parameter kann sein:
    - Schlüssel aus der Sprachtabelle
    - Name einer Variablen
    - zusammengesetzter Eintrag in der Sprachtabelle

Parameter können aus der Liste der Grenzwerttext Parameter kopiert werden. Mehr zum Thema Parameter lesen Sie im Kapitel Parameter für Nachrichten.

Text aus Grenzwert

Eigenschaften für zusätzliche Parameter aus Grenzwerten.

aktiv

Aktiv: Fügt zum konstanten Text zusätzliche Parameter aus dem Grenzwert hinzu. Konfiguration erfolgt über Optionen:

  • von Variable
  • von verletzter Variable
  • Liste Grenzwerttext Parameter

Achtung: Ist diese Option aktiv, können nur noch Grenzwertverletzungen die Funktion auslösen.

von Variable

Parameter werden von der definierten Variablen übernommen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

von verletzter Variable

Parameter werden von der Variablen, deren Grenzwert verletzt wurde, übernommen.

Liste Grenzwerttext Parameter

Auswahl der Parameter aus Liste durch Aktivierung der jeweiligen Checkbox. Reihenfolge wird durch Drag&Drop mit der Maus oder über die Schaltflächen Eintrag nach oben verschieben und Eintrag nach unten verschieben festgelegt.

Spalte Platzhalter:
Zeigt Platzhalter, die im freien Nachrichtentext verwendet werden können, an.
Wird die Option von Variable oder von verletzter Variable oder die Variablenauswahl geändert, wird der Beispieleintrag angepasst. Platzhalter können kopiert werden.

Aufbau: %Variable%Parameter;(Herkunft)

  • %: Prozentzeichen als Präfix für Variablen und Parameter
  • Variable: Variable. Wird keine Variable angegeben, bezieht sich der folgende Parameter auf die Hauptvariable.
  • Parameter: Parameter
  • ;: Semikolon beendet Zeichenfolge
  • Herkunft: Nur Information, wird nicht für freien Text verwendet. Zeigt an, mit welchen Variablen der Parameter verwendet werden kann:
    Hauptvariable über Grenzwert
    Hauptvariable über AML
    Zusatzvariable über Grenzwert oder AML

Details siehe Kapitel Parameter für Nachrichten und Grenzwerttext Parameter.

Werden ungültige Parameter verwendet, dann wird in der Nachricht eine entsprechende Fehlermeldung mit ausgegeben:
<ungültiger Parameter: 'Parameter'>.

Eintrag nach oben verschieben

Reiht ausgewähltes Element um eine Stufe höher.

Eintrag nach unten verschieben

Reiht ausgewähltes Element um eine Stufe tiefer.

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird vor Ausführung der Funktion dieser Dialog geöffnet.

Achtung - Verhalten zur Runtime:

  • Die Funktion wird zur Runtime immer am prozessführenden Rechner ausgeführt. Wird die Funktion auf einem Client gestartet, dann wird der Dialog am prozessführenden Rechner angezeigt.
  • Erfolgt keine Eingabe, wird der Dialog nach 30 Sekunden automatisch geschlossen und die Funktion ausgeführt.
  • Wird der Dialog bearbeitet und mit OK geschlossen, werden Änderungen übernommen und die Funktion wird ausgeführt.
  • Wird der Dialog mit Abbrechen geschlossen, wird keine Nachricht verschickt. Dieser Vorgang wird in der CEL dokumentiert, sofern für die Eigenschaft In CEL protokollieren alle Bestätigungen oder nur negative Bestätigungen gewählt wurde.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Dialog kann nur geschlossen werden, wenn alle nötigen Optionen konfiguriert wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


E-Mail über SMTP

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Nachricht > E-Mail über SMTP

E-Mail über SMTP

Konfiguration des Nachrichtentexts für:

  • E-Mail über SMTP

Parameter

Beschreibung

Freier Nachrichtentext

Fester Bestandteil der Nachricht.

Dieser Text wird auf Platzhalter durchsucht:

  • $: kennzeichnet "formatierten" Text. Der Text wird dann auf Parameter geparst.
  • Textteile werden als Parameter betrachtet, wenn sie mit einem Semikolon (;)vom restlichen Text getrennt sind und mit einem Semikolon (;)enden.
  • Ein Parameter kann sein:
    - Schlüssel aus der Sprachtabelle
    - Name einer Variablen
    - zusammengesetzter Eintrag in der Sprachtabelle

Parameter können aus der Liste der Grenzwerttext Parameter kopiert werden. Mehr zum Thema Parameter lesen Sie im Kapitel Parameter für Nachrichten.

Anhang

Konfiguration eines Anhangs an die E-Mail. Es kann eine beliebige Datei als Anhang verschickt werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Dateiauswahl mit der Voreinstellung zum Knoten Dateien/Grafiken.
Befindet sich der Anhang in einem anderen Ordner:

  • Aktivieren Sie die Checkbox Direkte Dateiauswahl.
  • Klicken Sie auf die Schaltfläche ... für die Dateiauswahl.
  • Wählen Sie den gewünschten Ordner und die gewünschte Datei.

Beim Versand der Nachricht wird die ausgewählte Datei als Anhang an die E-Mail angefügt.

Hinweis: Um Dateien aus anderen Ordnern zu versenden, wählen Sie die Option von Variable.

von Variable

Versand von Anhängen über eine Variable. Damit kann eine beliebige Datei aus jedem beliebigen Pfad verschickt werden:

  • Aktiv: Auswahl einer String-Variable.
    Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Zur Runtime wird der Wert der Stringvariable gelesen und der Inhalt analysiert. Der Pfad zum Anhang wird entsprechend der Analyse gesetzt:

  • Absolutpfad: Der Pfad wird unverändert verwendet.
  • Kein Absolutpfad: Der Wert der String-Variablen wird an den Pfad zum zenon Grafikordner angehängt.

Beim Setzen des Pfades wird nicht überprüft, über welche Erweiterung die Datei verfügt.

Text aus Grenzwert

Eigenschaften für zusätzliche Parameter aus Grenzwerten.

aktiv

Aktiv: Fügt zum konstanten Text zusätzliche Parameter aus dem Grenzwert hinzu. Konfiguration erfolgt über Optionen:

  • von Variable
  • von verletzter Variable
  • Liste Grenzwerttext Parameter

Achtung: Ist diese Option aktiv, können nur noch Grenzwertverletzungen die Funktion auslösen.

von Variable

Parameter werden von der definierten Variable übernommen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variable.

von verletzter Variable

Parameter werden von der Variable, deren Grenzwert verletzt wurde, übernommen.

Liste Grenzwerttext Parameter

Auswahl der Parameter aus Liste durch Aktivierung der jeweiligen Checkbox. Reihenfolge wird durch Drag&Drop mit der Maus oder über die Schaltflächen Eintrag nach oben verschieben und Eintrag nach unten verschieben festgelegt.

Spalte Platzhalter:
Zeigt Platzhalter, die im freien Nachrichtentext verwendet werden können, an.
Wird die Option von Variable oder von verletzter Variable oder die Variablenauswahl geändert, wird der Beispieleintrag angepasst. Platzhalter können kopiert werden.

Aufbau: %Variable%Parameter;(Herkunft)

  • %: Prozentzeichen als Präfix für Variablen und Parameter
  • Variable: Variable. Wird keine Variable angegeben, bezieht sich der folgende Parameter auf die Hauptvariable.
  • Parameter: Parameter
  • ;: Semikolon beendet Zeichenfolge
  • Herkunft: Nur Information, wird nicht für freien Text verwendet. Zeigt an, mit welchen Variablen der Parameter verwendet werden kann:
    Hauptvariable über Grenzwert
    Hauptvariable über AML
    Zusatzvariable über Grenzwert oder AML

Details siehe Kapitel Parameter für Nachrichten und Grenzwerttext Parameter.

Werden ungültige Parameter verwendet, dann wird in der Nachricht eine entsprechende Fehlermeldung mit ausgegeben:
<ungültiger Parameter: 'Parameter'>.

Eintrag nach oben verschieben

Reiht ausgewähltes Element um eine Stufe höher.

Eintrag nach unten verschieben

Reiht ausgewähltes Element um eine Stufe tiefer.

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird vor Ausführung der Funktion dieser Dialog geöffnet.

Achtung - Verhalten zur Runtime:

  • Die Funktion wird zur Runtime immer am prozessführenden Rechner ausgeführt. Wird die Funktion auf einem Client gestartet, dann wird der Dialog am prozessführenden Rechner angezeigt.
  • Erfolgt keine Eingabe, wird der Dialog nach 30 Sekunden automatisch geschlossen und die Funktion ausgeführt.
  • Wird der Dialog bearbeitet und mit OK geschlossen, werden Änderungen übernommen und die Funktion wird ausgeführt.
  • Wird der Dialog mit Abbrechen geschlossen, wird keine Nachricht verschickt. Dieser Vorgang wird in der CEL dokumentiert, sofern für die Eigenschaft Einträge in die CEL alle Bestätigungen oder nur negative Bestätigungen gewählt wurde.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Dialog kann nur geschlossen werden, wenn alle nötigen Optionen konfiguriert wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Sprachnachricht per Audiodatei

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Nachricht > Sprachnachricht per Audiodatei

Konfiguration des Nachrichtentexts für Sprachnachrichten per Audiodatei über:

  • Modem
    oder
  • VoIP

Parameter

Beschreibung

Beschreibung

Auswahl der Datei, die den Text für die Beschreibung der Meldung enthält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Datei. Diese muss im Knoten Datei/Multimedia hinterlegt sein.

Die Datei kann zum Testen über die Schaltfläche Abspielen abgehört werden.

Bestätigung

Auswahl der Datei, die den Text für die Nachricht bei positiver Bestätigung der Beschreibung enthält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Datei. Diese muss im Knoten Datei/Multimedia hinterlegt sein.

Die Datei kann zum Testen über die Schaltfläche Abspielen abgehört werden.

Fehleingabe

Auswahl der Datei, die den Text bei Fehleingaben durch den Empfänger enthält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Datei. Diese muss im Knoten Datei/Multimedia hinterlegt sein.

Die Datei kann zum Testen über die Schaltfläche Abspielen abgehört werden.

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird vor Ausführung der Funktion dieser Dialog geöffnet.

Achtung - Verhalten zur Runtime:

  • Die Funktion wird zur Runtime immer am prozessführenden Rechner ausgeführt. Wird die Funktion auf einem Client gestartet, dann wird der Dialog am prozessführenden Rechner angezeigt.
  • Erfolgt keine Eingabe, wird der Dialog nach 30 Sekunden automatisch geschlossen und die Funktion ausgeführt.
  • Wird der Dialog bearbeitet und mit OK geschlossen, werden Änderungen übernommen und die Funktion wird ausgeführt.
  • Wird der Dialog mit Abbrechen geschlossen, wird keine Nachricht verschickt. Dieser Vorgang wird in der CEL dokumentiert, sofern für die Eigenschaft Einträge in die CEL alle Bestätigungen oder nur negative Bestätigungen gewählt wurde.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Beim Klick auf OK werden die Eingaben in den Registerkarten validiert. Werden Fehlkonfigurationen entdeckt, wird der Benutzer über eine Nachrichtenbox informiert. Der Benutzer kann dann die Konfiguration ändern odern mit dem Speichern der fehlerhaften Konfiguration fortfahren.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Sprachnachricht per Text-To-Speech

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Nachricht > Sprachnachricht per Text-To-Speech

Konfiguration des Nachrichtentexts für Sprachnachrichten per Text-to-Speech über:

  • Modem
    oder
  • VoIP

Parameter

Beschreibung

Beschreibung

Eingabe des Textes, der als Beschreibung über die Text-to-Speech Engine abgespielt werden soll.

Der Text kann als freier Nachrichtentext eingegeben werden. Er darf auch dynamische Bestandteile enthalten. Diese werden analog den dynamischen Texten konfiguriert.

Der Text kann zum Testen über die Schaltfläche Abspielen abgehört werden.

Bestätigung

Eingabe des Textes, der als Nachricht bei positiver Bestätigung der Beschreibung über die Text-to-Speech Engine abgespielt werden soll.

Der Text kann als freier Nachrichtentext eingegeben werden. Er darf auch dynamische Bestandteile enthalten. Diese werden analog den dynamischen Texten konfiguriert.

Der Text kann zum Testen über die Schaltfläche Abspielen abgehört werden.

Fehleingabe

Eingabe des Textes, der bei Fehleingaben durch den Empfänger über die Text-to-Speech Engine abgespielt werden soll.

Der Text kann als freier Nachrichtentext eingegeben werden. Er darf auch dynamische Bestandteile enthalten. Diese werden analog den dynamischen Texten konfiguriert.

Der Text kann zum Testen über die Schaltfläche Abspielen abgehört werden.

Diesen Dialog zur Runtime anbieten
  • Aktiv: Zur Runtime wird vor Ausführung der Funktion dieser Dialog geöffnet.

Achtung: Verhalten zur Runtime

Beachten Sie beim Aufruf dieses Dialogs zur Runtime:

  • Die Funktion wird zur Runtime immer am prozessführenden Rechner ausgeführt. Wird die Funktion auf einem Client gestartet, dann wird der Dialog am prozessführenden Rechner angezeigt.
  • Erfolgt keine Eingabe, wird der Dialog nach 30 Sekunden automatisch geschlossen und die Funktion ausgeführt.
  • Wird der Dialog bearbeitet und mit OK geschlossen, werden Änderungen übernommen und die Funktion wird ausgeführt.
  • Wird der Dialog mit Abbrechen geschlossen, wird keine Nachricht verschickt. Dieser Vorgang wird in der CEL dokumentiert, sofern für die Eigenschaft In CEL protokollieren (Gruppe Projektspezifische Einstellungen) alle Bestätigungen oder nur negative Bestätigungen gewählt wurde.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Beim Klick auf OK werden die Eingaben in den Registerkarten validiert. Werden Fehlkonfigurationen entdeckt, wird der Benutzer über eine Nachrichtenbox informiert. Der Benutzer kann dann die Konfiguration ändern odern mit dem Speichern der fehlerhaften Konfiguration fortfahren.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Empfangsbestätigung

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht > Empfangsbestätigung

In dieser Registerkarte werden die nötigen Bestätigungen und die Reaktion darauf definiert.

attention Achtung

Synchron übertragene Nachrichten (Sprachnachricht per Text-To-Speech und Sprachnachricht per Audiodatei) können nur synchron über das jeweilige Sendemedium bestätigt werden. Die Nutzung anderer Übertragungswege für die Bestätigung (wie E-Mail oder SMS) ist nicht möglich. Die Nachricht muss sofort im Anschluss an die Übertragung über die gleiche noch geöffnete Leitung bestätigt werden.

Einstellungen Empfangsbestätigung

Parameter | Beschreibung
Empfangsbestätigung | Einstellungen für Quittierung.
Empfangsbestätigung erforderlich | Aktiv: Die Nachricht wird erst aus der Message-Queue entfernt, wenn innerhalb der Wartezeit eine Empfangsbestätigung eingetroffen ist oder die Wartezeit abgelaufen ist. Für Sprachnachrichten ist diese Option immer aktiv und kann nicht deaktiviert werden.
Wartezeit | Zeit in Minuten, die auf eine Empfangsbestätigung gewartet wird, bevor die Nachricht an eine Ersatzperson weitergeleitet wird. Default: 5 Minuten
Bestätigungscodes | Einstellungen für Quittierungscodes.
Nachrichtspezifische Codes verwenden | Inaktiv: Die in den Eigenschaften der Benutzerverwaltung festgelegten Codes für Message Control Benutzer/PIN-Code und Message Control Benutzer/NA-Code werden verwendet. Aktiv: Die in den Optionen PIN-Code und NA-Code definierten Codes werden zur Bestätigung verwendet.
PIN-Code | Individueller Code zum Bestätigen der Nachricht. Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.
NA-Code | Individueller Code zum Ablehnen der Nachricht. Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.
Funktionsausführung | Auswahl der Funktionen, die ausgeführt werden sollen, nachdem eine Nachricht bestätigt, abgelehnt oder gar nicht quittiert wurde.
bei Bestätigung | Funktionen, die ausgeführt werden, wenn die Nachricht bestätigt wird. Klick auf Schaltfläche Auswählen öffnet Dialog zur Auswahl der Funktionen.
bei fehlender Bestätigung | Funktionen, die ausgeführt werden, wenn keine Reaktion auf die die Nachricht erfolgt. Klick auf Schaltfläche Auswählen öffnet Dialog zur Auswahl der Funktionen.
bei negativer Bestätigung | Funktionen, die ausgeführt werden, wenn der Empfang der Nachricht abgelehnt wird. Klick auf Schaltfläche Auswählen öffnet Dialog zur Auswahl der Funktionen.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Dialog kann nur geschlossen werden, wenn alle nötigen Optionen konfiguriert wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Konfiguration Empfangsbestätigung E‑Mail

Bei der Interpretation von Empfangsbestätigungen per E‑Mail werden die ersten 3 Zeichen der Betreffzeile ignoriert.

Hintergrund: Empfangsbestätigungen werden in der Regel mit RE:, AW: usw. eingeleitet. Werden ausgehende Nachrichten im gleichen Ordner wie eingehende gesammelt, muss verhindert werden, dass ausgehende Nachrichten wie eingehende Empfangsbestätigungen interpretiert werden. Dazu wird angenommen, dass Empfangsbestätigungen sich von ausgehenden Nachrichten durch 3 vorangestellte Zeichen unterscheiden.

Konfiguration: Der Betreff einer Empfangsbestätigung muss von 3 beliebigen Zeichen eingeleitet werden.


Sende Nachricht aktivieren

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht aktivieren

Diese Funktion schaltet Message Control für das Projekt, in dem sich die Funktion befindet, ein. Beim Aufruf der Funktion wird das Projekt bei Message Control angemeldet. Ab diesen Zeitpunkt werden Nachrichten erstellt und übertragen.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie in der Gruppe Message Control die Funktion Sende Nachricht aktivieren
  3. die Funktion wird erstellt

Hinweis: Um ein Projekt sicher bei Runtimestart anzumelden, aktivieren Sie die Eigenschaft Aktiv bei Runtimestart in der Eigenschaftengruppe Projektspezifische Einstellungen für Message Control.


Sende Nachricht deaktivieren

Handbuch > Message Control > Message Control konfigurieren > Funktionen > Sende Nachricht deaktivieren

Diese Funktion schaltet Message Control für das Projekt, in dem sich die Funktion befindet, ab. Beim Aufruf der Funktion werden alle Nachrichten des Projektes aus der Message-Queue entfernt und das Projekt wird von Message Control abgemeldet. Danach wird die Nachrichten-Queue des Projekts geleert. So lange Message Control für ein Projekt deaktiviert ist, können keine neuen Nachrichten erstellt oder übertragen werden.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie in der Gruppe Message Control die Funktion Sende Nachricht deaktivieren
  3. die Funktion wird erstellt


Parameter für Nachrichten

Handbuch > Message Control > Message Control konfigurieren > Parameter für Nachrichten

Text von Nachrichten können dynamisch konfiguriert werden. Sie werden vor dem Versand auf Platzhalter durchsucht und ausgewertet. Dabei werden Steuerzeichen beachtet. Das gilt für:

  • E-Mail über Outlook und SMS über GSM oder SMS-Gateway
  • E-Mail über SMTP
  • Sprachnachricht per Text-To-Speech über Modem oder VoIP
  • Eigenschaft Dynamischer Teil des Betreffs

Aufbau einer Nachricht

Syntax für den Aufbau einer Nachricht:

  • Ein Parameter kann:
    • ein Schlüssel aus der Sprachtabelle sein: z.B. @MyText;
    • eine bestimmte Variable definieren, die bei Ausführung der Funktion über AML oder eine Grenzwertverletzung über ihren Namen aufgerufen wird,: z.B. %Var1;
      Achtung: Die verletzte Variable für den Betreff wird nicht dynamisch ermittelt!
    • ein zusammengesetzter Eintrag in der Sprachtabelle sein: z.B. %@Var2+MultipleText
  • $: kennzeichnet Text, der Parameter enthält.
  • @: kennzeichnet Sprachumschaltung
  • %: kennzeichnet Variablen
  • %%: kennzeichnet Grenzwerttext Parameter für Variablen

    Zwischen den beiden Prozentzeichen kann eine Variable angegeben werden.
    Wird keine Variable angegeben, bezieht sich der Wert auf die Hauptvariable.

  • Textteile werden mit einem Semikolon (;)voneinander getrennt.
  • Nachrichten enden mit einem Semikolon (;).

Es stehen für Hauptvariablen, Zusatzvariablen und je nach Funktionsaufruf teilweise unterschiedliche Parameter zur Verfügung.

Achtung: Werden zusätzliche Variablen mit Hilfe eines Platzhalters eingefügt, so müssen diese Variablen, wenn sie zum Zeitpunkt der Funktionsausführung nicht angemeldet sind, zuerst angemeldet und gelesen werden. Damit wird der Versand verzögert. Zusätzliche Variablen sollten daher nur mit Vorsicht verwendet werden.

Liste Parameter Text

Parameter

Zur Runtime

Aktion

Schlüssel:

@MyText

Es wird überprüft, ob für die aktuelle Sprache in der Sprachtabelle ein Eintrag für @MyText vorhanden ist.
  • Vorhanden: Eintrag wird in die Nachricht eingefügt.
  • Nicht vorhanden: Je nach Einstellung der Projekteigenschaft Nicht übersetzte Schlüsselwörter anzeigen wird entweder @MyText oder MyText in die Nachricht eingefügt.

Variable:

%Var1%

Es wird überprüft, ob die Variable vorhanden ist und der Wert gelesen werden kann.

  • Vorhanden: Wert der Variablen wird genommen und als String in der Text eingefügt.
  • Nicht vorhanden/nicht lesbar: Der Text xxx wird in die Nachricht eingefügt.

Zusammengesetzter Eintrag:

@StringTabelle+%var1Text

Es wird überprüft, ob:

  • 1. die Variable vorhanden ist und der Wert gelesen werden kann. Wert wird als String an den Präfix-Text („MultipleText") angehängt.
  • 2. für den Text in der Sprachtabelle ein Eintrag vorhanden ist
  • Variable und Text vorhanden:
    Text wird in die Nachricht eingefügt.
    Beispiel: Wert der Variable ist 33. Dann wird in der Sprachtabelle nach @StringTabelle33 gesucht und der dazu gehörende Text eingefügt.
  • Nicht vorhanden: Je nach Einstellung der Projekteigenschaft Nicht übersetzte Schlüsselwörter anzeigen wird entweder @MyText oder MyText in die Nachricht eingefügt.

Beispiel: $@Achtung ;%Var1%Name;

Noch in diesem Kapitel

Text aus Grenzwert und Freier Text


Text aus Grenzwert und Freier Text

Handbuch > Message Control > Message Control konfigurieren > Parameter für Nachrichten > Text aus Grenzwert und Freier Text

Nachrichten können mit freiem Text konfiguriert werden. Dieser kann auch Texte aus Grenzwerten und dynamische Textelemente enthalten. Nicht alle Versandarten im Message Control unterstützen Texte aus Grenzwerten. Es können aber alle Texte mit dynamischen Elementen ergänzt werden.

Konfiguration Text aus Grenzwert

Um Grenzwerte zu verknüpfen:

  1. Aktivieren Sie in der Registerkarte Nachricht die Option Text aus Grenzwert aktiv (Message Control Funktion Sende Nachricht).
    Hinweis: Diese Option steht nicht für alle Versandarten zur Verfügung. Konfigurieren Sie in diesem Fall die Option Freier Nachrichtentext mit dynamischen Textelementen. (Siehe Abschnitt Konfiguration freier Nachrichtentext.)
  2. Aktivieren Sie die Option von verletzter Variable.
  3. Aktivieren Sie die Checkboxen für die gewünschten Werte.
    Parameter siehe Liste Grenzwerttext Parameter.
  4. Reihen Sie die gewählten Parameter per Drag&Drop oder mit den entsprechenden Schaltflächen.
  5. Stellen Sie sicher, dass die Grenzwertverletzung die Funktion anstößt.

Konfiguration freier Nachrichtentext

Aufbau

$freierText;%Variable%Text;

Startzeichen -> freier Texte zwischen Semikolon -> beinhaltet Parameter mit %% als Vorzeichen

  • Startzeichen: $
    Damit werden Parameter von "freier Text" berücksichtigt.
  • Freier Text:
    wird zwischen Semikolons (;) eingefügt
  • Präfix für Grenzwerttext Parameter:
    2 Prozentzeichen (%% oder %Variablenname%).

    Wird keine Variable angegeben, bezieht sich der folgende Parameter auf die Hauptvariable.

  • Ende der Zeichenfolge: Semikolons (;).

Beispiel

$Text Message Control ;%%Name; Text ;%%LimitText; Text ;%Master%VariableStatus ;Text;

  • $: Start der Nachricht mit erstem Nachrichtentext
  • %%Name: Name der verletzten Variable plus Text
  • %%LimitText: Grenzwerttext der verletzten Variable plus Text
  • %Master%VariableStatus: Status der Variablen Master plus Text

Tipp Tipp

Setzen Sie Leerzeichen vor die Trennzeichen. Damit werden die einzelnen Blöcke korrekt mit Leerzeichen getrennt.

Liste Grenzwerttext Parameter

Parameter | Hauptvariable - Aufruf über Grenzwert | Hauptvariable - Aufruf über AML | Zusatzvariable AML/Grenzwert
%%Name (Variablenname:) | Name der Variablen, entspricht Eigenschaft Name. | Name der Variablen, entspricht Eigenschaft Name. | Name der Variablen, entspricht Eigenschaft Name.
%%Identification (Kennung) | Beschreibung der Variablen, entspricht Eigenschaft Kennung. | Beschreibung der Variablen, entspricht Eigenschaft Kennung. | Beschreibung der Variablen, entspricht Eigenschaft Kennung.
%%LimitText (Grenzwerttext) | Grenzwerttext des Alarmobjekts mit Auswertung des Dynamischen Grenzwerttexts. | Grenzwerttext des Alarmobjekts mit Auswertung des Dynamischen Grenzwerttexts. | Text des Zustands wie in Eigenschaft Grenzwerttext definiert.
%%MessageCreateTimeStamp (Zeitstempel der Nachricht) | Zeitpunkt, zu dem die Nachricht erstellt wird. (Funktionsaufruf, nicht Verletzung oder Versand.) | Zeitpunkt, zu dem die Nachricht erstellt wird. (Funktionsaufruf, nicht Verletzung oder Versand.) | Zeitpunkt, zu dem die Nachricht erstellt wird. (Funktionsaufruf, nicht Verletzung oder Versand.)
%%ResourceLabel (Betriebsmittelkennung) | Text für Betriebsmittelkennung der Variablen, entspricht Eigenschaft Betriebsmittelkennung. | Text für Betriebsmittelkennung der Variablen, entspricht Eigenschaft Betriebsmittelkennung | Text für Betriebsmittelkennung der Variablen, entspricht Eigenschaft Betriebsmittelkennung
%%LimitTimeReceived (Zeit Alarm kommt) | Zeitstempel des Alarmobjekts. | Zeitstempel des Alarmobjekts. | -
%% (Aktueller Wert) | Kein Parameter. Wert der Variablen beim Funktionsaufruf (ohne Einheit). | Kein Parameter. Wert der Variablen beim Funktionsaufruf (ohne Einheit) | Kein Parameter. Wert der Variablen beim Funktionsaufruf (ohne Einheit)
%%VariableStatus (Status) | Status der Variablen als String (beim Funktionsaufruf). | Status der Variablen als String (beim Funktionsaufruf). | Status der Variablen als String (beim Funktionsaufruf).
%%VariableTimeStamp (Zeitstempel der Variable) | Zeitstempel der Variablen (beim Funktionsaufruf). | Zeitstempel der Variablen (beim Funktionsaufruf). | Zeitstempel der Variablen (beim Funktionsaufruf).
%%MessageTimeAcknowledge (Restzeit zum Bestätigen) | Verfügbare Zeit für Quittierung in Minuten. Nur vorhanden, wenn Empfangsbestätigung erforderlich aktiviert wurde. | Verfügbare Zeit für Quittierung in Minuten. Nur vorhanden, wenn Empfangsbestätigung erforderlich aktiviert wurde. | Verfügbare Zeit für Quittierung in Minuten. Nur vorhanden, wenn Empfangsbestätigung erforderlich aktiviert wurde.
%%Address (Adresse) | Adresse. | Adresse. | Adresse.
%%Unit (Maßeinheit) | Technische Maßeinheit entsprechend der Eigenschaft Maßeinheit. | Technische Maßeinheit entsprechend der Eigenschaft Maßeinheit. | Technische Maßeinheit entsprechend der Eigenschaft Maßeinheit.
%%AlarmArea (Alarmbereich) | Alarmbereich der Hauptvariable. | Alarmbereich der Hauptvariable. | Alarmbereich der Zusatzvariable.
%%LimitTimeAcknowledged (Zeit Alarm quittiert) | -- | Zeitstempel des Alarmobjekts. | --
%%UserId (Benutzerkennung) | -- | Benutzerkennung des Benutzers, der die Aktion angestoßen hat. Entspricht Eigenschaft Benutzername . | --
%%UserName (Benutzername) | -- | Vollständiger Name des Benutzers, der die Aktion angestoßen hat. Entspricht Eigenschaft Vollständiger Name. | --
%%ComputerName (Computername) | -- | Name des Rechners, an dem die Aktion angestoßen wurde. | --
%%Comment (Kommentar) | -- | Kommentar des Alarmobjekts. | --
%%AlarmGroup (Alarm/Ereignis-Gruppe) | Alarm/Ereignis-Gruppe des Alarmobjekts (als Text). | Alarm/Ereignis-Gruppe des Alarmobjekts (als Text). | Alarm/Ereignis-Gruppe des Alarmobjekts (als Text).
%%AlarmClass (Alarm/Ereignis-Klasse) | Alarm/Ereignis-Klasse des Alarmobjekts (als Text). | Alarm/Ereignis-Klasse des Alarmobjekts (als Text). | Alarm/Ereignis-Klasse des Alarmobjekts (als Text).
%%AlarmTimeActive (Zeit Alarm anstehend) | -- | Zeit, die der Alarm ansteht. | --

Fehlerbehandlung

Werden ungültige Parameter verwendet, dann wird in der Nachricht eine entsprechende Fehlermeldung mit ausgegeben:
<ungültiger Parameter: 'Parameter'>.

Dieser Text kann mit Hilfe der Sprachumschaltung geändert und übersetzt werden. Dafür müssen zwei Schlüsselwörter angelegt werden:

  • <ungültiger Parameter:
  • >

Werden Parameter im falschen Kontext verwendet oder kann ein Parameter nicht gelesen werden (z. B. weil eine Variable nicht vorhanden ist), wird statt des Werts die Zeichenfolge IDS_STRING2501 (---) in die Nachricht eingefügt. Dieser Text kann auch mit Hilfe der Sprachumschaltung geändert werden.


Message Control zur Runtime

Handbuch > Message Control > Message Control zur Runtime

Zur Runtime wird Message Control entweder automatisch gestartet (Eigenschaft Aktiv bei Runtimestart aktiv) oder über die Funktion Sende Nachricht aktivieren.

Wenn Message Control aktiv ist und ein für den Nachrichtenversand definiertes Ereignis eintritt, wird:

  • eine dafür konfigurierte Nachricht verschickt
  • deren Quittierung ausgewertet
  • die für die Quittierung verwendeten Funktionen ausgeführt

attention Achtung

Beim Auswerten der Nachrichten im E-Mail-Ordner werden alle Nachrichten mit passender Betreff-Zeile ausgewertet und auf den Status "gelesen" gesetzt. Werden im Postfach für Message Control auch Nachrichten eines anderen Nachrichtenverlaufs (Nachrichten mit abweichendem Betreff) empfangen, können diese eventuell auf "gelesen" gesetzt werden.

Verwaltung zur Runtime

Die Message Queue kann über ein Bild vom Typ Message Control gemanagt werden.

Beendet wird Message Control über das Beenden der Runtime oder die Funktion Sende Nachricht deaktivieren.

Zeitstempel in Alarmmeldeliste und Message Control

Beim Aufruf der Funktion Sende Nachricht wird eine Kopie des Alarmobjekts an die Funktion übertragen. Der Text der Nachricht wird beim Aufruf der Funktion erstellt und übersetzt. Wird die Funktion über die AML aufgerufen, so verwendet sie eine Kopie des Alarmobjektes aus der AML. Der Inhalt entspricht so immer einer aktuellen Kombination aus Prozess und Alarm-Status.

Message Queue Remanenz

Wird die Runtime normal beendet, dann wird ein Image der aktuellen Nachrichten-Queue erstellt und gespeichert. Dieses Image wird beim Starten der Runtime wieder geladen und von Message Control abgearbeitet. Die Daten werden in einer Datei mit den Namen MessageRT_Image.bin gespeichert. Folgende Daten werden gespeichert:

  • Aktuellen Nachrichten in der Queue
  • Unterdrückte Alarm-Gruppen
  • Unterdrückte Alarm-Klasse
  • Unterdrückte Bereiche
  • Unterdrückte Anlagen

Netzwerk

Informationen zum Verhalten im Netzwerk finden Sie im Kapitel Netzwerk.

Quittierung

Jeder Nachricht ist über eine GUID eindeutig identifizierbar. Je nach konfigurierten Medien und Versandart, können Nachrichten auch über andere Medien quittiert werden. Details zur Quittierung von Nachrichten lesen Sie im Kapitel Nachrichten quittieren.

Sprachumschaltung

Texte innerhalb der Nachrichten sind komplett sprachumschaltbar. Ausgewertet werden dafür:

  • der Bereich Konstanter Text
  • der Parameter Dynamischer Grenzwert Text
  • Grenzwerttext eines Grenzwert in der AML/CEL

Die im Bild vom Typ Message Control auswählbare Spalten sind sprachumschaltbar, wenn dementsprechend konfiguriert.

Noch in diesem Kapitel

Bild vom Typ Message Control aufschalten

Nachrichten quittieren

Sprachnachrichten zur Runtime

Netzwerk

Ablauf Sprachnachricht


Bild vom Typ Message Control aufschalten

Handbuch > Message Control > Message Control zur Runtime > Bild vom Typ Message Control aufschalten

Das Bild vom Typ Message Control stellt zur Runtime eine Kopie der aktuellen Message Queue und Kontrollelemente zur Auswertung und Filterung zur Verfügung. Der Inhalt der im Listenfeld Nachrichtenliste dargestellten Elemente entspricht dem Zeitpunkt der Aufschaltung des Bildes und wird nicht automatisch aktualisiert. Die Darstellung kann mit einem Klick auf den Button Aktualisieren jederzeit aktualisiert werden. Der Button Stopp/Weiter ermöglicht eine zyklische Aktualisierung. Ein Textfeld zeigt den Zeitpunkt der letzten Aktualisierung an.

Die Nachrichtenliste enthält Nachrichten mit diesen Status:

  • wartet auf den Versand
  • wird gerade versendet
  • wurde bereits versendet, aber noch nicht bestätigt
  • beim Versand ist ein Fehler aufgetreten

Alle versendete Nachrichten können in der CEL überprüft werden.

Unterdrückte Gruppen, Klassen, Bereiche und Anlagen, deren Alarme nicht in der Liste angezeigt werden, werden in eigenen Listenfeldern angezeigt.

Die Spalten der Nachrichtenliste können individuell konfiguriert werden (siehe Filter) und mit eigenen Spaltenüberschriften versehen werden. Diese Beschriftungen sind sprachumschaltbar.

Vorlage einfügen

Kontrollelemente | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Listen und Felder, die zur Runtime angezeigt werden können.

Kontrollelemente | Beschreibung
Nachrichten-Warteschlange | Liste der Nachrichten. Enthält Nachrichten, die verschickt, bestätigt oder gelöscht wurden oder noch zu verschicken sind. Die Nachrichten werden nur angezeigt und können nicht mehr bearbeitet werden. Spaltenüberschriften können individuell benannt werden und sind durch Voranstellung des Zeichens @ sprachumschaltbar.
Anzahl der Nachrichten | Zahl der aktuell vorhandenen Nachrichten.
Letzte Aktualisierung | Zeitpunkt der letzten Aktualisierung.
Unterdrückte Alarm/Ereignis-Gruppen | Alarm/Ereignis-Gruppen, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.
Unterdrückte Alarm/Ereignis-Klassen | Alarm/Ereignis-Klassen, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.
Unterdrückte Alarm/Ereignis-Bereiche | Alarm/Ereignis-Bereiche, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.
Unterdrückte Anlagengruppen | Anlagen, für die Meldungen unterdrückt wurden und deren Alarme daher nicht in der Message Queue angezeigt werden.

Listenfunktionen

Kontrollelemente zur Steuerung von Listen.

Kontrollelemente | Beschreibung
Filter | Öffnet Dialog zur Konfiguration der Filter für die Ansicht.
Löschen | Löscht ausgewählten Eintrag aus der Liste. Es können nur Nachrichten gelöscht werden, die noch nicht verschickt wurden.
Aktualisieren | Aktualisiert Ansicht. Die aktuellen Daten werden aus der Message Queue in das Bild geladen. Der Zeitpunkt der letzten Aktualisierung kann über das Feld Letzte Aktualisierung angezeigt werden.
Stopp/Weiter | Startet und stoppt zyklische Aktualisierung der Liste.

Filterprofile

Profilverwaltung

Kontrollelemente | Beschreibung
Profilauswahl | Öffnet Dialog zur Auswahl eines Profils.
Speichern | Speichert aktuelle Einstellungen als Profil.
Löschen | Löscht Profil.
Import | Öffnet Dialog zum Import von Profilen aus Datei.
Export | Öffnet Dialog zum Export von Profilen in Datei.


Nachrichten quittieren

Handbuch > Message Control > Message Control zur Runtime > Nachrichten quittieren

Nachrichten können vom Empfänger bestätigt oder angelehnt werden. Abhängig vom Medium, sind Nachrichten entweder immer oder optional quittierpflichtig.

Medium

Quittierpflichtig

  • -: nein
  • +: ja

E-Mail-Nachricht über Outlook

-

E-Mail-Nachricht über SMTP

-

SMS-Nachricht über GSM-Modem

-

SMS-Nachricht über SMS-Gateway

-

Sprachnachricht per Audiodatei

+

Sprachnachricht per Text-to-Speech

+

Wird eine Nachricht nicht, falsch oder ablehnend quittiert, wird sie an die nächste Ersatzperson verschickt. Ist keine Ersatzperson definiert, wird die Nachricht nicht wieder gesendet. Der Zustand wird in der CEL protokolliert. Beim Quittieren von Nachrichten können verknüpfte Funktionen ausgeführt werden.

info Info

Regeln für unterbrochene Anrufe:

  • Wird ein Anruf ohne Bestätigung oder Ablehnung unterbrochen und die Unterbrechung nicht als Hardwarefehler klassifiziert, dann:
    • wird der Anruf für den gleichen Adressaten nicht wiederholt
    • werden noch nicht benachrichtigte Ersatzpersonen oder Gruppenmitglieder benachrichtigt
  • Wird ein Anruf durch einen Hardwarefehler unterbrochen, dann wird der Anruf für den gleichen Adressaten entsprechend der in der Eigenschaft Maximale Anzahl der Versuche eingestellten Zahl für Wiederholungen erneut gesendet.

Bestätigung projektieren

Um Bestätigung oder Ablehnung der Nachricht zu projektieren:

  1. Öffnen Sie in der Funktion Sende Nachricht die Registerkarte Empfangsbestätigung.
  2. Aktivieren Sie die Checkbox Empfangsbestätigung erforderlich (bei Sprachnachrichten immer aktiv).
  3. Definieren Sie die Wartezeit (Timeout), innerhalb der die Nachricht quittiert werden muss.
    Nach Ablauf der Wartezeit wird die Nachricht an die nächste projektierte Person geschickt.
  4. Konfigurieren Sie die Codes für Bestätigung (PIN) oder Ablehnung (NA-Code) über:
    1. die Eigenschaften des Benutzers:
      Message Control Benutzer -> PIN-Code und NA-Code
      oder
    2. in der Funktion über:
      Checkbox Nachrichtenspezifische Codes verwenden -> PIN-Code und NA-Code

    Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

    Werden Codes sowohl über Eigenschaften als auch die Funktion projektiert, gelten die Codes der Funktion.
    Tipp: Werden Codes über die Funktion gesetzt, empfiehlt es sich, im Nachrichtentext einen Hinweis darauf zu setzen, damit der Empfänger den richtigen Code für Aktivierung oder Ablehnung verwendet.

  5. Definieren Sie die Funktionen, die nach Empfang der Codes ausgeführt werden sollen für:
    1. die Nachricht wurde bestätigt
    2. die Nachricht wurde weder bestätigt noch abgelehnt
    3. die Nachricht wurde abgelehnt
  6. Schließen Sie den Dialog mit Klick auf die Schaltfläche OK

Quittieren zur Runtime

Beim Versenden erhält jede quittierpflichtige Nachricht eine eigene, eindeutige Kennung (GUID). Über diese Kennung werden alle Aktionen der Nachricht zugeordnet. Ist eine Nachrichten quittierpflichtig, wird die Kennung automatisch in den Text der Nachricht eingefügt.

Um eine Nachricht zu quittieren, muss der Empfänger je nach Medium Nachrichtennummer und PIN in einem definierten Format senden.

Schriftliche Nachrichten können so auch über andere Versandwege als die projektierten quittiert werden. Dazu muss:

  • die Nachricht als E-Mail oder SMS verschickt worden sein
  • die Antwort als E-Mail oder SMS erfolgen
  • die GUID in der Antwort enthalten sein
  • der Code für die Quittierung in der Antwort enthalten sein
  • das für die Antwort benutzte Medium konfiguriert sein

E‑Mails quittieren

So wird eine E-Mail quittiert:

  • Der Anwender schickt die Nachricht per Antwortfunktion seines E-Mail-Programms zurück.
  • Der ursprüngliche Betreff darf bei der E-Mail nicht verändert werden. Das heißt: Die für Outlook in Betreff (Id) oder für SMTP in E-Mail Betreff definierten Inhalte müssen unverändert bleiben. Über diese wird die Nachricht beim Empfang in zenon identifiziert und zugewiesen.
  • Der Betreff muss aber durch mindestens drei vorangestellte Zeichen als Antwort gekennzeichnet werden. Zum Beispiel RE: oder AW:.
  • Der Antworttext muss enthalten:
    • GUID: Am Beginn der Nachricht. Es dürfen sich keine anderen Zeichen, auch keine Leerzeichen, davor befinden.
    • Semikolon (;): Trennzeichen.
    • Text: Enthält PIN-Code oder NA-Code.

    z. B.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Message Control identifiziert E-Mails für Message Control anhand des Betreffs.
    Achtung: Der Betreff der Antwort muss als Antwort gekennzeichnet sein. Dazu wird der die Nachricht beim Empfang darauf untersucht, ob sie mit mindestens drei Zeichen wie RE: oder AW: beginnt.
  • Message Control wertet GUID und Code aus und führt dann die in der Funktion Sende Nachricht festgelegten Funktionen aus.

Hinweis: Falls das Medium SMS konfiguriert wurde, kann eine per E-Mail verschickte Nachricht auch mit SMS quittiert werden.

SMS quittieren

So wird eine SMS quittiert:

  • Der Anwender schickt die Nachricht per Antwortfunktion seines Telefons zurück.
  • Der Antworttext muss enthalten:
    • GUID: Am Beginn der Nachricht. Es dürfen sich keine anderen Zeichen, auch keine Leerzeichen, davor befinden.
    • Semikolon (;): Trennzeichen.
    • Text: Enthält PIN-Code oder NA-Code.

    z. B.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Message Control wertet GUID und Code aus und führt dann die in der Funktion Sende Nachricht festgelegten Funktionen aus.

info Info

SMS an Smartphones können auch mit der Notifier App by zenon empfangen und quittiert werden. Dazu versendet die App die Antwort als SMS im Format Alarm-ID;PIN oder Alarm-ID;NA.

Falls das Medium E-Mail konfiguriert wurde, kann eine per SMS verschickte Nachricht auch mit einer E-Mail quittiert werden.

Sprachnachricht

Sprachnachrichten sind immer quittierpflichtig. So wird eine Sprachnachricht quittiert:

  • Das Telefongerät des Empfängers muss DTMF-fähig sein.
  • Das empfangende Modem an der Anlage muss DTMF-fähig sein.
  • Die Nachricht wird dem Empfänger mit dem Text der Beschreibung vorgelesen.
  • Der Empfänger quittiert die Nachricht über Tastensignale mit PIN-Code oder NA-Code.
  • Der Empfänger kann:
    • Nachrichten wiederholen lassen:
      Dazu drückt er am Telefon die #-Taste. Die zuvor gesendete Botschaft (Beschreibung, Bestätigung oder Fehlermeldung) wird wiederholt.
    • Gesendeten Code zurücksetzen:
      Dazu drückt er am Telefon die *-Taste. Der zuvor von ihm gesendete Code (PIN oder NA) wird annuliert. Die Wiedergabe der Nachricht startet wieder mit der Beschreibung.
  • Message Control wertet den Code aus und führt dann die in der Funktion Sende Nachricht festgelegten Funktionen aus.

Hinweis: Sprachnachrichten müssen immer telefonisch quittiert werden.


Sprachnachrichten zur Runtime

Handbuch > Message Control > Message Control zur Runtime > Sprachnachrichten zur Runtime

Das Versenden von Sprachnachrichten folgt folgendem Ablauf:

  1. Eine Funktion ruft die gewünschte Versandmethode auf.
  2. Der Anruf wird über den VoIP-Server oder das Modem initiiert.

    Hinweis: In der Liste der Nachrichten wird in der Spalte Nachricht bei Versand per Audiodateien der Name der Audiodatei angezeigt, bei Text-to-Speech wird der Nachrichtentext angezeigt.

  3. Verbindung herstellen: Die Verbindung gilt als hergestellt, sobald der Anruf an der Gegenstelle signalisiert wird.
    Bei der Entgegenname eines Anrufs kann nicht unterschieden werden, ob der Anruf von einer Person oder einem Anrufbeantworter entgegengenommen wird.

    Kann keine Verbindung hergestellt werden, wird der Versuch wiederholt.
    Die Anzahl der Versuche entspricht dem Wert in der Eigenschaft Projektspezifische Einstellungen/Maximale Anzahl der Versuche. Der Abstand zwischen den Versuchen entspricht dem Wert in der Eigenschaft Projektspezifische Einstellungen/Wartezeit zwischen Versuchen und Timeout.
    Hinweis: Wird eine Nachricht an einen anderen Benutzer weitergeleitet, dann gilt das als neue Nachricht. Der Zähler wird wieder auf 1 gesetzt.

    Achtung: Der Wert für die projektspezifische Eigenschaft Wartezeit zwischen Versuchen und Timeout muss größer sein als der Wert für die Option Wartezeit in den Sende Nachricht-Funktionen (Registerkarte Empfangsbestätigung).

  4. Kann die Verbindung nicht hergestellt werden oder wird die Nachricht abgelehnt oder mit einem falschen PIN beantwortet, dann wird die Ersatzperson benachrichtigt.
    Wurde keine Ersatzperson konfiguriert, wird der Anruf abgebrochen.
  5. Sobald der Anruf entgegengenommen wird, wird eine Willkommensnachricht abgespielt.

    Diese Nachricht kann vom Empfänger über den Tastencode # erneut angefordert werden.

  6. Der Empfänger reagiert auf die Nachricht mit Bestätigung oder Ablehnung. Dazu gibt er den entsprechen Code ein:
    • Bestätigung: PIN-Code
    • Ablehnung: NA-Code
  7. Wurden für die Nachricht Funktionen für die Empfangsbestätigung hinterlegt, werden diese entsprechend ausgeführt.

Code-Eingabe

Die Code-Eingabe erfolgt per DTFM. Folgende Zeichen werden interpretiert:

  • #: Aktuelle Nachricht wiederholen.
  • *: Eingegebene Zeichen löschen und Ablauf mit Willkommensnachricht erneut beginnen.
  • Ziffern 0 - 9: Eingabe des vierstelligen Codes.

Bei der Eingabe des Codes werden nur die ersten 4 Töne interpretiert. Alle weiteren DTMF-Tastentöne werden für PIN und NA ignoriert, führen aber zur Wiederholung der Nachricht.

Die Eingabe kann jederzeit mit der Taste * korrigiert werden. Dabei werden alle eingegebenen Zeichen gelöscht und der Ablauf beginnt erneut mit dem Abspielen der Willkommensnachricht.


Netzwerk

Handbuch > Message Control > Message Control zur Runtime > Netzwerk

Im Netzwerk wird die Message Queue zwischen Server und Standby Server permanent synchronisiert. Werden neue Nachrichten am Server erstellt, so werden diese zum Standby übertragen. Beim Hochfahren des Servers oder Standby Servers wird die Message Queue mit dem prozessführenden Server oder Standby Server abgeglichen. Da Server und Standby Server unterschiedliche Ressourcen nützen, können Nachrichten nur am versendenden Rechner quittiert werden.

Ebenso wird die Liste der unterdrückten Elemente abgeglichen und remanent gespeichert.

Die Funktion Sende Nachricht wird nur am prozessführenden Rechner durchgeführt. Der Versand vom Client wird nicht unterstützt.

Benutzer

Benutzer werden über die zenon Benutzerverwaltung bearbeitet. Benutzer können daher am Server, Standby Server und Client bearbeitet werden. Die Bearbeitung am zenon Web Client ist ebenfalls möglich.

Keine Ressourcenteilung

Server und Standby Server dürfen keine Ressourcen teilen. Es dürfen auch keine identen Ressourcen für unterschiedliche Medien am gleichen Rechner verwendet werden. Das bedeutet:

  • E-Mail (SMTP): Server und Standby Server verwenden unterschiedliche E-Mail-Accounts.
  • E-Mail (Outlook): Server und Standby Server verwenden unterschiedliche Outlook Profile.
  • GSM: Server und Standby Server verwenden unterschiedliche Modems und SIM-Karten mit unterschiedlichen Telefonnummern.
  • SMS (SMS-Gateway): Server und Standby Server verwenden unterschiedliche Dateien und Ordner.
  • Sprachnachricht: Server und Standby Server verwenden unterschiedliche Modems und unterschiedliche Telefonnummern.
  • Jeder Rechner:

    Verwendet jeweils ein eigenes Modem und eine eigene Telefonnummer für:

    • SMS über GSM
    • SMS über SMS-Gateway
    • Sprachnachricht mit Audiodatei
    • Sprachnachricht Text-to-Speech

    Verwendet unterschiedliche Accounts für:

    • Outlook
    • E-Mail über SMTP

Verhalten beim Ausfall

Fällt der Server aus, dann verschickt der Standby Server nach seiner Hochstufung zum Server alle bestätigungspflichtigen Nachrichten in der Message-Queue erneut. Das kann zum doppelten Versand von Nachrichten führen, sichert aber deren korrekte Quittierung, da Nachrichten nur am versendenden Rechner quittiert werden können.

Nach einem Ausfall, der zum Neustart des Rechners führt, müssen GSM-Modems eventuell neu initialisiert und deren COM-Ports überprüft werden.


Ablauf Sprachnachricht

Handbuch > Message Control > Message Control zur Runtime > Ablauf Sprachnachricht

Der Ablauf beim Senden einer Sprachnachricht sowie beim Empfangen der Bestätigung entspricht folgendem Diagramm:

Legende:

  • Y: Ja
  • N: Nein

Ablauf

Der Ablauf der Funktion lässt sich in Hauptabläufe und Unterabläufe unterteilen.

Hauptabläufe:

  • Funktion Sende Nachricht starten
  • Text Beschreibung
  • Anruf beenden

Unterabläufe:

  • Ersatzperson
  • Fehleingabe
  • Bestätigung

Hauptabläufe

Funktion "Nachricht senden" starten:

  1. Funktion Sende Nachricht ausgeführt
  2. Prüfung: Wurde der für die Funktion Maximale Anzahl der Versuche definierte Wert erreicht?

    Hinweis: Wird eine Nachricht an einen anderen Benutzer weitergeleitet, dann gilt das als neue Nachricht. Der Zähler wird wieder auf 1 gesetzt.

    • Y: Funktion Sende Nachricht wird beendet.
    • N: Anruf wird durchgeführt.
  3. Prüfung: Wird der Anruf an der Gegenstelle gemeldet?
    • N: Die in der Funktion Wartezeit zwischen Versuchen und Timeout definierte Wartezeit zwischen zwei Versuchen wird entsprechend der Konfiguration abgewartet. Dann wird die Funktion Sende Nachricht erneut ausgeführt.
    • Y: Es wird auf Beantwortung gewartet.

    Achtung: Der Wert für die projektspezifische Eigenschaft Wartezeit zwischen Versuchen und Timeout muss größer sein als der Wert für die Option Wartezeit in den Sende Nachricht-Funktionen (Registerkarte Empfangsbestätigung).

  4. Prüfung: Wurde die in der Funktion Timeout [min] definierte Wartezeit überschritten?
    • Y: Weiter mit Ablauf Ersatzperson.
    • N: Auf Entgegennahme des Anrufs wird gewartet.
  5. Prüfung: Wird Anruf entgegengenommen?
    • N: Weiter mit Ablauf Ersatzperson.
    • Y: Weiter mit Ablauf Text Beschreibung.

Text Beschreibung:

  1. Beschreibung wird gesendet.
  2. Prüfung: Wird von der Gegenstelle # oder * gesendet?
    • Y: Beschreibung wird gesendet.
    • N: Prüfung der Wartezeit.
  3. Wurde die Wartezeit, wie sie in der Option Wartezeit der Funktion Sende Nachricht definierte wurde, überschritten?
    • Y: Weiter mit Ablauf Anruf beenden.
    • N: Es wird auf Eingabe des PIN oder NA Codes gewartet.
  4. Prüfung: Erfolgte die Eingabe eines korrekten PIN oder NA Codes?
    • Y Weiter mit Ablauf Bestätigung.
    • N: Weiter mit Ablauf Fehleingabe.
  5. Prüfung: Empfangener Code *?
    • Y: Weiter mit Ablauf Text Beschreibung.
    • N: Weiter mit Ablauf Anruf beenden.

Anruf beenden

  1. Prüfung: Wurde PIN empfangen?
    • Y: Verknüpfte Funktion für PIN empfangen ausführen, sofern vorhanden.
    • N: Weiter zum Ablauf NA.
  2. Prüfung: Wurde NA empfangen?
    • Y: Verknüpfte Funktion für NA empfangen ausführen, sofern vorhanden.
    • N: Weiter zum nächsten Punkt Keine Bestätigung.
  3. Keine Bestätigung empfangen: Verknüpfte Funktion ausführen, sofern vorhanden.
  4. Funktion Sende Nachricht beenden.

Unterabläufe

Ersatzperson:

  • Prüfung: Wurde eine Ersatzperson definiert?
    • Y: Funktion wird für die Ersatzperson erneut ausgeführt.
      Weiter mit Prüfung: Wurde der für die Funktion Maximale Anzahl der Versuche definierte Wert erreicht?
    • N: Weiter zum Ablauf Anruf beenden Punkt 3: Keine Bestätigung empfangen.

Fehleingabe:

  • Prüfung: Eingabe # oder Ziffer zwischen 0 und 9?
    • N: Prüfung: Empfangener Code *?
    • Y: Zurück zu Ablauf Prüfung: Eingabe # oder Ziffer zwischen 0 und 9?

Bestätigung:

  • Prüfung: Eingabe # oder Ziffer zwischen 0 und 9?
  • N: Prüfung: Empfangener Code *?
  • Y: Zurück zu Ablauf Prüfung: Eingabe # oder Ziffer zwischen 0 und 9?


Meldungen und Fehlerbehandlung

Handbuch > Message Control > Meldungen und Fehlerbehandlung

Meldungen, Hinweise und Fehler können mit dem Diagnosis Viewer in einem eigenen Modul [Message Control] mitgeloggt und angezeigt werden. Details zu den Meldungen finden Sie im Abschnitt LOG-Einträge.

Netzwerk

Der Netzwerkverkehr kann mit Wireshark mitgelesen werden. Wenn die Übertragung ungesichert durchgeführt wird, sind im Capture sämtliche an den Server gesendeten Befehle und dessen Antworten im Klartext ersichtlich. Bei verschlüsselten Verbindungen kann der SSL / TLS Handshake geprüft werden, nicht jedoch der Austausch von Nutzdaten.

Server

Zum Prüfen, ob ein Server gewisse Kommandos unterstützt, kann eine Telnet-Session zu dem Server aufgebaut werden.

Der Telnet-Client kann unter Windows 7 wie folgt installiert werden:

  1. Systemsteuerung öffnen.
  2. Programme und Funktionen öffnen.
  3. Windows Funktionen aktivieren oder deaktivieren öffnen.
  4. Checkbox vor Telnet-Client aktivieren.
  5. Dialog mit OK beenden.
  6. Der Telnet Client wird installiert.

In der Kommandozeile kann die Verbindung nun durch den Befehl telnet [Servername oder IP-Adresse] [Port z. B. 25 oder 110] geöffnet werden.

Mailserver

Die Verbindung zum Mailserver kann mit einem Mail-Client-Programm (z. B. Outlook) geprüft werden. Wird eine unverschlüsselte Verbindung verwendet, kann die Analyse mit Wireshark die unterstützten SMTP und POP3 Befehle aufzeigen.

DNS

Die Namensauflösung kann mit einem Programm wie nslookup überprüft werden. nslookup kann sowohl Namen in IP-Adressen als auch IP-Adressen in Namen auflösen. Dazu muss in IP-Konfiguration des Rechners ein gültiger DNS Server eingetragen sein.

GSM

Zur Analyse bei Problemen mit GSM können zum Beispiel verwendet werden:

  • Serial Port Monitoring:
    Kann die Kommunikation zwischen zenon und dem GSM-Modem überwachen.
  • HyperTerminal:
    Ermöglicht es, AT-Befehle ans Modem zu schicken.
    Zum Beispiel Microsoft Hyperterminal oder Putty (Open Source).
    Hinweis: Hyperterminal wurde von Microsoft nur bis Windows XP ausgeliefert. Kann für andere Betriebssysteme manuell kopiert werden.

AT-Kommandos

Für die Fehlersuche bei AT-Kommandos:

  1. Stellen Sie sicher, dass der für das verwendete Betriebssystem geeignete Treiber installiert ist. Verwenden Sie dazu bevorzugt die Treiber des Modemherstellers.
  2. Überprüfen Sie, ob der Treiber einwandfrei installiert wurde und das Modem betriebsbereit ist.
  3. Verwenden Sie ein Hyperterminal, um sich auf den COM-Port des Modems zu verbinden. Zum Beispiel Microsoft Hyperterminal oder Putty (Open Source).
  4. Tippen Sie im Hauptfenster des Terminals das AT-Kommando AT ein.
    Das Modem sollte darauf mit OK antworten.
  5. Testen Sie die AT-Kommandos, die eine Fehlermeldung in der LOG-Datei erzeugt haben. Beachten Sie dabei eventuell nötige Vorbereitungen auf dem Modem, wie das Erzeugen einer Nachricht in der Queue.
  6. Prüfen Sie, ob die Antworten des Modems denen in der Liste der unterstützen AT-Kommandos entsprechen.

Noch in diesem Kapitel

Checkliste

LOG-Einträge


Checkliste

Handbuch > Message Control > Meldungen und Fehlerbehandlung > Checkliste

Beim Auftreten von Problemen überprüfen Sie:

Problem

Mögliche Ursache

Lösung

SMTP-Mail

Ausgehende Mails werden nicht gesendet, eingehende Mails werden nicht empfangen.

Die Versandart ist nicht korrekt konfiguriert. Hinweis darauf sind LOG-Meldungen wie „inaktive Versandart", „Server nicht erreichbar", „Benutzer nicht auffindbar", „SMTP / POP3 Authentifizierung fehlgeschlagen".
  • Ist die Eigenschaft Versandart aktiv aktiviert?
  • Ist der Benutzer, an den die Mail gehen soll, als „Message Control Benutzer" gesetzt (Eigenschaft Message Control Benutzer aktiviert)?
  • Wurde für den Benutzer eine E-Mail-Adresse konfiguriert?
  • Werden die Benutzerdaten nach einer Änderung zur Runtime übertragen (Eigenschaft Zur Runtime änderbare Daten)?
  • Stimmt die Konfiguration der Versandart? Mit Daten des E-Mail-Anbieters vergleichen.

Der Server ist korrekt eingetragen, aber nicht erreichbar (Fehlermeldungen beim Verbindungsaufbau).
  • Funktioniert die Namensauflösung?
  • Ist der Server erreichbar (Ping)?
  • Erlaubt die Firewall den Aufbau einer Verbindung zum eingestellten Port? Sowohl die Rechner-Firewall als auch die Domänen-Firewall kann das blockieren. Mit Telnet prüfen.

Der Server unterstützt ein Kommando nicht (Fehlermeldung mit „Command not Supported" oder ähnlichem in der LOG-Datei).
  • Prüfen, ob der Server das Kommando unterstützt (z. B. mit Thunderbird oder Telnet).

Wenn möglich, eine andere Konfiguration wählen (z. B. SMTP AUTH Kommandos können durch „Vor E-Mail-Versand am Posteingangsserver anmelden" umgangen werden. APOP kann deaktiviert und durch Benutzer und Passwort ersetzt werden.

Der Server verlangt eine verschlüsselte Verbindung. Da unverschlüsselt gesendet wird, bricht und der Server die Verbindung ab.
  • In diesem Fall zeigt die Analyse mit Wireshark, dass der Server „STARTTLS" sendet. Da dieses Kommando nicht unterstützt wird, sollte die Verbindung über SSL oder TLS abgesichert werden.

Der Server unterstützt den gewählten Absicherungsmechanismus nicht (Fehlermeldungen beim Aufbau einer verschlüsselten Verbindung).
  • Andere Absicherungskonfiguration oder Klartextübertragung auswählen.

SMS-GMS

zenon kann keine Verbindung zum Modem aufbauen.
  • Falscher COM-Port (File-Not-Found-Fehler beim Öffnen des COM-Ports).
  • COM-Port belegt (z.B. durch die Konfigurationssoftware des Herstellers, Access-Denied-Fehler beim Öffnen des COM-Ports).
  • Fehler beim Konfigurieren des COM-Ports/Modem antwortet nicht.
  • Das Modem unterstützt den SMS-PDU-Modus nicht (AT+CMGF-Fehlermeldung oder PDU-Mode Fehlermeldung im Log)
  • Braucht das Modem vielleicht einen PIN / stimmt dieser nicht? (PIN-Fehlermeldungen im LOG)
  • Wurde zu oft versucht, sich mit einem falschen PIN anzumelden? (PUK-Fehlermeldungen im LOG) In diesem Fall ist die Verbindung zwischen zenon und dem Modem erst wieder möglich, wenn der PUK händisch eingegeben und somit die Sperre aufgehoben wurde.
  • COM-Port und Modem-Konfiguration überprüfen.
  • PIN überprüfen, eventuell manuell mit PUK wieder frei geben.

Verbindung wird hergestellt, aber Senden und Empfangen funktionieren nicht
  • Wurde zuerst mit der Herstellersoftware eine Verbindung zwischen dem Modem und dem GSM-Netz hergestellt? Die Verbindung zum Netz wird meistens erst nach Aufrufen der Herstellersoftware aufgebaut!
  • Das Modem hat trotzdem keinen Kontakt zum Netz (mit Herstellersoftware prüfen): Platz mit besserem Empfang suchen.
  • Die eingegebene SMSC-Telefonnummer stimmt nicht. Vor Eingabe in zenon oder bei erstmaligen Verbindungsaufbau Nummer überprüfen. Diese Prüfung kann auch mit der aktivierten Eigenschaft Verbindung prüfen durchgeführt werden. SMSC mit HyperTerminal vom Modem laden und aufschreiben.
  • Fehlermeldungen im LOG anschauen
  • Modem erstmals mit Herstellersoftware mit GSM-Netz verbinden.
  • Anderen Aufstellungsort für Modem wählen.
  • Rufnummer überprüfen.
    Ist die Landesvorwahl für das SMSC (00xy oder +xy) korrekt gesetzt?


LOG-Einträge

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge

Einträge in der LOG-Datei des Diagnosis Viewer s.

  • Diverse Meldungen
  • E-Mail per SMTP/POP
  • Voice over IP
  • SMS
  • OpenSSL Library

Noch in diesem Kapitel

Diverse Meldungen

E-Mail per SMTP/POP

Voice over IP

SMS

LOG-Einträge - OpenSSL Library


Diverse Meldungen

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > Diverse Meldungen

Die Auflistung dieser LOG-Einträge ist nach Ebenen und Einträgen alphabetisch geordnet.

  • Debug
  • Deep-Debug
  • MSG
  • Warnings

Noch in diesem Kapitel

Debug

Deepdebug

MSG

Warnings


Debug

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > Diverse Meldungen > Debug

Debug

Ebene | Eintrag | Erklärung
DEBUG | Attaching to current call. | Der Versandart hängt sich an den aktiven Anruf an.
DEBUG | Connected | Es wurde eine Verbindung hergestellt.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Der Versuch, ein Delete-Request-Telegramm zum prozessführenden Rechner zu schicken, ist fehlgeschlagen.
DEBUG | Current Message %Nachricht Inhalt% | Der aktuelle Nachricht (Inhalt, Settings,etc.) wird im Log getraced.
DEBUG | File alignment request could not be send to mainstation. | Der Versuch, ein Abgleich-Request zum prozessführenden Rechner zu verschicken, ist fehlgeschlagen.
DEBUG | Invalid code '%s' entered. | Es wurde ein ungültiger Code eingegeben.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Der Nachricht an Benutzer [Name] wurde erfolgreich in die Outbox von Outlook übertragen.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | Es wurde ein Delete-Response empfangen: [Anzahl] Nachrichten wurden aus der Queue entfernt.
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | Das Ende der Benutzergruppe [Name] wurde erreicht, der Versand wird abgebrochen.
DEBUG | Requesting File alignment from mainstation. | Es wird ein Abgleich-Request zum prozessführenden Rechner verschickt.
DEBUG | Send SMS to Benutzer %s. | Es wurde eine SMS an den Benutzer [Adresse] verschickt.
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Es wird einen Nachricht für den Benutzer [Name] vorbereitet und an die Adresse [verschickt].
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Es wird ein Delete-Request für [Anzahl] Nachrichten zum prozessführenden Rechner verschickt.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Es wurde eine SMS an den Benutzer [Adresse] in die Outbox übertragen.
DEBUG | The #-sign was entered: Repeating the last message. | # wurde eingegeben: Die letzte Nachricht wird wiederholt.
DEBUG | The *-sign was entered: Clearing the current key. | Es wurde ein * eingegeben, der aktuelle eingegebene Code wird zurückgesetzt.
DEBUG | The current call be terminated now. | Es ist ein Anruf aktiv, dieser wird jetzt beendet.
DEBUG | The is no call in progress, nothing to terminate. | Es ist kein Anruf aktiv, es kann nichts beendet werden.
DEBUG | The line %s has been closed. | Die Leitung [] wurde erfolgreich geschlossen.
DEBUG | The line %s has been opened. | Die Leitung [] wurde erfolgreich geöffnet.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Der Nachricht [ID] hätte bereits bestätigt werden sollen, TimeOut wird verarbeitet.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Der Nachricht [ID] hätte bereits verschickt werden sollen, TimeOut wird verarbeitet.
DEBUG | The Message %s was NOT successfully sent to %s! | Die Nachricht [ID] konnte nicht an [Empfänger] verschickt werden.
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Die Nachricht [ID] konnte nicht an [Empfänger] verschickt werden und wird erneut verschickt.
DEBUG | The Message %s was successfully sent to %s! | Die Nachricht [ID] wurde erfolgreich an [Empfänger] verschickt.
DEBUG | The next user (%s) for the group (%s) will be notified, previous Benutzer was:%s | Der nächste Benutzer [Name]aus der Benutzergruppe [Name] wird benachrichtigt, der Benutzer davor war Benutzer [Name].
DEBUG | The sending of message %s was completed. | Der Versandprozess für Nachricht [ID] ist abgeschlossen.
DEBUG | Valid Acknowlegde-code entered. | Es wurde ein gültiger PIN-Code zum Bestätigen der Nachricht eingegeben.
DEBUG | Valid NegAcknowlegde-code entered. | Es wurde ein gültiger NA-Code zum Ablehnen der Nachricht eingegeben.


Deepdebug

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > Diverse Meldungen > Deepdebug

Deep-Debug

Ebene | Eintrag | Erklärung
DEEPDEBUG | A changed notification of message(%s) was received, the old message object will be updated! | Das Projekt bekam ein Änderungstelegramm für die Nachricht mit der GUID [Nummer]. Das lokale (alte) Objekt wird aktualisiert.
DEEPDEBUG | A delete message(s) request was received! | Es wurde ein Delete-Request-Telegramm empfangen.
DEEPDEBUG | A getqueue request was received, sending queue. | Es wurde ein Abgleich-Request empfangen. Die aktuelle Queue und der aktuelle Status werden verschickt.
DEEPDEBUG | A file alignment request was received, sending alignment data. | Ein nicht prozessführender Rechner hat einen Abgleich der Runtime-Daten angefordert. Diese Daten werden verschickt. Die Nachricht beinhaltet auch den Projektnamen. Der Eintrag wird am prozessführenden Rechner erstellt.
DEEPDEBUG | A remove notification of message(%s) was received, the message object will be removed from the list. (%s) | Das Projekt bekam ein Remove-Telegramm für Nachricht mit GUID [Nummere]. Das lokale (alte) Objekt wird gelöscht.
DEEPDEBUG | All messages for project %s will be removed. | Alle Nachrichten vom Projekt [Name] werden von Message Control entfernt.
DEEPDEBUG | An added notification of message(%s) was received, the message object will be added to the list. (%s) | Das Projekt bekam ein Add-Telegramm für einen Nachricht mit GUID [Nummer]. Das neue Objekt wird eingefügt.
DEEPDEBUG | An ChangeSuppressionRequest was received. The local suppression-state will be updated! | Es wurde ein ChangeSuppression-Request empfangen. Der lokale Suppresion-Status wird aktualisiert.
DEEPDEBUG | An update of the message control state was received. The local state will be updated! | Das Projekt bekam ein MessageControl-StateChange-Telegramm für eine Nachricht mit GUID [Nummer]. Das neue Objekt wird eingefügt.
DEEPDEBUG | Current message count is (%d) | Es befinden sich [Anzahl] Nachrichten in der Queue. (Eintrag wird erstellt beim Erzeugen und Löschen von Nachrichten.)
DEEPDEBUG | Firing MessageAcknowledged | MessageAcknowledged wird gefired.
DEEPDEBUG | Firing MessageAcknowledgeTimeOut | MessageAcknowledgeTimeOut wird gefired.
DEEPDEBUG | Firing MessageCreated | MessageCreated wird gefired.
DEEPDEBUG | Firing MessageDeleted | MessageDeleted wird gefired.
DEEPDEBUG | Firing MessageIn: (Identfier:'%s',Message:'%s') | MessageIn wird gefired, Id-Wert ist %s, NachrichtText ist %s
DEEPDEBUG | Firing MessageNegAcknowledged | MessageNegAcknowledged wird gefired.
DEEPDEBUG | Firing MessageSendError | MessageSendError wird gefired.
DEEPDEBUG | Firing MessageSent | MessageSent wird gefired.
DEEPDEBUG | Last index set to %d. | Der letzte verwendete Index wurde auf [Wert] gesetzt.
DEEPDEBUG | MessageAcknowledged fired | MessageAcknowledged wurde gefired.
DEEPDEBUG | MessageAcknowledgeTimeOut fired | MessageAcknowledgeTimeOut wurde gefired.
DEEPDEBUG | MessageChangedNotify received for Message %s ignored (no longer Mainstation)! | Das Projekt bekam eine Changed notification für Message mit GUID [Nummer] von Message Control, ist aber nicht mehr prozessführende Instanz.
DEEPDEBUG | MessageCreated fired | MessageCreated wurde gefired.
DEEPDEBUG | MessageDeleted fired | MessageDeleted wurde gefired.
DEEPDEBUG | MessageIn fired: (Identfier:'%s',Message:'%s') | MessageIn wurde gefired, Id-Wert ist %s, NachrichtText ist %s
DEEPDEBUG | MessageNegAcknowledged fired | MessageNegAcknowledged wurde gefired.
DEEPDEBUG | MessageSendError fired | MessageSendError wurde gefired.
DEEPDEBUG | MessageSent fired | MessageSent wurde gefired.
DEEPDEBUG | Messaging TimeOut watchdog activated for Project '%s' | Für das Projekt [Name] wurde die TimeOut- Überwachung gestartet.
DEEPDEBUG | Messaging-Queue is being saved. | Die aktuelle Message-Queue wird gespeichert.
DEEPDEBUG | Project %s signed off. | Das Projekt wird bei der Engine abgemeldet.
DEEPDEBUG | Project %s signed on. | Das Projekt wird bei Message Control angemeldet.
DEEPDEBUG | SB state: %s(%u) | Der Status des Standby Servers hat sich geändert und ist jetzt %s (%d).
DEEPDEBUG | Sending added notification for message %s to SB. | Das Nachrichtenobjekt mit GUID [Nummer] wurde erstellt. Das "neue" Objekt wird auch zum Standby Server verschickt.
DEEPDEBUG | Sending changed notification for message %s to SB. | Das Nachrichtenobjekt mit GUID [Nummer]s hat sich geändert, das "neue" Objekt wird zum Standby Server verschickt.
DEEPDEBUG | Sending MessageCtrl-StateChanged to SB. | Es wird ein MessageControl-StateChange Telegramm zum Standby Server verschickt.
DEEPDEBUG | Sending remove notification for message %s to SB. | Das Nachrichtenobjekt mit GUID [Nummer] wurde entfernt, es wird ein Remove Telegramm zum Standby Server verschickt.
DEEPDEBUG | Switch to server:%s | Die aktuelle Instanz wird zum Server hochgestuft.
DEEPDEBUG | Switch to standby:%s | Die aktuelle Instanz wird zum Standby Server heruntergestuft.
DEEPDEBUG | The message %s is added to the Queue. | Der Nachricht mit der Guid [Nummer] wurde in die Queue eingefügt.
DEEPDEBUG | The Message (%s) was removed from the project queue. | Der Nachricht mit Guid [Nummer] wurde aus der Queue entfernt.


MSG

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > Diverse Meldungen > MSG

LOG-Level MSG & MSG

Ebene | Eintrag | Erklärung
logLe_MSG | Logging on to default mapi profile %s | Wenn kein Profil ausgewählt wurde, ermittelt die Versandart das 1. Profil, und loggt sich damit ein.
MSG | Logging off of MAPI profile %s. | Ausloggen aus Profil [Name].
MSG | Logging on to mapi profile %s | Login auf Profil [Name].
MSG | MessageControl has been activated. | Message Control wurde aktiviert.
MSG | MessageControl has been deactivated. | Message Control wurde deaktiviert.
MSG | Selected dispatcher '%s' is busy->try again... | Der gewählte Versandart [Art] ist beschäftigt: Es wird später nochmals versucht.
MSG | The incoming message for %s contains the correct Ack-Code. | Die eingehende Nachricht [ID] beinhaltet einen gültigen PIN-Code zum Bestätigen der Nachricht.
MSG | The incoming message for %s contains the correct NegAck-Code. | Die eingehende Nachricht [ID] beinhaltet einen gültigen NA-Code zum Ablehnen der Nachricht.
MSG | The incoming message for %s does not contain a valid code. | Die eingehende Nachricht [ID] beinhaltet keinen gültigen Code.


Warnings

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > Diverse Meldungen > Warnings

Warnings

Ebene

Eintrag

Erklärung

WARNINGS

A Send-Message function was executed for a Group which does not contain any Message Control users!

Es wurde eine Sende-Nachricht-Funktion für eine Gruppe ausgeführt, die leer ist oder keine für Message Control aktivierten Benutzer beinhaltet.

WARNINGS

Index exceeded 99999, starting from 0.

Maximaler Index für die Dateinamen erreicht, es wird neu bei 0 angefangen.

WARNINGS

TAPI returned [Zahl] available devices.

Anzahl der via TAPI ansprechbaren Modems.

Diese Meldung wird im Log erzeugt wenn die zur Verfügung stehenden Geräte von zenon ermittelt werden und zeigt an, welche Geräte vom OS mittels TAPI ansprechbar sind.

WARNINGS

Not all required modes are supported: LINEBEARERMODE_VOICE:[ModemID],LINEMEDIAMODE_AUTOMATEDVOICE:[Modem ID],LINEFEATURE_MAKECALL:[Modem ID]-> the device [Modemname] can't be used!

Nachdem die Anzahl der TAPI-Geräte ermittelt wurde, werden diese auf die notwendigen Modes gefiltert.

Hinweis: Unterstützt ein Gerät einen der benötigten Modi nicht, wird dieses Modem nicht dargestellt. Dieser Log-Eintrag stellt deutlich dar, welcher Modus nicht vorhanden ist.


E-Mail per SMTP/POP

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > E-Mail per SMTP/POP

Die Auflistung dieser LOG-Einträge ist nach Ebenen und Einträgen alphabetisch geordnet.

  • Debug
  • Error
  • Warning

Noch in diesem Kapitel

Debug

Error

E-Mail per SMTP/POP - Warning


Debug

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > E-Mail per SMTP/POP > Debug

Debug

Ebene | Eintrag | Erklärung
DEBUG | Attaching to current call. | Der Versandart hängt sich an den aktiven Anruf an.
DEBUG | Connected | Es wurde eine Verbindung hergestellt.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Der Versuch, ein Delete-Request-Telegramm zum prozessführenden Rechner zu schicken, ist fehlgeschlagen.
DEBUG | Current Message %Nachricht Inhalt% | Der aktuelle Nachricht (Inhalt, Settings,etc.) wird im Log getraced.
DEBUG | File alignment request could not be send to mainstation. | Der Versuch, ein Abgleich-Request zum prozessführenden Rechner zu verschicken, ist fehlgeschlagen.
DEBUG | Invalid code '%s' entered. | Es wurde ein ungültiger Code eingegeben.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Der Nachricht an Benutzer [Name] wurde erfolgreich in die Outbox von Outlook übertragen.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | Es wurde ein Delete-Response empfangen: [Anzahl] Nachrichten wurden aus der Queue entfernt.
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | Das Ende der Benutzergruppe [Name] wurde erreicht, der Versand wird abgebrochen.
DEBUG | Requesting File alignment from mainstation. | Es wird ein Abgleich-Request zum prozessführenden Rechner verschickt.
DEBUG | Send SMS to Benutzer %s. | Es wurde eine SMS an den Benutzer [Adresse] verschickt.
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Es wird einen Nachricht für den Benutzer [Name] vorbereitet und an die Adresse [verschickt].
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Es wird ein Delete-Request für [Anzahl] Nachrichten zum prozessführenden Rechner verschickt.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Es wurde eine SMS an den Benutzer [Adresse] in die Outbox übertragen.
DEBUG | The #-sign was entered: Repeating the last message. | # wurde eingegeben: Die letzte Nachricht wird wiederholt.
DEBUG | The *-sign was entered: Clearing the current key. | Es wurde ein * eingegeben, der aktuelle eingegebene Code wird zurückgesetzt.
DEBUG | The current call be terminated now. | Es ist ein Anruf aktiv, dieser wird jetzt beendet.
DEBUG | The is no call in progress, nothing to terminate. | Es ist kein Anruf aktiv, es kann nichts beendet werden.
DEBUG | The line %s has been closed. | Die Leitung [] wurde erfolgreich geschlossen.
DEBUG | The line %s has been opened. | Die Leitung [] wurde erfolgreich geöffnet.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Der Nachricht [ID] hätte bereits bestätigt werden sollen, TimeOut wird verarbeitet.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Der Nachricht [ID] hätte bereits verschickt werden sollen, TimeOut wird verarbeitet.
DEBUG | The Message %s was NOT successfully sent to %s! | Die Nachricht [ID] konnte nicht an [Empfänger] verschickt werden.
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Die Nachricht [ID] konnte nicht an [Empfänger] verschickt werden und wird erneut verschickt.
DEBUG | The Message %s was successfully sent to %s! | Die Nachricht [ID] wurde erfolgreich an [Empfänger] verschickt.
DEBUG | The next user (%s) for the group (%s) will be notified, previous Benutzer was:%s | Der nächste Benutzer [Name]aus der Benutzergruppe [Name] wird benachrichtigt, der Benutzer davor war Benutzer [Name].
DEBUG | The sending of message %s was completed. | Der Versandprozess für Nachricht [ID] ist abgeschlossen.
DEBUG | Valid Acknowlegde-code entered. | Es wurde ein gültiger PIN-Code zum Bestätigen der Nachricht eingegeben.
DEBUG | Valid NegAcknowlegde-code entered. | Es wurde ein gültiger NA-Code zum Ablehnen der Nachricht eingegeben.


Error

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > E-Mail per SMTP/POP > Error

Error

Ebene | Eintrag | Erklärung
Error | [SMTP / POP3] not connected | Es wurde versucht, Daten an den Postausgangsserver zu senden oder Daten vom Posteingangsserver zu holen, obwohl keine Verbindung zum Server besteht.
Error | Creating Connection failed. Errorcode: [Code] | Das Objekt für eine Verbindung (sowohl abgesichert als auch Klartext) konnte nicht erstellt werden.
Error | Creating SSL/TLS Method failed. Errorcode: [Code] | Die zum Aufbau der abgesicherten Verbindung notwendige SSL/TLS-Methode konnte nicht erstellt werden.
Error | No Destination E-Mail-Address specified | Bei einer ausgehenden E-Mail wurde keine Zieladresse angegeben.
Error | Opening Connection failed. Errorcode: [Code] | Eine Verbindung (sowohl abgesichert als auch Klartext) konnte nicht hergestellt werden.
Error | Reading SSL Structure failed. Errorcode: [Code] | Das Auslesen der SSL/TLS-Struktur einer abgesicherten Verbindung ist fehlgeschlagen.
Error | SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN | SMTP Authentication soll verwendet werden, der Server hat bei der EHLO-Antwort jedoch die benötigten Befehle (AUTH LOGIN und AUTH PLAIN, letzteres ist laut RFC 2554 die minimale Implementierung) nicht in der Liste unterstützter Extension-Befehle angeführt.
Error | The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers] | Der Postausgangsserver hat weder auf das EHLO noch auf das HELO Kommando mit einer OK-Meldung geantwortet. (Die Antwort wird an die LOG-Meldung angehängt.) Der Server wird als nicht erreichbar angesehen.
Error | The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Antwort des SMTP Server] | Der Postausgangsserver hat nicht die erwartete Antwort auf das AUTH LOGIN Kommando oder den dazugehörigen Benutzernamen gesendet. (Die Antwort wird an die LOG-Meldung angehängt.)
Error | The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Antwort des SMTP Server] | Der Postausgangsserver hat nicht die erwartete Antwort auf das AUTH PLAIN Kommando gesendet. (Die Antwort wird an die LOG-Meldung angehängt.)
Error | The Server did not send an OK-Response to the AUTH LOGIN password data: [Antwort des SMTP Server] | Der SMTP Server hat die AUTH LOGIN Passwortdaten nicht mit OK bestätigt. Der Login ist fehlgeschlagen.
Error | The Server did not send an OK-Response to the AUTH PLAIN data: [Antwort des SMTP Server] | Der SMTP Server hat die AUTH PLAIN Daten nicht mit OK bestätigt. Der Login ist fehlgeschlagen. (Die Antwort wird an die LOG-Meldung angehängt.)
Error | The Server did not send an OK-Response to the MAIL command: [Antwort des SMTP Server] | Der Postausgangsserver hat das MAIL Kommando (Versenden einer neuen Mail) nicht mit OK bestätigt. (Die Antwort wird an die LOG-Meldung angehängt.)


E-Mail per SMTP/POP - Warning

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > E-Mail per SMTP/POP > E-Mail per SMTP/POP - Warning

Warning

Ebene | Eintrag | Erklärung
WARNING | No Subject for the E-Mail specified | Es wurde kein Betreff für eine ausgehende Mail angegeben. Das ist zwar kein Fehler, aber eine Mail ohne Betreff kann einen Spamfilter dazu veranlassen, die Mail zu blockieren.
WARNING | No Text for the E-Mail specified | Es wurde kein Text für eine ausgehende Mail angegeben. Das ist zwar kein Fehler, aber eine Mail ohne Text kann einen Spamfilter dazu veranlassen, die Mail zu blockieren.
WARNING | The Server did not respond an OK Code to EHLO. Response: [Antwort des SMTP Server] | Der Postausgangsserver hat mit einem Fehlercode auf das EHLO Kommando geantwortet (Antwort in der LOG-Meldung enthalten). Der SMTP Server unterstützt keine Extensions. Die Extensions kommen bei der SMTP Authentifizierung zum Einsatz. Das ist deshalb kein Fehler, da SMTP Authentifizierung nicht verwendet werden muss und die betroffenen Funktionen selbst eine Fehlererkennung durchführen.


Voice over IP

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > Voice over IP

LOG-Einträge für VoIP:

Errors

Ebene

Eintrag

Erklärung

ERRORS

VoIP:Error in VoIP connection '%s'

Fehlermeldung aus der Bibliothek für die Verbindung.

  • % wird durch den aktuellen Code-Text für den SIP-Status oder einen spezifischen Fehlertext ersetzt.
    Zum Beispiel: VoIP:Error in VoIP connection 'User not found'.

ERRORS

VoIP:Error during hardware initialization

Während der Initialisierung der Hardware ist ein Fehler aufgetreten.

ERRORS

VoIP:Error when trying to make a call

Beim Versuch, einen Voice over IP Anruf durchzuführen, ist ein Fehler aufgetreten.


SMS

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > SMS

Error

Ebene

Eintrag

Erklärung

ERROR

[Telefonnummer] is not a valid SMSC telephone number!

Die eingegebene Telefonnummer der Kurzmitteilungszentrale ist ungültig. Wurde der Ländercode (00xy oder +xy) korrekt gesetzt?

Dabei werden nur die enthaltenen Zeichen (evtl. + am Anfang, sonst nur Ziffern), nicht aber die tatsächliche Existenz der Telefonnummer oder ob diese wirklich eine Kurzmitteilungszentrale ist, geprüft!

ERROR

[Telefonnummer] is not a valid telephone number!

Die eingegebene Empfängertelefonnummer ist ungültig. Dabei werden nur die enthaltenen Zeichen (evtl. + am Anfang, sonst nur Ziffern), nicht aber die tatsächliche Existenz der Telefonnummer geprüft!

ERROR

Error on opening the port [COM-Port]: [Fehlernummer in HEX]

Der angegebene serielle Anschluss konnte nicht geöffnet werden. Die angegebene Fehlernummer kann in der MSDN Library nachgeschlagen werden und gibt Hinweise auf die möglichen Gründe des Fehlers.

ERROR

Error on configuring the port [COM-Porp] [state / timeouts / buffers]: [Fehlernummer in HEX]

Der angegebene COM-Port konnte nicht konfiguriert werden. Es werden State, Timeouts und Puffer konfiguriert. Die angegebene Fehlernummer kann in der MSDN Library nachgeschlagen werden.

ERROR

The total input buffer ([Zahl] bytes) is too small for the [Zahl] bytes received from the modem.

Der Eingangspuffer ist zu klein, als dass alle vom Modem gesendeten Daten aufgenommen werden können. Der Eingangspuffer wird mit einer Größe von 12 KB angelegt. Zum Empfangen einer SMS mit der Maximalgröße werden etwa 400 Byte benötigt. Kommen innerhalb eines Polling-Intervalls (siehe unten) mehr als 12 KB SMS-Daten, so kommt es zu diesem Fehler.

ERROR

The modem returned an error to the [AT-Kommando] command: [Fehlermeldung]

Das Modem hat auf ein AT-Kommando mit einer Fehlermeldung reagiert. Die Fehlermeldung wird an die LOG-Meldung angehängt. In der Fehlermeldung kann ein AT-Fehlercode enthalten sein.

Wenn eine Authentifizierung über einen PIN-Code notwendig ist, wird dieser mit dem Commando AT+CPIN übermittelt. Wird ein falscher Code eingegeben, beantwortet das Modem diese Anfrage mit einem Fehler.

ERROR

The modem did not respond to the [AT-Kommando] command.

Beim Warten auf die Antwort des Modems auf ein AT-Kommando kam es zu einem Timeout.

ERROR

The modem did not switch in SMS PDU mode.

Das Modem hat das AT-Kommando zum Aktivieren des SMS-PDU-Modus zwar mit OK bestätigt, diesen jedoch nicht aktiviert.

ERROR

The modem did not apply the SMSC telephone number.

Das Modem hat das AT-Kommando zum Einstellen der Telefonnummer der Kurzmitteilungszentrale zwar mit OK bestätigt, die Telefonnummer jedoch nicht als Kurzmitteilungszentrale gespeichert.

ERROR

Error: not connected

Es wurde versucht, eine SMS zu senden, empfangen oder löschen und es konnte davor keine Verbindung zum Modem hergestellt werden.

ERROR

The modem returned an error to the transmission of the PDU: [Fehlermeldung]

Das Modem hat auf die Übermittlung einer SMS-PDU mit einer Fehlermeldung geantwortet. Die Fehlermeldung wird an die LOG-Meldung angehängt. In der Fehlermeldung kann ein AT-Fehlercode enthalten sein.

ERROR

The modem did not respond to transmission of the PDU.

Beim Warten auf die Antwort des Modems auf die Übermittlung einer SMS-PDU kam es zu einem Timeout.

ERROR

Error on writing data: [Fehlernummer in HEX]

Beim Versenden von Daten über den seriellen Anschluss kam es zu einem Fehler. Die Fehlernummer kann in der MSDN Library nachgeschlagen werden.

ERROR

Not all bytes have been sent.

Obwohl die Funktion zum Senden von Daten über den seriellen Anschluss keinen Fehler meldete, wurden nicht alle Daten gesendet.

ERROR

Error on reading data: [Fehlernummer in HEX]

Beim Empfangen von Daten über den seriellen Anschluss kam es zu einem Fehler. Die Fehlernummer kann in der MSDN Library nachgeschlagen werden.

ERROR

The source SMSC telephone number [Telefonnummer] contains the not supported character [Zeichen]

Die beim SMS-Empfang erhaltene Telefonnummer der Kurzmitteilungszentrale des Absenders enthält ein ungültiges Zeichen.

ERROR

The source telephone number [Telefonnummer] contains the not supported character [Zeichen]

Die beim SMS-Empfang erhaltene Telefonnummer des Absenders enthält ein ungültiges Zeichen.

ERROR

The syntax of the timestamp [Zeitstempel] is incorrect.

Der beim SMS-Empfang erhaltene Zeitstempel vom GSM-Netz entspricht nicht dem erwarteten Format.

ERROR

The byte [Byte als HEX] could not be converted.

Ein in der PDU enthaltenes Byte konnte nicht von einem HEX-String in eine Zahl umgewandelt werden.

ERROR

Insufficient buffer to convert SMS text [Text]

Der Puffer zum Konvertieren ausgehender SMS (12 KB à 6144 Zeichen) ist nicht ausreichend.

ERROR

The format flag [Byte als HEX] is not supported.

Die Formatierung einer eingehenden SMS ist nicht unterstützt.

ERROR

Could not convert [Byte als HEX] from GSM 7-Bit-Alphabet. Baselanguage: [Byte als HEX], Extensionlanguage [Byte als HEX]

Ein im 7-Bit-SMS-Datenteil enthaltenes Zeichen konnte nicht aufgelöst werden. Die verwendeten Alphabete Basistabelle und Erweiterungstabelle) werden als Language Identifier (siehe Standard 3GPP TS 23.038 V10.0.0 (2011-03) angehängt.

ERROR

Insufficient data to decode multilanguage fragmented SMS!

Eine SMS wurde in mehreren Teilen empfange, wobei die einzelnen Teile unterschiedliche Alphabete verwenden. Die für die Konvertierung benötigten Informationen über die Alphabete sind jedoch nicht vollständig.

ERROR

The input byte stream is not a valid unicode text.

Eine empfangene Unicode-SMS enthält keinen gültigen Unicode-Text (nur gerade Byteanzahl ist gültig, da bei Unicode 2 Byte pro Zeichen).

ERROR

Insufficient Buffer to decode PDU

Beim Decodieren einer PDU wurde der 12-KB-Puffer zu klein.

ERROR

The PDU is not a valid byte stream.

Eine empfangene PDU ist nicht ein gültiger Hex-Dump eines Byte-Streams.

ERROR

The PDU length does not match the SMS text length

Die Anzahl der in einer empfangenen PDU enthaltenen Bytes passt nicht zur Längenangabe in den SMS-Steuerdaten.

ERROR

The Modem requests the PUK.

Das Modem verlangt zur Authentifizierung den Personal Unlock Key (PUK). Dieser wird vom Message Control nicht verwendet und daher wird der Verbindungsaufbau zum Modem mit einem Fehler abgebrochen. Nach mehrmaliger Falscheingabe des PIN-Codes verlangt die SIM-Karte im Modem den PUK zur Authentifizierung, wobei der PIN-Code neu gesetzt werden muss.

Achtung: Fehleingaben des PUK können zur Unbrauchbarkeit der SIM-Karte führen!

ERROR

The Modem responded with an unknown PIN Status: [Antwort des Modems]

Die Abfrage des PIN-Status des Modems brachte ein nicht erwartetes Ergebnis. Die Antwort des Modems auf die Abfrage des PIN-Status wird an die LOG-Meldung angehängt.

ERROR

The Modem requests a PIN and the PIN-Input is empty.

Das Modem verlangt eine Authentifizierung mit einem PIN-Code, es wurde vom Anwender jedoch keiner eingegeben.

ERROR

The Modem did not respond with READY-State after PIN-Authentication: [String]

Obwohl die Übermittlung des PIN-Codes vom Modem mit OK bestätigt wurde, ist der PIN-Status des Modems nicht auf "READY" (keine PIN-Eingabe mehr erforderlich) gesetzt worden. Die Antwort des Modems auf die Abfrage des PIN-Status wird an die LOG-Meldung angehängt.

DEBUG

Port [COM-Port] opened successfully

Der angegebene serielle Anschluss wurde erfolgreich geöffnet.

DEBUG

Modem configured successfully for SMS-PDU-Mode and SMSC [Telefonnummer]

Das Modem wurde erfolgreich für den SMS-PDU-Modus und die angegebene Telefonnummer der Kurzmitteilungszentrale konfiguriert.

DEBUG

Connection to modem closed.

Die Verbindung zum Modem und die serielle Schnittstelle wurden geschlossen.

DEBUG

SMS successfully sent to [Telefonnummer]

Eine SMS wurde erfolgreich an die angegebene Telefonnummer versendet.

DEBUG

Successfully received SMS from [Telefonnummer]

Eine SMS wurde erfolgreich von der angegebenen Telefonnummer empfangen.

DEBUG

The Modem does not need a PIN.

Das Modem verlangt nicht nach einer PIN-Authentifizierung.

DEBUG

Authentication with the PIN succeeded.

Die Authentifizierung mit dem konfigurierten PIN-Code war erfolgreich.


LOG-Einträge - OpenSSL Library

Handbuch > Message Control > Meldungen und Fehlerbehandlung > LOG-Einträge > LOG-Einträge - OpenSSL Library

Errorcodes und die Errormessages aus der OpenSSL Library im Format „Errorcode: [Code]. Errormessage: [String]".

Die Antworten der Server haben folgende Struktur:

  • Antworten vom POP3 Server beginnen nur dann mit „OK", wenn kein Fehler vorlag.
  • Antworten vom SMTP Server beginnen mit einem dreistelligen Statuscode:
    • 2xx = OK
    • 3xx = warte auf Daten
    • 4x und 5 xx = Fehler

Fehlermeldungen im Diagnosis Viewer.

Ebene

Eintrag

Erklärung

ERROR

No Destination E-Mail-Address specified

Bei einer ausgehenden Mail wurde keine Zieladresse eingegeben.

ERROR

Creating SSL/TLS Method failed. Errorcode: [Code]. Errormessage: [String]

Die zum Aufbau der abgesicherten Verbindung notwendige SSL/TLS Methode konnte nicht erstellt werden.

ERROR

Creating Connection failed. Errorcode: [Code]. Errormessage: [String]

Das Objekt für eine Verbindung (sowohl abgesichert als auch Klartext) konnte nicht erstellt werden.

ERROR

Reading SSL Structure failed. Errorcode: [Code]. Errormessage: [String]

Das Auslesen der SSL / TLS Struktur einer abgesicherten Verbindung ist fehlgeschlagen.

ERROR

Opening Connection failed. Errorcode: [Code]. Errormessage: [String]

Eine Verbindung (sowohl abgesichert als auch Klartext) konnte nicht hergestellt werden.

ERROR

The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers]

Der Postausgangsserver hat weder auf das EHLO noch auf das HELO Kommando mit einer OK-Meldung geantwortet (Die Antwort wird an die LOG-Meldung angehängt). Der Server wird als nicht erreichbar angesehen.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Antwort des SMTP Server]

Der Postausgangsserver hat nicht die erwartete Antwort auf das AUTH LOGIN Kommando oder den dazugehörigen Benutzernamen gesendet. Die Antwort wird an die LOG-Meldung angehängt.

ERROR

The Server did not send an OK-Response to the AUTH LOGIN password data: [Antwort des SMTP Server]

Der SMTP Server hat die AUTH LOGIN Passwortdaten nicht mit OK bestätigt. Der Login ist fehlgeschlagen.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Antwort des SMTP Server]

Der Postausgangsserver hat nicht die erwartete Antwort auf das AUTH PLAIN Kommando gesendet. Die Antwort wird an die LOG-Meldung angehängt

.

ERROR

The Server did not send an OK-Response to the AUTH PLAIN data: [Antwort des SMTP Server]

Der SMTP Server hat die AUTH PLAIN Daten nicht mit OK bestätigt. Der Login ist fehlgeschlagen. Die Antwort wird an die LOG-Meldung angehängt.

ERROR

SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN

SMTP Authentication soll verwendet werden, der Server hat bei der EHLO-Antwort jedoch die benötigten Befehle nicht in der Liste unterstützter Extension-Befehle angeführt.

Benötigt werden: AUTH LOGIN und AUTH PLAIN, letzteres ist laut RFC 2554 die minimale Implementierung.

ERROR

[SMTP / POP3] not connected

Es wurde versucht Daten an den Postausgangsserver zu senden oder Daten vom Posteingangsserver zu holen, obwohl keine Verbindung zum Server steht.

ERROR

The Server did not send an OK-Response to the MAIL command: [Antwort des SMTP Server]

Der Postausgangsserver hat das MAIL Kommando (Versenden einer neuen Mail) nicht mit OK bestätigt. Die Antwort wird an die LOG-Meldung angehängt.

ERROR

The Server did not send an OK-Response to the RCPT command: [Antwort des SMTP Server]

Der Postausgangsserver hat das RCPT Kommando (fügt einen Empfänger hinzu) nicht mit OK bestätigt. Die Antwort wird an die LOG-Meldung angehängt.

ERROR

The Server did not send a Waiting-For-Data-Response to the DATA command: [Antwort des SMTP Server]

Der Postausgangsserver hat nicht die erwartete Antwort auf das DATA Kommando (Maildaten werden übertragen) gesendet. Die Antwort wird an die LOG-Meldung angehängt.

ERROR

The Server did not send an OK-Respone to the transmitted Data: [Antwort des SMTP Server]

Der Postausgangsserver hat die gesendeten Maildaten nicht mit OK bestätigt. Die Antwort wird an die LOG-Meldung angehängt.

ERROR

APOP Authentication is required but the Server did not send APOP Data

Zur Anmeldung am Posteingangsserver soll das APOP Kommando verwendet werden, der Posteingangsserver hat jedoch nicht die benötigten Daten geliefert.

ERROR

Creating APOP Digest failed. Errorcode: [Code]. Errormessage: [String]

Der MD5-Hash zur APOP-Authentifizierung konnten nicht erstellt werden.

ERROR

The Server did not send an OK-Response to the [POP3-Kommando] command: [Antwort des POP3 Server]

Der Posteingangsserver hat ein Kommando nicht mit OK bestätigt. Die Antwort wird an die LOG-Meldung angehängt.

Folgende Kommandos können hiervon betroffen sein: APOP, USER, PASS, STAT, RETR, DELE.

Hinweis: Wenn beim Kommando DELE noch der Hinweis „Could not delete Mail" entahlten ist, wurde eine E-Mail zwar empfangen, konnte aber nicht gelöscht werden. Da die E-Mail erfolgreich empfangen wurde, wird sie an Message Control weitergeleitet.

ERROR

The OK-Response to the STAT command did not have the expected Format: [Antwort des POP3 Server]

Die Antwort des Posteingangsserver auf das STAT Kommando entsprach nicht der Formatdefinition laut RFC 1939.

Format: OK<Leerzeichen>[Anzahl der Mails im Postfach]<Leerzeichen>[Gesamtgröße aller Mails im Postfach in Bytes]

ERROR

[Sending / Receiving] Data failed. Errorcode: [Code]. Errormessage: [String]

Das Senden oder Empfangen von Daten über eine OpenSSL Netzwerkverbindung ist fehlgeschlagen.


Mobile Anwendungen für zenon

Handbuch > Mobile Anwendungen für zenon

Mit den mobilen Anwendungen können Sie Ihre zenon Projekte auf mobilen Endgeräten, Tablets und Desktop-Geräten visualisieren. Basis für diese Darstellung ist ein bestehendes zenon Projekt. Zusätzlicher Projektierungsaufwand entfällt.

Für die Darstellung auf mobilen Endgeräten, Tablets und Desktop-Geräten stehen Apps von zenon in den jeweiligen App-Stores zur Verfügung.
Sie können auch Ihre eigenen mobilen Anwendungen für die Visualisierung Ihrer zenon-Projektierung erstellen. Weitere Informationen und Code-Beispiele finden Sie im Kapitel Datenmodell des Everywhere Servers.

Folgende Apps stehen zur Verfügung:

  • Everywhere Essentials Alarm Management
    Visualisiert Alarme der produktiven Runtime auf mobilen Geräten. Eine Filterung der Alarme nach Anlagengruppen kann in der Verbindung konfiguriert werden.
    Diese App steht für Geräte mit dem Betriebssystem Apple iOS zur Verfügung.
  • Everywhere Essentials QR Data App
    Visualisiert Echtzeit-Daten von der produktiven Runtime auf mobilen Geräten. Es können einzelne Variablen angegeben werden. Alternativ kann ein QR-Code mit darin enthaltenen Verbindungseinstellungen und anzuzeigenden Variablen gescannt werden.
    Diese App steht für Geräte mit den Betriebssystemen Android und Apple iOS zur Verfügung.
  • Notifier-App by zenon:
    Ermöglicht das Empfangen und Quittieren von SMS-Nachrichten, die vom Modul Message Control versandt werden.
    Diese App steht für das Betriebssystem Android zur Verfügung.
  • Everywhere App by zenon:
    Diese App ermöglicht den einfachen Zugriff auf zenon via Smartphones, Tablets und Desktop-Geräten.
    Folgende Apps stehen zur Verfügung:
    • Everywhere App by zenon für Windows Mobile
    • Everywhere App by zenon für iPhone, iPad Produktreihe
    • Everywhere App by zenon for Windows Desktop
    • Everywhere App by zenon für Android
  • Everywhere Server by zenon:
    Stellt zenon Daten für mobile Anwendungen zur Verfügung.

Nach Konfiguration eines Servers stehen folgende Funktionalitäten via App zur Verfügung:

  • Darstellung von Werten eines zenon Projekts in Echtzeit
  • Authentifizierung über die mobile Anwendung
  • Auswahl der Anlagenmodelle des aktiven Projekts
  • Zuordnung von projektierten Benutzerberechtigungen (via .INI-Eintrag)
  • Einzelne Variablen aktivierbar
  • Darstellung von Werten in Listen ...
    • ... mit grafischen Fortschrittsbalken
    • ... mit dynamischen Zeigerinstrumenten
    • ... Alarmmeldungen mit Zeitpunkt

Noch in diesem Kapitel

Everywhere - Alarm Management

Everywhere Essentials QR Data App

Notifier App by zenon

Everywhere App by zenon

Everywhere Server by zenon


Everywhere - Alarm Management

Handbuch > Mobile Anwendungen für zenon > Everywhere - Alarm Management

Everywhere Essentials - Alarm Management visualisiert die Alarmmeldeliste der zenon Runtime in einer vereinfachten Darstellung.

Per Default ist bereits eine Verbindung zum COPA-DATA Demo-Server vorkonfiguriert.

info Info

Die App steht für Geräte mit dem Apple iOS Betriebssystem zur Verfügung.

Noch in diesem Kapitel

Installation

Profilübersicht

Alarmbildschirm


Installation

Handbuch > Mobile Anwendungen für zenon > Everywhere - Alarm Management > Installation

Führen Sie folgende Schritte aus, um Everywhere Essentials - Alarm Management auf ihrem Gerät nutzen zu können:

  • Starten Sie den App-Store auf Ihrem Gerät.
  • Geben Sie als Suchbegriff Everywhere Essentials oder Alarm Management ein.
  • Wählen Sie Everywhere Essentials - Alarm Management und installieren Sie die App auf ihrem Gerät.

Um die App zu nutzen:

  • Öffnen Sie Everywhere Essentials - Alarm Management auf Ihrem Gerät.
    Die App startet mit dem Alarmbildschirm.


Profilübersicht

Handbuch > Mobile Anwendungen für zenon > Everywhere - Alarm Management > Profilübersicht

Die Profilübersicht listet bestehende Profile und verwaltet diese.

Kopfleiste

Parameter | Beschreibung
< Back | Schaltet zum Alarmbildschirm.
+ | Erstellt ein neues Profil und öffnet den Konfigurationsdialog für ein Profil.

Profilliste

Liste aller konfigurierten Verbindungen. Wählen Sie ein bestehendes Profil um sich mit dem jeweiligen Server zu verbinden.

Noch in diesem Kapitel

Profil bearbeiten


Profil bearbeiten

Handbuch > Mobile Anwendungen für zenon > Everywhere - Alarm Management > Profilübersicht > Profil bearbeiten

In diesem Bildschirm werden bestehende Profile geändert und neue Profile konfiguriert.

Kopfleiste

Parameter | Beschreibung
Done | Speichert die Konfiguration und wechselt zum Alarmbildschirm.

Verbindungseinstellungen

Parameter | Beschreibung
Profile Name | Frei konfigurierbarer Name der Verbindung.
Server address | Name oder IP-Adresse des Everywhere Servers, zu welchem eine Verbindung aufgebaut werden soll.
Port | HTTPS-Port für die Kommunikation mit dem Everywhere Server Default: 8050
Project name | Projektname des Everywhere Server Projekts.
Select alarms from equipment group | Name der Anlagengruppe, wie im zenon Editor projektiert. Hinweis: Im Alarmbildschirm werden nur jene Alarme visualisiert, die mit der gewählten Anlagengruppe verknüpft sind.
User | Benutzername für die Anmeldung am Everywhere Server.
Password | Passwort für die Anmeldung am Everywhere Server.


Alarmbildschirm

Handbuch > Mobile Anwendungen für zenon > Everywhere - Alarm Management > Alarmbildschirm

Der Alarmbildschirm visualisiert die Alarmmeldeliste der zenon Runtime in vereinfachter Darstellung.

Kopfleiste

Parameter

Beschreibung

Zahnradsymbol

Wechselt zur Profilübersicht für die Auswahl oder Konfiguration einer Verbindung.

Connection status

Zeigt den Status der aktuellen Verbindung zum Everywhere Server by zenon

  • online
    Aktive Verbindung zum Server
  • offline
    Keine Verbindung zum Server

Alarmeintrag

Parameter

Beschreibung

[Alarmtext]

Alarmtext

Time received

Zeitstempel des Alarms:
TT.MM.JJJJ, hh:mm:ss

Status

Status des Alarms:

  • Active
    Alarm ist aktiv.
  • Acknowledged
    Alarm wurde quittiert.
  • Gone
    Alarm ist gegangen.

Beispiel


Everywhere Essentials QR Data App

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App

Die kostenlose Everywhere Essentials QR Data App visualisiert Echtzeit-Daten von der produktiven Runtime auf mobilen Geräten. Die relevanten Informationen werden direkt von einem QR-Code abgelesen.

Dieser QR-Code kann für die App mit dem Everywhere Essentials QR Code Generator von einer bestehenden Projektierung erstellt werden.

Hinweis: Die App steht für Geräte mit den Betriebssystemen Windows 10, Windows 10 Mobile, Android und Apple iOS zur Verfügung.

info Info

Die Everywhere Essentials QR Data App visualisiert die vom Everywhere Server zur Verfügung gestellte Projektierung.

Noch in diesem Kapitel

Installation

App-Leiste

Startbildschirm

Profilübersicht

Verbindungsaufbau

Ergebnisbildschirm


Installation

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Installation

Führen Sie folgende Schritte aus, um Everywhere Essentials QR Data App auf ihrem Gerät nutzen zu können:

  • Starten Sie den App-Store auf Ihrem Gerät.
  • Geben Sie als Suchbegriff QR Data App oder Essentials QR ein.
  • Wählen Sie Everywhere Essentials QR Data App und installieren Sie die App auf ihrem Gerät.

Um die App zu nutzen:

  • Öffnen Sie die Everywhere Essentials QR Data App auf Ihrem Gerät.
    Der Startbildschirm wird angezeigt.


App-Leiste

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > App-Leiste

Auf Android-Geräten dient die App-Leiste zur Navigation.

Hinweis: Für Apple iOS-Geräte steht keine App-Leiste zur Verfügung.

App-Leiste

Symbol | Beschreibung
zurück (Symbol: geschwungener Pfeil nach links) | Wechselt zum vorangegangen Bildschirm der App.
Home (Symbol: Haus) | Beendet die App und schaltet zum Startbildschirm des Android-Gerätes zurück.
nn (Symbol: überlagernde Bildschirme) | Übersicht der zuletzt auf dem Gerät geöffneten Apps.

info Info

Die App-Leiste ist auf allen Bildschirmen in Aussehen und Funktionalität gleich. Sehr oft ist diese Leiste in die Hardware eines Android-Gerätes bereits integriert. In diesem Falle wird keine zusätzliche App-Leiste angezeigt.


Startbildschirm

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Startbildschirm

Die Everywhere Essentials QR Data App startet entweder mit dem Scan-Bildschirm oder mit dem Bildschirm für die manuelle Eingabe.

Dies ist abhängig davon, in welcher Ansicht die App zuletzt beendet wurde.

Noch in diesem Kapitel

Scan-Bildschirm

Bildschirm für manuelle Eingabe


Scan-Bildschirm

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Startbildschirm > Scan-Bildschirm

Im Scan-Bildschirm werden QR-Codes gescannt und die Profilliste aufgerufen.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
Profile (Symbol: Schraubenschlüssel) | Schaltet zur Profilübersicht.

Fußleiste

Parameter | Beschreibung
Manual Input | Schaltet zur manuellen Eingabe.

Scanvorgang

Um einen QR-Code zu scannen:

  • Fokusieren Sie mit der Kamera Ihres Gerätes den QR-Code.
    Nach erfolgreicher Identifizierung des QR-Codes:
    • Wird der Bildschirm mit einem dicken Rand gekennzeichnet.
    • Werden markante Bestandteile des QR-Codes zusätzlich in der Anzeige farblich hervorgehoben.
    • Wird der Name des erkannten Projekts oder der erkannten Anlagengruppe in der Fußzeile visualisiert
  • Die App baut eine Verbindung zum Everywhere Server by zenon auf.
    Hinweis: Detaillierte Informationen dazu finden Sie im Kapitel Verbindungsaufbau.
  • Nach erfolgreicher Verbindung zum Everywhere Server by zenon schaltet die App zum Ergebnisbildschirm.
    Die Werte der identifizierten Variable werden entsprechend der Konfiguration angezeigt.


Bildschirm für manuelle Eingabe

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Startbildschirm > Bildschirm für manuelle Eingabe

Im Bildschirm für die manuelle Eingabe können Sie den Variablennamen oder den Namen der Anlagengruppe manuell eingeben.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
Profile (Symbol: Schraubenschlüssel) | Schaltet zur Profilübersicht.

Manuelle Eingabe

Parameter

Beschreibung

Eingabefeld

Eingabefeld für Variablenname oder Name der Anlagengruppe.

Hinweis: Achten Sie bei der Eingabe auf Groß-/Kleinschreibung!

Eingabetyp

Drop-Downliste zur Auswahl des Abfragetyps:

  • Variable
    Der eingegebene Name entspricht einem Variablennamen (Name).
  • Equipment Group
    Der eingegebene Name entspricht dem Namen einer Anlagengruppe (Name).

Go

Button zum Start der Abfrage.

Das Ergebnis wird anschließend im Ergebnisbildschirm visualisiert.

Fußleiste

Parameter | Beschreibung
Scan QR Code | Schaltet zum Scan-Bildschirm.


Profilübersicht

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Profilübersicht

Die Profilübersicht listet bestehende Profile und verwaltet diese.

Aktionsleiste - Aktionsbuttons

Parameter

Beschreibung

<- Select profile

Schaltet zurück zum Eingabefenster:

  • Scan-Bildschirm
  • Bildschirm für manuelle Eingabe

Dies ist abhängig davon, in welcher Ansicht die Profilübersicht aufgerufen wurde.

Action Overflow
(Symbol: drei senkrechte Punkte)

Klick auf Schaltfläche öffnet Dropdownliste der Aktionen.

Liste der Profile

Listet alle konfigurierten Profile. Auswahl eines Profils via Tap auf den Profilnamen.

Parameter | Beschreibung
Add new profile | Erstellt ein neues Profil und öffnet den Bildschirm zum Konfigurieren eines Profils. Hinweis: Weitere Informationen über die Verwendung der Profile bei einem Verbindungsaufbau finden Sie im Kaptiel Verbindungsaufbau.
Edit selected profile | Öffnet den Bildschirm zum Konfigurieren eines Profils.
Delete selected profile | Löscht das gewählte Profile. Vor dem Löschen wird eine Sicherheitsabfrage zum Löschen des Profils aufgeschaltet.

Sicherheitsabfrage

Vor dem Löschen eines Profils wird ein Bestätigungsdialog aufgerufen.

Parameter | Beschreibung
No | Profil wird nicht aus der Liste gelöscht. Der Dialog wird anschließend geschlossen.
Yes | Das Profil wird gelöscht. Der Dialog wird anschließend geschlossen.

Noch in diesem Kapitel

Profile bearbeiten


Profile bearbeiten

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Profilübersicht > Profile bearbeiten

In diesem Bildschirm werden bestehende Profile geändert und neue Profile konfiguriert. Zusätzlich konfigurieren Sie die Granularität der Ergebnisanzeige.

Hinweis: Achten Sie bei der Eingabe auf Groß-/Kleinschreibung!

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
<- Add Profiles | Schaltet zurück zur Profilübersicht.
Profil speichern (Symbol: Diskette) | Sichert die Profileinstellungen und schaltet zur Profilübersicht. Vor dem Sichern wird eine Bestätigungsdialog aufgeschaltet.

Verbindungseinstellungen

Parameter | Beschreibung
Profile Name | Frei konfigurierbarer Name der Verbindung.
Server | Name oder IP-Adresse des Everywhere Servers, zu welchem eine Verbindung aufgebaut werden soll.
Port | HTTPS-Port für die Kommunikation mit dem Everywhere Server Default: 8050
Project Name | Projektname des Everywhere Server Projekts.
User | Benutzername für die Anmeldung am Everywhere Server.
Password | Passwort für die Anmeldung am Everywhere Server.

Anzeigedetails

Die Eigenschaften werden jeweils mit einem Schieberegler aktiviert bzw. deaktiviert.

Diese Einstellungen haben direkte Auswirkung auf die Ausprägung der Anzeige im Ergebnisbildschirm.

Parameter | Beschreibung
Read Connection Settings from QR Code | Die Verbindungseinstellungen zum Everywhere Server werden vom QR-Code übernommen. Default: aktiv Ist diese Eigenschaft deaktiviert oder sind im QR-Code keine Verbindungseinstellungen codiert, werden die Verbindungseinstellungen des zuletzt gewählten Profils verwendet.
Show Variable Name | Anzeige des Variablennamens. Aktiviert oder deaktiviert die Anzeige des Variablennamens im Ergebnisbildschirm. Default: aktiv Hinweis: Dies entspricht der Eigenschaft Name in der zenon Projektierung.
Show Variable Identification | Aktiviert oder deaktiviert die Anzeige der Variablenkennung im Ergebnisbildschirm. Default: aktiv Hinweis: Dies entspricht der Eigenschaft Kennung in der zenon Projektierung.
Show Variable Timestamp | Aktiviert oder deaktiviert die Anzeige des Zeitstempels im Ergebnisbildschirm. Default: aktiv Hinweis: Dies entspricht der Eigenschaft in der zenon Projektierung.
Show Variable Status | Aktiviert oder deaktiviert die Anzeige des Variablenstatus im Ergebnisbildschirm. Default: aktiv Hinweis: Dies entspricht der Eigenschaft StatusString in der zenon Projektierung.
Show Identification after Scan | Die Anmeldedaten zum Everywhere Server werden während des Verbindungsaufbaus angezeigt. Default: inaktiv.

Profil speichern - Bestätigungsdialog

Vor dem Speichern eines Profils wird ein Bestätigungsdialog aufgerufen.

Parameter | Beschreibung
No | Profil wird nicht gespeichert. Der Dialog wird anschließend geschlossen.
Yes | Das Profil wird gespeichert. Der Dialog wird anschließend geschlossen.


Verbindungsaufbau

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Verbindungsaufbau

Für die Verbindung zu einem Everywhere Server by zenon gelten folgende Regeln:

  • Enthält der QR-Code Verbindungseinstellungen, welche bereits in einem vorhanden Profil gespeichert sind, baut die App sofort eine Verbindung auf. Das Ergebnis wird bei erfolgreicher Verbindung ohne weitere Zwischenschritte im Erbegnisbildschirm angezeigt.
  • Bei manueller Eingabe der Werteabfrage oder wenn keine Verbindungseinstellungen im QR-Code inkludiert sind, werden immer die Verbindungseinstellungen des aktuellen Profils verwendet.
  • Enthält der QR-Code Verbindungseinstellungen, welche noch nicht in einem Profil gespeichert sind, wird automatisch ein neues Profil mit den Default-Einstellungen erstellt.
    Vor dem Verbindungsaufbau werden die Login-Daten in einem Dialog abgefragt.
  • Sind in dem aktuell gewählten Profil die Login-Daten (User oder Password) nicht vorhanden oder falsch konfiguriert wird ein Dialog zur Eingabe der Login-Daten aufgeschaltet.
  • Konnte keine Verbindung zum Everywhere Server by zenon aufgebaut werden, wird eine Fehlermeldung angezeigt.

Fehler bei Verbindungsaufbau

Konnte keine Verbindung zum Everywhere Server by zenon aufgebaut werden, wird folgende Fehlermeldung angezeigt.

Noch in diesem Kapitel

Dialog für Login


Dialog für Login

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Verbindungsaufbau > Dialog für Login

Dialog für die Eingabe der Login-Daten am Server.

Parameter

Beschreibung

User

Eingabefeld für Benutzername.

Password

Eingabebereich für das Passwort.

Save Credentials in Profile

Checkbox zur Speicherung der eingegebenen Daten.

  • wenn aktiviert:
    eingegebene Anmeldedaten werden im Profil gespeichert.

Wird die Checkbox nicht aktiviert, wird der Login-Dialog beim nächsten Verbindungsaufbau wieder angezeigt.

Cancel

Verwirft alle Änderungen und schließt den Dialog.

Es wird keine Verbindung aufgebaut.

OK

Übernimmt Einstellungen und schließt den Dialog.


Ergebnisbildschirm

Handbuch > Mobile Anwendungen für zenon > Everywhere Essentials QR Data App > Ergebnisbildschirm

In diesem Bildschirm werden aktuelle Variablenwerte der produktiven Laufzeitumgebung visualisiert. Die Werte werden laufend aktualisiert.

Hinweis: Die Ausprägung der Anzeige ist abhängig von den Einstellung in den Profileinstellungen.

Parameter

Beschreibung

< Value of [Eingabequelle]

Schaltet zurück zum Eingabefenster:

  • Scan-Bildschirm
    Eingabequelle = Variablenname
  • Bildschirm für manuelle Eingabe
    Eingabequelle = Anlagengruppe

Dies ist abhängig davon, in welcher Ansicht die Profilübersicht aufgerufen wurde.

Beispiele


Notifier App by zenon

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon

Die Notifier App by zenon ermöglicht es, Alarme, die per Message Control als SMS an ein mobiles Gerät gesendet werden, zu quittieren.

Hinweis: Die App steht nur für Geräte mit dem Betriebssystem Android zur Verfügung.

Noch in diesem Kapitel

Funktionsweise

Konfiguration

Alarm-SMS empfangen und quittieren


Funktionsweise

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon > Funktionsweise

Die Notifier App by zenon zeigt SMS an, die:

  • vom Modul Message Control versendet wurden und
  • bestimmte Schlüsselwörter enthalten und von bestimmten Telefonnummern verschickt wurden

Nach dem Empfang wird am Empfangsgerät für 30 Sekunden ein Alarm abgespielt. Wird die Nachricht innerhalb dieses Zeitraums geöffnet, kann der Benutzer den Alarm per SMS quittieren, ablehnen oder den Alarm mit einer Schaltfläche ignorieren. Wird auf eine Nachricht nicht rechtzeitig reagiert, dann wird eine Information an die Notification-Bar geheftet. Wird diese aktiviert, wird eine Liste der noch nicht quittierten und ignorierten Alarme angezeigt.

Als Startbildschirm wird immer die aktuelle Alarmliste angezeigt.

In der App wird über Drücken der Symbole oder Wischen navigiert.
Zur Verfügung stehen von links nach recht:

  • Alarmliste anzeigen
  • Schlüsselwörter konfigurieren
  • Telefonnummern konfigurieren
  • Codes konfigurieren


Konfiguration

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon > Konfiguration

Mit der App können Schlüsselwörter und Telefonnummern sowie PIN und NA konfiguriert und Alarme bearbeitet werden.

Um die App zu nutzen:

  1. Laden Sie die Notifier App by zenon aus dem Store herunter.
  2. Öffnen Sie die Notifier App.

  3. Das Konfigurationsfenster wird angezeigt.

App konfigurieren

Am Konfigurationsbildschirm definieren Sie:

  • Schlüsselwörter: Liste mit allen eingestellten Schlagwörtern.
  • Telefonnummern: Liste mit allen Telefonnummern angezeigt auf welche die App bei einer SMS reagieren soll.
  • PIN und NA-Code: PIN für positives Quittieren und NA für ablehnen.

Außerdem bearbeiten Sie die in der Alarmliste eingetragenen Alarme.

Noch in diesem Kapitel

Schlüsselwörter konfigurieren

Telefonnummern konfigurieren

PIN und NA-Code konfigurieren


Schlüsselwörter konfigurieren

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon > Konfiguration > Schlüsselwörter konfigurieren

Um Schlüsselwörter zu konfigurieren:

  1. Tippen Sie auf das Symbol mit dem Schlüssel für Keywords.
  2. Eine Liste der konfigurierten Schlüsselwörter wird angezeigt.

  3. Wird ein Schlüsselwort ausgewählt, kann es über einen Dialog gelöscht werden.
  4. Um ein neues Schlüsselwort zu erstellen, klicken Sie auf die Schaltfläche +.
    Hinweis: Bei Android Versionen <3.0 erfolgt das Hinzufügen mit Klick auf die Schaltfläche Add New Item.
  5. Der Dialog zum Hinzufügen wird geöffnet.

  6. Geben Sie das Schlüsselwort ein und klicken Sie auf Add.

    Hinweis: Es kann immer nur ein einziges Schlüsselwort eingegeben werden. Leerzeichen sind nicht erlaubt.


Telefonnummern konfigurieren

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon > Konfiguration > Telefonnummern konfigurieren

Um Telefonnummern zu konfigurieren, deren SMS als Meldungen akzeptiert werden:

  1. Tippen Sie auf das Symbol mit dem Telefon..
  2. Eine Liste der konfigurierten Telefonnummern wird angezeigt.

  3. Wird eine Telefonnummer ausgewählt, kann sie über einen Dialog gelöscht werden.
  4. Um eine neue Telefonnummer zu erstellen, klicken Sie auf die Schaltfläche +.

    Hinweis: Bei Android Versionen <3.0 erfolgt das Hinzufügen mit Klick auf die Schaltfläche Add New Item.

  5. Der Dialog zum Hinzufügen wird geöffnet.

  6. Geben Sie die Telefonnummer ein und klicken Sie auf Add.

Achtung: Telefonnummern müssen im Format +[Ländervorwahl][Nummer] eingegeben werden.
Beispiel: +4369912345678


PIN und NA-Code konfigurieren

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon > Konfiguration > PIN und NA-Code konfigurieren

Um PIN und NA-Code zu konfigurieren:

  1. Tippen Sie auf das Symbol mit den Sternen für Codes.

  2. Die Codes für PIN und NA werden angezeigt.
  3. Um einen Code einzugeben oder zu ändern, klicken Sie in das Eingabefeld.
  4. Die Tastatur zur Eingabe von PIN oder NA wird aufgeschaltet.

  5. Geben Sie die für das Quittieren nötige 4-stellige PIN ein.
  6. Geben Sie die für das Ablehnen des Alarms nötige 4-stellige NA ein.
  7. Klicken Sie auf OK.


Alarm-SMS empfangen und quittieren

Handbuch > Mobile Anwendungen für zenon > Notifier App by zenon > Alarm-SMS empfangen und quittieren

Alarm-SMS empfangen

Ablauf beim Empfang von SMS:

  1. Die Notifier App by zenon überprüft alle einkommenden SMS auf Schlüsselwörter und Absender-Telefonnummer.
  2. Stimmen die Telefonnummer und ein Wort im Text der SMS mit den eingestellten Parametern überein, wird für 30 Sekunden ein Alarm abgespielt und ein Hinweisfenster geöffnet.

  3. Um die Alarm-SMS anzunehmen und darauf zu reagieren, klicken Sie auf OK.
    • Enthält die SMS einen Alarm, wird mit Klick auf OK das Fenster zum Quittieren des Alarms geöffnet.
    • Enthält die SMS keinen Alarm, wird das Fenster mit Klick auf OK geschlossen. Die App läuft im Hintergrund weiter.
  4. Regieren Sie nicht binnen 30 Sekunden, dann wird:
    1. das Fenster geschlossen
    2. der Alarm beendet und eine Information an die Notification-Bar des Mobilgeräts geheftet
    3. der Alarm in der Alarmliste gespeichert

Alarm-SMS beantworten

Ablauf beim Beantworten einer SMS:

  1. Wird die Alarm-SMS angenommen, wird ein Dialog mit der Nachricht und Antwortmöglichkeiten geöffnet.
  2. Wählen Sie die gewünschte Reaktion:
    1. YES: Quittiert den Alarm.
    2. NO: Lehnt das Quittieren ab.
    3. Ignore: Ignoriert den Alarmund verschiebt ihn in die Alarmliste.

    Hinweis: Der jeweilige Berechtigungscode (PIN/NA) muss in der App hinterlegt worden sein.

  3. Schließen Sie die App.
    Die App läuft nach dem Schließen im Hintergrund weiter.

Alarmfenster

Parameter | Beschreibung
SMS Text: | Anzeige des Textes der SMS.
YES | Quittiert den Alarm. Es wird eine SMS im Format Alarm-ID;PIN verschickt. Dazu muss die PIN in der Konfiguration hinterlegt sein.
NO | Lehnt das Quittieren des Alarm ab. Es wird eine SMS im Format Alarm-ID;NA verschickt. Dazu muss die NA in der Konfiguration hinterlegt sein.
Ignore | Alarm wird in der Alarmliste gespeichert. Diese kann über das Symbol in der App jederzeit aufgerufen und der Alarm kann quittiert oder gelöscht werden.

info Info

Details zum Quittieren von Nachrichten des Moduls Message Control lesen Sie auch im Kapitel Nachrichten quittieren im Handbuch Message Control.

Alarmliste verwalten

Bei geöffneter App erreichen Sie die Alarmliste durch Tippen auf das Symbol mit der Sprechblase.

  • Ignorierte Nachrichten werden deaktiviert (grau) angezeigt.
  • Nachrichten mit unklarem Status werden aktiv und mit einem Warnsymbol angezeigt.

Wird auf eine Alarm-SMS nicht rechtzeitig reagiert oder wird die Notifier App by zenon ohne Aktion beendet, dann wird eine Information an die Notification-Bar des Mobilgeräts geheftet. Dies wird durch eine Alarminformation angezeigt. Die Art der Benachrichtigung hängt vom Mobilgerät ab.

Um auf diese Nachricht zu reagieren, tippen Sie auf das Alarmsymbol. Die Alarmliste wird geöffnet.

Nachrichten bearbeiten

Um Alarme mit unklarem Status zu bearbeiten:

  1. Tippen Sie auf die Nachricht.
  2. Quittieren oder ignorieren Sie die Nachricht.

    Quittierte Alarme werden aus der Liste entfernt.
    Ignorierte Alarme werden inaktiv angezeigt.

Nachrichten löschen

Um ignorierte Alarme aus der Liste zu entfernen:

  1. Tippen Sie auf das Stift-Symbol rechts oben.

    Die Alarmliste wird im Bearbeitungsmodus geöffnet und ignorierte Alarme werden angezeigt.

  2. Aktivieren Sie die Checkbox vor dem Alarm.
  3. Tippen Sie auf das Symbol für löschen rechts oben.

    Alle ausgewählten Alarme werden aus der Liste entfernt.


Everywhere App by zenon

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon

Apps ermöglichen die Visualisierung eines zenon-Projekts auf mobilen Endgeräten, Tablets und Desktop-Geräten. Der Funktionsumfang ist dabei identisch. Die grafische Benutzeroberfläche variiert, abhängig vom eingesetzten Betriebssystem.

Die jeweiligen Apps führen Sie Schritt für Schritt durch Ihre Projektierung. Sie wählen jeweils die gewünschten Parameter und bekommen so die dazugehörigen Informationen. Die Navigation ist intuitiv und folgt einer chronologischen Reihenfolge.

Folgende Apps stehen zur Verfügung:

  • Everywhere App by zenon für MS Windows Phone
  • Everywhere App by zenon für iPhone und iPad
  • Everywhere App for Desktop for Desktop
  • Everywhere App by zenon für Android

Noch in diesem Kapitel

Voraussetzungen

Installation

Everywhere App by zenon für MS Windows Phone

Everywhere App by zenon für iPhone und iPad

Everywhere App for Desktop

Everywhere App by zenon für Android


Voraussetzungen

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Voraussetzungen

Die Everywhere App by zenon visualisiert die vom Everywhere Server zur Verfügung gestellte Projektierung auf einem Smartphone, Tablet oder Desktop-Computer.

Systemvoraussetzungen

  • Windows Phone 7.5 oder höher (Windows Phone 8 oder höher empfohlen)
  • iOS 6 oder höher für Apple iPhone und iPad
  • Windows 8 oder höher für Everywhere App for Desktop
  • Android 2.2.x - FROYO oder höher

info Info

Die Benutzeroberfläche der Everywhere App by zenon steht nur in englischer Sprache zur Verfügung.


Installation

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Installation

Führen Sie folgende Schritte aus, um Everywhere App by zenon auf ihrem Gerät nutzen zu können:

  • Starten Sie den App-Store.
  • Geben Sie als Suchbegriff zenon oder Everywhere App ein.
  • Wählen Sie Everywhere App by zenon.

Tipp Tipp

Bei der Installation wird bereits ein Profil für ein Demo-Projekt mitinstalliert. So können Sie die Everywhere App by zenon auch dann testen, wenn Sie noch keine eigene Projektierung mit zenon vorgenommen haben.

Noch in diesem Kapitel

Hinweis für OEM-Nutzer


Hinweis für OEM-Nutzer

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Installation > Hinweis für OEM-Nutzer

info Info

Wählen Sie immer Everywhere App by zenon!
Die App wird für verschiedene Produkte eingesetzt.

Die Everywhere App by zenon ist kompatibel mit allen OEM-Projektierungen.


Everywhere App by zenon für MS Windows Phone

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone

Noch in diesem Kapitel

Anmeldung

Profilübersicht

Profile bearbeiten

Anlagenmodell

Anlagengruppen

Variablenauswahl

Wertansicht

Alarmliste

Alarme quittieren


Anmeldung

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Anmeldung

Der Anmeldebildschirm ermöglicht die Anmeldung an einen Everywhere Server by zenon und die Auswahl von Benutzerprofilen.

Parameter

Beschreibung

Profile

Name des gewählten Profils.

  • Tap auf den Profilnamen öffnet den Dialog zur Auswahl eines bestehenden Profils.
  • Tap auf den Profilnamen öffnet auch den Dialog zur Neuanlage eines Profils.

User name

Benutzername für die Anmeldung am Everywhere Server.

Password

Passwort für die Anmeldung am Everywhere Server.

Hinweis: Achten Sie bei der Eingabe auf Groß-/Kleinschreibung!

App-Leiste

login (Symbol >) | Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.
... | Erweitert die Darstellung der App-Leiste.


Profilübersicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Profilübersicht

Die Profilübersicht listet bestehende Profile und verwaltet diese.

Parameter | Beschreibung
Profilliste | Listet vorhandene Profile auf. Das aktuell ausgewählte Profil ist farblich gekennzeichnet. Tap auf das gewünschte Profil aktiviert das Profil und schaltet zum Anmeldebildschirm.

App-Leiste

Parameter | Beschreibung
edit (Bleistift-Symbol) | Bei Tap auf Symbol wechselt die Symboldarstellung von edit (Bleistift-Symbol) auf add (+ Symbol).
add (+ Symbol) | Bei Tap auf das Symbol edit steht das Symbol add zur Verfügung. Ein nochmaliger Tap öffnet den Bildschirm zum Konfigurieren eines Profils.
... | Erweitert die Darstellung der App-Leiste.

Um ein bestehendes Profil zu bearbeiten:

  • Tappen Sie das Edit-Symbol in der App-Leiste.
  • Tappen Sie ein bestehendes Profil aus der Liste.


Profile bearbeiten

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Profile bearbeiten

In diesem Bildschirm werden bestehende Profile geändert und neue Profile konfiguriert.

Parameter

Beschreibung

Profile name

Name des Profils:
Frei wählbar

Server host name

Name des Everywhere Servers, zu welchem eine Verbindung aufgebaut werden soll.

Port HTTPS

Port-Adresse für die Verbindung zum Everywhere Server.

Default: 8050

Project name

Projektname für die Verbindung zum Everywhere Server.

Display variables by:

Darstellung der Variablen.
Auswahl aus Dropdownliste:

  • Name
    Variablendarstellung nach Name
  • Identification
    Variablendarstellung nach Kennung
  • Res. Label
    Variablendarstellung nach Betriebsmittelkennung

Remember password:

(Schieberegler)

Passwort für Eingabe sichern. Die Einstellung wird auch als Text dargestellt:

  • OFF: (Schieberegler links und hell)
    Passwort für Anmeldung wird nicht in den Profileinstellungen gespeichert.
  • On: (Schieberegler rechts und dunkel)
    Passwort wird in den Profileinstellungen gespeichert.

Default: OFF

App-Leiste

Parameter | Beschreibung
Save (Symbol) | Speichert die aktuellen Einstellungen und kehrt zur Profilübersicht zurück.
Delete (Papierkorb-Symbol) | Löscht das ausgewählte Profil.
... | Erweitert die Darstellung der App-Leiste.


Anlagenmodell

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Anlagenmodell

Dieser Bildschirm zeigt das projektierte Anlagenmodell an.

Tap auf Anlagenmodellnamen schaltet zum nächsten Bildschirm mit der Auswahl der Anlagengruppen.

App-Leiste

Symbol | Beschreibung
continue (Symbol >) | Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.
logout (X-Symbol) | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.
... | Erweitert die Darstellung der App-Leiste.


Anlagengruppen

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Anlagengruppen

In diesem Bildschirm werden die projektierten Anlagengruppen aufgelistet und ausgewählt.

Tap auf den Anlagenmodellnamen schaltet zum nächsten Bildschirm mit der Auswahl der zugeordneten Variablen.

App-Leiste

Symbol | Beschreibung
continue (Symbol >) | Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.
logout (X-Symbol) | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.
... | Erweitert die Darstellung der App-Leiste.


Variablenauswahl

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Variablenauswahl

In diesem Bildschirm werden projektierte Variablen aus der ausgewählten Anlagengruppe aufgelistet und ausgewählt.

Listet aller verfügbaren Variablen. Auswahl der Variablen via Tap.

Hinweis: Mit der Erweiterten App-Leiste können alle Variablen ausgewählt oder abgewählt werden.

App-Leiste

Symbol | Beschreibung
continue (Symbol >) | Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.
logout (X-Symbol) | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.
... | Erweitert die Darstellung der App-Leiste.

Erweiterte App-Leiste

(nur sichtbar, wenn App-Leiste mit Tap auf ... erweitert wurde)

Schaltfläche | Beschreibung
select all variables | Aktiviert/Deaktiviert alle Variablen in der Liste.
clear variables | Zeigt neuen Bildschirm mit Detailansicht der gewählten Variable(n). Inaktiv, wenn keine Variable ausgewählt ist.


Wertansicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Wertansicht

Dieser Bildschirm visualisiert die Werte der gewählten Variablen. Es stehen zwei Ansichten zur Verfügung.

Variablenliste

Parameter

Beschreibung

Variablenliste

Liste der ausgewählten Variablen:

Tap auf die Variable wechselt zwischen "Normalansicht und "Detailansicht"

  • Normalansicht:
    Variablenname
    Variablenwert (numerisch)
    Variablenwert (Balkenanzeige)
  • Detailansicht:
    Variablenname
    Datum und Uhrzeit der letzten Aktualisierung
    Kommunikationsart
    Datentyp der Variable
    Wert mit Zeigerinstrumentdarstellung


Alarmliste

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Alarmliste

Dieser Bildschirm visualisiert anstehende Alarme in einer Liste. Alarme können via Tap auf den Alarmeintrag quittiert werden.

Alarme

Parameter

Beschreibung

Liste mit Alarmeinträgen

Liste der anstehenden Alarme:

  • Variablenname
    Wert
    Datum und Uhrzeit des Alarms
    Quittierter Alarm: Ja/Nein
    Gegangener Alarm: Ja/Nein

Ein Tap auf einen Alarmeintrag quittiert diesen Eintrag.

App-Leiste

...

Erweitert die Darstellung der App-Leiste.


Alarme quittieren

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für MS Windows Phone > Alarme quittieren

Ein Alarm kann durch Tap auf den Listeintrag quittiert werden.

Quittieren eines Alarms mit Everywhere App:

  1. Tappen Sie auf den Alarmeintrag im Alarmbildschirm.
  2. Ein Dialog wird geöffnet.
  3. Tappen Sie Yes, wenn Sie den Alarm quittieren möchten.
  4. No bricht den Quittierungsdialog ab

Nach der Quittierung werden beim Eintrag für den Alarm (Acknowledged:) Datum und Uhrzeit der Quittierung angezeigt.


Everywhere App by zenon für iPhone und iPad

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad

Noch in diesem Kapitel

Anmeldung

Profilübersicht

Profile bearbeiten

Anlagenmodell

Anlagengruppen und Variablen

Variablenauswahl

Wertansicht

Alarmliste

Alarme quittieren


Anmeldung

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Anmeldung

Der Anmeldebildschirm ermöglicht die Anmeldung an einen Everywhere Server by zenon und die Auswahl von Benutzerprofilen.

Parameter | Beschreibung
Profilname | Name des gewählten Profils.
(Pfeilsymbol) | Öffnet den Bildschirm Profilübersicht.
Username | Benutzername für die Anmeldung am Everywhere Server.
Passwort | Passwort für die Anmeldung am Everywhere Server.
Login (Schaltfläche) | Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.

Hinweis: Achten Sie bei der Eingabe auf Groß-/Kleinschreibung!


Profilübersicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Profilübersicht

Die Profilübersicht listet bestehende Profile und verwaltet diese.

Parameter | Beschreibung
< Back | Schaltet zurück zum Anmeldebildschirm
Edit | Schaltet die Liste der vorhandenen Profile in den Bearbeitungsmodus Hinweis: wurde die Schaltfläche Edit geklickt wird diese als + Symbol dargestellt. In der Liste der konfigurierten Profile wird ein weißes - in einem roten Kreis vorangestellt. (Durch Klick auf einen Profilnamen öffnet sich der Bildschirm zum Bearbeiten der Profile.)
> (Symbol) | Öffnet den Bildschirm zum Bearbeiten der Profile.
Profilname | Liste der bereits konfigurierten Profile

Neues Profil anlegen

  • Zum Neuanlegen eines Profils drücken sie die Schaltfläche +

Bearbeitung eines Profils

Um in den Bearbeitungsmodus eines Profils zu wechseln:

  • Tappen Sie auf das Symbol >, rechts neben dem Profilnamen.


Profile bearbeiten

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Profile bearbeiten

In diesem Bildschirm werden bestehende Profile geändert und neue Profile konfiguriert.

Parameter

Beschreibung

Cancel

Bricht die Eingabe ab und kehrt zur Profilübersicht zurück.

Save

Sichert die Eingabe und kehrt zur Profilübersicht zurück.

Profile name

Name des Profils:
Frei wählbar

Server

Name des Everywhere Servers, zu welchem eine Verbindung aufgebaut werden soll.

HTTPS Port

Port-Adresse für die Verbindung zum Everywhere Server.

Default: 8050

Project

Projektname für die Verbindung zum Everywhere Server.

Display variables by:

(Symbolleiste)

Darstellung der Variablen.
Auswahl aus Dropdownliste:

  • Name
    Variablendarstellung nach Name
  • Identification
    Variablendarstellung nach Kennung
  • Res. Label
    Variablendarstellung nach Betriebsmittelkennung

Remember password:

(Schieberegler)

Passwort für Eingabe sichern:

  • OFF: (Schieberegler links und hell)
    Passwort für Anmeldung wird nicht in den Profileinstellungen gespeichert
  • On: (Schieberegler rechts und dunkel)
    Passwort wird in den Profileinstellungen gespeichert

Default: OFF


Anlagenmodell

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Anlagenmodell

Dieser Bildschirm zeigt das projektierte Anlagenmodell an.

Parameter | Beschreibung
Logout | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.
Projektname | Liste der verfügbaren Projekte am Everywhere Server
> (Symbol) | Öffnet den Bildschirm zur Auswahl des Anlagenmodells.


Anlagengruppen und Variablen

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Anlagengruppen und Variablen

Dieser Bildschirm listet verfügbare Anlagengruppen des gewählten Anlagemodells sowie die dazugehörigen Variablen.

Kopfzeile

Parameter | Beschreibung
Back | Kehrt zum vorigen Bildschirm zurück. Hinweis: Wischen nach rechts kehrt ebenfalls zum vorigen Bildschirm zurück.
Logout | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.

EQUIPMENT GROUPS

Parameter | Beschreibung
Liste der Anlagengruppen |
> (Symbol) |

Variables

Parameter | Beschreibung
Variablenliste | Liste der verfügbaren Variablen. Auswahl/Abwahl durch einfachen Tap. Ausgewählte Variablen sind durch ein blaues Häkchen gekennzeichnet.

Fußzeile

Parameter | Beschreibung
Select/Deselect all | Aktiviert/Deaktiviert alle Variablen in der Liste.
Show Details | Zeigt neuen Bildschirm mit Detailansicht der gewählten Variable(n). Inaktiv, wenn keine Variable ausgewählt ist.


Variablenauswahl

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Variablenauswahl

In diesem Bildschirm werden projektierte Variablen aus der ausgewählten Anlagengruppe aufgelistet und ausgewählt.

Kopfzeile

Parameter | Beschreibung
Back | Kehrt zum vorigen Bildschirm zurück. Hinweis: Wischen nach rechts kehrt ebenfalls zum vorigen Bildschirm zurück.
Logout | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.

Variables

Parameter | Beschreibung
Variablenliste | Liste der verfügbaren Variablen. Auswahl/Abwahl durch einfachen Tap. Ausgewählte Variablen sind durch ein blaues Häkchen gekennzeichnet.

Fußzeile

Parameter | Beschreibung
Select/Deselect all | Aktiviert/Deaktiviert alle Variablen in der Liste.
Show Details | Zeigt neuen Bildschirm mit Detailansicht der gewählten Variable(n). Inaktiv, wenn keine Variable ausgewählt ist.


Wertansicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Wertansicht

Dieser Bildschirm visualisiert die Werte der gewählten Variablen. Es stehen zwei Ansichten zur Verfügung.

Kopfzeile

Parameter | Beschreibung
Back | Kehrt zum vorigen Bildschirm zurück. Hinweis: Wischen nach rechts kehrt ebenfalls zum vorigen Bildschirm zurück.
Logout | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.

Variablenübersicht

Parameter

Beschreibung

Variablenliste

Liste der ausgewählten Variablen:

  • Normalansicht:
    Variablenname
    Variablenwert (numerisch)
    Variablenwert (Balkenanzeige)
  • Detailansicht:
    Variablenname
    Datum und Uhrzeit der letzten Aktualisierung
    Kommunikationsart
    Datentyp der Variable
    Wert mit Zeigerinstrumentdarstellung

Fußzeile

Parameter | Beschreibung
Values (Symbol) | Schaltet zur Wertedarstellung der Variablen. Blau hinterlegt wenn aktiv.
Alarms (Symbol) | Schaltet zur Darstellung der Alarme. Blau hinterlegt wenn aktiv.


Alarmliste

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Alarmliste

Dieser Bildschirm visualisiert anstehende Alarme in einer Liste. Alarme können via Tap auf den Alarmeintrag quittiert werden.

Alarme

Parameter

Beschreibung

Liste mit Alarmeinträgen

Liste der anstehenden Alarme:

  • Variablenname
    Wert
    Datum und Uhrzeit des Alarms
    Quittierter Alarm: Ja/Nein
    Gegangener Alarm: Ja/Nein

Ein Tap auf einen Alarmeintrag quittiert diesen Eintrag.

Fußzeile

Parameter | Beschreibung
Values (Symbol) | Schaltet zur Wertedarstellung der Variablen. Blau hinterlegt wenn aktiv.
Alarms (Symbol) | Schaltet zur Darstellung der Alarme. Blau hinterlegt wenn aktiv.


Alarme quittieren

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für iPhone und iPad > Alarme quittieren

Ein Alarm kann durch Tap auf den Listeintrag quittiert werden.

Quittieren eines Alarmes mit Everywhere App:

  1. Tappen Sie auf den Alarmeintrag im Alarmbildschirm.
  2. Ein Dialog wird geöffnet.
  3. Tappen Sie Yes, wenn Sie den Alarm quittieren möchten.
  4. No bricht den Quittierungsdialog ab

Nach der Quittierung werden beim Eintrag für den Alarm (Acknowledged:) Datum und Uhrzeit der Quittierung angezeigt.


Everywhere App for Desktop

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop

Noch in diesem Kapitel

Anmeldung

Profilübersicht

Profile bearbeiten

Anlagenmodell und Anlagengruppen

Variablenauswahl

Wertansicht

Alarmliste

Alarme quittieren


Anmeldung

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Anmeldung

Der Anmeldebildschirm ermöglicht die Anmeldung an einen Everywhere Server by zenon und die Auswahl von Benutzerprofilen.

Parameter

Beschreibung

Profile

Name des gewählten Profils.

  • Tap oder Linksklick öffnet die Dropdownliste zur Auswahl eines bestehenden Profils.

User name

Benutzername für die Anmeldung am Everywhere Server.

Password

Passwort für die Anmeldung am Everywhere Server.

login

(Symbol)

Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.

Hinweis: Achten Sie bei der Eingabe auf Groß-/Kleinschreibung!

App-Leiste

Parameter | Beschreibung
edit (Bleistift-Symbol) | Tap oder Linksklick öffnet den Bildschirm zum Konfigurieren eines Profils.


Profilübersicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Profilübersicht

Die Profilübersicht listet bestehende Profile und verwaltet diese.

Navigation

<-
(Symbol)

Wechselt zum vorangegangenen Bildschirm.

Parameter

Beschreibung

Profilliste

Listet vorhandene Profile auf.

  • Das aktuell ausgewählte Profil ist grafisch hervorgehoben.
  • Tap oder Linksklick auf das gewünschte Profil wählt das Profil aus.
  • Tappen oder Klicken Sie das Edit-Symbol um das gewählte Profil zu bearbeiten.

App-Leiste

Parameter | Beschreibung
Edit (Bleistift-Symbol) | Schaltet das ausgewählte Profil in den Bearbeitungsmodus.
Add (+ Symbol) | Legt ein neues Profil an.
Delete (Papierkorb-Symbol) | Löscht das ausgewählte Profil.
Save (Disketten-Symbol) | Sichert Änderungen im ausgewählten Profil. Hinweis: Inaktiv, wenn kein Profil bearbeitet wird.
Reset (X-Symbol) | Verwirft alle Eingaben. Hinweis: Inaktiv, wenn kein Profil bearbeitet wird.

Um ein bestehendes Profil zu bearbeiten:

  • Tappen oder klicken Sie auf ein bestehendes Profil aus der Liste.
  • Tappen oder klicken Sie das Edit-Symbol in der App-Leiste.


Profile bearbeiten

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Profile bearbeiten

In diesem Bildschirm werden bestehende Profile geändert und neue Profile konfiguriert.

Navigation

<-
(Symbol)

Wechselt zum vorangegangenen Bildschirm.

Parameter

Beschreibung

Profile name

Name des Profils:
Frei wählbar

Server host name

Name oder IP-Adresse des Everywhere Servers, zu welchem eine Verbindung aufgebaut werden soll.

Port HTTPS

Port-Adresse für die Verbindung zum Everywhere Server.

Default: 8050

Project name

Projektname für die Verbindung zum Everywhere Server.

Display variables by:

(Dropdownliste)

Darstellung der Variablen.
Auswahl aus Dropdownliste:

  • Name
    Variablendarstellung nach Name
  • Identification
    Variablendarstellung nach Kennung
  • Res. Label
    Variablendarstellung nach Betriebsmittelkennung

Remember password:

(Schieberegler)

Passwort für Eingabe sichern. Die Einstellung wird auch als Text dargestellt:

  • OFF: (Schieberegler links und hell)
    Passwort für Anmeldung wird nicht in den Profileinstellungen gespeichert
  • On: (Schieberegler rechts und dunkel)
    Passwort wird in den Profileinstellungen gespeichert

Default: OFF

App-Leiste

Parameter | Beschreibung
Edit (Bleistift-Symbol) | Schaltet das ausgewählte Profil in den Bearbeitungsmodus.
Add (+ Symbol) | Legt ein neues Profil an.
Delete (Papierkorb-Symbol) | Löscht das ausgewählte Profil.
Save (Disketten-Symbol) | Sichert Änderungen im ausgewählten Profil.
Reset (X-Symbol) | Verwirft alle Eingaben.


Anlagenmodell und Anlagengruppen

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Anlagenmodell und Anlagengruppen

Dieser Bildschirm zeigt das projektierte Anlagenmodell an. Nach Auswahl eines Anlagenmodells werden die dazugehörigen Anlagengruppen angezeigt.

Durch Auswahl einer Anlagengruppe wird die dazugehörige Hierarchie angezeigt.
Enthält eine ausgewählte Gruppe Variablen, wechselt die Ansicht zum Bildschirm der Variablenübersicht.

App-Leiste

Logout
(geöffnetes Schloss Symbol)

Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.


Variablenauswahl

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Variablenauswahl

In diesem Bildschirm werden projektierte Variablen aus der ausgewählten Anlagengruppe aufgelistet und ausgewählt.

Auswahl der Variablen via Tap oder Linksklick.

<- (Symbol) | Wechselt zum vorangegangenen Bildschirm.
-> (Symbol) | Wechselt zum nächsten Bildschirm.
All | Aktiviert/Deaktiviert alle Variablen.
Show only selected | Nur die ausgewählten Variablen werden im Bildschirm der Variablenansicht angezeigt. Inaktiv, wenn nicht mindestens eine Variable ausgewählt ist.

App-Leiste

Logout
(geöffnetes Schloss Symbol)

Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.


Wertansicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Wertansicht

Dieser Bildschirm visualisiert die Werte der gewählten Variablen. Es stehen zwei Ansichten zur Verfügung.

Auswahl der Variablen via Linksklick oder Tap.

<- (Symbol) | Wechselt zum vorangegangenen Bildschirm.
-> (Symbol) | Wechselt zum nächsten Bildschirm.

Variablenliste

Parameter

Beschreibung

Variablendarstellung

Tap oder Linksklick auf die Variable wechselt zwischen "Normalansicht und "Detailansicht"

  • Normalansicht:
    Variablenname
    Variablenwert (numerisch)
    Variablenwert (Balkenanzeige)
    Min, max und Unit
  • Detailansicht:
    Variablenname
    Datum und Uhrzeit der letzten Aktualisierung
    Kommunikationsart
    Datentyp der Variable
    Wert in numerischer Darstellung
    Wert mit Zeigerinstrumentdarstellung

App-Leiste

Logout
(geöffnetes Schloss Symbol)

Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.


Alarmliste

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Alarmliste

Dieser Bildschirm visualisiert anstehende Alarme in einer Liste. Alarme können via Tap auf den Alarmeintrag quittiert werden.

Auswahl der Alarme via Tap oder Linksklick.

<-
(Symbol)

Wechselt zum vorangegangen Bildschirm.

Alarme

Parameter

Beschreibung

Liste mit Alarmeinträgen

Liste der anstehenden Alarme:

  • Variablenname
    Wert
    Datum und Uhrzeit des Alarms
    Quittierter Alarm: Ja/Nein
    Gegangener Alarm: Ja/Nein

Mit Tap oder Linksklick auf einen Alarmeintrag kann dieser Alarm quittiert werden.

App-Leiste

Logout
(geöffnetes Schloss Symbol)

Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.


Alarme quittieren

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App for Desktop > Alarme quittieren

Ein Alarm kann durch Tap auf den Listeintrag quittiert werden.

Quittieren eines Alarmes mit Everywhere App for Desktop:

  1. Tappen oder Klicken Sie auf den Alarmeintrag im Alarmbildschirm.
  2. Ein Dialog wird geöffnet.
  3. Tappen oder Klicken Sie Yes, wenn Sie den Alarm quittieren möchten.
  4. No bricht den Quittierungsdialog ab

Nach der Quittierung werden beim Eintrag für den Alarm (Acknowledged:) Datum und Uhrzeit der Quittierung angezeigt.


Everywhere App by zenon für Android

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android

Noch in diesem Kapitel

Selbstsignierte Zertifikate

Anmeldung

Profilübersicht

Profile bearbeiten

Anlagenmodell und Anlagengruppen

Variablenauswahl

Wertansicht

Alarmliste und Alarme quittieren


Selbstsignierte Zertifikate

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Selbstsignierte Zertifikate

Ab Android Version 4.4 können selbstsignierte Zertifikate verwendet werden. Für Versionen davor dürfen nur offizielle Zertifikate eingesetzt werden. Für den Einsatz von Zertifikaten muss mindestens Version 4.03 verwendet werden.

Für jedes Profil kann ein am Gerät installiertes Zertifikat ausgewählt und verknüpft werden. Beim Aufbau einer Verbindung wird dieses Zertifikat benutzt. In diesem Fall ersetzt der Everywhere TrustManager den Android TrustManager. für genau dieses Profil und nur diese Anwendung. Das beeinflusst nicht die Sicherheit anderer Apps und ersetzt auch nicht den Standard Android TrustManager.

Selbstsigniertes Zertifikat verwenden

Um ein selbstsigniertes Zertifikat zu verwenden:

  1. Stellen Sie sicher, dass das gewünschte Zertifikat am Gerät installiert wurde. Informationen zum Erstellen und Verteilen von selbstsignierten Zertifikate finden Sie im Handbuch Everywhere Server by zenon, Kapitel Everywhere - Certificate creator.
  2. Öffnen Sie die Profileinstellungen.
  3. Tippen Sie auf die Schaltfläche Browse.

    Der Dateimanager wird zur Auswahl einer Zertifikatsdatei geöffnet.

  4. Navigieren Sie zum gewünschten Zertifikat.

    Hinweis: Es werden alle Dateitypen angezeigt. Es werden aber nur CER-kodierte Zertifikatsdateien (*.cer oder *.crt) akzeptiert.

  5. Wählen Sie das Zertifikat aus.

    Wird eine Datei nicht akzeptiert, erhält der Benutzer eine entsprechende Information.
    Wurde ein korrektes Zertifikat erkannt, dann wird es übernommen und der Auswahldialog wird geschlossen.

Das installierte Zertifikat wird im Profil angezeigt.


Anmeldung

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Anmeldung

Der Anmeldebildschirm ermöglicht die Anmeldung an einen Everywhere Server by zenon und die Auswahl von Benutzerprofilen.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
Action Overflow (Symbol: drei senkrechte Punkte) | Klick auf Schaltfläche öffnet Dropdownliste der Aktionen.
Edit current profile | Öffnet den Bildschirm zum Konfigurieren eines Profils.
Quit | Beendet die App und schaltet zum Startbildschirm des Android-Gerätes zurück.

Parameter | Beschreibung
Profile | Name des gewählten Profils. Tap auf den Profilnamen öffnet den Dialog zur Auswahl eines bestehenden Profils.
Username | Benutzername für die Anmeldung am Everywhere Server.
Password | Passwort für die Anmeldung am Everywhere Server.
Login | Meldet die App am Everywhere Server an und wechselt zum nächsten Bildschirm.

Hinweis: Achten Sie bei der Eingabe auf Groß-/Kleinschreibung!

App-Leiste

Symbol | Beschreibung
zurück (Symbol: geschwungener Pfeil nach links) | Wechselt zum vorangegangen Bildschirm der App.
Home (Symbol: Haus) | Beendet die App und schaltet zum Startbildschirm des Android-Gerätes zurück.
nn (Symbol: überlagernde Bildschirme) | Übersicht der zuletzt auf dem Gerät geöffneten Apps.

info Info

Die App-Leiste ist auf allen Bildschirmen in Aussehen und Funktionalität gleich. Sehr oft ist diese Leiste in die Hardware eines Android-Gerätes bereits integriert. In diesem Falle wird keine App-Leiste angezeigt.


Profilübersicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Profilübersicht

Die Profilübersicht listet bestehende Profile und verwaltet diese.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
< (Symbol) | Schaltet einen Bildschirm zurück.
+ (Symbol) | Erstellt neues Profil und schaltet zum Profil bearbeiten-Bildschirm.

Parameter

Beschreibung

Profilliste

Listet vorhandene Profile auf.

Ein langer Klick auf einen Eintrag öffnet ein Kontextmenü:

  • Edit profile
    Schaltet zum Profil bearbeiten-Bildschirm. Ermöglicht Änderungen eines bestehenden Profils.
  • Delete profile
    Löscht gewähltes Profil

Tap auf das gewünschte Profil aktiviert das Profil und schaltet zum Anmeldebildschirm.

Um ein bestehendes Profil zu bearbeiten:

  • Tappen Sie ein bestehendes Profil aus der Liste.
    Achtung: Achten Sie darauf, den Listeintrag lange zu tappen.
  • Wählen Sie in dem erscheinenden Kontextmenü den Eintrag Edit profile.
  • Sie wechseln in den Bildschirm Profile bearbeiten.


Profile bearbeiten

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Profile bearbeiten

In diesem Bildschirm werden bestehende Profile geändert und neue Profile konfiguriert.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
< (Symbol) | Schaltet einen Bildschirm zurück.
Save (Diskettensymbol) | Speichert die aktuellen Einstellungen und kehrt zum Bildschirm zum Bearbeiten der Profile zurück.

Parameter

Beschreibung

Profile name

Name des Profils:
Frei wählbar

Server host name

Name des Everywhere Servers, zu welchem eine Verbindung aufgebaut werden soll.

Port HTTPS

Port-Adresse für die Verbindung zum Everywhere Server.

Default: 8050

Project name

Projektname für die Verbindung zum Everywhere Server.

Display variables by:

Darstellung der Variablen.
Auswahl aus Dropdownliste:

  • Name
    Variablendarstellung nach Name
  • Identification
    Variablendarstellung nach Kennung
  • Res. Label
    Variablendarstellung nach Betriebsmittelkennung

Remember password:

(Checkbox)

Passwort für Eingabe sichern. Die Einstellung wird auch als Text dargestellt:

  • inaktiv:
    Passwort für Anmeldung wird nicht in den Profileinstellungen gespeichert.
  • aktiv:
    Passwort wird in den Profileinstellungen gespeichert.

Default: nicht aktiv.

Zertifikat

Anzeige Zertifikat

Browse

Öffnet den Dateibrowser zur Auswahl eines Zertifikats.


Anlagenmodell und Anlagengruppen

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Anlagenmodell und Anlagengruppen

Dieser Bildschirm zeigt das projektierte Anlagenmodell an. Ein Tap auf ein Anlagenmodell zeigt die darin enthaltenen Anlagengruppen. Tap auf einen Anlagengruppennamen schaltet zum nächsten Bildschirm mit der Auswahl der zugeordneten Variablen.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
< (Symbol) | Schaltet einen Bildschirm zurück.
Logout: (Symbol: geschwungener Pfeil nach Links) | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.

Parameter | Beschreibung
[Name Anlagengruppe] | Für eine leichtere Orientierung wird - je nach Auswahl - entweder der Anlagenmodellname oder der Anlagengruppenname in oranger Textfarbe über der Liste angezeigt.
Liste der projektierten Anlagengruppen oder Variablen. | Listet vorhandene Profile auf: Klick auf den Anlagengruppenname schaltet zur Übersicht der projektierten Anlaggengruppen. Klick auf einen Anlagengruppennamen schaltet zur Variablenübersicht und listet alle in der Anlagengruppe projektieren Variablen in einer Liste auf.


Variablenauswahl

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Variablenauswahl

In diesem Bildschirm werden projektierte Variablen aus der ausgewählten Anlagengruppe aufgelistet und ausgewählt.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
< (Symbol) | Schaltet einen Bildschirm zurück.
Favoriten (Symbol Stern) | Fügt die gewählte(n) Variable(n) zur Liste der Favoriten hinzu.
Favoriten löschen (Symbol Mistkübel) | Löscht alle Variablen aus der Favoritenliste.
Action Overflow (Symbol: drei senkrechte Punkte) | Klick auf Schaltfläche öffnet Dropdownliste der Aktionen.
Display favorites | Zeigt alle Variablen der Favoritenliste in einer Liste.
Display variables | Zeigt alle aktivierten Variablen der ausgewählten Anlagengruppe in einer Liste. Zum Aktivieren einer Variable ist die Checkbox in der rechten Spalte zu aktivieren.
Logout | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.
Display all | Wählt alle gelisteten Variablen aus. Dies wird durch ein blaues Häckchen in der Checkbox neben dem Variablennamen visualisiert.


Wertansicht

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Wertansicht

Dieser Bildschirm visualisiert die Werte der gewählten Variablen. Es stehen zwei Ansichten zur Verfügung.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
< (Symbol) | Schaltet einen Bildschirm zurück.
Logout: (Symbol: geschwungener Pfeil nach Links) | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.

Variablenliste

Parameter

Beschreibung

Variablenliste

Liste der ausgewählten Variablen:

Ein Klick auf die Variable wechselt zwischen "Normalansicht und "Detailansicht"

  • Normalansicht:
    Variablenname
    Variablenwert (numerisch)
  • Detailansicht:
    Variablenname
    Variablenwert
    Minimum- und Maximumwert
    Wert in Balkendarstellung


Alarmliste und Alarme quittieren

Handbuch > Mobile Anwendungen für zenon > Everywhere App by zenon > Everywhere App by zenon für Android > Alarmliste und Alarme quittieren

Die Alarme sind direkt in die Wertansicht der Variablen integriert. Liegt ein Alarm vor, wird im Bildschirm der Wertansicht ein Warnzeichen neben der Variable angezeigt.

Ein Langer Klick auf den Variableneintrag öffnet den dazugehörigen Alarmeintrag. Der Alarm kann dann im Folgedialog bestätigt werden.

Aktionsleiste - Aktionsbuttons

Parameter | Beschreibung
< (Symbol) | Schaltet einen Bildschirm zurück.
Logout: (Symbol: geschwungener Pfeil nach Links) | Beendet Verbindung mit dem Server und kehrt zum Anmeldebildschirm zurück.

Alarme

Parameter | Beschreibung
Liste mit Alarmeinträgen | Dem Variablennamen wird das Wort Alarms_ vorangestellt. Ein langer Tap auf einen Alarmeintrag öffnet den Dialog zum Quittieren eines Alarms.

Dialog Alarm bestätigen

Parameter

Beschreibung

Variablenname

Name der Variable mit anstehendem Alarm.
Dem Variablenname wird das Wort "Alarm_" vorangestellt.

Wert

Wert der Variable.

Aknowledged:

Alarm bestätigt:

  • No:
    Alarm wurde noch nicht bestätigt
  • Yes:
    Alarm wurde bereits bestätigt

Default: No

Hinweis: Dieses Feld ist nicht änderbar.

Clear

Alarm gegangen:

  • No:
    Alarmzustand tritt immer noch auf.
  • Yes:
    Alarmzustand tritt nicht mehr auf.

Default: No

Hinweis: Dieses Feld ist nicht änderbar.

Cancel

Schliesst den Dialog und kehrt zur Wertansicht der Variablen zurück.

Acknowledge

Bestätigt Alarm und schließt den Dialog.

Quittieren eines Alarms mit Everywhere App:

  1. Klicken Sie lange auf den Alarmeintrag in der Werteansicht.
  2. Ein Dialog wird geöffnet.
  3. Klicken Sie Acknowledge, wenn Sie den Alarm quittieren möchten.
  4. Cancel bricht den Quittierungsdialog ab

Nach der Quittierung werden beim Eintrag für den Alarm (Acknowledged:) Datum und Uhrzeit der Quittierung angezeigt.


Everywhere Server by zenon

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon

Der Everywhere Server by zenon dient zur Visualisierung von Echtzeitdaten einer zenon Projektierung auf Smartphones, Tablets und Desktop-Geräten.

Er läuft im Kontext der zenon Runtime und wird in der zenon6.ini konfiguriert. Für die Konfiguration muss kein Zusatzprogramm gestartet werden.

info Info

Als Clients können alle Geräte, die das OData-Protokoll unterstützen, verwendet werden.

Zusätzlich zu Ihrer Programmierung wird für Smartphones, Tablets und Desktop-Geräte eine App zur Verfügung gestellt.

Diese Apps stehen kostenlos in den jeweiligen App Stores zur Verfügung.

Noch in diesem Kapitel

Lizenzierung

Voraussetzungen

Datensicherheit

Konfiguration

CEL-Einträge

Datenmodell des Everywhere Servers


Lizenzierung

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Lizenzierung

Der Everywhere Server holt sich die Lizenz von der Runtime. Verfügt die Runtime über keine entsprechende Lizenz, kann der Everywhere Server nicht genutzt werden. Das kann dazu führen, dass zwar die Runtime läuft, der Everywhere Server jedoch auf Grund fehlender Lizenzen nicht gestartet werden kann.


Voraussetzungen

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Voraussetzungen

Um den Server für die Verwendung mit mobilen Anwendungen zu nutzen, müssen folgende Voraussetzungen erfüllt sein:

  • zenon ab Version 7.11
  • Im Projekt müssen Benutzer projektiert sein.
    Details zur Benutzerverwaltung lesen Sie im Kapitel Benutzerverwaltung.
  • Für die Kommunikation via HTTPS muss auf dem Server und dem Client der entsprechende Port freigeschalten sein. Per Default ist dies Port 8050.
  • Auf dem Rechner, auf dem der Everywhere Server by zenon läuft, muss auch die zenon Runtime laufen.
    Dieser Rechner/Server muss zumindest im internen Netzwerk erreichbar sein.

Voraussetzung für den Einsatz von Everywhere App by zenon

Folgende Voraussetzungen müssen nur dann erfüllt sein, wenn das zenon Projekt mit der Everywhere App by zenon visualisiert wird:

  • Im Projekt muss ein Anlagenmodell projektiert sein.
    Variablen können ab zenon 7.11 in jeder Ebene verknüpft werden.
    Details zur Konfiguration eines Anlagenmodells lesen Sie im Kapitel Anlagenmodellierung.
  • Auf dem Rechner, auf dem der Everywhere Server by zenon läuft, muss auch die zenon Runtime laufen.
    Wird die Everywhere App nur in einem internen Netzwerk verwendet, wird keine Internetverbindung benötigt.
    Tipp: Wenn der Everywhere Server by zenon von Extern erreichbar sein soll, wird dringend empfohlen eine VPN-Verbindung zu verwenden sowie den Everywhere Server by zenon und den Rechner mit dem Publishing Dienst in eine DMZ zu platzieren.
    Dieser Rechner muss dann auch über eine öffentliche IP-Adresse verfügen. Beachten Sie in diesem Falle, auf der Firewall für Ihr Netzwerk strikte Regeln zu definieren.
    Achtung: 192.168.xxx.xxx ist keine öffentliche Adresse!

info Info

Zusätzliche Sicherheitshinweise finden Sie im zenon Hardening Guide. Bei Interesse an diesem Handbuch wenden Sie sich an support@copadata.com.


Datensicherheit

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datensicherheit

Durch die Verwendung des Transport-Layer-Security-Verschlüsselungsprotokolls (TLS) ist eine sichere Datenübertragung via HTTPS gewährleistet. Die Identität des Servers wird vom Client überprüft. Damit werden Integrität, Ursprung und Ziel der Datenübertragung sichergestellt.

Übersicht der Kommunikation

  • Der Everywhere Server by zenon verwendet ein Serverzertifikat.
    Ohne Serverzertifikat wird der Everywhere Server nicht gestartet. Dieses Serverzertifikat wir mit dem Tool Everywhere - Certificate creator.exe erstellt.
    Sind mehrere Server im Einsatz, können pro Server eigene Serverzertifikate verwendet werden.
  • Das Serverzertifikat basiert auf einem Stammzertifikat.
    Sind mehrere Server im Einsatz, können pro Server eigene Serverzertifikate verwendet werden.
    Dabei haben diese Serverzertifikate ihren Ursprung in demselben Stammzertifikat.
    Vorteil: verschiedene Server können mit einem einzigen Stammzertifikat am Client abgerufen werden.
  • Das Stammzertifikat kann zugekauft oder selber erstellt werde.
    Stammzertifikate werden auch Rootzertifikate oder SLL-Zertifikate genannt.
    Tipp: Wird ein Stamm- oder SSL-Zertifikat von einem Anbieter zugekauft, entfällt die Installation auf dem Client. Diese Zertifikate werden bereits bei der Installation des Betriebssystems mitinstalliert.


Konfiguration

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration

Der Everywhere Server by zenon ist in die zenon Runtime integriert. Es muss kein zusätzliches Programm gestartet werden. Die notwendigen Einstellungen werden direkt in der zenon6.ini vorgenommen.

Tipp Tipp

Alle .Ini-Einträge können auch mit dem Programm Everywhere.Config.exe gemacht werden. Dieses Programm bietet eine grafische Benutzeroberfläche. Die Konfigurationen werden auch in die zenon6.ini übernommen.

zenon6.ini-Einträge:

  • Öffnen Sie die zenon6.ini in einem Texteditor.
    Hinweis: Die zenon6.ini finden Sie unter folgendem Pfad %ProgramData%\COPA-DATA\System
  • Fügen sie die Einträge des Servers ein:

Eintrag

Beschreibung

[EVERYWHERE]

Konfiguration der globalen Eigenschaften für den Everywhere Server.

CERTIFCATE=

Serverzertifikat Subject für HTTPS

Betreff des Zertifikats. Das Zertifikat muss im Machine Store im Knoten MY (Eigene Zertifikate) gespeichert sein.

z.B.: CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1: Der Everywhere Server wird mit der zenon Runtime gestartet.
  • 0: Der Everywhere Server wird nicht gestartet.

Default: 0

PORT=

HTTPS-Port für die Kommunikation mit dem Everywhere Server

Default: 8050

WRITE_ACCESS=
  • 0: Nur lesender Zugriff über Everywhere Server möglich.
  • 1: Ermöglicht das Schreiben von Variablen und das Quittieren von Alarmen.

Default: 0

Zum Lesen der INI-Dateien werden systembedingt nur ANSI und Unicode unterstützt.

attention Achtung

UTF-8 Speicherformat wird nicht unterstützt!

Sichern Sie ihre INI-Dateien deshalb immer als Textdatei im ANSI- oder Unicode-Format.

Tipp Tipp

Weitere Informationen zu den .Ini-Einträgen finden Sie im Handbuch Konfigurationsdateien.

Noch in diesem Kapitel

Konfiguration mit Everywhere.Config.exe

Benutzerberechtigung

Everywhere - Certificate creator

Rootzertifikat erstellen

Zertifikat am Client

Zertifikat zum Download anbieten

Zertifikate


Konfiguration mit Everywhere.Config.exe

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Konfiguration mit Everywhere.Config.exe

Die Konfiguration der .ini-Einträge für den Everywhere Server kann auch über das Programm Everywhere.Config.exe gemacht werden. Dieses Programm finden Sie im Ordner C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

Info

Das Programm Everywhere.Config.exe steht nur in englischer Sprache zur Verfügung.

Ein Doppelklick auf das Programm startet den Konfigurationsdialog:

Parameter | Beschreibung
Enable Everywhere server | Bei aktiver Checkbox startet der Everywhere Server by zenon beim Start der zenon Runtime. Default: inaktiv Hinweis: Ist diese Checkbox nicht aktiv sind alle anderen Einstellungen ebenfalls inaktiv und ausgegraut.
Enable Everywhere write access | Aktiviert den schreibenden Zugriff auf Variablen und Alarme (Quittierung) durch den Server. 0: nur lesender Zugriff 1: Schreiben von Variablen und quittieren von Alarmen möglich Default: 0
HTTPS port: | HTTPS Port, der vom Everywhere Server by zenon verwendet wird. Default: 8050
Server certificate | Serverzertifikat für die HTTPS Kommunikation. Dieses kann in der Dropdownliste ausgewählt werden. Diese Dropdownliste beinhaltet alle verfügbaren Zertifikate. Hinweis: Das Zertifikat muss einen privaten Key beinhalten. Ist kein Serverzertifikat ausgewählt, wird der Everywhere Server nicht gestartet! Zertifikate können mit dem Tool Everywhere.CertificateCreator.exe erstellt werden.
Add | Durch Klick auf die Schaltfläche wird das Programm Everywhere.CertificateCreator.exe geöffnet. Dieses Programm wird zur Erstellung eigener Serverzertifikate verwendet. Der Eintrag in der Dropdownliste basiert auf den Friendly name von Everywhere.CertificateCreator.exe
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.

Hinweis: Diese Konfigurationen werden in der zenon6.ini gespeichert.
Weitere Information über diese .ini-Einträge finden Sie im Handbuch Konfigurationsdateien im Kapitel Everywhere Server [EVERYWHERE].

attention Achtung

Die Konfiguration gilt für alle zenon Installationen auf einem Rechner.


Benutzerberechtigung

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Benutzerberechtigung

Die Zuordnung von projektierten Benutzerberechtigungen ist via zenon6.ini-Datei oder im zenon Editor möglich.

Im Editor:

  • Klicken Sie den Knoten Arbeitsbereich
  • Wählen Sie die Eigenschaftengruppe Everywhere Server
  • Wählen Sie aus der Dropdownliste Berechtigungsebene die Berechtigungsebene, welche Zugang zum Everywhere Server haben soll.

info Info

Berechtigungsebene 0 bedeutet Schreibe- und Leserechte für alle Benutzer.

Weitere Informationen finden Sie im Handbuch Benutzerverwaltung, im Kapitel Berechtigungsebenen.

INI-Eintrag:

Um die Ebene der Benutzerberechtigung für den Everywhere Server zu konfigurieren ist die zenon6.ini-Datei um folgenden Eintrag zu erweitern:

Eintrag | Beschreibung
[PASSWORD] | Konfiguration der Zugangsberechtigungen für Everywhere Server.
EVWH_ACCESS= | Berechtigungsebene, welche Zugang zum Everywhere Server hat. Wert: Nummer des projektierten Berechtigungslevels Default: 0 (= jeder hat Zugang)


Everywhere - Certificate creator

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Everywhere - Certificate creator

Der Everywhere - Certificate creator wird zur Erstellung neuer Serverzertifikate verwendet. Zertifikate sind für die gesicherte Kommunikation zwischen Client und Server erforderlich. Dieses Programm finden Sie im Ordner %Program Files (x86)%\Common Files\COPA-DATA\STARTUP.

info Info

Android-Apps vor Version 4.4 erlauben keine selbstsignierten Zertifikate. Für die Kommunikation auf diesen Android-Geräten dürfen nur offizielle Zertifikate verwendet werden.
Ab Version 4.4 könne auch über den Everywhere Server by zenon signierte Zertifikate verwendet werden.

Um das Programm zu starten, führen Sie einen Doppelklick auf Everywhere.CertificateCreator.exe aus. Ein Konfigurationsdialog wird geöffnet:

Parameter | Beschreibung
Server certificate |
Host name resp. IP address | Name oder IP-Adresse, über die von den Clients auf den Everywhere Server zugegriffen wird. Dies ist entweder die IP-Adresse oder der Name des Rechners auf welchem der Service läuft, oder die Adresse/Name der Firewall/Router, welche den Rechner mit dem Internet verbindet.
Additional subject attributes | Zusätzliche Attribute für das Zertifikat (optional). (e.g. O=Firma, L=Ort, C=AT)
Friendly name | Name für die Anzeige im Programm Everywhere.Config.exe.
Issuer (Authority certificate) | Ausstellerzertifikat oder Zertifikat, welches zur Beglaubigung des Serverzertifikats verwendet werden soll. Die vorhandenen Zertifikate werden in der Dropdownliste angezeigt. Der Eintrag in der Dropdownliste basiert auf den Friendly name vom Dialog Create root certificat.
Add private CA certificate | Öffnet Dialog zur Konfiguration des Rootzertifikats. Hinweis: Das Rootzertifikat ist zwingender Bestandteil des Serverzertifikats!
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.

attention Achtung

Für die Ausführung dieses Programmes werden Administratorrechte benötigt.


Rootzertifikat erstellen

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Rootzertifikat erstellen

Für die gesicherte Kommunikation zwischen Server und Mobile Devices wird auf dem mobilen Endgerät ein Rootzertifikat installiert. Damit wird sichergestellt, dass das Endgerät auch tatsächlich mit dem angegebenen Server verbunden ist.

info Info

Android-Apps vor Version 4.4 erlauben keine selbstsignierten Zertifikate. Für die Kommunikation auf diesen Android-Geräten dürfen nur offizielle Zertifikate verwendet werden.
Ab Version 4.4 könne auch über den Everywhere Server by zenon signierte Zertifikate verwendet werden.

Um ein eigenes Rootzertifikat zu erstellen:

  • Klicken Sie im Everywhere - Certificate creator auf die Schaltfläche Add private CA certificate.
  • Der Konfigurationsdialog wird geöffnet:
Parameter |  | Beschreibung
Subject |  |
Common name (CN) | Allgemeiner Name Default: CA for Everywhere Server
Organization (O) |  | Firmenname Default: Company
Organizational unit (OU) |  | Name der Organisationseinheit (Abteilungsname) Default: Department
Locality (L) |  | Ortsname Default: Salzburg
State (ST) |  | Bundeslands- oder Bezirksname Default: Salzburg
Country (C) |  | Ländername Default: AT
Additional settings |  | Zusätzliche Informationen
Friendly name |  | Kurzname Default: CA for Everywhere server
OK |  | Übernimmt die Änderungen und öffnet den Speicherdialog zum Sichern des Stammzertifikats.
Cancel |  | Verwirft alle Änderungen und schließt den Dialog.

info Info

Der Everywhere - Certificate creator erstellt Signaturen mit dem sha256 Hash Algorithmus.


Zertifikat am Client

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Zertifikat am Client

Auf dem Client wird das Zertifikat geprüft. Wurde dieses Zertifikat nicht mittels eines Stammzertifikats einer allgemein bekannten Authority (= Kaufzertifikat) erstellt, muss das verwendete Zertifikat am Client installiert werden.

info Info

Android-Apps vor Version 4.4 erlauben keine selbstsignierten Zertifikate. Für die Kommunikation auf diesen Android-Geräten dürfen nur offizielle Zertifikate verwendet werden.
Ab Version 4.4 könne auch über den Everywhere Server by zenon signierte Zertifikate verwendet werden.

Installation eines Zertifikats am Client

Nicht beglaubigte Zertifikate müssen am Client installiert werden, damit diese akzeptiert werden.

Für die Installation führen Sie folgende Schritte durch:

  1. Stellen Sie das exportierte Zertifikat (.cer Datei) auf einem Webserver oder FTP-Server zur Verfügung.
    Eine genaue Anleitung dazu erhalten Sie im Kapitel Zertifikat zum Download anbieten.
  2. Öffnen Sie dieses Zertifikat am Client über den Browser.

Alternativ kann es auch als Anhang per E-Mail gesendet und am Client geöffnet werden.


Zertifikat zum Download anbieten

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Zertifikat zum Download anbieten

Für verschlüsselte Verbindungen wird ein Zertifikat am Client benötigt. Diese Anleitung beschreibt, wie dieses Zertifikat zum Herunterladen bereitgestellt wird.

  1. IIS Installieren (optional)
    Installieren Sie - falls noch nicht vorhanden - die Internet Information Services.
    Öffnen Sie dazu auf dem Rechner die Systemsteuerungen:
    1. Klicken Sie auf Start und dann auf Systemsteuerung.
    2. Klicken Sie in der Systemsteuerung auf Programme und dann auf Windows-Features aktivieren oder deaktivieren.
      Der Dialog zur aktivierung der Windows-Features wird geöffnet.
    3. Klicken Sie im Dialog Windows-Features auf Internetinformationsdienste.
    4. Aktivieren Sie die Checkbox WWW-Dienste.
      Aktivieren Sie die entsprechenden Dienste in den Unterknoten.
  2. Beenden Sie die Aktivierung mit Klick auf den Button OK.
    Die ausgewählten Komponenten werden installiert.

    Hinweis: Wenn Sie IIS über die Systemsteuerung installieren, erhalten Sie die Standardinstallation mit einer minimalen Anzahl von Features. Wenn Sie zusätzliche IIS-Features benötigen, z. B. Anwendungsentwicklungsfeatures oder Webverwaltungstools, müssen Sie im Dialogfeld Windows-Funktionen die Kontrollkästchen für diese Features aktivieren.
    Weitere Informaten erhalten Sie auch im Handbuch zenon Web Server, im Kapitel Publishing Dienst Installation.
  3. Zertifikat kopieren
    Kopieren Sie das Everywhere Zertifikat (Beispielname: Certificate.cer) in den IIS Root Ordner.
    Pfad: C:\inetpub\wwwroot
  4. Erstellung einer index.html
    Erstellen Sie zusätzlich eine Seite index.html. Fügen Sie nachstehenden HTML-Code in das Dokument ein:
    <!DOCTYPE html>
    <html>
    <head>
    <title>Certificate download</title>
    </head>
    <body>
    <a href="Certificate.cer"><font size="5">Click to download the certificate.</font></a>
    </body>
    </html>
    Hinweis: Passen Sie den Namen des Zertifikates an. In diesem Beispiel ist der Zertifikatname Certificate.cer.
  5. MIME-Type im IIS Konfigurieren
    Fügen Sie im IIS-Manager den neuen MIME-Typ .cer hinzu:
    1. Öffnen Sie das Programm Internet Information Services (IIS) Manager.
    2. Wechseln Sie im Knoten des Managers auf den Knoten Ihres Rechners.
    3. Wählen Sie in der Gruppe IIS das Eigenschaftensymbol MIME Types:
      Der Dialog zur Konfiguration der MIME-Typen wird geöffnet.
    4. Wählen Sie im Kontextmenü den Eintrag Add...
      Der Dialog Add Mime Type wird geöffnet.
    5. Geben Sie im Eingabefeld File name extension: .cer ein.
    6. Geben Sie im Eingabefeld MIME-type: application/octet-stream ein.

Danach kann das Zertifikat einfach über den Browser heruntergeladen werden.

Installations Skript für IIS

Durch dieses Skript erhalten Sie die vollständige IIS 7.5-Installation mit allen verfügbaren Featurepaketen. Wenn Sie bestimmte Featurepakete nicht benötigen, sollten Sie das Skript so bearbeiten, dass nur die benötigten Pakete installiert werden.

start /w pkgmgr /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-ManagementScriptingTools;IIS-ManagementService;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-LegacySnapIn;IIS-FTPPublishingService;IIS-FTPServer;IIS-FTPManagement;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI


Zertifikate

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Konfiguration > Zertifikate

Um den Everywhere Server by zenon korrekt zu installieren, führen Sie folgende Schritte durch:

  1. Starten Sie das Programm Everywhere.Config.exe.
  2. Aktivieren Sie die Checkbox Enable Everywhere server.
  3. Tragen Sie den korrekten Port im Eingabefeld Port (HTTPS) ein.
  4. Wählen Sie ein Serverzertifikat aus der Dropdownliste Server certificate.

Erstellen eines Serverzertifikates

Um ein Serverzertifikat zu erstellen:

  1. Klicken Sie im Programm Everywhere.Config.exe die Schaltfläche Add um das Programm Everywhere - Certificate creator zu starten.
  2. Füllen Sie die Eingabefelder mit Ihren Angaben aus.
  3. Vergeben Sie einen Friendly name.
  4. Wählen Sie aus der Dropdownliste Issuer (Authority certificate) ein SLL-Zertifikat aus.

info Info

Android-Apps vor Version 4.4 erlauben keine selbstsignierten Zertifikate. Für die Kommunikation auf diesen Android-Geräten dürfen nur offizielle Zertifikate verwendet werden.
Ab Version 4.4 könne auch über den Everywhere Server by zenon signierte Zertifikate verwendet werden.

Erstellen eines Rootzertifikats (SLL-Zertifikats)

Kaufen Sie bei einem Anbieter für SLL-Zertifikate ein Zertifikat.
Dadurch wird die Installation am Client überflüssig, da gängige Zertifikatsanbieter bereits am Endgerät per Default installiert sind.
Suchen Sie im Internet nach "SLL Zertifikate". Anbieter sind z.B.:

  1. GoDaddy (http://www.godaddy.com)
  2. VeriSign (http://www.verisign.com)
  3. CAcert (http://wiki.cacert.org/FAQ/AboutUs)

Alternativ dazu erstellen Sie Ihr eigenes Rootzertifikat:

  1. Klicken Sie im Programm Everywhere - Certificate creator die Schaltfläche Add private CA certificate
  2. Füllen Sie die Eingabefelder mit Ihren Angaben aus.
  3. Vergeben Sie einen Friendly name.
  4. Klicken Sie die Schalftläche OK.
  5. Es erscheint der Dialog zum Speichern des SLL-Zertifikats.
  6. Benennen Sie Ihr SLL-Zertifikat und speichern Sie es.

info Info

Dieses gespeicherte Stammzertifikat ist jenes Zertifikat, welches auf dem Client installiert werden muss.


CEL-Einträge

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > CEL-Einträge

Bei der Anmeldung über den Everywhere Server wird ein CEL-Eintrag erzeugt, wenn

  • die gesendeten Anmeldedaten über die Runtime geprüft werden.

    Dies geschieht:
    • Bei der ersten Anfrage eines Clients.
    • Alle 5 Minuten
    • Immer vor einer Schreibanfrage, wenn seit der letzten Prüfung mehr als eine Sekunde vergangen ist.

Für nicht quittierte Variablen, Alarme und CEL-Einträge wird eine inkrementelle Übertragung von Wertänderungen unterstützt.

LOG-Einträge:

Fehler Level

Beschreibung

Level Error

Fehler, die bei der Ausführung des Everywhere Servers auftreten.

Jedoch keine Fehler, die mit der Ausführung von Clientanfragen zu tun haben.

Level Warning

Fehler, die bei der Ausführung des Everywhere Server auftreten

Jedoch keine Fehler, die mit der Ausführung von Client-Anfragen zu tun haben.

Level Success

Erfolgreich ausgeführte Client-Anfragen, welche zu einer Veränderung des internen Zustands des Everywhere Servers oder der zenon Runtime führen.

Level Failed
  • Fehler bei der Ausführung von Clientanfragen
  • Fehler bei Überprüfung der Anmeldedaten

Level Msg

Status des Everywhere Servers:

  • Start/Stopp
  • Erfolgreiches Erzeugen von Sessions
  • Beenden der Sessions

Level Debug

Eingehende und ausgehende Anfragen mit

  • Session-ID,
  • URI (Uniform Resource Identifier)
  • Methode und Status

Level Deep Debug

Status des Everywhere Servers sowie eingehende und ausgehende Anfragen, zusammengefasst in einem Eintrag (Level Msg + Level Debug).


Datenmodell des Everywhere Servers

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers

Als Schnittstelle für die Einbindung von Daten in Ihre eigene Webapplikation wird das Open Data Protocol (= OData) verwendet. Dieses Protokoll ist ein "WCF-Data-Service".

Dieser Datendienst ist ein sogenanntes "RESTful services" (REpresentational State Transfer Architecture – REST). In diesem sind nur Methoden zur Manipulation oder Abfrage des Datenmodels definiert (CRUD – Create – Read – Update – Delete).

Da sich diese Methoden mit den HTTP-Kommandos decken (GET, PUT, POST, DELETE), können Datendienste sehr gut über das HTTP-Protokoll implementiert werden. Dabei wird das gewünschte Objekt über die URL identifiziert und die Operation über das jeweilige HTTP-Kommando.

Tipp Tipp

PUT, CREATE und DELETE müssen auf verschiedene Instanzen "zeigen".
Weitere Infos finden Sie in der offiziellen ODATA-Onlinedokumentation.
Link: http://www.odata.org/documentation/odata-version-2-0/operations/

Die Daten sind, ähnlich wie bei einer relationalen Datenbank, in Tabellen organisiert. Für die Abfrage von Daten können Filterkriterien definiert werden (vergleichbar mit einer SQL-Query-Abfrage).

Hinweis: Abweichend von traditionellen Datenservices, wird im Everywhere Service ein sessionabhängiges Datenmodell verwendet werden. Dies bedeutet, dass das Datenmodell - abhängig von der Session - unterschiedliche Daten enthalten kann.

info Info

Das Everywhere Service ist ein WCF-Data-Service.
Details und umfassende Dokumentation des OData Services: www.odata.org.

Noch in diesem Kapitel

Datenmodell - Statische Projektdaten

Datenmodell - sich ändernde Projektdaten

Abfrage von Archiven

Abruf des Datenmodells via Web Browser

Beispiele

App auf einem mobilen Gerät (Android) nutzen


Datenmodell - Statische Projektdaten

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Datenmodell - Statische Projektdaten

EquipmentModels (Collection)

  • Typ: Everywhere.Service.Data.ZenonEquipmentModel
    • Name (string)
    • Guid (string, key)
    • EquipmentGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)

EquipmentGroups (Collection)

  • Typ: Everywhere.Service.Data.ZenonEquipmentGroup
    • Guid (string, key)
    • Name (string)
    • ParentGroup (Everywhere.Service.Data.ZenonEquipmentGroup)
    • ChildGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)
    • Model (Everywhere.Service.Data.ZenonEquipmentModel)

Variables (Collection)

  • Typ: Everywhere.Service.Data.ZenonEquipmentModel
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • MinimumValue (Real)
    • MaximumValue (Real)
    • Unit (String)
    • ResourcesLabel (String)
    • Identification (String)
    • Name (String)
    • Id (int, key)

AlarmClasses (Collection)

  • Typ: Everywhere.Service.Data.ZenonAlarmClass
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

AlarmGroups (Collection)

  • Typ: Everywhere.Service.Data.ZenonAlarmGroup
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

Archives (Collection)

  • Typ: Everywhere.Service.Data.ZenonArchive
    • Id (String, key)
    • Name (String)
    • Values (Collection, Everywhere.Service.Data.ZenonArchiveValue)

ArchiveValues (Collection)

  • Typ: Everywhere.Service.Data.ZenonArchiveValue
    • ArchiveId (String, key)
    • VariableName (String)
    • Timestamp (Int64, Unixtime [ms], key)
    • Type (int, key, None = 0, Sum = 1, Average = 2, Min = 3, Max = 4)
    • Value (string)
    • VariableId (int, key)


Datenmodell - sich ändernde Projektdaten

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Datenmodell - sich ändernde Projektdaten

Untenstehend finden Sie das Datenmodell für sich aktualisierende Werte.

Alarms (Collection)

  • Typ: Everywhere.Service.Data.ZenonAlarm
    • Deleted (bool)
    • Acknowledged (bool, writeable)
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • ReactivateNumber (int)
    • ReactivateStatus (Int64)
    • ReactivateTime (Int64, Unixtime [ms])
    • TimeAcknowledged (Int64, Unixtime [ms])
    • TimeCleared (Int64, Unixtime [ms])
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string, writeable)
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • AlarmStatus (int)
    • Cookie (int)
    • Id (int, key)

Example Beispiel

Die Eigenschaften "Acknowledged" und "Comment" können genutzt werden, um einen Alarm in zenon zu quittieren oder einen Kommentar zu hinterlegen.

Diese Eigenschaften können dann mit dem "PUT"- oder "MERGE"-Befehl an den Server übertragen werden.

CEL (Collection)

  • Typ: Everywhere.Service.Data.ZenonEvent
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string )
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Cookie (int)
    • Id (int, key)

OnlineVariables (Collection)

  • Typ: Everywhere.Service.Data.ZenonOnlineVariable
    • Id (int, key)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Status (Int64)
    • Timestamp TimeReceived (Int64, Unixtime [ms])
    • Value (string, writeable)

Example Beispiel
  • Um Variablen neu anzumelden, muss eine neue Instanz in der Collection erstellt werden. Dies geschieht mit dem CREATE-Befehl.
    Mit DELETE wird diese Registrierung wieder entfernt.
  • Zur Identifikation, der auf dem Client erzeugten Online-Variable, muss deren ID festgelegt werden. Diese ID entspricht der ID der zenon Variable, deren Werte abgefragt werden sollen.
    PUT oder MERGE schreibt einen Wert auf eine Variable.


Abfrage von Archiven

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Abfrage von Archiven

Archivvariablen können nur aus dem jeweiligen eigenen Projekt des Everywhere Servers abgefragt werden. Projektübergreifende Variablen werden nicht unterstützt.

Hinweis zur Abfrage von Archivwerten:

Um Archivdaten abzufragen müssen bei der Serveranfrage folgende Eigenschaften mitgegeben werden:

  • Archiv-ID
  • Startzeit
  • Endzeit

attention Achtung

Werte ohne Angabe dieser Filterkriterien können nicht abgefragt werden.

Beispiele:

  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/ArchiveValues?$format=json&$filter=ArchiveId%20eq%20%27FI%27%20and%20Timestamp%20gt%201377690800000L%20and%20Timestamp%20lt%201377690862000L
  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Archives%28%27FI%27%29/Values?$format=json&$filter=Timestamp%20gt%201379934601375L%20and%20Timestamp%20lt%201379934601377L%20and%20VariableName%20eq%20%27BodyShop1.Actual%27


Abruf des Datenmodells via Web Browser

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Abruf des Datenmodells via Web Browser

Das Datenmodell des Everywhere Servers kann in einem Web Browser angezeigt werden. Damit können Sie sich schnell einen Überblick verschaffen und erste Programmier-Zeilen testen.

Für den Abruf eines Datenmodells verwenden Sie Mozilla Firefox oder Google Chrome (empfohlen).

Achtung: Der Microsoft Internet Explorer unterstützt nicht die volle Funktionalität!

URI-Adresse

https://Serveradresse oder DNS-Name:Portnummer\zendata\Projektname

Parameter | Beschreibung
https:// | URI-Schema des WWW-Kommunikationsprotokolls. https: steht für das sichere Übertragungsprotokoll Hypertext Transfer Protocol Secure
Serveradresse oder DNS-Name | IP-Adresse oder DNS-Namen des Everywhere Servers.
: | : (Doppelpunkt) Trennt die Serveradresse von der Portnummer.
Portnummer | Portnummer für die Kommunikation, wie im Everywhere Server konfiguriert.
zendata | Konstante: ist immer zendata
Projektname | Name der zenon-Projektierung.

Example Beispiel

https://89.26.13.1:8050/zendata/Demo_Automotive

Noch in diesem Kapitel

Anmeldung zum Datenmodell


Anmeldung zum Datenmodell

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Abruf des Datenmodells via Web Browser > Anmeldung zum Datenmodell

Ist eine Anmeldung im gesicherten Modus (https://) nicht möglich, erscheint ein Warnhinweis im Browser.
Dieser Warnhinweis kann durch Klick auf die jeweilige Schaltfläche (Chrome: "Trotzdem fortfahren", Firefox: "Ich kenne das Risiko") überspringen werden. Die Kommunikation wird dann ungesichert erfolgen.

Der Login-Dialog erscheint:

Benutzername:

Der Benutzername ist gleichzeitig die Session-ID. Diese Session-ID setzt sich zusammen aus:

Zeitstempel|Geräte-ID|Benutzername

Parameter

Beschreibung

Zeitstempel

32-Bit-Zeitstempel der Session:

  • UTC Unix-Time
    (UTF8 kodiert: 8stelliger HEX-String)
  • muss 8stellig sein

|

Pipe-Zeichen
Alt GR-Taste und <-Taste

Geräte-ID

ID des Endgerätes (Mobile-Device, ...) - Normalerweise UUID. Die Geräte-ID ist geräteabhängig und muss eindeutig sein.

|

Pipe-Zeichen
Alt GR-Taste und <-Taste

Benutzername

Benutzername, wie in zenon projektiert. Achten Sie bei der Eingabe auf Groß- und Kleinschreibung.
Hinweis: Der Benutzername darf keinen Doppelpunkt enthalten.

Example Beispiel

538497B4|550e8400-e29b-11d4-a716-446655440000|Manager

Kennwort:

Das Kennwort setzt sich zusammen aus

Übermittlungsart des Passworts und Passwort

Parameter

Beschreibung

Übermittlungsart des Passworts

Art, wie das Kennwort übertragen wird:

  • =
    (Gleich-Zeichen )
    unverschlüsselt
  • +
    (Plus-Zeichen)
    Verschlüsselt

Hinweis: Dem Passwort muss unbedingt die Übermittlungsart (= oder +) vorangestellt werden. Anderenfalls schlägt die Anmeldung zum Datenmodell fehl!

Passwort

Kennwort, wie in zenon projektiert.

Hinweis: Achten Sie bei der Eingabe auf Groß- und Kleinschreibung.

Example Beispiel

+Manager
Verschlüsselte Kommunikation mit dem Everywhere Server - Anmeldung mit dem Kennwort Manager.


Beispiele

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Beispiele

Hier finden Sie einige Code-Beispiele. Diese Beispiele sollen zeigen, wie Werte vom Server erneuert werden können.
Hinweis: Die Beispiele verwenden als Programmiersprache Java.

Noch in diesem Kapitel

Code-Beispiel - Anmeldung am Server

Beispiele für die Browseranzeige

Code-Beispiel - Instanzen vom Server abrufen

Code-Beispiel - OEntity Objekte vom Server abrufen

Weitere Code-Beispiele


Code-Beispiel - Anmeldung am Server

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Beispiele > Code-Beispiel - Anmeldung am Server

Code-Beispiel für die Anmeldung an einen Everywhere Server:

// get authentication information from the user interface

String userName = arg0[0].getString("UserName");

String password = arg0[0].getString("Password");

String server = arg0[0].getString("Server");

String project = arg0[0].getString("Project");

String port = arg0[0].getString("Port");

Date curTime = new Date();

// full username -> as described

String fullUserName = Long.toHexString(curTime.getTime())+"|"; // 8 digit hex timestamp

fullUserName = fullUserName + Settings.Secure.ANDROID_ID +"|";

fullUserName = fullUserName + userName;

// set the authentication to basic https (OClientBehaviour from odata4j)

OClientBehavior authBehavior = OClientBehaviors.basicAuth(fullUserName, "=" + password);

OClientBehavior allowSelfSignedBehavior = AllowSelfSignedCertsBehavior.allowSelfSignedCerts();

// Consumer declaration: private ODataConsumer consumer;

// here the url to the server has to be inserted

// we have https:"the server IP or name":Portnumber(for HTTPS 8050)/zendata(fixed)/Projectname

consumer = ODataConsumers.newBuilder("https://"+server+":"+port+"/zendata/"+project).setClientBehaviors

(authBehavior, allowSelfSignedBehavior).build();


Beispiele für die Browseranzeige

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Beispiele > Beispiele für die Browseranzeige

Via Browser können Sie sich Ihre zenon Projektierung in einem Browser anzeigen lassen.
Hinweis: Die hier abgebildeten Web-Adressen beziehen sich auf das Demoprojekt des Everywhere Servers.

Datenmodell - Übersicht

Um eine vereinfachte Übersicht Ihres Datenmodells in Ihrem Browser anzuzeigen, geben Sie folgende URI in den Browser ein:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE

Datenmodell - Detailübersicht

Die nachstehende URI listet das gesamte Datenmodell:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/$metadata

Anzeige der Variablen

Eine Übersicht aller Variablen erhalten sie mit der URl:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json

Variablenanzeige mit Filterung

Die Variablenanzeige ist filterbar. Die untenstehende Adresse zeigt die Variable mit der ID 321

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json&$filter=Id%20eq%20321

Hinweis: Eine genaue Beschreibung aller Filter entnehmen Sie der OData Online-Dokumentation. Diese Dokumentation finden Sie im Internet unter der Adresse www.odata.org.


Code-Beispiel - Instanzen vom Server abrufen

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Beispiele > Code-Beispiel - Instanzen vom Server abrufen

Alarme empfangen

Das Beispiel zeigt, wie Alarme erneuert werden. In gleicher Weise kann dieser Syntax auch für die anderen Datentypen angewendet werden.

private class RequestPollAlarmsTask extends ConnectionTask{

public RequestPollAlarmsTask(EverywhereConnectionHandler handler) {

super(handler);

}

@Override

protected Void doInBackground(Bundle... arg0) {

try {

lock.acquire();

} catch (InterruptedException e1) {

// TODO Auto-generated catch block

e1.printStackTrace();

}

int updateIntervall = arg0[0].getInt("Intervall");

String filter = arg0[0].getString("Filter");

try

{

// Consumer declaration: private ODataConsumer consumer;

// alarms declaration: private Enumerable <OEntity>

alarms = consumer.getEntities("Alarms").expand("Variable").execute();

isConnected=true;

}

catch (Exception e)

{

isConnected=false;

connectionException=e;

}

lock.release();

return null;

}


Code-Beispiel - OEntity Objekte vom Server abrufen

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Beispiele > Code-Beispiel - OEntity Objekte vom Server abrufen

Dieses Beispiel zeigt, wie die Information von einem OEntity-Objekt vom Server abgerufen werden kann. Diese Daten können damit für die Anwenderprogrammierung übernommen werden. Außerdem zeigt dieses Beispiel, wie Eigenschaften von einem Datenobjekt abgerufen werden.

/**

*

* @param position: Object at which position of the entityset should be returned

* @return the finished Item Alarm for the Listt of Alarms

*/

protected Alarm GetAlarmFromEntity(int position) {

Alarm retAlarm = new Alarm();

// We use position as listItemId. Here we could use some other unique id

// to reference the list data

ListView listViewAlarms = (ListView)findViewById(R.id.Alarmlist);

OEntity var = alarms.elementAt(position).getLink("Variable", OLink.class).getRelatedEntity();

int EntityItemCnt= alarms.count();

OProperty<String> varName = var.getProperty("Name", String.class);

OProperty<String> alarmText = alarms.elementAt(position).getProperty("Text", String.class);

String Header = varName.getValue() + " - " + alarmText.getValue();

// Body data

Bundle bodyBundle = new Bundle();

OProperty<?> alarmValue = alarms.elementAt(position).getProperty("Value");

String timeReceived = alarms.elementAt(position).getProperty("TimeReceived").getValue().toString();

String timeCleared = alarms.elementAt(position).getProperty("TimeCleared").getValue().toString();

String Acknowledged = alarms.elementAt(position).getProperty("Acknowledged").getValue().toString();

Date date = new java.util.Date(Long.parseLong(timeReceived));

String dateString = new SimpleDateFormat("dd.MM.yyyy HH:mm").format(date);

retAlarm.setAlarmName(varName.getValue());

retAlarm.setTimeReceived(dateString);

retAlarm.setValue(alarmValue.getValue().toString());

retAlarm.setAcknowledged(Acknowledged);

retAlarm.setCleared(timeCleared);

retAlarm.setAlmText(alarmText.getValue());

return retAlarm;

}


Weitere Code-Beispiele

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > Beispiele > Weitere Code-Beispiele

Weitere Beispiele für die Programmierung mit OData finden sich im Internet.

Das angegebene Beispiel zeigt, wie Informationen eine OEntity-Objektes vom Server zum Endgerät abgefragt werden können. Weiters zeigt dieses Beispiel wie Eigenschaften eines Datenobjektes empfangen werden.

Link: https://github.com/vorburger/odata4j/tree/master/odata4j-core/src/test/java/org/odata4j

attention Achtung

Diese Internetseite wird im Internet Explorer nicht angezeigt!


App auf einem mobilen Gerät (Android) nutzen

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > App auf einem mobilen Gerät (Android) nutzen

Um Ihre eigenen Anwendungen auf einem mobilen Endgerät (Android) zu nutzen, kompilieren Sie diese mit dem Programm Eclipse.
Eclipse ist ein Programmierwerkzeug zur Entwicklung von Software und wurde ursprünglich als integrierte Entwicklungsumgebung für die Programmiersprache Java genutzt.

info Info

Eclipse steht kostenlos als Download zur Verfügung.

Installation:

Um Eclipse für Ihre Entwicklungsarbeit nutzen zu können, installieren Sie das Programm inklusive dem Android Developer Bundle.

Auf dem Entwicklungsrechner müssen folgende Komponenten installiert sein:

  • Das Android Developer Bundle
    Das Android Developer Bundle steht im Internet kostenlos zur Verfügung.
    Link zum Installer: http://developer.android.com/sdk/index.html
    Wichtig ist, dass auf dem Desktop-Gerät der korrekte Treiber zum Mobil-Gerät installiert ist. Anderenfalls ist keine Kommunikation zwischen Entwicklungscomputer und Endgerät möglich.
  • Die Java Entwicklungs- und Runtimeumgebung
    Die Java-Entwicklungsumgebung (JRE) sowie die Java-Runtimeumgebung (JSE) müssen am Entwicklungsrechner installiert sein.

    JRE und JSE können direkt auf der Herstellerseite von Java heruntergeladen werden. Beide Umgebungen müssen gesondert installiert werden.
    Link zum Download: www.oracle.com/technetwork/java/javase/downloads/index.html
  • Benötigte Bibliotheken:
    Um OData in Eclipse nutzen zu können, binden Sie abschließend noch die passende Bibliothek für Ihre bevorzugte Entwicklungsumgebung in Eclipse ein.
    Bibliotheken zu den gängigen Programmiersprachen finden sie auf der OData-Internetseite. Wählen Sie Ihre gewünschte Programmiersprache in den angebotenen Registerkarten um zu den jeweiligen Downloads zu gelangen.
    Link zu den Bibliotheken: www.odata.org/libraries.

Noch in diesem Kapitel

Empfohlene Einstellungen der Eclipse Programmierumgebung


Empfohlene Einstellungen der Eclipse Programmierumgebung

Handbuch > Mobile Anwendungen für zenon > Everywhere Server by zenon > Datenmodell des Everywhere Servers > App auf einem mobilen Gerät (Android) nutzen > Empfohlene Einstellungen der Eclipse Programmierumgebung

Um Eclipse für mobile Endgeräte zu konfigurieren führen Sie folgende Schritte durch:

  1. Wählen Sie in der Menüleiste Run den Menüeintrag Run configurations....
  2. Es erscheint der Konfigurationsdialog für eine neue Run-Konfiguration.
  3. Klicken Sie auf das Symbol New launch configuration.
  4. Im Baum Android Application wird der neuer Eintrag NEW_configuration hinzugefügt.
  5. Benennen Sie in der Registerkarte Android Ihr Android App-Projekt.
  6. Klicken Sie die Schaltfläche Browse... um Ihr Androidprojekt auszuwählen. Dieses wird dann auf das Mobilgerät übertragen.
  7. Verbinden Sie nun Ihr mobiles Endgerät mit dem Entwicklungsrechner.

  8. In der Registerkarte Target konfigurieren Sie Ihr Zielgerät.
  9. Stellen Sie sicher, dass die Eigenschaft Always prompt to pick device aktiviert ist.
    Hinweis: In diesem Falle werden Sie vor der Ausführung immer gefragt, auf welchem Gerät Ihre App ausgeführt werden soll.
  10. Starten Sie den Debug-Prozess
  11. Starten Sie die App.
    Hinweis: Für die restlichen Einträge wird empfohlen, die bestehenden Defaulteinstellungen zu belassen.
  12. Nach Klick auf die Schaltflächen Play oder Debug werden Sie aufgefordert, Ihr Endgerät oder Ihren Emulator auszuwählen, um das Programm zu starten.
  13. Anschließend wird die App automatisch auf dem Endgerät gestartet.


MS Azure

Handbuch > MS Azure

MS Azure ist die Bezeichnung für Online Plattform, auf der Cloud-Services gemietet werden können (Microsoft Azure Cloud). Dieser kann für zenon und zenon Analyzer verwendet werden.

MS Azure Service Bus Speicherarten

Die Verbindung kann zu einer Queue oder einem Event Hub erfolgen:

  • MS Azure Queues:
    • Process Gateway: In einer MS Azure Queue werden Daten in der Reihenfolge des Einlangens in den Speicher geschrieben. Die Queue wird beim Auslesen und entsprechend den Einstellungen wieder geleert. Daten landen immer in einer definierten Queue, aus der sie wieder ausgelesen werden können.
      Besteht beim Schreiben keine Internetverbindung, werden keine Daten geschrieben. Diese werden auch nicht zwischengespeichert oder später nachgetragen.
      Besteht beim Auslesen keine Internetverbindung, wird dies nicht angezeigt. Sobald wieder eine Verbindung existiert, werden alle in der Queue vorhandenen Daten ausgelesen und danach die Anzeige aktualisiert.
    • SQL Export: Daten werden in die Archive-Queue geschrieben. Der cloudbasierte Service Archive Worker schreibt die Daten in eine cloudbasierte SQL Datenbank. Besteht keine Internetverbindung, werden die Daten lokal im Runtime-Ordner zwischengespeichert und bei bestehender Verbindung im nächsten Exportzyklus hochgeladen.
  • MS Azure Event Hub:
    Ein MS Azure Event Hub schreibt einlangende Daten verteilt auf bis zu 16 Partitionen. Dieser Schreibvorgang ist schneller als das Schreiben in eine Queue. zenon kann über das Process Gateway Daten in einen MS Azure Event Hub schreiben, aber nicht daraus auslesen.

Verwendung in zenon

In zenon dient MS Azure als:

  • SQL-Auslagerungsort:
    zenon Archive können über SQL Export auch nach MS Azure ausgelagert werden.
  • Standortübergreifender Datenaustausch:
    Variablen können via Process Gateway in MS Azure Queues geschrieben werden.
    Mit dem zenon Treiber AzureDrv können sie wieder eingelesen werden. Dabei müssen in der Firewall keine extra Ports für die eingehenden Daten konfiguriert werden.
  • Datenablageort für Drittanwendungen:
    Das zenon Process Gateway kann Daten auch in MS Azure Event Hubs schreiben. Diese Daten können so für andere Anwendungen zur Verfügung gestellt werden. Sie können aber von zenon nicht erneut ausgelesen werden.

Verwendung in zenon Analyzer

Im zenon Analyzer kann eine MS Azure SQL Datenbank als Linked Server verwendet werden.

Noch in diesem Kapitel

Konfiguration MS Azure

Konfiguration in zenon

Archive SQL auslagern

Daten speichern und wieder einlesen

zenon Analyzer - Linked MS Azure Server


Konfiguration MS Azure

Handbuch > MS Azure > Konfiguration MS Azure

Die Konfiguration hängt ab von der Verwendung in zenon.

MS Azure

In diesem Abschnitt erhalten Sie Informationen zu Konfigurationsschritten in MS Azure bei der Verwendung von zenon. Informationen zur generellen Konfiguration von MS Azure und Datenbanken in MS Azure erhalten Sie von der Microsoft Hilfe zu MS Azure.

Für die Verwendung mit zenon benötigen Sie, je nach Nutzungsart, in MS Azure:

  • MS Azure SQL Server
  • eine zugewiesene Datenbank
  • den Servernamen und Connection String der Datenbank
  • den Namespace mit
    • Queues
      oder
    • Event Hubs
  • den Cloud Service Archive Worker

zenon Archive können nach MS Azure ausgelagert und wieder eingelesen werden. Das Einlesen kann auch über den zenon Analyzer erfolgen.
Um Archive auszulagern und wieder einlesen zu können:

  1. Legen Sie in MS Azure einen SQL Server und eine entsprechende Datenbank an, in der die Daten gespeichert werden sollen.

  2. Stellen Sie sicher, dass die Public IP des zugreifenden Rechners in den Allowed IP Adresses des Servers enthalten ist.

  3. In den Optionen der neu erstellten Datenbank finden Sie die Möglichkeit, den Connection String zu kopieren.
    Klicken Sie dazu auf View SQL Database connection strings.

    Diesen Connection String benötigen Sie später für die Konfigurationsdatei ServiceConfiguration.Cloud.cscfg.
    zenon benötigt den ADO.NET Connection String.

  4. Erstellen und konfigurieren Sie im Menü Service Bus einen neuen Namespace.
    Sie benötigen den Typ Messaging. Dieser kann nachträglich nicht mehr geändert werden.
    Es können danach weitere Shared Access Keys erstellt werden.
    Diesen Connection String benötigen Sie später für die Konfigurationsdatei ServiceConfiguration.Cloud.cscfg.

    Hinweis: Stellen Sie sicher, dass jeder Rechner, der in die Queue schreibt, über Schreibrechte verfügt.

  5. Konfigurieren Sie die Access Keys.
    Diesen Storage Account Name und den Access Key benötigen Sie später für die Konfigurationsdatei ServiceConfiguration.Cloud.cscfg.

  6. Erstellen Sie einen neuen Cloud Service.
    Dabei wird der Archive Worker erstellt.
    Die benötigten Dateien finden Sie im Ordner %ProgramData%\COPA-DATA\zenon8.00\CloudService.

  7. Erstellen Sie die gewünschte Queue oder den gewünschten Event Hub.

    Soll ein zenon Archiv ausgelagert werden, muss diese Queue den Namen archivequeue haben. Sie wird mit dem Archive Worker automatisch erstellt.
    Empfehlung: Nutzen Sie zur Konfiguration der zenon SQL-Auslagerung das mitgelieferte zenon Package (siehe Abschnitt Archive SQL auslagern).


Konfiguration in zenon

Handbuch > MS Azure > Konfiguration in zenon

Die Konfiguration in zenon oder zenon Analyzer hängt ab von der Aufgabe:

  • Archive SQL auslagern: zenon Archive werden per SQL nach MS Azure ausgelagert.
  • Daten speichern und wieder einlesen: Variablen werden über zenon Process Gateway in MS Azure in einer Queue oder einem Event Hub gespeichert. Daten aus einer Queue werden über den zenon AzureDrv Treiber wieder in zenon eingelesen.

In zenon benötigen Sie zur Konfiguration in der Regel folgende Angaben aus MS Azure:

  • Connection String (Server Verbindungsname)
  • Name Queue oder Event Hub
  • Passwort

Hinweis: Achten Sie darauf, dass die nötigen Ports in der Firewall freigegeben sind.
Standard: 1433


Archive SQL auslagern

Handbuch > MS Azure > Archive SQL auslagern

Um die Auslagerung von Archiven zu konfigurieren, steht am zenon Installationsmedium ein Konfigurationspaket zur Verfügung.
Pfad: %ProgramData%\COPA-DATA\zenon8.00\CloudService

Es enthält die Dateien:

  • AzureArchiveCloudService.cspkg (Paket)
  • ServiceConfiguration.Cloud.cscfg (Konfigurationsdatei)

Konfiguration:

  • Am MS Azure Server muss im Namespace eine Queue mit Namen archivequeue existieren.
  • In der zenon Konfigurationsdatei müssen eingetragen werden:
    • Pfad zum Service Bus (Connection String), in dem die Archive Queue automatisch angelegt wird
    • Connection String zur Azure SQL Datenbank
      Achtung: Passwort muss angegeben werden
    • ArchiveStorage und Diagnostics: Connection String zu einem Table Storage in MS Azure.
      Können auf den selben Table Storage zugreifen.
  • Konfiguration der SQL-Auslagerung in zenon
    • Registerkarte Speichern bei Archiveigenschaften:

      Schreiben: Eintrag des Connection Strings zum MS Azure Service Bus in der Option MS Azure-Dienstbus zum Schreiben verwenden.

      Lesen: Verbindung zur MS Azure Datenbank über Option SQL-Datenbank herstellen.

Noch in diesem Kapitel

SQL-Auslagerung in zenon


SQL-Auslagerung in zenon

Handbuch > MS Azure > Archive SQL auslagern > SQL-Auslagerung in zenon

Wird für die SQL-Auslagerung eines Archivs die Option MS Azure-Dienstbus zum Schreiben verwenden aktiviert, dann werden alle Archivwerte in die Azure Service Bus Queue mit dem Namen archivequeue eingefügt. Diese muss im MS Azure-Namespace der konfigurierten Verbindung existieren. Der MS Azure-Verbindungsname wird in das Eingabefeld unter der Option eingegeben.

Konfiguration

In MS Azure muss eine Instanz eines AzureZenonArchiveWorker Cloud-Dienstes laufen, der die Archivwerte aus der Queue mit dem Namen archivequeue entgegen nimmt und in das MS Azure SQL-Storage einfügt. Das Tabellenformat entspricht dem der klassischen SQL-Auslagerung eines Archivs.

Der Cloud-Dienst muss manuell mit dem Deployment-Packet AzureArchiveCloudService.cspkg über die MS Azure-Konfigurationsoberfläche angelegt werden. Das Paket finden Sie im Ordner %ProgramData%\COPA-DATA\zenon8.00\CloudServices.

Einstellungen:

  • Zenon.ArchiveServiceBus.ConnectionString: Entspricht dem MS Azure-Verbindungsnamen in der Archivkonfiguration.
  • Zenon.ArchiveSQLServer.ConnectionString: Gibt den Verbindungsnamen für das Ziel MS Azure SQL-Storage an.
  • Umgebung: Produktion
  • Auch dann bereitstellen, wenn für eine oder mehrere Rollen nur einen Instanz vorhanden ist: aktivieren
  • Bereitstellung starten: aktivieren

Ablauf

Das Auslesen der Archivdatendaten erfolgt via OLEDB-Verbindung und SQL SELECT-Statement. Der OLEDB Verbindungsname zeigt in der Regeln somit auf die gleiche MS Azure SQL Datenbank wie der Ausgabe-Verbindungsname (Zenon.ArchiveSQLServer.ConnectionString) im AzureZenonArchiveWorker.


Daten speichern und wieder einlesen

Handbuch > MS Azure > Daten speichern und wieder einlesen

Über den MS Service Bus können Daten zum Beispiel auch ortsübergreifend geteilt werden. Dazu werden sie über das zenon Process Gateway hochgeladen und über den AzureDRv Treiber wieder heruntergeladen. Einer der Vorteile ist, dass beim Herunterladen keine Ausnahmen in der Firewall konfiguriert werden müssen. Außerdem ist es möglich, Daten für Drittanwendungen bereitzustellen.

Bei der Verbindung sind zwei Einstellungen für das Ziel im Namespace möglich:

  • Queue: Daten können hier gepeichert und wieder abgerufen werden.
  • Event Hub: Daten werden für Drittanwendungen gespeichert. Diese können von zenon oder zenon Analyzer nicht mehr ausgelesen werden.

Noch in diesem Kapitel

Process Gateway: Daten in MS Azure speichern

zenon AzureDrv Treiber: Daten aus MS Azure auslesen


Process Gateway: Daten in MS Azure speichern

Handbuch > MS Azure > Daten speichern und wieder einlesen > Process Gateway: Daten in MS Azure speichern

Zur Runtime können über das Modul AccessAzure im Process Gateway Daten nach MS Azure hochgeladen werden.

Das Process Gateway baut mit dem Kommunikationsmodul AccessAzure.dll eine zyklische Verbindung zu MS Azure auf. Vom Process Gateway unterstützte Dienste in MS Azure:

  • Servicebus Queue
  • Event Hub
  • IoT Hub

Zusätzlich kann das Process Gateway Daten vom IoT Hub via Cloud2Device-Message empfangen.

Daten aus der Queue können dann mit dem AzureDrv Treiber von MS Azure geholt und in Prozesse von zenon integriert werden. Inhalte des IoT Hubs können nur dann vom Treiber ausgelesen werden, wenn diese in die Servicebus Queue überführt werden. Dies kann mit Standarddiensten der MS Azure Cloud realisiert werden.

Daten aus einem Event Hub dienen für Drittanwendungen und können von zenon nicht mehr eingelesen werden.

Kommunikation des Treibers

Zum Auslesen der Werte aus der Servicebus Queue baut der AzureDrv Treiber eine Verbindung zur Servicebus Queue mit dem konfigurierten Namen auf und entnimmt ihr alle enthaltenen Nachrichten. Diese Nachrichten werden entpackt und die darin enthaltenen Onlinewerte den Variablen zugewiesen. Schlüssel dafür ist die Symbolische Adresse.
Alle beim ersten erfolgreichen Verbindungsaufbau bereits in der Queue befindlichen Nachrichten werden geladen und verworfen. Es werden immer nur die aktuellen Werte angezeigt.

Das heißt:
Jede Treiberinstanz auf jedem Rechner besitzt ihre eigene Queue als Eingangskanal.

Example Beispiel

Die Servicebus Queue für den Rechner MYSERVER1 und dem konfigurierten Präfix onlinedata heißt in MS Azure: onlinedata_myserver1.

Es werden numerische (DOUBLE) und alphanumerische (STRING) Werte unterstützt. Der Zeitstempel und die System-Statusbits werden in die Zielvariable übernommen.

info Info

Details zu Konfiguration und Formaten finden Sie im Handbuch Process Gateway im Abschnitt MS Azure.

Konfiguration im Process Gateway

Konfigurationsdialog für MS Azure Anbindung via Process Gateway.

Variables

In der Gruppe Variables konfigurieren sie jene Variablen, deren Werte von zenon in einen MS Azure Service Bus gespeichert werden.

Parameter

Beschreibung

Available in Scada

Zeigt alle in zenon verfügbaren Variablen an

Bei Mehrprojektverwaltung können Variablen aus allen aktiven Projekten ausgewählt werden.

Projects

Liste aller verfügbaren Projekte.
Das Standardprojekt ist mit einem * gekennzeichnet.

Variables

Liste aller Variablen des gewählten Projekts.

Liste ist sortierbar, Mehrfachauswahl ist möglich.

Tipp: Doppelklick auf Variable verschiebt diese.

Schaltfläche >

Ausgewählte Variablen aus Liste Variables werden in die Liste Exported into MS Azure verschoben.

Schaltfläche <

Ausgewählte Variablen werden aus der Liste Exported into MS Azure entfernt.

Exported into MS Azure

Liste der Variablen, die via Process Gateway in den MS Azure Service Bus geschrieben werden. Diese werden mit Name (Points) und Kommunikationsrichtung (Direction) angezeigt. Doppelklick auf einen Eintrag schaltet die Kommunikationsrichtung um.

Der Schlüssel für die Werte in MS Azure ist immer PROJECTNAME#VARIABLENAME.

Points:
Der Name besteht aus:

  • Projektname
  • # (als Trennzeichen)
  • Variablenname.

Direction:
Zeigt die Kommunikationsrichtung an:

  • read only
  • write only
  • read/write

Default: read only
Änderung der Richtung durch Doppelklick auf Variable.

Hinweis: Nur verknüpfte Variablen können beschrieben werden.

MS Azure Connections

In der Gruppe MS Azure Connections sind alle Zielverbindungen in MS Azure anzugeben, in welche die aktuellen Werte der gewählten Variablen eingefügt werden.

Die aktuellen Variablenwerte werden dabei gleichzeitig in alle erstellten Verbindungen eingefügt.

Parameter

Beschreibung

Liste MS Azure Verbindungen

Listet alle konfigurierten Verbindungen zu MS Azure auf. Jede Verbindung besteht aus dem Verbindungsnamen (MS Azure Connection) und dem Service Bus Queue Name.

  • Neuanlage einer Verbindung mit der Schaltfläche New...
  • Mit der Schaltfläche Edit... kann eine gewählte Verbindung geändert werden.

MS Azure Connection

MS Azure Verbindungsadresse.

Service Bus Queue Name

Name der Warteschlange im MS Azure Service-Bus.

New...

Öffnet Dialog zur Konfiguration der MS Azure Verbindung.

Edit...

Öffnet bestehende Verbindungen zur Konfiguration der MS Azure Verbindung.

Delete

Löscht die ausgewählte MS Azure Verbindung aus der Liste.

MS Azure Settings

Parameter

Beschreibung

Integrity period

Zeitintervall, in dem die aktuellen Werte der gewählten Variablen als Abbild in die MS Azure Service Bus Warteschlange geschrieben werden.

Findet während dieser Zeitspanne eine Wertänderung einer Variable statt, wird diese Wertänderung sofort an die MS Azure Warteschlange übermittelt.
Default: 5 s

HTTP Proxy Domain

Adresse des Proxy-Servers im Netzwerk.

HTTP Proxy User

Eingabefeld des Benutzernamens für die Anmeldung am Proxy-Server.

HTTP Proxy Password

Eingabefeld des Passworts für die Anmeldung am Proxy-Server.
Hinweis: Die Eingabe wird - auch während der Eingabe - mit Punkten dargestellt.

Confirm HTTP Proxy Password

Eingabefeld für die Bestätigung des Passworts für die Anmeldung am Proxy-Server.

Hinweis: Die Eingabe wird - auch während der Eingabe - mit Punkten dargestellt.

Navigation

Parameter | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.

Dialoge bei Fehleingaben

Konfigurationen des Proxy-Servers werden validiert. Bei einer Fehlprojektierung wird ein entsprechender Warndialog angezeigt.

attention Achtung

Damit die Proxy-Einstellungen funktionieren, muss auf dem Rechner .NET 4.5 installiert sein.

Konfiguration Verbindung zu Queue oder zum Event Hub

Im Verbindungsdialog wird festgelegt, ob die Verbindung zu einer Queue oder einem Event Hub erfolgt und wie diese adressiert werden.

Konfigurationsdialog der Verbindung zu MS Azure:

Parameter

Beschreibung

MS Azure Connection

MS Azure Verbindungsadresse.

Hinweis: Diese Adresse können Sie im Azure-Verwaltungsportal unter Manage Connection Strings des gewünschten Servicebus Namespace auslesen und kopieren.

Service Bus Queue / Event Hub Name

Name der MS Azure Service Bus Warteschlange oder des Event Hub. Auswahl über Radiobuttons.

Hinweis: Es sind nur Zeichen erlaubt, die im Namen einer MS Azure Service Bus Queue oder in einem Event Hub vorkommen dürfen. Verwenden Sie einfache, kurze und aussagekräftige Namen. Vermeiden Sie Sonderzeichen, sprachspezifische Buchstaben und Leerzeichen.

Service Bus Queue

Der Name der Service Bus Queue setzt sich zusammen aus:

  • einem frei konfigurierbaren Präfix
  • einem Unterstrich (_)
  • dem NETBIOS-Rechnernamen (ohne Domänensuffix) in Kleinschreibung

Existiert der Name im Namespace noch nicht, wird eine Queue mit diesem Namen erstellt.
Voraussetzung: Die entsprechenden Rechte sind vorhanden.

Event Hub

  • Nachrichtenformat: Auswahl in Dropdownliste der Option Format.
  • Event Hub Name: Name des Event Hubs im MS Azure Service Bus
    Der Event Hub muss mit diesem Namen im Namespace bereits angelegt sein.

Hinweis: Ausgegraut, wenn die Option IoT Hub als Kommunikationsart zu MS Azure aktiviert ist.

Queue

Kommunikation zu MS Azure via Service Bus Queue.

  • Aktiv:
    Die Verbindung wird über den Namen der Service Bus Queue hergestellt.

Event Hub
  • Kommunikation zu MS Azure via Event Hub.
  • Aktiv:
    Die Verbindung wird über den Namen des Event Hub hergestellt. Auswahl des Nachrichtenformats über Option Format.

IoT Hub
  • Kommunikation zu MS Azure via IoT Hub.
  • Aktiv:
    Versenden von Istwerten und Empfang von Nachrichten via IoT Hub.
    Eintrag des Device-Connection Strings im Eingabefeld MS Azure Connection.

Format

Nachrichtenformat für Verbindung über Event Hub.
Auswahl aus Dropdownliste:

  • XML
  • JSON
  • BOND (compact binary)

OK

Übernimmt Einstellungen und schließt den Dialog.

Cancel

Verwirft alle Änderungen und schließt den Dialog.

info Info

Der Service Bus Queue Name ist frei konfigurierbar.
Bei der ersten Kommunikation zu MS Azure wird diese Warteschlange automatisch in MS Azure angelegt.

Legen Sie für jeden Rechner, der Daten von MS Azure abruft, über den AzureDrv Treiber eine eigene MS Azure Connection an.


zenon AzureDrv Treiber: Daten aus MS Azure auslesen

Handbuch > MS Azure > Daten speichern und wieder einlesen > zenon AzureDrv Treiber: Daten aus MS Azure auslesen

Der AzureDrv Treiber holt Werte aus dem MS Azure Service Bus zur Verarbeitung in zenon.

Konfiguration

Konfiguration der Verbindung zum MS Azure-Dienstbus:

Parameter | Beschreibung
MS Azure Service Bus Connection | Eingabe des Verbindungsnamens zum MS Azure Servicebus. Diesen Verbindungsnamen können Sie im MS Azure-Verwaltungsportal unter Manage Connection Strings des gewünschten Servicebus Namespace auslesen und kopieren.
Queue Name Prefix | Eingabe des Präfix für den in der Runtime abzufragenden Namen der Queue. Hinweis: Es sind nur Zeichen erlaubt, die im Namen einer MS Azure-Servicebus Queue vorkommen dürfen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Weitere Details lesen Sie im Handbuch AzureDrv.


zenon Analyzer - Linked MS Azure Server

Handbuch > MS Azure > zenon Analyzer - Linked MS Azure Server

Im zenon Analyzer können Daten aus Linked SQL Server verarbeitet werden. Diese können sich auch in MS Azure befinden.

Konfiguration eines Linked Microsoft Azure-Servers:

  1. Klicken Sie im Dialog zur Verwaltung des Linked Server auf die Schaltfläche Neuer Microsoft Azure-Server.

    Der Dialog zur Konfiguration eines Servers wird geöffnet.

  2. Vergeben Sie einen Namen für den Server.
  3. Geben Sie den Instanznamen ein.
    Hinweis: Diesen finden Sie auf Microsoft Azure.
  4. Geben Sie den Namen der Datenbank ein.
  5. Geben Sie den Benutzernamen für den Zugriff ein.
  6. Geben Sie das Passwort für den Zugriff ein.
  7. Klicken Sie auf OK.

    Der Linked Server wird angelegt und der Dialog zur Erstellung geschlossen.
    Dann wird der neue Linked Server einem Verbindungstest unterzogen.
    Verläuft der Test erfolglos, erfolgt eine Abfrage, ob die neuen Einstellungen beibehalten werden sollen:

    • Ja: Einstellungen bleiben erhalten und werden in der Liste angezeigt.
    • Nein: Einstellungen werden verworfen und der Server wird aus der Liste entfernt.

info Info

Jede Datenbank auf einer SQL Azure-Instanz muss aus technischen Gründen als eigener Linked Server eingefügt werden.

Dialog Konfiguration

Option | Beschreibung
Name Linked Server | Name des Linked Server.
Microsoft SQL Azure-Instanzname | Name der SQL Azure Instanz. Kann aus Microsoft Azure ausgelesen werden. Syntax: [Beliebige Zeichenfolge].[Datenbank].windows.net
Datenbank auf Microsoft SQL Azure-Instanz | Eingabe des Datenbanknamens. Kann aus Microsoft Azure ausgelesen werden.
Benutzername | Eingabe des Benutzernamen.
Passwort | Passwort. Wird nicht im Klartext dargestellt.
OK | Übernimmt Einstellungen und schließt den Dialog. Danach wird ein Verbindungstest durchgeführt. Kann die Verbindung nicht hergestellt werden, wird das Verwerfen der Konfiguration angeboten.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Mehr über Linked Server in zenon Analyzer lesen Sie im Handbuch zenon Analyzer im Abschnitt Linked Server verwalten.


Multi-Touch

Handbuch > Multi-Touch

Multi-Touch fähige Touchscreens können mit zenon auch per Multi-Touch-Gesten bedient werden.
Ein Beispielprojekt erhalten Sie bei Ihrem zenon Berater.

attention Achtung

Zweihandbedienung in Multi-Touch kann über zwei Buttons realisiert werden: Eine Button löst die Sperre, der andere führt die Aktion aus.
Dafür müssen:

  • beide Druckpunkte jeweils in einem eigenen Bild projektiert werden
  • beide Bilder jeweils auf einer eigenen Schablone basieren

Voraussetzungen

Für Multi-Touch wird empfohlen:

  • Aktivierung von DirectX Hardware für die zenon Eigenschaft Grafische Ausprägung/Grafikqualität. Beachten Sie dabei die empfohlenen Mindestvoraussetzungen aus dem Kapitel Systemvoraussetzungen bei Verwendung von DirectX.

Multi-Touch konfigurieren

Um Multi-Touch zu nutzen:

  1. Deaktivieren Sie die Projekteigenschaft Windows CE Projekt.
  2. konfigurieren Sie Multi-Touch in:
    1. Projekteigenschaften
    2. Eigenschaften der Bilder
    3. Eigenschaften der Dynamischen Elemente

Anpassung in Projekteigenschaften

Zur Anpassung der Projekt-Eigenschaft:

  1. Navigieren Sie zur Gruppe Interaktion.
  2. Wählen Sie in der Gruppe Multi-Touch für die Eigenschaft Auswertung:
    • Windows 7: aktiviert
      - Gesten, die von Windows 7 unterstützt werden, sowie Multi-Touch in VSTA
      - Multi-Touch für Zoomen und Scrollen im Weltbild
    • Windows 8: aktiviert
      - Gesten, die von Windows 8 unterstützt werden, sowie Multi-Touch in VSTA
      - native Windows 8 Multi-Touch Unterstützung
  3. Wählen Sie die gewünschten Eigenschaften in den weiteren Untergruppen:
    • Eingabevisualisierung für Stift
    • Eingabevisualisierung für Touch

attention Achtung

In der Systemsteuerung ab Windows 8 kann die Visualisierung der Finger- und Stifteingabe global beeinflusst werden:

  • Wird die Visualisierung deaktiviert, dann wird in zenon ebenfalls keine Visualisierung angezeigt, unabhängig davon, was projektiert ist.
  • Wird „Visuelles Feedback für die Ausgabe auf einem externen Bildschirm optimieren" verwendet, dann wird das visuelle Feedback verstärkt und auch in zenon, unabhängig von den Einstellungen in den Projekteigenschaften, immer angezeigt.

Default: Visuelles Feedback ist aktiviert, aber nicht verstärkt. Das Verhalten kann mit zenon beeinflusst werden.

Anpassung Bilder und Dynamische Elemente in den Projekten

Im Projekt finden Sie Konfigurationsmöglichkeiten für Multi-Touch mit folgenden Eigenschaften:

  • für Bilder in den Gruppen:
    • Interaktion
    • Programmierschnittstelle
    • VSTA Gestenauswertung
  • für Dynamische Elemente in den Gruppen:
    • VSTA Gestenauswertung
    • Runtime/Drücken und Halten

Noch in diesem Kapitel

Gesten

Interaktion konfigurieren

Feedback beim Scrollen abschalten

Events auswerten

VSTA Gestenerkennung

Beispielprojekt für Windows 7

Navigation mit Multi-Touch im Weltbild


Gesten

Handbuch > Multi-Touch > Gesten

Mit zenon Multitouch stehen Ihnen alle Windows basierten Gesten zur Verfügung. Wieviele Eingabepunkte Ihr Touch-System zur Verfügung stellt, sehen Sie in den Systemeigenschaften im Bereich System.

Windows 7 Gesten

Auswahl von in zenon oft verwendeter Gesten:

Geste | Beschreibung | Windows-Standard
Auswahl | Berührung eines Objekts, gefolgt von einer Bewegung des Fingers in eine Richtung. | Ziehen mit der Maus oder Auswahl.
Drücken und Tippen | Auf das Ziel drücken und mit einem zweiten Finger tippen. | Rechtsklick.
Tippen und halten | Drücken, auf die Ringanimation warten, loslassen. | Rechtsklick.
Stiftbewegungen | Schnelle Zugbewegung in eine Richtung. | Nach oben, unten, vorwärts oder rückwärts verschieben.
Tippen/Doppeltippen | Mit einem Finger tippen oder schnell doppelt tippen. | Klicken/Doppelklicken.
Träges Verschieben | Ein oder zwei Finger nach oben oder unten bewegen. | Bildlauf.
Zoomen | Zwei Finger voneinander weg oder aufeinander zu bewegen. | Zoom (Steuerung-Taste + Mausrad).
Zweifingertippen | Mit zwei Fingern gleichzeitig tippen. Das Ziel befindet sich zwischen den Fingern. | Keiner.

Windows 8 Gesten

Auswahl von in zenon oft verwendeter Gesten:

Geste | Beschreibung | Windows-Standard
Drücken und Tippen | Auf das Ziel drücken und mit einem zweiten Finger tippen. | Rechtsklick.
Tippen und halten | Drücken, auf die Ringanimation warten, loslassen. | Rechtsklick.
Tippen/Doppeltippen | Mit einem Finger tippen oder schnell doppelt tippen. | Klicken/Doppelklicken
Streichen | Einen Finger schnell in die Richtung, bewegen, in die sich der Bildschirm bewegen soll. Dient zum schnellen Bildlauf in Menüs oder Seiten oder zum seitlichen Bewegen in Hubs. | Scrollen.
Verschiebung | Seite mit einem oder zwei Fingern berühren und durch Ziehen verschieben. | Bildlauf.
Ziehen | Einen Finger auf dem Objekt platzieren und mit dem Finger ziehen. | Zum Wechseln zwischen Bildschirmen oder Menüs. Objekte auswählen und bewegen.
Zoom | Zwei Finger voneinander weg oder aufeinander zu bewegen. | Zoom (Steuerung-Taste + Mausrad).

Verhalten von zenon bei 2-Finger-Gesten (Windows 8)

Wird der Bildschirm unter Windows 8 mit zwei Fingern berührt, hängt die Aktion von den berührten Elementen ab.

Verhalten bei Halten von Button:

  • Erster Finger berührt und hält Button mit verknüpfter Funktion:
    • Der Button wird gedrückt.
  • Zweiter Finger berührt Bildschirm außerhalb des Buttons:
    • Aktion des Buttons wird abgebrochen, Button wird als nicht-gedrückt angezeigt.
      Achtung: Gilt nicht für ETM. Hier kann das Drücken nicht abgebrochen werden.
    • Bereits begonnene Multi-Touch Aktionen werden abgebrochen.
    • Neue Multi-Touch Aktion wird gesucht (z.B. zoomen).

Verhalten bei zweiter Finger auf Button:

  • Erster Finger hält leere Stelle im Bild:
    • Keine Aktion.
  • Zweiter Finger berührt und hält Button:
    • Für den Button wird keine Aktion ausgelöst. Er verhält sich, als wäre der zweite Finger ebenfalls auf einer leeren Stelle im Bild. Multi-Touch Aktionen für das Bild sind möglich.


Interaktion konfigurieren

Handbuch > Multi-Touch > Interaktion konfigurieren

Mit Windows 8 Gesten kann die Interaktion über Multi-Touch in vielen Bereichen ohne zusätzliche Programmierung über Eigenschaften konfiguriert werden.

Voraussetzung: In den Projekteigenschaften muss im Knoten Interaktion für die Eigenschaft Auswertung das aktuelle Betriebssystem [Windows 8] gewählt werden. Zur Runtime muss zenon auf einem Windows 8 Rechner laufen.

Konfiguration

Interaktionen können konfiguriert werden für:

  • Bilder
  • Dynamische Bildelemente
  • Diverse Elemente wie Listen

Welche Gesten mit welchen Aktionen belegt werden können, hängt ab vom Bild oder vom Bildelement, das konfiguriert werden soll.

Um Interaktionen für Bilder zu konfigurieren:

  1. Setzen Sie den Fokus auf das gewünschte Bild.
  2. Navigieren Sie in den Eigenschaften zum Knoten Interaktion.
  3. Wählen Sie in den Untergruppen die gewünschten Eigenschaften.

Um Interaktionen für Bildelemente zu konfigurieren:

  1. Setzen Sie den Fokus auf das gewünschte Bildelement.
  2. Navigieren Sie in den Eigenschaften zum Knoten Runtime.
  3. Wählen Sie in den Untergruppen die gewünschten Eigenschaften.

Um Interaktionen für diverse Elemente wie Listen zu konfigurieren:

  1. Setzen sie den Fokus auf die gewünschte Liste.
  2. Navigieren Sie in den Eigenschaften zum Knoten Runtime.
  3. Wählen Sie in den Untergruppen die gewünschten Eigenschaften.

info Info

Schablonen können auch per Maus verschoben werden, wenn das Bild kein Weltbild ist. Dazu muss die Eigenschaft Schablone per Maus verschieben aktiviert werden. Zur Runtime bewegt ein linker Mausklick in einen freien Bereich des Bildes und anschließendes Bewegen der Maus mit gedrückter Maustaste das gesamte Bild.

Noch in diesem Kapitel

Reaktionen


Reaktionen

Handbuch > Multi-Touch > Interaktion konfigurieren > Reaktionen

Reaktionen auf Gesten können für Bilder und Bildelemente und diverse Elemente wie Listen individuell konfiguriert werden:

  1. Für unterstützte Bilder stehen in der Gruppe Interaktion zur Verfügung:
    • Reaktionen auf Drücken und Halten
    • Reaktionen auf Doppelt Tippen
  2. Für Dynamische Bildelemente stehen in der Gruppe Runtime zur Verfügung:
    • Reaktionen auf Drücken und Halten
  3. Für diverse Elemente wie Listen stehen vom Bildtyp abhängig in der Gruppe Runtime zur Verfügung:
    • Tippen
    • Doppelt Tippen
    • Manipulation

Mit Reaktion wird festgelegt, was passieren soll, wenn zur Runtime auf dem Bild oder Bildelement die jeweilige Geste erkannt wird.

  • Reaktion: Auswahl der gewünschten Reaktion aus Dropdownliste. Welche Reaktionen zur Verfügung stehen, hängt ab von Bildtyp/Element.
  • Funktion: Auswahl einer in zenon projektierte Funktion, wenn bei Reaktion Eigene Funktion ausführen gewählt wurde.

Hinweis: Ein wesentlicher Unterschied zwischen Bildern und Bildelementen besteht bei Eigene Funktion ausführen: Für Bildelemente können auch Verriegelungen und Benutzerrechte konfiguriert werden. Das ist für Bilder nicht möglich, da das Bild keine Bild-Funktionen unterstützt.

Bilder

  • können auch für Runtimes verwendet werden, die nicht touchfähig sind
  • sind aufwärtskompatibel: neue Gesten können zusätzlich unterstützt werden und Gesten können auch neue Einstellungen bekommen

Wird ein Bild kopiert, so werden die jeweils eingestellten Eigenschaften übernommen.

Noch in diesem Kapitel

Manipulation

Doppelt Tippen

Tippen

Drücken und Halten


Manipulation

Handbuch > Multi-Touch > Interaktion konfigurieren > Reaktionen > Manipulation

Bilder und bestimmte Bildelemente wie Listen können mit Touch-Gesten manipuliert werden. Die gewünschte Reaktion auf eine Geste legen Sie im Editor in der Gruppe Manipulation fest für:

  • Verschieben (nur Diagrammfenster in Erweiterter Trend)
  • Horizontal Verschieben
  • Vertikal Verschieben
  • Zoomen

Ob Bilder oder Bildelemente manipuliert werden, hängt ab von der Einstellung der Konfiguration der Größe:

  • Eigenschaft Bildgröße von Schablone übernehmen aktiv: Das Bild wird manipuliert (verschoben, gezoomt).
  • Weltbild: Das jeweils aktive Element im Bild wird manipuliert, sofern das Element dies unterstützt.
    Definition Weltbild: Eigenschaft Bildgröße von Schablone übernehmen ist inaktiv und Bild ist größer als Schablone.

ETM Kurvenliste

Unter Manipulation stehen in der ETM Kurvenliste zur Verfügung:

  • Keine Reaktion
  • Horizontal verschieben
  • Vertikal verschieben

Zoomen

Ein Bild kann nur innerhalb der Grenzen gezoomt werden, die für folgende Eigenschaften gesetzt wurden:

  • Breite (Maximum) [Pixel]
  • Höhe (Maximum) [Pixel]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Wird beim Zoomen zur Runtime eine Grenze erreicht, dann wird versucht, das Zoomen in die die freien Richtungen fortzuführen. Das Seitenverhältnis wird dabei berücksichtigt.

Bilder vom Typ Faceplate können nicht gezoomt werden.

Zoomen im ETM

Im Modul Erweiterter Trend kann zusätzlich zum Fenster auch die Kurvengrafik mit einer Zwei-Finger-Geste gezoomt werden.

Das bedeutet für das Zoomen im ETM:

  • Grafik zoomen: Beide Finger müssen sich auf der Grafik befinden.
  • Bild zoomen: Beide Finger müssen sich im Bild befinden. Kein Finger darf sich auf der Grafik befinden.
  • Befinden sich zwei Finger auf der Grafik und zwei im Bild, werden Grafik und Bild gezoomt.
  • Befindet sich ein Finger im Bild und ein Finger auf der Grafik, wird das Bild bei entsprechender Konfiguration bewegt.
  • Wird bei einer Aktion ein Button gedrückt, kann diese Aktion nicht mehr abgebrochen werden.

Faceplates

Bei Faceplates haben sowohl das Bild vom Typ Faceplate als auch jeder Bild-Container eigene Gesten für die Manipulation. Gesten wirken auf die Bild-Container, wenn das Bild vom Typ Faceplate kein Weltbild ist.

Gestenwirkung im Detail:


Doppelt Tippen

Handbuch > Multi-Touch > Interaktion konfigurieren > Reaktionen > Doppelt Tippen

Doppelt Tippen auf Bilder

Als Reaktionen auf Doppelt Tippen stehen für Bilder zur Verfügung:

  • Keine Reaktion
  • Eigene Funktion ausführen
  • Statusfenster anzeigen

info Info

Die zur Verfügung stehenden Reaktionen hängen ab von Bildtyp bzw. Bildelement.

Doppelt Tippen auf Elemente in Bildern

AML

Die Liste im Bild vom Typ AML unterstützt als Reaktion für Doppelt Tippen:

  • Keine Reaktion
  • Eigene Funktion ausführen
  • Alarm quittieren: für ausgewählte Alarme
  • Alarmfunktion ausführen: für ausgewählte Alarme
  • Hilfe zu Alarm ausführen: für ausgewählte Alarme
  • Liste Stop/Weiter: unabhängig von Alarmen.

Doppeltes Tippen auf einen Listeneintrag führt immer dazu, dass dieser ausgewählt wird und die entsprechende Funktion ausgeführt wird. Doppeltes Tippen in einen Bereich außerhalb der Listeneinträge führt nur unabhängige Funktionen, aber keine alarmspezifischen Funktionen aus.

Erweiterter Trend

Das Diagrammfenster im Bild vom Typ Erweiterter Trend unterstützt als Reaktion für Doppelt Tippen:

  • Keine Reaktion
  • Eigene Funktion ausführen
  • Auf 100 % zoomen
  • Schritt zurück

Die Kurvenliste im Bild vom Typ Erweiterter Trend unterstützt als Reaktion für Doppelt Tippen:

  • Keine Reaktion
  • Editieren

Listen in anderen Bildern

Manche Listen in Bildern unterstützen als Reaktion für Doppelt Tippen:

  • Keine Reaktion
  • Eigene Funktion ausführen


Tippen

Handbuch > Multi-Touch > Interaktion konfigurieren > Reaktionen > Tippen

Bildelemente

Als Reaktion auf Tippen stehen für Bildelemente zur Verfügung:

  • Keine Reaktion
  • Eigene Funktion ausführen
  • Auswahl

Diverse Elemente wie Listen

Als Reaktion auf Tippen stehen für diverse Elemente wie Listen zur Verfügung:

  • keine Reaktion
  • Auswahl


Drücken und Halten

Handbuch > Multi-Touch > Interaktion konfigurieren > Reaktionen > Drücken und Halten

Drücken und Halten bei Bildern

Als Reaktionen auf Drücken und Halten stehen für Bilder zur Verfügung:

  • Keine Reaktion
  • Eigene Funktion ausführen
  • Statusfenster anzeigen

info Info

Die zur Verfügung stehenden Reaktionen hängen ab von Bildtyp bzw. Bildelement.

Drücken und Halten bei Bildelementen

Als Reaktionen auf Drücken und Halten stehen für Bildelemente zur Verfügung:

  • Keine Reaktion
  • Eigene Funktion ausführen
  • Kontextmenü aufschalten


Feedback beim Scrollen abschalten

Handbuch > Multi-Touch > Feedback beim Scrollen abschalten

Wird beim Scrollen das Ende des Bereichs erreicht, gibt Windows standardmäßig ein optisches Feedback durch Bewegen des Elements.
Für die zenon Runtime bedeutet das: Wird in einem Kontrollelement gescrolled, dann bewegt das Windows-Feedback das komplette Runtime-Fenster. Ein Benutzer kann damit in einer Zwei-Finger-Aktion die Runtime verlassen und zum Desktop wechseln, auch wenn das nicht erwünscht ist.

Lösung: Dieses Verhalten von Windows kann abgeschaltet werden. Es wird dazu mindestens Windows Version 8.1 benötigt.

Feedback abschalten

Um das optische Feedback abzuschalten:

  1. Öffnen Sie die Windows Registry.
  2. Navigieren Sie zum Schlüssel HKEY_CURRENT_USER/Software/Microsoft/Wisp/Touch/.
  3. Setzen Sie den Wert für den Eintrag Bouncing auf 0.

Hinweis: Damit wird das Feedback von Windows zur Gänze abgeschaltet und funktioniert auch in anderen Anwendungen nicht mehr.


Events auswerten

Handbuch > Multi-Touch > Events auswerten

Events, die über die Programmierschnittstelle ausgewertet werden sollen, können für Bilder detailliert definiert werden. Die Auswertung über VSTA erfolgt auf Bildebene. Um die Auswertung von Events zu projektieren muss die Eigenschaft Auswertung in den Projekteigenschaften für Interaktion auf Windows 8 gestellt sein

  1. navigieren Sie zur Gruppe Programmierschnittstelle
  2. navigieren Sie zur Untergruppe Multi-Touch Events
  3. wählen Sie aus Dropdownliste der Eigenschaft Rohdaten-Eventrouting die gewünschte Option:
    • Alle Events: alle Events werden ausgewertet
    • Deaktiviert: die Auswertung ist deaktiviert
    • Nur ausgewählte Events: nur die über die Checkboxen aktivierten Events werden ausgewertet

Folgende Events stehen zur Verfügung:

  • PointerDown
  • PointerEnter
  • PointerLeave
  • PointerUp
  • PointerUpdate
  • PointerWheel
  • PointerHWheel
  • PointerDeviceChange
  • PointerDeviceInRange
  • PointerDeviceOutOfRange
  • NCPointerDown
  • NCPointerUp
  • NCPointerUpdate
  • PointerActivate
  • PointerCaptureChanged

Details zu den Events finden Sie im Abschnitt Objectmodel oder in der Microsoft Hilfe zur MSDN (http://msdn.microsoft.com/en-us/library/hh454903(v=vs.85).aspx).


VSTA Gestenerkennung

Handbuch > Multi-Touch > VSTA Gestenerkennung

Die Eigenschaften zur VSTA Gestenerkennung ermöglichen es, die Flags der Interaktionskontexte getrennt zu aktivieren und deaktivieren. Die Eigenschaften für die VSTA Gestenerkennung finden Sie in den Eigenschaften für:

  • Bilder: Gesten, die sich auf das Bild beziehen
  • Dynamische Elemente: Gesten, die sich auf ein einzelnes Dynamisches Element beziehen

Die Eigenschaften stehen nur zur Verfügung, wenn die Eigenschaft Auswertung in den Projekteigenschaften für Interaktion auf Windows 8 gestellt ist.

Die gewählte Konfiguration steht in der Runtime zur Verfügung und kann über VSTA bearbeitet werden.

Details zu den Events finden Sie im Abschnitt Objectmodel oder in der Microsoft Hilfe zur MSDN (http://msdn.microsoft.com/en-us/library/windows/desktop/hh448838(v=vs.85).aspx).

Bilder

Die Eigenschaften für die VSTA Gestenerkennung für Bilder finden Sie in der Eigenschaftengruppe VSTA Gestenauswertung des Bildes. Sobald die Eigenschaft Gestenerkennung aktiv aktiviert wurde, stehen folgende Gesten zur Auswahl zur Verfügung:

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation Inertia
  • Rotation
  • Rotation Inertia
  • Scaling
  • Scaling Inertia
  • Cross Slide
  • Cross Slide Horizontal
  • Cross Slide Select
  • Cross Slide Speed Bump
  • Cross Slide Rearrange
  • Cross Slide Exact
  • Tap
  • Tap Double
  • Secondary Tap
  • Drag
  • Hold

Dynamische Elemente

Die Eigenschaften für die VSTA Gestenerkennung für Dynamische Elemente finden Sie in der Eigenschaftengruppe VSTA Gestenauswertung des Elements. Sobald die Eigenschaft Gestenerkennung aktiv aktiviert wurde, stehen folgende Gesten zur Auswahl zur Verfügung:

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation Inertia
  • Rotation
  • Rotation Inertia
  • Scaling
  • Scaling Inertia
  • Cross Slide Cross Slide Horizontal
  • Cross Slide Select
  • Cross Slide Speed Bump
  • Cross Slide Rearrange
  • Cross Slide Exact
  • Tap
  • Tap Double
  • Secondary Tap
  • Drag
  • Hold


Beispielprojekt für Windows 7

Handbuch > Multi-Touch > Beispielprojekt für Windows 7

Dieses Beispielprojekt für Multi-Touch unter Windows 7 ist für eine Auflösung von 1920x1080 konzipiert. Es enthält:

  • Startseite
  • Navigation
  • Alarmzeile
  • Bild vom Typ Login

Startseite

Die Startseite zeigt eine Übersicht der gesamten Produktionslinie. Es sind mehrere Maschinen-Icons gleichzeitig sichtbar, zu den anderen Maschinen kann mittels Geste gescrollt werden. Tap auf ein Icon wechselt zu der gewählten Maschine. Im Bild sind noch vorhanden:

  • Alarmzeile an der Oberkante: Zeigt den letzten Alarm der gesamten Linie an. Die Alarmzeile können Sie herausziehen und bekommen dann die die gesamte Alarmmeldeliste angezeigt.
  • Login Button: Ermöglicht das Anmelden unterschiedlicher Benutzer.
  • Exit Button: Beendet die Runtime und ist nur von Benutzern mit Administratorrechten bedienbar.

Navigation

Die Navigation bildet im unteren Bildbereich mit Icons die gesamte Produktionslinie einem horizontalen Scrollbereich ab. Zusätzlich ist ein Energy-Weltbild vorhanden. Dieses wird über den unten mittig positionierten Button angewählt. Die Anwahl einer Maschine erfolgt durch Tap auf ein sichtbares Icon. In diesem Projekt kann nur die Maschine Füller ausgewählt werden. Hält man das Machinen-Icon Füller lange gedrückt, erscheint ein Glow-Effekt. Die Liste kann per Swipe-Geste gescrollt werden, ein Tap auf die scrollende Liste stoppt diese wieder.

Die Scrollgeschwindigkeit wird anhand der Beschleunigung der Drag-Bewegung unterschieden:

  • langsam: folgt dem Finger
  • schneller: eilt hinterher

Beim Aufschalten des Startbildes ist die Navigation auf das Icon Füller zentriert.

Alarmzeile

An der Oberkante des Bildschirms ist eine Alarmzeile positioniert. Diese zeigt den letzten Alarm der gesamten Linie an. Sie kann zur Alarmmeldeliste geöffnet werden.
Bedienung:

  • Öffnen:
    • Ein Tap auf die Leiste öffnet die AML bis zur Hälfte des Bildschirmes.
    • Die AML kann auch per Geste auf eine individuell gewünschte Größe herunter gezogen werden.
  • Schließen:
    • Ein Tap außerhalb der Schablone schließt die geöffnete die AML.
    • Die AML kann auch manuell wieder hinauf geschoben werden.

Login-Bild

Das Login-Bild bietet eine Gesten-basierte Anmeldung im Stil von Windows 8. Bevor eine Passworteingabe erfolgt, muss ein Benutzer mittels Tap ausgewählt werden. Anschließend kann mittels Hoovering die Passworteingabe des ausgewählten Benutzers starten. Zum Beispiel:

Administrator:

Wartung:

Operator:

Zusätzlich gibt es einen Logout Button, der bei Betätigung den derzeit angemeldeten Benutzer abmeldet und das Login-Bild öffnet. Das Login-Bild ist ein modaler Dialog, der den Hintergrund abdunkelt.

Noch in diesem Kapitel

Maschinenbildschirm

VSTA Code

Grundsätzliches zu Multi-Touch mit Windows 7

FAQs


Maschinenbildschirm

Handbuch > Multi-Touch > Beispielprojekt für Windows 7 > Maschinenbildschirm

Der Maschinenbildschirm bietet die Alarmzeile mit der gleichen Funktionalität wie auf der Startseite, gefiltert auf die Maschine.

Weiters gibt es das Workspace-Konzept mit frei positionierbaren Fenstern, die bei Nichtgebrauch in einem Dock abgelegt werden. Der Workspace erstreckt sich über mehrere Bildschirme, zu denen entweder mittels Swipe-Geste, Tab-Navigation oder per Navigationsbutton gewechselt werden kann. Im unteren Bereich gibt es noch einen Freischaltbereich für Zweihandbedienung und einen Home Button. Rechts oben befindet sich eine bedienbare Anzeige für den Workspace.

Dock

Icons können aus dem Dock auf den Workspace gezogen werden, wo diese dann als Faceplate in einer definierten Grundgröße erscheinen. Ist ein Faceplate auf dem Workspace platziert, wird dessen Icon deaktiviert dargestellt. Wird ein Faceplate geschlossen, wird dessen Icon wieder aktiviert dargestellt. Tap & Hold auf ein deaktiviertes Icon lokalisiert ein offenes Faceplate und springt zu dem von ihm benützten Workspace.

Workspace

Auf jedem der vier frei personalisierbaren Workspaces können beliebig viele Faceplates personenspezifisch positioniert und skaliert werden.

  • Faceplate an den vertikalen Bildschirmrand ziehen: Nach einer Verzögerung von 2 Sekunden wird auf den nächsten Workspace gewechselt und das Faceplate kann frei positioniert werden.
  • Faceplate an den vertikalen Bildschirmrand schießen (Swipe-Geste): Das Faceplate wird auf den nächsten Workspace befördert, der aktuelle Workspace bleibt geöffnet.
  • Faceplate schließen/entfernen: Faceplate auf das Dock ziehen oder durch eine Swipe-Geste nach unten.
    Optional kann jedes Faceplate mittels des rechts oben befindlichen X Buttons geschlossen werden.

Die aufgeschalteten Faceplates, deren Position, Größe etc. werden im Benutzerprofil gespeichert. Ein Faceplate kann per Zoom/Pinch-Geste vergrößert oder verkleinert werden. Jedes Faceplate kann auch verschoben werden. Ein ausgewähltes Faceplate tritt mittels Z-Order-Manipulation in den Vordergrund, bleibt aber immer hinter der Alarmzeile. Beim nächsten Login werden die Positions- und Größendaten der einzelnen Faceplates ausgelesen und dementsprechend positioniert.

Zweihandbedienung

In der linken unteren Ecke gibt es einen Aktivierungsbereich für die Zweihandbedienung. Wird ein verriegeltes Element betätigt, wird der Aktivierungsbereich blinkend dargestellt und ein verriegeltes Element kann darüber entriegelt werden.

Möglichkeiten der Zweihandbedienung:

  • Button: z. B. Home
  • Sollwerteingabe: Keyboard wird aufgeschaltet und Sollwert kann eingegeben werden,
  • Tipp-Betrieb

Eine Berücksichtigung der Aktivierungsreihenfolge (Freischaltung vor Aktion) ist im Demoprojekt projektiert. Beim Tipp-Betrieb (Faceplate Operation) wird ständig die aktive Freischaltung überprüft.

Kreismenü

Zur schnelleren Navigation zwischen den Workspaces wurde ein Kreismenü implementiert. Diese wird bei Tap&Hold auf eine beliebige Stelle des Workspace aktiviert und erscheint rund um den Finger. Die Auswahl des Workspaces erfolgt durch Draggen des Finger in einen der Bereiche, die Umschaltung erfolgt beim Loslassen. Die Aktion kann durch Draggen außerhalb oder innerhalb des Menübereichs abgebrochen werden.

Home Button

In der rechten unteren Ecke befindet sich ein Home Button. Über diesen kann zum Startbildschirm gewechselt werden. Der Home Button ist nur per Zweihandbedienung aktivierbar.


VSTA Code

Handbuch > Multi-Touch > Beispielprojekt für Windows 7 > VSTA Code

Klassenbeschreibung

MultiTouchManagement

Komplettes Handling der gesamten Multi-Touch-Anwendung. Hier werden beim Erzeugen der MultitouchManagement-Klasse die Klassen LoginWindow, NaviationsWindow und WindowManagement instanziert.

LoginWindow

In dieser Klasse stehen die wesentlichen Bestandteile der Benutzeranmeldung und Passwortmustererkennung.

NavigationWindow

Behandelt das Faceplate-Positionierungsbild "Icon" und managt den gesamten Öffnungsprozesses der jeweilig aufzuschaltenden Faceplates.

WindowManagement

Ist für die Abarbeitung aller Touchevents aller Faceplates zuständig (verschieben, skalieren usw.). Zusätzlich kümmert sich diese Klasse um die Sicherung und das Lesen aller während der Laufzeit benötigten Faceplate-Informationen.

WindowProperties

Für jedes Faceplate wird eine eigene Instanz instanziert, die alle nötigen Daten des Faceplates bereitstellt. Alle Instanzen werden im Sinne der Datenerhaltung beim Beenden der Runtime in eine XML Datei ausgelagert und liefert somit beim Runtimestart die letzten gültigen Einstellungen der Faceplates.


Grundsätzliches zu Multi-Touch mit Windows 7

Handbuch > Multi-Touch > Beispielprojekt für Windows 7 > Grundsätzliches zu Multi-Touch mit Windows 7

Events

Wenn man die Projekteigenschaft Multi-Touch aktiv aktiviert, bekommt man in der Runtime bei entsprechender Eventhandler Deklaration die Events für TouchManipulationStartEvent, TouchManipulationDeltaEvent und TouchManipulationCompleteEvent. Mittels der Methode SetupTouchInertia können die Trägheitsparameter bildspezifisch definiert werden. Die folgende Darstellung zeigt einen schematischen Ablauf der gefeuerten Events:

Grundsätzlich wird zuerst ein TouchManipulationStartEvent gefeuert. Solange man nun die Geste ausführt, werden TouchManipulationDeltaEvents und bei Ende der Touchgeste ein abschließendes TouchManipulationCompleteEvent gefeuert. Der übergebene Parameter lContacts gibt die Anzahl der aktuell am Bildschirm vorhandenen Finger wider.

Nach Abschluss der Touchgeste werden aufgrund der in der Methode SetupTouchInertia übergebenen Werte durch den Inertiaprozessor die Trägheitswerte berechnet und wiederum durch TouchManipulationDeltaEvents und die durch den Inertiaprozessor berechneten Trägheitswerte mit einem einmaligen TouchManipulationCompleteEvent abgeschlossen.

Da sich während der vom Interiaprozessor berechneten Trägheitswerte keine Finger auf dem Bildschirm befinden, weist der übergebene lContacts Parameter den Wert 0 auf. Die Anzahl der vom Inertiaprozessor benötigten TouchManipulationDeltaEvents ist von den von der Methode SetupTouchInertia übergebenen Parametern abhängig. Je nach Trägheit benötigt der Interiaprozessor mehr oder weniger Events um die Geste abzuschließen.

Wird während der Feuerung der berechneten Interiaevents eine weitere Geste gestartet, kommen keine weiteren TouchManipulationDeltaEvents der alten Geste. Nach einen abschließenden TouchManipulationCompleteEvents werden sofort wieder die Events für die neue Geste mittels einem TouchManipulationStartEvents gestartet.

Zusätzlich werden aber auch die Events TouchEvent, ElementMouseOver, ElementLeftButtonDown und ElementLeftButtonUp bei einer Geste gefeuert.

Natives Multi-Touch im Weltbild

Um Zoomen und Scrollen mit VBA/VSTA Events zu realisieren, darf die Bild-Eigenschaft Multi-Touch für Zoomen und Scrollen nicht aktiv sein. Aktiviert man diese Eigenschaft, kümmert sich zenon um die Abhandlung der Zoom- und Scroll-Gesten im projektierten Weltbild. Mehr dazu siehe Abschnitt: Navigation mit Multi-Touch im Weltbild.


FAQs

Handbuch > Multi-Touch > Beispielprojekt für Windows 7 > FAQs

Oft gestellt Fragen und praktische Antworten.

Hinweis: Die Eigenschaften Name für Objektliste und Hilfe-Kapitel können in zenon als frei definierbare Eigenschaften verwendet werden.

Wie füge ich ein neues Faceplate ein?

Das Beispielprojekt besteht aus 13 aufschaltbaren Faceplates, welche als Icons im Navigationsbild Navigation_Bottom dargestellt sind. Um einen Zusammenhang zwischen den einzelnen Icons und den aufzuschaltenden Faceplates zu generieren, muss die Namenskonvention eingehalten werden. Die Namen der jeweiligen Icons müssen exakt gleich mit den Namen der dazugehörigen Bilder sowie auch deren Schablonen übereinstimmen. Eine Verbindung zwischen den Bildern kann nur hergestellt werden, wenn diese Ist diese Kette (Icon - Schablone - Bild) eingehalten wird.

Um die jeweiligen Bilder aufschalten zu können, muss natürlich auch eine Bildumschaltfunktion projektiert werden. Diese wird mit dem Präfix "scr" und dem Namen des Faceplates benannt. Wird diese Namenskonvention eingehalten, dann wird das gesamte Handling anschließend vom Multi-Touch Management übernommen.

Wie erzeuge ich Feedback, wenn der gedrückte Button oder das Wertanzeige-Element Zweihandbedienung erfordert?

Um die Zweihandbedienung zu gewährleisten, müssen beide Druckpunkte jeweils in einem eigenen Bild mit einer eigenen Schablone bereitgestellt werden. Im Beispielprojekt heißt dieses Bild Enabler.

Beim Projektieren muss bei zweihandbedienbaren Elementen das Interlocking mit der enableArea verknüpft werden. Durch diese Projektierung erfolgt automatisch ein Feedback, sobald der Enabler (Zweihandbedienung) nicht gedrückt ist. Dieses Element ist erst bedienbar, wenn der Enabler gedrückt ist.

Wie erzeuge ich einen Tippbetrieb-Button?

Um einen Button mit einer Tippbetriebfunktionalität zu erzeugen:

  • stellen Sie sicher, dass der Name dieses Buttons den Teilnamen "HOLD" beinhaltet
  • navigieren Sie in den Elementeigenschaften zum Knoten Runtime
  • geben Sie in die Eigenschaft Name für Objektliste einen Bezug nach folgendem Muster ein: Variablenname|Wertänderung
    (Ein Beispiel finden Sie im Bild Faceplate_Operation beim Button ^^^.)

Wie erzeuge ich einen Button für das Wechseln des Workspace?

Dazu können Sie das vorgefertigte Symbol Tab benutzen. Die Variable demoCurrentWorkspace bildet im gesamten Projekt den Wert des aktuell aktiven Workspace ab. Folgende Einstellungen manipulieren die Variable und richten alle geöffneten Bilder neu aus:

Gruppe tab_inactive:D

die Eigenschaft Hilfe-Kapitel in der muss den Eintrag WorkspaceSwitch enthalten.

die Eigenschaft Name für Objektliste muss einen Eintrag nach folgendem Muster enthalten: demoCurrentWorkspace|PAGE (zum Beispiel: demoCurrentWorkspace|3)

Wie erzeuge ich einen neuen Benutzer?

Im Bild Login muss für die Anmeldung eines Benutzers ein benutzerspezifisches Muster auf die 16 möglichen Quadrate gezeichnet werden. Sobald man das erste Rechteck berührt, wird die Passworteingabe gestartet. Sie wird beendet, sobald der Finger den Bildschirm wieder verlässt. Sofort nach Eingabe des Musters Patterns wird das Passworts verifiziert. Bei positiver Bestätigung erfolgt automatisch die Anmeldung.

Im Hintergrund wird während der Eingabe des Passwortmusters ein typographisches Passwort erstellt, das über eine Funktion mit den projektierten Projektbenützer verglichen werden kann. Das erste Rechteck wird als 'A', das zweite Rechteck als 'B' usw. interpretiert und durch reihenabhängiges Hovering der Rechtecke zu einem zusammenhängenden Passwortes zusammengesetzt.

Um einen neuen Benutzer hinzuzufügen:

  • legen Sie in der Benutzerverwaltung einen neuen Benutzer an
  • erstellen Sie ein Personen bezogenes Passwortes
  • sorgen Sie dafür, dass der Benutzer im Bild Login auswählbar ist und projektieren Sie dieselben Eigenschaften wir für die bereits projektierten Buttons der Benutzerauswahl

Wie schalte ich das Kreismenü auf?

Das Kreismenü wird aufgeschaltet:

  • an einem Finger, der sich auf dem Workspace befindet
    und
  • sich länger als 800 ms nicht bewegt

Im daraufhin um den Finger positionierten Kreismenü hat man die Möglichkeit, durch einfaches Draggen des Fingers zwischen den Workspaces auf den gewünschten Workspace zu wechseln.

Wie filtere ich die frei herunterziehbare AML ?

Die AML bleibt immer aufgeschaltet und die maschinenbezogene Filterung wird durch die einfach aufzurufende Filtermöglichkeiten der Bildumschaltfunktion auf das Bild AML und AML-collapsed durchgeführt.

Wie schalte ich eine Maschine auf?

Maschinen werden durch eine fixe Reihenfolge von Abläufen wie Anpassungen der Filter, Bildumschaltfunktionen, Aufschaltung des maschinenbezogenen Navigationsbereichs, Positionierung der maschinenabhängigen Faceplates usw. dargestellt. In diesem Beispielprojekt wird die Abfolge der aufzurufenden Funktionen in einen zenon Skript projektiert, das beim Auslösen des Maschinen-Icons im Startbild aufgerufen wird.

Wo werden die Informationen der Faceplates gespeichert?

Größe, Position, Workspace, Sichtbarkeit und Skalierungsfaktor werden in eine Konfigurationsdatei geschrieben. Diese befindet sich in einem Unterordner des Ordners %HOMEPATH%\AppData\Local\Ing._Punzenberger_COPA-DA\.


Navigation mit Multi-Touch im Weltbild

Handbuch > Multi-Touch > Navigation mit Multi-Touch im Weltbild

Multi-Touch-Gesten für Zoomen und Scrollen eignen sich auf Touchpanels auch zur Navigation im Weltbild. Dazu ist kein Bild vom Typ Weltbild-Übersicht nötig. Die Navigation kann realisiert werden mit:

  • Windows 7 Touch-Gesten
  • Windows 8 Touch-Gesten

Regeln

  • Verschieben: Wenn ein Bild in einem Container kein Weltbild ist, übernimmt es die Einstellungen vom Faceplate-Bild.

Weltbild bewegen oder Weltbild in Container eines Faceplates

  • Bild ist größer als Schablone: Inhalt des Bildes wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Weltbild in Faceplate eingebettet.

  • Bild ist größer als Schablone: Bildinhalt wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Schablone ohne Rand mit der Maus bewegen, wenn das Bild ein Weltbild ist und gleich groß wie oder kleiner als Schablone:

  • Mit rechter Maustaste: Keine Reaktion.
  • Mit linker Maustaste: Schablone wird verschoben.

Weltbild Größe verändern

Die Größe des Weltbildes kann verändert werden.
Ausnahme: Wenn das Weltbild ein Faceplate ist, kann die Größe nicht verändert werden.

Klick mit rechter Maustaste:

  • Bild ist größer als Schablone: Inhalt wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Projektkonvertierung

Werte für Horizontal Verschieben und Vertikal Verschieben beim Konvertieren aus einer früheren Version nach zenon 7.20:

  • Bild ist größer als Schablone: Verschieben.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Noch in diesem Kapitel

Navigation unter Windows 7

Navigation unter Windows 8


Navigation unter Windows 7

Handbuch > Multi-Touch > Navigation mit Multi-Touch im Weltbild > Navigation unter Windows 7

Um Multi-Touch-Gesten unter Windows 7 zur Navigation im Weltbild verwenden zu können, müssen diese:

  • entweder über die Eigenschaft Multi-Touch für Zoomen und Scrollen aktiviert
  • oder über VBA/VSTA implementiert werden

Zoomen und scrollen über Eigenschaft Multi-Touch für Zoomen und Scrollen

Um Multi-Touch ohne VBA/VSTA zu verwenden:

  1. Aktivieren Sie in den Projekteigenschaften im Knoten Interaktion für die Eigenschaft Auswertung Windows 7.
  2. Deaktivieren Sie bei den Eigenschaften des Bildes im Knoten Schablone die Eigenschaft Bildgröße von Schablone übernehmen.
  3. Aktivieren Sie bei den Eigenschaften des Bildes im Knoten Interaktion die Eigenschaft Multi-Touch für Zoomen und Scrollen.

Damit kann im Bild bei Touchbedienung mit Multi-Touch-Gesten gescrollt und gezoomt werden. VBA/VSTA Events für Zoomen und Scrollen werden damit deaktiviert.

Zoomen und scrollen über VBA/VSTA

Um Zoomen und Scrollen mit VBA/VSTA Events zu realisieren darf die Eigenschaft Multi-Touch für Zoomen und Scrollen nicht aktiv sein.

Im DynPicture stehen zur Verfügung:

  • Property

    int ZoomLevel: Gibt den aktuellen Zoomlevel im Weltbild an (gültiger Wert nur in der Runtime und für ein Weltbild).

  • Methode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Neuer Zoomfaktor X-Richtung, wenn nicht benutzt, auf 0 setzen

    ZoomY -> Neuer Zoomfaktor Y-Richtung, wenn nicht benutzt, auf 0 setzen

    ZoomLevel -> Zoom Level, wenn nicht benutzt, auf -1 setzen

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Neue Position X (siehe PosMode)

    PosY -> Neue Position Y (siehe PosMode)

    PosMode -> Koordinaten in Pos

    -1 = PosX, PosY werden ignoriert

    0 = Mittelpunkt , Original Koordinaten

    1 = Mittelpunkt , gezoomte Koordinaten

    2 = links oben , Original Koordinaten

    3 = links oben , gezoomte Koordinaten

    4 = Gezoomte Koordinaten des Cursors von links oben
    Die Position des Fensters wird so verändert, dass nach dem Zoomvorgang der Mauszeiger noch immer über derselben Stelle des Bildes liegt

Achtung: ZoomX, ZoomY und ZoomLevel können nie gleichzeitig verwendet werden. Entweder wird ein ZoomLevel angegeben oder Zoomfaktoren für X-Achse und Y-Achse.


Navigation unter Windows 8

Handbuch > Multi-Touch > Navigation mit Multi-Touch im Weltbild > Navigation unter Windows 8

Um mit Multi-Touch unter Windows 8 in einem Weltbild zu navigieren:

  1. Aktivieren Sie in den Projekteigenschaften im Knoten Interaktion für die Eigenschaft Auswertung Windows 8.
  2. Deaktivieren Sie für das Bild in der Gruppe Schablone die Eigenschaft Bildgröße von Schablone übernehmen und definieren Sie die Bildgröße größer als die Schablone.
  3. Navigieren Sie in den Bildeigenschaften zur Gruppe Interaktion.
  4. Konfigurieren Sie die Eigenschaften Zoomen und Verschieben.

Für die Geste Verschieben können Sie die Richtung - horizontal, vertikal oder beide - definieren. Benutzen Sie dazu die Eigenschaften Horizontal verschieben und Vertikal verschieben.


Netzwerk

Handbuch > Netzwerk

zenon Netzwerke lassen sich schnell und sicher einrichten.

zenon im Netzwerk ermöglicht Ihnen unter anderem:

  • vollwertigen Zugriff auf die Runtime von verschiedenen Rechnern.
    So sind damit z.B. Aktionen wie das Quittieren von Alarmen auf einem Arbeitsplatz an allen anderen Rechnern im Netzwerk sichtbar.
  • zentrales Protokollieren und Archivieren
  • Erstellung von redundanten Systemen (siehe Redundanz, Kreisredundanz)
  • Redundanzumschaltung mit integrierter Bewertungsmethode
  • Aufbau von verteilten Systemen (siehe Mehrprojektverwaltung)
  • Nutzung von zenon Web Server und zenon Web Client für Zugriff per Web Browser
  • Einsatz von zenon in einer Terminal Server Umgebung
  • Nutzung von starker Verschlüsselung
  • gleichzeitiges Arbeiten an einem Projekt an mehreren Rechnern (siehe Verteiltes Engineering)

Einfache Verwaltung des zenon Netzwerks

Die Netzwerkfunktionalität von zenon ermöglicht es, Projekte verteilt auf verschiedenen Rechnern einzusetzen. Sie können damit sehr effizient komplexe Netzwerkkonstellationen erstellen. Es können dabei auch Konstellationen projektiert werden, sodass z. B. Projektinhalte nur an einem für eine Tätigkeit bestimmten Ort (einem bestimmten Rechner) sichtbar sind. Der zenon Editor unterstützt Sie dabei, solche Projektierungen zu erstellen und zu konfigurieren.

Die integrierte Topologieverwaltung stellt dabei Zusammenhänge der einzelnen Projekte mit den zugehörigen Rechnern und Rollen grafisch dar. Eine Prüfroutine kontrolliert die konfigurierte Struktur auf Vollständigkeit und Konfigurationsfehler.

Mit den Netzwerkknotenfunktionen prüft zenon auch, ob die gewählte Netzwerktopologie grundsätzlich funktionieren kann.

info Info

Beachten Sie bei Netzwerkprojekten, in welchen Rollen (Prozessführender Server, Standby Server oder Client) Module und Funktionen verwaltet und ausgeführt werden.

zenon Web Server

Der zenon Web Server ermöglicht den Zugriff auf die Runtime über einen Web Browser. Dafür sind keine Projektanpassungen erforderlich. Der Zugriff erfolgt über den zenon Web Client. Dieser bietet gleiche Funktionalität und Darstellung wie die zenon Runtime als Vollinstallation. Der zenon Web Server steht zur Verfügung als:

  • zenon Web Server: Reine Beobachtungsfunktionalität.
  • zenon Web Server Pro: Komplette Bedien- und Beobachtungsfunktionalität. Über das Web kann direkt in Prozesse eingegriffen werden.
  • zenon Web Server Pro Light: Eingeschränkte Funktionalität des zenon Web Servers Pro für die Verwendung mit zenon Operator.

info Info

Weitere Informationen dazu finden Sie im Handbuch zenon Web Server.

Verhalten bei lizenziertem Data Concentrator

Mit einer Data Concentrator-Lizenz ist die Verbindung eines Clients mit einem Prozessführenden Server oder einem Standby Server nicht möglich! Diese Lizenzierung findet vor allem für den zenon Analyzer Verwendung. Eine Verbindungsanfrage eines Client zu einem Server wird dabei immer durch den Server abgelehnt. Die Werte am Client werden nicht aktualisiert. Der projektierte Standby Server kann sich mit dem Server verbinden. Dadurch ist gewährleistet, dass die Redundanz auch mit einer Data Concentrator-Lizenz funktioniert.

Runtime-Kompatibilität

Die zenon Runtime arbeitet im Netzwerk und als standalone abwärtskompatibel.
Das bedeutet:

  • Die Runtime kann immer Projekte aus älteren Versionen laden und entsprechend dieser Version interpretieren und darstellen.
  • Auch wenn Runtime, Server und Standby gemeinsam über eine höhere Versionsnummer verfügen, können sie Projekte aus älteren Versionen laden und entsprechend dieser Version interpretieren und darstellen.
  • Gemischter Betrieb ist möglich.
    Mit der Mehrprojektverwaltung können gleichzeitig Projekte unterschiedlicher Versionen geladen werden und parallel laufen.

Hinweis: Projekte ab der Version 6.20 SP4 können direkt, also ohne vorhergehende Konvertierung, gestartet werden. Projekte mit niedrigerer Versionsnummer müssen zuvor konvertiert werden.

Online-Kompatibilität

Die Runtime Online-Kompatibilität ermöglicht die Interoperabilität von Runtime-Systemen (auch über zenon Web Client) im zenon Netzwerk, selbst wenn die Version der Client-Runtime höher ist als jene der Server-Runtime.

Die aktuelle Runtime kann Projekte folgender Versionen laden:

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0
  • 7.11 SP0
  • 7.20 SP0
  • 7.20 SP0[aktuelle Build-Nr.]
  • 7.50 SP0
  • 7.60 SP0
  • 8.00 SP0

Im Rahmen der Mehrprojektverwaltung können auch unterschiedliche Projekte geladen werden. Zum Beispiel kann das Integrationsprojekt von der Version 8.00 sein, ein Unterprojekt von der Version 7.60 und ein weiteres Unterprojekt von der Version 6.51.

Noch in diesem Kapitel

Rollen von Rechnern

Voraussetzungen

zenon Netzwerk einrichten

Starke Verschlüsselung der Netzwerkkommunikation

zenon am Terminal Server

Netzwerktopologie verwalten und prüfen

Redundanz

COPA-DATA PRP

Routing

Bedienberechtigung im Netzwerk

zenon Funktionen im Netzwerk

Verhalten von zenon Modulen im Netzwerk

Netzwerkmeldungen vom Systemtreiber

Visualisierung der Verbindung in der zenon Runtime


Rollen von Rechnern

Handbuch > Netzwerk > Rollen von Rechnern

Mit zenon ist es möglich, vielfältige Netzwerktopologien zu erstellen. Angefangen vom einfachen Client-Server Modell bis hin zu umfangreichen mehrhierarchischen Modellen.

Auch in zenon werden IT spezifische Begriffe wie Server und Client verwendet. Um jedoch auch bei komplexen mehrhierarchischen Strukturen mit einer Vielzahl von beteiligten Rechnern und Projekten eine eindeutige Identifikation der einzelnen Komponenten zu erreichen, wird in zenon immer von Rollen gesprochen. Rollen sind immer aus Sicht eines Projektes zu betrachten.

Die zenon Runtime kann auf einem Rechner - je nach Projektierung - ein oder mehrere Projekte starten (siehe auch Mehrprojektverwaltung). Dabei nimmt der Rechner auf dem die Runtime gestartet wird eine der folgenden Rollen für die jeweiligen Projekte ein:

  • Prozessführender Server
  • Standby Server
  • Client

Diese Rollen werden im Folgenden anhand von Beispielen in unterschiedlichen Topologien dargestellt.

info Info

Wird im Verlauf dieser Dokumentation von Prozessführendem Server, Standby Server oder Client gesprochen, ist damit immer die Rolle des Rechners gemeint, die er für ein Projekt einnimmt.

Noch in diesem Kapitel

Terminologie

Client-Server Modell

Redundantes Modell

Mehrhierarchische Modelle


Terminologie

Handbuch > Netzwerk > Rollen von Rechnern > Terminologie

Im zenon Netzwerk werden folgende Begriffe für die Rollenbezeichnung von Rechnern verwendet:

Parameter

Beschreibung

Server:

Rechner mit Verbindung zur Steuerung. Der Server übernimmt exklusiv die Verwaltung von Prozess und Projektdaten. Die Kommunikation wird über einen Watchdog überprüft.

Bei einem Serverausfall übernimmt der Standby Server dessen Aufgaben, sofern ein Standby definiert wurde. Sobald der Server wieder bereit ist, übernimmt er automatisch seine Aufgaben und synchronisiert alle Daten.

Standby Server:

Übernimmt in redundanten Systemen die Rolle des Servers, wenn dieser ausfällt. Im Netzwerk verhält er sich wie ein Client, speichert aber ebenso wie der Server alle Daten. Bei Hardware-Redundanz kommuniziert der Standby eigenständig bidirektional mit der redundanten Steuerung.

Der Standby arbeitet mit einem internen Puffer. Damit wird Datenverlust in der Totzeit zwischen Serverausfall und Übernahme der Serverrolle durch den Standby vermieden.

Clients:

Jeder Rechner, auf dem eine Runtime gestartet wird, ist ein Client. Clients verbinden sich zum Server, um Daten vom Prozess zu erhalten oder abzusetzen.

info Info

Server und Client werden nicht rechnerbezogen, sondern projektbezogen definiert.

Werden Namen von Server oder Standby Server geändert, können diese nicht nachgeladen werden. Sie werden erst mit einem Neustart der Runtime aktualisiert.


Client-Server Modell

Handbuch > Netzwerk > Rollen von Rechnern > Client-Server Modell

Im Client-Server Modell ist ein Rechner der Prozessführende Server, alle anderen Rechner sind Clients.

  • Rechner 1 ist Prozessführender Server für das Projekt A.
  • Rechner 2 ist Client für das Projekt A.

info Info

Weitere Informationen dazu finden Sie im Kapitel Mehrprojektverwaltung.


Redundantes Modell

Handbuch > Netzwerk > Rollen von Rechnern > Redundantes Modell

Im redundanten Modell ist ein Rechner Prozessführender Server und ein Rechner Standby Server. Alle anderen Rechner sind Clients.
Fällt der Prozessführende Server aus, übernimmt der Standby Server dessen Rolle. Alle Clients verbinden sich zum neuen Prozessführender Server.

Redundanz ohne Clients

  • Rechner 1 ist Prozessführender Server für das Projekt A.
  • Rechner 2 ist Standby Server für das Projekt A.
  • Fällt Rechner 1 aus, ist Rechner 2 der neue Prozessführende Server für das Projekt A.

Redundanz mit Clients

  • Rechner 1 ist Prozessführender Server für das Projekt A.
  • Rechner 2 ist Standby Server für das Projekt A.
  • Fällt Rechner 1 aus, ist Rechner 2 der neue Prozessführende Server für das Projekt A. Alle Clients verbinden sich automatisch zu Rechner 2.

info Info

Weitere Informationen dazu finden Sie im Kapitel Redundanz.


Mehrhierarchische Modelle

Handbuch > Netzwerk > Rollen von Rechnern > Mehrhierarchische Modelle

Mit Hilfe der Mehrprojektverwaltung ist es möglich, verschiedene mehrhierarchische Topologien zu erstellen. Dabei ist es möglich, auf einem Rechner mehrere Projekte zu starten. Der Rechner nimmt dabei eine bestimmte Rolle für das Projekt ein.

info Info

Mehrhierarchische Projekte können auch ohne Netzwerk auf Einzelplatzrechnern ausgeführt werden.

Beispiele

Multi-Client Modell

  • Rechner 1 ist Prozessführender Server für das Projekt A.
  • Rechner 2 ist Prozessführender Server für das Projekt B.
  • Auf Rechner 3 läuft das Projekt I (Integrationsprojekt) als Einzelplatzprojekt und startet die Projekte A und B mit.
    • Rechner 3 ist dabei Client für diese beiden Projekte.

Multi-Server Modell

  • Auf Rechner 1 läuft das Projekt I (Integrationsprojekt) als Einzelplatzprojekt und startet die Projekte A und B mit.
    • Rechner 1 ist dabei der Prozessführende Server für diese beiden Projekte.
  • Auf Rechner 2 läuft das Projekt I (Integrationsprojekt) als Einzelplatzprojekt und startet die Projekte A und B mit.
    • Rechner 2 ist dabei Client für diese beiden Projekte.
  • Rechner 3 ist Client für Projekt A.
  • Rechner 4 ist Client für Projekt B.

Multi-Client - Multi-Server Modell

  • Auf Rechner 1 läuft das Projekt I (Integrationsprojekt) als Einzelplatzprojekt und startet die Projekte A, B, C und D mit.
    • Rechner 1 ist dabei der Prozessführende Server für die Projekte A und B.
    • Rechner 1 ist dabei Client für die Projekte C und D.
  • Auf Rechner 2 läuft das Projekt I (Integrationsprojekt) als Einzelplatzprojekt und startet die Projekte A, B, C und D mit.
    • Rechner 2 ist dabei Client für die Projekte A und B.
    • Rechner 2 ist dabei der Prozessführende Server für die Projekte C und D.
  • Auf Rechner 3 läuft das Projekt I (Integrationsprojekt) als Einzelplatzprojekt und startet die Projekte A, B, C und D mit.
    • Rechner 3 ist dabei Client für die Projekte A, B, C und D.

info Info

Weitere Informationen dazu finden Sie im Kapitel Mehrprojektverwaltung.


Voraussetzungen

Handbuch > Netzwerk > Voraussetzungen

Grundvoraussetzung für den zenon Netzwerkbetrieb ist ein funktionsfähiges Windows-Netzwerk.

Allgemein

Folgende Voraussetzungen müssen erfüllt sein:

  • TCP/IP als Netzwerk-Protokoll.
  • Funktionierende Namensauflösung, wahlweise über DNS, WINS oder lokaler HOST-Dateien.
  • Freier TCP Port 1100:
    Wenn ein Netzwerkprojekt geladen wird, startet die zenon Runtime automatisch den Netzwerkdienst zenNetSrv. Dieser Dienst öffnet den Port 1100. Dieser muss daher über Remote erreichbar sein und darf nicht von einer Firewall blockiert sein.

info Info

zenon Netzwerke funktionieren mit allen unterstützten Betriebssystemen.

IPv4 und IPv6

Das zenon Netzwerk erlaubt wahlweise die Verwendung von IPv4 oder IPv6. Dualer Betrieb ist nicht möglich. Die Einstellung wird getroffen über:

  • Network configuration im Startup Tool
    oder
  • die zenon6.ini

Wird diese Einstellung geändert, müssen alle laufenden zenon Prozesse neu gestartet werden.
Betroffen Dienste sind:

  • zenAdminSrv
  • zenSysSrv
  • zenLogSrv
  • zenDBSrv

Folgende Komponenten sind von der Einstellung nicht betroffen, diese nutzen immer IPv4:

  • Treiberkommunikation mit den Steuerungen
  • Protokollkommunikation per ProcessGateways
  • Workbench- und Runtimekommunikation in zenon Logic

attention Achtung

IPv6 funktioniert nur ab zenon Version 7.00. Wird IPv6 verwendet, können keine Versionen vor zenon 7.00 gestartet werden.

Verwendete Ports

Für die Kommunikation innerhalb von zenon werden ausschließlich TCP-Ports - keine UDP-Ports - verwendet.

Folgende Ports werden für zenon im Netzwerk benötigt:

Dienste | Datei | Aufgabe | TCP-Port
Netzwerkdienst | zenNetSrv.exe | Runtime-Kommunikation. | 1100
Transportdienst | zenSysSrv.exe | Datenübertragung mittels Remote-Transport (Editor). | 1101
zenon Web Server | zenWebSrv.exe | Protokollumsetzer zwischen zenon Web Client und Runtime. | 1102

Port-Nummern können über die Registerkarte Listening ports im Startup Tool individuell geändert werden. In diesem Fall müssen alle beteiligten Geräte angepasst werden.

info Info

Weitere Informationen finden Sie im Handbuch Tools im Kapitel Startup Tool.

Standard-Ports

Anwendung | Standard-Port
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (für Verteiltes Engineering im Editor) | 1434
zenAdminSrv.exe | 50777
zenLicTransfer (License Transfer Service) | 50784
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
WEB Service Tunneling | 8080
zenon Logic |
Belegter Port für zenon Logic oder straton hängt ab vom Projekt und Dienst. Z. B.: Erstes zenon Logic Projekt belegt 1200 und 9000, zweites Projekt 1201 und 9001 usw. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Treiber |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Voraussetzungen überprüfen

Namensauflösung

Um die Namensauflösung zu überprüfen:

  1. Starten Sie die Windows Kommandozeile
    cmd.exe
  2. Führen Sie folgenden Befehl aus:
    ping [RECHNERNAME]
  3. Bei korrekter Namensauflösung erhalten Sie die IP-Adresse des Rechners mit Laufzeit als Antwort, ansonsten eine Fehlermeldung.

TCP Ports

Um die Erreichbarkeit des TCP Ports 1100 zu überprüfen:

  1. Starten Sie die zenon Runtime mit einem Netzwerkprojekt auf einem Remote-Rechner.
    Damit wird das Programm zenNetSrv.exe gestartet und der TCP Port 1100 wird geöffnet.
  2. Starten Sie die Windows Kommandozeile
    cmd.exe
  3. Führen Sie folgenden Befehl aus:
    telnet RECHNERNAME 1100
  4. Sobald ein Verbindungsaufbau zustande kommt, verschwindet der Inhalt des Kommandozeilenfensters. Anderenfalls erscheint eine Fehlermeldung.

attention Achtung

Der Telnet-Befehl ist nicht Teil des Windows Bestriebssystems und muss extra installiert werden. Eine Anleitung dazu finden Sie in der Hilfe zum Betriebssystem (Suchbegriff: Telnet).

Noch in diesem Kapitel

Zeitsynchronisation im Netzwerk


Zeitsynchronisation im Netzwerk

Handbuch > Netzwerk > Voraussetzungen > Zeitsynchronisation im Netzwerk

Bei Netzwerkprojekten müssen alle Rechner im Netzwerk zeitsynchron arbeiten. Die dafür nötige Synchronisation übernimmt zenon automatisch.

In einer Topologie mit mehreren Prozessführenden Servern (z. B. Kreisredundanz) wird empfohlen, die Zeitsynchronisation über einen externen Zeitdienst (z. B. DCF77) oder mit Windows Bordmittel zu realisieren. In diesem Fall muss die automatische Zeitsynchronisation in zenon deaktiviert werden.

attention Achtung

Beträgt der Zeitunterschied zwischen Server und Client mehr als 5 Sekunden, werden keine Dateien mehr synchronisiert.

Automatische Zeitsynchronisation in zenon deaktivieren

Soll die Zeitsynchronisation manuell ein- oder ausgeschaltet werden, muss der folgende Eintrag in der zenon6.ini angepasst werden:

[Netz]

TIMESYNCH=1 -> automatische Zeitsynchronisation aktiv (default)

TIMESYNCH=0 -> automatische Zeitsynchronisation inaktiv

Externe Zeitsynchronisation über das Betriebssystem

Ist die automatische Zeitsynchronisation in zenon deaktiviert, kann die Synchronisation über das Betriebssystem erfolgen. Dazu muss ein Zeitserver definiert werden (mit oder ohne externen Zeitdienst wie DCF77), der die Zeitsynchronisation der anderen Rechner übernimmt.

In der klassischen Client-Server/Standby Topologie (ohne Mehrprojektverwaltung) ist der Prozessführende Server der aktive Uhrzeit-Master. Dieser sollte seine eigen Uhrzeit nach Möglichkeit selbst über einen externen Zeitdienst aktuell halten. Die jeweiligen Clients holen sich die aktuelle Uhrzeit von diesem (abhängig von der eingestellten Timoutzeit) und aktualisieren ihre eigene Uhrzeit damit. Die Kommunikation erfolgt über SNTP (Simple Network Time Protokoll). Die Verzögerung der Übertragung wird dabei berücksichtigt.

info Info

Watchdog

Die Zeitsynchronisation erfolgt periodisch zur eingestellten Timeoutzeit.

Bei Verwendung der Standardeinstellung von 30 Sekunden für die Eigenschaft Network communication timeout im Startup Tool, schickt der Netzwerkdienst (zenNetSrv.exe) jedes Clients während des Online-Betriebs alle 10 Sekunden einen Watchdog an den Netzwerkdienst (zenNetSrv.exe) des Prozessführenden Servers. Wenn der Prozessführende Server innerhalb von 30 Sekunden zumindest einen der drei Watchdogs beantwortet, geht der jeweilige Client davon aus, dass die Netzwerkverbindung in Ordnung ist.

Konfiguration im Startup Tool:

Application -> Options -> Registerkarte Network configuration -> Option Network communication timeout.

Konfiguration in der zenon6.ini:

Alternativ kann die die Einstellung über direkt über die zenon6.ini erfolgen:

[Netz]

NET_TIMEOUT_MSEC=30000

(Timeout in Millisekunden, Default: 30000.)

Beachten Sie die zusätzlich nötige Konfiguration im WAN.

Achtung: Die minimale Timeoutzeit beträgt 5 Sekunden. Definiert man einen geringeren Wert, so wird dieser als 5 Sekunden interpretiert.

Befehle unter Windows

Zur externen Synchronisation unter Windows geben Sie folgenden Befehl mit den jeweils nötigen Argumenten in die Konsole der Befehlseingabe ein: NET TIME [\\Computername | /DOMAIN[:Domänenname] : /RTSDOMAIN[:Domänenname]] [/SET] [/YES]

Argument

Beschreibung

NET TIME
  • synchronisiert die Uhr des Computers mit der eines anderen Computers oder einer anderen Domäne
    oder
  • zeigt die Uhrzeit für einen Computer oder eine Domäne an

Wird dieser Befehl ohne weitere Argumente ausgeführt, dann werden das aktuelle Datum und die aktuelle Uhrzeit des Computers angezeigt, der als Zeitserver für die Domäne bestimmt wurde.

Computername

Der Name des Computers, der überprüft oder synchronisiert werden soll.

DOMAIN[:Domänenname]

Die Uhrzeit wird mit dem primären Domänencontroller der Domäne Domänenname synchronisiert.

RTSDOMAIN[:Domänenname]

Die Uhrzeit des Computers wird mit einem zuverlässigen Zeitserver aus der Domäne Domänenname synchronisiert.

/SET

Synchronisiert die Uhr des Computers mit der Uhr des angegebenen Computers oder der angegebenen Domäne. Nach Absetzen des Befehls erfolgt die Anzeige der Server-Uhrzeit und die Abfrage, ob diese Zeit gesetzt werden soll.

/YES

Zeigt die aktuelle Serverzeit an und synchronisiert diese mit dem lokalen Rechner ohne weitere Abfrage oder Bestätigung.

Example Beispiel

NET TIME \\Server /SET /YES

Noch in diesem Kapitel

Zeitsynchronisation im WAN


Zeitsynchronisation im WAN

Handbuch > Netzwerk > Voraussetzungen > Zeitsynchronisation im Netzwerk > Zeitsynchronisation im WAN

Im WAN und bei Wählverbindungen bedeutet die Standard-Vorgabe von 30 Sekunden für das Timeout, dass die Verbindung wahrscheinlich permanent erhalten bleibt.

Wählen Sie im WAN eine Timeoutzeit, die nur im gewünschten Abstand einen Verbindungsaufbau initiiert.

Beachten Sie jedoch: Je länger das Timeout, desto später werden Serverausfälle erkannt. Wählen Sie zum Beispiel als Zeit für das Timeout den Wert 64800, dann beträgt die Timeoutzeit 18 Stunden. Es wird also alle 6 Stunden eine Verbindung aufgebaut und ein Watchdog geschickt. Ein Serverausfall würde damit erst nach rund 18 Stunden bemerkt.

info Info

Ist in der zenon6.ini kein Eintrag für das Timeout definiert, wird beim Starten der Runtime das Standard Timeout von 30 Sekunden verwendet.

Funktion Bildumschaltung

Bei einer Bildumschaltung werden aktiv Daten angefordert. Ablauf:

  • Es wird überprüft, ob innerhalb der letzten 30 Sekunden ein Watchdog zum Prozessführenden Server abgeschickt wurde.
  • Ist das nicht der Fall, wird sofort ein Watchdog zum Prozessführenden Server geschickt, auf dessen Rückmeldung 40 Sekunden gewartet wird.
  • Wird ein Serverausfall erkannt, versucht der zenon Netzwerk-Dienst automatisch alle 30 Sekunden einen Reconnect durchzuführen.

Dies würde im WAN-Betrieb zu einem permanenten Verbindungsaufbau führen. Dieses Verhalten kann über Einträge in der zenon6.ini geändert werden:

  1. Öffnen Sie die zenon6.in.
  2. Navigieren Sie zum Abschnitt
    [NETZ]
  3. Erstellen oder bearbeiten Sie den Eintrag

    NET_CONNECTWAIT_MSEC=30000
    Dieser definiert den Wert für einen Reconnect in Millisekunden.

    Maximalwert: Timeoutzeit

  4. Erstellen oder bearbeiten Sie den Eintrag

    NET_CONNECTCOUNT=

    Dieser definiert die Anzahl der Wiederholungen für einen Reconnect pro Zyklus.

    Default ist 0 Wiederholungen, das bedeutet 1 Reconnect-Versuch.


zenon Netzwerk einrichten

Handbuch > Netzwerk > zenon Netzwerk einrichten

Topologien

zenon unterstützt mehrere Netzwerk-Topologien:

  • Client-Server-Netzwerk:
    Auf dem Server und auf allen Clients läuft dasselbe Projekt.
  • Multi-Server-Netzwerk:
    Ein Client kann auf verschiedene Server zugreifen und so die Daten verschiedener Projekte zur selben Zeit darstellen.
  • Multi-Client-Multi-Server Modell:
    Alle Clients und Server kommunizieren miteinander. Aus jedem Projekt kann auch auf andere Projekte zugegriffen werden.

Netzwerk konfigurieren

Um ein Projekt netzwerkfähig zu machen:

  1. navigieren Sie in den Projekteigenschaften zum Knoten Netzwerk
  2. aktivieren Sie die Eigenschaft Netzwerk aktiv
  3. definieren Sie über die Eigenschaft Server 1 den Rechner, der im Projekt die Serverrolle übernimmt
    Hinweis: Die IP-Adresse genügt nicht, es muss der Name des Rechners eingetragen werden.

Nach Bedarf konfigurieren Sie in diesem Abschnitt noch

  • Standby Server: Eigenschaft Server 2
  • Redundanz: Eigenschaft Redundanztyp
  • Beenden-Benachrichtigung: Legt fest, ob beim Beenden der Runtime auf einem Server die Clients mit 70 Sekunden Vorlauf benachrichtigt werden.
  • Bedienberechtigung: Wenn aktive Bedienhandlungen zur gleichen Zeit nur auf einer Station ausgeführt werden sollen.

attention Achtung

Namensvergabe für Server 1 und Server 2:

  • Es muss der Rechnername eingegeben werden.
    Die Eingabe einer IP-Adresse ist nicht erlaubt.
  • localhost darf nicht verwendet werden.

Noch in diesem Kapitel

Client-Server Modell

Mehrprojektverwaltung

Horizontale Transparenz

Optimierung bei Projekten mit einer großen Anzahl von Clients


Client-Server Modell

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell

Im klassischen Client-Server Modell wird nur ein Projekt verwendet, das auf allen beteiligten Rechnern gestartet wird. Dabei ist ein bestimmter Rechner der Prozessführende Server für dieses Projekt. Alle anderen verbundenen Rechner sind Clients.

Für die Einrichtung des Client-Server Modells muss im Projekt

  • die Eigenschaft Netzwerk aktiv aktiviert werden
  • in die Eigenschaft Server 1 der Name des Rechners, der Prozessführender Server sein soll, eingetragen werden

Empfehlung: Wählen Sie als Prozessführenden Server den leistungsstärksten Rechner im Netzwerk.

Im zenon Client-Server Modell:

  • hat nur der Prozessführende Server eine direkte Verbindung zur SPS
  • verwaltet der Prozessführende Server alle Prozessdaten (z. B. Onlinedaten, Archivdaten, Alarme, Rezepte, etc.)
  • verwaltet der Prozessführende Server alle Projektdaten (z. B. Bilder, Funktionen, definierte Variablen, etc.)
  • startet jeder andere Rechner im Netzwerk als Client
  • baut jeder Client beim Runtime-Start die Verbindung zum Prozessführenden Server auf,
    • gleicht die Projektdaten ab und
    • stellt die aktuellen Prozessdaten dar

info Info

Das Client-Server Modell wird unter Windows CE vollständig unterstützt. Windows CE Geräte können als Prozessführender Server oder Client eingesetzt werden.

Noch in diesem Kapitel

Redundanz

Server einrichten

Einrichten der Clients


Redundanz

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Redundanz

Redundante SCADA Server werden dann eingesetzt, wenn hundertprozentige Prozesskontrolle und Datensicherheit gefordert wird, auch wenn ein Server ausfällt.

Diese Ausfallsicherheit erreichen Sie, indem Sie einem Projekt-Server einen zweiten Server, den sogenannten Standby Server zur Seite stellen. Dieser Standby erkennt einen Serverausfall automatisch. Fällt der Prozessführende Server aus, übernimmt der Standby Server die komplette Funktionalität des Servers.

Um einen Datenausfall in der Zeitspanne zwischen Serverausfall und Erkennen des Ausfalls zu verhindern, puffert der Standby immer alle anfallenden Daten. Diese Datenpufferung findet auch dann statt, wenn der Standby Server nicht der Prozessführende Server ist. Nach einem Serverausfall wird dieser Puffer nachgetragen, sodass keinerlei Datenverlust entsteht. Das Leitsystem garantiert damit eine stoßfreie Redundanz.

Abhängig von der Konfiguration der Eigenschaft Redundanzmodus wird der ursprüngliche Server nach dem Neustart entweder als Server, oder als Standby gestartet.

Redundanzmodus | Beschreibung
Nichtdominant | Der ursprüngliche Server (Server 1) startet als Standby. Server 2 behält die Serverrolle.
Dominant | Der ursprüngliche Server (Server 1) übernimmt nach Abgleich aller Daten wieder die Serverrolle. Server 2 wird zum Standby heruntergestuft.
Bewertet | Abhängig von der konfigurierten Bewertung wird der ursprüngliche Server entweder als Server, oder als Standby gestartet.

Detailierte Informationen dazu finden Sie im Kapitel Redundanzmodi in diesem Handbuch.

info Info

Wenn der Standby läuft und dann der Server gestartet wird, holt er sich alle Runtime-Daten vom Standby. Sollten Sie Änderungen im Projekt gemacht haben, während der Server nicht lief, und diese nur auf dem (nicht laufenden) Server upgedated haben, so werden diese Änderungen wieder überschrieben, wenn sich der Server die Daten vom Standby holt.

In diesem Fall müssen Sie die Daten vor dem Serverstart auch am Standby updaten oder den Standby ausschalten, bevor Sie den Server starten. Wenn Sie dann bei laufendem Server den Standby wieder starten, holt er sich automatisch die neuen Daten vom Server.

Einrichten des Standbys

  • Tragen Sie in den Netzwerkeigenschaften neben dem Server (Eigenschaft: Server 1) auch den Namen des Standby Servers (Eigenschaft: Server 2) ein.
  • Zur Übertragung der Runtime Dateien gehen Sie wie beim Client vor.

Das Leitsystem bietet zwei unterschiedliche Redundanzformen an:

Software- Redundanz | Die Steuerung ist nicht redundant. Nur das Leitsystem ist redundant ausgeführt. (Standardfall)
Hardware- Redundanz | Sowohl die Steuerung als auch das Leitsystem sind redundant ausgeführt.

Detailierte Informationen dazu finden Sie im Kapitel Redundanz in diesem Handbuch.


Server einrichten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Server einrichten

Der Prozessführende Server stellt die Verbindung zur SPS her und verwaltet alle Daten, sowohl Online-Daten als auch Projektierungsdaten. Die Clients gleichen ihre Daten mit dem Prozessführenden Server ab.

Zur Einrichtung des Prozessführenden Servers

  1. Aktivieren Sie die Eigenschaft Netzwerk aktiv.
  2. Definieren Sie über die Eigenschaft Server 1 den Rechner, der Prozessführender Server für das Projekt sein soll.
    Hinweis: Die IP-Adresse darf nicht verwendet werden, es muss der Name des Rechners eingetragen werden.
  3. Achten Sie auf die korrekte Konfiguration der Variablen vom Intern Treiber.
  4. Optional: Erstellen Sie, falls nötig, AUTOSTART und AUTOEND Skripte für die Clients

attention Achtung

Namensvergabe für Server 1 und Server 2:

  • Es muss der Rechnername eingegeben werden.
    Die Eingabe einer IP-Adresse ist nicht erlaubt.
  • localhost darf nicht verwendet werden.
  • Wenn der Entwicklungsrechner, auf dem Sie das Projekt erstellt haben, zugleich der Prozessführende Server ist, ist die Konfiguration abgeschlossen.

Ist der Entwicklungsrechner nicht der gewünschte Server, übertragen Sie Ihre Projektierung auf den gewünschten Rechner. Die Daten können via Remote Transport oder der Netzwerktopologieübertragen werden.

info Info

Weitere Informationen dazu finden Sie im Kapitel Netzwerktopologie verwalten und prüfen oder im Handbuch Remote Transport.


Einrichten der Clients

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Einrichten der Clients

Clients können über den Remote-Transport, über die Netzwerktopologie oder von Hand eingerichtet werden. Empfohlen wird die Einrichtung per Remote-Transport oder per Netzwerktopologie.

Dabei gilt:

  • Sollte der Entwicklungsrechner auch ein Client sein, so starten Sie auf diesem Rechner lokal die Runtime.
  • Alle anderen Clients richten Sie entweder per Remote-Transport, per Netzwerktopologie oder manuell ein.
  • Sollen auf den Clients spezielle Abläufe ausgeführt werden, muss im Projekt ein Skript erstellt werden, das das Verhalten beim Start (Skript AUTOSTART_CLIENT) und beim Beenden (Skript AUTOEND_CLIENT) definiert.

info Info

Weitere Informationen finden Sie im den Kapitel Netzwerktopologie verwalten und prüfen oder im Handbuch Remote-Transport.

Noch in diesem Kapitel

Client mit Remote-Transport einrichten

Client über Netzwerktopologie einrichten

Client manuell einrichten

Verhalten zur Runtime


Client mit Remote-Transport einrichten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Einrichten der Clients > Client mit Remote-Transport einrichten

Standardmäßig überträgt der Remote-Transport Dateien immer zu dem Rechner, der in der Projekteigenschaftengruppe Netzwerk als Server projektiert ist. Um Clients vom Entwicklungsrechner aus per Remote-Transport einzurichten, muss vor dem Einrichten des Clients das Ziel der Remote-Transport Verbindung neu konfiguriert werden.

Um Clients per Remote-Transport einzurichten:

  1. Öffnen Sie in den Projekteigenschaften den Knoten Allgemein.
  2. Klicken Sie auf die Eigenschaft Remote-Transport.
    Der Dialog Remote-Transport wird geöffnet.
  3. Tragen Sie im Bereich Verbindung in der Eigenschaft Name den Namen des Clients im Netzwerk ein.
  4. Bestätigen Sie diese Konfiguration mit Klick auf die Schaltfläche OK.
  5. Bauen Sie eine Remote-Transport Verbindung zum Client auf.
    Für die weitere Nutzung des Remote-Transport benutzen Sie am besten die Symbole der Symbolleiste.
  6. Transportieren Sie mit dem Remote-Transport alle Runtime-Dateien zum Client.
  7. Setzen Sie mit dem Remote-Transport das Startprojekt für den Client.
  8. Starten Sie mit dem Remote-Transport die Runtime auf dem Client.
  9. Beenden Sie die Remote-Transport Verbindung.

info Info

Weitere Informationen finden Sie im Handbuch Remote-Transport.


Client über Netzwerktopologie einrichten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Einrichten der Clients > Client über Netzwerktopologie einrichten

Um mehrere Clients gleichzeitig einzurichten, eignet sich die Netzwerktopologie. Dabei können per Mehrfachauswahl Runtime Dateien an mehrere Rechner gleichzeitig übertragen werden.

info Info

Weitere Informationen dazu finden Sie im Kapitel Netzwerktopologie.


Client manuell einrichten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Einrichten der Clients > Client manuell einrichten

Um Clients für den Start der Runtime zu konfigurieren:

  1. Schließen Sie den zenon Editor und die zenon Runtime.
  2. Öffnen Sie die Datei zenon6.ini mit einem Texteditor.
    Sie finden die Datei im Ordner %ProgramData%\COPA-DATA\System\
  3. Entfernen Sie die Zeile VBF30 =.... oder kommentieren Sie diese Zeile aus.

    (Hinweis: Dieser Eintrag legt fest, welches Projekt die Runtime beim Start laden soll.)

  4. Lassen Sie den Editor geschlossen und starten Sie die Runtime.
  5. In einem Dialog wird abgefragt, welches Projekt geladen werden soll.

  6. Aktivieren Sie die Checkbox für die Option Projekt von Runtime Server laden.

  7. Konfigurieren Sie die Eingabefelder:
    1. Runtime-Server:
      Rechner, der als Prozessführender Server eingerichtet wurde. Der Name kann direkt eingetragen oder über die Schaltfläche ... aus einer Liste ausgewählt werden.
      Weitere Informationen zur Projektierung bei einem redundanten Netzwerk finden Sie im Anschluss an diese Schritt-für-Schritt-Anleitung
    2. Projektname:
      Name des Projekts, das auf dem Prozessführenden Server läuft.
      Hinweis: Achten Sie hier auf den korrekten Projektnamen. Falls der Ordnername nicht dem Projektnamen entspricht, muss der Projektname hier angepasst werden!
    3. Projekt-Zielordner:
      Ordner für Runtime auf der lokalen Festplatte des Clients. Sie können entweder einen bestehenden Ordner über die Schaltfläche ... auswählen oder einen Pfad von Hand eingeben. Wird ein noch nicht existierender Ordner eingegeben, wird dieser automatisch angelegt.
    4. Bestätigen Sie die Eingaben mit Klick auf OK.
  8. Diese Projektierungen haben in der zenon Runtime folgende Auswirkung.
    Die Runtime:
    1. baut eine Verbindung zum Prozessführenden Server auf
    2. kopiert dessen Runtime Dateien in den Projekt-Zielordner
    3. startet die Runtime
    4. fordert - wenn notwendig - zu einem Neustart der Runtime auf
  9. Der Eintrag VBF30=... in der Datei zenon6.ini wird auf den Projekt-Zielordner gesetzt.

    Damit startet die Runtime auf dem Client bei jedem weiteren Start automatisch das Netzwerk-Projekt.

attention Achtung

Wiederholen Sie diesen Vorgang für jeden Client.

Konfiguration des Runtime Servers im redundanten Netzwerk

Bei einer redundanten zenon Netzwerkkonfiguration ist die Rollenvergabe Prozessführender Server und Standby Server abhängig vom eingestellten Redundanzmodus. Dabei kann sich die Rolle der projektierten Rechner Server 1 und Server 2 zur Runtime, abhängig von der Konfiguration des Redundanzmodus und der aktuellen Bewertung (bei Redundanzmodus Bewertet), über die Zeit ändern.

Für die Konfiguration im Dialog Runtime Server geben Sie daher immer beide Server ein. Die Servernamen sind durch einen Strichpunkt (;) voneinander getrennt. Leerzeichen für die Servernamen sind erlaubt.

Die Reihenfolge der eingegebenen Server entspricht der Reihenfolge der Projektierung. Bei nicht übereinstimmenden Rechnernamen startet die Client Runtime nicht.

Wird die Projektierung von Server 1 oder Server 2 geändert, wird während des Nachladens am Client diese Änderung entdeckt. In der Runtime wird ein Dialog angezeigt, der über die geänderte Serverkonfiguration informiert und einen Neustart des Clients erzwingt.

Stellen Sie sicher, die neuen Runtime-Dateien im Bedarfsfall erneut an den Clients zu übertragen.


Verhalten zur Runtime

Handbuch > Netzwerk > zenon Netzwerk einrichten > Client-Server Modell > Einrichten der Clients > Verhalten zur Runtime

Netzwerkprojekte lassen sich zur Runtime von allen Rechnern im Netzwerk gleich bedienen und werden gleich visualisiert. Ist beim Start der Runtime kein gültiges Projekt definiert, wird der Dialog zur Festlegung des Runtime-Projekts geöffnet. Details siehe Abschnitt Client manuell einrichten.

Unterschiede zwischen dem Prozessführenden Server und den Clients:

  • Nur der Prozessführende Server des Projekts hat eine Verbindung zur Hardware und verwaltet die Prozessdaten.
  • Die anderen Rechner (Clients) erhalten von diesem:
    • aktuelle Werte der Variablen
    • Systemmeldungen der Chronologischen Ereignisliste
    • Alarminformationen
    • Rezepte
    • Archivdaten
    • etc.

Die Übertragung vom Prozessführenden Server zu den Clients erfolgt spontan (z.B. Wertänderung von einem Treiber) und ereignisgesteuert (z.B. Aufschalten eines zenon Bilds vom Typ Erweiterter Trend, das Archivdaten vom Prozessführenden Server benötigt).

Überwachung der Verbindung

Bei Verwendung der Standardeinstellung von 30 Sekunden für die Eigenschaft Network communication timeout im Startup Tool, schickt der Netzwerkdienst (zenNetSrv.exe) jedes Clients während des Online-Betriebs alle 10 Sekunden einen Watchdog an den Netzwerkdienst (zenNetSrv.exe) des Prozessführenden Servers. Wenn der Prozessführende Server innerhalb von 30 Sekunden zumindest einen der drei Watchdogs beantwortet, geht der jeweilige Client davon aus, dass die Netzwerkverbindung in Ordnung ist.


Mehrprojektverwaltung

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung

Die Mehrprojektverwaltung ermöglicht dezentrale Lösungen. Unterprojekte können auf verschiedene Rechner verteilt werden. Die einzelnen Rechner wiederum können Prozessführender Server, Standby Server oder Client für die jeweiligen Unterprojekte sein.

Mithilfe der Mehrprojektverwaltung können:

  • im Editor mehrere Projekte in einem Arbeitsbereich gleichzeitig bearbeitet werden
  • zur Runtime mehrere Projekte gleichzeitig gestartet und so projektübergreifend direkt auf Variablen, Funktionen, Archive usw. aus anderen Projekten zugegriffen werden

info Info

Mehrprojektverwaltung steht unter zenon Operator nicht zur Verfügung. Hier können im Editor pro Arbeitsbereich jeweils nur ein Projekt und ein Globalprojekt angelegt und verwaltet werden. Die Runtime kann nur ein Projekt starten.

Struktur

Voraussetzung ist ein Integrationsprojekt, das in der Runtime als Startprojekt geladen wird.

zenon baut einen mehrhierarchischen Projektbaum auf, an dessen Spitze das Integrationsprojekt steht. Die Mehrprojektverwaltung ermöglicht es, die Projekte in eine logische Verbindung zueinander zu setzen.

info Info

Konfigurieren und überprüfen Sie die Topologie mit der zenon Netzwerktopologie.

Effizient arbeiten mit der Mehrprojektverwaltung und der Projekthierarchie

zenon ermöglicht es, Daten und Bilder der bestehenden Projekte konsequent wiederzuverwenden. Die zenon Mehrprojektverwaltung schafft eine logische Verbindung zwischen den einzelnen Projekten und setzt diese in eine hierarchische Verbindung zueinander. Der Anwender kann diese Projekthierarchie grafisch im zenon Editor abbilden, indem er die Projekte mit der Maus an die gewünschte Position zieht und damit einen mehrhierarchischen Projektbaum aufbaut.

Das in der Hierarchie am höchsten stehende Projekt ist das Integrationsprojekt. Alle anderen Projekte sind diesem Projekt untergeordnet. In der Projektstruktur stehen die Daten der einzelnen Projekte projektübergreifend zur Verfügung.

Die zenon Mehrprojektstruktur ist vergleichbar mit einem Aktenordner:

  • Es können jederzeit zusätzliche Blätter – zenon Projekte – hinzugefügt werden. Der Ordner umfasst automatisch immer alle Informationen der darin abgelegten Blätter. Man kann jederzeit durch die Seiten blättern und sich alle Informationen ansehen, ohne die einzelnen Blätter herauslösen zu müssen. In der zenon Mehrprojektstruktur können Anwender zwischen den einzelnen Bildern oder Projekten wechseln, ohne diese herausnehmen zu müssen.
  • Das Integrationsprojekt lässt sich mit dem Inhaltsverzeichnis des Aktenordners vergleichen. Es dient als zentrales Navigationsprojekt und ermöglicht es, Bilder oder Daten aus den untergeordneten Projekten anzuzeigen. Die einzelnen Projekte sind autark und können auch weiterhin autark betrieben werden. Der Zugriff von einem Projekt auf die Daten oder Bilder eines anderen Projekts erfolgt über die zenon Standardschnittstellen. Erweiterungen oder Projektänderungen erfolgen direkt in den einzelnen Projekten. Eventuelle Wartungsarbeiten haben nur auf das jeweilige Projekt Einfluss, das Gesamtsystem bleibt davon unberührt.

Hinweis: Beachten Sie bei der Konfiguration die Empfehlungen zur Bildschirmkonfiguration.

Mehrprojektverwaltung bedeutet

  • Kleine überschaubare Strukturen.
  • Einfache, schnelle und übersichtliche Wartung einzelner Projekte.
    Zum Beispiel können einzelne Projekte gezielt außer Betrieb genommen werden, ohne die anderen zu beeinflussen. Ebenso können Projekte auf unterschiedliche Rechner aufgeteilt werden.
  • Lastverteilung.
  • Projektübergreifende Bedienung, da alle auf einem Rechner befindlichen Projekte gleichzeitig aktiv sind.
  • Mehrhierarchische Netzwerkstruktur ermöglicht das Zusammenfassen von Daten (Messwerte, Alarme, Betriebsmeldungen, Archivdaten usw.) in einem übergeordneten Projekt.
  • Keine Beschränkung der Projektanzahl pro Rechner.
  • Zusammenfassung von Projekten zu großen Leitständen.
  • Knotenstruktur – physikalische Netzwerktrennung.

Noch in diesem Kapitel

Definition der Struktur im Editor

Projekte übertragen und starten

Projekte verwalten


Definition der Struktur im Editor

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Definition der Struktur im Editor

Die Struktur wird im Editor durch einfaches Drag&Drop erstellt. Sie benötigen zusätzlich zu produktiven Projekten ein Integrationsprojekt, das alle unterliegenden Projekte verwaltet. Da Einzelplatzprojekte keine Daten an andere Rechner liefern, muss in jedem (Unter-)Projekt ein Prozessführender Server definiert werden. Das Integrationsprojekt selbst kann auch ein netzwerkfähiges Produktivprojekt sein.

Beispiel

In diesem Beispiel werden drei Projekte verwendet:

  • Integrationsprojekt IPRO
  • Produktivprojekt PRO1
  • Produktivprojekt PRO2

Um die Struktur zu erstellen:

  1. erstellen Sie drei Projekte:
    • IPRO
    • PRO1
    • PRO2
  2. Definieren Sie je einen Rechner als Prozessführenden Server
    (Das Integrationsprojekt kann auch als Einzelplatzprojekt ausgeführt sein)
  3. ziehen Sie im Projekt-Manager PRO1 mit gedrückter linker Maustaste auf IPRO
  4. verfahren Sie mit PRO2 ebenso
  5. PRO1 und PRO2 werden im Projekt-Manager jetzt als Zweige des Projekts IPRO angezeigt

Damit ist die hierarchische Struktur erstellt.

info Info

Damit Elemente der Unterprojekte, wie Bilder, Variablen oder Funktionen ausgewählt werden können, muss die Option Projekt im Speicher halten im Kontextmenü des Projekts aktiviert sein.


Projekte übertragen und starten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte übertragen und starten

Mithilfe der Netzwerktopologie kann das Integrationsprojekt mitsamt aller Unterprojekte automatisch auf die jeweiligen Zielrechner übertragen werden. Ist das Integrationsprojekt auch das Startprojekt, werden auch alle Unterprojekte automatisch übertragen.

Projekte manuell übertragen und starten

Um Projekte manuell zu übertragen und zu starten, kann der Remote-Transport verwendet werden.
Da wird jedes Projekt einzeln auf die entsprechenden Rechner übertragen.

  • Transportieren Sie mit dem Remote-Transport alle Runtime-Dateien von PRO1 zu dessen Prozessführendem Server.
  • Setzen Sie mit dem Remote-Transport das Startprojekt.
  • Starten Sie mit dem Remote-Transport die Runtime.
  • Beenden Sie die Online-Verbindung.
  • Verfahren Sie mit PRO2 ebenso.

info Info

Um in diesem Beispiel das Integrationsprojekt sowie die beiden Unterprojekte per Remote-Transport an einen Client zu übertragen, sind 3 Remote-Transport Vorgänge (für jedes Projekt ein Vorgang) notwendig.

Hier ist die Netzwerktopologie zu bevorzugen, da alle Projekte gleichzeitig auch auf mehrere Rechner übertragen werden können.

Zusätzliche Informationen

  • Details zur Netzwerktopologie lesen Sie im Kapitel Netzwerktopologie verwalten und prüfen.
  • Die Konfiguration der Rechner mit einem Beispiel für die automatische Übertragung der Unterprojekte finden Sie im Abschnitt Konfiguration Rechner im Netz.
  • Details für die Dateiübertragung finden Sie im Handbuch Remote-Transport.


Projekte verwalten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten

Um auf die Daten von Unterprojekten zuzugreifen, stehen Ihnen unter anderem folgende Möglichkeiten zur Verfügung:

  • Integrationsprojekt
  • Navigation zwischen Projekten
  • Variablen oder Funktionen eines anderen Projekts nutzen
  • Rezepte auf unterschiedliche Variablen in unterschiedlichen Projekten absetzen
  • Archive projektübergreifend erstellen
  • gemeinsame AML oder CEL für verschiedene Projekte erstellen

attention Achtung

Beachten Sie bei der Konfiguration, auf welchen Rollen (Prozessführender Server, Standby Server, Client) welche Module und Funktionen ausgeführt werden. Eine Liste der möglichen Konfigurationen finden Sie hier: Verhalten von Modulen im Netzwerk.

Noch in diesem Kapitel

Das Integrationsprojekt


Das Integrationsprojekt

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten > Das Integrationsprojekt

Das Integrationsprojekt verwaltet Unterprojekte, auf die in der Runtime zugegriffen werden kann. Das Integrationsprojekt kann in der Mehrprojektverwaltung als reines Verwaltungsprojekt eingesetzt (z.B. nur für die Navigation zu den Unterprojekten) oder auch als vollwertiges Produktivprojekt (mit eigener SPS-Anbindung, Archivierung, etc.) genutzt werden. Wird das Integrationsprojekt als Startprojekt gesetzt, werden in der Runtime alle unterlagerten Projekte automatisch mitgestartet.

In einem Integrationsprojekt können Sie beispielsweise mit wenigen Mausklicks zentrale Alarmmeldelisten oder Chronologische Ereignislisten über alle untergeordneten Projekte erstellen. So können die Alarme aller Unterprojekte in der Alarmmeldeliste des Integrationsprojekts chronologisch sortiert angezeigt werden.

attention Achtung

Achten Sie bei der Gestaltung der Mehrprojektverwaltung auf eine funktionierende Navigation.

info Info

Um Unterprojekte löschen zu können, müssen diese bearbeitbar sein. So kann zum Beispiel ein Unterprojekt, das mit einer früheren Editor-Version erstellt wurde wie das Integrationsprojekt, erst nach der Konvertierung gelöscht werden.

Noch in diesem Kapitel

Navigation zwischen Projekten

Variablen und Funktionen

Archive

Rezepte

Alarme und CEL


Navigation zwischen Projekten

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten > Das Integrationsprojekt > Navigation zwischen Projekten

Bei der Verwaltung mehrerer Unterprojekte in einem Integrationsprojekt ist es unbedingt nötig, dafür zu sorgen, dass man zur Runtime jederzeit von einem Unterprojekt in ein anderes oder in das Integrationsprojekt wechseln kann.
Tipp: Legen Sie eine Schablone an, die sich immer im Vordergrund befindet. Legen Sie darauf basierend ein Bild mit Navigationsschaltflächen an.

Bildumschaltung auf Unterprojekte

Um zwischen Bilder von einzelnen Projekten umzuschalten, benutzen Sie die zenon Funktion Bildumschaltung. Damit die Navigation immer zur Verfügung steht, erstellen Sie im ersten Schritt eine Schablone, die sich immer im Vordergrund befindet:

  1. Erstellen Sie eine neue Schablone, die Platz für die Navigationselemente bietet.
  2. Weisen Sie ihr die Eigenschaft Immer im Vordergrund zu.
  3. Aktivieren Sie die Eigenschaften Rahmenart und Titel (damit kann die Schablone zur Runtime verschoben werden).
    Natürlich kann auch eine Schablone ohne Rahmen und Titel, die sich an einer fixen Position befindet, verwendet werden.
  4. Erstellen Sie auf Basis dieser Schablone ein Bild mit Schaltflächen zur Navigation.

Beispiel Umschaltung zwischen PRO1 und PRO2

  1. Legen Sie eine neue Funktion Bildumschaltung an.
  2. Ist mehr als ein Projekt im aktuellen Arbeitsbereich vorhanden, wird der Dialog zur Bildauswahl auf die Auswahl eines Projekts erweitert.

  3. Wählen Sie PRO1.
  4. Wählen Sie das Startbild von PRO1 aus und schließen Sie den Dialog mit OK.
  5. Wiederholen Sie die Punkte 1 bis 4 für PRO2.
  6. Fügen Sie im Bild zur Navigation zwei Textbuttons mit der Beschriftung PRO1 und PRO2 ein.
  7. Verknüpfen Sie die beiden Textbuttons jeweils mit den erstellten Funktionen.

attention Achtung

zenon überprüft im Editor nicht, ob die Netzwerk-Struktur in der Runtime auch tatsächlich einen Zugriff auf das ausgewählte Projekt/Bild erlaubt.

Zum Beispiel kann im Editor im Projekt PRO1 eine Bildumschaltung auf ein Bild im Integrationsprojekt erstellt werden. Diese Umschaltung funktioniert in der Runtime nur dann, wenn auch das Integrationsprojekt gestartet ist. Auf einem Rechner, auf dem nur das Projekt PRO1 gestartet ist (Startprojekt), wird diese Bildumschaltung nicht funktionieren.


Variablen und Funktionen

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten > Das Integrationsprojekt > Variablen und Funktionen

Sie können über Dynamische Elemente direkt auf Variablen und Funktionen aus anderen Projekten desselben Arbeitsbereichs zugreifen.

Beispiel Variable

  1. Öffnen Sie das Startbild des IPRO.
  2. Fügen Sie ein neues Dynamisches Element Zahlenwert ein.
  3. Jetzt öffnet sich der Variablenauswahl-Dialog.

  4. Hier können Sie nicht nur Variablen aus dem Projekt IPRO auswählen. Um eine Variable eines anderen Projekts zu wählen:
    1. Wählen Sie im linken Listenbereich ein Projekt aus der Baumansicht des Arbeitsbereichs aus.
      Die Variablen des gewählten Projekts werden im Hauptbereich angezeigt.
    2. Wählen Sie die gewünschte Variable mit einem Mausklick aus.
  5. Wählen Sie eine Variable aus dem PRO1 oder PRO2 aus.

Für Funktionen gehen Sie analog vor.

attention Achtung

zenon überprüft im Editor nicht, ob die Netzwerk-Struktur in der Runtime auch tatsächlich einen Zugriff auf das ausgewählte Projekt und seine Variablen/Funktionen erlaubt.

Zum Beispiel kann im Editor im Projekt PRO1 eine Variable aus dem Integrationsprojekt gewählt werden. Diese Verbindung funktioniert in der Runtime nur dann wenn auch das Integrationsprojekt gestartet ist. Auf einem Rechner, auf dem nur das Projekt PRO1 gestartet ist (Startprojekt), wird diese Verbindung nicht funktionieren.


Archive

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten > Das Integrationsprojekt > Archive

In einem Archiv können Werte von Variablen verschiedener Projekte des Arbeitsbereichs aufgezeichnet werden. Die so aufgezeichneten Werte können wie die Daten normaler Archive gefiltert, in Listen oder als Trends angezeigt sowie ausgedruckt oder exportiert werden.

Beispiel Archiv

  1. Öffnen Sie im Projekt IPRO den Knoten Archivserver.
  2. Legen Sie ein neues Archiv mit dem Namen BA - BASIS an.
  3. Öffnen Sie das Kontextmenü der Variablenliste und wählen Sie Variable hinzufügen.
  4. Der Variablenauswahl-Dialog wird geöffnet.

  5. Hier können Sie nicht nur Variablen aus dem IPRO auswählen. Um Variablen anderer Projekte zu wählen:
    1. Wählen Sie im linken Listenbereich ein Projekt aus der Baumansicht des Arbeitsbereichs aus.
      Die Variablen des gewählten Projekts werden im Hauptbereich angezeigt.
    2. Wählen Sie die gewünschte Variable mit einem Mausklick aus.
  6. Wählen Sie Variablen aus PRO1 und aus PRO2 aus.
  7. In der Variablenliste des Archivs wird vor dem Variablennamen der Name des jeweiligen Projekts angeführt.

attention Achtung

zenon überprüft im Editor nicht, ob die Netzwerk-Struktur in der Runtime auch tatsächlich einen Zugriff auf das ausgewählte Projekt und seine Variablen erlaubt.

Zum Beispiel kann im Editor im Projekt PRO1 eine Variable aus dem Integrationsprojekt gewählt werden. Diese Verbindung funktioniert in der Runtime nur dann, wenn auch das Integrationsprojekt gestartet ist. Auf einem Rechner, auf dem nur das Projekt PRO1 gestartet ist (Startprojekt), wird diese Verbindung nicht funktionieren!

Nach Abschluss der Variablenauswahl weist ein Warndialog darauf hin, dass in redundanten Systemen unter Umständen die lückenlose Aufzeichnung nicht gewährleistet ist.

Beispiel

  • Das Projekt PRO1 wird redundant ausgeführt, ein Rechner ist der Prozessführende Server, ein zweiter ist Standby Server.
  • Für das Projekt PRO2 gilt dasselbe.
  • Das Integrationsprojekt mit den untergeordneten Projekten PRO1 und PRO2 wird auf einem dritten Rechner gestartet. Dieser ist Client für die Unterprojekte.

Werden nun Variablen der Projekte PRO1 und PRO2 im Integrationsprojekt archiviert, dann bekommt der Rechner die Daten über das Netzwerk vom jeweiligen Prozessführenden Server von PRO1 und PRO2.
Fällt zum Beispiel der Prozessführende Server von PRO1 aus, würden für den Zeitraum bis der Standby Server von PRO1 die Server-Rolle übernommen hat, Ersatzwerte im Archiv für Variablen aus PRO1 stehen.
Hinweis: Der Standby-Puffer der stoßfreien Redundanz speichert nur Variablen des Projektes für die der Rechner als einer der beiden Server projektiert wurde.
Lösung: Um eine lückenlose Aufzeichnung zu gewährleisten, muss die Archivierung lokal im redundant ausgeführten Unterprojekt stattfinden.


Rezepte

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten > Das Integrationsprojekt > Rezepte

Sie können in einem Rezept Werte auf Variablen verschiedener Projekte des Arbeitsbereichs absetzen.

Beispiel Rezept

  1. Öffnen Sie im Projekt IPRO den Knoten Rezepte.
  2. Legen Sie unter Rezepte Standard-Rezepte ein neues Rezept mit dem Namen Rezept 1 an.
  3. Öffnen Sie das Kontextmenü von Rezept 1 und wählen Sie Variable hinzufügen.
  4. Der Variablenauswahl-Dialog wird geöffnet.

  5. Hier können Sie nicht nur Variablen aus dem IPRO auswählen. Um Variablen anderer Projekte zu wählen:
    1. Wählen Sie im linken Listenbereich ein Projekt aus der Baumansicht des Arbeitsbereichs aus.
      Die Variablen des gewählten Projekts werden im Hauptbereich angezeigt.
    2. Wählen Sie die gewünschte Variable mit einem Mausklick aus.
    3. Wählen Sie Variablen aus PRO1 und aus PRO2 aus.
    4. In der Variablenliste des Rezepts wird dann vor dem Variablennamen auch der Name des jeweiligen Projekts angeführt.

Für den Rezeptgruppenmanager gehen Sie analog vor.

attention Achtung

zenon überprüft im Editor nicht, ob die Netzwerk-Struktur in der Runtime auch tatsächlich einen Zugriff auf das ausgewählte Projekt und seine Variablen erlaubt.

Zum Beispiel kann im Editor im Projekt PRO1 eine Variable aus dem Integrationsprojekt gewählt werden. Diese Verbindung funktioniert in der Runtime nur dann, wenn auch das Integrationsprojekt gestartet ist. Auf einem Rechner, auf dem nur das Projekt PRO1 gestartet ist (Startprojekt), wird diese Verbindung nicht funktionieren.


Alarme und CEL

Handbuch > Netzwerk > zenon Netzwerk einrichten > Mehrprojektverwaltung > Projekte verwalten > Das Integrationsprojekt > Alarme und CEL

In zenon können Systemmeldungen und Alarme aus verschiedenen Projekten eines Arbeitsbereichs gemeinsam in einer Liste angezeigt werden. Diese Einträge können wie die Daten normaler Alarmmeldelisten oder Chronologischer Ereignislisten gefiltert, angezeigt, ausgedruckt oder exportiert werden.

Beispiel AML

  1. Legen Sie ein Bild vom Typ AML an.
  2. Fügen Sie über Kontrollelemente -> Vorlagen einfügen Kontrollelemente in das Bild ein.
  3. Erstellen Sie eine Funktion Bildumschaltung auf dieses Bild.
  4. Der Filterdialog für Alarmlisten wird geöffnet.
  5. Öffnen Sie die Registerkarte Projekt.
  6. Wählen Sie die Projekte aus, die in der AML des IPRO angezeigt werden sollen.
    (Mehrfachauswahl Steuerung-Taste plus Mausklick.)

  7. Öffnen Sie die Registerkarte Spalteneinstellungen.
  8. Wählen Sie für die Anzeige in der Runtime auch die Eigenschaft Projektname.
    So behalten Sie zur Runtime Überblick, aus welchem Projekt ein Alarm kommt.

Für die Chronologische Ereignisliste gehen Sie analog dazu vor.


Horizontale Transparenz

Handbuch > Netzwerk > zenon Netzwerk einrichten > Horizontale Transparenz

Die Mehrprojektverwaltung ermöglicht auch die sogenannte Horizontale Transparenz.

Horizontale Transparenz bedeutet, dass alle Projekte, die sich auf einer Ebene befinden, auf einem Rechner aufgeschaltet werden können. Voraussetzung ist ein Integrationsprojekt mit entsprechender Navigation, das diese Projekte startet.

Beispiel

Mehrere Terminals gehören zu einer Maschine. Jedes hat sein eigenes Visualisierungsprojekt. Mit Hilfe der Horizontale Transparenz lassen sich auf allen Terminals jeweils das eigene Projekt und alle anderen Projekte aufschalten und bedienen. So kann von jedem Terminal aus die komplette Maschine überwacht und bedient werden.


Optimierung bei Projekten mit einer großen Anzahl von Clients

Handbuch > Netzwerk > zenon Netzwerk einrichten > Optimierung bei Projekten mit einer großen Anzahl von Clients

Große Netzwerkprojekte können unter Umständen mit Standardeinstellungen den Prozessführenden Server durch das gleichzeitige Nachladen vieler Clients über längere Zeit auslasten. Das Ausmaß der Auslastung hängt von mehreren Faktoren ab (Ressourcen des Prozessführenden Servers, verfügbare Bandbreite etc.).
Richtwerte:

  • Runtime-Dateien mit 10 MB oder größer
  • mehr als 50 Clients

In diesem Fall kann der Nachladevorgang optimiert werden, um ein gleichzeitiges Nachladen aller Clients zu verhindern. Die Projektierung dazu nehmen Sie in der project.ini vor.

Mögliche INI-Einträge für die die Optimierung des Nachladevorgangs von Clients im zenon Netzwerk:

  • RELOADDELAY_SEC
  • CLIENT

Zufällige Nachladeverzögerung (RELOADDELAY_SEC)

Mit dem INI-Eintrag RELOADDELAY_SEC wird das Nachladen um einen Zufallswert verzögert.
Dazu:

  1. Öffnen Sie die project.ini im Ordner \Projekt_SQL_Ordner\FILES\zenon\system\.
    Tipp: Markieren Sie das Projekt im Projektmanager und drücken Sie die Tastenkombination Strg+Alt+E, der Explorer öffnet den Ordner \Projekt_SQL_Ordner\FILES\
  2. Navigieren Sie zum Abschnitt [NETZ].
  3. Erstellen Sie den Eintrag RELOADDELAY_SEC=[Wert].
  4. Wählen Sie für Wert einen Wert für die Verzögerung.

Beim Nachladen wird für jeden Client eine zufällige Verzögerung in Sekunden berechnet, die zwischen 0 und dem gewählten Wert liegt. 0 bedeutet keine Verzögerung (Standardverhalten). Der gewählte Wert hat keinen Einfluss auf Einzelplatzprojekte, am Prozessführenden Server und am Standby Server.

Hinweis: Dieser Eintrag sollte nur in sehr großen Projekten bei merkbarer Verzögerung beim Nachladen gesetzt werden. In Normalprojekten sind die Standardeinstellungen performanter.

Definierte Nachladeverzögerung (CLIENTx)

Mit dem INI-Eintrag CLIENTx können die Nachladezeiten für Clients unterschiedlich definiert werden.

  1. Öffnen Sie die project.ini im Ordner \Projekt_SQL_Ordner\FILES\zenon\system\.
    Tipp: Markieren Sie das Projekt im Projektmanager und drücken Sie die Tastenkombination Strg+Alt+E, der Explorer öffnet den Ordner \Projekt_SQL_Ordner\FILES\
  2. Navigieren Sie zum Abschnitt [NETZ].
  3. Erstellen Sie für jeden Client einen Eintrag CLIENTx=[Wert].
    x = die fortlaufende Nummerierung für Clients.
    CLIENT[laufende Nummer]=Clientname,[Nachladeverzögerung in Sekunden]
  4. Wählen Sie für Wert einen Wert für die Verzögerung.
    Beispiel:
    • CLIENT0=VM-CDSBG104,5
    • CLIENT1=WKS001,10

Achtung: die laufende Nummerierung der Clients muss kontinuierlich fortlaufend sein. Existieren z.B. Einträge für CLIENT0, CLIENT1, CLIENT2, CLIENT3 und CLIENT5 so werden nur die Einträge der folgenden Clients berücksichtigt: Client0, Client1, Client2 und Client3. Die Nachladeverzögerung für Client5 wird nicht berücksichtigt.

info Info

Für Clients, welche über keinen CLIENTx-Eintrag verfügen gilt die zufällige Nachladeverzögerung, wie im Eintrag RELOADDELAY_SEC angegeben.

Ist auch dieser Eintrag leer, wird sofort nachgeladen.

Nachladen durch System verzögert

Das Nachladen der Runtime wird vom System auf einen späteren Zeitpunkt verschoben, wenn:

  • der Benutzer ein Kontextmenü oder einen Dialog öffnet
  • eine Nachrichtenbox angezeigt wird

Das Nachladen wird in diesem Fall erst durchgeführt, wenn diese Elemente wieder geschlossen wurden.


Starke Verschlüsselung der Netzwerkkommunikation

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation

zenon ermöglicht die starke Verschlüsselung der Kommunikation im zenon Netzwerk. Die starke Verschlüsselung funktioniert ab zenon Version 7.0 für alle unterstützten Betriebssysteme und für den zenon Web Client.

Bei aktiver Verschlüsselung erfolgt die Kommunikation zwischen Prozessführendem Server, Standby Server, Clients und zenon Web Clients verschlüsselt, der zenon Web Server leitet Datenpakete nur weiter und ist von der Verschlüsslung nicht betroffen.

info Info

Netzwerkkommunikation wurde auch in früheren Versionen in zenon verschlüsselt. Mit Version 7 hat sich die Methode geändert. Der Begriff "Verschlüsselung" im Zusammenhang mit zenon 7 oder höher meint immer starke Verschlüsselung.

Noch in diesem Kapitel

Grundlagen

Verschlüsselung aktivieren

Passwort Netzwerkverschlüsselung

Checkliste bei Fehler

Fehlermeldungen


Grundlagen

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Grundlagen

Die Verschlüsselung für die zenon Runtime steht ab Version 7.00 zur Verfügung. Bei eingeschalteter Verschlüsselung ist die Kommunikation mit niedrigeren zenon Versionen nicht möglich. Die Verschlüsselung beeinträchtigt keine zenon Funktionalitäten.

Grundlagen Verschlüsselung ab zenon 7.00

Um die starke Verschlüsselung des zenon Netzwerks zu nutzen, beachten Sie:

  • Das Passwort wird rechnerbezogen individuell verschlüsselt und in der zenon6.ini abgelegt. Das bedeutet:
    • Das Passwort kann nicht durch kopieren der zenon6.ini auf einen anderen Rechner übertragen werden.
    • Ändern sich Hardwarekomponenten, vor allem im Bereich Netzwerkadapter, wird das Passwort eventuell ungültig und muss neu eingegeben werden.
  • Die Verschlüsselung muss immer für alle beteiligten Komponenten im zenon Netzwerk aktiviert oder deaktiviert werden. Die Kommunikation zwischen verschlüsselten und unverschlüsselten Systemen ist nicht möglich. zenon Web Server fungieren nur als Proxy-Rechner und sind von der Verschlüsselung nicht betroffen.
  • Wird die Verschlüsselung auf einem Rechner aktiviert, gilt sie immer für alle Projekte dieses Rechners mit aktiver Eigenschaft Netzwerk aktiv.

info Info

Als Verschlüsselungsalgorithmus für die Netzwerkkommunikation wird AES 192 von Microsoft verwendet.

Um aus dem eingegeben Passwort den Schlüssel zu generieren wird SHA 256 von Microsoft verwendet.

Kompatibilität

Die Verschlüsselung ist nicht kompatibel mit Versionen vor zenon 7.00 SP0. Das bedeutet:

System 1 | System 2 | Kommunikation
zenon 7 verschlüsselt | zenon 7 verschlüsselt | ja
zenon 7 unverschlüsselt | zenon 7 unverschlüsselt oder zenon vor Version 7 unverschlüsselt | ja
zenon 7 verschlüsselt | zenon 7 unverschlüsselt oder zenon vor Version 7 unverschlüsselt | nein

Fehler werden in den LOG-Dateien des Diagnosis Viewer s protokolliert.

Beispiel

Die folgende Abbildung zeigt ein Beispiel eines Netzwerks mit Prozessführendem Server, Standby Server, zwei Clients, einem zenon Web Server und zwei Web Clients. Auf allen Geräten läuft zenon 7.00 SP0. Die Geräte wurden wie folgt konfiguriert:

  • Beim Prozessführenden Server wird die Verschlüsselung über das Startup Tool aktiviert.
  • Per Remote-Transport wird beim Übertragen der Runtime-Dateien auch die Verschlüsselung am Standby Server und am Client A aktiviert.
  • Client B und Web Client B kommunizieren noch unverschlüsselt.
  • Am Web Client A wird die Verschlüsselung über das Startup Tool aktiviert.
  • Da der zenon Web Server die Datenpakete nicht auswertet, sondern direkt weiterleitet, benötigt er keine Verschlüsselung. Theoretisch kann dieser auch eine ältere Versionsnummer haben, und die Web Clients können dennoch verschlüsselte Verbindungen aufbauen.

Diese Konfiguration führt zu folgenden Ergebnis:

  • Der Standby Server kommuniziert erfolgreich mit dem Prozessführenden Server.
  • Der Client A kann sich beim Prozessführenden Server anmelden und Daten austauschen.
  • Da Client B unverschlüsselte Nachrichten schickt und diese vom Prozessführenden Server wegen der aktiven Verschlüsselung verworfen werden, kann Client B nicht mit dem Prozessführenden Server kommunizieren und ist damit offline.
  • Der Web Client A meldet sich über den zenon Web Server beim Server an und kann Daten austauschen.
  • Die unverschlüsselten Nachrichten vom Web Client B werden vom zenon Web Server an den Prozessführenden Server weitergeleitet, von diesem aber verworfen. Web Client B kann nicht mit dem Prozessführenden Server kommunizieren und ist damit offline.

Sobald die Verschlüsselung per Remote-Transport oder Startup Tool Konfiguration am Client B und per Encrypt network communication am Web Client B aktiviert wird, können auch diese Verbindungen zum Prozessführenden Server aufbauen.


Verschlüsselung aktivieren

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Verschlüsselung aktivieren

Die Verschlüsselung kann über verschiedene Wege aktiviert werden:

  • über das Startup Tool für den lokalen Rechner und den zenon Web Client
  • per Remote-Transport

Tipp Tipp

Für die schnelle, bequeme Aktivierung der Verschlüsselung im Netzwerk empfiehlt es sich, die Konfiguration von einem Rechner aus per Remote-Transport durchzuführen.

Noch in diesem Kapitel

Lokal über das Startup Tool

Per Remote-Transport


Lokal über das Startup Tool

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Verschlüsselung aktivieren > Lokal über das Startup Tool

Um die Verschlüsselung am lokalen Rechner oder für den zenon Web Client zu aktivieren:

  1. Öffnen Sie das zenon Startup Tool.
  2. Klicken Sie auf Application -> Options.

    Der Dialog für die Einstellungen wird geöffnet.

  3. Wählen Sie die Registerkarte Network configuration.

  4. Aktivieren Sie die Checkbox Encrypt network communication.
  5. Tragen Sie das Passwort ein und verifizieren Sie es.
  6. Bestätigen Sie den Dialog mit Klick auf OK.

Connector Verschlüsselung

Um die Verschlüsselung für den SCADA Runtime Connector zenon oder zenon Analyzer, die HTML Web Engine oder für Runtime Remote Treiber zu aktivieren, konfigurieren Sie die Eigenschaftengruppe Encrypt Runtime Connector communication.


Per Remote-Transport

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Verschlüsselung aktivieren > Per Remote-Transport

Die Verschlüsselung kann auf entfernten Rechnern per Remote-Transport aktiviert werden. Das ist allerdings nur möglich, wenn die Remote-Transport Verbindung mit einem Passwort geschützt ist.

Um die Verschlüsselung per Remote-Transport zu aktivieren:

  1. Klicken Sie auf die entsprechende Schaltfläche in der Symbolleiste Remote-Transport

    oder wählen Sie im Kontextmenü des Projekts: Remote-Transport -> Verbindung aufbauen.

    Der Dialog für den Verbindungsaufbau wird geöffnet.

  2. Geben Sie das Verbindungspasswort ein oder erstellen Sie eines, falls noch keines gesetzt wurde.
  3. Aktivieren Sie die Checkbox Verschlüsselung der Netzwerkkommunikation konfigurieren.
  4. Klicken Sie auf OK.

    Der Dialog zur Verschlüsselung der Netzwerkkommunikation wird geöffnet.

  5. Aktivieren Sie die Checkbox Netzwerkkommunikation verschlüsseln.
  6. Vergeben Sie ein Passwort (Kriterien siehe Abschnitt Passwort Netzwerkverschlüsselung im Handbuch Netzwerk.)
    Um die lokale Konfiguration schnell auf andere Rechner zu übertragen, kann das lokale Passwort zuerst über Lokale Konfiguration einlesen eingelesen werden.
  7. Bestätigen Sie den Dialog mit Klick auf die Schaltfläche OK.


Passwort Netzwerkverschlüsselung

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Passwort Netzwerkverschlüsselung

Für das Passwort zur Verschlüsselung der Kommunikation im Netzwerk gilt:

  • Minimale Länge: 8 Zeichen
  • Maximale Länge: 20 Zeichen
    Die angezeigte Länge wird immer auf 20 Zeichen gesetzt, um die tatsächliche Länge zu verbergen.
  • Erlaubte Zeichen:
    • Buchstaben: A - Z; a - z
    • Ziffern: 0 - 9
    • Sonderzeichen
  • Verbotene Zeichen:
    • Leerzeichen
    • Eingabe-Taste (Return-Taste)
  • Zusammensetzung: ein Passwort muss mindestens 1 Ziffer und 1 Buchstaben enthalten

Entspricht das eingegebene Passwort nicht diesen Vorgaben wird ein Fehlerdialog angezeigt:

Wird bei der Konfiguration das Bestätigungspasswort falsch eingegeben, wird dies ebenfalls mit einen Fehlerdialog angezeigt:


Checkliste bei Fehler

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Checkliste bei Fehler

Bei Fehlern überprüfen Sie:

  • Haben alle Rechner Netzwerkzugang und funktioniert die Namensauflösung zwischen den Rechnern?
  • Wurde die Eigenschaft Netzwerk aktiv beim Projekt im Editor aktiviert?
  • Wird die zenon Runtime in der Version 7.00 SP0 oder höher eingesetzt (bei aktiver Verschlüsselung relevant)?
  • Ist bei Projekten mit Verschlüsselung die Konfiguration auf allen Rechnern korrekt?
    (USE_ENCRYPTION Einstellung in der zenon6.ini: Auf allen Rechnern gleichermaßen entweder auf 0, auf 1 oder nicht vorhanden.)
  • Wurde das Passwort korrekt gesetzt?
  • Wurde auf einem der beteiligten Rechner nach der Konfiguration der Verschlüsselung die Hardware verändert?
  • Funktioniert ein Ping auf den Rechner?
    • Ja: Netzwerkverbindung vorhanden, Fehler liegt in der Kommunikation.
    • Nein: Netzwerk überprüfen.
  • Ist eine Verbindung mit Telnet möglich?
    • Verbindung wird hergestellt: Beide Rechner kommunizieren auf gleicher Ebene. Passwort überprüfen.
    • Verbindung wird hergestellt und wieder verloren: Ein Rechner kommuniziert verschlüsselt, einer unverschlüsselt.
    • Verbindung fehlerhaft: zenon Runtime läuft auf Zielrechner nicht.

    Hinweis: Telnet muss auf neueren Windows Betriebssystemen extra installiert werden. Die Verbindung erfolgt in der Regel über den Port 1100.
    Der Telnet-Befehl lautet dann: open [IPAdresse] 1100

  • Sind die benötigten (Betriebssystem-)Funktionen verfügbar (vor allem auf CE Terminals)?
    • Nicht vorhandene Funktionen führen dazu, dass sich die Runtime gar nicht starten lässt.
  • Ist der Service-Provider oder einer der Algorithmen nicht verfügbar, wird beim Starten der Runtime eine Fehlermeldung in die Log-Datei geschrieben.

Fehler werden in den Log-Dateien des Diagnose Viewers protokolliert.


Fehlermeldungen

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Fehlermeldungen

Fehler werden entweder im Ausgabefenster des zenon Editors, in Pop-ups angezeigt und/oder in den Log-Dateien des Diagnose Viewers protokolliert.

Keine Verbindung

Wurde ein Client mit einem falschen Verschlüsselungspasswort (ungleich dem Passwort am Prozessführenden Server) konfiguriert, dann ist das an folgenden Ereignissen erkennbar:

  • Der Client ist offline, obwohl der Prozessführende Server durch Ping erreichbar ist.
  • Der Prozessführende Server schreibt Fehlermeldungen in die LOG-Datei:

    SysMod Error: Serialize in Object Project: [Projektname] Modul: [Modulnummer]

    oder:

    NET Error During Decryption [Fehlernummer]

Hinweisboxen und Fehlermeldungen

Auf Fehler bei der Verschlüsselung wird durch Hinweisboxen (Pop-ups) und Einträge in LOG-Dateien oder im zenon Ausgabefenster hingewiesen.

Noch in diesem Kapitel

Fehlermeldungen in Pop-ups

Fehlermeldungen im Ausgabefenster

Fehlermeldungen in LOG-Dateien


Fehlermeldungen in Pop-ups

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Fehlermeldungen > Fehlermeldungen in Pop-ups

Startup Tool und Web Client

Folgenden Fehlermeldungen werden vom zenon Startup Tool als Pop-up für die lokale Verschlüsselung oder vom Encrypt Network Communication Tool für die Konfiguration des zenon Web Clients ausgegeben.

Diese Meldungen sind immer in Englisch. Meldungen von der Runtime selbst in der jeweilig eingestellten Sprache.

Fehlermeldung | Erklärung
The password has to be entered in both text boxes! | Beim Konfigurieren der Verschlüsselung hat der Benutzer eines der beiden Eingabefelder (Passwort oder Passwortbestätigung) leer gelassen.
The passwords you typed do not match. Please retype the password in both boxes. | Der Inhalt des Eingabefeldes für die Passwortbestätigung unterscheidet sich vom Inhalt des Eingabefeldes für das Passwort.
The network password does not fullfill the password criterias! Password criterias: - Minimum length = 8 - Maximum length = 20 - At least one character of the latin charset - At least one number - No spaces | Das eingegebene Passwort erfüllt nicht den Passwortkriterien. Die Passwortkriterien werden in der Fehlermeldung angezeigt.
The network password could not be encrypted! | Beim Verschlüsseln des Netzwerkpasswortes ist ein Fehler aufgetreten.
The network encryption configuration in the file zenon6.ini is invalid. Please enter a new configuration. | Beim Öffnen der Registerkarte Network configuration wurde festgestellt, dass die zenon6.ini keine gültige Konfigurationen für die Netzwerkverschlüsselung enthält. Eine neue Konfiguration muss eingegeben werden.
The network encryption password in zenon6.ini is invalid. | Das aus der zenon6.ini ausgelesene Passwort ist ungültig und muss neu eigegeben werden.
Das Passwort für die Netzwerkverschlüsselung ist ungültig und muss neu eingegeben werden! | Meldung beim Runtime-Start, wenn das Passwort nicht verifiziert werden kann.

Remote-Transport

Folgenden Fehlermeldungen werden vom Remote-Transport bei der Verschlüsselung eines entfernten Rechners als Pop-up ausgegeben.

Fehlermeldung | Erklärung
Zur Konfiguration der Netzwerkverschlüsselung muss die Remote-Transport Verbindung mit einem Passwort geschützt sein! | Es wurde versucht, die Remote Verschlüsselung zu konfigurieren ohne die Remote-Transport Verbindung über ein Passwort zu sichern.
Das Passwort muss in beiden Eingabefeldern eingegeben werden! | Beim Konfigurieren der Verschlüsselung hat der Benutzer eines der beiden Eingabefelder (Passwort oder Passwortbestätigung) leer gelassen.
Die Passwortbestätigung stimmt nicht mit dem Passwort überein! | Der Inhalt des Eingabefeldes für die Passwortbestätigung unterscheidet sich vom Inhalt des Eingabefeldes für das Passwort.
Das eingegebene Passwort entspricht nicht den Passwortkriterien! Passwortkriterien: Mindestens 8 Zeichen Höchstens 20 Zeichen Mindestens ein Buchstabe Mindestens eine Zahl Kein Leerzeichen | Das eingegebene Passwort erfüllt nicht die Passwortkriterien. Die Passwortkriterien werden in der Fehlermeldung angezeigt.
Beim Verschlüsseln des Passwortes ist ein Fehler aufgetreten! | Beim Verschlüsseln des Passwortes ist ein Fehler aufgetreten. Bei der Konfiguration über den Remote-Transport wird bei diesem Fehler eine genauere Fehlermeldung ins Log geschrieben.
Beim Entschlüsseln des Netzwerkpasswortes aus der zenon6.ini ist ein Fehler aufgetreten! | Das in der zenon6.ini abgelegte Passwort konnte nicht entschlüsselt werden. Bei der Konfiguration über den Remote-Transport wird bei diesem Fehler eine genauere Fehlermeldung ins Log geschrieben.
Die Verschlüsselungskonfiguration in der zenon6.ini ist ungültig und muss neu eingegeben werden! | Das aus der zenon6.ini ausgelesene Passwort ist ungültig. Das Passwort muss neu eingegeben werden.


Fehlermeldungen im Ausgabefenster

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Fehlermeldungen > Fehlermeldungen im Ausgabefenster

Fehler werden im Ausgabefenster über Meldungen angezeigt:

Meldung | Level | Erklärung
Der Server meldet einen Fehler beim Zusammenstellen der Daten für die Verschlüsselungskonfiguration! | FEHLER | Der Remote zenSysSrv meldet einen Fehler beim Zusammenstellen der Informationen für die Verschlüsselung des Passwortes für die Netzwerkverschlüsselung. Die Adapterinformationen konnten nicht ausgelesen werden.
*** Verschlüsselung der Netzwerkkommunikation am Zielsystem konfigurieren. |  | Diese Meldung steht am Beginn der Abschlussmeldung nach einer Konfiguration der Verschlüsselung an einem Remote Gerät über Remote-Transport. Danach folgt eine Meldung bezüglich des Erfolgs der Remote Konfiguration.
Der Server meldet einen Fehler beim Speichern der Verschlüsselungskonfiguration! | FEHLER | Der Remote zenSysSrv meldet einen Fehler beim Speichern der Verschlüsselungskonfiguration auf dem Remote Gerät. Die Konfiguration wurde nicht gespeichert.
Die Konfiguration wurde erfolgreich am Server gespeichert. | MELDUNG | Der Remote zenSysSrv meldet, dass die Verschlüsselungskonfiguration erfolgreich gespeichert wurde.
Die Version des Remote zenSysSrv ist zu niedrig! Die Verschlüsselung kann nicht konfiguriert werden! | FEHLER | Es wurde versucht, die Verschlüsselung auf einem Remote Gerät, dessen zenSysSrv eine Version vor 7.00 SP0 hat, zu konfigurieren. Die Verschlüsselung steht erst ab zenon Version 7.00 SP0 zur Verfügung; daher kann ein früherer zenSysSrv diese auch nicht konfigurieren.


Fehlermeldungen in LOG-Dateien

Handbuch > Netzwerk > Starke Verschlüsselung der Netzwerkkommunikation > Fehlermeldungen > Fehlermeldungen in LOG-Dateien

Fehler im verschlüsselten Netzwerkverkehr werden in LOG-Einträgen dokumentiert. Die Error-IDs der Fehlermeldungen in der nachfolgenden Aufstellung sind System- oder COM-Error-Codes. Nähere Informationen dazu finden Sie in der MSDN Library.

LOG Eintrag

Level

Erklärung

NET Error During Acquiring Cryptography Context [Error-ID]

ERRORS

Das Erzeugen eines Service Providers für die Verschlüsselung ist fehlgeschlagen.

NET Error During Creating Hash [Error-ID]

ERRORS

Das Erstellen eines Hash-Wertes ist fehlgeschlagen.

NET Error During Using Hash [Error-ID]

ERRORS

Das Verarbeiten eines Hash-Wertes ist fehlgeschlagen.

NET Error During Destroying Hash [Error-ID]

ERRORS

Das Freigeben eines nicht mehr benötigten Hashwertes ist fehlgeschlagen.

NET Error During Deriving Key [Error-ID]

ERRORS

Das Erstellen des Schlüssels für die symmetrische Verschlüsselung ist fehlgeschlagen.

NET Error During Configuring Key [Error-ID]

ERRORS

Das Setzen der Parameter für die symmetrische Verschlüsselung ist fehlgeschlagen.

NET Error Cryptography Not Initialized!

ERRORS

Eine Ver- oder Entschlüsselungsfunktion wurde aufgerufen, das Initialisieren der benötigten Parameter (Service Provider, Schlüssel) ist aber fehlgeschlagen.

NET Error Invalid Pointer passed!

ERRORS

Einer Ver- oder Entschlüsselungsfunktion wurden ungültige Parameter übergeben.

NET Error Message Length Must Not Be 0!

ERRORS

Die Ver- oder Entschlüsselungsfunktion wurde mit einer leeren Nachricht aufgerufen.

NET Error During Buffer Length Calaulation [Error-ID]

ERRORS

Die Berechnung der benötigten Puffergröße für die Verschlüsselung ist fehlgeschlagen.

NET Error Buffer Length Must Not Be 0!

ERRORS

Der zur Ver- oder Entschlüsselung übergebene Puffer ist nicht angelegt worden.

NET Error During Decryption 0x%x

ERRORS

Bei der Entschlüsselung ist ein Fehler aufgetreten.

NET Error During Encryption 0x%x

ERRORS

Bei der Verschlüsselung ist ein Fehler aufgetreten.

NET Error: Encryption Is Required And Project [Projekt] Received Plaintext Network Message

ERRORS

Die Verschlüsselung ist aktiv und eine unverschlüsselte Nachricht wurde empfangen. Die Nachricht wird in diesem Fall verworfen.

NET Error: Encryption Is Not Supported And Project [Projekt] Received Encrypted Network Message

ERRORS

Die Verschlüsselung ist nicht aktiv und eine verschlüsselte Nachricht wurde empfangen. Die Nachricht wird in diesem Fall verworfen.

NET Cryptography Successfully Initialized

DEBUG

Die zur Ver- und Entschlüsselung benötigten Parameter wurden erfolgreich initialisiert. Die Parameter werden beim Starten der Runtime initialisiert.

NET Uninitializing Cryptography

DEBUG

Die zur Ver- und Entschlüsselung benötigten Parameter werden freigegeben. Dies geschieht beim Beenden der Runtime. Wird die Log-Verbindung vor dem Freigeben getrennt, erscheint die Nachricht nicht im Diagnosis Viewer

NET Error During Buffer Size Calculation [Error ID]

ERRORS

Beim Berechnen der notwendigen Puffergröße für das Zusammenstellen der Informationen für die Ver- oder Entschlüsselung des Netzwerkpassworts ist ein Fehler aufgetreten.

NET Error During Buffer Size Calculation: No Adapters

ERRORS

Der Rechner verfügt über keinen Netzwerkadapter. Daher kann das Netzwerkpasswort nicht ver- oder entschlüsselt werden.

NET Error During Adapter Info Query [Error ID]

ERRORS

Beim Auslesen der Adapterinformationen für die Ver- oder Entschlüsselung des Netzwerkpassworts ist ein Fehler aufgetreten.

NET Error Passwort Not Properly Formatted

ERRORS

Der HexDump des verschlüsselten Netzwerkpassworts ist in einem ungültigen Format.

NET Error During Decrypting Password [Error ID]

ERRORS

Beim Entschlüsseln des Netzwerkpassworts ist ein Fehler aufgetreten.

NET Error During Encrypting Password [Error ID]

ERRORS

Beim Verschlüsseln des Netzwerkpassworts ist ein Fehler aufgetreten.

NET Cryptography Is Disabled

DEBUG

Die Verschlüsselung des Netzwerkverkehrs ist deaktiviert.

NET Error No Password

ERRORS

Die Verschlüsselung ist aktiv, aber es ist kein Passwort eingetragen.

NET Error Password Could Not Be Decrypted

ERRORS

Das Passwort für die Netzwerkverschlüsselung konnte nicht entschlüsselt werden.

NET Password successfully loaded

DEBUG

Das Passwort für die Netzwerkverschlüsselung wurde erfolgreich geladen.

Network Cryptography Disabled By Remote Configuration

DEBUG

Der zenSysSrv meldet, dass die Verschlüsselung des Netzwerkverkehrs auf dem Rechner durch die Remote-Transport Konfiguration deaktiviert wurde.

Network Cryptography Enabled By Remote Configuration

DEBUG

Der zenSysSrv meldet, dass die Verschlüsselung des Netzwerkverkehrs auf dem Rechner durch die Remote-Transport Konfiguration aktiviert wurde.

Network Cryptography Remote Configuration Error

ERRORS

Eine von Remote-Transport gesendete Konfiguration für die Netzwerkverschlüsselung ist fehlerhaft.

Error During Buffer Size Calculation [Error ID]

ERRORS

Beim Berechnen der notwendigen Puffergröße für das Zusammenstellen der Informationen für die Ver- oder Entschlüsselung des Netzwerkpasswortes für die Konfiguration über Remote-Transport ist ein Fehler aufgetreten.

Error During Buffer Size Calculation: No Adapters

ERRORS

Der Rechner verfügt über keinen Netzwerkadapter. Daher kann das Netzwerkpasswort nicht ver- oder entschlüsselt und daher nicht per Remote-Transport (muss dann wohl über COM verbunden sein) gesetzt werden. Die Verwendung der Netzwerkverschlüsselung auf einem Rechner ohne Netzwerkadapter ist jedoch sinnlos.

Error During Adapter Info Query [Error ID]

ERRORS

Beim Auslesen der Adapterinformationen für die Ver- oder Entschlüsselung des Netzwerkpassworts für die Konfiguration über Remote-Transport ist ein Fehler aufgetreten.

NET Error During Decrypting Password: The Password is Invalid!

ERRORS

Das Passwort ist nicht mehr gültig, da sich die

Ausgangsdaten für die rechnerabhängige Verschlüsselung geändert haben.

Dieser Fehler kann durch erneutes Konfigurieren des Passwortes behoben werden.

Meistens wird der Entschlüsselungsprozess jedoch vor der Gültigkeitsprüfung des Passwortes bereits abgebrochen, da sich das alte Passwort mit den neuen Entschlüsselungsdaten nicht entschlüsseln lässt.

Das führt zum Fehler „NET Error During Decrypting Password 0x80090005", welcher anstelle von „NET Error During Decrypting Password: The Password is Invalid!" angezeigt wird. In weiterer Folge führt ein ungültig gewordenes Passwort auf dem betroffenen Rechner beim Versenden und Empfangen von Netzwerkpaketen zu Fehlermeldungen. Die Fehlermeldung „NET Error Cryptography Not Initialized!" wird in die LOG-Datei geschrieben.

Connector-Container: Decryption failed. Perhaps wrong encryption key.

ERRORS

Die Entschlüsselung des vom Connector Client empfangenen Datenpakets war nicht erfolgreich.


zenon am Terminal Server

Handbuch > Netzwerk > zenon am Terminal Server

Die zenon Runtime kann auch in Verbindung mit einer Terminal Server-Lösung eingesetzt werden.

Einschränkungen:

  • Der Editor ist auf einem Terminal Server nicht lauffähig.
  • Projektsimulation steht für Clients am Terminal Server nicht zur Verfügung.

info Info

Berücksichtigen Sie, dass der Name des Terminal-Clients aufgelöst wird. Das bedeutet: Der Name des Gerätes, das die Terminal-Verbindung initiiert, ist der Name des Clients für das zenon Netzwerk.

Achtung: Stellen Sie sicher, dass beim Einsatz einer Firewall alle entsprechenden Ports freigeschaltet werden.

Terminal Server Lösungen werden von mehreren Herstellern angeboten. Alle Tests mit zenon erfolgten mit dem Windows Terminal Server (Windows Remotedesktopdienste).

attention Achtung

Für den Einsatz mit einem Terminal Server muss zenon mit einem Netzwerk-Dongle lizenziert werden.

Mehrere Instanzen der Runtime

Auf einem Rechner darf immer nur eine Instanz der zenon Runtime gestartet werden. Das gilt unabhängig davon, ob die Runtime als EXE-Datei, als zenon Web Client oder als Runtime Control (OCX) gestartet wird.

Ausnahme: Am Terminal Server oder Terminal Client darf pro Benutzer eine Instanz der Runtime als EXE-Datei, als zenon Web Client oder als Runtime Control (OCX) gestartet werden. Innerhalb eines Benutzerkontexts darf immer nur 1 Instanz laufen.

Noch in diesem Kapitel

Arbeitsweise von Terminal Servern

Vorteile und Nachteile

Arbeitsweise von zenon am Terminal Server

Erforderliche Einstellungen

zenon Remote Desktop versus Terminal Server


Arbeitsweise von Terminal Servern

Handbuch > Netzwerk > zenon am Terminal Server > Arbeitsweise von Terminal Servern

Mit Terminal Servern ist es möglich, Daten und Anwendungen zentral und vom Endgerät unabhängig zur Verfügung zu stellen. Dabei erlauben Terminal Server Lösungen, mehrere voneinander getrennte Shell-Instanzen (Desktops) auf dem Terminal Server zu starten. Verbindet sich ein Client mit dem Terminal Server, wird eine neue Shell-Instanz gestartet und der Client bekommt seine eigene grafische Oberfläche zugewiesen. Die Anwendungen werden am Terminal Server selbst ausgeführt und die Daten am Terminal Server gespeichert. Am Client erfolgt nur die Eingabe (per Tastatur, Maus, etc.) sowie die Ausgabe (Darstellung, Audio, etc.).

info Info

Nicht jede Software ist Terminal Server fähig.


Vorteile und Nachteile

Handbuch > Netzwerk > zenon am Terminal Server > Vorteile und Nachteile

Der Einsatz von zenon an einem Terminal Server bietet folgende Vor- und Nachteile:

Vorteile

  • Es muss nur ein Rechner (der Terminal Server) gewartet werden.
  • Clients müssen nicht sehr performant sein (Thin Clients).
  • Clients können unterschiedliche Betriebssysteme haben (Windows, Windows CE, Linux, Unix, MacOS, iOS, Android usw.).
  • Hohe Datensicherheit, da am Client keine Daten gespeichert werden.

Nachteile

  • Alle gestarteten Programme aller Instanzen laufen auf einem Rechner (dem Terminal Server).
    Dieser:
    • muss ausreichend Rechnerleistung für alle gestarteten Programme bereitstellen
    • muss über ausreichend RAM für alle gestarteten Programme verfügen
  • Alle Anschlüsse müssen geteilt werden. Zum Beispiel Netzwerkadapter, COM Ports, Parallele Ports.
  • Die Netzwerkbelastung kann bei einer entsprechenden Anzahl von Clients hoch sein (z. B. Übertragung grafischer Daten).
  • Die Bildauflösung wird vom ersten gestarteten Client festgelegt. Sollen unterschiedliche Auflösungen genutzt werden, kann dies über einen Eintrag in der zenon6.ini (SERIALIZE=1) am Terminal Server realisiert werden. Damit werden jedoch die Bilder für jeden Client neu berechnet, was die benötigte Rechenleistung am Terminal Server weiter erhöht.


Arbeitsweise von zenon am Terminal Server

Handbuch > Netzwerk > zenon am Terminal Server > Arbeitsweise von zenon am Terminal Server

Auf einem Terminal Server ist der Betrieb als:

  • zenon Client uneingeschränkt möglich
  • zenon Einzelplatzsysteme nur sinnvoll und möglich:
    • als übergeordnetes Integrationsprojekt zum Start mehrerer Client-Unterprojekte
    • ohne Treiber, Datenbank-Verbindungen usw.
  • zenon Prozessführender Server nicht möglich

Schematische Darstellung

Beispielhafte Topologie eines Terminal Server-Netzwerks mit zenon:

Rechner | Beschreibung
Runtime Server | zenon Prozessführender Runtime Server
Terminal Server | Terminal Server und n-facher Runtime Client
Terminal RDP Client a - D | Terminal Clients (nur Eingabe und Ausgabe)


Erforderliche Einstellungen

Handbuch > Netzwerk > zenon am Terminal Server > Erforderliche Einstellungen

Damit die zenon Runtime am Terminal Server mehrfach gestartet werden kann, müssen einige Einstellungen vorgenommen werden. Die Einstellungen für Registrierung, Bildauflösung und Übertragungsservice können mit dem zenon Startup Tool vorgenommen werden.

info Info

Mit der Registrierung über das Startup Tool werden folgende Parameter automatisch gesetzt:

  • INI-Einträge:
    • [TERMINAL]
      CLIENT=1
    • [DEFAULT]
      SERIALIZE=1
  • Registrierung von ZenSysSrv.exe als Dienst
  • Deregistrierung ZenDBSrv.exe

Einstellungen Allgemein

  1. Registrierung

    Registrieren Sie die Verwendung am Terminal Server über das zenon Startup Tool.
    Alternativ können Sie die entsprechenden INI-Einträge manuell konfigurieren.

    Eintrag zenon6.ini:
    In der zenon6.ini am Terminal Server muss folgender Eintrag hinzugefügt werden. Am Prozessführenden Runtime Server sind keine Einstellungen erforderlich.

    [TERMINAL]
    CLIENT=1

    1: Die Runtime kann mehrfach gestartet werden, alle Einstellungen für Terminal Server Betrieb werden von der Runtime automatisch vorgenommen.
    0: Die Runtime kann nur einmal pro Terminal-Server-Session gestartet werden. Betrieb am Terminal Server ist nicht möglich. (Standardeinstellung)

  2. Automatische Anpassung der Bildauflösung

    Standardmäßig definiert der erste Client am Terminal Server die Bildauflösung. Diese Einstellung kann über folgenden Eintrag in der zenon6.ini am Terminal Server angepasst werden:

    [DEFAULT]
    SERIALIZE=1

    • 0: Bildauflösung individuell, alle Bilder werden für jeden Client neu berechnet
    • 1: Erster gestarteter Client legt Bildauflösung fest.
  3. Übertragung

    Der Transportservice (ZenSysSrv.exe) muss als Windows Dienst registriert und gestartet werden und nicht als Standard-EXE. Diese Einstellung wird bei der Registrierung über das Startup Tool automatisch vorgenommen, kann aber auch manuell gesetzt werden.

    Manuelle Einstellung:

    1. Programm von der Kommandozeile aus mit der Option -service starten.

      Zum Beispiel: C:\Programme (x86)\COPA-DATA\zenon800\zenSysSrv.exe -service

    2. Dann den Windows Dienste-Manager starten. Der Dienst wird bei jedem Rechnerneustart automatisch gestartet.

    Hinweis: Das Setup registriert den Transportservice immer als Standard-EXE. Daher muss der Transportservice nach jeder Neuinstallation wieder neu als Windows Dienst registriert werden.

  4. Runtime-Ordner

    Der Runtime-Ordner muss von allen Benutzern aus beschreibbar sein. Alle Windows Benutzer (Windows-Benutzer: Jeder) im Windows Explorer müssen vollständigen Zugriff auf den Runtime-Ordner und alle Unterordner haben.

attention Achtung

Wenn TERMINAL=1 gesetzt ist, steht die Projektsimulation nicht zur Verfügung.

Selektives Nachladen von Einzelprojekten

Projekte können auch selektiv abgeglichen werden. In diesem Fall laden Clients Projekte nur nach, wenn Projektänderungen vorliegen. Um das selektive Nachladen zu aktivieren:

  1. Öffnen Sie die zenon6.ini mit einem Texteditor.
  2. Navigieren Sie zum Abschnitt [TERMINAL].
  3. Editieren oder erstellen Sie den Eintrag: CLIENT_NO_FILE_ALIGN=.

    Mögliche Werte:

    • 0: Projekte werden immer von allen Clients nachgeladen
    • 1: Selektiver Abgleich aktiv, nur der zenon Client, der in der Konsolen-Session des Terminal Servers gestartet wird, gleicht die Runtime-Dateien mit dem zenon Server ab

Der Konsolen-Client schreibt nach dem Abgleich der Runtime-Dateien die Datei reloadindicator.tmp in den Ordner, der die project.ini des Projekts enthält. Die Session-Clients am Terminal Server prüfen alle 10 Sekunden, ob diese Datei vorhanden ist. Ist sie vorhanden und ist ihr Datei-Zeitstempel neuer als der Zeitpunkt ihres letzten Nachladens, lädt ein Session-Client automatisch nach.

Eintrag zenon6.ini für selektives Nachladen

[TERMINAL]

CLIENT=1

CLIENT_NO_FILE_ALIGN=1

[DEFAULT]

SERIALIZE=1

info Info

Weitere Informationen erhalten Sie im Handbuch Konfigurationsdateien im Kapitel Terminal Server [TERMINAL].


zenon Remote Desktop versus Terminal Server

Handbuch > Netzwerk > zenon am Terminal Server > zenon Remote Desktop versus Terminal Server

Die Terminal Server Lösung unterscheidet sich dem zenon Remote Desktop vor allem durch die folgenden Punkte:

zenon Remote Desktop Verbindung | Terminal Server Verbindung
Alle angeschlossenen Stationen sehen immer ein und denselben Desktop. Wenn z. B. ein Benutzer ein Programm startet, sehen alle dasselbe Programm, denselben Mauszeiger, dieselbe Tastatureingab usw. | Jede verbundene Station hat ihren eigenen Desktop - eine eigene Instanz. Nur sie sieht, was darauf passiert. Mausaktionen und Tastatureingaben betreffen nur diese eine Instanz.
 | Das bedeutet auch: In jeder Instanz kann ein Programm extra gestartet werden kann, z. B. ein Texteditor. Das Programm läuft dann auf dem Terminal Server mehrfach und benötigt damit auch mehr Ressourcen.

info Info

Weitere Informationen finden Sie auch im Handbuch zenon Remote Desktop


Netzwerktopologie verwalten und prüfen

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen

Die Netzwerktopologie wird in einer eigenen Registerkarte des Projektmanagers angezeigt.

Die Darstellung ist in drei Bereiche aufgeteilt:

  • Topologiebaum (links oben):
    zeigt aktive Projekte; das Globalprojekt wird nicht angezeigt
  • Ergebnisbaum (rechts oben):
    nur Resultatanzeige; repräsentiert den Topologiebaum eines ausgewählten Rechners
  • Rechnerliste (unten):
    Listendarstellung und Konfiguration der Rechner im Netzwerk

Noch in diesem Kapitel

Topologiebaum

Ergebnisbaum

Rechnerliste

Fehlermeldungen der Topologieprüfung


Topologiebaum

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Topologiebaum

Der Topologiebaum stellt aktive Projekte in hierarchischer Form dar.

Parameter

Beschreibung

Projektname

Wird in der Registerkarte Projektbaum festgelegt und kann hier nicht geändert werden.

Netzwerk aktiv

Zeigt an, ob die Option Netzwerk für dieses Projekt aktiv ist. Die Einstellung kann über die Eigenschaft Netzwerk aktiv geändert werden:

  • Ja
    Projekt ist Netzwerkprojekt
  • Nein
    Projekt ist kein Netzwerkprojekt

Server 1

Zeigt den für dieses Projekt definierten Prozessführenden Server an. Die Einstellung kann über das Kontextmenü, das Symbol in der Symbolleiste oder die Eigenschaft Server 1 geändert werden.

Server 2

Zeigt den für dieses Projekt definierten Standby Server an. Die Einstellung kann über das Kontextmenü, das Symbol in der Symbolleiste oder die Eigenschaft Server 2 geändert werden.

Noch in diesem Kapitel

Symbolleiste und Kontextmenü


Symbolleiste und Kontextmenü

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Topologiebaum > Symbolleiste und Kontextmenü

Eigenschaft | Beschreibung
Rechner als Prozessführenden Server setzen | Definiert den in der Rechnerliste markierten Rechner als Prozessführenden Server für das im Topologiebaum markierte Projekt.
Rechner als Standby Server setzen | Definiert den in der Rechnerliste markierten Rechner als Standby Server für das im Topologiebaum markierte Projekt.
Prozessführenden Server löschen | Löscht den für das markierte Projekt definierten Prozessführenden Server. Hinweis: Projektierter Rechner wird aus der Eigenschaft Server 1 entfernt.
Standby Server löschen | Löscht den für das markierte Projekt definierten Standby Server. Hinweis: Projektierter Rechner wird aus der Eigenschaft Server 2 entfernt.
Hilfe (?-Symbol) | Öffnet die Online-Hilfe.


Ergebnisbaum

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Ergebnisbaum

Der Ergebnisbaum repräsentiert den Projektbaum des in der Rechnerliste ausgewählten Rechners ab dem Projekt, das für den ausgewählten Rechner als Startprojekt gesetzt ist, und zeigt dessen Projekteinstellungen an.

Der Ergebnisbaum ist leer, wenn:

  • das Startprojekt des ausgewählten Rechners nicht gefunden wurde
  • mehr als ein Rechner in der Liste ausgewählt wurde

Parameter

Beschreibung

Projektname

Projekte, die dem ausgewählten Rechner zugewiesen sind.

Rolle

Rolle des Rechners:

  • Prozessführender Server
  • Standby Server
  • Client

Prozessführender Server

Name des Rechners, der zur Runtime als Prozessführender Server fungiert.

Standby Server

Name des Rechners, der zur Runtime als Standby Server fungiert.

Überprüfungsergebnis

Zeigt detaillierte Fehlermeldungen zur Topologieprüfung an.


Rechnerliste

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Rechnerliste

Die Rechnerliste zeigt projektierte Rechner an und ermöglicht deren Konfiguration. Die Liste bezieht sich auf den Arbeitsbereich und wird in der Arbeitsbereich-Datei (*.wsp6) gespeichert.

Die Spalten sind sortier- und filterbar. Mit Rechtsklick kann die Spaltenbreite angepasst werden.

Parameter

Beschreibung

Rechnername

Name des Rechners. Kann geändert werden über:

  • Klick in Zelle:
    Klick auf Schaltfläche ... öffnet Dropdownliste der aktuell im Netzwerk verfügbaren Rechner.
    Hinweis: Dies ist nur für bereits bestehende Einträge möglich.
  • Eintrag Rechner editieren in Kontextmenü oder Symbolleiste.
    Öffnet den Dialog zur Konfiguration der Rechner im Netzwerk.
  • Eigenschaft Rechnername.

Startprojekt

Dem Rechner zugewiesenes Startprojekt. Kann geändert werden über:

  • Klick in Zelle:
    Auswahl aus Dropdownliste.
    Hinweis: Dies ist nur für bereits bestehende Einträge möglich.
  • Eintrag Startprojekt setzen in Kontextmenü oder Symbolleiste: Setzt das im Topologiebaum ausgewählte Projekt als Startprojekt.
  • Eigenschaft Startprojekt.

Startprojekt Runtime-Ordner

Ordner für Projektdateien des Zielrechners. Die Dateien des Startprojekts werden in diesem Ordner abgelegt, alle anderen Projekte relativ dazu, entsprechend der Struktur der eingestellten Runtime-Ordner am lokalen Rechner.

Zum Beispiel:
Startprojekt Runtime-Ordner: C:\Projekte\Top = Ablageort für Startprojekt.
Unterprojekte werden abgelegt in C:\Projekte\ .

Tipp: Verwenden Sie den Projektnamen als Ordnernamen, um automatisch die gleiche Struktur wie am Engineering-Rechner zu erzeugen.

Der Startprojekt Runtime-Ordner kann geändert werden über:

  • Doppelklick auf Rechner:
    Öffnet den Dialog zur Konfiguration der Rechner im Netzwerk.
  • Klick in Zelle: Manueller Eintrag möglich.
  • Eigenschaft Startprojekt Runtime-Ordner.

Überprüfungsergebnis

Zeigt das Ergebnis der Topologieprüfung an.

  • In Ordnung:
    Alle Projekte sind fehlerfrei.
  • Fehler gefunden - Details siehe Detailansicht:
    Eines oder mehrere Projekte haben einen Fehler.
  • Schwerer Fehler gefunden - Details siehe Detailansicht:
    Ein Projekt hat einen schweren Fehler. Schwere Fehler beenden die weitere Prüfung.
  • Nicht geprüft, da ein schwerer Fehler in Struktur vorhanden ist:
    Rechner wurde nicht vollständig geprüft, da die Prüfung durch einen schweren Fehler beendet wurde.

Detaillierte Fehlermeldungen werden im Ergebnisbaum angezeigt.

Noch in diesem Kapitel

Symbolleiste und Kontextmenü

Dialog Konfiguration Rechner im Netz


Symbolleiste und Kontextmenü

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Rechnerliste > Symbolleiste und Kontextmenü

Eintrag | Beschreibung
Rechner hinzufügen... | Öffnet den Dialog zur Konfiguration der Rechner im Netzwerk.
Rechner editieren... | Öffnet den Dialog zur Konfiguration der Rechner im Netzwerk mit für diesen Rechner eingetragenen Daten.
Rechner löschen | Löscht Rechner nach Sicherheitsabfrage aus Topologie. Mehrfachauswahl ist möglich. Achtung: Das Löschen von Prozessführendem Server oder Standby Server führt zu schwerwiegenden Fehlern in der Topologie.
Startprojekt setzen | Setzt das im Topologiebaum selektierte Projekt als Startprojekt.
Runtimedateien aller Projekte des Rechner übertragen | Überträgt alle für den ausgewählten Rechner gültigen Projekte auf den Zielrechner. Das Ergebnis wird im Ausgabefenster angezeigt.
Hilfe (?-Symbol) | Öffnet die Online-Hilfe.


Dialog Konfiguration Rechner im Netz

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Rechnerliste > Dialog Konfiguration Rechner im Netz

Zur Konfiguration der Rechner sind folgende Projektierungen erforderlich:

Parameter

Beschreibung

Rechnername

Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl eines Rechners aus der Liste der aktuell im Netzwerk verfügbaren Rechner.

Hinweis: Sind viele Rechner im Netzwerk verfügbar, kann das Aufschalten des Dialogs einige Zeit dauern.

Startprojekt

Auswahl des Startprojekts aus Dropdownliste.

Es werden alle im aktuell geladenen Arbeitsbereich verfügbaren Projekte angezeigt.

Startprojekt Runtime-Ordner:

Ordner für Projektdateien des Zielrechners. Die Dateien des Startprojekts werden in diesem Ordner abgelegt, alle anderen Projekte relativ dazu, entsprechend der Struktur der eingestellten Runtime-Ordner am lokalen PC.

Tipp: Verwenden Sie den Projektnamen als Ordnernamen, um automatisch die gleiche Struktur wie am Engineering-Rechner zu erzeugen.

Zum Beispiel:
Projektname = I_Project
Bei Startprojekt Runtime-Ordner tragen Sie ein: C:\Projects\I_Project
Die Unterprojekte werden relativ zu diesem Pfad abgelegt in C:\Projects\Projektname, z. B.:
Der Projektname ist SubProject1, dann liegt der Runtime-Ordner dafür in C:\Projects\SubProject1.

Voraussetzung:
Die Runtime-Ordner sind in ihren Standardeinstellungen belassen worden und die Projekte wurden auf einer Dateiebene angelegt.

Ist dies nicht der Fall, kann es passieren, dass die Unterprojekte nicht übertragen werden können, da der Relativordner vom Startprojekt aus gesehen nicht erzeugbar ist.

Beispiel:
Das Integrationsprojekt hat als Runtime-Ordner eingestellt: C:\Workspace\Projects\I_Project. Das Unterprojekt hat als Runtime -Ordner eingestellt: C:\Subproject. Der Startprojekt Runtime-Ordner wird auf C:\Project eingestellt. Das Unterprojekt kann nicht übertragen werden, weil der Relativ-Ordner wäre ..\..\Project. Das funktioniert nicht, weil der Runtime-Ordner für das Unterprojekt dann "unterhalb" von C:\ liegen würde.
Lösung: Projekteigenschaft Runtime-Ordner richtig stellen. Am besten so, dass die Runtime-Ordner für alle Projekte auf der selben Ebene liegen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Fehlermeldungen der Topologieprüfung

Handbuch > Netzwerk > Netzwerktopologie verwalten und prüfen > Fehlermeldungen der Topologieprüfung

Die Prüfung der Topologie wird immer ausgeführt, wenn sich Einstellungen, welche die Topologie betreffen, ändern. So kann für jede Änderung sofort deren Auswirkung beobachtet werden. Die Topologie wird auch überprüft, wenn auf die topologische Ansicht umgeschaltet wird.

Implementierte Prüfungen

  • Ist das in der Topologie definierte Projekt im Projektbaum vorhanden?
  • Wurde ein Prozessführender Server definiert?
  • Wurden für Prozessführenden Server und Standby Server unterschiedliche Rechner definiert?
  • Kann der Client seinen Prozessführenden Server/Standby Server erreichen?
  • Kann der Prozessführende Server seine Clients erreichen?
  • Kann der Standby Server seine Clients erreichen?
  • Ist der Prozessführende Server für ein Projekt in der Topologie vorhanden?
  • Ist der Standby Server für ein Projekt in der Topologie vorhanden?
  • Ist im Pfad vom Client zum Prozessführenden Server ein Rechner mehrfach enthalten?

Nicht geprüft wird

  • Wird ein Client vom Prozessführenden Server nur auf einem Pfad aktualisiert oder existieren mehrere Pfade?

Client zum Server

  • Erreicht der Client seinen Prozessführenden Server über die Kette der Prozessführenden Server?
  • Wurde ein Rechner, der routet, auf seinen Standby Server umgeschaltet?

    Info: Der Server muss für den Client auch über den Standby Server des Projekts, das routet, erreicht werden können.

Fehlermeldungen

Fehler, die bei der Topologieprüfung erkannt werden, werden im Ergebnisbaum in der Spalte Überprüfungsergebnis angezeigt.

Fehler

Ursache

Lösung

Das Startprojekt ist nicht bekannt!

Startprojekt kann nicht gefunden werden.

Projektkonfiguration richtig stellen oder fehlendes Projekt in Arbeitsbereich einbinden.

Der Rechner ist als Server und als Standby eingetragen!

Server und Standby Server müssen unterschiedliche Rechner sein.

Definieren Sie unterschiedliche Rechner als Server und Standby Server.

Es ist kein Rechner als Server eingetragen!

Das Projekt ist ein Netzwerkprojekt, es wurde aber kein Server projektiert.

Definieren Sie einen Rechner als Server.

Das Projekt wird auf Rechner [Name] nicht gestartet! Das ist aber erforderlich, da in höheren Hierarchieebenen darauf zugegriffen wird.

Das Projekt ist auf dem genannten Rechner nicht geladen. Das Projekt wird aber über diesen geroutet.

Topologie oder Startprojekt für den Rechner anpassen oder die Eigenschaft Routing aktiv deaktivieren.

Zirkularer Zugriff auf den Server: Der Rechner [Name] verweist wieder auf den Client [Name]!

Der Routingpfad vom Client zum Server läuft im Kreis. Der Rechner, der als Knoten fungiert, verweist wieder auf den Client.

Topologie oder Startprojekt für den Rechner anpassen oder die Eigenschaft Routing aktiv deaktivieren.

Zirkularer Zugriff auf den Standby: Der Rechner [Name]verweist wieder auf [Name]!

Der Routingpfad vom Client zum Standby läuft im Kreis. Der Rechner, der als Knoten fungiert, verweist wieder auf den Client.

Topologie oder Startprojekt für den Rechner anpassen oder die Eigenschaft Routing aktiv deaktivieren.

Der Rechner [Name] ist in der Liste der Rechner nicht enthalten

Rechner fehlt in der Liste der Rechner für die Topologie.

Rechner zur Topologie hinzufügen.

Nicht geprüft, da ein schwerer Fehler in der Topologie vorhanden ist

Aufgrund eines anderen schwerwiegenden Fehlers konnte für diesen Rechner keine Prüfung vorgenommen werden.

Anderen Fehler beseitigen, damit die Prüfung auch diesen Rechner prüfen kann.

Zirkularer Zugriffspfad: [Rechnernamen]

Der Routingpfad vom Client zu seinem Server/Standby läuft im Kreis.

Das Feld „Rechnernamen" enthält die Namen der Rechner, die beteiligt sind.

Aufbau:
Der erste Rechner ist immer der Client. Das Trennzeichen zwischen den Rechnernamen gibt an, ob der folgende Rechner Server oder Standby ist.

  • > kennzeichnet den folgenden Rechner als Server.
  • „+" kennzeichnet den folgenden Rechner als Standby.

Zum Beispiel: Rechner1+Rechner2>Rechner3

Topologie oder Startprojekt für den Rechner anpassen oder die Eigenschaft Routing aktiv deaktivieren.

Es ist ein zirkularer Zugriff vom Server zum Client vorhanden!

Bei der Suche des Client-Rechners entsprechend der Knoten wird er Server gefunden.

Topologie oder Startprojekt für den Rechner anpassen oder die Eigenschaft Routing aktiv deaktivieren.

Der Server [Name] erreicht diesen Client nicht!

Der Pfad vom angegeben Server zum Client ist nicht geschlossen. Der Client ist in der Client-Liste am Server enthalten, wird jedoch nicht aktualisiert. (Die blauen Punkte verschwinden am Client nicht.)

Topologie oder Startprojekt für den Rechner anpassen oder die Eigenschaft Routing aktiv deaktivieren.


Redundanz

Handbuch > Netzwerk > Redundanz

Die Redundanz in zenon sorgt dafür, dass auch bei einem Ausfall des Prozessführenden Servers Prozesse nicht unterbrochen werden und keine Datenverluste entstehen. In zenon wird dabei von stoßfreier Redundanz gesprochen.

Stoßfreie Redundanz bedeutet, dass auch die Zeitspanne zwischen dem Ausfall des Prozessführenden Servers und dem Erkennen des Ausfalls gegen Datenverlust abgesichert wird. Dies wird folgendermaßen realisiert:

  1. Der Standby Server puffert alle anfallenden Daten.
  2. Der Standby Server erkennt einen Ausfall des Prozessführenden Servers und übernimmt automatisch dessen komplette Funktionalität.
  3. Der Standby Server trägt die Daten aus dem Puffer in die entsprechenden Module (AML, CEL, Archive) nach.

info Info

Projektänderungen müssen nur am Prozessführenden Server eingepflegt werden, der Standby Server und die angeschlossenen Clients führen den Online-Datenabgleich automatisch durch. Damit ist gewährleistet, dass alle Rechner immer denselben Projektstand haben.

Software-Redundanz und Hardware-Redundanz

Bei redundanten Systemen in zenon wird zwischen Software-Redundanz und Hardware-Redundanz unterschieden.

Kreisredundanz

Eine besondere Form der Redundanz stellt die zenon Kreisredundanz dar, die mit geringem Einsatz von Hardware die Konfiguration einer stoßfreien Redundanz für mehrere Projekte ermöglicht.

zenon Redundanz und zenon Logic Redundanz

Details zur Kombination von zenon Redundanz und zenon Logic Redundanz finden sie im Handbuch zenon Logic Runtime).

info Info

Steht nur eine Steuerung zur Verfügung, die nur einen Kommunikationskanal bietet, kann in den allgemeinen Einstellungen der Treiberkonfiguration die Option Am Standby Server stoppen aktiviert werden. Damit wird der Treiber am Standby Server gestoppt und erst beim Hochstufen wieder gestartet.

Redundanz mit zenon Operator abhängig von seiner Rolle

Für den zenon Operator gilt, abhängig von seiner Rolle, bei Verbindungen zu einem Server mit Supervisor-Lizenz:

Als Client

  • Die Verbindung zu Server 1 und Server 2 ist möglich.
  • Der Client verbindet sich zum Standby Server wenn der Prozessführende Server ausfällt.
  • Es werden mehrere Instanzen eines Treibers unterstützt (da dieser am Prozessführenden Server und/oder Standby Server gestartet wird).
  • Alle Variablen aller Treiber werden angezeigt und können geschrieben werden.
  • Archive können gelesen werden.
  • Redundanzumschaltung kann ausgeführt werden.

Als Standby Server

  • Redundanz mit zenon Operator (lizenziert auf Server 1 und Server 2) wird nicht unterstützt.
  • Wird die Runtime mit einer Operator-Lizenz als Standby Server gestartet, kommt es zu einem undefinierten Zustand.

Als Datenserver

  • Mehr als eine Instanz eines Treibers können gestartet werden. Aber nur eine der Instanzen kann Werte zur Runtime schicken. Damit verhält sich der zenon Operator analog zu einem CE Panel, auf dem aus technischen Gründen nur ein Treiber gestartet werden kann.

Noch in diesem Kapitel

Redundanztypen

Redundanzmodi

Konfiguration der stoßfreien Redundanz

Standby Server einrichten

Spezielle Konstellationen in der Kommunikation von Prozessführendem Server und Standby Server

Integrierte Bewertungsmethode für Redundanzumschaltung

zenon Kreisredundanz

Redundancy Management Tool


Redundanztypen

Handbuch > Netzwerk > Redundanz > Redundanztypen

Bei redundanten Systemen mit zenon wird unterschieden zwischen:

  • Software-Redundanz
    Der Prozessführende Server kommuniziert mit der Steuerung bidirektional, der Standby Server nur lesend.
  • Hardware-Redundanz
    Beide Server kommunizieren bidirektional mit der jeweils angeschlossenen Steuerung. Wird meistens in Verbindung mit seriell angeschlossenen Steuerungen angewendet.

Noch in diesem Kapitel

Software-Redundanz

Hardware-Redundanz


Software-Redundanz

Handbuch > Netzwerk > Redundanz > Redundanztypen > Software-Redundanz

Das System besteht meistens aus einer Steuerung und zwei redundanten Rechnern (Prozessführender Server und Standby Server). Beide Rechner müssen eine Verbindung zur Steuerung haben.

Software-Redundanz mit einer Steuerung

Verhalten im Betrieb

Im Normalbetrieb kommunizieren beide Rechner mit der Steuerung, dabei:

  • kommuniziert der Prozessführende Server bidirektional (lesend und schreibend) mit der Steuerung
  • kommuniziert der Standby Server nur lesend mit der Steuerung
  • halten beide Rechner die Daten der Steuerung aktuell und synchron

Verhalten beim Ausfall des Prozessführenden Servers

Beim Ausfall des Prozessführenden Servers:

  • wird der Standby Server zum neuen Prozessführenden Server
  • sorgt die stoßfreie Redundanz für einen lückenlosen Datenbestand auch während der Zeit zwischen dem Ausfall und der Umschaltung
  • kommuniziert der neue Prozessführende Server bidirektional mit der Steuerung

Software-Redundanz mit zwei Steuerungen über TCP-IP

Es ist auch möglich eine Software-Redundanz mit zwei Steuerungen zu betreiben.

Die Voraussetzungen dafür sind:

  • Der Treiber unterstützt dies.
  • Es liegt eine Konfigurationsdatei vor, die manuell (über einen Texteditor) bearbeitet werden kann.

Zur Konfiguration führen Sie folgende Schritte durch:

  1. Konfigurieren Sie den Treiber für die Kommunikation mit der primären Steuerung mit deren IP-Adresse im Editor.
  2. Übertragen Sie die Runtime-Dateien initial auf Server 2.
  3. Tragen Sie die IP-Adresse der sekundären Steuerung in der Treiberkonfigurationsdatei auf Server 2 anstelle der IP-Adresse der primären Steuerung ein.
  4. Deaktivieren Sie die Übertragung der Treiberdateien in den Projekteinstellungen für Remotetransport.

    Somit wird gewährleistet, dass die Konfiguration auf Server 2 nicht von der Konfiguration von Server 1 überschrieben wird.

Verhalten im Betrieb

Im Normalbetrieb:

  • kommuniziert der Prozessführende Server bidirektional mit der ersten Steuerung
  • kommuniziert der Standby Server lesend mit der zweiten Steuerung
  • ist durch den Datenabgleich in zenon die Integrität der Daten sichergestellt

Verhalten beim Ausfall des Prozessführenden Servers

Beim Ausfall des Prozessführenden Servers übernimmt der Standby Server dessen Rolle und kommuniziert bidirektional mit der sekundären Steuerung.

Wird der ausgefallene Server wieder gestartet, übernimmt dieser abhängig vom gewählten Redundanzmodus, entweder wieder die Rolle des Prozessführenden Servers oder die des Standby Servers.

Verhalten beim Ausfall der ersten Steuerung

Fällt die erste Steuerung aus, wird nicht automatisch eine Redundanzumschaltung ausgeführt.

Eine automatisierte Redundanzumschaltung können Sie über eine entsprechende Konfiguration des Redundanzmodus - Bewertet umsetzen.


Hardware-Redundanz

Handbuch > Netzwerk > Redundanz > Redundanztypen > Hardware-Redundanz

Die Hardware-Redundanz benötigt im Vergleich zur Software-Redundanz zwingend zwei Steuerungen und zwei Rechner. Hauptverwendung findet die Hardware-Redundanz in Verbindung mit seriell angeschlossenen Steuerungen.

Im Normalbetrieb:

  • kommuniziert der Prozessführende Server bidirektional mit der ersten Steuerung
  • kommuniziert der Standby Server bidirektional mit der zweiten Steuerung

Verhalten beim Ausfall des Prozessführenden Servers

Beim Ausfall des Prozessführenden Servers:

  • wird der Standby Server zum neuen Prozessführenden Server
  • sorgt die stoßfreie Redundanz für einen lückenlosen Datenbestand, auch während der Zeit zwischen dem Ausfall des Prozessführenden Servers und der Umschaltung auf den Standby Server

Verhalten beim Ausfall der ersten Steuerung

Fällt die am Prozessführenden Server (anfangs Server 1) angeschlossene Steuerung aus, wird nicht automatisch eine Redundanzumschaltung durchgeführt.

Um eine automatisierte Redundanzumschaltung zu erreichen:

  1. Erstellen Sie 2 Variablen:
    1. eine Variable A, die von der Steuerung des Prozessführenden Servers gelesen wird
    2. eine Variable B, die von der Steuerung des Standby Servers gelesen wird

      Achtung: Aktivieren Sie dazu für Variable B die Option: Nur von Standby Server anfordern.

  2. Erstellen Sie zwei Funktionen:
    1. eine Funktion zur Redundanzumschaltung auf Server 2
    2. eine Funktion zur Redundanzumschaltung auf Server 1
  3. Erstellen Sie zwei binäre Reaktionsmatrizen, die jeweils den Status INVALID auf den Wert 1 prüfen.
    1. verknüpfen Sie bei der ersten Reaktionsmatrix die Funktion zur Redundanzumschaltung auf Server 2
    2. verknüpfen Sie bei der zweiten Reaktionsmatrix die Funktion zur Redundanzumschaltung auf Server 1

      Info: Nähere Informationen zur Erstellung und Konfiguration von Reaktionsmatrizen finden Sie im Kapitel: Reaktionsmatrizen

  4. Verknüpfen Sie:
    1. die erste Reaktionsmatrix mit Variable A
    2. die zweite Reaktionsmatrix mit Variable B

Fällt während des Betriebs die Steuerung des Prozessführenden Servers aus (Variable A bekommt den Status INVALID), wird eine Redundanzumschaltung auf Server 2 durchgeführt.

Fällt die am ursprünglichen Standby Server (Server 2) angeschlossene Steuerung aus, wird eine Redundanzumschaltung auf Server 1 durchgeführt.

Um eine Redundanzumschaltung nach Wiederereichbarkeit der Steuerung zu erreichen:

  1. Erweitern Sie die Reaktionsmatrizen um einen Eintrag in dem der Status INVALID auf den Wert 0 geprüft wird .
  2. Verknüpfen Sie die entsprechenden Funktionen zur Redundanzumschaltung.


Redundanzmodi

Handbuch > Netzwerk > Redundanz > Redundanzmodi

Ist als Redundanztyp Software-Redundanz gewählt, stehen drei verschiedene Redundanzmodi zur Verfügung. Die Rollenverteilung (Prozessführender Server oder Standby Server), während des Betriebs und nach der Wiederverfügbarkeit eines zuvor ausfgefallenen Servers, hängt ab vom gewählten Redundanzmodus.

Es wird unterschieden zwischen

  • Dominant
  • Nichtdominant
  • Bewertet

Das Verhalten im Detail

Dominant

  1. Der Prozessführende Server fällt aus.
  2. Der ursprüngliche Prozessführende Server geht wieder online.
    Dabei:
    1. verbindet er sich zum aktuellen Prozessführenden Server
    2. gleicht er alle Daten ab
    3. wird er selbst wieder zum Prozessführenden Server
  3. Der ursprüngliche Standby Server wird wieder zum Standby Server.
  4. Alle Clients verbinden sich zum neuen Prozessführenden Server.

Nichtdominant

  1. Der Prozessführende Server fällt aus.
  2. Der ursprüngliche Prozessführende Server geht wieder online.
    Dabei:
    1. verbindet er sich zum aktuellen Prozessführenden Server
    2. gleicht er alle Daten ab
    3. wird er selbst zum Standby Server
  3. Der aktuell Prozessführende Server bleibt der Prozessführende Server.
  4. Alle Clients behalten die Verbindung zu diesem.

Bewertet

Bei der bewerteten Redundanz werden die Rollen Prozessführender Server und Standby Server aufgrund einer Bewertungsmatrix vergeben.
Dabei:

  1. führen beide Rechner jeweils für sich eine Bewertungsberechnung auf Basis der projektierten Bewertungskriterien durch
  2. wird jener Rechner zum Prozessführenden Server, der die höherere Bewertung hat
  3. wird kein Tausch der Rollen durchgeführt wenn die Bewertungsberechnung für beide Server den gleichen Wert ergibt.
  4. werden Alarme und CEL-Einträge vom Prozessführenden Server geschrieben
  5. verbinden sich die Clients zum Prozessführenden Server

Noch in diesem Kapitel

Redundanz im Bewerteten Netzwerk


Redundanz im Bewerteten Netzwerk

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk

Bei der Hardware-Redundanz in einem bewerteten Netzwerk entscheiden Bewertungskriterien, welcher Rechner die Rolle des Prozessführenden Servers und welcher die Rolle des Standby Servers übernimmt.

Diese Bewertung ist frei konfigurierbar und kann unterschiedliche Kriterien beinhalten. Jedem Kriterium sind Bewertungspunkte, die sogenannte Gewichtung, zugeordnet. Die Summe der Gewichtungspunkte entscheidet über die jeweilige Serverrolle.

info Info

Verliert einer der beiden Server, egal in welcher Rolle er sich gerade befindet, die Verbindung zum anderen Server (z.B.: durch Hardware- oder Netzwerkausfall), so stuft er sich automatisch zum Prozessführenden Server hoch.

Gründe für die Verzögerung der Umstufung

Folgende Ursachen können eine Redundanzumschaltung verzögern:

  • Die internen Module sind noch nicht vollständig initialisiert. Dies ist möglich, wenn ein Treiber den Umstufungsvorgang verzögert.
  • Das Umstufen ist bereits aktiv, aber noch nicht abgeschlossen.
  • Der Dateiabgleich ist noch aktiv.
  • Es wird nachgeladen.

attention Achtung

Wird im bewerteten Netzwerk aufgrund einer Bewertung eine Redundanzumschaltung der Server ausgelöst, gibt es keine Garantie, dass anstehende Funktionen in der Warteschlange des alten Prozessführenden Servers auch tatsächlich vor der Umschaltung erfolgreich abgearbeitet werden.

Ursache

Bei der Redundanzumschaltung im Bewerteten Netzwerk übernehmen für kurze Zeit beide Server die Rolle des Prozessführenden Servers. In dieser Zeitspanne gleichen Server 1 und Server 2 ihre Daten ab. Die Zeitspanne dieses Zustands ist abhängig von der Netzwerklast und kann zwischen 200 und 500 Millisekunden liegen.

Zeitsynchronisation

Empfehlung: Deaktivieren Sie bei einem bewerteten Netzwerk immer die Zeitsynchronisation von Server 1 und Server 2 via zenon Netzwerk.

Dazu:

  • Deaktivieren Sie die automatische Zeitsynchronisation in zenon.
  • Aktivieren Sie auf Server 1 und Server 2 die externe Zeitsynchronisation über das Betriebssystem.

info Info

Detaillierte Informationen dazu finden Sie im Kapitel Zeitsynchronisation im Netzwerk.

Noch in diesem Kapitel

Redundanz im Bewerteten Netzwerk

Projektierung der Redundanzbewertung

Umschaltverzögerung, Totzeit und Hysterese

Beispiel: Konfiguration bei Software-Redundanz mit 2 Steuerungen

LOG-Einträge im bewerteten Netzwerk


Redundanz im Bewerteten Netzwerk

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk > Redundanz im Bewerteten Netzwerk

Für die Konfiguration eines Bewerteten Netzwerkes müssen folgende Eigenschaften der Projekteigenschaftengruppe Netzwerk konfiguriert sein:

  1. Netzwerk aktiv muss aktiviert sein
  2. Server 1 und Server 2
  3. Redundanztyp ist Software-Redundanz
  4. Redundanzmodus ist Bewertet
  5. Redundanzbewertung im Eigenschaftenfeld Bewertungen
    Details zur Bewertung finden Sie unter "Projektierung der Redundanzbewertung".
  6. Umschaltverzögerung [s]
  7. Totzeit nach Umschaltung [s]
  8. Hysterese (der Bewertungspunkte)


Projektierung der Redundanzbewertung

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk > Projektierung der Redundanzbewertung

Klick auf die Schaltfläche ... im Eigenschaftenfeld Bewertungen in der Eigenschaftengruppe Netzwerk öffnet den Dialog zur Konfiguration der Redundanzbewertung.
Das Ergebnis dieser Bewertung wird mit den Systemvariablen [Netzwerk] Bewertungsergebnis Server 1 und [Netzwerk] Bewertungsergebnis Server 2 ausgewertet.
Hinweis: Weitere Informationen zu den Netzwerk Systemvariablen finden Sie im Handbuch des Systemtreibers, im Kapitel Thema-Netzwerk.

Variablen für Bewertung

Für die Bewertung eignen sich besonders:

  • Prozessvariablen: Zum Erkennen von Verbindungsverlusten zu einer SPS.
  • Lokale Variablen: Für Informationen über Ressourcen des PCs. Zum Beispiel mit Systemtreiber-Variablen aus dem Thema [HW-Ressourcen].
  • Interne Variablen mit der Einstellung Lokal für die Eigenschaft Berechnung.

Achtung: Bewertungen, die auf Variablen des Mathematik Treibers basieren oder auf Variablen, deren Treiber am Standby Server gestoppt wurde, wirken sich immer nur auf den aktuellen Prozessführenden Server aus.

Mathematik-Variablen und Prozessvariablen, deren Treiber am Standby Server gestoppt sind, aktualisieren nie die Bewertung am Standby Server. Für diese Variablen behält die in der Bewertung berechnete Gewichtung den letzten Wert aus der Zeit, als dieser Server noch als Prozessführender Server fungierte.

Dialog Redundanzbewertung

Die Felder in diesem Dialog sind filter- und sortierbar.

Option

Beschreibung

Name der Variable

Liste der Variablen, die für die Bewertung verwendet werden.

Hinweis: Es können maximal 200 Variablen für die Redundanzbewertung verwendet werden.

Gewichtung

Wert des Prüfkriteriums.
Gibt die Wertigkeit des einzelnen Prüfkriteriums in der Gesamtheit aller Prüfungsergebnisse an.

Die Gewichtungen aller Variablen die zutreffen (siehe bei Vergleich), werden zusammengezählt.

  • Eingabebereich: 0 - 1000

Default: 100

Vergleich

Gibt die Art des Vergleiches an, ab dem der Wert der Gewichtung in der Gesamtbewertung berücksichtigt wird.

Dropdownliste:

  • Nicht verwendet
    Es wird kein Vergleich mit der Gewichtung durchgeführt.
  • Nur Status OK /Wert OK
    Es wird überprüft, ob ein gültiger Wert vorhanden ist. Sobald ein Wert ohne Status INVALID vorhanden ist, wird der Wert der Gewichtung für die Gesamtbewertung herangezogen.

    Hinweis: Es ermöglicht die Überprüfung ob die Verbindung zur Steuerung besteht - anhand beliebiger Variable die die SPS liefert.

  • Werte ab Limit sind OK
    Werte, die größer oder gleich dem eingegebenen Limit sind, verwenden den Wert der Gewichtung in der Gesamtbewertung.
  • Werte bis Limit sind OK
    Werte, die kleiner oder gleich dem eingegeben Limit sind, verwenden den Wert der Gewichtung in der Gesamtbewertung.

Default: nicht verwendet

Limit

Limit für Vergleich bei Wert ab Limit sind OK oder Werte bis Limit sind OK

Default: 0

Hinweis: Wenn Vergleich "nicht verwendet" oder "Nur Status OK /Wert OK" ist, haben Eingaben in diesem Feld keine Auswirkung auf die Bewertung.

Hinzufügen...

Öffnet den Dialog zur Variablenauswahl.

Entfernen

Entfernt ausgewählte Variablen aus der Liste
Hinweis: Mehrfachauswahl ist möglich.

Filterung aufheben

Hebt die Filterkriterien auf.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Example Beispiel

Eine Variable wird im Bewertungsdialog mit folgenden Einstellungen projektiert:

  • Gewichtung: 50
  • Vergleich: Werte ab Limit sind OK
  • Limit: 50

Setzen Sie den Wert der Variable auf 55. Die Bedingung wird dadurch wahr und die Gewichtung von 50 wird zum Ergebnis der Systemvariable [Netzwerk] Bewertungsergebnis Server 1 addiert.

Eine weitere Variable wird mit folgenden Einstellungen projektiert:

  • Gewichtung: 30
  • Vergleich: Werte bis Limit sind OK
  • Limit: 10

So lange der Wert dieser zweiten Variable =< 10 ist, wird die Gewichtung zur Systemvariable addiert. Ist der Wert der zweiten Variable beispielsweise 5, dann ist das [Netzwerk] Bewertungsergebnis Server 1 80. Das gilt auch dann, wenn auch die vorhin beschriebene Variable wahr ist.


Umschaltverzögerung, Totzeit und Hysterese

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk > Umschaltverzögerung, Totzeit und Hysterese

Umschaltverzögerung

Die Umschaltverzögerung [s] ist jene Zeit (Toleranzzeit), in der Wertänderungen des Bewertungsergebnisses keine Umfstufung der Server auslösen. Dabei führen z.B. kurze Spitzen oder ein kurzfristiger Ausfall nicht zum sofortigen Serverwechsel.

Hinweis: Eine weitere Verbesserung des Bewertungsergebnisses während der projektierten Umschaltverzögerung setzt den Timer nicht zurück.

Example Beispiel

Wird eine Umschaltverzögerung [s] von 30 Sekunden projektiert, muss die Bewertung auf dem aktuellen Standby Server für mindestens 30 Sekunden besser sein als die des Prozessführenden Servers, um eine Umstufung auszulösen.

Nach einer erfolgten Umstufung können die Timer von Totzeit nach Umschaltung [s] und Umschaltverzögerung [s] Umschaltverzögerung parallel laufen, es müssen also beide abgelaufen sein, um eine Umstufung auszulösen.

Totzeit

Diese Einstellung verhindert ein Zurückschalten auf Basis der Bewertung des Prozessführenden Servers während der projektierten Zeit.

Hinweis: Die Funktion Redundanz-Umschaltung kann ausgeführt werden.

Example Beispiel

Wird die Bewertung des aktuellen Standby Servers, nach der letzten Umstufung innerhalb der eingestellten Totzeit, höher als die des aktuellen Servers, so findet bis zum Ablauf dieser Zeit keine erneute Umstufung statt. Der Beginn der Zeitperiode ist der Zeitpunkt, an dem der Rollentausch der Server vollzogen wird.

Steigt die Bewertung innerhalb der Totzeit des Standbys über die des Servers, sinkt aber vor dessen Ablauf wieder unter oder auf das Niveau der Bewertung des Servers, findet keine Umstufung statt.

Hysterese (in Bewertungspunkten)

Ist eine Hysterese projektiert, so wird vor einer Redundanzumschaltung geprüft, ob die Bewertungsergebnisse zwischen den beiden Rechnern (Server 1 und Server 2) den projektieren Bewertungspunkten entsprechen. Die Umschaltung wird ab Erreichen des Werts ausgelöst.

Example Beispiel

Server 1 ist Prozessführender Server.

Server 1 und Server 2 haben jeweils Bewertungsergebnis 0.

Die Hysterese ist mit Wert 100 projektiert.

Ändert sich die Bewertung von Server 2 auf 99 passiert nichts, erreicht der Wert 100 wird eine Umstufung ausgelöst.

Noch in diesem Kapitel

Umschaltverzögerung - Beispiel


Umschaltverzögerung - Beispiel

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk > Umschaltverzögerung, Totzeit und Hysterese > Umschaltverzögerung - Beispiel

In diesem Beispiel wird das Umschalten der beiden Server durch eine höhere Bewertung des Server 2 ausgelöst.

  • Nach Eintreten des Umschaltgrundes wird die Verzögerungszeit abgewartet.
    Dann wird Server 2 zum Prozessführenden Server.
  • Obwohl Server 1 wieder die Rolle des Prozessführenden Servers übernehmen könnte, wird wieder die Verzögerungszeit abgewartet, bevor Server 1 die Rolle des Prozessführenden Servers übernimmt.
  • Server 2 übernimmt die Rolle des Prozessführenden Servers, sobald die Differenz der Auswertungssystemvariablen höher ist als die Hysterese der Verzögerungszeit. Nach dem Umschalten wird die Zählung der projektierten Totzeit nach Umschaltung aktiviert.
  • Server 2 übernimmt die Rolle des Standby Servers zu dem Zeitpunkt, an dem die Differenz wieder höher als die Hysterese ist, nach Ablauf der Umschaltverzögerungszeit.

Hinweis: Der Rollentausch der beiden Server wird in der Grafik jeweils durch die vertikale strichlierte Linie visualisiert.


Beispiel: Konfiguration bei Software-Redundanz mit 2 Steuerungen

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk > Beispiel: Konfiguration bei Software-Redundanz mit 2 Steuerungen

Konfiguration im Editor

Um bei Ausfall einer Steuerung eine automatische Redundanzumschaltung via Bewertung zu erhalten:

  1. Erstellen Sie eine Konfiguration wie in Software-Redundanz - Software-Redundanz mit zwei Steuerungen über TCP-IP beschrieben.
  2. Erstellen Sie eine Variable vom entsprechenden Treiber.
  3. Fügen Sie diese Variable im Dialog für die Redundanzbewertung hinzu.

  4. Konfigurieren Sie bei Vergleich Nur Status OK / Wert OK mit einer entsprechenden Gewichtung.

Verhalten zur Runtime

  1. Fällt zur Runtime die Steuerung des Prozessführenden Servers aus oder wird die Verbindung zur Steuerung unterbrochen, erhält die Variable den Status INVALID und die Bewertung fällt um den konfigurierten Wert.
  2. Am Standby Server wird zum Zeitpunkt des Ausfalls zwar visuell der Status INVALID angezeigt, jedoch wird intern für die Bewertung der Wert aus dem Standby-Puffer herangezogen. Dieser Wert hat einen gültigen Status, da der Standby Server von der zweiten Steuerung liest.
  3. Nach Ablauf der Umschaltverzögerung übernimmt der Standby Server die Rolle des Prozessführenden Servers und trägt die gültigen Werte aus dem Standby-Puffer nach.

info Info

Zur Berechnung der Redundanzbewertung wird der Status von Werten aus dem Puffer des Standby Servers herangezogen. Dies ist ein Ausnahmefall, da für andere Auswertungen immer der Status vom Prozessführenden Server verwendet wird.


LOG-Einträge im bewerteten Netzwerk

Handbuch > Netzwerk > Redundanz > Redundanzmodi > Redundanz im Bewerteten Netzwerk > LOG-Einträge im bewerteten Netzwerk

Für das bewertete Netzwerk werden im Diagnosis Viewer folgende LOG-Einträge geschrieben:

LOG-Eintrag

Debug Level

Erklärung

LOG SendData Project:RATED_NET To:CDSBG079.COPA-DATA.INTERNAL Modul:10 Prior:0 Class:CD_CSystemDaten

Debug

Daten der Klasse CD_CSystemDaten werden über Verbindung 0 (Watchdog) zum Rechner cdsbg079 transportiert.

Modul gibt das zenon Modul an welches, die Daten erhält.

Modul 10: Netzwerkmodul synchrone Ausführung

LOG SendData Project:RATED_NET To:W7X64 Modul:10 Prior:0 Class:CD_CSrv1SystemDaten

Debug

Wie oben, als Ziel ist Server2 und Quelle ist Server1

LOG ReceiveData Project:RATED_NET To:S Modul:10 Class:CD_CSrv2SystemDaten

Debug

Wie oben, als Ziel ist Server und Quelle ist Server1

<Beschreibung> Prj:<ProjektName> client:<ClientRechner> Cmd:<CommandTxt>(<CommandNum>) Timeout:<Timeout>, ReqId:<ReqId> reload:<Reload> stat1:<SubCommand> stat2:<Stat2> string:<AddText> list:<ItemCnt>

Beschreibung, bei welcher Funktionalität die Meldung erzeugt wird. Z.B.: Server received system data.; Client send watchdog; usw.

ClientRechner: Quelle oder Ziel je nach Richtung

CommandTxt: Kommando als Klartext. Z.B: Server_REQ_DateiListe

CommandNum: Nummerische Kennung des Kommandos:

  • 0 = Server_REQ_LifeMsg,
  • 1 = Server_REQ_DateiListe,
  • 2 = Server_REQ_GetDatei,
  • 3 = Client_REQ_UpdateProjekt,
  • 4 = Server_REQ_RedundanzUmschaltung,
  • 5 = NETSRV_ConnectionClosed,
  • Timeout: Timeout im ms

ReqId: Request Id

Reload: 1 wenn Server in Reload, sonst 0

SubCommand: Nummer vom SubKommando. Bedeutung abhängig von CommandNum

Für Command 0 ServerReqLifeMsg:

  • 1 = STAT_CLIENT_ABGEWIESEN,
  • 2 = STAT_CLIENT_ANGENOMMEN
  • 3 = STAT_CLIENT_SERVERCLOSE
  • 4 = STAT_CLIENT_SERVERSWITCH
  • 5 = STAT_CLIENT_SB_ANGENOMMEN
  • 6 = STAT_SB_SERVER_TO_SB
  • 7 = STAT_PEER_ALIVE

Für Commando 4 Redundanzumschaltung:

  • 0 = IdleChangeOfDominance
  • 1 = AdviseChangeOfDominance
  • 2 = ConfirmChangeOfDominance

Stat2: Zusätzliche Kommando spezifische Information. Z.B.: Bei Kommando Server_Req_LifeMsg, Subkommando: STAT_CLIENT_ANGENOMMEN, Antwort für Anmledung eines Client am Server ist im HiWORD die Pojektversionsnummer.

AddText: Zusätzlicher Text.

ItemCnt: Anzahl der Objekte in der Liste.

Client send watchdog. Prj:RATED_NET client:ATSZG-WKS053.COPA-DATA.INTERNAL Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 quantifier:<Quant> role:<RoleTxt>(<RoleNum>)

Meldung vom Server 1 zu Server2

Quant: Aktuelle Bewertung.

RoleTxt: Aktuelle Rolle als Text

RoleNum: Aktuelle Rolle als Nummer

Server received system data. Prj:RATED_NET client:WKS053-W7X64 Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 expSrv1role:<ExpRoleTxt>(<ExpRoleNum>)

ExpRoleTxt: Von Server2 für Server 1 erwartete Rolle als Text.

ExpRoleNum: Erwartete Rolle als Nummer

Manual role switch for project %s denied.

WARNINGS

Eine manuelle Redundanzumschaltung kann nicht durchgeführt werden, da bereits eine Umstufung aktiv ist.

Current evaluated server1 role: %s(%i) Performing manual role switch.

DEBUG

Eine manuelle Redundanzumschaltung wird ausgeführt. Server 1 muss seine Rolle entsprechend der Meldung umschalten.

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Meldung wird geloggt wenn ein Client sich als Standby Server anmeldet, der Clientname jedoch nicht jenem von Server 1 oder Server 2 entspricht. Die Erkennung erfolgt auf den Host-Namen.

PrjName: Projekt, an dem der Standby Server sich anmeldet.

Pc: Name mit welchem sich der Standby Server anmeldet.

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Meldung wird geloggt wenn ein Client sich als Standby Server anmeldet, der Clientname jedoch nicht jenem von Server 1 oder Server 2 entspricht. Die Erkennung erfolgt auf den Host-Namen.

PrjName: Projekt, an dem der Standby Server sich anmeldet.

Pc: Name mit welchem sich der SB anmeldet.


Konfiguration der stoßfreien Redundanz

Handbuch > Netzwerk > Redundanz > Konfiguration der stoßfreien Redundanz

Für die Konfiguration einer stoßfreien Redundanz für ein zenon Projekts benötigen Sie zwei Rechner.

Definieren Sie in den Projekteigenschaften:

  1. Einen Rechner als Prozessführender Server für das Projekt.
  2. Einen Rechner der Standby Server für das Projekt sein soll.

Ablauf der stoßfreien Redundanz

Der Ablauf der stoßfreien Redundanz wird folgendermaßen realisiert:

  • Ein Rechner ist Prozessführender Server und ein Rechner Standby Server für ein Projekt.
  • Der Prozessführende Server hat wie im einfachen Client-Server Modell die Hoheit über alle Daten.
  • Der Standby Server verhält sich nach außen für den Benutzer wie jeder andere Rechner im Netzwerk der das Projekt gestartet hat.
  • Der Standby Server zeichnet eigenständig alle historischen Daten wie Alarme, Ereignisse und Archive auf und gleicht andere Daten (Rezepte, Benutzer, etc.) mit dem Prozessführenden Server ab.
  • Fällt der Prozessführende Server aus, stuft sich der Standby Server hoch und übernimmt dessen Aufgaben.

    Um Datenverluste in der Zeitspanne zwischen dem Ausfall und dem Erkennen des Ausfalls zu verhindern, puffert der Standby Server alle anfallenden Daten.
    Nach dem Ausfall des Prozessführenden Servers wird dieser Puffer nachgetragen, so dass kein Datenverlust entsteht.

  • Alle Clients verbinden sich zum neuen Prozessführenden Server.
  • Wenn der ursprüngliche Prozessführende Server wieder online geht, muss unterschieden werden welcher Redundanzmodus verwendet wird.

    Weitere Informationen finden Sie im Kapitel Redundanzmodi.

info Info

Projektänderungen müssen nur am Prozessführenden Server eingepflegt werden, der Standby Server und die angeschlossenen Clients führen den Online-Datenabgleich automatisch durch. Damit ist gewährleistet, dass alle Rechner immer denselben Projektstand haben.

zenon Redundanz und zenon Logic Redundanz

Details zur Kombination von zenon Redundanz und zenon Logic Redundanz finden sie im Handbuch zenon Logic Runtime).


Standby Server einrichten

Handbuch > Netzwerk > Redundanz > Standby Server einrichten

Um den Standby Server einzurichten:

  1. Wechseln Sie in den Projekt-Eigenschaften im zenon Editor zur Gruppe Netzwerk.
  2. Tragen Sie in der Eigenschaft Server 2 den Namen des Rechners ein, der Standby Server für das Projekt sein soll.
    Hinweis: Der Rechner muss eine Verbindung zur Steuerung haben.

    Sie können den Rechnernamen eintragen:

    1. durch Auswahl aus Dropdownliste mit Klick auf die Schaltfläche ...
      Der Dialog Select the desired computer mit allen im Netzwerk verfügbaren Rechnern wird geöffnet.
      Hinweis: Dieser Vorgang kann je nach Anzahl der im Netzwerk verfügbaren Rechner sehr lange dauern.
    2. durch Eintrag des Servernamens in das Eingabefeld
  3. Wählen Sie in der Eigenschaft Redundanztyp die gewünschte Art der Redundanz aus der Dropdownliste aus.

info Info

Server aus unterschiedlichen Domänen sind erlaubt!
In diesem Falle projektieren Sie den Servernamen inklusive dem Domänennamen.

Z.B.: terminal_01.mydomain.net

Größe des Standby Puffers

Die Größe des Standby Puffers ist abhängig von der Projektierung. Dabei werden immer vier Drittel der konfigurierten Netzwerk-Timeoutzeit gepuffert.

Die Projektierung dieser Netzwerk-Timeoutzeit wird in der zenon6.ini-Datei im Bereich [Netz] mit dem Eintrag NET_TIMEOUT_MSEC= konfiguriert. Dabei werden am Standby Server alle Daten im Puffer gespeichert.

Zusätzlich bestimmt dieser INI-Eintrag den Zeitraum, den der Standby Server wartet, bevor er sich zum Prozessführenden Server hochstuft.


Spezielle Konstellationen in der Kommunikation von Prozessführendem Server und Standby Server

Handbuch > Netzwerk > Redundanz > Spezielle Konstellationen in der Kommunikation von Prozessführendem Server und Standby Server

Beachten Sie die Regeln in folgender Konstellation:

  • der Prozessführende Server ist ausgefallen
  • der Standby Server hat dessen Rolle übernommen
  • der ursprüngliche Prozessführende Server wird neu gestartet
  • der ursprüngliche Prozessführende Server holt sich alle Runtime-Daten vom aktuellen Prozessführenden Server (ursprünglichem Standby Server)

In besonderen Fällen kann es dabei zu Konflikten kommen, wenn:

  1. Änderungen nur am Projekt des gestoppten ursprünglich Prozessführenden Servers vorgenommen wurden
  2. bedingt durch Netzwerkprobleme unklar ist, welcher Rechner Prozessführender Server ist.

1. Projektänderungen bei gestopptem Prozessführendem Server

Wenn Sie während der Zeit, in der die Runtime am ursprünglich Prozessführenden Server gestoppt ist, Änderungen im Projekt vornehmen und diese vor dem Abgleich nur auf diesem (gestoppten) Rechner einspielen, werden diese Änderungen wieder überschrieben, sobald sich der ursprüngliche Prozessführende Server die Daten vom aktuellen Prozessführendem Server (ursprünglicher Standby Server) holt.

Um das zu verhindern: Spielen Sie geänderte Daten vor dem Starten des ursprünglichen (projektierten) Prozessführenden Servers auch am aktuellen Prozessführenden Server (projektierter Standby Server) ein.

2. Projektänderungen im Redundanzmodus und/oder den verwendeten Servern

Folgende Änderungen werden erst nach Neustart des Prozessführenden Servers übernommen:

  • Änderung des Redundanzmodus.
  • Änderungen in den Eigenschaften Server 1 und/oder Server 2 in der Eigenschaftengruppe Netzwerk.

attention Achtung

In diesem Fall genügt es nicht, das Projekt in der Runtime nachzuladen um die notwendigen Änderungen zu übernehmen! Um alle Änderungen zu übernehmen starten Sie den Prozessführenden Server neu.

3. Serverrolle unklar bedingt durch Netzwerkprobleme

In Ausnahmefällen kann es dazu kommen, dass beide Rechner Prozessführender Server sind. Ursache kann zum Beispiel der Verlust der Netzwerkverbindung durch den Ausfall eines Switches, eine unterbrochene Netzwerkverbindung etc. sein. In diesem Fall ist die Kommunikation zwischen Prozessführendem Server, Standby Server und Clients abhängig vom Fehlerbild.

Wird in dieser Konstellation das Fehlerbild aufgelöst und beide (zu diesem Zeitpunkt) Prozessführende Server kommunizieren wieder miteinander, dann hat der ursprüngliche (projektierte) Prozessführende Server die Datenhoheit. Das bedeutet: Aktuellere Daten des Standby Servers könnten überschrieben werden.

Um das zu verhindern:

  1. Überprüfen Sie die Rollenzuteilung immer mit der Systemvariable [Netzwerk] Aktueller Prozessführender Server:
    Sie sehen, in welcher Rolle sich die Runtime befindet, und entdecken doppelte Prozessführende Server.
  2. Beenden Sie die zenon Runtime auf dem Prozessführenden Server, der die Netzwerkverbindung verloren hat.
  3. Stellen Sie dann die Netzwerkverbindung wieder her.
  4. Starten Sie die zenon Runtime auf diesem Rechner neu.
  5. Die Runtime startet dann dass Projekt mit dem Rechner als Standby Server, aktualisiert seine Daten und wechselt erst dann zur Prozessführenden Server Rolle zurück.

Tipp: Überwachen Sie die Netzwerkverbindung mit dem Redundancy Management Tool.

attention Achtung

Bilddateien vom Typ PNG können nicht überschrieben werden, wenn sie aktuell in der Runtime angezeigt werden.

Hintergrund: Die Runtime sperrt geöffnete .png Dateien. Damit wird verhindert, dass diese überschrieben werden.

Lösung: Bevor der Remote-Transport angestoßen wird, muss sichergestellt sein, dass Bilder mit *.png Dateien:

  • nicht in der Runtime aufgeschaltet sind
  • nicht von einem anderen Programm benutzt werden

Dies gilt ebenso für das Nachladen der geänderten Runtime-Dateien. Der Runtime-Abgleich im Netzwerk schlägt für ein *.png Bild fehl, wenn dieses auf einem beteiligten zenon Rechner aufgeschalten ist (Standby Server, Client).


Integrierte Bewertungsmethode für Redundanzumschaltung

Handbuch > Netzwerk > Redundanz > Integrierte Bewertungsmethode für Redundanzumschaltung

Im dominanten Netz sendet der als Server 2 konfigurierte Rechner, in der Rolle des Prozessführendern Servers, regelmäßig ein Telegramm an den (dominanten) Server 1, damit dieser - sobald er eine Verbindung erhält - wieder seine Rolle übernehmen kann. Im bewerteten Netz wird in diesem Fall kein Telegramm mehr gesendet.

Finden sich zwei Server, entscheidet die Bewertung über die Rolle.

Verwendung des Dominanzverhaltens in zenon Logic

  • Am dominanten Server kann ein Treiber das Hochstufen zum Server verzögern. Diese Funktion ist im bewerteten Netzwerk mit gleichberechtigten Servern nicht mehr vorhanden.
  • Archive erhalten am Standby Server wie auch am Server 2 ein extra Byte pro Eintrag. Damit wird sichergestellt, dass sich die Archive unterscheiden und in den Abgleich einbezogen werden.
  • Die Netztopologie für die Treiber verwendet weiterhin die Bezeichnungen Dominant und Standby sowie die Rollen als Server oder Standby. Ausgewertet wird aber nur die Rolle, daher ist keine Änderung notwendig.
  • zenon Logic wird über CStratonVM::UpdatePrjSTates mit der Information über Bezeichnung und Rolle versorgt. Ausgewertet wird nur, ob ein Rechner als Standby konfiguriert und nicht Prozessführender Server ist. In diesem Falle ist zenon Logic auch nicht aktiv.


zenon Kreisredundanz

Handbuch > Netzwerk > Redundanz > zenon Kreisredundanz

Die zenon Kreisredundanz ermöglicht die stoßfreie Redundanz mehrerer Projekte mit geringem Einsatz von Hardware.

Normalerweise werden für jedes redundante Projekt 2 Rechner benötigt: ein Rechner als Prozessführender Server und ein Rechner als Standby Server. 3 Projekte würden damit 6 Rechner benötigen. Mit der zenon Kreisredundanz genügen bereits drei Rechner, um drei Projekte redundant auszuführen. Für jedes weitere Projekt kommt ein Rechner hinzu. zenon verbindet dafür die Mehrprojektverwaltung mit der stoßfreien Redundanz.

Konzept der Kreisredundanz

Kreisredundanz nutzt die Möglichkeit der Mehrprojektverwaltung. Auf einem Rechner können mehrere Projekte gleichzeitig laufen. Jeder Rechner ist für ein Projekt Prozessführender Server und für ein zweites "Nachbarprojekt" Standby Server und kann für weitere Projekte Client sein. So ergibt sich ein Kreis. Anstelle von zum Beispiel 4 Rechnern und Lizenzen für 2 Projekte, 6 für 3 oder 8 für 4, benötigen Sie nur mehr die Hälfte.

Topologie mit drei Projekten

  • Rechner 1 ist Prozessführender Server für Projekt A und Standby Server für Projekt B.
  • Rechner 2 ist Prozessführender Server für Projekt B und Standby Server für Projekt C.
  • Rechner 3 ist Prozessführender Server für Projekt C und Standby Server für Projekt A.

    Der Kreis ist geschlossen.

  • Jeder Rechner kann gleichzeitig Client für die übrigen Projekte sein.
  • Aufwand: 3 Rechner und 3 Runtime-Lizenzen

info Info

Um mehr als ein Projekt auf einem Rechner zu starten, wird ein Integrationsprojekt benötigt.

Normalerweise würde man in diesem Beispiel 6 Rechner und 6 Runtime-Lizenzen benötigen. Die zenon Kreisredundanz ist selbstverständlich nicht auf drei Projekte beschränkt, sondern es können beliebig viele Projekte im Kreis zusammengeführt werden. Da die Rechner zusätzlich auch Client für anderer Projekte sein können, lässt sich auf diese Weise einfach und preiswert eine ausfallsichere, hochverfügbare Fertigungslinie realisieren.

Zeitsynchronisation bei zenon Kreisredundanz

Ist die zenon Zeitsynchronisation aktiv, bekommen der Standby Server und die Clients die aktuelle Zeit immer vom Prozessführenden Server. Beim Einsatz der zenon Kreisredundanz ist das nicht sinnvoll, da die einzelnen PCs gleichzeitig Prozessführender Server und Standby Server (für unterschiedliche Projekte) sind. Damit würde sich zum Beispiel Rechner 1 die Zeit von Rechner 2 holen, Rechner 2 von Rechner 3 usw.

Empfehlung: Deaktivieren Sie in diesen Fall die zenon Zeitsynchronisation und führen Sie eine externe Zeitsynchronisation durch. Eine Anleitung dazu finden Sie im Abschnitt Zeitsynchronisation im Netzwerk.


Redundancy Management Tool

Handbuch > Netzwerk > Redundanz > Redundancy Management Tool

Das Redundancy Management Tool überwacht den Netzwerkadapter und dessen Verbindung zum Netzwerk. Verliert das Gerät die Verbindung zum Netzwerk, zum Beispiel durch das Entfernen des Netzwerkkabels, stoppt das Redundancy Management Tool die Runtime. Dieser Vorgang kann vom Bediener innerhalb einer konfigurierbaren Zeitspanne abgebrochen werden. Wird die Verbindung zum Netzwerk wieder hergestellt, startet das Redundancy Management Tool die Runtime erneut.

Start und Konfiguration

Das Redundancy Management Tool kann als Anwendung mit einem Dialog oder per Kommandozeile konfiguriert werden.

Um den Dialog zu öffnen:

  • Per Windows Startordner:
    Start -> Alle Programme -> COPA-DATA -> Tools 8.00 -> Redundancy Management Tool
  • Per Startup Tool:
    Tools -> Redundancy Management Tool
  • Direktstart der Datei zenon_redman.exe aus dem zenon Programmordner.

Nach dem Start wird das Redundancy Management Tool als Symbol im rechten Bereich der Windows Taskleiste angezeigt. Ein Doppelklick auf das Symbol öffnet den Konfigurationsdialog:

Status

Statusinformationen des überwachten Netzwerkadapters.

Parameter

Beschreibung

Network Adapter Connection State

Information über den Status:

  • Connected:
    Verbindung zum Netzwerk besteht.
  • Disconnected:
    Verbindung zum Netzwerk wurde unterbrochen.

Runtime State

Status der zenon Runtime

  • Running:
    Runtime läuft.
  • Stopped by Redundancy Management Tool:
    Runtime wurde vom Tool beendet.
  • Stopped:
    Runtime läuft nicht.

Settings

Konfiguration des zu überwachenden Netzwerkadapters

Parameter | Beschreibung
Monitoring Network Adapter | Auswahl des zu überwachenden Netzwerkadapters aus Dropdownliste. Die Liste zeigt alle am Rechner verfügbaren Netzwerkadapter an.
Runtime Shutdown Delay | Einstellung der Verzögerungszeit vor dem Beenden der Runtime in Sekunden. In dieser Zeitspanne kann der Bediener das Beenden der Runtime unterbrechen. Default: 10 s Maximaler Wert: 2147483647 s Werte darüber werden als 0 interpretiert.
OK | Übernimmt Einstellungen und schließt den Dialog. Einstellungen werden in die INI-Datei übernommen.

INI-Datei

Bei der Konfiguration über den Dialog wird im Pfad %ProgramData%\COPA-DATA\System die Datei RedMan.ini angelegt.
Sie enthält folgende Einträge:

Parameter | Beschreibung
[DEFAULT] | Gruppe in der INI-Datei.
ADAPTER= | Gewählte LAN-Verbindung-
DELAY= | Wert für Verzögerungszeit.

Kommandozeile

Das Redundancy Management Tool kann ebenso über die Kommandozeile gestartet werden.

Mögliche Parameter:

  • ADAPTER=[Name]
    Legt den zu überwachenden Netzwerkadapter fest.
  • DELAY=[Sekunden]
    Gibt die Wartezeit nach Verbindungsausfall an.
    Maximaler Wert: 2147483647. Werte darüber werden als 0 interpretiert.
  • HELP,?
    Zeigt Hilfe zu den Kommandozeilenparametern an.

info Info

Bei der Konfiguration über Kommandozeile:

  • werden diese Einstellungen direkt übernommen
  • wird die Konfiguration im Dialog deaktiviert

wird keine INI-Datei geschrieben

Im Runtime-Betrieb

Während des Runtime-Betriebs überwacht das Redundancy Management Tool kontinuierlich die Netzwerkverbindung. Wird die Verbindung unterbrochen, zeigt das Redundancy Management Tool eine Warnmeldung an. Die Runtime wird nach der konfigurierten Verzögerungszeit beendet.

Sobald die Verbindung wieder verfügbar ist, startet das Redundancy Management Tool die Runtime wieder.

Klick auf die Schaltfläche Cancel unterbricht den Countdown und verhindert das Beenden der Runtime. Wird die Verbindung wiederhergestellt, dann wird bei einem erneuten Ausfall der Dialog wieder angezeigt. Der Benutzer kann erneut abbrechen oder das Tool die Runtime beenden lassen.

info Info

Der aktuelle Status der Verbindung und der Runtime wird auch immer im Konfigurationsdialog angezeigt.

Fehlerbehandlung

Fehlermeldungen

Fehler werden durch Popup-Meldungen angezeigt:

Meldung | Bedeutung
GetAdapterAddresses not supported on this platform! Error code '%u'! | Betriebssystemversion wird nicht unterstützt
GetAdapterAddresses did not return information about network adapters. Error code '%u'! | Keine Netzwerkadapter gefunden.

LOG-Dateien des Diagnosis Viewers

In den LOG-Dateien des Diagnosis Viewer werden dokumentiert:

Eintrag | Debug Level | Bedeutung
Network link '%s' down for '%u' seconds. zenon Runtime will be terminated. | Fehler | Netzwerkverbindung ausgefallen: Die Runtime wird beendet.
Network link '%s' is up. Restarting zenon Runtime now. | Information | Netzwerkverbindung wieder verfügbar: Die Runtime wird neu gestartet


COPA-DATA PRP

Handbuch > Netzwerk > COPA-DATA PRP

zenon unterstützt das Parallel Redundancy Protokoll (PRP) für die hardware-redundante Kommunikation in einem Ethernet Netzwerk. Das Protokoll ist standardisiert im IEC 62439-3.

Die PRP-Kommunikation erfolgt direkt auf OSI Layer 2 Ebene, unabhängig vom zenon Editor und der zenon Runtime. Spezielle Projektierungen in zenon sind nicht erforderlich. Um das Protokoll zu nutzen, muss der Rechner über zwei Netzwerkkarten verfügen und entsprechend konfiguriert sein.

Für die Nutzung von PRP benötigen Sie:

  • Netzwerkdienst COPA-DATA PRP driver
  • PRP Konfigurations- und Diagnose Tool

Diese finden Sie auf dem Installationsmedium. Eine detailierte Beschreibung über die erforderlichen Konfigurationsschritte finden Sie in diesem Handbuch im Kapitel Installation und Konfiguration.

Hinweis: Der Paketvergleich des Netzwerkdienstes unterstützt Netzwerke bis 100 Mbit.

Noch in diesem Kapitel

Systemvoraussetzungen

Hardwarevoraussetzung

Installation und Konfiguration

PRP Konfigurations- und Diagnose Tool


Systemvoraussetzungen

Handbuch > Netzwerk > COPA-DATA PRP > Systemvoraussetzungen

PRP-Kommunikation wird für 100-Mbit/s-Ethernet in folgende Betriebssystem unterstützt:

  • Windows 7
  • Windows 8
  • Windows 10 ab Version 1607
    Achtung: Frühere Versionen von Windows 10 werden nicht unterstützt.


Hardwarevoraussetzung

Handbuch > Netzwerk > COPA-DATA PRP > Hardwarevoraussetzung

Für die Kommunikation via PRP gelten folgende Hardwarevoraussetzungen:

  • Beide verwendeten Netzwerkkarten müssen Jumboframes unterstützten.
  • Eine Konfiguration der lokal administrierten MAC-Adresse ist für beide Netzwerkkarten möglich.

attention Achtung

Die PRP-Kommunikation wird nur innerhalb eines redundanten Netzwerks unterstützt. Dabei können zwei physikalische Netzwerke via PRP verbunden werden.

Eine zusätzliche Verbindung in ein weiteres PRP-Netzwerk wird nicht unterstützt.


Installation und Konfiguration

Handbuch > Netzwerk > COPA-DATA PRP > Installation und Konfiguration

Um den Rechner auf PRP Installation vorzubereiten:

  1. Schalten Sie den Rechner aus und trennen Sie den Rechner von der Stromversorgung (physikalisches Reset).
  2. Starten Sie den Rechner neu.

Führen Sie anschließen im Betriebssystem folgende Schritte aus:

  1. Konfigurieren Sie Ihre zwei bestehenden Netzwerkadapter.
  2. Erstellen Sie eine Netzwerkbrücke (= Bridge) aus den Netzwerkadaptern.
  3. Installieren Sie den COPA-DATA PRP driver für die Netzwerkbrücke.
  4. Konfigurieren Sie Ihre PRP-Verbindung.

Eine detailierte Beschreibung der Schritte finden Sie in den weiteren Kapiteln.

Hinweise

Beachten Sie:

  • Für die notwendigen Installationen sind Administratorrechte auf dem Rechner erforderlich.
  • Das System muss für die Installation neu gestartet werden.
  • Achten Sie auf die Hinweise bei den jeweiligen Schritten.
  • Der Paketvergleich des Netzwerkdienstes unterstützt Netzwerke bis 100 Mbit.
  • Ein Update der PRP-Dateien kann nur mit einer zenon Hauptversion oder einem Service Pack erfolgen.
    Build-Versionen sind dazu nicht inder Lage.

attention Achtung

Achten Sie speziell darauf, die Konfigurationsschritte in der angegebenen Reihenfolge durchzuführen.

Noch in diesem Kapitel

Installation und Konfiguration

Installation und Konfiguration

Installation und Konfiguration

Konfiguration PRP Verbindung (Schritt 4 von 4)


Installation und Konfiguration

Handbuch > Netzwerk > COPA-DATA PRP > Installation und Konfiguration > Installation und Konfiguration

Im ersten Schritt passen Sie die Konfiguration des Betriebssystems für die beiden verwendeten Netzwerkadapter an. Der Konfigurationsdialog sowie die Benennung der erweiterten Eigenschaften ist abhängig von der verwendeten Netzwerkkarte.

Netzwerkadapter 1

Im Betriebssystem konfigurieren Sie den ersten Netzwerkadapter.

  1. Öffnen Sie die Systemeinstellung Adaptereinstellungen ändern.
    Sie finden diese Einstellungen in den Systemsteuerungen => Netzwerk und Internet => Netzwerk- und Freigabecenter
  2. Wählen Sie den gewünschten Netzwerkadapter.
  3. Wählen Sie mit der rechten Maustaste im Kontextmenü den Eintrag Eigenschaften.
    Der Konfigurationsdialog für die Eigenschaften des Netzwerkadapters wird geöffnet.
  4. Klicken Sie auf den Button Konfigurieren...
    Das Eigenschaftenfenster des Netzwerkadapters wird geöffnet.
  5. Wechseln Sie dort in die Registerkarte Erweitert.
  6. Wählen Sie dort in der Liste Einstellungen den Eintrag Jumbo Packet.
    Hinweis: Der Name dieses Eintrags kann pro Netzwerkkarte unterschiedlich sein.
  7. Wählen Sie einen Wert in der Dropdownliste Wert.
    Wählen Sie den kleinsten verfügbaren Wert, welcher größer wie 1530 Byte ist.
    Achtung: Die Einstellung Deaktiviert darf nicht ausgewählt sein.
  8. Wählen Sie in der Registerkarte Erweitert die Einstellung Lokal verwaltete Adresse.
  9. Geben Sie im Eingabefeld Wert: eine eindeutig MAC-Adresse ein. Das Format der MAC-Adresse ist abhängig von der verwendeten Hardware.
    Beispiele:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Stellen Sie sicher, dass für beide verwendeten Anschlüsse dieselbe MAC-Adresse verwendet wird.
    Ändern Sie die Adresse im Eingabefeld Wert:
    • Diese MAC-Adresse muss mit 0A beginnen!
    • Die MAC-Adresse im lokalen Netzwerk muss eindeutig sein.
  11. Beenden Sie die Konfiguration der Netzwerkkarte mit Klick auf den Button OK.

Netzwerkadapter 2

Wiederholen Sie die Schritte für den zweiten Netzwerkadapter.
Achten Sie darauf, bei der Eingabe der MAC-Adresse dieselbe MAC-Adresse wie bei der vorangegangen Konfiguration einzugeben.

attention Achtung

Stellen Sie sicher, dass

  • die verwendete MAC-Adresse auf beiden Netzwerkadaptern gleich ist
  • im lokalen Netzwerk von keinem anderen Rechner verwendet wird.


Installation und Konfiguration

Handbuch > Netzwerk > COPA-DATA PRP > Installation und Konfiguration > Installation und Konfiguration

In diesem Schritt fassen Sie zwei Netzwerkadapter mit einer Netzwerkbrücke (= Bridge) zusammen. Passen Sie dazu die Konfiguration für die beiden verwendeten Netzwerkadapter an.

Erstellen Sie in den Systemeinstellungen eine Netzwerkbrücke.

  1. Öffnen Sie die Systemeinstellung Adaptereinstellungen ändern.
    Sie finden diese Einstellungen in den Systemsteuerungen => Netzwerk und Internet => Netzwerk- und Freigabecenter
  2. Wählen Sie die beiden Netzwerkadapter, welche Sie für die PRP Kommunikation verwenden wollen.
    Hinweis: Für beide Netzwerkadapter wurden bereits die notwendigen Konfigurationen vorgenommen. Eine nachträgliche Konfigurationsänderung eines Netzwerkadapters wird nur dann wirksam, wenn Sie anschließend eine neue Bridge erstellen.
    Achtung: Beide gewählten Netzwerkadapter müssen mit derselben MAC-Adresse konfiguriert sein!
  3. Wählen Sie mit der rechten Maustaste im Kontextmenü den Eintrag Verbindungen überbrücken.
    Für die gewählten Netzwerkadapter wird eine Netzwerkbrücke erstellt. Dies wird mit einem Dialog visualisiert.
  4. Die erstellte Überbrückung wird in den Systemsteuerungen angezeigt:

    Achtung: Die Überbrückung darf nur zwei Adapter enthalten.


Installation und Konfiguration

Handbuch > Netzwerk > COPA-DATA PRP > Installation und Konfiguration > Installation und Konfiguration

In diesem Schritt installieren Sie den für die PRP-Kommunikation erforderlichen System Dienst.

Installieren Sie den COPA-DATA PRP driver

  1. Wählen Sie die erstellte Netzwerkbrücke (Bridge).
  2. Wählen Sie mit der rechten Maustaste im Kontextmenü den Eintrag Eigenschaften.
    Der Konfigurationsdialog für die Eigenschaften der Bridge wird geöffnet.
  3. Klicken Sie die Schalftläche Installieren.
    Der Dialog zum Installieren eines Netzwerkfeatures wird geöffnet.
  4. Wählen Sie Dienst als zu installierendes Netzwerkfeature.
  5. Klicken Sie die Schaltfläche Hinzufügen...
    Der Dialog für die Auswahl des Netzwerkdienstes wird geöffnet.
  6. Klicken Sie den Button Datenträger...
    Der Dialog für die Auswahl des Ablageortes des Installationsprogrammes für den Netzwerkdienst wird geöffnet.
  7. Klicken Sie auf den Button Durchsuchen.
  8. Navigieren Sie auf Ihrem lokalen Rechner in den Ordner:
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      für 32-Bit Betriebssysteme.
    • \Programme\Common Files\COPA-DATA\CDPrpFlt\
      für 64-Bit Betriebssysteme.
  9. Wählen sie die Datei CDPrpFlt.inf.
    Achtung: Achten Sie darauf den korrekten Installer für Ihr Betriebssystem (32-Bit oder 64-Bit) auszuwählen.
  10. Bestätigen Sie die Auswahl mit Klick auf OK.
    Der Dialog zur Auswahl des Netzwerkdienstes wird geöffnet.
  11. Wählen Sie den Netzwerkdienst COPA-DATA PRP driver.
  12. Bestätigen Sie Ihre Auswahl mit OK.
    • Bestätigen Sie die Windows-Sicherheitsabfrage mit Klick auf den Button Installieren.
      Achtung: Anschließend kann ein Neustart Ihres Rechners erforderlich sein.

      Hinweis: Diese Sicherheitsabfrage wird nicht angezeigt, wenn Sie bereits bei früheren Installationen von zenon Programmkomponenten die Auswahlbox "... immer vertrauen" aktiviert haben.
  13. Nach erfolgreicher Installation (und Neustart des Rechners) ist der Dienst im Eigenschaftenfenster des Netzwerkadapters in der Liste der verwendeten Elemente sichtbar.
  14. Stellen Sie sicher, dass die LAN-Verbindung und der Netzwerkdienst COPA-DATA PRP driver über die Checkbox aktiviert sind.

attention Achtung

Stellen Sie sicher, dass durch den erforderlichen Neustart des Rechners der Einsatz im produktiven System nicht gefährdet wird.


Konfiguration PRP Verbindung (Schritt 4 von 4)

Handbuch > Netzwerk > COPA-DATA PRP > Installation und Konfiguration > Konfiguration PRP Verbindung (Schritt 4 von 4)

Stellen Sie vor der Konfiguration sicher, dass die LAN-Verbindung und der Netzwerkdienst COPA-DATA PRP driver aktiviert sind.

PRP Konfiguration

  1. Starten Sie das Programm PRPCfgDiag.exe.
    Sie finden diese Software auf Ihrem Rechner im Ordner C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
    Der PRP Configuration and Diagnostics Dialog wird geöffnet.

    Hinweis: Das PRP Configuration and Diagnostics Tool steht nur in englischer Sprache zur Verfügung.
  2. Klicken Sie den Button Configuration.
    Der Dialog für die Auswahl der Netzwerkadapter wird geöffnet.

    Hinweis: Der Inhalt der Dropdownliste basiert auf den Systemeinstellungen.
  3. Wählen Sie aus den Dropdownlisten den Netzwerkadapter für LAN_A und LAN_B.
    Hinweis: Achten Sie darauf dass für alle PRP-fähigen Geräte im Netzwerk die Bezüge zwischen physikalischen Netz und LAN_A bzw. LAN_B gleich konfiguriert wurden.
  4. Bestätigen Sie die Zuordnung mit OK.
  5. Beenden Sie die Konfiguration mit Klick auf den Button Exit.

info Info

Eine detailierte Beschreibung des PRP Configuration and Diagnostics Tools finden Sie im Kapitel PRP Konfigurations- und Diagnose Tool.


PRP Konfigurations- und Diagnose Tool

Handbuch > Netzwerk > COPA-DATA PRP > PRP Konfigurations- und Diagnose Tool

Das PRP Configuration and Diagnostics Tool erfüllt zwei Aufgaben:

  • Visualisierung
    Darstellung des via PRP gesendeten Datenverkehrs. Die Darstellung erfolgt getrennt für die beiden verwendeten Netzwerkadaptern.
  • Konfiguration
    Zuordnung der konfigurierten Netzwerkadapter.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Das Programm PRPCfgDiag.exe ist im Lieferumfang von zenon enthalten.
Sie finden diese Software auf Ihrem Rechner im Ordner C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

Voraussetzungen

Das PRP Konfigurations- und Diagnose Tool benötigt für den Betrieb oder die Konfiguration:

  • Zwei Netzwerkadapter, die in den Systemeinstellungen zu einer Bridge zusammengefasst sind.
    Hinweis: In dieser Bridge dürfen nur die zwei Netzwerkadapter konfiguriert sein, über welche die PRP-Kommunikation erfolgt. Weitere Netzwerkadapter dürfen nicht in dieser Bridge beinhaltet sein.
  • Der CDPrpFlt-Treiber muss installiert sein.

info Info

Informationen zur Installation und den notwendigen Vorbereitungen in den Systemeinstellungen finden Sie im Kapitel Installation und Konfiguration.

Noch in diesem Kapitel

Statistik

Konfiguration


Statistik

Handbuch > Netzwerk > COPA-DATA PRP > PRP Konfigurations- und Diagnose Tool > Statistik

Im Dialog Statistics wird der Datenstrom visualisiert. Die Darstellung wird für beide LAN-Adapter getrennt angezeigt.

Der Datenfluss wird ständig aufgezeichnet, auch wenn das Tool nicht geöffnet ist.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Parameter

Beschreibung

Send count

Anzeige der gesendeten Ethernet-Frames.

Receive count

Anzeige der empfangenen Ethernet-Frames.

Error count

Anzeige von fehlerhaft PRP-Frames.

Mismatch count

Anzeige von unterschiedlich empfangenen/gesendeten PRP-Frames, wenn der Netzwerkdatenverkehr der beiden LAN-Adapter voneinander abweicht.

Link status

Status der Netzwerkkarte:

  • Active
    PRP-Supervision frames werden korrekt für das jeweilige LAN (LAN_A oder LAN_B) empfangen.
  • Inactive
    Innerhalb der vergangenen zwei Sekunden wurden keine PRP-Supervision frames empfangen. Im Netzwerk ist keine PRP Station vorhanden oder es liegt ein Fehler vor.

Configuration

Öffnet den Konfigurationsdialog.

Exit

Beendet das Programm.
Hinweis: Die Daten werden weiter aufgezeichnet.


Konfiguration

Handbuch > Netzwerk > COPA-DATA PRP > PRP Konfigurations- und Diagnose Tool > Konfiguration

Im Dialog Configuration werden:

  • Netzwerkadapter via Dropdownliste zugewiesen.
    Der Inhalt der Dropdownliste basiert auf den Einstellungen der Netzwerkbrücke.
    Weitere Informationen dazu erhalten Sie im Kapitel Installation und Konfiguration.
  • die Multicast MAC-Adresse visualisiert
  • Fehlernachrichten der Netzwerkadapter-Konfiguration in einem Ausgabefenster visualisiert

attention Achtung

Nach Änderungen der Konfiguration ist ein Neustart des Rechners erforderlich.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Parameter

Beschreibung

Primary physical LAN Adapter

Zuordnung eines Netzwerkadapters zur physikalischen Verbindung für den primären LAN-Adapter.

In der Dropdownliste werden jene Adapter aufgelistet, welche in der konfigurierten Bridge enthalten sind.
Informationen dazu finden Sie im Kapitel Installation und Konfiguration.

Secondary physical LAN Adapter

Zuordnung eines Netzwerkadapters zur physikalischen Verbindung für den sekundären/redundanten LAN-Adapter.

In der Dropdownliste werden jene Adapter aufgelistet, welche in der konfigurierten Bridge enthalten sind.
Informationen dazu finden Sie im Kapitel Installation und Konfiguration.

LAN_A/LAN_B Multicast MAC

Multicast-MAC-Adresse für PRP-Supervision frames.
Diese Adresse für die Kommunikation im Netzwerk ist vorgegeben und kann nicht verändert werden.

Hinweis: Achten Sie darauf, dass in Ihrem Netzwerk kein anderer Netzwerkadapter diese Adresse verwendet!

Das letzte Byte kann im Eingabefeld konfiguriert werden. Das Eingabeformat für diese Eingabe ist HEX.

Error message

Ausgabefenster mit Fehlermeldungen.

OK

Übernimmt alle Änderungen und schaltet zum Dialog Statistik.

Cancel

Verwirft alle Änderungen und schaltet zum Dialog Statistik.


Routing

Handbuch > Netzwerk > Routing

Es wird dringend empfohlen, die Eigenschaft Routing aktiv für eine aktuelle Projektierung nicht mehr zu nutzen. Bei einer Neuprojektierung für das zenon Netzwerk ist diese Eigenschaft per Default deaktiviert.

Ablauf

Beim Routing werden die Pakete der untergeordneten Projekte über den Server vom ersten Client Projekt (ECP) im Zweig gesendet. Der Rechner fungiert als Knotenrechner und kann Pakete routen. Dabei laufen alle Netzwerkpakete von außerhalb über diesen Rechner. Diese Einstellung kann aber zu Engpässen führen und beeinflusst die möglichen Netzwerktopologien. Ein Einsatz ist nur in speziellen Netzwerkkonstellationen sinnvoll, z.B. bei langsamen WAN-Netzwerken oder gerouteten Netzwerken.

  • Anwendungsbeispiel:
    Kann in einer Konstellation von mehreren Rechnern nicht jeder Rechner jeden anderen erreichen, muss ein Rechner als Router agieren.
  • Technische Umsetzung:
    Der Server 1 und der Server 2 der untergelagerten Projekte werden auf den des ECP abgeändert; das ist der zur Runtime aktive Server 1/Server 2.

Noch in diesem Kapitel

Routing allgemein

Kompatibilität


Routing allgemein

Handbuch > Netzwerk > Routing > Routing allgemein

Zwei grundlegende Regeln müssen bei der Projektierung von Netzwerkstrukturen mit Routing beachtet werden. Sollte einer dieser Regeln nicht eingehalten werden, kann es abhängig von der jeweiligen Struktur zu Kommunikationsproblemen oder anderen unerwünschten Effekten kommen.

  • Regel 1: Server und Ebenen
    Ein Computer der als Server agiert, darf nur innerhalb einer Ebene (Kreisredundanz) mehrfach als Server oder Standby verwendet werden. In einer Ebene darüber oder darunter darf er nicht mehr als Server definiert werden!
  • Regel 2: Einzelplatz-Projekte

    Ist das Startprojekt ein Einzelplatz-Projekt, dann kann darunter nur eine einzige Ebene von Netzwerk-Projekten verwendet werden.

Client sendet zu seinem Server

  • Der Client sendet das Paket zu dem im Projekt zur Runtime aktiven Server.
  • Ist das Projekt auf diesem Rechner nicht Server, wird das Paket solange weitergesendet, bis es am Server angekommen.
  • Diese Funktionalität wird durch ein Integrationsprojekt nicht beeinflusst.

Server sendet zu einem Client mit Routing

  1. Wenn der Server eine direkte Verbindung zum Client hat, wird das Paket dorthin gesendet.
  2. Wenn keine Verbindung zum Zielrechner besteht, sendet der Server das Paket zu allen Rechnern auf denen ein Projekt läuft, wofür er Server ist.
  3. Wenn der Knoten eine direkte Verbindung zum Client hat, wird das Paket dorthin gesendet.
  4. Wenn der Rechner als Knoten fungiert, dann wird das Paket zu allen Rechnern, die sich zum Knotenrechner verbunden haben gesendet. Wenn der Zielrechner gleich dem Quellrechner ist, wird das Paket nicht weiter gesendet.
  5. Der Ablauf wird bei Punkt 3 weitergeführt.

Hinweis: Die Punkte 2 und 4 werden nur ausgeführt, wenn auf diesen Rechnern das Routing aktiv ist.

info Info

Server und Standby müssen auf den Client-Rechnern nicht den projektierten entsprechen, sondern können sich je nach Netzwerktopologie auf dem jeweiligen Rechner ändern.

Was ist eine Clientverbindung?

Als Clientverbindung wird eine Netzservice-Verbindung bezeichnet, die durch einen Client zum Prozessführenden Server oder Standby aufgebaut wird. Erkennbar ist das daran, dass die Verbindung zum Port 1100 am Zielrechner besteht.

attention Achtung

Es ist nicht garantiert, dass ein zu einer funktionsfähig definierten Topologie hinzugefügter reiner Client-Rechner funktionieren wird. Speziell auf reinen Client-Rechner kann sich durch das Routing ergeben, dass manche Projekte durch den Server nicht erreicht werden können.

Routing überprüfen

Um Routingeinstellungen zu überprüfen, verwenden Sie die Vorgangsweise aus "Netzwerktopologie verwalten".


Kompatibilität

Handbuch > Netzwerk > Routing > Kompatibilität

Regeln für Routing vor zenon 6.50:

  1. Das erste Client Netzwerkprojekt eines Zweiges auf einen Rechner definiert für alle untergeordneten Projekte im Zweig den Server und den Standby. Das gilt auch
    • wenn ein untergeordnetes Projekt auf diesem Rechner Server oder Standby wäre
    • für Projekte, die eigentlich keinen Standby Server haben
  2. Wenn das übergeordnete Projekt kein Netzwerkprojekt ist oder kein Server, werden die Zweige der Unterprojekte des Startprojektes parallel betrachtet. Damit können unterschiedliche Rechner Server für die Unterprojekte sein. Für die Zweige gelten die Regeln aus Punkt 1.
  3. Einzelplatzprojekte werden für die Topologie nicht beachtet, ausgenommen das Startprojekt.
  4. Wenn das Startprojekt nicht Server ist (also Einzelplatz, Client oder Standby nicht prozessführend), wird im Netzservice das Routing nicht aktiviert. Das betrifft nur die Richtung vom Server zum Client.

Regeln für Routing ab zenon 6.50:

Standardmäßig ist ab Version 6.50 die Eigenschaft Routing aktiv deaktiviert.

Ohne Routing

Wenn beim Startprojekt am Rechner die Eigenschaft Routing aktiv nicht aktiv ist, wird nicht geroutet. Jedes Projekt verbindet sich dann zum entsprechenden Rechner, wo es Server ist, direkt. Der Rechner ist dann kein Knoten und Pakete werden von diesem auch nicht geroutet.

Mit Routing

Die Regeln wie vor 6.50 bleiben gültig.

Ausnahme:

  • Ein Projekt, das auf dem Rechner Server oder Standby ist, bleibt Server oder Standby, auch wenn das übergeordnete Projekt einen anderen Server oder Standby verwendet.


Bedienberechtigung im Netzwerk

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk

Ein Netzwerkprojekt kann in der Grundeinstellung von allen Stationen aus gleich bedient werden.

Bedienen bedeutet hier, aktiv in den Prozess eingreifen, wie:

  • Werte absetzen
  • Rezepte ausführen
  • Alarme quittieren
  • etc.

Damit besteht die Gefahr, dass zwei Benutzer auf zwei verschiedenen Stationen gleichzeitig auf dieselbe Variable einen Wert absetzen wollen.

In diesem Fall:

  • werden beide Aktionen ausgeführt
  • der zuletzt eingegebene Wert überschreibt alle früheren

Sperre von Aktionen auf Clients via Bedienberechtigung

In zenon haben Sie die Möglichkeit, die Bedienung des Projekts jeweils nur auf einer Station zuzulassen. In diesem Fall muss sich der Bediener die Bedienberechtigung im Netz auf seine Station holen, bevor er das Projekt bedienen kann. Das Aufschalten von Bildern, sowie lesender Zugriff auf Listen wie AML, CEL, Rezepte, etc. ist nach wie vor jederzeit auf jeder Station möglich.

info Info

Bedienberechtigungen für Projekte ohne Netzwerk können über die Auswertung einer binären Variablen für die Projekteigenschaft Bediensperre realisiert werden. Details siehe Kapitel Bedienberechtigung im Handbuch Projektverwaltung und Arbeitsbereich.

Unterstützte zenon Elemente

Folgende zenon Elemente unterstützten Bedienberechtigung im Netzwerk, sowohl für Globale Bedienberechtigung wie auch für Bedienberechtigung über Anlagenmodell:

  • Uhr
  • Universalregler
  • Dynamischer Text
  • Bargraf
  • Zeigerinstrument
  • Zahlenwert
  • Schalter

Zusätzlich benötigt die Globale Bedienberechtigung für jeden schreibende Zugriff zur Runtime eine entsprechende Bedienberechtigung.

Ablauf

Bei projektierter Eigenschaft Bedienberechtigung im Netzwerk gilt:

  • Soll eine aktive Bedienung erfolgen, muss die Berechtigung geholt werden.
  • Ist die Bedienung durch einen anderen Rechner gesperrt, wird auf dem sperrenden Rechner ein Dialog geöffnet.
  • Der sperrende Benutzer kann die Berechtigung freigeben oder nicht.
  • Erfolgt keine Antwort, wird die Berechtigung nach einem voreingestellten Timeout freigegeben.
  • Wird ein Verbindungsabbruch im Netzwerk erkannt, dann wird die Bedienberechtigung für diesen Rechner zurückgesetzt.

Details siehe Kapitel:

  • Bedienberechtigung konfigurieren
  • Bedienberechtigung zur Runtime

info Info

Die Abläufe der Bedienberechtigung erzeugen entsprechende Einträge in der CEL.

Systemvariable für die Bedienberechtigung

Die Systemvariable informiert zur Bedienberechtigung.

  • [Netzwerk] Bedienberechtigung: Rechner, der sie besitzt:
    Rechnername, der über die Bedienberechtigung verfügt (Datentyp: String)
  • [Netzwerk] Bedienberechtigung vorhanden:
    Rechner besitzt die Bedienberechtigung (Datentyp: Bool)
  • [Netzwerk] Bedienberechtigung verweigert:
    Rechner fordert Bedienberechtigung an, erhält sie aber nicht (Datentyp: Bool)

info Info

Die Systemvariablen gelten nur für die Globale Bedienberechtigung. Bei der Bedienberechtigung über Anlagenmodellierung erfolgt die Visualisierung zur Runtime mit direkt bei der Anlagengruppe verlinkten Variablen.
Weitere Informationen dazu erhalten Sie im Handbuch Anlagenmodellierung im Kapitel Projektieren im Editor.

Noch in diesem Kapitel

Arten der Bedienberechtigung

Projektierung im Editor

Bedienberechtigung zur Runtime

Projektierungsänderungen - Nachladen der Runtime

LOG-Einträge Bedienberechtigung


Arten der Bedienberechtigung

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > Arten der Bedienberechtigung

Bei der Bedienberechtigung in zenon wird unterschieden:

  • Globale Bedienberechtigung
    • Kann nur für das gesamte Projekt aktiviert oder deaktiviert werden.
    • Bedienberechtigung wird für alle Elemente gesperrt oder freigegeben.
  • Bedienberechtigung über Anlagenmodellierung
    • Kann für Teile des Projekts, basierend auf dem Anlagenmodell, aktiviert oder deaktiviert werden.
    • Bedienberechtigung wird für Anlagengruppen gesperrt oder freigegeben.

attention Achtung

Für das Modul Batch Control ist die Bedienberechtigung über Anlagenmodellierung nicht verfügbar.


Projektierung im Editor

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > Projektierung im Editor

Um die Bedienberechtigung im Netzwerk zu ermöglichen:

  • Aktivieren Sie die Bedienberechtigung im Netzwerk.
  • Parametrieren Sie die Eigenschaften der Bedienberechtigung.
  • Projektieren Sie eine oder mehrere Funktionen für das Holen und Freigeben der Bedienungsberechtigung zur Runtime.

Bedienberechtigung über Anlagenmodell

Wird die Bedienberechtigung über das Anlagenmodell gesteuert, müssen Variablen mit der entsprechenden Anlagengruppe verlinkt werden.
Weitere Informationen dazu finden Sie im Handbuch Anlagenmodellierung im Kapitel Bedienberechtigung über Anlagenmodell.

Noch in diesem Kapitel

Bedienberechtigung aktivieren

Projektierung im Editor


Bedienberechtigung aktivieren

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > Projektierung im Editor > Bedienberechtigung aktivieren

Führen Sie folgende Schritte aus um die Bedienberechtigung zu aktivieren:

  1. Navigieren Sie in den Projekt-Eigenschaften zur Gruppe Netzwerk.
  2. Wählen Sie in der Dropdownliste Bedienberechtigung im Netzwerk die Art der Bedienberechtigung.
  3. Legen Sie den Timeout für Abfrage [s] fest:
  4. Definiert den Zeitraum, in dem ein Rechner auf eine Freigabeanforderung antworten kann. Nach Ablauf der Zeit wird die Bedienberechtigung automatisch freigegeben.
  5. Default: 60 Sekunden
  6. Legen Sie den Timeout für Bedienberechtigung [s] fest:

    Definiert den Zeitraum, in dem sich ein Rechner, der die Bedienberechtigung besitzt, beim Prozessführenden Server melden muss. Nach Ablauf der Zeit wird die die Bedienberechtigung automatisch freigegeben. Damit werden Verbindungsabbrüche im Netzwerk erkannt. Die Bedienberechtigung kann damit nicht durch einen unerreichbaren Rechner blockiert werden.

    Default: 60 Sekunden.

    Achtung: Wählen Sie den Zeitraum kürzer als das Netzwerk-Timeout.


Projektierung im Editor

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > Projektierung im Editor > Projektierung im Editor

Um sich die Bedienberechtigungen zu holen oder diese freizugeben, müssen zur Runtime entsprechende Funktionen zur Verfügung stehen. Dazu erstellen Sie zwei Buttons, die mit den entsprechenden Funktionen belegt werden:

  • Bedienberechtigung holen:
    Holt Berechtigung auf den eigenen Rechner
  • Bedienberechtigung freigeben:
    Gibt Berechtigung ohne explizite Anfrage wieder frei

Bedienberechtigung holen

  1. Legen Sie eine neue Funktion an.
  2. Wählen Sie aus der Gruppe Netzwerk die Funktion Bedienberechtigung im Netzwerk.
  3. Der Auswahldialog für Berechtigungen im Netz wird geöffnet.

  4. Wählen Sie Holen.

Wir diese Funktion zur Runtime ausgeführt, kann die Bedienberechtigung auf die eigene Station geholt werden.

Bedienberechtigung freigeben

  1. Legen Sie eine neue Funktion an.
  2. Wählen Sie aus der Gruppe Netzwerk die Funktion Bedienberechtigung im Netzwerk.
  3. Der Auswahldialog für Berechtigungen im Netz wird geöffnet.
  4. Wählen Sie Freigeben.

Wird diese Funktion zur Runtime ausgeführt, kann die Bedienberechtigung wieder freigegeben werden.

info Info

Weitere Informationen dazu finden Sie im Kapitel Funktion vom Typ Bedienberechtigung im Netz anlegen.


Bedienberechtigung zur Runtime

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > Bedienberechtigung zur Runtime

Ist die Projekt-Eigenschaft Bedienberechtigung im Netzwerk projektiert, werden aktive Bedienhandlungen zur Runtime nur dann ausgeführt, wenn die Bedienberechtigung für die Station vorhanden ist.

Ist die Bedienberechtigung nicht vorhanden kann diese via Funktion angefordert werden.

Beispiel

Bei nicht vorhandener Bedienberechtigung soll ein Sollwert auf eine Variable abgesetzt werden:

  1. Der Sollwert wird bei Klick auf den Button nicht an die Hardware gesendet.
  2. Stattdessen öffnet sich eine Dialog mit der Information, dass Sie keine Bedienberechtigung für dieses Projekt besitzen.
  3. Klicken Sie auf den projektierten Button Holen der Bedienberechtigung.

Blockiert kein anderer Rechner die Bedienberechtigung:

Ist die Berechtigung frei verfügbar:

  • erhalten Sie die Berechtigung
  • können Sie den Sollwert absetzen
  • können Sie nach der Bedienhandlung mit der projektierten Funktion Bedienberechtigung im Netzwerk, bei gewählter Option Bedienberechtigung freigeben diese wieder anderen Benutzern zur Verfügung stellen

Blockiert ein anderer Rechner die Bedienberechtigung:

Ist die Berechtigung blockiert:

  • Wird auf dem blockierenden Rechner ein Dialog zur Freigabe der Bedienberechtigung geöffnet.
  • Mögliche Freigabeoptionen durch den Benutzer des blockierenden Rechners:
    • Ja:
      Bedienberechtigung wird an den anderen Rechner übergeben.
    • Nein:
      Bedienberechtigung bleibt blockiert
    • Keine Reaktion:
      Countdown entsprechend der in der Eigenschaft Timeout für Bedienberechtigung [s] definierten Timeout-Zeit läuft ab. Bei 00:00 wird die Bedienberechtigung automatisch freigegeben.


Projektierungsänderungen - Nachladen der Runtime

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > Projektierungsänderungen - Nachladen der Runtime

Werden Änderungen an bedienberechtigungsrelevanten Teilen (Projekteigenschaften, Anlagenmodell, Variablen) vorgenommen, so muss die aktuelle Bedienberechtigung via Reload oder Neustart zur Runtime übernommen werden.

Dabei gilt:

  • Am Client gilt solange die alte Projektierung, bis der Client nachgeladen hat.
  • Werden bereits zur Runtime verteilte Tokens nach dem Nachladen nicht mehr benötigt, werden diese durch das Nachladen weider freigegeben. Dadurch werden vom Client auch keine Nachrichten über belegte Tokens an den Server geschickt. Ebenso stellt der Server die Überwachung der Tokens am Client ein.
    Dazu wird ein entsprechender LOG-Eintrag erstellt.
  • Beim Nachladen werden automatisch auch die projektierten Timeoutzeiten Timeout für Bedienberechtigung [s] und Timeout für Abfrage [s] nachgeladen. Offene Anforderungen einer Bedienberechtigung vor dem Nachladen werden durch das Nachladen verworfen und nicht mehr modifizert.
    Hinweis: Sollte das Timeout für die Bedienberechtigung verringert werden, werden Clients, die noch nicht nachgeladen haben, ihre Tokens relativ rasch verlieren, da sie sich zu spät am Server melden.

Nachladen durch System verzögert

Das Nachladen der Runtime wird vom System auf einen späteren Zeitpunkt verschoben, wenn:

  • der Benutzer ein Kontextmenü oder einen Dialog öffnet
  • eine Nachrichtenbox angezeigt wird

Das Nachladen wird in diesem Fall erst durchgeführt, wenn diese Elemente wieder geschlossen wurden.


LOG-Einträge Bedienberechtigung

Handbuch > Netzwerk > Bedienberechtigung im Netzwerk > LOG-Einträge Bedienberechtigung

Text

Level

Beschreibung

Token no longer relevant for group <group>

Project
DEBUG

Die Gruppe <group> ist nach dem Nachladen nicht mehr aktuell und hat für die Bedienberechtigung keine Bedeutung mehr.

Token no longer exists for group guid <guid>

Project
DEBUG

Die Gruppe mit der guid <guid> wurde beim Nachladen entfernt.

Token reserved for group <group> for host <host> with id <id>

Project
DEBUG

Nachricht am Server oder Standby Server über die Vergabe eines Tokens:
Der Token für die Gruppe <group> für Rechner <host> unter id <id> wurde reserviert.

Token denied for host <host>

Project
DEBUG

Nachricht am Server, dass die Tokenanfrage für Host <host> abgelehnt wird.

Hintergrund: Eine der angefragten Gruppen ist bereits für einen anderen Rechner reserviert.

LOG SendData Project:<project> To:<hostname> Modul:8 Prior:1 Class:CEqTokenReservationMsg

NET
DEBUG

Reservierungsinformation für einen Reservierung im Projekt <project>. Gesendet vom Server an den Standby Server <hostname>

LOG ReceiveData Project:<project> From:<server> To:<hostname> Modul:8 Class:CEqTokenReservationMsg

NET
DEBUG

Am Standby vom Server empfangene Reservierungsinformation.

Token reservation lifted for <group> for id <id>

Project
DEBUG

Reservierung wurde für die Gruppe <group> mit der ID <id> aufgehoben.

Hintergrund: Reservierung nicht mehr notwendig, da Token direkt vergeben werden kann.

LOG SendData Project:<project> To:<host> Modul:8 Prior:1 Class:CEqTokenRemoveReservationMsg

NET
DEBUG

Netzwerknachricht des Servers an den Standby Server für die Synchronisierung der Reservierung.

LOG ReceiveData Project:<project> From:<server> To:<host> Modul:8 Prior:1 Class:CEqTokenRemoveReservationMsg

NET
DEBUG

Netzwerknachricht am Standby Server für die Synchronisierung der Reservierung.

Token reservation lifted due to timeout

Project
Debug

Die Reservierung wurde aufgehoben, weil sie zu lange besteht.

Standby received 1 token reservations

Project
DEBUG

Bestehende Reservierung/en wurde/n vom Server an den startenden Standby übertragen.

Hintergrund: Die Reservierung muss für einen möglichen Serverwechsel bekannt sein.

Token reservation <id=1> for host WKS086-W7X64 with 1 groups: <relevant.screen.batch>

Project
DEEPDEBUG

Jede Reservierung wird in eigener Zeile protokolliert:

  • Reservierungs ID
  • Name des reservierenden Hosts
  • Anzahl der Gruppe
  • Name der Gruppe

Token acquired for Group: <voller Gruppenname>

Project
DEBUG

Nachricht beim Holen einer Bedienberechtigung für die Gruppe <voller Gruppenname>. (Server/Client)

Token released for Group: <voller Gruppenname>

Project
DEBUG

Nachricht bei der Freigabe einer Bedienberechtigung für die Gruppe <voller Gruppenname>. (Server/Client)

SendData Project:<Projekt> To:C Modul:8 Prior:1 Class:CEqReleaseTokenMsg

Net
DEBUG

Gibt an, dass der Server eine ReleaseMessage an alle Clients geschickt hat

ReceiveData Project:<Projekt> From:<Client> To:S Modul:8 Class: CEqReleaseTokenMsg

Net
DEBUG

Am Server wurde eine Release Token Message empfangen von Client <Client>.

ReceiveData Project:<Projekt> From:<Client> To:C Modul:8 Class: CEqReleaseTokenMsg

Net
DEBUG

Am Client wurde eine Release Token Message vom Server <Client> empfangen.

ReceiveData Project:<Projekt> From:<Server> To:<Client> Modul:8 Class:CEQTokenInfoAnswer

Net
DEBUG

Am Client wurde eine Info Answer empfangen, damit der Client die aktuelle Tokenvergabe am Server kennt

SendData Project:<Projekt> To:<Client> Modul:8 Prior:1 Class:CEQTokenInfoAnswer

Net
DEBUG

Server sendet an Client <Client> Token Info

ReceiveData Project:MANYMODULS From:<Client> To:S Modul:8 Class:CD_CNetTokenQuit

Net
DEBUG

Am Server wurde die Bestätigung von Client <Client> erhalten, dass er noch existiert.

SendData Project:MANYMODULS To:S Modul:8 Prior:1 Class:CD_CNetTokenQuit

Net
DEBUG

Am Client wurde die Bestätigung an den Server geschickt, dass er (der Client) noch existiert.


zenon Funktionen im Netzwerk

Handbuch > Netzwerk > zenon Funktionen im Netzwerk

Spezielle zenon Funktionen für das Netzwerk:

  • Bedienberechtigung im Netz
  • Redundanz-Umschaltung
    1. bei Redundanzmodus: Dominant
    2. bei Redundanzmodus: Nichtdominant
    3. bei Redundanzmodus: Bewertet

Generell muss beim Einsatz von Funktionen im Netzwerk der Ausführungsort beachtet werden. Für manche Funktionen kann der Ausführungsort frei konfiguriert werden, für andere ist dieser festgelegt.

Noch in diesem Kapitel

Bedienberechtigung im Netz

Redundanz-Umschaltung im dominanten Netzwerk


Bedienberechtigung im Netz

Handbuch > Netzwerk > zenon Funktionen im Netzwerk > Bedienberechtigung im Netz

Mit der Funktion Bedienberechtigung im Netzwerk können Bedienberechtigungen angefordert, übergeben sowie nach Anlagengruppen gefiltert werden.

Parameter

Beschreibung

Holen

Fordert Bedienberechtigung für den aufrufenden Rechner an.

Freigeben

Übergibt die Bedienberechtigung an den anfordernden Rechner.

Hinweis: Jeder Client kann nur seine Tokens freigeben. Eine generelle Freigabe erfolgt nicht.

Anlagengruppen

Die Bedienberechtigung wird für Variablen der ausgewählten Anlagengruppe angefordert oder freigegeben.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Anlagengruppe. Mehrfachauswahl und hierarchische Filterung ist möglich.

Ist keine Anlagengruppe ausgewählt, gilt die Anforderung oder Freigabe für das gesamt Projekt.

Hinweis: Im Auswahldialog werden nur jene Anlagengruppen zur Auswahl angeboten, bei denen die Eigenschaft Anlagenmodell relevant für die Bedienberechtigung aktiviert ist. Diese Eigenschaft ist in dem übergeordneten Anlagenmodell zu aktivieren.

Wurde im Funktionsdialog eine Anlagengruppe projektiert, die nicht mehr für die Bedienberechtigung verfügbar ist, wird keine Bedienberechtigung vergeben. In diesem Fall wird eine LOG-Nachricht erstellt.

Diesen Dialog zur Runtime anbieten

Auswahl ob der Dialog in der Runtime angezeigt wird.

  • Aktiv: Dialog wird in der Runtime angezeigt.
    Einstellungen können vor der Ausführung bearbeitet werden.
  • Inaktiv: Dialog wird nicht zur Runtime angeboten.
    Es werden die im Editor projektierten Einstellungen angewendet.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Funktion vom Typ Bedienberechtigung im Netz anlegen


Funktion vom Typ Bedienberechtigung im Netz anlegen

Handbuch > Netzwerk > zenon Funktionen im Netzwerk > Bedienberechtigung im Netz > Funktion vom Typ Bedienberechtigung im Netz anlegen

Eine Funktion vom Typ Bedienberechtigung im Netz dient dazu, eine Bedienberechtigung für eine Aktion zur Runtime anzufordern oder zu erlauben.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Netzwerk.
  3. Wählen Sie die Funktion Bedienberechtigung im Netzwerk

    Der Dialog zur Konfiguration der Funktion wird geöffnet.

  4. Wählen Sie die gewünschte Option:
    1. Holen
      Fordert Bedienberechtigung für gesperrte Elemente im Netzwerk an.
    2. Freigeben
      Übergibt Bedienberechtigung
  5. Optional - bei Bedienberechtigung über Anlagenmodell:
    Verlinken Sie die entsprechenden Anlagengruppen durch Klick auf die Schaltfläche ...
    Hinweis: Es werden nur jene Anlagenmodelle zur Auswahl angeboten, bei denen die Eigenschaft Anlagenmodell relevant für die Bedienberechtigung aktiviert ist.
    Weitere Informationen dazu finden Sie im Handbuch Anlagenmodellierung im Kapitel Projektieren im Editor.
  6. Benennen Sie die Funktion in der Eigenschaft Name.
  7. Verknüpfen Sie die Funktion mit einem Button.


Redundanz-Umschaltung im dominanten Netzwerk

Handbuch > Netzwerk > zenon Funktionen im Netzwerk > Redundanz-Umschaltung im dominanten Netzwerk

Mit dieser Funktion kann manuell zur Runtime zwischen Prozessführendem Server und Standby Server umgeschaltet werden. Der aktuelle Prozessführende Server wird damit zum Standby Server und umgekehrt.

Die Funktion steht für alle Redundanzmodi (zenon Editor Eigenschaft Redundanzmodus)zur Verfügung:

  • Nichtdominant
  • Dominant
  • Bewertet

Hinweis: Die Redundanz-Umschaltefunktion steht nur zur Verfügung, wenn die Eigenschaft Netzwerk aktiv aktiviert ist.

Anwendungsbeispiele

Praktische Einsatzmöglichen sind:

  • geplante Wartungsarbeiten am Prozessführenden Server
  • bessere Hardware-Kopplung des Standby Servers
  • Im Bewerteten Netzwerk:
    Bewertung vorübergehend außer Kraft setzen

attention Achtung

Diese Funktion eignet sich nicht zum Testen der Redundanz, da das Verhalten nicht dem Verhalten bei einem Serverausfall entspricht.

Umschaltverzögerung

Manche zenon Module können die Redundanzumschaltung verzögern. Z.B. eine laufende Befehlsgabe verzögert die Redundanzumschaltung.

Beachten Sie dazu die Modulbeschreibungen im Kapitel Verhalten von zenon Modulen im Netzwerk in diesem Handbuch.

Noch in diesem Kapitel

Projektieren im zenon

Konfigurationsdialog Redundanzumschaltung


Projektieren im zenon

Handbuch > Netzwerk > zenon Funktionen im Netzwerk > Redundanz-Umschaltung im dominanten Netzwerk > Projektieren im zenon

Funktion vom Typ Redundanzumschaltung anlegen

Eine Funktion vom Typ Redundanz-Umschaltung dient dazu, die Rollen von Prozessführendem Server und Standby Server in einem zenon Netzwerk zu steuern.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Netzwerk.
  3. Wählen Sie die Funktion Redundanz-Umschaltung.
    Der Dialog zur Konfiguration der Redundanzumschaltung wird geöffnet.
  4. Projektieren Sie das Verhalten der Redundanzumschaltung.
  5. Benennen Sie die Funktion in der Eigenschaft Name.

Tipp Tipp

Projektieren Sie für jede Schaltrichtung eine eigene Funktion Redundanz-Umschaltung.


Konfigurationsdialog Redundanzumschaltung

Handbuch > Netzwerk > zenon Funktionen im Netzwerk > Redundanz-Umschaltung im dominanten Netzwerk > Konfigurationsdialog Redundanzumschaltung

Im Dialog Redundanzumschaltung projektieren Sie das Verhalten einer geplanten Redundanz-Umschaltung.

Schaltrichtung

Option

Beschreibung

Toggeln

Prozessführender Server und Standby tauschen die Rollen.

Server 1

Server 1 wird (oder bleibt) Prozessführender Server.

Server 2

Server 2 wird (oder bleibt) Prozessführender Server.

Ohne (Reaktivierung der Bewertung)

Es findet keine Umschaltung statt.
Stattdessen wird eine eventuelle Umschaltung für die im Eigenschaftenfeld Unterdrückungszeit projektierte Dauer verhindert.
Ist die Unterdrückungszeit 0 wird die Umschaltung sofort wieder möglich.

Hinweis: Steht nur im Bewerteten Netzwerk zur Verfügung. Wird das Bewertete Netzwerk auf Dominant oder Nichtdominant umgeschaltet, dann muss diese Auswahl beim nächsten Öffnen der Funktion durch eine zulässige Schaltrichtung ersetzt werden.

Unterdrückungszeit

Option

Beschreibung

Unterdrückungszeit

Die Zeit in Minuten, innerhalb welcher keine automatische Redundanzumschaltung aufgrund einer geänderten Bewertung stattfindet.
Ist der Wert 0 wird die automatische Umschaltung wie in der Bewertungsgrundlage projektiert ausgeführt.

Wertebereich: 0 bis 10080 Minuten (= eine Woche)

Dies bedeutet: Der aktuelle Prozessführende Server (Server 1 oder Server 2) bleibt während dieser Zeit Prozessführender Server, unabhängig vom aktuellen Bewertungsergebnis.

Sind bei einem Bewerteten Netzwerk Totzeit nach Umschaltung [s] und Unterdrückungszeit unterschiedlich projektiert überwiegt hier der größere Wert.

Hinweis: Steht nur im Bewerteten Netzwerk zur Verfügung.

Navigation

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.
info Info
Weitere Informationen finden Sie im Kapitel Umschaltverzögerung, Totzeit und Hysterese in diesem Handbuch.


Verhalten von zenon Modulen im Netzwerk

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk

Bei Netzwerkprojekten ist zu beachten, wie sich einzelne Module und Funktionen im Netzwerk verhalten.

Noch in diesem Kapitel

AML und CEL

Archivierung

Batch Control

Benutzerverwaltung

Dateien

Erweiterter Trend

Funktionen

Message Control

Programmierschnittstellen

Querverweisliste

Report Generator & Report Viewer

Rezepte

Schaltfolgen

Skripte

Kontextlisten

Treiber im zenon Netzwerk

zenon Web Client im redundanten Netzwerk

Zeitsteuerung

Zuweisungen


AML und CEL

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > AML und CEL

Alarmierung

Die Alarmierung wird auf dem Prozessführenden Server verwaltet. Der Prozessführende Server beantwortet Anfragen der Clients zur Alarmierung. Änderungen werden zwischen Prozessführendem Server und Standby Server abgeglichen.

info Info

Übernimmt der Standby Server die Rolle des Prozessführenden Servers nach dem Ausfall des bisherigen Prozessführenden Servers werden die fehlenden Daten in AML, CEL und Archiven aufgefüllt. Die fehlenden Daten stammen aus dem internen Puffer des Standby Servers. Dieser Puffer wird von Treibern mit Werten versorgt.

Chronologische Ereignisliste

Die CEL wird jeweils auf dem Prozessführenden Server verwaltet. Änderungen werden zwischen Prozessführenden Server und Standby Server abgeglichen.

Im Bewerteten Netzwerk werden für die Umstufung auf Grund der Bewertung keine neuen CEL-Einträge erstellt.

Tipp Tipp

Um die Bewertungen in der CEL zu protokollieren, erstellen Sie eine Systemtreibervariable "[Netzwerk] Bewertungsergebnis Server 1" oder "[Netzwerk] Bewertungsergebnis Server 2":

  • Wählen Sie im Arbeitsbereich, im Knoten Variablen den Eintrag Variable neu...
  • Wählen Sie als Treiber SYSDRV - Treiber für System-Variablen.
  • Im Dialog Variablen des System Treibers wählen Sie im Dropdownmenü Thema den Eintrag Netzwerk.
  • Wählen Sie [Netzwerk] Bewertungsergebnis Server 1 und [Netzwerk] Bewertungsergebnis Server 2 und fügen Sie diese via Klick auf die Schaltfläche Hinzufügen zur Liste der zu erzeugenden Systemtreibervariablen hinzu.
  • Erstellen Sie einen numerischen Reaktionsmatrix, aktivieren Sie die Option "Jede Wertänderung als neue Verletzung behandeln" und setzen Sie die Option "In Chronologische Ergeignisliste"
  • Verknüpfen Sie diese neu erstellete Reaktionsmatrix bei den beiden Variablen.


Archivierung

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Archivierung

Die Archivierung wird auf dem Prozessführenden Server ausgeführt.

Der Prozessführende Server synchronisiert die Archivdaten mit dem Standby Server und beantwortet Anfragen der Clients (z. B. Aufschalten eines Bildes vom Typ Erweiterter Trend).

info Info

Übernimmt der Standby Server die Rolle des Prozessführenden Servers nach dem Ausfall des bisherigen Prozessführenden Servers werden die fehlenden Daten in AML, CEL und Archiven aufgefüllt. Die fehlenden Daten stammen aus dem internen Puffer des Standby Servers. Dieser Puffer wird von Treibern mit Werten versorgt.

Redundanzumschaltung

Bei einer Redundanzumschaltung kann es zu einer Verzögerung der Umschaltung durch das zenon Modul Archivierung kommen.

Wenn in einem Archiv Variablen aus einem anderen Projekt archiviert werden, ändert sich das Startverhalten der Runtime im zenon Netzwerk. In diesem Fall werden die Archive erst nach dem Laden aller Projekte gestartet.

Dadurch wird sichergestellt, dass alle zu archivierenden Variablen erkannt werden, bevor die Archivierung startet und der Rechner die Rolle des Prozessführenden Servers übernimmt.

Example Beispiel

Die zenon Runtime wird auf einem Rechner gestartet, der bei der Projektierung als Server 1 oder Server 2 konfiguriert wurde.

  • Die Runtime startet in der Rolle des Standby Servers.
  • Alle Projekte werden geladen.
  • Die Archivierung wird abgeglichen.

Diese Schritte erfolgen unabhängig der aktuellen Rolle oder Bewertung des Rechners.

Erst nach Abschluss dieser Schritte wird - im Bedarfsfall - die Redundanzumschaltung ausgeführt.


Batch Control

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Batch Control

Das Modul Batch Control ist voll netzwerkfähig im Sinne der Client/Server-Technologie. Das heißt, es können Batch-Rezepte auf einem Client erstellt, dupliziert, bearbeitet, gelöscht usw. werden. Dabei erfolgt die gesamte Rezeptverwaltung immer am Server. Ebenso kann von einem Client aus die gesamte Ablaufbedienung wie Rezept starten, pausieren, stoppen usw. erfolgen. Auch Moduswechsel und manuelle Operationen wie springen sind möglich.

attention Achtung

Das Modul Batch Control ist nicht redundanzfähig. Es erfolgt kein Abgleich am Standby Server. Bei einem Ausfall des Servers werden die ausgeführten Batch-Rezepte am Standby nicht fortgesetzt! Es können auch keine Rezepte gestartet werden, während der projektierte Server 2 der prozessführende Server ist.

Beim Einsatz von Batch Control in einem Netzwerk gilt:

Belegung

Das Erzwingen von Belegungen kann von Server und Client aus erfolgen.

Funktionen

Funktionen werden immer am Server ausgeführt.

Grundfunktionen

  • Bearbeitung von Grundfunktionen in Vorlagenrezepten:
    • Editiermodus: Änderungen werden lokal am Client durchgeführt.
      Wird während der Bearbeitung das Rezept auf einem anderen Rechner im Netzwerk gespeichert, geht die aktuelle Konfiguration verloren. Es wird eine entsprechende Nachricht angezeigt und der Dialog zur Bearbeitung wird geschlossen, die neuen Daten vom Server werden angezeigt.
    • Testmodus: Änderungen werden am Server durchgeführt.
  • Steuerrezept: Änderungen werden am Server durchgeführt.
  • Wird ein Rezept im Netzwerk gespeichert, werden alle Clients, die dieses Rezept verwenden, aktualisiert.
  • Wird ein Rezept auf einem Client geöffnet, wird immer die am Server aktuelle Version angezeigt, auch wenn es dort noch nicht gespeichert wurde.
  • Wird auf einem Rechner ein Rezept gelöscht, wird auf allen Rechnern, die dieses Rezept zur Ansicht geöffnet haben, eine Meldung ausgegeben, dass das Rezept gelöscht wurde.

Modus

  • Modus (automatisch, halbautomatisch, manuell) kann von Server und Client aus umgeschaltet werden.
  • Springen im Rezept und schrittweises ablaufen lassen von Rezepten kann von Server und Client aus erfolgen.

Nachladen

Nicht gesicherte Änderungen an Rezepten am Client können beim Nachladen überschrieben werden.

Rezepte

  • Rezepte können vom zenon Server und von zenon Clients gestartet und gesteuert werden.
  • Werden Parameter in einem Rezept geändert während das Rezept auf einem anderen zenon Client gespeichert wird, dann wird die Änderung der Parameter abgelehnt und nicht durchgeführt.
  • Ein Vorlagenrezept kann am zenon Client geändert werden, während es am zenon Server in den Testmodus geschaltet und zum zenon Client geschickt wird. Übernommen werden dann jene Änderungen, die zuletzt gespeichert wurde. Das heißt: Speichert der zenon Client zuletzt, wird das Rezept wieder in den Bearbeitungsmodus geschaltet. Speichert der zenon Server zuletzt, wird die Änderung des zenon Clients verworfen und das Rezept befindet sich im Testmodus.
  • Tritt während des Löschens eines Rezepts oder einer Teilrezeptvorlage eine Kommunikationsstörung auf, wird das Löschen mit einer Fehlermeldung abgelehnt.

Web Client

Mit einem Standard-Web Client:

  • können die Einstellungen für Gitternetz und Farbe geändert werden
  • können keine Rezepte erstellt oder bearbeitet werden
  • kann die Größe der Arbeitsfläche nicht geändert werden
  • werden in der Symbolleiste alle Symbole, die nicht zugelassen sind, deaktiviert; die Auswahl der entsprechenden Objekte ist also nicht möglich

Der Web Client PRO ist von diesen Einschränkungen nicht betroffen.


Benutzerverwaltung

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Benutzerverwaltung

Die Benutzerverwaltung wird am Prozessführenden Server verwaltet. Ablauf eines Logins:

  1. Die Login-Anfrage wird an den Prozessführenden Server geschickt.
  2. Dieser antwortet mit der Liste der berechtigten Benutzer.
  3. Der Client verifiziert die Daten.

Werden an einem Client zur Runtime Änderungen an der Benutzerverwaltung vorgenommen, wird die vollständige Benutzerliste vom Client zum Prozessführenden Server gesandt.

info Info

Active Directory, ADAM, ADLDS Benutzer

Werden Active Directory, ADAM oder ADLDS Benutzer verwendet, kommunizieren alle Rechner (unabhängig ob Prozessführender Server, Standby Server oder Client) direkt mit dem Active Directory, ADAM oder ADLDS Server.

D.h. alle Rechner müssen in der entsprechenden Infrastruktur (z. B. Active Directory Domäne bei Verwendung von Active Directory Benutzern) sein, es reicht nicht dass nur der Prozessführende Server in der Active Directory Domäne mit den entsprechenden Benutzern ist.


Dateien

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Dateien

Beim Datenaustausch zwischen Prozessführendem Server und Standby Server werden Listen für die Dateien aller Module erstellt. Der Prozessführende Server überwacht diese Listen auf Änderungen. Festgestellte Änderungen werden zum Standby Server übertragen.

attention Achtung

Während der Erstellung der Listen reagiert der Prozessführende Server nicht auf Watchdogs, die vom Standby Server geschickt werden. Beachten Sie das bei der Festlegung der Zeit für das Netzwerktimeout.

Mit dem Remote-Transport werden alle für das Projekt benötigten Dateien zum Zielsystem übertragen.

Dabei werden immer alle Dateien in den Verzeichnissen übertragen:

Standard

  • Alle Dateien, die sich im Runtimeordner (...\RT\FILES\zenon\system\) des Projekts befinden.
    Diese Dateien bestimmen das Aussehen und Verhalten des Projekts und werden standardmäßig übertragen.

info Info

Nicht übertragen werden standardmäßig Dateien mit den Endungen:

  • .hot
  • .ho
  • .ret
  • .re

Optional

Zusätzlich müssen alle Dateien übertragen werden, die in das Projekt eingebunden wurden. Die Auswahl erfolgt über die Checkbox aktiv der Remote-Transport Einstellungen. Diese Dateien befinden sich in folgenden Unterordner des Projektordners

  • \zenon\custom\graphics: für Grafiken
  • \zenon\custom\lists: für Sprachtabellen
  • \zenon\custom\media: für alle Mediendateien
  • \zenon\custom\reports: für die Tabellen des Report Generators
  • \zenon\custom\help: für Hilfedateien
  • \zenon\custom\additional: für zusätzliche Dateien
  • \zenon\custom\rdlc: für Report Viewer Dateien
  • \zenon\custom\drivers: für Treiber
  • \straton: für zenon Logic

    Empfehlung: Projekt-Basispfad, Grafiken, Sprachtabellen, Reporttabellen und Mediadateien immer übertragen.
    Aus dem Projekt-Basispfad werden standardmäßig übertragen: Die Dateien project.ini, Projekt.vba, monitor.mon und der Ordner Projekt.

    Standardmäßig werden von zenon immer Relativpfade und keine Absolutpfade verwendet, damit am Zielsystem die Dateien wiedergefunden werden.

    Für die optional zu übertragenden Dateien sollten die ursprünglichen Pfade verwendet werden (leeres Feld bei Ziel), damit diese von zenon auch am Zielsystem wieder gefunden werden.

Globalprojekt

Wenn sich im Arbeitsbereich ein Globalprojekt befindet, wird dieses automatisch übertragen. Es müssen keine zusätzlichen Einstellungen getroffen werden. Es werden immer alle für das Globalprojekt notwendigen Dateien übertragen!

attention Achtung

Beträgt der Zeitunterschied zwischen Server und Client mehr als 5 Sekunden, werden keine Dateien mehr synchronisiert.


Erweiterter Trend

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Erweiterter Trend

Der Erweiterte Trend zeigt Informationen aus Archiven und von Online-Daten an. Diese Daten werden am Prozessführenden Server gespeichert und bei Bedarf (aufschalten eines Trendbildes am Client) vom Prozessführenden Server angefordert.


Funktionen

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Funktionen

Bei Funktionen, die im Netzwerk eingesetzt werden:

  • kann der Ausführungsort in manchen Fällen frei konfiguriert werden
  • ist der Ausführungsort in manchen Fällen fest vorgegeben

info Info

Skripte bündeln mehrere Funktionen. Der Ausführungsort hängt dann ab von den Einstellungen der Funktion Skript ausführen. Diese Einstellung überschreibt die Einstellungen der einzelnen Funktionen.

Ausführungsort konfigurieren

Bei Funktionen, deren Ausführungsort frei konfiguriert werden kann, stehen bei den Eigenschaften der Funktion entsprechende Parameter zur Verfügung.

Um den Ausführungsort zu definieren:

  1. Navigieren Sie in den Eigenschaften der Funktion zur Gruppe Ausführung.
  2. Wählen Sie den gewünschten Ausführungsort durch Aktivierung der Checkbox aus. Mehrfachauswahl ist möglich:
    • Aktueller Rechner: Funktion wird auf dem aktuellen Rechner ausgeführt.
    • Prozessführender Server: Funktion wird auf dem Prozessführenden Server ausgeführt.
    • Standby Server: Funktion wird auf dem Standby Server ausgeführt
    • Client: Funktion wird auf allen Clients ausgeführt.

Übersicht Funktionen im Netzwerk

Die folgende Tabelle zeigt, welche Funktionen wo ausgeführt werden.

Legende:

  • Einstellbar: Verhalten kann konfiguriert werden

    +: Ja

    -: Nein

    O: Default

  • Wenn nicht einstellbar, kennzeichnet O den Ausführungsort:
    • Aktiver Rechner
    • Prozessführender Server
    • Standby Server
    • Client

Funktion | Einstellbar | Aktueller Rechner | Prozessführender Server | Standby Server | Client
AML und CEL |  |  |  |  |
Alarme Blink-Quittierung | - | O |  |  |
Alarme löschen | - |  | O | O |
Alarme quittieren | - |  | O | O |
Alarm/Ereignis-Gruppe abmelden/anmelden | - | O |  |  |
Alarmmeldeliste/Alarm/Ereignis-Gruppen/Alarm/Ereignis-Klassen aktivieren/deaktivieren | - |  | O | O |
Alarmmeldeliste aktiv | - |  | O |  |
Alarmmeldeliste aktiv/inaktiv | - |  | O |  |
Alarmmeldeliste inaktiv | - |  | O |  |
AML exportieren | + | O |  |  |
AML- und CEL-Ringpuffer speichern | - |  | O | O |
CEL exportieren | + | O |  |  |
Drucken AML oder CEL | + | O |  |  |
IPA-Dokument erzeugen/drucken | - |  | O |  |
Online-Drucken ein/ausschalten | - |  | O | O |
Online-Drucken neue Seite beginnen | + | O |  |  |
Online-Drucker umschalten | - |  | O |  |
Anwendung |  |  |  |  |
Drucker wählen | + | O |  |  |
Last-Management starten | - |  | O |  |
Last-Management stoppen | - |  | O |  |
Erweiterter Trend Diagramm drucken | + | O |  |  |
Farbpalette umschalten | + | O |  |  |
Funktionen bei Grenzwerten aktiv | - |  | O | O |
Funktionen bei Grenzwerten aktiv/inaktiv | - |  | O | O |
Funktionen bei Grenzwerten inaktiv | - |  | O | O |
Hilfe aufrufen | + | O |  |  |
Nachladen | + | O |  |  |
Offene Wartungen ermitteln | - |  | O |  |
PFS - benutzerdefiniertes Ereignis anstoßen | + | O |  |  |
Projektsimulation aktivieren/deaktivieren | - | O |  |  |
Rechtsklick simulieren | + | O |  |  |
Remanentdaten speichern | + | O |  |  |
Runtime beenden | + | O |  |  |
S7-Graph Heuristik auswerten | + | O |  |  |
SAP-Funktion ausführen | + | O |  |  |
Sprachumschaltung | + | O |  |  |
Topologie - Erdschlusssuche | - |  | O |  |
Topologie - LoadShedding | - |  | O |  |
Archivserver |  |  |  |  |
Archiv beenden | - |  | O | O |
Archiv indizieren | - |  | O |  |
Archiv starten | - |  | O | O |
Archive exportieren | - | O |  |  |
Offene Archive anzeigen | - |  | O | O |
Benutzerverwaltung |  |  |  |  |
Benutzer ändern | + | O |  |  |
Login mit Dialog | + | O |  |  |
Login ohne Passwort | + | O |  |  |
Logout | + | O |  |  |
Passwort ändern | - | O |  |  |
Bilder |  |  |  |  |
ALC-Quellfarbe ändern | + | O |  |  |
Bild indiziert | - | O |  |  |
Bild schließen | + | O |  |  |
Bild zurück | - | O |  |  |
Bildmittelpunkt verschieben | + | O |  |  |
Bildumschaltung | + | O |  |  |
Eingabe auf Element mit Fokus aktivieren | + | O |  |  |
Fokus auf Schablone setzen | + | O |  |  |
Fokus verschieben | - | O |  |  |
Fokus von Schablone nehmen | + | O |  |  |
Menü anzeigen | + | O |  |  |
Bildschirm zuordnen | + | O |  |  |
Runtimeprofile | + | O |  |  |
Schablone schließen | + | O |  |  |
Sollwertvorgabe für Keyboard-Bild | - | O |  |  |
Übersichtsfenster anzeigen | + | O |  |  |
Fehlerortung in elektrischen Netzen |  |  |  |  |
Erdschlussmeldung quittieren | + | O |  |  |
Erdschlusssuche beenden | + | O |  |  |
Erdschlusssuche starten | + | O |  |  |
Kurzschlussmeldung quittieren | + | O |  |  |
Message Control |  |  |  |  |
Aktuelle Warteschlange speichern | - |  | O |
Gruppen/Klassen/Bereiche/ Anlagen unterdrücken | - |  | O |  |
Sende Nachricht | - |  | O |  |
Sende Nachricht aktivieren | - |  | O |  |
Sende Nachricht deaktivieren | - |  | O |  |
Netzwerk |  |  |  |  |
Bedienberechtigung im Netz | + | O |  |  |
Redundanz Umschaltung | - |  |  | O |
Report Generator |  |  |  |  |
Drucken Report | + |  |  |  |
Report ausführen | + |  |  |  |
Report exportieren | + |  |  |  |
Rezepte |  |  |  |  |
Rezeptgruppen-Manager | - | O |  |  |
Standard-Rezept | - | O |  |  |
Standard-Rezept einzeln direkt | + | O |  |  |
Standard-Rezept einzeln mit Auswahl | - | O |  |  |
Standard-Rezept einzeln mit Online-Auswahl | - | O |  |  |
Skript |  |  |  |  |
Skript ausführen | + | O |  |  |
Skript mit Online-Auswahl | + | O |  |  |
Variable |  |  |  |  |
Daten exportieren | - |  | O |  |
dBase Datei lesen | + | O |  |  |
Drucken Momentanwerte | + | O |  |  |
Einheitenumschaltung | + | O |  |  |
HD-Verwaltung aktiv | - |  | O | O |
HD-Verwaltung inaktiv | - |  | O | O |
HD-Verwaltung inaktiv/active | - |  | O | O |
Sollwert absetzen | - |  | O |  |
Treiberkommandos | - | O |  |  |
Treiber Simulationsabbild an Standby übertragen | - |  |  | O |
Uhrzeit auf Variable schreiben | + | O |  |  |
Uhrzeit von Variable lesen | + | O |  |  |
VBA |  |  |  |  |
PCE-Editor öffnen | - |  | O |  |
VBA-Editor öffnen | + | O |  |  |
VBA-Makro ausführen | + | O |  |  |
VBA-Makro Dialog Anzeigen | + | O |  |  |
VSTA |  |  |  |  |
VSTA-Editor öffnen | + | O |  |  |
VSTA-Marko ausführen | + | O |  |  |
VSTA-Makro Dialog anzeigen | + | O |  |  |
Windows |  |  |  |  |
Audiodatei ausführen | + | O |  |  |
Dateioperation | + | O |  |  |
Dauerton Start | + | O |  |  |
Dauerton Stopp | + | O |  |  |
In den Hintergrund | - | O |  |  |
In den Vordergrund | - | O |  |  |
Screenshot drucken | + | O |  |  |
Starte Programm | + | O |  |  |


Message Control

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Message Control

Message Control wird auf dem Prozessführenden Server ausgeführt.

Der Prozessführende Server synchronisiert sich mit dem Standby Server.


Programmierschnittstellen

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Programmierschnittstellen

VBA und VSTA

Code in VBA oder VSTA wird standardmäßig immer lokal auf dem System ausgeführt, auf dem er gestartet wird oder wo Events auftreten.

Der Ausführungsort kann aber über den Aufruf per Funktion alternativ definiert werden.

PCE

PCE wird im Netzwerk immer am Server ausgeführt. In Standalone-Prokjekten am Standalone-Rechner.


Querverweisliste

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Querverweisliste

Die Variablenverwendung in Bewerteten Netzwerken wird ebenso berücksichtigt. Als Elementname wird die Eigenschaftenbenennung der Verwendungsstelle angeführt. Diese ist entweder "Ereignisvariable" oder "Bewertungen".

info Info

Weitere Informationen erhalten Sie im Handbuch Querverweisliste.


Report Generator & Report Viewer

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Report Generator & Report Viewer

Die *.xrs Dateien des Report Generators und die *.rdl Dateien des Report Viewers werden auf allen Systemen im Netzwerk (Clients, Standby Server, Prozessführender Server) synchronisiert.

Editor

Wird die Datei im zenon Editor modifiziert, auf den Prozessführenden Server übertragen und nachgeladen, wird sie automatisch an die anderen Rechner im Netzwerk verteilt.

Runtime

Wird die Datei zur Runtime geändert, werden die Änderungen nur temporär gespeichert und beim nächsten Nachladevorgang oder Neustart der Runtime wieder ersetzt.


Rezepte

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Rezepte

Die Ausführung von Rezepten unterscheidet sich für Standard-Rezepte und den RGM.

Standard-Rezepte

Standard-Rezepte werden auf dem Prozessführenden Server und am Standby Server verwaltet.

Soll zur Runtime ein Standard-Rezept durch einen Benutzer geändert werden, fordert der Client vom Prozessführenden Server die vollständige Liste der Rezepte an. Bei Änderungen wird die Liste der Rezepte zurück zum Prozessführenden Server geschickt.

info Info

Diese Liste ist nicht identisch mit der Datei rezepturen.cmp

Wird ein Rezept zur Runtime am Client verändert und ausgeführt, wird es mit den neuen Werten ausgeführt. Beim Beenden des Standard-Rezepts wird das Speichern der Änderungen angeboten.

Rezeptgruppen-Manager

Beim Laden des Bildes Rezeptgruppen-Manager auf dem Client wird vom Prozessführenden Server eine Liste aller Rezeptnamen angefordert. Sobald ein Rezept ausgewählt wird, wird es vom Prozessführenden Server geladen.


Schaltfolgen

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Schaltfolgen

Das Netzwerkkonzept des Moduls Schaltfolgen arbeitet nach folgendem Prinzip:

  • Die Schaltfolgen können sowohl am Client, wie auch am Server oder am Standby Server projektiert werden.
  • Die projektierten Schaltfolgen werden auf dem Prozessführenden Server verwaltet und an die Clients verteilt.
  • Die Schaltfolgen können sowohl am Client, wie auch am Server bedient werden.
  • Die Schaltfolgen werden am Prozessführenden Server ausgeführt.
  • Bei einer Redundanzumschaltung werden die laufenden Schaltfolgen abgebrochen.
    Am neuen Prozessführenden Server können diese manuell neu gestartet werden.

Rollenwechsel zwischen Server 1 und Server 2

  • Die Redundanzumschaltung wird solange verzögert, bis alle aktiven Schaltfolgen abgeschlossen sind.
  • Der Start von Schaltfolgen wird während einer Redundanzumschaltung blockiert. Am Client sind die Buttons in dieser Zeit ausgegraut.
    • Diese Redundanzumschaltung kann in einem Bewerteten Netzwerk geplant sein.
    • In einem Dominanten Netzwerk oder einem Nichtdominanten Netzwerk erfolgt die Redundanzumschaltung durch Ausfall des Prozessführenden Servers.
  • Das Starten von Schaltfolgen ist wieder möglich, wenn die Umschaltung durchgeführt wurde oder wenn die Umschaltung abgebrochen wurde.
    In diesem Falle wird ein Eintrag in die CEL geschrieben.
  • CEL-Nachrichten werden für folgende Ereignisse geschrieben:
    • Start einer Schaltfolge am Server ist blockiert.
    • Wenn eine Schaltfolge im Dominanten Netzwerk am Server 2 gestartet werden soll.
    • Schaltfolge kann nicht gestartet werden, da aktuell eine Redundanzumschaltung ansteht.
    • Hinweis: Wird eine fehlerhafte Schaltfolge gestartet, wird keine CEL-Nachricht erzeugt.

LOG-Eintrag

Eintrag | Level | Beschreibung
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | Die Schaltfolge kann nicht gestartet werden, da gerade eine Redundanzumschaltung ansteht.

Sonderfall: Zwei Server im Netzwerk

Im Fall, dass bei Umschaltung des Prozessführenden Servers noch Schaltfolgen auf dem "neuen" Standby Server laufen, werden diese auf dem Standby abgebrochen. Dies kann nur dann vorkommen, wenn beide Server im Netzwerk (z.B. durch einen Netzwerkausfall) nicht mehr verbunden waren und nun wieder verbunden sind. In diesem Fall wird die Änderung an der Schaltfolge nicht am Prozessführenden Server übernommen.

Dies bedeutet, falls eine Verbindung vorhanden ist und Schaltfolgen, die nun am Standby abgebrochen werden, am Prozessführenden Server schon geöffnet waren, diese weiterhin als laufend betrachtet werden. Erst wenn auf Server 1 und Server 2 diese Schaltfolge geschlossen wurde, kann sie erneut gestartet werden.

Keine Verbindung zu Server und Standby

Wird am Client das Schaltfolgenbild geöffnet, wenn weder Server 1 noch Server 2 erreichbar sind, ist der Schaltfolgen-Editor am Client nicht verfügbar. Der Schaltflächeneditor bleibt leer. In der zenon Runtime, wird anstelle des Schaltfolgebilds ein Fehlertext angezeigt.

Fehlerdialog

Wenn eine Schaltfolge nicht gestartet werden kann, wird folgender Fehlerdialog angezeigt:


Skripte

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Skripte

Skripte bündeln mehrere Funktionen. Der Ausführungsort hängt ab von den Einstellungen der Funktion Skript ausführen. Diese Einstellung überschreibt die Einstellungen der einzelnen Funktionen.

Die Ausführung von Skripten im Netzwerk wird mit vordefinierten Skripten gesteuert:

Skript

Beschreibung

Ausführungsort

AUTOSTART

Skript wird beim Runtimestart automatisch noch vor dem Laden des Startbildschirms ausgeführt, wenn das Projekt das Runtime-Startprojekt ist. Beim Start untergeordneter Projekte wird es nicht ausgeführt.
  • Netzwerkprojekt:
    Prozessführender Server
  • Einzelplatzprojekt:
    Aktiver Rechner

AUTOEND

Skript wird beim Beenden der Runtime automatisch ausgeführt, wenn das Projekt das Runtime-Startprojekt ist. Beim Beenden untergeordneter Projekte wird es nicht ausgeführt.

  • Netzwerkprojekt:
    Prozessführender Server
  • Einzelplatzprojekt:
    Aktiver Rechner

AUTOSTART_CLIENT

Skript wird beim Runtimestart auf einem Client automatisch noch vor dem Laden des Startbildschirms ausgeführt, wenn das Projekt das Runtime-Startprojekt ist. Beim Start untergeordneter Projekte wird es nicht ausgeführt.

Einzelplatzprojekt:
Aktiver Rechner

AUTOEND_CLIENT

Skript wird beim Beenden der Runtime auf einem Client automatisch ausgeführt, wenn das Projekt das Runtime-Startprojekt ist. Beim Beenden untergeordneter Projekte wird es nicht ausgeführt.

Einzelplatzprojekt:
Aktiver Rechner

AUTOSTART_SRVPRJ

Skript wird beim Runtimestart eines beliebigen Projekts auf dem Prozessführenden Server automatisch noch vor dem Laden des Startbildschirms ausgeführt.

Netzwerkprojekt:
Prozessführender Server

AUTOEND_SRVPRJ

Skript wird beim Beenden der Runtime eines beliebigen Projekts auf dem Prozessführenden Server automatisch ausgeführt.

Netzwerkprojekt:
Prozessführender Server


Kontextlisten

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Kontextlisten

Bei der Verwendung einer Kontextliste in einem Netzwerkprojekt erfolgt die Speicherung am Server. Clients werden automatisch synchronisiert.
Wird eine Liste auf mehreren Clients gleichzeitig bearbeitet, wird die zuletzt gespeicherte Version vom Server übernommen und an alle Clients verteilt.

Verliert der Client die Verbindung zum Server, wird die Kontextliste am Client geleert und die Bildelemente zur Bearbeitung werden ausgegraut. Verknüpfte Einträge in der Alarmmeldeliste werden mit dem Text <Alarmursache existiert nicht> angezeigt.
Sobald wieder eine Verbindung zum Server besteht, wird die Kontextliste angezeigt und die Bildelemente zur Bearbeitung werden freigegeben.


Treiber im zenon Netzwerk

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Treiber im zenon Netzwerk

Im zenon Netzwerk kommuniziert im Normalfall der Prozessführende Server über den Treiber mit der Steuerung. Anfragen vom Client werden über den Prozessführenden Server geleitet. Dieser holt die Informationen von der Steuerung und leitet sie an den Client weiter. Grenzwerte werden vom Prozessführenden Server überwacht.

Treiber

Treiber werden am Prozessführenden Server und Standby Server ausgeführt.

Ausnahme: Der Mathematik Treiber wird nur am Prozessführenden Server ausgeführt.

Noch in diesem Kapitel

Treiber für interne Variablen

Treiber - Grenzwerte und Reaktionsmatrizen

Treiber - Umstufverzögerung bei Redundanzumschaltung


Treiber für interne Variablen

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Treiber im zenon Netzwerk > Treiber für interne Variablen

Bei internen Variablen kann in zenon für jede einzelne Variable festgelegt werden, ob der Wert der Variable lokal auf dem Rechner oder gleich im gesamten Netzwerk ist.

info Info

Variablen vom Treiberobjekttyp Interne Variable stehen nur für den Treiber für interne Variablen (INTERN) zur Verfügung.

Um die Berechnung von internen Variablen zu projektieren:

  1. Navigieren Sie zum Knoten Interne Variable in den Eigenschaften der internen Variablen

  2. Legen Sie über die Eigenschaft Berechnung den Ausführungsort fest:
    Diese Eigenschaft kann für jede Variable individuell eingestellt werden. Arrays werden ebenfalls unterstützt.
    1. Lokal: Die interne Variable wird bei Netzwerkprojekten lokal d. h. auch auf dem Standby Server und den Clients ausgewertet oder verwaltet. Die Werte werden nicht mit anderen Rechnern im Netzwerk synchronisiert.
    2. Netzwerk: Die interne Variable wird bei Netzwerkprojekten auf dem Prozessführenden Server des Projekts ausgewertet oder verwaltet. Sie hat auf dem Prozessführenden Server und auf allen Clients denselben Wert.


Treiber - Grenzwerte und Reaktionsmatrizen

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Treiber im zenon Netzwerk > Treiber - Grenzwerte und Reaktionsmatrizen

Grundsätzlich werden Grenzwerte und Reaktionsmatrizen am Prozessführenden Server (wo auch die AML verwaltet wird) überwacht.
Für lokale interne Variablen gilt zusätzlich:

  • Grenzwerte und Reaktionsmatrizen werden auf allen Rechnern (Prozessführendem Server, Standby Server und Clients) lokal überwacht.
  • Verknüpfte Grenzwertfunktionen werden nur dort ausgeführt, wo der Grenzwert der lokalen internen Variable verletzt wurde.
  • Grenzwertverletzungen dieser Variablen am Standby Server oder Client sind kein Alarm.


Treiber - Umstufverzögerung bei Redundanzumschaltung

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Treiber im zenon Netzwerk > Treiber - Umstufverzögerung bei Redundanzumschaltung

Beim Start oder Restart eines projektierten Servers kann die Umstufung zum Prozessführenden Server durch einen Treiber verzögert werden.

Dadurch ist sichergestellt, dass eine Umstufung nur dann erfolgt, wenn alle Prozessvariablen einen gültigen Wert haben.

info Info

Die Umstufverzögerung wird nur von sehr wenigen Treibern, wie z.B. dem Siemens AK-Treiber unterstützt

Ob eine Umstufverzögerung unterstützt wird, finden Sie in der jeweiligen Dokumentation des Treibers.

LOG-Meldungen

Parameter

Level

Beschreibung

Redundancy Switch confirmation requested for project <Projektname> module:VAR sequenceNo:<SequenceNo>

Debug

Bestätigung, dass der Prozessführende Server gewechselt werden kann angefordert

  • Projektname
    Der Projektname
  • SequenceNo
    Laufende Nummer für die Zuordnung von request und response.

Redundancy Switch confirmed for project <Projektname> module:VAR sequenceNo: <SequenceNo>

Debug

Bestätigung, dass der Prozessführende Server gewechselt werden kann.

Redundancy Switch delayed for project <Projektname> module:VAR sequence id: <SequenceNo>

Debug

Verzögerung für das Umstufen aktiviert.

Sample driver gave startup okay

Debug

Umschaltverzögerung am Treiber abgelaufen.

me:<Transportklasse> mod:<NetzwerkModuleId>(<NetzwerkModulName>) msg:<NetzwerkModulKommando> SeqId:<SequenceId> dest:<Zielrechner> prj:<ProjektName>

Debug

LOG-Eintrag, wenn rechnerübergreifende Bestätigung notwendig ist:

  • Transportklasse:
    Klassenname für den Transport des Kommandos. Variiert entsprechend Modul.
  • NetzwerkModuleId:
    ID des Netzwerkmoduls.
  • NetzwerkModulName:
    Name des Netzwerkmoduls.
  • SequenceId:
    Laufende Nummer über welche request und response zugeordnet werden.
  • Zielrechner:
    Rechner an welchen die Daten transferiert werden.
    Optional. S bezeichnet den aktiven Server
  • ProjektName:
    Name des Projekts, für welches der Transport ausgeführt wird.


zenon Web Client im redundanten Netzwerk

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > zenon Web Client im redundanten Netzwerk

Bei einer redundanten zenon Netzwerkkonfiguration ist die Rollenvergabe Prozessführender Server und Standby Server abhängig vom eingestellten Redundanzmodus. Dabei kann sich die Rolle der projektierten Rechner Server 1 und Server 2 zur Runtime, abhängig von der Konfiguration des Redundanzmodus und der aktuellen Bewertung (bei Redundanzmodus Bewertet), über die Zeit ändern.

Konfigurieren Sie deshalb beide Server für den zenon Web Server. Dazu ändern Sie in der Konfigurationsdatei global_vars.js die Zeile mit dem Eintrag RUNTIMESERVER= und tragen Sie dort die beiden Rechner ein.

Die Reihenfolge sollte dabei der Projektierung im zenon Editor entsprechen.

Informationen zur Konfiguration finden Sie im Kapitel Konfiguration der global_vars.js.

Geänderte Serverprojektierung

Stimmen die im Editor projektierten Servernamen nicht mit den Servernamen der global_vars.js überein, startet der zenon Web Client nicht.

Wird die Projektierung der Server in zenon für ein laufendes System geändert, wird im zenon Web Client der Dialog "Die Runtime ist ausgelastet" angezeigt.

Nach einem Projektabgleich werden in einem weiteren Dialog die aktuell laufende und die tatsächliche Projektierung angezeigt. In diesem Fall muss das Browserfenster vom Benutzer geschlossen und der zenon Web Client neu gestartet werden.

attention Achtung

Wird die Projektierung von Server 1 und Server 2 im zenon Editor geändert, ist auch die Datei global_vars.js entsprechend anzupassen.

Weitere Informationen dazu erhalten Sie im Handbuch zenon Webserver im Kapitel Konfiguration der global_vars.js.


Zeitsteuerung

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Zeitsteuerung

Die Zeitsteuerung wird auf dem Prozessführenden Server ausgeführt. Die ausgelöste Funktion wird auf jenem System ausgeführt, das in den Einstellungen zur Funktionsausführung gewählt wurde.


Zuweisungen

Handbuch > Netzwerk > Verhalten von zenon Modulen im Netzwerk > Zuweisungen

Zuweisungen werden immer nur auf dem Prozessführenden Server ausgeführt.

attention Achtung

Dies ist vor allem bei lokalen internen Variablen relevant. Am Standby Server oder auf Clients werden diese nicht ausgeführt!


Netzwerkmeldungen vom Systemtreiber

Handbuch > Netzwerk > Netzwerkmeldungen vom Systemtreiber

Folgende Systemtreibervariablen stehen Ihnen zu diesem Thema zur Verfügung:

Name

Datentyp

Kommentar

[Netzwerk] Aktueller Prozessführender Server

STRING

lokal

Rechnername des aktuell Prozessführenden Servers
Wenn der Name aus der Hostdatei bezogen wird, ist dies der dort eingetragene Name. Bei DNS ist dies der vollständig adressierte Rechnerdomänenname (Fully Qualified Domain Name).

Hinweis: Bei deaktiviertem Netzwerk sendet die Variable den Status INVALID. Die Variable [Netzwerk] Aktueller Standby Server bleibt dagegen leer.

[Netzwerk] Aktueller Standby Server

STRING

lokal

Rechnername des aktuell nicht prozessführenden Servers.
Wenn der Name aus der Hostdatei bezogen wird, ist dies der dort eingetragene Name. Bei DNS ist dies der voll adressierte Rechnerdomänenname (Fully Qualified Domain Name).

[Netzwerk] Anzahl angeschlossener Clients

UDINT

Liefert die Anzahl der aktuell an den Server angeschlossenen Clients. Diese Anzahl beinhaltet auch einen eventuell vorhandenen Standby Server.

[Netzwerk] Bedienberechtigung verweigert

BOOL

Zeigt an, ob eine angeforderte Bedienberechtigung im Netzwerk verweigert wird. Dabei wird der Wert der Variable nur für kurze Zeit geändert und danach auf den Ausgangszustand zurückgesetzt.

  • 0 = Anforderung Bedienberechtigung akzeptiert
  • 1 = Anforderung Bedienberechtigung abgelehnt

[Netzwerk] Bedienberechtigung vorhanden

BOOL

Anzeige, ob die Bedienberechtigung für das aktuelle Projekt am lokalen Rechner vorhanden ist.

  • 0 = Nein
  • 1 = Ja

[Netzwerk] Bedienberechtigung: Rechner, der sie besitzt

STRING

Zeigt den Namen des Rechners, der die Bedienberechtigung für das aktuell eingestellte Projekt besitzt.

[Netzwerk] Bewertungsergebnis Server 1

UDINT

Bei Änderungen einer Variable aus der Bewertungsmatrix wird nach dem Berechnen des neuen Bewertungsergebnisses dieser Wert auf die entsprechende Systemtreibervariable für Server 1 bzw. Server 2 geschrieben. Die Werte gleichen sich untereinander (Server <-> Standby) ab, sodass auf beiden Seiten immer der aktuelle Wert angezeigt wird. Nach dem Ausfall der Gegenseite bleibt dessen Wert allerdings noch auf der dazugehörigen Variable stehen und aktualisiert sich erst wieder nach dem Wiederverbinden.

Hinweis: Weitere Informationen zur Bewertung finden Sie im Handbuch Netzwerk im Kapitel Projektierung der Redundanzbewertung.

[Netzwerk] Bewertungsergebnis Server 2

UDINT

Bei Änderungen einer Variable aus der Bewertungsmatrix wird nach dem Berechnen des neuen Bewertungsergebnisses dieser Wert auf die entsprechende Systemtreibervariable für Server 1 bzw. Server 2 geschrieben. Die Werte gleichen sich untereinander (Server <-> Standby) ab, sodass auf beiden Seiten immer der aktuelle Wert angezeigt wird. Nach dem Ausfall der Gegenseite bleibt dessen Wert allerdings noch auf der dazugehörigen Variable stehen und aktualisiert sich erst wieder nach dem Wiederverbinden.

Hinweis: Weitere Informationen zur Bewertung finden Sie im Handbuch Netzwerk im Kapitel Projektierung der Redundanzbewertung.

[Netzwerk] Namen der angeschlossenen Clients

STRING

xxx Liefert die Namen der aktuell an den Server angeschlossenen Clients. Diese beinhalten auch einen eventuell vorhandenen Standby Server.

[Netzwerk] Prozessführender Server <-> Standby Server im Datenabgleich

BOOL

Eine Binärvariable, die (kurzzeitig) den Wert 1 annimmt, wenn vom System eine Redundanzumschaltung zwischen Server und Standby Server vorgenommen wird.

  • 0 = kein Dateiabgleich
  • 1 = Dateiabgleich aktiv

[Netzwerk] Prozessführender Server ausgefallen

BOOL

lokal

Zeigt an, dass die Verbindung zum prozessführenden Server verloren wurde.
Je nach Netztopologieposition des Rechners heißt das:

  • Dominanter Server: In der Zeit wo er noch nicht prozessführender Server ist, wechselt der Wert auf TRUE wenn die Verbindung zum prozessführende Server abgerissen ist. Nach dem Abgleich immer FALSE.
  • Nicht dominanter Server: Geht auf TRUE wenn die Verbindung zum dominanten Server, welcher prozessführend war abgerissen ist. Wechselt wieder auf FALSE wenn der Standby Server sich zum prozessführenden Server hochgestuft hat.
    AUSWERTUNG: Am besten über eine Reaktionsmatrix (REMA), da die Alarmverwaltung sich zu diesem Zeitpunkt ebenfalls umstuft und gerade vom SB übernommen wird. Der Online Container ist auch nicht geeignet, da bei der Redundanzumschaltung die Variablen neu initialisiert werden.

Client: Geht auf TRUE wenn die Verbindung zum prozessführenden Server abgerissen ist. Wechselt wieder auf FALSE wenn der Client sich auf den SB-Rechner, welcher nun prozessführender Server ist, angemeldet hat.

[Netzwerk] Prozessführender Server beendet

BOOL

lokal

Zeigt das reguläre Beenden des prozessführenden Servers an.
Wechselt den Wert auf TRUE, wenn der prozessführende Server regulär beendet wurde. Ist FALSE wenn ein prozessführender Server im Netz ist.

Je nach Netztopologieposition des Rechners heißt das:

  • Dominanter Server: In der Zeit wo er noch nicht prozessführender Server ist, wechselt der Wert auf TRUE wenn sich der prozessführende Server beendet hat.
  • Nicht dominanter Server: Geht auf TRUE wenn der dominante Server, welcher prozessführend ist, sich beendet hat. Wechselt wieder auf FALSE wenn der SB sich zum prozessführenden Server hochgestuft hat.
  • AUSWERTUNG: Am besten über eine Reaktionsmatrix (REMA), da die Alarmverwaltung sich zu diesem Zeitpunkt ebenfalls umstuft und gerade vom SB übernommen wird. Der Online Container ist auch nicht geeignet, da bei der Redundanzumschaltung die Variablen neu initialisiert werden.
  • Client: Geht auf TRUE wenn der dominante Server sich beendet hat. Wechselt wieder auf FALSE wenn der Client sich auf den SB-Rechner, welcher nun prozessführender Server ist, angemeldet hat.
    Ist auch innerhalb der Zeit TRUE, wo sich der prozessführende nicht dominante Server wieder zum nicht prozessführenden Server zurückstuft.

[Netzwerk] Standalone/Prozessführender Server/Standby Server/Client

DINT

Gibt den Typ des Lokalen Rechners im Netzwerkverbund an.

  • -1 = Einzelplatz
  • 0 = Client
  • 1 = Prozessführender-Server
  • 2 = Standby Server

[Netzwerk] Standby Server ausgefallen

BOOL

Wechselt auf TRUE wenn die Verbindung zum aktuell nicht prozessführenden Server unerwartet beendet wurde. Bei bestehender Verbindung ist der Wert FALSE.

Je nach Netztopologieposition des Rechners heißt das:

  • Dominanter Server: Erst ab dem Zeitpunkt, wo der Standby prozessführender Server wurde, verhält sich Variable wie beschrieben.
  • Nicht dominanter Server: Wenn innerhalb des Dateiabgleichs mit dominantem, aber nicht prozessführendem Server die Verbindung abreißt, wechselt der Wert auf TRUE. Immer FALSE, wenn nicht prozessführender Server.
  • Client: Wie prozessführender Server.

[Netzwerk] Standby Server beendet

BOOL

Ist am prozessführenden Server TRUE, wenn der nicht prozessführende Server regulär beendet wurde und keine Verbindung mehr besteht. Wechselt auf FALSE wenn der nicht prozessführende Server sich beim prozessführenden Server angemeldet hat.

Je nach Netztopologieposition des Rechners heißt das:

  • Dominanter Server: Erst ab dem Zeitpunkt, an dem der Standby prozessführender Server wurde, verhält sich Variable wie beschrieben.
  • Nicht dominanter Server: Wenn innerhalb des Dateiabgleichs mit dominantem, aber nicht prozessführendem Server dieser beendet wurde, wechselt der Wert auf TRUE. Immer FALSE, wenn nicht prozessführender Server.
  • Client: Wie prozessführender Server.

[Netzwerk] Standby Server gestartet

BOOL

Ist TRUE wenn der nicht prozessführende Server sich beim prozessführenden Server angemeldet hat, der Dateiabgleich ausgeführt wurde und die Verbindung zwischen den Rechnern aufrecht ist.

Je nach Netztopologieposition des Rechners heißt das:

  • Dominanter Server: Erst ab dem Zeitpunkt, an dem der Standby prozessführender Server wurde, verhält sich Variable wie beschrieben.
  • Nicht dominanter Server: Wird TRUE, wenn der dominante nicht prozessführende Server startet. Wechselt auf FALSE, wenn der Rechner prozessführender Server wird.
  • Client: Wie prozessführender Server.

[Netzwerk] Timeout [ms]

UDINT

Anzeige der in der Projektkonfiguration eingestellten Timeoutzeit für das zenon Netzwerk in Millisekunden.

[Netzwerk] Umschaltung Prozessführender Server zum Standby Server

BOOL

Eine Binärvariable, die den Wert 1 annimmt, wenn im Zuge der Redundanzumschaltung der Server zum Standby Server wird.

  • 0 = eingetragener Server ist als Server im Netzwerkverbund vorhanden.
  • 1 = eingetragener Server ist als Standby Server im Netzwerk vorhanden.

[Netzwerk] Umschaltung Standby Server zum Prozessführenden Server

BOOL

Eine Binärvariable, die den Wert 1 annimmt, wenn im Zuge der Redundanzumschaltung der Standby Server zum Server wird.

  • 0 = eingetragener Standby Server ist als Standby Server im Netzwerkverbund vorhanden.
  • 1 = eingetragener Standby Server ist als Server im Netzwerk vorhanden.


Visualisierung der Verbindung in der zenon Runtime

Handbuch > Netzwerk > Visualisierung der Verbindung in der zenon Runtime

Die Anzeige des Verbindungsstatus in der Runtime wird mit der Bildelement-Eigenschaft Status der Variable anzeigen projektiert.

Diese Eigenschaft ist per Default für alle zenon Bildelemente aktiviert. Dadurch entfallen zusätzliche Projektierungsschritte. Der Netzwerkstatus wird, wenn die Verbindung gestört ist, mit einem blauen Punkt in der zenon Runtime visualisiert.

Visualisierung bei Störung ("blauer Punkt")

  • Verliert ein Client die Verbindung zum Server, wird dies in der Runtime am Client visualisiert:
    Alle Variablen, die via Netzwerk mit Werten versorgt werden, werden in der Runtime bei Störung der internen Kommunikation mit einem blauen Punkt gekennzeichet.
    • Dies gilt auch für Variablen des Intern Treiber, die via Server mit Daten versorgt werden:
      Beispiele:
      - Variable des Intern Treibers, mit projektiertem Wert Netzwerk bei der Variablen-Eigenschaft Berechnung. Diese Eigenschaft findet sich in der Eigenschaftengruppe Interne Variable.

      - Systemtreibervariable: [Netzwerk] Aktueller Standby Server

  • Muss am Client eine Variable beim Server angefordert werden, so bekommt dieser sofort den blauen Punkt.
    • Werte von SB werden vom Standby Server verschickt und am Prozessführenden Server bei Ausfall des Standby Servers mit einem blauen Punkt visualisiert.
    • Dieser blaue Punkt verschwindet, sobald die Quelle des Datenpunkt mit dem Prozessführenden Server verbunden ist. Daraus ergibt sich, dass der Client mit gültigen Daten versorgt wird.
      Eine Quelle kann sowohl der Standby wie auch der Prozessführende Server sein.
  • Blaue Punkte werden angezeigt wenn:
    • Prozessführender Server hat keine Kommunikation zu Standby Server und die Variableneigenschaft Nur von Standby Server anfordern ist aktiviert. Diese Eigenschaft finden Sie in der Variableneigenschaftengruppe Adressierung.
    • Client hat keine Kommunikation zu beiden Servern. In diesem Falle ist die Kommunikation zu den projektierten Server 1 UND Server 2 gestört.
  • Bei einer Redundanzumschaltung, während der Zeit der Umschaltung. Dieser Zeitraum ist sehr kurz.
    Hinweis: Daten gehen dadurch nicht verloren..


OPC-Server

Handbuch > OPC-Server

Der OPC Server stellt die im Projekt verwendeten Variablen allen handelsüblichen OPC Client Tools zur Verfügung.

Für viele Einsätze empfiehlt sich die Verwendung des OPC UA Servers. Dieser ist Teil des COPA-DATA Process Gateways.

Noch in diesem Kapitel

Vergleich OPC Server und OPC UA Server

Technischer Hintergrund

Installation und Registrierung des OPC Servers

Lizenzierung des OPC Servers

Einstellungen in zenon

Ausbrowsen des OPC Servers

Starten und stoppen des OPC Servers

Logging

Asynchrone Leseanforderungen

Remote-Zugriff


Vergleich OPC Server und OPC UA Server

Handbuch > OPC-Server > Vergleich OPC Server und OPC UA Server

Die OPC UA Server Technik hat den OPC Server abgelöst. In den meisten Einsatzgebieten empfiehlt sich die Verwendung des OPC UA Servers.

OPC Server

  • OPC Task Force seit 1995
  • einheitliche Schnittstelle in der Automatisierungstechnik
  • baut auf Microsofts COM/DCOM Technologie auf
  • Seit 1996 OPC Foundation
  • mehrere Spezifikationen für unterschiedliche Anwendungsfälle

OPC UA Server

Vergleich OPC Server mit OPC UA Server

Parameter | OPC Server | OPC UA Server
Datenmodell | eingeschränkt | für alle Anwendungsgebiete
Implementierung | herstellerabhängig | herstellerunabhängig
Interoperabilität | -- | X
Konfiguration | aufwändig | einfach
Mehrere Instanzen | -- | X
Netzwerk-Einsatz | -- | X
Netzwerk-Technologie | -- | OPC UA TCP binary Protocol
Performance | niedrig | hoch
Plattformen | nur Windows | unabhängig
Ressourcenbedarf | hoch | niedriger
Serviceorientierte Architektur | -- | X
Sicherheit | veraltet | nach aktuellen Standards
Verbindungssicherheit | -- | X
Windows CE | -- | X

Legende:

  • X: wird unterstützt
  • --: wird nicht unterstützt


Technischer Hintergrund

Handbuch > OPC-Server > Technischer Hintergrund

Das OPC-Konzept ist für die Anwendung in der Zell-Leitebene konzipiert. Dabei stellt der OPC Server Prozessdaten aus der Leitebene zur Verfügung.

OPC Clients und OPC Server

OPC Server

OPC definiert Objekte, die durch Objektinterfaces beschrieben sind. Im OPC Server existieren zwei Ausprägungen der Objektinterfaces, die von einem OPC Client angesprochen werden können:

  • das COM-Custom-Interface
  • das OLE-Automation-Interface

Objektinterface des OPC-Servers

Das COM-Interface wird von funktionspointerorientierten Sprachen, wie C++ genutzt. Über das Automation Interface kann mit Scriptsprachen, wie Visual Basic, kommuniziert werden.

OPC-Objekthierarchie

Ein OPC Server besteht aus drei hierarchisch abgestuften Objekten:

  • dem Server
  • Gruppen und
  • Items

Ein OPC Server bildet die realen Objekte auf Items (Variablen) ab. Diese Items sind innerhalb des OPC Servers eindeutig. Der Client organisiert die Items in einer oder mehreren OPC Gruppen.

Noch in diesem Kapitel

Allgemeine OPC Server Information

Item Adressierung

Gruppeninformation

Unterstütze OPC Spezifikationen


Allgemeine OPC Server Information

Handbuch > OPC-Server > Technischer Hintergrund > Allgemeine OPC Server Information

Der OPC Server:

  • ist ein "Out of Prozess" Server
  • läuft in einem Single Thread Apartment (STA)
  • ist als COM Server MULTIPLEUSE registriert
    Das heißt: Der Server läuft nur einmal als Prozessinstanz. Mehrere OPC Clients melden sich am selben Server an.
  • funktioniert nur lokal


Item Adressierung

Handbuch > OPC-Server > Technischer Hintergrund > Item Adressierung

Da in der Runtime mehrere Projekte gleichzeitig gestartet sein können, muss der OPC Server unterscheiden können von welchem Projekt die Variablen kommen.
Daher bildet der Server die Prozessvariablen nach folgender Nomenklatur ab:
Projektname.Variablenname

Beispiel:

Projekt1.Istwert

Projekt1 = Projektname des Projekts das gerade in der Runtime läuft

. (Punkt) = Trennzeichen

Istwert = Variablenname einer Variable

attention Achtung

Stellen Sie sicher, dass ein OPC Data Access Client für jedes Projekt auf die Variablen in einer jeweils eigenen Gruppe zugreift. Der Zugriff auf Variablen unterschiedlicher zenon Runtime Projekte in einer einzigen Gruppe kann Fehlermeldungen verursachen.


Gruppeninformation

Handbuch > OPC-Server > Technischer Hintergrund > Gruppeninformation

Ein Gruppenname kann beliebig gewählt werden. Zum Beispiel: Testgruppe1.

Die Updaterate in der Gruppe wird im OPC Server nicht berücksichtigt, weil der OPC Server eine spontane Datenverbindung zur Runtime hat. Damit wird jede Wertänderung an den OPC Server übertragen, ohne zyklisch den Wert anzufragen.

info Info

OPC Clients müssen für jedes zenon Projekt eigene Gruppen erstellen.


Unterstütze OPC Spezifikationen

Handbuch > OPC-Server > Technischer Hintergrund > Unterstütze OPC Spezifikationen

OPC Data Access Servers Version 1.0

OPC Data Access Servers Version 2.0

Unterstütze OPC Interfaces:

Interfaces | unterstützt
IOPCServer | Ja
IOPCBrowseServerAddressSpace | Ja
IOPCServerPublicGroups | Nein
IPersistFile | Ja
IOPCCommon (ab 2.0) | Ja
IOPCSyncIO | Nein
IOPCItemProperties (ab 2.0) | Ja
IConnectionPointContainer (ab 2.0) | Ja


Installation und Registrierung des OPC Servers

Handbuch > OPC-Server > Installation und Registrierung des OPC Servers

Für den Einsatz des OPC Servers, müssen die OPC Core Components von der OPC Foundation installiert sein. Auf Rechner mit 64 Bit Betriebssystem ist es erforderlich, sowohl die 32 bit als auch die 64 bit Version zu installieren. Die Setups finden Sie auf dem Installationsmedium bei den Zusatzprogrammen. Nach der Installation muss der Rechner eventuell neu gestartet werden.

Aus Sicherheitsgründen wird der OPC Server standardmäßig nicht registriert. Nach der Installation kann der OPC Server daher von einem OPC Client aus noch nicht entdeckt werden. Der OPC Server muss zuerst explizit registriert werden.

Registrierung des OPC Servers:

  1. Installieren Sie die OPC-DA Core Components von der OPC Foundation.
    Das Setup befindet sich auf dem Installationsmedium im Ordner AdditionalSoftware.
  2. Öffnen Sie eine Kommandozeile mit Administratorrechten (Elevated Command Prompt).
  3. Geben Sie den Registrierungsbefehl mit den gewünschten Parametern ein.
    Mögliche Eingaben:
    • zenopcsrv.exe /RegSrv:
      Registriert den OPC Server. Bei Misserfolg wird eine Meldung ausgegeben.
    • zenopcsrv.exe /RegSrvD:
      Registriert den OPC Server und gibt auch im Erfolgsfall eine Meldung aus.
    • zenopcsrv.exe /UnregSrv:
      Deregistriert den OPC Server. Bei Misserfolg wird eine Meldung ausgegeben
    • zenopcsrv.exe /UnregSrvD:
      Deregistriert den OPC Server und gibt auch im Erfolgsfall eine Meldung aus.

Überprüfen Sie bei Fehlern, ob Sie über ausreichende Rechte verfügen.

Hinweis: Änderungen über das zenon Startup Tool oder die Installation einer neuen zenon Version führen zu keinen Änderungen an der Registrierung des OPC Servers.


Lizenzierung des OPC Servers

Handbuch > OPC-Server > Lizenzierung des OPC Servers

Um den OPC Server einzusetzen, muss dieser lizenziert werden. Dazu starten Sie über das Windows Startmenü die COPA-DATA Lizenzverwaltung. Im Info About Dialog können Sie kontrollieren, welche lizenz verwendet wird. Der OPC Server ist lizenztechnisch ein Modul des Process Gateways.


Einstellungen in zenon

Handbuch > OPC-Server > Einstellungen in zenon

Damit der OPC Server Daten von der Runtime bekommt, muss VBA aktiviert sein. Überprüfen Sie, ob folgende Einstellungen in der zenon6.ini richtig gesetzt sind:

[VBA]

EVENT=1 (Schaltet den Eventmechanismus für die VBA - COM Schnittstelle ein oder aus.)

Default =0

Diese Einstellung muss auf EVENT=1 gesetzt werden.

attention Achtung

Wenn der Eventmechanismus in der Runtime deaktiviert ist, können Sie mit dem OPC Server zwar schreibend auf die Variablen zugreifen, der lesende Zugriff funktioniert jedoch nicht!
Der OPC Server bekommt dann keine Änderungsevents von der Runtime. Alle verbundenen OPC Clients werden bei der Verbindungsqualität gestört anzeigen!

Ansonsten sind keine weiteren Einstellungen in zenon notwendig.

Der OPC Server liest die laufende Runtime aus, und bietet alle Variablen aller laufenden Projekte zur Verbindung an.

info Info

Sobald die Runtime gestartet ist, können Sie alle Variablen von allen Projekten, die in der Runtime verfügbar sind, auslesen. Das ist unabhängig davon, ob die enthaltenen Projekte Einzelplatz, Client oder Server Projekte sind.


Ausbrowsen des OPC Servers

Handbuch > OPC-Server > Ausbrowsen des OPC Servers

OPC Clients verwenden zwei unterschiedliche Verfahren um OPC Server zu erkennen und die Variableninformationen des Servers auszubrowsen. Das Erkennen der auf dem PC installierten OPC Server kann auf zwei Arten erfolgen:

  • Auslesen der Registry
  • Ausbrowsen mittels Zusatzprogramm OPCEnum.exe

Das Zusatzprogramm OPCEnum wird nicht mitausgeliefert. Es kann daher sein, dass ein OPC Client den OPC Server nicht findet, da er dieses Ausbrowsverfahren verwendet. Lesen Sie in der Beschreibung des OPC Clients, ob das Ausbrowsverfahren auf Auslesen der Registry umgestellt werden kann. (Beim Matrikon OPC Explorer finden Sie das unter Optionen.) Wenn das nicht der Fall ist, müssen Sie das Programm OPCEnum installieren.

Tipp: Wenn Sie den frei verfügbaren Matrikon OPC Simulator Server installieren, wird OPCEnum mit installiert.

info Info

Der OPC Server bietet beim Ausbrowsen alle Variablen an, die in der laufenden Runtime vorhanden sind. Sie müssen also sicherstellen, dass die Runtime läuft, bevor Sie mit dem Ausbrowsen von Variablen beginnen.


Starten und stoppen des OPC Servers

Handbuch > OPC-Server > Starten und stoppen des OPC Servers

Der OPC Server wird automatisch vom ersten OPC Client, der sich mit dem Server verbindet gestartet, und mit dem letzten Client, der die Verbindung trennt gestoppt.


Logging

Handbuch > OPC-Server > Logging

Zum Überwachen und Auswerten der Aktivitäten des zenon OPC Servers wird der Diagnosis Viewer benutzt.


Asynchrone Leseanforderungen

Handbuch > OPC-Server > Asynchrone Leseanforderungen

Das OPC-Interface IAsyncIO als auch das OPC-Interface IAsyncIO2 unterstützen mehrere asynchrone Leseanforderungen.


Remote-Zugriff

Handbuch > OPC-Server > Remote-Zugriff

Remote-Zugriff mittels DCOM-Technologie wird nicht unterstützt. zenon unterstützt nur den Zugriff auf lokal installierten OPC DA Servern.

attention Achtung

Der OPC Server ist für lokale Anwendung optimiert, der Einsatz im Netzwerk wird ausdrücklich nicht empfohlen!
Hintergrund: OPC nutzt für die Kommunikation über das Netzwerk die DCOM-Technologie, die als fehleranfällig und instabil gilt. Besonders Verbindungsabrisse, z. b. beim Abstecken des Netzwerkkabels, und sehr lange Timeout-Zeiten sind im industriellen Einsatz problematisch.

Empfohlene Lösungen:

  • Einsatz eines OPC_UA Servers
    oder
  • Lokale Installation:
    Auf dem Rechner, auf dem der OPC Client läuft wird eine zenon Runtime installiert und arbeitet als Client zu den gewünschten Projekten. Zu diesem Client wird der zenon OPC Server gestartet. So kann eine lokale Kopplung zenon OPC Server - OPC Client erreicht werden.


PLC Diagnosis

Handbuch > PLC Diagnosis

Mit der PLC-Diagnosis können Programmdetails einer Steuerung direkt in der Visualisierung in einem Bild angezeigt werden. Je nach Steuerung stehen unterschiedliche Funktionalitäten zur Verfügung. Derzeit existieren die S7-Graph Schrittkettenanalyse zur Darstellung von Schrittketteninformationen von S7 Steuerungen und der zenon Logic Monitoring Viewer zur Darstellung von allen Programmen die in der zenon Logic Runtime (Soft SPS) abgearbeitet werden.

Während der Runtime werden die momentan aktiven Schritte der SPS grafisch angezeigt. Alarminformationen können direkt in die Alarmmeldeliste übernommen werden.

Noch in diesem Kapitel

S7-Graph

zenon Logic Monitoring Viewer


S7-Graph

Handbuch > PLC Diagnosis > S7-Graph

Sie haben die Möglichkeit ein Bild vom Typ S7-Graph in zenon anzulegen. In diesem Bild können Sie sich die Schrittkette, den aktiven Schritt, den Namen der Schrittkette, die Nummer der Schrittkette usw. einer S7 Steuerung mit S7-Graph Programmierung anzeigen lassen.

Noch in diesem Kapitel

Umstieg von ActiveX CD_Graph7Diag.ocx zu Bild vom Typ S7-Graph

Voraussetzungen für den automatischen Import

Daten aus S7-Graph Projekt importieren

Bild vom Typ S7-Graph

Filter für Bildumschaltung

Funktion S7-Graph Heuristik auswerten

Beschreibung der Operandenanalyse


Umstieg von ActiveX CD_Graph7Diag.ocx zu Bild vom Typ S7-Graph

Handbuch > PLC Diagnosis > S7-Graph > Umstieg von ActiveX CD_Graph7Diag.ocx zu Bild vom Typ S7-Graph

Die Funktionalität des ActiveX CD_Graph7Diag.ocx wurde vom Bild vom Typ S7-Graph und der Funktion S7-Graph Heuristik auswerten abgelöst. Um vom ActiveX auf das Bild und die Funktion zu wechseln oder um S7-Graph in zenon darzustellen, führen Sie die folgenden Schritte aus:

  1. Wenn nicht schon geschehen, führen Sie den S7-Graph Import durch, damit die benötigten Variablen und Dateien angelegt werden.
  2. Bild vom Typ S7-Graph anlegen.
  3. Funktion Bildumschaltung auf das Bild vom Typ S7-Graph anlegen. Im erscheinenden Filterdialog die entsprechenden Variablen und Dateien angeben (siehe Filter für Bildumschaltung).
  4. Wenn Sie die Heuristik benötigen, legen Sie die Funktion S7-Graph Heuristik auswerten an und geben dort auch die entsprechenden Variablen und Dateien an (siehe Funktion S7-Graph Heuristik auswerten).

Änderung gegenüber dem ActiveX

  • Buttons KOP und FUP sind jetzt eigenständige Kontrollelemente
  • Heuristik ist losgelöst von der eigentlichen Darstellung, deshalb wird dafür eine eigene Funktion benötigt
  • Buttons vor und zurück ermöglichen jetzt die schrittweise Navigation in der Schritt-Detailansicht


Voraussetzungen für den automatischen Import

Handbuch > PLC Diagnosis > S7-Graph > Voraussetzungen für den automatischen Import

Obwohl das Importieren weitgehend automatisch abläuft, müssen Sie im S7-Graph Projekt einige Vorkehrungen treffen, um einen Import von Schrittketten in zenon zu ermöglichen. Folgende Voraussetzungen müssen erfüllt sein:

1. Bausteineinstellungen

Die korrekte Baustein-Konfiguration muss gewährleistet sein.

Nehmen Sie die folgenden Einstellungen in der Registerkarte Übersetzen/Speichern vor:

Parameter | Eintrag
FB Parameter | anwenderdefiniert
Schnittstellenbeschreibung | Individuelle Strukturen / In AS laden
Ablauffähigkeit | Standard FC erforderlich
Ketteneigenschaften | Kriterieanalysedaten im DB

Nehmen Sie die folgende Einstellung in der Registerkarte Meldung vor:

Parameter | Eintrag
Meldungsbehandlung | Melden mit ALARM_SQ / ALARM_S

2. Quellen generieren

Für jede zu importierende Schrittkette muss eine aktuelle Quelle generiert werden. Dies erfolgt im S7-Graph Editor über Datei -> Quelle generieren. Der Name der Quelle muss mit dem FB-Namen der Schrittkette übereinstimmen. Für eine Schrittkette in Funktionsbaustein 12 muss die Bezeichnung der Quelle also FB12 (oder fb12) lauten.

3. Instanz-DB Nummer

Um eine Zuordnung vom Funktionsbaustein der Schrittkette zum entsprechenden Instanz-Datenbaustein (Instanz-DB) zu ermöglichen, dürfen Sie die standardmäßige Einstellung (DB-Nummer = FB-Nummer) nicht abändern.


Daten aus S7-Graph Projekt importieren

Handbuch > PLC Diagnosis > S7-Graph > Daten aus S7-Graph Projekt importieren

Führen Sie einen Rechtsklick auf den Eintrag Variablen im Projektmanager aus. Im erscheinenden Kontextmenü wählen Sie den Menüeintrag Erweiterter Import/Export aus und dann aus S7-Graph Projekt importieren.... Alternativ erreichen Sie dieses Kontextmenü auch, wenn Sie im Projektmanager den Eintrag Variable bereits ausgewählt haben und dann in der Detailansicht des Projektmanagers einen Rechtsklick ausführen.

Wählen Sie den entsprechenden Treiber aus, der für die Kommunikation mit der SPS verwendet wird, und bestätigen Sie den Dialog mit OK.

attention Achtung

Vor dem Import muss in Step 7 oder PC S7 alles übersetzt worden sein, damit alle Objekte in zenon übernommen werden können.

Vor dem Import müssen offene S7-Programme beendet werden.

S7-Graph Projekt importieren

info Info

Die Einstellungen, die Sie in diesem Dialog machen werden gespeichert. Beim nächsten Aufruf des Dialogs werden Ihre zuletzt getätigten Einstellungen wieder angezeigt.

Folgende Einstellungen stehen Ihnen zur Verfügung.

Parameter | Beschreibung
Projektauswahl |
S7-Projektdatei | Wählen Sie die gewünschte Projektdatei (*.s7p) aus.
Zieltreiber | Hier wird Ihnen der zuvor ausgewählte Treiber angezeigt. Sie können ihn hier nicht ändern.
Elemente für S7-Graph erzeugen |
Instanz-DB Variable | Erzeugt eine Variable vom Typ USINT als Blockarray, die den Instanz-Datenbaustein der Schrittkette abbildet. Sämtliche Zustandsinformationen werden über diese Variable kommuniziert. Über diesen Instanz-Datenbaustein werden sämtliche Zustandsinformationen kommuniziert.
Meldungsvariable | Erzeugt interne Variable vom Typ STRING, die den Zustandstext der Heuristik anzeigt.
Reaktionsmatrix | Erzeugt eine Reaktionsmatrix vom Typ numerisch. Die Reaktionsmatrix dient zur Verknüpfung mit den Alarm-S Variablen. Dadurch wird durch sie in zenon ein Alarm ausgelöst. Der Import von Alarmen für S7-Graph erfolgt über den PDiag Import Wizard.
Alarme quittierpflichtig | Wenn Sie diese Checkbox aktivieren, sind alle über die Reaktionsmatrix angelegten Alarme quittierpflichtig.
Variablen Benennung |
Trennzeichen | Definieren Sie hier das Zeichen, das zwischen der Nomenklatur und dem Namen der Schrittkette steht.
Interne Nomenklatur | Verwendet die interne Nomenklatur für die erstellten Objekte. Beispiel: S0 (für Netzadresse = 0)
WinCC Nomenklatur | Verwendet die WinCC Nomenklatur für die erstellten Objekte. Beispiel: S7-Programm
Kombiniert | Verwendet für die Namen der angelegten Objekte sowohl die interne Nomenklatur als auch die WinCC Nomenklatur. Als Trennzeichen wird ein Punkt verwendet.

Bestätigen Sie den Dialog mit Ausführen.

Wählen Sie im folgenden Dialog die gewünschten Stationen (CPU) aus. Dieser Dialog unterstützt auch eine Mehrfachauswahl. Sie können mehrere Schrittketten gleichzeitig auswählen, wenn Sie während der Auswahl die Steuerung- oder die Umschalt-Taste gedrückt halten. Sie können hier die Netzadresse zur Kommunikation einstellen. Bestätigen Sie den Dialog mit OK. Es wird eine Analyse des S7-Projekts durchgeführt. Je nach Größe des Projekts, kann dies einige Zeit in Anspruch nehmen.

Im nächsten Dialog wählen Sie die Schrittketten aus, die Sie importieren möchten. Dieser Dialog unterstützt auch eine Mehrfachauswahl. Sie können mehrere Schrittketten gleichzeitig auswählen, wenn Sie während der Auswahl die Steuerung- oder die Umschalt-Taste gedrückt halten. Wenn für eine Schrittkette keine Quelle gefunden wurde, wird dies im Kommentar mit dem Eintrag !! Quelle fehlt !! angezeigt. Diese Schrittketten können nicht importiert werden. Bestätigen Sie den Dialog mit OK. Jetzt wird der Import durchgeführt und die entsprechenden Objekte in zenon angelegt. Es werden auch die Quelle der Schrittkette (*.gr7) und die Symbolik der Schrittkette (*.seq) importiert. Sie werden im zenon Editor unter Dateien -> Sonstige -> S7-Graph gespeichert.

Noch in diesem Kapitel

Sprachumschaltung


Sprachumschaltung

Handbuch > PLC Diagnosis > S7-Graph > Daten aus S7-Graph Projekt importieren > Sprachumschaltung

Texte in der S7-Graph Kette können sprachumschaltbar projektiert werden. Sprachumschaltbarkeit wird in zenon in der Regel mit einem vorangestellten @ gekennzeichnet. Im SIMATIC-Manager ist es allerdings nicht möglich, Schlüsselwörter mit vorangestelltem @-Zeichen zu erzeugen. Daher erfolgt die Sprachumschaltung über Textvergleich:

  1. in die Sprachtabelle werden die entsprechenden Elemente ohne @ eingetragen
  2. es werden alle dynamischen Felder des Bildes durchsucht und versucht, eine Übersetzung zu finden für:
    • Information: Name der aktiven Schrittkette
    • Information: Name des aktiven Schritts
    • alle Texte aus Grafische Darstellung: Aktive Schritte
    • alle Texte aus Grafische Darstellung: Gesamte Kette
    • alle Texte der Information: Symboltabelle
  3. statischen Feldern muss das Schlüsselzeichen @ vorangestellt werden und es muss ein Eintrag in der Sprachtabelle erzeugt werden für:
    • Schritt zurück
    • Schritt vor
    • KOP/FUP umschalten

Die Anzeige der Texte für Schritte und Transitionen sowie der Texte in der der Symboltabelle erfolgt automatisch, wenn die entsprechenden Einträge in den .GR7 beziehungsweise .SEQ-Dateien vorhanden sind.

Details zur Sprachumschaltung lesen Sie im Handbuch Sprachumschaltung.


Bild vom Typ S7-Graph

Handbuch > PLC Diagnosis > S7-Graph > Bild vom Typ S7-Graph

Das Bild vom Typ S7-Graph löst die Funktionalität des ActiveX CD_Graph7Diag.ocx ab.

Bild vom Typ S7-Graph anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp S7-Graph.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Das Bild vom Typ S7-Graph kann folgende Steuer- und Anzeigeelemente enthalten.

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden. Vorlagen.

Fenster

Kontrollelemente für die grafische Darstellung.

Kontrollelement | Beschreibung
Aktive Schritte | Darstellung des aktiven Schritts oder der aktiven Schritte aus der projektierten Schrittkette.
Gesamte Kette | Gesamtansicht einer Schrittkette. Stellt alle projektierten Ketten dar. Wird mit Buttons Kette vor und Kette zurück gesteuert.
Symboltabelle | Zeigt in zwei Spalten jeweils die Adresse und den dazugehörigen Symbolnamen an.

Information

Kontrollelemente zur Anzeige von Informationen.

Kontrollelement

Beschreibung

Name der aktiven Schrittkette

Zeigt den Namen der aktiven Schrittkette an.

Name des aktiven Schritts

Zeigt den Namen des aktiven Schritts an.

Nummer des aktiven Schritts

Zeigt die Nummer des aktiven Schritts an.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen.

Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Folgende Win32 Elemente wurden durch Elemente vom Typ Dynamischer Text ersetzt.

  • Name der aktiven Schrittkette
  • Name des aktiven Schritts
  • Nummer des aktiven Schritts

Steuerung

Kontrollelemente für Naviagation und Anzeigeart.

Kontrollelement | Beschreibung
KOP/FUP umschalten | Mit diesem Button können Sie zwischen den Darstellungsarten KOP und FUP umschalten.
Schritt vor | Navigiert zur Runtime um einen Schritt vor.
Schritt zurück | Navigiert zur Runtime um einen Schritt zurück.
Kette vor | Navigiert zur Runtime in der Darstellung Gesamte Kette bei mehreren Ketten im Funktionsblock um eine Kette vor.
Kette zurück | Navigiert zur Runtime in der Darstellung Gesamte Kette bei mehreren Ketten im Funktionsblock um eine Kette zurück.


Filter für Bildumschaltung

Handbuch > PLC Diagnosis > S7-Graph > Filter für Bildumschaltung

Wenn Sie die Funktion Bildumschaltung auf ein Bild vom Typ S7-Graph anwenden, wird Ihnen folgender Dialog angezeigt.

Parameter | Beschreibung
S7-Graph Dateien |
S7-Graph Quelle | Wählen Sie die vom S7-Graph Import generierte Datei (*.gr7) aus. In dieser Datei ist die gesamte Logik (Schritte, Transitionen, Überwachungen etc.) der Schrittkette enthalten.
Symbol-Zuordnungsdatei | Wählen Sie die vom S7-Graph Import generierte Datei (*.seq) aus. In dieser Datei ist die Zuordnung von absoluten Operanden (entspricht physikalischen Adressen) zu symbolischen Operanden oder Symbolik (entspricht logischen Bezeichnern) enthalten. Beispiel: Eingang "E 1.0 = Taster 1"
Variable |
Instanz-DB Variable | zenon Variable vom Typ USINT als Blockarray, die den Instanz-Datenbaustein der Schrittkette abbildet. Sämtliche Zustandsinformationen werden über diese Variable kommuniziert.
Darstellung |
Darstellungsart | Wählen Sie, ob Sie die Darstellung als Kontaktplan (KOP) oder als Funktionsplan (FUP) möchten. Wenn Sie in Ihrem Bild den Button KOP/FUP umschalten projektieren, können Sie zur Runtime zwischen den beiden Darstellungsarten umschalten.
Linienbreite [Pixel] | Legen Sie die Linienstärke in Pixel der Verbindungslinien zwischen den Elementen fest.
Schrift | Aus der Dropdownliste wählen Sie die gewünschte Schriftart für sämtliche Beschriftungen im Bild vom Typ S7-Graph.
Farben | Farben für die die Zustände High Pegel und Low Pegel sowie für die Symbole definieren. Klicken Sie auf das jeweilige farbige Rechteck, um die Farbe zu ändern.


Funktion S7-Graph Heuristik auswerten

Handbuch > PLC Diagnosis > S7-Graph > Funktion S7-Graph Heuristik auswerten

Diese Funktion ermöglicht es Ihnen, die S7-Graph Heuristik durchzuführen, ohne dass das Bild vom Typ S7-Graph aktiv ist. So kann z. B. auch durch eine S7-PDiag Fehlermeldung über eine Alarm-S Variable eine Auswertung durchgeführt werden. Die Heuristik durchsucht den aktuell gestörten Schritt, um die Ursache zu ermitteln

Die folgenden Eigenschaften stehen Ihnen zur Verfügung.

Parameter | Beschreibung
S7-Graph Dateien |
S7-Graph Quelle | Wählen Sie die vom S7-Graph Import generierte Datei (*.gr7) aus. In dieser Datei ist die gesamte Logik (Schritte, Transitionen, Überwachungen etc.) der Schrittkette enthalten.
Symbol-Zuordnungsdatei | Wählen Sie die vom S7-Graph Import generierte Datei (*.seq) aus. In dieser Datei ist die Zuordnung von absoluten Operanden (entspricht physikalischen Adressen) zu symbolischen Operanden oder Symbolik (entspricht logischen Bezeichnern) enthalten. Beispiel: Eingang "E 1.0 = Taster 1"
Variablen |
Instanz-DB Variable | zenon Variable vom Typ USINT als Blockarray, die den Instanz-Datenbaustein der Schrittkette abbildet. Sämtliche Zustandsinformationen werden über diese Variable kommuniziert.
Meldungsvariable | Variable vom Typ STRING, die den Zustandstext der Heuristik anzeigt.


Beschreibung der Operandenanalyse

Handbuch > PLC Diagnosis > S7-Graph > Beschreibung der Operandenanalyse

Um auf einen Blick erkennen zu können, welcher Schritt gestört ist und welche Operanden in den Transitionen dafür verantwortlich sind, wird die Meldungsvariable mit einer aussagekräftigen Meldung gefüllt. Diese wird durch folgende Schritte generiert:

Noch in diesem Kapitel

1. Suchen des gestörten Schrittes

2. Auswahl der bearbeiteten Transition

3. Finden der fehlenden Operanden


1. Suchen des gestörten Schrittes

Handbuch > PLC Diagnosis > S7-Graph > Beschreibung der Operandenanalyse > 1. Suchen des gestörten Schrittes

Ist die übergebene Alarm-Variable vom Typ UDINT, so beinhaltet diese bei Auftreten eines Fehlers die Nummer des gestörten Schrittes, die für die weitere Auswertung verwendet wird. Wird hingegen lediglich eine BOOL Variable übergeben, so wird der erste aktive Schritt verwendet der gerade gestört ist.


2. Auswahl der bearbeiteten Transition

Handbuch > PLC Diagnosis > S7-Graph > Beschreibung der Operandenanalyse > 2. Auswahl der bearbeiteten Transition

Sollten im gestörten Schritt mehrere Transitionen zu folgenden Schritten existieren, so wird nur die Transition mit der niedrigsten Transitionsnummer ausgewertet.


3. Finden der fehlenden Operanden

Handbuch > PLC Diagnosis > S7-Graph > Beschreibung der Operandenanalyse > 3. Finden der fehlenden Operanden

Die so ermittelte mögliche Störungsursache wird in der Meldungsvariablen dargestellt. Der Inhalt dieser Variablen wird aktualisiert, wenn Sie die Funktion S7-Graph Heuristik auswerten ausführen.

Um nun in der festgelegten Transition die fehlenden Operanden zu ermitteln wird der Bedingungsbaum hierarchisch durchwandert. Am einfachsten kann dies in der FUP-Darstellung veranschaulicht werden (siehe unten Beispieldarstellungen). Bei Antreffen eines Operators wird dann folgende Fallunterscheidung getroffen:

UND

Es werden alle Pfade weiterverfolgt, die zum Zeitpunkt der Auswertung nicht erfüllt sind (also in der Abbildung rot aufscheinen).

ODER

Für jeden Pfad wird dessen Erfüllungsgrad, also das Verhältnis von erfüllten Eingängen zur Gesamtzahl der ankommenden Eingänge, berechnet. Anschließend wird nur derjenige Pfad weiter verfolgt, der den höchsten Erfüllungsgrad aufweist. Bei mehreren Pfaden mit selbem Erfüllungsgrad wird der Erste verwendet.

Durch diese Systematik wird eine möglichst kleine, aber dennoch mit hoher Wahrscheinlichkeit aussagekräftige, Menge an Operanden gefunden, die für das Weiterschalten in den nächsten Schritt von Bedeutung sind.

Bei den Beispieldarstellungen würde der Algorithmus also lediglich den Operanden M102.2 liefern, da dieser die kleinstmögliche Menge von Operanden darstellt, die nötig ist, um die gestörte Transition in einen ungestörten Zustand zu versetzen.


zenon Logic Monitoring Viewer

Handbuch > PLC Diagnosis > zenon Logic Monitoring Viewer

info Info

Dieses Tool dient der visuellen Darstellung und Auswertung von zenon Logic Programmen. Mit dem Monitoring Viewer können die Vorgänge in der zenon Logic Runtime direkt im zenon Bild angezeigt werden.

Noch in diesem Kapitel

Voraussetzungen

Einbindung des ActiveX in zenon Bild

Darstellung des ActiveX im zenon Bild zur Laufzeit


Voraussetzungen

Handbuch > PLC Diagnosis > zenon Logic Monitoring Viewer > Voraussetzungen

Ab zenon 6.20 SP3 wird das ActiveX X5Monitoring.ocx, das die zenon Logic Programmdarstellung durchführt, in das zenon Programmverzeichnis installiert und im Betriebssystem registriert. In früheren zenon Versionen muss Installation und Registrierung manuell erfolgen.

Dieses Programm ist derzeit nur für die PC Variante von zenon verfügbar.

Für den Betrieb des zenon Logic Monitoring Viewers wird eine Lizenz für die PLC Diagnosis benötigt.

Damit der zenon Logic Monitoring Viewer den aktuellen Programmcode anzeigen kann muss zuerst der Wizard zenon Logic Monitoring Builder in der zenon Logic Workbench angestoßen werden. In der zenon Logic Workbench unter Tools > Monitoring Applikation erstellen... wird der Wizard aufgerufen.

Dieser Wizard ist lizenzpflichtig.

Beim Durchlauf des Wizards können verschiedene Eigenschaften verändert werden. Zum Beispiel kann die Berechtigung zum Betrachten von Programmen und forcen von Variablen-Werten definiert werden (völlig gesperrt, Passwort geschützt, offen).

Der Wizard erstellt eine <ProjektName>.K5m Datei und legt diese in den zenon Projektpfad ab.


Einbindung des ActiveX in zenon Bild

Handbuch > PLC Diagnosis > zenon Logic Monitoring Viewer > Einbindung des ActiveX in zenon Bild

Wählen Sie in zenon Editor das Dynamische Element ActiveX aus und ziehen Sie die gewünschte Fläche im zenon Bild auf. Darauf öffnet sich ein Dialog für die Auswahl des ActiveX Controls. Wählen Sie X5Monitoring Control aus und klicken Sie auf Eigenschaften....

Im folgenden Dialog geben Sie den Pfad der Datei welche mit dem Monitoring Builder erstellt wurde ein und stellen die Kommunikationsparameter ein:

info Info

Wurden beim Durchlaufen des Monitoring Builder Wizards keine Pfade geändert, so liegt das Monitoring File im SQL Verzeichnis, des zenon Projekts. Eruieren Sie die GUID (z. B. in den zenon Logic Projekteigenschaften in zenon) und browsen Sie die *.K5m Datei aus. Diese Datei finden Sie im Standard Pfad

%ProgramData%\COPA-DATA\SQL\<GUID>\FILES/straton\<zenon Logic ProjektName>\[zenon Logic Projekt Name.K5m].

info Info

Verwenden Sie bei den Connection settings nur IP Adressen und keine Rechnernamen! Läuft die zenon Logic Applikation auf demselben Rechner wie zenon so geben Sie für Localhost 127.0.0.1 ein.

Mit einem Doppelpunkt (:) getrennt geben Sie nach der IP Adresse den Runtime Port der zenon Logic Runtime ein. Meistens ist dieser 1200.


Darstellung des ActiveX im zenon Bild zur Laufzeit

Handbuch > PLC Diagnosis > zenon Logic Monitoring Viewer > Darstellung des ActiveX im zenon Bild zur Laufzeit

Bestätigen Sie die beiden Dialoge mit OK. Nach dem Erstellen der zenon Runtime Dateien und dem Starten der zenon und zenon Logic Runtime wird der SPS Code im entsprechenden zenon Bild angezeigt:

Je nach im Monitoring Builder Wizard eingestellter Berechtigung könne nun Programme betrachtet oder Werte geforct werden.


Process Gateway

Handbuch > Process Gateway

Das Process Gateway dient zur Kopplung mit übergeordneten Systemen, z. B. einem Control Center. Dies bedeutet, dass Teile des zenon Prozessabbildes für andere Anwendungen zur Verfügung gestellt und von diesen aktualisiert werden.

  • Prozessdaten aus der zenon Runtime können an übergeordnete Systeme weitergeleitet werden.
  • Übergeordnete Systeme können ihre Werte oder Befehle zur zenon Runtime schreiben.

info Info

Die Benutzeroberfläche für das Process Gateway steht nur in englischer Sprache zur Verfügung.

Alle genutzten Komponenten müssen lizenziert sein.

Hinweis: Sowohl Editor und/oder Runtime, welche die Lizenzinformationen zur Verfügung stellen, sowie die Anwendungen, die darauf zugreifen, müssen im gleichen Benutzerkontext laufen. Sie müssen also vom gleichen Benutzer gestartet werden. Eine Anwendung als Administrator und eine andere als lokaler Benutzer zu starten funktioniert nicht.

Lizenzinformationen anzeigen

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie das Process Gateway.
  2. Klicken Sie die Schaltfläche About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Wird das Process Gateway ohne bestehende Modulkonfiguration geöffnet, muss zuerst ein Modul gewählt werden. Nach Auswahl eines Moduls wird der entsprechende Startdialog für das Process Gateway geöffnet. Dabei ist die Schaltfläche Settings so lange inaktiv, bis das Process Gateway lizenziert ist.

Noch in diesem Kapitel

Allgemeines

Voraussetzungen

Start

DEC

DNP3_SG

DNP3 Slave - AccessDNP3 veraltet

ICCP-TASE.2

IEC870 Slave

MODBUS Slave

MS Azure

OPC UA Server

SNMP Agent

SQL


Allgemeines

Handbuch > Process Gateway > Allgemeines

Für das Process Gateway gilt:

  • Es versteht sich als Add-On zur Runtime und ist nur in Verbindung mit dieser lauffähig.
    Das bedeutet: Ist keine zenon Runtime gestartet, startet das Process Gateway nicht!
  • Auf einem Rechner können mehrere Process Gateways gestartet werden.
    Weitere Informationen dazu finden Sie im Kapitel Start mit Kommandozeile.
  • Das Process Gateway kann sowohl auf einem Einzelplatz-Rechner wie auch im zenon Netzwerk (Server/Standby/Client) gestartet werden. Alle Process Gateways, die im Netzwerk gestartet sind, liefern das gleiche Prozessabbild.
  • Die Auswahl und Konfiguration des zu startenden Moduls erfolgt in einer eigenen INI-Datei des Process Gateways, nicht in der für zenon sonst üblichen zenon6.ini!
    Die INI-Datei für das Process Gateway heißt zenProcGateway.INI und befindet sich im Ordner %CD_SYSTEM%. Bei einer Standardinstallation ist der Ablageordner per default C:\ProgramData\COPA-DATA\System.

Projektauswahl

Wird in der Konfigurationsdatei (zenProcGateway.INI) kein spezieller Projektname eingestellt, so gelten alle Konfigurationen des Process Gateway auf das erste von der Runtime geladene Projekt.

In einem Mehrprojektsystem kann auf ein beliebiges Projekt in der Hierarchie zugegriffen werden. Tragen Sie dazu in der INI-Datei den Projektname im Eintrag Project= der Sektion [GENERAL] ein. Ist dieser Eintrag leer, gilt das Integrationsprojekt.

Noch in diesem Kapitel

Variablenzuordnung über Namen


Variablenzuordnung über Namen

Handbuch > Process Gateway > Allgemeines > Variablenzuordnung über Namen

Im Process Gateway erfolgt die Zuordnung jeweils über den Variablennamen.

Dies ist besonders wichtig, wenn:

  • Variablenbenennungen in der Projektierung im zenon Editor geändert werden.
  • Variablen in der Projektierung im Editor gelöscht werden.
  • Die zenon Runtime ein neues Startprojekt aufruft.

In diesem Falle erscheinen beim Start des Process Gateway modulabhängige Fehlerdialoge.

attention Achtung

Bei fehlerhafter Variablenzuordnung wird das Process Gateway nicht gestartet! Das Process Gateway startet erst dann, wenn die fehlerhafte Variablenzuordnung richtig gestellt wurde.

Der erste Fehlerdialog listet die unbekannten Variablen auf.

  • Passen Sie in diesem Falle die Variablenzuordnung neu an.
  • Entfernen Sie dazu alle falsch zugeordneten Variablen aus dem jeweiligen Exportbereich und fügen Sie die entsprechenden Variablen neu zu.

Der darauffolgende Dialog beinhaltet modulabhängige Fehlermeldungen.

LOG-Eintrag

Bei fehlerhafter Variablenzuordnung wird folgender LOG-Eintrag erstellt:

LOG-Eintrag | Beschreibung
Failed to update value for variable %s. | Es konnte keine COM-Verbindung zu zenon aufgebaut werden, oder die Variable ist in zenon nicht (mehr) verfügbar oder wurde umbenannt.


Voraussetzungen

Handbuch > Process Gateway > Voraussetzungen

Auf dem Rechner, auf dem das Process Gateway laufen soll, muss vor dessen Start die Runtime mit passender Release-Version und einem der Konfiguration entsprechenden geladenen Projekt gestartet werden. Wird die Runtime beendet, so wird auch das Process Gateway automatisch beendet.

Ist die zenon Runtime bei Start des Process Gateway nicht geladen, wird ein entsprechender Warndialog angezeigt:

info Info

Das Process Gateway benutzt das COM Interface, um auf zenon Daten zuzugreifen. Das COM Interface wird von VBA benutzt und ist nur verfügbar, wenn in der Datei zenon6.ini unter [VBA] der Eintrag EVENT=1 vorhanden ist.


Start

Handbuch > Process Gateway > Start

Das Process Gateway besteht aus der Datei zenProcGateway.exe. Diese wird bei der Installation in den zenon Programmordner kopiert. Die Datei kann aber auch verwendet werden, wenn Sie in einem anderen Ordner abgelegt wird.
Achtung: Das Modul (Access*.dll), mit dem das Process Gateway verwendet werden soll, muss sich ebenfalls im selben Ordner wie die zenProcGateway.exe befinden.
Ausnahme: SNMP.

Die Konfigurationsdatei zenProcGateway.ini liegt im Systemordner %CD_SYSTEM%.
In dieser INI-Datei wird mit dem Eintrag DLL= (im Abschnitt [GENERAL]) das Modul bestimmt, mit dem das Process Gateway startet.

Auf einem Rechner können mehrere Process Gateways gestartet werden. Die Voraussetzung dafür ist die verwendung unterschiedlichen INI-Dateien. Weitere Informationen dazu finden Sie im Kapitel Start mit Kommandozeile.

Process Gateway in zenon Netzwerk

Das Process Gateway kann sowohl auf einem Einzelplatz-Rechner wie auch im zenon Netzwerk (Server/Standby/Client) gestartet werden. Alle Process Gateways, die im Netzwerk gestartet sind, liefern das gleiche Prozessabbild.

In redundanten Netzwerk wird empfohlen das Process Gateway auf einem (dedizierten) Client zu starten. Bei Redundanzumschaltung verbindet sich ein Netzwerk Client automatisch zu jeweiligen prozessführenden Server und kann weiter die Daten an die übergeordnete Systeme liefern.

Process Gateway - Start

Das Process Gateway kann gestartet werden:

  • via Startup-Tool
  • via zenon Funktion

In beiden Startmethoden kann das Process Gateway mit Parameter in der Kommandozeile gestartet werden. Damit können unterschiedliche INI-Dateien des Process Gateway bestimmt werden.

attention Achtung

Das Process Gateway kann nur dann gestartet werden, wenn die zenon Runtime läuft. Ein Start ohne laufender Runtime ist nicht möglich. In diesem Fall wird ein entsprechender Warndialog angezeigt.

Konfiguration

Die Konfiguration besteht aus zwei Teilen:

  • Modulauswahl
    Im ersten Schritt der Konfiguration wählen Sie das Modul, mit dem das Process Gateway kommuniziert.
    Weitere Informationen dazu finden Sie im Kapitel Modulauswahl.
  • Modulspezifische Konfiguration
    Abhängig vom ausgewählten Modul können Verbindungsparameter und Variablenzuordnungen konfiguriert werden.
    Die Details dazu entnehmen Sie dem Kapitel Modulkonfiguration im jeweiligen Abschnitt dieses Handbuchs.

Alle Konfigurationen des Process Gateway werden in einer .INI-Datei gespeichert. Beachten Sie hierbei, dass nicht alle Einträge der entsprechenden INI-Datei über eine entsprechende Benutzeroberfläche konfiguriert werden können.

Das Modul wird mit dem Eintrag DLL= (im Abschnitt [GENERAL]) bestimmt.

Mögliche Einträge:

Modul | Eintrag
DEC | DLL=AccessDEC.dll
SQL | DLL=AccessSQL.dll
MODBUS | DLL=AccessMODBUS.dll
DNP3 | DLL=AccessDNP3.dll
IEC870Sl | DLL=AccessIEC870Sl.dll
SNMP | DLL=AccessSNMP.dll
OPCUA | DLL=AccessOPCUA.dll
ICCP/TASE.2 | DLL=AccessICCP.dll
MS Azure | DLL=AccessAzure.dll
DNP3_SG | DLL=AccessDNP3_SG.dll

Sicherheitskonfiguration

Um das Process Gateway vor unbefugter Benutzung zu schützen, kann das Programm versteckt ausgeführt werden. Wird es von der Kommandozeile mit dem Parameter /hide (oder -hide) aufgerufen, startet das Process Gateway unsichtbar und kann nicht konfiguriert und beendet werden. Das Process Gateway beendet sich automatisch, wenn die zenon Runtime beendet wird.

Noch in diesem Kapitel

Start mit Startup Tool

Start mit zenon Funktion

Start mit Kommandozeile

Modulauswahl

INI-Datei


Start mit Startup Tool

Handbuch > Process Gateway > Start > Start mit Startup Tool

Das Process Gateway kann über das zenon Startup Tool gestartet werden.

Führen Sie dazu folgende Schritte durch:

  1. Öffnen Sie das zenon Startup Tool.
  2. Klicken Sie auf Tools.

    Der Dialog zur Konfiguration der zenon Tools wird geöffnet.

  3. Wählen Sie Process Gateway aus.
  4. Klicken Sie den Button Start um das Process Gateway mit der Konfiguration aus der aktuellen zenProcGateway.INI-Datei zu starten.

    oder:
    Tragen Sie in das Feld Command line parameters den Namen der EXE-Datei und den Namen der INI-Datei als Startparameter ein:
    zenProcGateway.EXE /ini:"MyConfig.INI"

    Weitere Informationen dazu finden Sie im Kapitel Start mit Kommandozeile.
    Achtung: Die Parameter alleine genügen nicht. Es muss zwingend der Aufruf zenProcGateway.EXE eingetragen werden.

  5. Klicken Sie auf Start.


Start mit zenon Funktion

Handbuch > Process Gateway > Start > Start mit zenon Funktion

Das Process Gateway kann - wie jede andere Windows Anwendung - via der Funktion Starte Programm gestartet werden.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Windows.
  3. Wählen Sie die Funktion Starte Programm.
    Der Dialog zur Auswahl des Programms und Eingabe von Startparameter wird geöffnet.
  4. Wählen Sie das gewünschte Programm.
    1. Klicken Sie die Schaltfläche ...
      Der Dialog zur Auswahl einer Datei wird geöffnet.
    2. Navigieren sie in das zenon Installationsverzeichnis:
      Program Files (x86) - 64-Bit Betriebssystem

      Program Files - 32-Bit Betriebssystem

    3. Wählen Sie dort die Datei zenProcGateway.exe
    4. Bestätigen Sie die Auswahl mit Klick auf die Schaltfläche Öffnen.
  5. Optional: Konfigurieren Sie die Parameter, die bei Ausführung der Funktion ausgeführt werden.
    Weitere Informationen dazu finden Sie im Kapitel Start mit Kommandozeile.
    Ist dieser Parameter leer, startet das Process Gateway mit der zenProcGateway.INI-Datei.
  6. Schließen Sie den Dialog mit Klick auf die Schaltfläche OK.
  7. Benennen Sie die Funktion in der Eigenschaft Name.

Tipp Tipp

Ist diese Funktion im Skript AUTOSTART* verknüpft, startet das Process Gateway automatisch mit der Runtime.


Start mit Kommandozeile

Handbuch > Process Gateway > Start > Start mit Kommandozeile

Auf einem Rechner können mehrere Process Gateways gestartet werden. Dazu muss für jedes zu startende Process Gateway eine eigene INI-Datei vorhanden sein. Die INI-Datei muss im Systemordner liegen (%CD_SYSTEM%).

Anwendungbeispiele:

  • Paralleler Start mehrerer Process Gateways mit unterschiedlichen Modulen
  • Start mehrere Instanzen des Process Gateways mit dem gleichen Modul (gilt nicht für alle Module).
    Voraussetzung: eigene Kommunikationsparameter für jede Instanz, z.B.: keine Konflikte in IP-Ports.

In diesem Fall muss die zenProcGateway.EXE mit dem Kommandozeilen-Parameter /ini:"[file]" gestartet werden.

Hinweis: der Name der INI-Datei kann auch beim Start mit zenon Funktion konfiguriert werden.

Syntax Kommandozeile:

  • im Startup Tool:
    zenProcGateway.EXE /ini:"[Dateiname].INI"
  • in der zenon Funktion Starte Programm
    Eingabefeld Parameter: /ini:"[Dateiname].INI"

[Dateiname].ini muss durch den richtigen Namen der INI-Datei ersetzt werden.


Modulauswahl

Handbuch > Process Gateway > Start > Modulauswahl

Für die Auswahl eines Moduls für das Process Gateway stehen folgende Möglichkeiten zur Verfügung:

  • Erstmaliger Start
    Bei erstmaligen Start des Process Gateway wird ein Dialog zur Auswahl des Moduls angezeigt.
    Dieser Auswahldialog wird bei Start des Process Gateway auch dann angeboten, wenn keine INI-Datei vorhanden ist oder in der ausgewählten INI-Datei kein Modul konfiguriert ist.
    Per Default wird die Datei zenProcGateway.INI verwendet.
  • Modul bereits konfiguriert
    Wurde bereits ein Modul für das Process Gateway konfiguriert, startet das Process Gateway mit dem Kommunikationsdialog des konfigurierten Moduls.
    Mit dem Start des Process Gateway beginnt bereits die Kommunikation, wenn alle notwendigen Verbindungsparameter für das Modul konfiguriert und gültig sind.

Noch in diesem Kapitel

Erstmaliger Start

Bestehende Modulauswahl ändern

Start mit konfiguriertem Modul


Erstmaliger Start

Handbuch > Process Gateway > Start > Modulauswahl > Erstmaliger Start

Das Modul muss beim ersten Start konfiguriert werden.

Um das Process Gateway mit einem auswählbaren Modul zu starten:

  1. Starten Sie das Process Gateway mit nicht vorhandener INI-Datei (in der INI-Datei darf noch kein anderes Modul konfiguriert sein).
    Per Default nutzt das Process Gateway die Datei zenProcGateway.INI. In der Kommandozeile (/ini:"[Dateiname].INI") können Sie eine andere Datei definieren.
    Mehr Informationen finden Sie im Kapitel Start mit Kommandozeile.
  2. Der Dialog zur Modul-Auswahl wird geöffnet.
  3. Wählen Sie das gewünschte Modul.
  4. Bestätigen Sie Ihre Auswahl mit Klick auf die Schalftäche OK.
    Das Process Gateway erstellt dabei eine INI-Datei.
  5. Das Process Gateway startet mit dem Kommunikationsdialog des ausgewählten Moduls.


Bestehende Modulauswahl ändern

Handbuch > Process Gateway > Start > Modulauswahl > Bestehende Modulauswahl ändern

Startet das Process Gateway mit einem bereits konfigurierten Modul für ein anderes Kommunikationsprotokoll, ohne den Dialog zur Auswahl eines Moduls anzubieten, dann:

  1. Schließen Sie das Process Gateway.
  2. Bearbeiten Sie die bestehende zenProcGateway.INI-Datei.
    1. Navigieren Sie dazu in das Verzeichnis %CD_SYSTEM%.
    2. Öffnen Sie die Datei in einem beliebigen Texteditor und kommentieren Sie das Modul in der Datei aus; oder benennen Sie die INI-Datei um.
  3. Starten Sie das Process Gateway neu:
    Wurde die INI-Datei entfernt, wird bei Start des Process Gateway der Dialog zur Modulauswahl erneut angeboten.


Start mit konfiguriertem Modul

Handbuch > Process Gateway > Start > Modulauswahl > Start mit konfiguriertem Modul

Starten Sie das Process Gateway mit einem bereits konfigurierten Modul, wird ein Kommunikationsdialog mit statistischen Daten geöffnet.

Info

Minimale Informationen über das konfigurierte Modul.

Parameter | Beschreibung
Module: | Konfiguriertes und gestartetes Modul des Process Gateway.
Config File: | Name der Konfigurationsdatei zenProcGateway.INI des Process Gateways.

Statistics

Informationen zur Kommunikation mit der Gegenstelle.

Parameter | Beschreibung
Nr. of updates in xx seconds | Anzahl der erfolgreichen Kommunikationsversuche inkl. Gesamtlaufzeit.
failed updates | Anzahl der fehlerhaften Kommunikationsversuche.
Exit | Schließt das Process Gateway.
Settings | Öffnet Konfigurationsdialog des Moduls.
Help | Öffnet die Online-Hilfe.

attention Achtung

Wir die Anwendung als unsichtbar gestartet, wird auch kein Konfigurationsdialog angezeigt. Ist die Konfiguration ungültig oder nicht vorhanden, wird das Process Gateway automatisch geschlossen.


INI-Datei

Handbuch > Process Gateway > Start > INI-Datei

Das Process Gateway speichert in der INI-Datei die Modulauswahl. Diese zenProcGateway.INI Datei finden Sie im Ordner %CD_SYSTEM%. Die Konfiguration wird pro Modul in einer XML-Datei gespeichert. Diese Konfigurationsdatei wird ebenfalls im Ordner %CD_SYSTEM% gespeichert.

Die modulspezifischen Konfigurationen sind zwischen den Modulen sehr unterschiedliche. Beachten Sie die detaillierte Dokumentation der modulabhängigen Einträgen in diesem Handbuch.

Zum Lesen der INI-Dateien werden systembedingt nur ANSI und Unicode unterstützt.

attention Achtung

UTF-8 Speicherformat wird nicht unterstützt!

Sichern Sie ihre INI-Dateien deshalb immer als Textdatei im ANSI- oder Unicode-Format.

Modulunabhängige Inhalte

[GENERAL]

Eintrag

Beschreibung

[GENERAL]

Allgemeine Einstellung für das Process Gateway, unabhängig vom gewählten Modul.

DLL=

Auswahl der DLL-Datei, welche für das Process Gateway verwendet wird. Die gewählte DLL-Datei bestimmt die Modulauswahl

  • AccessAzure.dll
  • AccessDEC.dll
  • AccessDNP3_SG.dll
  • AccessICCP.dll
  • AccessIEC870Sl.dll
  • AccessMODBUS.dll
  • AccessOPCUA.dll
  • AccessSNMP.dll
  • AccessSQL.dll

[DATABASE]

Eintrag | Beschreibung
PROJECT= | Name des zenon Projekts, mit dem das Process Gateway zur Runtime kommuniziert. In einem Mehrprojektsystem kann auf ein beliebiges Projekt in der Hierarchie zugegriffen werden. Ist dieser Eintrag leer, gilt das Integrationsprojekt. Default: leer (in der Runtime aktuell geladenes Projekt)


DEC

Handbuch > Process Gateway > DEC

Noch in diesem Kapitel

Modulkonfiguration

Logging


Modulkonfiguration

Handbuch > Process Gateway > DEC > Modulkonfiguration

Nach Klick auf die Schaltfläche Settings erscheint folgender Dialog:

Hier können zum einen die Variablen, die gekoppelt werden sollen, ausgewählt werden. In der linken Liste werden alle in zenon verfügbaren Variablen angezeigt. Diese können ausgewählt werden und mit der '>'-Schaltfläche in die In DEC exportiert Liste verschoben werden. Mit der '<'-Schaltfläche können sie wieder entfernt werden. Wird eine Variable in die Exportiert-Liste verschoben, erscheint ein Dialog zur Namenszuordnung der zenon Variable zur DEC-Variable:

Die Zuordnung erfolgt über die vierstellige Pressennummer und den vierstelligen Parameter-Name. Eingegebene Zeichen werden automatisch in Großbuchstaben umgewandelt. Die so ausgewählten Variablen werden dann in zenon oder im angebundenen DEC-System laufend synchronisiert.

Im unteren Teil des Konfigurations-Dialogs kann die TCP/IP-Verbindung zum DEC-System konfiguriert werden.

Die Portnummer bezeichnet den Port, auf dem das Process Gateway auf eingehende Verbindungen wartet.

Das Timeout ist die Zeit ohne Antwort, nach der eine Verbindung abgebrochen wird.


Logging

Handbuch > Process Gateway > DEC > Logging

Alle vom DEC-System empfangenen Telegramme und die Antwort vom Process Gateway können mitprotokolliert werden.

Zum Logging wird der Diagnosis Viewer verwendet, nähre Informationen finden Sie im Kapitel Diagnosis Viewer.


DNP3_SG

Handbuch > Process Gateway > DNP3_SG

Das Modul AccessDNP3_SG für das Process Gateway basiert auf einen von COPA-DATA entwickelten DNP3 Stack.

  • Das Modul AccessDNP3_SG ist konform mit Subset Level 1, 2 und 3 und unterstützt Dateitransfer.
  • Die Konfiguration ist nicht kompatibel zum bestehenden AccessDNP3 Process Gateway von zenon Versionen vor 8.00.
  • Das bisherige Modul AccessDNP3 im Process Gateway steht für neue Konfigurationen nicht mehr zur Auswahl.
  • Bestehende Konfigurationen mit dem bisherigen AccessDNP3 Modul sind weiterhin lauffähig.
  • In eine zukünftige Version wird das AccessDNP3-Modul nicht mehr im Lieferumfang enthalten sein. Das alte Modul wird vollständig durch das Modul AccessDNP3_SG ersetzt werden.

Im Lieferumfang für das neue Modul ist ein XML-Device Profil enthalten. Dieses Dokument enthält auch eine Beschreibung der Fähigkeiten des AccessDNP3_SG Moduls.
Installationspfad: C:\ProgramData\COPA-DATA\zenon8.00\CommunicationProfiles\Dnp3\ProcessGateway

Noch in diesem Kapitel

Installation

Outstation

Datalink

Binary Input

Double Bit Binary Input

Binary Output

Running Counter

Frozen Counter

Analog Input

Analog Output

Octet String

Variablenauswahldialog

Warndialoge

Statusmapping zenon - DNP3

Select before Operate

Kommando-Bearbeitung - Command Routing

LATCH_ON und LATCH_OFF


Installation

Handbuch > Process Gateway > DNP3_SG > Installation

Um das DNP3_SG Process Gateway zu installieren haben sie folgende Möglichkeiten:

  1. Erstmaliger Start des Process Gateway. Es wurde noch kein Modul konfiguriert:
    Das Modul muss beim ersten Start konfiguriert werden.
    1. Starten Sie das Process Gateway mit einer leeren oder nicht vorhandener INI-Datei (in der INI-Datei darf noch kein anderes Modul konfiguriert sein).
      Per Default nutzt das Process Gateway die Datei zenProcGateway.INI. In der Kommandozeile (/ini:"[Dateiname].INI") können Sie eine andere Datei definieren.
      Mehr Informationen finden Sie im Kapitel Start mit Kommandozeile.
    2. Der Dialog Configuration zur Modul-Auswahl wird geöffnet.
    3. Wählen Sie AccessDNP3_SG.dll als Modul aus.
    4. Bestätigen Sie Ihre Auswahl mit Klick auf die Schalftäche OK.
      Das Process Gateway erstellt dabei eine INI-Datei.
    5. Das Process Gateway startet mit dem Kommunikationsdialog des Process Gateway.
    6. Klicken Sie die Schaltfläche Settings um das DNP3_SG Modul zu konfigurieren.
  2. Start bei bereits konfiguriertem Process Gateway Modul.

    Startet das Process Gateway mit einem bereits konfigurierten Modul für ein anderes Kommunikationsprotokoll, ohne den Dialog zur Auswahl eines Moduls anzubieten, dann führen Sie folgende Schritte aus:

    1. Schließen Sie das Process Gateway.
    2. Bearbeiten Sie die bestehende zenProcGateway.INI-Datei.
    3. Navigieren Sie dazu in das Verzeichnis %CD_SYSTEM%.
    4. Öffnen Sie die Datei in einem beliebigen Texteditor und kommentieren Sie das Modul in der Datei aus; oder benennen Sie die INI-Datei um.
    5. Starten Sie das Process Gateway neu:
      Wurde die INI-Datei entfernt, wird bei Start des Process Gateway der Dialog zur Modulauswahl erneut angeboten.


Outstation

Handbuch > Process Gateway > DNP3_SG > Outstation

In diesem Dialog konfigurieren Sie die Verbindungsparameter zur Outstation.

Physical layer

Parameter

Beschreibung

Channel

Art der Verbindung zur Outstation. Auswahl aus Dropdownliste:

  • Serial
    Serielle Verbindung mit der Outstation.
  • TCP/IP
    Verbindung mit der Outstation via TCP/IP Protokoll.
  • UDP
    Verbindung mit der Outstation via UDP Protokoll.
  • TCP with UDP broadcast
    Verbindung mit der Outstation via TCP/IP Protokoll mit UDP broadcast.

Default: TCP/IP

TCP/UDP settings

Parameter | Beschreibung
TCP/UDP listening port number | Portnummer für die TCP oder UDP Kommunikation mit der Outstation. Default: 20000
UDP Broadcast port | Portnummer für den Empfang von UDP broadcasts. Default: 20000 Hinweis: nur aktiv, wenn bei der Option Channel der Wert TCP with UDP broadcast konfiguriert ist.
Network card/IP address | Netzwerk-Schnittstelle für die Kommunikation mit der Outstation. Auswahl aus Dropdownliste. Die Outstation empfängt Netzwerktelegramme nur auf der konfigurierten Schnittstelle. Ist keine Schnittstelle ausgewählt empfängt die Outstation die Telegramme auf allen Schnittstellen. Default: leer Hinweis: Nicht aktiv, wenn bei der Option Channel Serial konfiguriert ist.

Serial settings

Die Optionen dieser Gruppe sind nur dann aktiv, wenn bei der Option Channel die Verbindungsart Serial konfiguriert ist.

Parameter

Beschreibung

Serial port

Auswahl der seriellen Schnittstelle.
Auswahl aus Dropdownliste.

Default: COM1

Baud rate

Auswahl der Baudrate für die serielle Kommunikation. Auswahl aus Dropdownliste.

Default: 9600

Port settings

Anzahl der Daten-, Start- Stopp-Bits und der Parität für die serielle Kommunikation.

Auswahl aus Dropdownliste:

  • 8,1,1,N
  • 8,1,1,E
  • 8,1,2,E
  • 8,1,2,N

Default: 8,1,1,E


Datalink

Handbuch > Process Gateway > DNP3_SG > Datalink

Parameter

Beschreibung

Outstation DNP Address

DNP3-Adresse der Outstation.

Default: 1

Self address response

Antwortverhalten der Outstation auf ein Request.

  • aktiv:
    die Outstation antwortet mit der eigenen DNP3 Adresse, wenn ein Master Request mit der der reservierten Adresse "0xFFFC" empfangen wird.
  • inaktiv:
    Die Outstation antwortet nur auf Requests von der konfigurierten Master-Adresse.

Default: inaktiv

Hinweis: Es wird empfohlen diese Option nur vorübergehend zu aktivieren, um einen Master die Erkennung der Outstation zu ermöglichen.

Master DNP Address

Die DNP3 Adresse des Masters, der mit der Outstation kommunizieren soll.

Default: 100

Hinweis: derzeit unterstützt das Process Gateway nur einen Master pro Instanz.

Validate master address

Validierung der Master-Adresse

Hinweis: Diese Option ist immer aktiv. Die Outstation antwortet nur auf Master requests, die von der konfigurierte Master DNP Address stammen. Eine Ausnahme sind die Broadcast Addressen, wenn im Knoten Outstation in der Option Channel TCP with UDP Broadcast konfiguriert ist und im Knoten Application Layer die Option Broadcasts allowed aktiviert ist.

Default: aktiv

Link status request interval

Intervall in Sekunden in der ein Datalink Layer REQUEST_LINK_STATUS von der Outstation an den Master gesendet wird, sofern kein weiterer Datenverkehr stattfindet.

Dies dient bei Konfigurationen, bei denen keine zyklische Kommunikation mit dem Master stattfindet, zur Überwachung ob der Master noch verfügbar ist.

Default: 0
Bei dem Wert 0 sendet die Outstation keinen Link Status Requests.

Hinweis: Für TCP Verbindungen gibt es ein sogenanntes TCP Keep Alive. Dieses darf nicht mit dem Link status Requests verwechselt werden.

Data Link Confirmations
  • aktiv:
    Die Outstation fordert für jedes Datalink Frame eine Datalink Layer Bestätigung des Masters an.
  • inaktiv:
    Die Outstation fordert keine Bestätigung für Datalink Layer Frames an.

Default: inaktiv

Hinweis: Diese Option soll nur dann aktiviert werden, wenn es eine geringe Qualität der Verbindung voraussetzt. Für TCP/IP Verbindungen wird dringend empfohlen, diese Option nicht zu aktivieren.

Data Link retries

Anzahl der Wiederholungen für ein Datalink Layer Frame wenn eine Bestätigung vom Master angefordert wurde und diese Bestätigung nicht innerhalb der bei der Option Datalink Layer Timeout konfigurierten Zeit empfangen wurde.

Default: 0

Data Link Timeout

Timeout für den Empfang einer Datalink Layer Bestätigung des Masters auf ein von der Outstation angefordertes Datalink Layer Request für die eine Datalink Layer Confirmation angefordert wurde.

Default: 2000

Channel

Parameter

Beschreibung

Master IP Address

IP Addresse des entfernten DNP3 Masters.

Es werden nur Netzwerktelegramme von der hier konfigurierten IP Addresse akzeptiert.

Ausnahme: Requests an der UDP Broadcast-Adresse wenn im Knoten Outstation die Option Channel mit TCP/IP with UDP Broadcasts konfiguriert ist und im Knoten Application Layer die Option Broadcasts allowed aktiv ist.

Default: 127.0.0.1

Hinweis: Nicht aktiv, wenn bei der Option Channel Serial konfiguriert ist.

Use specific master UDP port
  • aktiv:
    Die Outstation antwortet an den hier konfigurierten UDP-Port.
  • inaktiv:
    Die Outstation antwortet an den UDP Port, von dem der Master Request gesendet wurde.

Nur verfügbar wenn im Knoten Outstation die Option Channel mit UDP konfiguriert ist.

Master UDP Port

Dieser Port wird für die optionale unsolicited null response Nachricht verwendet.

Alternative UDP Portnummer für die Antwort an den Master, wenn die Option Use specific master UDP port aktiviert ist.

Default: 20000

Hinweis: Nur verfügbar wenn die im Knoten Outstation die Option Channel mit UDP konfiguriert ist.

Noch in diesem Kapitel

Application Layer

Events/Unsolicited

File Transfer


Application Layer

Handbuch > Process Gateway > DNP3_SG > Datalink > Application Layer

Parameter

Beschreibung

Application Layer Timeout

Zeit die die Outstation auf eine Antwort vom Master wartet, wenn Responses eine Bestätigung verlangen.

Default: 3000 ms

Use Local Time

Verwendetes Zeitformat.

Diese Option gilt sowohl für die Zeitsynchronisierung der Outstation als auch für die Event Objects, die einen Zeitstempel enthalten.

  • aktiv:
    Das Zeitformat verwendet die Lokalzeit/Zeitzone des Rechners.
    Diese Option kann gesetzt werden wenn der Master die Uhrzeit ebenfalls als Lokalzeit betrachtet.
  • inaktiv:
    Das Zeitformat ist UTC, entsprechend dem IEEE Std 1815tm Standard.

Default: aktiv

Application Layer TX Size

Maximale Grösse eines Application Layer response. Der Wert kann entsprechend der Fähigkeiten des Masters und der Bandbreite der Verbindung angepasst werden

Default: 2048

Time sync. interval

Zeitraum, nachdem die Outstation erneut das Internal Indication Bit IIN1.4 (NEED_TIME) im Response setzt.
Der Wert kann auf 0 gesetzt werden, wenn keine Zeitsynchronisierung durch den Master erforderlich ist.

Beispiel: Der Rechner der Outstation synchronisiert seine Uhrzeit bereits von einer anderen Quelle.

Default: 60 min

Application layer confirmations

Application Confirmation für Response

  • aktiv:
    Die Outstation fordert für jedes Response eine Application Confirmation von dem Master an.
  • inaktiv:
    Die Outstation fordert nur für folgende Responses eine Application Confirmation vom Master an:

    - Response enthält events

    - unsolicited Responses

    - multi-fragment responses (Vom ersten bis zum vorletzten Fragment. Das letzte Fragment verlangt keine Confirmation)

Default: inaktiv

Hinweis: Aktivieren Sie diese Option nur in Ausnahmefälle, z.B. wenn die Qualität und Bandbreite der Verbindung dies erfordert (geringe Bandbreite).

SBO timeout

Zeit die auf ein Operate Request vom Master gewartet wird, nachdem ein Select Request vom Master empfangen wurde.

Default: 60 s

Weitere Informationen zum SBO finden Sie im Kapitel Select before Operate.

Device name

Bezeichnung für die Outstation.

Diese Option kann vom Master über das Device Attribute User-assigned device name (g0v247) gelesen und geschrieben werden.

Default: Outstation

Device ID

Identifikation für die Outstation.

Diese Option kann vom Master über das Device Attribute User-assigned ID code/number (g0v246) gelesen und geschrieben werden.

Default: 0

Device location

Standortbezeichnung für die Outstation.

Diese Option kann von dem Master über das Device Attribute User-assigned location name (g0v245) gelesen und geschrieben werden.

Default: 1

Allowed & Enabled Functions

Funktionalitäten, die von der Outstation für die Verbindung zwischen Master und Outstation angeboten wird.

Ist eine Option nicht aktiv, antwortet die Outstation an den Master mit einem Null Response mit dem Internal Indication Bit IIN2.0 (NO_FUNC_CODE_SUPPORT).

Ausnahme: auf Broadcasts requests wird generell nicht geantwortet.

  • Cold/Warm restart allowed
    Default: inaktiv
  • File Transfer allowed
    Default: inaktiv
  • Assign Class allowed
    Default: inaktiv
  • Broadcasts allowed
    Default: inaktiv
  • Time Syncrhonisation allowed
    Default: aktiv
  • Controls allowed
    Default: aktiv
  • Counter Freeze allowed
    Default: aktiv


Events/Unsolicited

Handbuch > Process Gateway > DNP3_SG > Datalink > Events/Unsolicited

Event generation

Parameter

Beschreibung

Delete events

Welche Events werden bei einem Überlauf des Eventpuffers der Outstation gelöscht:

  • newest:
    neueste (= jüngste) Events.
  • oldest:
    älteste Events

Default: newest

Unsolicited Responses

Die Optionen dieses Bereichs sind nur dann verfügbar, wenn die Option Allow unsolicited responses aktiviert ist.

Parameter

Beschreibung

Allow unsolicited responses

Checkbox zur Aktivierung der Verwendung der Unsollicited responses.

  • aktiv:
    Unsolicited responses sind erlaubt und können vom Master aktiviert werden.
  • inaktiv:
    Unsolicited responses sind nicht möglich und können vom Master nicht aktiviert werden.
    Achtung: Es werden keine unsolicited responses an den Master gesendet. Auch dann nicht, wenn diese vom Master aktiviert wurden.

Default: inaktiv

Hinweis: Stimmen Sie die Konfiguration dieser Option mit der Konfiguration des Masters ab.

Unsolicited timeout

Zeit die auf eine Application Confirmation vom Master für ein vorangegangenes unsolicited Response von der Outstation gewartet wird.

Eingabebereich: 1 bis 60 s

Default: 5 s

Unsolicited retries

Anzahl der Wiederholungen für ein Unsolicited Response (gesendet von der Outstation), nachdem die Unsolicited timeout Zeit abgelaufen ist, ohne dass eine Application Confirmation vom Master empfangen wurde

Eingabebereich: 0 - 65535
(0 = unendlich viele Versuche)

Default: 3

Beispiel: Wird ein Unsolicited Response an den Master gesendet, soll der Master ein Application Confirmation senden. Bleibt diese Bestätigung durch den Master aus, wird so oft eine Wiederholung gesendet, wie in Number of retries projektiert. Anschließend wird wieder ein neues Unsolicited Response erzeugt.

Unsolicited resumption delay

Anzahl der Sekunden die die Outstation wartet, bis erneut mit dem Senden von Unsolicited Responses fortgefahren wird, wenn nach Ablauf der Unsolicited timeout Zeit und dem Versenden der Wiederholungen, keine Application Confirmation vom Master empfangen wurde.

Default: 15 s

Class 1 events

Maximale Anzahl der Events für die Eventklasse welche gepuffert werden, bevor ein Unsolicited Response an den Master gesendet wird.

Eingabebereich: 0 - 255
Default: 3

Class 1 time

Maximale Verzögerung der Eventklasse welche gewartet wird, bis nach dem Auftreten eines Events ein Unsolicited Response an den Master gesendet wird.

Eingabebereich: 0 - 65535 Sekunden
(0 = keine Verzögerung, d.h. bei jedem Event)
Default: 5

Hinweis: Werden kontinuierlich neue Events erstellt, kann es dazu kommen, dass keine Unsolicited Response an den Master gesendet wird, wenn der Wert grösser 0 ist.

Class 2 events

Maximale Anzahl der Events für die Eventklasse welche gepuffert werden, bevor ein Unsolicited Response an den Master gesendet wird.

Eingabebereich: 0 - 255
Default: 3

Class 2 time

Maximale Verzögerung der Eventklasse welche gewartet wird, bis nach dem Auftreten eines Events ein Unsolicited Response an den Master gesendet wird.

Eingabebereich: 0 - 65535 Sekunden
(0 = keine Verzögerung, d.h. bei jedem Event)
Default: 5

Hinweis: Werden kontinuierlich neue Events erstellt, kann es dazu kommen, dass keine Unsolicited Response an den Master gesendet wird, wenn der Wert grösser 0 ist.

Class 3 events

Maximale Anzahl der Events für die Eventklasse welche gepuffert werden, bevor ein Unsolicited Response an den Master gesendet wird.

Eingabebereich: 0 - 255
Default: 3

Class 3 time

Maximale Verzögerung der Eventklasse welche gewartet wird, bis nach dem Auftreten eines Events ein Unsolicited Response an den Master gesendet wird.

Eingabebereich: 0 - 65535 Sekunden
(0 = keine Verzögerung, d.h. bei jedem Event)
Default: 5

Hinweis: Werden kontinuierlich neue Events erstellt, kann es dazu kommen, dass keine Unsolicited Response an den Master gesendet wird, wenn der Wert grösser 0 ist.


File Transfer

Handbuch > Process Gateway > DNP3_SG > Datalink > File Transfer

In diesem Dialog konfigurieren Sie die Parameter für den Dateitransfer von und zur Outstation.
Ein Master kann auf Unterverzeichnise im Ablageort zugreifen jedoch nicht auf Überliegenden Verzeichnisse (\..\..\)

Parameter

Beschreibung

File transfer receive directory

Ablageort, für die vom Master an die Outstation gesendeten Dateien.

Klick auf ... öffnet den Dialog zur Auswahl eines Ablageortes.

Hinweis: Wird der Ablageort unterschiedlich zur Option File Transfer send directory konfiguriert, kann der Master jene Dateien, die er selber schreibt weder lesen noch löschen.

File transfer send directory

Ablageort für Dateien, die vom Master gelesen werden können.

Klick auf ... öffnet den Dialog zur Auswahl eines Ablageortes.

File transfer timeout

Zeit in Sekunden bis die Outstation das File Handle schließt, sofern dieser File Handle nicht bereits vom Master geschlossen wurde.

Default: 3000 s

Hinweis: Die Outstation unterstützt nur ein einziges File Handle.

Allow file deletion

Löschung durch den Master

  • aktiv:
    Dateien dürfen durch den Master gelöscht werden.
  • inaktiv:
    Der Master darf keine Dateien löschen.

Default: aktiv


Binary Input

Handbuch > Process Gateway > DNP3_SG > Binary Input

In diesem Knoten konfigurieren Sie die DNP3 Binary Input points.

Binary Inputs

Parameter

Beschreibung

Default static variation

Diese Option bestimmt die default static variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende static variation konfiguriert werden.

Hinweis: Wählen sie eine static variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • packed format
    Object Group 1 - Variation 1
  • with flags
    Object Group 1 - Variation 2

Default: packed format

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain all events

Max. events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variation

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • without time
    Object Group 2 - Variation 1
  • with absolute time
    Object Group 2 - Variation 2
  • with relative time
    Object Group 2 - Variation 3

Default: with absolute time

Default event class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: one

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: BOOL, USINT

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Binary Input

In diesem Bereich konfigurieren Sie die Parameter für eine ausgewählte Variable der Liste. Ein Bearbeiten über Mehrfachauswahl ist nicht möglich.

Parameter

Beschreibung

Point index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • packed format
    Object Group 1 - Variation 1
  • with flags
    Object Group 1 - Variation 2

Default: default

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • without time
    Object Group 2 - Variation 1
  • with absolute time
    Object Group 2 - Variation 2
  • with relative time
    Object Group 2 - Variation 3

Default: default

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Double Bit Binary Input

Handbuch > Process Gateway > DNP3_SG > Double Bit Binary Input

In diesem Knoten konfigurieren Sie die DNP3 Double bit binary Input points.

Parameter

Beschreibung

Default static variation

Diese Option bestimmt die default static variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende static variation konfiguriert werden.

Hinweis: Wählen sie eine static variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • packed format
    Object Group 3 - Variation 1
  • with flags
    Object Group 3 - Variation 2

Default: packed format

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain all events

Max. events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variation

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • without time
    Object Group 4 - Variation 1
  • with absolute time
    Object Group 4 - Variation 2
  • with relative time
    Object Group 4 - Variation 3

Default: with absolute time

Event class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • Default: one

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: BOOL, USINT

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Double Bit Binary Input

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Point index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • packed format
    Object Group 3 - Variation 1
  • with flags
    Object Group 3 - Variation 2

Default: default

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • without time
    Object Group 4 - Variation 1
  • with absolute time
    Object Group 4 - Variation 2
  • with relative time
    Object Group 4 - Variation 3

Default: default

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Binary Output

Handbuch > Process Gateway > DNP3_SG > Binary Output

In diesem Knoten konfigurieren Sie die DNP3 Binary Output points.

Parameter

Beschreibung

Default static variation

Diese Option bestimmt die default static variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende static variation konfiguriert werden.

Hinweis: Wählen sie eine static variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • packed format
    Object Group 10 - Variation 1
  • with flags
    Object Group 10 - Variation 2

Default: packed format

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain all events

Max. events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variation

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • without time
    Object Group 11 - Variation 1
  • with time
    Object Group 11 - Variation 2

Default: with time

Event Class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: two

Default Pulse time

Diese Option bestimmt die Default Pulse ON time.

Die bei dem Binary Output point verknüpfte Variable wird für die Dauer der hier definierte Zeit, auf dem Wert "1", "3", "4", "65" oder "129" gesetzt (abhängig vom Datentyp der Variable für den Binary Output)

Im Anschluss wird die Variable wieder auf den Wert 0 gesetzt, wenn der Master ein Pulse ON control command mit dem Pulse On Wert "0" (default) sendet. Dies gilt für Control Model mit der Konfiguration "Activation" oder "complementary two output".

Sendet der Master mit dem Pulse On control command einen anderen Wert für Pulse On als "0" (default) wird die Zeit aus dem Request vom Master verwendet sofern dieser Zeit nicht grösser oder kleiner als den fünffachen Wert der Default Pulse time ist. Ist der Wert ausserhalb, verwendet die Outstation die hier konfigurierte Default Pulse time.

Hinweis: Für Control Model complementary latch findet die Default pulse time keine Verwendung.

Default: 1000 ms

Generate Binary Output events

Diese Option bestimmt, ob bei Wertänderungen für Variablen, die für Binary Outputs konfiguriert sind, auch events erzeugt werden sollen. Nicht alle master unterstützen events für Binary Outputs.

Default: aktiv

Default Control Model

Diese Option bestimmt das default Control Model für neu hinzugefügte Variablen.

Hinweis: Bestimmte Kombinationen aus Master control requests und Datentyp (BOOL oder USINT) der Variable sind nicht möglich. Auch in Abhängigkeit davon, ob Command Routing aktiv oder nicht aktiv ist für eine ausgewählte Variable.

Auswahl aus Dropdownliste:

  • activation
  • complementary latch
  • complementary two output

Default: complementary latch

Hinweis: Weitere Informationen finden Sie in der Übersichtstabelle im Kapitel "LATCH ON und LATCH_OFF"

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: UDINT, UINT

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Binary Output

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Point index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • packed format
    Object Group 10 - Variation 1
  • with flags
    Object Group 10 - Variation 2

Default: default

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • without time
    Object Group 11 - Variation 1
  • with time
    Object Group 11 - Variation 2

Default: default

Control model

Diese Option bestimmt das Control Model für die ausgewählte Variable.

Hinweis: Bestimmte Kombinationen aus Master control requests und Datentyp (BOOL oder USINT) der Variable sind nicht möglich. Auch in Abhängigkeit davon, ob Command Routing aktiv oder nicht aktiv ist für eine ausgewählte Variable.

Auswahl aus Dropdownliste:

  • activation
    Object Group n - Variation n
  • complementary latch
    Object Group n - Variation n
  • complementary two output
    Object Group n - Variation n

Default: default

Weitere Informationen dazu finden Sie im Kapitel "Kommando-Bearbeitung - Command Routing".

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Command routing

Diese Option bestimmt für die ausgewählte Variable das Verhalten vom Binary Output point bei select und operate requests vom master.

  • Aktiv:
    select requests vom master und operate requests vom master werden an die Befehlsgabe in der zenon Runtime weitergeroutet. Erst nach erhaltener Rückmeldung auf das select oder operate von der SPS (an die Befehlsgabe in der Runtime) wird ein entsprechender positive oder negative select response oder operate response durch die Outstation an den Master gesendet.

    Direct operate requests werden von der Outstation sofort positiv beantwortet wenn die verknüpfte Variable in der Runtime geschrieben wurde.

  • Inaktiv:
    select requests werden immer sofort von der Outstation positiv beantwortet, wenn eine Variable für den Binary Output point konfiguriert ist und die Variable in der Runtime vorhanden ist.

    operate requests und direct operate requests werden von der Outstation sofort positiv beantwortet wenn die verknüpfte Variable in der Runtime geschrieben wurde.

Default: aktiv

Weitere Details zu Command routing finden Sie im Kapitel "Select before Operate".

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Running Counter

Handbuch > Process Gateway > DNP3_SG > Running Counter

In diesem Knoten konfigurieren Sie die DNP3 Running counter points.

Running Counter

Parameter

Beschreibung

Default static variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 20 - Variation 1
  • 16 Bit with flags
    Object Group 20 - Variation 2
  • 32 Bit without flags
    Object Group 20 - Variation 5
  • 16 Bit without flags
    Object Group 20 - Variation 6

Default: 32 Bit with flags

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain most recent event

Max. events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variation

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 22 - Variation 1
  • 16 Bit with flags
    Object Group 22 - Variation 2
  • 32 Bit with time
    Object Group 22 - Variation 5
  • 16 Bit with time
    Object Group 22 - Variation 6

Default: 32 Bit with time

Event class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: three

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: UDINT, UINT

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Running Counter

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Point index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 20 - Variation 1
  • 16 Bit with flags
    Object Group 20 - Variation 2
  • 32 Bit without flags
    Object Group 20 - Variation 5
  • 16 Bit without flags
    Object Group 20 - Variation 6

Default: default

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 22 - Variation 1
  • 16 Bit with flags
    Object Group 22 - Variation 2
  • 32 Bit with time
    Object Group 22 - Variation 5
  • 16 Bit with time
    Object Group 22 - Variation 6

Default: default

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Frozen Counter

Handbuch > Process Gateway > DNP3_SG > Frozen Counter

In diesem Knoten konfigurieren Sie die DNP3 Frozen counter points.

Parameter

Beschreibung

Default static variation

Diese Option bestimmt die default static variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende static variation konfiguriert werden.

Hinweis: Wählen sie eine static variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 21 - Variation 1
  • 16 Bit with flags
    Object Group 21 - Variation 2
  • 32 Bit with time
    Object Group 21 - Variation 5
  • 16 Bit with time
    Object Group 21 - Variation 6
  • 32 Bit without flags
    Object Group 21 - Variation 9
  • 16 Bit without flags
    Object Group 21 - Variation 10

Default: 32 Bit with time

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain most recent event

Max events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variations

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 23 - Variation 1
  • 16 Bit with flags
    Object Group 23 - Variation 2
  • 32 Bit with time
    Object Group 23 - Variation 5
  • 16 Bit with time
    Object Group 23 - Variation 6

Default: 32 Bit with time

Event class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: three

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: UDINT, UINT

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Frozen Counter

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 21 - Variation 1
  • 16 Bit with flags
    Object Group 21 - Variation 2
  • 32 Bit with time
    Object Group 21 - Variation 5
  • 16 Bit with time
    Object Group 21 - Variation 6
  • 32 Bit without flags
    Object Group 21 - Variation 9
  • 16 Bit without flags
    Object Group 21 - Variation 10

Default: default

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 23 - Variation 1
  • 16 Bit with flags
    Object Group 23 - Variation 2
  • w32 Bit with time
    Object Group 23 - Variation 5
  • 16 Bit with time
    Object Group 23 - Variation 6

Default: default

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Analog Input

Handbuch > Process Gateway > DNP3_SG > Analog Input

In diesem Knoten konfigurieren Sie die DNP3 Analog Input points.

Parameter

Beschreibung

Default static variation

Diese Option bestimmt die default static variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende static variation konfiguriert werden.

Hinweis: Wählen sie eine static variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 30 - Variation 1
  • 16 Bit with flags
    Object Group 30 - Variation 2
  • 32 Bit without flags
    Object Group 30 - Variation 3
  • 16 Bit without flags
    Object Group 30 - Variation 4
  • Real with flags
    (Single-precision with flag)
    Object Group 30 - Variation 5
  • LReal with flags
    (Double-precision with flag)
    Object Group 30 - Variation 6

Default: 32 Bit with flags

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain most recent event

Max. events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variation

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit without time
    Object Group 32 - Variation 1
  • 16 Bit without time
    Object Group 32 - Variation 2
  • 32 Bit with time
    Object Group 32 - Variation 3
  • 16 Bit with time
    Object Group 32 - Variation 4
  • Real without time
    (Single-precision without time)
    Object Group 32 - Variation 5
  • LReal without time
    (Double-precision without time)
    Object Group 32 - Variation 6
  • Real with time
    (Single-precision with time)
    Object Group 32 - Variation 7
  • LReal with time
    (Double-precision with time)
    Object Group 32 - Variation 8

Default: 32 Bit with time

Event class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: three

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: BOOL, Byte, DINT, DWORD, Date, Date_and_Time, INT, LINT, LREAL, LWORD, REAL, SINT, TIME, TOD, UDINT, UINT, ULINT, USINT, WORD

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Analog Input

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Point index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flags
    Object Group 30 - Variation 1
  • 16 Bit with flags
    Object Group 30 - Variation 2
  • 32 Bit without flags
    Object Group 30 - Variation 3
  • 16 Bit without flags
    Object Group 30 - Variation 4
  • Real with flags
    (Single-precision with flag)
    Object Group 30 - Variation 5
  • LReal with flags
    (Double-precision with flag)
    Object Group 30 - Variation 6

Default: default

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit without time
    Object Group 32 - Variation 1
  • 16 Bit without time
    Object Group 32 - Variation 2
  • 32 Bit with time
    Object Group 32 - Variation 3
  • 16 Bit with time
    Object Group 32 - Variation 4
  • Real without time
    (Single-precision without time)
    Object Group 32 - Variation 5
  • LReal without time
    (Double-precision without time)
    Object Group 32 - Variation 6
  • Real with time
    (Single-precision with time)
    Object Group 32 - Variation 7
  • LReal with time
    (Double-precision with time)
    Object Group 32 - Variation 8

Default: default

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Analog Output

Handbuch > Process Gateway > DNP3_SG > Analog Output

In diesem Knoten konfigurieren Sie die DNP3 Analog Output points.

Parameter

Beschreibung

Default static variation

Diese Option bestimmt die default static variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende static variation konfiguriert werden.

Hinweis: Wählen sie eine static variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flag
    Object Group 40 - Variation 1
  • 16 Bit with flag
    Object Group 40 - Variation 2
  • Real with flag
    (Single-precision with flag)
    Object Group 40 - Variation 3
  • LReal with flag
    (Double-precision with flag)
    Object Group 40 - Variation 4

Default: 32 Bit with flag

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain most recent event

Max events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

Default event variations

Diese Option bestimmt die default event variation für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event variation konfiguriert werden.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit without time
    Object Group 42 - Variation 1
  • 16 Bit without time
    Object Group 42 - Variation 2
  • 32 Bit with time
    Object Group 42 - Variation 3
  • 16 Bit with time
    Object Group 42 - Variation 4
  • Real without time
    (Single-precision without time)
    Object Group 42 - Variation 5
  • LReal without time
    (Double-precision without time)
    Object Group 42 - Variation 6
  • Real with time
    (Double-precision with time)
    Object Group 42 - Variation 7
  • LReal with time
    (Double-precision with time)
    Object Group 42 - Variation 8

Default: 32 Bit with time

Event class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: three

Generate Analog output events

Diese Option bestimmt, ob bei Wertänderungen für Variablen, die für Binary Outputs konfiguriert sind, auch events erzeugt werden sollen. Nicht alle master unterstützen events für Binary Outputs.

Default: aktiv

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: BOOL, Byte, DINT, DWORD, Date, Date_and_Time, INT, LINT, LREAL, LWORD, REAL, SINT, TIME, TOD, UDINT, UINT, ULINT, USINT, WORD

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Analog Output

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Pointer Index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Static variation

Diese Option bestimmt für die ausgewählte Variable die static variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, static variation verwendet.

Hinweis: Wählen sie eine static variation welche vom master unterstützt wird. Nicht jeder master unterstützt alle static variations.

Auswahl aus Dropdownliste:

  • 32 Bit with flag
    Object Group 40 - Variation 1
  • 16 Bit with flag
    Object Group 40 - Variation 2
  • Real with flag
    (Single-precision with flag)
    Object Group 40 - Variation 3
  • LReal with flag
    (Double-precision with flag)
    Object Group 40 - Variation 4

Default: default

Event variation

Diese Option bestimmt für die ausgewählte Variable die event variation für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event variation verwendet.

Hinweis: Wählen sie eine event variation, welche vom master unterstützt wird. Nicht jeder master unterstützt alle event variations.

Auswahl aus Dropdownliste:

  • 32 Bit without time
    Object Group 42 - Variation 1
  • 16 Bit without time
    Object Group 42 - Variation 2
  • 32 Bit with time
    Object Group 42 - Variation 3
  • 16 Bit with time
    Object Group 42 - Variation 4
  • Real without time
    (Single-precision without time)
    Object Group 42 - Variation 5
  • LReal without time
    (Double-precision without time)
    Object Group 42 - Variation 6
  • Real with time
    (Double-precision with time)
    Object Group 42 - Variation 7
  • LReal with time
    (Double-precision with time)
    Object Group 42 - Variation 8

Default: default

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Octet String

Handbuch > Process Gateway > DNP3_SG > Octet String

In diesem Knoten konfigurieren Sie die DNP3 Octet string points.

Parameter

Beschreibung

Event Class

Diese Option bestimmt die default event class für diese Object Group, für neu hinzugefügte Variablen. Einzeln, pro Variable, kann auch eine abweichende event class konfiguriert werden.

Auswahl aus Dropdownliste:

  • none
    Variablen sind keiner event class zugeordnet und erzeugen keine events. In einer Antwort auf ein class 0 poll vom master sind keine static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen nur durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, nicht einer andere event class zuordnen.
  • zero
    Variablen sind der event class 0 zugeordnet, erzeugen jedoch keine events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann die Variablen auch durch ein read request für die jeweilige static object group lesen. Ein Master kann die Variablen über ein assign class request, der event class 1, 2 oder 3 zuordnen, wodurch die Variablen ab diesem Zeitpunkt auch events erzeugen.
  • one
    Variablen sind der event class 1 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 1 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 2 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • two
    Variablen sind der event class 2 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 2 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 3 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.
  • three
    Variablen sind der event class 3 zugeordnet, und erzeugen events. In einer Antwort auf ein class 0 poll vom master sind die static objects für die Variablen enthalten. Ein Master kann den aktuellen Wert der Variablen auch durch ein read request für die jeweilige static object group lesen. In einer Antwort auf ein class 3 poll vom master sind eventuell vorhandene event objects für die events der Variablen enthalten. Ein Master kann die Variablen über ein assign class request, der event class 0, 1 oder 2 zuordnen. Wenn die Variable durch den Master der event class 0 zugeordnet wird, werden keine events mehr erzeugt.

Default: none

Event retention

Verhalten bei der Weitergabe von Wertänderungen.

Auswahl aus Optionsfeld:

  • Retain all events
    Für jede Änderung von Wert, Status oder Zeitstempel einer Variable, wird ein neues Event erstellt und im Eventpuffer gespeichert. Der Master bekommt alle Änderungen.
  • Retain most recent event
    Der Eventpuffer enthält pro Variable jeweils nur ein Event für die letzte Änderung von Wert, Status oder Zeitstempel. Der Master bekommt nur die letzte Änderung und kann unter Umstände nicht unterscheiden ob oder wie oft sich ein Wert zwischendurch geändert hat.

Default: Retain most recent event

Max. events

Maximale Anzahl an Events welche im Eventpuffer für diese Object Group, für alle definierten Variablen gespeichert wird. Wenn Retain all events konfiguriert ist, soll diese Anzahl mindestens so groß sein, wie die Anzahl der konfigurierten Variablen.

Default: 100

Hinweis: Nur aktiv wenn Retain all events aktiviert ist.

In dieser Liste werden aus dem zenon Projekt übernommene Variablen mit ihrer aktuellen Konfiguration aufgelistet.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Parameter | Beschreibung
Name | Variablenname. Dem Namen wird der Projektname vorangestellt: Projektname#Variablenname
Identification | Kennung der Variable.
Point Index | Aktuelle Konfiguration des DNP3 point index der Variable in dieser Object Group.
Static Variation | Aktuelle Konfiguration der static variation für den point in dieser Object Group.
Event Variation | Aktuelle Konfiguration der event variation für den point in dieser Object Group. Hinweis: Dieser Parameter ist im Knoten Octet String nicht verfügbar.
Event Class | Aktuelle Konfiguration der event class für den point in dieser Object Group.
Control Model | Aktuelle Konfiguration des Control Model. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.
Command Routing | Aktuelles Verhalten vom Binary Output point bei select und operate requests vom master. Hinweis: Dieser Parameter ist nur im Knoten Binary Output nicht verfügbar.

Unterstützte Datentypen: STRING, WSTRING

Navigationsleiste

Parameter | Beschreibung
Add... | Öffnet den Variablenauswahldialog zur Übernahme von zenon Variablen in die Liste. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Remove | Entfernt ausgewählte Variablen aus der Liste. Vor dem Löschen der Variablen wird ein Bestätigungsdialog angezeigt. Nur aktiv, wenn eine oder mehrere Variablen in der Liste ausgewählt sind. Hinweis: Nicht aktiv im Knoten Frozen Counter.
Replace variable... | Öffnet den Variablenauswahldialog um die in der Liste gewählte Variable mit einer anderen zenon Variable zu ersetzen. Nur aktiv, wenn exakt eine Variable in der Liste ausgewählt ist.

Octet String

In diesem Bereich konfigurieren Sie die Parameter für ausgewählte Variable(n) der Liste.

Parameter

Beschreibung

Point index

Diese Option bestimmt für die ausgewählte Variable den DNP3 point index in der Object Group. Werden Variablen hinzugefügt, wird für die neu hinzugefügten Variablen der point index automatisch gesetzt und beginnend mit dem höchsten bereits vorhandenen point index durchnummeriert.

Ein point index darf nur einmal innerhalb einer Object Group vergeben werden. Die Eingabe wird validiert. Ist ein point index bereits vergeben, wird dies in einem Warndialog angezeigt.

Hinweis: Es wird empfohlen, den point index beginnend mit 0 ohne Lücken zu vergeben. Die outstation unterstützt den maximalen point index. Wird ein hoher point index genutzt, soll sichergestellt werden, dass der master entsprechend auch qualifier codes mit 2 octets oder 4 octets unterstützt.

Identification

Die Kennung wird prinzipiell von der Variable aus der zenon Runtime übernommen. Mit dieser Option kann die Kennung zusätzlich lokal angepasst werden.

Event class

Diese Option bestimmt für die ausgewählte Variable die event class für den point in dieser Object Group. Mit dem Wert default wird die allgemeine, für diese Object Group definierte, event class verwendet.

Auswahl: siehe Beschreibung für Option Default event class.

Default: default

Apply

Übernimmt die Konfiguration für die ausgewählte(n) Variable(n).

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Variablenauswahldialog

Handbuch > Process Gateway > DNP3_SG > Variablenauswahldialog

In diesem Dialog übernehmen Sie Variablen einer bestehenden zenon Projektierung in die DNP3_SG Konfiguration. Mehrfachauswahl ist möglich.

  • Die Liste ist sortierbar
    • Klicken Sie für die Sortierung auf die Spaltenüberschrift.
    • Die Sortierreihenfolge wird mit einem Pfeilsymbol neben der Spaltenüberschrift visualisiert:
      Pfeil nach oben: aufsteigende Sortierung
      Pfeil nach unten: absteigende Sortierung
    • Ein nochmaliger Klick auf die Spaltenüberschrift kehrt die Sortierreihenfolge um.
  • Die Liste ist filterbar
    Um die Liste zu filtern:
    • Tragen Sie den gewünschten Filterbegriff in das Eingabefeld unter der Überschrift ein. Die Default-Bezeichnung eines leeren Filters ist Filtertext (dargestellt in grauer Schrift).

Runtime Projects

Parameter | Beschreibung
[Projektname] | Name der in der Runtime geladenen zenon Projekte. Das aktive Projekt ist mit einem * (Sternzeichen) gekennzeichnet

SCADA Variables

Parameter

Beschreibung

[Variablenliste]

Liste der projektierten Variablen in den geladenen zenon Projekten. Die Liste bietet jene Datentypen zur Auswahl an, die für den jeweiligen Knoten unterstützt werden.

  • Name:
    Name der Variable. Dies entspricht der Variableneigenschaft Name der aktuellen zenon Projektierung.
  • Identification:
    Kennung der Variable. Dies entspricht der Variableneigenschaft Kennung der aktuellen zenon Projektierung.

Dialog beenden

OK | Übernimmt Einstellungen und schließt den Dialog. Die ausgewählten Variablen werden in die DNP3_SG Konfiguration des aktuellen Knotens übernommen.
Cancel | Verwirft alle Änderungen und schließt den Dialog. Es werden keine Variablen in die DNP3_SG Konfiguration übernommen.


Warndialoge

Handbuch > Process Gateway > DNP3_SG > Warndialoge

Variable (Datenpunkt) entfernen

Vor dem Löschen einer Variable wird folgender Warndialog angezeigt:

Parameter | Beschreibung
OK | Löscht die ausgewählte(n) Variable(n) aus der Liste.
Cancel | Schließt den Dialog ohne die ausgewählte(n) Variable(n) zu löschen.

Datenpunkt nicht eindeutig

Wird für eine Variable ein Point index konfiguriert, der bereits in der aktuellen Konfiguration vorhanden ist wird dies mit einem Warndialog visualisiert.

Ungültige Eingabe

Wird für eine Option eine ungültige Eingabe konfiguriert wird dies in einem Warndialog angezeigt.


Statusmapping zenon - DNP3

Handbuch > Process Gateway > DNP3_SG > Statusmapping zenon - DNP3

Das Point-Mapping des zenon Status auf den DNP-Status wird durchgeführt, wenn ein Ereignis im Eventpuffer aufgezeichnet wird.

Das Mapping zwischen zenon und DNP 3 erfolgt nach folgender Aufstellung:

 | Status DNP3
Status zenon | ONLINE (s. Anm. 2) | COMM_LOST (s. Anm. 2) | LOCAL_FORCED (s. Anm. 2) | OVER_RANGE (s. Anm. 3) | REFERENCEERR (s. Anm. 3) | DISCONTINUITY (s. Anm. 3) | ROLLOVER (s. Anm. 3) | CHATTERFILTER (s. Anm. 3)
SPONT (s. Anm. 1) | 1 | 0 | 0 |  |  |  |  |
GA (s. Anm. 1) | 1 | 0 | 0 |  |  |  |  |
INVALID (s. Anm. 1) | 0 | 1 | 0 |  |  |  |  |
ALTVAL (s. Anm. 1) | 0 | 0 | 1 |  |  |  |  |
OFF (s. Anm. 1) | 0 | 0 | 0 |  |  |  |  |
N_UPDATE (s. Anm. 1) | 0 | 0 | 0 |  |  |  |  |
NT_870 (s. Anm. 1) | 0 | 0 | 0 |  |  |  |  |
SB_870 (s. Anm. 1) | 1 | 0 | 1 |  |  |  |  |
OV_870 |  |  |  | 1 |  |  |  |
OR_870 |  |  |  | 1 |  |  |  |

Anmerkungen

  • Anmerkung 1:

    In zenon muss mindestens einer der Status gesetzt sein. Ist dies nicht der Fall wird ein entsprechender LOG-Eintrag erstellt. Es werden keine zusätzlichen Flags verwendet.

  • Anmerkung 2:

    Erzwungene Basis-Flags, diese Flags werden immer als Bit-Feld gesetzt.

  • Anmerkung 3:

    Flags werden nur bei ONLINE oder LOCAL_FORCED gesetzt.


Select before Operate

Handbuch > Process Gateway > DNP3_SG > Select before Operate

Analog Outputs und Binary Outputs verfügen über die Funktionalität SBO (Select before Operate). Dabei gilt:

  • der DNP3-Master sendet ein Select-Kommando an die Outstation.
  • bei Requests des Objekttyps Binary Output müssen folgende Anforderungen erfüllt sein, damit der Request positiv beantwortet wird:
    • die Variable existiert und ist angemeldet oder kann angemeldet werden.
    • der Datentyp der Variable ist IEC_BOOL oder IEC_USINT
    • der Wert des Kommandos ist valide:
      NUL, PulseOn, PulseOff, LatchOn, LatchOff, PulseOn + Close, PulseOn + Trip
  • Anfragen (Requests) des Objekttyps Analog Output werden immer positiv beantwortet
  • Das konfigurierte Select-Timeout wird automatisch aktiviert.
    Wird innerhalb dieses Timeouts kein Operate-Kommando für die jeweilige Variable empfangen, wird die Bearbeitung für die Variable automatisch beendet.
    Hinweis: Wird anstelle eines Operate Request für die jeweilige Variable ein anderer Request empfangen, stimmt die Sequenznummer nicht oder der Operate Request entspricht nicht dem Select Request. Die Bearbeitung wird automatisch beendet.
  • Ein Operate Request ohne vorangegangenes Select Request wird mit einem Fehler quittiert.

Tipp Tipp

Weitere allgemeine Informationen zu Select before Operate finden Sie im Handbuch Energy Edition in der Befehlsgabe im Kapitel Ausführung eines Befehls.


Kommando-Bearbeitung - Command Routing

Handbuch > Process Gateway > DNP3_SG > Kommando-Bearbeitung - Command Routing

Grundlegende Voraussetzungen für die positive Ausführung des Select- oder Operate-Kommandos sind:

  • der Variablentyp ist Binary Output
  • die Variable existiert, ist angemeldet oder kann angemeldet werden und gültig (kein I-Bit).
  • der Datentyp der Variable ist IEC_REAL, IEC_BOOL oder IEC_USINT.
  • Der Kontrollcode ist gültig und kann in einen boolschen Wert gewandelt werden-
    Die folgenden Werte sind gültig (der entpsrechende boolsche Wert ist in Klammer aufgeführt):
    • NUL (false)
    • PulseOn (true)
    • PulseOff (false)
    • LatchOn (true)
    • LatchOff (false)
    • PulseOn + Close (true)
    • PulseOn + Trip (false)

Ablauf

Generell gilt: Command Routing wird nur für exportierte Variable vom Type Binary Output unterstützt, bei denen die Option Command Routing aktiviert ist.

  • Wird ein Select-Kommando für ein Binary Output empfangen, bei dem die Option Command Routing deaktiviert ist, wird ein positiver Response an den Master zurückgesendet, sofern die grundlegende Voraussetzungen erfüllt sind.
  • Ist beim Binary Output die Option Command Routing gesetzt, wird das Kommando COT_act mit dem Kontrollcode an die (bei Binary Output) konfigurierte Befehlsvariable in der Runtime gesendet.
    Hinweis: COT_act ist im Statuswert mit Hilfe der Bits COT_act, S_SE_BIT und S_SELECT codiert.
  • Anschließend wird auf die Ausführung des Select-Kommandos durch die Auto-Remote Befehlsaktion gewartet, bevor der Response an den Master gesendet wird.
    Erst nachdem eine positive Antwort auf das Select-Kommando an den Master gesendet wird, startet der Select Timeout Timer.
  • Die Bearbeitung des nachfolgenden Operate-Kommandos erfolgt gleich wie beim Select-Kommando.
    Zusätzlich wird bei einem Operate-Kommando geprüft, ob vorher ein Select-Kommando empfangen wurde, bevor das Kommando an die Befehlsgabe der Runtime weitergegeben wird.
  • Ist beim Operate-Kommando die Option Command Routing nicht aktiv oder wurde zuvor kein Select-Kommando empfangen, wird ein Operate Request direkt beantwortet.
  • Nach positiver Abarbeitung des Operate-Kommandos durch die Befehlsgabe in der Runtime, wird an den Master ein positiver Operate Response gesendet. Im Fehlerfall wird ein Operate Response mit Fehler an den Master gesendet.

Status des Command Routings

Folgende Statuscodes werden von der Outstation an den Master gesendet:

  • Status Code 0 - SUCCESS
    Die Kommando-Bearbeitung war erfolgreich.
  • Status Code 1 - TIMEOUT
    Während der Kommando-Bearbeitung ist ein Timeout aufgetreten.
    Die Befehlsgabe konnte die die Kommando-Bearbeitung nicht innerhalb von 2 Minuten erfolgreich abschließen.
  • Status Code 2 - NO_SELECT
    Das Select-Kommando wurde von der Befehlsgabe mit einem ungültigen Status beendet.
    Ungültige Status sind:
    • S_PN_BIT (negative Bestätigung) erhalten
    • das S_SE_BIT ist nicht mehr gesetzt
    • keines der COT-Bits ist gesetzt
  • Status Code 6 - HARDWARE_ERROR
    Dieser Fehler tritt unter folgenden Umständen auf:
    • die Variable ist nicht angemeldet oder kann nicht angemeldet werden
    • die Variable hat das INVALID Bit
    • der Wert kann nicht geschrieben werden oder der Befehl kann nicht abgesetzt werden.
  • Status Code 10 - AUTOMATION_INHIBIT
    Das Operate-Kommando wurde von der Befehlsgabe mit einem ungültigen Status beendet.
    Ungültige Status sind:
    • S_PN_BIT (negative Bestätigung) erhalten
    • das S_SE_BIT ist nicht mehr gesetzt
    • keines der COT-Bits ist gesetzt
  • Status Code 12 - OUT_OF_RANGE
    Der im Request enthaltene Kontrollcode ist ungültig.


LATCH_ON und LATCH_OFF

Handbuch > Process Gateway > DNP3_SG > LATCH_ON und LATCH_OFF

Der Command Control Code von der Steuerung wird über das Process Gateway auf USINT Variablen als 8-Bit Wert geschrieben, wenn Command Routing nicht aktiv ist.

Control Code |  | Control Mode | Variable linked | command routing | Action
0x01 | Pulse On | Activation | BOOL | disabled | set to 1 for ON duration
0x01 | Pulse On | Activation | USINT | disabled | set to 1 for ON duration
0x01 | Pulse On | Complementary latch | n.a. | disabled | return NOT_SUPPORTED
0x01 | Pulse On | Complementary two output | n.a. | disabled | return NOT_SUPPORTED
0x01 | Pulse On | Activation | BOOL | enabled | set to 1
0x01 | Pulse On | Activation | USINT | enabled | set to 1
0x01 | Pulse On | Complementary latch | n.a. | enabled | return NOT_SUPPORTED
0x01 | Pulse On | Complementary two output | n.a. | enabled | return NOT_SUPPORTED
0x03 | Latch On | Activation | BOOL | disabled | set to 1 for ON duration
0x03 | Latch On | Activation | USINT | disabled | set to 1 for ON duration
0x03 | Latch On | Complementary latch | BOOL | disabled | set to 1
0x03 | Latch On | Complementary latch | USINT | disabled | set to 1
0x03 | Latch On | Complementary two output | BOOL | disabled | return NOT_SUPPORTED
0x03 | Latch On | Complementary two output | USINT | disabled | set to 3 for ON duration
0x03 | Latch On | Activation | BOOL | enabled | set to 1
0x03 | Latch On | Activation | USINT | enabled | set to 1
0x03 | Latch On | Complementary latch | BOOL | enabled | set to 1
0x03 | Latch On | Complementary latch | USINT | enabled | set to 1
0x03 | Latch On | Complementary two output | BOOL | enabled | set to 1
0x03 | Latch On | Complementary two output | USINT | enabled | set to 1
0x04 | Latch Off | Activation | BOOL | disabled | set to 1 for ON duration
0x04 | Latch Off | Activation | USINT | disabled | set to 1 for ON duration
0x04 | Latch Off | Complementary latch | BOOL | disabled | set to 0
0x04 | Latch Off | Complementary latch | USINT | disabled | set to 0
0x04 | Latch Off | Complementary two output | BOOL | disabled | return NOT_SUPPORTED
0x04 | Latch Off | Complementary two output | USINT | disabled | set to 4 for ON duration
0x04 | Latch Off | Activation | BOOL | enabled | set to 0
0x04 | Latch Off | Activation | USINT | enabled | set to 0
0x04 | Latch Off | Complementary latch | BOOL | enabled | set to 0
0x04 | Latch Off | Complementary latch | USINT | enabled | set to 0
0x04 | Latch Off | Complementary two output | BOOL | enabled | set to 0
0x04 | Latch Off | Complementary two output | USINT | enabled | set to 0
0x41 | Close | Activation | BOOL | disabled | set to 1 for ON duration
0x41 | Close | Activation | USINT | disabled | set to 1 for ON duration
0x41 | Close | Complementary latch | BOOL | disabled | set to 1
0x41 | Close | Complementary latch | USINT | disabled | set to 1
0x41 | Close | Complementary two output | BOOL | disabled | return NOT_SUPPORTED
0x41 | Close | Complementary two output | USINT | disabled | set to 65 for ON duration
0x41 | Close | Activation | BOOL | enabled | set to 1
0x41 | Close | Activation | USINT | enabled | set to 1
0x41 | Close | Complementary latch | BOOL | enabled | set to 1
0x41 | Close | Complementary latch | USINT | enabled | set to 1
0x41 | Close | Complementary two output | BOOL | enabled | set to 1
0x41 | Close | Complementary two output | USINT | enabled | set to 1
0x81 | Trip | Activation | BOOL | disabled | set to 1 for ON duration
0x81 | Trip | Activation | USINT | disabled | set to 1 for ON duration
0x81 | Trip | Complementary latch | BOOL | disabled | set to 0
0x81 | Trip | Complementary latch | USINT | disabled | set to 0
0x81 | Trip | Complementary two output | BOOL | disabled | return NOT_SUPPORTED
0x81 | Trip | Complementary two output | USINT | disabled | set to 129 for ON duration
0x81 | Trip | Activation | BOOL | enabled | set to 0
0x81 | Trip | Activation | USINT | enabled | set to 0
0x81 | Trip | Complementary latch | BOOL | enabled | set to 0
0x81 | Trip | Complementary latch | USINT | enabled | set to 0
0x81 | Trip | Complementary two output | BOOL | enabled | set to 0
0x81 | Trip | Complementary two output | USINT | enabled | set to 0


DNP3 Slave - AccessDNP3 veraltet

Handbuch > Process Gateway > DNP3 Slave - AccessDNP3 veraltet

Ab zenon Version 8.00 wurde der DNP3 Slave (AccessDNP3) mit dem neuen Process Gateway Modul DNP3_SG ersetzt.

  • Das veraltete Modul AccessDNP3 steht für neue Konfigurationen nicht mehr zur Auswahl.
  • Bestehende Konfigurationen mit dem bisherigen AccessDNP3 Modul sind weiterhin lauffähig.

In eine zukünftige Version wird das AccessDNP3 Modul nicht mehr im Lieferumfang enthalten sein. Das alte Modul wird vollständig durch das Modul AccessDNP3_SG ersetzt werden.

info Info

Die Dokumentation für das veraltete Modul ist nicht mehr im Lieferumfang enthalten. Wenden Sie sich bitte mit der E-Mail-Adresse support@copadata.com an Ihren Supportpartner um diese Dokumentation anzufordern.


ICCP-TASE.2

Handbuch > Process Gateway > ICCP-TASE.2

Das Protokoll IEC 60870-6 TASE.2 ICCP kann über das zenon Process Gateway mit dem Modul AccessICCP.dll Modul genutzt werden. ICCP-TASE.2 unterstützt Conformance Blocks 1 and 2 als Client und Server. Per default verhält sich das Process Gateway beim Aufbau der Kommunikation wie ein Server.

Die Kommunikation in ICCP-Protokoll ist spontan. Ein ICCP-Server meldet die Wertänderungen zu seinem Kommunikationspartner, dem entfernten Client. Ein ICCP-Server kann jedoch nicht die Wertänderungen vom entfernten Client aktiv lesen. Um einen bidirektionalen Datenaustausch zu gewährleisten, sollen beide Kommunikationspartner über einen Client und einen Server verfügen.

Mögliche Systemkonfigurationen

  • nur Server

    Kommunikation mit mehreren entfernten ICCP-Kommunikationspartner möglich.
    Dieser Fall trifft dann zu, wenn auf der Registerkarte Client Variables keine Variablen konfiguriert sind.

  • Server und passiver Client

    Der Client wird die Kommunikation mit dem entfernten ICCP-Sever nicht selbst initialisieren.
    Die Kommunikation mit mehreren entfernten ICCP-Kommunikationspartner ist möglich.
    Dieser Fall trifft dann zu, wenn die Eigenschaft Initalise communication nicht aktiv ist.
    Hinweis: Registerkarte General im Konfigurationsdialog des Process Gateway.

  • Server und aktiver Client

    Der Client kann die Kommunikation mit entfernen ICCP-Server selbst initialisieren.
    Eine Kommunikation ist nur mit einem entfernten ICCP-Kommunikationspartner möglich.

Kommunikationsaufbau

Nach Initialisierung der Kommunikation durch einen entfernten Client zum zenon ICCP-Server oder Initialisierung durch den eigenen Client, wird die Verifizierung der bilateralen Tabellen-ID durchgeführt. War die Verifizierung erfolgreich, registriert der zenon ICCP-Client die zu kommunizierenden Variablen am entfernten Server als DataSet und aktiviert die spontane Kommunikation des DSTransferSet (MMS.InformationReport).

Hinweis: Der ICCP-Client kommuniziert mit dem Server auch dann, wenn in der Konfiguration der Registerkarte Client variables in der Liste Available from ICCP keine Variablen enthalten sind. In diesem Fall überprüft der Client nur die bilaterale Tabelle.

ICCP-Datenaustausch

  • ICCP-Server
    • Der ICCP-Server sendet Wertänderungen von Variablen spontan in sogenannten DSTransferSets (MMS.InformationReport). Ändern sich die Werte von Variablen in der zenon Runtime, wird ein DSTransferSet zum entfernten Client gesendet.
    • Der ICCP-Server kann auch Schreibanforderungen vom entfernten Client (MMS.write request) empfangen. Diese werden an die zenon Runtime übergeben und die Runtime leitet diese Anforderung an entsprechende zenon Treiber weiter. Wird das Schreiben von der SPS bestätigt, ändert die zenon Variable ihren Wert.
  • ICCP-Client
    • Bei Wertänderung einer Variable in der zenon Runtime sendet der ICCP-Client eine entsprechende Schreibanforderung (MMS.write request) zum entfernten Server.
    • Bei Empfang eines DSTransferSet (MMS.InformationReport) durch den ICCP-Client (vom entfernten Server) werden die empfangenen Werte an die zenon Runtime übergeben. Die Runtime leitet diese Anforderungen an die zenon Treiber weiter. Wird das Schreiben von der SPS bestätigt, ändern die zenon Variablen ihren Wert.

Noch in diesem Kapitel

Modulkonfiguration

Statusvariablen der Verbindung

Nicht vorhandene Variablen in Runtime anzeigen

Direct control (non SBO) für ICCP control objects

Konfigurationsdatei: INI-Einträge für ICCP-Tase.2

LOG-Einträge

Interoperability


Modulkonfiguration

Handbuch > Process Gateway > ICCP-TASE.2 > Modulkonfiguration

Die Konfiguration erfolgt mittels dreier Registerkarten. Sie kann erst mit Klick auf OK bestätigt und abgeschlossen werden, wenn alle drei Registerkarten konfiguriert wurden.

Parameter | Beschreibung
General | Allgemeine Einstellungen.
Server variables | Konfiguration der Server-Variablen. Auswahl der Variablen, die der ICCP-Server bereitstellt.
Client variables | Konfiguration der Client-Variablen. Auswahl der Variablen, die vom ICCP-Client empfangen werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

General

Server variables

Client variables


General

Handbuch > Process Gateway > ICCP-TASE.2 > Modulkonfiguration > General

Konfiguration der Verbindungseinstellungen.

Connection

Die Einstellungen in der Sektion Connection sind beliebige Strings, die auf allen Geräten im System abgestimmt werden.

Die eindeutige bilaterale Tabellenkennzeichnung muss auf allen mit dem ICCP Process Gateway kommunizierenden Geräten gleich sein. Sie wird beim Verbindungsaufbau von Komunikationspartnern abgefragt. Bei fehlender Übereinstimmung wird die Verbindung getrennt.

Die Domänennamen geben die, auf MMS-Protokollebene, benutzten Referenzen der ICCP-Objekte an. Sie müssen bei den Kommunikationspartner spiegelverkehrt gleich eingestellt sein.

Diese Abgleichsregeln sind von ICCP-Standard vorgegeben.

Parameter

Beschreibung

Bilateral Table ID

Die bilaterale Tabellenkennzeichnung wird beim Verbindungsaufbau mit dem Kommunikationspartner abgeglichen. Der Zugriff auf die Daten ist nur für autorisierte entfernte Clients erlaubt.

Der Abgleich erfolgt Domain-specific, der Kommunikationspartner muss in der Domäne mit dem Namen Remote Domain Name die bilaterale Tabelle mit der Bezeichnung Bilateral Table ID aufweisen.

Hinweis: Die ID muss auf beiden Seiten der Kommunikation exakt gleichen konfiguriert sein.

Hinweis: Fehlende oder fehlerhafte Eingaben werden als Fehlermeldung im Dialog visualisiert.

Local Domain Name

Name der lokalen ICCP-Domäne, die für Objekte des Process Gateway ICCP-Server verwendet wird.

Hinweis: der Name muss bei den Kommunikationspartnern spiegelverkehrt eingestellt sein - der entfernte Client soll der Name in seinen Anforderungen an ICCP Process Gateway verwenden.

Hinweis: Fehlende oder fehlerhafte Eingaben werden als Fehlermeldung im Dialog visualisiert.

Remote Domain Name

Name der Domäne am entfernten ICCP-Server.

Der Process Gateway ICCP-Client verwendet Domain-specific Anforderungen mit diesem Name:

  • im Abgleich der bilateralen Tabelle;
  • für die Data Set und TranferSet an entfernten Server.
    Hinweis: ein Data Set wird Domain-specific angelegt, seine Elemente - die ICCP Datenpunkte - werden VMD-specific definiert.
  • in Befehlen via Device objects.

Hinweis: Fehlende oder fehlerhafte Eingaben werden als Fehlermeldung im Dialog visualisiert.

Fehlermeldungen

Anzeige fehlender Konfigurationsdaten.

Connection Status

Verbindungsstatusvariablen ermöglichen zur Runtime die Anzeige des aktuellen Verbindungsstatus des Process Gateways zum entfernten ICCP-Kommunikationspartner. Im Process Gateway werden die zenon Variablennamen angegeben. Die Variablen sollen von numerischen Datentyp sein; Empfehlung: Internvariablen.

Weitere Informationen dazu finden Sie im Kapitel Statusvariablen.

Parameter | Beschreibung
Server state variable | Eingabefeld zur Eingabe eines Variablennamens für die Anzeige des aktuellen Verbindungsstatus des Server. Ist dieses Feld leer, können zur zenon Runtime keine Statusinformationen angezeigt werden. Default: leer
Client state variable | Eingabefeld zur Eingabe eines Variablennamens für die Anzeige des aktuellen Verbindungsstatus des Client. Ist dieses Feld leer, können zur zenon Runtime keine Statusinformationen angezeigt werden. Default: leer

Client

Parameter

Beschreibung

Initialise communication

Checkbox zur Aktivierung des automatischen Verbindungsaufbaus zum entfernten ICCP-Server bei Start des Process Gateways.

  • aktiv:
    Bei Start des Process Gateways versucht der Client automatisch eine Verbindung zum konfigurierten entfernten ICCP-Server aufzubauen.
    Schlägt der erste Verbindungsversuch fehl, wird nach 20 Sekunden erneut versucht eine Verbindung herzustellen. Während dieser Wartezeit kann ein Verbindungsversuch von einem entfernten ICCP-Kommunikationspartner angenommen werden, wenn dieser der konfigurierten IP-Adresse oder Hostnamen entspricht.
  • inaktiv:
    Kein automatischer Verbindungsaufbau zum ICCP-Server bei Start des Process Gateways.

Default: inaktiv

Ist diese Option aktiviert, gilt folgende Einschränkung :

  • Die Verbindung wird nur mit einem entfernten ICCP-Kommunikationspartner möglich.
  • Verbindungsversuche von entfernten Clients mit unbekannter Adresse werden nicht angenommen.

IP Address/Hostname

Eingabefeld für IP-Adresse oder Hostname für die automatische Verbindung zum entfernten ICCP-Server.

Hinweis: Nicht aktiv, wenn Initialise communication inaktiv ist.

Hinweis: Fehlende oder fehlerhafte Eingaben werden als Fehlermeldung im Dialog visualisiert.

Port

Eingabefeld für Port-Nummer, die bei der Kommunikation zum entfernten ICCP-Server verwendet wird.

Default: 102

Hinweis: Nicht aktiv, wenn Initialise communication inaktiv ist.

Hinweis: Fehlende oder fehlerhafte Eingaben werden als Fehlermeldung im Dialog visualisiert.

Check presence of remote items

Checkbox für die Aktivierung der Überprüfung der Variablennamen der aktuellen Clientverbindung mit den Variablennamen des entfernten ICCP-Servers. Die Namen werden VMD-specific überprüft.

  • aktiv:
    Aktiviert die Überprüfung und ermöglicht die Projektierung der Eigenschaften Set result in status bit und Variable for result names. Für die Verbindung liest der Client am entfernen Server ein DataSet ein, welches nur vorhandene Variablen beinhaltet.
  • inaktiv:
    Es wird davon ausgegangen, dass die projektierten ICCP-Variablen am entfernten Server verfügbar sind.
    Sind eine oder mehrere projektierte ICCP-Variablen nicht am entfernten Server vorhanden, kann keine erfolgreiche Verbindung zum entfernten Server aufgebaut werden.

Default: inaktiv

Set result in status bit

Statusbit für zenon Variablen des Clients, die nicht auf dem entfernten ICCP-Server vorhanden sind.
Auswahl des entsprechenden Benutzerstatusbits aus Dropdownliste:

  • None
    Für die Variable wird kein Benutzerstatusbit gesetzt, wenn die Variable am entfernten Server nicht vorhanden ist.
    Die Auswertung nicht vorhandener ICCP-Variablen kann mit Variable for result names erfolgen.
  • M1 bis M8
    Für die Variable wird das konfigurierte Benutzerstatusbit gesetzt, wenn die Variable am entfernten Server nicht vorhanden ist.

Default: None

Dieses Benutzerstatusbit wird bei konfigurierten zenon Variablen gesetzt, wenn diese bei der Überprüfung auf dem entfernten Server nicht gefunden wurden.

Hinweis: Nicht aktiv, wenn Check presence of remote Items inaktiv ist.

Weitere Informationen zur Statusverarbeitung finden Sie im Handbuch Statusverarbeitung im Kapitel Benutzerstatus.

Variable for result names

Eingabefeld zur Projektierung eines Variablennamens für die Anzeige der Namen der fehlenden ICCP-Variablen.
In der Variable werden Variablennamen visualisiert, die am entfernten Server nicht vorhanden sind.

Ist dieses Feld leer, erfolgt die Auswertung mit dem konfigurierten Benutzerstatusbit.

Default: leer

Hinweis: Nicht aktiv, wenn Check presence of remote Items inaktiv ist.

Weitere Informationen über die Anzeige von nicht vorhandenen Variablen finden Sie im Kapitel Nicht vorhandene Variablen in Runtime anzeigen.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt Einstellungen aller Registerkarten, speichert die Konfiguration in der Datei zenProcGateway.ini, startet den ICCP Server und wartet auf eingehende Verbindungen.
Cancel | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Help | Öffnet die Online-Hilfe.

Fehlermeldungen - Beispiel

Fehlermeldungen werden in roter Schrift im Dialog angezeigt:


Server variables

Handbuch > Process Gateway > ICCP-TASE.2 > Modulkonfiguration > Server variables

Auswahl und Konfiguration der Variablen, die das zenon Process Gateway als ICCP-Server bereitstellt. Die Wertänderunen der Variablen werden spontan zum entfernten ICCP-Client gesendet.

Parameter

Beschreibung

SCADA variables

Liste mit allem in zenon Projekt verfügbaren numerischen Variablen. Die Liste ist sortier- und filterbar.

Die Liste zeigt an:

  • Name:
    Name in zenon
  • Type:
    Datentyp der zenon Variable

Pfeiltasten

Via Pfeil-Taste werden ausgewählte Variablen zwischen den beiden Listen ausgetauscht.

  • Taste >>:
    Kopiert alle Variablen von zenon nach ICCP.
  • Taste <<:
    Entfernt alle Variablen aus Liste ICCP.
  • Taste >:
    Kopiert ausgewählte Variablen von zenon nach ICCP
  • Taste <:
    Entfernt ausgewählte Variablen aus Liste ICCP.

Variablen können von der Liste für zenon auch über einen Doppelklick auf die Variable zur ICCP-Liste hinzugefügt werden.

Available for ICCP

Variablen aus der Liste werden vom Server für die entfernte ICCP-Client zur Verfügung gestellt.

Die Liste zeigt an:

  • SCADA Variable:
    Name in zenon
  • ICCP Name:
    Name in ICCP Protokoll
  • Type:
    ICCP-Type

ICCP-Name und Typ können über die Optionen ICCP Name, Data type und Extended type geändert werden.

ICCP Name

Name - VMD-specific - des aus oberer Liste ausgewählten ICCP-Datenpunktes.

Änderung des ICCP Name durch Eingabe des neuen Namens.
Leer, wenn in der Liste Available for ICCP kein Eintrag ausgewählt ist.

Hinweis: Der ICCP Name kann üblicherweise laut Standard beliebig benannt werden. Es ist jedoch darauf zu achten, dass beide Kommunikationspartner dieselben Namen verwenden.

Data type

ICCP Datentyp der aus oberer Liste ausgewählten Variable.

Änderung des Data type durch Klick auf Optionsfeld:

  • State
    nicht verfügbar, wenn in der Option Object type das Optionsfeld Device object aktiviert ist.
  • Command
    Dieses Optionsfeld steht nur dann zur Verfügung, wenn in der Option Object type das Optionsfeld Device object aktiviert ist.
  • Real
  • Discrete

Bei Übernahme der Variable aus der Liste SCADA Variables wird für die Liste Available from ICCP automatisch der Type vorgeschlagen.

Hinweis: Standardmäßige Abbildung von zenon Variablen auf ICCP:

  • USINT/BOOL auf State; Wertbereich 0..3, DPI-Mapping:
    • 0/False - Off (Tripped),
    • 1/True - On (Closed),
    • 2 - Intermediate (Between),
    • 3 - Fault (Invalid).
  • REAL auf Real.
  • DINT/INT/SINT auf Discrete.

Abhängig von den von zenon zur Verfügung gestellten Variablen können Datentypen auch nicht zur Verfügung stehen (ausgegraut).

Extended type

ICCP-Zusatz der aus oberer Liste ausgewählten Variable.

Änderung des Extended type durch Klick auf Optionsfeld:

  • None:
    kein ICCP-Zusatz (nur Wert der Variable);
    IEC 60870-6-802 IndicationPoint Typ: Data_Discrete, Data_State, Data_Real.
  • Quality flags:
    Wert mit Qualität;
    z.B.: Data_DiscreteQ.
  • Timestamp:
    Wert + Qualität + Zeitstempel [s];
    z.B.: Data_DiscreteQTimeTag.
  • Extended:
    Wert + Qualität + Zeitstempel [s] + Änderungszähler;
    z.B.: Data_DiscreteExtended.
  • Timestamp Extended:
    Wert + Qualität + erweiterter Zeitstempel [ms];
    z.B.: Data_DiscreteQTimeTagExtended.

Abhängig von den von zenon zur Verfügung gestellten Variablen können Datentypen auch nicht zur Verfügung stehen (ausgegraut).

attention Achtung

Data type und Extended type müssen für beide Kommunikationspartner korrekt zugeordnet sein. Fehlanpassungen führen dazu, dass die empfangenen Datensätze nicht vollständig interpretiert werden. Alle weiteren im Dataset vorhanden Informationen gehen verloren!

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt Einstellungen aller Registerkarten, speichert die Konfiguration in der Datei zenProcGateway.ini, startet den ICCP Server und wartet auf eingehende Verbindungen.
Cancel | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Help | Öffnet die Online-Hilfe.


Client variables

Handbuch > Process Gateway > ICCP-TASE.2 > Modulkonfiguration > Client variables

Auswahl und Konfiguration der Variablen, die das zenon Process Gateway als ICCP-Client verwendet. Der Client überträgt auf die zenon Variablen die Wertänderungen, die er vom entfernten ICCP-Server empfängt.

Parameter

Beschreibung

SCADA variables

Liste mit allem in zenon Projekt verfügbaren numerischen Variablen. Die Liste ist sortier- und filterbar.

Die Liste zeigt an:

  • Name:
    Name in zenon
  • Type:
    Datentyp der zenon Variable

Pfeiltasten

Via Pfeil-Taste werden ausgewählte Variablen zwischen den beiden Listen ausgetauscht.

  • Taste >>:
    Kopiert alle Variablen von zenon nach ICCP.
  • Taste <<:
    Entfernt alle Variablen aus Liste ICCP.
  • Taste >:
    Kopiert ausgewählte Variablen von zenon nach ICCP
  • Taste <:
    Entfernt ausgewählte Variablen aus Liste ICCP.

Variablen können von der Liste für zenon auch über einen Doppelklick auf die Variable zur ICCP-Liste hinzugefügt werden.

Available from ICCP

Variablen aus der Liste werden vom entfernten ICCP-Server erwartet.

Die Liste zeigt an:

  • SCADA Variable:
    Name in zenon
  • ICCP Name:
    Name in ICCP Protokoll
  • Type:
    ICCP-Type

ICCP-Name und Typ können über die Einstellungen ICCP Name, Data type und Extended type geändert werden.

ICCP Name

Name - VMD-specific - des aus oberer Liste ausgewählten ICCP-Datenpunktes.

Änderung des ICCP Name durch Eingabe des neuen Namens.
Leer, wenn in der Liste Available for ICCP kein Eintrag ausgewählt ist.

Hinweis: Der ICCP Name kann üblicherweise laut Standard beliebig benannt werden. Es ist jedoch darauf zu achten, dass beide Kommunikationspartner dieselben Namen verwenden.

Object type

Typ der SCADA Variable für die Kommunikation zum ICCP Server. Mit dieser Object können Variablen als Kommando- oder Rückmeldevariable konfiguriert werden.
Änderung des Object type durch Klick auf Optionsfeld:

  • Variable
    Standardtyp einer Variable.
    Aktivieren Sie diese Option, wenn die zenon Variable keine Kommando- oder Rückmeldevariable ist.
  • Device object
    Die Variable aus der Liste SCADA Variables wird bei aktivierter Option als Kommandovariable konfiguriert. Dabei sendet das Process Gateway bei Empfang eines Spontanwerts ein Operate Request an den ICCP Server.
    Durch Aktivierung dieses Optionsfeldes wechselt in der Option Data type das Optionsfeld State die Auswahlmöglichkeit in Command.
  • Response
    Die Variable aus der Liste SCADA Variables wird bei aktivierter Option als Rückmeldevariable konfiguriert. Bei Empfang eines Spontanwerts wird die Antwort des Servers (Indication) via dem Befehl operate auf die Rückmeldevariable geschrieben. Für diesen Prozess sind keine weiteren Projektierungen notwendig.

Default: Variable

Data type

ICCP Datentyp der aus oberer Liste ausgewählten Variable.

Änderung des Data type durch Klick auf Optionsfeld:

  • State
    nicht verfügbar, wenn in der Option Object type das Optionsfeld Device object aktiviert ist.
  • Command
    Dieses Optionsfeld steht nur dann zur Verfügung, wenn in der Option Object type das Optionsfeld Device object aktiviert ist.
  • Real
  • Discrete

Bei Übernahme der Variable aus der Liste SCADA Variables wird für die Liste Available from ICCP automatisch der Type vorgeschlagen.

Hinweis: Standardmäßige Abbildung von zenon Variablen auf ICCP:

  • USINT/BOOL auf State; Wertbereich 0..3, DPI-Mapping:
    • 0/False - Off (Tripped),
    • 1/True - On (Closed),
    • 2 - Intermediate (Between),
    • 3 - Fault (Invalid).
  • REAL auf Real.
  • DINT/INT/SINT auf Discrete.

Abhängig von den von zenon zur Verfügung gestellten Variablen können Datentypen auch nicht zur Verfügung stehen (ausgegraut).

Hinweis: Ausgeblendet, wenn bei der Option Object Type das Optionsfeld Response aktiviert ist.

Extended type

ICCP-Zusatz der aus oberer Liste ausgewählten Variable.

Änderung des Extended type durch Klick auf Optionsfeld:

  • None:
    kein ICCP-Zusatz (nur Wert der Variable);
    IEC 60870-6-802 IndicationPoint Typ: Data_Discrete, Data_State, Data_Real.
  • Quality flags:
    Wert mit Qualität;
    z.B.: Data_DiscreteQ.
  • Timestamp:
    Wert + Qualität + Zeitstempel [s];
    z.B.: Data_DiscreteQTimeTag.
  • Extended:
    Wert + Qualität + Zeitstempel [s] + Änderungszähler;
    z.B.: Data_DiscreteExtended.
  • Timestamp Extended:
    Wert + Qualität + erweiterter Zeitstempel [ms];
    z.B.: Data_DiscreteQTimeTagExtended.

Abhängig von den von zenon zur Verfügung gestellten Variablen können Datentypen auch nicht zur Verfügung stehen (ausgegraut).

Hinweis: Ausgeblendet, wenn bei der Option Object Type entweder das Obptionsfeld Device object oder Response aktiviert ist.

attention Achtung

Data type und Extended type müssen für beide Kommunikationspartner korrekt zugeordnet sein. Fehlanpassungen führen dazu, dass die empfangenen Datensätze nicht vollständig interpretiert werden. Alle weiteren im Dataset vorhanden Informationen gehen verloren!

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt Einstellungen aller Registerkarten, speichert die Konfiguration in der Datei zenProcGateway.ini, startet den ICCP Server und wartet auf eingehende Verbindungen.
Cancel | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Help | Öffnet die Online-Hilfe.


Statusvariablen der Verbindung

Handbuch > Process Gateway > ICCP-TASE.2 > Statusvariablen der Verbindung

Statusvariablen der Kommunikation werden für die Darstellung des Verbindungsstatus zwischen Process Gateway und entfernten ICCP-Kommunikatitonspartner verwendet. Für ICCP-Server sowie ICCP-Client wird jeweils eine eigene Variable projektiert. Das Process Gateway kommuniziert diese Status ausschließlich zur zenon Runtime. Eine Kommunikation von Werten dieser Variablen zu entfernten ICCP-Kommunikationspartner findet nicht statt.

Projektierung

Um den Verbindungsstatus in der Runtime anzuzeigen, führen Sie folgende Projektierungsschritte aus:

  1. Erstellen Sie in Ihrem zenon Editor zwei numerische Variablen.
    Es wird empfohlen, diese für den Internen Treiber zu projektieren.
    • Die Variable darf nicht vom Datentyp STRING sein.
  2. Konfiguration im Process Gateway:
    • Statusvariable für Serververbindung:
      Tragen Sie den Namen der Variable im Eingabefeld Server state variable in der Registerkarte General in der Process Gateway Modulkonfiguration ein.
    • Statusvariable für Clientverbindung:
      Tragen Sie den Namen der Variable im Eingabefeld Client state variable in der Registerkarte General in der Process Gateway Modulkonfiguration ein.

Zugewiesene Zustände

Die Verbindungsstatus-Variablen haben folgende Werte:

Parameter

Beschreibung

0

IDLE
  • Kommunikation inaktiv:
    unmittelbar nach Start des Process Gateways oder Nachladen des zenon Projekts.
  • Verbindung wieder abgebaut:
    nach Beendigung des Process Gateways oder nachdem die Einstellungen im Process Gateway bearbeitet wurden und vor dem Aufbau der neuen Verbindung.

1

CONNECTING

Kommunikation via TCP/IP und MMS wird gerade aufgebaut.

Dieser Status wird angezeigt, wenn ein eingehender CR (Connection Request) empfangen wurde oder wenn ein CR (Connection Request) erfolgreich gesendet wurde. Dies ist abhängig davon, welche Seite die TCP/IP Verbindung aufgebaut hat.
Dieser Status ist für Server und Client gleich.

2

CONNECTED

ICCP-Kommunikation wurde erfolgreich aufgebaut.

Dieser Zustand wird auf einer logischen Verbindung gesetzt, wenn erfolgreich ein Dataset (DSTransferSet) für die Übermittlung von Daten vereinbart wurde und der erste MMS.write request (logische Serververbindung) bzw. der erste MMS.write response (logische Clientverbindung) empfangen wurde.

Wenn der ICCP-Client keine Daten vom entfernten Server anfordert, bleibt der Status der logischen Verbindung auf CONNECTED.

Hinweis: Der Client fordert keine Daten an, wenn:

  • Die Liste der Variablen Available from ICCP leer ist.
  • Keine der Variablen der Liste Available from ICCP am entfernten Server verfügbar ist und die Überprüfung Check presence of remote items aktiviert wurde.

3

ERROR

Dieser Status wird angezeigt, wenn die TCP/IP Verbindung unterbrochen wird.
Dieser Status ist für beide logische Verbindungen gleich.


Nicht vorhandene Variablen in Runtime anzeigen

Handbuch > Process Gateway > ICCP-TASE.2 > Nicht vorhandene Variablen in Runtime anzeigen

Mit Hilfe dieser Projektierung können Sie in der zenon Runtime auswerten, welche der im ICCP-Client projektierten Variablen am entfernten Server nicht vorhanden sind.

Diese Auswertung kann mit zwei Projektierungen erfolgen:

  1. Anzeige der fehlenden Variablennamen in einer zusätzlichen String-Variable.
  2. Anzeige eines Benutzerstatusbits, bei nicht vorhandenen Variablen.

Voraussetzung

  • Die Überprüfung der Variablennamen der aktuellen Clientverbindung mit dem Server muss aktiviert sein:
    Checkbox Check presence of remote items in der Registerkarte General in der Process Gateway Modulkonfiguration.

Anzeige der fehlenden Variablennamen in einer String-Variable

Um die fehlenden Variablen zur Runtime in einer Variable anzuzeigen:

  1. Erstellen Sie im zenon Editor eine Variable vom Datentyp STRING.
    Es wird empfohlen, diese für den Internen Treiber zu projektieren.
  2. Konfiguration im Process Gateway:
    Tragen Sie den Namen der Variable im Eingabefeld Variable for result names in der Registerkarte General in der Process Gateway Modulkonfiguration ein.

info Info

Der Wert der Variable zur Runtime beinhaltet die Namen der nicht vorhandenen Variablen, getrennt durch einen Strichpunkt ( ; ).

Anzeige eines Benutzerstatusbits, bei nicht vorhandenen Variablen

Um die zenon Variablen zur Runtime mit einem Benutzerstatusbit zu markieren, wenn sie nicht am entfernten ICCP-Server vorhanden sind:

  • Wählen Sie das gewünschte Benutzerstatusbit aus der Dropdownliste der Eigenschaft Set result in status bit in der Registerkarte General in der Process Gateway Modulkonfiguration.

Hinweis: Dieses Benutzerstatusbit kann zur RUNTIME mit einer Reaktionsmatrix oder einem Combi-Element ausgewertet werden.


Direct control (non SBO) für ICCP control objects

Handbuch > Process Gateway > ICCP-TASE.2 > Direct control (non SBO) für ICCP control objects

  • Eine zenon Variable kann als Kommandovariable mit einem ICCP control object verknüpft werden. Bei Empfang eines Spontanwerts für diese Kommandovariable wird ein Direct Control ausgeführt. Dabei sendet das Process Gateway ein Operate Request an den ICCP Server.
  • Eine zenon Variable kann als Rückmeldevariable mit einem ICCP control object verknüpft werden. Das Ergebnis der Direct Control Operation (= indication) wird auf die projektierte zenon Ergebnisvariable (via Sollwertsetzen) geschrieben.
  • Jede empfangene indication wird auf die entsprechende ICCP Rückmeldevariable geschrieben.
    • Dabei erfolgt keine Prüfung ob ein Kommando ausständig ist.
    • Wird keine indication empfangen bleibt der Wert der Rückmeldevariable unverändert.
  • direct control - unterstützte Telegrammtypen
    • Operate (request)
    • Timeout (indication)
    • Local Reset (indication)
    • Success (indication)
    • Failure (indication)
  • Vor dem Senden eines neuen Kommandos wird die Rückmeldevariable auf einen festgelegten Wert gesetzt.
  • Bei der Initialisierung des Gateways wird die Konfiguration validiert:
    • Sind pro device object mehrere Rückmeldevariablen konfiguriert, wird beim Starten des Process Gateways eine Fehlermeldung erzeugt und nur die erste verwendet
    • Pro device object darf nur eine Kommandovariable konfiguriert sein.
    • Für jede Rückmeldevariable muss eine Kommandovariable vorhanden sein, sonst Fehlermeldung.

Projektierung im Process Gateway

  • Öffnen Sie im Process Gateway die Registerkarte Client Variables
  • Kommandovariable projektieren
  • Rückmeldevariable projektieren

    Ein Response vom ICCP-Server wird einem Device object oder einer Variabe zugeordnet, indem er den gleichen ICCP Namen bekommt.

Ergebnis der Schreibanfrage (write request)

Ist zu einer Variable oder einem Device Object ein Response Object konfiguriert, so wird das Ergebnis des write Requests auf dieses Objekt geschrieben:

Parameter | Beschreibung
0 | Write successful
1 | Write pending – waiting for response
200 | Write failed: OBJECT_INVALIDATED
201 | Write failed: HW_FAULT
202 | Write failed: TEMPORARILY_UNAVAILABLE
203 | Write failed: OBJECT_ACCESS_DENIED
204 | Write failed: OBJECT_UNDEFINED
205 | Write failed: INVALID_ADDRESS
206 | Write failed: TYPE_UNSUPPORTED
207 | Write failed: TYPE_INCONSISTENT
208 | Write failed: OBJECT_ATTRIBUTE_INCONSISTENT
209 | Write failed: OBJECT_ACCESS_UNSUPPORTED
210 | Write failed: OBJECT_NON_EXISTENT
211 | Write failed: OBJECT_VALUE_INVALID


Konfigurationsdatei: INI-Einträge für ICCP-Tase.2

Handbuch > Process Gateway > ICCP-TASE.2 > Konfigurationsdatei: INI-Einträge für ICCP-Tase.2

Die Konfigurationsdatei zenProcGateway.ini enthält folgende Einträge für ICCP-Tase.2:

[ICCP]

Eintrag

Beschreibung

SERVER_PORT=

Nummer des IP-Ports des Servers; der Port erlaubt die Verbindung von entfernten Clients.

Der Port wird beim Start geöffnet und bleibt bestehen.

Default: 102

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

MAX_CONNECTIONS=

Maximale Anzahl der Verbindungen von entfernten ICCP-Clients zum Server. Wird ignoriert wenn CLIENT_AUTO_CONNECT=1 konfiguriert wurde.

Default: 0 (= uneingeschränkt)

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

MAJOR_VERSION_NUMBER=

Hauptversionsnummer des ICCP Protokolls, z.B.: 1996, 2000.

Default: 2000

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

MINOR_VERSION_NUMBER=

Unterversionsnummer des ICCP Protokolls.

Default: 8

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

BILATERAL_TABLE_ID=

Bilaterale Tabellenkennzeichnung. Diese wird beim Verbindungsaufbau zwischen allen ICCP-Kommunikationspartnern abgeglichen.

Hinweis: Die eindeutige bilaterale Tabellenkennzeichnung muss auf allen Geräten, die mit dem ICCP-TASE.2 Process Gateway kommunizieren, gleich sein.

LOCAL_DOMAIN_NAME=

Lokaler ICCP-Domänenname; Einstellung für Server, soll spiegelverkehrt zum Kommunikationspartner eingestellt sein.

REMOTE_DOMAIN_NAME=

Remote ICCP-Domänenname; Einstellung für Client, soll spiegelverkehrt zum Kommunikationspartner eingestellt sein.

CLIENT_AUTO_CONNECT=

Projektierung, ob bei Start des Process Gateways der Client automatisch den Verbindungsaufbau zum entfernten ICCP-Server initialisiert.

0: nicht initialisieren - nur warten

1: initialisieren

CLIENT_IP_NAME=

IP-Adresse oder Hostname des entfernten Server, wenn dieser Client die Kommunikation initialisieren soll.

CLIENT_PORT=

Port-Nummer des entfernten Server, wenn dieser Client die Kommunikation initialisieren soll.

CHECK_SERVER_Variables=

Überprüfung ob alle konfigurierten Variablen auf dem entfernten Server zur Verfügung stehen.

0: keine Überprüfung von projektierten Variablennamen.

1: Überprüfung von projektierte Variablennamen.

CHECK_SERVER_VARIABLES_MERKER_BIT=

Statusbit für Client-Variablen, die bei aktivierter Überprüfung der projektierten Variablen nicht am Server vorhanden sind.

0: kein Statusbit für fehlende Client-Variablen

1 bis 8: Benutzerstatusbit M1 bis M8

SERVER_STATE_VARIABLE=

Name der Variable für die Anzeige des Verbindungsstatus zwischen ICCP-Server und entferntem Client.

CLIENT_STATE_VARIABLE=

Name der Variable für die Anzeige des Verbindungsstatus zwischen ICCP-Client und entferntem Server.

NOT_AVAILABLE_SERVER_VARIABLES_VARIABLE=

Name der Variable für die Anzeige von Variablennamen (in der zenon Runtime), welche für die aktuelle Clientverbindung nicht am entfernten Server verfügbar sind.

CALLING_OSI_SESSION_SELECTOR=

CALLING_OSI_PRESENTATION_SELECTOR=

CALLING_OSI_AE_QUALIFIER=

CALLING_OSI_AP_TITLE=

CALLED_OSI_SESSION_SELECTOR=

CALLED_OSI_PRESENTATION_SELECTOR=

CALLED_OSI_AE_QUALIFIER=

CALLED_OSI_AP_TITLE=

OSI-Kommunikationsparameter

Hinweis: Dieser INI-Eintrag kann nicht in der grafischen Benutzeroberfläche für das ICCP-TASE.2 Process Gateway konfiguriert werden.

[VARIABLES]

Gruppe für konfigurierte Bezüge zwischen zenon Variablen und ICCP-Variablen. Gelistet werden:

  • Parameter jeder ICCP-Variablen
  • Anzahl der Variablen
  • Namen der Variablen
Eintrag | Beschreibung
PARAM_0= | Parameter für ICCP-Name. Die Nummerierung beginnt mit 0. Mit jedem weiteren Parameter wird der Zähler um 1 erhöht. Dieser Bezeichner entspricht dem Bezeichner des Variablennamens. PARAM_0 entspricht NAME_0. Beispiel: PARAM_0=1,0,0,ICCP_Name
COUNT= | Zahl der konfigurierten Bezüge
NAME_0= | Name der zenon Variablen. Die Nummerierung beginnt mit 0. Mit jedem weiteren Parameter wird der Zähler um 1 erhöht. Dieser Bezeichner entspricht dem Parameterbezeichner. PARAM_0 entspricht NAME_0. Beispiel: NAME_0=MyName


LOG-Einträge

Handbuch > Process Gateway > ICCP-TASE.2 > LOG-Einträge

General

Parameter

Level

Hinweis

Failed to get %s application object.

ERROR

Starten Sie die zenon Runtime bevor Sie das Process Gateway starten.

Failed to start ICCP server.

ERROR

Korrigieren Sie die Einstellungen des Process Gateways.

Konfigurieren Sie beim Starten von mehreren Process Gateways für jedes Process Gateway einen anderen Port.
  • Failed to interpret report for data set %s.%s. Bad message structure.
  • Failed to interpret report for %s. Bad message structure.
  • Failed to interpret write request for %s.%s. Bad message structure.
  • Failed to interpret received data for %s.

ERROR

Stimmen Sie die ICCP 'Data type' und 'Extended type' zwischen Process Gateway und entfernten ICCP-Kommunikationspartner ab.

Failed to write '%s', error code: %u.

ERROR

Der entfernte ICCP-Server antwortet die Schreibanforderung negativ, mit MMS Errorcode %u.

Korrigieren Sie die Einstellungen am entfernten Server u/o schieben Sie im Process Gateway die Variable von Clientkonfiguration zum Servervariablen um.

Automatischer Verbindungsaufbau

Parameter

Level

Beschreibung

Could not resolve host name %s. Errorcode: %d

ERROR

Der voreingestellte Hostname oder die IP-Adresse konnten nicht aufgelöst werden.

  • %1
    Hostname oder IP-Adresse der eingestellten Gegenstelle.
  • %2
    Windows Socket Fehlercode

Autoconnection is not possible because no hostname (or IP address) is defined

ERROR

Der voreingestellte Hostname oder die IP-Adresse werden zur Adresse 0.0.0.0 aufgelöst und sind somit ungültig.

Maximum number of %1 connections reached. Declining new connection from %2.

MSG

Zurückweisung einer eingehenden Verbindung, da bereits die maximale Anzahl von möglichen Verbindungen erreicht ist:

  • %1
    maximale Anzahl von Verbindungen, die hergestellt werden können.
  • %2
    IPv4-Adresse der Gegenstelle.

Cannot verify selected host name %1. Declining new connection from %2.

MSG

Der konfigurierte Hostname kann nicht auf die IP Adresse aufgelöst werden.

  • %1
    konfigurierter Hostname
  • %2
    IPv4-Adresse der Gegenstelle

Only connection from %1 allowed. Declining new connection from %2.

MSG

Eine eingehende Verbindung wird zurückgewiesen, da die Quelladresse nicht der IP-Adresse des konfigurierten Hosts für den automatischen Verbindungsaufbau entspricht.

  • %1
    konfigurierte IP Adresse des eingestellten Hosts.
  • %2
    IPv4-Adresse der Gegenstelle.

Only one active connection allowed. Declining new connection from %2.

MSG

Eine eingehende Verbindung wird zurückgewiesen, da eine Verbindung bereits automatisch hergestellt wurde.

  • %2
    IPv4-Adresse der Gegenstelle.

Creating a socket connection to the ICCP server %s [%2:%3].

DEBUG

Eine TCP Socketverbindung zur konfigurierten Gegenstelle wird hergestellt.

  • %1
    Hostname oder IP-Adresse der eingestellten Gegenstelle.
  • %2
    IPv4-Adresse der Gegenstelle.
  • %3
    Portnummer der Gegenstelle.

Could not create the socket connection to the ICCP server %1. Errorcode: %2.

DEBUG

Eine TCP Socketverbindung zur eingestellten Gegenstelle konnte nicht innerhalb des Sockettimeouts hergestellt werden.

  • %1
    Hostname oder IP-Adresse der eingestellten Gegenstelle.
  • %2
    Windows Socket Fehlercode.

Statusvariablen der Verbindung

Parameter

Level

Beschreibung

Server state variable with name '%s' does not exist or has an invalid type.

ERROR

Die konfigurierte Statusvariable zur Anzeige des Status der Serververbindung existiert im Projekt nicht oder hat einen ungültigen Datentyp (erforderlicher Datentyp: Numerisch).

  • %s
    Projektierter Name der Statusvariable.

Client state variable with name '%s' does not exist or has an invalid type.

ERROR

Die konfigurierte Statusvariable zur Anzeige des Status der Clientverbindung existiert im Projekt nicht oder hat einen ungültigen Datentyp (erforderlicher Datentyp: Numerisch).

  • %s
    Projektierter Name der Statusvariable.

set server state: %1(%2)

MSG

Neuer Status einer bereits bestehenden Serververbindung.

  • %1
    numerischer Wert des aktuellen Status der Serververbindung
  • %2
    aktueller Status der Serververbindung als Text (IDLE, CONNECTING, CONNECTED, ERROR)

set client state: %1(%2)

MSG

Neuer Status einer bereits bestehenden Clientverbindung.

  • %1
    numerischer Wert des aktuellen Status der Clientverbindung
  • %2
    aktueller Status der Clientverbindung als Text (IDLE, CONNECTING, CONNECTED, ERROR)

Anzeige nicht vorhandenen Variablen

Parameter

Level

Beschreibung

Unavailable server items variable with name '%1' does not exist or has an invalid type.

ERROR

Die konfigurierte Statusvariable zur Anzeige der Namen der nicht existierenden Variablen existiert im Projekt nicht oder hat einen ungültigen Datentyp (erforderlicher Datentyp: STRING).

  • %1
    Projektierter Name der Statusvariable.

Error configured client variable '%1' is not available on the remote device.

ERROR

Eine im Process Gateway für den Client projektierte Variable ist nicht am entfernten ICCP-Server verfügbar.

  • %1
    ICCP Name der Variable, die am entfernten Server nicht vorhanden ist

Parameter | Level | Beschreibung
Response variable [iccp name] already configured. | ERROR | Fehlermeldung bei Fehlprojektierung im Process Gateway. Bei dieser Fehlermeldung wurden einem ICCP Client mehr als eine SCADA Variable zugeordnet. Das erste Response Object wird übernommen, alle weiteren Response Objects werden verworfen.
No ICCP object found for configured response variable [iccp name] | ERROR | Fehlermeldung bei Fehlprojektierung im Process Gateway. Bei dieser Fehlermeldung wurde einem ICCP Client eine SCADA Variable für ein Response Object zugeordnet, allerdings fehlt eine Zuordnung für ein passendes Device object.


Interoperability

Handbuch > Process Gateway > ICCP-TASE.2 > Interoperability

Das Process Gateway für ICCP-TASE.2 basiert auf dem IEC 60870-6 TASE.2 ICCP Protokoll.

Unterstützte Protokollversionen: 2000.8 und 1996.8.

ICCP-TASE.2 unterstützt Conformance Blocks 1 and 2 als Client und Server. Als Client wird Direct Control von Block 5 unterstützt.

Per default verhält sich das Process Gateway beim Aufbau der Kommunikation wie ein Server.


IEC870 Slave

Handbuch > Process Gateway > IEC870 Slave

Sprache

Das IEC870Sl Process Gateway und seine Dialoge zur Konfiguration stehen ausschließlich in Englisch zur Verfügung.

Struktur

In dem IEC870 Slave Gateway können Sie mehrere virtuelle Steuerungen (Devices) konfigurieren. Je nach Protokoll sind diese virtuelle Geräte direkt einem Master zugeordnet (870-104) oder werden von einem Master abgefragt (870-101). Die Devices können mehrere Sektoren beinhalten. Diese enthalten IOs (Information Objects), welche die eigentlichen Variablen repräsentieren. Ein IO bezieht sich auf eine Variable des Prozessleitsystems.

Betrieb von mehreren IEC870 Slaves

Das IEC870Sl Process Gateway kann sowohl auf einem Einzelplatz-Rechner wie auch im zenon Netzwerk (Server/Standby/Client) gestartet werden. Alle Process Gateways, die im Netzwerk gestartet sind, liefern das gleiche Prozessabbild, jedoch mit dem Umfang, wie er in der Konfigurationsdatei angegeben ist.

Netzwerkserver sind meist Rechner mit hoher Auslastung. In umfangreichen und aufwendigen Systemen kann es ratsam sein, die Gateways auf (dedizierten) Netzwerkclients zu betreiben. Dies hat einen weiteren Vorteil: bei Redundanzumschaltung verbindet sich ein Netzwerk Client automatisch zum jeweiligen prozessführenden Server und kann weiterhin die Daten an die übergeordnete Systeme liefern.

Mehre Instanzen des IEC870 Slaves können die gleiche, oder sehr ähnliche Konfiguration nutzen, die auf mehrere Dateien übertragen wurden, z.B. mit Export/Import.

Es ist auch möglich mehrere Instanzen des IEC870 Slaves auf einen Rechner zu starten.
Voraussetzung: eigene Kommunikationsparameter für jede Instanz - keine Konflikte bei IP- oder COM-Ports.

Redundanz des IEC870 Slaves

Wenn zwei Process Gateways mit der gleichen Konfiguration gestartet wurden dann sind sie für einen 870-Master wie ein redundanter Slave, also eine redundante Verbindung zu zenon System.

Zwei Process Gateways mit gleicher Konfiguration können auf zwei Rechnern im zenon Netzwerk, oder auf einen Rechner mit 2 Ethernet Karten, oder mit unterschiedlichen IP Ports gestartet werden.

In Melderichtung liefern beide IEC870 Slaves die gleichen Events und Messwerte, da die zenon Runtime exakt das gleiche Prozesabbild zur Verfügung stellt. In Befehlsrichtung kann über ein IO mit dem internen Typ T00 und IOA 2 einer der zwei Slaves in silent mode versetzt werden. Somit werden die Befehle des 870-Masters nur über eine Verbindung an die Runtime weitergeleitet.

Die Redundanz auf Data Layer - nach den Prozeduren der Edition 2 des IEC 60870 Standards, wird nicht unterstützt.

Identifizierung und Adressierung

Pro jeweilige gestartete Instanz des IEC870Sl Process Gateways:

  • 870-101: Die virtuelle Steuerung (Device) wird durch die Link-Adresse des Slaves identifiziert.
  • 870-104: Die virtuelle Steuerung wird durch die IP-Adresse des Masters identifiziert.
  • Sektor: Wird durch COA (Common Object Address/Common Address of ASDU) adressiert.
  • IO: Wird durch Type Identification und IOA adressiert.

In den folgenden Kapiteln lesen Sie, wie Sie den IEC870SI Gateway konfigurieren und wie die Kommunikation abläuft.

info Info

Bei Variablen, die im IEC870Sl Process Gateway als Befehlsvariable konfiguriert sind, wird bei aktiver Eigenschaft Sollwert setzen über VBA (Gruppe Protokollierung in CEL) jeder Befehl als Sollwert Absetzen über die API-Schnittstelle zu Runtime in der CEL protokolliert.

Noch in diesem Kapitel

Modulkonfiguration

Sequence of Events (SOE)

Kommunikation

Broadcasts

Fehleranalyse

Interoperability


Modulkonfiguration

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration

Im IEC870 Slave Process Gateway stehen Ihnen viele Einstellungsmöglichkeiten zur Verfügung. Die Konfiguration des IEC870SI wird als XML-Datei abgespeichert.

In den Konfigurationsdialogen sind die Listen generell sortierbar. Um die Sortierreihenfolge zu ändern, klicken Sie einfach auf den Spaltentitel.

Protokoll 870-101 vs 104

Das Gateway unterstützt sowohl Protokoll IEC 60870-5-101 (kurz: 870-101, serielle Kommunikation) wie IEC 60870-5-104 (kurz: 870-104, TCP/IP Kommunikation). Die Einstellungen für die Protokolle -101 und -104 unterscheiden sich.

Im Hauptfenster Settings entscheiden Sie, welches Protokoll Sie nutzen möchten und legen Sie allgemeine Einstellungen fest:

  • (Protocol) 870-101
    gibt die Einstellungen für das Protokoll 101 frei und sperrt andere, nicht relevante, Eingabemöglichkeiten.
  • (Protocol) 870-104
    gibt die Einstellungen für das Protokoll 104 frei und sperrt andere, nicht relevante, Eingabemöglichkeiten.

Devices

In der Liste Devices des Hauptfensters werden virtuelle Geräte (Verbindungen) angelegt und gelöscht. Ein Device definiert wie das Process Gateway als IEC870 Slave für einen bestimmten 870-Master funktionieren soll. Die Konfiguration dieser Devices erfolgt in den Registerkarten. Es können mehre Geräte eingelegt werden - für mehre Master.

Folgende Registerkarten stehen im Process Gateway zur Verfügung:

  • Device - generelle Einstellungen sowie Master IP Adresse (-104) oder Link Adresse des Slaves (-101).
  • Sector - Einstellungen gültig für ein Common Address of ASDU (COA). Ein Device soll wenigstens ein Sektor beinhalten; und ein Sektor - wenigsten ein Information Object (IO):
    • Information Objects - die Liste der Information Object Address (IOA), deren Type Identifications (TID) und die Zuweisung zu zenon Variablen.
  • Sequences of Events (SOE)
    SOE nach Prozeduren definiert in IEC 60870-5-101: 7.4.11.3 "Transmission of sequences of events" (in a section of a data file).
  • 104 settings
    Data Layer Timeouts und APDU Zähler

info Info

In diesem Abschnitt sind nur die allgemeinen Eigenschaften dokumentiert. Die protokollabhängigen Konfigurationen finden Sie im Abschnitt des jeweiligen Protokolles (101) oder in der Beschreibung der jeweiligen Geräteeinstellungen (101 und 104).

Registerkarten für die Konfiguration der Devices

Parameter

Beschreibung

Device

Registerkarte für die Konfiguration eines Gerätes (Device).

Ein virtuelles Gerät entspricht einer Schnittstelle zu einen 870-Master.

Sector

Registerkarte für die Konfiguration der Sektoren des Gerätes.

Ein Sektor eintspricht einer Common Object Address/Common Address of ASDU und wird mit COA adresiert.

Hinweis: Ein Sektor kann mehrere Information Objects beinhalten, die mit zenon Variablen verknüpft, und mit Type Identification (Type ID) und Information Object Address (IOA) adressiert sind.

SOE

Registerkarte für die Konfiguration der Aufnahme und Übertragung der SOE Dateien (Sequences of Events)

104 settings

Registerkarte für die Konfiguration der für Protokoll 870-104 spezifisches Einstellungen für Timeouts und APDU Zähler.

OK

Übernimmt alle vorgenommenen Einstellungen. Diese werden sofort in die aktuelle Konfigurationsdatei (wie in Configuration file definiert) gesichert.

Achtung: Wenn Sie keine Änderungen vorgenommen haben, beenden Sie der Dialog mit Button Cancel, nicht OK.

Mit Klick auf OK werden alle bestehenden Verbindungen mit 870-Mastern beendet und die Kommunikation wird mit den neuen Einstellungen neu gestartet.

Cancel

Verwirft alle vorgenommen Änderungen und schlisst der Dialogfenster.

Der Dialog wird geschlossen ohne die bereits bestehende Kommunikation zu 870-Mastern zu unterbrechen.

Help

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Algemeine Einstellungen

Devices Liste

Device - Konfiguration

Sector - Konfiguration

104 settings

DPI/DCS Mapping

Konfiguration via XML-Datei


Algemeine Einstellungen

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Algemeine Einstellungen

info Info

In diesem Abschnitt sind nur die allgemeinen Eigenschaften des IEC870 Slaves dokumentiert. Weitere Informationen finden Sie in der Beschreibung des virtuellen Gerätes (Device).

Settings

Allgemeine Einstellungen:

Parameter

Beschreibung

Configuration file

Name der XML-Konfigurationsdatei mit der Konfiguration des IEC870 Slaves im Process Gateway.

In diese werden alle aktiven Einstellungen gesichert und aus ihr werden sie auch wieder ausgelesen. Der eingegebene Name muss ein gültiger Dateiname sein, sonst können die Daten nicht gesichert werden. In diesem Fall erhalten Sie eine entsprechende Fehlermeldung.

Eingegeben wird nur der Dateiname ohne Pfad. Die Dateiendung XML muss nicht explizit angegeben werden, sie wird beim Speichern automatisch ergänzt. Als Pfad wird immer das aktuelle INI-Verzeichnis verwendet.
Ablageort: %CD_SYSTEM%
Die INI Datei finden Sie im System-Verzeichnis des Prozessleitsystems als '<SCADA>ProcGateway.ini' - <SCADA> ist Platzhalter für den Namen des Prozessleitsystems.

Der Dateiname wird automatisch in die INI-Datei des Process Gateways als Konfiguration eingetragen.
Die Beschreibung des Struktur der XML-Datei finden Sie im Kapitel XML-Datei.

Import...

Lädt eine Projektierung aus einer XML- oder .CSV-Datei.

Die aktuellen Einstellungen werden durch jene in der Datei ersetzt. Die aktuelle Einstellung beim Configuration file bleibt erhalten.

Klick auf Schaltfläche ... öffnet den Dateiauswahldialog zur Auswahl einer Konfigurationsdatei.

Hinweis: Damit können Sie die Konfigurationen von anderen Projekten übertragen oder die Konfigurationen mit größeren Mengen an Variablen importieren, die Sie mit anderen Applikationen vorbereitet und exportiert haben.

Beim Importieren wird der Dateiinhalt überprüft. Im Fehlerfall wird ein entsprechender Warndialog angezeigt.

Export...

Exportiert aktuelle Projektierung in eine XML- oder .CSV-Datei.

Klick auf Schaltfläche ... öffnet den Dateiauswahldialog zur Auswahl des Ablageorts für die Zieldatei.

Achtung: Ein Device, das noch die beim Anlegen vergebene IP oder Link Addresse hat, wird nicht exportiert. Um es zu exportieren, konfigurieren Sie zuvor die Verbindung zum 870-Master im Konfigurationsfenster Device.

Hinweis:

  • Sind in der aktuellen Process Gateway Projektierung keine IOs vorhanden, wird keine Datei exportiert.
  • Für 870-104 Verbindungen wird die projektierte IP Addresse exportiert.
  • Für 870-101 wird die projektierte Link Addresse exportiert.

870-104

aktiviert Protokoll 104, schaltet alle für 104 spezifischen Einstellungen frei und sperrt Einstellungen für 101.

In diesem Mode können mehrere Slaves mit mehreren Mastern über die TCP/IP Schnittstellen kommunizieren. Jedes TCP Socket definirt eine 1:1 Verbindung zwischen Slave und Master, somit ist es möglich dem Slave die Wertänderungen spontan übertragen. Der Verlust der Verbindung kann sowohl von Slave wie Master erkannt werden, dank im Hintergrund laufenden Test-Prozeduren (Austausch kleiner APDUs auf dem Link Layer).

870-101 unbalanced

aktiviert Protokoll 101 im unbalanced Mode, schaltet alle für 101 spezifischen Einstellungen frei und sperrt Einstellungen für 104.

In diesem Mode können mehrere Slaves mit mehreren Mastern über die serielle Schnittstelle kommunizieren. Ein Slave darf einem Master die Daten nur an eine (zyklische) Link Layer Anforderung übertragen, da sonst die Konflikte auf dem Link Layer entstehen könnten. Es gibt keine Test-Prozeduren für Slave zu Überprüfung ob die Verbindung zum Master weiter besteht.

870-101 balanced

aktiviert Protokoll 101 im balanced Mode, schaltet alle für 101 spezifischen Einstellungen frei und sperrt Einstellungen für 104.

In diesem Mode kann nur ein Slave mit nur einem Master über die serielle Schnittstelle kommunizieren. Es ermöglicht dem Slave die Wertänderungen spontan übertragen. Der Verlust der Verbindung kann sowohl von Slave wie Master erkannt werden, dank im Hintergrund laufenden Test-Prozeduren (Austausch kleiner APDUs auf dem Link Layer).

IP Port

IP-Port für die Kommunikation via IEC 60870-5-104 Protokoll. Der Port des Slaves auf den sich die Master verbinden sollen. Das Protokoll definiert diesen fix als 2404.

Default: 2404

Gültige Portnummern: 1200 bis 65535

Hinweis: Gilt für alle Verbindungen für Protokoll 104. Inaktiv wenn als Protokoll 870-101 unbalanced oder 870-101 balanced gewählt ist.

Es ist möglich mehrere Instanzen des Process Gateways gleichzeitig laufen zu lassen. Daher ist der Port einstellbar.

Link Address Size (870-101)

Größe der Link Layer Adresse, in Bytes, für die Kommunikation via IEC 60870-5-101 Protokoll. Auswahl aus Dropdownliste.
Default: 1

Hinweis: Die gleiche Größe gilt für alle Verbindungen mit 870-101 Mastern. Inaktiv wenn als Protokoll 870-104 gewählt ist.

COM Port

Serielle Schnittstelle des Computers mit zenon Runtime. Auswahl aus Dropdownliste
Default: 1

Hinweis: Gilt für alle Verbindungen mit 870-101 Mastern (balanced und unbalanced). Inaktiv wenn als Protokoll 870-104 gewählt ist.

Baud Rate

Datenübertragungsrate. Auswahl aus Dropdownliste
Default: 9600

Hinweis: Gilt für alle Verbindungen mit 870-101 Mastern (balanced und unbalanced). Inaktiv wenn als Protokoll 870-104 gewählt ist.

Deaktivate standard DPI/DCS mapping and use internal mapping

Deaktiviert die Standardkommunikation via DPI/DCS und verwendet in der Kommunikation internes Mapping. Bei Aktivierung dieser Option wird das normkonforme Verhalten außer Kraft gesetzt.

Default: Inaktiv

Achtung: Die Aktivierung dieser Option wird nicht empfohlen.


Devices Liste

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Devices Liste

Die virtuellen Geräte im IEC870 Slave - Devices - werden im linken Bereich des Konfigurationsdialogs angelegt und gelöscht.
Die Details pro Device werden im rechten Bereich des Dialogs mit den entsprechenden Registerkarten konfiguriert.

Um die Konfiguration ein bestehendes Device zu ändern, wählen Sie das gewünschte Device in der Liste. Die dazugehörigen Konfigurationen können dann im rechten Bereich angepasst werden.

Parameter | Beschreibung
Device | Identifizierung des Devices: IP Adresse des Masters (104) oder Link Adresse des Slaves (101). Default: ???? (nicht definiert) Achtung: Bevor Sie es verwenden oder exportieren können, muss das Gerät konfiguriert werden.
Name | Name des Devices/Verbindung - beliebiges Text zur leichteren Identifizierung.
Add | Fügt ein neues Gerät mit Standardeinstellungen hinzu. Dieses erhält standardmäßig die ungültige ID "????" und ungültige IP/Link-Adressen. Achtung: Bevor Sie es verwenden oder exportieren können, muss das Gerät konfiguriert werden.
Delete | Löscht das ausgewählte Gerät. Wurde kein Gerät gewählt, ist die Schaltfläche inaktiv. Achtung: Der ausgewählte Eintrag wird sofort ohne vorherige Sicherheitsabfrage gelöscht.

Die Neuanlage oder das Löschen eines Devices wird in der linken Seite des Dialoges durchgeführt..

Klick auf die Schaltfläche Add fügt ein Device hinzu, welches in den Registerkarten Device, Sector, SOE und 104 settings konfiguriert wird. Es können mehrere Devices angelegt werden. Ein einfacher Klick auf das jeweilige Device in der Liste öffnet die dazugehörige Konfiguration.

Validierung

Konfigurationen werden bei Klick auf die Schaltfläche OK validiert. Im Fehlerfall wird ein entsprechender Warndialog angezeigt. Die Überprüfung berücksichtigt dabei die gewählte Verbindung (870-104 oder 870-101). Wird die Konfiguration aus einer Datei übernommen, wird der Dateiinhalt bei der Validierung ebenfalls berücksichtigt.

Auch bei Start des IEC870 Process Gateway findet zuerst eine Überprüfung der bestehenden Konfiguration statt.


Device - Konfiguration

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Device - Konfiguration

In der Registerkarte Device des Hauptfensters legen Sie die Einstellungen des virtuellen Gerätes fest. Je nach gewähltem Protokoll - 870-104 oder 101 - sind bestimmte Bereiche ausgegraut. Eine genaue Definition welche Eingabefelder für welches Protokoll verfügbar sind findet sich in der untenstehenden Auflistung.

Parameter

Protokoll

Beschreibung

IP-Address of Master (807-104)

104

IP-Adresse des Masters, dem erlaubt ist, eine Verbindung zum Slave aufzubauen. Über diese IP Adresse wird das Device erkannt, mit welchem der Master kommuniziert. Alle IP-Adressen ausgenommen 255.255.255.255 sind erlaubt.

Die konfigurierte IP-Adresse wird in der Liste der Devices in der Spalte Device angezeigt.

Default: 255.255.255.255

Hinweis: Wird das Protokoll umgestellt, geht der aktuelle Wert verloren.

Link Adress of Slave (870-101)

101

Die Link Layer Adresse des Slaves. Über die im TF 1.2 Frame enthaltene Link-Adresse legt der Master fest, für welches Device das Telegramm gilt. Über Link-Adressen kann ein Master mit mehreren Devices kommunizieren. Der erlaubte Bereich hängt von der Einstellung Link Address Size in den Haupteinstellungen ab.

  • Link address size = 0
    gilt nur für balanced Mode. Kein Bereich erlaubt. Die Verbindung ist eindeutig (1 Slave : 1 Master)
  • Link address size = 1
    erlaubter Bereich: 0 bis 254
  • Link address size = 2
    erlaubter Bereich: 0 bis 65534

Default: -1 (ungültig)

Hinweis: Eine Projektierung dieser Option ist nicht notwendig, wenn 870-101 balanced ausgewählt ist.

Wird das Protokoll umgestellt, geht der aktuelle Wert verloren.

Name/Description

101
104

Name des Gerätes zur leichteren Identifizierung, ein beliebiges Text.

Der projektierte Name wird in der Liste der Devices in der Spalte Name angezeigt.

Short pulse

101
104

Definiert die Länge des Pulses für den Qualifier of Command in der Ausprägung 'short pulse duration' (QOC = 1) in Millisekunden.

Default: 1000 ms

Gültige Werte: 0 bis 4294967295

Long pulse

101
104

Definiert die Länge des Pulses für den Qualifier of Command in der Ausprägung 'long pulse duration' (QOC = 2) in Millisekunden.
Default: 2000 ms

Gültige Werte: 0 bis 4294967295.

Max APDU size

104

Maximale Länge der APDU Daten wie in im Standard IEC 60870-5-104 definiert.

Default: 253
Gültige Werte: zwischen 25 und 253.

Max. user data

101

Maximale Länge der User Data wie für TF1.2 in IEC60870-5-2 Abschnitt 3.2 definiert.

Default: 253

Gültige Werte: zwischen (19 + LAF-Size + COA-Size + COT-Size + IOA-Size) und (255).

Commands allowed

101

104

Diese Option erlaubt die Befehle von Master dauerhaft zu unterbinden. Ist die Einstellung deaktiviert, werden die Befehle nicht akzeptiert. In der LOG-Datei werden dafür entsprechende Einträge erstellt.

Default: aktiv

Hinweis: über eine Variable in zenon (T00, IOA 2) können die Befehle dynamisch deaktiviert oder aktiviert werden.

Directory for File Transfer

101

104

Definiert das Verzeichnis, in dem die Dateien für den Verzeichnis- und Dateitransfer abgelegt sein müssen.

Klick auf die Schaltfläche ... öffnet den Dateiauswahldialog zur Auswahl eines Quellverzeichnis.

Hinweis: Die Dateien werden an den Master versendet.

Direcotry for File Transfer in Control Direction

101

104

Definiert das Verzeichnis, in dem die Dateien für den Verzeichnis- und Dateitransfer abgelegt werden.

Klick auf die Schaltfläche ... öffnet den Dateiauswahldialog zur Auswahl eines Zielverzeichnis.

Hinweis: Diese Dateien werden vom Master empfangen.

Alle Dateien mit der NOF 255 (Die temporäre NOF für Reverse File Transfer) werden bei der Verzeichnisabfrage ignoriert.

870-101 specific

Parameter

Protokoll

Beschreibung

COA size

101

Definiert die Länge der COA (Common Object Address/Common Address of ASDU).
Auswahl der Adressgröße aus Dropdownliste:

  • 1 octet
  • 2 octets
  • Hinweis: Ist bei Link layer die Verbindungsart 60870-5-104 (TCP/IP) gewählt, wird laut Norm Wert 2 octets erwartet.

Default: 2

COT size

101

Definiert die Länge der COT (Cause of Transmission).

Auswahl der Adressgröße aus Dropdownliste. Gültig:

  • 1 octet
  • 2 octets
  • Hinweis: Ist bei Link layer die Verbindungsart 60870-5-104 (TCP/IP) gewählt, wird laut Norm Wert 2 octets erwartet.

Default: 2

IOA size

101

Definiert die Länge der IOA (Information Object Address).

Auswahl der Adressgröße aus Dropdownliste. Gültig:

  • 1 octet
  • 2 octets
  • 3 octets
  • Hinweis: Ist bei Link layer die Verbindungsart 60870-5-104 (TCP/IP) gewählt, wird laut Norm Wert 3 octets erwartet.

Default: 3

Test timeout

101

Timeoutzeit für 870-101 Verbindungen. Eingabe in Sekunden

  • In 101 unbalanced:
    Gibt die Zeit in Sekunden an, in der der Master eine Abfrage an den Slave ausführen muss.
    Wenn innerhalb dieser Zeit keine Abfrage von dem Master antrifft, beendet der Slave die Verbindung.
  • In 101 balanced:
    Gibt die Zeit in Sekunden an, in der der Slave die Test-Prozeduren auf dem Link Layer ausführen wird. Die Test-Prozedur ist von IEC60870-5-101 Standard für balanced obligatorisch vorgegeben.
    Damit kann der Slave der Verbindungsverlust erkennen während keine spontane Datenübertragung stattfindet.

Default: 20

Hinweis: im unbalanced Mode wird bei einem projektierten Wert 0 die Überwachung deaktiviert.

Im balanced Mode muss ein Wert größer 0 projektiert sein.
Bei Inaktitvität (keine Daten zum Senden) wird nach der hier konfigurierten Zeit ein Testframe geschickt. Dieses muss vom Master bestätigt werden.

Bei Ausbleiben einer Antwort wird der letzte Frame (Testframe oder spontane Daten) wiederholt. Wird auch darauf keine Antwort empfangen, startet das Process Gateway die Kommunikation mit einem Request Status of Link neu.


Sector - Konfiguration

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Sector - Konfiguration

Die Registerkarte Sector listet alle im Device konfigurierten Sektoren auf. Wenn Sie einen Sektor aus der Dropdownliste auswählen, werden dessen Information Objects (IOs) angezeigt.

Common Address of ASDU (COA)

In oberem Bereich projektieren Sie Sektoren pro Gerät (Device). Dargestellt wird die COA und der Name des Sektors.

Projektierte Sektoren werden in einer Dropdownliste angezeigt. Per Default wird immer der erste Sektor der Dropdownliste dargestellt. Für diesen Sektor projektierte Information Objects werden im darunterliegenden Bereich angezeigt.

Parameter | Beschreibung
New | Öffnet den Dialog zur Erstellung eines neuen Sektors.
Edit | Aktiviert den Dialog zur Bearbeitung des ausgewählten Sektors. Bereits projektierte Sektoren werden aus der Dropdownliste ausgewählt. Ein Doppelklick auf den Sektor in der Liste ruft ebenfalls den Editor auf. Wurde kein Sektor ausgewählt, ist die Schaltfläche inaktiv.
Delete | Löscht den ausgewählten Sektor. Wurde kein Sektor ausgewählt, ist die Schaltfläche inaktiv. Achtung: der ausgewählte Sektor wird ohne Rückfrage sofort gelöscht.

Information Objects

In unterem Bereich werden Information Objects (IOs) für Sektoren verwaltet. Dargestellt werden die IOs mit COA des gewählten Sektors.

Parameter

Beschreibung

Liste der projektierten Information Objects pro COA

Liste der projektierten IOAs für den ausgewählten COA.

  • IOA
    konfigurierte Adresse der Information Objects.
  • Type ID
    konfigurierte Type Identification des Information Objects.
  • SCADA variable
    verknüpfte SCADA Variable des Information Objects.

Die Liste kann mit einem Klick auf die Spaltenüberschrift sortiert werden. Die Spaltenbreiten sind individuell anpassbar.

New

Aktiviert den Dialog für die Erstellung neuer IOs.
Mit 'OK' wird dieser Folgedialog beendet und ein neues IO erstellt.
Wurde kein Sektor ausgewählt, ist die Schaltfläche inaktiv.

Edit

Aktiviert den Dialog zur Bearbeitung des ausgewählten IOs.
Ein Doppelklick auf das IO in der Liste ruft ebenfalls den Editor auf.
Wurde kein IO ausgewählt, ist die Schaltfläche inaktiv.

Delete

Löscht das ausgewählte Information Object.
Wurde kein IO ausgewählt, ist die Schaltfläche inaktiv.

Noch in diesem Kapitel

Sector Settings

Information Objects

Variablenauswahldialog

Zuordnung der Datentypen

Sector


Sector Settings

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Sector - Konfiguration > Sector Settings

Parameter

Beschreibung

COA

Die Common Address of ASDU/Common Object Address (IEC 60870-5-101 7.2.4), unter welcher der Sektor angesprochen wird.
Diese Nummer muss pro Device eindeutig sein (1..254).

Name/Description

Beliebiger Name. Er erleichtert die Identifizierung des Sektors.

Time for Background scan [min]

Der "Background scan" Zyklus nach Anforderungen des Standards IEC 60870-5-101 Kapitel 7.4.13 "Background scan". Die Werte werden mit der COT = 2 (background scan/COT_back) verschickt. Die Zeitangabe erfolgt in Minuten.
Im eingestellten Zeitraster erfolgt für alle IOs mit aktivierter Einstellung Background scan eine zyklische Wertübertragung.

Eine zyklische Wertübertragung findet nur dann statt wenn innerhalb der eingestellten Zeit noch kein Spontanwert übertragen wurde (kein COT = 3).

Bei Wert "0" ist die zyklische Wertübertragung für diesen Sektor deaktiviert.

Default: 0

Time for periodic transfer [s]

Unterstützung der zyklischen Datenübertragung entsprechend des IEC 60870-5-5 6.3. Die Werte werden mit der COT = 1 (periodic, cyclic / COT_per) verschickt. Die Zeitangabe erfolgt in Sekunden.

Die zyklische Wertübertragung erfolgt für alle IOs mit aktivierter Einstellung Periodic data transfer. Diese IOs werden nur zyklisch und nicht spontan übertragen.

Bei Wert "0" ist die zyklische Wertübertragung für diesen Sektor deaktiviert.

Default: 0

Hinweis: die schnell flackende Messwerte können die spontane Übertragung unnötig belasten. Wir empfehlen jedoch - anstatt Periodic data transfer - die Hysterese für jeweiliges IO zu konfigurieren.

Select routing

Wenn aktiv, ist bei Befehlsausführung für ein Execute ein vorangegangenes Select nötig. Die Schaltbefehle vom Master werden über die Befehlsgabe - über die auto/remote Aktionen - weitergeleitet - an den jeweiligen Energy Treiber in der zenon Runtime.

Hinweis: Weitere Informationen dazu finden Sie im Kapitel Select routing.

Select Timeout [s]

Timeout für Select before Execute in Sekunden.

Innerhalb der projektierten Zeit muss der Select-Ablauf beendet sein und ein Execute angestoßen werden. Kommt von zenon Runtime keine Bestätigung des Select oder wurde das Select bestätigt jedoch sendet der Master kein Execute - bricht das Process Gateway den Ablauf ab.
Hinweis: Inaktiv wenn Select routing nicht aktiv.
Default: 30 s
Eingabebereich: 1 bis 65535

Hinweis: Weitere Informationen dazu finden Sie im Kapitel Select routing.

Transmition of integrated totals

Auswahl des Übertragungsmodus (siehe IEC 60870-5-101 7.4.8) für die Integrated Totals - die IOs von Type-ID:

  • 15 (M_IT_NA_1)
  • 16 (M_IT_TA_1)
  • 37 (M_IT_TB_1)

Es wird kein Reset unterstützt; ein FRZ mit Reset erzeugt eine Warnung im LOG.

Auswahl aus Optionsliste.
Default: With general interrogation

Bei Mode A bis Mode D werden die IOs sofort nach dem Verbinden des Masters von zenon angefordert. Wertänderungen der Integrated Totals IOs werden in einem eigenen Puffer verwaltet. Dieser kann den größeren Wert puffern von (Anzahl der ITs IO) * 4, oder 2048 Wertänderungen.

Parameter | Beschreibung
 | Integrated Totals werden bei der Generalabfrage (C_IC_NA_1) mit übertragen.
Mode A: Local freeze with spontaneous transmission | Integrated Totals werden bei Wertänderung übertragen.
Mode B: Local freeze with counter interrogation | Integrated Totals werden nur bei einer Counter Interrogation Command (C_CI_NA_1) übertragen. Dazu wird nach Aktivierung der Abfrage maximal 5 Sekunden gewartet bis alle ITs mit Werten versorgt sind. ITs ohne Wert - die zenon Variable ohne ein Wert - werden mit dem Qualifier invalid übertragen. Die Wertänderungen werden bis zum Abschluss der Abfrage gepuffert (freeze active). Alle ITs übertragen somit den Wert von dem Zeitpunkt, an dem das letzte IT mit einem Wert versorgt wurde.
Mode C: freeze and transmit by counter interrogation Transmition of integrated totals commands | Gleiches Verhalten wie für Mode B.
Mode D: freeze by counter interrogation command, frozen values spontaneous | Übertragung wie bei Mode C, nach Abschluss der Abfrage wird Mode A aktiviert.
OK | Mit Betätigung der Schaltfläche OK wird überprüft, ob die COA beim Gerät frei ist. Wird sie bereits verwendet, erhalten Sie eine Fehlermeldung. Ist sie frei, wird die Einstellung übernommen und der Dialog geschlossen.
Cancel | Verwirft alle Einträge und beendet den Dialog.
Help | Öffnet die Online-Hilfe.


Information Objects

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Sector - Konfiguration > Information Objects

Settings

Parameter

Beschreibung

Information Object Address

Definiert die Adresse (IOA), unter der das IO angesprochen wird (IEC 60870-5-101 7.2.5).

Default: 1

Die IOA muss in je monitoring und controling direction pro Sektor eindeutig sein.

Beispiel:

  • gültige Adressierung:
    zwei IOs, beide mit gleicher IOA, ein T01 (single-point - M_SP_NA_1) und ein T45 (single command - C_SC_NA_1).
    Die Adressierung ist empfehlenswert wenn dieser single command genau die single-point information kontrolliert.
  • ungültige Adressierung:
    zwei IOs, beide mit gleicher IOA, ein T01 und ein T15 (integrated totals - M_IT_NA_1).
    Diese Adressierung ist unzulässig weil beide Type-IDs der monitoring direction gehören.

Type identification

Dropdownliste mit den unterstützten Type identifications (IEC 60870-5-101 7.2.1).

Default: <0> Internal status

Diese Einstellung wird auch Type-ID genannt.

Sie bestimmt auch, welche Variable des Prozessleitsystems aufgrund ihrer Datenart dem IO zugeordnet werden darf.

Hinweis: Genauere Informationen zur Type-ID finden Sie auch in den Kapiteln Zuordnung der Datentypen und Interoperability.

SCADA variable

Definiert die dem IO zugeordnete Variable aus dem Prozessleitsystem.
Syntax: <Projektname>#<Variablenname> definiert den Projektbezug.
Ist für eine Variable kein Projektbezug angegeben, wird davon ausgegangen, dass diese Variable im Startprojekt vorhanden ist.
Bei der Eingabe wird geprüft ob die angegebene Variable im entsprechenden Projekt vorhanden ist und eine mit der Type identification kompatible Datenart hat.
Die Schaltfläche '...' aktiviert den Dialog zur Variablenauswahl.
Details dazu lesen Sie im Abschnitt 'Variable selection'.
(SCADA ist Platzhalter für den Namen des Prozessleitsystems.)

Unterstützte Datentypen:

BOOL; BYTE; WORD; DWORD; LWORD; SINT; INT; DINT; LINT; USINT; UINT; UDINT; ULINT; REAL; LREAL; long double; reelle Zahl IEEE

Data Transfer

Bestimmt die Art der Datenübertragung für den ausgewählten IO. Auswahl aus Optionenliste.
Default: Spontaneous

Parameter

Beschreibung

Spontaneous

Datenübertragung der IOs erfolgt spontan - wenn der Wert der verknüpfter SCADA Variable sich ändert.

Background Scan

IOs werden entsprechend des IEC 60870 Standards als Background Scan übertragen. Datenpunkt der innerhalb der im Sektor eingestellten Time for Background Scan keinen neuen Spontanwert erhält, wird automatisch durch das Gateway nach Ablauf der Zeit verschickt; mit COT = 2.

Die Wertübertragung findet nur dann statt wenn innerhalb der eingestellten Zeit noch kein Spontanwert (COT = 3) für dieses IO übertragen wurde.

Einstellung ist inaktiv wenn der Background Scan beim Sektor gesperrt ist (Time=0) oder wenn die verwendete Type-ID laut Protokoll für ein Background Scan ungeeignet ist. Erlaubte Type-IDs:

  • M_SP_NA_1 und M_SP_TA_1, M_SP_TB_1 - als T01,
  • M_DP_NA_1 und M_DP_TA_1, M_DP_TB_1 - als T03,
  • M_ST_NA_1 und M_ST_TA_1, M_ST_TB_1 - als T05,
  • M_BO_NA_1 und M_BO_TA_1, M_BO_TB_1 - als T07,
  • M_ME_NA_1 und M_ME_TA_1, M_ME_TD_1 - als T09,
  • M_ME_NB_1 und M_ME_TB_1, M_ME_TE_1 - als T11,
  • M_ME_NC_1 und M_ME_TC_1, M_ME_TF_1 - als T13

Hinweis: Die Type-IDs mit Zeitstempel (zB. M_ME_TA_1) werden dabei auf den entsprechenden TID ohne Zeitstempel (zB. M_ME_NA_1) beim Versenden des Backgroundscans gemappt.

Für alle anderen Type-ID ist die Einstellung nicht verfügbar.

Periodic Data Transfer

Periodischer Datentransfer entsprechend des Standards IEC 60870-5-5 Abschnitt 6.3.

IOs werden zyklisch und nicht spontan übertragen; mit COT = 1.

Einstellung ist inaktiv wenn die Periodische Übertragung beim Sektor gesperrt ist (Time for periodic transfer=0) oder wenn die verwendete Type-ID die Periodische Übertragung nicht unterstützt.

Nur die Type-ID=9, 11 und 13 unterstützen eine Periodische Übertragung - M_ME_NA_1, M_ME_NB_1, M_ME_NC_1 - "measured values" ohne Zeitstempel.

Für alle anderen Type-ID ist die Einstellung nicht verfügbar.

Hinweis: die schnell flackende Messwerte können die spontane Übertragung unnötig belasten. Wir empfehlen jedoch - anstatt Periodic Data Transfer - die Hysterese für jeweiliges IO zu konfigurieren.

Off

Wertänderungen werden nicht übertragen. Für das IO wird bei einer General Interrogation (GI) kein Wert geliefert.

Spontaneous, buffered when master is offline

Bei einem Verbindundsausfall werden die Daten so lange gepuffert, bis der Master sich erneut verbindet. Alle gepufferten Daten werden mit dem Status COT_spont (3) gesendet. Der letzte gepufferte Wert wird nochmals mit dem Status COT_inrogen (20) gesendet.

Die Pufferung kann für die Type-IDs <30..37> aktiviert werden:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Hinweis: Als Events sind nur die Type-IDs erlaubt die ein Zeitstempel mit Datum haben ("time tag CP56Time2a").

Für alle anderen Type-IDs ist die Einstellung nicht verfügbar.

Sequences of Events (SOE)

Diese Einstellungen definieren das IO spezifische Verhalten für SOE. Die Abspeicherung der SOE Dateien und deren Übertragung (siehe IEC Norm 60870-5-101 7.4.11.3.1) kann nur für die Type-IDs <30..37> aktiviert werden:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1.

Default: Inactive

Hinweis: Als Events sind nur die Type-IDs erlaubt die ein Zeitstempel mit Datum haben ("time tag CP56Time2a").

Parameter | Beschreibung
Inactive | Datenpunkt wird für SOE Aufzeichnung nicht verwendet. Wird automatisch für alle Type-IDs verwendet welche kein SOE unterstützen.
All events | Jede Wert- oder Statusänderung löst das Schreiben in die geöffnete Datei aus. Einstellung ist gesperrt wenn Type-ID nicht für die SOE Funktionalität vorgesehen ist.
Raising Edge | Wenn der Wert von 0 auf <> 0 wechselt, löst dies das Schreiben in die geöffnete Datei aus. Einstellung ist gesperrt wenn Type-ID nicht für die SOE Funtionalität vorgesehen ist.
Falling Edge | Wenn der Wert von <> 0 auf 0 wechselt, löst dies das Schreiben in die geöffnete Datei aus. Einstellung ist gesperrt wenn Type-ID nicht für die SOE Funtionalität vorgesehen ist.
Raising + Falling Edge | Ein Wertwechsel von 0 auf <> 0 oder von <> 0 auf 0, löst das Schreiben in die geöffnete Datei aus. Einstellung ist gesperrt wenn Type-ID nicht für die SOE Funtionalität vorgesehen ist.
File trigger | Wenn Aufgrund der vorher beschriebenen Einstellungen ein Wert geschrieben werden soll, wird bei aktiviertem File trigger eine neue Datei erzeugt und geöffnet, sofern diese noch nicht geöffnet ist. Das Triggerereignis selbst wird ebenfalls in die SOE Datei geschrieben. Einstellung ist gesperrt wenn Type-ID nicht für die SOE Funtionalität vorgesehen ist. Default: nicht aktiv

Hysteresis

Wertänderungen, welche innerhalb der Hysterese sind, werden ignoriert - nicht an Master übertragen.

Hysterese gilt nur für die erlaubten TID ("measured values") und nur wenn diese für spontane Datenübertragung konfiguriert wurden.

Eine Übertragung wird ausgelöst:

  • Wenn Type Identification die Hysterese zulässt.
    Zugelassen sind die Type Identifications <9> bis <14> sowie <34> bis <36>.
  • Wenn Data Transfer = spontaneuous
  • Bei einer Wertänderung, welche >= der Hysterese (entsprechend der Richtung) handelt.

Und ungeachtet der Hysterese:

  • Änderung der Quality (Statusbits der Variable) löst immer die Übertragung aus;
  • Auf ein GI (C_IC_NA_1) und ein Read (C_RD_NA_1) Befehl wird immer der aktuelle Wert gesendet.

Parameter

Beschreibung

Negative

Negative Hysterese; ausgehend vom Messbereich der Variable.

Default: 0

Hinweis: nicht aktiv wenn Type Identification nicht <9> bis <14> oder <34> bis <36> ist. Dieses Feld ist auch dann inaktiv, wenn der Wert Data Transfer nicht Spontaneous ist.

Fehlerhafte und sinnlose Eingaben (z.B. Texteingaben oder falsche Hysteresewerte) werden ignoriert und müssen vom Projektanten korrigiert werden.

Positive

Positive Hysterese; ausgehend vom Messbereich der Variable.

Default: 0

Hinweis: nicht aktiv wenn Type Identification nicht <9> bis <14> oder <34> bis <36> ist. Dieses Feld ist auch dann inaktiv, wenn der Wert Data Transfer nicht Spontaneous ist.

Fehlerhafte und sinnlose Eingaben (z.B. Texteingaben oder falsche Hysteresewerte) werden ignoriert und müssen vom Projektanten korrigiert werden.

OK

Mit Betätigung der Schaltfläche OK werden die Einstellungen überprüft. Sind diese zulässig, werden sie übernommen und der Dialog geschlossen.

Cancel

Verwirft alle Einträge und beendet den Dialog.

Help

Öffnet die Online-Hilfe.

info Info

Die Kommunikation für Spontaneous Datatransfer, Background Scan und Periodic Data Transfer beginnt erst nach der ersten empfangenen Generalabfrage (C_IC_NA_1). Für Background scan und Periodic data transfer der Zyklusstart der Übertragung wird pro IO berechnet - ab dem Zeitpunkt der Antwort auf die Generalabfrage.


Variablenauswahldialog

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Sector - Konfiguration > Variablenauswahldialog

Dieser Dialog listet die verfügbaren Projekte und deren Variablen auf.

Parameter

Beschreibung

Projekte

Liste der in der zenon Runtime gestarteten Projekte.
Ein Stern (*) kennzeichnet das Defaultprojekt.

Variablen

Die Liste der Variablen ist gefiltert. Angezeigt werden nur Variablen, die mit der beim IO gewählten Type identification verwendbar sind. Die Auswahl eines Projektes aktualisiert die Liste der Variablen.

OK

Übernimmt die ausgewählte Variable. Alternativ kann die Variable auch per Doppelklick übernommen werden. Beim Aufschalten werden das aktuell eingestellte Projekt und die Variable ausgewählt.

Die gleiche Variable kann mehrfach verwendet werden:
bei mehreren IOs beim gleichen Sektor oder anderen Sektoren,
beim gleichen Gerät oder einem anderen.

Wird bei geöffnetem Dialog in der Runtime nachgeladen, dann werden alle Listen geleert und nach Abschluss des Nachladens wieder gefüllt.

Cancel

Verwirft alle Einträge und beendet den Dialog.

Help

Öffnet die Online-Hilfe.


Zuordnung der Datentypen

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Sector - Konfiguration > Zuordnung der Datentypen

In folgender Tabelle werden die zenon Datentypen den IEC 60870 Datentypen gegenübergestellt.

Process Gateway

zenon

IEC 60870-5-101 ASDU

Type Identification

Datentyp

Kommentar

M_SP_NA_1

1

BOOL

M_SP_TA_1

2

BOOL

M_SP_TB_1

30

BOOL

M_DP_NA_1

3

USINT

0..3, mit DPI/DCS Mapping

M_DP_TA_1

4

USINT

0..3, mit DPI/DCS Mapping

M_DP_TB_1

31

USINT

0..3, mit DPI/DCS Mapping

M_ST_NA_1

5

USINT

Entspricht gesamten VTI (IEC60870-5-101 7.2.6.5); damit ist das höhste Bit in USINT - das Transient Bit.

M_ST_TA_1

6

USINT

Entspricht gesamten VTI (IEC60870-5-101 7.2.6.5); damit ist das höhste Bit in USINT - das Transient Bit.

M_ST_TB_1

32

USINT

Entspricht gesamten VTI (IEC60870-5-101 7.2.6.5); damit ist das höhste Bit in USINT - das Transient Bit.

M_BO_NA_1

7

UDINT

M_BO_TA_1

8

UDINT

M_BO_TB_1

33

UDINT

M_ME_NA_1

9

REAL

der Wertebereich laut IEC 60870 Standard ist <-1 .. 1-2-15> mit einer Genauigkeit auf 4 Nachkommastellen. Das entspricht in zenon Variablen mit einem Wertebereich -1.0 bis 0.9999.

Außerhalb des Bereiches für normalized values wird in ASDU der Wert des IOs angepasst und das OV Qualitäts-Bit gesetzt.

M_ME_TA_1

10

REAL

der Wertebereich laut IEC 60870 Standard ist <-1 .. 1-2-15> mit einer Genauigkeit auf 4 Nachkommastellen. Das entspricht in zenon Variablen mit einem Wertebereich -1.0 bis 0.9999.

Außerhalb des Bereiches für normalized values wird in ASDU der Wert des IOs angepasst und das OV Qualitäts-Bit gesetzt.

M_ME_TD_1

34

REAL

der Wertebereich laut IEC 60870 Standard ist <-1 .. 1-2-15> mit einer Genauigkeit auf 4 Nachkommastellen. Das entspricht in zenon Variablen mit einem Wertebereich -1.0 bis 0.9999.

Außerhalb des Bereiches für normalized values wird in ASDU der Wert des IOs angepasst und das OV Qualitäts-Bit gesetzt.

M_ME_NB_1

11

INT

M_ME_TB_1

12

INT

M_ME_TE_1

35

INT

M_ME_NC_1

13

REAL

M_ME_TC_1

14

REAL

M_ME_TF_1

36

REAL

M_IT_NA_1

15

DINT

M_IT_TA_1

16

DINT

M_IT_TB_1

37

DINT

M_EI_NA_1

70

USINT

eine Wertänderung von 126 auf 127 veranlasst, dass End of initialization an den Master gesendet wird

C_SC_NA_1

45

BOOL

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_SC_TA_1

58

BOOL

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_DC_NA_1

46

USINT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

0 oder 1, mit DPI/DCS Mapping

C_DC_TA_1

59

USINT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

0 oder 1, mit DPI/DCS Mapping

C_RC_NA_1

47

USINT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

0 oder 1, mit DPI/DCS Mapping

C_RC_TA_1

60

USINT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

0 oder 1, mit DPI/DCS Mapping

C_SE_NA_1

48

REAL

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_SE_TA_1

61

REAL

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_SE_NB_1

49

INT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_SE_TB_1

62

INT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_SE_NC_1

50

REAL

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_SE_TC_1

63

REAL

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_BO_NA_1

51

UDINT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_BO_TA_1

64

UDINT

die Variable spiegelt den Wert des Befehls der vom 870-Master empfangen wurde und die Statusbits der Variable spiegeln den Ablauf des Befehls. Beispiel: COTx.

C_IC_NA_1

100

-

Der Befehl wird im Hintergrund automatisch ausgeführt. Alle vom IEC 60870 Standard vorgesehene ASDUs werden an den 870-Master gesendet

C_CI_NA_1

101

-

Der Befehl wird im Hintergrund automatisch ausgeführt. Alle vom IEC 60870 Standard vorgesehene ASDUs werden an den 870-Master gesendet

C_RD_NA_1

102

-

Der Befehl wird im Hintergrund automatisch ausgeführt. Alle vom IEC 60870 Standard vorgesehene ASDUs werden an den 870-Master gesendet

C_CS_NA_1

103

BOOL

Enable-Variable der Zeitsynchronisierung

C_TS_NA_1

104

-

Der Befehl wird im Hintergrund automatisch ausgeführt. Alle vom IEC 60870 Standard vorgesehene ASDUs werden an den 870-Master gesendet

C_TS_TA_1

107

-

Der Befehl wird im Hintergrund automatisch ausgeführt. Alle vom IEC 60870 Standard vorgesehene ASDUs werden an den 870-Master gesendet

C_RP_NA_1

105

USINT

die Variable spiegelt der Wert QRP des Befehls der vom 870-Master empfangen wurde.

F_DR_TA_1

126

USINT

die Variable der Auslösung der spontanen Verzeichnisübertragung

Wertanpassung von IOs

Es ist möglich einem IO (mit einer bestimmter Type ID) mit eine Variable zu verknüpfen, deren Wertbereich den Wertbereich der Type ID des IO überschreitet.

Beispiel: Ein IO mit Type ID = 1 - single-point information wurde mit einer UDINT Variable */stVal[ST] vom IEC850 Treiber verknüpft.

In diesem Fall wird das Process Gateway die Werte für IO anpassen und in ASDU zusätzlich die Qualitäts-Bits setzen, so wie es im IEC 60870 Standard vorgesehen ist.

ASDU Type ID | zenon Variablenwert | Wert und Quality in ASDU
M_SP single-point | < 0 > 1 | 0 + IV 1 + IV
M_DP double-point | < 0 > 3 | 11b + IV 11b + IV
M_ST step position | < -64 > 255 | x40 + OV xFF + OV
M_BO bitstring 32-bits | < 0 > xFFFFFFFF | 0 + OV xFFFF FFFF + OV
M_ME_xA normalized | < -1.0 >= 1.0 | x8000 + OV x7FFF + OV
M_ME_xB scaled | < -215 > 215–1 | x8000 + OV x7FFF + OV
M_ME_xC short floating | < -MAX Float > MAX Float | -MAX Float + OV MAX Float + OV
M_IT integrated totals | < -231 > 232–1 | x8000 0000 + IV x7FFF FFFF + IV

info Info

Wenn die zenon Variable gerade das Statusbit INVALID oder das Statusbit OV_870 gesetzt hat, wird der Wert des IOs ebenfalls mit Quality IV oder Quality OV gesendet.

Weitere Informationen dazu finden Sie im Kapitel "Mapping von Statusbits in Melderichtung".


Sector

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Sector - Konfiguration > Sector

XML Felder

Parameter

Beschreibung

Version

Ab Version 3 wird das Feld CNT_MODE erwartet.

CNT_MODE

Projektierter Modus der Integrated Totals IOs.

Sektor

Beim Sektor wurden die neuen Items ToSBe und ob SBE eingefügt:

  • ToSBe:
    Timeout [ms] für Select before execute: 1000 - 65535000
  • SBE:
    0 => nicht erforderlich
    1 => nötig für execute

Projektierter Modus

Parameter | Beschreibung
0 | Mit Generalabfrage. (Default)
1 | Mode A
2 | Mode B
3 | Mode C
4 | Mode D

Fehlercodes

Code | Beschreibung
13 | Advise for integrated totals fail.
14 | Queue overrun. Integrated totals values lost.
16 | Advise für Befehlsvariable fehlgeschlagen
17 | Liste der Wertänderungen für Befehlsvariablen mit SBE zu lange. Wertänderung ist verloren. Minimal werden 2048 Wertänderungen gepuffert oder die vierfache Anzahl der aktiven Select before Execute (SBE) - je nachdem, welcher Wert größer ist.
572 | Counter interrogation. Unsupported QCC.
573 | Counter interrogation. Unexpected IOA.
574 | Counter interrogation. Unsupported COT.
575 | Buffer for integrated totals interrogation data to small.

Warnungen

Code | Beschreibung
1011 | QCC FRZ is only partly supported.
1012 | Counter interrogation already active.
1014 | Activation comfirmation bereits bestätigt.

Fehlermeldungen

Meldung | Beschreibung
Unsupported qualifier of counter interrogation. <command> | Unbekannter QCC. RQT wird nur mit 5 unterstützt. Für C_CI_NA_1 (Counter interrogation) gilt, dass RQT != 5 gleich wie RQT = 5 behandelt wird.
Counter interrogation processed without reset. < command> | Warnung. Reset wird nicht unterstützt.
Can't advise IT data point. Device:(<device>)<device> Sector:(<COA>)<Sektorname> adv:0x<Advise-ID> | Datenpunkte für Integrated Totals konnten nicht angefordert werden.
IT Values lost, queue full! Device:(<device>)<device> Sector:(<COA>)<Sektorname> <Wertänderung> | Der Puffer für die Wertänderungen der IT IOs ist voll. Die Wertänderung wurde verloren.


104 settings

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > 104 settings

In der Registerkarte 104 settings stellen Sie die Timeout-Zeiten des Link Layers und die Anzahl an APDUs ein. Die Einstellungen sollen für Slave und Master gleich sein. Überschreitet ein Master ein Timeout, oder die Anzahl der zu bestätigen Frames, schließt der Slave die Verbindung.

Hinweis: Die Eingabefelder dieser Registerkarte stehen nur dann zur Verfügung, wenn als Protokoll 870-104 ausgewählt wurde.

Parameter | Beschreibung
Timeouts | Timeout Einstellungen der Verbindung
T0: time-out of connection establishment | Timeout für den Verbindungsaufbau. Wertbereich 0 - 4294967295 Default: 30000 In der Zeit soll auch wenigstens ein U-Frame vom Master erfolgen.
T1: Time-out send or test APDUs | Timeout für Frame-Bestätigung durch den Master. Wertbereich: 0 - 4294967295 Default: 15000
T2: Time-out for ack. in case of no data msg | Timeout, innerhalb dessen eine Bestätigung durch den Master erfolgen soll, wenn kein Datenaustausch zu Stande kommt. Wertbereich: 0 - 4294967295 Default: 10000
T3: Time-out for sending test frames | Zeit, nach der ein U-Frame zum Master gesendet wird, wenn keine Daten zu übertragen sind. Wertbereich: 0 - 4294967295 Default: 20000
APDUs | Einstellungen für den ISO 7816-Standard: Application Protocol Data Unit (APDU).
k: Maximum difference receive sequence nr to send state | Anzahl der maximal durch den Master noch nicht bestätigten I-Frames. Wertbereich: 0 - 4294967295 Default: 12
w: Latest acknowledge after receiving w I-Format APDUs | Anzahl der erhaltenen I-Frames, nachdem eine Bestätigung gesendet wird. Wertbereich: 0 - 4294967295 Default: 8

info Info

Die Schaltfläche Reset to default setzt alle Eingabe auf die vom IEC 60870-5-104 Standard vorgegebenen Werte zurück.


DPI/DCS Mapping

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > DPI/DCS Mapping

Es kann konfiguriert werden ob DPI/DCS (double-point information/double command state) konform zu IEC 60870 Standard oder in der zenon internen Darstellung übertragen wird. Default ist die Übertragung zwischen dem Process Gateway und einem 870-Master entsprechend der Norm.

Einstellung

Funktionalität

Deactivate standard

eine Einstellung für Kompatibilität beim Konvertieren von Projekten aus sehr frühen zenon Versionen oder Verwendung mit zenon Treibern für die das Mapping von Double Point Values ebenso deaktiviert wurde.

Default: Inaktiv.

Inaktiv: Werte für DPI/DCS (und RCS) werden wie folgt gemappt, was auch garantiert das korrekte Verhalten für den Modul Befehlsgabe sowie für die Kommunikation mit einen 870-Master:

  • zenon Wert 0 <-> DPI/DCS/RCS Wert 1 (= OFF/LOWER)
  • zenon Wert 1 <-> DPI/DCS/RCS Wert 2 (= ON/HIGHER)
  • zenon Wert 2 -> DPI Wert 0 (intermediate)
  • zenon Wert 3 -> DPI Wert 3 (failure/error)

DPI sind die "double-point information" IOs;
DCS sind die "double command" IOs;
RCS sind die "regulating step command"; Mapping ab zenon Version 8.00

Aktiv: Mapping wird deaktiviert. Werte für DPI/DCS/RCS entsprechen direkt den Werten im zenon. Wird nicht empfohlen.

Hinweis: Aus Kompatibilitätsgründen diese Einstellung wird automatisch aktiviert, wenn eine XML-Datei mit Wert 1 im Feld Version in der Konfiguration des Process Gateways eingelesen wird.


Konfiguration via XML-Datei

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Konfiguration via XML-Datei

Die Konfiguration des IEC870SI wird als XML-Datei abgelegt. Beim Start des Gateways wird die aktive XML-Datei eingelesen. Die aktive Konfiguration wird in der INI-Datei vermerkt, zum Beispiel:
[IEC 870]
SETTINGS=IEC870SLAVE.XML

Der Name ist frei wählbar, der Pfad entspricht dem der INI-Datei.

Hinweis: Unterschiedliche Konfigurationen können Sie über die Schaltflächen 'Export' und 'Import' im Hauptfenster exportieren und wieder einlesen.

Aufbau der XML-Datei

Die Felder in der XML Datei entsprechen Einstellungen, welche in den jeweiligen Konfigurationsdialogen zugelassen sind.

Die Werte und Struktur der XML Datei werden beim Lesen verifiziert. Fehlerhafte Einträge führen zu einer Fehlermeldung, die auch im LOG - Diagnosis Viewer - protokolliert wird.

attention Achtung

XML-Einträge sind case sensitive. Achten Sie auf Groß- und Kleinschreibung.

Name

Eigenschaft

process_gateway_IEC870Slave

Der Wurzelknoten muss diesen Namen haben, sonst wird der Ladevorgang mit einem Fehler beendet.

Version

Beinhaltet die aktuelle Version der Attribute und Knoten.

Is101active

Data Layer Auswahl:

  • 0:
    870-104
  • 1:
    870-101 unbalanced
  • 2:
    870-101 balanced

DeActDPIStd

DPI /DCS konforme (IEC60870 konform) Datenübertragung oder Leitsystem internes Format

Device_x

Knoten für die Geräte-Konfiguration. Beim Speichern wird X durch eine laufende Nummer beginnend mit 1 ersetzt.

Hinweis: Beim Import ist keine bestimmte Knotenbenennung erforderlich. Für jeden Knoten wird ein Device erzeugt.

Version

ab 6 kennzeichnet eine XML Datei mit den Feldern für SOE Unterstützung

LinkAdr

Im Protokoll 101 wir hier die Link Address gesetzt. Diese muss für alle Geräte eindeutig sein. Für das Protokoll 104 hat der Eintrag keine Bedeutung.

IpAdr

Im Protokoll 104 wird hier die IP-Adresse des Masters eingetragen. Diese muss bei allen Geräten eindeutig sein. Für das Protokoll 101 hat der Eintrag keine Bedeutung.

EnableSOE
  • 0 = inaktiv
  • 1 = SOE aktiv

MaxBufferedFilesSOE

die maximale Anzahl der gepufferten SOE Dateien.

AutodeleteFilesSOE
  • 0 = kein Autodelete
  • 1 = Autodelete wenn die maximale Anzahl der SOE Dateien erreicht wurde

MaxEventsPerFileSOE

Maximale Anzahl der ASDU pro SOE Datei

PostTrgToSOE

Post Trigger Timeout in [ms]

FileToSOE

File Timeout in [ms]

Sector_x

Knoten für die Konfiguration eins Sektors. Beim Speichern wird X durch die COA ersetzt.

Hinweis: Beim Import ist keine bestimmte Knotenbenennung erforderlich. Für jeden Knoten wird ein Sektor erzeugt.

Version

ab 4 kennzeichnet eine XML Datei mit den Feldern für Select Routing unterstüzung.

COA

Common Address of ASDU (Common Object Address)

Muss pro Sektor beim Device eindeutig sein.

BSTime

Periode für Background Scan.

Einheit: ms.

0 deaktiviert den Background Scan.

Default: 0

CYTime

Periode für zyklischen Datentransfer

Einheit: ms.

0 deaktiviert den zyklischen Transfer.

Default: 0

Verfügbar ab Version 2

IO_x

Knoten für die Konfiguration eines Information Object. Beim Speichern wird X durch eine laufende Nummer beginnend mit 1 ersetzt.

Hinweis: Beim Import ist keine bestimmte Knotenbenennung erforderlich. Für jeden Knoten wird ein IO erzeugt.

Version
  • ab 4 kennzeichnet eine XML Datei mit den Feldern für SOE Unterstützung;
  • ab 5 kennzeichnet eine XML Datei mit den Feldern für Unterstützung der Hysterese.

TypeId

Type Identification

Es wird beim Laden geprüft, ob die Type ID mit dem Datentyp der angegebenen Variablen möglich ist.

ScadaVar

Name der zenon Variable, Syntax:

[ScadaProjektName#]ScadaVariablenName.
Variablen ohne Projektbezug werden im Defaultprojekt gesucht (INI Datei - Sektion [GENERAL]: PROJECT=).

Beim Laden der XML-Datei wird verifiziert ob die angegebene Variable im Projekt existiert.

IOA

Information Object Address

In Kombination mit der TypeId muss diese pro Sektor und Richtung (controlling/monitoring) eindeutig sein.

KindOfTransfer

Gibt die Art der Datenübertragung für IO in monitoring direction an.

  • 0 Spontan (COT=3)
  • 1 Background scan (COT=2)
  • 2 Periodisch/Zyklisch (COT=1)
  • 3 Aus; keine Übertragung an 870-Master
  • 4 Spontaner Transfer mit Pufferung bei Kommunikationsausfall

Default: 0

Verfügbar ab Version 3

TrgSOE
  • 0 = inaktiv
  • 1 = das IO fungiert als Trigger für SOE

EvDetectionSOE

Bestimmt wann eine Änderung am Wert oder Statusbits des IO ein schreiben in die SOE Datei auslösen kann.

  • 0 SOE deaktiviert
  • 1 Alle Änderungen
  • 2 Steigende Flanke
  • 3 Fallende Flanke
  • 4 Steigende und fallende Flanke

HysteresisNegative

Wert der Negativen Hysterese.

HysteresisPositive

Wert der Positiven Hysterese.

Beispiel Konfiguration für das Protokoll 870-101:

Beispiel Konfiguration für das Protokoll 870-104:

Noch in diesem Kapitel

.CSV Export und Import


.CSV Export und Import

Handbuch > Process Gateway > IEC870 Slave > Modulkonfiguration > Konfiguration via XML-Datei > .CSV Export und Import

Konfigurationen des Process Gateways können in eine Textdatei exportiert oder aus einer Textdatei ins Process Gateway importiert werden.

Die erste Zeile in der CSV-Datei muss zwingend ein Header mit den Namen der Eigenschaften sein. Die einzelnen Eigenschaften müssen zwingend mit einem TAB getrennt sein.

Pro Zeile der CSV-Datei werden folgende Informationen des IOs gespeichert:

  • LinkAdr oder IpAdr des Devices
  • COA des Sektors
  • alle Einstellungen des IOs

Beim Import werden typischerweise neue IOs im Process Gateway angelegt.
Zusätzlich kann die Eigenschaft KindOfTransfer beim Import dazu benutzt werden, bereits bestehende IOs der Process Gateway Konfiguration zu aktualisieren oder zu löschen.

Export

Führen Sie folgende Schritte aus um eine Process Gateway Konfiguration zu exportieren:

  1. Klicken Sie die Schaltfläche Export... im Konfigurationsdialog.
    Der Dateiauswahldialog wird geöffnet.
  2. Wählen Sie in der Dropdownliste Dateityp den Eintrag CSV-File.
  3. Benennen Sie die Exportdatei im Eingabefeld Dateiname
  4. Klicken Sie auf Speichern.
    Die Datei wird exportiert und am gewählten Ablageort gespeichert.

Import

Die Konfiguration des Process Gateway kann aus einer .CSV-Datei erstellt werden oder mit einer .CSV-Datei erweitert werden. Die .CSV-Datei kann von einem Export aus einem anderen Process Gateway stammen oder mit einem externen Programm (z.B. MS Excel) erstellt werden.

Führen Sie folgende Schritte aus um eine .CSV-Datei in die Konfiguration des Process Gateway zu importieren:

  1. Klicken Sie die Schaltfläche Import... im Konfigurationsdialog.
    Der Dateiauswahldialog wird geöffnet.
  2. Wählen Sie in der Dropdownliste Dateityp den Eintrag CSV-File.
  3. Wählen Sie die Datei.
  4. Klicken Sie auf Öffnen.
    Die Datei wird geladen und die Konfiguration des Process Gateways wird aktualisiert.

Regeln für Import

Für den Import und die Anpassung gelten folgende Regeln:

  1. LinkAdr oder IpAdr:
  • der Import einer LinkAdr ist nur dann erlaubt, wenn das Process Gateway bereits für 870-101 konfiguriert ist.
  • der Import einer IpAdr ist nur dann erlaubt, wenn das Process Gateway bereits für 870-104 konfiguriert ist.

    Im Falle eines Konflikts zwischen Protokoll und Adressierung gilt:

    • Ist im Process Gateway noch kein Device angelegt, passt der Importprozess die Protokollenstellung entsprechend an und legt im Process Gateway ein Device an. Dieses Device wird mit Defaulteinstellungen konfiguriert.
    • Ist im Process Gateway bereits ein Device (für ein anderes Protokoll) vorhanden, wird der Import mit einer Fehlermeldung abgebrochen.
  1. Sektor
  • Wurde im Device noch kein Sektor für den zu importierenden COA der Importdatei konfiguriert, erstellt der Importprozess einen neuen Sektor.
  • Anschließend erfolgt der Import des IOs in diesem Sektor.
  1. IO
    Die Spalte KindOfTransfer bestimmt den Bearbeitungsschritt des IOs:
  • 0...4 - normaler Wertbereich für KindOfTransfer
    erstellt neuen IO
  • 100...104
    Löscht aus dem Sektor das IO welches genau IOA und TypeID hat
  • 300...304
    löscht aus dem Sektor das IO welches mit ScadaVar verknüpft ist.
  • 200...204
    aktualisiert das IO welches genau IOA hat und dessen TypeID im passenden Bereich liegt.
    Bereiche gelten:
    • 1...37
      Monitoring Direction
    • 45...126
      Controlling Direction
    • 0
      für interne TypeIDs
  • 400...404
    aktualisiert IO welcher mit ScadaVar verknüpft ist.

Nach diesem Bearbeitungsschritt wird anschließend KindOfTransfer auf den normalen Wertebereich umgerechnet.

Example Beispiel

Im Process Gateway wurde ein IO mit COA=1, IOA=1 und TypeID=1 für spontane Übertragung konfiguriert sowie mit der Variable mit dem Namen Var1 verknüpft.

Die Importdatei enhtält für die Variable Var1 eine Zeile mit COA=1, IOA=100, TypeID=30 und KindOfTransfer=400. Dadurch wird für die Variable Var1 der TypeID des IO von 1 auf 30 geändert und IOA wird von 1 auf 100 geändert.

Die Übertragung - Data Transfer - bleibt spontan.

Fehlerbehandlung

Wird während des Importvorganges ein Fehler erkannt, wird ein Eintrag in der LOG-Datei erstellt. Zusätzlich wird im Process Gateway am Ende des Imports ein entsprechender Warndialog angezeigt.

Mögliche Fehlerursachen:

  • Ein IO ist noch nicht in einem bereits konfigurierten Sektor vorhanden, jedoch in der Datei mit KindOfTransfer zur Aktualisierung vorgesehen.
  • Der Import erlaubt es nicht, mehr als ein IO mit bestimmten IOA im jeweiligen TypeID Bereich anzulegen.
  • Auch das Anlegen von IOs für Variablen, die nicht im Projekt vorhanden sind oder einen nicht numerischen Datentyp haben wird als Fehler betrachtet.

Der Header gilt als Zeile mit Nummer 1.


Sequence of Events (SOE)

Handbuch > Process Gateway > IEC870 Slave > Sequence of Events (SOE)

Das Process Gateway IEC870 Slave unterstützt die automatische Aufnahme und die Übertragung der SOE Dateien - nach Prozeduren definiert in IEC 60870-5-101, Abschnitt 7.4.11.3 "Transmission of sequences of events" (in a section of a data file).

Beim Sektor muss mindestens ein IO die Option File Trigger aktiviert haben, sonst werden keine SOE Dateien erzeugt.

Hinweis:Die Option File Trigger finden Sie in der Registerkarte Sector - Information Objects, im Bereich Sequence of Events (SOE).

Die SOE Dateien werden im Ordner für den Dateitransfer abgelegt. Es muss somit in Device ein Ordner für den Dateitransfer konfiguriert sein (Option Directory for File Transfer).

Einstellungen in der Registerkarte SOE

Parameter

Beschreibung

Use sequences of events

Wenn aktiv dann ist SOE für das ausgewählte Device aktiviert. Bei inaktiv werden alle SOE Einstellungen an den IOs ignoriert.

Default: inaktiv

Hinweis: Der IEC870 Slave speichert in SOE Dateien nur events der IOs für die, in der Registerkarte Sector - Information Objects, das SOE aktiviert wurde.

File settings per sector

Parameter

Beschreibung

Buffered SOE Files

Wird die eingestellte Anzahl der SOE Dateien im Ordner für den Sektor erreicht, wird eine spontane Verzeichnisübertragung (Typ ID F_DT_TA_1) ausgelöst. Bei der doppelten Anzahl von Dateien im Ordner wird begonnen die älteste Datei zu löschen (Ringpuffer Funktionalität).

Wertbereich 1 bis 1024.

Default: 1024

Achtung: Es wird ein Verzeichnis- jedoch kein Dateien-Transfer automatisch ausgelöst. Die SOE-Dateien muss der 870-Master anfordern.

Hinweis: der aktuelle Status des SOE kann über die Variablen, die mit dem Internen Typ T00 verknüpft sind, ausgewertet werden.

Events per File

Anzahl der Wertänderungen welche in eine Datei geschrieben werden bevor diese geschlossen wird.

Wertbereich: 1 bis 4096.

Default: 512

Automatically delete SOE file

Wenn aktiv dann wird auf Reaktion für Typ ID F_AF_NA_1 (Bestätigung für Datei) für eine SOE Datei diese automatisch gelöscht.

Timeouts

Parameter | Beschreibung
Post trigger timeout | Wenn innerhalb dieses Zeitraums kein neuer ASDU in die Datei geschrieben wird, wird diese geschlossen. Mit jedem geschriebenen ASDU beginnt der Zeitraum von neuem. Wertbereich: 100ms bis 120000ms Default: 1000ms
File timeout | Maximale Zeit welche die Datei geöffnet bleibt (unabhängig von der Anzahl der Events). Wertbereich: 100ms bis 120000ms Default: 5000ms

Erster Wert

Der Datenaustausch zwischen IEC870Sl und der zenon Runtime für SOE beginnt sofort wenn das Gateway fertig initialisiert ist. Der erste Wert welcher zur Initialisierung kommt, löst kein Event aus und wird somit auch nicht in die Datei eingetragen. Das Gleiche gilt wenn die Runtime nach dem Nachladen wieder bereit für einen Datenaustausch ist.

Der Datenaustausch der Daten in Monitoring direction beginnt erst wenn ein Master sich verbunden hat und eine General Interrogation (GI) auslöst.

File transfer

Es wird im Zuge der SOE Funktionalität zu transparent (1) auch event (3) als NOF unterstützt.

Es wird kein automatischer File transfer bei überschreiten der maximalen Anzahl zu puffernden SOE Dateien ausgeführt.

Das Gateway unterstützt im aktuellen Ausbau spontane Verzeichnisübertragung, jedoch keine durch den Slave aktivierte Dateienübertragung. Die SOE-Dateien muss der 870-Master anfordern.

Hinweis: der aktuelle Status des SOE kann über die Variablen, die mit Interner Typ T00 verknüpft sind, ausgewertet werden.

Directory transfer

Entsprechend dem IEC 60870 Standard wird bei den folgenden Gründen eine automatische spontane Verzeichnisübertragung bei existierenden Dateien für SOE aktiviert:

  • 24 Stunden nach der letzten automatischen Verzeichnisübertragung.
  • wenn sich der Master verbindet.
  • wenn die maximale Anzahl der zu puffernden Dateien überschritten wurde.

Noch in diesem Kapitel

Warnungen

Fehlermeldungen


Warnungen

Handbuch > Process Gateway > IEC870 Slave > Sequence of Events (SOE) > Warnungen

Warnmeldung | Bedeutung
Sequences of events for device <Devicename> sector <Sectorname> are activated but no trigger defined | Das Device hat SOE aktiviert, beim Sektor existiert ein IO mit aktiven SOE aber bei keinem IO wurde der Trigger aktiviert. Ohne Trigger wird keine Datei erzeugt. Mindestens ein IO beim Sektor muss den Trigger aktiviert haben.
SOE value change without trigger and file is closed. Value lost! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sektorname> <Wertinformation> | Eine Wertänderung wurde nicht geschrieben da die SOE Datei nicht geöffnet ist. Code:1010


Fehlermeldungen

Handbuch > Process Gateway > IEC870 Slave > Sequence of Events (SOE) > Fehlermeldungen

Fehlermeldung | Bedeutung
Sequence of events active but no directory for the file transfer defined! | SOE Dateien werden im Ordner für den Dateitransfer abgelegt. Es muss somit ein Ordner für den Dateitransfer vorhanden sein.
SOE Values lost, queue full! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sektorname> <Wertinformation> | Der Datenaustausch zu Stack wird für IO’s welche SOE aktiviert haben über eine Queue ausgeführt. Diese kann den größeren Wert von 2048 oder 4 * Anzahl der SOE IO’s beim Sektor Einträge aufnehmen. Wenn diese Anzahl überschritten ist, wird diese Fehlermeldung erzeugt und die Wertänderung ist verloren. Errorcode: 6
Can't create subdirectory for file transfer. Device:(<Device ID>)<Devicename> Sector:(<COA>)<Sektorname> system error:<Systemfehlercode> | Für SOE wird automatisch der Unterordner für den Sektor im Ordner für den Dateitransfer erzeugt. Dieser Fehler zeigt an, dass dieser Ordner nicht erzeugt werden konnte. SOE steht dann für diesen Sektor NICHT zur Verfügung. Errorcode: 10
Systemfehlercode | Beinhaltet den vom Betriebssystem zurückgegebenen Fehlercode.
Can't advise SOE data point. Device:(<Device ID>)<Devicename> Sector:(<COA>)<Sektorname> adv:0x<Advise-ID> | Datenpunktanforderung für SOE IO’s ist fehlgeschlagen. SOE steht für diesen Sektor NICHT zur Verfügung. Errorcode: 11
Write asdu to file <Dateiname> fail! Device:(<Device ID>)<Devicename> Sector:(<COA>)<Sektorname> <Value> system error: <Systemfehlercode> | Schreiben des ASDU in SOE Datei fehlgeschlagen. Errorcode: 8
Illegal file name <Dateiname> detected! Device:(<Device ID>)<Devicename> Sector:(<COA>)<Sektorname> | Dateinamen für den Dateitransfer haben ein definiertes Format <IOA>.<NOF>. Die Datei hält sich nicht an diese Konvention. Errorcode: 12
Auto delete for file failed! System error: <Systemfehlercode> <Dateitransferinformation> | Errorcode: 9
Dateitransferinformation | Enthält die Information welche den Dateitransfer identifiziert.


Kommunikation

Handbuch > Process Gateway > IEC870 Slave > Kommunikation

In diesem Kapitel lesen Sie Details zur Kommunikation im Process Gateway:

info Info

Wird vom Process Gateway ein ASDU mit unbekannter Type-ID empfangen, wird dies mit COT 44 negativ an den 870-Master beantwortet.

Noch in diesem Kapitel

Start

Generalabfrage

Verbindungsende und Resets

Übertragung der Wertänderungen

Nachladen der Runtime

Datenprioritäten

Interner Typ T00 (Statusvariablen)

Mapping von Statusbits in Melderichtung

Befehle

Read - T102 - Anforderung

Zeit-Synchronisierung - T103 - Anforderung

Test - T104 und T107 - Anforderungen

Dateitransfer


Start

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Start

Beim Start des Process Gateways lädt dieses die INI-Datei. Das Process Gateway versucht dann, seine aktive Konfiguration aus der - in der INI-Datei eingetragenen - XML-Datei zu lesen. Ist dies nicht möglich, wird eine Fehlermeldung angezeigt und der Konfigurationsdialog geöffnet.

Wenn der Konfigurationsdialog nicht mit Klick auf den Button OK verlassen wird, beendet sich das Process Gateway.

attention Achtung

Wird das Process Gateway unsichtbar gestartet, wird kein Konfigurationsdialog aufgeschaltet. Bei einer ungültigen oder fehlenden Konfiguration wird das Process Gateway automatisch beendet.

Nachdem IEC870 Slave seine Konfiguration aus XML-Datei erfolgreich eingelesen hat, erwartet er einen Verbindungsaufbau von einen Master. Der IEC 60870 Standard definiert dass eine Session zwischen Master und Slave immer mit einer Generalabfrage (GI - C_IC_NA_1) beginnen muss. Deswegen ist der Empfang der GI von dem Master eine Voraussetzung für die spontane Kommunikation. Erst die Generalabfrage löst im IEC870 Slave den Verbindungsaufbau zur zenon Runtime aus und die Anforderung der aktuellen Werten der Variablen für IOs.

Hinweis: öffnet ein Master die Verbindung auf dem Link Layer, sendet jedoch keine Generalabfrage, können Sie versuchen die GI mit Senden eines ASDU T70 - End of Initialization - provozieren.


Generalabfrage

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Generalabfrage

Die Generalabfrage (GI) löst im IEC870Slave den Verbindungsaufbau zur zenon Runtime aus. Der Empfang der GI - C_IC_NA_1 - von einem Master ist die Voraussetzung für die spontane Kommunikation, Background scan oder Periodic data transfer. Solange IEC870 Slave die GI noch nicht empfangen hat sendet er keine Werte zu Master.

attention Achtung

Gemäß IEC60870 Standard muss ein Master die Kommunikation mit einer Generalanfrage beginnen. Deswegen schließt der Slave die Verbindung, wenn der Master in der vorgesehenen Zeit (T0) keine GI gesendet hat.

Hinweis: öffnet ein Master die Verbindung auf dem Link Layer, sendet jedoch keine Generalabfrage, können Sie versuchen die GI mit Senden eines ASDU T70 - End of Initialization - provozieren.

Nach dem Empfang des GI wird die Verbindung zur zenon Runtime sektorweise (COA) aufgebaut. Kann die Verbindung zur Runtime nicht aufgebaut werden, erfolgt eine negative Bestätigung der Generalabfrage (COT_actcon + PN). Die für den Sektor bereits aktive Generalabfrage wird beendet und eine Warnung protokolliert.

Eine GI für im Slave nicht existierenden Sektor (unbekannte COA) wird negativ bestätigt (COT=46 + PN) und die Verbindung zum Master abgebrochen. Dies ist ein Indikator für einen Konfigurationsfehler des Systems.

Andere Konfigurationsfehler des Systems werden toleranter behandelt. Der Empfang von ungültigen Werten wird in der LOG-Datei protokolliert. Für diesen Fall gilt:

  • COT != 6 wird mit COT 45 und negativ beantwortet. Die Verbindung bleibt bestehen.
  • QOI != 20 wird positiv bestätigt und löst trotzdem Station interrogation aus. Dies entspricht dem Verhalten gleich wie bei QOI = 20.
  • IOA !=0 wird gleich wie IOA=0 behandelt.

Für Generalabfragen unterstützt der Slave die globale Adresse COA=0xFF(FF). Weitere Informationen dazu finden Sie im Kapitel Broadcasts. Damit kann ein Master mehrere Sektoren mit nur eine GI abfragen. Dies ist eine vom Standard vorgesehene Alternative, die ein Master verwenden kann. Sonst muß ein Master die Sektoren nacheinander (einer nach dem anderen) abfragen.

Wenn der Master eine weitere GI zusendet, während die aktuelle noch nicht abgeschlossen ist, wird die laufende GI abgebrochen und die neue begonnen. Überlappende GIs werden als Warnung protokolliert. Dies ist ein Hinweis auf ein nicht Standard-konformes Verhalten eines Masters.

Wertänderungen für IOs, deren Wert bereits im Rahmen der aktuellen GI dem Master gemeldet wurde, werden gepuffert solange die GI - wegen andere IOs im selben Sektor (COA) - noch läuft. Beinhaltet ein Sektor viele IOs deren Werte sich oft ändern und ist die Verbindung zum Master vergleichsweise langsam kann der Puffer schneller wachsen als der Master die Werte abnimmt. Dies kann passieren wenn z.B. die Baud Rate klein ist, die Max.user data eingeschränkt wurde oder der Master langsam reagiert. In solchen Fällen kann das Verteilen der IOs auf mehr Sektoren ratsam sein.

attention Achtung

Wird der interne Puffer mit Wertänderungen überfüllt bevor die GI abgeschlossen sein könnte, wird die aktuelle Verbindung zum Master abgebrochen.

Weitere Informationen dazu finden Sie im Kapitel Übertragung der Wertänderungen.

Während ein Projekt in der Runtime nachgeladen wird, kann die Verbindung zur Runtime nicht hergestellt werden. Die Generalabfrage schlägt dann fehl.

Die GI und das Puffern der Wertänderungen sind unabhängig für unterschiedlichen Devices (für unterschiedlichen Master). Ein Master kann die laufende Generalabfrage durch ASDU<100> mit COT_deact(8) deaktivieren.

Wenn die Verbindung zur Runtime aufgebaut wurde, die Runtime aber keine Werte für manche IOs liefert, dann kann der Slave die GI zwar bestätigen jedoch nicht abschließen (kein COT_actterm). Dies gilt für jene IOs, die aufgrund der aktuellen Generalabfrage (= GI) an den Master gemeldet werden sollen. Sehr oft liegt der Fehler, dass keine Werte geliefert werden an einem Konfigurationsfehler.
Beispiel: eine schreibgeschützte (= write-only) zenon Variable (ein Output oder Befehl) ist im Slave mit einem IO mit dem Type ID einer Meldung (T01-T37) verknüpft.

Der Slave protokolliert die Information über IOA und COA Adressen der betroffenen IOs bis er die benötigten Werte erkennt. Diese Protokollierung wird zyklisch durchgeführt. Diese Information wird mit Level DEEPDEBUG in der LOG-Datei protokolliert und kann mit dem Diagnosis Viewer ausgelesen werden.

Text: "Information object <IOA> missing value. Device: <IP> Sector: <COA>".


Verbindungsende und Resets

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Verbindungsende und Resets

Der Reset im Slave wird ausgelöst, wenn sich ein Master verbindet:

  • 870-101: Bis der Funktionscode für den Reset (0) empfangen wird, werden alle Kommandos abgelehnt. Der Code löst den Reset im LinkLayer und Applikationslayer aus.
  • 870-104: Durch den Abbau der Verbindung kann ein Master die Unterbrechung sofort erkennen und erneut mit dem Initialisierungsablauf beginnen.

Beenden der Kommunikation

Generell wird die Kommunikation beendet, wenn:

  • das Process Gateway beendet wird
  • Änderungen in der Konfiguration des Slaves aktiviert werden
  • die Runtime ein Nachladen ausführt
  • der Master die Verbindung aufgebaut hat, dann jedoch keine Generalanfrage gesendet wurde
  • die Liste der noch nicht gesendeten Wertänderungen beim Sektor übergelaufen ist
  • ein nicht unterstütztes Kommando empfangen wird (Kommando wird negativ beantwortet und die Verbindung aus Sicherheitsgründen beendet)
  • ein Kommando mit nicht unterstützter Adresse empfangen wird (Kommando wird negativ beantwortet und die Verbindung aus Sicherheitsgründen beendet)

Noch in diesem Kapitel

'Reset process command' - T105 - Anforderung

'End of Initialization' - T70 - Senden


'Reset process command' - T105 - Anforderung

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Verbindungsende und Resets > 'Reset process command' - T105 - Anforderung

Der Slave kann über Erhalt eines C_RP_NA_1 Kommandos die zenon Runtime informieren. Dafür:

  • legen Sie einen IO vom Typ T105 mit der IOA 0 an

Wenn ein Master das Kommando C_RP_NA_1 versendet, wird der Wert der Variable zuerst auf 0 und dann auf den Wert von QRP gesetzt.

Der Slave bestätigt dem Master der Erhalt des Kommandos und ändert der Wert der entsprechenden T105 Variable für die Runtime aber sonst hat im Slave das Kommando keine weitere Auswirkung. Das optionale Senden des 'End of initialization' (T70) wird nicht automatisch ausgeführt.


'End of Initialization' - T70 - Senden

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Verbindungsende und Resets > 'End of Initialization' - T70 - Senden

Vom Prozessleitsystem kann veranlasst werden, dass ein ASDU<70> - M_EI_NA_1 (End of initialization) - an den Master gesendet wird. Dafür:

  • legen Sie einen IO vom Typ T70 mit IOA 0 an.
  • und verknüpfen mit einer Internen Variable mit Datentyp UINT

Die Übertragung wird ausgelöst, wenn der aktuelle Wert der Variablen 126 ist und dieser auf 127 geändert wird. Als COI (Cause of initialization) wird 2 (remote reset) verwendet.

Hinweis: manche Master senden die Generalabfrage (GI) erst wenn sie ein End of initialization empfangen haben.

Projektierungstipp

In Systemen wo der 870-Master ein End of initialization erwartet um die Generalabfrage zu senden, können Sie den Wert der Variable, die mit IO mit T70 und IOA 0 verknüpft wurde zwischen 126 und 127 ändern, wenn die andere Variable mit T00 und IOA 1 (Master verbunden) den Wert ändert. Erstellen Sie dafür zwei Sollwert setzen Funktionen für T70 Variable und verknüpfen diese Funktionen in den Grenzwerten der T00 IOA 1 Variable:

  • bei Wert 0 der T00 IOA 1 Variable - setzen 126 auf T70 Variable;
  • und bei Wert 1 - setzen 127.


Übertragung der Wertänderungen

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Übertragung der Wertänderungen

Der IEC870Slave erhält vom zenon Runtime sämtliche Wertänderungen der angeforderten Variablen. Da dadurch die Liste der noch nicht zum Master übertragenen Prozessinformationen sehr groß werden kann, ist die Liste der ausstehenden Wertänderungen begrenzt.

Limit: wenigstens 2048 Werte oder 4 x Anzahl der IOs pro Sektor.

Wenn ein Master die Werte langsamer empfängt als sie im Prozessleitsystem entstehen, kann die Liste dieses Maximum überschreiten. Denn der Slave kann dann nicht mehr die noch nicht übertragenen Wertänderungen puffern. Deswegen beendet der Slave die Verbindung zum Master. Somit wird der Master aufgefordert, die nächste Verbindung mit einer Generalabfrage anzufangen, damit er sich aktuelle, nur letzte Variablenwerte holt.

attention Achtung

Immer wenn Datenverlust möglich ist (verlorene Wertänderungen), wird ein Reset des Link Layers erzwungen.

Der Master muss in der Lage sein, eine Unterbrechung der Kommunikation zu erkennen, um mit einer neuen Generalabfrage reagieren zu können. Daher werden keine Processkommandos ausgeführt, solange der Master keinen Reset des Links veranlasst hat.


Nachladen der Runtime

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Nachladen der Runtime

Wird eines der Projekte in der zenon Runtime nachgeladen, dann wird die Verbindung zu allen Projekten abgebaut und die Verbindungen zu Master abgebaut. Für jede Gerät (Device) im IEC870 Slave wird ein Reset des Link Layers ausgelöst. Danach gelten die Regeln für der Start der Kommunikation, z.B. es wird eine Generalabfrage erwartet.

Achtung: Solange das Nachladen nicht abgeschlossen ist, kann keine Verbindung zur Runtime aufgebaut werden. Damit ist auch nicht möglich die Generalabfrage positiv abzuschließen.

Hinweis: Nach dem Nachladen der Runtime können Sie auch - mit der Variable verknüpft zu T00 IOA 8 - auch Nachladen der XML Konfiguration des Process Gateway auslösen.


Datenprioritäten

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Datenprioritäten

Der Treiber unterstützt class 1 und class 2 Daten.

Die spontane Kommunikation, Background scan und Periodic data transfer gehören zur class 1.

Sämtlicher Dateitransfer wird als class 2 abgearbeitet. Damit ist sichergestellt, dass Wertänderungen auch während eines Filetransfers an den Master übertragen werden.


Interner Typ T00 (Statusvariablen)

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Interner Typ T00 (Statusvariablen)

Der interne Typ T00 dient zu Steuern und Überwachen des Verhaltens des IEC870 Slave Process Gateways. Die T00 Variablen werden nur zwischen dem Slave und dem Prozessleitsystem kommuniziert, nicht zu 870-Master.

Die IOs mit T00 sollen mit numerischen (UINT, DWORD etc.) zenon Variablen verlinkt werden, z.B. vom Intern-Treiber.

IOA 1 - Master verbunden

Die Variable liefert die Statusinformation ob bereits eine Link Layer Verbindung zu dem 870-Master besteht. In Device, bei beliebigen Sektor (COA), legen Sie einen IO vom Typ T00 mit der IOA 1 an. Der Wert wechselt bei der Verbindung von 0 auf 1.

Hinweis: Öffnet ein Master die Verbindung auf dem Link Layer, ohne dass eine Generalabfrage gesendet wird, so wird das Process Gateway nach dem Ablauf von T0 Timeout die Verbindung schließen. In solchen Fällen können Sie versuchen, die GI von Master zu provozieren, z.B. durch Senden eines ASDU T70 - End of Initialization.

IOA 2 - Befehle abweisen oder ignorieren

Die Variable bestimmt wie der IEC870 Slave umgehen soll mit Befehlen, die der 870-Master zusendet. Es kann pro Sektor (COA) entschieden werden, ob Befehle in control direction ausgeführt werden. Wenn kein IO projektiert ist, sind die Befehle freigegeben.

Hinweis: Die Befehle des Masters können auch über die Eigenschaft Commands active generell abgewiesen werden.

Die zenon Variable wird zu IO mit T00 und IOA 2 zugeordnet. Sie können die selbe Variable in allen Sektoren (COA) verknüpfen. Die Variable darf keinen Status INVALID haben.

Die Bedeutung der Variable:

Wert

Beschreibung

0

Disabled

Die ASDUs mit Befehlen werden abgelehnt.

  • Für abgelehnte Befehle erhält ein Master als Bestätigung COT_actcon (7) + PN (negativ).
  • Abgelehnte Befehle erzeugen einen Warneintrag in der LOG-Datei.
  • die zenon Runtime wird über Befehle nicht informiert.

Beispiel:

Anhängig dem Modus local/remote einer Substation mit Process Gateway zum entfernten 870-Master.

Der entfernte 870-Master kann über ein IO in monitoring direction (z.B. mit T30) über den aktuellen Modus informiert werden, und während die Substation sich in lokalem Modus befindet, sind die remote Befehle unerlaubt.

1

Enabled

Befehle sind freigegeben.

2

Silent mode

Die ASDUs mit Befehlen werden ignoriert.

  • Keine Reaktion auf die ASDUs mit Befehlen; ohne Warnung im Log.
  • die zenon Runtime wird über Befehle nicht informiert.

Beispiel:

Redundante Verbindung zu einen 870-Master von zwei Process Gateways, die mit der gleichen Konfiguration gestartet wurden: auf zwei Rechner in zenon Netzwerk, oder auf einen Rechner mit 2 Ethernet Karten, oder mit unterschiedlichen IP Ports.

Ein Befehl dieses Masters soll nur über einer der Process Gateways an die zenon Runtime weitergeleitet werden.

3....

reserviert für zukünftige Versionen

info Info

Zugehörige Warnmeldung:

Commands for sector deactivated, execution prohibited. <Kommandotext>

Die Bedeutung: Ein Befehl in Control-Richtung wurde empfangen, aber Aufgrund eines fehlenden enable abgelehnt.

IOA 3 - SOE: Files overflow

Statusvariable wird auf 1 gesetzt wenn die Anzahl der SOE Dateien im Transferverzeichnis die Anzahl der maximal gepufferten Dateien überschreitet.

IOA 4 - SOE: Current File Status

Variable liefert Statusinformationen über die aktuell od. zuletzt bearbeitete SOE Datei:

0 - Initialisierung. Solange keine SOE Datei geschrieben wurde.

1 - SOE Datei ist geöffnet

2 - Datei wurde geschlossen

3 - Zu viele SOE Dateien im Verzeichnis

4 - Fehler beim Schreiben der SOE Datei

5 - Fehler beim Erzeugen der SOE Datei

IOA 5 - Status of File Transfer

Variable liefert Statusinformation über den Dateitransfer in Monitoring Direction ("Standard Direction" - vom Master zum Slave).

0 - Kein Transfer aktiv

1 - Sektion wird ausgewählt

2 - Sektion wird angefordert

3 - Auf Sektionbestätigung wartend

4 - Auf Dateitransferbestätigung wartend

255 - Fehler beim Transfer

IOA 6 - SOE: Anzahl der Dateien

Variable liefert die Anzahl der im Transferverzeichnis vorhandenen SOE Dateien.

IOA 7 - Status of File Transfer in Reverse Direction

Variable liefert Statusinformation über den Dateitransfer in Control Direction ("Reverse Direction" - vom Slave zum Master).

Die Information wird in ein DWORD wie folgt integriert: [IOA des übertragenen Files] * 256 + [Statusinformation].

Mögliche Statusinformation:

1 - Transfer läuft

2 - Transfer läuft - der Transfer, welcher zuvor noch nicht abgeschlossene wurde, wird durch den aktuell begonnenen Transfer abgebrochen.
Für den abgebrochenen Transfer wird ebenfalls der Status 3 geschrieben. Da jedoch der neue Status sofort anschließend geschrieben wird, kann im Falle von zenon nicht garantiert werden, dass dieser in der RT sichtbar wird.

3 - Transfer wurde aufgrund Fehler abgebrochen.

4 - Transfer wurde abgeschlossen und die Datei ist verfügbar auf dem Laufwerk.

IOA 8 - Nachladen der XML Konfiguration

Im IEC870 Slave Process Gateway kann mit dem IOA 8 mit Type ID <0> Internal Status eine zenon Variable verknüpft werden.

Hat diese verknüpfte Variable in der zenon Runtime den Wert 1 wird die Konfiguration für das Process Gateway neu eingelesen. Nach erfolgreichem Einlesen der neuen Konfiguration wird die Kommunikation im IEC870 Slave neu gestartet und der Wert der Variable wird auf 0 zurückgesetzt. Schlägt dieser Prozess fehl arbeitet das Process Gateway mit der bei Programmstart geladenen Konfiguration weiter.

Noch in diesem Kapitel

Neustart und Nachladen der XML Konfiguration


Neustart und Nachladen der XML Konfiguration

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Interner Typ T00 (Statusvariablen) > Neustart und Nachladen der XML Konfiguration

Ab zenon 8.00 können der Neustart für das Process Gateway - IEC870 Slave via einer verknüpften Variable ausgelöst werden. Bei diesem Neustart wird die XML-Datei mit der Konfiguration erneut eingelesen.

Allgemein

Im IEC870 Slave Process Gateway kann mit dem IOA 8 mit Type ID <0> Internal Status eine zenon Variable verknüpft werden.

Hat diese verknüpfte Variable in der zenon Runtime den Wert 1 wird die Konfiguration für das Process Gateway neu eingelesen. Nach erfolgreichem Einlesen der neuen Konfiguration wird die Kommunikation im IEC870 Slave neu gestartet und der Wert der Variable wird auf 0 zurückgesetzt. Schlägt dieser Prozess fehl arbeitet das Process Gateway mit der bei Programmstart geladenen Konfiguration weiter.

Projektierung

Verknüpfen Sie ein Information Object mit einer internen zenon Variable für Type Identification 8 - <0> Internal Status.

Führen Sie dazu im Process Gateway folgende Schritte durch:

  1. Wählen Sie die Registerkarte Sector im Konfigurationsdialog Settings.
  2. Wählen Sie aus der Liste Devices ein konfiguriertes Device.
  3. Wählen Sie aus der Liste Sectors einen konfigurierten Sector.
  4. Erstellen Sie ein neues Information Object.
    1. Wählen Sie dazu ein bereits konfiguriertes Objekt mit IOA 8 und klicken Sie auf die Schaltfläche Edit oder klicken Sie auf die Schaltfläche New um ein neues Information Object zu erstellen.
      Der Dialog Information object setting wird geöffnet.
    2. Konfigurieren Sie die IOA mit Wert 8 in der Eigenschaft Information Object Address.
    3. Wählen Sie in der Dropdownliste Type Identification den Eintrag <0> Internal status.
      Hinweis: Dieser Eintrag ist per Default bereits ausgewählt.
    4. Klicken Sie auf die Schaltfläche ... um eine zenon Variable zu verknüpfen.
      Der Dialog Variable selection zur Auswahl einer Variable wird geöffnet.
    5. Wählen sie im Bereich Variable eine Variable aus der Liste.
    6. Bestätigen Sie die Konfiguration durch Klick auf die Schaltfläche OK.
    7. Klicken Sie die Schaltfläche OK um den IO-Settings-Dialog zu beenden.

info Info

Diese Projektierung ist in jedem Sektor möglich. Diese Projektierung gilt für das gesamte Process Gateway, nicht für einzelne Sektoren.

Projektierungstipp:

Projektieren Sie die Verknüpfung nur in einem Sektor oder verknüpfen Sie in unterschiedlichen Sektor immer dieselbe zenon Variable.

Verhalten in der zenon Runtime

Bei Start der Runtime:

  • Die aktuellen Werte der projektierten Variablen werden gelesen.
  • Der Wert der verknüpften Variable für IOA 8 - <0> Internal Status wird immer auf 0 zurückgesetzt.
    Hinweis: Die XML-Datei mit der Konfiguration wird nur ein Mal gelesen, auch wenn die Variable bei Kommunikationsstart den Wert 1 hatte.

Bei laufender Runtime:

  • Bei Wertänderung der verknüpften Variable auf 1:
    1. Werden alle laufende Verbindungen des Process Gateways geschlossen.
    2. Das Process Gateway liest die XML-Konfigurationsdatei neu.
    3. Wird der Wert der IOA 8-Variable auf 0 gesetzt.
      Hinweis: ist ein Information Object mit IOA 8 nicht mehr in der neuen Konfiguration vorhanden, bleibt der Wert für diese Variable auf 1.
    • Schlägt das Einlesen der neuen Konfiguration fehl, erfolgt die Kommunikation weiter mit den alten (= bisher bestehenden) Konfigurationsdaten. Die Variable für IOA 8 - <0> Internal Status wird nicht zurückgesetzt.

Projektierungstipp

Mit einer Variable für IOA 8 - <0> Internal Status haben Sie in der zenon Runtime folgende Anwendungsmöglichkeiten:

  • Überwachung des korrekten Starts des Process Gateways:
    Hat die interne IOA 8-Variable einen initialen Wert größer 1 (z.B. 99) kann diese Variable dazu verwendet werden, den korrekten Start des Process Gateways zu überprüfen. Bleibt dieser Initialwert unverändert, so wurde das Process Gateway nicht korrekt gestartet.
    Mögliche Fehlerursache: die konfigurierten Variablen existieren nicht mehr oder der IP-Port ist belegt.
  • Nachladen der Konfiguration für das Process Gateway via Runtime
    Nach dem Nachladen des Projekts in der zenon Runtime wird die XML-Konfigurationsdatei des Process Gateways nicht automatisch neu gelesen.
    Wurden Variablen im zenon Editor geändert oder neu angelegt, welche auch im Process Gateway projektiert sind, können Sie nach dem Nachladen des Projekts in der zenon Runtime auch das Einlesen einer neuen XML-Konfigurationsdatei im Process Gateway auslösen. Setzen Sie dafür den Wert 1 der IOA 8 Variable in der Runtime auf 1.


Mapping von Statusbits in Melderichtung

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Mapping von Statusbits in Melderichtung

Der IEC870Slave unterstützt das Versenden von Qualitätsbits für die Information Objects. Die Qualitätsbits des IO werden - in ASDUs in 'montior direction' - gesetzt anhand bestimmten Statusbits der verknüpften zenon Variable.

Die Qualitätsbits werden den Statusbits der Variablen wie folgt zugeordnet:

Statusbit in zenon

IEC60870 quality
descriptor bits

Anmerkungen

INVALID

IV (invalid)

NT (not topical)

Der Slave leitet in Melderichtung das INVALID Statusbit als zwei Qualitätsbits weiter.

Hinweis: das Qualitätsbit IV kann auch wegen Wertanpassung des IOs gesetzt werden.

ALT_VAL

SB (substituted)

Bis zenon Version 7.10 gleich gemapped wie OFF Bit.

OFF

IV (invalid)

N_UPDATE (Nicht aktualisiert in zenon Netzwerk)

NT (not topical)

Beispiel:

Das zenon Process Gateway läuft auf einem Netzwerkclient.

Während einer Redundanzumschaltung der Netzwerkserver werden die Variablen vorübergehend mit N_UPDATE gekennzeichnet. Die Werte der IOs werden zum 870-Master mit NT Qualitätsbit gesendet.

Nach Abschluss der Redundanzumschaltung verbindet sich der Netzwerkclient automatisch zum aktuellen Netzwerkserver und die Werte sind wieder spontan. Die Werte der IOs werden ohne NT Qualitäts-Bit zum 870-Master gesendet.

BL_870

BL (blocked)

SB_870

SB (substituted)

wie ALT_VAL

NT_870

NT (not topical)

OV_870

OV (overflow)

OV_870 Statusbits, welche für die Variablen in zenon bereits gesetzt wurden, werden zum Master gesendet.

Für normalized values gilt zusätzlich: der Wertebereich laut IEC 60870 Standard ist <-1 .. 1-2-15> mit einer Genauigkeit auf 4 Nachkommastellen. Das entspricht in zenon Variablen mit einem Wertebereich -1.0 bis 0.9999.

Außerhalb des Bereiches für normalized values wird in ASDU der Wert des IOs angepasst und das OV Qualitäts-Bit gesetzt.

Hinweis: das Qualitätsbit OV kann auch wegen Wertanpassung eines IO mit anderen Type-IDs gesetzt werden.

T_INVAL (Zeit ungültig)

Nur in "Binary Time 2a" (CP24Time2a/CP56Time2a)

BS[24] - IV (invalid)

Der Slave leitet das T_INVAL Statusbit im Zeitstempel der IOs nur mit "time tag" weiter.

info Info

Das Process Gateway kann die Werte mit IV oder OV Quality kennzeichnen, wenn der Wert der zenon Variable den Wertbereich des ASDU-Typ überschreitet.

Weitere Informationen dazu finden Sie im Kapitel Zuordnung der Datentypen im Abschnitt "Wertanpassung von IOs".


Befehle

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Befehle

Ein emphangener Befehl - T45..T64 - wird als Wert bei der zenon Variablen gesetzt. In Sektoren ohne Select routing wird an Master gleich eine, immer positive, Betätigung gesendet - COT_actcon (7) und COT_actterm (10).

In solchen Sektoren wird auch ein Select gleich automatisch positiv bestätigt - COT_actcon + SE und die zenon Variable ändert dabei weder Wert noch Statusbits.

Hinweis: Bei Variablen, die im IEC870Sl Process Gateway als Befehlsvariable konfiguriert sind, wird bei aktiver Eigenschaft SW setzen über VBA (Gruppe Protokollierung in CEL) jeder Befehl als Sollwert Absetzen über die API-Schnittstelle in der CEL protokolliert.

Noch in diesem Kapitel

Select routing

Pulsbildung - 'Qualifier of Command'


Select routing

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Befehle > Select routing

Das Select routing kann nur zusammen mit einer Projektierung des zenon Moduls Befehlsgabe verwendet werden und steht nur für die Befehlsgabeaktion Auto/Remote Befehl zur Verfügung.

Das Process-Gateway führt auf einer Befehlsvariable nur dann ein Select Routing durch, wenn die Variable in zenon mit aktiviertem Select Before Operate projektiert ist.

Ist bei den zenon Variablen die Eigenschaft Select Before Operate inaktiv verhält sich das Process Gateway gleich wie für Sektoren ohne Select routing und beantwortet ein empfangenes Select immer positiv.

Übersicht zenon Variablenprojektierung - Process Gateway

zenon Variable Eigenschaft Select Before Operate | Process Gateway - Sektor-Option: Select Routing | Verhalten im Process Gateway
aktiv | aktiv | Ein Select ist erforderlich. Ein Execute ohne Select wird abgelehnt. Ein Select wird an die Befehlsgabe weitergeleitet.
aktiv | inaktiv | Ein Select wird automatisch positiv beantwortet. Die Befehlsgabe wird in der Befehlsausführung nicht berücksichtigt. Ein Execute wird direkt an den Process-Treiber weitergegeben.
inaktiv | aktiv

Ablauf

Wenn für den angesprochenen Sektor die Option Select routing aktiviert wurde und für die zenon Befehlsvariable Select Before Operate aktiviert ist, dann wird bei Erhalt eines Select gewartet bis über die Befehlsvariable von zenon der Status SE_870 mit COT_actcon (7) und eventuell mit N_CONF (entspricht PN) zurückgemeldet wird.

Erst dies löst eine Bestätigung am Master (z.B. ein Control Center) aus. So lange eine Selektierung via Select läuft wird jede weitere für dies IO abgelehnt.

Timeout, Cancel und fehlendes Select

Für die verschiedenen Antwortmöglichkeiten auf ein Select routing gelten folgende Regeln:

  • Ist auf einem Sektor Select routing konfiguriert, so wird bei jedem Select ein Select Timeout pro IO gestartet.
  • Der Slave überprüft, ob das Timeout abgelaufen ist und setzt dann die Variable auf SE, COT_actterm (10) und PN.
  • Wird vom Master ein Cancel - COT_deact (8) - für ein laufendes Select empfangen, wird dies mit COT_deactcon (9) bestätigt und das Select wird gelöscht.
  • Wenn ein Execute oder Cancel ohne vorheriges Select empfangen wird, so wird mit PN (also negativ) geantwortet.


Pulsbildung - 'Qualifier of Command'

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Befehle > Pulsbildung - 'Qualifier of Command'

Für empfangene Befehle der IEC870 Slave unterstützt die Pulsbildung. Das Qualifier of Command (QoC) wird für alle im IEC60870 Standard vorgesehene Befehle (T45,T46,T47 und T58,T59,T60) unterstützt.

Zum Beispiel ein empfangener Einzelbefehl - ein ASDU mit Typ T45 - mit QoC wirkt sich auf eine zenon Variable wie folgt aus:

  • QoC 0: Undefiniert entsprechend IEC-Standard. Verhält sich im Slave wie QoC 3 (persistent output).
  • QoC 1: Short pulse. Die zenon Variable nimmt den Wert 'EIN' an und wechselt nach der in den Process Gateway Einstellungen definierten Zeit auf 'AUS'.
  • QoC 2: Long pulse. Die zenon Variable nimmt den Wert 'EIN' an und wechselt nach der in den Process Gateway Einstellungen definierten Zeit auf 'AUS'.
  • QoC 3: Persistent output. Die zenon Variable nimmt den Wert 'EIN' (oder 'AUS') an und behält den Wert bei. Dieser muss für die Entgegennahme weiterer Befehle zurückgesetzt werden.

Sobald die Kommunikation beendet wird, wird auch für alle noch aktiven Puls-Variablen der Puls beendet, also ein 'AUS' geschrieben. Wird ein Puls für eine noch laufende Pulsbildung erneut veranlasst, wird die laufende Pulsbildung beendet. Die Variable erhält den Wert 'AUS'.

Hinweis: Für SCS (single command state) ist der Wert für 'AUS' immer 0. Für DCS (double command state) gilt: Ein 'AUS' hat auf Protokollebene den Wert 00b; dann in zenon entweder den Wert 2 oder 0, abhängig von den Einstellungen für DPI/DCS mapping.

Hinweis: In Sektoren mit Select routing kann Pulsbildung nicht durchgeführt werden da 'AUS' nach Select im Konflikt mit Execute steht.


Read - T102 - Anforderung

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Read - T102 - Anforderung

Der IEC870 Slave antwortet die Read command - C_RD_NA_1 - Anforderungen des Masters automatisch. Dazu sind keine zusätzlichen Projektierungsschritte notwendig.

Es können maximal 2048 Read Anforderungen gleichzeitig aktiv sein. Sobald diese Grenze erreicht wird, werden weitere Read Anforderungen abgelehnt.

Die Beantwortung der Read Anforderungen muss nicht projektiert werden und läuft automatisch im Hintergrund ab. Dabei gilt:

  • Für jedes IO mit der angeforderten IOA wird ein Read zu zenon ausgeführt und mit von Runtime gelieferten Wert an den Master beantwortet.
  • Es können auch mehrere Anforderungen für ein IO gleichzeitig aktiv sein.
  • Read Anforderungen werden auch dann abgearbeitet, wenn die Generalabfrage noch nicht beendet ist.


Zeit-Synchronisierung - T103 - Anforderung

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Zeit-Synchronisierung - T103 - Anforderung

Damit die Zeitsynchronisierung - beim Erhalt von C_CS_NA_1 - ausgeführt wird, muss in Device bei einem beliebigen Sektor ein IO von Typ T103 zu einer Prozessvariable verbunden werden. Das erste IO welches den Typ T103 verwendet wird als Enable verwendet.

Diese Variable muss einen Wert <> 0 haben und keinen der folgenden Statusbits gesetzt:

  • INVALID (Bit 18)
  • OFF (Bit 20)
  • ALT_VAL (Bit 27)
  • OV_870 (Bit 47)
  • BL_870 (Bit 44)

Wenn die Enable-Variable nicht konfiguriert wurde oder der Wert für diese Variable fehlt, wird die Verbindung abgebaut, wenn ein C_CS_NA_1 erhalten wird, weil es deutet darauf dass das System unvollständig konfiguriert wurde.

Das nicht ausführen des Kommandos Aufgrund des fehlenden Enables (Wert 0 oder Statusbits) oder Rechten in Betriebssystem führt zu keinem Verbindungsabbau, das Kommando wird nur negativ Bestätigt - COT_actcon + PN.

Hinweis: um die Uhr des Rechners umzustellen benötigt die Applikation des Process Gateways die Administrator Rechte in Windows.


Test - T104 und T107 - Anforderungen

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Test - T104 und T107 - Anforderungen

Der IEC870 Slave beantwortet an den Master automatisch die beiden Testkommandos C_TS_NA_1 (ASDU<104>) und C_TS_TA_1 (ASDU<107>). Dazu sind keine zusätzlichen Projektierungsschritte notwendig.

info Info

Weitere Informationen zu unterstützten Befehlen finden Sie im Kapitel Interoperability.


Dateitransfer

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Dateitransfer

Das Process Gateway IEC870 Slave unterstützt die Übertragung der Dateien in monitoring und controlling direction. Dafür konfigurieren Sie in Device die Ordner-Eigenschaft Directory for File Transfer und Directory for File Transfer in Control Direction.

Die Prozeduren des Dateitransfers mit dem 870-Master werden im Hintergrund automatisch abgearbeitet. Die verwendeten ASDUs werden als class 2 gesendet. Damit ist sichergestellt, dass Wertänderungen auch während eines laufenden Dateitransfers an den Master übertragen werden.

Für die ASDUs des Dateitransfers gilt:

  • im AFQ UI4 werden die Werte 1-4 unterstützt
  • im SCQ UI4 werden die Werte 0–6 unterstützt;
    0 und 1 sind beide 'select file'

Wird bei einem bereits aktiven Dateitransfer ein neuer Transfer angestoßen, dann wird der laufende Transfer abgebrochen und der neue Transfer wird ausgeführt.

Eine verschlüsselte Kommunikation des IEC870 Slave Process Gateways wird in der zenProcGateway.INI-Datei projektiert.

Hinweis: Der aktuelle Status des Dateitransfers kann über die Variablen, die mit dem Internen Typ T00 verknüpft sind, ausgewertet werden.

Noch in diesem Kapitel

Ablage und Benennung

Spontane Verzeichnisübertragung

TLS-verschlüsselte Kommunikation


Ablage und Benennung

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Dateitransfer > Ablage und Benennung

Ablage und Benennung werden nach folgendem Schema definiert:

<Konfiguriertes Verzeichnis>\<COA>\<IOA>.<NOF>

Als NOF (Name of file) wird nur 1 = 'transparent file' unterstützt.
Die maximal übertragbare Dateigröße ist auf 16.711.680 Bytes begrenzt.

Beispiel

Ordner in der Modulkonfiguration: C:\TEMP\IEC870

Datei 1100.1: für IO von Sektor COA=151 und IOA 1100

Ablageort: C:\TEMP\IEC870\151\1100.1


Spontane Verzeichnisübertragung

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Dateitransfer > Spontane Verzeichnisübertragung

Die spontane Übertragung der Dateien im Ordner für den Dateitransfer kann vom Prozessleitsystem ausgelöst werden. Dazu:

  • legen Sie einen IO vom Typ F_DR_TA_1 (T126) mit der IOA '0' an
Wert | Bedeutung
Wechsel von 1 auf 2 | Übertragung wird gestartet
3 | Übertragung läuft
4 | Übertragung wurde beendet
5 | Fehler bei der Übertragung

Verschachtelte Aktivierung wird verhindert.


TLS-verschlüsselte Kommunikation

Handbuch > Process Gateway > IEC870 Slave > Kommunikation > Dateitransfer > TLS-verschlüsselte Kommunikation

Eine verschlüsselte Kommunikation des IEC870 Slave Process Gateways wird in der zenProcGateway.INI-Datei konfiguriert.

Parameter

Beschreibung

TLS_ACTIVE=

Art der abgesicherten Kommunikation.

  • 0: deaktiviert
    Keine verschlüsselte Kommunikation.
  • 1: aktiviert
    Kommunikation erfolgt verschlüsselt, auf Basis der folgenden Parameter.

Default: 0

TLS_CERTIFICATE_STORE_PATH=

Absoluter Ablageort der Zertifikate. Dieses Basisverzeichnis muss die beiden Unterverzeichnisse CA und PRIVATE enthalten.

  • CA
    für vertrauenswürdige Zertifikate

und

  • PRIVATE
    für eigene Zertifikate

TLS_CERTIFICATE_FILE=

Name des TLS-Zertifikates.
Der Default-Ablageort wird mit dem Eintrag für den [Ablageort der Zertifikate] (TLS_CERTIFICATE_STORE_PATH=) projektiert. Das TLS-Zeritifikat muss dort im Ordner PRIVATE vorhanden sein.

TLS_CIPHER_LIST=

Liste der unterstützten Verschlüsselungsverfahren. Die Liste enthält die Kürzel im openSSL-Format.

TLS_PEER_CERTIFICATE_SUBJECT=

Verwendete Zertifikats-Identifizierung des Clients.

Das Client-Zertifikat muss das hier konfigurierte SUBJECT enthalten. Bei Nicht-Übereinstimmung wird die Verbindung abgebrochen.

TLS_RENEGOTIATION_TIMEOUT=

Maximale Dauer einer verschlüsselten Verbindung, bevor diese erneuert wird.
Nach Ablauf der projektierten Zeit wird die Verschlüsselung neu initialisiert. Dabei werden Zertifikate und Schlüssel neu ausgetauscht. Zeitangabe in Sekunden.

Default: 86400

TLS_RENEGOTIATION_MAX_BYTES=

Datenmenge, für die eine verschlüsselte Verbindung benutzt wird, bevor diese erneuert wird.

Nach Übertragung der projektierten Datenmenge wird die Verschlüsselung neu initialisiert. Dabei werden Zertifikate und Schlüssel neu ausgetauscht. Angabe in Bytes.

Default: 1048576

TLS_RESUMPTION_TIMEOUT=

Maximale Dauer eines benutzten Schlüssels, bevor er erneuert wird.
Es erfolgt nur eine Erneuerung des Schlüssels. Das Zertifikat wird dabei nicht aktualisiert. Nach Ablauf der projektierten Zeit wird das Zertifikat erneuert. Zeitangabe in Sekunden.

Default: 43200

TLS_RESUMPTION_MAX_BYTES=

Datenmenge, für die ein Schlüssel benutzt wird, bevor er erneuert wird.

Nach Übertragung der projektierten Datenmenge wird die Verschlüsselung erneuert. Das Zertifikat wird dabei nicht aktualisiert. Angabe in Bytes.

Default: 10485760

TLS_CRL_CHECK_INTERVAL=21600

Zeitintervall für die Prüfung, ob das aktuell verwendete Zertifikat in der REVOCATION LIST enthalten ist.

Ist das Zertifikat in der REVOCATION LIST enthalten, ist die verschlüsselte Verbindung nicht mehr sicher. Die Verbindung wird abgebrochen. Zeitangaben in Sekunden.

Default: 21600


Broadcasts

Handbuch > Process Gateway > IEC870 Slave > Broadcasts

Global Address 0xFF(FF) im Common Address of ASDU (COA) wird für folgende Typ IDs unterstützt:

  • C_IC_NA_1 - Generalabfrage - ASDU<100>
  • C_CS_NA_1 - Zeitsynchronisierung - ASDU<103>

Dazu sind keine zusätzlichen Projektierungsschritte notwendig.

attention Achtung

Die Broadcast Address 0xFF(FF) - "all Outstations" - in Data Link Layer in der 60870-4-101 Kommunikation wird nicht unterstützt.


Fehleranalyse

Handbuch > Process Gateway > IEC870 Slave > Fehleranalyse

Sollte es zu Kommunikationsproblemen kommen, bietet dieses Kapitel Hilfe, um den Fehler zu finden.

Noch in diesem Kapitel

Analysetool

Fehlercodes

Checkliste


Analysetool

Handbuch > Process Gateway > IEC870 Slave > Fehleranalyse > Analysetool

Process Gateway verhält sich wie ein zenon Treiber und schreibt Meldungen in eine gemeinsame Log-Datei. Um sie korrekt und übersichtlich anzuzeigen, benutzen Sie das Programm Diagnosis Viewer, das mit zenon mitinstalliert wird. Sie finden es unter Start/Alle Programme/zenon/Tools 8.00 -> Diagviewer. Generell gilt:

zenon Treiber protokollieren alle Fehler in LOG-Dateien. LOG-Dateien sind Textdateien mit einer speziellen Struktur. Der Standardordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners ProgramData, zum Beispiel:

%ProgramData%\COPA-DATA\LOG.

Achtung: Mit den Standardeinstellungen zeichnet ein Treiber nur Fehlerinformationen auf. Mit dem Diagnosis Viewer kann bei den meisten Treibern die Diagnose-Ebene auf „Debug" und „Deep Debug" erweitert werden. Damit protokolliert der Treiber auch alle anderen wesentlichen Aufgaben und Ereignisse.

Im Diagnosis Viewer kann man auch:

  • neu erstellte Einträge in Echtzeit mitverfolgen
  • die Aufzeichnungseinstellungen anpassen
  • den Ordner, in dem die LOG-Dateien gespeichert werden, ändern

Hinweise:

  1. Der Diagnosis Viewer zeigt alle Einträge in UTC (Koordinierter Weltzeit) an und nicht in der lokalen Zeit.
  2. Der Diagnosis Viewer zeigt in seiner Standardeinstellung nicht alle Spalten einer LOG-Datei an. Um mehr Spalten anzuzeigen, aktivieren Sie die Eigenschaft Add all columns with entry im Kontextmenü der Spaltentitel.
  3. Bei Verwendung von reinem Error-Logging befindet sich eine Problembeschreibung in der Spalte Error text. In anderen Diagnose-Ebenen befindet sich diese Beschreibung in der Spalte General text.
  4. Viele Treiber zeichnen bei Kommunikationsprobleme auch Fehlernummern auf, die die SPS ihnen zuweist. Diese werden in Error text und/oder Error code und/oder Driver error parameter(1 und 2) angezeigt. Hinweise zur Bedeutung der Fehlercodes erhalten Sie in der Treiberdokumentation und der Protokoll/SPS-Beschreibung.
  5. Stellen Sie am Ende Ihrer Tests den Diagnose-Level von Debug oder Deep Debug wieder zurück. Bei Debug und Deep Debug fallen beim Protokollieren sehr viele Daten an, die auf der Festplatte gespeichert werden und die Leistung Ihres Systems beeinflussen können. Diese werden auch nach dem Schließen des Diagnosis Viewers weiter aufgezeichnet.

attention Achtung

Unter Windows CE werden aus Ressourcegründen Fehler standardmäßig nicht protokolliert.

Hinweis: Process Gateway steht unter Windows CE nicht zur Verfügung.

info Info

Weitere Informationen zum Diagnosis Viewer finden Sie im Kapitel Diagnosis Viewer.

Noch in diesem Kapitel

Logging

LOG Einträge


Logging

Handbuch > Process Gateway > IEC870 Slave > Fehleranalyse > Analysetool > Logging

Der Treiber unterstützt ein umfangreiches Logging für:

  • Clientname
  • zenProcGateway_IEC870Slave
  • Module

Clientname

Wie der Name des Clients im Diagnosis Viewer angezeigt wird, hängt von der Konfiguration ab. Daher ändert sich auch der Name, wenn der TCP-Port, der COM-Port oder das Protokoll geändert wird. In diesem Falle können sich auch die Einstellungen für das Logging ändern.

Wird der Process Gateway mehrfach mit den gleichen Einstellungen gestartet, wird auch der gleiche Clientname verwendet. Die Fehlermeldungen der beiden Instanzen lassen sich durch die Prozess-ID unterscheiden.

Example Beispiel

zenProcGateway_IEC870Slave

  • 104 Protokoll mit Standardport 2404
  • 101 wenn COM1 ausgewählt.
  • Wurde die Konfiguration noch nicht gelesen, sind Fehlermeldungen beim Startup immer unter diesen Client sichtbar.

zenProcGateway_IEC870Slave:COM4

  • 101 mit COM4.
    Der Name enthält den verwendeten COM-Port.

zenProcGateway_IEC870Slave:Port:12345

  • 104 mit Port 12345.
    Der Name enthält den Port für die Masteranbindung.

Module

Fehlermeldungen werden für alle Module angezeigt:

  • IEC870 Slave
  • OSI2
  • OSI7
  • SCADA-Runtime (ScadaRT)

IEC870 Slave

Betrifft die Anbindung zum Process Gateway und dessen Konfiguration.

Informationen zu:

  • Fehler bei der Projektierung

OSI2

Betrifft die Protokollebene. Hier ist das Framing mit den entsprechenden Funktionen implementiert.

Informationen zu:

  • Empfangene Daten als Byte Dump
  • Gesendete Daten als Byte Dump
  • Function codes für 101
  • Fehler auf dieser Ebene, z. B. im Framing
  • APCI für 104 (870-5-104 5)

Levels

  • Msg: Frame Interpretierung
  • Debug:
    Empfangene und gesendete Daten
    Frame Auswertung.
    Neue Master Verbindung.
  • Deep Debug: Jede Abfrage, ob Zeichen vorhanden. Produziert sehr viele Loggingeinträge!

OSI7

Betrifft die Applikationsebene.
Hier werden die Kommandos interpretiert und ausgeführt.

Informationen zu:

  • Protokollierung der 'process and system information'
  • Fehler in den ASDUs

Levels:

  • Warning: Rekursive interrogation
  • Msg: Process information, System information
  • Debug: Bestätigte I-Frames
  • Deep Debug: Interrogation Durchläufe. Produziert sehr viele Loggingeinträge!

SCADA-Runtime (ScadaRT)

Meldungen zur Anbindung an die Runtime:

Informationen zu:

  • angeforderte und abgemeldete Variablen
  • aktualisierte Variablen
  • Deaktivierung des Projekts

Levels

  • Debug:
    geänderte Werte
    Projekt inaktiv


LOG Einträge

Handbuch > Process Gateway > IEC870 Slave > Fehleranalyse > Analysetool > LOG Einträge

Der IEC870 Slave verwendet in Einträgen in die LOG-Datei folgende Parameter:

Parameter | Beschreibung
deviceIp: | IP-Adresse vom Device
devicename: | Benennung vom Device
COA: | Care of Address -> Lt. Norm
SecName: | Sektorbenennung
TypeyId: | Kommandonummer
TypeIdAsTxt: | Kommando als Text
IOA: | Lt. Norm
AdviseID: | ID über welche Wertänderungen angefordert und zugeordnet werden
Wert: | Übertragener Wert
TimeStamp: | Zeitpunkt der Wertänderung. Vom Treiber od. von command
QUALDESC: | lt. Norm
SBEValue: | COT, select und pn gemappt auf eindeutige enums: 0: Nicht select relevant 1: actcon+pn+select 2: actcon+select 3: deactcon+pn+select, 4: deactcon+select 5: actterm+pn+select, 6: actterm+select,
Confirmed: | 1 wenn Select bereits bestätigt
COT: | Cause of Transmission lt. Norm
CotTxt: | COT als Text
Qualifier: | lt. Norm und Commando
Originator: | Lt. Norm
QU: | Qualifier of command QU 7.2.6.26
DCS: | 7.2.6.16 Double command (IEV 371-03-03)
ControlCommand: | Je nach control-Kommando

Beispiel für 45:

<TypeId> <TypeIdAsTxt> Device:(<deviceip>)<devicename> Sector:(<IOA>)< SecName > ioa:<IOA> cot:(<COT>)<CotTxt> ori:<Originator> sel:<QOC S/E> qu:<QU> dcs:<DCS>

ValueChange cmd(<TypeyId>)<<TypeId>> <TypeIdAsTxt> ioa:<IOA> id:<AdviseID> value:<Wert> time:<TimeStamp> state:< QUALDESC > sir:<SBEValue>

LOG Eintrag | Module/Level | Beschreibung
SBE IED processing. Device:(<deviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> SBE command: advise:<AdviseID> conf:<confirmed> <ControlCommand> | OSI7/Debug | Jede Wertänderung welche für SBE bearbeitet wird erzeugt diese LogMeldung
Wrn:1014 SBE activation already confirmed! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | OSI7/Warnung | Erneute Bestätigung für Select erhalten und ignoriert
Error:16 Advise for SBE data point fail. SBE command: advise:<AdviseId> conf:<confirmed> <ControlCommand> | Scada/error | Variable konnte nicht angefordert werden.
Error:17 SOE value lost, queue full! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | Scada/Error | Wertänderung (ValueChange) für SOE verloren da Queue voll.


Fehlercodes

Handbuch > Process Gateway > IEC870 Slave > Fehleranalyse > Fehlercodes

Folgende Fehlercodes können im Diagnosis Viewer angezeigt werden:

Fehlercode | Bedeutung
570 | Wertänderung für unbekanntes zyklisches IO.
571 | Transferpuffer zu klein um ein zyklisches IO zu übertragen.
576 | Verbindungsverlust. (Master does not respond.)

Fehlermeldungen für File Transfer in Reverse Direction

Fehlernummer | Error Level | Beschreibung
20 | Fehlermeldung | Erzeugen der temporären Datei für den file transfer in reverse direction ist fehlgeschlagen.
1017 | Warnung | Dateitransfer in reverse direction ist bereits aktiv, der Laufende wird beendet und ein neuer begonnen.
21 | Fehlermeldung | Schreibfehler der Segmentdaten aufgetreten
22 | Fehlermeldung | Länge der Daten überschreitet die erwartete Filelänge
23 | Fehlermeldung | Prüfsumme der übertragenen Segmente für Sektor falsch.
24 | Fehlermeldung | Prüfsumme für File falsch.
25 | Fehlermeldung | Für Sektor übertragene Segmentdaten überschreiten die am Beginn definierte Datenlänge
26 | Fehlermeldung | Sektor Datenübertragung wird als fertig gemeldet jedoch stimmt die Anzahl der übertragenen Segmentdaten nicht mit der angegeben am Beginn überein.
27 | Fehlermeldung | File Daten wurden als fertig gemeldet jedoch stimmt die angegebene Filelänge nicht überein.
581 | Fehlermeldung | Unerwartete IOA bei SG
582 | Fehlermeldung | Unerwartete NOF bei SG
583 | Fehlermeldung | Unerwartete NOS bei SG
584 | Fehlermeldung | Unerwartete NOS bei LS
585 | Fehlermeldung | Unerwartete NOS bei LS
586 | Fehlermeldung | Unerwartete NOS bei LS
587 | Fehlermeldung | FR mit nicht unterstützter NOF. Wir unterstützen nur 1 == transparent


Checkliste

Handbuch > Process Gateway > IEC870 Slave > Fehleranalyse > Checkliste

870-104

870-101

  1. Ist der COM Port von einer anderen Anwendung belegt, bzw. stimmen seine Einstellungen?

Allgemein

  2. Ist das Gerät (die SPS), mit dem versucht wird eine Kommunikation herzustellen, an das Stromversorgungsnetz angeschlossen?
  3. Ist das Verbindungskabel zwischen Steuerung (SPS) und PC bzw. IPC korrekt angeschlossen?
  4. Wurde die „Error – Textdatei“ analysiert (Welche Fehler sind aufgetreten)?
  5. Zur weiteren Fehleranalyse senden Sie eine Projektsicherung, die .INI- und .XML-Datein des IEC870 Slaves sowie die LOG Datei des Diagnosis Viewer an Ihren zuständigen Support.


Interoperability

Handbuch > Process Gateway > IEC870 Slave > Interoperability

This companion standard presents sets of parameters and alternatives from which subsets must be selected to implement particular telecontrol systems. Certain parameter values, such as the choice of 'structured' or'unstructured' fields of the informationobject address of ASDUs represent mutually exclusive alternatives. This means that only one value of the defined parameters is admitted per system. Other parameters, such as the listed set of different process information incommand and in monitor direction allow the specification of the complete set orsubsets, as appropriate for given applications. This clause summarizes theparameters of the previous clauses to facilitate a suitable selection for aspecific application. If a system is composed of equipment stemming from different manufacturers, it is necessary that all partners agree on the selected parameters.

The interoperability list is defined as in IEC 60870-5-101 and extended with parameters used in this standard. The text descriptions of parameters which are not applicable to this companion standard are strike-through (corresponding check box is marked black).

NOTE In addition, the full specification of a system may require individual selection of certain parameters for certain parts of the system, such as the individual selection of scaling factors for individually addressable measured values.

The selected parameters should bemarked in the white boxes as follows:

[ ] Function or ASDU is not used
[ X ] Function or ASDU is used as standardized (default)
[ R ] Function or ASDU is used in reverse mode
[ B ] Function or ASDU is used in standard and reverse mode

The possible selection (blank, X , R , or B ) is specified for each specific clause or parameter.

A black check box indicates that the option cannot be selected in this companion standard.

1. System or device

(system-specific parameter, indicate definition of a system or a device by marking one of the following with ' X ')

[ ] System definition
[ ] Controlling station definition (Master)
[ X ] Controlled station definition (Slave)

2. Network Configuration: 101 only

(network-specific parameter, all configurations that are used are to be marked ' X ')

[ X ] Point-to-point | [ X ] Multipoint
[ X ] Multiple point to point | [ ] Multipoint-star

3. Physical Layer: 101 only

(network-specific parameter, all interfaces and data rates that are used are to be marked ' X ')

Transmission speed (control direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ X ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ X ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ X ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ X ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ X ] 38400 bit/s
 | [ X ] 56000 bit/s | [ X ] 56000 bit/s
 | [ X ] 57600 bit/s | [ X ] 57600 bit/s
 | [ X ] 115200 bit/s | [ X ] 115200 bit/s
 | [ X ] 128000 bit/s | [ X ] 128000 bit/s
 | [ X ] 256000 bit/s | [ X ] 256000 bit/s

Transmission speed (monitor direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ X ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ X ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ X ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ X ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ X ] 38400 bit/s
 | [ X ] 56000 bit/s | [ X ] 56000 bit/s
 | [ X ] 57600 bit/s | [ X ] 57600 bit/s
 | [ X ] 115200 bit/s | [ X ] 115200 bit/s
 | [ X ] 128000 bit/s | [ X ] 128000 bit/s
 | [ X ] 256000 bit/s | [ X ] 256000 bit/s

4. Link layer: 101 only

(network-specific parameter, all options that are used are to be marked ' X '. Specify the maximum frame length. If a non-standard assignment of class 2 messages is implemented for unbalanced transmission, indicate the Type ID and COT of all messages assigned to class 2.)

Frame format FT 1.2, single character 1 and the fixed time out interval are used exclusively in this companion standard.

Link transmission | Frame length [octets] | Address field of the link
[ X ] Balanced transmission | [255] Maximum length L (both directions)* | [ O ] not present (balanced transmission only) optional
[ X ] Unbalanced transmission |  | [ X ] One octet
 |  | [ X ] Two octets
 |  | [ X ] Structured
 |  | [ X ] Unstructured

*may be reduced by the system

Link Address 0xFF(FF) - broadcast to all outstations - is not supported.

The structure of Link Address is not interpreted.

When using an unbalanced link layer, the following ASDU types are returned in class 2 messages (low priority) with the indicated causes of transmission:

[ ] The standard assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
9, 11, 13, 21 | <1>

[ X ] A special assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
120 - 126 | All (as specified in the standard)

Note: (In response to a class 2 poll, a controlled station may respond with class 1 data when there is no class 2 data available).

5. Application Layer

Transmission mode for application data

Mode 1 (Least significant octet first), as defined in 4.10 of IEC 60870-5-4, is used exclusively in this companion standard.

Common address of ASDU

(system-specific parameter, all configurations that are used are to be marked ' X ')

ASDU adress

101 only

[ X ] One octet

[ X ] Two octets

The ASDU address 0xFF(FF) - global address - is supported only for C_IC_NA_1 and C_CS_NA_1

Information object address

(system-specific parameter, all configurations that are used are to be marked ' X ')

Object adress
101 only [ X ] One octet | [ X ] Structured
101 only [ X ] Two octets | [ X ] Unstructured
[ X ] Three octets |

Cause of transmission

(system-specific parameter, all configurations that are used are to be marked ' X ')

Cause of transmission

101 only

[ X ] One octet

[ X ] Two octets (with originator address)
Originator address is set to zero if not used.

Length of APDU: 104 only

(system-specific parameter, specify the maximum length of the APDU per system)
The maximum length of APDU for both directions is 253. The maximum length may be reduced by the system.

[ 253 ] Maximum length of APDU per system

Selection of standard ASDUs

Process information in monitor direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <1>: = Single-point information | M_SP_NA_1
[ B ] | <2>: = Single-point information with time TAG | M_SP_TA_1
[ B ] | <3>: = Double-point information | M_DP_NA_1
[ B ] | <4>: = Double-point information with time TAG | M_DP_TA_1
[ B ] | <5>: = Step position information | M_ST_NA_1
[ B ] | <6>: = Step position information with time TAG | M_ST_TA_1
[ B ] | <7>: = Bitstring of 32 bit | M_BO_NA_1
[ B ] | <8>: = Bitstring of 32 bit with time TAG | M_BO_TA_1
[ B ] | <9>: = Measured value, normalized value | M_ME_NA_1
[ B ] | <10>: = Measured value, normalized value with time TAG | M_ME_TA_1
[ B ] | <11>: = Measured value, scaled value | M_ME_NB_1
[ B ] | <12>: = Measured value, scaled value with time TAG | M_ME_TB_1
[ B ] | <13>: = Measured value, short floating point value | M_ME_NC_1
[ B ] | <14>: = Measured value, short floating point value with time TAG | M_ME_TC_1
[ B ] | <15>: = Integrated totals | M_IT_NA_1
[ B ] | <16>: = Integrated totals with time TAG | M_IT_TA_1
[ ] | <17>: = Event of protection equipment with time TAG | M_EP_TA_1
[ ] | <18>: = Packed start events of protection equipment with time TAG | M_EP_TB_1
[ ] | <19>: = Packed output circuit information of protection equipment with time TAG | M_EP_TC_1
[ ] | <20>: = Packed single-point information with status change detection | M_SP_NA_1
[ ] | <21>: = Measured value, normalized value without quality descriptor | M_ME_ND_1
[ B ] | <30>: = Single-point information with time TAG CP56Time2a | M_SP_TB_1
[ B ] | <31>: = Double-point information with time TAG CP56Time2a | M_DP_TB_1
[ B ] | <32>: = Step position information with time TAG CP56Time2a | M_ST_TB_1
[ B ] | <33>: = Bitstring of 32 bit with time TAG CP56Time2a | M_BO_TB_1
[ B ] | <34>: = Measured value, normalized value with time TAG CP56Time2a | M_ME_TD_1
[ B ] | <35>: = Measured value, scaled value with time TAG CP56Time2a | M_ME_TE_1
[ B ] | <36>: = Measured value, short floating point value with time TAG CP56Time2a | M_ME_TF_1
[ B ] | <37>: = Integrated totals with time TAG CP56Time2a | M_IT_TB_1
[ ] | <38>: = Event of protection equipment with time TAG CP56Time2a | M_EP_TD_1
[ ] | <39>: = Packed start events of protection equipment with time TAG CP56Time2a | M_EP_TE_1
[ ] | <40>:= Packed output circuit information of protection equipment with time TAG CP56Time2a | M_EP_TF_1

Either the ASDUs of the set <2>, <4>, <6>, <8>, <10>, <12>, <14>, <16>, <17>, <18>, <19> or of the set <30> – <40> are used.

Process information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <45>: = Single command | C_SC_NA_1
[ X ] | <46>: = Double command | C_DC_NA_1
[ X ] | <47>: = Regulating step command | C_RC_NA_1
[ X ] | <48>: = Set point command, normalized value | C_SE_NA_1
[ X ] | <49>: = Set point command, scaled value | C_SE_NB_1
[ X ] | <50>: = Set point command, short floating point value | C_SE_NC_1
[ X ] | <51>: = Bitstring of 32 bit | C_BO_NA_1
[ X ] | <58>: = Single command with time TAG CP56Time2a | C_SC_TA_1
[ X ] | <59>: = Double command with time TAG CP56Time2a | C_DC_TA_1
[ X ] | <60>: = Regulating step command with time TAG CP56Time2a | C_RC_TA_1
[ X ] | <61>: = Set point command, normalized value with time TAG CP56Time2a | C_SE_TA_1
[ X ] | <62>: = Set point command, scaled value with time TAG CP56Time2a | C_SE_TB_1
[ X ] | <63>: = Set point command, short floating point value with time TAG CP56Time2a | C_SE_TC_1
[ X ] | <64>:= Bitstring of 32 bit with time TAG CP56Time2a | C_BO_TA_1

Either the ASDUs of the set <45> – <51> or of the set <58> – <64> are used.

System information in monitor direction

(station-specific parameter, mark ' X ' if used)

Mark | Parameter | Type
[ X ] | <70> : = End of initialization | M_EI_NA_1

System information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <100>: = Interrogation command* | C_IC_NA_1
[ X ] | <101>: = Counter interrogation command | C_CI_NA_1
[ X ] | <102>: = Read command | C_RD_NA_1
[ X ] | <103>: = Clock synchronization command (option see 7.6)* | C_CS_NA_1
[ X ] | <104>: = Test command | C_TS_NA_1
[ X ] | <105>: = Reset process command | C_RP_NA_1
[ ] | <106>: = Delay acquisition command | C_CD_NA_1
[ X ] | <107>: = Test command with time TAG CP56Time2a | C_TS_TA_1

*also with global address - with Common Address of ASDU = 0xFF(FF)

Parameter in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ ] | <110>: = Parameter of measured value, normalized value | P_ME_NA_1
[ ] | <111>: = Parameter of measured value, scaled value | P_ME_NB_1
[ ] | <112>: = Parameter of measured value, short floating point value | P_ME_NC_1
[ ] | <113>: = Parameter activation | P_AC_NA_1

File transfer

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <120>: = File ready | F_FR_NA_1
[ B ] | <121>: = Section ready | F_SR_NA_1
[ B ] | <122>: = Call directory, select file, call file, call section | F_SC_NA_1
[ B ] | <123>: = Last section, last segment | F_LS_NA_1
[ B ] | <124>: = Ack file, ack section | F_AF_NA_1
[ B ] | <125>: = Segment | F_SG_NA_1
[ X ] | <126>: = Directory {blank or X, only available in monitor (standard) direction} | F_DR_TA_1

Type identifier and Cause of transmission assignments

(station-specific parameters)

Shaded boxes: option not required.
Blank: functions or ASDU not used.

Mark Type Identification/Cause of transmission combinations:
' X ' if only used in the standard direction;
' R ' if only used in the reverse direction;
' B ' if used in both directions.

Type identification |  | Cause of transmission
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 20 to 36 | 37 to 41 | 44 | 45 | 46 | 47
<1> | M_SP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<2> | M_SP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<3> | M_DP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<4> | M_DP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<5> | M_ST_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<6> | M_ST_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<7> | M_BO_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<8> | M_BO_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<9> | M_ME_NA_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<10> | M_ME_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<11> | M_ME_NB_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<12> | M_ME_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<13> | M_ME_NC_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<14> | M_ME_TC_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<15> | M_IT_NA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  | X1 | X |  |  |  |
<16> | M_IT_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<17> | M_EP_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<18> | M_EP_TB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<19> | M_EP_TC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<20> | M_PS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<21> | M_ME_ND_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<30> | M_SP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<31> | M_DP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<32> | M_ST_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<33> | M_BO_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<34> | M_ME_TD_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<35> | M_ME_TE_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<36> | M_ME_TF_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<37> | M_IT_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<38> | M_EP_TD_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<39> | M_EP_TE_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<40> | M_EP_TF_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<45> | C_SC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<46> | C_DC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<47> | C_RC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<48> | C_SE_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<49> | C_SE_NB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<50> | C_SE_NC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<51> | C_BO_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<58> | C_SC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<59> | C_DC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<60> | C_RC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<61> | C_SE_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<62> | C_SE_TB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<63> | C_SE_TC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<64> | C_BO_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<70> | M_EI_NA_1* |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<100> | C_IC_NA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  | X | X |
<101> | C_CI_NA_1 |  |  |  |  |  | X | X |  |  | X |  |  |  |  |  |  | X | X |
<102> | C_RD_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  | X | X | X
<103> | C_CS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<104> | C_TS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<105> | C_RP_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<106> | C_CD_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<107> | C_TS_TA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<110> | P_ME_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<111> | P_ME_NB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<112> | P_ME_NC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<113> | P_AC_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<120> | F_FR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<121> | F_SR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<122> | F_SC_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  | X |  |  |  | X | X |
<123> | F_LS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<124> | F_AF_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  | X | X |
<125> | F_SG_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<126> | F_DR_TA_1* |  |  | X |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |

* Blank or X only

1 Optional.

2 Slave confirms deactivations of write command (TI <45> ... <64>) but by deactivated 'Select routing' the corresponding activation is already transferred to execution; COT_actcon and COT_actterm were already sent.

COT | Cause of Transmission |
<0> | not used |
<1> | periodic, cyclic | per/cyc
<2> | background scan | back
<3> | spontaneous | spont
<4> | initialized | init
<5> | request or requested | req
<6> | activation | act
<7> | activation confirmation | actcon
<8> | deactivation | deact
<9> | deactivation confirmation | deactcon
<10> | activation termination | actterm
<11> | return information caused by a remote command | retrem
<12> | return information caused by a local command | retloc
<13> | file transfer | file
<14...19> | reserved |
<20> | interrogated by station interrogation | inrogen
<21...36> | interrogated by interrogation of the group 1..16 | inro1..16
<37> | requested by general counter request | reqcogen
<38...41> | requested by counter interrogation of the group 1 ... 4 | reqco1..4
<42, 43> | reserved |
<44> | unknown type identification |
<45> | unknown cause of transmission |
<46> | unknown common address of ASDU |
<47> | unknown information object address |
<48, 63> | for special use (private range) |

6. Basic application functions

Station initialization

(station-specific parameter, mark 'X' if function is used)

[ ] Remote initialization

Cyclic data transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Cyclic data transmission

Read procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Read procedure

Spontaneous transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ B ] Spontaneous transmission

Double transmission of information objects with cause of transmission spontaneous

(station-specific parameter, mark each information type ' X ' where both a Type ID without time and corresponding Type ID with time are issued in response to a single spontaneous change of a monitored object)

The following type identifications may be transmitted in succession caused by a single status change of an information object. The particular information object addresses for which double transmission is enabled are defined in a project-specific list.

[ ] Single-point information M_SP_NA_1, M_SP_TA_1, M_SP_TB_1 and M_PS_NA_1
[ ] Double-point information M_DP_NA_1, M_DP_TA_1 and M_DP_TB_1
[ ] Step position information M_ST_NA_1, M_ST_TA_1 and M_ST_TB_1
[ ] Bitstring of 32 bit M_BO_NA_1, M_BO_TA_1 and M_BO_TB_1 (if defined for a specific project)
[ ] Measured value, normalized value M_ME_NA_1, M_ME_TA_1, M_ME_ND_1 and M_ME_TD_1
[ ] Measured value, scaled value M_ME_NB_1, M_ME_TB_1 and M_ME_TE_1
[ ] Measured value, short floating point number M_ME_NC_1, M_ME_TC_1 and M_ME_TF_1

Station interrogation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] global |  |
[ ] group 1 | [ ] group 7 | [ ] group 13
[ ] group 2 | [ ] group 8 | [ ] group 14
[ ] group 3 | [ ] group 9 | [ ] group 15
[ ] group 4 | [ ] group 10 | [ ] group 16
[ ] group 5 | [ ] group 11 | Information object addresses assigned to each group must be shown in a separate table.
[ ] group 6 | [ ] group 12

Clock synchronization

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Clock synchronization

[ ] Day of week used
[ ] RES1, GEN (time tag substituted/ not substituted) used
[ B ] SU-bit (summertime) used

optional, see 7.6

Command transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Direct command transmission
[ X ] Direct set point command transmission
[ X ] Select and execute command
[ X ] Select and execute set point command
[ X ] C_SE ACTTERM used

[ X ] No additional definition
[ X ] Short-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Long-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Persistent output

[ setting ] Supervision of maximum delay in command direction of commands and set point commands
[ no limit ] Maximum allowable delay of commands and set point commands

Transmission of integrated totals

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Mode A: Local freeze with spontaneous transmission
[ X ] Mode B: Local freeze with counter interrogation
[ X ] Mode C: Freeze and transmit by counter-interrogation commands
[ X ] Mode D: Freeze by counter-interrogation command, frozen values reported spontaneously

[ X ] Counter read
[ X ] Counter freeze without reset
[ ] Counter freeze with reset
[ ] Counter reset

[ X ] General request counter
[ ] Request counter group 1
[ ] Request counter group 2
[ ] Request counter group 3
[ ] Request counter group 4

Parameter loading

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Threshold value
[ ] Smoothing factor
[ ] Low limit for transmission of measured values
[ ] High limit for transmission of measured values

Parameter activation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Act/deact of persistent cyclic or periodic transmission of the addressed object

Test procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Test procedure

File transfer

(station-specific parameter, mark 'X' if function is used).
File transfer in monitor direction

[ X*] Transparent file
[ ] Transmission of disturbance data of protection equipment
[ X ] Transmission of sequences of events
[ ] Transmission of sequences of recorded analogue values

* a data can be transparently transported by the system but not generated or evaluated. Maximum file size is 16711680 bytes.

File transfer in control direction

[ X ] Transparent file

Background scan

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Background scan

Acquisition of transmission delay

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Acquisition of transmission delay

Definition of time outs: 104 only

Parameter | Default value | Remarks | Selected value
t0 | 30 s | Time-out of connection establishment | setting
t1 | 15 s | Time-out of send or test APDUs | setting
t2 | 10 s | Time-out for acknowledges in case of no data messages; t2 < t1 | setting
t3 | 20 s | Time-out for sending test frames in case of a long idle state; t3 > t1 | setting

Recommended range for timeouts t0 - t2 : 1s to 255s, accuracy 1s

Recommended range for timeout t3 : 0s to 48hrs, accuracy 1s
Long timeouts for t3 may be needed in special cases where satellite links or dialup connections are used (e.g. to establish connection and collect values only once per day or week). For dialup connections it may be necessary to give up the connection supervision completely. This is achievable by setting the timeout t3 to zero.

Maximum number of outstanding I format APDUs k and latest acknowledge APDUs (w): 104 only

Parameter | Default value | Remarks | Selected value
k | 12 APDUs | Maximum difference receive sequence number to send state variable | setting
w | 8 APDUs | Latest acknowledge after receiving w I format APDUs | setting

Recommended range of values k: 1 to 32767 APDUs, accuracy 1 APDU

Recommended range of values w: 1 to 32767 APDUs, accuracy 1 APDU (Recommendation: w should not exceed two-thirds of k)

Portnumber: 104 only

Parameter | Default value | Remarks
Portnumber | 2404 | setting

Redundant connections

[ ] Number N of redundancy group connections used

RFC 2200 suite

RFC 2200 is an official Internet Standard which describes the state of standardization of protocols used in the Internet as determined by the Internet Architecture Board (IAB). It offers a broad spectrum of actual standards used in the Internet. The suitable selection of documents from RFC 2200 defined in this standard for given projects has to be chosen by the user of this standard.

[ ] Ethernet 802.3
[ ] Serial X.21 interface
[ ] Other selection from RFC 2200:

List of valid documents from RFC 2200
1. ..........................................................................
2. ..........................................................................
3. ..........................................................................
4. ..........................................................................
5. ..........................................................................
6. ..........................................................................
7. etc.


MODBUS Slave

Handbuch > Process Gateway > MODBUS Slave

Das Process Gateway für MODBUS Slave unterstützt:

  • Function Code 1:
    Read Coils
  • Function Code 3:
    Read Multiple Registers
  • Function Code 5:
    Write Single Coil
  • Function Code 6:
    Write single Register
  • Function Code 15:
    Write Multiple Coils
  • Function Code 16:
    Write Multiple Registers

Noch in diesem Kapitel

Modulkonfiguration

Holding Registers

Coils

Address Settings

Hardware-Adresse des MODBUS-Systems

Konfigurationsdatei: spezifische Einträge für AccessMODBUS


Modulkonfiguration

Handbuch > Process Gateway > MODBUS Slave > Modulkonfiguration

Klick auf die Schaltfläche Settings im Startdialog für das Process Gateway öffnet den Dialog zur Auswahl der Variablen. Die ausgewählten Variablen werden in zenon oder im MODBUS-System laufend synchronisiert.

MODBUS Connection

MODBUS Connection

Einstellungen der MODBUS-Verbindung.

Slave Adress
Unit Identifier

Modbus Hardware-Adresse für die MODBUS-Kommunikation.

  • Slave Adress bei serieller Kommunikation.
  • Unit Identifier bei TCP/IP-Kommunikation.

Default: 1

Serial

Aktiv: Serielle Verbindung wird benutzt.

  • Port: Serielle Schnittstelle, über die auf das MODBUS-System zugegriffen wird. Auswahl aus Dropdownliste.
  • Stop bits: Anzahl der Stop-Bits. Auswahl aus Dropdownliste.
    Default: 1
  • Parity: Paritätseinstellung. Auswahl aus Dropdownliste:
    No (Default)
    Odd
    Even
  • Datenbit: Anzahl der Daten-Bits. Auswahl aus Dropdownliste.
    Default: 8
  • Baudrate: Baudrate der seriellen Schnittstelle. Auswahl aus Dropdownliste.
    Default: 9600

TCP/IP

Kommunikation zum Master per TCP/IP-Protokoll.

  • Aktiv:
    TCP/IP-Verbindung mit MODBUS TCP wird benutzt.
  • inaktiv:
    serielle Verbindung mit MODBUS RTU
  • Port: Port-Adresse für die Verbindung.
  • Timeout: Wartezeit.

OK

Übernimmt Einstellungen und schließt den Dialog.

Cancel

Verwirft alle Änderungen und schließt den Dialog.


Holding Registers

Handbuch > Process Gateway > MODBUS Slave > Holding Registers

Klick auf die Schaltfläche Settings im Startdialog für das Process Gateway öffnet den Dialog zur Auswahl der Variablen. Die ausgewählten Variablen werden in zenon oder im MODBUS-System laufend synchronisiert.

Variables

Auswahl der Variablen, die nach MODBUS exportiert und mit zenon synchronisiert werden.

Parameter

Beschreibung

Available in Scada

Zeigt alle in zenon verfügbaren Variablen an

Bei Mehrprojektverwaltung können Variablen aus allen aktiven Projekten ausgewählt werden.

  • Projects: zeigt alle verfügbaren Projekte an, das Standardprojekt wird mit * gekennzeichnet
  • Variables: bietet alle Variablen des gewählten Projekts zur Übernahme an

Exported into MODBUS

Listet alle nach MODBUS exportierten Variablen und deren Offset auf. Liste ist durch Klick auf Überschriften sortierbar.

  • Variables:
    Liste aller SCADA-Variablen welche zum MODBUS exportiert werden.

    Variablen, die nicht aus dem Standardprojekt stammen, erhalten als Präfix den Projektnamen getrennt durch ein # vor dem Variablennamen.
  • Offset:
    Offset der Variable (MODBUS Holding Register Offset)

Pfeil-Tasten

Zuordnung der Variablen zu MODBUS:

  • Klick auf die Taste > fügt Variable aus der Liste Available in Scada zur Liste Exported into MODBUS hinzu. Es wird ein Dialog zur Zuordnung der Adresse geöffnet (siehe Abschnitt Dialog Zuordnung).
  • Klick auf die Taste < entfernt Variable aus der Liste Exported into MODBUS und fügt sie wieder in die Liste Available in Scada ein.

Edit...
  • Öffnet den Dialog für die Adressierung der ausgewählten zenon Variable zu einem Offset in MODBUS.

Hinweise:

  • Namensänderung Projekt und/oder Variable im Editor:
    Werden ein Projektname oder ein Variablenname im Editor geändert, muss diese Änderung in der Konfigurationsdatei nachgezogen werden, damit die Namen in der INI-Datei und im Präfix der Exported into MODBUS angepasst werden.
  • Änderung Standardprojekt:
    Wird in einer Mehrprojektverwaltung das Standardprojekt geändert, dann müssen die Variablen angepasst werden.
    Variablen des Standardprojekts dürfen kein Präfix haben. Alle anderen Variablen benötigen ein Präfix Projektname#.
  • Write Holding Register:
    • Maximum block size: 123


Coils

Handbuch > Process Gateway > MODBUS Slave > Coils

Variables

Auswahl der Variablen, die nach MODBUS exportiert und mit zenon synchronisiert werden.

Parameter

Beschreibung

Available in Scada

Zeigt alle in zenon verfügbaren Variablen an

Bei Mehrprojektverwaltung können Variablen aus allen aktiven Projekten ausgewählt werden.

  • Projects: zeigt alle verfügbaren Projekte an, das Standardprojekt wird mit * gekennzeichnet
  • Variables: bietet alle Variablen des gewählten Projekts zur Übernahme an

Exported into MODBUS

Listet alle nach MODBUS exportierten Variablen vom Datentyp BOOL und deren Offset auf. Liste ist durch Klick auf Überschriften sortierbar.

  • Variables:
    Liste aller SCADA-Variablen welche zum MODBUS exportiert werden.

    Variablen, die nicht aus dem Standardprojekt stammen, erhalten als Präfix den Projektnamen getrennt durch ein # vor dem Variablennamen.
  • Offset:
    Offset der Variable (MODBUS Holding Register Offset)

Pfeil-Tasten

Zuordnung der Variablen zu MODBUS:

  • Klick auf die Taste > fügt Variable aus der Liste Available in Scada zur Liste Exported into MODBUS hinzu. Es wird ein Dialog zur Zuordnung der Adresse geöffnet (siehe Abschnitt Dialog Zuordnung).
  • Klick auf die Taste < entfernt Variable aus der Liste Exported into MODBUS und fügt sie wieder in die Liste Available in Scada ein.

Edit

Öffnet den Dialog für die Adressierung der ausgewählten zenon Variable zu einem Offset in MODBUS.

Hinweise:

  • Namensänderung Projekt und/oder Variable im Editor:
    Werden ein Projektname oder ein Variablenname im Editor geändert, muss diese Änderung in der Konfigurationsdatei nachgezogen werden, damit die Namen in der INI-Datei und im Präfix der Exported into MODBUS angepasst werden.
  • Änderung Standardprojekt:
    Wird in einer Mehrprojektverwaltung das Standardprojekt geändert, dann müssen die Variablen angepasst werden.
    Variablen des Standardprojekts dürfen kein Präfix haben. Alle anderen Variablen benötigen ein Präfix Projektname#.
  • Write Holding Register:
    • Maximum block size: 123


Address Settings

Handbuch > Process Gateway > MODBUS Slave > Address Settings

Dialog Zuordnung

Wird eine Variable durch Klick auf die Schaltfläche > in die Liste Exported into MODBUS verschoben, erscheint der Dialog zur Adressierung der zenon Variable zu einem Offset in MODBUS:

Parameter

Beschreibung

Name

Name der Variablen.
Hinweis: Der Name der Variable ist ausgegraut, da er nicht mehr änderbar ist.

Offset

Offset: MODBUS Holding Register Offset.
Offset der Variable in MODBUS

Achtung: Per Default ist immer 0 als Offset eingetragen.

Register Bit Address
  • Auswahl aus Dropdownliste:
    Bool:
    Bitnummer im Holding-Register
    Default: 0
  • USINT:
    Low Byte oder High Byte im Holding-Register.
    Default: High Byte

Hinweis: nicht verfügbar für die Zuordnung von Coils.

OK

Übernimmt Einstellungen und schließt den Dialog.

Cancel

Verwirft alle Änderungen und schließt den Dialog.


Hardware-Adresse des MODBUS-Systems

Handbuch > Process Gateway > MODBUS Slave > Hardware-Adresse des MODBUS-Systems

Das MODBUS-System vom Process Gateway hat eine einstellbare MODBUS-Hardware-Adresse. Diese wird im Konfigurationsdialog über die Eigenschaft Slave Adress eingestellt. Als Standard wird die Adresse 1 vorgegeben.


Konfigurationsdatei: spezifische Einträge für AccessMODBUS

Handbuch > Process Gateway > MODBUS Slave > Konfigurationsdatei: spezifische Einträge für AccessMODBUS

Die Konfigurationsdatei zenProcGateway.ini enthält spezifische Einträge für MODBUS. Die Datei muss im Systemordner liegen.

[MODBUS]

Eintrag | Beschreibung
COMPORT= | Serielle Schnittstelle (COM1 = 0, COM2 = 1,...). Kann über Konfigurationsdialog eingestellt werden.
BAUD= | Baudrate der seriellen Schnittstelle. Kann über Konfigurationsdialog eingestellt werden.
BYTESIZE= | Anzahl Datenbits der seriellen Schnittstelle
PARITY= | Paritätseinstellungen der seriellen Schnittstelle: 0=No 1=Odd 2=Even Kann über Konfigurationsdialog eingestellt werden.
STOPBITS= | Anzahl Stoppbits der seriellen Schnittstelle 0=1 1=1.5 2=2 Kann über Konfigurationsdialog eingestellt werden.
TIMEOUT= | Timeoutintervall bei serieller Kommunikation in Millisekunden
HWADDRESS= | Hardwareadresse des MODBUS-Systems. Default: 1 Kann über Konfigurationsdialog eingestellt werden.
REFRESHRATE= | Updatezeit in Millisekunden
SERIELL= | Serielle oder TCP/IP Kommunikation: 1 = seriell 0 = TCP/IP Kann über Konfigurationsdialog eingestellt werden.
PORT= | TCP/IP-Port
TCPTIMEOUT= | TCP/IP-Timeout Intervall in Sekunden

[MODBUS VARIABLES]

Variablen, die im AccessMODBUS ausgetauscht werden sollen.

Hinweis: Dieser Eintrag ersetzt ab zenon 7.11 den ursprünglichen Eintrag [VARIABLES]. Damit wird verhindert, dass für Variablen aus dem Standardprojekt ein überflüssiger Austausch über die Option Logic zu SCADA Verbindung durchgeführt wird.

Eintrag

Beschreibung

COUNT

Anzahl der zu exportierenden Variablen

OFFSET_n

Modbus-Adresse, die der entsprechenden Nummer (n) zugeordnet ist. Nummerierung startet mit 0.

NAME_n

Name der Variable, die der entsprechenden Nummer (n) zugeordnet ist. Nummerierung startet mit 0.

Beispiele:

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variable aus Startprojekt
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variable aus Projekt "BASISTUTORIAL"


MS Azure

Handbuch > Process Gateway > MS Azure

Das Process Gateway baut mit dem Kommunikationsmodul AccessAzure.dll eine zyklische Verbindung zu MS Azure auf. Vom Process Gateway unterstützte Dienste in MS Azure:

  • Servicebus Queue
  • Event Hub
  • IoT Hub

Zusätzlich kann das Process Gateway Daten vom IoT Hub via Cloud2Device-Message empfangen.

Daten aus der Queue können dann mit dem AzureDrv Treiber von MS Azure geholt und in Prozesse von zenon integriert werden. Inhalte des IoT Hubs können nur dann vom Treiber ausgelesen werden, wenn diese in die Servicebus Queue überführt werden. Dies kann mit Standarddiensten der MS Azure Cloud realisiert werden.

Daten aus einem Event Hub dienen für Drittanwendungen und können von zenon nicht mehr eingelesen werden.

Kommunikation des Treibers

Zum Auslesen der Werte aus der Servicebus Queue baut der AzureDrv Treiber eine Verbindung zur Servicebus Queue mit dem konfigurierten Namen auf und entnimmt ihr alle enthaltenen Nachrichten. Diese Nachrichten werden entpackt und die darin enthaltenen Onlinewerte den Variablen zugewiesen. Schlüssel dafür ist die Symbolische Adresse.
Alle beim ersten erfolgreichen Verbindungsaufbau bereits in der Queue befindlichen Nachrichten werden geladen und verworfen. Es werden immer nur die aktuellen Werte angezeigt.

Das heißt:
Jede Treiberinstanz auf jedem Rechner besitzt ihre eigene Queue als Eingangskanal.

Example Beispiel

Die Servicebus Queue für den Rechner MYSERVER1 und dem konfigurierten Präfix onlinedata heißt in MS Azure: onlinedata_myserver1.

Es werden numerische (DOUBLE) und alphanumerische (STRING) Werte unterstützt. Der Zeitstempel und die System-Statusbits werden in die Zielvariable übernommen.

Allgemeine Informationen zu MS Azure finden Sie auch im Handbuch MS Azure.

Noch in diesem Kapitel

Modulkonfiguration

Nachrichtenformate

Fehlermeldungen

Konfigurationsdatei: spezifische Einträge für MS Azure


Modulkonfiguration

Handbuch > Process Gateway > MS Azure > Modulkonfiguration

Konfigurationsdialog für MS Azure Anbindung via Process Gateway.

Variables

In der Gruppe Variables konfigurieren sie jene Variablen, deren Werte von zenon in einen MS Azure Service Bus gespeichert werden.

Parameter

Beschreibung

Available in Scada

Zeigt alle in zenon verfügbaren Variablen an

Bei Mehrprojektverwaltung können Variablen aus allen aktiven Projekten ausgewählt werden.

Projects

Liste aller verfügbaren Projekte.
Das Standardprojekt ist mit einem * gekennzeichnet.

Variables

Liste aller Variablen des gewählten Projekts.

Liste ist sortierbar, Mehrfachauswahl ist möglich.

Tipp: Doppelklick auf Variable verschiebt diese.

Schaltfläche >

Ausgewählte Variablen aus Liste Variables werden in die Liste Exported into MS Azure verschoben.

Schaltfläche <

Ausgewählte Variablen werden aus der Liste Exported into MS Azure entfernt.

Exported into MS Azure

Liste der Variablen, die via Process Gateway in den MS Azure Service Bus geschrieben werden. Diese werden mit Name (Points) und Kommunikationsrichtung (Direction) angezeigt. Doppelklick auf einen Eintrag schaltet die Kommunikationsrichtung um.

Der Schlüssel für die Werte in MS Azure ist immer PROJECTNAME#VARIABLENAME.

Points:
Der Name besteht aus:

  • Projektname
  • # (als Trennzeichen)
  • Variablenname.

Direction:
Zeigt die Kommunikationsrichtung an:

  • read only
  • write only
  • read/write

Default: read only
Änderung der Richtung durch Doppelklick auf Variable.

Hinweis: Nur verknüpfte Variablen können beschrieben werden.

MS Azure Connections

In der Gruppe MS Azure Connections sind alle Zielverbindungen in MS Azure anzugeben, in welche die aktuellen Werte der gewählten Variablen eingefügt werden.

Die aktuellen Variablenwerte werden dabei gleichzeitig in alle erstellten Verbindungen eingefügt.

Parameter

Beschreibung

Liste MS Azure Verbindungen

Listet alle konfigurierten Verbindungen zu MS Azure auf. Jede Verbindung besteht aus dem Verbindungsnamen (MS Azure Connection) und dem Service Bus Queue Name.

  • Neuanlage einer Verbindung mit der Schaltfläche New...
  • Mit der Schaltfläche Edit... kann eine gewählte Verbindung geändert werden.

MS Azure Connection

MS Azure Verbindungsadresse.

Service Bus Queue Name

Name der Warteschlange im MS Azure Service-Bus.

New...

Öffnet Dialog zur Konfiguration der MS Azure Verbindung.

Edit...

Öffnet bestehende Verbindungen zur Konfiguration der MS Azure Verbindung.

Delete

Löscht die ausgewählte MS Azure Verbindung aus der Liste.

MS Azure Settings

Parameter

Beschreibung

Integrity period

Zeitintervall, in dem die aktuellen Werte der gewählten Variablen als Abbild in die MS Azure Service Bus Warteschlange geschrieben werden.

Findet während dieser Zeitspanne eine Wertänderung einer Variable statt, wird diese Wertänderung sofort an die MS Azure Warteschlange übermittelt.
Default: 5 s

HTTP Proxy Domain

Adresse des Proxy-Servers im Netzwerk.

HTTP Proxy User

Eingabefeld des Benutzernamens für die Anmeldung am Proxy-Server.

HTTP Proxy Password

Eingabefeld des Passworts für die Anmeldung am Proxy-Server.
Hinweis: Die Eingabe wird - auch während der Eingabe - mit Punkten dargestellt.

Confirm HTTP Proxy Password

Eingabefeld für die Bestätigung des Passworts für die Anmeldung am Proxy-Server.

Hinweis: Die Eingabe wird - auch während der Eingabe - mit Punkten dargestellt.

Navigation

Parameter | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.

Dialoge bei Fehleingaben

Konfigurationen des Proxy-Servers werden validiert. Bei einer Fehlprojektierung wird ein entsprechender Warndialog angezeigt.

attention Achtung

Damit die Proxy-Einstellungen funktionieren, muss auf dem Rechner .NET 4.5 installiert sein.

Noch in diesem Kapitel

MS Azure Connection Settings


MS Azure Connection Settings

Handbuch > Process Gateway > MS Azure > Modulkonfiguration > MS Azure Connection Settings

Konfigurationsdialog der Verbindung zu MS Azure:

Parameter

Beschreibung

MS Azure Connection

MS Azure Verbindungsadresse.

Hinweis: Diese Adresse können Sie im Azure-Verwaltungsportal unter Manage Connection Strings des gewünschten Servicebus Namespace auslesen und kopieren.

Service Bus Queue / Event Hub Name

Name der MS Azure Service Bus Warteschlange oder des Event Hub. Auswahl über Radiobuttons.

Hinweis: Es sind nur Zeichen erlaubt, die im Namen einer MS Azure Service Bus Queue oder in einem Event Hub vorkommen dürfen. Verwenden Sie einfache, kurze und aussagekräftige Namen. Vermeiden Sie Sonderzeichen, sprachspezifische Buchstaben und Leerzeichen.

Service Bus Queue

Der Name der Service Bus Queue setzt sich zusammen aus:

  • einem frei konfigurierbaren Präfix
  • einem Unterstrich (_)
  • dem NETBIOS-Rechnernamen (ohne Domänensuffix) in Kleinschreibung

Existiert der Name im Namespace noch nicht, wird eine Queue mit diesem Namen erstellt.
Voraussetzung: Die entsprechenden Rechte sind vorhanden.

Event Hub

  • Nachrichtenformat: Auswahl in Dropdownliste der Option Format.
  • Event Hub Name: Name des Event Hubs im MS Azure Service Bus
    Der Event Hub muss mit diesem Namen im Namespace bereits angelegt sein.

Hinweis: Ausgegraut, wenn die Option IoT Hub als Kommunikationsart zu MS Azure aktiviert ist.

Queue

Kommunikation zu MS Azure via Service Bus Queue.

  • Aktiv:
    Die Verbindung wird über den Namen der Service Bus Queue hergestellt.

Event Hub
  • Kommunikation zu MS Azure via Event Hub.
  • Aktiv:
    Die Verbindung wird über den Namen des Event Hub hergestellt. Auswahl des Nachrichtenformats über Option Format.

IoT Hub
  • Kommunikation zu MS Azure via IoT Hub.
  • Aktiv:
    Versenden von Istwerten und Empfang von Nachrichten via IoT Hub.
    Eintrag des Device-Connection Strings im Eingabefeld MS Azure Connection.

Format

Nachrichtenformat für Verbindung über Event Hub.
Auswahl aus Dropdownliste:

  • XML
  • JSON
  • BOND (compact binary)

OK

Übernimmt Einstellungen und schließt den Dialog.

Cancel

Verwirft alle Änderungen und schließt den Dialog.

info Info

Der Service Bus Queue Name ist frei konfigurierbar.
Bei der ersten Kommunikation zu MS Azure wird diese Warteschlange automatisch in MS Azure angelegt.

Legen Sie für jeden Rechner, der Daten von MS Azure abruft, über den AzureDrv Treiber eine eigene MS Azure Connection an.

Noch in diesem Kapitel

Kommunikation via IoT Hub


Kommunikation via IoT Hub

Handbuch > Process Gateway > MS Azure > Modulkonfiguration > MS Azure Connection Settings > Kommunikation via IoT Hub

Für die Kommunikation via IoT Hub gilt:

  • Alle Inhalte werden durch das Process Gateway in dem korrekten Format übermittelt.
  • Istwerte werden als Nachricht an den IoT Hub gesendet.
  • Vom IoT Hub empfangene Nachrichten werden dekodiert und als Sollwert auf die enthaltene Variable abgesetzt.

IoT Hub Nachricht

Eine Nachricht via IoT Hub enthält folgende Inhalte:

Parameter

Datentyp

lesen
(receive)

schreiben
(send)

Beschreibung

project

STRING

X

X

zenon Projektname

variable

STRING

X

X

zenon Variablenname

isstring

NUMBER

X

X

Typ der zenon Variable

  • 0 =
    Variablenwert ist numerisch
  • 1 =
    Variablenwert ist ein String

numvalue

NUMBER

X

X

Numerischer Wert der zenon Variable.

Hinweis: nur für numerische Variablen wenn isstring=0. Bei String-Variablen ist der Wert für numvalue 0.

strvalue

STRING

X

X

Stringwert

Hinweis: nur für String-Variablen wenn isstring=1. Bei numerischen Variablen ist der Wert für strvalue leer.

time

ISO timestamp

X

X

Zeitstempel der zenon Variable.

status

NUMBER

X

X

Status der zenon Variable.

isintegrity

NUMBER

--

X

Auslöser für die Datenübertragung.

  • 0 =
    Nachricht aufgrund von Wertänderung an MS Azure gesendet.
  • 1 =
    Nachricht wurde zyklisch gesendet.
    Hinweis: Das zyklische Senden entspricht der projektierten Option Integrity period in der Modulkonfiguration.

sequence

NUMBER

--

X

Laufende Nummer für gesendete Nachrichten. Dies wird durch das Process Gateway automatisch durchgeführt und wird bei jeder Nachricht erhöht.

msgtime

ISO timestamp

--

X

Zeitstempel der Nachricht.

Legende:

X: wird unterstützt

--: wird nicht unterstützt

Die Nachrichten in Empfangsrichtung (receive) sind identisch mit jenen in Senderichtung (send). Die Parameter isintegrity, sequence und msgtime werden beim Empfangen (receive) nicht benötigt. Alle Inhalte werden durch das Process Gateway in dem korrekten Format übermittelt. Alle Inhalte werden durch das Process Gateway in dem korrekten Format übermittelt.

Example Beispiel

Mögliches Format einer Nachricht, die vom Process Gateway gesendet wird:

{"isintegrity":1,"isstring":1,"msgtime":"2017-05-03T08:51:23.260Z","numvalue":0,"project":"AZURE_TEST","sequence":1,"status":1078067200,"strvalue":"sunshine","time":"2017-04-11T05:28:33.542Z","variable":"weather"}


Nachrichtenformate

Handbuch > Process Gateway > MS Azure > Nachrichtenformate

Service Bus Queue

Die Nachrichten in der Queue müssen als Nutzdaten eine serialisierte .NET Klasse OnlineValueMessage besitzen.

Format:

public class OnlineValueMessage

{

public string strVarProject { get; set; }

public string strVarName { get; set; }

public long nVarID { get; set; }

public double fValue { get; set; }

public string strValue { get; set; }

public bool bValueIsString { get; set; }

public long nTime_s { get; set; }

public short nTime_milli { get; set; }

public long nStatus { get; set; }

}

Event Hub

Bei Verwendung des Event Hub als Verbindung, kann zwischen XML, JSON und BOND (compact binary) als Nachrichtenformat gewählt werden. Partition-Key ist der zenon Variablenname.

Format BOND

namespace AzureServiceBusShared

struct ArchiveMessage

{

0: string strArvProject;

1: string strArvName;

2: string strVarProject;

3: string strVarName;

4: int64 nVarID;

5: int16 nCalc;

6: double fValue;

7: string strValue;

8: bool bValueIsString;

9: int64 nTime_s;

10: int16 nTime_milli;

11: int64 nStatus;

}

struct OnlineValueMessage

{

0: string strVarProject;

1: string strVarName;

2: int64 nVarID;

3: double fValue;

4: string strValue;

5: bool bValueIsString;

6: int64 nTime_s;

7: int16 nTime_milli;

8: int64 nStatus;

}


Fehlermeldungen

Handbuch > Process Gateway > MS Azure > Fehlermeldungen

Fehlermeldung in der LOG-Datei:

Fehlermeldung | Debug Level | Beschreibung
Project %s inactive fail! | Error | Der Project-Inactive Event konnte vom Gateway nicht in der vorgegebenen Zeit bearbeitet werden.
Project %s active fail! | Error | Der Project-Active Event konnte vom Gateway nicht in der vorgegebenen Zeit bearbeitet werden.
Value change queue full: Value change for id:%u of project:%s lost! | Error | Die Queue für die Wertänderungen aus der Runtime ist voll. Zusätzliche Werte werden verworfen. Vermutlich ist die Verbindung zu Azure zu langsam, um alle Wertänderungen weiter zu geben.
Adding of %d Online Rows failed for '%s' Queue '%s | Error | Das Einfügen von Wertänderungen in die Service Bus Queue ist fehlgeschlagen.
Adding of %d Online Rows succeeded for '%s' Queue '%s' | Deep Debug | Das Einfügen von Wertänderungen in die Service Bus Queue war erfolgreich.
Starting to add Online Rows failed for '%s' Queue '%s' | Error | Der Verbindungsaufbau zur Service Bus Queue ist fehlgeschlagen.
Creating Azure Wrapper failed | Error | Die ManagedAzureWrapper.dll konnte nicht geladen werden.

IoT

Parameter | Beschreibung | Beschreibung
Sending value to '%s' failed | Error | Das Sollwert setzen ist fehlgeschlagen
IoTHubMessage_GetByteArray() failed | Error | Der SDK API-Aufruf ist fehlgeschlagen.
Received message from IoT Hub | Deep Debug | Nachricht vom IoT-Hub empfangen.
Exception when deserializing payload: %s | Error | Empangene Nachricht ist im falschen Format
IoTHubClient_CreateFromConnectionString() failed | Error | Der SDK API-Aufruf ist fehlgeschlagen.
IoTHubClient_SetMessageCallback() failed | Error | Der SDK API-Aufruf ist fehlgeschlagen.
IoTHubMessage_CreateFromByteArray() failed | Error | Der SDK API-Aufruf ist fehlgeschlagen.
Sent message to IoT Hub | Deep Debug | Die Nachricht wurde gesendet.


Konfigurationsdatei: spezifische Einträge für MS Azure

Handbuch > Process Gateway > MS Azure > Konfigurationsdatei: spezifische Einträge für MS Azure

Die Konfigurationsdatei zenProcGateway.ini enthält folgende Einträge für MS Azure.

[Azure]

Eintrag | Beschreibung
INTEGRITYPERIOD= | Intervall des Schreibzyklus in Sekunden.
PROXY_DOMAIN= | Adresse des Proxy-Servers.
PROXY_USER= | Benutzername für die Anmeldung am Proxy-Server.
PROXY_PWD= | Passwort für die Anmeldung am Proxy-Server. Hinweis: Das Passwort wird auch in der .INI-Datei verschlüsselt dargestellt.

Hinweis: Damit die Proxy-Einstellungen funktionieren, muss auf dem Rechner .NET 4.5 installiert sein.

[VARIABLES]

Eintrag

Beschreibung

Name_n=

Name der Variable für das Process Gateway.
Format: QUELLPROJEKT#QUELLVARIABLE.

Nummerierung (n):

n steht dabei für die laufende Nummer der Verbindungskonfiguration.

Diese Nummerierung beginnt mit 0.

Beispiel:

  • 1 Variable ergibt n = 0
  • 3 Variablen ergeben für den dritten Eintrag n = 2

Count=

Anzahl der Variablen.

Hinweis: Hier beginnt die Nummerierung mit 1. Acht Verbindungen ergeben Count=8.

[CONNECTIONS]

Eintrag

Beschreibung

CONN_n=

Name der MS Azure Verbindung.

Nummerierung (n):

n steht dabei für die laufende Nummer der Verbindungskonfiguration.

Diese Nummerierung beginnt mit 0.

Beispiel:

  • 1 Verbindung ergibt n = 0
  • 3 Verbindungen ergeben für den dritten Eintrag n = 2

QUEUE_n=

Name der MS Azure Warteschlange.

Für die Nummerierung (_n) gelten dieselben Regeln wie für CONN

COUNT=

Anzahl der konfigurierten MS Azure Verbindungen.

Hinweis: Hier beginnt die Nummerierung mit 1. Zwei Verbindungen ergeben Count=2.


OPC UA Server

Handbuch > Process Gateway > OPC UA Server

Der OPC UA Server stellt die im Projekt verwendeten Variablen allen standardkonformen OPC UA Client Tools zur Verfügung.

info Info

Der OPC UA Server kann für alle zenon Versionen ab 5.50 eingesetzt werden.

Der Vorläufer des OPC UA Servers ist der OPC DA Server. Dieser ist nicht Bestandteil des Process Gateways.

Der OPC UA Treiber und alle Dialoge stehen nur in englischer Sprache zur Verfügung.

Mehrprojektfähigkeit

Der OPC UA Server ist ab zenon 7.11 mehrprojektfähig. Es können Variablen aus dem Runtime-Projekt und allen seinen Unterprojekten gewählt werden. Dabei wird der Objektname aus dem Variablennamen und dem Projektnamen zusammengesetzt. Konfigurationen für OPC UA Clients, die vor zenon 7.11 erstellt wurden, sind damit nicht kompatibel. Diese müssen beim Einsatz von zenon 7.11 oder höher angepasst werden.

Ab der Version 7.60 ändern sich die NodeIDs, wenn Variablen nicht explizit in der Konfiguration definiert sind. Der Datentyp der NodeID ist String. Die NodeID setzt sich zusammen aus der Project GUID und der Variablen ID. Wenn Variablen explizit konfiguriert sind, hat diese Änderung keine Auswirkung.

Example Beispiel

NodeID: "6d5ea886-1b04-4d9c-aa35-2b5664c500cd-38d"; dabei gilt: "6d5ea886-1b04-4d9c-aa35-2b5664c500cd" ist die Projekt ID und "38d" entspricht der Variablen ID 909.

Ab der Version 7.60 ist bei neuen Konfigurationen der NameSpace Index per Default "2", anstelle "80". In der Benutzeroberfläche ist der NameSpace Index nicht länger konfigurierbar. Für bestehende Konfigurationen hat diese Änderung keine Auswirkung.

Über den Eintrag "configuration_version=1" in der INI-Datei kann das frühere Verhalten erneut aktiviert werden. Dies kann z.B. für einen NameSpace Index mit 80 oder für einen konfigurierbaren NameSpace Index sinnvoll sein.

Noch in diesem Kapitel

Vergleich OPC Server und OPC UA Server

Modulkonfiguration

Start

Verbindung

Sicherheit

Alarms and Conditions

Service Sets

Kommunikation

Konfigurationsdatei: INI-Einträge für OPC UA

Fehlermeldungen

Status Mapping


Vergleich OPC Server und OPC UA Server

Handbuch > Process Gateway > OPC UA Server > Vergleich OPC Server und OPC UA Server

Die OPC UA Server Technik hat den OPC Server abgelöst. In den meisten Einsatzgebieten empfiehlt sich die Verwendung des OPC UA Servers.

OPC Server

  • OPC Task Force seit 1995
  • einheitliche Schnittstelle in der Automatisierungstechnik
  • baut auf Microsofts COM/DCOM Technologie auf
  • Seit 1996 OPC Foundation
  • mehrere Spezifikationen für unterschiedliche Anwendungsfälle

OPC UA Server

Vergleich OPC Server mit OPC UA Server

Parameter | OPC Server | OPC UA Server
Datenmodell | eingeschränkt | für alle Anwendungsgebiete
Implementierung | herstellerabhängig | herstellerunabhängig
Interoperabilität | -- | X
Konfiguration | aufwändig | einfach
Mehrere Instanzen | -- | X
Netzwerk-Einsatz | -- | X
Netzwerk-Technologie | -- | OPC UA TCP binary Protocol
Performance | niedrig | hoch
Plattformen | nur Windows | unabhängig
Ressourcenbedarf | hoch | niedriger
Serviceorientierte Architektur | -- | X
Sicherheit | veraltet | nach aktuellen Standards
Verbindungssicherheit | -- | X
Windows CE | -- | X

Legende:

  • X: wird unterstützt
  • --: wird nicht unterstützt


Modulkonfiguration

Handbuch > Process Gateway > OPC UA Server > Modulkonfiguration

Um Server und Variablen für OPC UA zu konfigurieren:

  1. Klicken Sie im Process Gateway Statistik-Dialog die Schaltfläche Configuration.
    Der Dialog für die Konfiguration des OPC UA Moduls wird geöffnet.
  2. Im Modul-Konfigurationsdialog konfigurieren Sie:
    • Server
      Verbindungsparameter zum OPC UA Server
    • Variablen
      Variablenzuordnung

Noch in diesem Kapitel

Server

Variables

Archives


Server

Handbuch > Process Gateway > OPC UA Server > Modulkonfiguration > Server

In der Registerkarte Server konfigurieren Sie Verbindungsparameter zu einem OPC UA Server.

Connection

Kommunikationsparameter zum OPC UA Server.

Parameter | Beschreibung
Name | Name des Servers, wie er am Client angezeigt wird. Default: zenon OPC UA Process Gateway
Port | TCP Port, über den der Client die Verbindung zum OPC UA Server herstellt. Default: 4841

Security

Einstellungen und Zuordnung von Zertifikaten für die gesicherte und verschlüsselte Kommunikation.

Parameter

Beschreibung

Certificates path

Pfad für den Stammordner mit den Zertifikatsdateien und den jeweiligen Unterordnern.

Klick auf die Schaltfläche ... öffnet den Datei-Auswahldialog.

Default: %ProgramData%\PKI\CA\

Hinweis: Wird dieser Stammordner geändert, müssen auch die Pfade für Server certificate path und Server private key path angepasst werden.

Server certificate path

Datei mit öffentlichem Schlüssel des Servers. Dieser öffentliche Schlüssel wird vom Client zum Verschlüsseln der Nachrichten verwendet.

Klick auf die Schaltfläche ... öffnet den Datei-Auswahldialog. Im Dialog werden Dateien mit folgendem Dateityp zur Auswahl angezeigt:

  • Format: DER
  • Endung: .der

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Hinweis: Dieser Pfad muss ein Unterordner des projektierten Certificates path sein. Im Fehlerfall wird eine Warnmeldung visualisiert und die Schaltfläche OK ist ausgegraut.

Server private key path

Datei mit privatem Schlüssel des Servers. Dieser private Schlüssel wird vom Server zum Entschlüsseln der Nachrichten des Clients verwendet.

Klick auf die Schaltfläche ... öffnet den Datei-Auswahldialog. Im Dialog werden Dateien mit folgendem Dateityp zur Auswahl angezeigt:

  • Format: PEM
  • kein Passwort

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Hinweis: Dieser Pfad muss ein Unterordner des projektierten Certificates path sein. Im Fehlerfall wird eine Warnmeldung visualisiert und die Schaltfläche OK ist ausgegraut.

Accept secure connections only

Checkbox zur Aktivierung, dass nur eine sichere Verbindung für den Verbindungsaufbau verwendet werden kann.

  • Aktiv:
    Ein Verbindungsaufbau wird nur mit einer sicheren Verbindung akzeptiert. Die Absicherung erfolgt jeweils mit Signatur oder mit Signatur und Verschlüsselung.
  • Inaktiv:
    Ein Verbindungsaufbau wird auch mit einer unsicheren Verbindung akzeptiert.

Als sichere Verbindung gelten:

  • Basic128Rsa15:
    RSA15 als Key Wrap-Algorithmus und
    128-bit Basic als Algorithmus für die Nachrichtenverschlüsselung
  • Basic256:
    256-bit Basic als Algorithmus für die Nachrichtenverschlüsselung

Default: inaktiv

Hinweis: Bei Verbindungen mit Signatur sind die Pakete gegen Manipulationen gesichert, der Paketinhalt wird jedoch nicht verschlüsselt.

Trust all client certificates

Checkbox zur Auswahl, ob alle Client-Zertifikate oder nur am Server bekannte Client-Zertifikate für den Verbindungsaufbau akzeptiert werden.

  • Aktiv:
    Alle Client-Zertifikate werden akzeptiert, die Verbindung wird aufgebaut.
  • Inaktiv:
    Alle Clients, die sich mit dem Server verbinden wollen, müssen ein gültiges Zertifikat übermitteln. Dieses Zertifikat wird zusätzlich darauf überprüft, ob es sich in der Liste der bekannten Client-Zertifikate (Certificate trust list path) befindet.

Default: aktiv

Hinweis: Ein OPC UA Client ohne sichere Verbindung sendet kein Zertifikat. Für einen OPC UA Client mit sicherer Verbindung muss das Zertifikat immer im Ordner der Trust List abgelegt sein.

Use SCADA user authentication

Checkbox für Konfiguration der Verbindung.
Ist im zenon Projekt keine Benutzerverwaltung projektiert, ist diese Checkbox ausgegraut.

  • Aktiv:
    Clients können sich am Server nur mit gültiger Benutzerkennung und Passwort anmelden.
    Hinweis: Dazu muss im zenon Editor die Benutzerverwaltung aktiviert und projektiert sein.
  • Inaktiv:
    Anonymes Login ist möglich.

Achtung: Benutzername und Passwort werden im OPC UA Telegramm nicht verschlüsselt übertragen. Verwenden Sie bei Bedarf eigene Benutzer im Projekt ohne zugeordnete Berechtigungsebenen.

Dialog beenden

OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Achtung: Alle aktiven Verbindungen werden beendet und der Server wird mit den neuen Einstellungen neu gestartet. Dabei können Verbindungsfehler auftreten.
Cancel | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Help | Öffnet die Online-Hilfe.

Fehlermeldungen

Fehlermeldungen werden in roter Schrift im Dialog angezeigt. Dabei werden nicht alle Fehler gemeinsam dargestellt. Angezeigt wird jeweils der erste Fehler der Konfiguration. So kann es dazu kommen, dass nach Korrektur einer fehlerhaften Konfiguration eine neue Fehlermeldung angezeigt wird.

Noch in diesem Kapitel

Zertifikate

Zertifikate neu erstellen


Zertifikate

Handbuch > Process Gateway > OPC UA Server > Modulkonfiguration > Server > Zertifikate

Alle Zertifikate müssen dem Format X509 entsprechen.

Certificate store

Der OPC UA Server im Process Gateway verwendet ein sogenanntes OpenSSL Directory certificate store.

Server certificate

Das beim ersten Start optional erstellte Serverzertifikat ist ein selbstsigniertes Zertifikat. Das Zertifikat enthält den öffentlichen Schlüssel. Zusätzlich wird ein passender privater RSA-Schlüssel (1024 Bit) generiert.

Obwohl das OPC UA Gateway grundsätzlich mit dem selbst erstellten Zertifikat lauffähig ist, wird empfohlen für den Produktivbetrieb ein den Anforderungen entsprechenden Zertifikat zu erstellen. Hierzu kann das selbst erstellte Zertifikat als Vorlage dienen für Anwendungen die eine Erstellung der Zertifikate nach Benutzerkriterien ermöglichen.

attention Achtung

Der Dateiname zenopcua wird sowohl vom OPC UA Server als auch vom OPCUA32 Client Treiber verwendet. Wenn eine verschlüsselte Kommunikation zwischen dem OPCUA32 Client Treiber und OPC UA Server im Process Gateway auf dem gleichen Rechner für Tests konfiguriert wird, wird am besten das Zertifikat für den OPCUA32 Client Treiber umbenannt, bevor das Zertifikat in die Trust List vom OPC UA Server kopiert wird.

Als URI im Feld SubjectAltName enthält das Zertifikat den Full Qualitfied Domainname (FQN) des Rechners, die Default-Portnummer 4841 vom OPC UA Server und einen DNS Eintrag mit dem Rechner-Namen. Die URI des OPCUA Servers wird dynamisch zusammengestellt und ändert sich, z. B. wenn die Portnummer geändert wird. In diesem Fall wird das Serverzertifikat nicht geändert. Ein Client, der eine strikte Überprüfung des Serverzertifikats durchführt, kann dann das Serverzertifikat verweigern. Auch kann es notwendig sein, ein eigenes Zertifikat zu erstellen, welches für den SubjectAltname neben den DNS Eintrag auch einen Eintrag für die IP Addresse enthält.

Certificate Trust List/Certificate Trust Chain

Alle Zertifikate mit der Endung .der werden vom OPC UA Server geprüft und als vertrauenswürdiges Zertifikat eingestuft. Alternativ zu einem selbstsignierten Application Instance Zertifikat eines OPC UA Clients kann hier auch das öffentliche Root-Zertifikat der Certificate Authority abgelegt werden, das zum Signieren eines Application Instance Zertifikats eines OPC UA Clients verwendet wurde. Das Application Instance Zertifikat des Clients braucht in diesem Fall nicht am Server vorhanden sein.

Certificate Revocation List

Wenn ein OPC UA Client ein Application Instance Zertifikat verwendet, das von einer Certificate Authority signiert wurde, wird vom Server zusätzlich zum Zertifikat auch die Certificate Revocation List geprüft. Der OPC UA Server prüft sämtliche Dateien mit der Endung .crl im Unterordner Crl.
Achtung: Die .crl Datei muss im PEM Format abgelegt sein. Pro Certificate Authority darf jeweils nur eine einzige .crl Datei vorhanden sein.

Die Verbindung wird abgelehnt, wenn:

  • das Client Zertifikat in der Revocationlist enthalten ist (BadCertificateRevoked)
  • die CRL nicht mehr aktuell ist (BadCertificateTimeInvalid)

Ist für ein Zertifikat, das von einer Certificate Authority signiert wurde, keine Certificate Revocation List vorhanden, wird angenommen dass es keine solche Revocation List gibt. In diesem Fall wird das Zertifikat als vertrauenswürdig betrachtet.


Zertifikate neu erstellen

Handbuch > Process Gateway > OPC UA Server > Modulkonfiguration > Server > Zertifikate neu erstellen

Bei Bedarf können beim Start des OPC UA Servers neue Zertifikate generiert werden.
Dazu:

  1. Entfernen Sie die vorhandenen Zertifikate.
    Dazu haben Sie zwei Möglichkeiten:
    1. Löschen Sie den Ordner %programdata%\COPA-DATA\system\PKI.
      Dabei werden alle Trusted certificates und Certificate revocation lists entfernt.
      Oder:
    2. Löschen Sie folgende Dateien, um alle anderen Zertifikate und Listen zu erhalten:

      zenopcua.der im Ordner %programdata%\COPA-DATA\system\PKI\CA\certs

      zenopcua.pem im Ordner %programdata%\COPA-DATA\system\PKI\CA\private

      zenopcua.crl im Ordner %programdata%\COPA-DATA\system\PKI\CA\crl

  2. Öffnen Sie die Konfigurationsdatei zenprocgateway.ini.
  3. Navigieren Sie zum Abschnitt [OPCUA].
  4. Entfernen Sie folgende Einträge:
    • CERTIFICATES_PATH=
    • SERVER_CERTIFICATE_LOCATION=
    • SERVER_PRIVATE_KEY_LOCATION=
  5. Starten Sie das OPC UA Process Gateway.
  6. Bestätigen Sie die Nachrichtenbox mit Klick auf die Schaltfläche Ja, um neue Zertifikate zu erstellen.

attention Achtung

Wenn Server-Zertifikate erneuert werden, muss jeder OPC UA Client, der ein gültiges Server Zertifikat benötigt, das erneuerte Zertifikat erhalten.

Neuerstellung des Server Zertifikats

Folgende Situationen können es notwendig machen das Server-Zertifikat neu zu erstellen:

  • mehrere Instanzen vom Process Gateway auf dem gleichen System mit unterschiedliche Port Nummer
  • eine Änderung von der Port Nummer
  • eine Änderung vom Rechnernamen
  • das Zertifikat ist abgelaufen


Variables

Handbuch > Process Gateway > OPC UA Server > Modulkonfiguration > Variables

Variablen für das OPC UA Process Gateway können automatisch oder individuell ausgewählt werden.

Es können Variablen aus dem laufenden Projekt und seinen Unterprojekten ausgewählt werden. Der Name am Server setzt sich aus dem Variablennamen und dem Projektnamen zusammen.

attention Achtung

Variablen, für die im zenon Editor die Eigenschaft Sollwert setzen nicht aktiviert wurde, können von einem OPC UA Client nicht beschrieben werden.

Variablen definieren

Werden in der Konfiguration für den OPC UA Server keine Variablen definiert, werden alle Variablen aus den verfügbaren zenon Projekten zum OPC UA Address Space hinzugefügt. Damit sind alle Variablen (auch Systemtreibervariablen) für die Clients sichtbar.

Bei der manuellen Konfiguration (mindestens eine konfigurierte Variable), werden die vom Benutzer definierten Werte verwendet. Standardmäßig wird der Namespace Index 2 verwendet und ein String Identifier mit dem Variablennamen eingetragen. Der Namespace Index ist nicht konfigurierbar.

In der Registerkarte Variables konfigurieren Sie die Variablen welche als Node im OPC UA Datenmodell zur Verfügung gestellt werden sollen.

Parameter

Beschreibung

Available in SCADA

Liste der in zenon Runtime projektierten und verfügbaren Variablen.

  • Project
    zenon Projectname
  • Name
    zenon Variablenname
    Entspricht der Variablen-Eigenschaft Name im zenon Editor.

Die Liste ist sortier- und filterbar:

  • Sortierung durch Klick auf Spaltenüberschrift. Ein nochmaliger Klick ändert die Sortierrichtung.
  • Filterung durch Eingabe des Filtertexts in Eingabefeld. Als Platzhalter sind die Zeichen * oder ? möglich.

Pfeil-Tasten

Zuordnung der zenon Variablen zu OPC UA:

  • Klick auf die Schaltfläche > fügt ausgewählte Variable aus der Liste Available in SCADA zur Liste Exported to OPC UA hinzu.
  • Klick auf die Taste < entfernt ausgewählte Variable aus der Liste Exported to OPC UA und fügt sie wieder in die Liste Available in SCADA ein.
  • Klick auf die Schaltfläche >> fügt alle Variablen der Liste Available in SCADA zur Liste Exported to OPC UA.
  • Klick auf die Schaltfläche << entfernt alle Variablen aus der Liste Exported to OPC UA.

Mehrfachauswahl ist mit Mausklick + CTRL-Taste möglich.

Exported to OPC UA

Liste der exportierten Variablen.

Die Variablen können sortiert werden nach:

  • Identifier
  • SCADA Project
  • SCADA Name

Node Id

Das Eingabefeld für Node ID ist nur dann verfügbar, wenn ein Eintrag in der Liste Exported to OPC UA ausgewählt ist.

Node ID

Parameter

Beschreibung

Identifier

Definiert den Node Identifier für die ausgewählte OPC UA Variable. Der Node Identifier Typ wird anhand der Eingabe automatisch definiert:

  • Bei einer numerischen Eingabe wird automatisch ein numerischer Identifier erzeugt.
  • Bei Eingabe einer GUID, wird automatisch ein GUID Identifier erzeugt, andernfalls wird der Identifier als String behandelt.
    GUID-Form: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)

Das Feld darf nicht leer sein.

Der Node Identifier muss im gesamten Addressraum eindeutig sein.

Variablenexport nach OPC UA

Um Variablen nach OPC UA zu exportieren:

  1. Wählen Sie in Available in SCADA die gewünschten Variablen per Mausklick aus. Mehrfachauwahl ist möglich.
  2. klicken Sie auf den Pfeil Richtung Exported to OPC UA

    Um alle Variablen zu exportieren, klicken Sie auf den Doppelpfeil

Als Browsename und Displayname wird der zenon Variablenname verwendet.

info Info

Bei zenon Variablen mit einem Slash (/) im Namen, wird der / durch einen Punkt (.) ersetzt. Die durch Slash getrennten Teile des Namens werden in eigenen Unterordnern gespeichert.

Beispiel: Die zenon Variable "Static/Scalar/Int32" wird aufgeteilt in:

  • eine OPC UA Variable "Int32"
  • in einem Ordner "Scalar",
  • der ein Unterordner des Ordners "Static" ist

Das funktioniert mit allen Datentypen, mehrdimensionalen Arrays, Umlauten im Namen und Slashes am Ende.


Archives

Handbuch > Process Gateway > OPC UA Server > Modulkonfiguration > Archives

Projects

Liste des im zenon Editor aktivierten Projektes.

Parameter | Beschreibung
[Projektname] | Name des im zenon Editor geladenen Projekts. In Archives in SCADA werden die Inhalte des ausgewählten Projekts angezeigt.

Archives in SCADA

Liste der Archiv-Variablen des ausgewählten Projekts.

Parameter

Beschreibung

[Variablenliste]

Liste der in zenon Runtime projektierten Archiv-Variablen.

  • Archive ID
    Identifikation des vorhandenen zenon Archivs.
  • Archive Name
    Projektierter Name des zenon Archivs.
  • Variable
    Projektierter Name der Archiv-Variable
  • Type
    Archivtyp

Die Liste ist sortier- und filterbar:

  • Sortierung durch Klick auf Spaltenüberschrift. Ein nochmaliger Klick ändert die Sortierrichtung.
  • Filterung durch Eingabe des Filtertexts in Eingabefeld. Als Platzhalter sind die Zeichen * oder ? möglich.

Pfeil-Tasten

Zuordnung der Archiv-Variablen zu OPC UA:

  • Klick auf die Schaltfläche > fügt ausgewählte Variable aus der Liste Archives in SCADA zur Liste Exported to OPC UA hinzu.
  • Klick auf die Taste < entfernt ausgewählte Variable aus der Liste Exported to OPC UA und fügt sie wieder in die Liste Archives in SCADA ein.
  • Klick auf die Schaltfläche >> fügt alle Variablen der Liste Archives in SCADA zur Liste Exported to OPC UA.
  • Klick auf die Schaltfläche << entfernt alle Variablen aus der Liste Exported to OPC UA.

Mehrfachauswahl ist mit Maustklick + CTRL-Taste möglich.

Exported to OPC UA

Liste der exportierten Variablen.

Die Variablen können sortiert werden nach:

  • Identifier - setzt sich zusammen aus:
    Projektname + Archiv-ID + Archivvariable-Name + Archivtyp
  • SCADA Project
    Name des zenon Projekts
  • SCADA Name - setzt sich zusammen aus:
    Archiv-ID + Name-Archivvariable + Archivtyp

Node ID

Das Eingabefeld für Node ID ist nur dann verfügbar, wenn ein Eintrag in der Liste Exported to OPC UA ausgewählt ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Start

Handbuch > Process Gateway > OPC UA Server > Start

Beim Start lädt das Process Gateway das konfigurierte Modul.

Beim ersten Start oder wenn keine Variablen explizit konfiguriert sind, erzeugt der OPC UA Server automatisch für sämtliche Variablen aus sämtlichen Projekten in der Runtime, das Datenmodell. Bei vielen Variablen oder vielen Variablen mit konfigurierten Alarmen, kann der Start entsprechend lange dauern. Es ist grundsätzlich zu empfehlen, nur solche Variablen über den OPC UA Server zur Verfügung zu stellen, welche tatsächlich vom OPC UA Client benötigt werden. Es können auch mehrere Instanzen vom OPC UA Process Gateway mit unterschiedlichem TCP Port und unterschiedlicher Konfiguration gestartet werden, was die Variablen betrifft.

Der Treiber versucht, die aktive Konfiguration aus der angegebenen INI-Datei auszulesen. Enthält die Konfiguration Fehler oder tritt beim Start ein Fehler auf, wird der Konfigurationsdialog geöffnet und eine Fehlermeldung oder ein Fehlertext gezeigt. Wird die Konfiguration nicht mit OK bestätigt, wird das Process Gateway geschlossen.

attention Achtung

Wir die Anwendung als unsichtbar gestartet, wird auch kein Konfigurationsdialog angezeigt. Ist die Konfiguration ungültig oder nicht vorhanden, wird das Process Gateway automatisch geschlossen.


Verbindung

Handbuch > Process Gateway > OPC UA Server > Verbindung

Das OPC UA Process Gateway unterstützt nur das OPC UA TCP binary Protocol und beinhaltet keinen Discovery Server. Der Client muss also direkt zum Server verbinden. Die Verbindungsadresse entspricht dem Schema: opc.tcp://hostname.of.server:port.

Die Verbindung kann gesichert werden.


Sicherheit

Handbuch > Process Gateway > OPC UA Server > Sicherheit

Das Modul verwendet die OPC UA entsprechenden Sicherheitsprozeduren (signieren und verschlüsseln von Nachrichten) wie im Standard definiert. Zertifikate können, je nach Einstellung, überprüft oder pauschal akzeptiert werden.

Sichere Verbindungen

Wird die Option Accept secure connections only aktiviert, akzeptiert der Server ausschließlich Verbindungen, die den Security Mode Sign oder Sign & Encrypt verwenden. Zusätzlich muss vom Client als Security Policy Basic128Rsa15 oder Basic256 benutzt werden. Bei deaktivierter Option wird jede beliebige Kombination von Security Mode und Security Policy akzeptiert.

Benutzerverwaltung

Ist im zenon Projekt die Benutzerverwaltung aktiviert und mindestens ein Benutzer angelegt, dann steht die Option Use SCADA user authentication zur Verfügung. Wird diese Option aktiviert, haben nur noch Clients die eine gültige Kombination aus Benutzer und Passwort senden, Zugriff auf die Daten des OPC UA Servers. Ist die Option inaktiv, findest keine Überprüfung statt. In diesem Fall werden sowohl anonyme Verbindungen wie auch alle Benutzer/Passwort-Kombinationen akzeptiert.


Alarms and Conditions

Handbuch > Process Gateway > OPC UA Server > Alarms and Conditions

Das OPC UA Process Gateway unterstützt auch OPC UA Alarms and Conditions. Beim Start prüft der OPC UA Server automatisch die konfigurierte Variablen auf vorhandene Grenzwerte oder Reaktionsmatrix, mit Zustände welcher als Alarm definiert sind.

Ein OPC UA Client kann eine Subscription für Event Notifications erstellen, und das Server Object hinzufügen. Somit kann der OPC UA Client über Grenzwertverletzungen einer Variablen mit aktiver Alarm, informiert werden. Der Client ist auch in der Lage, den Alarm - gleich wie in der zenon Runtime - zu bestätigen.

Achtung: Der Kommentar für Alarme bei dem OPC UA Methodenaufruf zur Quittierung wird nicht weitergereicht an die zenon Runtime. Wenn ein Alarm in zenon mit "Kommentar Erforderlich" konfiguriert ist, kann ein OPC UA Client diesen Alarm mit Kommentar nicht bestätigen.

Achtung: Ist ein Alarm so konfiguriert, dass eine Alarmursache erforderlich ist, kann der Alarm auf OPC UA Seite nicht quittiert werden.

Die standardkonforme OPC Gewichtung wird auf den Index der mit dem Grenzwert verbundenen Alarm/Ereignis-Klassen abgebildet. Der Index einer Alarm/Ereignis-Klasse wird vom zenon Editor mit jeder neuen Alarm/Ereignis-Klasse automatisch hochgezählt und kann in den Eigenschaften überprüft werden. Es werden bis zu 20 Klassen mit folgender Zuordnung unterstützt:

OPC UA Bereich | zenon Alarm/Ereignis-Klasse | OPC Gewichtung
HIGH | 20 | 1000
 | 19 | 950
 | 18 | 900
 | 17 | 850
MEDIUM HIGH | 16 | 800
 | 15 | 750
 | 14 | 700
 | 13 | 650
MEDIUM | 12 | 600
 | 11 | 550
 | 10 | 500
 | 9 | 450
MEDIUM LOW | 8 | 400
 | 7 | 350
 | 6 | 300
 | 5 | 250
LOW | 4 | 200
 | 3 | 150
 | 2 | 100
 | 1 | 50

Ist eine Variable mit keiner Alarm/Ereignis-Klasse verknüpft ist, wird die niedrigste mögliche Einstufung 1 (LOW) verwendet.

Abbildung zenon Alarme als Objekt

zenon Variablen und darauf bezogene Alarme werden im OPC UA Server als Objekte abgebildet.

Die Abbildung zeigt die Einbindung des zenon Projekts (TEST651) und der zenon Variablen (WIZ_VAR_10, WIZ_VAR_11, WIZ_VAR_12) als Objekte im oberen Bereich. Darunter stehen jene Alarme, die durch Erreichen der Grenzwerte erzeugt wurden (Limit 750 reached! usw.).

Node Identifier Alarm Condition

Der Node Identifier Typ von der Alarm Condition ist ein String Type Node ID.

Standard wird folgenden Aufbau verwendet:

<project GUID>-<Variablen ID hexadezimal>@<Variablenname>:_<Grenzwert Bezeichnung oder "Rema">

Über den INI Eintrag: USE_LIMIT_TEXT_FOR_ALARM_NODES=TRUE im Abschitt OPCUA in der ini Datei für das OPC UA Process Gateway, kann einen alternativen Aufbau aktiviert werden, wo der Grenzwerttext verwendet wird. Dieser alternativen Aufbau steht nur für Grenzwerte zur Verfügung und nicht für Alarme über einen Reaktionsmatrix. Ein dynamischen Grenzwerttext wird hierbei nicht unterstützt. Es muss sichergestellt sein, dass der gleiche Grenzwerttext nicht für mehrere Grenzwerte für die gleiche Variable verwendet wird, da sonst keine Eindeutigkeit existiert:

<project GUID>-<Variablen ID hexadezimal>@<statischer Grenzwerttext>

Protokollierung (Logging)

Der Treiber unterstützt eine umfangreiche LOG-Funktion. Diese LOG-Einträge können mit dem Tool Diagnosis Viewer ausgewertet werden.


Service Sets

Handbuch > Process Gateway > OPC UA Server > Service Sets

Service Set | Wird unterstützt
Discovery Service Set |
FindServers | ja
GetEndpoints | ja
RegisterServer | nein
SecureChannel Service Set |
OpenSecureChannel | Ja
CloseSecureChannel | Ja
Session Service Set |
CreateSession | ja
ActivateSession | ja
CloseSession | ja
Cancel | ja
NodeManagement Service Set |
AddNodes | nein
AddReferences | nein
DeleteNodes | nein
DeleteReferences | nein
View Service Set |
Browse | ja
BrowseNext | ja
TranslateBrowsePathsToNodeIds | ja
RegisterNodes | ja
UnregisterNodes | ja
Query Service Set |
QueryFirst | nein
QueryNext | nein
Attribute Service Set |
Read | ja
HistoryRead | ja
Write | ja
HistoryUpdate | nein
Method Service Set |
Call | ja
MonitoredItem Service Set |
CreateScreeenedItems | ja
ModifyScreenedItems | ja
SetMonitoringMode | ja
SetTriggering | ja
DeleteScreenedItems | ja
Subscription Service Set |
CreateSubscription | ja
ModifySubscription | ja
SetPublishingMode | ja
Publish | ja
Republish | ja
TransferSubscriptions | ja
DeleteSubscriptions | ja


Kommunikation

Handbuch > Process Gateway > OPC UA Server > Kommunikation

Subscriptions

Der OPC UA Server unterstützt die Kommunikation via Subscriptions. Pro Session können von einem Client mehrere Subscriptions mit unterschiedlichen Einstellungen erstellt werden. Die maximale Anzahl an Subscriptions pro Session ist per Default limitiert auf 10. Über den ini Eintrag "MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION" in den Abschnitt "OPCUA" kann die maximale Anzahl zwischen "1" und "100" konfiguriert werden.

PublishRequests

Pro Session sind vom OPC UA Server maximal 10 PublishRequests für die Warteschlange erlaubt. Dies ist unabhängig von der Anzahl der Subscriptions.

  • Reihenfolge für publish requests (First in, first out):
    Beim Versenden wird die Eingangsreihenfolge des PublishRequest berücksichtigt. Wird eine Subscription ausgeführt und muss eine PublishResponse gesendet werden für eine DataChangeNotification oder ein KeepAlive, wird immer der älteste PublishRequest aus der Warteschlange entnommen.
  • BadNoSubscription für alle Publish-Anfragen, wenn die letzte Subscription gelöscht, oder die Session geschlossen wurde:
    Wurde die letzte Subscription vom Client am Server abgemeldet, werden für alle PublishRequest, die noch am Server angemeldet sind, PublishResponse mit dem Wert OpcUa_BadNoSubscription erzeugt und an den Client gesendet. Die offenen PublishResponse werden anschließend am Server gelöscht.
  • timeoutHint für PublishRequests:
    Bevor die PublishResponses für die Subscriptions gesendet werden wird sichergestellt, dass nur gültige - d.h. nicht abgelaufene - PublishRequests vorhanden sind. Die Prüfung der Gültigkeit erfolgt über den Zeitstempel des PublishRequests sowie des im Request angegebenen timeoutHint. Die resultierende Endzeit muss kleiner als die aktuelle Zeit des Servers sein. Ist dies nicht der Fall, wird ein Response mit OpcUa_BadTimeout an den Client zurückgesendet. Der Request wird in diesem Falle gelöscht.
  • SubscriptionAcknowledgement welche im PublishRequest enthalten sind, bearbeitet der OPC UA Server wenn der PublishRequest aus der Warteschlange entnommen wird

RepublishRequests

Der OPC UA Server unterstützt die RepublishRequests auch für den Fall, wenn kurzzeitig die TCP Verbindung zwischen OPC UA Client und OPC UA Server unterbrochen ist.

Uhrzeit Synchron

Der OPC UA Server berücksichtigt für PublishRequests das Feld "timeoutHint".

Wenn der OPC UA Server ein PublishResponse senden muss, werden zuerst alle vorhandenen PublishRequests in der Warteschlange (max. 10) überprüft. Diese Prüfung validiert, ob der Zeitstempel neuer als die aktuelle Uhrzeit ist. Ist das der Fall, wird der älteste PublishRequest aus der Warteschlange verwendet.

Enthält die Warteschlange PublishRequests bei denen der Zeitstempel im PublishRequest + timeoutHint im PublishReuest gleich oder älter ist wie die aktuelle Uhrzeit im OPC UA Server, werden die PublishRequests aus der Warteschlange entfernt und für jedes PublishRequest wird eine ServiceFault mit "Bad_Timeout" gesendet.

Es ist daher wesentlich, dass die System-Uhrzeit des OPC UA Servers und die System-Uhrzeit des OPC UA Clients, entsprechend synchronisiert sind. Für diese Zeitsynchronisation wird empfohlen, sowohl für den OPC UA Server wie auch für den OPC UA Client eine gemeinsame Synchronisierungsquelle zu verwenden. Eine gemeinsame Quelle kann z.B. derselbe NTP-Server für Server und Client sein. Anderenfalls kann es dazu kommen, dass der OPC UA Server sämtliche PublishRequests vom OPC UA Client sofort verwirft und keine Wertänderungen übermittelt werden können.

info Info

Der Zeitstempel setzt sich zusammen aus: PublishRequest + timeoutHint aus dem PublishRequest.

Monitored Items

Der OPC UA Server unterstützt das Hinzufügen, Entfernen und Modifizieren von MonitoredItems.

Wird von einem OPC UA CLient eine Warteschlangegröße größer 1 angefordert wird diese Anfrage unterstützt. Dadurch werden mehrere Wertänderungen für dieselbe Variable zwischen zwei Publish-Intervallen vom OPC UA Server gepuffert. Via einem PublishResponse werden die Wertänderungen an den OPC UA Client gesendet.

DataChangeFilter - Deadband

Der OPC UA Server unterstützt den absolute deadband.

Read Requests

Der OPC UA Server unterstützt neben der Kommunikation via Subscriptions auch Read Requests. Grundsätzlich ist die Kommunikation via Subscriptions zu bevorzugen über die Kommunikation mittels Read Requests. Wenn ein OPC UA Client keine Subscriptions unterstützt und zyklisch Read Requests sendet um jeweils den aktuellen Wert zu bekommen, wird stark empfohlen, dass der Client für solche Nodes die zyklisch gelesen werden, einmalig den Aufruf RegisterNodes verwendet.

Dies erlaubt den OPC UA Server eine Optimierung der Kommunikation mit der Runtime für zyklische Read Requests.

Write Requests

Der OPC UA Server unterstützt write Requests. Die Sollwertgrenzen der Variable werden berücksichtigt.

Achtung: Ist eine Variable in der Energy Edition mit einer Befehlsgruppe verknüpft und diese Variable wird von einem OPC UA Client geschrieben, wird dabei die Befehlsverriegelung nicht berücksichtigt, sondern die Befehlsvariable direkt geschrieben.


Konfigurationsdatei: INI-Einträge für OPC UA

Handbuch > Process Gateway > OPC UA Server > Konfigurationsdatei: INI-Einträge für OPC UA

Die Konfigurationsdatei zenProcGateway.ini enthält folgende Einträge für OPC UA:

[OPCUA]

Eintrag

Beschreibung

SERVER_NAME=

Name des OPC UA Servers zu dem das Gateway eine Verbindung aufbaut.

SERVER_PORT=

Port für die Kommunikation zum OPC UA Server.

Default: 4841

CERTIFICATES_PATH=

Pfad für den Stammordner mit den Zertifikatsdateien und den jeweiligen Unterordnern.

Default: %ProgramData%\PKI\CA\

Hinweis: Eintrag muss gelöscht werden, wenn beim Start des Process Gateway neue Zertifikat erstellt werden sollen.

SERVER_CERTIFICATE_LOCATION=

URI der Datei mit dem öffentlichem Schlüssel des Servers. Der Pfad wird immer absolut angegeben. Dieser öffentliche Schlüssel wird vom Client zum Verschlüsseln der Nachrichten verwendet.

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Hinweis: Eintrag muss gelöscht werden, wenn beim Start des Process Gateway neue Zertifikat erstellt werden sollen.

SERVER_PRIVATE_KEY_LOCATION=

URI der Datei mit dem privatem Schlüssel des Servers. Der Pfad wird immer absolut angegeben. Dieser private Schlüssel wird vom Server zum Entschlüsseln der Nachrichten des Clients verwendet.

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Hinweis: Eintrag muss gelöscht werden, wenn beim Start des Process Gateway neue Zertifikat erstellt werden sollen.

ONLY_SECURE_CONNECTIONS=

Auswahl, welche Art der Verbindung (sicher oder unsicher) für einen Verbindungsaufbau zugelassen ist.

  • TRUE
    Eine Verbindung zum Server ist nur mit einer sicheren Verbindung möglich.
  • FALSE
    Eine Verbindung zum Server ist auch mit einer unsicheren Verbindung möglich.

Default: TRUE

TRUST_ALL_CLIENT_CERTIFICATES=

Auswahl, welche Art von Zertifikaten (Client- oder Serverzertifikate) für einen Verbindungsaufbau zugelassen ist.

  • TRUE
    Alle Client-Zertifikate werden akzeptiert, die Verbindung wird aufgebaut.
  • FALSE
    Alle Clients, die sich mit dem Server verbinden wollen, müssen ein gültiges Zertifikat übermitteln. Dieses Zertifikat wird zusätzlich darauf überprüft, ob es sich in der Liste der bekannten Client-Zertifikate (Certificate trust list path) befindet.

Default: TRUE

USE_USER_AUTHENTICATION=

Auswahl, ob die Benutzerverwaltung des aktuellen zenon Projekts bei der Anmeldung am Server für die Identifizierung verwendet werden soll.

  • TRUE
    Clients können sich am Server nur mit gültiger Benutzerkennung und Passwort anmelden.
    Hinweis: Dazu muss im zenon Editor die Benutzerverwaltung aktiviert und projektiert sein.
  • FALSE
    Anonymes Login ist möglich.

Default: FALSE

MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION=

Anzahl der Subscriptions pro Session. Einstellbar zwischen minimal 1 und maximal 100 Subscriptions.

Default: 10

[Variables]

Eintrag | Beschreibung
PROJECT_x= | Name des Projekts aus dem die Variablen stammen. x steht für die Nummerierung innerhalb eines Projekts, beginnend bei 0. Beispiel: PROJECT_0=TEST
PARAM_x= | Parameter für Projekt x. Nummerierung erfolgt von 0 aufwärts. Beispiel: PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet
COUNT= | Anzahl der konfigurierten Variablen.
NAME_x= | Name der Variablen. x steht für die Nummerierung des Projekts, beginnend bei 0. Beispiel: NAME_0=Driverforinternalvariables_ModemHwAdrSet

2 = Konstante für Namespace Index

Wird fix durch das System vorgegeben/vergeben und darf nicht geändert werden.


Fehlermeldungen

Handbuch > Process Gateway > OPC UA Server > Fehlermeldungen

Fehlermeldungen in der LOG-Datei:

Fehlermeldung

Debug Level

Beschreibung

Failed to validate client certificate

Error

Das Client-Zertifikat konnte nicht validiert werden.

Es ist entweder ungültig (eventuell Gültigkeitsdatum überschritten) oder es wurde in der Liste der bekannten Client-Zertifikate nicht gefunden.

Eine zusätzliche Information inklusive eine Fehlernummer beschreibt den Fehler genauer.

Wrong user/password supplied while trying to activate session (User: %s)

Error

Benutzerauthentifizierung fehlgeschlagen.

  • %s:
    Name des zu authentifizierenden Benutzers.

Login of user '%s' succeeded.

Deep Debug

Benutzerauthentifizierung erfolgreich.

  • %s:
    Name des zu authentifizierenden Benutzers.

Variable '%s' could not be added to OPC UA address space, because node '%s' with the same node identifier already exists

Error

Eine vom Benutzer definierte Variable konnte nicht angelegt werden, da bereits eine andere Variable mit demselben Identifier existiert.

Failed to initialize server architecture: An internal error occurred as a result of a programming or configuration error. (0x80020000)

Error

Das Dateiformat für eine oder mehrere der folgenden Dateien liegt in keinem gültigen Format vor:

  • Zertifikat
  • Private Key
  • Certificate Revocation List

%1 PublishResponse with OpcUa_BadNoScubscriptions sent because no subscriptions are created in session %2

Error

Für eine Publish-Anfrage liegt keine gültige Subscription vor oder die Session wurde gelöscht. Der OPC UA Server sendet eine Meldung an den OPC UA Client, für sämtliche ausstehende PublishRequests, wenn die letzte Subscription vom Server oder vom Client gelöscht wurde.

  • %1
    Anzahl der PublishResponse, die mit dem Resultatwert OpcUa_BadNoSubscription an einen Client gesendet wurden.
  • %2
    Name der Session, aus der die PublishResponse versendet werden.

%1 PublishResponse with OpcUa_BadTimeout sent in session %2

Error

Der Zeitstempel + timeoutHint im PublishRequest der vom Client zur Verfügung gestellt wurde, ist älter als die aktuelle Uhrzeit am OPC UA Server. Mögliche Ursachen: der timeoutHint im PublishRequest ist zu kurz, der OPC UA Client stellt mehr PublishRequests zur Verfügung als benötigt werden und die PublishRequests laufen ab, oder die Uhrzeit des Rechners mit dem OPC UA Server und die Uhrzeit des Rechners mit dem OPC UA Client, sind nicht synchron.

  • %1
    Anzahl der PublishResponse, die mit dem Resultatwert OpcUa_BadTimeout an einen Client gesendet wurden.
  • %2
    Name der Session, aus der die PublishResponse versendet werden.

Hinweis: Der PublishRequest wird gelöscht.

%1 advise/unadvise thread procedure

DEBUG

Start oder Stop eines Advise- oder Unadvise- Threads:

  • %1 Entering
    Thread gestartet
  • %1 Leaving
    Thread gestoppt

%1 shutdown

DEBUG

Beginn und Ende einer Shutdown-Sequenz:

  • %1 beginning
    Shutdown Beginn
  • %1 finisched
    Shutdown beendet

%1 %2 request

DEBUG

Beginn oder Ende eines Request bei Nachladen der Runtime:

  • %1 Processing
    Beginn eines Request
  • %1 Finished
    Ende eines Request
  • %2 ACTIVE
    Request ist aktiv.
  • % 2 INACTIVE
    Request ist inaktiv.

Server shut down.

DEBUG

Benachrichtung, dass der Server wurde vollständig heruntergefahren wurde.

The runtime does not provide archive variable [%1] of project [%2]

ERROR

Das Archiv einer konfigurierten Archivvariable ist in der zenon Runtime nicht mehr erreichbar.

  • %1
    Name der Archivvariable
  • %2
    Projektname

Reading configuration from %1

MSG

Die Konfiguration wird aus der INI-Datei gelesen.

  • %1
    Name der INI-Datei.

Linking configuration to the Runtime

MSG

Die im Process Gateway konfigurierten Variablen werden mit der zenon Runtime verknüpft.

some configured variables are not linked to the Runtime

ERROR

Bei der Verknüpfung wurde festgestellt, dass ein oder mehrere projektieren Variable nicht in der zenon Runtime verfügbar sind. Die nicht verfügbaren Projekte oder Variablen werden aufgelistet.

Project [%1] is not linked to the Runtime

MSG

Das mit den Variablen projektierte Projekt ist nicht in der zenon Runtime verfügbar.

  • %1
    Projektname

Möglich Ursachen: Das Projekt ist nicht geladen oder wurde gelöscht.

Variable [%1] of Project [%2] is not linked to the Runtime

MSG

Die Variable ist in der zenon Runtime nicht verfügbar:

  • 1%
    Variablenname
  • %2
    Projektname

Could not write value [%1] to key [%2] in section [%3]

ERROR

Fehler beim Schreiben eines Wertes.

  • %1
    Wert, der geschrieben werden sollte.
  • %2
    Schlüssel, in den der Wert geschrieben werden sollte.
  • %3
    Sektion des Schlüssels, in die der Wert geschrieben werden sollte.

No separator for archive flag [,] found in value [%s] of key [%s]

ERROR

Fehlendes Separator-Zeichen bei einem Wert. Die betroffene Variable kann deshalb nicht in die Konfiguration übernommen werden:

  • %1
    Name der Variable
  • %2
    Schlüssel des Wertes


Status Mapping

Handbuch > Process Gateway > OPC UA Server > Status Mapping

In bestimmte Situationen kommuniziert der OPC UA Server einen abweichenden StatusCode beim Wert (Value Attribute). Dies Betrifft jenen Knoten (Node), welcher die Variable repräsentiert.

Unten stehende Tabelle listet den zenon Status mit entsprechendem OPC UA StatusCode auf.

status der Variable in der Runtime | StatusCode Value Attribute OPC UA Node
INVALID | 0x80050000 BadCommunicationError
ALT_VAL | 0x40910000 UncertainSubstituteValue
OFF | 0x808C0000 BadSensorFailure
OV_870 | 0x803C0000 BadOutOfRange
N_UPDATE | 0x80310000 BadNoCommunication


SNMP Agent

Handbuch > Process Gateway > SNMP Agent

Noch in diesem Kapitel

SNMP Architektur

Management Information Base (MIB)

MIB Aufbau

Modulkonfiguration

Konfigurationsdatei: spezifische Einträge für Access SNMP

Konfiguration des Windows SNMP Agent


SNMP Architektur

Handbuch > Process Gateway > SNMP Agent > SNMP Architektur

Der Windows SNMP Agent unterstützt die SNMP Version 2 (SNMPv2c). Unterstützt werden die SNMP Funktionen (GET, GETNEXT, GETBULK, SET, TRAP).

Nähere Details wie Microsoft SNMP implementiert hat finden sie auf der Microsoft Technet Website unter: “How SNMP Works” https://technet.microsoft.com/en-us/library/cc783142(v=ws.10).aspx

Windows Betriebssystemkomponenten mit der Verbindung zum Process Gateway und der Runtime:


Management Information Base (MIB)

Handbuch > Process Gateway > SNMP Agent > Management Information Base (MIB)

Die Management Information Base (MIB) ist in Form einer Baumstruktur organisiert, in welcher der SNMP Agent die Variablen = (OID – Object Identifier) zur Verfügung stellt. Unterhalb ist der Aufbau der MIB Struktur mit den ergänzten Variablen ersichtlich, die über das Process Gateway bereitgestellt werden.


MIB Aufbau

Handbuch > Process Gateway > SNMP Agent > MIB Aufbau

Infoblockstruktur ist immer vorhanden |  |  |  |
OID | Beschreibung | Datentyp | Zugriff | Änderung wird als Trap versendet
1.3.6.1.4.1.300.1.1.0 | copadata.info.statusinfo, Runtime ist (Online, Offline) | string | lesen | ja
1.3.6.1.4.1.300.1.2.0 | copadata.info.statusval, Runtime ist 1=Online 0=Offline | integer | lesen | ja
1.3.6.1.4.1.300.1.3.0 | copadata.info.watchdog | integer | lesen | nein
1.3.6.1.4.1.300.1.4.0 | copadata.info.project, Projektname von wo das Process Gateway die Variablen liest | string | lesen | nein

Variablenstruktur (Tabelle) wird je nach Konfiguration vom Process Gateway dynamisch angepasst |  |  |  |
OID | Beschreibung | Datentyp | Zugriff | Änderung wird als Trap versendet
1.3.6.1.4.1.300.2.1.0 | copadata.variables.ifNumber, Anzahl der konfigurierten Variablen=OID | integer | lesen | ja
1.3.6.1.4.1.300.2.2.1.X | copadata.variables.ifTables.ifIndex, Konfigurierter OID-Index aus der Process Gateway Konfiguration | integer | lesen | nein
1.3.6.1.4.1.300.2.2.2.X | copadata.variables.ifTables.ifName, Variablenname | string | lesen | nein
1.3.6.1.4.1.300.2.2.3.X | copadata.variables.ifTables.ifValue, Variablenwert als Integer. Alle numerischen Datentypen werden auf einen SNMP Integerdatentyp formatiert. ACHTUNG bei real und double gehen die nachkommerstellen verloren. | integer | je nach Konfiguration im Process Gateway | nein
1.3.6.1.4.1.300.2.2.4.X | copadata.variables.ifTables.ifValueAsString, Variablenwert als string. Alle numerischen Datentypen werden auf einen SNMP Stringdatentyp formatiert. | string | je nach Konfiguration im Process Gateway | ja
1.3.6.1.4.1.300.2.2.5.X | copadata.variables.ifTables.ifStatus, Variablen Statuswert | integer | lesen | ja
1.3.6.1.4.1.300.2.2.6.X | copadata.variables.ifTables.ifTimestamp, Variablen Zeitstempel | integer | lesen | ja


Modulkonfiguration

Handbuch > Process Gateway > SNMP Agent > Modulkonfiguration

Nach Klick auf die Schaltfläche Settings öffnet sich der folgende Dialog:

Hier können die Variablen ausgewählt werden, die verbunden werden sollen. Auf der linken Seite sind alle in zenon verfügbaren Variablen aufgelistet. Dort können sie ausgewählt und mit dem Schaltfläche > in die SNMP Exportliste verschoben werden. Mit dem Schaltfläche < können sie wieder zurück verschoben werden. Wenn eine Variable in die Exportliste verschoben wird, öffnet sich ein Dialog für die Namenszuweisung der zenon Variable zu einer OID Adresse in der SNMP Struktur:

Die so ausgewählten Variablen sind dann auf dem SNMP Server verfügbar und werden kontinuierlich zwischen zenon und der SNMP OID Struktur synchronisiert. Man kann pro OID Adresse definieren, ob man diese per SNMP SET schreiben darf. Der genau Aufbau pro OID Adresse ist im Kapitel “MIB Aufbau” beschrieben.


Konfigurationsdatei: spezifische Einträge für Access SNMP

Handbuch > Process Gateway > SNMP Agent > Konfigurationsdatei: spezifische Einträge für Access SNMP

Die Konfigurationsdatei muss im Systemordner liegen.

Parameter | Beschreibung
[SNMP] |
REFRESHRATE | Updatezeit in Millisekunden

Parameter | Beschreibung
[VARIABLES] |
COUNT | Anzahl der zu exportierenden Variablen
NAME_n | Name der Variable mit der Nummer n (0<=n<COUNT)
PARAM_n | Parameter SNMP OID Tabellenoffset und der Information R=nur lesen RW=lesen und schreiben mit der Nummer n (0<=n<COUNT)

Export von Variablen

Für den erfolgreichen Export muss der Projektname in der zenProcgateway.ini im Pfad %CD_SYSTEM% korrekt eingetragen werden. Der Eintrag erfolgt in:

[DEFAULT]
PROJECT=

Achtung: Bei falschen oder fehlenden Einträge wird das Gateway ohne weitere Fehlermeldung geschlossen. Die Variablen stehen damit nicht zur Verfügung.


Konfiguration des Windows SNMP Agent

Handbuch > Process Gateway > SNMP Agent > Konfiguration des Windows SNMP Agent

Damit der SNMP Agent von Windows (SNMP.exe) die zenon MIB Teilstruktur zur Verfügung stellt, muss die Process Gateway Datei AccessSNMP.dll in der Registry entsprechend konfiguriert werden:

  1. Installation des Windows SNMP Service über die Systemsteuerung:
    • über Modul: Programm und Funktionen -> Windows-Funktionen aktivieren oder deaktivieren

    Hinweis: Unter Windows 8 muss nach dem Hinzufügen des SNMP Service der Rechner neu gestartet werden.

  2. Installation des Process Gateway mit der Datei AccessSNMP.dll in den Ordner:
    %Program Files (x86)%\COPA-DATA\zenon 8.00
  3. Mit dem Registry Editor folgende Schlüssel und Zeichenfolge hinzufügen. Die Pfade und Inhalte unterscheiden sich teilweise bei 32-Bit und 64-Bit Systemen:

    32-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Wert=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files\COPA-DATA\zenon 8.00 SP0\AccessSNMP.dll

    64-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Wert=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files (x86)\COPA-DATA\zenon 8.00 SP0\AccessSNMP.dll
  4. Start des SNMP-Dienst.
    Dieser lädt über die Registrykonfiguration die Process Gateway Datei AccessSNMP.dll.
    Weitere Konfigurationseinstellungen für den Windows SNMP Dienst: Systemsteuerung -> Verwaltung -> Dienste -> SNMP-Dienst -> Eigenschaften
    1. Registerkarte Traps: Festlegung, an welche IP-Adressen im Netzwerk Traps versendet werden:

    • Communityname: muss auf Manager und Agent ident sein
    • Trapziele: Adressen der Ziele als Hostnamen, IP-Adressen oder IPX-Adressen
    1. Registerkarte Sicherheit: Festlegung der Rechte, mit denen ein SNMP Client auf den SNMP Agent zugreift:

    • Rechte: Muss auf "LESEN SCHREIBEN" gesetzt sein
    • Community: muss auf Manager und Agent identisch sein


SQL

Handbuch > Process Gateway > SQL

Noch in diesem Kapitel

Modulkonfiguration

Variablenauswahl

Tabellenerzeugung

Betrieb im Redundanzsystem

Konfigurationsdatei: spezifische Einträge für AccessSQL

Tabellenformat


Modulkonfiguration

Handbuch > Process Gateway > SQL > Modulkonfiguration

Die Konfiguration der Datenbankanbindung besteht aus zwei Teilen.

  1. OLE-DB Ankopplung: Diese OLE-DB Ankopplung kann im Konfigurationsdialog über die Auswahl-Schaltfläche für den Connect-String definiert werden. Dazu wird der Standarddialog für Datenverknüpfungseigenschaften aufgerufen.
  2. Zusätzlich kann der Name der Tabelle definiert werden, falls der Standardname ONLINE_VALUES nicht verwendet werden soll.
    Dies kann über den Eintrag TABLE in der Sektion [DATABASE] in der Konfigurationsdatei (zenProcGateway.ini) eingestellt werden. Die Einstellungen werden beim Start des Add-Ons übernommen.

attention Achtung

Werden Tabellennamen händisch in der Konfigurationsdatei (zenProcGateway.ini) definiert, müssen diese Tabellennamen auch per Hand in der Datenbank geändert oder erstellt werden.

Oracle Datenbanken

Die Verwendung des Process Gateways und der AccessSQL.dll in Verbindung mit Oracle Datenbanken kann Fehler verursachen: Mit manchen ODBC-Treibern kommt es vor, dass keine Online-Werte in die Datenbank geschrieben werden. Die erweiterte ODBC Protokollierung gibt dann die Fehlermeldung "1843" aus.

Das Problem kann durch den Austausch des ODBC-Treibers behoben werden. Beispiel: ODBC-Treiber 9.02.00.05 für Oracle 9.2.


Variablenauswahl

Handbuch > Process Gateway > SQL > Variablenauswahl

Im Konfigurationsdialog können die in das SQL-Prozessabbild zu schreibenden zenon Variablen definiert werden. Dazu müssen die im zenon Projekt verfügbaren Variablen - aufgelistet in der linken Liste - in das zu exportierende Abbild - aufgelistet in der rechten Liste - übernommen werden.


Tabellenerzeugung

Handbuch > Process Gateway > SQL > Tabellenerzeugung

Die Tabellenstruktur der SQL-Datenbank wird nach dem Verlassen des Konfigurationsdialogs mit OK automatisch erzeugt. Für den Fall, dass sie händisch angelegt werden, gilt:


Betrieb im Redundanzsystem

Handbuch > Process Gateway > SQL > Betrieb im Redundanzsystem

Im redundanten Betrieb stehen zwei verschiedene Varianten zur Auswahl. In der ersten Variante läuft die SQL-Datenbank auf beiden Servern lokal und das Process Gateway läuft auf ebenfalls auf beiden Servern. Da es sich ausschließlich um Online-Werte handelt, ist kein zusätzliche Abgleich zwischen den Datenbanken notwendig. Großer Nachteil dieser Variante ist die hohe Netzwerklast, die durch die zusätzliche Anforderung der Onlinewerte am Standby Server erzeugt wird.

In der zweiten Variante läuft das Process Gateway nur am Runtime-Server und schreibt seine Daten in eine lokale oder entfernte SQL-Datenbank. In dieser Variante wird zwischen Runtime-Server und Standby Server keine zusätzliche Netzwerklast erzeugt und es wird im Falle der entfernten SQL-Datenbank der Server nicht durch externe Abfragen in dieser Datenbank belastet.


Konfigurationsdatei: spezifische Einträge für AccessSQL

Handbuch > Process Gateway > SQL > Konfigurationsdatei: spezifische Einträge für AccessSQL

Die Konfigurationsdatei muss im Systemordner liegen.

Parameter | Beschreibung
[DATABASE] |
INITSTRING | OLE-DB Connect-String zur SQL-Datenbank
TABLE_ONL | Name der Tabelle, welche das Prozessabbild empfängt
TABLE_VAR | Name der Tabelle, welche die Variablen-IDs empfängt
REFRESHRATE | maximale Refreshrate in Millisekunden

Parameter

Beschreibung

[VARIABLES]

COUNT

Anzahl der zu exportierenden Variablen

NAME_n

Name der n-ten Variable.
Regeln:

  • beginnt mit 0
  • muss ohne Unterbrechung fortlaufend sein


Tabellenformat

Handbuch > Process Gateway > SQL > Tabellenformat

Noch in diesem Kapitel

Report für Prozessabbild

Tabelle für Variablen-IDs


Report für Prozessabbild

Handbuch > Process Gateway > SQL > Tabellenformat > Report für Prozessabbild

VARIABLE | int[4] | ID der zenon Variable
VALUE | varchar[64] | aktueller Wert als String
VALUE_NUM | float | aktueller Wert als float
TIMESTAMP | int[4] | Zeitstempel des aktuellen Wertes (als UNIX Zeit)
TIMESTAMP2 | datetime | Zeitstempel des aktuellen Wertes (als datetime)
STATUS | int[4] | Statuswort des aktuellen Wertes


Tabelle für Variablen-IDs

Handbuch > Process Gateway > SQL > Tabellenformat > Tabelle für Variablen-IDs

VARIABLE | int[4] | ID der zenon Variable
NAME | varchar[128] | Name der zenon-Variable


Production and Facility Scheduler (PFS)

Handbuch > Production and Facility Scheduler (PFS)

Der Production & Facility Scheduler (PFS) ermöglicht das Ausführen von Aktionen (z. B. Ändern des Sollwertes einer Variablen, Ausführung einer Funktion) an einen Zeitraum gekoppelt oder nach einem zeitlichen Muster.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Zeitmodellgruppe neu | Öffnet den Assistenten zum Anlegen einer neuen Zeitmodellgruppe.
Ereignis neu | Legt ein neues Ereignis an.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Allgemein

Symbolleiste und Kontextmenü PFS

Ansichten im Production and Facility Scheduler

Projektieren mit dem Production and Facility Scheduler

Weiterführende Projektierung im Production and Facility Scheduler

Objekttypen

Eigenschaften

Editierbare Zeitmodell-Gruppen

Editierbare Fahrpläne

Dialoge

Funktion PFS-Ereignis anstoßen

Bildtyp Production and Facility Scheduler

Bildumschaltung - PFS


Allgemein

Handbuch > Production and Facility Scheduler (PFS) > Allgemein

Das optionale Modul Production & Facility Scheduler (PFS) ermöglicht die Ausführung von Aktionen gekoppelt an einen Zeitraum oder nach einem zeitlichen Muster.

Der PFS kann sowohl im Editor wie auch zur Runtime projektiert werden. Die Projektierung zur Laufzeit kann durch Vergabe von Rechten eingeschränkt werden. Zur Runtime gemachte Projektierungen können in den Editor zurückgelesen werden, sind jedoch ansonsten eigenständig.

Sämtliche Uhrzeitangaben sind unabhängig von Zeitzonen sowie Sommer- und Winterzeit.

info Info

Sollte das Projekt nach dem Starten des Editors nicht angezeigt werden:

  • öffnen Sie das Menü Option
  • wählen Sie den Befehl Projektmanager


Symbolleiste und Kontextmenü PFS

Handbuch > Production and Facility Scheduler (PFS) > Symbolleiste und Kontextmenü PFS

Symbol | Beschreibung
Erstellen | Legt abhängig vom ausgewählten Element ein neues Element an und öffnet den dazugehörigen Dialog.
Ausschneiden | Schneidet ausgewähltes Element aus.
Kopieren | Kopiert ausgewähltes Element.
Einfügen | Fügt Element aus der Zwischenablage ein.
Löschen | Löscht ausgewähltes Element.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü

Menüpunkt

Aktion

Speichern

Speichert Änderungen in der Projektierung des PFS.

Verwerfen

Verwirft alle Änderungen seit dem letzten Speicherzeitpunkt.

Eigenschaften

Öffnet den Dialog zur Konfiguration von:

  • Zeitumstellung
  • Feiertage
  • Tabellenfarbe
  • Schichtzeiten aufzeichnen

Schaltpunktvorschau

Öffnet den Dialog für die Schaltpunktvorschau.

Filter-Kriterien

Öffnet den Dialog zur Auswahl der Filter.

Hilfe

Öffnet die Online-Hilfe.

info Info

Erklärungen zu Kontextmenüs einzelner Elemente des Baumes und der Tabellen finden Sie in den jeweiligen Kapiteln, vor allem in Unterkapiteln zu Objekttypen.


Ansichten im Production and Facility Scheduler

Handbuch > Production and Facility Scheduler (PFS) > Ansichten im Production and Facility Scheduler

Die Visualisierung des PFS teilt sich in zwei Bereiche auf: Die hierarchische Baumansicht links und die Tabellenansicht rechts.

Noch in diesem Kapitel

Baumansicht

Tabellenansicht


Baumansicht

Handbuch > Production and Facility Scheduler (PFS) > Ansichten im Production and Facility Scheduler > Baumansicht

Die Baumansicht ermöglicht einem einfach zu erkennen, auf welcher Ebene sich ein Objekt befindet und zu wem es gehört. Die Zusammengehörigkeit wird durch Ebenenlinien dargestellt. Da das Verhalten eines Objektes von seiner Zugehörigkeit abhängt, ist dies wichtig.
Jeder Objekttyp hat ein, über die Maustaste für das Kontextmenü erreichbares, speziell auf den Objekttyp abgestimmtes Kontextmenü.

In diesem Bereich können die Objekte, wenn erlaubt auch kopiert, verschoben und gelöscht werden.


Tabellenansicht

Handbuch > Production and Facility Scheduler (PFS) > Ansichten im Production and Facility Scheduler > Tabellenansicht

Der rechte Teil des PFS - Bereich stellt in Abhängigkeit des ausgewählten Typs in der Baumansicht, die Daten des Objektes dar. Bei manchen Objekten wird in diesem Bereich eine weitere Projektierung vorgenommen (z. B. bei Fahrplänen) oder es wird nur die aktuelle Projektierung angezeigt, welche nicht unmittelbar geändert werden kann. Zum Beispiel: Ereignisse.

Wenn Umprojektierungen in der Tabellenansicht vorgenommen werden können, ist über die Maustaste für das Kontextmenü, ein solches erreichbar. Mit diesem werden dann die gewünschten Änderungen ausgelöst.

Manche Objekte ermöglichen auch eine direkte Eingabe von Daten in die Tabellenzelle. Zum Beispiel Uhrzeiten bei Fahrplänen.


Projektieren mit dem Production and Facility Scheduler

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler

In diesem Abschnitt werden wir schrittweise unser erstes PFS Projekt erstellen und im Zuge dessen folgendes durchführen:

  • Erstellen von Zeitmodell-Gruppen, Modellen und Fahrplänen.
  • Erstellen von absoluten und relativen Uhrzeiten mit Variablen oder Funktionsverknüpfung.
  • Erstellen von benutzerdefinierten Ereignissen und Verwendung dieser.
  • Einsatz der Editiermöglichkeiten wie kopieren, verschieben und löschen.
  • Verknüpfung der Fahrpläne und Modelle im Kalender.
  • Überprüfung der Projektierung mittels der Schaltpunktvorschau.
  • Ausführen der Fahrpläne zur Laufzeit.

Voraussetzung ist das Verständnis für die Erstellung von Projekten, Variablen, Funktionen, Schablonen und Bildern. Es wird diesbezüglich nur mehr auf die den PFS betreffenden Einstellungen eingegangen. Wenn in der Projektierung der zuvor genannten Funktionalität Unklarheiten bestehen, sehen Sie diesbezüglich in den entsprechenden Abschnitten der Dokumentation nach.

info Info

Bezeichner in Tabellen wie etwa Kalender, Fahrpläne, Ereignissen usw. werden immer in der Sprache angezeigt, in der das Projekt erstellt wurde.

Noch in diesem Kapitel

Aufgabenstellung

Schritt 1: Vorbereitung

Schritt 2: Einstellungen Production and Facility Scheduler

Schritt 3: Zeitmodell-Gruppen erstellen

Schritt 4: Modelle erstellen

Schritt 5: Schichten und Pausen erstellen

Schritt 6: Feiertagsmodell definieren

Schritt 7: Benutzerdefiniertes Ereignis Hupendauer

Schritt 8: Überlegungen zur Fahrplanstruktur

Schritt 9: Fahrplan für die Halle

Schritt 10: Überlegungen zu den Uhrzeiten

Schritt 11: Uhrzeiten für Fahrplan Halle

Schritt 12: Schaltpunkte Fahrplan Halle

Schritt 13: Fahrplan Linie I

Schritt 14: Fahrplan Linie II

Schritt 15: Überlegungen zur Kalenderzuordnung

Schritt 16: Kalenderzuordnung durchführen

Schritt 17: Überprüfung der Projektierung

Schritt 18: PFS zur Laufzeit

Schritt 19: Ausführung zur Laufzeit

Schritt 20: Resümee


Aufgabenstellung

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Aufgabenstellung

Unsere Aufgabe besteht darin eine Werkshalle (Halle I) mit zwei Produktionslinien (Linie I und Linie II), welche von 06:00 bis 18:00 in einer Schicht produzieren, zu beheizen sowie das Licht zu schalten. Die Heizung braucht eine Vorheizzeit von 2 Stunden für Linie I und 1 Stunde für Linie II, wobei Produktionslinie I auf 83º und Produktionslinie II auf 45º aufzuheizen ist. Wenn keine Produktion erfolgt, soll die Heizung auf 20º abgesenkt werden. Das Licht sollte 10 Minuten früher ein oder später abgeschaltet werden. Schichtbeginn und Ende oder Pausenbeginn und Ende, soll mit einem 6 Sekunden Hupton signalisiert werden. Pausen sind um 9 Uhr für 15 Minuten, um 12 Uhr für eine Stunde und um 15 Uhr für 15 Minuten. Es wird 5 Tage produziert, an Feiertagen und Wochenenden ist produktionsfrei. Unsere Halle steht in Österreich. Alle 6 Stunden soll die Abwasserpumpe für 30 Sekunden aktiviert werden.


Schritt 1: Vorbereitung

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 1: Vorbereitung

In diesem Schritt werden wir die Vorbereitungen für die Projektierung des PFS durchführen. Es wird das Projekt erstellt, ein Treiber eingebunden und die Variablen erstellt.

  1. Erstellen Sie ein neues Projekt mit dem Namen PfsSample in einem neuen Arbeitsbereich.
  2. Gehen Sie im Kontextmenü des Projekts auf Runtime-Dateien -> Zur Runtime änderbare Dateien...
  3. Deaktivieren Sie die Checkbox Nicht neu erzeugen und übertragen für den Fahrplan-Manager. Hierdurch werden Änderungen am PFS im Editor neu kompiliert, die zur Runtime gemachten Änderungen gehen jedoch verloren.
  4. Deaktivieren Sie die Checkbox Nicht dekompilieren für den PFS. Die zur Runtime gemachten Änderungen werden durch dekompilieren in den Editor übernommen.
  5. Binden Sie den Simulator Treiber ein. Alle Einstellungen werden unverändert übernommen.
  6. Erstellen Sie folgende Variablen:
    • HD-Bit; Offset 10; Bit 0; Name: Hupe
    • HD-Bit; Offset 10; Bit 1; Name: Licht I
    • HD-Bit; Offset 10; Bit 2; Name: Licht II
    • HD-Bit; Offset 10; Bit 3; Name: Abwasserpumpe
    • HD-Wort; Offset 11; Name: Heizung P I
    • HD-Wort; Offset 12; Name: Heizung P II
  7. Aktivieren Sie den PFS durch Klicken auf den entsprechenden Knoten im Projektmanager. Sie sollten nun den leeren PFS-Arbeitsbereich sehen.
  8. Vergrößern Sie das Projektfenster, indem im Fensterkontextmenü erlaube andocken deaktiviert oder bewegen im Hauptfenster aktiviert wird. Für die Projektierung im PFS ist ein großer Sichtbereich auf das Projektfenster von Vorteil.


Schritt 2: Einstellungen Production and Facility Scheduler

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 2: Einstellungen Production and Facility Scheduler

In diesem Schritt projektieren wir die PFS weit gültigen Einstellungen. Zur korrekten Ermittlung der Feiertage wird das Land ausgewählt, in welchem das PFS-Projekt ausgeführt werden soll.

  1. Führen Sie einen Rechtsklick auf den Eintrag Production & Facility Scheduler in der Detailansicht aus.
  2. Wählen Sie Eigenschaften.

    Der Dialog zur Konfiguration der Eigenschaften wird geöffnet.

  3. Wechseln Sie zur Registerkarte Feiertage.
  4. Wählen Sie in der Länderliste das gewünschte Land aus.
    In unserem Beispiel: Austria.
  5. Klicken Sie auf OK.

Der Dialog wird geschlossen und die Feiertage werden übernommen.


Schritt 3: Zeitmodell-Gruppen erstellen

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 3: Zeitmodell-Gruppen erstellen

In diesem Schritt werden wir eine neue Zeitmodell-Gruppe erstellen und diese entsprechend konfigurieren.

Bei uns wird die Halle I als Zeitmodell-Gruppe abgebildet, da wir speziell auf diese Halle zugeschnittene Modelle (siehe auch Objekt Zeitmodelle) benötigen. Immer wenn für einen Kalendertag mehrere unterschiedliche Modelle benötigt werden, ist eine Aufteilung in mehrere Zeitmodell-Gruppen notwendig.

Klappen sie den Hauptknoten Production & Facility Scheduler auf. Sie sehen nun 3 weitere Einträge. Zeitmodell-Gruppen, Ereignisse und Kalender.

Aktivieren Sie beim Eintrag Zeitmodell-Gruppen das Kontextmenü und klicken Sie auf Erstellen. Es wird nun die Seite Zeitmodell-Gruppen-Eigenschaften, der Zeitmodell-Gruppe eingeblendet. Das Feld Bezeichnung ist noch leer, da wir eine neue Zeitmodell-Gruppe erstellen.

Geben Sie bei der Bezeichnung Halle I ein, so soll unsere neue Zeitmodell-Gruppe heißen. Die Bezeichnung der Zeitmodell-Gruppe muss PFS-weit einmalig sein. In unseren Fall ist das sicher gegeben.

Der Tagesbeginn mit 00:00:00 und das Ende mit 23:59:59 können so bleiben. Dies definiert den Zeitmodellgruppen-Zyklus für einen vollen Tag.

Hinweis: Bei dieser Definition eines vollen Tages ist die Erstellung von Nachtschichten allerdings nicht möglich, da sich der Endezeitpunkt der Schicht erst an einem weiteren Tag befindet. Dies ist jedoch nicht möglich, da der definierte Zeitmodellgruppen-Zyklus nur für einen Tag gilt. Eine Fehlermeldung wird ausgegeben.

Wenn die Zeitmodell-Gruppenbezeichnung gültig ist, können mit OK die Einstellungen übernommen werden und die neue Zeitmodell-Gruppe wird erstellt.

Sie sehen nun einen neuen Eintrag bei Zeitmodell-Gruppen welcher Halle I benannt ist, mit zwei weiteren Einträgen: Fahrplänen und Zeitmodelle.


Schritt 4: Modelle erstellen

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 4: Modelle erstellen

Modelle werden zur Auflösung der relativen Uhrzeiten benötigt und beinhalten die Schichten und Pausen.

Wählen Sie Zeitmodell neu im Kontextmenü von Zeitmodelle aus.

Es wird nun ein neues Zeitmodell mit der Bezeichnung Zeitmodell 0 erstellt. Der Eintrag befindet sich automatisch im Modus umbenennen, erkennbar durch das Eingabefeld. Geben Sie nun als Bezeichnung Werktag ein. Bestätigen Sie die neue Bezeichnung durch drücken der Enter Taste oder durch einen Klick ausserhalb des Eingabefeldes. Durch zwei Klicks (kein Doppelklick) auf Werktag wird das Zeitmodell wieder in den Umbenennenmodus geschaltet. Über den Eintrag Umbenennen im Kontextmenü ist dies ebenfalls möglich. Die eingegebene Bezeichnung muss bei der Zeitmodell-Gruppe einmalig sein.


Schritt 5: Schichten und Pausen erstellen

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 5: Schichten und Pausen erstellen

Die Schichten sind für die Auflösung der relativen Schaltzeiten von entscheidender Bedeutung. Dies betrifft nicht nur die Relativereignisse Schicht Beginn und Schicht Ende, sondern auch die Erkennung von Produktionsbeginn und Produktionsende.

Wählen Sie die oberste Zelle in der Spalte Schichten/Pausen aus. Über den Kontextmenüpunkt Schicht erstellen erzeugen Sie eine neue Schicht. Geben Sie für die Schicht eine eindeutige Bezeichnung ein. Wir benennen die Schicht 1. Mit der Tabulatortaste oder Maus wechseln wir zur Spalte Einschaltzeit. Unsere Schicht soll um 06:00:00 beginnen und bis 18:00:00 dauern. Somit geben wir bei der Einschaltzeit 06:00:00 an und bei der Ausschaltzeit 18:00:00.

Schichten sind grau hinterlegt, Pausen weiß.

Unsere Werktätigen haben sich auch Pausen verdient, welche wir nun definieren. Wählen Sie hierzu, in der Zeile der Schicht, eine der Zellen aus und aktivieren das Kontextmenü. Mit Pause erstellen legen wir eine neue Pause an. Wir benennen die neue Pause mit Vormittag. Unsere erste Pause ist um 09:00:00 und soll bis 09:15:00 dauern.

Nun erstellen wir die Mittagspause. Benennung Mittagspause; Beginn: 12:00:00 Ende: 13:00:00.

Es bleibt noch die Nachmittagspause über, welche auch erstellt werde soll. Benennung: Nachmittag; Beginn: 15:00:00 Ende 15:15:00.

Unser Modell Werktag sollte nun wie folgt projektiert sein:

Erstellung von Nachtschichten

Um Nachtschichten erstellen zu können, sind bereits vorausgehende Projektierungen nötig.

Der definierte Zeitmodellgruppen-Zyklus muss angepasst werden, um über einen Tag hinausreichende Schichten zu akzeptieren.

Vorgehen:

  1. Definieren Sie den Zeitmodellgruppen-Zyklus wie im Kapitel Zeitmodell-Gruppen erstellen beschrieben.

    Beispiel: Definieren Sie den Tagesbeginn mit 06:00:00 und das Tagesende mit 05:59:59. Diese Einstellung ermöglicht, dass die Ausschaltzeit der Nachtschicht um 05:59:59 nicht als vor der Einschaltzeit der Schicht um 22:00:00 liegende betrachtet wird.

  2. Legen Sie die gewünschten Schichten/Pausen an, wie oben beschrieben.


Schritt 6: Feiertagsmodell definieren

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 6: Feiertagsmodell definieren

Da wir an Feiertagen nicht produzieren, ein Feiertag jedoch auch auf einen Montag bis Freitag fallen kann, benötigen wir ein Modell speziell für die Feiertage. Dieses Modell ist sehr einfach, da es keine Schichten enthält. Wir nutzen hierbei aus, dass ein Modell für einen Sondertag, vorrangig gegenüber den Defaultmodellen für Montag bis Sonntag hat. Die Betonung liegt auf Defaultmodellen. Eine Einzeltagzuordnung hat eine höhere Priorität als der Sondertag, dies jedoch nur als Erklärung. Ein Modell ohne Schichten ist gleichbedeutend, wie wenn kein Modell zum Tag verknüpft ist.

Erstellen Sie entsprechend Schritt 4 ein Modell mit der Bezeichnung Feiertag. Es werden keinerlei Schichten bei dem Modell definiert.


Schritt 7: Benutzerdefiniertes Ereignis Hupendauer

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 7: Benutzerdefiniertes Ereignis Hupendauer

Unsere Aufgabe besteht unter anderem auch darin, eine Hupe jeweils zum Schicht- und Pausenbeginn oder zum Schicht- und Pausenende 6 Sekunden hupen zu lassen. Diese 6 Sekunden Hupdauer kann sehr schön über ein benutzerdefiniertes Ereignis gelöst werden.

Was ist ein benutzerdefiniertes Ereignis? Benutzerdefinierte Ereignisse gehören zu den Relativschaltzeiten, wobei das Besondere daran ist, dass sie vom Projektanten erstellt werden können. Angestoßen wird ein benutzerdefiniertes Ereignis durch Aufruf der Funktion PFS - benutzerdefiniertes Ereignis anstoßen. Hierdurch wird der Zeitpunkt des Funktionsaufrufs als Trigger für das benutzerdefinierte Ereignis eingetragen. Entsprechend versetzt um den projektierten Offset erfolgt dann die Ausführung des Ereignisses.

Nach den Grundlagen zur Erstellung. Öffnen Sie beim Eintrag Ereignisse das Kontextmenü und erzeugen Sie ein neues Ereignis mit Erstellen. Das Ereignis wird mit der Benennung Benutzerdefiniertes Ereignis 0 erzeugt und ist im Umbenennungsmodus. Wir kennen dies bereits vom Zeitmodell. Ändern Sie die Bezeichnung auf Hupendauer. Die Bezeichnung muss PFS weit einmalig sein.

Gehen Sie in die Funktionsverwaltung und fügen Sie die Funktion PFS - benutzerdefiniertes Ereignis anstoßen für das benutzerdefinierte Ereignis Hupendauer hinzu.


Schritt 8: Überlegungen zur Fahrplanstruktur

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 8: Überlegungen zur Fahrplanstruktur

Die uns gestellte Aufgabe beinhaltet zwei Produktionslinien, diese werden wir in getrennten Fahrplänen abbilden. Gleichzeitig gibt es aber Aufgaben welche bei beiden Linien gleich sind. Beide sollen das Licht 10 Minuten vor Schichtbeginn einschalten und 10 Minuten länger an lassen. Dies werden wir in einem übergeordneten Fahrplan darstellen. Wir machen uns hierbei die Möglichkeit der Vererbung von Uhrzeiten vom Vorgänger zum Nachfolger zunutze. Es ist jedoch nur der Schaltpunkt gleich, jede Linie hat ihr eigenes Licht. Die Abwasserpumpe muss auch bedient werden, dies erfolgt ebenfalls im übergeordneten Fahrplan.

Dann ist noch die Hupe zu projektieren. Diese ist für beide Linien gleich, da nur einmal in der Halle vorhanden, also kommt diese in den übergeordneten Fahrplan.

Fahrplan der Halle. Bezeichnung Halle. Wir müssen die Hupe projektieren, die Abwasserpumpe und die Uhrzeiten vom Licht.

Fahrplan Linie I: Untergeordneter Fahrplan von Halle. Bezeichnung Linie I; Licht muss geschaltet werden. Temperatur setzen.

Fahrplan Linie II: Untergeordneter Fahrplan von Halle. Bezeichnung Linie II; Licht muss geschaltet werden. Temperatur setzen.

Ausgehend von diesen Überlegungen erstellen wir nun die Fahrpläne.


Schritt 9: Fahrplan für die Halle

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 9: Fahrplan für die Halle

Der erste zu erstellende Fahrplan enthält die Schaltpunkte für die Halle I. Des weiteren enthält er alle Schaltzeiten welche in den untergeordneten Fahrplänen gleich sein sollen.

Beginnen wir mit der Erstellung unseres ersten Fahrplans. Klappen Sie hierzu die Zweige Production & Facility Scheduler, Zeitmodell-Gruppen, Halle I in der Baumansicht auf, damit der Eintrag Fahrpläne bei der Zeitmodell-Gruppe Halle I sichtbar wird. Aktivieren Sie das Kontextmenü von Fahrpläne und klicken Sie auf Erstellen. Es werden Ihnen nun die Einstellungen zum Fahrplan präsentiert. Geben Sie bei Bezeichnung den Fahrplannamen Halle an. Der Fahrplan soll aktiv sein (Checkbox bei Fahrplan aktiv gesetzt) und ist kein Strukturfahrplan (Checkbox bei Struktur-Fahrplan deaktiviert).

Wir müssen das benutzerdefinierte Ereignis Hupendauer auslösen können. Hierzu fügen wird diese Funktion zu den verwendeten Funktionen des Fahrplans hinzu. Aktivieren Sie das Kontextmenü der Funktionsliste und klicken Sie auf Funktionen hinzufügen. Übernehmen Sie die zuvor definierte Funktion PFS - benutzerdefiniertes Ereignis anstoßen [Hupendauer]. Diese Funktion wird nun zur Funktionsliste des Fahrplans hinzugefügt und kann von diesem dann verwendet werden.

Des weitern wollen wir auf die Variablen Hupe und Abwasserpumpe schreiben, um die Hupe und Pumpe zu aktivieren. Hierzu müssen wir diese Variablen zu der Variablenliste des Fahrplans hinzufügen. Mittels Kontextmenü wird Variablen hinzufügen aktiviert. In der daraufhin angezeigten Variablenliste können die gewünschten Variablen durch Doppelklick in die Liste der verfügbaren Variablen oder durch Auswahl und Hinzufügen, hinzugefügt werden.

Nach Ausführung dieser Aktionen sollte der Fahrplan wie folgt projektiert sein.


Schritt 10: Überlegungen zu den Uhrzeiten

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 10: Überlegungen zu den Uhrzeiten

Die Uhrzeit legt den Zeitpunkt wann ein Schaltpunkt ausgeführt wird fest. Es gibt zwei Typen von Uhrzeiten:

Die absolute Uhrzeit: Bei diesem Typ wird eine Uhrzeit direkt vorgegeben. Der Schaltpunkt wird zu dieser Zeit ausgeführt oder nicht. Die Zeit der Ausführung ändert sich nicht. Die Ausführung unterbleibt nur wenn der Fahrplan deaktiviert, der Schaltpunkt deaktiviert oder der Fahrplan nicht für den Tag verknüpft wurde. Dieser Typ ist ideal, wenn der Zeitpunkt der Ausführung absolut feststeht.

Die relative Uhrzeit: Hier hängt der tatsächliche Ausführungszeitpunkt, von der Art des Ereignisses, von der Platzierung der Modelle im Kalender, ob es sich um einen Feiertag handelt und vielem mehr ab. Die Bedingungen der Ausführung sind detailliert bei Zeittyp relativ dokumentiert. Kurz gesagt, der Ausführungszeitpunkt hängt von weiteren Faktoren ab, darum relativ. Der Vorteil dieses Typs ist, dass sich bei Änderung des Bezuges automatisch alle Ausführungszeiten mit ändern. Der Nachteil soll aber auch nicht verschwiegen werden. Durch den nicht direkt ersichtlichen Ausführungszeitpunkt sind relative Zeiten nicht so übersichtlich wie absolute Zeiten. Durch die Schaltpunktvorschau wird dieses Problem jedoch gelöst.

Welche Zeiten brauchen wird nun für die Lösung unserer Aufgabe? Um dies beantworten zu können, sehen wir uns kurz an was und warum etwas ausgeführt oder geschaltet werden soll.

Da wäre die Hupe. Diese soll bei jedem Schicht- und Pausenbeginn, sowie bei jedem Schicht- und Pausenende für 6 Sekunden hupen. Der Hupbeginn bezieht sich direkt auf die Schicht oder Pause. Wir kennen Beginn und Ende der Schichten oder Pausen. Es wäre somit möglich diese Zeiten direkt zu verwenden. Wenn sich jedoch die Schicht ändert, müssten diese Zeiten mit angepasst werden. Es ist sogar so, dass davon abhängige Zeiten (Abschaltung der Hupe) mit angepasst werden müssten. Dies ist fehleranfällig! Durch Verwendung der Relativzeiten Schichtbeginn, Schichtende, Pausenbeginn und Pausenende geht dies automatisch. Die 6 Sekunden Hupdauer erreichen wir durch unser benutzerdefiniertes Ereignis mit 6 Sekunden Offset für die Hupenabschaltung.

Das Licht der Produktionslinien ist ebenfalls direkt von der Schicht abhängig. Es wird daher als Schichtbeginn und Schichtende ausgeführt.

Die Temperaturen der Produktionslinien sind ebenfalls direkt von der Schicht abhängig.

Die Abwasserpumpe soll in einem definierten Abstand, alle 6 Stunden für 30 Sekunden aktiviert werden. Ein Bezug zu der Schicht oder Pause ist nicht gegeben. Hier bieten sich absolute Zeiten an.

Nachdem wir nun die Zeitpunkte der Ausführung analysiert haben, können wir an die Projektierung gehen.


Schritt 11: Uhrzeiten für Fahrplan Halle

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 11: Uhrzeiten für Fahrplan Halle

Wir beginnen mit der Erstellung der Einschaltzeitpunkte für die Abwasserpumpe. Hierzu wählen Sie die Zelle in der ersten Zeile bei der Spalte Zeittyp. Mit dem Kontextmenüpunkt Zeitraster erstellen rufen wir den Dialog zum Erstellen eines Zeitrasters auf. Nach Aktivierung der Checkbox als zyklische Zeit werden die weiteren Felder freigeschalten.

Füllen Sie den Dialog entsprechend der Abbildung. Durch die von uns gewählten Einstellungen werden vier absolute Uhrzeiten erstellt. Um 0Uhr, 6Uhr, 12Uhr und 18Uhr.

30 Sekunden später soll die Pumpe wieder abgeschalten werden. Also erstellen wird nochmals 4 Schaltzeiten 30 Sekunden zu den bereits erstellen versetzt. Den Versatz erreichen wir, indem bei der Startzeit 00:00:30 eingegeben wird.

Nun projektieren wir die Hupe. Aktivieren Sie im Kontextmenü der Tabellenansicht den Menüpunkt Uhrzeit erstellen. Es wird nun ein neuer absoluter Zeitpunkt erstellt. Nun wir brauchen aber eine relative Zeit. Wechseln Sie in die Spalte Zeittyp der gleichen Zeile und ändern den Typ auf relativ. Wenn nun in die Spalte Uhrzeit gewechselt wird, verschwindet die Zeit und eine Auswahlbox mit dem verfügbaren Relativereignissen wird aufgeschaltet. Wählen Sie Schichtbeginn aus. Der Offset bleibt 0, da die Hupe unmittelbar bei Schichtbeginn einschalten soll. Die Hupe soll nicht nur den Schichtbeginn verkünden, sondern auch Schichtende, Pausenbeginn und Pausenende. Erstellen Sie 3 weitere relative Uhrzeiten mit den entsprechenden Relativereignissen. Die Hupe soll nach 6 Sekunden abgeschaltet werden. Fügen Sie hierzu eine relative Uhrzeit mit dem Relativereignis Hupendauer hinzu. Hupendauer ist unser zuvor angelegtes benutzerdefiniertes Ereignis. Als Offset geben wir 0,1 Minuten (entspricht 6 Sekunden) an. Das bestimmt die Hupdauer.

Jetzt kommt die Heizung an die Reihe. Erstellen Sie 2 Relativzeiten, für Schichtbeginn, Offset -120 und Offset -60.

Es fehlen noch die Zeiten für das Licht. Erstellen Sie 2 Relativzeiten, für Schichtbeginn, Offset -10 und Schichtende Offset 10.


Schritt 12: Schaltpunkte Fahrplan Halle

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 12: Schaltpunkte Fahrplan Halle

Die Zeiten definieren den Zeitpunkt der Ausführung, nun müssen wir noch definieren was zu der jeweiligen Zeit geschehen soll. Hierfür sind die Schaltpunkte vorgesehen.

Beginnen wir mit der Abwasserpumpe. Wählen Sie den absoluten Zeitpunkt 00:00:00 aus. Im Kontextmenü den Menüpunkt Schaltpunkt erstellen anklicken. Unmittelbar nach der ausgewählten Zeit wird eine neue Zeile eingefügt, welche den Schaltpunkt darstellt. Schaltpunkte beinhalten die Spalten Aktiv, Verknüpfungstyp, Verknüpfungen, Aktion und Passwort. Sehen wir uns diese Felder kurz näher an.

Aktiv: Ermöglicht den Schaltpunkt zu deaktivieren. Hierdurch kann die Schaltpunktausführung unterbunden werden.

Verknüpfungstyp: Legt fest, ob eine Variable geändert oder z. B. eine Funktion ausgeführt werden soll. Die weiteren Typen sind beim Objekt Schaltpunkt dokumentiert.

Verknüpfungen: Je nach Verknüpfungstyp wird hier die Variable oder Funktion ausgewählt.

Aktion: Beim Verknüpfungstyp Variable beinhaltet dieses Feld den zu schreibenden Sollwert. Für Funktionen ist dieses Feld gleichbedeutend wie Aktiv.

Passwort: Ermöglicht für die Laufzeitprojektierung eine Berechtigung für die Änderung vorzugeben.

Definieren wir nun den Schaltpunkt. Die aktuell ausgewählte Spalte ist der Verknüpfungstyp. Hier wählen wir aus der Combobox Variable. Nun in die Spalte Verknüpfungen wechseln. Aus der Combobox Abwasserpumpe auswählen. Zur Spalte Aktion wechseln. Eine 1 eingeben. Hierdurch wird um 00:00:00 bei der Variable Abwasserpumpe der Sollwert auf 1 gesetzt.

Erstellen Sie nun folgende Schaltpunkte wie zuvor beschrieben:

  • 00:00:30 Variable Abwasserpumpe Sollwert: 0
  • 06:00:00 Variable Abwasserpumpe Sollwert: 1
  • 06:00:30 Variable Abwasserpumpe Sollwert: 0
  • 12:00:00 Variable Abwasserpumpe Sollwert: 1
  • 12:00:30 Variable Abwasserpumpe Sollwert: 0
  • 18:00:30 Variable Abwasserpumpe Sollwert: 1
  • 18:00:30 Variable Abwasserpumpe Sollwert: 0

Jetzt kommt die Hupe an die Reihe. Für die Hupe haben wir mehrere Relativzeiten vorgesehen.
Schichtbeginn Offset 0, Schichtende Offset 0, Pausenbeginn Offset 0, Pausenende Offset 0 und Hupendauer Offset 0,1.
Für Beginn und Ende müssen jeweils 2 Schaltpunkte ausgeführt werden. Der erste muss die Hupe aktivieren. Der zweite muss das benutzerdefinierte Ereignis Hupendauer triggern.
Die Relativzeit Hupendauer muss die Hupe wieder abschalten. Erstellen wir nun die benötigen Schaltpunkte. Anders als zuvor bei der Abwasserpumpe haben wir hier 4 Zeiten bei welchen wir mehrere Schaltpunkte benötigen. Wir könnten nun z. B. bei der Zeit Schichtbeginn Offset 0 zwei mal Schaltpunkte hinzufügen ausführen. Es gibt jedoch auch eine einfachere Möglichkeit. Wählen Sie hierzu die Zeit Schichtbeginn Offset 0. Im Kontextmenü Schaltpunkte hinzufügen aktivieren. Es wird Ihnen nun der Dialog Schaltpunkte angezeigt. Wählen Sie die Funktion PFS Ereignis [Hupendauer] aus und die Variable Hupe. Jeweils mit Hinzufügen in die Ergebnisliste übernehmen. Nach OK werden 2 Schaltpunkte entsprechenden Typs und Verknüpfung erstellt. Für den Schaltpunkt Variable Hupe muss der Sollwert noch auf 1 gesetzt werden. Mit der gleichen Vorgangsweise die Schaltpunkte für die Relativzeiten Schichtende, Pausenbeginn und Pausenende ausführen. Als letzten Schaltpunkt für die Hupe erstellen wir bei der Relativzeit Hupdauer einen Schaltpunkt der die Variable Hupe auf 0 setzt.

info Info

Ein Dezimalwert kann sowohl mit 'Komma' als auch mit 'Punkt' angegeben werden, das Dezimalzeichen wird automatisch in einen 'Punkt' umgewandelt.


Schritt 13: Fahrplan Linie I

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 13: Fahrplan Linie I

Bei unseren Strukturüberlegungen haben wir uns entschieden, die Temperatur sowie das Licht in eigenen untergeordneten Fahrplänen zu behandeln.

Erstellen wir nun den Fahrplan für die Linie I. Hierzu wählen wir in der Baumansicht den Fahrplan Halle aus. Über die Kontextmenüoption Erstellen aktivieren wir den uns bereits bekannten Fahrplan Eigenschaftsdialog. Die Bezeichnung soll Linie I sein, wir fügen keine Variablen hinzu. Hierdurch haben wir die Möglichkeit, das nachträgliche Ändern von Variablen- und Funktionsverknüpfungen kennenzulernen.

Wählen Sie beim neuen Fahrplan Linie I in der Baumansicht die Variablenliste aus. Über das Kontextmenü und Variable hinzufügen verknüpfen wir die Variablen Licht I und Heizung P I mit dem Fahrplan.

Wenn der Fahrplan Linie I ausgewählt ist, werden in der Tabelle bereits alle im Vorgänger definierten Zeiten grau hinterlegt angezeigt. Grau hinterlegte Zeiten kennzeichnen vom Vorgänger geerbte Zeiten. Wenn die Definition beim Vorgänger geändert wird, ändern sich automatisch diese Zeiten mit.

Definieren wir nun die Schaltpunkte für die Temperatur sowie das Licht. Die Vorgangsweise ist die selbe wie beim Fahrplan Halle.


Schritt 14: Fahrplan Linie II

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 14: Fahrplan Linie II

Erstellen Sie einen neuen Fahrplan Linie II mit den entsprechenden Schaltpunkten lt. Aufgabe.


Schritt 15: Überlegungen zur Kalenderzuordnung

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 15: Überlegungen zur Kalenderzuordnung

Die Zeiten in den Fahrplänen haben keinen Datumsbezug, dieser wird durch Zuordnung eines Tages im Kalender hergestellt. Für absolute und relative Zeiten wird diese Zuordnung getrennt vorgenommen. Diese Zuordnung kann für jede Zeitmodell-Gruppe durchgeführt werden.

Noch in diesem Kapitel

Absolute Zeiten

Relative Zeiten


Absolute Zeiten

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 15: Überlegungen zur Kalenderzuordnung > Absolute Zeiten

Für absolute Zeiten ist die Verknüpfung des Fahrplans zum Kalendertag entscheidend. Es werden hierbei folgende Verknüpfungsarten unterstützt:

Fahrplan an diesem Tag verwenden.

Fahrplan an diesem Tag nicht verwenden.

Fahrplan an Feiertagen verwenden.

Fahrplan für den Wochentag verwenden.


Relative Zeiten

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 15: Überlegungen zur Kalenderzuordnung > Relative Zeiten

Für die relativen Zeiten ist die Modellzuordnung zum Tag, sowie die Schichten im Modell entscheidend. Es werden folgende Verknüpfungsarten unterstützt:

  • Modell für diesen Tag verwenden
  • Feiertagsmodell, wenn der Tag ein Feiertag ist
  • Modell für den Wochentag verwenden

Hinweis: Bei Zeitkonflikten werden relative Zeiten nicht überprüft.


Schritt 16: Kalenderzuordnung durchführen

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 16: Kalenderzuordnung durchführen

Wählen Sie den Eintrag Kalender in der Baumansicht aus. In der Tabelle wird nun der aktuelle Monat dargestellt. Jede Woche hat die Zeilen Modelle - Halle I und Fahrpläne - Halle I. Wählen Sie die Zelle Fahrpläne - Halle I vom Montag aus. Über den Kontextmenüpunkt Fahrpläne auswählen aktivieren Sie den Dialog für die Fahrplanauswahl. Wählen Sie den Fahrplan Halle aus und fügen Sie diesen mit Hinzufügen in die Ergebnisliste hinzu. Es wird nun die volle Kennung Halle I.Halle vom Fahrplan übernommen. Beim verlassen mit OK wird nun der Dialog für den Aktivierungszeitraum angezeigt. Unser Fahrplan soll wöchentlich, ohne Enddatum, an den Tagen Montag bis Sonntag ausgeführt werden. Die Zuordnung zum Sondertag wird bei den Eigenschaften des Fahrplans Halle Kalender-Belegung durchgeführt. Es wäre auch möglich, die Wochentagzuordnung dort durchzuführen. Für die Fahrpläne Linie I und Linie II braucht keine Kalenderzuordnung durchgeführt werden, da diese keine Schaltpunkte zu einer absoluten Zeit definieren.

Für die Relativzeiten brauchen wir die Modellzuordnung, welche wir wie folgt durchführen. Wählen Sie die Zelle Modelle Halle I Montag aus. Über den Kontextmenüpunkt Modelle auswählen wird der Dialog für die Modellverknüpfung aktiviert. Wählen Sie das Modell Werktag aus und fügen Sie dieses in die Ergebnisliste hinzu. Beim Beenden des Dialoges mit Ok wird noch gefragt ob das Modell als default eingetragen werden soll. Wählen Sie Ja, wird für jeden Montag dieses Modell verknüpft, ansonsten nur an diesem einen Montag. Wir aktivieren unser Modell für jeden Montag. Diese Vorgangsweise können wir für Dienstag bis Freitag wiederholen. Die einfachere Möglichkeit ist jedoch bei der Zeitmodell-Gruppe Halle I die Seite Eigenschaften - Kalender Belegung zu aktivieren und dort die Zuordnung vorzunehmen. Wählen Sie für Dienstag bis Freitag das Modell Werktag und für Sondertag Feiertag aus. Wenn wir nun wieder auf die Kalenderansicht wechseln, sehen wir die Zuordnung der Modelle zum Tag.


Schritt 17: Überprüfung der Projektierung

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 17: Überprüfung der Projektierung

Bereits im Editor besteht die Möglichkeit, die Projektierung der Fahrpläne und Kalenderzuordnung zu überprüfen. Möglich wird dies durch die Schaltpunktvorschau, wobei in der Vorschau jeder beliebige Zeitraum betrachtet werden kann, auch vergangene.


Schritt 18: PFS zur Laufzeit

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 18: PFS zur Laufzeit

Zur Runtime werden die aktivierten Schaltpunkte sekündlich abgearbeitet und ausgeführt. Dies beginnt mit dem Starten des Laufzeitsystems und ist aktiv bis zur Beendung.

Der PFS beinhaltet aber auch die Möglichkeit, die Projektierung voll in der Runtime durchzuführen, wobei die Unterschiede zum Editor gering ausfallen.

Die Unterschiede bestehen in folgendem:

  • Die Bedienberechtigungen für anzeigen, bearbeiten, hinzufügen und löschen von Einträgen sind aktiv.
  • Kontextmenüfunktionen können durch Buttons im Bildtyp aktiviert werden.
  • Die Schaltpunktvorschau löst benutzerdefinierte Ereignisse anhand der bestehenden Triggerzeitpunkte für das Ereignis auf.
  • Das Speichern der geänderten Projektierung aktiviert diese sofort.

Für unsere Tests zur Runtime projektieren Sie:

  • Ein Startbild mit Bildtyp Standard.
  • Ein PFS-Bild mit Bildtyp Production & Facility Scheduler.
  • Im PFS-Bild die Default-Objekte.
  • Im Startbild einen Button, welcher mittels Bildumschaltfunktion auf das PFS-Bild umschaltet. Filtereinstellungen werden keine vorgenommen.
  • Im Startbild mehrere Anzeigefelder, um die Zustände der Variablen zu visualisieren.


Schritt 19: Ausführung zur Laufzeit

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 19: Ausführung zur Laufzeit

Für die Ausführung eines Absolutschaltpunktes sind Datum und Zeit entscheidend. Relative und absolute Zeiten, die keinen Datumsbezug haben, werden mittels der Kalenderzuordnung zu Absolutschaltpunkten aufgelöst. Um nun unsere Tests ausführen zu können, müssen wir die Systemzeit manipulieren, es sei denn Sie haben viel Zeit und warten bis der Tag vorüber gegangen ist.

Änderungen an der Zeit bleiben dem PFS jedoch nicht verborgen und haben je nach Projektierung und Änderung der Zeit unterschiedliche Reaktionen zur Folge. Sehen wir uns hierzu die Eigenschaften des Production & Facility Scheduler an. Die Seite Zeitumstellung definiert das Verhalten des PFS wenn sich die Uhrzeit ändert.

Noch in diesem Kapitel

Positive Zeitumstellung

Negative Zeitumstellung


Positive Zeitumstellung

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 19: Ausführung zur Laufzeit > Positive Zeitumstellung

Schaltpunkte nachholen bewirkt das Ausführen sämtlicher Schaltpunkte von der Ausgangszeit bis zur korrigierten Zeit zum Zeitpunkt der korrigierten Zeit.

Schaltpunkte neu berechnen veranlasst eine Neuberechnung der Schaltpunkte, ab der korrigierten Zeit. Schaltpunkte vom Ausgangszeitpunkt bis vor der korrigierten Zeit werden nicht ausgeführt.


Negative Zeitumstellung

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 19: Ausführung zur Laufzeit > Negative Zeitumstellung

Schaltpunkte verwerfen führt keine Neuberechnung durch, was zur Folge hat, dass erst wieder Schaltpunkte ausgeführt werden, wenn der Ausgangszeitpunkt erreicht wird.

Schaltpunkte neu berechnen erstellt die Absolutschaltpunkte ab der korrigierten Zeit neu. Hierdurch werden die Schaltpunkte nochmals ausgeführt.

Die für die Zeitkorrektur gemachten Aussagen gelten nur wenn die Runtime nicht beendet wird. Bei einem Neustart erfolgt die Berechnung immer entsprechend der aktuellen Systemzeit. Des weiteren muss die gemachte Zeitänderung die Zeittoleranz überschreiten.

In Kenntnis wie sich der PFS bei Zeitänderung verhält, wird empfohlen für die Überprüfung der Ausführung die Zeit nur zu erhöhen. Wenn die Zeit zurückgestellt werden soll, die Runtime beenden, die Zeit ändern und neu starten.

Starten Sie das Laufzeitsystem und ändern Sie die Uhrzeit. Speziell z. B. um 12 Uhr ist ein spannender Augenblick. Um diese Zeit müsste die Hupe für 6 Sekunden aktiv sein. Testen Sie dies.

Da wir nun einen Trigger für das benutzerdefinierte Ereignis Hupendauer haben, ist der Ausführungszeitpunkt in der Schaltpunktvorschau ersichtlich. Ausführungszeitpunkt 12:00:06.


Schritt 20: Resümee

Handbuch > Production and Facility Scheduler (PFS) > Projektieren mit dem Production and Facility Scheduler > Schritt 20: Resümee

Wir haben in diesen 20 Schritten die grundlegenden Teile des PFS kennen gelernt. Es sollte Ihnen nun möglich sein, eigenständig PFS-Projekte zu erstellen.

Die Aufteilung der Schaltzeiten in 3 Fahrpläne ist nicht unbedingt notwendig, wurde aber zur Veranschaulichung der geerbten Zeiten so ausgeführt. Der Projektierungsaufwand wäre mit nur einem Fahrplan geringer.

Nochmals kurz die benötigten Schritte:

  1. Erstellen der benutzerdefinierten Ereignisse.
  2. Erstellen der Zeitmodell-Gruppe.
  3. Erstellen der Zeitmodelle.
  4. Erstellen des Fahrplans.
  5. Erstellen der absoluten Zeiten.
  6. Erstellen der relativen Zeiten.
  7. Erstellen der Schaltpunkte.
  8. Verknüpfen des Fahrplans im Kalender für die absoluten Zeiten.
  9. Verknüpfen der Zeitmodelle im Kalender für die relativen Zeiten.


Weiterführende Projektierung im Production and Facility Scheduler

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler

Noch in diesem Kapitel

Drag&Drop

Filterung der PFS Projektierung

Massenbearbeitung

Strukturfahrpläne

Projektierung Bild direkt für PFS-Fenster

Berechtigungen zur Laufzeit

PFS im Netzwerk

Konvertierung von Projekten

VBA-Schnittstelle


Drag&Drop

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Drag&Drop

Mittels Drag&Drop können Objekte schnell und einfach von einem zum anderen verschoben werden. Im Wesentlichen entspricht der Ablauf einem Ausschneide- Einfügevorgang. Es muss beachtet werden, dass Objekte nur zu Objekten der gleichen Art verschoben werden können. Der Mauszeiger zeigt visuell an, wenn die Ablage nicht erlaubt ist. Die Ablage eines Objektes auf ein verbotenes Ziel bricht den Vorgang ab. Diesen Umstand kann man sich zunutze machen, wenn versehentlich das falsche Objekt aufgenommen wurde.


Filterung der PFS Projektierung

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Filterung der PFS Projektierung

Mit zunehmender Anzahl von Zeitmodell-Gruppen, Modellen, Fahrplänen und Schaltzeiten wird es schwieriger bestimmte Objekte zu finden oder die Übersicht zu bewahren. Um dieses Problem zu mildern, wurde eine Filterung implementiert. In der Baumansicht kann mit der Option Filter-Kriterien im Kontextmenü von Production & Facility Scheduler der Filter-Dialog aktiviert werden. Die eigentliche Dokumentation des Filterdialogs können Sie beim PFS Filterdialog nachlesen, wir konzentrieren uns hier auf die Anwendung.

Die Filterung wird jeweils bei der Anzeige des Objektes durchgeführt. Ein Objekt, das nicht dem Filter entspricht, wird nicht angezeigt. Es ist jedoch weiter vorhanden. Dies kann Verwirrung auslösen, wenn z. B. ein neuer Fahrplan erstellt wird und die Bezeichnung auf einen gefilterten Fahrplan gesetzt wird. Dies löst eine Fehlermeldung aus, dass die Bezeichnung doppelt vorhanden ist.

Wenn neue Objekte erstellt werden, die nicht dem Filter entsprechen, bleiben diese sichtbar bis zur nächsten Aktualisierung der Anzeige. Beispielsweise das Erstellen einer Uhrzeit, die außerhalb des Filters liegt. Solange der Fahrplan nicht verlassen wird, bleibt diese sichtbar. Bei der nächsten Aktualisierung verschwindet diese, ist jedoch weiterhin vorhanden. Der Filter wird erst neu angewandt, wenn die Ansicht neu aufgeschaltet wird.

Im Kalender werden die verknüpften Fahrpläne und Modelle ebenfalls gefiltert.


Massenbearbeitung

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Massenbearbeitung

Wer kennt nicht folgendes Problem: Alle absoluten Zeiten zwischen 06:00:00 und 20:00:00 sollen um 00:43:25 verschoben werden. Schon sitzt man da, berechnet und korrigiert die Zeiten, das vielleicht für dutzende Zeiten. Genau für Anforderungen dieser Art wurde die Massenbearbeitung integriert. Sie ermöglicht auf Fahrplanebene, entsprechend zum Typ der Spalte, an den ausgewählten Zellen Modifikationen auszuführen. Unser zuvor beschriebenes Problem ist hierdurch mit wenigen Mausklicks und Eingaben lösbar.

In Zusammenarbeit mit dem Filter, ergibt sich nochmals die Möglichkeit die Menge der zu bearbeitenden Elemente einzuschränken.

Die folgenden Spalten unterstützen die Massenbearbeitung:

Parameter | Beschreibung
Zeittyp | Ermöglicht die Änderung des Zeittyps.
Uhrzeit | Für absolute Zeiten kann die Zeit verändert werden. Hierzu wird der Dialog Zeit ändern aufgerufen.
Offset | Für relative Zeiten kann der Offset verändert werden. Hierzu wird der Dialog Offset ändern aufgerufen.
Aktiv | Die Aktivierung kann verändert werden.
Aktion | Je nach Verknüpfungstyp kann der Wert, die Aktivierung od. das auszuführende Makro verändert werden. Hierzu wird der Dialog Wert ändern aufgerufen.


Strukturfahrpläne

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Strukturfahrpläne

Strukturfahrpläne dienen zur visuellen Strukturierung der Fahrpläne in der Baumansicht. Ein Fahrplan wird durch setzen der Checkbox Struktur-Fahrplan bei der Option Fahrplan Eigenschaften als Strukturfahrplan gekennzeichnet.

Strukturfahrpläne haben keine zugeordneten Variablen und Funktionen sowie auch keine Zeiten und Schaltpunkte. Der Strukturfahrplan kann untergeordnete Fahrpläne aufnehmen. Dadurch ist es möglich, für diese untergordneten Fahrpläne eine logische Zusammengehörigkeit darzustellen.


Projektierung Bild direkt für PFS-Fenster

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Projektierung Bild direkt für PFS-Fenster

Der Filterdialog für die Funktion Bilddirekt auf PFS-Bilder ermöglicht die anzuzeigenden Daten zu spezifizieren, sowie die Darstellung der Tabelle anzupassen.

Parameter | Beschreibung
Filterung der Baumansicht | Wählen Sie das bei Bildaufschaltung zu aktivierende Objekt. Das Objekt muss den Filterkriterien entsprechen oder der Filter wird deaktiviert. Siehe hierzu auch Filter Baumansicht für Bild direkt.
Filterung der Tabellenansicht | Legt fest welches Format die Tabellenansicht hat. Siehe hierzu auch Filter Tabellenansicht für Bild direkt.


Berechtigungen zur Laufzeit

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Berechtigungen zur Laufzeit

Zu jedem Objekt in der Baumansicht können, je nach Funktionalität vom Objekt, Berechtigungen vergeben werden. Zur Laufzeit darf der aktuell eingeloggte Benutzer die Funktion nur ausführen wenn er über die entsprechende Passwortebene verfügt. Die Berechtigung bezieht sich immer auf das Objekt.

Wenn der Benutzer nicht über das Recht verfügt ein Objekt zu sehen, so wird das Objekt sowie alle seine untergeordneten Objekte verborgen. Dies obwohl er vielleicht für ein untergeordnetes Objekt die Anzeigeberechtigung besitzt.

Die Berechtigung zum Ändern, schließt auch das Recht ein die Berechtigungen zu ändern.


PFS im Netzwerk

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > PFS im Netzwerk

Der PFS kann im Netzwerk eingesetzt werden, wobei die Schaltpunktausführung nur am Server erfolgt. Ein eventuell vorhandener Standby-Server arbeitet die Schaltpunktliste zwar entsprechend ab, führt diese jedoch nicht aus. Die Synchronisierung der Abarbeitung erfolgt über die Systemzeit.

Das Verhalten des PFS beim Hochstufen des Standby zum Prozessführenden Server ist entsprechend projektierbar. Die Herausforderung bei der Umstufung besteht darin, dass der Standby-Server nicht mit Sicherheit bestimmen kann, wann die letzte Schaltung vom (früheren) Prozessführenden Server ausgeführt wurde. Hierfür ist in dem Dialog Zeitumstellung vom Production & Facility Scheduler die Option SB-Umschaltung verwerfen vorgesehen.

Parameter | Beschreibung
Schaltpunkte verwerfen | Mit der Schaltpunktabarbeitung wird an der aktuellen Position im Sb fortgefahren. Dies hat eventuell zur Folge, dass Schaltpunkte nicht ausgeführt werden.
Schaltpunkte neu berechnen | Die Schaltpunkte werden ab der aktuellen Zeit - 30 Sekunden erneut berechnet und sofort ausgeführt. Dies hat eventuell zur Folge, dass Schaltpunkte doppelt ausgeführt werden.

Wenn der Server wieder im Netz verfügbar ist und sich der Standby runterstuft, wird der Server mit den aktuellen PFS-Daten synchronisiert. Hiermit ist sichergestellt, dass die Schaltpunktausführung nahtlos weiterläuft.

Parameter

Beschreibung

Server

Führt die Schaltpunkte aus.
Speichert die Projektierung für den PFS.

Ungesicherte Projektierungen am Server werden verworfen, wenn in der Zwischenzeit von einem Client eine aktuellere Projektierung gesichert wird.

Client
  • Keine Schaltpunktausführung.
  • Projektdaten können editiert werden.
  • Werden Projektdaten durch eine Projektänderung von anderen Clients oder Server verändert, wird dies am Client durch einen Hinweis visualisiert.
  • Triggerzeitpunkt für Benutzerevents entspricht der Systemzeit am Client.

Standby
  • Der Standby-Server verhält sich gleich wie ein Client .
    Hinweis: Wird der Standby-Server zum Prozessführenden Server, verhält er sich dementsprechend wie ein Server.
  • Das Verhalten für den Vorgang des Hochstufens ist projektierbar.
  • Speichert die Projektierung für den PFS.


Konvertierung von Projekten

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > Konvertierung von Projekten

Wenn ein Projekt welches mit einer Version vor 5.50 erstellt wurde, aktiviert wird, werden die Profile in Fahrplan-Strukturen umgewandelt. Die Profile werden ab der Version 5.50 nicht mehr unterstützt. Für jedes Profil wird ein Struktur-Fahrplan erstellt, der die verknüpften Fahrpläne enthält. Die verknüpften Fahrpläne enthalten die Zeiten, die innerhalb der Profil Ein/- Ausschaltzeiten lagen.

Die Tagesinformation der Profil-Fahrpläne wird in den Kalender übernommen.

Der Verlauf der Projektierung wird im Ausgabefenster des Editors festgehalten.


VBA-Schnittstelle

Handbuch > Production and Facility Scheduler (PFS) > Weiterführende Projektierung im Production and Facility Scheduler > VBA-Schnittstelle

Der PFS enthält eine Vba-Schnittstelle, die im Vba-Objekt Project integriert ist. Des weiteren ist es möglich, Schaltpunkte mit einem VBA-Makro vom Typ Execute_Value zu verknüpfen. In diesem Fall wird der Schaltpunkt als Parameter an das VBA-Makro übergeben.

Das VBA-Makro ist in weiterer Folge für die Ausführung der Schalthandlung verantwortlich.


Objekttypen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen

Die Objekte enthalten die für sie durchgeführte Projektierung. Es werden zwei Arten von Objekttypen unterschieden:

Editierbare Objekttypen und Fest vorgegebene Objekttypen

Noch in diesem Kapitel

Fest vorgegebene Objekttypen

Editierbare Objekttypen

Objekt Production and Facility Scheduler

Objekt Zeitmodell-Gruppen

Objekt editierbare Zeitmodell-Gruppen

Objekt Fahrpläne

Objekt editierbare Fahrpläne

Objekt Funktionsliste

Objekt Uhrzeit

Objekt Schaltpunkt

Objekt Zeitmodelle

Objekt Schicht

Objekt Pause

Objekt Ereignisse

Objekt Benutzer-Ereignisse

Objekt Kalender

Objekt Variablenliste

Objekt Funktionen


Fest vorgegebene Objekttypen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Fest vorgegebene Objekttypen

Diese Objekttypen sind wenn ihr Vorgängerobjekt erstellt wurde und die Anzeigeberechtigung gegeben ist, immer vorhanden. Sie können weder verschoben, umbenannt noch gelöscht werden. Wenn diese Objekte unterdrückt werden, sind auch alle Kindobjekte unzugänglich.
Z. B.: Zeitmodell-Gruppen haben immer die festen Objekttypen Fahrpläne und Zeitmodelle.


Editierbare Objekttypen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Editierbare Objekttypen

Diese Objekttypen werden entsprechend der benötigten Anzahl bei der Projektierung erstellt.


Objekt Production and Facility Scheduler

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Production and Facility Scheduler

Dies ist das Wurzelobjekt für den gesamten PFS. In diesem Objekt werden Einstellungen vorgenommen welche für den gesamten PFS gültig sind. Es ist ein fest vorgegebenes Objekt.

Parameter | Beschreibung
Speichern | Speichert die gemachten Änderungen ab. Zur Runtime werden die Einstellungen bei den Laufzeitdaten abgespeichert, sowie eine Neuberechnung der Schaltpunkte aufgrund der geänderten Projektierung vorgenommen.
Verwerfen | Nach Bestätigung der Sicherheitsabfrage werden sämtliche gemachten Änderungen unwiederbringlich verworfen.
Eigenschaften | Ruft die Einstellungsseiten für die PFS-Eigenschaften auf.
Schaltpunktvorschau | Aktiviert die Schaltpunktvorschau.
Filter Krieterien | Aktiviert den Filterdialog.
Hilfe | Die Hilfe wird aktiviert.


Objekt Zeitmodell-Gruppen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Zeitmodell-Gruppen

Dieses Objekt beinhaltet alle definierten Zeitmodell-Gruppen des PFS. Es ist ein fest vorgegebenes Objekt.

Parameter | Beschreibung
Erstellen | Erstellt eine neue Zeitmodell-Gruppe und ruft die Seite der Eigenschaften für die neue Zeitmodell-Gruppe auf.
Einfügen | Wenn ein Zeitmodell-Gruppe in der Zwischenablage liegt, kann dieses als Kopie eingefügt werden. Kopien erhalten eine fortlaufende Nummer, um die eindeutige Benennung zu wahren.
Berechtigung | Aktiviert den Dialog für die Rechte des Objektes.
Hilfe | Hilfe aufrufen.


Objekt editierbare Zeitmodell-Gruppen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt editierbare Zeitmodell-Gruppen

Zeitmodell-Gruppen kapseln die ihnen zugehörigen Fahrpläne und Zeitmodelle. Des weiteren werden darin grundlegende Einstellungen für relative Schaltzeiten vorgenommen.

Im Kalender kann für jede Zeitmodell-Gruppe die Zuordnung der Fahrpläne und Modelle pro Tag durchgeführt werden.

Jede Zeitmodell-Gruppe beinhaltet die fest vorgegebenen Objekte Fahrpläne und Zeit-Modelle.

Parameter | Beschreibung
Kopieren | Kopiert die ausgewählte Zeitmodell-Gruppe oder ausgewählten Zeitmodell-Gruppe in die Zwischenablage.
Umbenennen | In der Baumansicht wechselt bei der Zeitmodell-Gruppe die Bezeichnung in den Editiermodus. Es kann nun die Bezeichnung verändert werden. Die neue Bezeichnung muss PFS weit einmalig sein.
Löschen | Löscht alle ausgewählten Zeitmodell-Gruppen nach einer Sicherheitsabfrage.
Eigenschaften | Aktiviert die Seite mit den Zeitmodell-Gruppeneinstellungen.
Berechtigungen | Aktiviert den Dialog für die Berechtigungen.
Hilfe | Aktiviert die Hilfe.


Objekt Fahrpläne

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Fahrpläne

Dieses Objekt beinhaltet sämtliche übergeordnete Fahrpläne 1. Ordnung. Es ist ein fest vorgegebenes Objekt.

Kontextmenü

Menüpunkt | Aktion
Erstellen | Erstellt einen neuen Fahrplan.
Einfügen | Fügt einen Fahrplan aus der Zwischenablage ein.
Berechtigungen | Öffnet den Dialog für die Berechtigungen.
Hilfe | Öffnet die Onlinehilfe.

Noch in diesem Kapitel

Neuer Fahrplan Kontextmenü

Kontextmenü Zeitansicht neuer Fahrplan


Neuer Fahrplan Kontextmenü

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Fahrpläne > Neuer Fahrplan Kontextmenü

Menüpunkt | Aktion
Erstellen | Erstellt einen neuen Fahrplan.
Kopieren | Kopierte ausgewählte Fahrpläne.
Ausschneiden | Schneidet ausgewählte Fahrpläne aus.
Einfügen | Fügt Fahrpläne aus der Zwischenablage ein.
Inaktiv/Aktiv | Schaltet für ausgewählte Fahrpläne zwischen den Status aktiv und inaktiv um.
Umbenennen | Ermöglicht das Umbenennen der Fahrplannamen.
Löschen | Löscht die ausgewählten Fahrpläne nach einer Sicherheitsabfrage.
Eigenschaften | Öffnet das Fenster Eigenschaften für den gewählten Eintrag.
Berechtigungen | Öffnet den Dialog für die Berechtigungen.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Zeitansicht neuer Fahrplan

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Fahrpläne > Kontextmenü Zeitansicht neuer Fahrplan

Die angezeigten Menüeinträge hängen ab vom Bereich, an dem der Rechtsklick ausgeführt wird. Einträge, die nicht immer angezeigt werden, erhalten den Zusatz (optional).

Menüpunkt | Aktion
Zeitraster erstellen | Öffnet den Dialog zur Erstellung eines Zeitrasters.
Uhrzeit erstellen | Fügt einen neue Uhrzeit in die Liste ein.
Schaltpunkt erstellen | Erstellt einen neuen Schaltpunkt.
Schaltpunkte erstellen | Öffnet den Dialog zur Erstellung mehrerer Schaltpunkte.
Uhrzeit löschen | Löscht die ausgewählte Uhrzeit.
Schaltpunkte löschen | Löscht den ausgewählten Schaltpunkt.
Zeit ändern (optional) | Öffnet den Dialog zum Ändern der Uhrzeit.
Absoluter Zeitpunkt (optional) | Ändert den Zeittyp in Absoluter Zeitpunkt.
Relativer Zeitpunkt (optional) | Ändert den Zeittyp in Relativer Zeitpunkt.
Alle Werte aktiv (optional) | Setzt Werte aktiv.
Alle Werte inaktiv (optional) | Setzt Werte inaktiv.
Hilfe | Öffnet die Online-Hilfe.


Objekt editierbare Fahrpläne

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt editierbare Fahrpläne

Fahrpläne sind das Herz des PFS. Sie enthalten die für die Ausführung wichtigen Objekte Uhrzeit und Schaltpunkte.

Die Fahrpläne können wiederum Fahrpläne aufnehmen, wobei die Kindfahrpläne alle im Elternfahrplan definierten Uhrzeiten erben. Für die Schachtelungstiefe besteht keine Einschränkung.

Parameter | Beschreibung
Erstellen | Erstellt einen neuen Kindfahrplan und ruft für diesen die Einstellungsseiten auf.
Kopieren | Die ausgewählten Fahrpläne werden in die Zwischenablage kopiert.
Ausschneiden | Die ausgewählten Fahrpläne werden ausgeschnitten. Ausgeschnittene Fahrpläne werden speziell gekennzeichnet, verschwinden jedoch erst wenn diese in einen anderen Fahrplan eingefügt werden. Das Einfügen eines ausgeschnittenen Fahrplan in sich selbst oder bei seinen unmittelbaren Vorgänger ist nicht möglich.
Einfügen | Fügt die Fahrpläne aus der Zwischenablage ein. Die Benennung des eingefügten Fahrplan wird hierbei geändert, um die Eindeutigkeit zu wahren.
Inaktiv/Aktiv | Aktiviert oder deaktiviert den Fahrplan. Die Schaltpunkte deaktivierter Fahrpläne werden nicht ausgeführt.
Umbenennen | Ermöglicht die Änderung der Fahrplanbenennung. Die neue Bezeichnung muss auf gleicher Ebene eindeutig sein.
Löschen | Löscht die ausgewählten Fahrpläne und ihre Kindfahrpläne nach einer Sicherheitsabfrage.
Eigenschaften | Ruft die Einstellungsseite für die Fahrplaneigenschaften auf.
Berechtigungen | Ruft den Dialog für die Berechtigungen auf.
Hilfe | Aktiviert die Onlinehilfe.


Objekt Funktionsliste

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Funktionsliste

Dieses Objekt enthält die dem Fahrplan zugeordneten Funktionen. Nur dem Fahrplan zugeordnete Funktionen können von diesem auch verwendet werden. Dies ist ein fest vorgegebenes Objekt.

Kontextmenü Funktionsliste

Menüpunkt | Aktion
Funktion hinzufügen | Ermöglicht eine neue Funktion dem Fahrplan zuzuordnen. Nach aufblenden der Liste, der definierten Funktionen, wählen Sie die gewünschte Funktion und übernehmen diese mit OK.
Funktion einfügen | Fügt die Funktionen aus der Zwischenablage ein.
Berechtigungen | Öffnet den Dialog für die Berechtigungen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Funktion

Menüpunkt | Aktion
Kopieren | Kopiert ausgewählte Funktionen.
Ausschneiden | Schneidet ausgewählte Funktionen aus.
Funktion ersetzen | Öffnet den Dialog zum Ersetzen der ausgewählten Funktionen.
Funktion entfernen | Löscht ausgewählte Funktionen aus der Liste.
Berechtigungen | Ruft den Dialog für die Berechtigungen auf.
Hilfe | Aktiviert die Onlinehilfe.


Objekt Uhrzeit

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Uhrzeit

Die Uhrzeit definiert den Zeitpunkt, wann der damit verknüpfte Schaltpunkt ausgeführt werden soll.

Es gibt 2 Arten von Zeittypen:

  • absolute
  • relative

Die definierten Uhrzeiten werden an die Kindfahrpläne weitergegeben und in diesen grau hinterlegt.

Noch in diesem Kapitel

Zeittyp absolut

Zeittyp relativ

Offset

Kontextmenü Uhrzeit


Zeittyp absolut

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Uhrzeit > Zeittyp absolut

Die Uhrzeit ist direkt im Feld Uhrzeit definiert. Wenn der Fahrplan mit einem Tag verknüpft ist, werden die dem Zeitpunkt zugeordneten aktiven Schaltpunkte ausgeführt. Das Feld Offset ist ohne Bedeutung.

Der Zeitmodell-Gruppenzyklus oder die Modellzuordnung ist ohne Bedeutung.


Zeittyp relativ

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Uhrzeit > Zeittyp relativ

Bei diesem Zeittyp wird bei der Uhrzeit ein Ereignis ausgewählt. Dieses Ereignis wird in der Vorschau oder zur Runtime in einem absoluten Schaltpunkt umgewandelt. Die Kriterien, nach denen der absolute Schaltpunkt erzeugt wird, hängen ab vom Ereignis und der damit zusammenhängenden Projektierung. Bei jedem Ereignis kann ein Offset angegeben werden, der den Ausführungszeitpunkt entsprechend verschiebt.

Parameter

Beschreibung

Zyklusbeginn

Wird täglich um Mitternacht ausgeführt.

Zyklusbeginn ohne Produktion

Wird an den Tagen geschaltet, die mit keiner Schicht verknüpft sind. Der Zeitpunkt ist der Tagesbeginn der Zeitmodell-Gruppe.

Ein Tag ist auch dann produktionsfrei, wenn z. B. die letzte Schicht erst um 02:00:00 Uhr desselben Tages endet.

Zyklusbeginn mit Produktion

Wird an den Tagen geschaltet, an denen Schichten eingetragen sind. Der Zeitpunkt ist der Tagesbeginn der Zeitmodell-Gruppe.

Produktionsbeginn

Wird zum Beginn der ersten Schicht ausgeführt, sofern die erste Schicht jene ist, die einem Tag ohne Produktion folgt.

Produktionsende

Wird am Ende der letzten Schicht ausgeführt, wenn auf diese letzte Schicht ein Tag ohne Produktion folgt. Damit ist die Schicht am Ende eines Tages kein Produktionsende, wenn am nächsten Tag weiter produziert wird.

Schichtbeginn

Wird zum Beginn jeder Schicht ausgeführt.

Schichtende

Wird am Ende jeder Schicht ausgeführt.

Pausenbeginn

Wird zum Beginn jeder Pause ausgeführt.

Pausenende

Wird am Ende jeder Pause ausgeführt.

Benutzerdefiniertes Ereignis

Sämtliche benutzerdefinierten Ereignisse können zugeordnet werden. Der Schaltpunkt wird beim Eintreten des Triggerereignis für das benutzerdefinierte Ereignis angestoßen.

Schichtbeginn erste Schicht

Wird am Beginn der ersten Schicht im Zeitmodell-Gruppenzyklus ausgeführt

Schichtende letzte Schicht

Wird am Ende der letzten Schicht im Zeitmodell-Gruppenzyklus ausgeführt.

Schichtfrei Beginn

Wird am Ende der Schicht geschalten, wenn der Beginn der nächsten Schicht um mehr als 1 Sekunde versetzt ist.

Schichtfrei Ende

Wird am Beginn der Schicht geschalten welche auf eine schichtfreie Zeit folgt.

Schichtfrei Beginn ohne Produktionsende

Wird bei Beginn der schichtfreien Zeit geschalten, wenn nicht gleichzeitig ein Produktionsende erfolgt.

Schichtfrei Ende ohne Produktionsbeginn

Wird am Ende der schichtfreien Zeit geschalten, wenn nicht gleichzeitig ein Produktionsbeginn erfolgt.

Schichtbeginn erste Schicht ohne Produktionsbeginn

Wird am Beginn der ersten Schicht geschalten, wenn nicht gleichzeitig ein Produktionsbeginn erfolgt.

Schichtbeginn letzte Schicht ohne Produktionsende

Wird am Ende der letzten Schicht geschalten, wenn nicht gleichzeitig ein Produktionsende erfolgt.

Schichtbeginn ohne Produktionsbeginn

Wird am Beginn der Schicht geschalten, wenn nicht gleichzeitig ein Produktionsbeginn erfolgt.

Schichtende ohne Produktionsende

Wird am Ende der Schicht geschalten, wenn nicht gleichzeitig ein Produktionsende erfolgt.


Offset

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Uhrzeit > Offset

Bei relativen Zeiten kann der Ausführungszeitpunkt mittels Offset verändert werden. Der Offset kann maximal +/- 1 Tag-1 Sekunde sein. Bei benutzerdefinierten Ereignissen kann nur ein positiver Offset eingegeben werden. Der Offset wird in Minuten angegeben, wobei die Sekunden hinter der Kommastelle in 1/100 Minuten eingegeben werden können.

Parameter | Beschreibung
Zeitraster erstellen | Ruft die Einstellungsseite für das zyklische Erstellen eines absoluten Zeitraum auf.
Uhrzeit erstellen | Erstellt eine neue Uhrzeit.
Schaltpunkt erstellen | Erstellt einen neuen Schaltpunkt zu der Uhrzeit.
Schaltpunkte erstellen | Ermöglicht für mehrere Variablen oder Funktionen Schaltpunkte in einem Arbeitsgang zu definieren, wenn vorher noch kein Schaltpunkt erstellt wurde.
Uhrzeit löschen | Löscht die markierten Uhrzeiten mit allen Schaltpunkten.
Schaltpunkte löschen | Löscht die markierten Schaltpunkte.
absoluter Zeitraum | Ändert den Zeittyp auf absolut.
Relative Zeit | Ändert den Zeittyp auf relativ.
Hilfe | Aktiviert die Onlinehilfe.


Kontextmenü Uhrzeit

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Uhrzeit > Kontextmenü Uhrzeit

Die nicht dokumentierten Menüpunkte entsprechen jenen beim Kontextmenü Zeittyp.

  • Zeit ändern: Dieser Menüpunkt aktiviert den Dialog für die Zeitänderung.


Objekt Schaltpunkt

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schaltpunkt

Der Schaltpunkt definiert die Aktion welche ausgeführt werden soll, wenn der Ausführungszeitpunkt gekommen ist.

Noch in diesem Kapitel

Aktiv

Verknüpfungstyp

Verknüpfungen

Aktion

Berechtigungen


Aktiv

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schaltpunkt > Aktiv

Hiermit kann die Ausführung des Schaltpunkt freigegeben oder verhindert werden.


Verknüpfungstyp

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schaltpunkt > Verknüpfungstyp

Der Verknüpfungstyp definiert, was ausgeführt werden soll. Folgende Verknüpfungen sind möglich:

Parameter | Beschreibung
Variable | Sollwert setzen, mit dem bei Aktion angegeben Wert, wird ausgeführt.
Funktion | Die bei Aktion angegebene Funktion wird aufgerufen.
VBA Makro mit Variable | Das unter Macro -> Browse -> ModuleScheduler -> ExecuteValue definierte Makro mit einer Referenz auf die angegebene Variable wird aufgerufen.
VBA Makro mit Funktion | Das unter Macro -> Browse > ModuleScheduler > ExecuteValue definierte Makro mit einer Referenz auf die angegebene Funktion wird aufgerufen.


Verknüpfungen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schaltpunkt > Verknüpfungen

Enthält die Liste der mit dem Fahrplan verknüpften Variablen oder Funktionen.


Aktion

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schaltpunkt > Aktion

Je nach Verknüpfungstyp hat die Zelle folgende Bedeutung:

Parameter | Beschreibung
Variable | Sollwert der bei der Variable gesetzt werden soll.
Funktion | Enthält den Zustand von Aktiv.
VBA Makro mit Variable | Name des aufzurufenden Makros.
VBA Makro mit Funktion | Name des aufzurufenden Makros.


Berechtigungen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schaltpunkt > Berechtigungen

Für die Bearbeitung zur Laufzeit nötige Berechtigungsebene.


Objekt Zeitmodelle

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Zeitmodelle

Dieses Objekt enthält alle bei der Zeitmodell-Gruppe definierten Zeitmodelle. Dies ist ein fest vorgegebenes Objekt.

Ein Zeitmodell enthält die Definition der Schichten und Pausen, welche für die entsprechenden Relativereignisse benötigt werden.

Kontextmenü Zeitmodell

Menüpunkt | Aktion
Zeitmodell neu | Erstellt ein neues Zeitmodell.
Einfügen | Fügt Zeitmodelle aus der Zwischenablage ein.
Berechtigungen | Öffnet den Dialog für die Berechtigungen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Zeitmodell

Menüpunkt | Aktion
Kopieren | Kopiert ausgewählte Modelle.
Ausschneiden | Schneidet ausgewählte Modelle aus.
Umbenennen | Ermöglicht das Umbenennen des Zeitmodells.
Löschen | Löscht ausgewählte Modelle.
Berechtigungen | Ruft den Dialog für die Berechtigungen auf.
Hilfe | Aktiviert die Online-Hilfe.

Noch in diesem Kapitel

Kontextmenü Zeitmodellgruppe


Kontextmenü Zeitmodellgruppe

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Zeitmodelle > Kontextmenü Zeitmodellgruppe

Kontextmenü Zeitmodellgruppe

Menüpunkt | Aktion
Erstellen | Erstellt ein neues Zeit-Modell. Für das neue Zeit-Modell kann sofort ein neuer, eindeutiger Name vergeben werden.
Einfügen | Fügt die Zeit-Modelle aus der Zwischenablage ein.
Berechtigungen | Öffnet den Dialog für die Berechtigungen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Zeitmodell

Menüpunkt | Aktion
Speichern | Speichert Änderungen in der Projektierung des PFS.
Verwerfen | Verwirft alle Änderungen seit dem letzten Speicherzeitpunkt.
Eigenschaften | Öffnet das Fenster Eigenschaften für den gewählten Eintrag.
Schaltpunktvorschau | Öffnet den Dialog für die Schaltpunktvorschau.
Filter-Kriterien | Öffnet den Dialog zur Auswahl der Filter.
Hilfe | Öffnet die Online-Hilfe.


Objekt Schicht

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Schicht

Ein Zeitmodell beinhaltet die Schichten. Die Schichten werden zur Auflösung der Relativereignisse benötigt. Schichten dürfen sich nicht überlappen und müssen innerhalb des Zeitmodell-Gruppenzyklus sein.

Die Schichten werden in der Tabellenansicht grau hinterlegt dargestellt.

Parameter | Beschreibung
Schicht erstellen | Erstellt eine neue Schicht.
Pause erstellen | Erstellt eine neue Pause bei der Schicht.
Schicht löschen | Löscht die Schicht mit allen Pausen.
Hilfe | Aktiviert die Online-Hilfe.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.


Objekt Pause

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Pause

Zu einer Schicht können mehrere Pausen definiert werden. Die Pausen dürfen sich nicht überlappen und müssen innerhalb der Schicht sein.

Parameter | Beschreibung
Pause erstellen | Erstellt eine neue Pause bei der Schicht.
Pause löschen | Löscht die Pause bei der Schicht.
Hilfe | Onlinehilfe aktivieren.


Objekt Ereignisse

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Ereignisse

Dieses Objekt enthält sämtliche benutzerdefinierten Ereignisse des PFS. Dies ist ein fest vorgegebenes Objekt.

Parameter | Beschreibung
Erstellen | Erstellt ein neues benutzerdefinierte Ereignis. Für das neue Ereignis muss ein eindeutiger Name vergeben werden.
Einfügen | Fügt die benutzerdefinierten Ereignisse aus der Zwischenablage ein.
Berechtigungen | Aktiviert den Dialog für die Berechtigungen.
Hilfe | Aktiviert die Onlinehilfe.


Objekt Benutzer-Ereignisse

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Benutzer-Ereignisse

Benutzer-Ereignisse sind vom Benutzer kreierbare Ereignisse. Sie werden PFS weit definiert. Angestoßen werden diese, durch eintragen eines Triggerzeitpunkt, mittels der Funktion PFS - Ereignis anstoßen . Die Anzahl der Benutzer-Ereignisse ist nur durch den zur Verfügung stehenden Speicher begrenzt.

Im Editor werden Benutzer-Ereignisse in der Schaltpunktvorschau, aufgrund der fehlenden Trigger nicht aufgelöst. Zur Runtime werden die Trigger max. 14 Tage im Speicher gehalten, um die Analyse vergangener Schaltpunkte zu ermöglichen. Beim Beenden der Runtime werden sämtliche Trigger gelöscht.

Das Tabellenfenster enthält die Auflistung aller definierten Benutzer-Ereignisse (grau hinterlegt) und die damit verknüpften Fahrpläne.

Kontextmenü Ereignis

Menüpunkt | Aktion
Erstellen | Erstellt ein neues Benutzer-Ereignis.
Einfügen | Fügt ein Benutzer-Ereignis aus der Zwischenablage ein.
Berechtigungen | Ruft den Dialog für die Berechtigungen auf.
Hilfe | Aktiviert die Onlinehilfe.

Kontextmenü Benutzer-Ereignis

Menüpunkt | Aktion
Kopieren | Kopiert die ausgewählten Benutzer-Ereignisse in die Zwischenablage.
Umbenennen | Ermöglicht, dem Ereignis eine neue Bezeichnung zu geben.
Löschen | Löscht die ausgewählten Benutzer-Ereignisse.
Berechtigungen | Aktiviert den Dialog für die Berechtigungen.
Hilfe | Aktiviert die Onlinehilfe.


Objekt Kalender

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender

Die bei einem Fahrplan definierten relativen und absoluten Schaltzeiten haben keinen Tagesbezug, nur die Uhrzeit wird definiert. Mit dem Kalender wird nun definiert, an welchen Tagen welcher Fahrplan ausgeführt werden soll. Hierfür können für jede Zeitmodell-Gruppe das aktive Modell und die aktiven Fahrpläne pro Tag festgelegt werden.

Der Kalender ist in mehreren Ansichten verfügbar, je nachdem wie detailliert die Information gewünscht wird.

Kontextmenü Kalender

Menüpunkt | Aktion
Erstellen | Erstellt einen neuen Kalender.
Einfügen | Fügt einen Kalender aus der Zwischenablage ein.
Berechtigungen | Ruft den Dialog für die Berechtigungen auf.
Hilfe | Aktiviert die Onlinehilfe.

info Info

Im Kalender können Sie einzelne Tage als Sondertage definieren. An diesen Tagen werden dann die Fahrpläne ausgeführt, die für Sondertage definiert sind. Als Sondertage kann jeder Tag (Montag - Sonntag) definiert werden.

Noch in diesem Kapitel

Absolute Uhrzeit

Relative Uhrzeit

Monatsansicht

Wochenansicht

Tagesansicht

Arten der Modellzuordnung

Arten der Fahrplanzuordnung

Modellzuordnung in der Kalenderansicht

Kontextmenü Modell

Kontextmenü Fahrplan


Absolute Uhrzeit

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Absolute Uhrzeit

Um die absoluten Schaltpunkte an einen bestimmten Tag auszuführen, muss der entsprechende Fahrplan mit dem Tag verknüpft werden. Hierzu ist die Zelle Fahrpläne am gewünschten Tag auszuwählen. Über das Kontextmenü wird nun der Dialog für die Fahrplanauswahl aufgerufen und die Verknüpfung erstellt. Die Kennung der verknüpften Fahrpläne wird in die Zelle eingetragen. In der Tagesansicht kann diese detailliert eingesehen werden.


Relative Uhrzeit

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Relative Uhrzeit

Für die Auflösung der relativen Uhrzeiten zu einem absoluten Schaltpunkt ist die Modellverknüpfung oder Nichtverknüpfung zu einem Tag entscheidend. Der Kalendertag beginnt immer mit dem Tagesbeginn der Zeitmodell-Gruppe. Wenn der Zeitmodell-Gruppenzyklus über den Tag geht, gehören Zeiten, welche vor dem Tagesbeginn liegen zum Vortag.

z. B. Tagesbeginn 02:00:00 Tagesende 01:59:59. Wenn nun ein Trigger für ein benutzerdefiniertes Ereignis am Montag dem 15.10.2001 um 00:30:00 kommt, so wird das Modell vom Sonntag 14. verwendet. Wenn der Trigger um 02:00:00 kommt, wird das Modell vom Montag verwendet.

Z.B: Tagesbeginn 06:00:00 Tagesende 21:59:59. Wenn nun ein Trigger für ein benutzerdefiniertes Ereignis am Montag dem 15.10.2001 um 00:30:00 kommt, so wird das Modell vom Montag 15. verwendet.


Monatsansicht

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Monatsansicht

In der Monatsansicht wird versucht den ganzen Monat im Kalender darzustellen. Wenn der verfügbare Anzeigeplatz nicht ausreicht, wird versucht den aktuellen Tag im Sichtbereich darzustellen. Der große Anzeigezeitraum soll einen schnellen Überblick ermöglichen.

Durch Doppelklick auf eine Fahrplanzelle, werden diese Fahrpläne in der Tabellenansicht zur Bearbeitung geöffnet.

Kontextmenü Monatsansicht

Menüpunkt | Aktion
Modelle auswählen | Öffnet den Dialog zur Auswahl eines Modells.
Fahrpläne auswählen | Öffnet den Dialog zur Auswahl von Fahrplänen.
Tagesansicht | Schaltet um auf Tagesansicht.
Wochenansicht | Schaltet um auf Wochenansicht.
Monatsansicht | Schaltet um auf Monatsansicht.
Zu Heute wechseln | Wechselt zum aktuellen Datum.
Wechseln zu Datum | Öffnet den Dialog zur Auswahl eines Datums.
Vorheriges Element anzeigen | Springt zum vorangegangenen Element.
Nächstes Element anzeigen | Springt zum nächsten Element.
Hilfe | Aktiviert die Onlinehilfe.


Wochenansicht

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Wochenansicht

Die Wochenansicht stellt die Zuordnung wochenweise dar.

Kontextmenü Wochenansicht

Menüpunkt | Aktion
Modelle auswählen | Öffnet den Dialog zur Auswahl eines Modells.
Fahrpläne auswählen | Öffnet den Dialog zur Auswahl von Fahrplänen.
Tagesansicht | Schaltet um auf Tagesansicht.
Wochenansicht | Schaltet um auf Wochenansicht.
Monatsansicht | Schaltet um auf Monatsansicht.
Zu Heute wechseln | Wechselt zum aktuellen Datum.
Wechseln zu Datum | Öffnet den Dialog zur Auswahl eines Datums.
Vorheriges Element anzeigen | Springt zum vorangegangenen Element.
Nächstes Element anzeigen | Springt zum nächsten Element.
Hilfe | Aktiviert die Onlinehilfe.


Tagesansicht

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Tagesansicht

Die Tagesansicht bietet detaillierte Information über die Verknüpfung der Fahrpläne zum Tag.

Kontextmenü Tagesansicht

Menüpunkt | Aktion
Fahrpläne auswählen | Öffnet den Dialog zur Auswahl von Fahrplänen.
Fahrplan anzeigen | Öffnet den ausgewählten Fahrplan in einem externen Fenster.
Tagesansicht | Schaltet um auf Tagesansicht.
Wochenansicht | Schaltet um auf Wochenansicht.
Monatsansicht | Schaltet um auf Monatsansicht.
Zu Heute wechseln | Wechselt zum aktuellen Datum.
Wechseln zu Datum | Öffnet den Dialog zur Auswahl eines Datums.
Vorheriges Element anzeigen | Springt zum vorangegangenen Element.
Nächstes Element anzeigen | Springt zum nächsten Element.
Als Default | Der Fahrplan soll jeweils am aktuellen Wochentag ausgeführt werden.
Als Einzeltag | Der Fahrplan wird nur an diesen Tag ausgeführt.
Löschen | Wenn der Fahrplan als default eingetragen ist dann wird für diesen Tag eine Ausnahme erstellt. Bei einer Ausführung nur an diesen Tag wird die Einzeltagausführung gelöscht.
Hilfe | Aktiviert die Onlinehilfe.


Arten der Modellzuordnung

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Arten der Modellzuordnung

Bei den Modellen werden folgende Zuordnungsarten unterstützt:

Modell für diesen Tag verwenden.

Feiertagsmodell, wenn der Tag ein Feiertag ist

Modell für den Wochentag verwenden.


Arten der Fahrplanzuordnung

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Arten der Fahrplanzuordnung

Folgende Zuordnung der Fahrpläne zu einem Tag werden unterstützt:

Fahrplan an diesen Tag verwenden.

Fahrplan an diesen Tag nicht verwenden.

Fahrplan am Feiertag verwenden, wenn der Tag ein Feiertag ist.

Fahrplan für den Wochentag verwenden.


Modellzuordnung in der Kalenderansicht

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Modellzuordnung in der Kalenderansicht

Die Modelle können auch direkt in der Kalenderansicht zugeordnet werden. Nach Auswahl der Zelle für die Modelle einer Zeitmodell-Gruppe, eines Tages, werden sämtliche verfügbaren Modelle der Zeitmodell-Gruppe aufgelistet. Durch Auswahl eines Modell wird dieses für den aktuellen Tag zugeordnet. Beim Verlassen der Zelle wird noch abgefragt, ob das Modell als Defaultmodell für den Tag verwendet werden soll.


Kontextmenü Modell

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Kontextmenü Modell

Dieses Kontextmenü kann in den Ansichten Monat- und Wochenkalender nach Auswahl des Model-Feldes über die Maustaste für das Kontextmenü aktiviert werden.

Parameter | Beschreibung
Modelle auswählen | Ruft den Dialog zur Modellauswahl auf.
Modell anzeigen | Aktiviert die Tabellenansicht Modellbearbeitung.
Tagesansicht | Wechseln zur Tagesansicht.
Wochenansicht | Wechseln zur Wochenansicht.
Zu Heute wechseln | Wechselt zur Tagesansicht für das heutige Datum.
Wechseln zu Datum | Wechselt zur Tagesansicht für das ausgewählt Datum.
Voriges Element | Blättert Seitenweise zurück.
Nächstes Element | Blättert Seitenweise nach vor.
Als Default | Definiert das aktuelle Modell als Standardmodell für den Wochentag, bei der Zeitmodell-Gruppe.
Löschen | Löscht die Modellzuordnung zum Tag. Wenn es sich bei der Zuordnung um das Standardmodell für den Tag handelt, wird die Wochentagszuordnung bei der Zeitmodell-Gruppe gelöscht.
Hilfe | Aktiviert die Onlinehilfe.


Kontextmenü Fahrplan

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Kalender > Kontextmenü Fahrplan

Dieses Kontextmenü wird nach Auswahl der Zelle für die Fahrpläne an einem Tag, bei einer Zeitmodell-Gruppe über die Maustaste für das Kontextmenü, aktiviert. Nicht speziell dokumentierte Menüfunktionen entsprechen jenen beim Kontextmenü Modell.

Parameter

Beschreibung

Fahrpläne auswählen

Ruft den Dialog zur Fahrplanauswahl auf.

Fahrplan anzeigen

Aktiviert die Tabellenansicht Fahrplanbearbeitung.

Als Default

Der Fahrplan wird für den gewählten Wochentag als Standard eingetragen.

Als Einzeltag

Der Fahrplan wird nur an diesen Tag ausgeführt.

Löschen

Öffnet einen Dialog zur Auswahl, was gelöscht werden soll:

  • Alle Elemente löschen: Alle Fahrpläne dieses Typs werden gelöscht.
  • Nur dieses Element löschen: Für dieses Element wird an diesem gewählten Tag eine Ausnahme erstellt.


Objekt Variablenliste

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Variablenliste

Dieses Objekt enthält die dem Fahrplan zugeordneten Variablen. Nur dem Fahrplan zugeordnete Variablen können bei den Schaltpunkten verwendet werden. Dies ist ein fest vorgegebenes Objekt.

Kontextmenü Variablenliste

Menüpunkt | Aktion
Variable hinzufügen | Fügt eine neue Variable zum Fahrplan hinzu. Dies ist auch zur Runtime möglich.
Variable einfügen | Fügt die Variablen aus der Zwischenablage ein.
Berechtigungen | Öffnet den Dialog für die Berechtigungen auf.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Variable

Menüpunkt | Aktion
Kopieren | Kopiert ausgewählte Variablen.
Ausschneiden | Schneidet ausgewählte Variablen aus.
Variable ersetzen | Öffnet den Dialog zum Ersetzen der ausgewählten Variablen.
Variable entfernen | Löscht ausgewählte Variablen aus der Liste.
Berechtigungen | Ruft den Dialog für die Berechtigungen auf.
Hilfe | Aktiviert die Onlinehilfe.

Noch in diesem Kapitel

Objekt Variablen


Objekt Variablen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Variablenliste > Objekt Variablen

Bei den mit einem Fahrplan verknüpften Variablen, kann mittels der Schaltpunkte, der Sollwert verändert werden.

Parameter | Beschreibung
Kopieren | Kopiert die ausgewählten Variablen in die Zwischenablage.
Ausschneiden | Kopiert die ausgewählten Variablen in die Zwischenablage und markiert diese zum Löschen. Gelöscht werden die Variablen erst wenn diese bei einem anderen Fahrplan eingefügt werden. Schaltpunkte welche diese Variable verwenden, werden gelöscht.
Variable ersetzen | Ermöglicht, eine Variable gegen eine andere Variable zu tauschen. Wenn die neue Variable bereits beim Fahrplan vorhanden ist, wird die ursprüngliche Variable gelöscht. Alle Schaltpunkte, welche die ursprüngliche Variable verwenden, werden auf die neue Variable übertragen.
Variable entfernen | Entfernt die Zuordnung der Variable zum Fahrplan. Schaltpunkte welche diese Variable verwenden, werden gelöscht.
Berechtigungen | Aktiviert den Dialog für die Berechtigungen.
Hilfe | Aktiviert die Onlinehilfe.


Objekt Funktionen

Handbuch > Production and Facility Scheduler (PFS) > Objekttypen > Objekt Funktionen

Die mit dem Fahrplan verknüpften Funktionen können bei den Schaltpunkten zugeordnet und dadurch ausgeführt werden.

Parameter | Beschreibung
Kopieren | Kopiert die ausgewählten Funktionen in die Zwischenablage.
Ausschneiden | Die ausgewählten Funktionen werden in die Zwischenablage kopiert und zum Löschen vorgemerkt. Gelöscht werden die Funktionen erst wenn diese bei einem anderen Fahrplan eingefügt werden. Schaltpunkt welche diese Funktion verwenden, werden gelöscht.
Funktion ersetzen | Ermöglicht die ausgewählte Funktion auf eine andere Funktion zu tauschen. Alle Schaltpunkte welche die Quellfunktion verwenden, werden auf die Zielfunktion umgeändert. Wenn die Zielfunktion bereits beim Fahrplan verknüpft ist, wird die Zuordnung der Quellfunktion gelöscht.
Funktion entfernen | Entfernt die Zuordnung der Funktion zum Fahrplan. Schaltpunkte welche diese Funktion verwenden werden gelöscht.
Berechtigungen | Aktiviert den Dialog mit den Berechtigungen.
Hilfe | Aktiviert die Onlinehilfe.


Eigenschaften

Handbuch > Production and Facility Scheduler (PFS) > Eigenschaften

Um die Eigenschaften des Production & Facility Schedulers zu konfigurieren:

  • klicken Sie mit der rechten Maustaste auf Production & Facility Scheduler in der Detailansicht des Projektmanagers
  • wählen Sie im Kontextmenü Eigenschaften
  • wählen Sie die Registerkarte, die Sie bearbeiten möchten
    • Zeitumstellung: bietet Einstellungen für die Umschaltungen zwischen Sommer- und Winterzeit
    • Feiertage: konfiguriert Feiertage
    • Tabellenfarben: definiert Farben der Schaltpunkte
    • Schichtzeiten aufzeichnen: ermöglicht die Aufzeichnung von Schichtdaten

Hinweis: Das Verhalten der Zeitsteuerung bezieht sich immer auf einen Zeitpunkt. Der gleiche Zeitpunkt kann aber je nach Rechnerstandort eine andere Lokalzeit aufweisen. Wenn im Editor der Zeitsteuerung eine Zeitfunktion für 12:00 eingetragen wird und sich der Runtime PC in der Zeitzone UTC+1 befindet, wird die Zeitfunktion um 13:00 Lokalzeit ausgeführt.

Noch in diesem Kapitel

Zeitumstellung

Feiertage

Tabellenfarben

Schichtzeiten aufzeichnen


Zeitumstellung

Handbuch > Production and Facility Scheduler (PFS) > Eigenschaften > Zeitumstellung

Auf dieser Seite wird das Verhalten bei Umstellung der Systemzeit (etwa Umstellung Sommerzeit-Winterzeit) festgelegt.

Option | Beschreibung
Positive Zeitumstellung | Die Uhrzeit wird vorgestellt, die Systemzeit in die Zukunft gesetzt (z. B. Sommerzeit)
Schaltpunkte nachholen | Aktionen, die zwischen der aktuellen Zeit und der neu eingestellten Zeit liegen, werden sofort nach der Umstellung ausgeführt.
Schaltpunkte neu berechnen | Aktionen, die zwischen der aktuellen Zeit und der neu eingestellten Zeit liegen, werden übergangen und nicht ausgeführt. Die Schaltpunkt werden neu berechnet.
Negative Zeitumstellung | Die Uhrzeit wird zurückgestellt, die Systemzeit in die Vergangenheit gesetzt (z. B. Winterzeit)
Schaltpunkte verwerfen | Die Schaltpunkte werden nicht neu berechnet. Es werden erst wieder Schaltpunkte beim Erreichen der Ausgangszeit ausgeführt.
Schaltpunkte neu berechnen | Aktionen, die zwischen der aktuellen Zeit und der neu eingestellten Zeit liegen, werden neu berechnet (d. h. bei erneutem Erreichen der definierten Zeit wieder ausgeführt). Dies hat die doppelte Ausführung der Schaltpunkte im korrigierten Zeitraum zur Folge.
SB Umschaltung | Standby Server Umschaltung, gültig für die Timeout Zeit bei der Redundanzumstellung
Schaltpunkte verwerfen | Die Schaltpunktausführung beginnt entsprechend der aktuellen Position am Standby. Schaltpunkte im Umschaltungszeitraum werden eventuell nicht ausgeführt.
Schaltpunkte neu berechnen | Die Schaltpunkte werden von der aktuellen Zeit -30 Sekunden neu berechnet und ausgeführt. Dies kann eine doppelte Schaltpunktausführung zur Folge haben.
Toleranzbereich für Zeitabweichung | Toleranz, um welche sich die Systemzeit ändern darf, ohne eine Neuberechnung der Schaltpunkte nach oben beschriebenen Kriterien auszulösen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Führen Sie die Umschaltung auf Sommerzeit/Winterzeit immer mit der automatischen Windows Zeitumstellung durch. Stellen Sie die Systemzeit nie manuell um, da das zu Fehlern bei für zenon relevanten Zeitangaben führen kann.


Feiertage

Handbuch > Production and Facility Scheduler (PFS) > Eigenschaften > Feiertage

In dieser Registerkarte wählen Sie die landesbezogenen Feiertage aus.

Option

Beschreibung

Liste Länder

Auswahl eines Landes aus der Liste.
Mit Klick auf OK werden die Feiertage des gewählten Landes in den Kalender eingetragen.

  • Keine Auswahl:
    Es werden keine Feiertage eingetragen. Bereits vorhandene Feiertage werden entfernt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Daten für Feiertage

Die Basis-Daten für die Feiertage befinden sich in der Datei Feiertage.txt im Ordner %programdata%\COPA-DATA\zenon800. Diese kann mit einem Text-Editor bearbeitet werden.
Die Einträge für ein Land beginnen mit der Benennung des Landes in Englisch, eingeschlossen in eckigen Klammern, und anschließender Kennziffer, wie sie auch in Microsoft Office verwendet wird. Die Definition der Feiertage erfolgt dann ab der nächsten Zeile, durch Angabe von Namen und Datum des Feiertages. Pro Feiertag erfolgt ein Eintrag in eine Zeile.

Aufbau:

  • [Land] Nummer
  • Eintrag, YYYY/MM/D

Zum Beispiel:

[Austria] 45

Allerheiligen,2009/11/1

Allerheiligen,2010/11/1

...


Tabellenfarben

Handbuch > Production and Facility Scheduler (PFS) > Eigenschaften > Tabellenfarben

Hier werden die Farben für die Darstellung der Schaltpunkte im Kalender definiert.

Option | Beschreibung
Tage |
Default | Kalendertag ohne Besonderheiten
Sondertag | Datum ist ein Feiertag
Umstellung Sommerzeit -> Winterzeit | Datum der Sommer-Winterzeitumstellung
Umstellung Winterzeit -> Sommerzeit | Datum der Winter- Sommerzeitumstellung
Zeit Modelle |
Default | Zeitmodell für diesen Wochentag aktiv
Ausnahme | Zeitmodell nur an diesem Tag
Sondertag | Zeitmodell für Feiertage verwenden
Fahrpläne |
Default | Fahrplan ist an diesem Wochentag aktiv
Sondertag | Fahrplan ist an diesem Sondertag aktiv.
Auslassen | Fahrplan ist nur an diesen Tag nicht aktiv.
Einzeltag | Fahrplan ist nur an diesem Tag aktiv.
Mehrfacheintrag | Mehrere Eigenschaften treffen zu.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schichtzeiten aufzeichnen

Handbuch > Production and Facility Scheduler (PFS) > Eigenschaften > Schichtzeiten aufzeichnen

Im Production & Facility Scheduler können die Schichtdaten gespeichert und archiviert werden. Jede abgeschlossene Schicht wird dann in einer SQL-Datenbank gespeichert.

attention Achtung

Damit historische Schichtdaten in einer SQL-Datenbank gespeichert werden können, muss die entsprechende Zeitmodellgruppe mit einer Anlagenmodellgruppe verknüpft sein.

Die gespeicherten Daten können auch mit dem zenon Analyzer ausgewertet werden.

Um das Aufzeichnen von Schichtzeiten zu aktivieren:

  1. Klicken Sie mit der rechten Maustaste auf Production & Facility Scheduler in der Detailansicht des Projektmanagers.
  2. Wählen Sie im Kontextmenü Eigenschaften.
  3. Wählen Sie die Registerkarte Schichtzeiten aufzeichnen.

  4. Aktivieren Sie die Eigenschaft SQL-Aufzeichnung aktivieren.
  5. Wählen Sie die SQL-Datenbank, in der die Daten gespeichert werden sollen.

    Der Tabellenname wird nach folgendem Muster erstellt: ProjektGUID_SCHICHT_GUID der Anlagengruppe
    Zum Beispiel: 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1

  6. Erstellen Sie eine Verknüpfung zwischen der Zeitmodellgruppe der Schicht und einer Anlagengruppe.

    Hinweis: Werden mehrere Anlagengruppen verknüpft, werden historische Schichtdaten in entsprechend mehreren Tabellen gespeichert. Wird die Verknüpfung einer Anlagenmodellgruppe mit einer Zeitmodellgruppe geändert, dann wird eine neue Tabelle erstellt. Dabei werden keine Daten der bisherigen Tabelle übernommen. Die bisherige Tabelle wird auch nicht gelöscht.

Zur Runtime werden die Schichtdaten zyklisch kontrolliert und jene Schichten und Pausen in der Datenbank gespeichert, die seit der letzten Speicherung beendet wurden. Die Speicherung der Schichtdaten erfolgt immer am aktiven Server. Pausen werden nur gespeichert, wenn die Schicht beendet ist und gespeichert wird, denn Pausen enthalten die ID der Schicht.

Beim Starten der Runtime werden alle beendeten Schichten und Pausen in die Datenbank übertragen, die seit der letzten Speicherung aufgetreten sind, auch über einen Zeitraum von mehreren Tagen oder Wochen. Wird die Runtime am Standby Server gestartet und die Runtime am Server läuft nicht oder kann nicht erreicht werden, dann befüllt auch der Standby Server die Datenbank mit den Daten seit der letzten Speicherung.

Hinweis: Gilt nicht im Simulationsmodus.

Tabelle der Schichtaufzeichnung

Die Tabelle enthält folgende Spalten:

Spaltentitel | Typ | Inhalt
ID | int | Primärschlüssel.
REFERENCE | nvarchar(128) | Speichert GUID der Schichten und Pausen.
VISUALNAME | nvarchar(128) | Name der Schicht oder der Pause.
START | datetime | Startzeitpunkt der Schicht oder Pause in UTC. Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.
END | datetime | Endzeitpunkt der Schicht oder Pause in UTC. Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.
BREAK | boolean | TRUE, wenn es eine Pause ist.
PARENT_ID | int | Name der Schicht, wenn sie eine Pause bezeichnet.
SAVETIME | int | Zeitpunkt der Speicherung in die Datenbank.

Fehlermeldungen

Ist die Datenbank nicht erreichbar, wird im Diagnosis Server folgender Eintrag gesetzt:

Error when opening data connectionn in CFpmStorage::OpenDataConnection with HRESULT: 80040154


Editierbare Zeitmodell-Gruppen

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Zeitmodell-Gruppen

Die Zeitmodell-Gruppen-Eigenschaften ermöglichen die Anpassung der Zeitmodell-Gruppenzykluszeit sowie Modellzuordnungen. Die Dialogbox wird über das Kontextmenü einer bestehenden Zeitmodell-Gruppe und den Befehl Eigenschaften... geöffnet.

Noch in diesem Kapitel

Zeitmodell-Gruppen Eigenschaften

Defaultzuordnung der Modelle

Verknüpfung einer Anlagengruppe


Zeitmodell-Gruppen Eigenschaften

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Zeitmodell-Gruppen > Zeitmodell-Gruppen Eigenschaften

Diese Einstellungsseite beinhaltet die Benennung sowie den Zeitmodell-Gruppenzyklus.

Folgende Einstellmöglichkeiten sind vorgesehen:

Einstellung | Erklärung
Bezeichnung | Legt die Benennung der Zeitmodell-Gruppe fest. Dieses Feld darf nicht leer sein und die Bezeichnung muss PFS weit einmalig sein.
Tagesbeginn | Definiert den Tagesbeginn bei der Zeitmodell-Gruppe.
Tagesende | Definiert das Tagesende bei der Zeitmodell-Gruppe.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.


Defaultzuordnung der Modelle

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Zeitmodell-Gruppen > Defaultzuordnung der Modelle

Diese Einstellungsseite ermöglicht die Definition eines Defaultmodell zu jedem Wochentag sowie zu Feiertagen.


Verknüpfung einer Anlagengruppe

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Zeitmodell-Gruppen > Verknüpfung einer Anlagengruppe

Um Anlagengruppen mit einer Zeitmodellgruppe zu verbinden:

  1. Wählen Sie die Zeitmodell-Gruppe.
  2. Wählen Sie im Kontextmenü den Befehl Eigenschaften.

    Der Dialog für die Einstellungen des Zeitmodells wird geöffnet.

  3. Wählen Sie die Registerkarte Anlagenmodellierung.

  4. Wählen Sie die gewünschten Anlagengruppen aus.
  5. Fügen Sie diese über die Schaltfläche Hinzufügen ein.
  6. Bestätigen Sie mit OK, sobald alle gewünschten Anlagengruppen hinzugefügt wurden.

Hinweis: Die Verknüpfung von Anlagenmodellgruppen mit einer Zeitmodellgruppe ist Voraussetzung für das Aufzeichnen von Schichtzeiten in einer SQL-Datenbank. Werden mehrere Anlagenmodellgruppen verknüpft, werden historische Schichtdaten in entsprechend mehreren Tabellen gespeichert. Wird die Verknüpfung einer Anlagenmodellgruppe mit einer Zeitmodellgruppe geändert, dann wird eine neue Tabelle mit der GUID der neuen Anlagenmodellgruppe erstellt. Dabei gilt:

  • Die Daten der bisherigen Tabelle werden nicht übernommen.
  • Die bisherige Tabelle wird nicht gelöscht.


Editierbare Fahrpläne

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Fahrpläne

Diese Einstellungsseiten ermöglichen die Konfiguration des Fahrplanes vorzunehmen und die Kalenderzuordnung durchzuführen. Die Dialogbox wird über das Kontextmenü eines bestehenden Fahrplans und dem Befehl Eigenschaften... geöffnet.

Noch in diesem Kapitel

Kontextmenü Uhrzeit

Kalenderbelegung


Kontextmenü Uhrzeit

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Fahrpläne > Kontextmenü Uhrzeit

Auf dieser Seite wird der Fahrplan konfiguriert und die zur Verfügung stehenden Variablen oder Funktionen zugeordnet.

Parameter | Beschreibung
Bezeichnung | Gibt den Namen des Fahrplans an. Der Name muss auf der gleichen Ebene eindeutig sein.
Fahrplan aktiv | Setzt den Fahrplan aktiv oder inaktiv. Die Schaltpunkte inaktiver Fahrpläne werden nicht ausgeführt.
Struktur Fahrplan | Ein Strukturfahrplan hat keine zugeordneten Funktionen und Variablen. Er dient nur zur Strukturierung der Fahrpläne.
Funktionsliste | Enthält die beim Fahrplan angemeldeten Funktionen. Die Bearbeitung erfolgt entsprechend dem Objekt Funktionen.e
Variablenliste | Enthält die beim Fahrplan angemeldeten Variablen. Die Bearbeitung erfolgt entsprechend dem Objekt Variablen.


Kalenderbelegung

Handbuch > Production and Facility Scheduler (PFS) > Editierbare Fahrpläne > Kalenderbelegung

Auf dieser Einstellungsseite kann die Wochentagszuordnung für den Fahrplan durchgeführt werden.

Kalenderbelegung

Aktiviert den Fahrplan am entsprechenden Wochentag. Siehe hierzu auch beim Kalender.


Dialoge

Handbuch > Production and Facility Scheduler (PFS) > Dialoge

Noch in diesem Kapitel

PFS Schaltpunktvorschau

PFS Filterdialog

Berechtigungen

Zyklisches erstellen von Schaltzeiten

Fahrplanauswahl

Fahrpläne Aktivierungszeitraum

Modellauswahl

Tabellenansicht Fahrplanbearbeitung

Tabellenansicht Modellbearbeitung

Zeit ändern

Offset anpassen

Wert ändern

Schaltpunkte erstellen

Duplizieren


PFS Schaltpunktvorschau

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > PFS Schaltpunktvorschau

In die Schaltpunktvorschau des Production & Facility Schedulers gelangt man über das Kontextmenü.

Die Schaltpunktvorschau ist ein leistungsfähiges Diagnosewerkzeug, mit dem die Projektierung des PFS überprüft werden kann. Es wird hierbei, für die der Filterung entsprechenden, absoluten und relativen Schaltpunkte, die absolute Ausführungszeit ermittelt und dargestellt. Es kann somit untersucht werden, wie sich die gemachten Änderungen auswirken werden, bevor diese zur Anwendung kommen. Diese Vorschau kann auch für historische Zeiten angewendet werden. Die Ermittlung erfolgt jedoch immer aufgrund der aktuellen Projektierung.

Benutzerdefinierte Ereignisse können im Editor nicht aufgelöst werden. Zur Runtime werden die Triggerzeitpunkte der benutzerdefinierten Ereignisse maximal 14 Tage lang im Speicher gehalten und somit sind historische Ausführungszeiten nur für diesen Zeitraum rückverfolgbar.

Es besteht die Möglichkeit, die projektierten Objekte zu filtern, um z. B. nur einen speziellen Fahrplan zu untersuchen.

Bei Beenden mit OK werden die gemachten Einstellungen gespeichert und stehen beim nächsten Aufruf wieder zur Verfügung.

Suchmaske in Textfelder

Die Felder Zeitmodell-Gruppe, Fahrplan, Variable und Funktion unterstützen bei der Filterung Platzhalterzeichen:

Platzhalter | Bedeutung
Text | Benennung muss Text sein.
*Text | Benennung muss mit Text enden.
Text* | Benennung muss mit Text beginnen.
T??t | Benennung kann an der 2. und 3. Stelle beliebige Zeichen enthalten.

Eigenschaft

Beschreibung

Auswahl der Filter-Kriterien

Zeitmodell-Gruppe

Definiert den Filter für die zu berücksichtigenden Anlagen. Nur Schaltpunkte der entsprechenden Anlagen werden in die Vorschau aufgenommen.
ACHTUNG: Groß/Kleinschreibung wird beachtet!

Fahrplan

Definiert den Filter für die zu berücksichtigenden Fahrpläne. Nur Schaltpunkte der entsprechenden Fahrpläne werden in die Vorschau aufgenommen.
ACHTUNG: Groß/Kleinschreibung wird beachtet!

Variable

Definiert den Filter für die zu berücksichtigenden Variablen. Nur Schaltpunkte die mit entsprechenden Variablen verknüpft sind und der Maske entsprechen, werden aufgenommen.
ACHTUNG: Groß/Kleinschreibung wird beachtet!

Funktion

Definiert den Filter für die zu berücksichtigenden Funktionen. Nur Schaltpunkte die mit Funktionen verknüpft sind und der Maske entsprechen, werden aufgenommen.
ACHTUNG: Groß/Kleinschreibung wird beachtet!

Filtern der

Auswahl der Daten, die für die Erstellung der Vorschau verwendet werden, über Dropdownliste:

  • editierte Daten
    berücksichtigt die veränderten Daten zur Ermittlung der Vorschau. Dadurch wird es möglich, die Projektierung vor dem Speichern zu überprüfen.
  • gespeicherte Daten
    erstellt die Vorschau aufgrund der Projektierung, die für die Schaltpunktausführung verwendet wird.

Schaltpunkt-Kriterien

Hier wird der Zeitraum definiert, für den die Vorschau erstellt werden soll.

Vorschau

Beginnt die Ermittlung der Ausführungszeiten, entsprechend der gemachten Vorgabe.

Enthält die Tabelle mit den Schaltpunkten, die im gewünschten Zeitraum zur Ausführung kommen und den Filterkriterien entsprechen. Schaltpunkte, welche deaktiviert sind oder Schaltpunkte von Fahrplänen, welche deaktiviert sind, werden speziell hervorgehoben.


PFS Filterdialog

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > PFS Filterdialog

Mit dem Filterdialog können die sichtbaren Objekte im PFS auf die dem Filter entsprechenden Objekte eingeschränkt werden.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Der Filter ermöglicht, für sämtliche Objekttypen eine Filtermaske vorzugeben. Bei aktiven Filter wird das Symbol des gefilterten Zweiges mit einem Trichter zur Kennzeichnung der Filterung versehen. Die Filterung unterscheidet Groß- Kleinschreibung.

Die Felder Zeitmodell-Gruppe, Fahrplan, Variable und Funktion unterstützen bei der Filterung Platzhalterzeichen:

Platzhalter | Bedeutung
Text | Benennung muss Text sein.
*Text | Benennung muss mit Text enden.
Text* | Benennung muss mit Text beginnen.
T??t | Benennung kann an der 2. und 3. Stelle beliebige Zeichen enthalten.

Wenn Kind-Objekte dem Filterkriterium entsprechen, so sind auch die Eltern-Objekte sichtbar, auch wenn diese nicht dem Filter entsprechen. Die Ausnahme von dieser Regel ist die Zeitmodell-Gruppe. Wenn der Zeitmodell-Gruppenfilter nicht entspricht, wird die gesamte Zeitmodell-Gruppe nicht angezeigt, auch wenn untergeordnete Objekt dem Filter entsprechen.


Berechtigungen

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Berechtigungen

Ermöglicht die Definition der Benutzerpasswortebene welche benötigt wird, um die entsprechenden Aktionen beim Objekt ausführen zu können. Wenn das Objekt eine Funktionalität nicht unterstützt, ist diese Einstellung gesperrt.

Wenn die Berechtigungen zur Laufzeit editiert werden, können diese nur auf Ebenen umkonfiguriert werden, auf welche der angemeldete Benutzer ebenfalls Rechte besitzt.

Berechtigungen werden nur zur Laufzeit ausgewertet.

Parameter | Beschreibung
Anzeigen | Ebene um das Objekt und alle seine untergeordneten Zweige anzuzeigen.
Erstellen | Ebene um das Erstellen von Unterobjekten zu ermöglichen oder zu sperren.
Ändern | Ebene um die Einstellungen oder Berechtigungen des Objekts zu ändern.
Umbenennen | Ebene welche das Umbenennen ermöglicht
Löschen | Ebene um das Objekt und alle seine Unterobjekte zu löschen.


Zyklisches erstellen von Schaltzeiten

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Zyklisches erstellen von Schaltzeiten

Dieser Dialog ermöglicht in einem Arbeitsgang mehrere, absolute Schaltzeiten mit einem definierten Zeitraum für einen konfigurierbaren Bereich zu erstellen.

Diese Dialogbox wird über das Kontextmenü der Tabellenansicht eines Fahrplans und dem Befehl Zeitraster erstellen geöffnet.

Parameter | Beschreibung
Zyklus / Uhrzeit | Definiert die Zeit oder den Erstellungsraster.
Als zyklische Zeit | Wenn aktiviert dann werden mehrere Schaltzeiten erstellt.
Passwortlevel | Wird derzeit nicht unterstützt. Sollte 0 sein.
Startzeit | Zeit mit der die Erstellung beginnt.
Endzeit | Zeit mit der die Erstellung endet.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.


Fahrplanauswahl

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Fahrplanauswahl

In diesem Dialog werden die Fahrpläne, für welche eine Verknüpfung zum Tag erstellt werden soll, ausgewählt. Durch Auswahl der gewünschten Fahrpläne und Hinzufügen werden diese in die Liste der verknüpften Fahrpläne übernommen.

Dieser Dialog wird über das Kontextmenü der Tagesansicht des Kalenders und dem Befehl Fahrpläne auswählen... geöffnet.


Fahrpläne Aktivierungszeitraum

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Fahrpläne Aktivierungszeitraum

Dieser Dialog ermöglicht es, die ausgewählten Fahrpläne für einen Zeitraum oder nach einem Muster im Kalender zur Ausführung einzutragen.

Um den Dialog zu öffnen:

  1. führen Sie in der Kalenderansicht einen Rechtsklick auf die Zeile oder Zelle mit Fahrplan aus
  2. wählen Sie im Kontextmenü Fahrpläne auswählen
  3. der Dialog zur Fahrplanauswahl wird geöffnet

  4. markieren Sie die gewünschten Fahrpläne und bestätigen Sie mit Klick auf OK
  5. der Dialog für Einstellung der Seriendauer wird geöffnet

Seriendauer

Parameter | Beschreibung
Seriendauer | Einstellung für die Dauer der Serie.
Kein Enddatum | Ausführung beginnt mit Erstellung der Serie und hat kein Enddatum.(Default-Einstellung.) Serie wird wöchentlich ausgeführt.
Beginnt am | Datum für Start.
Endet am | Datum für Ende.

Serienmuster

Parameter

Beschreibung

Serienmuster

Art der Ausführung.

Detailfeld

Optionen für Serienmuster, abhängigi von der Wahl von:

  • Täglich
  • Wöchentlich
  • Monatlich
  • Jährlich

Täglich

Ausführung kann im Detailfeld eingestellt werden auf:

  • Alle [Zahl] Tage: Eingabe einer Zahl für Durchführungsrhythmus.
    Default: 1
  • Jeden Arbeitstag: Serie wird an jedem Arbeitstag (laut eingestelltem Feiertagskalender) ausgeführt.

Wöchentlich

Ausführung kann im Detailfeld auf bestimmte Wochentage eingestellt werden.

Monatlich

Ausführung kann im Detailfeld eingestellt werden auf:

  • am: Wahl des Datums
  • jeden Monats: Eingabe einer Zahl für Durchführungsrhythmus.

Jährlich

Ausführung kann im Detailfeld eingestellt werden auf ein bestimmtes Datum.

Ausgewählte Fahrpläne

Parameter | Beschreibung
Ausgewählte Fahrpläne | Liste der ausgewählten Fahrpläne.
Auswahl | Klick auf Schaltfläche öffnet Dialog zur Fahrplanauswahl.
OK | Übernimmt Eingaben und schließt Dialog.
Abbrechen | Verwirft Eingaben und schließt Dialog.
Hilfe | Öffnet Online-Hilfe.


Modellauswahl

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Modellauswahl

Dieser Dialog ermöglicht die Zuordnung eines Modell pro Zeitmodell-Gruppe zum Tag.

  1. klicken Sie auf die Zelle Modelle in der Kalenderansicht

  2. wählen Sie im Kontextmenü Modelle auswählen
  3. wählen Sie das gewünschte Modell
  4. klicken Sie auf die Schaltfläche Hinzufügen
  5. bestätigen Sie den Dialog mit Klick auf OK


Tabellenansicht Fahrplanbearbeitung

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Tabellenansicht Fahrplanbearbeitung

Rechtsklick auf einen Fahrplan in der Kalenderansicht öffnet das Kontextmenü. Der Befehl Fahrplan anzeigen öffnet den Dialog zur Konfiguration.

Diese Ansicht ermöglicht das Bearbeiten der im Kalender verknüpften Fahrpläne. Der Funktionsumfang entspricht jener der Tabelle Uhrzeit oder Schaltpunkt.


Tabellenansicht Modellbearbeitung

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Tabellenansicht Modellbearbeitung

Rechtsklick auf ein Zeitmodell in der Kalenderansicht öffnet das Kontextmenü. Der Befehl Modell anzeigen öffnet den Dialog zur Konfiguration.

Diese Ansicht ermöglicht die Bearbeitung des im Kalender verknüpften Modell. Die Bearbeitungsmöglichkeiten entsprechen jener der Schichten und Pausen.


Zeit ändern

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Zeit ändern

Mit diesem Dialog können die ausgewählten Uhrzeiten um einen Offset verschoben werden.

Die Dialogbox wird mit dem Kontextmenü eines ausgewählten Zeiteintrags und dem Befehl Zeit ändern geöffnet.


Offset anpassen

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Offset anpassen

Ermöglicht, die ausgewählten Offsets zu verändern.

Die Dialogbox wird mit dem Kontextmenü eines ausgewählten Offsets und dem Befehl Offset anpassen geöffnet.


Wert ändern

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Wert ändern

Ermöglicht die ausgewählten Zellen der Spalte Aktion zu ändern.

Die Dialogbox wird mit dem Kontextmenü eines ausgewählten Wertes und dem Befehl Wert ändern geöffnet.

Parameter

Beschreibung

Variable

Wert ändern um

Ändert den Inhalt der aktuell ausgewählten Zellen um den eingestellten Betrag.

Wert ändern auf

Ändert den Inhalt der aktuell ausgewählten Zellen auf den eingestellten Betrag.

Linear erhöhen beginnend bei

Ändert den Inhalt der aktuelle ausgewählten Zellen eingestellten Betrag. Der Betrag wird pro geänderte Zelle um eins erhöht.

Linear verringern beginnend bei

Ändert den Inhalt der aktuelle ausgewählten Zellen eingestellten Betrag. Der Betrag wird pro geänderte Zelle um eins verringert.

Funktion

Status ändern auf

Ändert die Aktivierung der ausgewählten Schaltpunkte auf den eingestellten Zustand:

  • aktiv
  • inakltiv

Makro

Makro ändern auf

Ändert Makro auf das ausgewählte Makro.


Schaltpunkte erstellen

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Schaltpunkte erstellen

Die Dialogbox wird mit dem Kontextmenü eines ausgewählten Zeiteintrags und dem Befehl Schaltpunkte erstellen geöffnet.

Wählen Sie in der oberen Liste jene Einträge aus, für die Schaltpunkte erstellt werden sollen und übernehmen Sie diese durch Klick auf die Schaltfläche Hinzufügen in die untere Liste.

info Info

Schaltpunkte werden in der Runtime aus Sicherheitsgründen per Default immer als inaktiv angelegt und müssen dezidiert aktiviert werden, damit sie funktionieren. Im Editor werden Schaltpunkt per Default als aktiv angelegt.


Duplizieren

Handbuch > Production and Facility Scheduler (PFS) > Dialoge > Duplizieren

Der Dialog kann beim Kopieren eines Fahrplans aufgerufen werden, um zu steuern:

  • ob unterlagerte Kind-Fahrpläne beim Einfügen mit kopiert werden
  • ob beim Einfügen Variablen substituiert werden

Parameter | Beschreibung
nur den aktuellen Fahrplan duplizieren | Fügt nur den Fahrplan der obersten Ebene ein.
den aktuellen Fahrplan und die Kind-Fahrpläne duplizieren | Der Fahrplan wird mit allen seinen untergeordneten Fahrplänen eingefügt. Bei deaktiviertem Dialog ist dies die Standardvorgehensweise.
Substitute-Dialog einblenden | Blendet den Ersetzungsdialog ein. Dieser ermöglicht den Austausch von Variablen beim Einfügen.
Dialogfeld nur bei gedrückter Steuerung-Taste anzeigen | Unterdrückt den Dialog. Es werden immer der Fahrplan und alle Kind-Fahrpläne ohne Ersetzungen kopiert. Durch Drücken der Steuerung-Taste beim Einfügevorgang kann die Dialoganzeige erzwungen werden. Hinweis: Diese Funktion kann auch über einen Eintrag in der project.ini gesteuert werden: [PFM] AnzeigenMitStrg = [Wert] Werte: 1: Der Dialog wird nur angezeigt, wenn beim Einfügen des Fahrplans die Steuerung-Taste gedrückt wird. 0: der Dialog wird immer angezeigt.
OK | Übernimmt Eingaben und schließt Dialog.
Abbrechen | Verwirft Eingaben und schließt Dialog.
Help | Öffnet Online-Hilfe.


Funktion PFS-Ereignis anstoßen

Handbuch > Production and Facility Scheduler (PFS) > Funktion PFS-Ereignis anstoßen

Mit der Verwendung dieser Funktion kann im Onlinebetrieb ein definiertes PFS-Ereignis angestoßen werden, auf das sich relative Zeiten im PFS beziehen.


Bildtyp Production and Facility Scheduler

Handbuch > Production and Facility Scheduler (PFS) > Bildtyp Production and Facility Scheduler

Mit einem Bild vom Typ Production & Facility Scheduler werden Fahrpläne und Profile zur Runtime verwaltet. Der Bildtyp steht nur dann zur Verfügung, wenn der PFS lizenziert wurde, sonst kann lediglich ein Bild des Typs Scheduler ausgewählt werden.

Bild vom Typ Production & Facility Scheduler anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Production & Facility Scheduler.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Kontrollelemente

Kontrollelement | Beschreibung
Fahrplan-Fenster | Anzeige des Fahrplans.

Allgemein

Allgemeine Kontrollelemente.

Kontrollelement | Beschreibung
Filter-Kriterien... | Öffnet den Dialog zur Filterauswahl.
Einstellungen... | Öffnet den Dialog zu Farbeinstellungen für Tage, Zeitmodelle und Fahrpläne in der Tabelle.
Eigenschaften... | Öffnet den Eigenschafts-Dialog für Zeitmodellgruppen.
Schaltpunktvorschau... | Öffnet den Dialog zur Schaltpunktvorschau.
Speichern | Speichert die im Fahrplan durchgeführten Änderungen.
Abbrechen | Verwirft die Änderungen.
Kopieren... | Kopiert ein im Fahrplan ausgewähltes Element.
Ausschneiden | Schneidet ein im Fahrplan ausgewähltes Element aus.
Einfügen... | Fügt ein Element aus der Zwischenablage im Fahrplan ein.
Umbenennen | Benennt das ausgewählte Element um.
Löschen | Löscht die ausgewählten Elemente.
Aufsteigend sortieren | Sortiert Elemente im Fahrplan aufsteigend.
Absteigend sortieren | Sortiert Elemente im Fahrplan absteigend.

Fahrplan

Kontrollelemente für Fahrpläne

Neue Zeitmodell-Gruppe...

Neue Zeitmodell-Gruppe erstellen.

Zeitmodell
  • Neues Zeitmodell...
  • Neue Schicht...
  • Schicht löschen
  • Neue Pause...
  • Pause löschen

Fahrplan
  • Neuer Fahrplan...
  • Fahrplan aktivieren
  • Variable hinzufügen...
  • Variable entfernen
  • Funktion entfernen
  • Verknüpfungen ersetzen...
  • Neues Zeitraster...
  • Neue Uhrzeit...
  • Uhrzeit löschen
  • Neuer Schaltpunkt...
  • Neue Schaltpunkte...
  • Schaltpunkte löschen

Neues Ereignis

Ereignis erstellen.

Kalender
  • Modelle auswählen ...
  • Fahrpläne auswählen ...
  • Diesen Tag anzeigen
  • Zu Heute wechseln
  • Wechseln zu Datum ...
  • Als Default
  • Als Einzeltag
  • Vorwärts
  • Rückwärts
  • Tagesansicht
  • Wochenansicht
  • Monatsansicht

Massenbearbeitung
  • Alle Werte aktiv setzen
  • Alle Werte inaktiv setzen
  • Absoluter Zeitpunkt
  • Relativer Zeitpunkt
  • Zeit ändern ...
  • Wert ändern ...
  • Ereignis auswählen ...
  • Verschiebung anpassen ...

Nähere Informationen zu änderbaren Runtime-Dateien finden Sie im Kapitel Zur Runtime änderbare Dateien.


Bildumschaltung - PFS

Handbuch > Production and Facility Scheduler (PFS) > Bildumschaltung - PFS

Noch in diesem Kapitel

Filter Baumansicht für Bildumschaltung

Filter Tabellenansicht für Bildumschaltung


Filter Baumansicht für Bildumschaltung

Handbuch > Production and Facility Scheduler (PFS) > Bildumschaltung - PFS > Filter Baumansicht für Bildumschaltung

Die Einstellmöglichkeiten entsprechen dem PFS Filterdialog. Als zusätzliche Option kann noch konfiguriert werden, ob der Filterdialog vor der Bildaktivierung aufgeschalten wird. Das in der Baumansicht ausgewählte Objekt wird bei Bildaufschaltung wieder ausgewählt.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.


Filter Tabellenansicht für Bildumschaltung

Handbuch > Production and Facility Scheduler (PFS) > Bildumschaltung - PFS > Filter Tabellenansicht für Bildumschaltung

Diese Einstellungsseite ermöglicht, für die verschiedenen Tabellenansichten, die Spalten und Beschriftung dieser festzulegen.

Parameter | Beschreibung
Verfügbare Felder | Je nach Ansicht werden die möglichen Spalten in der Liste aufgeführt. Nur die aktivierten Spalten werden später auch dargestellt.
Beschriftung | Enthält die Überschrift der Tabelle. Dieser Text kann mittels @ als zu übersetzend gekennzeichnet werden.
Breite | Spaltenbreite
Ausrichtung | Ausrichtung der Spaltenüberschrift.
Objekte | Enthält die verschiedenen Objekte für welche die Ansichten konfiguriert werden können.
Gewünschte Ansicht | Enthält die möglichen Ansichten für das Objekt.

Verfügbare Ansichten zu einem Objekt

Parameter

Beschreibung

Objekt

Auswahl aus Dropdownliste:

Benutzerdefinierte Ereignisse

  • Fahrplan
  • Kalender
  • Zeitmodelle
  • Zeitmodellgruppen

Gewünschte Ansicht


Programmierschnittstellen

Handbuch > Programmierschnittstellen

In zenon stehen verschiedene Schnittstellen zur Einbindung eigener Programme oder zur Automatisierung der Projektierung zur Verfügung:

  • Makroliste (VBA)
  • VSTA
  • Add-In (Add-Ins)
  • Process Control Engine (PCE)
    PCE wird ab Version 7.20 nicht mehr unterstützt und nicht mehr im Modulbaum von zenon angezeigt. Beim Konvertieren von Projekten aus Versionen vor 7.20, die PCE-Tasks enthalten, wird der Knoten PCE für diese Projekte wieder eingeblendet. PCE wird nicht weiterentwickelt und nicht weiter dokumentiert.

    Empfehlung: Verwenden Sie zenon Logic anstelle von PCE.

Kontextmenü

Menüpunkt | Aktion
VBA-Editor öffnen | Öffnet den VBA-Editor
VSTA-Editor mit Projectaddin öffnen | Öffnet den VSTA-Editor.
Hilfe | Öffnet die Online-Hilfe.

info Info

Informationen zur Erstellung und Implementierung von Controls (ActiveX, .NET, WPF) finden Sie im Handbuch Controls.
Informationen zur Projektierung und Verwendung der SAP Schnittstelle finden Sie im Kapitel SAP Interface.

Editoren öffnen

Add-In

Um den Add-In Editor zu öffnen:

  1. Klicken Sie im zenon Editor auf das Menü Extras.
  2. Wählen Sie den Eintrag Add-In Editor öffnen.

Alternative: Drücken Sie die Tastenkombination Alt+F9

Um den Editor in der Runtime zu öffnen:

  • Wählen Sie im Startup Tool unter Tools die Verknüpfung SharpDevelop IDE.

VBA-Editor für Makroliste

VBA startet für Arbeitsbereich und Projekt dieselbe Entwicklungsumgebung.
Um den VBA Editor zu öffnen:

  1. Navigieren Sie im zenon Editor in den Knoten Programmierschnittstellen.
  2. Erweitern Sie die Ansicht dieses Knotens mit Klick auf [+].
    Die Ansicht des Knotens wird erweitert.
  3. Führen Sie einen Rechtsklick auf Makroliste aus.
  4. Wählen Sie im Kontextmenü den Eintrag VBA-Editor öffnen.

Alternative: Drücken Sie die Tastenkombination Alt+F11.

VSTA-Editor

VSTA stellt für Arbeitsbereich und Projekt getrennte Entwicklungsumgebungen zur Verfügung. Es kann jeweils nur eine von beiden genutzt wird. Beim Start wird jede andere bereits geöffnete VSTA Entwicklungsumgebung geschlossen.

Um den VSTA-Editor für den Arbeitsbereich zu öffnen:

  1. Drücken Sie die Tastenkombination Alt+F10.
    Ein Hinweisdialog wird geöffnet.

    Der Code für den Arbeitsbereich und alle geladenen Projekte wird angezeigt.

Um den VSTA-Editor für das aktuell geladene Projekt zu öffnen:

  1. Navigieren Sie zum Knoten Programmierschnittstellen.
  2. Erweitern Sie die Ansicht dieses Knotens mit Klick auf [+].
    Die Ansicht des Knotens wird erweitert.
  3. Führen Sie einen Rechtsklick auf VSTA aus.
  4. Wählen Sie im Kontextmenü VSTA-Editor mit ProjectAddin öffnen.
    Ein Hinweisdialog wir geöffnet.

    Klicken Sie die Schaltfläche OK um mit der VSTA-Projektierung fortzufahren.
    Der VSTA-Editor wird für das aktuell geladene Projekt geöffnet.

Hinweis zur API ab Version 7.10

Für die Verwendung der zenon Programmierschnittstellen gilt ab zenon 7.10:

  • VSTA/.NET: .NET Framework 3.5 Service Pack 1 muss installiert sein
  • VBA: Falls im VBA-Code auf Windows-API oder sonstige importierte DLL-Funktionen zugegriffen wird, müssen diese Aufrufe an die Gegebenheiten von 64Bit angepasst werden. Generell gilt: Eine mit 32-Bit erstellte VBA-Datei kann nicht ohne Änderungen in einer 64 Bit-Version von VBA verwendet werden.

attention Achtung

Fehler in Anwendungen wie ActiveX, PCE, VBA, VSTA, WPF und externen Anwendungen, die über die API auf zenon zugreifen, können auch die Stabilität der Runtime beeinflussen.

Noch in diesem Kapitel

Add-Ins

Makroliste

VSTA

Process Control Engine (PCE)

Object Model


Add-Ins

Handbuch > Programmierschnittstellen > Add-Ins

Add-Ins stellen Möglichkeiten zur Verfügung, die Funktionalitäten von zenon im Editor und in der Runtime mit unterschiedlichen Entwicklungsumgebungen zu erweitern.
Zur Erstellung von Add-Ins stehen Ihnen zur Verfügung:

  • Microsoft Visual Studio
  • SharpDevelop (im Installationspaket enthalten)

Add-Ins können mit jeder .NET Programmiersprache erstellt werden. Eine IDE Unterstützung steht für die Programmiersprachen C# und Visual Basic.NET zur Verfügung.

Hinweis: Welche Entwicklungsumgebung beim Klick auf Add-In Editor öffnen benutzt wird, legen Sie in den zenon Einstellungen in der Registerkarte Add-Ins fest.

Hinweise:

  • Sämtliche Listen und die Schnittstelle unterstützen IEnumerable.
    Referenz: https://msdn.microsoft.com/de-de/library/9eekhta0(v=vs.110).aspx
  • LINQ (Language Integrated Query) kann verwendet werden.
    Referenz: https://msdn.microsoft.com/en-us/library/mt693024.aspx

attention Achtung

Für Add-Ins werden die .NET Naming Guidelines verwendet.

Dafür wurden die bisher für VSTA und VBA verwendeten Objektnamen angepasst. In VSTA und VBA bleiben die bisherigen Namen aus Kompatibilitätsgründen gleich. Für Add-Ins werden Benennungen entsprechend dem .NET Naming Guidelines verwendet.

Eine Übersicht über die jeweiligen Objektnamen finden Sie in der Excel-Tabelle API_Naming_Conversion.xlsx. Diese finden Sie im zenon Installationspfad im Ordner \HELP\AddIns.

Funktionalität

Add-Ins ermöglichen Ihnen unter anderem:

  • für den Editor Projektierungshilfen (z.B. Wizards) zur Verfügung zu stellen
  • das Projekt in der Runtime um zusätzliche Funktionalitäten zu erweitern

Sie finden Add-Ins:

  • für den Editor im Menü Extras unter den Einträgen:
    • Editor Add-Ins verwalten...
    • Editor Wizards starten...
    • Editor Dienste verwalten...
  • für die Runtime im Knoten Programmierschnittstellen - Add-Ins

Kompatibilität

zenon Add-Ins sind aufwärts- und abwärtskompatibel.

Aufwärtskompatibilität

Add-Ins sind auch mit neueren Versionen von zenon kompatibel. Wurde zum Beispiel ein Add-In für die Version 7.60 kompiliert, ist es auch in Version 8.00 lauffähig.

Abwärtskompatibilität

Add-Ins können für frühere zenon Versionen kompiliert werden. So kann zum Beispiel ein Add-In mit zenon 8.00 für zenon 7.60 erstellt werden.

Tools und Unterstützung

Tools und Unterstützung erhalten Sie bei:

  • Visual Studio Developer Tools: marketplace.visualstudio.com
  • COPA-DATA Anwenderforum: forum.copadata.com

Noch in diesem Kapitel

Vorkenntnisse

Terminologie

Einschränkungen

Add-In erstellen

Verwenden von Add-Ins in Editor und Runtime

zenon Funktionen

Umstieg/Konvertierung von VSTA


Vorkenntnisse

Handbuch > Programmierschnittstellen > Add-Ins > Vorkenntnisse

Wie bei der Erstellung von anderen Softwarekomponenten, sind auch für die Entwicklung von Add-Ins für zenon gewisse Vorkenntnisse notwendig.

Dazu zählen

  • Programmierkenntnisse in C# oder VB.NET (je nach Anforderung/Komplexität der zu entwickelnden Add-Ins)
  • Gute zenon Kenntnisse

Empfohlen wird weiters

  • Erfahrung im Umgang mit professionellen Entwicklungsumgebungen (z.B. Microsoft Visual Studio)
  • Die Verwendung eines Versionsverwaltungssystems für die Entwicklungen (TFS, SVN, GIT)


Terminologie

Handbuch > Programmierschnittstellen > Add-Ins > Terminologie

Fachbegriffe und ihre Bedeutung im Zusammenhang mit Add-Ins.

Term

Bedeutung

Add-In

Eine Sammlung von Extensions. Wird durch das Add-In Package repräsentiert. Ein Add-In kann mehrere Extensions enthalten.

Add-In Assembly

Die kompilierte Bibliothek (*.dll), die Extensions enthält.

Add-In Package

Eine ZIP-Datei (*.scadaAddIn), die Metadaten und Bibliotheken mit ihren Abhängigkeiten enthält.

Ein Add-In Package enthält eine Add-In Assembly.

Extension

Extensions sind Klassen, die von einem Interface mit einer oder mehreren Methoden abgeleitet werden. Sie sind Einsprungspunkte im Add-In Package.

Jede Klasse, die eine Extension repräsentiert, wird mit einem .NET Attribut gekennzeichnet.

Es gibt zwei Typen von Extensions, jeweils für den Editor und für die Runtime

  • Wizard Extensions (Wizards)
  • Service Extensions (Dienste)

IDE

Integrierte Entwicklungsumgebung. Abkürzung für Integrated Development Environment.

Project Add-In Management

Komponente für zenon Editor und Runtime, die Project Add-In Packages managt.

Service Extension

Implementierung einer Extension, die einen Dienst (Service) repräsentiert.

Dienste:

  • laufen im Hintergrund
  • werden automatisch oder manuell gestartet
  • bleiben im Speicher bis sie gestoppt werden

Wizard Extension

Implementierung einer Extension, die einen Wizard repräsentiert.

Wizards:

  • dienen zur Lösung einer bestimmten Aufgabe
  • werden beim Schließen wieder aus dem Arbeitsspeicher entladen

Hinweis: Fachbegriffe werden in der Dokumentation für Add-Ins ausschließlich in Englisch verwendet.


Einschränkungen

Handbuch > Programmierschnittstellen > Add-Ins > Einschränkungen

Für Add-Ins gelten folgende Einschränkungen:

  • Der zenon Web Client unterstützt die Ausführung von Add-Ins, allerdings ohne IDE-Unterstützung.

    Das lokale Debuggen von Add-Ins ist im zenon Web Client aus diesem Grund nicht möglich, ein Debuggen über Remote Debugging Tools wird unterstützt.

  • In der HTML Web Engine wird die Ausführung von Add-Ins nicht unterstützt.


Add-In erstellen

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen

Allgemeine Informationen

Add-Ins werden über die Add-In ID identifiziert. Sie wird für Installation und Import benutzt.

Eine Add-In ID besteht aus einem optionalen Namespace und einer lokalen ID, also namespace.localId. Die Local ID identifiziert ein Add-In, der Namespace ordnet ein Add-In einer Organisation zu. Beide Informationen werden durch das .NET Attribut Mono.AddIn.AddInAttribute festgelegt. Damit der Name für ein Add-In Package auch über Organisationsgrenzen hinweg eindeutig bleibt, wird der Namespace des Add-In Projekts als Teil der ID genutzt.
Beispiel für eine vollständige Add-In ID: com.organisation.importwizard.

Die Vergabe von Namespaces ist optional.
Empfehlung: Verwenden Sie Namespaces. Damit stellen Sie die globale Eindeutigkeit über Organisationsgrenzen hinweg sicher. Verwenden Sie am besten die URL der eigenen Organisation in umgekehrter Reihenfolge.
Zum Beispiel: Für www.example.com verwenden Sie com.example als Namespace.
Namespaces können innerhalb der Organisation weiter unterteilt werden, zum Beispiel durch Teams, Abteilungen oder Projekte.

Zur Erstellung von Add-Ins stehen Ihnen zur Verfügung:

  • Microsoft Visual Studio
  • SharpDevelop (im Installationspaket enthalten)

Add-Ins können mit jeder .NET Programmiersprache erstellt werden. Eine IDE Unterstützung steht für die Programmiersprachen C# und Visual Basic.NET zur Verfügung.

Hinweis: Welche Entwicklungsumgebung beim Klick auf Add-In Editor öffnen benutzt wird, legen Sie in den zenon Einstellungen in der Registerkarte Add-Ins fest.

Noch in diesem Kapitel

Grundlagen

Typen von Extensions

Inhalt von Add-In Packages

Microsoft Visual Studio

SharpDevelop

Source Code Verwaltung

Add-In Analysis und Packaging Utility (AddInUtility)

Verhalten beim Nachladen

Isolierung


Grundlagen

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Grundlagen

Für den zenon Editor und die zenon Runtime stehen unterschiedliche Extensions zur Verfügung. Je nach Anwendungsfall kann eine entsprechende Extension gewählt werden.

Sämtliche für die Entwicklung von Add-Ins benötigten Schnittstellen sind im Assembly Scada.AddIn.Contracts definiert.

Ein Add-In Package kann eine oder mehrere Extensions beinhalten.

Typen von Extensions - Schnittstellen

Es wird zwischen den folgenden Extensions unterschieden:

Editor Wizard Extension - IEditorWizardExtension

  • Die Ausführung wird durch den Benutzer über den Dialog Extras -> Editor Wizards... im zenon Editor ausgelöst.
  • Implementiert die Methode Run, um eine Wizard Extension im zenon Editor auszuführen.

Editor Service Extension - IEditorServiceExtension

  • Die Ausführung geschieht automatisch beim Starten des Editors, abhängig vom DefaultStartMode.

    Hinweis: Für den automatischen Start muss in der Extension das Attribut DefaultStartMode=DefaultStartupModes.Auto gesetzt sein. Der Startmodus kann später auch mit dem Dialog Editor Dienste verwalten verändert werden.

  • Die Verwaltung geschieht über den Dialog Extras -> Editor Dienste verwalten... im zenon Editor.
  • Implementiert die Methoden Start und Stop um eine Service Extension im zenon Editor auszuführen.

Project Wizard Extension - IProjectWizardExtension

  • Die Ausführung wird vom Benutzer mit der zenon Funktion Project Wizard Extension ausführen ausgelöst.
  • Implementiert die Methode Run, um eine Wizard Extension in der zenon Runtime auszuführen.

Project Service Extension - IProjectServiceExtension

  • Die Ausführung geschieht automatisch beim Starten des Projekts in der Runtime, abhängig vom DefaultStartMode.

    Hinweis: Für den automatischen Start muss in der Extension das Attribut DefaultStartMode=DefaultStartupModes.Auto gesetzt sein. Der Startmodus kann später auch mit dem Dialog Editor Dienste verwalten verändert werden.

  • Die Verwaltung geschieht über die zenon Funktion Dialog "Runtime Dienste verwalten" anzeigen.
  • Implementiert die Methoden Start und Stop um eine Service Extension in der zenon Runtime auszuführen.

Extension Attribute

Folgende Metadaten werden über das .NET Attribut mit dem Namen AddInExtension definiert.

Property

Beschreibung

IEditorWizardExtension

IEditorServiceExtension

IProjectWizardExtension

IProjectServiceExtension

Name

Anzeigename in Dialogen.

Info: Entspricht dem Namen des Wizards oder des Dienstes in zenon.

X

X

X

X

Description

Beschreibung zur Anzeige in Dialogen.

Info: Entspricht der Beschreibung des Wizards oder des Dienstes in zenon.

X

X

X

X

Category

Kategorie zur Gruppierung in Dialogen.

Info: Wird zur Kategorisierung von Wizards im Dialog Editor Wizards... im zenon Editor verwendet.

X

--

X

--

DefaultStartMode

Beschreibt das Standard-Startverhalten von Service Add-In Extensions nach der Installation.

  • Manual: Extension muss vom Benutzer manuell gestartet werden.
  • Auto: Wird gestartet, wenn der Arbeitsbereich im Editor oder das Projekt in der Runtime geladen wird.

Keine Angabe: Manual wird benutzt.

Info: Entspricht der Startart des Dienstes in zenon.

--

X

--

X

Legende:

  • X: trifft zu
  • --: trifft nicht zu

Add-In Attribute

Ein Add-In Assembly benötigt mehrere .NET Attribute, die in der Datei AddInInfo.cs definiert werden.

Die wichtigsten und für die Verwendung in zenon benötigten Attribute sind:

Attribute Name

Obligatorisch

Beschreibung

Beispiele

Addin

X

ID und Version des Add-Ins.

Info: Die Version entspricht der Spalte Version im Add-In Verwaltungsdialog im zenon Editor.

Beispiel 1:

[assembly: Addin("AddInIdentifier", "1.0", Namespace="com.example")]

Beispiel 2:
[assembly: Addin("MultitouchAddIn", "1.0")]

Beispiel 3:
[assembly: Addin("ProjectCreation", "1.0")]

AddinDependency

X

Definiert eine Abhängikeit zum zenon System.
Dieser Wert ist konstant und wird benötigt, damit zenon das Add-In verwenden kann.

[assembly: AddinDependency("scada", "1.0")]

AddinName

--

Name des Add-Ins.

Info: Entspricht der Spalte Name im Add-In Verwaltungsdialog im zenon Editor.

[assembly: AddinName("Editor Add-In Demo")]

AddinDescription

--

Beschreibung des Add-Ins.

Info: Entspricht der Spalte Beschreibung im Add-In Verwaltungsdialog im zenon Editor.

[assembly: AddinDescription("Demonstrates an Add-In with a Wizard and a Service extension.")]

Legende:

  • X: trifft zu
  • --: trifft nicht zu


Typen von Extensions

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Typen von Extensions

Noch in diesem Kapitel

Wizard im Editor - Editor Wizard Extension

Dienste im Editor - Editor Service Extension

Wizard zur Runtime - Project Wizard Extension

Dienst zur Runtime - Project Service Extension


Wizard im Editor - Editor Wizard Extension

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Typen von Extensions > Wizard im Editor - Editor Wizard Extension

Editor Wizard Extensions werden dazu verwendet, um Wizards oder andere benutzergesteuerte API-Vorgänge im Editor zu realisieren.

  • Die Ausführung wird durch den Benutzer über den Dialog Extras -> Editor Wizards... im zenon Editor ausgelöst.
  • Implementiert die Methode Run, um eine Wizard Extension im zenon Editor auszuführen.

Beispielcode (C#)

[AddInExtension("Wizard Extension Name", "Description of Wizard Extension", "Category of Wizard Extension")]

public class WizardExtension : IEditorWizardExtension

{

public void Run(IEditorApplication context, IBehavior behavior)

{

// Implement feature here...

}

}


Dienste im Editor - Editor Service Extension

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Typen von Extensions > Dienste im Editor - Editor Service Extension

Editor Service Extensions werden dazu verwendet, um automatisiert API-Vorgänge im Editor zu realisieren.

  • Die Ausführung geschieht automatisch beim Starten des Editors, abhängig vom DefaultStartMode.

    Hinweis: Für den automatischen Start muss in der Extension das Attribut DefaultStartMode=DefaultStartupModes.Auto gesetzt sein. Der Startmodus kann später auch mit dem Dialog Editor Dienste verwalten verändert werden.

  • Die Verwaltung geschieht über den Dialog Extras -> Editor Dienste verwalten... im zenon Editor.
  • Implementiert die Methoden Start und Stop um eine Service Extension im zenon Editor auszuführen.

Beispielcode (C#)

[AddInExtension("Service Extension Name", "Description of Service Extension", "Category of Service Extension", DefaultStartMode=DefaultStartupModes.Auto)]

public class ServiceExtension : IEditorServiceExtension

{

public void Start(IEditorApplication context, IBehavior behavior)

{

// Startup code here

}

public void Stop()

{

// Stop code here

}

}


Wizard zur Runtime - Project Wizard Extension

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Typen von Extensions > Wizard zur Runtime - Project Wizard Extension

Project Wizard Extensions werden dazu verwendet, um Wizards oder andere benutzergesteuerte API-Vorgänge in der Runtime zu realisieren.

  • Die Ausführung wird vom Benutzer mit der zenon Funktion Project Wizard Extension ausführen ausgelöst.
  • Implementiert die Methode Run, um eine Wizard Extension in der zenon Runtime auszuführen.

Beispielcode (C#)

[AddInExtension("Wizard Extension Name", "Description of Wizard Extension", "Category of Wizard Extension")]

public class WizardExtension : IProjectWizardExtension

{

public void Run(IProject context, IBehavior behavior)

{

// Implement feature here...

}

}


Dienst zur Runtime - Project Service Extension

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Typen von Extensions > Dienst zur Runtime - Project Service Extension

Runtime Service Extensions werden dazu verwendet, um Hintergrundaufgaben in der Runtime zu realisieren.

  • Die Ausführung geschieht automatisch beim Starten des Projekts in der Runtime, abhängig vom DefaultStartMode.

    Hinweis: Für den automatischen Start muss in der Extension das Attribut DefaultStartMode=DefaultStartupModes.Auto gesetzt sein. Der Startmodus kann später auch mit dem Dialog Editor Dienste verwalten verändert werden.

  • Die Verwaltung geschieht über die zenon Funktion Dialog "Runtime Dienste verwalten" anzeigen.
  • Implementiert die Methoden Start und Stop um eine Service Extension in der zenon Runtime auszuführen.

Beispielcode (C#)

[AddInExtension("Service Extension Name", "Description of Service Extension", "Category of Service Extension", DefaultStartMode=DefaultStartupModes.Auto)]

public class ServiceExtension : IProjectServiceExtension

{

public void Start(IProject context, IBehavior behavior)

{

// Startup code here

}

public void Stop()

{

// Stop code here

}

}


Inhalt von Add-In Packages

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Inhalt von Add-In Packages

Add-In Packages sind ZIP-Dateien mit der Namenserweiterung .scadaAddIn. Sie enthalten Binär- und Metadatendateien. Binärdateien müssen vorhanden sein und werden als eigene ZIP-Datei im Add-In Package gespeichert.
Packages können mit dem Add-In Utility erstellt werden. Über die Entwicklungsumgebungen SharpDevelop und Microsoft Visual Studio werden die Packages beim Kompilieren automatisch erzeugt.

Empfehlung: Verändern Sie Dateien nicht manuell, sondern benutzen Sie immer das Add-In Utility.

Inhalt des Add-In Packages

Das Add-In Package enthält:

  • Content.xml: XML-Metadatendatei mit Inhalten des Packages.
  • Binary.zip: ZIP-Datei mit den Binärdateien.

XML-Datei

Der Inhalt eines Add-In Package wird in einer eigenen XML-Datei (Content.xml) aufgelistet.

Binärdateien

Binärdateien werden in einer eigenen ZIP-Datei gespeichert. Diese Datei muss alle Komponenten beinhalten, die auf einem anderen System benötigt werden, um das Add-In auszuführen. Benötigt werden direkte und indirekte Referenzen auf .NET Assemblies. Dabei müssen nur externe Assemblies inkludiert werden. Als extern gelten Assemblies, die nicht Teil der .NET Framework Class Library sind oder bei der zenon Installation installiert werden.

Achtung: Stellen Sie sicher, dass Sie über alle dafür benötigten Lizenzen verfügen.

Hinweis: Dynamisch geladene .NET Assemblies sind in den Metadaten von .NET Assemblies nicht enthalten.

info Info

COPA-DATA übernimmt keine Haftung und bietet keine technische Unterstützung für externe Libraries.


Microsoft Visual Studio

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Microsoft Visual Studio

In diesem Abschnitt finden Sie Informationen zum Erstellen und Verwalten von Add-Ins mit Microsoft Visual Studio.
Add-Ins können erstellt werden mit:

  • MS Visual Studio 2015 (Community, Professional, Enterprise)
  • MS Visual Studio 2017 (Community, Professional, Enterprise)

Noch in diesem Kapitel

COPA-DATA Developer Tools

Add-In Package mit Visual Studio erstellen

Deployen und Debuggen von Add-Ins

Suchfunktion und Einstieg in zenon API-Dokumentation


COPA-DATA Developer Tools

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Microsoft Visual Studio > COPA-DATA Developer Tools

COPA-DATA Developer Tools stellen Werkzeuge zur Verfügung, um Add-Ins für zenon Editor und Runtime als Wizards oder Dienste zu erstellen.

zenon Add-Ins

COPA-DATA Developer Tools ermöglichen es Benutzern, zenon Add-Ins schnell und einfach mit Microsoft Visual Studio zu erstellen und zu debuggen. Sie stellen Projektvorlagen für zenon Editor and Runtime zur Verfügung. Für beide Anwendungen sind Vorlagen für Dienste und für Wizards (extensions) verfügbar.

COPA-DATA Developer Tools unterstützen:

  • C#
  • VB.NET

Mit den COPA-DATA Developer Tools werden Add-In packages beim Bauen von Add-Ins erstellt. Das Deployment und Debuggen von Add-In packages ist integriert. Das bedeutet: Wenn das Debuggen gestartet wird, werden Add-Ins deployed und das Debugging Tool wird automatisch mit zenon Editor oder Runtime verknüpft.

Voraussetzungen

Um die COPA-DATA Developer Tools nutzen zu können, benötigen Sie:

  • Visual Studio 2015 (Community, Professional or Enterprise)oder höher
  • zenon 7.60

Neu in Version 8.00

Neuerungen und Änderungen für die COPA-DATA Developer Tools in zenon 8.00:

  • Add-Ins können für zenon Versionen ab 7.60 erstellt werden.
  • Unterstützung von Microsfot Visual Studio 2017 (Community, Professional, Enterprise).
  • Stellt Projektvorlagen für WPF Wizards für zenon Runtime und zenon Editor zur Verfügung.

Erste Schritte mit COPA-DATA Developer Tools

Sie werden es einfach finden, mit den COPA-DATA Developer Tools Wizards und Dienste zu erstellen, debuggen und verteilen.

Projekt erstellen

Um ein neues Projekt zu erstellen, benutzen Sie den Dialog New Project.

Nach dem Erstellen des Projekts wird eine leere Extension Klasse erstellt:

Debuggen

Um zu debuggen, wählen Sie ein Ziel in den Projekt-Eigenschaften aus:

Deployment

Zum Deployen benutzen Sie den Befehl Deploy im Menü Build:

Hinweis: Wenn das Debuggen direkt gestartet wird, wird damit auch das Deployen automatisch gestartet.

Während Deployment and Debuggen zeigt die Kategorie SCADA im Ausgabefenster detaillierte Informationen an.

Dokumentation und Support

Die Dokumentation für die COPA-DATA Developer Tools steht in Visual Studio als integrierte Hilfe zur Verfügung. Drücken Sie einfach innerhalb der Anwendung die F1-Taste, um kontextsensitive Hilfe zu erhalten. Darüber hinaus erhalten Sie Unterstützung auch auf der COPA-DATA Webseite:

  • Nutzen Sie das Forum für aktuelle Neuigkeiten und Unterstützung durch andere Benutzer:
    https://forum.copadata.com/forumdisplay.php?45-Programming-Interface-API
  • Für Unterstützung durch COPA-DATA kontaktieren Sie den Support:
    https://www.copadata.com/en/support-services/


Add-In Package mit Visual Studio erstellen

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Microsoft Visual Studio > Add-In Package mit Visual Studio erstellen

Um ein Add-In Package mit Visual Studio zu erstellen:

  1. Starten Sie Visual Studio.

    Oder: Wählen Sie im zenon Editor das Menü Extras -> Add-In Editor öffnen...
    Tipp: Überprüfen Sie im Menü Extras => Einstellungen => Add-Ins, ob Visual Studio als Entwicklungsumgebung voreingestellt ist.

  2. Installieren Sie die Visual Studio Developer Tools.
    Hinweis: Diese können vom Visual Studio Marketplace heruntergeladen werden.
  3. Wählen Sie File -> New Project.
  4. Wählen Sie unter Templates -> Visual C# -> SCADA Add-Ins oder Templates -> Visual Basic -> SCADA Add-Ins eine entsprechende Vorlage.
  5. Erstellen Sie basierend auf dieser ein neues Projekt:
    • Editor Service Extension
    • Editor Wizard Extension
    • Project Service Extension
    • Project Wizard Extension

    Hinweis: Sämtliche in diesem Hilfekapitel verwendeten Beispiele basieren auf C#.

  6. Fügen Sie Ihren Code, Referenzen, etc. hinzu.
  7. Bauen Sie das Projekt.
  8. Das Add-In Package mit der Dateiendung *.scadaAddIn wird automatisch erstellt im Ausgabeordner des Projektes (je nach Konfiguration ...bin\Debug\ oder ...bin\Release\).
  9. Importieren Sie das Add-In Package im Editor, siehe dazu:
    • Add-Ins für den Editor installieren und verwalten
    • Add-Ins für die Runtime installieren und verwalten

zenon Version festlegen

Für jedes Add-In muss definiert werden, für welche zenon Version es kompiliert werden soll.
Um die Version festzulegen:

  1. Navigieren Sie in der Programmierumgebung zu Add-In Framework Settings.
  2. Öffnen Sie die Eigenschaft Minimal Scada Version.
  3. Wählen Sie aus der Dropdownliste die gewünschte Version aus.

    Latest Version: Es wird für die im Moment registrierte zenon kompiliert.

Um im zenon Editor zu überprüfen, für welche Version kompiliert wird:

  1. Klick Sie auf das Add-In.
  2. Öffnen Sie die Eigenschaftengruppe Allgemein.
  3. Überprüfen Sie die Eigenschaft Minimale Version.


Deployen und Debuggen von Add-Ins

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Microsoft Visual Studio > Deployen und Debuggen von Add-Ins

Add-Ins können im Editor und in der Runtime debugged werden.

Hinweis: Beim Stoppen des Debuggens können Sie:

  • Debugger vom Prozess trennen (Detach): Editor oder Runtime laufen weiter.
  • Prozess terminieren: Editor oder Runtime werden beendet.

Debuggen im Editor

Um ein Add-In im Editor zu debuggen, gehen Sie wie folgt vor:

  1. Starten Sie den zenon Editor.
  2. Starten Sie in Visual Studio das Debugging über F5 oder Debug -> Start Debugging.
  3. Das Add-In Projekt wird kompiliert und in den Editor deployed.

    Hinweis: Das Add-In wird hierbei in das Verzeichnis %ProgramData%\COPA-DATA\zenon800\EditorAddInCache kopiert.

    Um es wieder aus dem Editor zu entfernen, gehen Sie wie im Kapitel Add-Ins für den Editor installieren und verwalten vor.

  4. Debuggen Sie das Add-In.

info Info

Alternativ zu der beschriebene Methode können Sie Ihre Add-Ins auch mittels Debug -> Attach to Process debuggen. Verbinden Sie sich dabei aus dem entsprechenden Add-In Projekt in Visual Studio auf den zenon Editor Prozess.

Empfohlener Debugger-Typ (Debugger Type): Managed mit CLR 4.0

Debuggen in der Runtime

Um ein Add-In in der Runtime zu debuggen, gehen Sie wie folgt vor:

  1. Kompilieren Sie das Add-In und importieren Sie es wie in Add-Ins für die Runtime installieren und verwalten beschrieben.
  2. Starten Sie die zenon Runtime.
  3. Wählen Sie in Visual Studio unter Debug Target das Projekt.
    Die jeweilige Instanz muss dabei laufen.
  4. Starten Sie das Debugging über F5 oder Debug -> Run.
  5. Das Add-In Projekt wird kompiliert und deployed.
    Achten Sie beim wiederholten Deployen darauf, dass der Wizard oder Dienst nicht läuft.
  6. Debuggen Sie das Add-In.

info Info

Alternativ zu den beschriebenen Methoden können Sie Ihre Add-Ins auch mittels Debug -> Attach to Process debuggen. Wählen Sie dann den zenon Runtime Prozess (Zenrt32.exe) und drücken Sie Attach.


Suchfunktion und Einstieg in zenon API-Dokumentation

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Microsoft Visual Studio > Suchfunktion und Einstieg in zenon API-Dokumentation

Sie können von Visual Studio aus über die F1-Taste direkt in die zenon API-Dokumentation springen, wenn der Cursor auf Add-In Framework Inhalten steht.

Wenn der Cursor auf einem anderen Keyword steht, wird die MSDN-Dokumentation geöffnet.

Der Einstieg in die zenon API-Dokumentation wird unterstützt in den zenon Versionen:

  • 7.60
  • 8.00

und für die Visual Studio Versionen:

  • 2015
  • 2017

Beim Öffnen der API-Dokumentation wird die in der Visual Studio Solution geöffnete Version berücksichtigt.

Wird keine zenon Version erkannt, wird automatisch die neueste zenon API-Dokumentation geöffnet.

Für die jeweilige zenon Version stehen folgende Einstiegsmöglichkeiten zur Auswahl:

  • Add-In API-Dokumentation
  • Com API-Dokumentation

Sie können in Visual Studio aber auch in der zenon API-Dokumentation nach Inhalten suchen:

  • Eingabe des gesuchten Begriffs in der Suchleiste der Visual Studio Oberfläche sucht nach Inhalten in Add-In Framework Dokumentation und Com API-Dokumentation
  • Eingabe von @zenoncom und dem gesuchten Begriff in der Suchleiste der Visual Studio Oberfläche sucht nach Inhalten in der Com Dokumentation

    Beispiel: @zenoncom Alarm

Geben Sie den gesuchten Begriff in die Suchleiste ein und bestätigen sie die Auswahl mit einem Klick auf die Enter-Taste.

Vom Ergebnis der Suche können sie wieder direkt in die zenon API-Dokumentation springen.


SharpDevelop

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > SharpDevelop

SharpDevelop (auch #develop) ist eine Open Source Entwicklungsumgebung, die auf Microsofts .NET Plattform basiert. SharpDevelop ist im Lieferumfang von zenon enthalten und wird bei der Installation von zenon mitinstalliert.
Hinweis: Die jeweils aktuelle Version sowie die offizielle Dokumentation zu SharpDevelop finden Sie online auf: www.icsharpcode.net/opensource/sd/.

Noch in diesem Kapitel

Add-In Package mit SharpDevelop erstellen

Deployen und Debuggen von Add-Ins


Add-In Package mit SharpDevelop erstellen

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > SharpDevelop > Add-In Package mit SharpDevelop erstellen

Um ein Add-In Package mit SharpDevelop zu erstellen:

  1. Starten Sie SharpDevelop, indem Sie
    • im zenon Editor das Menü Extras -> Add-In Editor öffnen... wählen
      oder
    • im Startup Tool unter Tools die Verknüpfung SharpDevelop IDE wählen

    Tipp: Überprüfen Sie im Menü Extras => Einstellungen => Add-Ins, ob SharpDevelop als Entwicklungsumgebung voreingestellt ist.

  2. Wählen Sie File -> New Solution.
  3. Wählen Sie unter C# -> SCADA Add-Ins oder VB -> SCADA Add-Ins eine entsprechende Vorlage.
  4. Erstellen Sie basierend auf dieser ein neues Projekt:
    • Editor Service Extension
    • Editor Wizard Extension
    • Project Service Extension
    • Project Wizard Extension

    Hinweis: Sämtliche in diesem Hilfekapitel verwendeten Beispiele basieren auf C#.

  5. Fügen Sie Ihren Code, Referenzen, etc. hinzu.
  6. Bauen Sie das Projekt.
    Das Add-In Package mit der Dateiendung *.scadaAddIn wird im Ausgabeordner des Projektes erstellt.
    Dieser lautet je nach Konfiguration ...bin\Debug\ oder ...bin\Release\.
  7. Importieren Sie das Add-In Package im Editor, siehe dazu:
    • Add-Ins für den Editor installieren und verwalten
    • Add-Ins für die Runtime installieren und verwalten

zenon Version festlegen

Für jedes Add-In muss definiert werden, für welche zenon Version es kompiliert werden soll.
Um die Version festzulegen:

  1. Navigieren Sie in der Programmierumgebung zu Add-In Framework Settings.
  2. Öffnen Sie die Eigenschaft Minimal Scada Version.
  3. Wählen Sie aus der Dropdownliste die gewünschte Version aus.

    Latest Version: Es wird für die im Moment registrierte zenon kompiliert.

Um im zenon Editor zu überprüfen, für welche Version kompiliert wird:

  1. Klick Sie auf das Add-In.
  2. Öffnen Sie die Eigenschaftengruppe Allgemein.

Überprüfen Sie die Eigenschaft Minimale Version.


Deployen und Debuggen von Add-Ins

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > SharpDevelop > Deployen und Debuggen von Add-Ins

Add-Ins können im Editor und in der Runtime debugged werden.

Hinweis: Beim Stoppen des Debuggens können Sie:

  • Debugger vom Prozess trennen (Detach): Editor oder Runtime laufen weiter.
  • Prozess terminieren: Editor oder Runtime werden beendet.

Debuggen im Editor

Um ein Add-In im Editor zu debuggen:

  1. Starten Sie den zenon Editor.
  2. Starten Sie SharpDevelop indem Sie
    • im zenon Editor das Menü Extras -> Add-In Editor öffnen... wählen
      oder
    • im Startup Tool unter Tools die Verknüpfung SharpDevelop IDE wählen
  3. Öffnen Sie das Projekt.
  4. Navigieren Sie in den Projekteinstellungen in SharpDevelop zur Registerkarte Add-In.
  5. Wählen Sie unter Debug Target Editor.
  6. Starten Sie das Debugging über F5 oder Debug -> Run.
  7. Das Add-In Projekt wird kompiliert und in den Editor deployed.

    Hinweis: Das Add-In wird hierbei in das Verzeichnis %ProgramData%\COPA-DATA\zenon800\EditorAddInCache kopiert.

    Um es wieder aus dem Editor zu entfernen, gehen Sie wie im Kapitel Add-Ins für den Editor installieren und verwalten vor.
    Sollte bereits ein Add-In mit der gleichen ID vorhanden sein, wird dieses ersetzt.

  8. Debuggen Sie das Add-In.

Debuggen in der Runtime

In der Runtime wird pro Projekt debuggt.
Um ein Add-In in der Runtime zu debuggen:

  1. Starten Sie die zenon Runtime.
  2. Starten Sie SharpDevelop.
    Dazu wählen Sie zenon Startup Tool unter Tools die Verknüpfung SharpDevelop IDE.
  3. Öffnen Sie das Projekt.
  4. Navigieren Sie in den Projekteinstellungen in SharpDevelop zur Registerkarte Add-In.
  5. Wählen Sie unter Debug Target das Projekt in der Runtime aus, in dem Sie das Add-In debuggen wollen.
    Die jeweilige Instanz muss aktuell laufen.
  6. Starten Sie das Debugging über F5 oder Debug -> Run.
  7. Das Add-In Projekt wird kompiliert und temporär in das gewählte zenon Projekt deployed.
    Achten Sie beim wiederholten Deployen darauf, dass der Wizard oder Dienst nicht läuft.
    Achtung: Das Add-In wird dabei temporär in diesen Ordner kopiert: ...\RT\FILES\zenon\system\AddInCache\...
    Nach dem Beenden der Runtime wird es wieder entfernt.
    Um ein Add-In dauerhaft zu installieren, importieren Sie es wie im Kapitel Add-Ins für die Runtime installieren und verwalten beschrieben.
  8. Debuggen Sie das Add-In.

info Info

Alternativ zu den beschriebenen Methoden können Sie Ihre Add-Ins auch mittels Debug -> Attach to Process debuggen. Verbinden Sie sich dabei aus dem entsprechenden Add-In Projekt in SharpDevelop auf den Prozess in zenon Editor oder Runtime.


Source Code Verwaltung

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Source Code Verwaltung

Zur Verwaltung des Source Codes wird die Verwendung eines Versionskontrollsystems - wie TFS, GIT oder SVN - empfohlen.

attention Achtung

Im Unterschied zu VSTA und VBA wird der Source Code von Add-Ins nicht im zenon Projekt gespeichert und verwaltet.


Add-In Analysis und Packaging Utility (AddInUtility)

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Add-In Analysis und Packaging Utility (AddInUtility)

Das Tool AddInUtility, wird automatisch beim Kompilieren von Add-Ins aufgerufen und hat folgende Aufgaben:

  • Analyse der Abhängigkeiten
  • Packen von Add-Ins

Ein Package enthält die Add-In Assembly und eine XML-Datei mit der Erweiterung *.scadaAddin, welche die Metadaten für das Add-In beinhaltet.

Noch in diesem Kapitel

Kommandozeilen-Tool AddInUtility.exe


Kommandozeilen-Tool AddInUtility.exe

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Add-In Analysis und Packaging Utility (AddInUtility) > Kommandozeilen-Tool AddInUtility.exe

Das AddInUtility packt Add-Ins über die Kommandozeile.

Syntax: AddInUtility.exe [-[shortTerm] or [/ or --][longTerm] [argument value]] ...

  • Argumente sind unabhängig von Groß-/Kleinschreibung.
  • Werte sind sind unabhängig von Groß-/Kleinschreibung, wenn so gekennzeichnet.
  • Argumente können in beliebiger Reihenfolge angegeben werden.

Argument

Beschreibung

--action
(-a)

Aktion, die ausgeführt werden soll.
Mögliche Werte:

  • BuildPackage
  • GetPackageInfo

Pflichtangabe.

--path
(-p)

Pfadangabe.

Benötigte Angaben bei:

  • action = BuildPackage: Pfad zur Add-In Assembly Datei.
  • action = GetPackageInfo: Pfad zur Add-In Package Datei.

Pflichtangabe.

--targetDir
(-t)

Zielordner.

Benötigte Angaben bei:

  • action = BuildPackage: Pfad zum Ordner, in dem das Add-In Package erzeugt wird.

Default: aktueller Ordner

Beispiele

  • Erzeugt ein Add-In Package (Argumente ausgeschrieben):
    AddInUtility.exe --action BuildPackage --path C:\Addin.dll --targetDir C:\Directory\
  • Erzeugt ein Add-In Package (Argumente in Kurzform):
    AddInUtility.exe -a BuildPackage -p C:\Addin.dll -t C:\Directory\
  • Gibt Informationen zum angegebenen Add-In Package zurück:
    AddInUtility.exe -a GetPackageInfo -p C:\Directory\Addin.scadaAddIn


Verhalten beim Nachladen

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Verhalten beim Nachladen

zenon bietet eine Nachlade-Funktionalität für Projekte, die zur Laufzeit Hot-Plugging oder das Aktualisieren veränderter Projektdateien unterstützen. Entsprechend den ausgelösten Funktionen der Add-Ins, ist für VSTA und VBA die Reihenfolge der Aktivitäten wie folgt:

  1. Pre-reload VSTA
  2. Stop of Service Extensions
  3. Reload VBA
  4. Start of Service Extensions
  5. Post-reload VSTA

Add-Ins verhalten sich wie VSTA und stellen eine Pre-reload-Funktion und eine Post-reload-Funktion zur Verfügung. Diese werden nach dem VSTA Pre-reload und vor dem Nachladen von VSTA ausgelöst und als Wrapper für die VBA-Funktion reload benutzt. Ein erneutes Laden wird verzögert, bis das Ausführen von Wizard Extensions abgeschlossen ist.
Empfehlung: Falls Sie die Nachladen-Funktionalität nutzen möchten, vermeiden Sie blockierende oder lange laufende Wizard-Extensions.

Beim erneuten Laden werden alle laufenden Service-Erweiterungen neu gestartet. Neu installierte Service-Erweiterungen werden nach dem Neustart gestartet, wenn der DefaultStartMode auf Automatisch gesetzt ist.


Isolierung

Handbuch > Programmierschnittstellen > Add-Ins > Add-In erstellen > Isolierung

Sämtliche Add-Ins werden in einem isolierten Speicherbereich ausgeführt (App-Domain). Dadurch können auch verschiedene Versionen derselben Assemblies parallel geladen werden.


Verwenden von Add-Ins in Editor und Runtime

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime

Add-Ins stellen Projektierungshilfen im zenon Editor zur Verfügung und ergänzen die Funktionalitäten von zenon in der Runtime.

Sie finden Add-Ins:

  • für den Editor im Menü Extras unter den Einträgen:
    • Editor Add-Ins verwalten...
    • Editor Wizards starten...
    • Editor Dienste verwalten...
  • für die Runtime im Knoten Programmierschnittstellen - Add-Ins

Add-Ins für Editor und Runtime

  • Add-Ins für den Editor:
    Add-Ins werden importiert, installiert und können dann im Editor verwendet werden.
    Die Verwaltung erfolgt über die Einträge im Menü Extras.
  • Add-Ins für die Runtime:
    Add-Ins werden importiert, beim Starten Runtime werden sie automatisch aktiviert und können dann verwendet werden.
    Die Verwaltung erfolgt über die Detailansicht des Knotens Programmierschnittstellen - Add-Ins im Projektbaum.

Add-Ins stehen zur Verfügung als:

  • Wizard: Wird vom Benutzer aufgerufen und wird nach Lösung der Aufgabe wieder beendet.
    Details zu mit zenon mitgelieferten Wizards lesen Sie im Handbuch Wizards.
  • Dienst: Kann automatisch oder manuell gestartet werden und läuft im Hintergrund.

Add-Ins können:

  • mit zenon ausgeliefert werden
  • von Integratoren entwickelt und deren Kunden zur Verfügung gestellt werden
  • von Kunden selbst entwickelt werden

Eigenschaften

Wird im Editor ein Add-In markiert, werden dessen Eigenschaften im Knoten Allgemein angezeigt:

  • Name: Namen des Add-Ins.
  • Beschreibung: Beschreibung des Add-Ins.
  • Version: Versionsnummer des Add-Ins.
  • Quellcode: Anzeige, ob der Quellcode im Package enthalten ist.
  • Minimale Version: Niedrigste zenon Version, in der das Add-In verwendet werden kann. Diese wird beim Erstellen des Add-Ins festgelegt für:
    • Microsoft Visual Studio
    • SharpDevelop

Diese Eigenschaften können im Editor nicht verändert werden. Sie dienen nur der Information.
Die gleichen Eigenschaften werden auch in der Detailansicht für alle Add-Ins angezeigt.

Liste der Add-Ins und Dienste filtern und sortieren

Um eine Liste in der Detailansicht oder in einem Dialog zu filtern:

  1. Klicken Sie in die Filterzeile der gewünschten Spalte.
  2. Tragen Sie die Filterkriterien ein.
    Platzhalter können verwendet werden:
    • ?: Platzhalter für genau ein beliebiges Zeichen.
    • *: Platzhalter für beliebig viele Zeichen.
  3. Mehrere Filter können kombiniert werden.

Hinweis: Um alle Filter zu entfernen, klicken Sie in der Symbolleiste auf das entsprechende Symbol.

Um die Liste zu sortieren:

  1. Klicken Sie auf den Spaltentitel der Spalte, nach der sortiert werden soll.

    Das Symbol Fernglas zeigt an, nach welcher Spalte sortiert wird.

    Die Liste wird entsprechend der Spalte sortiert.

    Ein Pfeil zeigt an, ob absteigend oder aufsteigend sortiert wird.

  2. Um die Sortierreihenfolge zu ändern klicken Sie erneut in den Spaltentitel.

Sicherung und Wiederherstellung

Für die Sicherung und Wiederherstellung von Add-Ins gilt:

  • Bei der Sicherung des Arbeitsbereichs werden Editor Add-Ins nicht gesichert.

    Hinweis: Installierte Add-Ins für den Editor befinden sich im Ordner %ProgramData%\COPA-DATA\zenon800\EditorAddInStore. Sie können bei Bedarf manuell gesichert werden.

  • Add-In Packages von Projekten werden bei der Erstellung von Projekt- und Arbeitsbereichsicherungen mitgesichert und werden beim Rücklesen dieser wiederhergestellt.

Änderungshistorie

Wurde die Änderungshistorie für das Projekt aktiviert, dann werden Einträge für die Änderungshistorie beim Installieren und Deinstallieren von Add-In Packages im Projekt erstellt.

Noch in diesem Kapitel

Add-Ins in zenon aktivieren

Verhalten bei der Installation

Knoten Add-Ins im Projektmanager

Verwendung im zenon Editor

Verwendung in der zenon Runtime

Fehlerbehebung


Add-Ins in zenon aktivieren

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Add-Ins in zenon aktivieren

Die Verwendung von Add-Ins wird in der zenon6.ini aktiviert. Dazu muss der folgende Eintrag vorhanden sein:

[AddIns]

ON=1

Nach der Installation von zenon ist dieser Eintrag standardmäßig aktiviert.


Verhalten bei der Installation

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verhalten bei der Installation

Add-Ins können im Editor oder in der Runtime verwendet werden.
Bei der Installation von Add-Ins gilt:

  1. Neuinstallation:
    Das ausgewählte Package wird im AddInStore-Ordner abgelegt.
    • Ordner bei Installation im Editor: %ProgramData%\COPA-DATA\zenon800\EditorAddInStore
    • Ordner bei Installation in der Runtime: ...\RT\FILES\zenon\system\AddInStore\...

    Die Add-In ID wird als Dateiname verwendet und mit der Dateinamenerweiterung .scadaAddIn ergänzt.

  2. Neuinstallation mit gleicher ID:
    Das bereits bestehende Add-In wird ersetzt.
  3. Bei der Installation werden bereits vorhandene Dateien anderer Versionen (höher oder niedriger) ersetzt.

info Info

Die Add-In ID ist für jedes Add-In eindeutig und wird über ein .NET Attribut in der Datei AddInInfo.cs definiert.

Beispiel (Add-In ID = AddInProject):

// Declares that this assembly is an add-in

[assembly: Addin("AddInProject", "1.0")]

Knoten Add-Ins im Projektmanager

Im Projektbaum des Projektmanager können unter dem Knotenpunkt Programmierschnittstellen Add-Ins importiert werden. Details dazu finden Sie im Kapitel Kontextmenü Projektbaum.


Kontextmenü Projektbaum

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Knoten Add-Ins im Projektmanager > Kontextmenü Projektbaum

Ein Rechtsklick auf das Symbol Add-Ins im Knoten Programmierschnittstellen im Projektbaum öffnet ein Kontextmenü:

Eintrag | Beschreibung
Add-In importieren... | Öffnet den Dialog zum Import eines Add-In Packages, das zur Runtime eingesetzt werden soll. Hinweis: Das Paket wird nur importiert, aber nicht installiert. Die Installation erfolgt zur Runtime.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü und Symbolleiste Detailansicht

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Knoten Add-Ins im Projektmanager > Kontextmenü und Symbolleiste Detailansicht

In der Detailansicht des Knotens Add-Ins im Projektbaum werden Add-Ins, die zur Runtime verwendet werden, angezeigt und über eine Symbolleiste und ein Kontextmenü verwaltet.

Einträge im Kontextmenü und Bedeutung der Symbole von links nach rechts:

Symbol/Eintrag | Beschreibung
Add-In importieren | Öffnet den Dialog zum Import eines Add-In Packages, das zur Runtime eingesetzt werden soll. Hinweis: Das Paket wird nur importiert, aber nicht installiert. Die Installation erfolgt zur Runtime.
Löschen | Deinstalliert und löscht das ausgewählte Add-In nach einer Sicherheitsabfrage.
Alle Filter entfernen | Entfernt alle Filter, die in der Liste der Add-Ins aktuell angewendet werden.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Verwendung im zenon Editor

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verwendung im zenon Editor

Add-Ins für die Verwendung im zenon Editor, werden im Editor importiert, installiert und verwaltet.

Add-Ins für den Editor können beinhalten:

  • Editor Wizard Extensions, diese werden manuell gestartet, über den Menüpunkt Extras -> Editor Wizards.
  • Editor Service Extensions, diese werden gestartet wenn der Arbeitsbereich geladen wird und ihr Startmodus auf Automatisch steht. Sie werden gestoppt, sobald der Arbeitsbereich geschlossen wird.

Installierte Add-Ins für den Editor werden gespeichert unter: %ProgramData%\COPA-DATA\zenon800\EditorAddInStore

Noch in diesem Kapitel

Add-Ins für den Editor installieren und verwalten


Add-Ins für den Editor installieren und verwalten

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verwendung im zenon Editor > Add-Ins für den Editor installieren und verwalten

Im zenon Editor können Add-Ins importiert, installiert und verwaltet werden.

Hinweis: Es können nur Add-Ins mit Editor Extensions importiert und installiert werden. Werden beim Import keine Editor Extensions gefunden, wird eine entsprechende Warnung angezeigt.

Add-In importieren und installieren

Um ein Add-In zu importieren und zu installieren:

  1. Öffnen Sie das Menü Extras.
  2. Wählen Sie den Eintrag Editor Add-Ins verwalten.
    Der Dialog zur Verwaltung von Add-Ins wird geöffnet.
  3. Klicken Sie auf das Symbol Importieren und installieren, wählen Sie diesen Eintrag im Kontextmenü oder drücken Sie die Einfügen-Taste.

    Der Dialog zur Auswahl eines Add-Ins wird geöffnet.

  4. Wählen Sie das gewünschte Add-In aus.
  5. Klicken Sie auf Öffnen.

    Das Add-In wird importiert und installiert.

  6. Klicken Sie auf Schließen, um den Dialog zu schließen.

Add-In deinstallieren und löschen

Um ein Add-In zu deinstallieren und löschen:

  1. Öffnen Sie das Menü Extras.
  2. Wählen Sie den Eintrag Editor Add-Ins verwalten.
    Der Dialog zur Verwaltung von Add-Ins wird geöffnet.
  3. Wählen Sie ein Add-In aus.
  4. Klicken Sie auf das Symbol Deinstallieren und löschen oder wählen Sie diesen Eintrag im Kontextmenü oder drücken Sie die Entfernen-Taste.

    Ein Dialog mit einer Sicherheitsabfrage wird geöffnet.

  5. Bestätigen Sie die Sicherheitsabfrage.

    Das Add-In wird deinstalliert und gelöscht.

Noch in diesem Kapitel

Dialog Editor Add-Ins verwalten

Editor Dienste verwalten


Dialog Editor Add-Ins verwalten

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verwendung im zenon Editor > Add-Ins für den Editor installieren und verwalten > Dialog Editor Add-Ins verwalten

Option

Beschreibung

Symbolleiste

Enthält Symbole für:

  • Importieren, Installieren und Löschen von Add-Ins
  • Entfernen der Filter
  • Anzeige der Hilfe

Liste der Add-Ins

Zeigt alle installierten Add-Ins an.
Angezeigt werden Informationen zu:

  • Name
  • Beschreibung
  • Version
  • ob Quellcode inkludiert ist

Die Elemente können gefiltert und sortiert angezeigt werden.

Schließen

Schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Symbolleiste und Kontextmenü

Bedeutung der Einträge im Kontextmenü und der Symbole von links nach rechts:

Symbol | Beschreibung
Importieren und installieren | Öffnet den Dialog zur Auswahl eines Add-Ins. Dieses kann importiert und installiert werden.
Deinstallieren und löschen | Deinstalliert und löscht das ausgewählte Add-In nach einer Sicherheitsabfrage.
Alle Filter entfernen | Entfernt alle Filter, die in der Liste der Add-Ins aktuell angewendet werden.
Hilfe | Öffnet die Online-Hilfe.


Editor Dienste verwalten

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verwendung im zenon Editor > Add-Ins für den Editor installieren und verwalten > Editor Dienste verwalten

Add-In Extensions, die im Editor als Dienste laufen, werden über einen eigenen Dialog verwaltet.

Um Editor Dienste zu verwalten

  1. Öffnen Sie das Menü Extras.
  2. Wählen Sie den Eintrag Editor Dienste verwalten...

    Der Dialog zum Verwalten der Dienste wird geöffnet.

Dialog Editor Dienste verwalten

Option

Beschreibung

Symbolleiste

Enthält Symbole für:

  • Starten und Stoppen der Dienste
  • Einstellen der Startart
    automatisch
    manuell
  • Entfernen der Filter
  • Anzeige der Hilfe

Liste der Dienste

Zeigt alle installierten Dienste (Services) an. Angezeigt werden Informationen zu:

  • Name
  • Beschreibung
  • Startart
  • Zustand

Die Elemente können gefiltert und sortiert angezeigt werden.

Schließen

Schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Hinweis: Dieser Dialog steht über die Funktion Dialog "Runtime-Dienste verwalten" anzeigen auch zur Runtime zur Verfügung.

Symbolleiste und Kontextmenü

Bedeutung der Einträge im Kontextmenü und der Symbole von links nach rechts:

Symbol | Beschreibung
Dienst starten | Startet den ausgewählten Dienst.
Dienst stoppen | Stoppt den ausgewählten Dienst.
Startart manuell | Stellt die Startart für den ausgewählten Dienst auf manuell.
Startart automatisch | Stellt die Startart für den ausgewählten Dienst auf automatisch.
Alle Filter entfernen | Entfernt alle Filter, die in der Liste der Dienste aktuell angewendet werden.
Hilfe | Öffnet die Online-Hilfe.

Verhalten für Start und Stopp

Wurde für ein Workspace Service Add-In der Startmodus automatisch gewählt, dann wird es beim Starten des Editors noch vor dem Event OnWorkspaceStartup geladen. Beim Beenden des Editors wird es nach dem Event OnWorkspaceExit gestoppt. Das Add-in kann damit auf die zenon Events reagieren.


Verwendung in der zenon Runtime

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verwendung in der zenon Runtime

Add-Ins für die Verwendung in der zenon Runtime, werden im Editor importiert und verwaltet. Beim Starten der Runtime werden sie automatisch installiert, um in der Runtime ausgeführt werden zu können. Jedes zenon Projekt verwaltet seine eigenen Add-Ins.

  • Add-Ins werden beim Erstellen der Runtime-Dateien für ein Projekt kopiert nach: ...\RT\FILES\zenon\system\AddInStore\...
  • Beim Starten der Runtime werden die Add-Ins installiert nach: ...\RT\FILES\zenon\system\AddInCache\...

    Dabei werden weiters:

    • Geänderte Add-In Packages upgedatet.
      Der Abgleich erfolgt dabei über das Änderungsdatum des Add-In Packages.
    • Nicht mehr vorhandene Add-Ins gelöscht.
    • Project Service Extensions mit Startmodus Automatisch werden instanziert und automatisch gestartet.
    • Project Wizard Extensions können über die zenon Funktion Project Wizard Extension ausführen ausgeführt werden.

Tipp Tipp

Den Runtime-Ordner öffnen Sie am schnellsten, indem Sie das Projekt im Editor markieren und die Tastenkombination Strg+Alt+R drücken.

Noch in diesem Kapitel

Add-Ins für die Runtime installieren und verwalten


Add-Ins für die Runtime installieren und verwalten

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Verwendung in der zenon Runtime > Add-Ins für die Runtime installieren und verwalten

Add-Ins für die Runtime werden im Editor importiert und beim Starten der Runtime automatisch installiert. Der Import erfolgt über das Kontextmenü oder die Symbolleiste der Detailansicht.

Add-In importieren

Um ein Add-in zu importieren:

  1. Öffnen Sie im Editor die Detailansicht für Add-Ins im Projektbaum.
  2. Klicken Sie auf das Symbol Add-In importieren, wählen Sie diesen Eintrag im Kontextmenü oder drücken Sie die Einfügen-Taste.

    Der Dialog zur Auswahl eines Add-Ins wird geöffnet.

  3. Wählen Sie das gewünschte Add-In aus.
  4. Klicken Sie auf Öffnen.

    Das Add-in wird importiert.

    Info:

    • Erst beim Erzeugen der Runtime-Dateien wird das Add-In in den Runtime-Dateien abgelegt.
      Ablage-Ordner: ...\RT\FILES\zenon\system\AddInStore\...
    • Beim Starten oder beim Nachladen der Runtime wird es im folgenden Ordner installiert, modifiziert oder aktualisiert:

      ...\RT\FILES\zenon\system\AddInCache\...

    Beim Modifizieren erfolgt der Abgleich über den Zeitstempel des Add-In Packages.

  5. Klicken Sie auf Schließen, um den Dialog zu schließen.

Hinweis: Es können nur Add-Ins mit Project Extensions importiert und installiert werden. Werden beim Import keine Project Extensions gefunden, wird eine entsprechende Warnung angezeigt.

Add-In installieren und deinstallieren

Add-Ins werden automatisch beim Start der Runtime oder beim Nachladen installiert oder aktualisiert.

Ablauf:

  • Beim Starten der Runtime werden die für das Projekt installierten Packages mit den im Editor importierten abgeglichen.
  • Der Abgleich erfolgt über den Zeitstempel.
  • Bei unterschiedlichen Zeitstempeln oder neuen Packages wird das Package installiert. Ein bereits vorhandenes Package mit gleichem Namen wird überschrieben.
  • Ist ein in der Runtime vorhandenes Package im Editor nicht mehr vorhanden, wird es auch aus der Runtime entfernt.

Add-In nachladen

Geänderte und neue Add-Ins können zur Runtime nachgeladen werden.
Vor dem Nachladen wird geprüft, ob sich der Add-In Cache und der Add-In Store unterscheiden. Sind Unterschiede vorhanden, wird das Nachladen gestartet.

Ablauf:

  1. Es werden alle Add-In Dienste gestoppt.
  2. Der Zustand wird gespeichert.
  3. Der Cache wird mit den Inhalten aus dem Store aktualisiert.
  4. Die Zustände aller Dienste, die bereits vor dem Nachladen existierten, werden wiederhergestellt.
  5. Neu hinzu gekommene Dienste mit der Startart Automatisch werden gestartet.

Hinweis: Bei Wizards wird das Nachladen erst angestoßen, wenn ein bereits laufender Wizard beendet wurde.

Add-In löschen

Um ein Add-In zu löschen:

  1. Öffnen Sie im Editor die Detailansicht für Add-Ins im Projektbaum.
  2. Wählen Sie ein Add-In aus.
  3. Klicken Sie auf das Symbol Löschen oder drücken Sie die Entfernen-Taste.

    Ein Dialog mit einer Sicherheitsabfrage wird geöffnet.

  4. Bestätigen Sie die Sicherheitsabfrage.

    Das Add-In wird gelöscht.
    Nach dem nächsten Kompilieren der Runtime-Dateien wird es beim Nachladen oder Neustart der Runtime deinstalliert.

Wizards starten und Dienste verwalten

In der Runtime können Wizards gestartet und Dienste verwaltet werden.
Dafür nutzen Sie zenon Funktionen. Diese projektieren Sie im Editor und rufen Sie zur Runtime auf.
Details zu den verfügbaren Funktionen und ihrere Projektierung lesen Sie ab Kapitel zenon Funktionen.


Fehlerbehebung

Handbuch > Programmierschnittstellen > Add-Ins > Verwenden von Add-Ins in Editor und Runtime > Fehlerbehebung

Erweiterung .scadaAddIn deaktiviert

Es kann vorkommen dass das Visual Studio die Erweiterung .scadaAddIn deaktiviert.

In diesem Fall kann die Erweiterung manuell aktiviert werden und steht nach einem Neustart zur Verfügung. Nach dem Schließen des Visual Studios wird die Erweiterung beim nächsten Öffnen aber wieder deaktiviert.

Details lesen Sie auf: https://github.com/madskristensen/BundlerMinifier/issues/214

Lösung:

Um das Verhalten dauerhaft zu ändern:

  1. Deinstallieren das COPA-DATA SCADA Add-Ins.
  2. Benutzen Sie DuplicateExtensiuonFinder, um alle Installationsreste zu entfernen.
    Sie finden die Anwendung auf: https://github.com/remcoros/DuplicateExtensionFinder
  3. Installieren Sie das COPA-DATA SCADA Add-In erneut.


zenon Funktionen

Handbuch > Programmierschnittstellen > Add-Ins > zenon Funktionen

In zenon stehen Funktionen für Add-Ins zur Verfügung:

  • Dialog "Runtime Dienste verwalten" anzeigen: Öffnet zur Runtime den Dialog zur Verwaltung der Dienste.
  • Project Wizard Extension ausführen: Auswahl eines Wizards, der zur Runtime ausgeführt wird.

Noch in diesem Kapitel

Dialog "Runtime Dienste verwalten" anzeigen

Project Wizard Extension ausführen


Dialog "Runtime Dienste verwalten" anzeigen

Handbuch > Programmierschnittstellen > Add-Ins > zenon Funktionen > Dialog "Runtime Dienste verwalten" anzeigen

Mit dieser Funktion wird zur Runtime der Dialog Runtime Dienste verwalten aufgeschaltet. Es werden alle installierten Add-In Dienste zur Verwaltung angeboten.
Sie können:

  • Dienste starten und stoppen
  • festlegen, ob ein Dienst automatisch oder manuell gestartet wird

Funktion projektieren

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Add-In.
  3. Wählen Sie die Funktion Dialog "Runtime-Dienste verwalten" anzeigen.

    Der Dialog wird beendet.

  4. Benennen Sie die Funktion in der Eigenschaft Name.

Verhalten zur Runtime

Zur Runtime öffnet das Ausführen der Funktion den Dialog Runtime Dienste verwalten:

Option

Beschreibung

Symbolleiste

Enthält Symbole für:

  • Starten und Stoppen der Dienste
  • Einstellen der Startart:
    Automatisch
    Manuell
  • Entfernen der Filter

Liste der Dienste

Zeigt alle installierten Dienste (Services) an. Angezeigt werden Informationen zu:

  • Name
  • Beschreibung
  • Startart
  • Zustand

Die Elemente können gefiltert und sortiert angezeigt werden.

Aktionen für die angezeigten Elemente können über die Symbolleiste oder das Kontextmenü ausgeführt werden.

Schließen

Schließt den Dialog.

Symbolleiste und Kontextmenü

Einträge im Kontextmenü und Bedeutung der Symbole (von links nach rechts):

Symbol | Beschreibung
Dienst starten | Startet den ausgewählten Dienst.
Dienst stoppen | Stoppt den ausgewählten Dienst.
Startart manuell | Stellt die Startart für den ausgewählten Dienst auf manuell.
Startart automatisch | Stellt die Startart für den ausgewählten Dienst auf automatisch.
Alle Filter entfernen | Entfernt alle Filter, die in der Liste der Dienste aktuell angewendet werden.


Project Wizard Extension ausführen

Handbuch > Programmierschnittstellen > Add-Ins > zenon Funktionen > Project Wizard Extension ausführen

Die Funktion Project Wizard Extension ausführen ermöglicht es, einen Wizard zur Runtime auszuführen.
Der Wizard muss im Editor bereits importiert worden sein.

Funktion projektieren

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Add-In.
  3. Wählen Sie die Funktion Project Wizard Extension ausführen .

    Der Dialog zur Auswahl eines Wizards wird geöffnet.

  4. Wählen Sie den gewünschten Wizard aus.
  5. Schließen Sie den Dialog mit Klick auf OK.
  6. Benennen Sie die Funktion in der Eigenschaft Name.

Dialog Project Wizard Extension ausführen

Option

Beschreibung

Liste Wizards

Zeigt alle im Projektbaum im Knoten Programmierschnittstellen/Add-Ins gefundenen Wizards an.

Die angezeigten Elemente können gefiltert und sortiert werden.
Kriterien:

  • Name
  • Beschreibung
  • Kategorie

Es kann nur ein Wizard ausgewählt werden.

Statuszeile

Zeigt an:

  • Zahl der Wizards insgesamt
  • Zahl der gefilterten Wizards
  • Zahl der ausgewählten Wizards

Diesen Dialog zur Runtime anbieten

Aktiv: Beim Aufruf der Funktion zur Runtime wird dieser Dialog geöffnet und der Anwender kann die Konfiguration vor Ausführung anpassen.

Der Dialog wird zur Runtime am aktuellen Rechner aufgeschaltet. Im Netzwerkbetrieb wird der Dialog bei Aufruf am Client auch am Client aufgeschaltet.

Dialog beenden

OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe. Nur im Editor verfügbar.

Verhalten zur Runtime

Zur Runtime führt ein Klick auf ein mit der Funktion verknüpftes Element den konfigurierten Wizard aus.
Wurde die Option Diesen Dialog zur Runtime anbieten aktiviert, wird vor der Ausführung der Dialog zur Auswahl eines Wizards aufgeschaltet. Der auszuführende Wizard kann neu ausgewählt werden.

Wird zur Runtime im Dialog die Schaltfläche Abbrechen gewählt, dann wird kein Wizard ausgeführt.


Umstieg/Konvertierung von VSTA

Handbuch > Programmierschnittstellen > Add-Ins > Umstieg/Konvertierung von VSTA

Editor

Um bestehende VSTA-Funktionalität aus dem Editor zu konvertieren, gehen Sie wie folgt vor.

Funktionalität aus Wizards

Funktionalität die mittels VSTA-Wizards umgesetzt wurde, kann nun über Editor Wizard Extensions umgesetzt werden.

Kopieren Sie Ihren bestehenden Code in eine Editor Wizard Extension und nehmen Sie gegebenenfalls Anpassungen im Code vor.

Zum Starten des Wizards verwenden Sie den Dialog Editor Wizards...

Funktionalität aus VSTA Events

Funktionalität die eventgetriggert (z.B. über .OnElementCreated, .OnPreBuild) ausgeführt wurde, kann nun über Editor Service Extensions umgesetzt werden.

Kopieren Sie dazu den Code zum Initialisieren der Eventhandler in die Start Methode der Editor Service Extension. Den Code zum Freigeben kopieren Sie in die Stop Methode.

Hinweis: Für den automatischen Start muss in der Extension das Attribut DefaultStartMode=DefaultStartupModes.Auto gesetzt sein. Der Startmodus kann später auch mit dem Dialog Editor Dienste verwalten verändert werden.

Funktionalität aus VSTA Makros

Funktionalität aus Makros, die über die Combobox VBA/VSTA Makro ausführen ausgeführt wurde, kann nun über Editor Wizard Extensions umgesetzt werden.

Kopieren Sie dazu den Code aus Ihrem bestehenden VSTA Makro in die Run Methode der Editor Wizard Extension und nehmen Sie gegebenenfalls Anpassungen im Code vor.

Zum Ausführen des Codes verwenden Sie den Dialog Editor Wizards...

Runtime

Um bestehende VSTA-Funktionalität aus der Runtime zu konvertieren, gehen Sie wie folgt vor.

Funktionalität aus VSTA Makros

Funktionalität die über die Funktion VSTA-Makro ausführen ausgeführt wurde, kann nun über Project Wizard Extensions umgesetzt werden.

Kopieren Sie dazu den Code aus Ihrem bestehenden VSTA Makro in die Run Methode der Project Wizard Extension und nehmen Sie gegebenenfalls Anpassungen im Code vor.

Zum Starten der Project Wizard Extension verwenden Sie die zenon Funktion Project Wizard Extension ausführen.

Funktionalität aus VSTA Events

Funktionalität die eventgetriggert (z.B. über .DynPictures().Open, .Alarm().AlarmComes) ausgeführt wurde, kann nun über Project Service Extensions umgesetzt werden.

Kopieren Sie dazu den Code zum Initialisieren der Eventhandler in die Start Methode der Project Service Extension. Den Code zum Freigeben kopieren Sie in die Stop Methode.

Hinweis: Für den automatischen Start muss in der Extension das Attribut DefaultStartMode=DefaultStartupModes.Auto gesetzt sein.


Makroliste

Handbuch > Programmierschnittstellen > Makroliste

Mit VBA und VSTA kann die Funktionalität von zenon selbstständig erweitert werden. Die Verwendung von Makros mit zenon wird beschrieben.

Kontextmenü

Menüpunkt | Aktion
VBA-Editor öffnen | Öffnet den VBA-Editor.
VBE exportieren alle | Öffnet den Dialog zur Auswahl des Speicherorts für den VBE-Export.
VBE importieren | Öffnet den Dialog zur Auswahl der VBE-Importdatei.
Editorprofile | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

info Info

Wenn VBA-Makros im Editor geändert werden:

  • werden die Runtime-Dateien kompiliert und zur Runtime übertragen
  • wird die Runtime neu geladen
  • werden VSTA-Elemente ebenfalls neu geladen, selbst wenn keine Änderungen in VSTA erfolgt sind

VBA startet für Arbeitsbereich und Projekt dieselbe Entwicklungsumgebung.
Um den VBA Editor zu öffnen:

  1. Navigieren Sie im zenon Editor in den Knoten Programmierschnittstellen.
  2. Erweitern Sie die Ansicht dieses Knotens mit Klick auf [+].
    Die Ansicht des Knotens wird erweitert.
  3. Führen Sie einen Rechtsklick auf Makroliste aus.
  4. Wählen Sie im Kontextmenü den Eintrag VBA-Editor öffnen.

Alternative: Drücken Sie die Tastenkombination Alt+F11.

Noch in diesem Kapitel

VBA Symbolleiste und Kontextmenü Detailansicht

VBA auf 64-Bit Systemen

Grundlagen

Makros im Editor

Funktionen in zenon

Entwicklung von Wizards in VBA

Frequently asked Questions

Beispiele


VBA Symbolleiste und Kontextmenü Detailansicht

Handbuch > Programmierschnittstellen > Makroliste > VBA Symbolleiste und Kontextmenü Detailansicht

Symbolleiste

Menüpunkt | Aktion
VBA-Makro neu | Legt ein neues Makro an und öffnet den Makro-Editor.
VBA-Editor öffnen | Öffnet den VBA-Editor.
Speichern | Speichert Makros.
Entfernen | Löscht das ausgewählte Element.
VBE exportieren alle | Öffnet den Dialog zur Auswahl des Speicherorts für den VBE-Export.
VBE importieren | Öffnet den Dialog zur Auswahl der VBE-Importdatei.
Umbenennen | Ermöglicht umbenennen des ausgewählten Markos.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Makro Module

Menüpunkt | Aktion
VBA-Editor öffnen | Öffnet den VBA-Editor.
Speichern | Speichert Makros.
VBE exportieren alle | Öffnet den Dialog zur Auswahl des Speicherorts für den VBE-Export.
VBE importieren | Öffnet den Dialog zur Auswahl der VBE-Importdatei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Module

Menüpunkt | Aktion
VBA-Makro neu | Legt ein neues Makro an und öffnet den VBA-Editor.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Makro

Menüpunkt | Aktion
Bearbeiten | Öffnet Makro im Editor zum Bearbeiten. Alternativ: Eingabe-Taste oder Doppelklick.
Entfernen | Löscht Makro. Alternativ: Entfernen-Taste.
Umbenennen | Öffnet Namensfeld zum Bearbeiten. Alternativ: F2-Taste.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste Editor

Makros, die mit VBA erstellt wurden, können über die Symbolleiste Makroliste verwaltet werden.

Wird ein Filter ausgewählt, ist diese Auswahl auch in der Symbolleiste ersichtlich.

Symbol

Beschreibung

Liste der VBA/VSTA-Makros neu laden

Lädt alle in myWorkspace und in Modulen enthaltenen Public Sub Name () Makros in die Dropdownliste der Symbolleiste.

Makro suchen

Suche nach Makros über Eingabefeld der Combobox oder Auswahl aus Dropdownliste. Die Dropdownliste wird beim Ausklappen an das breiteste Element angepasst.

Combobox Makros

Enthält alle geladenen Makros zur Auswahl.

Ausgewähltes Makro ausführen

Führt das in der Dropdownliste ausgewählte Makro aus.

Zugeordnetes Makro #<x> ausführen

Führt das dem Symbol zugeordnete Makro aus.

Makros zuordnen

Öffnet den Dialog für die Zuordnung von Makros. Bis zu 5 Makros können mit den Symbolen 1 bis 5 verknüpft werden.

VBA

Filtert nach VBA-Makros. Es werden nur noch VBA-Markos angezeigt.

VSTA

Filtert nach VSTA-Makros. Es werden nur noch VSTA-Markos angezeigt.

ALL

Aktuell angewandter Filter wird aufgehoben und alle Makros werden angezeigt.

AZ

Sortiert Makros aufsteigend von 0 - 9 und A - Z.

ZA

Sortiert Makros absteigend von Z - A und 9 - 0.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

info Info

Werden im Makro-Zuordnungsdialog nicht alle in myWorkspace enthaltenen Makros zur Auswahl angeboten, dann führen Sie in der Symbolleiste die Funktion Liste der VBA-Makros neu laden aus.


VBA auf 64-Bit Systemen

Handbuch > Programmierschnittstellen > Makroliste > VBA auf 64-Bit Systemen

zenon unterstützt seit Version 7.10 64-Bit Betriebssysteme. VBA wurde daher auf Version VBA 7.1 umgestellt. Somit steht VBA auch in zenon 64-Bit zur Verfügung. Falls im VBA-Code auf Windows-API oder sonstige importierte DLL-Funktionen zugegriffen wird, müssen diese Aufrufe an 64-Bit angepasst werden. Generell gilt: Eine für 32-Bit erstellte VBA-Datei kann nicht ohne Anpassungen in einer 64‑Bit-Version von VBA verwendet werden.

Um 32-Bit und 64-Bit kompatiblen Code zu schreiben, stehen in VBA einige Defines/Funktionen zur Verfügung. Zum Beispiel:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Nützliche Hinweise zur Portierung von VBA 32-Bit Code auf VBA 64-Bit finden Sie auch bei Microsoft:

  • Microsoft Office 2010, Hinweise zur Portierung: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit und 64-Bit Declares für API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp


Grundlagen

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen

Beschreibt die Grundlagen der Programmiersprache VBA - Visual Basic for Applications

Noch in diesem Kapitel

Objekteigenschaften - PROPERTIES

Objektmethoden - METHODS

Objektereignisse - EVENTS

VBA Objektmodell in zenon

Wie setzt man VBA Makros ein?

Wie bindet man ein ActiveX - Element in zenon ein?

Zugriff über externes Programm

Funktionsweise einer OnlineVariable

Liste Status-Bits

Lasso für Auswahl Dynamischer Elemente zur Runtime


Objekteigenschaften - PROPERTIES

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Objekteigenschaften - PROPERTIES

Eine Objekteigenschaft (Property) ist ein bestimmtes Attribut des Objekts. Im Falle eines Variablen-Objekts kann das z. B. der Wert, der Name oder die Kennung sein. Im Falle eines Kreis-Objekts etwa die Position oder die Farbe des Kreises im Bild. Jedes Objekt besitzt mindestens ein Property (in der Regel sind es mehrere), jedes Property besitzt einen bestimmten Wert. Während der Property Name ein Text ist, besitzt der Property Value einen Wert zwischen 0 und z. B. 1000.

Das Besondere an Properties ist, dass sie durch Ändern der Propertywerte in einem VBA-Programm das Verhalten oder Aussehen des Objekts verändern können. Geben Sie etwa dem Property Value (Wert) des Variablenobjekts einen anderen Wert, erreichen Sie dadurch, dass die aktuell ausgewählte Variable den von Ihnen gewünschten Wert erhält. Nicht jedem Property können Sie einen neuen Wert geben. So ist Property Count (Anzahl) des Variablenobjekts fix, denn die Anzahl der Variablen wird durch die angelegten Variablen bestimmt. Indem Sie Count einen höheren Wert geben, fügen Sie keine neuen Variablen hinzu. Einige Properties sind daher Nur-Lese-Eigenschaften, d.h. ihr Wert kann nur gelesen werden.


Objektmethoden - METHODS

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Objektmethoden - METHODS

Neben den Properties kann jedes Objekt Methoden besitzen. Eine Methode ist kein Attribut, sondern eine Aufforderung an das Objekt, etwas zu tun. So besitzt eine Form die Methode Show. Was bewirkt diese Methode? Sie fordert die Form auf, sich am Bildschirm darzustellen. Entsprechend verschwindet die Form, unter Verwendung des Unload-Befehls wieder.

Der Vorteil einer Methode ist, dass der Programmierer nichts über den Aufbau des Objekts wissen muss und vor allem keine Gelegenheit erhält, an den internen Daten des Objekts zu drehen.

Der Aufruf der Show-Methode oder des Unload-Befehls sieht wie folgt aus:

frmSollwert.Show oder Unload frmSollwert

Wenn Sie zum Beispiel eine andere Form aufschalten wollen, bleibt die Methode gleich, es ändert sich lediglich der Name der Form (Objektname).

frmChange.Show oder Unload frmChange

Ein und dieselbe Methode kann daher auf verschiedene Objekttypen angewendet werden. Jedoch nicht alle Objekte müssen zwangsläufig Methoden besitzen.


Objektereignisse - EVENTS

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Objektereignisse - EVENTS

Auch wenn Sie sich beim Umgang mit Objekten zu 90% mit Properties und Methoden beschäftigen, gibt es noch eine dritte Kategorie von Merkmalen, über die ein Objekt verfügen kann: Events. Einige Objekte in der Objekthierarchie können auf Events reagieren. Events passieren beim Arbeiten mit zenon von alleine.

Example Beispiel

Wann immer ein Bild aufgeschalten wird, wird in dem dahinterstehenden Picture-Objekt ein Open-Event ausgelöst. Als Programmierer können Sie innerhalb der sogenannten Ereignissprozedur (Prozedur, die bei Eintreten eines Ereignisses aufgerufen wird) Anweisungen festlegen, die bestimmen, was in diesem Fall passieren soll. Ein Beispiel dafür ist die Änderung einer Variablen. Man könnte ein Event, welches auf die Wertänderung einer Variablen reagiert, erzeugen.


VBA Objektmodell in zenon

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > VBA Objektmodell in zenon

Grundsätzlich gibt es in der Projektstruktur immer wieder eine Objektliste und Objekte.

Beispiel:

Projects – Project

Variables – Variable

Elements – Element

Mehr zum Objektmodells finden Sie:

  • in der VBA-Hilfe

  • in der grafischen Übersicht, die Sie bei COPA-DATA komplett als gedruckte Übersicht erhalten

  • im Object-Browser von VBA


Wie setzt man VBA Makros ein?

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Wie setzt man VBA Makros ein?

Um ein neues Makro zu erstellen, wählt man im Fenster Projektinfo in der Registerkarte Makro Browser ein gewünschtes Ereignis, bei dem das neue Makro ausgeführt werden soll.

Durch Klicken der rechten Maustaste auf dieses Ereignis, öffnet sich ein Menü.

Wählen Sie den Menüpunkt Makro neu. Dadurch wird von zenon eine Prozedur generiert:

Public Sub LeftClickUp_Sollwert(obElem As Element)
End Sub

Wenn bereits ein Makro besteht, kann dieses durch Anklicken mit der rechte Maustaste, bearbeitet, gelöscht oder umbenannt werden.

attention Achtung

Wenn Sie den Menüpunkt Makro umbenennen wählen, achten Sie darauf, dass Sie nicht den Namen des Ereignisses - z. B.: LeftClickUp_..., - des derzeitigen Namens ändern. Ansonsten wird die Namensänderung nicht durchgeführt. Außerdem müssen Sie, wenn Sie den Makronamen ändern, auch den Namen des aufzurufenden Unterprogramms per Hand im VBA-Editor ändern.

Nachdem man die von zenon generierte Prozedur mit dem auszuführenden Quellcode gefüllt hat, muss man das erzeugte Makro mit einem Element verbinden.

Durch einen Doppelklick auf ein gewünschtes Element, erscheinen die Element-Eigenschaften auf dem Bildschirm.

Auf der Registerkarte Ereignisse, verbindet man das Makro mit dem Element.

Durch einen Klick mit der linken Maustaste, wird das Ereignis LeftClickDown des Elements ausgelöst und das verbundene Makro ausgeführt.

Noch in diesem Kapitel

Einbinden von bereits bestehenden Makros


Einbinden von bereits bestehenden Makros

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Wie setzt man VBA Makros ein? > Einbinden von bereits bestehenden Makros

Um bereits bestehende Makros in ein anderes Projekt einzubinden, gehen Sie so vor:

  1. Exportieren Sie im VBA-Editor alle benötigten Formulare und Module und importieren diese in das gewünschte Projekt.
  2. Ereignisbezogene Makros, in ModulElement.bas, werden jetzt noch nicht im Makro Browser angezeigt. Darum müssen Sie jetzt die Makros im Makro Browser neu anlegen.

    Am einfachsten ist es, wenn Sie den Namen des bereits bestehenden Makros verwenden.

    z. B.:
    LeftClickUp_ DateSet2
    LeftClickUp_ DateSet4
    LeftClickUp_ TimeSet
    Draw_ Date2
    Draw_ Date4
    Draw_ Time

  3. Beim Anlegen von Makros, generiert zenon Prozeduren, die den gleichen Namen haben wie die bereits bestehenden Makros. Diese neu generierten Prozeduren müssen Sie löschen.
  4. Verbinden Sie die Makros wie gewohnt mit einem Dynamischen Element.


Wie bindet man ein ActiveX - Element in zenon ein?

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Wie bindet man ein ActiveX - Element in zenon ein?

Ein ActiveX-Element wird wie ein Dynamisches Element einfach in einem Bild auf die gewünschte Größe aufgezogen, es öffnet sich ein Fenster, in dem Sie ein ActiveX-Element auswählen müssen.

  • Wenn in der oben dargestellten Liste das Element ausgewählt wurde, können Sie diesem eine Variable zuordnen. Dazu klicken Sie auf die Schaltfläche Variable... und wählen Sie eine Variable aus oder legen eine neue an.
  • Als nächsten Schritt geben wir unserem ActiveX-Element einen Objektnamen, über diesen wir später in VBA darauf zugreifen können.
  • In unserem Beispiel vergeben wir den Objektnamen Slider6_DW18, da es sich um ein Slider-ActiveX-Element handelt, das mit der Variable Datenwort 18 verknüpft ist.
  • Nun muss das Slider-Element über den VBA-Editor aktiviert und weiterbearbeitet werden.
  • Dazu legen wir ein neues Makro an, wie bereits im Kapitel "Wie setzt man VBA Makros ein?" beschrieben.

Das Makro Init_slider übergibt das zu initialisierende Element an ein Unterprogramm im Objekt thisProject, wodurch ein Projektbezug auf das aktuelle Projekt hergestellt wird:

Public Sub Init_Slider(obElem As Element)
thisProject . Init _ Slider obElem
End Sub

Wie im Makro Init_Slider wird auch im Draw_SliderValue, das Element dem Objekt thisProject übergeben.

Public Sub Draw_SliderValue (obElem As Element, ByVal hdc As OLE _ HANDLE )
thisProject.Draw_Slider obElem
obElem.Draw hdc
End Sub

Im Objekt thisProject wird der unten angeführte Quellcode eingetragen.

Public Declarations
Public WithEvents obSlider As Slider
Public obSliderPV As Variable
Public Sub Init_Slider (obElem As Element)
Set obSlider = obElem.ActiveX

'ActiveX exists
If obSchieberegler Is Nothing Then
Exit Sub
End If
Set obSliderPV = obElem . ItemVariable(0)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If
obSlider.Max = obSliderPV.RangeMax
obSlider.Min = obSliderPV.RangeMin
obSlider.TickFrequency = 1000
obSlider.LargeChange = 25
obSlider.SmallChange = 1
obSlider.Value = obSliderPV.Value

End Sub

Public Sub Draw _ Schieberegler ( obElem As Element )
Dim vVar As Variant
Dim obDynPic As DynPicture

Set obSliderPV = obElem.ItemVariable ( 0 )
Set obDynPic = thisProject.DynPictures. Item (BILD_1)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If


Zugriff über externes Programm

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Zugriff über externes Programm

Um über ein externes Programm wie zum Beispiel Visual Basic auf zenon Daten zugreifen zu können wird die COM-Schnittstelle verwendet. Diese COM-Schnittstelle ist jene, die auch von VBA verwendet wird. Es gibt also nur ein paar kleine Unterschiede, die aber bedacht werden müssen.

Noch in diesem Kapitel

Visual Basic 6


Visual Basic 6

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Zugriff über externes Programm > Visual Basic 6

Um auf die COM-Schnittstelle zugreifen zu können, muss diese eingebunden weden:

Mittels dieser Typelibrary kommt man auf das zenon Applicationsobjekt (die Runtime).

Da es hier kein thisProject - Objekt gibt, muss man dieses erstellen um an die Daten zu kommen.

Dim obProject As zenon.Project
Set obProject = zenon.Application.Projects.Item(PROJEKTNAME)

Wenn das VB-Projekt bei allen zenon Projekten funktionieren und sozusagen unabhängig vom Projektnamen sein soll, kann es auch so gesetzt werden:

Set obProject = zenon.Application.Projects.Item(0)

Wenn das Projektobjekt (thisProject) angelegt wurde, kann zum Beispiel auf die Variablen lesend und schreibend zugegriffen werden.

Lesen:

Wert = obProject.Variables.Item(Variablenname).Value

Schreiben:

obProject.Variables.Item(Variablenname).Value = Wert


Funktionsweise einer OnlineVariable

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable

Eine VBA - OnlineVariable kann man sich wie einen Container vorstellen, dieser Container beinhaltet Variablen, die natürlich hinein gegeben werden müssen. Ändert sich nun der Wert einer im Container befindlichen Variablen, wird dies durch ein Ereignis bekanntgegeben.

Noch in diesem Kapitel

Funktionsweise des Ereignisses

Container definieren und anlegen

Variablen in den Container geben

Ereignis anlegen

Ereignis aktivieren

Ausschalten des Ereignisses

Entfernen beim Beenden


Funktionsweise des Ereignisses

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Funktionsweise des Ereignisses

Wenn der Container aktiviert wird (Container.Define), werden alle im Container befindlichen Variablen einmal angereizt, damit der aktuelle Wert der Variablen bekannt wird. Es wird also die Prozedur „Container_VariableChange“ für jede im Container befindliche Variable einmal ausgeführt. Wenn alle Variablen dann initialisiert wurden, tritt das Ereignis immer dann in Kraft, wenn sich im Container der Wert einer Variablen ändert.

Es ist somit ausgeschlossen, dass ein Wert ausgelesen wird, der nicht dem aktuellen Wert der Variable entspricht.


Container definieren und anlegen

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Container definieren und anlegen

Definition:

Public WithEvents Container As OnlineVariable

Mit dieser Codezeile wird der Container definiert.

Anlegen:

Set Container = thisProject . OnlineVariables . CreateOnlineVariables ( Containername)


Variablen in den Container geben

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Variablen in den Container geben

Container . Add Variablenname1
Container . Add Variablenname2
Container . Add Variablenname3
Container . Add Variablenname4
...

Dieser Vorgang wird solange wiederholt, bis sich alle gewünschten Variablen im Container befinden.


Ereignis anlegen

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Ereignis anlegen

Private Sub Container_VariableChange(ByVal obVar As zenon.IVariable)

...

End Sub

Dieses Ereignis wird automatisch angelegt, wenn in der linken Combobox am oberen Rand des BA-Editors der Container ausgewählt wird. Es wird dann die obige Prozedur in den Sourcecode eingefügt. Es wird mittels „obVar“ die Variable mitgegeben, deren Wert sich geändert hat. Es kann beim Eintreten des Ereignisses dann z. B. der aktuelle Wert abgefragt werden (ob-Var.Value). Welche Eigenschaften und Werte von der Variablen abgefragt werden können, ist aus der Objekthierarchie in der VBA-Dokumentation ersichtlich.


Ereignis aktivieren

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Ereignis aktivieren

Container.Define

Diese Befehlszeile aktiviert die Überwachung der Variablen im Container. Erst wenn der Befehl „Define“ ausgeführt wird, ist der Container aktiv.


Ausschalten des Ereignisses

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Ausschalten des Ereignisses

Container.Undefine

Mit diesem Befehl wird die Überwachung im Container wieder abgeschaltet, das Ereignis (VariableChange) wird ab diesem Zeitpunkt nicht mehr ausgeführt.


Entfernen beim Beenden

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Funktionsweise einer OnlineVariable > Entfernen beim Beenden

Um beim Beenden der Runtime wirklich nichts mehr im Speicher zu lassen, muss der Container spätestens beim Beenden der Runtime wieder entfernt werden.

thisProject . OnlineVariables . DeleteOnlineVariables ( Containername)

Erst wenn dieserer Container gelöscht wurde, kann ein anderer Container mit dem gleichen Namen neu angelegt werden.


Liste Status-Bits

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Lasso für Auswahl Dynamischer Elemente zur Runtime

Handbuch > Programmierschnittstellen > Makroliste > Grundlagen > Lasso für Auswahl Dynamischer Elemente zur Runtime

Dynamische Elemente, die mit einer Variable oder mit einer Funktion verknüpft sind, können zur Runtime mit dem Lasso vorausgewählt und damit für Events genutzt werden.

Beispiel: Mit dem Lasso können Sie Dynamische Elemente aus der Navigationsleiste auswählen und via DragDrop in den Erweiterten Trend einfügen. Ziehen Sie die markierten Dynamischen Elemente in den Bereich des ETM Diagramms oder der ETM Kurvenliste. Für diese Dynamischen Elemente werden dann automatisch die entsprechenden Kurven erstellt.

Hinweis: Bei Dynamischen Elementen, welche mehr als eine Variable aufweisen, wird nur die Hauptvariable für die Drag&Drop Funktion verwendet.

Mit der Methode SelElements können zur Runtime vom Bediener ausgewählte Dynamische Elemente als ausgewählt identifiziert werden. Diese DynPicture.SelElements können dann für Events via Drag&Drop benutzt werden.

Auswahl per Lasso

Um zur Runtime Elemente mit dem Lasso auszuwählen, muss:

  • in den Projekteigenschaften unter Interaktion die Eigenschaft Runtime Lasso aktiviert sein

    Default: deaktiviert

  • in den Eigenschaften des Dynamischen Elements unter Runtime die Eigenschaft mit Lasso auswählbar aktiviert sein

    Default: aktiviert

  • in den gewünschten Bildern unter Interaktion die Eigenschaft Schablone per Maus verschieben deaktiviert sein

    Default: deaktiviert

Zur Runtime stehen mehrere Methoden zur Auswahl von Elementen zur Verfügung, je nach Einstellungen für Touchbedienung:

  • Touch-Bedienung deaktiviert oder Windows 7 (Eigenschaft Auswertung Deaktiviert oder Windows 7):
    • Linker Mausklick + Bewegung: Neue Auswahl wird erstellt.
    • Linker Mausklick + Ctrl-Taste + Bewegung: Auswahl wird erweitert.
  • Native Windows 8 Touch-Bedienung aktiv (Eigenschaft Auswertung auf Windows 8):
    • Linker Mausklick + Bewegung: Bild wird bewegt
    • Linker Mausklick + Ctrl-Taste + Bewegung: Bild wird bewegt.
    • Linker Mausklick + Umschalt-Taste + Bewegung: Neue Auswahl wird erstellt.
    • Linker Mausklick + Ctrl-Taste + Umschalt-Taste + Bewegung: Auswahl wird erweitert.

Regeln:

  • Es können nur Elemente ausgewählt werden, die sichtbar sind.
  • Wird ein Button ausgewählt und ein Klick darauf ausgeführt, wird die hinterlegte Funktion ausgeführt.
  • Wird ein Mausklick auf einen ausgewählten Button ausgeführt und die Maus vor dem Loslassen der Maus-Taste bewegt, dann wird die hinterlegte Funktion nicht ausgeführt.
  • Auswahl aufheben: Klicken Sie mit der linken Maustaste in einen Bereich ausserhalb der Auswahl.


Makros im Editor

Handbuch > Programmierschnittstellen > Makroliste > Makros im Editor

Makros können im Editor über eine konfigurierbare Symbolleiste ausgeführt werden. Dazu werden Makros mit Schaltflächen in der Symbolleiste VBA verknüpft.

Weiters können Makros natürlich manuell über den VBA Editor ausgeführt werden.

Mit Wizards können immer wiederkehrende Projektierarbeiten automatisch ausgeführt oder ganze Projekte auf Knopfdruck erstellt werden. Exemplarisch werden schon einige Wizards mit zenon ausgeliefert, die nach Belieben erweitert und ergänzt werden können. Sie helfen bei der Erstellung von Projekten, beim Import und Export, bei der Variablenerstellung und vielem mehr. Details dazu finden Sie im Kapitel Wizards.

Editor-Events

Editor-Events sind Bestandteil des VBA-Workspace und ermöglichen es, auf Events in der Workspace-Programmierung zu reagieren, z. B. für Wizards oder Remote-Transport. Zum Beispiel:

  • OnElementCreated
  • OnElementDeleted
  • OnElementDoubleClicked
  • OnObjectCreated
  • ...

Alle Events und Informationen dazu finden Sie in der Hilfe zum Object Model.

Noch in diesem Kapitel

Symbolleiste Makroliste

Zuordnung der Makros


Symbolleiste Makroliste

Handbuch > Programmierschnittstellen > Makroliste > Makros im Editor > Symbolleiste Makroliste

Makros, die mit VBA erstellt wurden, können über die Symbolleiste Makroliste verwaltet werden.

Wird ein Filter ausgewählt, ist diese Auswahl auch in der Symbolleiste ersichtlich.

Symbol

Beschreibung

Liste der VBA/VSTA-Makros neu laden

Lädt alle in myWorkspace und in Modulen enthaltenen Public Sub Name () Makros in die Dropdownliste der Symbolleiste.

Makro suchen

Suche nach Makros über Eingabefeld der Combobox oder Auswahl aus Dropdownliste. Die Dropdownliste wird beim Ausklappen an das breiteste Element angepasst.

Combobox Makros

Enthält alle geladenen Makros zur Auswahl.

Ausgewähltes Makro ausführen

Führt das in der Dropdownliste ausgewählte Makro aus.

Zugeordnetes Makro #<x> ausführen

Führt das dem Symbol zugeordnete Makro aus.

Makros zuordnen

Öffnet den Dialog für die Zuordnung von Makros. Bis zu 5 Makros können mit den Symbolen 1 bis 5 verknüpft werden.

VBA

Filtert nach VBA-Makros. Es werden nur noch VBA-Markos angezeigt.

VSTA

Filtert nach VSTA-Makros. Es werden nur noch VSTA-Markos angezeigt.

ALL

Aktuell angewandter Filter wird aufgehoben und alle Makros werden angezeigt.

AZ

Sortiert Makros aufsteigend von 0 - 9 und A - Z.

ZA

Sortiert Makros absteigend von Z - A und 9 - 0.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

info Info

Werden im Makro-Zuordnungsdialog nicht alle in myWorkspace enthaltenen Makros zur Auswahl angeboten, dann führen Sie in der Symbolleiste die Funktion Liste der VBA-Makros neu laden aus.


Zuordnung der Makros

Handbuch > Programmierschnittstellen > Makroliste > Makros im Editor > Zuordnung der Makros

Makros können über eine Schaltfläche in der Symbolleiste aufgerufen werden. Maximal fünf Makros können so verknüpft werden. Über die Schaltfläche Makros zuordnen wird der Dialog zur Makrozuordnung geöffnet.

Option | Beschreibung
Makro # | Makro-Nummer entspricht Nummer der Schaltfläche in der Symbolleiste. Klick auf ... öffnet Dialog zur Auswahl des Makros.
OK | Erstellt Verknüpfungen zu den Schaltflächen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Makroauswahl für Zuordnung

Makroauswahl für Elemente


Makroauswahl für Zuordnung

Handbuch > Programmierschnittstellen > Makroliste > Makros im Editor > Zuordnung der Makros > Makroauswahl für Zuordnung

Parameter | Beschreibung
Makro # | Makro-Nummer entspricht Nummer der Schaltfläche in der Symbolleiste. Klick auf ... öffnet Dialog zur Auswahl des Makros.
OK | Erstellt Verknüpfungen zu den Schaltflächen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Parameter | Beschreibung
Vorhandene Auswahl | Liste der Makros, die verknüpft werden können.
Keine Auswahl | Löscht vorhandene Zuordnung für diese Schaltfläche.
OK | Ordnet gewähltes Makro der Schaltfläche zu.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Makroauswahl für Elemente

Handbuch > Programmierschnittstellen > Makroliste > Makros im Editor > Zuordnung der Makros > Makroauswahl für Elemente

Elemente in Bildern können mit VBA Makros verknüpft werden. Dabei wird ein Dialog zum Anlegen der Verknüpfung geöffnet.

Parameter | Beschreibung
Makroliste | Liste der Makros, die verknüpft werden können.
OK | Ordnet gewähltes Makro der Schaltfläche zu.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktionen in zenon

Handbuch > Programmierschnittstellen > Makroliste > Funktionen in zenon

Im Dialog Funktionsauswahl finden Sie unter dem Element VBA folgende Funktionen.

Funktion | Beschreibung
PCE-Editor öffnen | Öffnet den Editor des optionalen Moduls Process Control Engine (PCE).
VBA-Editor öffnen | Öffnet den VBA-Editor
VBA-Makro ausführen | Führt ein ausgewähltes VBA-Makro aus. Achtung: Der VBA Event project inactive wird vor AUTO_END_xxx Skripte ausgeführt. Daher wird in Skripten die zenon Funktion VBA-Makro ausführen dann nicht mehr ausgeführt, da VBA zu diesem Zeitpunkt nicht mehr läuft.
VBA-Makros Dialog anzeigen | Öffnet den VBA-Makro Dialog.

Noch in diesem Kapitel

VBA-Makro ausführen


VBA-Makro ausführen

Handbuch > Programmierschnittstellen > Makroliste > Funktionen in zenon > VBA-Makro ausführen

Wenn Sie die Funktion VBA-Makro ausführen auswählen, erscheint folgender Dialog.

Diese Einstellungen stehen Ihnen zur Verfügung.

Parameter | Beschreibung
Makro Auswahl | Öffnet den Dialog zur Auswahl des Makros (siehe Makro Auswahl) Hint: Only lists VBA macros that match the number of parameters defined at the function Parameter (below).
Parameter | Tragen Sie den gewünschten Wert (String) für einen Parameter ein.
Neu | Klicken Sie auf diese Schaltfläche, um den Wert bei Parameter in die Liste der verfügbaren Parameter zu übernehmen.
Löschen | Klicken Sie auf diese Schaltfläche, um den ausgewählten Eintrag aus der Liste der verfügbaren Parameter zu löschen. Sie können immer jeweils nur einen Eintrag löschen.
Nach oben | Klicken Sie auf diese Schaltfläche, um den ausgewählten Eintrag eine Position nach oben zu verschieben. In der Parameter-Reihenfolge wird der Eintrag damit eine Position nach vorne verschoben.
Nach untern | Klicken Sie auf diese Schaltfläche, um den ausgewählten Eintrag eine Position nach unten zu verschieben. In der Parameter-Reihenfolge wird der Eintrag damit eine Position nach hinten verschoben.

Sie haben die Möglichkeit für Makros, die mit Parameter erstellt wurden, Strings zu hinterlegen. Diese Strings werden in der Runtime als einzelne Parameter übertragen, wenn das Makro ausgeführt wird.

info Info

Sie müssen sicher stellen, dass die Anzahl der Parameter des verknüpften Makros mit der Anzahl der hier angelegten Parameter übereinstimmt.

Noch in diesem Kapitel

Makro Auswahl


Makro Auswahl

Handbuch > Programmierschnittstellen > Makroliste > Funktionen in zenon > VBA-Makro ausführen > Makro Auswahl

Nach Klick auf Schaltfläche ... erscheint folgender Dialog.

Wählen Sie hier aus den vorhandenen Makros das gewünschte aus und klicken Sie anschließend auf OK.


Entwicklung von Wizards in VBA

Handbuch > Programmierschnittstellen > Makroliste > Entwicklung von Wizards in VBA

Ab Version 6 ist es möglich, die Projektierung von Projekten über Wizards zu automatisieren. Dadurch können oft zu wiederholende Tätigkeiten in einen Wizard ausgelagert werden, der die gewünschten Aktionen durchführt, z. B. Anlegen eines Projekts, Erstellen der Schablonen und Bilder nach einem definierten Standard.

Eine andere Einsatzmöglichkeit für Wizards sind automatisierte Änderungen an einem bestehenden Projekt, z. B. Änderung von Eigenschaften dynamischer Elemente in allen Bildern eines bestehenden Projekts.

Als Basis für die Wizards dienen Microsoft Visual Basic for Applications (VBA) und das zenon Objektmodell.

Derzeit stehen folgende Wizards zur Verfügung:

  • Project-Wizard
  • Import-Wizard
  • World view wizard
  • Find VBA-Text wizard
  • Wizard for keyword-creation
  • Wizard for keyword-translation
  • Wizard for creating variables

Die Wizards stehen als VBA-Quellcode Dateien auf dem Installationsmedium zur Verfügung. Neue Wizards können über die VBA-Umgebung eingebunden werden.

Noch in diesem Kapitel

Verwendung eines Wizards

Aufbau eines Wizards

Integration in VBA

Entwicklung eines Wizards

Aktualisierung von Wizards


Verwendung eines Wizards

Handbuch > Programmierschnittstellen > Makroliste > Entwicklung von Wizards in VBA > Verwendung eines Wizards

Der Menübefehl Editor Wizards im Menü Extras öffnet die Wizard-Auswahl. In diesem Dialog werden alle verfügbaren Wizards nach ihrer Kategorie angezeigt.
Sollten Wizards keine Kategorie beinhalten, so wird automatisch ein Eintrag Nicht verknüpft erstellt. Unter diesem Eintrag werden alle nicht-verknüpften Assistenten aufgelistet.

Durch Auswahl eines Wizards und Betätigen der OK-Schaltfläche wird der ausgewählte Wizard aktiviert.

info Info

Wizards unterstützen keine Mehrplatzfähigen Projekte.


Aufbau eines Wizards

Handbuch > Programmierschnittstellen > Makroliste > Entwicklung von Wizards in VBA > Aufbau eines Wizards

Ein Wizard ist eine UserForm, die im applikationsspezifischen Knoten der Applikation abgelegt wird. Diese UserForm besteht in der Regel aus einem Multiseiten-Element, in dem die einzelnen Schritte des Wizards dargestellt werden.

Durch eine Weiter Schaltfäche wird die nächste Seite des Multiseiten-Elements angezeigt. Alle Eingaben müssen temporär abgelegt werden - die Erstellung von Objekten, z. B. Schablonen, Bilder, ... darf erst beim Fertig stellen des Wizards erfolgen.

info Info

UserForms, die als Wizard verwendet werden sollten, müssen einige public Methoden enthalten, die die Informationen über den Wizard an das Leitsystem liefern. Fehlen diese Routinen in einer UserForm, so wird diese nicht als Wizard behandelt.


Integration in VBA

Handbuch > Programmierschnittstellen > Makroliste > Entwicklung von Wizards in VBA > Integration in VBA

Die Wizards sind im applikationsspezifischen Knoten ZWorkspace untergebracht. Dieses Objekt stellt den geladenen Workspace im Editor dar und steht nur im zenon Editor zur Verfügung.

Alle Objekte in diesem VBA-Projekt können über das MyWorkspace-Objekt auf den aktuellen Workspace zugreifen. Dieser ist immer mit dem derzeit aktiven Projekt verknüpft, auf dass Sie über die ActiveDocument-Eigenschaft zugreifen können.

Die Inhalte des ZWorkspace-Objekts sind in der Datei ZenWorkspace.vba enthalten. Diese wird mit der erstmaligen Installation der Version 6 ins Installationsverzeichnis kopiert. Durch später folgende Updates wird diese Datei nicht überschrieben. Zur Aktualisierung von Wizards erhalten Sie am Ende des Tutorials weitergehende Informationen.


Entwicklung eines Wizards

Handbuch > Programmierschnittstellen > Makroliste > Entwicklung von Wizards in VBA > Entwicklung eines Wizards

Dieses Tutorial erstellt einen Wizard zum Anlegen von Variablen zu einem projektierten Treiber.

Starten Sie die VBA-Umgebung aus dem zenon Editor und wechseln Sie in den Ordner ZWorkspace/Formulare. Diese Datei enthält die Grundlagen für die Entwicklung eines Wizards. Ändern Sie den Namen der UserForm.

Sollte der Wizard in dem oben genannten Ordner nicht zur Verfügung stehen, können Sie diesen über den Befehl Datei importieren importieren.

info Info

Zur Entwicklung eines Wizards sind Kenntnisse über das zenon Objektmodell und VBA erforderlich. Diese Themane werden in diesem Tutorial nicht näher erläutert.

Erstellen Sie die oben dargestellte Oberfläche. Wechseln Sie anschließend ins Code-Modul der UserForm und scrollen Sie bis ans Ende der Datei. Dort befinden sich folgende Methoden:

  • Public Function GetWizardName () As String

    Liefert den eindeutigen Namen des Wizards zurück. Ändern Sie den Inhalt in Wizard for creating variables

  • Public Function GetWizardInfo () As String

    Liefert eine kurze Beschreibung, die in der Wizard-Auswahl angezeigt wird, zurück. Ändern Sie den Inhalt in Wizard for creating variables to a selected driver

  • Public Function GetWizardCategory () As String

    Liefert die Kategorie des Wizards zurück. In der Wizardauswahl werden die Wizards kategorisiert in einer Baumstruktur dargestellt. Ändern Sie den Inhalt in Variables.

  • Public Function IsZenOnWizard () As Boolean

    Anzeigen des Wizards in der Wizardauswahl. Liefert diese Methode False zurück, so wird der Wizard nicht angezeigt, z. B. weil dieser noch nicht fertig ist. Ändern Sie den den Returntypen auf True.

Diese Methoden lieferen die Informationen über den Wizard, die vom Leitsystem abgefragt werden. Zu beachten ist, dass ein Wizard nur in der Wizard Auswahl angezeigt wird, wenn die Methode IsZenOnWizard True zurückliefert.

Wechseln Sie in das Initialize-Ereignis der UserForm und ändern Sie die Inhalte des String-Arrays m_strCaption. Da unser Wizard nur aus zwei Schritten besteht, können Sie die anderen Zuweisungen löschen.

Fügen Sie folgende Definitionen im oberen Bereich des Code-Moduls ein:

Private m_obDriver As Driver
Private m_obVarType As VarType
Private m_nChannelType As Integer

Erstellen Sie eine Methode zum Initialisieren der Treiber-Combobox. Aufgabe der Routine ist es, alle projektierten Treiber des aktuellen Projekts in der ComboBox darzustellen.

cbDriver.Clear
Dim nIndex As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Drivers.Count - 1
Dim obDriver As Driver
Set obDriver = MyWorkspace.ActiveDocument.Drivers.Item(nIndex)
If (Not obDriver Is Nothing) Then
cbDriver.AddItem
obDriver.Name
End If
Next nIndex
If (cbDriver.ListCount > 0) Then
cbDriver.ListIndex = 0
End If

Weiters benötigen wir eine Routine, die alle projektierten Variablentypen des Projekts in einer ComboBox darstellt.

If (Not m_obDriver Is Nothing) Then
cbVarType.Clear
Dim nIndex As Long , nSelect As Integer
For nIndex = 0 To MyWorkspace.ActiveDocument.VarTypes.Count - 1
Dim obVarType As VarType
Set obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(nIndex)
If ( Not obVarType Is Nothing And obVarType.IsSimple = True) Then
cbVarType.AddItem
obVarType.Name
If (obVarType.Name = INT) Then
nSelect = nIndex
End If
End If
Next nIndex
cbVarType.ListIndex = nSelect
End If

Beim Aufschalten des Wizards werden die bereits projektierten Variablen durchlaufen, um nach einem freien Start-Offset für die neu zu erstellenden Variablen zu suchen. Dies geschieht über die folgende Methode.

Private Function FindHighestOffsetVar() As Long
On Error GoTo Error
Dim nIndex As Long , nOffset As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Variables.Count - 1

Dim obVar As Variable
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(nIndex)
If ( Not obVar Is Nothing) Then
If (obVar.Offset > nOffset) Then
nOffset = obVar.Offset
End If
End If
Next nIndex
FindHighestOffsetVar = nOffset
Exit Function
Error : MsgBox
Error occurs: + Err.Description + Source + Err.Source
End Function

Wechseln Sie ins Intialize-Ereignis der UserForm und erweitern Sie diese Methode um folgende Zeilen:

txtStart.Value = CStr(FindHighestOffsetVar + 1)

InitializeDriver

Die Zuweisung auf txtStart setzt den vorgeschlagenen Start-Offset für die zu erstellenden Variablen. Über die Methode InitializeDriver wird die ComboBox mit den projektierten Treibern gefüllt.

Erstellen Sie ein Change-Ereignis für die Treiber-Combobox und fügen Sie folgenden Code ein. Nach Auswahl eines Treibers werden die Variablentypen ermittelt. Das ausgewählte Treiber-Objekt wird in der Variable m_obDriver für die spätere Verwendung abgelegt.

Private Sub cbDriver_Change()
cmdNext.Enabled = True
Set m_obDriver = MyWorkspace.ActiveDocument.Drivers.Item(cbDriver.Value)
If ( Not m_obDriver Is Nothing) Then
InitializeVarType
End If
End Sub

Erstellen Sie eine Ereignisbehandlung Change für die VarType-Combobox und fügen Sie folgenden Code ein. Der ausgewählte Variablentyp wird in der Variable m_obVarType für die spätere Verwendung abgelegt.

Private Sub cbVarType_Change()
Set m_obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(cbVarType.Value)
End Sub

Nun müssen wir nur mehr die Ereignisroutine zum Erstellen der Variablen mit den getroffenen Einstellungen erstellen. Dies geschieht über die Finish-Schaltfläche.

Private Sub cmdFinish_Click()
On Error GoTo Error
If (cbVarType.ListIndex = -1) Then
MsgBox 'Please select a variable type'
cbVarType.SetFocus
Exit Sub
End If
If (txtStart.Value = Or txtCount.Value = Or txtStep.Value = ) Then
MsgBox 'Please enter Start-Offset', 'count of creating variables and the step'
txtStart.SetFocus
End If
If (m_obVarType Is Nothing) Then
MsgBox 'Variable type + cbVarType.Name + doesnt exist!'
Exit Sub
End If
Dim nPrvMousePtr As Integer
nPrvMousePtr = MousePointer
MousePointer = fmMousePointerHourGlass
DoEvents
Dim strName As String
Dim nIndex As Long , nVarIndex As Integer
Dim nStartOff As Long , nStep As Integer
nVarIndex = 1
nStartOff = CLng (txtStart.Value)
nStep = CLng (txtStep.Value)
For nIndex = 0 To CLng (txtCount.Value - 1)
Dim obVar As Variable
strName = txtName.Value + _ + CStr (nIndex + 1)
'*** Guaranteeing uniqueness of the variable name
Dim bResult As Boolean
bResult = False
Do
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(strName)
If (obVar Is Nothing) Then
bResult = True
Else
nVarIndex = nVarIndex + 1
strName = txtName.Value + _ + CStr (nVarIndex)
End If
Loop While
bResult = False
'*** Create variable
Set obVar = MyWorkspace.ActiveDocument.Variables.CreateVar (strName, m_obDriver, tpSPSMerker, m_obVarType)
If ( Not obVar Is Nothing) Then
obVar.Offset = nStartOff
nStartOff = nStartOff + nStep
End If
Next nIndex
MousePointer = nPrvMousePtr
Unload Me
Exit Sub
Error :
MousePointer = nPrvMousePtr
MsgBox Error occurs: + Err.Description + Source + Err.Source
End Sub

Beim Fertig stellen des Wizards wird überprüft, ob die getroffenen Einstellungen gültig sind. Ist dies nicht der Fall, so wird eine Fehlermeldung ausgegeben und der User aufgefordert, die Fehleingabe zu korrigieren.

Sind die getroffenen Einstellungen in Ordnung, so werden die Variablen erstellt. Die Variablen werden mit einem Namen und dem Index benannt. Existiert bereits eine gleichnamige Variable im Projekt, so wird der nächste freie Index ermittelt. In unserem Code-Beispiel wird immer eine Variable vom Kanaltyp SPS-Merker erstellt. Mit jedem Schleifendurchlauf wird der Offset für die Variable erhöht.


Aktualisierung von Wizards

Handbuch > Programmierschnittstellen > Makroliste > Entwicklung von Wizards in VBA > Aktualisierung von Wizards

Um die Wizards zu aktualisieren,:

  1. Wählen Sie im Menü Extras den Eintrag Editor Add-Ins aktualisieren.

    Ein Dialog zum Update vorhandener Wizards wird geöffnet.

  2. Wählen Sie die gewünschten Wizards aus.
  3. Schalten Sie mit Klick auf Aktualisierung starten das Update

Ist ein Wizard oder eine Klasse bereits im Arbeitsbereich vorhanden, wird eine Warnungs anzeigt.

attention Achtung

Bereits vorhandene Wizards werden beim Update überschrieben. Individuelle Änderungen am Wizard gehen damit verloren.


Frequently asked Questions

Handbuch > Programmierschnittstellen > Makroliste > Frequently asked Questions

In diesem Kapitel werden einige häufig gestellte Fragen beantwortet. Weiter Lösungen finden Sie auch online im COPA-DATA Anwender-Forum.

Noch in diesem Kapitel

Warum bleibt der Button gedrückt?

Makro wird nicht beim 1. Klick ausgeführt

Makros funktionieren in der RT nicht mehr?

Windows CE und VBA


Warum bleibt der Button gedrückt?

Handbuch > Programmierschnittstellen > Makroliste > Frequently asked Questions > Warum bleibt der Button gedrückt?

Wenn ein Button z. B. mit einem LeftClickUp - Ereignis verknüpft ist, muss am Ende der Prozedur das LeftClickUp ausgeführt werden:

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Makro wird nicht beim 1. Klick ausgeführt

Handbuch > Programmierschnittstellen > Makroliste > Frequently asked Questions > Makro wird nicht beim 1. Klick ausgeführt

Die Lösung entspricht der aus der Frage: Warum bleibt der Schaltbutton gedrückt:

Wenn ein Button z. B. mit einem LeftClickUp - Ereignis verknüpft ist, muss am Ende der Prozedur das LeftClickUp ausgeführt werden:

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Makros funktionieren in der RT nicht mehr?

Handbuch > Programmierschnittstellen > Makroliste > Frequently asked Questions > Makros funktionieren in der RT nicht mehr?

Dieser Effekt kann auftreten, wenn in der Runtime der VBA-Editor geöffnet ist und dann auf Stop/Start gedrückt wird um VBA zu stoppen/starten. Es werden in diesem Fall die Objekte (OnlineVariablen, Bildobjekte,...) ungültig, da diese den Bezug verlieren wenn eine erneute Initialisierung stattfindet.


Windows CE und VBA

Handbuch > Programmierschnittstellen > Makroliste > Frequently asked Questions > Windows CE und VBA

VBA steht im CE-Editor für Wizards zur Verfügung. In der Runtime wird VBA nicht unterstützt. Details zum Editor finden Sie im Kapitel Projekte für CE erstellen.


Beispiele

Handbuch > Programmierschnittstellen > Makroliste > Beispiele

Hier finden Sie einige Beispiele für VBA

Noch in diesem Kapitel

MouseEvents and ActiveX Control initialization

Variableninformationen anzeigen

Variablenwerte lesen und schreiben

Variablen lesen und schreiben und Online Variablen implementieren

Dialog mehrfach nutzen

Alarm – Events and ActiveX Control handling

Zugriff auf Alarme

Schalter setzen (Arbeiten mit Prozessvariablen)


MouseEvents and ActiveX Control initialization

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > MouseEvents and ActiveX Control initialization

Option Explicit

Public Sub Init_ActiveX(obElem As Element)

'Initializing ActiveX...

thisProject.Init_MSChart_AX obElem

End Sub

Public Sub LeftClickUp_Sample1(obElem As Element)

'Initializing Userform...

frmSample1.InitForm obElem

'Show Userform

frmSample1.Show

End Sub

Public Sub LeftClickUp_Sample2(obElem As Element)

'Initializing Userform...

frmSample2.InitForm obElem

'Show Userform

frmSample2.Show

End Sub

Public Sub LeftClickUp_Sample3(obElem As Element)

'Initializing Userform...

frmSample3.InitForm obElem

'Show Userform

frmSample3.Show

End Sub

Public Sub LeftClickUp_Sample4(obElem As Element)

Dim NewForm As New frmSample4

'Initializing NEW Userform...

NewForm.InitForm obElem

'Show NEW Userform

NewForm.Show (0)

End Sub


Variableninformationen anzeigen

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Variableninformationen anzeigen

Variablenname für geklicktes Element anzeigen:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub


Variablenwerte lesen und schreiben

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Variablenwerte lesen und schreiben

Werte aus einer Variablen auslesen und zurückschreiben:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub


Variablen lesen und schreiben und Online Variablen implementieren

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Variablen lesen und schreiben und Online Variablen implementieren

Variableninformationen auslesen, Werte schreiben und Online Variablen implementieren:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables("OLV")

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'start the OnlineVariable - Define

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'stop the OnlineVariable - UnDefine

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables ("OLV")

End Sub


Dialog mehrfach nutzen

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Dialog mehrfach nutzen

Userforms können mehrfach genutzt werden:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

Dim strOLVName As String

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create name for Online Container

strOLVName = "OLV_" & obElem.Name

'get existing online container

Set zOnlineVariable = thisProject.OnlineVariables.Item(strOLVName)

'check if online container exists

If zOnlineVariable Is Nothing Then

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables(strOLVName)

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End If

End Sub

Private Sub cmdExit_Click()

Unload Me 'close Userform

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)

End Sub


Alarm – Events and ActiveX Control handling

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Alarm – Events and ActiveX Control handling

Option Explicit

Dim WithEvents obChart As MSChart

Dim WithEvents zOLV As OnlineVariable

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenon runtime

Private Sub Project_Active()

'init the alarm object for events

Set zAlarm = thisProject.Alarm

End Sub

'procedure is executed when an Alarm comes

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Comes").Value = strInfo

End Sub

'procedure is executed when an Alarm has gone

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Goes").Value = strInfo

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Acknowledged").Value = strInfo

End Sub

'procedure is executed on terminating the zenon Runtime

Private Sub Project_Inactive()

'free the alarm object

Set zAlarm = Nothing

'delete OnlineVariable for Chart actualization...

thisProject.OnlineVariables.DeleteOnlineVariables "CHART"

End Sub

'procedure for MSChart ActiveX initialization...

Public Sub Init_MSChart_AX(YourAX As Element)

Set obChart = YourAX.AktiveX

obChart.RowCount = 3

obChart.ColumnCount = 1

Set zOLV = thisProject.OnlineVariables.Item("CHART")

'does existing OnlineVariable exist?

If zOLV Is Nothing Then

'if not, create it...

Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("CHART")

zOLV.Add "Internal_UINT_001"

zOLV.Add "Internal_UINT_002"

zOLV.Add "Internal_UINT_003"

End If

zOLV.Undefine 'if not stopped, refreshing not possible

'START watching variables...

zOLV.Define

End Sub

'event on Variable change - refresh chart...

Private Sub zOLV_VariableChange(ByVal obVar As IVariable)

'setting values to display in chart control

Select Case obVar.Name

Case "Internal_UINT_001"

obChart.Row = 1

obChart.RowLabel = "Var1"

obChart.Data = obVar.Value

Case "Internal_UINT_002"

obChart.Row = 2

obChart.RowLabel = "Var2"

obChart.Data = obVar.Value

Case "Internal_UINT_003"

obChart.Row = 3

obChart.RowLabel = "Var3"

obChart.Data = obVar.Value

End Select

End Sub

'event of the Chart AX...

Private Sub obChart_DblClick()

MsgBox "You have DoubleClicked the ActiveX!"

End Sub


Zugriff auf Alarme

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Zugriff auf Alarme

Beschreibung:

Im Formular frmAlarm kann ein Alarm der sich im Speicher befindet in einer Combobox ausgewählt werden. Nach der getroffenen Auswahl werden alle Daten den Alarm betreffend in die darunter angeordneten Textboxen eingetragen (Gruppe, Klasse, Variable, ...).

Um frmAlarm anzuzeigen, verwenden wir ein Ereignis unabhängiges Makro, da wir bei diesem Beispiel keinen Bezug zu einem Element benötigen.

Sub Alarm ()
frmAlarm.Show
End Sub

'Das Makro wird über eine Funktion Makro ausführen...ausgeführt.

'Bei Aufschalten der Form wird diese initialisiert und somit folgende Prozedur ausgeführt.Diese Prozedur ist dafür zuständig, dass die in der Form angelegte Combobox alle augenblicklich im Speicher befindlichen Alarme erhält.

Private Sub UserForm _ Initialize ()

'fill combobox with all AlarmItems
Dim i As Integer
Dim obAlarmItems As AlarmItems
Dim obAlarm As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)

If obAlarmItems.Count = 0 Then
MsgBox (# Alarms = 0 )
Exit Sub
End If

For i = 0 To obAlarmItems.Count - 1
cmbAlarmItems.AddItem obAlarmItems.Item ( i ). Name
Next i

txtAktiv.Text = obAlarm.Aktiv
cmbAlarmItems.Text = cmbAlarmItems.List ( 0 )
End Sub

'Wenn nun ein Alarm aus der Combobox ausgewählt wird reagiert das Change - Ereigniss der Combobox.
Private Sub cmbAlarmItems _ Change ()

'put actual properties from AlarmItem in textboxes
Dim obAlarmItems As AlarmItems
Dim obAlar As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)
txtComputer.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Computer
txtCountreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Countreactivated
txtName.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ). Name
txtProjectname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Projectname
txtStatus.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Status
txtStatusreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Statusreactivated
txtTagname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Tagname
txtTimecomes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timecomes
txtTimegoes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timegoes
txtTimequitted.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timequitted
txtTimereactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timereactivated
txtUser.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).User
txtUsertext.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Usertext
txtValue.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Value
tbGroup.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmGroup
tbClass.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmClass
End Sub


Schalter setzen (Arbeiten mit Prozessvariablen)

Handbuch > Programmierschnittstellen > Makroliste > Beispiele > Schalter setzen (Arbeiten mit Prozessvariablen)

In diesem Beispiel zeichnet man eine Pumpe, die aus einem Kreis und einem Dreieck besteht. Das Dreieck definieren Sie als eigenes Symbol. Darüber wird ein Multibin-Element gelegt und mit drei Bitmerker-Variablen verbunden.

Außerdem legt man fest, welche Farbe das Dreieck in der Mitte bei einer Wertänderung der Variablen bekommt.

Zunächst verbindet man das Multibin-Element mit einem Makro, das eine Form frmSchalter erscheinen lässt.

Über die Form frmSchalter kann man den Wert der drei Bitmerker-Variablen ändern.

info Info

Nur eine der drei Variablen darf den Wert 1 enthalten. (d.h. wird eine Variable auf 1 gesetzt, müssen die zwei anderen auf 0 gesetzt werden)

Um dieses Makro mehrere Male in einem Projekt mit Bezug auf verschiedene Variablen zu verwenden, dürfen Sie mit dem Multibin-Element nur Bitmerker-Variablen verbinden, die bereits im Variablennamen enthalten welchen Zustand der Pumpe sie steuern.

z. B.:
Variable_Auto
Variable_Hand
Variable_Revi

info Info

Die Endungen _Auto, _Hand und _Revi sind im Quellcode des Beispiels fix vorgegeben.

Durch diese 5-stellige Endungen der Variablennamen kann nun festgestellt werden, welche Variable beim Klick auf einen der ToggleButtons auf 1 gesetzt wird und welche auf 0.

Im Makro LeftClickUp_Schalter wird ein Unterprogramm FindVariable in der From frmSchalter aufgerufen, diesem wird das angeklickte Element obElem mit übergeben.

Public Sub LeftClickUp_Schalter (obElem As Element)
frmSchalter.FindVariable obElem
position (pixel to points = (pixel * 0.75))
frmSchalter.Top = obElem.Bottom * 0.75
frmSchalter.Left = obElem.Left * 0.75
frmSchalter.Show
obElem.LeftClickUp
End Sub

Modulglobale Variablen Deklaration:

Dim cmdLast As ToggleSchaltfläche
Dim strHand As String
Dim strAuto As String
Dim strRevi As String
Im Unterprogramm FindVariable werden zuerst alle Variablen, die das mitgegebene Element anbietet, überprüft.

Je nach Endung (_Auto, _Hand oder _Revi) werden die Variablennamen den oben deklarierten String-Variablen zugewiesen.

Außerdem wird ermittelt, welchen Zustand die Variable hat, und je nach Wert (1 oder 0) wird auch der jeweilige Toggle-Button gedrückt oder nicht.

Beim öffnen der Form frmSchalter wird der Name des derzeit gedrückten ToggleButtons in eine String Variable geschrieben. Für den Fall dass sich der Benutzer entscheidet, seine Wertänderungen abzubrechen, werden die ursprünglichen Werte wieder hergestellt.

Public Sub FindVariable (obElem As Element)
Dim i As Integer
Dim obVariable As Variable

For i = 0 To obElem . CountVariable - 1
Select Case Right $( obElem . ItemVariable ( i ). Name , 5 )
Case _ Auto
strAuto = obElem . ItemVariable ( i ). Name

Case _ Hand
strHand = obElem . ItemVariable ( i ). Name

Case _ Revi
strRevi = obElem . ItemVariable ( i ). Name
End Select
Next i

Set obVariable = thisProject . Variables . Item ( strHand )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbHand
End If

Set obVariable = thisProject . Variables . Item ( strAuto )
If obVariable . Value = 1 Then
tbAuto . Value = True
Set cmdLast = tbAuto
End If

Set obVariable = thisProject . Variables . Item ( strRevi )
If obVariable . Value = 1 Then
tbRev . Value = True
Set cmdLast = tbRev
End If

If tbHand . Value = False And tbAuto . Value = False And tbRev . Value = False Then
tbOff . Value = True
Set cmdLast = tbOff
End If
End Sub

Die selbst erzeugte Function VarExists überprüft lediglich, ob die verbundenen Variablen auch existieren, falls dies nicht zutrifft, wird eine Fehlermeldung ausgegeben: Variable doesn't exist.

Function VarExists ()

Dim obVariable As Variable
Set obVariable = thisProject . Variables . Item (strHand)

If obVariable Is Nothing Then
MsgBox (Variable doesnt extist)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strAuto)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strRev)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

VarExists = True
End Function

Wenn der Benutzer auf Abbrechen klickt, wird die Wertänderung zurück gesetzt und der ursprüngliche Zustand wieder hergestellt.

Private Sub cmdExit _ Click ()
cmdLast.Value = True
Unload Me
End Sub

Private Sub cmdOk _ Click ()
Unload Me
End Sub

Wenn eine Toggleschaltfläche gedrückt ist, darf keine anderer Toggleschaltfläche gedrückt sein.

Private Sub tbAuto_Change ()
If tbAuto . Value = False And tbHand.Value = False And tbRev . Value = False Then
tbOff . Value = True
End Sub

Im Click-Erreignis eines jeden ToggleButtons wird überprüft, ob dieser nicht gedrückt ist und ob die Variable existiert. Treffen beide Zustände zu, werden die Werte den verbunden Variablen übergeben.


VSTA

Handbuch > Programmierschnittstellen > VSTA

Mit Visual Studio Tools for Applications (VSTA) kann die Funktionalität der zenon Runtime und des Editors selbstständig um Funktionalität mittels .NET-Programmierung erweitert werden.

attention Achtung

Für VSTA können nur Assemblies (DLLs) bis maximal .NET Framework Version 3.5 eingebunden werden.

VSTA steht mit wenigen Einschränkungen auch am zenon Web Client zur Verfügung.

VSTA stellt für Arbeitsbereich und Projekt getrennte Entwicklungsumgebungen zur Verfügung. Es kann jeweils nur eine von beiden genutzt wird. Beim Start wird jede andere bereits geöffnete VSTA Entwicklungsumgebung geschlossen.

Um den VSTA-Editor für den Arbeitsbereich zu öffnen:

  1. Drücken Sie die Tastenkombination Alt+F10.
    Ein Hinweisdialog wird geöffnet.

    Der Code für den Arbeitsbereich und alle geladenen Projekte wird angezeigt.

Um den VSTA-Editor für das aktuell geladene Projekt zu öffnen:

  1. Navigieren Sie zum Knoten Programmierschnittstellen.
  2. Erweitern Sie die Ansicht dieses Knotens mit Klick auf [+].
    Die Ansicht des Knotens wird erweitert.
  3. Führen Sie einen Rechtsklick auf VSTA aus.
  4. Wählen Sie im Kontextmenü VSTA-Editor mit ProjectAddin öffnen.
    Ein Hinweisdialog wir geöffnet.

    Klicken Sie die Schaltfläche OK um mit der VSTA-Projektierung fortzufahren.
    Der VSTA-Editor wird für das aktuell geladene Projekt geöffnet.

info Info

Wenn VBA-Makros im Editor geändert werden:

  • werden die Runtime-Dateien kompiliert und zur Runtime übertragen
  • wird die Runtime neu geladen
  • werden VSTA-Elemente ebenfalls neu geladen, selbst wenn keine Änderungen in VSTA erfolgt sind

Warndialog

Vor Öffnen des VSTA-Editors im zenon wird ein Warndialog angezeigt. Klicken Sie die Schaltfläche OK um den VSTA-Editor zu öffnen.

Noch in diesem Kapitel

Grundlagen

Erstellung eines VSTA-Projektes

Beispiele


Grundlagen

Handbuch > Programmierschnittstellen > VSTA > Grundlagen

VSTA ist ein Toolset der Firma Microsoft, das auf der .NET-Technologie basiert. Es ist zum Verständnis notwendig, grundlegende Kenntnisse zur objektorientierten Programmierung, zu .NET und zu C#/Visual Basic.NET zu besitzen.

attention Achtung

Beachten Sie zur Runtime: Referenzierte Dlls können nicht ersetzt werden, wenn sie geladen sind. Damit eine referenzierte Datei aktualisiert werden kann, muss die Runtime beendet werden

Noch in diesem Kapitel

Einrichten der VSTA-Umgebung

Zugriff auf das Objektmodell in zenon

Funktionen in zenon

Debuggen eines VSTA Add-ins

Events in VSTA

Erstellen eines Backups von VSTA-Projekten


Einrichten der VSTA-Umgebung

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Einrichten der VSTA-Umgebung

Standardmäßig ist die Unterstützung für VSTA in zenon bereits aktiviert. Beim Deaktivieren der VBA-Unterstützung ist auch die VSTA-Umgebung nicht mehr verfügbar.

Durch folgenden Eintrag in der zenon6.ini kann die VSTA-Umgebung manuell aktiviert oder deaktiviert werden:

VSTA aktivieren | VSTA deaktivieren
[VSTA] ON=1 | [VSTA] ON=0

Die Unterstützung für VBA wird folgendermaßen aktiviert oder deaktiviert:

VBA aktivieren | VBA deaktivieren
[VBA] EIN=1 | [VBA] EIN=0

Danach steht die Entwicklungsumgebung für VSTA in zenon zur Verfügung.

info Info

VSTA ermöglicht die Entwicklung von Projekten in den Programmiersprachen C# und Visual Basic.NET. Als Standardsprache für VSTA-Projekte im Editor ist C# vorgesehen. Über folgenden Eintrag kann die Sprache auf Visual Basic.NET geändert werden:

[VSTA]

CSHARP=0


Zugriff auf das Objektmodell in zenon

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Zugriff auf das Objektmodell in zenon

In VSTA kann auf das zenon-Objektmodell zugegriffen werden, welches auch in VBA verwendet wird. Das Objektmodell bietet hierbei in beiden Entwicklungsumgebungen die selbe Funktionalität.

attention Achtung

Wegen Einschränkungen in der Benennung von VSTA-Objekten wurden einige Änderungen am Objektmodell durchgeführt. Diese finden Sie in der untenstehenden Tabelle

Property alt | Property neu
IDriver.Name | IDriver.Identification
IDriver.Driver | IDriver.Name
Event alt | Event neu
IApplication.Close | IApplication.OnClose
IZenWorkspace.Startup | IZenWorkspace.OnStartup
IZenWorkspace.Exit | IZenWorkspace.OnExit

Der Zugriff geschieht in VSTA über das Objekt this und ersetzt somit das VBA-Objekt MyWorkspace. Die darauffolgenden Methoden und Objekte sind identisch. In der folgenden Methode wird eine Schablone mit dem Namen "TemplateName" in zenon erzeugt.

public void Macro1()

{

this.ActiveDocument.Templates().Create("TemplateName", true);

}

info Info

Anders als in VBA wird in VSTA Wert auf Groß- und Kleinschreibung sowie auf Klammern nach Funktionsnamen gelegt.

Um die Methode in zenon aufzurufen, muss das Projekt mittels folgender Schritte gespeichert und kompiliert werden:

  1. Klick auf File -> Save MyWorkspace.cs speichert das Projekt.
  2. Klick auf Build -> Build WorkspaceAddin kompiliert das Projekt.

Danach steht die Methode als Makro in der VBA-Makro-Symbolleiste im zenon Editor zur Verfügung. Sollten im Makro-Zuordnungsdialog nicht alle im MyWorkspace enthaltenen Makros zur Auswahl angeboten werden, sollte die Funktion „Liste der VBA-Makros neu laden“ in der Symbolleiste ausgeführt werden.

info Info

VSTA-Makros mit Parameter, z. B. Public void MacroWithParam(string mString), werden nicht unterstützt und auch nicht in der Makro Symbolleiste angeboten.


Funktionen in zenon

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Funktionen in zenon

Für VSTA wurden in zenon Funktionen entwickelt. Diese befinden sich im Knoten VSTA.

Parallel zu bestehenden VBA-Funktionen wurden ähnliche Funktionen für VSTA implementiert:

Funktionsname

Beschreibung

VSTA-Editor öffnen

öffnet den VSTA-Editor in der Runtime

VSTA-Makro ausführen

Im Editor kann ein VSTA-Makro ausgewählt werden, das beim Ausführen der Funktion in der Runtime gestartet wird.

Hinweis: VSTA Makros mit Parameter, z. B. Public void MacroWithParam(string mString),werden nicht unterstützt. Sie werden weder bei der Projektierung im Editor noch beim Start der Funktion zur Runtime angeboten.

VSTA-Makro Dialog anzeigen

In der Runtime wird ein Dialog angezeigt, in welchem die vorhandenen VSTA-Makros angezeigt, ausgewählt und ausgeführt werden können

Noch in diesem Kapitel

VSTA-Makro ausführen


VSTA-Makro ausführen

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Funktionen in zenon > VSTA-Makro ausführen

Dialog zur Konfiguration der Funktion VSTA-Makro ausführen.

Parameter | Beschreibung
Vorhandene Makros |
Liste der VSTA-Makros | Listet alle vorhanden VSTA-Makros auf. Auswahl eines Makros aus der Liste via Klick. Hinweis: Doppelklick führt das ausgewählte Makro aus.
Keine Auswahl | Verwirft die Auswahl und schließt den Dialog.
OK | Führt ausgewähltes Makro aus und schließt den Dialog.
Abbrechen | Verwirft die Auswahl und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Debuggen eines VSTA Add-ins

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Debuggen eines VSTA Add-ins

Über den VSTA-Editor ist das Debuggen von selbst geschriebenen Add-ins möglich. Dabei gilt zu beachten, dass Projekt Add-ins nur in der zenon Runtime, Workspace Add-ins nur im zenon Editor debuggt werden können.

Eine Debug-Session wird über das Menü Debug - Start Debugging gestartet. Breakpoints können wie im VBA-Editor über einen Linksklick in die graue Breakpoint-Leiste am linken Rand neben der betreffenden Zeile gesetzt werden.

info Info

Beachten Sie beim Debuggen von Runtime Add-ins:

Die in zenon geänderten Runtime-Dateien müssen vor dem Start des Debuggers erneut erzeugt werden.


Events in VSTA

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Events in VSTA

Da beim Kompilieren von geändertem Code, dem Starten einer Debug-Session oder dem Beenden einer Debug-Session eine Terminierung eines Add-ins geschieht, wurden in VSTA entsprechende Events implementiert. Diese ermöglichen beispielsweise das Auswerten und Freigeben einer Objekt-Referenz und das Speichern von vorhandenen Daten.

Für jede Terminierung existieren zwei Events. Das erste Event wird kurz vor der Terminierung gestartet, das zweite nach dem Start einer neuen Add-in-Session.

Event | Beschreibung
OnPreVSTADebugStart | Wird getriggert kurz bevor eine Debug-Session gestartet wird. Beim Start wird ein aktives Add-in entladen, Referenzen müssen freigegeben und vorhandene Daten gegebenenfalls gespeichert werden.
OnVSTADebugStart | Wird getriggert nachdem eine Debug-Session gestartet wurde.
OnPreVSTADebugStop | Wird getriggert kurz bevor eine Debug-Session gestoppt wird. Beim Stoppen einer Debug-Session wird das Add-in entladen, Referenzen müssen freigegeben werden und vorhandene Daten gegebenenfalls gespeichert werden.
OnVSTADebugStopped | Wird getriggert nachdem eine Debug-Session gestoppt wurde.
OnPreVSTAUpdate | Wird vorm Entladen des Add-ins getriggert, wenn eine neue Version des Add-ins erfolgreich erzeugt wurde.
OnPostVSTAUpdate | Wird beim Laden einer neuen Version des Add-ins getriggert.


Erstellen eines Backups von VSTA-Projekten

Handbuch > Programmierschnittstellen > VSTA > Grundlagen > Erstellen eines Backups von VSTA-Projekten

VSTA-Projekte in der Runtime werden automatisch beim Erstellen der Runtime-Dateien im ZIP-Format komprimiert und sind in Sicherungen des Arbeitsbereiches enthalten.

VSTA-Projekte im Editor müssen jedoch manuell gesichert werden.
Die VSTA-Editorprojekte finden Sie Im Ordner C:\ProgramData\COPA-DATA\*version*\VSTAWorkspace\.


Erstellung eines VSTA-Projektes

Handbuch > Programmierschnittstellen > VSTA > Erstellung eines VSTA-Projektes

Ähnlich zu VBA existiert in VSTA die Möglichkeit, sowohl Projekte (Erweiterungen) für den Editor als auch für die Runtime zu erstellen. Prinzipiell sind Projekte im Editor in der Programmiersprache C# realisiert. Für die Runtime und Editor stehen sowohl C# als auch Visual Basic.NET zur Verfügung.

attention Achtung

Für VSTA können nur Assemblies (DLLs) bis maximal .NET Framework Version 3.5 eingebunden werden.

info Info

Innerhalb des VSTA-Editors kann immer nur ein Projekt gleichzeitig angezeigt werden. Zusätzlich kann immer nur eine Instanz des VSTA-Editors aktiv sein. Beim Start des VSTA-Editors wird eine eventuell bereits vorhandene Instanz geschlossen.

Noch in diesem Kapitel

VSTA-Projekte im Editor

VSTA-Projekte in der Runtime

Entwicklung von Wizards in VSTA


VSTA-Projekte im Editor

Handbuch > Programmierschnittstellen > VSTA > Erstellung eines VSTA-Projektes > VSTA-Projekte im Editor

Beim Erstellen eines Projekts für den zenon-Editor wird ein VSTA Add-in für den Workspace geladen. Um das Add-in zu bearbeiten, muss der VSTA-Editor über Datei - VSTA-Editor öffnen... geöffnet werden. Die Benutzeroberfläche des VSTA-Editors ist identisch mit der Visual Studio-Entwicklungsumgebung der Firma Microsoft.

info Info

Über das Menü Help / Contents kann die Hilfe des VSTA-Editors aufgerufen werden. Diese Hilfe gibt einen Überblick über die Funktionen des Editors, die Features des .NET Frameworks und der Programmierung in Visual Basic.NET und C#.

Das VSTA-Add-in besteht grundsätzlich aus der Klasse MyWorkspace. Diese Klasse kann nun um eigene Methoden erweitert werden. Die Klasse beherbergt per Default welche folgende zwei Methoden:

Funktion | Beschreibung
MyWorkspace_Startup | wird automatisch beim Start von zenon, nach dem Erstellen eines Builds und beim Start einer Debug-Session ausgeführt.
MyWorkspace_Shutdown | wird automatisch beim Beenden von zenon, vor dem Erstellen eines neuen Builds und beim Beenden einer Debug-Session ausgeführt.

attention Achtung

Die Methodennamen dürfen ausschließlich mit Macro (beispielsweise Macro1, MacroVSTA) beginnen, keine Parameter beinhalten und müssen als Public definiert sein. Zudem dürfen der Klassenname und andere von VSTA erstellte Methoden und Events nicht verändert werden.

Um die Methode in zenon aufzurufen, muss das Projekt mittels folgender Schritte gespeichert und kompiliert werden:

  1. Klick auf File -> Save MyWorkspace.cs speichert das Projekt.
  2. Klick auf Build -> Build WorkspaceAddin kompiliert das Projekt.

Danach steht die Methode als Makro in der VBA-Makro-Symbolleiste im zenon Editor zur Verfügung. Sollten im Makro-Zuordnungsdialog nicht alle im MyWorkspace enthaltenen Makros zur Auswahl angeboten werden, sollte die Funktion „Liste der VBA-Makros neu laden“ in der Symbolleiste ausgeführt werden.


VSTA-Projekte in der Runtime

Handbuch > Programmierschnittstellen > VSTA > Erstellung eines VSTA-Projektes > VSTA-Projekte in der Runtime

Um ein VSTA-Projekt für die Runtime zu erstellen, muss die VSTA-Umgebung aufgerufen werden.
Dazu gehen Sie wie folgt vor:

  1. Öffnen Sie im Projektmanager den Knoten Programmierschnittstellen.
  2. Öffnen Sie das Kontextmenü von VSTA.
  3. Klicken Sie auf VSTA-Editor öffnen...

    Hinweis: Beim ersten Öffnen wird ein Auswahldialog angezeigt. Darin wählen Sie die Programmiersprache.

    Ein Projekt mit der gewünschten Programmiersprache wird angelegt.

info Info

Die Programmiersprache kann später nicht mehr geändert werden. Dieser Dialog wird daher nur beim ersten Öffnen angezeigt.

In diesem Projekt wird von zenon eine Klasse namens ThisProject angelegt, welche folgende zwei Methoden beherbergt:

Funktion | Beschreibung
ThisProject_Startup | wird automatisch beim Start der Runtime ausgeführt
ThisProject_Shutdown | wird automatisch beim Beenden der Runtime ausgeführt

Die Klasse kann nun um eigene Methoden erweitert werden.

attention Achtung

Die Methodennamen dürfen ausschließlich mit Macro (beispielsweise Macro1, MacroVSTA) beginnen, keine Parameter beinhalten und müssen als Public definiert sein. Zudem dürfen der Klassenname und andere von VSTA erstellte Methoden und Events nicht verändert werden.

Es besteht über das zenon-Objektmodell Zugriff auf alle Runtime-Funktionalitäten. Editorspezifische Funktionen können wie in VBA nicht verwendet werden.

Die zenon-Runtime wird beim Starten des Debuggers automatisch gestartet. Weitere Informationen sind im Kapitel Debuggen eines VSTA-Add-ins zu finden.

info Info

Über das Menü Help / Contents kann die Hilfe des VSTA-Editors aufgerufen werden. Diese Hilfe gibt einen Überblick über die Funktionen des Editors, die Features des .NET Frameworks und der Programmierung in Visual Basic.NET und C#.


Entwicklung von Wizards in VSTA

Handbuch > Programmierschnittstellen > VSTA > Erstellung eines VSTA-Projektes > Entwicklung von Wizards in VSTA

Die VSTA-Umgebung bietet wie VBA die Möglichkeit, eigene Wizards zu entwickeln.

Um in einem Formular auf das zenon-Objektmodell zugreifen zu können, muss eine Referenz darauf an das Formular übergeben werden. Dazu wird eine Methode in der Klasse MyWorkspace erstellt. Im folgenden Beispiel wird ein Formular mit dem Namen Wizard instanziert und die Methode ZenonInstance mit einer Referenz auf das zenon-Objektmodell als Parameter aufgerufen. Über den Aufruf ShowDialog() wird das Wizard-Formular angezeigt.

public void Macro1()

{

Form1 Wizard = new Form1();

Wizard.ZenonInstance(this.Application);

Wizard.ShowDialog();

}

Im Code des Formulars muss eine Member-Variable angelegt werden, die das zenon-Objektmodell übernimmt.

public zenOn.IApplication m_Zenon=null;

Zuletzt wird die Methode ZenonInstance erstellt. Diese Methode nimmt die Referenz auf das Objektmodell entgegen und setzt es auf das Objekt m_Zenon.

public void ZenonInstance(zenOn.IApplication app)

{

m_Zenon = app;

}

Nun können eigene Klassen und Methoden im Formular entwickelt werden, die auf das Objektmodell zugreifen. Alle Methoden, Objekte und Attribute stehen über das Objekt m_Zenon zur Verfügung.


Beispiele

Handbuch > Programmierschnittstellen > VSTA > Beispiele

Hier finden Sie einige Beispiele für die Verwendung von VSTA sowohl in der Runtime als auch im Editor.

Noch in diesem Kapitel

Erstellen von Variablen im zenon-Editor

Schreiben von Projektinformationen in das zenon-Ausgabefenster

Auslesen von Variablen in zenon über Regular Expressions

Umrechnung von Farben zwischen .NET und zenon


Erstellen von Variablen im zenon-Editor

Handbuch > Programmierschnittstellen > VSTA > Beispiele > Erstellen von Variablen im zenon-Editor

In diesem Beispiel wird eine Textdatei geöffnet und der Inhalt dazu benutzt, um im zenon-Editor Variablen anzulegen. Die Textdatei beinhaltet eine beliebige Anzahl an Zeilen. Jede Zeile beinhaltet dabei den Namen und den Datentyp einer Variable, diese sind durch ein Komma getrennt (Beispiel: Variable1,BOOL).

Die Methode Macro1 sucht zuerst nach dem Intern Treiber im zenon-Editor. Danach wird dem Benutzer ein Dateiauswahl-Dialog angezeigt, in welchem er die Textdatei auswählen muss. Die Methode liest daraufhin die Textdatei ein und erstellt die Variablen. Die Methode GetDataType wird dazu benötigt, um bei der Erstellung der Variablen den zugehörigen Datentyp zu ermitteln und zuweisen zu können.

C#-Code

using System;

using System.Windows.Forms;

using System.IO;

using zenOn;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public IVarType GetDataType(string vType)

{

//gets the corresponding vartypes for bool, int, real and strings

IVarType retType;

switch (vType)

{

case "BOOL":

retType = this.ActiveDocument.VarTypes().Item("BOOL");

break;

case "INT":

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

case "REAL":

retType = this.ActiveDocument.VarTypes().Item("REAL");

break;

case "STRING":

retType = this.ActiveDocument.VarTypes().Item("STRING");

break;

default:

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

}

return retType;

}

//Reads a defined text file and creates corresponding variables on the zenon intern driver

public void MacroCreateVariablesFromFile()

{

//create objects that will take the intern driver and the variable type

IDriver zenonInternDriver = null;

//search for the Intern driver and throw exception if no driver was found

try

{

for (int driverCount = 0; driverCount < this.ActiveDocument.Drivers().Count; driverCount++)

{

if (this.ActiveDocument.Drivers().Item(driverCount).Name == "Intern")

{

zenonInternDriver = this.ActiveDocument.Drivers().Item(driverCount);

break;

}

}

}

catch (Exception driverEx)

{

MessageBox.Show("Unable to find zenon 'Intern' driver. Error: " + driverEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(false);

try

{

OpenFileDialog varFileSelect = new OpenFileDialog();

String[] varLine = new String[2];

//show file dialog

if (varFileSelect.ShowDialog() == DialogResult.OK)

{

string line = string.Empty;

//open new stream reader with selected file

StreamReader importReader = new StreamReader(varFileSelect.FileName, System.Text.Encoding.Default);

//read in line by line, split the lines when a ',' occurs and create variables

while ((line = importReader.ReadLine()) != null)

{

varLine = line.Split(new Char[] { ',' });

this.ActiveDocument.Variables().CreateVar(varLine[0], zenonInternDriver, tpKanaltypes.tpSystemVariable, GetDataType(varLine[1]));

}

importReader.Close();

}

}

catch (Exception fileEx)

{

MessageBox.Show("An error occured while opening the file: " + fileEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(true);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Schreiben von Projektinformationen in das zenon-Ausgabefenster

Handbuch > Programmierschnittstellen > VSTA > Beispiele > Schreiben von Projektinformationen in das zenon-Ausgabefenster

In diesem Beispiel wird veranschaulicht, wie über VSTA auf das Ausgabefenster des zenon-Editors zugegriffen werden kann. Die Methode namens Macro1 liest dazu die im Projekt angelegten Prozessbilder aus, ermittelt die jeweils dazugehörige Schablone und ermittelt alle verfügbaren Treiber sowie deren Bezeichnung.

C#-Code

using System;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public void MacroPrintDebugInformation()

{

string picName = string.Empty;

string corTemp = string.Empty;

string driverName = string.Empty;

string driverDescription = string.Empty;

//print start string into output window

this.Application.DebugPrint(" --------------START--------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all pictures and print name and used template into output window

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; i++)

{

picName = this.ActiveDocument.DynPictures().Item(i).Name;

corTemp = this.ActiveDocument.DynPictures().Item(i).get_DynProperties("Template").ToString();

this.Application.DebugPrint(" Picture '" + picName + "' uses Template '" + corTemp + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print separator string into output window

this.Application.DebugPrint(" ------------------------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all drivers and print name and description into output window

for (int i = 0; i < this.ActiveDocument.Drivers().Count; i++)

{

driverName = this.ActiveDocument.Drivers().Item(i).Name;

driverDescription = this.ActiveDocument.Drivers().Item(i).Identification;

this.Application.DebugPrint(" Driver '" + driverName + "' has description '" + driverDescription + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print end string into output window

this.Application.DebugPrint(" ---------------END---------------", zenOn.tpDebugPrintStyle.tpMsg);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Auslesen von Variablen in zenon über Regular Expressions

Handbuch > Programmierschnittstellen > VSTA > Beispiele > Auslesen von Variablen in zenon über Regular Expressions

Im folgenden Beispiel werden zenon-Variablen in einem Runtime-Projekt ausgelesen und in eine lokale Textdatei gespeichert.

Mittels Regular Expressions werden nur Variablen gelesen, deren Name mit 3 Zahlen und einem darauffolgenden Unterstrich beginnen (beispielsweise "001_var" oder "234_xyz"). Der Benutzer wird danach aufgefordert, einen Ordner auszuwählen. In diesem Ordner wird eine Textdatei mit einem zeitabhängigen Dateinamen angelegt. In diese Datei werden Name, Kennung und aktueller Wert aller zutreffenden Variablen mit einem Strichpunkt getrennt gespeichert.

info Info

Möglicherweise müssen manuell Referenzen hinzugefügt werden, um das Beispiel in der zenon-Runtime auszuführen. Dazu öffnen Sie im Project Explorer das Kontextmenü und klicken auf Add Reference...
Die in diesem Beispiel benötigten Referenzen sind:

  • Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0
  • System
  • System.AddIn
  • System.Data
  • System.Windows.Forms
  • System.Xml
  • zenonVSTAProxy6500

C#-Code

using System;

using System.Text.RegularExpressions;

using System.IO;

using System.Windows.Forms;

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

private void ThisProject_Startup(object sender, EventArgs e)

{

}

private void ThisProject_Shutdown(object sender, EventArgs e)

{

}

public void MacroGetFilteredVariables()

{

string filename = string.Empty;

string name = string.Empty;

string description = string.Empty;

string value = string.Empty;

//define regular expression pattern

Regex match = new Regex("^([0-9]){3}[_]");

try

{

filename = FolderSelection("Select place to store the variable information");

//create stream writer to the .txt file

StreamWriter matchedVariables = new StreamWriter(filename, true);

//run through all variables in zenon

for (int i = 0; i < this.Variables().Count; i++)

{

//if name of the variable matches the pattern, get name, tag name and current value

if (match.IsMatch(this.Variables().Item(i).Name))

{

name = this.Variables().Item(i).Name;

description = this.Variables().Item(i).Tagname;

value = this.Variables().Item(i).get_Value(0).ToString();

//write information to the .txt file

matchedVariables.WriteLine(name + ";" + description + ";" + value);

}

}

//close stream

matchedVariables.Close();

}

catch (Exception ex)

{

MessageBox.Show("An error occured -> " + ex.Message);

throw;

}

}

private string FolderSelection(String caption)

{

string selectedPath = string.Empty;

//create a dialog for selecting the output folder

FolderBrowserDialog folderSelect = new FolderBrowserDialog();

folderSelect.Description = caption;

try

{

if (folderSelect.ShowDialog() == DialogResult.OK)

{

//if selection was valid, get the current date, put it to file date format

//then create a txt file with the name "zenonVar" and the corresponding date

DateTime currentTime = DateTime.Now;

selectedPath = folderSelect.SelectedPath + "\\zenonVar" + currentTime.ToFileTime() + ".txt";

}

}

catch (Exception ex)

{

MessageBox.Show("An error occured: " + ex.Message);

throw;

}

return selectedPath;

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(ThisProject_Startup);

this.Shutdown += new System.EventHandler(ThisProject_Shutdown);

}

#endregion

}

}


Umrechnung von Farben zwischen .NET und zenon

Handbuch > Programmierschnittstellen > VSTA > Beispiele > Umrechnung von Farben zwischen .NET und zenon

Farben in der zenon-API werden als numerischer Datentyp gespeichert. Die folgenden Codebeispiele können Sie dazu verwenden um eine Umrechnung in .NET Farben (bzw. umgekehrt) in VSTA durchzuführen, weiters wird der Umgang mit Farbpaletten gezeigt.

Helper-Klasse zur Umrechnung von .NET Farben nach zenon und umgekehrt

C#-Code

namespace WorkspaceAddin

{

class ZenonColorHelper

{

// convert .net Color to zenon API color

public static uint Color2Api(System.Drawing.Color color)

{

// zenon stores as ABGR, where A is the highest significant bit

return (uint)((color.A << 24) | (color.B << 16) | (color.G << 8) | (color.R << 0));

}

// convert zenon API color to .net Color

public static System.Drawing.Color Api2Color(uint apiColor)

{

// zenon stores as ABGR, where A is the highest significant bit

byte a = (byte)(apiColor >> 24);

byte b = (byte)(apiColor >> 16);

byte g = (byte)(apiColor >> 8);

byte r = (byte)(apiColor >> 0);

return System.Drawing.Color.FromArgb(a, r, g, b);

}

// convert hex color string (#FFFFFF) to zenon API color

public static uint ColorString2Api(string colorString)

{

System.Drawing.Color color = System.Drawing.ColorTranslator.FromHtml(colorString);

return Color2Api(color);

}

// convert zenon API color to hex color string (#FFFFFF)

public static string Api2ColorString(uint apiColor)

{

System.Drawing.Color color = Api2Color(apiColor);

return System.Drawing.ColorTranslator.ToHtml(color);

}

// extracts the index in the color palette, which is encoded in the zenon API color

// returns -1 if the given color does not represent a color palette index

public static int GetColorPaletteIndex(uint apiColor)

{

System.Drawing.Color color = Api2Color(apiColor);

if (color.A == 128) // alpha value == 128 -> ind from color palette

{

// G defines the nr of 8bit chunks, R is the actual index

return color.G * 256 + color.R;

}

return -1;

}

// encodes the index in the color palette into a zenon API color

public static uint EncodeColorPaletteIndex(int index)

{

int chunks = (int)(index / 256.0);

int idx = (int)(index % 256);

System.Drawing.Color color = System.Drawing.Color.FromArgb(128, idx, chunks, 0);

return Color2Api(color);

}

}

}

Beispiel zur Verwendung der Helper-Klasse

C#-Code

using zenOn;

public void Macro_ColorHandlingSample()

{

// first we need a project to work with

IProject project = Application.MyWorkspace.ActiveDocument;

if (null == project)

{

System.Diagnostics.Debug.Print("Error! No project loaded / activated");

return;

}

// create a sample picture with a filled rectangle in it (color defined directly in the element)

// create sample frame for picture if it not yet exists

if (null == project.Templates().Item("SampleFrame"))

project.Templates().Create("SampleFrame", false);

// delete and recreate sample picture or create a new one if it not yet exists

IDynPicture pic = null;

IDynPictures pictures = project.DynPictures();

for (int i = 0; i < pictures.Count; i++)

{

IDynPicture picture = pictures.Item(i);

if (picture.get_DynProperties("Title").ToString() == "SamplePicture")

{

pic = picture;

break;

}

}

if (null != pic)

{

pic.Save();

pictures.Delete(pic.Name);

}

pic = project.DynPictures().Create("SamplePicture", "SampleFrame", tpDynPicturesTypes.tpStandard);

// create a rectangle for demo and assign a background color

IElement ele = pic.Elements().Create("Rectangle", tpElementTypes.tpRectangle);

ele.BackColor = ZenonColorHelper.Color2Api(System.Drawing.Color.Aqua);

System.Diagnostics.Debug.Print("zenon color: " + ele.BackColor);

System.Diagnostics.Debug.Print("As Html: " + ZenonColorHelper.Api2ColorString(ele.BackColor));

System.Drawing.Color color = ZenonColorHelper.Api2Color(ele.BackColor);

System.Diagnostics.Debug.Print("As Color: r" + color.R + " g" + color.G + " b" + color.B + " a" + color.A);

// create a filled rectangle (color defined directly from a color palette)

// look for existing color palette in current project or create a new one

IColorPalettes palettes = project.ColorPalettes();

int nrOfPalettes = (int)palettes.get_DynProperties("Palette");

if (0 == nrOfPalettes)

{

//Create a new palette

palettes.CreateDynProperty("Palette");

//Define a color in the new palette

String htmlColor = "#00FFFF"; // System.Drawing.Color.Aqua

palettes.set_DynProperties("Palette[0].PaletteColors", htmlColor);

}

// link color palette entry to element background color

ele.BackColor = ZenonColorHelper.EncodeColorPaletteIndex(0);

System.Drawing.Color index = ZenonColorHelper.Api2Color(ele.BackColor);

System.Diagnostics.Debug.Print("Index encoded in color: r" + index.R + " g" + index.G + " b" + index.B + " a" + index.A);

System.Diagnostics.Debug.Print("Palette index:" + ZenonColorHelper.GetColorPaletteIndex(ele.BackColor));

// output of the sample:

//

// zenon color: 4294967040

// As Html: #00FFFF

// As Color: r0 g255 b255 a255

//

// Index encoded in color: r0 g0 b0 a128

// Palette index: 0

}


Process Control Engine (PCE)

Handbuch > Programmierschnittstellen > Process Control Engine (PCE)

attention Achtung

PCE wird ab Version 7.20 nicht mehr unterstützt und nicht mehr im Modulbaum von zenon angezeigt. Beim Konvertieren von Projekten aus Versionen vor 7.20, die PCE-Tasks enthalten, wird der Knoten PCE für diese Projekte wieder eingeblendet. PCE wird nicht weiterentwickelt und dokumentiert.

Empfehlung: Verwenden Sie zenon Logic anstelle von PCE.

Noch in diesem Kapitel

Der PCE Editor

Vorgangsweise

VBScript - Einführung


Der PCE Editor

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor

Die PCE befindet sich im Projektmanager unter dem Eintrag Programmierschnittstellen. Der PCE Editor wird über das Kontextmenü PCE Editor öffnen geöffnet.

Noch in diesem Kapitel

Der Taskmanager

Der Editierbereich

Das Ausgabefenster

Die Menüs des PCE Editors

Die Symbolleiste des PCE Editors


Der Taskmanager

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Der Taskmanager

Der Taskmanager des PCE Editors zeigt die angelegten Tasks und die damit verbundenen Variablen an.

Ein Doppelklick auf einen Task öffnet diesen im Editierbereich. Mit der rechten Maustaste lässt sich das Kontextmenü eines Tasks öffnen.

Das Kontextmenü eines Tasks bietet vier Einträge:

Parameter | Beschreibung
Task-Eigenschaften... | Öffnet den Eigenschaften-Dialog des Tasks.
Task Variablen... | Öffnet den Variablenauswahl-Dialog. So können weitere Variablen zum Task hinzugefügt werden.
Task entfernen | Löscht den Task ohne weitere Abfrage.
Task kompilieren | Kompiliert den Task.


Der Editierbereich

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Der Editierbereich

Im Editierbereich des PCE Editors wird der Code für die Tasks in VB Script oder Javascript eingegeben.


Das Ausgabefenster

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Das Ausgabefenster


Die Menüs des PCE Editors

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors

Noch in diesem Kapitel

Menü Datei

Menü Bearbeiten

Menü Ausführen

Menü Ansicht

Menü Fenster

Menü Hilfe


Menü Datei

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors > Menü Datei

Das Menü Datei beinhaltet folgende Befehle:

Parameter | Beschreibung
Speichern | Speichert neue oder geänderte Tasks.
Drucken | Druckt den aktiven Task.
Schließen | Schließt den PCE Editor.


Menü Bearbeiten

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors > Menü Bearbeiten

Das Menü Bearbeiten beinhaltet folgende Befehle:

Parameter | Beschreibung
Rückgängig | Macht die zuletzt ausgeführte Aktion rückgängig.
Wiederholen | Wiederholt die zuletzt ausgeführte Aktion.
Ausschneiden | Verschiebt einen Text in die Windows-Zwischenablage.
Kopieren | Kopiert einen Text in die Windows-Zwischenablage.
Einfügen | Fügt einen Text aus der Windows-Zwischenablage ein.
Löschen |
Alles auswählen | Markiert den gesamten Text im Task.
Suchen | Sucht einen Text im geöffneten Task.
Nächsten suchen | Geht zur nächsten Fundstelle im Task.
Vorherigen suchen | Geht zur vorherigen Fundstelle im Task.
Ersetzen... | Ersetzt einen Text im Task durch einen anderen.
Bookmarks | Verwaltung von Lesezeichen im Code des Tasks.
- setze Bookmark | Setzt im Code an der markierten Stelle ein Lesezeichen.
- nächste Bookmark | Springt im Code zum nächsten Lesezeichen.
- vorherige Bookmark | Springt im Code zum vorherigen Lesezeichen.
- lösche alle Bookmarks | Löscht alle Lesezeichen aus dem Code.


Menü Ausführen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors > Menü Ausführen

Das Menü Ausführen beinhaltet folgende Befehle:

Alle Tasks speichern u. neustarten |
Task kompilieren | Kompiliert den Task.


Menü Ansicht

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors > Menü Ansicht

Das Menü Ansicht beinhaltet folgende Befehle:

Parameter | Beschreibung
Einstellungen | Öffnet den Einstellungen-Dialog des PCE Editors.
Taskmanager | Öffnet/schließt das Taskmanagerfenster.
Ausgabefenster | Öffnet/schließt das Ausgabefenster.
Status Bar | Öffnet/schließt die Statusleiste.


Menü Fenster

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors > Menü Fenster

Das Menü Fenster beinhaltet folgende Befehle:

Schließen

Anordnen

Teilen

Symbole anordnen

Liste der geöffneten Fenster


Menü Hilfe

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Menüs des PCE Editors > Menü Hilfe

Das Menü Hilfe beinhaltet folgende Befehle:

Befehl

Aktion

Hilfe

Öffnet die Online-Hilfe.

Info über...

Öffnet ein Fenster mit Informationen über zenon:

  • Seriennummer
  • lizenzierte TAGs
  • lizenzierte Module

Im Info-Fenster kann über einen Schieberegler navigiert werden. Klick in das Fenster oder Druck auf die Esc-Taste schließt das Info-Fenster.


Die Symbolleiste des PCE Editors

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Der PCE Editor > Die Symbolleiste des PCE Editors

Die wichtigsten Befehle des PCE Editors lassen sich auch über die Icons in der Symbolleiste ausführen.

Folgende Icons stehen zur Verfügung:

Parameter | Beschreibung
Schließen | Schließt den PCE Editor.
Alles speichern | Speichert neue oder geänderte Tasks.
Aktives Bild drucken | Druckt den aktiven Task.
Ausschneiden | Verschiebt einen Text in die Windows-Zwischenablage.
Kopieren | Kopiert einen Text in die Windows-Zwischenablage.
Einfügen | Fügt einen Text aus der Windows-Zwischenablage ein.
Rückgängig | Macht die zuletzt ausgeführte Aktion rückgängig.
Wiederholen | Wiederholt die zuzletzt ausgeführte Aktion.
Suchen | Sucht einen Text im geöffneten Task.
Nächsten suchen | Geht zur nächsten Fundstelle im Task.
Vorherigen suchen | Geht zur vorherigen Fundstelle im Task.
Ersetzen... | Ersetzt einen Text im Task durch einen anderen.
Alle Tasks speichern und neustarten |
Debugger starten |
Nächste Bookmark | Springt im Code zum nächsten Lesezeichen.
Setze Bookmark | Setzt im Code an der markierten Stelle ein Lesezeichen.
Vorherige Bookmark | Springt im Code zum vorherigen Lesezeichen.
Lösche alle Bookmarks | Löscht alle Lesezeichen aus dem Code.


Vorgangsweise

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise

Noch in diesem Kapitel

Erstellen eines Tasks

Eingabe des Codes

Funktion PCE anzeigen

Ausführen von Tasks


Erstellen eines Tasks

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Erstellen eines Tasks

Über das Kontextmenü des Taskmanagers kann ein neuer Task erstellt werden.

Noch in diesem Kapitel

Eigenschaften des Tasks

Variablen des Tasks


Eigenschaften des Tasks

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Erstellen eines Tasks > Eigenschaften des Tasks

Nach dem Anlegen des Tasks öffnet sich automatisch der Eigenschaften-Dialog des Tasks.

Folgende Eigenschaften können eingestellt werden:

Parameter | Beschreibung
Name | Eindeutige Bezeichnung des Tasks.
Typ | Tasks können zyklisch oder einmalig ausgeführt werden. Zyklisch : der Task wird zyklisch in dem unter Zuerreichende Zykluszeit angegebenen Intervall ausgeführt. Einmalig : der Task wird ein einziges Mal ausgeführt.
Priorität | Prozesspriorität für das Betriebssystem-Multithreading (Leerlauf , Niedrig , Normal , Hoch , Höchste , Zeitkritisch ). Default: Normal Hauptprozess : der Task läuft im gleichen Thread wie die Runtime. Wenn der Task in eine Warteschleife gerät oder gar abstürzt, beeinflusst das auch die Runtime.
Scriptdatei | Auswahl der Scriptdatei: VB-Dateien (*.vbs) für VB Script oder JS-Dateien (*.js) für Javascript. Beim erstmaligen Öffnen des Tasks im Editierbereich wird die entsprechende Datei angelegt.
Startart | System start : der Task wird automatisch mit der Runtime gestartet. (Dies ist die einzige Möglichkeit, wie die PCE unter Windows CE verwendet werden kann, da Windows CE kein VBA unterstützt.) Ereignisgesteuert : der Task wird über ein VBA-Makro und die Anweisung thisProject.Tasks.Item(Taskname).Run gestartet.
Zu erreichende Zykluszeit | Bei zyklischen Tasks die Zykluszeit in Millisekunden, die erreicht werden soll. Wird diese Zykluszeit nicht erreicht, so wird der Task so schnell wie möglich ausgeführt.

Zum nachträglichen Ändern der Eigenschaften lässt sich der Dialog auch über das Kontextmenü des Tasks und den Befehl Task-Eigenschaften... öffnen.


Variablen des Tasks

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Erstellen eines Tasks > Variablen des Tasks

Nach der Eingabe der Eigenschaften öffnet sich automatisch der Variablenauswahl-Dialog. Hier werden die Variablen ausgewählt, die im Task verarbeitet werden sollen.

Es sollten hier alle Variablen verknüpft werden, die im Task gelesen oder geschrieben werden sollen. Es besteht zwar auch die Möglichkeit über das Variablen-Objekt auf Variablen zuzugreifen, aber nur die direkt mit dem Task verknüpften Variablen werden automatisch beim Initialisieren des Tasks vor der Ausführung eingelesen.

Die Variablen müssen die folgende Syntax haben:

Task.Value("Variablenname")=123

Zum nachträglichen Ändern der Variablenauswahl lässt sich der Dialog auch über das Kontextmenü des Tasks und den Befehl Task Variablen... öffnen.


Eingabe des Codes

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Eingabe des Codes

Durch einen Doppelklick auf einen Task im Taskmanager wird der Task im Editierbereich geöffnet. Wird der Task das erste Mal geöffnet, so wird nun die entsprechende VBS- oder JS-Datei angelegt.

Vier Prozeduren werden automatisch angelegt:

Parameter | Beschreibung
Task_Init() | Diese Prozedur wird automatisch beim Starten des Tasks ausgeführt.
Task_Main() | Diese Prozedur wird entweder einmal (Typ einmalig) oder zyklisch (Typ zyklisch) ausgeführt.
Task_Exit() | Diese Prozedur wird automatisch vor dem Beenden des Tasks ausgeführt.
Task_Timer(lTimerId) | Diese Prozedur wird, solange der entsprechende Timer läuft, zyklisch ausgeführt. Die Zykluszeit wird mit dem Starten des entsprechenden Timers als Parameter übergeben.

Die PCE verwendet grundsätzlich dasselbe Objekt-Modell wie VBA (siehe VBA Tutorials). Bei der Verwendung von VBA Objekten (ausser dem Objekt Task) geht allerdings die Multithreading-Fähigkeit verloren, da auf diese Objekte nur aus dem Hauptthread heraus zugegriffen werden kann.

attention Achtung

Nicht alle Funktionen des COM Interfaces sind Multithreadingfähig und dürfen daher nur im Hauptthread Kontext verwendet werden. Diese bedeudet, wenn im PCE Task eine andere Eigenschaft als Im Hauptprozess eingestellt ist, dann darf aus der PCE kein Zugriff auf den Hauptthread erfolgen. Erfolgt trotzdem ein Zugriff auf das COM Interface, kann es zu undefinierten Systemzuständen wie einem einfrieren der Runtime kommen.

Von besonderer Wichtigkeit ist allerdings die Collection Tasks und das Objekt Task.

Noch in diesem Kapitel

Die Collection Tasks

Das Objekt Task


Die Collection Tasks

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Eingabe des Codes > Die Collection Tasks

Count

Item

Parent


Das Objekt Task

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Eingabe des Codes > Das Objekt Task

ActualCycleTime

Eigenschaft

Tatsächlich erreichte Zykluszeit des Tasks

CountVariable

Eigenschaft

Anzahl der mit dem Task verknüpften Variablen

CycleTime

Eigenschaft

Eingestellte Zykluszeit des Tasks

DynProperties

Eigenschaft

ErrorNumber

Eigenschaft

ErrorString

Eigenschaft

Exit

Ereignis

Init

Ereignis

ItemVariable

Methode

Main

Ereignis

MemValue

Eigenschaft

Mit Task.MemValue(Name)=Wert wird eine interne Variable angelegt und ein Wert wird ihr zugewiesen. Die Variable muss vorher nicht deklariert werden.

Diese Variable kann auch von anderen Tasks aus gelesen werden. Somit erlaubt sie die Übergabe eines Wertes von einem Task an einen anderen.

Name

Eigenschaft

Name des aktuellen Tasks

Parent

Eigenschaft

Die Collection Tasks

Priority

Eigenschaft

Priorität des aktuellen Tasks

Run

Methode

Startet einen Task

Sleep

Methode

Hält einen Task an

StartTimer

Methode

Die Methode StartTimer startet einen Timer des Tasks.

Status

Eigenschaft

Stop

Methode

Stoppt einen Task

StopTimer

Methode

Die Methode StopTimer stoppt einen Timer des Tasks.

Timer

Ereignis

Type

Eigenschaft

Value

Eigenschaft

Mit Task.Value(Name einer verknüpften Variable)=Wert kann aus einem Task einer Variable des zugehörigen Projekts ein Wert zugewiesen werden.


Funktion PCE anzeigen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Funktion PCE anzeigen

Über die zenon Funktion PCE anzeigen kann der PCE Editor aus der Runtime geöffnet werden.


Ausführen von Tasks

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Ausführen von Tasks

Tasks können mit dem Systemstart ausgeführt werden oder ereignisgesteuert.

Noch in diesem Kapitel

Tasks mit Systemstart ausführen

Tasks ereignisgesteuert ausführen


Tasks mit Systemstart ausführen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Ausführen von Tasks > Tasks mit Systemstart ausführen

Wenn in der Konfiguration des Tasks die Startart auf System start gesetzt wurde, wird der Task automatisch mit dem Starten der Runtime gestartet.

Dies ist die einzige Möglichkeit, wie die PCE unter Windows CE verwendet werden kann, da Windows CE kein VBA unterstützt.


Tasks ereignisgesteuert ausführen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Ausführen von Tasks > Tasks ereignisgesteuert ausführen

Noch in diesem Kapitel

Am PC

Am CE Terminal


Am PC

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Ausführen von Tasks > Tasks ereignisgesteuert ausführen > Am PC

Ein Task kann auch ereignisgesteuert gestartet werden. In diesem Fall muss die Startart auf ereignisgesteuert gesetzt werden. Nun wird der Task nicht mehr automatisch mit der Runtime gestartet.

Um den Task durch das Drücken eines Buttons, durch eine Grenzwertverletzung oder durch ein anderes Ereignis starten zu können muss ein VBA-Makro erstellt werden. Die VBA Anweisung zum Starten des Tasks lautet: thisProject.Tasks.Item(Taskname).Run
Der Task wird automatisch in einem eigenen Thread gestartet, wenn in der Konfiguration nicht die Priorität Hauptprozess angegeben wurde.

Mit der folgenden VBA Anweisung kann der Task jederzeit wieder beendet werden: thisProject.Tasks.Item(Taskname).Stop

Hinweis: Um einen Task mehrmals auszuführen, muss er nach dem Beenden auch explizit gestoppt werden, damit er neu gestartet werden kann.
Anweisung: thisProject.Tasks.Item(Taskname).Stop
Nach korrektem Stop kann er neu gestartet werden.


Am CE Terminal

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > Vorgangsweise > Ausführen von Tasks > Tasks ereignisgesteuert ausführen > Am CE Terminal

Da Windows CE kein VBA unterstützt, ist die Vorgehensweise für die Ausführung auf einem PC auf einem CE Terminal nicht möglich. Es gibt jedoch eine Möglichkeit, auch hier Tasks ereignisgesteuert aufzurufen.

Dazu wird ein Task mit der Startart System start erstellt. Dieser Task wird also automatisch mit der Runtime gestartet. Zudem erhält dieser Task die Priorität Hauptprozess, sodass er im selben Thread wie die Runtime läuft. Mit diesem Task werden nun Bit-Variablen verknüpft, die das ereignisgesteuerte Ausführen der anderen Tasks übernehmen. Die Anweisung zum Starten eines anderen Tasks lautet: Parent.Item(Taskname).Run
Dieser Task wird nun automatisch in einem eigenen Thread gestartet, wenn in der Konfiguration nicht die Priorität Hauptprozess angegeben wurde.

Mit der folgenden Anweisung kann der Task jederzeit wieder beendet werden: Parent.Item(Taskname).Stop


VBScript - Einführung

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung

Noch in diesem Kapitel

Datentypen

Variablen

Konstanten

Operatoren

Steuern der Programmausführung

Verwenden von Schleifen zum Wiederholen von Code

Arten von Prozeduren

Konventionen für die Programmierung


Datentypen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Datentypen

Noch in diesem Kapitel

Variant

Untertypen des Datentyps Variant


Variant

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Datentypen > Variant

VBScript kennt nur einen Datentyp namens Variant. Variant ist eine besondere Art von Datentyp, der je nach Verwendung verschiedene Arten von Informationen aufnehmen kann. Weil Variant der einzige Datentyp in VBScript ist, geben alle Funktionen in VBScript diesen Datentyp zurück.

Im einfachsten Fall kann Variant numerische Werte oder Zeichenfolgen enthalten. Ein Variant verhält sich wie eine Zahl, wenn Sie ihn in einem numerischen Zusammenhang verwenden, und wie eine Zeichenfolge, wenn Sie ihn wie eine Zeichenfolge verwenden. Wenn Sie also mit Daten arbeiten, die wie Zahlen aussehen, interpretiert VBScript diese als Zahlen und verfährt entsprechend. Natürlich können Sie immer dafür sorgen, dass sich Zahlen wie Zeichenfolgen verhalten, indem Sie diese in Anführungszeichen ( ) einschließen. Wenn Sie mit Daten arbeiten, die nur als Zeichenfolgen interpretiert werden können, behandelt VBScript diese als Zeichenfolgen.


Untertypen des Datentyps Variant

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Datentypen > Untertypen des Datentyps Variant

Über die einfache Einteilung in numerische Werte und Zeichenfolgen hinaus kann bei Variant-Werten zwischen weiteren Arten von numerischen Informationen unterschieden werden. Numerische Informationen können beispielsweise ein Datum oder eine Uhrzeit darstellen. In Verbindung mit anderen Datums- oder Uhrzeitinformationen wird das Ergebnis immer als Datum oder Uhrzeit ausgedrückt. Natürlich stehen auch viele verschiedene Arten numerischer Informationen zur Verfügung, angefangen von booleschen Werten bis hin zu großen Fließkommazahlen. Diese unterschiedlichen Informationskategorien, die ein Variant aufnehmen kann, werden als Untertypen bezeichnet. Meistens genügt es, einem Variant einfach die gewünschten Daten zuzuweisen, damit er sich entsprechend verhält.

Die folgende Aufstellung zeigt die verschiedenen Untertypen von Daten, die ein Variant enthalten kann.

Untertyp | Bedeutung
Empty | Variant ist nicht initialisiert. Der Wert ist 0 bei numerischen Variablen und eine Null-Zeichenfolge () bei Zeichenfolgenvariablen.
Null | Variant enthält absichtlich keine gültigen Daten.
Boolean | Enthält entweder TRUE oder FALSE.
Byte | Enthält eine ganze Zahl von 0 bis 255.
Integer | Enthält eine ganze Zahl von -32.768 bis 32.767.
Currency | -922,337,203,685,477.5808 bis 922,337,203,685,477.5807.
Long | Enthält eine ganze Zahl von -2.147.483.648 bis 2.147.483.647.
Single | Enthält eine Fließkommazahl einfacher Genauigkeit von -3,402823E38 bis -1,401298E-45 für negative Werte und von 1,401298E-45 bis 3,402823E38 für positive Werte.
Double | Enthält eine Fließkommazahl doppelter Genauigkeit von -1,79769313486232E308 bis -4,94065645841247E-324 für negative Werte und von 4,94065645841247E-324 bis 1.79769313486232E308 für positive Werte.
Date (Time) | Enthält eine Zahl, die ein Datum vom 1. Januar 100 bis zum 31. Dezember 9999 darstellt.
String | Enthält eine Zeichenfolge variabler Länge, die bis zu etwa 2 Milliarden Zeichen lang sein kann.
Object | Enthält ein Objekt.
Error | Enthält eine Fehlernummer.


Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Variablen

Eine Variable ist ein praktischer Platzhalter, der auf eine Stelle im Speicher des Computers verweist, an der Sie Programmdaten speichern können, die sich während der Ausführung des Skripts ändern kann. Sie können beispielsweise eine Variable namens KlickZaehler einrichten, um zu speichern, wie oft ein Benutzer auf ein Objekt in einer bestimmten Web-Seite klickt. Es ist unwichtig, wo sich die Variable im Computerspeicher befindet. Wichtig ist, dass Sie nur ihren Namen angeben müssen, um den Wert der Variablen abzurufen oder zu ändern. In VBScript haben Variablen immer den grundlegenden Datentyp Variant.

Noch in diesem Kapitel

Deklarieren von Variablen

Einschränkungen für Namen

Gültigkeitsbereich und Lebensdauer von Variablen

Zuweisen von Werten zu Variablen

Skalare Daten und Datenfelder


Deklarieren von Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Variablen > Deklarieren von Variablen

Sie deklarieren Variablen in Ihrem Skript explizit mit den Anweisungen Dim, Public und Private. Beispiel:

Dim GradFahrenheit

Sie deklarieren mehrere Variablen, indem Sie diese jeweils durch Kommas voneinander trennen. Beispiel:

Dim Oben, Unten, Links, Rechts


Einschränkungen für Namen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Variablen > Einschränkungen für Namen

Für Variablennamen gelten die Standardregeln zum Benennen von Sprachelementen in VBScript. Für Variablennamen gilt:

  • Sie müssen mit einem Zeichen aus dem Alphabet beginnen.
  • Sie dürfen keinen Punkt enthalten.
  • Sie dürfen nicht länger als 255 Zeichen sein.
  • Sie müssen innerhalb des Gültigkeitsbereichs, für den sie deklariert werden, eindeutig sein.


Gültigkeitsbereich und Lebensdauer von Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Variablen > Gültigkeitsbereich und Lebensdauer von Variablen

Wenn Sie eine Variable in einer Prozedur deklarieren, kann normalerweise nur Code innerhalb dieser Prozedur auf den Variablenwert zugreifen oder ihn ändern, d.h. die Variable hat einen lokalen Gültigkeitsbereich und wird als Variable auf Prozedurebene bezeichnet.

Wenn Sie eine Variable außerhalb einer Prozedur deklarieren, ist sie für alle Prozeduren in Ihrem Skript sichtbar. Diese Art von Variable auf Skriptebene hat die Skriptebene als Gültigkeitsbereich.

Die Zeitspanne, in der eine Variable existiert, wird als ihre Lebensdauer bezeichnet. Die Lebensdauer einer Variablen auf Skriptebene reicht vom Zeitpunkt der Deklaration bis zur Beendigung des Skripts. Die Lebensdauer einer lokalen Variablen beginnt mit der Deklarationsanweisung am Anfang der Prozedur und endet mit Beendigung der Prozedur.

Lokale Variablen eignen sich gut als temporärer Speicherplatz während der Ausführung einer Prozedur. Sie können lokale Variablen mit demselben Namen in mehreren Prozeduren verwenden, da jede nur von der Prozedur erkannt wird, in der sie deklariert wurde.


Zuweisen von Werten zu Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Variablen > Zuweisen von Werten zu Variablen

Werte werden einer Variablen durch einen Ausdruck zugewiesen, bei dem die Variable auf der linken Seite des Ausdrucks und der zuzuweisende Wert auf der rechten Seite des Ausdrucks steht. Beispiel:

B = 200


Skalare Daten und Datenfelder

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Variablen > Skalare Daten und Datenfelder

Meistens weisen Sie einer deklarierten Variablen nur einen einzelnen Wert zu. Solche Variablen werden skalare Variablen genannt. In anderen Fällen ist es sinnvoll, einer Variablen mehrere zusammenhängende Werte zuzuweisen. In diesen Fällen können Sie eine Variable erstellen, die eine Folge von Werten enthalten kann. Solche Variablen nennt man Datenfeldvariablen. Datenfeldvariablen werden fast genauso deklariert wie skalare Variablen. Der einzige Unterschied besteht darin, dass bei der Deklaration von Datenfeldvariablen auf den Namen Klammern folgen. Im folgenden Beispiel wird ein eindimensionales Datenfeld mit 11 Elementen deklariert:

Dim A(10)

Obwohl in Klammern die Zahl 10 angegeben wird, enthält dieses Datenfeld 11 Elemente, weil alle Datenfelder in VBScript nullbasiert sind, d.h. mit dem Index Null beginnen. In einem nullbasierten Datenfeld ist die Anzahl der Elemente immer um Eins höher als der in Klammern angegebene Wert. Diese Art von Datenfeld nennt man Datenfeld fester Größe.

Zur Zuweisung von Daten an die Elemente des Datenfelds verwenden Sie einen Index im Datenfeld. Mit Indizes von Null bis 10 können den Elementen eines Datenfelds auf folgende Weise Werte zugewiesen werden:

A(0) = 256

A(1) = 324

A(2) = 100

. . .

A(10) = 55

Auf ähnliche Weise (mit einem Index im Datenfeld) kann der Wert eines beliebigen Datenfeldelements wieder abgerufen werden. Beispiel:

. . .

EineVariable = A(8)

. . .

Datenfelder sind nicht auf eine einzige Dimension beschränkt. Sie können bis zu 60 Dimensionen angeben, obwohl sich die meisten Menschen nur drei oder vier Dimensionen vorstellen können. Mehrere Dimensionen werden durch Angabe von mehreren Datenfeldgrößen zwischen den Klammern deklariert und jeweils durch ein Komma voneinander getrennt. Im folgenden Beispiel ist die Variable Tabelle1 ein zweidimensionales Datenfeld mit 6 Zeilen und 11 Spalten:

Dim Tabelle1(5, 10)

In einem zweidimensionalen Datenfeld gibt die erste Zahl immer die Anzahl der Zeilen und die zweite Zahl die Anzahl der Spalten an.

Sie können auch Datenfelder deklarieren, deren Größe sich während des Ablaufs Ihres Skripts ändern kann. Solche Datenfelder werden als dynamische Datenfelder bezeichnet. Das Datenfeld wird in einer Prozedur anfänglich mit einer Dim -Anweisung (wie jedes andere Datenfeld auch) oder mit einer ReDim -Anweisung deklariert. Der Unterschied besteht darin, dass zwischen den Klammern keine Größe oder Anzahl von Dimensionen angegeben wird. Beispiel:

(Dim EinDatenfeld()

ReDim AnderesDatenfeld)

Um ein dynamisches Datenfeld verwenden zu können, müssen Sie anschließend die Zahl der Dimensionen und deren Größen mit ReDim festlegen. Im folgenden Beispiel setzt ReDim die anfängliche Größe des dynamischen Datenfelds auf 25. Eine nachfolgende ReDim -Anweisung ändert die Größe auf 30, verwendet aber das Schlüsselwort Preserve, so dass der Inhalt des Datenfelds bei der Größenänderung erhalten bleibt.

ReDim EinDatenfeld(25)

. . .

ReDim Preserve EinDatenfeld(30)


Konstanten

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konstanten

Eine Konstante ist ein aussagekräftiger Name, der an Stelle einer Zahl oder einer Zeichenfolge verwendet wird und dessen Wert sich nie ändert. VBScript legt eine Anzahl integrierter Konstanten fest. Weitere Informationen zu diesen integrierten Konstanten finden Sie im VBScript-Sprachverzeichnis.

Sie können benutzerdefinierte Konstanten in VBScript mit der Const-Anweisung erstellen. Damit können Sie Zeichenfolgenkonstanten oder numerische Konstanten einen sinnvollen Namen zuweisen. Anschließend können Sie ihnen Literalwerte zuweisen und sie in Ihrem Skript verwenden.

Programmierhinweis

Const Zeichenfolge1 = Dies ist eine Zeichenfolge.

Const MeinAlter = 49

Das Zeichenfolgenliteral ist in Anführungszeichen (z.B. "Mustertext") eingeschlossen. Anführungszeichen eignen sich am besten, um Zeichenfolgenwerte von numerischen Werten zu unterscheiden. Datums-/Uhrzeitliterale werden in Nummernzeichen (#) eingeschlossen.

Programmierhinweis

Const AbgabeTermin = #6-1-97#

Weil es zwischen den auf diese Weise erstellten Konstanten und normalen Variablen keinen funktionellen Unterschied gibt, sollten Sie ein Namensschema verwenden, um Konstanten von Variablen zu unterscheiden. Dies schützt Sie davor, einer Konstanten während der Skriptausführung versehentlich einen neuen Wert zuzuweisen. Sie können z. B. den Präfix vb oder con für Ihre Konstantennamen verwenden, oder Sie können Ihre Konstantennamen groß schreiben. Sorgen Sie auf jeden Fall dafür, dass eine Unterscheidung zwischen Konstanten und Variablen möglich ist. Dadurch vermeiden Sie Probleme, wenn Sie komplexere Skripten erstellen.


Operatoren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Operatoren

VBScript verfügt über eine Vielzahl von Operatoren, u.a. für arithmetische, Vergleichs-, Verkettungs- und logische Operationen.

Noch in diesem Kapitel

Operatorvorrang

Arithmetische Operatoren

Vergleichs-Operatoren

Logische Operatoren


Operatorvorrang

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Operatoren > Operatorvorrang

Wenn in einem Ausdruck mehrere Operatoren vorkommen, wird jeder Bestandteil in einer vordefinierten Reihenfolge ausgewertet und aufgelöst. Diese Reihenfolge wird als Operatorvorrang bezeichnet. Sie können den Operatorvorrang mit Klammern übergehen und die Auswertung von Bestandteilen eines Ausdrucks vor anderen Bestandteilen erzwingen. Operationen innerhalb von Klammern werden immer vor den Operationen außerhalb von Klammern ausgeführt. Innerhalb der Klammern gilt jedoch der normale Operatorvorrang.

Wenn ein Ausdruck Operatoren verschiedener Kategorien enthält, werden zuerst arithmetische, dann Vergleichs- und schließlich logische Operatoren ausgewertet. Alle Vergleichsoperatoren haben denselben Rang, d.h. sie werden in der Reihenfolge ihres Auftretens von links nach rechts ausgewertet. Arithmetische und logische Operatoren werden in folgender Reihenfolge ausgewertet.


Arithmetische Operatoren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Operatoren > Arithmetische Operatoren

Beschreibung | Symbol
Potenzierung | ^
Unäre Negation | -
Multiplikation | *
Division | /
Ganzzahlige Division | /
Modulo-Arithmetik | Mod
Addition | +
Subtraktion | -
Zeichenfolgenverkettung |


Vergleichs-Operatoren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Operatoren > Vergleichs-Operatoren

Beschreibung | Symbol
Gleichheit | =
Ungleichheit | <>
Kleiner als | <
Größer als | >
Kleiner oder gleich | <=
Größer oder gleich | >=
Objektäquivalenz | Is


Logische Operatoren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Operatoren > Logische Operatoren

Wenn in einem Ausdruck mehrere Operatoren vorkommen, wird jeder Bestandteil in einer vordefinierten Reihenfolge ausgewertet und aufgelöst. Diese Reihenfolge wird als Operatorvorrang bezeichnet. Sie können den Operatorvorrang mit Klammern übergehen und die Auswertung von Bestandteilen eines Ausdrucks vor anderen Bestandteilen erzwingen. Operationen innerhalb von Klammern werden immer vor den Operationen außerhalb von Klammern ausgeführt. Innerhalb der Klammern gilt jedoch der normale Operatorvorrang.

Wenn ein Ausdruck Operatoren verschiedener Kategorien enthält, werden zuerst arithmetische, dann Vergleichs- und schließlich logische Operatoren ausgewertet. Alle Vergleichsoperatoren haben denselben Rang, d.h. sie werden in der Reihenfolge ihres Auftretens von links nach rechts ausgewertet. Arithmetische und logische Operatoren werden in folgender Reihenfolge ausgewertet.


Steuern der Programmausführung

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Steuern der Programmausführung

Sie können den Ablauf eines Skripts mit Bedingungs- und Schleifenanweisungen steuern. Mit Hilfe von Bedingungsanweisungen können Sie VBScript-Code schreiben, mit dem Entscheidungen getroffen und Aktionen wiederholt werden können.

Noch in diesem Kapitel

Treffen von Entscheidungen mit Hilfe von If...Then...Else

Treffen von Entscheidungen mit Select Case


Treffen von Entscheidungen mit Hilfe von If...Then...Else

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Steuern der Programmausführung > Treffen von Entscheidungen mit Hilfe von If...Then...Else

Die Anweisung If...Then...Else wird verwendet, um zu bestimmen, ob eine Bedingung True oder False ist, und um anzugeben, ob je nach Ergebnis eine oder weitere Anweisungen ausgeführt werden. Im allgemeinen ist die Bedingung ein Ausdruck, der einen Vergleichsoperator zum Vergleichen eines Wertes oder einer Variablen mit einem/r anderen verwendet. Informationen zu Vergleichsoperatoren finden Sie unter Vergleichsoperatoren. If...Then...Else -Anweisungen können nach Bedarf auf beliebig vielen Ebenen verschachtelt werden.

Noch in diesem Kapitel

Ausführen von Anweisungen, wenn eine Bedingung True ist

Ausführen bestimmter Anweisungen, wenn eine Bedingung True ist, und Ausführen anderer Anweisungen, wenn eine Bedingung False ist

Entscheiden zwischen mehreren Alternativen


Ausführen von Anweisungen, wenn eine Bedingung True ist

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Steuern der Programmausführung > Treffen von Entscheidungen mit Hilfe von If...Then...Else > Ausführen von Anweisungen, wenn eine Bedingung True ist

Um nur eine Anweisung auszuführen, wenn eine Bedingung True ist, verwenden Sie die einzeilige Syntax für die If...Then...Else -Anweisung. Das folgende Beispiel zeigt die einzeilige Syntax. In diesem Beispiel wird das Schlüsselwort Else weggelassen.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Zum Ausführen von mehr als einer Codezeile müssen Sie die mehrzeilige oder Blocksyntax verwenden. Diese Syntax enthält die Anweisung End If , wie im folgenden Beispiel gezeigt:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub

Ausführen, wenn eine Bedingung True ist, verwenden Sie die einzeilige Syntax für die If...Then...Else -Anweisung. Das folgende Beispiel zeigt die einzeilige Syntax. In diesem Beispiel wird das Schlüsselwort Else weggelassen.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Zum Ausführen von mehr als einer Codezeile müssen Sie die mehrzeilige oder Blocksyntax verwenden. Diese Syntax enthält die Anweisung End If , wie im folgenden Beispiel gezeigt:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub


Ausführen bestimmter Anweisungen, wenn eine Bedingung True ist, und Ausführen anderer Anweisungen, wenn eine Bedingung False ist

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Steuern der Programmausführung > Treffen von Entscheidungen mit Hilfe von If...Then...Else > Ausführen bestimmter Anweisungen, wenn eine Bedingung True ist, und Ausführen anderer Anweisungen, wenn eine Bedingung False ist

Mit der Anweisung If...Then...Else können Sie zwei Blöcke mit ausführbaren Anweisungen definieren: ein Block wird ausgeführt, wenn die Bedingung True ist, der andere wird ausgeführt, wenn die Bedingung False ist.

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
Else
AlertLabel.Forecolor = vbBlack
AlertLabel.Font.Bold = False
AlertLabel.Font.Italic = False
End If
End Sub


Entscheiden zwischen mehreren Alternativen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Steuern der Programmausführung > Treffen von Entscheidungen mit Hilfe von If...Then...Else > Entscheiden zwischen mehreren Alternativen

Mit Hilfe einer Variation der If...Then...Else -Anweisung können Sie aus mehreren Alternativen auswählen. Durch das Hinzufügen der Klausel ElseIf können Sie die Funktionalität der If...Then...Else -Anweisung erweitern, so dass der Programmablauf auf mehreren Möglichkeiten basiert.

Beispiel:
Sub ReportValue(value)
If value = 0 Then
MsgBox value
ElseIf value = 1 Then
MsgBox value
ElseIf value = 2 then
Msgbox value
Else
Msgbox Wert ausserhalb des Bereichs!
End If


Treffen von Entscheidungen mit Select Case

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Steuern der Programmausführung > Treffen von Entscheidungen mit Select Case

Die Select Case -Struktur bietet eine Alternative zu If...Then...ElseIf , um gezielt einen Anweisungsblock aus mehreren Anweisungsblöcken auszuführen. Eine Select Case -Anweisung bietet dieselbe Funktionalität wie die If...Then...Else -Anweisung, macht den Code jedoch effizienter und leichter lesbar.

Eine Select Case -Struktur arbeitet mit einem einzelnen Testausdruck, der einmalig auf der obersten Ebene der Struktur ausgewertet wird. Das Ergebnis der Struktur wird dann mit den Werten für jeden Case in der Struktur verglichen. Gibt es eine übereinstimmung, wird der mit diesem Case verknüpfte Anweisungsblock ausgeführt:

Select Case Document.Form1.CardType.Options(SelectedIndex).Text
Case MasterCard
DisplayMCLogo
ValidateMCAccount
Case Visa
DisplayVisaLogo
ValidateVisaAccount
Case American Express
DisplayAMEXCOLogo
ValidateAMEXCOAccount
Case Else
DisplayUnknownImage
PromptAgain
End Select


Verwenden von Schleifen zum Wiederholen von Code

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code

Das Durchlaufen von Schleifen ermöglicht Ihnen, eine Anweisungsgruppe wiederholt auszuführen. Einige Schleifen wiederholen Anweisungen, bis eine Bedingung falsch (False) wird, andere wiederholen Anweisungen, bis eine Bedingung wahr (True) wird. Es gibt auch Schleifen, die Anweisungen in einer bestimmten Anzahl wiederholen.

Die folgenden Schleifenanweisungen sind in VBScript verfügbar:

Parameter | Beschreibung
Verwenden von Do-Schleifen : | Schleife durchlaufen, solange oder bis eine Bedingung True ist.
Verwenden von While...Wend : | Schleife durchlaufen, solange eine Bedingung True ist.
Verwenden von For...Next : | Verwendet einen Zähler, der angibt, wie oft Anweisungen ausgeführt werden.
Verwenden von For Each...Next : | Wiederholt eine Anweisungsgruppe für jedes Element in einer Auflistung oder jedes Element in einem Datenfeld.

Noch in diesem Kapitel

Verwenden von Do-Schleifen

Verwenden von While...Wend

Verwenden von For...Next

Verwenden von For Each...Next


Verwenden von Do-Schleifen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von Do-Schleifen

Sie können Do...Loop -Anweisungen verwenden, um einen Anweisungblock mehrmals auszuführen, ohne dass die Anzahl der Durchläufe festgelegt ist. Die Anweisungen werden entweder wiederholt, solange eine Bedingung True ist oder bis eine Bedingung True wird.

Noch in diesem Kapitel

Wiederholung von Anweisungen, während eine Bedingung True ist

Wiederholen einer Anweisung, bis eine Bedingung True wird

Beenden einer Do...Loop-Anweisung aus der Schleife heraus


Wiederholung von Anweisungen, während eine Bedingung True ist

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von Do-Schleifen > Wiederholung von Anweisungen, während eine Bedingung True ist

Verwenden Sie das Schlüsselwort While , um eine Bedingung in einer Do...Loop -Anweisung zu überprüfen. Sie können die Bedingung überprüfen, bevor die Schleife ausgeführt wird (wie im folgenden Beispiel ChkFirstWhile gezeigt), oder Sie können sie überprüfen, nachdem die Schleife mindestens einmal ausgeführt wurde (wie im Beispiel ChkLastWhile gezeigt). Wenn in der ChkFirstWhile-Prozedur myNum auf 9 anstatt auf 20 festgelegt wird, werden die Anweisungen in der Schleife niemals ausgeführt. In der ChkLastWhile-Prozedur werden die Anweisungen in der Schleife nur einmal ausgeführt, weil die Bedingung bereits False ist.

Sub ChkFirstWhile()
Dim counter, myNum
counter = 0

myNum = 20

Do While myNum > 10

myNum = myNum - 1

counter = counter + 1

Loop

MsgBox 'Die Schleife wurde ' & counter & ' mal wiederholt.'

End Sub

Sub ChkLastWhile()

Dim counter, myNum

counter = 0

myNum = 9

Do
myNum = myNum - 1
counter = counter + 1

Loop While myNum > 10

MsgBox 'Die Schleife wurde ' & counter & ' mal wiederholt.'

End Sub


Wiederholen einer Anweisung, bis eine Bedingung True wird

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von Do-Schleifen > Wiederholen einer Anweisung, bis eine Bedingung True wird

Sie können das Schlüsselwort Until auf zwei Arten verwenden, um eine Bedingung in einer Do...Loop -Anweisung zu überprüfen. Sie können die Bedingung überprüfen, bevor die Schleife ausgeführt wird (wie im folgenden Beispiel ChkFirstUntil gezeigt), oder Sie können sie überprüfen, nachdem die Schleife mindestens einmal ausgeführt wurde (wie im Beispiel ChkLastUntil gezeigt). Solange die Bedingung False ist, wird die Schleife durchlaufen.

Sub ChkFirstUntil()

Dim counter, myNum

counter = 0

myNum = 20

Do Until myNum = 10

myNum = myNum - 1

counter = counter + 1

Loop

MsgBox 'Die Schleife wurde ' & counter & ' mal wiederholt.'

End Sub

Sub ChkLastUntil()

Dim counter, myNum

counter = 0

myNum = 1

Do

myNum = myNum + 1

counter = counter + 1

Loop Until myNum = 10

MsgBox 'Die Schleife wurde ' & counter & ' mal wiederholt.'

End Sub


Beenden einer Do...Loop-Anweisung aus der Schleife heraus

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von Do-Schleifen > Beenden einer Do...Loop-Anweisung aus der Schleife heraus

Sie können eine Do...Loop -Schleife beenden, indem Sie die Exit Do -Anweisung verwenden. Da die Schleifenausführung gewöhnlich nur in bestimmten Situationen beendet werden soll, z. B. um eine Endlosschleife zu vermeiden, sollten Sie die Exit Do -Anweisung im True -Anweisungsblock einer If...Then...Else -Anweisung verwenden. Wenn die Bedingung False ist, wird die Schleife normal ausgeführt.

Im folgenden Beispiel wird myNum ein Wert zugewiesen, der eine Endlosschleife verursacht. Die If...Then...Else Anweisung überprüft, ob dieser Zustand eintritt, und verhindert die endlose Wiederholung.

Sub ExitExample()

Dim counter, myNum

counter = 0

myNum = 9

Do Until myNum = 10

myNum = myNum - 1

counter = counter + 1

If myNum < 10 Then Exit Do

Loop

MsgBox 'Die Schleife wurde ' & counter & ' mal wiederholt.'

End Sub


Verwenden von While...Wend

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von While...Wend

Die While...Wend -Anweisung wird in VBScript für Entwickler zur Verfügung gestellt, die mit ihrer Verwendung vertraut sind. Aufgrund der eingeschränkten Flexibilität von While...Wend wird jedoch empfohlen, stattdessen Do...Loop zu verwenden.


Verwenden von For...Next

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von For...Next

Sie können For...Next -Anweisungen verwenden, um genau festzulegen, wie oft ein Anweisungblock ausgeführt werden soll. Für Schleifen verwenden Sie eine Zählervariable, deren Wert mit jeder Wiederholung der Schleife vergrößert oder verkleinert wird.

Beispielsweise hat die folgende Prozedur zur Folge, dass eine Prozedur mit dem Namen MyProc 50 mal ausgeführt wird. Die For -Anweisung gibt als Zählervariable x an und legt den zugehörigen Start- und Endwert fest. Die Next -Anweisung zählt die Zählervariable jeweils um 1 hoch.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

Mit dem Schlüsselwort Step können Sie die Zählervariable um den darin angegebenen Wert vergrößern oder verkleinern. Im folgenden Beispiel wird die Zählervariable j bei jedem Schleifendurchlauf um 2 hochgezählt. Wenn die Schleife beendet ist, enthält total die Summe von 2, 4, 6, 8 und 10.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

Zum Verkleinern der Zählervariable verwenden Sie einen negativen Wert für Step . Sie müssen einen Endwert angeben, der kleiner als der Startwert ist. Im folgenden Beispiel wird die Zählervariable myNum bei jedem Schleifendurchlauf um 2 verkleinert. Wenn die Schleife beendet ist, enthält total die Summe von 16, 14, 12, 10, 8, 6, 4 und 2.

Sub NewTotal()

Dim myNum, total

For myNum = 16 To 2 Step -2

total = total + myNum

Next

MsgBox 'Die Summe ist ' & total

End Sub


Verwenden von For Each...Next

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Verwenden von Schleifen zum Wiederholen von Code > Verwenden von For Each...Next

Eine For Each...Next -Schleife ist einer For...Next -Schleife ähnlich. Anstatt die Anzahl der Schleifendurchläufe zum Wiederholen der Anweisungen anzugeben, wird in einer For Each...Next -Schleife eine Anweisungsgruppe für jedes Element in einer Auflistung von Objekten oder für jedes Element in einem Datenfeld ausgeführt. Dies ist besonders dann hilfreich, wenn nicht bekannt ist, wieviele Elemente in einer Gruppe enthalten sind.

Im folgenden HTML-Codebeispiel wird der Inhalt eines Dictionary -Objekts verwendet, um Text in mehrere Textfelder einzusetzen:

<HTML>

<HEAD><TITLE>Formulare und Elemente</TITLE></HEAD>

<SCRIPT LANGUAGE='VBScript'>

<!--

Sub cmdChange_OnClick

Dim d 'Erstellen einer Variablen

Set d = CreateObject('Scripting.Dictionary')

d.Add '0', 'Athen' 'Einige Schlüssel und Elemente hinzufügen

d.Add '1', 'Belgrad'

d.Add '2', 'Kairo'

For Each I in d

Document.frmForm.Elements(I).Value = D.Item(I)

Next

End Sub

-->

</SCRIPT>

<BODY>

<CENTER>

<FORM NAME='frmForm'

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Button' NAME='cmdChange' VALUE='Hierauf klicken'><p>

</FORM>

</CENTER>

</BODY>

</HTML>


Arten von Prozeduren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Arten von Prozeduren

Noch in diesem Kapitel

Sub-Prozeduren

Function-Prozeduren

Übergeben von Daten an oder aus Prozeduren

Verwenden von Sub- und Function-Prozeduren im Code


Sub-Prozeduren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Arten von Prozeduren > Sub-Prozeduren

Eine Sub -Prozedur ist eine Folge von VBScript-Anweisungen, die zwischen den Anweisungen Sub und End Sub eingeschlossen ist, und die Aktionen ausführt, aber keine Werte zurückgibt. Eine Sub -Prozedur kann Argumente (Konstanten, Variablen oder Ausdrücke, die von einer aufrufenden Prozedur übergeben wurden) übernehmen. Wenn eine Sub -Prozedur keine Argumente hat, muss ihre Sub -Anweisung ein leeres Klammernpaar enthalten ().

Die folgende Sub -Prozedur verwendet zwei integrierte (oder eingebaute) VBScript-Funktionen, MsgBox und InputBox , um einen Benutzer zur Eingabe von Informationen aufzufordern. Dann zeigt sie das Ergebnis einer Berechnung an, die auf diesen Informationen basiert. Die Berechnung wird in einer mit VBScript erstellten Function -Prozedur ausgeführt. Diese wird in der Behandlung der nachfolgenden Function -Prozedur ebenfalls gezeigt.

Sub KonvertTemp()

temp = InputBox('Geben Sie die Temperatur in Fahrenheit ein.', 1)

MsgBox 'Die Temperatur ist ' & Celsius(temp) & ' Grad Celsius.'

End Sub


Function-Prozeduren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Arten von Prozeduren > Function-Prozeduren

Eine Function -Prozedur ist eine Folge von VBScript-Anweisungen, die zwischen den Anweisungen Function und End Function eingeschlossen ist. Eine Function -Prozedur ist einer Sub -Prozedur ähnlich, kann aber auch einen Wert zurückgeben. Eine Function -Prozedur kann Argumente (Konstanten, Variablen oder Ausdrücke, die von einer aufrufenden Prozedur übergeben werden) übernehmen. Wenn eine Function -Prozedur keine Argumente hat, muss ihre Function -Anweisung ein leeres Klammernpaar enthalten. Eine Function -Prozedur gibt Werte zurück, indem ihrem Namen in einer oder mehreren Anweisung(en) der Prozedur ein Wert zugewiesen wird. Der Typ des Rückgabewerts einer Function -Prozedur ist immer ein Variant .

Die Funktion Celsius im folgenden Beispiel berechnet aus Gradwerten in Fahrenheit die entsprechenden Werte in Grad Celsius. Beim Aufruf der Funktion aus der Sub -Prozedur KonvertTemp wird eine Variable mit dem Argumentwert an die Funktion übergeben. Das Ergebnis der Berechnung wird an die aufrufende Prozedur zurückgegeben und in einem Meldungsfeld angezeigt.

Sub KonvertTemp()

temp = InputBox('Geben Sie die Temperatur in Fahrenheit ein.', 1)

MsgBox 'Die Temperatur ist ' & Celsius(temp) & ' Grad Celsius.'

End Sub

Function Celsius(GradF)

Celsius = (GradF - 32) * 5 / 9

End Function


Übergeben von Daten an oder aus Prozeduren

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Arten von Prozeduren > Übergeben von Daten an oder aus Prozeduren

Jedes Datenelement wird Ihrer Prozedur über ein Argument übergeben. Argumente dienen als Platzhalter für die Daten, die Sie Ihrer Prozedur übergeben möchten. Wenn Sie eine Prozedur mit der Sub - oder der Function -Anweisung erstellen, müssen nach dem Namen der Prozedur Klammern angegeben werden. Alle Argumente werden zwischen diesen Klammern angegeben und durch Kommas getrennt. In der folgenden Prozedur ist beispielsweise GradF ein Platzhalter für den Wert, der an die Funktion Celsius zur Konvertierung übergeben wird:

Function Celsius(GradF)

Celsius = (GradF - 32) * 5 / 9

End Function


Verwenden von Sub- und Function-Prozeduren im Code

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Arten von Prozeduren > Verwenden von Sub- und Function-Prozeduren im Code

Um eine Function -Prozedur in Ihrem Code zu verwenden, müssen Sie diese auf der rechten Seite einer Variablenzuweisung oder in einem Ausdruck verwenden.

Beispiele:

Temp = Celsius(GradF)

oder

MsgBox 'Die Temperatur beträgt ' & Celsius(GradF) & ' Grad Celsius.'

Um eine Sub -Prozedur aus einer anderen Prozedur aufzurufen, müssen Sie lediglich den Namen der Prozedur zusammen mit den erforderlichen Argumenten (durch Kommas getrennt) eingeben. Die Call -Anweisung ist nicht erforderlich, wenn Sie sie jedoch verwenden, müssen Sie die Argumente in Klammern einschließen.

Das folgende Beispiel zeigt zwei Aufrufe der Prozedur MeineProz. In einem Fall wird die Call -Anweisung im Code verwendet, im anderen nicht. Beide Aufrufe haben genau dieselbe Wirkung.

Call MeineProz(erstesArg, zweitesArg)

MeineProz erstesArg, zweitesArg


Konventionen für die Programmierung

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung

Konventionen für die Programmierung sind Vorschläge, die Ihnen das Schreiben von Code mit der Microsoft Visual Basic Scripting Edition erleichtern sollen.

Konventionen für die Programmierung umfassen unter anderem folgende Richtlinien:

Namenskonventionen für Objekte, Variablen und Prozeduren

Konventionen für Kommentare

Richtlinien für die Formatierung und das Einrücken von Text

Der wichtigste Grund für einheitliche Konventionen für die Programmierung ist die Standardisierung der Code-Struktur und des Programmierstils für ein oder mehrere Skripten, damit der Code für Sie und andere leichter lesbar und verständlicher ist. Mit sinnvollen Konventionen für die Programmierung erhalten Sie präzisen, lesbaren und eindeutigen Code, der den für andere Programmiersprachen verwendeten Konventionen entspricht und so intuitiv wie möglich ist.

Noch in diesem Kapitel

Namenskonventionen für Konstanten

Namenskonventionen für Variablen

Gültigkeitsbereich von Variablen

Aussagekräftige Variablen- und Prozedurnamen

Namenskonventionen für Objekte

Konventionen für Code-Kommentare


Namenskonventionen für Konstanten

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Namenskonventionen für Konstanten

Frühere Versionen von VBScript besaßen keine Mechanismen für die Erstellung benutzerdefinierter Konstanten. Konstanten wurden, wenn notwendig, wie Variablen implementiert und von anderen Variablen dadurch unterschieden, dass nur Großbuchstaben verwendet wurden. Mehrere Wörter wurden durch den Unterstrich (_) getrennt.

Beispiele:

BENUTZER_LISTE_MAX
NEUE_ZEILE

Obwohl dieser Weg, Konstanten zu kennzeichnen, noch funktioniert, können Sie eine andere Art der Namensgebung verwenden. Sie können echte Konstanten mit Hilfe der Const -Anweisung anlegen. Diese Konvention verwendet ein Format mit gemischter Groß- und Kleinschreibung, in dem Konstanten das Präfix con vorangestellt wird.

Zum Beispiel:

conIhreEigeneKonstante


Namenskonventionen für Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Namenskonventionen für Variablen

Um die Lesbarkeit und die Konsistenz zu verbessern, verwenden Sie in VBScript die in der folgenden Übersicht aufgeführten Präfixe zusammen mit aussagekräftigen Variablennamen.

Untertyp | Präfix | Beispiel
Boolean | bln | blnGefunden
Byte | byt | bytRasterDaten
Date (Time) | dtm | dtmStart
Double | dbl | dblToleranz
Error | err | errBestellNr
Integer | int | intAnzahl
Long | lng | lngEntfernung
Object | obj | objAktuell
Single | sng | sngDurchschnitt
String | str | strVorname


Gültigkeitsbereich von Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Gültigkeitsbereich von Variablen

Variablen sollten immer mit dem kleinstmöglichen Gültigkeitsbereich definiert werden. VBScript-Variablen können einen der folgenden Gültigkeitsbereiche haben.

Gültigkeitsbereich | Variablendeklaration in | Sichtbarkeit
Prozedurebene | Ereignis-, Function- oder Sub-Prozedur | Sichtbar in der Prozedur, in der sie deklariert wird.
Skriptebene | HEAD-Abschnitt einer HTML-Seite, außerhalb jeder Prozedur | Sichtbar in jeder Prozedur des Skripts.

Noch in diesem Kapitel

Präfixe für den Gültigkeitsbereich von Variablen


Präfixe für den Gültigkeitsbereich von Variablen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Gültigkeitsbereich von Variablen > Präfixe für den Gültigkeitsbereich von Variablen

Mit zunehmender Skriptgröße wird es immer wichtiger, die Gültigkeitsbereiche der Variablen schnell unterscheiden zu können. Dies wird durch einen Gültigkeitsbereichs-Präfix aus einem Buchstaben vor dem Typ-Präfix erreicht, ohne die Variablennamen übermäßig zu verlängern.

Gültigkeitsbereich | Präfix | Beispiel
Prozedurebene | keiner | dblGeschwindigkeit
Skriptebene | s | sblnBerechnungInArbeit


Aussagekräftige Variablen- und Prozedurnamen

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Aussagekräftige Variablen- und Prozedurnamen

Im Rumpf eines Variablen- oder Prozedurnamens sollte Groß- und Kleinschreibung verwendet werden. Der Name sollte so ausführlich sein wie nötig, um den Zweck der Variablen zu beschreiben. Darüber hinaus sollten Prozedurnamen mit einem Verb beginnen, wie z. B. InitialisiereFeldName oder SchliesseDialogfeld.

Für häufig verwendete oder lange Ausdrücke sind Standardabkürzungen zu empfehlen, um die Namen kurz zu halten. Im allgemeinen sind Variablennamen mit mehr als 32 Zeichen schwer lesbar. Stellen Sie sicher, dass die verwendeten Abkürzungen im gesamten Skript einheitlich sind. Der grundlose Wechsel zwischen Zhl und Zaehl innerhalb eines oder mehrerer zusammenhängender Skripten kann Probleme bereiten.


Namenskonventionen für Objekte

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Namenskonventionen für Objekte

Die folgende Tabelle führt die empfohlenen Konventionen für die verschiedenen Objekte auf, die beim Programmieren in VBScript verwendet werden.

Objekttyp | Präfix | Beispiel
3D-Grundfläche (3D panel) | pnl | pnlGruppe
Animierte Schaltfläche (animated button) | ani | aniMailBox
Check box | chk | chkReadOnly
Kombinationsfeld (combo box), Dropdownlistenfeld (drop-down list box) | cbo | cboDeutsch
Befehlsschaltfläche (command button) | cmd | cmdExit
Standarddialogfeld (common dialog) | dlg | dlgDateiOeffnen
Rahmen (frame) | fra | fraSprache
Horizontale Bildlaufleiste (horizontal scroll bar) | hsb | hsbLautstaerke
Abbildung (image) | img | imgSymbol
Bezeichnungsfeld (label) | lbl | lblHilfeMeldung
Linie (line) | lin | linVertikal
Listenfeld (list box) | lst | lstVersicherungsnummern
Drehfeld (Spin) | spn | spnSeiten
Textfeld (text box) | txt | txtNachname
Vertikale Bildlaufleiste (vertical scroll bar) | vsb | vsbRate
Bildlauffeld (Slider) | sld | sldSkala


Konventionen für Code-Kommentare

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Konventionen für Code-Kommentare

Jede Prozedur sollte mit einem kurzen Kommentar beginnen, der den Zweck der Prozedur beschreibt. Diese Beschreibung sollte nicht auf die Implementierungsdetails (wie die Operationen durchgeführt werden) eingehen, weil sich diese im Laufe der Zeit ändern können, was zu unnötigen Wartungsarbeiten bei den Kommentaren oder, noch schlimmer, zu falschen Kommentaren führen kann. Der Code selbst und ggf. nötige Kommentare im Code beschreiben die Implementierung.

Die an eine Prozedur übergebenen Argumente sollten beschrieben werden, wenn ihr Zweck nicht offensichtlich ist und wenn die Prozedur die Argumente in einem bestimmten Wertebereich erwartet. Rückgabewerte von Funktionen und andere Variablen, die von der Prozedur geändert werden, vor allem über Argumente, die als Referenz übergeben werden, sollten ebenfalls am Anfang jeder Prozedur beschrieben werden.

Die Kommentare im Prozedurkopf sollten folgende Abschnittsüberschriften enthalten. Beispiele finden Sie im nachfolgenden Abschnitt Code-Formatierung.

Abschnittsüberschrift | Kommentar
Zweck | Was die Prozedur tut (nicht, wie sie es tut).
Annahmen | Liste der Auswirkungen dieser Prozedur auf externe Variablen, Steuerelemente oder andere Elemente.
Auswirkungen | Liste der Auswirkungen dieser Prozedur auf externe Variablen, Steuerelemente oder andere Elemente.
Eingehende Werte | Erläuterung jedes Arguments, das nicht offensichtlich ist. Jedes Argument sollte in einer separaten Zeile mit Kommentaren im Code beschrieben werden.
Rückgabewerte | Erklärung des zurückgegebenen Wertes.

Berücksichtigen Sie folgende Punkte:

Die Deklaration jeder wichtigen Variablen sollte einen Kommentar im Code enthalten, der die Verwendung der deklarierten Variablen beschreibt.

Variablen, Steuerelemente und Prozeduren sollten so klar benannt werden, dass Kommentare im Code nur noch für komplexe Implementierungsdetails nötig sind.

Sie sollten am Anfang Ihres Skripts eine übersicht einfügen, die das Skript beschreibt und die Objekte, Prozeduren, Algorithmen, Dialogfelder und andere Systemabhängigkeiten auflistet. Manchmal kann ein Stück Pseudo-Code helfen, einen Algorithmus zu beschreiben.

Noch in diesem Kapitel

Code-Formatierung


Code-Formatierung

Handbuch > Programmierschnittstellen > Process Control Engine (PCE) > VBScript - Einführung > Konventionen für die Programmierung > Konventionen für Code-Kommentare > Code-Formatierung

Sie sollten mit dem Platz auf dem Bildschirm möglichst sparsam umgehen und trotzdem den Code so formatieren, dass die logische Struktur und Verschachtelung deutlich wird. Hier sind einige Hinweise:

  • Normal verschachtelte Blöcke sollten um vier Leerzeichen eingerückt sein.
  • Der übersichtskommentar einer Prozedur sollte um ein Leerzeichen eingerückt sein.
  • Die Anweisungen auf höchster Ebene, die auf den übersichtskommentar folgen, sollten um vier Leerzeichen eingerückt sein. Jeder verschachtelte Block sollte jeweils um weitere vier Leerzeichen eingerückt werden.

Beispiel:

Der folgende Code entspricht den VB Script Code Konventionen:

  • Zweck: Sucht das erste Vorkommen des angegebenen Benutzers im Datenfeld BenutzerListe.
  • Eingaben: strBenutzerListe(): Zu durchsuchende Benutzerliste.
  • strZielBenutzer: Name des zu suchenden Benutzers.
  • Rückgabewerte: Index des ersten Vorkommens von strZielBenutzer im Datenfeld strBenutzerListe.
    Wenn der gesuchte Benutzer nicht gefunden wird: -1.

Function intSucheBenutzer (strBenutzerListe(), strZielBenutzer)

Dim i ' Schleifenzähler.

Dim blnGefunden ' 'Ziel gefunden'-Attribut.

intSucheBenutzer = -1

i = 0 ' Schleifenzähler initialisieren

Do While i <= Ubound(strBenutzerListe) and Not blnGefunden

If strBenutzerListe(i) = strZielBenutzer Then

blnGefunden = True ' Flag auf True setzen

intSuche Benutzer = i ' Rückgabewert für Schleifenzähler setzen

End If

i = i + 1 ' Schleifenzähler erhöhen

Loop

End Function


Object Model

Handbuch > Programmierschnittstellen > Object Model

In diesem Bereich finden Sie die Hilfe zum zenon Object Model. Diese steht zur Verfügung für Add-Ins sowie VBA, VSTA und die externe COM-Schnittstelle.

Die jeweils aktuellste Version finden Sie online auf: https://onlinehelp.copadata.com.


Projektkonvertierung

Handbuch > Projektkonvertierung

Beim Einsatz neuer Versionen von zenon müssen Projekte, die mit vorhergehenden Versionen erstellt wurden, in die neue Version konvertiert werden. Sind beim Konvertieren bestimmte Eigenschaften oder Änderungen zu beachten, werden diese in den Hinweisen zur Konvertierung in diesem Handbuch beschrieben.

Konvertierung beim Update und Downgrade

Wenn Sie zenon auf eine höhere Version updaten, werden Projekte beim Öffnen in der neuen Version automatisch in die höhere Version konvertiert. Ab diesem Zeitpunkt kann das Projekt in älteren Editor-Versionen nicht mehr bearbeitet werden. Es wird aber automatisch auch eine Projektsicherung des konvertierten Projekts in der Ausgangsversion erstellt.
Achtung: Ist bereits eine Projektsicherung mit gleichem Namen vorhanden, wird diese ohne Rückfrage überschrieben.

Das Konvertieren eines Projektes, das in einer höheren Version erstellt wurde, in eine niedrigere Version (Downgrade) ist nicht möglich.

Abwärtskompatibilität

Ab Version 6.21 sind Projekte für die Runtime abwärtskompatibel. Sie können also in einem Editor mit höherer Versionsnummer bearbeitet werden. Die Runtime-Abwärtskompatibilität eignet sich besonders für den Einsatz gemischter Versionen, etwa: Ein Projekt, das mit Version 6.50 projektiert wird, kann auch auf einer Runtime, die noch unter 6.22 läuft, eingesetzt werden.

attention Achtung

Werden in einem Projekt mit einem Editor der höheren Version Eigenschaften projektiert, die in der niedrigeren Version nicht verfügbar sind, kann das zur Runtime zu ungewünschten Ergebnissen führen.

Noch in diesem Kapitel

Empfohlene Vorgangsweise Runtime-Dateien konvertieren

Konvertierung für Mehrplatzfähige Projekte bei unterschiedlichen SQL Datenbankversionen

Konvertierung von Version 2.20 auf 3.04

Konvertierung von Version 3.04, 3.50 auf 3.52

Konvertierung von Version 3.52 auf 5.11

Konvertierung von Version 3.52 auf 5.x oder 6.x

Konvertierung von Version 5.11 auf 5.50

Konvertierung von Version 5.50 auf 6.01

Konvertierung von Version 5.50 nach S7 dBase Export

Konvertierung von Version 6.01 auf 6.20

Konvertierung von Version 5.50 auf Version > 6.22SP1

Konvertierung von Version X auf Version 6.21

Konvertierung von Version X auf Version 6.22

Konvertierung von Version X auf Version 6.50

Konvertierung von Version X auf Version 6.51

Konvertierung von Version X auf Version 7.00

Konvertierung von Version X auf Version 7.10

Konvertierung von Version X auf Version 7.11

Konvertierung von Version X auf Version 7.20

Konvertierung von Version X auf Version 7.50

Konvertierung von Version X auf Version 7.60

Konvertierung von Version X auf Version 8.00


Empfohlene Vorgangsweise Runtime-Dateien konvertieren

Handbuch > Projektkonvertierung > Empfohlene Vorgangsweise Runtime-Dateien konvertieren

Achten Sie bei der Projektkonvertierung darauf, dass auch zur Runtime änderbare Dateien korrekt konvertiert werden.

Um zur Runtime änderbare Dateien zu konvertieren:

  1. Importieren Sie die Dateien von der Runtime in die Ausgangsversion des Editors.
  2. Führen Sie das Update auf die neue Version durch.
  3. Navigieren Sie in den Projekteigenschaften zum Abschnitt Allgemein.
  4. Klicken Sie auf die Eigenschaft Zur Runtime änderbare Daten.
  5. Der Dialog für die Einstellungen der zur Runtime änderbaren Dateien öffnet sich.

  6. Deaktivieren Sie alle Checkboxen in der Spalte Nicht neu erzeugen und übertragen
  7. Kompilieren Sie das Projekt (Alle Runtime-Dateien erzeugen)
  8. Ändern Sie die Checkboxen in der Eigenschaft Zur Runtime änderbare Daten wieder auf den Status vor der Konvertierung


Konvertierung für Mehrplatzfähige Projekte bei unterschiedlichen SQL Datenbankversionen

Handbuch > Projektkonvertierung > Konvertierung für Mehrplatzfähige Projekte bei unterschiedlichen SQL Datenbankversionen

Werden Merhplatzfähige Projekte in eine zenon Version mit einer neueren Version des SQL Servers konvertiert, muss folgende Vorgangsweise beachtet werden.

Achtung: Mehrplatzfähige Projekte können nur dann konvertiert werden, wenn keine Elemente in Bearbeitung sind. Alle Mitarbeiter müssen ihre Änderungen daher vorher übernehmen. Sollte das aus irgendeinem Grund nicht möglich sein, muss zuerst eine Projektsicherung des Projekts am Projekt SQL-Server gemacht werden und diese sofort wieder zurückgesichert werden. Dabei werden alle In Bearbeitung Informationen zurückgesetzt.

attention Achtung

Alle Änderungen an lokalen Projektständen gehen dabei verloren.

Die Konvertierung kann nur auf jenem Rechner durchgeführt werden, auf dem sich die zentrale Projektdatenbank befindet. Befindet sich diese auf einem Rechner, auf dem kein Editor installiert ist (Standalone Datenbankserver), muss zuerst auf diesem Rechner der Editor der alten Version installiert werden. Erst dann kann die Konvertierung auf diesem Rechner durchgeführt werden.

Anleitung Update auf neue Version mit neuer Datenbank

Bei dieser Vorgehensweise gehen wir davon aus, dass die alte Datenbank nicht mehr benutzt wird. Dabei werden:

  • Runtimeänderbare Dateien berücksichtigt
  • Mehrbenutzer-Clients vor der Projektsicherung entfernt

Aufgaben in bisheriger zenon Version

Folgende Schritte werden auf allen Client-Rechner für die Mehrplatzfähigen Projekte ausgeführt:

  1. Führen Sie auf allen Clients für alle Objekte mit dem Status Änderungen ermöglichen entweder Änderungen übernehmen oder Änderungen verwerfen aus. Kein Objekt darf den Status Änderungen ermöglichen haben.
  2. Löschen Sie jeweils die lokalen Projektkopien im Editor.

Folgende Schritte werden am Rechner mit der Datenbank für die Mehrplatzfähigen Projekte ausgeführt:

  1. Optional: Importieren Sie alle Änderungen, die in der Runtime vorgenommen wurden:
    1. Für alle Module: Setzen Sie den Status Änderungen ermöglichen.
    2. Navigieren Sie zu den Projekteigenschaften Allgemein -> Zur Runtime änderbare Daten und setzen Sie alle Checkboxen für Nicht dekompilieren auf inaktiv.
    3. Lesen Sie alle Dateien von der Runtime per Remote-Transport zurück in den Editor.
    4. Setzen Sie die Checkboxen in Zur Runtime änderbare Daten wieder auf den gewünschten Status.
    5. Für alle Module: Setzen Sie den Status Änderungen übernehmen.
    6. Wiederholen Sie diese Schritte für alle Projekte.
  2. Wählen Sie im Kontextmenü des Arbeitsbereichs den Befehl Bestehendes Projekt einfügen.
  3. Navigieren Sie zum Projekt, expandieren Sie den Unterknoten Verbundene lokale Projektkopien.
  4. Führen Sie den folgenden Schritt für alle aufgelisteten Rechner aus, ausgenommen den Rechner mit der Rolle des Datenbankservers:
    • Führen Sie einen Rechtsklick auf den verbundenen Rechner aus und wählen Sie Verbindung trennen.
  5. Wiederholen Sie die Schritte2 bis 4 für alle Projekte.
  6. Erstellen Sie eine Sicherung des Arbeitsbereichs und für jedes Projekt eine Projektsicherung.

Aufgaben in neuer zenon Version

Folgende Schritte werden am Rechner mit der Datenbank für die Mehrplatzfähigen Projekte ausgeführt:

  1. Installieren Sie den neuen Editor.
  2. Starten Sie den Rechner neu.
    Hinweis: Ab diesem Moment wird die alte Datenbank nicht mehr verwendet.
  3. Lesen Sie die Arbeitsplatzsicherung zurück:
    1. Wählen Sie den gleichen Ordner, in dem sich der Arbeitsbereich der alten Version befand.
    2. Wählen Sie Ja, um den existierenden Arbeitsbereich zu überschreiben.
    3. Wählen Sie Ja, um alle Projekte zu konvertieren.
  4. Stellen Sie sicher, dass der Port 1433 nicht von einer Firewall blockiert wird oder fügen Sie den SQL Browser zu den Ausnahmen für die Firewall-Regeln hinzu.
  5. Stellen Sie sicher, dass der neue SQL Server Remote-Verbindungen zulässt.
    Verbinden Sie sich dazu mit dem SQL Server Management Studio und überprüfen Sie die Eigenschaften im Abschnitt Connections.

Folgende Schritte werden auf allen Client-Rechner für die Mehrplatzfähigen Projekte ausgeführt:

  1. Installieren Sie den neuen Editor.
  2. Starten Sie den Rechner neu.
  3. Öffnen Sie den existierenden Arbeitsbereich.
    Im Ausgabefenster werden dabei Fehlermeldungen angezeigt.
  4. Wählen Sie im Kontextmenü des Arbeitsbereichs den Befehl Bestehendes Projekt einfügen.
  5. Geben Sie den Namen des Rechners mit der Datenbank für die Mehrplatzfähigen Projekte ein.
  6. Wählen Sie Aktualisieren.
  7. Wählen Sie das Projekt, das eingefügt werden soll.
    1. Beginnen Sie mit dem Globalprojekt.
    2. Fügen Sie dann, sofern vorhanden, das Integrationsprojekt ein.
    3. Fügen Sie dann alle anderen gewünschten Projekte ein.

Die Projekte sollten jetzt im Arbeitsbereich vorhanden und synchronisiert sein.


Konvertierung von Version 2.20 auf 3.04

Handbuch > Projektkonvertierung > Konvertierung von Version 2.20 auf 3.04

Noch in diesem Kapitel

Reorganisieren der Datenbank


Reorganisieren der Datenbank

Handbuch > Projektkonvertierung > Konvertierung von Version 2.20 auf 3.04 > Reorganisieren der Datenbank
  1. Anlegen eines temporären Verzeichnisses und eines Unterverzeichnisses. Name des Unterverzeichnisses: XX. Zum Beispiel: C:/TEMP/XX wobei C:/TEMP der Pfad der Originaldatenbank und C:/TEMP/XX der Pfad für die reorganisierte Datenbank ist. Vergessen Sie nicht Ihre Orginaldatenbank zu sichern.
  2. Kopieren der Originaldatenbank und REV.BAT und DATAMGR.RDL ins C:/TEMP
  3. Kopieren der neuen DBD-Files (der neuen Datenbank) und der Datei DBAREORG.EXE in das XX-Verzeichnis.
  4. Pfade auf den Ordner setzen, in dem sich DBREV.EXE und INITDB.EXE befinden, oder kopieren dieser Dateien sowohl nach C:/TEMP als auch nach C:/TEMP/XX. Prüfen, ob diese beiden Programme ohne Pfadangabe im DOS-Fenster gestartet werden können.
  5. Achten Sie darauf, dass genug Platz im DOS-Speicherbereich zur Verfügung steht (min. 500 K)
  6. Aufrufen der Batch-Datei REV.BAT im DOS-Fenster

    Inhalt:

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q -s datamgr.rdl datamgr xx/datamgr
  7. Starten der DBAREORG.EXE aus dem zenon Ordner von Windows aus (Datei ausführen).
  8. Einstellung des Pfades in dem sich die Datenbank befindet (XX) über CONVERT 2xx -> 3xx und PFADEINSTELLUNGEN.
  9. Über CONVERT 2xx -> 3xx und KONVERTIERE die Reorganisation starten.
  10. Reorganisation ist beendet. Die neue Datenbank befindet sich im XX-Pfad. Sofern vorhanden löschen Sie die TAF-Dateien aus dem XX-Pfad heraus. Die Originaldatenbank befindet sich weiterhin im TEMP-Verzeichnis.
  11. Ist die Reorganisation beim ersten Mal nicht gelungen, so muss mit Punkt 1 wieder begonnen werden, da sonst ja die reorganisierte Datenbank ein weiteres Mal konvertiert werden würde.

Ergebnis des Reorganisierens: | es wurden alle Bilder konvertiert
 | es wurden alle Variablen konvertiert
 | es wurden alle Funktionen konvertiert, jedoch muss die Verknüpfung der Funktionen neu vorgenommen werden. Ausnahme: die Bilddirekt-Funktion muss nicht mehr neu verknüpft werden
 | es wird ein log-File (DBAREORG.LOG) angelegt (in dem Ordner aus dem DBAREORG.EXE gestartet wurde), in welchem die Information bez. der nicht verknüpften Funktionen steht

Noch in diesem Kapitel

Reorganisieren der Datenbank bei Änderung der Strukturen


Reorganisieren der Datenbank bei Änderung der Strukturen

Handbuch > Projektkonvertierung > Konvertierung von Version 2.20 auf 3.04 > Reorganisieren der Datenbank > Reorganisieren der Datenbank bei Änderung der Strukturen
  1. Anlegen eines temporären Unterverzeichnisses. Name des Unterverzeichnisses: XX
  2. Kopieren der neuen DBD-Files in das XX-Verzeichnis.
  3. Aufrufen der Batch-Datei REV.BAT:

    Inhalt:

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q datamgr xx/datamgr


Konvertierung von Version 3.04, 3.50 auf 3.52

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52

Noch in diesem Kapitel

Betriebssystem

AML/CEL-Export

AML/CEL, Archive

Netzwerkbetrieb

Archive

Layer

Kreisbögen

Abwärtskompatibilität

Datenbank

Rückdoku (QRF-Abfragen)

Amerikanische Zeitformate

Alarmdrucker

Symbole

Zoomfunktion

Projektsicherung

Filter für Systemfenster

Export Variable

Element Text verknüpfen


Betriebssystem

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Betriebssystem

Die Version 3.52 ist nur unter Windows NT 4.0 und WIN 95 lauffähig.


AML/CEL-Export

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > AML/CEL-Export

Der Exportname der AML/CEL-Einträge hat sich geändert. Jetzt Ajjmmdd.TXT oder Cjjmmdd.TXT. Für den Export gibt es nun eine Funktion, die z. B. über die Zeitsteuerung aufgerufen werden kann. Die alten Einstellungen entfallen.


AML/CEL, Archive

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > AML/CEL, Archive

Es werden jetzt grundsätzlich Archive für AML und CEL geschrieben. Diese Tagesarchive haben keine Dateibegrenzung. Deshalb ist gegebenen Falls eine Löschfunktion zu projektieren. Damit stellen Sie sicher, dass nicht die ganze Speicherkapazität der Festplatte mit den Archiven gefüllt wird (siehe Funktion Dateioperationen). Beim Einlesen der Archive wird der verfügbare Speicher über folgenden zenon6.ini-Eintrag begrenzt.

[ARCHIV]

...

SPEICHER=1000 (default=1000, entspricht 1MB)


Netzwerkbetrieb

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Netzwerkbetrieb

Die Treiber sind auf lokal umzustellen. Im Abschnitt [Befehlsgabe] der zenon6.ini ist der Eintrag Treiber= zu löschen.


Archive

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Archive

Archive werden jetzt in einem Unterverzeichnis zum Projektpfad gespeichert. Bestehende ARV-Dateien werden beim ersten Neustart verschoben.


Layer

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Layer

Es werden keine Layer mehr beim DXF-Import unterstützt. Layer werden jetzt als Symbole bezeichnet.


Kreisbögen

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Kreisbögen

Kreisbögen sind durch Kreissegmente ersetzt worden. Bestehende Kreisbögen werden bis zur Änderung beibehalten.


Abwärtskompatibilität

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Abwärtskompatibilität

Die Version 3.52 ist nicht abwärtskompatibel. (Betrifft z. b, zenon.ini, Symbole und Funktionsverwaltung)


Datenbank

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Datenbank

Es wird eine neue Datenbankstrukturdatei ausgeliefert. (DATAMGR.DBD,20.11.1996,14.759 Byte)

Diese Datei wird bei Chargenarchiven benötigt und ist in das Projektverzeichnis zu kopieren.

*.TAF und *.LOG Dateien im Projektverzeichnis löschen.


Rückdoku (QRF-Abfragen)

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Rückdoku (QRF-Abfragen)

In den QRF-Dateien sind die Abfragen für VARIABLE und Langtext geändert worden.

  • field VARIABLE = dwkanalNr translate using 1 display as left (30);
  • field LANGTEXT = dwkanalNr translate using 6 display as left (39);


Amerikanische Zeitformate

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Amerikanische Zeitformate

Als Zeitformat wird AM/PM nicht unterstützt.


Alarmdrucker

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Alarmdrucker

Bei Ausfall des Alarmdruckers wird jetzt automatisch auf den Windows-Standarddrucker umgeschaltet. Soll keine Druckausgabe erfolgen, so ist im Editor die Anzeige des Alarmdruckers zu löschen.


Symbole

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Symbole

Symbole müssen nach Neuskalierung vor der Ablage in der Symbolbibliothek aufgelöst und neu zugeordnet werden. Bitmaps in Symbolen müssen getrennt gesichert werden. Symboldateien werden im Verzeichnis ../zenon abgelegt.


Zoomfunktion

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Zoomfunktion

Die Zoomfunktion darf zur Kontrolle und zum Bearbeiten von Elementen benutzt werden.


Projektsicherung

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Projektsicherung

Eine Datenbank besteht jetzt aus den Dateien:

*.VBF

*.IDX

*.DAT

*.BIN

*.DBD

*.INI

*.MDB

*.MIB (für NWM III)

*.NWM (für NWM III)

*.EMS (für 230 EMS)

Für das Sichern der Archive (*.ARV,*.CEL,*.AML) ist das entsprechende Unterverzeichnis zu berücksichtigen.

attention Achtung

Die Datei ALARM.BIN im Archivverzeichnis speichert den letzten Zustand der AML beim Beenden der Runtime und sollte nicht gesichert werden.


Filter für Systemfenster

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Filter für Systemfenster

Wir empfehlen die Filter für die Systemfenster bezüglich der neuen Funktionalität (z. B. Scheduler, Archivzugriffe für AML/CEL) zu prüfen.


Export Variable

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Export Variable

Für die Verwendung der Exportdatei unter DBASE, Foxpro muss die max. Spaltenbreite für Variablenname und Langtext von 128 Zeichen auf max. 100 Zeichen begrenzt werden.

Hierzu ist folgender zenon6.ini-Eintrag erforderlich.

[EXPORT]

MAX_LAENGE= z. B. 40


Element Text verknüpfen

Handbuch > Projektkonvertierung > Konvertierung von Version 3.04, 3.50 auf 3.52 > Element Text verknüpfen

Die Texte sind jetzt bei alten Projekten nicht mehr zentriert, sondern linksbündig ausgerichtet. Dies lässt sich über die Elementparametrierung ändern. Sollten bei bestehenden Projekten dadurch umfangreiche Anpassungen erforderlich sein,gehen Sie wie folgt vor:

  1. zenon6.ini [Editor] Konvert=1 eintragen
  2. Im Editor unter Bild öffnen Option alte Textelemente setzen und betreffendes Bild öffnen und abspeichern. Vorgang für jedes betroffene Bild wiederholen.
  3. zenon6.ini [Editor] Konvert=1 löschen


Konvertierung von Version 3.52 auf 5.11

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11

Noch in diesem Kapitel

Arbeiten welche in der Version 3.52 durchgeführt werden

Arbeiten welche in der Version 5.11 durchgeführt werden


Arbeiten welche in der Version 3.52 durchgeführt werden

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11 > Arbeiten welche in der Version 3.52 durchgeführt werden

Noch in diesem Kapitel

Vorarbeiten

Gedrehte Schriften

Bildnamen mit Sonderzeichen


Vorarbeiten

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11 > Arbeiten welche in der Version 3.52 durchgeführt werden > Vorarbeiten

Zur Sicherheit sollte ein Backup des Projekts in der alten Version erstellt werden.

Die Projektdatenbank sollte mit dem mitgelieferten Tool mit DBCHECK in der Version 3.52 überprüft werden. Treten bei der Überprüfung Fehler auf, so können diese mit dem ebenfalls mitgelieferten Tool DBFIX in der Version 3.52 repariert werden.


Gedrehte Schriften

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11 > Arbeiten welche in der Version 3.52 durchgeführt werden > Gedrehte Schriften

Gedrehte Schriften verhalten sich, was die Positionierung betrifft, in der Version 3.52 anders als in der Version 5.50 und müssen nachbearbeitet werden.

Um eine mit der Version 3.52 kompatible Darstellung zu erreichen, muss in der project.ini folgender Eintrag gesetzt werden.

[Version]

TEXT352=1


Bildnamen mit Sonderzeichen

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11 > Arbeiten welche in der Version 3.52 durchgeführt werden > Bildnamen mit Sonderzeichen

Bildnamen dürfen keine Sonderzeichen wie / / : * ? < > | Ä Ö Ü enthalten, da die Bilder als Dateien abgespeichert werden. Das Windows Betriebssystem erlaubt keine solchen Sonderzeichen.

Sollten bereits bestehende Bildnamen diese Sonderzeichen enthalten, so müssen diese Bildnamen in der Vorgängerversion z. B.: 3.52 geändert werden, bevor sie in die Version 5.x übernommen werden können.

attention Achtung

Auch alle Funktionen, die ungültige Bildnamen enthalten müssen geändert werden.

Wird diese Änderung nicht durchgeführt, werden die betroffenen Bilder nicht konvertiert, und stehen dann in der Version 5.x nicht zur Verfügung.

attention Achtung

Wenn ein 3.5X Projekt fehlende Schablonen oder leere Zuweisungen hat, kommt beim Hochstarten der Runtime 5.11 zu folgender Fehlermeldung: Es wurde versucht auf eine Datei hinter dem Dateiende zuzugreifen und die Runtime stürzt ab.

Daher sind alte 3.5X Projekte auf fehlende Schablonen oder leere Zuweisungen vor dem Konvertieren zu prüfen.


Arbeiten welche in der Version 5.11 durchgeführt werden

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11 > Arbeiten welche in der Version 5.11 durchgeführt werden

zenon Version 5.11 muss installiert werden.

Noch in diesem Kapitel

Lizenzierung


Lizenzierung

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.11 > Arbeiten welche in der Version 5.11 durchgeführt werden > Lizenzierung

Die Lizenznummern der Version 5.x sind mit den Lizenznummern der Vorgängerversionen nicht mehr kompatibel. Für Updates müssen neue Lizenznummern bestellt werden, und im Editor eingetragen werden. Lizenzierungen für alle Versionen bis 3.52 bleiben davon unberührt, da die neuen Seriennummern unter neuen Einträgen in der zenon.ini gespeichert werden:

[DEFAULT]

SERIAL5=xxx

ACTIVATIONKEY5=xxx

In den Start-ICONs darf jetzt kein Login-Name mehr hinterlegt werden.

Ein bestehendes Projekt muss in einen neuen Arbeitsbereich integriert werden.

Der Simulator-Treiber arbeitet jetzt mit dem gleichen Treibermodell wie alle anderen Treiber. Unter Treiber/Konfiguration ist Hardware auszuwählen.

Nach dem Einlesen eines 3.52-Projektes und der Umsetzung der Bilder muss das richtige Bildschirmprofil ausgewählt werden und der Editor neu gestartet werden.

In der zenon.ini gibt es einen Eintrag, der die Größe des Treiber Puffers definiert. Als Faustregel für den Wert gilt Variablenanzahl mal 10.

[RT]

DRIVER_QUE =50000

Falls dieser Wert zu klein ist, kommt es zu Aktualisierungsproblemen in der Visualisierung.

Es wird empfohlen, einen Überlauf zu alarmieren. Dafür steht ein Systemtreibervariable zur Verfügung: Projektinfo/Treiber-Queue


Konvertierung von Version 3.52 auf 5.x oder 6.x

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.x oder 6.x

Noch in diesem Kapitel

Dynamisches Element Schalter konvertieren


Dynamisches Element Schalter konvertieren

Handbuch > Projektkonvertierung > Konvertierung von Version 3.52 auf 5.x oder 6.x > Dynamisches Element Schalter konvertieren

Schalter, die in einem Projekt der Version 3.52 angelegt wurden, müssen beim Umstieg auf eine höhere zenon Version per XML-Export konvertiert werden.

Vorgangsweise in der neuen zenon Version:

  1. Kontextmenü Bilder -> Alle als XML exportieren...
  2. Bilder in neue Datei exportieren
  3. Kontextmenü Bilder -> XML importieren
  4. exportierte Datei auswählen und importieren


Konvertierung von Version 5.11 auf 5.50

Handbuch > Projektkonvertierung > Konvertierung von Version 5.11 auf 5.50

Noch in diesem Kapitel

Arbeiten welche in der Version 5.11 durchgeführt werden

Arbeiten welche in der Version 5.50 durchgeführt werden


Arbeiten welche in der Version 5.11 durchgeführt werden

Handbuch > Projektkonvertierung > Konvertierung von Version 5.11 auf 5.50 > Arbeiten welche in der Version 5.11 durchgeführt werden

Es wird empfohlen vor der Konvertierung ein Backup des Istzustandes zu erstellen. Gesichert werden müssen Projektierungsdaten, sowie Runtime änderbare Dateien.

Die Projektdatenbank sollte überprüft und gegebenenfalls repariert werden. Nähere Hinweise dazu befinden sich auf dem Installationsmedium unter Software/TOOLS/DB_TOOLS/DB_DOKU.DOC.


Arbeiten welche in der Version 5.50 durchgeführt werden

Handbuch > Projektkonvertierung > Konvertierung von Version 5.11 auf 5.50 > Arbeiten welche in der Version 5.50 durchgeführt werden

zenon Version 5.50 muss installiert werden.

Nach dem Start des Editors kann der alte Arbeitsbereich geöffnet werden. Die Projekte werden dann automatisch konvertiert.

Nach dem generieren der Runtime Dateien kann die Runtime gestartet werden.


Konvertierung von Version 5.50 auf 6.01

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01

attention Achtung

Nicht übersetzte Schlüsselwörter in der Sprachtabelle werden bei der Konvertierung gelöscht.

Noch in diesem Kapitel

Arbeiten welche in der Version 5.50 durchgeführt werden

Arbeiten welche in der Version 6.01 durchgeführt werden


Arbeiten welche in der Version 5.50 durchgeführt werden

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden

Vor der Konvertierung müssen die Daten zuerst auf den Projektierungsrechner zurückgelesen werden. Erst dann darf mit der Konvertierung begonnen werden.

Im Eigenschaften-Fenster des Projekts finden Sie unter 'Allgemein' den Dialog 'Zur Runtime änderbare Daten'. Hier legen Sie fest, welche Daten geändert werden sollen. Mehr Information hierzu unter RT änderbare Daten.

Noch in diesem Kapitel

Funktions-Namen

Projekte

In der Runtime änderbare Projektierungsdaten (Benutzer, Rezepte usw.)

Daten

Profile

3S Arti Treiber (ab SP2)


Funktions-Namen

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden > Funktions-Namen

Es ist darauf zu achten, dass keine doppelten Funktions-Namen im Projekt vorhanden sind. Da in der Version 5.50 nicht unbedingt Funktions-Namen vergeben werden müsse, überprüft zenon nicht auf Eindeutigkeit. Dies ist für die Version 5.50 auch nicht nötig. In der Version 6.x werden die Funktionen allerdings nach ihrem Namen identifiziert.


Projekte

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden > Projekte

Bevor Sie ein 5.50 Projekt im Editor Version 6 öffnen können müssen Sie zuerst das Projekt konvertieren. (Datei - Projekt 5.50 einfügen...) Dabei bleibt das alte Projekt erhalten und es wird eine Kopie davon im SQL-Server erstellt. Diverse externe Dateien und Verzeichnisse werden in die neue Editor und Runtime Verzeichnisstruktur nicht übernommen. Diese Dateien/Verzeichnisse müssen von Ihnen manuell angepasst oder in die Projekte eingefügt werden (Im Projektbaum unter Dateien)

Dies betrifft z. B.: benutzerdefinierte Unterverzeichnisse im Projektverzeichnis, erweiterte Listenverzeichnisse, Datenbanken, Exportverzeichnisse, usw....


In der Runtime änderbare Projektierungsdaten (Benutzer, Rezepte usw.)

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden > In der Runtime änderbare Projektierungsdaten (Benutzer, Rezepte usw.)

Müssen vor der Konvertierung in den Editor rückgelesen werden, damit keine Änderungen die in der Runtime gemacht wurden verloren gehen.


Daten

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden > Daten

Die von der Runtime generierten Dateien wie z. B. AML-, CEL-Dateien, HD-Daten, Bin-Files usw. sind kompatibel. Diese müssen manuell in die entsprechenden Runtime Verzeichnisse der Version 6 umkopiert werden. Die Daten sollten beim ersten Mal Starten der Runtime konvertiert werden. Bei sehr großen Datenmengen müssen Sie entsprechend Zeit dafür einplanen.


Profile

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden > Profile

Die Profile für die Alarmierung, Erweitertem Trend usw. werden in Version 5.50 in der Datei mit dem Namen des Projekts und der Endung zrt gespeichert. Bsp.: Für das Projekt Messung heißt die Datei Messung.zrt. Diese Datei müssen Sie nach der Konvertierung des Projekts in project.zrt umbenennen. Danach müssen Sie die Datei in denselben Ordner im RT Pfad legen, in dem sich auch die project.ini befindet.


3S Arti Treiber (ab SP2)

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 5.50 durchgeführt werden > 3S Arti Treiber (ab SP2)

Beim 3S Arti Treiber hat sich der Name der Variablen-Zuordnungsdatei geändert. Daher muss die Datei bevor neue Variablen aus der Steuerung ausgebrowst werden, umbenannt werden. Genauere Information dazu finden Sie in der Treiberdokumentation.


Arbeiten welche in der Version 6.01 durchgeführt werden

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 6.01 durchgeführt werden

zenon Version 6.01 muss installiert werden.

Noch in diesem Kapitel

Lizenzierung

Benutzerverwaltung/Passwortsystem

Konfigurationseinstellungen

Simulator-Treiber

Bildfunktionen


Lizenzierung

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 6.01 durchgeführt werden > Lizenzierung

Die Lizenznummern der Version 6.x sind mit den Lizenznummern der Vorgängerversionen nicht mehr kompatibel. Für Updates müssen neue Lizenznummern bestellt werden, und im Editor eingetragen werden. Lizenzierungen für alle Versionen bis 5.x bleiben davon unberührt, da die neuen Seriennummern unter neuen Einträgen in der zenon6.ini anstelle der zenon.ini gespeichert werden.


Benutzerverwaltung/Passwortsystem

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 6.01 durchgeführt werden > Benutzerverwaltung/Passwortsystem

In der Benutzerverwaltung der Version 6.x gibt es die neue Eigenschaft Administrator. Nur mehr Administratoren dürfen Benutzerdaten in der Runtime verändern. Da es diese Eigenschaft in den älteren Versionen noch nicht gegeben hat, bleibt sie bei den bestehenden Benutzern als Default nicht aktiviert. Sollten Benutzer in der Runtime Benutzerdaten ändern können, so muss dies in der Version 6.x nachprojektiert werden!


Konfigurationseinstellungen

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 6.01 durchgeführt werden > Konfigurationseinstellungen

Außerdem sind alle Eigenschaften der Projekte sowie die Einstellungen unter Optionen/Einstellungen zu überprüfen.

Nachdem die zenon.ini durch die zenon6.ini ersetzt wurde, müssen auch eventuelle manuelle Änderungen (z. B. für die Archivierung der Eintrag SPEICHER=) in der zenon.ini von Hand in die zenon6.ini kopiert werden.


Simulator-Treiber

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 6.01 durchgeführt werden > Simulator-Treiber

Da auch die aktuellen Einstellungen des Simulator-Treibers in der zenon.ini gespeichert sind, werden diese für das Runtime Verhalten nun aus der zenon6.ini verwendet. Hier stehen nach der neuen Installation aber noch die Default-Einstellungen. Diese sollten nach der Installation auf die Einstellungen aus der alten zenon.ini geändert werden.

Nach dem Erzeugen der Runtime Dateien kann die Runtime gestartet werden.


Bildfunktionen

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf 6.01 > Arbeiten welche in der Version 6.01 durchgeführt werden > Bildfunktionen

In der Version 5.50 (und früheren) konnten nur Skripte (nicht aber Funktionen) mit Bildern verknüpft werden, die automatisch beim Öffnen oder Schließen des Bildes ausgeführt wurden.

In der Version 6.01 (und späteren) können nur mehr Funktionen mit Bildern verknüpft werden, daher gehen die Bezüge zu den Skripten verloren. Die gewünschten Funktionen müssen also erneut mit den entsprechenden Bildern verknüpft werden.


Konvertierung von Version 5.50 nach S7 dBase Export

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 nach S7 dBase Export

Bei der Konvertierung eines 5.50 Projekts kann es zu einem Konvertierungsfehler kommen. Typische Fehlermeldung:
"Fehler Treiber 'SIMUL32 - SIMULATORTREIBER' Variable 'Sub_VISU_E1_IGEF' Type für Primitivobjekt '34' Datentyp 8 nicht definiert."

Ursache:

Die Variablen wurden

  • auf einem S7-Treiber angelegt
  • als dBase exportiert
  • und dann auf dem Simualtortreiber wieder importiert

Lösung

  • Variablen mit zenon 5.50 als dBase exportieren
  • in der dBase-Datei Treiberobjekttyp und Datentyp kontrollieren und den Treiber entsprechend anpassen


Konvertierung von Version 6.01 auf 6.20

Handbuch > Projektkonvertierung > Konvertierung von Version 6.01 auf 6.20

Projekte der Version 6.01 müssen beim ersten Laden im aktuellen Editor konvertiert werden. Dabei wird automatisch eine Sicherung des Projekts im Verzeichnis /SQL/Backup erstellt.

attention Achtung

Nicht übersetzte Schlüsselwörter in der Sprachtabelle werden bei der Konvertierung gelöscht.

Noch in diesem Kapitel

Archivdateien

Archivauslagerung in SQL Datenbank


Archivdateien

Handbuch > Projektkonvertierung > Konvertierung von Version 6.01 auf 6.20 > Archivdateien

Ab Version 6.20 SP0 werden Archivdateien im Format ARX abgelegt, davor wurde das Format ARV verwendet. Wird ein Projekt konvertiert, wird beim Start der Runtime geprüft, ob sich Archivdateien im ARV-Format im Runtime-Ordner befinden. Nach Bestätigung der Konvertierung werden die Dateien in das ARX-Format umgewandelt. Diese Konvertierung wird für sämtliche Projekte ausgeführt bevor die Projekte starten. Bei der Konvertierung werden die ARV-Dateien gelöscht. Für die Auslagerung nach SQL müssen der Tabelle weitere Spalten hinzugefügt werden.

Empfehlung: Sichern Sie die ARV-Dateien vor der Konvertierung.


Archivauslagerung in SQL Datenbank

Handbuch > Projektkonvertierung > Konvertierung von Version 6.01 auf 6.20 > Archivauslagerung in SQL Datenbank

Die Datenbanktabelle <Projektname>_<Kurzbezeichnung> wurde um zwei zusätzliche Spalten erweitert:

  • GUID: char 36. Nimmt die Projekt-GUID der Variable aus einem fremden Projekt auf oder ist NULL, wenn die Variable aus dem eigenen Projekt kommt.
  • STRVALUE: varchar. Nimmt die archivierten String-Werte auf. Bei einer numerischen Variable hat das Feld den Wert NULL.
    Die Größe des varchar Datenfeldes hängt von der längsten zu archivierenden String-Variable ab. Die Länge der String-Variable wird bei den Variableneigenschaften eingestellt.

Die Datenbanktabelle <Projektname>_VARIABLES wurde um eine zusätzliche Spalte erweitert:

  • GUID: char 36. Nimmt die Projekt-GUID der Variable aus einem fremden Projekt auf oder ist NULL, wenn die Variable aus dem eigenen Projekt kommt.

Diese neuen Spalten müssen entweder in der SQL-Datenbank manuell hinzugefügt werden, oder sie werden vom Editor aus hinzugefügt. Im Editor müssen Sie bei allen betroffenen Archiven auf die Speicherkarte Speichern wechseln. Dort öffnen Sie den Verbindungsstring zur Datenbank und bestätigen den Dialog. Beim Schließen des Dialogs werden die Änderungen in der Datenbank durchgeführt.

attention Achtung

Wenn Sie diese Änderungen nicht durchführen, werden keine Archivdaten in die SQL-Datenbank ausgelagert!


Konvertierung von Version 5.50 auf Version > 6.22SP1

Handbuch > Projektkonvertierung > Konvertierung von Version 5.50 auf Version > 6.22SP1

Beachten Sie bei der Konvertierung eines Projekts der Version 5.50 auf eine höhere Version:

Allgemein

  • Sollwert setzen und Combi-Element:

    Nach der Konvertierung ist die Eigenschaft Sollwert setzen bei allen Combi-Elementen aktiviert. Da diese Eigenschaft in Version 5.50 nicht existiert, muss sie bei jedem Combi-Element nach der Konvertierung manuell wieder deaktiviert werden.

  • Projekte kopieren:

    Beim Kopieren von Projekten in der Version 5.50, steht in der project.ini die gleichen GUID Nummern. Beim Konvertieren würde hier das erste Projekt wieder überschrieben.

    Lösung: Löschen Sie den INI-Eintrag vor dem Konvertieren. Damit wird beim Konvertieren eine neue GUID Nummer vergeben.

  • Grafikdateien unsichtbar schalten:

    Soll eine Grafikdatei in einem Combi-Element in einem bestimmten Zustand unsichtbar sein, wurde in Version 5.50 einfach keine Grafikdatei in dem Zustand ausgewählt. Nach dem Konvertieren wird im Combi-Element ein Rechteck angezeigt, da die Eigenschaft Transparent nicht aktiviert wurde.

    Lösung: Aktivieren Sie die Eigenschaft Transparent für die Grafikdatei. Damit erhalten Sie die gleiche Funktionalität.

  • Namen für Bilder:

    Erlaubt sind: Ziffern, Buchstaben und folgende Sonderzeichen: $, -, @, _, {}, ~, !, ()
    Umlaute und alle anderen Sonderzeichen in Bildnamen müssen vor dem Konvertieren entfernt werden.

Rezeptgruppen und Windows CE

Bei der Konvertierung eines Projektes der Version 5.50 mit aktiver Eigenschaft Windows CE Projekt in eine Version höher als 6.22.SP1 werden Rezeptgruppen nicht in die höhere Version konvertiert.

Hintergrund: Mit aktiver Eigenschaft Windows CE Projekt wird der Speichertyp auf binary gesetzt, bevor die RGM Datenbank konvertiert wird. Damit können in der neuen Version keine neuen Rezeptgruppen mehr angelegt werden.

Lösung: Deaktivieren Sie die Eigenschaft Windows CE Projekt vor der Konvertierung.

Sie können dazu entweder:

  • das Projekt im Editor der Version 5.50 öffnen und die Eigenschaft deaktivieren
    oder
  • in der INI-Datei des Projekts den entsprechenden Eintrag ändern. Dazu:
    • öffnen Sie die project.ini des Projekts
    • navigieren Sie zum Abschnitt [RT]
    • setzen Sie den Eintrag WIN_CE=0


Konvertierung von Version X auf Version 6.21

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.21

Noch in diesem Kapitel

zenon Web Client CAB-Datei nicht mehr verfügbar


zenon Web Client CAB-Datei nicht mehr verfügbar

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.21 > zenon Web Client CAB-Datei nicht mehr verfügbar

Die automatische Installation der zenon Web Clients mittels CAB-Datei ist aufgrund der Sicherheitseinschränkungen durch Windows nicht mehr möglich.


Konvertierung von Version X auf Version 6.22

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.22

Noch in diesem Kapitel

Funktionsberechtigungen bei Alarme quittieren

Report Generator Funktion fixed

VBA - Direkter Variablenzugriff per Request ist nicht mehr möglich

RGM - Datenbank geändert

Schablonen - Maximale Länge des Namens


Funktionsberechtigungen bei Alarme quittieren

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.22 > Funktionsberechtigungen bei Alarme quittieren

Ab zenon Version 6.22 wurden in den Projekteigenschaften unter Funktionsberechtigungen die bestehenden Berechtigungen zum Quittieren von Alarmen durch drei neue Berechtigungen ersetzt. Die alte Funktionsberechtigung 'Alarm quittieren' entfällt somit.

Bei der Konvertierung von bestehenden Projekten werden die neuen Funktionsberechtigungen mit der Berechtigung der alten vorbelegt. Das heißt, war vorher für die Funktionsberechtigung 'Alarm quittieren' z. B. die Berechtigungsgruppe 15 notwendig, ist diese Berechtigungsgruppe auch für die drei neuen Funktionen erforderlich.

Für die Editor-Abwärtskompatibilität ist es eventuell erforderlich, dass aus den drei neuen Funktiosberechtigungen die Berechtigungsgruppe auf die alte Funktion übertragen werden muss. Dazu wird dann die höchste Berechtigungsgruppe verwendet. Das heißt, wenn die Funktionen „Alarm quittieren über Alarmzeile“ die Berechtigungsgruppe 5, „Alarm quittieren über Bilder“ die Berechtigungsgruppe 2 und „Alarm quittieren über Funktion“ Die Berechtigungsgruppe 12 haben, bekommt die Funktion „Alarm quittieren“ für die älteren Versionen die Berechtigungsgruppe 12.

info Info

Hinweis zur online Kompatibilität in der Runtime: Wird ein Projekt kleiner zenon Version 6.22 mit der aktuellen Version gestartet, bekommt man die drei neuen Funktionen zur Einstellung angeboten. Es wird jedoch nach dem oben beschriebenen Mechanismus nur höchste Berechtigungsgruppe für die Abarbeitung übernommen. Das alte Projekt kann die neue Funktionalität nicht nutzen.


Report Generator Funktion fixed

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.22 > Report Generator Funktion fixed

Die Funktion fixed() verfügt in Versionen bis 5.50 auch über das Argument no_seps. Das Argument ist optional und steuert die Anzeige von Tausendertrennzeichen.

Dieses Argument hat keine Auswirkung auf die Darstellung mehr, da Tausendertrennzeichen in zenon generell nicht mehr verwendet werden.


VBA - Direkter Variablenzugriff per Request ist nicht mehr möglich

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.22 > VBA - Direkter Variablenzugriff per Request ist nicht mehr möglich

VBA gibt unseren Kunden ein mächtiges Werkzeug zur Projektgestaltung. In der Praxis hat sich gezeigt, dass beim Zugriff auf Variablen über VBA es immer wieder zu Verwechslungen in der Verwendung der Methoden „Advise" über einen Online Container und „Request" mit direktem Aufruf kam. Zu viele Requests können die Kommunikation stark verlangsamen.

Wir haben uns daher entschieden, den Wunsch vieler Kunden umzusetzen und diese Fehlerquelle zu schließen. Variablen können damit über VBA jetzt nur noch per „Advise" angesprochen werden.

Für bestehende Projekte bringt das Inkompatibilitäten mit sich. Sie sind davon betroffen, wenn Sie Variablen über VBA per „Request" ansprechen. In diesem Fall müssen Sie diese Projekte ändern. Nach der Anpassung profitieren Sie allerdings auch von performanterer Kommunikation im Projekt.

Neu:

Der direkte lesende Variablenzugriff mit VBA ist nur mehr dann möglich, wenn die Variable am Treiber angemeldet (advised) ist und auch einen Wert hat, d.h. IsOnline() true ist. Reine Spontanabfragen (Requests) sind nicht mehr möglich.

Die folgenden Funktionen auf dem "Variable"-Objekt liefern einen Fehler wenn das nicht der Fall ist:

  • Value
  • StatusValue
  • StatusExtValue
  • StatusString
  • LastUpdateTime
  • LastUpdateTimeMilliSeconds

Das bedeutet, dass bestehende Projekte nach der Konvertierung in der Runtime nicht mehr laufen, da die genannten Funktionen fehlschlagen.

Lösungsmöglichkeiten:

  • Definieren Sie für alle betroffenen Variablenzugriffe einen Online Container.
    Vorteil: Die Variablen werden nur dann angefordert, wenn Sie sie wirklich benötigen.
    Nachteil: Erhöhter Programmieraufwand
  • Stellen Sie bei allen betroffenen Variablen bei den Variableneigenschaften in der Gruppe "Zusätzliche Einstellungen" - "DDE aktiv".
    Vorteil: Einfach umsetzbar.
    Nachteil: Alle Variablen werden ständig vom Treiber angefordert.

attention Achtung

Eingeschränkte Kompatibilität!

Überprüfen Sie nach der Projektkonvertierung in die aktuelle Version unbedingt alle Runtime VBA Makros, ob auf Variablen direkt zugegriffen wird. Wenn das der Fall ist, müssen Sie die oben angeführten Maßnahmen treffen!


RGM - Datenbank geändert

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.22 > RGM - Datenbank geändert

In 6.22 SP1wurde das Format der verwendeten Datenbank zur Datenablage modifiziert. Das bedeutet, dass beim Konvertieren des Projekts im Editor die Datenbank automatisch umgewandelt wird.

Wenn Sie Rezeptgruppenmanager Daten in der Runtime geändert haben müssen Sie wie folgt vorgehen:

  1. Starten Sie den Editor in der Ausgangsversion bevor sie das Projekt konvertieren.
  2. Stellen Sie bei der Projekteigenschaft Zur Runtime änderbare Daten sicher, dass die Daten des Rezeptgruppen Managers zurückgelesen und dekompiliert werden können.
  3. Wenn Sie die Runtime auf einem Remote-System betreiben: Bauen Sie Verbindung zum Remote-System auf und lesen Sie die Runtime Dateien zurück. Die Funktionalität finden Sie in der Remote-Transport Symbolleiste.
  4. Lesen Sie die Runtime-Daten zurück in den Editor. Dazu verwenden Sie den Befehl Importiere Runtime Dateien der Symbolleiste Runtime Dateien.
  5. Schließen Sie den alten Editor, und starten Sie den neuen Editor. Nun können Sie das Projekt gefahrlos in die neue Version konvertieren. Alle Daten werden in der neuen Version zur Verfügung stehen.

attention Achtung

Alte Rezeptgruppenmanager Datenbanken von Versionen kleiner 6.22 SP1 können in der Runtime 6.22 SP1 und höher nicht mehr eingelesen werden! Wenn die Daten nicht - wie oben beschrieben - über den Editor konvertiert werden, verlieren Sie alle Änderungen an den Rezepten oder Rezeptgruppen, die Sie in der Runtime durchgeführt haben.

Windows CE

Wird ein Projekt mit aktiver Option Windows CE Projekt konvertiert, werden die Daten in zenon 6.22 automatisch binär gespeichert. Das hat zur Folge, dass es beim Öffnen des RGM den Anschein hat, als wären alle Rezepte verschwunden.


Schablonen - Maximale Länge des Namens

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.22 > Schablonen - Maximale Länge des Namens

Schablonennamen dürfen maximal 29 Zeichen lang sein. In einer Vorversion war es möglich, Namen mit 30 Zeichen anzulegen. Vor dem Konvertieren eines Projekts müssen alle Schablonennamen mit 30 Zeichen auf 29 Zeichen reduziert werden.


Konvertierung von Version X auf Version 6.50

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.50

Projekte von älteren Versionen werden beim ersten Laden im aktuellen Editor automatisch konvertiert. Dabei wird automatisch eine Sicherung des Projekts im Verzeichnis /SQL/Backup erstellt.

attention Achtung

Lesen Sie vor der Konvertierung die Runtime änderbaren Daten in das Editorprojekt in der alten Version zurück. Sonst gehen diese verloren!

Noch in diesem Kapitel

zenon Logic

Erweiterte grafische Einstellungen für AML und CEL

Statusbits - Neue Kurzbezeichner

Strukturen für UDFBs in zenon Logic

VSTA und VBA - Benennung von Objekten


zenon Logic

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.50 > zenon Logic

Bei der Konvertierung von zenon Logic Projekten muss folgendes beachtet werden:

attention Achtung

Für zenon Logic gilt:

  • Alle Projekte müssen nach der Konvertierung in der Workbench neu kompiliert werden, damit sie in der zenon Logic Runtime funktionieren.
  • Projekte aus einer Vorversion, die nicht in Version 6.50 konvertiert wurden, sind in einer Runtime der Version 6.50 nicht lauffähig.


Erweiterte grafische Einstellungen für AML und CEL

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.50 > Erweiterte grafische Einstellungen für AML und CEL

Ab Version 6.50 verfügen das Kontrollelement Alarmmeldeliste im Bild Alarmmeldeliste (AML) und das Kontrollelement Ereignisliste im Bild Chronologische Ereignisliste (CEL) über die Eigenschaft Erweiterte grafische Einstellungen.

Diese aktiviert die Verwendung und Anpassung der horizontalen und vertikalen Bildlaufleisten, der Kopfzeile und des Rasters für das Kontrollelement über die entsprechenden Eigenschaften in der Gruppe Kopfzeile und Raster.

Werden Projekte von früheren Versionen nach Version 6.5x konvertiert, fehlt die Eigenschaft Erweiterte grafische Einstellungen. Um auf die Eigenschaft zugreifen zu können, muss das Kontrollelement Alarmmeldeliste oder Ereignisliste aus dem Bild gelöscht und neu angelegt werden.


Statusbits - Neue Kurzbezeichner

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.50 > Statusbits - Neue Kurzbezeichner

Kurzbezeichner für Statusbits unterscheiden sich seit Version 6.20 in den unterschiedlichen Sprachen. Mit zenon Version 6.50 wurden einheitliche Kurzbezeichnungen eingeführt. Um die Kompatibilität mit früheren Versionen zu wahren, können in der project.ini die neuen Kurzbezeichner in die bisherigen übersetzt werden. Sie finden in diesem Kapitel:

  1. Liste der neuen Kurzbezeichner inklusive Vergleich zu bisherigen Kurzbezeichnern
  2. Liste der Kurzbezeichner mit Langbezeichnung
  3. Anleitung, um alte Kurzbezeichner in der project.ini wieder zu aktivieren

1. Status Kurzbezeichner neu

Bit Nr. | Ab 6.50 Alle | Bis 6.50 Deutsch | Bis 6.50 Englisch | Bis 6.50 Französisch | Bis 6.50 Italienisch | Bis 6.50 Spanisch | Bis 6.50 Russisch
0 | M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1
1 | M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2
2 | M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3
3 | M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4
4 | M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5
5 | M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6
6 | M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7
7 | M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8
8 | NET_SEL | SELEC | SELEC | SELEC | SELEC | SELEC | ?????
9 | REVISION | REV | REV | REV | REV | REV | ???
10* | PROGRESS | LAUF | DIREC | DIREC | RUN | LAUF | ???
11 | TIMEOUT | LZÜ | RTE | DRT | RTE | LZÜ | ???
12 | MAN_VAL | HWERT | MVALUE | VAL_M | V_MAN | VWERT | ?????
13 | M14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14
14 | M15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15
15 | M16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16
16 | GI | GA | GI | RG | IG | CG | ??
17 | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT
18 | INVALID | I-BIT | I-BIT | I-BIT | NV-BIT | I-BIT | I-Bit
19 | T_CHG_A | SO/WI | SU/WI | ET/HI | ES/IN | VE/IN | ??/??
20 | OFF | N_AKT | N_UPD | N_RAF | N_UPD | N_AKT | N_AKT
21 | T_EXTERN | EZ_E | RT_E | HR_E | RT_E | EZ_E | EZ_E
22 | T_INTERN | EZ_I | RT_I | HR_E | RT_I | EZ_E | EZ_E
23 | N_SORTAB | NSORT | NSORT | NTRI | NORD | NSORT | ??????
24 | FM_TR | SM_TR | DM_TR | MD_TR | SM_TR | SM_TR | SM_TR
25 | RM_TR | LM_TR | RM_TR | MM_TR | RM_TR | LM_TR | ??_??
26 | INFO | INFO | INFO | INFO | INFO | INFO | INFO
27 | ALT_VAL | EWERT | AVALUE | VALR | RVAL | EWERT | ?????
28 | RES28 | RES13 | RES13 | RES13 | RES13 | RES13 | RES13
29 | N_UPDATE | !AKTUAL | !AKTUAL | !AKTUAL | !ATTUALE | !ACTUAL | !?????????
30 | T_STD | WINTER | WINTER | HIVER | INVERNO | INVIERNO | ????
31 | RES31 | RES16 | RES16 | RES16 | RES16 | RES16 | RES16
32 | COT0 | UEK0 | TCB0 | CTB0 | CTB0 | TCB0 | ???0
33 | COT1 | UEK1 | TCB1 | CTB1 | CTB1 | TCB1 | ???1
34 | COT2 | UEK2 | TCB2 | CTB2 | CTB2 | TCB2 | ???2
35 | COT3 | UEK3 | TCB3 | CTB3 | CTB3 | TCB3 | ???3
36 | COT4 | UEK4 | TCB4 | CTB4 | CTB4 | TCB4 | ???4
37 | COT5 | UEK5 | TCB5 | CTB5 | CTB5 | TCB5 | ???5
38 | N_CONF | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT
39 | TEST | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT
40 | WR_ACK | WR-ACK | WR-ACK | ECR-ACK | WR-ACK | WR-ACK | WR-ACK
41 | WR_SUC | WR-SUC | WR-SUC | ECR-OK | WR-SUC | WR-SUC | WR-SUC
42 | NORM | NORM | NORM | NORM | NORM | NORM | ????
43 | N_NORM | ABNORM | DEVNORM | DEVNORM | Fuori norma | DEVNORM | ???????
44 | BL_870 | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT
45 | SB_870 | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT
46 | NT_870 | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT
47 | OV_870 | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT
48 | SE_870 | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT
49 | T_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL
50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50
51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51
52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52
53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53
54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54
55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55
56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56
57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57
58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58
59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59
60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60
61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61
62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62
63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63

* Hinweis: Der Status Nr. 10 wurde in der Version 6.50 auf D_DIREC umbenannt und ab der Version 6.51 auf PROGRESS geändert.

2. Kurzbezeichnung - Langbezeichnung

Ab Version 6.50 sind die Kurzbezeichner in allen Sprachen gleich. Die Langbezeichner sind weiterhin sprachabhängig:

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

3. Aktivierung alter Kurzbezeichner

Wenn Sie die Kurzbezeichner, wie vor Version 6.50, sprachabhängig benutzen möchten, können Sie das durch einen Eintrag in der project.ini ermöglichen. Die ersetzten Kurzbezeichner gelten für:

  • VBA
  • Rezeptgruppen-Manager
  • Dialoge des Combielements
  • Dialoge der Rema

Hinweis: Die Kurzbezeichner müssen in Großbuchstaben eingegeben werden, dürfen keine Leerzeichen beinhalten und dürfen max. 7 Zeichen beinhalten.

So öffnen Sie die project.ini

  1. Markieren Sie das Projekt im Projektmanager.
  2. Drücken Sie die Tastenkombination Strg+Alt+E.

    Das SQL-Verzeichnis von zenon öffnet sich im Explorer:

    C:\ProgramData\COPA-DATA\[SQL-Ordner]\[UID]\FILES

  3. Navigieren Sie zu \zenon\system\ .
  4. Öffnen Sie die project.ini mit einem Texteditor.

Zuordnung neuer zu sprachabhängigen Kurzbezeichnern

Kopieren Sie aus der folgenden Aufstellung den Eintrag der gewünschten Sprache ab [STATUS] bis inklusive STATUS63=RES63 und fügen Sie diesen in die project.ini ein.

Deutsch | Englisch | Französisch
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=HWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GA STATUS17=SPONT STATUS18=I-BIT STATUS19=SO/WI STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_I STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=UEK0 STATUS33=UEK1 STATUS34=UEK2 STATUS35=UEK3 STATUS36=UEK4 STATUS37=UEK5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=ABNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=RTE STATUS12=MVALUE STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GI STATUS17=SPONT STATUS18=I-BIT STATUS19=SU/WI STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NSORT STATUS24=DM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=AVALUE STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=DRT STATUS12=VAL_M STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=RG STATUS17=SPONT STATUS18=I-BIT STATUS19=ET/HI STATUS20=N_RAF STATUS21=HR_E STATUS22=HR_E STATUS23=NTRI STATUS24=MD_TR STATUS25=MM_TR STATUS26=INFO STATUS27=VALR STATUS28=RES13 STATUS29=!AKTUAL STATUS30=HIVER STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=ECR-ACK STATUS41=ECR-OK STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63

Italienisch | Spanisch | Russisch
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=RUN STATUS11=RTE STATUS12=V_MAN STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=IG STATUS17=SPONT STATUS18=NV-BIT STATUS19=ES/IN STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NORD STATUS24=SM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=RVAL STATUS28=RES13 STATUS29=!ATTUALE STATUS30=INVERNO STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=Fuori norma STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=VWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=CG STATUS17=SPONT STATUS18=I-BIT STATUS19=VE/IN STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!ACTUAL STATUS30=INVIERNO STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=????? STATUS9=??? STATUS10=??? STATUS11=??? STATUS12=????? STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=?? STATUS17=SPONT STATUS18=I-Bit STATUS19=??/?? STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=?????? STATUS24=SM_TR STATUS25=??_?? STATUS26=INFO STATUS27=????? STATUS28=RES13 STATUS29=!????????? STATUS30=???? STATUS31=RES16 STATUS32=???0 STATUS33=???1 STATUS34=???2 STATUS35=???3 STATUS36=???4 STATUS37=???5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=???? STATUS43=??????? STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63


Strukturen für UDFBs in zenon Logic

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.50 > Strukturen für UDFBs in zenon Logic

Ab Version 6.50 stehen in zenon die zenon Logic UDFB Datentypen nicht mehr zur Verfügung. Um die Kompatibilität mit Version 6.22 zu erhalten, können sie in zenon mit einem Projekt-Prefix angelegt werden: "PROJEKTNAME/UDFBName". Dazu muss die K5DBXS.ini um einen Eintrag ergänzt werden:

  1. öffnen Sie die K5DBXS.ini
  2. navigieren Sie zum Abschnitt [XS]
  3. erstellen Sie den Eintrag UseUDFBPrefix=1

Wenden Sie sich an support@copadata.com oder die in Ihrem Supportvertrag genannte Hotline, falls Fragen, zur Anpassung unsichtbarer UDFBs, vorliegen.


VSTA und VBA - Benennung von Objekten

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.50 > VSTA und VBA - Benennung von Objekten

Aufgrund von Einschränkungen in der Benennung von Objekten in VSTA wurden einige Änderungen am Objektmodel durchgeführt. Diese Änderungen wirken sich auf VBA-Code aus, da dieser weiter auf die alten Namen zugreift und damit nicht mehr funktioniert.

Folgende Änderungen wurden durchgeführt:

  • IDriver
    • Name -> Identification:

      Das Property Name hat nicht den Namen, sondern die Identification vom Treiber zurück geliefert. Es wurde in Identification umbenannt.

    • Driver -> Name:

      Driver ist inkompatibel mit VSTA, da dieses Property den Namen des Treibers zurückliefert. Es umbenannt in Name.

  • IApplication
    • Close -> Methode: Close / Event: OnClose:

      IApplication hat sowohl eine Methode als auch einen Event mit Namen Close. Das ist mit VSTA inkompatibel. Das Event wurde in OnClose umbenennt.

  • IZenWorkspace
    • Startup -> OnWorkspaceStartup
    • Exit -> OnWorkspaceExit

      Da diese beiden Namen für VSTA-interne Events verwendet werden, wurden sie OnWorkspaceStartup und OnWorkspaceExit geändert.

attention Achtung

Überprüfen Sie VBA Code auf geänderte Namen und passen Sie ihn entsprechend der neuen Modelle an.


Konvertierung von Version X auf Version 6.51

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51

Projekte von älteren Versionen werden beim ersten Laden im aktuellen Editor automatisch konvertiert. Dabei wird automatisch eine Sicherung des Projekts im Verzeichnis /SQL/Backup erstellt.

attention Achtung

Maßnahmen vor der Konvertierung:

Lesen Sie vor der Konvertierung die Runtime änderbaren Daten in das Editorprojekt in der alten Version zurück. Sonst gehen diese verloren!

Noch in diesem Kapitel

Berechnung Spaltenbreite

Einstellungen SQL Datenbank

Erweiterter Trend XY-Achse

GUID bei Projektkonvertierung von Version 5.50

Klickbare Buttons Combi-Element

Kontextmenüs Befehlsgabe

Schichtzeiten im PFS aufzeichnen

Symbolfarben der Allgemeinen Symbolbibliothek von Farbpalette auf absolute Farbe konvertieren

Wizards - VBA/VSTA Properties entfernt

Zeichen # in Objektnamen nicht zulässig


Berechnung Spaltenbreite

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Berechnung Spaltenbreite

Ab Version 6.51 wird für die Berechnung von Spaltenbreiten (z. B. Alarmmeldeliste oder CEL) die durchschnittliche Zeichenbreite der gewählten Schriftart verwendet. Davor wurde ein Defaultwert verwendet. Das kann dazu führen, dass nach der Konvertierung Spalten in anderer Breite als erwartet dargestellt werden.


Einstellungen SQL Datenbank

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Einstellungen SQL Datenbank

Ab Version 6.51 kann im Startup Tool die SQL-Instanz definiert werden und das Passwort wird verschlüsselt abgelegt.

Dafür wurde der Dialog zur Einstellung der Datenbankeigenschaften geändert. Neue Einträge sind höherprior als bestehende. Die Anzeige der Dialoge wird automatisch an die gewählte Version (vor 6.51, ab 6.51) angepasst.

Neue Einträge

Die zenondb.ini enthält ab Version 6.51 neue Einträge:

[CONNECTION_SQL2005]

USER=zenOnSrv

PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90 (Hash des verschlüsselten Passworts)

SQLINSTANCE=RECHNERNAME\ZENON_DEV

Diese ersetzen den Eintrag:

[CONFIG]

PROVIDER_SQL2005

Sollten die neuen Einträge nicht vorhanden oder leer sein, wird dieser Eintrag weiter verwendet.

Kompatibilität

Solange keine Eigenschaft geändert wird, bleiben die bestehenden Einträge weiterhin gültig. Wird jedoch für eine Version ab 6.51 ein Eintrag geändert, gelten die neuen Einträge. Ältere Versionen müssen dann extra gewartet werden! Die Einstellungen für Versionen vor 6.51 finden Sie im Kapitel Database vor Version 6.51.

Achtung: Da die Verschlüsselung des Benutzerpassworts im neuen Dialog über das Startup Tool erfolgt, müssen ab Version 6.51 alle Einstellungen zwingend über das Startup Tool vorgenommen werden.


Erweiterter Trend XY-Achse

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Erweiterter Trend XY-Achse

Aus Performancegründen werden Archivdaten für die X-Achse ab Version 6.51 im Erweiterter Trend Diagramm nicht mehr automatisch geladen. Um die X-Achse im Diagramm dennoch anzuzeigen:

  • fügen Sie die für die Variable für X-Achse gewählte Variable auch als Kurve im Diagramm hinzu
  • deaktivieren Sie die Anzeige für diese Kurve


GUID bei Projektkonvertierung von Version 5.50

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > GUID bei Projektkonvertierung von Version 5.50

Bei der Konvertierung von Projekten der Version 5.50 ist zu beachten, dass bei der Konvertierung mehrerer Projekte jeweils eine eigene GUID erzeugt werden muss.

Ursache

In der project.ini der Version 5.50 steht ein Eintrag GUID, der eine Projekt-GUID beinhaltet. Konvertiert man ein Projekt in Version 6.x wird diese GUID verwendet.

In zenon 5.50 war es möglich, Ordner auf Dateiebene zu kopieren, dann das Projekt im Editor zu öffnen und umzubenennen. Diese Projektkopie enthielt immer noch die originale GUID in der INI-Datei, was für 5.50 kein Problem darstellte.

Werden nur zwei solche Projekte in Version 6.x konvertiert, wird die Konvertierung beim zweiten Projekt mit dem Hinweis abgebrochen, dass die GUID bereits vorhanden ist.

Lösung

Für die Konvertierung mehrerer kopierter Projekte aus 5.50 gibt es drei mögliche Wege:

  1. Speichern unter
    • Projekt A konvertieren
    • in Version 6.x "Projekt speichern unter" ausführen
    • eine neue GUID wird erzeugt
    • Orginalprojekt löschen
    • Projekt B konvertieren

    Achtung: Diese Methode ist nicht für Globalprojekte geeignet.

  2. Projektsicherung
    • Projekt A konvertieren
    • in Version 6.x Projektsicherung erstellen
    • Orginalprojekt löschen
    • Sicherung mit "Projektsicherung rücklesen" wieder herstellen und dabei die Eigenschaft "Neues Projekt erzeugen" aktivieren.

    Hinweis: Diese Methode eignet sich auch für Globalprojekte.

  3. project.ini bearbeiten
    • project.ini der Version 5.50 öffnen. In dieser Version heißt die "project.ini" Projektname.ini
    • den Eintrag mit der GUID löschen
    • konvertieren
    • eine neue GUID wird erzeugt

    Hinweis: Wird dieses Projekt nochmals mit Version 5.50 geöffnet wird ebenfalls eine neue GUID erzeugt und in die INI-Datei eingetragen.


Klickbare Buttons Combi-Element

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Klickbare Buttons Combi-Element

Ab Version 6.51 können im Combi-Element für die Option Symbol aus Bibliothek klickbare Buttons in beliebiger Form erstellt werden.

Bei Projekten für frühere Versionen wird die Eigenschaft Symbolform bestimmt Klickbereich (Knoten Darstellung) als inaktiv behandelt.


Kontextmenüs Befehlsgabe

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Kontextmenüs Befehlsgabe

Vor Version 6.51 wurde Text bei automatischen Menüpunkten ignoriert. Bei der Konvertierung von Projekten, die mit Versionen vor 6.51 erstellt wurden, werden vor dem projektierten Text automatisch die Makros $ALL$$NOTE$ eingefügt. Damit verhalten sich diese Menüpunkte genauso wie bisher.


Schichtzeiten im PFS aufzeichnen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Schichtzeiten im PFS aufzeichnen

Bei der Aufzeichnung von Schichtzeiten im Production & Facility Scheduler wurde in Version 6.50 der Tabellenname für die Aufzeichnung fest mit PFSSHIFTHISTORY bezeichnet.

Ab Version 6.51 wird er nach folgendem Muster erstellt: ProjektGUID_SCHICHT_GUID der Anlagengruppe
Zum Beispiel: 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1.


Symbolfarben der Allgemeinen Symbolbibliothek von Farbpalette auf absolute Farbe konvertieren

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Symbolfarben der Allgemeinen Symbolbibliothek von Farbpalette auf absolute Farbe konvertieren

Bei der Verwendung von Farbpaletten wird nur der Palettenindex gespeichert. Die tatsächliche Farbe wird zur Runtime zugeordnet.

Problem

Werden in Versionen vor zenon 6.51 Farben für Symbole der Allgemeinen Symbolbibliothek über Palettenfarben (ähnliche Funktion wie Farbpaletten ab 6.51) definiert und werden die Farben eines Symbols in Version 6.51 geändert, so werden mit dem Neustart des Editors alle benutzerdefinierten Farben der Symbole an die Änderung angepasst. Diese Aktion ist aus Kompatibilitätssicht korrekt. Allerdings können auch absolute Farben benötigt werden.

Lösung

Wird die Symbolbibliothek in zenon 6.51 neu gespeichert, werden die Paletten-Indizes durch absolute Farben ersetzt.

Vorgangsweise:

  1. Aktivieren und öffnen Sie das Projekt mit der korrekten Palettenfarbe in zenon 6.51.
  2. Fügen Sie in die Allgemeine Symbolbibliothek ein neues Symbol ein.
  3. Speichern Sie die Allgemeine Symbolbibliothek. Diese wird im neuen Format gespeichert.
  4. Schließen Sie den Editor und starten Sie ihn neu.
  5. Benennen Sie das neu erstellte Symbol um und speichern Sie.
  6. In der Globalen Symbolbibliothek werden Palettenfarben durch absolute Farben ersetzt.


Wizards - VBA/VSTA Properties entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Wizards - VBA/VSTA Properties entfernt

Beim Filter für Bildumschaltungsfunktionen auf ein Bild vom Typ Erweiterter Trend wurden folgende dynamischen Properties entfernt, da sie keine Funktion hatten:

  • PictFilter[0].Curve["0 "].VarInfo.Channel
  • sowie ArvName, Titel, Group und Amplitude des selben Objekts

Sollten Sie diese Properties in einem Wizard verwenden, müssen Sie diese entfernen.


Zeichen # in Objektnamen nicht zulässig

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 6.51 > Zeichen # in Objektnamen nicht zulässig

Ab Version 6.51 ist das Zeichen # für Objektnamen wie Variablen oder Funktionen nicht mehr zulässig. Das Zeichen kann bei der Benennung über die Oberfläche nicht eingegeben werden.

Hintergrund: Ein # im Namen kann zum Beispiel beim Import zu Problemen führen.


Konvertierung von Version X auf Version 7.00

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00

Achtung Projekte von älteren Versionen werden beim ersten Laden im aktuellen Editor automatisch konvertiert. Dabei wird automatisch eine Sicherung des Projekts im Verzeichnis /SQL/Backup erstellt. Die automatisch generierten Backups haben ab Version 7.00 den verwendeten SQL Server im Dateinamen, z. B.:
before converted to 7.00 SP0 (sql server 2008 r2).zip

Achtung

Maßnahmen vor der Konvertierung:

Lesen Sie vor der Konvertierung die Runtime änderbaren Daten in das Editorprojekt in der alten Version zurück. Sonst gehen diese verloren!

Hinweis: Sonderzeichen wie ß-/\ sind im zenon Projektnamen verboten. Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_). Mehr Informationen dazu finden Sie im Handbuch Projektverwaltung und Arbeitsbereich, Kapitel Neues Projekt anlegen.

Noch in diesem Kapitel

Benutzerverwaltung mit Active Directory

Parallele Installation von Version 7.x mit Version 6.51

Diagnosis Server mit neuem Dienst

Dynamische Combo-/Listbox

IPv6

Lizenzierung

Message Control

RGM - Fehlerverhalten bei Bildumschaltung

RGM Rezept lesen - neue Bedingungen

Treiber Allen Bradley RS-Linx

Umstellung SQL Server


Benutzerverwaltung mit Active Directory

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Benutzerverwaltung mit Active Directory

Ab Version 7.00 SP0 ist Active Directory nur noch für die Benutzerverwaltung in der zenon Runtime verfügbar. Das bedeutet für den zenon Editor:

  • AD Benutzer werden für den Editor nicht verwendet.
  • AD Benutzer werden im Editor nicht mehr validiert.
  • Über AD kann keine Anmeldung am Editor erfolgen.

Achtung: Sollten Sie in einem Projekt die Anmeldung am zenon Editor über Active Directory realisiert haben, dann muss vor der Konvertierung des Projekts ein zenon Benutzer mit allen nötigen Rechten angelegt werden.


Parallele Installation von Version 7.x mit Version 6.51

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Parallele Installation von Version 7.x mit Version 6.51

Wird eine Version 7.x auf einem System installiert, auf dem bereits zenon 6.51 installiert ist, muss nach der Installation der Multiple Network Protocol Driver nach einem Reboot neu installiert werden.

Dazu

  1. starten Sie das System neu
  2. öffnen Sie am Installationsmedium den Pfad AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x64
  3. führen Sie die Datei setup64.exe aus (setup32.exe auf 32 Bit Systeme aus dem Pfad AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x86)

Damit wird der Treiber neu installiert und korrekt mit der Netzwerkkarte verknüpft.


Diagnosis Server mit neuem Dienst

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Diagnosis Server mit neuem Dienst

Mit zenon 7.00 SP0 wird das Diagnose System umgestellt. Alle Logging Aufgaben werden ab dieser Version über den Dienst zenLogSrv abgewickelt. Der Dienst zenSysServ ist nur noch für Remote-Transport-Aktivitäten zuständig. Die maximale Anzahl der Module pro Diagnose Client wurde von 32 auf 64 erhöht.

Das bedeutet:

  • Diagnose Systeme bis Version 6.51 und ab Version 7.00 sind jeweils kompatibel zueinander.
  • Die Diagnose Mechanismen von zenon 6.51 SP0 und zenon 7.00 SP0 sind nicht kompatibel.
Kompatibilität | Diagnosis Server 6.51 SP0 und früher | Diagnosis Server 7.00 SP0 und höher
Diagnose Client 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnosis Viewer 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnose Client 7.00 SP0 und höher | inkompatibel | kompatibel
Diagnosis Viewer 7.00 SP0 und höher | inkompatibel | kompatibel

Mit dem Diagnosis Viewer Version 7.00 SP0 und höher können Log-Dateien, die von einem Diagnosis Server Version 6.51 SP0 (oder früher) erstellt wurden, geöffnet werden. Der umgekehrte Fall funktioniert nicht.


Dynamische Combo-/Listbox

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Dynamische Combo-/Listbox

Ab Version 7 können Combo-/Listboxen auch dynamisch erstellt werden. Über die Eigenschaft Einträge aus Stringvariable wird festgelegt, ob die Einträge der Box im Editor festgelegt oder über eine verknüpfte Stringvariable erstellt werden.

Beim Konvertieren von Projekten einer Version von zenon 7, werden die neuen Eigenschaften mit gültigen Werten belegt:

  • statische Combo-/Listboxen (Eigenschaft Einträge aus Stringvariable inaktiv)
  • keine Sichtbarkeitsvariable (Eigenschaft Variable leer)

Werden Dateien für eine ältere Version erstellt oder gespeichert, werden die Eigenschaften für dynamische Combo-/Listboxen nicht geladen/geladen um Abwärtskompatibilität zu gewährleisten.


IPv6

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > IPv6

Ab zenon Version 7.00 kann IPv6 im Netzwerk verwendet werden.

info Info

Mit IPv6 können mehr Benutzer und Geräte über das Internet kommunizieren, indem sie größere Zahlen zum Erstellen von IP-Adressen verwenden. Unter IPv4 ist jede IP-Adresse 32 Bit lang, wodurch 4,3 Milliarden eindeutige Adressen abgebildet werden können. Beispiel für eine IPv4-Adresse:

172.16.254.1

Zum Vergleich: IPv6-Adressen sind 128 Bit lang, was die Abbildung von ca. 340 Sextillionen (3,4e+38) eindeutiger IP-Adressen ermöglicht. Beispiel für eine IPv6-Adresse:

2001:db8:ffff:1:201:02ff:fe03:0405

IPv6 bietet aber noch andere Vorteile für den Netzwerkverkehr. In den meisten Fällen erkennen Computer und Programme IPv6-fähige Netzwerke und nutzen die entsprechenden Vorteile ohne weiteres Zutun durch den Benutzer. IPv6 befreit auch von anderen Netzwerkproblemen, die aufgrund des begrenzten Adressraums von IPv4 auftreten können. Beispiel: IPv6 reduziert die Notwendigkeit von Netzwerkadressübersetzungen (NAT), einem Dienst, durch den mehrere Clients eine gemeinsame IP-Adresse verwenden können, der aber nicht immer verlässlich funktioniert.

Das zenon Netzwerk erlaubt wahlweise die Verwendung von IPv6 oder IPv4. Dualer Betrieb ist nicht möglich. Die Einstellung wird getroffen über:

  • Network configuration im Startup Tool
    oder
  • in der zenon6.ini

Achtung: IPv6 funktioniert nur ab Version 7.
Bei aktiver Option können keine Versionen vor 7 gestartet werden. Das betrifft insbesondere zenAdminSrv, zenSysSrv, zenLogSrv und zenDBSrv.

Folgende Komponenten sind von der Einstellung nicht betroffen, diese nutzen immer IPv4:

  • Treiberkommunikation mit den Steuerungen
  • Protokollkommunikation in den Process Gateway-Plugins
  • Workbench- und Runtimekommunikation in zenon Logic

Diagnosis Viewer

Der Diagnosis Server funktioniert auch mit Diagnose Clients, die über IPv6-Adressen angesprochen werden. Dafür wurde das Format der LOG-Dateien angepasst. Der Diagnosis Viewer liest nur das neue Format der LOG-Dateien. Werden Dateien von älteren zenon Versionen geöffnet (oder umgekehrt), wird die IP-Adresse des Diagnose Clients nicht korrekt angezeigt.


Lizenzierung

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Lizenzierung

Mit Version 7.00 wird die Lizenzierung umgestellt. Um vorhandene zenon Versionen auf Version 7.00 umzustellen, muss eine Lizenz für Version 7.00 erworben werden und die neue Aktivierungsnummer eingegeben werden. Die Seriennummer bleibt unverändert.

Die Einträge in der zenon6.ini lauten jetzt:

[DEFAULT]

SERIAL7=

ACTIVATIONKEY7=


Message Control

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Message Control

Ab Version zenon 7.00 SP0 unterscheidet sich das Modul Message Control in Technik und Konfiguration grundlegend von früheren Versionen.

Wichtige technische Änderungen:

  • es wird kein COM-Server mehr verwendet
  • die Zusatzkomponente der Firma DerDack wird nicht mehr verwendet
  • die ZenMsgQueue wird durch ein eigenes Bild vom Typ Message Control ersetzt
  • die Konfiguration erfolgt in den Eigenschaften Message Control des Arbeitsplatzes (Versand) und den Eigenschaften Projektspezifische Einstellungen für das Modul Message Control im Projekt (projektspezifisch)
  • es gibt keine Detailansicht mehr
  • das Schichtenmodell und die Kalenderfunktionalität wurden entfernt
  • es gibt keine Runtime änderbaren Dateien mehr
  • E-Mailversand ist möglich über Outlook oder einen SMTP Server, wobei SMTP den Versand von Anhängen erlaubt
  • die Konfiguration der Versandarten wird nicht länger in einer eigenen messag32.ini gespeichert, sondern in der zenon6.ini
  • Auswertung Grenzwerttexte: Bisher war die Auswertung von zusammengesetzten Texten im Modul Message Control unterschiedlich zur Auswertung von Standard-Grenzwerttexten. Ab Version 7.00 werden beide gleich ausgewertet: @StringTabelle+%var1

Details zur Konfiguration lesen Sie im Kapitel Message Control konfigurieren.

attention Achtung

Nur Projekte ab Version 5.50 SP7 können nach Version 7 konvertiert werden.

Konvertierung

Aufgrund der tief gehenden Änderungen kann bei der Konvertierung keine 100% Kompatibilität garantiert werden. Das gilt auch für das Kompilieren von Runtime-Dateien für ältere Versionen. Beachten Sie beim Konvertieren vor allem:

  • Benutzer:
    • Benutzer mit gleichem Name (Vorname Nachname) vorhanden: Benutzer wird verwendet und Informationen werden ergänzt.
    • Kein entsprechender Benutzer vorhanden: Es wird ein neuer Benutzer angelegt, die Verknüpfung zum Ersatzmann und zur Benutzergruppe werden aufgelöst. Der Benutzer wird in die bestehende oder die bei der Konvertierung erstellte Gruppe eingetragen.
  • Benutzergruppen:
    • Benutzergruppe mit gleichem Name vorhanden: Benutzergruppe wird verwendet und Informationen werden ergänzt.
    • Keine entsprechende Benutzergruppe vorhanden: Es wird eine neue Benutzergruppe angelegt.
  • Funktionen:

    Die Funktion Empfängerdatenbank anzeigen wurde entfernt:
    Diese Funktion kann mit dem Editor nicht mehr erzeugt werden. Beim Konvertieren wird sie aber nicht gelöscht. Ihr Aufruf zur Runtime bleibt ohne Wirkung und erzeugt einen LOG-Eintrag.

  • Paging:
    Paging steht als Versandart nicht mehr zur Verfügung. Bestehende Funktionen mit Versandart Paging werde beim Konvertieren geändert auf Versandart GSM. Eine Meldung im Ausgabefenster weist darauf hin. Nach der Konvertierung müssen die Einstellungen der Funktion überprüft werden.
  • Zur Runtime änderbare Dateien:
    Da die Benutzerverwaltung geändert wurde, werden keine Runtime änderbaren Dateien für Message Control benötigt. Es gibt in Version 7 auch keine Möglichkeit, alte Runtime-Daten zurückzulesen. Werden die Runtime-Dateien eines Projekts vor Version 7 benötigt, müssen diese in einem Editor vor zenon 7 zurückgelesen und dann konvertiert werden.
  • Schichten und Kalender:
    Die Funktionalität für Schichten und Kalender wurde entfernt. Bestehende Funktionen mit Zieltyp Schicht werde beim Konvertieren geändert auf Zieltyp Gruppe. Es wird allerdings keine Gruppe verknüpft. Eine Meldung im Ausgabefenster weist darauf hin. Nach der Konvertierung müssen die Einstellungen der Funktion überprüft werden.
  • SMS-Gateway:
    Da die einfache Schnittstelle keine technische Möglichkeit bietet, Nachrichten eindeutig zuordnen zu können, wird ab Version 7 nur noch die erweiterte Schnittstelle unterstützt. Beim Konvertieren muss sichergestellt werden, dass auch der SMS-Server der Firma Dialogs entsprechend konfiguriert wird. Sonst schlägt der Versand fehl.


RGM - Fehlerverhalten bei Bildumschaltung

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > RGM - Fehlerverhalten bei Bildumschaltung

Wird für die Bildumschaltung des RGM ein Rezept fehlerhaft ausgewählt durch:

  • Rezept in Runtime nicht vorhanden
  • keine Auswahl getroffen
  • Rezept nicht im Filter enthalten

dann ändert sich das Verhalten der Dropdownliste Rezept zur Runtime:

  • bis inklusive Version 6.51 SP0 wurde das erste Rezept in der Liste angeboten
  • ab Version 7.00 SP0 bleibt die Auswahl leer.


RGM Rezept lesen - neue Bedingungen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > RGM Rezept lesen - neue Bedingungen

Ab Version 7.00 SP0 wird beim Einlesen von Variablenwerten in Rezepte(Teachen) überprüft:

  • ob die Werte der Eigenschaften Minimalwert und max. Wert eingehalten werden
  • welchen Status die Variable hat

Werden die Werte unter- oder überschritten oder hat die Variable den Status INVALID, werden die Werte nicht mehr ins Rezept geschrieben und nicht mehr gespeichert.

Es werden zusätzliche Systemvariablen ausgewertet. Ab Version 7.00 mögliche Variablenwerte:

  • 0: Wird vor dem Lesen gesetzt und ändert sich erst, wenn der Lesevorgang abgeschlossen ist.
  • 1: Lesen erfolgreich beendet.
  • 2: Beim Lesen ist ein nicht näher definierte Fehler aufgetreten.
  • 3: Mindestens eine Variable beim Lesen hat den Status INVALID.
  • 4: Mindestens ein Wert ist außerhalb der Min-Max Grenzen.
  • 5: Beim Lesen ist ein Timeout (30000 + 100*VarCount in [ms]) aufgetreten.


Treiber Allen Bradley RS-Linx

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Treiber Allen Bradley RS-Linx

Der Treiber unterstützt ab Version 7.00 SP0 Unsolicited Messages. Damit ändert sich die Konfiguration des Treibers. Diese erfolgt jetzt in den Registerkarten:

  • Allgemein: Unverändert
    Hinweis: Bei Verwendung von Unsolicited Messages sollte die Update Zeit Global deaktiviert werden
  • Konfiguration: Die bisherige KT-Nummer wird durch die Bezeichnung des RS-LINX Treibers ersetzt.
  • Unsolicited Messages Konfiguration: Neu. Einstellungen für Unsolicited Messages.

attention Achtung

In bestehenden Projekten muss die Treiberkonfiguration angepasst werden.


Umstellung SQL Server

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.00 > Umstellung SQL Server

Mit zenon 7.00 SP0 wird der Microsoft SQL Server 2008 R2 Express installiert und für zenon Projekte verwendet. Der zenon Editor verbindet sich ab Version 7.00 standardmäßig nur zum SQL Server 2008 R2. Projekte, deren Datenbanken in einer anderen SQL-Server-Instanz (z. B. ZENON_DEV bei SQL Server 2005) liegen, können nicht geöffnet werden.

Die SQL Server Instanz, zu der sich der zenDBSrv verbindet, kann über das Startup Tool geändert werden. Das Startup Tool setzt in der zenDB.ini die entsprechenden Einträge für die jeweilige zenon Version:

  • vor 6.00: keine Datenbank
  • 6.00 bis 6.20: Einträge für SQL Server 2000 (MSDE)
  • 6.21 bis 6.51: Einträge für SQL Server 2005 Express Edition
    bei 6.51 wird das Passwort verschlüsselt abgelegt
  • Version 7.00 und höher: Einträge für den SQL Server 2008 R2 Express Edition mit verschlüsseltem Passwort

Ein Doppelbetrieb von SQL Server 2005 Instanz „ZENON_DEV" und SQL Server 2008 R2 Instanz „ZENON_2008R2" ist nicht möglich.

attention Achtung

Projekte aus früheren zenon Versionen müssen unbedingt in der Ursprungsversion exportiert und dann in zenon 7.00 zurückgelesen werden.

Tipp: Wurde kein Export durchgeführt und steht keine entsprechende Version mehr zur Verfügung, kann der Transfer manuell erfolgen:

  • kopieren Sie den kompletten Ordner inklusive GUID an den neuen Ort
  • stellen Sie manuell die Datenbankverbindung her

Projektkonvertierung

Für die Konvertierung von Projekten vor Version 7.00 wird folgende Vorgangsweise empfohlen:

  1. Projektsicherungen in der Version, aus der konvertiert werden soll, erstellen.
  2. Projektsicherungen auf die Festplatte exportieren.
  3. zenon Editor 7.00 Editor.
  4. Neuen Arbeitsbereich erstellen.
  5. Die Projektsicherungen in den neuen Arbeitsbereich rücklesen.

Die Projektsicherungen können auch im selben Arbeitsbereich im 7.00 Editor rückgelesen werden. Da die GUID beim Rücklesen einer Projektsicherung gleichbleibt, kann der Arbeitsbereich in zenon 7.00 und in Versionen zwischen 6.21 und 6.51 geöffnet werden.

info Info

Obwohl die Projekte gleich heißen und die gleiche GUID haben, sind Projekte aus zenon 7.00 Projekte aufgrund der anderen SQL Server Instanz unabhängig von den Projekten aus zenon 6.21 bis 6.51. Sicherungen in zenon 7.00 scheinen im Editor 6.21 bis 6.51 nicht auf. Daher wird empfohlen, diese in einem neuen Arbeitsbereich abzulegen.


Konvertierung von Version X auf Version 7.10

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10

Hinweis: Sonderzeichen wie ß-/\ sind im zenon Projektnamen verboten. Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_). Mehr Informationen dazu finden Sie im Handbuch Projektverwaltung und Arbeitsbereich, Kapitel Neues Projekt anlegen.

Noch in diesem Kapitel

32-Bit- und 64-Bit-Version

Installation

Batch Control

Konvertierung von Projekten 6.01 oder 6.20

Rezeptgruppen-Manager Datenbank konvertieren

SQL Server 2012

Report Viewer

Direct Daw aus VBA entfernt

WPF

Zeitfilter


32-Bit- und 64-Bit-Version

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > 32-Bit- und 64-Bit-Version

zenon steht jetzt für Editor und Runtime als 32-Bit- und 64-Bit-Version zur Verfügung. Damit werden auf 64-Bit Betriebssystemen jeweils eine 32-Bit und ein 64-Bit zenon Editor oder eine 32-Bit und eine 64-Bit zenon Runtime installiert. Die Dateinamen der ausführbaren Dateien sind für 32-Bit und 64-Bit identisch.

Auf 64-Bit Systemen werden alle in 64-Bit vorhandenen Dienste in der 64-Bit-Variante registriert und verwendet. Editor und Runtime können alternativ gestartet werden. Projekte sind in beiden Editoren bearbeitbar und in beiden Runtimes lauffähig.

Komponenten wie z.B. zenon Logic Runtime, zenon Logic Workbench, Treiber, Process Gateway und andere Tools werden immer nur in der 32-Bit Version verwendet.

Einschränkungen generell

Die grundsätzliche Einschränkung, dass in 64-Bit Prozessen ausschließlich 64-Bit DLLs geladen werden können, bedingen auch im Betrieb von zenon bestimmte Einschränkungen. Vor allem betrifft das externe Komponenten, die in Editor oder Runtime geladen werden. Unmittelbar betroffen sind DLLs, die über VBA/VSTA-Code geladen werden und ActiveX-Controls. Diese DLLs müssen für die Benutzung in 64-Bit Editor oder Runtime als 64-Bit-Version vorliegen. Von COPA-DATA ausgelieferte ActiveX-Controls sind immer in 32-Bit und 64-Bit Varianten verfügbar.

Konvertierung von zenon 5.50 Projekten

Mit dem 64-Bit Editor können keine zenon 5.50 Projekte konvertiert werden. Diese müssen zuvor mit dem 32-Bit Editor konvertiert werden.

Einschränkung RGM

Die Access Datenbank wird im RGM nicht mehr unterstützt. Um MS Access Daten aus vorhergehenden Versionen unter 64-Bit verwenden zu können, muss das Projekt zuerst im 32-Bit Editor konvertiert werden. Die Eigenschaft DataSource steht ab Version 7.10 nicht mehr zur Verfügung. Details siehe Kapitel Rezeptgruppen-Manager Datenbank konvertieren.

VBA

VBA wurde auf Version VBA 7.1 umgestellt. Somit steht VBA auch in zenon 64-Bit zur Verfügung. Falls im VBA-Code auf Windows-API oder sonstige importierte DLL-Funktionen zugegriffen wird, müssen diese Aufrufe an 64-Bit angepasst werden. Generell gilt: Eine für 32-Bit erstellte VBA-Datei kann nicht ohne Anpassungen in einer 64‑Bit-Version von VBA verwendet werden.

Um 32-Bit und 64-Bit kompatiblen Code zu schreiben, stehen in VBA einige Defines/Funktionen zur Verfügung. Zum Beispiel:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Nützliche Hinweise zur Portierung von VBA 32-Bit Code auf VBA 64-Bit finden Sie auch bei Microsoft:

  • Microsoft Office 2010, Hinweise zur Portierung: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit und 64-Bit Declares für API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp

Komponenten nur in 32-Bit

Folgende Komponenten sind auch auf 64-Bit Rechnern nur als 32-Bit Versionen verfügbar:

  • einige Programme, wie SIC.exe und DiagViewer.exe
  • Lizenzierung
  • Process Gateway
  • Startup Tool
  • Windows CE
  • Treiber
  • zenon Logic Runtime und Workbench


Installation

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Installation

zenon 7.10 kann nicht auf Systemen installiert werden, auf denen bereits die Microsoft SQL Server Data Engine (MSDE)installiert ist. Das betrifft alle Systeme auf denen zenon 6.20 oder eine früherer Version installiert ist.


Batch Control

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Batch Control

Vor dem Konvertieren eines Projekts auf die neue zenon Version müssen alle Rezepte beendet werden. Laufende Rezepte werden nach dem Wiederanlaufen nicht weiter ausgeführt. Das Wiederanlaufen funktioniert nur innerhalb der gleichen zenon Version.


Konvertierung von Projekten 6.01 oder 6.20

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Konvertierung von Projekten 6.01 oder 6.20

zenon Projekte der Versionen 6.01 oder 6.20 können in zenon 7.10 oder höher nicht mehr direkt zurückgelesen werden.

Hintergrund: Versionen, die auf der MSDE (SQL Server 2000) basieren, sind nicht mit dem in zenon 7.10 verwendeten SQL Server 2012 kompatibel.

Lösung: Projekt erst in zenon 7.0 konvertieren und dann in 7.10 oder höher.


Rezeptgruppen-Manager Datenbank konvertieren

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Rezeptgruppen-Manager Datenbank konvertieren

Ab Version 7.10 wird im Rezeptgruppen-Manager die MS Access Datenbank nicht mehr unterstützt. Beim Öffnen eines existierenden Projekts wird die Datenablage automatisch auf "Binäre Daten" umgestellt. Dabei wird eine Projektsicherung erstellt. Diese ermöglicht es Ihnen, das Projekt auch mit der Version, mit der es erstellt wurde wieder zu öffnen.

Umstellung mit 64-Bit Editor

Der 64-Bit Editor kann nicht auf die MS Access Datenbank zugreifen. Um diese zu konvertieren, öffnen Sie das Projekt zuerst im 32-Bit Editor. Hier steht ein Mechanismus zur Verfügung, der bei der RGM Einstellung DataSource: MS AccessDB die Daten automatisch auf binäre Dateien überträgt. Die Eigenschaft DataSource steht ab Version 7.10 nicht mehr zur Verfügung. Ist die Datenablage bereits auf binäre Dateien eingestellt, werden die Datenbank-Daten verworfen. Dabei gilt:

  • Das Umkopieren der Daten der Access Datenbank auf die binäre Datenablage geschieht nur bei der Konvertierung im 32 Bit-Editor. Unter 64-Bit werden die Daten der Access Datenbank immer verworfen.
  • Beim Konvertieren unter 64-Bit wird geprüft, ob die Datenablage des RGM auf MS Access eingestellt ist. In diesem Fall, wird eine entsprechende Information mit dem Hinweis auf Konvertierung im 32-Bit Editor eingeblendet.
  • Sollte im 32-Bit Editor beim Umkopieren festgestellt werden, das am Ziel (binäre Dateien) bereits Daten projektiert sind, so erfolgt eine Abfrage, welche Daten beibehalten werden sollen (MS Access oder binäre). MS ACcess und binäre Daten können nicht zusammengeführt werden.

Nach der Konvertierung können Sie das Projekt auch mit dem 64-Bit Editor öffnen und bearbeiten.

Möchten Sie das Projekt erneut konvertieren, nutzen Sie die während des Konvertierens automatisch erstellte Projektsicherung.

Anpassung von Rezeptgruppennamen und Rezeptnamen für 32-Bit zenon

Rezeptgruppennamen und Rezeptnamen, die für "Binäre Daten" ungültige Zeichen enthalten, werden beim Konvertieren eines Projekts zur 32-Bit Version von zenon 7.1x automatisch umbenannt. Die umbenannten Elemente werden im Ausgabefenster angezeigt. Überprüfen Sie nach der Konvertierung das Ausgabefenster auf entsprechende Meldungen!

Achtung: Werden Rezeptgruppen oder Rezepte umbenannt, müssen folgende Elemente im Projekt manuell überprüft und angepasst werden:

  • alle RGM Funktionen
  • Variablen, die Rezeptgruppennamen oder Rezeptnamen enthalten können
  • VBA Code, der Rezeptgruppennamen oder Rezeptnamen enthalten kann


SQL Server 2012

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > SQL Server 2012

Mit zenon 7.10 SP0 wird der SQL-Server auf Version 2012 Express Edition umgestellt. Die Einstellungen werden mit dem Startup Tool festgelegt.

Die korrekten Einträge für die zenDB.ini finden Sie im Kapitel zenDB.ini.

attention Achtung

Projekte aus anderen Versionen können nicht direkt in zenon 7.10 geöffnet werden. Projekte, die in zenon 7.10 bearbeitet werden sollen, müssen zuvor in der Version, mit der sie erstellt wurden, gesichert werden. Die Projektsicherung kann dann in zenon 7.10 konvertiert werden.

Werden mehrere Versionen parallel installiert, müssen die unterschiedlichen SQL-Server unterschiedliche Pfade aufweisen.


Report Viewer

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Report Viewer

Zeitbereiche

Der Report Viewer kann ab Version 7.10 mehrere Zeitbereiche verwenden. Für die Abwärtskompatibilität werden die ersten beiden konfigurierten Zeitfilter der Liste verwendet.

Datasets

Die Datasets für AM, CEL, ARCHIVE und ONLINE wurden um den Eintrag RESSOURCESLABEL erweitert.


Direct Daw aus VBA entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Direct Daw aus VBA entfernt

Alle Klassen, Methoden und Events, die für das direkte Zeichnen in zenon Bildern über die zenon API (VBA/VSTA) verwendet wurden, wurden aus Performance-Gründen entfernt. Das betrifft:

  • Klasse Draw
  • Methode DrawAPI
  • Event Draw


WPF

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > WPF

Das WPF-Element CircularGauge wurde von 3 auf 6 Bereichsanzeigen erweitert. Abwärtskompatibilität ist dabei nicht gewährleistet.

Hinweis: Sind in einem Projekt zwei Versionen einer Sammeldatei vorhanden, erfolgt eine Benutzerabfrage, welche Version verwendet werden soll. Bei Beibehaltung der bisher genutzten Version sind keine weiteren Aktionen nötig. Wird eine neuere Version gewählt, müssen alle entsprechenden CDWPF-Dateien in allen Symbolen und Bildern in allen Projekten angepasst werden


Zeitfilter

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.10 > Zeitfilter

Die Konfiguration und Darstellung der Zeitfilter sowie die Filterergebnisse wurden überarbeitet, optimiert und vereinheitlicht.

Die Kombination aus der neuen Option Zeitbereich modifizieren und dem neuen Filterverhalten kann dazu führen, dass Filtergebnisse ab Version 7.10 anders ausfallen als in den Versionen davor.


Konvertierung von Version X auf Version 7.11

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11

Hinweis: Sonderzeichen wie ß-/\ sind im zenon Projektnamen verboten. Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_). Mehr Informationen dazu finden Sie im Handbuch Projektverwaltung und Arbeitsbereich, Kapitel Neues Projekt anlegen.

Noch in diesem Kapitel

API - Änderung Datentyp

Batch Control

Befehlsgabe

IMM Tabellennamen

Variablen über API modifizieren

Chargenfilter

Netzwerk

OPC UA Server mehrprojektfähig

VBA-Funktionen für Schablonenliste geändert


API - Änderung Datentyp

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > API - Änderung Datentyp

In der CreateArrayVarEx Methode für das Variables Objekt wurde der Datentyp für lAdrMode von int auf zenOn.tpAdrMode geändert

Bestehender Code muss entsprechend angepasst werden.

Bis inklusive zenon 7.10:

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, int lAdrMode, bool bStartAtNewOffset)

Ab zenon 7.11:

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, zenOn.tpAdrMode lAdrMode, bool bStartAtNewOffset)


Batch Control

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > Batch Control

Befehlsparameter anzeigen

Mit Version 7.11 wurden in der Bildumschaltung in der Registerkarte Einstellungen der Parameterlisten die Optionen für Befehlsparameter anzeigen erweitert und von Radiobuttons auf beliebig kombinierbare Checkboxen umgestellt.

Für die Abwärtskompatibilität bedeutet das, dass abwärtskompatibles Schreiben nur dann möglich ist, wenn:

  • nur eine Checkbox für die änderbaren Parameter gesetzt ist
  • oder die Kombination aller Checkboxen alle Parameter durchlässt

Ergibt die Kombination der Checkboxen eine Einstellung, die mit zenon 7.10 oder davor nicht konfigurierbar war, dann werden keine Parameter in der Liste angezeigt.

Wiederanlaufen der Runtime

Beim Wiederanlaufen nach einem Runtime-Neustart wird der jeweilige Status mit der Information in den Rezepten hinterlegt. Der Ausführungsstatus wird auch in den Aggregatsinformationen angezeigt. Der Ausführungstatus (numerisch und Text) in den Aggregatsinformationen enthalten eine Nummer und einen Text, die denen der Variablen im Bild entsprechen. Inklusive Informationen, ob durch Wiederanlauf ausgelöst, Informationen über Objekte in abweichenden Status und Objekte die einen Statuswechsel verzögern.
Achtung: Der Inhalt dieser Variablen ist zwischen zenon 7.10 und 7.11 nicht kompatibel.

RDL-Dateien

Die default.rdl aus zenon 7.10 kann Konfigurationsfehler aufweisen. Werden RDL-Dateien auf Basis der default.rdl für Batch Control in zenon 7.11 verwendet, führt das zu Fehlern bei der Ausgabe. Wenn Sie entsprechende RDL-Dateien unter zenon 7.11 verwenden möchten, führen Sie vor der Verwendung folgende Änderungen durch:

  • Datensatz für BatchOperationInstances
    • Das Feld OpertionType muss in OperationType umbenannt werden.
  • BatchMasterRecipes und BatchControlRecipes:
    • Das Feld MrVersionSource muss in MrSourceVersion umbenannt werden.
    • Ergänzen Sie das Datenfeld MrVersion mit dem Datentyp Integer
  • BatchPhases1

    Ergänzen Sie folgende Datenfelder:

    • CondPlcError (Datentyp: String)
    • CSName (Datentyp: String)
    • CSDescription (Datentyp: String)
    • CSTag (Datentyp: String)
    • ActiveCSNumber (Datentyp: Integer)


Befehlsgabe

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > Befehlsgabe

Bei der Erstellung der Runtimefiles - via Alle Runtime-Dateien erzeugen - werden alle Befehlsgabe Aktionen vom Typ Auto-/Remote-Befehl sowie Zwangsbefehl herausgefiltert.

Diese Aktionen stehen in zenon erst ab Version 7.11 zur Verfügung. Die Editor-Kompilations-Validierung überpüft, ob für eine Variable (oder Variablen bei der Verwendung von Wildcards) der gleiche Befehl, oder die gleiche Schaltrichtung zweimal projektiert wurden. Ist dies der Fall, erscheint im Ausgabefenster eine entsprechende Fehlermeldung.

info Info

Die Befehlsgabe Aktionen Auto-/Remote Befehl sowie Zwangsbefehl stehen in Runtimeversionen vor Version 7.11 nicht zur Verfügung.


IMM Tabellennamen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > IMM Tabellennamen

Tabellennamen werden im IMM jetzt fest vergeben:

  • Tabelle für Geräte: Devices
  • Tabelle für Wartungsarb.: MaintenanceWorks
  • Tabelle für Historie: MaintenanceHistory
  • Tabelle für Dokumente: Documents

Diese Tabellen haben standardmäßig fixe Tabellennamen.

Bei der Konvertierung von Projekten werden abweichende Tabellennamen beibehalten. Neue Projekte verwenden die fest vorgegebenen Tabellennamen.


Variablen über API modifizieren

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > Variablen über API modifizieren

Im zenon Object Model wurde das Variables object um die Funktionen ModifyVariable and ModifyArrayVariable erweitert. Damit können Eigenschaften von einfachen Variablen, Struktur-Variablen und über Arrays über die API bearbeitet werden. Alle dynamischen Eigenschaften, die über die API nicht verändert werden dürfen, wurden auf "nur lesen" gesetzt.

  • Funktion ModifyVariable:
    Für einfache Variablen. Ermöglicht die Modifizierung von:
    • Treiber
    • Kanaltyp
    • Datentyp
    • Adressierungmodus
    • Einstellung Jeden Datentyp startet mit neuem Offset
  • Funktion ModifyArrayVariable:
    Für Array-Variablen. Ermöglicht die Modifizierung von:
    • Treiber
    • Kanaltyp
    • Datentyp
    • Adressierungmodus
    • Offsetberechnung
    • Lower Bound (0 oder 1) und Dimensionen des Arrays

Achtung: Zusätzlich wurden folgende dynamische Eigenschaften für die API auf READ-Only gesetz:

  • LBound
  • Dim1
  • Dim2
  • Dim3
  • OfsAccordingType
  • IsOffsetManuell
  • IsStartAtNewOffset
  • Driver
  • ID_DataTyp

ID_DriverTyp


Chargenfilter

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > Chargenfilter

Die Filterung auf Chargen wurde erweitert und ihre Konfiguration vereinheitlicht.

Kompatibilität

  • Die Einstellung Chargen in der Registerkarte Zeit befindet sich jetzt in der Registerkarte Chargen und heißt Chargenauswahldialog anzeigen.
    Unterschied: Bis Version 7.11 konnte im Zeitfilter der Dialog mit der Auswahl Charge konfiguriert werden und in der Registerkarte Charge der Filter eingeschaltet werden.
    Ab Version 7.11 ist nur eines von beiden möglich. Bei der Projektkonvertierung wird die Option Chargenauswahldialog anzeigen gewählt und der Zeitfilter fix auf seinen Default-Wert Relativer Zeitfilter mit einer Stunde gesetzt.
    • Hinweis XML-Import: Beim Konvertieren eines Projektes von Version 7.10 auf Version 7.11 über XML-Export und XML-Import tritt ein optischer Fehler auf. Die Konvertierung erfolgt bei XML-Import statt zu Relativer Zeitfilter mit einer Stunde zu Absoluter Zeitfilter mit einer Stunde. Zur Runtime hat das keine Auswirkung, da die Einstellung beim Aufruf des Dialogs nicht ausgewertet wird. Allerdings wird beim Öffnen des Filters zur Runtime oder im Editor eine Fehlermeldung angezeigt, da die Startzeit höher als die Endezeit ist.
  • Die Möglichkeiten für Letzte Chargen wurden erweitert. Es können abgeschlossene und laufende Chargen angezeigt und beide kombiniert werden. Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen und wird das Projekt für eine Version vor 7.11 kompiliert, dann werden zur Runtime die abgeschlossenen Chargen angezeigt.
  • Für die Filterung auf Archive und Chargennamen stehen jeweils folgende Optionen zur Verfügung:
    • Kein Filter: entspricht der früheren Einstellung * als Filter
    • Statisch:
    • Aus Variable: neue Einstellung

    Beim Konvertieren von Projekten der Version 7.10 oder früher wird die Einstellung „*" oder Leerstring als Kein Filter hochkonvertiert.

  • Werden Runtime-Dateien für Versionen vor 7.11 erstellt, könne nur die Optionen Kein Filter und Statisch richtig konvertiert werden. Bei Statisch wird der String geschrieben so wie er ist, für Kein Filter wird „*" als Filter gespeichert. Die Option Aus Variable wird ignoriert, es wird kein Filter gesetzt.


Netzwerk

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > Netzwerk

Validierung während der Kompilierung

Während der Projektkompilierung werden folgende Validierungen für ein bewertetes Netzwerk vorgenommen:

  • Verwendete Variable existiert noch
  • Verwendete Variable ist nicht vom Type String und keine Strukturvariable
  • Hysterese ist innerhalb der Summe aller Gewichtungen
  • Verwendete Variable wird nicht vom SB gelesen.
  • Variablen werden nur dann überprüft, wenn der Redundanzmodus den Wert Bewertet hat.

info Info

Die Überprüfung eines Konfigurationseintrages wird nur dann vorgenommen, wenn dieser auch aktiv ist.

Abwärtskompatibilität

  • Die COPA-DATA Runtime kann sich zu einem Server mit einer Version < 7.11 verbinden.
  • Der COPA-DATA Editor kann ein Projekt für eine COPA-DATA Runtime Version < 7.11 erstellen.


OPC UA Server mehrprojektfähig

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > OPC UA Server mehrprojektfähig

Der OPC UA Server ist ab zenon 7.11 mehrprojektfähig. Es können Variablen aus dem Runtime-Projekt und allen seinen Unterprojekten gewählt werden. Dabei wird der Objektname aus dem Variablennamen und dem Projektnamen zusammengesetzt. Konfigurationen für OPC UA Clients, die vor zenon 7.11 erstellt wurden, sind damit nicht kompatibel. Diese müssen beim Einsatz von zenon 7.11 oder höher angepasst werden.


VBA-Funktionen für Schablonenliste geändert

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.11 > VBA-Funktionen für Schablonenliste geändert

Die Funktionen zur Abfrage der Anzahl der Schablonen wurde geändert. Bis inklusive Version 7.10 wurden alle Schablonen des lokalen Projekts und des Glpbalprojekts gemeinsam gezählt. Ab Version 7.11 werden nur mehr die Schablonen des lokalen Projekts oder des Globalprojekts gezählt.

Folgende VBA-Funktionen wurden geändert:

  • CSchabliste::vba_Count(): Liefert ab Version 7.11 nur die Anzahl der lokalen oder globalen Schablonen.
  • CSchabliste::vba_Item(const VARIANT FAR& vID): Iteriert ab Version 7.11 nur die lokale oder nur die globale Schablonennliste

Diese Änderungen kann zu Inkompatibilitäten mit bestehenden Projekten führen. Wurde in einem Projekt über die genannten VBA-Funktionen Schablonen abgefragt, dann müssen diese angepasst werden.

Beispiel

In einem lokalen Projekt 5 sind Schablonen vorhanden und im Globalprojekt 10 Schablonen. Dann:

  • wurden bisher 15 Schablonen gezählt und iteriert
  • werden ab Version 7.11 entweder 5 oder 10 Schablonen gezählt und iteriert
  • wird das Iterieren über die jeweilige Größe hinaus, z.B. 11, zu einem Fehler führen
  • müssen für das lokale Projekt und das Globalprojekt jeweils eigene Abfragen erstellt werden


Konvertierung von Version X auf Version 7.20

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20

Hinweis: Sonderzeichen wie ß-/\ sind im zenon Projektnamen verboten. Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_). Mehr Informationen dazu finden Sie im Handbuch Projektverwaltung und Arbeitsbereich, Kapitel Neues Projekt anlegen.

Noch in diesem Kapitel

Version 7.20 - aktuellster Build

BACnetNG

Batch Control: Keine gruppierten CEL Einträge mehr bei Wertänderung im Steuerrezept

Bildtypspezifische Funktionen

Darstellungsreihenfolge der Elemente

DirectX 11.1

DirectX im Editor

DirectX: Grafische Darstellung bei Bildumschaltung

DNP3_TG Treiber ersetzt DNP3_NG

Dynamischer Text: Eigenschaft "Text aus Variable" ersetzt

Eigenschaft Antialiasing entfernt

Eigenschaften Textwinkel und Buchstabenneigung entfernt

Einträge in zenon6.ini für [AlarmFilterDialog] geändert

Erweiterter Trend: Fadenkreuz XY-Ansicht

Format Datenbanktabelle Verdichtungsarchiv

Grafikqualität "Windows Erweitert" entfernt

Grenzwerttext

IMM Tabellennamen

Navigation mit Multitouch im Weltbild

Process Control Engine (PCE) entfernt

Remote-Transport: Passwort verschlüsselt speichern

Schablonen-Eigenschaften

Schablonen: Eigenschaft "Rahmenart" geändert

Schablonen Hintergrundfarbe

Schatten im Combielement

Unterschiede zwischen den Grafikqualitäten "Windows Erweitert" und "DirectX"

Unverknüpfte Elemente

Variableneigenschaften für zenon Analyzer

zenon Logic Projekte anlegen


Version 7.20 - aktuellster Build

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Version 7.20 - aktuellster Build

Für die Kompatibilität zur Version 7.20 steht eine zusätzliche Auswahlmöglichkeit "aktuellste Version" zur Verfügung. Diese ist mit dem Eintrag 7.20 SP0 + [aktuellste Build-Nr.] in der Dropdownliste auswählbar.

Mit dieser Auswahl werden die Runtimedateien für den aktuellen Build der Version 7.20 zur Verfügung gestellt. Funktionalität die nach dem offiziellen Release von 7.20 noch in die Version 7.20 eingebaut wurden, werden dadurch unterstützt. Dies gilt vor allem für Erweiterungen von Treibern, die mit dieser Option nun unterstützt werden. Für die Nutzung müssen Sie den aktuellsten Build von zenon 7.20 auf Ihrem Rechner installiert haben.

Hinweis: Die Auswahl 7.20 SP0 kompiliert die Runtimedateien - wie bisher - auf Default-Einstellungen von 7.20 SP0.Stellen Sie dabei sicher, dass Sie sowohl für die zenon 7.50 wie auch für 7.20 den jeweils aktuellsten Build verwenden.


BACnetNG

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > BACnetNG

Der Treiber wurde für Version 7.20 angepasst.

Trennzeichen

Für die Option Property separator ist jetzt die Verwendung der Zeichen @ und # als Trennzeichen verboten. Die Zeichen werden in konvertierten Projekten belassen, können aber nicht neu eingegeben werden.

Achtung: Wird eines der beiden Zeichen verwendet, kommt keine Kommunikation zustande.

Adressierung

Auswahl Adresse

Die Checkbox Use identification to define object name and property im Konfigurationsdialog Settings wurde durch die Dropdownliste Property used for adressing ersetzt. Zur Auswahl steht die Adressierung über:

  • Variablenname
  • Kennung
  • Symbolische Adresse

Bei der Projektkonvertierung wird der entsprechende Eintrag aus der Dropdownliste gesetzt.

Neue Checkbox für Status-Extraktion

Die neue Checkbox Do not read property/event state from address string ermöglicht es, Property-ID und Event State nicht aus der gewählten Adresse zu extrahieren.

Wird diese Option aktiviert:

  • Müssen Property-ID oder Event State über die dafür vorgesehenen Treiberspezifischen Properties eingestellt werden. Beim Online-Import erfolgt diese Konfiguration automatisch.
  • Können keine einzelnen Elemente von BACnet Arrays/Listen mehr adressiert werden.
  • Kann der Variablenname nicht zur Adressierung verwendet werden, da dieser eindeutig sein muss. Die Adressierung muss entweder über Kennung oder Symbolische Adresse erfolgen.
  • Der Property separator wird nicht mehr im Adressfeld gesucht. Die Adresse besteht daher nur mehr aus: <Gerätename>.<Objektname>.
    Dabei gilt:
    • Der Gerätename darf keinen Punkt (.) enthalten.
    • Keine Einschränkungen für Objektnamen.


Batch Control: Keine gruppierten CEL Einträge mehr bei Wertänderung im Steuerrezept

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Batch Control: Keine gruppierten CEL Einträge mehr bei Wertänderung im Steuerrezept

Beim Ändern von Werten in einem Steuerrezept gibt es keine gruppierten CEL-Nachricht mehr. Stattdessen hat jede Nachricht alle Information, die das Rezept betreffen. Die Header-Einträge sind entfernt worden und alle Änderungen von Parameterwerten benutzen jetzt die gleichen Einträge wie bei Bearbeitung über die Parameterliste. Ebenso wurden die Einträge für Änderungen der Mindestausführungszeit angepasst. Für diese wurden neue Einträge hinzugefügt.

Folgende Einträge wurden entfernt:

  • IDS_STRING2460 "@Parametrierung der Grundfunktion@ %s""%s/%s"" @(Spalte@ %i - @Zeile@ %i@) geändert, Steuerrezept@ ""%s""@, Vorlagenrezept@ ""%s"""
  • IDS_STRING2627 "@Begründung:@ ""%s"""
  • IDS_STRING2624 "  @Wert des Parameters@ ""%s"" @wurde geändert. Alter Wert@ ""%s"", @neuer Wert@ ""%s"""
  • IDS_STRING2628 "  @Minimale Ausführungsdauer wurde geändert. Alter Wert@ ""%s"", @neuer Wert@ ""%s"""

Folgende Einträge wurden hinzugefügt:

  • IDS_STRING2624 "@Minimale Ausführungsdauer der Grundfunktion@ %s""%s/%s"" @(Spalte@ %i - @Zeile@ %i@) wurde geändert. Alter Wert@ ""%s"", @neuer Wert@ ""%s""@, Steuerrezept@ ""%s""@, Vorlagenrezept@ ""%s"""
  • IDS_STRING2627 "@Minimale Ausführungsdauer der Grundfunktion@ %s""%s/%s"" @(Spalte@ %i - @Zeile@ %i@) wurde geändert. Alter Wert@ ""%s"", @neuer Wert@ ""%s""@, Steuerrezept@ ""%s""@, Vorlagenrezept@ ""%s"" @Begründung@ ""%s"""


Bildtypspezifische Funktionen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Bildtypspezifische Funktionen

Werden Bildtyp-spezifisch verknüpfte Funktionen ungültig, zum Beispiel durch Kopieren eines Buttons in ein Bild anderen Typs, dann wird auf die ungültige Verknüpfung hingewiesen und diese kann ersetzt werden. Ungültige Funktionen werden beim Kompilieren entfernt.

Beim Konvertieren von Projekten können diese zur Runtime noch ungültige bildtypspezifische Funktionen enthalten.


Darstellungsreihenfolge der Elemente

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Darstellungsreihenfolge der Elemente

Die Darstellungsreihenfolge der einzelnen Element-Komponenten wurde angeglichen.


DirectX 11.1

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > DirectX 11.1

Für die Verwendung von DirectX 11.1 gilt:

  • Unter Windows 8 und neuere Versionen des Betriebssystems steht DirectX 11.1 nativ zur Verfügung.
  • Unter Windows 7 und Server 200R2 ohne Service Pack und Versionen davor kann DirectX 11.1 nicht verwendet werden.
  • Für Windows 7 SP1 und Server 2008 R2 SP1 muss ein Windows Service Pack installiert sein

Um das Service Pack zu installieren:

  1. Laden Sie von der Microsoft Support Seite das Platform Update KB2670838 herunter.
  2. Wählen Sie die Version, die Ihrem Betriebssystem entspricht:
    • 32-Bit
    • 64-Bit
  3. Führen Sie die entsprechende Installationsdatei aus.

Hinweis: Dies betrifft ausschließlich Windows 7 SP1 und Server 2008 R2 SP1. Auf neueren Versionen ist DirectX 11.1 bereits vorhanden. Auf älteren Versionen kann das Update nicht installiert werden.


DirectX im Editor

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > DirectX im Editor

Die native DirectX-Darstellung steht im Editor durch die Einstellungen der Eigenschaft Grafikqualität zur Verfügung.

Für den Raster entfällt die gepunktete Linie. Sie wird bei der Projektkonvertierung durch eine durchgezogene Linie ersetzt.

Beim Anlegen eines neuen Projektes ist die Grafikqualität per Default DirectX Hardware. Man kann diese manuell auf Windows Basis oder DirectX Software ändern. Bei der Projektkonvertierung wird der ehemalige Wert Windows Erweitert auf DirectX Hardware geändert. Wird zur Runtime ein Projekt gestartet, das mit Windows Erweitert projektiert wurde, wird es mit DirectX Hardware geladen.

Hinweis: Die grafische Darstellung von DirectX unterscheidet sich von Windows Erweitert. Details lesen Sie im Kapitel Unterschiede zwischen den Grafikqualitäten "Windows Erweitert" und "DirectX".

Stellt man ab Version 7.00 im Editor eine andere Grafikqualität als Windows Basis für ein Projekt ein (inklusive entsprechender Einstellung für die Option RT Dateien erzeugen für), so lädt die Runtime bis zenon Version 6.51 die Grafikqualität Windows Erweitert. Stellt man die Grafikqualität Windows Basis ein, wird diese beibehalten.


DirectX: Grafische Darstellung bei Bildumschaltung

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > DirectX: Grafische Darstellung bei Bildumschaltung

Beim Umschalten, Schließen oder Aufschalten eines Bildes hat sich das Verhalten in der Runtime bei Verwendung von DirectX geändert. Bis zur vollständigen Darstellung oder nach dem Schließen eines Bildes wird ab jetzt nur dessen Hintergrundfarbe angezeigt.


DNP3_TG Treiber ersetzt DNP3_NG

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > DNP3_TG Treiber ersetzt DNP3_NG

Mit Version 7.20 ersetzt der DNP3_TG Treiber den DNP3_NG Treiber. Bei der Treiberauswahl wird der DNP3_NG Treiber nicht mehr automatisch angeboten. Er kann aber manuell hinzugefügt werden. (Details siehe Treiberhandbuch.)

Bei der Konvertierung von Projekten, die den DNP3_NG Triber verwenden, wird dieser der Treiberliste wieder hinuzugefügt.


Dynamischer Text: Eigenschaft "Text aus Variable" ersetzt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Dynamischer Text: Eigenschaft "Text aus Variable" ersetzt

Für die Konfiguration des Bildelements Dynamischer Text wurde die Checkbox Text aus Variable durch die neue Dropdown-Auswahl Anzeigetext ersetzt.

Diese ermöglicht die Auswahl des zur Runtime anzuzeigendes Inhalts aus einer Dropdownliste:

  • Betriebsmittelkennung: Der Inhalt der Variablen-Eigenschaft Betriebsmittelkennung wird angezeigt.
  • Grenzwerttext: Solange kein Grenzwert verletzt wurde, wird der Inhalt der Bild-Eigenschaft Text angezeigt. Bei einer Grenzwertverletzung wird der Inhalt der Variablen-Eigenschaft Grenzwerttext angezeigt.
  • Maßeinheit: Der Inhalt der Variablen-Eigenschaft Maßeinheit wird angezeigt.
  • Variablenkennung: Der Inhalt der Variablen-Eigenschaft Kennung wird angezeigt.
  • Variablenname: Der Inhalt der Variablen-Eigenschaft Name wird angezeigt.
  • Variablenwert: Der Wert der Variablen wird angezeigt.

Bei der Konvertierung von Projekten nach 7.20 wird die Eigenschaft entsprechend dem Zustand der Checkbox gesetzt:

Checkbox in Projekt vor 7.20 | Auswahl in Dropdownliste in 7.20
inaktiv | Grenzwerttext
aktiv (Variable ist numerisch) | Variablenwert
aktiv (Variable ist nicht numerisch) | Grenzwerttext

Beim Kompilieren von Runtime-Dateien in Version 7.20 für Version oder 7.11 oder kleiner wird in der kompilierten Version der Wert für die Checkbox gesetzt:

  • aktiv: Auswahl für Dropdownauswahl ist Variablenwert
  • inaktiv: bei allen anderen Konstellationen


Eigenschaft Antialiasing entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Eigenschaft Antialiasing entfernt

Die Eigenschaft Antialiasing verwenden wurde aus den Projekteigenschaften entfernt. Es wird nun immer Antialiasing verwendet, wenn es die eingestellte Grafikqualität unterstützt.


Eigenschaften Textwinkel und Buchstabenneigung entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Eigenschaften Textwinkel und Buchstabenneigung entfernt

Die Eigenschaften Textwinkel und Buchstabenneigung wurden entfernt. Diese wurden beim Element Statischer Text verwendet, wenn die Schrift eingebettet war. Textwinkel kann durch eine Drehung des gesamten Elements erreicht werden. Für Buchstabenneigung gibt es keinen Ersatz.


Einträge in zenon6.ini für [AlarmFilterDialog] geändert

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Einträge in zenon6.ini für [AlarmFilterDialog] geändert

In der zenon6.ini konnten über einen Eintrag in den Abschnitt [AlarmFilterDialog] Einträge für Variablenname und Kennung in den Filterdialogen für AML, CEL und Filterbilder vordefiniert werden. Diese Einträge wurden mit Version 7.20 geändert. Bereits definierte Einträge funktionieren damit nicht mehr.

Da alle eingegeben Filter auf dem lokalen Rechner über diesen Eintrag der zenon6.ini automatisch gespeichert wird, ist die Konfiguration über die INI-Datei nicht nötig. Details zu den aktuell gültigen Einträgen finden Sie in der Dokumentation der zenon6.ini.


Erweiterter Trend: Fadenkreuz XY-Ansicht

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Erweiterter Trend: Fadenkreuz XY-Ansicht

Das Fadenkreuz in der Runtime für die XY-Ansicht wird ab zenon 7.20 bei der Bildumschaltung konfiguriert. Aktivieren Sie dazu in der Registerkarte Darstellung die Option Fadenkreuz im XY-Diagramm anzeigen.

Bisher erfolgte die Konfiguration über den Eintrag SHOW_XY_CROSS= in der project.ini. Beim Konvertieren aus einer Version vor zenon 7.20 wird die Einstellung aus der projekt.ini gelesen und eingetragen. Ab diesem Zeitpunkt wird der Eintrag in der project.ini ignoriert.


Format Datenbanktabelle Verdichtungsarchiv

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Format Datenbanktabelle Verdichtungsarchiv

Ab zenon 7.20 ist bei der Auslagerung von Archiven in eine SQL-Datenbank auslagern die GUID im Index enthalten. Für diese gilt: Sie muss NOT Null sein. Ab zenon 7.20 wird für die Auslagerung bei Variablen des eigenen Projekts für die GUID ein Leerstring anstelle von NULL eingetragen.

Werden Runtime-Dateien für die Version 7.11 oder kleiner kompiliert ergibt sich daraus ein Kompatibilitätsproblem: Da hier NULL in die GUID Spalte geschrieben wird, funktioniert die Auslagerung nicht-

Lösung: Die Tabelle im SQL Server muss manuell ohne GUID im Primärschlüssel oder gänzlich ohne Primärschlüssel angelegt werden.

Z.B. mit folgender Syntax:

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)


Grafikqualität "Windows Erweitert" entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Grafikqualität "Windows Erweitert" entfernt

Die Option der Grafikqualität Windows Erweitert wurde aus zenon entfernt. Beim Anlegen eines neuen Projektes ist die Grafikqualität per Default DirectX Hardware. Man kann diese manuell auf Windows Basis oder DirectX Software ändern. Bei der Projektkonvertierung wird der ehemalige Wert Windows Erweitert auf DirectX Hardware geändert. Wird zur Runtime ein Projekt gestartet, das mit Windows Erweitert projektiert wurde, wird es mit DirectX Hardware geladen.

Hinweis: Die grafische Darstellung von DirectX unterscheidet sich von Windows Erweitert. Details lesen Sie im Kapitel Unterschiede zwischen den Grafikqualitäten "Windows Erweitert" und "DirectX".

Stellt man ab Version 7.00 im Editor eine andere Grafikqualität als Windows Basis für ein Projekt ein (inklusive entsprechender Einstellung für die Option RT Dateien erzeugen für), so lädt die Runtime bis zenon Version 6.51 die Grafikqualität Windows Erweitert. Stellt man die Grafikqualität Windows Basis ein, wird diese beibehalten.


Grenzwerttext

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Grenzwerttext

Der Grenzwerttext eine Variablen und der Zustandstext einer Rema können jetzt bis zu 1024 Zeichen lang sein. Im Tabellenformat für den SQL-Export von Alarmen wurde die Spalte TEXT auf 1024 Zeichen erweitert.

Der Puffer für die dynamischen Anteile des dynamischen Grenzwerttexts bei Verwendung langer dynamischer Grenzwertexte (D*.AML und D*.CEL) ist jetzt variabel mit einer maximalen Größe von 1024 Bytes. Das Speicherformat der D*.AML und D*.CEL Dateien wurde dafür geändert.

Bestehende Dateien bleiben als Festlängenrecord-Format mit 264 Bytes unverändert erhalten und werden nicht konvertiert. Neu erzeugte Dateien werden mit variabler Recordlänge in der neuen Formatversion erzeugt.


IMM Tabellennamen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > IMM Tabellennamen

Tabellennamen werden im IMM jetzt fest vergeben:

  • Tabelle für Geräte: Devices
  • Tabelle für Wartungsarb.: MaintenanceWorks
  • Tabelle für Historie: MaintenanceHistory
  • Tabelle für Dokumente: Documents

Diese Tabellen haben standardmäßig fixe Tabellennamen. Diese entsprechen der Benennung in der Messstellenverwaltung.

Bei der Konvertierung von Projekten werden abweichende Tabellennamen beibehalten. Neue Projekte verwenden die fest vorgegebenen Tabellennamen. Werden Tabellen in IMM und Messstellenverwaltung gemeinsam verwendet, müssen sie dieser Konvention entsprechen. Abweichende Bennungen im IMM können über einen Dialog angepasst werden.


Navigation mit Multitouch im Weltbild

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Navigation mit Multitouch im Weltbild

Beim Konvertieren aus einer früheren Version nach zenon 7.20 werden für die Eigenschaften Horizontal Verschieben und Vertikal Verschieben folgende Werte gesetzt:

  • Bild ist größer als Schablone: Verschieben
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion


Process Control Engine (PCE) entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Process Control Engine (PCE) entfernt

PCE wird ab Version 7.20 nicht mehr unterstützt und nicht mehr im Modulbaum von zenon angezeigt. PCE wird nicht weiterentwickelt und dokumentiert.

Beim Konvertieren von Projekten aus Versionen vor 7.20, die PCE-Tasks enthalten, wird der Knoten PCE für diese Projekte wieder eingeblendet. PCE kann für konvertierte Projekte weiter verwendet werden.

Empfehlung: Verwenden Sie zenon Logic anstelle von PCE.


Remote-Transport: Passwort verschlüsselt speichern

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Remote-Transport: Passwort verschlüsselt speichern

Das Passwort für die Remote-Transport Verbindung kann ab Version 7.20 verschlüsselt in der zenon6.ini abgelegt werden.

Beachten Sie für die Projektkonvertierung:

  • Im Editor (Quellsystem) wird bei der Projektkonvertierung von Version X auf 7.20 der Eintrag KEY= durch KEYCRYPT= ersetzt und das Passwort wird hier verschlüsselt gespeichert.
  • Am Zielsystem wird abgefragt, ob KEY= in der zenon6.ini einen Eintrag hat.
    Ja: Dieser Eintrag hat Priorität. Zur Konvertierung muss der Eintrag am Zielsystem manuell gelöscht werden.

Details siehe Handbuch Remote-Transport, Kapitel Verschlüsselung.

Auch die Kommunikation des Remote-Transport kann verschlüsselt werden. Dazu muss nur im Startup Tool die Verschlüsselung des zenon Netzwerks aktiviert werden.


Schablonen-Eigenschaften

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Schablonen-Eigenschaften

Die Schablonen verfügen über neue Eigenschaften. Die neuen Eigenschaften ermöglichen es, die Größe eines Bildes beim Aufschalten und das Bewegen von Bilden am Bildschirm zu konfigurieren. Zusätzlich wurden zwei bestehende Eigenschaften umbenannt.

Neue Eigenschaften

Eigenschaft | Beschreibung
Aufschaltgröße: | Definiert die Größe, mit der ein auf dieser Schablone basierendes Bild zur Runtime aufgeschaltet wird.
Wert (Aufschaltgröße) | Wert für die gewählte Art der Größenfestlegung.
Begrenzung Minimum: | Definiert Begrenzungen für Minimum.
Wert (Minimum): | Wert für die gewählte Art der Begrenzung.
Verschieben: | Definiert mögliche Einschränkungen beim Verschieben des Objekts.
Begrenzung: | Definiert die Art der Begrenzung beim Verschieben.
Minimaler Schablonenrandbereich: | Definiert den Bereich, der am Bildschirm verbleiben muss, wenn ein Objekt über den Bildschirmrand hinaus verschoben wird.

Bei der Projektkonvertierung werden die Werte für die neuen Eigenschaften auf die Defaultwerte gesetzt.

Umbenannte Eigenschaften

zenon 7.11 | zenon 7.20
Breite [Pixel]: | Breite (Maximum) [Pixel]: Legt die Maximalbreite fest.
Höhe [Pixel]: | Höhe (Maximum) [Pixel]: Legt die Maximalhöhe fest.

Bei der Projektkonvertierung werden die Werte übernommen.


Schablonen: Eigenschaft "Rahmenart" geändert

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Schablonen: Eigenschaft "Rahmenart" geändert

Die möglichen Einstellungen für die Eigenschaft Rahmenart bei Schablonen wurde geändert:

Bis inklusiver Version 7.11 | Ab Version 7.20
Dicker Rahmen | Größenanpassung möglich
Dünner Rahmen | Größe fixiert
Kein Rahmen | Kein Rahmen

Damit ändert sich die Darstellung im Editor und zur Runtime. Im Editor wird nun auch der Rahmen der Schablone so dargestellt, wie er am gleichen PC mit den gleichen Einstellungen im Betriebssystem zur Runtime aussieht. Das Aussehen von Rahmen in konvertierten Projekten kann sich damit verändern.


Schablonen Hintergrundfarbe

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Schablonen Hintergrundfarbe

Der Hintergrund der Schablonen wird in der Runtime jetzt durch die Farbe des aufgeschalteten Bildes dargestellt.


Schatten im Combielement

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Schatten im Combielement

Im Combielement verhalten sich die Schatteneffekte gleich wie bei anderen Elementen bzw. Symbolen. Rotationen haben keine Auswirkungen auf den tatsächlichen Winkel des Schattens.


Unterschiede zwischen den Grafikqualitäten "Windows Erweitert" und "DirectX"

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Unterschiede zwischen den Grafikqualitäten "Windows Erweitert" und "DirectX"

Die Option der Grafikqualität Windows Erweitert wurde aus zenon entfernt, siehe Kapitel Grafikqualität "Windows Erweitert" entfernt. Durch die Projektkonvertierung kann es zu Pixelabweichungen und Darstellungsabweichungen in der Grafikausgabe kommen.

Falls eine Projektanpassung nach der Projektkonvertierung notwendig ist, beachten Sie die folgenden Unterschiede zwischen den Grafikqualitäten Windows Erweitert und DirectX:

Unterschiede können in folgenden Bereichen auftreten:

  • ClearType von Schriften
  • Antialiasing
  • Positionierung von Darstellungen innerhalb von Elementen

    Beachten Sie hierbei:

    • die dynamischen Elemente und
    • alle Bereiche, in denen Texte vorkommen.
  • Dynamiken/Symbole:
    • Drehen
    • Skalieren
    • Verschieben

Eventuelle Unterschiede außerdem in:

  • Farbverlauf
  • Rundung
  • Effekte, wie Schatten
  • Abrundung
  • Linienenden
  • Linienart
  • Grafikdatei
  • Zoom im zenon Editor
  • Weltbild in der zenon Runtime

Hinweis: Unterschiede können auch in anderen Bereichen auftreten, die hier nicht aufgelistet wurden.


Unverknüpfte Elemente

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Unverknüpfte Elemente

Combi-Element:

Wenn keine Hauptvariable verknüpft ist, wird das Combi-Element in der Runtime nicht mehr angezeigt.

Trend-Element:

Sind keine Kurven definiert, wird das Trend-Element in der Runtime nicht dargestellt.

Uhr-Element:

Wenn das Uhr-Element mit der Einstellung Zeitdifferenz konfiguriert ist, aber keine Variable verknüpft ist, wird es in der Runtime nicht mehr angezeigt.

WPF-Element:

Ein WPF-Element, bei dem keine gültige XAML-Datei verknüpft wurde, ist in der Runtime nicht verfügbar.


Variableneigenschaften für zenon Analyzer

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > Variableneigenschaften für zenon Analyzer

Zur Verwendung im COPA-DATA Produkt zenon Analyzer wurden die Variableneigenschaften um eine neue Gruppe ergänzt:

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Bis Version 7.11 wurden die Einträge der jetzt neuen Eigenschaften Bedeutung und Parameter für Wasserfall-Diagramm in die Eigenschaft Betriebsmittelkennung eingetragen.

Bei der Konvertierung eines Projekts auf Version 7.20 bleiben die Einträge in der Eigenschaft Betriebsmittelkennung erhalten. Beim Export zum zenon Analyzer werden sowohl die bisherige Eigenschaft als auch die neuen überprüft. Sind beide belegt, werden die Einträge der neuen Eigenschaften übernommen. Einträge, die über den Meaning and Waterfall Chart Wizard erstellt werden, werden immer in die neuen Eigenschaften eingetragen.


zenon Logic Projekte anlegen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.20 > zenon Logic Projekte anlegen

Im zenon Editor können keine zenon Logic Projekte mit Namen __Global mehr angelegt werden.
Achtung: Existieren bereits Projekte mit dem Namen __Global, werden diese nicht mehr angezeigt.


Konvertierung von Version X auf Version 7.50

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50

Noch in diesem Kapitel

API: Datentyp für ReaAlarm geändert (Def 34779

Bildelemente entfernt

Eigenschaft Transparenz für Statischen Text geändert

Element Statischer Text: Einbetten von Schriftarten wurde entfernt

SE Treiber für Projekte gleich oder kleiner 6.20 SP4

SNMP32 und SNMPNG32 - Speicherort MIBS

Gasnetz im Modul Last-Management entfernt


API: Datentyp für ReaAlarm geändert (Def 34779

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > API: Datentyp für ReaAlarm geändert (Def 34779

Der Datentyp für ReaAlarm wurde geändert:

  • bisher: LONG
  • ab Version 7.50: DOUBLE

Diese Änderung kann bei existierendem Code zu Fehlern beim Kompilieren führen.


Bildelemente entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > Bildelemente entfernt

Die folgenden Bildelemente stehen ab Version 7.50 nicht mehr zur Verfügung.

  • Meldungungselement
  • Multibin
  • Zustandselement

Für nicht mehr unterstützte Elemente gilt:

  • Nach der Konvertierung in ein aktuelles Projekt, das ein Element nicht mehr unterstützt:
    • Vorhandene Elemente werden im Editor und in der Runtime angezeigt.
    • Vorhandene Elemente können im Editor konfiguriert werden.
    • Elemente können im Editor nicht neu erstellt werden.
  • Beim Kompilieren der Runtime-Dateien für eine Version, die diese Elemente unterstützt:
    • Die Elemente können angezeigt, konfiguriert und neu erstellt werden. Sie finden diese Elemente dann in der Dropdownliste Elemente ganz unten.

Hinweis: Die Funktionalität des Elements Multibin sowie des Zustandselements kann auch über das Combi-Element projektiert werden.


Eigenschaft Transparenz für Statischen Text geändert

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > Eigenschaft Transparenz für Statischen Text geändert

Die Eigenschaft Transparenz für das Bildelement Statischer Text wurde geändert. Bislang konnte nur zwischen transparent und deckend gewählt werden. Mit der Eigenschaft Transparenz Füllfarbe [%] kann jetzt die Transparenz in Prozentpunkten zwischen 0 % (deckend) und 100 % (transparent) ausgewählt werden.

Bei der Projektkonvertierung wird der Wert 100 % gesetzt, wenn im Ausgangsprojekt transparent gewählt wurde. In allen anderen Fällen wird der Wert auf 0 % gesetzt.


Element Statischer Text: Einbetten von Schriftarten wurde entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > Element Statischer Text: Einbetten von Schriftarten wurde entfernt

Im Element Statischer Text können keine Schriftarten mehr eingebettet werden. Analog zu anderen Elementen können Schriftarten über die Eigenschaft Schrift nur noch verknüpft werden.

Projektkonvertierung

Bei der Konvertierung von Projekten werden alle Bilder auf Statischen Text mit eingebetteter Schriftart überprüft.
Werden eingebettete Schriftarten entdeckt, dann werden diese ersetzt:

  1. Die eingebettete Schriftart wird durch die Standardschrift Arial (10) ersetzt.
  2. Es wird ein Hinweis angezeigt.
    Doppelklick auf den Hinweis öffnet das Bild mit dem Element und der Statische Text, dessen Schrift geändert wurde wird markiert.

Static Text Font Conversion Wizard

Um Projektierungen - die diese Eigenschaft in früheren Versionen verwenden - weiter nutzen zu können, führt der Static Text Font Conversion Wizard die notwendigen Anpassungen im zenon 7.20 Projekt durch.

Der Static Text Font Conversion Wizard:

  • Durchsucht alle Bilder und Symbole eines Projekts.
    Optional konfigurierbar:
    • Durchsucht alle Symbole eines Globalprojekts
    • Durchsucht alle Symbole der Allgemeinen Symbolbibliothek.
  • Wandelt die Projektierungen eingebetteter Schriften in verlinkte Schriften um:
    • Erstellung einer neuen Schrift.
      Schriftname: Conversion_[bestehender Schriftname]
    • Verknüpfung dieser neuen Schrift mit dem Element.

    Optional konfigurierbar:

    • Erstellung und Verknüpfung werden im Globalprojekt angelegt

attention Achtung

Bereiten Sie Ihre bestehenden zenon Projekte zuerst in der Version 7.20 mit dem Static Text Font Conversion Wizard auf, bevor Sie Ihr Projekt in eine höhere zenon Version konvertieren.

Der Wizard ist ausschließlich in aktuellen Builds der Version 7.20 enthalten.

XML: Import und Export

Beim Import einer XML-Datei für ein Projekt vor Version 7.50 wird eingebetteter Text durch die Standardschrift ersetzt.

Beim Export der konvertierten Bilder ist keine Eigenschaft Font mehr enthalten. Diese wird durch LinkedFont ersetzt.

API

In der API stehen zwei Eigenschaften zur Verfügung:

Font: wurde bisher verwendet

LinkedFont: ab Version 7.50

Aus Kompatibilitätsgründen ist es in der API möglich Get/Set für die Schriftart über beide Eigenschaften zu setzen.

Verhalten bisher:

  • Es war möglich, über den External Name Font ein Get oder Set für ein LOGFONT Objekt zu setzen.
  • Wurden alle Atribute der LOGFONT Struktur auf 0 gesetzt, ausgenommen die Schriftweite (2. Argument), dann wurde die Schriftart als verknüpft behandelt. Der Wert der Schriftweite entsprach dem Index der Schriftart im Modul Schriftliste.
  • Wurde für die LOGFONT Struktur auch das erste Argument gesetzt und wurden auch weitere Werte gesetzt (Nicht Null), dann wurde die Schriftart als eingebettet behandelt.

Verhalten ab Version 7.50:

  • Get: Funktioniert wie bisher.
  • Set: Abhängig von Werten.
    • Ist die Schriftart auf verknüpft gesetzt (alle Werte 0 außer 2. Argument), dann funktioniert der Ablauf wie bisher.
    • Ist die Schriftart auf eingebettet gesetzt, wird sie durch die Standardschriftart ersetzt.


SE Treiber für Projekte gleich oder kleiner 6.20 SP4

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > SE Treiber für Projekte gleich oder kleiner 6.20 SP4

Bei der Konvertierung eines Projekts mit der Version < = 6.20 SP4 mit SE Treiber.

Damit die Konfiguration korrekt übernommen wird, muss der Treiberdialog geöffnet werden und mit OK bestätigt werden.


SNMP32 und SNMPNG32 - Speicherort MIBS

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > SNMP32 und SNMPNG32 - Speicherort MIBS

Der Speicherort für individuell installierte MIBS wurde geändert.

  • Bisher: %ProgramFiles(x86)%\COPA-DATA\zenon8.00\SNMP-MIBS
  • Ab Version 7.50: %ProgramData%\COPA-DATA\zenon8.00\CommunicationProfiles\SNMP-MIBS

Damit können MIBS auch ohne Administratorrechte installiert werden.


Gasnetz im Modul Last-Management entfernt

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.50 > Gasnetz im Modul Last-Management entfernt

Das Modul Last-Management unterstützt ab zenon 7.50 nur noch Stromnetze.

Die Funktionalität für Gasnetze wurde entfernt. Bei Import, Konvertierúng und Kompilierung von zenon Projekten aus früheren Versionen wird eine entsprechende Meldung im Ausgabefenster des zenon Editors ausgegeben, wenn noch Projektierungsinhalte für Gasnetze vorhanden sind.

Bei Start in der zenon Runtime wird ein entsprechender CEL-Eintrag erstellt.

Hinweistext

Für Projektierungen mit Gasnetz-Inhalten wird im Ausgabefenster des zenon Editor folgende Meldung ausgegeben:

Die Funktionalität "Gasnetz" wird im Modul Last-Management nicht länger unterstützt und deshalb nicht importiert.


Konvertierung von Version X auf Version 7.60

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.60

Noch in diesem Kapitel

Eigenschaften für Konfigurierbare Listen

Länge von Stringvariablen

Füllmuster für Buttons

Default-Wert für "Ungültige Rezepte über Funktion absetzen"


Eigenschaften für Konfigurierbare Listen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.60 > Eigenschaften für Konfigurierbare Listen

Das Verhalten der Kopfzeilen zur Runtime wird im Editor jetzt über die Eigenschaften der Gruppe Kopfzeile definiert:

  • Kopfzeile anzeigen:
    Steuert, ob die Kopfzeile zur Runtime angezeigt wird.
  • Filterzeile anzeigen:
    Steuert, ob die Filterzeile zur Runtime angezeigt wird.
  • Sortieren sperren:
    Steuert die Möglichkeit, Tabellenspalten zur Runtime mit einen Klick auf die Kopfzeile zu sortieren.
  • Spaltenpositionen fixiert:
    Steuert die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen in der Breite anzupassen oder zu verschieben.
  • Kontextmenü deaktivieren:
    Aktiviert oder deaktiviert das Kontextmenü für die Kopfzeile.

Verhalten bei der Projektkonvertierung

Bei der Projektkonvertierung gilt:

  • Wird ein Projekt für eine Version vor zenon 7.60 kompiliert, dann wird die Eigenschaft Kopfzeile statisch aktiviert, wenn im aktuellen Projekt die Eigenschaft Sortieren sperren nicht aktiviert ist.
  • Wird ein Projekt von einer Version vor zenon 7.60 in die aktuelle Version konvertiert, dann werden in der aktuellen Version die Eigenschaften Spaltenpositionen fixiert und Sortieren sperren aktiviert, wenn im Ursprungsprojekt Kopfzeile statisch inaktiv ist.


Länge von Stringvariablen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.60 > Länge von Stringvariablen

Die Stringlänge einer Variable darf nicht mehr den Wert 0 haben.

Bei der Projektkonvertierung gilt:

Wird ein Projekt von einer Version vor zenon 7.60 in die aktuelle Version konvertiert, dann wird der Wert der Eigenschaft Stringlänge auf 5 (Default-Wert) korrigiert, wenn im Ursprungsprojekt diese Eigenschaft mit dem Wert 0 projektiert war.


Füllmuster für Buttons

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.60 > Füllmuster für Buttons

Die Eigenschaften der Gruppe Füllung von Buttons wurden um die Eigenschaft Füllmuster erweitert.

War vor der Konvertierung unter Farbverlauf Einfärbig projektiert, ist nun das Füllmuster auf Einfärbig gesetzt. War unter Farbverlauf ein der anderen Optionen projektiert, ist nun das Füllmuster auf Verlauf gesetzt und unter Farbverlauf die Art des Verlaufes entsprechend der ursprünglichen Projektierung gesetzt. Dies gilt auch für den XML Import aus älteren Versionen.

Werden Runtime-Dateien für ältere Versionen erstellt, wird zur Runtime eine Konvertierung in die andere Richtung vorgenommen. Der Zugriff über die API erfolgt weiterhin über die bisherige Eigenschaft Füllung.


Default-Wert für "Ungültige Rezepte über Funktion absetzen"

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 7.60 > Default-Wert für "Ungültige Rezepte über Funktion absetzen"

Im Rezeptgruppen-Manager wurde der Defaultwert für die Eigenschaft Ungültige Rezepte über Funktion absetzbar in der Eigenschaftengruppe Rezeptgruppen-Manager auf inaktiv geändert.

  • Damit ist auch nach einer Projektkonvertierung der Default-Wert: inaktiv

Ungültige Rezepte werden damit nicht mehr über die Funktion abgesetzt.
Sollen ungültige Rezepte abgesetzt werden, aktivieren Sie die Checkbox für die Eigenschaft.


Konvertierung von Version X auf Version 8.00

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00

Noch in diesem Kapitel

ALC - Links

Anlagenmodellierung: Neue Option für Bildumschaltung

Bild vom Typ Report Viewer anpassen

Bild vom Typ Benutzer editieren

Reports mit aktuellem .RDL-Format

Server 2 als Datenserver

Variablen des Intern Treibers


ALC - Links

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > ALC - Links

Bei der Projektkonvertierung werden Projektierung der veralteten Eigenschaft Link-Nummer (numerisch) in die aktuell Eigenschaft Link-Name als Text übernommen.


Anlagenmodellierung: Neue Option für Bildumschaltung

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > Anlagenmodellierung: Neue Option für Bildumschaltung

Bei der Bildumschaltung auf ein Bild vom Typ Anlagenmodell kann über die neue Option Vollständige Struktur anzeigen festgelegt werden, wie Objekte im Anlagenmodellbaum zur Runtime angezeigt werden:

  • Aktiv: Vollständiger Pfad des Objekts wird angezeigt.
  • Inaktiv: Nur Name des ausgewählten Objekts wird angezeigt.

Default:

  • Neuprojektierung: aktiv
  • Projektkonvertierung: inaktiv

Damit wird die Kompatibilität sichergestellt.


Bild vom Typ Report Viewer anpassen

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > Bild vom Typ Report Viewer anpassen

Ab zenon Version 8.00 kann mit der Eigenschaft Integrierte Symbolleiste des Report Viewers anzeigen die Symbolleiste des Report Viewers für die Darstellung in der Runtime ausgeblendet werden.

Um diese Eigenschaft nutzen zu können, muss bei Bildern vom Typ Report Viewer, die in einer zenon Version vor 8.00 projektiert wurden folgender Schritt manuell durchgeführt werden:

  • Löschen Sie das Kontrollelement Report Fenster und ersetzen Sie dieses mit dem aktuellen Kontrollelement.


Bild vom Typ Benutzer editieren

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > Bild vom Typ Benutzer editieren

Die Benutzerverwaltung verfügt ab Version 8.00 über den neuen Benutzertyp Hauptbenutzer.
Dieser ist zwischen Administrator und Benutzer angesiedelt. Er kann Benutzer erstellen und verwalten. Wenn konfiguriert, kann er auch andere Hauptbenutzer erstellen und verwalten.

Dafür wurde im Bild Benutzer editieren das Kontrollelement Administrator (Checkbox) entfernt und durch eine Dropdownliste zur Auswahl des Benutzertyps ersetzt. Zusätzlich ist eine Checkbox vorhanden, die es erlaubt, die Rechte eines Hauptbenutzers zu erweitern.

Bei der Projektkonvertierung werden die bisher benutzten Kontrollelemente beibehalten. Um die neuen Kontrollelemente verwenden zu können, muss das Bild entsprechend neu konfiguriert werden.


Reports mit aktuellem .RDL-Format

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > Reports mit aktuellem .RDL-Format

Ab der Version 8.00 wird für die Darstellung von Reports im Bild vom Typ Report Builder auch der aktuelle .RDL-Daten-Standard von Microsoft (schemas.microsoft.com/sqlserver/reporting/2010/01/reportdefinition) unterstützt.

.RDL-Daten die mit dem Report Builder der Version 2.0 erstellt wurden, werden ebenfalls unterstützt. Diese Reports können ab zenon 8.00 sowohl mit der Version 3.0 wie auch mit der Version 2.0 des Report Builders bearbeitet werden. Eine Anpassung des verwendeten Schemas ist nicht notwendig.

attention Achtung

Werden Reports mit Version 3.0 bearbeitet, können diese nicht mehr korrekt in älteren zenon Versionen dargestellt werden. Dies wird mit einem Warndialog beim Kompilieren der Daten für ältere Versionen der zenon Runtime visualisiert.


Server 2 als Datenserver

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > Server 2 als Datenserver

Die Funktionalität Server 2 als Datenserver (Projekteigenschaft in der Eigenschaftengruppe Netzwerk) wurde für Version 8.00 aus dem zenon Editor entfernt.

Bei Projekten aus früheren zenon Versionen, die die Eigenschaft Server 2 als Datenserver aktiviert hatten, wird diese Funktionalität bei Projektkonvertierung automatisch deaktiviert.

Für konvertierte Projekte ist der INI-Eintrag immer DATENSERVER=1. Der Wert des Eintrages wird generell ignoriert.

Bei neuen Projekten ab Version 8.00 entfällt dieser Eintrag.


Variablen des Intern Treibers

Handbuch > Projektkonvertierung > Konvertierung von Version X auf Version 8.00 > Variablen des Intern Treibers

Die Lizenzierung für Variablen des Intern Treibers wurde geändert:

  • nicht lizenzpflichtig:
    • Keine Anzeige des externen Zeitstempel und eingeschränkte Visualisierung der Status (nur Spontan und TimeIntern) in der Runtime
    • Variablen des Intern Treibers werden bei der Lizenzierung nicht als TAG gerechnet
  • Lizenzpflichtig:
    • Vollständige Visualisierung aller Zeitstempel (intern und extern) und aller Status in der Runtime
    • jede Variable des Intern Treibers wird bei der Lizenzierung als TAG gerechnet

Bei der Projektierung werden Anzeigetyp und Lizenzierung mit der neuen EigenschaftStatus/Zeitstempel für Variablen des Intern Treiber in der Projekteigenschaftengruppe Runtime Einstellungen bestimmt.

attention Achtung

Bei der Konvertierung von Projekten wird die neue Eigenschaft Status/Zeitstempel für Variablen des Intern Treiber nicht aktiviert. Um Zeitstempel und Status in der Runtime zu visualisieren, muss diese Eigenschaft im zenon Editor aktiviert werden.


Projektsicherung

Handbuch > Projektsicherung

Ein Projekt besteht aus Editor- und Runtime-Dateien. Eine Übertragung von Runtime Dateien ist z. B. mittels Remote-Transport möglich. Dieses Kapitel enthält Informationen zum Sichern und Rücklesen der Editor-Dateien eines Projektes.

Die Projektsicherung erstellt eine ZIP-Datei mit dem gesicherten Projektstand. Diese Sicherung kann dann auf dem gleichen Rechner oder einem anderen wieder eingelesen werden. Projektsicherungen können auch versioniert werden.

Im Projektmanager findet sich ein eigener Knoten Projektsicherungen. Siehe auch Kapitel Editor Projektmanager. Im Kontextmenü dieses Eintrags kann zwischen Sicherung erstellen und Sicherung importieren gewählt werden.

attention Achtung

Projektsicherungen, die mit zenon und dem SQL Server Express (SQL Server 2005) erstellt werden, können nicht in einen MSDE Datenbankserver (oder SQL Server 2000) zurückgelesen werden!

attention Achtung

Symbole aus Allgemeine Symbolbibliothek werden pro Themen-Gruppe (z.B. Tank, Substation, ...) in einer eigenen Datei (*.sym) lokal im zenon Programmordner gespeichert. Diese Dateien müssen bei Mehrplatzprojekten und bei der Weitergabe von Projekten immer manuell zur Projektsicherung hinzugefügt werden.

Symbole aus der Symbolbibliothek im lokalen Projekt oder dem Globalprojekt sind automatisch in der jeweiligen Projektsicherung enthalten.

Tipp: Speichern Sie Symbole immer lokal.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Sicherung erstellen | Öffnet den Dialog zur Erstellung einer Projektsicherung.
Sicherung importieren | Öffnet den Dateimanager zur Auswahl einer Sicherungsdatei und importiert diese in die Liste.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektieren im Editor

Versionierung


Projektieren im Editor

Handbuch > Projektsicherung > Projektieren im Editor

Projektsicherungen werden im Knoten Projektsicherungen erstellt, verwaltet und rückgelesen.

Sie können:

  • Projektsicherungen erstellen und exportieren
  • Projektsicherungen rücklesen
  • Arbeitsbereiche sichern und rücklesen
  • Projekte löschen

Wird der Knoten Projektsicherung im Projektmanager ausgewählt, werden in der Detailansicht des Projektmanagers alle existierenden Sicherungsdateien angezeigt.

Noch in diesem Kapitel

Projektsicherung Detailansicht Symbolleiste und Kontextmenü

Projekt sichern und exportieren

Projektsicherung rücklesen

Arbeitsbereich sichern und rücklesen

Projekt löschen


Projektsicherung Detailansicht Symbolleiste und Kontextmenü

Handbuch > Projektsicherung > Projektieren im Editor > Projektsicherung Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt | Aktion
Sicherung erstellen | Öffnet den Dialog zur Erstellung einer Projektsicherung.
Sicherung rücklesen | Stellt das Projekt auf den in der Sicherungsdatei gespeicherten Zustand zurück.
Sicherung als neues Projekt rücklesen | Erstellt ein neues Projekt mit den Daten der Sicherungsdatei.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Sicherung exportieren | Öffnet den Dialog zur Auswahl eines Ordners für die Sicherungsdatei und exportiert diese.
Sicherung importieren | Öffnet den Dateimanager zur Auswahl einer Sicherungsdatei und importiert diese in die Liste.
Ausgewählte Sicherungen in Änderungshistorie vergleichen | Nur aktiv, wenn mehr als ein Eintrag in der Liste der Detailansicht ausgewählt wurde. Es wird die älteste und jüngste Version ermittelt. Daraus wird ein Zeitfilter erstellt, mit dem zur Änderungshistorie gewechselt wird, wo Unterschiede der markierten Projektsicherungen angezeigt werden.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Projekt sichern und exportieren

Handbuch > Projektsicherung > Projektieren im Editor > Projekt sichern und exportieren

Projekt sichern

Um eine Projektsicherung zu erstellen, klicken Sie im Projektmanager mit der rechten Maustaste auf Projektsicherung und wählen Sicherung erstellen aus.

Der Dialog für die Projektsicherung wird geöffnet:

Option | Beschreibung
Dateiname | Name der ZIP-Datei für die Projektsicherung.
Beschreibung | Freier Text als Kommentar.
OK | Übernimmt Eingaben und erstellt Projektsicherung.
Abbrechen | Bricht Sicherung ab.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Beim Konvertieren eines Projkets in eine höhre zenon Version wird automatisch eine Projektsicherung erstellt. Ist deren Namen ident mit einer bereits existierenden Sicherung, wird die bereits vorhandene Sicherung ohne Rückfrage automatisch überschrieben.

attention Achtung

Da der Dienst zenDbSrv.exe nur mit lokalen Rechten und nicht mit den Rechten des eingeloggten Benutzers läuft, ist keine Sicherung auf ein Netz-Laufwerk möglich!

zenon speichert die Projektsicherung in einem eigenen, vordefinierten Datenbankordner (SQL):

%ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP

info Info

Auch bei der Sicherung des Arbeitsbereichs werden alle Projekte des Arbeitsbereichs gesichert. Diese sind allerdings nicht im Knoten Projektsicherung enthalten und können auch nicht einzeln rückgesichert werden.

Projekt exportieren

Sie können Ihre Sicherungen jederzeit aus zenon exportieren (z. B. zum Versenden, auf einen anderen Rechner zu transportieren). Führen Sie einen Rechtsklick auf die gewünschte Projektsicherung aus und wählen Sicherung exportieren im Kontextmenü aus. Im darauf folgenden Dialog wählen Sie den Ordner aus und bestätigen mit OK.
Falls die Projektsicherung länger als 1 Sekunde dauert, wird eine Fortschrittsanzeige eingeblendet.
Informationen zum Export der Sicherung (z. B. Erfolg/Misserfolg) finden Sie im Ausgabefenster.

Alle Sicherungen zu einem Projekt sehen Sie in der Detailansicht sobald Sie im Projektmanager auf Projektsicherungen klicken.

(Siehe auch Projektmanager, Detailansicht des Projektmanagers.)


Projektsicherung rücklesen

Handbuch > Projektsicherung > Projektieren im Editor > Projektsicherung rücklesen

Projektsicherungen können zurückgelesen werden über:

  • den Arbeitsbereich
  • den Knoten Projektsicherungen

attention Achtung

zenon Projekte der Version 6.01 oder 6.20 können in zenon 7.10 oder höher nicht mehr direkt zurückgelesen werden.

Hintergrund: Versionen, die auf der MSDE (SQL Server 2000) basieren, sind nicht mit dem in zenon 7.10 verwendeten SQL Server 2012 kompatibel.

Lösung: Projekt erst in zenon 7.0 konvertieren und dann in 7.10 oder höher.

Arbeitsbereich

  1. wählen Sie Kontextmenü des Arbeitsbereichs den Befehl Projektsicherung rücklesen...
  2. der Auswahldialog zur Auswahl der Projektsicherung wird geöffnet

Parameter

Beschreibung

Sicherungsdatei

Auswahl der Datei, die zurückgelesen werden soll.

Klick auf Schaltfläche ... öffnet Dateiauswahldialog.

neues Projekt erzeugen

Aktiv: ein neues Projekt wird in der Datenbank angelegt.

Sicherungsdetails

Angaben zum Projekt, das rückgesichert werden soll:

  • Name
  • Projekt ID
  • Editorversion
  • Projektversion (nur wenn Versionierung aktiv ist)
  • Beschreibung

Alle Angaben werden aus dem rückzulesenden Projekt übernommen und dienen nur zur Information. Sie können in diesem Dialog nicht geändert werden.

OK

Angaben werden übernommen und das ausgewählte Projekt wird wieder eingelesen.

Abbrechen

Verwirft alle Angaben und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.

Knoten Projektsicherungen

  1. navigieren Sie zum Knoten Projektsicherungen
  2. markieren Sie die gewünschte Projektsicherung
    Hinweis: Sollte die gewünschte Sicherung nicht vorhanden sein, importieren Sie diese.
  3. wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Sicherung rücklesen
  4. die Projektsicherung wird nach einer Sicherheitsabfrage zurückgelesen und automatisch aktiviert

attention Achtung

Projekt,

  • die mit dem SQL Server 2005 Express erstellt wurden, können nicht mehr auf SQL-Server 2000 (MSDE) verwendet werden
  • die mit dem SQL Server 2008 R2 erstellt wurden, können nicht mehr mit SQL Server 2005 Express verwendet werden

Projektsicherung importieren

Im Knoten Projektsicherungen des Projektmanager wird im Kontextmenü Sicherung importieren ausgewählt. Das Projekt wird zunächst importiert und erst im nächsten Schritt rückgesichert.

Zunächst wird automatisch geprüft, ob diese gewünschte Sicherungsdatei des Projekts bereits existiert. Wenn diese noch nicht besteht, wird die importierte Datei in die Liste der Sicherungen mit aufgenommen. Alle Projekte, die importiert, aber noch nicht rückgesichert wurden, werden in die Liste der Sicherungen in der Detailansicht des Projektmanagers mit aufgenommen.

Dort findet sich eine Auflistung aller Sicherungen, die jemals für ein Projekt erstellt wurden. Die Dateinamen sind in der Liste änderbar.

Projektsicherung exportieren und importieren

Eine Projektsicherung zu exportieren oder zu importieren kann erforderlich sein, wenn die Editor-Dateien eines Projekts auf einem anderen Rechner eingesetzt werden sollen. Im Falle des Exports wird die Sicherungsdatei aus dem Ordner %ProgramData%\COPA-DATA\[SQL-Ordner]\Projectname auf ein anderes Laufwerk (z.B: USB-Stick)überspielt. Sowohl Export als auch Import sind ein Kopier- und kein Verschiebevorgang.

Projektsicherung löschen

Die Sicherungsdateien werden aus dem Ordner %ProgramData%\COPA-DATA\[SQL-Ordner]\Projectname gelöscht.

Fehlerbehandlung

Fehler | Lösung
Projektsicherung wird nicht angezeigt. | Der Knoten Projektsicherungen listet nur Projekte auf, die im Standard SQL/Backup-Ordner enthalten sind. Projekte aus anderen Pfaden können manuell importiert werden.
Schaltfläche OK im Rücklesedialog ist nicht bedienbar. | Die ausgewählte ZIP-Datei enthält ungültige Daten. Eventuell wurde eine Arbeitsplatzsicherung oder eine andere ZIP-Datei ausgewählt.
Historie der Projecktsicherungen ist nicht mehr verfügbar. | Das Projekt wurde umbenannt und die Historie damit nicht mehr verfügbar. Die Sicherungsdatei ist aber nach wie vor vorhanden und kann manuell importiert oder über das Kontextmenü des Arbeitsbereichs zurückgelesen werden.


Arbeitsbereich sichern und rücklesen

Handbuch > Projektsicherung > Projektieren im Editor > Arbeitsbereich sichern und rücklesen

Sicherung eines Arbeitsbereichs erstellen

Wählen Sie im Kontextmenü des Arbeitsbereichs den Eintrag Arbeitsbereich -> Sicherung erstellen aus. Sicherungen von Arbeitsbereichen werden als *.wsb Dateien gespeichert. Der Name kann beliebig gewählt werden.

Hinweis: Mit dem Arbeitsbereich werden auch alle Projekte des Arbeitsbereichs gesichert. Diese sind allerdings nicht im Knoten Projektsicherung enthalten und können auch nicht einzeln rückgesichert werden.

Sicherung rücklesen

Bei geöffnetem/geschlossenem Arbeitsbereich:

Wählen Sie im Kontextmenü des Arbeitsbereichs den Eintrag Arbeitsbereich / Sicherung rücklesen aus. Sie können nun eine Sicherung auswählen und den Ordner festlegen, in den der Arbeitsbereich rückgelesen werden soll.


Projekt löschen

Handbuch > Projektsicherung > Projektieren im Editor > Projekt löschen

Um ein Projekt zu löschen wählen Sie im Kontextmenü des Projektes den Eintrag Projekt / löschen.

attention Achtung

Beim Löschen eines Projektes werden alle offenen Datenbank-Verbindungen getrennt. Bei der Projektrücksicherung eines bestehenden Projektes ist das nicht der Fall.


Versionierung

Handbuch > Projektsicherung > Versionierung

Projektsicherungen können versioniert werden. Versionen werden durch fortlaufende Nummerierung und Datum/Uhrzeit ihrer Erstellung identifiziert und gereiht.

Um die Versionierung zu aktivieren:

  1. navigieren Sie in den Projekteigenschaften zum Knoten Allgemein
  2. navigieren Sie zum Bereich Versionierung
  3. aktivieren Sie die Eigenschaft Versionierung aktiv
  4. vergeben Sie in der Eigenschaft Hauptversion eine Hauptnummer

Damit wird bei jeder Projektsicherung eine Nummer für die Projektversion erstellt. Diese besteht aus der Hauptversion und einer intern vergebenen Detailnummer, getrennt durch einen Punkt. Diese Detailnummer wird mit jeder Projektsicherung um eins erhöht. Die Version einer Projektsicherung wird angezeigt in:

  • der Detailansicht des Knotens Projektsicherung
  • im Dialog zum Rücklesen eine Sicherung in den Arbeitsbereich

Die Nummer der Projektversion wird beim Übertragen der Runtime-Dateien mit Remote-Transport oder über Netzwerk Topologie geprüft und kann über VBA oder eine Systemtreibervariable ausgelesen werden. Falls im Editor eine andere Version geladen ist, wird eine Warnung ausgegeben. Tritt beim Übertragen der Runtime-Dateien über das Netzwerk ein Konflikt auf, kann für alle Projekte, die zu diesem Rechner übertragen werden sollen und bei denen Konflikte bestehen, die Übertragung akzeptiert oder abgelehnt werden.

Der gesamte Stand des Projekts kann auch als XML-Export in die Projektsicherung aufgenommen werden.

info Info

Die Versionierung funktioniert auch im Verteilten Engineering. Dabei muss die project.ini für eine Sicherung am Server für Änderungen gesperrt werden können. XML-Dateien werden aber nur bei lokaler Sicherung gespeichert.

Sicherung der korrekten Reihenfolge

In der Versionierung kann die Hauptversion frei vergeben werden. Auf Basis dieser Hauptnummer wird die Detailnummer mit jeder neuen Sicherung automatisch von 0 hinaufgezählt. Wird die Hauptversion geändert, beginnt die Vergabe der Detailnummer von Neuem bei 0.

Achten Sie auf durchgängige Hauptversion und durchgängige Versionierung. Da Benutzer die Hauptversion frei ändern können, besteht die Möglichkeit:

  • willkürlicher Reihenfolgen

    z. B. 2.1 wird von 1.0 gefolgt

  • mehrfacher Verwendung der gleichen Nummer

    z. B. 1.0, 1.1, 1.2, 1.0

  • die Versionierung vorübergehend abzuschalten

    Das bedeutet: Projektsicherungen ohne Versionsnummer werden vermischt mit versionierten Sicherungen

Um für Überblick über die Reihenfolge der einzelnen Projektsicherungen zu sorgen, wird in der project.ini auch die Zeit des Erstellens der Sicherung gespeichert.

XML-Export

Bei aktiver Eigenschaft XML-Export aktiv wird innerhalb der Projektsicherung eine komprimierte Datei namens VERSION.ZIP angelegt. Diese enthält als XML-Export Daten aus:

  • Variablen
  • Datentypen
  • Reaktionsmatrizen
  • Zuweisungen
  • Alarmen
  • Maßeinheiten
  • Bildern
  • Schablonen
  • Schriftlisten
  • Farbpaletten
  • Projekt-Symbolbibliothek
  • Funktionen
  • Archivserver
  • Rezepten
  • Rezeptgruppen-Manager
  • Zeitsteuerung
  • VBA-Makros
  • Verriegelungen
  • Befehlsgabe
  • EMS
  • Menüs
  • Benutzerverwaltung
  • Benutzergruppen
  • SAP Interface

Der Inhalt der Dateien entspricht dem, der beim manuellen XML-Export erzeugt wird.

Der Inhalt dieser Xml Dateien entspricht dem, was auch beim üblichen Export als Xml erzeugt wird.Bei mehrplatzfähigen Projekten werden XML-Exporte nur bei lokaler Sicherung erstellt.

Systemvariable

Analog der Eigenschaft Projektversion existiert auch eine Systemtreibervariable Projektversion im Thema Systeminfo.

Noch in diesem Kapitel

Fehlerbehandlung


Fehlerbehandlung

Handbuch > Projektsicherung > Versionierung > Fehlerbehandlung

Fehler bei der Versionierung werden in Log-Dateien, im Ausgabefenster und in Popup-Meldungen angezeigt und behandelt.

Diagnosis Viewer

Einträge in LOG-Dateien:

Eintrag | Erklärung
Error BackupDatabase: Skip on an Error in BackupXml: [Pfad] | Fehler beim Erstellen von VERSION.ZIP mit den Xml-Export Dateien während der Projektsicherung. Die Sicherung wurde erstellt, aber die Xml-Dateien fehlen.
GetDBBackupStatus: BINARY.ZIP not exists: [Pfad] | Beim Lesen der Versionierung einer Projektsicherung wurde die Datei BINARY.ZIP nicht gefunden, die Sicherung ist beschädigt.
GetDBBackupStatus: project.ini not exists: [Pfad] | Beim Lesen der Versionierung einer Projektsicherung wurde die Datei project.ini nicht gefunden, die Sicherung ist beschädigt.

Augabefenster

Einträge im Ausgabefenster:

Output Window Eintrag

Erklärung, was bedeutet dieser?

Die Übertragung des Projekts '%s' wurde abgelehnt

Zwei mögliche Ursachen:

  • Bei der Versionsüberprüfung trat ein Konflikt auf und der Benutzer hat die Übertragung abgelehnt.
  • Bei der Versionsüberprüfung trat ein Fehler auf.

Kein Projektpfad definiert

Fehler bei der Versionsüberprüfung.

Popup-Meldungen

Fehlermeldungen in Popups:

Fehlermeldung

Erklärung

Die Version %d.%d des Projekts am Zielrechner stimmt nicht überein: Soll es trotzdem übertragen werden?

Beim Übertragen der Runtime-Dateien mit Remote-Transport:

Für das Projekt wurde die Versionierung aktiviert und die Versionsnummer des Projekts im Editor stimmt nicht mit der Versionsnummer in der project.ini am Zielrechner überein.

Mögliche Reaktionen:

  • Ja:
  • Nein: keine Übertragung

Am Computer %s stimmt die Version %d.%d des Projekts %s nicht überein: Soll es trotzdem übertragen werden?

Beim Übertragen der Runtime-Dateien mit Netzwerk-Topologie:

Für ein oder mehrere Projekte wurde die Versionierung aktiviert und die Versionsnummer dieses Projekts im Editor stimmt nicht mit der Versionsnummer in der project.ini am Zielrechner überein.

Mögliche Reaktionen:

  • Ja: Übertragung wird fortgesetzt
  • Nein: keine Übertragung
  • Ja alle: Übertragung wird ohne weitere Nachfrage für alle betroffenen Projekte fortgesetzt
  • Nein alle: Übertragung wird ohne weitere Nachfrage für alle betroffenen Projekte abgebrochen

Dieser Dialog wird wieder aufgeschaltet, wenn bei der Übertragung zu einem weiteren Zielrechner wieder ein Versionskonflikt auftritt.

Das Projekt kann nicht gesichert werden, weil 'project.ini' gesperrt ist!

Beim Erstellen eine Projektsicherung für ein mehrplatzfähiges Projekt mit Versionierung muss die Versionsnummer in der project.ini erhöht werden. Dies ist nicht möglich, weil die project.ini für Änderungen gesperrt ist.


Projektsimulation

Handbuch > Projektsimulation

Mithilfe der Projektsimulation haben Sie die Möglichkeit zwischen Simulationsmodus und Hardwaremodus umzuschalten. Im Simulationsmodus können Sie Abläufe zu Testzwecken simulieren. Dabei werden Schalthandlungen durchgeführt, Rezepte abgesetzt, Sollwerte gesetzt etc., ohne dass diese Operationen tatsächlich zum Prozess (z. B. zu einer Steuerung) gesendet werden.

Zusätzlich werden in der Projektsimulation für die Module Schaltfolgen und Prozess-Rekorder Projektierungen in der Runtime durchgeführt. Dadurch werden produktive Prozessabläufe nicht beeinflusst.

Im zenon Netzwerk können Sie die Simulation auf einem Client ausführen. Der Client wird durch die Simulation vom Netzwerk getrennt.

Simulationsbetrieb

Im Simulationsmodus:

  • werden alle Treiber im Modus Treibersimulation programmiert gestartet
  • werden keine Daten extern gespeichert:
    • SQL-Auslagerung wird nicht ausgeführt
    • Einträge für die IPA-Datenbank werden nicht erzeugt
    • vorhandene IPA-Einträge können nicht gelöscht, editiert oder kommentiert werden
  • werden PFS-Schichtdaten nicht in die Datenbank geschrieben
    (Das Speichern wird nach Runtimestart im Hardwaremodus nachgeholt.)

info Info

Projektsimulation steht für Clients am Terminal Server nicht zur Verfügung.

Noch in diesem Kapitel

Allgemein

Systemtreibervariable - Runtime-Zustand (Simulation)

Skripte

Besonderheiten im Simulationsmodus

Online Sprachübersetzung

Simulationsabbilder

Dateien im Simulationsabbild

Runtime Kommandozeilenparameter

Einschränkungen


Allgemein

Handbuch > Projektsimulation > Allgemein

Sie können nur in die Projektsimulation umschalten, wenn alle Projekte in der Runtime entweder Einzelplatz- oder Clientprojekte sind. Der Simulationsmodus "trennt" den Rechner oder die Runtime vom Netzwerk. Außerdem werden alle Treiber in Treibersimulation - programmiert gestartet. Demnach hat kein Treiber mehr eine Prozesskopplung.

Nach der Umschaltung in den Simulationsmodus wird die Runtime neu gestartet und verhält sich so, als wären alle Projekte als Einzelplatzprojekt projektiert.

Noch in diesem Kapitel

Umschalten in Simulationsmodus

Umschalten in Hardwaremodus

Simulationsabbild erzeugen

Wiedergabe

Funktion Projektsimulation aktivieren/deaktivieren


Umschalten in Simulationsmodus

Handbuch > Projektsimulation > Allgemein > Umschalten in Simulationsmodus

Wenn Sie in den Simulationsmodus umschalten, werden folgende Schritte ausgeführt:

  1. Rufen Sie die Funktion zur Umschaltung in den Simulationsmodus auf.
  2. Es erfolgt eine Prüfung, ob alle Projekte in den Simulationsmodus geschaltet werden dürfen oder bereits im Simulationsmodus sind.
  3. Die Schritte von Simulationsabbild erzeugen werden durchgeführt.
  4. Für jedes Projekt wird ein Eintrag in der jeweiligen Chronologischen Ereignisliste erzeugt, der das Umschalten in den Simulationsmodus vermerkt.
  5. Die Runtime beendet sich und startet zenProcess mit zusätzlicher Parametrierung.
  6. zenProcess wartet bis die Runtime sich beendet hat und starte sie dann im Simulationsmodus.
  7. Die Runtime erkennt den Kommandozeilenparameter und startet alle Projekte als Einzelplatzprojekte.
  8. Das Verzeichnis für die Runtime-Daten ist jetzt das Simulationsverzeichnis. Das Verzeichnis der Runtime-Daten des Hardwaremodus wird nicht verändert.
  9. Die Projekte werden gestartet. Die Treiber starten im Modus Treibersimulation programmiert und werden mit dem Variablenabbild aus dem Simulationsverzeichnis geladen. Lokale Variablen erhalten ihre Werte aus dem lokalen Abbild. Das Variablenabbild wird auf die programmierte Simulation angewandt. Wird in der programmierten Treibersimulation die Variable sofort im ersten Zyklus eines Programms geändert, hat die Variable in der zenon Runtime dadurch als ersten Wert nicht den ursprünglichen Wert wie in der Runtime mit Hardwarekopplung, sondern den Wert, der in der Simulation geändert wurde.
  10. Das Abbild für die internen Treiber wird geladen.
  11. Für jedes Projekt wird ein Eintrag in der jeweiligen Chronologischen Ereignisliste erzeugt, der im Simulationsmodus gestartet wurde.
  12. Die Systemtreibervariable erhält den Wert für den Simulationsmodus.

Diese Punkte werden für alle Projekte in der Runtime durchgeführt, außer Sie haben es explizit anders angegeben.


Umschalten in Hardwaremodus

Handbuch > Projektsimulation > Allgemein > Umschalten in Hardwaremodus

Bei jedem Runtime-Start ist der Hardwaremodus verfügbar, auch wenn nicht vom Simulationsmodus in den Hardwaremodus umgeschaltet wurde. Folgenden Schritte werden ausgeführt:

  1. Rufen Sie die Funktion zur Umschaltung in den Hardwaremodus auf.
  2. Das Treiberabbild (Prozesstreiber und interne Treiber) und das Abbild der zenon Logic Simulation wird gespeichert.
  3. Die Runtime beendet sich und startet zenProcess mit zusätzlicher Parametrierung.
  4. zenProcess wartet bis die Runtime sich beendet hat und startet sie dann mit den Startparametern für die Prozesskopplung.
  5. Die Runtime starte und lädt die Projekte und Runtime-Daten - ggf. vom Server.
  6. Die Treiber werden mit den Daten der lokalen Variablen vor der Simulation initialisiert.
  7. Wenn nötig wird das Simulationsabbild an den Server übertragen. Dies können Sie mit entsprechender Kommandozeilenparametrierung aktivieren.


Simulationsabbild erzeugen

Handbuch > Projektsimulation > Allgemein > Simulationsabbild erzeugen

Alle von der Runtime veränderbaren Dateien und Variablen werden im Simulationsabbild zusammengefasst. Wenn Sie ein Simulationsabbild erzeugen werden folgende Schritte durchgeführt:

  1. Alle Datenpunkte von allen Projekten werden angefordert, um sie mit aktuellen Daten zu versorgen.
  2. Im lokalen Simulationsabbild werden, je nach selektiertem Modus, die nicht benötigten Dateien gelöscht (Ausnahme: Mit existierendem Simulationsabbild initialisieren):
    1. Mit Prozessabbild und Runtime-Daten initialisieren (ohne Archivdateien): Das lokale Simulationsverzeichnis wird komplett gelöscht.
    2. Mit Prozessabbild und Runtime-Daten initialisieren (mit Archivdateien): Alle Archivdateien (*.ARX und *.ARS) werden im lokalen Simulationsverzeichnis gelöscht.
  3. Je nachdem welche Einstellungen Sie für die Funktion Simulation ein/ausschalten vorgenommen haben, werden von allen Projekten die entsprechenden Projektdaten, Runtime-Daten und Variablendaten geholt. Für AML, CEL und HDD wird der aktuelle Zustand gesichert, lokal bei einem Einzelplatzprojekt und am Server bei einem Serverprojekt (Ausnahme: Mit existierendem Simulationsabbild initialisieren).
  4. Die in der Runtime änderbaren Projektdateien (z. B. Daten für PFS, Benutzer usw.) werden vom Simulationsabbild auf die entsprechende Datei im Projektverzeichnis kopiert (Ausnahme: Mit existierendem Simulationsabbild initialisieren).
  5. Es wird solange gewartet, bis alle Datenpunkte einen Wert bekommen haben. Der Fortschrittsbalken zeigt die Namen der Datenpunkte an. Die Anzeige ist auf 60 Zeichen beschränkt und zeigt nicht den zugehörigen Wert an. Die Wartezeit ist nicht begrenzt.
    Hinweis: Ist in der Funktion Projektsimulation aktivieren/deaktivieren die Option Auf alle Variablen warten deaktiviert so wird nur die Zeit gewartet, welche in der Eigenschaft Maximale Wartezeit projektiert ist. Bei Maximaler Wartezeit 0 wird der Fortschrittsbalken nicht angezeigt.
  6. Eine Variablenabbild aller Treiber wird erzeugt und die internen Treiber sicheren ihre Daten. Diese Abbilder werden im Rechnerverzeichnis abgelegt. Wenn Sie das Abbild in Simulation erzeugen, beinhaltet es auch das Abbild der Treibersimulation programmiert.
  7. Erneute Übertragung der veränderten Dateien wie in Punkt 3 bis Punkt 6.
  8. Das Variablenabbild wird mit dem lokalen Simulationsverzeichnis abgeglichen.
  9. Das Variablenabbild für lokale Variablen wird gesichert.
    Ausnahme: Bei Erzeugung eines Simulationsabbildes.

Diese Punkte werden für alle Projekte in der Runtime durchgeführt, außer Sie haben es explizit anders angegeben.


Wiedergabe

Handbuch > Projektsimulation > Allgemein > Wiedergabe

In der Registerkarte Wiedergabe projektieren Sie Parameter für den Wiedergabemodus des Moduls Prozess Rekorder. Wird dieser Dialog zur Runtime angezeigt, können nur die Zeitvorgaben geändert werden.

Die Einstellungen dieser Registerkarte sind optional.

Sie machen nur dann Sinn, wenn aus dem Live-Modus direkt in die Wiedergabe gewechselt werden soll.

Parameter

Beschreibung

Prozess-Rekorder im Wiedergabemodus starten

Checkbox zur Auswahl des Runtime-Verhaltens nach Funktionsausführung.

  • aktiv:
    Runtime startet im Wiedergabemodus.
  • inaktiv:
    Runtime wird im Simulationsmodus gestartet.

Default: inaktiv

Filter

In diesem Bereich konfigurieren Sie den Startzeitpunkt der Wiedergabe zur Runtime.

Parameter

Beschreibung

Zeitfilter absolut

Beginn und Ende des Wiedergabebereichs werden manuell angegeben.

Eingabe der Startzeitpunktes der Wiedergabe in Eingabefelder, getrennt nach Start- und Ende.
Format:

  • Datum: TT.MM.JJJJ
    Default: Tagesdatum
  • Zeit: hh:mm:ss
    Default: 00:00:00

Default: aktiv

Hinweis: nicht aktiv, wenn Filtertyp Zeitfilter relativ ist.

Zeitfilter relativ

Beginn der Wiedergabebereichs, relativ zum Startzeitpunkt. Der Startzeitpunkt wird im Bereich Startzeit konfiguriert.

Eingabe der Differenz in Eingabefelder.

  • Zeit abziehen:
    T hh:mm:ss
  • Zeit addieren:
    T hh:mm:ss

Default: inaktiv

Hinweis: nicht aktiv, wenn Filtertyp Zeitfilter absolut ist.

Startzeit

Die Optionen stehen nur dann zur Verfügung, wenn als Filter Zeitfilter relativ aktiviert ist. Anderenfalls sind die Optionen ausgegraut. Auswahl der Startzeit aus Optionsfeld.

Parameter

Beschreibung

Manuell

Die Startzeit der Wiedergabe für das Modul Prozess-Rekorder wird manuell angegeben.

Projektierung der Startzeit mit Eingabe in die beiden

Default: Tagesdatum / 00:00:00 Uhr

Aus Variable

Die Startzeit der Wiedergabe für das Modul Prozess-Rekorder wird vom Wert der projektierten Variable übernommen.

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog.

Für die verlinkte Variable wird der Datentyp DINT empfohlen.

Hat die Variable keinen gültigen Wert oder den Wert 0 wird die Funktion nicht ausgeführt! Dabei wird ein entsprechender LOG-Eintrag erstellt.

Von aufrufendem Bild übernehmen

Die Startzeit der Wiedergabe zur Runtime im Modul Prozess Rekorder wird vom aufrufenden Bild übernommen.

Beachten Sie:

  • Die Funktion Projektsimulation aktivieren/deaktivieren kann nur von einem zenon Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste erfolgreich aufgerufen werden.
  • Für den Aufruf darf nur ein Eintrag (Alarm oder Ereignis) aus der Liste der Alarme oder Ereignisse ausgewählt sein.
    Als Startzeit der Wiedergabe im Modul Prozess Rekorder wird die Kommt-Zeit verwendet.

Kann die Funktion via Von aufrufendem Bild übernehmen nicht erfolgreich gestartet werden, wird ein entsprechender LOG-Eintrag geschreiben.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktion Projektsimulation aktivieren/deaktivieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren

Mithilfe der Funktion Simulation ein/ausschalten schalten Sie zwischen dem Simulationsmodus und dem Hardwaremodus um.

Zusätzlich kann die zenon Runtime für das Modul Prozess-Rekorder im Wiedergabe-Modus gestartet werden.

Die zwei Simulationsmodi können unter unterschiedlichen Voraussetzungen gestartet werden.

info Info

Wenn sich ein Projekt in der Runtime z. B. gerade beim Nachladen befindet oder nachgeladen werden soll oder in VBA ein Dialog geöffnet ist, wird die Funktion Simulation ein/ausschalten nicht sofort ausgeführt. Sobald kein Verzögerungsgrund mehr vorliegt, wird die Funktion automatisch ausgeführt.

Ist der Modus nicht Prozesskopplung aktivieren und die Checkbox "Auf alle Variablen warten" nicht aktiv, wird der Parametertext um {Wartezeit xxx Sekunden} ergänzt.

Diagnosis Viewer

Existieren nach dem Timeout noch Variable(n) ohne Wert(e), so wird pro Verbindung ein LOG-Eintrag für den Diagnosis Viewer erstellt. Im allgemeinen Text steht "simulation image has variables with missing values!" gefolgt von einer Liste aller Variablen ohne gültigen Wert.

Noch in diesem Kapitel

Funktion vom Typ Projektsimulation aktivieren/deaktivieren anlegen

Einstellungen

Wiedergabe


Funktion vom Typ Projektsimulation aktivieren/deaktivieren anlegen

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Funktion vom Typ Projektsimulation aktivieren/deaktivieren anlegen

Die Funktion vom Typ Projektsimulation aktivieren/deaktivieren dient dazu, die Runtime zwischen dem Simulationsmodus und dem Hardwaremodus umzuschalten.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Anwendung.
  3. Wählen Sie die Funktion Projektsimulation aktivieren/deaktivieren.
    Der Dialog zur Projektierung der Projektsimulation wird geöffnet.
  4. Projektieren Sie das gewünschte Verhalten der Projektsimulation.
    Wenn sie die Runtime vom Simulationsmodus wieder in den Hardwaremodus umschalten möchten, projektieren Sie dazu den Bereich Hardwaremodus aktivieren.
  5. Benennen Sie die Funktion in der Eigenschaft Name.
  6. Für den Aufruf dieser Funktion zur Runtime verknüpfen Sie diese Funktion mit einem bestehenden Button in einem zenon Bild.


Einstellungen

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen

In der Registerkarte Einstellungen konfigurieren Sie das Startverhalten der Projektsimulation.

Die zwei Modi (Simulation oder Hardware) können unter unterschiedlichen Voraussetzungen gestartet werden:

Simulation aktivieren:

  • Mit existierendem Simulationsabbild initialisieren
  • Mit Prozessabbild initialisieren
  • Mit Prozessabbild und Runtime-Dateien initialisieren
    • Archivdateien
    • Prozess-Rekorder Dateien

Hardwaremodus aktivieren:

  • Prozesskopplung aktivieren
  • Prozesskopplung aktivieren und Simulationsabbild auf Server übertragen

Simulationsabbild erzeugen/übertragen

  • Simulationsabbild erzeugen (RT im Simulationsmodus) Simulationsabbild auf Server übertragen (RT im Hardwaremodus)

Optionen

Parameter

Beschreibung

Name des Simulationsabbilds (Computername, wenn leer)

Name der Datei, in der das Simulationsabbild gespeichert wird.
Geben Sie hier den gewünschten Namen für das Simulationsabbild ein.

Hinweis: Es wird nur der Name des Ordners gespeichert.

Wenn Sie keinen Namen angeben, wird der Name des Computers verwendet.

Auf alle Variablen warten

Checkbox zur Auswahl ob vor dem Umschalten der Runtime in den Simulationsmodus für alle Variablen (gültige) Wert vorhanden sein müssen.

  • aktiv:
    Die Runtime wird erst dann in den Simulationsmodus umgeschalten, wenn alle Variablen einen gültigen Wert haben. Die Umschaltung kann dadurch verzögert werden.
  • inaktiv:
    Die Runtime schaltet sofort in den Simulationsmodus. Die Umschaltung erfolgt auch dann, wenn nicht alle Variablen einen Wert oder einen ungültigen Wert haben.
    Diese Option wird nicht empfohlen!

Nicht aktiv wenn Prozesskopplung aktivieren aktiv (Hardwaremodus aktivieren)

Default: aktiv

Maximale Wartezeit

Maximale Wartezeit in Sekunden die vor dem Umschalten auf gültige Werte der Variablen gewartet wird.

Dadurch ist ein Umschalten in den Simulationsmodus auch dann möglich, wenn nicht alle Variablen einen Wert haben oder ungültig sind.

Ist dieses Timeout aktiviert, wird in der Runtime beim Umschalten im Titel des Statusdialogs die Wartezeit angezeigt. Die Statusanzeige zeigt den Verlauf der Zeit an. Fehlende Variablen werden immer angezeigt. Ist die Zeit abgelaufen, wird trotz fehlender Variablen in die Simulation geschaltet.

Ist eine Maximale Wartezeit von 0 Sekunden eingestellt, wird der Fortschrittsdialog nicht angezeigt.

Default: 30 Sekunden
Eingabebereich: 0 - 3600

Hinweis: nur aktiv, wenn Auf alle Variablen warten nicht aktiv ist.

Fehlermeldungen in der Runtime anzeigen

Checkbox zur Ausgabe einer Fehlermeldung bei fehlerhafter Funtkionsausführung:

  • aktiv:
    Zur Runtime wird bei fehlerhafter Funktionsausführung eine entsprechende Fehlermeldung angezeigt.
  • inaktiv:
    Keine Fehlermeldung zur Runtime bei fehlerhafter Funktionsausführung.

Default: inaktiv

Dialog in Runtime anzeigen

Checkbox zur Auswahl, ob dieser Dialog in der Runtime angezeigt wird:

  • aktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime am aktuellen Rechner aufgeschaltet. Im Netzwerk wird dieser Dialog auf jenem Rechner aufgeschaltet, der die Funktion ausführt. Dadurch sind Änderungen von bestehenden Parametrierungen von einer zenon Editor-Projektierung bei der Ausführung in der zenon Runtime möglich.
  • inaktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime nicht angezeigt. Die Funktion oder der Befehl wird sofort mit der im Editor erstellten Projektierung ausgeführt.

Default: inaktiv

Hinweis: In der Runtime sind die Einstellungen für die Modusauswahl gesperrt. Wenn Sie Prozesskopplung aktivieren ausgewählt haben, ist auch die Eingabe für den Namen des Prozessabbildes gesperrt.

Noch in diesem Kapitel

Mit existierendem Simulationsabbild initialisieren

Mit Prozessabbild initialisieren

Mit Prozessabbild und Runtime-Dateien initialisieren

Archivdateien - Mit Prozessabbild und Runtime-Dateien initialisieren

Prozess-Rekorder Daten - Mit Prozessabbild und Runtime-Dateien initialisieren

Prozesskopplung aktivieren

Prozesskopplung aktivieren und Simulationsabbild auf Server übertragen

Simulationsabbild erzeugen (RT im Simulationsmodus) Simulationsabbild auf Server übertragen (RT im Hardwaremodus)


Mit existierendem Simulationsabbild initialisieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Mit existierendem Simulationsabbild initialisieren

Hierbei wird ein vorhandenes Simulationsabbild vom Server zum Client übertragen. Bei einem Einzelplatzprojekt findet keine Übertragung statt. Der jeweilige Zustand der lokalen Variablen wird gesichert und die Runtime wird auf Grundlage des Simulationsabbilds neu gestartet. Die Runtime wird auch neu gestartet, wenn sie sich bereits im Simulationsmodus befindet. Wenn das der Fall war, wird jedoch kein Treiberabbild der lokalen Variablen für den Star im Hardwaremodus gespeichert.

info Info

Durch die Möglichkeit sich ein Simulationsabbild (mithilfe von Simulationsabbild erzeugen) zu erstellen, können Sie eine Simulation immer wieder von genau der gleichen Stelle und unter den gleichen Voraussetzungen beginnen. Im Abbild werden nicht nur die Variablenwerte gespeichert, sondern auch der jeweilige Zustand der Treibersimulation programmiert. Da das Abbild vom Server (falls vorhanden) übertragen wird, haben Sie auch die Möglichkeit, dass mehrere Clients mit demselben Abbild arbeiten. Beim Runtime-Start wird das Abbild vom Server umkopiert. Dabei werden nur die Änderungen übertragen.


Mit Prozessabbild initialisieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Mit Prozessabbild initialisieren

Hierbei wird ein Abbild aller lokalen Variablen erzeugt und die in der Runtime modifizierbare Projektdaten werden gesichert. Danach wird die Runtime im Simulationsmodus neu gestartet.

Wird nur ausgeführt, wenn sich das Projekt nicht bereits im Simulationsmodus befindet.

info Info

Alle existierenden Daten im Abbild werden gelöscht. Für die Initialisierung werden nur die aktuellen Variablenwerte herangezogen.


Mit Prozessabbild und Runtime-Dateien initialisieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Mit Prozessabbild und Runtime-Dateien initialisieren

Hierbei wird ein Abbild aller lokalen Variablen und sämtlicher Dateien aus dem Rechnerverzeichnis (Ausnahme: Archivdaten) erzeugt und die in der Runtime modifizierbare Projektdaten werden gesichert. Danach wird die Runtime im Simulationsmodus neu gestartet.

Beachten Sie:

  • Alle existierenden Daten im Abbild werden gelöscht.
    Für die Initialisierung werden nur die aktuellen Variablenwerte herangezogen.
  • Alle historischen Alarme und CEL-Dateien werden umkopiert.
    Diese kann je nach Umfang der anfallenden Dateien einige Zeit in Anspruch nehmen.


Archivdateien - Mit Prozessabbild und Runtime-Dateien initialisieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Archivdateien - Mit Prozessabbild und Runtime-Dateien initialisieren

Hierbei wird ein Abbild aller lokalen Variablen und sämtlicher Dateien aus dem Rechnerverzeichnis erzeugt und die in der Runtime modifizierbaren Projektdaten werden gesichert. Eventuell lokal im Abbild vorhandene Archivdaten werden nicht gelöscht.

Danach wird die Runtime im Simulationsmodus neu gestartet.

Beachten Sie:

  • Alle existierenden Daten im Abbild werden gelöscht.
    Für die Initialisierung werden nur die aktuellen Variablenwerte herangezogen.
  • Alle historischen Alarme und CEL-Dateien werden umkopiert.
    Diese kann je nach Umfang der anfallenden Dateien einige Zeit in Anspruch nehmen.
  • Die alten Archive bleiben.
    Die Archivierung fängt beim Runtime-Start an, die fehlenden Archive aufzufüllen, falls Sie das so projektiert haben. Diese kann je nach Umfang einige Zeit in Anspruch nehmen.
    Hinweis: Die Projektierung dieser Archivauffüllung nehmen Sie in der Eigenschaft Ersatzarchive erstellen vor.


Prozess-Rekorder Daten - Mit Prozessabbild und Runtime-Dateien initialisieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Prozess-Rekorder Daten - Mit Prozessabbild und Runtime-Dateien initialisieren

Startet die Projektsimulation und wechselt in den Wiedergabemodus des Moduls Prozess-Rekorder.

info Info

Weitere Informationen finden Sie im Handbuch Prozess-Rekorder im Kapitel Projektsimulation aktivieren/deaktivieren.


Prozesskopplung aktivieren

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Prozesskopplung aktivieren

Hierbei schalten Sie vom Simulationsmodus in den Hardwaremodus um. Dafür wird das Abbild der lokalen Variablen verwendet.

Beim Beenden des Simulationsmodus wird das Simulationsabbild gespeichert, so dass der letzte Stand des Simulationsmodus bei Bedarf wieder hergestellt werden kann. Falls eine Serververbindung besteht, wird das Simulationsabbild zum Server übertragen und dort gespeichert.

attention Achtung

Wenn gleichzeitig von mehreren Clients eine Übertragung für das gleiche Simulationsabbild erfolgt, ist nicht garantiert, dass das abgelegte Simulationsabbild funktionsfähig ist.


Prozesskopplung aktivieren und Simulationsabbild auf Server übertragen

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Prozesskopplung aktivieren und Simulationsabbild auf Server übertragen

Mithilfe der Projektsimulation haben Sie die Möglichkeit zwischen Simulationsmodus und Hardwaremodus umzuschalten. Im Simulationsmodus können Sie Abläufe zu Testzwecken simulieren. Dabei werden Schalthandlungen durchgeführt, Rezepte abgesetzt, Sollwerte gesetzt etc., ohne dass diese Operationen tatsächlich zum Prozess (z. B. zu einer Steuerung) gesendet werden.

Zusätzlich werden in der Projektsimulation für die Module Schaltfolgen und Prozess-Rekorder Projektierungen in der Runtime durchgeführt. Dadurch werden produktive Prozessabläufe nicht beeinflusst.

Im zenon Netzwerk können Sie die Simulation auf einem Client ausführen. Der Client wird durch die Simulation vom Netzwerk getrennt.

Simulationsbetrieb

Im Simulationsmodus:

  • werden alle Treiber im Modus Treibersimulation programmiert gestartet
  • werden keine Daten extern gespeichert:
    • SQL-Auslagerung wird nicht ausgeführt
    • Einträge für die IPA-Datenbank werden nicht erzeugt
    • vorhandene IPA-Einträge können nicht gelöscht, editiert oder kommentiert werden
  • werden PFS-Schichtdaten nicht in die Datenbank geschrieben
    (Das Speichern wird nach Runtimestart im Hardwaremodus nachgeholt.)

info Info

Projektsimulation steht für Clients am Terminal Server nicht zur Verfügung.

Zusätzlich wird das Simulationsabbild an den Server übertragen und steht somit auch anderen Clients zur Verfügung.


Simulationsabbild erzeugen (RT im Simulationsmodus) Simulationsabbild auf Server übertragen (RT im Hardwaremodus)

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Einstellungen > Simulationsabbild erzeugen (RT im Simulationsmodus) Simulationsabbild auf Server übertragen (RT im Hardwaremodus)

Hierbei erzeugen Sie ein Simulationsabbild und speichern es unter dem angegebenen Namen lokal ab, wenn Sie sich im Simulationsmodus befinden.

Im Hardwaremodus wird das Simulationsabbild zum Server übertragen, falls vorhanden und dort unter dem angegebenen Namen gespeichert.

info Info

Hiermit können Sie sich ein Abbild der momentanen Zustände erstellen und abspeichern. Zu einem beliebigen späteren Zeitpunkt können Sie dann genau an dieser Stelle mit den gleichen Voraussetzungen weiter machen.


Wiedergabe

Handbuch > Projektsimulation > Allgemein > Funktion Projektsimulation aktivieren/deaktivieren > Wiedergabe

In der Registerkarte Wiedergabe projektieren Sie Parameter für den Wiedergabemodus des Moduls Prozess Rekorder. Wird dieser Dialog zur Runtime angezeigt, können nur die Zeitvorgaben geändert werden.

Die Einstellungen dieser Registerkarte sind optional.

Sie machen nur dann Sinn, wenn aus dem Live-Modus direkt in die Wiedergabe gewechselt werden soll.

Parameter

Beschreibung

Prozess-Rekorder im Wiedergabemodus starten

Checkbox zur Auswahl des Runtime-Verhaltens nach Funktionsausführung.

  • aktiv:
    Runtime startet im Wiedergabemodus.
  • inaktiv:
    Runtime wird im Simulationsmodus gestartet.

Default: inaktiv

Filter

In diesem Bereich konfigurieren Sie den Startzeitpunkt der Wiedergabe zur Runtime.

Parameter

Beschreibung

Zeitfilter absolut

Beginn und Ende des Wiedergabebereichs werden manuell angegeben.

Eingabe der Startzeitpunktes der Wiedergabe in Eingabefelder, getrennt nach Start- und Ende.
Format:

  • Datum: TT.MM.JJJJ
    Default: Tagesdatum
  • Zeit: hh:mm:ss
    Default: 00:00:00

Default: aktiv

Hinweis: nicht aktiv, wenn Filtertyp Zeitfilter relativ ist.

Zeitfilter relativ

Beginn der Wiedergabebereichs, relativ zum Startzeitpunkt. Der Startzeitpunkt wird im Bereich Startzeit konfiguriert.

Eingabe der Differenz in Eingabefelder.

  • Zeit abziehen:
    T hh:mm:ss
  • Zeit addieren:
    T hh:mm:ss

Default: inaktiv

Hinweis: nicht aktiv, wenn Filtertyp Zeitfilter absolut ist.

Startzeit

Die Optionen stehen nur dann zur Verfügung, wenn als Filter Zeitfilter relativ aktiviert ist. Anderenfalls sind die Optionen ausgegraut. Auswahl der Startzeit aus Optionsfeld.

Parameter

Beschreibung

Manuell

Die Startzeit der Wiedergabe für das Modul Prozess-Rekorder wird manuell angegeben.

Projektierung der Startzeit mit Eingabe in die beiden

Default: Tagesdatum / 00:00:00 Uhr

Aus Variable

Die Startzeit der Wiedergabe für das Modul Prozess-Rekorder wird vom Wert der projektierten Variable übernommen.

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog.

Für die verlinkte Variable wird der Datentyp DINT empfohlen.

Hat die Variable keinen gültigen Wert oder den Wert 0 wird die Funktion nicht ausgeführt! Dabei wird ein entsprechender LOG-Eintrag erstellt.

Von aufrufendem Bild übernehmen

Die Startzeit der Wiedergabe zur Runtime im Modul Prozess Rekorder wird vom aufrufenden Bild übernommen.

Beachten Sie:

  • Die Funktion Projektsimulation aktivieren/deaktivieren kann nur von einem zenon Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste erfolgreich aufgerufen werden.
  • Für den Aufruf darf nur ein Eintrag (Alarm oder Ereignis) aus der Liste der Alarme oder Ereignisse ausgewählt sein.
    Als Startzeit der Wiedergabe im Modul Prozess Rekorder wird die Kommt-Zeit verwendet.

Kann die Funktion via Von aufrufendem Bild übernehmen nicht erfolgreich gestartet werden, wird ein entsprechender LOG-Eintrag geschreiben.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Systemtreibervariable - Runtime-Zustand (Simulation)

Handbuch > Projektsimulation > Systemtreibervariable - Runtime-Zustand (Simulation)

Die Systemtreibervariable [Systeminformation] Runtime-Zustand (Simulation) gibt an, in welchem Zustand sich die Runtime gerade befindet. Die Variable finden Sie unter dem Thema Systeminformation. Folgende Zustände sind vorhanden:

Zustand | Beschreibung
0 | Prozesskopplung - die Runtime befindet sich im Hardwaremodus.
1 | In Simulation auf Prozesskopplung wechseln
2 | Mit Prozesskopplung auf Simulation wechseln
3 | In Simulation - die Runtime befindet sich im Simulationsmodus


Skripte

Handbuch > Projektsimulation > Skripte

Für den Simulationsmodus stehen folgende Skripte zur Verfügung, die automatisch ausgeführt werden:

Skript | Beschreibung
AUTOSTART_SIMUL | Wenn die Runtime im Simulationsmodus startet, wird automatisch das Skript mit dem Namen AUTOSTART_SIMUL ausgeführt, wenn es vorhanden ist. Hinweis: Gilt auch für Wiedergabe-Modus des Moduls Prozess-Rekorder.
AUTOEND_SIMUL | Wenn die Runtime den Simulationsmodus beendet, wird automatisch das Skript mit dem Namen AUTOEND_SIMUL ausgeführt, wenn es vorhanden ist. Hinweis: Gilt auch für Wiedergabe-Modus des Moduls Prozess-Rekorder.


Besonderheiten im Simulationsmodus

Handbuch > Projektsimulation > Besonderheiten im Simulationsmodus

Folgende Unterschiede bestehen zwischen dem Hardwaremodus und dem Simulationsmodus:

  • Backupverzeichnis wird nicht verwendet
  • Archive werden nicht ausgelagert
  • Archive werden nur im zenon Format gespeichert
  • Die Funktion Archive exportieren kann nicht ausgeführt werden
  • SQL-Datenauslagerung ist für verschiedene Module deaktiviert
  • Das Message Control ist deaktiviert
  • zenon Logic Runtimes werden nicht gestartet
  • Es wird kein Datenaustausch mit einer zenon Logic Runtime über einen zenon Treiber vorgenommen
  • Keine Simulation am zenon Web Client und unter Windows CE
  • Variablen vom Standby bleiben ohne Wert
  • Umschalten der Treiber zwischen Hardware und Simulation wird nicht ausgeführt
  • Ein Skript wird eventuell nicht fertig ausgeführt, wenn eine Funktion, die den Neustart der Runtime veranlasst, im Skript ausgeführt wird
  • Das Simulationsprogramm, das in der Treibersimulation programmiert enthalten ist wird auch für die Projektsimulation verwendet
  • Im Simulationsmodus speichert die Funktion Remanentdaten speichern keine Werte von folgenden Treibern:
    • Intern Treiber
    • Mathematik Treiber
    • System Treiber


Online Sprachübersetzung

Handbuch > Projektsimulation > Online Sprachübersetzung

Definieren Sie die Texte für die Sprachübersetzung für alle Projekte im Startprojekt. Ebenso definieren Sie die Funktion im Startprojekt. Hierdurch ist gewährleistet, dass Sie den Onlinetext im richtigen Projekt haben. Eventuelle Fehlermeldungen werden ebenfalls beim entsprechenden Projekt eingetragen.


Simulationsabbilder

Handbuch > Projektsimulation > Simulationsabbilder

Um eine Wiederherstellen zu gewährleisten, müssen die Werte der Variablen von den Treibern in den folgenden Dateien gespeichert werden:

Dateiname | Beschreibung
Drv'Treiber-ID'.sim | In diesen Dateien werden die Werte aller Datenpunkte am jeweiligen Treiber gespeichert. Die Dateien werden benötigt, um nach Neustart der Runtime in Simulation die aktuellen Werte wieder herzustellen. Wenn die Dateien während des Simulationsmodus erzeugt wurden, ist auch ein Abbild der programmierbaren Simulation beinhaltet.
Drv'Treiber-ID'.lsim | In diesen Dateien sind für den jeweiligen Treiber die Werte der lokalen Variablen gespeichert. Wenn die Runtime mit Prozesskopplung startet und diese Dateien gefunden werden, erhalten die lokalen Variablen die Werte aus den Dateien. Anschließend werden die Dateien gelöscht. Dies geschieht auch, wenn die Runtime manuell gestartet wird.
Drv'Treiber-ID'.lssim | Speichert das Abbild der lokalen Variablen, das in das Simulationsabbild aufgenommen wird.


Dateien im Simulationsabbild

Handbuch > Projektsimulation > Dateien im Simulationsabbild

Wenn ein Prozessabbild für die Simulation erzeugt wird, werden aus verschiedenen Quellen Dateien und Verzeichnisse in das Abbild übernommen. Bei aktiver Simulation wird dann auf diese Dateien zugegriffen und nicht mehr auf die Originalen, die z. B. im Rechnerverzeichnis gespeichert sind.

Aus dem Systemverzeichnis des Projekts werden folgende Dateien in das Systemverzeichnis des Prozessabbilds kopiert:

  • project.mdb
  • rezepturen.cmp
  • rezepturenrt.cmp
  • fpm.cmp
  • password.cmp
  • passwordrt.cmp

und folgende Verzeichnisse:

  • system\rgm_fb
  • system\rt_profiles
  • system\reports

Aus dem Rechnerverzeichnis werden alle Dateien bis auf die mit der Endung *.lsim übernommen. Für den Modus Simulation ohne Abbild, werden die Dateien *.sim, internvar.bin, sy_ma32.bin und uservar.bin übernommen. Für den Modus Simulation ohne Archive werden alle Dateien bis auf die mit der Endung *.arx und *.ars übernommen.


Runtime Kommandozeilenparameter

Handbuch > Projektsimulation > Runtime Kommandozeilenparameter

Die Runtime erkennt durch die Kommandozeilenparameter, ob im Simulationsmodus oder im Hardwaremodus gestartet werden soll. Wenn kein Parameter angegeben wurde, startet die Runtime im Hardwaremodus. Diese Parameter können auch bei einem manuellen Start angegeben werden.

Kommandozeilenparameter

zenProcess

Die Applikation zenProcess.exe wird verwendet, um die zenon Runtime beim Umschalten zwischen den beiden Modi - Simulationsmodus und Hardwaremodus - neu zu starten.

Syntax

Der Aufruf der zenProcess.exe erfolgt mit folgender Syntax:

zenprocess.exe parameter1 parameter2 parameter3

  • Parameter 1: SIM oder leer
  • Parameter 2: RESTART=
  • Parameter 3: RTPAR=

Parameter

Parameter

Beschreibung

SIM

Anzeige im Dialogtitel.
Ist dieser Parameter:

  • gesetzt: Dialogtitel zeigt "Umschalten in Simulationsmodus" an.
  • nicht gesetzt: Dialogtitel zeigt "Umschalten in Onlinemodus" an.

RESTART=

Neustart der Runtime. Der Pfad zur zenrt32.exe muss angegeben werden.

Ablauf:

Der Parameter bewirkt nur den Neustart nachdem die Runtime beendet ist. Die Runtime selbst wird durch dieser Parameter nicht beendet, hierzu muss eine Funktion in der Runtime aufgerufen werden. Es wird gewartet bis alle Prozesse normal beendet wurden. Solange werden die Anzahl und die Namen von maximal 5 laufenden Prozessen, auf deren Beendigung gewartet wird, angezeigt. Anschließend wird die Runtime neu gestartet.

Beispiel: RESTART="d:\zversionen\720_inst\zenrt32.exe"

RTPAR=

Neustart im Simulationsmodus oder im Hardwaremodus.

  • SIMUL: Runtime wird im Simulationsmodus mit dem angegebenen Abbildnamen gestartet. Wird kein Abbildname angegeben, dann wird der Rechnername verwendet.
    Syntax: SIMUL="Abbildname"
  • REALMODE: Runtime wird im Hardwaremodus mit dem angegebenen Abbildnamen gestartet. Wird kein Abbildname angeben, findet keine Übertragung statt.
    Syntax: REALMODE="Abbildname"

Beispiel:

RTPAR="SIMUL=TEST.SIM"

CANCEL

Mit diesem Parameter brechen Sie den Umschaltvorgang ab. Die Runtime wird beendet, jedoch nicht neu gestartet.

Beispiel

Runtime im Simulationsmodus mit einem existierenden Abbild starten:

zenprocess.exe SIM RESTART="d:\zversionen\720_inst\zenrt32.exe" RTPAR="SIMUL=TEST.SIM"


Einschränkungen

Handbuch > Projektsimulation > Einschränkungen

Folgende Einschränkungen sind bekannt:

  • Das Modul Batch Control wird in der Simulation nicht unterstützt.


Prozess-Rekorder

Handbuch > Prozess-Rekorder

Das Modul Prozess-Rekorder bietet Ihnen die Möglichkeit, Prozessdaten der produktiven Runtime aufzuzeichnen. Zu einem späteren Zeitpunkt können diese aufgezeichneten Daten in der Runtime auf einem Projektsimulations-Client visualisiert werden.

Allgemein gilt:

  • Während des produktiven Prozessablaufs werden ausgewählte Variablen aufgezeichnet.
  • Die Aufzeichnung erfolgt bei Wertänderungen.
  • Die Aufzeichnung enthält Grenzwertwertverletzungen und Blinkstatus.
  • Diese Aufzeichnungen können in der zenon Runtime im Simulationsmodus abgespielt werden.
  • Zeitpunkt und -raum dieser Wiedergabe sind frei wählbar.
  • Für die Wiedergabe können bestehende zenon Bilder verwendet werden.
  • Wird die Wiedergabe in einer Runtime mit mehreren Projekten gestartet, werden alle aufgezeichneten Werte aus allen Projekten geladen, chronologisch richtig sortiert und abgespielt.
  • Das Modul ist in das zenon Netzwerk integriert und unterstützt auch Redundanz.

Noch in diesem Kapitel

Einführung

Prozess-Rekorder Daten - Aufzeichnung

Projektierung im Editor

Prozess-Rekorder in der Runtime

Prozess-Rekorder im zenon Netzwerk

LOG-Einträge


Einführung

Handbuch > Prozess-Rekorder > Einführung

Das Modul Prozess-Rekorder besteht aus zwei Teilen:

  1. Bei der Projektierung im zenon werden Variablen für die Aufzeichnung aktiviert.

    Im produktiven Prozessablauf in der Runtime werden diese Variablen aufgezeichnet.

  2. Die aufgezeichneten Daten werden in der Runtime via Projektsimulation erneut abgespielt.
    • Diese aufgezeichneten Daten können jederzeit wieder aufgerufen und abgespielt werden. Diese Wiedergabe erfolgt im Simulationsmodus der Runtime ausserhalb des produktiven Ablaufs.
    • Mit dieser Wiedergabe können aufgezeichnete Prozesse visualisiert oder analysiert werden.
    • Für diese Wiedergabe können bestehende zenon Bilder verwendet werden. Da jedes beliebige zenon Bild für die Wiedergabe verwendet wird, können Prozesse der Vergangenheit in der Arbeitsumgebung nachvollzogen werden.
    • Projektierungsänderungen an Bildern werden bei der Wiedergabe visualisiert.
      Hinweis: Für die korrekte Darstellung im Wiedergabemodus muss bei der Projektierungen die Allgemeine Projekteigenschaft Versionierung aktiv aktiviert sein.
    • Es können auch Bilder, welche vom Projektanten nur für die Wiedergabe projektiert wurden, für die Analyse verwendet werden.

Noch in diesem Kapitel

Aufzeichnung

Wiedergabe


Aufzeichnung

Handbuch > Prozess-Rekorder > Einführung > Aufzeichnung

Daten des laufenden Prozesses werden kontinuierlich aufgezeichnet und gespeichert.

Die Aufzeichnung wird für jede projektierte Variablen einzeln via der Variableneigenschaft Aufzeichnung aktivieren aktiviert.


Wiedergabe

Handbuch > Prozess-Rekorder > Einführung > Wiedergabe

Aufgezeichnete Daten der produktiven Umgebung können zu einem späteren Zeitpunkt abgespielt werden:

  • Die aufgezeichneten Daten können für jeden aufgezeichneten Zeitpunkt wiedergegeben werden.
  • Diese Wiedergabe erfolgt im Simulationsmodus der Runtime ausserhalb des produktiven Ablaufs.
  • Mit dieser Wiedergabe können aufgezeichnete Prozesse visualisiert oder analysiert werden.
  • Für diese Wiedergabe können bestehende zenon Bilder verwendet werden. Da jedes beliebige zenon Bild für die Wiedergabe verwendet wird, können Prozesse der Vergangenheit in der Arbeitsumgebung nachvollzogen werden.
  • Die Steuerung der Wiedergabe wird mit einem zenon Bild vom Typ Prozess-Rekorder gesteuert werden.
  • Es können auch Bilder, welche vom Projektanten nur für die Wiedergabe projektiert wurden, für die Analyse verwendet werden.

Für die Wiedergabe gilt:

  • Die Anzeige in der Wiedergabe erfolgt ausschließlich auf Basis der aufgezeichneten Werte. Während der Wiedergabe werden aktuelle Prozessdaten nicht visualisiert.
  • Es werden ausschließlich Bilder mit aufgezeichneten Werten versorgt. Alle weiteren zenon Module erhalten keine Daten.

Ausnahmen

  • Interner Treiber

    Die Werte der internen Variablen, die nicht für die Aufzeichnung im Prozess-Rekorder aktiviert wurden, werden (zusätzlich zu den aufgezeichneten Werten) mit aktuellen Werten versorgt, auch in der Wiedergabe.

  • System Treiber

    Die Werte der Systemtreiber Variablen, die nicht für die Aufzeichnung im Prozess-Rekorder aktiviert wurden, werden auch in der Wiedergabe mit aktuellen Werten versorgt.
    Dies gilt für Variablen folgender Themen:

    • Batch Control
    • Befehlsgabe
    • Benutzerdefiniert
    • Benutzerverwaltung
    • Drucker
    • Ordner
    • Projektinformation
    • Schaltfolgen
    • Systeminformation

Voraussetzung

Beim Starten der Wiedergabe in der zenon Runtime wird für das Startprojekt die passende Datei zur angegebenen Startzeit ausgewählt. Eine entsprechende LOG-Nachricht erstellt und kann im Tool Diagnosis Viewer angezeigt werden.

Die passende Datei:

  • endet auf *.rec
  • liegt im Verzeichnis der Simulationsdaten am ausführenden Rechner im Ordner ProcessRecorder
  • ist die Datei, dessen Zeitstempel am nächster der gewählten Startzeit der Wiedergabe entspricht.
  • und dessen Zeitstempel + 5 Minuten den gewählten Zeitpunkt noch beinhaltet.

Sollte keine Datei diese Kriterien erfüllen, dann wird keine Datei geladen und ebenfalls eine LOG-Nachricht geschrieben.

info Info

Detailierte Informationen zu den vom Modul Prozess-Rekorder verwendeten Dateien finden Sie in diesem Handbuch im Kapitel Prozess-Rekorder Daten - Aufzeichnung.

Weitere Informationen zum Ablageort finden Sie auch im Handbuch Runtime im Kapitel Dateistruktur.
Hinweis: Im zenon Editor, können Sie mit der Tastenkombination Strg+Alt+R den lokalen Speicherort der Runtimedateien öffnen.


Prozess-Rekorder Daten - Aufzeichnung

Handbuch > Prozess-Rekorder > Prozess-Rekorder Daten - Aufzeichnung

Um Prozessdaten für eine spätere Wiedergabe oder Auswertung im Modul Prozess-Rekorder zur Verfügung zu haben, werden alle Variablen mit aktivierter Eigenschaft Aufzeichnung aktivieren in Dateien gespeichert.

Eine Aufzeichnung erfolgt in zwei Dateien:

  • Rekorder-Datei (.rec)
    • bei jeder Wertänderung
    • bei jeder Änderung des Statusbits der Variable
    • bei Änderung eines Zeitstempels
  • Additional Data Datei (.lmt)
    • bei Grenzwertverletzung
    • bei Änderung des Blinkzustands

für beide Dateien gilt:

  • Es wird jeweils der neue Wert in die Datei geschrieben. Liegt bei Start der Runtime noch kein Wert vor, wird kein Eintrag geschrieben.
  • Die Speicherung einer neuen Datei erfolgt automatisch alle fünf Minuten. Dieser Zyklus ist fix vorgegeben und kann nicht projektiert werden.
  • Die aktuelle Aufzeichnungsdatei wird nur bei Bedarf geöffnet und nach dem Schreiben wieder geschlossen.
    Dadurch wird der Dateiabgleich zwischen Server und Standby nicht blockiert, da die Datei nur für kurze Zeit blockiert ist.

Die Anforderungen für den Speicherplatz wachsen. Je länger eine Aufzeichnung läuft, umso mehr Speicherplatz wird benötigt.

attention Achtung

Achten Sie auf ausreichend Speicherplatz. Beachten Sie auch die Qualität des Ablageorts: Wechseldatenträger oder USB-Sticks werden ausdrücklich nicht empfohlen.

Noch in diesem Kapitel

Prozess-Rekorder Datei (.rec)

Prozess-Rekorder Daten - Aufzeichnung


Prozess-Rekorder Datei (.rec)

Handbuch > Prozess-Rekorder > Prozess-Rekorder Daten - Aufzeichnung > Prozess-Rekorder Datei (.rec)

Prozess-Rekorder Dateien haben die Dateierweiterung .rec.
In dieser Datei werden gespeichert:

  • aktueller Wert der Variable
    Es werden immer Signalwerte der Variable gespeichert, nicht die durch Wertanpassung berechneten Werte.
    Dies entspricht den zenon Editor-Eigenschaften Wertbereich Steuerung für den Signalwert und Wertanpassung linear für die Wertanpassung.
  • Statusbits der Variable
  • Zeitstempel der Variable
    Die Zeitstempel der Variable werden als UTC gespeichert und haben eine Genauigkeit von Millisekunden.
    • Externer Zeitstempel
    • Interner Zeitstempel
    • Prozess-Rekorder-Zeitstempel
      Dieser Zeitstempel wird nur für die Wiedergabe im Modul Prozess-Rekorder verwendet. Er wird automatisch vergeben und kann nicht aktiv projektiert oder modifiziert werden.

Für die REC-Datei gilt:

  • Die Aufzeichnung erfolgt in einer REC-Datei im Datenverzeichnis des Rechners. Die Benennung der Datei erfolgt automatisch. Für die Dateibenennung wird der Zeitstempel der Dateierstellung plus einem fix vorgegebenem Prefix PR verwendet: PRJJMMTTHHMMSS.rec.
    Beispiel: PR070203233651.lmt für den 3. Februar 2017, 23:36:51 Uhr
  • Speicherort der Prozess-Rekorder-Dateien:
    Die Daten für eine spätere Wiedergabe im Prozess-Rekorder werden im Datenverzeichnis des lokalen Rechners gespeichert.
    Ablageort der Aufzeichnungsdateien: ../[Projektname]/[Rechnername]/[Projektname]/ProcessRecorder/PRJJJJ.
    Der Ordner PRJJJJ wird von zenon automatisch angelegt und beinhaltet alle Rekorderdateien eines Jahres.
    Weitere Informationen zum Ablageort finden Sie auch im Handbuch Runtime im Kapitel Dateistruktur.
    Hinweis: Im zenon Editor, können Sie mit der Tastenkombination Strg+Alt+R den lokalen Speicherort der Runtimedateien öffnen.


Prozess-Rekorder Daten - Aufzeichnung

Handbuch > Prozess-Rekorder > Prozess-Rekorder Daten - Aufzeichnung > Prozess-Rekorder Daten - Aufzeichnung

Dateien mit zusätzlichen Daten haben die Dateierweiterung .lmt.
In dieser Datei werden gespeichert:

  • Variablen-ID
    Eindeutige ID der Variable der Grenzwertverletzung
  • Interner Zeitstempel der Grenzwertverletzung
    Die Zeitstempel der Variable werden als UTC gespeichert und haben eine Genauigkeit von Millisekunden.
    • Prozess-Rekorder-Zeitstempel
      Dieser Zeitstempel wird nur für die Wiedergabe im Modul Prozess-Rekorder verwendet. Er wird automatisch vergeben und kann nicht aktiv projektiert oder modifiziert werden.
  • Verletzter Index
  • Blinkstatus
    Status des Blinkens (Blinken ja/Blinken nein)

Für die AdditionalData-Datei gilt:

  • Die Aufzeichnung erfolgt in einer LMT-Datei im Datenverzeichnis des Rechners. Die Benennung der Datei erfolgt automatisch. Für die Dateibenennung wird der Zeitstempel der Dateierstellung plus einem fix vorgegebenem Prefix PR verwendet: PRJJMMTTHHMMSS.lmt.
    Beispiel: PR070203233651.lmt für den 3. Februar 2017, 23:36:51 Uhr
  • Speicherort der Prozess-Rekorder-Dateien:
    Die Daten für eine spätere Wiedergabe im Prozess-Rekorder werden im Datenverzeichnis des lokalen Rechners gespeichert.
    Ablageort der Aufzeichnungsdateien: ../[Projektname]/[Rechnername]/[Projektname]/ProcessRecorder/PRJJJJ.
    Der Ordner PRJJJJ wird von zenon automatisch angelegt und beinhaltet alle Rekorderdateien eines Jahres.
    Weitere Informationen zum Ablageort finden Sie auch im Handbuch Runtime im Kapitel Dateistruktur.
    Hinweis: Im zenon Editor, können Sie mit der Tastenkombination Strg+Alt+R den lokalen Speicherort der Runtimedateien öffnen.


Projektierung im Editor

Handbuch > Prozess-Rekorder > Projektierung im Editor

Projektierungsschritte für das Modul Prozess-Rekorder:

  1. Aktivieren Sie die Projekteigenschaft Prozess-Rekorder aktivieren um das Modul zu aktivieren.
    1. Aktivieren Sie im zenon das Projekt in der Baumansicht des Arbeitsbereichs.
    2. Aktivieren Sie in der Projekt-Eigenschaftengruppe Prozess-Rekorder die Eigenschaft Prozess-Rekorder aktivieren.
  2. Aktivieren Sie die Eigenschaft Aufzeichnung aktivieren für jene Variablen, die Sie aufzeichnen möchten.
    1. Markieren Sie die Variable(n), die Sie aufzeichnen möchten.
      Hinweis: Mehrfachauswahl ist möglich.
    2. Aktivieren Sie in der Eigenschaftengruppe Prozess-Rekorder die Eigenschaft Aufzeichnung aktivieren.
      Hinweis: Diese Eigenschaft kann auch für Datentypen projektiert werden. Diese Einstellung an den Datentypen wird dann auf alle Variablen dieses Datentyps vererbt.

    Weitere Informationen dazu finden Sie im Kapitel Variablen und Datentypen.

  3. Projektieren Sie eine zenon Bildes vom Typ Prozess-Rekorder.
    Weitere Informationen dazu finden Sie im Kapitel Bild vom Typ Prozess-Rekorder.
  4. Projektieren Sie eine Bildumschaltefunktion oder die Funktionen Projektsimulation aktivieren/deaktivieren.
    Weitere Informationen dazu finden Sie im Kapitel Projektsimulation aktivieren/deaktivieren.
    Zusätzliche Informationen finden Sie im Handbuch Projektsimulation.

Noch in diesem Kapitel

Variablen und Datentypen

Bild vom Typ Prozess-Rekorder

zenon Funktionen

Darstellung von Projektierungsänderungen


Variablen und Datentypen

Handbuch > Prozess-Rekorder > Projektierung im Editor > Variablen und Datentypen

Um Variablen für eine spätere Wiedergabe aufzuzeichnen, muss diese mit der Eigenschaft Aufzeichnung aktivieren für die Aufzeichnung aktiviert werden. Sie finden diese Eigenschaft bei der Eigenschaftengruppe Prozess-Rekorder der Variable oder des Datentyps.

Variablen übernehmen bei der Neuanlage die Parametrierung der Eigenschaft des Datentyps.

Die so parametrierten Variablen werden beim Start der Runtime angefordert (advised). Beim Beenden der Runtime werden die Variablen wieder abgemeldet (unadvised).

Vererbung

Variablen und Datentypen übernehmen eine bestehende Parametrierung vom übergeordneten Datentyp.

Beachten Sie:

  • Datentypen übernehmen die Parametrierung der Eigenschaft zum Zeitpunkt der Neuanlage des Datentyps.
    Änderungen des ursprünglichen Datentyps werden nicht übernommen.
  • Variablen übernehmen die Parametrierung der Eigenschaft vom zugeordneten Datentyp.
    Änderungen beim Datentyp werden für die Variable übernommen:
    • Wurde die Eigenschaft Aufzeichnung aktivieren vom Datentyp übernommen und nicht geändert, werden alle Änderungen am Datentyp für die Variable übernommen.
    • Wurde die Eigenschaft Aufzeichnung aktivieren bei der Variable verändert, werden Änderungen am Datentyp nicht mehr für die entsprechende Variable übernommen.
      Achtung: Dies gilt auch, wenn die Eigenschaft nach mehrmaligen Ändern wieder der Parametrierung des Datentyps entspricht. Eine Änderung am Datentyp wird in diesem Fall nicht für die Variable übernommen.
  • Wird einer Variable ein neuer Datentyp zugewiesen, bleibt die aktuelle Parametrierung der Variable bestehen. Diese ist dann unabhängig von der Parametrierung des (neu zugeordneten) Datentyps.
  • Arrays:
    Das Verhalten bei Arrays ist gleich wie für Variablen.
  • Strukturdatentypen:
    Werden unterstützt. Das Verhalten ist gleich wie bei Datentypen.

Tipp Tipp

Wurde die Eigenschaft bei einer Variable verändert, so kann die Parametrierung mit dem Kontextmenü-Eintrag Alle Eigenschaften vom Datentyp ableiten wieder vom Datentyp übernommen werden.

Änderungen für die Aufzeichnung übernehmen

Wird die bestehende Projektierung einer oder mehrer Variablen nachträglich verändert, wird die Aufzeichnung nach einem Nachladen des Projekts in der Runtime entsprechend angepasst. Neu aktivierte Variablen stehen erst ab dem Zeitpunkt der Aktivierung und dem Nachladen für die Verwendung im Prozess-Rekorder zur Verfügung. Gleiches gilt für Änderungen eines Datentyps.


Bild vom Typ Prozess-Rekorder

Handbuch > Prozess-Rekorder > Projektierung im Editor > Bild vom Typ Prozess-Rekorder

Das Bild vom Typ Prozess-Rekorder dient zur Steuerung der Wiedergabe von aufgezeichneten Prozessdaten zur Runtime.

Die Wiedergabe der aufgezeichneten Daten erfolgt in der zenon im Simulationsmodus.

Tipp Tipp

Projektieren Sie das Bild Prozess-Rekorder in einer eigenen Schablone.

Noch in diesem Kapitel

Bild vom Typ Prozess-Rekorder anlegen

Kontrollelemente für Bild vom Typ Prozess Rekorder


Bild vom Typ Prozess-Rekorder anlegen

Handbuch > Prozess-Rekorder > Projektierung im Editor > Bild vom Typ Prozess-Rekorder > Bild vom Typ Prozess-Rekorder anlegen

Das Bild vom Typ Prozess-Rekorder dient zur Steuerung bei der Wiedergabe von aufgezeichneten Prozessdaten in der zenon Runtime.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Prozess-Rekorder.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.
    Konfigurieren Sie diese Bildumschaltfunktion.
    Weitere Informationen dazu finden Sie im Kapitel Bildumschaltung Prozess-Rekorder.


Kontrollelemente für Bild vom Typ Prozess Rekorder

Handbuch > Prozess-Rekorder > Projektierung im Editor > Bild vom Typ Prozess-Rekorder > Kontrollelemente für Bild vom Typ Prozess Rekorder

Im Bild vom Typ Prozess Rekorder stehen verschiedene Kontrollelemente zur Verfügung.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Kontrollelement | Beschreibung
Vorlage einfügen... | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Wiedergabe

Parameter | Beschreibung
Wiedergabezeitpunkt | Zeigt den Zeitpunkt der Wiedergabe in lokaler Zeit. Leer, wenn Runtime nicht im Wiedergabemodus ist. Format: TT.MM.JJJJ HH:MM:SS.MMM Hinweis: Ist keine Rekorderdatei geladen ist der Wert N/A.
Abbrechen | Bricht das Nachladen von aufgezeichneten Daten ab. Die Wiedergabe wird mit dem momentanen Zeitpunkt fortgesetzt.

Start/Pause

Die Benennung dieses Buttons ist Start/Pause.

Die Anzeige dieses Buttons in der Runtime ist abhängig davon, ob aktuell eine Wiedergabe läuft oder nicht.

  • Pause:
    im Abspielmodus, bei laufender Wiedergabe
  • Start:
    Abspielmodus ist noch nicht gestartet
Parameter | Beschreibung
Start | Startet den Abspielmodus. Nicht sichtbar im Abspielmodus.
Pause | Pausiert den Abspielmodus. Nicht sichtbar bei pausiertem Abspielmodus.

Einzelschritt

Klick auf Button springt in der Wiedergabe zur nächsten oder vorangegangenen Wertänderung. Die nächste oder vorangegangene Wertänderung sind in der Ereignisvorschau aufgelistet.

Kontrollelement | Beschreibung
Schritt vorwärts | Schaltet für die Wiedergabe zur nächsten Wertänderung. Nicht aktiv im Abspielmodus.
Schritt rückwärts | Schaltet in der Wiedergabe zur vorangegangenen Wertänderung. Nicht aktiv im Abspielmodus.

Intervallschritt

Klick auf Button springt in der Wiedergabe um den projektierten Intervallwert vorwärts oder rückwärts.
Hinweis: Dieser Intervallschritt wird immer ausgeführt, unabhängig davon ob nach diesem Intervallsprung Wertänderungen vorhanden sind oder nicht.

Kontrollelement | Beschreibung
Intervall vorwärts | Springt in der Wiedergabe um den projektierten Intervall vorwärts. Der Intervall wird in der Bildumschaltfunktion konfiguriert. Nicht aktiv im Abspielmodus.
Intervall rückwärts | Springt in der Wiedergabe um den projektierten Intervall zurück. Der Intervall wird in der Bildumschaltfunktion konfiguriert. Nicht aktiv im Abspielmodus.

Liste der Ereignisse

Liste der nächsten oder vorangegangenen Wertänderungen der Aufzeichnung. Angezeigt werden die Ereignisse innerhalb des aktuellen Intervalls.
Via Auswahl eines Ereignis in der Liste und Klick auf den Button Springe zu Ereignis springt die Wiedergabe zum Zeitpunkt des gewählten Ereignis.

Hinweis: Bei aktiver Wiedergabe sind diese Listen gesperrt und werden nicht aktualisiert.
Listenfenster zur Runtime:

  • Die Spalten sind in der Runtime sortier- und filterbar.
  • Filter- und Sortierung sind in den Filterprofilen speicherbar.
  • Die Spaltenbreite kann bei gehaltener rechter Maus-Taste verändert werden.
  • Spalten können via Drag&Drop neu angeordnet werden.

Für die folgenden Kontrollelemente gilt:

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Kontrollelement | Beschreibung
Nächstes Ereignis | Darstellung des nächsten Ereignis für die Wiedergabe.
Vorheriges Ereignis | Darstellung des vorangegangenen Ereignis für die Wiedergabe.
Liste der nächsten Ereignisse | Liste der nächsten Wertänderungen der Wiedergabe. Die Darstellung der Liste wird in der Bildumschaltfunktion konfiguriert. Hinweis: Die Anzeige dieser Liste ist in der Runtime leer, wenn die Aufzeichnungsdatei leer ist. Die Einträge dieser Liste sind auf die Dauer des Intervalls gefiltert.
Liste der vorherigen Ereignisse | Liste der vorangegangenen Wertänderungen der Wiedergabe. Die Darstellung der Liste wird in der Bildumschaltfunktion konfiguriert. Hinweis: Die Anzeige dieser Liste ist in der Runtime leer, wenn die Aufzeichnungsdatei leer ist. Die Einträge dieser Liste sind auf die Dauer des Intervalls gefiltert.

Springe zu Ereignis

Springt mit der Wiedergabe zum Zeitpunkt eines - in einer Vorschauliste - ausgewählten Ereignis. Sind mehrere Ereignisse oder ist kein Ereignis einer Vorschaulisten ausgewählt, ist der Button zur Runtime ausgegraut.

Zeitleiste

Die Zeitleiste visualisiert den Abspielzeitraum der Wiedergabe. Die Positionierung im zenon Bild ist horizontal oder vertikal möglich.

Zur Runtime kann die Abspielposition der Wiedergabe via Mauszeiger vor- und zurück bewegt werden. Bewegen Sie dazu bei gedrückter Maus-Taste den Schieberegler in der Bildlaufleiste. Diese Positionierung ist in jedem Modus des Prozess-Rekorders möglich. Die Wiedergabe wird an der Position der Zeitleiste fortgesetzt. Zum Abbruch einer Verschiebung navigieren Sie mit der Maus aus dem Anzeigebereich heraus. Der Schieberegler wird dann wieder an der Ausgangsposition platziert.

Folgende Tastenkombinationen werden unterstützt:

Taste | Beschreibung
Ende | Springt zum Ende des Wiedergabezeitraums.
Pos1 | Springt zum Anfang des Wiedergabezeitraums.
Bild ab | Springt in der Wiedergabe um die projektierte Zeit eines Intervalls voran.
Bild auf | Springt in der Wiedergabe um die projektierte Zeit eines Intervalls zurück.

Hinweis: Der Beginn und das Ende des Wiedergabezeitraums kann auch mit den Systemtreiber Variablen [Prozess-Rekorder] Beginn Abspielzeitraum und [Prozess-Rekorder] Ende Abspielzeitraum in der Runtime dargestellt werden.

Noch in diesem Kapitel

Bedienung zur Runtime


Bedienung zur Runtime

Handbuch > Prozess-Rekorder > Projektierung im Editor > Bild vom Typ Prozess-Rekorder > Kontrollelemente für Bild vom Typ Prozess Rekorder > Bedienung zur Runtime

Für die Darstellung zur Runtime gilt:

  • Läuft die zenon Runtime nicht im Prozess-Rekorder-Wiedergabemodus, sind alle Bildelemente des Bildtyps Prozess-Rekorder ausgegraut oder leer.
  • Die Listen der Ereignisvorschau werden dynamisch aktualisiert.
  • Für die Wiedergabe werden die aufgezeichneten Werte aller geladenen Projekte berücksichtigt.
    Diese Werte werden zusammengeführt in den Listen dargestellt.
  • Beim Aufschalten eines Bildes im Wiedergabemodus werden aufgezeichnete Werte aus den Rekorderdateien in den Speicher geladen und gepuffert. Das Modul Prozess-Rekorder erkennt, wenn eine weitere Rekorderdatei geladen werden muss und lädt diese im Hintergrund in den Puffer.
    • Damit ist gewährleistet, dass zur Runtime ein Vorwärts- oder Rückwärtsspringen zu Ereignissen oder um einen Intervall (via Buttons des Bildes vom Typ Prozess-Rekorder) ohne Verzögerung möglich ist.
    • Dauert das Laden einer Rekorderdatei jedoch länger, wird dies in der Runtime durch einen Dialog visualisiert. Die Aktualisierung der Werte ist dadurch kurzfristig verzögert.
  • Wird während einer laufenden Wiedergabe die Funktion Prozess-Rekorder-Wiedergabe aktivieren/deaktivieren mit neuem Zeitpunkt aufgerufen, ist die Wiedergabe pausiert.
  • Bei Ausführung eines Schrittes wird ein entsprechender LOG-Eintrag erstellt.


zenon Funktionen

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen

Noch in diesem Kapitel

Projektsimulation aktivieren/deaktivieren

Bildumschaltung Prozess-Rekorder

Prozess-Rekorder: Wiedergabe aktivieren/deaktivieren


Projektsimulation aktivieren/deaktivieren

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Projektsimulation aktivieren/deaktivieren

Mit der Funktion Projektsimulation aktivieren/deaktivieren starten Sie die Projektsimulation. In diesem Kapitel erhalten Sie Informationen zu dieser Funktion, welche für das Modul Prozess-Rekorder relevant sind.

Weitere Informationen zu dieser Funktion finden Sie im Handbuch Projektsimulation, im Kapitel Funktion Projektsimulation aktivieren/deaktivieren.

Mit Prozessabbild und Runtime-Dateien initialisieren

Parameter

Beschreibung

Prozess-Rekorder Dateien

Beim Start der Projektsimulation werden die bereits bestehende Aufzeichnungsdateien für die Simulation übernommen.

Hinweis: Nicht aktiv, wenn Mit Prozessabbild und Runtime-Dateien initialisieren nicht aktiv ist.

In Wiedergabemodus des Prozess-Rekorders starten

Die Projektsimulation startet im Wiedergabemodus des Prozess-Rekorders. Damit können bestehende Aufzeichnungen zur Runtime visualisiert werden.

Hinweis: Nur verfügbar wenn Prozess-Rekorder Dateien aktiv ist.

Als Alternative zu dieser Eigenschaft kann auch die Funktion Prozess-Rekorder: Wiedergabe aktivieren/deaktivieren zum Start der Wiedergabe verwendet werden.

Hinweis: Der aktuelle Wiedergabemodus ist auch in der System Treiber Variable [Prozess-Rekorder] Rekordermodus abgebildet.

Für die Visualisierung

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Anwendung.
  3. Wählen Sie die Funktion Projektsimulation aktivieren/deaktivieren.

    Der Dialog zur Parametrierung der Projektsimulation wird geöffnet.

  4. Wählen Sie:
    1. Mit Prozessabbild und Runtime-Dateien initialiseren
    2. Aktivieren Sie die Checkbox Prozess-Rekorder Dateien
    3. Optional: Um die Simulation in der Runtime direkt nach Funktionsaufruf im Wiedergabemodus zu starten, projektieren Sie die Einstellungen der Registerkarte Wiedergabe.
  5. Zusätzlich können Sie die Eigenschaften Optionen und Runtime konfigurieren.
  6. Benennen Sie die Funktion in der Eigenschaft Name.

info Info

In Simulation zeichnet der Prozess-Rekorder keine weiteren Daten auf.

Noch in diesem Kapitel

Wiedergabe


Wiedergabe

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Projektsimulation aktivieren/deaktivieren > Wiedergabe

In der Registerkarte Wiedergabe projektieren Sie Parameter für den Wiedergabemodus des Moduls Prozess Rekorder. Wird dieser Dialog zur Runtime angezeigt, können nur die Zeitvorgaben geändert werden.

Die Einstellungen dieser Registerkarte sind optional.

Sie machen nur dann Sinn, wenn aus dem Live-Modus direkt in die Wiedergabe gewechselt werden soll.

Parameter

Beschreibung

Prozess-Rekorder im Wiedergabemodus starten

Checkbox zur Auswahl des Runtime-Verhaltens nach Funktionsausführung.

  • aktiv:
    Runtime startet im Wiedergabemodus.
  • inaktiv:
    Runtime wird im Simulationsmodus gestartet.

Default: inaktiv

Filter

In diesem Bereich konfigurieren Sie den Startzeitpunkt der Wiedergabe zur Runtime.

Parameter

Beschreibung

Zeitfilter absolut

Beginn und Ende des Wiedergabebereichs werden manuell angegeben.

Eingabe der Startzeitpunktes der Wiedergabe in Eingabefelder, getrennt nach Start- und Ende.
Format:

  • Datum: TT.MM.JJJJ
    Default: Tagesdatum
  • Zeit: hh:mm:ss
    Default: 00:00:00

Default: aktiv

Hinweis: nicht aktiv, wenn Filtertyp Zeitfilter relativ ist.

Zeitfilter relativ

Beginn der Wiedergabebereichs, relativ zum Startzeitpunkt. Der Startzeitpunkt wird im Bereich Startzeit konfiguriert.

Eingabe der Differenz in Eingabefelder.

  • Zeit abziehen:
    T hh:mm:ss
  • Zeit addieren:
    T hh:mm:ss

Default: inaktiv

Hinweis: nicht aktiv, wenn Filtertyp Zeitfilter absolut ist.

Startzeit

Die Optionen stehen nur dann zur Verfügung, wenn als Filter Zeitfilter relativ aktiviert ist. Anderenfalls sind die Optionen ausgegraut. Auswahl der Startzeit aus Optionsfeld.

Parameter

Beschreibung

Manuell

Die Startzeit der Wiedergabe für das Modul Prozess-Rekorder wird manuell angegeben.

Projektierung der Startzeit mit Eingabe in die beiden

Default: Tagesdatum / 00:00:00 Uhr

Aus Variable

Die Startzeit der Wiedergabe für das Modul Prozess-Rekorder wird vom Wert der projektierten Variable übernommen.

Klick auf Schaltfläche ... öffnet den Variablenauswahldialog.

Für die verlinkte Variable wird der Datentyp DINT empfohlen.

Hat die Variable keinen gültigen Wert oder den Wert 0 wird die Funktion nicht ausgeführt! Dabei wird ein entsprechender LOG-Eintrag erstellt.

Von aufrufendem Bild übernehmen

Die Startzeit der Wiedergabe zur Runtime im Modul Prozess Rekorder wird vom aufrufenden Bild übernommen.

Beachten Sie:

  • Die Funktion Projektsimulation aktivieren/deaktivieren kann nur von einem zenon Bild vom Typ Alarmmeldeliste oder Chronologische Ereignisliste erfolgreich aufgerufen werden.
  • Für den Aufruf darf nur ein Eintrag (Alarm oder Ereignis) aus der Liste der Alarme oder Ereignisse ausgewählt sein.
    Als Startzeit der Wiedergabe im Modul Prozess Rekorder wird die Kommt-Zeit verwendet.

Kann die Funktion via Von aufrufendem Bild übernehmen nicht erfolgreich gestartet werden, wird ein entsprechender LOG-Eintrag geschreiben.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bildumschaltung Prozess-Rekorder

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Bildumschaltung Prozess-Rekorder

Um ein Bild vom Typ Prozess-Rekorder zur Runtime aufzuschalten:

  1. Projektieren Sie ein Bild vom Typ Prozess-Rekorder.
  2. Erstellen Sie eine Funktion Bildumschaltung auf dieses Bild.
  3. Definieren Sie die gewünschten Filtereigenschaften

Funktion vom Typ Bildumschaltung anlegen

Eine Funktion vom Typ Bildumschaltung dient dazu, Bilder zur Runtime aufzuschalten. Für die Bildumschaltung zu einem Bild vom Typ Prozess-Rekorder können Sie zusätzlich die Schrittgröße des Intervalls sowie die grafische Ausprägung der Listen der Ereignisvorschau projektieren.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Bilder.
  3. Wählen Sie die Funktion Bildumschaltung.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Bestätigen Sie Ihre Auswahl mit Klick auf die Schaltfläche OK.
    Der Dialog Filter zur Projektierung der Wiedergabe-Einstellungen und für die grafische Ausprägung der Intervall- und Ereignisliste wird geöffnet.
  6. Benennen Sie die Funktion in der Eigenschaft Name .

Noch in diesem Kapitel

Filter Bildumschaltung Prozess-Rekorder

Spaltenauswahl

Spaltenformat


Filter Bildumschaltung Prozess-Rekorder

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Bildumschaltung Prozess-Rekorder > Filter Bildumschaltung Prozess-Rekorder

In diesem Dialog konfigurieren Sie:

  • die Schrittgröße (in Sekunden) eines Intervallschrittes
  • die grafische Ausprägung der Liste der Ereignisvorschau

Wiedergabe-Einstellungen

Parameter | Beschreibung
Schrittgröße Intervall | Eingabe der Intervallgröße. Eingabe in Sekunden. Default: 30

Spalteneinstellungen der Intervallereignisse

Konfiguration der Darstellung zur Runtime für Ereignisliste vorwärts und Ereignisliste rückwärts.

Parameter | Beschreibung
Vorschau | Vorschau der konfigurierten Darstellung. Hinweis: Konfiguration per Mausklick, Kontextmenü oder den Schaltflächen Spaltenauswahl... und Spaltenformat...
Spaltenauswahl... | Öffnet Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat... | Öffnet Dialog zur Konfiguration der Spaltendarstellung.

Benutzerdefinierte Farben

Für das nächste und das vorherige Ereignis in der Ereignisvorschauliste und in der Intervallliste können Text- und Hintergrundfarbe - abweichend von der Projektierung für die gesamte Liste - gesondert projektiert werden.

Mit einer zusätzliche Option kann die Farbe für den Eintrag bei Versionswechsel projektiert werden.

Achtung: Damit die Projektierung der Farben der Optionen dieses Bereichs im Wiedergabemodus visualisiert werden ist es zwingend notwendig, die Checkbox bei der Option Benutzerdefinierte Farben für nächstes Ereignis verwenden zu aktivieren.

Parameter

Beschreibung

Benutzerdefinierte Farben für nächstes Ereignis verwenden

Ist diese Option aktiviert, werden nur für den nächsten oder vorangegangenen Eintrag in der Liste eigens konfigurierte Ausprägungen verwendet. Alle weiteren Einträge in der Liste verwenden die Einstellungen, wie in Spaltenformat projektiert.

Aktivierung via Checkbox.

Textfarbe

Farbe für die Textdarstellung des nächsten Ereignis in der Ereignisvorschauliste. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hinweis: nicht aktiv, wenn Benutzerdefinierte Farben für nächstes Ereignis verwenden inaktiv ist.

Hintergrundfarbe

Farbe für die Hintergrundfarbe des nächsten Ereignis in der Ereignisvorschauliste.

Hinweis: nicht aktiv, wenn Benutzerdefinierte Farben für nächstes Ereignis verwenden inaktiv ist.

Systemmeldung für Projektversionierung

Textfarbe der Systemmeldung, die im Wiedergabemodus visualisiert wird, wenn eine Projektierungsänderung im Abspielzeitraum erkannt wird.

Dabei wird der vorgegebene Text "Neue Projektversion" als Eintrag in der Liste der Ereignisse eingefügt.

Spalteneinstellungen der Ereignisse

Konfiguration der Darstellung zur Runtime für Vorheriges Ereignis und Nächstes Ereignis.

Parameter | Beschreibung
Vorschau | Hinweis: per Mausklick oder Kontextmenü können bereits in dieser Vorschau erste Anpassungen konfiguriert werden.
Spaltenauswahl... | Öffnet Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat... | Öffnet Dialog zur Konfiguration der Spaltendarstellung.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenauswahl

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Bildumschaltung Prozess-Rekorder > Spaltenauswahl

Hier konfigurieren Sie die zur Runtime anzuzeigenden Spalten

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Bildumschaltung Prozess-Rekorder > Spaltenformat

Grafische Ausprägung der ausgewählten Spalten.

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Prozess-Rekorder: Wiedergabe aktivieren/deaktivieren

Handbuch > Prozess-Rekorder > Projektierung im Editor > zenon Funktionen > Prozess-Rekorder: Wiedergabe aktivieren/deaktivieren

Mit der Funktion Projektsimulation aktivieren/deaktivieren starten oder stoppen Sie die Wiedergabe von Aufzeichnungen in der Runtime.

Parameter

Beschreibung

Simulationsmodus

Art der Simulation in der zenon Runtime.
Auswahl des Modus aus Optionsfeld:

  • Wiedergabe Prozess-Rekorder
    Startet die Runtime im Wiedergabemodus der Projektsimulation für das Modul Prozess-Rekorder.
  • Simulation
    Schaltet die Runtime vom Wiedergabemodus auf Projektsimulation zurück.

Default: Simulation

Wiedergabe-Start

Startzeit der Wiedergabe.
Angabe des Zeitpunkts, zu dem die Wiedergabe in der Runtime gestartet wird.

Auswahl von Datum und Zeit aus Combobox.
Darstellungsformat: TT.MM.JJJJ oder HH:MM:SS
Klicken Sie auf den gewünschten Bereich, um diesen für die Änderung zu markieren. Ändern Sie den Bereich durch eine Eingabe oder Klick auf die Pfeiltasten.

Default: Datum des Aufrufs, 00:00:00 Uhr

Hinweis: Nicht aktiv, wenn Simulationsmodus Simulation ist.

Diesen Dialog zur Runtime anbieten

Checkbox zur Auswahl, ob dieser Dialog in der Runtime angezeigt wird:

  • aktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime am aktuellen Rechner aufgeschaltet. Im Netzwerk wird dieser Dialog auf jenem Rechner aufgeschaltet, der die Funktion ausführt. Dadurch sind Änderungen von bestehenden Parametrierungen von einer zenon Editor-Projektierung bei der Ausführung in der zenon Runtime möglich.
  • inaktiv:
    Dieser Dialog wird bei der Bedienung in der Runtime nicht angezeigt. Die Funktion oder der Befehl wird sofort mit der im Editor erstellten Projektierung ausgeführt.

Default: inaktiv

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Tipp Tipp

Um bei der Wiedergabe in der Runtime die größtmögliche Flexibilität zu haben, projektieren Sie die Funktion mit aktivierter Eigenschaft Diesen Dialog zur Runtime anbieten.

Verknüpfen Sie diese Funktion mit einem Button in einer Schablone, welche für die in der Wiedergabe verwendeten Bildern erreichbar ist.

Dadurch kann während einer laufenden Wiedergabe der Startzeitpunkt flexibel gewählt werden.


Darstellung von Projektierungsänderungen

Handbuch > Prozess-Rekorder > Projektierung im Editor > Darstellung von Projektierungsänderungen

Im Wiedergabemodus werden bei korrekter Projektierung im zenon Editor Veränderungen der Projektierung für ein bestehendes Bild visualisiert.

Beispiel:

  • Die Position eines Bildelements wird in der Projektierung im zenon Editor geändert.
  • Im Wiedergabemodus wird diese Positionsänderung beim Abspielen visualisiert.

attention Achtung

Für die korrekte Darstellung im Wiedergabemodus muss bei der Projektierungen die Allgemeine Projekteigenschaft Versionierung aktiv aktiviert sein.

Noch in diesem Kapitel

Projektieren im Editor


Projektieren im Editor

Handbuch > Prozess-Rekorder > Projektierung im Editor > Darstellung von Projektierungsänderungen > Projektieren im Editor

Um Projektierungsänderungen im Wiedergabemodus des Prozess-Rekorders korrekt zu visualisieren sind folgende Projektierungschritte notwendig:

  • Aktivieren Sie die Versionierung für ihr Projekt
    • Markieren Sie im Editor das Projekt in der Baumansicht des aktuellen Arbeitsbereichs.
    • Aktivieren Sie in der Projekteigenschaftengruppe Allgemein die Eigenschaft Versionierung aktiv.
    • Optional: Parametrieren Sie die zusätzlichen Optionen der Eigenschaftengruppe Versionierung.
  • Projektieren Sie Änderungen oder neue Inhalte.
  • Erstellen Sie ein Backup Ihres Projekts.
    • Navigieren sie in der Baumansicht des aktuellen Projekts zum Knoten Projeksicherungen.
    • Wählen Sie in der Symbolleiste oder im Kontextmenü den Eintrag Sicherung erstellen:
      Der Dialog Projektsicherung erstellen wird geöffnet.
    • Füllen Sie die Felder des Dialogs aus und bestätigen Sie Ihre Eingabe mit Klick auf die Schaltfläche OK.
      Die Projektsicherung wird erstellt
    • Die erfolgreiche Projektsicherung wird mit einem Dialog im Editor visualisiert.
    • Nach Bestätigung dieses Dialogs wird die Projektischerung auch als Eintrag in Hauptfenster angezeigt.

Projektierungsänderungen werden in der Wiedergabe nach Erstellung eines Backups visualisiert.

info Info

Der Speicheraufwand des Backups ist abhängig von der Projektierung.

Zusätzliche Informationen finden Sie im Handbuch Projeksicherung.


Prozess-Rekorder in der Runtime

Handbuch > Prozess-Rekorder > Prozess-Rekorder in der Runtime

Für den Prozess-Rekorder gilt in der zenon Runtime:

  • Dateien laden im Abspielmodus:
    Daten der Wiedergabe laufen in einem eigenen Thread. Dies ermöglicht das kontinuierliche Abspielen der aufgezeichneten Daten ohne zeitraubende Nachladepausen.
  • Dateien aufzeichnen:
    Die Datenaufzeichnung des Moduls Prozess-Rekorder läuft in einem eigenen Thread. Dies ermöglicht eine kontinuierliche Datenaufzeichnung ohne Leistungsverlust.
  • Wertedarstellung:
    Wird in der Wiedergabe ein Zeitbereich abgespielt, zu dem die Runtime nicht aktiv war, werden bei der Wiedergabe keine Werte dargestellt. Die Elemente in den Prozessbildern bleiben leer.
  • Projektübergreifend:
    Zeitlich überlagernde Daten mehrerer Projekte werden in einer Zeitleiste zusammengefasst und chronologisch sortiert.
  • Nicht aufgezeichnete Variablen werden bei der Wiedergabe mit dem Statusbit PR_NR markiert.
    Ist das Statusbit aktiv, wird in einem Bildelementen während der Wiedergabe dieser Status mit einem gelben Quadrat angezeigt.

Wiedergabemodus

Befindet sich die Runtime im Wiedergabemodus, verhält sie sich weiterhin wie in Projektsimulation.

Beispiele:

  • Keine Aufzeichnung von Prozess-Rekorder Daten.
  • Dateien werden im Simulationsverzeichnis angelegt oder gelesen (z.B.: Batch, Schaltfolgen).
  • Skript AUTOEND_Simul funktioniert auch beim Beenden der Runtime im Wiedergabemodus.
  • Beim Beenden der Runtime wird für jeden Treiber die Eigenschaft Variablenabbild remanent berücksichtigt.
  • Archive können nicht exportiert werden.
  • Der Import von Schaltfolgen, die in Simulation erstellt wurden, wird nicht ausgeführt.
  • Das Modul Schichtmanagement greift nicht auf die Datenbank zu.

Während der Wiedergabe werden keine Daten gespeichert, die durch die Wiedergabe erzeugt werden. Dies gilt für folgende Module:

  • CEL
  • Alarmmeldeliste
    Die Darstellung von Grenzwertverletzungen inklusive Blinken basiert auf aufgezeichneten Daten.
  • Archivierung
  • Prozess-Rekorder
  • HD-Speicherung

info Info

Der Teaching-Vorgang für das Modul Schaltfolgen ist auch dann verfügbar, wenn die Runtime im Wiedergabe-Modus des Moduls Prozess-Rekorder läuft.


Prozess-Rekorder im zenon Netzwerk

Handbuch > Prozess-Rekorder > Prozess-Rekorder im zenon Netzwerk

Für das Verhalten des Moduls Prozess-Rekorder im Netzwerk gelten folgende Regeln:

  • Server und Standby legen beim Start initial eine Datei an.
  • Verhalten am Server:
    • Bei Wertänderung wird der neue Eintrag in die Datei am Server gespeichert.
    • Der Eintrag wird auch zum Standby-Server gesendet.
  • Verhalten am Standby-Server:
    • Der Standby-Server holt sich beim Starten die vorhandenen Prozess-Rekorder Dateien vom Server.
    • Nach Übertragung der Dateien:
      Der Standby schreibt den vom Server empfangenen Eintrag in die Datei am Standby.
    • Wenn die Datei nicht existiert, schreibt der Standby-Server eine entsprechende LOG-Meldung.
    • Um den Dateiabgleich so effizient wie möglich zu gestalten, wird sichergestellt, dass die Rekorderdateien am Standby-Server dieselben Dateieigenschaften wie am Server haben.
  • Bei Redundanzumschaltung und Nachladen des Projekts:
    • Die aktuelle Rekorder-Datei wird geschlossen.
    • Eine neue Rekorder-Datei wird angelegt.

attention Achtung

Beachten Sie:

  • Am Standby-Server werden im Prozess-Rekorder die Werte des Prozessführenden Servers aufgezeichnet. Es werden nicht die Werte, welche vom eigenen Treiber des Standby-Servers empfangen wurden, verwendet.
  • Stoßfreie Redundanz wird für den Prozess-Rekorder nicht unterstützt. Die Variablen sind am Standby Server am Treiber angemeldet (advised), werden jedoch nicht gepuffert. Somit ist eine Aufzeichnung während der Redundanz-Umschaltung nicht gewährleistet.


LOG-Einträge

Handbuch > Prozess-Rekorder > LOG-Einträge

Das Modul Prozess-Rekorder schreibt folgende LOG-Einträge.

Aufzeichnung

Eintrag

Level

Beschreibung

Unable to Create File: [Dateiname]

ERROR

Die neue Datei konnte nicht erstellt werden.

Unable to Create Filefolder: [Ordnername]

ERROR

Das Zielverzeichnis konnte nicht erstellt werden.
Mögliche Ursachen:

  • unzureichende Benutzerrechte
  • ungenügend freier Speicherplatz
  • Ziellaufwerk ist nicht erreichbar

Could not write to file!

ERROR

Der Zugriff auf die Datei ist fehlgeschlagen oder die Datei wurde noch nicht erstellt.

Diese Meldung kann und darf beim ersten Anmelden (advise) einer Variable vorkommen, da die benötigte Datei noch nicht vorhanden ist und erst automatisch erstellt wird.

Filehandler not initialized

ERROR

Funktionalitäten für das Schreiben der Prozess-Rekorder-Datei wurden nicht gestartet.

Dieser LOG-Eintrag kann nur beim Start erfolgen.

violated limit: <id>, blinking:

ProcessRecorder DeepDebug

Eine Grenzwertverletzung wurde aufgezeichnet:

  • violated limit:
    ID des verletzten Grenzwerts

stop blinking

ProcessRecorder DeepDebug

Eine Blinkquittierung wurde aufgezeichnet:

Netzwerk

Eintrag

Level

Beschreibung

Send Data: Cls:CProcessRecorderMsgStartFile name:<filename> size:<filesize> time:<time>

Debug

LOG-Eintrag am Server.

Schickt eine Nachricht an den Standby, dass neue Datei <filename> mit Größe <size> und Zeitpunkt <time> geschrieben wurde.

Receive Data: Cls:CProcessRecorderMsgStartFile name:<filename> size:<filesize> time:<time>

Debug

LOG-Eintrag am Standby.

Empfangene Nachricht, dass neue Datei <filename> mit Größe <size> und Zeitpunkt <time> am Server geschrieben wurde.

Unable to start new file correctly: <filename>

ERROR

LOG-Eintrag am Standby.

Neue Datei <filename> konnte nicht erzeugt werden.

Data is missing. File is smaller in size on SB<filename>

ERROR

LOG-Eintrag am Standby.

Bei Wertänderungsmitteilung, wenn die Datei <filename> zu klein ist. Dies ist dann der Fall, wenn die Datei am Server mehr Einträge hat wie am Standby.

Receive Data: Cls:CProcessRecorderMsgValueChange file:<filename> startPos: :<start> modifyTime:<time> length:<length>

DEBUG

LOG-Eintrag am Standby.

Verständigung vom Server, dass neue Wertänderungen am Server aufgezeichnet wurden.

Wertänderungen vom Server zum Schreiben in die Datei <filename> ab Position <start> mit Zeitstempel <time> erhalten. Dump hat Länge <length>

Send Data: Cls:CProcessRecorderMsgValueChange file:<filename> startPos: :<start> modifyTime:<time> length:<length>

DEBUG

LOG-Eintrag am Server.

Wertänderungen zum SB senden zum Schreiben in die Datei <filename> ab Position <start> mit Zeitstempel <time>. Dump hat Länge <length>

Unable to write value changes to file: <filename>

ERROR

LOG-Eintrag am Standby.

Wertänderungen konnten nicht in die Datei <filename> geschrieben werden.

Unable to set modify time correctly: <filename>

ERROR

LOG-Eintrag am Standby.

Wertänderugen konnten zwar geschrieben werden, aber der Zeitstempel der Datei <filename> konnte nicht angepasst werden.

Dies ist dann der Fall, wenn der Zeitstempel der Datei sich vom Zeitstempel der Datei vom Server unterscheidet. Die Datei wird beim nächsten Dateiabgleich synchronisiert.

Runtime

Eintrag

Level

Beschreibung

Reload PR with process recorder now enabled / disabled

DEBUG

Nachladen bei Änderung der Aktivierung des Prozess-Rekorders:

  • Keine Änderung bei der Variablen-Eigenschaft.
  • Prozess-Rekorder wurde aktiviert oder deaktiviert.

Reload <n> variables with process recorder enabled

DEBUG

Nachladen der Projektierung für Prozess-Rekorder:

Es wurde die Variablenverwaltung (mit <n> neuen oder geänderten Variablen) nachgeladen.

Der Prozess-Rekorder wird nun auch für diese Variable(n) verwendet

Runtime switch to Simulationmode

DEBUG

Runtime schaltet von Wiedergabemodus in den Simulationsmodus um.

Runtime switch to Playbackmode

DEBUG

Runtime schaltet von Simulationsmodus in den Wiedergabemodus um.

RT started in playback mode

DEBUG

Runtime wurde im Wiedergabemodus gestartet.

RT started in simulation mode

DEBUG

Runtime wurde im Simulationsmodus gestartet.

Start time for playback from Abs: | Rel: %source% is invalid

ERROR

Kein gültiger Wert oder keine Variable für Funktionsausführung gefunden.
source:

  • Benutzereingabe
  • Variablenname (bei Startzeit aus Variable)
  • Bildname (bei Startzeit von aufrufendem Bild)

Missing project backup for version <version>

ERROR

Beim Laden der Rekorderdatei wurde festgestellt, dass eine Projektsicherung durchgeführt wurde.

Die dazugehörige Projektsicherungsdatei ist jedoch nicht vorhanden.

Für diesen Fall, dass eine Projektsicherungsdatei fehlt wird die ursprüngliche Projektierung (vor Projektsicherung) visualisiert.

Could not extract <zipfile> to <destdir>: <error>

WARNING

Die komprimierte Projektsicherungsdatei <zipfile> konnte für die Wiedergabe nicht im Zielverzeichnis extrahiert werden.

  • <error>
    Detailierte Fehlerbeschreibung, abhängig vom aufgetretenem Fehler.

Wiedergabe

Eintrag

Level

Beschreibung

No file loaded

DEBUG

Bei Start der Wiedergabe konnten keine Datei gefunden, welche aufgezeichnete Daten für den gewählten Zeitpunkt enthält.

Load file for replay <filename>

DEBUG

Erfolgsmeldung bei Start der Wiedergabe: Die Datei <filename> wurde geladen und enthält gültige Aufzeichnungsdaten für den gewählten Zeitpunkt .

No replay buffer filled

DEBUG

In der Datei wurden keine Werte gefunden.

Filled buffer for replay with <count> variables and <number> entries

DEBUG

In der Datei wurden Werte für Variablen gefunden.

  • <count>:
    Anzahl an Variablen mit Einträgen
  • <number>:
    Anzahl an Wertänderungen

Intervallstep forward

DEBUG

Erfolgreicher Sprung der Wiedergabe um einen Intervallschritt vorwärts.

Intervallstep back

DEBUG

Erfolgreicher Sprung der Wiedergabe um einen Intervallschritt rückwärts.

Cancel action

DEBUG

Erfolgreicher Abbruch eines Sprungbefehls.

singlestep forward

DEBUG

Erfolgreicher Wechsel zur nächsten Wertänderung.

singlestep back

DEBUG

Erfolgreicher Wechsel zur vorangegangenen Wertänderung.

playback status change

DEBUG

Die Wiedergabe wurde gestartet oder pausiert:

Status:

  • started
  • paused

replay timer waiting nn ms

DEEPDEBUG

Suche nach Wertänderungen während der Wiedergabe.

Unload File: <filename>

DEBUG

Die Datei <filename> wird im Wiedergabemodus aus dem Speicher entladen.

Missing corresponding .lmt file to <filename>

ERROR

Für die Wiedergabe fehlt eine entsprechende Aufzeichnungsdatei.

Ab zenon 8.00 sind für die Wiedergabe sowohl die .rec-Datei wie auch die .lmt-Datei zwingend erforderlich. Fehlt eine Datei, ist eine Visualisierung im Wiedergabemodus zur Runtime nicht möglich.


Projektverwaltung und Arbeitsbereich

Handbuch > Projektverwaltung und Arbeitsbereich

Jedes Projekt ist einem Arbeitsbereich zugeordnet.

Die Arbeitsbereiche und Projekte werden im Projektmanager angezeigt.

Noch in diesem Kapitel

Arbeitsbereich

Projekt

Integrationsprojekt

Globalprojekt

Projektierung des Projektfilters

Konfiguration


Arbeitsbereich

Handbuch > Projektverwaltung und Arbeitsbereich > Arbeitsbereich

Arbeitsbereiche werden in einer Date mit der Endung .wsp6 gespeichert. Doppelklick auf diese Datei startet den zenon Editor in der 32-Bit Version.

Innerhalb eines Arbeitsbereiches können mehrere Projekte angelegt und verwaltet werden. Alle Daten, die für einen Arbeitsbereich definiert und gespeichert werden, sind Bestandteil der zenon Datenbank.

Die Verwaltung mehrerer Projekte in einem Arbeitsbereich bietet sich dann an, wenn mehrere Projekte in einer Anlage über ein Netzwerk verbunden laufen sollten. Zur gleichen Zeit können auch mehrere Projekte bearbeitet werden.

Alternativ kann ein weiterer Arbeitsbereich in einem anderen Ordner für die Aufnahme der Projekte erstellt werden.

Example Beispiel

/KUNDE1/PROJEKT: (ein oder mehrere Projekte im Arbeitsbereich)

/KUNDE2/PROJEKT: (ein oder mehrere Projekte im Arbeitsbereich)

Die Struktur der Datenbank wird durch Schema-Dateien definiert. Sie sind die Grundlage bei einer vollständigen Neuerstellung einer Projektdatenbank. Für den Rezeptgruppen- Manager ist eine zusätzliche Datenbankdatei im MS-ACCESS Format (MDB) vorhanden.

attention Achtung

Es sind keine vorprojektierten Daten vorhanden!

Noch in diesem Kapitel

Neuen Arbeitsbereich anlegen

Arbeitsbereich speichern

Bestehenden Arbeitsbereich bearbeiten

Arbeitsbereich sichern und rücklesen


Neuen Arbeitsbereich anlegen

Handbuch > Projektverwaltung und Arbeitsbereich > Arbeitsbereich > Neuen Arbeitsbereich anlegen

Es gibt zwei Möglichkeiten, um einen neuen Arbeitsbereich anzulegen:

  • Dropdownliste > Datei -> Arbeitsbereich -> Neu oder
  • Kontextmenü des Eintrags Arbeitsbereich im Projektbaum / Eintrag Arbeitsbereich / Neu

Parameter | Beschreibung
Name | Vergeben Sie einen frei wählbaren Namen für Ihren neuen Arbeitsbereich. Der Default-Name <Arbeitsbereich> ist ungültig und muss ersetzt werden. Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_).
Speicherstelle | Wählen Sie einen Ordner in dem Sie Ihren neuen Arbeitsbereich speichern wollen. Als Default-Speicherort wird das Benutzerverzeichnis vorgeschlagen.
Arbeitsbereichdatei | Der Pfad wird automatisch mit Ihren Angaben erstellt


Arbeitsbereich speichern

Handbuch > Projektverwaltung und Arbeitsbereich > Arbeitsbereich > Arbeitsbereich speichern

Es gibt zwei Möglichkeiten, um einen Arbeitsbereich zu speichern:

  • Dropwdownliste / Datei / Arbeitsbereich / Speichern oder Speichern unter oder
  • Kontextmenü des Eintrags Arbeitsbereich im Projektbaum / Eintrag Arbeitsbereich / Speichern oder Speichern unter

Wenn Sie den Eintrag Speichern unter wählen, können Sie die Speicherstelle selbst definieren. In diesem Fall wird ein bestehender Arbeitsbereich unter neuem Namen gespeichert.

Parameter | Beschreibung
Name | Vergeben Sie einen frei wählbaren Namen, unter dem Sie Ihren Arbeitsbereich speichern wollen. Der Default-Name <Arbeitsbereich> ist ungültig und muss ersetzt werden. Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_).
Speicherstelle | Wählen Sie einen Ordner aus, in dem Sie Ihren neuen Arbeitsbereich speichern wollen. Als Default-Speicherstelle wird der Benutzerordner vorgeschlagen.
Arbeitsbereichdatei | Der Pfad wird automatisch mit Ihren Angaben erstellt

Die Arbeitsbereiche werden als *.WSP-Dateien gespeichert.

info Info

Befindet sich ein Projekt mit einer niedrigeren Versionsnummer als der Editor im Arbeitsbereich, kann der Menüeintrag "Arbeitsbereich/speichern unter..." nicht ausgewählt werden. Dieses Projekt muss erst zur Editor-Version konvertiert werden, bevor der Arbeitsbereich gespeichert werden kann.


Bestehenden Arbeitsbereich bearbeiten

Handbuch > Projektverwaltung und Arbeitsbereich > Arbeitsbereich > Bestehenden Arbeitsbereich bearbeiten

Es gibt zwei Möglichkeiten, um einen bestehenden Arbeitsbereich zu öffnen:

  • Dropdownmenü Datei -> Arbeitsbereich -> Öffnen oder
  • Kontextmenü des Knotens Arbeitsbereich im Projektbaum -> Befehl Arbeitsbereich -> Öffnen


Arbeitsbereich sichern und rücklesen

Handbuch > Projektverwaltung und Arbeitsbereich > Arbeitsbereich > Arbeitsbereich sichern und rücklesen

Informationen zum Sichern und Rücklesen von bestehenden Arbeitsbereichen finden Sie im Kapitel Projektsicherungen / Abschnitt Arbeitsbereich sichern und rücklesen.


Projekt

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt

Ist der Arbeitsbereich geöffnet, können ein oder mehrere Projekte aus dem Projektmanager bearbeitet oder neu ausgewählt werden. Ein bereits bestehendes Projekt kann jederzeit in den geöffneten Arbeitsbereich eingefügt werden.

Noch in diesem Kapitel

Neues Projekt anlegen

Projekt speichern

Bestehendes Projekt einfügen

Bestehendes Projekt bearbeiten

Projektbezüge ersetzen

Projekt sichern und rücklesen

Projekt aus Arbeitsbereich entfernen

Projekt löschen


Neues Projekt anlegen

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Neues Projekt anlegen

Es gibt zwei Möglichkeiten, um ein neues Projekt anzulegen:

  • Dropdownliste -> Datei ->Projekt neu oder
  • Kontextmenü des Eintrags Arbeitsbereich im Projektbaum / Eintrag Projekt neu

Parameter

Beschreibung

Projekttyp

Wählen Sie zwischen Standardprojekt und Globalprojekt aus.

Projektname

Vergeben Sie einen frei wählbaren Namen für das Projekt.

Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_).

Default: PROJEKT

Basisordner

Ordner, in dem das neue Projekt gespeichert werden soll.

Arbeitsbereich

Wahl des Arbeitsbereichs:

  • An aktiven Arbeitsbereich anhängen:
    Das neue Projekt wird an den Arbeitsbereich angehängt, der gerade aktiv ist. Als Default-Speicherstelle wird der Pfad des Arbeitsbereiches vorgeschlagen.
  • Neuen Arbeitsbereich erzeugen:
    Mit dem Projekt wird auch ein neuer Arbeitsbereich erstellt. Der Arbeitsbereichname wird automatisch im Fekld Runtime-Ordner eingefügt.

Arbeitsbereichname

Vergeben Sie einen frei wählbaren Namen für Ihren neuen Arbeitsbereich.

Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_).

Hinweis: Der Default-Name <Arbeitsbereich> ist ungültig und muss ersetzt werden.

Runtime-Ordner

Der Standard-Speicherplatz für den Runtime-Ordner ist bereits voreingestellt. Der Speicherplatz kann hier geändert werden.

Hinweis: Unterhalb des Runtime-Ordners wird automatisch der Datenordner für Runtime-Dateien angelegt. Dessen Pfad kann über die Eigenschaft Allgemein/Datenordner individuell geändert werden. Beachten Sie dabei, dass der Pfad immer erreichbar sein muss, da sonst Runtime-Daten nicht mehr geschrieben werden können.

Optionen

Mehrplatzfähiges Projekt

Aktiv: Mehrere Benutzer können ein Projekt gleichzeitig bearbeiten (Details siehe Verteiltes Engineering.)

Projektserver

Auswahl des Projektservers für Mehrplatzfähige Projekte.


Projekt speichern

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Projekt speichern

Um ein Projekt unter einem neuen Namen zu speichern, wählen Sie im Kontextmenü des Projektes der Eintrag Projekt/Speichern unter aus. Im Dialog können Sie den neuen Projektnamen angeben.

Wenn Sie einen Projekt unter einem bereits existierenden Namen speichern, werden Sie per Hinweisbox darauf aufmerksam gemacht.

info Info

Es ist mit dieser Funktionalität z. B. auch möglich, eine Kopie eines vorhandenen Projektes zu erstellen, die dann verändert werden kann.

Dazu wird das Projekt A im Kontextmenü mit Speichern unter kopiert und kann anschließend entsprechend angepasst werden. Anschließend wird es als Projekt B gespeichert (wieder Kontextmenü Speichern unter).

Je nachdem in wie vielen Punkten sich die beiden Projekte voneinander unterscheiden sollen, kann diese Möglichkeit eine Zeitersparnis gegenüber Import/Export von Projektteilen bieten.


Bestehendes Projekt einfügen

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Bestehendes Projekt einfügen

Um ein bestehendes Projekt in den Arbeitsbereich einzufügen:

  • führen Sie einen Rechtsklick auf den Arbeitsbereich aus
  • wählen Sie den Befehl Bestehendes Projekt einfügen
  • der Dialog zur Projektauswahl wird geöffnet

Um detaillierte Informationen zu den einzelnen Projekten, vor allem zum Typ, zu erhalten, öffnen Sie den Projektknoten im Auswahlfenster. Sie erhalten Informationen zu:

Information

Beschreibung

Mehrplatzfähiges Projekt

Anzeige nur, wenn das Projekt mehrplatzfähig ist.

Projekt ID

Eindeutige ID des Projekts.

System-Datenbank Version

Version der System-Datenbank.

System-Report Version

Version der System-Tabelle.

Verbundene lokale Projektkopien

Anzeige der Projektkopien auf anderen Rechnern.

Nur bei Mehrplatzfähigen Projekten (gekennzeichnet durch den Buchstaben M im Symbol).

Editorversion

Version des Editors, mit dem das Projekt erstellt oder zuletzt bearbeitet wurde.

Typ:

Zeigt Projekttyp an:

  • Standardprojekt
  • Globalprojekt


Bestehendes Projekt bearbeiten

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Bestehendes Projekt bearbeiten

Die Auswahl eines bestehenden Projektes erfolgt über den Projektmanager durch einfaches Anklicken mit der linken Maustaste. Klicken Sie mit der rechten Maustaste in den Projektmanager erhalten Sie folgendes Kontextmenü.

Verfügbare Funktionen sind:

Parameter | Beschreibung
Runtime Dateien |
- Erzeuge geänderte | geänderte Runtime Dateien für das aktive Projekt erzeugen
- Erzeuge alle | alle Runtime Dateien für das aktive Projekt erzeugen
- Importieren | In der Runtime änderbare Dateien werden in den Editor-Pfad zurückgelesen - Standard Rezepte - Rezepte des Rezeptgruppen Managers - User Verwaltung - Fahrpläne und Profile
Projekt als Startprojekt | setzen des Runtime Startprojekts für den aktuellen Rechner
Starte Runtime | Runtime wird mit dem als Startprojekt gesetzten Projekt gestartet
Projekt aktiv | aktives Projekt für die Toolbars des Editors und die Querverweisliste setzen. Alle anderen Projekte, die nicht die Option Projekt im Speicher halten gesetzt haben, werden deaktiviert.
Projekt im Speicher halten | das Projekt bleibt im Arbeitsspeicher, auch wenn ein anderes Projekt aktiviert wird
Projekt |
- Umbenennen | Ändert den Namen des Projektes
- Speichern unter ... | speichert das Projekt unter einem neuen Namen in einem neuen Verzeichnis ab
- Eigenschaften | öffnet das Eigenschaften-Fenster mit den Projekt-Eigenschaften
- Aus Arbeitsbereich entfernen | entfernt das Projekt aus dem aktuellen Arbeitsbereich ohne es jedoch physikalisch zu löschen
- Löschen | Löscht das Projekt physikalisch
- Sicherung erstellen... | Erstellt eine Sicherung des Projekts
- Sicherung rücklesen... | Liest einen gesicherten Projektstand zurück in den aktuellen Arbeitsbereich
Projekt Remote-Transport | öffnet das Untermenü Projekt Remote-Transport Das Untermenü Projekt Remote-Transport bietet folgende Funktionen:
- Verbindung aufbauen | die Remote Verbindung zum Zielrechner wird aufgebaut
- Geänderte Runtime Dateien übertragen | nur geänderte Runtime Dateien werden auf den Zielrechner transportiert
- Alle Runtime Dateien übertragen | alle Runtime-Dateien werden auf den Zielrechner transportiert
- Alle Runtime Dateien zurücklesen | die in der Runtime änderbaren Dateien (z. B. Rezepte, User-Verwaltung, etc.) werden zu den Editor-Dateien zurückgelesen
- Projekt als Startprojekt | das Startprojekt für den Zielrechner wird gesetzt
- Starte Runtime | die Runtime auf dem Zielrechner wird gestartet
- Beende Runtime | die Runtime auf dem Zielrechner wird beendet
- Projekt Nachladen | die Funktion Nachladen wird auf dem Runtime-Rechner ausgeführt
- Fehler Dateien anfordern | die Fehlerdatei vom Zielrechner wird angefordert
- Neustart OS | das Betriebssystem auf dem Zielrechner wird neu gestartet
- System Status ermitteln | der Systemstatus des Zielrechners wird ermittelt
- Remote Passwort ändern | das Passwort für den Remote Zugriff auf den Projektrechner wird geändert
Profil | Öffnet ein Untermenü, in dem ein angelegtes Profil ausgwählt werden kann (siehe Kapitel Editor Bediensystem)
Hilfe | Öffnet die Online-Hilfe

Passwortschutz

Jedes Projekt kann mit einem Passwort geschützt werden. Dazu:

  • legen Sie in der Benutzerverwaltung die benötigten Benutzer an
  • setzen Sie in den Projekteigenschaften im Knoten Benutzerverwaltung in der Eigenschaft Funktionsberechtigungen den Eintrag Projekt laden auf eine Berechtigungsebene größer 0
  • weisen Sie diese Berechtigungsebene allen berechtigten Benutzern zu

Damit kann das Projekt nur noch von existierenden Benutzern mit der definierten Berechtigungsebene geöffnet werden.


Projektbezüge ersetzen

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Projektbezüge ersetzen

Werden Projekte kopiert, müssen deren Bezüge zu übergeordneten Projekten eventuell neu zugeordnet werden. Der Assistent Projektbezüge ersetzen unterstützt das automatisierte Ersetzen von Projektbezüge auf Bilder, Variablen und Funktionen. Es wird automatisch nach allen Projektbezügen gesucht, die anschließend durch die Bilder, Funktionen, Variablen eines anderen auswählbaren Projektes ersetzt werden können.

Um Projektbezüge zu ersetzen:

  1. müssen Arbeitsbereich und Unterprojekte gespeichert sein
  2. wählen Sie im Kontextmenü des Intergrationsprojekt den Befehl Projektbezüge ersetzen
  3. der Dialog zur Auswahl eines Projekts wird geöffnet
  4. wählen Sie die gewünschten Zuordnungen aus
  5. bestätigen und schließen Sie den Dialog mit Klick auf OK

Parameter

Beschreibung

Ersetzungsliste

Liste der Projektzuordnung für das Ersetzen von Bezügen:

  • Projekt alt:
    Enthält automatisch alle Quellprojekte. Ist diese Liste leer, dann existieren im Arbeitsbereich keine übergeordneten Projektemit Verknüpfungen zu Unterprojekten.
  • Projekt neu:
    Projekt, das die Bezüge übernehmen soll. Auswahl aus Liste mögliche Projekte durch Klick auf Schaltfläche mit Pfeil.

mögliche Projekte

Projekte, mit denen Quellprojekte ersetzt werden können. Auswahl:

  • gewünschtes altes Projekt markieren
  • gewünschtes neues Projekt markieren
  • auf Schaltfläche mit Pfeil nach links klicken

Zuordnung aufheben:

  • gewünschte Zuordnung in Ersetzungsliste markieren
  • auf Schaltfläche mit Pfeil nach rechts klicken

OK

Übernimmt Zuordnung und führt Ersetzung durch.

Anzahl der ersetzten Projektbezüge wird im Ausgabefenster angezeigt.

Abbrechen

Verwirft Einstellungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Projekt sichern und rücklesen

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Projekt sichern und rücklesen

Informationen zum Sichern und Rücklesen von bestehenden Projekten finden Sie im Kapitel Projektsicherungen.


Projekt aus Arbeitsbereich entfernen

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Projekt aus Arbeitsbereich entfernen

Um ein Projekt aus dem Arbeitsbereich in dem es sich befindet zu entfernen, wählen Sie im Kontextmenü des Projektes den Eintrag Projekt / aus Arbeitsbereich entfernen .

Das Projekt ist dadurch nicht gelöscht. Siehe Abschnitt Projekt löschen.


Projekt löschen

Handbuch > Projektverwaltung und Arbeitsbereich > Projekt > Projekt löschen

Informationen zum Löschen von Projekten finden Sie im Kaptiel Projektsicherungen / Projekt löschen.


Integrationsprojekt

Handbuch > Projektverwaltung und Arbeitsbereich > Integrationsprojekt

zenon bietet die Möglichkeit der mehr-hierarchischen Projektstruktur. In einem solchen Fall wird beispielsweise ein Integrationsprojekt mit mehreren Unterprojekten realisiert.

Als zentrale Stelle enthält das Integrationsprojekt die Übersichtsbilder, in denen die Prozesswerte der Unterprojekte dargestellt werden.

Details: siehe Thema Mehrprojektverwaltung im Handbuch Netzwerk.

Example Beispiel

Über die Rezepturen im Integrationsprojekt werden Sollwertvorgaben zentral verwaltet um die einzelnen Projekten optimal steuern zu können.

Mittels projektübergreifender Archive im Integrationsprojekt können die Daten der Unterprojekte an einer zentralen Stelle gesammelt werden.

Es ist möglich, Variablen aus Unterprojekten im Integrationsprojekt zu verwenden.

Nähere Informationen zum Projektbezüge ersetzen finden Sie im Abschnitt Projektbezüge ersetzen.

attention Achtung

Benennung von Schablonen: Vermeiden Sie gleiche Namen für Schablonen in Integrations- und Unterprojekten. Denn:

  • Ist eine Schablone mit gleichem Namen bereits geöffnet, so wird diese zum Aufschalten des Bildes verwendet - unabhängig von ihrer Projektzugehörigkeit.
  • Falls noch keine Schablone mit passendem Namen geöffnet ist, wird jene aus dem Projekt des Bildes verwendet.

Dateipfade

Subprojekte, die beim Erstellen am gleichen Ordnerknoten wie das Integrationsprojekt, liegen, verwenden immer dieselbe Struktur wie das Integrationsprojekt. Jedes Unterprojekt wird in der project.ini mit relativem Pfad zum Integrationsprojekt eingetragen. Wird der Runtime-Pfad für das Integrationsprojekt verändert, ändern sich auch die Pfade für die Subprojekte. Damit ist sicher gestellt, dass die Runtime die nötigen Pfade findet.

Hinweis: Mehr Informationen über dieses Thema finden Sie im Handbuch Netzwerk im Kapitel Das Integrationsprojekt.

Noch in diesem Kapitel

Kopieren der Unterprojekte

Bedienberechtigung


Kopieren der Unterprojekte

Handbuch > Projektverwaltung und Arbeitsbereich > Integrationsprojekt > Kopieren der Unterprojekte

Um zu verhindern, dass nach Kopieren der Unterprojekte die Verknüpfungen des Integrationsprojekt auf die falschen Unterprojekte verweisen, bietet zenon die Möglichkeit Projektbezüge zu ersetzen oder den kompletten Arbeitsbereich zu kopieren.

Auch ohne eine Kopie vom Integrationsprojekt erstellen zu müssen, können die Verknüpfungen vom Integrationsprojekt zum Unterprojekt gezielt durch die Verknüpfungen mit einer Kopie eines Unterprojektes ersetzt werden.

Noch in diesem Kapitel

Kopieren des kompletten Arbeitsbereiches


Kopieren des kompletten Arbeitsbereiches

Handbuch > Projektverwaltung und Arbeitsbereich > Integrationsprojekt > Kopieren der Unterprojekte > Kopieren des kompletten Arbeitsbereiches

Es wird vom kompletten Arbeitsbereich eine Kopie erstellt. Für jedes Projekt wird ein „Speichern unter“ durchgeführt und es entsteht eine neue GUID. Die Projekte behalten aber ihren Originalnamen. Der Arbeitsbereich wird automatisch mit den neuen Projekten geladen. Bei dieser Lösung wird das gesamte Integrationsprojekt nach Variablen- und Funktionsverknüpfungen durchsucht, die auf andere Projekte zeigen. In diese Verknüpfungen wird die GUID des Originalprojektes durch die des kopierten Unterprojektes ausgetauscht. Mit dieser Lösung kann das Unterprojekt angepasst werden und mit dem „fertigen“ Integrationsprojekt sofort zum Einsatz kommen.


Bedienberechtigung

Handbuch > Projektverwaltung und Arbeitsbereich > Integrationsprojekt > Bedienberechtigung

Bedienberechtigungen können in zenon für Projekte im Netzwerk und für Integrationsprojekte ohne Netzwerk realisiert werden.

Bedienberechtigung bedeutet, dass der Benutzer aktiv in den Prozess eingreifen kann, um z.B Werte abzusetzen. Auch wenn das Intergrationsprojekt selbst kein Netzwerkprojekt ist, aber Netzwerkprojekte beinhaltet, haben Sie die Möglichkeit, die Bedienung des Projekts einheitlich auf jeweils nur einer Station zuzulassen.

Bedienberechtigung im Netzwerk

Die Bedienberechtigung in Netzwerk wird über zenon Funktionen auf jeweiligen Rechner freigegeben bzw. gesperrt. Um die Bedienberechtigung im Netzwerk zu nutzen:

  1. Navigieren Sie in den Projekt-Eigenschaften zur Gruppe Netzwerk.
  2. Wählen Sie in der Dropdownliste der Eigenschaft Bedienberechtigung im Netzwerk die Art der Bedienberechtigung (Global oder via Anlagenmodell).
  3. Legen Sie den Timeout für Abfrage [s] fest:
  4. Legen Sie den Timeout für Bedienberechtigung [s] fest:

    Achtung: Wählen Sie den Zeitraum kürzer als den Netzwerk-Timeout in der Eigenschaft Timeout [s].

  5. Legen Sie die Funktionen von Typ Bedienberechtigung im Netzwerk an, um sich die Bedienberechtigung zu holen oder diese freizugeben.

Details siehe Kapitel Bedienberechtigung im Netzwerk im Handbuch Netzwerk.

Bedienberechtigung im Integrationsprojekt

Auch in einem Projekt ohne Netzwerk können Sie die Bedienberechtigung freigeben oder sperren. Dies geschieht über eine lokale Variable, die beim Wert 0 die Bedienberechtigung freigibt und bei einem Wert ungleich 0 sperrt.

Um Bedienberechtigungen in einem Integrationsprojekt zu nutzen:

  1. Legen Sie im Projekt eine binäre, lokale Variable von Intern Treiber an.
  2. Verknüpfen Sie in den Projekteigenschaften der Gruppe Interaktion in der Eigenschaft Bediensperre diese interne Variable.
  3. Bestimmen Sie den Wert der Variablen für die Bediensperre lokal.
    Dafür haben Sie folgende Möglichkeiten:
    • Funktion Sollwert setzen:
      Aktualisieren Sie den Wert der Variablen über Funktionen vom Typ Sollwert setzen, die mit Grenzwerten der Systemvariable: [Netzwerk] Bedienberechtigung vorhanden des Unterprojekts verknüpft sind.
    • API.
    • Aktivieren Sie für die Variable die Eigenschaft Extern sichtbar und aktualisieren Sie ihren Wert über zenon Logic.

Variablenwert:

  • >0: Keine Bedienberechtigung vorhanden:
    Die Runtime reagiert ähnlich wie in einem Netzwerkprojekt, wenn die Bedienberechtigung nicht vorhanden ist.
  • 0: Bedienberechtigung vorhanden:
    Die Runtime reagiert ähnlich wie in einem Netzwerkprojekt, wenn die Bedienberechtigung vorhanden ist.

attention Achtung

Unterschied zur Funktion Bedienberechtigung im Netzwerk:

Bei aktivierter Bediensperre über die interne Variable wird der Versuch, einen Prozesswert abzusetzen, ignoriert. Es werden dabei keine entsprechenden Hinweise für den Benutzer ausgegeben.

Während der Bediensperre sind nicht alle Variablen gesperrt. Die Variablen, die auf dem Rechner lokal sind, bleiben bedienbar. Für Variablen des Internen Treibers gilt:

  • Interne Variablen mit Einstellung Lokal für die Eigenschaft Berechnung bleiben immer bedienbar, sowohl in Projekten mit Netzwerk als auch in Projekten ohne Netzwerk.
  • Interne Variablen mit Einstellung Netzwerk, die aus einem Projekt ohne Netzwerk stammen, sind auch immer bedienbar. Denn die Einstellung für die Eigenschaft Berechnung ohne Netzwerk hat hier keine Auswirkung.

In einen Netzwerkprojekt sind die internen Variablen mit der Berechnung Netzwerk - so wie die Prozessvariablen - nur abhängig von der Bedienberechtigung bedienbar. Im Detail:

  • Die Variable für die Bediensperre sperrt die Bedienelemente des eigenen Projekts. Es ist keine Eingabe möglich. Wenn die Bedienung über Bildelemente eines anderen Projekts stattfindet, verhindert die Bediensperre das finale Absetzen des Wertes.
  • Die Funktion Bedienberechtigung im Netzwerk sperrt die Variablen. Weitere Informationen finden Sie im Handbuch Netzwerk im Kapitel Bedienberechtigung zur Runtime.

Beispiel: Das Integrations-Projekt ist nicht gesperrt, das Unterprojekt ist gesperrt. Wurde die Variable des Unterprojekts mit einen Bildelement des Intergrationsprojektes verknüpft, dann kann der Benutzer den Dialog im I-Projekt zwar öffnen, jedoch wird der editierte Wert dann nicht übernommen.


Globalprojekt

Handbuch > Projektverwaltung und Arbeitsbereich > Globalprojekt

Unter einem Globalprojekt versteht man ein Projekt, das selbst nicht an den Prozess gekoppelt ist.

info Info

Pro Arbeitsbereich kann nur ein Globalprojekt angelegt und genutzt werden.

Das Globalprojekt verfügt über eine Reihe von Modulen, die allen Projekten im Arbeitsbereich zur Verfügung stehen. Sind Objekte sowohl im Globalprojekt als auch im Lokalprojekt vorhanden, haben die Elemente im Lokalprojekt Vorrang.

Modul

Beschreibung

Variablen -> Alarm

Gruppierung der Alarme in Gruppen, Klassen und Bereiche.

Schablonen

Im Lokalprojekt nicht vorhandene Schablonen werden vom Globalprojekt übernommen. Als Kennung dient der Name.

Stile

Stile ermöglichen es, im Editor grafische Eigenschaften von Bildelementen:

im Rahmen von Stilgruppen zu extrahieren

in Stilgruppen zu verwalten

anderen Elementen zuzuweisen

Stile werden immer im Globalprojekt verwaltet.

Schriftlisten

Eine lokal nicht vorhandene Schriftliste wird aus dem Globalprojekt übernommen. Als Kennung dient der Name. Beachten Sie die Konsequenzen gleicher Namen in Global- und Lokalprojekt.

Farbpaletten

Alle Paletten eines Projektes enthalten immer gleich viele Farben, die Anzahl der Farben kann also zwischen Globalprojekt und lokalem Projekt differieren.

Achtung: Bei Konflikten zur Runtime haben die Farbpaletten des lokalen Projektes Vorrang.

Symbolbibliothek

Symbole sind für alle Projekte des Arbeitsbereichs verfügbar.

Benennung beim Verknüpfen im Bild: Globalprojekt_[Symbolname]

Hinweis: Direktes Kopieren von der Symbolbibliothek in die Symbolbibliothek im Projekt oder das Kopieren vom Projekt oder Globalprojekt in die Allgemeine Symbolbibliothek ist nicht möglich.

Sprachdatei

Sprachdateien werden in Sprachtabellen verwaltet und mit dem Dateinamen und Schlüsselwörtern zusammengeführt. Im Lokalprojekt nicht vorhandene Schlüsselwörter werden aus dem Globalprojekt übernommen.

Benutzerverwaltung

Benutzer werden über die Kennung zusammengeführt. Lokal nicht vorhandene Benutzer werden aus dem Globalprojekt übernommen.

Achtung: Benutzer aus dem Global Projekt werden zwar in der Runtime in allen Unter-Projekten angezeigt, können aber nicht über die Runtime Benutzerverwaltung geändert werden.

Dateien

Im Lokalprojekt nicht vorhandene Dateien werden aus dem Globalprojekt übernommen.

Änderungshistorie

Dokumentiert alle Änderungen im Globalprojekt.

Anlagenmodellierung

Bildet alle Ebenen eiens Unternehmens entsprechend ISA S88 und S95 ab. Wird im Globalprojekt erstellt und in den Lokalprojekten verwendet.

Projektsicherungen

Für Sicherung des Globalprojekts.

info Info

Es ist nicht möglich, den VBA Editor im Globalprojekt zu öffnen.


Projektierung des Projektfilters

Handbuch > Projektverwaltung und Arbeitsbereich > Projektierung des Projektfilters

Die Verwendung eines Projektfilters wird in vielen Funktionen genutzt (Bildumschaltung, Export, Drucken, etc.). Er ermöglicht in in der Mehrprojektverwaltung die Auswahl einzelner Projekte.

attention Achtung

Dieser Filter steht nur zur Verfügung, wenn in einem Integrationsprojekt mehrere Projekte vorhanden sind.

Ausnahme: Bei der Filterkonfiguration für Faceplates wird der Projektfilter auch für Einzelprojekte angeboten.

Die Auswahl aus dem Integrationsprojekt und allen Unterprojekten erfolgt per Multiselect durch Halten der Steuerung-Taste und Mausklick auf die gewünschten Projekte.


Konfiguration

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration

Die Konfiguration eines Projekts erfolgt über:

Parameter | Beschreibung
Allgemeine Konfiguration | Produkt lizenzieren Standard Systemsteuerung
Projekt Konfiguration | Projekt Alarm Verwaltung Chronologische Ereignisliste Bildschirmverwaltung Benutzerverwaltung Projektsicherung Projekt umbenennen Projekt speichern unter...

Noch in diesem Kapitel

Standard

Projektverwaltung


Standard

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Standard

Bei der Anwahl des Menüpunktes Datei/Standard Konfiguration/Standard sind Einstellungen ohne Projektbezug für folgende Eigenschaften möglich:

Parameter | Beschreibung
Drucker | globale Druckereinstellungen für alle Projekte der Datenbank
Verzeichnisse | Definitionen für neuanzulegende Projekte

Noch in diesem Kapitel

Drucker

Ordner allgemein


Drucker

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Standard > Drucker

Für den Ausdruck können verschiedene Drucker konfiguriert werden.

Drucker zuordnen

Drucker können für die folgenden Aufgaben zugeordnet werden:

Parameter | Beschreibung
für Online-Drucken AML oder CEL | Online-Drucker für Alarmmeldeliste oder Chronologische Ereignisliste zur Runtime. Auswahl ob AML oder CEL in den Projekteigenschaften in der Gruppe AML und CEL oder über die Dateien ALAR.FRM oder BTB.FRM.
für Offline-Drucken AML oder CEL | Offline-Drucker für Alarmmeldeliste oder Chronologische Ereignisliste über Button Drucken im jeweiligen Bild. Formatkonfiguration über die Dateien ALAR_G.FRM oder BTB_G.FRM.
für auszugebende Werte und Protokolle | Drucker für Reports und wenn die Funktion Aktuellen Wert drucken (Ausgabe der aktuellen Werte und Tabellen) gewählt wurde.
für Screenshots | Drucker für Screenshots.
für Notizbuch | Drucker für allgemeine Listen.

Um einen Drucker auszuwählen:

  1. Klicken Sie in die Dropdownliste.

    Alle am Rechner installierten Drucker werden zur Auswahl angeboten.

Um die Seiteneinstellungen zu konfigurieren:

  1. Klicken Sie auf die Schaltfläche ... neben dem Drucker.

    Der Dialog zur Seiteneinrichtung wird geöffnet.

Drucker einrichten

Drucker

Parameter | Beschreibung
Drucker | Einstellungen für den Drucker.
Name: | Auswahl des Druckers aus Dropdownliste. Liste enthält alle im Betriebssystem konfigurierten Drucker.
Eigenschaften... | Öffnet Dialog zur Konfiguration des gewählten Druckers.
Status: | Anzeige Druckerstatus. Nur Information.
Typ: | Anzeige Druckertyp. Nur Information
Standort: | Anzeige Standort des Druckers, falls konfiguriert. Nur Information.
Kommentar: | Anzeige Kommentar zum Drucker, falls konfiguriert. Nur Information.

Papier

Parameter | Beschreibung
Papier | Konfiguration des Ausdrucks.
Größe | Auswahl Papierformat aus Dropdownliste.
Quelle | Wahl der Papierzufuhr aus Dropdownliste.

Ausrichtung

Parameter

Beschreibung

Ausrichtung

Wahl der Papierausrichtung. Mögliche Parameter:

  • Hochformat
  • Querformat

Netzwerk

Öffnet Dialog zur Auswahl eines Druckers im Netzwerk.

OK

Übernimmt Konfiguration und schließt Dialog. Zur Runtime wird damit der Druck gestartet.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Zur Runtime wird damit auch der Ausdruck abgebrochen.

info Info

Für unterschiedliche Druckerschnittstellen sind gleiche Drucker mit unterschiedlichen Parametern verwendbar.

Druck unter Windows CE

Unter Windows CE steht kein Druckerspooler zur Verfügung. Der Ausdruck findet im Prozess statt. Damit blockiert der Ausdruck auch die Funktion der Runtime.
Unter Windows CE steht die Funktionalität des Druckens nur zur Verfügung, wenn sie im CE Image bereits enthalten ist. Sie kann weder nachgerüstet, noch auf weitere Drucker erweitert werden.

Beim Drucken gilt unter Windows CE:

  • Online-Druck:
    Es wird immer direkt auf LPT1 gedruckt. Dieser Port muss auf dem CE Gerät vorhanden sein und ein Zeilendrucker muss angeschlossen sein.
  • Offline-Druck:
    Es wird immer auf dem am System konfigurierten Standarddrucker ausgedruckt.
    Der Drucker kann von der zenon Runtime aus nicht konfiguriert und nicht umgeschaltet werden.

Hinweis: Damit der Offline-Druck unter Windows CE funktioniert, muss der Hersteller des Geräts das im Windows CE Image bereitstellen. Außerdem muss eine Möglichkeit vorhanden sein, den Standarddrucker festzulegen, zum Beispiel über Anwendungen wie Pocketword oder Notepad CE.


Ordner allgemein

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Standard > Ordner allgemein

In der Registerkarte Ordner werden die Standard-Dateipfade für die unten angeführten Kategorien definiert. Klick auf die Schaltfläche ... öffnet Explorer zum Definieren des Speicherorts für die gewählte Dateiart. Die hier definierten Speicherorte werden bei neuen Projekten als Standardordner übernommen und können in den Projekteigenschaften über die Option Dateiablage geändert werden. Die Speicherorte werden relativ zum Runtime-Ordner angelegt.

Parameter | Beschreibung
Grafiken | Grafikdateien Default: \Graphics
Exportierte Dateien | Pfad für exportierte Archive, Reports, chronologische Ereignisliste, Alarmmeldeliste. Default: \Export
Zuordnungen | Pfad für Zuordnungen. Default: \Allocation
Rückleseordner für Archive | Ordner für das Rücklesen von Archiv-Backup-Dateien. Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen. Default: \ArxReadBack
Ausgelagerte Archive | Ordner, in dem ausgelagerte Archive gespeichert werden. Default: \ExportArv
Online Hilfe | Ordner für Online-Hilfe. Default: \ONLINE_HELP


Projektverwaltung

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Projektverwaltung

In den Projekteigenschaften werden alle Details eines Projekts konfiguriert. Um die Eigenschaften konfigurieren zu können, muss:

  • das Projekt im Projektbaum markiert sein
  • das Eigenschaften-Fenster eingeblendet sein.
    Das Eigenschaften-Fenster kann eingeblendet werden:
    • via Kontextmenü des Projekts
      (Kontextmenüeintrag Projekt, Eintrag Eigenschaften...)
    • via Editor-Einstellungen
      (Menü Ansicht, Eintrag Eigenschaftenfenster)

info Info

Damit der Pfad für den Runtime-Ordner bei einem Mehrplatzfähigen Projekt in untergeordneten Projekten geändert werden kann, muss das übergeordnete Projekt für Änderungen freigegeben sein.

Noch in diesem Kapitel

Projektinfo

Ordner projektbezogen

Grafikqualität

Zur Runtime änderbare Dateien


Projektinfo

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Projektverwaltung > Projektinfo

Folgende Informationen über das Projekt können eingegeben werden:

Parameter | Beschreibung
Autor | Autor des Projekts
Manager | Manager des Projekts
Firma | Firma für das Projekt
Kommentar | Freier Kommentar für das Projekt


Ordner projektbezogen

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Projektverwaltung > Ordner projektbezogen

Mit Auswahl der Eigenschaft Dateiablage in den Projekteigenschaften Allgemein wird der Dialog zum Definieren der Speicherorte geöffnete. Die darin bereits enthaltenen Orte wurden aus den allgemeinen Einstellungen für Ordner übernommen. Klick auf die Schaltfläche ... öffnet Explorer zum Definieren des Speicherorts für die gewählte Dateiart. Die Speicherorte werden relativ zum Runtime-Ordner angelegt.

Parameter | Beschreibung
Grafiken | Grafikdateien Default: \Graphics
Exportierte Dateien | Pfad für exportierte Archive, Reports, chronologische Ereignisliste, Alarmmeldeliste. Default: \Export
Zuordnungen | Pfad für Zuordnungen. Default: \Allocation
Rückleseordner für Archive | Ordner für das Rücklesen von Archiv-Backup-Dateien. Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen. Default: \ArxReadBack
Ausgelagerte Archive | Ordner, in dem ausgelagerte Archive gespeichert werden. Default: \ExportArv
Online Hilfe | Ordner für Online-Hilfe. Default: \ONLINE_HELP


Grafikqualität

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Projektverwaltung > Grafikqualität

In zenon kann die Qualität der dargestellten Grafik auf die Ressourcen des Systems abgestimmt werden. Die Einstellung erfolgt über die Projekteigenschaft Grafikqualität in der Gruppe Grafische Ausprägung. Diese Einstellungen wirken sich nur auf die Runtime aus. Im Editor wird immer DirectX verwendet.

Folgende Einstellungen sind möglich:

  • Windows Basis: Grundlegende Grafikeigenschaften. Für ressourcenschwache Hardware empfohlen.
  • DirectX Software: Grafikberechnungen werden von der CPU erledigt. Es können, abhängig von den darzustellenden Grafiken, mehrere CPUs verwendet werden. Die Verwendung von DirectX Software kann eine hohe Auslastung der CPU erzeugen.
  • DirectX Hardware: Ein Teil der Grafikberechnungen wird auf die Grafikkarte ausgelagert, wodurch die Performance gesteigert werden kann. Wird diese Einstellung vom verwendeten System nicht unterstützt, schaltet zenon automatisch auf DirectX Software um. Prinzipiell ist DirectX Hardware zu bevorzugen und DirectX Software nur zu verwenden, wenn unbedingt nötig.

attention Achtung
  • DirectX steht unter Windows CE nicht zur Verfügung.
  • DirectX kann für OCX nicht verwendet werden.

DirectX

DirectX ermöglicht eine höhere Grafikqualität als Windows Basis.

Um DirectX verwenden zu können, müssen einige Voraussetzungen erfüllt werden:

Voraussetzung

Erklärung

DirectX Hardware oder DirectX Software muss aktiviert sein.

In den Projekteigenschaften muss für die Eigenschaft Grafische Ausprägung DirectX Hardware oder DirectX Software gewählt werden.

Das Betriebssystem muss DirectX 11.1 unterstützen.

DirectX Hardware und DirectX Software funktionieren nur auf Betriebssystemen mit DirectX 11.1 - Unterstützung.

Wenn das System DirectX 11.1 nicht unterstützt, wird automatisch auf Windows Basis umgeschaltet.

Die aktuelle DirectX-Runtime muss installiert sein. Diese wird für zenon mit dem Setup mit installiert. Für den zenon Web Client muss sie manuell installiert werden.

Das Bild oder Element müssen DirectX unterstützen.

Nur unterstützte Elemente oder Bilder können mit DirectX dargestellt werden.

Bei DirectX Hardware müssen die Mindestvoraussetzungen erfüllt werden.

Details zu den Mindestvoraussetzungen siehe Kapitel Systemvoraussetzungen bei Verwendung von DirectX. Werden diese nicht erfüllt, wird automatisch auf DirectX Software umgeschaltet.

Steht vom Betriebssystem keine Hardwarebeschleunigung zur Verfügung (zum Beispiel bei Remote Desktop), kann DirectX Hardware eventuell nicht verwendet werden.

DirectX 11.1

Für die Verwendung von DirectX 11.1 gilt für das Betriebssystem:

  • Windows 8 und höher:
    DirectX 11.1 steht nativ zur Verfügung.
  • Windows 7 SP1 und Server 2008 R2 SP1:
    Ein Windows Service Pack muss installiert sein.
  • Windows 7 und Server 2008 R2 ohne Service Pack und niedriger:
    DirectX 11.1 kann nicht verwendet werden.

Service Pack für Windows 7 SP1 und Server 2008 R2 SP1 installieren

Um das Service Pack zu installieren:

  1. Laden Sie von der Microsoft Support Seite das Plattform Update KB2670838 herunter.
  2. Wählen Sie die Version, die Ihrem Betriebssystem entspricht:
    • 32-Bit
    • 64-Bit
  3. Führen Sie die entsprechende Installationsdatei aus.

Hinweis: Dies betrifft ausschließlich Windows 7 SP1 und Server 2008 R2 SP1. Auf neueren Versionen ist DirectX 11.1 bereits vorhanden. Auf älteren Versionen kann das Update nicht installiert werden.

Noch in diesem Kapitel

DirectX: Fehlerbehandlung


DirectX: Fehlerbehandlung

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Projektverwaltung > Grafikqualität > DirectX: Fehlerbehandlung

Fehler werden im Diagnosis Viewer ausgegeben.

DirectX wird nicht initialisiert

Kann DirectX beim Aufschalten eines Bildes oder im laufenden Betrieb nicht initialisiert werden, dann wird versucht, DirectX neu zu initialisieren. Während dieses Vorgangs laufen zenon Editor und Runtime normal weiter. Sie können in dieser Zeit versuchen, das Problem zu beheben. Mögliche Ursachen und Lösungen können mit dem Diagnosis Viewer herausgefunden werden.

Während der Neuinitialisierung erscheint eine Fortschrittsanzeige. Um die Neuinitialisierung abzubrechen:

  1. Klicken Sie auf den Button Abbrechen.
  2. Bestätigen Sie die Fehlermeldung, die Ihnen angezeigt wird.
  3. Je nachdem, wo Sie den Vorgang abgebrochen haben, wird entweder der Editor oder die Runtime beendet.

Hinweis: Fehler, die ein Reinitialisieren von DirectX unmöglich machen, werden durch eine Fehlermeldung bekannt gegeben.

Diagnosis Viewer

DirectX stellt im Diagnosis Viewer individuelle Nachrichten bereit, mit jeweils:

  • einer Fehlermeldung,
  • möglichen Gründen für den Fehler,
  • Fehlercodes.

Die Ausgabe erfolgt in einem eigenen Modul DirectX. Bei Fehlern wird der Fehlertext im Textfeld Error ausgegeben, bei Warnungen und Debug-Hinweisen wird die entsprechende Meldung im Textfeld General ausgegeben:

  • Für das erfolgreiche Aufschalten eines Bildes wird mindestens eine DEBUG-Erfolgsmeldung ausgegeben.
  • Warnungen weisen auf Ereignisse hin, die den Betrieb beeinflussen können.
  • Tritt ein nicht behebbarer Fehler auf, wird eine Fehlermeldung (Error) ausgegeben.

info Info

Wird eine Meldung in einem Report im Diagnosis Viewer nicht komplett angezeigt, öffnen Sie den Eintrag durch einen Doppelklick, um die gesamte Meldung anzuzeigen.

Checkliste für Fehlerüberprüfung

Eine Überprüfung, ob DirectX funktioniert, kann durch das Aktivieren der Debug-Meldungen im Diagnosis Viewer durchgeführt werden. Bei erfolgreicher Überprüfung kommt eine entsprechende Meldung.

  • Kommen DirectX-spezifische Warnungen oder Fehlermeldungen im Diagnosis Viewer?
  • Ist in der Projekteigenschaft Grafikqualität DirectX Hardware oder DirectX Software eingestellt?
  • Werden die Mindestvoraussetzungen für DirectX erfüllt? Details zu den Mindestvoraussetzungen siehe Kapitel Systemvoraussetzungen bei Verwendung von DirectX.
  • Wird DirectX vom Bild oder Element unterstützt?
  • Funktioniert die Darstellung mit Windows Basis korrekt?
  • Funktioniert die Darstellung mit einem anderen Treiber korrekt?
  • Funktioniert die Darstellung mit einer Grafikkarte eines anderen Herstellers korrekt?


Zur Runtime änderbare Dateien

Handbuch > Projektverwaltung und Arbeitsbereich > Konfiguration > Projektverwaltung > Zur Runtime änderbare Dateien

In zenon gib es eine Reihe von Daten, die sowohl im Editor als auch in der Runtime geändert werden können. Es sind dies Dateien für:

  • Rezeptgruppen-Manager
  • Standard-Rezepte
  • Benutzerverwaltung
  • Scheduler

Runtime-Dateien vor überschreiben schützen

Werden Runtime-Dateien neu übertragen, überschreibt dieser Vorgang auch in der Runtime geänderten Dateien. Um ein Überschreiben von Inhalten der laufenden Runtime zu verhindern, können Modulinhalte von einer Übertragung zur Runtime ausgenommen werden. Aktivieren Sie dazu im Dialog der Eigenschaft Zur Runtime änderbare Daten (Projekteigenschaftengruppe Allgemein) in der Spalte Nicht neu erzeugen und übertragen jene Projektierungsinhalte, deren Dateien nicht neu erzeugt oder zur Runtime übertragen werden.

Editor-Dateien vor überschreiben schützen

In der Runtime geänderte Daten können wieder zurück gelesen werden. Dabei werden die entsprechenden Editor Daten überschrieben. Um ein ungewolltes Überschreiben zu verhindern kann hier unter Nicht dekompillieren ausgewählt werden, welche Dateien nicht zurück gelesen werden sollten.

Dialog Zur Runtime änderbare Dateien

Den Dialog zur Konfiguration der Runtime änderbaren Dateien erreichen Sie über die Projekteigenschaften Allgemein/Zur Runtime änderbare Daten:

Folgende Dateitypen sind auswählbar:

Parameter | Beschreibung
Rezeptgruppen-Manager | Rezeptgruppen und Rezepte des Rezeptgruppen-Managers. Bei der Übertragung werden neue Dateien übertragen und neue Unterordner angelegt, gelöschte Dateien und Unterordner auch auf dem Zielsystem gelöscht.
Standard-Rezepte | Standard-Rezepte.
Benutzerverwaltung | Benutzerverwaltung für Login und Rechteverwaltung zur Runtime.
Scheduler | Änderungen in den Zeitmodellen und Fahrplänen des PFS.

attention Achtung

Achten Sie bei der Projektkonvertierung darauf, Runtime änderbare Dateien ebenfalls zu konvertieren. Runtime-Dateien müssen dazu in die Ausgangsversion des Editors importiert werden und nach dem Update wieder in die Runtime zurückgespielt werden. Details siehe Kapitel Empfohlene Vorgangsweise Runtime-Dateien konvertieren im Handbuch Projektkonvertierung.

Übertragung der Dateien

Zur Runtime

Um Dateien zur Runtime zu übertragen können:

  1. alle Dateien übertragen werden
  2. nur geänderte Dateien übertragen werden

Beide Wege berücksichtigen die in Zur Runtime änderbare Daten definierten Dateien.

Von der Runtime

Um Dateien von der Runtime einzulesen, stehen zwei Verfahren zur Verfügung:

  1. Alle Runtime-Dateien zurücklesen:
    1. liest alle Runtime-Dateien in den Ordner, der in der Eigenschaft Runtime-Ordner definiert wurde, ein
    2. unabhängig von den Einstellungen der Eigenschaft Zur Runtime änderbare Daten
  2. Runtime-Dateien importieren:
    1. importiert die in der Eigenschaft Zur Runtime änderbare Daten definierten Dateien und
    2. ersetzt die Projektierung im Editor durch diese Runtime-Dateien
    3. eignet sich, um Daten von einem Remote-System in den Editor zu übernehmen

Verbindungsfehler

Bei der Übertragung werden vorhandene Dateien entsprechend den Einstellungen überschrieben.

Treten bei der Übertragung von der oder zur Runtime Fehler auf oder reißt die Verbindung ab, müssen die Dateien komplett neu übertragen werden.


Querverweise

Handbuch > Querverweise

Querverweise ermöglichen einen Überblick darüber, welche Module und Funktion wie verknüpft sind.
zenon stellt dafür zwei Instrumente zur Verfügung:

  • Querverweisliste: Zeigt Verknüpfungen im Projekt tabellarische an. Die Querverweisliste bezieht sich immer auf das gerade aktive Projekt.
  • Projektanalyse: Analysiert die Verwendung von Funktion und Variablen und findet nicht Verwendete Funktionen oder Variablen.

Noch in diesem Kapitel

Querverweisliste

Projektanalyse


Querverweisliste

Handbuch > Querverweise > Querverweisliste

Die Querverweisliste erstellt eine tabellarische Projektübersicht für das gerade aktive Projekt.
Sämtliche Beziehungen zwischen Variablen, Funktionen, Bildern, Rezepturen usw. werden für Dokumentation und Rückverfolgung dargestellt. Die Querverweisliste gibt z. B. Aufschluss darüber, welche Variablen in welchen Bildern verwendet werden.

Noch in diesem Kapitel

Allgemein

Das Kontextmenü


Allgemein

Handbuch > Querverweise > Querverweisliste > Allgemein

Um die Querverweisliste (QVL) anzuzeigen, klicken Sie im Menü Ansicht auf den Eintrag Querverweisliste. Die Querverweisliste wird geöffnet.

Um Informationen über bestimmte Module zu erhalten, erweitern Sie den entsprechenden Knoten. Zur Verfügung stehen:

Modul

Anzeigbare Elemente

Archivserver
  • Funktionen
  • Variablen

Bilder
  • Elemente
  • Menüs
  • Symbole: In zenon stehen 3 verschiedene Symbolbibliotheken zur Verfügung. (Details siehe Kapitel Symbolbibliotheken.)
  • Variablen

Elemente
  • Bilder
  • Variablen

Erweiterter Trend
  • Funktionen

Funktionen

  • Archivserver
  • Automatische Funktionsausführung
  • Bilder
  • Bitmap Button
  • Button
  • Menüs
  • PFS
  • Reaktionsmatrix
  • Skripte
  • Unsichtbarer Button
  • Variablengrenzwerte
  • Zeitsteuerung

Menüs
  • Bilder
  • Funktionen
  • Variablen

PFS
  • Funktionen
  • Variablen

Reaktionsmatrix
  • Funktionen
  • Variablen

Rezeptgruppenmanager
  • Rezeptgruppen
  • Variablen

SAP-Interface
  • Funktionen
  • Variablen

Skripte
  • Funktionen

Standard-Rezepte
  • Variablen

Symbole
  • Bilder
  • Symbole: Symbole: In zenon stehen 3 verschiedene Symbolbibliotheken zur Verfügung. (Details siehe Kapitel Symbolbibliotheken.)

Variablen
  • Archivserver
  • Bilder
  • Elemente
  • Erweiterter Trend
  • Mathematik
  • Menüs
  • PFS
  • Reaktionsmatrix
  • Rezeptgruppenmanager
  • Standard-Rezepte
  • Zuweisungen

Zeitsteuerung
  • Funktionen

Zuweisungen
  • Variablen

Nach einem Klick auf eines der angebotenen Objekte werden die Informationen rechts in der Liste dargestellt.

Die Informationen zum ausgewählten Objekt werden in der Liste dargestellt. Der Inhalt kann sortiert und gefiltert werden.

  • Sortierung: Klick auf den Spaltenkopf sortiert die Spalte, zweiter Klick invertiert die Sortierung.
  • Filter: Geben Sie das Suchkriterium in die Filterbox im Spaltenkopf ein. Mehrere Filter können verkettet werden.
    Um den Filter aufzuheben: Löschen Sie den Inhalt der Filterbox.

Noch in diesem Kapitel

Symbolbibliotheken


Symbolbibliotheken

Handbuch > Querverweise > Querverweisliste > Allgemein > Symbolbibliotheken

Beachten Sie beim Umgang mit Symbolbibliotheken, dass zenon drei verschiedene Symbolbibliotheken unterscheidet:

Symbolbibliothek

Eigenschaft

Allgemeine Symbolbibliothek

Symbole sind in allen Projekten verfügbar. Der Knoten Allgemeine Symbolbibliothek befindet sich im Projektmanager unterhalb der aktuell geladenen Projekte.

Benennung beim Verknüpfen im Bild: [Symbolgruppe]/[Symbolname]

Regeln:

  • Der Variablenauswahldialog bietet alle Projekte des Arbeitsbereichs zur Verknüpfung an.
  • Diese Symbole werden im zenon Programmordner gespeichert und nur beim Editorstart aktualisiert. Diese Symbole werden bei der Projektsicherung nicht gesichert.
  • Verriegelungen sowie Aliase für ALC können nicht projektiert werden.
    Achtung: Werden Symbole, die Verriegelungen oder Aliase enthalten, eingefügt, dann werden diese Einstellungen entfernt.

Symbolbibliothek im Globalprojekt

Symbole sind für alle Projekte des Arbeitsbereichs verfügbar.

Benennung beim Verknüpfen im Bild: Globalprojekt_[Symbolname]

Regeln:

  • Die in die Symbolbibliothek des Globalprojekts kopierten Symbole behalten ihre Variablenverknüpfungen ohne Änderungen bei.
  • Der Variablenwahldialog bietet alle Projekte des Arbeitsbereichs zur Verknüpfung an. Verknüpften Variablen wird der Name des jeweiligen Projekts vorangestellt.
  • Der Name der Variable kann im Eigenschaftenfenster angepasst werden. So kann z. B. das Präfix mit dem Projektursprung gelöscht werden.
  • Die Symbole werden bei einer Projektsicherung mitgesichert.
  • Verriegelungen sowie Aliase für ALC können nicht projektiert werden.
    Achtung: Werden Symbole, die Verriegelungen oder Aliase enthalten, eingefügt, dann werden diese Einstellungen entfernt.

Symbolbibliothek im Projekt

Symbole sind nur im aktuellen Projekt verfügbar.

Benennung beim Verknüpfen im Bild: [Symbolname]

Regeln:

  • Die Symbole werden im Projektordner gespeichert. Die Projekt-Symbolbibliothek befindet sich im aktuellen Projekt im Knoten Bilder und wird bei einer Projektsicherung mitgesichert.
  • Verriegelungen sowie Aliase für ALC können projektiert werden. Diese Eigenschaften bleiben auch beim Einfügen von Symbolen erhalten.

Kopieren von Symbolen zwischen Bibliotheken

Symbole können per Drag&Drop kopiert werden.
Dabei gilt:

  • Es können nur Symbole der ersten Ebene des Baums kopiert werden.
  • Gruppen und Ordner können nicht kopiert werden.
  • Sind Namen von Symbolen in der Zielbibliothek bereits vorhanden, werden die hinzugefügten Symbole automatisch umbenannt.
    Das Umbenennen erfolgt durch Hinzufügen einer Unterstrichs und einer Ordnungszahl, z.B.: Calibrator_1.
  • Das Kopieren zwischen den Bibliotheken ist nur eingeschränkt möglich.

Übersicht Kopieren per Drag&Drop zwischen Symbolbibliotheken:

Kopieren per Drag&Drop möglich | Allgemeine Symbolbibliothek | Symbolbibliothek im Globalprojekt | Symbolbibliothek im Projekt
Allgemeine Symbolbibliothek | -- | + | --
Symbolbibliothek im Globalprojekt | -- | -- | +
Symbolbibliothek im Projekt | -- | + | --

Legende:

  • +: kopieren möglich
  • --: kopieren nicht möglich


Das Kontextmenü

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü

Die Querverweisliste stellt eine Reihe von Funktionalitäten zur Verfügung:

  • Liste drucken: Druckt den Listenbereich der Querverweisliste mit den ausgewählten Informationen.
  • Suche Element in Liste: Öffnet einen Dialog zur Suche nach einem bestimmten Objekt.
  • Funktionsaufrufe: Öffnet einen Dialog mit einer Liste der definierten Funktionen.
  • Variablenverwendung: Öffnet einen Dialog mit einer Liste der definierten Variablen.
  • Nicht verwendete Variablen: Zeigt im Listenbereich alle nicht verwendeten Variablen an.
  • Nicht verwendete Funktionen: Zeigt im Listenbereich alle nicht verwendeten Funktionen an.
  • Nicht verwendete Schriften: Zeigt im Listenbereich alle nicht verwendeten Schriften an.
  • In Bildern verwendete Texte: Zeigt in Bildern verwendete Texte an.
  • Listenelemente auswählen: Öffnet eine Dialogbox zur Auswahl eines oder mehrerer Listenelemente.
  • Hilfe: Öffnet die Online-Hilfe.
  • Löschen: Löscht nicht verwendete Elemente (Variablen, Funktionen und Schriften).
    Wird nur angezeigt, wenn löschbare Elemente vorhanden sind.

Um eine der Funktionalitäten auszuführen:

  1. setzen Sie den Fokus auf das Listenfenster
  2. führen Sie einen Rechtsklick aus
  3. wählen Sie den gewünschten Befehl aus dem Kontextmenü

Noch in diesem Kapitel

Liste drucken

Suche Element in Liste

Funktionsaufrufe

Variablenverwendung

Nicht verwendete Variablen/Funktionen/Schriften

Listenelemente selektieren


Liste drucken

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü > Liste drucken

Die Auswahl des Befehls Liste drucken aus dem Kontextmenü öffnet den Standard-Dialog zur Auswahl eines Druckers und der Optionen für den Ausdruck.


Suche Element in Liste

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü > Suche Element in Liste

Die Auswahl des Befehls Suche Element in Liste aus dem Kontextmenü öffnet folgenden Dialog:

Parameter | Beschreibung
Suchen nach | Eingabe einer Zeichenfolge.
OK | Übernimmt Suchparameter und schließt den Dialog. Die erste Fundstelle in der Liste, die dem Suchbegriff entspricht, wird markiert. Es wird nach Übereinstimmung vom ersten Zeichen an gesucht. Beispiel: Elementname: Suche nach W findet Wizard_10. Suche nach Z findet das Element nicht.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktionsaufrufe

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü > Funktionsaufrufe

Die Auswahl des Befehls Funktionsaufrufe aus dem Kontextmenü öffnet folgende Dialogbox, in der alle definierten Funktionen des aktuellen Projekts aufgelistet sind:

Es kann ein Element ausgewählt werden. Klick auf OK zeigt das Element mit all seinen Verwendungen in der Querverweisliste an.


Variablenverwendung

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü > Variablenverwendung

Die Auswahl des Befehls Variablenverwendung aus dem Kontextmenü öffnet einen Dialog, der alle verwendeten Variablen enthält.

Es kann ein Element ausgewählt werden. Klick auf OK zeigt das Element mit all seinen Verwendungen in der Querverweisliste an.


Nicht verwendete Variablen/Funktionen/Schriften

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü > Nicht verwendete Variablen/Funktionen/Schriften

Werden Elemente, angezeigt, die im Projekt aktuell nicht verwendet werden, dann enthält das Kontextmenü einen zusätzlichen Menüeintrag Löschen. Damit können ausgewählte Elemente aus der Liste gelöscht werden. Das ist möglich für Variablen, Funktionen und Schriften.

attention Achtung

Die Anzeige nicht verwendeter Objekte bezieht sich auf interne Beziehungen. Die Verwendung in Symbolen, über die Programmierschnittstelle, im Process Gateway, in zenon Logic oder anderen externen Komponenten wird nicht berücksichtigt.

Überprüfen Sie vor dem Löschen immer mögliche andere Verwendung und legen Sie eine Sicherheitskopie an!

Hinweis: Nicht verwendete Variablen und Funktionen können auch über die Projektanalyse gelistet und verwaltet werden.


Listenelemente selektieren

Handbuch > Querverweise > Querverweisliste > Das Kontextmenü > Listenelemente selektieren

Die Auswahl des Befehls Listenelemente selektieren aus dem Kontextmenü öffnet einen Dialog zur Suche in der Liste:

Parameter

Beschreibung

von - bis

Aktiv: Es wird nach Elementen mit bestimmten Anfangsbuchstaben gesucht. Auswahl des Bereichs der Anfangsbuchstaben im Alphabet aus Dropdownlisten:

  • von: erster Buchstabe des Bereichs
  • bis: letzter Buchstabe des Bereichs

Es werden alle Elemente gefunden, deren erster Buchstabe sich im definierten Bereich befindet. Die Suchrichtung ist immer A->Z.

Alle Elemente beginnend mit ...

Aktiv: Es wird nach Elementen gesucht, die mit einer bestimmten Zeichenfolge beginnen.

OK

Übernimmt Suchregeln, schließt den Dialog und markiert die gefundenen Elemente in der Liste.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Projektanalyse

Handbuch > Querverweise > Projektanalyse

Die Projektanalyse analysiert die Verwendung von Elementen in einem Projekt.

Dabei kann:

  • die Verknüpfung mit anderen Elementen analysiert werden
  • nach nicht verwendeten Elementen gesucht werden

Die Projektanalyse steht aktuell zur Verfügung für:

  • Funktionen
  • Skripte
  • Variablen

Verwendung eines Elements analysieren

Um ein Element zu analysieren:

  1. Markieren Sie die gewünschte Variable, Funktion oder das entsprechende Skript in der Detailansicht.
  2. Wählen Sie im Kontextmenü den Befehl Variablenverwendung oder Funktionsverwendung oder Skriptverwendung.

    Die Ergebnisliste wird in einem eigenen Fenster aufgeschaltet.

  3. Über das Kontextmenü kann ein Element angesprungen werden.

Nicht verwendete Elemente finden

Um nicht verwendete Elemente zu finden:

  1. Markieren Sie den Knoten Variable oder Funktionen oder den Subknoten Skripte im Projektbaum.
    Hinweis: Den Subknoten Skripte finden Sie im Knoten Funktionen.
  2. Wählen Sie im Kontextmenü den Befehl Nicht verwendete Funktionen anzeigen oder Nicht verwendete Variablen anzeigen oder Nicht verwendete Skripte anzeigen.

    Die Ergebnisliste wird in einem eigenen Bild aufgeschaltet.

  3. Über das Kontextmenü kann direkt zu einem Element gesprungen werden. Ein ausgewähltes Element kann auch via Kontextmenü gelöscht werden.

attention Achtung

Folgende Elemente können von der Projektanalyse nicht gefunden werden:

  • Variablen, die ausschließlich in VBA oder VSTA verwendet werden
  • Variablen, die in Bildern vom Typ Report Generator verwendet werden (Reportfunktionen)

Vor dem Löschen von Elementen muss überprüft werden, ob zu löschende Variablen in VBA/VSTA oder in Reportfunktionen verwendet werden.

Noch in diesem Kapitel

Ergebnisliste


Ergebnisliste

Handbuch > Querverweise > Projektanalyse > Ergebnisliste

Die Ergebnisse der einzelnen Analysevorgänge werden in einem eigenen Fenster Projektanalyse als Liste angezeigt. Dieses Fenster öffnet sich, falls es noch nicht aktiv ist, automatisch nach dem Analysevorgang. Die Ergebnisse können auf zwei Arten genutzt werden:

  • Verwendung im Projekt analysieren: zu verknüpftem Element springen
  • nicht verwendete Elemente finden: zu angezeigtem Element springen oder angezeigtes Element löschen

Analyse Elementverwendung

Die Projektanalyse gibt ihre Ergebnis in einer Liste aus.

Diese beinhaltet:

  • Den Projektnamen
  • das Modul
  • den Namen des verknüpften Elements

Um zu einem angezeigten Element zu springen:

  1. markieren Sie das Element
  2. wählen Sie im Kontextmenü den Befehl Zu verknüpftem Element springen
  3. das verknüpfte Element wird in der Detailliste seines Modulknotens markiert

Nicht verwendete Elemente finden

Die Suche nach nicht verwendeten Elementen gibt ihre Ergebnis in einer Liste aus.

Diese beinhaltet:

  • Den Projektnamen
  • das Modul
  • den Namen des nicht verwendeten Elements

Zu Element springen

Um zu einem angezeigten Element zu springen:

  1. markieren Sie das Element
  2. wählen Sie im Kontextmenü den Befehl Zu verknüpftem Element springen
  3. das verknüpfte Element wird in der Detailliste seines Modulknotens markiert

Elemente löschen

Um ein oder mehrere Elemente zu löschen:

  1. markieren Sie die gewünschten Elemente (Multiselekt ist möglich)
  2. wählen Sie im Kontextmenü den Befehl Ausgewählte Elemente entfernen
  3. die Elemente werden nach einer Sicherheitsabfrage aus dem Projekt entfernt


Remote-Transport

Handbuch > Remote-Transport

Der Remote-Transport dient dazu, Runtime-Dateien auf ein Zielsystem zu transportieren. Informationen zum Sichern und Rücklesen von Editor-Dateien finden Sie im Kapitel Projektsicherungen.

Allgemeine Informationen

Wenn sich Runtime und Editor auf dem selben Rechner befinden, stehen die Runtime-Dateien der Runtime direkt zur Verfügung. Befindet sich die Runtime auf einem anderen Rechner, werden die Runtime-Dateien mit dem Remote-Transport übertragen, um sie dort lokal zur Verfügung zu stellen.

Mit dem Remote-Transport

  • werden nur die jeweils benötigten Dateien im Netzwerk übertragen
  • können auch beliebige andere Dateien transportieren werden (ActiveX Controls, Fonts, usw.)
  • kann der automatische Upload zu Server 1 und Server 2 veranlasst werden
  • können viele weitere Funktionalitäten genutzt werden

Tipp: Benutzen Sie die Ansicht Netzwerktopologie im Editor, um alle Runtime-Rechner und den Transport der Runtime-Dateien zu konfigurieren.

Hinweis: Beachten Sie bei Mehrprojektverwaltung die korrekte Übertragung der einzelnen Projekte.

attention Achtung

Bilddateien vom Typ PNG können nicht überschrieben werden, wenn sie aktuell in der Runtime angezeigt werden.

Hintergrund: Die Runtime sperrt geöffnete .png Dateien. Damit wird verhindert, dass diese überschrieben werden.

Lösung: Bevor der Remote-Transport angestoßen wird, muss sichergestellt sein, dass Bilder mit *.png Dateien:

  • nicht in der Runtime aufgeschaltet sind
  • nicht von einem anderen Programm benutzt werden

Dies gilt ebenso für das Nachladen der geänderten Runtime-Dateien. Der Runtime-Abgleich im Netzwerk schlägt für ein *.png Bild fehl, wenn dieses auf einem beteiligten zenon Rechner aufgeschalten ist (Standby Server, Client).

Funktionalitäten

Der Remote-Transport bietet über die reine Kopierfunktionalität hinaus auch noch eine Reihe weiterer Funktionalitäten:

Parameter | Beschreibung
Inkrementelles Kopieren | Der Editor erkennt automatisch, welche Dateien am Zielsystem sich von den zu übertragenden unterscheiden, und überträgt nur die geänderten.
Startprojekt setzen | Über den Remote-Transport kann das Startprojekt am Remote Rechner gesetzt werden.
Runtime starten und beenden | Die Runtime kann am entfernten Rechner gestartet und beendet werden.
Systemstatus übertragen | Der aktuelle Status des Remote PCs (Betriebssystem, zenon Version, vorhandene Laufwerke, usw.) kann abgefragt werden.
PC reboot | Ein PC kann remote neu gestartet werden.
Online Nachladen | Dabei wird die Remote Runtime online aktualisiert
Remote Desktopverbindung starten | Baut eine Remote Desktopverbindung auf
Alle Projektdateien rücklesen | Ein komplettes Projekt kann von einem Remote-System zurückkopiert werden.
Dateien kopieren und registrieren | Dateien werden nicht nur kopiert, sondern am Zielsystem auch registriert. Besonders interessant für Fonts und ActiveX Elemente.
Dateien kopieren und ausführen | Ausführbare Dateien werden kopiert und gestartet.

attention Achtung

Beachten Sie beim Runtime-Start über Remote-Transport:

  • die 32-Bit zensyssrv.exe startet die 32-Bit Runtime
  • die 64-Bit zensyssrv.exe startet die 64-Bit Runtime

info Info

Theoretisch ist auch die Übertragung per Windows Explorer oder die Freigabe von Netzlaufwerken möglich. Von dieser Vorgangsweise wird ausdrücklich abgeraten. Die Übertragung per Remote-Transport ist sicherer und systematischer und entlastet die Netzwerkverbindung. Beim Einbinden als Netzlaufwerk hängt das Funktionieren der Runtime davon ab, dass das Laufwerk zur Verfügung steht und genügend Leistung bietet.

Nachladen durch System verzögert

Das Nachladen der Runtime wird vom System auf einen späteren Zeitpunkt verschoben, wenn:

  • der Benutzer ein Kontextmenü oder einen Dialog öffnet
  • eine Nachrichtenbox angezeigt wird

Das Nachladen wird in diesem Fall erst durchgeführt, wenn diese Elemente wieder geschlossen wurden.

Noch in diesem Kapitel

Symbolleiste Remote-Transport

Kontextmenü Remote-Transport

Projektieren im Editor

Verbindung aufbauen

Stapelverarbeitung: Übertragung an mehrere Rechner gleichzeitig


Symbolleiste Remote-Transport

Handbuch > Remote-Transport > Symbolleiste Remote-Transport

Ein Entwicklungsrechner kann Remote-Verbindungen zu anderen Rechnern aufbauen. Die Symbolleiste Remote-Transport stellt Funktionen für das Übertragen und Abfragen von Daten zur Verfügung.

Symbol

Beschreibung

Remote-Transport: Verbindungseinstellungen

Öffnet den Konfigurationsdialog des Remote-Transports zur Einstellung des Zielsystems und der Zielordner.

Remote-Transport: Verbindung aufbauen

Baut eine Remote-Transportverbindung zum Remote-System auf.

Remote: Geänderte Runtime-Dateien übertragen

Überträgt alle seit der letzten Änderung auf dem Entwicklungsrechner geänderten Runtime-Dateien zum Zielrechner.

Remote: Alle Runtime-Dateien zurücklesen

Liest alle Runtime-Dateien aus den projektierten Ordnern vom Remote-System in den lokalen Runtime-Ordner zurück.

Remote: Startprojekt setzen

Setzt das aktive Projekt als Startprojekt am Remote-System.

Remote: Runtime starten

Startet die Runtime am Remote-System.

Remote: Runtime beenden

Beendet die Runtime am Remote-System.

Remote: Projekt nachladen

Führt auf dem Remote-System die Funktion N achladen aus.

Remote Desktop: Verbindung starten

Startet eine Verbindung, um den Zielrechner per zenon Remote Desktop zu bedienen. Dadurch ist eine visuelle Bedienung möglich.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.

Weitere Symbole können über die Optionen der Symbolleiste hinzugefügt werden.

Symbol

Beschreibung

Alle Runtime-Dateien übertragen

Überträgt alle Runtime-Dateien zum Zielsystem.

Betriebssystem neu starten

Startet das Betriebssystem des Zielrechners nach einer Sicherheitsabfrage neu. Unter Windows CE wird diese Option nicht unterstützt.

Systemstatus ermitteln

Ermittelt Systemstatus des Zielrechners und schreibt Daten in das Ausgabefenster. Ermittelt werden:

  • Computername
  • Betriebssystem
  • Runtime aktiv/nicht aktiv
  • Startprojekt
  • Realer Speicher
  • Laufwerke
  • Remote Seriennummer
  • Remote zenon Version

Passwort ändern u. Lizenzierung anzeigen

Öffnet Dialog für Verbindungsaufbau.

Ermöglicht:

  • Änderung des Passworts für den Verbindungsaufbau
  • Anzeige und Änderung der Lizenzierung des Zielrechners (Für Versionen älter als 8.00)
  • Konfiguration der Verschlüsselung am Zielrechner

Hinweis: Alle Befehle für den Remote-Transport stehen auch im Kontextmenü des Projekts zur Verfügung.


Kontextmenü Remote-Transport

Handbuch > Remote-Transport > Kontextmenü Remote-Transport

Die Befehle für den Remote-Transport erreichen Sie über die Symbolleiste oder das Kontextmenü des Projekts:

  1. führen Sie einen Rechtsklick auf das Projekt im Projektmanager aus
  2. wählen Sie im Kontextmenü den Knoten Remote-Transport
  3. wählen Sie inder Dropdownliste den gewünschten Befehl

Befehl

Funktion

Verbindung aufbauen

Baut eine Verbindung zum Zielrechner auf.

Verbindungseinstellungen

Öffnet Dialog zur Konfiguration der Verbindung.

Geänderte Runtime-Dateien übertragen

Überträgt alle auf dem Entwicklungsrechner geänderten Runtime-Dateien zum Zielrechner.

Alle Runtime-Dateien übertragen

Überträgt alle Runtime-Dateien vom Entwicklungsrechner zum Zielrechner.

Alle Runtime-Dateien zurücklesen

Liest alle zur Runtime änderbaren Dateien (wie Rezepte oder Benutzerverwaltung) auf den Entwicklungsrechner zurück.

Projekt als Startprojekt setzen

Setzt das Startprojekt für den Zielrechner.

Runtime starten

Startet die Runtime auf dem Zielrechner.

Runtime beenden

Beendet die Runtime auf dem Zielrechner.

Projekt nachladen

Führt auf dem Zielrechner die Funktion nachladen aus.

Betriebssystem neu starten

Startet das Betriebssystem des Zielrechners nach einer Sicherheitsabfrage neu. Unter Windows CE wird diese Option nicht unterstützt.

Systemstatus ermitteln

Ermittelt Systemstatus des Zielrechners und schreibt Daten in das Ausgabefenster. Ermittelt werden:

  • Computername
  • Betriebssystem
  • Runtime aktiv/nicht aktiv
  • Startprojekt
  • Realer Speicher
  • Laufwerke
  • Remote Seriennummer
  • Remote zenon Version

Passwort ändern u. Lizenzierung anzeigen

Öffnet Dialog für Verbindungsaufbau.

Ermöglicht:

  • Änderung des Passworts für den Verbindungsaufbau
  • Anzeige und Änderung der Lizenzierung des Zielrechners (Für Versionen älter als 8.00)
  • Konfiguration der Verschlüsselung am Zielrechner

Remote: Desktop Verbindung starten

Startet eine Verbindung, um den Zielrechner per zenon Remote Desktop zu bedienen.


Projektieren im Editor

Handbuch > Remote-Transport > Projektieren im Editor

Der Remote-Transport wird in den Projekteigenschaften unter Allgemein/Remote-Transport konfiguriert und über die Symbolleiste Remote-Transport bedient.

Um den Remote-Transport zu konfigurieren:

  1. navigieren Sie in den Projekteigenschaften zum Knoten Allgemein
  2. klicken Sie auf die Eigenschaft Remote-Transport
  3. der Dialog zur Konfiguration der Verbindungseigenschaften und der zu übertragenden Dateien wird geöffnet.
    Hinweis: der Screenshot zeigt die Konfiguration für das Tranport-Medium TCP/IP bei aktiviertem Netzwerk.

Parameter

Beschreibung

Transportmedium

Seriell

Übertragung über eine serielle Verbindung, z. B. auf ein CE Terminal.

Port

Auswahl des COM-Ports für die serielle Verbindung.

Hinweis: Nur sichtbar, wenn Seriell als Transport Medium ausgewählt wurde.

TCP/IP

Übertragung per TCP/IP in einem Netzwerk oder über ein Modem.

Upload auf Server 1 und Server 2

Bei aktiver Checkbox werden die Runtime-Dateien bei einem Download zusätzlich zum eingetragenen Rechner an die im Netzwerk als Server 1 und Server 2 eingetragenen Rechner übertragen.

Achtung: An Server 2 werden nur dann Daten übertragen, wenn der für den Server 2 ein Rechnername eingetragen ist!

Default: inaktiv

Hinweis: Nur sichtbar, wenn in den Projekteinstellungen das Netzwerk aktiviert und das Transportmedium TCP/IP gewählt wurden.

Rechnername oder IP-Adresse

Der Rechnername oder die TCP/IP Adresse wird als Ziel angegeben:

  • Eingabe des Rechnernamens manuell oder über Klick auf Schaltfläche ...
  • Eingabe der IP-Adresse manuell

Die IP-Adresse muss dem Format der eingestellten IP-Version (IPv4 oder IPv6) entsprechen.

Quelle/Ziel

Liste der Verbindungen.

In der ersten Zeile kann ein Ziel für den obersten Ordner der Struktur definiert werden. Rechtsklick in die Zelle öffnet ein Kontextmenü zur Auswahl.

Der Pfad kann auch manuell eingegeben werden. Dabei gilt:

  • Führende Backslash (\): Pfad relativ zum Projekt.
  • Führender Laufwerksbuchstabe: Absoluter Pfad.
    Hinweis Windows CE: Mit zenon kann auch für Windows CE ein Laufwerksbuchstabe angegeben werden. Dieser signalisiert nur, dass es sich um einen absoluten Pfad handelt, und wird beim Übertragen ignoriert.
  • Achtung: Dieser Pfad muss auf dem Zielsystem permanent vorhanden sein. Projektieren Sie kein eingebundenes Netzlaufwerk, kein USB-Gerät und keinen Wechseldatenträger!

Hinweis: Beachten Sie bei Mehrprojektverwaltung die korrekte Übertragung der einzelnen Projekte.

Die Spaltenbreite in der Liste kann mit der Maus angepasst werden.

aktiv

Definiert zu übertragende optionale Dateien.

Projekt-Basispfad kann nicht abgewählt werden.

Quelle

Ordner für Dateien, die übertragen werden.

Ziel

Zielordner.

Definiert den Stammordner. Neue Einträge können definiert werden.

Unterordner können nicht verändert werden. Dadurch ist sichergestellt, dass am Zielsystem zur Runtime alle Dateien gefunden werden.

Hinweis: Der Default-Ordner ist der in den Projekteigenschaften definierte Runtime-Ordner. Wird der Zielordner manuell eingetragen, achten Sie darauf, dass er mit dem Projektnamen endet. Dies ist wichtig für die Mehrprojektverwaltung.

Zum Beispiel:
C:\Users\Public\Documents\zenon_Projects\MY_PROJECT

Bearbeitung

Art der Übertragung. Kann für Stammordner und neue Einträge frei gewählt werden. Klick auf das Wort (Kopieren) öffnet Dropdownliste:

  • Kopieren:
    kopiert Dateien (Default)
  • Kopieren und registrieren:
    kopiert Dateien und registriert sie im System. Hilfreich für ActiveX Elemente und für Schriften (ttf-Dateien).
  • Kopieren und ausführen:
    kopiert Dateien und führt sie dann aus

Hinweis: Die Art der Übertragung steht nur für frei definierte Einträge zur Verfügung. Für die Funktionalität der Runtime notwendige Dateien werden automatisch in der Liste angelegt und die Art der Übertragung ist nicht änderbar.

Beschreibung

Für neue Einträge optionale Texteingabe zur Beschreibung der zu übertragenden Dateien.

attention Achtung

Beim Redundanzbetrieb gilt: Wenn Treiber verwendet werden, die eine Konfigurationsdatei benötigen, muss der Eintrag \zenon\custom\drivers deaktiviert werden.

Remote steuern im Netzwerk

Wählen Sie im Kontextmenü des Projekts -> Remote-Transport -> <Befehl>:

Parameter

Beschreibung

Verbindung aufbauen

Über den Dienst zenSysSvr wird eine Verbindung zum Zielgerät aufgebaut. Auf beiden Geräten muss der Dienst zenSysSvr oder auf einem CE Gerät der Dienst SysSrvCE.exe gestartet sein. Die Versionen müssen identisch sein.

Geänderte Runtime Dateien übertragen

Wird diese Einstellung ausgewählt, so werden nur die Runtime-Dateien übertragen, die sich seit der letzen Übertragung geändert haben. Sind auf dem Zielgerät keine Runtime-Dateien vorhanden, werden alle Runtime-Dateien übertragen.

Alle Runtime Dateien übertragen

Wird dieser Eintrag aktiviert, werden alle Runtime-Dateien (neu) übertragen. Ausgenommen sind die Dateien für z. B. Standard-Rezepturen oder Message Control die explizit von der Übertragung ausgenommen wurden, über die Einstellung: Zur Runtime änderbare Daten.

Alle Runtime Dateien rücklesen

Wird diese Einstellung ausgewählt, so werden alle Runtime-Dateien der Module Rezepte, Rezeptgruppen Manager, Message Control, Benutzer Verwaltung und Production & Facility Scheduler (PFS) vom Zielsystem in das lokale Runtime-Verzeichnis zurückgelesen. Anschließend können die Änderungen in der Runtime über die Option 'Importiere Runtime-Dateien im Editor eingelesen werden.

Projekt als Startprojekt setzen

Das ausgewählte Projekt wird als Startprojekt gesetzt. Bei jedem Runtime-Start wird dieses Projekt geladen.

Runtime starten

Die Runtime wird gestartet.

Runtime beenden

Die Runtime wird beendet.

Projekt nachladen

Das Projekt wird nachgeladen. Geänderte Runtime-Dateien werden eingelesen.

Betriebssystem neu starten

Das Gerät, mit dem die Verbindung besteht, wird nach einer Sicherheitsabfrage neu gestartet. Es muss gegebenenfalls neu am Betriebssystem angemeldet werden. Unter Windows CE wird diese Option nicht unterstützt.

System Status ermittlen

Es wird ermittelt, ob die Runtime auf dem Zielgerät läuft, mit welchem Status und welche zenon Version dort installiert ist. Ermittelt werden:

  • Computername
  • Betriebssystem
  • Runtime aktiv/nicht aktiv
  • Startprojekt
  • Realer Speicher
  • Laufwerke
  • Remote Seriennummer
  • Remote zenon Version

Passwort ändern und Lizenzierung anzeigen

Öffnet Dialog für Verbindungsaufbau.

Ermöglicht:

  • Änderung des Passworts
  • Anzeige und Änderung der Lizenzierung
  • Konfiguration der Verschlüsselung

Remote Desktop Verbindung starten

Startet eine Verbindung, um den Zielrechner per zenon Remote Desktop zu bedienen.

Noch in diesem Kapitel

TCP/IP

Seriell

Dateien festlegen

Zur Runtime änderbare Dateien

Windows CE


TCP/IP

Handbuch > Remote-Transport > Projektieren im Editor > TCP/IP

In der Remote-Transport Konfiguration wird der Name oder die IP-Adresse des Zielrechners angegeben. Die IP-Adresse muss dem Format der eingestellten IP-Version entsprechen, also IPv4-konform bei Verwendung von IPv4 und IPv6-konform sein bei Verwendung von IPv6.

Bei Verwendung des Namens, werden die zuletzt verwendeten Namen gespeichert und können über die Dropdownliste ausgewählt werden. Die Verwendung von Portnummern ist nur in Verbindung mit Namen möglich.

attention Achtung

Standardmäßig verwendet der Remote-Transport den TCP Port 1101. Dieser Port darf nicht von anderen Anwendungen blockiert werden.

Noch in diesem Kapitel

Automatische Einstellung bei Netzwerkprojekten


Automatische Einstellung bei Netzwerkprojekten

Handbuch > Remote-Transport > Projektieren im Editor > TCP/IP > Automatische Einstellung bei Netzwerkprojekten

Wenn das zu übertragende Projekt als Netzwerkprojekt projektiert ist, sind keine weiteren Einstellungen im Eingabefeld Rechnername oder IP-Adresse in den Remote-Transport Verbindungseinstellung notwendig. Remote-Transport verwendet in diesem Fall immer den im Eigenschaftenfeld Server 1 in der Netzwerkkonfiguration eingetragenen Rechner. Damit wird sichergestellt, dass die Änderungen immer auf den Server übertragen werden, der sie dann automatisch zu allen Clients weiter überträgt!

Wenn die Checkbox Upload auf Server 1 und Server 2 aktiv ist, wird nicht nur der Rechner aktualisiert, zu dem eine Verbindung besteht. Es werden auch die eingetragenen Server aktualisiert.

Voraussetzungen dafür sind:

  • Checkbox aktiv
  • Netzwerk aktiv
  • Server 1 eingetragen

Zu Server 2 wird nur dann übertragen, wenn für Server 1 ein Rechnername eingetragen ist.

Wenn der verbundene Rechner einer der Server ist (egal ob über Namen oder IP verbunden) wird zu diesem Rechner kein zusätzlicher Upload mehr durchgeführt. Dieser zusätzliche Upload wäre in diesem Fall redundant, da die Aktualisierung bereits via Remote-Transport geschieht.

info Info

Weitere Informationen zum zenon Netzwerk finden Sie im Kapitel Netzwerk.


Seriell

Handbuch > Remote-Transport > Projektieren im Editor > Seriell

Die Kommunikation im Remote-Transport erfolgt standardmäßig über TCP/IP. Sie kann aber auch auf serielle Kommunikation geändert werden. So können zum Beispiel Windows CE Geräte angesprochen werden. Dazu muss:

  • über die zenon6.ini am Remote Gerät die Kommunikationsart des Transportservice geändert werden
  • im Editor der Remote-Transport konfiguriert werden

attention Achtung

Wenn die zenon6.ini bearbeitet wird, werden die Änderungen erst nach einem Neustart des Transportservice wirksam.

Einträge zenon6.ini

Wenn der Transportservice für den seriellen Transport verwendet werden soll, müssen in der zenon6.ini auf dem Zielrechner folgende Einträge manuell eingetragen werden.
Hinweis: Unter Windows CE werden diese Einträge über die Oberfläche des Transportservice in der zenon6.ini automatisch generiert.

[SYS_REMOTE]

CONFIG=DEVICE=COM;

PORT=COM2;

attention Achtung

Der abschließende ; (Strichpunkt) darf nicht vergessen werden.

Mit dieser Einstellung arbeitet der Remote-Transport mit der Baudrate 115200 Bits/Sekunde. Der Editor ist standardmäßig ebenfalls auf diese Baudrate eingestellt.

Einstellungen Editor

Wählen Sie im Editor:

  • Seriell als Transport Medium
  • in der Dropdownliste den COM-Port des Quellrechners


Dateien festlegen

Handbuch > Remote-Transport > Projektieren im Editor > Dateien festlegen

Welche Dateien übertragen werden, definieren Sie im Konfigurationsdialog über die Checkbox in der Spalte aktiv. Die Zeile mit den Projekt-Basispfad kann nicht abgewählt werden. Die Projektdateien werden immer übertragen.

Hinweis: Quellpfade sind immer relativ zum Projekt-Basispfad angelegt.

attention Achtung

Beachten Sie die Auswirkungen der Einstellungen, wenn das Projekt im Netzwerk eingesetzt wird!

Zum Beispiel:

Die Übertragung von Grafiken wird deaktiviert, weil diese schon am Server liegen. Dann wird ein Client gestartet. Der Client stellt fest, dass die Grafiken nicht übertragen werden sollen und holt sich diese daher auch nicht ab. Am Client werden dann keine Grafiken angezeigt.

Oder es werden umgekehrt Dateien zum Client übertragen, die dort vorhandene Dateien überschreiben.

Dateien zur Übertragung

Mit dem Remote-Transport werden alle für das Projekt benötigten Dateien zum Zielsystem übertragen.

Dabei werden immer alle Dateien in den Verzeichnissen übertragen:

Standard

  • Alle Dateien, die sich im Runtimeordner (...\RT\FILES\zenon\system\) des Projekts befinden.
    Diese Dateien bestimmen das Aussehen und Verhalten des Projekts und werden standardmäßig übertragen.

info Info

Nicht übertragen werden standardmäßig Dateien mit den Endungen:

  • .hot
  • .ho
  • .ret
  • .re

Optional

Zusätzlich müssen alle Dateien übertragen werden, die in das Projekt eingebunden wurden. Die Auswahl erfolgt über die Checkbox aktiv der Remote-Transport Einstellungen. Diese Dateien befinden sich in folgenden Unterordner des Projektordners

  • \zenon\custom\graphics: für Grafiken
  • \zenon\custom\lists: für Sprachtabellen
  • \zenon\custom\media: für alle Mediendateien
  • \zenon\custom\reports: für die Tabellen des Report Generators
  • \zenon\custom\help: für Hilfedateien
  • \zenon\custom\additional: für zusätzliche Dateien
  • \zenon\custom\rdlc: für Report Viewer Dateien
  • \zenon\custom\drivers: für Treiber
  • \straton: für zenon Logic

    Empfehlung: Projekt-Basispfad, Grafiken, Sprachtabellen, Reporttabellen und Mediadateien immer übertragen.
    Aus dem Projekt-Basispfad werden standardmäßig übertragen: Die Dateien project.ini, Projekt.vba, monitor.mon und der Ordner Projekt.

    Standardmäßig werden von zenon immer Relativpfade und keine Absolutpfade verwendet, damit am Zielsystem die Dateien wiedergefunden werden.

    Für die optional zu übertragenden Dateien sollten die ursprünglichen Pfade verwendet werden (leeres Feld bei Ziel), damit diese von zenon auch am Zielsystem wieder gefunden werden.

Globalprojekt

Wenn sich im Arbeitsbereich ein Globalprojekt befindet, wird dieses automatisch übertragen. Es müssen keine zusätzlichen Einstellungen getroffen werden. Es werden immer alle für das Globalprojekt notwendigen Dateien übertragen!

Startprojekt setzen

Für die Runtime muss das Startprojekt in der zenon6.ini eingetragen werden. Dazu klicken Sie auf die Schaltfläche Remote Runtime Startprojekt setzen in der Symbolleiste Remote-Transport. Dabei werden folgende Einträge gesetzt:

[PATH]

VBF30=Projektpfad

[DEFAULT]

DEFANWENDUNG30=Projektname

Auswahl individueller Dateien

Um eigene, individuelle Dateien zu übertragen:

  1. klicken Sie mit der rechten Maustaste in die erste leere Zelle in der Spalte Quelle
  2. wählen Sie im Kontextmenü Datei Auswahl oder Ordner Auswahl
  3. der Explorer zur Auswahl wird geöffnet
  4. wählen Sie die gewünschte Datei oder den gewünschten Ordner
  5. aktivieren Sie die Checkbox in der Spalte aktiv
  6. klicken Sie mit der rechten Maustaste in die Zelle in der Spalte Ziel
  7. definieren Sie den Ziel-Ordner
    Bleibt das Ziel leer, werden die Dateien in der selben Verzeichnisstruktur übertragen, wie unter Quelle definiert.

attention Achtung

Pfade relativ angeben!

Geben Sie die Pfade zu Ihren individuellen Dateien relativ zum Projekt-Basispfad an. Damit wird vom Zielsystem immer die richtige Ordnerstruktur beibehalten.
Beispiel:

Angabe bei Quelle: /default.iso eingegeben.
Der Remote-Transport weiß dann automatisch, dass sich die Datei im Projekt-Basispfad befindet.
Ordner werden analog angegeben.

Windows CE:

Wenn das Zielgerät ein Windows CE Terminal ist, und beim Projekt-Basispfad kein explizites Ziel angegeben wurde, wird standardmäßig das Ziel /Storage Card/Data verwendet.

Aktion beim Übertragen

In der Spalte Bearbeitung kann bei hinzugefügten Zeilen eingestellt werden, wie mit den angegebenen Dateien beim Remote-Transport verfahren werden soll. Hier stehen drei Möglichkeiten zur Verfügung:

Bearbeitung | Beschreibung
Kopieren | Die Datei wird auf das entfernte Gerät kopiert.
Kopieren & registrieren | Die Datei wird auf das entfernte Gerät kopiert und dort in die Registry eingetragen. Tipp: Hilfreich für ActiveX Elemente und für Schriften (ttf-Dateien).
Kopieren & ausführen | Die Datei wird auf das entfernte Gerät kopiert und dort ausgeführt.

Noch in diesem Kapitel

INI-Dateien


INI-Dateien

Handbuch > Remote-Transport > Projektieren im Editor > Dateien festlegen > INI-Dateien

INI-Dateien werden per Default nicht via Remote-Transport an die Zielrechner übertragen. Dadurch kann es dazu kommen, dass Projektierungsänderungen, die vom Ausgangsrechner via Remote-Transport übertragen werden, am Zielrechner keine Änderung bewirken, z.B. Änderungen der Projektierung für das zenon Modul Message Control.

In diesem Fall wird empfohlen, die entsprechenden Einträge in der INI-Datei am Zielrechner manuell anzupassen. Weitere Informationen über Inhalte der zenon INI-Dateien finden Sie im Handbuch Konfigurationsdateien.

Die zu übertragende INI-Datei muss im Dialog Dateien festlegen manuell hinzugefügt werden.

attention Achtung

Von einer Übertragung einer INI-Datei via Remote-Transport wird dringend abgeraten.

Die License.ini-Datei darf in keinem Fall via Remote-Transport an den Zielrechner übermittelt werden. Dadurch wird die Lizenz am Zielrechner ungültig!


Zur Runtime änderbare Dateien

Handbuch > Remote-Transport > Projektieren im Editor > Zur Runtime änderbare Dateien

In zenon gib es eine Reihe von Daten, die sowohl im Editor als auch in der Runtime geändert werden können. Es sind dies Dateien für:

  • Rezeptgruppen-Manager
  • Standard-Rezepte
  • Benutzerverwaltung
  • Scheduler

Runtime-Dateien vor überschreiben schützen

Werden Runtime-Dateien neu übertragen, überschreibt dieser Vorgang auch in der Runtime geänderten Dateien. Um ein Überschreiben von Inhalten der laufenden Runtime zu verhindern, können Modulinhalte von einer Übertragung zur Runtime ausgenommen werden. Aktivieren Sie dazu im Dialog der Eigenschaft Zur Runtime änderbare Daten (Projekteigenschaftengruppe Allgemein) in der Spalte Nicht neu erzeugen und übertragen jene Projektierungsinhalte, deren Dateien nicht neu erzeugt oder zur Runtime übertragen werden.

Editor-Dateien vor überschreiben schützen

In der Runtime geänderte Daten können wieder zurück gelesen werden. Dabei werden die entsprechenden Editor Daten überschrieben. Um ein ungewolltes Überschreiben zu verhindern kann hier unter Nicht dekompillieren ausgewählt werden, welche Dateien nicht zurück gelesen werden sollten.

Dialog Zur Runtime änderbare Dateien

Den Dialog zur Konfiguration der Runtime änderbaren Dateien erreichen Sie über die Projekteigenschaften Allgemein/Zur Runtime änderbare Daten:

Folgende Dateitypen sind auswählbar:

Parameter | Beschreibung
Rezeptgruppen-Manager | Rezeptgruppen und Rezepte des Rezeptgruppen-Managers. Bei der Übertragung werden neue Dateien übertragen und neue Unterordner angelegt, gelöschte Dateien und Unterordner auch auf dem Zielsystem gelöscht.
Standard-Rezepte | Standard-Rezepte.
Benutzerverwaltung | Benutzerverwaltung für Login und Rechteverwaltung zur Runtime.
Scheduler | Änderungen in den Zeitmodellen und Fahrplänen des PFS.

attention Achtung

Achten Sie bei der Projektkonvertierung darauf, Runtime änderbare Dateien ebenfalls zu konvertieren. Runtime-Dateien müssen dazu in die Ausgangsversion des Editors importiert werden und nach dem Update wieder in die Runtime zurückgespielt werden. Details siehe Kapitel Empfohlene Vorgangsweise Runtime-Dateien konvertieren im Handbuch Projektkonvertierung.

Übertragung der Dateien

Zur Runtime

Um Dateien zur Runtime zu übertragen können:

  1. alle Dateien übertragen werden
  2. nur geänderte Dateien übertragen werden

Beide Wege berücksichtigen die in Zur Runtime änderbare Daten definierten Dateien.

Von der Runtime

Um Dateien von der Runtime einzulesen, stehen zwei Verfahren zur Verfügung:

  1. Alle Runtime-Dateien zurücklesen:
    1. liest alle Runtime-Dateien in den Ordner, der in der Eigenschaft Runtime-Ordner definiert wurde, ein
    2. unabhängig von den Einstellungen der Eigenschaft Zur Runtime änderbare Daten
  2. Runtime-Dateien importieren:
    1. importiert die in der Eigenschaft Zur Runtime änderbare Daten definierten Dateien und
    2. ersetzt die Projektierung im Editor durch diese Runtime-Dateien
    3. eignet sich, um Daten von einem Remote-System in den Editor zu übernehmen

Verbindungsfehler

Bei der Übertragung werden vorhandene Dateien entsprechend den Einstellungen überschrieben.

Treten bei der Übertragung von der oder zur Runtime Fehler auf oder reißt die Verbindung ab, müssen die Dateien komplett neu übertragen werden.


Windows CE

Handbuch > Remote-Transport > Projektieren im Editor > Windows CE

Die Übertragung auf Windows CE-Systeme kann direkt über eine TCP-Verbindung oder eine serielle Verbindung oder über Speicherkarten erfolgen .

Konfiguration

Seriell oder TCP/IP

  1. Stellen Sie sicher, dass in den Projekteigenschaften im Knoten Allgemein die Eigenschaft Windows CE Projekt aktiviert wurde.
  2. Wählen Sie die Verbindungsart:
    • TCP/IP
    • Seriell
  3. Der Konfigurationsdialog enthält nun neue Einträge, als Zielverzeichnis ist C:\Storage Card\Data voreingestellt.
    Das C:\ wird vom Remote-Transport dann automatisch entfernt, da die Kommunikation mit CE-Systemen ohne Laufwerksbuchstaben erfolgt.

Speicherkarte

Der Remote-Transport unterstützt eine spezielle Transportart, mit der das Projekt anstelle mit einer seriellen oder TCP/IP Verbindung direkt auf die Speicherkarte transportiert wird. Dazu ist ein Rechner notwendig, der die Speicherkarte (PCMCIA, ATA Karte, Compact Flash usw...) aufnehmen kann.

attention Achtung

Es muss sichergestellt sein, dass die CE Runtime und die zenon6.ini sich im Stammverzeichnis (Root) der Karte befinden!

Stecken Sie die Karte in den entsprechenden Schacht, und achten Sie darauf, als welches Laufwerk das Betriebsystem die Karte verbindet. (z.B. D: oder E: oder ...)
  1. Aktivieren Sie die Checkbox Lokales Kartenlesegerät verwenden.
  2. Definieren Sie den Runtime-Ordner am Zielgerät.

    Beispiel: wird die Speicherkarte unter CE als \Storage Card angezeigt, dann muss als Runtime-Ordner am Zielgerät C:\Storage Card\Projektpfad angegeben werden! Das C:\ wird vom Remote-Transport dann automatisch entfernt.

  3. Bauen Sie eine Verbindung zum eigenen PC auf und übertragen Sie die Dateien auf die lokale Speicherkarte.
  4. Schreiben Sie den Runtime-Ordner am Zielgerät mit der Funktion Remote Startprojekt setzen (Symbolleiste Remote-Transport) in die zenon6.ini auf der Speicherkarte.
  5. Stecken Sie die Speicherkarte in das CE Terminal und starten Sie die Runtime.


Verbindung aufbauen

Handbuch > Remote-Transport > Verbindung aufbauen

Um eine Remote Verbindung aufzubauen:

  1. klicken Sie auf die entsprechende Schaltfläche in der Symbolleiste Remote-Transport

    oder wählen Sie im Kontextmenü des Projekts: Remote-Transport -> Verbindung aufbauen

  2. der Dialog für den Verbindungsaufbau wird geöffnet

Parameter

Beschreibung

Verbindungspasswort

Einstellungen für Passwort der Remote Verbindung.

Passwort

Eingabe des Passworts für den Verbindungsaufbau (optional).

Verbindungspasswort ändern

Öffnet den Dialog zu Änderung des Passworts.

Konfiguration des Zielsystems

Einstellungen für Zielsystem.

Seriennummer und Aktivierungsnummer konfigurieren

Nur verfügbar für Versionen vor 8.00.
Für Versionen ab 8.00 erfolgt die Lizenzierung über die Lizenzverwaltung.

  • Aktiv: Die Lizenzierung des Remote-Rechners wird nach Herstellung der Verbindung angezeigt und kann geändert werden.

Default: Nicht aktiv

Verschlüsselung der Netzwerkommunikation konfigurieren

Einstellung für Verschlüsselung.

Hinweis: Die Verbindung des Remote-Transport muss dafür mit einem Passwort geschützt sein.

  • Aktiv: Nach Verbindungsherstellung kann die Verschlüsselung der Netzwerkkommunikation am Zielsystem aktiviert oder deaktiviert werden.

Default: Nicht aktiv

Diesen Dialog nicht mehr anzeigen

Aktiv: Dieser Dialog wird beim Verbindungsaufbau nicht mehr geöffnet.

Hinweis: Um den Dialog wieder anzuzeigen, wählen Sie im Kontextmenü des Projekts Remote-Transport -> Passwort ändern u. Lizenzierung anzeigen

Default: Nicht aktiv

OK

Übernimmt Einstellungen und baut Verbindung auf.

Abbrechen

Verwirft Änderungen und schließt den Dialog, ohne eine Verbindung aufzubauen.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Verschlüsselung

Runtime-Version kleiner 8.00 remote lizenzieren


Verschlüsselung

Handbuch > Remote-Transport > Verbindung aufbauen > Verschlüsselung

Die Remote-Transport Verbindung kann über den SysSrv verschlüsselt erfolgen. Dazu vergeben Sie ein Passwort im Remote-Transport. Ab Version 7.20 wird das Passwort verschlüsselt gespeichert:

  • An der Quelle (Editor) in der project.ini, Abschnitt TRANSPASS.
  • Am Ziel (Runtime) in der zenon6.ini, Abschnitt TRANSPASS.

Auch die Kommunikation des Remote-Transport kann verschlüsselt werden. Dazu muss nur im Startup Tool die Verschlüsselung des zenon Netzwerks aktiviert werden.

Passwort verschlüsselt ablegen

Das Passwort für die Remote-Transport Übertragung wird per Default in der project.ini im Abschnitt [TRANSPASS] im INI-Eintrag KEYCRYPT= verschlüsselt hinterlegt. Im Eintrag KEY= kann das Passwort als Klartext hinterlegt werden. Diese Methode wurde bis inklusive Version 7.11 verwendet. Mit der Konvertierung eines Projekts auf Version 7.20 wird der Wert für den INI-Eintrag KEY= gelöscht und das Passwort verschlüsselt im Eintrag KEYCRYPT= abgelegt.

Für die Übertragung gilt:

  • Ist für KEY= ein Eintrag vorhanden, verwendet der SysSrv das unverschlüsselte Passwort. Das gilt auch dann, wenn für den INI-Eintrag KEYCRYPT= ein verschlüsseltes Passwort projektiert ist.
  • Ist für KEY= kein Eintrag projektiert und für KEYCRYPT= ist ein Eintrag vorhanden, verwendet der SysSrv das verschlüsselte Passwort.
  • Eingabe oder Änderung des Passworts:
    Ist für den Eintrag KEY= bereits ein Passwort projektiert, wird dieser Eintrag aktualisiert. Ist kein Passwort projektiert und die zenon Version ist höher wie 7.20, dann wird automatisch ein Eintrag in KEYCRYPT= erzeugt.
  • Projektkonvertierung:
    Existiert in der project.ini ein Eintrag für KEY=, wird dessen Wert gelöscht und ein neuer Eintrag für KEYCRYPT= erzeugt sowie befüllt.

Verhalten

Lokaler Editor | Remote PC | Remote Passwort | Resultat | Bedingung
<7.20 | <7.20 | nein | Verbindung OK | Mit leerem Passwort.
<7.20 | <7.20 | unverschlüsselt | Verbindung OK | Mit richtigem Passwort.
<7.20 | <7.20 | verschlüsselt (nein) | Verbindung OK | Remote verschlüsseltes PW wird ignoriert.
>=7.20 | <7.20 | nein | Verbindung OK | Mit leerem Passwort.
>=7.20 | <7.20 | unverschlüsselt | Verbindung OK | Mit richtigem Passwort.
>=7.20 | <7.20 | verschlüsselt (nein) | Verbindung OK | Remote verschlüsseltes Passwort wird ignoriert.
>=7.20 | >=7.20 | nein | Verbindung OK | Mit leerem Passwort.
>=7.20 | >=7.20 | unverschlüsselt | Verbindung OK | Mit richtigem Passwort.
>=7.20 | >=7.20 | verschlüsselt | Verbindung OK | Mit richtigem Passwort.
>=7.20 | >=7.20 | verschlüsselt + unverschlüsselt | Verbindung OK | Mit richtigem Passwort.
<7.20 | >=7.20 | nein | Verbindung OK | Mit leerem Passwort.
<7.20 | >=7.20 | unverschlüsselt | Verbindung OK | Mit richtigem Passwort.
<7.20 | >=7.20 | verschlüsselt | Verbindung OK | Mit richtigem Passwort.
<7.20 | >=7.20 | verschlüsselt + unverschlüsselt | Verbindung OK | Mit richtigem Passwort.

Konvertierung

  • Im Editor (Quellsystem) wird bei der Projektkonvertierung von Version X auf 7.20 der Eintrag KEY= durch KEYCRYPT= ersetzt und das Passwort wird hier verschlüsselt gespeichert.
  • Am Zielsystem wird abgefragt, ob KEY= in der zenon6.ini einen Eintrag hat.
    Ist dieser Eintrag konfiguriert, hat dieser Eintrag die höchste Priorität. Zur Konvertierung muss der Eintrag am Zielsystem manuell gelöscht werden.

Gesamte Kommunikation im Netzwerk verschlüsseln

Über die Aktivierung der Verschlüsselung des zenon Netzwerkverkehrs kann die gesamte Kommunikation verschlüsselt werden.

Verhalten

Version Quelle (Editor) | Version Ziel (Runtime) | Netzwerk- verschlüsselung Quelle | Netzwerk- verschlüsselung Ziel | Verbindung möglich
<7.20 | <7.20 | Beliebig | Beliebig | Ja
<7.20 | >= 7.20 | Beliebig | Aktiv | Nein
<7.20 | >= 7.20 | Beliebig | Nicht aktiv | Ja, unverschlüsselt
>= 7.20 | <7.20 | Nicht aktiv | Beliebig | Ja
>= 7.20 | <7.20 | Aktiv | Beliebig | Nein
>= 7.20 | >= 7.20 | Nicht aktiv | Nicht aktiv | Ja, unverschlüsselt
>= 7.20 | >= 7.20 | Nicht aktiv | Aktiv | Nein
>= 7.20 | >= 7.20 | Aktiv | Nicht aktiv | Nein
>= 7.20 | >= 7.20 | Aktiv, Passwort "abc" | Aktiv, Passwort "def" | Nein
>= 7.20 | >= 7.20 | Aktiv, Passwort "xyz" | Aktiv, Passwort "xyz" | Ja, verschlüsselt

Aktivierung der Netzwerkverschlüsselung per Remote-Transport

Wird die Netzwerkverschlüsselung per Remote-Transport aktiviert, dann gilt:

  • Bis zu einem Neustart läuft der Remote-Transport auch nach dem Setzen eines Passworts für die Netzwerkverschlüsselung ohne Verschlüsselung.
  • Nach einem Neustart des Ziels verlangt dieses eine verschlüsselte Verbindung mit richtigem Passwort.

Noch in diesem Kapitel

Verbindungspasswort ändern

Verschlüsselung der Netzwerkverbindung konfigurieren


Verbindungspasswort ändern

Handbuch > Remote-Transport > Verbindung aufbauen > Verschlüsselung > Verbindungspasswort ändern

Um das Verbindungspasswort zu ändern:

  1. wählen Sie im Kontextmenü des Projekts Remote-Transport -> Verbindung aufbauen oder Passwort ändern u. Lizenzierung anzeigen
  2. klicken Sie im Dialog auf die Schaltfläche Verbindungspasswort ändern
  3. der Dialog zur Passwortänderung wird geöffnet

Parameter | Beschreibung
altes Passwort | Bestehendes Passwort eingeben.
neues Passwort | Neues Passwort eingeben.
Passwort bestätigen | Neues Passwort noch einmal eingeben und damit bestätigen.


Verschlüsselung der Netzwerkverbindung konfigurieren

Handbuch > Remote-Transport > Verbindung aufbauen > Verschlüsselung > Verschlüsselung der Netzwerkverbindung konfigurieren

Die Netzwerkkommunikation kann mit einer starken Verschlüsselung geschützt werden. Die Verschlüsselung wird entweder lokal über das zenon Startup Tool aktiviert, über ein Tool für den zenon Web Client oder per Remote-Transport im Dialog Verbindung aufbauen:

Parameter | Beschreibung
Lokale Konfiguration einlesen | Liest die die Verschlüsselungsparameter des lokalen Rechners ein.
Netzwerkkommunikation verschlüsseln | Aktiv: Am Remote-Rechner wird die Verschlüsselung des Netzwerks aktiviert. Default: Nicht aktiv
Passwort | Passwort eintragen. Kriterien siehe Abschnitt "Passwort Netzwerkverschlüsselung" im Kapitel "Starke Verschlüsselung der Netzwerkkommunikation". Die angezeigte Länge wird immer auf 20 Zeichen gesetzt, um die tatsächliche Länge zu verbergen.
Passwort bestätigen | Passwort zur Bestätigung erneut eingeben.
OK | Speichert Änderungen und schließt Dialog.
Abbrechen | Verwirft Änderungen und schließt Dialog.
Hilfe | Öffnet Online-Hilfe

Das hier konfigurierte Passwort wird verschlüsselt in der zenon6.ini des Remote-Rechners abgelegt.

info Info

Hinweise zu Fehlermeldungen der starken Verschlüsselung finden Sie im:

Handbuch Netzwerk -> Kapitel Starke Verschlüsselung der Netzwerkkommunikation -> Abschnitt Fehlermeldungen.


Runtime-Version kleiner 8.00 remote lizenzieren

Handbuch > Remote-Transport > Verbindung aufbauen > Runtime-Version kleiner 8.00 remote lizenzieren

Runtime-Rechner mit zenon Versionen vor 8.00 werden weiterhin mit der bis inklusive Version 7.60 üblichen Methode per Remote-Verbindung lizenziert. Um eine Runtime mit einer Version vor 8.00 zu lizenzieren:

  1. Wählen Sie im Kontextmenü des Projekts Remote-Transport -> Passwort ändern u. Lizenzierung anzeigen.
  2. Starten Sie den Remote-Transport.
  3. Sobald die Verbindung besteht, wird die Lizenzierung des Remote-Rechners angezeigt:

  4. Geben Sie Seriennummer und Aktivierungsnummer Ihres Lizenzscheins ein.
  5. Bestätigen Sie die Eingaben mit Klick auf OK.


Stapelverarbeitung: Übertragung an mehrere Rechner gleichzeitig

Handbuch > Remote-Transport > Stapelverarbeitung: Übertragung an mehrere Rechner gleichzeitig

Mit Hilfe der Stapelverarbeitung können mehrere Rechner gleichzeitig angesprochen werden.

Projektierung der Remote-Transport Stapelverarbeitung:

  1. Erstellen Sie eine Datei hosts.txt.A-Z
  2. Tragen Sie für jeden Rechner in eine eigene Zeile die IP-Adresse oder den Rechnernamen ein

    Beispiel:

    HOST=192.168.0.24;
    HOST=192.168.0.15;

  3. Fügen Sie im Ordner \zenon\custom\additional die hosts.txt ein.


Reporting

Handbuch > Reporting

Das in zenon integrierte Reporting dient zur Dokumentation, Auswertung und Präsentation von Prozessdaten auf Basis von Online- und Archivdaten aus zenon. Das Reporting unterteilt sich in:

  • Report Generator
  • Report Viewer

Beide Reporting Varianten sind nicht unter Windows CE verfügbar.

Für umfassendes, plattformunabhängiges Reporting von der Prozessebene bis zum ERP steht der zenon Analyzer zur Verfügung. Ihr COPA-DATA Vertriebspartner informiert Sie gerne.

Noch in diesem Kapitel

Report Generator

Report Viewer


Report Generator

Handbuch > Reporting > Report Generator

Der Report Generator dient zur Dokumentation, Auswertung und Präsentation von Prozessdaten auf Basis von Online- und Archivdaten. Der Report Generator arbeitet zellenorientiert. Jeder Zelle können bestimmte Funktionen und Formate zugewiesen werden.

Reports werden über den Bildtyp Report projektiert. Die Filterung, Berechnung, Ausgabe und Darstellung der Daten erfolgt über Reportfunktionen. Diese werden über Dialoge oder händisch eingetragen. Werte können gelesen und - sofern im Bild zugelassen - auch editiert werden. Der Report Generator erfüllt die Anforderungen von Regelblatt 13 und ATV H260.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Report neu | Legt einen neuen Report in der Liste der Detailansicht an.
Bestehenden Report importieren... | Öffnet den Dateimanager zur Auswahl einer bestehenden Report-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

info Info

Die Status-Bits NORM und N_NORM werden im Report nicht angezeigt, oder kann der Status NORM nicht über den Report geändert werden.

Noch in diesem Kapitel

Projektieren im Editor

Bedienen zur Runtime

Beispiel Archivdaten in Reports


Projektieren im Editor

Handbuch > Reporting > Report Generator > Projektieren im Editor

Um Reports zur Runtime einsetzen zu können, muss im Editor:

  • ein Bild vom Typ Report angelegt werden
  • ein Report angelegt und konfiguriert werden
  • eine Umschaltfunktion zur Runtime projektiert werden

Empfohlener Ablauf der Projektierung des Reports:

  • Report anlegen
  • Report formatieren
  • Archivfilter anlegen
  • Reportfunktionen projektieren

Noch in diesem Kapitel

Bild vom Typ Report Generator anlegen

Neuen Report anlegen

Druckereinstellungen

Datei Info

Suchen und ersetzen im Report

Formatierungen

Archivfilter einrichten

Reportfunktionen

zenon Funktionen für Report Generator


Bild vom Typ Report Generator anlegen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Bild vom Typ Report Generator anlegen

Bild vom Typ Report Generator anlegen

Im Bild vom Typ Report werden die mit dem Report Generator erstellten Reports zur Runtime angezeigt und bei entsprechenden Rechten konfiguriert. Die Darstellungsgröße hängt von der gewählten Schablonengröße ab. Welcher Report angezeigt wird, kann bei der Bildumschaltung festgelegt oder zur Runtime ausgewählt werden.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Report Generator.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Parameter | Beschreibung
Vorlage einfügen... | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Kontrollelemente für Fensterdarstellung.

Parameter

Beschreibung

Reportfenster

Zeigt den Report an.

Eingestellter Filter

Zeigt zur Runtime den aktuell konfigurierten Zeitfilter an.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Eingestellter Filter

Funktionen

Kontrollelemente zur Steuerung zur Runtime.

Parameter

Beschreibung

Filter...

Reportdatei auswählen und Filterbedingungen ändern.

Aktualisieren

Report vollständig neu aufbauen (Werte und Darstellung).

Drucken

Report zur Runtime ausdrucken.

Exportieren

Report exportieren.

Archiv speichern

Geänderte Werte ins Archiv zurückspeichern.

Report speichern

Report wird zur Runtime gespeichert (*.xrs).

Achtung: Beim Speichern werden Formeln und Funktionen durch die aktuellen Werte ersetzt. Die Funktionen stehen in diesen Reports (.xrs Dateien) nicht mehr zur Verfügung. Diese Reports können im Editor auch nicht mehr bearbeitet werden.

Empfehlung: Setzen Sie original Reportdateien auf den Dateistatus "schreibgeschützt" und speichern Sie Änderungen mit Speichern unter in einer neuen Datei.

Report speichern unter...

Report wird zur Runtime unter einem neuen Namen gespeichert (*.xrs), wobei die Formeln und Funktionen durch die aktuellen Werte ersetzt werden.

Ausgewählte Werte lesen

Ausgewählte Werte werden vom Treiber neu eingelesen.

Ausgewählte Werte absetzen

Ausgewählte Werte werden zum Treiber abgesetzt.

Alle Werte lesen

Alle Werte werden vom Treiber neu eingelesen.

Alle Werte absetzen

Alle Werte werden zum Treiber abgesetzt.

Navigation

Kontrollelemente für die Navigation.

Parameter | Beschreibung
Zeile nach oben | eine Zeile nach oben blättern
Zeile nach unten | eine Zeile nach unten blättern
Spalte nach rechts | eine Spalte nach rechts blättern
Spalte nach links | eine Spalte nach links blättern
Seite nach oben | eine Seite nach oben blättern
Seite nach unten | eine Seite nach unten blättern
Seite nach rechts | eine Seite nach rechts blättern
Seite nach links | eine Seite nach links blättern

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Parameter | Beschreibung
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichert aktuelle Einstellung als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Löscht ausgewähltes Profil.
Import | Importiert Filterprofile aus Exportdatei.
Export | Exportiert Filterprofile in Datei.


Neuen Report anlegen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen

Bevor ein neuer Report angelegt wird, sollte der Reportdrucker definiert werden, da die Seitenformatierung eines Reports vom eingestellten Drucker abhängig ist. Eine nachträgliche Änderung des Druckers kann eine Neuformatierung des bestehenden Reports notwendig machen.

Um einen neuen Report anzulegen:

  • navigieren Sie im Projektmanager zum Knoten Report Generator
  • wählen Sie im Kontextmenü den Befehl Report neu
  • ein neuer Report wird in der Detailansicht angelegt
  • im Hauptfenster wird ein leeres Tabellenblatt geöffnet

Funktionalitäten des Tabellenblattes:

  • Zuordnung von Prozessinformationen über Reportfunktionen
  • formatierte Darstellung von Inhalten von Zellen, Spalten und Zeilen
  • Zwischensummen
  • Zuweisung von Editiersperren

info Info

Bei der Eingabe in Zellen gilt: Ein Dezimalwert kann sowohl mit Komma als auch mit Punkt getrennt werden. Das Dezimalzeichen wird immer automatisch in einen Punkt umgewandelt.

Weitere Informationen finden Sie in den Kapiteln:

  • Seite einrichten
  • Druckereinstellungen
  • Formatierungen
  • Reportfunktionen

Noch in diesem Kapitel

Menü Report

Menü Bearbeiten

Menü Format

Symbolleiste Report Generator

Kontextmenü und Symbolleiste Detailansicht

Aufbau Tabellenfenster

Kontextmenü Datenblatt


Menü Report

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Menü Report

Mit der Auswahl eines Reports wird in der Menüzeile das Menü Report eingeblendet:

Parameter

Beschreibung

Report speichern

Speichert alle Änderungen im aktiven Report. Änderungen in anderen Reports werden nicht gespeichert.

Reportfunktionen exportieren

Exportiert alle Reportfunktionen des aktiven Reports in eine Textdatei.

Aufbau: Spalte / Zeile =Funktion(Parameter)

Report neu zeichnen

Zeichnet Report neu.

Report berechnen

Berechnet Report neu.

Seite einrichten

Öffnet den Dialog zum Einrichten der Druckseite.

Report drucken

Druckt den Report auf dem in den Standardeinstellungen für das Projekt definierten Drucker aus.

Druckbereich

Legt Druckbereiche fest oder hebt sie auf:

  • Druckbereich festlegen: definiert markierten Bereich der Report als Druckbereich.
  • Druckbereich aufheben: hebt definierten Druckbereich wieder auf

Report Seitenansicht

Schaltet von Layoutansicht auf Seitenansicht um. Mit der linken Maus-Taste kann die Ansicht gezoomt werden.

Verlassen der Seitenansicht: Esc-Taste drücken.

Reportdatei-Info

Öffnet Dialog zur Verwaltung der Informationen der Reportdatei.


Menü Bearbeiten

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Menü Bearbeiten

Mit der Auswahl eines Reports, stellt das Menü Bearbeiten spezielle Funktionen für Reports zur Verfügung:

Befehl

Beschreibung

Ausschneiden

Schneidet markierten Bereich aus und kopiert diesen in die Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Kopieren

Kopiert markierten Bereich in die Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Einfügen

Fügt Inhalt der Zwischenablage ein.

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Einfügen erweitert

Stellt erweiterte Einfügeoptionen für Zelloperationen zur Verfügung.
Auswahl aus Kontextmenü.

  • Alles:
    Fügt gesamten Inhalt der Zwischenablage ein.
  • Formeln:
    Fügt nur Formelinhalt der Zwischenablage ein.
  • Wert:
    Fügt nur Inhalte der Zwischenablage mit Wert ein:
    Achtung: Der Bezug zu Formeln geht dabei verloren.
  • Format:
    Übernimmt nur das Format des in der Zwischenablage gespeicherten Inhalts ohne Inhalt ein

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Füllen

Kopiert den Inhalt der ausgewählten Zelle und überträgt ihn auf alle weiteren markierten Zellen.

Auswahl aus Kontextmenü.

  • nach unten:
    Inhalte werden in ausgewählte Zellen unter der Auswahl (Spalte) kopiert.
  • nach rechts:
    Inhalte werden in ausgewählte Zellen rechts neben der Auswahl (Zeile) kopiert.

Entfernen

Entfernt Inhalte aus der markierten Zellen.

Auswahl aus Kontextmenü.

  • Alles:
    gesamter Inhalt wird aus markierten Zellen entfernt.
  • Nur Inhalte:
    Nur Inhalte werten aus markierten Zellen entfernt. Das Format der Zellen bleibt dabei erhalten.
  • Format:
    Nur Formatierungen der markierten Zellen werten entfernt. Alle Inhalte bleiben dabei erhalten.

Spalte/Zeile löschen

Löscht markierte Spalten oder Zeilen.

Spalte/Zeile einfügen

Fügt neue Spalten oder Zeilen ein.

Die Einfügung erfolgt über der Zeile oder links der Spalte. Es werden so viele Zeilen/Spalten eingefügt, wie im Tabellenblatt markiert sind.

Tipp: markieren Sie immer gesamte Zeilen oder Spalten indem Sie auf die Spalten- oder Zeilenbezeichner Klicken. Mehrfachauswahl ist bei gedrückter Umschalt-Taste möglich.

Suchen/ersetzen

Öffnet den Dialog zum Suchen und Ersetzen für Tabelleninhalte.


Menü Format

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Menü Format

Das Menü Format stellt Eigenschaften und Funktionen zur Formatierung der Reporttabelle zur Verfügung:

Parameter

Beschreibung

Zellen

Formatierungsoptionen für Zellen:

  • Schriftart
  • Muster
  • Rahmen
  • Ausrichtung
  • Zahlen
  • Listen

Zeile

Formatierungsoptionen für Zeilen:

  • Zeilenhöhe: Öffnet Dialog für Definition der Zeilenhöhe
  • Zeilenformat: Öffnet Dialog für alle Eigenschaften der Zeile

Spalte

Formatierungsoptionen für Spalten:

  • Spaltenbreite: Öffnet Dialog für Definition der Spaltenbreite
  • Spaltenformat: Öffnet Dialog für alle Eigenschaften der Spalte

Report

Öffnet Dialog für die Formatierung des Reports.

Funktionsassistent

Öffnet Assistent für die Erstellung von Reportfunktionen.

Filter

Öffnet Reportfilter zur Auswahl von Archiven.


Symbolleiste Report Generator

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Symbolleiste Report Generator

Für den Report Generator steht im Editor eine Symbolleiste zur Verfügung.
Um diese aufzuschalten, falls sie nicht sichtbar ist:

  1. Öffnen Sie das Menü Extras -> Einstellungen -> Registerkarte: Symbolleiste
  2. Aktivieren Sie die Checkbox neben Report Generator.
  3. Bestätigen Sie mit OK.

Symbol

Beschreibung

Report drucken

Druckt den Report am Standarddrucker aus.

Seitenansicht Report

Öffnet den Report in einer Voransicht. Der Report kann in der Voransicht vergrößert oder verkleinert dargestellt werden (Zoom), man kann ihn durchblättern und drucken.

Report neu zeichnen

Aktualisiert die Ansicht.

Funktionen neu berechnen

Berechnet die Formeln im Report neu.

Funktionsassistent

Öffnet einen Dialog, der bei der Konfiguration der Funktionen unterstützt.

Schriftart

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Schriftart.

Textausrichtung

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Ausrichtung.

Rahmen

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Rahmen.

Muster

Öffnet den Dialog zur Zellenformatierung mit Fokus auf die Registerkarte Muster.

Symbolleistenoptionen

Klick auf Pfeil öffnet Submenü:

Aktiv: Symbolleiste wird angezeigt.

Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.

Hinweis: Bei freier Platzierung der Symbolleiste (vom Editor abgedockt) werden Optionen nicht angezeigt. Die Symbolleiste kann dann per Klick auf die Schaltfläche X geschlossen werden.


Kontextmenü und Symbolleiste Detailansicht

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Kontextmenü und Symbolleiste Detailansicht

Menüpunkt | Aktion
Report neu | Legt einen neuen Report in der Liste der Detailansicht an.
Report öffnen | Öffnet den ausgewählten Report oder legt den Fokus darauf, wenn er bereits geöffnet ist. Nur aktiv, wenn ein Report in der Detailansicht ausgewählt ist.
Standard-Funktion erzeugen | Erstellt eine zenon Funktion für den Report Generator. Die Aktion wird im Ausgabefenster dokumentiert.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Bestehenden Report importieren... | Öffnet den Dateimanager zur Auswahl einer bestehenden Report-Datei.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Aufbau Tabellenfenster

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Aufbau Tabellenfenster

Reports werden beim Editieren im Editor im Hauptfenster zweigeteilt angezeigt:

  • der linke Bereich enthält die Tabelle für den Entwurf
  • der rechte Teil zeigt eine Vorschau auf die Ausgabe

Die Größe der beiden Bereiche kann individuell geändert werden. Bewegen Sie dazu die Maus an den rechten Rand der Bildlaufleiste der Tabelle, bis sich der Mauszeiger in ein Verschiebewerkzeug wandelt. Verschieben Sie die Bildlaufleiste an die gewünschte Position.

Eingabezeile

Die Tabelle enthält am oberen Rand eine Eingabezeile. Wurde bei der Projektierung des Reports die Option Editieren in der Zelle aktiviert, wird diese Zeile nicht angezeigt. Eingaben müssen dann direkt in der Zelle vorgenommen werden.


Kontextmenü Datenblatt

Handbuch > Reporting > Report Generator > Projektieren im Editor > Neuen Report anlegen > Kontextmenü Datenblatt

Befehl

Beschreibung

Ausschneiden

Schneidet markierten Bereich aus und kopiert diesen in die Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Kopieren

Kopiert markierten Bereich in die Zwischenablage.

Nur verfügbar, wenn mindestens ein Projektierunginhalt ausgewählt ist.

Einfügen

Fügt Inhalt der Zwischenablage ein.

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Einfügen erweitert

Stellt erweiterte Einfügeoptionen für Zelloperationen zur Verfügung.
Auswahl aus Kontextmenü.

  • Alles:
    Fügt gesamten Inhalt der Zwischenablage ein.
  • Formeln:
    Fügt nur Formelinhalt der Zwischenablage ein.
  • Wert:
    Fügt nur Inhalte der Zwischenablage mit Wert ein:
    Achtung: Der Bezug zu Formeln geht dabei verloren.
  • Format:
    Übernimmt nur das Format des in der Zwischenablage gespeicherten Inhalts ohne Inhalt ein

Nur verfügbar wenn zuvor Kopieren oder Ausschneiden ausgeführt wurde.

Füllen

Kopiert den Inhalt der ausgewählten Zelle und überträgt ihn auf alle weiteren markierten Zellen.

Auswahl aus Kontextmenü.

  • nach unten:
    Inhalte werden in ausgewählte Zellen unter der Auswahl (Spalte) kopiert.
  • nach rechts:
    Inhalte werden in ausgewählte Zellen rechts neben der Auswahl (Zeile) kopiert.

Entfernen

Entfernt Inhalte aus der markierten Zellen.

Auswahl aus Kontextmenü.

  • Alles:
    gesamter Inhalt wird aus markierten Zellen entfernt.
  • Nur Inhalte:
    Nur Inhalte werten aus markierten Zellen entfernt. Das Format der Zellen bleibt dabei erhalten.
  • Format:
    Nur Formatierungen der markierten Zellen werten entfernt. Alle Inhalte bleiben dabei erhalten.

Spalte/Zeile löschen

Löscht markierte Spalten oder Zeilen.

Spalte/Zeile einfügen

Fügt neue Spalten oder Zeilen ein.

Die Einfügung erfolgt über der Zeile oder links der Spalte. Es werden so viele Zeilen/Spalten eingefügt, wie im Tabellenblatt markiert sind.

Tipp: markieren Sie immer gesamte Zeilen oder Spalten indem Sie auf die Spalten- oder Zeilenbezeichner Klicken. Mehrfachauswahl ist bei gedrückter Umschalt-Taste möglich.

Suchen/ersetzen

Öffnet den Dialog zum Suchen und Ersetzen für Tabelleninhalte.

Menüpunkt

Aktion

Report...

Öffnet den Dialog für die Formatierung des Reports.

Zelle...

Öffnet den Dialog für die Formatierung einer Zelle.

Spalte...

Öffnet den Dialog für die Formatierung der Spalten.

Zeile...

Öffnet den Dialog für die Formatierung der Zeilen.

Funktionen...

Öffnet den Assistenten für die Erstellung von Reportfunktionen.

Hinweis: Der Assistent bietet eine Auswahl der über 150 Funktionen an. Weitere Funktionen können händisch in die Eingabezeile des Datenblattes eingegeben werden.


Druckereinstellungen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Druckereinstellungen

Das Reportlayout (Seitenränder, Seitengröße) hängt ab vom konfigurierten Drucker. Die Einstellungen für den Reportdrucker erreichen Sie über Datei -> Allgemeine Konfiguration -> Standard -> Drucker für auszugebende Werte und Protokolle.

Hier definieren Sie

  • den Drucker und
    • Papierformat des Drucks
    • Papierquelle des Druckers
    • Ausrichtung des Drucks

attention Achtung

Der gewünschte Drucker muss vor der Reporterstellung ausgewählt werden, da die Seitenformatierung eines Reports von dem eingestellten Drucker abhängt. Die nachträgliche Änderung des Druckers kann eine Neuformatierung des bestehenden Reports notwendig machen.

Druckerkonfiguration

Drucker

Parameter | Beschreibung
Drucker | Einstellungen für den Drucker.
Name: | Auswahl des Druckers aus Dropdownliste. Liste enthält alle im Betriebssystem konfigurierten Drucker.
Eigenschaften... | Öffnet Dialog zur Konfiguration des gewählten Druckers.
Status: | Anzeige Druckerstatus. Nur Information.
Typ: | Anzeige Druckertyp. Nur Information
Standort: | Anzeige Standort des Druckers, falls konfiguriert. Nur Information.
Kommentar: | Anzeige Kommentar zum Drucker, falls konfiguriert. Nur Information.

Papier

Parameter | Beschreibung
Papier | Konfiguration des Ausdrucks.
Größe | Auswahl Papierformat aus Dropdownliste.
Quelle | Wahl der Papierzufuhr aus Dropdownliste.

Ausrichtung

Parameter

Beschreibung

Ausrichtung

Wahl der Papierausrichtung. Mögliche Parameter:

  • Hochformat
  • Querformat

Netzwerk

Öffnet Dialog zur Auswahl eines Druckers im Netzwerk.

OK

Übernimmt Konfiguration und schließt Dialog. Zur Runtime wird damit der Druck gestartet.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Zur Runtime wird damit auch der Ausdruck abgebrochen.


Datei Info

Handbuch > Reporting > Report Generator > Projektieren im Editor > Datei Info

Im Dialog Report -> Reportdatei-Info können Informationen zur jeweiligen Reportdatei gespeichert werden.

Parameter | Beschreibung
Dateiname | Name der Reportdatei. Nur Information, hier nicht änderbar. Kann in der Detailansicht geändert werden.
Ordner | Speicherort der Reportdatei. Nur Information, hier nicht änderbar.
Titel | Freie Texteingabe
Thema | Freie Texteingabe
Autor | Freie Texteingabe
Kommentar | Freie Texteingabe


Suchen und ersetzen im Report

Handbuch > Reporting > Report Generator > Projektieren im Editor > Suchen und ersetzen im Report

Um im Tabellenblatt nach Formeln, Zeichenfolgen oder Werten zu suchen und diese zu ersetzen:

  1. aktivieren Sie den gewünschten Report
  2. wählen Sie im Menü Bearbeiten den Befehl Suchen/ersetzen
  3. der Dialog zum Suchen und Ersetzen wird geöffnet

Parameter

Beschreibung

Begriffe eingeben

Eingabe der Zeichenfolgen für suchen und ersetzen.

Suchen nach

Zeichenfolge nach der gesucht wird.

Ersetzen durch

Zeichenfolge, die die gefundene ersetzt.

Ersetzen

Ersetzt aktuell angezeigte Fundstelle durch Zeichenfolge aus Ersetzen durch.

Alle ersetzen

Ersetzt alle Fundstellen durch Zeichenfolge aus Ersetzen durch.

Weitersuchen

Sucht nächstes Vorkommen der gesuchten Zeichenfolge.

Suchoptionen

Optionen für Suche

Suchen in

Auswahl aus Dropdownliste:

  • Formeln: sucht in Formeln
  • String: sucht in Zeichenfolgen
  • Wert: sucht in Werten

Suche Teilstring

Sucht auch in Teilbereichen von Zellen.

Groß-/Kleinschreibung beachten

Beachtet Groß- und Kleinschreibung bei Suche.

Schließen

Schließt Dialog.

Hilfe

Öffnet Online-Hilfe


Formatierungen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen

Vor der Erstellung eines Reports sollten die nötigen Formatierungen durchgeführt werden:

  • Seite: Druckeigenschaften für Seite einrichten
  • Report: Reporteigenschaften einrichten
  • Zelle: Formatierung der Zellen festlegen (Ausrichtung, Rahmen, Schriftart, Muster, Typ, Listen)
  • Spalten und Zeilen: Formatierungen für ausgewählte Spalten oder Zeilen

Die Einstellungen erreichen Sie über die Dropdownlisten Report und Format in der Menüzeile oder über das Kontextmenü des Tabellenblattes.

Tipp: Achten Sie darauf, bei Reports mit großen Datenmengen genügend Zeilen/Spalten für die Ausgabe vorzusehen.

Noch in diesem Kapitel

Seite einrichten

Report formatieren

Zelle formatieren

Spalten und Zeilen formatieren


Seite einrichten

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Seite einrichten

Der Befehl Seite einrichten... im Menü Report öffnet den Dialog zur Konfiguration der Report-Seite. Dieser enthält die beiden Registerkarten:

  • Ränder
  • Kopfzeile und Fußzeile

Noch in diesem Kapitel

Ränder

Kopfzeile und Fußzeile


Ränder

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Seite einrichten > Ränder

Parameter

Beschreibung

Seitenränder einstellen

Druckrand unabhängig von der Druckereinstellung festlegen

oben

Abstand des Reports zum oberen Rand.

unten

Abstand des Reports zum unteren Rand.

links

Abstand des Reports zum linken Rand.

rechts

Abstand des Reports zum rechten Rand.

Kopfzeile

Abstand der Kopfzeile zum Text.

Mögliche Werte: 0 bis 20; 0 = ausgeblendet.

Der Wert muss groß genug gewählt, um die unter Kopfzeile und Fußzeile ausgewählte Schriftgröße darstellen zu können.

Fußzeile

Abstand der Fußzeile zum Text.

Mögliche Werte: 0 bis 20; 0 = ausgeblendet.

Der Wert muss groß genug gewählt, um die unter Kopfzeile und Fußzeile ausgewählte Schriftgröße darstellen zu können.

Allgemein

Druckbereich

Legt den Druckbereich ausgehend von der Zelle A1 fest. Eingabe in das Textfeld: Koordinaten des Endwerts des Bereichs.

Beispiel: D5 legt den Druckbereich auf die Zellen A1 bis D5 fest.

Hinweis: Der Druckbereich muss mindestens 2 Zeilen und 2 Spalten enthalten. Aller Anweisungen mit A oder 1 sind damit ungültig und werden nicht ausgeführt.
Beispiele: A7: ungültig; D1: ungültig; B2: gültig.

Drucker

Auswahl des Druckers für den Report. Klick auf Dropdownliste öffnet Liste aller in der zenon Druckereinstellung definierten Drucker.

Default: Werte und Protokolle

Druckbereich auf Drucker anpassen

Aktiv: Der Druckbereich des Reports wird an die Einstellungen des ausgewählten Druckers angepasst.

Hinweis: Der Druckbereich muss mindestens 2 Zeilen und 2 Spalten enthalten. Aller Anweisungen mit A oder 1 sind damit ungültig und werden nicht ausgeführt.
Beispiele: A7: ungültig; D1: ungültig; B2: gültig.

Statische Zeilen Spalten drucken

Aktiv: Statische Zeilen und Spalten werden mitgedruckt.

Zentrierung

Ausrichtung des Reports auf der Druckseite

vertikal

Zentriert den Report vertikal.

horizontal

Zentriert den Report horizontal.

Ausrichtung

Einstellung des Seitenformates

Hochformat

Druckt im Hochformat.

Querformat

Druckt im Querformat.

Druckrichtung

Reihenfolge des Seitenausdrucks bei mehreren Seiten

Von links nach rechts

Ausdruck mehrere Seiten von links nach rechts.

Von oben nach unten

Ausdruck mehrerer Seiten von oben nach unten.


Kopfzeile und Fußzeile

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Seite einrichten > Kopfzeile und Fußzeile

Parameter | Beschreibung
Kopfzeile | Definition des Kopfzeilen-Bereichs
Linker Abschnitt | Linksbündiger Text für das linke Drittel der Kopfzeile.
Mittlerer Abschnitt | Zentrierter Text für die Mitte der Kopfzeile.
Rechter Abschnitt | Rechtsbündiger Text für das rechte Drittel der Kopfzeile.
Schriftart | Öffnet Dialog für Auswahl von Schriftart, Schriftgröße und Schriftauszeichnung des Fußzeilen-Textes.
Fußzeile | Definition des Fußzeilen-Bereichs
Linker Abschnitt | Linksbündiger Text für das linke Drittel der Fußzeile
Mittlerer Abschnitt | Zentrierter Text für die Mitte der Fußzeile.
Rechter Abschnitt | Rechtsbündiger Text für das rechte Drittel der Fußzeile
Schriftart | Öffnet Dialog für Auswahl von Schriftart, Schriftgröße und Schriftauszeichnung des Fußzeilen-Textes. Achten Sie darauf, dass die Einstellungen für Kopf-/Fußzeile in Ränder so gewählt werden, dass die Schriftgröße vollständig dargestellt werden kann.
Schlüsselwörter | Schlüsselwörter für die Kopf- und Fußzeilen
&[Page] | Seitennummer
&[Pages] | Gesamtzahl der Seiten
&[Date] | Aktuelles Druckdatum
&[Time] | Aktuelle Druckzeit
&[File] | Dateiname


Report formatieren

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Report formatieren

Für die Formatierung des gesamten Reports stehen Einstellungen zur Verfügung für:

  • Allgemein: allgemeine Einstellungen für den Report
  • Spalten: allgemeines Einstellungen für Spalten wie Anzahl etc.
  • Zeilen: allgemeines Einstellungen für Zeilen wie Anzahl etc.

Zur Formatierung wählen Sie entweder den Befehl Report im Menü Format oder im Kontextmenü des Reportblattes den Befehl Report formatieren.

Noch in diesem Kapitel

Allgemein

Spalten

Zeilen


Allgemein

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Report formatieren > Allgemein

Parameter | Beschreibung
Überschrift | Reportüberschrift
Auswahl | Legt Auswahlverhalten bei Klick fest.
ganze Zeile | Aktiv: Die gesamte Zeile wird ausgewählt.
eine Zelle | Aktiv: Nur die angeklickte Zelle wird ausgewählt; Mehrfachauswahl von Zellen ist nicht möglich.
Optionen |
Automatische Berechnung | Aktiv: Berechnungen werden bei Änderung der Eingangsgrößen automatisch aktualisiert.
Raster anzeigen | Aktiv: Zeigt Gitternetzlinien im Editor an.
Editieren in der Zelle | Aktiv: Eingaben erfolgen direkt in die Zelle, die Eingabezeile im Reportfenster wird ausgeblendet.
Klick Referenz | Aktiv: Die angeklickte Zelle wird in der Eingabezeile bei Eingabe von Formeln als Reportkoordinate übernommen. Zum Beispiel: statt A12 einzugeben wir die Zelle A12 angeklickt.


Spalten

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Report formatieren > Spalten

Parameter | Beschreibung
Spalteneinstellungen |
Anzahl der Spalten | Definiert maximale Anzahl an Spalten. Gültiger Wert: 0 bis 31000.
Statische Spalten | Anzahl der Spalten, die immer angezeigt werden. Scrollen erfolgt erst nach den statischen Spalten.
Anzeigen der Buttons in der ersten Spalte | Aktiv: Blendet Zeilennummern ein.
Aktivieren der Spaltenformatierung | Aktiv: Spaltenbreite kann mit der Maus durch Ziehen der Ränder der Kopfzeile angepasst werden.


Zeilen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Report formatieren > Zeilen

Projektierbare Eigenschaften der Zeilen sind:

Parameter | Beschreibung
Anzahl der Zeilen | Definiert maximale Anzahl an Zeilen. Gültiger Wert: 0 bis 31000.
Statische Zeilen | Anzahl der Zeilen, die immer angezeigt werden. Scrollen erfolgt erst nach den statischen Zeilen.
Anzeigen der Buttons in der ersten Zeile | Aktiv: Blendet Spaltenkopf >(A, B, C, ...) ein.
Aktivieren der Zeilenformatierung | Aktiv: Zeilenbreite kann mit der Maus durch Ziehen der Ränder der Zeilennummerierung angepasst werden.


Zelle formatieren

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren

Für die Formatierung der Zellen des Reportblattes stehen Einstellungen zur Verfügung für:

Ausrichtung

Rahmen

Schriftart

Muster

Zellentyp

Dropdownlisten

Zur Formatierung wählen Sie:

  • im Kontextmenü des Reportblattes den Befehl Zelle formatieren, um den Dialog zu öffnen
  • oder das gewünschte Untermenü in Report -> Zellen formatieren, um den Dialog mit der entsprechenden Registerkarte zu öffnen

Noch in diesem Kapitel

Ausrichtung

Rahmen

Schriftart

Muster

Zellentyp

Dropdownlisten


Ausrichtung

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren > Ausrichtung

In der Registerkarte Ausrichtung wird die Darstellung von Zellinhalten definiert.

Für die vertikale Positionierung stehen zur Verfügung:

  • Allgemein
  • Oben
  • Mitte
  • Unten
  • Umbruch

Für die horizontale Positionierung stehen zur Verfügung:

  • Allgemein
  • Links
  • Mitte
  • Rechts

info Info

Soll Text vertikal dargestellt werden, wählen Sie in der Registerkarte Schriftart die Eigenschaft vertikal.


Rahmen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren > Rahmen

In der Registerkarte Rahmen legen Sie fest, ob und in welcher Form ein Rahmen um eine Zelle angezeigt wird. Sie können jede Seite des Rahmens (oben, unten, links, rechts) extra in Art und Farbe definieren:

  1. Legen Sie Art und Farbe fest.
  2. Weisen Sie diese per Klick dem gesamten Rahmen oder einer einzelnen Seite zu.

Parameter | Beschreibung
Rahmenauswahl | Klick in die Mitte aktiviert alle vier Rahmenseiten. Klick auf eine Rahmenseite aktiviert diese.
Linienart | Auswahl der Linienart aus Dropdownliste.
Linienfarbe | Auswahl der Linienfarbe aus Dropdownliste.


Schriftart

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren > Schriftart

Für Schriften stehen die Standardeinstellungen von Windows zur Verfügung.

Parameter

Beschreibung

Schriftart

Auswahl der Schriftart.

Schriftschnitt

Auswahl des Schriftschnittes.

Schriftgrad

Auswahl des Schriftgrades in Punkt.

Effekte

Auswahl von Schrifteffekten über Checkbox:

  • Durchgestrichen: Text in Zelle wird durchgestrichen dargestellt.
  • Unterstrichen: Text in Zelle wird unterstrichen dargestellt.
  • Vertikal: Text wird von oben nach unten geschrieben.

Farbe

Wird nicht berücksichtigt!
Die Farbe muss bei der Verwendung der Schrift z. B. in einem dynamischen Element eingestellt werden

Skript

Wird nicht berücksichtigt!
Es wird durchgängig Unicode-Darstellung verwendet.

Beispiel

Zeigt Auswirkungen der Auswahl auf den Text in der Zelle an.


Muster

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren > Muster

In der Registerkarte Muster definieren Sie Farbe und Muster der Zelle.

Parameter | Beschreibung
Muster | Auswahl des Zellenmusters aus Dropdownliste.
Vordergrund | Auswahl der Vordergrundfarbe aus Dropdownliste.
Hintergrund | Auswahl der Hintergrundfarbe aus Dropdownliste.


Zellentyp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren > Zellentyp

In der Registerkarte Zellentyp legen Sie das Ausgabeformat fest. Sie haben die Wahl zwischen:

  • Allgemein: Ausgabe von Werten, Daten und Binärdaten
  • Dropdownliste: Erstellung von Dropdownlisten
  • Datentyp: Definition von Datentypen
  • Grafikdatei: Einfügen einer Grafik

Die jeweiligen Formatschlüssel werden im Kapitel Formatierungsschlüssel beschrieben.

Allgemein

Option

Beschreibung

Formatstrings

Auswahl des Ausgabeformats für den jeweiligen Zellentyp oder Auswahl aus Dropdownliste.

  • Wert: Numerische Werte. Details siehe Kapitel Numerische Datentypen.
  • Datum: Datumsangaben. Details siehe Kapitel Datentypen für Datum und Uhrzeit.
  • Zeit: Zeitangaben. Details siehe Kapitel Datentypen für Datum und Uhrzeit.
  • Binärwert: Binärwerte. Details siehe Kapitel Logische Datentypen.

Gesperrt

Aktiv: Sperrt die Zelle für das Editieren im Editor und Einträge im Online-Report.

Example Beispiel

Formatstring für eine Wertausgabe:
*0.00 = beliebiger Wert mit 2 Nachkommastellen

dd/mm/yy hh:mm = 01/01/10 12:30 (entsprechend Einstellungen im Betriebssystem)

Dropdownliste

Der Zellentyp Dropdownliste bietet Dropdownlisten zur Auswahl vordefinierter Eingaben an. Bevor dieser Zellentyp verwendet werden kann, muss in der Registerkarte Combobox Listen eine Liste erstellt worden sein.

Option

Beschreibung

Dropdownliste

Name der Dropdownliste. Diese muss in der Registerkarte Dropdownlisten bereits definiert sein.

Drophöhe

Darstellungshöhe

Dropbreite

Darstellungsbreite

Gesperrt

Aktiv: Sperrt die Zelle für das Editieren im Editor und Einträge im Online-Report.

Anzeigemodus

Art der Anzeige. Auswahl über Radiobutton:

  • mit Text: Alphabetisch sortiert nach Text.
  • mit Sortierindex: Sortiert nach Sortierindexzahl (aufsteigend).
  • mit Index: Sortiert nach Reihenfolge der Eingabe der Listeneinträge.

Datentyp

Mit Datentyp wird eine Eingabe-Vorlage im Report angelegt. Bestehende Funktionen werden aus dieser Zelle entfernt. Der Anwender erhält eine Vorgabe, wie Daten in die Zell einzutragen sind.

Option

Beschreibung

Formatstring

Eingabe des Formats, abhängig vom Datentyp, oder Auswahl aus Dropdownliste.

Datentyp

Auswahl des Datentyps aus Dropdownliste:

  • Datum/Zeit: Eingabe eines Datums-/Zeitwerts.
    Details Formatstring siehe Kapitel Datentypen für Datum und Uhrzeit.
  • Float: Eingabe eines Floatwerts.
    Details Formatstring siehe Kapitel Numerische Datentypen.
  • Integer: Eingabe eines Integerwerts.
    Details Formatstring siehe Kapitel Numerische Datentypen.
  • Logisch: Eingabe eines Binärwerts.
    Details Formatstring siehe Kapitel Logische Datentypen.
    Projektierbar: Ja/Nein; Richtig/Falsch.
  • Text: Eingabe von Text.
  • Unbestimmt: Kein Datentyp festgelegt

Gesperrt

Aktiv: Sperrt die Zelle für das Editieren im Editor und Einträge im Online-Report.

Grafikdatei

Grafikdateien müssen vor der Auswahl im Projektmanager angelegt worden sein: Knoten Dateien -> Grafiken -> [Kontextmenü] Dateien hinzufügen.

Parameter

Beschreibung

Grafikdatei

Auswahl der Grafikdatei. Unterstützt werden die Formate BMP, JPG, GIF, PNG und WMF.

Originalgröße

Anzeige der Grafikdatei:

  • Aktiv: Die Grafik wird in Originalgröße angezeigt.
  • Inaktiv: Grafik wird an Größe der Zelle angepasst.

Default: inaktiv.

Gesperrt
  • Aktiv: Sperrt die Zelle für das Editieren im Editor und Einträge im Online-Report.


Dropdownlisten

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Zelle formatieren > Dropdownlisten

In der Registerkarte Combobox Listen werden Listen für den Zellentyp Combobox definiert.

Parameter

Beschreibung

Dropdownlisten

Dropdownliste zur Auswahl vorhandener Listen.

Neu

Öffnet Dialog zur Erstellung einer neuen Liste.

Löschen

Löscht ausgewählte Liste.

Inhalt der ausgewählten Liste

Zeigt Inhalte der ausgewählten Liste an

Aktueller Eintrag

Konfiguration des Eintrags.

Text

Eingabe des Textes, wie er zur Runtime in der Liste erscheinen soll.

Indexzahl

Eingabe einer Indexzahl zur Sortierung der Liste:

  • Minimalwert: 0
    Keine Sortierung nach Index. Liste kann zur Runtime wahlweise alphabetisch oder in der Reihenfolge der Eingabe sortiert werden.

Maximalwert: 9999999999

Anhängen

Der neue Eintrag wird abhängig von den Einstellungen, die bei der Erstellung der Liste gewählt wurden, in Inhalt der ausgewählten Liste eingefügt.

  • Nicht: Eintrag wird am Ende der Liste eingefügt.
  • Nach Text: Alphabetische Reihenfolge.
  • Nach Codes: Codezahl bestimmt Reihenfolge (aufsteigend) in Liste.

Einfügen

Der neue Eintrag wird oberhalb des in Inhalt der ausgewählten Liste markierten Eintrags eingefügt.

Löschen

Löscht den in Inhalt der ausgewählten Liste ausgewählten Eintrag.

Neue Liste anlegen

Parameter

Beschreibung

Listen Name

Name der Liste

Sortieren

Sortierkriterien für Anzeige in Inhalt der ausgewählten Liste und zur Runtime. Auswahl eines Radiobuttons:

  • Nicht: Eintrag wird am Ende der Liste eingefügt.
  • Nach Text: Alphabetische Reihenfolge.
  • Nach Sortierindex: Indexzahl bestimmt Reihenfolge (aufsteigend) in der Liste.


Spalten und Zeilen formatieren

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Spalten und Zeilen formatieren

Ist eine ganze Zeile oder eine ganze Spalte markiert, steht im Kontextmenü der Befehl Spalte formatieren oder Zeile formatieren zur Verfügung.

So wie in Zelle formatieren stehen Registerkarten zur Verfügung für:

Ausrichtung

Rahmen

Schriftart

Muster

Hinweis: Diese Einstellungen betreffen immer nur die Spaltenüberschrift oder Zeilenüberschrift. Sie haben keine Auswirkung auf die anderen Zellen einer Spalte oder Zeile. Diese müssen immer über den Dialog Zelle formatieren formatiert werden.

Zusätzlich steht in diesem Dialog eine weitere Registerkarte Spalte oder Zeile zur Verfügung.

Noch in diesem Kapitel

Spalte

Zeile


Spalte

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Spalten und Zeilen formatieren > Spalte

In der Registerkarte Spalte werden Eigenschaften, die die ganze Spalte betreffen, definiert:

Parameter

Beschreibung

Definition

Überschrift

Legt Spaltenüberschrift fest.

$C: Buchstaben in aufsteigender Reihenfolge der Spaltenzahl

E: expandiert die Spalte automatisch auf die richtige Anzahl von Spalten, wenn in einer ihrer Zellen eine Funktion archiv*, aml oder cel vorkommt. Werden auch andere Reportfunktionen verwendet, darf "E" nicht verwendet werden. "E" kann in einem Report mehrfach verwendet werden.
Default: $C

Breite in Pixeln

Breite der Spalte in Pixel

Optionen

Ausblenden

Aktiv: Die Spalte wird ausgeblendet.
Inaktiv: Die Spalte wird angezeigt.

Um eine ausgeblendete Spalte wieder einzublenden: Markieren Sie die beiden Nachbarspalten und setzen Sie die Eigenschaft Ausblenden auf inaktiv.

Achtung: Funktionen, die sich in ausgeblendeten Zellen befinden, werden nicht ausgeführt. Um eine Funktion auszuführen, ohne dass sie angezeigt wird: Setzen Sie die Zeilenhöhe oder Spaltenbreite auf 0.

Schutz

Aktiv: Die Zellen der Spalte werden gegen Änderungen der Formatierung geschützt.
Inaktiv: Die Zellen dieser Spalte lassen sich formatieren.


Zeile

Handbuch > Reporting > Report Generator > Projektieren im Editor > Formatierungen > Spalten und Zeilen formatieren > Zeile

In dieser Dialogbox können Eigenschaften für die ganze ausgewählte Zeile definiert werden.

Parameter

Beschreibung

Definition

Überschrift

Legt Zeilenüberschrift fest.

$R: Zahlen in aufsteigender Reihenfolge der Zeilenzahl

E: expandiert die Zeile automatisch auf die richtige Anzahl von Zeilen, wenn in einer ihrer Zellen eine Funktion archiv*, aml oder cel vorkommt. Werden auch andere Reportfunktionen verwendet, darf "E" nicht verwendet werden. "E" kann in einem Report mehrfach verwendet werden.

Default: $R

Höhe in Pixeln

Höhe der Zeile in Pixel.

Optionen

Ausblenden

Aktiv: Die Zeile wird ausgeblendet.
Inaktiv: Die Zeile wird angezeigt.

Um eine ausgeblendete Zeile wieder einzublenden: Markieren Sie die beiden Nachbarzeilen und setzen Sie die Eigenschaft Ausblenden auf inaktiv.

Achtung: Funktionen, die sich in ausgeblendeten Zellen befinden, werden nicht ausgeführt. Um eine Funktion auszuführen, ohne dass sie angezeigt wird: Setzen Sie die Zeilenhöhe oder Spaltenbreite auf 0.

Schutz

Aktiv: Die Zellen der Zeile werden gegen Änderungen der Formatierung geschützt.
Inaktiv: Die Zellen dieser Zeile lassen sich formatieren.


Archivfilter einrichten

Handbuch > Reporting > Report Generator > Projektieren im Editor > Archivfilter einrichten

Sollen im Report Archivwerte verwendet werden, sind diese vor der Aktivierung der Reportfunktionen zu definieren.
Um den Archivfilter einzurichten:

  1. Öffnen Sie das Menü Format.
  2. Wählen Sie den den Befehl Filter.

Option

Beschreibung

Parameter

Liste der aus Archiven ausgewählten Variablen.

Die den Variablen vorangestellten Zahlen werden in den Archiv- und Protokollfunktionen zur Zuordnung verwendet.

Neu

Öffnet Dialog zur Auswahl von Variablen.

Ändern

Öffnet Dialog zur Auswahl von Variablen.

Löschen

Löscht ausgewählte Variable aus Liste Parameter.

Archive

Definition eines Filterkriteriums für die Quellvariablen, die zur Verwendung im Report Generator ersetzt werden sollen.
Wildcards * und ? sind am Beginn oder Ende eines Ausdrucks erlaubt.

Ersetzen durch

Eingabe des Ausdrucks, der den gesuchten String ersetzen soll.

Ersetzen

Führt Suche und Ersetzen durch. Die im Report Generator verwendeten Archive werden entsprechend der Regel ersetzt.
Das Ergebnis wird in einer Meldungsbox angezeigt.

Hinweis: Bei Verwendung des Editors in englischer Sprache lautet die Regel zum Ersetzen von STRING-Variablen in Verdichtungsarchiven: *FOLLOWINGARCHIVEIDSOURCE* -> TARGETFOLLOWINGARCHIVEID

Beispiele für Ersetzen von Archiven

Verknüpfte Archive im Report: 1A, 2A, A1, A2

Beispiel 1

A an erster Position wird ersetzt durch B:

  • Archive: A (entspricht A*)
  • Ersetzen durch: B
  • Ergebnis: 1A, 2A, B1, B2

Beispiel 2

A an zweiter Position wird ersetzt durch B:

  • Archive: ?A
  • Ersetzen durch: B
  • Ergebnis: 1B, 2B, A1, A2

Beispiel 1

A wird generell durch B ersetzt:

  • Archive: *A
  • Ersetzen durch: B
  • Ergebnis: 1B, 2B, B1, B2

Dialog für Filter "Neu" oder "Ändern"

Klick auf Schaltfläche Neu oder Ändern öffnet den Dialog zur Auswahl der Variablen:

Option | Beschreibung
Parameter | Anzeige der vorhandenen Archive. Auswahl ganzer Archive oder einzelner Variablen möglich. Jede Variable erhält automatisch eine aufsteigende Nummer, die in den Reportfunktionen für Archive angesprochen wird. Damit kann ein Report auch projektübergreifend wiederverwendet werden.
Speichern | Stellt ausgewählte Archive/Variablen dem Report zur Verfügung.
Abbrechen | Verlässt Dialog ohne Auswahl zu übernehmen.

Jede Variable erhält automatisch eine aufsteigende Nummer, die in den Reportfunktionen für Archive angesprochen wird.


Reportfunktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen

Für die Gestaltung des Reports stehen verschiedene formatierende und berechnende Funktionen zur Verfügung.

  • verarbeitende Funktionen:

    definierte Zugriffe auf ausgewählte zenon Daten (Online- und Archivwerte, Benutzer, Rechnernamen etc.)

  • Reportfunktionen
    • formatierende Funktionen
    • berechnende Funktionen

Folgende Gruppen an Funktionen stehen zur Verfügung:

  • Datenbankfunktionen
  • Datum und Zeitfunktionen
  • Logische Funktionen
  • Archiv- und Protokoll-Funktionen
  • Statistische Funktionen
  • Mathematische und trigonometrische Funktionen
  • Textfunktionen
  • Rezeptgruppen Manager Funktionen
  • Sonstige Funktionen

Die am häufigsten genutzten Funktionen können mit Hilfe des Funktionsassistenten projektiert werden.

Eingabe

Die Eingabe der Funktionen erfolgt in der Eingabezeile des Reports.

Sollen mehrere Zellen die gleiche Eingabe/Funktion erhalten:

  1. markieren Sie Ausgangszelle und die Zielzelle
  2. wählen Sie im Kontextmenü den Befehl Füllen und die gewünschte Richtung (rechts oder unten)

    Verweise auf Zellenkoordinaten in der Funktion werden automatisch angepasst.

Beispiel für Eingaben

Parameter | Beschreibung
=archiv(1,wert,unten) | Alle Werte des Archivvariablen 1 werden ab der Zelle nach unten angezeigt.
=sum(A4:D4) | Die Inhalte der Zellen A4 bis D4 werden summiert. Die Zelle muss als Wert formatiert sein.
=now() | Gibt das aktuelle Datum/die aktuelle Zeit aus.

info Info

Reportfunktionen können im Editor zu Fehlermeldungen führen, wenn nicht alle für die Berechnung nötigen Angaben korrekt zur Verfügung stehen. Für die Überprüfung der korrekten Projektierung testen Sie den Report in der Runtime.

Richtung

Optionen

Bedeutung

rechts

Wert wird nach rechts eingetragen (Zeile).

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Spalte angelegt, wird der Wert nach unten (in die Spalte) eingetragen.

unten

Wert wird nach unten eingetragen (Spalte.)

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Zeile angelegt, wird der Wert nach rechts (in die Zeile) eingetragen.

info Info

Das Modul Report Generator ist in der Entwicklungsumgebung und in der Runtime (Einzelplatz, Server/Standby, Client) lizenzpflichtig.

Wird das Modul in der Runtime nicht lizenziert, sind folgende Funktionen nicht verfügbar:

  • Archive speichern (für Handeingaben)
  • und Sollwerte absetzen

Lesender Zugriff ist möglich.

Noch in diesem Kapitel

Konventionen

Funktionsassistent

Archiv- und Protokollfunktionen

Datenbankfunktionen

Datum und Zeitfunktionen

Logische Funktionen

Mathematische und trigonometrische Funktionen

Rezeptgruppen-Manager Funktionen

Statistische Funktionen

Textfunktionen

Sonstige Funktionen

Formatierungsschlüssel


Konventionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Konventionen

Es gelten folgende Konventionen:

Parameter | Beschreibung
Zahl: | (num); Trennzeichen für Nachkommastellen hängt ab von den Einstellungen im Betriebssystem (1,0 oder 1.0).
Bereich: | (A1:A10)
String: | Zeichenfolgen werden durch doppeltes Hochkomma (") getrennt, z. B. "ABC".
Radians: | Die Eingabe bei Winkelfunktionen erfolgt in Radians.

Umrechnung Grad in Radians

Gradmaß | Bogenmaß | Radians
0,00 | 0 | 0
45,00 | p/4 | 0,78539816339744828
90,00 | p/2 | 1,5707963267948966
135,00 | 3p/4 | 2,3561944901923448
180,00 | p | 3,1415926535897931
225,00 | 5p/4 | 3,9269908169872414
270,00 | 3p/2 | 4,7123889803846897
315,00 | 7p/4 | 5,497787143782138
360,00 | 2p | 6,2831853071795862


Funktionsassistent

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Funktionsassistent

Der Funktionsassistent unterstützt bei der Projektierung von Reportfunktionen. Er stellt die am häufigsten gebrauchten Funktionen zur Verfügung. Alle anderen Funktionen werden manuell in die Eingabezeile eingegeben.

Um den Funktionsassistenten zu öffnen:

  1. klicken Sie in die gewünschte Zelle
  2. wählen Sie im Kontextmenü den Befehl Funktionen
  3. der Assistent wird geöffnet
  4. die Auswahl im Assistenten wird in die Eingabezeile übernommen;
    eventuell geöffnete Klammern müssen manuell geschlossen werden

Parameter | Beschreibung
Syntax | Ergebnis der Auswahl von Funktion und Parameter.
Funktion | Auswahl der Funktion.
Parameter | Auswahl der Parameter, die für die gewählte Funktion zur Verfügung stehen.


Archiv- und Protokollfunktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen

Grundlagen

Alle Archivfunktionen bauen auf der Grundfunktion archive(FILTERINDEX,PARAMETER,RICHTUNG) auf.

Die Erweiterungen werden durch zusätzliche Buchstaben im Funktionsnamen kenntlich gemacht.

Kürzel | Bedeutung | Bemerkung
r | read only | Das Archiv kann nur gelesen werden. Geänderte Werte können nicht gespeichert werden.
sp | Spalten | Bietet spezielle Formatierung zur Definition von zu verwendenden Zellen.
m | Mathematik | Wirkt nur auf Wert und Zeit.
ex | extended | Bietet Sonderbehandlungen.
w | write | Schreiben ist möglich.

Filterindex

Der Filterindex stellt die Zuordnung zwischen den in den Reportfunktionen verwendeten Nummern des Archivfilters und den Variablen aus den Archiven her.

Example Beispiel

=archive(5,"wert","unten")

FILTERINDEX = 5

Der im Filter unter Nr. 5 angeführte Eintrag wird für die Reportfunktion verwendet.

Parameter

Optionen | Möglicher Wert
wert | [1-n]
status | [1-n]
zeit | [1-n]
anzahl | [1]

Richtung

Optionen

Bedeutung

rechts

Wert wird nach rechts eingetragen (Zeile).

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Spalte angelegt, wird der Wert nach unten (in die Spalte) eingetragen.

unten

Wert wird nach unten eingetragen (Spalte.)

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Zeile angelegt, wird der Wert nach rechts (in die Zeile) eingetragen.

Alle Archivfunktionen können mit dem Funktionsassistenten erstellt werden.

Bei der Ausgabe der Statusinformation werden die Einstellungen aus der Datei project.ini im Abschnitt [STATUS] oder aus der intern definierten Zuordnung verwendet. Wurde die Statusbezeichnung in der project.ini geändert, wird der geänderte Name ausgegeben. (Tipp: Ermöglicht es, Projekt mit alten Statusbezeichnern kompatibel zu halten.)

Im Onlinebetrieb wird die Abfragezeit entweder im Funktionsaufruf definiert oder zur Runtime beim Öffnen einer Reportdatei vorgegeben.

Archiveinträge ändern

Sofern von den Benutzerrechten zugelassen, können Archivwerte zur Runtime auch geändert werden. Änderungen werden entweder manuell über das Kontrollelement Speichern oder automatisch beim Speichern der Reportdatei gespeichert. Der Status eines geänderten Eintrags wird automatisch auf Handwert gesetzt.

info Info

Ändern von Stringfeldern im Report: Besteht ein Text nur aus Zahlen, werden Leerzeichen beim Speichern standardmäßig entfernt. Gewünschte Leerzeichen müssen durch das ASCII Zeichen 255 (Alt+255) dargestellt werden.

Noch in diesem Kapitel

Behandlung von Archiveinträgen

Projektierung mit Funktionsassistent

archive

archiveex

archiveexr

archivem

archivemr

archivemsp

archivemspr

archiver

archivesp

archivespr

archivespw

archivew

archivetime

batch

batchnr

wmz

wmzz


Behandlung von Archiveinträgen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > Behandlung von Archiveinträgen

Archiveinträge können in einem Report angezeigt und bei ausreichenden Benutzerrechten auch verändert und wieder im Archiv gespeichert werden. Für die Erstellung der Reportfunktionen zu Archiven steht ein Funktionsassistent zur Verfügung.

Lesen und schreiben von Archiveinträgen

Für die Darstellung in einem Report können folgende Inhalte eines Archiveintrags gelesen werden:

  • Wert
  • Status
  • Zeit

Folgende Archiveinträge können über Berechnungen oder Neueingabe im Report geändert und gespeichert werden:

  • Wert
  • Status

Geänderte Archiveinträge werden zur Runtime über die Schaltfläche Archiv speichern gespeichert. Das Speichern von Änderungen kann verhindert werden durch:

  • Aktivierung der Option Nur lesen in der zenon Funktion Bildumschaltung auf das Report-Bild
  • Aktivierung der Option Gesperrt im Dialog Zelle formatieren

Wird der Wert eines Archiveintrags geändert, wird bei der Speicherung im Archiv der Status auf MAN_VAL gesetzt.

Ausnahme: Wird auch der Status des Archiveintrags geändert, dann wird nur der geänderte Status eingetragen. Sollen Sicherheitsvorschriften wie die der FDA erfüllt werden, darf bei der Projektierung keine Statusänderung durch den Report erlaubt werden. Archiveinträge mit Status MAN_VAL werden beim Einlesen in einen Report blau dargestellt.

Darstellung

Archiveinträge können als Archivwertreihe oder als reihenformatierte Archivwertreihe dargestellt werden. Ausgehend von der Zelle, in der die Archivfunktion projektiert ist, werden die Archiveinträge, die im Zeitbereich des aufgeschalteten Reports liegen, nach rechts oder unten dargestellt. Wird kein Archiveintrag gefunden, so wird in der Zelle, in der die Archivfunktion definiert ist, ein - ausgegeben.

Archivwertreihe

Die eingelesenen Archiveinträge werden nacheinander ohne Leerzellen als Reihe dargestellt.

Reihenformatierte Archivwertreihe

Die eingelesenen Archiveinträge werden mit einer definierten Anzahl von

  • Archiveinträgen pro Reihe
  • Leerzellen zwischen zwei Einträgen
  • leeren Reihen zwischen den Reihen

dargestellt.

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten


Projektierung mit Funktionsassistent

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > Projektierung mit Funktionsassistent

Reportfunktionen für Archive können Sie mit dem Funktionsassistenten projektieren:

  1. Wählen Sie im Kontextmenü der gewünschten Zelle den Befehl Funktionen.
  2. Der Assistent wird geöffnet.
  3. Wählen Sie die gewünschte Archivfunktion.

  4. Die Archivfunktion wird in die Syntax eingetragen.
  5. Klick auf Archive öffnet den Archivfilter.

  6. Wählen Sie den gewünschten Eintrag aus.

  7. Die Referenznummer des Eintrags (z. B. 4) wird in den String der Syntax übernommen.
  8. Wählen Sie den gewünschten Parameter aus, z. B. wert).

  9. Der Parameter wird in den String übernommen.
  10. Wählen Sie die gewünschte Richtung des Eintrags in die Tabelle:
    • unten: die Funktion füllt die Spalte aus
    • rechts: die Funktion füllt die Zeile aus
      Achtung: Bei Verwendung der Funktion archivesp müssen entsprechende Spalten/Zeilen vorgesehen sein! Wird z. B. rechts gewählt, es ist aber nur eine Spalte vorhanden, dann werden die Werte nach unten (in diese einzige vorhandene Spalte) eingetragen.

  11. Die Richtung wird in den String übernommen.
  12. Die Klammer wird geschlossen.

  13. Mit Klick auf OK wird die Funktion in die Zelle übernommen.


archive

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archive

Es können Wert, Status und Zeit eines Archiveintrags eingelesen werden. Änderungen werden entweder manuell über das Kontrollelement Speichern oder automatisch beim Speichern der Reportdatei gespeichert. Der Status eines geänderten Eintrags wird automatisch auf Handwert gesetzt.

Syntax: =archive(FILTERINDEX,PARAMETER,RICHTUNG)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX |  | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | wert, status, zeit, anzahl | Der ausgewählte Parameter wird aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, rechts | Definiert Richtung, in die aufgefüllt wird, ausgehend von der Zelle, in der die Funktion angelegt wurde.

Example Beispiel

In einem Report sollen alle Archivwerte der Archivvariablen 1 nach unten ausgegeben werden:

=archive(1,"wert","unten")


archiveex

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archiveex

Syntax: =archiveex(FILTERINDEX,PARAMETER,RICHTUNG,STATUS,ERSATZTEXT,NN_TEXT,NN_ERSATZWERT,ZYKLUSVERSATZ)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

PARAMETER

wert, status, zeit, anzahl

Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.

RICHTUNG

unten, rechts

Auffüllen in entsprechende Richtung.

STATUS

SPONT, MAN_VAL, INVALID

Status der Werte, welche angezeigt werden sollen.

ERSATZTEXT

Text der angezeigt werden soll, wenn der Status der Archivvariablen nicht dem STATUS entspricht.

NN_TEXT

Text für die Nicht-Nachweisbarkeitsgrenze; Groß/Kleinschreibung wird nicht unterschieden.

NN_ERSATZWERT

Zellbezug oder fest eingetragener Wert möglich. Wenn in die Zelle der ERSATZTEXT eingetragen und anschließend die Tabelle gespeichert wird, wird in das Archiv der NN_ERSATZWERT eingetragen.

ZYKLUSVERSATZ

Wird nur berücksichtigt bei Filter Type:

  • Zeit-Tag
  • Zeit-Monat
  • Zeit-Jahr
  • Zeit-Woche
  • Zeit-2Wochen
  • Zeit-15Min.
  • Zeit-30Min.
  • Zeit-60Min.

Example Beispiel

=archiveex(1,"zeit","unten",SPONT,MAN_VAL,-,NN,G2,-2)


archiveexr

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archiveexr

Syntax: =archiveexr(FILTERINDEX,PARAMETER,RICHTUNG,STATUS,ERSATZTEXT,NN_TEXT,NN_ERSATZWERT,ZYKLUSVERSATZ)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

PARAMETER

wert, status, zeit, anzahl

Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.

RICHTUNG

unten, rechts

Auffüllen in entsprechende Richtung.

STATUS

SPONT,MAN_VAL, INVALID

Status der Werte welche angezeigt werden sollen.

ERSATZTEXT

Text der angezeigt werden soll, wenn der Status der Archivvariablen nicht dem STATUS entsprechen.

NN_TEXT

Text für die Nicht-Nachweisbarkeitsgrenze; Groß/Kleinschreibung wird nicht unterschieden.

NN_ERSATZWERT

Zellbezug oder fest eingetragener Wert möglich. Wenn in die Zelle der ERSATZTEXT eingetragen und anschließend die Tabelle gespeichert wird, wird in das Archiv der NN_ERSATZWERT eingetragen.

ZYKLUSVERSATZ

Wird nur berücksichtigt bei Filter Type:

  • Zeit-Tag
  • Zeit-Monat
  • Zeit-Jahr
  • Zeit-Woche
  • Zeit-2Wochen
  • Zeit-15Min.
  • Zeit-30Min.
  • Zeit-60Min.


archivem

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivem

Diese Funktion ermöglicht das automatische Ändern von Werten oder Zeiten eines Archiveintrags durch Addition einer Konstante zum Wert. Änderungen werden entweder manuell über das Kontrollelement Speichern oder automatisch beim Speichern der Reportdatei gespeichert. Der Status eines geänderten Eintrags wird automatisch auf Handwert gesetzt.

Syntax: =archivem(FILTERINDEX,PARAMETER,RICHTUNG,MATH)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

PARAMETER

wert, status, zeit, anzahl

Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.

RICHTUNG

unten, rechts

Auffüllen in entsprechende Richtung.

MATH

  • Konstante: mit Vorzeichen
  • Nachkommastellen: Trennzeichen Punkt (.)
  • Korrektur einer Zeit: Angabe in Minuten

Hinweis zu negativen Vorzeichen:
Bei den zenon Versionen 7.10, 7.11, 7.20 und 7.50 müssen Zahlen mit negativen Vorzeichen in Hochkomma angegeben werden. In allen anderen Versionen sind Hochkomma erlaubt, aber nicht nötig.
Zum Beispiel: =archivem(2,"zeit","unten","-10")

Der Wert wird eingelesen und mit der entsprechenden Manipulation im Report dargestellt. Die korrigierten Werte können mit Archiv speichern gespeichert werden.

attention Achtung

Bei jedem Speichern des Archivs werden die Werte jeweils um die angegebene Konstante korrigiert!


archivemr

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivemr

Diese Funktion ermöglicht das automatische Ändern von Werten oder Zeiten eines Archiveintrags durch Addition einer Konstanten zum Wert.

Syntax: =archivemr(FILTERINDEX,PARAMETER,RICHTUNG)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

PARAMETER

wert, status, zeit, anzahl

Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.

RICHTUNG

unten, rechts

Auffüllen in entsprechende Richtung.

MATH

  • Konstante: mit Vorzeichen
  • Nachkommastellen: Trennzeichen Punkt (.)
  • Korrektur einer Zeit: Angabe in Minuten

Hinweis zu negativen Vorzeichen:
Bei den zenon Versionen 7.10, 7.11, 7.20 und 7.50 müssen Zahlen mit negativen Vorzeichen in Hochkomma angegeben werden. In allen anderen Versionen sind Hochkomma erlaubt, aber nicht nötig.
Zum Beispiel: =archivemr(2,"zeit","unten","-10")

attention Achtung

Geänderte Werte können im Archiv nicht gespeichert werden!

Der Wert wird eingelesen und mit der entsprechenden Manipulation im Report dargestellt. Als Parameter sind nur zeit und wert möglich.=archivemr(4,wert,rechts,6.5)

Alle eingelesenen Archivwerte werden für die Darstellung im Report um 6,50 erhöht.

=archivemr(4,zeit,rechts,-1)

Die Zeiten der Archiveinträge werden für die Darstellung im Report um 1 Minute zurück korrigiert.

Einsatzmöglichkeit: Zum Beispiel für berechnete Monatswerte, die erst nach Monatsende vorliegen (Zeitstempel z. B. 00:01:00).


archivemsp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivemsp

Diese Funktion ermöglicht die automatische Änderung von Werten oder Zeiten eines Archiveintrags durch Addition einer Konstante zum Wert sowie die Festlegung der Zellen für die Einträge. Der Wert wird eingelesen und mit der entsprechenden Manipulation im Report dargestellt. Änderungen werden entweder manuell über das Kontrollelement Speichern oder automatisch beim Speichern der Reportdatei gespeichert. Der Status eines geänderten Eintrags wird automatisch auf Handwert gesetzt.

Syntax: =archivemsp(FILTERINDEX,PARAMETER,RICHTUNG)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

PARAMETER

wert, status, zeit, anzahl

Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.

RICHTUNG

unten, rechts

Auffüllen in entsprechende Richtung.

P1

Anzahl der in der ersten Reihe auszugebenden Archivwerte.

P2

Anzahl der Leerzellen zwischen zwei Wertausgaben.

P3

Leerzellen bis zur nächsten Wertereihe.

MATH

  • Konstante mit Vorzeichen, Konstante: mit Vorzeichen
  • Nachkommastellen: Trennzeichen Punkt (.)
  • Korrektur einer Zeit: Angabe in Minuten

attention Achtung

Bei jedem Archiv speichern werden die Werte jeweils um die angegebene Konstante korrigiert!

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Example Beispiel

=archivemsp(4,"zeit","rechts",16,1,0,-0.5)

Alle Zeiteinträge des Archiveintrags mit der Filternummer 4 werden um 30 Sekunden zurückgesetzt; es werden 16 Einträge vorgesehen mit einer Leerspalte und keiner Leerzeile.


archivemspr

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivemspr

Diese Funktion ermöglicht das automatische Ändern von Werten oder Zeiten eines Archiveintrags für die Darstellung im Report durch Addition einer Konstante zum Wert. Der Wert wird eingelesen und mit der entsprechenden Manipulation im Report dargestellt. Als Parameter sind nur zeit und wert möglich.

attention Achtung

Geänderten Werte können im Archiv nicht gespeichert werden!

Syntax: =archivemspr(FILTERINDEX,PARAMETER,RICHTUNG)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

PARAMETER

wert, status, zeit, anzahl

Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.

RICHTUNG

unten, rechts

Auffüllen in entsprechende Richtung.

P1

Anzahl der in der ersten Reihe auszugebenden Archivwerte.

P2

Anzahl der Leerzellen zwischen zwei Wertausgaben.

P3

Leerzellen bis zur nächsten Wertereihe.

MATH

  • Konstante mit Vorzeichen, Konstante: mit Vorzeichen
  • Nachkommastellen: Trennzeichen Punkt (.)
  • Korrektur einer Zeit: Angabe in Minuten

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Example Beispiel

=archivemsp(4,"zeit","rechts",16,1,0,-0.5)

Alle Zeiteinträge des Archiveintrags mit der Filternummer 4 werden um 30 Sekunden zurückgesetzt; es werden 16 Einträge vorgesehen mit 1 Leerspalte und 0 Leerzeilen.


archiver

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archiver

Diese Funktion ermöglicht es, Wert, Status und Zeit eines Archiveintrags einzulesen. Änderungen sind nicht möglich.

Syntax: =archiver(FILTERINDEX,PARAMETER,RICHTUNG)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | wert, status, zeit, anzahl | Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, rechts | Auffüllen in entsprechende Richtung.

Im Unterschied zu der Funktion archive können zur Runtime keine Handwerteingaben vorgenommen werden.

Einsatzbereich: Zum Beispiel, wenn ein Eintrag in einem Report mehrfach dargestellt werden muss, aber nur an einer Stelle editierbar sein darf. Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktionen angelegt wurden, nach unten oder rechts im Report dargestellt.


archivesp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivesp

Es können Wert, Status und Zeit eines Archiveintrags eingelesen werden. Änderungen werden entweder manuell über das Kontrollelement Speichern oder automatisch beim Speichern der Reportdatei gespeichert. Der Status eines geänderten Eintrags wird automatisch auf Handwert gesetzt.

Syntax: =archivesp(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [ 1-n] | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | wert, status, zeit, anzahl | Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, rechts | Auffüllen in entsprechende Richtung
P1 |  | Anzahl der in der ersten Reihe auszugebenden Archivwerte
P2 |  | Anzahl der Leerzellen zwischen zwei Wertausgaben
P3 |  | Leerzellen bis zur nächsten Wertereihe

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Bei der Ausgabe der Statusinformation werden die Einstellungen aus der Datei project.ini im Abschnitt [STATUS] oder aus der intern definierten Zuordnung verwendet. Wurde die Statusbezeichnung in der project.ini geändert, wird der geänderte Name ausgegeben. (Tipp: Ermöglicht es, Projekt mit alten Statusbezeichnern kompatibel zu halten.)


archivespr

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivespr

Es können Wert, Status und Zeit eines Archiveintrags nur eingelesen werden.

Syntax: =archivespr(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX |  | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | wert, status, zeit, anzahl | Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, rechts | Auffüllen in entsprechende Richtung
P1 |  | Anzahl der in der ersten Reihe auszugebenden Archivwerte
P2 |  | Anzahl der Leerzellen zwischen zwei Wertausgaben
P3 |  | Leerzellen bis zur nächsten Wertereihe

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Im Unterschied zu der Funktion archivesp können auf den Zellen keine Handwertvorgaben vorgenommen werden. Eingesetzt werden diese Funktionen z. B., wenn ein Eintrag in einem Report mehrfach dargestellt werden muss und nur an einer Stelle editierbar sein darf. Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktionen angelegt wurden, nach unten oder rechts im Report dargestellt

Example Beispiel

=archivespr(1,"wert","unten",12,1,3)

Alle Werte des Archiveintrags mit der Filternummer 1 werden nach unten geschrieben; es sind 12 Einträge vorgesehen mit 1 Leerzeile und 3 Leerspalten.


archivespw

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivespw

Diese Funktion unterdrückt die Darstellung der eingelesenen Archiveinträge im Report und erlaubt das Definieren der zu verwendenden Zellen. Beim Speichern werden die Archiveinträge mit an anderer Stelle vorliegenden (z. B. berechneten) Werten und Status überschrieben.

Syntax: =archivespw(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3,SZ_WERT,SZ_STATUS)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | wert, status, zeit, anzahl | Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, rechts | Auffüllen in entsprechende Richtung.
P1 |  | Anzahl der in der ersten Reihe auszugebenden Archivwerte.
P2 |  | Anzahl der Leerzellen zwischen zwei Wertausgaben.
P3 |  | Leerzellen bis zur nächsten Wertereihe.
SZ_WERT | Startzelle Werte | Anfangszelle, ab der die berechneten Werte vorliegen.
SZ_STATUS | Startzelle Status | Statustext Vorgabe eines fixen Statustextes (z. B. MAN_VAL) oder Angabe der Anfangszelle, aus der die Statustexte übernommen werden sollen.

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Statustexte

Die Projektierung erfolgt nicht über die Eingabehilfe, sondern direkt in der Zelle. Dabei gilt:

  • Bei der Vorgabe der Statustexte müssen die definierten Kurztexte aus der Datei project.ini oder aus der systeminternen Defaultprojektierung verwendet werden. Das gilt unabhängig davon, ob die Status fix vorgegeben oder aus einer anderen Zelle eingelesen werden.
  • Mehrere Status werden durch ein Komma (,) getrennt.
  • Die berechneten Werte werden unabhängig davon, ob sich der neu berechnete Wert im Vergleich zum eingelesenen Wert geändert hat, aktualisiert.
  • Der Status wird auf Handwert (MAN_VAL) geändert.


archivew

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivew

Diese Funktion unterdrückt die Darstellung der eingelesenen Archiveinträge im Report. Beim Speichern werden die Archiveinträge mit an anderer Stelle vorliegenden (z. B. berechneten) Werten und Status überschrieben. Diese Reportfunktion kann zum Beispiel für Verdichtungen von Monatswerten auf Jahreswerte als Archivwert verwendet werden.

Syntax: =archivew(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3,SZ_WERT,SZ_STATUS)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | wert, status, zeit, anzahl | Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, rechts | Auffüllen in entsprechende Richtung.
SZ_WERT | Startzelle Werte | Anfangszelle, ab der die berechneten Werte vorliegen.
SZ_STATUS | Startzelle Status | Statustext Vorgabe eines fixen Statustextes (z. B. MAN_VAL) oder Angabe der Anfangszelle, aus der die Statustexte übernommen werden sollen.

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Statustexte

Die Projektierung erfolgt nicht über die Eingabehilfe, sondern direkt in der Zelle. Dabei gilt:

  • Bei der Vorgabe der Statustexte müssen die definierten Kurztexte aus der Datei project.ini oder aus der systeminternen Defaultprojektierung verwendet werden. Das gilt unabhängig davon, ob die Status fix vorgegeben oder aus einer anderen Zelle eingelesen werden.
  • Mehrere Status werden durch ein Komma (,) getrennt.
  • Die berechneten Werte werden unabhängig davon, ob sich der neu berechnete Wert im Vergleich zum eingelesenen Wert geändert hat, aktualisiert.
  • Der Status wird auf Handwert (MAN_VAL) geändert.

Example Beispiel

Verdichtungen von Monatswerten auf Jahreswerte als Archivwert:

In einem Monatsreport mit Tageswerten wird berechnet, an wie vielen Tagen ein Grenzwert x überschritten war. Die Summe der Grenzwertverletzungen wird in einer Zelle des Reports dargestellt.

  • In einem Archiv wurde ein Wert definiert, der pro Monat einen Eintrag aufweist.
  • Dieser Eintrag wird über archivew im Report eingelesen.
  • =archivew(4,"wert","unten",B12,C12)
    • 4: Variable aus Archivfilter
    • wert: Parameter der Variablen , der dargestellt werden soll
    • unten: Richtung, in die die Werte geschrieben werden
    • B12: Startzelle, entspricht der berechneten Zelle
    • C12: definiert auszugebenden Statustext
  • Beim Speichern der Archivwerte wird die Summe auf den Archivwert geschrieben


archivetime

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > archivetime

Die Funktion archivetime liefert in Abhängigkeit vom eingestellten Zeitfilter die Zeitinformation für den Start und das Ende der Archivabfrage im Onlinebetrieb.

Syntax: =archivetime(FILTERINDEX,PARAMETER)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | absolutzeitvon, absolutzeitbis | Startzeit oder Endezeit der Archivabfrage.


batch

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > batch

Diese Funktion gibt den ersten Chargennamen für das im Filterbereich des Reports ausgewählte Archiv aus.

Syntax: =batch(FILTERINDEX)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.

Example Beispiel

=batch(1)

Erster Chargenname für das Archiv der im Archivfilter an Stelle 1 gereihten Variablen.


batchnr

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > batchnr

Diese Funktion gibt verschiedene Informationen zu Chargen aus. Die Ausgabe erfolgt als Liste, die von oben nach unten oder von links nach rechts ausgewertet wird. Angezeigt werden:

  • Namen der Chargen
  • Startzeitpunkt
  • Endzeitpunkt

Syntax: =batchnr(FILTERINDEX,PARAMETER,RICHTUNG)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.
PARAMETER | namen, vonzeit, biszeit | Es wird der gewünschte Parameter aus dem Archiv gelesen und dargestellt.
RICHTUNG | unten, links | Auffüllen in entsprechende Richtung.


wmz

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > wmz

Die Funktion =wmz liefert das Ergebnis des Wärmezähler-Archivs. Zählerüberlauf wird nicht automatisch berücksichtigt.

Syntax: =wmz(FILTERINDEX,AKTIVIERT,ÜBERLAUF,ANFANGSWERT,ENDWERT,ZÄHLERINFO,ERRORCOUNTER)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTERINDEX

[1-n]

Entsprechender Eintrag aus dem Archivfilter.

AKTIVIERT

0 = deaktiviert
>0 = aktiviert

Bei 0 wird die Funktion nicht ausgeführt.

ÜBERLAUF

Wert oder Zellbezug

Bei einem Überlauf von 1000 wird bei einem Archivwert ab 1000 und höher ein Fehler erkannt.

ANFANGSWERT

Zellbezug

Erster gültiger Wert aus dem Archiv .

ENDWERT

Zellbezug

Letzter gültiger Wert aus dem Archiv.

ZÄHLERINFO

Zellbezug

Beginn des Zählerwechsels. Richtung rechts ab dem Zellbezug.

Besteht aus vier Zelleinträgen:

  • Datum und Uhrzeit des ersten Wertes nach einem Zählerwechsel
  • Wert vor dem Zählerwechsel
  • Wert nach dem Zählerwechsel
  • Leere Zelle

ERRORCOUNTER

Zellbezug

Gibt die Anzahl der gefundenen Fehler in einer Zelle aus.

Fehlerursachen:

  • Werte >= als in ÜBERLAUF definiert
  • Werte <= 0
  • Bei zwei aufeinanderfolgenden Archivwerten ist der erste Wert größer als der nachfolgende Wert.

Die Summe aller gültigen Werte wird in die Zelle der Funktion geschrieben.


wmzz

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Archiv- und Protokollfunktionen > wmzz

Die Funktion wmzz(Filterindex,Richtung,P1,P2,P3,aktiviert,Überlauf) liefert das Ergebnis des Wärmezählers-Archivs paarweise, das bedeutet: die Differenz von zwei aufeinanderfolgenden Archivwerten wird ausgegeben.

Die Ausgabe 0 erfolgt wenn

  • der erste Wert >= nachfolgender Wert ist.
  • einer der beiden Werte >= ÜBERLAUF ist.
  • einer der beiden Werte = 0 ist.

Syntax: =wmzz(Filterindex,Richtung,P1,P2,P3,aktiviert,Überlauf)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
FILTERINDEX | [1-n] | Entsprechender Eintrag aus dem Archivfilter.
RICHTUNG | unten, rechts | Auffüllen in entsprechende Richtung.
P1 |  | Anzahl der in der ersten Reihe auszugebenden Archivwerte
P2 |  | Anzahl der Leerzellen zwischen zwei Wertausgaben
P3 |  | Leerzellen bis zur nächsten Wertereihe
AKTIVIERT | 0 = deaktiviert 1 = aktiviert | Bei 0 wird die Funktion nicht ausgeführt.
ÜBERLAUF | Wert oder Zellbezug | Bei einem Überlauf von 1000 wird bei einem Archivwert ab 1000 und höher ein Fehler erkannt.

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten


Datenbankfunktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datenbankfunktionen

Diese Funktion ermöglicht das Auslesen von Access- oder SQL-Datenbanken.

Syntax: =sqldao (DATENBANK,SQL-ABFRAGE,PARA1,PARA2)

Übergabeparameter

Bemerkung

DATENBANK

Name der *.mdb Datenbank oder des OLEDB-Providers.

SQL-ABFRAGE

Folgende Standard-Datenbankabfragen können verwendet werden:

  • SELECT
  • INSERT
  • UPDATE
  • DELETE
  • EXECUTE

Übergabe von Parametern.
Wahleise:

  • zwei Integer: %d %d
  • zwei String: %s %s

PARA1

Parameter für die SQL-Abfrage

PARA2

Parameter für die SQL-Abfrage

Unterstützte Datentypen

Die Funktion sqldao unterstützt folgende Datenbank-Datentypen:

  • DBTYPE_I1
  • DBTYPE_UI1
  • DBTYPE_I2
  • DBTYPE_UI2
  • DBTYPE_I4
  • DBTYPE_UI4
  • DBTYPE_I8
  • DBTYPE_UI8
  • DBTYPE_R4
  • DBTYPE_R8
  • DBTYPE_STR
  • DBTYPE_WSTR
  • DBTYPE_BSTR

Projektierung mit Funktionsassistent

Sie haben Zugriff auf MS Access Datenbanken und Datenbanken mit OLEDB-Provider. Dazu verwenden Sie folgende Syntax:

Datenbank

Syntax

MS Access Datenbank

=sqldao (Datenbank,SQL-Abfrage,Para1,Para2)

Datenbanken mit OLEDB Provider

Ersetzen Sie den Verweis auf die Datenbank durch einen OLEDB-Initialisierungsstring. Diesen String können Sie

  • von Hand eingeben oder
  • per Klick auf die Schaltfläche OLEDB-Provider erzeugen.

Datenbank mit OLEDB-Provider

Klick auf die Schaltfläche OLEDB-Provider öffnet den Dialog Datenverknüpfungseigenschaften:

Hier definieren Sie die Verbindung zur gewünschten Datenbank:

  • OLEDB-Providerart
  • Datenquelle
  • Anmeldeinformationen
  • etc.

Mit Bestätigung des Dialogs durch Klick auf OK wird der Initialisierungsstring generiert und im Feld Syntax eingefügt.

Syntax: =sqldao (Provider,SQL-Abfrage,Para1,Para2)

attention Achtung

Der Initialisierungsstring muss immer mit der Zeichenfolge Provider= beginnen. Beachten Sie Groß- und Kleinschreibung, da der String case sensitive ist!

Einstellungen für MS Access und OLEDB

Übergabeparameter | Erklärung
Datenbank | Name der *.mdb Datenbank. Speicherort: Projektordner, der dem Runtime-Ordner übergeordnet ist. Z. B.: Ablageort Runtime: Unterordner von C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT Ablageort *.mdb: direkt im Ordner C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT Der Projektordner wird in den Projekteigenschaften definiert.
Provider | OLEDB-Provider; der Initialisierungsstring muss immer mit den Zeichen Provider= (case sensitive) beginnen.
SQL-Abfrage | Hier können Standard 'Select' Datenbankabfragen verwendet werden. Mit %d %d können 2 Integer Parameter oder mit %s %s 2 String Parameter mitgegeben werden.
Para1, Para2 | Parameter für die SQL-Abfrage.

Noch in diesem Kapitel

Beispiel Access

Beispiel SQL


Beispiel Access

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datenbankfunktionen > Beispiel Access

Beispiele für MS Access

Beispieldatenbank: Adress.mdb

Name | Vorname | Straße | Wohnort | Telefon | CanAdresse
Müllner | Egon | Am Rheinberg 22 | 5020 Salzburg | 0662/329354 | 1
Roider | Jürgen | Mozartgasse 7 | 5020 Salzburg | 0662/329354 | 2
Leitner | Hans | Strubergasse 6 | 5020 Salzburg | 0662/329354 | 3
Müller | Peter | Blumengasse 6 | 80003 München | 089/234243 | 5
Weinberger | ww | Hafnergasse 5 | 7020 Klagenfurt | 0222/2222 | 6

Beispiel 1

Alle Einträge aus der Tabelle Adressen mit Feldnamen Name sollen ausgegeben werden.

Funktion: =sqldao(Adress.mdb,SELECT Adressen.name FROM Adressen ;,1,1)

Adress.mdb | Access Datenbank (muss sich im Projektdatenbankpfad befinden)
SELECT | Weist das Microsoft Jet-Datenbankmodul an, Informationen aus der Datenbank als Gruppe von Datensätzen zurückzugeben.
Adressen.name | Tabelle.Feldname
FROM | Gibt die Tabellen oder Abfragen an, in denen die in der SELECT-Anweisung aufgeführten Felder enthalten sind.
Adressen | Tabelle

Ergebnis:

Müllner

Roider

Leitner

Müller

Weinberger

Beispiel 2

  • Untere Grenze: Inhalt von Zelle E1
  • Obere Grenze: Inhalt von Zelle E2
  • Feldname für Auswertung: CanAdresse
  • Einträge aus der Tabelle Adressen mit Feldnamen Name und Vorname sollen ausgegeben werden.
  • Bedingung CanAdresse muss größer Inhalt von Zelle E1 und kleiner Inhalt von Zelle E2 sein.

Funktion: =sqldao(Adress.mdb,SELECT Adressen.name,Adressen.Vorname FROM Adressen WHERE (((Adressen.CanAdresse)>%d) AND ((Adressen.CanAdresse)<%d)) ;,E1,E2)

Adress.mdb | Access Datenbank (muss sich im Projektdatenbankpfad befinden)
SELECT | Weist das Microsoft Jet-Datenbankmodul an, Informationen aus der Datenbank als Gruppe von Datensätzen zurückzugeben.
Adressen.Name | Tabelle.Feldname
, | SQL Trennzeichen
Adressen.Vorname | Tabelle.Feldname
FROM | Gibt die Tabellen oder Abfragen an, in denen die in der SELECT-Anweisung aufgeführten Felder enthalten sind.
Adressen | Tabelle
WHERE | Gibt an, welche Datensätze der im FROM-Abschnitt aufgeführten Tabellen von einer SELECT-, UPDATE- oder DELETE-Anweisung betroffen sind.
(((Adressen.CanAdresse)>%d) | Bedingung: Tabelle.Feldname
AND | Verknüpfung
((Adressen.CanAdresse)<%d)) | Bedingung: Tabelle.Feldname
; | SQL Statement Abschluss
E1, E2: | Zellbezüge (Integer)

Ergebnis für E1 = 1, E2 = 6

Roider | Jürgen | 2
Leitner | Hans | 3
Müller | Peter | 5

info Info

Für weitere Informationen zu SQL Statements siehe Online-Hilfe von Access.


Beispiel SQL

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datenbankfunktionen > Beispiel SQL

Beispiel für Datenbanken mit OLEDB Provider

=sqldao("Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT <tablename>.<columnname> FROM <tablename>;",0,0)

Übergabeparameter | Bemerkung
DATENBANK | "Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False"
SQL-ABFRAGE | "SELECT <tablename>.<columnname> FROM <tablename>;"
PARA1 | 0
PARA2 | 0

Werte für Beispiel

Datenbank: "AdventureWorks"

Installation: AdventureWorksDB.msi

Quelle: http://msftdbprodsamples.codeplex.com/releases/view/4004

Rechnername: "PC1"

Authentizierung: "Windows NT"

SQL Server Instanz: "SQLEXPRESS"

SELECT

SELECT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] ORDER BY AddressID;",0,0)

SELECT mit String Parameter (Zelle H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (City = N'%s') ORDER BY AddressID;",H2,0)

SELECT mit Numerischen Parameter (Zelle H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (StateProvinceID = %d) ORDER BY AddressID;",H2,0)

INSERT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","INSERT INTO [AdventureWorks].[Sales].[Currency] (CurrencyCode,Name,ModifiedDate) VALUES ('AAA','NewValue','');",0,0)

UPDATE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","UPDATE Sales.Currency SET Name = 'ModifiedValue' WHERE CurrencyCode = 'AAA';",0,0)

DELETE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","DELETE Sales.Currency WHERE CurrencyCode = 'AAA';",0,0)

EXECUTE

EXECUTE mit Numerischen Parameter (Zelle J2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","EXECUTE dbo.uspGetBillOfMaterials %d, '2001-05-08 12:35:29.123';",J2,0)


Datum und Zeitfunktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen

Diese Funktion gibt Datums- und Zeitwerte aus.

Allgemeine Formatierungsschlüssel finden Sie im Kapitel Datentypen für Datum und Uhrzeit. Beachten Sie die Anforderungen einzelner Funktionen.
Hinweis: Jahresangaben ab 2000 müssen immer vierstellig gemacht werden. Zum Beispiel wird 19 wird als 1919 interpretiert. 2019 muss vierstellig angegeben werden.

Noch in diesem Kapitel

date

datevalue

day

hour

minute

month

now

second

time

today

weekday

year


date

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > date

Die Funktion date (iYear, iMonth, iDay) liefert das Datum aus den Zahlenwerten für Jahr (iYear), Monat (iMonth) und Tag (iDay).

Syntax: =date(iYear,iMonth,iDay)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
iYear | [0100-2200] |
iMonth | [1-12] | Werte außerhalb des Gültigkeitsbereiches werden auf die Ober- oder Untergrenze geändert
iDay | [1-(28,29,30,31)] | Werte außerhalb des Gültigkeitsbereiches werden auf die Ober- oder Untergrenze geändert

Ergebnisformat: date

Standardformatierung: dd/mm/yyyy

Example Beispiel

=date(2010,5,12) ergibt 12.05.2010

Zelle A1=2010, Zelle A2=5, Zelle A3=12, Zelle A4=date(A1,A2,A3) ergibt 12.05.2010


datevalue

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > datevalue

Die Funktion datevalue(date_text) liefert das Datum aus dem Datumstext (date_text).

  • Syntax: =datevalue(date_text)
  • Eingabeformat für date_text: dd.mm.yyyy hh:mm:ss


day

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > day

Die Funktion day(date) ermittelt den Tag aus dem Datumswert

Syntax: =day(date)

Ergebnisformat: Integer

Example Beispiel

=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=day(A1) ergibt 5


hour

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > hour

Die Funktion hour(time) ermittelt die Stunde aus dem Zeitwert.

Syntax: =hour(time)

Ergebnisformat: Integer

Example Beispiel

=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=hour(A1) ergibt 12


minute

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > minute

Die Funktion minute(time) ermittelt die Minuten aus dem Zeitwert.

Syntax: =minute(time)

Ergebnisformat: Integer

Example Beispiel

=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=minute(A1) ergibt 46


month

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > month

Die Funktion month(date) ermittelt den Monat aus dem Datumswert.

Syntax: =month(date)

Ergebnisformat: Integer

Example Beispiel

=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=month(A1) ergibt 6


now

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > now

Die Funktion now() liefert aktuell das Datum und die Zeit.

Die Zelle wird automatisch mit dem Formatstring dd/mm/yyyy versehen.

Syntax: =now()

Example Beispiel

=now() ergibt 05.06.2010
=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10


second

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > second

Die Funktion second(time) ermittelt die Sekunden aus dem Zeitwert.

Syntax: =second(time)

Ergebnisformat: Integer

Example Beispiel

=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=second(A1) ergibt 24


time

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > time

Die Funktion time(iHour, iMinute, iSecond) liefert die Zeit aus den Zahlenwerten für Stunde (iHour), Minute (iMinute) und Sekunde (iSecond).

Die Zelle wird automatisch mit dem Formatstring hh:mm:ss versehen.

Syntax: =time(iHour,iMinute,iSecond)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
iHour | [0-23] | Werte außerhalb des Gültigkeitsbereiches werden auf die Ober- oder Untergrenze geändert
iMinute | [0-59] | Werte außerhalb des Gültigkeitsbereiches werden auf die Ober- oder Untergrenze geändert
iSecond | [0-59] | Werte außerhalb des Gültigkeitsbereiches werden auf die Ober- oder Untergrenze geändert

Ergebnisformat: time

Example Beispiel

=time(12,24,48) ergibt 12:24:48

Zelle A1=12, Zelle A2=24, Zelle A3=48 , Zelle A4=time(A1,A2,A3) ergibt 12:24:48


today

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > today

Die Funktion today() liefert das aktuelle Datum.

Die Zelle wird automatisch mit dem Formatstring dd/mm/yyyy versehen.

Syntax: =today()

Example Beispiel

=today() ergibt 05.06.2010
=today() mit Formatstring hh:mm:ss dd/mm/yy ergibt 00:00:00 05.06.10


weekday

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > weekday

Die Funktion weekday(date) ermittelt den Wochentag aus dem Datumswert.

Syntax: =weekday(date)

Ausgabewert | Wochentag
1 | Sonntag
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

Ergebnisformat: Integer

Example Beispiel

=now() mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=weekday(A1) ergibt 3


year

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Datum und Zeitfunktionen > year

Die Funktion year(date) ermittelt das Jahr aus dem Datumswert.

Syntax: =year(date)

Ergebnisformat: Integer

Example Beispiel

=now()mit Formatstring hh:mm:ss dd/mm/yy ergibt 12:46:24 05.06.10
Zelle A2=year(A1) ergibt 2010


Logische Funktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen

Dieser Abschnitt fasst alle logischen Funktionen des Report Generators zusammen

Noch in diesem Kapitel

and

exact

false

if

isblank

iserror

islogical

isnontext

isnumber

isref

istext

not

or

true


and

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > and

Die Funktion and(logical,logical) liefert den Wert WAHR, wenn beide Argumente WAHR sind.

Die Zelle wird automatisch mit dem Formatstring True;False versehen.

Syntax: =and(logical,logical)

Beispiel

Zelle A1 | Zelle A2 | Zelle A3=and(A1,A2)
false | false | false
false | true | false
true | false | false
true | true | true


exact

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > exact

Die Funktion exact(string1,string2) liefert den Wert WAHR, wenn beide Textstrings unter Berücksichtigung der Groß- und Kleinschreibung identisch sind.

Syntax: =exact(string1,string2)


false

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > false

Die Funktion false() liefert den logischen Wert FALSCH.

Die Zelle wird automatisch mit dem Formatstring True;False versehen.

Syntax: =false()

Example Beispiel

Der Eintrag in Zelle A1=false() ergibt False


if

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > if

Die Funktion if(exprTest,valTrue,valFalse) liefert den Inhalt von valTrue (Wert oder String), wenn das Argument exprTest WAHR ist, sonst den Inhalt von valFalse. Die Verschachtelung von if-Funktionen ist möglich, z. B. um and-Verknüpfungen zu realisieren.

Syntax: =if(exprTest,valTrue,valFalse)


isblank

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > isblank

Die Funktion isblank(ref) liefert den logischen Wert WAHR, wenn die Referenzzelle leer ist.

Syntax: =isblank(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logischer Ausdruck | Nein | False
Text | Dies ist ein Text | False
leer |  | True
Zahl | 123.00 | False
Error | #ARG! | False


iserror

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > iserror

Die Funktion iserror(ref) liefert den logischen Wert WAHR, wenn in der Referenzzelle ein Fehler erkannt wird.

Syntax: =iserror(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logischer Ausdruck | Nein | False
Text | Dies ist ein Text | False
leer |  | False
Zahl | 123.00 | False
Error | #ARG! | True


islogical

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > islogical

Die Funktion islogical(ref) liefert den logischen Wert WAHR, wenn die Referenzzelle einen logischen Wert beinhaltet.

Syntax: =islogical(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logischer Ausdruck | Nein | True
Text | Dies ist ein Text | False
leer |  | False
Zahl | 123.00 | False
Error | #ARG! | False


isnontext

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > isnontext

Die Funktion isnontext(ref) liefert den logischen Wert WAHR, wenn die Referenzzelle keinen Textstring beinhaltet.

Syntax: =isnontext(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logischer Ausdruck | Nein | True
Text | Dies ist ein Text | False
leer |  | True
Zahl | 123.00 | True
Error | #ARG! | False


isnumber

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > isnumber

Die Funktion isnumber(ref) liefert den logischen Wert WAHR, wenn die Referenzzelle einen numerischen Wert beinhaltet.

Syntax: =isnumber(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logische Verknüpfung | Nein | False
Text | Dies ist ein Text | False
leer |  | False
Zahl | 123.00 | True
Error | #ARG! | False


isref

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > isref

Die Funktion isref(ref) liefert den logischen Wert WAHR, wenn die Referenzzelle eine Referenz zu einer weiteren Zelle beinhaltet.

Syntax: =isref(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logischer Ausdruck | Nein | False
Text | Dies ist ein Text | False
leer |  | False
Zahl | 123.00 | False
Error | #ARG! | False
Referenz | =B1 | True


istext

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > istext

Die Funktion istext(ref) liefert den logischen Wert WAHR, wenn die Referenzzelle einen Textstring beinhaltet.

Syntax: =istext(ref)

Beispiel

Inhalt A1 | A1 | Ergebnis
Logische Verknüpfung | Nein | False
Text | Dies ist ein Text | True
leer |  | False
Zahl | 123.00 | False
Error | #ARG! | False


not

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > not

Die Funktion not(logical) liefert das logische Gegenteil des Arguments.

Die Zelle wird automatisch mit dem Formatstring True;False versehen.

Syntax: =not(logical)

Beispiel

Zelle A1 | Zelle A2=not(A1)
false | True
true | False


or

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > or

Die Funktion or(logical,logical) liefert den logischen Wert WAHR, wenn ein oder beide Argumente WAHR sind.

Die Zelle wird automatisch mit dem Formatstring True;False versehen.

Syntax: =or(logical,logical)

Beispiel

Zelle A1 | Zelle A2 | Zelle A3=or(A1,A2)
false | false | false
false | true | true
true | false | true
true | true | true


true

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Logische Funktionen > true

Die Funktion true() liefert den logischen Wert WAHR.

Die Zelle wird automatisch mit dem Formatstring True;False versehen.

Syntax: =true()

Example Beispiel

Der Eintrag in Zelle A1=true() ergibt True


Mathematische und trigonometrische Funktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen

Für Reports stehen gebräuchliche mathematische Funktionen zur Verfügung. Diese können nicht per Funktionsassistent projektiert werden, sondern werden direkt in die Eingabezeile eingegeben.

Noch in diesem Kapitel

abs

acos

acosh

asin

asinh

atan

atanh

atan2

ceil

column

columns

cos

cosh

degree

even

exp

fact

factdouble

floor

int

ln

log10

mod

odd

pi

product

quotient

radians

rand

randbetween

round

row

rows

sign

sin

sinh

sqrt

sqrtpi

tan

tanh

trunc


abs

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > abs

Die Funktion abs (num) liefert als Ergebnis den Absolutwert einer Zahl. Der Absolutwert einer Zahl ist die Zahl ohne ihr Vorzeichen.

Syntax: =abs(num)

num: ist die reelle Zahl, deren Absolutwert Sie ermitteln möchten.

Example Beispiel

=abs(2,2) ergibt 2

=abs(-2,2) ergibt 2


acos

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > acos

Die Funktion acos (num) liefert den Arcuskosinus einer Zahl.

Syntax: =acos(num)


acosh

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > acosh

Die Funktion acosh (num) liefert den inversen hyperbolischen Kosinus einer Zahl.

Syntax: =acosh(num)


asin

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > asin

Die Funktion asin (num) liefert den Arcussinus einer Zahl.

Syntax: =asin(num)


asinh

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > asinh

Die Funktion asinh (num) liefert den inversen hyperbolischen Sinus einer Zahl.

Syntax: =asinh(num)


atan

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > atan

Die Funktion atan (num) liefert den Arcustangens einer Zahl.

Syntax: =atan(num)


atanh

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > atanh

Die Funktion atanh (num) liefert den inversen hyperbolischen Tangens einer Zahl.

Syntax: =atanh(num)


atan2

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > atan2

Die Funktion atan2 (x,y) liefert den Arkustangens ausgehend von einer x- und einer y-Koordinate.

Syntax: =atan2(x, y)


ceil

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > ceil

Die Funktion ceil (num) liefert den auf die nächstgrößere Ganzzahl aufgerundeten Wert einer Zahl.

Syntax: =ceil(num)

Example Beispiel

=ceil(2,2) ergibt 3

=ceil(-2,2) ergibt -3


column

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > column

Die Funktion column (ref) liefert die Spaltennummer eines Bezuges (z. B. C3=2) im Wertbereich von 0 bis n.

Syntax: =column(ref)


columns

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > columns

Die Funktion columns (range) liefert die Anzahl der Spalten im angegebenen Bereich.

Syntax: =columns(range)


cos

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > cos

Die Funktion cos(num) liefert den Kosinus einer Zahl.

Syntax: =cos(num)

Beispiel

=cos(Eingabe)

 | Eingabe | Ergebnis
Grad | Radians() | Cosinus
0,00 | 0 | 1,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 0,000
135,00 | 2,3561944901923448 | -0,707
180,00 | 3,1415926535897931 | -1,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -0,000
315,00 | 5,497787143782138 | 0,707
360,00 | 6,2831853071795862 | 1,000


cosh

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > cosh

Die Funktion cosh(num) liefert den hyperbolischen Kosinus einer Zahl.

Syntax: =cosh(num)


degree

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > degree

Die Funktion degree(num) konvergiert den Radiant in Grad.

Syntax: =degree(num)

Beispiel

=degree(Eingabe)

Eingabe | Ergebnis
Radians() | Degree()
0 | 0
0,78539816339744828 | 45
1,5707963267948966 | 90
2,3561944901923448 | 135
3,1415926535897931 | 180
3,9269908169872414 | 225
4,7123889803846897 | 270
5,497787143782138 | 315
6,2831853071795862 | 360


even

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > even

Die Funktion even(num) liefert die nächstgrößeren geraden ganzzahligen Werte. Negative Zahlen werden von Null weg gerundet.

Syntax: =even(num)

Example Beispiel

=even(2,2) ergibt 4

=even(-2,2) ergibt -4


exp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > exp

Die Funktion exp(num) potenziert die Basis e mit der als Argument angegebenen Zahl.

Syntax: =exp(num)

Example Beispiel

=exp(0) ergibt 1

=exp(1) ergibt 2,718282

=exp(10) ergibt 22026,465795


fact

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > fact

Die Funktion fact(int) liefert die Fakultät einer Zahl.

Syntax: =fact(int)

Example Beispiel

=fact(0) ergibt 1 (1)

=fact(1) ergibt 1 (1)

=fact(2) ergibt 2 (1*2)

=fact(3) ergibt 6 (1*2*3)

=fact(4) ergibt 24 (1*2*3*4)

=fact(5) ergibt 120 (1*2*3*4*5)


factdouble

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > factdouble

Die Funktion factdouble(num) liefert die Doppelfakultät einer Zahl. Dabei wird nur das Produkt jeder zweiten natürlichen Zahl gebildet.

Syntax: =factdouble(num)

Example Beispiel

=factdouble(0) ergibt 0 (0)

=factdouble(1) ergibt 1 (1)

=factdouble(2) ergibt 2 (2)

=factdouble(3) ergibt 3 (1*3)

=factdouble(4) ergibt 8 (2*4)

=factdouble(5) ergibt 15 (1*3*5)


floor

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > floor

Die Funktion floor(num) liefert den auf die nächstkleinere Ganzzahl abgerundeten Wert einer Zahl. Negative Zahlen werden Richtung Null gerundet.

Syntax: =floor(num)

Example Beispiel

=floor(2,2) ergibt 2

=floor(-2,2) ergibt -2


int

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > int

Die Funktion int(num) liefert den auf die nächstkleinere Ganzzahl abgerundeten Wert einer Zahl. Negative Zahlen werden von Null weg gerundet.

Syntax: =int(num)

Example Beispiel

=int(2,2) ergibt 2

=int(-2,2) ergibt -3


ln

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > ln

Die Funktion ln(num) liefert den natürlichen Logarithmus einer Zahl.

Syntax: =ln(num)

Example Beispiel

=ln(1) ergibt 0

=ln(2,718282) ergibt 1

=ln(22026,465795) ergibt 10


log10

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > log10

Die Funktion log10(num) liefert den Logarithmus einer Zahl zur Basis 10.

Syntax: =log10(num)

Example Beispiel

=log10(1) ergibt 0

=log10(10) ergibt 1

=log10(100) ergibt 2

=log10(1000) ergibt 3


mod

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > mod

Die Funktion mod(num, divisor) liefert den Rest bei der Division eines Wertes (num) durch den Divisor (divisor).

Syntax: =mod(num,divisor)

Example Beispiel

=mod(0,3) ergibt 0

=mod(1,3) ergibt 1

=mod(2,3) ergibt 2

=mod(3,3) ergibt 0

=mod(4,3) ergibt 1


odd

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > odd

Die Funktion odd(num) liefert nächstgrößeren ungeraden ganzzahligen Werte. Negative Zahlen werden von Null weg gerundet.

Syntax: =odd(num)

Example Beispiel

=odd(2,2) ergibt 3

=odd(-2,2) ergibt -3


pi

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > pi

Die Funktion pi() liefert den Wert für pi: 3,1415926535897931

Syntax: =pi()

Standardformatierung: *0.######

Example Beispiel

=pi() ergibt mit Standardformatierung 3,141593


product

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > product

Die Funktion product (range) liefert das Product über die Werte im definierten Bereich.

Syntax: =product(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle B1=product(A1:A10)

Zelle/Spalte | A | B
1 | 1 | 3628800
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Das Ergebnis beträgt für den Bereich A1 bis A10 3628800.


quotient

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > quotient

Die Funktion quotient(num,divisor) liefert den ganzzahligen Anteil der Division.

Syntax: =quotient(num,divisor)

Example Beispiel

=quotient(0,3) ergibt 0

=quotient(1,3) ergibt 0

=quotient(2,3) ergibt 0

=quotient(3,3) ergibt 1

=quotient(4,3) ergibt 1


radians

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > radians

Die Funktion radians(num) wandelt Grad in Radiant um.

Syntax: =radians(num)

num: Eingabe in Grad

Beispiel

=radians(Eingabe)

Eingabe | Ergebnis
0,00 | 0
45,00 | 0,78539816339744828
90,00 | 1,5707963267948966
135,00 | 2,3561944901923448
180,00 | 3,1415926535897931
225,00 | 3,9269908169872414
270,00 | 4,7123889803846897
315,00 | 5,497787143782138
360,00 | 6,2831853071795862


rand

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > rand

Die Funktion rand() liefert bei jeder Neuberechnung der Tabelle eine Zufallszahl im Bereich zwischen 0.000 und 1.000

Syntax: =rand()


randbetween

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > randbetween

Die Funktion randbetween(min,max) liefert bei jeder Neuberechnung der Tabelle eine Zufallszahl im Bereich von min bis max.

Syntax: =randbetween(min,max)


round

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > round

Die Funktion round(num,digits) rundet eine Zahl(num) auf eine bestimmte Anzahl von Dezimalstellen (digits).

Syntax: =round(num,digits)


row

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > row

Die Funktion row(ref) liefert die Zeilennummer der Referenzzelle im Wertbereich von 0 bis n.

Syntax: =row(ref)


rows

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > rows

Die Funktion rows(range) liefert die Anzahl der Zeilen innerhalb des definierten Bereiches.

Syntax: =rows(range)


sign

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > sign

Die Funktion sign(num) liefert den Wert

  • 1, wenn die Zahl (num) positiv ist
  • -1 wenn die Zahl negativ ist
  • 0 wenn die Zahl 0 ist

Syntax: =sign(num)

Example Beispiel

=sign(2,2) ergibt 1

=sign(-2,2) ergibt -1

=sign(0,0) ergibt 0


sin

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > sin

Die Funktion sin(num) liefert den Sinus einer Zahl.

Syntax: =sin(num)

num: Eingabe in Radians

Beispiel

=sin(Eingabe)

 | Eingabe | Ergebnis
Grad | Radians() | Sinus
0,00 | 0 | 0,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 1,000
135,00 | 2,3561944901923448 | 0,707
180,00 | 3,1415926535897931 | 0,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -1,000
315,00 | 5,497787143782138 | -0,707
360,00 | 6,2831853071795862 | -0,000


sinh

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > sinh

Die Funktion sinh(num) liefert den hyperbolischen Sinus einer Zahl.

Syntax: =sinh(num)


sqrt

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > sqrt

Die Funktion sqrt(num) liefert die Quadratwurzel einer Zahl.

Syntax: =sqrt(num)

Example Beispiel

=sqrt(1) ergibt 1

=sqrt(2) ergibt 1,414214

=sqrt(3) ergibt 1,732051

=sqrt(4) ergibt 2


sqrtpi

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > sqrtpi

Die Funktion sqrtpi(num) liefert die Quadratwurzel eines pi-Werts.

Syntax: =sqrtpi()

Example Beispiel

=sqrtpi(1) ergibt 3,141593 = 1*pi

=sqrtpi(2) ergibt 4,442883 = sqrt(2)*pi

=sqrtpi(3) ergibt 5,441398 = sqrt(3)*pi

=sqrtpi(4) ergibt 6,283185 = sqrt(4)*pi


tan

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > tan

Die Funktion tan(num) liefert den Tangens einer Zahl.

Syntax: =tan(num)


tanh

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > tanh

Die Funktion tanh(num) liefert den hyperbolischen Tangens einer Zahl.

Syntax: =tanh(num)


trunc

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Mathematische und trigonometrische Funktionen > trunc

Die Funktion trunc(num) liefert den auf die nächstkleinere Ganzzahl abgerundeten Wert einer Zahl. Negative Zahlen werden Richtung Null gerundet.

Syntax: =trunc(num)

Example Beispiel

=trunc(2,2) ergibt 2

=trunc(-2,2) ergibt -2


Rezeptgruppen-Manager Funktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Rezeptgruppen-Manager Funktionen

Mit den Reportfunktionen für den Rezeptgruppen-Manager können auch Variablen aus anderen geladenen Projekten, die in den Rezepturen verwendet werden, angezeigt werden. Diese Funktionen können nur mit Bildern des Typs Rezeptgruppen-Manger verwendet werden.

Für die Projektierung steht der Funktionsassistent zur Verfügung.

Noch in diesem Kapitel

recipea

recipef

recipew


recipea

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Rezeptgruppen-Manager Funktionen > recipea

Die Funktion =recipeaInhalt) zeigt allgemeine Daten zu einem Rezept des Rezeptgruppen Managers an.

Syntax: =recipea(Inhalt)

Inhalt | Beschreibung
muser | Benutzer, der das Rezept zuletzt geändert hat.
mzeit | Zeit, der letzten Änderung.
rez | Name des Rezepts.
rezg | Name der Rezeptgruppe, zu der das Rezept gehört.
reznum | Nummer des Rezepts.
text1 bis text 8 | Benutzerkommentare 1 bis 8 des Rezepts.
text2 | Benutzerkommentar 2 des Rezepts.
version | Versionsnummer des Rezepts.
status | Status des Rezepte als Text. Z. B.: 1 - Mustertext

Example Beispiel

=recipea(reznum)


recipef

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Rezeptgruppen-Manager Funktionen > recipef

Die Funktion =recipef(Inhalt,Variable) zeigt variablenorientierte Daten zu einem Rezept des Rezeptgruppen Managers an. Diese Daten können im Report frei positioniert werden.

Syntax: =recipef(Inhalt,Variable)

Inhalt | Beschreibung
name | Name der Variablen.
kennung | Kennung der Variablen.
type | Quellentyp.
einheit | Technische Maßeinheit der Variablen.
wert | Wert für die Variable im Rezept.
symbolik | Anzeige von Grenzwerttexten aus Rekationsmatrix oder Grenzwert als Text.
min | Minimum des erlaubten Eingabebereichs für die Variable in diesem Rezept.
max | Maximum des erlaubten Eingabebereichs für die Variable in diesem Rezept.
istwert | Ist die definierte Variable im ausgewählten Rezept nicht vorhanden, dann wird die Zelle mit - markiert.
verriegelung | Anzeige der Verriegelung . Da die Namen zur Runtime nicht verfügbar sind, werden nur die IDs der im Rezeptgruppen-Manager gewählten Verriegelung angezeigt.
sichtbarkeit | Zeigt Sichtbarkeit der Variablen an.
Grafische Rezeptvariable | Zeigt den Namen der verknüpften Grafische Rezeptvariablen an. Zur Runtime nur Anzeige. Konfiguration im Editor.
filter | Filtertext, der im RGM gewählt wurde.
keyboard | Zeigt verknüpftes Keyboard an.
sollwertgrenzen | Ja: Übernimmt Sollwertgrenze von Variable. Zur Runtime nur Anzeige. Konfiguration im Editor.

Example Beispiel

=recipef("wert","temperature")


recipew

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Rezeptgruppen-Manager Funktionen > recipew

Die Funktion =recipew(Inhalt,Richtung) stellt variablenorientierte Daten zu einem Rezept des Rezeptgruppen Managers in Tabellenform dar.

Syntax: =recipew(Inhalt,Richtung)

Inhalt | Beschreibung
name | Name der Variablen.
kennung | Kennung der Variablen.
type | Quellentyp.
einheit | Technische Maßeinheit der Variablen.
wert | Wert für die Variable im Rezept.
symbolik | Anzeige von Werten als Text.
min | Minimum des erlaubten Eingabebereichs für die Variable in diesem Rezept.
max | Maximum des erlaubten Eingabebereichs für die Variable in diesem Rezept.
istwert | Ist die definierte Variable im ausgewählten Rezept nicht vorhanden, dann wird die Zelle mit - markiert.
verriegelung | Anzeige der Verriegelung . Da die Namen zur Runtime nicht verfügbar sind, werden nur die IDs der im Rezeptgruppen-Manager gewählten Verriegelung angezeigt.
sichtbarkeit | Zeigt Sichtbarkeit der Variablen an.
Grafische Rezeptvariable | Zeigt den Namen der verknüpften Grafische Rezeptvariablen an. Zur Runtime nur Anzeige. Konfiguration im Editor.
filter | Filtertext, der im RGM gewählt wurde.
keyboard | Zeigt verknüpftes Keyboard an.
sollwertgrenzen | Ja: Übernimmt Sollwertgrenze von Variable. Zur Runtime nur Anzeige. Konfiguration im Editor.

Example Beispiel

=recipew(name,unten)


Statistische Funktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen

Für Reports stehen gebräuchliche statistische Funktionen zur Verfügung. Diese können nicht per Funktionsassistent projektiert werden, sondern werden direkt in die Eingabezeile eingegeben.

Noch in diesem Kapitel

avg

count

counta

countblank

max

min

percentile

stdev

stdevp

sum

sumsq

var

varp


avg

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > avg

Die Funktion avg (range) liefert den Mittelwert über die Werte innerhalb des Bereiches.

Syntax: =avg(range)

Beispiel

Zelle A4= avg(A1:A3)

Zeile/Spalte | A
1 | 1
2 | 3
3 | 5
4 | 3

Der Mittelwert der Zellen A1 bis A3 ergibt 3


count

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > count

Die Funktion count (range) liefert die Anzahl der numerischen Werte im angegebenen Bereich.

Syntax: =count(range)

Beispiel

Zelle A5= count(A1:A4)

Zeile/Spalte | A
1 | 1
2 | Text
3 |
4 | 3
5 | 2

Die Anzahl der numerischen Werte der Zellen A1 bis A4 ergibt 2.


counta

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > counta

Die Funktion counta (range) liefert die Anzahl der nicht leeren Zellen im angegebenen Bereich.

Syntax: =counta(range)

Beispiel

Zelle A5=counta(A1:A4)

Zeile/Spalte | A
1 | 1
2 | text
3 |
4 | 3
5 | 3

Die Anzahl der nicht leeren Zellen im Bereich A1 bis A4 ergibt 3.


countblank

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > countblank

Die Funktion countblank (range) liefert die Anzahl der leeren Zellen im angegebenen Bereich.

Syntax: =countblank(range)

Beispiel

Zelle A5 = countblank(A1:A4)

Zeile/Spalte | A
1 | 1
2 | Text
3 |
4 | 3
5 | 1

Die Anzahl der leeren Zellen im Bereich von A1 bis A4 ergibt 1.


max

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > max

Die Funktion max (range) liefert den größten Wert aus dem angegebenen Bereich.

Syntax: =max(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle B1=max(A1:A10)

Zeile/Spalte | A | B
1 | 1 | 10
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Der höchste Wert im Bereich A1 bis A10 liegt in Zelle A10 und beträgt 10.


min

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > min

Die Funktion min (range) liefert den kleinsten Wert aus dem angegebenen Bereich.

Syntax: =min(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle B1=min(A1:A10)

Zeile/Spalte | A | B
1 | 1 | 1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Der kleinste Wert im Bereich A1 bis A10 liegt in Zelle A1 und beträgt 1.


percentile

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > percentile

Die Funktion percentile (range,num) liefert als Ergebnis einen Schwellenwert, ab dem Beobachtungen akzeptiert werden.

Syntax: =percentile(range,num)

Range: ist eine Matrix oder ein Datenbereich zur Beschreibung der relativen Lage der Daten.

Num: Integer von 0-100

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle B1=percentile(A1:A10,90)

Zeile/Spalte | A | B
1 | 1 | 9,1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Der Schwellwert für den Bereich A1 bis A10 beträgt 9,1.


stdev

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > stdev

Die Funktion stdev (range) liefert eine Schätzung der Standardabweichung ausgehend von einer Stichprobe von Werten im definierten Bereich.

Formel:

Syntax: =stdev(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle A11=stdev(A1:A10)

Zeile/Spalte | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 18,785633

Die Standardabweichung für den Bereich A1 bis A10 wird auf Basis der Stichprobe auf 18,785633 geschätzt.


stdevp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > stdevp

Die Funktion stdevp (range) liefert eine Schätzung der Standardabweichung, ausgehend von der Gesamtheit der Werte im definierten Bereich.

Formel:

Syntax: =stdevp(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle A11= stdevp(A1:A10)

Zeile/Spalte | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 17,821616

Die Standardabweichung für den Bereich A1 bis A10 wird auf 17,821616 geschätzt.


sum

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > sum

Die Funktion sum (range) liefert die Summe über die Werte im definierten Bereich.

Syntax: =sum(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle B1=sum(A1:A10)

Zeile/Spalte | A | B
1 | 1 | 55
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Die Summe aller Werte im Bereich A1 bis A10 beträgt 55.


sumsq

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > sumsq

Die Funktion sumsq (range) liefert die Summe der Quadrate der Werte im definierten Bereich.

Syntax: =sumsq(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle A11=sumsq(A1:A10)

Zeile/Spalte | A | B
1 | 1 | 1
2 | 2 | 4
3 | 3 | 9
4 | 4 | 16
5 | 5 | 25
6 | 6 | 36
7 | 7 | 49
8 | 8 | 56
9 | 9 | 81
10 | 10 | 100
11 | 385 | 385

Kontrolle

Zellen B1 bis B10: Quadrate von A1 bis A10

Zelle B11= sum(B1:B10)


var

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > var

Die Funktion var (range) liefert eine Schätzung der Varianz ausgehend von einer Stichprobe von Werten im definierten Bereich.

Formel:

Syntax: =var(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle A11=var(A1:A10)

Zeile/Spalte | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 352,9

Die Varianz für den Bereich A1 bis A10 wird auf Basis von Stichproben auf 352,9 geschätzt.


varp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Statistische Funktionen > varp

Die Funktion varp (range) liefert eine Schätzung der Varianz ausgehend von der Gesamtheit der Werte im definierten Bereich.

Formel:

Syntax: =varp(range)

Beispiel

Zellen A1 bis A10: beliebige Zahlen

Zelle A11=varp(A1:A10)

Zeile/Spalte | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 317,61

Die Varianz für den Bereich A1 bis A10 wird auf 317,61 geschätzt.


Textfunktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen

Für Reports stehen verschiedene Textfunktionen zur Verfügung. Diese können nicht per Funktionsassistent projektiert werden, sondern werden direkt in die Eingabezeile eingegeben. Ausnahme: paint

Noch in diesem Kapitel

char

clean

code

find

fixed

left

len

lower

mid

paint

proper

replace

rept

right

search

substitute

trim

upper


char

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > char

Die Funktion char(code) liefert das ASCII-Zeichen, das der unter code definierten Zahl zugeordnet ist.

Syntax: =char(code)

code: Zahl zwischen 1 und 255.

Example Beispiel

=char(88) ergibt X

Enthält die Zelle A1 den Wert 35 liefert die Funktion =char (A1) als Ergebnis das Zeichen #.

Um den ASCII-Code für ein Zeichen zu ermitteln, nutzen Sie Funktion code.


clean

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > clean

Die Funktion clean(string) löscht alle Steuerzeichen aus einer Text-Zeichenkette.

Syntax: =clean(string)


code

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > code

Die Funktion code(string) liefert den ASCII-Code für das erste Zeichen in einer Text-Zeichenkette.

Ist der String in der Klammer der zu zu codierende Text, wird er unter Anführungszeichen gesetzt. Verweist er auf eine andere Zelle, wird diese eingetragen.

Syntax: =code(string)

Example Beispiel

=code("z") ergibt 122.

Die Zelle A1 enthält den Text zoom:

=code(A1) ergibt 122.

Um das einem ASCII-Code entsprechende Zeichen zu ermitteln, nutzen Sie Funktion char.

attention Achtung

Die Funktion code(string) liefert den ASCII-Code nur für das erste Zeichen in einem Textstring.


find

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > find

Die Funktion find(keystring,string,start) liefert die Position einer Zeichenfolge (keystring) innerhalb eines Textstrings (string). Die Position wird ab dem Startzeichen (start) im Textstring unter Berücksichtigung der Groß- und Kleinschreibung ermittelt.

Syntax: =find(keystring,string,start)

Example Beispiel

Zelle A1: cd

Zelle A2: ABCDabcd

Zelle A3: 1

Zelle A4=find(A1,A2,A3): Ergebnis =7


fixed

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > fixed

Die Funktion fixed(num,decimals) formatiert eine Zahl und wandelt sie in eine definierte Zeichenkette um.

Syntax: =fixed(num,decimals)

  • num: Numerischer Wert oder Zellbezug
  • decimals: Anzahl der Dezimalstellen

Example Beispiel

Zelle A1 = 12345.672

=fixed(A1,2) ergibt 12345,67

=fixed(A1,1) ergibt 12345,6

Das Trennzeichen und die Darstellung hängen auch von den regionalen Einstellungen und den Formatierungseinstellungen in Zelle ab.

Hinweis: Die Funktion fixed() ist nicht mit einem Formatstring wie der Angabe von Maßeinheiten kombinierbar.

Unterschied zu zenon 5.50 und früher

Die Funktion fixed() verfügt in Versionen bis 5.50 auch über das Argument no_seps. Das Argument ist optional und steuert die Anzeige von Tausendertrennzeichen.

Syntax: =fixed(num,decimals,no_seps)

  • no-seps:
    • 0: Tausender-Trennzeichen wird eingefügt
    • 1: Tausender-Trennzeichen wird weggelassen

In späteren Versionen werden Zahlen generell ohne Tausendertrennzeichen angezeigt.


left

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > left

Die Funktion left(string,num) liefert die in (num) definierte Anzahl von Zeichen aus einer Text-Zeichenkette, beginnend mit dem ersten Zeichen.

Syntax: =left(string,num)

  • string: Zeichenkette in Anführungszeichen oder Verweis auf Zelle mit Zeichenkette
  • num: Anzahl der Zeichen, die beginnend mit dem ersten ausgelesen werden sollen

Example Beispiel

Zelle A1 = abcdefgh

=left(A1,3) ergibt abc

=left(A1,5) ergibt abcde

Um Zeichen beginnend mit dem letzten Zeichen einer Zeichenkette auszulesen, benutzen Sie die Funktion right.


len

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > len

Die Funktion len(string) liefert die Anzahl der Zeichen einer Text-Zeichenkette.

Syntax: =len(string)

Example Beispiel

Zelle A1 = abc
=len(A1) ergibt 3

Zelle A1 = abcdefgh
=len(A1) ergibt 8


lower

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > lower

Die Funktion lower(string) ersetzt alle Großbuchstaben einer Text-Zeichenkette durch Kleinbuchstaben.

Syntax: =lower(string)

Example Beispiel

Zelle A1 = AbCdEf
=lower(A1) ergibt abcdef

Um Kleinbuchstaben durch Großbuchstaben zu ersetzen, verwenden Sie die Funktion upper.


mid

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > mid

Die Funktion mid(string,numStart,numLen) extrahiert

  • aus der definierten Zeichenkette string
  • eine neue Zeichenkette
  • mit einer durch das Argument numLen definierten Anzahl von Zeichen
  • ab der durch numStart definierten Startposition .

Syntax: =mid(string,numStart,numLen)

Example Beispiel

Zelle A1 = abcdefgh
=mid(A1,2,4) ergibt bcde


paint

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > paint

Die Funktion =paint(referenz)setzt die in der referenzierten Zelle angegebene Zeichenkette fort, falls diese in der referenzierten Zelle nicht genug Platz findet. So lassen sich lange Zeichenketten durch Verteilung auf mehrere Zellen gut lesbar darstellen.

Syntax: =paint(referenz)

Example Beispiel

Die Zelle A1 enthält die Zeichen: abcdefghijklmn

In Zelle A1 werden bedingt durch die Zellenbreite dargestellt: abcdefg

=paint(A1) in Zelle A2 führt zu dieser Darstellung:

A1: abcdefg

A2: hijklmn

Diese Textfunktion kann mit dem Funktionsassistenten projektiert werden.


proper

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > proper

Die Funktion proper(string) wandelt das erste Zeichen eines Wortes in einen Großbuchstaben und alle folgenden Zeichen in Kleinbuchstaben. Wortanfang ist das erste alphabetische Zeichen einer Zeichenkette. Enthält eine Zeichenkette mehrere nicht-alphabetische Zeichen, wird nach jedem nicht-alphabetischen Zeichen ein neues Wort begonnen.

Syntax: = proper (string)

Example Beispiel

Zelle A1 = AbCdEf
=proper(A1) ergibt Abcdef

Zelle A1 = aBcDeF
=proper(A1) ergibt Abcdef

Zelle A1 = 1aBcD2eF
=proper(A1) ergibt 1Abcd2Ef


replace

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > replace

Die Funktion replace(string,numStart,numLen,stringNew)

  • ersetzt in der Text-Zeichenkette string
  • ab der durch numStart definierten Zeichenposition
  • eine durch numLen definierte Anzahl von Zeichen
  • mit Zeichen aus der neuen Text-Zeichenkette stringNew

Syntax: =replace(string,numStart,numLen,stringNew)

Example Beispiel

Zelle A1 = abcdefgh
Zelle A2 = xyz
=replace(A1,3,2,A2) ergibt abxyzefgh

In diesem Beispiel werden im String abcdefgh die Zeichen cd (3. Stelle im String, Anzahl 2 Zeichen) durch xyz ersetzt.


rept

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > rept

Die Funktion rept(string,num) wiederholt die Zeichenkette string so oft wie in num definiert.

Syntax: =rept(string,num)

Example Beispiel

Zelle A1 = abc
Zelle A2 = 3
=rept(A1,A2) ergibt abcabcabc


right

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > right

Die Funktion right(string,num) liefert die in (num) definierte Anzahl von Zeichen aus einer Text-Zeichenkette, beginnend mit dem letzten Zeichen.

Syntax: =right(string,num)

  • string: Zeichenkette in Anführungszeichen oder Verweis auf Zelle mit Zeichenkette
  • num: Anzahl der Zeichen, die beginnend mit dem letzten ausgelesen werden sollen

Example Beispiel

Zelle A1 = abcdefgh

=right(A1,3) ergibt fgh

=right(A1,5) ergibt defgh

Um Zeichen beginnend mit dem ersten Zeichen einer Zeichenkette auszulesen, benutzen Sie die Funktion left.


search

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > search

Die Funktion search(keystring,string,start) liefert

  • die Position eines Suchtextes keystring
  • innerhalb einer Zeichenkette string
  • ab der Startzeichenposition start

Syntax: =search(string,keystring,start)

Beispiel

Zelle A4=search(A1,A2,A3)

Zelle/Spalte | A
1 | abcdeABCDEabcde
2 | cd
3 | 1
4 | 3

Die Funktion in Zelle A4 findet den gesuchten Text cd in Zelle A1 an Position 3.


substitute

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > substitute

Die Funktion substitute(string,oldstring,newstring,instance)

  • ersetzt in der Zeichenkette string
  • eine durch oldstring Zeichenfolge
  • durch eine neue Zeichenkette newstring
  • wobei instance die Position von oldstring festlegt
    • instance=0 ersetzt alle gefundenen Zeichenfolgen

Die Funktion berücksichtigt die Groß- und Kleinschreibung.

Syntax: =substitute(string, oldstring, newstring, instance)

Example Beispiel

Zelle A1 = abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF
Zelle A2 = XYZ

Beispiel 1:

=substitute(A1,"ABCDEF",A2,0) ergibt abcdef XYZ abcdef XYZ abcdef XYZ

In diesem Beispiel wird die Zeichenfolge ABCDEF im gesamten String abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF durch XYZ ersetzt.

Beispiel 2:

=substitute(A1,"abcdef",A2,2) ergibt abcdef ABCDEF XYZ ABCDEF abcdef ABCDEF

In diesem Beispiel wird die zweite im String abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF gefundene Zeichenfolge abcdef durch XYZ ersetzt.

Hinweis: Zeichenketten innerhalb der Funktion werden in Anführungszeichen ("Zeichenkette") gesetzt.


trim

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > trim

Die Funktion trim(string) lässt maximal ein Leerzeichen zwischen zwei Zeichen zu. Alle weiteren Leerzeichen werden entfernt.

Syntax: =trim(string)

Example Beispiel

Zelle A1 = Zu viele Leerzeichen werden auf eines reduziert .
=trim (A1) ergibt: Zu viele Leerzeichen werden auf eines reduziert.


upper

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Textfunktionen > upper

Die Funktion upper(string) ersetzt alle Kleinbuchstaben einer Text-Zeichenkette durch Großbuchstaben.

Syntax: =upper(string)

Example Beispiel

Zelle A1 = AbCdEf
=upper(A1) ergibt ABCDEF

Um Großbuchstaben durch Kleinbuchstaben zu ersetzen, verwenden Sie die Funktion lower.


Sonstige Funktionen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen

Sonstige Funktionen sammelt Reportfunktionen, die keiner Untergruppe zugeordnet wurden.

Für die Projektierung steht der Funktionsassistent zur Verfügung.

Noch in diesem Kapitel

alarm

cel

alarm und cel projektieren mit Funktionsassistent

compare

comparesp

comparespsum

comparesum

computername

maxsp

minsp

Parameter

select

selectmode

username

variabler

variablerw


alarm

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > alarm

Diese Funktion zeigt Informationen aus der Alarmverwaltung als formatierte Liste in einem Report an.

Syntax: =alarm(FILTER,PARAMETER,RICHTUNG)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTER

Konfiguration über AML-Filter.

PARAMETER
  • name
  • kennung
  • text
  • status
  • wert
  • zeitkommt
  • zeitgeht
  • zeitquittiert
  • zeitreaktiviert
  • statusreaktiviert
  • anzahlreaktiviert
  • angestanden
  • anzahl_h
  • anzahl_t
  • anzahl_m
  • benutzer
  • computer
  • bemerkung
  • klasse
  • gruppe
  • projekt
  • anzahl

Wahl der auszulesenden Filterspalte.

Hinweise:

  • projekt: Im AML-Filter nur bei Mehrbenutzerfähigen Projekten vorhanden
  • anzahl: nur für ein Projekt
  • anzahl_h: nur für ein Projekt
  • anzahl_t: nur für ein Projekt
  • anzahl_m: nur für ein Projekt

RICHTUNG
  • unten
  • links

Auffüllen in entsprechende Richtung.

Der Zeitfilter ergibt sich aus der Definition im Filter Bildumschaltung Report.

Richtung

Optionen

Bedeutung

rechts

Wert wird nach rechts eingetragen (Zeile).

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Spalte angelegt, wird der Wert nach unten (in die Spalte) eingetragen.

unten

Wert wird nach unten eingetragen (Spalte.)

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Zeile angelegt, wird der Wert nach rechts (in die Zeile) eingetragen.

info Info

Um sicherzustellen, dass die Funktion in der Runtime dynamisch Zeilen oder Spalten einfügen kann ohne andere Zeilen/Spalten zu überschreiben, muss die Beschriftung der entsprechenden Zeile oder Spalte auf E (für "Expand") gesetzt werden.


cel

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > cel

Diese Funktion zeigt Informationen aus der Chronologischen Ereignisliste (CEL) als formatierte Liste in einem Report an. Die Projektierung mit dem Funktionsassistenten funktioniert analog der Projektierung der Funktion aml.

Syntax: =cel(FILTER,PARAMETER,RICHTUNG)

Übergabeparameter

Gültigkeitsbereich

Bemerkung

FILTER

Konfiguration über CEL-Filter.

PARAMETER
  • name
  • kennung
  • text
  • status
  • wert
  • zeitkommt
  • benutzer
  • computer
  • bemerkung
  • klasse
  • gruppe
  • projekt
  • anzahl

Wahl der auszulesenden Filterspalte.

Hinweise:

  • projekt: Im CEL-Filter nur bei Mehrbenutzerfähigen Projekten vorhanden
  • anzahl: nur für ein Projekt

RICHTUNG

unten, links

Auffüllen in entsprechende Richtung.

Der Zeitfilter ergibt sich aus der Definition im Filter Bildumschaltung Report.

Richtung

Optionen

Bedeutung

rechts

Wert wird nach rechts eingetragen (Zeile).

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Spalte angelegt, wird der Wert nach unten (in die Spalte) eingetragen.

unten

Wert wird nach unten eingetragen (Spalte.)

Bei der weiteren Reportgestaltung müssen genügend Zellen für die zu erwartenden Einträge frei gelassen werden.

Achtung: Wird eine Funktion archivesp mit nur einer Zeile angelegt, wird der Wert nach rechts (in die Zeile) eingetragen.

info Info

Um sicherzustellen, dass die Funktion in der Runtime dynamisch Zeilen oder Spalten einfügen kann ohne andere Zeilen/Spalten zu überschreiben, muss die Beschriftung der entsprechenden Zeile oder Spalte auf E (für "Expand") gesetzt werden.


alarm und cel projektieren mit Funktionsassistent

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > alarm und cel projektieren mit Funktionsassistent

Funktionen für AML und CEL können Sie mit dem Funktionsassistenten projektieren. Dieses Beispiel wird mit aml durchgeführt und funktioniert mit cel analog:

  1. Wählen Sie im Kontextmenü der gewünschten Zelle den Befehl Reportfunktionen.
  2. Der Assistent wird geöffnet.
  3. Wählen Sie alarm.

  4. Die Reportfunktion alarm wird in die Syntax eingetragen.
  5. Klick auf Variable öffnet den Filter für die AML. (Bei cel Filter für CEL.)
  6. Konfigurieren Sie den Filter.
  7. Wählen Sie den gewünschten Parameter durch Doppelklick aus, z. B. kennung).

  8. Der Parameter wird in den String übernommen.
  9. Wählen Sie die gewünschte Richtung des Eintrags in die Tabelle durch Doppelklick aus:
    • unten: die Funktion füllt die Spalte aus
    • rechts: die Funktion füllt die Zeile aus

  10. Die Richtung wird in den String übernommen.
  11. Die Klammer wird geschlossen.
  12. Mit Klick auf OK wird die Funktion in die Zelle übernommen.


compare

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > compare

Die Funktion compare(Bereich,"Bedingung") vergleicht Zahlen in einem angegebenen Bereich auf eine Bedingung und gibt die Anzahl der zutreffenden Zellen aus.

Syntax: =compare(Bereich,"Bedingung")

Bereich: Zellen, die für den Vergleich herangezogen werden

Bedingung: Inhalt, der für die Untersuchung relevant ist (Angabe immer in Anführungszeichen)

Example Beispiel

=compare(A1:A10,6>"=5")

Vergleicht in der Spalte A die Zellen 1 bis 10 und gibt die Anzahl der Werte aus, die größer oder gleich 5 sind.


comparesp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > comparesp

Die Funktion comparesp(Startzelle,Richtung,P1,P2,P3,P4,"Bedingung") vergleicht Zahlen in einem angegebenen Bereich und einer definierten Verteilung auf eine Bedingung und gibt die Anzahl der zutreffenden Zellen aus.

Syntax: =comparesp(Startzelle,Richtung,P1,P2,P3,P4,"Bedingung")

Parameter | Beschreibung
Startzelle | Zelle mit dem ersten Wert.
Richtung | rechts oder unten
P1 | Anzahl der in der ersten Reihe auszugebenden Werte.
P2 | Anzahl der Leerzellen zwischen zwei Wertausgaben.
P3 | Leerzellen bis zur nächsten Wertereihe.
P4 | Maximale Anzahl der zu überprüfenden Werte.
Bedingung | Vergleichsbedingung. Angabe immer in Anführungszeichen.

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Example Beispiel

=comparesp(A1,unten,12,0,0,12,"=5")


comparespsum

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > comparespsum

Die Funktion comparespsum(Startzelle,Richtung,P1,P2,P3,P4,Bedingung) vergleicht Zahlen in einem angegebenen Bereich und einer definierten Verteilung auf eine Bedingung und gibt die Summe der zutreffenden Zellen aus.

Syntax: =comparespsum(Startzelle,Richtung,P1,P2,P3,P4,Bedingung)

Parameter | Beschreibung
Startzelle | Zelle mit dem ersten Wert.
Richtung | rechts oder unten
P1 | Anzahl der in der ersten Reihe auszugebenden Werte.
P2 | Anzahl der Leerzellen zwischen zwei Wertausgaben.
P3 | Leerzellen bis zur nächsten Wertereihe.
P4 | Maximale Anzahl der zu überprüfenden Werte.
Bedingung | Vergleichsbedingung. Angabe immer in Anführungszeichen.

Zellen ansteuern

Die Parameter P1, P2 und P3 legen fest, welche Zellen der Report befüllt werden:

  • P1: Anzahl
  • P2: Leerzellen zwischen zwei Wertausgaben, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten
  • P3: Leerzellen zwischen zwei Wertreihen, abhängig von RICHTUNG (unten, rechts) entweder Leerzeilen oder Leerspalten

Alle Einträge des Zeitbereichs des Reports werden ausgehend von der Zelle, in der die Funktion angelegt wurde, nach unten oder rechts, mit der durch die Parameter P1-P3 festgelegten Reihenformatierung im Report dargestellt.

Bei Auswahl unten gilt:

  • P1 = Anzahl der mit Werten zu füllenden Zeilen
  • P2 = Leerzeilen zwischen den Werten
  • P3 = Leerspalten

Bei Auswahl rechts gilt:

  • P1 = Anzahl der zu füllenden Spalten
  • P2 = Leerspalten zwischen den Werten
  • P3 = Leerzeilen zwischen den Werten

Example Beispiel

=comparespsum(A1,unten,12,0,0,12,"=5")


comparesum

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > comparesum

Die Funktion comparesum(Vergleichsbereich,Summierungsreferenz,"Bedingung") vergleicht Zahlen in einem angegebenen Bereich auf eine Bedingung und gibt die Summe der zutreffenden Zahlen aus dem Referenzbereich aus.

Syntax: =comparesum(Vergleichsbereich,Summierungsreferenz,"Bedingung")

  • Bereich: Zellen, die für den Vergleich herangezogen werden
  • Summierungsreferenz: Wert, der bei erfüllter Bedingung ausgegeben wird

Bedingung: Inhalt, der für die Untersuchung relevant ist (Angabe immer in Anführungszeichen)

Example Beispiel

=comparesum(B2:B11,A2,"=5")

Die Zellen B2 bis B11 werden auf =5 untersucht. In jenen Zeilen wo dies zutrifft, werden die Werte der entsprechenden Zellen in der Spalte A summiert.


computername

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > computername

Die Funktion computername() liefert den Rechnernamen des Computers auf dem der Report ausgeführt wird.

Syntax: =computername()

Es sind keine Übergabeparameter notwendig.


maxsp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > maxsp

Die Funktionen maxsp ermitteln aus einem Bereich den maximalen Wert und stellt ihn dar. Die Darstellung kann farbig oder unterstrichen erfolgen.

Syntax: =maxsp(range,num)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
range | A1-ATWH31000 | Maximale Anzahl von Spalten: 31000 Maximale Anzahl von Zeilen: 31000
num | -1 0-15 | -1 : unterstrichen 0 ... 15: Farbe entsprechend der Schriftfarbe im Dialog Neue Schrift anlegen (Bilder/Schriften). Die Zuordnungsliste finden Sie unter dieser Tabelle.

Zuordnung Schriftfarben

Die Schriftfarben werden aus dem Betriebssystem übernommen. Zur leichteren Orientierung finden Sie hier eine Liste der Farben, wie Sie in Windows verwendet werden:

Hinweis: Sollten im Betriebssystem Farben umsortiert oder neu definiert werden, ändern sich auch die für maxsp definierten Farben.

Beispiel

Im Report A1 bis B4 soll der höchste Wert unterstrichen dargestellt werden.

Eingabe im Editor:

Zeile/Spalte | A | B | C
1 | 8 | 5 | =maxsp(A1:B4,-1)
2 | 20 | 2 |
3 | 12 | 10 |
4 | 32 | 14 |

Ergebnis zur Runtime


minsp

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > minsp

Die Funktionen minsp(range,num) ermitteln aus einem Bereich den minimalen Wert und stellt ihn dar. Die Darstellung kann farbig oder unterstrichen erfolgen.

Syntax: =minsp(range,num)

Übergabeparameter | Gültigkeitsbereich | Bemerkung
range | A1-ATWH31000 |
num | -1 0-15 | -1: unterstrichen 0 ... 15: Farbe entsprechend der Schriftfarbe im Dialog Neue Schrift anlegen (Bilder/Schriften). Die Zuordnungsliste finden Sie unter dieser Tabelle.

Zuordnung Schriftfarben

Die Schriftfarben werden aus dem Betriebssystem übernommen. Zur leichteren Orientierung finden Sie hier eine Liste der Farben, wie Sie in Windows verwendet werden:

Hinweis: Sollten im Betriebssystem Farben umsortiert oder neu definiert werden, ändern sich auch die für minsp definierten Farben.

Example Beispiel

Zelle C1=minsp(A1:B4,-1)


Parameter

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > Parameter

Parameter erlauben die Definition eines Reports, der über die zenon Funktion Report ausführen und dabei verwendete unterschiedliche Übergabeparameter unterschiedliche Aufgaben erfüllt. Zum Beispiel kann damit ein einziger Report für die Darstellung der Archive mehrerer Steuerungen verwendet werden. Oder ein Report stellt Werte in unterschiedlichen Maßeinheiten dar.Syntax: =parameter(Nummer)

Es stehen 10 Parameter zur Verfügung:

  • 1 - 5: Typ String
  • 6 - 10: Typ DWord

Projektierung

  1. weisen Sie im Report den passenden Zellen die gewünschten Parameter zu

  2. ergänzen Sie die Parameter mit eventuell nötigen Rechenoperationen oder Verweisen
  3. zur Runtime wählen Sie über eine Funktion Report ausführen oder die Schaltfläche Datei öffnen und die Registerkarte Parameter die Werte für die Parameter aus

Tipp: Wenn Sie in einem Report Daten unterschiedlicher Archive darstellen möchten, z. B. 5 SPSen, dann definieren Sie einen gemeinsamen Report. Die Darstellung steuern Sie über 5 zenon Funktionen, die die Werte für die Parameter zur Verfügung stellen. Dieses Funktionen können Sie einfach kopieren, Sie müssen jeweils nur die Übergabewerte in der Registerkarte Parameter ändern.

Beispiele für Parameter

  • =parameter(1): weist der Zelle den Parameter (1) zu
  • =parameter(6)*A1/100: weist der Zelle den Parameter (6) zu, multipliziert den Wert, der in der Registerkarte Parameter festgelegt wurde, mit dem Wert aus der Zelle A1 und dividiert diesen durch 100


select

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > select

Die Funktion =select(Zelladresse) definiert die Zelle, die beim Aufschalten der Reports ausgewählt sein soll. Als Parameter ist die Adresse der Zelle zu übergeben.

Syntax: =select(Zelladresse)

Example Beispiel

=select(B3) wählt die Zelle B3 aus.

Hinweis: Kann mit selectmode() kombiniert werden.


selectmode

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > selectmode

Die Funktion selectmode(Auswahlmodus) setzt den Auswahlmodus.
Die exakte Zelle wird über die Funktion select bestimmt. Die Funktionen selectmode() und select() werden also kombiniert.

Syntax: =selectmode(Parameter)

Parameter:

  • (1): Eine Zelle kann selektiert werden
  • (2): Zellen in einem rechteckigen Bereich markieren
  • (3): Eine oder mehrere zusammenhängende Zeilen markieren

Beispiele

Zelle

Funktion | Bedeutung
=selectmode(1) | Es wird eine einzelne Zelle markiert.
=select(B6) | Die Zelle B6 wird ausgewählt und markiert.

Zelle in Zeile

Funktion | Bedeutung
=selectmode(3) | Es wird eine komplette Zeile markiert.
=select(A5) | Die Zelle A5 wird ausgewählt und die Zeile dieser Zelle markiert.


username

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > username

Die Funktion username liefert den aktuell an zenon angemeldeten Benutzernamen.

Syntax: =username()

Es sind keine Übergabeparameter notwendig.


variabler

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > variabler

Die Funktion =variabler(Variablenname,Eigenschaft) liefert Informationen zu einer Variablen.

Syntax: =variabler(Variablenname,Eigenschaft)

Parameter | Beschreibung
name | Variablenname.
text | Aktueller Grenzwerttext im Falle einer Grenzwertverletzung.
wert | Aktueller Wert der Variable.
einheit | Einheit der Variable.
kennung | Kennung der Variable.
mmin | Messbereich Minimum der Variable.
mmax | Messbereich Maximum der Variable.
status | Aktueller Status der Variable.
gw1 | Grenzwert 1 der Variable.
gw2 | Grenzwert 2 der Variable.
gw3 | Grenzwert 3 der Variable.
gw4 | Grenzwert 4 der Variable.

info Info

Der Report wird schneller erzeugt, wenn die aufgerufenen Variablen advised sind.

Projektierung mit dem Funktionsassistenten

  1. wählen Sie im Kontextmenü der Reporttabelle Reportfunktionen
  2. wählen Sie variabler
  3. klicken Sie auf die Schaltfläche Variable
  4. wählen Sie die gewünschte Variable aus:
    es können mehrere Variablen ausgewählt werden; diese werden ausgehend von der Zelle, in der die Reportfunktion definiert wird, nach unten eingetragen
  5. wählen Sie die anzuzeigende Eigenschaft

Example Beispiel

=variabler("WIZ_VAR_10","name")


variablerw

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Sonstige Funktionen > variablerw

Die Funktion variablerw(Variablenname,Eigenschaft,Aktion) liefert Informationen über Variable und schreibt Werte in Variablen.

Syntax: =variablerw(Variablenname,Eigenschaft,Aktion)

Eigenschaft | Beschreibung
name | Variablenname.
text | Aktueller Grenzwerttext im Falle einer Grenzwertverletzung.
wert | Aktueller Wert der Variable.
einheit | Einheit der Variable. Hinweis: Darf nicht gemeinsam mit Maßeinheitenumschaltung verwendet werden. Nur zur Verwendung mit älteren Projekten. Wird eine in der Maßeinheitenumschaltung definierte Einheit Maßeinheit einer Variablen mit dieser Report-Befehl zur Runtime geändert, muss die Konfiguration in der Maßeinheitenumschaltung neu erfolgen.
kennung | Kennung der Variable
mmin | Messbereich Minimum der Variable. Hinweis: Darf nicht gemeinsam mit Einheitenumschaltung verwendet werden.
mmax | Messbereich Maximum der Variable. Hinweis: Darf nicht gemeinsam mit Einheitenumschaltung verwendet werden.
status | Aktueller Status der Variable.
gw1 | Grenzwert 1 der Variable.
gw2 | Grenzwert 2 der Variable.
gw3 | Grenzwert 3 der Variable.
gw4 | Grenzwert 4 der Variable.

info Info

Der Report wird schneller erzeugt, wenn die aufgerufenen Variablen advised sind.

Projektierung mit dem Funktionsassistenten

  1. wählen Sie im Kontextmenü der Reporttabelle Reportfunktionen
  2. wählen Sie variabler
  3. klicken Sie auf die Schaltfläche Variable
  4. wählen Sie die gewünschte Variable aus:
    es können mehrere Variablen ausgewählt werden; diese werden ausgehend von der Zelle, in der die Reportfunktion definiert wird, nach unten eingetragen
  5. wählen Sie die anzuzeigende Eigenschaft
  6. tragen Sie die gewünschte Aktion ein

Example Beispiel

=variablerw("WIZ_VAR_10","wert","lesen")

Wert auf Variable schreiben

Um aus dem Report Generator einen Wert auf eine Variable zu schreiben, geben Sie den Variablennamen, die Eigenschaft "wert" und die Zelle, die den Wert enthält an:

=variablerw(Variablenname,"wert",Zelle)

Beispiel: =variablerw("internvariable","wert",A2)


Formatierungsschlüssel

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Formatierungsschlüssel

Die Formatierungsschlüssel definieren die formatierte Ausgabe von Zelleninformationen in Abhängigkeit von den Zelleninhalten (Datentypen).

Die Definition erfolgt:

  • in der Dropdownliste Format -> Zellen -> Zahlen -> Registerkarte Zellentyp -> Allgemein/Formatstring

    oder

  • im Kontextmenü Reporttabelle -> Zelle -> Registerkarte Zellentyp -> Allgemein/Formatstring

Noch in diesem Kapitel

Numerische Datentypen

Logische Datentypen

Datentypen für Datum und Uhrzeit


Numerische Datentypen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Formatierungsschlüssel > Numerische Datentypen

Formatschlüssel für numerische Datentypen sind symbolische Platzhalter, die durch den formatierten Wert ersetzt werden.

  • Als 1000er-Trennzeichen wird das Komma verwendet, als Dezimaltrennzeichen der Punkt.
  • Jedes Zeichen, das keinen Formatschlüssel darstellt, wird als Textzeichen in die Ausgabe übernommen.
  • Wird kein Formatschlüssel angegeben, wird das Format *0.*als Standardeinstellung benutzt.

    Hinweis: Für die Standardeinstellung sind maximal 15 Dezimalstellen zulässig.

Formatschlüssel | Beschreibung
, (Komma) | Fügt das 1000er-Trennzeichen drei Stellen vor dem Dezimaltrennzeichen ein.
. (Punkt) | Fügt das Dezimaltrennzeichen ein.
; (Semikolon) | Trennt die Formatschlüssel für positive und negative Wertbereiche.
# | Wird nur ersetzt, wenn die entsprechende Stelle auch vorhanden ist.
* | Es werden alle Vor- oder Nachkommastellen angezeigt.
0 (Null) | Wenn die Stelle im Wert nicht vorhanden ist, wird sie mit Null gefüllt.
/ | Das nachfolgende Zeichen wird als Text-Zeichenkette behandelt.

Beispiele

Daten | Formatschlüssel | formatierter Text | Beschreibung
-0.2 | *0.00 | -0.20 | Es werden immer zwei Nachkommastellen ausgegeben.
123 | *00000 | 00123 | Die ersten 5-Stellen werden mit führenden Nullen ausgegeben.
104 | ->*<- | ->104<- | Zahlen werden grundsätzlich zwischen den Zeichen ->...<- ausgegeben.
0.2500 | *0.* | 0.25 | Bei Werten zwischen -1.0 und 1.0 wird immer eine führende Null ausgeben.
12 | +*0.00;-*0.00 | +12.00 | Positive Werte werden mit + und negative Werte mit - gekennzeichnet.


Logische Datentypen

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Formatierungsschlüssel > Logische Datentypen

Mit den logischen Datentypen lassen sich Ja/Nein-Informationen vielfältig darstellen. Über den Formatierungsschlüssel wird der Ausgabetext festgelegt.

  • Format: Text1;Text2
  • Ausgabe:
    • positive Werte inklusive Null = Text 1
    • negative Werte = Text 2

Mit der Funktion if(exprTest,valTrue,valFalse)lassen sich die Ausgabeinformationen unabhängig von der Zellenformatierung beschreiben.

Beispiel

Daten | Formatschlüssel | formatierter Text | Beschreibung
1 |  | Ja | Wird kein Formatierungsschlüssel angegeben, wird als Default True/False verwendet.
-1 | Ja;Nein | Nein |


Datentypen für Datum und Uhrzeit

Handbuch > Reporting > Report Generator > Projektieren im Editor > Reportfunktionen > Formatierungsschlüssel > Datentypen für Datum und Uhrzeit

Für die Ausgabe von Datums- und Zeitinformationen stehen eine Vielzahl von Formatierungsschlüssel zur Verfügung. Im Eingabemodus und bei Ausgabe ohne Formatierungsschlüssel wird das unter den Windows-Ländereinstellungen definierte Ausgabeformat benutzt.

info Info

Bezeichnungen für Tage und Monate können zur Runtime sprachumschaltbar projektiert werden.

Jedes Zeichen, das keinen Formatschlüssel darstellt, wird als Textzeichen in die Ausgabe übernommen.

Formatschlüssel | Wert | Beschreibung
m | 1 - 12 | Monat numerisch kurz
mm | 01 - 12 | Monat numerisch lang
mmm | Jan - Dez | Monat kurz
mmmm | Januar - Dezember | Monat lang
d | 1 - 31 | Tag kurz
dd | 01 - 31 | Tag lang
ddd | Son - Sam | Wochentag kurz
dddd | Sonntag - Samstag | Wochentag lang
yy | 00 - 99 | Jahr kurz
yyyy | 1700 - 2900 | Jahr lang (0x wird als 190x interpretiert)
/ |  | internationales Datumstrennzeichen
h | 0 - 23 oder 1 - 12 | Stunde kurz, entweder 24 h oder 12 h mit ap
hh | 00 - 23 oder 01 - 12 | Stunde lang, entweder 24 h oder 12 h mit ap
mm | 00-59 | Minuten , nur nach h oder hh
ss | 00-59 | Sekunden
ff | 000-999 | Millisekunden
ap | am, pm (oder internationales Äquivalent) | am oder pm
: (Doppelpunkt) |  | internationales Zeittrennzeichen

Beispiel

Daten | Formatschlüssel | formatierter Text
22.09.95 14:05 | dddd dd/mm/yyyy | Freitag 22.09.1995
22.09.95 14:05 | dd/mmmm yyyy | 22.September 1995
22.09.95 14:05 | dd/mm/yy hh:mm | 22.09.95 14:05
22.09.95 14:05 | hh:mm:ff | 14:05:000


zenon Funktionen für Report Generator

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator

zenon stellt Funktionen zur Steuerung des Report Generators in der Runtime zur Verfügung.

Die Funktion Bildumschaltung schaltet auf das Bild Report um und ermöglicht die Definition von Filter.

Spezielle Funktionen ermöglichen das Drucken, Exportieren oder Ausführen eines Reports zur Runtime. Um eine zenon Funktionen für den Report Generator zu erstellen:

  1. navigieren Sie im Kontextmenü der Funktionen zu: Funktion neu -> Report Generator
  2. wählen Sie die gewünschte Funktion:
    • Drucken Report
    • Exportieren Report
    • Report ausführen

Noch in diesem Kapitel

Bildumschaltung Report

Reportfilter

Report Generator: ausführen

Report Generator: drucken

Report Generator: exportieren


Bildumschaltung Report

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Bildumschaltung Report

Um einen Report zur Runtime zu nutzen, projektieren Sie eine Bildumschaltung auf ein Bild vom Typ Report:

  1. erstellen Sie ein neues Bild vom Typ Report
  2. wählen Sie im Knoten Funktionen im Kontextmenü den Eintrag Funktion neu
  3. wählen Sie die Funktion Bildumschaltung
  4. wählen Sie das Bild vom Typ Report
  5. der Reportfilter wird angezeigt
  6. wählen Sie die gewünschten Eigenschaften
  7. verknüpfen Sie die Funktion mit einem Button im Bild, um zur Runtime umzuschalten


Reportfilter

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter

Beim Anlegen von zenon Funktionen für die Konfiguration des Reports der Reportfilter angezeigt:

  • Datei: Auswahl der Reportdatei und Bedingungen zur Runtime
  • Parameter: Übergabeparameter
  • Zeit: Zeitbereich
  • Chargen: Filterung auf Charagen
  • Verknüpfungen: Funktionen ersetzen
  • Indizes: Indizes ersetzen

Noch in diesem Kapitel

Datei

Parameter

Zeit

Chargen

Verknüpfungen ersetzen

Indizes ersetzen


Datei

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Datei

In der Registerkarte Datei legen Sie fest, welcher Report bei der Bildumschaltung aufgerufen wird oder ob das zur Runtime entschieden werden soll.

Parameter

Beschreibung

Format-Datei

Auswahl der im Editor projektierten Reportdatei (*.xrs).

Diesen Dialog zur Runtime anbieten

Aktiv: Vor jedem Aufschalten des Bildes wird der Filterdialog geöffnet. Die Filter-Einstellungen können modifiziert werden. Diese Option steht unter Windows CE nicht zur Verfügung.
Achtung: Wird zusätzlich in der Registerkarte Chargen die Option Chargenauswahldialog anzeigen ausgewählt, dann wird zur Runtime der Chargenauswahldialog aufgeschaltet. Dieser wird bei einem Reload nicht mehr angezeigt.

Hinweise für Zeitbereichsfilter:

Diesen Dialog zur Runtime anbieten aktiv:

  • Der Filter wird zur Runtime bei der Bildumschaltung geöffnet. Beim Nachladen wird der Filter nicht mehr angeboten. Dieses Verhalten kann sich bei einzelnen Bildtypen unterscheiden, wenn der Dialog bei der Bildumschaltung angezeigt und abgebrochen wurde.
  • Es wird immer der letzte abgeschlossene Zeitbereich verwendet.

Diesen Dialog zur Runtime anbieten inaktiv:

  • Letzten abgeschlossenen Zeitbereich verwenden aktiv:
    Es wird der letzte abgeschlossene Zeitbereich verwendet
  • Letzten abgeschlossenen Zeitbereich verwenden inaktiv:
    Es wird der aktuelle Zeitbereich verwendet

Nur lesen

Aktiv: Einträge können nur gelesen werden. Ändern und speichern ist nicht möglich.

Lese Archive vom Rückleseordner

Aktiv: Ausgelagerte Archive werden von dem in der Projektkonfiguration definierten Rückleseordner eingelesen.

Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.

Die Datei-Konfiguration unterscheidet sich bei:

  • Report drucken
  • Report exportieren
  • Report ausführen


Parameter

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Parameter

Parameter ermöglichen es, einen Report für unterschiedliche Archive zu verwenden. Dazu werden im Report die flexibel zu verwendenden Felder mit der Reportfunktion parameter ( Nummer ) definiert. Die jeweils zu verwendenden Parameter werden in der Registerkarte Parameter der Bildumschaltfunktion festgelegt. Zum Beispiel kann damit ein einziger Report für die Darstellung der Archive mehrer Steuerungen verwendet werden. Oder ein Report stellt Werte in unterschiedlichen Maßeinheiten dar.

Es stehen 10 Parameter zur Verfügung:

  • 1 - 5: Typ String
  • 6 - 10: Typ DWord

Sollen zum Beispiel die Archivdaten von 5 SPSen dargestellt werden, wird ein Report erstellt und über 5 Umschaltfunktionen werden die 5 Parameter für die SPSen übergeben.


Zeit

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit

Zeitfilter ermöglichen es, Daten, die angezeigt oder exportiert werden sollen, zu begrenzen. Die Zeitfilter sind sehr flexibel einsetzbar und können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Zeitfilter können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden für:

  • Absoluter Zeitraum
  • Relativer Zeitraum
  • Ab
  • Zeitbereich

Die Zeitfilterung kann prinzipiell auf zwei Arten erfolgen:

  1. Zeitbereich im Editor vorgeben
    Es werden fixe Zeitbereiche verwendet. Im Editor wird ein Zeitbereich vorgegeben. In der Runtime kann nur mehr nach diesem Zeitbereich gefiltert werden. Auch andere Filter - z B. Filtern nach Variablenname, Alarm/Ereignis-Gruppen und -Klassen usw. - sind zur Runtime nicht mehr anpassbar.
  2. Zeitfilter zur Runtime anpassbar
    Es werden vorprojektierte Zeiten verwendet. Der Zeitfilter wird im Editor vorgegeben und kann zur Runtime beliebig verändert werden.

Zeitfilter

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Bei Bildumschaltungen auf ein Bild vom Typ Report Generator muss ein Zeitfilter konfiguriert sein. Die Option Kein Zeitfilter ist nicht verfügbar.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar


Absoluter Zeitraum

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Zeit > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt. Die Chargenfilterung entspricht der Filterung in den Archiven.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Dialog zur Runtime ersetzen mit Bild

Nur verfügbar, wenn die Option Chargenauswahldialog anzeigen gewählt wurde.

Definition eines Bildes, das zur Runtime statt des Chargenauswahldialogs aufgeschaltet werden soll. Es werden nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter angeboten.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes.

Wird zur Runtime das verknüpfte Bild nicht gefunden, so wird nach entsprechenden Bildern mit spezifischen Namen gesucht.

Hinweis: Auch über die Option Diesen Dialog zur Runtime anbieten kann ein Chargenfilterbild ausgewählt werden. Dieses wird an dieser Stelle allerdings nicht als Chargenfilter, sondern als Zeitfilterbild verwendet. Die Chargenfilter-Optionen werden an dieser Position nicht richtig angewendet.

Chargenauswahl relativ

Achtung: Diese Option ist nur für Erweiterter Trend verfügbar. Sie wird bei Faceplates für alle Bildtypen angezeigt, ist aber auch hier nur für ETM verfügbar.

Konfiguration für ETM:

Damit die Option verfügbar ist, muss die Option Chargenauswahldialog anzeigen aktiviert und in den Projekteigenschaften die Eigenschaft Windows CE Projekt deaktiviert sein.

  • Aktiv: Ermöglicht direkten Vergleich mehrerer Chargen. Die Darstellung geht immer von Nullpunkt aus.

Hinweis: Bei aktivierter Option stehen zur Runtime die Buttons Diagramm und X-Achsen nicht zur Verfügung. Das gilt auch für die Rechtsklick-Funktionalität.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
    Hinweis: Chargenname darf kein | Zeichen enthalten!
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Verknüpfungen ersetzen

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Verknüpfungen ersetzen

Verknüpfte Variablen oder Funktionen können im Editor regelbasiert dauerhaft ersetzt werden. Die Ersetzung beschränkt sich nicht auf die in den Eigenschaften der Gruppe Variable/Funktion definierten Variablen oder Funktionen. Es können auch alle anderen im Bild verwendeten Variablen ersetzt werden, wie etwa Variablen für Sichtbarkeit, Blinken, Größe und Drehen dynamisch und andere.

Um Variablen oder Funktionen regelbasiert direkt am Element zu ersetzen:

  1. Markieren Sie die gewünschten Element und öffnen Sie mit Rechtsklick auf ein Element das Kontextmenü.
  2. Wählen Sie Verknüpfungen ersetzen.

    Der Dialog zum Ersetzen von Verknüpfungen öffnet sich

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden Test1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *test1 und Zieleintrag test2 findet und ersetzt Test1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen möchten, als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Info

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Achtung

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.

info Info

Ersetzen per Drag&Drop: Elemente, die nur eine Variable oder Funktion enthalten können, erlauben den Austausch per Drag&Drop. Ziehen Sie mit der Maus die neue Variable oder Funktion auf das Element. Es ersetzt automatisch das bisherige.

Beispiel

Es sollen alle Variablen mit WIZ_VAR_1 im Namen durch Variablen mit WIZ_VAR_2 ersetzt werden.

  1. Geben Sie in das Textfeld Quelle WIZ_VAR_1 ein. Mit dem Zeichen* schließen Sie alle Variablen ein, die mit WIZ_VAR_1 beginnen.
  2. Geben Sie im Textfeld Ziel WIZ_VAR_2 ein.
  3. Klicken Sie auf Übernehmen.
  4. Die Variablen WIZ_VAR_10, WIZ_VAR_11 und WIZ_VAR_12 werden durch die Variablen WIZ_VAR_20, WIZ_VAR_21 und WIZ_VAR_22 ersetzt.


Indizes ersetzen

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Reportfilter > Indizes ersetzen

Bei der Bildumschaltung zur Runtime können Variablen, Funktionen und ALC-Aliase über Indizierungsregeln oder elementspezifische Parameter dynamisch ersetzt werden.

Möglichkeiten zur Substituierung:

  • Über Indizierungsvariablen: z.B. {X01}
  • Über elementspezifische Parameter: {PARAM}
  • Ohne Indizierungsvariable oder Parameter

attention Achtung

Da die Namen ersetzt werden, sollten Variablen und Funktionen immer unterschiedlich benannt werden. Bei Namensgleichheit würden jeweils Variablen und Funktionen ersetzt werden.

Beispiel: Existieren eine Variable test und eine Funktion test und die Variable test soll ersetzt werden, würde gleichzeitig auch die Funktion test ersetzt.

Tipp: Benennen Sie Variablen und Funktionen jeweils mit einem Präfix (z.B var_ und func_). Damit haben Sie auch in Listen immer Überblick.

attention Achtung

Im Gegensatz zu Verknüpfungen ersetzen erfolgt die Ersetzung über Indizes rein namensbasiert und nicht über interne Variablen IDs.

D.h. werden in der Bildumschaltfunktion verwendete Variablen, Funktionen oder ALC-Aliase umbenannt, müssen diese Änderungen auch in der Bildumschaltfunktion selbst nachgezogen werden.

Dialog Indizes ersetzen

Indizierungsregeln

Parameter

Beschreibung

Indizierungsregeln

Konfiguration der Regeln für die Ersetzung von Variablen, Funktionen und ALC-Aliase.

Quelle

Eingabe der Quelle, die substituiert werden soll.

Ziel

Eingabe des Ziels. Es können auch Parameter für Werte aus Indizierungsvariablen wie z.B. ({X01} und Parameter {PARAM} für Funktionen verwendet werden.

Groß-/Kleinschreibung beachten
  • Aktiv: Beim Ersetzen wird Groß- und Kleinschreibung beachtet.

Liste Regeln

Liste der definierten Regeln.

Regel hinzufügen

Klick auf Schaltfläche fügt die über Quelle und Ziel definierte Regel zur Liste hinzu.

Info: Ist eine Regel in der Liste ausgewählt, wird diese überschrieben. Um eine neue Regel hinzuzufügen muss die Auswahl zuvor aufgehoben werden.

Regel entfernen

Klick auf Schaltfläche löscht die ausgewählte Regel aus der Liste.

Pfeil nach oben

Klick auf Schaltfläche reiht die ausgewählte Regel in der Liste um eine Position höher ein.

Pfeil nach unten

Klick auf Schaltfläche reiht die ausgewählte Regel in der Liste um eine Position tiefer ein.

Hinweis: Die Methode Indizies ersetzen kann auch ohne Indizierungsvariablen angewandt werden. Die Variablen werden in die Liste der Regeln eingetragen.
Vorteil: Wenn die Struktur um Unterelemente erweitert wird, muss die Funktion kein weiteres Mal angepasst werden wie es bei der Methode Verknüpfungen ersetzen der Fall wäre.

Indizierungsvariablen

Parameter | Beschreibung
Indizierungsvariablen | Konfiguration der Indizierungsvariablen.
Liste Regeln | Zeigt die ausgewählten Indizierungsvariablen an.
Hinzufügen | Klick auf Schaltfläche öffnet den Dialog zum Hinzufügen und Entfernen von Indizierungsvariablen an. Ausgewählte Variablen werden der Reihe nach hinzugefügt und mit einem Parameter versehen. Dieser kann in den Ersetzungsregeln für die jeweilige Indizierungsvariable eingesetzt werden. Beim Ersetzen wird der Wert dieser Variablen in die Regel eingesetzt.

Ersetzungsvorschau

Parameter | Beschreibung
Ersetzungsvorschau | Listet alle konfigurierten Ersetzungen auf. Klick auf einen Eintrag befüllt auch die Optionen Quelle und Ziel im Abschnitt Indizierungsregeln.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

attention Achtung

Wenn Indexvariablen in einem Netzwerkprojekt verwendet werden, muss der Client zuerst den Wert vom Server holen. Dann wird die Berechnung ausgeführt. Auf Geräten mit schwacher Hardware-Leistung kann dies zu Verzögerungen bei der Bildumschaltung führen.
Tipp: Schalten Sie Indexvariablen in einem Netzwerkprojekt immer auf Harddisk Datenspeicherung aktiv.


Report Generator: ausführen

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Report Generator: ausführen

Die Funktion Report Generator: ausführen ermöglicht es, zur Runtime einen Report automatisch im Hintergrund auszuführen. Ist in dem Report eine Schreibfunktion projektiert, können im Report berechnete Werte automatisch in Archive oder in das Prozessabbild geschrieben werden.

Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie im Abschnitt Report Generator den Eintrag Report ausführen
  3. der Dialog für den Reportfilter wird geöffnet

    Hinweis: Die Einstellungen der Registerkarte Datei unterscheiden sich. Die für Report ausführen gültigen Einstellungen werden in diesem Kapitel erklärt, alle weiteren Einstellungen finden Sie im Kapitel Reportfilter:

    • Parameter
    • Zeit
    • Chargen
  4. wählen Sie die gewünschten Eigenschaften
  5. verknüpfen Sie die Funktion mit einem Button im Bild, um zur Runtime umzuschalten

Konfiguration Registerkarte Datei

Die Konfiguration der Registerkarte Datei unterscheidet geringfügig sich von der Konfiguration bei der Bildumschaltung.

Parameter

Beschreibung

Format-Datei

Auswahl der im Editor projektierten Reportdatei (*.xrs).

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Filterdialog vor dem Aufschalten angeboten.

Lese Archive vom Rückleseordner

Aktiv: Ausgelagerte Archive werden von dem in der Projektkonfiguration definierten Rückleseordner eingelesen.

Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.

info Info

Mit dieser Funktion werden auch alle Schreibaktionen im Report ausgeführt.


Report Generator: drucken

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Report Generator: drucken

Die Funktion Report Generator: ausführen ermöglicht den Ausdruck eines Reports ohne ihn vorher aufzuschalten. Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie im Abschnitt Report Generator den Eintrag Report drucken
  3. der Dialog für den Reportfilter wird geöffnet
  4. Hinweis: Die Einstellungen der Registerkarte Datei unterscheiden sich. Die für Report drucken gültigen Einstellungen werden in diesem Kapitel erklärt, alle weiteren Einstellungen finden Sie im Kapitel Reportfilter:
    • Parameter
    • Zeit
    • Chargen
  5. wählen Sie die gewünschten Eigenschaften
  6. verknüpfen Sie die Funktion mit einem Button im Bild, um zur Runtime umzuschalten

Konfiguration Registerkarte Datei

Parameter

Beschreibung

Format-Datei

Auswahl der im Editor projektierten Reportdatei (*.xrs).

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Filterdialog vor dem Aufschalten angeboten.

Mit Abbrechen-Dialog

Aktiv: Während der Vorbereitung des Reports für den Druck wird eine Schaltfläche zum Abbrechen des Drucks eingeblendet.

Lese Archive vom Rückleseordner

Aktiv: Ausgelagerte Archive werden von dem in der Projektkonfiguration definierten Rückleseordner eingelesen.

Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.

info Info

Mit der Funktion Report drucken können Archiveinträge nur gelesen werden. Schreibaktionen sind nicht möglich.


Report Generator: exportieren

Handbuch > Reporting > Report Generator > Projektieren im Editor > zenon Funktionen für Report Generator > Report Generator: exportieren

Mit der Verwendung der Funktion Report Generator: exportieren kann im Onlinebetrieb ein Report im Hintergrund auf eine Datei geschrieben werden. Die Exportdatei wird im Unterordner \Export des Projektordners abgelegt. (Öffnen aus zenon: Projekt markieren, Strg+Alt+D drücken.) Als Übergabeparameter sind die Dateiparameter, die Filter und die Zeit anzugeben.

Die Funktion Report exportieren ermöglicht den Export eines Reports in eine Datei ohne ihn vorher aufzuschalten. Um die Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie im Abschnitt Report Generator den Eintrag Report exportieren
  3. der Dialog für den Reportfilter wird geöffnet
  4. Hinweis: Die Einstellungen der Registerkarte Datei unterscheiden sich. Die für Report exportieren gültigen Einstellungen werden in diesem Kapitel erklärt, alle weiteren Einstellungen finden Sie im Kapitel Reportfilter:
    • Parameter
    • Zeit
    • Chargen
  5. wählen Sie die gewünschten Eigenschaften
  6. verknüpfen Sie die Funktion mit einem Button im Bild, um zur Runtime umzuschalten

info Info

Beim Export eines Reports über die Funktion Report exportieren werden bei Maßeinheiten die umgeschalteten Einheiten exportiert. Die Basiseinheiten sind nicht Teil des Exports.

Konfiguration Registerkarte Datei

Parameter

Beschreibung

Format-Datei

Auswahl der im Editor projektierten Reportdatei (*.xrs).

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Filterdialog vor dem Aufschalten angeboten.

Lese Archive vom Rückleseordner

Aktiv: Ausgelagerte Archive werden von dem in der Projektkonfiguration definierten Rückleseordner eingelesen.

Beim Laden von Archivdaten aus dem Rückleseordner werden zusätzlich auch die Archivdaten aus dem Runtimepfad und aus allen Unterordnern des Rückleseordners gelesen.

Exportdatei

Eigenschaften der Datei, in die der Report exportiert wird.

Name

Name der Datei.
Maximal 8 alphanumerische Zeichen. Wird kein Name vorgegeben und ist die Automatische namensvergabe ausgeschaltet, wird automatisch der Name dummy verwendet.

Achtung: Die Verwendung von Sonderzeichen kann zu Datenverlusten führen.

Format

Format der Exportdatei.
  • TXT

Textdatei
  • XRS

zenon Reportdatei
  • XML

XML-Datei

Automatische Namensvergabe

Aktiv: Der Dateiname wird automatisch erstellt. Er setzt sich zusammen aus der Kurzkennung und dem kodierten Datum und der gewählten Dateiendung.

Kodierung Name für automatische Namensvergabe

Kode | Bedeutung
xx | Kurzkennung: 2 Zeichen Erste beide Zeichen des unter Name vergebenen Namens oder die vom System vorgegebenen Zeichen du.
JJ | Jahr: zweistellig
MM | Monat: zweistellig
TT | Tag: zweistellig
HH | Stunde: zweistellig
MM | Minute: zweistellig
SS | Sekunde: zweistellig

Beispiel

  • Die Reportdatei Report wird am 9. 6. 2010 um 11:52 im Format XRS exportiert
  • Automatischer Dateiname: re100506091152.xrs

info Info

Mit der Funktion Report exportieren können Archiveinträge nur gelesen werden. Schreibaktionen sind nicht möglich.


Bedienen zur Runtime

Handbuch > Reporting > Report Generator > Bedienen zur Runtime

Zur Runtime werden die Reports über die projektieren Buttons angezeigt, konfiguriert und verwaltet. Zur Runtime stehen folgende Bedienelemente zur Verfügung:

Parameter | Beschreibung
Vorlage einfügen... | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Kontrollelemente für Fensterdarstellung.

Parameter

Beschreibung

Reportfenster

Zeigt den Report an.

Eingestellter Filter

Zeigt zur Runtime den aktuell konfigurierten Zeitfilter an.

Kompatible Elemente

Standard Win32 Kontrollelemente, die durch zenon Elemente (Dynamischer Text, Schalter) ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Beschreibung siehe aktuelle Elemente.

  • Eingestellter Filter

Funktionen

Kontrollelemente zur Steuerung zur Runtime.

Parameter

Beschreibung

Filter...

Reportdatei auswählen und Filterbedingungen ändern.

Aktualisieren

Report vollständig neu aufbauen (Werte und Darstellung).

Drucken

Report zur Runtime ausdrucken.

Exportieren

Report exportieren.

Archiv speichern

Geänderte Werte ins Archiv zurückspeichern.

Report speichern

Report wird zur Runtime gespeichert (*.xrs).

Achtung: Beim Speichern werden Formeln und Funktionen durch die aktuellen Werte ersetzt. Die Funktionen stehen in diesen Reports (.xrs Dateien) nicht mehr zur Verfügung. Diese Reports können im Editor auch nicht mehr bearbeitet werden.

Empfehlung: Setzen Sie original Reportdateien auf den Dateistatus "schreibgeschützt" und speichern Sie Änderungen mit Speichern unter in einer neuen Datei.

Report speichern unter...

Report wird zur Runtime unter einem neuen Namen gespeichert (*.xrs), wobei die Formeln und Funktionen durch die aktuellen Werte ersetzt werden.

Ausgewählte Werte lesen

Ausgewählte Werte werden vom Treiber neu eingelesen.

Ausgewählte Werte absetzen

Ausgewählte Werte werden zum Treiber abgesetzt.

Alle Werte lesen

Alle Werte werden vom Treiber neu eingelesen.

Alle Werte absetzen

Alle Werte werden zum Treiber abgesetzt.

Navigation

Kontrollelemente für die Navigation.

Parameter | Beschreibung
Zeile nach oben | eine Zeile nach oben blättern
Zeile nach unten | eine Zeile nach unten blättern
Spalte nach rechts | eine Spalte nach rechts blättern
Spalte nach links | eine Spalte nach links blättern
Seite nach oben | eine Seite nach oben blättern
Seite nach unten | eine Seite nach unten blättern
Seite nach rechts | eine Seite nach rechts blättern
Seite nach links | eine Seite nach links blättern

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Parameter | Beschreibung
Profilauswahl | Profil aus Liste auswählen.
Speichern | Speichert aktuelle Einstellung als Profil. Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten. Verboten sind: ! \ / : * ? < > | ""
Löschen | Löscht ausgewähltes Profil.
Import | Importiert Filterprofile aus Exportdatei.
Export | Exportiert Filterprofile in Datei.

info Info

Als Dezimaltrennzeichen wird ein Punkt verwendet. Bei der Eingabe kann sowohl Punkt als auch Komma verwendet werden. Das Trennzeichen wird vom System automatisch umgewandelt.

Beispiel: Aus 10,5 wird 10.5

Noch in diesem Kapitel

Chargenfilter bei Bildumschaltung


Chargenfilter bei Bildumschaltung

Handbuch > Reporting > Report Generator > Bedienen zur Runtime > Chargenfilter bei Bildumschaltung

Wenn Sie ein Bild vom Typ Report aufschalten, das auf Chargen filtert, wird Ihnen folgender Filter angezeigt:

Parameter

Beschreibung

Chargenfilter

Auswahl der Chargen, auf die gefiltert werden soll. Der Filter besteht aus den beiden Listen:

  • Liste Archive: Liste der Archive
  • Liste Chargen: Liste der dem gewählten Archiv zugeordneten Chargen

Liste Archive

Auswahl des gewünschten Archivs.

Knoten *:

  • Sammelt alle Chargen aller angezeigten Archive.
  • Schlüssel ist der Chargenname.
  • Startzeit ist die Startzeit der frühesten Charge.
  • Endezeit die späteste Endezeit aller Chargen.

Liste Chargen

Anzeige der dem ausgewählten Archiv zugeordneten Chargen.

Filterung durch Eingabe eines Texts, Datums, Zeitpunkts oder Zeitbereichs - je nach Typ.

Sortierung durch Klick auf die Kopfzeile.

Chargenname

Zeigt die Namen aller verfügbaren Chargen an.

Filter: Eingabe einer Zeichenfolge. Nur Chargen mit der jeweiligen Zeichenfolge werden angezeigt.

Startdatum

Zeigt das Startdatum aller verfügbaren Chargen an.

Filter: Eingabe eines Startdatums oder Auswahl aus Kalender.

Startzeit

Nur verfügbar, wenn Sie ein Startdatum eingeben.

Anzeige der Startzeit aller verfügbaren Chargen.

Filter: Eingabe einer Startzeit. * bedeutet 00:00:00 Uhr.

Enddatum

Zeigt das Enddatum aller verfügbaren Chargen an.

Filter: Eingabe eines Enddatums oder Auswahl aus Kalender.

Endzeit

Nur verfügbar, wenn Sie ein Enddatum eingeben.

Anzeige der Endzeit aller verfügbaren Chargen.

Filter: Eingabe einer Endzeit. * bedeutet 23:59:59 Uhr.

Dauer

Diese Spalte zeigt die Dauer aller verfügbaren Chargen an.

Nur Anzeige.

info Info

Es werden auch noch nicht abgeschlossene Chargen angezeigt, falls sie den Filterkriterien entsprechen.

info Info

Der Wert der Chargenvariable wird am Beginn der Charge sowohl in die Index-Datei also auch in den Header der ARX-Datei geschrieben. Bei jeder Änderung dieser Variable werden diese Einträge angepasst. Beim Abschließen der Charge wird der aktuelle Wert der Chargenvariable endgültig in die Index-Datei und in den Header geschrieben.

Erst wenn eine Charge abgeschlossen ist, ist der Chargenname festgeschrieben.


Beispiel Archivdaten in Reports

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports

In diesem Beispiel erstellen Sie Archivdaten in einem Report. Dazu:

  1. erstellen Sie einen neuen Report über das Kontextmenü und den Eintrag Report neu
  2. gestalten Sie den Titelbereich
  3. befüllen Sie den Datenenbereich
  4. legen Sie ein Bild vom Typ Report an und erstellen Sie eine Funktion

Noch in diesem Kapitel

Titelbereich

Datenbereich

Report zur Runtime anzeigen


Titelbereich

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Titelbereich

Der Titelbereich enthält in den ersten vier Zeilen:

  • Texte als Überschriften für die Daten
  • Datum und Uhrzeit
  • Firmenlogo

Der Titelbereich wird so formatiert, dass er bei längeren Reports fix bleibt und beim Scrollen nicht aus dem Blickfeld verschwindet.

Noch in diesem Kapitel

Texte

Datum und Uhrzeit

Bilder als Firmenlogo

Fixer Titelbereich bei mehrseitigen Reports


Texte

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Titelbereich > Texte

Tragen Sie folgende Texte als Überschriften für den Report ein:

  • Time
  • Hall 1
    • Tank 1
    • Tank 2
  • Hall 2
    • Tank 1
    • Tank 2


Datum und Uhrzeit

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Titelbereich > Datum und Uhrzeit

Datum und Uhrzeit des Reports werden für die Zellen A1 und E1 mit Report-Funktionen projektiert. Dazu:

  1. tragen Sie in A1 und E1 fügen jeweils die Funktion =now() ein.
  2. in beiden Zellen wird nun das aktuelle Datum angezeigt
  3. um in E1 statt dessen die Uhrzeit zu bekommen, müssen Sie die Formatierung der Zelle ändern:
    1. markieren Sie die Zelle E1
    2. öffnen Sie den Format-Dialog über das Menü Format/Zellen/Zahlen
    3. wählen Sie den Formatierungs-String wie in folgender Abbildung dargestellt

  4. das Ergebnis:


Bilder als Firmenlogo

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Titelbereich > Bilder als Firmenlogo

Bilder in Zellen werden vom Report Generator nicht als Zellinhalt sondern als Formatierung behandelt. Daher erfolgt die Projektierung auch über die Zellformatierung:

  1. importieren Sie das gewünschte Bild im Projektmanager in den Knoten Dateien/Grafiken
  2. wählen Sie die Zelle E2 mit der linken Maustaste aus
  3. öffnen Sie mit der rechten Maustaste das Kontextmenü des Reports und wählen Sie den Befehl Zellen formatieren
  4. wechseln Sie in der Dialogbox auf die Seite Zellentyp
  5. ändern Sie den Zellentyp auf Grafikdatei
  6. wählen Sie das gewünschte Bild aus der Dropdownliste auf der rechten Seite aus

  7. das Ergebnis:


Fixer Titelbereich bei mehrseitigen Reports

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Titelbereich > Fixer Titelbereich bei mehrseitigen Reports

Um bei mehrseitigen Reports die Zeilen- und Spaltentitel immer im Blick zu haben, müssen Sie verhindern, dass diese beim Scrollen im Report mit bewegt werden. Dazu definieren Sie feste Titelbereiche.

Um die Zeilentitel zu fixieren:

  1. wählen Sie im Menü Format den Befehl Report aus
  2. der Konfigurationsdialog wird geöffnet
  3. öffnen Sie die Registerkarte Spalten

    Neben der Gesamtanzahl der Spalten können Sie hier auch die Anzahl der Statischen Spalten angeben. Die festgelegte Anzahl der statischen Spalten wird dann nicht mehr aus dem Bild gescrollt.

  4. tragen Sie unter Statische Spalten eine 1 ein.
  5. wechseln Sie auf die Registerkarte Zeilen:

    Bei den Zeilen stehen unsere Spaltenüberschriften in den Zeilen 1 bis 4:

  6. tragen Sie unter Statische Zeilen eine 4 ein.
  7. bestätigen Sie alle Änderungen mit Klick auf die Schaltfläche OK


Datenbereich

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Datenbereich

Im Datenbereích:

  • projektieren Sie die Anzeige von Zeit und Werten
  • lassen Sich sich Summe und Mittelwert anzeigen

Noch in diesem Kapitel

Zeit

Werte

Summe und Mittelwert


Zeit

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Datenbereich > Zeit

In der Spalte A wird die Zeit der angezeigten Archivwerte dargestellt.

info Info

Als Basis wählen wir ein zyklisches Archiv. Damit erfolgen die Einträge aller Variablen zur gleichen Zeit und es genügt eine Zeit-Spalte für alle Einträge.

Um die Zeit zu projektieren:

  1. markieren Sie die Zelle A5.
  2. wählen sie im Menü Format den Befehl Funktionsassistent
  3. der Funktionsassistent wird geöffnet

  4. wählen Sie die Funktion archive mit einem Doppelklick aus
  5. die Schaltfläche Archiv wird im unteren Bereich des Dialogs angezeigt

  6. klicken Sie auf Archiv
  7. der Dialog zur Archivauswahl wird geöffnet:

  8. klicken Sie auf Neu
  9. die im Knoten Archivserver angelegten Archive werden angezeigt
  10. wählen Sie die Variablen wie im Screenshot dargestellt aus

  11. klicken Sie auf Speichern
  12. wählen Sie die Variable H1_Tank1 aus

  13. bestätigen Sie die Auswahl mit Klick auf OK
  14. der Funktionsassistent wird wieder angezeigt
  15. wählen Sie als Parameter zeit mit einem Doppelklick aus

  16. wählen Sie den Parameter unten mit einem Doppelklick aus
  17. die Funktion ist fertig projektiert (=archive(1,"zeit","unten")

  18. beenden Sie den Assistenten mit Klick auf die Schaltfläche OK

In der Spalte A wird damit ab Zeile 5 die Zeit der Variablenarchivierung nach unten fortgeschrieben.

info Info

Die Parameter müssen immer mit einem Doppelklick ausgewählt werden. Erst wenn die Funktion in der Vorschau mit einer Klammer abgeschlossen ist und keine weiteren Parameter mehr angeboten werden, ist sie vollständig parametriert. Wird die Schaltfläche OK betätigt bevor alle Parameter gewählt wurden, wird der Assistent geschlossen, bevor die Funktion fertig parametriert ist!


Werte

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Datenbereich > Werte

Die Werte für die Tanks in Halle 1 und 2 projektieren Sie analog zur Projektierung der Zeit. Beachten Sie dabei folgende unterschiede:

  • Die Archiv-Variablen müssen nicht mehr angelegt werden. Sie existieren bereits und können sofort ausgewählt werden. Weisen Sie jedem Tank die entsprechende Variable zu.
  • Statt dem Parameter zeit wählen Sie den Parameter wert.

Funktion kopieren

Sobald Sie eine Funktion erstellt haben, können Sie sie in die anderen Zellen kopieren und dann entsprechend editieren:

Dazu:

  1. markieren Sie die zu ändernde Zelle
  2. klicken dann in die Editierzeile
  3. in der Funktion, die nun angezeigt wird, verweisen die Referenznummer auf die entsprechenden Archivvariablen an, wie sie in der Archivauswahl beim ersten Anlegen einer Funktion automatisch vergeben werden
  4. ersetzen Sie daher die 1 als ersten Parameter in der Spalte C durch eine 2
    in der Spalte D durch eine 3
    und in der Spalte E durch eine 4


Summe und Mittelwert

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Datenbereich > Summe und Mittelwert

Für diesen Report proejktieren Sie nun die Anzeige von Summe und Mittelwert.

Dazu müssen Sie ermitteln, wie viele Zeilen für die Archiveinträge benötigt werden. Diese definieren Sie bereits im Report Generator. Die Anzahl der Einträge in der Liste hängt von den Filter-Einstellungen ab, mit denen der Report später aufgerufen wird (Funktionen Report ausführen, Report drucken, Report exportieren) .

In unserem Beispiel werden wir einen Zeitbereich von 2 Minuten auswählen. Da unser Archiv im Zyklus von5 Sekunden Werte aufnimmt, ergeben sich 24 Einträge für den Report. Daher:

  1. tragen Sie in Zelle A29 den Text Summe: ein
  2. tragen Sie in Zelle A30 den Text Mittelwert: ein
  3. fügen Sie in Zelle B29 die Funktion =sum(B5:B25) ein
  4. fügen Sie in Zelle B30 die Funktion =avg(B5:B25) ein.
  5. kopieren Sie die Zelle B29 nach C29, D29 und E29
  6. kopieren Sie die Zelle B30 nach C30, D30 und E30
  7. speichern Sie den Report unter dem Namen Archiv.xrs ab

info Info

Bei der Eingabe der Funktionen können Sie Zellbezeichnungen entweder eintippen oder die Entsprechende Zelle mit der Maus anklicken.

Wenn Sie im Report Generator Funktionen mit Zellenbezügen kopiert, werden die Zellbezüge automatisch angepasst.


Report zur Runtime anzeigen

Handbuch > Reporting > Report Generator > Beispiel Archivdaten in Reports > Report zur Runtime anzeigen

Um den Report in der Runtime ansehen zu können, benötigen Sie:

  • ein Bild vom Typ Report
  • eine Funktion Bildumschaltung

Bild vom Typ Report anlegen

Um ein Bild vom Typ Report anzulegen:.

  1. legen Sie ein neues Bild mit dem Namen Report an
  2. wählen Sie alsr Bildtyp Report
  3. wählen Sie die Schablone MAIN
  4. klicken Sie in das neue Bild
  5. wählen Sie im Menü Kontrollelemente den Befehl Default
  6. ergänzen Sie eventuell weitere benötigte Kontrollelemente

Funktion erstellen

Erstellen Sie eine Funktion Bildumschaltung, um das Bild zur Runtime aufzuschalten. Dazu:

  1. fügen Sie einen neuen Button in das Startbild ein
  2. beschriften Sie ihn mit Report
  3. wechseln Sie zum Knoten Funktionen

    legen Sie eine neue Funktion an

  4. wählen Sie Bildumschaltung
  5. wählen Sie das Bild Report aus
  6. der Reportfilter wird geöffnet

  7. klicken Sie auf die Schaltfläche Format-Datei
  8. wählen Sie Archiv.xrs aus
  9. öffnen Sie die Registerkarte Zeit

  10. Setzen Sie für unser Beispiel
    1. das Zeit-Format auf Relativer Zeitraum und
    2. die Zeit auf 2 Minuten.

    Mehr über Zeitfilter lesen Sie im Handbuch Alarmmeldeliste im Kapitel Zeitfilter

  11. schließen Sie den Filter mit Klick auf OK
  12. weisen Sie die Funktion dem projektierten Button zu
  13. starten Sie die Funktion zur Runtime


Report Viewer

Handbuch > Reporting > Report Viewer

Der Report Viewer dient dem Anzeigen von RDL-Reports von Archiv-, AML-, und CEL-Daten sowie Online-Werten. Über zwei konfigurierbare Zeitbereiche können auch zwei historische Zeitbereiche einander gegenüber gestellt werden.

RDL-Dateien, die die Reportvorlage für die Runtime darstellen, werden im Editor angelegt und bearbeitet. Im mitgelieferten Standardreport stehen bereits 7 vordefinierte Datasets zu Verfügung. Weitere Datasets können frei angelegt werden, lediglich das Tabellenschema für die vier Datenkategorien ist fest vorgegeben.

Achtung: Externe Datasets werden nicht unterstützt.

In der Bildumschaltungsfunktion auf das Bild vom Typ Report Viewer werden die Quelldaten definiert, die in der Runtime die im RDL-File angelegten Datasets versorgen. Für jeden in der RDL-Datei verwendeten Dataset muss in der Bildumschaltung ein Dataset mit gleichem Namen und gleicher Datenherkunft erzeugt werden. Für diesen können je nach Typ die Quellvariablen und Filterkriterien vorgegeben werden.

attention Achtung

Reports, die mit dem zenon Report Viewer angezeigt werden, werden abhängig von den Einstellungen für die Windows Schriftgröße angezeigt.
Das heißt: Reports werden bei Größenänderungen nicht über die automatische Bildschirmanpassung von zenon skaliert. Bei Bildskalierungen wird der Inhalt nicht angepasst.

Typische Projektierungsschritte:

  1. Report Definitionsdatei neu anlegen oder importieren
  2. Bild vom Typ Report Viewer anlegen
  3. Bildumschaltungsfunktion erzeugen und Datasets konfigurieren
  4. Ausgabe als PDF oder am Drucker konfigurieren
  5. RDL-Datei konfigurieren
  6. zur Runtime Funktion über Button oder Menü aufrufen

Einschränkungen

Reports können nicht beliebig groß sein, da die Abarbeitung zu großer Datenmengen in einem Dataset die Performance der Runtime beeinflussen kann. Die Größe eines Reports ist auf die AUsgabe von 5.000 Werten/Zeilen pro Dataset begrenzt.

Hinweis: Bei Datasets mit Archivdateien werden für jede im Archiv enthaltene Variable 5.000 Werte ausgegeben!

attention Achtung

Werden mehrere Report Viewer Funktionen (drucken, exportieren) parallel ausgeführt, kann das zur Auslastung der Runtime führen.

Noch in diesem Kapitel

Projektieren im Editor

Report Definitionsdateien

Bedienen zur Runtime

Fehlerbehandlung


Projektieren im Editor

Handbuch > Reporting > Report Viewer > Projektieren im Editor

Um den Report Viewer zur Runtime einsetzen zu können, müssen Sie im Editor:

  1. ein Bild vom Typ Report Viewer anlegen
  2. eine RDL-Datei erstellen oder importieren, sofern noch keine vorhanden ist
  3. eine Bildumschaltungsfunktion auf das Bild vom Typ Report Viewer anlegen
  4. in der Bildumschaltung die Datasets konfigurieren
  5. die Report Definitionsdatei (RDL) an die in zenon definierten Datasets anpassen
  6. einen Button für dem Aufruf des Report Viewers zur Runtime in das Startbild oder Menü-Bild einfügen

Ordner für Report Definitionsdateien (RDL)

RDL-Dateien werden im Projektbaum im Knoten Dateien/Report Viewer abgelegt. Bereits vorhandene RDL-Dateien können hier importiert und bearbeitet werden oder neue Dateien angelegt werden.

Kontextmenü Reportvorlagen

Menüpunkt | Aktion
Report Definitionsdatei neu | Öffnet den Dialog zum Erstellen einer neuen RDL-Datei auf Basis der bereits definierten Datasets.
Report Definitionsdatei öffnen | Öffnet das mit RDL-Dateien verknüpfte Programm zum Bearbeiten einer bestehenden Definitionsdatei. Standardmäßig sucht zenon erst nach dem MS Report Builder, dann nach dem MS Report Designer.
Standardfunktion erzeugen | Nur in Toolbar verfügbar. Erstellt eine Bildumschaltung auf ein auszuwählendes Bild vom Typ Report Viewer und trägt die ausgewählte RDL-Datei in die Option Report-Definitionsdatei ein.
Zurück zu Ausgangselement springen | Springt bei verknüpften Elementen zurück zu dem Element, von dem aus die Reportvorlage angesprungen wurde. Im Kontextmenü nur vorhanden, wenn verknüpfte Elemente vorhanden sind.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Bestehende Report Definitionsdatei importieren | Öffnet Dialog zum Import bestehender Report Definitionsdateien. Diese müssen vom Typ RDL 2.0 sein.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Bild vom Typ Report Viewer anlegen

Bildumschaltung auf Bild vom Typ Report Viewer

Funktion Report exportieren oder drucken


Bild vom Typ Report Viewer anlegen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bild vom Typ Report Viewer anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Report Viewer .
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

    Hinweis: Dataset-Namen in einer Bildumschaltung zum Bildtyp Report Viewer müssen eindeutig zuweisbar sein und können deshalb nur einmal vergeben werden. Andernfalls wird eine Fehlermeldung ausgegeben.

Parameter | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.
Reportfenster | Funktionen und Profile für den Report. Hinweis: Mit der Eigenschaft Integrierte Symbolleiste des Report Viewers anzeigen in der Eigenschaftengruppe Darstellung kann die Anzeige der internen Report Viewer Symbolleiste zur Runtime aktiviert oder deaktiviert werden.
Eingestellter Filter | Zeigt zur Runtime die aktuell konfigurierten Zeitfilter an. Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Aktualisieren | Lädt die Reportdefinition und die Daten neu und zeigt den den Report mit den aktualisierten Daten an.
Drucken | Druckt den Report auf dem für Werte und Protokolle definierten Drucker aus.
PDF erzeugen | Speichert den aktuell angezeigten Report als PDF-Datei in dem für den Export definierten Ordner.
Excel-Datei erzeugen | Speichert den aktuell angezeigten Report als Excel-Datei in dem für den Export definierten Ordner.
Kompatible Elemente | Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.
Eingestellter Filter | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Navigation

Kontrollelemente für die Navigation der Reportanzeige in der Runtime. Diese Kontrollelemente können als Ersatz für die interne Symbolleiste des Report Viewers projektiert werden und sind speziell für Touch-Navigation geeignet. Mit der Eigenschaft Integrierte Symbolleiste des Report Viewers anzeigen wird die interne Symbolleiste des Report Viewers ein- oder ausgeblendet.

Parameter | Beschreibung
Aktuelle Seite | Nummer der aktuell angezeigt Seite des Reports.
Anzahl an Seiten | Anzeige der Gesamtseitenanzahl des Reports. Anzeige in Runtime: Kann der Gesamtumfang nicht ermittelt werden, wird ein ?-Zeichen visualisiert.
Erste Seite | Springt zur ersten Seite des Reports. Anzeige in Runtime: Nicht verfügbar, wenn die erste Seite des Reports bereits angezeigt wird.
Seite zurück | Springt zur vorangegangen Seite des Reports. Anzeige in Runtime: Nicht verfügbar, wenn die erste Seite des Reports angezeigt wird.
Seite vor | Spring zur nächsten Seite des Reports. Anzeige in Runtime: Nicht verfügbar, wenn die letzte Seite des Reports angezeigt wird.
Letzte Seite | Springt zur letzten Seite des Reports. Anzeige in Runtime: Nicht verfügbar, wenn die letzte Seite des Reports angezeigt wird.

Zoom

Parameter | Beschreibung
Zoom + | Vergrößert die Ansicht des Reports. Anzeige in Runtime: Die Zoomstufen sind fix definiert.
Zoom - | Verkleinert die Ansicht des Reports. Anzeige in Runtime: Die Zoomstufen sind fix definiert.
Zoom zurücksetzen | Zoom wird auf 100 % gesetzt. Der Report wird mit 100 % Darstellungsgröße angezeigt. Anzeige in Runtime: Nicht verfügbar, wenn der Report aktuell mit 100 % Darstellungsröße angezeigt wird.


Bildumschaltung auf Bild vom Typ Report Viewer

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer

Projektieren Sie eine Bildumschaltung auf ein Bild vom Typ Report Viewer, um diesen Bildtyp zur Runtime nutzen zu können.

Vorgehen:

  1. Erstellen Sie eine Bildumschaltfunktion.

    Der Dialog für den Reportfilter wird geöffnet.

  2. Wählen Sie in der Registerkarte Reportdefinition die RDL-Datei aus.
  3. Definieren Sie Modulfilter und/oder Zeitfilter.
  4. Erstellen Sie die gewünschten Datasets.

    Hinweis: Dataset-Namen in einer Bildumschaltung zum Bildtyp Report Viewer müssen eindeutig zuweisbar sein und können deshalb nur einmal vergeben werden. Andernfalls wird eine Fehlermeldung ausgegeben.

  5. Wechseln Sie zur Registerkarte Runtime.
  6. Falls gewünscht, können Sie in der Registerkarte Runtime die Ersetzung des Zeitfilters zur Runtime konfigurieren.
  7. Verknüpfen Sie die Funktion mit einem Button im Bild, um zur Runtime umzuschalten.
  8. Bearbeiten Sie die Datasets in der RDL-Datei entsprechend Ihrer Einstellungen in der Bildumschaltung.

Noch in diesem Kapitel

Reportdefinition

Runtime

Batch Control Rezeptfilter

Zeitfilter

Dialog Dataset neu

Datasets im Report Viewer


Reportdefinition

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Reportdefinition

In dieser Registerkarte konfigurieren Sie die anzuzeigenden Datasets und Filter.

Parameter

Beschreibung

Report Definitionsdatei

RDL-Datei, die für die Reportdefinition benutzt wird. Diese Datei muss im Knoten Datei/Reportvorlagen vorliegen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl der Datei.

Datensätze von Datei lesen

Klick auf die Schaltfläche liest aus der in der Option Report Definitionsdatei definierten RDL-Datei die Datensätze aus und trägt Sie in die Liste Datasets ein.

Dabei gilt:

  • Alle Datasets, die in Bezug auf Spaltenanzahl und Benennung einem in zenon vorhandenem Dataset-Typ zugeordnet werden können, werden automatisch angelegt.
  • Unbekannte Datensätze werden ignoriert.
  • Sollte ein Zeitfilter benötigt werden, dann wird der erste (Zeitfilter 1) verknüpft.
    Ist noch kein Zeitfilter vorhanden, wird ein Zeitfilter mit Standardeinstellungen (relativ, letzte Stunde) angelegt und verknüpft.

Hinweis: Die Liste Datasets muss leer sein, damit Datasets aus einer RDL-Datei automatisch eingefügt werden können. Bestehende Datasets müssen vor Nutzung der Funktion gelöscht werden.

Filter

Liste der verfügbaren Filter mit Anzeige von Namen und Filterart. Es stehen zur Verfügung:

  • Modulspezifische Filter:
    Batch Control Rezeptfilter
  • Zeitfilter
    Zeitfilter werden automatisch mit ansteigender Nummerierung benannt.

Konfiguration:

  • Klick auf Modulspezifische Filter öffnet Dialog zur Konfiguration eines Batchfilters.
  • Klick auf Schaltfläche Zeitfilter neu... öffnet Dialog zur Konfiguration eines Zeitfilters.

Doppelklick auf Gruppen-Überschrift öffnet ersten konfigurierten Filter der Gruppe.

Zeitfilter neu

Öffnet Dialog zur Konfiguration eines neuen Zeitfilters.

Bearbeiten

Öffnet den in der Liste markierten Zeitfilter zur Bearbeitung.

Löschen

Löscht den in der Liste markierten Zeitfilter.
Die folgenden Zeitfilter werden automatisch umbenannt.

Achtung: Wird ein Zeitfilter gelöscht, muss die Zuordnung der Datasets zu den Zeitfilter neu konfiguriert werden. Anderenfalls werden in der Runtime falsche Zeitbereiche angezeigt.

Datasets

Anzeige der projektierten Datasets. Die Liste enthält:

  • Dataset-Name
  • Datenherkunft
  • Zeitfilter

Neu

Öffnet den Dialog zur Erstellung einer neuen Reportdefinition.

Bearbeiten

Öffnet den Dialog zur Bearbeitung der Definition des ausgewählten Elements.

Löschen

Löscht das ausgewählte Element und dessen Definition aus der Liste.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

info Info

Ist in der RDL-Datei eine Datenquelle angelegt, die im Filter einer Report Viewer Funktion nicht projektiert wurde, werden fehlende Datensätze durch leere Einträge ersetzt. Damit wird der Report auch in diesem Fall korrekt dargestellt.


Runtime

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Runtime

In dieser Registerkarte konfigurieren Sie die Ersetzung des ersten Zeitfilters durch ein Bild vom Typ Zeit-/Chargen-/Schichtfilter. Damit können Sie zum Beispiel beim Aufschalten ein eigenes Bild mit Zeitfiltern statt des in der Bildumschaltung konfigurierten Filters nutzen.

Parameter

Beschreibung

Runtime-Einstellungen

Einstellungen für Aktionen zur Runtime.

Zeitfilter 1 zur Runtime ersetzen mit einem Bild

Ersetzt zur Runtime den ersten konfigurierten Zeitfilter mit einem Bild vom Typ Zeit-/Chargen-/Schichtfilter. Das aktuell verknüpfte Bild wird angezeigt.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes. Angeboten werden nur Bilder aus dem aufrufenden Projekt und nur Bilder vom Typ Zeit-/Chargen-/Schichtfilter.

Bei Auswahl eines Filterbildes wird in der Detailansicht der Funktion in der Spalte Parameter zusätzlich die Information BOX SCREEN angezeigt, ohne verknüpftes Bild wird nur BOX angezeigt.

OK

Übernimmt Änderungen in allen Registerkarten und schließt Dialog.

Abbrechen

Verwirft alle Änderungen und schließt Dialog.

Hilfe

Öffnet die Online-Hilfe.


Batch Control Rezeptfilter

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Batch Control Rezeptfilter

Bei der Bildumschaltung auf ein Bild vom Typ Report Viewer kann ein Filter auf Rezepte aus dem Modul Batch Control gesetzt werden. Um nach Rezepten zu filtern:

  1. Öffnen Sie bei der Bildumschaltung die Registerkarte Reportdefinition.
  2. Navigieren Sie zum Abschnitt Filter.
  3. Klicken Sie im Abschnitt Modulspezifische Filter auf Batch Control: Rezeptfilter.
  4. Der Dialog zur Konfiguration des Filters wird geöffnet.

Rezeptfilter anwenden auf

Parameter

Beschreibung

Rezeptfilter anwenden auf

Auswahl der Rezeptart, auf die der Filter angewendet wird:

  • Vorlagenrezept
  • Steuerrezept

Vorlagenrezept

Aktiv: Es wird auf Vorlagenrezepte gefiltert.

Steuerrezept

Aktiv: Es wird auf Steuerrezepte gefiltert.

Hinweis: Die dazu gehörenden Vorlagenrezepte müssen mit ausgewählt werden. Wird für das Steuerrezept kein Vorlagenrezept ausgewählt, kann der Filter zur Runtime die gesuchten Rezepte nicht finden.

Tipp: Ist das Vorlagenrezept nicht bekannt, empfiehlt sich die Filterung mit Platzhalter auf alle Vorlagenrezepte.

Rezeptfilter Einstellungen

Parameter

Beschreibung

Rezeptfilter Einstellungen

Optionen für den Rezeptfilter.

Auswahl aus Rezeptliste von aufrufendem Batch Control Bild übernehmen
  • Aktiv: Zur Runtime wird das erste ausgewählte Rezept des Batch-Bildes, aus dem das Reportviewer-Bild aufgerufen wird, verwendet. Individuelle Einstellungen in diesem Dialog stehen dann nicht zur Verfügung.
  • Inaktiv: Die Filtereinstellungen erfolgen individuell über diesen Dialog.

Vorlagenrezept

Parameter für die Auswahl des Vorlagenrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Version

Auswahl der Version aus Dropdownliste:

  • Alle:
    Die Versionsangabe wird ignoriert und jede gefundene Version wird verwendet.
  • Feststehende Version:
    Es wird auf die Version gefiltert, die hier ins Feld eingetragen wird.
    Höchste mögliche Version: 4294967295
  • Version aus Variable:
    Die Version des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • Nur älteste Version:
    Nur das Rezept mit der ältesten Versionsnummer wird verwendet.
  • Nur neueste Version:
    Nur das Rezept mit der neuesten Versionsnummer wird verwendet.
  • Default: Alle

Status Vorlagenrezept

Status des Rezepts. Auswahl aus Dropdownliste, abhängig von Filterung:

Filterung auf Vorlagenrezepte:

  • Alle
  • Editiermodus
  • Freigegeben
  • Testmodus
  • Test in Ausführung
  • Mit Fehler beendet
  • Veraltet

Filterung auf Steuerrezepte:

  • Freigegeben oder veraltet
  • Freigegeben
  • Veraltet

Ergebnis filtern nach

Definieren Sie durch Auswahl aus der Dropdownliste, welche ID bei der Filterung nach Namen gewählt werden soll:

  • Nur älteste ID
  • Nur neueste ID

Da ein Report immer nur auf ein Rezept angewendet werden kann, ist die Filterung auf "Alle Rezepte" nicht möglich.

Steuerrezept

Parameter für die Auswahl des Steuerrezepts. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
  • Name aus Variable:
    Der Name des Steuerrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID des Vorlagenrezepts wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
    Es kann genau ein Rezept gefunden werden, wenn der Variablenwert zum Zeitpunkt der Ausführung eine gültige ID eines Steuerrezepts ist.
  • Auftragsnummer aus Variable:
    Findet Steuerrezepte, die über die angegebene Auftragsnummer verfügen. Es kann jeder Variablentyp verknüpft werden. Der Wert wird automatisch in STRING konvertiert.
    Hinweis: Enthält die Variable keinen Wert, wird auch kein Rezept an den Report Viewer übergeben.

Status Steuerrezept

Auswahl des Rezeptstatus aus Dropdownliste:

  • Alle
  • Vorbereitet
  • In Ausführung
  • Abgeschlossen
  • Terminiert mit Fehler
  • Veraltet

Ergebnis filtern nach

Definieren Sie durch Auswahl aus der Dropdownliste, welche ID bei der Filterung nach Namen oder Auftragsnummer gewählt werden soll:

  • Nur älteste ID
  • Nur jüngste ID

OK

Übernimmt alle Änderungen, erstellt Filter und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Hinweis Variablenauswahl über Name oder ID: Für die Auswahl von Variablen nach Name oder ID können jeweils numerische Variablen und String-Variablen ausgewählt werden. Die Datentypen werden in die jeweils korrekte Form konvertiert.


Zeitfilter

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter

Zeitfilter ermöglichen es, Daten, die angezeigt oder exportiert werden sollen, zu begrenzen. Die Zeitfilter sind sehr flexibel einsetzbar und können sowohl im Editor voreingestellt, als auch zur Runtime angepasst werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Klick auf die Schaltfläche Neu oder Bearbeiten im Abschnitt Zeitfilter der Registerkarte Reportdefinition öffnet den Dialog zur Konfiguration eines Zeitfilters. Es können beliebig viele Zeitfilter angelegt werden.

Zeitfilter können sowohl im Editor voreingestellt, als auch bei entsprechender Konfiguration zur Runtime angepasst werden für:

  • Absoluter Zeitraum
  • Relativer Zeitraum
  • Ab
  • Zeitbereich
  • Chargen
  • Schichten

Die Zeitfilterung kann prinzipiell auf zwei Arten erfolgen:

  1. Zeitbereich im Editor vorgeben
    Es werden fixe Zeitbereiche verwendet. Im Editor wird ein Zeitbereich vorgegeben. In der Runtime kann nur mehr nach diesem Zeitbereich gefiltert werden. Auch andere Filter - z B. Filtern nach Variablenname, Alarm/Ereignis-Gruppen und -Klassen usw. - sind zur Runtime nicht mehr anpassbar.
  2. Zeitfilter zur Runtime konfigurierbar
    Es werden vorprojektierte Zeiten verwendet. Der Zeitfilter wird im Editor vorgegeben und kann zur Runtime beliebig verändert werden.

Zeitfilter

Filter

Auswahl des Filters.

Parameter

Beschreibung

Kein Zeitfilter

Aktiv: Es wird kein Zeitfilter verwendet.
Hinweis: Zur Runtime werden dann alle Einträge seit 1. 1. 1990 angezeigt. Die Verwendung dieser Filtereinstellung wird vom Erweiterten Trend nicht unterstützt.

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Zusätzlich wird bei Aktivierung folgende Auswahl ermöglicht:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Beispiel: Erstellen Sie eine Bildumschaltung z.B. auf ein Bild vom Bildtyp AML. Stellen Sie im Filterdialog der Bildumschaltung in der Registerkarte Zeit den Filter auf Zeitbereich und wählen Sie in der Dropdownliste Ein Monat aus. Wählen Sie unter Einstellungen Aktuelles Datum/Zeit nutzen aus. Aktivieren Sie die Checkbox der Eigenschaft Zeitbereich modifizieren. Geben Sie unter Zeitbereich in die Zukunft verschieben folgende Einstellung ein: HH = 0. Aktivieren Sie unter Zeitraum ändern um die Checkbox der Eigenschaft Letzten abgeschlossenen Zeitbereich verwenden.

Auswertung: heutiges Datum: 22.02.2018

Ergebnis des Zeitfilters zur Runtime: 01.01.2018 - 31.01.2018

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Hinweis: Wird als Zeitfiltertyp die Option Kein Zeitfilter verwendet, dann werden zur Runtime alle Einträge seit 1. 1. 2000 angezeigt.

attention Achtung

Ein Bild vom Typ Report Viewer kann über mehrere Zeitfilter verfügen. Wird in der Registerkarte Runtime mittels eines Bildes vom Typ Zeitfilter ein Filter auf ein Bild vom Typ Report Viewer gesetzt, dann wird nur der erste Zeitfilter mit den Einstellungen des Filterbildes ausgetauscht. Weitere Filtertypen des Zeitfilters werden automatisch auf Kein Zeitfilter gesetzt.

Noch in diesem Kapitel

Absoluter Zeitraum

Relativer Zeitraum

Ab

Zeitbereich

Zeitbereich im Editor vorgeben

Zeitfilter zur Runtime konfigurierbar

Chargen

Schichten


Absoluter Zeitraum

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Absoluter Zeitraum

Mit dem absoluten Filter definieren Sie einen fixen Zeitbereich. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Absoluter Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden.
Von | Startzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.
Bis | Endzeitzeitpunkt des Filters. Auswahl von Tag, Monat, Jahr, Stunde, Minute und Sekunde.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Relativer Zeitraum

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Relativer Zeitraum

Es wird ein relativer Zeitbereich angegeben.

Achtung: Dieser Filter wird ständig aktualisiert und läuft weiter.
Beispiel: Sie stellen eine relative Zeit von 10 Minuten ein und schalten um 12:00 Uhr ein Bild mit diesem Zeitfilter auf. Dann werden Ihnen beim Aufschalten die Daten von 11:50 bis 12:00 angezeigt. Wenn das Bild geöffnet bleibt, wird der Filter automatisch aktualisiert. Um 12:01 sehen Sie die Daten von 11:51 - 12:01 usw.

Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Relativer Zeitraum
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter | Beschreibung
Einstellungen | Konfiguration des Zeitfilters.
Aktuelles Datum/Uhrzeit vorschlagen | Aktiv: Zeitfilter wird zur Runtime konfiguriert.
Vorgabe | Aktiv: Zeitfilter wird im Editor vorgegeben. Zur Runtime kann nur noch der Startzeitpunkt festgelegt werden. Auswahl des relativen Zeitraums in Tagen, Stunden, Minuten und Sekunden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Ab

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Ab

Es wird ein Zeitpunkt definiert, ab dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Ab
  2. wählen Sie in der Dropdownliste den gewünschten Filter:
    • Ab HH:MM:SS Uhr
    • Ab Tag - HH:MM:SS Uhr
    • Ab Tag, Monat - HH:MM:SS Uhr
  3. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen

Parameter

Beschreibung

Einstellungen

Konfiguration des Zeitfilters.

[Datum/Uhrzeit]

Abhängig von den Einstellungen der Option Ab, wird hier der Zeitpunkt konfiguriert, ab dem der Filter wirkt:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Achtung! Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet, auch wenn das Bild geöffnet bleibt und 23:00:00 Uhr erreicht wird.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.
  • Ab HH:MM:SS Uhr

Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Beispiel: Sie geben 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion 23:30 Uhr, dann wird von 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist es jedoch 22:30 Uhr, dann wird vom Vortag 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.
  • Ab Tag - HH:MM:SS Uhr

Es werden ein Tag und eine Uhrzeit für den Filterbeginn angegeben. Ist die angegebene Zeit im laufenden Monat noch nicht erreicht, wird die entsprechende Zeit des Vormonats verwendet.

Beispiel: Sie geben Tag 5 - 23:00:00 Uhr ein. Ist es bei der Ausführung der Funktion der 10. des Monats um 23:30 Uhr, dann wird vom 5. des Monats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. des Monats, dann wird vom 5. des Vormonats ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

  • Ab Tag, Monat - HH:MM:SS Uhr

Es werden ein Monat, ein Tag und eine Uhrzeit für den Filterbeginn eingegeben. Ist die angegebene Zeit im laufenden Jahr noch nicht erreicht, wird die entsprechende Zeit des Vorjahres verwendet.

Beispiel: Sie geben Tag 5, Monat Oktober - 23:00:00 Uhr ein. Ist bei der Ausführung der Funktion der 10. Oktober um 23:30 Uhr, dann wird vom 5. Oktober ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert. Ist jedoch erst der 4. Oktober, dann wird vom 5. Oktober des Vorjahres ab 23:00:00 Uhr bis zum aktuellen Zeitpunkt gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Zeitbereich

Es wird ein Zeitbereich definiert, innerhalb dem der Filter wirkt. Um den Filter zu setzen:

  1. wählen Sie im Abschnitt Filter die Option Zeitbereich
  2. konfigurieren Sie die gewünschte Zeit im Abschnitt Einstellungen
  3. Hinweis: Die Einträge Auswahldialog anbieten und Aktuelles Datum/Zeit nutzen sind deaktivert, wenn im Dialog Filter... in der Registerkarte Darstellung unter Runtime die Eigenschaft Diesen Dialog zur Runtime anbieten aktiviert ist.

Option

Beschreibung

Zeitbereich

Auswahl eines Zeitbereichs aus Dropdownliste.

Zur Runtime wird auf diesen Zeitbereich gefiltert. Der Filter bezieht sich dabei auf den Zeitpunkt der Bildaufschaltung.
Zum Beispiel: Der Wert 60 Minuten zeigt alle Archive der letzten Stunde an.

Wird dieser Dialog auch zur Runtime angeboten, kann der Startzeitpunkt des Zeitbereichs ausgewählt werden.

Folgende Auswahlmöglichkeiten werden aktiviert:

  • Auswahldialog anbieten
  • Aktuelles Datum/Zeit nutzen

Die Eigenschaft Zeitbereich modifizieren kann aktiviert werden.

Der Zeitbereich kann in die Zukunft verschoben werden.

Der Zeitraum kann geändert werden.

Einstellungen

Optionale Einstellungen für den Zeitbereich.

Auswahldialog anbieten

Der Auswahldialog für den Startzeitpunkt des Filters wird zur Runtime angeboten.

Aktuelles Datum/Zeit nutzen

Das aktuelle Datum/Zeit wird beim Filter eingestellt.

Zeitbereich modifizieren

Ermöglicht Zyklusanpassungen, Verschiebungen und Verlängerungen von Zeitbereichen.

Aktiv: Die Auswertung erfolgt nach folgenden Schema:

  • Zuerst wird die Option Letzten abgeschlossenen Zeitraum verwenden ausgewertet.
  • Danach wird Zeitraum ändern um angewendet.
  • Danach wird Zeitbereich in die Zukunft verschieben um angewendet.

Inaktiv: Es werden keine Änderungen am Zeitbereich durchgeführt.

Achtung: Ab Version 7.10 führen Filteraktionen auf Basis dieser Funktion zu anderen Ergebnissen als in den Versionen davor.

Zeitbereich in die Zukunft verschieben um

Aktiv: Der im Filter definierte Zeitbereich wird in die Zukunft verschoben. Start- und Endzeitpunkt werden um die eingestellte Zeitspanne verschoben.

Angabe in Stunden - Minuten - Sekunden.

Wird eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich ist, wird ein Hinweis zur Überprüfung der Projektierung angezeigt.

Hinweis: Die Defaultwert für HH ist 1. Wenn z.B. eine Auswertung des letzten Monats vorgenommen werden soll, muss dieser Wert auf 0 gesetzt werden.

Zeitraum ändern um

Aktiv: Der im Filter definierte Zeitbereich wird modifiziert. Der Endzeitpunkt wird um die eingestellte Zeitspanne verschoben. Der Startzeitpunkt bleibt unverändert.

Angabe in Stunden - Minuten - Sekunden.

Der Zeitraum kann hinzugezählt oder abgezogen werden. Auswahl über Radiobuttons:

  • Zeit dazuzählen: Die in der Option Zeitraum ändern um angegebene Zeit wird zur in der Option Zeitbereich definierten Zeit dazugezählt.
  • Zeit abziehen: Die in der Option Zeitraum ändern um angegebene Zeit wird von der in der Option Zeitbereich definierten Zeit abgezogen.

Wird eine Änderung und eine Verschiebung eingestellt, die gleich oder größer als der ausgewählte Zeitbereich sind, wird neben dem Kontrollelement zur Zeitkonfiguration ein Hinweis zur Überprüfung der Projektierung angezeigt.

Letzten abgeschlossenen Zeitbereich verwenden

Aktiv: Der letzte in der Option Zeitbereich gewählte und vollständig abgeschlossene Zeitbereich wird verwendet.

Beispiel: Für die Option Zeitbereich wurde Ein Tag gewählt. Im Zeitfilter wird damit auf "Gestern" gefiltert, da dies der letzte vollständig abgeschlossene Tag ist.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Zeitbereich im Editor vorgeben

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Zeitbereich im Editor vorgeben

Bei dieser Methode geben Sie im Editor bereits einen fixen Zeitbereich vor, der beim Ausführen der Funktion zur Runtime angewandt wird. Zur Runtime können Sie nur noch den Startzeitpunkt festlegen, aber keine weiteren Filtereinstellungen mehr verändern.

Zum Beispiel: Sie stellen einen 30 Minuten Zeitfilter ein. In der Runtime können Sie nur mehr einstellen, wann dieser 30 Minuten Zeitraum starten soll. Sie können den Filter aber nicht auf einen Tagesfilter umstellen.

attention Achtung

Bei Verwendung dieser Filterart können Sie zur Runtime auch alle anderen Filter, die auf der Karteikarte Allgemein zur Verfügung stehen, nicht mehr anpassen! Filtern auf Text, Status und Anlagen ist weiter möglich.

Um den Filter zu erstellen:

  1. das Bild muss über den Button Filter verfügen, um den Filter zur Runtime zu starten
  2. wählen Sie den gewünschten Filter
  3. konfigurieren Sie den ausgewählten Zeitraum

Tipp Zeitbereich: Aktivieren Sie im Filterdialog die Option Diesen Dialog zur Runtime anbieten. Damit können Sie den Startzeitpunkt bereits vor Ausführung der Funktion anpassen. Lassen Sie den Filter beim Aufschalten der Funktion in der Runtime nicht anzeigen, so wird immer der aktuelle Zeitbereich verwendet. Haben Sie die Option Letzen abgeschlossenen Zeitbereich verwenden aktiviert, wird der vorangegangene Zeitbereich angezeigt.
Zum Beispiel: Sie haben einen 30 Minuten Filter eingestellt. Beim Aufschalten der Funktion ist es 10:45. Bei deaktivierter Option Letzten abgeschlossenen Zeitbereich verwenden wird der Filter auf den aktuellen Zeitbereich 10:30:00 Uhr bis 10:59:59 Uhr gesetzt. Bei aktivierter Option wird der Filter auf den vorangegangenen Zeitbereich 10:00:00 bis 10:29:59 gesetzt.


Zeitfilter zur Runtime konfigurierbar

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Zeitfilter zur Runtime konfigurierbar

Bei dieser Methode kann der Zeitfilter zur Runtime vor der Ausführung angepasst werden.

Um den Filter zu erstellen:

  1. wählen Sie den gewünschten Filter:
    • Absoluter Zeitraum
    • Relativer Zeitraum
    • Zeitbereich
  2. wählen Sie im Abschnitt Einstellungen die Option Aktuelles Datum/Uhrzeit vorschlagen
  3. zur Runtime wird der Filterdialog mit aktuellem Datum und Uhrzeit geöffnet


Chargen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Chargen

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Chargen. Die Chargeninformation wird zusätzlich zum bestehenden Filter angewandt. Wenn der Chargenfilter aktiviert ist, wird zur Runtime vorab aus dem Archivserver eine Liste aller hier projektierten Chargen geholt, die dem projektierten Zeitraum entsprechen.

info Info

Einige Filter in zenon können unabhängig voneinander im Editor konfiguriert und dann zur Runtime kombiniert werden. Mit dem Chargenfilter ist das nur bedingt möglich.

Der Chargenfilter kann zur Runtime eine Liste der existierenden Chargen anbieten. Es handelt sich dabei um Runtimedaten, die im Editor nicht verfügbar sind.

Bei der Konfiguration der Bildumschaltung im Editor kann die Registerkarte Zeitfilter in Verbindung mit dem Chargenfilter nur als Vorfilter für den Chargenauswahldialog genutzt werden. Wählt man dann zur Runtime aus dieser Liste eine Charge aus, wird der Zeitfilter mit den Daten der gewählten Charge überschrieben, um so eine genaue Filterung auf die gewählte Charge zu erreichen.

Das bedeutet: Wird der Chargenauswahldialog zur Runtime genutzt und eine Charge gewählt, so entspricht der angezeigte Zeitfilter nicht dem im Editor konfigurierten.

Filter

Einstellungen für die Anwendung des Chargenfilters. Auswahl einer der Optionen:

  • Kein Chargenfilter
  • Chargenfilter direkt anwenden
  • Chargenauswahldialog anzeigen
    Hinweis: Wird der Chargenfilter als Dialog angezeigt, kann er auf Archivkennungen vorgefiltert werden. Es wird ausdrücklich empfohlen, diese Vorfilterung zur Performanceverbesserung zu nutzen.

Option

Beschreibung

Kein Chargenfilter
  • Aktiv: Der Chargenfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Chargen gefiltert.

Chargenfilter direkt anwenden
  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet.

Hinweis: Es besteht keine Möglichkeit, sich alle Chargen in einer Liste anzeigen zu lassen und manuell eine auszuwählen. Soll eine bestimmte Charge angezeigt werden, muss der Filter für Archive, Namen und Zeit entsprechend konfiguriert werden. Das setzt voraus, dass die vorhandenen Daten sehr genau bekannt sind. Alternativ wird empfohlen, die Option Chargenauswahldialog anzeigen zu wählen.

Chargenauswahldialog anzeigen

Aktiv: Zur Runtime wird der Dialog zur Chargenauswahl eingeblendet bei:

  • Klick auf Filter oder
  • Bildumschaltung, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde (nicht für jede Funktion/jeden Bildtyp verfügbar)
    Hinweis: Beim Nachladen wird der Dialog nicht angezeigt.

Optionen können im Editor vorausgewählt werden.

Überblick über Umsetzung der Konfiguration zur Runtime:

Zeit

Konfiguration des Zeitfilters für die Chargenauswahl. Auswahl einer der Optionen:

  • Kein Filter
  • Letzte Chargen
  • Zeitfilter von Registerkarte "Zeit" anwenden

Option

Beschreibung

Kein Filter
  • Aktiv: Der in der Registerkarte Zeit eingestellte Zeitbereich wird nicht berücksichtigt. Es werden alle abgeschlossenen und laufenden Chargen angezeigt.

Letzte Chargen

Achtung: Funktioniert nur in Verbindung mit der Option Chargenfilter direkt anwenden.

Die Option erlaubt die Kombination der beiden Optionen Laufende Chargen anzeigen und Abgeschlossene Chargen anzeigen. Es muss mindestens eine der beiden Optionen aktiviert sein. Sind beide Optionen deaktiviert, entspricht dies der Einstellung Kein Filter.

  • Aktiv: Angabe der Anzahl der zuletzt abgeschlossenen Chargen, nach denen gefiltert werden soll. Eingabe der Anzahl in das Zahlenfeld oder Konfiguration über die Pfeiltasten.

Beispiel: Für die Option wurde als Wert 3 eingetragen. 2 Chargen laufen und 10 sind beendet. Dann werden angezeigt: die beiden laufenden und eine beendete.

Hinweis: Als Zeitraum für die laufenden Chargen wird nicht die Einstellung des Zeitfilters herangezogen sondern das letzte Jahr. Dieser Filter wird nicht als Vorfilter ausgeführt und kann daher nicht zur Performanceverbesserung verwendet werden.

Hinweis zur Kompatibilität:
Wird das Projekt für eine Version vor 7.11 kompiliert, dann gilt: Werden die laufenden Chargen ausgewählt oder die Kombination aus laufenden und abgeschlossenen Chargen dann werden zur Runtime nur die abgeschlossenen Chargen angezeigt.

Laufende Chargen anzeigen
  • Aktiv: Es werden die laufenden Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der laufenden Chargen, werden zusätzlich abgeschlossene Chargen angezeigt bis das eingestellte Limit erreicht wird.
Beispiel: 3 Chargen sollen angezeigt werden. 1 Charge läuft, 5 sind abgeschlossen. Es werden die eine laufende und zwei abgeschlossene Chargen angezeigt.

Abgeschlossene Chargen anzeigen
  • Aktiv: Es werden die abgeschlossenen Chargen angezeigt.

Hinweis: Ist die Anzahl der anzuzeigenden Chargen höher als die Zahl der abgeschlossenen Chargen, werden zusätzlich laufende Chargen angezeigt bis das eingestellte Limit erreicht wird.

Zeitfilter von Registerkarte "Zeit" anwenden
  • Aktiv: Es wird mit den Einstellungen der Registerkarte Zeit vorgefiltert.

Innerhalb dieses Zeitbereichs kann der Wirkbereich des Filters angepasst werden. Auswahl aus Dropdownliste:

  • Beginn und Ende auch außerhalb Filtergrenzen: (Default)
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen und nach dem konfigurierten Endzeitpunkt enden.
  • Beginn und Ende nur innerhalb Filtergrenzen:
    Chargen müssen innerhalb der im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beginnen und enden.
  • Beginn auch vor Filtergrenze:
    Chargen dürfen vor dem im Filter Zeit konfigurierten Startzeitpunkt beginnen, müssen aber vor dem oder zum konfigurierten Endzeitpunkt enden.
  • Ende auch nach Filtergrenze:
    Chargen dürfen nach dem im Filter Zeit konfigurierten Endzeitpunkt enden, müssen aber zum oder nach dem konfigurierten Startzeitpunkt beginnen.
  • Beginn und Ende an Filtergrenzen anpassen:
    Chargen werden auf die im Filter Zeit konfigurierten Zeitpunkte für Start und Ende beschnitten.

Archive

Konfiguration der Filterung auf Archive. Dieser Filter wird als Vorfilter für den Chargenauswahldialog angewendet.

Auswahl einer der folgenden Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Archivnamen gefiltert.

Statisch
  • Aktiv: Es wird auf die Archive gefiltert, deren Kennung der im Eingabefeld eingegeben Zeichenkette entspricht.

Eingabe der Archivkennungen ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Komma (,) getrennt.
  • * oder leer: Alle Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Archivnamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable.

Für Module AML und CEL verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde. Andere Module verwenden eigene Konfigurationen.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Archivnamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Hinweis ETM: Im ETM werden die Archive durch die bei der Bildumschaltung projektierten Kurven festgelegt. Zur Runtime ist das nur in Verbindung mit der Option Chargen relativ möglich. Bei dieser müssen die Variablen zur Runtime gewählt werden, was wiederum durch die mögliche Auswahl an Archiven festgelegt ist. Das Archiv, nachdem gefiltert wird, muss also eines der Archive sein, auf denen die projektierten Kurven beruhen. Ist das nicht der Fall, werden keine Daten angezeigt. Diese Einstellung kann also genutzt werden, um die angezeigten Kurven einzuschränken. Diese werden aber weiterhin in der Kurvenliste angezeigt.

Beispiel ETM:

Projektierte Kurven | Datenquelle | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
A | AR | AR | Wird in Kurvenliste angezeigt und im Trend gezeichnet.
B | EA |  | Wird nur in Kurvenliste angezeigt.
C | EP |  | Wird nur in Kurvenliste angezeigt.

Hinweis Archiv-Nachbearbeitung: In der Bildumschaltungsfunktion wird bereits das Archiv gewählt, für welches das Bild geöffnet wird. Da nur 1 Archiv ausgewählt werden kann, ist eine weitere Einschränkung nicht sinnvoll.

Beispiel Archiv-Nachbearbeitung:

Projektiertes Archiv | Archivvorfilterung im Chargenfilter | Ergebnis im Bild
AR | EA | Es werden keine Daten angezeigt.

Namen

Konfiguration der Filterung auf Namen. Auswahl einer der Optionen:

  • Kein Filter
  • Statisch
  • Aus Variable

Option

Beschreibung

Kein Filter
  • Aktiv: Es wird nicht nach Chargennamen gefiltert.

Statisch
  • Aktiv: Es wird auf Chargennamen gefiltert, die der im Eingabefeld eingegeben Zeichenkette entsprechen.

Eingabe des Chargennamens ins Eingabefeld:

  • Mehrere Kennungen werden durch ein Pipe-Zeichen (|) getrennt.
  • * oder leer: Alle Chargen aller angezeigten Archive, kein Filter.

Aus Variable
  • Aktiv: Zur Runtime wird der Wert der hier verknüpften Variable als Filter für Chargennamen angewendet.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable

Nur verfügbar, wenn die Option Chargenfilter direkt anwenden gewählt wurde.

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden, dann erfolgt keine Filterung auf Chargennamen. Das gilt auch, wenn der Wert der Variable nicht ermittelt werden kann. Der Filter entspricht dann der Einstellung Kein Filter.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schichten

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Zeitfilter > Schichten

Datasets für AML, CEL und Archive können auch auf Schichten gefiltert werden. Dazu konfigurieren Sie im Zeitfilter die Registerkarte Schicht und wenden den Zeitfilter auf das Dataset an. Werden mehrere Schichtfilter und/oder Chargenfilter projektiert, werden diese zur Runtime in eigenen Registerkarten angezeigt.

In dieser Registerkarte konfigurieren Sie die Eingrenzung der Anzeige auf bestimmte Schichten. Die Schichtinformation wird zusätzlich zum bestehenden Filter angewandt.

Hinweise:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Konfiguration

Um auf Schichten zu filtern:

  1. Konfigurieren Sie den Zeitfilter.
    • Absoluter Zeitfilter: Schichten aus dem absolut definierten Zeitbereich werden angezeigt.
    • Relativer Zeitfilter: Schichten aus dem relativ definierten Zeitbereich werden angezeigt.
      Die Obergrenze ist per Default mit 1440 Minuten festgelegt.
    • Ab: Schichten ab einem bestimmten Zeitpunkt werden angezeigt.
    • Zeitbereich: Schichten innerhalb eines bestimmten Zeitbereichs werden angezeigt.
  2. Konfigurieren Sie den Schichtfilter.
    Wählen Sie dazu eine der Optionen:
    • Schichtfilter direkt anwenden:
      Zur Runtime wird der konfigurierte Zeitfilter zur Filterung der Schichten verwendet. Dabei werden alle Schichten, die zumindest teilweise im Zeitfilterbereich liegen, berücksichtigt. Auch wenn der Zeitfilter zur Runtime definiert wird, wird nach Auswahl des Zeitraums der Schichtfilter angewendet. Existiert keine passende Schicht, dann werden keine Daten im CEL-Bild angezeigt.
      Der eingestellte Zeitfilter wirkt weiterhin auf die CEL-Daten. Liegt eine Schicht nur teilweise innerhalb des eingestellten Zeitbereichs, dann werden nur jene CEL-Einträge angezeigt, die sowohl im Zeitfilter, als auch in der Schicht liegen.
    • Schichtauswahl anzeigen:
      Zur Runtime wird beim Aufschalten des Bildes der Schichtfilter konfiguriert und angewendet. In einer Liste werden alle Schichten zur Auswahl angeboten, die zumindest teilweise im Zeitfilterbereich liegen. Nach Auswahl einer oder mehrerer Schichten wird der Zeitfilter überschrieben und auf die Zeiten der gewählten Schichten gesetzt. Somit ist gewährleistet, dass immer die komplette Schicht im Filter enthalten ist.
      Hinweis: Wird in der Registerkarte Allgemein gleichzeitig die Option Diesen Dialog zur Runtime anbieten aktiviert, dann wird anstelle der Schichtauswahl der komplette Konfigurationsdialog mit allen Registerkarten aufgeschaltet. Der Benutzer kann dann alle Optionen neu definieren.
  3. Konfigurieren Sie bei Bedarf Name und Optionen.

Bei der Option Schichtfilter direkt anwenden werden die Schichten vom Filter permanent überwacht und der Filter wird bei Bedarf angepasst.
Die Schichten zur Filterung der Daten werden neu ermittelt, wenn:

  • Schichten umkonfiguriert werden
  • im Filterzeitraum Schichten neu erzeugt werden
  • der Zeitraum neu konfiguriert wird

Im Filter nicht berücksichtigt werden:

  • gelöschte Schichten
  • Schichten, die durch Änderung des Zeitraums aus dem Zeitfilter fallen

Dialog Schicht

Filter

Einstellungen für die Anwendung des Schichtfilters. Auswahl einer der Optionen:

  • Kein Schichtfilter
  • Schichtfilter direkt anwenden
  • Schichtauswahl anzeigen

Option

Beschreibung

Kein Schichtfilter

Schichtfilter Auswahl:

  • Aktiv: Der Schichtfilter wird deaktiviert und kann nicht konfiguriert werden. Zur Runtime wird nicht auf Schichten gefiltert.

Schichtfilter direkt anwenden

Anwendung des Schichtfilters zur Runtime:

  • Aktiv: Der hier konfigurierte Filter wird zur Runtime direkt angewendet. Es können Anlagengruppen und Schichtnamen vorausgewählt werden.
  • Plus Option In den Modus "Schichtauswahl anzeigen" umschalten: Zur Runtime wird bei der Bildumschaltung der Dialog zur Schichtauswahl eingeblendet. Beim Nachladen wird der Dialog nicht angezeigt.

Schichtauswahl anzeigen

Anzeige der Schichtauswahl zur Runtime:

  • Aktiv: Zur Runtime wird bei der Bildumschaltung der Dialog zur Schichtauswahl eingeblendet.
    Für das Auslesen der Schichten zur Runtime gelten die im Editor gewählten Einstellungen.
    Beim Nachladen wird der Dialog nicht angezeigt.

Hinweis: Bei geöffnetem Report werden Änderungen im Schichtkalender im Report nicht übernommen.

Anlagenmodellierung

Konfiguration der Anlagengruppen für die Filterung auf Schichten.

Option

Beschreibung

Anlagengruppen

Auswahl der Anlagengruppen, mit denen die Schichten verknüpft sein müssen.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Anlagengruppen.

Werden mehrere Anlagengruppen ausgewählt, dann werden diese in der Option getrennt durch Semikolon (;) angezeigt.

Schichten ohne Anlagenverknüpfung berücksichtigen

Auswahl, ob eine Verknüpfung mit Anlagengruppen nötig ist.

  • Aktiv: Es werden auch Schichten berücksichtigt, die mit keiner Anlagengruppe verknüpft sind.
  • Inaktiv: Es werden nur Schichten berücksichtigt, die mit mindestens einer Anlagengruppe verknüpft sind.

Default: Aktiv

Name

Konfiguration der Schichtnamen, auf die gefiltert werden muss.
Auswahl einer der Optionen:

  • Kein Filter
  • Name mit Wildcards
  • Name aus Variable

Option

Beschreibung

Typ

Auswahl des Filtertyps beim Filtern nach Namen aus Dropdownliste:

  • Kein Filter:
    Es wird nicht auf Namen gefiltert.
  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Alle Schichten, deren Namen auf den Filter zutreffen, werden inkludiert.
  • Name aus Variable:
    Der Name der Schicht wird zur Runtime von einer Variablen definiert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Default: Kein Filter

Wildcards:

  • *: Ersetzt beliebige Zeichen in beliebiger Anzahl. Kann an beliebiger Stelle im Suchbegriff verwendet werden.
    red* findet alle Texte, die mit red beginnen.
  • ?: Ersetzt genau ein Zeichen.
    r?d findet red, rad, ..

Hinweise für Variablen zur Runtime:

  • Zur Runtime wird die Variablenauswahl nur aktiviert, wenn bereits im Editor eine gültige Variable verknüpft wurde. Die Schaltfläche ... ist zur Runtime immer deaktiviert. Es kann also die Option ausgewählt werden, aber keine neue Variable verknüpft werden.
  • Ist die Variable zum Zeitpunkt, an dem der Chargenfilter angewendet wird, nicht beim Treiber angemeldet, dann wird die Variable angemeldet und gelesen. Das kann bei langsamen Treiberanbindungen/Protokollen zu Verzögerungen führen.

Achtung: Wird die gewählte Variable zur Laufzeit nicht gefunden oder kann der Wert der Variablen nicht ermittelt werden, dann wird der Filter wie die Einstellung Kein Filter behandelt.

Groß-/Kleinschreibung beachten

Einstellung für Filterung auf Groß-/Kleinschreibung:

  • Aktiv: Groß- und Kleinschreibung werden bei Namen beachtet.

Default: Aktiv

Optionen

Konfiguration der Optionen für die Filterung auf Schichten in der CEL.

Option

Beschreibung

Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen

Konfiguration, welche Schichten angezeigt werden:

  • Aktiv: Es werden nur Schichten angezeigt, die komplett im gesetzten Zeitfilter liegen.
  • Inaktiv: Es werden auch Schichten angezeigt, die früher beginnen und/oder später enden.

Default: inaktiv

Beispiel:

  • Zeitfilter: Heute, 08:00 – 12:00
  • Vorhandene Schicht: Heute, 08:30 – 17:00

Ergebnis für:

  • Option aktiv: Die Schicht wird nicht berücksichtigt, da sie nicht vollständig im Zeitfilter liegt.
  • Option inaktiv: Die Schicht wird berücksichtigt, da sie teilweise im Zeitbereich liegt.

Gefundene Schichten verwenden

Auswahl der Schichten, die berücksichtigt werden, aus Dropdownliste:

  • Alle: Alle gefundenen Schichten werden berücksichtigt.
  • Nur früheste Schicht:
    Aus den gefundenen Schichten wird nur die früheste berücksichtigt.
    Die früheste Schicht ist die Schicht mit der frühesten Beginnzeit. Haben mehrere Schichten dieselbe Beginnzeit, wird eine dieser Schichten zufällig gewählt.
  • Nur späteste Schicht:
    Aus den gefundenen Schichten wird nur die späteste Schicht berücksichtigt.
    Die späteste Schicht ist die Schicht, mit der spätesten Endzeit. Haben mehrere Schichten dieselbe Endzeit, wird eine dieser Schichten zufällig gewählt.

Default: alle

Achtung: Die Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen beeinflusst die Auswertung dieser Option. Ist sie aktiv, können nur Schichten gefunden werden, die vollständig im Zeitbereich liegen. Ist sie inaktiv, können Schichten gefunden werden, die früher beginnen oder später enden.

Beispiel:

Konfiguration und Schichten:

  • Option Nur Schichten berücksichtigen, die gänzlich im Filterbereich liegen: aktiv.
  • Option Gefundene Schichten verwenden: Nur späteste Schicht
  • Zeitfilter: Heute, 08:00 – 10:00
  • Schicht 1: Heute, 08:00 – 08:30
  • Schicht 2: Heute, 08:30 – 09:00
  • Schicht 3: Heute, 10:00 – 11:00

Ergebnis:

  • Schicht 2 wird verwendet

In den Modus "Schichtauswahl anzeigen" umschalten
  • Aktiv: Der Filter verhält sich wie bei der Option Schichtauswahl anzeigen. Der Zeitfilter wird auf absolut gesetzt, Start und Ende entsprechen Startzeitpunkt und Endzeitpunkt der Schichten. Wird keine Schicht gefunden, werden beim Zeitfilter die Zeiten auf 0 gesetzt.

Default: inaktiv

Verhalten zur Runtime:

Wird das Schichtmanagement zur Runtime auf Schichtauswahl anzeigen gesetzt, wirken sich die Filteroptionen auch auf die in der Schichtliste angezeigten Schichten aus. Mit Klick auf den Button Aktualisieren wird die Schichtliste entsprechend gefiltert.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Beispiel Schichtfilter direkt anwenden

Wie sich der Filter Schichtfilter direkt anwenden zur Runtime auswirkt, hängt ab von der Option In den Modus "Schichtauswahl anzeigen" umschalten.

In diesem Beispiel werden zwei Zeitfilter angelegt, Zur Runtime wird nach dem Aufschalten eine Schicht gelöscht.

Es werden 2 Zeitfilter mit Schichtfiltern projektiert:

  • Filter1: Schichtfilter direkt anwenden
  • Filter2: Schichtfilter direkt anwenden plus Option In den Modus "Schichtauswahl anzeigen" umschalten

Diese werden von diesen Datasets verwendet:

  • Archive: verwendet Filter1
  • CEL: verwendet Filter2

Das Bild wird mit diesen beiden Bildern aufgeschaltet. Alle im Filter befindlichen Schichten werden für Archive und CEL angezeigt. Eine im Filter befindliche Schicht wird gelöscht:

  • Archive: Die gelöschte Schicht wird beim Aktualisieren aus der Anzeige entfernt.
  • CEL: Die gelöschte Schicht wird bis zum Neuaufschalten des Bildes angezeigt.


Dialog Dataset neu

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Dialog Dataset neu

Um ein neues Dataset zu definieren:

  1. definieren Sie in der Bildumschaltung auf ein Bild vom Typ Report Viewer die zu Grunde liegende RDL-Datei
  2. klicken Sie im Abschnitt Datasets auf die Schaltfläche Neu
  3. der Dialog zum Anlegen der Datasets wird geöffnet
  4. wählen Sie die gewünschte Datenherkunft
  5. bestätigen Sie die Auswahl mit Klick auf OK
  6. der Dialog zur Konfiguration des definierten Typs wird geöffnet

Parameter

Beschreibung

Datenquelle

Auswahl der Datenherkunft:

Allgemein

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archivwerte
  • Online-Werte
  • Filtereinstellungen

Rezeptgruppen-Manager

  • RGM Rezeptdaten
  • RGM Rezeptwerte

Batch Control

  • Vorlagenrezept
  • Steuerrezept
  • Rezeptbilder
  • Matrix Struktur
  • PFC Struktur
  • Grundfunktionen
  • Parameter
  • Transitionen
  • Aggregatsbelegungen
  • Teilrezeptinstanzen

OK

Bestätigt Auswahl und öffnet Dialog zur Konfiguration des Typs.

Abbrechen

Schließt Dialog ohne weitere Konfiguration.

Hilfe

Öffnet Online-Hilfe.


Datasets im Report Viewer

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer

Die Einstellungen für die unterschiedlichen Datasets hängen ab vom Typ der zu konfigurierenden Datenherkunft:

  • Allgemein
    • AML-Daten
    • CEL-Daten
    • Archiv-Daten
    • Online-Werte
    • Filtereinstellungen
  • RGM
    • RGM Rezeptdaten
    • RGM Rezeptwerte
  • Batch Control
    • Vorlagenrezept
    • Steuerrezept
    • Rezeptbilder
    • Matrix Struktur
    • PFC Struktur
    • Grundfunktionen
    • Parameter
    • Transitionen
    • Aggregatsbelegungen
    • Teilrezeptinstanzen

Noch in diesem Kapitel

AML-Daten

CEL-Daten

Archivwerte

Online-Werte

Filtereinstellungen

RGM Rezeptdaten

RGM Rezeptwerte

Datasets für Batch Control

Vorlagenrezept

Steuerrezept

Rezeptbilder

Matrix Struktur

PFC Struktur

Grundfunktionen

Parameter

Transitionen

Aggregatsbelegungen

Teilrezeptinstanzen


AML-Daten

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > AML-Daten

Konfiguration der AML-Daten:

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Maximale Anzahl

Maximale Anzahl an Einträgen pro Variable im Report.
Falls der Report entsprechend seiner Filterkriterien mehr Einträge enthält als hier definiert, werden die ersten n Einträge ausgegeben. n entspricht dem eingetragenen Wert.

  • Minimum: 1
  • Maximum: 5000

Default: 1000

Zeitfilter

Auswahl des Zeitfilters aus Dropdownliste. Enthält die in der Registerkarte Reportdefinition definierten Zeitfilter.

Registerkarte Allgemein

Einstellungen für:

  • Variablenfilter
  • Alarmart
  • Datenherkunft
  • Alarm/Ereignis-Gruppen, Alarm/Ereignis-Klassen und Alarmbereiche

Details siehe Handbuch Alarmverwaltung, Kapitel Allgemein.

Registerkarte Text

Einstellungen für Textfilter.

Details siehe Handbuch Alarmverwaltung, Kapitel Text.

Registerkarte Status

Angaben über Auswertung der Statusbits.

Details siehe Handbuch Alarmverwaltung, Kapitel Status .

Registerkarte Anlagenmodellierung

Auswahl des Anlagenmodells.

Details siehe HandbuchAnlagenmodellierung, Kapitel Dialog Anlagenmodellierung

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


CEL-Daten

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > CEL-Daten

Konfiguration der CEL-Daten:

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Maximale Anzahl

Maximale Anzahl an Einträgen pro Variable im Report.
Falls der Report entsprechend seiner Filterkriterien mehr Einträge enthält als hier definiert, werden die ersten n Einträge ausgegeben. n entspricht dem eingetragenen Wert.

  • Minimum: 1
  • Maximum: 5000

Default: 1000

Zeitfilter

Auswahl des Zeitfilters aus Dropdownliste. Enthält die in der Registerkarte Reportdefinition definierten Zeitfilter.

Registerkarte Allgemein

Einstellungen für:

  • Variablenfilter
  • Datenherkunft
  • Alarm/Ereignis-Gruppen, Alarm/Ereignis-Klassen und Alarmbereiche

Details siehe Handbuch Chronologische Ereignisliste, Kapitel Allgemein.

Registerkarte Text

Einstellungen für Textfilter.

Details siehe Handbuch Alarmverwaltung, Kapitel Text.

Registerkarte Status

Angaben über Auswertung der Statusbits.

Details siehe Handbuch Alarmverwaltung, Kapitel Status .

Registerkarte Anlagenmodellierung

Auswahl des Anlagenmodells.

Details siehe HandbuchAnlagenmodellierung, Kapitel Dialog Anlagenmodellierung

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Archivwerte

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Archivwerte

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Maximale Anzahl

Maximale Anzahl an Einträgen pro Variable im Report.
Falls der Report entsprechend seiner Filterkriterien mehr Einträge enthält als hier definiert, werden die ersten n Einträge ausgegeben. n entspricht dem eingetragenen Wert.

  • Minimum: 1
  • Maximum: 5000

Default: 1000

Verdichtung

Art der Verdichtung:

  • begrenzen:
    Gibt pro Archivkanal die ersten n Werte aus, falls den Filterkritereien mehr Einträge als diese Anzahl entsprechen würden.
  • Summe:
    Zeitbereich wird in n zeitlich äquidistante Intervalle aufgeteilt und die darin befindlichen Archivwerte werden summiert. Statuswerte werden verodert.
  • Mittelwert:
    Zeitbereich wird in n zeitlich äquidistante Intervalle aufgeteilt und die darin befindlichen Archivwerte werden gemittelt. Statuswerte werden verodert.
  • Minimum:
    Zeitbereich wird in n zeitlich äquidistante Intervalle aufgeteilt und die darin befindlichen Archivwerte werden minimiert.
  • Maximum:
    Zeitbereich wird in n zeitlich äquidistante Intervalle aufgeteilt und die darin befindlichen Archivwerte werden maximiert.

Der Zeitstempel entspricht jeweils dem Startzeitpunkt des Intervalls.

Zeitfilter

Auswahl des Zeitfilters aus Dropdownliste. Enthält die in der Registerkarte Reportdefinition definierten Zeitfilter.

Archive aus Rückleseordner verwenden

Ablagepfad der Archivdaten für die Reporterstellung.

  • aktiv:
    Daten für die Reporterstellung von Archivdaten aus dem Rückleseordner gelesen.
    Hinweis: Ablageort ist der in der Projekteigenschaft Dateiablage parametrierte Rückleseordner für Archive.
  • inaktiv:
    Daten für die Reporterstellung werden aus den Archivdaten im Runtimeordner gelesen.
    Hinweis: Ablageort ist der in der Projekteigenschaft projektierte Runtime-Ordner.

Default: inaktiv

Werden die Dataset-Projektierungen mit den Filter-Projektierungen kombiniert, so ist bei Chargen folgendes zu beachten:

Wurde bei einem Zeitfilter in der Registerkarte Chargenfilter konfiguriert, so können sowohl Rückleseordner wie auch der Runtime-Ordner gültige Daten enthalten. Ist die Datenquelle für einen Zeitfilter der Rückleseordner werden alle Daten aus dem Rücklesordner ausgelesen.

Variablen

Liste der ausgewählten Variablen.

Anzeigeformat:

[Archiv Kurzbezeichnung] - [Name der Variable]

Hinzufügen

Öffnet Dialog zur Auswahl von Archiv-Variablen.
Mehrfachauswahl ist möglich.

Entfernen

Löscht die ausgewählte Variable aus Liste.
Achtung: Die ausgewählte Variable wird ohne Rückfrage aus der Liste gelöscht.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Online-Werte

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Online-Werte

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Variablen

Liste der ausgewählten Variablen mit:

  • Name
  • Kennung
  • Adresse
  • Projekt

Hinzufügen

Öffnet Dialog zur Auswahl mehrerer Variablen.

Entfernen

Löscht ausgewählte Variable aus Liste.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Filtereinstellungen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Filtereinstellungen

Das Dataset stellt die definierten Zeitfilter und deren Verwendung durch andere Datasets dar. Angezeigt werden im Report:

  • Dataset
  • eingestellter Zeitfilter
  • Filterbedingungen

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


RGM Rezeptdaten

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > RGM Rezeptdaten

Konfiguration der RGM Rezeptdaten:

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Rezeptfilter

Konfiguration der Rezeptfilter

Parameter

Beschreibung

Projektauswahl

Auswahl des Projekts für die Rezeptdaten aus Dropdownliste.

Rezeptgruppe

Auswahl der Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezeptgruppe statisch)
  • dynamisch über Variable (Rezeptgruppenname aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl der Gruppe:

  • aus Dropdownliste
  • Eingabe eines Filtertexts mit Wildcards (? für genau ein Zeichen und * für Null bis beliebig viele Zeichen)
  • über eine String-Variable: Der Textwert der Variable wird dann als Gruppenname oder Filtertext mit Wildcards interpretiert

Rezept

Auswahl des Rezepts aus der gewählten Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezept statisch)
  • dynamisch über Variable (Rezeptname aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl des Namens:

  • aus Dropdownliste
  • Eingabe eines Filtertexts mit Wildcards (? für genau ein Zeichen und * für Null bis beliebig viele Zeichen)
  • über eine String-Variable: Der Textwert der Variable wird dann als Rezeptname oder Filtertext mit Wildcards interpretiert

Rezeptversion statisch

Auswahl der Rezeptversion aus der gewählten Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezeptversion statisch)
  • dynamisch über Variable (Rezeptversion aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl der Version:

  • Eintrag aus der Dropdownliste:
    - größte Version
    - kleinste Version
    - Alle
    - Rezeptversionen (nur verfügbar, wenn der Gruppen- und Rezeptauswahl ein einzelnes Rezept resultiert; Auswahl ohne Wildcards)
  • Angabe einer Liste von Rezeptversionen, wobei die Versionendurch Komma (,) getrennt werden, z.B. „1, 3, 5"
  • eine String-Variable, die als Text eine Liste von Versionsnummern Komma (,) getrennt angibt
  • eine nummerische Variable mit einer Versionsnummer (1 - 89999) oder den Werten:
    - 90000 für „kleinste Version"
    - 90001 für „größte Version"
    - 90002 für „alle Versionen"

Rezeptstatus statisch

Auswahl des Rezeptstatus aus der gewählten Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezeptstatus statisch)
  • dynamisch über Variable (Rezeptstatus aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl des Status:

  • Eintrag aus Dropdownliste:
    - Alle
    - einzelne Rezeptstatus
  • Liste von Rezeptstatus durch Komma (,) getrennt z.B. „1, 2, 7"
  • eine String-Variable, die als Text eine Liste von Statusnummern durch Komma (,) getrennt angibt
  • eine nummerische Variable mit einer Statusnummer (1 - 4294967294; 0xFFFFFFFE) oder den Wert
  • 0 für Alle

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Mögliche Kombinationen von Rezeptversion und Rezeptstatus:

Versionsfilter | Statusfilter | Ergebnis
kleinste Version | Alle | Von allen Rezepten werden jeweils nur die kleinsten Versionen angezeigt.
kleinste Version | 1,2 | Es werden von allen Rezeptversion welche den Status 1 oder 2 haben jeweils die kleinsten Versionen angezeigt.
größte Version | Alle | Von allen Rezepten werden jeweils nur die größten Versionen angezeigt.
größte Version | 1,2 | Es werden von allen Rezeptversion welche den Status 1 oder 2 haben jeweils die größten Versionen angezeigt.
Alle | Alle | Es werden alle Rezeptversionen angezeigt.
Alle | 1,2 | Es werden alle Rezeptversionen mit dem Status 1 oder 2 angezeigt.
2,3 | Alle | Es werden die Rezeptversionen 2 und 3 angezeigt, unabhängig vom Status.
2,3 | 1,2 | Es wird jeweils die Rezeptversion 2 und 3 angezeigt, wenn diese entweder den Status 1 oder 2 hat.

Mehr zum RGM lesen Sie im Handbuch Rezeptgruppen-Manager.

Anlagenmodellierung

Auswahl eines Anlagenmodells.

Wählen Sie das gewünschte Anlagenmodell aus der Liste aus oder erstellen Sie ein neues Anlagenmodell.

Hinweis: Anlagenmodelle werden im Globalprojekt verwaltet. Um hier ein neues Anlagenmodell erstellen zu können, muss also ein Globalprojekt vorhanden sein.


RGM Rezeptwerte

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > RGM Rezeptwerte

Konfiguration der RGM Rezeptwerte. Die Sichtbarkeitsvariablen werden für die Ausgabe von Rezeptwerten ausgewertet. Es werden nur Rezeptwerte mit dem Status sichtbar im Report Viewer angezeigt:

Parameter

Beschreibung

Dataset-Name

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.

Rezeptfilter

Konfiguration der Rezeptfilter

Parameter

Beschreibung

Projektauswahl

Auswahl des Projekts für die Rezeptdaten aus Dropdownliste.

Rezeptgruppe

Auswahl der Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezeptgruppe statisch)
  • dynamisch über Variable (Rezeptgruppenname aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl der Gruppe:

  • aus Dropdownliste
  • Eingabe eines Filtertexts mit Wildcards (? für genau ein Zeichen und * für Null bis beliebig viele Zeichen)
  • über eine String-Variable: Der Textwert der Variable wird dann als Gruppenname oder Filtertext mit Wildcards interpretiert

Rezept

Auswahl des Rezepts aus der gewählten Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezept statisch)
  • dynamisch über Variable (Rezeptname aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl des Namens:

  • aus Dropdownliste
  • Eingabe eines Filtertexts mit Wildcards (? für genau ein Zeichen und * für Null bis beliebig viele Zeichen)
  • über eine String-Variable: Der Textwert der Variable wird dann als Rezeptname oder Filtertext mit Wildcards interpretiert

Rezeptversion statisch

Auswahl der Rezeptversion aus der gewählten Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezeptversion statisch)
  • dynamisch über Variable (Rezeptversion aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl der Version:

  • Eintrag aus der Dropdownliste:
    - größte Version
    - kleinste Version
    - Alle
    - Rezeptversionen (nur verfügbar, wenn der Gruppen- und Rezeptauswahl ein einzelnes Rezept resultiert; Auswahl ohne Wildcards)
  • Angabe einer Liste von Rezeptversionen, wobei die Versionendurch Komma (,) getrennt werden, z.B. „1, 3, 5"
  • eine String-Variable, die als Text eine Liste von Versionsnummern Komma (,) getrennt angibt
  • eine nummerische Variable mit einer Versionsnummer (1 - 89999) oder den Werten:
    - 90000 für „kleinste Version"
    - 90001 für „größte Version"
    - 90002 für „alle Versionen"

Rezeptstatus statisch

Auswahl des Rezeptstatus aus der gewählten Rezeptgruppe.

Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen (Rezeptstatus statisch)
  • dynamisch über Variable (Rezeptstatus aus Variable)

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Auswahl des Status:

  • Eintrag aus Dropdownliste:
    - Alle
    - einzelne Rezeptstatus
  • Liste von Rezeptstatus durch Komma (,) getrennt z.B. „1, 2, 7"
  • eine String-Variable, die als Text eine Liste von Statusnummern durch Komma (,) getrennt angibt
  • eine nummerische Variable mit einer Statusnummer (1 - 4294967294; 0xFFFFFFFE) oder den Wert
  • 0 für Alle

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Mögliche Kombinationen von Rezeptversion und Rezeptstatus:

Versionsfilter | Statusfilter | Ergebnis
kleinste Version | Alle | Von allen Rezepten werden jeweils nur die kleinsten Versionen angezeigt.
kleinste Version | 1,2 | Es werden von allen Rezeptversion welche den Status 1 oder 2 haben jeweils die kleinsten Versionen angezeigt.
größte Version | Alle | Von allen Rezepten werden jeweils nur die größten Versionen angezeigt.
größte Version | 1,2 | Es werden von allen Rezeptversion welche den Status 1 oder 2 haben jeweils die größten Versionen angezeigt.
Alle | Alle | Es werden alle Rezeptversionen angezeigt.
Alle | 1,2 | Es werden alle Rezeptversionen mit dem Status 1 oder 2 angezeigt.
2,3 | Alle | Es werden die Rezeptversionen 2 und 3 angezeigt, unabhängig vom Status.
2,3 | 1,2 | Es wird jeweils die Rezeptversion 2 und 3 angezeigt, wenn diese entweder den Status 1 oder 2 hat.

Mehr zum RGM lesen Sie im Handbuch Rezeptgruppen-Manager.

Anlagenmodellierung

Auswahl eines Anlagenmodells.

Wählen Sie das gewünschte Anlagenmodell aus der Liste aus oder erstellen Sie ein neues Anlagenmodell.

Hinweis: Anlagenmodelle werden im Globalprojekt verwaltet. Um hier ein neues Anlagenmodell erstellen zu können, muss also ein Globalprojekt vorhanden sein.


Datasets für Batch Control

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Datasets für Batch Control

Für das Modul Batch Control stehen folgende Datasets zur Verfügung:

  • Vorlagenrezept
  • Steuerrezept
  • Rezeptbilder
  • Matrix Struktur
  • PFC Struktur
  • Grundfunktionen
  • Parameter
  • Transitionen
  • Aggregatsbelegungen
  • Teilrezeptinstanzen


Vorlagenrezept

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Vorlagenrezept

Konfiguration eines Datasets für ein Vorlagenrezept im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Steuerrezept

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Steuerrezept

Konfiguration eines Datasets für ein Steuerrezept im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Rezeptbilder

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Rezeptbilder

Konfiguration eines Datasets für Rezeptbilder im Modul Batch Control. Für Bilder kann neben der Berichtstiefe auch die Darstellung zur Runtime vorgegeben werden.

Allgemein

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Berichtstiefe

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.

Darstellung

Parameter | Beschreibung
PFC-Ansicht | Darstellung für PFC-Rezepte
Hintergrundfarbe | Definition für die Hintergrundfarbe. Klick auf Farbe öffnet Dialog zur Auswahl einer Farbe oder einer Farbpalette.
Deckkraft | Einstellung der Deckkraft über Schieberegler.
Raster anzeigen | Aktiv: Raster wird angezeigt
Rasterfarbe | Definition für die Rasterfarbe. Klick auf Farbe öffnet Dialog zur Auswahl einer Farbe oder einer Farbpalette.
Matrix-Ansicht | Darstellung für Matrix-Rezepte
Hintergrundfarbe | Definition für die Hintergrundfarbe. Klick auf Farbe öffnet Dialog zur Auswahl einer Farbe oder einer Farbpalette.
Deckkraft | Einstellung der Deckkraft über Schieberegler.
Rasterfarbe | Definition für die Rasterfarbe. Klick auf Farbe öffnet Dialog zur Auswahl einer Farbe oder einer Farbpalette.
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft Änderungen und schließt Dialog.
Hilfe | Öffnet Online-Hilfe.


Matrix Struktur

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Matrix Struktur

Konfiguration eines Datasets für die Struktur eines Matrix-Rezepts im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Berichtstiefe

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


PFC Struktur

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > PFC Struktur

Konfiguration eines Datasets für die Struktur eines PFC-Rezepts im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Berichtstiefe

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Grundfunktionen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Grundfunktionen

Konfiguration eines Datasets für Grundfunktionen im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Berichtstiefe

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Parameter

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Parameter

Konfiguration eines Datasets für Parameter im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Berichtstiefe

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Transitionen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Transitionen

Konfiguration eines Datasets für Transitionen im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Berichtstiefe

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Aggregatsbelegungen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Aggregatsbelegungen

Konfiguration eines Datasets für Aggregatsbelegungen im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

Konfiguration der Berichtstiefe:

  • Vollständig: Report enthält Daten des gesamten Rezepts inklusive seiner Teilrezepte.
  • Nur Hauptrezeptebene: Report enthält nur Daten des Hauptrezepts.
  • Nur Teilrezeptebene: Report enthält nur Daten der im Rezept enthaltenen Teilrezepte.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Teilrezeptinstanzen

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Bildumschaltung auf Bild vom Typ Report Viewer > Datasets im Report Viewer > Teilrezeptinstanzen

Konfiguration eines Datasets für Teilrezeptinstanzen im Modul Batch Control.

Parameter

Beschreibung

Name des Datasets

Name des Datasets:

  • darf nicht leer sein
  • muss exakt mit dem Namen des Datasets in der RDL-Datei übereinstimmen
  • darf keine Leerzeichen oder Sonderzeichen enthalten

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Funktion Report exportieren oder drucken

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Funktion Report exportieren oder drucken

Mit der Funktion Report Viewer: exportieren/drucken können Reports zur Runtime als PDF, als Exceldatei oder Online-Ausdruck in einem eigenen Thread ausgegeben werden. Da das Rendering der Datei asynchron erfolgt, ist die Bedienbarkeit der Runtime während des Renderns gesichert. Die Ausführung von Funktionen niederer Priorität ist allerdings blockiert, bis der Report Viewer mit dem Rendern fertig ist. Die Ausgabe als PDF oder der Ausdruck kann alternativ auch über Kontrollelemente im Bild erfolgen, wobei die Bedienbarkeit der Runtime bis zum Ende der Ausgabe eingeschränkt sein kann.

Um die Funktion anzulegen:

  1. Wählen Sie im Knoten Funktionen den Befehl Funktion neu.

    Die Funktionsauswahl wird geöffnet.

  2. Navigieren Sie zum Knoten Report Generator/Report Viewer/Analyzer.
  3. Wählen Sie die Funktion Report Viewer: exportieren/drucken.

    Der Dialog zur Konfiguration wird geöffnet.

  4. Details zur Konfiguration des Dialogs:
    • Als PDF: Siehe Abschnitt Ausgabe als PDF konfigurieren.
    • Am Drucker: Siehe Abschnitt Ausgabe am Drucker konfigurieren.
    • Als Excel: Siehe Abschnitt Ausgabe als Excel konfigurieren.
    • Reportdefinition: Siehe Kapitel Reportdefinition bei Bildumschaltung auf Bild vom Typ Report Viewer.

info Info

Die grafische Darstellung des Reports kann zwischen den unterschiedlichen Ausgabeformaten leicht variieren.

Noch in diesem Kapitel

Ausgabe als PDF konfigurieren

Ausgabe am Drucker konfigurieren

Ausgabe als Excel konfigurieren


Ausgabe als PDF konfigurieren

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Funktion Report exportieren oder drucken > Ausgabe als PDF konfigurieren

Um den Report als PDF auszugeben:

  1. wählen Sie für die Option Report ausgeben Ausgabe als PDF
  2. vergeben Sie einen festen Dateinamen oder wählen Sie eine Variable, die den Dateinamen zur Runtime definiert
  3. entscheiden Sie, ob bereits vorhandene Dateien überschrieben werden
  4. bestätigen Sie Ihre Konfiguration mit Klick auf die Schaltfläche OK

Parameter

Beschreibung

Report ausgeben

Auswahl aus Dropdownliste, wie der Report ausgegeben werden soll:

  • Ausgabe als PDF: Erstellt PDF entsprechend der Konfiguration
  • Ausgabe am Drucker: Gibt Report am definierten Drucker aus.

PDF speichern unter

Auswahl der Vergabe des Dateinamens aus Dropdownliste:

  • Dateiname statisch: Name wird in Textfeld eingegeben oder nach Klick auf die Schaltfläche ... aus dem Dateiexplorer ausgewählt.
  • Dateiname aus Variable: Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen, die zur Runtime den Dateinamen für den Report übergibt.

Zusammensetzung Dateiname statisch:

Für statische Dateinamen können die Komponentenb des Namens über Platzhalter zusammengesetzt werden:

  • <ProjectName>: Name des Projekts
  • <DateTime>: Datum und Uhrzeit entsprechend den Systemeinstellungen
  • <Date>: Datum entsprechend der Systemeinstellungen
  • <Time>: Uhrzeit entsprechend der Systemeinstellungen

Die Platzhalter können auch über nach einem Rechtsklick auf das Textfeld über das Kontextmenü an der aktuellen Cursorposition eingefügt werden.

Der Dateiname kann entweder als Absolutpfad oder als Relativpfad (relativ zum Exportverzeichnis des Projekts) angegeben werden.

Speicherpfad für PDFs:

Wie im für den Export definierten Ordner.
Standardpfad: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Vorhandene Datei überschreiben

Aktiv: Im Speicherpfad bereits vorhandene Dateien werden überschrieben.

OK

Übernimmt Änderungen aller Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Ausgabe am Drucker konfigurieren

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Funktion Report exportieren oder drucken > Ausgabe am Drucker konfigurieren

Um den Report auf einem Drucker auszugeben:

  1. wählen Sie für die Option Report ausgeben Ausgabe am Drucker
  2. bestätigen Sie Ihre Konfiguration mit Klick auf die Schaltfläche OK

Parameter

Beschreibung

Report ausgeben

Auswahl aus Dropdownliste, wie der Report ausgegeben werden soll:

  • Ausgabe als PDF: Erstellt PDF entsprechend der Konfiguration
  • Ausgabe am Drucker: Gibt Report am definierten Drucker aus.

OK

Übernimmt Änderungen aller Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.


Ausgabe als Excel konfigurieren

Handbuch > Reporting > Report Viewer > Projektieren im Editor > Funktion Report exportieren oder drucken > Ausgabe als Excel konfigurieren

Um den Report als Exceldatei auszugeben:

  1. Wählen Sie in der Dropdownliste Report ausgeben den Eintrag Ausgabe als Excel.
  2. Wählen Sie in der Dropdownliste Report exportieren unter die Art der Dateibenennung.
    Dateinamen können frei projektiert werden oder den Dateinamen aus Variablen beziehen.
  3. Entscheiden Sie, ob bereits vorhandene Dateien überschrieben werden
  4. bestätigen Sie Ihre Konfiguration mit Klick auf die Schaltfläche OK

Parameter

Beschreibung

Report ausgeben

Auswahl aus Dropdownliste, wie der Report ausgegeben werden soll:

  • Ausgabe als PDF: Erstellt PDF entsprechend der Konfiguration
  • Ausgabe am Drucker: Gibt Report am definierten Drucker aus.
  • Ausgabe als Excel: Erstellt eine Exceldatei des Reports.

Report exportieren unter

Auswahl der Vergabe des Dateinamens aus Dropdownliste:

  • Dateiname statisch: Name wird in Textfeld eingegeben oder nach Klick auf die Schaltfläche ... aus dem Dateiexplorer ausgewählt.
  • Dateiname aus Variable: Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen, die zur Runtime den Dateinamen für den Report übergibt.

Zusammensetzung Dateiname statisch:

Für statische Dateinamen (Dateiname statisch) können die Komponenten des Namens über Platzhalter zusammengesetzt werden:

  • <ProjectName>: Name des Projekts
  • <DateTime>: Datum und Uhrzeit entsprechend den Systemeinstellungen
  • <Date>: Datum entsprechend der Systemeinstellungen
  • <Time>: Uhrzeit entsprechend der Systemeinstellungen

Die Platzhalter können auch über nach einem Rechtsklick auf das Textfeld über das Kontextmenü an der aktuellen Cursorposition eingefügt werden.

Der Dateiname kann entweder als Absolutpfad oder als Relativpfad (relativ zum Exportverzeichnis des Projekts) angegeben werden.

Speicherpfad für Datei:

Wie im für den Export definierten Ordner.
Standardpfad: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Vorhandene Datei überschreiben

Aktiv: Im Speicherpfad bereits vorhandene Dateien werden überschrieben.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Report Definitionsdateien

Handbuch > Reporting > Report Viewer > Report Definitionsdateien

Report Definitionsdateien (RDL) müssen vom Typ 2 sein, um sie im zenon Report Viewer verwenden zu können. Typ 3 RDL-Dateien können zwar angezeigt werden, allerdings werden Features, die in Version 2 nicht vorhanden sind, als leere Fläche dargestellt.

Um eigene Datasets zu erstellen oder vorhandene zu bearbeiten, benötigen Sie entsprechende Software zum Rendern der RDL-Dateien. Dazu stehen Ihnen folgende Optionen offen:

  • SQL Server Data Tool (SSDT):

    Wird von COPA-DATA ab zenon 7.10 mitgeliefert und bei der Installation von zenon mitinstalliert.

    SSDT besteht aus MicrosoftVisual Studio 2010 mit weiteren Projekttypen, die nur für SQL Server Business Intelligence verfügbar sind und ist die primäre Umgebung für Business Services Projekte wie Reporting. Es werden Vorlagen zum Erstellen der für Business Intelligence-Lösungen erforderlichen Objekte sowie Designer, Tools und Assistenten zur Verarbeitung dieser Objekte bereit gestellt.

    Beim Aufruf einer RDL-Datei zum Editieren mit SSDT wird eventuell ein Auswahlfenster zum Setzen der Umgebungseinstellungen für Visual Studio 2010 angezeigt:

    Wählen Sie die Option Business Intelligence Settings und klicken Sie auf die Schaltfläche Start Visual Studio.

  • Microsoft Report Builder 2.0:

    Steht auf der Microsoft Downloadseite zum Download bereit. Er stellt einen Wizard zur Konfiguration der Datasets zur Verfügung und wird für Anwender ohne spezielle Kenntnisse für die Konfiguration von RDL-Dateien empfohlen.
    Achtung: Beachten Sie vor dem Download die Microsoft Lizenzbedingungen!
    Anwender des zenon Analyzer verfügen bereits über der Report Builder 3 und die für den Report Builder benötigte SQL-Lizenz. Allerdings muss für die Bearbeitung der Datasets des Report Viewers der Report Builder 2 installiert und verwendet werden.

  • Software anderer Anbieter:

    Für die Bearbeitung der Report Definitionsdateien kann auch Software anderer Hersteller eingesetzt werden.

Sind sowohl der MS Report Builder als auch die Microsoft SQL Server Data Tools installiert, kann in einem Dialog das gewünschte Tool ausgewählt werden.

attention Achtung

Beachten Sie:

  • RDL-Dateien sollten immer mit dem gleichen Tool erzeugt und bearbeitet werden.
  • Die RDL-Versionen 2 und 3 dürfen nicht gemischt werden.
  • Wurde eine RDL-Datei mit SSDT gespeichert, kann sie mit dem MS Report Builder 2.0 nicht mehr bearbeitet werden.

DataSource

Die Eigenschaften der Datasource (den Datasets übergeordnet) dürfen nicht verändert werden.

Die Standardeinstellungen sind:

Parameter | Beschreibung
Name | DataSource1
Connection | Use a connection embedded in my report
Select connection type | XML

Bearbeiten von RDL-Dateien in Projekten mit Verteiltem Engineering

Beachten Sie beim Bearbeiten von RDL-Dateien im Verteilten Engineering, dass Dateien beim Öffnen nicht automatisch auf "Änderungen ermöglichen" (Checkout) gesetzt werden.

  • Es ist möglich, RDL-Dateien mit dem SSDT oder dem MS Report Builder zu öffnen, zu bearbeiten und Änderungen lokal zu speichern, ohne dass die Datei auf "Änderungen ermöglichen" (Checkout) gesetzt wurde. Diese Änderungen können allerdings am Server übernommen werden und gehen damit beim Synchronisieren oder beim Änderungen ermöglichen (Checkout)wieder verloren. Die ältere Version des Servers wird automatisch übernommen.
  • Ebenso ist es möglich, eine auf einem Rechner auf "Änderungen ermöglichen" (checkout) gesetzte RDL-Datei auf einem weiteren Rechner zu öffnen, zu bearbeiten und Änderungen lokal zu speichern. Die Datei wird beim Setzen auf "Änderungen ermöglichen" (checkout) nicht schreibgeschützt. Auch diese lokalen Änderungen werden beim Synchronisieren wieder überschrieben.

Um Änderungen dauerhaft zu speichern, muss die RDL-Datei vor dem Öffnen auf "Änderungen ermöglichen" (Checkout) gesetzt werden .

attention Achtung

RDL-Dateien dürfen nur im zenon Editor umbenannt werden.

Werden RDL-Datein in SSDT oder MS Report Builder umbenannt, dann wird der neue Name bei Projekten mit Verteiltem Engineering nicht übernommen und Änderungen gehen verloren.

Noch in diesem Kapitel

Datasets für neuen Report konfigurieren

RDL-Dateien mit MS Report Builder erstellen und bearbeiten

RDL-Dateien mit dem Microsoft Business Intelligence Development Studio erstellen und bearbeiten

Definition der Datasets


Datasets für neuen Report konfigurieren

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Datasets für neuen Report konfigurieren

Um eine neue RDL-Datei mit den bereits definierten Datasets anzulegen:

  1. Navigieren Sie zum Knoten Dateien/Report Viewer.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste der Detailansicht den Befehl Report Definitionsdatei neu.
  3. Der Dialog zur Auswahl und Konfiguration der Datasets für den Report wird geöffnet.
  4. Konfigurieren Sie die gewünschten Datasets.
  5. Mit Klick auf die Schaltfläche OK schließen Sie den Dialog und starten den MS Report Builder.
  6. Konfigurieren Sie die RDL-Datei im Report Builder und speichern Sie diese.

Dialog Datasets für Report auswählen

Parameter | Beschreibung
Verfügbare Datasets | Listet alle zur Verfügung stehenden Datasets auf. Klick auf die Schaltfläche > oder Doppelklick auf ein Dataset fügen in die Liste Ausgewählte Datasets ein neues Datasets des gewählten Typs ein.
Schaltfläche > | Fügt in die Liste Ausgewählte Datasets ein neues Datasets des gewählten Typs ein.
Ausgewählte Datasets | Listet alle projektierten Datensätze auf. Tastaturbedienung: F2 … umbenennen des gewählten Datensatzes Entf … löschen des gewählten Datensatzes
Umbenennen | Ermöglicht das Umbenennen des ausgewählten Datasets (Tastaturbedienung: F2). Der Name des Datasets muss eindeutig sein. Eine Änderung wird nur übernommen, wenn der Name damit eindeutig bleib.
Entfernen | Der gewählte Datensatz wird gelöscht (Tastaturbedienung: Entf).
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


RDL-Dateien mit MS Report Builder erstellen und bearbeiten

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > RDL-Dateien mit MS Report Builder erstellen und bearbeiten

Der MS Report Builder steht auf der Microsoft Downloadseite zum kostenlosen Download bereit.
Achtung: Beachten Sie vor dem Download die Microsoft Lizenzbedingungen!
Anwender des zenon Analyzer verfügen bereits über der Report Builder 3 und die für den Report Builder benötigte SQL-Lizenz. Allerdings muss für die Bearbeitung der Datasets des Report Viewers der Report Builder 2 installiert und verwendet werden.

Installieren Sie den Report Builder und überprüfen Sie, ob er korrekt mit zenon verknüpft wurde.

Kompatibilität

Durch die Implementierung des aktuellen Microsoft Report Controls ab zenon Version 8.00 können Reports mit dem aktuellen Standard für Reportdefinitonen angezeigt werden. Dies ermöglicht z.B. die Anzeige von Reports, die mit Report Builder Version 3.0 erstellt wurden.

.RDL-Daten, die mit dem Report Builder in der Version 2.0 erstellt wurden können in der aktuellen zenon Version weiter verwendet werden.

Unterstützte Report-Schemas:

  • schemas.microsoft.com/sqlserver/reporting/2010/01/reportdefinition
    (Microsoft Report Builder 3.0)
  • schemas.microsoft.com/sqlserver/reporting/2008/01/reportdefinition
    (Microsoft Report Builder 2.0)

Achtung: Enthalten aktuelle zenon Projekte .RDL-Daten die mit dem Report Builder 3.0 erstellt wurden, wird bei der Kompilierung für ältere zenon Versionen ein Warndialog visualisiert. Eine Konvertierung dieser .RDL-Daten in die Version 2.0 wird nicht durchgeführt.

RDL-Datei erstellen

Um eine neue RDL-Datei zu erstellen:

  1. Wählen Sie im zenon Editor im Knoten Datei/Report Viewer im Kontextmenü oder in der Symbolleiste den Befehl Report Definitionsdatei neu. Der Dialog zum Konfigurieren der gewünschten Datasets wird geöffnet.
  2. Sobald Sie den Dialog mit OK bestätigen, wird der MS Report Builder gestartet:

  3. Passen sie die Datatsets an die Projektierung in der Bildumschaltungsfunktion an, durch:
    • umbenennen: Datasets müssen ident mit den Dataset-Namen in der Bildumschaltung benannt sein
    • löschen: Datasets, die in der Bildumschaltung keine entsprechende Verknüpfung haben und damit nicht mit Daten versorgt werden, führen in der Runtime zu einer Fehlermeldung
    • neu anlegen: Datasets, die in der Bildumschaltung konfiguriert wurden, aber keine Entsprechung in der RDL-Datei haben, führen in der Runtime zu einer Fehlermeldung.
  4. Wählen Sie im Menü Insert den Befehl Table -> Table Wizard.
  5. Der Wizard wird gestartet.
  6. Wählen Sie das gewünschte Dataset.

  7. Platzieren Sie die Felder wie gewünscht.

  8. Klicken Sie auf Next und wählen Sie das Layout aus.

  9. Klicken Sie auf Next und wählen Sie den Stil der Darstellung aus.

  10. Klicken Sie auf Finish.
    Das Dataset wird mit der fertigen Tabelle angezeigt

  11. Löschen Sie die Muster-Tabelle.
  12. Platzieren Sie die neu erstellte Tabelle am gewünschten Ort.
  13. Passen Sie die Überschrift nach Wunsch an.

  14. Wiederholen Sie den Vorgang für alle zu konfigurierenden Datasets.
  15. Speichern Sie die RDL-Datei.

Ergebnis zur Runtime:

RDL-Datei bearbeiten

Um eine RDL-Datei zu bearbeiten, doppelklicken Sie die Datei oder wählen Sie den Befehl Report Definitionsdatei öffnen. Gehen Sie beim Bearbeiten analog dem Erstellen vor.

Noch in diesem Kapitel

Datasets verwalten


Datasets verwalten

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > RDL-Dateien mit MS Report Builder erstellen und bearbeiten > Datasets verwalten

Datasets können Sie im Report Builder:

  • umbenennen
  • löschen
  • neu erstellen

Anzahl und Benennung der Datasets einer RDL-Datei muss immer mit den in der Bildumschaltung definierten Datasets übereinstimmen.

attention Achtung

Beachten Sie:

  • Die Datasource darf nicht editiert werden.
  • Die Datasets dürfen nicht editiert werden.

Dataset umbennnen

Um ein Dataset umzubenennen:

  1. führen Sie einen Rechtsklick auf das Dataset aus
  2. wählen Sie im Kontextmenü den Befehl Dataset Properties
  3. der Dialog zur Einstellung der Eigenschaften des Datasets wird geöffnet
  4. vergeben Sie in der Eigenschaft Name den gewünschten Namen

    Hinweis: der Name muss der Benennung in der Bildumschaltung entsprechen. Er darf keine Leerzeichen oder Sonderzeichen enthalten.

  5. lassen Sie alle anderen Einstellungen unverändert
  6. schließen Sie den Dialog mit Klick auf OK

Dataset löschen

Um ein Dataset zu löschen:

  1. markieren Sie im Fenster Report Data unterhalb der DataSource das zu löschende Dataset

  2. wählen Sie im Kontextmenü den Befehl Delete
  3. das Dataset wird nach einer Sicherheitsabfrage gelöscht

Dataset neu erstellen

Um ein Dataset neu zu erstellen:

  1. führen Sie einen Rechtsklick auf die DataSource aus
  2. wählen Sie im Kontextmenü Add Dataset

  3. ein neues Dataset wir erstellt und das Eigenschaftenfenster geöffnet

  4. vergeben Sie den gewünschten Namen

    Hinweis: der Name muss der Benennung in der Bildumschaltung entsprechen. Er darf keine Leerzeichen oder Sonderzeichen enthalten.

  5. fügen Sie die passende Query ein, dazu haben Sie drei Möglichkeiten:
    1. Query Designer: öffnet Dialog zur manuellen Eingabe der Query
    2. Import: Import aus einer bestehenden RDL-Datei
    3. manuelles Kopieren aus einem bestehenden Dataset: öffnen Sie dazu zuerst das passende Quell-Dataset, kopieren Sie den Inhalt der Query, fügen Sie den Inhalt der Query in das Feld Query im neuen Dataset ein
  6. schließen Sie den Dialog mit Klick auf OK

Query importieren

Um eine Query aus einer bestehenden RDL-Datei zu importieren:

  1. klicken Sie im Eigenschaftendialog des Datasets auf die Schaltfläche Import
  2. der Dateiauswahl-Assistent wird geöffnet
  3. suchen und öffnen Sie die gewünschte RDL-Datei
  4. der Import-Dialog wird angezeigt

  5. markieren Sie das gewünschte Dataset

  6. klicken Sie auf Import
  7. die Query des Quell-Datasets wird im aktuell geöffneten Dataset eingefügt


RDL-Dateien mit dem Microsoft Business Intelligence Development Studio erstellen und bearbeiten

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > RDL-Dateien mit dem Microsoft Business Intelligence Development Studio erstellen und bearbeiten

Das Microsoft Business Intelligence Development Studio wird mit zenon mitgeliefert und mit installiert.

Um RDL-Dateien mit dem Microsoft Business Intelligence Development Studio zu erstellen und zu bearbeiten, gehen Sie im Wesentlichen vor, wie beim Report Builder 2.0.

Unterschiede sind vor allem:

  • Damit der Report bearbeitet werden kann, muss im Microsoft Business Intelligence Development Studio zuerst ein neues Projekt vom Typ Report Server Project und eine sogenannte Solution erstellt werden.
    Diese werden automatisch angelegt, wenn Sie die RDL Datei per Doppelklick öffnen. Beim Beenden des Business Intelligence Development Studios können Sie das Projekt und die Solution im temporären Ordner speichern, dann werden Sie nicht immer wieder dazu aufgefordert.
    Die Datasets und der Report können nun im Microsoft Business Intelligence Development Studio bearbeitet werden.
  • Im Microsoft Business Intelligence Development Studio existiert kein Tabellen-Wizard, die Tabellen der Datasets müssen manuell konfiguriert werden.
  • Es findet keine Versionsprüfung statt:
    So können Features der Version 3 zu RDL-Dateien der Version 2 hinzugefügt werden. Diese werden aber zur Runtime nicht angezeigt.
  • Im Microsoft Business Intelligence Development Studio sind die Datsets von den Datatsources getrennt. Die Datatsource darf nicht verändert werden.

Anleitung

Eine umfassende Anleitung für die Verwendung des Microsoft Business Intelligence Development Studios finden Sie online auf der Microsoft Website in mehreren Sprachen:

Sprache | Link
Englisch: | http://msdn.microsoft.com/en-en/library/ms173767.aspx
Deutsch: | http://msdn.microsoft.com/de-de/library/ms173767.aspx
Französisch: | http://msdn.microsoft.com/fr-fr/library/ms173767.aspx
Italienisch: | http://msdn.microsoft.com/it-it/library/ms173767.aspx

Datasets löschen

Nicht benötigte Datasets müssen im Microsoft Business Intelligence Development Studio gelöscht werden, da diese zur Runtime Fehler verursachen können.

Um Datasets zu löschen:

  1. klicken Sie auf View
  2. wählen Sie Report Data
  3. navigieren Sie zu Datasets
  4. löschen Sie alle nicht benötigten Datasets

Fenster Dataset anzeigen

Wenn das Fenster Dataset nicht angezeigt wird, kann es mit folgenden Schritten aufgerufen werden:

  • Report auswählen
  • Klick auf Menü View im Hauptmenü
  • zum Ende der Liste scrollen
  • Report Data auswählen
    Hinweis: Wird der Menüeintrag nicht angezeigt, dann wurde kein Report ausgewählt.

Alternativ kann nach Auswahl des Reports auch die Tastenkombination Ctrl+ALt+D gedrückt werden.


Definition der Datasets

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets

Die Spalten der Dataset-Typen sind fest vorgegeben.

Definition der Datasets für:

  • AML
  • CEL
  • Archiv
  • Online
  • Filtereinstellungen
  • RGM
    • RGM Rezeptdaten
    • RGM Rezeptwerte
  • Batch Control
    • Vorlagenrezept
    • Steuerrezept
    • Rezeptbilder
    • Matrix Struktur
    • PFC Struktur
    • Grundfunktionen
    • Parameter
    • Transitionen
    • Aggregatsbelegungen
    • Teilrezeptinstanzen

Hinweis: Wenn zenon Analyzer Reports im Report Viewer wiederverwendet werden sollen, gilt:

  • sprachumschaltbare Texte sind bereits sprachumgeschaltet
  • einheitenumschaltbare Werte werden in Umrechnungseinheit angegeben
  • Zeitstempel entsprechen der Lokalzeit des ausführenden Rechners

info Info

Beim Erstellen der Reports werden Datenfelder anhand der Benennung auf die Reihenfolge überprüft. So wird festgestellt, um welchen Datensatz es sich handeln könnte. Die Anzahl der Datenfelder darf allerdings variieren. Das kann dazu führen, dass ein Datensatz falsch interpretiert wird.

Zum Beispiel: Ein Datensatz mit nur einem Feld mit dem Namen PROJECT kann als Datensatz für AML, CEL, Archiv oder Online-Daten interpretiert werden, da alle diese Datensätze mit einem Feld namens PROJECT beginnen.

Noch in diesem Kapitel

AML

CEL

Archiv

Online

Filtereinstellungen

RGM Rezeptdaten

RGM Rezeptwerte

Vorlagenrezept

Steuerrezept

Rezeptbilder

Matrix Struktur

PFC Struktur

Grundfunktionen

Parameter

Transitionen

Aggregatsbelegungen

Teilrezeptinstanzen


AML

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > AML

Spaltenname | Datentyp | Beschreibung
PROJECT | STRING | Name des Projekts.
VARIABLE | STRING | Name der Variablen.
IDENTIFICATION | STRING | Kennung der Variablen.
TEXT | STRING | Eintragstext.
TIMECOMES | DATE | Zeitpunkt des Auftreten des Alarms.
TIMEGOES | DATE | Zeitpunkt.
TIMEACKN | DATE | Zeitpunkt der Quittierung.
TIMEREACT | DATE | Zeitpunkt der Reaktivierung.
COUNTREACT | INTEGER | Anzahl der Reaktivierungen.
STATEREACT | INTEGER | Status der Reaktivierung.
STATUSFLAGS | INTEGER | Statusbits.
VALUE | FLOAT | Wert der Variablen.
UNIT | STRING | Maßeinheit.
COMMENT | STRING | Kommentar des Benutzers.
CLASS | STRING | Alarm/Ereignis-Klasse.
GROUP | STRING | Alarm/Ereignis-Gruppe.
USER | STRING | Name des Benutzers.
COMPUTER | STRING | Name des Computers.
RESSOURCESLABEL | STRING | Betriebsmittelkennung.
AREA | STRING | Alarmbereiche, wenn mehrere getrennt mit Komma.
ALARMCAUSELEVEL1 | STRING | Alarmursache Ebene 1.
ALARMCAUSELEVEL2 | STRING | Alarmursache Ebene 2.
ALARMCAUSELEVEL3 | STRING | Alarmursache Ebene 3.
ALARMCAUSELEVEL4 | STRING | Alarmursache Ebene 4.
ALARMCAUSELEVEL5 | STRING | Alarmursache Ebene 5.


CEL

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > CEL

Spaltenname | Datentyp | Beschreibung
PROJECT | STRING | Name des Projekts.
VARIABLE | STRING | Name der Variablen.
IDENTIFICATION | STRING | Kennung der Variablen.
TEXT | STRING | Eintragstext.
TIMECOMES | STRING | Zeitpunkt des Auftreten des Ereignisses.
STATUSFLAGS | INTEGER | Statusbits.
VALUE | FLOAT | Wert der Variablen.
UNIT | STRING | Maßeinheit.
COMMENT | STRING | Kommentar des Benutzers.
CLASS | STRING | Alarm/Ereignis-Klasse.
GROUP | STRING | Alarm/Ereignis-Gruppe.
USER | STRING | Name des Benutzers.
COMPUTER | STRING | Name des Computers.
RESSOURCESLABEL | STRING | Betriebsmittelkennung.
AREA | STRING | Alarmbereiche, wenn mehrere getrennt mit Komma.


Archiv

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Archiv

Spaltenname | Datentyp | Beschreibung
PROJECT | STRING | Name des Projekts.
ARCHIVE | STRING | Name des Archivs.
VARIABLE | STRING | Name der Variablen.
IDENTIFICATION | STRING | Kennung der Variablen.
CHANNELSPEC | STRING | Variable einschließlich Verdichtungsart.
TIMESTAMP | STRING | Zeitstempel.
STATUSFLAGS | INTEGER | Statusbits.
VALUE | FLOAT | Wert der Variablen.
UNIT | STRING | Maßeinheit.
STRVALUE | STRING | Wert als String.
RESSOURCESLABEL | STRING | Betriebsmittelkennung.


Online

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Online

Spaltenname | Datentyp | Beschreibung
PROJECT | STRING | Name des Projekts.
VARIABLE | STRING | Name der Variablen.
IDENTIFICATION | STRING | Kennung der Variablen.
TIMESTAMP | STRING | Zeitstempel.
STATUSFLAGS | INTEGER | Statusbits.
VALUE | FLOAT | Wert der Variablen.
UNIT | STRING | Maßeinheit.
STRVALUE | STRING | Wert als String.
RESSOURCESLABEL | STRING | Betriebsmittelkennung.


Filtereinstellungen

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Filtereinstellungen

Spaltenname | Datentyp | Beschreibung
DataSet | STRING | Benutztes Dataset, z-B. AML.
FilterType | STRING | Art des Filters, z.B. Time oder Lot
FilterData | STRING | Einstellungen des Filters. FilterData (String) = [Filtertyp] [Filterparameter] [Filterparameter] [ ]

FilterData Parameter

Ist der FilterType Time so wird in der Runtime der Zeitraum angezeigt:
Beispiel: @FilterData(String) = Rel:0d, 1h, 0m, 0s;

Ist der FilterType Lot so stehen folgende Parameter für die Anzeige in der Runtime zur Verfügung.
Beispiel: @FilterData(String) = LOT12345; 17.08.2017 15.50.00; 17.08.2017 16.50.00; 0T 01:00:00

Parameter | Datentyp | Beschreibung
Lot Name | STRING | Name der Charge.
Lot Start Date | STRING | Startdatum der Charge.
Lot End Date | STRING | Enddatum der Charge.
Lot Start Time | STRING | Startzeit der Charge.
Lot End Time | STRING | Endzeit der Charge.
Lot Duration | STRING | Dauer der Charge.


RGM Rezeptdaten

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > RGM Rezeptdaten

Spaltenname | Datentyp | Beschreibung
PROJECTNAME | STRING | Name des Projekts.
GROUPNAME | STRING | Name der Rezeptgruppe.
NAME | STRING | Rezeptname.
NUMBER | UINT | Rezeptnummer.
STATUSNUMBER | UINT | Statusnummer.
STATUSTEXT | STRING | Statustext.
VERSION | UINT | Version.
COMMENT1 | STRING | Kommentar 1
COMMENT2 | STRING | Kommentar 2
COMMENT3 | STRING | Kommentar 3
COMMENT4 | STRING | Kommentar 4
COMMENT5 | STRING | Kommentar 5
COMMENT6 | STRING | Kommentar 6
COMMENT7 | STRING | Kommentar 7
COMMENT8 | STRING | Kommentar 8
USERLEVEL | UINT | Benutzerberechtigung.
CHANGETIME | DATETIME | Zeitpunkt der Änderung.
CHANGEUSER | STRING | Benutzer, der bei der Änderung angemeldet war.


RGM Rezeptwerte

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > RGM Rezeptwerte

Spaltenname | Datentyp | Beschreibung
PROJECTNAME | STRING | Name des Projekts.
GROUPNAME | STRING | Name der Rezeptgruppe.
NAME | STRING | Rezeptname.
VERSION | UINT | Version.
RESSOURCESLABEL | STRING | Betriebsmittelkennung.
VARIABLENAME | STRING | Variablenname.
VARIABLETAG | STRING | Variablenkennung.
SYMBOLVALUE | STRING | Symbolische Adresse für Variable.
VALUE | STRING | Wert.
UNIT | STRING | Einheit.
MIN | DOUBLEWORD | Minimalwert.
MAX | DOUBELWORD | Maximalwert.
ACTION | STRING | Auszuführende RGM RezeptAktion.
FILTER | STRING | Rezeptvariablenfilter.


Vorlagenrezept

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Vorlagenrezept

Spaltenname | Datentyp | Beschreibung
MrId | INTEGER | ID des Rezepts.
MrName | STRING | Name des Rezepts.
MrDescription | STRING | Beschreibung des Rezepts.
MrStatus | STRING | Status des Rezepts.
RecipeType | STRING | Typ des Rezepts.
ReeStatus | STRING | Status der REE.
ReeModus | STRING | Modus der REE.
ApprovalTime | DATE | Zeitpunkt, zu dem das Rezept freigegeben wurde.
ApprovalUserID | STRING | ID des Benutzers, von dem das Rezept freigegeben wurde.
ApprovalUserName | STRING | Name des Benutzers, von dem das Rezept freigegeben wurde.
OutdatedTime | DATE | Zeitpunkt, zu dem das Rezept auf "veraltet" gesetzt wurde.
OutdatedUserID | STRING | ID des Benutzers, von dem das Rezept auf "veraltet" gesetzt wurde.
OutdatedUserName | STRING | Name des Benutzers, von dem das Rezept auf "veraltet" gesetzt wurde.
MrVersion | STRING | Version des Vorlagenrezepts.
MrSourceVersion | STRING | Version des Vorlagen-Quellrezepts.


Steuerrezept

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Steuerrezept

Spaltenname | Datentyp | Beschreibung
CrId | INTEGER | ID des Steuerrezepts.
CrName | STRING | Name des Steuerrezepts.
CrDescription | STRING | Beschreibung des Steuerrezepts.
CrStatus | STRING | Status des Steuerrezepts.
MrId | INTEGER | ID des Vorlagenrezepts.
MrName | STRING | Name des Vorlagenrezepts.
MrDescription | STRING | Beschreibung des Vorlagenrezepts.
MrStatus | STRING | Status des Vorlagenrezepts.
RecipeType | STRING | Typ des Rezepts.
ReeStatus | STRING | Status der REE.
ReeModus | STRING | Modus der REE.
CrJobID | STRING | Auftragsnummer des Steuerrezepts.
ApprovalTime | DATE | Zeitpunkt, zu dem das Vorlagenrezept freigegeben wurde.
ApprovalUserID | STRING | ID des Benutzers, von dem das Vorlagenrezept freigegeben wurde.
ApprovalUserName | STRING | Name des Benutzers, von dem das Vorlagenrezept freigegeben wurde.
CreationTime | DATE | Zeitpunkt der Erstellung des Steuerrezepts.
CreationUserID | STRING | ID des Benutzers, von dem das Rezept erstellt wurde.
CreationUserName | STRING | Name des Benutzers, von dem das Rezept erstellt wurde.
StartingTime | DATE | Zeitpunkt, zu dem das Rezept gestartet wurde.
StartingUserID | STRING | ID des Benutzers, von dem das Rezept gestartet wurde.
StartingUserName | STRING | Name des Benutzers, von dem das Rezept gestartet wurde.
OutdatedTime | DATE | Zeitpunkt, zu dem das Vorlagenrezept auf "veraltet" gesetzt wurde.
OutdatedUserID | STRING | ID des Benutzers, von dem das Vorlagenrezept auf "veraltet" gesetzt wurde.
OutdatedUserName | STRING | Name des Benutzers, von dem das Vorlagenrezept auf "veraltet" gesetzt wurde.
MrVersion | STRING | Version des Vorlagenrezepts.
MrSourceVersion | STRING | Version des Vorlagen-Quellrezepts.


Rezeptbilder

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Rezeptbilder

Spaltenname | Datentyp | Beschreibung
Name | STRING | Name des Rezepts.
Description | STRING | Beschreibung des Rezepts.
RecipePart | STRING | Vorlagenrezept, Steuerrezept oder Teilrezeptinstanz.
OperationTemplateID | INTEGER | ID der Teilrezeptvorlage.
Type | STRING | Typ des Rezepts: PFC-Rezept oder Matrix-Rezept.
ImagePNG | STRING | Screenshot des Rezepts. Muss extra angelegt werden.

Bild anlegen

  1. Fügen Sie im Report Builder ein neues Bild ein.
  2. Setzen Sie die Quelle auf Database.
  3. Tragen Sie für die Eigenschaft Use this field: ImagePNG ein.
  4. Tragen Sie für die Eigenschaft MIME type: image/png ein.
  5. Fügen Sie das Bild per Einfügen-Option oder Drag&Drop in die Tabelle ein.
  6. Passen Sie im Eigenschaftenbereich Size die Größe auf Orginal Size an.
  7. Passen Sie bei Bedarf auch die Eigenschaft Padding für den Abstand des Bildes zu den Zellenrändern an.


Matrix Struktur

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Matrix Struktur

Spaltenname | Datentyp | Beschreibung
StepNr | INTEGER | Nummer des Schritts.
StepDescr | STRING | Beschreibung des Schritts.
ObjectID | INTEGER | ID des Objekts im Rezept.
ObjectName | STRING | Name des Objekts im Rezept.
ObjectDescr | STRING | Beschreibung des Objekts im Rezept.
ObjectType | STRING | Art des Objekts im Rezept. (Grundfunktion, Transition, ...)
ObjectUnit | STRING | Aggregat des Objekts.
OperationTemplateID | INTEGER | ID der Teilrezeptvorlage. 0 = Hauptrezept.
OperationTemplateName | STRING | Name der Teilrezeptvorlage. Leer = Hauptrezept.


PFC Struktur

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > PFC Struktur

Spaltenname | Datentyp | Beschreibung
ChartRow | INTEGER | Zeile im Rezept.
ChartCol | INTEGER | Spalte im Rezept.
ObjectID | INTEGER | ID des Objekts im Rezept.
ObjectName | STRING | Name des Objekts im Rezept.
ObjectDescr | STRING | Beschreibung des Objekts im Rezept.
ObjectType | STRING | Art des Objekts im Rezept. (Grundfunktion, Transition, ...)
ObjectUnit | STRING | Aggregat des Objekts.
PrevIds | STRING | IDs der vorhergehenden Objekte.
NextIds | STRING | IDs der nachfolgenden Objekte.
PrevNames | STRING | Namen der vorhergehenden Objekte.
NextNames | STRING | Namen der nachfolgenden Objekte.
PrevTypes | STRING | Typen der vorhergehenden Objekte.
NextTypes | STRING | Typen der nachfolgenden Objekte.
CellsSpan | STRING | Anzahl der verwendeten Spalten (Breite des Objekts).
OperationTemplateID | INTEGER | ID der Teilrezeptvorlage. 0 = Hauptrezept.
OperationTemplateName | STRING | Name der Teilrezeptvorlage. Leer = Hauptrezept.


Grundfunktionen

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Grundfunktionen

Spaltenname | Datentyp | Beschreibung
ObjectID | INTEGER | ID des Objekts im Rezept.
ChartRow | INTEGER | Zeile, in der sich die Grundfunktion im Rezept befindet.
ChartCol | INTEGER | Spalte, in der sich die Grundfunktion im Rezept befindet.
PhaseName | STRING | Name der Grundfunktion.
PhaseDescr | STRING | Beschreibung der Grundfunktion.
UnitID | INTEGER | ID des Aggregats.
UnitName | STRING | Name des Aggregats.
UnitDescr | INTEGERSTRING | Beschreibung des Aggregats.
OperationInstID | INTEGER | ID der Teilrezeptinstanz, in der sich die Grundfunktion im Rezept befindet.
OperationInstName | STRING | Name der Teilrezeptinstanz, in der sich die Grundfunktion im Rezept befindet.
TOAllocation | STRING | Wartezeit Aggregatsbelegung.
TOInterlocking | STRING | Wartezeit Verriegelung.
MinExecTime | STRING | Minimale Ausführungszeit.
ExplanationMinExecTimeNeeded | BOOL | Begründung für Änderung der Minimalen Ausführungszeit nötig.
MaxExecTime | STRING | Maximale Ausführungszeit.
TOFollowingCond | STRING | Wartezeit Nachfolgende Bedingung.
CondInterlocking | STRING | Verriegelungsbedingung.
CondDone | STRING | Bedingung für Beendet.
CondFailure | STRING | Bedingung für Kommunikationsstörung.
CondPausing | STRING | Bedingung für Pausieren.
CondHolding | STRING | Bedingung für Anhalten.
CondStopping | STRING | Bedingung für Stop.
CondAborting | STRING | Bedingung für Abbruch.
CondRestarting | STRING | Bedingung für Neustart.
CondEscaping | STRING | Ausstiegsbedingung.
CondConnReconnect | STRING | Bedingung für Kommunikation wiederhergestellt.
CondPlcError | STRING | Bedingung für SPS-Fehler.
CSName | STRING | Name der Fahrweise.
CSDescription | STRING | Beschreibung der Fahrweise.
CSTag | STRING | Parameter der Fahrweise.
ActiveCSNumber | INTEGER | Nummer der aktiven Fahrweise.


Parameter

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Parameter

Spaltenname | Datentyp | Beschreibung
TagName | STRING | Name des Parameters.
TagDescr | STRING | Beschreibung des Parameters.
TagType | STRING | Typ des Parameters.
TagValue | STRING | Wert des Parameters.
MeasUnit | STRING | Maßeinheit
ValueMin | STRING | Minimalwert.
ValueMax | STRING | Maximalwert.
EditableInRecipe | BOOL | Angabe, ob in Rezept editierbar.
EditableInCr | BOOL | Angabe, ob in Steuerrezept editierbar.
ExplanationNeeded | BOOL | Angabe, ob Begründung für Änderung nötig ist.
TagModified | BOOL | Angabe, ob Parameter geändert wurde.
Variable | STRING | Variable des Parameters.
DataType | STRING | Datentyp der Variablen.
PhaseID | INTEGER | ID der Grundfunktion.
PhaseName | STRING | Name der Grundfunktion.
OperationInstID | INTEGER | ID der Teilrezeptinstanz.
OperationInstName | STRING | Name der Teilrezeptinstanz.


Transitionen

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Transitionen

Spaltenname | Datentyp | Beschreibung
ObjectID | INTEGER | ID der Transition im Rezept.
ChartRow | INTEGER | Zeile des Rezepts.
ChartCol | INTEGER | Spalte des Rezepts.
Condition | STRING | Bedingung für die Transition.
OperationInstID | INTEGER | ID der Teilrezeptinstanz, in der sich die Transition befindet.
OperationInstName | STRING | Name der Teilrezeptinstanz, in der sich die Transition befindet.


Aggregatsbelegungen

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Aggregatsbelegungen

Spaltenname | Datentyp | Beschreibung
ObjectID | INTEGER | ID der Aggregatsbelegung im Rezept.
ChartRow | INTEGER | Zeile des Rezepts.
ChartCol | INTEGER | Spalte des Rezepts.
AllocationData | STRING | Aggregatsbelegung und Anzahl der belegten Aggregate.
OperationInstID | INTEGER | ID der Teilrezeptinstanz, in der sich die Aggregatsbelegung befindet.
OperationInstName | STRING | Name der Teilrezeptinstanz, in der sich die Aggregatsbelegung befindet.


Teilrezeptinstanzen

Handbuch > Reporting > Report Viewer > Report Definitionsdateien > Definition der Datasets > Teilrezeptinstanzen

Spaltenname | Datentyp | Beschreibung
ObjectID | INTEGER | ID der Teilrezeptinstanz im Rezept.
ChartRow | INTEGER | Zeile des Rezepts.
ChartCol | INTEGER | Spalte des Rezepts.
OperationName | STRING | Name des Teilrezepts.
OperationDescr | STRING | Beschreibung des Teilrezepts.
OperationType | STRING | Rezepttyp: PFC-Rezept oder Matrix-Rezept.
OperationTemplateID | INTEGER | ID der Teilrezeptvorlage.


Bedienen zur Runtime

Handbuch > Reporting > Report Viewer > Bedienen zur Runtime

Zur Runtime wird das Bild vom Typ Report Viewer mit einer Bildumschaltfunktion aufgeschaltet. Je nach konfigurierter Reportdefinition können Reports für AML, CEL, Archive und Online-Werte angezeigt werden. Diese Reports können Sie, wenn die entsprechenden Funktionen projektiert wurden, auch:

  • aktualisieren: Reportdefinition und Daten neu laden und Report anzeigen
  • drucken: am für Werte und Protokolle definierten Drucker ausdrucken
  • exportieren: als PDF-Datei im definierten Exportordner ausgeben

Parameter | Beschreibung
Aktualisieren | Lädt die Reportdefinition und die Daten neu und zeigt den den Report mit den aktualisierten Daten an. Nach Änderung der Reportdatei im Editor muss das Bild neu aufgeschaltet werden, Reload genügt nicht.
Drucken | Druckt den Report auf dem für Werte und Protokolle definierten Drucker aus. Hinweis: Der Ausdruck kann auch in einen eigenen Thread ausgelagert werden. Damit wird die Bedienbarkeit der Runtime während des Drucks sichergestellt.
PDF erzeugen | Speichert den aktuell angezeigten Report als PDF-Datei im für den Export definierten Ordner. Standardpfad: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export Hinweis: Die PDF-Erstellung kann auch in einen eigenen Thread ausgelagert werden. Damit wird die Bedienbarkeit der Runtime während der Erstellung und des Exports sichergestellt.
Liste Report | Zeigt die in der Bildumschaltfunktion definierten Reports an. Die Liste kann durchsucht werden. Lange Listen werden auf mehrere Seiten umgebrochen.

Navigation, Zoom und Suche

Die Kopfleiste des Reports bietet Elemente für:

  • Navigation
  • Zoom
  • Suche

Parameter

Beschreibung

Seitennavigation

Zeigt Anzahl der Seiten und aktuelle Seite. Ermöglicht Naviagtion im Dokument über

  • Pfeiltasten
  • Auswahl einer bestimmten Seite

Zoom

Auswahl einer Zoomstufe aus Dropdownliste:

  • Page Width (Seitenbreite)
  • Whole Page (ganze Seite)
  • 500%
  • 200%
  • 150%
  • 100% (default)
  • 75 %
  • 50 %
  • 25%

Suche

Eingabe eines Suchbegriffs im Suchfeld.

  • Find: zeigt erste Fundstelle an
  • Next: navigiert zu weiteren Fundstellen

Wildcards können nicht verwendet werden.


Fehlerbehandlung

Handbuch > Reporting > Report Viewer > Fehlerbehandlung

Fehlermeldungen in Popups

Fehlermeldung | Bedeutung
DataTable missing for DataSet: <DatasetName> | Ein Dataset wird in der Reportdefinition verwendet, aber in der Konfiguration ist keine Tabelle mit diesem Namen enthalten. Der Report kann nicht angezeigt werden.
DataSet not used for DataTable: <TableName> | Eine Tabelle wurde definiert, aber die Reportdefinition verwendet diesen Namen nicht für ein Dataset. Diese Meldung tritt nur auf, nachdem eine fehlende Tabelle festgestellt wurde.


Standard-Rezepte

Handbuch > Standard-Rezepte

Rezepte sammeln Sollwerte und Befehle in einer Vorgabeliste, die zur Runtime mit einem Funktionsaufruf ausgeführt wird.

Rezepte können sowohl im Editor als auch während der Runtime (mittels Bild vom Typ Rezept Standard) projektiert werden.

Eine Sammlung mehrerer Rezepte wird im Rezeptgruppen-Manager erstellt und verwaltet.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektieren im Editor

Funktion Bildumschaltung Standard-Rezept

Bedienen zur Runtime


Projektieren im Editor

Handbuch > Standard-Rezepte > Projektieren im Editor

Noch in diesem Kapitel

Kontextmenü Projektmanager

Kontextmenü Detailansicht

Bildtyp Rezept Standard anlegen

Neues Rezept anlegen

Variablen zum Rezept hinzufügen

Sollwerte ändern

Rezepte ausführen


Kontextmenü Projektmanager

Handbuch > Standard-Rezepte > Projektieren im Editor > Kontextmenü Projektmanager

Menüpunkt | Aktion
Rezept neu | Erstellt ein neues Rezept in der Liste und öffnet den Namen zur Bearbeitung.
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren | Importiert aus XML-Datei.
ASCII importieren | Importiert aus ASCII-Datei.
Editorprofil | Öffnet Dropdownliste zur Zuweisung eines Editorprofils.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Detailansicht

Handbuch > Standard-Rezepte > Projektieren im Editor > Kontextmenü Detailansicht

Symbolleiste

Menüpunkt | Aktion
Rezept neu | Erstellt ein neues Rezept in der Liste und öffnet den Namen zur Bearbeitung.
Standard-Funktion erzeugen | Öffnet den Dialog zur Auswahl eines Rezeptes und einer Aktion und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von" eingefügt.
Löschen | Löscht ausgewählte Einträge.
Nach oben verschieben | Verschiebt Eintrag in der Rezept-Liste um eine Position nach oben.
Nach unten verschieben | Verschiebt Eintrag in der Rezept-Liste um eine Position nach unten.
Sollwert ändern | Aktiviert Zelle Sollwert zur Eingabe eines Wertes.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in XML-Datei.
XML importieren | Importiert aus XML-Datei.
Auswahl als ASCII exportieren | Exportiert ausgewählte Einträge in ASCII-Datei.
ASCII importieren | Importiert aus ASCII-Datei.
Umbenennen | Ermöglicht die Umbenennung des ausgewählten Rezepts. Auch per Mausklick in das Feld oder über F2-Taste möglich.
Eigenschaften | Öffnet das Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Baum in Detailansicht

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Rezept neu | Erstellt ein neues Rezept in der Liste und öffnet den Namen zur Bearbeitung.
Standard-Funktion erzeugen | Öffnet den Dialog zur Auswahl eines Rezeptes und zur Definition der gewünschten Aktion
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von" eingefügt.
Löschen | Löscht ausgewählte Einträge.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in XML-Datei.
XML importieren | Importiert aus XML-Datei.
Auswahl als ASCII exportieren | Exportiert ausgewählte Einträge in ASCII-Datei.
ASCII importieren | Importiert aus ASCII-Datei.
Umbenennen | Ermöglicht die Umbenennung des ausgewählten Rezepts. Auch per Mausklick in das Feld oder über F2-Taste möglich.
Eigenschaften | Öffnet das Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Details

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Variable entfernen | Löscht ausgewählte Variable nach einer Sicherheitsabfrage.
Nach oben verschieben | Verschiebt ausgewählte Variable um eine Position nach oben.
Nach unten verschieben | Verschiebt ausgewählte Variable um eine Position nach unten.
Sollwert ändern | Öffnet die Zelle mit dem Sollwert zum Ändern.
Filter entfernen | Entfernt alle aktiven Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Bildtyp Rezept Standard anlegen

Handbuch > Standard-Rezepte > Projektieren im Editor > Bildtyp Rezept Standard anlegen

Die Steuerung der Rezepte während der Runtime erfolgt über ein Bild des Typs Rezept Standard. Dieses Bild muss zunächst im Editor angelegt werden.

Bild vom Typ Rezept Standard anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Rezept Standard.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Fenster zur Runtime.

Kontrollelement

Beschreibung

Rezeptname

Name des aktuell ausgewählten Rezepts

Rezeptfenster

Darstellung des ausgewählten Rezepts in tabellarischer Form.

Absetzfortschritt

Fortschrittsbalken, der das Absetzen des Rezepts anzeigt.

Das Kontrollelement zeigt den Fortschrittsbalken ja nach Platzierung und Ausprägung des Elements entweder von unten nach oben oder von links nach rechts verlaufend an.

Das Kontrollelement ist zur Runtime ausgeblendet und wird nur während des Absetzens eines Rezepts angezeigt.

Hinweis: Das Kontrollelement wird nur angezeigt, wenn die Eigenschaft Synchron schreiben aktiviert ist.

Rezeptfunktionen

Aktionen für Rezepte zur Runtime.

Kontrollelement

Beschreibung

Rezept neu

Ein neues Rezept erstellen.

Rezept bearbeiten

Das aktuelle Rezept bearbeiten.

Rezept duplizieren

Das aktuelle Rezept kopieren.

Rezept speichern

Das aktuelle Rezept unter dem gleichen Namen speichern.

Rezept löschen

Das aktuelle Rezept löschen.

Rezept exportieren

Aktuelles Rezept in eine TXT-Datei speichern.

Rezept importieren

Aktuelles Rezept aus einer TXT-Datei laden.

Werte von Steuerung lesen

Die Werte aller im ausgewählten Rezept vorkommenden Variablen werden von der Steuerung eingelesen und in das Rezept eingetragen. Die Änderungen müssen dann noch gespeichert werden!

Sollwert ändern

Wert einer ausgewählten Variable im Rezept ändern. Ein Dezimalwert kann sowohl mit 'Komma' als auch mit 'Punkt' angegeben werden, das Dezimalzeichen wird automatisch in einen 'Punkt' umgewandelt.

Achtung: Ist dieses Element im Bild nicht vorhanden, werden die Rezepte im Listenelement schreibgeschützt angezeigt.

Alle Werte ++

Alle Werte des ausgewählten Rezepts werden um 1 erhöht.

Alle Werte --

Alle Werte des ausgewählten Rezepts werden um 1 verringert.

Rezept absetzen

Die Werte aller im ausgewählten Rezept vorkommenden Variablen werden so wie in der Tabelle dargestellt in die Steuerung geschrieben.

Variable hinzufügen ...

Eine Variable zum ausgewählten Rezept hinzufügen. Es ist auch möglich, Variablen aus anderen geladenen Projekten zu verwenden.

Variable entfernen

Eine ausgewählte Variable aus dem Rezept lösen

Navigation

Kontrollelemente zur Navigation in Rezepten.

Kontrollelement | Beschreibung
Vorheriges Rezept | Ein Rezept rückwärts blättern.
Erstes Rezept | Zum ersten Rezept blättern.
Nächstes Rezept | Ein Rezept vorwärts blättern.
Letztes Rezept | Zum letzten Rezept blättern.

Synchrones Schreiben:

Ist die Eigenschaft Synchron schreiben aktiviert, wird das Kontrollelement Absetzfortschritt angezeigt, wenn ein Rezept zur Steuerung abgesetzt wird bis die Schreibbestätigung beim Rezeptmodul angekommen ist, unabhängig davon, ob diese positiv oder negativ ausgefallen ist. Soll auf eine negative Schreibbestätigung reagiert werden, kann das über Reaktionsmatrizen gelöst werden.

info Info

Buttons können mit Passwort und Berechtigungsebene geschützt werden. Details siehe Abschnitt Bedienen zur Runtime.


Neues Rezept anlegen

Handbuch > Standard-Rezepte > Projektieren im Editor > Neues Rezept anlegen

Um ein neues Rezept anzulegen wird im Projektmanager im Kontextmenü des Eintrags Rezepte / Rezepte Standard der Eintrag Rezept neu ausgewählt. Das neu anglegte Rezept wird in der Detailansicht des Projektmanagers angezeigt. In der Detailansicht erfolgt auch die weitere Projektierung.


Variablen zum Rezept hinzufügen

Handbuch > Standard-Rezepte > Projektieren im Editor > Variablen zum Rezept hinzufügen

Nach dem Anlegen eines neuen Rezept können Sie Variablen zum Rezept hinzufügen.

attention Achtung

String-Variablen können mit einem Standard-Rezept nicht auf die SPS geschrieben werden. Benutzen Sie für String-Variablen Rezeptgruppen-Manager.

Variablen werden im Dialog 'Filter: Variablenauswahl' ausgewählt. Die Variablen werden entweder per Doppelklick übernommen, oder indem die Schaltfläche Hinzufügen betätigt wird. Ein Multiselect ist möglich. Es können auch Variablen aus untergeordneten, geladenen Projekten verwendet werden. Sämtliche Variablen, die zum Rezept hinzugefügt werden sollen, dürfen nicht schreibgeschützt sein. Wenn Sie Variablen umprojektieren (Normierung ändern), so wird auch der abzusetzende Sollwert im Rezept proportional angepasst.

info Info

Ein Dezimalwert kann sowohl mit 'Komma' als auch mit 'Punkt' angegeben werden, das Dezimalzeichen wird automatisch in einen 'Punkt' umgewandelt.

Variablen sortieren

Sie können die Variablen beliebig sortieren:

Markieren Sie die Variable, deren Reihenfolge geändert werden soll und wählen Sie eine der folgenden Aktionen:

  • mit den Pfeiltasten am rechten unteren Rand verschieben
  • im Kontextmenü 'Nach oben' oder 'Nach unten' wählen

Kontextmenü Variablenansicht

Parameter | Beschreibung
Variable hinzufügen | Öffnet Dialog zur Variablenauswahl.
Variable entfernen | Löscht ausgewählte Variablen nach Bestätigung einer Warnmeldung aus der Liste.
Nach oben verschieben | Verschiebt ausgewählte Variable um eine Position nach oben.
Nach unten verschieben | Verschiebt ausgewählte Variable um eine Position nach unten.
Sollwert ändern | Aktiviert Zelle Sollwert und markiert aktuellen Sollwert.
Alle Filter entfernen | Entfernt alle gesetzten Filter.
Hilfe | Öffnet die Online-Hilfe.


Sollwerte ändern

Handbuch > Standard-Rezepte > Projektieren im Editor > Sollwerte ändern

Um den Sollwert für eine Variable zu ändern können Sie entweder im Kontextmenü den Eintrag Sollwert ändern anklicken, oder direkt in der Spalte Sollwert die gewünschten Änderungen eintragen. Für die Überprüfung des Sollwertes wird der technische Minimum- und Maximumwert für jede Variable mit angezeigt. Beim Löschen von Variablen ist eine Mehrfachauswahl möglich, beim Ändern nicht.

Die Variable _LASTRECIPE beinhaltet den Namen des zuletzt ausgeführten Standard-Rezeptes.

Mit Hilfe dieser Variable lässt sich eine Sortenverwaltung realisieren, da über diese Variable jederzeit die Information zur Verfügung steht, welche Sorte gerade verarbeitet wird.

Die Variable _LASTNEWRECIPE beinhaltet den Namen des zuletzt neu angelegten Standard-Rezeptes.

Die Variablen _LASTRECIPE und _LASTNEWRECIPE können auf jedem beliebigen Treiber basieren und müssen zum Schreiben freigegeben sein.

attention Achtung

Ausnahmen:

Die Variable _LASTRECIPE ist mit dem Standard-System Treiber nicht realisisierbar.

Die Variable _LASTNEWRECIPE ist mit dem Standard-System Treiber nicht realisierbar.

Noch in diesem Kapitel

Sollwert schreiben überprüfen


Sollwert schreiben überprüfen

Handbuch > Standard-Rezepte > Projektieren im Editor > Sollwerte ändern > Sollwert schreiben überprüfen

Beim Schreiben von Werten erhält der Wert ein Statusbit, dass er geschrieben wird. Ist der Schreibvorgang erfolgreich, wird das entsprechende Statusbit gesetzt:

  • WR-ACK

    Der Treiber hat einen Wert zum Schreiben bekommen.

  • WR-SUC

    Wert 1: Schreiben erfolgreich.

    Wert 0: Schreiben nicht erfolgreich, der Wert konnte nicht abgesetzt werden.

  • info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung ausgeführt, dann werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!

Diese Statuskombination bleibt solange bestehen, bis die nächste Wertänderung angestoßen wird. Dann gehen beide Status auf 0 bis der Schreibvorgang fertig ist. Zur Auswertung muss in der Rema folgende Bitkombination abgefragt werden:

WR-ACK, WR-SUC

Ergebnis:

  • WR-ACK 1, WR-SUC 1: Schreibvorgang erfolgreich.
  • WR-ACK 1, WR-SUC 0: Schreibvorgang nicht erfolgreich.

attention Achtung

Der Mechanismus zeigt nur, dass der Schreibvorgang erfolgreich (oder nicht erfolgreich) auf die Steuerung abgesetzt wurde. Es bedeute nicht, dass der Wert in der Steuerung auch geändert wurde, da die Steuerung den Wert sofort wieder zurücksetzen/überschreiben kann. (Zum Beispiel beim Schreiben auf Ausgänge oder bei Wischerbits, die nur kurzfristig gesetzt werden.)

Module

Dieser Mechanismus kann bei folgenden Modulen eingesetzt werden:

  • Funktion Sollwert absetzen: Option Schreibbestätigung abwarten im Konfigurationsdialog der Funktion aktivieren.
  • Standard Rezepte: Eigenschaft Synchron schreiben aktivieren.
  • Rezeptgruppen-Manager: Eigenschaft Synchron schreiben aktivieren.

Eintrag in CEL

In den Projekteigenschaften finden Sie unter Chronologische Ereignisliste folgende Eigenschaften:

  • Funktion Sollwert setzen

    Für den Eintrag in der CEL muss in den Projekteigenschaften im Knoten Chronologische Ereignisliste die Eigenschaft Funktion Sollwert setzen aktiviert werden. Es wird dann bei jedem Ausführen der Funktion die positive oder negative Rückmeldung in die CEL geschrieben.

  • Sollwert-Protokollierung nur bei Sollwertänderung

    Bei aktivierter Funktion kommt es zu keinem Eintrag in der CEL, wenn der gleiche Wert erneut gesetzt oder empfangen wird. Protokolliert werden nur Wertänderungen. Die Ausführung der Eigenschaft ist nicht abhängig von der Variableneinstellung Alter und neuer Wert.

  • Text bei Sollwertänderung

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

  • Text bei Sollwertänderung (Alter/Neuer Wert)

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des alten und des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

Standard Rezepte und Rezeptgruppen Manager

Für den Eintrag in die CEL wird eine Systemtreibervariable verwendet, die bei erfolgreich abgesetzten Rezept auf 1 geht. Eine globale Variable wird am Server ausgewertet, eine lokale auf jedem Client, um zu erfahren, wann das zuletzt ausgeführte Rezept fertig geschrieben wurde.
Mit diesen Variablen kann per Grenzwert oder Reaktionsmatrizen ein CEL Eintrag generiert werden. Die Abfrage erfolgt mit einer Multianalog oder einer Multibinär Rema.


Rezepte ausführen

Handbuch > Standard-Rezepte > Projektieren im Editor > Rezepte ausführen

Das Ausführen von Rezepten kann erfolgen:

  • während der Runtime mittels Schaltfläche im Bild Rezept Standard erfolgen,
  • über im Editor projektierten Aufruf einer Funktion zur Rezeptausführung über:
    • Skript (z. B. AUTOSTART-Skript)
    • Variablenzustand
    • Dynamisches Bildelement z. B. Button


Funktion Bildumschaltung Standard-Rezept

Handbuch > Standard-Rezepte > Funktion Bildumschaltung Standard-Rezept

Die Funktion Bildumschaltung auf ein Standard-Rezept ermöglicht es, zur Runtime ein Bild mit einem Standard-Rezept aufzuschalten.

Um diese Funktion zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Bildumschaltung
  3. wählen Sie das gewünschte Bild vom Typ Standard-Rezept
  4. der Filterdialog öffnet sich für
    • Rezeptauswahl
    • Spalten-Eigenschaften
  5. definieren Sie Rezept und Spalten-Einstellungen
  6. schließen Sie den Dialog mit Klick auf OK

Noch in diesem Kapitel

Registerkarte Rezeptauswahl

Registerkarte Spalten-Eigenschaften


Registerkarte Rezeptauswahl

Handbuch > Standard-Rezepte > Funktion Bildumschaltung Standard-Rezept > Registerkarte Rezeptauswahl

Parameter

Beschreibung

Rezepte

Auswahl des Rezepts, das bei der Bildumschaltung angezeigt werden soll.

Diesen Dialog zur Runtime anbieten

aktiv: Zur Runtime wird bei der Bildumschaltung dieser Dialog angeboten. Das ausgewählte Rezept kann geändert werden.

inaktiv: Das Bild wird mit dem im Editor festgelegten Rezept aufgeschaltet. Keine Änderungsmöglichkeit zur Runtime.


Registerkarte Spalten-Eigenschaften

Handbuch > Standard-Rezepte > Funktion Bildumschaltung Standard-Rezept > Registerkarte Spalten-Eigenschaften

Hier legen Sie fest, welche Spalten in welcher Ausprägung im Listenfeld angezeigt werden.

Parameter | Beschreibung
Verfügbare Spalten | Definition der zur Runtime angezeigten Spalten.
Parameter | Festlegung der Eigenschaften für markierte Spalte.
Beschriftung: | Beschriftung der Spalte zur Runtime.
Breite: | Breite der Spalte in Pixel.
Ausrichtung: | Textausrichtung der Spalte.


Bedienen zur Runtime

Handbuch > Standard-Rezepte > Bedienen zur Runtime

Im Onlinebetrieb stehen folgende Funktionen für die Rezeptverwendung zur Verfügung.

Parameter | Beschreibung
Rezept einzeln direkt | direktes Absetzen des aktivierten Rezepts
Rezept einzeln mit Auswahl | Änderung der Parameter des aktivierten Rezepts
Rezept einzeln mit Online-Auswahl | Auswahl eines Rezepts und Änderung seiner Parameter

Bei der Verwendung der Funktion Rezept einzeln mit Auswahl wird die Rezeptmaske aufgeschaltet.

Bedienbuttons sind:

Parameter

Beschreibung

Speichern

Änderungen im Rezept speichern.

Schließen

Rezepteinstellung schließen.

Absetzen

Rezept mit den aktuellen Parametern absetzen.

Variable hinzufügen

Variable mit der Variablenliste zum Rezept hinzufügen.

Variable lösen

Temporäres Löschen der ausgewählten Variable aus dem Rezept (dauerhaft gelöscht, wenn Rezept gespeichert wird).

Sollwert ändern

Ändern des Sollwertes der ausgewählten Variable.

Ein Dezimalwert kann sowohl mit 'Komma' als auch mit 'Punkt' angegeben werden, das Dezimalzeichen wird automatisch in einen 'Punkt' umgewandelt.

Achtung: Ist dieses Element im Bild nicht vorhanden, werden die Rezepte im Listenelement schreibgeschützt angezeigt.

Bei der Verwendung der Funktion Rezept einzeln mit Online-Auswahl können das Rezept und die Parameter des Rezepts gewählt und verändert werden. Es wird die Rezeptauswahl aufgeschaltet. Die Bedienung erfolgt gleich, wie die Parametrierung im Editor, nur dass keine Rezepte gelöscht werden können.

info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung angestoßen, so werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!

Nähere Informationen zu geänderten Runtime-Dateien finden Sie im Kapitel Zur Runtime änderbare Dateien.

Bedienberechtigung zur Runtime

Aktionen zur Runtime können mit Passwort und Berechtigungsebenen geschützt werden:

  • Beim Löschen, Speichern und Ändern von Rezepturen muss der eingeloggte Benutzer über die im Rezept projektierte Berechtigungsebene verfügen. Bei nicht ausreichender Berechtigung wird die entsprechende Funktion nicht ausgeführt.
  • Bei passwortgeschütztem Button Sollwert ändern, kann der Wert in der Tabelle nur geändert werden, wenn der Benutzer über die entsprechende Berechtigungsebene verfügt. Ist das nicht der Fall, wird bei aktivem temporärem Login der Dialog zum Login geöffnet, sobald eine Spalte zum Ändern eines Werts angeklickt wird.
  • Ist der Button Änderungen speichern mit einem Passwort geschützt und der Benutzer verfügt nicht über nicht über die benötigte Berechtigungsebene, wird nach Rezeptänderungen beim Schließen des Bildes der Dialog für temporäres Login geöffnet, um das Speichern der Änderungen zu ermöglichen.

Noch in diesem Kapitel

Rezept - Funktionen

Statusinformationen bei Rezepten und Rezeptgruppen Manager


Rezept - Funktionen

Handbuch > Standard-Rezepte > Bedienen zur Runtime > Rezept - Funktionen

Um eine Bedienung während der Runtime möglich zu machen, legt man die gewünschten Rezeptfunktionen an.

Wird aus dem Kontextmenü in der Detailansicht die Standardfunktion erstellt, so erstellt zenon automatisch eine Funktion Rezept Standard für das ausgewählte Rezept.

Noch in diesem Kapitel

Rezept einzeln

Rezept Standard


Rezept einzeln

Handbuch > Standard-Rezepte > Bedienen zur Runtime > Rezept - Funktionen > Rezept einzeln

Die Funktion Rezept einzeln steht in drei Ausprägungen zur Verfügung:

  • Rezept einzeln direkt
  • Rezept einzeln mit Auswahl
  • Rezept einzeln mit Online-Auswahl

Rezept einzeln direkt

Mit der Verwendung dieser Funktion kann während der Runtime ein definiertes Rezept direkt abgesetzt werden. Innerhalb eines Rezeptes können nur Prozessvariablen eines Treibers gewählt werden.

Als Übergabeparameter ist das Rezept anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske.

Rezept einzeln mit Auswahl

Mit der Verwendung dieser Funktion kann während der Runtime ein definiertes Rezept vor dem Absetzen geändert (Sollwertänderung) werden.

Als Übergabeparameter ist das Rezept anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske.

Nach der Auswahl des Rezeptes wird die Funktion in die Funktionsliste eingetragen.

Im Onlinebetrieb wird die Sollwerteinstellung des Rezeptes aufgeschaltet.

Mögliche Einstellungen in der Runtime und im Editor sind:

Parameter | Beschreibung
Variable hinzufügen | neue Variable zum Rezept hinzufügen
Variable lösen | ausgewählte Variable aus dem Rezept entfernen
Sollwert ändern | Wert der ausgewählten Variable ändern

Rezept einzeln mit Online-Auswahl

Mit der Verwendung dieser Funktion kann im Onlinebetrieb ein Rezept ausgewählt und vor dem Absetzen geändert (Sollwertänderung) werden.

Als Übergabeparameter ist ein vordefiniertes Rezept anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske.

Während der Runtime wird die Rezeptauswahl aufgeschaltet.

Projektierbare Optionen sind:

Parameter | Beschreibung
Neu | neues Rezept anlegen
Kopieren | ausgewähltes Rezept kopieren und unter neuem Namen abspeichern
Ändern | Namen des ausgewählten Rezepts ändern
Löschen | ausgewähltes Rezept löschen

Nach der Auswahl des Rezeptes wird die Funktion in die Funktionsliste eingetragen.

Projektierbare Eigenschaften sind:

Variable hinzufügen | neue Variable zum Rezept hinzufügen
Variable lösen | ausgewählte Variable aus dem Rezept entfernen
Sollwert ändern | Wert der ausgewählten Variable ändern

Soll das Ändern der Rezepteinträge unterbunden werden, eine Auswahl der einzelnen Rezepte im Onlinebetrieb aber freigegeben werden, ist ein Eintrag in der Datei zenon6.ini vorzunehmen.

[FUNKTIONEN] |
REZEPT_AENDERN= | 0: keine Änderung erlaubt 1: Änderung erlaubt (default)


Rezept Standard

Handbuch > Standard-Rezepte > Bedienen zur Runtime > Rezept - Funktionen > Rezept Standard

Mit der Verwendung dieser Funktion kann während der Runtime ein gespeichertes Rezept ausgeführt, aus der Hardware gelesen oder exportiert werden. Darüber hinaus können auch neue Rezepte importiert oder mit den aktuellen Werten aus der Hardware erstellt werden.

Um die Funktion zu erstellen:

  1. erstellen Sie eine neu Funktion
  2. wählen Sie im Knoten Rezepte die Funktion Standard-Rezept
  3. der Dialog zur Rezeptauswahl wird geöffnet
  4. in der Registerkarte Rezeptauswahl wählen Sie das aufzurufende Rezept
  5. in der Registerkarte Auszuführende Aktion bestimmen Sie die Aktion, die zur Runtime ausgeführt werden soll

Rezeptauswahl

Parameter

Beschreibung

Rezept auswählen

Auswahl des Rezepts, das gelesen oder geschrieben werden soll

Rezeptname aus Variable

Der Name des Rezepts, das gelesen oder geschrieben werden soll, wird durch die angegebene Variable definiert.

Achtung: Die Stringvariable muss zur Runtime vor der Funktionsausführung einen gültigen Rezeptnamen beinhalten, z. B. Rezept_4. Ansonsten kann die Funktion nicht ausgeführt werden.

Auszuführende Aktion

Parameter | Beschreibung
Werte absetzen | Die Werte der Variablen des ausgewählten Rezepts werden auf die Steuerung geschrieben.
Werte einlesen | Die Werte der Variablen des ausgewählten Rezepts werden aus der Steuerung gelesen und überschreiben die derzeitigen Werte im Rezept
Rezept duplizieren | Das Quellrezept legt eine Kopie seiner selbst mit dem Namen des Zielrezeptes an. Der Name des duplizierten Rezeptes wird nicht in der Variable _LASTNEWRECIPE abgelegt. Details zur Konfiguration siehe Abschnitt Rezept duplizieren weiter unten.
Rezept exportieren | Exportiert Rezept. Details zur Konfiguration siehe Abschnitt Rezept exportieren weiter unten.
Rezept importieren | Importiert Rezept aus Datei oder Variable. Details zur Konfiguration siehe Abschnitt Rezept importieren weiter unten.
Diesen Dialog zur Runtime anbieten | Bietet Dialog zur Runtime an, um Einstellungen zu ändern.

Rezept duplizieren

Parameter

Beschreibung

Zielrezept auswählen

Auswahl eines bestehenden Rezeptes, das durch die Daten des Quellrezeptes überschrieben werden soll.

Achtung: Die Daten des Zielrezepts werden dabei überschrieben.

Neues Rezept

(Name generieren)

Ein neues Rezept wird entsprechend der Standardsyntax erstellt. Dabei werden Lücken in der Rezeptreihenfolge automatisch aufgefüllt.

Beispiel: Es existieren bereits Rezept_0 und Rezept_2. Durch das erstmalige Duplizieren wird ein neues Rezept mit dem Namen Rezept_1 angelegt. Beim zweiten Duplizieren ein Rezept mit dem Namen Rezept_3.

Zielrezept aus Variable

Der Name des Zielrezeptes wird aus dem Inhalt einer String-Variablen generiert.

Hinweis: Enthält die Stringvariable des Zielrezepts keinen Text, wird automatisch ein Rezeptname vergeben.

Rezept exportieren

Parameter | Beschreibung
Dateiname automatisch generieren | Dateiname wird automatisch erstellt.
Dateiname vergeben | Klick auf Schaltfläche ... öffnet Explorer zur Auswahl eines Speicherordners und zur Vergabe eines Dateinamens.
Dateiname aus Variable | Der Name der Datei wird aus dem Inhalt einer String-Variablen generiert.

Rezept importieren

Parameter | Beschreibung
Dateiname vergeben | Klick auf Schaltfläche ... öffnet Explorer zur Auswahl eines Speicherordners und Auswahl einer Datei.
Dateiname aus Variable | Rezept wird aus verknüpfter Variable importiert


Statusinformationen bei Rezepten und Rezeptgruppen Manager

Handbuch > Standard-Rezepte > Bedienen zur Runtime > Statusinformationen bei Rezepten und Rezeptgruppen Manager

Während der Runtime werden Statusinformationen zur Verfügung gestellt beim

  • Schreiben/Lesen
  • Exportieren/Importieren
  • Sichern

Wird ein Rezept geschrieben, enthält die Variable das Ergebnis der Schreiboperation.

Werte

Rezept schreiben

Systemtreibervariable: Standard-Rezept/RGM-Rezept fertig abgesetzt

Wert | Ergebnis
0 | Initialisierungswert vor dem Rezept absetzen
1 | Schreiben wurde erfolgreich ausgeführt
2 | Schreiben wurde nicht ausgeführt, da Parameterfehler vorliegt
3 | Schreiben wurde nicht erfolgreich ausgeführt
5 | Schreiben abgebrochen, da Runtime beendet wird
6 | Timeout aufgetreten

Hinweis: Ist die Netzwerkfunktionalität im Projekt aktiv, so ist für die am lokalen Rechner ausgeführte Funktion die Systemtreibervariable Standard-Rezept/RGM-Rezept fertig abgesetzt (local) relevant.

info Info

Unter Schreiben wird das Schreiben auf den Treiber verstanden. Dieser überträgt danach das Rezept zur Steuerung. Das bedeutet:

  • Eigenschaft Synchron schreiben inaktiv: Der Wert 1 für Standard-Rezept/RGM-Rezept fertig abgesetzt bedeutet nicht, dass die Werte auf der Steuerung sind. Sie wurden lediglich auf den Treiber geschrieben.
  • Eigenschaft Synchron schreiben aktiv: Die Wertänderung erfolgt erst, wenn alle Werte auf der Steuerung aktuell sind.

Hinweis: Die Fortschrittsanzeige beim Schreiben wird nur angezeigt, wenn Synchron schreiben aktiviert ist.

Rezept in Abarbeitung

Systemtreibervariable: Standard-Rezept/RGM-Rezept Funktion in Abarbeitung

Wert

Ergebnis

-1

wird ausgeführt

0

Initialisierungswert erfolgreich gelesen

1

Benutzer hat keine Bedienberechtigung

2

keine Berechtigung im Netzwerk

3

abbrechen durch Benutzer

4

Fehler - nicht alles konnte erfolgreich gelesen werden, z. B.:

  • Unterbrechung der Kommunikation zur Hardware vor Beginn des Einlesens
  • ein Datenbaustein ist auf der Steuerung nicht vorhanden
  • Fehler während der Übertragung aufgetreten

5

Fehler beim Speichern der Rezeptdatei

6

Funktion über VBA abgebrochen

Bildtyp-spezifische Funktionen

Beim

  • Lesen (Systemtreibervariable: Standard-Rezept/RGM-Rezept alle Werte fertig gelesen),
  • Exportieren/Importieren und
  • Sichern

eines Rezeptes mittels Bildtyp-spezifischer Funktion stehen folgende Werte zur Verfügung:

Wert

Ergebnis

0

Initialisierungswert wartet auf Antwort vom Treiber

1

erfolgreich gelesen

2

Fehler beim Lesen, Exportieren/Importieren oder Sichern:

  • Unterbrechung der Kommunikation zur Hardware vor Beginn des Einlesens
  • ein Datenbaustein ist auf der Steuerung nicht vorhanden
  • Fehler während der Übertragung aufgetreten


Rezeptgruppen-Manager

Handbuch > Rezeptgruppen-Manager

Zusätzlich zu den Rezepturen bietet der Rezeptgruppen Manager weitere Möglichkeiten:

Tabellarische Layouterstellung (Standardformat oder frei gestaltbares Format mit dem Report Generator), freie Layouterstellung mit Dynamischen Elementen, Rezept über OLE ansprechbar, indirekter Rezeptaufruf (z.B: in Abhängigkeit von einer Variable bei einem Bildaufruf), freie Gruppeneinteilung.

Dateiablage

Bis inklusive Version 7.0 konnte für den RGM als Dateiablage MS Access oder Binäre Daten gewählt werden. Ab Version 7.10 wird im Rezeptgruppen-Manager die MS Access Datenbank nicht mehr unterstüzt. Beim Öffnen eines existierenden Projekts wird die Datenablage automatisch auf Binäre Daten umgestellt. Details dazu finden Sie im Handbuch Projektkonvertierung im Kapitel Rezeptgruppen-Manager Datenbank konvertieren.

Für Versionen vor 7.10 mit aktivierter Datenablage in MS Access beachten Sie:

  • die maximale Textlänge für Rückmeldevariablen beträgt 300 Zeichen
  • im Netzwerk kann die Verwendung von MS Access bei Einsatz von CE-Geräten als Client oder Server zu Fehlverhalten der Runtime führen; es muss das Format Binäre Daten verwendet werden
  • die Verwendung von Unicode Zeichen im Rezeptnamen, die Rezeptgruppe oder ein Kommentar werden nicht unterstützt.

Noch in diesem Kapitel

Projektieren im Editor

Funktionen

Bedienen zur Runtime

Fehlerbehandlung

Beispiele


Projektieren im Editor

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor

Um den RGM zu projektieren, benötigen Sie in der Regel:

  • ein Bild vom Typ Rezeptgruppen-Manager
  • Rezeptgruppen und Rezepte
  • Funktionen für die Bedienung des Rezeptgruppen-Managers zur Runtime

Hinweis zur Namenskonvention: Für Rezepte sind alphanumerische Zeichen erlaubt. Ungültig sind folgende Zeichen (\"'./*?<>!|).

Noch in diesem Kapitel

Kontextmenü Projektmanager

Kontextmenüs Detailansicht

Bild vom Typ Rezeptgruppen-Manager anlegen

Validierung von Rezepten vor dem Absetzen

Anlegen einer Rezeptgruppe

Variablen für Rezeptgruppen

Rezepte zur Rezeptgruppe hinzufügen

Rezeptversion

Rezeptstatus

Liste Status-Bits

Windows CE


Kontextmenü Projektmanager

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Kontextmenü Projektmanager

Menüpunkt | Aktion
Rezeptgruppe neu | Erstellt eine neue Rezeptgruppe in der Liste und öffnet den Namen zur Bearbeitung.
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren | Importiert aus XML-Datei.
Profil | Öffnet Dropdownliste zur Zuweisung eines Editor-Profils.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenüs Detailansicht

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Kontextmenüs Detailansicht

Symbolleiste

Parameter

Beschreibung

Rezeptgruppe neu

Erstellt eine neue Rezeptgruppe in der Liste und öffnet den Namen zur Bearbeitung.

Rezept neu

Erstellt ein neues Rezept in der Liste und öffnet die Zelle mit dem Namen zur Bearbeitung.

Rezept bearbeiten

Öffnet den Dialog mit den Rezepten.

Variablenparameter ändern

Öffnet den Dialog mit den Rezepten.

Standardfunktion erzeugen

Öffnet den Dialog zur Auswahl eines Rezepts und Definition einer Aktion.

Variable hinzufügen

Öffnet den Dialog zur Auswahl von Variablen.

Variable entfernen

Löscht ausgewählte Variable aus der Liste.

Nach oben verschieben

Verschiebt ausgewählte Variable nach oben.

Nach unten verschieben

Verschiebt ausgewählte Variable nach unten.

Duplizieren

Erstellt eine neue Rezeptgruppe mit den Inhalten der ausgewählten Rezeptgruppe und vergibt automatisch einen Namen nach dem Schema: Originalname+0, aus Default10 wird Default100.

Löschen

Löscht ausgewählten Eintrag.

Ausgewählte Rezeptgruppe XML exportieren

Exportiert ausgewählte Rezeptgruppe in XML-Datei.

XML importieren

Importiert Rezepte und Rezeptgruppen aus einer XML-Datei.

Nur für Rezeptgruppen verfügbar.

Regeln für das Einfügen:

  • XML-Datei enthält nur nur Rezepte:
    Rezepte werden zur aktuell ausgewählten Rezeptgruppe hinzugefügt. Die geschieht unabhängig davon, welcher Rezeptgruppe die Rezepte beim Export angehörten.
  • XML-Datei enthält Rezeptgruppen:
    Die Rezeptgruppen werden hinzugefügt. Exisitieren bereits Rezeptgruppen mit gleichem Namen, werden beide Gruppen zusammengeführt. Verknüpfte Variablen werden überschrieben.

ASCII importieren

Importiert aus ASCII-Datei.

Umbenennen

Ermöglicht das Umbenennen des ausgewählten Objekts.

Hilfe

Öffnet Online-Hilfe.

Kontextmenü Rezeptgruppen

Menüpunkt

Aktion

Rezeptgruppe neu

Erstellt eine neue Rezeptgruppe in der Liste und öffnet den Namen zur Bearbeitung.

Alle als XML exportieren...

Exportiert alle Einträge in XML-Datei.

XML importieren

Importiert Rezepte und Rezeptgruppen aus einer XML-Datei.

Regeln für das Einfügen:

  • XML-Datei enthält nur nur Rezepte:
    Rezepte werden zur aktuell ausgewählten Rezeptgruppe hinzugefügt. Die geschieht unabhängig davon, welcher Rezeptgruppe die Rezepte beim Export angehörten.
  • XML-Datei enthält Rezeptgruppen:
    Die Rezeptgruppen werden hinzugefügt. Exisitieren bereits Rezeptgruppen mit gleichem Namen, werden beide Gruppen zusammengeführt. Verknüpfte Variablen werden überschrieben.

Hilfe

Öffnet die Online-Hilfe.

Kontextmenü ausgewählte Rezeptgruppe

Menüpunkt

Aktion

Duplizieren

Erstellt eine neue Rezeptgruppe mit den Inhalten der ausgewählten Rezeptgruppe und vergibt automatisch einen Namen nach dem Schema Originalname+[fortlaufende Nummer]:
aus Default10 wird Default100, beim erneuten Duplizieren Default101 ...

Hinweis: Mit der Gruppe verknüpfte Rezeptvariablen können beim Duplizieren der Rezeptgruppe regelbasiert ersetzt werden.

Löschen

Löscht die ausgewählte Rezeptgruppe nach einer Sicherheitsabfrage.

Anlagengruppen...

Öffnet Dialog zur Auswahl einer Anlagengruppe.

Ausgewählte Rezeptgruppe XML exportieren

Exportiert ausgewählte Rezeptgruppe in XML-Datei.

XML importieren

Importiert Rezepte und Rezeptgruppen aus einer XML-Datei.

Regeln für das Einfügen:

  • XML-Datei enthält nur nur Rezepte:
    Rezepte werden zur aktuell ausgewählten Rezeptgruppe hinzugefügt. Die geschieht unabhängig davon, welcher Rezeptgruppe die Rezepte beim Export angehörten.
  • XML-Datei enthält Rezeptgruppen:
    Die Rezeptgruppen werden hinzugefügt. Exisitieren bereits Rezeptgruppen mit gleichem Namen, werden beide Gruppen zusammengeführt. Verknüpfte Variablen werden überschrieben.

Umbenennen

Öffnet die Zelle mit dem Namen der Rezeptgruppe zur Bearbeitung.

Hilfe

Öffnet die Online-Hilfe.

Kontextmenü Variable

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Variablenparameter ändern | Öffnet den Dialog mit den Rezepten.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü ausgewählte Variable

Menüpunkt | Aktion
Variable entfernen | Löscht Variable aus Liste.
Nach oben verschieben | Verschiebt Variable in Liste um einen Platz nach oben.
Nach unten verschieben | Verschiebt Variable in Liste um einen Platz nach unten.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Rezepte

Menüpunkt | Aktion
Rezept neu | Erstellt ein neues Rezept in der Liste und öffnet die Zelle mit dem Namen zur Bearbeitung.
ASCII importieren | Importiert aus ASCII-Datei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü ausgewähltes Rezept

Menüpunkt

Aktion

Rezept bearbeiten

Öffnet den Dialog mit den Rezepten.

Neue Rezeptversion anlegen

Erstellt eine neue Version des Rezepts.

Standardfunktion erzeugen

Öffnet den Dialog zur Auswahl eines Rezepts und Definition einer Aktion.

Duplizieren als Rezeptversion

Erstellt eine neue Version des ausgewählten Rezepts.

Duplizieren

Erstellt ein neues Rezept mit den Inhalten des ausgewählten Rezepts und vergibt automatisch einen Namen nach dem Schema Originalname+[fortlaufende Nummer]:
aus Default10 wird Default100, beim erneuten Duplizieren Default101 ...

Hinweis: Quellvariablen für den Aktionstyp Verknüpfen mit Variable können beim Duplizieren des Rezepts ersetzt werden.

Löschen

Löscht das ausgewählte Rezept nach einer Sicherheitsabfrage.

Ausgewähltes Rezept als XML exportieren

Exportiert ausgewähltes Rezept in XML-Datei.

Umbenennen

Öffnet die Zelle mit dem Namen des Rezepts zur Bearbeitung.

Hilfe

Öffnet die Online-Hilfe.


Bild vom Typ Rezeptgruppen-Manager anlegen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Bild vom Typ Rezeptgruppen-Manager anlegen

Mit der Verwendung eines Bildes für den Rezeptgruppen-Manager werden Rezepte zur Runtime einzeln und gruppiert verwaltet.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Rezeptgruppen-Manager.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

info Info

Beim Lesen, Exportieren, Importieren und Speichern von Rezepten zur Runtime informiert eine Fortschrittsanzeige über den Verlauf der Aktion. Details siehe Kapitel Anlegen von Systemvariablen für Standard Rezepte und Rezeptgruppen-Manager

info Info

Ein Dezimalwert kann sowohl mit Komma als auch mit Punkt angegeben werden, das Dezimalzeichen wird automatisch in einen Punkt umgewandelt.

Noch in diesem Kapitel

Kontrollelemente

Aussehen der Rezeptliste


Kontrollelemente

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Bild vom Typ Rezeptgruppen-Manager anlegen > Kontrollelemente

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Information

Informationen zu Rezepten, Benutzer und Änderungen.

Kontrollelement

Beschreibung

Rezeptgruppen-Name

Name der aktuell ausgewählten Rezeptgruppe.

Rezeptliste

Stellt alle Rezepte/Rezeptversionen als Liste dar. Auswahl beinhaltet nur Rezepte, die beim Aufschalten des Bildes im Rezeptfilter der Funktion Bildumschaltung enthalten sind.

Zur Runtime kann jeweils ein Eintrag ausgewählt werden. Das ausgewählte Rezept wird im Bild dargestellt und kann bearbeitet werden.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Werden auch die Kontrollelemente Rezeptname und/oder Rezeptversion verwendet, wird die Auswahl immer synchronisiert. Wird die Auswahl im Kontrollelement geändert, ändert sich auch die Auswahl in der Liste und umgekehrt. Sollte ein Filterkriterium den gewählten Eintrag in der Liste ausschließen, wird in der Liste nichts ausgewählt.

Hinweise:

  • Neue Rezepte werden unabhängig von den Filterkriterien unten an die Liste angefügt.
  • Änderungen der Rezeptdaten werden erst nach dem Speichern des Rezepts dargestellt.
  • Bei den Listeninhalten sind sprachumschaltbar:
    - Überschriften in der Kopfzeile
    - Texte der Kommentare
    - Text des Rezeptstatus

Spaltenauswahl (Rezeptliste)

Öffnet den Dialog zur Auswahl der anzuzeigenden Spalten.

Spaltenformat (Rezeptliste)

Öffnet den Dialog zur Formatierung der Spalten.

Rezeptname

Dropdownliste mit Rezeptnamen zur Auswahl des anzuzeigenden Rezepts.

Rezeptversion

Legt eine Dropdownliste an, die zur Runtime alle Versionsnummern des gewählten Rezeptes beinhaltet.

Rezeptstatus

Legt eine Dropdownliste an, die zur Runtime alle projektierten Status enthält. Der aktuelle Status der gewählten Rezeptversion wird angezeigt.

Zur Runtime kann der Status hier geändert werden. Er wird erst mit dem Speichern des Rezepts übernommen.

Tipp: Mit dem VBA Event StatusChange kann die Änderung des Status zur Runtime überwacht oder abgebrochen werden.

Rezeptwerttabelle

Darstellung des ausgewählten Rezepts in tabellarischer Form. Die Tabelle ist zur Runtime direkt konfigurierbar.

Hinweis: Steht unter Windows CE nicht zur Verfügung. Wird dort durch die Rezeptwerttabelle (veraltet) ersetzt.

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Spaltenauswahl (Rezeptwerttabelle)

Öffnet den Dialog zur Auswahl der anzuzeigenden Spalten.

Steht für Rezeptwerttabelle CE nicht zur Verfügung.

Spaltenformat (Rezeptwerttabelle)

Öffnet den Dialog zur Formatierung der Spalten.

Steht für Rezeptwerttabelle CE nicht zur Verfügung.

Rezeptwerttabelle CE

Darstellung des ausgewählten Rezepts in fester tabellarischer Form. Ersetzt unter Windows CE die Rezeptwerttabelle.

Rezeptfilter

Dropdownliste mit Rezeptfilter.

Benutzername

Name des Anwenders, der das aktuelle Rezept zuletzt geändert hat.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Letzte Änderungszeit

Datum und Uhrzeit der letzten Änderung des aktuellen Rezepts.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Absetzfortschritt

Grafische Anzeige der Dauer des Absetzens der Rezepte.

Bearbeiten

Kontrollelemente zum Bearbeiten der Informationen.

Kontrollelement

Beschreibung

Filter

Filteroptionen für das Rezept-Fenster festlegen.

Benutzen Sie die Dropdownliste in der Runtime, um die dargestellten Variablen nach den zuvor festgelegten Filtertexten zu filtern.

Ausgewählte Werte lesen

Die Werte der in der Tabelle ausgewählten Variablen werden von der Steuerung eingelesen und in die Tabelle eingetragen. Die Änderungen müssen dann noch gespeichert werden!

Ausgewählte Werte absetzen

Die Werte der in der Tabelle ausgewählten Variablen werden so wie in der Tabelle dargestellt in die Steuerung geschrieben.

Alle Werte lesen

Die Werte aller im ausgewählten Rezept vorkommenden Variablen werden von der Steuerung eingelesen und in das Rezept eingetragen. Die Änderungen müssen dann noch gespeichert werden!

Alle Werte lesen & speichern

Werte aus der Steuerung direkt in das Rezept schreiben und sofort speichern.

Alle Werte absetzen

Die Werte aller im ausgewählten Rezept vorkommenden Variablen werden so wie in der Tabelle dargestellt in die Steuerung geschrieben.

Alle Werte ++

Alle Werte des ausgewählten Rezepts werden um 1 erhöht.

Alle Werte --

Alle Werte des ausgewählten Rezepts werden um 1 verringert.

Alle Werte % ändern

Beim Drücken des Buttons zur Runtime werden alle Werte des ausgewählten Rezepts um den im Editfenster Werte % ändern angegebenen Prozentwert geändert, abhängig vom Vorzeichen:

  • Vorzeichen plus (+): Wert wird entsprechend erhöht
    Bsp: +20% -> 100 wird zu 120
  • Vorzeichen minus (-): Wert wird entsprechend verringert
    Bsp: -20% -> 100 wird zu 80
  • kein Vorzeichen: Prozentwert des aktuellen Werts wird neuer Wert
    Bsp: 20% -> 100 wird zu 20

% (Eingabefeld)

Alle Werte des ausgewählten Rezepts werden um den hier angegebenen Prozentwert erhöht (+) oder verringert (-), sobald der Button Wert alle % ändern gedrückt wird.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Alle Werte per Formel ändern

Alle Werte des ausgewählten Rezepts werden durch die im Feld Formel angegebene mathematische Funktion verändert.

Es kann exakt eine Operation durchgeführt werden. Diese wirkt sich auf alle numerischen Variablen aus.

Möglich sind Addition (+), Subtraktion (-), Multiplikation (*) und Diversion (/).

Der Wert im Rezept entspricht dem linken Operanden, der Benutzer legt im Feld Formel die Operation und den rechten Operanden fest.
Das heißt: $NeuerWert = $Aktuellerwert $Feld Formel.
$Feld Formel muss den Operator enthalten.

Beispiel:

  • Eintrag in Feld Formel: +100
  • Ergebnis: Alle Werte werden um 100 erhöht.

Achtung: Es darf nur ein Operator eingetragen werden. Mehrere Operatoren führen zu unvorhergesehenen Ergebnissen. Zum Beispiel würde der Eintrag /250+5 alle Werte um 2505 erhöhen.

Formel (Eingabefeld)

Mathematische Funktion, durch die der Wert aller Variablen im aktuellen Rezept verändert werden soll, sobald der Button Alle Werte per Formel ändern gedrückt wird.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Tabelle drucken

Druckt die Tabelle am definierten Drucker aus.

Nur für Rezeptwerttabelle CE verfügbar.
Der Druck für die Rezeptwerttabelle kann über den Report Viewer erfolgen.

Export/Import

Kontrollelemente für den Export und Import.

Kontrollelement | Beschreibung
Rezeptgruppe exportieren (XML) | Exportiert Rezeptgruppe in eine XML-Datei.
Rezept exportieren (TXT) | Exportiert aktuelles Rezept in eine TXT-Datei-
Rezept importieren (TXT) | Importiert aktuelles Rezept aus einer TXT-Datei.
Rezept exportieren (XML) | Exportiert aktuelles Rezept in eine XML-Datei.
Rezept importieren (XML) | Importiert Rezept oder Rezeptgruppe aus einer XML-Datei. Falls die Datei über einzelne Rezepte verfügt, muss für den Import eine Rezeptgruppe ausgewählt sein.

Rezept Verwaltung

Kontrollelemente zur Rezeptverwaltung.

Kontrollelement

Beschreibung

Rezept neu

Ein neues Rezept erstellen.

Rezept umbenennen

Das aktuelle Rezept umbenennen.

Rezept speichern

Das aktuelle Rezept unter dem gleichen Namen speichern.

Rezept speichern unter

Das aktuelle Rezept unter einem anderen Namen speichern. Das neue Rezept enthält nur die im Originalrezept gespeicherten Eigenschaften.

Rezept löschen

Das aktuelle Rezept löschen.

Rezeptversion neu

Erstellt eine neue Version des Rezepts. Die Werte der neu angelegten Rezeptversion werden mit den Ersatzwerten belegt.

Tipp: Mit dem VBA Event VersionCreate kann diese Aktion überprüft werden.

Rezeptversion duplizieren

Dupliziert ausgewählte Rezeptversion. Es wird eine neue Version angelegt und die Rezeptwerte werden mit den Werten der zuvor gewählten Version belegt.

Tipp: Mit dem VBA Event VersionDuplicate kann diese Aktion überprüft werden.

Rezeptversion duplizieren und lesen

Dupliziert ausgewählte Rezeptversion und liest sie anschließend ein.

Zuerst wird eine neue Version des gewählten Rezepts angelegt. Die Rezeptwerte werden mit den Werten der gewählten Version belegt. Anschließend werden die Werte für die neue Version von der Steuerung eingelesen.

Tipp: Mit dem VBA Event VersionDuplicateRead kann diese Aktion überprüft werden.

Rezeptversion löschen

Löscht ausgewählte Rezeptversion. Ist die gewählte Rezeptversion die letzte verbliebene Version dieses Rezepts, wird damit das gesamte Rezept gelöscht.

Tipp: Mit dem VBA Event VersionDelete kann diese Aktion überprüft werden.

Rezeptstatus:
Status 1 - 10 setzen

Setzt einen von 10 möglichen Status.

Die Funktion setzt den Statuswert (1 - 10) auf das momentan im Bild gewählte Rezept. Um den Status für das Rezept zu übernehmen muss das Rezept anschließend gespeichert werden.

Es werden nur Status gesetzt, die auch im RGM projektiert wurden. Wird ein Statuswert, der nicht zur Verfügung steht, wird die Systemtreibervariable für RGM-Rezept Funktion in Abarbeitung auf Fehler gesetzt und ein CEL Eintrag generiert.

Hinweis: Der mit diesem Button gewählte Status wird in der Dropdownliste Rezeptstatus angezeigt. Die Liste der Rezepte zeigt dagegen immer den Zustand des Rezeptes so wie in der Datenablage an. Erst nach dem Speichern ist die Änderung des Status wirklich übernommen und wird dann in derListe der Rezepte angezeigt.

Rezeptwerte prüfen

Zum Prüfen der Rezeptwerte werden alle mit dem Rezept verknüpften Variablen eingelesen und die Momentanwerte mit den Rezeptwerten verglichen.
Die Ergebnisse werden in der Spalte Istwert farblich dargestellt:

  • Grün: Ergebnisse stimmen überein.
  • Rot: Es gibt Abweichungen.
  • Violett: Keine Verbindung zur SPS.

Achtung: Die Funktion des Kontrollelements verwendet beim Abgleich mit der SPS Nachkommastellen. Wird bei Variablen mit dem Datentyp REAL die Eigenschaft Nachkommastellen nicht analog den Einstellungen der Steuerung konfiguriert und unterscheiden sich die Werte im Nachkommabereich, zeigt die Funktion abweichende Werte an.

Rezeptgruppe

Kontrollelemente für die Rezeptgruppe.

Kontrollelement | Beschreibung
Rezeptgruppe neu | Eine neue Rezeptgruppe erstellen.
Rezeptgruppe bearbeiten | Neue Variablen zur Rezeptgruppe hinzufügen.
Rezeptgruppe umbenennen | Die aktuelle Rezeptgruppe umbenennen.
Rezeptgruppe speichern | Die aktuelle Rezeptgruppe unter dem gleichen Namen speichern.
Rezeptgruppe speichern unter | Die aktuelle Rezeptgruppe unter anderem Namen abspeichern.
Rezeptgruppe löschen | Die aktuelle Rezeptgruppe löschen.

Kommentar

Kontrollelemente für Kommentare.

Kontrollelement

Beschreibung

Kommentar 1 - 8

Kommentarzeilen zum aktuellen Rezept.

Bis zu 8 Kommentare sind möglich.

Die Kommentarfelder verfügen über eine Eigenschaft Text/Anzeigetext übersetzen.

Kommentarfelder werden auch beim XML-Export geschrieben und beim Import gelesen.

In VBA können die Kommentarfelder über die DynProperties (Name „Commentn", n=1 bis 8) im „Recipes" Objekt gelesen und geschrieben werden.

Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Navigation Rezeptliste

Kontrollelemente zur Navigation in einer Rezeptliste.

Kontrollelement | Beschreibung
Vorherige Rezeptgruppe | Eine Rezeptgruppe rückwärts blättern.
Nächste Rezeptgruppe | Eine Rezeptgruppe vorwärts blättern.
Erste Rezeptgruppen | Zur ersten Rezeptgruppe blättern.
Letzte Rezeptgruppen | Zur letzten Rezeptgruppe blättern.
Vorheriges Rezept | Ein Rezept in der aktuellen Rezeptgruppe rückwärts blättern.
Nächstes Rezept | Ein Rezept in der aktuellen Rezeptgruppe vorwärts blättern.
Erstes Rezept | Zum ersten Rezept in der aktuellen Rezeptgruppe blättern.
Letztes Rezept | Zum letzten Rezept in der aktuellen Rezeptgruppe blättern.
Rezeptnummer | Zum Rezept mit eingegebener Nummer blättern. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.
Suche Rezept Nummer | Das erste Rezept mit der im Editfenster Quell Rezept Nummer angegebenen Nummer suchen und anzeigen.
Vorherige Version | Zur vorigen Version.
Nächste Version | Zur nächsten Version.
Erste Version | Zur ersten Version.
Letzte Version | Zur letzten Version.

Navigation Rezeptwerttabelle CE

Kontrollelemente zur Navigation in einer CE Rezeptwerttabelle.

Kontrollelement | Beschreibung
Zeile nach oben | In der Tabelle eine Zeile aufwärts blättern.
Zeile nach unten | In der Tabelle eine Zeile abwärts blättern.
Spalte rechts | In der Tabelle eine Spalte nach rechts blättern.
Spalte links | In der Tabelle eine Spalte nach links blättern.
Seite nach oben | In der Tabelle eine Seite aufwärts blättern.
Seite nach unten | In der Tabelle eine Seite abwärts blättern.
Seite nach rechts | In der Tabelle eine Seite nach rechts blättern.
Seite nach links | In der Tabelle eine Seite nach links blättern.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Information | Kompatible Kontrollelemente der Gruppe Information.
Benutzername | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Letzte Änderungszeit | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Bearbeiten | Kompatible Kontrollelemente der Gruppe Bearbeiten.
% (Eingabefeld) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Formel (Eingabefeld) | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Kommentar | Kompatible Kontrollelemente der Gruppe Kommentar.
Kommentar 1 - 8 | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.
Navigation Rezeptliste | Kompatible Kontrollelemente der Gruppe Navigation Rezeptliste.
Rezeptnummer | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.

Hinweis: Für Kontrollelemente vom Typ Dynamischer Text oder Schalter wird die jeweilige Funktionalität über die Eigenschaft Bildtyp-spezifische Aktion zugewiesen.


Aussehen der Rezeptliste

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Bild vom Typ Rezeptgruppen-Manager anlegen > Aussehen der Rezeptliste

Die tabellarischen Darstellung der Rezeptliste kann an individuelle Vorgaben angepasst werden:

Spalteneinstellungen

Die Spalteneinstellungen für die Darstellung zur Runtime werden bei der Konfiguration der Bildumschaltung eingestellt. Details siehe Abschnitt Spalteneinstellungen Rezeptliste.

Bildlaufleisten

Um Größe und Aussehen von Bildlaufleistens für die Tabelle zu definieren:

  1. aktivieren Sie in der Gruppe Darstellung die Eigenschaft Erweiterte grafische Einstellungen
  2. definieren Sie die gewünschten Eigenschaften in den Gruppen Bildlaufleisten und Kopfzeile und Raster

info Info

Wird für die Eigenschaft Anzeigestil Grafikdateien gewählt, dann werden alle Elemente, für die keine Grafikdatei ausgewählt wird, mit einem Farbverlauf dargestellt. Bei Steuerelementen für Listen können keine transparenten Grafiken verwendet werden.

Zeilenhöhe

Über die Eigenschaft Darstellung/Zeilenhöhe [Pixel] kann die Zeilenhöhe unabhängig von der Schriftgröße definiert werden.

Der Defaultwert ist 0 Pixel. Damit wird die Zeilenhöhe abhängig von der Schriftgröße eingestellt. Jeder Wert über 0 legt einen fixen Wert in Pixel für die Zeilenhöhe fest. Wird eine Zeilenhöhe festgelegt, dann werden grafische Darstellungen wie nicht entsprechend der Zeilenhöhe, sondern angepasst an die Fontgröße skaliert.

Achtung: Wird die Zeilenhöhe:

  • zu groß gewählt, dann wird unter umständen zur Runtime nichts angezeigt.
  • kleiner als die Fontgröße gewählt, dann werden grafische Darstellungen abgeschnitten.

Vorschau

Mit Aktivierung der Eigenschaft Darstellung/Erweiterte grafische Einstellungen werden im Editor die Kopfzeile und die Bildlaufleisten als Vorschau angezeigt.So lassen sich Details wie Farben, Fülleffekte, Lichteffekte oder Raster einfacher projektieren.

Achtung: Da die Größe der Bildlaufleisten in der Vorschau der Größe zur Runtime entspricht, kann die gesamte Größe der Liste im Editor von der Größe zur Runtime abweichen. Das gilt auch für die Größe der Kopfzeile und die Schrift der Kopfzeile.


Validierung von Rezepten vor dem Absetzen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Validierung von Rezepten vor dem Absetzen

Rezepte des Rezeptgruppen-Managers werden vor dem Absetzen validiert. Dabei wird geprüft, ob sich alle Werte im Rezept in einem gültigen Wertebereich befinden.

Rezeptwerte können sich außerhalb des gültigen Wertebereichs befinden durch:

  • XML-Import einer manipulierten Datei
  • Verwendung der Aktion Verknüpfen mit Variable mit einer Variable, die einen anderen Wertebereich als die Rezeptvariable hat

Die Validierung kann über die Eigenschaft Ungültige Rezepte über Funktion absetzbar in der Gruppe Rezeptgruppen-Manager deaktiviert werden.

Die Valididierung wird durchgeführt beim Absetzen von Rezepten über:

  • die Rezeptgruppen-Manager Funktion Rezept absetzen
  • die Kontrollelemente Alle Werte absetzen und Selektierte Werte absetzen
  • die API

Sobald sich ein Wert außerhalb des gültigen Wertebereichs befindet, wird das Rezept nicht abgesetzt.

Dabei werden:

  • ein CEL Eintrag mit einer entsprechenden Information erstellt
  • der Wert der RGM-spezifischen Systemtreibervariablen
    • [Rezepte: Standard und RGM] RGM zuletzt abgesetztes Rezept - Rezeptstatus (lokal)
    • [Rezepte: Standard und RGM] RGM zuletzt abgesetztes Rezept - Rezeptstatus (global)

    auf 8 gesetzt

attention Achtung

Die Funktionalität ist nicht zu verwechseln mit der Funktion Rezeptwerte prüfen, welche die aktuellen Werte mit den Werten im Rezept vergleicht, nicht jedoch den Wertebereich.


Anlegen einer Rezeptgruppe

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Anlegen einer Rezeptgruppe

Um eine neue Rezeptgruppe anzulegen:

  1. Wählen Sie im Kontextmenü des Knotens Rezepte/Rezeptgruppen-Manager oder in der Detailansicht den Befehl Rezeptgruppe neu.
  2. Es wird eine neue Rezeptgruppe mit Standardname erstellt. Der Name ist für die weitere Bearbeitung bereits markiert.
    Achtung: Soll die Rezeptgruppe als Binärdatei verwendet werden, darf der Name nur alphanumerische Zeichen enthalten.
  3. Zu jeder Rezeptgruppe müssen Variablen und Rezepte hinzugefügt werden.
    Hinweis: Zu einer Rezeptgruppe können maximal 32.000 Variablen hinzugefügt werden.


Variablen für Rezeptgruppen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Variablen für Rezeptgruppen

Eine Rezeptgruppe besteht aus den zugeordneten Prozessvariablen und den angelegten Rezepten. Alle in den Rezepten benötigten Prozessvariablen müssen zuerst im Untermenü Variable über das Kontextmenü eingefügt werden.

Um Variablen anzulegen:

  1. Führen Sie einen Rechtsklick auf Variable aus.
  2. Wählen Sie im Kontextmenü den Befehl Variable einfügen.
  3. Der Dialog zur Auswahl mehrere Variablen wird geöffnet.
  4. Wählen sie die gewünschten Variablen aus.
    Hinweis: Es können auch Variablen aus anderen geladenen Projekten ausgewählt werden. Stellen Sie sicher, dass diese Projekte auch zur Runtime zur Verfügung stehen. Insgesamt können maximal 32.000 Variablen pro Rezeptgruppe konfiguriert werden.
  5. Schließen Sie die Konfiguration mit Klick auf die Schaltfläche OK ab.

Für die einzelnen Variablen kann eine für die entsprechende Rezeptgruppe geltende Einschränkung über Minimal- und Maximalwert projektiert werden.

info Info

Der Archivfüllwert wird als Default verwendet:

  • für Variablen neuer Rezepte
  • beim Hinzufügen von Variablen zu einer Rezeptgruppe in neuen Rezepten

info Info

Als Dezimaltrenner kann sowohl Komma als Punkt verwendet werden. Das Dezimaltrennzeichen wird automatisch in einen Punkt umgewandelt.

Variablen sortieren

Im Rezeptgruppen Manager können Sie die Variablen beliebig sortieren:

Markieren Sie die Variable, deren Reihenfolge geändert werden soll und wählen Sie eine der folgenden Aktionen:

- im Kontextmenü Nach oben oder Nach unten wählen
- verschieben Sie die Variablen per Drag&Drop

Alternativ können Sie die Variablen auch im Variablenauswahldialog mit den Pfeiltasten am rechten unteren Rand verschieben.

Variablen entfernen

Um Variablen zu entfernen:

  1. markieren Sie die gewünschten Variablen
    (Multiselekt ist möglich)
  2. führen Sie einen Rechtsklick auf die markierten Variablen aus
  3. wählen Sie im Kontextmenü den Befehl Variable entfernen
  4. die Variablen werden nach einer Sicherheitsabfrage entfernt
    Hinweis: Die Variablen werden nur aus der Rezeptgruppe entfernt, bleiben aber im Projekt erhalten.

Noch in diesem Kapitel

Variablenparameter ändern

Rückmeldevariablen


Variablenparameter ändern

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Variablen für Rezeptgruppen > Variablenparameter ändern

Im Kontextmenü von Variable den Menüpunkt Variablenparameter ändern wählen.

Im folgenden Dialog nehmen Sie mehrere Einstellungen vor.

Die Signatur betreffende Einstellungen können Sie für die jeweilige Variable auch in den Variableneigenschaften in der Eigenschaftengruppe Signatur vornehmen.

Parameter

Beschreibung

Variablenname

In dieser Spalte sind alle Variablen, die in dieser Rezeptgruppe verwendet werden, aufgeführt.

min. Wert

Definieren Sie den minimalen Wert, den die Variable annehmen kann.

Hinweis: Binärvariablen haben als Minimalwert 0. Dieser Wert kann nicht geändert werden.

max. Wert

Definieren Sie den maximalen Wert, den die Variable annehmen kann.

Hinweis: Binärvariablen haben als max. Wert 1. Dieser Wert kann nicht geändert werden.

Sollwertgrenzen von Variablen

Berücksichtigung der Sollwertgrenzen von Variablen.

Verriegelung

Wählen Sie über die Combobox die gewünschte Verriegelung. (Siehe Verriegelung und Sichtbarkeit)

Sichtbarkeit

Wählen Sie eine passende Variable über Rechtsklick und Auswahl des Kontextmenüeintrags Variablenauswahl. Alternativ geben Sie den Namen der gewünschten Variablen direkt ein. (Siehe Verriegelung und Sichtbarkeit)

Filter

Geben Sie einen Filtertext ein. (Siehe Filter.)

Keyboard

In dieser Spalte können Sie für jede Variable ein Bild vom Typ Keyboard verknüpfen. Wählen Sie ein passendes Bild über Rechtsklick und Auswahl des Kontextmenüeintrags Bildauswahl. Alternativ geben Sie den Namen des gewünschten Bildes direkt ein.

In der Runtime wird bei Linksklick auf den Wert der Variable das verknüpfte Keyboard-Bild aufgeschaltet. Eine direkte Eingabe ist nicht mehr möglich. Nachdem Sie das Keyboard-Bild mit OK verlassen, wird der neue Wert in der Rezeptwerttabelle eingetragen. Außerdem steht Ihnen die Bild-Funktion Sollwertvorgabe zur Verfügung. Sie ermöglicht durch einen Klick die Übergabe eines zuvor definierten Sollwertes.

Grafische Rezeptvariable

Verknüpfung einer Grafischen Rezeptvariablen.

Signatur erforderlich

Legt fest, ob angegeben werden muss, warum die Wertänderung erfolgt.

Folgende Möglichkeiten stehen zur Auswahl:

  • Ja
  • Nein

Signaturtext

Kann bereits vordefiniert werden oder abhängig von der Eigenschaft Signatur editierbar frei eingegeben werden.

Signatur editierbar

Folgende Möglichkeiten stehen zur Auswahl:

  • Projekteinstellungen übernehmen
  • Ja
  • Nein

Bei der Auswahl von:

  • Projekteinstellungen übernehmen: Übernimmt die Einstellung, die in den Projekteigenschaften unter Benutzerverwaltung,Login und Signatur für die Eigenschaft Signaturtext editierbar getroffen wurde.
  • Ja: Signaturtext wird vorgeschlagen, kann aber geändert werden.
  • Nein: Signaturtext wird verwendet.

Diese Einstellungen können auch für einzelne Variablen einer Rezeptgruppe in den Variableneigenschaften unter Signatur vorgenommen werden.

info Info

Sichtbarkeit von Variablen steuern

Um die Sichtbarkeit und Bedienung von Variablen zu steuern, stehen Ihnen zur Verfügung:

  • Filter: definiert Begriffe, nach denen die Variablen gefiltert werden können. Variablen, die nicht in den Filter passen, werden nicht angezeigt. Filter werden vom Benutzer gesteuert.
  • Sichtbarkeit: steuert die Anzeige der Variablen in der Liste über den Grenzwert einer Variablen. Variablen, die auf "nicht sichtbar" gesetzt wurden, werden nicht angezeigt. Sichtbarkeit wird vom Prozess gesteuert.
  • Berechtigungen: definiert, mit welcher Berechtigung eine Variable bedient werden kann. Variablen, für die der Nutzer keine Berechtigung hat, werden zwar angezeigt, können. aber nicht bedient werden. Berechtigungen werden vom Projekteur und vom Administrator gesteuert.

Noch in diesem Kapitel

Verriegelung und Sichtbarkeit

Filter


Verriegelung und Sichtbarkeit

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Variablen für Rezeptgruppen > Variablenparameter ändern > Verriegelung und Sichtbarkeit

Sowohl über Verriegelung als auch über Sichtbarkeit ist es möglich, Benutzern den Zugriff auf bestimmte Bereiche der Rezepttabelle zu verwehren. Der Unterschied besteht darin, dass bei der Verriegelung die entsprechenden Bereiche ausgegraut und bei der Sichtbarkeit gar nicht dargestellt werden.

Verriegelung

In der Spalte oder über die Eigenschaft Verriegelung ordnen Sie jeder Variablen eine Verriegelung zu. Wählen Sie die gewünschte Verriegelung aus der Dropdownliste aus. Zusätzliche Verriegelungen können im Modul Verriegelungen projektiert werden.

In der Runtime wird die Zeile, je nach Zustand der Verriegelung, standardmäßig normal oder gegraut dargestellt. Die Farben für Text und Hintergrund können über die Eigenschaften des RGM (Gruppe Farben/Verriegelung) individuell definiert werden.

Mehr zum Thema finden Sie im Kapitel Verriegelung.

info Info

Darstellung mit Reportfunktionen des Report Generator:

In der Runtime sind die Namen der Verriegelung nicht verfügbar. Dies führt dazu, dass Verriegelungs-IDs in der Rezepttabelle nur dargestellt werden, wenn die Verriegelung mithilfe der Funktionen recipew oder recipef dargestellt werden.

VBA und XML-Import

Beim XML-Import von Verriegelungen gilt:

  • Name der Verriegelung existiert im Projekt:
    Verriegelung bei der Rezeptvariable aus der Importdatei ersetzt die vorhandene bei der Rezeptvariable konfigurierte Verriegelung.
  • Name der Verriegelung existiert nicht im Projekt:
    Die Verriegelung wird entfernt.
    Über einen leeren String in der Importdatei können damit Verriegelungen welche bei der Rezeptvariable konfiguriert sind, als Parameter bei der Rezeptvariable entfernt werden.

Dies gilt analog auch für das Bearbeiten von Rezeptvariablen über VBA.

Sichtbarkeit

In der Spalte Sichtbarkeit orden Sie jeder Variablen eine Sichtbarkeitsvariable zu. Dazu:

  1. führen Sie einen Rechtsklick in die Zelle aus und wählen die Variable, die die Sichtbarkeit steuern soll oder tragen deren Namen direkt in die Zelle ein
  2. legen Sie für die Variable einen Grenzwert fest

Sobald die steuernde Variable den festgelegten Grenzwert überschreitet, wird die zugeordnete Variable in der Rezepttabelle ausgeblendet.

info Info

Die Rezeptwerttabelle CE wird nach jeder Änderung eines zugeordneten Zustands neu erstellt. Achten Sie beim Projektieren darauf, dass durch zu häufige Zustandswechsel Perfomanceprobleme bei der Bedienung auftreten können.

Das gilt nicht für die Rezeptwerttabelle. Diese bearbeitet nur Einträge, die sich geändert haben.


Filter

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Variablen für Rezeptgruppen > Variablenparameter ändern > Filter

Filter ermöglichen auf Anwenderebene Rezepte auszublenden.

Filter werden definiert über die Eigenschaft Filter bei den Variablen in der Detailansicht des RGM. Der Variablen wird ein frei wählbarer Filterbegriff zugeordnet. Dieser Filtertext wird benutzt, um die Ansicht im Bild vom Typ Rezeptgruppen-Manager einzuschränken. Dieser Filter kann gesetzt werden:

  • zur Runtime im Bild Rezeptgruppen-Manager über die Dropdownliste Rezeptfilter
  • bei der Bildumschaltung auf das Bild Rezeptgruppen-Manager

Wenn kein Filter explizit ausgewählt wurde, werden alle Variablen dargestellt, die nicht auf unsichtbar gesetzt sind.

info Info

Die Filterung bezieht sich nur auf die Darstellung in der Rezeptwerttabelle. Wird ein Rezept z. B. abgesetzt, werden alle Werte des Rezepts geschrieben.


Rückmeldevariablen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Variablen für Rezeptgruppen > Rückmeldevariablen

Mit jeder Rezeptgruppe können Variablen verknüpft werden, die für die Aktionen Schreiben, Lesen, Prüfen und XML-Import mit den Rezeptdaten belegt werden. Diese RGM-spezifischen Rückmeldevariablen verhalten sich wie die globalen Systemtreibervariablen, werden aber einzelnen Rezeptgruppen zugeordnet. Damit können mehrere Rezeptgruppen parallel ausgewertet werden.

Es können beliebig viele Variablen verknüpft werden.
Hinweis für Versionen vor zenon 7.10 SP0: Wurde die Eigenschaft DataSource auf MS ACcess gesetzt, beträgt die Textlänge maximal 300 Zeichen. Ab Version 7.10 wird automatisch die binäre Dateiablage verwendet.

Folgende Rezeptdaten können auf Variablen gesetzt werden:

  • Rezeptname
  • Rezeptnummer
  • Rezeptversion
  • Rezeptstatus als Text
    (in der Form „1 - Text", wobei der wobei der Text nicht übersetzt wird, was aber über das Anzeigeelement gelöst werden kann)
  • Rezeptstatus als Nummer
  • Bedienberechtigungsebene des Rezeptes
  • Zeit der letzten Änderung
  • Bediener der letzten Änderung
  • Kommentare 1-8

Rückmeldevariable erstellen

Um eine Rückmeldevariable zu erstellen:

  1. markieren Sie die Rezeptgruppe
  2. navigieren Sie zum gewünschten Knoten
    • Ergebnis Rezept absetzen
    • Ergebnis Rezept lesen
    • Ergebnis Rezeptwerte prüfen
    • Import Ergebnis XML
  3. klicken Sie auf die Schaltfläche ... neben der gewünschten Eigenschaft
  4. der Dialog zur Verknüpfung der Variablen wird geöffnet

Hinweise zu den einzelnen Eigenschaften finden Sie in der Eigenschaftenhilfe. Das Ergebnis wird für alle Aktionen über Systemtreibervariablen lokal und für das Netzwerk zur Verfügung gestellt.

info Info

Änderungen über VBA werden erst nach dem neu Aufschalten des RGM sichtbar.


Rezepte zur Rezeptgruppe hinzufügen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Rezepte zur Rezeptgruppe hinzufügen

Um ein Rezept zu einer Rezeptgruppe hinzuzufügen:

  1. führen Sie einen Rechtsklick auf den Knoten Rezepte in der gewünschten Rezeptgruppe aus
  2. wählen Sie im Kontextmenü Rezept neu
  3. es wird ein neues Rezept mit Standardname erstellt, der Name ist für die weitere Bearbeitung bereits markiert
  4. vergeben Sie die gewünschten Eigenschaften zu Name, Nummer, Version, Berechtigung und Kommentare

info Info

Wird das Rezept als Binärdatei verwendet, darf der Name nur alphanumerische Zeichen enthalten.

Namensvergabe beim Erstellen

Neue Rezepte werden mit einem Defaultnamen angelegt, z. B. Rezept_0. Zusätzlich wird für jedes neue Rezept eine Rezeptnummer vergeben. Diese wird für jedes neue Rezept inkrementell erhöht.

Der Rezeptname muss eindeutig sein. Die Rezeptnummer wird nicht auf Eindeutigkeit überprüft. Diese wird nur verwendet, um über die Funktion Rezeptgruppen-Manager ein Rezept über eine Variable aufzurufen. Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.

Example Beispiel

Es existieren bereits ein Rezept_0 mit der Rezeptnummer 0 und ein Rezept_2 mit der Rezeptnummer 2. Beim neu Anlegen, wird ein Rezept mit dem Namen Rezept_1 und der Rezeptnummer 3 angelegt.

Noch in diesem Kapitel

Bearbeiten eines Rezeptes aus der Rezeptgruppe


Bearbeiten eines Rezeptes aus der Rezeptgruppe

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Rezepte zur Rezeptgruppe hinzufügen > Bearbeiten eines Rezeptes aus der Rezeptgruppe

Um ein Rezept aus einer Rezeptgruppe zu bearbeiten:

  • führen Sie einen Rechtsklick auf ein Rezept aus
  • wählen Sie den Befehl Rezept bearbeiten
  • Der Dialog Rezeptgruppen wird geöffnet

Eintrag

Beschreibung

Allgemein

Rezeptnummer

Nummer des Rezepts.

Synchron schreiben

Aktiv : Beim Schreiben eines Rezepts werden im Bild des Rezeptgruppen Managers alle Kontrollelemente gesperrt, bis vom Treiber die Rückmeldung kommt, dass alle Werte des Rezepts erfolgreich geschrieben wurden oder der eingestellte Timeout verstrichen ist.

Inaktiv : Die Werte des Rezepts werden ohne Warten auf eine Rückmeldung geschrieben. Die Kontrollelemente sind sofort wieder bedienbar. Die Rückmeldung des Treibers erfolgt über das Statusbit WR_SUC, das auf 1 gesetzt wird, sobald Werte erfolgreich geschrieben wurden.
Hinweise:

  • Diese Einstellung kann in der Runtime im Bild des Rezeptgruppen Managers über Rezept umbenennen geändert werden.
  • Die Fortschrittsanzeige funktioniert nur, wenn diese Eigenschaft aktiv ist.

Timeout [ms]

Wenn Synchron schreiben bei einem Rezept aktiviert wurde, kann hier ein Timeout eingegeben werden. Die Kontrollelemente des Bildes Rezeptgruppen Manager werden spätestens nach dieser Zeit wieder freigegeben.
Wird als Timeout der Wert 0 eingegeben, so berechnet zenon die Wartezeit wie folgt:
30000+(100*Anzahl der Datenpunkte)
Hinweis: Diese Einstellung kann in der Runtime im Bild des Rezeptgruppen Managers über Rezept umbenennen geändert werden.

Berechtigungsebene

Nur Benutzer, die für die hier eingegebene Berechtigungsebene freigegeben wurden, dürfen zur Runtime dieses Rezept ändern. Das betrifft nicht nur das manuelle Editieren des Rezepts im Bild des Rezeptgruppen Managers sondern auch das Löschen oder das Umbenennen des Rezepts sowie das Einlesen von Werten aus der Hardware für dieses Rezept.
Hinweis: Rezeptgruppen dürfen nur von einem Benutzer geändert werden, der die Berechtigung für alle enthaltenen Rezepte hat.

Listeneinträge

Variablenname

Name einer Variablen.

Nur Anzeige, keine Änderung möglich.

min. Wert

Minimaler Wert, der zur Steuerung übertragen werden kann.

Nur Anzeige, keine Änderung möglich.

max. Wert

Maximaler Wert, der zur Steuerung übertragen werden kann.

Nur Anzeige, keine Änderung möglich.

Aktion

Funktion, die auf Variablen ausgeführt wird.

Eintrag ist in Liste änderbar. Details siehe Kapitel Aktionen.

Wert oder Variable

Wert, der beim Absetzen des Rezepts zur Steuerung übertragen wird.

Wert abhängig von Aktion in Liste änderbar.

Maßeinheit

Maßeinheit einer Variablen.

Nur Anzeige, keine Änderung möglich.

Bearbeitung zur Runtime: Siehe Kapitel Bedienen zur Runtime.

info Info

Für Rezepte im RGM gilt:

  • Der Rezeptname muss eindeutig sein.
  • Die Rezeptnummer wird nicht auf Eindeutigkeit überprüft. Diese wird nur verwendet, um über die Funktion Rezeptgruppen-Manager ein Rezept über eine Variable aufzurufen. Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.
  • Die Länge eines Strings für ein RGM-Rezept ist auf 249 Zeichen begrenzt.

Noch in diesem Kapitel

Aktionen


Aktionen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Rezepte zur Rezeptgruppe hinzufügen > Bearbeiten eines Rezeptes aus der Rezeptgruppe > Aktionen

Um eine Aktion zu definieren, klicken Sie in die Zelle Aktion der entsprechenden Variablen, klicken Sie auf das Symbol mit dem Pfeil und wählen Sie die gewünschte Aktion aus der Dropdownliste aus. Werden in der Zelle Wert oder Variable Einträge benötigt, klicken Sie in die Zelle und geben Sie den Wert ein. Zur Variablenauswahl klicken Sie mit rechts in die Zelle, um den Auswahldialog zu öffnen.

Aktion

Beschreibung

Eintrag in Wert oder Variable

Keine Aktion

Deaktiviert Variable in diesem Rezept.

Keine Eingabe.

Anwender Status

Statusinformation. Setzt das entsprechende Status-Bit der Variablen.

Hinweis: Es können nur Status-Bits gesetzt werden, die als vom Benutzer gesetzt markiert sind. Vom System automatisch gesetzte Status-Bits sind nicht veränderbar.

Achtung: Um zur Runtime ein Keyboard aufschalten zu können, muss in der Eigenschaftengruppe Keyboards für die Eigenschaft Stringparameter ein Keyboard verknüpft sein.

Statuskurzbezeichnung eingeben mit:
=1 zum Setzen
=0 zum Rücksetzen

Es können mehrere Status durch Semikolon ( ;) getrennt eingegeben werden. Zum Beispiel:
M1=1; M5=0

Modifizieren Ersatzwert

Setzt den Ersatzwert auf den Wert, der unter Wert oder Variable angegeben wird.

Ersatzwert eingeben.

Modifizieren Spontanwert

Setzt den Spontanwert auf den Wert, der unter Wert oder Variable angegeben wird.

Sollwert eingeben.

Spontanwert abschalten

Schaltet Spontanwert durch Setzen des Status-Bits OFF (Bit 20) ab.

Keine Eingabe.

Spontanwert einschalten

Schaltet Spontanwert durch Zurücksetzen des OFF Bits ein.

Keine Eingabe.

Umschalten auf Ersatzwert

Schaltet vom Spontanwert auf den Ersatzwert um.

Keine Eingabe.

Umschalten auf Spontanwert

Schaltet vom Ersatzwert auf den Spontanwert um

Keine Eingabe.

Umschalten u. modi. Ersatzwert

Schaltet vom Spontanwert auf den Ersatzwert um und setzt den Ersatzwert auf den Wert, der unter Wert oder Variable angegeben wird.

Ersatzwert eingeben.

Umschalten u. modi.Spontanwert

Schaltet vom Ersatzwert auf den Spontanwert um und setzt den Spontanwert auf den Wert, der unter Wert oder Variable angegeben wird.

Sollwert eingeben.

Verknüpfen mit Variable

Verknüpft Variable mit einer anderen Variablen.

Name einer Variablen.

Rechtsklick in Feld öffnet Kontextmenü zum Öffnen des Dialogs zur Variablenauswahl. Der Wert der Variablen wird auf die ausgewählte Rezeptvariable übergeben. Es ist auch möglich, Variablen aus anderen geladenen Projekten zu verwenden.

attention Achtung

Wird bei einem Rezept die Funktionalität Alle Werte lesen mit der Aktion Verknüpfen mit Variable verwendet, werden weder Bedienberechtigungen abgefragt, noch wird diese Aktion protokolliert. Ist eine Protokollierung explizit gewünscht, muss diese manuell erzeugt werden, z. B. über ein VBA-Makro.

Hinweis zu FDA-Konformität: Diese Funktionalität darf daher nicht für Projekte mit strikter FDA-Norm angewandt werden!

Noch in diesem Kapitel

Sollwert schreiben überprüfen


Sollwert schreiben überprüfen

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Rezepte zur Rezeptgruppe hinzufügen > Bearbeiten eines Rezeptes aus der Rezeptgruppe > Aktionen > Sollwert schreiben überprüfen

Beim Schreiben von Werten erhält der Wert ein Statusbit, dass er geschrieben wird. Ist der Schreibvorgang erfolgreich, wird das entsprechende Statusbit gesetzt:

  • WR-ACK

    Der Treiber hat einen Wert zum Schreiben bekommen.

  • WR-SUC

    Wert 1: Schreiben erfolgreich.

    Wert 0: Schreiben nicht erfolgreich, der Wert konnte nicht abgesetzt werden.

  • info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung ausgeführt, dann werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!

Diese Statuskombination bleibt solange bestehen, bis die nächste Wertänderung angestoßen wird. Dann gehen beide Status auf 0 bis der Schreibvorgang fertig ist. Zur Auswertung muss in der Rema folgende Bitkombination abgefragt werden:

WR-ACK, WR-SUC

Ergebnis:

  • WR-ACK 1, WR-SUC 1: Schreibvorgang erfolgreich.
  • WR-ACK 1, WR-SUC 0: Schreibvorgang nicht erfolgreich.

attention Achtung

Der Mechanismus zeigt nur, dass der Schreibvorgang erfolgreich (oder nicht erfolgreich) auf die Steuerung abgesetzt wurde. Es bedeute nicht, dass der Wert in der Steuerung auch geändert wurde, da die Steuerung den Wert sofort wieder zurücksetzen/überschreiben kann. (Zum Beispiel beim Schreiben auf Ausgänge oder bei Wischerbits, die nur kurzfristig gesetzt werden.)

Module

Dieser Mechanismus kann bei folgenden Modulen eingesetzt werden:

  • Funktion Sollwert absetzen: Option Schreibbestätigung abwarten im Konfigurationsdialog der Funktion aktivieren.
  • Standard Rezepte: Eigenschaft Synchron schreiben aktivieren.
  • Rezeptgruppen-Manager: Eigenschaft Synchron schreiben aktivieren.

Eintrag in CEL

In den Projekteigenschaften finden Sie unter Chronologische Ereignisliste folgende Eigenschaften:

  • Funktion Sollwert setzen

    Für den Eintrag in der CEL muss in den Projekteigenschaften im Knoten Chronologische Ereignisliste die Eigenschaft Funktion Sollwert setzen aktiviert werden. Es wird dann bei jedem Ausführen der Funktion die positive oder negative Rückmeldung in die CEL geschrieben.

  • Sollwert-Protokollierung nur bei Sollwertänderung

    Bei aktivierter Funktion kommt es zu keinem Eintrag in der CEL, wenn der gleiche Wert erneut gesetzt oder empfangen wird. Protokolliert werden nur Wertänderungen. Die Ausführung der Eigenschaft ist nicht abhängig von der Variableneinstellung Alter und neuer Wert.

  • Text bei Sollwertänderung

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

  • Text bei Sollwertänderung (Alter/Neuer Wert)

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des alten und des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

Standard Rezepte und Rezeptgruppen Manager

Für den Eintrag in die CEL wird eine Systemtreibervariable verwendet, die bei erfolgreich abgesetzten Rezept auf 1 geht. Eine globale Variable wird am Server ausgewertet, eine lokale auf jedem Client, um zu erfahren, wann das zuletzt ausgeführte Rezept fertig geschrieben wurde.
Mit diesen Variablen kann per Grenzwert oder Reaktionsmatrizen ein CEL Eintrag generiert werden. Die Abfrage erfolgt mit einer Multianalog oder einer Multibinär Rema.


Rezeptversion

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Rezeptversion

Rezepte können versioniert werden. Über Einstellungen im Editor sowie Funktionen und Kontrollelemente zur Runtime werden die Versionen verwaltet.

Um im Editor eine neue Rezeptversion zu erstellen haben Sie zwei Möglichkeiten:

  1. Neue Rezeptversion: Legt eine neue Version des ausgewählten Rezepts an.
    Dazu:
    1. markieren Sie das Rezept in der Detailansicht des RGM
    2. wählen Sie im Kontextmenü den Befehl Neue Rezeptversion anlegen

    oder

  2. Rezeptversion duplizieren: Legt eine Kopie der ausgewählten Rezeptversion als neue Version an.
    Dazu:
    1. markieren Sie die Rezeptversion in der Detailansicht des RGM
    2. wählen Sie im Kontextmenü den Befehl Duplizieren als Rezeptversion

Eine neue Version des Rezepts wird unterhalb des Rezepts eingerückt angelegt. Die Versionsnummer wird in der Eigenschaft Rezeptversion automatisch vergeben. Rechts vom Originalrezept wird die Anzahl der verfügbaren Versionen angezeigt.

Um zur Runtime eine neue Rezeptversion zu erstellen, nutzen Sie die Funktion Rezeptversion neu anlegen.

info Info

Maximal können 89999 Rezeptversionen angelegt werden.


Rezeptstatus

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Rezeptstatus

Der Rezeptstatus wird zur Identifizierung und Filterung eines Rezepts verwendet bei:

  • Eigenschaft Status für Rezept
  • Bild vom Typ RGM
  • Funktion Bildumschaltung auf RGM
  • Funktion Rezeptgruppen-Manager

Er besteht aus einem von zenon vergebenen Index und einem individuellen Statustext. Der Rezeptstatus kann pro Rezeptversion unterschiedlich eingestellt werden. Diese Eigenschaft kann zur Runtime über Funktionen und Kontrollelemente im Bild verändert werden.

Um einen Rezeptstatus zu erstellen:

  1. markieren Sie den Bezeichner Rezeptgruppen in der Detailansicht des RGM
  2. klicken Sie auf die Eigenschaft Bezeichner Rezeptstatus
  3. der Dialog zur Projektierung der Rezeptstatus wird geöffnet

Parameter

Beschreibung

Bezeichner Rezeptstatus

Erstellung und Verwaltung der Bezeichner für den Rezeptstatus.

#

Index des Status. Dieser wird automatisch vergeben.

Statustext

Statustext wie in diesem Dialog festgelegt:

  • Erstellung: Klick auf Schaltfläche Neu.
  • Bearbeiten: Mausklick in den Text ermöglicht Bearbeitung.

Dieser Text kann auch Schlüsselwörter (mit Präfix @) für die Sprachumschaltung beinhalten.

Neu

Erstellt neuen Status am Ende der Liste.

Löschen

Löscht markierten Statustext.

Befindet sich der zu löschende Status am Ende der Liste, werden Statustext und Indexnummer gelöscht.

Befindet sich der zu löschende Status nicht am Ende der Liste, wird der Text gelöscht aber der Index belassen. So können die Lücken später wieder neu belegt werden.

OK

Übernimmt Eingaben und schließt Dialog.

Abbrechen

Verwirft alle Änderungen und schließt Dialog.

Hilfe

Öffnet Online-Hilfe.


Liste Status-Bits

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Windows CE

Handbuch > Rezeptgruppen-Manager > Projektieren im Editor > Windows CE

Filterdialog zur Runtime

Wird bei den Optionen der Rezeptwerttabelle in der Bildumschaltung die Eigenschaft Dialog zur Runtime anbieten aktiviert, stehen unter Windows CE nur eingeschränkte Optionen zur Verfügung:

  • Rezeptfilter
  • Spalteneinstellungen (für Rezepttabelle)

Rezeptauswahl, Anlagenmodellierung und Spalteneinstellungen für Rezeptliste werden nicht angeboten.


Funktionen

Handbuch > Rezeptgruppen-Manager > Funktionen

Wird aus dem Kontextmenü in der Detailansicht die Standardfunktion erstellt, so erstellt zenon automatisch eine Funktion Rezeptgruppen Manager für das ausgewählte Rezept.

Noch in diesem Kapitel

Funktion Bildumschaltung Rezeptgruppen-Manager

Funktion Rezeptgruppen-Manager


Funktion Bildumschaltung Rezeptgruppen-Manager

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager

Mit der Bildumschaltung auf ein Bild vom Typ RGM definieren Sie ein Rezept, das mit der Umschaltung abgesetzt werden soll. Diese Einstellungen können auch zur Runtime vorgenommen werden, sofern die Option Dialog zur Runtime anbieten aktiv ist.

Um die Bildumschaltung zu projektieren:

  1. legen Sie eine neue Funktion an
  2. wählen Sie Bildumschaltung
  3. wählen Sie das Bild vom Typ RGM
  4. wählen Sie Ihre Einstellungen in den einzelnen Registerkarten
    • Rezeptwerttabelle: Einstellungen für das Rezept.
    • Spalteneinstellung Rezeptwerttabelle: Einstellungen für die Anzeige zur Runtime.
    • Rezeptfilter: Definition der Rezepte einer Rezeptgruppe, die im Bild vom Typ Rezeptgruppen-Manager angezeigt werden.
    • Spalteneinstellungen Rezeptliste: Einstellungen für die Anzeige der Rezeptliste.
    • Anlagenmodellierung: Auswahl von Anlagenmodellen.

info Info

Einstellungen zur Sichtbarkeit von Variablen zur Runtime treffen Sie in:

  • Variablenparameter ändern: Filter, Sichtbarkeit
  • Bearbeiten eines Rezeptes aus der Rezeptgruppe: Berechtigungsebenen

Diese Einstellungen, beziehen sich nur auf die Darstellung in der Rezept-Tabelle. Wird ein Rezept z. B. abgesetzt, werden alle Werte des Rezepts geschrieben.

Noch in diesem Kapitel

Rezeptwerttabelle

Spalteneinstellung Rezeptwerttabelle

Rezeptfilter

Spalteneinstellungen Rezeptliste

Anlagenmodellierung

Spaltenauswahl Rezeptliste und Rezeptwerttabelle

Spaltenformat Rezeptliste und Rezeptwerttabelle


Rezeptwerttabelle

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Rezeptwerttabelle

In dieser Registerkarte wird das Rezept, das in der Rezeptwerttabelle angezeigt wird, ausgewählt. Die Rezeptwerttabelle steht in zwei Ausprägungen zur Verfügung:

  • Rezeptwerttabelle: Zur Runtime direkt konfigurierbare Tabelle. Unter Windows CE nicht verfügbar.
  • Rezeptwerttabelle CE: Darstellung des ausgewählten Rezepts in fester tabellarischer Form. Ersetzt unter Windows CE die Rezeptwerttabelle.

Beide Tabellen können im Editor konfiguriert werden. Es kann allerdings nur jeweils eine der beiden Tabellen in ein Bild eingefügt werden. Für alle Projekte, ausgenommen Windows CE, wird die Rezeptwerttabelle empfohlen. Die Konfiguration der Bildumschaltung kann sich für beide Tabellen unterscheiden. Wird also eine Rezeptwerttabelle unter Windows CE automatisch durch eine Rezeptwerttabelle (CE) ersetzt, werden die Einstellungen der ursprünglichen Bildumschaltung übernommen.

Konfiguration

Rezeptgruppen-/Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable
  • aus einer Datei

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Parameter

Beschreibung

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Hinweis: Führt die Rezeptauswahl zu einem Fehler zur Runtime (Rezept in Runtime nicht vorhanden, keine Auswahl getroffen, Rezept nicht im Filter enthalten), dann wird kein Rezept ausgewählt, die Anzeige der Dropdownliste Rezept bleibt leer.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem niedrigste Rezeptversion
  • Wert 90001 entspricht statischem höchste Rezeptversion

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Größte Version oder Kleinste Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status freigegeben.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Formatierung der Rezeptwerttabelle

Einstellungen für die Formatierung der Rezeptwerttabelle.

Parameter

Beschreibung

Tabelle

Auswahl der Reportdatei. Klick auf Schaltfläche öffnet Dropdownliste zur Auswahl:

  • Standardtabelle verwenden
  • Formatdatei für Tabelle verwenden

Standardtabelle verwenden:

Die Rezeptwerte werden zur Runtime in einer Rezeptwerttabelle oder Rezeptwertabelle CE angezeigt.

Formatdatei für Tabelle verwenden:

Die Rezeptwerte werden in einer Reportdatei (*.xrs) angezeigt. Diese Datei muss zuvor im Report Generator erstellt werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer XRS-Datei.

Hinweis: Bei Verwendung einer Formatdatei wird zur Runtime die Rezeptwerttabelle CE angezeigt.

Filter für Wertdarstellung

Auswahl des Filters, der bei der Umschaltung aktiv sein soll, um die Liste der angezeigten Rezeptwerte einzugrenzen.

Parameter

Beschreibung

Filterkriterium

Auswahl des Filters. Klick auf Beschriftung öffnet Dropdownliste zur Auswahl eines Filters:

  • Filterkriterium statisch
  • Filterkriterium aus Variable

Filterkriterium statisch:

Auswahl eines Filters aus der Dropdownliste, der bei der Variableneigenschaft Filter definiert wurde.

Filterkriterium aus Variable:

Filterkriterium wird zur Runtime aus einer STRING-Variablen übernommen.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Parameter

Beschreibung

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Hinweis: Unter Windows CE und beim Aufruf über die Schaltfläche Filter im RGM Bild stehen nur eingeschränkte Funktionen zur Verfügung:

  • Rezeptfilter
  • Spalteneinstellungen (für Rezepttabelle)

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

Bearbeitung im Bild sperren

Sperrt alle Kontrollelemente im Bild vom Typ RGM. Der Bediener kann keine Änderungen am RGM vornehmen.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Der Rezeptname muss eindeutig sein. Die Rezeptnummer wird nicht auf Eindeutigkeit überprüft. Diese wird nur verwendet, um über die Funktion Rezeptgruppen-Manager ein Rezept über eine Variable aufzurufen. Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.


Spalteneinstellung Rezeptwerttabelle

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Spalteneinstellung Rezeptwerttabelle

Hinweis: Steht nicht zur Verfügung, wenn bei der Bildumschaltung in der Registerkarte Rezeptwerttabelle für die Formatierung der Rezeptwerttabelle Formatdatei für Tabelle verwenden: ausgewählt wurde.

Alle Spalten der Rezeptwerttabelle sind frei konfigurierbar. Die Spalten können beliebig eingeblendet, gereiht und beschriftet werden. Zusätzlich kann die Zeilennummerierung ausgeblendet werden.

In dieser Registerkarte werden die Spalten für die Rezeptwerttabelle CE und die Rezeptwerttabelle konfiguriert. Dafür stehen zwei Werkzeuge zur Verfügung:

  • Spalteneinstellungen für CE: Konfiguriert die Einstellungen für die Rezeptwerttabelle CE.
  • Spalteneinstellungen: Konfiguriert die Einstellungen für die Rezeptwerttabelle.

Spalteneinstellungen für CE

Diese Einstellungen beziehen sich auf die Rezeptwerttabelle CE. Sie werden bei der Anzeige der fixen Rezeptwerttabelle unter Windows CE verwendet. Die Rezeptwerttabelle wird im unteren Bereich des Dialogs konfiguriert.

Parameter | Beschreibung
Spaltentyp | Typ der Spalte. Nicht editierbar. Anzeige zur Runtime wird per Checkbox aktiviert oder deaktiviert.
Beschreibung | Definiert Überschrift der jeweiligen Spalte. Kann auch sprachumschaltbar konfiguriert werden. Wert ist editierbar.
Breite | Definiert die Breite der Spalte in Zeichen. Diese kann auch durch Ziehen mit der Maus in der Liste mit horizontaler Anzeige der Spaltennamen festgelegt werden. Wert ist editierbar.
Ausgewählten Eintrag nach oben verschieben | Verschiebt ausgewählte Zeile nach oben. Verschieben ist auch per Drag&Drop möglich.
Ausgewählten Eintrag nach unten verschieben | Verschiebt ausgewählte Zeile nach unten. Verschieben ist auch per Drag&Drop möglich.
Feld mit horizontaler Anzeige der Spaltennamen | Zeigt die in der Liste aktivierten Spalten an. Durch Ziehen mit dem Mauszeiger an den Spaltengrenzen kann die Spaltengröße definiert werden.
Nummerierungsspalte anzeigen | Aktiv: Die erste Spalte der Tabelle wird mit Zeilennummer angezeigt.

Spalteneinstellungen

Konfiguration der Rezeptwerttabelle.

Parameter | Beschreibung
Tabelle | Spalten der Tabelle werden par Klick auf die Schaltfläche Spaltenauswahl ausgewählt. Die Anordnung erfolgt per Klick auf den Spaltentitel und Drag&Drop mit der Maus. Beim Anordnen zeigen zwei rote Pfeile an, wo die zu verschiebende Spalte einsortiert wird.
Spaltenauswahl | Klick auf die Schaltfläche öffnet den Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat | Klick auf die Schaltfläche öffnet den Dialog zur Formatierung der Spalten.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Bei der ersten Konfiguration der Bildumschaltung wird die Funktion dennoch erstellt, allerdings ohne Ziel.
Hilfe | Öffnet die Online-Hilfe.


Rezeptfilter

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Rezeptfilter

In dieser Registerkarte definieren Sie, welche Rezepte einer Rezeptgruppe im Bild vom Typ Rezeptgruppen-Manager angezeigt werden. Es werden nur Rezepte angezeigt, die im Rezeptfilter der Bildumschaltung zugelassen werden. Die Filterung basiert auf den Rezeptnamen.

info Info

Führt die Rezeptauswahl zu einem Fehler zur Runtime (Rezept in Runtime nicht vorhanden, keine Auswahl getroffen, Rezept nicht im Filter enthalten), dann wird kein Rezept ausgewählt, die Anzeige der Dropdownliste Rezept bleibt leer.

Parameter

Beschreibung

Textfilter

Definiert Filterkriterien.

Kein Textfilter

Aktiv: Der Textfilter wird nicht verwendet.

Suche nach (Wörter getrennt durch Leerzeichen)

Aktiv: Der Rezeptfilter wird verwendet. Die weiteren Einstellungsmöglichkeiten sind freigeschalten.

Eingabefeld

Geben Sie die entsprechenden Wörter oder Zeichenketten ein.

Groß-/Kleinschreibung beachten

Aktiv: Groß-/Kleinschreibung wird beim Filtern berücksichtigt.

Wörter müssen nicht vollständig im Rezeptnamen vorkommen

Aktiv: Die im Eingabefeld eingegebenen Ausdrücke werden auch dann berücksichtig, wenn sie im Rezeptnamen nur als Wortteil vorkommen.

Mindestens ein Wort muss im Rezeptnamen vorkommen

Aktiv: Zumindest ein Wort des Suchstrings muss im Rezeptnamen vorkommen.

Aller Wörter müssen im Rezeptnamen vorkommen

Aktiv: Sämtliche Wörter des Suchstrings müssen im Rezeptnamen vorkommen, wobei die Reihenfolge nicht berücksichtigt wird.

Filtertext muss exakt im Rezeptnamen vorkommen

Aktiv: Sämtliche Wörter des Suchstrings müssen im Rezeptnamen in der gleichen Reihenfolge vorkommen.

Erweiterter Filter

Filtereinstellungen für Version und Status.

Version

Versionsfilter: Auswahl aus Dropdownliste oder direkte Eingabe.

Dropdownliste:

  • Kleinste Version
  • Größte Version
  • Alle

Diese Einstellungen werden immer mit dem Status kombiniert.

Direkte Eingabe:

  • Nummerische Eingabe, getrennt durch ein Komma. Zum Beispiel: 1, 2, 6

Eingaben dürfen aus Zahlen, Komma und Leerzeichen bestehen und werden auf Gültigkeit geprüft. Fehlerhafte Eingabe werden beim Bestätigen des Dialoges mit OK oder beim Wechseln der Registerkarte bemerkt. Der Dialog bleibt geöffnet und der Fokus wird auf die Falscheingabe gesetzt.

Status

Filterkriterium für Status. Auswahl:

Dropdownliste:

  • Alle
  • bereits projektierter Status

Direkte Eingabe:

  • Nummerische Eingabe, getrennt durch ein Komma. Zum Beispiel: 1, 2, 6

Statustexte sind sprachumschaltbar.

Eingaben dürfen aus Zahlen, Komma und Leerzeichen bestehen und werden auf Gültigkeit geprüft. Fehlerhafte Eingabe (z B. Buchstaben) werden beim Bestätigen des Dialoges mit OK bemerkt. Der Dialog bleibt geöffnet und der Fokus wird auf die Falscheingabe gesetzt.

OK

Übernimmt Einstellungen aller Registerkarten und schließt Dialog.

Abbrechen

Verwirft Änderungen für alle Registerkarten und schließt Dialog. Bei der ersten Konfiguration der Bildumschaltung wird die Funktion erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.

Mögliche Kombinationen des Versionsfilters mit dem Statusfilter

Versionsfilter | Statusfilter | Ergebnis
Kleinste Version | Alle | Von allen Rezepten wird nur die jeweils kleinste Versionen angezeigt.
Kleinste Version | 1,2 | Von allen Rezeptversion mit Status 1 oder 2 wird nur die jeweils kleinste Versionen angezeigt.
Größte Version | Alle | Von allen Rezepten wird nur die jeweils größte Versionen angezeigt.
Größte Version | 1,2 | Von allen Rezeptversion mit Status 1 oder 2 wird nur die jeweils größte Versionen angezeigt.
Alle | Alle | Es werden alle Rezeptversionen angezeigt.
Alle | 1,2 | Es werden alle Rezeptversionen mit dem Status 1 oder 2 angezeigt.
2,3 | Alle | Es werden die Rezeptversionen 2 und 3 unabhängig vom Status angezeigt.
2,3 | 1,2 | Es wird jeweils die Rezeptversion 2 und 3 angezeigt, wenn diese entweder den Status 1 oder 2 haben.


Spalteneinstellungen Rezeptliste

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Spalteneinstellungen Rezeptliste

In dieser Registerkarte werden die Spalteneinstellungen für die Darstellung der Rezeptliste zur Runtime konfiguriert.

Achtung: Die Spalteneinstellung für die Rezeptliste steht für CE-Projekte nicht zur Verfügung.

Parameter | Beschreibung
Listenfeld | Darstellung der konfigurierten Spalten.
Spaltenauswahl | Öffnet Dialog zur Auswahl der Spalten.
Spaltenformat | Öffnet Dialog zur Formatierung der Spalten.
OK | Übernimmt alle Änderungen und schließt Dialog.
Abbrechen | Verwirft alle Änderungen und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.

Weitere Einstellungen, wie Bildlaufleisten, werden in den Eigenschaften des Listenfelds konfiguriert. Details siehe Abschnitt Aussehen der Rezeptliste.


Anlagenmodellierung

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Anlagenmodellierung

Hier weisen Sie Anlagenmodelle und Ebenen zu:

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft die Auswahl und schließt den Dialog. Achtung: Eventuelle Änderungen in der Struktur lokaler Anlagenmodelle bleiben erhalten.
Hilfe | Öffnet die Online-Hilfe.

Konfiguration

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Um ein neues Modell hinzuzufügen:

  1. Klicken Sie auf das Projekt.
  2. Wählen Sie in der Symbolleiste Anlagenmodell neu.

Modell entfernen

Um ein bestehendes Modell zu entfernen:

  1. Klicken Sie auf das Modell.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Um eine Gruppe zu einem Modell hinzuzufügen:

  1. Wählen Sie das gewünschte Anlagenmodell.
    Achtung: Bestehen Namenskonflikte zwischen globalen und lokalen Anlagenmodellen, werden die lokalen Anlagenmodelle angezeigt und die globalen ignoriert. Informationen zu eventuellen Konflikten erhalten Sie per Klick auf das entsprechende Symbol (Dreieck mit Ausrufezeichen) in der Symbolleiste.
  2. Wählen Sie eine Anlagengruppe oder Ebene.
  3. Fügen Sie die neue Gruppe über die Schaltfläche Hinzufügen zur Liste im unteren Bereich des Dialogs hinzu.

    Hinweise:

    • Untergruppen werden nicht automatisch hinzugefügt.
    • Es können beliebig viele Gruppen verknüpft werden.

Gruppen aus dem Modell löschen

Um eine Gruppe aus einem Modell zu löschen:

  1. Wählen Sie in der Liste im unteren Bereich des Dialogs die gewünschten Elemente (Mehrfachauswahl ist möglich).
  2. Klicken Sie auf die Schaltfläche Entfernen.

Hinweis: Änderungen in einem Baum-Element bleiben erhalten, unabhängig davon, ob die Schaltfläche Abbrechen betätigt wird. Abbrechen bedeutet nur, dass kein Element ausgewählt wird.


Spaltenauswahl Rezeptliste und Rezeptwerttabelle

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Spaltenauswahl Rezeptliste und Rezeptwerttabelle

Hier konfigurieren Sie die zur Runtime anzuzeigenden Spalten für Rezeptliste und Rezeptwerttabelle. Die folgende Abbildung zeigt ein Beispiel für die Rezeptliste. Die Konfiguration der Spalten für die Rezeptwerttabelle erfolgt analog.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat Rezeptliste und Rezeptwerttabelle

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Bildumschaltung Rezeptgruppen-Manager > Spaltenformat Rezeptliste und Rezeptwerttabelle

Hier formatieren Sie die Spalten für Rezeptliste und Rezeptwerttabelle.

Konfiguration der Eigenschaften der Spalten für konfigurierbare Listen. Die Einstellungen wirken sich auf die jeweilige Liste im Editor oder - bei Konfiguration einer Bildumschaltung - in der Runtime aus.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktion Rezeptgruppen-Manager

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager

Diese Funktion führt zur Runtime definierte Aktionen für ein ausgewähltes Rezept des Rezeptgruppen Managers durch.

Um die Funktion zu projektieren:

  1. legen Sie eine neue Funktion an
  2. navigieren Sie zur Gruppe Rezepte.
  3. wählen Sie die Funktion Rezeptgruppen-Manager.

Der Dialog zur Konfiguration der Funkltion wird geöffnet:

Parameter

Beschreibung

Aktion

Auswahl der gewünschten Funktion aus Dropdownliste. Auswahl kann nachträglich nicht mehr geändert werden. Mögliche Funktionen:

  • Rezept absetzen
  • Rezept lesen
  • Rezeptwert prüfen
  • Rezept umbenennen
  • Rezeptstatus ändern
  • Rezept neu anlegen
  • Rezept löschen
  • Duplizieren
  • Duplizieren und lesen
  • Rezeptversion neu anlegen
  • Rezeptversion löschen
  • Duplizieren als neue Rezeptversion
  • Duplizieren und lesen als neue Rezeptversion
  • Rezeptwerte auf Grafische Rezeptvariablen schreiben
  • Grafische Rezeptvariablen auf Rezeptwerte schreiben
  • Alle als XML exportieren
  • XML exportieren Rezeptgruppe
  • XML exportieren Rezept
  • XML importieren
  • Detaillierte Rezeptdaten zur Dokumentation in XML speichern
  • Rezept in Textdatei exportieren
  • Rezept von Textdatei importieren

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Die Funktion wird erstellt, allerdings ohne Aktion.

Hilfe

Öffnet die Online-Hilfe.

info Info

Der Rezeptname muss bei allen Funktionen eindeutig sein. Die Rezeptnummer wird nicht auf Eindeutigkeit überprüft. Diese wird nur verwendet, um über die Funktion Rezeptgruppen-Manager ein Rezept über eine Variable aufzurufen. Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.

Noch in diesem Kapitel

Rezept absetzen

Rezept lesen

Rezeptwert prüfen

Rezept umbenennen

Rezeptstatus ändern

Rezept neu anlegen

Rezept löschen

Duplizieren

Duplizieren und lesen

Rezeptversion neu anlegen

Rezeptversion löschen

Duplizieren als neue Rezeptversion

Duplizieren und lesen als neue Rezeptversion

Rezeptwerte auf Grafische Rezeptvariablen schreiben

Grafische Rezeptvariablen auf Rezeptwerte schreiben

Alle als XML exportieren

XML exportieren Rezeptgruppe

XML exportieren Rezept

XML importieren

Detaillierte Rezeptdaten zur Dokumentation in XML speichern

Rezept in Textdatei exportieren

Rezept von Textdatei importieren


Rezept absetzen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept absetzen

Diese Funktion setzt das ausgewählte Rezept zur Runtime ab.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezept lesen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept lesen

Die aktuellen Werte der entsprechenden Variablen werden ausgelesen und in das ausgewählte Rezept geschrieben (teaching).

Beim Lesen wird überprüft, ob die Werte der Eigenschaften Minimalwert und max. Wert eingehalten werden. Werden die Werte unter- oder überschritten oder hat die Variable den Status INVALID, werden die Werte nicht ins Rezept geschrieben. Fehler können über die Systemvariablen ausgewertet werden.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezeptwert prüfen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezeptwert prüfen

Diese Funktion führt eine Rezeptprüfung durch. Dabei werden Rezeptwert und Istwert verglichen und das Ergebnis an die entsprechenden Systemvariablen ausgegeben.

Rezeptwerte können über die Funktion Rezeptgruppen-Manager überprüft werden oder per VBA.

Rezeptgruppen-Manager

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden. wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.

attention Achtung

Die Funktion verwendet beim Abgleich mit der SPS Nachkommastellen. Wird bei Variablen mit dem Datentyp REAL die Eigenschaft Nachkommastellen nicht analog den Einstellungen der Steuerung konfiguriert und unterscheiden sich die Werte im Nachkommabereich, zeigt die Funktion abweichende Werte an.

Bild

Rezeptwerte können auch mit einem Kontrollelement im Bild RGM überprüft werden. Details siehe Kapitel Bild vom Typ Rezeptgruppen-Manager anlegen.

VBA

Rezeptwerte können auch automatisiert über VBA ausgeführt werden. Dazu wird die Funktion (Check()) verwendet. Sie übernimmt folgende Parameter oder liefert folgende Rückgabewerte:

Check(ByRef vList As Variant)as Long

  • Returnwert: entspricht den Werten der Systemvariablen RGM Rezeptwerte prüfen - Ergebnis.
  • vList: entspricht den Werten der Systemvariablen RGM Rezeptwerte prüfen - Abweichungen.
    Dabei wird für jeden Eintrag ein neuer Arrayindex verwendet (kein Zeilenvorschub).

Systemvariablen

Die Funktion führt eine Rezeptprüfung durch. Dabei werden Rezeptwert und Istwert verglichen und das Ergebnis an die entsprechenden Systemvariablen ausgegeben. Die Variablen können lokal oder global gewählt und ausgewertet werden. Variablen, die aufgrund fehlerhafter Kommunikation mit der Steuerung nicht überprüft werden können (Status INVALID) werden durch farbige Hinterlegung (rot) gekennzeichnet.

Variable

Datentyp

Beschreibung

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Abweichungen (global/lokal)

STRING

Listet alle Variablenunterschiede in folgender Reihenfolge auf:

[Variablenname; Rezeptwert; Variablenwert; Einheit]

jeder Eintrag wird in eine neue Zeile geschrieben.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert = 1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Bedienberechtigung (global/lokal)

DINT

Ebene der Bedienberechtigung des zuletzt geprüften Rezepts.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Bediener letzte Änderung (global/lokal)

STRING

Name des angemeldeten Benutzers der letzten Rezeptänderung des zuletzt geprüften Rezepts.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Ergebnis (global/lokal)

DINT

Ergebnisse der Prüfung:

  • 0: Alle Werte stimmen überein.
  • 1: Mindestens ein Variablenwert unterscheidet sich vom Rezeptwert.
  • 2: Mindestens eine Variable ist gestört (INVALID).
  • 3: Überprüfung nicht möglich, da die Spalte für den aktuellen Wert nicht angezeigt wird. Systemtreibervariable wird zurückgesetzt.

Fehlermeldungen:

  • -1: Ein Fehler beim Lesen der Variablenwerte ist aufgetreten.
  • -2: Die Rezeptgruppe konnte nicht geöffnet werden.
  • -3: Das Rezept konnte nicht geöffnet werden.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Kommentar 1 bis 8 (global/lokal)

STRING

Acht Kommentare können zu einem Rezept hinzugefügt werden. Die Variable enthält den Kommentar der jeweiligen Nummer zum zuletzt geprüften Rezept.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptgruppenname (global/lokal)

STRING

Name der Rezeptgruppe des zuletzt überprüften Rezepts.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert >= -1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptname (global/lokal)

STRING

Name des zuletzt überprüften Rezepts.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert >= -1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptnummer (global/lokal)

UDINT

Nummer des zuletzt überprüften Rezepts.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert >= -1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptstatus (global/lokal)

DINT

Status des zuletzt geprüften Rezepts als Zahl.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptstatus Text (global/lokal)

STRING

Status des zuletzt geprüften Rezepts als Text im Format: 1 - @Text

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptversion (global/lokal)

DINT

Version des zuletzt geprüften Rezepts.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Zeit, letzte Änderung (global/lokal)

STRING

Zeitpunkt der letzten Rezeptänderung des zuletzt geprüften Rezepts.


Rezept umbenennen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept umbenennen

Diese Funktion benennt das ausgewählte Rezept und alle seine Versionen um.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Zielrezept

Auswahl, wie das Zielrezept der Umbenennung erstellt wird:

  • Zielrezeptname statisch
  • Zielrezept neu erstellen
  • Zielrezeptname aus Variable

Zielrezeptname statisch:

Auswahl eines bestehenden Rezepts aus Dropdownliste.

Zielrezeptname neu erstellen

Ein neues Rezept mit automatisch generierten Namen wird erstellt.

Zielrezeptname aus Variable:

Name des Zielrezepts wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, wird das Rezept nicht umbenannt.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezeptstatus ändern

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezeptstatus ändern

Diese Funktion ändert den Status eines Rezepts.

Es wird versucht den Statuswert auf das gewählte Rezept zu setzen, anschließend wird das Rezept gespeichert. Sollte der angegebene Statuswert nicht gültig sein (0 oder ein nicht projektierter Statuswert) bleibt das Rezept unverändert und ein CEL Eintrag wird generiert. Die Variable RGM-Rezept Funktion in Abarbeitung zeigt in diesen Fall einen Fehler an (4).

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Zielrezept

Statusdefinition für Zielrezept.

Zielrezeptstatus

Auswahl des neuen Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Zielrezeptstatus statisch:

Auswahl eines bestehenden Status aus Dropdownliste.

Zielrezeptstatus aus Variable:

Rezeptstatus wird als nummerischer Variablenwert aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezept neu anlegen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept neu anlegen

Diese Funktion legt ein neues Rezept in der ausgewählten Rezeptgruppe an.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezept löschen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept löschen

Diese Funktion löscht das ausgewählte Rezept mit allen seinen Versionen.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Duplizieren

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Duplizieren

Diese Funktion dupliziert das ausgewählte Rezept. Die aktuellen Werte der entsprechenden Variablen werden in das neue Rezept geschrieben.

Hinweis: Das Duplizieren kann zur Runtime nur ausgeführt werden, wenn der angemeldete Benutzer über die entsprechenden Rechte zum weiteren Bearbeiten des Rezepts verfügt. Bei fehlenden Benutzerrechten wird der Dialog zum temporären Login aufgeschaltet.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch

Auswahl einer bereits bestehenden Rezeptgruppe.

Rezeptgruppenname aus Variable

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Achtung: Darf nicht für Versionen vor zenon 7.00 projektiert werden.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch

Auswahl eines bereits bestehenden Rezepts.

Rezeptname aus Variable

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Achtung: Darf nicht für Versionen vor zenon 7.00 projektiert werden.

Rezeptnummer aus Variable

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Zielrezept

Statusdefinition für Zielrezept.

Zielrezept erstellen

Einstellungen für Rezeptbenennung. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Zielrezeptname statisch
  • Zielrezept neu erstellen
  • Zielrezeptname aus Variable

Zielrezeptname statisch

Übernahme eines bestehenden Namens aus Dropdownliste.

Zielrezept neu erstellen

Der Name wird vom System neu erstellt und vergeben.

Zielrezeptname aus Variable

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Zielrezeptversion

Auswahl der Zielrezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Zielrezeptversion statisch

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Zielrezeptversion aus Variable

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Zielrezeptstatus

Auswahl des neuen Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Zielrezeptstatus statisch:

Auswahl eines bestehenden Status aus Dropdownliste.

Zielrezeptstatus aus Variable

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Ablauf beim Duplizieren

Beim Duplizieren wird ein bestehendes Quellrezept mit allen seinen Eigenschaften:

  • auf ein bestehendes Rezept übertragen und dieses mit allen Einstellungen des Quellrezepts überschrieben
    oder
  • in der gleichen Rezeptgruppe ein neues Rezept mit allen Einstellungen des Quellrezepts erzeugt

Der Rezeptstatus wird immer vom Quellrezept (und dessen Rezeptversion) übernommen.

Die Rezeptversion wird nicht mit übertragen,da diese keine Eigenschaft des Rezepts ist, sondern den Namen weiter spezifiziert.

Bei Angabe von Rezeptversion und Rezeptstatus gilt:

  • Die spezifizierte Rezeptversion für den spezifizierten Rezeptnamen oder für den spezifizierten Rezeptnamen mit dem spezifizierten Rezeptstatus muss existieren
  • Existiert noch kein Rezept mit dem spezifizierten Namen, dann wird eine neue Version 1 mit dem spezifizierten Namen erzeugt und der Status wie ihm Quellrezept gesetzt.

Spezifizierung über Variablen

Wird bei der Konfiguration die Zielrezeptversion oder der Zielrezeptstatus über Variablen spezifiziert, dann wird das Zielrezept nur unter folgenden Bedingungen erzeugt oder überschrieben:

  • Die durch den Variablenwert definierte Zielversion mit dem durch den Variablenwert definierten Status existiert bereits:
    • Das definierte Zielrezept wird mit dem Quellrezept überschrieben.
    • Die Nummer der Rezeptversion bleibt gleich.
    • Der Rezeptstatus wird vom Quellrezept übernommen.
  • Es existiert noch keine Rezeptversion mit diesem Namen:
    • Es wird eine Rezeptversion 1 erzeugt, egal welchen Wert die Variable für die Zielversion hat.
    • Der Rezeptstatus wird vom Quellrezept übernommen.
  • Es existiert ein Rezept mit dem Zielnamen, aber keine Rezeptversion die dem Variablenwert für die Zielversion entspricht:
    • Es wird keine neue Version erzeugt.
      Das gilt auch, wenn keine Rezeptversion 1 mehr existiert.


Duplizieren und lesen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Duplizieren und lesen

Diese Funktion dupliziert das ausgewählte Rezept. Die aktuellen Werte der entsprechenden Variablen werden in das neue Rezept geschrieben. Anschließend werden die Werte aus der Steuerung eingelesen. Können die Werte nicht eingelesen werden, dann stammen die Werte des Duplikats nicht mehr von der Steuerung, sondern werden lediglich vom Originalrezept kopiert.

Hinweis: Das Duplizieren kann zur Runtime nur ausgeführt werden, wenn der angemeldete Benutzer über die entsprechenden Rechte zum weiteren Bearbeiten des Rezepts verfügt. Bei fehlenden Benutzerrechten wird der Dialog zum temporären Login aufgeschaltet.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Achtung: Darf nicht für Versionen vor zenon 7.00 projektiert werden.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Achtung: Darf nicht für Versionen vor zenon 7.00 projektiert werden.

Rezeptnummer aus Variable

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Version
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Zielrezept

Statusdefinition für Zielrezept.

Zielrezept erstellen

Einstellungen für Rezeptbenennung. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Zielrezeptname statisch
  • Zielrezept neu erstellen
  • Zielrezeptname aus Variable

Zielrezeptname statisch

Übernahme eines bestehenden Namens aus Dropdownliste.

Zielrezept neu erstellen

Der Name wird vom System neu erstellt und vergeben.

Zielrezeptname aus Variable

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Zielrezeptversion

Auswahl der Zielrezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Zielrezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Zielrezeptversion aus Variable

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Zielrezeptstatus

Auswahl des neuen Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Zielrezeptstatus statisch

Auswahl eines bestehenden Status aus Dropdownliste.

Zielrezeptstatus aus Variable

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Hilfe

Öffnet die Online-Hilfe.

Ablauf beim Duplizieren

Beim Duplizieren wird ein bestehendes Quellrezept mit allen seinen Eigenschaften:

  • auf ein bestehendes Rezept übertragen und dieses mit allen Einstellungen des Quellrezepts überschrieben
    oder
  • in der gleichen Rezeptgruppe ein neues Rezept mit allen Einstellungen des Quellrezepts erzeugt

Der Rezeptstatus wird immer vom Quellrezept (und dessen Rezeptversion) übernommen.

Die Rezeptversion wird nicht mit übertragen,da diese keine Eigenschaft des Rezepts ist, sondern den Namen weiter spezifiziert.

Bei Angabe von Rezeptversion und Rezeptstatus gilt:

  • Die spezifizierte Rezeptversion für den spezifizierten Rezeptnamen oder für den spezifizierten Rezeptnamen mit dem spezifizierten Rezeptstatus muss existieren
  • Existiert noch kein Rezept mit dem spezifizierten Namen, dann wird eine neue Version 1 mit dem spezifizierten Namen erzeugt und der Status wie ihm Quellrezept gesetzt.

Spezifizierung über Variablen

Wird bei der Konfiguration die Zielrezeptversion oder der Zielrezeptstatus über Variablen spezifiziert, dann wird das Zielrezept nur unter folgenden Bedingungen erzeugt oder überschrieben:

  • Die durch den Variablenwert definierte Zielversion mit dem durch den Variablenwert definierten Status existiert bereits:
    • Das definierte Zielrezept wird mit dem Quellrezept überschrieben.
    • Die Nummer der Rezeptversion bleibt gleich.
    • Der Rezeptstatus wird vom Quellrezept übernommen.
  • Es existiert noch keine Rezeptversion mit diesem Namen:
    • Es wird eine Rezeptversion 1 erzeugt, egal welchen Wert die Variable für die Zielversion hat.
    • Der Rezeptstatus wird vom Quellrezept übernommen.
  • Es existiert ein Rezept mit dem Zielnamen, aber keine Rezeptversion die dem Variablenwert für die Zielversion entspricht:
  • Es wird keine neue Version erzeugt.
    Das gilt auch, wenn keine Rezeptversion 1 mehr existiert.


Rezeptversion neu anlegen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezeptversion neu anlegen

Diese Funktion legt eine neue Rezeptversion für das ausgewählte Rezept an. Die Rezeptwerte werden mit den Ersatzwerten der Variablen belegt. Es können maximal 89999 Rezeptversionen angelegt werden.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezeptversion löschen

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezeptversion löschen

Diese Funktion löscht die ausgewählte Rezeptversion. Ist nur mehr eine Rezeptversion vorhanden, wird damit das gesamte Rezept gelöscht.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Duplizieren als neue Rezeptversion

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Duplizieren als neue Rezeptversion

Diese Funktion legt eine neue Rezeptversion für das ausgewählte Rezept an. Die Rezeptwerte werden mit den Werten des gewählten Rezeptes belegt.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Duplizieren und lesen als neue Rezeptversion

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Duplizieren und lesen als neue Rezeptversion

Diese Funktion legt eine neue Rezeptversion für das ausgewählte Rezept an. Die Rezeptwerte werden mit den Werten des gewählten Rezeptes belegt. Anschließend werden die Werte aus der Steuerung eingelesen. Können die Werte nicht eingelesen werden, dann stammen die Werte des Duplikats nicht mehr von der Steuerung, sondern werden lediglich vom Originalrezept kopiert.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Rezeptwerte auf Grafische Rezeptvariablen schreiben

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezeptwerte auf Grafische Rezeptvariablen schreiben

Diese Funktion schreibt Rezeptwerte auf Grafische Rezeptvariablen.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Grafische Rezeptvariablen auf Rezeptwerte schreiben

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Grafische Rezeptvariablen auf Rezeptwerte schreiben

Diese Funktion schreibt Werte der Grafischen Rezeptvariablen auf Rezeptwerte.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept. Sind die Werte der Variablen ungültig, werden keine Rezepte geöffnet.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Alle als XML exportieren

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Alle als XML exportieren

Diese Funktion exportiert den gesamten Inhalt des RGM in eine XML-Datei.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Dateiauswahl

Einstellungen für Vergabe des Dateinamens der Exportdatei. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Dateiname statisch
  • Dateiname aus Variable
  • Dateiname automatisch generieren

Sofern kein anderer Ordner angegeben wird, wird die Exportdatei im Export-Ordner des Projekts abgelegt:

%CD_USERDATA%\[Project]\Export

Dateiname statisch:

Der Name der Exportdatei wird vom Benutzer direkt definiert. Der Dateiname kann als absoluter Pfad oder relativ zum eingestellten Exportpfad angegeben werden. Zusätzlich besteht die Möglichkeit, den Dateinamen durch Platzhalter dynamisch zu generieren.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners und Vergabe eines Namens.

Wird ein Name ohne Pfad angegeben, wird die Exportdatei in den Runtime-Ordner geschrieben.

Dateiname aus Variable:

Der Name der Exportdatei wird durch den Inhalt einer String-Variable definiert. Klick auf Schaltfläche ... öffnet Auswahldialog für Variable. Auch die Variable kann den Dateinamen mit Absolutpfad, Relativpfad und mit Platzhaltern ausgeben.

Dateiname automatisch generieren:

Der Name der Exportdatei wird automatisch erstellt. Er setzt sich zusammen aus dem Präfix RGM plus dem Platzhalter <DateTime>.

Zum Beispiel: RGM 10_11_2011 10_42_29.xml

Vorhandene Datei überschreiben

Aktiv: Eine im Ordner bereits vorhandene Datei gleichen Namens wird überschrieben.

Inaktiv: Der Export wird abgebrochen, wenn eine Datei gleichen Namens vorhanden ist.

Default: inaktiv

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.

Noch in diesem Kapitel

Platzhalter für dynamische Pfade


Platzhalter für dynamische Pfade

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Alle als XML exportieren > Platzhalter für dynamische Pfade

Platzhalter

Bedingung

Ergebnis

<ProjectName>
  • Immer

Projektname

<DateTime>
  • Immer

Datum und die Uhrzeit im Format entsprechend der Systemeinstellungen.

Alle für Dateinamen ungültigen und unerwünschten Zeichen werden durch Unterstrich (_) ersetzt.

Für Deutsch(Deutschland) wird zum Beispiel das Datum 24.12.2001, um 16:04 Uhr und 59 Sekunden zu: 24_12_2011 16_04_59

<RGMGroupName>
  • Export einer Gruppe
  • Export eines Rezeptes
  • Import mit Gruppenauswahl

Name der ausgewählten Rezeptgruppe.

<RGMRecipeName>
  • Export eines Rezeptes

Name des ausgewählten Rezepts.

<RGMRecipeVersion>
  • Export eines Rezeptes

Versionsnummer des ausgewählten Rezepts.


XML exportieren Rezeptgruppe

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > XML exportieren Rezeptgruppe

Diese Funktion exportiert die ausgewählte Rezeptgruppe samt Inhalt in eine XML-Datei.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Dateiauswahl

Einstellungen für Vergabe des Dateinamens der Exportdatei. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Dateiname statisch
  • Dateiname aus Variable
  • Dateiname automatisch generieren

Sofern kein anderer Ordner angegeben wird, wird die Exportdatei im Export-Ordner des Projekts abgelegt:

%CD_USERDATA%\[Project]\Export

Dateiname statisch:

Der Name der Exportdatei wird vom Benutzer direkt definiert. Der Dateiname kann als absoluter Pfad oder relativ zum eingestellten Exportpfad angegeben werden. Zusätzlich besteht die Möglichkeit, den Dateinamen durch Platzhalter dynamisch zu generieren.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners und Vergabe eines Namens.

Wird ein Name ohne Pfad angegeben, wird die Exportdatei in den Runtime-Ordner geschrieben.

Dateiname aus Variable:

Der Name der Exportdatei wird durch den Inhalt einer String-Variable definiert. Klick auf Schaltfläche ... öffnet Auswahldialog für Variable. Auch die Variable kann den Dateinamen mit Absolutpfad, Relativpfad und mit Platzhaltern ausgeben.

Dateiname automatisch generieren:

Der Name der Exportdatei wird automatisch erstellt. Er setzt sich zusammen aus dem Präfix RGM plus dem Platzhalter <RGMGroupName>.

Zum Beispiel: <RGM GroupName>.xml ergibt für die Gruppe 1: Gruppe 1.xml.

Vorhandene Datei überschreiben

Aktiv: Eine im Ordner bereits vorhandene Datei gleichen Namens wird überschrieben.

Inaktiv: Der Export wird abgebrochen, wenn eine Datei gleichen Namens vorhanden ist.

Default: inaktiv

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.

Platzhalter für dynamische Pfade

Platzhalter

Bedingung

Ergebnis

<ProjectName>
  • Immer

Projektname

<DateTime>
  • Immer

Datum und die Uhrzeit im Format entsprechend der Systemeinstellungen.

Alle für Dateinamen ungültigen und unerwünschten Zeichen werden durch Unterstrich (_) ersetzt.

Für Deutsch(Deutschland) wird zum Beispiel das Datum 24.12.2001, um 16:04 Uhr und 59 Sekunden zu: 24_12_2011 16_04_59

<RGMGroupName>
  • Export einer Gruppe
  • Export eines Rezeptes
  • Import mit Gruppenauswahl

Name der ausgewählten Rezeptgruppe.

<RGMRecipeName>
  • Export eines Rezeptes

Name des ausgewählten Rezepts.

<RGMRecipeVersion>
  • Export eines Rezeptes

Versionsnummer des ausgewählten Rezepts.


XML exportieren Rezept

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > XML exportieren Rezept

Diese Funktion exportiert das ausgewählte Rezept in eine XML-Datei. Der Name der Rezeptgruppe wird mit exportiert. Werden Rezeptgruppen nach dem Export umbenannt, geht diese Zuordnung beim Import verloren.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Dateiauswahl

Einstellungen für Vergabe des Dateinamens des Exportdatei. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Dateiname statisch
  • Dateiname aus Variable
  • Dateiname automatisch generieren

Sofern kein anderer Ordner angegeben wird, wird die Exportdatei im Export-Ordner des Projekts abgelegt:

%CD_USERDATA%\[Project]\Export

Dateiname statisch:

Der Name der Exportdatei wird vom Benutzer direkt definiert. Der Dateiname kann als absoluter Pfad oder relativ zum eingestellten Exportpfad angegeben werden. Zusätzlich besteht die Möglichkeit, den Dateinamen durch Platzhalter dynamisch zu generieren.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners und Vergabe eines Namens.

Wird ein Name ohne Pfad angegeben, wird die Exportdatei in den Runtime-Ordner geschrieben.

Dateiname aus Variable:

Der Name der Exportdatei wird durch den Inhalt einer String-Variable definiert. Klick auf Schaltfläche ... öffnet Auswahldialog für Variable. Auch die Variable kann den Dateinamen mit Absolutpfad, Relativpfad und mit Platzhaltern ausgeben.

Dateiname automatisch generieren:

Der Name der Exportdatei wird automatisch erstellt. Er setzt sich zusammen aus dem Präfix RGM plus dem Platzhalter <RGMRecipeName>.<RGMRecipeVersion>.

Zum Beispiel: <RGMRecipeName>.<RGMRecipeVersion> ergibt für das Rezept Rezept 1 mit der Version 3: Rezept 1.3.xml.

Vorhandene Datei überschreiben

Aktiv: Eine im Ordner bereits vorhandene Datei gleichen Namens wird überschrieben.

Inaktiv: Der Export wird abgebrochen, wenn eine Datei gleichen Namens vorhanden ist.

Default: inaktiv

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


XML importieren

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > XML importieren

Diese Funktion importiert den Inhalt der angegebenen XML-Datei. Sind darin einzelne Rezepte ohne Gruppenzugehörigkeit vorhanden, dann werden diese Rezepte in die ausgewählte Gruppe importiert, sonst wird die Gruppenauswahl ignoriert:

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe, in die Rezepte ohne Zuordnung importiert werden sollen. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable
  • über Importdatei

Klick auf Eigenschaft öffnet Dropdownliste zur Auswahl der Methode.

Sind in der XML-Datei bereits Rezeptgruppen enthalten, wird diese Einstellung ignoriert.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezeptgruppenname aus Datei.

Der Name der Rezeptgruppe wird aus der zu importierenden Datei übernommen.

Dateiauswahl

Einstellungen für Auswahl der Datei, aus der importiert wird. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Dateiname statisch
  • Dateiname aus Variable

Standardordner für exportierte Daten ist der Export-Ordner des Projekts:

%CD_USERDATA%\[Project]\Export

Dateiname statisch:

Der Name der Importdatei wird vom Benutzer direkt definiert. Der Dateiname kann als absoluter Pfad oder relativ zum eingestellten Exportpfad angegeben werden. Zusätzlich besteht die Möglichkeit, den Dateinamen durch Platzhalter dynamisch zu generieren.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners und einer Datei.

Dateiname aus Variable:

Der Name der Importdatei wird durch den Inhalt einer String-Variable definiert. Klick auf Schaltfläche ... öffnet Auswahldialog für Variable. Auch die Variable kann den Dateinamen mit Absolutpfad, Relativpfad und mit Platzhaltern ausgeben.

Vorhandene Rezepte überschreiben
  • Aktiv: Bereits vorhandene Rezepte gleichen Namens werden beim Import überschrieben.
  • Inaktiv: Bereits vorhandene Rezepte werden nicht überschrieben. Es werden nur die neuen Rezepte angelegt.

Default: inaktiv

Achtung: Beachten Sie das Verhalten beim Überschreiben von versionierten Rezepten. In bestimmten Fällen können dabei importierte Rezepte überschrieben werden. Details siehe Abschnitt Import und Versionierung.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten
  • Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren
  • Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet die Online-Hilfe.

Hinweise zum Import bei unterschiedlichen Variablen

Ablauf

Wird ein Rezept aus einer XML-Datei importiert, deren Variablen sich von den Variablen des Original-Rezepts unterscheiden, dann:

  • wird das Rezept importiert
  • werden Variablen, die in der XML-Datei und in der Runtime existieren, im Original-Rezept überschrieben
  • werden alle anderen Variablen ignoriert
  • gibt die Systemtreibervariable den Wert 2 (Import wurde ohne Fehler abgeschlossen) zurück

Block-Arrays

Wurde zwischen Export und Re-Import einer Rezeptgruppe die Größe eines Block-Arrays geändert, dann gilt bei:

  • Vergrößern der Array-Größe (Gruppe existiert bereits) : die neuen Variablen werden nicht zur Rezeptgruppe hinzugefügt
  • Vergrößern der Array-Größe (Gruppe nicht vorhanden) : die neuen Variablen werden zur Rezeptgruppe hinzugefügt, eine Meldung im Ausgabefenster erfolgt
  • Verkleinern der Array-Größe: die fehlenden Variablen werden aus der Rezeptgruppe entfernt

Import und Versionierung

Beim Import von Rezepten über XML kann es zu einer Konfiguration kommen, in der zumindest eine Version nicht korrekt importiert wird.

Hintergrund: Beim Erstellen neuer Rezepte wird der Versionszähler auf 1 gesetzt. Mit jeder weiteren Version wird diese Zahl um 1 erhöht. Intern wird dieses Zahl nie herabgesetzt, auch nicht beim Löschen von Versionen.

Beim XML-Import können bestehende Rezeptversionen optional auch überschrieben werden. Das Überschreiben funktioniert allerdings nur, wenn diese Version noch existieren. Existiert die Version nicht mehr, dann wird der Versionszähler hochgezählt und ein Rezept mit dieser Versionsnummer erstellt.

Das kann zu folgendem Verhalten führen: Werden mehrere Rezeptversionen importiert und eine Version entspricht dem Zählerstand und eine weitere ist kleiner, dann wird zumindest die niedrigste Version zwar erstellt, aber überschrieben.

Beispiel:

  • Es existiert ein Rezept mit den Versionen 1 und 2.
  • Der Versionszähler wird auf 3 gesetzt.
  • Version 2 wird gelöscht.

Aus einer XML-Datei werden die zuvor gesicherten Versionen 2 und 3 mit aktivierter Option Vorhandene Rezepte überschreiben importiert.
Das führt zu folgendem Verhalten:

  • Beim Import der Rezeptversionen kann Version 2 nicht überschrieben werden, da sie nicht mehr existiert.
  • Sie wird als neue Version 3 erstellt.
  • Dann wird die Version 3 aus der XML-Datei importiert.
    Diese überschreibt die neu erstellte Version 3, die der alten Version 2 entspricht.
  • Anstelle der Versionen 1, 2 und 3 sind damit nur die Versionen 1 und 3 vorhanden.


Detaillierte Rezeptdaten zur Dokumentation in XML speichern

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Detaillierte Rezeptdaten zur Dokumentation in XML speichern

Diese Funktion exportiert detaillierte Rezeptdaten zur Dokumentation in eine XML-Datei.

Hinweis: Diese Daten können nicht mehr importiert werden. Sie sind als Grundlage für die exakte Dokumentation gedacht.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen


Rezept in Textdatei exportieren

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept in Textdatei exportieren

Diese Funktion exportiert das ausgewählte Rezept in eine Textdatei.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe und des Rezepts. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezept

Einstellungen für Rezeptauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezept statisch
  • Rezeptname aus Variable Name
  • Rezeptname aus Variable Nr.

Rezept statisch:

Auswahl eines bereits erstellten Rezepts.

Rezeptname aus Variable Name:

Rezeptname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezeptnummer aus Variable Nr.:

Rezeptnummer wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.

Rezeptversion

Auswahl der Rezeptversion aus bereits bestehenden Versionen oder über eine Variable.

Rezeptversion statisch:

Auswahl einer bestehenden Rezeptversion aus Dropdownliste. Mögliche Auswahl:

  • bereits bestehende Rezeptversion
  • Kleinste Version;
    zusätzlich Auswahl eines Rezeptstatus möglich
  • Größte Version;
    zusätzlich Auswahl eines Rezeptstatus möglich

Rezeptversion aus Variable:

Rezeptversion wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird die Rezeptversion aus einer nummerischen Variable geholt, dann gilt:

  • Wert 90000 entspricht statischem Kleinste Version
  • Wert 90001 entspricht statischem Größte Version

Rezeptstatus

Auswahl des Rezeptstatus aus bereits bestehenden Status oder über eine Variable.

Rezeptstatus statisch:

Der Rezeptstatus wird in Kombination mit der Version gewertet. Steht nur zur Verfügung, wenn die Rezeptversion den Wert Kleinste Version oder Größte Version hat oder aus einer Variablen übernommen wird.
Beispiel: Größte Version mit Status start.

Auswahl eines Rezeptstatus aus Dropdownliste:

  • bestehender Status
  • Alle

Rezeptstatus aus Variable:

Rezeptstatus wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Hinweis: Wird der Rezeptstatus aus einer nummerischen Variable geholt, dann gilt:

  • Wert 0 wird als Alle gewertet
  • kann der Status im Rezept nicht gefunden werden, wird die Aktion abgebrochen

Dateiauswahl

Einstellungen für Vergabe des Dateinamens des Exportdatei. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Dateiname statisch
  • Dateiname aus Variable
  • Dateiname automatisch generieren

Sofern kein anderer Ordner angegeben wird, wird die Exportdatei im Export-Ordner des Projekts abgelegt:

%CD_USERDATA%\[Project]\Export

Dateiname statisch:

Der Name der Exportdatei wird vom Benutzer direkt definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners und Vergabe eines Namens.

Wird ein Name ohne Pfad angegeben, wird die Exportdatei in den Runtime-Ordner geschrieben.

Dateiname aus Variable:

Der Name der Exportdatei wird durch den Inhalt einer String-Variable definiert. Klick auf Schaltfläche ... öffnet Auswahldialog für Variable.

Dateiname automatisch generieren:

Der Name der Exportdatei wird automatisch erstellt. Er ssetzt sich zusammen aus dem Präfix RGM plus Datum und Uhrzeit.

Zum Beispiel: RGM 10_11_2011 10_42_29.txt

Vorhandene Datei überschreiben

Aktiv: Eine im Ordner bereits vorhandene Datei gleichen Namens wird überschrieben.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.

Noch in diesem Kapitel

Aufbau und Format der Textdatei


Aufbau und Format der Textdatei

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept in Textdatei exportieren > Aufbau und Format der Textdatei

Das Exportformat der Textdatei können Sie in den Projekteinstellungen in der Gruppe Runtime Einstellungen über die Eigenschaft Textexport als Unicode auswählen.

Für die aktuelle Version ist die Versionsnummer 4.

Aufbau für Version 4 (Header-Größe 21)

Zeile | Beschreibung | Bemerkung
VER:4; | Versionsnummer der Exportdatei |
Recipe1; | Rezeptname |
1; | Rezeptversion |
3; | Rezeptnummer |
FALSE; | Eigenschaft Synchron schreiben ist abgeleitet von Rezept oder Rezeptgruppe | TRUE oder FALSE
FALSE; | Synchron schreiben ist aktiv | TRUE oder FALSE
FALSE; | Eigenschaft Timeout [ms] ist abgeleitet von Rezept oder Rezeptgruppe | TRUE oder FALSE
0; | Timeout [ms] |
0; | Berechtigungsebene | 0 bis 127
Test comment 1; | Kommentar 1 |
; | Kommentar 2 |
; | Kommentar 3 |
; | Kommentar 4 |
Another comment; | Kommentar 5 |
; | Kommentar 6 |
; | Kommentar 7 |
; | Kommentar 8 |
SYSTEM; | Benutzer der das Rezept zuletzt geändert hat |
18.05.2016 11:25:15; | Zeitstempel der letzten Änderung | Es werden die lokalen Systemeinstellungen verwendet.
SYSTEM; | Benutzer der das Rezept abgesetzt hat |
18.05.2016 11:45:17; | Zeitstempel des Absetzens | Es werden die lokalen Systemeinstellungen verwendet.
Variable1;2;10; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
Variable2;2;12; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
BooleanVariable;2;1; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |

Noch in diesem Kapitel

Aufbau und Format für Version 3

Aufbau und Format für Version 2

Aufbau und Format für Version 1


Aufbau und Format für Version 3

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept in Textdatei exportieren > Aufbau und Format der Textdatei > Aufbau und Format für Version 3

Aufbau für Version 3 (Header-Größe 12)

Zeile | Beschreibung | Bemerkung
VER:3; | Versionsnummer der Exportdatei |
Recipe1; | Rezeptname |
3; | Rezeptnummer |
FALSE; | Synchron schreiben ist aktiv | TRUE oder FALSE
0; | Timeout [ms] |
0; | Berechtigungsebene | 0 bis 127
Test comment 1; | Kommentar 1 |
; | Kommentar 2 |
SYSTEM; | Benutzer der das Rezept zuletzt geändert hat |
18.05.2016 11:25:15; | Zeitstempel der letzten Änderung | Es werden die lokalen Systemeinstellungen verwendet.
SYSTEM; | Benutzer der das Rezept abgesetzt hat |
18.05.2016 11:45:17; | Zeitstempel des Absetzens | Es werden die lokalen Systemeinstellungen verwendet.
Variable1;2;10; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
Variable2;2;12; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
BooleanVariable;2;1; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |


Aufbau und Format für Version 2

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept in Textdatei exportieren > Aufbau und Format der Textdatei > Aufbau und Format für Version 2

Aufbau für Version 2 (Header-Größe 11)

Zeile | Beschreibung | Bemerkung
VER:2; | Versionsnummer der Exportdatei |
Recipe1; | Rezeptname |
3; | Rezeptnummer |
FALSE; | Synchron schreiben ist aktiv | TRUE oder FALSE
0; | Timeout [ms] |
Test comment 1; | Kommentar 1 |
; | Kommentar 2 |
SYSTEM; | Benutzer der das Rezept zuletzt geändert hat |
18.05.2016 11:25:15; | Zeitstempel der letzten Änderung | Es werden die lokalen Systemeinstellungen verwendet.
SYSTEM; | Benutzer der das Rezept abgesetzt hat |
18.05.2016 11:45:17; | Zeitstempel des Absetzens | Es werden die lokalen Systemeinstellungen verwendet.
Variable1;2;10; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
Variable2;2;12; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
BooleanVariable;2;1; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |


Aufbau und Format für Version 1

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept in Textdatei exportieren > Aufbau und Format der Textdatei > Aufbau und Format für Version 1

Aufbau für Version 1 (Header-Größe 8)

Zeile | Beschreibung | Bemerkung
Recipe1; | Rezeptname |
3; | Rezeptnummer |
Test comment 1; | Kommentar 1 |
; | Kommentar 2 |
SYSTEM; | Benutzer der das Rezept zuletzt geändert hat |
18.05.2016 11:25:15; | Zeitstempel der letzten Änderung | Es werden die lokalen Systemeinstellungen verwendet.
SYSTEM; | Benutzer der das Rezept abgesetzt hat |
18.05.2016 11:45:17; | Zeitstempel des Absetzens | Es werden die lokalen Systemeinstellungen verwendet.
Variable1;2;10; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
Variable2;2;12; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |
BooleanVariable;2;1; | Rezeptvariable Variablenname; Aktionstyp; Wert(Quellvariable); |


Rezept von Textdatei importieren

Handbuch > Rezeptgruppen-Manager > Funktionen > Funktion Rezeptgruppen-Manager > Rezept von Textdatei importieren

Diese Funktion importiert Daten aus einer Textdatei.

Parameter

Beschreibung

Aktion

Zeigt die im Dialog Funktion Rezeptgruppen-Manager ausgewählte Aktion an. Nur Anzeige, keine Auswahl möglich.

Rezeptgruppen-/
Rezeptauswahl

Auswahl der Rezeptgruppe, in die importiert werden soll. Die Auswahl kann erfolgen:

  • statisch aus vordefinierten Einträgen
  • dynamisch über Variable
  • über Importdatei

Klick auf Eigenschaft öffnet Combobox zur Auswahl der Methode.

Rezeptgruppe

Einstellungen für Rezeptgruppenauswahl. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Rezeptgruppe statisch
  • Rezeptgruppenname aus Variable

Rezeptgruppe statisch:

Auswahl einer bereits erstellten Rezeptgruppe.

Rezeptgruppenname aus Variable:

Rezeptgruppenname wird aus einer Variablen übernommen. Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Rezeptgruppenname aus Datei.

Der Name der Rezeptgruppe wird aus der zu importierenden Datei übernommen.

Dateiauswahl

Einstellungen für Auswahl der Datei, aus der importiert wird. Klick auf Beschriftung öffnet Dropdownliste für Auswahl:

  • Dateiname statisch
  • Dateiname aus Variable

Standardordner für exportierte Daten ist der Export-Ordner des Projekts:

%CD_USERDATA%\[Project]\Export

Dateiname statisch:

Der Name der Importdatei wird vom Benutzer direkt definiert. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Ordners und einer Datei.

Dateiname aus Variable:

Der Name der Importdatei wird durch den Inhalt einer String-Variable definiert. Klick auf Schaltfläche ... öffnet Auswahldialog für Variable.

Vorhandene Rezepte überschreiben

Aktiv: Bereits vorhandene Rezepte gleichen Namens werden beim Import überschrieben.

Runtime Einstellungen

Einstellungen für die Bedienung zur Runtime.

Dialog zur Runtime anbieten

Aktiv: Dialog wird zur Runtime für Änderungen angeboten.

Rezeptgruppenauswahl zur Runtime sperren

Aktiv: Auswahl der Rezeptgruppe wird zur Runtime gesperrt.

Steht nur zur Verfügung, wenn Dialog zur Runtime anbieten aktiv ist.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog. Die Funktion wird erstellt, allerdings ohne Ziel.

Hilfe

Öffnet Online-Hilfe.


Bedienen zur Runtime

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime

Zur Runtime steht über eine Bildumschaltung das im Editor projektierte Bild zur Verfügung.

Projektierung: Siehe Abschnitt Bild vom Typ Rezeptgruppen-Manager anlegen.

Hinweis: Buttons sind nur aktiv, wenn die entsprechende Liste/Tabelle vorhanden ist.

Rezept bearbeiten und speichern unter

Ein Rezept, das bearbeitet wird, wird erst gespeichert, wenn einer der folgenden Buttons gedrückt wird:

  • Rezept speichern
  • Alle Werte absetzen
  • Ausgewählte Werte absetzen

Klick auf den Button Rezept speichern unter speichert das aktuell in Bearbeitung befindliche Rezept unter einem neuen Namen. Änderungen im Originalrezept, die dort noch nicht gespeichert wurden, sind auch im neuen Rezept nicht vorhanden.

Rezeptname oder Rezeptnummer ändern

Der Rezeptname muss eindeutig sein. Die Rezeptnummer wird nicht auf Eindeutigkeit überprüft. Diese wird nur verwendet, um über die Funktion Rezeptgruppen-Manager ein Rezept über eine Variable aufzurufen. Sind mehrere Rezepte mit gleicher Nummer vorhanden, verwendet zenon das zuerst gefundene Rezept.

Rezepte umbenennen oder löschen

Damit ein Benutzer ein Rezept umbenennen oder löschen kann, muss er über die Bedienberechtigung für alle vorhandenen Versionen des Rezepts besitzen.

Aktualität der dargestellten Informationen

Das RGM-Bild arbeitet zur Runtime mit einer Kopie der RGM-Datenbank. Beim Öffnen des RGM-Bildes zur Runtime wird die aktuelle Information aus der Datenbank angezeigt. Diese Anzeige wird nicht automatisch aktualisiert.

Änderungen werden wie folgt aktualisiert:

  • Ändert sich durch Ausführen einer Funktion oder durch Editieren des Bildes in einem Client der Inhalt, wird die Änderung im aktuell geöffneten Bild nicht angezeigt. Um Änderungen anzuzeigen,muss das Bild geschlossen und erneut geöffnet werden. Damit wird die Datenbank neu eingelesen und der aktualisierte Stand angezeigt.
  • Neue Rezeptgruppen werden mit dem erneuten Öffnen des Bildes sofort angezeigt, Variablen eventuell erst nach dem Neuladen der Runtime.
  • Im Editor geänderte Rezepte oder Rezeptgruppen werden erst nach dem Neuladen der Runtime angezeigt.

attention Achtung

Wenn die Variable für die Sichtbarkeit (Eigenschaft Sichtbarkeit/Variable) ihren Wert ändert während ein RGM-Bild geöffnet ist, das diese Variable enthält, wird das RGM-Bild neu geöffnet. Nicht gespeicherte Änderungen am Bild gehen dabei verloren.

Queueing im Netzwerk

Ab Version 7.10 unterstützt der RGM Queueing für die Kommunikation im Netzwerk. RGM-Abfragen erhalten eine eindeutige ID und werden der Reihe nach abgearbeitet. Versionen vor zenon 7.10 unterstützen das Queueing nicht. Das heißt, Abfragen, die den Server erreichen, während er eine andere Abfrage bearbeitet, werden verworfen.

Noch in diesem Kapitel

Rezeptliste

Rezeptwerttabelle

Keyboards

Statusinformationen bei Rezepten und Rezeptgruppen Manager

Werte über ein Bild in ein Rezept schreiben (Grafische Rezeptvariablen)


Rezeptliste

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptliste

In der Rezeptliste kann jeweils ein einzelner Eintrag ausgewählt werden. Das gewählte Rezept wird in der Rezeptwerttabelle im Bild dargestellt und kann mit den Buttons bearbeitet werden (umbenennen, löschen, ...). Die Spalten können per Drag&Drop angeordnet werden (ausgenommen unter Windows CE).

Wird die Liste gemeinsam mit den Dropdownlisten Rezeptname und/oder Rezeptversion eingesetzt, wird die Auswahl synchronisiert. Wird also die Auswahl in einer Dropdownliste geändert, ändert sich auch die Auswahl in der Rezeptliste und umgekehrt. Sollte der gewählte Eintrag in der Liste durch ein Filterkriterium nicht sichtbar sein, wird in der Liste nichts ausgewählt.

Neue Rezepte und neue Rezeptversionen werden unabhängig von den Filterkriterien am Ende der Tabelle angefügt. Geänderte Rezeptdaten, z. B. der Text eines Kommentares oder der Status, werden erst nach dem Speichern des Rezepts dargestellt. Texte der Kommentare und Überschriften der Spalten werden sprachübersetzt.

Gestaltung der Rezeptliste: Siehe Abschnitt Aussehen der Rezeptliste.


Rezeptwerttabelle

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle

In der Rezeptwerttabelle werden die Werte und Aktionen für die Variablen des ausgewählten Rezepts angezeigt. Die Rezeptwerttabelle steht in zwei Ausprägungen zur Verfügung:

  • Rezeptwerttabelle
  • Rezeptwerttabelle CE

Unterschiede der Rezeptwerttabellen

Rezeptwerttabelle

Die Tabellenspalten können zur Runtime per Drag&Drop angeordnet konfiguriert und mit Klick auf einen Spaltenkopf sortiert werden. Die Spalten können über die Buttons Rezeptwerttabelle Spaltenauswahl und Rezeptwerttabelle Spaltenformat ausgewählt und formatiert werden.

Zur Verfügung stehen:

  • Absetzreihenfolge: nur Anzeige
  • Aktion: editierbar
  • Betriebsmittelkennung: nur Anzeige
  • Filtertext: nur Anzeige
  • Istwert: nur Anzeige
  • Kennung: nur Anzeige
  • Maßeinheit: nur Anzeige
  • max. Wert: nur Anzeige
  • min. Wert: nur Anzeige
  • Variablenname: nur Anzeige
  • Wert oder Variable: abhängig vom Eintrag in der Spalte Aktion editierbar
  • Wertanzeige als Text: abhängig vom Eintrag in der Spalte Aktion editierbar (nur über Bild vom Typ Keyboard)

Rezeptwerttabelle CE

Die Tabelle wird bei der Bildumschaltung konfiguriert.

Verwendung zur Runtime

Rezeptwerttabelle wird verwendet, wenn diese Bedingung zutrifft:

  • Die Rezeptwerttabelle wurde im Bild konfiguriert und in der Bildumschaltung wurde für die Option Formatierung der Rezeptwerttabelle Standardtabelle verwenden ausgewählt.

Rezeptwerttabelle CE wird verwendet, wenn eine der folgenden Bedingungen zutrifft:

  • Die Rezeptwerttabelle CE wurde im Bild konfiguriert.
  • Die Rezeptwerttabelle wurde im Bild konfiguriert und in der Bildumschaltung wurde für die Option Formatierung der Rezeptwerttabelle Formatdatei für Tabelle verwenden ausgewählt.
  • In den Projekteigenschaften wurde die Eigenschaft Windows CE Projekt aktiviert.

Noch in diesem Kapitel

Rezeptwerttabelle Spaltenauswahl

Rezeptwerttabelle Spaltenformat

Rezeptwerttabelle mit Report Viewer darstellen, exportieren oder drucken

Werte und Aktionen

Rezeptwertprüfung

Wertanzeige als Text


Rezeptwerttabelle Spaltenauswahl

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle > Rezeptwerttabelle Spaltenauswahl

Klick auf den Button Spaltenauswahl öffnet den Dialog zur Konfiguration der in der Tabelle anzuzeigenden Spalten. Dieser Button muss im Editor projektiert werden.

Hinweis: Steht nicht zur Verfügung, wenn bei der Bildumschaltung in der Registerkarte Rezeptwerttabelle für die Formatierung der Rezeptwerttabelle Formatdatei für Tabelle verwenden: ausgewählt wurde.

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Rezeptwerttabelle Spaltenformat

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle > Rezeptwerttabelle Spaltenformat

Klick auf den Button Spaltenformat öffnet den Dialog zur Konfiguration der Spalten. Dieser Button muss im Editor projektiert werden.

Hinweis: Steht nicht zur Verfügung, wenn bei der Bildumschaltung in der Registerkarte Rezeptwerttabelle für die Formatierung der Rezeptwerttabelle Formatdatei für Tabelle verwenden: ausgewählt wurde.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Rezeptwerttabelle mit Report Viewer darstellen, exportieren oder drucken

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle > Rezeptwerttabelle mit Report Viewer darstellen, exportieren oder drucken

Um eine Rezeptwerttabelle als Report darzustellen und zu drucken:

  1. Legen Sie die entsprechenden Systemtreibervariablen an.
  2. Legen Sie den entsprechenden Report an.
  3. Zeigen Sie den Report zur Runtime an oder drucken oder exportieren Sie den Report.

Systemtreibervariablen erstellen

Legen Sie Systemtreibervariablen aus der Gruppe Rezeptgruppenmanager an. Dazu:

Legen Sie eine neue Variable an.

  1. Wählen Sie als Treiber SYSDRV.
  2. Wählen Sie als Objekttyp Systemvariable.

  3. Klicken Sie auf Weiter.
  4. Fügen Sie folgende Systemtreibervariablen hinzu:
    • RGM zuletzt gewähltes Rezept – Gruppenname (lokal)
    • RGM zuletzt gewähltes Rezept – Rezeptname (lokal)
    • RGM zuletzt gewähltes Rezept – Rezeptversion (lokal)
    • RGM zuletzt gewähltes Rezept – Rezeptstatus (lokal)

  5. Klicken Sie auf Fertigstellen.

Report Viewer konfigurieren

Legen Sie einen neuen Report RGMReport.rdl mit den Datensätzen Rezeptdaten und Rezeptwerte an.
Dazu:

  1. Legen Sie einen neuen Report an.
  2. Wählen Sie die Datensätze Rezeptdaten und Rezeptwerte aus.

  3. Bestätigen Sie mit Klick auf OK.
  4. Speichern Sie die Datei im Report Builder unter dem Namen RGMReport.rdl oder bennen Sie diese in zenon um.

Report anzeigen oder direkt exportieren oder drucken

Report zur Runtime anzeigen

Um den Report zur Runtime anzuzeigen:

  1. Legen Sie ein Bild vom Typ Report Viewer an, sofern es noch nicht im Projekt existiert.
  2. Legen Sie eine Bildumschaltfunktion auf das Bild vom Typ Report Viewer an.
  3. Wählen Sie als Report Definitionsdatei die zuvor erstellte Datei RGMReport.rdl aus.
  4. Klicken Sie auf die Schaltfläche Datasets aus Datei lesen.
  5. Die Datasets werden angezeigt.

  6. Wählen Sie das erste Dataset aus, z.B. Rezeptdaten.
  7. Klicken Sie auf Bearbeiten.
  8. Der Dialog zur Konfiguration wird geöffnet.
    Wechseln Sie in die Registerkarte Rezeptfilter.
  9. Stellen Sie die vier Dropdownlisten für Rezeptgruppen-/Rezeptauswahl
    von [...] statisch
    auf [...] aus Variable um.
  10. Weisen Sie jedem Eintrag eine der vier zuvor erstellen Systemtreibervariablen zu.

  11. Wiederholen Sie diesen Schritt für das zweite Dataset (Rezeptwerte).
  12. Schließen Sie den Dialog und die Funktion und vergeben Sie einen Namen für die Funktion.
  13. Legen Sie diese Funktion auf einen Button im Bild RGM, um sie zur Runtime zu benutzen.

Report drucken oder exportieren

Um den Report direkt zu drucken oder zu exportieren:

  1. Legen Sie eine neue Funktion an.
  2. Navigieren Sie zur Funktionsgruppe Report Generator/Report Viewer/Analyzer.
  3. Wählen Sie die Funktion Report Viewer: exportieren/drucken.

  4. Wählen Sie die gewünschte Aktion für die Option Report ausgeben:
    • Ausgabe als PDF: Erstellt ein PDF-Dokument.
      Konfigurieren Sie den Dateinamen und Speicherort sowie die Option Vorhandene Daten überschreiben.
    • Ausgabe an Drucker: Druckt die Tabelle am konfigurierten Drucker aus.
  5. Wechseln Sie in die Registerkarte Reportdefinition.
  6. Konfigurieren Sie diese analog der Dokumentation für Report zur Runtime anzeigen.
  7. Schließen Sie den Dialog und die Funktion und vergeben Sie einen Namen für die Funktion.
  8. Legen Sie diese Funktion auf einen Button im Bild RGM, um sie zur Runtime zu benutzen.


Werte und Aktionen

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle > Werte und Aktionen

Werte und Aktionen können zur Runtime direkt in der Rezeptwerttabelle editiert werden.

Hinweis: Im Editor werden Aktionen und Werte bei der Bearbeitung eines Rezepts definiert. Siehe Bearbeiten eines Rezeptes aus der Rezeptgruppe/Aktionen.

info Info

Sind in einem Rezept ungültige Werte/Aktionen vorhanden, werden diese nicht gespeichert. Wird zum Beispiel der Aktionstyp geändert, aber der Wert für die Aktion nicht angepasst, kann zwar der Befehl Rezept speichern ausgeführt werden, allerdings werden die geänderten, ungültigen Werte nicht übernommen.

Werte eingeben

Werte in der Spalte Wert oder Variable und in der Spalte Wertanzeige als Text können zur Runtime direkt oder über ein Bild vom Typ Keyboard geändert werden.

Um Werte in Zellen einzugeben:

  1. Führen Sie einen Doppelklick in die Zelle aus.
  2. Geben Sie den Wert ein.

Hinweis:

  • Es können nur Werte eingegeben werden, die sich innerhalb der für die Rezeptvariablen definierten Wertgrenzen für min. Wert und max. Wert befinden.
  • Das Editieren eines Werts oder einer Variablen ist nur möglich, wenn die dazugehörige Aktion von einem der folgenden Typen ist:
    • Modifizieren Spontanwert
    • Umschalten und modifizieren Spontanwert
    • Modifizieren Ersatzwert
    • Umschalten und modifizieren Ersatzwert
    • Anwender Status
    • Verknüpfen mit Variable
  • Wenn für die Eingabe ein Keyboard aufgeschaltet werden soll, muss dieses mit der Variablen verknüpft oder für den Detantyp konfiguriert worden sein.

Hinweis: Rezeptwerte können über Variablen unsichtbar geschaltet werden.

Filtern von Werten

Werte können über die Filter-Kontrollelemente gefiltert angezeigt werden. Wird ein Filter in der Combobox ausgewählt, werden die entsprechenden Werte unsichtbar geschaltet oder angezeigt. Wird kein Filter gewählt, dann werden alle Werte angezeigt, ausgenommen Variablen, die unsichtbar geschalten sind.

Aktionen definieren

Werte in der Spalte Aktion können zur Runtime direkt durch Auswahl aus der Dropdownliste geändert werden.

Um eine Aktion zu definieren:

  1. Führen Sie einen Doppelklick in die Zelle Aktion der entsprechenden Variablen aus.
  2. Klicken Sie auf das Symbol mit dem Pfeil.
  3. Wählen Sie die gewünschte Aktion aus der Dropdownliste aus.
  4. Mit der Auswahl wird die Aktion in die Rezeptwerttabelle übernommen.

Mögliche Aktionen:

Aktion

Beschreibung

Eintrag in Wert oder Variable

Keine Aktion

Deaktiviert Variable in diesem Rezept.

Keine Eingabe.

Anwender Status

Statusinformation. Setzt das entsprechende Status-Bit der Variablen.

Hinweis: Es können nur Status-Bits gesetzt werden, die als vom Benutzer gesetzt markiert sind. Vom System automatisch gesetzte Status-Bits sind nicht veränderbar.

Achtung: Um zur Runtime ein Keyboard aufschalten zu können, muss in der Eigenschaftengruppe Keyboards für die Eigenschaft Stringparameter ein Keyboard verknüpft sein.

Statuskurzbezeichnung eingeben mit:
=1 zum Setzen
=0 zum Rücksetzen

Es können mehrere Status durch Semikolon ( ;) getrennt eingegeben werden. Zum Beispiel:
M1=1; M5=0

Modifizieren Ersatzwert

Setzt den Ersatzwert auf den Wert, der unter Wert oder Variable angegeben wird.

Ersatzwert eingeben.

Modifizieren Spontanwert

Setzt den Spontanwert auf den Wert, der unter Wert oder Variable angegeben wird.

Sollwert eingeben.

Spontanwert abschalten

Schaltet Spontanwert durch Setzen des Status-Bits OFF (Bit 20) ab.

Keine Eingabe.

Spontanwert einschalten

Schaltet Spontanwert durch Zurücksetzen des OFF Bits ein.

Keine Eingabe.

Umschalten auf Ersatzwert

Schaltet vom Spontanwert auf den Ersatzwert um.

Keine Eingabe.

Umschalten auf Spontanwert

Schaltet vom Ersatzwert auf den Spontanwert um

Keine Eingabe.

Umschalten u. modi. Ersatzwert

Schaltet vom Spontanwert auf den Ersatzwert um und setzt den Ersatzwert auf den Wert, der unter Wert oder Variable angegeben wird.

Ersatzwert eingeben.

Umschalten u. modi.Spontanwert

Schaltet vom Ersatzwert auf den Spontanwert um und setzt den Spontanwert auf den Wert, der unter Wert oder Variable angegeben wird.

Sollwert eingeben.

Verknüpfen mit Variable

Verknüpft Variable mit einer anderen Variablen.

Name einer Variablen.

Rechtsklick in Feld öffnet Kontextmenü zum Öffnen des Dialogs zur Variablenauswahl. Der Wert der Variablen wird auf die ausgewählte Rezeptvariable übergeben. Es ist auch möglich, Variablen aus anderen geladenen Projekten zu verwenden.

Hinweis: Zur Runtime ist auch die Spalte Wertanzeige als Text bearbeitbar. Dazu muss ein Keyboard verknüpft worden sein. Ihre Einstellungen entsprechen denen der Spalte Wert oder Variable.
Ausgenommen sind folgende Aktionen:

  • Anwender Status: nur bearbeitbar mit einer Tastatur vom Typ RGM
  • Verknüpfen mit Variable: nicht bearbeitbar

attention Achtung

Wird bei einem Rezept die Funktionalität Alle Werte lesen mit der Aktion Verknüpfen mit Variable verwendet, werden weder Bedienberechtigungen abgefragt, noch wird diese Aktion protokolliert. Ist eine Protokollierung explizit gewünscht, muss diese manuell erzeugt werden, z. B. über ein VBA-Makro.

Hinweis zu FDA-Konformität: Diese Funktionalität darf daher nicht für Projekte mit strikter FDA-Norm angewandt werden!

Kennzeichnung von Fehlern und Verriegelungen

Die in der Rezeptwerttabelle angezeigten Werte werden automatisch überprüft und bei Fehlern markiert. Gekennzeichnet werden folgende Zellen.

  • Fehler:
    • Werte, die sich außerhalb des definierten Minimal-/Maximalwerts befinden
    • Werte, deren Aktion sich auf eine Variable bezieht, die nicht vorhanden oder nicht erreichbar ist

    Default: rote Hintergrundfarbe.
    Diese Fehlerkennzeichnung ist für die Rezeptwerttabelle CE nicht verfügbar.

  • Zellen, die verriegelte Parameter anzeigen.
    Default: graue Hintergrundfarbe.

Die Übereinstimmung der Werte von SPS und Rezept kann über die Funktion oder den Button Rezeptwert prüfen kontrolliert und angezeigt werden.

Farben für Texte und Hintergrund können jeweils individuell über die Eigenschaften der Gruppe Farben (nicht verfügbar für Rezeptwerttabelle CE) angepasst werden.

Priorität der Farbkennzeichnungen

Werden mehrere Farben auf eine Liste angewandt, gelten folgende Prioritäten:

  1. Allgemein: Auswahlfarben der Objektlisten
  2. RGM: Rezeptwertprüfung
  3. RGM: Online-Validierung
  4. RGM: Verriegelung
  5. Liste: Spaltenfarbe


Rezeptwertprüfung

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle > Rezeptwertprüfung

Bei der Rezeptwertprüfung werden Rezeptwert und Istwert verglichen. Das Ergebnis der Prüfung kann in der Rezeptwerttabelle angezeigt oder an Systemvariablen übergeben werden.

Rezeptwerte können überprüft werden:

  • Automatisch beim Laden, Speichern und Lesen der Werte von der SPS.
  • Mit dem Button Rezeptwerte prüfen.
  • Über die Funktion Rezeptgruppen-Manager.
  • Per VBA.

Ein Wert ist ungültig, wenn:

  • Eine Aktion auf eine Variable verweist, aber keine Variable verknüpft ist.
  • Eine bestimmte Aktion auf Werte außerhalb des erlaubten Bereichs (min./max.) verweist. Das gilt für:
    • Modifizieren Ersatzwert
    • Modifizieren Spontanwert
    • Umschalten und modifizieren Spontanwert
    • Umschalten und modifizieren Ersatzwert

Einfärbung

Die Ergebnisse werden in der Spalte Istwert farblich dargestellt. Die Farben können über die Eigenschaften in der Gruppe Farben/Rezeptwertprüfung angepasst werden. Diese Anpassung steht für die Rezeptwerttabelle CE nicht zur Verfügung. Individuelle Farben können auch für Verriegelungen konfiguriert werden. Bei Fehlern wird die Tabelle zur ersten Fundstelle (rot oder violett) gescrolled.
Einfärbung:

  • Grün: Ergebnisse stimmen überein.
  • Rot: SPS-Wert weicht vom Rezeptwert ab.
  • Blau: Keine Verbindung zur SPS.

Button "Rezeptwerte prüfen"

Um Rezeptwerte zur Runtime sofort in der Rezeptwerttabelle zu überprüfen:

  1. Projektieren Sie im Bild den Button Rezeptwerte prüfen.
  2. Klicken Sie zur Runtime auf den Button.
  3. Alle mit dem Rezept verknüpften Variablen werden eingelesen und die aktuellen Istwerte werden mit den Rezeptwerten verglichen.

Achtung: Die Funktion des Kontrollelements verwendet beim Abgleich mit der SPS Nachkommastellen. Wird bei Variablen mit dem Datentyp REAL die Eigenschaft Nachkommastellen nicht analog den Einstellungen der Steuerung konfiguriert und unterscheiden sich die Werte im Nachkommabereich, dann zeigt die Funktion abweichende Werte an.

Funktion Rezeptgruppen-Manager

Um Rezeptwerte zur Runtime zu überprüfen und das Ergebnis mit Systemtreibervariablen auszugeben:

  1. Projektieren Sie eine Funktion Rezeptgruppen-Manager.
  2. Wird die Funktion zur Runtime ausgelöst, dann werden:
    1. die Rezeptwerte überprüft
    2. die Ergebnisse an die entsprechenden Systemvariablen übergeben


Wertanzeige als Text

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Rezeptwerttabelle > Wertanzeige als Text

Die Spalte Wertanzeige als Text ist nur editierbar, wenn ein Keyboard verlinkt ist. Für die Aktion Verknüpfen mit Variable ist kein Eintrag möglich.

Wenn Sie in der Runtime für einen Wert auch die Bedeutung des Wertes innerhalb des Rezepts anzeigen möchten:

  1. Legen Sie für die Variablen, die Sie im Rezept verwenden, eine Reaktionsmatrix vom Typ numerisch oder String an.

    Der Typ der Reaktionsmatrix muss zum Typ der verwendeten Variablen passen.

  2. In der Reaktionsmatrix definieren Sie "ist gleich" Zustände und geben die gewünschte Bedeutung - den anzuzeigenden Text - an.

Alternative: Um sich Texte anzeigen zu lassen, können Sie auch Grenzwerte oder Reaktionsmatrizen vom Typ binär mit anderen Zuständen als "ist gleich" verwenden. In diesem Fall können Sie jedoch die Funktionalität im Bild vom Typ Keyboard nicht nutzen.

Anzeige in der Runtime

Die Rezeptwerttabelle im Bild vom Typ Rezeptgruppen-Manager zeigt in der Spalte Wertanzeige als Text die jeweils verknüpften Grenzwerttexte entweder aus der Reaktionsmatrix oder aus dem Grenzwert, die vom Rezeptwert verletzt sind. Sind keine Grenzwerttexte verknüpft, wird der Rezeptwert angezeigt.

In selbst-projektierten Report Generator Tabellen können Sie dieselbe Funktionalität mithilfe der Funktionen recipew und recipef mit dem Parameter symbolik erreichen.

Wenn ein Rezeptwert geändert wird und dabei ein Zustand oder Grenzwert verletzt wird, wird der angezeigte Grenzwerttext sofort nachgezogen. Werte können zur Runtime in der Rezeptwerttabelle über ein Bild vom Typ Keyboard geändert werden.

Einträge in die Chronologische Ereignisliste

Bei Rezeptwertänderungen oder beim Absetzen eines Rezepts (Rezeptwerts) werden nicht nur die Werte, sondern auch die entsprechenden Grenzwerttexte in den CEL-Eintrag geschrieben. Wenn kein Zustand oder Grenzwert verletzt ist, wird nur der Wert eingetragen.


Keyboards

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Keyboards

Keyboards dienen bei zenon als virtuelle Tastaturen, die an Geräten ohne Hardware-Tastatur Eingaben zur Runtime ermöglichen. Keyboards werden mit einem Bild vom Typ Keyboard projektiert. zenon stellt automatisch generierte und vom Anwender projektierbare Keyboards zur Verfügung. Für Eingaben in die Rezeptwerttabelle zur Runtime können Keyboards definiert werden. Beim Klick in eine Zelle der Spalte Wert oder Variable wird das entsprechende Keyboard aufgeschaltet.
Voraussetzung: Das Keyboard wurde im Editor

  • entweder für den entsprechenden Datentyp konfiguriert
  • oder mit der Variablen verknüpft

Zur Verfügung stehen in der Gruppe Keyboards folgende Keyboards:

  • Binärparameter
  • Numerische Parameter
  • Stringparameter

attention Achtung

Für den Aktionstyp Anwender Status ist zur Eingabe ein String-Keyboard erforderlich. Dieses muss als globales String-Keyboard projektiert worden sein.

Grund: Zur Bearbeitung einer Variablen wird immer das Keyboard aufgeschaltet, das mit der Variable verlinkt ist und zu ihrem Datentyp gehört. Für den Aktionstyp Anwender Status wird ein String Keyboard benötigt. Dieses ist bei einer numerischen Variablen nicht verknüpft und muss daher zusätzlich projektiert werden.

Projektierung: Projektieren Sie das Keyboard über die Eigenschaft Stringparameter in der RGM Eigenschaftengruppe Keyboards.

Tasten Keyboard für RGM

Für den RGM stehen bei der Konfiguration des Keyboard-Bildes unter Kontrollelemente -> Rezeptgruppenmanager spezifisch spezielle Kontrollelemente zur Verfügung:

Kontrollelement

Beschreibung

Wert absetzen

Der Sollwert wird auf die Variable abgesetzt, im Rezept aktualisiert und das Keyboard wird geschlossen.

Rezept speichern

Das Rezept wird gespeichert.

Wert absetzen und Rezept speichern

Der Sollwert wird auf die Variable abgesetzt, im Rezept aktualisiert, das Rezept gespeichert und das Keyboard geschlossen.

Wertanzeigen als Text 1
bis
Wertanzeigen als Text 32

Tasten können mit Grenzwerten aus einer Reaktionsmatrix verknüpft werden. Dazu muss die Variable des Rezeptparameters

  • mit einer Numerischen Reaktionsmatrix oder Stringreaktionsmatrix verknüpft sein und
  • „ist gleich"-Zustände beinhalten.

Zur Laufzeit werden belegte Tasten eingeblendet und mit dem Text aus der Reaktionsmatrix beschriftet.

Klick auf den Button schreibt den in der Reaktionsmatrix verknüpften Wert als Vorschlag für den Rezeptwert in das Kontrollelement Sollwerteingabe.


Statusinformationen bei Rezepten und Rezeptgruppen Manager

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Statusinformationen bei Rezepten und Rezeptgruppen Manager

Während der Runtime werden Statusinformationen zur Verfügung gestellt beim

  • Schreiben/Lesen
  • Exportieren/Importieren
  • Sichern

Wird ein Rezept geschrieben, enthält die Variable das Ergebnis der Schreiboperation.

Werte

Rezept schreiben

Systemtreibervariable: Standard-Rezept/RGM-Rezept fertig abgesetzt

Wert | Ergebnis
0 | Initialisierungswert vor dem Rezept absetzen
1 | Schreiben wurde erfolgreich ausgeführt
2 | Schreiben wurde nicht ausgeführt, da Parameterfehler vorliegt
3 | Schreiben wurde nicht erfolgreich ausgeführt
5 | Schreiben abgebrochen, da Runtime beendet wird
6 | Timeout aufgetreten

Hinweis: Ist die Netzwerkfunktionalität im Projekt aktiv, so ist für die am lokalen Rechner ausgeführte Funktion die Systemtreibervariable Standard-Rezept/RGM-Rezept fertig abgesetzt (local) relevant.

info Info

Unter Schreiben wird das Schreiben auf den Treiber verstanden. Dieser überträgt danach das Rezept zur Steuerung. Das bedeutet:

  • Eigenschaft Synchron schreiben inaktiv: Der Wert 1 für Standard-Rezept/RGM-Rezept fertig abgesetzt bedeutet nicht, dass die Werte auf der Steuerung sind. Sie wurden lediglich auf den Treiber geschrieben.
  • Eigenschaft Synchron schreiben aktiv: Die Wertänderung erfolgt erst, wenn alle Werte auf der Steuerung aktuell sind.

Hinweis: Die Fortschrittsanzeige beim Schreiben wird nur angezeigt, wenn Synchron schreiben aktiviert ist.

Rezept in Abarbeitung

Systemtreibervariable: Standard-Rezept/RGM-Rezept Funktion in Abarbeitung

Wert

Ergebnis

-1

wird ausgeführt

0

Initialisierungswert erfolgreich gelesen

1

Benutzer hat keine Bedienberechtigung

2

keine Berechtigung im Netzwerk

3

abbrechen durch Benutzer

4

Fehler - nicht alles konnte erfolgreich gelesen werden, z. B.:

  • Unterbrechung der Kommunikation zur Hardware vor Beginn des Einlesens
  • ein Datenbaustein ist auf der Steuerung nicht vorhanden
  • Fehler während der Übertragung aufgetreten

5

Fehler beim Speichern der Rezeptdatei

6

Funktion über VBA abgebrochen

Bildtyp-spezifische Funktionen

Beim

  • Lesen (Systemtreibervariable: Standard-Rezept/RGM-Rezept alle Werte fertig gelesen),
  • Exportieren/Importieren und
  • Sichern

eines Rezeptes mittels Bildtyp-spezifischer Funktion stehen folgende Werte zur Verfügung:

Wert

Ergebnis

0

Initialisierungswert wartet auf Antwort vom Treiber

1

erfolgreich gelesen

2

Fehler beim Lesen, Exportieren/Importieren oder Sichern:

  • Unterbrechung der Kommunikation zur Hardware vor Beginn des Einlesens
  • ein Datenbaustein ist auf der Steuerung nicht vorhanden
  • Fehler während der Übertragung aufgetreten


Werte über ein Bild in ein Rezept schreiben (Grafische Rezeptvariablen)

Handbuch > Rezeptgruppen-Manager > Bedienen zur Runtime > Werte über ein Bild in ein Rezept schreiben (Grafische Rezeptvariablen)

Werte in Rezepten können zur Runtime direkt über Bilder geändert werden. Dazu werden sogenannte Grafische Rezeptvariablen benutzt, die im RGM über die Funktion Rezeptgruppen-Manager gelesen und geschrieben werden können.

Grafische Rezeptvariable definieren

Für jede in einer Rezeptgruppe vorhandene Variable kann eine Grafische Rezeptvariable definiert werden. Jede Grafische Rezeptvariable kann pro Rezeptgruppe nur einmal verwendet werden. Nicht jede Variable der Rezeptgruppe muss über eine Grafische Rezeptvariable verfügen. Um eine Grafische Rezeptvariable zu definieren:

  1. Markieren Sie die Variable der Rezeptgruppe.
  2. Navigieren Sie in den Eigenschaften in die Gruppe Allgemein.
  3. Klicken Sie in die Eigenschaft Grafische Rezeptvariable.
  4. Der Dialog zur Auswahl einer Variablen wird geöffnet.
  5. Wählen Sie die gewünschte Grafische Rezeptvariable.
  6. Bestätigen Sie den Dialog mit OK.

Ablauf Projektierung

  1. Für jede Variable, deren Werte zur Runtime über ein Bild änderbar sein sollen, definieren Sie beim Projektieren eine Grafische Rezeptvariable.
    Diese legen Sie in der Eigenschaft Allgemein/Grafische Rezeptvariable fest.
  2. Projektieren Sie ein Bild, das die änderbaren Rezeptwerte darstellt, zum Beispiel einen Tank.
  3. Verknüpfen Sie das Bild mit der Funktion Rezeptgruppen-Manager und wählen Sie die Aktion Rezeptwerte auf Grafische Rezeptvariablen schreiben.
  4. Projektieren Sie im Bild einen Button.
  5. Verknüpfen Sie den Button mit der Funktion Rezeptgruppen-Manager und wählen Sie die Aktion Grafische Rezeptvariablen auf Rezeptwerte schreiben.

Ablauf Runtime

  1. Das Bild zum Setzen der Werte für den RGM wird aufgerufen.
  2. Dabei werden die Variablen durch die Grafische Rezeptvariable substituiert.
  3. Beim Öffnen des Bildes wird die Funktion Rezeptgruppen-Manager mit der Aktion Rezeptwerte auf Grafische Rezeptvariablen schreiben aufgerufen.
  4. Die Rezeptwerte werden im Bild angezeigt und können geändert werden.
  5. Geänderte Werte werden über den Button mit der die Funktion Rezeptgruppen-Manager/Grafische Rezeptvariablen auf Rezeptwerte schreiben in das Rezept am RGM geschrieben.
  6. Sollte ein Fehler auftreten, kann dies über die Systemtreibervariablen und die Einträge in LOG-Dateien ausgewertet werden.


Fehlerbehandlung

Handbuch > Rezeptgruppen-Manager > Fehlerbehandlung

Fehler können über Systemtreibervariablen und Fehlermeldungen ausgewertet werden. Meldungen der Systemtreibervariablen finden Sie Kapitel Handbuch Systemtreibervariablen, Abschnitt Thema RGM.

Log-Dateien

Eintrag

Ebene

Bedeutung

COM Events

COM Event "RecipeCreate" returned with "bCancel == TRUE"

logLe_DEBUG

Meldung für COM Events, wenn die jeweilige Aktion über den Funktionsparameter bCancel abgebrochen wurde:

  • RecipeCreate
  • VersionCreate
  • RecipeDuplicate
  • VersionDuplicate
  • VersionDuplicateRead
  • RecipeRename
  • RecipeDelete
  • VersionDelete

Wenn die Aktion nicht in der Eventfunktion abgebrochen wurde, erscheint kein spezieller Loggingeintrag.

Grafische Rezeptvariablen

RGM: Teached value out of Minimum max range. Variable: "x1", Value: x2, FromShadow: x3

FAILED

Ein eingelesener Wert verletzt den Minimalwert oder den max. Wert der Sollwertgrenzen des Rezepts.

  • x1: Name der Variable
  • x2: normierter Wert der Variable
  • x3: Hinweis Prozesswert oder Wert einer Grafische Rezeptvariablen

Error while reading current value for CEL logging.

INTERNAL

Beim Einlesen der Momentanwerte für das CEL-Logging (Rezept absetzen) ist ein Fehler aufgetreten. Mögliche Ursachen:

  • ein Wert ist ausserhalb der Grenzen für Minimalwert und max. Wert
    -> zusätzlicher Eintrag RGM: Teached value out of Minimum max range. Variable: "x1", Value: x2, FromShadow: x3
  • ein Wert hat den Status INVALID
  • der Timeout wurde erreicht

Pop-up Meldungen

Meldung | Bedeutung
Der Name "Rezept\Test" enthält ungültige Zeichen (\"'./*?<>!|). | Der eingegebene Rezeptgruppenname oder Rezeptname entspricht nicht den Richtlinien für Namensvergabe. Klammerausdruck enthält nicht zugelassene Zeichen.
Version "7" von Rezept "Rezept1" löschen? | Sicherheitsabfrage vor dem Löschen einer Rezeptversion im RGM Bild zur Runtime..


Beispiele

Handbuch > Rezeptgruppen-Manager > Beispiele

Hier finden Sie Beispiele für die Projektierung:

Noch in diesem Kapitel

Schreiben der höchsten Rezeptversion mit dem Status freigegeben auf die Steuerung

Sprachumschaltung des Anzeigetextes im Element Dynamischer Text


Schreiben der höchsten Rezeptversion mit dem Status freigegeben auf die Steuerung

Handbuch > Rezeptgruppen-Manager > Beispiele > Schreiben der höchsten Rezeptversion mit dem Status freigegeben auf die Steuerung

Um zur Runtime die höchste Rezeptversion mit dem Status freigegeben auf die Steuerung zu schreiben:

  1. Anlegen von Statustexten für die Rezeptstatus:
    1. öffnen Sie die Eigenschaft Bezeichner Rezeptstatus im Rezeptgruppen-Manager
    2. erstellen Sie im Dialog die Status:

      - 1 Entwurf

      - 2 geprüft

      - 3 freigegeben

      - 4 gesperrt

      - 5 gelöscht

    Tipp: Hier können Sie die Statustexte durch ein voran gestelltes @ auch als Schlüsselwörter für die Sprachumschaltung definieren (z. B.: @freigegeben).

  2. Anlegen von mehreren Rezeptversionen:
    1. legen Sie über das Kontextmenü eine neue Rezeptgruppe an
    2. verknüpfen Sie Variablen mit der Rezeptgruppe
    3. legen Sie ein neues Rezept an
    4. legen Sie eine neue Version für das Rezept an
    5. ändern Sie die den Status in der zweiten Version des Rezeptes auf 3 freigegeben
  3. Erstellen der Funktion:
    1. markieren Sie das Rezept und wählen Sie im Kontextmenü oder in der Symbolleiste Standard-Funktion erzeugen
    2. der Dialog zur Konfiguration wird geöffnet
    3. wählen Sie Rezept absetzen
    4. setzen Sie Rezeptversion auf >
    5. wählen Sie bei Rezeptstatus statisch den Eintrag 3 freigegeben

Wird die Funktion zur Runtime ausgeführt, dann wird die höchste vorhandene Version des Rezepts mit dem Status 3 - freigegeben auf die Steuerung geschrieben. Wird nun zum Beispiel eine neue Rezeptversion angelegt und erhält diese den Status 3 - freigegeben, dann wird beim nächsten Aufruf der Funktion diese neue Version auf die Steuerung geschrieben.


Sprachumschaltung des Anzeigetextes im Element Dynamischer Text

Handbuch > Rezeptgruppen-Manager > Beispiele > Sprachumschaltung des Anzeigetextes im Element Dynamischer Text

Um Sprachumschaltung für ein Element vom Typ Dynamischer Text zu benutzen, legen Sie dieses im Editor an und schalten es zur Runtime um.

Im Editor

Um ein Dynamisches Element vom Typ Dynamischer Text anzulegen und zu konfigurieren:

  1. Klicken Sie in der Symbolleiste für die Elemente auf das Symbol für Dynamischer Text und ziehen Sie das Element im Bild auf.
  2. Wählen Sie eine Stringvariable.
  3. Aktivieren Sie die Eigenschaft Anzeigetext übersetzen.

In der Runtime

Die Sollwertvorgabe zeigt den Text als Rohwert an. Der Text ist editierbar:

Bei der Anzeige wird der Text durch die Sprachumschaltung modifiziert:


Runtime-Hilfe

Handbuch > Runtime-Hilfe

zenon bietet die Möglichkeit für die laufenden Projekte in der Runtime eine kontextsensitive Hilfe zu erstellen. Diese Hilfe basiert auf HTML-Seiten die in eine CHM-Datei kompiliert werden.

Die Hilfe-Kapitel stehen in drei Kontexten zur Verfügung:

Parameter | Beschreibung
Hauptmenüs | Ein Hauptmenü-Eintrag kann direkt eine Hilfe-Seite öffnen.
Dynamische Elemente | Für das Kontextmenü jedes Dynamischen Elements kann eine eigene Hilfe-Seite definiert werden.
Funktion Aufruf der Hilfe | Funktion Hilfe aufrufen

Die Runtime-Hilfe ermöglicht die Verwendung aller gängigen Bildformate (z. B. JPG, BMP, GIF, PNG, ...), Textformatierungen sowie Vorwärts- und Rückwärts-Navigation.

Noch in diesem Kapitel

Vorbereitungen

Projektieren im Editor

Darstellung der Hilfe

Runtime-Hilfe unter CE

EPLAN aus Hilfe aufrufen


Vorbereitungen

Handbuch > Runtime-Hilfe > Vorbereitungen

HTML Help Workshop installieren:

Der HTML Help Workshop kompiliert HTML-Dateien in ein CHM-Format. Die Runtime-Hilfe basiert auf CHM-Dateien. Der HTML Help Workshop wird auf dem zenon Installationsmedium im Pfad \AdditionalSoftware\Microsoft HTML Help Workshop mitausgeliefert.

Hilfe-Projekt erstellen:

Es gibt zahlreiche unterschiedliche Tools, mit denen HTML-Dateien erzeugt werden können. Auch in MS Word lassen sich Texte als HTML-Dateien speichern.

In diesem Standard-Hilfe-Projekt sind alle notwendigen Voreinstellungen bereits getätigt.

Vorbereitungen im HTML Help Workshop:

Nachdem der HTML Help Workshop gestartet wurde, muss das Standard-Hilfe-Projekt geladen werden. Mit der Schaltfläche Add/Remove Topic Files können die HTM(L)-Dateien in das Hilfe-Projekt eingebunden werden.

Mit dem Betätigen der Schaltflächen Save and Compile oder Compile wird eine Datei RT_Help.chm im Ordner des aktuellen Hilfe-Projekts erzeugt. Alle HTM(L)-Dateien für dieses Hilfe-Projekt sind in dieser CHM-Datei enthalten.

Bei späteren Änderungen der HTM(L)-Dateien muss das Hilfe-Projekt jeweils neu kompiliert werden.

Mehrere Hilfedateien:

Sollte die Runtime-Hilfe auf mehrere Dateien aufgeteilt werden, sollten alle Dateien in den Ordner der nächsten Datei kopiert werden. Jetzt kann das Hilfe-Projekt umbenannt werden und die HTM(L)-Dateien werden durch die neuen ersetzt. Ein Kompilieren des neuen Hilfe-Projekts schließt die Erstellung der neuen Hilfedatei ab.

Vorbereitung für sprachumschaltbare Hilfe:

Nachdem das Hilfe-Projekt in einer Sprache erstellt wurde, sollten alle Dateien in den Ordner der nächsten Sprache kopiert werden. Jetzt können die HTM(L)-Dateien durch die der neuen Sprache ersetzt werden. Nach dem Starten des HTML Help Workshops muss unter den International Settings die Language auf die entsprechende Sprache geändert werden. Ein erneutes Kompilieren des Hilfe-Projekts schließt die Erstellung der Hilfe in der neuen Sprache ab.

Die Namen der Hilfe-Projekte (*.hpp, *.chm) und die Namen der HTM(L)-Dateien müssen in allen Sprachen identisch sein!


Projektieren im Editor

Handbuch > Runtime-Hilfe > Projektieren im Editor

Im Projektmanager unter Dateien/Hilfe können im Kontextmenü CHM Dateien hinzugefügt werden. Dabei wird die Standard-Sprache über das Kontextmenü in diese Verzweigung eingebunden. Werden hier keine Standard-Dateien eingetragen, so lassen sich in der späteren Projektierung keine Dateien auswählen!

Noch in diesem Kapitel

Sprachumschaltbarkeit

Aktualisieren von Hilfedateien

Hilfe-Datei und Hilfekapitel konfigurieren


Sprachumschaltbarkeit

Handbuch > Runtime-Hilfe > Projektieren im Editor > Sprachumschaltbarkeit

Bei sprachumschaltbaren Projekten muss für jede Sprache ein eigener Unterordner angelegt werden. In diese Unterordner werden die Hilfedateien für die jeweilige Sprache eingefügt. Nötige Schritte:

  • im Kontextmenü von Dateien/Hilfe für jede Sprache eigene Unterordner anlegen, z. B. Englisch und Deutsch.
  • die Einträge in der Hilfedatei übersetzen
  • mit HTML-Help Workshop neu kompilieren
  • eine RT-Help.chm muss in jedem Sprachordner angelegt werden
    • dazu im Kontextmenü Datei hinzufügen wählen
  • alle Hilfedateien müssen dann wiederum über das Kontextmenü in die lokale Arbeitsversion geholt werden


Aktualisieren von Hilfedateien

Handbuch > Runtime-Hilfe > Projektieren im Editor > Aktualisieren von Hilfedateien

Sollten während der Projektierung die bestehenden Hilfedateien gegen neuere getauscht werden, so muss dies von Hand geschehen. Die neuen CHM-Dateien werden in das entsprechende Unterverzeichnis des Projekts kopiert. Im Editor können diese dann mit dem Befehl Änderungen ermöglichen und Änderungen übernehmen in die Datenbank des Projekts übernommen werden.


Hilfe-Datei und Hilfekapitel konfigurieren

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren

Die Dateien und Kapitel, auf die für die Hilfe zugegriffen wird, werden über Eigenschaften im Editor festgelegt für:

  • Menüs
  • Alarme
  • Dynamische Elemente
  • Funktion Hilfe aufrufen

Konfiguration

Alle Hilfe-Aufrufe sind wie folgt einstellbar:

  • Kombination des Namens einer CHM- und einer inkludierten HTM-Datei.
  • Nur Name der HTM-Datei plus Index einer inkludierten HTM-Datei.

CHM-Datei

Um Hilfe-Dateien zur Runtime anzuzeigen, muss eine CHM-Datei angegeben werden. Für diese Datei werden Kapitel definiert, die aufgerufen werden. Die Konfiguration erfolgt in den unterschiedlichen Bereichen und folgt diesem Schema:

  1. Auswahl Hilfe-Datei:
    Auswahl einer CHM-Datei, aus der ein Kapitel angezeigt werden soll. Diese Datei muss bereits im Projektbaum im Knoten Dateien/Hilfe vorhanden sein.
  2. Angabe Hilefekapitel:
    Angabe des Kapitel aus der CHM-Datei, das angezeigt werden soll. Der Name des Kapitel wird manuell eingegeben und mit der Dateiendung htm ergänzt.

Menüs

Für Hauptmenü und Kontextmenü ist für jeden Eintrag ein Hilfe-Eintrag konfigurierbar. Normalerweise werden die Hilfeseiten der verknüpften Elemente angezeigt. Hat ein verknüpftes Element keine Hilfeseite, so wird die hier definierte Seite angezeigt.

Diese werden über die Eigenschaften der Gruppe Hilfe konfiguriert.

  • Datei: Auswahl der CHM-Datei, aus der ein Kapitel angezeigt werden soll.
  • Kapitel: Name des Hilfekapitels, das angezeigt werden soll.
    Syntax: Kapitelname.htm
    Achtung: Dieser Eintrag berücksichtigt Groß-/Kleinschreibung.

Weitere Hinweise: Kapitel Hilfe im Menü.

Alarme

Hilfe-Einträge für Alarme werden über die Eigenschaften des jeweiligen Grenzwerts der Variable konfiguriert.
In der Gruppe Grenzwerte stehen für jeden definierten Grenzwert entsprechende Einträge in der Untergruppe Hilfe zur Verfügung:

  • Hilfe-Datei: Auswahl der CHM-Datei, aus der ein Hilfe-Kapitel für diesen Alarm in der Alarmmeldeliste angezeigt werden soll.
    Hinweis: Es kann auch eine Seite aus EPLAN aufgerufen werden.
  • Hilfe-Kapitel: Angabe des Hilfe-Kapitels, das für diesen Alarm in der Alarmmeldeliste angezeigt werden soll.
    Syntax: Kapitelname.htm
    Achtung: Dieser Eintrag berücksichtigt Groß-/Kleinschreibung.

Weitere Hinweise: Kapitel Hilfe für Alarme .

Dynamische Elemente in Bildern

Jedes Dynamische Element in einem Bild kann einen Hilfe-Eintrag erhalten. Diesen definieren Sie in der Gruppe Runtime in den entsprechenden Eigenschaften der Untergruppe Hilfe:

  • Hilfe-Datei: Auswahl der CHM-Datei, aus der ein Kapitel angezeigt werden soll.
  • Hilfe-Kapitel: Name des Hilfekapitels, das angezeigt werden soll.
    Syntax: Kapitelname.htm
    Achtung: Dieser Eintrag berücksichtigt Groß-/Kleinschreibung.

Wird für ein Dynamisches Element keine Hilfeseite verknüpft, wird die im Bereich Menüs verknüpft Hilfe angezeigt, sofern vorhanden.

Weitere Hinweise: Kapitel Hilfe für dynamische Elemente.

Funktion Hilfe aufrufen

Über die Funktion Hilfe aufrufen kann ein bestimmtes Kapitel aus einer .chm-Datei aufgerufen werden.

Weitere Hinweise: Kapitel Funktion Hilfe aufrufen.

Noch in diesem Kapitel

Hilfe im Menü

Hilfe für Alarme

Hilfe für Dynamische Elemente

Funktion Hilfe aufrufen


Hilfe im Menü

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren > Hilfe im Menü

Nach der Auswahl des gewünschten Hauptmenüs, wird ein neuer Menüpunkt für die Hilfe angelegt. Ist dieser ausgewählt, können im Eigenschaftenfenster folgende Einstellungen getroffen werden:

Parameter

Beschreibung

Kontextmenü:Aktionstyp

Der Aktionstyp muss auf Hilfe gesetzt werden, sonst sind die weiteren Eigenschaften für die Hilfe nicht auswählbar.

Dynamisches Element: Hilfe-Datei

Hier wird die entsprechende Hilfedatei (*.chm) aus der Standard-Sprache ausgewählt.

Diese Einstellung dient als Default, falls für das Dynamische Element keine eigene Hilfedatei definiert wurde.

Dynamisches Element: Hilfe-Kapitel

Hier wird das entsprechende Hilfe-Kapitel aus der ausgewählten Hilfedatei angegeben. Die Hilfe-Kapitel haben jeweils den Name der zu Grunde liegenden HTM-Datei.

Diese Einstellung dient als Default, falls für das Dynamische Element kein eigenes Hilfe-Kapitel definiert wurde.


Hilfe für Alarme

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren > Hilfe für Alarme

Für jeden Alarm kann eine kontextsensitive Hilfe angeboten werden. Die entsprechenden Einstellungen werden direkt am Alarm definiert. Aufgerufen wird diese Hilfe im Alarmbild (Bildtyp Alarmmeldeliste). Nach Auswahl eines Eintrags in der Alarmmeldeliste und Betätigung des Buttons Hilfe wird die entsprechende Hilfe-Seite angezeigt.

Die folgenden Einstellungen in den Eigenschaften der Grenzwerte einer Variablen sind nötig:

Parameter | Beschreibung
In Alarmmeldeliste | Diese Eigenschaft muss aktiviert werden, sonst sind die weiteren Eigenschaften für die Hilfe nicht auswählbar.
Hilfe-Datei | Hier wird die entsprechende Hilfedatei (*.chm) aus der Standard-Sprache ausgewählt.
Hilfe-Kapitel | Hier wird das entsprechende Hilfe-Kapitel aus der ausgewählten Hilfedatei angegeben. Die Hilfe-Kapitel haben jeweils den Name der zu Grunde liegenden HTM-Datei.


Hilfe für Dynamische Elemente

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren > Hilfe für Dynamische Elemente

Bei jedem Dynamischen Bildelement lässt sich ein Kontextmenü auswählen. Wenn das Kontextmenü einen Eintrag mit dem Aktionstyp Hilfe aufweist, wird für das Dynamische Element eine kontextsensitive Hilfe angezeigt.

Noch in diesem Kapitel

Kontextmenü definieren

Dynamisches Element definieren


Kontextmenü definieren

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren > Hilfe für Dynamische Elemente > Kontextmenü definieren

Nach der Auswahl des gewünschten Kontextmenüs, wird ein neuer Menüpunkt für die Hilfe angelegt. Die folgenden Einstellungen in den Eigenschaften sind nötig:

Parameter

Beschreibung

Kontextmenü:

Aktionstyp

Der Aktionstyp muss auf Hilfe gesetzt werden, sonst sind die weiteren Eigenschaften für die Hilfe nicht auswählbar.

Dynamisches Element: Hilfe-Datei

Hier wird die entsprechende Hilfedatei (*.chm) aus der Standard-Sprache ausgewählt.

Diese Einstellung dient als Default, falls für das Dynamische Element keine eigene Hilfedatei definiert wurde.

Dynamisches Element: Hilfe-Kapitel

Hier wird das entsprechende Hilfe-Kapitel aus der ausgewählten Hilfedatei angegeben. Die Hilfe-Kapitel haben jeweils den Name der zu Grunde liegenden HTM-Datei.

Diese Einstellung dient als Default, falls für das Dynamische Element kein eigenes Hilfe-Kapitel definiert wurde.

Dieses Kontextmenü kann nun für verschiedene Dynamische Elemente verwendet werden.


Dynamisches Element definieren

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren > Hilfe für Dynamische Elemente > Dynamisches Element definieren

Die folgenden Einstellungen in den Eigenschaften des Dynamischen Elements sind nötig:

Parameter | Beschreibung
Kontextmenü | Hier wird das gewünschte Kontextmenü aus der Liste ausgewählt.
Hilfe-Datei | Hier wird die entsprechende Hilfedatei (*.chm) aus der Standard-Sprache ausgewählt. Falls für das dynamische Element keine eigene Hilfedatei definiert wird, wird die Einstellung aus dem Kontextmenü verwendet.
Hilfe-Kapitel | Hier wird das entsprechende Hilfe-Kapitel aus der ausgewählten Hilfedatei angegeben. Die Hilfe-Kapitel haben jeweils den Name der zu Grunde liegenden HTM-Datei. Falls für das dynamische Element kein eigenes Hilfe-Kapitel definiert wird, wird die Einstellung aus dem Kontextmenü verwendet.


Funktion Hilfe aufrufen

Handbuch > Runtime-Hilfe > Projektieren im Editor > Hilfe-Datei und Hilfekapitel konfigurieren > Funktion Hilfe aufrufen

Mit dieser Funktion kann eine Hilfeseite geöffnet werden für Menüs, Grenzwerte, Dynamische Bildelemente:

  1. Wählen Sie im Kontextmenü des Knotens Funktionen den Befehl Funktion neu.
  2. Navigieren Sie zum Knoten Anwendung.
  3. Wählen Sie Hilfe aufrufen.

    Der Konfigurationsdialog wird geöffnet

Dialog Hilfe aufrufen

Parameter | Beschreibung
Hilfe-Datei | Hilfedatei (*.CHM), aus der eine Seite angezeigt werden soll. Klick auf Schaltfläche ... öffnet Explorer zur Auswahl einer CHM-Datei. Diese Datei muss bereits im Projektbaum im Knoten Dateien/Hilfe vorhanden sein.
Hilefekapitel | Hilfeseite die angezeigt werden soll. Manuelle Eingabe des Dateinamens des Kapitels vor dem Kompilieren mit Dateinamenerweiterung htm. Format: Dateiname.htm

Alle Hilfe-Aufrufe sind wie folgt einstellbar:

  • Kombination des Namens einer CHM- und einer inkludierten HTM-Datei.
  • Nur Name der HTM-Datei plus Index einer inkludierten HTM-Datei.

info Info

Beim Aufbauen einer HTML-Präsentation sollte jede einzelne HTM-Seite einen aussagekräftigen Titel erhalten, da dieser unter Windows CE angezeigt wird.


Darstellung der Hilfe

Handbuch > Runtime-Hilfe > Darstellung der Hilfe

Die Darstellung der Hilfe kann auf zwei verschiedene Arten erfolgen:

  1. Extern: über die HTML-Hilfe des Betriebssystems.
    Beachten Sie die Einschränkungen zur Sprachumschaltung!
  2. Intern: über die Hilfe im HTML-Bild

Noch in diesem Kapitel

HTML-Hilfe des Betriebssystems

Hilfe in HTML-Bild


HTML-Hilfe des Betriebssystems

Handbuch > Runtime-Hilfe > Darstellung der Hilfe > HTML-Hilfe des Betriebssystems

Diese Art der Darstellung wird als Default verwendet. Keine weitere Projektierung ist nötig.

attention Achtung

In der Regel ist Sprachumschaltung mit der HMTL-Hilfe von Microsoft Betriebssystemen nicht möglich. Sprachumschaltbare Hilfe muss über ein HTML-Bild projektiert werden.

Ausnahme: Hilfe unter Windows CE.


Hilfe in HTML-Bild

Handbuch > Runtime-Hilfe > Darstellung der Hilfe > Hilfe in HTML-Bild

Wenn ein Bild des Types HTML mit dem Namen HTML-Help besteht, so wird dieses statt der HTML-Hilfe des Betriebssystems verwendet. Beim Bildnamen muss die Groß-/Kleinschreibung beachtet werden.

Die Darstellung der Hilfe erfolgt im Kontrollelement Navigieren.

info Info

Sprachumschaltbarkeit: Wenn die Sprache geändert wird, nachdem der CHM-Viewer geschlossen wurde, wird bei erneutem Aufruf der Hilfe die neue Sprache dargestellt.


Runtime-Hilfe unter CE

Handbuch > Runtime-Hilfe > Runtime-Hilfe unter CE

Unter Windows CE wird die CHM-Datei entpackt und die HTM(L)-Datei im Internet Explorer oder in einem Bild vom Typ HTML angezeigt.

Bei CE-Geräten sind keine Sonderzeichen wie Umlaute, Akzente usw. erlaubt. Alle Referenzen für Windows CE Hilfeobjekte müssen innerhalb folgender Zeichen liegen:

  • A-Z
  • a-z
  • 0-9

info Info

Sprachumschaltung: Im Gegensatz zu anderen Microsoft Windows Betriebssystemen funktioniert die Sprachumschaltung zur Runtime unter Windows CE auch mit der HTML-Hilfe des Betriebssystems.

Hinweis: Jeder Aufruf der Hilfe unter Windows CE schliesst alle anderen offenen Fenster des Internet Explorers eines Benutzers.


EPLAN aus Hilfe aufrufen

Handbuch > Runtime-Hilfe > EPLAN aus Hilfe aufrufen

Bei einem Alarm (Grenzwertverletzung) kann auch ein EPLAN-Dokument aufgerufen werden.

attention Achtung

Die EPLAN-Anbindung muss in zenon lizenziert sein. Lizenzen erhalten Sie Sei Ihrem zenon Ansprechpartner oder unter sales@copadata.com.

Um EPLAN-Dokumente aus zenon zur Runtime aufzurufen:

  1. Tragen Sie den Pfad zum EPLAN-Programm in die zenon6.ini ein.
  2. Navigieren Sie im zenon Editor in der Eigenschaftenhilfe der entsprechenden Variablen in der Gruppe Grenzwerte zur Untergruppe Hilfe.
  3. Tragen Sie in das Feld der Eigenschaft Hilfe-Datei die Zeichenfolge $PRG:xxxxxx ein.
    (xxxxxx steht für die Parameter zum Aufruf des korrekten Dokuments, Details siehe Abschnitt Parameter für den Aufruf der EPLAN Dokumente).
  4. Tragen Sie ein beliebiges Zeichen in das Feld der Eigenschaft Hilfe-Kapitel ein.
    (Diese Eigenschaft wird von EPLAN ignoriert, darf aber nicht leer sein.)

Zur Runtime wird bei Aufruf der Hilfe das konfigurierte EPLAN Dokument aufgerufen.

info Info

Diese Funktionalität kann prinzipiell auch für andere Dokumentarten, wie z.B. PDF, verwendet werden.

Konfiguration zenon6.ini

Tragen Sie in der zenOn6.ini den Pfad zur W3u.exe ein. W3u.exe ist die ausführbare Datei des EPLAN Viewers. Vorausgesetzt wird eine Version ab 1.7.11.

Dazu:

  1. Navigieren Sie zum Abschnitt [PATH] oder erstellen Sie diesen.
  2. Tragen Sie EDOC_PATH=[Pfad]ein.

    Zum Beispiel: EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

info Info

Die zenon6.ini finden Sie im Pfad: %ProgramData%\COPA-DATA\System\

Parameter für den Aufruf der EPLAN-Dokumente

Für den Aufruf eines EPLAN Dokuments aus der Runtime-Hilfe muss ein Sprungziel mit Parameter angegeben werden.

Syntax: edit /[Pfad des EPLAN Projekt] /[DEVICENAME:=Name der Ansicht/Seite im Projekt)]

Parameter

Beschreibung

PROJECTNAME

Projektname mit komplettem Pfad.

  • Aufruf aus der Befehlszeile: Angabe für PROJECTNAME obligatorisch. Alternative: Es wird vorher ProjectAction verwendet. Andernfalls wird der Ausnahmefehler System.Argument Exception ausgelöst.
  • Aufruf über Benutzeroberläche: Beim Aufruf über z.B. ein Script oder die Symbolleiste ist die Angabe optional. Ohne Angabe wird das ausgewählte Projekt verwendet.

PAGENAME

Name der zu prüfenden Seite (optional).

Obligatorisch, wenn X, Y als Parameter für die Cursorplatzierung verwendet werden.

DEVICENAME

Name eines Bauteils (optional).

Beispiele:

  • Projekt öffnen:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk
  • Seite öffnen:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7
  • Seite öffnen und Cursor auf X, Y-Position setzen:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7/X:200/Y:100
  • Seite mit BMK öffnen:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /DEVICENAME:=AP+PT1-G1

Beispiel für Aufruf aus zenon Hilfeseite:

edit /PROJECTNAME:"D:\##Projekte\EPLAN\EPLAN_Alarmanbindung\P8_DEMO.elk" /DEVICENAME:=UNIT+PP-B1

Weitere Informationen zur Konfiguration in EPLAN finden Sie in Ihrer EPLAN Dokumentation.


SAP Interface

Handbuch > SAP Interface

Um die SAP ERP-Ebene (Enterprise-Resource-Planning-Ebene) mit der Prozessebene von zenon zu verbinden, kommunizieren beide Programme über eine bidirektionale Schnittstelle. Damit haben auch SAP Anwender die Möglichkeiten, direkt auf die Prozessebene von zenon zuzugreifen.

Das Leitsystem sendet Meldungen zu beliebigen Vorgängen an die SAP Anwendung. So verknüpfen Unternehmen ihre Prozessebene über einen Closed Loop direkt mit der SAP-Ebene und haben von der Auftragsverwaltung und Produktion bis zur Lieferung lückenlosen Überblick über alle Vorgänge. Zum Beispiel lässt sich so die Lagerhaltung in Echtzeit überwachen, da das Leitsystem aus der SCADA-Ebene exakte Angaben über den echten Ressourcenverbrauch liefert. Damit verfügt das Unternehmen über wichtige Basisdaten für Just-in-time Produktion, aber auch für langfristige Planung.

zenon stellt über ein integriertes Kommunikationsmodul die Möglichkeit zur Verfügung, Prozessdaten direkt an die SAP Anwendung zu übermitteln und zenon Funktionen direkt aus SAP Anwendung auszurufen. Diese Daten werden in einer SAP Umgebung unter anderem für folgende Aufgabenstellungen verwendet:

  • Kommunikation des Status von Prozessaufträgen
  • Information über Verbrauch und Produktion von Materialien
  • Aussagen über den Status von Ressourcen
  • Kommunikation von ausgewählte Prozessereignissen
  • Übergabe von Auftragsdaten an zenon

Prozessmeldungen können in SAP z. B. zur Erstellung von elektronischen Chargen- und Betriebsprotokollen verwendet werden oder zur Aktualisierung eines Prozessauftrags oder von Materialbeständen.

Interaktionen

  • Wartungsmeldungen: Aus zenon Variablen können Wartungsmeldungen erzeugt und an das SAP System weitergegeben werden. Diese können dann im SAP System, abhängig von den dort definierten Workflows, weitere Aktionen auslösen.
    So kann etwa aus einer Wartungsmeldung eines Anlagenteils automatisch ein Arbeitsauftrag für einen Instandhalter generiert werden.
  • Messbelege: In zenon ist es möglich, nach bestimmten Zeitplänen Werte von Prozessvariablen zu erfassen und als Messbeleg an das SAP System zu übergeben. Diese Messbelege können im SAP System etwa für die Planung und Erzeugung von Wartungsaufgaben oder für statistische Zwecke herangezogen werden.
  • Funktionsaufrufe: SAP RFC-Funktionsbausteine können aus zenon aufgerufen und zur Runtime ausgeführt werden. Die zenon SAP Funktion enthält eine Liste von Objekten, die die Parameter und Tabellen des SAP RFC-Funktionsbausteins abbilden.
  • Serverprogramme: Aufruf von zenon Funktionen aus einer SAP Anwendung. Zum Beispiel, um Auftragsdaten an zenon zu übergeben.

Noch in diesem Kapitel

Grundlagen und Voraussetzungen

Projektieren im Editor


Grundlagen und Voraussetzungen

Handbuch > SAP Interface > Grundlagen und Voraussetzungen

Um die direkte Integration in die SAP Welt nutzen zu können, muss auf dem Rechner, auf dem zenon läuft, zusätzlich zu zenon das SAP GUI installiert werden. Die im SAP GUI mitgelieferten Programmbibliotheken sind für die Kommunikation zu einem SAP System zwingend notwendig. Diese SAP GUI ist im Lieferumfang von SAP enthalten.

Weitere Parametrierungen seitens SAP sind nicht notwendig. Zum Datenaustausch ist das installierte SAP GUI ausreichend. Die restlichen Parameter können direkt in der Entwicklungsumgebung des zenon Editors projektiert werden.

info Info

Die Integration von SAP in zenon basiert auf SAP ECC 6.0 für das Szenario PM-PCS 4.0.

Voraussetzungen in zenon

In zenon muss das Modul SAP Interface lizenziert sein.

Funktionsbausteine

Über die RFC-Schnittstelle werden Aktionen im SAP System durch den Aufruf von Funktionsbausteinen (den sogenannten SAP RFC-Funktionsbausteinen) ausgeführt. Diese Funktionsbausteine werden mit SAP mitgeliefert. Über die ABAP Workbench können darüber hinaus auch benutzerdefinierte Funktionsbausteine programmiert werden. ABAP ist eine von SAP entwickelte Programmiersprache, in der alle Funktionsbausteine innerhalb des SAP Systems programmiert sind. Die Integration in zenon beschränkt sich in erster Linie auf die von SAP standardmäßig ausgelieferten Funktionsbausteine. Im Leitsystem wurde zusätzlich eine flexible Schnittstelle geschaffen, die prinzipiell auch eine Integration von kundenspezifischen Funktionsbausteinen ermöglicht.

Die kompletten Beschreibungen von Funktionsbausteinen mit deren Parametern, internen Tabellen und verwendeten Strukturen können über Funktionen der RFC-API oder mithilfe verschiedener zenon Funktionsbausteine aus dem SAP System gelesen werden.

Clientprogramme und Serverprogramme

SAP Anwendungen unterscheiden beim Aufruf von Funktionsbausteinen zwischen Clientprogrammen und Serverprogrammen:

  • Clientprogramm: Wird von einem externen System (z.B eine andere SAP Anwendung) oder einer externen Anwendung (zum Beispiel zenon) aus aufgerufen und in der SAP Anwendung ausgeführt.
  • Serverprogramm: Wird von der SAP Anwendung auf einem anderen System am externen System aufgerufen. Das externe System führt den Funktionsaufruf aus.

Noch in diesem Kapitel

Wartungsmeldungen

Messbelege

Funktionsaufrufe

Serverprogramme


Wartungsmeldungen

Handbuch > SAP Interface > Grundlagen und Voraussetzungen > Wartungsmeldungen

Für das Planungssystem ist es wichtig, auch über aufgetretene Störungen, Stillstandszeiten etc. informiert zu sein. Produktivitätskennzahlen können nur sinnvoll berechnet werden, wenn auch die passenden Laufzeiten und Stillstandszeiten bekannt sind. Im SAP System werden dazu sogenannte Wartungsmeldung en verwendet.

Als Wartungsmeldung kann jeder in zenon definierte Alarm einer Prozessvariablen definiert werden. Relevante Meldungen werden in der Regel in SAP dokumentiert. Relevant sind Meldungen, zu deren Beseitigung Leistungen der Instandhaltung nötig sind.

Wartungsmeldungen werden aus zenon Alarmen erzeugt. Beim Auftreten eines Alarms bei einer der mit dem Element verknüpften Variablen wird im Instandhaltungsmodul des SAP Systems eine Wartungsmeldung angelegt. Beim Gehen Event eines Alarms wird die Wartungsmeldung über die Belegnummer gesucht, und der Zeitstempel des Geht-Ereignisses eingetragen.

Für jede Meldungsart von SAP kann in zenon eine eigene Gruppe von Meldungsarten angelegt werden. Die maßgebliche Eigenschaft einer Meldung im SAP System ist die so genannte „Meldungsart". Sie legt fest, wie die Meldung im Workflow des SAP Systems weiter bearbeitet wird. Die möglichen Meldungsarten sind im SAP System vordefiniert. Wird beim Anlegen einer Wartungsmeldung keine oder eine nicht im SAP System definierte Meldungsart angegeben, legt das SAP System keine Wartungsmeldung an, sondern gibt eine entsprechende Fehlermeldung zurück.

info Info

Optional kann für jede Wartungsmeldung ein Instandhaltungswerk und ein Melder angegeben werden. Wird kein Werk oder kein Melder angegeben, trägt das SAP System Defaultwerte ein.

Jede Wartungsmeldung bezieht sich auf einen im SAP System vordefinierten Anlagenteil. Ein solcher Anlagenteil kann ein so genannter „Technischer Platz" oder ein so genanntes „Equipment" sein. Jeder Technische Platz kann wiederum Technische Plätze und/oder Equipments enthalten.

Jeder Technische Platz und jedes Equipment besitzen eine eindeutige Kennung, die beim Erzeugen der Wartungsmeldung angegeben werden muss. Die Kennung für Technische Plätze oder Equipments wird aus der Betriebsmittelkennung der verknüpften Variablen geholt. Über die Eigenschaft „Technischer Platz/Equipment" wird festgelegt, ob die Betriebsmittelkennung als Kennung für einen Technischen Platz oder für ein Equipment interpretiert wird.

Mit den so definierten Wartungsmeldungen können nun Variablen verknüpft werden. Tritt für eine der verknüpften Variablen ein Alarm auf, wird im SAP System eine Wartungsmeldung mit den festgelegten Parametern und dem Wert und Grenzwerttext der Variablen angelegt.

Die Wartungsmeldungen erhalten im SAP System eine eindeutige Belegnummer, die im Alarmeintrag der zenon Variable als Kommentar abgelegt wird. Damit ist eine Zuordnung zwischen Alarmereignis und der Belegnummer der Wartungsmeldung im SAP System möglich.

attention Achtung

Bei Alarmen mit dynamischen Grenzwerttexten steht das Kommentarfeld des Eintrages nicht zur Verfügung, stattdessen wird ein Eintrag in der Chronologischen Ereignisliste erzeugt, der eine Zuordnung von Alarm und Belegnummer erlaubt.

Noch in diesem Kapitel

Technischer Hintergrund


Technischer Hintergrund

Handbuch > SAP Interface > Grundlagen und Voraussetzungen > Wartungsmeldungen > Technischer Hintergrund

Wartungsmeldungen werden im SAP System durch Aufruf der Funktionsbausteine BAPI_ALM_NOTIF_CREATE und BAPI_ALM_NOTIF_SAVE angelegt. Beim Gehen des Alarms wird die "Geht-Zeit" durch Aufruf der Funktionsbausteine BAPI_ALM_NOTIF_DATA_MODIFY und BAPI_ALM_NOTIF_SAVE in die zuvor erzeugte Wartungsmeldung eingetragen.

Diese Funktionsbausteine werden bei einer Standardinstallation des Instandhaltungsmoduls im SAP System angelegt und stehen ab diesem Zeitpunkt für externe Applikationen zur Verfügung.

attention Achtung

Durch individuelles Anpassen des SAP Systems an Anforderungen des Kunden kann es passieren, dass diese Funktionsbausteine nicht mehr zur Verfügung stehen! In diesem Fall gibt das SAP System die Fehlermeldung FU_NOT_FOUND zurück.

Tritt in zenon das Ereignis Alarm geht für eine der verknüpften Variablen auf, wird die zu dem Alarm gehörende Wartungsmeldung über die Belegnummer gesucht und der Zeitpunkt des Störungsendes eingetragen. Das geschieht durch einen Aufruf des Funktionsbausteins BAPI_ALM_NOTIF_DATA_MODIFY. Dem Funktionsbaustein wird im Parameter NUMBER die Belegnummer der Wartungsmeldung übergeben. Die Werte der zu ändernden Felder werden im Parameter NOTIFHEADER angegeben, im Parameter NOTIF wird durch Flags ausgewählt, welche Felder geändert werden sollen.

Die geänderte Wartungsmeldung wird anschließend durch Aufrufe der Funktionsbausteine ALM_ und BAPI_TRANSACTION_COMMIT in der SAP Datenbank gespeichert.


Messbelege

Handbuch > SAP Interface > Grundlagen und Voraussetzungen > Messbelege

In SAP Anwendungen beschreiben Messwerte einen bestimmten Zustand des Produktionssystems zu einem bestimmten Zeitpunkt im Prozessablauf. Als Messwert kann jede beliebige in zenon vorhandene Variable definiert werden. Damit können Daten protokollunabhängig aus dem Echtzeitprozess an die überlagerte Management-Ebene übergeben werden.

In vielen Fällen bietet es sich an, die Prozessdaten bereits auf Prozessebene vorzuverdichten, um dann dem SAP System kumulierte Daten zur Auswertung zu übergeben. So erhält das SAP System von zenon zum Beispiel gezielt Mittelwerte oder statistische Kennwerte, berechnet aus einer ganzen Wertereihe. Das vermeidet unnötige Überfrachtung des Managementsystems mit Rohdaten.

Messwerte und Zählerstände werden dabei zyklisch erfasst und als Messbeleg zu einem Messpunkt im SAP System abgelegt. Die Eigenschaften des Messpunkts im SAP System legen fest, ob es sich um einen Messwert oder einen Zähler handelt. Als Wert des Messbelegs wird der aktuelle Variablenwert eingetragen.

Im SAP System können für jeden technischen Platz oder jedes Equipment mehrere Messpunkte definiert werden. Beim Definieren der Messpunkte wird festgelegt, ob der Messpunkt einen Messwert oder einen Zählerstand enthält. Zählerstände müssen einen monoton steigenden Wert haben, d.h. jeder neu eingetragene Wert muss gleich oder grösser als der vorhergehende Wert sein.

Messwerte und Zählerstände von Messpunkten werden dem SAP System mittels so genannter „Messbelege" übergeben.

Im Leitsystem erfolgt die Erfassung von Messwerten über Zeitpläne. Für jeden Zeitplan kann angegeben werden, an welchen Wochentagen, und zu welchen Uhrzeiten Messwerte erfasst werden sollen. Ein Zeitplan kann entweder täglich oder nur an bestimmten Wochentagen ausgeführt werden. Für jeden Zeitplan kann weiters eine Start- und Endzeit, sowie ein Intervall angegeben werden. Zwischen der Start und der Endzeit werden jeweils im angegebenen Intervall Messwerte der verknüpften Variablen erfasst.

Mit jedem Zeitplan kann eine Reihe von Variablen verknüpft werden. Bei jeder Ausführung des Zeitplans werden die aktuellen Werte der Variablen gelesen und für jeden Variablenwert ein Messbeleg im SAP System erzeugt. Jeder Messpunkt besitzt eine eindeutige Nummer, die in den erfassten Messbeleg eingetragen werden muss. Die Nummer des Messpunktes wird aus der Betriebsmittelkennung der verknüpften Variablen ermittelt.

info Info

Die Zuordnung zwischen Leitsystem Variable und eines SAP Messpunkest erfolgt über die ID des Messpunktes im SAP System. Diese eindeutige fortlaufende Nummer muss in der Betriebsmittelkennung der Variablen im Leitsystem eingetragen werden.

Noch in diesem Kapitel

Technischer Hintergrund


Technischer Hintergrund

Handbuch > SAP Interface > Grundlagen und Voraussetzungen > Messbelege > Technischer Hintergrund

Messbelege zu Messpunkten und Zählern werden im SAP System über den Funktionsbaustein "MEASUREM_*" erzeugt. Der Messbeleg wird einem Messpunkt oder Zähler zugeordnet. Ob es sich um einen Messpunkt oder einen Zähler handelt, wird beim Erzeugen des Messpunkts festgelegt. Der Messpunkt oder Zähler wird über eine im SAP System eindeutige Nummer identifiziert.

Der Messbeleg erfasst den Messzeitpunkt (Datum, Zeit), einen Messwert mit Einheit, den Melder (Erzeuger des Belegs) und einen Kurztext. Wird der Messzeitpunkt nicht angegeben, wird der Zeitpunkt der Erzeugung des Belegs eingetragen. Die Maßeinheit des Messwertes kann ebenfalls weggelassen werden, in diesem Fall wird die beim Messpunkt/Zähler eingetragene Maßeinheit verwendet.

Durch Setzen des Parameters COMMIT_WORK wird veranlasst, dass der Beleg sofort in die SAP Datenbank geschrieben wird. Messbelege werden im SAP System durch Aufruf des Funktionsbausteins MEASUREM_DOCUM_RFC_SINGLE_001 angelegt.

info Info

Der Funktionsbaustein MEASUREM_DOCUM_RFC_SINGLE_001 wird bei einer Standardinstallation des Instandhaltungsmoduls im SAP System angelegt.

attention Achtung

Durch individuelles Anpassen des SAP Systems an Anforderungen des Kunden kann es passieren, dass diese Funktionsbausteine nicht mehr zur Verfügung stehen. In diesem Fall gibt das SAP System die Fehlermeldung FU_NOT_FOUND zurück.


Funktionsaufrufe

Handbuch > SAP Interface > Grundlagen und Voraussetzungen > Funktionsaufrufe

Beliebige Funktionen im SAP System können ohne zusätzlichen Programmieraufwand im Knotenpunkt Programmierschnittstellen und mit sehr geringem Projektierungsaufwand direkt aus zenon heraus aufgerufen werden. Dafür wird im Editor die Schnittstelle des aufgerufenen Funktionsbausteins mit den erforderlichen Parametern, Tabellen und Strukturen abgebildet und mit zenon Variablen oder Funktionen verknüpft. Der tatsächliche Funktionsaufruf erfolgt durch Ausführung einer zenon Funktion, der dieses Abbild als Parameter übergeben wird.

Funktionsbausteine

Aktionen im SAP System und die Übertragung von Daten zum SAP System werden durch den Aufruf von RFC Funktionsbausteinen ausgeführt. Diese RFC Funktionsbausteine werden mit dem SAP System mitgeliefert, über die ABAP-Workbench können aber auch benutzerdefinierte Funktionsbausteine programmiert werden.

Parameter

Die Datenübergabe an und von Funktionsbausteinen erfolgt über Import- oder Export-Parameter. Aus der Sicht des Funktionsbausteins im SAP System werden Eingabedaten „importiert", Ergebnisdaten werden „exportiert". Die Dokumentation der Funktionsbausteine im SAP System geht von dieser Sichtweise aus.

Neben Im- und Export-Parametern gibt es noch so genannte Changing-Parameter, die sowohl der Übergabe von Eingangsdaten als auch der Rückgabe von Ergebnissen dienen.

Interne Tabellen

Tabellarische Daten oder Listen können in so genannten Internen oder Temporären Tabellen an und von Funktionsbausteinen übergeben werden.

Datentypen, Strukturen

Neben den üblichen einfachen Datentypen (numerisch, Text, Datum, Zeit, etc.) können Daten auch in Strukturen übergeben werden. Daten in Tabellen werden üblicherweise als Strukturen übergeben, aber auch Parameter können strukturierte Daten aufnehmen.

Unterstützung durch das SAP System

Die kompletten Schnittstellenbeschreibungen von Funktionsbausteinen samt deren Parametern, internen Tabellen und verwendeten Strukturen können aus dem SAP System gelesen werden.

Die zenon SAP Schnittstelle macht von dieser Möglichkeit Gebrauch, indem sie einen Assistent zur Auswahl von Funktionsbausteinen und zum Einlesen der Schnittstellenbeschreibung anbietet.

Auch beim Aufruf einer SAP Funktion werden die projektierten Objekte mit der Schnittstellenbeschreibung des aufgerufenen Funktionsbaustein im SAP System abgeglichen.


Serverprogramme

Handbuch > SAP Interface > Grundlagen und Voraussetzungen > Serverprogramme

Damit eine SAP Anwendung Funktionen in einem externen System aufrufen kann, werden RFC-Destinationen gepflegt (Transaktion SM59). Über diese wird festgelegt, wie ein externes System und eine SAP Anwendung kommunizieren. Prinzipiell gibt es zwei Möglichkeiten:

  • Angestartet: Die SAP Anwendung startet die externe Applikation.
  • Registriert: Das externe System meldet sich über eine eindeutige Programm-ID bei der SAP Anwendung an.

zenon nutzt die Methode Registriert.

Das externe System entscheidet, wie Funktionsaufrufe, die über die RFC-Schnittstelle eingehen, gehandhabt werden. Dazu stehen zwei Möglichkeiten zur Verfügung:

  • Callback-Funktionen:
    An der RFC-Schnittstelle werden Callback-Funktionen angemeldet, die automatisch von der Schnittstelle ausgeführt werden. Diese Möglichkeit eignet sich vor allem, wenn schon beim Implementieren der externen Anwendung feststeht, welche Funktionsaufrufe über die RFC-Schnittstelle erwartet werden.
  • Namensbasierte Entscheidung:
    Der Name des aufgerufenen Funktionsbausteins wird bei der Schnittstelle abgefragt. Anhand des Namens wird entschieden, welche Aktion auszuführen ist. Mit dieser Möglichkeit kann flexibler und allgemeiner auf Funktionsaufrufe reagiert werden.
    zenon verwendet diese Methode, da der Anwender entscheidet, welche Funktionsaufrufe zur Verfügung stehen sollen.

Einige Standard-Funktionen, wie z.B. RFC_PING oder RFC_SYSTEM_INFO werden von der RFC-Schnittstelle automatisch angemeldet und ausgeführt.


Projektieren im Editor

Handbuch > SAP Interface > Projektieren im Editor

Das Parametrieren von Messpunkten, Wartungsmeldungen und Funktionsaufrufen in der Entwicklungsumgebung ist nur bei lizenzierter SAP Schnittstelle möglich. Ist diese lizenziert, findet sich im Projektbaum der Knoten SAP Interface mit den Einstellungen für die SAP Ankopplung. Details zu den einzustellenden Parametern sind in den folgenden Kapiteln beschrieben.

Kontextmenü Projektmanager Knoten SAP ERP

Menüpunkt | Aktion
Speichern | Speicher Änderungen in der SAP ERP Projektierung.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Help | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Symbolleiste und Kontextmenüs

Verbindungsparameter zu einem SAP System

Meldungen

Messbelege

Funktionsaufrufe


Symbolleiste und Kontextmenüs

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs

Symbol

Aktion

Meldungsart neu

Fügt eine neue leere Meldung in die Liste Wartungsmeldungen ein.

Zeitplan neu

Fügt einen neuen leeren Zeitplan in die Liste Messbelege ein.

SAP Funktion neu

Öffnet den Assistenten zur Auswahl eines neuen SAP Funktionsbausteins.

Variable hinzufügen

Öffnet den Dialog zur Auswahl von Variablen.

Parameter neu

Legt neuen Parameter für markierte Funktion an.

Tabelle neu

Legt neue Tabelle für markierte Funktion an.

Strukturfeld neu

Legt für markierten Parameter oder markierte Tabelle ein neues Strukturfeld an.

Standard-Funktion erzeugen

Legt eine zenon Funktion "SAP Funktion ausführen" für die markierte SAP Funktion an.

Zurück zu Ausgangselement springen

Springt im zenon Editor zurück zur Ausgangsposition.

Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.

Speichern

Speichert Änderungen in der SAP Projektierung.

Löschen

Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.

Nach oben verschieben

Verschiebt markiertes Element in Detailansicht der Tabelle um eine Position nach oben.

Nach unten verschieben

Verschiebt markiertes Element in Detailansicht der Tabelle um eine Position nach unten.

Alle erweitern

Erweitert alle geschlossenen Strukturen.

Klick auf Pfeil neben Symbol öffnet Combobox zur Auswahl von:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Alle als XML exportieren...

Exportiert alle Einträge in eine XML-Datei.

XML importieren

Importiert Einträge aus einer XML-Datei.

Eigenschaften

Öffnet das Eigenschaftenfenster.

Hilfe

Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Kontextmenü Projektmanager

Kontextmenü Knoten SAP ERP

Kontextmenü Knoten Wartungsmeldungen

Kontextmenü Wartungsmeldung

Kontextmenü Knoten Messbelege

Kontextmenü Zeitplan

Kontextmenü Variablenliste Wartungsmeldungen und Messbelege

Kontextmenü Funktionsaufrufe

Kontextmenü einzelne SAP Funktion


Kontextmenü Projektmanager

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Projektmanager

Menüpunkt | Aktion
Speichern | Speichert Änderungen in der SAP ERP Projektierung.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Help | Öffnet die Online-Hilfe.


Kontextmenü Knoten SAP ERP

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Knoten SAP ERP

Menüpunkt | Aktion
Speichern | Speichert Änderungen in der SAP ERP Projektierung.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Knoten Wartungsmeldungen

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Knoten Wartungsmeldungen

Menüpunkt | Aktion
Meldungsart neu | Fügt eine neue leere Meldung in die Liste ein.
Alle Wartungsmeldungen XML exportieren | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Wartungsmeldung

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Wartungsmeldung

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Verknüpfte Elemente | Zeigt mit der Wartungsmeldung verknüpfte Elemente in einer Dropdownliste an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in eine XML-Datei.
Eigenschaften | Öffnet Eigenschaften-Fenster.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Knoten Messbelege

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Knoten Messbelege

Menüpunkt | Aktion
Zeitplan neu | Fügt einen neuen leeren Zeitplan in die Liste ein.
Alle Messbelege XML exportieren | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Zeitplan

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Zeitplan

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Verknüpfte Elemente | Zeigt mit dem Zeitplan verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in eine XML-Datei.
Eigenschaften | Öffnet Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Variablenliste Wartungsmeldungen und Messbelege

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Variablenliste Wartungsmeldungen und Messbelege

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Verknüpfte Elemente | Zeigt mit der Variable verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.
Ausgewählte Variable entfernen | Löscht ausgewählte Variablen aus der Liste.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü Funktionsaufrufe

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü Funktionsaufrufe

Kontextmenü Knoten Funktionsaufrufe

Menüpunkt | Aktion
SAP Funktion neu | Öffnet den Assistent zur Auswahl eines SAP Funktionsbausteins.
Alle SAP Funktionen XML exportieren | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Tabelle Funktionsaufrufe

Parameter | Beschreibung
SAP Funktion neu | Neue SAP Funktion anlegen
Standardfunktion erzeugen | Legt eine neue zenon Funktion für den Aufruf der ausgewählten SAP Funktion an.
Verknüpfte Elemente | Zeigt mit der SAP Funktion verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus XML-Datei.
RFC-Funktionsbaustein vom SAP System einlesen | Liest die Schnittstellenbeschreibung des Funktionsbausteins aus dem SAP System ein. Ist kein SAP Name angegeben, wird der Assistent zur Auswahl von Funktionsbausteinen angezeigt.
Dokumentation des RFC-Funktionsbausteins anzeigen | Liest die Dokumentation des Funktionsbaustein aus dem SAP System ein und zeigt sie mit Hilfe des Webbrowsers als HTML-Datei an.
Hilfe | Öffnet die Online-Hilfe.


Kontextmenü einzelne SAP Funktion

Handbuch > SAP Interface > Projektieren im Editor > Symbolleiste und Kontextmenüs > Kontextmenü einzelne SAP Funktion

Kontextmenü SAP Funktion

Parameter | Beschreibung
Parameter neu | Neuen Parameter bei der SAP Funktion anlegen.
Report neu | Neue Tabelle bei der SAP Funktion anlegen.
Standardfunktion erzeugen | Legt eine neue zenon Funktion für den Aufruf der ausgewählten SAP Funktion an.
Verknüpfte Elemente | Zeigt mit der SAP Funktion verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in eine XML-Datei.
Eigenschaften | Öffnet Eigenschaftenfenster.
RFC-Funktionsbaustein vom SAP System einlesen | Liest die Schnittstellenbeschreibung des Funktionsbausteins aus dem SAP System ein. Ist kein SAP Name angegeben, wird der Assistent zur Auswahl von Funktionsbausteinen angezeigt.
Dokumentation des RFC-Funktionsbausteins anzeigen | Liest die Dokumentation des Funktionsbaustein aus dem SAP System ein und zeigt sie mit Hilfe des Webbrowsers als HTML-Datei an.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü der Parameterliste einer SAP Funktion

Parameter

Beschreibung

Parameter neu

Neuen Parameter bei der SAP Funktion anlegen.

Report neu

Neue Tabelle bei der SAP Funktion anlegen.

Strukturfeld neu

Neues Strukturfeld bei Parameter oder Tabelle anlegen.

Verknüpfte Elemente

Zeigt mit der SAP Funktion verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.

Löschen

Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.

Knoten erweitern/reduzieren

Strukturfelder von Parametern und Tabellen anzeigen oder verbergen.
  • Alle erweitern

Strukturfelder aller Parameter und Tabellen anzeigen.
  • Alle reduzieren

Strukturfelder aller Parameter und Tabellen verbergen.
  • Ausgewählte erweitern

Strukturfelder bei ausgewählten Parametern und Tabellen anzeigen.
  • Ausgewählte reduzieren

Strukturfelder bei ausgewählten Parametern und Tabellen verbergen.

Hilfe

Öffnet die Online-Hilfe.

Kontextmenü Parameterliste einer SAP Funktion mit Strukturfeld ausgewählt

Parameter | Beschreibung
Strukturfeld neu | Neues Strukturfeld bei Parameter oder Report anlegen.
Verknüpfte Elemente | Zeigt mit der SAP Funktion verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht ausgewählte Strukturfelder.
Nach oben verschieben | Ausgewähltes Strukturfeld um eine Stelle nach oben verschieben.
Nach unten verschieben | Ausgewähltes Strukturfeld um eine Stelle nach unten zu verschieben.
Hilfe | Öffnet die Online-Hilfe.


Verbindungsparameter zu einem SAP System

Handbuch > SAP Interface > Projektieren im Editor > Verbindungsparameter zu einem SAP System

Um eine Verbindung zu einem SAP System aufzubauen sind einige grundlegende Parameter-Angaben notwendig. Diese werden in den Eigenschaften zu SAP ERP im Detailfenster des Projektmanagers projektiert. Folgende Gruppen stehen zur Verfügung:

Parameter | Beschreibung
SAP ERP-System | Einstellungen zum gekoppelten SAP ERP System.
Serverprogramme | Einstellungen für Serverprogramme.
SAP-Anmeldung | Einstellungen für die Anmeldung am SAP System.
Meldungen | Einstellungen für Meldungen.
Fehlersuche | Einstellungen zur Fehlersuche.

Details zu den einzelnen Eigenschaften finden Sie in der Eigenschaftenhilfe der jeweiligen Eigenschaft.

Einträge in die CEL

Das Schreiben von Log-Einträgen in die CEL kann über die Eigenschaft LOG-Meldungen in CEL gesteuert werden. Standardmäßig ist es aktiviert.

Trace

Die SAP Schnittstelle schreibt Protokolle als Traces in den aktuellen Arbeitsordner. In zenon ist das entweder der Programmordner oder der Projektordner. Über die Umgebungsvariable RFC_TRACE_DIR kann ein fixer Ordner für Trace-Dateien vorgegeben werden.


Meldungen

Handbuch > SAP Interface > Projektieren im Editor > Meldungen

Für das Planungssystem ist es wichtig, auch über aufgetretene Störungen, Stillstandszeiten etc. informiert zu sein. Im SAP System werden dazu sogenannte Wartungsmeldungen verwendet. Als Wartungsmeldung kann jeder in zenon definierte Alarm einer Prozessvariablen definiert werden.

info Info

Tritt bei einer der verknüpften Variablen ein Alarm auf, wird im SAP System eine Wartungsmeldung mit der angegebenen Meldungsart und dem Grenzwerttext des Alarms angelegt. Die Nummer des Anlagenteils (Technischer Platz oder Equipment) wird aus der Betriebsmittelkennung der Variable ausgelesen.

Kontextmenü Wartungsmeldungen (Gruppe)

Menüpunkt | Aktion
Meldungsart neu | Fügt eine neue leere Meldung in die Liste ein.
Alle Wartungsmeldungen XML exportieren | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Wartungsmeldung

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Verknüpfte Elemente | Zeigt mit der Wartungsmeldung verknüpfte Elemente in einer Dropdownliste an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in eine XML-Datei.
Eigenschaften | Öffnet Eigenschaften-Fenster.
Hilfe | Öffnet die Online-Hilfe.


Messbelege

Handbuch > SAP Interface > Projektieren im Editor > Messbelege

In SAP Anwendungen beschreiben Messwerte einen bestimmten Zustand des Produktionssystems zu einem bestimmten Zeitpunkt im Prozessablauf. Als Messwert kann jede beliebige in zenon vorhandene Variable definiert werden. Damit können protokollunabhängig Daten aus dem Echtzeitprozess an die überlagerte Management-Ebene übergeben werden. Messwerte werden an ein SAP System, abhängig von einem fix definierten Zeitplan, übergeben.

info Info

Zu den in einem Zeitplan angegebenen Zeiten werden die aktuellen Werte der mit dem Zeitplan verknüpften Variablen gelesen. Für jeden Variablenwert wird je ein Messbeleg im SAP System erzeugt.

Kontextmenü Messbelege (Gruppe)

Menüpunkt | Aktion
Zeitplan neu | Fügt einen neuen leeren Zeitplan in die Liste ein.
Alle Messbelege XML exportieren | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Messbeleg

Menüpunkt | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl von Variablen.
Verknüpfte Elemente | Zeigt mit dem Zeitplan verknüpfte Elemente in einer Combobox an und ermöglicht es, zu diesen Elementen zu springen.
Löschen | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in eine XML-Datei.
Eigenschaften | Öffnet Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe.


Funktionsaufrufe

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe

Aktionen im SAP System oder in zenon sowie die Übertragung von Daten zwischen zenon und SAP System werden durch den Aufruf von RFC Funktionsbausteinen initiiert und ausgeführt. Standard RFC Funktionsbausteine werden mit dem SAP System mitgeliefert. Es können aber über die ABAP-Workbench auch eigene benutzerdefinierte Funktionsbausteine programmiert werden.

Beliebige SAP Funktionsbausteine können direkt aus zenon heraus aufgerufen werden. Dafür wird im Editor die Schnittstelle des aufgerufenen Funktionsbausteins mit den erforderlichen Parametern, Tabellen und Strukturen abgebildet und mit zenon Variablen verknüpft. Der tatsächliche Funktionsaufruf erfolgt durch Ausführung einer zenon Funktion, der dieses Abbild als Parameter übergeben wird.

Hinweis: Die SAP RFC-Schnittstelle lässt jeweils nur einen gleichzeitigen Funktionsaufruf zu. Um überlappende Funktionsaufrufe zu vermeiden, kann die Aktivität mit Hilfe einer Variablen überwacht werden.

SAP Namenskonvention

Beim Anlegen neuer benutzergenerierter Objekte in einer SAP Anwendung sollte folgende Namenskonvention eingehalten werden:

  • Die Namen selbst erstellter Objekte sollen mit Y oder Z beginnen. Damit wird verhindert, dass diese Objekte beim Update der SAP Anwendung überschrieben werden. Originale SAP Objekte beginnen nie mit Y oder Z.

Noch in diesem Kapitel

SAP Funktionen

Serverprogramme

Funktionsbaustein mit Assistent auswählen

Dokumentation RFC-Funktionsbausteine

Parameter, Tabellen und Strukturfelder

Variablen verknüpfen

SAP Funktionen mit zenon aufrufen


SAP Funktionen

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > SAP Funktionen

Eine SAP Funktion ruft einen Funktionsbaustein aus dem SAP System in zenon auf. Sie enthält eine Liste von Objekten, die die Parameter und Tabellen des SAP Funktionsbausteins abbilden. Mit einer SAP Funktion können Variablen verknüpft werden, die Auskunft über den Aufrufzustand und das Ergebnis des letzten Aufrufs geben.

SAP Funktion anlegen

SAP Funktionen werden über den Menüpunkt SAP Funktion neu im Kontextmenü des Knotens Funktionsaufrufe oder der Liste der SAP Funktionen angelegt.

Wurde in den Einstellungen (Menü Extras) des Projekts die Eigenschaft Assistenten verwenden aktiviert, startet der Assistent zur Auswahl eines SAP Funktionsbausteins. Der Assistent liest die Schnittstellenbeschreibung des ausgewählten Funktionsbaustein aus dem SAP System ein und legt alle Objekte im Editor an.

Die SAP Funktion kann auch von Hand bearbeitet werden:

  • Um dabei die SAP Funktion mit der Schnittstellenbeschreibung im SAP System abzugleichen, wählen Sie im Kontextmenü den Befehl RFC-Funktionsbaustein vom SAP System einlesen. Wurde noch kein Funktionsbaustein-Name angegeben, wird der Assistent zur Auswahl von Funktionsbausteinen geöffnet. Bereits definierte Einstellungen, insbesondere verknüpfte Variablen, werden dabei nicht geändert.
  • Beim Anlegen einer SAP Funktion erhält die Eigenschaft Funktionsname einen automatisch erzeugten Namen für die SAP Funktion, dieser kann beliebig geändert werden.
  • Die Eigenschaft RFC-Funktionsbaustein enthält den Namen des Funktionsbaustein im SAP System. Der angegebene Name muss mit dem Namen im SAP System übereinstimmen, sonst tritt beim Aufruf der SAP Funktion die Exception FU_NOT_FOUND auf.

Noch in diesem Kapitel

Aktivitätsüberwachung

Fehlermeldungen

Serverprogramm


Aktivitätsüberwachung

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > SAP Funktionen > Aktivitätsüberwachung

Eine mit der Eigenschaft Aktivität verknüpfte (numerische) Variable kann je nach Zustand der SAP Funktion drei verschiedene Werte annehmen:

  • 0: Die SAP Funktion ist inaktiv und wird gerade nicht ausgeführt.
  • 1: Die SAP Funktion wird in die Aufruf-Warteschlange eingereiht (die SAP RFC-Schnittstelle lässt jeweils nur einen gleichzeitigen Funktionsaufruf zu).
  • 2: Der Funktionsaufruf wird zum SAP System gesendet, auf Antwort vom SAP System wird gewartet.
    Danach geht der Variablenwert wieder auf 0 (inaktiv).

Diese Variable kann z. b. für eine Verriegelung zur Vermeidung überlappender Funktionsaufrufe verwendet werden.


Fehlermeldungen

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > SAP Funktionen > Fehlermeldungen

Variablen geben Aufschluss über das Ergebnis des letzten Aufrufs der SAP Funktion. Dazu werden die Variablen verknüpft mit den jeweiligen Eigenschaften:

  • Fehlercode: enthält einen numerischen Code, der dem Ergebnis des letzten Aufrufs entspricht.
  • Fehlertext: eine kurze Beschreibung des aufgetretenen Fehlercodes.
  • Fehlerbeschreibung: ausführliche Beschreibung des letzten Fehlers, die von der SAP RFC-Schnittstelle erzeugt wird.

Fehlercodes der RFC-Schnittstelle

Fehlercode | Fehlertext | Bedeutung
-1 | Keine Verbindung zum SAP System | SAP System kann nicht erreicht werden (Netzwerkfehler, Login etc.).
0 | OK | Kein Fehler aufgetreten.
1 | Error occurred | Unbestimmter Fehler, Details in der Eigenschaft Fehlerbeschreibung.
2 | Exception raised | Exception im Funktionsbaustein aufgetreten (ungültiger Parameter etc.).
3 | System exception raised, connection closed | Exception im System aufgetreten.
4 | Call received | Anderer Funktionsaufruf noch aktiv.

Hinweis:

  • Die Sprache des Fehlertextes ist von der Systemsprache der Runtime abhängig
  • Nicht alle Codes treten beim Aufruf von Funktionsbausteinen auf.


Serverprogramm

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > SAP Funktionen > Serverprogramm

Um mit einem Funktionsaufruf als Serverprogramm eine Funktion in zenon auszuführen:

  1. Projektieren Sie eine SAP Funktion.
  2. Wählen Sie für die Eigenschaft Funktion eine zenon Funktion.
  3. Stellen Sie sicher, dass für die zenon Funktion die Eigenschaft Aktueller Rechner aktiviert ist.
  4. Aktivieren Sie für die SAP Funktion die Eigenschaft Serverprogramm.
  5. Definieren Sie bei Bedarf eine Wartezeit, die vor und nach dem Aufruf der verknüpften Funktion abgewartet wird, damit Variablenwerte sicher geschrieben oder gelesen wurden. Diese stellen Sie über die Eigenschaft Wartezeit ein.
    Eine Wartezeit empfiehlt sich vor allem für Variablen auf Steuerungen mit langsamer Kommunikation und/oder langen Lesezyklen.
  6. Verknüpfen Sie bei Bedarf die Eigenschaft Aktivität mit einer Variablen. Diese wird beim Aufruf des Serverprogramms auf aktiv (2) gesetzt.

Ablauf beim Eingehen des Funktionsaufrufs aus der SAP-Anwendung:

  • Die in der Eigenschaft Funktion angegebene zenon Funktion wird ausgeführt.
  • Die Parameterwerte für Import und Export mit deren verknüpften Variablen werden ausgetauscht.

Ist mit der SAP Funktion keine zenon Funktion verknüpft, werden nur die Parameterwerte für Import und Export mit deren verknüpften Variablen ausgetauscht. So können z.B. über Mathematik-Variablen Werte von Export-Parametern aus den Werten der Import-Parameter berechnet werden, ohne dass eine Funktion ausgeführt werden muss.


Serverprogramme

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > Serverprogramme

Um Serverprogramme zu verwenden:

  1. Navigieren Sie zur Eigenschaftengruppe SAP ERP-System/Serverprogramme.
  2. Geben Sie für die Eigenschaft Programm ID die Programm ID der RFC-Destination an, über die die Verbindung zur SAP Anwendung aufgenommen werden soll.
  3. Legen Sie für jeden gewünschten SAP Funktionsaufruf fest, ob er als Serverprogramm ausgeführt werden soll. Dazu konfigurieren Sie die Eigenschaften im Knoten Serverprogramm der Funktionsaufrufe.

Der Aufruf kann auch über die Programmierschnittstelle erfolgen.

Einschränkungen

Für Serverprogramme gelten folgende Einschränkungen:

  • Serverprogramme können in zenon nur auf Standalone-Rechner oder Server 1 angemeldet werden, aber nicht auf Clients oder Server 2. Bei der Umschaltung zwischen Server 1 und Server 2 werden die Serverprogramme am alten Server ab- und am neuen Server angemeldet.
    Hintergrundinformation: SAP Anwendungen lassen die Anmeldung mehrerer externer Systeme an der gleichen RFC-Destination zu. Es ist aber nicht definiert, auf welchem System das Serverprogramm ausgeführt wird.
  • Prinzipiell kann ein externes System ein Serverprogramm mehrfach am Zielsystem anmelden. Da bei zenon die Auswertung des aufgerufenen Serverprogramms ausschließlich über den Namen erfolgt, wird das unterbunden. Wird derselbe Funktionsbaustein (gleicher FB-Name) in mehreren SAP Funktionen als Serverprogramm projektiert, dann wird bei der Anmeldung eine bereits vorhandene Anmeldung gleichen Namens wieder abgemeldet. Damit ist immer die zuletzt angemeldete SAP Funktion aktiv.
  • Es dürfen nur zenon Funktionen verknüpft werden, die auf dem lokalen Rechner ausgeführt werden können. Dazu muss für die zenon Funktion die Eigenschaft Aktueller Rechner in der Gruppe Ausführung aktiviert sein. Wird im Auswahldialog eine andere Funktion ausgewählt, wird diese nicht übernommen. Die Filterung auf Funktionen, die diese Bedingung erfüllen ist nicht möglich.
  • Aufrufe von SAP Funktionen als Client-Programm sind immer asynchron.
    Wird also der Aufruf einer SAP Funktion als Client mit einer als Serverprogramm aufzurufenden SAP Funktion verknüpft, wird diese erst ausgeführt, wenn das Serverprogramm fertig ausgeführt ist. Eventuell erforderliche Rückgabewerte erreichen also den Serverprogramm-Aufruf nicht!

Fehlermeldungen

Tritt beim Aufruf eines Serverprogramms ein Fehler auf, wird eine entsprechende Exception an die SAP Anwendung zurückgesendet:

  • Versucht die SAP Anwendung ein Serverprogramm aufzurufen, das nicht von zenon angemeldet wurde, wird die Exception FUNCTION_NOT_IMPLEMENTED zurückgeschickt.
  • Tritt beim Aufruf der verknüpften zenon Funktion ein Fehler auf, wird die Exception INTERNAL_ERROR mit einer Beschreibung des Fehlers zurückgeschickt.
  • Gibt der Aufruf über die API (Event ServerCall) einen Fehler ungleich RFC_OK (tpSapErrorOk = 0) zurück, wird ebenfalls die Exception INTERNAL_ERROR zurückgeschickt.
    Empfehlung: Belegen Sie in der Implementation des Events die Eigenschaft LastError der SAP Funktion mit einem aussagekräftigen Text.

Noch in diesem Kapitel

Aufruf über die Programmierschnittstelle


Aufruf über die Programmierschnittstelle

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > Serverprogramme > Aufruf über die Programmierschnittstelle

Serverprogramme können auch über die zenon Programmierschnittstelle ausgeführt werden. Dafür wurde die Schnittstelle des SAPFunction-Objekts um die Methoden StartServer und StopServer sowie den Event ServerCall erweitert.

  • StartServer: Diese Methode meldet die SAPFunction als Serverprogramm an. Für die Verbindung mit der SAP Anwendung werden die Einstellungen des zenon Projekts verwendet.
  • StopServer: Meldet die SAPFunction ab.
  • ServerCall: Beim Eintreffen eines Funktionsaufrufs aus einer SAP Anwendung wird dieser Event gefeuert. Innerhalb des Events können die Werte der Import-Parameter ausgewertet und die Export-Parameter gesetzt werden.

Beispiel für ein Serverprogramm in VBA

Das Beispiel zeigt anhand des Funktionsbaustein Z_RFC_ADD2, wie das SAPFunction Objekt initialisiert, und als Serverprogramm angemeldet wird:

Public WithEvents obFunRfcAdd As SapFunction

Public Sub FbAdd()

' Collection der SAP-Funktionen im Projekt

Dim obFunctions As SapFunctions

' Parameter, die an die SAP-Funktion übergeben werden

Dim obParOper1 As SapParameter ' Parameter 'I_OPER1'

Dim obParOper2 As SapParameter ' Parameter 'I_OPER2'

' Parameter, der von der SAP-Funktion zurückgegeben wird

Dim obParResult As SapParameter ' Parameter 'E_RESULT'

' === Collection der SAP-Funktionen holen

Set obFunctions = thisProject.SapFunctions

' === SAP-Funktion "Z_RFC_ADD2" anlegen, falls noch nicht vorhanden

Set obFunRfcAdd = obFunctions.Item("Z_RFC_ADD2")

If obFunRfcAdd Is Nothing Then

Set obFunRfcAdd = obFunctions.CreateSapFunction("Z_RFC_ADD2")

If Not obFunRfcAdd Is Nothing Then

' === Parameter anlegen, falls noch nicht vorhanden

Set obParameters = obFunRfcAdd.Parameters

If Not obParameters Is Nothing Then

' Erster Operand

Set obParOper1 = obParameters.Item("I_OPER1")

If obParOper1 Is Nothing Then

Set obParOper1 = obParameters.CreateSapParameter("I_OPER1")

End If

' Zweiter Operand

Set obParOper2 = obParameters.Item("I_OPER2")

If obParOper2 Is Nothing Then

Set obParOper2 = obParameters.CreateSapParameter("I_OPER2")

End If

' Ergebnis

Set obParResult = obParameters.Item("E_RESULT")

If obParResult Is Nothing Then

Set obParResult = obParameters.CreateSapParameter("E_RESULT")

End If

End If

End If

End If

=== Serverprogramm starten

If Not obFunRfcAdd Is Nothing Then

bOk = obFunRfcAdd.StartServer()

End If

End Sub

=== Eingehender Funktionsaufruf

Private Sub obFunRfcAdd_ServerCall(ByVal obFunction As ISapFunction, ByRef Error As tpSapError)

If obFunction.Name = "Z_RFC_ADD2" Then

Set obParameters = obFunction.Parameters

If Not obParameters Is Nothing Then

Dim obParOper1 As SapParameter ' Parameter 'I_OPER1'

Dim obParOper2 As SapParameter ' Parameter 'I_OPER2'

Dim obParResult As SapParameter ' Parameter 'E_RESULT'

Dim Val1 As Integer

Dim Val2 As Integer

' === Parameterobjekte holen

Set obParOper1 = obParameters.Item("I_OPER1")

Set obParOper2 = obParameters.Item("I_OPER2")

Set obParResult = obParameters.Item("E_RESULT")

' === Eingangsparameter lesen

Val1 = obParOper1.Value

Val2 = obParOper2.Value

' === Ausgangsparameter setzen

obParResult.Value = Val1 + Val2

Error = tpSapError_Ok

Else

Error = tpSapError_Failure

End If

Else

Error = tpSapError_Failure

End If

End Sub

Private Sub obFunRfcAdd_ActivityChanged(ByVal obFunction As ISapFunction, ByVal Activity As tpSapActivity)

' Wenn sich der Aktivitätsstatus der SapFunction ändert, wird der

' Event "ActivityChanged" gefeuert

thisProject.Variables.Item("Active").Value = obFunction.Activity

End Sub

Private Sub Project_Inactive()

' === Serverprogramm beenden

If Not obFunRfcAdd Is Nothing Then obFunRfcAdd.StopServer

' Spätestens beim Beenden der Runtime muss das Objekt des Funktionsbausteins

' gelöscht werden, weil sonst Speicherlecks auftreten.

thisProject.SapFunctions.DeleteSapFunction ("Z_RFC_ADD2")

End Sub


Funktionsbaustein mit Assistent auswählen

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > Funktionsbaustein mit Assistent auswählen

Um einen Funktionsbaustein aus SAP auszuwählen:

  1. Wählen Sie in der Detailansicht von SAP Interface den Knoten Funktionsaufrufe.

  2. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl SAP Funktion neu.
  3. Der Assistent für die Auswahl des SAP Funktionsbausteins wird geöffnet.
    Hinweis: Dazu muss in Extras/Einstellungen des zenon Projekts die Option Assistenten verwenden aktiviert sein.

    Achtung: Testen Sie Ihr Projekt in einem Testsystem, bevor Sie SAP Funktionsbausteine in einem Produktivsystem aufrufen. Fehler beim Aufruf können die Integrität der Daten im SAP System beeinträchtigen!

  4. Wählen Sie den gewünschten Funktionsbaustein aus.

Dialog Funktionsbaustein auswählen

Parameter | Beschreibung
Funktionsbaustein auswählen | Combobox für Auswahl von SAP Funktionsbausteinen. Suchbegriff kann frei eingegeben oder aus Dropdownliste gewählt werden.
Liste Funktionsbausteine | Liste der gefundenen Funktionsbausteine, die dem Suchbegriff entsprechen.
Zurück | Schaltet zurück zum Startbildschirm des Assistenten.
Fertigstellen | Speichert Funktionsbaustein mit allen dazu gehörigen SAP Elementen in einer zenon SAP Funktion.
Abbrechen | Legt in zenon eine leere SAP Funktion an.


Dokumentation RFC-Funktionsbausteine

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > Dokumentation RFC-Funktionsbausteine

Die Dokumentation zu einem SAP Funktionsbaustein kann über den Menüpunkt Dokumentation des RFC-Funktionsbausteins anzeigen im Kontextmenüs aufgerufen werden.

Die Dokumentation

  • muss dazu im SAP System vorhanden sein
  • wird in der Sprache des angemeldeten SAP Benutzers eingelesen
  • wird im Webbrowser im HTML-Format angezeigt.

Bereits eingelesene Dokumentationen werden im „Temp"-Ordner des aktuellen Windows-Benutzers abgelegt und beim erneuten Anzeigen von dort abgerufen.

Individuelle Gestaltung der Anzeige

Um die Anzeige der Dokumentation individuell zu gestalten:

  1. erstellen Sie ein Stylesheet mit dem Namen sapdoc.css
  2. legen Sie das Stylesheet im „Temp"-Ordner des Benutzers ab

Beispiel für ein Stylesheet

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41;}

H2 {font-size: 110%; color: 1c1e41;}

H3 {font-size: 100%; color: 1c1e41;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41;}


Parameter, Tabellen und Strukturfelder

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > Parameter, Tabellen und Strukturfelder

Beim Aufruf einer SAP Funktion werden Daten über Parameter und Tabellen übergeben. Die Werte der Parameter, Tabellen und deren Strukturfelder werden aus den verknüpften Variablen übernommen (Eingangsparameter) oder den verknüpften Variablen nach dem Aufruf zugewiesen (Rückgabeparameter).

Parameter, Tabellen und Strukturfelder anlegen

Parameter, Tabellen und Strukturfelder werden über das Kontextmenü in der Parameterliste einer SAP Funktion angelegt.

  • Namensvergabe
    • Beim Anlegen über das Kontextmenü erhalten die Objekte automatisch erzeugte Namen (Eigenschaft Name im SAP-System). Diese müssen derart geändert werden, dass sie mit den Namen der betreffenden Objekte im SAP System übereinstimmen.
    • Beim Anlegen einer SAP Funktion mit Hilfe des Assistenten werden die Namen automatisch entsprechend der Schnittstellenbeschreibung im SAP System vergeben.
  • Parameter und Tabellen
    • Beim Aufruf der SAP Funktion werden nur jene Parameter und Tabellen verwendet, die auch tatsächlich in der Schnittstellenbeschreibung des Funktionsbausteins im SAP System vorhanden sind.
    • Sind nicht optionale Parameter oder Tabellen nicht projektiert oder nicht mit Variablen verknüpft, werden sie beim Aufruf der SAP Funktion mit Initialwerten belegt. In der Regel führt das zu einer Exception und damit zu einer Fehlermeldung beim Funktionsaufruf.
  • Informative Eigenschaften
    • Einige Eigenschaften von Parametern, Tabellen und Strukturfeldern (Typ, Optional und Info) haben nur informativen Charakter. Diese werden beim Anlegen einer SAP Funktion über den Assistenten mit den Informationen aus der Schnittstellenbeschreibung im SAP System belegt, können aber beliebig geändert werden.
    • Sie werden beim Aufruf der SAP Funktion nicht ausgewertet. Stattdessen werden die tatsächlichen Vorgaben der Schnittstellenbeschreibung im SAP System verwendet.


Variablen verknüpfen

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > Variablen verknüpfen

Über die Eigenschaft Variable werden Variablen mit Parametern, Tabellen und Strukturfelder einer SAP Funktion verknüpft.

Um Variablen zu verknüpfen:

  • benutzen Sie entweder die Eigenschaft Variable im Eigenschaftenfenster: Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog
    oder
  • ziehen Sie die gewünschte Variable aus der Variablenliste direkt per Drag&Drop mit der Maus auf ein Objekt in der Parameterliste

Werden Strukturvariablen mit strukturierten Parametern und Tabellen verknüpft, so werden die Variablen der Strukturfelder nach Möglichkeit ebenfalls mit den Strukturelementen der Variable belegt.

Achtung: Das funktioniert aktuell nur beim Verknüpfen über Drag&Drop.

Aufruf einer SAP Funktion

Beim Aufruf einer SAP Funktion werden die Werte der Variablen gelesen, die mit Parametern und Tabellen für die Datenübergabe an den Funktionsbaustein verknüpft sind und den Parametern und Tabellen zugewiesen.

Umgekehrt werden die Parameter- und Tabellenwerte, die vom Funktionsaufruf zurückgegeben werden, auf die verknüpften Variablen zugewiesen.

Zeilenzahl bei Tabellen

Objekte für Tabellen können über eine Variable mit der Eigenschaft Zeilenanzahl verknüpft werden.

Übernahme der Werte:

  • vor einem Funktionsaufruf: Der Wert der Variable bestimmt die Anzahl der in zenon verarbeiteten und von SAP gelieferten Tabellenzeilen (Number of Lines).
  • nach dem Funktionsaufruf: der Wert gibt die Anzahl der vom Funktionsaufruf zurückgegebenen Zeilen in der Report an.


SAP Funktionen mit zenon aufrufen

Handbuch > SAP Interface > Projektieren im Editor > Funktionsaufrufe > SAP Funktionen mit zenon aufrufen

SAP Funktionen werden über die zenon Funktion SAP-Funktion ausführen aufgerufen. Die Funktion hat die interne ID der auszuführenden SAP Funktion als Parameter.

Um eine SAP Funktion von zenon aus zur Runtime aufzurufen:

  1. Erstellen Sie eine neue zenon Funktion über Funktionen -> Kontextmenü -> Funktionen neu.
  2. Wählen Sie im Knoten Anwendung den Eintrag SAP-Funktion ausführen.
  3. Der Dialog zur Konfiguration der Funktion wird geöffnet.
  4. Wählen Sie die gewünschte SAP Funktion aus.
  5. Bestätigen Sie die Konfiguration mit Klick auf die Schaltfläche OK.

Dialog SAP Funktion ausführen

Parameter | Beschreibung
SAP Funktion | Auswahl einer SAP Funktion aus Dropdownliste. Die Funktion muss bereits im Projekt angelegt sein.
Diesen Dialog zur Runtime anbieten | Öffnet zur Runtime diesen Dialog vor Ausführung der Funktion.
OK | Erstellt Funktion mit den gewählten Parametern.
Abbrechen | Erstellt Funktion ohne Parameter.
Hilfe | Öffnet Online-Hilfe.

Tipp: Im Editor kann über den Befehl Standard-Funktion erzeugen im Kontextmenü einer ausgewählten SAP Funktion automatisch eine Funktion angelegt werden, die die ausgewählte SAP Funktion in der Runtime ausführt.


Schaltfolgen

Handbuch > Schaltfolgen

Das Modul Schaltfolgen ermöglicht Befehle des Moduls Befehlsgabe in der zenon Runtime zu Abläufen zusammenzustellen, diese zu visualisieren und im Bedarfsfall Benutzerinteraktionen auszuführen.

Noch in diesem Kapitel

Einführung

Terminologie

Ablauf

Lizenzierung

Projektieren im Editor

Systemtreibervariablen für das Modul Schaltfolgen

Projektsicherung für Schaltfolgen

Funktionsberechtigungen

Schaltfolgen in der Runtime

Schaltfolgen und Simulationsmodus

Schaltfolgen im zenon Netzwerk

Schaltfolgen am Web Client

Bedienberechtigung

Struktur der XML-Datei für Schaltfolgen


Einführung

Handbuch > Schaltfolgen > Einführung

Das Modul Schaltfolgen besteht aus zwei Teilen:

  1. Die Projektierumgebung im zenon Editor:
    Hier werden automatisch die Daten für Schaltfolgen aus der Projektierung im Modul Befehlsgabe übernommen.
  2. Schaltfolgen-Editor in der zenon Runtime:
    Mit diesem Editor werden in der zenon Runtime die Schaltfolgen erstellt. Basis für die Schaltfolgen ist die projektierte Befehlsgabe. Während des Ablaufs wird im Schaltfolgen-Editor der jeweilige Zustand der Befehlsgabe dargestellt und Sie können in die Schaltfolge eingreifen.

Besonderheit des Moduls Schaltfolgen

Im Gegensatz zu den meisten anderen zenon Modulen erfolgt ein großer Teil der Projektierung, wie z.B. die Erstellung einer Schaltfolge, in der Runtime und nicht im zenon Editor. Das bringt einige Besonderheiten mit sich, die in den jeweiligen Kapiteln behandelt werden.

Das Modul ist so konzipiert, dass es komplett unabhängig von der Steuerung ist. Das heißt, die Datenkommunikation erfolgt über alle verfügbaren zenon Energy-Treiber mit beliebigen SPSen oder auch IED. Diese führen nur die technologischen Funktionen aus. Die gesamte Bearbeitung einer Schaltfolge erfolgt am Rechner im Schaltfolgen-Editor. Bei einer Änderung an einer Schaltfolge ist damit keine Modifikation des SPS-Codes notwendig.

Prinzipieller Aufbau der Kommunikation

  • Kommandovariable:
    Die Kommandovariable ist jene, welche bei der Projektierung im Modul Befehlsgabe, bei der jeweiligen Kommandoaktion, verlinkt ist.
    Mit dieser Variable werden beim Ausführen eines Schrittes Sollwerte an die SPS übertragen.
  • Rückmeldevariable:
    Mit dieser Variable werden Werte von der SPS für Auswertungen zurückgelesen.

Schema

Die SPS kommuniziert mit dem zenon Energy-Treiber, dieser wiederum mit der Befehlsgabe in der zenon Runtime. Die Befehlsgabe schickt die Werte weiter an den Schaltfolgen-Editor, wo sie verarbeitet werden. Während der Ausführung einer Schaltfolge, arbeitet der Schaltfolgen-Editor synchron zur zenon Runtime in einem 100 ms Zyklus.

Noch in diesem Kapitel

Befehlsgabe - unterstützte Aktionstypen

Variablen für Schaltfolgen

Anzeige des Aktionsnamen zur Runtime


Befehlsgabe - unterstützte Aktionstypen

Handbuch > Schaltfolgen > Einführung > Befehlsgabe - unterstützte Aktionstypen

Um die Projektierung des Moduls Befehlsgabe im Modul Schaltfolgen nutzen zu können, muss mindestens eine Aktion im Modul Befehlsgabe projektiert sein.

Folgende Aktionstypen der Befehlsgabe werden im Modul Schaltfolgen unterstützt:

  • Befehl
  • Zwangsbefehl
  • Sollwertvorgabe direkt
    • Der in der Befehlsgabe projektierte Sollwert kann zum Modul Schaltfolgen übergeben werden.
  • Statusvorgabe direkt
  • Ersetzen
  • Revision
  • Nachführen direkt
  • Blockieren
  • Freigeben
  • Prüfe Rückmeldewert
  • Sperre

info Info

Weitere Informationen finden Sie im Handbuch Energy-Edition im Kapitel Aktionstypen.


Variablen für Schaltfolgen

Handbuch > Schaltfolgen > Einführung > Variablen für Schaltfolgen

Beim Kompilieren der Befehlsgabe wird auch das Datenmodel für das Modul Schaltfolgen erzeugt.

Diese wird wie folgt erzeugt:

  • Pro Rückmeldevariable wird ein Schaltgerät erzeugt, welches als Benennung den Variablennamen oder die Variablenkennung der Rückmeldevariable bekommt.
    Dieses erzeugte Schaltgerät bekommt die Rückmeldevariable zugeordnet. Als Typ wird Return TAG verwendet. Datentyp ist: numerisch.
    Die Benennung des Schaltgeräts kann in der Projekteigenschaftengruppe Schaltfolgen, in der Eigenschaft Anzeigename im Schaltfolge-Raster projektiert werden.
  • Für jede Aktion, die im Modul Befehlsgabe projektiert wurde und für die auch eine Rückmeldevariable verfügbar ist, wird ein Schritt erzeugt. Der Schritt ist so benannt, wie die Aktion im Befehlsgabebaum angezeigt wird.
  • Zu jedem erzeugten Schritt wird die Rückmeldevariable als Parameter verlinkt. Diese Parameter sind z.B. bei der Erstellung von Transitionen von Bedeutung.

Anzeigename im Schaltfolge-Raster

Die Textanzeige einer Variable zur Runtime wird in der Projekteigenschaftengruppe Schaltfolgen in der Eigenschaft Anzeigename im Schaltfolge-Raster projektiert.

Je nach Konfiguration wird die Variable im Schaltfolge-Raster bei der Projektierung in der Runtime entsprechend angezeigt.

Mögliche Anzeigenamen:

  • Variablenname
  • Variablenkennung
  • symbolische Adresse

Überprüfung:

Beim Kompilieren der Runtime-Dateien im zenon Editor findet eine Überprüfung statt.

Es wird dabei geprüft, ob die Benennung der erzeugten Schaltgeräte eindeutig ist. Wenn diese nicht eindeutig ist, wird eine Fehlermeldung im Ausgabefenster des Editors ausgegeben. Für die Rückmeldevariable werden keine für die Schaltfolgen verfügbaren Objekte erzeugt.

Fehlermeldungen:

Variable '<VariablennameX>' für das Schaltfolgendatenmodell ignoriert, da Variable '<VariablennameY>' bereits einen Eintrag '<Benennung in Schaltfolgen>' erzeugt hat! Mögliche Ursache : nicht eindeutige Kennung oder Symbolische Adresse.

Es wird auch geprüft ob die Variable einen ungültigen Objektnamen für das Schaltfolgenobjekt liefern kann.
Variable '<Variablenname>' für das Schaltfolgendatenmodell ignoriert, da diese einen ungültigen Objektnamen '<Schaltfolgenobjektname>' liefert! Mögliche Ursache: leere Kennung oder leere Symbolische Adresse.

Noch in diesem Kapitel

Ansichtsbeispiele - Anzeigename im Schaltfolge-Raster


Ansichtsbeispiele - Anzeigename im Schaltfolge-Raster

Handbuch > Schaltfolgen > Einführung > Variablen für Schaltfolgen > Ansichtsbeispiele - Anzeigename im Schaltfolge-Raster

Ansichtsbeispiele für mögliche Projektierungen der Variablennamen.

Anzeigenamen im Schaltfolge-Raster

Variablenname

Variablenkennung

symbolische Adresse


Anzeige des Aktionsnamen zur Runtime

Handbuch > Schaltfolgen > Einführung > Anzeige des Aktionsnamen zur Runtime

Die Textanzeige einer Befehlsgabe-Aktion zur Runtime wird in der Projekteigenschaftengruppe Schaltfolgen in der Eigenschaft Schrittname im Schaltfolge-Raster projektiert.

Je nach Konfiguration wird der Schritt im Schaltfolge-Raster bei der Projektierung in der Runtime entsprechend angezeigt.

Mögliche Anzeigenamen:

  • Standardtext
    Format: Aktionsname: RV[DIR]
  • Aktionsname
    Name der Befehlsgabe-Aktion, wie in der Befehlsgabe-Eigenschaft Aktionsname projektiert.

Überprüfung:

Beim Kompilieren der Runtime-Dateien im zenon Editor findet eine Überprüfung statt.

Dabei wird geprüft, ob die Benennung der erzeugten Aktionen eindeutig ist. Wenn diese nicht eindeutig sind und zwei Aktionen mit demselben Namen existieren, wird eine Fehlermeldung im Ausgabefenster des Editors ausgegeben:

Der Schritt '%s' für das Schaltgerät '%s' wird für das Schaltfolgenmodell ignoriert, da der Aktionsname nicht eindeutig ist.

attention Achtung

Diese Fehlermeldung bedeutet, dass der zweite Schritt mit gleichem Namen in der Runtime bei den Schaltfolgen nicht verfügbar ist.


Terminologie

Handbuch > Schaltfolgen > Terminologie

Im Modul Schaltfolgen werden folgende Begriffe verwendet:

Parameter

Beschreibung

Schaltgerät

Physikalisch verfügbares aktives Element, z.B.: Schalter oder Trenner.

Schaltfolgen-Editor

Teil des Moduls Schaltfolgen zur Ablaufsteuerung der Befehlsgabe. Der Schaltfolgen-Editor führt im Ausführungsmodus eine Schaltfolge aus. Im Editiermodus kann der gesamte Ablauf der Schaltfolge projektiert und die Schaltfolgen verwaltet werden.

Schaltfolge

In Schaltfolgen werden Schritte der Befehlsgabe zusammengefasst gespeichert. Diese Schritte werden vom Leitsystem dann an die Steuerung übertragen.

Anfang Parallelzweig

Element, das eine Aufteilung des Schaltfolgenablaufs in zwei oder mehrere Zweige ermöglicht.

Transition

Element des Moduls Schaltfolgen, das eine Bedingung beinhaltet. Das Element wird nach einem Schritt eingesetzt um einen definierten Übergang von einem Schritt in den nächsten zu gewährleisten.

Schritt

Ausführen einer Aktion aus der Befehlsgabe, wie z.B.: Schaltbefehl: AUS.

Ende Parallelzweig

Element, das die Aufteilung des Schaltfolgeablaufs in zwei oder mehrere Zweige wieder zu einem Zweig zusammenführt.

Verzweigung

Bereich des Moduls Schaltfolgen, der eine Aufteilung in zwei oder mehrere Zweige ermöglicht, von denen während des Ablaufs einer Schaltfolge immer nur ein Zweig aktiv werden kann. Es handelt sich um eine Entweder-Oder-Verzweigung. Eine Verzweigung beginnt immer mit dem Element Anfang Verzweigung und endet mit dem Element Ende Verzweigung.

Schaltgerätsbelegung

Element des Moduls Schaltfolgen, das die Belegung eines Schaltgeräts in der Runtime bewirkt:

  • Mit diesem Element können im Voraus mehrere (oder alle) Rückmeldevariablen reserviert (belegt) werden. Für diese Reservierung wird das NET_SEL-Statusbit gesetzt.
  • Die Freigabe erfolgt ebenfalls über ein Schaltgerätsbelegungs-Element.
  • Nach Ablauf der Schaltfolge werden alle NET_SEL-Statusbits automatisch wieder gelöscht.

Weitere Informationen zum Statusbit erhalten Sie im Handbuch Statusverarbeitung im Abschnitt Select im Netzwerk (NET_SEL).

Zweig

Ein Ausführungsbereich im Modul Schaltfolgen. Auf ihm können Schritte, Transitionen und Sprungziele platziert werden.

Ende Element

Element des Moduls Schaltfolgen. Dieses Ende Element ist zwingend erforderlich, um die Projektierung einer Schaltfolge korrekt abzuschließen.

Sprungziel

Element des Moduls Schaltfolgen, das einen direkten Sprung auf eine definierte Stelle eines Zweiges ermöglicht.

Teaching-Cursor

Grafisches Element des Moduls Schaltfolgen. Visualisiert die Position im Schaltfolge-Raster, in die das aufgezeichnete Element während des Teaching-Vorgangs platziert wird.

Schaltfolge-Raster

Die Arbeitsfläche im Schaltfolgen-Editor im Modul Schaltfolgen. Hier können Aktionen in der Runtime grafisch zu Schaltfolgen zusammengestellt werden.
Das Diagramm ist rasterförmig aufgeteilt, wobei jeder Raster Platz für ein Element bietet.

Projektsimulation

Modus der Runtime, in der Abläufe - losgelöst vom produktiven Prozess - simuliert ablaufen.

Dabei wird nicht nur ein einzelner Treiber in den Simulationsmodus geschaltet, sondern das gesamte Projekt. Je nach Einstellungen werden auch alle Runtime-Daten in ein Simulationsabbild kopiert, damit auch Schalthandlungen im Simulationsmodus aufgezeichnet bzw. analysiert werden können.

Simulationsmodus

Im Gegensatz zum Hardwaremodus erfolgt keine Kommunikation mit der Steuerung. Die Variablenwerte werden über die eingestellte Simulationsart (statisch, zählend oder programmiert) berechnet.

Simulationsabbild

Speicherbereich, in dem alle Werte der Simulation abgelegt werden.


Ablauf

Handbuch > Schaltfolgen > Ablauf

Projektierung und Nutzung des Moduls Schaltfolgen erfolgen in drei Hauptschritten:

  1. Projektierung der Befehlsgabe im zenon Editor.
  2. Erstellung der Schaltfolgen im Schaltfolgen-Editor zur Runtime.
  3. Ausführung der Schaltfolge zur Runtime.

Erstellung einer Schaltfolge

In der zenon Runtime erstellt der Benutzer eine Schaltfolge. Als Basis dieser Projektierung dienen die auswählbaren Schritte, welche den Aktionen der Befehlsgabe entsprechen. Dazu muss sich die Schaltfolge in der Runtime im Editiermodus befinden.

Schaltfolgenausführung

Der Benutzer führt zur Runtime die Schaltfolge aus. Dazu ändert er zuerst den Modus der Schaltfolge auf Ausführungsmodus. Anschließend wird die Schaltfolge gestartet.

Der Benutzer kann Schaltfolgen im Ausführungsmodus nicht mehr beeinflussen. Für eine Bearbeitung muss die Schaltfolge wieder in den Editiermodus umgeschalten werden.


Lizenzierung

Handbuch > Schaltfolgen > Lizenzierung

Das Modul Schaltfolgen bietet Ihnen die Möglichkeit, Abläufe der Befehlsgabe in einem grafischen Ablaufdiagramm zur Runtime zu erstellen, auszuführen und zu projektieren.

Das Modul ist nur zusätzlich zur Energy Edition lizenzierbar.

Sind die beiden lizenzpflichtigen Module Batch Control und Schaltfolgen gleichzeitig lizenziert, erfolgt die Auswahl des verwendeten Moduls zur Runtime über die Projekteinstellung.

Um das bevorzugte Modul zur Runtime auszuwählen:

  • Klicken Sie im Editor den Knoten Ihres Projektes.
  • Gehen Sie in die Projekteigenschaftengruppe Runtime Einstellungen.
  • Wählen Sie bei Lizenzmodul zur Runtime aus der Dropdownliste der Eigenschaft Bevorzugtes Modul Schaltfolgen (default) oder Batch Control.

Das ausgewählte Modul steht dann in der Runtime für weitere Projektierung zur Verfügung.


Projektieren im Editor

Handbuch > Schaltfolgen > Projektieren im Editor

Um das Modul Schaltfolgen in der Runtime nutzen zu können, müssen Sie zuerst im zenon Editor:

  • Eine Befehlsgabe projektieren.
  • Variablen projektieren.
  • ein Bild vom Typ Schaltfolgen anlegen.
  • in das Bild vom Typ Schaltfolgen das Kontrollelement Schaltfolgen-Editor einfügen.
  • eine Bildumschaltfunktion auf das Bild vom Typ Schaltfolgen anlegen.

Ändert sich die Projektierung im zenon Editor wird diese durch Kompilierung der Runtime-Dateien und Nachladen in der zenon Runtime in das Modul Schaltfolgen übernommen.

Noch in diesem Kapitel

Bild vom Typ Schaltfolgen anlegen

zenon Funktionen

Bildumschaltung Schaltfolgen

Befehlsgabeaktionen im Modul Schaltfolgen


Bild vom Typ Schaltfolgen anlegen

Handbuch > Schaltfolgen > Projektieren im Editor > Bild vom Typ Schaltfolgen anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Schaltfolgen.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.


zenon Funktionen

Handbuch > Schaltfolgen > Projektieren im Editor > zenon Funktionen

Für das Modul Schaltfolgen stehen folgende Funktionen zur Verfügung:

  • Schaltfolgenkommando- oder Moduswechsel ausführen
    schickt Steuerkommandos an die Schaltfolgen-Ausführung
  • Schaltfolgen exportieren
    Exportiert Schaltfolgen in eine XML-Datei. Inhalte der XML-Datei können gefiltert werden.
  • Schaltfolgen importieren
    Importiert Schaltfolgen aus einer XML-Datei.
  • Schaltfolgen teachen
    Startet oder stoppt den Teachingmodus.

Noch in diesem Kapitel

Schaltfolgenkommando- oder Moduswechsel ausführen

Schaltfolgen exportieren

Schaltfolgen importieren

Schaltfolgen teachen


Schaltfolgenkommando- oder Moduswechsel ausführen

Handbuch > Schaltfolgen > Projektieren im Editor > zenon Funktionen > Schaltfolgenkommando- oder Moduswechsel ausführen

Mit Hilfe der Funktion schicken Sie Steuerkommandos an die Schaltfolgen-Ausführung.

Um die Funktion zu erstellen:

  1. navigieren Sie im zenon Editor zum Knoten Funktionen
  2. wählen Sie Funktion neu
  3. navigieren Sie in der Funktionsauswahl zum Knoten Schaltfolgen
  4. wählen Sie Schaltfolgen-Kommando/Moduswechsel ausführen.
  5. der Dialog zur Konfiguration der Funktion wird geöffnet

Aktion

Parameter

Beschreibung

Aktion

Auswahl der auszuführenden Aktion:

  • Kommando
  • Modus

Kommando

Auswahl des auszuführenden Kommandos aus Dropdownliste:

  • Ignorieren
    Führt kein Schaltfolgenkommando (Start oder Abbrechen) aus.
    Hinweis: Wenn unter Modus Automatisch oder Halbautomatisch projektiert ist, wird so nur ein Moduswechsel ausgeführt.
  • Schaltfolge starten
    Startet Identifizierte Schaltfolge(n)
  • Schaltfolge abbrechen
    Bricht identifizierte Schaltfolge(n) ab

Modus

Auswahl des Modus, in den die Schaltfolge ausgeführt werden soll. Auswahl des Modus aus Dropdownliste:

  • Ignorieren
    Die durch die Funktion identifizierte Schaltfolge(n) wird im bestehenden Modus der Schaltfolge ausgeführt.
  • Automatisch
    Die durch die Funktion identifizierte(n) Schaltfolge(n) wird im Modus Automatisch ausgeführt.
  • Halbautomatisch
    Die durch die Funktion identifizierte(n) Schaltfolge(n) wird im Modus Halbautomatisch ausgeführt.

Schaltfolgenfilter

Parameter

Beschreibung

Schaltfolgenfilter

Konfiguration des Schaltfolgenfilters. Dieser bestimmt, auf welche Schaltfolgen die Funktion angewendet wird.

Groß-/Kleinschreibung für Namen beachten

Bei der Filterung für Schaltfolgen-Kommandos wird Groß- und Kleinschreibung des Schaltfolge-Namens berücksichtigt.

Default: nicht aktiv

Schaltfolge

Parameter für die Auswahl der Schaltfolgen. Auswahl aus Dropdownliste:

  • Name mit Wildcards:
    In das Eingabefeld kann ein Name mit Platzhalter eingegeben werden. Nach diesen Namen wird gefiltert.
    Wildcards sind:
    * beliebige Anzahl an Zeichen. * kann sowohl am Beginn, am Ende oder am Beginn und am Ende im Eingabefeld eingesetzt werden.
    Hinweis: Das Eingabefeld ist nur mit dieser Option aktiv.
  • Name aus Variable:
    Der Name der Schaltfolge wird zur Runtime aus einer Variable übernommen.
    Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.
  • ID aus Variable:
    Die ID der Schaltfolge wird durch die ID aus einer Variable übernommen.
    Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.
info Info
Detaillierte Informationen für die Projektierung der Funktion finden Sie im Kapitel Projektierung des Schaltfolgenfilters.

Fehlerdialog

Ist bei Kommando und Modus jeweils die Eigenschaft Ignorieren projektiert, wird die Funktion keine Auswirkung in der Runtime haben. In diesem Fall wird eine Fehlermeldung angezeigt.


Schaltfolgen exportieren

Handbuch > Schaltfolgen > Projektieren im Editor > zenon Funktionen > Schaltfolgen exportieren

Mit Hilfe der Funktion exportieren Sie projektierte Schaltfolgen in eine XML-Datei. Der Inhalt des Exports kann gefiltert werden.

Um die Funktion zu erstellen:

  1. Navigieren Sie im zenon Editor zum Knoten Funktionen.
  2. Wählen Sie Funktion neu.
  3. Navigieren Sie in der Funktionsauswahl zum Knoten Schaltfolgen.
  4. Wählen Sie Schaltfolgen exportieren
  5. Der Dialog zur Konfiguration der Funktion wird geöffnet.

Schaltfolgenfilter

Parameter

Beschreibung

Groß-/Kleinschreibung für Schaltfolgenname beachten

Bei der Auswahl der zu exportierenden Schaltfolgen wird Groß- und Kleinschreibung des Schaltfolgenamens berücksichtigt.

Schaltfolge
  • Name mit Wildcards
    Auswahl der zu exportierenden Schaltfolgen erfolgt mit dem Schaltfolgenamen. Eingabe des Suchbegriffs im Eingabefeld.
    Wildcards sind:
    * beliebige Anzahl an Zeichen. * kann sowohl am Beginn, am Ende oder am Beginn und am Ende im Eingabefeld eingesetzt werden.
    Hinweis: Das Eingabefeld ist nur mit dieser Option aktiv.
  • Name aus Variable
    Der Name der zu exportierenden Schaltfolgen wird zur Runtime aus einer Variable übernommen.
    Klick auf ... öffnet den Dialog zur Auswahl einer Variable.
  • ID aus Variable
    Die ID der zu exportierenden Schaltfolgen wird durch die ID aus einer Variable übernommen.
    Klick auf ... öffnet den Dialog zur Auswahl einer Variable.

Status Schaltfolge

Auswahl des Status der zu exportierenden Schaltfolgen:

  • Alle
    Alle Schaltfolgen werden exportiert.
  • Editiermodus
    Nur Schaltfolgen die sich aktuell im Editiermodus befinden werden exportiert.
  • Ausführungsmodus
    Nur Schaltfolgen die sich aktuell im Ausführungsmodus befinden werden exportiert.

Ausgabedatei

Parameter

Beschreibung

Benennung

Dropdownliste zur Auswahl, wie die Ausgabedatei benannt wird:

  • Dateiname:
    Name der Zieldatei ist frei definierbar. Eingabe des Dateinamens in Eingabefeld
  • Dateiname aus Variable:
    Name der Zieldatei wird aus projektierter Variable übernommen.
    Klick auf ... öffnet den Dialog zur Auswahl einer Variable.
  • Dateiname aus Schaltfolgenamen:
    Name der Zieldatei wird gleich benannt, wie der zu exportierende Schaltfolgenamen
  • Dateiname aus Schaltfolge-ID:
    Datei wird mit der Schaltfolgen-ID benannt.

Existierende Datei Überschreiben

Definiert Verhalten, wenn Exportdatei bereits existiert. Bei aktivierter Checkbox wird die vorhandene Datei (ohne neuerliche Rückfrage) automatisch überschrieben.

Default: aktiv

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Dialog vor Ausführung der Funktion geöffnet.

Default: nicht aktiv

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Fehlerdialog

Bei fehlerhafter Projektierung der Exportfunktion erscheint ein Warndialog:

  • Der Suchwert für Schaltfolge ist leer:
    Es konnte keine Schaltfolge für den Export gefunden werden. Überprüfen Sie die Projektierung im Bereich Schaltfolgenfilter.
  • Der Wert für die Benennung der Zieldatei ist leer:
    Es konnte keine Schaltfolge für den Export gefunden werden. Überprüfen Sie die Projektierung im Bereich Ausgabedatei.

Hinweis: Der Screenshot zeigt beide möglichen Fehlerursachen. Je nach Fehler kann nur einer der angegeben Fehler angezeigt werden.

Parameter | Beschreibung
Ja | Der Dialog der Funktion wird geschlossen. Der Dialog zur Projektierung der Funktion wird ebenfalls geschlossen.
Nein | Der Warndialog wird geschlossen. Der Dialog zur Projektierung der Funktion bleibt für eine erneute Projektierung der Funktion geöffnet.
info Info
Weitere Informationen über den Aufbau der XML-Datei erhalten Sie im Kapitel Struktur der XML-Datei für Schaltfolgen.


Schaltfolgen importieren

Handbuch > Schaltfolgen > Projektieren im Editor > zenon Funktionen > Schaltfolgen importieren

Mit Hilfe der Funktion importieren Sie Schaltfolgen aus einer XML-Datei.

Um die Funktion zu erstellen:

  1. Navigieren Sie im zenon Editor zum Knoten Funktionen.
  2. Wählen Sie Funktion neu.
  3. Navigieren Sie in der Funktionsauswahl zum Knoten Schaltfolgen.
  4. Wählen Sie Schaltfolgen importieren.
  5. Der Dialog zur Konfiguration der Funktion wird geöffnet.

info Info

Bestehende Schaltfolgen können nur dann beim Import überschrieben werden, wenn sich diese im Schaltfolgen-Editor im Editiermodus befinden.

Genauere Informationen zum Import können auch über die beiden Systemtreibervariablen [Schaltfolgen] Import Ergebnis numerisch und -[Schaltfolgen] Import Ergebnis String visualisiert werden.

Importquelle

Auswahl der Importquelle für den Import einer Schaltfolge:

  • Dateiname
  • Aus Variable
Parameter | Beschreibung
Dateiname | Auswahl der XML-Impordatei. Klick auf ... öffnet den Dialog zur Auswahl der Datei.
Aus Variable | Name der Importdatei wird aus der selektierten Variable übernommen. Klick auf ... öffnet den Dialog zur Auswahl der Variable.

Importoptionen

Parameter

Beschreibung

Aktion bei Namenskonflikten in Schaltfolgen

Verhalten bei Namenskonflikten:

  • Neue Schaltfolge erstellen
    Es wird eine neue Schaltfolge erstellt.
    Benennung der neuen Schaltfolge:
    [Schaltfolgename aus XML-Datei] + [laufende Nummer].
  • Alte Schaltfolge überschreiben
    Bestehende Schaltfolge wird mit Inhalt aus XML-Import überschrieben/ersetzt.
  • Überspringen
    Für bereits bestehende Schaltfolge wird kein Import durchgeführt.

Diesen Dialog zur Runtime anbieten

Aktiv: Zur Runtime wird dieser Dialog vor Ausführung der Funktion geöffnet.

Default: nicht aktiv

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Fehlerdialog

Bei fehlerhafter Projektierung der Importfunktion erscheint ein Warndialog:

  • Der Suchwert für Dateinamen der Quelle ist leer:
    Es konnte keine Schaltfolge für den Import gefunden werden. Überprüfen Sie die Projektierung im Bereich Schaltfolgenfilter.

Parameter | Beschreibung
Ja | Der Dialog der Funktion wird geschlossen. Der Dialog zur Projektierung der Funktion wird ebenfalls geschlossen.
Nein | Der Warndialog wird geschlossen. Der Dialog zur Projektierung der Funktion bleibt für eine erneute Projektierung der Funktion geöffnet.
info Info
Weitere Informationen über den Aufbau der XML-Datei erhalten Sie im Kapitel Struktur der XML-Datei für Schaltfolgen.


Schaltfolgen teachen

Handbuch > Schaltfolgen > Projektieren im Editor > zenon Funktionen > Schaltfolgen teachen

Mit Hilfe der Funktion starten oder stoppen Sie den Teachingvorgang in der Runtime.
Diese Funktion eignet sich besonders dazu, das Teaching in der Runtime in einem Prozessbild zu starten, ohne zum Schaltfolgen-Editor umschalten zu müssen.

Hinweis: Das Teaching wird immer nur in der Projektsimulation durchgeführt. Dadurch wird sichergestellt, den laufenden Echtbetrieb nicht zu stören. Zusätzlich wirken sich Fehlprojektierungen nicht direkt auf den Echtbetrieb aus.

Um die Funktion zu erstellen:

  1. Navigieren Sie im zenon Editor zum Knoten Funktionen.
  2. Wählen Sie Funktion neu.
  3. Navigieren Sie in der Funktionsauswahl zum Knoten Schaltfolgen.
  4. Wählen Sie Schaltfolgen teachen.
  5. Der Dialog zur Konfiguration der Funktion wird geöffnet.

Parameter | Beschreibung
Teaching starten | Startet einen neuen Teachingvorgang. Dabei wird eine neue Schaltfolge mit Standardname erzeugt. Der Teaching-Cursor wird initial in dieser Schaltfolge im Schaltfolge-Raster unter dem Beginn-Element positioniert. Hinweis: Die Runtime muss sich dazu im Simulationsmodus befinden! Weitere Informationen zum Teaching erhalten Sie im Kapitel Teaching.
Teaching beenden | Beendet das Teaching.
Diesen Dialog zur Runtime anbieten | Aktiv: Zur Runtime wird dieser Dialog vor Ausführung der Funktion geöffnet. Zur Runtime kann Teaching starten oder Teaching beenden ausgewählt werden. Default: nicht aktiv

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bildumschaltung Schaltfolgen

Handbuch > Schaltfolgen > Projektieren im Editor > Bildumschaltung Schaltfolgen

Um Schaltfolgen in der Runtime zu nutzen, projektieren Sie eine Bildumschaltung auf ein Bild vom Typ Schaltfolgen:

  1. wählen Sie im Knoten Funktionen im Kontextmenü den Eintrag Funktion neu.
  2. wählen Sie die Funktion Bildumschaltung.
  3. wählen Sie das Bild vom Typ Schaltfolgen.

Verknüpfen Sie die Funktion mit einem Button im Bild, um in der Runtime umzuschalten zu können.

info Info

Als Basis für die Bedienung im Bild vom Typ Schaltfolgen dient die Projektierung des Moduls Befehlsgabe.


Befehlsgabeaktionen im Modul Schaltfolgen

Handbuch > Schaltfolgen > Projektieren im Editor > Befehlsgabeaktionen im Modul Schaltfolgen

In diesem Kapitel erhalten Sie zusätzliche Informationen über das Verhalten von projektierten Befehlsgabeaktionen im Modul Schaltfolgen.

Noch in diesem Kapitel

Verhalten des Aktionstyps "Prüfe Rückmeldewert"

Befehlsgabeaktion Sollwertvorgabe

Überspringe Aktion bei identem Soll/Istwert


Verhalten des Aktionstyps "Prüfe Rückmeldewert"

Handbuch > Schaltfolgen > Projektieren im Editor > Befehlsgabeaktionen im Modul Schaltfolgen > Verhalten des Aktionstyps "Prüfe Rückmeldewert"

Der Aktionstyp "Prüfe Rückmeldewert" wird bei Schaltfolgen zur Überprüfung des Wertes der Rückmeldevariable verwendet.

Um den Aktionstyp "Prüfe Rückmeldewert" im Modul Schaltfolgen verwenden zu können, muss dieser Aktionstyp im zenon Editor, im Modul Befehlsgabe als Aktion in einer Befehlsgruppe projektiert sein.

attention Achtung

In der Befehlsgabe wird dieser Aktionstyp derzeit grundsätzlich nicht verwendet. Er wurde speziell für die Verwendung im Modul Schaltfolgen konzipiert.

Für die Befehlsgabe ist es möglich, diese Abfrage über Aktionsbuttons zu projektieren und in der Runtime darüber Rückmeldungen zu erhalten.

Die Aktion Prüfe Rückmeldewert dient dazu, die Variablen auf den Zustand EIN oder AUS zu überprüfen.

Während die Aktion Prüfe Rückmeldung ausgeführt wird, ist die Standardtaste Abbruch im Bild vom Typ Befehlsgabe freigegeben.

Dabei wird - je nach Einstellung der Laufzeitüberwachung - gewartet, bis der Wert der Rückmeldevariable jenem Wert der Prüfrichtung - Aktionseigenschaft Schaltrichtung - entspricht. Bei Prüfwert EIN ist dies der Wert 1; bei AUS der Wert 0.

Ist keine Laufzeitüberwachung projektiert (Laufzeitüberwachung = "Keine"), wird maximal die eingestellte Wartezeit (~24 Stunden) gewartet. Anderenfalls wird die Aktion beendet und das Statusbit TIMEOUT bei der Rückmeldevariable gesetzt.

Wenn nach Ausführung der Aktion im Befehlsgabebild die anderen Aktionen nicht verfügbar sind, hat dies folgende Gründe:

  • Der Timeout bei der Laufzeitüberwachung ist noch nicht abgelaufen.
  • Die Rückmeldevariable hat noch nicht den erwarteten Wert (die Wertänderung wurde noch nicht empfangen).
  • Die Aktion wurde noch nicht mit dem Button Abbrechen abgebrochen.

info Info

Der Aktionstyp Prüfe Rückmeldewert dient nur zum Lesen des Wertes der Rückmeldevariable, ohne eine Aktivität auszuführen.

Die Aktion ist für den Einsatz im Modul Schaltfolgen vorgesehen.

Wenn die Rückmeldevariable bereits den Wert der Schaltrichtung hat, wird die Aktionsausführung sofort als abgeschlossen erkannt. Die restlichen Buttons im Befehlsgabebild werden dadurch sofort verfügbar.

Hinweis: Ist die Rückmeldevariable auf Status OFF oder Revision gesetzt, kann der Rückmeldewert trotzdem geprüft werden.


Befehlsgabeaktion Sollwertvorgabe

Handbuch > Schaltfolgen > Projektieren im Editor > Befehlsgabeaktionen im Modul Schaltfolgen > Befehlsgabeaktion Sollwertvorgabe

Ist im Modul Befehlsgabe eine Aktion Sollwertvorgabe projektiert, so kann sowohl in der Befehlsgabe wie auch im Modul Schaltfolgen ein vorgegebener Wert der Befehlsgabe übernommen werden.

Sollwertvorgabe mit Eingabe

Ablauf für eine Sollwertvorgabe mit manueller Werteingabe im Modul Schaltfolgen:

  • Bei der Abarbeitung einer Schaltfolge wird beim Schritt Sollwert Setzen mit Eingabe das Befehlsgabefenster geöffnet: Das Element Wert der Kommandovariablen ist verfügbar und mit dem aktuellen Wert gefüllt. Der Button Ausführen ist aktiv. Aktionsbuttons sind nicht aktiv.
  • Die Scrollleiste ist verfügbar, und mit dem aktuellen Wert gefüllt.
  • Nach Klick auf Ausführen wird der Wert übernommen.
  • Die Ausführung der Schaltfolge wird mit dem neuen Wert fortgesetzt.

Sollwertvorgabe mit vorgegebenem Wert

Dieser Wert wird im Modul Befehlsgabe in der Eigenschaftengruppe Aktionseinstellungen mit der Eigenschaft Sollwert projektiert. Soll ein Wert zur Runtime vorgeschlagen werden, muss im zenon Editor bei der Befehlsgabeaktion die Eigenschaft Rückmeldezustand/Schaltrichtung mit DIR konfiguriert sein. In diesem Falle wird im Editor in der Eigenschaft Sollwert ein Wert vorgegeben.

Zweistufige Ausführung

  • Nach erfolgter Bestätigung bei zweistufiger Ausführung und Verriegelungsprüfung wird der Wert geschrieben.
  • Während auf die Bestätigung oder die Entriegelung gewartet wird, ist noch der alte Wert im ausgegrauten Eingabefeld zu sehen.

info Info

Die Befehlsgabe-Aktion Sollwertvorgabe mit Eingabe des Werts ist erst ab zenon 7.50 möglich.

info Info

Weitere Informationen erhalten Sie im Handbuch Energy Edition, in den Kapiteln Befehlsgabe und Aktionstyp Sollwertvorgabe.


Überspringe Aktion bei identem Soll/Istwert

Handbuch > Schaltfolgen > Projektieren im Editor > Befehlsgabeaktionen im Modul Schaltfolgen > Überspringe Aktion bei identem Soll/Istwert

Ist die Eigenschaft Überspringe Aktion bei identem Soll/Ist-Wert im zenon Editor aktiviert, werden die Werte der Rückmeldevariable mit der Sollwertvorgabe während des Ablaufs der Schaltfolge zur Runtime überprüft.

Sind beide Werte identisch, wird der Schritt übersprungen. Dies wird auch im Tooltip des Schrittes entsprechend angezeigt (= Übersprungen).


Systemtreibervariablen für das Modul Schaltfolgen

Handbuch > Schaltfolgen > Systemtreibervariablen für das Modul Schaltfolgen

Folgende Systemtreibervariablen stehen Ihnen zu diesem Thema zur Verfügung:

Hinweis: Diese Gruppe ist nur mit einer gültigen Lizenz für das Modul Schaltfolgen sichtbar.

Name

Datentyp

Kommentar

[Schaltfolgen] Anzahl an anstehenden Benutzerinteraktionen

DINT

Anzahl der aktuell laufenden Schaltfolgen mit anstehender Benutzerinteraktion.

Wenn die Bedienhandlung ausgeführt wurde oder die Schaltfolge beendet wurde, wird die numerische Variable um 1 verringert.

Warten in einer Schaltfolge mehrere Schritte auf eine Bedienhandlung, wird für jeden Schritt die numerische Variable hochgezählt.

[Schaltfolgen] Anzahl an laufenden Schaltfolgen

DINT

Anzahl der aktuell laufenden Schaltfolgen.

Die Systemvariable wird jeweils beim Start und Beenden einer Schaltfolge aktualisiert.

[Schaltfolgen] Export Ergebnis numerisch

DINT

Ergebnis des XML-Exports:

  • -1:
    wird ausgeführt
  • 0:
    Initialisierungswert erfolgreich gelesen
  • ab 1:
    Anzahl an aufgetretenen Fehlern

[Schaltfolgen] Export Ergebnis String

STRING

Ergebnis des XML-Exports als Text.

  • Es sind keine Fehler aufgetreten.
  • XML Export Fehler: Die Exportdatei [Ablageort]\[Dateiname] ist bereits vorhanden und darf nicht überschrieben werden.
    Hinweis: Tritt nur dann auf, wenn im Exportdialog die Eigenschaft Existierende Datei überschreiben nicht aktiv ist und bereits eine Datei mit demselben Namen im Exportordner existiert.

[Schaltfolgen] Export Ergebnis XML

STRING

Detailierter Inhalt des XML-Exports.

Diese Variable visualisiert den Inhalt des XML-Exports.
Angezeigt werden:

  • Name
  • Version
  • Typ
  • ID

Hinweis: Wenn der Inhalt die maximale Länge der Systemtreibervariable überschreitet, wird das Ergebnis abgeschnitten.

[Schaltfolgen] Import Ergebnis numerisch

DINT

Ergebnis des XML-Imports:

  • -1:
    wird ausgeführt
  • 0:
    Initialisierungswert erfolgreich gelesen
  • ab 1:
    Anzahl an aufgetretenen Fehlern

[Schaltfolgen] Import Ergebnis String

STRING

Ergebnis des XML-Imports als Text:

  • Die Schaltfolge wurde nicht gefunden. Die Schaltfolge kann daher nicht importiert werden.
  • Die Schaltfolge konnte nicht überschrieben werden, da sie nicht den richtigen Status hat.
  • Die Schaltfolge kann nicht als neue Version importiert werden, da die Versionierung nicht aktiv ist.
  • Die Schaltfolge konnte nicht importiert werden, da sie nicht dem ausgewählten Typ entspricht.
  • Die Schaltfolge konnte nicht importiert werden, da ihr Name unzulässig ist.

[Schaltfolgen] Import Ergebnis XML

STRING

Detailierter Inhalt des XML-Imports.

Diese Variable visualisiert den Inhalt des XML-Exports.
Angezeigt werden:

  • Name
  • Version
  • Typ
  • ID

Hinweis: Wenn der Inhalt die maximale Länge der Systemtreibervariable überschreitet, wird das Ergebnis abgeschnitten.

[Schaltfolgen] Name der aktiv geteachten Schaltfolge

STRING

Name der Schaltfolge, welche aktuell geteached wird. Der Schaltfolgenamen wird eingesetzt, nachdem der Teachingvorgang gestartet wurde.

Ist ein Teaching-Vorgang beendet, wechselt der Wert dieser Variable auf leer.

[Schaltfolgen] Namen der laufenden Schaltfolgen

STRING

Namen der aktuell laufenden Schaltfolgen:
Bei mehreren Schaltfolgen werden die Schaltfolgenamen mit einem Semikolon (;) getrennt.

[Schaltfolgen] Namen der Schaltfolgen mit anstehender Benutzerinteraktion

STRING

Namen der laufenden Schaltfolgen mit anstehenden Benutzerinteraktionen.

Warten in einer Schaltfolge mehrere Schritte auf eine Bedienhandlung, wird der Schaltfolgename nur einmal eingetragen und bleibt dort so lange erhalten, bis alle wartenden Schritte ausgeführt wurde.

Bei mehreren Schaltfolgen werden die Schaltfolgenamen mit einem Semikolon (;) getrennt.

[Schaltfolgen] Teaching-Status

DINT

Status für den Teaching-Vorgang. Zeigt an, ob Teaching aktuell aktiv oder nicht aktiv ist.

  • 0 - Teaching ist nicht aktiv.
  • 1 - Teaching-Cursor wartet auf Positionierung.
    (Dieser Status ist so lange aktiv, bis der Teaching Cursor im Schaltfolgen-Editor platziert wurde)
  • 2 - Teaching ist aktiv.

Bei einem laufenden Teaching-Vorgang hat diese Variable den Wert 2.

Ist ein Teaching-Vorgang beendet, wechselt der Wert dieser Variable auf 0.

info Info

Stuft sich ein Rechner im Redundanzbetrieb zum Server hoch, setzt er den Wert der Systemtreibervariablen auf 0 (nummerisch Variablen) oder leeren String (String Variablen).

info Info

Weitere Informationen erhalten Sie im Handbuch Systemtreiber.


Projektsicherung für Schaltfolgen

Handbuch > Schaltfolgen > Projektsicherung für Schaltfolgen

Eine Projektsicherung im zenon Editor berücksichtigt nicht in der Runtime projektierte Schaltfolgen.

Sichern Sie die entsprechenden Runtime-Dateien manuell.

Sichern der Schaltfolgen-Runtime-Dateien

Um die Runtime-Dateien projektierter Schaltfolgen zu sichern:

  1. Wechseln Sie in den Ordner der Runtime-Dateien.
    C:\Users\Public\Documents\zenon_Projects\[Workspacename]\[Projektname]

    Hinweis: Dieser Ordner steht erst dann zur Verfügung, wenn das Projekt im zenon mindestens einmal kompiliert wurde.
    Tipp: Markieren Sie das gewünschte Projekt im zenon Editor und klicken Sie die Tastenkombination Strg + Alt + R um direkt in den Runtimeordner zu springen.
  2. Kopieren Sie den Ordner Sequences.
  3. Fügen Sie den Ordner Sequences im Runtimeordner der Projektrücksicherung wieder ein.
    Hinweis: Die Runtime sollte während des Kopiervorganges beendet sein oder nach Kopieren wieder neu gestartet werden.


Funktionsberechtigungen

Handbuch > Schaltfolgen > Funktionsberechtigungen

Ab zenon, Version 7.50 werden Funktionsberechtigungen auch vom Modul Schaltfolgen unterstützt.

Die Projektierung erfolgt im Modul Benutzerverwaltung. Dabei wird zwischen Editorberechtigungen und Runtimeberechtigungen unterschieden.
Für das Modul Schaltfolgen stehen eigene Runtime Funktionsberechtigungen zur Verfügung:

  • Funktionsberechtigungen für XML-Import und Export
  • Funktionsberechtigungen zur Ablaufsteuerung einer Schaltfolge

info Info

Weitere Informationen zur Projektierung von Funktionsberechtigungen finden Sie im Handbuch Benutzerverwaltung.

Die speziellen Funktionsberechtigungen für das Modul Schaltfolgen finden Sie im Kapitel Funktionsberechtigungen Runtime.

attention Achtung

Projektierungen des Moduls Befehlsgabe haben bei der Ausführung immer Vorrang vor projektierten Funktionsberechtigungen für das Modul Schaltfolgen.

Damit ist gewährleistet, dass es während des Ablaufs einer Schaltfolge zu keinen Blockaden kommt.


Schaltfolgen in der Runtime

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime

Die komplette Verwaltung, Erstellung und Abarbeitung der Schaltfolgen erfolgt in der Runtime. Eine Bearbeitung im zenon Editor ist nicht möglich.

Speichern von Schaltfolgen beim Beenden der Runtime

Wird die Runtime beendet und sind noch ungesicherte Schaltfolgen vorhanden, erfolgt eine Abfrage, ob diese Schaltfolge gespeichert werden sollen. Damit diese Abfrage das Schließen der Runtime nicht verhindert, wird nach 15 Sekunden ohne Eingabe die Runtime automatisch geschlossen. Nicht gespeicherte Schaltfolgen werden dann verworfen.

  • Klick auf die Schaltfläche Ja sichert alle Änderungen bei allen im Schaltfolgen-Editor geöffneten Schaltfolgen. Anschließend wird die Runtime geschlossen.
  • Klick auf die Schaltfläche Nein schließt die Runtime ohne Änderungen in den Schaltfolgen zu sichern.

Noch in diesem Kapitel

Schaltfolgen-Editor

Schaltfolge erstellen

Tooltips

Ausführungsstatus

Symbole und Farben

Schaltfolge validieren

Teaching

Projektierungsregeln für Schaltfolgen

CEL-Einträge


Schaltfolgen-Editor

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor

Der Schaltfolgen-Editor ist die grafische Oberfläche für die Projektierung der Schaltfolgen in der Runtime.

Für den Schaltfolgen-Editor stehen zur Verfügung:

  • Symbolleisten
    Die Ausprägung der Symbolleisten ist abhängig vom Modus des Schaltfolgen-Editors.
  • Registerkarten
  • Schaltfolge-Raster
    Projektierungsfläche
  • andockbare Fenster

Parameter

Beschreibung

Kopfleiste des Editors

Informationen zu:

  • aktuelle Schaltfolge
  • Modus

Menüleiste Schaltfolgen-Editor

Menüleiste mit Symbolen zur Projektierung einer Schaltfolge.

Registerkarten mit geöffneten Schaltfolgen

Auswahl der geöffneten Schaltfolgen mit Klick auf jeweilige Registerkarte.

Im Ausführungsmodus entspricht die Farbe der Registerkarte jeweils der Farbe des Ausführungszustandes der Schaltfolge.

Schaltfolge-Raster

Diagramm der Projektierung.

Projektierung via Drag&Drop der Elemente aus der Menüleiste.

Tipp: Zum Vergrößern oder Verkleinern des Rasters positionieren sie den Mauszeiger am Rande und ziehen bei aktivierter Maustaste in die gewünschte Richtung.

Modusanzeige

Statusanzeige des gewählten Modus:

  • Editiermodus:
    • Symbol für den Bearbeitungsmodus (Bleistift)
    • Größe des Schaltfolge-Rasters
    • Anzahl der projektierten Elemente
  • Ausführungsmodus:
    • Symbol für den Ausführungsmodus:
      - Automatisch
      - Manuell
    • Symbol für den Status
      (grüner Daumen: Bereit zum Starten)
    • Ausführungsschritt:
      - in Ausführung
      - Abgeschlossen

Cursorposition

Zeigt Zeile und Spalte der gewählten Auswahl im Schaltfolge-Raster.

Zoom-Balken

Einstellung des Zoomfaktors des Schaltfolge-Rasters mit Schieberegler.

+

Vergrößert den Zoomfaktor um 25 % pro Klick.

-

Verkleinert den Zoomfaktor um 25 % pro Klick.

Auswahl der andockbaren Fenster

Öffnet Dropdownliste zur Auswahl der andockbaren Fenster:

  • Liste der Schaltfolgen

Gewählte andockbare Fenster werden ein- oder ausgeblendet.

Noch in diesem Kapitel

Kontextmenü - Registerkarten mit geöffneten Schaltfolgen

Andockbare Fenster - Liste der Schaltfolgen

Schaltfolge-Raster

Modi

Symbolleiste - Schaltfolgen-Editor (Editiermodus)

Symbolleiste - Schaltfolgen-Editor (Ausführungsmodus)


Kontextmenü - Registerkarten mit geöffneten Schaltfolgen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Kontextmenü - Registerkarten mit geöffneten Schaltfolgen

Sind mehrere Schaltfolgen im Schaltfolgen-Editor geöffnet, werden diese mit Registerkarten repräsentiert. Die Registerkarten repräsentieren im Schaltfolgen-Editor die geöffneten Schaltfolgen. Durch Klick auf eine Registerkarte wird die Projektierung der Schaltfolge im Schaltfolge-Raster angezeigt.

Kontextmenü Registerkarte

Parameter

Beschreibung

Speichern

Speichert die aktuelle Schaltfolge

Schließen

Schließt die aktuelle Schaltfolge

Alle anderen schließen

Schließt alle offenen Registerkarten/Schaltfolgen, mit Ausnahme der aktuell gewählten.

Untereinander anordnen

Zeigt alle offenen Registerkarten in neuer Ansicht.
Die Ansicht öffnet sich in einem neuen Fenster unter der aktuellen Ansicht:

  • Ansicht verschieben
    Öffnet die Registerkarte in einem neuem Fenster.
  • Ansicht parallel öffnen
    Öffnet die gewählte Registerkarte in einem neuem Fenster und belässt diese in der Liste der Registerkarten.

Nebeneinander anordnen

Zeigt alle offenen Registerkarten in neuer Ansicht.
Die Ansicht öffnet sich in einem neuen Fenster neben der aktuellen Ansicht:

  • Ansicht verschieben
    Öffnet die Registerkarte in einem neuem Fenster.
  • Ansicht parallel öffnen
    Öffnet die gewählte Registerkarte in einem neuem Fenster und belässt diese in der Liste der Registerkarten.

Schaltfolgen können in zwei Gruppen nebeneinander oder untereinander angezeigt und geöffnet werden. Um eine Schaltfolge in einer neuen Gruppe zu öffnen:

  1. wählen Sie im Kontextmenü der Schaltfolge den Befehl Untereinander anordnen oder Nebeneinander anordnen
  • wählen Sie Art der Anzeige:
    • Ansicht verschieben
    • Ansicht parallel öffnen

Die Bedienelemente gelten immer nur für die aktive Schaltfolge der aktiven Gruppe.

  • Die aktive Gruppe wird farblich hervorgehoben.
  • Die aktive Registerkarte wird durch fette Beschriftung hervorgehoben. Informationen zur aktiven Registerkarte werden in der Titelleiste des Editors angezeigt.
  • Registerkarten können per Drag&Drop verschoben und angeordnet werden, auch zwischen Gruppen.
    Tipp: Nutzen Sie diese Möglichkeit des Verschiebens um bei zwei geöffneten Gruppen wieder zur Ansicht mit einer Gruppe zurückzukehren.


Andockbare Fenster - Liste der Schaltfolgen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen

Die Liste der Schaltfolgen listet alle projektierten Schaltfolgen. In der Liste der Schaltfolgen können bereits projektierte Schaltfolgen bearbeitet, verwaltet und neue Schaltfolgen erstellt werden.

Liste der Schaltfolgen - Übersicht:

In der Liste der Schaltfolgen können:

  • Schaltfolgen neu angelegt werden.
  • Bereits projektierte Schaltfolgen in den Schaltfolgen-Editor zur weiteren Bearbeitung geladen werden.
  • Schaltfolgen umbenannt werden.
  • Schaltfolgen dupliziert werden.
  • Schaltfolgen gelöscht werden.
  • Schaltfolgen in den Ausführungsmodus umgeschalten werden.
  • Schaltfolgen in den Editiermodus umgeschalten werden.
  • Spalten ausgewählt und formatiert werden.

Die Spalten der Liste für Schaltfolgen sind sortier- und filterbar. Mit Drag&Drop können die Spalten verschoben werden. Mit dem Kontextmenü (rechter Mausklick) können Spalten eingeblendet und ausgeblendet werden.

Noch in diesem Kapitel

Auswahl und Positionierung

Symbolleiste - Liste der Schaltfolgen

Symbolleiste - Liste der Schaltfolgen


Auswahl und Positionierung

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Auswahl und Positionierung

Positionierungshilfe

Beim Bewegen von Fenstern auf der Editoroberfläche werden Positionierungshilfen angezeigt. Diese repräsentieren Fenster oder seine Ränder.

Dieses Element repräsentiert einen Fensterbereich im Editor.

Dieses Element repräsentiert den Randbereich des Editors.

Fenster positionieren

Um ein Element angedockt zu positionieren:

  1. bewegen Sie das Element mit der Maus in den gewünschten Bereich
  2. die Positionierungshilfe wird eingeblendet
  3. diese repräsentiert ein Fenster und dessen Bereiche:
    1. Mitte: gesamtes Fenster
    2. oben: obere Hälfte
    3. unten: untere Hälfte
    4. rechts: rechte Hälfte
    5. links: linke Hälfte

    oder den Rand des Editors

  4. bewegen Sie die Maus in die zentrale Positionierungshilfe oder auf eine Positionierungshilfe am Rand des Editors und dort auf den gewünschten Bereich
  5. der Bereich im Editor, an dem das Element beim Loslassen der Maustaste platziert würde, wird blau eingefärbt
  6. bewegen Sie die Maus innerhalb der Positionierungshilfe bis der gewünschte Bereich blau angezeigt wird
  7. lassen Sie die Maustaste los, das Element wird platziert

Wird ein Fenster auf ein bereits bestehendes Fenster platziert, werden beide Fenster am gleichen Ort über Registerkarten angezeigt.


Symbolleiste - Liste der Schaltfolgen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen

Parameter

Beschreibung

Schaltfolge neu

Erstellt neue, leere Schaltfolge.

Schaltfolge im Editor öffnen

Öffnet ausgewählte Schaltfolge im Schaltfolgen-Editor.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Schaltfolge umbenennen

Öffnet Dialog zur Neuanlage/Benennung einer Schaltfolge.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Hinweis: Nicht aktiv, wenn ausgewählte Schaltfolge im Ausführungsmodus läuft.

Schaltfolge duplizieren

Dupliziert ausgewählte Schaltfolge und öffnet Dialog zur Neuanlage einer Schaltfolge.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Hinweis: duplizierte Schaltfolge wird automatisch im Editiermodus erstellt. Beim Duplizieren von Schaltfolgen wird der bestehende Name mit dem Präfix "Kopie von" ergänzt. Wir dabei die maximal mögliche Länge überschritten, wird der Name von hinten auf die erlaubte Länge gekürzt.

Schaltfolge löschen

Löscht ausgewählte Schaltfolge(n). Mehrfachauswahl ist möglich.

Eine Schaltfolge, die ausgeführt wird, kann nicht gelöscht werden. In diesem Falle öffnet sich ein Informationsdialog.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Hinweis: Vor dem endgültigen Löschen erscheint ein Dialog mit einer Sicherheitsabfrage, ob Sie die gewählte(n) Schaltfolge(n) wirklich endgültig löschen wollen.

Auswahl als XML exportieren...

Exportiert ausgewählte Schaltfolge(n) in eine XML-Datei. Mehrfachauswahl ist möglich.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Weitere Informationen dazu finden Sie im Kapitel Schaltfolge(n) in XML-Datei exportieren.

XML importieren

Importiert Schaltfolge(n) aus einer XML-Datei.

Weitere Informationen dazu finden Sie im Kapitel Schaltfolge(n) aus XML-Datei importieren.

Hinweis: nicht aktiv wenn der Benutzer nicht über die entsprechende Funktionsberechtigung verfügt.

Die Funktionsberechtigung Schaltfolgen: Schaltfolge importieren gilt sowohl für XML-Import wie auch für den Import von Simulationsabbildern.

Schaltfolge von Simulationsabbild importieren

Importiert Schaltfolge aus bestehenden Simulationsabbildern.

Weitere Informationen dazu finden Sie im Kapitel Schaltfolge(n) aus Simulationsabbild importieren.

Hinweis: nicht aktiv wenn Projekt im Simulationsmodus läuft oder der Benutzer nicht über die entsprechende Funktionsberechtigung verfügt.

Die Funktionsberechtigung Schaltfolgen: Schaltfolge importieren gilt sowohl für XML-Import wie auch für den Import von Simulationsabbildern.

Schaltfolge in den Ausführungsmodus umschalten

Schaltet ausgewählte Schaltfolge(n) in den Ausführungsmodus.
Es wird automatisch eine Validierung der projektierten Schaltfolge durchgeführt. Der Ausführungsmodus startet erst dann, wenn die Schaltfolge fehlerfrei projektiert wurde.

Anderenfalls erscheint ein Hinweisdialog, dass die Schaltfolge fehlerhaft ist. Die Schaltfolge kann nicht gestartet werden!

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Schaltfolge in den Editiermodus umschalten

Schaltet eine Schaltfolge, welche aktuell im Ausführungsmodus läuft, wieder zurück in den Editiermodus um Änderungen vorzunehmen.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Spaltenwahl

Öffnet Dialog zur Auswahl der Spalten, welche angezeigt werden sollen.

Spaltenformate

Öffnet Dialog zur Projektierung der Text- und Hintergrundfarben für die Anzeige der Spalten in der Listansicht.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat

Schaltfolge(n) in XML-Datei exportieren

Schaltfolge(n) aus XML-Datei importieren

Schaltfolge(n) von Simulationsabbild importieren


Spaltenauswahl

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen > Spaltenauswahl

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Spaltenformat

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen > Spaltenformat

Parameter

Beschreibung

Verfügbare Spalten

Liste der über Spaltenauswahl bereit gestellten Spalten. Die hier ausgewählte Spalte wird über die Einstellungen der Sektion Parameter konfiguriert.

Parameter

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel. Der Spaltentitel ist online sprachumschaltbar. Dazu müssen Sie das Zeichen @ vor dem Namen eingeben.

Breite

Breite der Spalte in Zeichen.

Ausrichtung

Ausrichtung.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

OK

Übernimmt Einstellungen und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog.


Schaltfolge(n) in XML-Datei exportieren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen > Schaltfolge(n) in XML-Datei exportieren

Mit dem Button Selektierte XML exportieren exportieren Sie selektierte Schaltfolgen in eine XML-Datei. Wählen Sie dazu aus der Liste der projektierten Schaltfolgen (Mehrfachauswahl ist möglich) die gewünschten Schaltfolgen. Bei Mehrfachauswahl wird nur eine XML-Datei für alle gewählten Schaltfolgen gespeichert.

Hinweisdialog: Schaltfolge exportieren

Vor dem Export wird überprüft, ob ungesicherte Änderungen in einer Schaltfolgen-Projektierung bestehen.

Tipp Tipp

Schaltfolgen mit ungesicherten Änderungen werden in der Registerkarte des Schaltfolgen-Editors mit einem * vor dem Schaltfolgenamen visualisiert.

Parameter | Beschreibung
[Name der Schaltfolge] | Name der Schaltfolge, welche noch ungesicherte Änderungen hat. Es wird immer nur der aktuelle Schaltfolgenamen angezeigt. Nach Klick auf die Schaltfläche Ja oder Nein wird die nächsten Schaltfolge mit ungesicherten Änderungen angezeigt.
Ja | Vor dem Speichervorgang wird die aktuelle Schaltfolge gesichert. Anschließend öffnet sich der Speicherdialog.
Nein | Exportiert die angezeigte Schaltfolge mit dem zuletzt gespeicherten Projektierungsstand. Der Speicherdialog wird direkt geöffnet.
Ja alle | Vor dem Speichervorgang werden alle geöffneten Schaltfolgen mit ungesicherten Änderungen gesichert. Anschließend öffnet sich der Speicherdialog. Hinweis: nicht aktiv, wenn nur eine Schaltfolge zum Export ausgewählt wurde.
Nein alle | Exportiert alle gewählten Schaltfolgen mit dem zuletzt gespeicherten Projektierungsstand. Der Speicherdialog wird direkt geöffnet. Hinweis: nicht aktiv, wenn nur eine Schaltfolge zum Export ausgewählt wurde.
info Info
Weitere Informationen über den Aufbau der XML-Datei erhalten Sie im Kapitel Struktur der XML-Datei für Schaltfolgen.


Schaltfolge(n) aus XML-Datei importieren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen > Schaltfolge(n) aus XML-Datei importieren

Der Button XML importieren öffnet den Dialog um Schaltfolgen aus einer XML-Datei in die Liste der Schaltfolgen zu importieren.

Nach Auswahl der entsprechenden XML-Datei überprüft der Import, ob bereits projektierte Schaltfolgen in Konflikt mit den Schaltfolgen der XML-Datei stehen. In diesem Fall öffnet sich der Dialog Importoptionen.

info Info

Bestehende Schaltfolgen können nur dann beim Import überschrieben werden, wenn sich diese im Schaltfolgen-Editor im Editiermodus befinden.

Parameter

Beschreibung

[Name der Schaltfolge]

Name der zu importierenden Schaltfolge, welche bereits in der Liste der Schaltfolgen vorhanden ist.

Es wird der erste Schaltfolgenamen angezeigt. Nach Klick auf die Schaltfläche Überspringen oder OK wird die nächste Schaltfolge mit Namenskollisionen angezeigt.

[Aktion bei Namenskonflikten]

Auswahl der Aktion, für den Import einer Schaltfolge bei Namensgleichheit mit bereits vorhandenen Schaltfolgenamen in der Runtime-Projektierung:

  • eine neue Schaltfolge erstellen
    Erstellt für die Schaltfolge der XML-Datei eine neue Schaltfolge in der Runtime-Projektierung.
    Dieser importierten Schaltfolge wird bei der Benennung eine laufende Nummer hinzugefügt:
    [Schaltfolgenamen] [laufende Nummer]
  • die vorhandene Schaltfolge überschreiben
    Überschreibt die in der Runtime vorhandene Schaltfolge mit den Inhalten der XML-Datei.
    Hinweis: Ausgegraut, wenn zu überschreibende Schaltfolge im Schaltfolgen-Editor im Ausführungsmodus ist.

Default: eine neue Schaltfolge erstellen

Diese Aktion für alle weiteren Konflikte durchführen (Anzahl der Konflikte)

Führt den Import für alle folgenden Schaltfolgen mit Namenskonflikten mit der bei [Aktion bei Namenskonflikten] gewählten Aktion aus.

Die Zahl in der Klammer gibt an, wie viele Namenskonflikte im aktuellen Import auftreten.
Eine Schritt-für-Schritt-Anzeige der Schaltfolgen entfällt.

Default: nicht aktiv

Anzahl der zu importierenden Schaltfolgen aus der XML-Datei:

Gesamtanzahl an Schaltfolgen für den Import.
Hinweis: Die Anzahl gibt die Gesamtanzahl der Schaltfolgen in der XML-Datei an, nicht nur die Anzahl der Konflikte.

Überspringen

Überspringt den Import für die angezeigte Schaltfolge.

Schaltet bei mehreren Namenskonflikten eines Imports zur nächsten Schaltfolge mit Konflikten.
Hinweis: Ist die Eigenschaft Diese Aktion für alle weiteren Konflikte durchführen aktiviert, werden keine Schaltfolgen des Imports mit Namenskonflikten importiert.

OK

Führt den Import für die angezeigte Schaltfolge mit der bei [Aktion bei Namenskonflikten] gewählten Aktion aus.

Schaltet bei mehreren Namenskonflikten eines Imports zur nächsten Schaltfolge mit Konflikten.
Hinweis: Ist die Eigenschaft Diese Aktion für alle weiteren Konflikte durchführen aktiviert, werden keine Schaltfolgen des Imports mit Namenskonflikten importiert.

Abbrechen

Bricht den Import für alle folgenden Schaltfolgen ab und schließt den Dialog.

info Info

Weitere Informationen über den Aufbau der XML-Datei erhalten Sie im Kapitel Struktur der XML-Datei für Schaltfolgen.


Schaltfolge(n) von Simulationsabbild importieren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen > Schaltfolge(n) von Simulationsabbild importieren

Import erfolgt erst nach dem die Runtime von Projektsimulation auf Echtbetrieb umgeschaltet wurde. Der Button Schaltfolge von Simulationsabbild importieren befindet sich im Bild mit Schaltfolgen-Editor auf der Symbolleiste in der Liste der Schaltfolgen:

Der Button öffnet ein Dialog. Im diesem Dialog können Sie projektierte Schaltfolgen aus einem oder mehrerer Simulationsabbilder für den Import in die zenon Runtime zuordnen.

Parameter

Beschreibung

Projektsimulation

Liste aller bestehenden Projektsimulationsabbilder.

Es kann jeweils nur ein Simulationsabbild ausgewählt werden.

Schaltfolgen in Projektsimulation

Liste aller projektierten Schaltfolgen aus der gewählten Projektsimulation.

Mehrfachauswahl ist möglich.

Bestehende Schaltfolgen

Bereits bestehende Schaltfolgen im aktuell laufenden zenon Projekt.

Hinzufügen

Fügt gewählte Schaltfolgen aus der Liste Schaltfolgen in Projektsimulation zur Liste der zu übernehmenden Schaltfolgen hinzu.

Nur aktiv, wenn mindestens eine Schaltfolge aus einem Simulationsabbild ausgewählt ist.

Überschreiben

Fügt eine Schaltfolge aus der Liste Schaltfolgen in Projektsimulation zur Liste der zu übernehmenden Schaltfolgen hinzu. Diese Schaltfolge überschreibt die bestehende Schaltfolge im Schaltfolgen-Editor in der Runtime!

Dieser Button ist nur dann aktiv, wenn nur eine Schaltfolge ausgewählt wurde und die gewählte Schaltfolge bereits in der Liste Bestehende Schaltfolgen vorhanden ist. Die Schaltfolge ist somit bereits im Schaltfolgen-Editor vorhanden und wird überschrieben.

Bei Mehrfachauswahl von Schaltfolgen aus einer Projektsimulation ist der Button dann ausgegraut, wenn die Auswahl eine Schaltfolge enthält, welche noch nicht in der Liste Bestehende Schaltfolgen vorhanden ist. Bei der Übernahme in die Runtime wird eine neue Schaltfolge angelegt. Diese neue Projektierung wird mit einer laufenden Nummer in der Benennung versehen.

Liste der zu übernehmenden Schaltfolgen

Zugeordnete Schaltfolgen welche in die aktuelle Laufzeitumgebung übernommen werden.

  • Simulationsabbild:
    Name des Simulationsabbildes aus welchem die Schaltfolge stammt.
  • Schaltfolgenname:
    Name der Schaltfolge, wie im Simulationsabbild gespeichert.
  • Kollisionsbehandlung:
    Die Art der Kollisionsbehandlung ist abhängig, wie die jeweilige Schaltfolge in die Liste übernommen worden. Je nach verwendetem Button (Hinzufügen oder Überschreiben) ist die Kollisionsbehandlung vorgegeben und kann nicht verändert werden.

Hinweis: Liste ist sortier- und filterbar.

Entfernen

Entfernt markierte Schaltfolge aus der Liste der zu übernehmenden Schaltfolgen.

Mehrfachauswahl ist möglich. Eine neuerliche Zuordnung aus Schaltfolgen in Projektsimulation ist möglich.

OK

Schließt den Dialog und übernimmt Projektierungen aus der Liste der zu übernehmenden Schaltfolgen in den Schaltfolgen-Editor.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Wird das Modul Schaltfolgen im zenon Netzwerk betrieben, gelten folgende Regeln:

  • Beim Aufschalten des Dialogs wird die Liste Projektsimulation mit den Simulationsabbildern vom Server gefüllt.
    Bei Serververlust wird nach Netzwerktimeout der Dialog mit leerer Liste Projektsimulation aufgeschalten.
  • Die Liste Schaltfolgen in Projektsimulation wird auch am Client mit Daten vom Server gefüllt. Bei Serververlust ist die Liste leer.


Symbolleiste - Liste der Schaltfolgen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Andockbare Fenster - Liste der Schaltfolgen > Symbolleiste - Liste der Schaltfolgen

Parameter

Beschreibung

Schaltfolge neu...

Erstellt neue leere Schaltfolge und öffnet Dialog zur Neuanlage einer Schaltfolge.

Im Schaltfolgen-Editor öffnen

Öffnet ausgewählte Schaltfolge im Schaltfolgen-Editor.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Umbenennen

Öffnet Dialog zur Neuanlage/Benennung einer Schaltfolge.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Hinweis: Nicht aktiv, wenn ausgewählte Schaltfolge im Ausführungsmodus läuft.

Duplizieren

Dupliziert ausgewählte Schaltfolge und öffnet Dialog zur Neuanlage einer Schaltfolge.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Hinweis: duplizierte Schaltfolge wird automatisch im Editiermodus erstellt. Beim Duplizieren von Schaltfolgen wird der bestehende Name mit dem Präfix "Kopie von" ergänzt. Wird dabei die maximal mögliche Länge überschritten, wird der Name von hinten auf die erlaubte Länge gekürzt.

Löschen

Löscht ausgewählte Schaltfolge(n). Mehrfachauswahl ist möglich.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Hinweis: Vor dem endgültigen Löschen erscheint ein Zusatzdialog mit einer Sicherheitsabfrage, ob Sie die gewählte(n) Schaltfolge(n) wirklich endgültig löschen wollen.

Auswahl als XML exportieren...

Exportiert ausgewählte Schaltfolge(n) in eine XML-Datei.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

XML importieren...

Importiert Schaltfolge(n) aus einer XML-Datei.

Aus Projektsimulation importieren...

Importiert Schaltfolge aus bestehenden Simulationsabbildern.

Weitere Informationen dazu finden Sie im Kapitel Schaltfolge(n) aus Simulationsabbild importieren.

Hinweis: nicht aktiv wenn Projekt gerade im Simulationsmodus läuft oder der Benutzer nicht über die entsprechende Funktionsberechtigung verfügt.

Umschalten in Ausführungsmodus

Schaltet ausgewählte Schaltfolge(n) in den Ausführungsmodus.
Es wird automatisch eine Validierung der projektierten Schaltfolge durchgeführt. Der Ausführungsmodus startet erst dann, wenn die Schaltfolge fehlerfrei projektiert wurde.

Anderenfalls erscheint ein Hinweisdialog, dass die Schaltfolge fehlerhaft ist. Die Schaltfolge kann nicht gestartet werden!

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.

Umschalten in Editiermodus

Schaltet eine Schaltfolge, welche aktuell im Ausführungsmodus läuft, wieder zurück in den Editiermodus um Änderungen vorzunehmen.

Hinweis: Nicht aktiv, wenn keine Schaltfolge ausgewählt ist.


Schaltfolge-Raster

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Schaltfolge-Raster

Der Schaltfolge-Raster ist die Arbeitsfläche im Schaltfolgen-Editor. Hier können Sie ihre Schaltfolgen grafisch erstellen.

Das Diagramm ist rasterförmig aufgeteilt, wobei jeder Raster Platz für ein Element bietet.

Technische Details

  • Blattgröße:
    • Default: 11 x 11 Zellen
    • Minimal: 5 x 5 Zellen
    • Maximal: 500 x 1000 Zellen
  • Zellengröße:
    • Default: 155 x 111 Pixel
  • Außenränder: 100 Pixel
  • Gitter: wird per Default angezeigt, kann auch ausgeblendet werden
  • Bildlaufleiste: Wird angezeigt, wenn das Dokument größer als die Schablone ist
  • Scrollen per Mausrad: nach oben und unten, oder bei gehaltener Umschalt-Taste nach links und rechts
  • Zoomen: Strg + Scrollrad
  • Auswahl von Elementen: linker Mausklick
  • Mehrfachauswahl: Strg + Mausklick
  • Symbol bewegen: Element anklicken und mit gedrückter linker Maustaste über das Diagramm bewegen. Inhalt kann auf Zellen mit grünem Hintergrund abgelegt werden. Färbt sich eine Zelle beim Darüberbewegen rot erlaubt sie kein Ablegen.

Größe des Rasters anpassen

Die Größe des Rasters kann angepasst werden. Um die Rastergröße anzupassen:

  • Bewegen Sie den Mauszeiger an den oberen, unteren oder rechten Rand des Rasters.
    Die Anzeige des Mauszeigers ändert sich an den Rändern: <=>
  • Halten Sie die rechte Maustaste gedrückt und verschieben Sie die Ränder:
    Die Dimensionen des Rasters werden verkleinert oder vergrößert.

Beachten Sie hierbei:

  • Die minimale Größe des Rasters beträgt 5 x 5 Zellen.
  • Eine Verkleinerung kann nur maximal bis zu jener Spalte oder Zeile erfolgen, in der ein Element platziert wurde.
    Dadurch ist gewärleistet, daß keine bestehende Projektierung verloren geht.
  • Während des Teaching-Prozesses wird die Größe des Rasters im Bedarfsfall automatisch vergrößert.
  • Während des Vergrößerungsvorganges wird die Anzahl der neuen Zellen in der Fußzeile visualisiert:

Noch in diesem Kapitel

Fußzeile Schaltfolge-Raster

Symbole der Fußzeile


Fußzeile Schaltfolge-Raster

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Schaltfolge-Raster > Fußzeile Schaltfolge-Raster

Die Fußzeile des Schaltfolge-Rasters visualisiert Informationen für die Projektierung der selektierten Schaltfolge. Je nach Modus der Schaltfolge unterscheiden sich die verfügbaren Elemente.

Ansicht Editiermodus

Fußzeile des Schaltfolge-Rasters im Editiermodus und bei aktiviertem Teaching-Modus:

Ansicht Ausführungsmodus

Fußzeile des Schaltfolge-Rasters im Ausführungsmodus:

Parameter

Beschreibung

Modus der Schaltfolge

Anzeige des aktiven Modus:

  • Editiermodus
    (Symbol: Bleistift)
    Nur im Editiermodus verfügbar.
  • Teaching-Modus
    (Symbol: rotes Quadrat)
    Nur im Simulationsmodus verfügbar.
  • Ausführungsmodus:
    • Automatischer Modus
      (Symbol: Computerterminal)
    • Halbautomatischer Modus
      (Symbol: Computerterminal mit Handsymbol)

Eine grafische Übersicht mit Ansichtsbeispielen der Icons finden Sie im Kapitel Symbole der Fußzeile.

Schaltfolgenzustand der Projektierung

Zustand der Schaltfolge:

  • Bereit zum Start
    (Symbol: grüne Hand mit Daumen nach oben)
  • Warnung
    (Symbol: Rotes sechseckiges Warnsymbol mit Ausrufezeichen)

Prozessstatus

Grafische Visualisierung für eine fehlerfreie und ausführbare Schaltfolge.

  • Abgeschlossen
    (Symbol: grünes Häkchen)
  • Abgebrochen
    (Symbol: rotes X)
  • in Ausführung
    (Symbol: grüner Dreieck)
  • Leerlauf
    (Symbol: rotes Minus)
  • Pausiert
    (Symbol: zwei rote I)

Hinweis: Nur sichtbar im Ausführungsmodus.
Eine grafische Übersicht mit Ansichtsbeispielen der Icons finden Sie im Kapitel Symbole der Fußzeile.

Größe des Elements und Anzahl der Elemente

Zusätzliche Informationen zum Schaltfolge-Raster:

  • Gesamtgröße der Arbeitsfläche des Schaltfolge-Rasters.
    [Anzahl horizontale Zellen] x [Anzahl vertikale Zellen]
  • Gesamtanzahl von positionierten Elementen
    Hinweis: Linien werden nicht als Element gezählt.

Zustand der laufenden Schaltfolge

Visualisiert den aktuellen Zustand der laufenden Schaltfolge

  • In Ausführung
  • Pausiert
  • Abgebrochen

Hinweis: Nur sichtbar im Ausführungsmodus.

Aktuelle Cursorposition

Aktuelle Position des Mauszeigers im Schaltfolge-Raster.

[Zellenposition horizontale Zellen] x [Zellenposition vertikale Zellen]

Teachingposition

Aktuelle Position des Teaching-Cursors im Schaltfolge-Rasters.

Hinweis: nur bei laufendem Teaching sichtbar.

Anzahl der selektierten Elemente

Visualisierung der im Schaltfolge-Raster ausgewählten Elemente:

n Elemente selektiert

Hinweis: Nur sichtbar im Editier- sowie Teachingmodus.

Eingestellte Zoomstufe

Dropdownliste zur Auswahl der Zoomstufe für die Anzeige des Schaltfolge-Rasters. Auswahl der gewählten Stufe in Prozent aus Dropdownliste.

Default: 100 %

Schieberegler für Zoom

Auswahl der Zoomstufe für die Anzeige des Schaltfolge-Rasters.

Die Zoomstufe kann entweder mit dem Schieberegler oder mit den Buttons - und + ausgewählt werden.

Die Zoomstufen sind identisch mit den Einträgen der Dropdownliste von Eingestellte Zoomstufe.

Auswahl der andockbaren Fenster

Dropdownliste Liste der Schaltfolgen.

Auswahl ob Fenster Liste der Schaltfolgen angezeigt oder ausgeblendet wird.

Ist die Liste der Schaltfolgen bereits eingeblendet wird dies in der Dropdownliste mit einem Häckchen visualisiert.


Symbole der Fußzeile

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Schaltfolge-Raster > Symbole der Fußzeile

Die Fußzeile des Schaltfolge-Rasters verwendet folgende Symbole zur Visualisierung:

Abgebrochen

Abgeschlossen

Bereit zum Starten

in Ausführung

Automatischer Modus

Editiermodus

Halbautomatischer Modus

Leerlauf

Pausiert/Pause

Teaching

Warnung


Modi

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Modi

Der Schaltfolgen-Editor verfügt über mehrere Modi:

  • Editiermodus
    In diesem Modus werden Schaltfolgen projektiert und editiert
  • Ausführungsmodus
    Modus zum Ausführen der projektierten Schaltfolgen.
    Der Ausführungsmodus verfügt über zwei Modi:
    • Automatischer Modus
    • Halbautomatischer Modus

Noch in diesem Kapitel

Schaltfolge - Ausführungsmodus

Automatischer Modus

Halbautomatischer Modus


Schaltfolge - Ausführungsmodus

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Modi > Schaltfolge - Ausführungsmodus

Der Schaltfolgen-Editor führt Schaltfolgen zur Runtime aus. Es kann eine beliebige Anzahl an Schaltfolgen gestartet werden. Der Ausführungsmodus dient dazu, eine Schaltfolge zu testen, aber auch um diese auszuführen. Ebenso können im Ausführungsmodus auch Änderungen aus dem Editor direkt mittels Nachladen der Runtime übernommen werden.

Ausnahme: Wird eine Schaltfolge gerade ausgeführt, wird das Nachladen für diese Schaltfolge verzögert. Erst wenn die Schaltfolge durchgelaufen ist, gestoppt oder abgebrochen wurde, wird der Nachladevorgang durchgeführt.

Im Ausführungsmodus stehen für die Ausführung folgende Modi zur Verfügung:

  • Automatischer Modus
    Im automatischen Modus wird die projektierte Schaltfolge ausgeführt. Die Schaltfolge wird nur bei einer anstehenden Benutzerinteraktion angehalten.
  • Halbautomatischer Modus
    Im Halbautomatischen Modus wird nach jedem Schritt in der Schaltfolge pausiert. Erst nach entsprechendem Klick wird zum nächsten Schritt weitergesprungen. So kann die Projektierung Schritt für Schritt getestet werden.

info Info

Im Ausführungsmodus kann der prinzipielle Ablauf der Schaltfolge nicht geändert werden. Es können nur Werte der Befehlsparameter geändert werden.


Automatischer Modus

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Modi > Automatischer Modus

Im Automatischen Modus läuft eine projektierte Schaltfolge ab. Dieser Modus wird auch dazu genutzt, den Ablauf einer Projektierung in der Runtime zu visualisieren und zu steuern.

Wird eine Interaktion durch den Benutzer notwendig, schaltet das projektierte Befehlsgabebild auf. Nach Eingabe im Befehlsgabebild läuft die Schaltfolge weiter.


Halbautomatischer Modus

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Modi > Halbautomatischer Modus

Im automatischen Modus wird die projektierte Schaltfolge ausgeführt. Die Schaltfolge wird nur bei einer anstehenden Benutzerinteraktion angehalten.

Erst durch entsprechende Interaktion durch den Benutzer auf den Button Schaltfolge an allen Ausführungspositionen fortsetzen oder Schaltfolge nur an selektierter Ausführungsposition fortsetzen wird der nächste Schritt aktiv. Dieser Modus eignet sich deshalb um eine Schaltfolge Schritt für Schritt durchzusteppen.


Symbolleiste - Schaltfolgen-Editor (Editiermodus)

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus)

Im Editiermodus des Schaltfolgen-Editors können Sie eine Schaltfolge direkt in der Runtime einfach via Drag&Drop projektieren.

Parameter

Beschreibung

Schaltfolge neu...

Erstellt neue Schaltfolge.

Schaltfolge speichern

Speichert projektierte Schaltfolge

Grafische Ausprägung

Schaltet Dialog zur Auswahl der grafischen Ausprägung auf.

Gewählt werden können:

  • Hintergrundfarbe
  • Raster ein/aus
  • Rasterfarbe
  • IDs der Elemente anzeigen

Löschen

Löscht ausgewähltes Element.

Hinweis: nur aktiv, wenn im Schaltfolge-Raster ein Element ausgewählt wurde.

Schaltfolge auf Fehler überprüfen

Überprüft Projektierung einer Schaltfolge auf logische Richtigkeit und Konsistenz.

Das Ergebnis wird in einem Dialog angezeigt:

  • Die Schaltfolge ist fehlerfrei.
  • Die Überprüfung der Schaltfolge ergab folgende Warnung/Fehler:
    {Fehlerdetails}

Element bearbeiten

Ruft für Schaltgerätsbelegung und Transition einen Dialog zum Ändern der Element-Eigenschaft auf.

Hinweis: für Schritt nicht verfügbar.

Schritt austauschen

Öffnet Dialog zur Auswahl einer Befehlsgabeaktion. Dadurch können bereits projektierte Schritte mit neuen Aktionen belegt werden.

Hinweis: nur aktiv, wenn im Schaltfolge-Raster ein Element ausgewählt wurde.

Bearbeitungsmodus

Schaltet den Mauszeiger vom Einfügen eines Elements um auf Bearbeitungsmodus. Das Zurückschalten in den Bearbeitungsmodus kann auch mit Druck auf die Esc-Taste erfolgen.

Schritt einfügen

Besetzt den Mauszeiger mit einem Schritt. Dieser kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Öffnet Dialog zur Auswahl einer Befehlsgabeaktion.

Transition einfügen

Besetzt den Mauszeiger mit einer Transition. Diese kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Anfang Parallelzweig einfügen

Besetzt den Mauszeiger mit einem Anfang Parallelzweig. Dieser kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Ende Parallelzweig einfügen

Besetzt den Mauszeiger mit einem Ende Parallelzweig. Dieses kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Anfang Verzweigung einfügen

Besetzt den Mauszeiger mit einem Anfang Verzweigung. Dieser kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Ende Verzweigung einfügen

Besetzt den Mauszeiger mit einem Ende Verzweigung. Diese kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Schaltgerätsbelegung einfügen

Besetzt den Mauszeiger mit einer Schaltgerätsbelegung. Diese kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Sprungziel einfügen

Besetzt den Mauszeiger mit einem Sprungziel. Dieses kann per Klick an jeder erlaubten, freien Stelle eingefügt werden.

Teaching starten

Startet den Teaching-Modus für die aktuell ausgewählten Schaltfolgen.

Nicht aktiv, wenn:

  • Teaching-Modus aktuell für eine andere Schaltfolge läuft.
  • Projekt nicht im Simulationsmodus läuft.

Teaching stoppen

Beendet den Teaching-Modus.

Nicht aktiv, wenn kein Teaching-Modus aktiv ist.

Schaltfolge in den Ausführungsmodus umschalten

Schaltet die Schaltfolge in den Ausführungsmodus um.

Noch in diesem Kapitel

Grafische Ausprägung

Elemente

Formeleditor


Grafische Ausprägung

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Grafische Ausprägung

Klick auf das Symbol für die Grafische Ausprägung in der Symbolleiste öffnet den Dialog zur Konfiguration der Farben, Rastereinstellungen und Anzeige der Element-ID.

Parameter

Beschreibung

Hintergrundfarbe

Definiert die Hintergrundfarbe des Schaltfolge-Rasters. Klick auf die Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Raster anzeigen
  • Aktiv: Raster wird angezeigt.
  • Inaktiv: Raster wird ausgeblendet.

Rasterfarbe

Definiert die Linienfarbe des Rastergitters. Klick auf die Farbe öffnet Farbpalette zur Auswahl einer Farbe.

IDs der Elemente anzeigen

Blendet Element ID ein oder aus. Diese Einstellung ist für jede Schaltfolge vorzunehmen.

Inaktiv: In der Schaltfolge wird keine Element-ID angezeigt.
Hinweis: Diese Einstellung wird für den Normalbetrieb empfohlen.

Aktiv: Die ID der Elemente wird bei der Schaltfolge angezeigt. Ausgenommen sind Linien. Die Anzeige erfolgt in der linken oberen Ecke des Elements.

Tipp: Diese Einstellung wird für die Fehlersuche empfohlen.

OK

Übernimmt alle Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Beispiele

IDs der Elemente anzeigen aktiv

IDs der Elemente anzeigen inaktiv


Elemente

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente

Für die Projektierung einer Schaltfolge im Schaltfolgen-Editor können folgende Elemente genutzt werden:

  • Schritt
  • Transition
  • Parallelzweig
  • Verzweigung
  • Schaltgerätbelegung
  • Sprungziel
  • Linien
  • Teaching Cursor

Anfangs- und Endelement

Jede Schaltfolge muss zwingend über ein Anfangs- und ein Endelement verfügen.

Diese beiden Elemente werden automatisch bei Erstellung einer Schaltfolge angelegt und können nicht aus der Projektierung gelöscht werden. Auch wenn sie die gesamte Projektierung ausgewählt haben und diese löschen, sind das Anfangs- und Endelement von diesem Löschen nicht betroffen.

Projektierung eines Elementes:

  • Setzen Sie den Schaltfolgen-Editor in den Editier-Modus.
  • Wählen Sie ein Element im Schaltfolgen-Editor mit einem Mausklick.
  • Positionieren Sie dieses Element im Schaltfolge-Raster mit Drag&Drop.
    Hinweis: Sie können das gewählte Element mehrfach positionieren.
  • Klick auf die Esc-Taste deaktiviert die Drag&Drop-Funktionalität.

Noch in diesem Kapitel

Schritt

Transitionen - Bedingungen

Parallelzweige

Verzweigung

Parallelzweige und Zweige modifizieren

Schaltgerätbelegung

Sprungziel

Teaching-Cursor

Linien


Schritt

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Schritt

Ein Schritt wird im Modul Schaltfolgen immer mit einer projektierten Aktion der Befehlsgabe verknüpft. Die Projektierung der Aktionen erfolgt im zenon Editor im Modul Befehlsgabe.

Nach Positionierung eines Schrittes im Schaltfolge-Raster öffnet sich automatisch der Dialog Auswahl der Aktion. In diesem Dialog wählen Sie eine Aktion aus der Liste aller in zenon Editor projektierte Aktionen aller Befehlsgruppen.

Auswahl der Aktion

Wählen Sie eine Aktion und bestätigen Sie Ihre Auswahl mit OK. Dadurch wird die Befehlsgabeaktion dem Schritt zugewiesen.

Hinweis: Die Schaltfläche OK ist nicht aktiv, wenn keine Aktion ausgewählt ist. Für jeden Schritt ist nur die Verlinkung einer Aktion zulässig.

info Info

Weitere Informationen zur Projektierung der Befehlsgabe finden Sie im Handbuch Energy-Edition im Kapitel Befehlsgabe.


Transitionen - Bedingungen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Transitionen - Bedingungen

Transitionen werden nach Schritten eingesetzt, um einen definierten Übergang von einem Schritt zum nächsten zu gewährleisten. Transitionen zeigen im Ablauf ihren internen Status an und informieren mit einem Tooltip über Status und Ablaufdauer.

Nach Positionierung einer Transition im Schaltfolge-Raster öffnet sich automatisch der Dialog Bedingung.

Wählen Sie eine Rückmeldevariable aus der Liste der Parameter. Diese Liste erhalten Sie, wenn Sie die Schaltfläche Hinzufügen klicken.

Diese Liste enthält die Rückmeldevariablen aller Schritte, die bereits im Schaltfolge-Raster eingefügt sind.

info Info

Weitere Informationen zu Bedingungen erhalten Sie im Kapitel Formeleditor in diesem Handbuch.


Parallelzweige

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Parallelzweige

Bei Parallelzweigen teilt sich ein Ausführungspfad in mehrere Ausführungspfade auf, die dann im Ablauf gleichzeitig ausgeführt werden. Für die Aktivierung der unterschiedlichen Elemente innerhalb eines Parallelzweigs kann keine bestimmte Reihenfolge festgelegt werden.

Die Projektierung besteht immer aus einem Anfang Parallelzweig und einem Ende Parallelzweig.

Anfang Parallelzweig

Ende Parallelzweig

Im Ablauf wird auch jeweils der Zwischenbereich des Ende Parallelzweig eingefärbt. Die Farbe entspricht der Einfärbung der Schaltfolge.

Ein Parallelzweig ist abgeschlossen, wenn der Ablauf in allen Ausführungspfaden abgeschlossen wurde. Abgeschlossen bedeutet, dass entweder der darauffolgende Schritt aktiv oder die darauffolgende Transition inaktiv wird.

Parallelzweige einfügen

Um eine Parallelverzweigung zu erstellen:

  1. wählen Sie das Symbol Anfang Parallelzweig einfügen
  2. ziehen Sie die Verzweigung an der gewünschten Stelle auf
  3. verbinden Sie den Eingangs-Verknüpfungspunkt mit einem Ausgangs-Verknüpfungspunkt des vorangehenden Objekts
  4. verbinden Sie die beiden Ausgangs-Verknüpfungspunkte mit den gewünschten folgenden Objekten
  5. schließen Sie eine Parallelverzweigung mit dem Objekt Ende Parallelzweig einfügen


Verzweigung

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Verzweigung

Eine Verzweigung bietet die Möglichkeit, einen von mehreren möglichen Pfaden auszuführen. Dazu ist es notwendig, dass das erste Element am Anfang eines Ablaufpfades eine Transition ist.

Hinweis: Ein Anfang Verzweigung kann als Nachfolgeobjekt nur eine Transition haben.

Anfang Verzweigung

Ende Verzweigung

Ablauf:

  • Es wird der Ablaufpfad gewählt, bei dem als erstes die Transition TRUE wird.
  • Dann wird gewartet, bis alle Transitionen einen Wert haben.
  • Sollten mehrere Transitionen gleichzeitig TRUE sein, so wird immer der äußerst linke Pfad, bei dem die Transition TRUE ist gewählt.

Für Anfang und Ende gilt: Befindet sich vor dem Element ein Schritt und dahinter eine Transition, bleibt der Schritt aktiv bis auch die Transition beendet wurde.

In einem Pfad werden die Objekte sequenziell abgearbeitet. Jeder Pfad arbeitet seine Objekte unabhängig von anderen Pfaden ab.

Schaltfolgen können verzweigen und in Parallelzweigen ablaufen.

Verzweigungen und Parallelzweige bestehen aus:

  • einfachen oder doppelten horizontalen Linien
  • Verknüpfungsstücken (bestehend aus Verknüpfungslinie und Verknüpfungspunkt)

Verzweigung erstellen

Um eine Verzweigung zu erstellen:

  1. wählen Sie das Symbol Anfang Verzweigung einfügen.
  2. positionieren Sie die Verzweigung an der gewünschten Stelle.
  3. verbinden Sie den Eingangs-Verknüpfungspunkt mit einem Ausgangs-Verknüpfungspunkt des vorangehenden Objekts.
  4. verbinden Sie die beiden Ausgangs-Verknüpfungspunkte mit den gewünschten folgenden Objekten.
  5. schließen Sie eine Verzweigung mit dem Objekt Ende Verzweigung einfügen.


Parallelzweige und Zweige modifizieren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Parallelzweige und Zweige modifizieren

Modifizieren und bewegen

Zweige und Parallelzweige können verschoben und in der Größe verändert werden.

Verschieben

Um ein Objekt zu verschieben:

  1. klicken Sie das Objekt mit der Maus an.
  2. halten Sie die Maustaste gedrückt.
  3. ziehen Sie das Objekt an die gewünschte Stelle.

Größe ändern

Objekte Anfang/Ende Zweig/Parallelzweig können so verlängert und gekürzt werden. Um deren Größe zu ändern:

  1. Bewegen Sie die Maus über das Objekt bis der Mauszeiger zum Doppelpfeil wird.
  2. Halten Sie die linke Maustaste gedrückt und bewegen Sie diese in die gewünschte Richtung:
    • Vom Objekt weg, um es zu verlängern.
    • In das Objekt hinein, um es zu verkürzen.
    • Die Linie zur Weiterführung der Schaltsequenz bleibt jeweils unverändert.
  3. beim Verlängern wird ein neues Verknüpfungstück eingefügt;
    • alle Felder, in die verlängert werden kann, werden grün eingefärbt.
    • um mehrere neue Verknüpfungsstücke einzufügen, muss der Vorgang wiederholt werden.
  4. beim Verkürzen werden alle entsprechenden Verknüpfungsstücke gelöscht.


Schaltgerätbelegung

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Schaltgerätbelegung

Jedes Schaltgerät ist durch seine Rückmeldevariable repräsentiert.

Element Schaltgerätbelegung des Moduls Schaltfolgen, bewirkt die Belegung eines oder mehrere Schaltgeräte in der Runtime:

  • Mit diesem Element können im Voraus mehrere (oder alle) Rückmeldevariablen reserviert (belegt) werden. Für diese Reservierung wird das NET_SEL-Statusbit gesetzt.
  • Die Freigabe erfolgt ebenfalls über ein Schaltgerätsbelegungs-Element.

Nach Ablauf der Schaltfolge werden alle NET_SEL-Statusbits automatisch wieder gelöscht.

Liste der Schaltgeräte

Listet alle verfügbaren Schaltgeräte, deren Belegung sowie Freigabeart auf. Die Liste ist sortierbar - Mehrfachauswahl ist möglich.

Parameter

Beschreibung

Schaltgerät

Schaltgerät laut Projektierung der Befehlsgabe im zenon Editor.

Belegung

Ja, wenn bei Aktion Belegung des Schaltgeräts aktiv ist.
Leer wenn Freigabe aktiv ist.

Freigabe

Ja, wenn bei Aktion Freigabe des Schaltgeräts aktiv ist. Zusätzlich wird noch der Umfang der Freigabe als Text eingeblendet:

  • selektiv
  • global

Leer wenn Belegung aktiv ist.

Aktion

Parameter | Beschreibung
Belegung des Schaltgeräts | Wenn aktiviert, belegt das Element ausgewählte Schaltgeräte.
Freigabe des Schaltgeräts | Wenn aktiv, gibt das Element ausgewählte Schaltgeräte frei.
Freigabe der letzten Belegung | Wenn aktiv, werden nur jene Schaltgeräte freigegeben, die bei der letzten Belegung belegt waren. Nur aktiv wenn Freigabe des Schaltgeräts aktiv ist.
Schaltfolgenweite Freigabe | Wenn aktiv, werden alle Schaltgeräte freigegeben, die in der aktuellen Schaltfolge belegt sind. Nur aktiv wenn Freigabe des Schaltgeräts aktiv ist. Hinweis: Belegte Schaltgeräte werden automatisch bei erfolgreichem Durchlauf oder Abbruch der Schaltfolge wieder freigegeben.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Sprungziel

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Sprungziel

Das Element Sprungziel ermöglicht einen direkten Sprung zu einer definierten Stelle eines Zweiges.

Sprungziele ermöglichen es

  • zwischen Ablaufpfaden zu springen
  • aus Zweigen heraus zu springen
  • Schleifen zu projektieren

Sprungziele bestehen aus drei Eingängen und einem Ausgang. Dabei ist der Ausgang immer unten, und die Eingänge befinden sich immer oben und an den Seiten. Es können beliebige Eingangs-Verbindungspunkte verbunden sein. Ein Pfad, der in einem Sprungziel endet, muss mit einem Anfang Verzweigung begonnen haben. Sonst wird das Ende nicht erreicht.

Während des Editierens sind alle Verbindungspunkte sichtbar, im Prüfmodus nur Verbindungspunkte, die auch verbunden sind.

attention Achtung

Sprungziele sind für Parallelzweige nicht zugelassen.


Teaching-Cursor

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Teaching-Cursor

Das Element Teaching-Cursor visualisiert jene Position im Schaltfolge-Raster, nach welcher das aufgezeichnete Element während des Teaching-Prozesses platziert wird.

Der Teaching-Cursor steht nicht direkt als Element zur Auswahl zur Verfügung. Er wird durch Aktivierung des Teaching-Modus automatisch zur Verfügung gestellt.

Hinweis: Der Teaching-Prozess wird nicht ohne positioniertem Teaching-Cursor gestartet.
Wird die Aufzeichnung mit Klick auf den Button Teaching stoppen beendet, wird auch der Teaching-Cursor wieder ausgeblendet.

Positionierung

Um den Teaching-Cursor im Schaltfolge-Raster zu positionieren:

  1. Klicken Sie (bei aktiviertem Simulationsmodus) den Button Teaching starten.
  2. Der Teaching-Cursor wird angezeigt und kann im Schaltfolge-Raster positioniert werden.

Neupositionierung

Der Teaching-Cursor kann während eines laufenden Teaching-Vorganges neu positioniert werden.

Verschieben Sie im Schaltfolge-Raster den Teaching-Cursor per Drag&Drop und positionieren Sie den Teaching-Cursor an der gewünschten Position im Raster. Die vom Teaching übernommenen Schritte werden auf dieser neuen Cursorposition eingefügt.

Diese Neupositionierung kann mehrmals wiederholt werden. Dadurch können z.B. unterschiedliche Zweige einer Parallelverzweigung mit dem Teachingprozess projektiert werden.


Linien

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Elemente > Linien

Linien verbinden Elemente über freie Verbindungspunkte. Um Verbindungspunkte miteinander zu verbinden:

  1. Aktivieren Sie einen Punkt mit der Maus:
    Der Verbindungspunkt wird grün eingefärbt. Rot dagegen symbolisiert einen bereits vergebenen Verbindungspunkt.

  2. Ziehen Sie eine Linie zu einem anderen Verbindungspunkt:
    Ein gelber Pfeil zeigt die Richtung der Linie an. Grüne Felder können überquert werden. Rot markierte Felder dürfen von der Linie nicht gekreuzt werden.

  3. Sobald die gelbe Spitze der Linie den nächsten Verbindungspunkt berührt, wird sie erstellt.

Handhabung von Linien

Linien:

  • werden mit der Maus gezogen.
  • können verschoben werden (Ctrl-Taste halten).
    Dabei trennen sich alle bisherigen Verbindungen und es wird versucht, die Linie neu zu verbinden, wenn sich am Ziel Objekte mit Verbindungspunkten in die richtige Richtung befinden.
    Sind mehrere Linien markiert, wird die Linie, in deren Zelle sich der Mauszeiger befindet, verschoben.
  • können gelöscht werden durch markieren und drücken der Del-Taste.
  • werden beim erneuten Ziehen von Anfang zu Ende gelöscht.
  • verfügen über einen Tooltip, der ihre ID anzeigt.

Erreicht eine Line einen Verbindungspunkt eines Objekts, wird dieser aktiviert. Ist die Verbindung möglich, wird er grün dargestellt, sonst rot. Nicht erlaubt sind Verbindungen, die zwei gleiche Verbindungspunkte verbinden, also zwei Eingänge oder zwei Ausgänge. Die Linie kann in jedem Fall eingefügt werden. Nicht erlaubte Verbindungen werden rot markiert und ergeben beim Testen eine entsprechende Fehlermeldung.

Die Verbindungspunkte der Elemente werden im Editiermodus immer angezeigt, auch wenn der fragliche Verbindungspunkt verbunden ist. Im Status "Freigegeben" werden keine Verbindungspunkte angezeigt.

Eigenschaften Verbindungspunkt:

  • verbunden: rote Markierung; Verbindung wird beim Ziehen der Linie getrennt und ein neuer Verbindungspunkt kann gesucht werden
  • offen: grüne Markierung; beim Ziehen wird eine neue Linie erstellt

Linien verbinden Elemente

  • Linien dürfen als Verbindungen zwischen allen Elementen eingefügt werden. Es ist auch erlaubt, eine beliebige Anzahl von Linien hintereinander einzufügen.
  • Linien dürfen nicht dazu verwendet werden, zwei gleiche Verbindungspunkte zu verbinden.
    Zum Beispiel: Die beiden Eingänge von zwei Schritten dürfen nicht mit einer Linie direkt verbunden werden. In der Projektierung wird diese Verbindung zugelassen, sie wird allerdings rot als Fehler dargestellt und in der Validierung wird eine Fehlermeldung ausgegeben.


Formeleditor

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor

Der Formeleditor wird immer automatisch aufgeschaltet, wenn die Eingabe oder Bearbeitung einer Formel verlangt wird. Vor allem bei:

Runtime:

  • Bearbeitung von Transitionen.

Hinweis: Wird der in der Formel referenzierte Schritt entfernt und ein neuer Schritt eingefügt, werden bei Transitionen die Operanden neu zugewiesen. Dazu muss der gleiche Schritt wieder eingefügt werden. Parameter von einer anderen Grundfunktion werden nicht automatisch verknüpft.

Formel eingeben

Als Eingabe werden akzeptiert:

  • Konstante in Dezimalzahlen
  • Hexadezimalzahlen, wenn diese durch ein x eingeleitet werden
  • Punkt als Dezimaltrennzeichen, dabei gilt:
    • Komma wird automatisch durch Punkt ersetzt: aus 23,000 wird 23.000
    • Nachkommastellen, die nur aus Nullen bestehen werden abgetrennt: aus 23.000 wird 23

Parameter

Beschreibung

Parameterliste

Liste der Parameter, die für die Formel verwendet werden können.

Jeder Eintrag besteht aus:

  • einem Basisknoten für die Bezeichnung
  • einem Wert
  • einem Status
  • den Bits von Wert und Status

Ein Symbol am ersten Knoten zeigt an, ob es sich um einen Befehls- oder Rückgabeparameter handelt.

Die Kurzbezeichnung am Beginn des Namens wird in der Formel verwendet.

Hinzufügen

Öffnet Dialog zum Hinzufügen eines Parameters. Dabei gilt:

  • Hinzugefügt werden können: numerische und binäre Parameter sowie Parameter für Zeitdauer. Werte für Zeitdauer werden in Sekunden umgerechnet.
  • Für Bedingungen eines Schrittes können nur die für sie angelegten Parameter verwendet werden.
  • Parameter können auch mehrfach hinzugefügt werden.

Ersetzen

Ermöglicht das Ersetzen eines Parameters. Klick auf Schaltfläche öffnet Dialog zum Hinzufügen eines Parameters.

  • Auswahl eines neuen Parameters ersetzt den markierten Parameter.
  • Klick auf Schaltfläche Keine Auswahl löscht markierten Parameter aus Liste.

Die Kurzbezeichnung bleibt beim Ersetzen bestehen.

Entfernen

Löscht den markierten Parameter. Damit ein Parameter gelöscht werden kann:

  • muss die Formel korrekt sein
  • darf der ausgewählte Parameter in der Formel nicht verwendet werden

Logische Operatoren

Über die Schaltflächen für Operatoren werden Operatoren in die Formel eingefügt.

AND

logisch 'UND'

OR

logisch 'ODER'

XOR

logisch 'EXKLUSIV ODER'

NOT

Negation

Syntax

Die Operatortasten fügen den auf ihnen dargestellten String in die Formel ein.

(

Klammer öffnen

)

Klammer schließen

Bitweise und Vergleichsoperatoren

&

Und

|

Oder

>

größer als

>=

größer gleich

<

kleiner als

<=

kleiner gleich

=

gleich

<>

kleiner oder größer

Bedingung

Konfiguration und Darstellung der Formel.

Kopieren

Kopiert die gesamte Formel:

  • alle konfigurierten Parameter aus dem Parameterbaum
  • Formel aus dem Feld

Einfügen

Fügt eine Formel aus der Zwischenablage ein. Dabei werden alle bisher konfigurierten Elemente gelöscht und durch die kopierte Formel ersetzt.

Beim Kopieren von Formeln zwischen Schritten wird versucht, die Operanden über ihre Namen wieder aufzulösen. Für Parameter die nicht gefunden werden, werden ungültige Einträge in der Operandenliste erstellt. Ihre Verwendungsstellen in der Formel bleiben bestehen.

OK

Übernimmt Formel und schließt den Dialog.

Dazu muss die Formel korrekt sein.

Abbrechen

Verwirft alle Änderungen und schließt Dialog.

info Info

Es können bis zu 99 Parameter in einer Formel verknüpft werden. X01 bis X99. Die Länge der Formel darf dabei 4096 Zeichen nicht überschreiten.

Die Bedeutung der Bits:

Parameter | Beschreibung
Wert-Bits | Es stehen 32 Wert-Bits (von 0 -31) zur Verfügung. Sie beschreiben den Parameterwert bitweise. Für binäre Parameter hat nur das Bit 0 Bedeutung, für SINT und USINT die Bits 0-7 usw...
Status-Bits | Stellt die gängigsten Status-Bits zur Verfügung. Die genaue Definition und Verwendung der Status-Bits finden Sie in der Liste Status-Bits.
Wert und Status | Alle Werte (Wert-Bits und Status-Bits) in den Formeln werden als Binärwerte betrachtet und können dann logisch mit UND oder ODER sowie anderen logischen Ausdrücken verbunden werden. Eine Ausnahme bilden der Gesamtwert und der Gesamtstatus. Damit man bei diesen auf einen Booleschen Ausdruck kommt, muss man den Gesamtwert zuerst mit einer Konstante bitweise verodern. Dazu wird der Operator & verwendet. Bei Ergebnis 0 (FALSE) der bitweisen Veroderung ergibt sich der Binärwert 0 (FALSE), ansonsten 1 (TRUE). Beispiel: Siehe Kapitel Beispiel bitweise Veroderung.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.

info Info

Formeln mit binären X-Werten und bitweiser Verknüpfung können mit maximal 2 binären Werten benutzt werden. Werden mehr Werte benötigt, muss die Verknüpfung ohne binäre X-Werte erfolgen.

Beispiel:

X01.Value & X02.Value -> funktioniert

X01.Value & X02.Value & X03.Value -> funktioniert nicht

Aber:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funktioniert

Noch in diesem Kapitel

Parameter hinzufügen

Liste Status-Bits

Logische Operatoren

Bitformeln

Vergleichsoperatoren

Beispiele für Formeln


Parameter hinzufügen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Parameter hinzufügen

Klick auf die Schaltfläche Hinzufügen im Formeleditor öffnet den Dialog zur Auswahl von Parametern, die für eine Formel verwendet werden sollen.

Parameter | Beschreibung
Projektliste | Anzeige des aktiven Projekts. Es können immer nur Parameter gewählt werden, die im aktiven Projekt für den zu konfigurierende Schritt angelegt wurden.
Parameterliste | Liste der für den gewählten Schritt verfügbaren Parameter. Mehrfachauswahl möglich. Übernahme durch Auswahl und Klick auf die Schaltfläche OK oder durch Doppelklick auf einen Parameter.
Keine Auswahl | Löscht bereits gesetzte Parameter. Nur beim Ersetzen von Parametern wirksam. Wird ein Parameter im Formeleditor markiert und mit Klick auf die Schaltfläche Ersetzen dieser Dialog geöffnet, dann löscht Klick auf die Schaltfläche Keine Auswahl den Parameter aus der Liste im Formeleditor. Die Kurzbezeichnung bleibt beim Ersetzen bestehen.
OK | Fügt ausgewählte Parameter in Parameterliste der Formel ein und schließt Dialog.
Abbrechen | Verwirft Auswahl und schließt Dialog.
Hilfe | Öffnet Online-Hilfe.


Liste Status-Bits

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Logische Operatoren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Logische Operatoren

Logische Verknüpfungen: Variablen werden nur auf den logischen Wert '0' überprüft, ist der Wert ungleich '0', wird er mit '1' definiert.

Im Unterschied zur Bitformel kann der technische Bereich durch einen Streckungsfaktor verändert werden -> ungleich '0' oder '1'.

Operator | Bedeutung
AND | logisch 'UND'
NOT | Negation
OR | logisch 'ODER'
XOR | logisch 'EXKLUSIV ODER'

Die Operatoren haben in der Formelberechnung folgende Priorität:

Priorität | Operator
1 | & (Operator für Bitformeln)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.


Bitformeln

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Bitformeln

Bitformeln besitzen nur einen logischen Low- oder Highzustand. Im Unterschied zu logischen Formeln ist der Rohwert bereits fix vordefiniert (0,1).

Operator | Beschreibung
& | AND
| | OR

Noch in diesem Kapitel

Beispiel bitweise Veroderung


Beispiel bitweise Veroderung

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Bitformeln > Beispiel bitweise Veroderung

Sie wollen abfragen, ob eines der Anwenderstatus Bits 1-8 (M1 ... M8) von der Variable X01 gesetzt ist.

Normale Formel:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Diese Abfrage kann durch die bitweise Veroderung des Gesamtstatus wesentlich erleichtert werden.

Bitweise Veroderung

X01.Status & 0xFF

Die Konstante kann, wie oben beschrieben, Hexadezimal eingegeben werden:

0xFF entspricht dezimal 255, das sind die ersten acht Statusbits (Binär 11111111). Steht eines dieser Bits auf 1, dann ist das Ergebnis dieser bitweisen Veroderung 1 (True), ansonsten 0 (False).

Sollen z. B. alle Anwender Status-Bits außer dem Anwender Status-Bit M7 abgefragt werden, wäre der Binäre Ausdruck dafür: 10111111. Bit 7 ist nicht interessant, steht daher auf 0. Das entspricht Hexadezimal 0xBF. Der Ausdruck für die Formel ist dann: X01.Status & 0xBF.

Statt mit einer Konstante bitweise zu verodern, kann man den Wert auch direkt mit einer dezimalen Zahl vergleichen. Ist ein Vergleich falsch, ergibt sich der Binärwert 0 (False), ansonsten 1 (True).

Beispiel:

Sie wollen abfragen, ob ein Wert der Konstanten 202 entspricht. Die Formel lautet:

X01.Wert = 202

Entspricht der Wert der Konstanten 202, so ist das Ergebnis dieses Vergleiches 1 (True), ansonsten 0 (False).

Hinweis: Die bitweise Veroderung funktioniert mit dem Oder-Zeichen (|), gleich wie in diesem Beispiel.


Vergleichsoperatoren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Vergleichsoperatoren

Vergleichsoperatoren dienen zum direkten Vergleich von zwei numerischen Werten. Das Ergebnis dieses Vergleichs wird in Form eines Binärzustandes dargestellt. „0“ wenn die Bedingung nicht erfüllt ist und „1“ wenn die Bedingung erfüllt ist.

Operator | Beschreibung
< | kleiner
> | größer
<= | kleiner gleich
>= | größer gleich
= | ist gleich
<> | ungleich

Links und rechts vom Vergleichs Operator muss ein (Gesamt-)Wert oder (Gesamt-)Status stehen, Einzelbits können mit diesen Vergleichsoperatoren nicht verwendet werden.

Rechts vom Vergleichs Operator kann auch eine Konstante stehen.
Im Combi-Element werden diese Konstanten als hexadezimale Werte oder Dezimalwerte eingegeben. Hexadezimale Zahlen werden beim Klick auf OK automatisch in Dezimalzahlen umgewandelt. Zum Beispiel entspricht 0x64 dem numerischen Wert 100.

Hinweis: Das Combi-Element ist im Modul Batch Control nicht verfügbar.

Example Beispiel

X01.Wert >= X02.Wert
Das Ergebnis ist „1“ wenn der Wert von X01 größer oder gleich dem Wert X02 ist

X01.Wert = 0x64
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 entspricht (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 oder 101 entspricht (= Hex 0x64 und Hex 0x65)


Beispiele für Formeln

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Editiermodus) > Formeleditor > Beispiele für Formeln

Einfache logische UND Verknüpfung zwischen zwei Werte Bits

Example Beispiel

Formel: X01.03 AND X02.03

Diese Formel ergibt den Zustand WAHR, wenn sowohl Bit 3 der Variablen 1 als auch Bit 3 der Variablen 2 den Wert 1 hat.

Den Wert oder Status einer Variable vergleichen

Example Beispiel

(X01.Wert> X02.Wert)

Vergleiche auf logischer Basis miteinander vergleichen

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Vergleiche mit Werte- und Status-Bits

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Einen Wert mit einem dezimalen oder hexadezimalen Wert vergleichen

Example Beispiel

Formel: (X01.Wert = 111)

Formel: (X01.Wert = 0x6F)

Wird ein hexadezimaler Wert verwendet, so wird dieser mit dem Klick auf OK später in dezimale Schreibweise umgewandelt. Wurde ein dezimaler Wert angegeben und bestätigt, wird dieser beim erneuten Öffnen weiter als dezimaler Wert angezeigt.

info Info

Bei der Eingabe von Zahlen ist es nicht möglich, ein Komma oder einen Punkt zu verwenden.


Symbolleiste - Schaltfolgen-Editor (Ausführungsmodus)

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolgen-Editor > Symbolleiste - Schaltfolgen-Editor (Ausführungsmodus)

Parameter

Beschreibung

Schaltfolge starten

Startet Schaltfolge

Hinweis: nicht verfügbar während einer Redundanzumschaltung.

Schaltfolge pausieren

Hält aktuelle Schaltfolge an und pausiert diese.

Schaltfolge fortsetzen

Setzt pausierte Schaltfolge fort.
Nur aktiv, wenn Schaltfolge vorher mit Schaltfolge pausieren pausiert wurde.

Schaltfolge abbrechen

Unterbricht laufende Schaltfolge.

Benutzerinteraktion

Schaltet zum Bild der Befehlsgabe. Dazu muss gerade ein Schritt in der Schaltfolge aktiv sein. Dieser Schritt muss per Mausklick ausgewählt sein.

Aufgerufen wird das Bild, welches bei der Befehlsgabeaktion verlinkt wurde. Ist bei der Aktion kein Bild verlinkt, wird das verlinkte Bild der Befehlsgabegruppe verwendet.

Hinweis: Nur aktiv, wenn die Aktion in Ausführung ist und eine Benutzerinteraktion erwartet wird, z.B. bei einer zweistufigen Aktion oder einer anstehenden Verriegelung.

Schaltfolge auf Fehler prüfen

Überprüft projektierte Schaltfolge auf logische Konsistenz und mögliche Fehler.

Das Ergebnis wird in einem Dialog angezeigt:

  • Die Schaltfolge ist fehlerfrei.
  • Die Überprüfung der Schaltfolge ergab folgende Warnung/Fehler:
    {Fehlerdetails}

Element bearbeiten

Ruft für Schaltgerätbelegung und Transition einen Dialog mit den Element-Eigenschaften auf.

Im Ausführungsmodus können keine Änderungen durchgeführt werden. Schalten Sie den Editor zum Ändern wieder in den Editiermodus um.

Hinweis: nicht für Schritt verfügbar.

Grafische Ausprägung

Schaltet Dialog zur Auswahl der grafischen Ausprägung auf.

Gewählt werden können:

  • Hintergrundfarbe
  • Raster ein/aus
  • Rasterfarbe
  • IDs der Elemente anzeigen

Umschalten in Automatischen Modus

Schaltet Ausführung der Schaltstufe in den Automatischen Modus um.

Umschalten in Halbautomatischen Modus

Schaltet Ausführung der Schaltstufe in den Halbautomatischen Modus um.

Schaltfolge nur an ausgewählten Ausführungspositionen fortsetzen

Setzt eine Schaltfolge nur ab dem ausgewählten Element fort.

Hinweis: nur im Halbautomatischen Modus verfügbar.

Schaltfolge an allen Ausführungspositionen fortsetzen.

Setzt eine Schaltfolge an allen zur Verfügung stehenden Positionen - unabhängig von der jeweiligen Position des Mauszeigers - fort.

Hinweis: nur im Halbautomatischen Modus verfügbar.

Schaltfolge in den Editiermodus umschalten.

Schaltet in den Editiermodus um - Schaltfolgen können geändert und neu positioniert werden.


Schaltfolge erstellen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolge erstellen

Im Dialog Schaltfolge Konfiguration werden Schaltfolgen benannt oder umbenannt. Ein Beschreibungstext kann ebenfalls projektiert werden.

Eine neue Schaltfolge erstellen Sie in der Liste der Schaltfolgen.

Parameter | Beschreibung
Name | Name der neuen Schaltfolge. Der Name darf kein Fragezeichen (?), keinen Strichpunkt (;), kein @ und keinen Asterisk (*) enthalten. Maximale Länge: 256 Zeichen. Hinweis: Beim Duplizieren von Schaltfolgen wird der bestehende Name mit dem Präfix "Kopie von" ergänzt. Wir dabei die maximal mögliche Länge überschritten, wird der Name von hinten auf die erlaubte Länge gekürzt.
Beschreibung | (Optionaler) Text für die Beschreibung der Schaltfolge. Die Beschreibung können Sie nachträglich ändern. Zum Ändern der Beschreibung wählen Sie das Symbol Schaltfolge umbenennen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Tooltips

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Tooltips

Tooltips im Schaltfolge-Editor visualisieren den jeweiligen Zustand eines Schrittes und geben weitere Informationen über den jeweiligen Status.

Anzeige des Tooltips:

Um einen Tooltip anzeigen zu lassen, navigieren Sie im Schaltfolge-Raster über den jeweiligen Schritt. Der Tooltip erscheint automatisch, wenn die Maus über dem Schritt positioniert ist.

Struktur:

Der Tooltip besteht aus:

  • Befehl der Befehlsgabe (Aktion der Befehlsgruppe)
    • Interne ID
    • belegtes Schaltgerät
  • Allgemein
    • Status des Schritts
    • Interner Zustand
    • Wie oft ausgeführt
  • Gesamtdauer
    (Dauer)
    • Datums- und Zeitstempel für Beginn und Ende
  • Zeitlicher Ablauf im Detail
    (Gesamtdauer)
    • Schaltgerätsbelegung
      Datums- und Zeitstempel für Beginn und Ende
    • Ausführungsdauer
      Datums- und Zeitstempel für Beginn und Ende
    • Warten auf nachfolgende Bedingung
      Datums- und Zeitstempel für Beginn und Ende


Ausführungsstatus

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Ausführungsstatus

Folgende Status sind möglich:

Status

Beschreibung

Leerlauf

Die Schaltfolge befindet sich im Leerlauf.

In Ausführung

Beim Starten einer Schaltfolge wechselt diese in den Status In Ausführung.

Übersprungen

Ein Schritt wurde aufgrund der Projektierung übersprungen.

Abgeschlossen

Sobald die Ausführung beendet wurde, wechselt eine Schaltfolge in den Status Abgeschlossen. Das Ausführen ist in diesem Status nicht mehr möglich.

Pausierend

Die Schaltfolge wechselt in den Status Pausiert.

Pausiert

Der Ablauf bleibt innerhalb der Schaltfolge stehen bei:

  • Warten auf Beendet
  • Warten auf Belegung
  • Warten auf Verriegelungsbedingung
  • Warten auf Ende Grundfunktion
  • Prüfen auf parallele Ausführung

Abbrechend

Bricht den Ablauf ab und wechselt zu Abgebrochen.

Abgebrochen

Schaltfolgenablauf wurde abgebrochen.

Kann eine Schaltfolge bei einer wiederholten Ablauf nicht gestartet werden, wechselt sein Status automatisch auf Abgebrochen.

Neu aufgetretene Verriegelung

Schaltfolge wird gestoppt. Es ist nurmehr ein Abbruch der Schaltfolge möglich.

Dieser Status tritt in folgendem Szenario auf:

  • Eine Verrieglungsbedingung (ein- oder zweistufig) wartet auf Bestätigung.
  • Während auf die Bestätigung gewartet wird, hat sich die anstehende Verriegelungsbedingung erneut geändert.

Ausführungsposition und Sprungziele

Status | Beschreibung
Fortsetzen | Wenn ein Objekt in Pause ist und sich nach diesem eine Ausführungsposition befindet, bewirkt ein Fortsetzen das Gleiche wie ein Nächster Schritt. Dies inkludiert auch die Sprünge. Bei einem Schrittkommando wirkt sich das Kommando nur auf den Sprung im gleichen Zweig aus.
Pause | Hat keine Auswirkung bei Sprungzielen. Bereits definierte Ziele bleiben erhalten.
Sonstige | Bewirken immer das Löschen der Sprünge. Bei einem Schrittkommando wird nur der Sprung im Bereich der Schaltfolge gelöscht.


Symbole und Farben

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Symbole und Farben

Die Zustände im Ablauf einer Schaltfolge werden über verschiedene Symbole angezeigt. Einige Symbole werden auch für Transitionen und Ende Parallelzweig genutzt.

Symbole und ihre Bedeutung:

Symbol

Bedeutung

Schaltfolge startet.

Verbindung wird hergestellt.

Warten auf Schaltgerätbelegung. Das Schaltgerät des Schritts wird bereits in einer anderen Schaltfolge verwendet oder ist bereit mit dem NET_SEL Statusbit belegt.

  • Während der Ausführung eines Schrittes und dem Warten auf Reaktion Beendet.
  • Bei Transitionen: Während Ausführung und warten auf Transitionsbedingung.
  • Bei Ende Parallelzweig: Warten auf alle Zweige vereint.

Schritt ist abgeschlossen

  • Bei Transitionen: Warten auf Transitionsbedingung erfüllt.
  • Bei Ende Parallelzweig: Warten auf alle Parallelzweige abgeschlossen und warten auf nachfolgende Bedingung.

Werte werden geschrieben.

Interaktion durch den Benutzer erforderlich.
Schaltet projektierten Befehlsgabebildschirm auf.

Schaltfolge ist im Halbautomatischen Modus und wartet auf nächsten Schritt.
Klicken Sie dazu den Button "Schaltfolge an allen Ausführungspositionen fortsetzen". Es schaltet sich das Befehlsgabebild auf.

Multiple Ausführungen.

Tritt beim Versuch auf, exakt gleiche Schritte parallel auszuführen.

Tritt während eines Schritts ein Fehler auf, dann wird der Schritt bis zum erneuten Start als fehlerhaft gekennzeichnet.

Wird eine Schaltfolge pausiert wird als Symbol der aktuelle Status angezeigt.

Status

Der Ausführungsstatus von Schritten, Transitionen und Ende Parallelzweig wird farblich visualisiert:

Status

Farbe

Leerlauf:

weiß

In Ausführung:

grün

Übersprungen:

petrol

Abgeschlossen:

blau

Pausierend:

Zwei Farben:

  • orange
  • Ursprüngliche Farbe

Pausiert:

orange

Abbrechend:

Zwei Farben:

  • rot
  • Ursprüngliche Farbe

Abgebrochen:

rot

Neu startend:

Zwei Farben:

  • grün
  • Ursprüngliche Farbe

Timeout:

roter Rand

neu aufgetretene Verriegelung:

roter Rand

Verhalten bei Kommando Stoppen

Nach einem Kommando Stoppen gehen Schritte, Transitionen und Ende Parallelzweig sofort in den Status gestoppt, auch wenn andere Elemente noch auf eine Bedingung für das Stoppen warten. Weitere folgende Kommandos wie z. B. Abbrechen, werden ignoriert. Es wird weiterhin der Status gestoppt angezeigt.


Schaltfolge validieren

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Schaltfolge validieren

Schaltfolgen können während der Projektierung auf Fehler getestet werden:

  • Eine Validierung ist nur im Editiermodus möglich.
  • Beim Umschalten vom Editiermodus in den Ausführungsmodus findet die Validierung automatisch statt.

Um eine Schaltfolge zu validieren, klicken Sie auf das entsprechende Symbol in der Symbolleiste des Schaltfolgen-Editors der Runtime (grüner Haken - Schaltfolge auf Fehler prüfen). Damit wird die Schaltfolge nach internen Regeln auf Funktionsfähigkeit überprüft, vor allem werden geprüft:

  • Syntax (alle Linien verbunden, von Anfang bis Ende durchlaufbar usw.)
  • Variablen
  • Datentypen

Das Ergebnis der Prüfung wird als Dialog im Klartext ausgegeben. Gefundene Fehler werden auch in der LOG-Datei, die mit dem Diagnosis Viewer ausgewertet werden kann, gespeichert.

Regeln, die beim Projektieren zu beachten sind, finden Sie im Kapitel Projektierungsregeln für Schaltfolgen.

attention Achtung

Schaltfolgen, die zum Zeitpunkt der Validierung nicht verbunden sind, werden bei der Validierung ignoriert. Ihre Inhalte und Abläufe werden nicht überprüft.

Dialog: Validierung ok

Dialog: Validierung mit Fehlern

Treten während der Überprüfung Fehler auf, werden diese in einem Dialog angezeigt.

Diese Fehlerinformation enthält:

  • Fehlernummer
  • Element ID
  • Position im Schaltfolge-Raster
  • Fehlertext


Teaching

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Teaching

Mit Hilfe von Teaching können projektierte Befehlsgabe-Abläufe in der zenon Runtime Simulation aufgezeichnet werden. Durch diesen Ablauf werden in der Runtime während des Teaching-Prozesses entsprechende Schaltfolgen in das Simulationsabbild projektiert.

Diese so erstellte Schaltfolgenprojektierung kann noch manuell verändert werden und via Import des dadurch erstellten Simulationsabbildes in den Echtbetrieb importiert werden.

Alle Schritte werden in der zenon Runtime durchgeführt. Eine zusätzliche Projektierung für Teaching im zenon Editor ist nicht notwendig.

info Info

Der Teaching-Vorgang für das Modul Schaltfolgen ist auch dann verfügbar, wenn die Runtime im Wiedergabe-Modus des Moduls Prozess-Rekorder läuft.

Noch in diesem Kapitel

Ablauf des Teaching

Dialoge bei Abbruch des Teaching

Projektierung


Ablauf des Teaching

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Teaching > Ablauf des Teaching

Während eines aktivierten Teaching-Vorganges werden Befehlsgabe-Aktionen in einer Projektsimulation abgearbeitet und in die für das Teachen gewählte Schaltfolge, übernommen. Die Befehlsgabeaktion wird als Schritt-Element im Schaltfolge-Raster aufgenommen. Während des Teachings können im Schaltfolge-Raster auch manuell Elemente eingefügt werden. Der Teaching-Vorgang wird dadurch nicht unterbrochen.

Um Befehlsgabeaktionen aus unterschiedlichen Prozessbildern ausführen zu können, bleibt der Teaching-Vorgang auch bei geschlossenem Schaltfolgen-Editor aktiv.

Während dieses Vorganges kann in der Runtime zwischen Befehlsgabebildern und beliebigen zenon Bildern umgeschaltet werden. So können für eine Schaltfolge auch Befehlsgabeaktionen von unterschiedlichen zenon Bildern in die Schaltfolge übernommen werden. Voraussetzung dafür ist, dass im jeweiligen zenon Bild mindestens eine Befehlsgabeaktion enthalten ist.

Teaching erfolgt immer in der Projektsimulation. Dadurch wird sichergestellt, den laufenden Echtbetrieb nicht zu stören bzw. durch Fehlprojektierungen Schaden anzurichten. Die Schaltfolge kann auch nach dem Teaching-Prozess bearbeitet und verändert werden. Element können noch manuell hinzugefügt werden und Abläufe neu angeordnet werden.

Für eine Schaltfolge kann in der simulierten Runtime-Umgebung der Teaching-Vorgang wiederholt gestartet und gestoppt werden.

Die so erstellte Schaltfolgen können anschließend direkt im Bild mit dem Schaltfolgen-Editor in den Echtbetrieb importiert werden. Die Schaltfolgen können im Schaltfolgen-Editor bearbeitet werden. Dies ist bereits in der Projektsimulation wie auch nach dem Import im Echtbetrieb möglich. Der Import erfolgt immer in den Echtbetrieb: direkt im Bild mit den Schaltfolgen-Editor, über einen Button in der Symbolleiste der Liste der Schaltfolgen.

Teaching im Schaltfolge-Raster

Der Teaching-Cursor kann an jeder freien Zelle im Schaltfolge-Raster per Drag&Drop positioniert werden. Eine Neupositionierung des Teaching-Cursors ist jederzeit möglich. So können z.B. bei Parallelzweigen die einzelnen Zweige nacheinander geteached werden.

Beim Teaching-Vorgang wird für jede ausgeführte Befehlsgabeaktion der entsprechende Schritt in jene Zelle des Schaltfolge-Rasters eingefügt, an der sich der Teaching-Cursor aktuell befindet. Nach Einfügen eines Schrittes wird der Teaching-Cursor um eine Zeile nach unten verschoben.

Ist die neue Teaching-Cursorposition bereits durch eine bestehende Schaltfolgenprojektierung belegt, werden alle im Raster darunterliegenden Elemente um eine Zeile nach unten verschoben. Werden dadurch bestehende Linien getrennt, so werden diese automatisch wieder verbunden. Dadurch ist gewährleistet, dass eine bereits bestehende gültige Schaltfolge durch den Teaching-Prozess weiterhin fehlerfrei bleibt.

Die Erweiterung des Rasters ist auf insgesamt 1.000 Zeilen möglich. Nach Erreichen dieses Limits wird das Teaching abgebrochen. Der Benutzer wird darüber mit einem Dialog informiert.

Import Schaltfolgen aus Simulationsabbildern

Der Import erfolgt erst nachdem die Runtime von Projektsimulation auf Echtbetrieb umgeschaltet wurde. Der Button Schaltfolge von Simulationsabbild importieren befindet sich im Bild mit Schaltfolgen-Editor auf der Symbolleiste in der Liste der Schaltfolgen:

Weitere Informationen dazu finden Sie im Kapitel Schaltfolge(n) aus Simulationsabbild importieren.


Dialoge bei Abbruch des Teaching

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Teaching > Dialoge bei Abbruch des Teaching

Bestimmte Ereignisse in der zenon Runtime führen dazu, dass ein laufender Teaching-Vorgang abgebrochen wird. Diese Unterbrechung des Teaching-Vorgangs wird mit Warndialogen visualisiert. Zusätzlich werden CEL-Einträge und LOG-Einträge zu den jeweiligen Ereignissen erzeugt.

Der Teaching-Vorgang wird abgebrochen:

  • Bei Stop der Projektsimulation in der Runtime.
  • Bei Klick auf den Button Teaching stoppen.
  • Bei Wechsel des Modus der geteachten Schaltfolge vom Editiermodus in den Ausführungsmodus.
  • Bei XML-Export der geteachten Schaltfolge.
    Hinweis: Achtung, hier erscheint kein Warndialog. Das Teaching wird automatisch gestoppt. Die bisher geteachten Elemente bleiben jedoch erhalten.
  • Bei XML-Import, wenn die geteachte Schaltfolge bereits in der XML-Importdatei vorhanden ist und bei den Importoptionen die vorhandene Schaltfolge überschreiben gewählt wird. Die bisher geteachten Elemente gehen verloren!
  • Bei Veränderungen der geteachten Schaltfolge:
    • Speichern
    • Löschen
    • Umbenennen

Es wird dabei nicht unterschieden, wie die Schaltfolge verändert wird: z.B. via Tastenkürzel, Klick auf entsprechendes Symbol, Auswahl aus Kontextmenü usw.

Dialoge während Teaching

Bei Abbruch des Teaching-Vorganges wird der Benutzer mit Warndialogen darauf hingewiesen. Je nach Ursache des Abbruchs werden unterschiedliche Dialog angezeigt.

Schließen der zenon Runtime

Wird während eines aktiven Teaching-Vorganges die Runtime geschlossen, wird der Benutzer mit einem Dialog darauf hingewiesen:

Parameter | Beschreibung
Ja | Die Änderungen werden in der aktuell zu teachenden Schaltfolge gespeichert. Die Runtime wird geschlossen.
Nein | Die Runtime wird geschlossen. Die neuen Elemente der Schaltfolge werden nicht gespeichert.

Wird kein Button geklickt, wird die Runtime nach Ablauf von 15 Sekunden automatisch geschlossen. Die aktuelle Schaltfolge wird nicht gespeichert.

Keine verfügbare Zeile im Schaltfolge-Raster

Während des Teaching-Vorganges wird der Schaltfolge-Raster im Bedarfsfalle um eine Zeile erweitert. Wird die maximale Anzahl von 1.000 Zeilen erreicht, wird der Teaching-Vorgang abgebrochen und folgender Dialog angezeigt:

Parameter | Beschreibung
Ja | Beendet den aktiven Teaching-Vorgang und speichert die Projektierung der Schaltfolge.
Nein | Beendet den aktiven Teaching-Vorgang. Achtung: Alle neuen Elemente seit dem letzten Speichervorgang gehen verloren.

Umbenennen der Schaltfolge

Wird eine Schaltfolge während eines aktiven Teaching-Vorganges umbenannt wird das Teaching abgebrochen. Es erscheint der folgende Dialog:

Parameter | Beschreibung
Ja | Beendet den aktiven Teaching-Vorgang. Die Schaltfolge wird mit dem aktuellen Inhalten für die Schaltfolge gesichert. Ein neuer Teaching-Vorgang ist möglich.
Nein | Die Schaltfolge wird nicht umbenannt. Der aktuelle Teaching-Vorgang wird fortgesetzt. Bisher gemachte Änderungen werden nicht gespeichert.

Löschen der Schaltfolge

Wird während eines aktiven Teaching-Vorganges eine Schaltfolge gelöscht, wird vor dem Löschen folgender Dialog angezeigt:

Parameter | Beschreibung
[Name der Schaltfolge] | Name der Schaltfolge, welche gelöscht werden soll. Es wird immer nur der aktuelle Schaltfolgenamen angezeigt. Nach Klick auf die Schaltfläche Ja oder Nein wird die nächste zu löschende Schaltfolge angezeigt.
Ja | Beendet den aktiven Teaching-Vorgang. Die Schaltfolge wird mit den aktuellen Inhalten gesichert. Ein neuer Teaching-Vorgang ist möglich.
Nein | Die Schaltfolge wird nicht umbenannt. Der aktuelle Teaching-Vorgang wird fortgesetzt. Bisher gemachte Änderungen werden nicht gespeichert.
Ja alle | Löscht alle ausgewählten Schaltfolgen ohne weitere Rückfrage. Hinweis: Nicht aktiv, wenn nur eine Schaltfolge zum Löschen ausgewählt wurde.
Nein alle | Löscht keine der ausgewählten Schaltfolgen. Der Teaching-Vorgang für die zu teachende Schaltfolge ist weiter aktiv. Hinweis: Nicht aktiv, wenn nur eine Schaltfolge zum Löschen ausgewählt wurde.


Projektierung

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Teaching > Projektierung

Um Teaching in der zenon Runtime verwenden zu können, werden Prozessbilder mit einer entsprechende (Befehlsgabe-)Projektierung im zenon Editor vorausgesetzt.

Zusätzlich führen Sie folgende Schritte aus:

Projektieren im Editor

  • Erstellen Sie ein Bild vom Typ Schaltfolgen.
  • Fügen Sie das Kontrollelement Schaltfolgen-Editor in das Bild ein.
  • Erstellen Sie Bildumschaltefunktionen für das projektierte Bild.
  • Erstellen Sie eine Funktion Projektsimulation aktivieren/deaktivieren.
  • Verknüpfen Sie die erstellten Funktionen im Projekt.

Runtime

  1. Starten Sie die zenon Runtime.
  2. Starten Sie die Projektsimulation.
  3. Wechseln Sie zum Bild Schaltfolgen:
    1. Erstellen Sie eine neue Schaltfolge oder wählen Sie eine bestehende Schaltfolge zum Bearbeiten aus.
    2. Klicken Sie den Button Teaching starten im Schaltfolge-Editor.
    3. Positionieren Sie das Element Teaching-Cursor im Schaltfolge-Raster.
  4. Wechseln Sie zu einem beleibigen Prozessbild.
  5. Führen Sie die Befehlsgabeaktionen aus.
    Im Schaltfolge-Raster wird der entsprechende Schritt zur Schaltfolge hinzugefügt. Dies geschieht auch dann, wenn das Schaltfolgebild in der Runtime nicht angezeigt wird.
  6. Editieren Sie bei Bedarf die Schaltfolgen-Projektierung. Wechseln Sie dazu in das Schaltfolgen Bild:
    1. Geteachte Schritte können via Drag&Drop im Schaltfolge-Raster neu positioniert werden.
    2. Der Teaching-Cursor kann für einen erneuten Teaching-Vorgang im Schaltfolge-Raster per Drag&Drop neu positioniert werden.
    3. Setzen Sie den Teaching-Prozess mit Schritt 4 fort.
  7. Beenden Sie den Teaching-Vorgang mit Klick auf den Button Teaching stoppen.
  8. Korrigieren Sie das Endelement am Ende der Schaltfolge-Projektierung.
    Hinweis: Durch Beendigung des Teaching-Vorgang bleibt immer eine leere Zeile vor dem Endelement.
    Verschieben Sie das Endelement um eine Position nach oben oder ziehen Sie eine Linie durch die entstandene Leerzelle um die Schaltfolgeprojektierung korrekt abzuschließen.
  9. Überprüfen Sie Ihre Schaltfolgeprojektierung mit Klick auf den Button Schaltfolge auf Fehler überprüfen.
  10. Beenden Sie die Runtime-Simulation.
  11. Wechseln Sie erneut zum Bild Schaltfolgen-Editor.
  12. Klicken Sie im Fenster Liste der Schaltfolgen das Symbol Schaltfolge von Simulationsabbild importieren.
  13. Wählen Sie im Dialog Importoptionen die gewünschte Schaltfolge und übernehmen Sie diese mit Klick auf den Button OK in die Liste der Schaltfolgen.


Projektierungsregeln für Schaltfolgen

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > Projektierungsregeln für Schaltfolgen

Beim Projektieren gelten folgende wichtige Grundsätze:

Allgemein

  • Bei allen Elementen müssen immer alle Verbindungspunkte verbunden sein.
    Ausnahme: Sprungziele. Dort müssen nur zwei der drei Eingangsverbindungspunkte verknüpft sein.
  • Das Anfangselement ist bei einer Schaltfolge immer genau einmal vorhanden und markiert den Beginn des Ablaufs.
    Hinweis: Ein Anfangselement kann nicht gelöscht werden.
  • Das Endelement ist bei einer Schaltfolge immer genau einmal vorhanden und markiert das Ende des Ablaufs.
    Hinweis: Ein Endelement kann nicht gelöscht werden.
  • Schritte dürfen überall eingefügt werden. Es dürfen sich auch mehrere Schritte hintereinander befinden.
  • Es sollte mindestens ein aktiver Schritt in einer Schaltfolge vorhanden sein.

Transitionen

  • Zwei Transitionen dürfen nicht direkt hintereinander liegen.

Zweige

  • Als erstes Element nach einem Anfang Verzweigung muss an jeder Stelle eine Transition stehen.
  • Die einzelnen Zweige, die bei einem Anfang Verzweigung starten, müssen alle wieder in ein Ende Verzweigung münden, niemals in ein Ende Parallelzweig. Es dürfen sich alle Elemente zwischen Anfang und Ende eines Zweigs befinden, auch Parallelzweige, solange diese vor dem Ende Verzweigung wieder abgeschlossen werden. Ein Ende Verzweigung kann an jeder Stelle durch Sprungziele ersetzt werden, auch innerhalb eines Parallelzweigs.
  • Es muss nicht zwingend pro Anfang Verzweigung auch jeweils ein Ende Verzweigung geben. Es können auch zwei Anfang Verzweigung Elemente verzweigt auf ein einzelnes Ende Verzweigung gehen oder umgekehrt.
  • Es ist nicht notwendig, dass es für ein Anfang Verzweigung ein Ende Verzweigung gibt. Es kann auch einfach in einer Linie enden. Wenn man zum Beispiel ein Element Anfang Verzweigung mit zwei Pfaden hat, von denen einer in einem Sprungziel endet, ist ein Ende Verzweigung nicht sinnvoll.

Parallelzweige

  • Jeder Parallelzweig muss mindestens einen Schritt enthalten.
  • Das erste Element nach einem Anfang Parallelzweig darf keine Transition sein.
  • Die einzelnen Zweige, die bei einem Anfang Parallelzweig beginnen, müssen alle wieder in ein Ende Parallelzweig münden, dürfen aber niemals in ein Ende-Verzweigung enden. Zwischen Anfang Parallelzweig und Ende Parallelzweig dürfen beliebige Elemente verwendet werden, auch Zweige, solange diese vor dem Ende Parallelzweig wieder abgeschlossen werden.
  • Es müssen nicht alle Zweige, die in einem Anfang Parallelzweig gestartet wurden, wieder in ein Ende Parallelzweig münden. Es reicht, wenn alle Zweige wieder über Parallel Ende Objekte zusammenlaufen. Genauso dürfen auch Zweige aus unterschiedlichen Anfang Parallelzweig Objekten in ein Ende Parallelzweig zusammenlaufen.
  • Parallelzweige erlauben das Einbetten weiterer Parallelzweige.
    Dabei gilt: jeder eingebettete Parallelzweig muss sich wieder zum übergeordneten Parallelzweig vereinen

Linien im Schaltfolge-Raster

  • Linien dürfen als Verbindungen zwischen allen Objekten eingefügt werden. Es ist auch erlaubt, eine beliebige Anzahl von Linien hintereinander einzufügen.
  • Linien dürfen nicht dazu verwendet werden, zwei gleiche Verbindungspunkte zu verbinden.
    Zum Beispiel: Die beiden Eingänge von zwei Schritten dürfen nicht mit einer Linie direkt verbunden werden. In der Projektierung wird diese Verbindung zugelassen, sie wird allerdings rot als Fehler dargestellt und in der Validierung wird eine Fehlermeldung ausgegeben.

Sprungziele

  • Sprungziele entsprechen einem Ende Verzweigung. Sie sind dafür gedacht, um
    • zwischen Zweigen zu springen,
    • aus Zweigen heraus zu springen,
    • Schleifen zu projektieren.

    Dabei gilt: Ein Pfad, der in einem Sprungziel endet, muss mit einem Anfang Verzweigung begonnen haben. Sonst wird das Ende nicht erreicht.

  • Sprungziele bestehen aus drei Eingängen und einem Ausgang. Es müssen immer mindestens zwei Eingänge und der Ausgang verbunden sein. Dabei macht es keinen Unterschied welcher der Eingangs-Verbindungspunkte verbunden ist.
  • Sprungziele dürfen hintereinander geschaltet werden, wenn mindestens zwei Eingangsverbindungspunkte belegt sind.
  • Sprünge sind verboten:
    • zwischen Parallelzweigen
    • um aus einem Parallelzweig heraus zu springen
    • um in einen Parallelzweig hinein zu springen.


CEL-Einträge

Handbuch > Schaltfolgen > Schaltfolgen in der Runtime > CEL-Einträge

Abläufe in der zenon Runtime werden durch Einträge in die Chronologische Ereignisliste unterstützt und visualisiert.

Folgende Einträge werden in die CEL geschrieben:

  • Schaltfolge erzeugt:
    Schaltfolge [Schaltfolgenamen] erzeugt
  • Schaltfolge dupliziert:
    Schaltfolge dupliziert. Neu: [Schaltfolgenamen] Quelle: [Schaltfolgenamen]
  • Schaltfolge umbenannt:
    Schaltfolge umbenannt. Neu: [Schaltfolgenamen] Alt: [Schaltfolgenamen]
  • Schaltfolge abgeschlossen:
    Schaltfolge [Schaltfolgenamen] abgeschlossen
  • Schaltfolge abgebrochen:
    Schaltfolge [Schaltfolgenamen] abgebrochen
  • Manueller Schritt ausgeführt:
    Manueller Schritt ausgeführt. Schaltfolge [Schaltfolgenamen]; Vorgänger-Element ID: [Element-ID] (Spalte [Spaltennummer im Schaltfolge-Raster] – Zeile [Zeilennummer im Schaltfolge-Raster])
  • Manueller Sprung ausgeführt:
    Manueller Sprung ausgeführt. Schaltfolge [Schaltfolgenamen]; Start: Nachfolge-Element ID: [Element-ID] (Spalte [Spaltennummer im Schaltfolge-Raster] – Zeile [Zeilennummer im Schaltfolge-Raster]) – Ziel: Vorgänger-Element ID: [Element-ID](Spalte [Spaltennummer im Schaltfolge-Raster] – Zeile [Zeilennummer im Schaltfolge-Raster])
  • Schritt übersprungen:
    Die Aktion [Schrittname] wurde übersprungen.

info Info

Weitere Informationen zur CEL finden Sie Handbuch Chronologische Ereignisliste.


Schaltfolgen und Simulationsmodus

Handbuch > Schaltfolgen > Schaltfolgen und Simulationsmodus

Noch in diesem Kapitel

Schaltfolge(n) von Simulationsabbild importieren

Simulationsabbild erstellen


Schaltfolge(n) von Simulationsabbild importieren

Handbuch > Schaltfolgen > Schaltfolgen und Simulationsmodus > Schaltfolge(n) von Simulationsabbild importieren

Import erfolgt erst nach dem die Runtime von Projektsimulation auf Echtbetrieb umgeschaltet wurde. Der Button Schaltfolge von Simulationsabbild importieren befindet sich im Bild mit Schaltfolgen-Editor auf der Symbolleiste in der Liste der Schaltfolgen:

Der Button öffnet ein Dialog. Im diesem Dialog können Sie projektierte Schaltfolgen aus einem oder mehrerer Simulationsabbilder für den Import in die zenon Runtime zuordnen.

Parameter

Beschreibung

Projektsimulation

Liste aller bestehenden Projektsimulationsabbilder.

Es kann jeweils nur ein Simulationsabbild ausgewählt werden.

Schaltfolgen in Projektsimulation

Liste aller projektierten Schaltfolgen aus der gewählten Projektsimulation.

Mehrfachauswahl ist möglich.

Bestehende Schaltfolgen

Bereits bestehende Schaltfolgen im aktuell laufenden zenon Projekt.

Hinzufügen

Fügt gewählte Schaltfolgen aus der Liste Schaltfolgen in Projektsimulation zur Liste der zu übernehmenden Schaltfolgen hinzu.

Nur aktiv, wenn mindestens eine Schaltfolge aus einem Simulationsabbild ausgewählt ist.

Überschreiben

Fügt eine Schaltfolge aus der Liste Schaltfolgen in Projektsimulation zur Liste der zu übernehmenden Schaltfolgen hinzu. Diese Schaltfolge überschreibt die bestehende Schaltfolge im Schaltfolgen-Editor in der Runtime!

Dieser Button ist nur dann aktiv, wenn nur eine Schaltfolge ausgewählt wurde und die gewählte Schaltfolge bereits in der Liste Bestehende Schaltfolgen vorhanden ist. Die Schaltfolge ist somit bereits im Schaltfolgen-Editor vorhanden und wird überschrieben.

Bei Mehrfachauswahl von Schaltfolgen aus einer Projektsimulation ist der Button dann ausgegraut, wenn die Auswahl eine Schaltfolge enthält, welche noch nicht in der Liste Bestehende Schaltfolgen vorhanden ist. Bei der Übernahme in die Runtime wird eine neue Schaltfolge angelegt. Diese neue Projektierung wird mit einer laufenden Nummer in der Benennung versehen.

Liste der zu übernehmenden Schaltfolgen

Zugeordnete Schaltfolgen welche in die aktuelle Laufzeitumgebung übernommen werden.

  • Simulationsabbild:
    Name des Simulationsabbildes aus welchem die Schaltfolge stammt.
  • Schaltfolgenname:
    Name der Schaltfolge, wie im Simulationsabbild gespeichert.
  • Kollisionsbehandlung:
    Die Art der Kollisionsbehandlung ist abhängig, wie die jeweilige Schaltfolge in die Liste übernommen worden. Je nach verwendetem Button (Hinzufügen oder Überschreiben) ist die Kollisionsbehandlung vorgegeben und kann nicht verändert werden.

Hinweis: Liste ist sortier- und filterbar.

Entfernen

Entfernt markierte Schaltfolge aus der Liste der zu übernehmenden Schaltfolgen.

Mehrfachauswahl ist möglich. Eine neuerliche Zuordnung aus Schaltfolgen in Projektsimulation ist möglich.

OK

Schließt den Dialog und übernimmt Projektierungen aus der Liste der zu übernehmenden Schaltfolgen in den Schaltfolgen-Editor.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Wird das Modul Schaltfolgen im zenon Netzwerk betrieben, gelten folgende Regeln:

  • Beim Aufschalten des Dialogs wird die Liste Projektsimulation mit den Simulationsabbildern vom Server gefüllt.
    Bei Serververlust wird nach Netzwerktimeout der Dialog mit leerer Liste Projektsimulation aufgeschalten.
  • Die Liste Schaltfolgen in Projektsimulation wird auch am Client mit Daten vom Server gefüllt. Bei Serververlust ist die Liste leer.


Simulationsabbild erstellen

Handbuch > Schaltfolgen > Schaltfolgen und Simulationsmodus > Simulationsabbild erstellen

Um ein Simulationsabbild in der zenon Runtime erstellen zu können, führen Sie im zenon Editor folgende Projektierungsschritte durch:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen den Befehl Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Wählen Sie im Dialog aus der Gruppe Anwendung die Funktion Projektsimulation aktivieren/deaktivieren.
    Der Dialog zur Projektierung der Projektsimulation wird geöffnet.
  3. Benennen Sie die Funktion.
  4. Verknüpfen Sie die Funktion mit einem Button.

Bedienung in der Runtime

Wird der Dialog nicht zur Runtime angeboten, so überschreibt jeder Neustart einer Simulation das vorherige Simulationsabbild!

info Info

Weitere Informationen zur Projektsimulation finden Sie im Handbuch Projektsimulation.

Der aktuelle Zustand wird mit der Systemtreibervariable [Systeminformation] Runtime-Zustand (Simulation) ausgelesen


Schaltfolgen im zenon Netzwerk

Handbuch > Schaltfolgen > Schaltfolgen im zenon Netzwerk

Das Modul Schaltfolgen ist auch im zenon Netzwerk verfügbar. Dabei gilt, dass Schaltfolgen immer am Server ausgeführt werden. Jeder Client kann Schaltfolgen ausführen und verwalten.

Arbeitet ein Rechner im Netzwerk als Client, werden alle Änderungen der Schaltfolgen zum/vom Prozessführenden Server übertragen. Ist in der aktuellen Netzwerktopologie ein Standby Server vorhanden, werden alle Schaltfolgen vom Prozessführenden Server synchronisiert. Der Standby Server synchronisiert sich automatisch.

Anzeige von Dialogen

Wird eine Schaltfolge via Funktion oder Button im Schaltfolgen-Editor gestartet, werden Dialoge immer auf jenem Rechner aufgeschalten, auf dem auch die Schaltfolge gestartet wurde.

Dies sind:

  • Befehlsgabebilder
  • Fehlermeldungen

Redundanz

Das Modul Schaltfolgen unterstützt ab zenon Version 7.50 das redundante zenon Netzwerk.

Folgende Redundanztypen werden unterstützt:

  • Bewertetes Netzwerk
  • Nichtdominantes Netzwerk
  • Dominantes Netzwerk

zenon Netzwerk

Weiter Informationen über die Projektierung der Redundanz finden Sie im Handbuch Netzwerk.

  • Redundanztypen
    • Redundanz im Bewerteten Netzwerk
    • Redundanz im Nichtdominanten Netzwerk
  • Bedienberechtigung im Netzwerk
  • Funktionen im Netzwerk

Noch in diesem Kapitel

Besonderheiten für Befehlsgabebild

Simulationsabbilder in Netzwerkprojekten

Verhalten im zenon Netzwerk

Bedienberechtigung


Besonderheiten für Befehlsgabebild

Handbuch > Schaltfolgen > Schaltfolgen im zenon Netzwerk > Besonderheiten für Befehlsgabebild

Wurde in der Befehlsgabe eine Benutzerinteraktion projektiert, so gilt:

  • Das Befehlsgabebild schaltet sich immer automatisch auf dem Rechner auf, auf dem die Schaltfolge gestartet wurde.
  • Auf allen anderen Rechnern kann das Befehlsgabebild mit Klick auf die Schaltfläche Benutzeraktion aufgeschalten werden.
  • Beim Ausführen eines zweistufigen Schrittes wird, nachdem keine Verriegelungen mehr anstehen, ein Befehlsgabefenster aufgeschaltet. Das Befehlsgabefenster ist entweder jenes der Aktion oder - falls dort kein Bild projektiert ist - das Befehlsgabebild der Befehlsgruppe.


Simulationsabbilder in Netzwerkprojekten

Handbuch > Schaltfolgen > Schaltfolgen im zenon Netzwerk > Simulationsabbilder in Netzwerkprojekten

Wird das Modul Schaltfolgen im zenon Netzwerk betrieben, gelten folgende Regeln:

  • Beim Aufschalten des Dialogs wird die Liste Projektsimulation mit den Simulationsabbildern vom Server gefüllt.
    Bei Serververlust wird nach Netzwerktimeout der Dialog mit leerer Liste Projektsimulation aufgeschalten.
  • Die Liste Schaltfolgen in Projektsimulation wird auch am Client mit Daten vom Server gefüllt. Bei Serververlust ist die Liste leer.


Verhalten im zenon Netzwerk

Handbuch > Schaltfolgen > Schaltfolgen im zenon Netzwerk > Verhalten im zenon Netzwerk

Das Netzwerkkonzept des Moduls Schaltfolgen arbeitet nach folgendem Prinzip:

  • Die Schaltfolgen können sowohl am Client, wie auch am Server oder am Standby Server projektiert werden.
  • Die projektierten Schaltfolgen werden auf dem Prozessführenden Server verwaltet und an die Clients verteilt.
  • Die Schaltfolgen können sowohl am Client, wie auch am Server bedient werden.
  • Die Schaltfolgen werden am Prozessführenden Server ausgeführt.
  • Bei einer Redundanzumschaltung werden die laufenden Schaltfolgen abgebrochen.
    Am neuen Prozessführenden Server können diese manuell neu gestartet werden.

Rollenwechsel zwischen Server 1 und Server 2

  • Die Redundanzumschaltung wird solange verzögert, bis alle aktiven Schaltfolgen abgeschlossen sind.
  • Der Start von Schaltfolgen wird während einer Redundanzumschaltung blockiert. Am Client sind die Buttons in dieser Zeit ausgegraut.
    • Diese Redundanzumschaltung kann in einem Bewerteten Netzwerk geplant sein.
    • In einem Dominanten Netzwerk oder einem Nichtdominanten Netzwerk erfolgt die Redundanzumschaltung durch Ausfall des Prozessführenden Servers.
  • Das Starten von Schaltfolgen ist wieder möglich, wenn die Umschaltung durchgeführt wurde oder wenn die Umschaltung abgebrochen wurde.
    In diesem Falle wird ein Eintrag in die CEL geschrieben.
  • CEL-Nachrichten werden für folgende Ereignisse geschrieben:
    • Start einer Schaltfolge am Server ist blockiert.
    • Wenn eine Schaltfolge im Dominanten Netzwerk am Server 2 gestartet werden soll.
    • Schaltfolge kann nicht gestartet werden, da aktuell eine Redundanzumschaltung ansteht.
    • Hinweis: Wird eine fehlerhafte Schaltfolge gestartet, wird keine CEL-Nachricht erzeugt.

LOG-Eintrag

Eintrag | Level | Beschreibung
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | Die Schaltfolge kann nicht gestartet werden, da gerade eine Redundanzumschaltung ansteht.

Sonderfall: Zwei Server im Netzwerk

Im Fall, dass bei Umschaltung des Prozessführenden Servers noch Schaltfolgen auf dem "neuen" Standby Server laufen, werden diese auf dem Standby abgebrochen. Dies kann nur dann vorkommen, wenn beide Server im Netzwerk (z.B. durch einen Netzwerkausfall) nicht mehr verbunden waren und nun wieder verbunden sind. In diesem Fall wird die Änderung an der Schaltfolge nicht am Prozessführenden Server übernommen.

Dies bedeutet, falls eine Verbindung vorhanden ist und Schaltfolgen, die nun am Standby abgebrochen werden, am Prozessführenden Server schon geöffnet waren, diese weiterhin als laufend betrachtet werden. Erst wenn auf Server 1 und Server 2 diese Schaltfolge geschlossen wurde, kann sie erneut gestartet werden.

Keine Verbindung zu Server und Standby

Wird am Client das Schaltfolgenbild geöffnet, wenn weder Server 1 noch Server 2 erreichbar sind, ist der Schaltfolgen-Editor am Client nicht verfügbar. Der Schaltflächeneditor bleibt leer. In der zenon Runtime, wird anstelle des Schaltfolgebilds ein Fehlertext angezeigt.

Fehlerdialog

Wenn eine Schaltfolge nicht gestartet werden kann, wird folgender Fehlerdialog angezeigt:


Bedienberechtigung

Handbuch > Schaltfolgen > Schaltfolgen im zenon Netzwerk > Bedienberechtigung

Für das Modul Schaltfolgen gelten bei Bedienberechtigung folgende Regeln:

  • Bedienberechtigung über Anlagenmodell
    • Prinzipiell sind alle Interaktionen im Schaltfolgen-Editor erlaubt.
    • Bei manuellem Start einer Schaltfolge wird überprüft, ob für alle Variablen der Schaltfolge (Rückmeldevariable) die Bedienberechtigung vorhanden ist. Ist diese Berechtigung vorhanden, wird die Schaltfolge ausgeführt.
    • Um eine anstehende Benutzerinteraktion ausführen zu können ist die gleiche Bedienberechtigung wie bei Start der Schaltfolge notwendig.
    • Alle anderen Interaktionen wie Stoppen, Umbennen etc. benötigen keine Bedienberechtigung beim Anlagenmodell.
  • Globale Bedienberechtigung
    • Jeder Start einer Schaltfolge sowie jede Interaktion benötigt die entsprechende Bedienberechtigung.
    • Ohne einen gültigen Token wird keine Aktion ausgeführt.


Schaltfolgen am Web Client

Handbuch > Schaltfolgen > Schaltfolgen am Web Client

Wird ein zenon Web Server mit der Standardlizenz verwendet:

  • können am zenon Web Client die Einstellungen für Gitternetz und Farbe geändert werden
  • können am zenon Web Client keine Schaltfolgen erstellt oder bearbeitet werden
  • kann am zenon Web Client die Größe der Arbeitsfläche nicht geändert werden
  • werden am zenon Web Client in der Symbolleiste alle Symbole, die nicht zugelassen sind, deaktiviert.
    Die Auswahl der entsprechenden Objekte ist also nicht möglich.

Wird ein zenon Web Server Pro verwendet, sind diese Einschränkungen nicht gegeben.


Bedienberechtigung

Handbuch > Schaltfolgen > Bedienberechtigung

Für das Modul Schaltfolgen gelten für die Bedienberechtigung:

  • Bedienberechtigung global
    Der ausführende Rechner muss über die entsprechende Bedienberechtigung verfügen. Ohne die entsprechende Berechtigung sind keine Interaktionen erlaubt.
    Diese Berechtigung gilt generell für alle Interaktionen. Eine Unterscheidung auf einzelne Inhalte wird nicht vorgenommen.
  • Bedienberechtigung via Anlagenmodell
    • Der Start einer Schaltfolge benötigt eine entsprechende Berechtigung für alle in der Schaltfolge verwendeten Rückmeldevariablen.
    • Eine anstehende Benutzerinteraktion benötigt die gleiche Bedienberechtigung, wie bei Start der jeweiligen Schaltfolge.
    • Alle anderen Interaktionen wie z.B., Stoppen, Umbennen etc. benötigen keine Bedienberechtigung.

info Info

Weitere Informationen zu Bedienberechtigungen finden Sie im Handbuch Netzwerk im Kapitel Bedienberechtigung im Netzwerk.


Struktur der XML-Datei für Schaltfolgen

Handbuch > Schaltfolgen > Struktur der XML-Datei für Schaltfolgen

Beachten Sie:

  • Änderungen in der XML-Datei sind Experten vorbehalten und werden generell nicht empfohlen.
  • Eine fehlerhafte XML-Datei kann zu Problemen beim XML-Import führen. Der Import kann dadurch fehlschlagen.
  • Dadurch, dass sowohl das Modul Schaltfolgen wie auch das Modul Batch Control eine gemeinsame XML-Struktur verwenden, sind Inhalte und Bezeichnungen mit der Terminologie des Moduls Batch Control gleich. Fehlen diese Einträge in der XML-Datei, sind auch die Inhalte für Schaltfolgen fehlerhaft.

info Info

Diese Dokumentation der XML-Datei beschreibt die Elemente "von oben nach unten" nach deren Auftreten in der Datei. Enthaltene Sub-Strukturen werden in eigenen Bereichen jeweils detailiert beschrieben.

Hauptknoten

Die erste Ebene der XML-Struktur:

Parameter | Beschreibung
xml | XML-Deklaration mit XML-Version und Zeichenkodierung: version="1.0" encoding="utf-16"
Subject | Beachten Sie die Detailbeschreibung für die Inhalte dieses Knotens.

Subject

Der Knoten Subject beinhaltet allgemeine Informationen zur XML-Datei.

Parameter | Beschreibung
ShortName | (vorgegebener Wert) zenOn(R) exported project
MainVersion | Version von zenon, aus welcher der XML-Export durchgeführt wurde. (vorgegebener Wert) 7500
Apartment | Beachten Sie die Detailbeschreibung für die Inhalte dieses Knotens.

Apartment

Der Knoten Apartment repräsentiert Inhalte für exportierte Schaltfolgen-Projektierungen.

Parameter | Beschreibung
ShortName | (vorgegebener Wert) zenOn(R) command sequencer
Version | Version von zenon, aus welcher der XML-Export durchgeführt wurde. (vorgegebener Wert) 7500
CommandSequence | Knoten für Projektierungsinhalte einer Schaltfolge. Jede einzelne exportierte Schaltfolgenprojektierung wird mit einem eigenen Knoten CommandSequence repräsentiert. Beachten Sie die Detailbeschreibung für die Inhalte dieses Knotens.

CommandSequence

Der Knoten enthält allgemeine Informationen zur Projektierung einer Schaltfolge.

Parameter

Beschreibung

MrId

ID der Schaltfolge. Diese ID muss für jede Schaltfolge eindeutig sein und darf nicht doppelt vergeben sein.

MrName

Name der Schaltfolge.

Entspricht dem Eingabefeld Name im Dialog Schaltfolge Konfiguration.

MrDescription

Beschreibung der Schaltfolge.
Entspricht dem Eingabefeld Beschreibung im Dialog Schaltfolge Konfiguration.

MrVersion

Version der Schaltfolge.
1

(vorgegebener Wert)
Nicht änderbare Standardeinstellung.

MrSourceVersion

Ursprungsversion der Schaltfolge.

0

(vorgegebener Wert)

Nicht änderbare Standardeinstellung.

MrStatus

Status/Modus der Schaltfolge.

  • 0
    nicht verwendet
  • 1
    Editiermodus
  • 2
    nicht verwendet
  • 3
    Ausführungsmodus

RecipeType

Typ der Schaltfolge.

Pfc

(vorgegebener Wert)

Nicht änderbare Standardeinstellung.

ApprovalTime

Zeitstempel für freigegebene Schaltfolgen.

kein Eintrag
Wird für das Modul Schaltfolgen nicht verwendet.

ApprovalUserName

Name des Benutzers, der die Schaltfolge freigegeben hat.

kein Eintrag
Wird für das Modul Schaltfolgen nicht verwendet.

ApprovalUserID

ID des Benutzers, der die Schaltfolge freigegeben hat.

kein Eintrag
Wird für das Modul Schaltfolgen nicht verwendet.

OutdatedTime

Veraltete Zeit für die Schaltfolge.

kein Eintrag
Wird für das Modul Schaltfolgen nicht verwendet.

OutdatedUserName

Name des Benutzers, der die Schaltfolge auf veraltet gesetzt hat.

kein Eintrag
Wird für das Modul Schaltfolgen nicht verwendet.

OutdatedUserID

ID des Benutzers, der die Schaltfolge auf veraltet gesetzt hat.

kein Eintrag
Wird für das Modul Schaltfolgen nicht verwendet.

Structure

Beachten Sie die Detailbeschreibung für die Inhalte dieses Knotens.

Knoten Structure

Jede projektierte Schaltfolge wird in der XML-Datei mit dem Knoten Structure_[laufende Nummer] repräsentiert.

Parameter | Beschreibung
NODE | Vorgegebener Text: zenOn(R) embedded object
LastObjId | Zuletzt verwendete ID der Schaltfolge.
ColCount | Gesamtanzahl der Spalten im Schaltfolge-Raster.
RowCount | Gesamtanzahl der Reihen im Schaltfolge-Raster.
CenterColOffset | Startkoordinate der Zelle mit dem ersten Element einer Schaltfolgenprojektierung im Schaltfolge-Raster. 0 (vorgegebener Wert)
CenterRowOffset | Startkoordinate der Reihe mit dem ersten Element einer Schaltfolgenprojektierung im Schaltfolge-Raster. 0 (vorgegebener Wert)
ChartObject | Beachten Sie die Detailbeschreibung für die Inhalte dieses Knotens.

Knoten ChartObject

Jedes einzelne Element des Schaltfolge-Rasters wird in der XML-Datei mit dem Knoten ChartObject_[laufende Nummer] repräsentiert.

Je nach Element unterscheiden sich die jeweiligen XML-Elemente.

Parameter

Beschreibung

NODE

Vorgegebener Text:
zenOn(R) embedded object

Type

Art des Elements:

  • 1
    Anfangselement
  • 2
    Endelement
  • 3
    Schritt
  • 4
    Transition
  • 5
    Anfang Verzweigung
  • 6
    Ende Verzweigung
  • 7
    Anfang Parallelzweig
  • 8
    Ende Parallelzweig
  • 9
    Schaltgerätsbelegung
  • 10
    nicht verwendet für Schaltfolgen
  • 11
    Linie
  • 12
    Sprungziel

Noch in diesem Kapitel

XML-Struktur für Elemente - Gesamtübersicht


XML-Struktur für Elemente - Gesamtübersicht

Handbuch > Schaltfolgen > Struktur der XML-Datei für Schaltfolgen > XML-Struktur für Elemente - Gesamtübersicht

Diese Beschreibung bietet eine Gesamtübersicht über alle möglichen Elemente.

Eine detailierte Beschreibung nach Elementen finden Sie ....

Anfangselement

Parameter | Beschreibung
NODE | Vorgegebener Text: zenOn(R) embedded object
TYPE | Typ des Elements. Für Anfangselement immer 1
ChartId | ID des Elements in der Schaltfolge.
ChartCol | Koordinate der Spalte des Elements im Schaltfolge-Raster. Die Zahl bezieht sich auf die freien Spalten neben dem Element. Dies bedeutet: ChartCol 3 = Das Element ist in Spalte 4 positioniert.
ChartRow | Koordinate der Zeile des Elements im Schaltfolge-Raster. Die Zahl bezieht sich auf die freien Zeilen über dem Element. Dies bedeutet: ChartRow 3 = Das Element ist in Zeile 4 positioniert.

Endeelement

Parameter | Beschreibung
NODE | Vorgegebener Text: zenOn(R) embedded object
TYPE | Typ des Elements. Für Endelement immer 2
ChartId | ID des Elements in der Schaltfolge.
ChartCol | Koordinate der Spalte des Elements im Schaltfolge-Raster. Die Zahl bezieht sich auf die freien Spalten neben dem Element. Dies bedeutet: ChartCol 3 = Das Element ist in Spalte 4 positioniert.
ChartRow | Koordinate der Zeile des Elements im Schaltfolge-Raster. Die Zahl bezieht sich auf die freien Zeilen über dem Element. Dies bedeutet: ChartRow 3 = Das Element ist in Zeile 4 positioniert.

Element Linie

Parameter

Beschreibung

NODE

Vorgegebener Text:
zenOn(R) embedded object

TYPE

Typ des Elements.

Für Linienelement immer 11

ChartId

ID des Elements in der Schaltfolge.

ChartCol

Koordinate der Spalte des Elements im Schaltfolge-Raster.

Die Zahl bezieht sich auf die freien Spalten neben dem Element.
Dies bedeutet: ChartCol 3 = Das Element ist in Spalte 4 positioniert.

ChartRow

Koordinate der Zeile des Elements im Schaltfolge-Raster.

Die Zahl bezieht sich auf die freien Zeilen über dem Element.
Dies bedeutet: ChartRow 3 = Das Element ist in Zeile 4 positioniert.

FirstCol

Koordinate der Spalte, in der die Linie beginnt.

FirstRow

Koordinate der Reihe, in der die Linie beginnt.

SecondCol

Koordinate der Spalte, in der die Linie endet.

Die Zahl bezieht sich auf die freien Spalten neben dem Element.
Dies bedeutet: ChartCol 3 = Das Element ist in Spalte 4 positioniert.

SecondRow

Koordinate der Reihe, in der die Linie endet.

Die Zahl bezieht sich auf die freien Zeilen über dem Element.
Dies bedeutet: ChartRow 3 = Das Element ist in Zeile 4 positioniert.

LineSegments

Spalten-, Reihen-, Typ-Koordinaten der Zellen, getrennt durch #, wo die gesamte Linie verläuft.

Typ der Linie:

  • 0: Gerade Linie von oben nach unten
  • 1: 90° von oben nach rechts
  • 2: 90° von oben nach links
  • 3: Gerade Linie von links nach rechts
  • 4: 90° von rechts nach unten
  • 5: 90° von links nach unten

Beispiel:

1|3|0#1|2|5#0|1|0#0|2|1


Schichtmanagement

Handbuch > Schichtmanagement

Das Schichtmanagement ermöglicht Ihnen, Schichten in der zenon Runtime zentral zu planen und zu warten. Die Planung kann manuell oder automatisiert erfolgen. Sie erhalten Überblick über geplante und abgelaufene Schichten, auch in Verbindung mit Anlagengruppen. Schichtinformation können in anderen Modulen zur Filterung von Informationen verwendet werden. So können zum Beispiel Alarme oder Einträge in die CEL abhängig von bestimmten Schichten angezeigt werden.

info Info

Dieses Modul ist in Globalprojekten und CE-Projekten nicht verfügbar.

Überblick Schichtmanagement

Das Schichtmanagement wird zur Runtime als Bild aufgeschaltet und konfiguriert. Die übersichtliche Darstellung orientiert sich an den gewohnten Kalenderelementen aus Büro-Programmen.

Mithilfe des Schichtmanagements können Sie lokal und im Netzwerk:

  • Schichtmodelle erstellen und anwenden:
    Schichtmodelle dienen als Vorlage und bilden eine oder mehrere Schichten als Modell ab. Damit können im Kalender vordefinierte Schichten eingefügt werden.
  • Schichten anlegen:
    Schichten können auch einzeln im Kalender eingetragen und konfiguriert werden.
  • Schichtzeiten verwalten:
    Eingetragene Schichten können jederzeit verändert oder entfernt werden.
  • Schichten mit der Anlagenmodellierung verknüpfen:
    Schichten können mit Anlagengruppen verknüpft werden. Das ermöglicht die einfache Filterung auf bestimmte Anlagenteile oder Produktionsbereiche.
  • Schichten nach SQL exportieren:
    Alle Schichtdaten können über eine zenon Funktion nach SQL exportiert und so in anderen Programmen weiter verwendet werden.
  • Schichten für Alarmierung über Message Control nutzen:
    zenon Benutzer, die einer Schicht zugeordnet sind, können via Message Control benachrichtigt werden.

Die Projektierung und Wartung kann auch über die zenon API erfolgen.

Noch in diesem Kapitel

Terminologie

Schichtmanagement projektieren

Schichtmanagement zur Runtime

Verhalten im Netzwerk

Zeitzonen und Tagesgrenzen

Tastenkombinationen für Schichtmanagement


Terminologie

Handbuch > Schichtmanagement > Terminologie

Begriff | Definition
Schichtmanagement | Ein Modul in zenon zur Modellierung und Organisation von Schichten.
Schicht | Repräsentiert den Verlauf einer einzelnen Arbeitseinheit. Diese enthält auch erweiterte Informationen, etwa eine freie textuelle Bezeichnung und Beschreibung, Zuordnung zum Anlagenmodell und zur Benutzerverwaltung sowie Pausen.
Pause | Schichten können Pausen enthalten, um eine Unterbrechung der Produktivzeit anzuzeigen.
Schichtmodell | Repräsentiert den Modus einer wiederkehrenden Konfiguration von Schichten, z.B. einen "2-Schicht-Betrieb" oder einen "3-Schicht-Betrieb". Dazu bündelt das Schichtmodell mindestens eine oder mehrere Schichten. Zusätzlich enthält das Schichtmodell erweiterte Informationen, etwa eine freie textuelle Bezeichnung und Beschreibung.
Schichtkalender | Ist eine Visualisierungskomponente zur selektiven Darstellung von Schichtterminen in zenon. Er ermöglicht unter anderem die Erstellung und Editierung von Schichtterminen.
Belegschaft | Entspricht den für eine Schicht ausgewählten Personen.


Schichtmanagement projektieren

Handbuch > Schichtmanagement > Schichtmanagement projektieren

Die Bedienung des Schichtmanagements erfolgt zur Runtime über Bilder vom Typ Schichtmanagement.

Um Schichtzeiten und Termine zur Runtime anzeigen und verwalten zu können, muss im Editor projektiert werden:

  • ein Bild vom Typ Schichtmanagement
  • eine Bildumschaltung auf dieses Bild

Dieses Bild wird zur Runtime aufgeschaltet und konfiguriert.

Noch in diesem Kapitel

Bild vom Typ Schichtmanagement anlegen

Kontrollelemente

Aussehen des Kalenders anpassen

Feiertage

Bildumschaltung konfigurieren

Funktion SQL-Export


Bild vom Typ Schichtmanagement anlegen

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bild vom Typ Schichtmanagement anlegen

Bild vom Typ Schichtmanagement anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Schichtmanagement .
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.


Kontrollelemente

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Kontrollelemente

Vorlage einfügen

Parameter | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Kontrollelemente

Element | Beschreibung
Filter | Öffnet den Dialog mit den Filtereinstellungen der Bildumschaltung.
Kalender | Kalendermodul, das zur Runtime den Kalender mit den Schichten oder ein Schichtmodell anzeigt.
Kalenderinhalt | Textelement, das zur Runtime den aktuell angezeigten Datumsbereich des Schichtkalenders anzeigt.

Schichten

Element | Beschreibung
Schicht neu | Öffnet den Dialog zum Anlegen einer neuen Schicht.
Schicht löschen | Löscht die ausgewählte Schicht. Mehrfachauswahl mit der Steuerung-Taste möglich.
Schicht Eigenschaften | Öffnet Dialog zum Bearbeiten der ausgewählten Schicht.
Schicht kopieren | Kopiert die ausgewählte Schicht.
Schicht einfügen | Fügt eine kopierte Schicht aus der Zwischenablage am ausgewählten Tag ein.

Auswahl anwenden

Element | Beschreibung
Auswahl anwenden | Übernimmt ausgewählte Schichten und wendet diese als Filter auf andere Bilder an. Diese Bilder müssen in der Bildumschaltung in der Registerkarte Bilder ausgewählt werden.

Schichtkalender

Element | Beschreibung
Schichtkalender öffnen | Öffnet den Schichtkalender. Nur verfügbar, wenn im Kalender ein Schichtmodell angezeigt wird.
Schichtmodell einfügen | Öffnet den Dialog zum Einfügen eines Schichtmodells in den Schichtkalender.

Navigation

Element | Beschreibung
Vorwärts | Geht im Kalender entsprechend der eingestellten Anzeige um ein Element weiter (einen Tag, eine Woche oder einen Monat).
Rückwärts | Geht im Kalender entsprechend der eingestellten Anzeige um ein Element zurück (einen Tag, eine Woche oder einen Monat).
Tagesansicht | Zeigt im Kalender den ausgewählten Tag an.
Wochenansicht | Zeigt im Kalender die ausgewählte Woche an.
Monatsansicht | Zeigt im Kalender den ausgewählten Monat an.
Zu Heute wechseln | Zeigt im Kalender den aktuellen Tag an.

Schichtmodelle

Elemente | Beschreibung
Liste Schichtmodelle | Liste der vorhandenen Schichtmodelle.
Spaltenauswahl | Öffnet den Dialog zur Auswahl der in der Liste anzuzeigenden Spalten.
Spalten formatieren | Öffnet den Dialog zur Formatierung der Spalten.
Schichtmodell neu | Öffnet den Dialog zur Erstellung eines Schichtmodells.
Schichtmodell öffnen | Ändert die Ansicht des Kalenders auf Anzeige von Schichtmodellen und öffnet dort das ausgewählte Schichtmodell.
Schichtmodell speichern | Speichert das im Kalender geöffnete Schichtmodell. Nur verfügbar, wenn im Schichtkalender ein Schichtmodell geöffnet ist und nicht gespeicherte Änderungen vorliegen.
Schichtmodell löschen | Löscht die ausgewählten Schichtmodelle nach einer Sicherheitsabfrage.
Eigenschaften | Konfiguration der Eigenschaften des Schichtmodells: Name und Beschreibung.


Aussehen des Kalenders anpassen

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Aussehen des Kalenders anpassen

Sie können das Aussehen des Kalenders über die Eigenschaften des Kontrollelements Kalender anpassen.

Noch in diesem Kapitel

Kalendereigenschaften


Kalendereigenschaften

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Aussehen des Kalenders anpassen > Kalendereigenschaften

Farben für Arbeitszeit und arbeitsfreie Zeit

Um die Farben für Arbeitszeit und arbeitsfreie Zeiten zu konfigurieren:

  1. Klicken Sie im Editor auf das Kalenderelement.
  2. Wählen Sie in den Eigenschaften die Gruppe Füllung.
  3. Konfigurieren sie die Farbe für arbeitsfreie Zeit über die Eigenschaft Füllfarbe arbeitsfreie Zeit.
    Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe.
  4. Konfigurieren sie die Farbe für Arbeitszeiten über die Eigenschaft Füllfarbe Arbeitszeit.
    Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe.


Feiertage

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Feiertage

Feiertage werden im Kalender entsprechend dargestellt:

  • Farbe: Die Einfärbung eines Feiertags entspricht der Farbe der arbeitsfreien Zeit.
    • Tages- und Wochenansicht: Die Einfärbung eines Feiertags entspricht der Farbe der arbeitsfreien Zeit.
    • Monatsansicht: Keine Einfärbung.
  • Benennung:
    • Tages- und Wochenansicht: Anstelle des Wochentags wird der Name des Feiertags angezeigt.
    • Monatsansicht: Anstelle des Datums wird der Name des Feiertags angezeigt.

Feiertage sind sprachumschaltbar.

In der Konfiguration der Schichtmodelle können Feiertage über eine Checkbox berücksichtigt werden.

Feiertage konfigurieren

Für Schichtkalender können landesspezifische Feiertage voreingestellt werden.
Die Konfiguration erfolgt im Editor über die Projekteigenschaft Schichtmanagement/Nationale Feiertage. Die hier gewählten Einstellungen gelten immer für das jeweilige Projekt.

Konfiguration

Um Feiertage zu konfigurieren:

  1. Navigieren Sie in den Projekteigenschaften zum Knoten Schichtmanagement.
  2. Klicken Sie in die Eigenschaft Nationale Feiertage.

    Der Dialog Nationale Feiertage zur Auswahl eines Landes wird geöffnet.

  3. Wählen Sie das gewünschte Land aus.
  4. Klicken Sie auf OK.

    Das gewählte Land wird in der project.ini gespeichert. Zur Runtime werden die Feiertage des gewählten Landes in den Schichtkalender eingetragen.

Um Feiertage zu entfernen, wählen Sie den Eintrag Keine Auswahl.

Dialog Nationale Feiertage

Option

Beschreibung

Liste Länder

Auswahl eines Landes aus der Liste.
Mit Klick auf OK werden die Feiertage des gewählten Landes in den Kalender eingetragen.

  • Keine Auswahl:
    Es werden keine Feiertage eingetragen. Bereits vorhandene Feiertage werden entfernt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Daten für Feiertage

Die Basis-Daten für die Feiertage befinden sich in der Datei Feiertage.txt im Ordner %programdata%\COPA-DATA\zenon800. Diese kann mit einem Text-Editor bearbeitet werden.
Die Einträge für ein Land beginnen mit der Benennung des Landes in Englisch, eingeschlossen in eckigen Klammern, und anschließender Kennziffer, wie sie auch in Microsoft Office verwendet wird. Die Definition der Feiertage erfolgt dann ab der nächsten Zeile, durch Angabe von Namen und Datum des Feiertages. Pro Feiertag erfolgt ein Eintrag in eine Zeile.

Aufbau:

  • [Land] Nummer
  • Eintrag, YYYY/MM/D

Zum Beispiel:

[Austria] 45

Allerheiligen,2009/11/1

Allerheiligen,2010/11/1

...


Bildumschaltung konfigurieren

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren

Um ein Bild vom Typ Schichtmanagement zur Runtime aufzuschalten:

  1. Legen Sie ein Bild vom Typ Schichtmanagement an.
  2. Erstellen Sie eine Funktion Bildumschaltung auf das Bild.

Bildumschaltung projektieren

Um eine Bildumschaltung auf ein Bild vom Typ Schichtmanagement anzulegen:

  1. Wählen Sie im Kontextmenü des Knotens Funktion den Befehl Funktion neu.
  2. Klicken Sie auf Bildumschaltung.

    Der Dialog zur Bildauswahl wird angezeigt.

  3. Wählen Sie ein Bild vom Typ Schichtmanagement.

    Der Filterdialog wird geöffnet.

Filterdialog

Im Dialog stehen mehrere Registerkarten zur Konfiguration zur Verfügung:

  • Allgemein: Konfiguration des Kalenders.
  • Liste der Schichtmodelle: Konfiguration der Liste der Schichtmodelle.
  • Anlagenmodellierung: Auswahl von Anlagengruppen zur Filterung des Schichtkalenders.
  • Bilder: Auswahl der Bilder, für die Schichten als Filter verwendet werden sollen.

Beim erneuten Aufruf der Konfiguration werden auch noch Registerkarten für das Ersetzen von Verknüpfungen und Indizes angeboten.

Hinweis: Der Dialog kann zur Runtime auch über den Button Filter aufgerufen werden.

Noch in diesem Kapitel

Allgemein

Liste der Schichtmodelle

Anlagenmodellierung

Bilder


Allgemein

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren > Allgemein

In dieser Registerkarte werden die Voreinstellungen für den Schichtkalender konfiguriert. Die hier getroffenen Einstellungen bestimmen Darstellung und Vorgabe des Kalenders zur Runtime. Die Einstellungen können zur Runtime nur modifiziert werden, wenn die Option Diesen Dialog zur Runtime anbieten aktiviert wurde.

Arbeitszeit

Konfiguration der Arbeitszeit.

Option | Beschreibung
Arbeitszeit | Mit diesen Eigenschaften konfigurieren Sie die im Kalender vorgegebene Arbeitszeit.
Beginn | Geben Sie hier die Uhrzeit für den Beginn der Arbeitszeit an. Eingabe direkt in das Feld oder Konfiguration über die Pfeiltasten. Default: 08:00 Uhr
Ende | Geben Sie hier die Uhrzeit für das Ende der Arbeitszeit an. Eingabe direkt in das Feld oder Konfiguration über die Pfeiltasten. Default: 17:00 Uhr
Arbeitswoche | Mit diesen Checkboxen legen Sie fest, welche Tage eine Arbeitswoche bilden. Auswahl durch Aktivierung der Checkbox vor dem jeweiligen Wochentag. Default: Montag bis Freitag.

Ansicht

Konfiguration der Ansicht.

Option

Beschreibung

Ansicht

Konfiguration der Standard-Ansicht des Kalenders zur Runtime.

Erster Wochentag

Auswahl des Wochentages, mit dem der Kalender die Arbeitswoche beginnt. Auswahl aus Dropdownliste.

Default: Montag

Modus

Auswahl der Standard-Ansicht, in der der Kalender zur Runtime geöffnet wird. Auswahl aus Dropdownliste:

  • Tag
  • Woche
  • Monat

Default: Woche

Allgemein

Option

Beschreibung

Diesen Dialog zur Runtime anbieten

Auswahl ob der Dialog beim Aufschalten des Bildes zur Runtime angeboten wird.

  • Aktiv: Dialog wird zur Runtime angeboten.
    Einstellungen können vor der Bildaufschaltung bearbeitet werden.
    Hinweis: Die Registerkarte Bilder wird zur Runtime nicht angezeigt. Diese Konfiguration kann nicht geändert werden.
  • Inaktiv: Dialog wird zur Runtime nicht angeboten.
    Es werden die im Editor konfigurierten Einstellungen angewendet.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Liste der Schichtmodelle

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren > Liste der Schichtmodelle

In dieser Registerkarte konfigurieren Sie die Spalten der Schichtmodell-Liste. Diese Einstellungen werden zur Runtime für die Anzeige der Modell-Liste verwendet. Die Dialoge zur Konfiguration der Spalten können auch zur Runtime über die entsprechenden Buttons aufgerufen werden.

Option | Beschreibung
Liste | Zeigt konfigurierte Spalten an.
Spaltenauswahl | Klick auf Schaltfläche öffnet den Dialog zur Auswahl der anzuzeigenden Spalten.
Spaltenformat | Klick auf Schaltfläche öffnet den Dialog zur Formatierung der Spalten.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Spaltenauswahl

Spaltenformat


Spaltenauswahl

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren > Liste der Schichtmodelle > Spaltenauswahl

Auswahl der anzuzeigenden Spalten.

Spaltenauswahl

Option | Funktion
Verfügbare Spalten | Liste der Spalten, die in der Tabelle angezeigt werden können.
Ausgewählte Spalten | Spalten, die in der Tabelle angezeigt werden.
Hinzufügen -> | Verschiebt die markierten Spalten aus den verfügbaren zu den ausgewählten. Nach der Bestätigung des Dialogs mit OK werden sie in der Detailansicht angezeigt.
Alle hinzufügen -> | Verschiebt alle verfügbaren Spalten zu den ausgewählten Spalten.
<- Entfernen | Entfernt die markierten Spalten aus den ausgewählten und zeigt sie in der Liste der verfügbaren Spalten an. Nach der Bestätigung des Dialogs mit OK werden sie aus der Detailansicht entfernt.
<- Alle entfernen | Entfernt alle Spalten aus der Liste der ausgewählten Spalten.
Nach oben | Verschiebt den ausgewählten Eintrag nach oben. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.
Nach unten | Verschiebt den ausgewählten Eintrag nach unten. Diese Funktion steht immer nur für einzelne Einträge zur Verfügung, Mehrfachauswahl ist nicht möglich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Spaltenformat

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren > Liste der Schichtmodelle > Spaltenformat

Grafische Konfiguration der Spaltendarstellung.

Verfügbare Spalten

Option | Beschreibung
Verfügbare Spalten | Liste der über Spaltenauswahl bereit gestellten Spalten. Die markierte Spalte wird über die Optionen im Bereich Einstellungen konfiguriert.

Einstellungen

Option

Beschreibung

Einstellungen

Einstellungen für ausgewählte Spalte.

Beschriftung

Name für Spaltentitel.

Der Spaltentitel ist online sprachumschaltbar. Dazu muss das Zeichen @ vor den Namen eingegeben werden.

Breite

Breite der Spalte in Zeichen.
Berechnung: Zahl mal durchschnittlicher Zeichenbreite der gewählten Schriftart.

Ausrichtung

Ausrichtung. Auswahl über Radiobuttons.

Mögliche Einstellungen:

  • Linksbündig: Text wird in der Spalte am linken Rand ausgerichtet.
  • Zentriert: Text wird in der Spalte zentriert dargestellt.
  • Rechtsbündig: Text wird in der Spalte am rechten Rand ausgerichtet.

Benutzerdefinierte Farben

Eigenschaften, um für jede Spalte benutzerdefinierte Farben für Text und Hintergrund festzulegen. Die Einstellungen wirken sich auf Editor und Runtime aus.

Hinweise:

  • Diese Einstellungen stehen nur für konfigurierbare Listen zur Verfügung.
  • Zusätzlich kann zur Runtime der jeweilige Fokus in einer Liste durch unterschiedliche Text- und Hintergrundfarben signalisiert werden. Diese werden über die Projekteigenschaften projektiert.

Benutzerdefinierte Farben verwenden

Aktiv: Benutzerdefinierte Farben werden verwendet.

Textfarbe

Farbe für die Textdarstellung. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Hintergrundfarbe

Farbe für die Darstellung des Zellen-Hintergrunds. Klick auf Farbe öffnet Farbpalette zur Auswahl einer Farbe.

Spaltenfilter in der Runtime sperren
  • Aktiv: Der Filter für diese Spalte kann zur Runtime nicht verändert werden.

Hinweis: Nur verfügbar für:

  • Batch Control
  • Erweiterter Trend
  • Filterbilder
  • Message Control
  • Rezeptgruppen-Manager
  • Schichtmanagement
  • Kontextliste

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Anlagenmodellierung

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren > Anlagenmodellierung

Jede Schicht kann mit beliebig vielen Anlagengruppen verknüpft sein. Über die Bildumschaltfunktion werden die Schichten nach Anlagengruppen gefiltert. Der Dialog kann zur Runtime auch über den Button Filter aufgerufen werden.

Im Filter werden alle bereits erstellten Anlagenmodelle und deren Anlagengruppen angezeigt. Im Editor können über das Kontextmenü der Anlagenmodellierung oder die Menüleiste im Filterdialog neue Anlagenmodelle und Anlagengruppen angelegt werden.

Anlagenmodellierung

Option

Beschreibung

Symbolleiste

Symbole zur:

  • Bearbeitung lokaler Anlagenmodelle
  • Erweiterung oder Reduzierung der Anzeige
  • Anzeige von Informationen

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiv:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.Default: aktiviert

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft die Auswahl und schließt den Dialog. Achtung: Eventuelle Änderungen in der Struktur lokaler Anlagenmodelle bleiben erhalten.
Hilfe | Öffnet die Online-Hilfe.

Konfiguration

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Um ein neues Modell hinzuzufügen:

  1. Klicken Sie auf das Projekt.
  2. Wählen Sie in der Symbolleiste Anlagenmodell neu.

Modell entfernen

Um ein bestehendes Modell zu entfernen:

  1. Klicken Sie auf das Modell.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Um eine Gruppe zu einem Modell hinzuzufügen:

  1. Wählen Sie das gewünschte Anlagenmodell.
    Achtung: Bestehen Namenskonflikte zwischen globalen und lokalen Anlagenmodellen, werden die lokalen Anlagenmodelle angezeigt und die globalen ignoriert. Informationen zu eventuellen Konflikten erhalten Sie per Klick auf das entsprechende Symbol (Dreieck mit Ausrufezeichen) in der Symbolleiste.
  2. Wählen Sie eine Anlagengruppe oder Ebene.
  3. Fügen Sie die neue Gruppe über die Schaltfläche Hinzufügen zur Liste im unteren Bereich des Dialogs hinzu.

    Hinweise:

    • Untergruppen werden nicht automatisch hinzugefügt.
    • Es können beliebig viele Gruppen verknüpft werden.

Gruppen aus dem Modell löschen

Um eine Gruppe aus einem Modell zu löschen:

  1. Wählen Sie in der Liste im unteren Bereich des Dialogs die gewünschten Elemente (Mehrfachauswahl ist möglich).
  2. Klicken Sie auf die Schaltfläche Entfernen.

Hinweis: Änderungen in einem Baum-Element bleiben erhalten, unabhängig davon, ob die Schaltfläche Abbrechen betätigt wird. Abbrechen bedeutet nur, dass kein Element ausgewählt wird.

Gruppen zum Filter hinzufügen oder daraus entfernen

Um Gruppen zum Filter hinzuzufügen:

  1. Wählen Sie das gewünschte Element.
  2. Klicken Sie auf die Schaltfläche Hinzufügen.
  3. Wiederholen Sie den Vorgang, bis alle benötigten Gruppen in der Liste enthalten sind
    (Mehrfachauswahl ist nicht möglich.)

Um Gruppen aus dem Filter zu entfernen:

  1. Wählen Sie die gewünschten Elemente.
    (Mehrfachauswahl: Steuerung- oder Umschalt-Taste gedrückt halten und gewünschte Elemente anklicken.)
  2. Klicken Sie auf die Schaltfläche Entfernen.


Bilder

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Bildumschaltung konfigurieren > Bilder

Andere Bilder können mit Schichtinformationen gefiltert angezeigt werden. Dazu benötigen Sie den Button Auswahl anwenden im Bild Schichtmanagement und die Auswahl eines oder mehrerer Bilder, die gefiltert werden sollen. Zur Runtime muss das Zielbild bereits aufgeschaltet sein, wenn der Filter angewendet wird. Die Auswahl erfolgt bei der Konfiguration der Bildumschaltung in der Registerkarte Bilder.

Option

Beschreibung

Zu aktualisierende Bilder

Auswahl der Bilder, die aktualisiert werden sollen.
Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl von Bildern. Es werden nur Bilder angezeigt, die gefiltert werden können.

Für Bildumschaltungen auf AML-Filter, CEL-Filter, Zeitfilter, Anlagenmodell und Schichtmanagement können auch Subbilder von Faceplates ausgewählt werden. Für diese Bilder wird zur klaren Unterscheidung von anderen Bildern der Name des Faceplatebildes dem Namen des Subbilds vorangestellt.

Auf allen Bildschirmen aktualisieren
  • Aktiv: Die Bilder aus der Liste Zu aktualisierende Bilder werden auf allen verfügbaren Bildschirmen aktualisiert.
  • Inaktiv: Es werden nur Bilder aktualisiert, die zum Zeitpunkt der Aufschaltung am gerade aktiven Bildschirm angezeigt werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Funktion SQL-Export

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Funktion SQL-Export

Schichten und Pausen können zur Runtime nach SQL exportiert werden. Dazu muss im Editor eine entsprechende Funktion erstellt und zur Runtime ausgeführt werden.

Funktion im Editor erstellen

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Schichtmanagement.
  3. Wählen Sie die Funktion SQL-Export Schichtkalender.

    Der Dialog zur Konfiguration wird geöffnet.

  4. Konfigurieren Sie:
    • Verbindung zur SQL-Datenbank.
    • Zeitraum, aus dem Schichten exportiert werden sollen.
    • Anlagengruppen, für die Schichten exportiert werden sollen.
  5. Benennen Sie die Funktion in der Eigenschaft Name.

Dialog SQL-Export Schichtkalender

Der SQL-Export wird über folgende Registerkarten konfiguriert:

  • SQL-Datenbank: Konfiguration der Verbindung zur SQL-Datenbank.
  • Zeit: Auswahl des Zeitfilters.
  • Anlagenmodellierung: Auswahl der Anlagengruppen.

Noch in diesem Kapitel

SQL-Datenbank

Zeit

Anlagenmodellierung


SQL-Datenbank

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Funktion SQL-Export > SQL-Datenbank

In dieser Registerkarte stellen Sie die Verbindung zu einer SQL-Datenbank her.

Achtung: Ist die Verbindung fehlerhaft konfiguriert, können zur Runtime keine Daten exportiert werden.

SQL-Datenbank

Option | Beschreibung
Datenbankverbindung | Auswahl der Datenbankverbindung. Eingabe in das Feld oder Konfiguration über Dialog. Klick auf die Schaltfläche ... öffnet den Konfigurationsdialog.
Diesen Dialog zur Runtime anbieten | Aktiv: Zur Runtime wird beim Aufruf der Funktion vor der Ausführung dieser Dialog zur Änderung der Konfiguration angeboten.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Verbindung konfigurieren

Der Dialog zur Verknüpfung einer Datenbank kommt vom Betriebssystem.

Wie die Datenbankverknüpfung in der Regel erfolgt, sehen Sie am folgenden Beispiel. Informationen zu den einzelnen Einstellungen erhalten Sie für jede Registerkarte beim Klick auf die Schaltfläche Hilfe über die Microsoft Hilfefunktion.

  1. Der Dialog startet mit der Registerkarte Verbindung.
  2. Öffnen Sie die Registerkarte Provider.

  3. Wählen Sie den Provider Microsoft OLE DB Provider for SQL Server.
  4. Übernehmen Sie diesen per Doppelklick auf den Eintrag oder Klick auf die Schaltfläche Weiter.

    Die Registerkarte Verbindung wird geöffnet.

  5. Wählen Sie aus der Dropdownliste den benötigten Server.
  6. Wählen Sie die Anmeldeinformation.
    Tipp: In der Regel wird Integrierte Sicherheit verwendet.
  7. Wählen Sie die Datenbank aus.
  8. Klicken Sie auf Verbindung testen.
    Optionale Einstellungen:
    • Registerkarte Erweitert: Konfiguration von Netzwerkeinstellungen, Timeout und Zugriffsrechten (für diese Verbindung in der Regel nicht nötig).
    • Registerkarte Alle: Konfiguration einzelner Details (für diese Verbindung in der Regel nicht nötig).
  9. Bestätigen Sie mit Klick auf OK.

    Die Verbindung zum SQL Server wird eingetragen.


Zeit

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Funktion SQL-Export > Zeit

In dieser Registerkarte konfigurieren Sie den Zeitraum für den Export.
Hinweis: Es muss ein Zeitraum festgelegt werden. Exportiert werden nur die abgeschlossenen Schichten, die in diesen Zeitraum fallen.

Standard: Relativer Zeitraum, 1 h

Filter

Auswahl des Filters.

Parameter

Beschreibung

Absoluter Filter

Aktiv: Es wird ein fixer Zeitbereich im Editor vorgegeben. Beim Ausführen der Funktion wird genau der eingestellte absolute Zeitbereich verwendet.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Hinweis: Zeit wird in UTC gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Relativer Zeitraum

Aktiv: Es wird ein relativer Zeitbereich angegeben.

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Dieser Filter wird ständig aktualisiert.

Ab

Aktiv: Es wird eine Uhrzeit angegeben, ab dem der Filter wirkt. Ist die Uhrzeit am heutigen Tag noch nicht erreicht, wird ab der entsprechenden Uhrzeit des Vortages gefiltert.

Auswahl des Bereichs aus Dropdownliste:

  • Ab HH:MM:SS Uhr
  • Ab Tag - HH:MM:SS Uhr
  • Ab Tag, Monat - HH:MM:SS Uhr

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Achtung: Der Startzeitpunkt dieses Filters wird nicht automatisch aktualisiert. Es werden immer die beim Aufschalten bestehenden Zeiten verwendet.
Der Endzeitpunkt ist bei diesem Filter nicht definiert, er wandert mit.

Zeitbereich

Aktiv: Es wird ein fixer Zeitbereich angegeben. Auswahl des Bereichs aus Dropdownliste:

  • Ein Tag
  • Eine Woche
  • Zwei Wochen
  • Ein Monat
  • Ein Jahr
  • 15 Minuten
  • 30 Minuten
  • 60 Minuten

Im Abschnitt Einstellungen werden die entsprechenden Optionen eingeblendet und können dort konfiguriert werden.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Anlagenmodellierung

Handbuch > Schichtmanagement > Schichtmanagement projektieren > Funktion SQL-Export > Anlagenmodellierung

In dieser Registerkarte wählen Sie die gewünschten Anlagengruppen aus.

attention Achtung

Für den SQL-Export gilt:

  • Es werden generell nur Schichten exportiert, die mit einem Anlagenmodell verknüpft sind.
  • Wurden keine Anlagengruppen ausgewählt, dann werden alle Schichten exportiert, die dem Zeitfilter entsprechen und mit einem Anlagenmodell verknüpft sind.

Anlagenmodellierung

Option

Beschreibung

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Es werden jene Schichten exportiert, die mit einer der gewählten Anlagegruppen verknüpft sind.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Anlagengruppen auswählen

Um Anlagengruppen für den Export auszuwählen:

  1. Wählen Sie die gewünschten Anlagengruppen.
  2. Klicken Sie auf die Schaltfläche Hinzufügen.
  3. Wiederholen Sie den Vorgang, bis alle benötigten Gruppen in der Liste enthalten sind (Mehrfachauswahl ist nicht möglich).

Um Anlagengruppen zu entfernen:

  1. Wählen Sie die gewünschten Anlagengruppen.
    Mehrfachauswahl: Steuerung- oder Umschalt-Taste gedrückt halten und gewünschte Elemente anklicken.
  2. Klicken Sie auf die Schaltfläche Entfernen.

Anlagengruppen hinzufügen oder löschen

Über die Symbolleiste können Aktionen im Fenster der vorhandenen Anlagenmodelle gesteuert werden.
Beschreibung der Symbole von links beginnend:

Symbol

Beschreibung

Anlagenmodell neu

Erstellt ein neues Anlagenmodell.

(Nur für lokale Anlagenmodelle.)

Gruppe neu

Erstellt eine neue Anlagengruppe unterhalb des markierten Eintrags.

(Nur für lokale Anlagenmodelle.)

Editieren

Ermöglicht das Editieren des Namens

(Nur für lokale Anlagenmodelle.)

Löschen

Löscht den ausgewählten Eintrag.

(Nur für lokale Anlagenmodelle.)

Kopieren

Kopiert den ausgewählten Eintrag.

Einfügen

Fügt kopierte Elemente aus der Zwischenablage unterhalb des markierten Eintrags ein. Ist bereits eine Gruppe gleichen Namens vorhanden, wird der eingefügten Gruppe ein Kopie von vorangestellt.

(Nur für lokale Anlagenmodelle.)

Achtung: Werden Anlagenmodelle aus dem Globalprojekt in das lokale Projekt kopiert und nicht umbenannt, dann existieren zwei gleichnamige Modelle. Es können beide ausgewählt werden, allerdings wird beim Bestätigen keine Verknüpfung erstellt.

Tipp: Benennen Sie aus dem Globalprojekt kopierte Modelle im lokalen Projekt immer um.

Alle erweitern

Alle Knoten werden erweitert.

Alle reduzieren

Alle Knoten werden reduziert.

Erweitern der Auswahl

Der ausgewählte Knoten wird erweitert.

Reduzieren der Auswahl

Der ausgewählte Knoten wird reduziert.

Warnungen

Zeigt Warnungen an.

Zum Beispiel Anlagenmodelle aus dem Globalprojekt, die nicht angezeigt werden, da gleichnamige Modelle aus dem lokalen Projekt vorgezogen wurden.

Tipp Tipp

Weitere Informationen finden Sie im Handbuch Anlagenmodellierung Kapitel Dialog Anlagenmodellierung.


Schichtmanagement zur Runtime

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime

Das Schichtmanagement ermöglicht es zur Runtime:

  • Schichten und Schichtmodelle zu erstellen und zu verwalten
  • Benutzer einer Schicht über Message Control zu benachrichtigen
  • Informationen anderer Bilder (AML, CEL) mit Schichten zu filtern
  • Schichtdaten über eine Funktion nach SQL zu exportieren

Schichtmodelle stellen Vorlagen für Schichten zur Verfügung. Schichten werden direkt im Kalender erstellt oder aus einem Schichtmodell abgeleitet.
Der Kalender ermöglicht es:

  • Schichten anzulegen
  • Schichten zu bearbeiten
  • Schichten gefiltert anzuzeigen
  • Schichtmodelle zu bearbeiten

Hinweise:

  • Damit Schichten und Schichtmodelle auf einem Client oder zenon Web Client verwaltet werden können, muss der Prozessführende Server verfügbar sein.
  • Damit Benutzer Schichten und Schichtmodelle erstellen, bearbeiten und löschen können, müssen sie über die entsprechende Funktionsberechtigung verfügen.
  • Die Option Systemmeldungen immer in Liste anzeigen in der Bildumschaltung auf ein CEL-Bild wird vom Schichtmanagement berücksichtigt.

Standardansicht Schichtmanagement zur Runtime

Elemente

Element | Beschreibung
Filter | Öffnet den Dialog mit den Filtereinstellungen der Bildumschaltung.
Kalender | Kalendermodul, das zur Runtime den Kalender mit den Schichten oder ein Schichtmodell anzeigt.
Kalenderinhalt | Textelement, das zur Runtime den aktuell angezeigten Datumsbereich des Schichtkalenders anzeigt.

Schichten

Element | Beschreibung
Schicht neu | Öffnet den Dialog zum Anlegen einer neuen Schicht.
Schicht löschen | Löscht die ausgewählte Schicht. Mehrfachauswahl mit der Steuerung-Taste möglich.
Schicht Eigenschaften | Öffnet Dialog zum Bearbeiten der ausgewählten Schicht.
Schicht kopieren | Kopiert die ausgewählte Schicht.
Schicht einfügen | Fügt eine kopierte Schicht aus der Zwischenablage am ausgewählten Tag ein.

Auswahl anwenden

Element | Beschreibung
Auswahl anwenden | Übernimmt ausgewählte Schichten und wendet diese als Filter auf andere Bilder an. Diese Bilder müssen in der Bildumschaltung in der Registerkarte Bilder ausgewählt werden.

Schichtkalender

Element | Beschreibung
Schichtkalender öffnen | Öffnet den Schichtkalender. Nur verfügbar, wenn im Kalender ein Schichtmodell angezeigt wird.
Schichtmodell einfügen | Öffnet den Dialog zum Einfügen eines Schichtmodells in den Schichtkalender.

Navigation

Element | Beschreibung
Vorwärts | Geht im Kalender entsprechend der eingestellten Anzeige um ein Element weiter (einen Tag, eine Woche oder einen Monat).
Rückwärts | Geht im Kalender entsprechend der eingestellten Anzeige um ein Element zurück (einen Tag, eine Woche oder einen Monat).
Tagesansicht | Zeigt im Kalender den ausgewählten Tag an.
Wochenansicht | Zeigt im Kalender die ausgewählte Woche an.
Monatsansicht | Zeigt im Kalender den ausgewählten Monat an.
Zu Heute wechseln | Zeigt im Kalender den aktuellen Tag an.

Schichtmodelle

Elemente | Beschreibung
Liste Schichtmodelle | Liste der vorhandenen Schichtmodelle.
Spaltenauswahl | Öffnet den Dialog zur Auswahl der in der Liste anzuzeigenden Spalten.
Spalten formatieren | Öffnet den Dialog zur Formatierung der Spalten.
Schichtmodell neu | Öffnet den Dialog zur Erstellung eines Schichtmodells.
Schichtmodell öffnen | Ändert die Ansicht des Kalenders auf Anzeige von Schichtmodellen und öffnet dort das ausgewählte Schichtmodell.
Schichtmodell speichern | Speichert das im Kalender geöffnete Schichtmodell. Nur verfügbar, wenn im Schichtkalender ein Schichtmodell geöffnet ist und nicht gespeicherte Änderungen vorliegen.
Schichtmodell löschen | Löscht die ausgewählten Schichtmodelle nach einer Sicherheitsabfrage.
Eigenschaften | Konfiguration der Eigenschaften des Schichtmodells: Name und Beschreibung.

Tipp: Fügen Sie das Kontrollelement Kalenderinhalt in den Kalender ein. Damit sehen Sie auf einen Blick, welcher Zeitraum vom Kalender aktuell angezeigt wird.

Farbgebung

Zeitbereiche werden im Kalender farblich markiert:

Zeitbereich | Tag | Woche | Monat
Freizeit | Hellgrau | Hellgrau | --
Arbeitszeit | Weiß | Weiß | --
Schicht | Dunkelgrau | Dunkelgrau | Dunkelgrau
Auswahl | Hellblau | Hellblau | Hellblau
Aktueller Tag | -- | Blau | Blau
Vormonat/Folgemonat | -- | -- | Mittelgrau

Noch in diesem Kapitel

Kalender

Schichten kopieren und einfügen

Informationen mit Schichten filtern

SQL-Export durchführen


Kalender

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender

Der Kalender zeigt wahlweise den Schichtkalender oder Schichtmodelle an. Die Umschaltung erfolgt jeweils über den Button Schichtmodell öffnen oder den Button Schichtkalender öffnen.

Die Skalierung der Ansicht erfolgt abhängig vom gewählten Zeitbereich:

  • Tages- und Wochenansicht: 1 Stunde
  • Monatsansicht: 1 Tag
  • Schichtmodelle zeigen nur einen Tag an und werden auf 1 Stunde skaliert angezeigt.

Die Konfiguration von Schichten und Schichtmodellen erfolgt über das Kontextmenü oder die jeweiligen Buttons.

Kontextmenü Kalender leere Zelle

Menüpunkt | Aktion
Neue Schicht | Öffnet den Dialog zum Anlegen einer neuen Schicht.
Schicht einfügen | Fügt Schichten aus der Zwischenablage ein.
Schichtmodell einfügen | Öffnet den Dialog zum Einfügen eines Schichtmodells.
Heute | Zeigt im Kalender den aktuellen Tag an.
Tag | Zeigt im Kalender den ausgewählten Tag an.
Woche | Zeigt im Kalender die ausgewählte Woche an.
Monat | Zeigt im Kalender den ausgewählten Monat an.
Vorwärts | Geht im Kalender entsprechend der eingestellten Anzeige um ein Element weiter (einen Tag, eine Woche oder einen Monat).
Rückwärts | Geht im Kalender entsprechend der eingestellten Anzeige um ein Element zurück (einen Tag, eine Woche oder einen Monat).

Kontextmenü Kalender Schichteintrag

Menüpunkt | Aktion
Schichteigenschaften | Zeigt den Dialog mit den eingegebenen Schichtinformationen.
Schicht kopieren | Kopiert die ausgewählte Schicht in die Zwischenablage. Mehrfachauswahl mit Steuerung-Taste ist auch möglich.
Schicht löschen | Löscht die ausgewählte Schicht. Mehrfachauswahl mit Steuerung-Taste ist auch möglich.
Auswahl anwenden | Übernimmt ausgewählte Schichten und wendet diese als Filter auf andere Bilder an. Diese Bilder müssen in der Bildumschaltung in der Registerkarte Bilder ausgewählt werden.

Kontextmenü Schichtmodellliste

Menüpunkt | Aktion
Schichtmodell neu | Öffnet den Dialog zum Erstellen eines neuen Schichtmodells.
Schichtmodell öffnen | Ändert die Ansicht des Kalenders auf Anzeige von Schichtmodellen und öffnet das ausgewählte Schichtmodell.
Schichtmodell löschen | Löscht die ausgewählte Schicht. Mehrfachauswahl mit Steuerung-Taste ist auch möglich.
Eigenschaften | Öffnet den Dialog zur Konfiguration des Schichtmodells.

Noch in diesem Kapitel

Schichten

Schichtmodelle


Schichten

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten

Noch in diesem Kapitel

Schicht anlegen

Schicht bearbeiten

Schicht löschen

Schichten filtern

Zeitbereiche hervorheben

Schichtmodell einfügen

Benutzer einer Schicht zuweisen

Nachricht an Benutzergruppe mit Schichtfilter schicken


Schicht anlegen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht anlegen

Um eine neue Schicht anzulegen:

  1. Klicken Sie im Kalender auf einen freien, noch nicht belegten Zeitpunkt.
  2. Legen Sie eine neue Schicht an über:
    • Kontextmenü: Klicken Sie im Kontextmenü auf Schicht neu.
    • Button im Bild: Klicken Sie auf den Button Schicht neu.
    • Tastatur: Drücken Sie die Einfügen-Taste.

    Der Dialog zum Anlegen einer neuen Schicht wird geöffnet.

  3. Konfigurieren Sie die Schicht mit:
    • Schichtzeiten (Registerkarte Allgemein)
    • Pausen
    • Anlagengruppen
    • Benutzer

Hinweis: Das Anlegen von Schichten ist auf jedem Client-Rechner möglich. Wird das Schichtmanagement von mehreren Benutzern auf verschiedenen Client-Rechnern gleichzeitig verwendet, so werden alle neu angelegten Schichten gespeichert und auf allen Client-Rechnern aktualisiert.

Noch in diesem Kapitel

Allgemein

Pausen

Anlagenmodellierung

Benutzer


Allgemein

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht anlegen > Allgemein

Konfiguration der allgemeinen Schichteigenschaften.

Um allgemeine Eigenschaften konfigurieren:

  1. Vergeben Sie einen Namen für die Schicht.
  2. Konfigurieren Sie Beginn und Ende.
  3. Vergeben Sie optional eine Beschreibung.
  4. Konfigurieren Sie, wenn benötigt, Pausen, Anlagengruppen und Benutzer.
  5. Schließen Sie den Dialog mit Klick auf OK.

Schichten müssen folgende Regeln erfüllen:

  • Es muss ein gültiger Name vergeben werden.
  • Der Anfangszeitpunkt darf nicht hinter dem Endzeitpunkt liegen.

Achtung: Wenn Sie Schichtzeiten ändern, passen Sie auch die Pausenzeiten in der Registerkarte Pausen an.

Dialog Allgemein

Option

Beschreibung

Name

Geben Sie einen Namen für die Schicht ein.

  • Maximale Länge: 256 Zeichen
  • Folgende Sonderzeichen sind verboten: /\.:*?<>!|"'?#%
  • Darf nicht leer sein oder nur aus Leerzeichen bestehen.

Beginn

Wählen Sie die Beginnzeit für die Schicht aus:

  • Tag: Auswahl aus Kalenderelement oder Eintrag direkt in Feld.
  • Uhrzeit: Auswahl über Pfeilelemente oder Eintrag direkt in Feld.

Default: Im Kalender markierter Beginn.

Ende

Wählen Sie die Endzeit für die Schicht aus:

  • Tag: Auswahl aus Kalenderelement oder Eintrag direkt in Feld.
  • Uhrzeit: Auswahl über Pfeilelemente oder Eintrag direkt in Feld.

Default: Im Kalender markiertes Ende.

Beschreibung

Optionale Beschreibung der Schicht.

Maximale Länge: 32.000 Zeichen

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Pausen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht anlegen > Pausen

Konfiguration der Pausenzeiten.

Alle Pausen werden in einer Liste angezeigt und können direkt in der Liste bearbeitet werden.

Um Pausen zu konfigurieren:

  1. Klicken Sie auf die Schaltfläche Neu.

    Eine neue Pause wird erstellt.

  2. Passen Sie den Namen an.
  3. Vergeben Sie Datum und Uhrzeit für Pausenbeginn und Pausenende.
  4. Klicken Sie auf OK.

Hinweis: Wurden die Schichtzeiten geändert, müssen Sie unter Umständen auch die Pausenzeiten anpassen. Das können Sie manuell machen oder automatisch über Klick auf die Schaltfläche Pausenzeiten aktualisieren.

Pausen müssen folgende Regeln erfüllen:

  • Für Namen gelten die gleichen Regeln wie für Schichtnamen.
  • Der Anfangszeitpunkt darf nicht hinter dem Endzeitpunkt liegen.
  • Sie dürfen sich nicht überlappen.
  • Sie müssen innerhalb einer Schicht liegen.

Dialog Pausen

Option

Beschreibung

Name

Anzeige und Konfiguration des Pausennamens.

Default: Pause

Um den Namen zu ändern:

  1. Klicken Sie zweimal in die Zelle oder drücken Sie nach Auswahl der Zelle die F2-Taste.
  2. Geben Sie den Namen ein.

Für Pausennamen gilt:

  • Maximale Länge: 256 Zeichen
  • Folgende Sonderzeichen sind verboten: /\.:*?<>!|"'?#%

Anfangstag

Wählen Sie hier den Tag für den Beginn der Pause aus.

Default: Erster Tag der Schicht.

Um den Tag zu ändern:

  1. Klicken Sie zweimal in die Zelle oder drücken Sie nach Auswahl der Zelle die F2-Taste.
  2. Wählen Sie den benötigten Tag aus der Dropdownliste.

Für den Anfangstag gilt:

  • Es stehen alle für die Schicht konfigurierten Tage zur Verfügung.
  • Das Datum darf nicht größer als das Datum für die Option Endtag sein.

Anfangszeit

Wählen Sie hier die Uhrzeit für den Beginn der Pause aus.

Default: Start-Uhrzeit der Schicht.

Um die Uhrzeit zu ändern:

  1. Klicken Sie zweimal in die Zelle oder drücken Sie nach Auswahl der Zelle die F2-Taste.
  2. Tragen Sie die Uhrzeit ein oder konfigurieren Sie die Zeit mit den Pfeil-Tasten.

Für die Anfangszeit gilt:

  • Es stehen alle für die Schicht konfigurierten Zeiten zur Verfügung.
  • Die Uhrzeit darf nicht größer als die Uhrzeit für die Option Endzeit sein.

Endtag

Wählen Sie hier den Tag für das Ende der Pause aus.

Default: Erster Tag der Schicht.

Um den Tag zu ändern:

  1. Klicken Sie zweimal in die Zelle oder drücken Sie nach Auswahl der Zelle die F2-Taste.
  2. Wählen Sie den benötigten Tag aus der Dropdownliste.

Für den Endtag gilt:

  • Es stehen alle für die Schicht konfigurierten Tage zur Verfügung.
  • Das Datum darf nicht kleiner als das Datum für die Option Anfangstag sein.

Endzeit

Wählen Sie hier die Uhrzeit für das Ende der Pause aus.

Default: Start-Uhrzeit der Schicht plus 5 Minuten.

Um die Uhrzeit zu ändern:

  1. Klicken Sie zweimal in die Zelle oder drücken Sie nach Auswahl der Zelle die F2-Taste.
  2. Tragen Sie die Uhrzeit ein oder konfigurieren Sie die Zeit mit den Pfeil-Tasten.

Für die Endzeit gilt:

  • Es stehen alle für die Schicht konfigurierten Zeiten zur Verfügung.
  • Die Uhrzeit darf nicht größer als die Uhrzeit für die Option Anfangszeit sein.

Alle auswählen

Wählt alle konfigurierten Pausen aus.

Auswahl aufheben

Hebt die Auswahl auf. Es sind keine Pausen mehr ausgewählt.

Neu

Fügt eine neue Pause zur Liste hinzu.

Löschen

Löscht alle ausgewählten Einträge nach einer Sicherheitsabfrage.

Pausenzeiten aktualisieren

Klick auf die Schaltfläche passt die Pausenzeiten automatisch an geänderte Schichtzeiten an. Dabei werden alle Pausen so verschoben, dass ihr Beginn im gleichen Abstand zum Schichtbeginn liegt wie vor der Änderung der Schichtzeit.

Nur verfügbar, wenn in der Registerkarte Allgemeine Eigenschaften Schichtzeiten geändert wurden, und die Änderung Auswirkung auf die konfigurierten Pausen hat.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Anlagenmodellierung

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht anlegen > Anlagenmodellierung

Schichten können mit Anlagengruppen verknüpft werden.
Um Anlagengruppen einer angelegten Schicht zuzuweisen:

  1. Wählen Sie das gewünschte Element.
  2. Klicken Sie auf die Schaltfläche Hinzufügen.
  3. Wiederholen Sie den Vorgang, bis alle benötigten Gruppen in der Liste enthalten sind (Mehrfachauswahl ist nicht möglich).
  4. Aktivieren oder deaktivieren Sie die Checkbox Hierarchischer Filter, um untergeordnete Schichten einzuschließen oder auszuschließen.

Um Gruppen aus einer Schicht zu entfernen:

  1. Wählen Sie die gewünschten Elemente.
    Mehrfachauswahl: Steuerung- oder Umschalt-Taste gedrückt halten und gewünschte Elemente anklicken.
  2. Klicken Sie auf die Schaltfläche Entfernen.

Dialog Anlagenmodellierung

Option

Beschreibung

Liste Anlagenmodelle

Bietet Modelle und Gruppen zur Auswahl an. Die Liste trennt die Anzeige in Anlagenmodelle aus dem Globalprojekt und aus lokalen Projekten.

Lokale Anlagenmodelle können erstellt, bearbeitet oder gelöscht werden.

Hinweis: Anlagenmodelle aus dem Globalprojekt können nicht angezeigt werden, wenn gleichnamige Modelle aus dem lokalen Projekt existieren. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. Details siehe Handbuch Anlagenmodellierung, Kapitel Lokale Anlagenmodelle bearbeiten.

Hinzufügen

Fügt die ausgewählten Gruppen zur Filterliste hinzu.

Entfernen

Entfernt alle ausgewählten Gruppen aus der Filterliste.

Filterliste

Zeigt alle Anlagengruppen an, auf die gefiltert werden soll.

Hierarchischer Filter

Ermöglicht das Einschließen von untergeordneten Anlagengruppen.

  • Aktiv: Für alle in der Filterliste angezeigten Anlagengruppen werden auch deren untergeordnete Anlagengruppen mit ausgewählt und verwendet.
  • Inaktiv: Nur die in der Filterliste angezeigten Anlagengruppen werden verwendet.

Hinweis: Bei aktiver Option können untergeordnete Anlagengruppen im Filter enthalten sein, die das Filtern von CEL/AML mit Schichten beeinflussen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Im Editor können für das aktive Projekt neue Modelle und Gruppen erzeugt und bestehende gelöscht werden. Zur Runtime kann nur mit bereits existierenden Anlagenmodellen gearbeitet werden.


Benutzer

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht anlegen > Benutzer

In dieser Registerkarte verknüpfen Sie Benutzer mit Schichten.
Diese Benutzer können vom Modul Message Control als Empfänger von Nachrichten ausgewählt werden.

Benutzer mit Schicht verknüpfen

Um Benutzer mit einer Schicht zu verknüpfen:

  1. Klicken Sie im Dialog auf die Schaltfläche Hinzufügen.
    Alternativ können Sie auch im Kontextmenü den Befehl Benutzer hinzufügen verwenden.

    Der Dialog Benutzerauswahl wird geöffnet.

  2. Markieren Sie die gewünschten Benutzer in der Liste der vorhandenen Benutzer.

    Hinweis: Um Benutzer auswählen zu können, müssen diese bereits angelegt sein.

  3. Übernehmen Sie die Auswahl mit Hinzufügen in die Liste der ausgewählten Benutzer.
  4. Bestätigen Sie die Auswahl mit OK.

    Die Benutzer werden im Dialog Schichteigenschaften hinzugefügt.

  5. Bestätigen Sie die Eingaben mit OK.

    Die Benutzer werden mit der Schicht verknüpft.

Benutzer benachrichtigen

Damit Benutzer benachrichtigt werden, müssen folgende Bedingungen erfüllt sein:

  • Der Benutzer muss zum Zeitpunkt des Versendens der Nachricht mit einer aktiven Schicht verknüpft sein.
  • Die Eigenschaft Message Control Benutzer muss für den Benutzer aktiviert sein.
    In der Benutzer-Liste des Dialogs wird angezeigt, ob die Eigenschaft aktiv oder inaktiv ist.

    Hinweis: Falls die Checkbox nicht aktiv ist, kann diese im jeweiligen Benutzerprofil aktiviert werden.

  • In der Funktion Sende Nachricht muss für die Option Typ die Eigenschaft Benutzergruppe mit Schichtfilter ausgewählt sein.

Hinweis: Die Benutzer werden entsprechend den Einstellungen im Modul Message Control benachrichtigt. Die Benachrichtigung wird nur durchgeführt, wenn die Schicht am entsprechenden Tag auch aktiv ist.

Dialog Benutzer

Option

Beschreibung

Benutzerliste

Zeigt die Benutzer an, die mit der Schicht verknüpft werden.

Für jeden Benutzer wird angezeigt:

  • Benutzername
  • Vollständiger Name
  • Message Control Benutzer

Die Benutzer können nach diesen Kriterien sortiert und gefiltert werden.

Benutzername

Zeigt die Kurzbenennung des Benutzers an.

Vollständiger Name

Zeigt den vollständigen Namen des Benutzers an.

Message Control Benutzer

Zeigt an, ob der Benutzer für die Benachrichtigung über die Message Control konfiguriert ist.

Alle auswählen

Wählt alle Benutzer in der Liste aus.

Auswahl aufheben

Setzt die Auswahl zurück.

Hinzufügen

Öffnet den Dialog zur Auswahl von Benutzern und fügt die ausgewählten Benutzer zur Benutzerliste hinzu.

Entfernen

Entfernt alle ausgewählten Benutzer aus der Benutzerliste.

Filterliste

Zeigt alle Kriterien an, auf die gefiltert werden soll.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Schicht bearbeiten

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht bearbeiten

Um eine Schicht zu bearbeiten:

  1. Klicken Sie im Kalender auf eine Schicht, die Sie bearbeiten möchten.

    Bearbeiten Sie die Schicht über

    • Doppelklick: Führen Sie einen Doppelklicken auf die zu bearbeitende Schicht aus.
    • Kontextmenü: Klicken Sie im Kontextmenü auf Schichteigenschaften.
    • Button im Bild: Klicken Sie auf den Button Schicht bearbeiten.
    • Tastatur: Drücken Sie die Eingabe-Taste.

Hinweis: Das Bearbeiten von Schichten ist auf jedem Client-Rechner möglich. Wird das Schichtmanagement von mehreren Benutzern auf verschiedenen Client-Rechnern gleichzeitig verwendet, so werden beim Bearbeiten einer bestehenden Schicht jene Änderungen übernommen und aktualisiert, die zuletzt durchgeführt worden sind.


Schicht löschen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schicht löschen

Um eine Schicht zu löschen:

  1. Klicken Sie im Kalender auf eine Schicht, die Sie löschen möchten.

    Hinweis: Mehrfachauswahl mit der Strg-Taste ist auch möglich.

  2. Löschen Sie die ausgewählten Schichten wahlweise über:
    • Kontextmenü: Klicken Sie im Kontextmenü auf Schicht löschen.
    • Button im Bild: Klicken Sie auf den Button Schicht löschen.
    • Tastatur: Drücken Sie die Entfernen-Taste.

    Vor dem Löschen wird ein Dialog mit einer Sicherheitsabfrage geöffnet.

  3. Bestätigen Sie den Dialog mit Ja, oder Ja für alle bei Mehrfachauswahl.

Hinweis: Das Löschen von Schichten ist auf jedem Client-Rechner möglich. Wird das Schichtmanagement von mehreren Benutzern auf verschiedenen Client-Rechnern gleichzeitig verwendet, so werden die auf einem Client-Rechner zuerst gelöschten Schichten auf allen anderen Client-Rechnern auch nicht mehr sichtbar sein.


Schichten filtern

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schichten filtern

Schichten können zur Runtime gefiltert angezeigt werden. Die Filterung erfolgt über die verknüpften Anlagengruppen.

Um die Anzeige im Kalender zur Runtime zu filtern:

  1. Klicken Sie auf den Button Filter.

    Der Dialog für die Bildumschaltung wird aufgerufen.

  2. Wählen Sie die Anlagengruppen aus, die verwendet werden sollen.
  3. Bestätigen Sie die Konfiguration mit Klick auf die Schaltfläche OK.

Im Kalender werden nur Schichten angezeigt, die dem Anlagenmodellfilter entsprechen.

Anlagengruppen

Die Konfiguration des Filters für die Anlagengruppe erfolgt wahlweise über:

  • Bildumschaltung auf das Bild vom Typ Schichtmanagement
  • Bild vom Typ Anlagenmodell

Bildumschaltung auf das Bild vom Typ Schichtmanagement

Die Konfiguration erfolgt in der Bildumschaltung oder im Filterdialog in der Registerkarte Anlagenmodellierung.
Damit zur Runtime Schichten angezeigt werden:

  • muss die Schicht mindestens eine Anlagengruppe gemeinsam mit dem Filter haben
    oder
  • darf die Schicht mit keiner Anlagengruppe verknüpft sein

Hinweis: Ist im Bildfilter keine Anlagenmodellierung konfiguriert, werden alle Schichten angezeigt.

Bild vom Typ Anlagenmodell

Bei der Bildumschaltung wird über die Option Zu aktualisierende Bilder das gewünschte Bild vom Typ Schichtmanagement ausgewählt. Zur Runtime wird der im Bild gesetzte Filter auf das ausgewählte Bild vom Typ Schichtmodell angewandt.

Hinweis: Wird über das Bild vom Typ Anlagenmodell gefiltert, dann ersetzt dieses die im Bild Schichtmodell getroffenen Konfigurationen.


Zeitbereiche hervorheben

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Zeitbereiche hervorheben

Über die Konfiguration von anzuzeigenden Zeiten, können Zeitbereiche hervorgehoben werden. Zeitbereiche außerhalb des Zeitfilters werden ausgegraut dargestellt, können aber bearbeitet werden.

Um die Zeitbereiche im Kalender zu konfigurieren:

  1. Klicken Sie auf den Button Filter.

    Der Dialog für die Bildumschaltung wird aufgerufen.

  2. Definieren Sie in der Registerkarte Allgemein den gewünschten Zeitbereich.
  3. Bestätigen Sie die Konfiguration mit Klick auf die Schaltfläche OK.


Schichtmodell einfügen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Schichtmodell einfügen

Um ein Schichtmodell in einen Kalender einzufügen:

  1. Markieren Sie im Schichtkalender den Tag, an dem das Schichtmodell eingefügt werden soll.
  2. Klicken Sie auf den Button oder den Kontextmenü-Eintrag Schichtmodell einfügen.
    Hinweis: Beim Engineering im Netzwerk muss die Bedienberechtigung am Rechner vorhanden sein.

    Der Dialog zur Auswahl eines Schichtmodelles wird geöffnet.

  3. Wählen Sie das gewünschte Modell.
  4. Wählen Sie den Start-Tag und den Ende-Tag.
  5. Wählen Sie mindestens eine Anlagengruppe.
  6. Klicken Sie auf OK.

    Das Modell wird im konfigurierten Zeitraum in den Kalender eingefügt.

    Hinweise:

    • Beim Einfügen in den Kalender wird überprüft, ob der jeweilige Tag auch für die Schicht vorgesehen ist.
    • Das Einfügen des Schichtmodells erfolgt am Server. Die Clients werden über die neue Schicht benachrichtigt.
    • Die angelegten Schichten haben keinerlei Bezug oder Verknüpfung zum Modell.
    • Wurde das Schichtmodell an einem falschen Tag eingefügt, müssen alle angelegten Schichten manuell gelöscht werden.

attention Achtung

Wird im Schichtmodell ein Tag in der Monatansicht ausgewählt, dann dauert dieser Tag von 00:00 bis 24:00 Uhr. Mitternacht ist aber gleichzeitig der Startpunkt für den folgenden Tag. Damit werden praktisch 2 Tage ausgewählt.

Beim Einfügen des Schichtmodells in den Kalender wird die Schicht damit für 2 Tage eingefügt.

Um die Schicht nur für einen Tag einzufügen:

  • Fügen Sie das Schichtmodell ein.
  • Legen Sie für die Option Bis das gleiche Datum fest wie für Von.

Beispiel

Objekt | Start | Ende
Schicht im Schichtmodell: | 03:00 | 04:00
Auswahl im Kalender: | 03.04.2017, 02:00 Uhr | 03.04.2017, 08:00 Uhr
Ergebnis im Kalender: | 03.04.2017 um 03:00 Uhr | 03.04.2017 um 04:00 Uhr

Dialog Schichtmodell einfügen

Das Einfügen eines Schichtmodells wird über zwei Registerkarten konfiguriert:

  • Auswahl Schichtmodell: Auswahl des Schichmodells und des Zeitbereichs.
  • Auswahl Anlagenmodellierung: Auswahl der Anlagengruppen

Hinweis: Stern-Symbole Markieren Optionen, die über gültige Einträge verfügen müssen.

Auswahl Schichtmodell

Wenn Sie eine Liste direkt über den Bildschirm bearbeiten wollen, aktivieren Sie die Multi-Touch Funktionalität.
Detaillierte Informationen dazu finden Sie im Kapitel Interaktionen konfigurieren.

Option

Beschreibung

Von

Definition des Start-Tages über direkte Eingabe in Feld oder Auswahl aus Kalender. Klick auf Pfeiltaste öffnet Kalender.

Default: Im Kalender markierter Start-Tag.

Bis

Definition des Ende-Tages über direkte Eingabe in Feld oder Auswahl aus Kalender. Klick auf Pfeiltaste öffnet Kalender.

Default: Im Kalender markierter Ende-Tag.

Liste Schichtmodelle

Listet alle konfigurierten Schichtmodelle auf. Auswahl durch Klick auf ein Schichtmodell. Nach Schließen des Dialogs über OK wird das Schichtmodell am markierten Tag in den Kalender eingetragen.

Über die Eigenschaft Automatischer Zeilenumbruch können auch in Listen längere Texte zur Runtime über mehrere Zeilen dargestellt werden.

Gehen Sie im Editor bei den Eigenschaften der jeweiligen Liste auf Darstellung und aktivieren Sie die Checkbox der Eigenschaft Automatischer Zeilenumbruch.

Die Zeilenhöhe muss manuell angepasst werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Anlagenmodellierung

Die Konfiguration der Anlagenmodellierung erfolgt analog der Konfiguration der Anlagenmodellierung für Schichten. Es muss mindestens eine Anlagengruppe ausgewählt werden.

Validierung

Beim Schließen des Dialogs über Klick auf OK werden die Eingaben validiert. Bei Fehlkonfigurationen wird ein Dialog mit den möglichen Ursachen angezeigt.

Der Dialog kann bestätigt werden mit:

  • Ja: Der Dialog wird geschlossen. Es werden keine Schichten eingefügt.
  • Nein: Der Dialog bleibt geöffnet. Die Konfiguration kann geändert werden.


Benutzer einer Schicht zuweisen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Benutzer einer Schicht zuweisen

Benutzer können Schichten zugewiesen werden. Das Modul Message Control kann diese Verknüpfung zum Versenden von Nachrichten benutzen.

Um Benutzer einer Schicht zuzuweisen:

  1. Wählen Sie im Kalender die Schicht aus.
  2. Öffnen Sie den Dialog Schichteigenschaften.
  3. Wechseln Sie in die Registerkarte Benutzer.

  4. Klicken Sie auf die Schaltfläche Hinzufügen oder wählen Sie diesen Eintrag im Kontextmenü.

    Der Dialog Benutzerauswahl wird geöffnet. Alle angelegten Benutzer des aktiven Projekts werden angezeigt.

  5. Markieren Sie die gewünschten Benutzer.
  6. Klicken Sie auf die Schaltfläche Hinzufügen.

    Die ausgewählten Benutzer werden zur Liste hinzugefügt.

  7. Bestätigen Sie die Eingabe mit OK.

    Die Benutzer werden in der Registerkarte Benutzer hinzugefügt.

  8. Schließen Sie den Dialog Schichteigenschaften durch einen Klick auf OK.
    Die ausgewählten Benutzer sind jetzt mit der Schicht verknüpft.

Hinweis: Um die hier verknüpften Benutzer im Modul Message Control zu nutzen, müssen die Benutzer einer bestimmten Benutzergruppe zugewiesen werden. Diese Benutzergruppe kann in der Funktion Sende Nachricht als Ziel definiert werden.


Nachricht an Benutzergruppe mit Schichtfilter schicken

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichten > Nachricht an Benutzergruppe mit Schichtfilter schicken

Benutzer, die einer Schicht zugewiesen wurden, können bei Alarmen und Ereignissen über das Modul Message Control automatisiert benachrichtigt werden.
Die Benachrichtigung wird über die beiden Module Schichtmanagement und Message Control konfiguriert.

Hinweis: Die Benachrichtigung kann nur für konfigurierte Schichten benutzt werden. Eine Verknüpfung mit Schichtmodellen ist nicht möglich.

Konfiguration

Um Benutzer benachrichtigen zu können:

  1. Verknüpfen Sie die gewünschten Benutzer mit der Schicht.
  2. Verknüpfen Sie die Benutzer mit einer Benutzergruppe.
    Achten Sie darauf, dass für die Benutzer, die benachrichtigt werden sollen:
    • die Eigenschaft Message Control Benutzer aktiviert wurde
    • für die Benutzergruppe die Eigenschaft Message Control Gruppe aktiviert wurde
  3. Legen Sie für die Benutzergruppe die Reihenfolge, in der die Benutzer benachrichtigt werden, fest. Dafür nutzen Sie die Eigenschaft Benutzerreihenfolge. Die Benutzer werden in der festgelegten Reihenfolge benachrichtigt.
  4. Konfigurieren Sie für Message Control den Empfänger in der Funktion Sende Nachricht:
    1. Öffnen Sie die Funktion und wechseln Sie in die Registerkarte Versandart.
    2. Wählen Sie in der Option Typ Benutzergruppe mit Schichtfilter.
      Der Dialog Benutzergruppenauswahl wird geöffnet.
    3. Wählen Sie die für das Schichtmanagement konfigurierte Benutzergruppe als Empfänger der Nachricht aus.
      Hinweis: Um die Gruppe später zu ändern, wählen Sie die Option Empfängername.
    4. Wählen Sie eine Methode aus.
      Hinweis: Wird Gruppenruf gewählt, dann werden alle Empfänger gleichzeitig benachrichtigt, bei Folgeruf und Endlosfolgeruf nacheinander.
  5. Konfigurieren Sie die weiteren Optionen der Funktion.

Ablauf Runtime

Ablauf bei Auslösung der Funktion Sende Nachricht:

  1. Die Funktion sucht in der eingestellten Benutzergruppe den ersten Benutzer, der für Message Control konfiguriert ist.
  2. Es wird überprüft, ob dieser Benutzer in einer derzeit aktiven Schicht enthalten ist.
  3. Ist der Benutzer in einer aktiven Schicht enthalten, wird er benachrichtigt.
  4. Ist der Benutzer nicht enthalten, kann er nicht erreicht werden oder weist er die Nachricht ab, dann wird in der Benutzergruppe der nächste Benutzer gesucht und mit der aktuellen Schicht verglichen.
  5. Dieser Ablauf wird ausgeführt, bis ein Benutzer die Nachricht bestätigt oder das Durchlaufen der Gruppe beendet wurde.

Der exakte Ablauf hängt von der konfigurierten Methode ab.

Methoden für Benutzergruppe mit Schichtfilter

Das Verhalten zur Runtime hängt davon ab, welche Methode für die Benutzergruppe mit Schichtfilter gewählt wurde:

Methode

Ablauf

Gruppenruf:
  • Die Nachricht geht an alle Benutzer der gewählten Gruppe, die in einer Schicht verknüpft sind, die bei der Funktionsausführung aktiv ist.
    Alle gefundenen Benutzer werden gleichzeitig benachrichtigt.
  • Bestätigt ein Benutzer die Nachricht nicht, dann wird eine Nachricht dessen Ersatzperson gesendet, wenn diese in einer Schicht verknüpft ist.

Folgeruf:

  • Es wird versucht, den ersten Benutzer der Gruppe, der mit der Schicht verknüpft ist, zu finden.
  • Dieser Benutzer wird benachrichtigt.
  • Wird er nicht erreicht, wird der nächste Benutzer gesucht und benachrichtigt.
  • Dies wird einmal durchlaufen bis das Ende der Gruppe erreicht wird.
  • Ist während des Ablaufs keine Schicht mehr aktiv oder sind in den aktiven Schichten keine relevanten Benutzer verknüpft, dann wird die Benachrichtigung beendet.
    Es erfolgt ein entsprechender Eintrag in der CEL.

Endlosfolgeruf:
  • Es wird versucht, den ersten Benutzer der Gruppe, der mit der Schicht verknüpft ist, zu finden.
  • Dieser Benutzer wird benachrichtigt.
  • Wird er nicht erreicht, wird der nächste Benutzer gesucht und benachrichtigt.
  • Dies wird zyklisch durchlaufen bis ein Benutzer erreicht wird.
  • Ist während des Ablaufs keine Schicht mehr aktiv oder sind in den aktiven Schichten keine relevanten Benutzer verknüpft, dann wird die Benachrichtigung beendet.
    Es erfolgt ein entsprechender Eintrag in der CEL.

Hinweise:

  • Es werden immer nur Benutzer benachrichtigt, die in einer Schicht verknüpft sind, die bei der Funktionsausführung aktiv ist.
  • Abhängig von der Konfiguration können auch Nachrichten an Benutzer gesendet werden, die in keiner Schicht mehr aktiv sind.
    Beispiel: Die Versandart (z. B. Telefon) benötigt für das Versenden einige Zeit. Sind zum Zeitpunkt des Erzeugens der Nachricht bereits weitere Nachrichten in der Warteschlange, dann wird die neue Nachricht mit Verzögerung versandt. Hat in der Zwischenzeit die Schicht gewechselt, wird die Nachricht dennoch an den Benutzer der vorhergehenden Schicht gesendet.
  • Folgeruf und Endlosfolgeruf: Es werden keine weiteren Nachrichten erzeugt, wenn in der aktiven Schicht kein Benutzer der gewählten Gruppe aktiv ist.
    Beispiel: Der Nachrichtenversand mit Endlosfolgeruf beginnt während der Schicht 1.
    Keiner der Empfänger quittiert die Nachricht. Zwischen Schicht 1 und der folgenden Schicht 2 ist eine schichtfreie Zeit von 5 Minuten projektiert.
    Läuft genau in diesen 5 Minuten der Timeout für die Quittierung ab, dann stehen zu diesem Zeitpunkt keine Empfänger zur Verfügung. Der Nachrichtenversand wird abgebrochen. Auch nach Beginn von Schicht 2 werden keine Nachrichten an deren Benutzer gesendet.

Beispiel mit Folgeruf:

Eine Nachricht wird an eine Gruppe versendet.

  • Die Gruppe enthält die Benutzer User 1, User 2, User 3, User 4, User 5 und User 6, in exakt dieser Reihenfolge.
  • Die Funktion Sende Nachricht ist konfiguriert mit der Methode Folgeruf.
  • Zum Zeitpunkt des ersten Versendens ist eine Schicht aktiv mit User 4, User 5 und User 6.
  • Die Funktion vergleicht die Benutzer der Gruppe mit den Benutzern der Schicht.
  • Als erstes wird User 4 benachrichtigt.
    Reagiert dieser nicht, wird User 5 benachrichtigt und danach User 6.
  • Zu diesem Zeitpunkt ist aber die ursprüngliche Schicht bereits zu Ende und die nächste Schicht mit User 1, User 2 und User 3 hat begonnen.
  • Da alle Benutzer dieser Schicht in der Gruppe vor User 6 gereiht sind, wird nun keine weitere Nachricht verschickt.

Empfehlung: Wählen Sie als Methode Endlosfolgeruf. Dann werden alle Benutzer solange kontaktiert, bis einer reagiert. In unserem Beispiel würde nach dem Schichtwechsel in der neuen Schicht der Benutzer User 1 benachrichtigt.


Schichtmodelle

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichtmodelle

Schichtmodelle stellen Vorlagen für einen Tagesablauf dar. Sie werden einmal erstellt und können beliebig oft in den Kalender eingefügt werden. Ein Tagesablauf kann zu jeder beliebigen Uhrzeit beginnen. Daher bieten Schichtmodelle immer zwei Kalendertage zur Konfiguration an. So können Schichten auch über Tagesgrenzen hinweg konfiguriert und eingefügt werden.

Schichtmodelle werden zur Runtime erstellt und bearbeitet. Dazu müssen im Bild die entsprechenden Kontrollelemente projektiert worden sein.

Schichtmodelle

Elemente | Beschreibung
Liste Schichtmodelle | Liste der vorhandenen Schichtmodelle.
Spaltenauswahl | Öffnet den Dialog zur Auswahl der in der Liste anzuzeigenden Spalten.
Spalten formatieren | Öffnet den Dialog zur Formatierung der Spalten.
Schichtmodell neu | Öffnet den Dialog zur Erstellung eines Schichtmodells.
Schichtmodell öffnen | Ändert die Ansicht des Kalenders auf Anzeige von Schichtmodellen und öffnet dort das ausgewählte Schichtmodell.
Schichtmodell speichern | Speichert das im Kalender geöffnete Schichtmodell. Nur verfügbar, wenn im Schichtkalender ein Schichtmodell geöffnet ist und nicht gespeicherte Änderungen vorliegen.
Schichtmodell löschen | Löscht die ausgewählten Schichtmodelle nach einer Sicherheitsabfrage.
Eigenschaften | Konfiguration der Eigenschaften des Schichtmodells: Name und Beschreibung.

Noch in diesem Kapitel

Schichtmodell anlegen

Schichtmodell konfigurieren

Schichtmodell löschen


Schichtmodell anlegen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichtmodelle > Schichtmodell anlegen

Um ein neues Schichtmodell anzulegen:

  1. Klicken Sie im Bereich Schichtmodelle auf den Button Schichtmodell neu.
    Alternativ führen Sie einen Rechtsklick in die Liste der Schichtmodelle aus und wählen im Kontextmenü Schichtmodell neu oder drücken die Einfügen-Taste.

    Der Dialog zum Anlegen eines neuen Schichtmodells wird geöffnet

  2. Vergeben Sie einen Namen und optional eine Beschreibung.
  3. Konfigurieren Sie bei Bedarf die Wochentage, an denen das Modell angewandt werden soll.

Hinweis: Wird das Modell auf bestimmte Wochentage beschränkt, dann wird beim Einfügen des Modells in den Kalender nur an jenen Tagen eine Schicht eingetragen, die im Modell ausgewählt wurden. Bei der Prüfung, ob ein Modell an einem bestimmten Wochentag im Kalender eingefügt werden darf, wird der erste Tag des Modells berücksichtigt. Ist dieser ungültig, werden auch Schichten des zweiten Tags nicht im Kalender eingetragen. Ist der erste Tag gültig, werden auch Schichten des zweiten Tages im Kalender eingetragen, auch wenn dieser Tag ungültig ist.

Beispiel: Eine Schicht im Modell dauert von 20:00 bis 04:00 Uhr. Der Donnerstag ist ein ungültiger Tag. Wird das Modell an einem Mittwoch einfügt, dann wird die Schicht vollständig eingetragen. Wird das Modell an einem Donnerstag einfügt, dann wird die Schicht nicht eingetragen.

Dialog Schichtmodell neu

Option

Beschreibung

Name

Eingabe des Namens.

Für den Namen gilt:

  • muss eindeutig sein
  • darf nicht leer ein
  • darf keines der folgenden Zeichen enthalten: /\.:*?<>!|"'?#%
  • darf maximal 256 Zeichen lang sein

Beschreibung

Eingabe einer optionalen Beschreibung.

Maximale Länge: 32000 Zeichen

Gültig für folgende Wochentage

Konfiguration der Wochentage, an denen das Schichtmodell im Schichtkalender angewandt wird.

Auswahl durch Aktivierung der Checkbox vor dem jeweiligen Wochentag.

Hinweis Feiertag: Die gültigen Feiertage werden aus der Datei Feiertage.txt ausgelesen. Ist die Checkbox deaktiviert, wird an Feiertagen keine Schichten angelegt.

Default: alle

Dialog beenden

OK | Übernimmt Einstellungen und schließt den Dialog. Werden bei der Validierung Fehler festgestellt, wird der Dialog erneut geöffnet und ein Hinweis auf mögliche Fehlerquellen wird angezeigt.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Schichtmodell konfigurieren

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichtmodelle > Schichtmodell konfigurieren

Um ein Schichtmodell zu konfigurieren:

  1. Klicken Sie in der Liste der Schichtmodelle auf den Button oder den Kontextmenü-Eintrag Schichtmodell öffnen oder führen Sie einen Doppelklick auf ein Schichtmodell aus.

    Das Schichtmodell wird im Kalender angezeigt.

  2. Konfigurieren Sie das Schichtmodell.
  3. Klicken Sie auf Schichtmodell speichern.

Eigenschaften bearbeiten

Name und Eigenschaft eines Schichtmodells können bearbeitet werden.

Um Eigenschaften zu ändern:

  1. Markieren Sie das Schichtmodell.
  2. Klicken Sie auf den Button Eigenschaften.
    Dieser muss für das Bild konfiguriert worden sein.
    Alternativ: Wählen Sie im Kontextmenü den Eintrag Eigenschaften.

    Der Dialog mit den Schichtmodelleigenschaften wird geöffnet.

  3. Bearbeiten Sie die gewünschten Einträge:
    • Name: Name des Schichtmodells.
      Der Name muss eindeutig sein. Weitere Einschränkungen siehe Kapitel Schichtmodell anlegen.
    • Beschreibung: Optionale Beschreibung.
      Maximale Länge: 32000 Zeichen
  4. Speichern Sie mit Klick auf OK.

Die Änderungen werden sofort übernommen, am Server gespeichert und auf alle Clients verteilt. Das gilt auch, wenn das Modell zeitgleich auf einem anderen Client bearbeitet wird. Der Inhalt des Modells - die Schichtkonfigurationen - werden dabei nicht geändert. Diese werden extra gespeichert und verteilt. Details dazu finden Sie im Kapitel Verhalten im Netzwerk.


Schichtmodell löschen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Kalender > Schichtmodelle > Schichtmodell löschen

Um ein Schichtmodell zu löschen:

  1. Wählen Sie im Bereich Schichtmodelle das gewünschte Schichtmodell aus.
    Mehrfachauswahl ist möglich.
  2. Klicken Sie auf den Button Schichtmodell löschen.
    Alternativ führen Sie einen Rechtsklick in die Liste der Schichtmodelle aus und wählen im Kontextmenü Schichtmodell löschen oder drücken die Entfernen-Taste.

    Der Dialog zur Bestätigung des Löschvorgangs wird angezeigt.

  3. Bestätigen Sie die Sicherheitsabfrage.

    Das Schichtmodell wird gelöscht.
    Falls das Schichtmodell im Kalender angezeigt wird, wird dieser auf normale Kalenderansicht umgeschaltet. Wurde das Schichtmodell von einem anderen Rechner aus gelöscht, wird eine entsprechende Meldung angezeigt.

Hinweis: Das Löschen von Schichtmodellen wird über einen Eintrag in der Chronischen Ereignisliste dokumentiert.


Schichten kopieren und einfügen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Schichten kopieren und einfügen

Schichten können im Kalender und in Schichtmodellen kopiert und eingefügt werden.
Um Schichten zu kopieren und einzufügen, benutzen Sie:

  • die Buttons Schicht kopieren und Schicht einfügen
  • die Befehle Schicht kopieren und Schicht einfügen im Kontextmenü
  • die Tastenkombinationen Strg+C und Strg+V

Buttons/Befehle:

  • Schicht kopieren: Kopiert die ausgewählte Schicht in die Zwischenablage.
  • Schicht einfügen: Fügt eine kopierte Schicht aus der Zwischenablage am ausgewählten Tag ein.

attention Achtung

Das Einfügen ist immer nur im gleichen Projekt und in der gleichen Ansicht möglich.
Das bedeutet:

  • Schichten aus Schichtmodellen können nur in Schichtmodellen eingefügt werden
  • Schichten aus dem Kalender nur im Kalender


Informationen mit Schichten filtern

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Informationen mit Schichten filtern

Schichten können als Filter für die Anzeige von Informationen in anderen Bildern dienen.
Gefiltert werden können:

  • AML
  • Archivnachbearbeitung
  • CEL
  • ETM
  • Report Viewer
  • Zeit-/Chargen-/Schichtfilter

Um Informationen mit Schichten zu filtern, benutzen Sie:

  • Filter auf Bilder in der Bildumschaltung für das Schichtmanagement
  • Schichtfilter in der Bildumschaltung auf:
    • AML:
      Es werden nur Alarme angezeigt, deren Kommt-Zeit innerhalb einer Schicht aus dem Schichtfilter liegt und deren Anlagenverknüpfung in der Schicht vorkommt. Ist bei einer Schicht kein Anlagenfilter definiert, wird zu dieser Schicht keine Überprüfung auf Anlagenverknüpfungen vorgenommen, sondern nur die Zeit berücksichtigt.
    • Archivnachbearbeitung:
      Es werden nur die Einträge durchgelassen, die zum Zeitfilter der Schichtverwaltung passen und deren Variablen zum Anlagenmodellfilter des Bildes und jeder zu kontrollierenden Schicht passen.
    • CEL:
      Es werden nur Ereignisse angezeigt, deren Zeit innerhalb einer Schicht aus dem Schichtfilter liegt und deren Anlagenverknüpfung in der Schicht vorkommt. Ist bei einer Schicht kein Anlagenfilter definiert, wird zu dieser Schicht keine Überprüfung auf Anlagenverknüpfungen vorgenommen, sondern nur die Zeit berücksichtigt.
    • ETM
    • Report Viewer
    • Zeit-/Chargen-/Schichtfilter

Hinweise Konfiguration Bildumschaltung:

  • Der Schichtfilter setzt einen konfigurierten Zeitfilter voraus. Wird der Zeitfilter auf die Option Kein Zeitfilter gesetzt, dann wird der Schichtfilter deaktiviert. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.
  • Wird der Chargenfilter aktiviert, dann wird der Schichtfilter automatisch deaktiviert. Beide Filter schließen einander aus. Ein Hinweis für die Ursache der Deaktivierung wird angezeigt.

Filter auf Bilder in Bildumschaltung auf Schichtmanagement

Um Daten in Bildern nach Schichten zu filtern

  1. Projektieren Sie für das Bild Schichtmanagement den Button Auswahl anwenden.
  2. Legen Sie in der Bildumschaltung in der Registerkarte Bilder fest, welches Bild gefiltert werden soll.
    Es können mehrere Bilder ausgewählt werden.
  3. Schalten Sie zur Runtime das zu filternde Bild gleichzeitig mit dem Bild vom Typ Schichtmanagement auf.
  4. Wählen Sie die Schichten aus, die als Filter dienen sollen.
  5. Klicken Sie auf den Button Auswahl anwenden.

    Die verknüpften, geöffneten Bilder zeigen ihre Informationen gefiltert auf die ausgewählten Schichten an.

Noch in diesem Kapitel

CEL

Erweiterter Trend

Report Viewer

Zeit-/Chargen-/Schichtfilter


CEL

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Informationen mit Schichten filtern > CEL

Die CEL kann gefiltert werden über:

  • die Registerkarte Bilder in der Bildumschaltung auf das Schichtmanagement
  • die Registerkarte Schicht in der Bildumschaltung auf ein CEL-Bild

Filtern über Bilder in Bildumschaltung Schichtmanagement

Sie können in der Bildumschaltung konfigurieren, auf welche Bilder vom Typ CEL ein Schichtfilter angewendet wird. Zur Runtime werden dann alle geöffneten und in der Bildumschaltung ausgewählten CEL-Bilder um den Schichtfilter erweitert. Gefiltert wird, wenn im Schichtkalender eine Schicht ausgewählt wurde und auf den Button Filter anwenden geklickt wird.

Es werden in der CEL nur Einträge angezeigt, die folgende Bedingungen erfüllen:

  • Der Zeitstempel liegt innerhalb einer Schicht aus dem Schichtfilter.
  • Ihre Anlagenverknüpfung ist auch in der Schicht repräsentiert. Der Filter bildet die Schnittmenge beider Anlagenverknüpfungen.
    Beachten Sie bei der Konfiguration der Anlagenverknüpfung für Schichten die Option Hierarchischer Filter. Bei aktiver Option können auch untergeordnete Anlagengruppen im Filter enthalten sein, die für die CEL nicht aktiv ausgewählt wurden.
    Ist bei einer Schicht kein Anlagenfilter definiert, wird für diese Schicht nur die Zeit berücksichtigt.

Die Einstellungen des CEL-Filters werden angepasst:

  • Der Zeitfilter wird auf Absolut gesetzt.
    Er erhält folgende Werte:
    • Startzeit: Früheste Startzeit der ausgewählten Schichten.
    • Endzeit: Späteste Endzeit der ausgewählten Schichten.
  • Der Chargenfilter wird deaktiviert.
  • Alle anderen Filter werden wie konfiguriert angewendet.
  • Der Filtertext im CEL-Bild zeigt zusätzlich die Startzeit und die Endzeit des Schichtfilters an.

Der Button Filter im CEL-Bild wird deaktiviert bis das Bild mit seinem Originalfilter erneut aufgeschaltet wird. Beim Nachladen bleibt der überschriebene Filter erhalten.

Filtern über Registerkarte Schicht in der Bildumschaltung auf CEL

Bei der Bildumschaltung auf ein Bild vom Typ CEL kann die Anzeige der Einträge auf Schichten gefiltert werden.

Um das CEL-Bild auf Schichten zu filtern:

  1. Projektieren Sie eine Bildumschaltung auf das CEL-Bild.
  2. Konfigurieren Sie den Zeitfilter.
  3. Deaktivieren Sie den Chargenfilter, falls dieser aktiv ist.
  4. Konfigurieren Sie den Schichtfilter.

Details lesen Sie im Handbuch Chronologische Ereignisliste im Kapitel Schicht.

Hinweis: Die Option Systemmeldungen immer in Liste anzeigen in der Bildumschaltung auf ein CEL-Bild wird vom Schichtmanagement berücksichtigt.


Erweiterter Trend

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Informationen mit Schichten filtern > Erweiterter Trend

Bilder vom Typ Erweiterter Trend können gefiltert werden:

  • über verknüpfte Bilder in der Bildumschaltung auf das Schichtmanagement
  • verknüpfte Bilder in der Bildumschaltung auf Erweiterter Trend
  • in der Bildumschaltung auf ein Bild vom Typ Erweiterter Trend über die Registerkarte Schicht für den Zeitfilter

Filtern über Bilder in Bildumschaltung Schichtmanagement

Bilder vom Typ Erweiterter Trend können bei der Bilderauswahlliste in der Bildumschaltung zum Schicht-Bild hinzugefügt werden.
Zur Runtime werden alle geöffneten und in der Bildumschaltung ausgewählten Bilder um den Schichtfilter erweitert. Beim Klick auf den Button Auswahl anwenden im Schichtbild werden die verknüpften ETM-Bilder mit den ausgewählten Schichten gefiltert.

Filtern über Bilder in Bildumschaltung Erweiterter Trend

Die Einstellungen der Registerkarte Schichtfilter in der Bildumschaltung können durch ein eigenes Filterbild ersetzt werden.

Dazu:

  1. Erstellen Sie ein Bild vom Typ Zeit-/Chargen-Schichtfilter.
  2. Konfigurieren Sie es mit den Kontrollelementen für Schichtfilterung.
  3. Verknüpfen Sie das Bild in der Bildumschaltung auf Erweiterter Trend: -> Registerkarte Darstellung -> Gruppe Runtime -> Option Zeitfilter ersetzen mit Bild.

Besonderheiten zur Runtime:

  • Ein Zeitfilter vom Typ Kein Zeitfilter ist nicht erlaubt.
  • Wird beim Schichtfilter die Option Schichfilter direkt anwenden gewählt, die Option In den Modus „Schichtauswahl anzeigen" umschalten aktiviert, aber die Kriterien so gewählt, dass keine Schicht gefunden wird, so wird der Zeitfilter mit einem ungültigen Wert überschrieben. In diesem Fall wird der Filter auf die Default-Einstellungen zurückgesetzt (1 Stunde relativ).
  • Wenn die Option Vergleich mit 2. Zeitraum aktiviert ist und das Bild bekommt, entweder über ein Schichtfilterbild oder über Bild vom Typ Schichtmanagement einen Filter zugewiesen, so werden beide Filter mit demselben Wert überschrieben.

Filtern über Registerkarte Schicht im Zeitfilter der Bildumschaltung auf Erweiterter Trend

Bei der Bildumschaltung auf ein Bild vom Typ Erweiterter Trend kann die Anzeige der Einträge auf Schichten gefiltert werden:

  1. Projektieren Sie eine Bildumschaltung auf das Erweiterter Trend Bild.
  2. Konfigurieren Sie den Zeitfilter.
  3. Deaktivieren Sie den Chargenfilter, falls dieser aktiv ist.
  4. Konfigurieren Sie den Schichtfilter.

Details lesen Sie im Handbuch Erweiterter Trend im Kapitel Schicht.

Verhalten zur Runtime

In der Runtime gilt für den Schichtfilter:

  • Beim Vergleich mit zweitem Zeitbereich wird für beide Zeitbereiche ein Schichtfilter angeboten. Wird dem Bild ein neuer Filter zugewiesen, so werden beide Filter mit demselben Wert überschrieben.
  • Ein Zeitfilter vom Typ Kein Zeitfilter ist nicht erlaubt.
  • Wird der Zeitfilter als relativ konfiguriert, dann werden die anzuzeigenden Schichten nur zum Aufschaltzeitpunkt ermittelt.
    Das bedeutet:
    • Zu einem späteren Zeitpunkt werden neu hinzugekommene oder bereits abgelaufene Schichten nicht berücksichtigt.
    • Es wird also nur die Schicht berücksichtigt, die zum Zeitpunkt des Aufschaltens die früheste oder späteste war. Diese bewegt sich dann im Zeitablauf aus der Anzeige der Skala.
  • Wird der Schichtfilter als Schichtfilter direkt anwenden plus In den Modus „Schichtauswahl anzeigen" umschalten konfiguriert, können aber keine Schichten gefunden werden, dann wird:
    • der Zeitfilter ungültig
    • der Zeitfilter automatisch auf einen Defaultwert-gesetzt: Relativer Zeitraum 1 h
    • beim Drücken des Buttons Diagramm die automatische Korrektur im Filterdialog angezeigt


Report Viewer

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Informationen mit Schichten filtern > Report Viewer

Bilder vom Typ Report Viewer können gefiltert werden:

  • über verknüpfte Bilder in der Bildumschaltung auf das Schichtmanagement
  • in der Bildumschaltung auf ein Bild vom Typ Report Viewer über:
    • ein in der Registerkarte Runtime verknüpftes Zeitfilter-Bild
    • die Registerkarte Schicht für den Zeitfilter

Filtern über Bilder in Bildumschaltung Schichtmanagement

Bilder vom Typ Report Viewer können bei der Bilderauswahlliste in der Bildumschaltung zum Schicht-Bild hinzugefügt werden.
Zur Runtime werden alle geöffneten und in der Bildumschaltung ausgewählten Bilder um den Schichtfilter erweitert. Beim Klick auf den Button Auswahl anwenden im Schichtbild werden die verknüpften Report Viewer Bilder mit den ausgewählten Schichten gefiltert.

Hinweise:

  • Es wird nur Zeitfilter 1 überschrieben. Alle weiteren Zeitfilter bleiben unberührt.
  • Der Schichtfilter wirkt auf AML-, CEL- und Archiv-Daten.
  • Es werden nur Einträge für AML, CEL und Archive von Variablen mit passender Anlagenverknüpfung und passendem Zeitstempel angezeigt.

Der Button Filter im Bild wird deaktiviert bis das Bild mit seinem Originalfilter erneut aufgeschaltet wird. Beim Nachladen bleibt der überschriebene Filter erhalten.

Filtern über Zeitfilter-Bild in Bildumschaltung Report Viewer

Ein Zeitfilterbild kann verwendet werden, um einen Schichtfilter für ein geöffnetes Report Viewer Bild zu aktivieren.

Dazu:

  1. Öffnen Sie in der Bildumschaltung zum Report Viewer die Registerkarte Runtime.
  2. Wählen Sie für die Option Zeitfilter 1 zur Runtime ersetzen mit Bild ein Bild vom Typ Zeit-/Chargen-/Schichtfilter.

Im Bild werden zur Runtime - je nach Konfiguration von Zeitfilter 1 - relevante Inhalte für Chargen oder für Schichten angezeigt.

Filtern über Registerkarte Schicht im Zeitfilter der Bildumschaltung auf Report Viewer

Bei der Bildumschaltung auf ein Bild vom Typ Report Viewer kann die Anzeige der Einträge auf Schichten gefiltert werden:

  1. Projektieren Sie eine Bildumschaltung auf das Report Viewer Bild.
  2. Konfigurieren Sie den Zeitfilter.
  3. Deaktivieren Sie den Chargenfilter, falls dieser aktiv ist.
  4. Konfigurieren Sie den Schichtfilter.

Details lesen Sie im Handbuch Reporting im Kapitel Schichten.


Zeit-/Chargen-/Schichtfilter

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > Informationen mit Schichten filtern > Zeit-/Chargen-/Schichtfilter

Ein Bild vom Typ Zeit-/Chargen-/Schichtfilter kann in der Bildumschaltung über die Registerkarte Schicht auf Schichten gefiltert werden.

Um das Bild auf Schichten zu filtern:

  1. Projektieren Sie eine Bildumschaltung auf ein Bild vom Typ Zeit-/Chargen-/Schichtfilter.
  2. Konfigurieren Sie den Zeitfilter.
  3. Deaktivieren Sie den Chargenfilter, falls dieser aktiv ist.
  4. Konfigurieren Sie den Schichtfilter.

Details lesen Sie im Handbuch Bilder im Kapitel Schicht.

Hinweis: Damit die Kontrollelemente für den Schichtfilter in der Runtime angezeigt werden:

  • Muss in der Bildumschaltung die Option Schichtauswahl anzeigen gewählt werden.
  • Muss der Zeitfilter konfiguriert sein.


SQL-Export durchführen

Handbuch > Schichtmanagement > Schichtmanagement zur Runtime > SQL-Export durchführen

Schichten und Pausen können nach SQL exportiert werden.
Um Schichten und Pausen zur Runtime zu exportieren:

  1. Erstellen Sie eine Funktion SQL-Export Schichtkalender.
    Achtung: Ist die Verbindung fehlerhaft konfiguriert, können zur Runtime keine Daten exportiert werden.
  2. Führen Sie die Funktion zur Runtime aus.

    Die der Konfiguration entsprechenden Schichten werden exportiert.

Beim SQL-Export gilt:

  • Benennung der Zieltabellen: [Projekt-GUID]_SHIFT_[GUID der Anlagenmodellgruppe].
  • Es werden nur abgeschlossene Schichten exportiert.
    Das bedeutet: Liegt eine Schicht im Zeitfilter, ist aber noch nicht abgeschlossen, wird sie nicht exportiert.
  • Jede Schicht wird nur einmal exportiert.
    Sie wird nur einmal in die jeweilige Tabelle eingefügt. Nachträgliche Änderungen an einer Schicht werden für die bereits bestehende Tabelle nicht übernommen.
  • Fehler werden geloggt.

attention Achtung

Wenn der Export fehlschlägt, werden die zu exportierenden Schichten beim nächsten Export nicht erneut übertragen. Damit können Lücken entstehen.

Empfehlung: Konfigurieren Sie den Export überlappend. Dazu rufen Sie zum Beispiel die Funktion jeden Tag auf und exportieren die Schichten für 2 Tage.
Oder aktivieren Sie die Option Diesen Dialog zur Runtime anbieten, um dem Benutzer zur Runtime die Neukonfiguration des Zeitbereichs zu ermöglichen.


Verhalten im Netzwerk

Handbuch > Schichtmanagement > Verhalten im Netzwerk

Funktionsberechtigungen

Prinzipiell sind alle Buttons und Kontextmenüs unabhängig von den benötigten Rechten verfügbar. Erst bei der Ausführung wird überprüft, ob der angemeldete Benutzer zur Durchführung der Aktion berechtigt ist. Die Eigenschaften der Schichten und Schichtmodelle können immer angezeigt werden. Das gilt auch dann, wenn die Rechte zur Bearbeitung fehlen.

Ablauf:

  • Es wird überprüft, ob der Token zur Bearbeitung im Netzwerk vorhanden ist.

    Fehlt die Berechtigung, wird der Ablauf mit einer Fehlermeldung abgebrochen.

  • Es wird überprüft, ob der angemeldete Benutzer über die nötigen Rechte verfügt.

    Fehlt die Funktionsberechtigung, wird der Ablauf mit einer Fehlermeldung abgebrochen.
    Ausnahme: Wurde ein temporäres Login aktiviert, dann wird der Anmelde-Dialog angezeigt. Schlägt dieser Login fehl, wird der Ablauf mit einer Fehlermeldung abgebrochen.

Schichten und Schichtmodelle

Beim Anlegen und Bearbeiten von Schichten und Schichtmodellen im Netzwerk gilt:

  • Das Bearbeiten erfolgt nicht direkt am Server, sondern mit einer lokalen Kopie.
    Alle Änderungen werden an den Server 1 und an den Server 2 geschickt und dort aktualisiert.
    Das betrifft das Anlegen, Ändern und Löschen von Schichten und Schichtmodellen sowie das Einfügen von Schichtmodellen im Schichtkalender.
  • Bearbeiten mehrere Benutzer die gleiche Schicht oder das gleiche Schichtmodell, werden am Server die Änderungen des Benutzers übernommen, der zuletzt speichert.
  • Beim Speichern des Modells wird nur der Inhalt gespeichert, aber nicht Name und Beschreibung.

Redundanz

Das Modul Schichtmanagement unterstützt Redundanz.

Beachten Sie:
Wenn der Server ausfällt und der Standby Server als neuer Server übernimmt, dann gilt auf dem neuen Server:

  • Die Liste der Schichtmodelle wird erneuert.
  • Ein aktuell geöffnetes Schichtmodell wird geschlossen. Nicht gespeicherte Änderungen werden dabei verworfen.


Zeitzonen und Tagesgrenzen

Handbuch > Schichtmanagement > Zeitzonen und Tagesgrenzen

Für das Verhalten des Schichtmanagements im Bezug auf Zeitzonen, Zeitumstellung und Tagesgrenzen wurden Regeln definiert.

Noch in diesem Kapitel

Darstellung Tagesgrenzen

Zeitzonen und Zeitumstellung


Darstellung Tagesgrenzen

Handbuch > Schichtmanagement > Zeitzonen und Tagesgrenzen > Darstellung Tagesgrenzen

Bei der Erstellung einer Schicht, die am zweiten Tag eines Schichtmodells liegt und deren Ende die Grenze von zwei Tagen betrifft, verhält sich das Schichtmanagement wie folgt:

  • 24:00 wird als 00:00 des Folgetages verstanden.
  • In den Schichteigenschaften wird dieses 00:00 als eigener Tag angezeigt.
    • Dieser Tag lässt nur die Uhrzeit 00:00 zu.
    • Wird versucht, eine andere Uhrzeit für diesen Tag zu wählen, wird eine entsprechende Meldung angezeigt.
    • Für das Schichtende am dritten Tag kann als Uhrzeit somit nur 00:00 eingestellt werden, da das Schichtmodell auf zwei Tage begrenzt ist.

Hinweis: Diese Einschränkung gilt nur für Schichtmodelle. Im Schichtkalender kann hingegen jede mögliche Uhrzeit als Schichtende eingetragen werden.

Beispiel

  • Konfigurierte Schichtzeit:
    • 11. 11. 2017
    • von 16:00 - 24:00 Uhr
  • Anzeige:
    • Start: 11. 11. 2017, 16:00 Uhr
    • Ende: 12. 11. 2017, 00:00 Uhr


Zeitzonen und Zeitumstellung

Handbuch > Schichtmanagement > Zeitzonen und Tagesgrenzen > Zeitzonen und Zeitumstellung

Schichten werden nach bestimmten Regeln automatisch an die Umstellung von Sommerzeit und Winterzeit angepasst.

Beim Einfügen einer Schicht wird ein Dialog geöffnet, in dem die Start-Zeit und Ende-Zeit entsprechend der Auswahl angezeigt werden. Wurde ein bei der Umschaltung nicht verfügbarer Zeitpunkt gewählt, dann wird dieser automatisch korrigiert. Die Zeiten können im Dialog angepasst werden. Nicht verfügbare Zeitpunkte werden aber immer korrigiert.

  • Umstellung von Winterzeit auf Sommerzeit:
    Eine Zeitangabe von 02:00 wird automatisch auf 01:00 korrigiert.
    Hintergrundinformation: Da um 02:00 auf 03:00 umgestellt wird, existiert 02:00 für den Kalender nicht. Die Eingabe von 02:00 ist nicht möglich.
  • Umstellung von Sommerzeit auf Winterzeit:
    Eine Zeitangabe von 03:00 wird automatisch auf 02:00 korrigiert.
    Die Darstellung im Kalender kann von der Zeitzone abhängen, in der der Kalender angezeigt wird. Zum Beispiel wird im lokalen Kalender mit Winterzeit-Umstellung die Schicht mit einer Länge von 2 Stunden angezeigt. In einem anderen Kalender kann die Schicht - abhängig von der Zeitzone - auch 3 Stunden lang angezeigt. werden. Zum Beispiel in Yakutsk, wo keine Zeitumstellung stattfindet.


Tastenkombinationen für Schichtmanagement

Handbuch > Schichtmanagement > Tastenkombinationen für Schichtmanagement

Für das Schichtmanagement stehen in zenon folgende Tastenkombinationen zur Verfügung:

Runtime

Aktion | Taste
Schicht oder Schichtmodell neu anlegen | Einfg
Schicht oder Schichtmodell bearbeiten | Eingabe
Schicht oder Schichtmodell löschen | Entf


Scheduler

Handbuch > Scheduler

Der Scheduler ermöglicht es, die Ausführung von Aktionen an einen Zeitraum oder ein zeitliches Muster zu koppeln.
Zum Beispiel: Das Ändern des Sollwerts einer Variablen zu einem bestimmten Zeitpunkt oder die Ausführung einer Funktion in einem bestimmten Intervall.

Scheduler und der PFS (Production and Facility Scheduler) bieten ähnliche Funktionen.

Verwendung

Der Scheduler wird in der Regel zur Runtime konfiguriert. Es können aber auch im Editor bereits Fahrplangruppen mit Schaltpunkten und Schaltperioden angelegt werden. Beim Erstellen der Runtime-Dateien werden Konfigurationen im Editor standardmäßig nicht übertragen. Beim Import von Runtime-Dateien werden die Konfigurationen aus der Runtime standardmäßig in den Editor übernommen.

attention Achtung

Daten werden beim Übertragen nicht zusammengeführt, sondern die übertragenen Daten überschreiben die vorhandene Konfiguration.

Scheduler und PFS

Der Verwendungszweck des Schedulers gleicht dem des PFS (Production and Facility Scheduler). Sein Leistungsumfang ist jedoch eingeschränkt. Die Module Scheduler und PFS können nicht gleichzeitig in einem Projekt verwendet werden. Wurde der PFS lizenziert, dann steht der Scheduler nicht zur Verfügung.

Wichtiger Unterschied: Der Scheduler arbeitet in Fahrplänen mit absoluten Zeiten.
Folgende Funktionalität steht daher im Scheduler nicht zur Verfügung:

  • Relative Zeiten: z. B. Schichtbeginn, Schichtende, ...
  • Benutzerdefinierte Ereignisse

Wechsel von Scheduler zu PFS:

  • Ein Umstieg von Scheduler auf PFS durch Lizenzierung des Moduls ist jederzeit möglich. Die Fahrplandaten sind zueinander kompatibel und können übernommen werden.

Wechsel von PFS zu Scheduler:

  • Daten, die im PFS erstellt wurden, können im Scheduler nicht verwendet werden!

Noch in diesem Kapitel

Projektierung im Editor

Projektierung und Anwendung zur Runtime

Fahrpläne erstellen und verwalten


Projektierung im Editor

Handbuch > Scheduler > Projektierung im Editor

Um den Scheduler zur Runtime einzusetzen, benötigen Sie im Editor:

  • ein Bild vom Typ Scheduler
  • eine Bildumschaltung auf dieses Bild

Optional können Sie bereits Fahrplangruppen und Fahrpläne vorkonfigurieren.

Die Projektierung von Fahrplangruppen und Fahrplänen erfolgt in Editor und Runtime gleichartig. Die Projektierungen können auch vom Editor zur Runtime und zurück übertragen werden. Das Vorgehen bei der Projektierung wird für beide Anwendungsfälle im Abschnitt Fahrpläne erstellen und verwalten beschrieben.

Noch in diesem Kapitel

Symbolleiste und Kontextmenü

Einstellungen des Schedulers

Runtime-Dateien in den Editor importieren

Bild vom Typ Scheduler anlegen

Bildumschaltung projektieren


Symbolleiste und Kontextmenü

Handbuch > Scheduler > Projektierung im Editor > Symbolleiste und Kontextmenü

In der Detailansicht des Editors kann der Scheduler über Befehle der Symbolleiste oder des Kontextmenüs konfiguriert werden.

Symbolleiste

Parameter | Beschreibung
Fahrplangruppe neu | Legt abhängig vom ausgewählten Element ein neues Element an und öffnet den dazugehörigen Dialog.
Ausschneiden | Schneidet ausgewähltes Element aus.
Kopieren | Kopiert ausgewähltes Element.
Einfügen | Fügt Element aus der Zwischenablage ein.
Löschen | Löscht ausgewähltes Element.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Scheduler

Menüpunkt | Aktion
Fahrplangruppe neu | Legt abhängig vom ausgewählten Element ein neues Element an und öffnet den dazugehörigen Dialog.
Einfügen | Fügt Element aus der Zwischenablage ein.
Speichern | Speichert im Scheduler vorgenommene Änderungen.
Verwerfen | Bricht die Aktion ab und verwirft die Änderungen.
Einstellungen... | Öffnet Dialog mit Einstellungsmöglichkeiten.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Fahrplangruppe

Parameter | Beschreibung
Kopieren | Kopiert die ausgewählte Fahrplangruppe in die Zwischenablage.
Umbenennen | Ermöglicht das Umbenennen der Fahrplangruppe.
Löschen | Löscht die ausgewählten Fahrplangruppe.
Hilfe | Öffnet die Online-Hilfe.


Einstellungen des Schedulers

Handbuch > Scheduler > Projektierung im Editor > Einstellungen des Schedulers

Für den Scheduler können Sie mehrere Voreinstellungen treffen.
Um die Einstellungen zu konfigurieren:

  1. Führen Sie einen Rechtsklick auf Scheduler in der Detailansicht aus.
  2. Wählen Sie im Kontextmenü Einstellungen.

    Der Dialog zur Konfiguration der Einstellungen wird mit diesen Registerkarten geöffnet:

    • Zeitumstellung: Verhalten bei der Umstellung von Winterzeit und Sommerzeit
    • Feiertage: Auswahl der länderspezifischen Feiertage
    • Darstellung: Auswahl der Art der Kalenderdarstellung

Noch in diesem Kapitel

Zeitumstellung

Feiertage

Darstellung


Zeitumstellung

Handbuch > Scheduler > Projektierung im Editor > Einstellungen des Schedulers > Zeitumstellung

In dieser Registerkarte definieren Sie, wie mit Terminen umgegangen wird, die in den Zeitraum einer Uhrzeitumstellung fallen.

Parameter | Beschreibung
Positive Zeitumstellung | Die Uhrzeit wird vorgestellt, die Systemzeit in die Zukunft gesetzt (z. B. Sommerzeit).
Schaltpunkte nachholen | Aktionen, die zwischen der aktuellen Zeit und der neu eingestellten Zeit liegen, werden sofort nach der Umstellung ausgeführt.
Schaltpunkte neu berechnen | Aktionen, die zwischen der aktuellen Zeit und der neu eingestellten Zeit liegen, werden übergangen und nicht ausgeführt. Die Schaltpunkte werden neu berechnet.
Negative Zeitumstellung | Die Uhrzeit wird zurückgestellt, die Systemzeit in die Vergangenheit gesetzt (z. B. Winterzeit).
Schaltpunkte verwerfen | Die Schaltpunkte werden nicht neu berechnet. Es werden erst wieder Schaltpunkte beim Erreichen der Ausgangszeit ausgeführt.
Schaltpunkte neu berechnen | Aktionen, die zwischen der aktuellen Zeit und der neu eingestellten Zeit liegen, werden neu berechnet (d. h. bei erneutem Erreichen der definierten Zeit wieder ausgeführt). Dies hat die doppelte Ausführung der Schaltpunkte im korrigierten Zeitraum zur Folge.
Standby Server Umschaltung | Standby Server Umschaltung, gültig für die Timeout Zeit bei der Redundanzumstellung
Schaltpunkte verwerfen | Die Schaltpunktausführung beginnt entsprechend der aktuellen Position am Standby. Schaltpunkte im Umschaltungszeitraum werden eventuell nicht ausgeführt.
Schaltpunkte neu berechnen | Die Schaltpunkte werden von der aktuellen Zeit mit einem Minus von 30 Sekunden neu berechnet und ausgeführt. Dies stellt sicher, dass keine Schaltpunktausführung verpasst wird, kann aber eine doppelte Schaltpunktausführung zur Folge haben.
Toleranzbereich für Zeitabweichung | Spanne, um den sich die Systemzeit ändern darf, ohne eine Neuberechnung der Schaltpunkte nach oben beschriebenen Kriterien auszulösen.

attention Achtung

Führen Sie die Umschaltung auf Sommerzeit/Winterzeit immer mit der automatischen Windows Zeitumstellung durch. Stellen Sie die Systemzeit nie manuell um, da das zu Fehlern bei für zenon relevanten Zeitangaben führen kann.


Feiertage

Handbuch > Scheduler > Projektierung im Editor > Einstellungen des Schedulers > Feiertage

Landesabhängige Feiertage können automatisch berücksichtigt werden.
Um Feiertage vorauszuwählen:

  1. Öffnen Sie die Einstellungen.
  2. Öffnen Sie die Registerkarte Feiertage.

  3. Wählen Sie aus der Dropdownliste das gewünschte Land.
  4. Klicken Sie auf OK.

    Die Feiertage werden zur Runtime automatisch als Sondertag berücksichtigt.
    Einträge können zur Runtime über Doppelklick auf den Plan bearbeitet werden.

Manuelle Bearbeitung

Feiertage können bearbeitet und ergänzt werden. Dazu muss die Datei Feiertage.txt bearbeitet werden.
Diese Textdatei finden Sie im Ordner: %ProgramData%\COPA-DATA\zenon8.00

Um Feiertage für ein Land zu erstellen oder zu bearbeiten:

  1. Öffnen Sie Feiertage.txt mit einem Texteditor.
  2. Navigieren Sie zum gewünschten Eintrag oder erstellen Sie einen neuen.
  3. Ändern Sie die Einträge entsprechend der Syntax.
  4. Speichern Sie die Datei.

Achtung: Die korrekte Definition ist für die Erkennung des zu verwendenden Modells unabdingbar.

Syntax

Jeder Eintrag für ein Land:

  • beginnt mit der Benennung des Landes eingeschlossen in eckigen Klammern
  • enthält in jeder folgenden Zeile einen Feiertag, dargestellt durch:
    • Name
    • Komma
    • Datum in der Form YYYY/MM/DD

Hinweis: Bereits in die Datei eingetragene Länder enthalten neben dem Ländernamen auch eine Kennzahl. Dieser wird zur Zeit nicht ausgewertet und muss nicht eingetragen werden.

Beispiel

Zum Beispiel Österreich:

[Austria] 45

Allerheiligen,2017/11/1

Allerheiligen,2018/11/1

Allerheiligen,2019/11/1

Allerheiligen,2020/11/1

Allerheiligen,2021/11/1

Allerheiligen,2022/11/1

Allerheiligen,2023/11/1

Allerheiligen,2024/11/1

Allerheiligen,2025/11/1

Allerheiligen,2026/11/1

Allerheiligen,2027/11/1

Allerheiligen,2028/11/1

Christi Himmelfahrt,2017/5/25

Christi Himmelfahrt,2018/5/10

...


Darstellung

Handbuch > Scheduler > Projektierung im Editor > Einstellungen des Schedulers > Darstellung

Im Editor gibt es in der Detailansicht des Schedulers die Möglichkeit zwischen der alten und der neuen Darstellungsart zu wählen.

Um die Ansicht umzuschalten:

  1. Klicken Sie im Kontextmenü des Schedulers in der Detailansicht auf Einstellungen.

    Ein neuer Dialog öffnet sich.

  2. Klicken Sie auf die Registerkarte Darstellung.

  3. Aktivieren Sie die Option Alte Kalenderdarstellungsart, wenn Sie in der alten Darstellungsart arbeiten möchten.

    Deaktivieren Sie die Option Alte Kalenderdarstellungsart, wenn Sie in der neuen Darstellungsart arbeiten möchten.

Hinweis: Diese Option ist standardmäßig bei neu erstellten Projekten nicht aktiviert. Das heißt, der Kalender wird in der neuen Darstellungsart angezeigt.

Alte Darstellungsart:

Neue Darstellungsart:

Hinweis: Diese Option ist standardmäßig bei neu erstellten Projekten in der zenon Version 7.50 nicht aktiviert. Das heißt, es wird die neue Kalenderdarstellungsart als Default angeboten.


Runtime-Dateien in den Editor importieren

Handbuch > Scheduler > Projektierung im Editor > Runtime-Dateien in den Editor importieren

Fahrpläne, die in der Runtime erstellt wurden, können in den Editor importiert werden. Beim Import werden alle vorhandenen Fahrpläne gelöscht und durch die importierten ersetzt. Es erfolgt keine Zusammenführung unterschiedlicher Daten.

Um Daten aus der Runtime zu importieren:

  1. Stellen Sie sicher, dass in der Projekteigenschaft Zur Runtime änderbare Daten die Option Scheduler für Nicht dekompilieren deaktiviert ist. (Checkbox nicht angehakt.)
  2. Klicken Sie in der Symbolleiste Runtime-Dateien auf das Symbol Runtime-Dateien importieren.

    Die Konfiguration im Editor wird durch die Konfiguration der Runtime ersetzt.


Bild vom Typ Scheduler anlegen

Handbuch > Scheduler > Projektierung im Editor > Bild vom Typ Scheduler anlegen

Das Bild vom Typ Scheduler zeigt zur Runtime einen Kalender an. Dieser kann mit Ereignissen, die automatisiert ausgeführt werden sollen, konfiguriert werden.

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Scheduler.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Vorlage einfügen

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster und Buttons

Kontrollelement | Beschreibung
Scheduler Fenster | Zeigt zur Runtime den Zeitplaner für die Fahrplangruppen an.
Allgemein | Dropdownliste mit allgemeinen Buttons.
Speichern | Speichert die Konfiguration.
Abbrechen | Verwirft Änderungen und beendet Konfiguration.
Fahrplangruppe | Elemente für die Fahrplangruppe.
Neue Fahrplangruppe | Erstellt eine neue Fahrplangruppe.
Kopieren | Kopiert das ausgewählte Element in die Zwischenablage.
Einfügen | Fügt ein in der Zwischenablage abgelegtes Element als Kopie ein.
Umbenennen | Ermöglicht das Umbenennen des ausgewählten Elements.
Löschen | Löscht ausgewähltes Element nach Sicherheitsabfrage.
Neuer Sonderfahrplan | Erstellt einen neuen Sonderfahrplan.
Neue Schaltperiode (ein/aus) | Erstellt eine neue Schaltperiode.
Neuer Schaltpunkt (Numerisch) | Erstellt einen neuen Schaltpunkt.


Bildumschaltung projektieren

Handbuch > Scheduler > Projektierung im Editor > Bildumschaltung projektieren

Mit einer Bildumschaltung auf das Bild Scheduler stellen Sie den Scheduler zur Runtime zur Projektierung und Verwaltung zur Verfügung.

Projektierung

Schritte zum Anlegen der Funktion:

  1. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

  2. Navigieren Sie zum Knoten Bilder.
  3. Wählen Sie die Funktion Bildumschaltung.

    Der Dialog zur Auswahl eines Bildes wird geöffnet.

  4. Wählen Sie das Bild vom Typ Scheduler.
  5. Benennen Sie die Funktion in der Eigenschaft Name.
  6. Weisen Sie die Funktion einem Button zu, um das Bild zur Runtime aufschalten zu können.


Projektierung und Anwendung zur Runtime

Handbuch > Scheduler > Projektierung und Anwendung zur Runtime

Im Scheduler können zur Runtime Fahrpläne erstellt und bereits vorhandene oder importierte Fahrpläne bearbeitet werden.

Die Projektierung von Fahrplangruppen und Fahrplänen erfolgt in Editor und Runtime gleichartig. Die Projektierungen können auch vom Editor zur Runtime und zurück übertragen werden. Das Vorgehen bei der Projektierung wird für beide Anwendungsfälle im Abschnitt Fahrpläne erstellen und verwalten beschrieben.

Noch in diesem Kapitel

Runtime-Dateien übertragen


Runtime-Dateien übertragen

Handbuch > Scheduler > Projektierung und Anwendung zur Runtime > Runtime-Dateien übertragen

Fahrpläne, die im Editor erstellt wurden, können in dir Runtime übertragen werden. Beim Import werden alle vorhandenen Fahrpläne gelöscht und durch die importierten ersetzt. Es erfolgt keine Zusammenführung unterschiedlicher Daten.

Um Daten aus dem Editor zur Runtime zu übertragen:

  1. Stellen Sie sicher, dass in der Projekteigenschaft Zur Runtime änderbare Daten die Option Scheduler für Nicht neu erzeugen und übertragen deaktiviert ist. (Checkbox nicht angehakt.)
  2. Klicken Sie in der Symbolleiste Runtime-Dateien auf das Symbol Geänderte Runtime-Dateien erzeugen oder Runtime-Dateien erzeugen.

    Die Konfiguration im Editor wird zur Runtime übertragen.
    Bereits vorhandene Fahrpläne werden gelöscht.


Fahrpläne erstellen und verwalten

Handbuch > Scheduler > Fahrpläne erstellen und verwalten

Die Beschreibung für das Erstellen von Fahrplänen orientiert sich an der Vorgangsweise zur Runtime. Die Projektierung im Editor erfolgt im Prinzip analog, kann aber abweichen.

Noch in diesem Kapitel

Kontextmenüs

Fahrplangruppen und Fahrpläne

Schaltpunkte und Schaltperioden

Sonderfahrpläne

Fahrpläne bei Integrationsprojekten


Kontextmenüs

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Kontextmenüs

Im Editor und zur Runtime stehen Ihnen folgende Kontextmenüs zur Verfügung:

  • Modul Scheduler im Projektbaum
  • Fahrplangruppe
  • Leere Zelle im Kalender
  • Eintrag im Kalender

Kontextmenü Editor

Modul Scheduler im Projektbaum:

Parameter | Beschreibung
Fahrplangruppe neu | Erstellt eine neue Fahrplangruppe.
Editorprofile | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenüs Editor und Runtime

Scheduler Detailansicht:

Parameter | Beschreibung
Fahrplangruppe neu | Erstellt eine neue Fahrplangruppe.
Einfügen | Fügt eine in der Zwischenablage gespeicherte Fahrplangruppe ein.
Speichern | Speichert alle Änderungen.
Verwerfen | Nach Bestätigung der Sicherheitsabfrage werden sämtliche gemachte Änderungen unwiederbringlich verworfen.
Einstellungen | Ruft die Einstellungsseiten für die Scheduler Eigenschaften auf.
Hilfe | Öffnet die Online-Hilfe. Nur im Editor verfügbar.

Fahrplangruppe:

Parameter | Beschreibung
Kopieren | Kopiert die ausgewählte Fahrplangruppe in die Zwischenablage.
Umbenennen | Ermöglicht das Eingeben eines neuen Namens für die ausgewählte Fahrplangruppe.
Löschen | Löscht die ausgewählte Fahrplangruppe nach einer Sicherheitsabfrage.
Hilfe | Öffnet die Online-Hilfe. Nur im Editor verfügbar.

Leere Zelle im Kalender:

Parameter | Beschreibung
Schaltperiode erstellen (ein/aus) | Öffnet den Dialog zum Erstellen einer Schaltperiode.
Schaltpunkt erstellen (numerisch) | Öffnet den Dialog zum Erstellen eines Schaltpunktes.
Einfügen | Fügt einen in der Zwischenablage abgelegten Eintrag ein.
Sonderfahrplan erzeugen | Öffnet den Dialog zur Erstellung eines Sonderfahrplans.
Sonderfahrplan löschen | Löscht den ausgewählten Sonderfahrplan.
Hilfe | Öffnet die Online-Hilfe. Nur im Editor verfügbar.

Eintrag im Kalender:

Parameter | Beschreibung
Kopieren | Kopiert den ausgewählten Eintrag in die Zwischenablage.
Schaltpunkt/Schaltperiode editieren | Öffnet den Dialog zum Editieren eines Schaltpunktes oder einer Schaltperiode.
Schaltpunkt/Schaltperiode löschen | Löscht den ausgewählten Eintrag nach einer Sicherheitsabfrage.
Hilfe | Öffnet die Online-Hilfe. Nur im Editor verfügbar.


Fahrplangruppen und Fahrpläne

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Fahrplangruppen und Fahrpläne

Fahrplangruppen enthalten Fahrpläne für Wochentage und Sondertage sowie Sonderfahrpläne. Im Scheduler können beliebig viele Fahrplangruppen erstellt werden. So können unterschiedliche Fahrpläne für einzelne Maschinen oder Abteilungen erstellt werden.

Runtime

Um eine neue Fahrplangruppe in der Runtime zu erstellen:

  1. Klicken Sie auf den Button Fahrplangruppe.

    Eine neue Fahrplangruppe wird mit dem Standardnamen erstellt.

  2. Führen Sie einen Rechtsklick auf die neue Gruppe aus und wählen Sie im Kontextmenü Umbenennen.
    Vergeben Sie den gewünschten Namen.
  3. Erstellen Sie Fahrpläne für die Gruppe.

Um einen neuen Fahrplan in der Runtime zu erstellen:

  1. Klicken Sie in der Kalender der gewünschten Fahrplangruppe.
  2. Wählen Sie den gewünschten Tag und Zeitpunkt.
  3. Wählen Sie im Kontextmenü oder per Button die gewünschte Aktion.
  4. Konfigurieren Sie die Aktion.
  5. Beenden Sie die Konfiguration mit Klick auf OK.

Editor

Um eine neue Fahrplangruppe im Editor zu erstellen:

  1. Wählen Sie im Kontextmenü für den Scheduler in der Detailansicht Fahrplangruppe neu.

    Eine neue Fahrplangruppe wird mit dem Standardnamen erstellt.

  2. Führen Sie einen Rechtsklick auf die neue Gruppe aus und wählen Sie im Kontextmenü Umbenennen.
  3. Erstellen Sie Fahrpläne für die Gruppe.

Um einen neuen Fahrplan im Editor zu erstellen:

  1. Klicken Sie in der Kalender der gewünschten Fahrplangruppe.
  2. Wählen Sie den gewünschten Tag und Zeitpunkt.
  3. Wählen Sie im Kontextmenü die gewünschte Aktion.
  4. Konfigurieren Sie die Aktion.
  5. Beenden Sie die Konfiguration mit Klick auf OK.


Schaltpunkte und Schaltperioden

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Schaltpunkte und Schaltperioden

Schaltpunkte ermöglichen es, zu einem bestimmten Zeitpunkt einen Sollwert auf eine numerische Variable abzusetzen. In Schaltperioden werden Funktionen benutzt, um über einen bestimmten Zeitraum, eine Binärvariable auf 1 oder auf 0 zu setzen.

info Info

Schaltpunkte werden in der Runtime aus Sicherheitsgründen per Default immer als inaktiv angelegt und müssen dezidiert aktiviert werden, damit sie funktionieren. Im Editor werden Schaltpunkt per Default als aktiv angelegt.

Noch in diesem Kapitel

Schaltpunkte (numerisch)

Schaltperioden (ein/aus)

Schaltpunkte und Schaltperioden bearbeiten

Tooltips


Schaltpunkte (numerisch)

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Schaltpunkte und Schaltperioden > Schaltpunkte (numerisch)

Ein numerischer Schaltpunkt dient dazu, einmalig einen Sollwert auf eine numerische Variable abzusetzen.

Um einen numerischen Schaltpunkt zu erstellen:

  1. Führen Sie einen Rechtsklick auf eine leere Zelle im Kalender aus.
  2. Wählen Sie Schaltpunkt erstellen (numerisch).
    (Zur Runtime können Sie auch die Zelle markieren und auf den Button Schaltpunkt (analog)klicken.)

    Hinweis: Der Zeitpunkt muss eindeutig sein und kann nur für eine Schaltperiode oder einen Schaltpunkt verwendet werden.

    Der Dialog zur Konfiguration des Schaltpunkts wird geöffnet.

  3. Konfigurieren Sie den Schaltpunkt mit:
    • Auswahl der Uhrzeit.
    • Auswahl der benötigten Variablen und/oder Funktionen.
    • Konfiguration der Sollwerte für die Variablen.
    • Aktiv Setzen der Variablen und Funktionen.
  4. Beenden Sie den Dialog mit Klick auf OK.
    Im Runtime-Kalender wird der Schaltpunkt mit Uhrzeit angezeigt. Beim Bewegen der Maus über den Schaltpunkt werden detaillierte Informationen zu verknüpften Variablen und Funktionen angezeigt.

attention Achtung

Beachten Sie beim Erstellen eines Schaltpunkts:

  • Erlaubter Zeitbereich: 00:00:00 - 23:59:59.
  • Jeder Schaltpunkt muss eindeutig sein.

Dialog Schaltpunkt erstellen

Option | Beschreibung
Startzeit | Zeitpunkt, wann der Schaltpunkt (numerisch) ausgeführt werden soll.
Liste Variablen und Funktionen | Liste mit allen verknüpften Variablen und Funktionen.
Variable hinzufügen | Öffnet den Dialog zum Hinzufügen einer Variablen.
Funktion hinzufügen | Öffnet den Dialog zum Hinzufügen einer Funktion. Funktionen können auch projektübergreifend verknüpft werden. Dabei muss sichergestellt sein, dass die Quellprojekte zur Runtime zur Verfügung stehen. Über die Funktion VBA-Makro ausführen können an den Schaltpunkten auch VBA-Macros ausgeführt werden.
Sollwert | Öffnet den Dialog zur Vorgabe des Sollwerts für die in der Liste ausgewählte Variable.
Entfernen | Entfernt die ausgewählten Variablen oder Funktionen ohne Sicherheitsabfrage aus der Liste.


Schaltperioden (ein/aus)

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Schaltpunkte und Schaltperioden > Schaltperioden (ein/aus)

Eine Schaltperiode ermöglicht es, eine Binärvariable über einen bestimmten Zeitraum auf 1 oder 0 zu setzen.
Am Beginn einer Schaltperiode wird die Variable automatisch auf True (1) gesetzt und am Ende auf False (0). Diese Reihenfolge kann über die Option Sollwert verändert werden.

Um eine Schaltperiode zu erstellen:

  1. Führen Sie einen Rechtsklick auf eine leere Zelle im Kalender aus.
  2. Wählen Sie Schaltperiode erstellen (ein/aus).
    (Zur Runtime können Sie auch die Zelle markieren und auf den Button Neue Schaltperiode (ein/aus) klicken.)

    Hinweis: Der Zeitpunkt muss eindeutig sein und kann nur für eine Schaltperiode oder einen Schaltpunkt verwendet werden.

    Der ialog zur Konfiguration der Schaltperiode wird geöffnet.

  3. Konfigurieren Sie die Schaltperiode mit:
    • Auswahl der Uhrzeiten für Start und Ende.
    • Auswahl der benötigten Variablen und/oder Funktionen.
    • Konfiguration der Sollwerte für die Variablen.
    • Aktiv Setzen der Variablen und Funktionen.
  4. Beenden Sie den Dialog mit Klick auf OK.
    Im Runtime-Kalender wird die Schaltperiode mit Uhrzeit angezeigt. Beim Bewegen der Maus über die Schaltperiode werden detaillierte Informationen zu verknüpften Variablen und Funktionen angezeigt.

attention Achtung

Beachten Sie beim Erstellen einer Schaltperiode:

  • Startzeit und Endzeit dürfen nicht gleich sein.
  • Der Endzeitpunkt muss nach der Startzeit liegen.
  • Erlaubter Zeitbereich: 00:00:00 - 23:59:59.
  • Jede Schaltperiode muss eindeutig sein.

Dialog Schaltperiode

Option | Beschreibung
Startzeit | Zeitpunkt, zu dem die Variable zum ersten Mal umgeschaltet oder die Funktion ausgeführt werden soll.
Liste Variablen und Funktionen | Liste mit allen verknüpften Variablen und Funktionen.
Variable hinzufügen | Öffnet den Dialog zum Hinzufügen einer Variablen. Hinweis: Es können nur Binärvariablen ausgewählt werden.
Funktion hinzufügen | Öffnet den Dialog zum Hinzufügen einer Funktion. Funktionen können auch projektübergreifend verknüpft werden. Dabei muss sichergestellt sein, dass die Quellprojekte zur Runtime zur Verfügung stehen. Über die Funktion VBA-Makro ausführen können an den Schaltpunkten auch VBA-Macros ausgeführt werden.
Sollwert | Öffnet den Dialog zur Vorgabe des Sollwerts für die in der Liste ausgewählte Variable.
Entfernen | Entfernt die ausgewählten Variablen oder Funktionen ohne Sicherheitsabfrage aus der Liste.
Endzeit | Zeitpunkt, zu dem die Variable zum zweiten Mal umgeschaltet oder die Funktion ausgeführt werden soll.
Liste Variablen und Funktionen | Liste mit allen verknüpften Variablen und Funktionen.
Funktion hinzufügen | Öffnet den Dialog zum Hinzufügen einer Funktion. Funktionen können auch projektübergreifend verknüpft werden. Dabei muss sichergestellt sein, dass die Quellprojekte zur Runtime zur Verfügung stehen. Über die Funktion VBA-Makro ausführen können an den Schaltpunkten auch VBA-Macros ausgeführt werden.
Sollwert | Öffnet den Dialog zur Vorgabe des Sollwerts für die in der Liste ausgewählte Variable.
Entfernen | Entfernt die ausgewählten Variablen oder Funktionen ohne Sicherheitsabfrage aus der Liste.

Noch in diesem Kapitel

Sollwert vorgeben


Sollwert vorgeben

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Schaltpunkte und Schaltperioden > Schaltperioden (ein/aus) > Sollwert vorgeben

Der Sollwert für die Variablen kann innerhalb der Variablengrenzen frei vorgegeben werden.

Option | Beschreibung
Sollwert | Eingabe des Sollwerts, der abgesetzt werden soll. Dieser muss sich in den Grenzen der Optionen Min. und Max. bewegen.
Min. | Zeigt möglichen Minimalwert an.
Max | Zeigt möglichen Maximalwert an.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Schaltpunkte und Schaltperioden bearbeiten

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Schaltpunkte und Schaltperioden > Schaltpunkte und Schaltperioden bearbeiten

Sie können alle im Kalender eingetragenen Schaltpunkte und Schaltperioden:

  • bearbeiten
  • löschen
  • mehrfach verwenden

Bearbeiten

Um Schaltpunkte und Schaltperioden zu editieren:

  • führen Sie entweder einen Doppelklick auf den Schaltpunkt oder die Schaltperiode aus
    oder
  • wählen Sie im Kontextmenü Schaltpunkt/Schaltperiode editieren

Es wird der jeweils entsprechende Dialog geöffnet.

Löschen

Um Schaltpunkte oder Schaltperioden zu löschen:

  1. Klicken Sie auf den bestehenden Schaltpunkt oder die Schaltperiode.
  2. Klicken Sie im Kontextmenü auf Schaltpunkt/Schaltperiode löschen.
  3. Bestätigen Sie die Sicherheitsabfrage.

Mehrfach verwenden

Schaltpunkte und Schaltperioden können auch an mehreren Tagen ausgeführt werden.

Dazu:

  1. Wählen Sie im Kontextmenü des zu kopierenden Elements Kopieren.
  2. Markieren Sie eine Zelle des Tages, an dem das Element eingefügt werden soll.
    Die Zelle mit dem Startzeitpunkt muss leer sein.
  3. Wählen Sie im Kontextmenü Einfügen.

    Das Element wird am Zieltag mit der gleichen Startzeit und Endzeit wie am Quelltag eingefügt. Ist eine dieser Zeiten bereits belegt, kann das Element nicht eingefügt werden.


Tooltips

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Schaltpunkte und Schaltperioden > Tooltips

Tooltips im Scheduler visualisieren den jeweiligen Zustand eines Kalendereintrags und geben weitere Informationen über den jeweiligen Status.

Anzeige des Tooltips:

Um einen Tooltip anzeigen zu lassen, navigieren Sie in der Kalenderdarstellung über einen Schaltpunkt oder eine Schaltperiode. Der Tooltip erscheint automatisch, wenn die Maus über dem Schaltpunkt oder der Schaltperiode positioniert ist.

Struktur:

Der Tooltip besteht aus:

Schaltperiode

  • Startzeit
    • Verknüpfte Variablen
    • Werte
    • Funktionen
  • Endzeit
    • Verknüpfte Variablen
    • Werte
    • Funktionen

Schaltpunkt

  • Startzeit
    • Verknüpfte Variablen
    • Werte
    • Funktionen


Sonderfahrpläne

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Sonderfahrpläne

Es können beliebig viele benutzerdefinierte Sonderfahrpläne erstellt werden, z.B. Betriebsferien. Ein Sonderfahrplan ersetzt immer die Schaltzeitpunkte des Standard-Fahrplans.

Um einen Sonderfahrplan zu erstellen:

  1. Klicken Sie im Fahrplan auf eine beliebige Zelle.
  2. Wählen Sie im Kontextmenü Sonderfahrplan erzeugen.

    Der Dialog zur Konfiguration eines Sonderfahrplans wird geöffnet.

  3. Konfigurieren Sie den Zeitraum für den Sonderfahrplan.
  4. Beenden Sie die Konfiguration mit Klick auf OK.

    Der Sondertag wird im Kalender als zusätzliche Spalte zu den Wochentagen eingetragen.

attention Achtung

Es ist nicht möglich, mehrere Sonderfahrpläne zugleich auszuführen.
Das heißt: In einem Zeitraum, in dem schon ein Sonderfahrplan projektiert ist, kann kein weiterer mehr projektiert werden.

Dialog Sonderfahrplan

Option | Beschreibung
Beginnt am | Auswahl des Startdatums.
Endet am | Auswahl des Enddatums.
Serienmuster | Für Scheduler nicht verfügbar. Benutzen Sie für Serien das Modul Production & Facility Scheduler.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Sonderfahrplan löschen

Um einen Sonderfahrplan zu löschen:

  1. Klicken Sie auf den bestehenden Sonderfahrplan.
  2. Wählen Sie im Kontextmenü Sonderfahrplan löschen.
  3. Bestätigen Sie die Sicherheitsabfrage.


Fahrpläne bei Integrationsprojekten

Handbuch > Scheduler > Fahrpläne erstellen und verwalten > Fahrpläne bei Integrationsprojekten

Wenn ein Scheduler mit Daten eines Unterprojektes aufgerufen werden soll, so ist die entsprechende Funktion des Unterprojektes aufzurufen.
Die Daten für den Scheduler kommen immer aus dem Projekt, in dem die Bildumschaltungsfunktion liegt.


Sprachumschaltung

Handbuch > Sprachumschaltung

Die Sprachumschaltung ermöglicht es, zu Runtime Texte, Grafiken und Schriften in andere Sprachen umzuschalten.
Die Sprachumschaltung unterstützt zum Beispiel bei:

  • Auslieferung eines Projektes in unterschiedlichen Sprachen
  • dezentralen Anlagen, die weltweit einsehbar sind
  • verschiedensprachiger Bedienung einer Anlage

Zur Projektierung wird in der Detailansicht des Knotens Sprachdatei eine Sprachtabelle mit den nötigen Sprachdateien angelegt.
Eine Schritt-für-Schritt-Anleitung finden Sie im Tutorial Internationalisierung.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Sprachdatei neu... | Öffnet den Dialog zum Anlegen einer neuen Sprachdatei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Sprachumschaltbare Objekte

Sprachtabelle und Sprachdateien

Schlüsselwörter in der Sprachtabelle

Einträge bearbeiten

Sprachdatei extern bearbeiten

Vordefinierte Schlüsselwörter - Systemtexte in CEL

Fonts - Schriftarten

Pfade für Sprachumschaltung der Runtime-Hilfe

Funktion Sprachumschaltung


Sprachumschaltbare Objekte

Handbuch > Sprachumschaltung > Sprachumschaltbare Objekte

Sprachumschaltung kann für die meisten Module und Funktionalitäten verwendet werden.
Zum Beispiel:

  • Runtime-Dialoge wie Standard Login-Fenster oder Dialog für Alarmfilter
  • Texte auf Elementen wie Buttons oder Statischer Text
  • Grenzwerttexte
  • Variablen-Kennung

    Hinweis: Werden Variablen in Elementen (z. B. Combi-Element, Dynamischer Text), oder Listen (z.B. Liste im Bildtyp Variablen-Diagnose) projektübergreifend verwendet, wird immer die Sprachdatei aus dem Projekt in dem sich auch die Variable befindet zur Übersetzung der Variablen-Kennung herangezogen.

  • Zustandstexte und Systemmeldungen in der Alarmmeldeliste und Chronologischen Ereignisliste sowie im Industrial Performance Analyzer
  • Umschalten von Texten für ein Bild vom Bildtyp Notizbuch oder HTML-Seiten für Bildtyp HTML
  • Runtime-Hilfe
  • Gruppen- und Klassennamen für Alarm/Ereignis-Gruppen und Alarm/Ereignis-Klassen
  • Pfade für Grafiken, Hilfe, Multimedia, Texte und Formate sowie Report Viewer
  • Umschalten von dynamischen und statischen Elementen in S7-Graph Schrittketten
  • Zeichensätze wie Arial Unicode
  • und vieles mehr

Einige Elemente können nicht sprachumschaltbar konfiguriert werden:

Noch in diesem Kapitel

Nicht sprachumschaltbare Texte


Nicht sprachumschaltbare Texte

Handbuch > Sprachumschaltung > Sprachumschaltbare Objekte > Nicht sprachumschaltbare Texte

Nicht sprachumschaltbar sind:

Funktionalität

Nicht sprachumschaltbare Texte

ALC

Namen der Quellen

Anlagenmodellierung

Zur Gänze nicht sprachumschaltbar.

Archiv

  • Kurzbezeichnung
  • Name

Datentypen

  • Name

Funktionen

  • Name

HTML Web Engine

Zur Runtime generierte Texte für AML und CEL.

Ausnahmen: Die Spalten Text und Maßeinheit

Last Management
  • Name Netz
  • Name Verbrauchergruppe
  • Name Verbraucher
  • Name Erzeuger

Menüs

  • Name für Hauptmenü

PFS

Namen von:

  • Modellgruppen
  • Ereignissen
  • Kalender

Reaktionsmatrizen

  • Name

Rezeptgruppen-Manager
  • Gruppenname
  • Rezeptname

Schablonen

  • Name

Schriften

  • Name

Skript

  • Name

Standard-Rezepte
  • Name

Textlisten

Zur Gänze nicht sprachumschaltbar.

Treiber

  • Bezeichnung (wird bei der Treiberauswahl eingegeben)

Variablen

  • Name
  • String Archivfüllwert

Verriegelungen

  • Name

Zeitsteuerung

  • Name der Zeitfunktion

Zuweisungen

  • Name


Sprachtabelle und Sprachdateien

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien

Um eine Sprachumschaltung zu projektieren, muss im Projekt oder im Globalprojekt im Knoten Sprachdatei in der Sprachtabelle eine neue Sprachdatei angelegt werden. Dieser Sprachdatei wird als Textdatei gespeichert.

Dabei gilt:

  • Die Tabelle enthält immer eine Spalte Schlüsselwort.
  • Die Spalte ZENONSTR.TXT wird automatisch angelegt. Sie ist nicht löschbar, aber erweiterbar. Beim Starten der Runtime wird automatisch diese Datei geladen.
  • Jede Sprache erhält eine eigene Spalte in der Sprachtabelle.
  • Für jede Spalte wird eine eigene Sprachdatei angelegt.
    In dieser wird das Schlüsselwort mit der Übersetzung gespeichert. Schlüsselwort und Übersetzung werden durch ein Pipe-Zeichen | getrennt.
  • Wird ein Schlüsselwort in die Sprachtabelle eingetragen, dann werden automatisch alle Spalten in dieser Zeile mit dem Schlüsselwort gefüllt. Dieses vorgegebene Schlüsselwort muss dann in der entsprechenden Spalte für die Sprache durch die Übersetzung der jeweiligen Sprache ersetzt werden.
  • Die Übersetzungen können auch im Editor angezeigt und umgeschaltet werden. Wählen Sie dazu im Vorschaufenster für Sprachdatei im Kontextmenü oder der Symbolleiste den Eintrag Sprachdatei für Editor.
    Hinweis: In der Dropdownliste können maximal 30 Sprachdateien angezeigt werden.
  • Um Sprachen zur Runtime umzuschalten, muss die entsprechende zenon Funktion projektiert werden.
  • Steht in der aktuell verwenden Datei (Sprache/Spalte) kein Eintrag zur Verfügung, dann wird ein leerer Eintrag angezeigt.
  • Steht in keiner der Dateien (Sprachen/Spalten) ein Eintrag zur Verfügung, dann kann alternativ das Schlüsselwort angezeigt werden.
    Dazu muss in den Projekteigenschaften die Eigenschaft Nicht übersetzte Schlüsselwörter anzeigen aktiviert sein.
    Hinweis: Sie finden diese Eigenschaft in der Projekt-Eigenschaftengruppe Grafische Ausprägung.
  • Sind im Globalprojekt und im Lokalprojekt gleiche Schlüsselwörter vorhanden, werden zur Runtime die Einträge aus dem Globalprojekt verwendet.

Noch in diesem Kapitel

Sprachumschaltung Detailansicht Symbolleiste und Kontextmenü

Schlüsselwörter

Neue Sprachdatei anlegen

Sprachdatei umbenennen

Kopieren und Einfügen

Sortieren

Filtern

Suchen

Ersetzen

Mehrzeilige Darstellung

Schriften

Sprachtabelle im Editor anwenden


Sprachumschaltung Detailansicht Symbolleiste und Kontextmenü

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Sprachumschaltung Detailansicht Symbolleiste und Kontextmenü

Symbolleiste und Kontextmenü bieten Aktionen für Erstellung und Verwaltung von Sprachdateien.

Menüpunkt

Aktion

Sprachdatei neu

Fügt eine neue leere Sprachdatei in die Tabelle ein.

Standard-Funktion erzeugen

Erzeugt eine Funktion Sprachumschaltung und öffnet den Dialog zur Konfiguration.

Speichern

Speichert Sprachdatei.

Datei kopieren

Kopiert ausgewählte Datei in die Zwischenablage.

Schlüssel kopieren

Kopiert ausgewählte Schlüssel in die Zwischenablage.

Einfügen

Fügt Inhalt der Zwischenablage (Datei oder Schlüssel) in die Sprachtabelle ein. Die eingefügte Datei wird erst nach dem Aktualisieren der Editoransicht angezeigt.

Datei löschen

Löscht ausgewählte Sprachdatei aus der Sprachtabelle.

Schlüssel löschen

Löscht ausgewählte Schlüssel aus Sprachtabelle.

Zurück zu Ausgangselement springen

Springt im zenon Editor zurück zur Ausgangsposition.

Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.

Datei exportieren

Exportiert ausgewählte Sprachdatei ins Format TXT.

Datei importieren

Importiert Datei im Format TXT.

Erweiterter Import/Export

Öffnet das Menü für den Import und Export von CSV-Dateien.

Suchen

Öffnet Dialog zur Suche nach Einträgen in der aktiven Sprachdatei.

Ersetzen

Öffnet Dialog, um Einträge in der aktiven Sprachdatei zu suchen und zu ersetzen.

Schrift für ausgewählte Sprachdatei

Öffnet Dropdownliste zur Auswahl der Schrift:

  • Auswahl: Dialog zur Auswahl einer Schrift wird geöffnet
  • Standardschrift: Standardschrift wird verwendet

Für Schlüsselwort nicht verfügbar.

Sprachdatei für Editor

Öffnet Dropdownliste zur Auswahl der Sprachdatei für den Editor.

Hinweis: In der Dropdownliste können maximal 30 Sprachdateien angezeigt werden.

Alle Filter entfernen

Entfernt alle Filtertexte aus den Spalten.

Zeichentabelle

Öffnet die Windows Zeichentabelle.

Hilfe

Öffnet die Online-Hilfe.

info Info

Die Vorgänge Datei exportieren, kopieren, suchen und ersetzen beziehen sich jeweils auf die aktive Sprachdatei.

Aktiv bedeutet: Beim Klicken in die Sprachtabelle wird jeweils die Datei, in deren Spalte geklickt wurde, auf aktiv gesetzt. Der Dateiname der aktiven Datei wird im Eigenschaftenfenster angezeigt und die Spalte der Datei erhält in der Spaltenüberschrift ein Fernglas-Symbol.


Schlüsselwörter

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Schlüsselwörter

Schlüsselwörter definieren

Schlüsselwörter werden durch das Zeichen @ gekennzeichnet.

Dabei gilt:

@Text

Der gesamte Text wird übersetzt

Text@

Der Text wird nicht übersetzt

@Text@Text

Der Text zwischen den @ wird übersetzt

  • Regel: Der Text nach einer ungeraden Anzahl von @ wird übersetzt. Die Zählung beginnt am Anfang des Eintrags. Der Text zwischen dem ersten und dem zweiten @ wird übersetzt, der zwischen dem zweiten und dritten @ nicht.

Beispiel: @user@Doe

  • user wird übersetzt
  • Doe wird nicht übersetzt

Verketten

Textelemente, die übersetzt werden, und solchen, die nicht übersetzt werden, können verkettet werden.

Beispiel:
@Der Benutzer@ Doe @wird ausgeloggt.

Text | Übersetzung
Der Benutzer | X
Doe | --
wird ausgeloggt. | X

Übersetzungen zur Runtime

Für die Anzeige von Übersetzungen zur Runtime gilt:

  • Dem Schlüsselwort ist eine Übersetzung zugeordnet: Es werden die übersetzten Texte angezeigt.
  • Dem Schlüsselwort ist keine Übersetzung zugeordnet: Es wird kein Text angezeigt.
  • Keine Sprachdatei enthält eine Übersetzung: Es wird das Schlüsselwort ohne @ angezeigt.

Anzeige von Schlüsselwörtern

Um bei fehlenden Texten das nicht übersetzte Schlüsselwort anzuzeigen:

  1. Navigieren Sie in den Projekteigenschaften zu Grafische Ausprägung -> Runtime allgemein.
  2. Aktivieren Sie die Eigenschaft Nicht übersetzte Schlüsselwörter anzeigen.

    Nicht übersetze Texte werden dann zur Runtime durch @Schlüsselwort dargestellt.


Neue Sprachdatei anlegen

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Neue Sprachdatei anlegen

Um eine neue Sprachdatei anzulegen:

  1. Öffnen Sie das Kontextmenü des Knotens Sprachdatei im Projektmanager.
  2. Wählen Sie den Eintrag Sprachdatei neu.

    Der Dialog zur Erstellung einer neuen Sprachdatei wird geöffnet

  3. Vergeben Sie einen frei definierbaren Namen. Die Dateierweiterung *.txt wird automatisch gesetzt.
    Der Dateiname entspricht dem Titel der Spalte.

    Hinweis: Sonderzeichen sind nicht erlaubt.

  4. Bestätigen Sie mit Klick auf die Schaltfläche OK.

    Die neue Datei wird als äußerst rechte Spalte in die Sprachtabelle eingefügt. Sie kann mit der Maus per Drag&Drop verschoben werden.

Mit dem Erstellen einer neuen Sprachdatei werden im Projektbaum im Ordner Datei sprachabhängige Unterordner erstellt. Diese tragen den Namen der neu angelegten Sprachdatei. Sie sind der Speicherort für sprachabhängige Inhalte. Die Unterordner werden erzeugt für:

  • Grafiken
  • Hilfe
  • Multimedia
  • Texte und Formate
  • Report Viewer


Sprachdatei umbenennen

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Sprachdatei umbenennen

Der Dateiname der aktiven Datei wird im Eigenschaftenfenster als Eigenschaft Dateiname angezeigt. Hier kann der Name der Sprachdatei geändert werden. Beim Umbenennen einer Sprachdatei werden auch die zugehörigen sprachabhängigen Unterordner in den Binärdatei-Ordnern umbenannt.


Kopieren und Einfügen

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Kopieren und Einfügen

Sprachdateien können kopiert und in das Quellprojekt oder andere andere Projekte eingefügt werden.

Kopieren

Um eine Sprachdatei zu kopieren:

  1. Führen Sie einen Rechtsklick in die Spalte mit der gewünschten Sprache aus.
  2. Wählen Sie Datei kopieren.

    Die Sprachdatei wird in die Zwischenablage kopiert.

Einfügen

Um eine Sprachdatei aus der Zwischenablage einzufügen:

  1. Führen Sie einen Rechtsklick in die Sprachtabelle aus.
  2. Wählen Sie Einfügen.

    Die Sprachdatei aus der Zwischenablage wird als letzte Spalte in der Tabelle eingefügt. Die nötigen Unterordner für die Binärdateien werden erstellt.

Hinweis: Schlüsselworte können auch mit den Tastenkombinationen Ctrl+C und Ctrl+V kopiert und eingefügt werden. Für Sprachdateien ist das nicht möglich.

Verhalten beim Einfügen

Beim Einfügen wird zwischen dem Quellprojekt und anderen Projekten unterschieden:

  • Einfügen ins Quellprojekt:
    Es wird eine neue Datei mit dem Namen KOPIE n VON XXX.TXT eingefügt.
    • n: Nummer der Kopie
    • XXX: Name der kopierten Datei
  • Beim Einfügen in ein anderes Projekt, wird überprüft, ob bereits eine Sprachdatei gleichen Namens existiert.
    • Eine Sprachdatei gleichen Namens existiert: Es erfolgt eine Abfrage, ob die Datei überschrieben werden soll.
    • Die Sprachdatei existiert noch nicht: Die Datei wird mit ihrem ursprünglichen Namen eingefügt.

info Info

Sprachdateien können auch exportiert und importiert werden.


Sortieren

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Sortieren

Einträge in den Spalten können sortiert werden. Ebenso kann die Reihenfolge der Spalten angepasst werden.

Einträge sortieren:

  1. Klicken Sie auf den Spaltenkopf der Spalte, die sortiert werden soll.

    Die Spalte wird sortiert. Die Sortierrichtung (aufsteigend/absteigend) wird durch einen Pfeil über der Spaltenbeschriftung angezeigt.

  2. Mit einem erneuten Klick in den Spaltenkopf ändern Sie die Sortierrichtung.

Reihenfolge der Spalten ändern:

  1. Klicken Sie auf den Spaltenkopf der Spalte, die verschoben werden soll.
  2. Halten Sie die Maustaste gedrückt.
  3. Bewegen Sie die Maus an die gewünschte Stelle.

    Ein blauer, vertikaler Balken zeigt die Einfügestelle an.

  4. Lassen Sie die Maustaste los.

    Die Spalte wird an die gewünschte Stelle verschoben.

Hinweis: Die Spalte Schlüsselwort muss immer die äußerst linke Spalte sein und kann nicht verschoben werden.


Filtern

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Filtern

Die Sprachtabelle kann gefiltert angezeigt werden.

Um die Anzeige zu filtern:

  1. Klicken Sie in die Filterzeile der gewünschten Spalte.
  2. Geben Sie den Filtertext ein.
    Sie können Wildcards verwenden:
    • *: Ersetzt beliebige Zeichen in beliebiger Anzahl.
      red* findet alle Texte, die mit red beginnen.
    • ?: Ersetzt genau ein Zeichen.
      r?d findet red, rad, ...

    Alle Zeilen, die nicht dem Filterkriterium entsprechen, werden aus der Liste ausgeblendet.

Sie können mehrere Filter kombinieren.

Um den Filter zurückzusetzen, löschen Sie den Filtertext aus der Kopfzeile oder benutzen Sie im Kontextmenü den Befehl Alle Filter entfernen.


Suchen

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Suchen

In der Sprachtabelle gibt es die Möglichkeit, nach bestimmten Texten oder Textfragmenten zu suchen. Dabei können reguläre Ausdrücke verwendet werden. Die Fundstellen können auch gleichzeitig ersetzt werden. Suchen und ersetzen gilt immer für die Spalte, in der sich der Cursor befindet.

Um zu suchen:

  1. Klicken Sie in die gewünschte Spalte.
  2. Führen Sie einen Rechtsklick aus.
  3. Wählen Sie im Kontextmenü Suchen.

Dialog Suchen

Parameter

Beschreibung

Suchen nach

Eingabe des Suchbegriffs.

Nur ganzes Wort suchen
  • Aktiv: Es wird nur der im Eingabefeld festgelegte Suchbegriff gefunden.
    Beispiel: "Text" findet nur "Text" aber nicht "Textur".
  • Inaktiv: Es werden auch Begriffe, die den Suchbegriff enthalten, gefunden.
    Beispiel: "Text" findet auch "Textur".

Groß-/Kleinschreibung
  • Aktiv: Es wird zwischen Großschreibung und Kleinschreibung unterschieden.
    Beispiel: "Text" findet nur "Text" aber nicht "text".
  • Inaktiv: Groß-Kleinschreibung hat keinen Einfluss auf das Suchergebnis.

Suchrichtung

Definiert die Suchrichtung.

  • Nach oben:
    Sucht von der markierten Zelle weg aufwärts.
  • Nach unten:
    Sucht von der markierten Zelle weg abwärts.

Weitersuchen

Sucht und markiert ndie ächste Fundstelle.

Abbrechen

Beendet die Suche und schließt den Dialog.

Inkrementelle Suche

Um inkrementell zu suchen:

  1. Platzieren Sie den Mauszeiger in der gewünschten Spalte.
  2. Geben Sie das Zeichen ein, mit dem der gesuchte Eintrag beginnt.
    • Die nächste Zeile der aktiven Spalte, deren Textbeginn dem Suchkriterium entspricht, wird ausgewählt.
    • Die Suche bezieht sich immer auf das erste Zeichen der Zeile.
      Zum Beispiel: r findet die Zeile, die red enthält, aber nicht die Zeile, die green enthält.


Ersetzen

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Ersetzen

Um Texte zu suchen und zuersetzen:

  1. Klicken Sie in die gewünschte Spalte.
  2. Führen Sie einen Rechtsklick aus.
  3. Wählen Sie im Kontextmenü Ersetzen.

Dialog Ersetzen

Parameter

Beschreibung

Suchen nach

Eingabe des Suchbegriffs.

Ersetzen durch

Eingabe des Begriffs, der den Suchbegriff ersetzen soll.

Nur ganzes Wort suchen
  • Aktiv: Es wird nur der im Eingabefeld festgelegte Suchbegriff gefunden.
    Beispiel: "Text" findet nur "Text" aber nicht "Textur".
  • Inaktiv: Es werden auch Begriffe, die den Suchbegriff enthalten, gefunden.
    Beispiel: "Text" findet auch "Textur".

Groß-/Kleinschreibung
  • Aktiv: Es wird zwischen Großschreibung und Kleinschreibung unterschieden.
    Beispiel: "Text" findet nur "Text" aber nicht "text".
  • Inaktiv: Groß-Kloeinschreibung hat keinen Einfluss auf die Suchergebnisse.

Weitersuchen

Sucht und markiert die nächste Fundstelle.

Ersetzen

Der gefundene Begriff wird ersetzt.

Alle ersetzen

Alle in der aktiven Spalte gefundenen Suchbegriffe werden ohne Nachfrage ersetzt.

Abbrechen

Beendet Suche


Mehrzeilige Darstellung

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Mehrzeilige Darstellung

Schlüsseltexte und Übersetzungen können mehrzeilig dargestellt werden. Dazu kann die Zeilenhöhe angepasst werden.

Um die Zeilenhöhe individuell zu definieren:

  1. Bewegen Sie die Maus in den Zeilenkopf, links von der Spalte Schlüsselwort.
  2. Navigieren Sie zur Trennlinie der Zeilen bis der Mauszeiger sich in ein Kreuz wandelt.
  3. Ziehen Sie die Zeile mit gedrückter linker Maustaste auf die gewünschte Höhe.

Um die Zeilenhöhe automatisch anzupassen:

  1. Bewegen Sie die Maus in den Zeilenkopf, links von der Spalte Schlüsselwort.
  2. Navigieren Sie zur Trennlinie der Zeilen bis der Mauszeiger sich in ein Kreuz wandelt.
  3. Führen Sie einen Doppelklick auf die Trennlinie aus.

    Die Zeilenhöhe wird automatisch an den Inhalt angepasst und Texte werden entsprechend der Spaltenbreite umgebrochen.

Hinweis: Die eingestellten Zeilenhöhen werden beim Verlassen der Liste nicht gespeichert.


Schriften

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Schriften

Auch Schriften sind über das Kontextmenü in der Sprachtabelle umschaltbar.
Im Globalprojekt können globale Schriftlisten angelegt werden. Die dort vorhandenen Einträge stehen in allen Projekten des Arbeitsbereiches zur Verfügung.

info Info

Wird in der Listenansicht die Schriftart nicht richtig dargestellt, muss in der Systemsteuerung die Schriftart Arial Unicode aktiviert werden.


Sprachtabelle im Editor anwenden

Handbuch > Sprachumschaltung > Sprachtabelle und Sprachdateien > Sprachtabelle im Editor anwenden

Schlüsselwörter können bereits während der Projektierung im Editor übersetzt und genutzt werden. So kann zum Beispiel bereits im Editor überprüft werden, ob die Längen für Textfelder für alle Sprachen ausreichend dimensioniert wurden.

Um eine Sprachdatei im Editor zu verwenden:

  1. Wählen Sie im Kontextmenü den Eintrag Sprachdatei für Editor.
  2. Wählen Sie im Untermenü die gewünschte Datei.

    Hinweis: In der Dropdownliste können maximal 30 Sprachdateien angezeigt werden.

  3. Die im Editor aktive Sprachdatei wird der Spaltenüberschrift mit grüner Schriftfarbe gekennzeichnet.


Schlüsselwörter in der Sprachtabelle

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle

Schlüsselwörter für sprachumschaltbare Texte werden in zenon durch das Zeichen @ gekennzeichnet. In die Sprachtabelle werden Schlüsselwörter ohne den Bezeichner @ eingetragen. Vorhandene Steuerzeichen @ werden automatisch entfernt.

Tipp Tipp

Verwenden Sie:

  • zum Einfügen von Schlüsselwörtern den Language Table Wizard
  • zum Managen von Übersetzungen den Language Translation Wizard und das Project Translation Interface
  • zum Importieren von Systemtexten den System Text Wizard

Beim Einfügen der Einträge in die Sprachtabelle gilt:

  • Pro @ wird ein Paket gebildet.
  • Jedes Paket muss einzeln in die Sprachtabelle eingetragen werden.

    Beispiel: Der sprachumschaltbare Text "@Der Benutzer@ Doe @wird ausgeloggt." hat in der Sprachtabelle zwei Einträge:

    • Zeile 1: Der Benutzer
    • Zeile 2: wird ausgeloggt.
  • Nach einem Import enthält jede Sprachdatei zuerst nur die Schlüsselwörter, die sie auch vor dem Import hatte.
  • Sobald in der Sprachtabelle eine Änderung erfolgt (z. B. Eintrag eines neuen Schlüsselworts) werden alle Schlüsselwörter aller Sprachdateien abgeglichen.
    Jede Sprachdatei enthält dann alle Schlüsselwörter.
  • Alle neu in die Tabelle eingetragenen Schlüsselwörter werden immer sofort in alle vorhandenen Sprachdateien geschrieben.

attention Achtung

Ein Import kann zu neuen Schlüsselwörtern führen, für die dann in den bereits vorhandenen Sprachdateien keine Übersetzungen existieren. In diesem Fall werden zur Runtime die Schlüsselwörter angezeigt.

Um die Schlüsselwörter mit vorangestelltem @ anzuzeigen, muss in den Projekteigenschaften die Eigenschaft Nicht übersetzte Schlüsselwörter anzeigen aktiviert sein.

Noch in diesem Kapitel

Neues Schlüsselwort einfügen

Language Table Wizard

System Text Wizard


Neues Schlüsselwort einfügen

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > Neues Schlüsselwort einfügen

Um ein neues Schlüsselwort einzufügen:

  1. Klicken Sie in die unterste leere Zelle der Spalte Schlüsselwort.
  2. Geben Sie das Schlüsselwort ein.

    Das Schlüsselwort wird automatisch in alle verfügbaren Spalten mit Sprachdateien eingetragen.

  3. Tragen Sie für jede Spalte den korrekten Term ein.

Hinweis: Das Schlüsselwort kann auch über Druck auf die Einfügen-Taste eingetragen werden. Beim Tastendruck auf die Einfügen-Taste wird - unabhängig von der Position des Mauszeigers in der Tabelle - die letzte Zelle der Spalte Schlüsselwort ausgewählt und zur Bearbeitung aktiviert.

info Info

Schlüsselwörter können auch über den Language Table Wizard eingetragen werden. Es wird empfohlen, den Wizard zu verwenden. Damit stellen Sie sicher, dass Sie alle benötigten Schlüsselwörter eintragen.


Language Table Wizard

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > Language Table Wizard

Dieser Wizard

  • durchsucht das aktive Projekte nach sprachübersetzbaren Texten oder Schlüsselwörtern (Text mit einem @ gekennzeichnet).
  • schreibt gefundene Schlüsselwörter
    • entweder in die ausgewählte Sprachtabelle im aktiven oder
    • optional im Globalprojekt.

Zu Referenzzwecken muss für den Import mindestens eine Tabelle (ZENONSTR.TXT) ausgewählt werden.

Werden Texte ohne @-Zeichen gefunden, können diese als Schlüsselwort im Projekt gesetzt werden. Dazu wird ein @ am Beginn des Textes geschrieben.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Der Language Table Wizard ersetzt den Language Change Wizard (VBA).

Noch in diesem Kapitel

Aufruf des Wizards

Startfenster

Einstellungen

Finish


Aufruf des Wizards

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > Language Table Wizard > Aufruf des Wizards

Der Wizard kann direkt im Dialog zum Starten der Wizards ausgewählt werden.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Language Table.
  3. Wählen Sie dort Language Table Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > Language Table Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer englischsprachigen Dokumentation für den Wizard.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Einstellungen

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > Language Table Wizard > Einstellungen

Import options

In der Gruppierung „Import options" kann gewählt werden:

  • ob bestehende Texte in der ausgewählten Sprachtabelle überschrieben werden sollen,
  • ob gefundene sprachübersetzbare Texte als Schlüsselwörter im Projekt gesetzt werden sollen (Texte werden in das Projekt mit einem @ gekennzeichnet) und
  • ob die Sprachtabellen vom globalen Projekt verwendet werde sollen.

Select language tables

In der Gruppierung „Select language tables" wird je nach Einstellung der Option „Add keywords to language table global project" die Sprachtabellen des aktiven Projekts oder der des globalen Projekts angezeigt. In den ausgewählten Sprachtabellen wird das Schlüsselwort als Text eingetragen. Es muss mindestens eine Tabelle ausgewählt werden.

Project options

In der Gruppierung „Project options" kann ausgewählt werden welche projektrelevanten Texte oder Schlüsselwörter gesucht werden sollen.

Screen elements

In der Gruppierung „Screen elements" kann ausgewählt werden welche Bildelemente durchsucht werden sollen.


Finish

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > Language Table Wizard > Finish

In dieser Registerkarten starten Sie die Suche nach sprachübersetzbaren Texten und Schlüsselwörtern.

Um die Suche zu starten, klicken Sie auf die Schalftläche Finish.

Abhängig von den in Settings gesetzten Optionen, werden übersetzbare Texte gesucht und in die ausgewählten Sprachtabellen geschrieben.


System Text Wizard

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > System Text Wizard

Der System Text Wizard ermöglicht den Import von Systemtexten in die Sprachtabelle. Systemtexte sind Texte der Runtime, die in zenon Dialogen und Menüs verwendet werden und vom Benutzer nicht verändert werden können. Um auch diese, von zenon vorgegebenen, Texte sprachumschaltbar zu machen, müssen diese Texte zuerst mit diesem Wizard in eine Sprachtabelle importiert werden. Die Anzahl der importierten Schlüsselwörter und Texte kann über eine Option im Wizard begrenzt werden.

info Info

Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Aufrufen des Wizards

Startfenster

Einstellungen

Finish


Aufrufen des Wizards

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > System Text Wizard > Aufrufen des Wizards

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Language Table.
  3. Wählen Sie dort System Text Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > System Text Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer englischsprachigen Dokumentation für den Wizard.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Einstellungen

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > System Text Wizard > Einstellungen

In der Registerkarte „Settings" werden die Einstellungen für den Import der Systemtexte zusammengefasst.

Project settings

Option

Beschreibung

Overwrite existing language table
  • Aktiv: Texte mit bestehenden Schlüsselwörtern werden überschrieben.

Add keyword to language table global project
  • Aktiv: Systemtexte werden in die Sprachtabelle im Globalprojekt geschrieben.
  • Inaktiv: Systemtexte werden in die Sprachtabelle im Lokalprojekt geschrieben.

Select keyword language

Auswahl der Sprache für die Schlüsselwörter aus Dropdownliste.

Select language

Auswahl der Sprachen und der dazugehörigen Sprachdatei. Es stehen die von zenon unterstützten Sprachen zur Verfügung.

Um eine Sprache auszuwählen:

  1. Aktivieren Sie die Checkbox vor der gewünschten Sprache.
    Mehrfachauswahl ist möglich.
  2. Wählen Sie inder Dropdownliste die passende Sprachdatei.
    Achtung: Die Sprachdatei muss in zenon bereits projektiert worden sein.

Select category

Auswahl der Module und Funktionalitäten, für die Systemtexte importiert werden sollen. Um ein Objekt auszuwählen, aktivieren Sie die Checkbox vor dem Objekt.


Finish

Handbuch > Sprachumschaltung > Schlüsselwörter in der Sprachtabelle > System Text Wizard > Finish

In dieser Registerkarte starten Sie den Import.

Um mit dem Import zu beginnen, klicken Sie auf die Schaltfläche Finish.
Die Konfiguration des Wizards kann beim Schließen für spätere Verwendung gespeichert werden.


Einträge bearbeiten

Handbuch > Sprachumschaltung > Einträge bearbeiten

Um einen Eintrag zu bearbeiten, klicken sie zwei Mal in die Zelle. Druck auf die F2-Taste öffnet die Zelle, die den Fokus hat, zur Bearbeitung.

Schlüsselwort und Übersetzungen löschen

Es können einzelne Übersetzungen oder ganze Schlüssel mit allen Übersetzungen gelöscht werden.

Um ein Schlüsselwort mit allen Übersetzungen zu löschen:

  1. Wählen Sie die Zeile aus.
  2. Drücken Sie die Entfernen-Taste oder wählen Sie im Kontextmenü Schlüssel löschen.

    Ein Dialog zur Betätigung der Löschung wird aufgeschaltet.
    Nach Bestätigung wird das Schlüsselwort mit allen Übersetzungen gelöscht.

    Es können mehrere Zeilen gleichzeitig ausgewählt und gelöscht werden (Steuerung-Taste + Mausklick; Umschalt-Taste + Mausklick).

Um übersetzte Zelleneinträge zu löschen:

  1. Wählen Sie die Zeile aus.

    Die Spalte Schlüsselwort darf nicht aktiv sein.

  2. Halten Sie die Umschalt-Taste und drücken Sie die Entfernen-Taste.

    Die Übersetzung der aktiven Spalte wird gelöscht.

    Hinweis: Mehrfachauswahl ist möglich.

Kopieren und einfügen

Um Schlüsselwörter zu kopieren:

  1. Markieren Sie die gewünschten Zeilen (Mehrfachauswahl ist möglich).
  2. Drücken Sie die Tastenkombination Strg+C oder wählen Sie im Kontextmenü Schlüssel kopieren.

    Die Schlüsselwörter werden in die Zwischenablage kopiert.

Um Schlüsselwörter einzufügen:

  1. Klicken Sie in die Sprachtabelle.
  2. Drücken Sie die Tastenkombination Strg+V oder wählen Sie im Kontextmenü Einfügen.

    Die Schlüsselwörter und Einträge für die Sprachdateien werden aus der Zwischenablage übernommen.

    Existiert ein kopierter Schlüssel bereits in der Liste, wird ein neuer Schlüssel Kopie n von XXX angelegt:

    • n: Nummer der Kopie
    • XXX: Name des kopierten Schlüssels


Sprachdatei extern bearbeiten

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten

Sprachdateien können auch extern bearbeitet werden. Dazu müssen sie exportiert werden.
Export- und Importmöglichkeiten:

Dateiformat | Export/Import über | Anmerkung
XML in ZIP | Language Translation Wizard | Eignet sich zur Bearbeitung mit Project Translation Interface. Bereitet Texte in einer XML-Datei auf und exportiert diese mit den ausgewählten Sprachdateien als ZIP-Datei. Zusätzlich wird von allen Bildern im Projekt ein Screenshot erzeugt und in der ZIP-Datei mitgeliefert. Die ZIP-Datei beinhaltet auch die Schriftlisten des ausgewählten Projekts sowie die des Globalprojekts. Betrifft immer die ausgewählten Sprachdateien. Bearbeitung mit dem Übersetzungstool Project Translation Interface.
TXT | Datei exportieren/importieren (für Spalte Schlüsselwort nicht verfügbar) | Eignet sich vor allem für die Weitergabe an andere Benutzer und den Import in andere Projekte. Betrifft immer nur die gewählte Sprachdatei und die Schlüsselwörter. Bearbeitung mit Text-Editor.
CSV | Erweiterter Import/Export -> CSV | Eignet sich vor allem zum externen Bearbeiten. Betrifft immer alle Sprachdateien einer Sprachtabelle. Bearbeitung mit Microsoft Excel.

Um eine Sprachdatei zu bearbeiten:

  1. Exportieren Sie die gewünschte Datei.
  2. Führen Sie die Änderungen durch.
  3. Importieren Sie die Datei wieder in den Editor.

attention Achtung

Beachten Sie bei externen Änderungen:

  • Beim Import wird die bestehende Projektierung nicht einfach überschrieben, sondern mit der aktuell im Projekt vorhandenen zusammengeführt. Details siehe: Sprachdatei exportieren und importieren.
  • Änderungen betreffen immer nur das Schlüsselwort und die gewählten Sprachen. Alle anderen Sprachen bleiben unverändert oder leer.

Noch in diesem Kapitel

Sprachdatei exportieren und importieren

Language Translation Wizard

Bearbeitung einer ZIP-Datei

Bearbeitung einer Textdatei

Bearbeitung von CSV in MS Excel

Auslagerung von Übersetzungen


Sprachdatei exportieren und importieren

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Sprachdatei exportieren und importieren

Sprachdateien können in verschiedene Formate exportiert und aus diesen wieder importiert werden:

  • XML in einer ZIP-Datei
  • TXT
  • CSV

Export

XML/ZIP

Um eine Sprachdatei für XML aufbereitet in eine ZIP-Datei zu exportieren, verwenden Sie den Language Translation Wizard.

TXT und CSV

Um eine Sprachdatei nach TXT oder CSV zu exportieren:

  1. Klicken Sie für einen TXT-Export in die gewünschte Spalte.
    Für CSV genügt ein Rechtsklick in die Tabelle.
  2. Öffnen Sie mit einem Rechtsklick das Kontextmenü.
  3. Wählen Sie die gewünschte Exportart:
    • Datei exportieren: Exportiert die Sprachtabelle in das Format TXT.
    • Erweiterter Import/Export -> Alle als CSV exportieren...: Exportiert alle vorhandenen Tabellen in das Format CSV.

    Der Dialog zur Auswahl des Speicherorts und Dateinamens wird geöffnet.

  4. Speichern Sie die Exportdatei.

    Eine Meldung informiert über den erfolgreichen Export und bietet an, den Export-Ordner zu öffnen

    • Klick auf Schaltfläche Ja öffnet Export-Ordner und schließt den Dialog.
    • Klick auf Schaltfläche Nein schließt den Dialog.

Import

XML

Um eine Sprachdatei für XML aus einer ZIP-Datei zu importieren, verwenden Sie den Language Translation Wizard.

TXT und CSV

Um eine Sprachdatei aus TXT oder CSV zu importieren:

  1. Klicken Sie in die Sprachtabelle.
  2. Öffnen Sie mit einem Rechtsklick das Kontextmenü.
  3. Wählen Sie die gewünschte Importart:
    • Datei importieren: importiert eine Datei im Format TXT
    • Erweiterter Import/Export -> CSV importieren: importiert eine Datei im Format CSV

    Der Dialog zur Auswahl der Datei wird geöffnet.

  4. Klick auf OK importiert Datei.

attention Achtung

Ein Import kann zu neuen Schlüsselwörtern führen, für die dann in den bereits vorhandenen Sprachdateien keine Übersetzungen existieren. In diesem Fall werden zur Runtime die Schlüsselwörter angezeigt.

Um die Schlüsselwörter mit vorangestelltem @ anzuzeigen, muss in den Projekteigenschaften die Eigenschaft Nicht übersetzte Schlüsselwörter anzeigen aktiviert sein.

Verhalten beim Import

Beim Import gilt:

  • Sind Einträge in der Importdatei und im Projekt vorhanden, dann überschreiben die importierten Einträge die im Projekt bereits vorhandenen.
  • Einträge, die nur im Projekt vorkommen, werden nicht geändert.
  • Einträge, die nur in der importierten Datei vorkommen, werden ins Projekt neu eingefügt.
  • Existiert eine Sprachdatei der Importdatei im Projekt noch nicht, wird eine neue Datei mit dem neuen Namen angelegt.
    Hinweis: Der Name entspricht der Benennung in der Importdatei.

info Info

Gleiche Schlüsselwörter werden überschrieben, neue Schlüsselwörter in der extern überarbeiteten Datei werden hinzugefügt, in der externeren Datei fehlende Schlüsselwörter werden nicht ersetzt.

Import von TXT

Textdateien müssen für den Import dem Format der Sprachtabelle entsprechen.
Format: Schlüsseltext + | + Übersetzung

Beim Import wird die neue Datei nicht einfach überschrieben, sondern mit der aktuell im Projekt vorhandenen zusammengeführt.

Import von CSV

CSV-Dateien müssen für den Import dem Format der Sprachtabelle entsprechen:

  • Die Dateien müssen die Endung .csv besitzen. Ist das nicht der Fall, erfolgt eine Fehlermeldung.
  • Zulässige Spaltentrennzeichen:
    • Pipe (|)
    • Semikolon (;)
    • TAB (->)

    Werden andere Zeichen als Spaltentrenner verwendet, erfolgt eine Fehlermeldung.

  • Die erste Zeile muss eine Liste der Dateien enthalten. An erster Stelle muss dabei ein Platzhalter für die Spalte Schlüsseltext stehen.
  • In den weiteren Zeilen stehen der jeweilige Schlüsseltext und die durch den Spaltentrenner getrennten Übersetzungstexte.
    Der Schlüsseltext muss immer in der ersten Spalte stehen.

Example Beispiel

Aufbau CSV-Datei :

Schlüsselwort|ZENONSTR.TXT|FRENCH.TXT|ENGLISH.TXT|GERMAN.TXT

A1004|A1004|F1004|E1004|D1004

A14|A14|F14|E14|D14

A25|A25|F25|E25|D25


Language Translation Wizard

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Language Translation Wizard

Dieser Wizard dient zur Datenaufbereitung für das Project Translation Interface, einem Übersetzungstool.

Hierbei werden alle für die Sprachübersetzung relevanten Daten aufbereitet und in einer ZIP-Datei verpackt. Diese ZIP-Datei kann dann im Project Translation Interface entpackt und die Sprachtabellen können bearbeitet oder ergänzt werden. Nach der Bearbeitung kann die ZIP-Datei im Wizard geladen und die bearbeiteten Sprachtabellen im Projekt können reimportiert werden.

attention Achtung

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Wizard starten

Startfenster

Export

Import


Wizard starten

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Language Translation Wizard > Wizard starten

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Language Table.
  3. Wählen Sie dort Language Translation Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Language Translation Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer englischsprachigen Dokumentation für den Wizard.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Export

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Language Translation Wizard > Export

Beim Ausführen des Exports, wertet der Wizard alle Texte von Bildelementen, Limits und anderen Projekt-Objekten aus, die als übersetzbare Texte mit einem @ gekennzeichnet sind.

Diese Texte werden in einer XML-Datei aufbereitet und mit den ausgewählten Sprachtabellen als ZIP-Datei exportiert. Zusätzlich wird von allen Bildern im Projekt ein Screenshot erzeugt und in der ZIP-Datei mitgeliefert. Die ZIP-Datei beinhaltet auch die Schriftlisten des ausgewählten Projekts sowie die des Globalprojekts.

Schaltfläche | Beschreibung
Zip Name: | Name der Export-Datei
C:\ | Speicherort der Export-Datei. Klick auf Schaltfläche ... öffnet Datei-Browser zur Auswahl eines Zielordners.
Liste Sprachdateien | Listenfeld mit Auswahlmöglichkeit der im Projekt vorhandenen Sprachdateien.
Select all | Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.
Deselect all | Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.
Export | Exportiert die Daten in den Zielordner. Ist nur aktiv, wenn eine oder mehrere Sprachtabellen ausgewählt sind.
Pfeil nach Links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach Rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Cancel | Beendet den Wizard, ohne zu exportieren.

attention Achtung

Folgende Sonderzeichen dürfen im Bildnamen nicht verwendet werden:
: / \ * < >

Diese Sonderzeichen werden entfernt und durch eine laufende Nummer ersetzt.


Import

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Language Translation Wizard > Import

In dieser Registerkarte kann die zu importierende ZIP-Datei ausgewählt werden.

Schaltfläche | Beschreibung
... | Speicherort der Import-Datei. Klick auf Schaltfläche ... öffnet den Datei-Browser zur Auswahl eines Dateiordners.
Liste Sprachdateien | Listenfeld mit Auswahlmöglichkeit der übersetzten und zu importierenden Sprachdateien.
Select all | Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.
Deselect all | Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.
Import | Importiert die ausgewählten Sprachtabellen im aktuellen zenon Projekt. Ist nur aktiv, wenn eine oder mehrere Sprachtdatein ausgewählt sind.
Pfeil nach Links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Cancel | Beendet den Wizard, ohne zu importieren.

attention Achtung

Wird in zenon 6.51 eine neue Sprachdatei hinzugefügt, muss das Projekt nach dem Beenden des Wizards im Arbeitsbereich neu geladen werden.

Ab Version 7.00 SP0 werden die Sprachdateien automatisch aktualisiert.


Bearbeitung einer ZIP-Datei

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Bearbeitung einer ZIP-Datei

Um eine als ZIP-Datei exportierte Sprachdatei zu bearbeiten:

  1. Öffnen Sie die ZIP-Datei mit dem Project Translation Interface.
  2. Bearbeiten Sie die Übersetzungen.
  3. Speichern Sie die Änderungen wieder in einer ZIP-Datei und importieren Sie diese ins Projekt.

Kooperation Language Translation Wizard und Project Translation Interface

Das Project Translation Interface und der zenon Language Translation Wizard arbeiten eng zusammen.

Der Wizard:

  • durchsucht zenon Projekte nach übersetzbaren Texten
  • verpackt diese in eine XML-Datei
  • erstellt Screenshots der Bilder mit übersetzbaren Texten
  • packt die XML-Datei zusammen mit den Screenshots, den Dateien für die Sprachübersetzung und den Schriftlisten des Projekts in eine ZIP-Datei,
  • importiert nach abgeschlossener Übersetzung im Project Translation Interface die übersetzten Texte in das zenon Projekt

Das Interface:

  • öffnet die vom Wizard erstellte ZIP-Datei
  • unterstützt Übersetzer mit Datei-Strukturierung, Wortlängen-Überprüfung und grafischer Darstellung
  • exportiert die fertige Übersetzung in eine ZIP-Datei


Bearbeitung einer Textdatei

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Bearbeitung einer Textdatei

Für Sprachdateien gilt:

  • Die Inhalte werden als Text in chronologischer Reihenfolge eingetragen.
  • Das Trennzeichen zwischen Schlüsselwort und übersetztem Begriff ist ein | (Pipe).
  • Übersetzt wird nur der Begriff nach dem Pipe-Zeichen.

Example Beispiel

|

eins|one

zwei|two

drei|three


Bearbeitung von CSV in MS Excel

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Bearbeitung von CSV in MS Excel

Die Bearbeitung in MS Excel ist ebenfalls möglich. Um eine Sprachdatei in MS Excel zu bearbeiten:

  1. Öffnen Sie die CSV-Datei mit MS Excel.

    Die Exportdatei wird automatisch in Excel importiert.
    Die Daten werden wie folgt angezeigt:

    • Spalte A: Schlüsselwort.
    • Weiter Spalten: Übersetzungen; je Spalte eine Übersetzung.
    • Es wird kein Trennzeichen angezeigt.
  2. Bearbeiten Sie die Texte.
  3. Speichern Sie die Datei wieder als CSV-Datei.

Um die geänderten Sprachdateien in zenon zu verwenden, importieren Sie die CSV-Datei nach zenon.


Auslagerung von Übersetzungen

Handbuch > Sprachumschaltung > Sprachdatei extern bearbeiten > Auslagerung von Übersetzungen

Texte können über den Language Translation Wizard übersetzt werden oder über CSV-Dateien.
Empfehlung: Nutzen Sie zur Übersetzung den Language Translation Wizard.

Um Texte zur Übersetzung auszulagern:

  1. Exportieren Sie die Sprachtabelle nach CSV oder in eine ZIP-Datei.
  2. Lassen Sie die Texte übersetzen.
  3. Importieren Sie die geändert Datei.

attention Achtung

In Mehrbenutzerprojekten können Schlüsseltexte und deren Übersetzungen nur geändert werden, wenn für die die Dateien Änderungen ermöglichen aktiviert ist. Übersetzungstexte von Dateien, für die Änderungen nicht ermöglicht sind, können nicht ausgewählt und editiert werden.

Schlüsseltexte können nur geändert werden, wenn für alle Dateien Änderungen ermöglicht sind. Beim Einfügen neuer Schlüssel werden die Schlüssel nur in Dateien, für die Änderungen ermöglicht sind, eingetragen.


Vordefinierte Schlüsselwörter - Systemtexte in CEL

Handbuch > Sprachumschaltung > Vordefinierte Schlüsselwörter - Systemtexte in CEL

Für alle Texte, die standardmäßig in der Runtime angezeigt werden, gibt es vordefinierte Schlüsselwörter.

Empfehlung: Benutzen Sie für Projektierung den System Text Wizard.

Achtung: Änderungen werden bei einem zenon Update wieder überschrieben. Sichern Sie die Datei mit geänderten Einträgen extra und kopieen Sie diese nach einem zenon Update in die neue Version.

Damit die Sprachumschaltung bei Dialogen oder vordefinierten Schlüsselwörtern für die CEL funktionieren, muss die Runtime-Sprache in Englisch eingestellt sein, da die Schlüsselwörter in Englisch definiert sind.

Texte, die in den Spaltenüberschriften der Chronologische Ereignisliste sowie der Alarmmeldeliste verwendet werden, können über die Projekteigenschaften konfiguriert werden.
Der Dialog wird aufgerufen über:

  • Projekteigenschaften -> Chronologische Ereignisliste -> Spalteneinstellung CEL
    oder
  • Projekteigenschaften -> Alarmmeldeliste ->Spalteneinstellung AML
    oder
  • die jeweilige Funktion Bildumschaltung

Die Vorgehensweise entspricht der bei Texten. Ein vorangestelltes @ zu Beginn der Beschreibung ermöglicht die Sprachumschaltung.


Fonts - Schriftarten

Handbuch > Sprachumschaltung > Fonts - Schriftarten

Im Zuge der Sprachumschaltung kann es nötig sein, verschiedene Schriftarten zu verwenden, zum Beispiel eine Unicode-Schrift für ostasiatische Zeichen.

Definition über Schriftlisten

Schriften und Schriftlisten definieren Sie im Knoten Bilder/Schriften. Die hier angelegten Schriftlisten können in der Funktion Sprachumschaltung ausgewählt werden.

Hinweis: Details zu Schriften und Listen finden Sie im Kapitel Schriften im Handbuch Bilder.

Sprachdatei Schriftart direkt zuweisen

Schriftarten können der Sprachdatei auch direkt zugewiesen werden. Dies definiert aber nur die optische Darstellung in der Sprachdatei. Die Darstellung der übersetzten Texte im Editor und zur Runtime ist davon nicht betroffen; diese wird über Schriftlisten festgelegt.

Um der Sprachdatei eine Schriftart direkt zuzuweisen:

  1. Wählen Sie eine Spalte der Sprachdatei.
  2. Wählen Sie im Kontextmenü Schrift für ausgewählte Sprachdatei/Auswahl.

    Der Windows Standarddialog für die Auswahl einer Schrift wird geöffnet.

  3. Wählen Sie die gewünschte Schrift.

    Hinweis: Weitere Einstellungen des Standarddialogs wie Schriftfarbe haben hier keine Auswirkung auf die Darstellung in zenon

info Info

Schriftarten und Sprachdateien können bereits im Editor verwendet und angezeigt werden. Wählen Sie dazu im Kontextmenü:

  • der Sprachdatei: Sprachdatei für Editor -> gewünschte Datei auswählen
  • der Schriftliste: Schriftliste im Editor -> gewünschte Liste auswählen


Pfade für Sprachumschaltung der Runtime-Hilfe

Handbuch > Sprachumschaltung > Pfade für Sprachumschaltung der Runtime-Hilfe

Die für die Sprachumschaltung notwendigen Dateien werden beim Erstellen einer Sprachdatei automatisch in den zugehörigen Unterordnern des Knotens Dateien angelegt:

  • Grafiken
  • Hilfe
  • Multimedia
  • Texte und Formate
  • Report Viewer

Bei der Konfiguration der Funktion Sprachumschaltung kann der entsprechende Ordner ausgewählt werden:

attention Achtung

Die Dateien müssen in den unterschiedlichen Sprachen denselben Namen haben und in verschiedenen Ordnern abgelegt sein.

Ein Default-Pfad ist im Editor bereits vorgegeben. Beim Ausführen der Funktion Sprachumschaltung wird der Pfad geändert. Es besteht die Möglichkeit, individuelle Ordner im Projektbaum unterhalb des Knotens Datei anzulegen.

info Info

Es ist möglich, im Knoten Datei mehrere Ebenen von Unterordner zu erstellen. In der Funktion Sprachumschaltung können aber nur Ordner ausgewählt werden, die sich in der ersten Ebene befinden.

Wird die Sprachumschaltung nicht ausgeführt, gelten als Default-Pfade die Standardordner.

attention Achtung

In der Regel ist Sprachumschaltung zur Runtime mit der HTML-Hilfe von Microsoft Betriebssystemen nicht möglich. Sprachumschaltbare Hilfe muss über ein HTML-Bild projektiert werden.

Ausnahme: Hilfe unter Windows CE.


Funktion Sprachumschaltung

Handbuch > Sprachumschaltung > Funktion Sprachumschaltung

Mit dieser Funktion können zur Runtime Textinformationen mehrsprachig zur Verfügung gestellt werden, um zum Beispiel Beschriftungen von Buttons auf eine andere Sprache umzuschalten.

Beim Anlegen einer neuen Sprachdatei wird automatisch ein sprachabhängiger Unterordner in den jeweiligen Ordnern für Grafik, Hilfe, Multimedia, Texte und Formate sowie Report Viewer angelegt. Dieser erhält den gleichen Namen wie die neue Sprachdatei. Die entsprechenden Dateien werden in diesem Ordner abgelegt. Der aktive Unterordner kann mit der Funktion Sprachumschaltung umgeschaltet werden. Ist im Unterordner keine Datei mit dem angegebenen Namen vorhanden, wird versucht, die Datei aus dem übergeordneten sprachunabhängigen Ordner zu laden.

Um die Funktion zu projektieren:

  1. Wählen Sie Funktion neu...
  2. Navigieren Sie zum Knoten Anwendung.
  3. Wählen Sie Sprachumschaltung.
  4. Konfigurieren Sie im sich öffnenden Dialog die Sprachumschaltung.

    Zur Runtime schaltet die Funktion bei ihrem Aufruf auf die konfigurierte Sprachdatei um.

Konfiguration Dialog

Option | Beschreibung
Sprachdatei | Öffnet den Dateimanager zur Auswahl einer Sprachdatei.
Schriftliste | Dropdownliste mit Liste der im Editor definierten Schriften.
Ordnerumschaltung | Enthält Pfade für benötigte Dateien.
Grafiken | Dropdownliste zur Auswahl des sprachabhängigen Unterordners für Grafiken.
Hilfe | Dropdownliste zur Auswahl des sprachabhängigen Unterordners für CHM-Dateien der Runtime- Hilfe.
Multimedia | Dropdownliste zur Auswahl des sprachabhängigen Unterordners für Multimediadateien.
Texte und Formate | Dropdownliste zur Auswahl des sprachabhängigen Unterordners für Texte und Formate
Report Definitionsdateien | Dropdownliste zur Auswahl des sprachabhängigen Unterordners für Report Viewer
OK | Übernimmt Konfiguration, erstellt die Funktion und schließt den Dialog.
Abbrechen | Verwirft Änderungen, schließt den Dialog und erstellt die Funktion ohne Ziel.
Hilfe | Öffnet die Online-Hilfe.


Statusverarbeitung

Handbuch > Statusverarbeitung

Die Statusverwaltung ermöglicht den Überblick im Netzwerk und im Prozess. Jeder Variable können eigene Attribute zugeordnet werden. Insgesamt sind 64 Status/Attribute definiert. Die gebräuchlichsten sind spontan, gestört, Handwert und Ersatzwert.

attention Achtung

Der Treiber für interne Variablen unterstützt keine Statusverwaltung. Verwenden Sie stattdessen dessen den Treiber für Simulator-Variablen.

Für den Status stehen in der Runtime viele Auswertungsmöglichkeiten zur Verfügung, wie zum Beispiel: das Combielement, die Reaktionsmatrizen sowie der Report Generator. Status sind auch in VBA oder VSTA sowie im Rezeptgruppenmanager zugänglich.

Wird eine Variable in zenon gespeichert, z.B. in Archiv, CEL, AML, besteht der Eintrag aus 3 Informationen: Wert, Zeitstempel und Status. Das heißt: Jeder archivierte Wert beinhaltet auch den korrekte Status.

Noch in diesem Kapitel

Statusbits

Verwendung


Statusbits

Handbuch > Statusverarbeitung > Statusbits

Folgende Statusbits stehen in zenon zur Verfügung:

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Beachten Sie:

  • Einzelne Status sind nicht mit allen Treibern verfügbar.
  • Da die Status jeder Variable auch in VBA/VSTA in Form eines 64 Bit Wertes zur Verfügung stehen, ist auch die Wertigkeit (Bitnummer) in der Statusbeschreibung angegeben. Dies ist für eine individuelle Auswertung mit VBA/VSTA nötig.
  • Bei der Anzeige in der Runtime gibt es zwei Möglichkeiten: die Kurzform und die Langform. Diese wird in der Beschreibung durch Schrägstrich getrennt.
  • Für jeden Status kann ein eigener Text hinterlegt werden, der in den einzelnen Modulen (Editor wie Runtime) angezeigt wird. In diesem Fall werden der Kurztext und der Langtext durch ein Semikolon (;) getrennt.

    Dazu müssen folgende Einträge in die project.ini eingefügt werden:

    [STATUS]

    STATUS0=MS_K;Mein Status 0

    STATUS1=ET;Eigener Text

    ......

    STATUS63=RES;Nicht verwendet

Noch in diesem Kapitel

Benutzerstatus 1 bis 8 [M1-M8] und 14 bis 16 [M14-M16]

Select im Netzwerk [NET_SEL]

Revision [REVISION]

In Bedienung [PROGRESS]

Laufzeitüberschreitung [TIMEOUT]

Handwert [MAN_VAL]

Generalabfrage [GI]

Spontan [SPONT]

Ungültig [INVALID]

Standardzeit (Winterzeit) extern [T_STD_E]

Abgeschaltet [OFF]

Echtzeit - externer Zeitstempel [T_EXTERN]

Interner Zeitstempel [T_INTERN]

Nicht sortierfähig [N_SORTAB]

Störmeldung Trafowert [FM_TR]

Laufmeldung Trafowert [RM_TR]

Info der Variable [INFO]

Ersatzwert [ALT_VAL]

Nicht aktualisiert in zenon Netzwerk [N_UPDATE]

Standardzeit (Winterzeit) intern [T_STD]

Übertragungsursache [COTx]

P/N-Bit (N_CONF)

Test-Bit [TEST]

Schreiben bestätigen [WR-ACK]

Schreiben erfolgreich [WR-SUC]

Normalzustand [NORM]

Abweichung Normalzustand [N_NORM]

IEC Status: Blocked [BL_870]

IEC Status: Substituted [SB_870]

IEC Status: Not Topical [NT_870]

IEC Status: Overflow [OV_870]

Befehlsstufe: Select [SE_870]

Externer Zeitstempel ungültig [T_INVAL]

Schalterfall erkannt [CB_TRIP]

Schalterfallerkennung inaktiv [CB_TR_I]

Wert außerhalb des gültigen Bereiches [OR_DRV]

ClockNotSynchronized [T_UNSYNC]

In Prozess-Rekorder nicht aufgezeichnet [PR_NR]


Benutzerstatus 1 bis 8 [M1-M8] und 14 bis 16 [M14-M16]

Handbuch > Statusverarbeitung > Statusbits > Benutzerstatus 1 bis 8 [M1-M8] und 14 bis 16 [M14-M16]

Bitnummer | Anzeige | Gesetzt | Verfügbar
0 | M1; Benutzerstatus 1 | vom Benutzer , von der Befehlsgabe (Aktionstyp Sperre) oder vom Service Tracking des IEC 850 Treibers. | in allen Treibern Ausnahme: Nicht für Intern Treiber verfügbar.
1 bis 7 | M2 bis M8; Benutzerstatus 8 | vom Benutzer | in allen Treibern Ausnahme: Nicht für Intern Treiber verfügbar.
13 bis 15 | M14; Benutzerstatus 14 bis M16; Benutzerstatus 16 | vom Benutzer | in allen Treibern Ausnahme: Nicht für Intern Treiber verfügbar.

Die insgesamt 11 Benutzerstatusbits können projektspezifisch genutzt und eingesetzt werden. Anwendungsbeispiele für den Benutzerstatus sind z. B. spezielle Verriegelungen von Befehlsgaben oder Flags für eigene Informationen.

info Info

Das Benutzerstatusbit M1 wird in der Befehlsgabe von der Befehlsgabe-Aktion Sperre genutzt um den Schaltpunkt als gesperrt zu markieren. Das Bit wird auch im IEC850-Treiber bei der Übertragung von Service Tracking-Daten an die Runtime benutzt.

Weitere Informationen finden Sie im Handbuch Befehlsgabe und in der IEC850 Treiberdokumentaiton.


Select im Netzwerk [NET_SEL]

Handbuch > Statusverarbeitung > Statusbits > Select im Netzwerk [NET_SEL]

Bitnummer | Anzeige | Gesetzt | Verfügbar
8 | NET_SEL; Ausgewählt im zenon Netzwerk | automatisch | in allen Treibern

Das NET_SEL Statusbit markiert im zenon Netzwerk die Rückmeldevariable während der Befehlsgabe. Bei gesetztem NET_SEL Bit kann eine erneute Befehlsauswahl - von einem weiteren Arbeitsplatz (z.B. von anderem Client im Netzwerk) - auf die selbe Rückmeldevariable nicht ausgeführt werden.

Das NET_SEL Statusbit wird gesetzt:

  • wenn ein Bild von Typ Befehlsgabe geöffnet wurde, das mit der Rückmeldevariable verlinkt ist.
  • beim Ausführen einer Befehlsgabe-Aktion über das Kontextmenü oder im Modul Schaltfolgen.
  • beim Ausführen eines Auto/Remote-Befehls (über VBA, Process Gateway etc.).


Revision [REVISION]

Handbuch > Statusverarbeitung > Statusbits > Revision [REVISION]

Bitnummer | Anzeige | Gesetzt | Verfügbar
9 | REVISION; Revision | vom Benutzer | in allen Treibern

Variablen können auf Revision gesetzt werden. In dieser Stellung werden die Alarmbehandlung und die Befehlsgabe vom Prozessleitsystem unterdrückt. Damit ist es möglich, einzelne Anlagenteile von der Alarmierung und Verarbeitung vorübergehend einfach auszublenden.

Hinweis: Es werden nur die Alarme und die Befehlsgabe unterdrückt. Alle anderen damit verknüpften Grenzwerteigenschaften wie Grenzwertfarbe, Funktion, Unsichtbar, Blinken usw. sind davon nicht betroffen und werden angezeigt oder ausgeführt. Auch die aktuellen Variablenwerte werden nach wie vor in den Bildern angezeigt - und auch archiviert!

Sollen auch verknüpfte Funktionen oder andere Eigenschaften unterdrückt werden, erstellen Sie eine Reaktionsmatrix, die den Status Revision auswertet. info Info

Dieses Statusbit wird zur Runtime mit einem roten Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.


In Bedienung [PROGRESS]

Handbuch > Statusverarbeitung > Statusbits > In Bedienung [PROGRESS]

Bitnummer | Anzeige | Gesetzt | Verfügbar
10 | PROGRESS; In Bedienung | automatisch | nur in bestimmten Treibern

Das Statusbit in Bedienung dient in Verbindung mit der Befehlsgabe (nur SICAM 230 oder zenon Energy Edition) zur Anzeige, dass ein Schalter gerade bedient wird wodurch der Schalter seine Position (Ein/Aus) ändern wird. Das Statusbit wird bei der Rückmeldevariable beim Start der Laufzeitüberwachung gesetzt und zurückgesetzt, wenn diese erfolgreich abgeschlossen oder überschritten (TIMEOUT) wurde.
Das automatische Setzen des Bits in der Runtime kann in der Befehlsgruppe durch Aktivierung der Eigenschaft Status PROGRESS setzen aktiviert werden.

Wenn der abgesetzte Befehl bereits mit dem Rückmeldewert übereinstimmt, wird das Bit nicht gesetzt. Es können nur die Rückmeldewerte EIN und AUS überwacht werden.


Laufzeitüberschreitung [TIMEOUT]

Handbuch > Statusverarbeitung > Statusbits > Laufzeitüberschreitung [TIMEOUT]

Bitnummer | Anzeige | Gesetzt | Verfügbar
11 | TIMEOUT; Laufzeitüberschreitung | automatisch; von Laufzeitüberwachung in der Befehlsgabe | nur in bestimmten Treibern

Der Status Laufzeitüberschreitung wird nur vom Modul Befehlsgabe gesetzt. Der Aktionstyp Befehl setzt das Bit, wenn das Timeout für den Watchdog überschritten wird oder der Befehl negativ beendet wird. Das gilt auch, wenn von der SPS COT_actterm mit einem P/N Bit (COT Wert 10 mit N_CONF - Status Bits 33, 35 und 38) empfangen wird.

Die Aktion setzt das TIMEOUT Bit, wenn während der Befehlsausführung die erwartete Position des Schaltelements nicht erreicht wird. Das bedeutet: Der Wert der Rückmeldevariable im Befehl hat einen anderen Wert als definiert und die Laufzeitüberwachung ist so konfiguriert, dass diese die Rückmeldevariable überwacht, möglicherweise auch gemeinsam mit COT der Befehlsvariable. Die nächste Aktion für dieses Schaltelement setzt das TIMEOUT Bit zurück. info Info

Dieses Statusbit wird zur Runtime mit einem roten Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.


Handwert [MAN_VAL]

Handbuch > Statusverarbeitung > Statusbits > Handwert [MAN_VAL]

Bitnummer | Anzeige | Gesetzt | Verfügbar
12 | MAN_VAL; Handwert | automatisch | in allen Treibern

Dieser Status wird gesetzt, sobald ein Wert in einem Archiv per Hand verändert wird. Dies kann im Report Generator oder im Bild Archivnachbearbeitung gemacht werden.

Zusätzlich setzt die Validierung der Messstellenverwaltung diesen Status, wenn ein Messwert manuell bearbeitet wird.


Generalabfrage [GI]

Handbuch > Statusverarbeitung > Statusbits > Generalabfrage [GI]

Bitnummer | Anzeige | Gesetzt | Verfügbar
16 | GI; Generalabfrage | automatisch | in allen Treibern

Nach der Initialisierung der Runtime wird das erste Abbild, das gelesen wird, mit Generalabfrage bezeichnet. Das heißt, der Wert hat sich seit dem Runtime-Start noch nie geändert.


Spontan [SPONT]

Handbuch > Statusverarbeitung > Statusbits > Spontan [SPONT]

Bitnummer | Anzeige | Gesetzt | Verfügbar
17 | SPONT; Spontan | automatisch | in allen Treibern

Aktueller Wert ist gültig. Alles OK.


Ungültig [INVALID]

Handbuch > Statusverarbeitung > Statusbits > Ungültig [INVALID]

Bitnummer | Anzeige | Gesetzt | Verfügbar
18 | INVALID; Ungültig | automatisch | in allen Treibern

Dieses Bit ist gesetzt, wenn eine Störung in der Kommunikation mit dem Treiber vorliegt oder die einzelne Variable gestört ist. Die Auswertung einzelner Variablen wird nur von spontanen Treibern unterstützt. Die meisten zenon Treiber sind aber Treiber, die im Pollingbetrieb arbeiten, so dass damit nur eine generelle Störung in der Kommunikation angezeigt wird. Bei einer Störung in der Kommunikation schließen sich die Statusbits INVALID und SPONT gegenseitig aus.

In manchen spontanen Protokollen haben die Steuerungen die Möglichkeit ein Wert als ungültig zu kennzeichnen, z.B. IEC 60870 Indikator INV, IEC 61850 Quality. So gekennzeichneter Wert bekommt dann auch INVALID Bit, jedoch eventuell gleichzeitig mit SPONT. Details finden Sie in der jeweiligen Treiberdokumentation.

info Info

Dieses Statusbit wird zur Runtime mit einem roten Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.


Standardzeit (Winterzeit) extern [T_STD_E]

Handbuch > Statusverarbeitung > Statusbits > Standardzeit (Winterzeit) extern [T_STD_E]

Bitnummer | Anzeige | Gesetzt | Verfügbar
19 | T_STD_E | automatisch | nur in echtzeitfähigen Treibern. Hinweis: Die Information, ob der Treiber echtzeitfähig ist, entnehmen Sie dem Datenblatt der jeweiligen Treiberdokumentation.

Über diesen Status wird eindeutig angegeben, ob der von der Steuerung empfangene Zeitstempel in der Winterzeit liegt (Bit gesetzt) oder in der Sommerzeit (Bit nicht gesetzt).

Dieser Status kann nur zusammen mit dem Status T_EXTERN auftreten.

Hinweis: Beachten Sie auch den Status T_STD für den internen Zeitstempel.

attention Achtung

Achtung: bis Version 7.50 hatte dieses Statusbit eine andere Bedeutung (alte Kennzeichnung: T_CHG_A)


Abgeschaltet [OFF]

Handbuch > Statusverarbeitung > Statusbits > Abgeschaltet [OFF]

Bitnummer | Anzeige | Gesetzt | Verfügbar
20 | OFF; Abgeschaltet | vom Benutzer | in allen Treibern

Wird eine Variable online nicht benötigt, so kann dieser abgeschaltet werden. Damit wird dieser auch von der angeschlossenen Hardware nicht mehr gelesen und aktualisiert.

Dieser Status kann verwendet werden um z. b. noch nicht aktive Anlagenteile von der Alarmierung auszuklammern.

info Info

Dieses Statusbit wird zur Runtime mit einem roten Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.


Echtzeit - externer Zeitstempel [T_EXTERN]

Handbuch > Statusverarbeitung > Statusbits > Echtzeit - externer Zeitstempel [T_EXTERN]

Bitnummer | Anzeige | Gesetzt | Verfügbar
21 | T_EXTERN | automatisch | nur in echtzeitfähigen Treibern. Hinweis: Die Information, ob der Treiber echtzeitfähig ist, entnehmen Sie dem Datenblatt der jeweiligen Treiberdokumentation.

Der Zeitstempel wurde vom externen Gerät geliefert. zenon nimmt diesen Zeitwert, so wie er ist. Alle zenon Module verwenden diesen Zeitstempel.

attention Achtung

Der Status einer Variable kann entweder T_EXTERN oder T_INTERN sein.

  • Hat ein Wert den Status T_EXTERN und kein T_INVAL wird als Zeitstempel des Wertes der externe Zeitstempel verwendet.
    Der externe Zeitstempel ist der Zeitwert, den die Steuerung zusammen mit dem Wert an den Treiber geliefert hat.
  • Hat ein Wert den Status T_INTERN oder hat T_EXTERN und T_INVAL, wird als Zeitstempel des Wertes der interne Zeitstempel verwendet.
    Der interne Zeitstempel ist der Zeitpunkt, zu dem der Treiber den Wert von der Steuerung empfangen hat.

Darauf basierend sortieren alle zenon Module die Werte.


Interner Zeitstempel [T_INTERN]

Handbuch > Statusverarbeitung > Statusbits > Interner Zeitstempel [T_INTERN]

Bitnummer | Anzeige | Gesetzt | Verfügbar
22 | T_INTERN | automatisch | in allen Treibern

Der Zeitstempel wird vom zenon Treiber vergeben. Sobald der Wert korrekt gelesen wird, wird dieser gestempelt. Alle Module verwenden diesen Zeitstempel.

attention Achtung

Der Status einer Variable kann entweder T_EXTERN oder T_INTERN sein.

  • Hat ein Wert den Status T_EXTERN und kein T_INVAL wird als Zeitstempel des Wertes der externe Zeitstempel verwendet.
    Der externe Zeitstempel ist der Zeitwert, den die Steuerung zusammen mit dem Wert an den Treiber geliefert hat.
  • Hat ein Wert den Status T_INTERN oder hat T_EXTERN und T_INVAL, wird als Zeitstempel des Wertes der interne Zeitstempel verwendet.
    Der interne Zeitstempel ist der Zeitpunkt, zu dem der Treiber den Wert von der Steuerung empfangen hat.

Darauf basierend sortieren alle zenon Module die Werte.

Hinweis: Der interne Zeitstempel von Variablenwerten unterstützt die volle Auflösung von Mikrosekunden (µs).


Nicht sortierfähig [N_SORTAB]

Handbuch > Statusverarbeitung > Statusbits > Nicht sortierfähig [N_SORTAB]

Bitnummer | Anzeige | Gesetzt | Verfügbar
23 | N_SORTAB | automatisch | für IEC-Standards

Nur für SICAM 230.

Betrifft Echtzeitdatenstrom beim SSI-Protokoll. SSI wird für SK1703 verwendet und betrifft den AK-Treiber.

Status wird nicht mehr verwendet.

Ursprünglich: Wenn ein Telegramm erheblich zu spät kam, erhielt es den Status N_SORTAB, wenn es nicht mehr einsortiert werden konnte. Da nachsortiert wird, ist dieser Status mittlerweile ohne Bedeutung.


Störmeldung Trafowert [FM_TR]

Handbuch > Statusverarbeitung > Statusbits > Störmeldung Trafowert [FM_TR]

Bitnummer | Anzeige | Gesetzt | Verfügbar
24 | FM_TR | automatisch | für IEC-Standards

Nur für SICAM 230.

Nur für SSI-Protokoll: Unplausibler Trafowert. In neueren Protokollen wird diese Information im INVALID-Bit transportiert.

SSI wird für SK1703 verwendet und betrifft den AK-Treiber.

info Info

Dieses Statusbit wird zur Runtime mit einem roten Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.


Laufmeldung Trafowert [RM_TR]

Handbuch > Statusverarbeitung > Statusbits > Laufmeldung Trafowert [RM_TR]

Bitnummer | Anzeige | Gesetzt | Verfügbar
25 | RM_TR | automatisch | für IEC-Standards

Nur für SICAM 230.

Betrifft SSI-Protokoll und IEC870-101: Solange gestuft wird, kommt dieses BIT mit.

SSI wird für SK1703 verwendet und betrifft den AK-Treiber.


Info der Variable [INFO]

Handbuch > Statusverarbeitung > Statusbits > Info der Variable [INFO]

Bitnummer | Anzeige | Gesetzt | Verfügbar
26 | INFO | automatisch | für IEC-Standards

Nur für SICAM 230.

Wird nicht mehr verwendet.


Ersatzwert [ALT_VAL]

Handbuch > Statusverarbeitung > Statusbits > Ersatzwert [ALT_VAL]

Bitnummer | Anzeige | Gesetzt | Verfügbar
27 | ALT_VAL; Ersatzwert | vom Benutzer | in allen Treibern

Um einen Wert substituieren zu können, kann auf den Ersatzwert umgeschaltet werden. Dabei wird der Wert vom Prozess komplett entkoppelt wie bei Abgeschaltet (OFF). Gleich wie beim Abschalten wird der letzte Prozesswert weiter angezeigt. Es besteht jedoch die Möglichkeit den Ersatzwert in der Runtime zu ändern, z. B. über den Sollwerteingabedialog:

  • Modifizieren Ersatzwert:
    Ändert nur den Ersatzwert
  • Umschalten u. modifizieren Ersatzwert:
    Schaltet auf Ersatzwert um und ändert diesen gleich auf den eingestellten Wert ab.
  • Modifizieren Spontanwert:
    Trotz Ersatzwert wird ein Sollwert zur Hardware gesendet. Die Variable behält jedoch den Ersatzwert.
  • Umschalten auf Spontanwert:
    Schaltet den Ersatzwert aus.

Wurde noch kein Wert übertragen, wird der definierte Ersatzwert verwendet, sonst der zuletzt gültige Wert.

Weitere Möglichkeiten den Ersatzwert zu beeinflussen bestehen in der Befehlsgabe, über den Rezeptgruppen Manager oder die Programmierschnittstellen.

War der Status beim Umschalten in den Ersatzwert der Wert ungültig (INVALID gesetzt), bleibt dieser Status erhalten. Der Wert hat dann den Status ungültig und Ersatzwert gesetzt.

Der Ersatzwert wird nicht an die angeschlossene Hardware übertragen, sondern bleibt im Prozessabbild des Rechners. Dieser Wert wird in alle zenon Module gesandt und weiterverarbeitet. So wird er z. B. archiviert und es werden Alarme erzeugt.

Über den Status können im Report diese Werte speziell gekennzeichnet werden. Damit ist einerseits Nachvollziehbarkeit gegeben, zum anderen werden nachfolgende Auswertungen weitestgehend nicht beeinflusst.

Example Beispiel

Wenn etwa ein Außentemperaturfühler defekt ist, liefert dieser einen unrealistischen Wert; z. B. -280 ºC. Der Benutzer kann nun statt diesem unrealistischen Wert einen Wert eintragen, den er am Thermometer abliest, z. B. 14ºC. Nun wird dieser Wert archiviert, alarmiert und protokolliert.

Alle Module in zenon arbeiten nun mit diesem Ersatzwert.

info Info

Dieses Statusbit wird zur Runtime mit einem roten Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.


Nicht aktualisiert in zenon Netzwerk [N_UPDATE]

Handbuch > Statusverarbeitung > Statusbits > Nicht aktualisiert in zenon Netzwerk [N_UPDATE]

Bitnummer | Anzeige | Gesetzt | Verfügbar
29 | N_UPDATE | automatisch | in allen Treibern

Im zenon Netzwerk wird das Statusbit gesetzt, wenn der Netzwerk Client die Verbindung zum Prozessführenden Server verliert, oder wenn die Variable die Eigenschaft Nur von Standby Server anfordern hat, jedoch der Standby Server nicht vorhanden ist.

info Info

Dieses Statusbit wird zur Runtime mit einem blauen Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.

Integrationsprojekt

Ein Sonderfall ist das Integrationsprojekt. So kann ein Integrationsprojekt ein Einzelplatzprojekt sein, welches jedoch Netzwerkprojekte als Unterprojekte enthält.

Dadurch wird das Integrationsprojekt zum Client für Unterprojekte. In diesem Fall visualisiert der blaue Punkt, dass der Prozessführende Server des Unterprojekts die Daten noch nicht geliefert hat.

Zusätzliche Information

Für manche Treiber gilt: Der Status Nicht aktualisiert (N_UPDATE) wird gesetzt, wenn der Wert zwar von der Hardware angefordert ist, aber noch kein gültiger Wert gelesen werden konnte.


Standardzeit (Winterzeit) intern [T_STD]

Handbuch > Statusverarbeitung > Statusbits > Standardzeit (Winterzeit) intern [T_STD]

Bitnummer | Anzeige | Gesetzt | Verfügbar
30 | T_STD | automatisch | in allen Treibern

Über diesen Status wird eindeutig angegeben, ob der intern Zeitstempel in der Winterzeit liegt (Bit gesetzt) oder in der Sommerzeit (Bit nicht gesetzt).

Dieser Status begleitet den Status T_INTERN.

Hinweis: Beachten Sie auch den Status T_STD_E für den externen Zeitstempel.


Übertragungsursache [COTx]

Handbuch > Statusverarbeitung > Statusbits > Übertragungsursache [COTx]

Bitnummer | Anzeige | Gesetzt | Verfügbar
32 - 37 | COT0 bis COT5 | automatisch | für Energy Standards

Die Übertragungsursache (COT) laut IEC 60870 Protokoll.

Der Wert der Übertragungsursache (siehe IEC60870-5-101 7.2.3) wird auf die Statusbits 32 - 37 abgebildet. Damit können bis zu 6 COTx-Bits gesetzt werden (x steht für die Bitnummern 0 bis 5).

Zum Beispiel: das niedrigste Bit des COT-Werts wird auf das Statusbit 32 rangiert und in zenon COT0 benannt.

Der gesamte COT-Wert kann über eine Reaktionsmatrix (Multi-Numerisch oder Multi-Binär) zur Laufzeit ausgewertet werden. Je ein COTx Bit erhöht der Wert der Übertragungsursache wie folgt:

  • COT0 = 2^0 = 1
  • COT1 = 2^1 = 2
  • COT2 = 2^2 = 4
  • COT3 = 2^3 = 8
  • COT4 = 2^4 = 16
  • COT5 = 2^5 = 32

Beispiel

Typische COT-Werte:

Status | Wert | Übertragungsursache | Kurzbezeichnung
COT0 | 1 | periodic, cyclic/polled | COT_per
COT1 | 2 | background scan/integrity | COT_back
COT0, COT1 | 1+2 = 3 | spontaneous/reported | COT_spont
COT0, COT1, COT2 | 1+2+4 = 7 | activation (command) confirmation | COT_actcon
COT1, COT3 | 2+8 = 10 | activation (command) termination | COT_actterm
COT2, COT4 | 4+16 = 20 | interrogated by general interrogation | COT_inrogen

info Info

Das Modul Befehlsgabe verwendet die Übertragungsursache, N_CONF und SE_870 Status für Laufzeitüberwachung von Kommandos.

Hinweis:

  • Manche Energy Treiber unterstützen COTx Statusbits, obwohl das Protokoll selbst keine COT beinhaltet (z.B. DNP3, IEC850).
  • Manche Energy Treiber unterstützen nur einen auf die Laufzeitüberwachung in der Befehlsgabe begrenzten Bereich COT=6..10.

Details finden Sie in der jeweiligen Treiberdokumentation.


P/N-Bit (N_CONF)

Handbuch > Statusverarbeitung > Statusbits > P/N-Bit (N_CONF)

Bitnummer | Anzeige | Gesetzt | Verfügbar
38 | N_CONF | automatisch | für Energy Standards

Signalisiert dass die Steuerung der Befehl negativ bestätigt hat. Entspricht dem P/N-Bit (positive/negative response) im IEC 60870 Protokoll. Auch während des Befehls im IEC 61850 werden die negative Bestätigungen des Select- und Operate-Befehls auf das Statusbit N_CONF rangiert. Trifft zusammen mit COTx: COT_actcon(7), COT_actterm(10) zu.

info Info

Das Modul Befehlsgabe verwendet die COTx, N_CONF und SE_870 Status für Laufzeitüberwachung von Kommandos.


Test-Bit [TEST]

Handbuch > Statusverarbeitung > Statusbits > Test-Bit [TEST]

Bitnummer | Anzeige | Gesetzt | Verfügbar
39 | TEST | automatisch | IEC870, IEC850

Signalisiert Status Test nach Norm IEC 60870 oder nach IEC 61850: Quality=Test. Dieses Statusbit kann im Combi-Element und in der Verriegelungsformel ausgewertet werden. Die Auswertung per Reaktionsmatrix ist in einer multi-binären oder multi-numerischen Reaktionsmatrix verfügbar.


Schreiben bestätigen [WR-ACK]

Handbuch > Statusverarbeitung > Statusbits > Schreiben bestätigen [WR-ACK]

Bitnummer | Anzeige | Gesetzt | Verfügbar
40 | WR_ACK | automatisch | treiberspezifisch

Wird von den zenon Funktionen Sollwert setzen oder Rezept ausführen verwendet, um vom Treiber eine Schreibbestätigung anzufordern.

Hinweis: Detaillierte Informationen finden Sie im Handbuch Variablen im Kapitel Sollwert schreiben überprüfen.


Schreiben erfolgreich [WR-SUC]

Handbuch > Statusverarbeitung > Statusbits > Schreiben erfolgreich [WR-SUC]

Bitnummer | Anzeige | Gesetzt | Verfügbar
41 | WR_SUC | automatisch | treiberspezifisch

Wenn für eine Sollwert setzen oder Rezept ausführen Aktion eine Schreibbestätigung angefordert werden soll (WR-ACK), wird nach dem Schreibvorgang dieses Statusbit gesetzt.

Hinweis: Detaillierte Informationen finden Sie im Handbuch Variablen im Kapitel Sollwert schreiben überprüfen.


Normalzustand [NORM]

Handbuch > Statusverarbeitung > Statusbits > Normalzustand [NORM]

Bitnummer | Anzeige | Gesetzt | Verfügbar
42 | NORM | automatisch | in allen Treibern

Der Normalzustand wird über die Variableneigenschaften vorgegeben und auf das Statusbit NORM abgebildet.


Abweichung Normalzustand [N_NORM]

Handbuch > Statusverarbeitung > Statusbits > Abweichung Normalzustand [N_NORM]

Bitnummer | Anzeige | Gesetzt | Verfügbar
43 | N_NORM | automatisch | in allen Treibern

Der Treiber vergleicht bei Variablen vom Datentyp BIT den Prozesszustand mit dem vorgegebenen Normalzustand und bildet das Ergebnis auf das Statusbit N_NORM ab.


IEC Status: Blocked [BL_870]

Handbuch > Statusverarbeitung > Statusbits > IEC Status: Blocked [BL_870]

Bitnummer | Anzeige | Gesetzt | Verfügbar
44 | BL_870 | automatisch | IEC870, IEC850

Signalisiert Status Blocked nach Norm IEC 60870 und nach IEC 61850: Quality=OperatorBlocked. Die Steuerung informiert dass der Wert ist für die Übertragung blockiert und bleibt in dem Status, den er inne hatte, bevor er blockiert wurde. Dieses Statusbit kann in Multireaktionsmatrizen, im Combi-Element und in der Verriegelungsformel ausgewählt werden.

In VBA können mit StatusExtValue() die oberen 32-Bits abgefragt werden, bei SetValueWithStatusEx() können alle 64 Statusbits mitgegeben werden.


IEC Status: Substituted [SB_870]

Handbuch > Statusverarbeitung > Statusbits > IEC Status: Substituted [SB_870]

Bitnummer | Anzeige | Gesetzt | Verfügbar
45 | SB_870 | automatisch | IEC870, IEC850 Process Gateway IEC870 Slave

Signalisiert Status Substituted nach Norm IEC 60870 und nach IEC 61850: Quality.Source=Substituted. Die Steuerung informiert dass der Wert kommt nicht mehr von Hardware sondern wurde in der Steuerung simuliert. Dieses Statusbit kann in Multireaktionsmatrizen, im Combi-Element und in der Verriegelungsformel ausgewählt werden.

In VBA können mit StatusExtValue() die oberen 32-Bits abgefragt werden, bei SetValueWithStatusEx() können alle 64 Statusbits mitgegeben werden.


IEC Status: Not Topical [NT_870]

Handbuch > Statusverarbeitung > Statusbits > IEC Status: Not Topical [NT_870]

Bitnummer | Anzeige | Gesetzt | Verfügbar
46 | NT_870 | automatisch | IEC870 Process Gateway IEC870 Slave

Signalisiert Status Not topical nach Norm IEC 60870. Die Steuerung informiert dass am Hardware der Wert wurde während einer bestimmten Zeitspanne nicht erfolgreich upgedatet oder ist nicht verfügbar. Dieses Statusbit kann in Multireaktionsmatrizen, im Combi-Element und in der Verriegelungsformel ausgewählt werden.

In VBA können mit StatusExtValue() die oberen 32-Bits abgefragt werden, bei SetValueWithStatusEx() können alle 64 Statusbits mitgegeben werden.


IEC Status: Overflow [OV_870]

Handbuch > Statusverarbeitung > Statusbits > IEC Status: Overflow [OV_870]

Bitnummer | Anzeige | Gesetzt | Verfügbar
47 | OV_870 | automatisch | IEC870, IEC850 Process Gateway IEC870 Slave

Signalisiert Status Overflow nach Norm IEC 60870 und nach IEC 61850: Quality=Overflow. Die Steuerung informiert dass der Wert außerhalb der vordefinierten Bandbreite liegt oder über einen Überlauf eines Zählers. Dieses Statusbit kann in Multireaktionsmatrizen, im Combi-Element und in der Verriegelungsformel ausgewählt werden.


Befehlsstufe: Select [SE_870]

Handbuch > Statusverarbeitung > Statusbits > Befehlsstufe: Select [SE_870]

Bitnummer | Anzeige | Gesetzt | Verfügbar
48 | SE_870 | automatisch | für Energy Standards

Das Bit wird in Energy Protokollen in Verbindung mit der Select before operate Funktionalität verwendet und dient zur Unterscheidung zwischen Select- und Execute/Operate-Stufe eines Befehls. Trifft zusammen mit COTx: COT_act(6), COT_actcon(7) zu.

Werte:

  • 0 = execute
  • 1 = select

info Info

Das Modul Befehlsgabe verwendet die COTx, N_CONF und SE_870 Status für Laufzeitüberwachung von Kommandos.


Externer Zeitstempel ungültig [T_INVAL]

Handbuch > Statusverarbeitung > Statusbits > Externer Zeitstempel ungültig [T_INVAL]

Bitnummer | Anzeige | Gesetzt | Verfügbar
49 | T_INVAL | automatisch | IEC870, IEC850 Process Gateway IEC870 Slave

Das Status Zeit ungültig wird vom einen Treiber gesetzt, wenn der von Steuerung empfangene Echtzeitstempel als ungültig markiert ist. In diesem Fall verwenden die zenon Module den empfangene Wert der Variable mit dem lokalen Zeitstempel des Rechners. Dieses Statusbit kann in Multireaktionsmatrizen, im Combi-Element und in der Verriegelungsformel ausgewählt werden.

attention Achtung

Der Status einer Variable kann entweder T_EXTERN oder T_INTERN sein.

  • Hat ein Wert den Status T_EXTERN und kein T_INVAL wird als Zeitstempel des Wertes der externe Zeitstempel verwendet.
    Der externe Zeitstempel ist der Zeitwert, den die Steuerung zusammen mit dem Wert an den Treiber geliefert hat.
  • Hat ein Wert den Status T_INTERN oder hat T_EXTERN und T_INVAL, wird als Zeitstempel des Wertes der interne Zeitstempel verwendet.
    Der interne Zeitstempel ist der Zeitpunkt, zu dem der Treiber den Wert von der Steuerung empfangen hat.

Darauf basierend sortieren alle zenon Module die Werte.


Schalterfall erkannt [CB_TRIP]

Handbuch > Statusverarbeitung > Statusbits > Schalterfall erkannt [CB_TRIP]

Bitnummer | Anzeige | Gesetzt | Verfügbar
50 | CB_TRIP | automatisch von Befehlsgabe | in allen Treibern

Das Statusbit nimmt den Wert 1 an, wenn im Modul Befehlsgabe die Schalterfallerkennung konfiguriert wurde und ein Schalterfall erkannt wird.

Die Erkennung erfolgt, wenn:

  • der Wert der Rückmeldevariable von <>0 auf 0 wechselt und
    • das Statusbit CB_TR_I (51) nicht 1 ist
    • das Statusbit PROGRESS (10) nicht 1 ist
    • der Wert der Rückmeldevariable bereits definiert ist (es sich also nicht um den Initialwert für diese Variable handelt)

Ein Wechsel des Werts der Variable von 0 auf <>0 setzt dieses Bit wieder zurück. Dieses Bit wird auch zurückgesetzt, wenn das Statusbit PROGRESS (10) aktiv wird. Eine Änderung von CB_TR_I hat keinen Einfluss auf einen bereits erkannten Schalterfall.

Dieses Statusbit kann durch die Aktion „Status", „Status ein" oder „Status aus" in der Befehlsgabe explizit modifiziert werden. Das Statusbit behält diesen Zustand, bis der Wert der Variable von <>0 auf 0 oder von 0 auf <>0 wechselt. Voraussetzung dafür ist, dass das Statusbit CB_TR_I gleich 0 ist. Dies bedeuted: die Schalterfallerkennung ist nicht unterdrückt.

Netzwerk

Im Netzwerk erfolgt die Auswertung am prozessführenden Server. Am Standby Server wird die Auswertung zwar auch durchgeführt, das Ergebnis aber nicht auf die Statusbits abgebildet. Der aktuellen Zustände von CB_TR_I und CB_TRIP werden beim Start des Standby Servers oder beim Wiederverbinden abgeglichen. Handelt es sich bei der Rückmeldevariablen um eine Variable auf einem lokalen Rechner, dann wird die Auswertung auch auf dem Client-Rechnern durchgeführt.


Schalterfallerkennung inaktiv [CB_TR_I]

Handbuch > Statusverarbeitung > Statusbits > Schalterfallerkennung inaktiv [CB_TR_I]

Bitnummer | Anzeige | Gesetzt | Verfügbar
51 | CB_TR_I | automatisch als Ergebnis der Formel der Eigenschaft Erkennungsunterdrückung in der Befehlsgabe | in allen Treibern

Zeigt an, dass für die Variable die Schalterfallerkennung in der Befehlsgabe unterdrückt ist.

Die Neuberechnung wird bei Statusänderung oder Wertänderung der Variablen ausgelöst, wenn diese in der Befehlsgabe für Berechnungen in Formeln definiert wurden. Die Formel wird nicht ausgewertet und das Ergebnis wird nicht auf den Status abgebildet, wenn:

  • eine der Variablen in der Formel noch keinen definierten Wert und Status hat
    oder
  • eine der Variablen gestört ist (INVALID).

Dieses Statusbit kann durch die Aktion „Status", „Status ein" oder „Status aus" in der Befehlsgabe explizit modifiziert werden. Das Statusbit wird dann in diesem Zustand bleiben, bis das Ergebnis der Formel sich ändert und dadurch einen anderen Zustand des Statusbits ergibt.

Achtung: Die gleichzeitige Erkennung des Schalterfalls (CB_TRIP) und der Unterdrückung der Schalterfallerkennung funktionieren nicht.

Beispiel: Die Formel „RM.Wert<1" wird einen Schalterfall erkennen (CB_TRIP = 1), da zum Zeitpunkt der Wertänderung CB_TR_I noch nicht aktiv ist.

Netzwerk

Im Netzwerk erfolgt die Auswertung am prozessführenden Server. Am Standby Server wird die Auswertung zwar auch durchgeführt, das Ergebnis aber nicht auf die Statusbits abgebildet. Der aktuellen Zustände von CB_TR_I und CB_TRIP werden beim Start des Standby Servers oder beim Wiederverbinden abgeglichen. Handelt es sich bei der Rückmeldevariablen um eine Variable auf einem lokalen Rechner, dann wird die Auswertung auch auf dem Client-Rechnern durchgeführt.


Wert außerhalb des gültigen Bereiches [OR_DRV]

Handbuch > Statusverarbeitung > Statusbits > Wert außerhalb des gültigen Bereiches [OR_DRV]

Bitnummer | Anzeige | Gesetzt | Verfügbar
52 | OR_DRV | automatisch | IEC850

Signalisiert Out of Range nach Norm IEC 61850, entspricht Quality=OutofRange. Die Steuerung informiert dass der Wert außerhalb des vordefinierten Messbereichs liegt. Dieses Statusbit kann im Combi-Element und in der Verriegelungsformel ausgewählt werden.


ClockNotSynchronized [T_UNSYNC]

Handbuch > Statusverarbeitung > Statusbits > ClockNotSynchronized [T_UNSYNC]

Bitnummer | Anzeige | Gesetzt | Verfügbar
55 | T_UNSYNC | automatisch | IEC850

Signalisiert ClockNotSynchronized-Information in TimeQuality nach Norm IEC 61850. Die Steuerung informiert, dass ihre Uhr nicht mit einer externen Zeitquelle synchronisiert wird.

Dieses Statusbit kann im Combi-Element ausgewählt werden.

info Info

Weitere Informationen dazu finden Sie in der Dokumentation für den Treiber IEC850 im Kapitel Quality, Zeitstempel und Statusbits der Variable.


In Prozess-Rekorder nicht aufgezeichnet [PR_NR]

Handbuch > Statusverarbeitung > Statusbits > In Prozess-Rekorder nicht aufgezeichnet [PR_NR]

Bitnummer | Anzeige | Gesetzt | Verfügbar
54 | PR_NR | automatisch | für Modul Prozess-Rekorder im Wiedergabe-Modus

Dieses Statusbit visualisiert zur Runtime während der Wiedergabe im Prozess-Rekorder, dass die Variable nicht aufgezeichnet wurde. In der Wiedergabe ist daher kein Wert bekannt.

info Info

Dieses Statusbit wird zur Runtime mit einem gelben Quadrat in der rechten, oberen Ecke des Bildelements angezeigt.

Diese Anzeige kann mit der Eigenschaft Status der Variable anzeigen aktiviert/deaktiviert werden.

Die Anzeige dieses gelben Quadrats wird in der Runtime vorrangig zu den anderen Statusanzeigen (rot oder blau) behandelt.

Schreibschutz

Dieses Bit wird ausschließlich durch das Modul Prozess-Rekorder vergeben. Da das Bit zur Identifizierung von nicht aufgezeichneten Variablen während der Wiedergabe dient, darf das Bit nicht auf anderem Weg gesetzt werden.

Dies bedeutet, dass folgende Funktionalitäten nicht möglich sind:

  • Weitergabe des Bits durch die zenon Zuweisung.
  • manuelle Änderung durch:
    • Rezeptgruppenmanager
    • zenon API:

      z.B.: Wertänderungen, wie in der Eigenschaft Nicht-lineare Wertanpassung über Makros projektiert.


Verwendung

Handbuch > Statusverarbeitung > Verwendung

Noch in diesem Kapitel

Reaktionsmatrizen

Dynamische Bildelemente

Combi Element

Report Generator

Rezeptgruppen Manager

VBA

Prozess-Rekorder


Reaktionsmatrizen

Handbuch > Statusverarbeitung > Verwendung > Reaktionsmatrizen

In den Reaktionsmatrizen ist die wohl umfangreichste Verarbeitung von Status möglich.

Hier können einzelne Status ausgewertet werden, um Alarme auszulösen. Grundsätzlich hat man die Möglichkeit einen Status genau so zu betrachten wie einen Wert. Man kann genau so wie bei einem Wert bestimmte Aktionen auslösen.

Wie etwa:

  • Alarm auslösen
  • Eintrag in die CEL generieren
  • Funktion auslösen
  • Blinken
  • Farbänderung
  • Drucken

Beispiel:

Wird ein Wert ungültig, dann bekommt er den Status INVALID. Das geschieht etwa, wenn der Treiber die Verbindung zur SPS verliert. Sie können sich eine Reaktionsmatrix erstellen, durch die ein Alarm ausgelöst wird, wenn der Wert ungültig wird (INVALID). Anschließend gibt es dann alle Möglichkeiten, den Alarm auszuwerten.


Dynamische Bildelemente

Handbuch > Statusverarbeitung > Verwendung > Dynamische Bildelemente

Bei allen dynamischen Bildelementen hat man die Möglichkeit den Status der verknüpften Variable anzeigen zu lassen. Dies ist mit der Eigenschaft Status der Variable anzeigen gemeint.

Anschließend besteht die Möglichkeit zur Runtime mit der rechten Maus-Taste den Status anzuzeigen.

Der Status wird in der Runtime durch einem Klick mit der rechten Maus-Taste auf ein dynamisches Element angezeigt. So lange die Taste gedrückt ist, wird nun der Variablenname so wie der aktuelle Status der Variable angezeigt.

Ist die Statusanzeige aktiviert, so werden manche Zustände durch ein kleines buntes Rechteck in der rechten oberen Ecke des Elementes angezeigt, z.B. rot für INVALID oder ALT_VAL:

Dadurch wird ersichtlich, dass der Wert nicht mehr spontan ist. Durch die Anzeige des Status (rechte Maus-Taste) wird ersichtlich, dass jemand den Status auf Ersatzwert geändert hat.


Combi Element

Handbuch > Statusverarbeitung > Verwendung > Combi Element

Im Combi Element besteht die Möglichkeit den Status auszuwerten und grafisch aufzubereiten. Im Unterschied zu den Reaktionsmatrizen, wirkt sich die Auswertung nur im Bild aus.

Das heisst:

1 | es ändert sich die Farbe
2 | es wird ein anderes Symbol dargestellt
3 | es werden andere Texte angezeigt
4 | es werden andere Bitmaps eingeblendet
5 | Symbol wird eingefärbt


Report Generator

Handbuch > Statusverarbeitung > Verwendung > Report Generator

Im Report Generator besteht natürlich auch die Möglichkeit den Status auszuwerten.

Dies geschieht durch die Verwendung einer Funktion variabler mit dem Status als Parameter.

Die Syntax sieht dann folgendermaßen aus:

=variabler(Temperatur_außen,status)

In der Runtime kann die Anzeige wie unten aussehen.

Temperatur_außen

21ºC

ALT_VAL


Rezeptgruppen Manager

Handbuch > Statusverarbeitung > Verwendung > Rezeptgruppen Manager

Im Rezeptgruppen Manager besteht die Möglichkeit, alle Status zu lesen, anzuzeigen und zu verändern, wenn diese nicht vom Prozess (Treiber) gesetzt werden. Um Statusbits zu setzen, benutzen Sie im Dialog zum Bearbeiten eines Rezepts die Spalte Aktionen.


VBA

Handbuch > Statusverarbeitung > Verwendung > VBA

In VBA stehen alle Freiheiten zur Verfügung auf den Status zuzugreifen und diesen zu verändern, wenn er nicht vom Prozess (Treiber) gesetzt wird.


Prozess-Rekorder

Handbuch > Statusverarbeitung > Verwendung > Prozess-Rekorder


Stile

Handbuch > Stile

Stile ermöglichen es, im Editor grafische Eigenschaften von Bildelementen:

  • im Rahmen von Stilgruppen zu extrahieren
  • in Stilgruppen zu verwalten
  • anderen Elementen zuzuweisen

Stile werden im Lokalprojekt und Globalprojekt verwaltet. Beim Extrahieren einer Stilgruppe aus einem Element kann ausgewählt werden, ob der Stil im Lokalprojekt oder im Globalprojekt abgespeichert werden soll.

Stilgruppen

Beim Extrahieren von Stilen werden immer alle unterstützten Gestaltungseigenschaften eines Elements extrahiert und in einer Stilgruppe gespeichert.

Kontextmenü Projektmanager

Der Knoten Stile im Projektmanager verfügt über ein Kontextmenü. Dieses verfügt über die Inhalte:

Symbol/Befehl

Beschreibung

Neue Stilgruppe erzeugen

Ermöglicht das Anlegen einer leeren Stilgruppe. Die neu hinzugefügte Stilgruppe wird:

  • per Default mit "Stilgruppe" benannt
  • am Ende der Liste angezeigt
  • automatisch ausgewählt

Die Funktion kann auch über die Symbolleiste ausgeführt werden.

Editorprofil

Ermöglicht die Zuweisung von Editorprofilen.

Alle als XML exportieren...

Exportiert alle Einträge in eine XML-Datei.

XML importieren

Importiert Einträge aus einer XML-Datei.

Hilfe

Öffnet die Online-Hilfe.

Zusätzlich bei Mehrplatzfähigen Projekten:

  • Lokale Version aktualisieren: Aktualisiert die lokale Version.
  • Änderungen ermöglichen: Ermöglicht Änderungen.
  • Änderungen übernehmen: Übernimmt vorgenommene Änderungen.
  • Änderungen verwerfen: Verwirft vorgenommene Änderungen.

Noch in diesem Kapitel

Stiltypen

Neue Stilgruppe und neuen Stil erzeugen

Stil extrahieren und fehlerhafte Validierung

Stile verwalten

Stile und Stilgruppen verknüpfen

Dialog Stilauswahl


Stiltypen

Handbuch > Stile > Stiltypen

Folgende Stile können Sie erzeugen und mit Statischen Elementen sowie Dynamischen Elementen verknüpfen. Nicht jede Eigenschaft ist für jedes Element verfügbar:

Eigenschaft | Statische Elemente | Dynamische Elemente
Abrundungen | X | Nur Button
Elementrahmen | -- | X
Füllung | X | X - ausgenommen Schalter
Glow | X | X
Innenabstand | X | Nur Universalregler
Linie | X - ausgenommen Statischer Text | Nur Trend-Element
Rahmen und Schatten | X | X
Skala | -- | X
Text | X | X
Wertdarstellung | -- | X
Zeitdarstellung | -- | Nur Uhr

Legende:

  • X: verfügbar
  • --: nicht verfügbar

Noch in diesem Kapitel

Abrundung

Elementrahmen

Füllung

Glow

Innenabstand

Linie

Rahmen und Schatten

Skala

Text

Universalregler

Wertdarstellung

Zeitdarstellung


Abrundung

Handbuch > Stile > Stiltypen > Abrundung

Der Stiltyp Abrundung steht zur Verfügung für alle Elemente, die Abrundungen unterstützen.

Der Stiltyp Abrundung umfasst folgende Eigenschaften:

  • Proportional
  • Alle X [%]
  • Alle Y [%]
  • Links/Oben X [%]
  • Links/Oben Y [%]
  • Rechts/Oben X [%]
  • Rechts/Oben Y [%]
  • Rechts/Unten X [%]
  • Rechts/Unten Y [%]
  • Links/Unten X [%]
  • Links/Unten Y [%]


Elementrahmen

Handbuch > Stile > Stiltypen > Elementrahmen

Der Stiltyp Elementrahmen steht für alle Elemente, die Elementrahmen unterstützen, zur Verfügung.

Der Stiltyp Elementrahmen umfasst folgende Eigenschaften:

  • Elementrahmen
  • Rahmenfarbe
  • Transparenz Rahmenfarbe [%]


Füllung

Handbuch > Stile > Stiltypen > Füllung

Der Stiltyp Füllung steht für alle Elemente, die Füllungen unterstützen, zur Verfügung.

Der Stiltyp Füllung umfasst folgende Eigenschaften:

  • Eigenschaftengruppe Füllung
    • Füllmuster
    • Füllfarbe
    • Transparenz Füllfarbe [%]
    • Verlaufsfarbe
    • Transparenz Verlaufsfarbe [%]
  • Eigenschaftengruppe Farbverlauf
    • Farbverlauf
    • Farbverlauf invertiert
    • Versatz [%]
    • Winkel [°]
  • Eigenschaftengruppe Grafikdatei
    • Vordefinierte Grafiken
    • Grafikdatei
    • Grafikgröße
    • GIF-Animation immer
  • Eigenschaftengruppe Balkenfüllung
    • Explizit

Ist im Füllungsstil ein Farbverlauf konfiguriert, wird für Elemente die keinen Farbverlauf unterstützen die Füllfarbe zur Einfärbung verwendet.

Einschränkungen

Für Projekt mit aktivierter Eigenschaft Windows CE Projekt oder der Einstellung Windows Basis für die Eigenschaft Grafikqualität gilt:

  • Nur Rechtecke, Kreise und Kreissegmente können eine Verlauffarbe haben.
  • Die Verlaufsfarbe kann nur über die Eigenschaften für Helligkeitswerte definiert werden.
  • Die Eigenschaften der Gruppe Farbverlauf werden beim Kompilieren für alle Elemente deaktiviert.
  • Transparenzen sind deaktiviert.

Farbeinstellungen

Für Farbeigenschaften gilt:

  • Statische Farben: Diese werden immer direkt im Stil gespeichert.
  • Farbpaletten: Es können entweder Farben aus Farbpaletten aus dem Lokalprojekt oder aus dem Globalprojekt verwendet werden, dabei:
    • sollten sich die Farbpaletten im selben Projekt befinden in dem der Stil erzeugt wird
    • sind in beiden Projekten Farbpaletten vorhanden, werden die Farben des Globalprojekts von den Farben des Lokalprojekts überschrieben

Tipp Tipp

Verwenden Sie Farbpaletten entweder nur aus dem Lokalprojekt oder nur aus dem Globalprojekt und erzeugen Sie die Stile im entsprechenden Projekt.


Glow

Handbuch > Stile > Stiltypen > Glow

Der Stiltyp Glow steht für alle Elemente zur Verfügung.

Der Stiltyp Glow umfasst folgende Eigenschaften:

  • Aktivieren
  • Transparenz [%]
  • Ausbreitung [Pixel]
  • Einfärben
  • Farbe


Innenabstand

Handbuch > Stile > Stiltypen > Innenabstand

Der Stiltyp Innenabstand steht für alle Elemente, die Innenabstände unterstützen, zur Verfügung.

Der Stiltyp Innenabstand umfasst folgende Eigenschaften:

  • Links [Pixel]
  • Rechts [Pixel]
  • Oben [Pixel]
  • Unten [Pixel]


Linie

Handbuch > Stile > Stiltypen > Linie

Der Stiltyp Linie steht zur Verfügung für alle statischen Elemente, die Linien unterstützen.
Ausnahme: Statischer Text.

Der Stiltyp Linie umfasst folgende Eigenschaften:

  • Untergruppe Darstellung
    • Linienbreite [Pixel]
    • Linienart
  • Untergruppe Füllung
    • Linienfarbe
    • Transparenz Linienfarbe [%]
  • Untergruppe Linienenden
    • Anfangstyp
    • Endtyp
    • Größe

Farbeinstellungen

Für Farbeigenschaften gilt:

  • Statische Farben: Diese werden immer direkt im Stil gespeichert.
  • Farbpaletten: Es können entweder Farben aus Farbpaletten aus dem Lokalprojekt oder aus dem Globalprojekt verwendet werden, dabei:
    • sollten sich die Farbpaletten im selben Projekt befinden in dem der Stil erzeugt wird
    • sind in beiden Projekten Farbpaletten vorhanden, werden die Farben des Globalprojekts von den Farben des Lokalprojekts überschrieben

Tipp Tipp

Verwenden Sie Farbpaletten entweder nur aus dem Lokalprojekt oder nur aus dem Globalprojekt und erzeugen Sie die Stile im entsprechenden Projekt.

Noch in diesem Kapitel

Trend-Element


Trend-Element

Handbuch > Stile > Stiltypen > Linie > Trend-Element

Verhalten des Trend-Elements beim Verknüpfen von Linienstilen:

  • Jede Kurve kann mit einem Lininestil verknüpft werden.
  • Wird eine Stilgruppe verknüpft, dann gilt:
    • Die Linienstile werden in der gleichen Reihenfolge verknüpft, wie sie in der Listenansicht angeordnet sind.
    • Sind weniger Stile als Kurven vorhanden, werden die übrigen Kurven mit keinen Stilen verknüpft.
  • Es können auch einzelne Stile mit einzelnen Kurven verknüpft werden.
    Einzelne Stile können Gruppenstile ersetzen.
  • Wird eine Kurve gelöscht, dann gilt:
    • Bei Gruppenstilen übernimmt die nächste Kurve den Stil der gelöschten Kurve.
      Beispiel: Kurve 1 wird gelöscht. Kurve 2 wird zu Kurve 1 und übernimmt den Gruppenstil von Kurve 1.
    • Bei Einzelstilen bleibt der Linienstil der Kurve erhalten.
      Beispiel: Kurve 1 wird gelöscht. Kurve 2 hat einen Einzelstil. Kurve 2 wird zu Kurve 1, der verknüpfte Linienstil bleibt erhalten.
  • Bei einer Mehrfachverknüpfung per Drag&Drop werden die Linienstile in der Auswahlreihenfolge verknüpft.


Rahmen und Schatten

Handbuch > Stile > Stiltypen > Rahmen und Schatten

Der Stiltyp Rahmen und Schatten steht für alle Elemente zur Verfügung.

Er umfasst folgende Eigenschaften:

  • Rahmenart
  • Rahmen-/Schattenfarbe
  • Transparenz [%]
  • Linienbreite [Pixel]
  • Weichzeichnung
  • Abstand [Pixel]
  • Winkel [°]
  • Schattengröße [%]


Skala

Handbuch > Stile > Stiltypen > Skala

Der Stiltyp Skala steht für alle Elemente, die Skalen unterstützen, zur Verfügung.

Der Stiltyp Skala umfasst folgende Eigenschaften:

  • Eigenschaftengruppe Skala
    • Skala anzeigen
    • Logarithmisch
    • Abstand [Pixel]
    • Höhe [Pixel]
    • Hauptticks
    • Nebenticks
    • Farbe Hauptticks
    • Farbe Nebenticks
  • Eigenschaftengruppe Beschriftung
    • Beschriftung anzeigen
    • Abstand [Pixel]
    • Farbe Beschriftung


Text

Handbuch > Stile > Stiltypen > Text

Der Stiltyp Text steht für das Element Statischer Text, sowie für die meisten dynamischen Elemente zur Verfügung.

Er umfasst folgende Eigenschaften:

  • Eigenschaftengruppe Text
    • Schrift
  • Eigenschaftengruppe Füllung
    • Textfarbe
  • Eigenschaftengruppe Textformatierung
    • Ausrichtung horizontal
    • Ausrichtung vertikal
    • Automatischer Zeilenumbruch
  • Eigenschaftengruppe Eigenschaften für das Dynamische Textelement, nur verfügbar für das Element Dynamischer Text
    • Verdeckte Eingabe
    • Buchstabe für Maskierung

Schriftarten

Für Stile können Schriftarten aus dem Lokalprojekt oder aus dem Globalprojekts verwendet werden.

Der verknüpfte Textstil kann durch Einstellungen des Lokalprojekts überschrieben werden, wenn:

  • das Projekt eine andere Einstellung für Schriftliste im Editor als das Globalprojekt hat
  • die Schriftliste des Globalprojekts vom lokalen Projekt überschrieben wird

Tipp Tipp

Verwenden Sie Schriftlisten entweder nur aus dem Lokalprojekt oder nur aus dem Globalprojekt und erzeugen Sie die Stile im entsprechenden Projekt.


Universalregler

Handbuch > Stile > Stiltypen > Universalregler

Der Stiltyp Universalregler-Stil steht für das Element Universalregler zur Verfügung.

Er umfasst folgende Eigenschaften:

  • Eigenschaftengruppe Ausprägung
    • Form
    • Ausrichtung
    • Stil
    • Zeigerart
    • Umgekehrte Laufrichtung
  • Eigenschaftengruppe Titel
    • Titel anzeigen
    • Abstand [Pixel]
  • Eigenschaftengruppe Knopf
    • Knopf anzeigen
    • Knopffarbe
    • Knopfform
  • Eigenschaftengruppe Schleppzeiger
    • Schleppzeiger anzeigen
    • Darstellungsart
    • Farbe Minimalwert
    • Farbe Maximalwert
    • Automatisch zurücksetzen
    • Zurücksetzen nach [min]


Wertdarstellung

Handbuch > Stile > Stiltypen > Wertdarstellung

Der Stiltyp Wertdarstellung steht für alle Elemente, die Wertdarstellungen unterstützen, zur Verfügung.

Der Stiltyp Wertdarstellung umfasst folgende Eigenschaften:

  • Eigenschaftengruppe Wertdarstellung
    • Wert in Prozent anzeigen
    • Absolutbetrag
    • Einheits-Position [%]
    • Wert anzeigen
    • Zahlenbasis für Anzeige
    • Zahlenbasis anzeigen
    • Führende Nullen anzeigen
    • Maßeinheit anzeigen
  • Eigenschaftengruppe Instrumentdarstellung
    • Anzeigeart
    • Startwinkel
    • Endwinkel


Zeitdarstellung

Handbuch > Stile > Stiltypen > Zeitdarstellung

Der Stiltyp Zeitdarstellung steht für alle Elemente, die Zeitdarstellungen unterstützen, zur Verfügung.

Der Stiltyp Zeitdarstellung umfasst folgende Eigenschaften:

  • Anzeigetyp
  • Formatierung
  • Trennzeichen


Neue Stilgruppe und neuen Stil erzeugen

Handbuch > Stile > Neue Stilgruppe und neuen Stil erzeugen

Um einen neuen Stil zu erzeugen, extrahieren Sie diesen aus einem bestehenden Element oder legen Sie ihn manuell an.

Eine detaillierte Beschreibung der Symbolleiste und des Kontextmenüs finden Sie im Kapitel Symbolleiste und Kontextmenü Detailansicht.

Vorgehen zur manuellen Anlage:

  1. Wenn noch keine Stilgruppe vorhanden ist, erzeugen Sie eine neue Stilgruppe. Klicken Sie hierzu in der Menüleiste auf die Schaltfläche Neue Stilgruppe erzeugen.

    Eine neue Stilgruppe wird erzeugt.

  2. Markieren Sie die gewünschte Stilgruppe mit einem Klick der linken Maustaste.

    Die Schaltfläche Neuen Stil erzeugen steht nun in der Menüleiste zur Verfügung.

  3. Klicken Sie auf Neuen Stil erzeugen.

    Der Dialog Stiltypen auswählen wird geöffnet. Die Stiltypen sind alphabetisch angeordnet.

  4. Wählen Sie den gewünschten Stil aus, indem Sie ihn markieren. Mehrfachauswahl ist möglich.

    Hinweis: Die Tastenkombination Strg+A wählt alle verfügbaren Stile aus. Die Tastenkombination Strg+D wählt alle markierten Stile ab.

  5. Bestätigen Sie Ihre Auswahl mit einem Klick auf OK.

    Die Stile werden zur Stilgruppe hinzugefügt.

Noch in diesem Kapitel

Symbolleiste und Kontextmenü Detailansicht


Symbolleiste und Kontextmenü Detailansicht

Handbuch > Stile > Neue Stilgruppe und neuen Stil erzeugen > Symbolleiste und Kontextmenü Detailansicht

Für Stile stehen Symbole und ein Kontextmenü zur Verfügung. Die Befehle im Kontextmenü entsprechen den Symbolen.

Symbol/Befehl

Beschreibung

Neue Stilgruppe erzeugen

Ermöglicht das Anlegen einer leeren Stilgruppe. Die neu hinzugefügte Stilgruppe wird:

  • per Default mit "Stilgruppe" benannt
  • am Ende der Liste angezeigt
  • automatisch ausgewählt

Die Funktion kann auch über die Symbolleiste ausgeführt werden.

Neuen Stil erzeugen

Ermöglicht das Anlegen eines neuen Stils.

Kopieren

Kopiert ausgewählte Einträge in die Zwischenablage.

Einfügen

Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.

Löschen

Löscht ausgewählte Einträge nach Rückfrage aus Liste.

Auswahl als XML exportieren ...

Exportiert alle ausgewählten Einträge in eine XML-Datei.

XML importieren ...

Importiert Einträge aus einer XML-Datei.

Alle Filter entfernen

Entfernt alle Filtereinstellungen.

Alle erweitern

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Ausgewählte Zelle bearbeiten

Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.

Text in ausgewählter Spalte ersetzen ...

Öffnet den Dialog zum Suchen und Ersetzen von Texten.

Eigenschaften

Öffnet das Fenster Eigenschaften.

Hilfe

Öffnet die Online-Hilfe.


Stil extrahieren und fehlerhafte Validierung

Handbuch > Stile > Stil extrahieren und fehlerhafte Validierung

Um einen Stil zu erzeugen, extrahieren Sie ihn aus einem bestehenden Element. Werden mehrere Elemente gleichzeitig markiert, steht die Option nicht zur Verfügung.

Stil extrahieren

Um einen Stil zu extrahieren:

  1. Markieren Sie im Editor das Element, dessen Stil Sie extrahieren möchten.
  2. Wählen Sie im Kontextmenü den Befehl Stilgruppe aus Element erzeugen.

    Der Dialog Stile aus Element extrahieren wird geöffnet.

  3. Unterstützte Eigenschaften des Elements werden extrahiert und mit dem angegebenem Namen als neue Stilgruppe im Lokalprojekt oder Globalprojekt im Knoten Stile erzeugt. Die Eingabe wird validiert und bei einem ungültigen Namen wird ein Baloon angezeigt.

    Dabei gilt:

    • Die Stilgruppe enthält alle unterstützten Eigenschaften als einzelne Stile.
    • Eigenschaften, die im Quellobjekt nicht verfügbar sind, werden mit den entsprechenden Default-Werten erzeugt.
    • Welche Eigenschaften unterstützt werden, hängt ab von Stiltyp und Ursprungselement.

Fehlerhafte Validierung

info Info

Namen:

  • müssen für Stilgruppen und für Stile innerhalb einer Stilgruppe eindeutig sein
  • dürfen nicht leer sein
  • dürfen nicht nur aus Leerzeichen bestehen
  • dürfen keines der folgende Zeichen enthalten: / \ . : * ? < > | " ' # % @


Stile verwalten

Handbuch > Stile > Stile verwalten

zenon Stile verwalten Sie im Lokalprojekt und Globalprojekt im Knoten Stile.

In der Detailansicht des Knoten Stile werden alle Stilgruppen angezeigt. Diese enthalten in einer Baumansicht die einzelnen Stile.
Die Elemente können nach jeder Spalte sortiert und gefiltert werden.
Hinweis: Die in der Spalte Zuletzt geändert angezeigte Zeit bezieht sich nicht auf die Änderung des Stils, sondern auf den Zeitpunkt, an dem die Datei gespeichert wurde, in der der Stil enthalten ist.

Im Eigenschaftenfenster werden die Eigenschaften des ausgewählten Stils angezeigt. Diese können dort bearbeitet werden.

Stile und Stilgruppen bearbeiten

Für jeden Stil können die entsprechenden Eigenschaften im Eigenschaftenfenster bearbeitet werden.
Um einen Stil oder eine Stilgruppe zu bearbeiten:

  1. Markieren Sie die das gewünschte Element.

    Mehrfachauswahl ist möglich. Bei Mehrfachauswahl werden nur Eigenschaften angeboten, die für alle markierten Elemente gemeinsam geändert werden dürfen. Felder, die aktuell unterschiedlich konfiguriert sind, werden durch rot beschrifteten Inhalt hervorgehoben.

  2. Konfigurieren Sie die gewünschten Eigenschaften.

    Änderungen werden gespeichert, sobald das Feld verlassen wird oder nach Bestätigung über die Eingabe-Taste.
    Jede Änderung wirkt sich auf alle Elemente aus, die mit diesem Stil verknüpft sind.

Eigenschaften für Stilgruppen und Stile:

  • Gruppe Allgemein:
    • Name: Name des Stils oder der Stilgruppe.
    • Typ: Art des Stils.
    • Beschreibung: Individuelle Beschreibung des Stils oder der Stilgruppe.
    • Kategorie: Freier Text zur Kategorisierung des Stils oder der Stilgruppe.

      Tipp: Vergeben Sie hier einen aussagekräftigen Text und nutzen Sie diese Eigenschaft dazu um in der Detailansicht nach dieser Spalte zu sortieren oder zu gruppieren.

    • ID: ID des Stils oder der Stilgruppe.
    • Externe Referenz: Eindeutige Identifizierung von zenon Komponenten.
  • Abhängig vom Stil werden entsprechende Eigenschaftengruppen angeboten. Weitere Informationen dazu finden Sie im Kapitel Stiltypen.

info Info

Namen:

  • müssen für Stilgruppen und für Stile innerhalb einer Stilgruppe eindeutig sein
  • dürfen nicht leer sein
  • dürfen nicht nur aus Leerzeichen bestehen
  • dürfen keines der folgende Zeichen enthalten: / \ . : * ? < > | " ' # % @

Stilgruppen und Stile kopieren und einfügen

Stilgruppen und Stile können in der Detailansicht mit Tastenkombinationen (Strg + C, Strg + V), via Symbolleiste oder über das Kontextmenü kopiert und eingefügt werden.

Dabei:

  • wird das projektübergreifende Kopieren und Einfügen von Stilgruppen und Stilen unterstützt
  • wird das Kopieren und Einfügen von Stilen aus Stilgruppen in andere Stilgruppen unterstüzt
  • wird eine Mehrfachauswahl unterstützt

Stilgruppen und Stile XML exportieren und importieren

Stile können in XML exportiert und aus XML importiert werden. Weitere Informationen dazu finden Sie im Kapitel XML-Export und XML-Import.

Stilgruppen und Stile löschen

Um einen Stil oder eine Stilgruppe zu löschen:

  1. Markieren Sie die gewünschten Elemente.
    Mehrfachauswahl ist möglich.
  2. Wählen Sie in der Symbolleiste oder im Kontextmenü den Befehl Löschen.

    Die gewählten Elemente werden nach einer Sicherheitsabfrage gelöscht. Beim Löschen von Stilgruppen werden alle enthaltenen Stile ebenfalls gelöscht.

Hinweis: Werden Stile gelöscht, werden für die Eigenschaften, mit denen sie verknüpft waren, die zuvor eingestellten Werte wieder hergestellt. Die Eigenschaft des Stils zeigt Kein Stil verknüpft an.

Noch in diesem Kapitel

XML-Export und XML-Import


XML-Export und XML-Import

Handbuch > Stile > Stile verwalten > XML-Export und XML-Import

Stile werden immer als gesamte Stilgruppen in XML exportiert und aus XML importiert. Ein Export und Import von einzelnen Stilen ist nicht möglich.

Stile können exportiert werden über:

  • Den Kontextmenüeintrag Alle als XML exportieren... im Projektbaum
  • Das Symbol Auswahl als XML exportieren... in der Symbolleiste der Detailansicht
  • Das Kontextmenü Auswahl als XML exportieren... in der Liste der Detailansicht

Stile können importiert werden über:

  • Den Kontextmenüeintrag XML importieren... im Projektbaum
  • Das Symbol XML importieren... in der Symbolleiste der Detailansicht
  • Das Kontextmenü XML importieren... in der Liste der Detailansicht

Verhalten bei ID- und Namenskonflikten

  • Existiert im Projekt bereits eine Stilgruppe, die dieselbe ID als die zu importierende Stilgruppe hat, wird ein Dialog angezeigt mit der Möglichkeit die bestehende Stilgruppe zu ersetzen oder den Import abzubrechen.
  • Existiert im Projekt bereits eine Stilgruppe, die denselben Namen als die zu importierenden Stilgruppe hat, wird die Stilgruppe importiert und mit einem fortlaufenden Postfix versehen (z.B. Stilgruppe 2).
  • Existiert im Projekt bereits ein Stil, der dieselbe ID als ein zu importierender Stil hat und Element einer anderen Stilgruppe ist, wird kein Import durchgeführt und es wird eine entsprechende Warnung angezeigt.


Stile und Stilgruppen verknüpfen

Handbuch > Stile > Stile und Stilgruppen verknüpfen

Stile und Stilgruppen können Statischen und Dynamischen Elementen zugewiesen werden. Dabei wird der Stil oder die Stilgruppe mit dem Element verknüpft. Änderungen des Stils oder der Stilgruppe im Modul Stile werden für alle verknüpften Elemente übernommen.

Hinweis: Nicht alle Elemente unterstützen alle Eigenschaften eines Stils. Es werden immer nur unterstützte Eigenschaften zugewiesen.

Um einem Element einen Stil oder eine Stilgruppe zuzuweisen, benutzen Sie:

  • Drag&Drop
  • den Dialog in der entsprechenden Eigenschaft
  • das Kontextmenü der entsprechenden Eigenschaft über das Eigenschaftenfenster

Hinweis: Verknüpfte Stile werden in der jeweiligen Eigenschaft mit folgender Syntax angezeigt: Stilgruppenname.Stilname.

Verknüpfungsregeln

Beim Verknüpfen von Stilen oder Stilgruppen gilt:

  • Es werden nur Stile verknüpft, die mit der Ziel-Eigenschaft übereinstimmen.
  • Beim Verknüpfen von Stilgruppen, werden nur jene Stile verknüpft, die von den Eigenschaften des Elements unterstützt werden.

Drag&Drop auf Element

Um eine Stilgruppe oder einen Stil per Drag&Drop mit einem Element zu verknüpfen:

  1. Navigieren Sie im Projekt zum Knoten Stile.
  2. Wählen Sie den gewünschten Stil oder die Stilgruppe.
  3. Ziehen Sie die Stilgruppe oder den Stil mit der Maus auf das Element im Hauptfenster.

    Die Eigenschaften des Stils oder der Stilgruppe werden auf das Element angewandt.

Tipp Tipp

Wählen Sie mehrere Stile der selben Stilgruppe aus, um eine Mehrfachverknüpfung mit einem Element durchzuführen.

Drag&Drop auf Eigenschaft

Um eine Stilgruppe oder einen Stil per Drag&Drop mit einer Elementeigenschaft zu verknüpfen:

  1. Navigieren Sie im Projekt zum Knoten Stile.
  2. Markieren Sie das Element.
  3. Navigieren Sie zur gewünschten Eigenschaftengruppe.
  4. Ziehen Sie die Stilgruppe oder den Stil mit der Maus auf jene Eigenschaft, die das Element mit einem Stil verknüpft.
    Die Eigenschaften des Stils oder der Stilgruppe werden auf das Element angewandt.

    Hinweis: Beachten Sie dabei, dass nur passende Stile zugeordnet werden können. Z.B.: Textstil der Eigenschaft Textstil, Abrundungsstil der Eigenschaft Abrundung-Stil.

Dialog für Eigenschaft

Um eine Stilgruppe oder einen Stil über den Dialog Stilauswahl mit einem Element zu verknüpfen:

  1. Markieren Sie das Element.
  2. Navigieren Sie im Projekt zum Knoten Stile.
  3. Navigieren Sie zur gewünschten Eigenschaftengruppe.
  4. Konfigurieren Sie die gewünschte Stilgruppe oder den Stiltyp, wie zum Beispiel Linienstil, Füllungsstil, Gloweffekt-Stil usw.

    Ist mit der Eigenschaft bereits ein Stil verknüpft, wird dieser angezeigt.
    Wurden mehrere Elemente mit unterschiedlichen Stilen ausgewählt, dann wird der Stil des zuletzt gewählten Elements in roter Schrift angezeigt. Wird der Stil geändert, wird er auf alle ausgewählten Elemente angewendet.

  5. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils oder einer Stilgruppe.
    In diesem Dialog kann auch ein bereits verknüpfter Stil wieder entfernt werden.

Kontextmenü

  1. Markieren Sie das Element.

    Für das Element muss bereits eine Stilgruppe verknüpft sein.

  2. Navigieren Sie in den Eigenschaften zur gewünschten Gruppe.
  3. Führen Sie einen Rechtsklick auf die Eigenschaft aus.
  4. Wählen Sie Alle Eigenschaften von der Stilgruppe ableiten:
    Für dieses Element werden alle Eigenschaften, die in der Stilgruppe dafür zur Verfügung stehen verknüpft.

Tipp Tipp

Zur Verknüpfung von Stilen und Stilgruppen über den Dialog Stilauswahl oder das Kontextmenü der Eigenschaft wird eine Mehrfachauswahl von Elementen unterstützt.

Noch in diesem Kapitel

Stile und Stilgruppen aus dem Globalprojekt

Kontextmenü Elemente

Verknüpfungen ersetzen oder löschen

Einschränkungen


Stile und Stilgruppen aus dem Globalprojekt

Handbuch > Stile > Stile und Stilgruppen verknüpfen > Stile und Stilgruppen aus dem Globalprojekt

Wenn Sie einen Stil oder eine Stilgruppe aus dem Globalprojekt verknüpfen, wird diese Verknüpfung im Optionsfeld der Eigenschaft mit dem Prefix (g)# dargestellt.

Als Beispiel, der Stil Stilgruppe.Linienstil im Globalprojekt, wird bei den Elementeigenschaften im Lokalprojekt mit dem Namen (g)#Stilgruppe.Linienstil angezeigt.

Sobald eine manuelle Textänderung im Eigenschaftsfeld der Verknüpfung erfolgt, wird dieser Prefix entfernt und die Verknüpfung wird geändert bzw. geht verloren.

Dabei:

  • wird, wenn im Lokalprojekt ein Stil oder eine Stilgruppe mit dem eingegebenen Namen gefunden wird, diese(r) verwendet
  • wird, wenn kein Stil oder Stilgruppe mit dem eingegebenen Namen gefunden wird, der Text <Kein Stil verknüpft> angezeigt

Tipp Tipp

Verknüpfen Sie Stile aus dem Globalprojekt über Drag&Drop oder den Dialog für Stilauswahl.


Kontextmenü Elemente

Handbuch > Stile > Stile und Stilgruppen verknüpfen > Kontextmenü Elemente

Elemente in zenon, mit denen ein Stil oder eine Stilgruppe verknüpft werden kann, enthalten im Kontextmenü des Eigenschhaftenfensters stilgruppenrelevante Befehle.
Um Stile oder Stilgruppen über das Kontextmenü zu verknüpfen oder die Verknüpfung zu lösen:

  1. Markieren Sie das gewünschte Element.
  2. Führen Sie einen Rechtsklick auf die Beschreibung der gewünschten Eigenschaft oder die Schaltfläche ... aus.
  3. Wählen Sie im Kontextmenü den gewünschten Befehl.

Verfügbare Befehle:

Befehl

Aktion

Anmerkung

[Stil] von der Stilgruppe ableiten

Für die gewählte Eigenschaft wird der Stil der am Element verknüpften Stilgruppe verknüpft.

Ein Pfeil-Symbol rechts neben dem Eingabefeld der Eigenschaft zeigt an, dass eine Verknüpfung existiert.

Ist keine Stilgruppe mit dem Element verknüpft wird die ursprüngliche Konfiguration des Elements verwendet.

[Stil] von der Stilgruppe trennen

Trennt die Verknüpfung dieser Eigenschaft mit einem bestimmten Stil einer Stilgruppe. Alle anderen Eigenschaften behalten ihre Verknüpfung.

Das Pfeilsymbol, das die Verknüpfung anzeigt, wird entfernt.

Die Eigenschaft wird von der Stilgruppe gelöst. Ein anderer Stil kann mit dieser Eigenschaft verknüpft werden. Solange kein anderer Stil verknüpft wird, werden weiterhin die in der ursprünglichen Stilgruppe konfigurierten Werte verwendet.

Alle anderen Eigenschaften behalten die Verknüpfung zur ursprünglichen Stilgruppe.

Alle Eigenschaften von der Stilgruppe ableiten

Für dieses Element werden alle Eigenschaften verknüpft, die in der Stilgruppe dafür zur Verfügung stehen.

Ein Pfeil-Symbol rechts neben dem Eingabefeld der Eigenschaft zeigt an, dass eine Verknüpfung existiert.

Alle Eigenschaften, die verknüpft werden, überschreiben bereits vorhandene Werte. Werden diese in der Stilgruppe geändert, werden sie auch hier geändert.

Alle Eigenschaften von der Stilgruppe trennen

Alle Verknüpfungen, die von dieser Stilgruppe abgeleitet wurden, werden gelöst.

Das Pfeilsymbol, das die Verknüpfung anzeigt, wird entfernt.

Die konfigurierten Werte bleiben bestehen. Werden die Werte in der Stilgruppe geändert, wird die Änderung bei diesen Elementen nicht übernommen.

Alle verknüpften Eigenschaften dieses Elements werden von der Stilgruppe gelöst. Die Eigenschaften können mit einer anderen Stilgruppe oder mit anderen Stilen verknüpft werden.

Solange kein anderer Stil verknüpft wird, werden weiterhin die in der ursprünglichen Stilgruppe konfigurierten Werte verwendet.


Verknüpfungen ersetzen oder löschen

Handbuch > Stile > Stile und Stilgruppen verknüpfen > Verknüpfungen ersetzen oder löschen

Wenn eine Stilgruppe mit einem Element verknüpft wurde, können einzelne Eigenschaften beim Element durch andere Werte ersetzt oder gelöscht werden.

Werte ersetzen

Um einen Wert auszutauschen, haben Sie mehrere Möglichkeiten:

  • Trennen Sie den Stil über das Kontextmenü der Eigenschaft von der Stilgruppe.
    Weisen Sie der Eigenschaft einen neuen Stil zu.
  • Verknüpfen Sie einen neuen einzelnen Stil per Drag&Drop mit der Eigenschaft.
  • Wählen Sie für die Eigenschaft einen anderen Stil über den Auswahldialog.

Stil oder Stilgruppe am Element entfernen

Um die Verknüpfung eines Stils oder einer Stilgruppe am Element zu entfernen:

  • Löschen Sie den Stil oder die Stilgruppe aus der Eigenschaft.
    Es wird Kein Stil verknüpft angezeigt. Die dazugehörigen Eigenschaften erhalten wieder den Wert, den sie vor der Verknüpfung hatten.


Einschränkungen

Handbuch > Stile > Stile und Stilgruppen verknüpfen > Einschränkungen

Stile werden im Lokalprojekt oder Globalprojekt verwaltet und benutzen Einstellungen dieses Projekts. Dabei gibt es folgendes zu beachten:

Farbeinstellungen

Für Farbeigenschaften gilt:

  • Statische Farben: Diese werden immer direkt im Stil gespeichert.
  • Farbpaletten: Es können entweder Farben aus Farbpaletten aus dem Lokalprojekt oder aus dem Globalprojekt verwendet werden, dabei:
    • sollten sich die Farbpaletten im selben Projekt befinden in dem der Stil erzeugt wird
    • sind in beiden Projekten Farbpaletten vorhanden, werden die Farben des Globalprojekts von den Farben des Lokalprojekts überschrieben

Tipp Tipp

Verwenden Sie Farbpaletten entweder nur aus dem Lokalprojekt oder nur aus dem Globalprojekt und erzeugen Sie die Stile im entsprechenden Projekt.

Schriftarten

Für Stile können Schriftarten aus dem Lokalprojekt oder aus dem Globalprojekts verwendet werden.

Der verknüpfte Textstil kann durch Einstellungen des Lokalprojekts überschrieben werden, wenn:

  • das Projekt eine andere Einstellung für Schriftliste im Editor als das Globalprojekt hat
  • die Schriftliste des Globalprojekts vom lokalen Projekt überschrieben wird

Tipp Tipp

Verwenden Sie Schriftlisten entweder nur aus dem Lokalprojekt oder nur aus dem Globalprojekt und erzeugen Sie die Stile im entsprechenden Projekt.


Dialog Stilauswahl

Handbuch > Stile > Dialog Stilauswahl

Klick auf die Schaltfläche ... der Eigenschaft zur Verknüpfung eines Stils oder einer Stilgruppe öffnet den Dialog zur Auswahl eines Stils oder einer Stilgruppe. Hier können Sie einen Stil oder eine Stilgruppe zuweisen und die Verknüpfung von Stilen und Stilgruppen lösen.

info Info

Es werden nur Stilgruppen und Stile angeboten, die mit dem Element verknüpft werden können, von dem aus der Dialog geöffnet wurde.

Parameter

Beschreibung

Liste Projekte

Anzeige des Globalprojekts und des lokalen Projekts.

Liste Stile

Liste der vorhandenen Stile und Stilgruppen.
Klick auf einen Stil wählt diesen aus.

Die Liste ist sortierbar und kann gefiltert werden.

Symbolleiste und Kontextmenü:

  • Alle Filter entfernen:
    Klick entfernt alle Filtereinstellungen
  • Alle erweitern:
    Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren.

Keine Auswahl

Entfernt den aktuell verknüpften Stil aus der Eigenschaft.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Stil oder Stilgruppe verknüpfen

Um einen Stil oder eine Stilgruppe zu verknüpfen:

  1. Öffnen Sie den Dialog.
  2. Klicken Sie auf den gewünschten Stil oder die Stilgruppe.
  3. Klicken Sie auf OK

    Der Stil oder die Stilgruppe mit allen ihren Stilen wird in die Eigenschaft übernommen und auf alle ausgewählten Elemente angewandt.

Verknüpfungsregeln

Beim Verknüpfen von Stilen oder Stilgruppen gilt:

  • Es werden nur Stile verknüpft, die mit der Ziel-Eigenschaft übereinstimmen.
  • Beim Verknüpfen von Stilgruppen, werden nur jene Stile verknüpft, die von den Eigenschaften des Elements unterstützt werden.

Verknüpfung lösen

Um die Verknüpfung eines Stils oder einer Stilgruppe zu lösen:

  1. Öffnen Sie den Dialog.
  2. Klicken Sie auf Keine Auswahl.

    Der Stil oder die Stilgruppe wird aus der Eigenschaft entfernt und der Dialog geschlossen. Die ausgewählten Elemente behalten die Eigenschaften des zuletzt verknüpften Stils.


Tools

Handbuch > Tools

Eine Reihe von Tools unterstützen Sie beim Managen, Analysieren und Konfigurieren von zenon:

  • 3D Integration:
    In dieser zenon Anwendung können 3D-CAD-Dateien mit zenon Projektierungen in einer grafischen Benutzeroberfläche verknüpft werden. Die Projektierung wird in der zenon Runtime mit einem zenon WPF-Element dargestellt.
  • Diagnosis Viewer: Ermöglicht das Auslesen und Konfigurieren von zenon LOG-Dateien.
  • GIS Integration:
    Dieses Tool ermöglicht es, Objekte im geografischen Bezug zu zeichnen und diese Objekte mit zenon ALC-Informationen, Variablen sowie Funktionen zu verknüpfen.
    Die Darstellung in der zenon Runtime visualisiert ALC-Projektierungen mit auswählbaren Map-Providern.
  • Keyblock Runtime Start:
    Startet die zenon Runtime und sperrt gleichzeitig alle Windows Systemtasten.
  • Online-Aktualisierung der zenon Hilfe:
    Ermöglicht die Online-Aktualisierung der zenon Hilfe.
  • Project Translation Interface:
    Tool für die Übersetzung von zenon Sprachdateien. Öffnet oder speichert Dateien für den zenon Language Translation Wizard. Damit können Projekt in/aus zenon importiert oder exportiert werden.
  • Startup Tool:
    Ermöglicht es, Editor und Runtime mit bestimmten Parametern zu starten, unterschiedliche zenon Versionen auf einem Rechner zu verwalten, SQL-Instanzen zu verwalten und Sprachen für Editor und Runtime zu definieren.
  • System Information Collector:
    Liest Informationen des Systems und von zenon aus, stellt sie in einem Ausgabefenster dar und speichert sie in einer ZIP-Datei.
  • COPA-DATA PRP:
    Ermöglicht den Betrieb eines hardware-redundanten zenon Netzwerks via PRP-Kommunikation.
    Hinweis: PRP-Kommunikation setzt eine gültige zenon Lizenz auf dem Rechner voraus.

Für zenon Logic steht Ihnen zur Verfügung:

  • zenon Logic Runtime Manager: Verwaltet alle stand alone/manuell zu startenden zenon Logic Runtime Projekte auf Ihrem Computer.
    Die Dokumentation zu diesem Tool ist Teil der zenon Logic Dokumentation.

Noch in diesem Kapitel

3D Integration

Diagnosis Viewer

Online-Aktualisierung der zenon Hilfe

Keyblock Runtime Start

GIS Integration

Startup Tool

System Information Collector

COPA-DATA PRP


3D Integration

Handbuch > Tools > 3D Integration

Das 3D-Integrationspaket von zenon bietet eine einfache und unkomplizierte Möglichkeit 3D-Dateien aus einem CAD-Programm mit Projektierungen in zenon zu verknüpfen.

Im 3D-Integrationspaket enthalten:

  • 3D-Konfigurator

    In dieser Projektierungsumgebung werden 3D-Dateien geladen. Die Struktur eines 3D-Modells wird in den 3D-Konfigurator übernommen und in einer Vorschau visualisiert. In dieser Struktur können Baugruppen oder Objekte mit einem Mausklick ausgewählt werden. Die Vorschau kann via Maus beliebig gedreht sowie vergrößert und verkleinert werden. Baugruppen oder Objekte können auch direkt in der Vorschau mit einem Mausklick ausgewählt werden.

    Der ausgewählten Baugruppe oder einem einzelnen Objekt können:

    • Eine oder mehrere Variable zugeordnet werden.
      Ist eine Variable verknüpft, werden die Sichtbarkeits-, Blink- und Farbeinstellungen von der Variable übernommen.
    • Projektierungen einer Kameraposition mit einer Variable verknüpft werden.
      Ist eine Kameraposition projektiert, wird bei einer Grenzwertverletzung der verknüpften Variable das 3D-Modell in der zenon Runtime mit den projektieren Parametern des 3D-Konfigurators angezeigt.
      Diese Runtime-Visualisierung übernimmt z.B. Zoomlevel, Ansichtswinkel, Lichtsettings und Hintergrundfarbe.
    • Eine oder mehrere Funktion zugeordnet werden.
      Ist eine Funktion verknüpft, wird die Funktion durch Klick auf das Objekt in der Runtime ausgelöst. Dies wird in der Runtime mit einem veränderten Mauszeiger visualisiert.
  • zenon WPF-Bildelement
    Darstellung der 3D-Projektierung zur Runtime in einem zenon Bild.
    • Freie Navigation im 3D-Modell:
      Die Darstellung kann verschoben, gedreht, vergrößert oder verkleinert werden.
    • Ausführung von Funktionen im 3D-Modell:
      Durch Klick auf ein Objekt oder eine Baugruppe kann eine projektierte Funktion ausgeführt werden.
      Beispiel: Öffnen einer verknüpften Onlinehilfe oder Aufschalten eines Informationsfensters.
    • Aufruf des 3D-Modells in einem definierten Blickwinkel:
      Durch Setzen eines Wertes einer "Kameravariable" kann das 3D-Modell mit Ansichten einer projektierten Position visualisiert werden.
    • Visualisierung einer Grenzwertverletzung:
      Bei Verletzung eines Grenzwertes kann ein Objekt oder eine Baugruppe im 3D-Modell eingefärbt oder blinkend dargestellt werden.
    • Objekte oder Baugruppen können sichtbar oder unsichtbar geschalten werden.

info Info

Sämtliche Funktionalitäten sind auch via Touch-Gesten ausführbar.

Noch in diesem Kapitel

Installation und Lizenzierung

Allgemein

Tastenkürzel und Mausbelegung

3D-Konfigurator

Projektieren im zenon Editor

Darstellung zur Runtime


Installation und Lizenzierung

Handbuch > Tools > 3D Integration > Installation und Lizenzierung

Installation

Das 3D-Projektierungs-Tool 3D-Konfigurator ist in der Standardinstallation von zenon enthalten.

Hinweis Betriebssysteme:

  • Der 3D-Konfigurator steht nur für 64-Bit Betriebssysteme zur Verfügung.
  • Die Projektierung im zenon Editor sowie die Darstellung in der zenon Runtime sind auch in mit 32-Bit Betriebssystemen möglich.

info Info

Aufgrund der benötigten Rechnerleistung für 3D-Modellierung wird der Betrieb auf 64-Bit Betriebssystemen dringend empfohlen.

Hinweis Grafikkarte:

Voraussetzung ist die Verwendung einer Grafikkarte mit einer Featureebene >= 10_0.

Diese Mindestanforderung gilt für:

  • die Grafikkarte
  • den dazugehörigen Treiber
  • die DirectX Runtime

Lizenzierung

Die Projektierungsumgebung (3D-Konfigurator) ist lizenzpflichtig.

Die Darstellung in der zenon Runtime ist in jeder zenon Lizenz enthalten. Dies beinhaltet auch das entsprechende zenon WPF-Bildelement für die Projektierung im zenon Editor.


Allgemein

Handbuch > Tools > 3D Integration > Allgemein

Das Paket zur 3D-Integration enthält:

  • 3D-Konfigurator
    Tool für die Verknüpfung von 3D-Modellen mit zenon Projektierungen:
    • Funktionen
    • Variablen

      Grenzwerte

      Reaktionsmatritzen

  • COPA-DATA WPF-Bildelement
    Die dazugehörige Parameter-Datei wird im 3D-Konfigurator parametriert und automatisch via Button-Klick in die Editorprojektierung übernommen.

Unterstützte 3D-Modell-Dateiformate

Folgende 3D-Dateiformate werden vom 3D-Konfigurator unterstützt:

  • *.OBJ
  • *.3DS
  • *.STL
  • *.DWFX
  • *.STEP
  • *.STP
  • *.JT

Die maximale Dateigröße eines 3D-Modells ist aus Performancegründen auf 50 MB beschränkt. Beim Laden einer größeren Datei wird dies mit einem Warndialog angezeigt. Das Modell wird nicht geladen.

Unterstüzte Funktionalität

Die Darstellung in der zenon Runtime unterstützt:

  • Darstellung einer Anlage oder von Anlagenteilen mit frei konfigurierbaren Kamerapositionen.
  • Ausführung verknüpfter Funktionen.
  • Auswahl des Renderingmodus für die Darstellung.
  • Auswahl der Hintergrundfarbe, Lichtsettings und Lichtwinkel für die Darstellung.
  • Verknüpfung von numerischen Variablen für die Darstellungsoptionen.

3D-Konfigurator - Anzeigesprache

Der 3D-Konfigurator startet mit der für den zenon Editor eingestellten Sprache.


Tastenkürzel und Mausbelegung

Handbuch > Tools > 3D Integration > Tastenkürzel und Mausbelegung

Der 3D-Konfigurator und die Runtimedarstellung verwenden folgende Tastenkürzel und Mausbelegungen:

Parameter

Beschreibung

Strg+Q

Strg+Doppelklick auf Mausrad

Zentriert das 3D-Modell in der Vorschauansicht und setzt den Zoomfaktor auf 100 %. Stellt sicher, dass das geladene Dateimodell vollständig sichtbar in der Vorschauansicht sichtbar ist.

Richtet in der Voransicht auf Default aus.

Strg+E

Strg+Doppelklick

Setzt Zoomstufe in der Voransicht auf 100 %.

Zentriert das 3D-Modell in der Voransicht, die Rotierung bleibt erhalten. Stellt sicher, dass das geladene Dateimodell vollständig sichtbar in der Vorschauansicht sichtbar ist.

Hinweis: Ist die Voransicht bereits in Zoomstufe 100 % findet keine Zentrierung statt.

Mausrad nach vorne

Zoomt in die Voransicht = größere Darstellung.

Mausrad nach hinter

Verkleinert Zoomstufe der Voransicht.

Mausrad gedrückt + Mausbewegung
(nach links, rechts, oben, unten)

Vergrößert oder verkleinert die Zoomstufe der Voransicht:

  • Mausbewegung nach oben oder unten
    Vergößern oder Verkleinern mit großen Zoomstufen
  • Mausbewegung nach links oder rechts
    Vergößern oder Verkleinern in kleinen Zoomstufen

Gedrückte linke Maus-Taste

Verschiebt die Voransicht in Mausrichtung.

Während dieses Vorganges wechselt die Darstellung des Mauszeigers.

Der Mauszeiger wird als Handsymbol angezeigt.

Gedrückte rechte Maus-Taste

Dreht die Ansicht des Modells um einen Drehpunkt entsprechend der Mausbewegung.

Der Drehpunkt wird in der Mitte der Vorschauansicht mit einem grauen Fadenkreuz visualisiert.

Während dieses Vorganges wechselt die Darstellung des Mauszeigers.

Der Mauszeiger wird als Fadenkreuz angezeigt.

Strg + Maus-Taste gedrückt

Solange die Maus-Taste gedrückt ist, wird ein Auswahlwerkzeug angezeigt.

Der dadurch gewählte Bereich wird entsprechend vergrößert in der Vorschauansicht dargestellt.

Entfernen-Taste

Löscht projektierte Kamerapositionen im 3D-Konfigurator.


3D-Konfigurator

Handbuch > Tools > 3D Integration > 3D-Konfigurator

In dieser grafischen Benutzeroberfläche werden Variablen und Funktionen einer bestehende zenon Projektierung verknüpft.

Start

Um den 3D-Konfigurator zu starten:

  1. Starten Sie den zenon Editor.
    Stellen Sie zusätzlich sicher, dass im Editor ein Projekt aktiv ist. Ist der Editor nicht gestartet oder ist kein Projekt aktiv, funktioniert der 3D-Konfigurator nicht korrekt.
  2. Öffnen Sie das Startup-Tool.
  3. Klicken Sie den Button Tools.
  4. Wählen Sie im Bereich Available 64-bit applications den Eintrag 3D Configurator.
  5. Klicken Sie den Button Start.
    Der 3D-Konfigurator startet in der Sprache, in der auch der Editor gestartet ist.

Optional starten Sie den 3D-Konfigurator über das Startmenü Ihres Rechners mit der Eingabe zen3DConfig.exe.

attention Achtung

Der 3D-Konfigurator steht nur für 64-Bit Betriebssysteme zur Verfügung.

3D-Projektierungen übernehmen

Projektierungen, die Sie im 3D-Konfigurator durchführen, werden mit Klick auf die Schaltfläche Konfiguration speichern in das aktuelle Projekt im zenon Editor übernommen.

Wenn Sie den 3D-Konfigurator schließen, und noch nicht alle Projektierungen in den Editor übernommen haben, wird dies in einem Warndialog visualisiert.

zenon Editor

Stellen Sie sicher, dass Sie den 3D-Konfigurator erst dann starten, wenn Sie im zenon Editor das korrekte Projekt aktiviert haben.

Wird der 3D-Konfigurator gestartet und der zenon Editor ist noch nicht gestartet, wird dies in einem Dialog visualisiert.

Schließen Sie in diesem Fall den 3D-Konfigurator und starten Sie zuerst den Editor.

Noch in diesem Kapitel

Benutzeroberfläche

3D-Dateistruktur

Konfiguration

Vorschauansicht

Projektieren im 3D-Konfigurator


Benutzeroberfläche

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Benutzeroberfläche

Das Fenster des 3D-Konfigurators ist frei skalierbar. Die Größe der Bereiche kann mit gehaltener Maustaste verschoben werden.

Die Bereiche im Abschnitt Konfiguration können mit den Pfeiltasten nach oben oder unten auf- oder zugeklappt werden.

Die Oberfläche des 3D-Konfigurators gliedert sich in drei Bereiche:

  • 3D Dateistruktur
    Baumansicht des geladenen 3D-Modells,
  • Konfiguration
    • Verknüpfung mit zenon Projekt.
    • Konfiguration von Darstellungsoptionen zur Runtime.
  • Vorschauansicht
    Vorschau der gewählten Baugruppe.
    In diesem Bereich können auch Zoomstufe und Ansichtswinkel via Maus geändert werden.


3D-Dateistruktur

Handbuch > Tools > 3D Integration > 3D-Konfigurator > 3D-Dateistruktur

Die 3D-Dateistruktur visualisiert Inhalte des geladenen 3D-Modells.
Zusätzlich können diese Inhalte gefiltert werden.

Parameter

Beschreibung

Suchen

Suchfeld für Eingabe von Suchbegriffen für die Benennung der vorhandenen Objekte im geladenen 3D-Modell.

Die Anzahl der gefundenen Treffer wird mit einer Zahl neben dem Suchfeld visualisiert.

Hinweis: entspricht die Eingabe keinem gültigen Treffer wird das Suchfeld mit rotem Hintergrund angezeigt.

Vorheriges

Springt zum vorangegangenen Treffer und wählt diesen Eintrag aus.

Nächstes

Springt zum nächsten Treffer und wählt diesen Treffer aus.

Nur ausgewähltes Objekt

In der Vorschau werden nur das ausgewählte Element angezeigt.

Default: nicht aktiviert

info Info

Bei Auswahl einer neuen Ebene werden die aktuelle Ansicht, Zoom und Ausrichtung zurückgestellt. Das neu gewählte Element wird zentriert in der Vorschauansicht dargestellt.


Konfiguration

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Konfiguration

Der Konfigurationsbereich des 3D-Konfigurator gliedert sich in folgende Bereiche:

  • Datei
    Dateiverwaltung und Austausch von Projektierungen zwischen 3D-Konfigurator und zenon Editor.
  • Verknüpfte Variablen und Funktionen
    Variablen und Funktionen einer zenon Projektierung und deren Verknüpfung mit einem 3D-Modell.
  • Kamerapositionen
    Zoomstufe und Ansichtswinkel von 3D-Modell-Inhalten
  • Default-Einstellungen
    Einstellungen für die Darstellung (Runtime und Vorschauansicht im 3D-Konfigurator)
  • DWF-Attribute
    Auflistung von DWF-Attributen.
    Dieser Bereich wird erst dann sichtbar, wenn das in der 3D-Dateistruktur ausgewählte Element ein entsprechendes DWF-Attribute beinhaltet.

Noch in diesem Kapitel

Datei

Verknüpfte Variablen und Funktionen

Kamerapositionen

Default-Einstellungen

Listen sortieren und filtern


Datei

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Konfiguration > Datei

Parameter

Beschreibung

3D-Modell öffnen...

Öffnet den Dateiauswahldialog zum Laden eines 3D-Modells.

Dieser Ladevorgang kann je nach Umfang des 3D-Modells länger dauern. Während dieses Lade- und Interpretationsvorgangs wird eine Fortschrittsanzeige visualisiert.

Achtung: Ist aktuell bereits ein 3D-Modell geöffnet, werden alle Projektierungen ohne Rückfrage verworfen!

Stellen Sie daher sicher, dass Ihre 3D-Projektierungen bereits gespeichert sind.

3D-Modell ersetzen...

Ersetzt aktuell geladenes 3D-Modell mit gewählter Datei.

Bestehende 3D-Projektierungen bleiben erhalten.

Stellen Sie sicher, dass das neu zu ladende 3D-Modell die entsprechenden Objekte enthält.

Konfiguration laden...

Öffnet Auswahldialog zur Auswahl einer bestehenden 3D-Projektierung des zenon Editors.

Übernimmt bestehende Projektierung aus dem aktiven zenon Projekt.
Wurde im aktiven Projekt noch keine 3D-Projektierung gespeichert ist der Auswahldialog leer.

[Name der Konfigurationsdatei] =
[Name des geladenen 3D-Modells]

Dateiname der Konfigurationsdatei mit den projektierten 3D-Verknüpfungen.

Dies ist auch der Name der Konfiguration, wie sie im zenon Editor - nach Klick auf die Schaltfläche Konfiguration speichern - übernommen wird.

Die Eingabe wird validiert. Gültige Zeichen für diese Konfigurationsdatei entsprechen den erlaubten Zeichen für Dateinamen. Ist ein fehlerhaftes Zeichen eingegeben, wird dies mit einem roten Fehlertext im Tool angezeigt. Die Schaltfläche Konfiguration speichern ist im Fehlerfall ausgegraut.

Default:

  • [Dateiname]
    (wenn kein 3D-Modell geladen ist)
  • [Name des geladenen 3D-Modells]
    (wenn ein 3D-Modell geladen ist)

Konfiguration speichern

Speichert aktuelle 3D-Projektierung im aktiven Projekt des zenon Editors.

Ablageorte im Editor:

  • Projektknoten Dateien => Grafiken:
    - .cdwpf
    XAML-Datei für die Verknüpfung mit dem WPF-Bildelement im zenon Editor.
  • Projektknoten Dateien -> Sonstige -> ThreeD
    Dieser Ordner wird für das aktive zenon Projekt automatisch bei Start des 3D-Konfigurators angelegt, wenn dieser Ordner noch nicht besteht.

Hinweis: Beachten Sie den Abschnitt 3D-Projektierung bereinigen im Kapitel Projektierung im zenon Editor.

Informationsleiste

Parameter | Beschreibung
Projekt | Name des aktuell im zenon aktivierten Projekts.
Datei | Dateiname des aktuell geladenen 3D-Modells.
Modell | derzeit nicht in Verwendung.


Verknüpfte Variablen und Funktionen

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Konfiguration > Verknüpfte Variablen und Funktionen

Der Bereich Verknüpfte Variablen und Funktionen visualisiert Projektierungen des zenon Editors.

Die Anzeige ist sortier- und filterbar.

Parameter

Beschreibung

Variablen und Funktionen aktualisieren

Klick auf die Schaltfläche aktualisiert die angezeigten Variablen und Funktionen mit der aktuellen Projektierung im zenon Editor.

[Liste projektierter Variablen]

Liste der projektierten Variablen des aktuellen zenon Projekts.

  • Variablenname:
    Projektierter Variablenname im zenon Projekt.
    Entspricht der Variableneigenschaft Name im zenon Editor.
  • Kennung:
    Projektierte Variablenkennung im zenon Projekt.
    Entspricht der Variableneigenschaft Kennung im zenon Editor.

Hinweis: Die Liste kann via Klick auf die Schaltfläche Variablen und Funktionen aktualisieren mit der Projektierung im Editor aktualisiert werden.

[Liste projektierter Funktionen]

Liste der projektierten Funktionen des aktuellen zenon Projekts.

  • Funktionsname
    Projektierter Funktionsname im zenon Projekt.
    Entspricht der Funktionseigenschaft Name im zenon Editor.
  • Funktionstyp
    Projektierter Funktionstyp im zenon Projekt.
    Entspricht der Funktionseigenschaft Typ im zenon Editor.

Hinweis: Die Liste kann via Klick auf die Schaltfläche Variablen und Funktionen aktualisieren mit der Projektierung im Editor aktualisiert werden.

Pfeiltasten

Mit den Pfeiltasten können Variablen oder Funktionen in die Objektliste übernommen oder entfernt werden. Dies ist auch mit Doppelklick auf den jeweiligen Eintrag möglich. Die Doppelklick-Funktionalität gilt sowohl für die Objektliste, wie auch für die Liste der Variablen oder Funktionen.
Hinweis: Für Variablen und Funktionen gibt es jeweils eigene Pfeiltasten.

Objektliste

Die Anzeige dieser Liste ist abhängig von der in der 3D-Dateistruktur ausgewählten Ebene:

  • Verknüpfungen müssen immer mit einer Ebene verknüpft werden.
    Beachten Sie: Ist keine Ebene in der 3D-Dateistruktur ausgewählt, sind keine Verknüpfungen möglich.
  • Eine Verknüpfung mit dem Stammknoten ist nicht zulässig.
  • Ist in der 3D-Dateistruktur der Stammknoten ausgewählt, werden in der Objektliste alle Verknüpfungen angezeigt, unabhängig wo diese in der Dateistruktur verknüpft sind.

Klicken Sie auf die Pfeiltaste, um eine Variable oder eine Funktion in die Objektliste zu übernehmen.

Spalte

Beschreibung

Objektname

Name des Objekts im 3D-Modell.
Dies entspricht der in der 3D-Dateistruktur ausgewählten Ebene.

Name

Name der zu verknüpfenden Variable oder Funktion.

Verknüpfungstyp

Typ des Listeintrags:

  • Variable
  • Funktion

Kamera

Auswahl aus Dropdownliste.
Der Inhalt der Dropdownliste entspricht den konfigurierten Kamerapositonen im Bereich Kamerapositonen. Ist keine Kameraposition zugeordnet, wird dies mit Keine Kamerapositon angezeigt.

Hinweis: wird der Name einer Kameraposition geändert so wird dieser bei Klick auf die Dropdownliste aktualisiert.


Kamerapositionen

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Konfiguration > Kamerapositionen

Die Parametrierung der Kameraposition erfolgt unabhängig von der in der 3D-Dateistruktur ausgewählten Ebene.

Parameter

Beschreibung

[Liste der projektierten Kamerapositionen]

Liste der projektierten Kamerapostionen. Die Bennung sowie der Index der Kameraposition sind frei projektierbar. Eine manuelle Eingabe wird validiert und muss eindeutig sein.
Die Anzeige ist sortier- und filterbar.

  • Name
    Name der Kameraposition:
    Default: Kamera_n
    n = laufende Nummer
  • Index
    Eindeutige Nummer der Kameraposition.
    Negative Kameraindex sind nicht zulässig.

Beachten Sie den Abschnitt Kameraposition projektieren im Kapitel Projektierung im 3D-Konfigurator.

Neu

Erstellt einen neuen Eintrag in der Liste der projektierten Kamerapostionen.

Bei Klick auf die Schaltfläche Neu wird die aktuelle Ausrichtung inklusive Zoomstufe, wie in der Vorschauansicht ersichtlich, als Kameraposition abgespeichert.

Position überschreiben

Überschreibt die Einstellungen der ausgewählten Kameraposition mit der aktuellen Lage, Zoomstufe, ... des 3D-Modells, wie in der Vorschau ausgerichtet.

Löschen

Löscht gewählte Kameraposition aus der Liste der projektierten Kamerapositionen.

attention Achtung

Ordnen Sie jeder Variablen eine eigenständige Kameraposition zu. Sind mit einer Variable mehrere Kamerapositionen verknüpft, wird in der zenon Runtime immer die zuletzt projektierte Position visualisiert. Hat diese Projektierung dann den Wert keine Kameraposition, findet in der Runtime keine neue Positionierung statt.


Default-Einstellungen

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Konfiguration > Default-Einstellungen

Bereich für die Konfiguration von Ansichtsoptionen. Die in diesem Bereich gewählten Optionen werden im Vorschaufenster in Echtzeit visualisiert.

Parameter

Beschreibung

Renderingmodus

Renderingsmodus für die Darstellung des 3D-Modells in der zenon Runtime.

Beachten Sie bei der Auswahl des Renderingsmodus, dass dieser auch von der geladenen 3D-Datei unterstützt wird. Anderenfalls wird das Modell nicht angezeigt.

Auswahl aus Dropdownliste.

Variable für Rendertechnik verwenden

Checkbox für Auswahl der Rendertechnik aus einer Variable.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer numerischen Variable der zenon Editor Projektierung.

  • aktiv:
    Anzeige wird mit Wert der verknüpften Variable angezeigt.
    Ist der Wert der Variable ungültig oder ist die Checkbox aktiv, aber keine Variable verknüpft wird der projektierte Renderingmodus angewendet.
  • inaktiv:
    Renderingmodus wird direkt aus Projektierung im 3D-Konfigurator für die Anzeige übernommen.

Hinweis: Den numerischen Wert des Renderingsmodus entnehmen Sie dem Zahlenwert in der Klammer neben dem Modus in der Dropdownliste der Option Renderingmodus.

[Ausgewählte Variable]

Anzeige des Namens der verknüpften Variable für den Renderingsmodus.

Default: Keine Variable ausgewählt
(Wenn keine Variable ausgewählt ist)

...

Öffnet Dialog zur Variablenauswahl für den Renderingmodus.

Diese Combobox in Runtime anzeigen

Checkbox zur Auswahl, ob der Renderingmodus in der Runtime zur Auswahl angeboten wird.

  • aktiv:
    Renderingmodus kann in der Runtime aus Dropdownliste ausgewählt werden.
  • inaktiv:
    Keine Auswahlmöglichkeit des Renderingmodus zur Runtime.

Hintergrundfarbe

Hintergrundfarbe der Anzeige des 3D-Modells.

Auswahl aus Dropdownliste.

Default: White

Lichtsetting

Lichtfarbe der Beleuchtung des 3D-Modells.

Auswahl aus Dropdownliste

Default: White

Lichtwinkel

Schieberegler zur Projektierung des Lichtwinkels für die Lichtsettings.
Auswahl im Uhrzeigersinn (von links nach rechts)

Variable für Index der Kameraposition verwenden

Checkbox für Auswahl der Kamerapositon aus einer Variable.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer numerischen Variable der zenon Editor Projektierung.

  • aktiv:
    Die Kameraposition wird mit Wert der verknüpften Variable definiert.
    Ist der Wert der Variable ungültig oder ist die Checkbox aktiv, aber keine Variable verknüpft wird die Anzeige nicht angepasst.
  • inaktiv:
    Kameraposition wird direkt aus Projektierung im 3D-Konfigurator für die Anzeige übernommen.

Hinweis: Den numerischen Wert der Kamerapositon entnehmen Sie dem entsprechenden Eintrag in der Spalte Index der Option Kamerapositionen.

Default: Keine Variable ausgewählt
(Wenn keine Variable ausgewählt ist)

Beachten Sie den Abschnitt Kameraposition projektieren im Kapitel Projektierung im 3D-Konfigurator.

Transformationsmatrix für 3DS-Dateien

Checkbox für verbesserte Darstellung von 3DS-Dateien.
Diese Option findet nur bei 3DS-Dateien Anwendung. Bei allen anderen Dateiformaten hat diese Option keine Auswirkung.

Deaktivieren Sie diese Option für 3DS-Dateien, wenn die Darstellung in der Vorschauansicht verschoben ist.

  • aktiv:
    3DS-Datei wird mit interner Transformationsmatrix dargestellt.
  • inaktiv:
    3DS-Transformationsmatrix wird ignoriert.

Default: aktiviert

Hinweis: eine Projektierungsänderung dieser Option bewirkt ein automatisches Nachladen der entsprechenden 3DS-Datei im 3D-Konfigurator. Bereits im Tool projektierte Eigenschaften bleiben erhalten.

Transformationsmatrix für 3DS-Dateien

Diese Eigenschaft gilt nur für die Darstellung von 3DS-Dateien.

Beispiel:
Option Transformationsmatrix für 3DS-Dateien deaktiviert:

Beispiel:
Option Transformationsmatrix für 3DS-Dateien aktiviert:


Listen sortieren und filtern

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Konfiguration > Listen sortieren und filtern

Sortieren von Listen

Die Sortierung erfolgt per Default alphabetisch, was jedoch invertiert werden kann.

Um zu sortieren:

  1. Klicken Sie auf den entsprechenden Spaltenkopf, nach dem sortiert werden soll.

    Die Liste wird nach dieser Spalte sortiert angezeigt.

  2. Ein weiterer Klick invertiert die Sortierung.

Filtern von Listen

Hinweis: Um einen Filter zurückzusetzen, löschen Sie den Filtertext aus der Kopfzeile. Durch einen Klick auf die Schaltfläche aA (Match case) wird die Groß-/Kleinschreibung beim Filtervorgang beachtet.

Vorgehen:

  1. Klicken Sie in der gewünschten Liste mit der linken Maustaste in das Eingabefeld bei dem entsprechenden Filtersymbol.
  2. Geben Sie den Begriff ein, nach dem gefiltert werden soll.
  3. Klicken Sie in der gewünschten Liste mit der linken Maustaste auf das entsprechende Filtersymbol.

    Das Kontextmenü wird geöffnet.

  4. Treffen Sie Ihre Auswahl, indem Sie mit der linken Maustaste auf die gewünschte Filtermöglichkeit klicken.

    Zur Auswahl stehen:

    • Clear Filter: Filter zurücksetzen
    • Is equal to: entspricht
    • Is not equal to: entspricht nicht
    • Starts with: beginnt mit
    • Ends with: endet mit
    • Contains: beinhaltet
    • Does not contain: beinhaltet nicht
    • Is contained in: befindet sich in
    • Is not contained in: befindet sich nicht in
    • Is empty: ist leer
    • Is not empty: ist nicht leer
    • Is less than: ist kleiner als
    • Is less than or equal to: ist kleiner als oder gleich
    • Is greater than: ist größer als
    • Is greater than or equal to: ist größer als oder gleich
    • Is null: ist NULL
    • Is not null: ist nicht NULL

    Die Liste wird entsprechend Ihrer Auswahl gefiltert.

Hinweis: Per Default ist der Filter "Contains" eingestellt.


Vorschauansicht

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Vorschauansicht

In der Vorschauansicht wird das geladene 3D-Modell für die Bearbeitung angezeigt. Die Ansicht kann mit der Maus beliebig ausgerichtet und skaliert werden. Anstelle der Maus kann dies auch via Touch-Bedienung erfolgen.

Das ausgewählte Element eines 3D-Modells wird farblich rot markiert dargestellt. Die Auswahl eines Elements kann direkt in der Vorschauansicht oder im Strukturbaum der 3D Dateistruktur durchgeführt werden.

info Info

Ist in der 3D Dateistruktur die Option Nur ausgewähltes Objekt aktiviert, wird in der Vorschauansicht nur das ausgewählte Objekt angezeigt.

ViewCube

Das Werkzeug ViewCube ist ein permanent sichtbarer 3D-Würfel. Er bietet visuelles Feedback der aktuellen Ausrichtung des visualisierten 3D-Modells in der Vorschauansicht. Der ViewCube kann auch zur Ausrichtung in der Vorschauansicht genutzt werden.

Ausrichtung der Vorschauansicht

Via einfachen Klick mit der linke Maustaste auf den ViewCube kann die Vorschauansicht neu ausgerichtet werden.
Der ViewCube bietet folgende Funktionalität:

  • Darstellung der Ansicht im dreidimensionalen Raum
  • Ausrichtung der Vorschauansicht:
    • Klick auf Fläche
      (z.B.: Ansicht von oben bei Klick auf Oben am ViewCube.)
    • Klick auf Kante
    • Klick auf Eckpunkt

info Info

Die Funktionalität des ViewClubes wird immer mit einem einfachen Klick der linken Maustaste direkt auf den ViewCube ausgeführt.
Wird die Maus im Bereich der Vorschauansicht oder bei gedrückter rechter Maustaste (auch direkt auf den ViewCube) bewegt, gilt die Mausbelegung, wie im Kapitel Tastenkürzel und Mausbelegung beschrieben.

Dreh- und Zoompunkt

Der Dreh- und Zoompunkt für die Ausrichtung kann via Mausklick definiert werden.
Dabei gilt:

  • Wird in der Vorschauansicht auf eine Baugruppe geklickt, ist der Ort des Klicks der Dreh- und Zoompunkt.
  • Wird in der Vorschauansicht ausserhalb einer Baugruppe geklickt, ist der Mittelpunkt der Vorschauansicht der Dreh- und Zoompunkt.


Projektieren im 3D-Konfigurator

Handbuch > Tools > 3D Integration > 3D-Konfigurator > Projektieren im 3D-Konfigurator

Um ein 3D-Datei mit Ihrer zenon Projektierung zu verknüpfen:

  1. Starten Sie den zenon Editor.
  2. Führen Sie die Projektierungen im Editor aus:
    • Variablen
    • Funktionen
    • ...
  3. Starten Sie den 3D-Konfigurator.
  4. Laden Sie im 3D-Konfigurator ein 3D-Modell:
    Klicken Sie dazu die Schaltfläche 3D-Modell öffnen... und wählen Sie die 3D-Datei.
  5. Projektieren Sie Kamerapositonen:
    1. Wählen Sie die gewünschte Baugruppe.
    2. Wählen Sie den Blickwinkel und die Zoomstufe in der Vorschauansicht.
    3. Klicken Sie im Bereich Kamerapositionen die Schaltfläche Neu.
      Für die Option Kamerapositionen wird ein neuer Eintrag erstellt.
  6. Wählen Sie in der 3D-Dateistruktur eine Ebene.
    Hinweis: Die Verknüpfungen sind immer mit einer Ebene der 3D-Dateistruktur verbunden.
    Beachten Sie: ist keine Ebene gewählt, können keine Verknüpfungen projektiert werden.
  7. Verknüpfen Sie eine Kameraposition mit einer Funktion oder einer Variable:
    1. Wählen Sie eine Variable im 3D-Konfigurator in der Liste projektierter Variablen.
    2. Übernehmen Sie die Auswahl mit Klick auf die Schaltfläche Pfeil nach unten in die Objektliste.
    3. Wählen Sie in der Objektliste im Eintrag Kamera eine projektierte Kameraposition in der Dropdownliste.
  8. Projektieren Sie zusätzliche Verknüpfungen.
  9. Speichern Sie Ihre 3D-Projektierungen im aktuellen Projekt des zenon Editors:
    Klicken Sie dazu die Schaltfläche Konfiguration speichern.
    Die Projektierungen des 3D-Konfigurators werden im aktiven zenon Projekt gespeichert.

Kameraposition projektieren

  1. Projektieren Sie im 3D-Konfigurator Kamerapositonen:
    1. Wählen Sie die gewünschte Baugruppe.
    2. Wählen Sie den Blickwinkel und die Zoomstufe in der Vorschauansicht.
    3. Klicken Sie im Bereich Kamerapositionen die Schaltfläche Neu.
      Für die Option Kamerapositionen wird ein neuer Eintrag erstellt.
  2. Verknüpfen Sie eine Variable für den Kamera-Index:
    1. Aktivieren Sie im Bereich Default-Einstellungen die Option Variable für Index der Kameraposition verwenden.
    2. Klicken Sie die Schaltfläche ...
      Der Variablenauswahldialog wird geöffnet.
    3. Wählen Sie eine numerische Variablen.
    4. Durch Eingabe der Nummer des Index der Kameraposition für die verknüpfte Variable, kann das 3D-Modell in der Runtime mit der projektierten Ansicht - inklusive Zoomstufe, Ausrichtung und Positionierung - visualisiert werden.

attention Achtung

Ordnen Sie jeder Variablen eine eigenständige Kameraposition zu. Sind mit einer Variable mehrere Kamerapositionen verknüpft, wird in der zenon Runtime immer die zuletzt projektierte Position visualisiert. Hat diese Projektierung dann den Wert keine Kameraposition, findet in der Runtime keine neue Positionierung statt.

Konfiguration laden

Wenn Sie bereits bestehende Projektierungen ergänzen oder korrigieren wollen, führen Sie folgende Schritte aus:

  1. Starten Sie den zenon Editor.
  2. Starten Sie den 3D-Konfigurator.
  3. Klicken Sie im 3D-Konfigurator die Schaltfläche Konfiguration laden...
    Der Auswahldialog der bereits im zenon Projekt gespeicherten 3D-Projektierungen wird geöffnet.
  4. Wählen Sie eine Projektierung.
    Die Projektierung wird im 3D-Konfigurator geladen.
  5. Führen Sie weitere Projektierungen im 3D-Konfigurator durch.
  6. Speichern Sie Ihre Projektierungen mit Klick auf die Schalftläche Konfiguration speichern.
    Ist im aktuellen zenon Projekt bereits eine 3D-Projektierung gespeichert, wird dies in einem Hinweisdialog angezeigt.

3D-Modell ersetzen

Klicken sie im 3D-Konfigurator die Schaltfläche 3D-Modell ersetzen... um bestehende Projektierungen mit neuen Dateiinhalten zu erweitern. Geänderte Inhalte werden in einem Dialog angezeigt:

Mit dem Ersetzen von 3D-Modellen werden bestehende Projektierungen des 3D-Konfigurators um Erweiterungen im 3D-Modell ergänzt. Dies ist z.B. dann der Fall, wenn 3D-Modelle von Drittanbietern (z.B. Architekten) modifiziert werden. Bestehende Inhalte des Modells und deren Verknüpfung zu zenon bleiben dabei erhalten. Diese müssen nicht neu projektiert werden.

Stellen Sie dabei sicher, dass in der neu geladene Datei nur Erweiterungen zu bereits verwendeten älteren 3D-Modellen enthalten sind. Besonders gelöschte oder umbenannte Inhalte des neu geladenen 3D-Modells können zu fehlerhaften Projektierungen (ungültige Verknüpfungen) führen.

attention Achtung

Nicht übertragbare Verknüpfungen werden aus der Konfiguration gelöscht.


Projektieren im zenon Editor

Handbuch > Tools > 3D Integration > Projektieren im zenon Editor

Führen Sie in zenon folgende Schritte aus, um eine 3D-Projektierung in der zenon Runtime zu visualisieren:

  1. Starten Sie den zenon Editor.
  2. Führen Sie die Projektierungen im Editor aus.
  3. Starten Sie den 3D-Konfigurator.
  4. Projektieren Sie im 3D-Konfigurator Verknüpfungen und Kamerapositionen.
  5. Übergeben Sie die 3D-Projektierung des 3D-Konfigurators mit Klick auf die Schaltfläche Konfiguration speichern an den Editor.
    Die Projektierungen im 3D-Konfigurator werden im aktuellen zenon Projekt gespeichert.
  6. Projektieren Sie ein zenon Bild.

zenon Bild anlegen

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp den gewünschten Bildtyp.
      Hinweis: 3D-Projektierungen können für jeden zenon Bildtyp projektiert werden.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie dazu das Bildelement WPF-Element aus.
    2. Platzieren Sie das WPF-Bildelement auf Ihrem Bild.
      Der Dateiauswahldialog für die Auswahl einer 3D-Projektierung wird geöffnet.
    3. Wählen Sie die gewünschte 3D-Projektierung.
      Hinweis: Die *.CDWPF-Datei wird im 3D-Konfigurator parametriert und dort via der Schaltfläche Konfiguration speichern in die Editorprojektierung übernommen.
    4. Achten Sie darauf, das WPF-Bildelement in einer entsprechenden Größe im zenon Bild zu platzieren.
    5. Platzieren Sie im Bild entsprechende Bildelement für die Darstellung und Steuerung der Anzeige in der Runtime.
      Beispiel: Bildelement Zahlenwert für die Eingabe von Kamerapositionen.
  4. Erstellen Sie eine Bildumschaltfunktion.

3D-Projektierung bereinigen

3D-Projektierungen werden im zenon Editor nicht automatisch gelöscht. Die Benennung der Dateien entspricht jeweils dem 3D-Modell, welches bei der Projektierung im 3D-Konfigurator geladen war.

Führen Sie folgende Schritte aus, um eine bestehende 3D-Projektierung zu löschen:

  1. Beenden Sie den 3D-Konfigurator.
  2. Wechseln Sie in den zenon Editor.
  3. Löschen Sie die 3D-Projektierungsdateien im zenon Editor:
    1. Navigieren Sie zum Knoten Dateien im Arbeitsbereich.
    2. Wählen Sie den Ordner Grafiken.
    3. Löschen Sie die .cdwpf-Datei.
      Diese Datei repräsentiert die Konfigurationsdatei für das zenon WPF-Bildelement.
    4. Wechseln Sie in den Ordner Sonstige.
    5. Wechseln Sie in den Ordner ThreeD.
    6. Löschen Sie die .z3m-Datei.
      Diese Datei repräsentiert das interne 3D-Modell für die Darstellung in der zenon Runtime.
    7. Löschen Sie die .png-Datei.
      Diese Datei repräsentiert das Vorschaubild für den zenon Editor.
    8. Löschen Sie die .z3d-Datei.
      Diese Datei repräsentiert die Konfigurationsdatei des 3D-Konfigurators. Diese Datei wird geladen, wenn Sie im 3D-Konfigurator die Schaltfläche Konfiguration laden... klicken.


Darstellung zur Runtime

Handbuch > Tools > 3D Integration > Darstellung zur Runtime

Für die Darstellung zur Runtime gilt:

  • Der ViewCube wird in der Runtime für 3D-Darstellung automatisch visualisiert.
  • Bei Verknüpfungen wechselt in der MouseOver-Ansicht die Anzeige des Mauzseigers von der Anzeige eines Pfeiles zur Anzeige eines Kreuzes.
  • Freie Navigation im 3D-Modell:
    Die Darstellung kann verschoben, gedreht, vergrößert oder verkleinert werden.
  • Ausführung von Funktionen im 3D-Modell:
    Durch Klick auf ein Objekt oder eine Baugruppe kann eine projektierte Funktion ausgeführt werden.
    Beispiel: Öffnen einer verknüpften Onlinehilfe oder Aufschalten eines Informationsfensters.
  • Aufruf des 3D-Modells in einem definierten Blickwinkel:
    Durch Setzen eines Wertes einer "Kameravariable" kann das 3D-Modell mit Ansichten einer projektierten Position visualisiert werden.
  • Visualisierung einer Grenzwertverletzung:
    Bei Verletzung eines Grenzwertes kann ein Objekt oder eine Baugruppe im 3D-Modell eingefärbt oder blinkend dargestellt werden.
  • Objekte oder Baugruppen können sichtbar oder unsichtbar geschalten werden.
    Untergeordnete Objekte übernehmen die Sichtbarkeit vom übergeordneten Objekt.
  • Reaktionsmatrix
    Enthält ein 3D-Objekt eine Verknüpfung mit einer zenon Variable mit verknüpfter Reaktionsmatrix wird die Einfärbung des 3D-Objekts entsprechend der REMA-Projektierung in der Runtime visualisiert.
  • Verknüpfte Objekte nehmen für die Darstellung in der Runtime dieselben Eigenschaften wie die verknüpfte Variable an:
    Projektierungen der Variableneigenschaftengruppe Grenzwerte
    im speziellen die Projektierungen der Eigenschaftengruppe Zusatzattribute:
    • Grenzwertfarbe
    • Unsichtbar
    • Blinken
    • Blinkfreq. [ZehntelSek.]
      Hinweis: Diese Eigenschaft finden Sie in den Projekteigenschaften.
    • Sichtbarkeit
    • Funktion Farbpalette umschalten
  • Sind für ein 3D-Objekt mehrere Objekt- oder Funktionsverknüpfungen konfiguriert und zutreffend wird das aktuellste Ereignis visualisiert.

    Beispiel: Für eine 3D-Objekt sind drei Variablen für den Grenzwerte projektiert:

    • 1. Grenzwert wird mit roter Farbe konfiguriert. (Variable 1)
    • 2. Grenzwert wird mit grüner Farbe konfiguriert. (Variable 2)
    • 3. Grenzwert wird mit blauer Farbe konfiguiert. (Variable 3)

    Treten alle 3 Grenzwerte auf, wird zur Runtime die Farbe Blau angezeigt.

Noch in diesem Kapitel

Ausführung einer zenon Funktion


Ausführung einer zenon Funktion

Handbuch > Tools > 3D Integration > Darstellung zur Runtime > Ausführung einer zenon Funktion

Im 3D-Konfigurator verknüpfte Funktionen werden in der Runtime mit Mausklick ausgeführt.

Ist ein 3D-Objekt mit einer Funktion verknüpft ändert sich der Mauszeiger in der Runtime wenn er sich über dem Objekt befindet.


Diagnosis Viewer

Handbuch > Tools > Diagnosis Viewer

Alle zenon Module wie z. B. Editor, Runtime, Treiber usw. sowie der zenon Analyzer schreiben Meldungen in eine gemeinsame LOG-Datei. Diese kann mit dem Programm Diagnosis Viewer ausgelesen und angezeigt werden. Der Diagnosis Viewer ermöglicht das Lesen bestehender LOG-Dateien, Online-Logging, Speichern der aktuellen Ansicht, Parametrieren der Diagnose-Clients und Diagnosis Server.

Diagnosis Viewer starten

Der Diagnosis Viewer wird im Ordner: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP installiert. Aufruf unter:

  • Windows 8: geben Sie am Desktop "Diagnosis Viewer" für Apps ein
  • Windows 7: Start/Alle Programme/zenon/Version Independent Tools -> Diagnosis Viewer.

Der Diagnosis Viewer steht nur in englischer Sprache zur Verfügung.

Verwendung von IPv6

Der Diagnosis Server funktioniert auch mit Diagnose Clients, die über IPv6-Adressen angesprochen werden. Dafür wurde das Format der LOG-Dateien angepasst. Der Diagnosis Viewer liest nur das neue Format der LOG-Dateien. Werden Dateien von älteren zenon Versionen geöffnet (oder umgekehrt), wird die IP-Adresse des Diagnose Clients nicht korrekt angezeigt.

Treiberanalyse

zenon Treiber protokollieren alle Fehler in LOG-Dateien. LOG-Dateien sind Textdateien mit einer speziellen Struktur. Der Standardordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners ProgramData, zum Beispiel:

%ProgramData%\COPA-DATA\LOG.

Achtung: Mit den Standardeinstellungen zeichnet ein Treiber nur Fehlerinformationen auf. Mit dem Diagnosis Viewer kann bei den meisten Treibern die Diagnose-Ebene auf „Debug" und „Deep Debug" erweitert werden. Damit protokolliert der Treiber auch alle anderen wesentlichen Aufgaben und Ereignisse.

Im Diagnosis Viewer kann man auch:

  • neu erstellte Einträge in Echtzeit mitverfolgen
  • die Aufzeichnungseinstellungen anpassen
  • den Ordner, in dem die LOG-Dateien gespeichert werden, ändern

Hinweise:

  1. Der Diagnosis Viewer zeigt alle Einträge in UTC (Koordinierter Weltzeit) an und nicht in der lokalen Zeit.
  2. Der Diagnosis Viewer zeigt in seiner Standardeinstellung nicht alle Spalten einer LOG-Datei an. Um mehr Spalten anzuzeigen, aktivieren Sie die Eigenschaft Add all columns with entry im Kontextmenü der Spaltentitel.
  3. Bei Verwendung von reinem Error-Logging befindet sich eine Problembeschreibung in der Spalte Error text. In anderen Diagnose-Ebenen befindet sich diese Beschreibung in der Spalte General text.
  4. Viele Treiber zeichnen bei Kommunikationsprobleme auch Fehlernummern auf, die die SPS ihnen zuweist. Diese werden in Error text und/oder Error code und/oder Driver error parameter(1 und 2) angezeigt. Hinweise zur Bedeutung der Fehlercodes erhalten Sie in der Treiberdokumentation und der Protokoll/SPS-Beschreibung.
  5. Stellen Sie am Ende Ihrer Tests den Diagnose-Level von Debug oder Deep Debug wieder zurück. Bei Debug und Deep Debug fallen beim Protokollieren sehr viele Daten an, die auf der Festplatte gespeichert werden und die Leistung Ihres Systems beeinflussen können. Diese werden auch nach dem Schließen des Diagnosis Viewers weiter aufgezeichnet.

attention Achtung

Unter Windows CE werden aus Ressourcegründen Fehler standardmäßig nicht protokolliert.

Noch in diesem Kapitel

Allgemeines

Topologie des Diagnose-Systems

Ablauf

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Auswertungsprogramm

Filtermöglichkeiten

Lesen der LOG-Dateien

Struktur der LOG-Datei

Fehlerbehandlung und Meldungen für Diagnosis Viewer


Allgemeines

Handbuch > Tools > Diagnosis Viewer > Allgemeines

Das zenon Diagnose-System loggt Fehlermeldungen aus zenon und zenon Analyzer. Es besteht aus drei Teilen:

  • Diagnosis Server: lokaler oder in zenon6.ini eingestellter zenLogSrv
  • Diagnose Clients: alle Module, Treiber, Services etc., die Meldungen absetzen
  • Diagnosis Viewer: Auswertungsprogramm

Versionen

Ab Version zenon 7.00 wird für das Diagnose System als Dienst der zenLogSrv statt des zenSysSrv verwendet. Das bedeutet:

  • Diagnose Systeme bis Version 6.51 und ab Version 7.00 sind jeweils untereinander kompatibel.
  • Die Diagnose Mechanismen von zenon 6.51 SP0 und zenon 7.00 SP0 sind nicht kompatibel.
Kompatibilität | Diagnosis Server 6.51 SP0 und früher | Diagnosis Server 7.00 SP0 und höher
Diagnose Client 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnosis Viewer 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnose Client 7.00 SP0 und höher | inkompatibel | kompatibel
Diagnosis Viewer 7.00 SP0 und höher | inkompatibel | kompatibel

Mit dem Diagnosis Viewer Version 7.00 SP0 und höher können LOG-Dateien, die von einem Diagnosis Server Version 6.51 SP0 (oder früher) erstellt wurden, geöffnet werden. Der umgekehrte Fall funktioniert nicht.

Default-Ports

  • ab Version 7: 50780 (Port des Dienstes zenLogSrv)
  • bis inklusive Version 6.51: 1101 (Port des Dienstes zenSysSrv)

Kann der Port nicht geöffnet werden, beendet sich der jeweilige Dienst.

attention Achtung

Ist der Port, zu dem sich der Diagnosis Viewer verbinden soll, geschlossen, dann wird versucht, den lokalen Diagnosis Server zu starten. Damit wird sichergestellt, dass lokal geloggt wird, wenn ein Diagnosis Server im Netzwerk nicht verfügbar ist.

Speicherbelegung

Der Dienst zenLogSrv puffert LOG-Einträge bis sie in die LOG-Datei geschrieben werden können. Steigt der Verbrauch an Arbeitsspeicher durch den zenLogSrv kontinuierlich an, ist das ein Hinweis darauf, dass nicht in die LOG-Datei geschrieben werden kann.


Topologie des Diagnose-Systems

Handbuch > Tools > Diagnosis Viewer > Topologie des Diagnose-Systems

Die Topologie des Diagnose-Systems unterscheidet sich in den Versionen bis 6.51 SP0 und ab 7.00 SP0.

Topologie vor zenon 7.00 SP0

Das Schema zeigt alle möglichen Verbindungen, für die der zenSysSrv Version zuständig ist. Jeder Pfeil repräsentiert eine Netzwerkverbindung zwischen den Anwendungen. Alle Anwendungen verbinden sich zum zenSysSrv auf Port 1101, unabhängig davon, ob Client und Server sich auf demselben Rechner befinden oder über ein Netzwerk kommunizieren.

  1. Der Editor sendet Log-Einträge sowie Kommandos und Daten des Remote-Transport an den zenSysSrv. Der zenSysSrv sendet die Konfiguration der Diagnosis Clients (Editor, Runtime, Treiber, zenon Web Server, zenon Web Client usw.) und die Remote-Transport Daten an den Editor.
  2. Der Diagnosis Viewer sendet Diagnose-Kommandos, Diagnose-Konfigurationen und Log-Einträge an den zenSysSrv. Der zenSysSrv sendet Diagnose-Daten und die Diagnosis Client Konfiguration an den Diagnosis Viewer.
  3. Der zenSysSrv sendet die Diagnosis Client Konfiguration an die Diagnosis Clients. Die Diagnosis Clients senden Log-Einträge an den zenSysSrv.

Der zenSysSrv reagiert entsprechend auf jede eingehende Nachricht:

  • Log-Einträge werden in LOG-Dateien geschrieben.
  • Remote-Transport Kommandos (Runtime starten, Dateien hochladen / rücklesen, …) werden ausgeführt.
  • Diagnose-Kommandos (setze Server/Client Konfiguration, beginne Online Logging, …) werden ausgeführt.

Topologie ab zenon 7.00 SP0

Das Schema zeigt alle möglichen Verbindungen, für die der zenSysSrv und der zenLogSrv (ab Version 7.00 SP0) zuständig sind. Jeder Pfeil repräsentiert eine Netzwerkverbindung zwischen den Anwendungen. Alle Anwendungen verbinden sich zum zenLogSrv auf Port 50780. Der Editor verbindet sich zum zenSysSrv auf Port 1101. Dabei ist es egal, ob Client und Server sich auf demselben Rechner befinden oder über ein Netzwerk kommunizieren.

  1. Der Editor sendet Kommandos und Daten des Remote-Transport an den zenSysSrv. Der zenSysSrv sendet Daten des Remote-Transport an den Editor.
  2. Der Editor sendet Log-Einträge an den zenLogSrv. Der zenLogSrv sendet die Konfiguration des Diagnosis Clients an den Editor.
  3. Der Diagnosis Viewer sendet Diagnose-Kommandos, Diagnose-Konfigurationen und Log-Einträge an den zenLogSrv. Der zenLogSrv sendet Diagnose-Daten und die Konfiguration der Diagnosis Clients an den Diagnosis Viewer.
  4. Der zenSysSrv sendet Log-Einträge an den zenLogSrv. Der zenLogSrv sendet die Konfiguration der Diagnosis Clients an den zenSysSrv.
  5. Der zenLogSrv sendet die Konfiguration der Diagnosis Clients an die Diagnosis Clients. Die Diagnosis Clients senden LOG-Einträge an den zenLogSrv.

Der zenSysSrv reagiert auf eintreffende Remote-Transport Kommandos.
Der zenLogSrv reagiert auf eintreffende Diagnose-Kommandos und Log-Einträge

Beispiel

In einer Umgebung mit einem zentralen Diagnosis Server wird auf einem Gerät die Runtime gestartet. Basierend auf der Runtime-Version wird die Konfiguration aus der zenon6.ini gelesen. Versionen vor 7.00 SP0 lesen den Eintrag LOG_CONFIG aus [SYS_REMOTE], neuere Versionen lesen diesen Eintrag aus [LOGGING_SYSTEM]. Mit dieser Konfiguration wird versucht, eine Diagnose-Verbindung herzustellen. (Details siehe Standard-Ablauf.) Jede weitere von der Runtime geladene Komponente (Treiber, zenNetSrv usw.) bauen ebenfalls eine Diagnose-Verbindung auf.


Ablauf

Handbuch > Tools > Diagnosis Viewer > Ablauf

Per Default werden von den Clients an den Diagnosis Server nur Fehlermeldungen (Errors) gemeldet.

Der Diagnosis Server speichert die erhaltenen Meldungen in TXT-Dateien mit einer speziellen Struktur. Der Default-Ordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners %ProgramData%. Zum Beispiel: %ProgramData%\COPA-DATA\LOG.
Weitere Informationen finden Sie im Handbuch Installation und Updates im Kapitel Dateistruktur.

Hinweis: Unter Windows CE werden aus Ressourcengründen per Default auch keine Fehlermeldungen erstellt.

Um nicht nur Fehlermeldungen, sondern andere zur Diagnose wichtige Informationen an den Diagnosis Server zu melden, müssen die entsprechenden Einstellungen für den Client getroffen werden.

Auch das Verhalten des Servers kann konfiguriert werden.

Konfiguration

Die Konfiguration der Verbindung erfolgt in der zenon6.ini, unterteilt in:

  • Diagnosis Clients
  • Diagnosis Server
  • Versionen um sicherzustellen, dass die Konfigurationen der Versionen sich nicht gegenseitig beeinträchtigen

Auch die Konfiguration des Diagnosis Viewer ermöglicht Einstellungen für die Verbindung zu konfigurieren:

  • Einstellungen des Servers
  • Verbindungseinstellung Diagnosis Server Connection
  • Diagnosis Client
  • Diagnosis Viewer - Auswertungsprogramm

Die Konfiguration der Verbindungen für Server und Client wird per zenon6.ini empfohlen.

Ablauf

Der Diagnosis Server ist:

  • am PC ein Dienst.
    Der Dienst startet mit dem Hochfahren des Betriebssystems automatisch. Der lokale Dienst kann nur einmal gestartet werden.
  • unter CE eine Anwendung.
    Unter CE kann nur ein Prozess den Port nutzen. Eventuell zusätzlich gestartete Prozesse beenden sich wieder, da der Port nicht geöffnet werden kann. Ist die lokale Konfiguration des Diagnosis Servers unter CE so eingestellt, dass nur die Oberfläche angezeigt werden soll (INIT=2), können durch die Versuche der Diagnosis Clients, den lokalen Diagnosis Server zu starten, mehrere Prozesse entstehen.

Sobald ein Diagnosis Client aktiv wird, werden folgende Schritte ausgeführt:

  1. Der Diagnosis Client liest die Konfiguration aus der zenon6.ini und verwendet diese. Ist in der zenon6.ini keine Konfiguration vorhanden, wird die Default-Konfiguration (Diagnosis Server=localhost:50780) verwendet.
  2. Der Diagnosis Client versucht eine Verbindung zum Diagnosis Server aufzubauen:

    Aufbau gelingt:

    1. Die Diagnose-Verbindung steht und Log-Einträge werden gesendet.

    Aufbau scheitert:

    1. Der Diagnosis Client versucht, den lokalen Diagnosis Server zu starten und diesen zu verwenden.
      Am PC wird versucht, den Dienst zu starten.
      Unter CE wird versucht, den Prozess zu erzeugen.
    2. Der Diagnosis Client versucht eine Verbindung zum lokalen Diagnosis Server aufzubauen. Gelingt dies, steht die Diagnose-Verbindung und Log-Einträge werden gesendet.

    Gelingt kein Verbindungsaufbau, werden keine Log-Einträge erstellt.

Noch in diesem Kapitel

Einträge in zenon6.ini

Windows CE


Einträge in zenon6.ini

Handbuch > Tools > Diagnosis Viewer > Ablauf > Einträge in zenon6.ini

Die Konfiguration von zenSysSrv und zenLogSrv erfolgt in der zenon6.ini. Dabei wird zwischen den Versionen ab 7.00 und bis inklusive 6.51 unterschieden. Damit können auf einem Gerät sowohl alte als auch neue Diagnosis Clients und Diagnosis Server unabhängig voneinander konfiguriert werden. So können zum Beispiel die LOG-Einträge von alten Diagnose Clients umgeleitet werden, ohne dass die LOG-Einträge neuer Diagnose Clients berührt werden.

Diagnosis Server vor Version 7.00 SP0

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für zenSysSrv (Remote-Transport und Diagnosis Server).

LOGDirectory=

Definiert Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird der LOG-Ordner im %ProgramData%-Ordner der verwendeten Version verwendet.

Beispiel:
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Konfigurationsstring für den Diagnosis Server und den zenSysSrv . Remote-Transport und Diagnose-System verwenden bis inklusive Version 6.51 SP0 die gleiche Serverkonfiguration. Der String besteht aus folgenden Teilen: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart.
    TCP/IP und seriell stehen zur Verfügung.
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.
  • BAUD: gibt die Verbindungsgeschwindigkeit einer seriellen Verbindung an.

Konfiguration PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Konfiguration CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

  • 0: inaktiv (Default)

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE :

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Hinweis: Im Zuge der Trennung von zenSysServ und zenLogServ für zenon 7.00 wurde dieser Defaultwert auch für andere Versionen umgestellt. Davor war der Defaultwert 2.

Diagnosis Server ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Server. Betrifft nur zenLogSrv und hat keine Auswirkung auf zenSysSrv.

LOGDirectory=

Definiert den Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird verwendet:

  • der aus der Registry extrahierte Pfad
    z. B. %ProgramData%\COPA-DATA\LOG
  • der LOG-Ordner im %ProgramData%-Ordner des zenLogSrv, falls in der Registry kein Pfad definiert wird
    z. B. %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Konfigurationsstring für den Diagnosis Server. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

Default: 0

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE:

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Diagnosis Client vor Version 7.00 SP0:

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnosis Client abgelegt. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnosis Client abgelegt. Der String besteht aus folgenden Teilen:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Hinweise

INIT unter CE

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]oder [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnosis Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnosis Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnosis Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnosis Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

zenLogSrv auf einem System mit verschiedenen Versionen

Wird der zenLogSrv auf einem System mit verschiedenen Versionen als zentraler lokaler Diagnosis Server verwendet, muss der Eintrag LOG_CONFIG im Abschnitt [SYS_REMOTE] wie folgt lauten:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Grund: Ältere Clients verwenden dann den zenLogSrv als Diagnosis Server. Neue Clients machen das automatisch. Am PC wird dieser als Dienst automatisch beim Systemstart gestartet, unter CE muss er händisch gestartet werden.

Achtung: Ist der Port nicht erreichbar, starten ältere Clients den zenSysSrv und versuchen erneut eine Verbindung mit diesem herzustellen.


Windows CE

Handbuch > Tools > Diagnosis Viewer > Ablauf > Windows CE

Unter Windows CE wird der Diagnosis Server als Anwendung gestartet.

Bei der Konfiguration der Verbindung beachten Sie die Empfehlung zum Parameter INIT:

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]oder [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnosis Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnosis Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnosis Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnosis Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

Oberflächen unter CE

Transport Service (zenSysSrv)

Parameter

Beschreibung

Start

Öffnet den Listening Port und ermöglicht dem zenSysSrv Remote-Transport Befehle zu empfangen.

Browse

Öffnet einen Dialog zum Durchsuchen des Dateisystems.

Stop

Beendet das Empfangen von Remote-Transport Befehle und schließt den Listening Port wieder.

Configuration

Auswahl einer verfügbaren Serverkonfiguration aus Dropdownliste. Neue Verbindungen können nicht konfiguriert werden. Konfiguration der Verbindungen siehe Abschnitt Einträge in zenon6.ini.
Verfügbar sind:

  • Konfiguration aus der zenon6.ini
  • Default-Konfiguration für TCP/IP
  • Default-Konfigurationen für COM1 bis COM4

Hide

Minimiert die Oberfläche in die Taskleiste.

Exit

Beendet die Anwendung und schließt bei Bedarf zuvor den Listening Port.

X
(Schaltfläche rechts oben)

Minimiert die Oberfläche in die Taskleiste.

Logging Service (zenLogSrv)

Parameter

Beschreibung

Start

Öffnet den Listening Port und ermöglicht dem zenLogSrv LOG-Einträge zu empfangen.

Stop

Beendet das Empfangen von LOG-Einträgen und schließt den Listening Port wieder.

Configuration

Auswahl aus verfügbaren Konfigurationen aus Dropdownliste. Neue Verbindungen können nicht konfiguriert werden. Konfiguration der Verbindungen siehe Abschnitt Einträge in zenon6.ini.
Verfügbar sind:

  • Konfiguration aus der zenon6.ini
  • Default-Konfiguration für TCP/IP

Hide

Minimiert die Oberfläche in die Taskleiste.

Exit

Beendet die Anwendung und schließt bei Bedarf zuvor den Listening Port.

X
(Schaltfläche rechts oben)

Minimiert die Oberfläche in die Taskleiste.


Diagnosis Server

Handbuch > Tools > Diagnosis Viewer > Diagnosis Server

Der Diagnosis Server:

  • Erstellt und verwaltet die LOG-Dateien.
  • Der Server ist:
    • ab zenon 7.00 als zenLogSrv implementiert
    • bis inklusive zenon 6.51 in den zenSysService integriert.
  • Die Konfiguration des Servers wird aus der zenon6.ini gelesen.
  • Der Server schreibt die erhaltenen LOG-Daten in die LOG-Datei.
  • Der Speicherort der Dateien ist konfigurierbar. Standard: %ProgramData%\COPA-DATA\LOG\
  • LOG-Dateien haben die Benennung LOG<YYMMTThhmmss>.txt.
  • Der Server ist multiclientfähig. Mehrere Auswertungen können sich gleichzeitig zum Server verbinden.
  • Es besteht die Möglichkeit, sich online auf den Server zu verbinden, um die aktuellen Logging-Vorgänge mitzuverfolgen.
  • Es besteht die Möglichkeit, sich zu anderen als dem lokal laufenden Diagnosis Server zu verbinden und dieselben Aufgaben (Server konfigurieren, Clients konfigurieren, Online-Logging) durchzuführen wie am lokalen Server.
  • Beim aktuellen Server (mit dem der Diagnosis Viewer verbunden ist) können die Parameter modifiziert werden. Falls eine Modifizierung bei einem anderen Diagnosis Server nötig ist, kann unter Menü Datei - Verbinden mit... die Serververbindung geändert werden.
  • Im Menü ist der Eintrag Settings - Server configuration nur verfügbar, wenn gerade kein Online-Logging verwendet wird.

Noch in diesem Kapitel

Systemintegritätsüberprüfung

Einstellungen des Servers


Systemintegritätsüberprüfung

Handbuch > Tools > Diagnosis Viewer > Diagnosis Server > Systemintegritätsüberprüfung

Beim Runtime-Start wird ein Überwachungsthread mit hoher Priorität gestartet. Der Überwachungsthread überprüft alle 10 Sekunden kritische Systemparameter und schreibt entsprechende Warnungen oder Fehler in das Modul Supervisor des Diagnose Servers.

Folgende Parameter werden überprüft.

Parameter | Grenzwert
Warnschwelle für benutzte Handles | > 5000
Fehlerschwelle für benutzte Handles | > 9000
Warnschwelle für benutze GDI-Objekte | > 5000
Fehlerschwelle für benutze GDI-Objekte | > 9000
Warnschwelle für CPU-Last für den Hauptthread | > 70 %
Fehlerschwelle für CPU-Last für den Hauptthread | > 90 %
Warnschwelle für CPU-Last gesamt | > 70 %
Warnschwelle für CPU-Last gesamt | > 90 %
Warnschwelle für freien Hauptspeicher | < 30 %
Fehlerschwelle für freien Hauptspeicher | < 10 %
Warnschwelle für OnTimer im mainframe | > 1000 ms
Fehlerschwelle für OnTimer im mainframe | > 5000 ms


Einstellungen des Servers

Handbuch > Tools > Diagnosis Viewer > Diagnosis Server > Einstellungen des Servers

Der Diagnosis Server kann über Einträge in der zenon6.ini konfiguriert werden oder über den Dialog Server configuration im Diagnose Client. Es wird empfohlen, die Einstellungen über zenon6.ini vorzunehmen.

Konfiguration über zenon6.ini

Siehe Abschnitt Einträge in zenon6.ini.

Konfiguration über Dialog

Um den Diagnosis Server über den Dialog zu konfigurieren:

  1. starten Sie den Diagnosis Viewer
  2. öffnen Sie den Eintrag File Connect to...
  3. konfigurieren Sie den gewünschten Server
    (Beachten Sie die korrekte Wahl des Ports, abhängig von der Version!)
  4. öffnen Sie den Eintrag Settings -> Server configuration
  5. konfigurieren Sie die mitzuloggenden Ereignisse
  6. schließen Sie den Dialog mit Klick auf OK

Hinweis: Alle Änderungen werden mit Bestätigung des Dialogs in die zenon6.ini geschrieben.

Konfiguration der Ereignisse, die vom Diagnosis Viewer mitgeloggt werden:

Parameter | Beschreibung
Modules | Auswahl des zu konfigurierenden Moduls.
Messagelevel | Auswahl der zu protokollierenden Ereignisse. Default: Errors
LOGImageCnt | Anzahl der Einträge, nach denen alle inkrementellen Felder geschrieben werden. Default: 0 (nicht aktiv)
LOGMinFreeDiskSpace | Es wird laufend geprüft, ob weniger als der konfigurierte minimale freie Plattenplatz verfügbar ist. Die ältesten LOG-Dateien werden gelöscht. Minimaler freier Plattenplatz bevor LOG-Dateien gelöscht werden in MB. Default: 1024 MB
LOGMaxUsedDiskSpace | Maximal verwendeter Plattenplatz für die LOG-Datei in MB. Default: 1024 MB
LOGMinUsedDiskSpace | Minimal verwendeter Plattenplatz unabhängig ob LOGMinFreeDiskSpace unterschritten ist in MB. Default: 5 MB
LOGLogUpdateTime | Zeit in ms nach welcher die erhaltenen Einträge gespeichert werden. Default: 2000 ms
LOGMaxBufferedRecs | Der Server puffert den Inhalt sämtlicher inkrementeller LOG-Felder für die verschiedenen Applikationen, um Abbilder dieser in die LOG-Datei schreiben zu können. Bei Neubeginn einer LOG-Datei und nach konfigurierbarer Anzahl von Log-Einträgen wird ein komplettes Abbild, für alle Adressen in die LOG-Datei geschrieben. Die Daten, die empfangen werden, werden in die LOG-Dateien geschrieben. Die Eintragung erfolgt nicht direkt sondern über einen Zwischenpuffer. Es kann konfiguriert werden, ob die Daten verzögert oder sofort geschrieben werden. Anzahl der gepufferten Einträge, wenn diese nicht gespeichert werden können. Default: 10240
LOGMaxLogFileSize | Der Server schreibt die erhaltenen LOG-Daten in die LOG-Datei. Wenn diese die konfigurierte Größe erreicht, wird eine neue Datei begonnen. Maximale Größe einer einzelnen LOG-Datei in Byte. Default: 5 MB
LOGDirectory | Ordner, in den die LOG-Dateien geschrieben werden. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | Es wird laufend geprüft ob die Lebenszeit der LOG-Dateien abgelaufen ist. Die älteren LOG-Dateien werden gelöscht. Anzahl der Sekunden welche die LOG-Dateien aufbewahrt werden. Default: 14 Tage
LOGCheckDiskTime | Abstand in s, in dem der belegte Plattenplatz überprüft wird. Default: 60 s
Message level for all modules | Einstellungen werden für alle Module übernommen.
Default values | Standardeinstellungen wieder herstellen.
Accept | Einstellungen für dieses Modul übernehmen.
Cancel | Verwirft Änderungen und schließt Dialog.
OK | Übernimmt Änderungen und schließt Dialog.


Diagnosis Client

Handbuch > Tools > Diagnosis Viewer > Diagnosis Client

Jedes Programm, das LOG-Einträge erstellt, ist ein Diagnosis Client. Diese Log-Einträge werden via TCP/IP zum Diagnosis Server gesendet. Server-Rechner und Port werden - abhängig von der eingesetzten Verion - aus der lokalen zenon6.ini eingelesen und kontaktiert. Schlägt die Verbindung fehl, wird dies zyklisch versucht:

  • Ist der Diagnosis Server nicht erreichbar, wird alle 500 ms ein Reconnect versucht.
  • Wenn nach der halben Timeout-Zeit keine Verbindung erstellt werden konnte, wird versucht den Dienst zenSysSrv oder zenLogSrv zu starten.

Die Einstellungen werden über den Eintrag LOG_CONFIG= im Abschnitt [SYS_REMOTE] (bis 6.51) oder [LOGGING_SYSTEM] (ab 7.00) konfiguriert.

Konfiguration Diagnosis Client

Um den Diagnosis Client über den Dialog zu konfigurieren:

  1. Starten Sie den Diagnosis Viewer.
  2. Öffnen Sie den Eintrag Settings -> Client configuration.
    Nur verfügbar, wenn Logging inaktiv ist.
  3. Markieren Sie einen Client,
  4. Klicken Sie auf List of parameters,
  5. Der Dialog zur Konfiguration wird geöffnet.
  6. Konfigurieren Sie den Client.
  7. Schließen Sie den Dialog mit Klick auf OK.
  8. Wiederholen Sie den Vorgang eventuell für weitere Clients.

Clientliste

Parameter | Beschreibung
Clients | Listet alle verfügbaren Clients auf.
Refresh | Aktualisiert Liste der Clients.
List of parameters | Öffnet Dialog zur Konfiguration des ausgewählten Clients.
Close | Schließt Dialog.

Client konfigurieren

Module, die ausgewählt werden können:

Modul

Beschreibung

Modules

Auswahl des zu konfigurierenden Moduls.

Liste setzt sich zusammen aus Default-Modulen und Modulen, die vom jeweiligen Client abhängen.

  • General: Allgemeine Meldungen
  • Net: Netzwerkmeldungen
  • Proxy: Meldungen des zenon Proxy
  • Db: Meldungen vom ZenDbSrv
  • SysSrv: Meldungen vom ZenSysSrv
  • Driver: Meldungen eines Treibers
  • LOG: Meldungen vom Logging
  • SAT: SICAM 230 spezifische Meldungen

Messagelevel

Art der zu loggenden Informationen.

All

Wählt alle aus.

None

Wählt alle ab.

Message Level for all Modules

Weist markierte Message Level allen Modulen zu.

Max Buffered records

Anzahl der Einträge, die gepuffert werden, wenn keine Verbindung zum Diagnosis Server besteht.
Default: 256

OK

Übernimmt alle Änderungen und schließt Dialog.

Cancel

Verwirft alle Änderungen und schließt Dialog.

Accept

Übernimmt alle Änderungen und lässt Dialog geöffnet.

Default values

Trägt die Defaults ein.


Diagnosis Viewer - Auswertungsprogramm

Handbuch > Tools > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm

Der Diagnosis Viewer dient zur Anzeige der LOG-Daten. Er verbindet sich mit dem Diagnosis Server, um die Daten online anzuzeigen oder historische LOG-Dateien abzurufen. LOG-Dateien enthalten nicht nur die LOG-Daten, es werden zusätzliche auch für die Auswertung notwendige Informationen wie Spaltenüberschriften mit abgelegt.

Um eine LOG-Datei anzuzeigen:

  1. Wählen Sie File -> Open.
  2. Der Dialog zur Auswahl einer LOG-Datei wird mit Fokus auf den konfigurierten Default-Ordner geöffnet.
  3. Wählen Sie die gewünschte Datei.
  4. Die LOG-Datei wird angezeigt.

  5. Doppelklick auf einen Eintrag öffnet die Detailansicht.

Erkennung Queue-Überlauf bei Treiber

Werden Meldungen eines Treibers aufgrund von Queue-Überlaufen gelöscht, setzen Diagnose Clients und Diagnosis Server beim Schreiben eines neuen Eintrags für alle aktivierten Module eine Markierung im neuen Eintrag, dass ältere Einträge aus der Queue gelöscht wurden. Die in den geöffneten LOG-Dateien enthaltenen Überlaufkennungen werden gezählt:

Parameter | Beschreibung
Spalte Record version | Diese Spalte muss in der Spaltenauswahl enthalten sein. Sie zeigt die Version des Datensatzes an. Eine Version 8x markiert Overflows.
Zähler 82 | 8 verweist auf Overflow, 2 auf die betroffene Version des Datensatzes.
Statuszeile: queue overflows | Bei aktivierter Statuszeile wird hier die Anzahl der Overflows angezeigt.

Hinweis: Nicht alle in die LOG-Datei geschriebenen Einträge werden auch dargestellt. Wurde ein nicht dargestellter LOG-Datensatz mit einem Überlauf markiert, wird dieser beim nächsten von diesem Client visualisierten Datensatz angezeigt. Sind mehrere nicht dargestellte Einträge hintereinander mit einem Überlauf markiert, kann der Zähler in der Statuszeile von der Anzahl der Datensätze mit Überlaufmarkierung abweichen.

Noch in diesem Kapitel

Globale Einstellungen


Globale Einstellungen

Handbuch > Tools > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen

Die Einträge sind in Englischer Sprache.

Parameter

Beschreibung

File

Befehle im Menü File.

Open

Öffnet Dialog zur Auswahl einer im TXT-Format gespeicherten LOG-Datei. Jede neu geöffnete LOG-Datei wird in einem eigenen Fenster angezeigt.

Open to active document

Jede ausgewählte LOG-Datei wird zum aktiven Fenster hinzugefügt.

Close

Schliesst das aktuelle Fenster.

Save

Speichert die LOG-Datei des aktuellen Fensters.

Save as

Speichert die aktuelle Ansicht des aktiven Fensters (z. B. nach Filtereinstellungen) in eine anzugebende Datei.

Remote Download

Nur verfügbar, wenn Verbindung mit einem Remote Diagnosis Server besteht. Ermöglicht den Download von Loggingdateien des Remote-Servers in den lokalen LOG-Ordner. Ein Unterordner mit Namen des Rechners wird angelegt. Es werden nur die Dateien angeboten, die sich geändert haben oder neu sind.

Connect to

Dialog zur Verbindungsauswahl wird geöffnet.

Online

Aktiviert die Online-Fehlerbetrachtung.
Wird das Online-Logging gestartet, werden alle erhaltenen Einträge ausgegeben. Der gleiche Filterdialog wie beim Dateilesen kann auch hier eingestellt werden.

Unterschied: Ist keine Logverbindung ausgewählt, werden alle erhaltenen Logeinträge angezeigt, ansonsten nur die von den ausgewählten Clients.

Wird der Filter in Bezug auf die Logverbindung modifiziert, gehen alle Einträge, die nicht den Filterbedingungen entsprechen, verloren. (LOG-Datei wird dennoch angelegt und alle Einträge werden gespeichert.) Angezeigte Einträge können gespeichert werden.

Offline

Deaktiviert die Online-Fehlerbetrachtung (Default).

Exit

Beendet den Diagnosis Viewer.

Noch in diesem Kapitel

Verbindungseinstellung Diagnosis Server Connection

Spalteneinstellungen

Profile


Verbindungseinstellung Diagnosis Server Connection

Handbuch > Tools > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen > Verbindungseinstellung Diagnosis Server Connection

Der Diagnosis Viewer verbindet sich beim Starten automatisch mit einem ausgewählten Default-Server. Falls kein Default-Server definiert ist, wird localhost als Default-Server verwendet.
Empfehlung: Führen Sie die Serverkonfiguration über die Einträge in der zenon6.ini durch.

Diagnosis Server auswählen

Klick auf File -> Connect to... öffnet Dialog zur Auswahl eines Servers:

Parameter

Beschreibung

Liste Server

Listet alle konfigurierten Server auf und zeigt an:

  • Status:
    Con: verbundener Server
    Def: Default-Server. Dieser wird beim Öffnen angezeigt.
  • Name
  • Port
  • Timeout

OK

Übernimmt Einstellungen und schließt Dialog.

Cancel

Verwirft Einstellungen und schließt Dialog.

New Server

Öffnet Dialog zur Konfiguration eines neuen Servers.

Delete Server

Ausgewählter Server Eintrag wird aus der Liste gelöscht.

Edit Server

Öffnet Dialog zur Konfiguration des ausgewählten Servers.

Connect to

Baut Verbindung zum ausgewählten Server auf.

As default

Ausgewählter Server wird zum Default-Server.

Diagnosis Server erstellen und bearbeiten

Klick auf New Server oder Edit Server im Dialog Diagnosis Server connection öffnet Dialog zur Konfiguration der Server:

Parameter

Beschreibung

Server name

Name des Rechners zu dem Verbunden werden soll.
Jeder Rechner darf nur einmal als Server eingetragen werden.

Auf diesem muss laufen:

  • bis Version 6.51: der zenSysSrv
  • ab Version 7.00: der zenLogSrv

Port

Port des Dienstes auf dem Zielrechner:

  • bis Version 6.51: 1101
  • ab Version 7.00: 50780

Timeout

Zeit in Sekunden, in der auf eine Antwort vom Sysservice gewartet wird.

Default: 10 s

OK

Übernimmt Einstellungen und schließt Dialog.

Cancel

Verwirft Einstellungen und schließt Dialog.


Spalteneinstellungen

Handbuch > Tools > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen > Spalteneinstellungen

Im Menü können Sie unter Settings -> Column settings die Spalten auswählen, die angezeigt werden sollen. Die Auswahl gilt nur für den Zeitraum, indem die Datei geöffnet ist. Spalteneinstellungen können aber als Profile gespeichert werden.

Parameter | Beschreibung
available | verfügbare Spalten
selected | Spalten, die angezeigt werden
> | fügt bei available ausgewählte Spalten zu selected hinzu
>> | fügt alle bei available verfügbaren Spalten zu selected hinzu
< | entfernt bei selected ausgewählte Spalten
<< | entfernt alle bei selected verfügbaren Spalten
^ | reiht ausgewählte Einträge eine Stufe höher (Multiselect möglich)
v | reiht ausgewählte Einträge eine Stufe tiefer (Multiselect möglich)
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft Einstellungen und schließt Dialog.

Spalten können auch im Kontextmenü konfiguriert werden:

Parameter | Beschreibung
Add all columns with entry | Fügt alle Spalten, die Einträge enthalten hinzu.
Remove Column | Blendet die ausgewählte Spalte aus.
Remove all empty columns | Blendet alle Spalten ohne Eintragt aus.
Column width automatic | Die Breite der ausgewählten Spalte wird automatisch an den längsten Eintrag angepasst.
All columns widths automatic | Die Breite aller Spalten wird automatisch an den jeweils längsten Eintrag angepasst.


Profile

Handbuch > Tools > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen > Profile

Spalteneinstellungen können als Profile gespeichert werden:

Um Profile zu speichern:

  1. Geben Sie im Feld in der Symbolleiste einen Namen ein.
  2. Klicken Sie auf das Symbol mit der Diskette.

Um Profile zu laden:

  1. Wählen Sie aus der Dropdownliste ein gespeichertes Profil.
  2. Klicken Sie auf das Symbol mit der Diskette.

Die Profile werden als *.lvs Datei gespeichert.


Filtermöglichkeiten

Handbuch > Tools > Diagnosis Viewer > Filtermöglichkeiten

Um Filter zu definieren, öffnen Sie den entsprechenden Filterdialog über die entsprechenden Symbole oder die Registerkarten des Filters.

Symbolleiste Filter

Um die Symbolleiste benutzen zu können, muss diese im Menü View über den Eintrag Icon bar aktiviert werden.

Symbol | Tooltip | Beschreibung
1 | Change pre-filter settings | Öffnet Dialog mit fünf Registerkarten zur Definition der Filter.
2 | Change pre-filter for IP-ProcessID-LogID | Öffnet Registerkarte IP address - Process No - Log ID.
3 | Change pre-filter for modules | Öffnet Registerkarte Modules.
4 | Change pre-filter for additional columns | Öffnet Registerkarte Additional columns.
5 | Change pre-filter for time interval | Öffnet Registerkarte Time interval.
6 | Change pre-filter for coloring | Öffnet Registerkarte Colors.

Filterdialog

Registerkarten | Beschreibung
IP-ProcessID-LogID | Öffnet die Registerkarte IP address - Process No - Log ID zur Konfioguration der Verbindungen, die geloggt werden sollen.
Modules | Öffnet die Registerkarte Modules für die zu loggenden Module.
Additional columns | Öffnet die Registerkarte Additional columns zur Auswahl von zusätzlich anzuzeigenden Spalten.
Time interval | Öffnet die Registerkarte Time interval. zur Definition der Zeitfilter.
Colors | Öffnet die Registerkarte Colors zur Auswahl der farblichen Hervorhebung von Informationen.

Noch in diesem Kapitel

IP address - Process No - Log ID

Modules

Additional columns

Time interval

Colors


IP address - Process No - Log ID

Handbuch > Tools > Diagnosis Viewer > Filtermöglichkeiten > IP address - Process No - Log ID

Konfiguration der Verbindungen und Prozesse, die angezeigt werden sollen.

Parameter | Beschreibung
available | Liste der verfügbaren Verbindungen.
selected | Liste der ausgewählten Verbindungen.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< oder <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Modules

Handbuch > Tools > Diagnosis Viewer > Filtermöglichkeiten > Modules

Auswahl der Module, die angezeigt werden sollen.

Parameter | Beschreibung
Module filter active | Aktiv: Es wird auf Module gefiltert. Damit werden nur noch LOG-Datensätze angezeigt, die einem ausgewählten Modul zugeordnet sind.
available | Zur Verfügung stehende Module.
selected | Ausgewählte Module.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< oder <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Additional columns

Handbuch > Tools > Diagnosis Viewer > Filtermöglichkeiten > Additional columns

Auswahl der zusätzlich anzuzeigenden Spalten.

Parameter | Beschreibung
available | Liste der verfügbaren Spalten. Alle in der Datei vorkommenden Felddefinitionen werden angezeigt.
selected | Liste der ausgewählten Spalten.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< oder <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Time interval

Handbuch > Tools > Diagnosis Viewer > Filtermöglichkeiten > Time interval

Konfiguration des Zeitfilters für die Darstellung der Einträge.

Parameter | Beschreibung
Start time: | Auswahl des Datums und Zeitpunkts, ab dem Einträge angezeigt werden. Default: aktuelles Datum
End time: | Auswahl des Datums und Zeitpunkts bis zu dem Einträge angezeigt werden. Default: aktuelles Datum
Reset time interval | Setzt Filter auf Default zurück.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Colors

Handbuch > Tools > Diagnosis Viewer > Filtermöglichkeiten > Colors

Auswahl der farblichen Darstellung von Informationen.

Parameter | Beschreibung
Colors for: | Auswahl der Farbe
IP address | Aktiv: Unterschiedliche IP-Adressen werden unterschiedlich eingefärbt.
Modules | Aktiv: Unterschiedliche Module werden unterschiedlich eingefärbt.
Log connection | Aktiv: Unterschiedliche Namen der LOG-Verbindung werden unterschiedlich eingefärbt.
no colors | Aktiv: Einträge werden nicht eingefärbt.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Lesen der LOG-Dateien

Handbuch > Tools > Diagnosis Viewer > Lesen der LOG-Dateien

Es können ein bis mehrere LOG-Dateien gleichzeitig in einer Auswertung geöffnet werden. Zur Einschränkung der Anzeige muss ein Vorfilter eingestellt werden. Dies ist mittels fünf Registerkarten möglich. Dieser Filter kann nachträglich verändert werden. Ist der Filter eingestellt, werden nur die Einträge angezeigt, die diese Filterbedingungen erfüllen. Die Einträge werden chronologisch aufgelistet.

Filterspalten

Eine weitere Filtermöglichkeit bieten die Filterspalten. Pro Spalte können im Eingabefeld unterhalb der Spaltenüberschrift Filterbedingungen eingegeben werden. Die Felder unterstützen Regular Expressions, wodurch auch komplexe Filterbedingungen gebildet werden können. Die Liste ist durch Anklicken der Spaltenüberschrift aufsteigend oder absteigend sortierbar. Angezeigte Einträge können gespeichert werden. Anzuzeigende Felder können über den Menüeintrag Settings -> Column settings ausgewählt werden.

Default-Felder in der LOG-Datei:

ID | Parameter | Beschreibung
i | IP address | IP-Adresse. Identifiziert den Client und ermöglicht Zuordnung der Meldung.
i | Log ID | ID des Eintrags. Identifiziert den Client und ermöglicht die Zuordnung der Meldung.
i | Message Level | Name des Messagelevels, für den die Meldung eingetragen wurde.
i | Module | Name des Moduls, für das die Meldung eingetragen wurde.
i | Process ID | ID des Prozesses. Identifiziert den Client und ermöglicht Zuordnung der Meldung.
i | Record type | Art des Eintrags.
i | Record version | Versionsnummer des Eintrags.
i | Thread ID | ID des Threads, von welchem aus die Meldung eingetragen wurde.
i | Timestamp | Zeitpunkt der Meldungserstellung in UTC.

Optionale Felder mit fixer ID:

ID | Konstante | Beschreibung
1 | Name of log connection | Name der Logging-Verbindung.
2 | Thread name | Name des Threads.
3 | Name of source files | Name der Source-Datei .
4 | Source line | Sourceline.
5 | Assert condition | Assertbedingung.
6 | Computer name | Computername.
7 | Function name | Name der Funktion.
8 | Project name | Projektname.
9 | Project GUID | GUID des Projekts.
10 | Project path | Projektpfad.
11 | Sent Data | Gesendete Daten.
12 | Received data | Empfangene Daten.
13 | no. serial interface | Nummer der seriellen Schnittstelle.
14 | Baudrate | Baudrate.
15 | dtr setting | DTR-Einstellung.
16 | rts setting | RTS-Einstellung.
17 | Serial char. length | Serielle Zeichenlänge.
18 | Parity | Parität.
19 | No. stopbits | Anzahl der Stopbits.
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | DSR Sensitivity.
23 | Network port no. | Portnummer im Netzwerk .
24 | Server name | Servername.
25 | Standby name | Name Standby Server.
26 | Client name | Client-Name.
27 | Server IP | IP-Adresse Server.
28 | Standby IP | IP-Adresse Standby.
29 | Client IP | IP-Adresse Client.
30 | Binary buffer | Binärpuffer.
31 | Pointer | Pointer.
32 | Class name | Klassenname.
33 | Error code | Fehlercode.
34 | DLL instance handle | DLL Instanzhandle.
35 | DLL name | DLL Name.
36 | Driver error parameter 1 | Treiber Fehler-Parameter 1.
37 | Driver error parameter 2 | Treiber Fehler-Parameter 2.
38 | Trace Message | Trace Meldung.
39 | Errortext | Fehlertext.
40 | Error file name | Name Fehlerdatei.
41 | Success condition | Bedingung für Erfolg.
42 | Value if successful | Wert, wenn erfolgreich.
43 | Net adress | Netzadresse.
44 | Datablock | Datenbaustein.
45 | Offset | Offset.
46 | Bit number | Bitnummer.
47 | Area in PLC | Bereich in der Steuerung.
48 | Communication direction | Gibt die Richtung der Kommunikation als String-Wert an.
49 | General text | Allgemeiner Text.
50 | Main version no. | Nummer Hautpversion.
51 | Sub version no. | Nummer Unterversion.
52 | Build no. | Build-Nummer.
53 | Servicepack | Service Pack.
54 | Hotfix no. | Hotfixnummer.
55 | Sending client | Client, der das Kommando ausgesendet hat.
56 | Target client for command | Client, der Ziel des Kommandos ist.
57 | Database no. | Nummer Datenbank.
58 | Datapoint no. | Datenpunktnummer (Kanalnummer).
59 | Datapoint value | Wert des Datenpunktes.
60 | Datapoint status | Status des Datenpunktes.
61 | Datapoint timestamp | Zeitstempel des Datenpunktes in Sekunden.
62 | Duration in ms | Zeitdauer in Millisekunden.
63 | Number, counter | Zahl, Zähler.


Struktur der LOG-Datei

Handbuch > Tools > Diagnosis Viewer > Struktur der LOG-Datei

LOG-Dateien sind ANSI-Textfiles. Die einzelnen Felder werden mittels Tabulatorzeichen getrennt. Als Endezeichen wir CR+LF verwendet. Hierdurch können diese Dateien im Notepad geöffnet werden.

LOG-Dateien enthalten die Informationen sequentiell, zeitlich nicht sortiert.

Noch in diesem Kapitel

Meldungsebenen

Suchfunktion


Meldungsebenen

Handbuch > Tools > Diagnosis Viewer > Struktur der LOG-Datei > Meldungsebenen

Zur Unterteilung der LOG-Meldungen können acht Gruppen ausgewählt werden. Diese sind Bit-kodiert und können somit auch kombiniert werden.

1 | Fehlermeldungen
2 | Warnungen
4 | Erfolgsmeldungen
8 | TRACE
16 | ASSERT
32 | Log-Meldungen
64 | Debug
128 | Erweitertes Debug


Suchfunktion

Handbuch > Tools > Diagnosis Viewer > Struktur der LOG-Datei > Suchfunktion

Über View/Find kann im aktuellen Fenster gesucht werden. Alle Treffer werden markiert.


Fehlerbehandlung und Meldungen für Diagnosis Viewer

Handbuch > Tools > Diagnosis Viewer > Fehlerbehandlung und Meldungen für Diagnosis Viewer

Fehler

Fehler

Mögliche Ursachen

Der Port kann nicht geöffnet werden.
  • Eine andere Anwendung verwendet den Port.
    Prüfen mit "netstat".
  • Die Ports bei den Einträgen
    [SYS_REMOTE] CONFIG und
    [LOGGING_SYSTEM] CONFIG
    sind identisch. zenLogSrv und zenSysSrv versuchen dann den gleichen Port zu öffnen.

Diagnosis Clients starten den zenLogSrv nicht
  • Der zenAdminSrv wurde beendet. Ohne diesen kann der Dienst nicht gestartet werden.
  • Der zenLogSrv ist am PC nicht als Dienst registriert. In diesem Fall in der Kommandozeile eingeben: zenLogSrv.exe –Service
  • Diagnosis Clients sind nicht von der Version 7.00SP0 oder höher. Der zenLogSrv wird erst ab dieser Version verwendet.
  • Unter Windows CE: Die einzelnen Komponenten (Runtime, SysSrvCE, LogSrvCE) liegen in unterschiedlichen Ordnern. Diese müssen sich im gleichen Ordner befinden, sonst können sich die Komponenten nicht gegenseitig finden.

Unter CE werden viele Prozesse von SysSrvCE.exe oder von LogSrvCE.exe angelegt.
  • Einer der beiden Einträge in der zenon6.ini
    [SYS_REMOTE] INIT oder
    [LOGGING_SYSTEM] INIT
    hat den Wert 2.
    Dies führt dazu, dass die Anwendung nur die Oberfläche zeigt und den Listening Port nicht öffnet. Jeder Diagnosis Client versucht dann, den Prozess zu starten, da er sich nicht zum Diagnosis Server verbinden kann.

Diverse Prozesse stürzen ab.

(Unhandled Exceptions des Diagnosis Server beim Empfangen von LOG-Meldungen oder Konfigurationskommandos oder des Diagnosis Clients und Diagnosis Viewers beim Hochfahren oder Erhalten der Konfiguration)
  • Die Versionen passen nicht zusammen. Diagnosis Clients, Diagnosis Server und Diagnosis Viewer müssen entweder alle Version 7.00 SP0 und höher ODER alle Version 6.51 SP0 und früher haben (siehe Kompatibilität).

LOG-Einträge

Eintrag

Erklärung

SysSrv received not supported network message!

Der zenSysSrv hat ein Netzwerktelegramm empfangen, das nicht unterstützt wird. Beispiel: LOG-Einträge.

LogSrv received not supported network message!

Der zenLogSrv hat ein Netzwerktelegramm empfangen, das nicht unterstützt wird. Beispiel: Remote-Transport Befehle.

Could not open listening port. Server will be stopped.

Der zenLogSrv oder der zenSysSrv konnte seinen Listening Port nicht öffnen. Die Fehlermeldung wird wie folgt protokolliert:

  • zenLogSrv und zenSysSrv am PC:
    Eintrag in die Windows-Ereignisanzeige.
  • zenSysSrv unter CE:
    Message-Box für den Benutzer und LOG-Eintrag an den Diagnosis Server.
  • zenLogSrv unter CE:
    Message Box für den Benutzer.

Folgende LOG-Einträge werden unterschiedlichen Systemen zugeordnet. Der erste Teil der Meldung gibt an, ob Dienst oder Client betroffen sind:

  • SysSrv: zenSysSrv
  • SysCli: Client zum zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Diagnosis Client
Eintrag | Erklärung
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | Eine Netzwerkverbindung wurde mit dem angezeigten Konfigurationsstring initialisiert. Server öffnen Ports und Clients verbinden sich zu den Servern.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Bei einer Netzwerkoperation ist ein Ausnahemfehler aufgetreten. Details werden ebenfalls ausgegeben.
[SysSrv/LogSrv] Accept Failed! | Eine eingehende Verbindung von einem Client konnte nicht angenommen werden.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Es konnten nicht alle zu sendenden Daten gesendet werden. Die Anzahl der gesendeten Bytes und die Anzahl zu sendender Bytes werden angegeben.
[SysSrv/LogSrv] Client [String] in List Delete! | Der Client hat sich vom Server abgemeldet.
[SysSrv/LogSrv] Client [String] in List Insert | Der Client hat sich beim Server angemeldet.


Online-Aktualisierung der zenon Hilfe

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe

Das Documentation Download Tool verwaltet die Aktualisierung Ihrer Online-Hilfe inklusive Embedded Help, Dialog Help, Tool-Tipps und der PDF-Produktdokumentation von zenon und zenon Logic.

Die Aktualisierung wird online durchgeführt. Dazu ist eine Internetverbindung notwendig.

Inhalte des Dokumentationsupdates:

Das Documentation Download Tool unterstützt die Updates von:

  • zenon und zenon Logic Produktdokumentation
  • Treiberdokumentation
  • Tutorials
  • Glossar

Dateiformate des Dokumentationsupdates:

Das Documentation Download Tool unterstützt die Updates von:

  • Online Hilfe für zenon und zenon Logic (.chm)
  • zenon Produktdokumentation (.pdf)

Hinweis: Dieses Tool steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Installation

Programmstart

Navigation

Proxy Settings

Versionswahl

Sprachauswahl

Übersicht der verfügbaren Updates

Statusdialog


Installation

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Installation

Das Documentation Download Tool wird automatisch mit zenon installiert.


Programmstart

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Programmstart

Um das Documentation Download-Tool zu starten:

  1. Wechseln Sie in den Ordner %PROGRAMFILES(X86)%\Common Files\COPA-DATA\STARTUP.
  2. Starten Sie das Programm DokumentationDownloadTool.exe mit einem Doppelklick.

    Der Startdialog des Programmes öffnet sich


Navigation

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Navigation

Die Navigation durch die einzelnen Dialoge erfolgt über die Navigationsleiste im unteren Bereich des Dialoges:

Schaltfläche | Beschreibung
Exit | Beendet das Documentation-Download-Tool
Back | Schaltet im Ablauf des Tools einen Dialog zurück.
Next | Schaltet im Ablauf des Tools einen Dialog weiter.
Proxy Settings | Öffnet/Schließt Aufklappliste zur Konfiguration der Proxy-Einstellungen. Nur im Startdialog aktiv.


Proxy Settings

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Proxy Settings

Die Proxyeinstellungen Ihres Netzwerkes können über den Eintrag Proxy Settings konfiguriert werden.

Zum Aufruf klicken sie im Startfenster des Tools auf Proxy Settings. Dieser Aufruf ist nur im Startdialog möglich. In den Folgedialogen ist diese Eigenschaft nicht aktiv.

Parameter | Beschreibung
Auto-detect proxy settings for this network | Für die Kommunikation mit dem Internet werden die Proxyeinstellungen ihres Systems verwendet. (Default: aktiv)
Manual proxy configuration | Ermöglicht die Konfiguration der Proxyeinstellungen.
Proxy: | Adresse des Proxy-Servers
Port: | Port des Proxy-Servers (Default: 8080)
User: | Username am Proxy-Server (optional)
Password: | Passwort am Proxy-Server (optional)

info Info

Das Documentation Download Tool merkt sich diese Proxy-Einstellungen. Wenn Sie Ihr Passwort regelmäßig ändern, müssen Sie das Passwort auch in den Proxy-Einstellungen des Documentation Download Tools ändern!

Noch in diesem Kapitel

Fehlerhafte Proxy-Einstellungen


Fehlerhafte Proxy-Einstellungen

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Proxy Settings > Fehlerhafte Proxy-Einstellungen

Bei falschen Einträgen erscheint ein Fehlerdialog.

Bestätigen Sie diesen Fehlerdialog mit OK um automatisch zur Eingabe der Proxy Settings zurückzukehren.


Versionswahl

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Versionswahl

In diesem Dialog wählen Sie die zu aktualisierende zenon Version aus.

Parameter | Beschreibung
Liste mit installierten Versionen | Listet die auf dem Computer installierten zenon Versionen auf. Auswahl der zu aktualiserenden Version durch einfachen Klick. Hinweis: es kann jeweils nur eine Version von COPA-DATA aktualisiert werden. Eine Mehrfachauswahl ist nicht möglich.
Exit | Beendet das Documentation-Download-Tool
Next | Schaltet im Ablauf des Tools einen Dialog weiter.
Proxy Settings | In diesem Dialog nicht aktiv


Sprachauswahl

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Sprachauswahl

In diesem Dialog wählen Sie die zu aktualisierende zenon Sprache aus.

Parameter

Beschreibung

Liste mit verfügbaren Sprachen

Listet die für zenon verfügbaren Sprachen auf:

  • Englisch (ENGLISH)
  • Französisch (FRENCH)
  • Deutsch (GERMAN)
  • Italienisch (ITALIAN)
  • Russisch (RUSSIAN)
  • Spanisch (SPANISH)

Auswahl der zu aktualiserenden Sprache durch Klick.

Hinweis: es kann jeweils nur eine Version von COPA-DATA aktualisiert werden. Eine Mehrfachauswahl ist nicht möglich.

Exit

Schaltet im Ablauf des Tools einen Dialog zurück.

Back

Schaltet im Ablauf des Tools einen Dialog zurück.

Next

Schaltet im Ablauf des Tools einen Dialog weiter.

Proxy Settings

In diesem Dialog nicht aktiv

Noch in diesem Kapitel

Keine Updates verfügbar

Sprachabhängige Inhalte der zenon Hilfe


Keine Updates verfügbar

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Sprachauswahl > Keine Updates verfügbar

Sind Online- und Offlinehilfe auf dem aktuellsten Stand erscheint ein Dialog:

Klick auf die Schaltfläche OK kehrt zum Dialog Language zurück.


Sprachabhängige Inhalte der zenon Hilfe

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Sprachauswahl > Sprachabhängige Inhalte der zenon Hilfe

Verfügbare Sprachinhalte für zenon und zenon Logic:

Sprache | Embedded Help | Online/Offline Hilfe | Online/Offline Treiberdokumentation
Englisch | englisch | englisch | englisch
Französisch | französisch | englisch | englisch
Deutsch | deutsch | deutsch | deutsch
Italienisch | italienisch | italienisch | englisch
Russisch | russisch | englisch | englisch
Spanisch | spanisch | englisch | englisch


Übersicht der verfügbaren Updates

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Übersicht der verfügbaren Updates

Nach Auswahl der Updatebedingungen wird ein Dialog mit den verfügbaren Updates angezeigt:

Parameter | Beschreibung
Liste der zur Verfügung stehenden Updates | Auflistung der Dokumente, welche in gewählter zenon Version verfügbar sind. Hinweis: diese Liste dient nur zur Information. Eine Auswahl ist nicht möglich.
Exit | Beendet das Documentation-Download-Tool
Back | Schaltet im Ablauf des Tools einen Dialog zurück.
Next | Schaltet im Ablauf des Tools einen Dialog weiter.
Proxy Settings | In diesem Dialog nicht aktiv


Statusdialog

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Statusdialog

Dieser Dialog zeigt den Fortschritt beim Herunterladen der zu aktualisierenden PDF- und/oder Onlinehilfe-Dateien an.

Parameter

Beschreibung

Fileinformation

Detailinformation zur Datei, welche aktuell heruntergeladen wird:

  • Dateiherkunft
  • Dateigröße
  • Speicherort auf dem lokalen Computer

Current File:

Statusanzeige für die aktuelle Datei inklusive aktueller Downloadgeschwindigkeit

Overall Progress

Statusanzeige für das gesamte Update inklusive Prozent- und Restzeitanzeige

Exit
  • Unterbricht den aktuell laufenden Download
  • Beendet das Documentation-Download-Tool

Pause

Pausiert den aktuellen Download

Resume

Setzt den (mit Klick auf Pause) unterbrochenen Download fort.

Diese Schaltfläche ist nur dann aktiv wenn zuvor die Schaltfläche Pause aktiviert wurde

Cancel

Unterbricht den laufenden Download.

Proxy Setting

In diesem Dialog nicht aktiv

Noch in diesem Kapitel

Download complete

Cancel


Download complete

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Statusdialog > Download complete

Nach erfolgreichem Download wird folgender Dialog angezeigt:

Parameter | Beschreibung
Exit | Beendet das Documentation-Download-Tool
Resume | In diesem Dialog nicht aktiv
Restart | Kehrt zum Startdialog des Tools zurück.
Proxy Settings | In diesem Dialog nicht aktiv


Cancel

Handbuch > Tools > Online-Aktualisierung der zenon Hilfe > Statusdialog > Cancel

Nach Aktivierung der Schaltfläche Cancel wird folgender Dialog angezeigt:

Parameter | Beschreibung
Exit | Beendet das Documentation-Download-Tool
Resume | In diesem Dialog nicht aktiv
Restart | kehrt zum Startdialog des Tools zurück
Proxy Settings | In diesem Dialog nicht aktiv


Keyblock Runtime Start

Handbuch > Tools > Keyblock Runtime Start

Keyblock Runtime Start ist ein Programm, mit dem die zenon Runtime als Shell läuft. Dabei wird die zenon Runtime gestartet, aber alle Windows Systemtasten werden gesperrt. Tastenkombinationen wie Windows-Taste oder Strg+Alt+Entf haben dann keine Auswirkung mehr. Benutzer können damit nicht mehr auf das Betriebssystem zugreifen, sondern nur mehr in der zenon Oberfläche arbeiten.

Voraussetzung dafür ist, dass die Projekteigenschaft Runtime-Titel auf Kein Titel (gesamter Schirm) gesetzt ist. Dann arbeitet zenon im Vollbildmodus und die Runtime kann nicht minimiert werden.

Beachten Sie auch die Hinweise im Kapitel Runtime-Dateien schützen.

Hinweis: Die Sperre der Windows-Taste kann umgangen werden. Sperren Sie daher die Windows-Taste über den entsprechenden Eintrag im Startup Tool.

Noch in diesem Kapitel

Verwendung

Runtime-Dateien schützen


Verwendung

Handbuch > Tools > Keyblock Runtime Start > Verwendung

Um Keyblock Runtime Start zu nutzen:

  1. Öffnen Sie im Windows Startordner unter COPA-DATA die zenon Tools.
  2. Wählen Sie Keyblock Runtime Start aus.
  3. Das Programm wird geöffnet und startet automatisch die Runtime.
  4. Das Programm sperrt alle Zugriffe auf das Betriebssystem:
    • gesperrte Tastenkombinationen:

      Strg+Alt+Entf

      Strg+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Windows-Taste (ausgenommen Windows + L)
      Hinweise:
      Mit der Sperre der Systemtasten wird auch die normale Bedienung von Bildlaufleisten während der Runtime mit der Maus blockiert. Diese Blockierung kann mit dem Kontextmenü umgangen werden.
      Wird das System über die Tastenkombination Windows + L gesperrt, stehen nach dem erneuten Anmelden alle Windows Tastenkombinationen wieder zur Verfügung. Um das zu verhindern, deaktivieren Sie im Startup Tool unter Application -> Options -> General die Windows-Taste.

    • Ausblendung der Systemsteuerung im Startmenü
    • Sperre der Taskleiste für Bedienung
    • Unterbinden von

      Ändern von Kennwörtern

      Beenden von Windows

      Abmelden

      Computer sperren

      Benutzer wechseln

    • Ausblendung aller Elemente im Taskmanager

info Info

Wird Keyblock Runtime Start mit dem Autostart Mechanismus des Betriebssystems gestartet, dann beachten Sie:

  • Der Autostart-Ordner ist benutzerspezifisch:
    Meldet sich ein anderer Benutzer an, wird das Programm nicht ausgeführt.
  • Durch Drücken der Umschalt-Taste beim Betriebssystemstart kann das Abarbeiten der Autostart-Programme unterbunden werden.

Diese Sperrung lässt sich während der Runtime nicht umgehen. Wird die Runtime normal beendet, sind die System-Einschränkungen wieder aufgehoben. Soll die Runtime ohne dieser Einschränkungen bedienbar sein, muss die Runtime ohne Keyblock Runtime Start gestartet werden.

attention Achtung

Achten Sie darauf, dass in Ihrem Projekt eine Möglichkeit zum Beenden der Runtime projektiert ist. Besteht keine Möglichkeit, die Runtime regulär zu beenden:

  • kann sie nur über das hardwaremäßige Ausschalten des Rechners beendet werden
  • bleiben auch nach dem Neustart alle Systemtasten blockiert

Um Systemtasten nach einem irregulären Beenden (zum Beispiel bei Stromausfall) wieder zugänglich zu machen:

  • starten Sie die die Runtime wieder mit Keyblock Runtime Start
  • beenden Sie die Runtime regulär über einen Beenden-Button


Runtime-Dateien schützen

Handbuch > Tools > Keyblock Runtime Start > Runtime-Dateien schützen

Der Zugang zu den Runtime-Dateien kann stark eingeschränkt und damit gut geschützt werden. Dabei wird nur einem einzigen Windows-Benutzer lesender und schreibender Zugriff auf den Runtime-Ordner gestattet. Alle anderen Windows Benutzer haben keinerlei Rechte im Runtime-Ordner, auch keine Leserechte. Bediener zur Runtime loggen sich als zenon Benutzer ein.

Um den Zugang zum Dateisystem zu beschränken:

  1. Erstellen Sie nur einen einzigen Windows-Benutzer (zum Beispiel: zenon_ADMIN), der zenon starten darf sowie Lese- und Schreibrechte im zenon Runtime-Ordner hat.
  2. Unterbinden Sie für alle anderen Windows-Benutzer den Zugriff auf den zenon Runtime-Ordner - inklusive Leserechte!
  3. Unterbinden Sie jeglichen Remote-Zugriff auf den Benutzer zenon_ADMIN.
  4. Sperren Sie jegliche Software für Fernwartung oder Remote-Zugang wie zenon Remote Desktop.
  5. Stellen Sie sicher, dass zenon nur gestartet werden kann, wenn dieser Benutzer (zenon_ADMIN) eingeloggt ist.
    Da andere Windows-Benutzer keine Leserechte haben, startet die Runtime nur im Kontext dieses Benutzers (zenon_ADMIN).
  6. Stellen Sie sicher, dass zenon als Shell läuft:
    1. Erstellen Sie dazu einen zenon Autostart mit Keyblock Runtime Start.
    2. Aktivieren Sie die Eigenschaft Systemtasten sperren in der Gruppe Runtime Einstellungen der Projekteigenschaften.
    3. Starten Sie zenon im Vollbildmodus: Eigenschaft Runtime-Titel auf Kein Titel setzen.
    4. Beachten Sie bei der Konfiguration auch Mehrbildschirm-Systeme.
    5. Unterbinden Sie den Explorer-Start.
    6. Bieten Sie keine Dateiauswahldialoge an.
      Hinweis: In diesem Fall dürfen keine Funktionen, die vom Benutzer zur Runtime Dateiauswahl verlangen, projektiert werden.

Damit ist der Zugang zum zenon Dateisystem begrenzt.


GIS Integration

Handbuch > Tools > GIS Integration

Das GIS-Integrationspaket von zenon bietet eine einfache und unkomplizierte Möglichkeit Objekte im geografischen Bezug zu zeichnen und diese Objekte mit zenon ALC-Informationen, Variablen sowie Funktionen zu verknüpfen.

Die Darstellung in der zenon Runtime visualisiert ALC-Projektierungen mit auswählbaren Kartenanbietern (Map provider).

Im GIS-Integrationspaket enthalten:

  • GIS-Editor
    Tool für die Konfiguration einer auf GEO-Daten basierten ALC-Projektierung.
    Die Projektierung wird via Maus und Parametrierung von Eigenschaften umgesetzt. Der geografische Bezug wird in einer Echtzeitansicht von wählbaren Kartenansichten visualisiert. Projektierungsinhalte werden direkt auf einer Karte platziert.
  • GIS-Control
    Durch die Positionierung eines ActiveX Elements bei der Projektierung im zenon Editor werden die Projektierungen im GIS-Editor für die Darstellung in der Runtime übernommen.

Noch in diesem Kapitel

GIS-Editor

Projektieren im zenon Editor

Bedienung in der zenon Runtime


GIS-Editor

Handbuch > Tools > GIS Integration > GIS-Editor

Der GIS-Editor ist ein Tool für die Konfiguration einer auf GEO-Daten basierten ALC-Projektierung.

Das Ergebnis wird in einer Datei gespeichert. Diese Datei enthält alle Informationen für die Darstellung in der zenon Runtime.

Für die Projektierung werden Linien, Flächen und Marker unterstützt.

Diese können:

  • Auf einer Landkarte gezeichnet oder platziert werden.
    Für die Darstellung der Landkarte stehen verschiedene Anbieter von Karten (Map provider) zur Auswahl.
  • Direkt im GIS-Editor parametriert werden.
    Einfaches Projektieren der Elemente via Mausklick.
  • Mit einer bestehenden Projektierung des zenon Editors verknüpft werden.
    Verknüpft werden können
    • Variablen
    • Funktionen
    • ALC-Informationen

tutorial Lizenzinformation

In Standardlizenz für Editor und Runtime enthalten.

Noch in diesem Kapitel

GIS-Editor installieren und aufrufen

Bereiche im GIS-Editor

Kartenansicht

Projektieren im GIS-Editor

Anwendungsmöglichkeiten


GIS-Editor installieren und aufrufen

Handbuch > Tools > GIS Integration > GIS-Editor > GIS-Editor installieren und aufrufen

Der GIS-Editor wird bei der zenon Standardinstallation automatisch installiert.

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

attention Achtung

Der GIS-Editor übernimmt nur gesicherte Projektierungen des zenon Editors.

Stellen Sie sicher, dass Ihre aktuelle Projektierung - speziell für geöffnete zenon Bilder - gespeichert ist.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten GIS Editor.
  3. Wählen Sie GIS Editor.

  4. Klicken Sie auf OK.

    Der GIS-Editor wird gestartet.


Bereiche im GIS-Editor

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor

Generell gilt:

  • Die Fenstergröße des Tools ist frei skalierbar.
  • Die Größe der Bereiche ist durch Verschieben der Splitter anpassbar.
  • Ist der GIS-Editor geöffnet, sind keine Projektierung im zenon Editor möglich.

Hinweis: Die Benutzeroberfläche ist nur in englischer Sprache verfügbar.

Die Benutzeroberfläche des GIS-Editors gliedert sich in verschiedene Bereiche:

Parameter

Beschreibung

(1)

Baumansicht der GIS-Projektierung

Baumansicht der aktuellen GIS-Konfiguration.

Die Darstellung gliedert sich nach Ebenen und darin enthaltenen Elementen.

  • [+]
    Erweitert die Baumansicht.
  • [-]
    Reduziert die Baumansicht.

(2)

Settings

Projektierungen der gewählten Ebene
Eigenschaften für das aktuell gewählte Element. Die Eigenschaften sind abhängig von dem gewählten Element.
Auswahl des Elements in der GIS-Projektierung Baumansicht oder direkt per Mausklick auf ein projektiertes Element in der Kartenansicht.

(3)

Eigenschaftenhilfe

Kurzbeschreibung der aktuell Bereich Settings gewählten Eigenschaft.

(4)

Projektierungsinhalte von zenon Editor

Projektierungsinhalte des aktuellen zenon Projektes.

Hinweis: Dieser Bereich wird durch Klick auf die Schaltfläche ... bei einer Eigenschaft mit Verknüpfungsoption eingeblendet.
Per Default ist dieser Bereich ausgeblendet.

(5)

Hauptfenster

Hauptfenster mit Kartenansicht.
Kartenansicht des gewählten Map providers (Kartenanbieters) sowie projektierte Elemente.

Noch in diesem Kapitel

Grafische Benutzeroberfläche (Symbolleisten/Kontextmenüs)

CD_GIS

Settings


Grafische Benutzeroberfläche (Symbolleisten/Kontextmenüs)

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Grafische Benutzeroberfläche (Symbolleisten/Kontextmenüs)

Menüleiste

Parameter | Beschreibung
File | Menüleiste für Dateiverwaltung.
Configure GIS controls... | Öffnet den Dialog zur Verknüpfung einer GIS-Konfigurationsdatei mit einem projektierten GIS-Control in der zenon Projektierung.

File

Der Menüeintrag File enthält Einträge für die Verwaltung der XML-Datei mit den gespeicherten GIS-Projektierungen.

Parameter

Beschreibung

New

Erstellt eine neue, leere GIS-Konfiguration.

Open...

Öffnet eine bestehende GIS-Konfiguration.

Auswahl der Datei via Dateiauswahldialog. In diesem Auswahldialog können nur .XML-Dateien geladen werden.

  • Ist bereits eine GIS-Konfiguration im GIS-Editor aktiv und enthält diese ungesicherte Änderungen, wird dies durch eine Sicherheitsabfrage visualisiert.
  • Enthält die ausgewählte zu ladende Datei eine ungültige (= nicht projektierungskonforme) Dateistruktur wird dies in einem Warndialog angezeigt.

Save

Speichert die aktuelle Projektierung des GIS-Editors.

Default: DefaultGISConfiguration.xml
Default Speicherpfad: C:\ProgramData\COPA-DATA\SQL2012\[Projekt ID]\zenon\custom\additional

Hinweis: Wird die Projektierung zum ersten Mal gespeichert, wird initial der Speicherdialog geöffnet.

Achtung: Für die korrekte Darstellung in der Runtime muss die GIS-Konfigurationsdatei immer in diesem Ordner vorhanden sein.

Save as...

Sichert die aktuelle GIS-Konfiguration in einer neuen XML-Datei.

Auswahl des Speicherpfades via Speicherdialog.

Exit

Beendet den GIS-Editor.
Sind in der aktuellen Projektierung ungesicherte Änderungen wird dies durch einen Warndialog angezeigt.

Ungesicherte Änderungen

Parameter | Beschreibung
Ja | Sichert aktuelle Projektierung. Auswahl des Speicherpfades via Speicher-Dialog. Hinweis: Ein Klick auf den Button Abbrechen im Speicherdialog beendet den GIS-Editor. Ungesicherte Projektierungen werden verworfen.
Nein | Änderungen der aktuellen Projektierung werden ohne Speichern verworfen. Der GIS-Editor wird beendet.

Fehlerhaftes Laden der Datei


CD_GIS

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > CD_GIS

Baumansicht der aktuellen GIS-Konfiguration.

Die Darstellung gliedert sich nach Ebenen und darin enthaltenen Elementen.

Kontextmenü

Parameter | Beschreibung
Add Layer | Erstellt eine neue Ebene
Show/Hide Lines | Ein- und Ausblenden von Linien. Hinweis: Dieser Eintrag wird in der aktuellen Version noch nicht unterstützt.


Settings

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Settings

Im Bereich Settings werden Eigenschaften im Kontext zum gewählten Knoten im CD_GIS-Baum angezeigt.

Für jede Eigenschaft ist eine Kontexthilfe verfügbar. Diese bietet eine Kurzbeschreibung der gewählten Eigenschaft im Bereich Settings und wird nach Klick auf eine Eigenschaft aktualisiert angezeigt.

Noch in diesem Kapitel

GIS control configuration

Ebene (Layer)

Linie

Fläche (Area)

Marker


GIS control configuration

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Settings > GIS control configuration

In diesem Bereich projektieren Sie allgemeine Einstellungen für die Darstellung. Diese Projektierung gilt für alle im GIS-Editor projektierten Elemente.

Settings

Parameter

Beschreibung

Cache mode

Art der Aktualisierung der Kartenansicht für die Darstellung in der zenon Runtime.

Auswahl aus Dropdownliste:

  • CacheOnly
    Die Darstellung der Kartenansicht erfolgt ausschließlich mit geladenen Daten.
    Hinweis: wählen Sie diese Einstellungen, um Ihre Projektierungen offline in der Runtime zu visualisieren. Beachten Sie hierbei, dass diese Einstellungen zu eingeschränkter Darstellung des Kartenmaterials führen kann.
  • ServerOnly
    Die Darstellung der Kartenansicht wird automatisch via Internet aktualisiert.
    Hinweis: Diese Einstellung kann, abhängig von der Internetverbindung, die Performance des GIS-Controls beeinträchtigen.
  • ServerAndCache
    Die Darstellung der Kartenansicht wird im Bedarfsfall online aktualisiert.

Default: ServerAndCache

Hinweis: ServerOnly setzt für die Darstellung eine aktive Internetverbindung voraus.

Map

Auswahl des Anbieters für die Darstellung in der Kartenansicht.

Auswahl aus Dropdownliste:

  • GoogleMap
  • GoogleSetelliteMap
  • GoogleTerrainMap
  • BingMap
  • BingSatelitteMap
  • OpenStreetMap
  • ArcGISWorldStreet
  • ArcGISWorldTopo
  • EmptyProvider

Default: BingMap

Map variable

Eingabefeld für den Namen der zenon Variable für die Auswahl des Map providers (Kartenanbieters).

Klick auf den Button ... öffnet den Bereich für die Auswahl der zenon Variable.

Default: MapProvider

Numerische Werte für Map provider

Für die Auswahl des Map providers via Variable gilt folgende vorgegebene Zuordnung:

Wert | Map provider
0 | EmptyProver (Keine Kartendarstellung)
1 | GoogleMap
2 | GoogleSatelliteMap
3 | GoogleTerrainMap
4 | BingMap
5 | BingSatelliteMap
6 | OpenStreetMap
7 | ArcGISWorldStreet
8 | ArcGISWorldTopo

Wird ein ungültiger Wert ausgewählt, wird keine Karte dargestellt.


Ebene (Layer)

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Settings > Ebene (Layer)

In diesem Bereich projektieren Sie allgemeine Einstellungen einer Ebene (= Layer). Diese Projektierung gilt für alle projektierten Elemente einer Ebene im GIS-Editor.

  • Wird eine Konfiguration für die Ebene geändert, wird dies für alle Elemente dieser Ebene übernommen.
  • Wird eine Konfiguration eines Elements geändert, wird dies für die Einstellungen der Ebene übernommen.

info Info

Ebenen (Layer) entsprechen Sichtbarkeitsebene im zenon Editor.

Settings für Ebene (Layer)

Parameter | Beschreibung
Areas | Settings (Eigenschaften) für Flächen. Klick auf den Button ... öffnet die Flächen-Eigenschaften (Settings) in einem eigenen Dialog.
Lines | Settings (Eigenschaften) für Linien. Klick auf den Button ... öffnet die Linien-Eigenschaften (Settings) in einem eigenen Dialog.
Markers | Settings (Eigenschaften) für Marker. Klick auf den Button ... öffnet die Marker-Eigenschaften (Settings) in einem eigenen Dialog.
Name | Name der Ebene. Eingabe eines Elementnamens im Eingabefeld. Default: NewLayer

Kontextmenü Layer

Parameter | Beschreibung
Add line | Fügt eine neue Linie in die aktuelle Ebene ein. Die Anzeige des Mauszeigers in der Kartenansicht wechselt zu einem Fadenkreuz. Linien können direkt durch Setzen der Linienpunkte per Mausklick gezeichnet werden.
Add area | Fügt eine neue Fläche in die aktuelle Ebene ein. Die Anzeige des Mauszeigers in der Kartenansicht wechselt zu einem Fadenkreuz. Flächen können direkt durch Setzen der Eckpunkte der Fläche per Mausklick gezeichnet werden.
Add marker | Fügt einen neuen Marker in die aktuelle Ebene ein. Die Anzeige des Mauszeigers in der Kartenansicht wechselt zu einem Fadenkreuz. Ein Marker kann direkt per Mausklick in der Kartenansicht positioniert werden.
Show/hide | Blendet die aktuelle Ebene und alle dafür projektierten Elemente ein oder aus. Hinweis: Dieser Eintrag wird in der aktuellen Version noch nicht unterstützt.
Rename | Umbenennen der Ebene. Hinweis: Dieser Eintrag wird in der aktuellen Version noch nicht unterstützt. Ändern Sie den Namen in der Eigenschaft Name.
Delete | Löscht die Ebene und darin projektierte Elemente. Achtung: Das Löschen der Ebene und der projektierten Inhalte wird unmittelbar, ohne vorherige Sicherheitsabfrage durchgeführt.

Eigenschaftendialog bei Ebenen

Die Settings in diesem Dialog entsprechen jenen, wie sie für das jeweilige GIS-Element im Bereich der Settings parametriert werden.

attention Achtung

Änderungen der Eigenschaften im Dialog ändern auch die Parametrierungen für ein bestehendes GIS-Element.

Es wird dringend empfohlen, Projektierungen für GIS-Elemente immer direkt bei den Eigenschaften des Elementes zu parametrieren. Eine Projektierung mit dem Eigenschaftendialog der Ebene wird nicht empfohlen.

Warndialog bei Ebene ohne Element

Wird eine Ebene angelegt und mit einer ungültigen Projektierung belegt, wird dieser Projektierungsfehler mit einem Warndialog visualisiert. Die Projektierung wird nicht übernommen und die Ebene wird entfernt.


Linie

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Settings > Linie

In diesem Bereich projektieren Sie Einstellungen einer Linie.

Parameter

Beschreibung

Context menu

Verknüpfte zenon Funktion.

Die hier verknüpfte Funktion wird in der Runtime via Mausklick ausgeführt.

Klick auf den Button ... öffnet den Bereich zur Auswahl einer projektierten zenon Funktion.

Klick auf den Button ... öffnet einen Bereich im GIS-Editor mit Funktionen der aktuellen zenon Projektierung.

Default: leer

Weitere Informationen dazu finden Sie im Kapitel Verknüpfung von Funktionen.

Description

Eingabefeld für eine frei konfigurierbare Beschreibung des Elements. Der projektierte Inhalt dieser Eigenschaft wird bei der Anzeige in der zenon Runtime als Tooltip visualisiert.

Default: leer

Hinweis: Dieser Eintrag wird in der aktuellen Version noch nicht unterstützt.

Fault marker from end

Wertänderung der verknüpften Variable löst eine Ausgabe der Entfernung vom Endpunkt zur Fehlerstelle aus.

Fault marker from start

Wertänderung der verknüpften Variable löst eine Ausgabe der Entfernung vom Startpunkt zur Fehlerstelle aus.

GEO coordinates

Projektierung der Linie via Eingabe von GEO-Koordinaten.

Klick auf ... öffnet den Dialog für die manuelle Eingabe von GEO-Koordinaten.

Hinweis: Eine Linie muss aus mindestens zwei GEO-Koordinaten bestehen.

Line color

Statische Farbe für die Anzeige des GIS-Elements in der zenon Runtime.
Klick auf ... öffnet eine Dropdown-Liste für die Farbauswahl.

Hinweis: Die Projektierung dieser Eigenschaft wird von den Ebenen-Settings übernommen. Eine Änderung der Settings wird in die Ebenen-Settings übernommen.

Default: 0; 0; 0 (Schwarz)

Line color from ALC

Die Farbe des GIS-Elements wird dynamisch für die Anzeige in der Runtime von einer bestehenden ALC-Projektierung im zenon Editor übernommen.

Durch Klick auf ... wird im GIS-Editor der Bereich der zenon Editor Projektierungsinhalten mit projektierten ALC-Elementen des zenon Editors angezeigt.

Weitere Informationen dazu finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.

Default: leer

Line color from limit

Die Farbe des GIS-Elements wird dynamisch für die Anzeige in der Runtime von der Projektierung der zenon Variable übernommen.

Durch Klick auf ... wird im GIS-Editor der Bereich der zenon Editor Projektierungsinhalten mit Variablen angezeigt.

Weitere Informationen dazu finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.

Default: leer

Line type

Art der Linie.

Auswahl aus Dropdownliste:

  • Solid
    durchgezogene Linie
  • Dash
    gestrichelte Linie
  • Dot
    gepunktete Linie
  • DashDot
    Strichpunkt-Linie
  • DashDotDot
    Strichpunkt-Punkt-Linie
  • Custom

Default: Solid

Hinweis: Der Linientyp Custom wird nicht unterstützt und wie Solid dargestellt.

Line width

Linienstärke in Pixel.

Eingabe eines Zahlenwertes im Eingabefeld.
Die Eingabe wird validiert. Wird kein gültiger Zahlenwert eingegeben, wird dies in einem Warndialog angezeigt.
Default: 3

Name

Name der Linie.

Eingabe eines Elementnamens im Eingabefeld.

Default: NewLine

Kontextmenü

Parameter | Beschreibung
Delete | Löscht das ausgewählte Element. Achtung: Das ausgewählte Element und seine Projektierung werden unmittelbar, ohne vorherige Sicherheitsabfrage durchgeführt.


Fläche (Area)

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Settings > Fläche (Area)

In diesem Bereich projektieren Sie Einstellungen für eine Fläche.

Ein Flächenobjekt ist eine polygene Fläche mit einer beliebigen Anzahl von Stützpunkten. Eine Fläche muss aus mehr als zwei Punkten bestehen.

Parameter

Beschreibung

Context menu

Verknüpfte zenon Funktion.

Die hier verknüpfte Funktion wird in der Runtime via Mausklick ausgeführt.

Klick auf den Button ... öffnet den Bereich zur Auswahl einer projektierten zenon Funktion.

Klick auf den Button ... öffnet einen Bereich im GIS-Editor mit Funktionen der aktuellen zenon Projektierung.

Default: leer

Weitere Informationen dazu finden Sie im Kapitel Verknüpfung von Funktionen.

Description

Eingabefeld für eine frei konfigurierbare Beschreibung des Elements. Der projektierte Inhalt dieser Eigenschaft wird bei der Anzeige in der zenon Runtime als Tooltip visualisiert.

Default: leer

Hinweis: Dieser Eintrag wird in der aktuellen Version noch nicht unterstützt.

Fill color

Statische Farbe für die Anzeige des GIS-Elements in der zenon Runtime.
Klick auf ... öffnet eine Dropdown-Liste für die Farbauswahl.

Hinweis: Die Projektierung dieser Eigenschaft wird von den Ebenen-Settings übernommen. Eine Änderung der Settings wird in die Ebenen-Settings übernommen.

Default: 175; 238; 238 (Cyan)

Fill color from ALC

Die Farbe des GIS-Elements wird dynamisch für die Anzeige in der Runtime von einer bestehenden ALC-Projektierung im zenon Editor übernommen.

Durch Klick auf ... wird im GIS-Editor der Bereich der zenon Editor Projektierungsinhalten mit projektierten ALC-Elementen des zenon Editors angezeigt.

Weitere Informationen dazu finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.

Default: leer

Fill color from limit

Die Farbe des GIS-Elements wird dynamisch für die Anzeige in der Runtime von der Projektierung der zenon Variable übernommen.

Durch Klick auf ... wird im GIS-Editor der Bereich der zenon Editor Projektierungsinhalten mit Variablen angezeigt.

Weitere Informationen dazu finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.

Default: leer

Fill color transparency

Transparenz der Füllfarbe (Fill color) des GIS-Elements.
Eingabe der Transparenz in Prozent. Eine Eingabe von 100 bewirkt so, dass das Element völlig farblos oder durchsichtig ist.

Hinweis: Die Werte dieser Eigenschaft werden auch für die Anzeige von Objekten in Grenzwertfarben verwendet. Soll die Transparenz für Grenzwertfarben für das Element nicht verwendet werden, projektieren Sie hier den Wert 0.

Default: 50

GEO coordinates

Projektierung der Fläche via Eingabe von GEO-Koordinaten.

Klick auf ... öffnet den Dialog für die manuelle Eingabe von GEO-Koordinaten.

Hinweis: Eine Fläche muss aus mindestens drei GEO-Koordinaten bestehen.

Line color

Statische Farbe der äußeren Line der Fläche.

Statische Farbe für die Anzeige des GIS-Elements in der zenon Runtime.
Klick auf ... öffnet eine Dropdown-Liste für die Farbauswahl.

Default: 0; 0; 0 (Schwarz)

Line color from ALC

Farbe der äußeren Line der Fläche wird von einem zenon ALC-Element übernommen.

Die Farbe des GIS-Elements wird dynamisch für die Anzeige in der Runtime von einer bestehenden ALC-Projektierung im zenon Editor übernommen.

Durch Klick auf ... wird im GIS-Editor der Bereich der zenon Editor Projektierungsinhalten mit projektierten ALC-Elementen des zenon Editors angezeigt.

Weitere Informationen dazu finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.

Default: leer

Line color from limit

Farbe der äußeren Line der Fläche wird von einer zenon Variable übernommen.

Die Farbe des GIS-Elements wird dynamisch für die Anzeige in der Runtime von der Projektierung der zenon Variable übernommen.

Durch Klick auf ... wird im GIS-Editor der Bereich der zenon Editor Projektierungsinhalten mit Variablen angezeigt.

Weitere Informationen dazu finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.

Default: leer

Line type

Art der äußeren Linie der Fläche.
Auswahl aus Dropdownliste:

  • Solid
  • Dash
  • Dot
  • DashDot
  • DashDotDot
  • Custom

Default: Solid

Hinweis: Der Linientyp Custom wird nicht unterstützt und wie Solid dargestellt.

Line width

Breite der äußeren Linie der Fläche in Pixel.

Default: 1,3

Name

Name der Fläche.

Eingabe eines Elementnamens im Eingabefeld.

Default: NewArea

Kontextmenü

Parameter | Beschreibung
Delete | Löscht das ausgewählte Element. Achtung: Das ausgewählte Element und seine Projektierung werden unmittelbar, ohne vorherige Sicherheitsabfrage durchgeführt.


Marker

Handbuch > Tools > GIS Integration > GIS-Editor > Bereiche im GIS-Editor > Settings > Marker

In diesem Bereich projektieren Sie Einstellungen für einen Marker.

Parameter

Beschreibung

Context menu

Verknüpfte zenon Funktion.

Die hier verknüpfte Funktion wird in der Runtime via Mausklick ausgeführt.

Klick auf den Button ... öffnet den Bereich zur Auswahl einer projektierten zenon Funktion.

Klick auf den Button ... öffnet einen Bereich im GIS-Editor mit Funktionen der aktuellen zenon Projektierung.

Default: leer

Weitere Informationen dazu finden Sie im Kapitel Verknüpfung von Funktionen.

Description

Eingabefeld für eine frei konfigurierbare Beschreibung des Elements. Der projektierte Inhalt dieser Eigenschaft wird bei der Anzeige in der zenon Runtime als Tooltip visualisiert.

Default: leer

Hinweis: Dieser Eintrag wird in der aktuellen Version noch nicht unterstützt.

GEO coordinate

Projektierung des Markers via Eingabe von GEO-Koordinaten.

Klick auf ... öffnet den Dialog für die manuelle Eingabe von GEO-Koordinaten.

Hinweis: Ein Marker besteht immer aus einer GEO-Koordinate.

Graphics file

Grafik für die Darstellung des Markers.

Klick auf ... öffnet den Dateiauswahldialog zur Auswahl einer Grafikdatei.

Ist keine Grafikdatei für den Marker ausgewählt, wird eine vom GIS-Editor vorgegebene Grafik verwendet.

Default: CD_Marker.png

Hinweis: wird ein ungültiger Dateityp ausgewählt, wird dies in einem Warndialog angezeigt. In diesem Fall wird keine neue Datei für den Marker verwendet.

Graphics heigt

Höhe der Grafik in Pixel.

Eingabe eines Zahlenwertes im Eingabefeld.
Die Eingabe wird validiert. Wird kein gültiger Zahlenwert eingegeben, wird dies in einem Warndialog angezeigt.

Default: 25

Graphics width

Breite der Grafik in Pixel.

Eingabe eines Zahlenwertes im Eingabefeld.
Die Eingabe wird validiert. Wird kein gültiger Zahlenwert eingegeben, wird dies in einem Warndialog angezeigt.

Default: 25

Name

Name des Markers.

Eingabe eines Elementnamens im Eingabefeld.

Default: NewMarker

Kontextmenü

Parameter | Beschreibung
Delete | Löscht das ausgewählte Element. Achtung: Das ausgewählte Element und seine Projektierung werden unmittelbar, ohne vorherige Sicherheitsabfrage durchgeführt.

Symbol für Marker

Die grafische Darstellung des Markers kann mit Grafiken individuell gestaltet werden. Unterschiedliche Marker einer GIS-Konfiguration können mit unterschiedlichen Markern dargestellt werden.

Durch Klick auf den Button ... bei der Eigenschaft Graphics file wird der Dateiauswahldialog geöffnet. Per Default werden die Inhalte des Ordners ..\ProgramData\COPA-DATA\SQL2012\[Projekt ID]\FILES\zenon\custom\graphics angezeigt. Dieser Ordner enthält die die Inhalte des Knotens Dateien => Grafiken des aktuellen Projekts des zenon Editors.

Wählen Sie eine Grafikdatei um diese für die Darstellung des Markers im GIS-Editor und in der zenon Runtime zu verwenden.

Tipp Tipp

Die Auswahl der Grafikdatei für den Marker ist nicht auf Inhalte des zenon Projektordners beschränkt. Sie können im Dateiauswahldialog eine Grafikdatei aus einem beliebigen Ordner auswählen.

Nach Auswahl einer Datei wird diese in die zenon Projektierung übernommen. Zusätzlich zur GIS-Projektierung wird diese Datei automatisch in den Knoten Dateien => Grafiken des aktuellen zenon Editor Projekts übernommen. Die Grafikdatei wird entsprechend umkopiert.


Kartenansicht

Handbuch > Tools > GIS Integration > GIS-Editor > Kartenansicht

In der Kartenansicht werden GIS-Elemente per Mausklick projektiert.

  • Die Darstellung ist abhängig vom gewählten Map provider.
  • Die Einträge des Kontextmenüs sind abhängig vom ausgewählten Element.
  • Ist kein gültiger Map provider (Kartenanbieter) verfügbar, ist die Ansicht grau.

Navigation in der Kartenansicht

Die Ansicht kann mit der Maus beliebig ausgerichtet und skaliert werden.

  • Mausrad nach vorne:
    Zoomt in die Kartenansicht = größere Darstellung.
  • Mausrad nach hinten:
    Verkleinert Zoomstufe der Kartenansicht.
  • Mauszeiger bewegen bei gedrückter rechte Maustaste
    Verschiebt die Kartenansicht in Mausrichtung. Während dieses Vorganges wechselt die Darstellung des Mauszeigers.
  • Gedrückte rechte Maustaste auf Element
    Anzeige des Kontextmenüs
    Hinweis: Das Kontextmenü kann durch Drücken auf die Esc-Taste ausgeblendet werden.

In der Leiste unter der Kartenansicht werden folgende Ausgaben angezeigt:

  • Der Status der Zoomvorschau (ON/OFF).
  • Die Koordinaten der Position des Mauszeigers auf der Karte. Dargestellt werden Latitude (Lat:) und Longitude (Lng:).
  • Die aktuelle Zoomstufe (Maximum: 20 / Minimum: 3)


Projektieren im GIS-Editor

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor

Für die Projektierung im GIS-Editor gilt:

  • Die Projektierung wird via Maus und Parametrierung von Eigenschaften umgesetzt.
  • Änderungen der Eigenschaften werden in Echtzeit in der Kartenansicht des GIS-Editors visualisiert.
  • Der geografische Bezug wird in einer Echtzeitansicht von wählbaren Mappen visualisiert.
  • Die projektierten Elemente werden direkt auf einer Karte platziert.
  • Bei Verknüpfungen werden die Inhalte der aktuellen zenon Editorprojekte zur Auswahl angeboten.
  • Die Projektierung wird in einer XML-Datei gespeichert.
    Diese Datei enthält die notwendigen Parameter für das GIS-Control zur Darstellung in der zenon Runtime.

Projektierungsschritte im GIS-Editor

Für eine neue GIS-Projektierung führen Sie folgende Schritte im GIS-Editor aus:

  1. Starten Sie im zenon Editor den GIS-Editor.
  2. Erstellen Sie eine neue Konfigurationsdatei:
    Wählen Sie dazu den Eintrag New in der Menüleiste File.
  3. Projektieren Sie GIS-Element.
    Hinweis: Weitere Informationen dazu finden Sie in den Projektierungsanweisungen der einzelnen Elemente.
  4. Verknüpfen Sie die GIS-Projektierungen mit zenon Bildern.
    1. Wählen Sie dazu den Eintrag Configure GIS controls... in der Menüleiste.
      Der Konfigurationsdialog GIS Control configuration wird geöffnet.
  5. Speichern Sie die Projektierung:
    Klicken Sie dazu den Eintrag Save oder Save as... in der Menüleiste File.

Ändern einer bestehenden GIS-Projektierung

Um eine bestehende Projektierung zu ändern führen Sie folgende Schritte aus:

  1. Starten Sie im zenon Editor den GIS-Editor.
  2. Laden Sie eine bestehende GIS-Konfiguration.
    1. Wählen Sie dazu den Eintrag Open... in der Menüleiste File.
      Der Dateiauswahldialog wird geöffnet.
    2. Wählen Sie eine XML-Datei.
      Die Konfiguration der gewählten Datei wird geladen. Die Inhalte werden im GIS-Editor visualisiert.

Noch in diesem Kapitel

Nutzung der Zoomvorschau

Projektierung einer Ebene

Projektierung einer Linie

Projektierung einer Linie

Projektierung einer Linie

Projektierung eines Fehlermarkers

Verknüpfung von Funktionen

Verknüpfung von Funktionen

Verknüpfung von Funktionen

Konfigurationsdialog GIS Control configuration

Dialog GEO-Koordinaten

Importieren von KML/KMZ Dateien


Nutzung der Zoomvorschau

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Nutzung der Zoomvorschau

Mit der Zoomvorschau können Sie bereits im GIS-Editor die Sichtbarkeit von Bildelementen in bestimmten Zoomstufen testen.

Die Zoomvorschau kann aktiviert oder deaktiviert werden:

  1. Gehen Sie hierzu im GIS-Editor auf Edit.
  2. Klicken Sie auf Enable/Disable Zoom Preview oder drücken Sie die Tastenkombination Strg+E.

    Am linken unteren Rand der Kartenansicht wird angezeigt, ob die Zoomvorschau aktiv (ON) oder inaktiv (OFF) ist.

Generelles Vorgehen:

  1. Schalten Sie die Zoomvorschau ein.
  2. Definieren Sie den gewünschten Zoombereich, in dem die Bildelemente sichtbar sein sollen.
  3. Ändern Sie den Zoombereich auf die gewünschte Stufe.

    Je nach Einstellung sind die Bildelemente nun sichtbar oder unsichtbar.

Einstellen des gewünschten Zoombereichs

Um den Zoombereich einzustellen:

  1. Legen Sie im GIS-Editor ein Bildelement an, falls noch nicht vorhanden.
  2. Definieren Sie auf der linken Seite des Bildschirms unter Visibility die Eigenschaften:
    • Zoom level max: Maximalwert = 20
    • Zoom level min: Minimalwert = 3

Hinweis: Ist der Maximalwert kleiner als der Minimalwert, sind die Bildelemente dauerhaft unsichtbar.

Beispiel: Das Zoom level max wurde auf 17 gestellt, das Zoom level min auf 10. Gehen Sie nun mit dem Mauszeiger auf die Kartenansicht und ändern Sie die Zoomstufe mit dem Mausrad. Von Zoomstufe 17 bis Zoomstufe 10 sind die eingetragenen Bildelemente sichtbar. In den Zoomstufen darüber und darunter sind die Bildelemente unsichtbar.

In der Leiste unter der Kartenansicht werden folgende Ausgaben angezeigt:

  • Der Status der Zoomvorschau (ON/OFF).
  • Die Koordinaten der Position des Mauszeigers auf der Karte. Dargestellt werden Latitude (Lat:) und Longitude (Lng:).
  • Die aktuelle Zoomstufe (Maximum: 20 / Minimum: 3)


Projektierung einer Ebene

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Projektierung einer Ebene

Um eine neue Ebene anzulegen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung den Kontextmenüeintrag Add Layer.
    Im Knoten wird eine neue Ebene mit dem Namen NewLayer hinzugefügt.
  2. Parametrieren Sie die Eigenschaften der Ebene.

Um eine bestehende Ebene zu löschen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die zu löschende Ebene.
  2. Wählen Sie den Kontextmenüeintrag Delete.
    Die ausgewählte Ebene wird ohne Rückfrage aus dem Knoten entfernt.


Projektierung einer Linie

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Projektierung einer Linie

Um eine neue Linie anzulegen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die entsprechende Ebene, auf der die Linie angelegt werden soll.
  2. Wählen Sie im Kontextmenüeintrag Add Line.
    Im Knoten wird eine neue Linie mit dem Namen NewLine hinzugefügt.
  3. Positionieren Sie per Mausklick Linienpunkte (Stützpunkte) im Hauptfenster des GIS-Editors.
  4. Beenden Sie das Zeichnen des Elements durch Drücken der Esc-Taste.
  5. Parametrieren Sie die Eigenschaften der Linie.

Um eine bestehende Linie zu löschen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die zu löschende Linie.
  2. Wählen Sie den Kontextmenüeintrag Delete.
    Die ausgewählte Linie und ihre Projektierungen werden ohne Rückfrage aus dem Knoten entfernt.

Um eine bestehende Linie zu erweitern:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die zu erweiternde Linie.
    Diese Linie wird in der Hauptansicht angezeigt.
  2. Wählen Sie in der Hauptansicht den entsprechenden Kontextmenüeintrag:
    • Add point
    • Extend line at end
    • Extend line at begin

Positionierung der Linie

Linien werden im Hauptfenster des GIS-Editors mit Mausklicks positioniert. Durch Mausklick werden Stützpunkte neu erstellt oder bestehende Stützpunkte verschoben.

Mit der ESC-Taste wird das Zeichnen oder Bearbeiten des Elements beendet. Das Fadenkreuz wird durch den normalen Mauszeiger ersetzt.

attention Achtung

Linien können nur für eine Ebene projektiert werden.
Informationen zum Anlegen einer Ebene finden Sie im Kapitel Projektierung einer Ebene.

Kontextmenüeinträge

Bei Rechtsklick auf eine bereits projektierte Linie in der Kartenansicht wird ein Kontextmenü mit folgenden Einträgen angezeigt:

Parameter | Beschreibung
Add Point | Erweitert die bestehende Projektierung um einen neuen Punkt an der Position des Mauszeigers.
Extend line at end | Erweitert die bestehende Projektierung um einen neuen Punkt am Ende der Linie.
Extend line at begin | Erweitert die bestehende Projektierung um einen neuen Punkt am Beginn der Linie
Delete point | Löscht den ausgewählten Punkt oder den Marker.

Fehlprojektierung einer Linie

Eine Linie muss aus mindestens zwei Punkten (Stützpunkten) bestehen. Wird eine Projektierung nach Positionierung von nur einem Punkt mit der Esc-Taste abgebrochen, wird die Projektierung abgebrochen und ein entsprechender Warndialog angezeigt. Die Linienprojektierung wird verworfen und die erstellte Linie in der Ebene gelöscht.


Projektierung einer Linie

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Projektierung einer Linie

Um eine neue Fläche anzulegen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die entsprechende Ebene, auf der die Fläche angelegt werden soll.
  2. Wählen Sie im Kontextmenüeintrag Add Area.
    Im Knoten wird eine neue Fläche mit dem Namen NewArea hinzugefügt.
  3. Positionieren Sie per Mausklick Eckpunkte der Fläche im Hauptfenster des GIS-Editors.
  4. Beenden Sie das Zeichnen des Elements durch Drücken der Esc-Taste.
  5. Parametrieren Sie die Eigenschaften der Fläche.

Um eine bestehende Fläche zu erweitern:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die zu erweiternde Fläche.
    Die ausgewählte Fläche wird in der Hauptansicht ausgewählt.
  2. Wählen Sie in der Hauptansicht den Kontextmenüeintrag Add Point.

Um eine bestehende Fläche zu löschen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die zu löschende Fläche.
  2. Wählen Sie den Kontextmenüeintrag Delete.
    Die ausgewählte Fläche und ihre Projektierungen werden ohne Rückfrage aus dem Knoten entfernt.

Positionierung der Fläche

Flächen werden im Hauptfenster des GIS-Editors mit Mausklicks positioniert. Durch Mausklick werden Punkte für die Fläche verschoben.

Mit der ESC-Taste wird das Zeichnen oder Bearbeiten des Elements beendet. Das Fadenkreuz wird durch den normalen Mauszeiger ersetzt.

attention Achtung

Flächen können nur für eine Ebene projektiert werden.
Informationen zum Anlegen einer Ebene finden Sie im Kapitel Projektierung einer Ebene.

Kontextmenüeinträge

Bei Rechtsklick auf eine bereits projektierte Fläche in der Kartenansicht wird ein Kontextmenü mit folgendem Eintrag angezeigt:

Parameter | Beschreibung
Add Point | Erweitert die bestehende Projektierung um einen neuen Punkt an der Position des Mauszeigers.

Fehlprojektierung einer Fläche

Eine Fläche muss aus mindestens drei Punkten (Stützpunkten) bestehen. Wird eine Projektierung nach Positionierung von einem oder zwei Stützpunkten mit der Esc-Taste abgebrochen, wird die Projektierung abgebrochen und ein entsprechender Warndialog angezeigt. Die Flächenprojektierung wird verworfen und die erstellte Fläche in der Ebene gelöscht.


Projektierung einer Linie

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Projektierung einer Linie

Um einen neuen Marker anzulegen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die entsprechenden Ebene, auf der der Marker angelegt werden soll.
  2. Wählen Sie im Kontextmenüeintrag Add Marker.
    Im Knoten wird ein neuer Marker mit dem Namen NewMarker hinzugefügt.
  3. Positionieren Sie per Mausklick den Marker im Hauptfenster des GIS-Editors.
  4. Parametrieren Sie die Eigenschaften des Markers.

Um einen bestehenden Marker zu löschen:

  1. Wählen Sie in der Baumansicht der GIS-Projektierung die zu löschende Fläche.
  2. Wählen Sie den Kontextmenüeintrag Delete Element.
    Der ausgewählte Marker und seine Projektierungen werden ohne Rückfrage aus dem Knoten entfernt.

Positionierung des Markers

Ein Marker wird im Hauptfenster des GIS-Editors mit einem Mausklick positioniert. Bei gedrückter Maustaste kann der Marker verschoben werden. Während der Bearbeitung im Hauptfenster wird der Marker mit einem schwarzen Rahmen hervorgehoben.

attention Achtung

Marker können nur für eine Ebene projektiert werden.
Informationen zum Anlegen einer Ebene finden Sie im Kapitel Projektierung einer Ebene.

Kontextmenüeinträge

Bei Rechtsklick auf einen bereits projektierten Marker in der Kartenansicht wird ein Kontextmenü mit folgendem Eintrag angezeigt:

Parameter | Beschreibung
Delete element | Löscht den ausgewählten Punkt oder den Marker.


Projektierung eines Fehlermarkers

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Projektierung eines Fehlermarkers

Fehlermarker zeigen die genaue Lage von Verbindungsunterbrechungen von Linien an.

Die Berechnung der Entfernung zur Verbindungsunterbrechung erfolgt bei einer Wertänderung der ausgewählten Variablen.

Definieren Sie die gewünschten Variablen, indem Sie diese zuweisen:

  • Verknüpfen Sie die Variable für die Berechnung vom Endpunkt der Linie mit Fault marker from end.
  • Verknüpfen sie die Variable für die Berechnung vom Startpunkt der Linie mit Fault marker from start.

Um die Variablen zu verknüpfen:

  1. Legen Sie eine Linie an.
  2. Gehen Sie auf der linken Bildschirmseite auf das Plus bei Settings.

    Das Menü wird geöffnet.

  3. Klicken Sie in das freie Feld rechts von Fault marker from end.

    Die Auswahlschaltfläche ... erscheint.

  4. Klicken Sie auf die Auswahlschaltfäche, um den Dialog Variable zu öffnen.
  5. Wählen Sie die gewünschte Variable mit einem Doppelklick auf diese aus.
  6. Legen Sie auf die gleiche Weise eine Verknüpfung von Fault marker from start mit einer Variable an.
  7. Schließen Sie den Dialog mit einem Klick auf Esc.

Noch in diesem Kapitel

Quittieren einer Fehlerort-Meldung


Quittieren einer Fehlerort-Meldung

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Projektierung eines Fehlermarkers > Quittieren einer Fehlerort-Meldung

Bei Wertänderungen der ausgewählten Variablen zur Bestimmung der genauen Lage von Verbindungsunterbrechungen kommt es zu einer Fehlerort-Meldung.

Sie können diese Fehlerort-Meldung quittieren, indem Sie:

  1. Öffnen Sie das Kontextmenü des Fehlerorteintrags.
  2. Klicken Sie auf Acknowledge, um den Fehler zu quittieren.

    Ein CEL Eintrag wird geschrieben: Fault on line <LineName> acknowledged. Der Eintrag verfügt über den aktuellen Zeitstempel und die Quellvariable.

    Der Fehlermarker verschwindet.


Verknüpfung von Funktionen

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Verknüpfung von Funktionen

Der Bereich der zenon Editor Projektierungsinhalte ist in zwei Fenster geteilt:

  • Function
    Liste aller im aktuellen Projekt des zenon Editors projektierten Funktionen.
    Der Listeneintrag entspricht der Eigenschaft Name im zenon Editor.
    Hinweis: Die Liste ist filterbar. Klicken Sie auf das Trichter-Symbol um ein Filterkriterium auszuwählen.
  • Verknüpfte Funktion(en)
    Liste der mit der GIS-Editor Eigenschaft verknüpften Funktion(en)
    Funktionen können mit einem langsamen Doppelklick aus der Liste Function übernommen oder aus der Liste der verknüpften Funktionen entfernt werden.
    Die Spaltenbreite kann mit gedrückter Maustaste verschoben werden. Durch Klick auf die Filterleiste und Eingabe von entsprechenden Parametern kann die Liste gefiltert werden.
    • Anzeigename der Funktion in der Runtime
      Dieser Name kann durch Klick in das Namensfeld geändert werden.
    • Function
      Name der in zenon projektierten Funktion.
      Dieser Name ist nicht änderbar.

Projektieren im GIS-Editor

Führen Sie folgende Schritte aus, um eine zenon Funktion in der Runtime via Kontextmenü ausführen zu können:

  • Wählen Sie in der Kartenansicht das GIS-Element, das Sie mit einer projektierten zenon Funktion verknüpfen wollen.
  • Klicken Sie in der Eigenschaft Context menu des GIS-Elements den ... Button.
    Der Bereich mit den Projektierungsinhalten des zenon Editors wird angezeigt.
  • Wählen Sie die gewünschte zenon Funktion in der Funktionsliste.
  • Übernehmen Sie die gewählte Funktion via Doppelklick in die Liste der Verknüpften Funktionen.


Verknüpfung von Funktionen

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Verknüpfung von Funktionen

Der Bereich der zenon Editor Projektierungsinhalte für Variablen listet projektierte Variablen auf.

  • Der Listeneintrag entspricht der Eigenschaft Name im zenon Editor.
  • Die Liste ist filterbar.
    Klicken Sie auf das Trichter-Symbol um ein Filterkriterium auszuwählen.
  • Durch Doppelklick auf einen Variablennamen in der Liste wird die ausgewählte Variable mit der Eigenschaft verknüpft.

Projektieren im GIS-Editor

Führen Sie folgende Schritte aus, um eine zenon Variable mit der GIS-Projektierung zu verknüpfen:

  • Wählen Sie in der Kartenansicht das GIS-Element, das Sie mit einer projektierten zenon Variable verknüpfen wollen.
  • Klicken Sie in der Eigenschaft Fill color from limit des GIS-Elements den ... Button.
    Der Bereich mit den Projektierungsinhalten des zenon Editors wird angezeigt.
  • Wählen Sie die gewünschte zenon Variable aus der Liste.
  • Übernehmen Sie die ausgewählte Variable via Doppelklick in die GIS-Projektierung.


Verknüpfung von Funktionen

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Verknüpfung von Funktionen

Der Bereich der zenon Editor Projektierungsinhalte für ALC-Elemente listet projektierte ALC-Linien auf:

  • Die Liste ist filterbar.
    Klicken Sie auf das Trichter-Symbol um ein Filterkriterium auszuwählen.
  • Durch Doppelklick auf einen Variablennamen in der Liste wird die ausgewählte Variable mit der Eigenschaft verknüpft.
  • Die Listeinträge setzen sich zusammen aus:

    [zenon Bildname].[zenon Elementname der ALC-Linie]

Projektieren im GIS-Editor

Führen Sie folgende Schritte aus, um eine zenon Variable mit der GIS-Projektierung zu verknüpfen:

  1. Wählen Sie in der Kartenansicht das GIS-Element, das Sie mit einer projektierten zenon Variable verknüpfen wollen.
  2. Klicken Sie in der Eigenschaft Line color from ALC des GIS-Elements den ... Button.
    Der Bereich mit den Projektierungsinhalten des zenon Editors wird angezeigt.
  3. Wählen Sie das gewünschte zenon ALC-Element aus der Liste.
  4. Übernehmen Sie die ausgewählte Variable via Doppelklick in die GIS-Projektierung.
  5. Schließen Sie den Auswahldialog mit einem Klick auf die Esc-Taste.


Konfigurationsdialog GIS Control configuration

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Konfigurationsdialog GIS Control configuration

In diesem Dialog konfigurieren Sie die Verlinkung einer Datei mit GIS-Projektierungsinhalten mit einem ActiveX GIS Control im zenon Editor.

Parameter | Beschreibung
Screen name | Name des Bildes der zenon Editor Projektierung. Dies entspricht der Eigenschaft Name im zenon Editor. In diesem Dialog werden zenon Bilder mit einem Projektierten GIS-Control angezeigt.
Control name | Name des projektierten GIS ActiveX Controls im zenon Editor. Dies entspricht der Eigenschaft Elementname im zenon Editor.
Select file... | Öffnet Dialog zur Auswahl einer GIS-Konfigurationsdatei (Default: GisConfigLoadFile.xml).
Clear | Verwirft alle projektierten Einstellungen. Der Dialog bleibt weiterhin geöffnet.
Close | Übernimmt Einstellungen und schließt den Dialog.
info Info
Die Anzahl der verfügbaren Einträge sowie deren Benennung sind abhängig von der Projektierung im aktuellen zenon Projekt.

Fehlerbehandlung

Kann die bei Select file... ausgewählte Datei nicht geladen werden, wird dies durch einen Warndialog angezeigt.

Mögliche Lösungen:

  • Ist die gewählte Datei durch einen laufenden Dienst blockiert, beenden Sie den blockierenden Task via Task-Manager.
  • Ist die Datei durch Bearbeitung in einer externen Anwendung blockiert, beenden sie die externe Anwendung.
  • Enthält die ausgewählte Datei eine ungültige XML-Struktur, wählen Sie eine Datei mit einer gültigen Struktur aus.


Dialog GEO-Koordinaten

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Dialog GEO-Koordinaten

In diesem Dialog projektieren Sie GEO-Koordinaten durch manuelle Eingabe von Koordinaten für die geografische Länge und Breite.

attention Achtung

Die Projektierung von GEO-Koordinaten in diesem Dialog wird für die aktuelle Version des GIS-Editors nicht empfohlen.

Parameter

Beschreibung

Members

Liste der projektierten GEO-Koordinaten:

  • Neue Koordinate:
    Klick auf Schaltfläche Add.
  • Koordinate(n) löschen:
    Auswahl und Klick auf Schaltfläche Remove.
    Hinweis: Mehrfachauswahl ist möglich.

Misc

Eigenschaften der bei Members gewählten GEO-Koordinate:

  • Lat:
    GEO-Koordinate der geografischen Breite des Stützpunkts.
  • Lng:
    GEO-Koordinate der geografischen Länge des Stützpunkts.

Add

Fügt eine neue GEO-Koordinate zur Liste Members hinzu.

Remove

Entfernt die ausgewählte GEO-Koordinate aus der Liste Members.

Tipp Tipp

Es wird empfohlen, die GEO-Koordinaten der Stützpunkte in der Hauptansicht der Grafischen Benutzeroberfläche mit der Maus zu platzieren.


Importieren von KML/KMZ Dateien

Handbuch > Tools > GIS Integration > GIS-Editor > Projektieren im GIS-Editor > Importieren von KML/KMZ Dateien

Sie können Daten in den Formaten *.KML und *.KMZ in den GIS-Editor importieren.

Um Daten zu importieren:

  1. Gehen Sie im GIS-Editor auf File und Load KML/KMZ....

    Optional können Sie auf die Tastenkombination Strg + K verwenden.

  2. Der Dialog Select a KML/KMZ file wird geöffnet.
  3. Wählen Sie die gewünschte Datei aus.
  4. Bestätigen Sie die Auswahl mit einem Klick auf Öffnen.

    Der Dialog Select GIS layers to import... wird geöffnet.

    Hinweis: Die Darstellung der Inhalte von *.KML Dateien im GIS-Editor hängt von der internen Struktur der KML-Datei ab. Es werden nicht alle Inhalte unterstützt, die vom aktuellen Standard v2.3 vorgesehen sind.

    Wenn in der Spalte Foldername bereits mehrere Ordner angezeigt werden, können Sie in der Spalte Import durch aktivieren der Checkbox den gewünschten Ordner auswählen.

    Ist nur ein Ordner vorhanden, ist dieser per Default aktiviert.

  5. Bestätigen Sie die Auswahl mit einem Klick auf OK.

    Der ausgewählte Ordner wird importiert. In dem Ordner befindliche Linien, Flächen, Marker und Layerinformationen werden in das Projekt übernommen.


Anwendungsmöglichkeiten

Handbuch > Tools > GIS Integration > GIS-Editor > Anwendungsmöglichkeiten

Durch Konfigurationen im zenon Editor und im GIS Editor können Sie Projekte erstellen, die etwa eine Darstellung von Fehlerstellen wie Leitungsunterbrechungen mit ALC ermöglichen.

Dabei stehen zwei verschiedene Vorgehensweisen zur Verfügung:

  • Nutzung der GIS - Standardfunktionalität
  • Nutzung einer zusätzlichen Add-In Anwendung

Noch in diesem Kapitel

GIS Standardfunktionalität

Zusätzliche Add-In Anwendung


GIS Standardfunktionalität

Handbuch > Tools > GIS Integration > GIS-Editor > Anwendungsmöglichkeiten > GIS Standardfunktionalität

Für die Auswertung von Fehlerort-Meldungen stehen neben den verknüpften Variablen bei gewissen Treibern auch Userbits zur Verfügung. Bei internen Variablen ist dies per Default nicht der Fall. Die Userbits können jedoch in der *.ini Datei des Projekts aktiviert werden:

  1. Gehen Sie im zenon Editor in den Projekteigenschaften auf Runtime Einstellungen.
  2. Aktivieren Sie die Checkbox der Eigenschaft Status/Zeitstempel für Variablen des Intern Treiber.

    Die Userbits der internen Variablen stehen nun zur Verfügung.

Folgende Zustände sind möglich:

Variable / Wert | Userbit / Status | Beschreibung
ungleich 0 | LOW | Aktiver Alarm bei Fehlermarker
ungleich 0 | HIGH | Bestätigter Alarm (Acknowledged)
gleich 0 | HIGH | Fiktiver Zustand, der nur in dieser Anwendungsmöglichkeit auftreten kann.
gleich 0 | LOW | Initialwerte bei Runtimestart

Hinweis: Bei Nutzung dieser Anwendungsmöglichkeit steht eine Variable nach einer einmaligen Verwendung zur Ausgabe einer Fehlerstelle samt Bestätigung des Fehlers für weitere Fehlerort-Meldungen nicht mehr zur Verfügung. Beim Bestätigen des ersten Fehlerfalls wird das Userbit vom GIS System auf den Status HIGH gesetzt. Die Rücksetzung auf den Status LOW ist nur über die Verwendung einer zusätzlichen Add-In Anwendung möglich.

Eine Fehlerort-Meldung kann auf einer, zwei oder mehreren GIS-Instanzen dargestellt werden. Wenn eine Fehlerort-Meldung bestätigt wird, wird diese in allen Instanzen bestätigt.

Zusätzlich wird ein Eintrag in der CEL angelegt.

Hinweis: Auch bei mehreren Instanzen wird nur für die eine bestätige Fehlerort-Meldung ein CEL - Eintrag angelegt.

Pro Linie können zwei Fehlermarker zur Lokalisierung der Fehlerstelle verwendet werden.

Pro Variable kann nur ein Fehlermarker verwendet werden. Dies bedeutet, dass bei laufenden Wertänderungen der Variable auch die Position des Fehlermarkers ständig aktualisiert wird.


Zusätzliche Add-In Anwendung

Handbuch > Tools > GIS Integration > GIS-Editor > Anwendungsmöglichkeiten > Zusätzliche Add-In Anwendung

Die Verwendung einer zusätzlichen Add-In Anwendung ermöglicht die dauerhafte Nutzung einer Variable für Fehlerort-Meldungen.

Beim Bestätigen einer Fehlerort-Meldung und der nachfolgenden Wertänderung der gleichen Variable wird das entsprechende Userbit über die Add-In Anwendung auf den Status LOW zurückgestellt.

Um die Add-In Anwendung zu installieren:

  1. Gehen Sie im Projektmanager des zenon Projekts auf das Plus des Knotens Programmierschnittstellen.

    Die Unterverzeichnisse werden angezeigt.

  2. Klicken Sie mit der linken Maustaste auf Add-Ins.

    Eine Liste mit den derzeit vorhandenen Add-In Anwendungen wird geöffnet.

  3. Klicken Sie im Kontextmenü oder der Menüleiste auf Add-In importieren....

    Der Auswahldialog Öffnen wird geöffnet.

  4. Wählen Sie die gewünschte Datei aus und bestätigen Sie die Auswahl mit einem Klick auf Öffnen.
  5. Die Add-In Anwendung wird importiert und in der Liste dargestellt.

Hinweis: Add-In Anwendungen sind versionsabhängig und projektbezogen. Ein Bereich der unterstützten Version (z.B. zenon Version 7.00 bis zenon Version 8.00) zeigt die Gültigkeit der Add-In Anwendungen auf.


Projektieren im zenon Editor

Handbuch > Tools > GIS Integration > Projektieren im zenon Editor

Die Projektierung im zenon Editor dient als Basis für die Projektierungen im GIS-Editor. Stellen Sie daher sicher, dass alle Projektierungen in zenon - speziell Inhalte von im zenon Editor geöffneten Bildern - gesichert sind. Ungesicherte Inhalte werden nicht im GIS-Editor zur Verknüpfung angeboten.

Tipp Tipp

Eine gut strukturierte Nomenklatur der Elemente im zenon Editor vereinfacht die Zuordnung bei der Verknüpfung im GIS-Editor.

Achtung:
Die Projektierung eines zenon Bildes mit einem GIS-Controls ist zwingend vor Start des GIS-Editors durchzuführen.

Achtung: Damit die erstellten GIS-Konfigurationsdateien zur Runtime zur Verfügung stehen, müssen diese im additional Ordner unter folgendem Pfad vorhanden sein:

C:\ProgramData\COPA-DATA\SQL2012\[Projekt ID]\zenon\custom\additional

info Info

Die Verbindung zwischen einer zenon Projektierung und einer GIS-Projektierung wird via Verknüpfungen realisiert. Dies bedeutet, dass bei einer Änderung der zenon Editorprojektierung die GIS-Projektierung nicht neu erstellt, angepasst oder verknüpft werden muss.

Noch in diesem Kapitel

zenon Bild und GIS-Control

Funktionen und Farben

Variablen, Grenzwerte und Reaktionsmatrizen

GIS-Control - Projektieren im zenon Editor


zenon Bild und GIS-Control

Handbuch > Tools > GIS Integration > Projektieren im zenon Editor > zenon Bild und GIS-Control

Führen Sie folgende Schritte für die Darstellung in der Runtime im zenon Editor durch:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp den gewünschten Bildtyp.
      Hinweis: Das GIS-Control kann für jeden Bildtyp projektiert werden.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Platzieren Sie das Bildelement ActiveX Element auf dem Bild.
      Der Dialog Element-Eingabe wird geöffnet.
    2. Wählen Sie in diesem Dialog den Eintrag GISControl.GISControl aus der Liste der ActiveX Elemente.
    3. Bestätigen Sie die Auswahl mit Klick auf die Schaltfläche OK.
    4. Das Bildelement wird am Bild mit einem Vorschaubild angezeigt:
      Hinweis: die symbolische Darstellung visualisiert immer die am Betriebssystem konfigurierten Landeseinstellungen. Die tatsächliche im GIS-Editor projektierte Zoomstufe und der Mappenausschnitt wird im zenon Editor nicht visualisiert.
    5. Achten Sie darauf, dieses ActiveX-Element mit einer ausreichend Größe zu projektieren, damit es korrekt in der Runtime dargestellt wird.
    6. Projektieren Sie nach Bedarf zusätzliche Elemente für das Bild.
  4. Erstellen Sie eine neue Funktion:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
    Der Dialog zur Auswahl einer Funktion wird geöffnet.

    Navigieren Sie zum Knoten Favoriten.

    1. Wählen Sie die Funktion Bildumschaltung.
    2. Der Dialog zur Auswahl eines Bildes wird geöffnet.
    3. Wählen Sie das gewünschte Bild.
      Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
    4. Benennen Sie die Funktion in der Eigenschaft Name.


Funktionen und Farben

Handbuch > Tools > GIS Integration > Projektieren im zenon Editor > Funktionen und Farben

Funktion(en) - Projektierung

Führen Sie folgende Schritte aus um eine neue Funktion anzulegen:

  1. Erstellen Sie eine neue Funktion:
    • Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
      Der Dialog zur Auswahl einer Funktion wird geöffnet.
  2. Wählen Sie die gewünschte Funktion in der Liste der Funktionen.
  3. Der Dialog zur Auswahl eines Bildes wird geöffnet.
  4. Wählen Sie das gewünschte Bild.
    Hinweis: Wenn Sie ein Bild aus einem anderen Projekt wählen, stellen Sie sicher, dass das Projekt zur Runtime läuft.
  5. Optional: Konfigurieren Sie die Filter.
  6. Benennen Sie die Funktion in der Eigenschaft Name.

Hinweis: Weitere Informationen dazu finden Sie im Handbuch Funktionen und Skripte.

Farbe(n) - Projektierung

Führen Sie folgende Schritte aus um Farben anzulegen:

  1. Erstellen Sie eine neue Farbpalette:
    • Wählen Sie den Knoten Farbpaletten (entweder via Knoten Bilder im lokalen Projekt oder im Globalprojekt).
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Farbpalette neu.
    Eine neue Palette wird angelegt mit:
    • Standardname Farbpalette plus Indexnummer (z. B. Farbpalette 0)
    • gleicher Anzahl von Farben wie die bereits existierenden Paletten, alle Farben sind standardmäßig weiß.
  3. Erstellen Sie neue Farben:
    • Wählen Sie im Kontextmenü oder in der Symbolleiste Farbe neu oder drücken Sie die Einfügen-Taste.

    Am unteren Ende der Farbtabelle wird für alle Paletten eine neue Farbe eingefügt mit

    • Standardfarbe weiß und
    • Standardname Farbe plus Indexnummer, z. B. Farbe 10
  4. Definieren Sie die Farbe und vergeben Sie einen Namen:
    1. Markieren Sie die gewünschte Farbe in der Palette.
    2. Geben Sie die Farbe ein:
    • entweder direkt in die Tabellenzelle der Detailansicht als Hexadezimalcode oder über den Auswahldialog per Klick auf ...
    • oder in den Eigenschaften in der Gruppe Farbe im Feld der Eigenschaftengruppe Farbe als Hexadezimalcode oder über den Auswahldialog per Klick auf ...

Hinweis: Weitere Informationen dazu finden Sie im Handbuch Bilder im Kapitel Farbpaletten.

info Info

zenon Funktionen werden im GIS-Editor in der Eigenschaft Context menu verknüpft.

Weitere Informationen für die Darstellung zur Runtime finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.


Variablen, Grenzwerte und Reaktionsmatrizen

Handbuch > Tools > GIS Integration > Projektieren im zenon Editor > Variablen, Grenzwerte und Reaktionsmatrizen

In der zenon können Variablen, Funktionen und ALC-Objekte aus Haupt- und Unterprojekten verwendet werden. Die Variablen werden beim Starten des GIS-Wizards geladen und neu benannt. Zur Benennung wird folgende Syntax angewandt: PROJEKTNAME#VARIABLENNAME.

Variable(n) - Projektierung

Führen Sie folgende Schritte aus um eine neue Variable anzulegen:

  1. Erstellen Sie eine neue Variable:
    • Wählen Sie im Knoten Variablen im Kontextmenü den Befehl Variable neu.
      Der Dialog zur Konfiguration der Variable wird geöffnet.
  2. Konfigurieren Sie die Eigenschaften der Variable.

Hinweis: Weitere Informationen dazu finden Sie im Handbuch Variablen im Kapitel Variablen erstellen, modifizieren und nutzen.

Grenzwert(e) - Projektierung

Führen Sie folgende Schritte aus um einen neuen Grenzwert anzulegen:

  1. Wählen Sie in der Baumansicht des Projektmanagers den Knoten Variablen.
    • Wählen Sie in der Detailansicht des Projektmanagers eine Variable.
  2. Erstellen Sie einen Grenzwert:
    1. Klicken Sie die Eigenschaftengruppe Grenzwerte.
    2. Erstellen Sie einen neuen Grenzwert durch Klick auf die Eigenschaft {Grenzwert neu}.
      Ein neuer Grenzwert wird erstellt. Die Ansicht der Eigenschaften wechselt zur Eigenschaftenuntergruppe des neuen Grenzwertes.
    3. Projektieren Sie die Eigenschaften für den Grenzwert.
    4. Optional: Verwenden Sie bei der Parametrierung der Grenzwertfarbe Farbpaletten.
      Klicken Sie dazu ... bei der Eigenschaft Grenzwertfarbe und wählen Sie in der Dropdown-Liste die Registerkarte Farbpaletten.
  3. Wiederholen Sie Punkt 2 um weitere Grenzwerte anzulegen.

Hinweis: Weitere Informationen dazu finden Sie im Handbuch Variablen im Kapitel Grenzwerte.

Reaktionsmatrix - Projektierung

Führen Sie folgende Schritte aus um eine Reaktionsmatrix anzulegen:

  1. Erstellen Sie eine neu Reaktionsmatrix.
    1. Navigieren Sie im Knoten Variablen in den Unterknoten Reaktionsmatrix.
    2. Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens den Befehl Reaktionsmatrix neu...
      Der Dialog zur Auswahl einer Reaktionsmatrix wird geöffnet.
    3. Benennen Sie die Reaktionsmatrix und wählen Sie die Art der Reaktionsmatrix aus der Optionenliste.
    4. Bestätigen Sie die Eingabe mit Klick auf die Schaltfläche OK.
      Der Konfigurationsdialog der Reaktionsmatrix wird geöffnet.
  2. Parametrieren Sie die Reaktionsmatrix
    1. Projektieren Sie Zustände für die jeweiligen Status.
    2. Projektieren Sie die Eigenschaft Grenzwertfarbe im Bereich Zusatzattribute.
    3. Optional: Aktivieren Sie die Option Blinken.
  3. Verknüpfen Sie die Reaktionsmatrix mit einer Variable:
    1. Wählen Sie in der Baumansicht des Projektmanagers den Knoten Variablen.
    2. Wählen Sie in der Detailansicht des Projektmanagers eine Variable.
    3. Navigieren Sie in die Eigenschaftengruppe Grenzwerte.
    4. Klicken Sie die Schaltfläche ... bei der Eigenschaft Reaktionsmatrix.
      Der Dialog zur Auswahl einer Reaktionsmatrix wird geöffnet.
    5. Wählen Sie eine projektierte Reaktionsmatrix und bestätigen Sie die Auswahl mit Klick auf die Schaltfläche OK.

Hinweis: Weitere Informationen dazu finden Sie im Handbuch Variablen im Kapitel Reaktionsmatrizen.

info Info

zenon Grenzwerte und Reaktionsmatrizen werden im GIS-Editor in der Eigenschaft Limit color from limit oder Fill color from limit mit einer zenon Variable verknüpft.

Die Variable für die Darstellung der Kartenansicht wird im GIS-Editor in der Eigenschaft Map variable verknüpft.

Weitere Informationen für die Darstellung zur Runtime finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.


GIS-Control - Projektieren im zenon Editor

Handbuch > Tools > GIS Integration > Projektieren im zenon Editor > GIS-Control - Projektieren im zenon Editor

ALC Linie - Projektierung

Führen Sie folgende Schritte für die Darstellung in der Runtime im zenon Editor durch:

  1. Erstellen Sie ein neues Bild:

    Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu.
    Ein leeres Bild vom Typ Standard wird erstellt.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp den gewünschten Bildtyp.
      Hinweis: Das GIS-Control kann für jeden Bildtyp projektiert werden.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Platzieren Sie das Bildelement Linie auf dem Bild.
      Klicken Sie im Bild an den Beginn der Linie und ziehen Sie die Linie bei gedrückter Maustaste.
      Durch Loslassen der Maustaste wird das Ende der Linie gesetzt.
  4. Ändern Sie die Eigenschaften der Linie:
    1. Benennen Sie die Linie in der Eigenschaft Elementname der Eigenschaftengruppe Allgemein.
    2. Aktivieren Sie in der Eigenschaftengruppe Automatic Line Coloring die Eigenschaft Farbe aus ALC.
    3. Optional: Passen Sie die Parametrierung für das Automatic Line Coloring in den Eigenschaften der Projekteigenschaftengruppe Automatic Line Coloring an.
  5. Speichern Sie die Projektierungen des zenon Bildes.
  6. Optional: Projektieren Sie zusätzliche ALC-Linien:
    • Wiederholen Sie die Schritte 5 bis 7.

Hinweis: Weitere Informationen dazu finden Sie im Handbuch Automatic Line Coloring im Kapitel Leitungen.

Blinken - Projektierung

Führen Sie folgende Schritte durch um das Blinken von Bildelementen zu aktivieren:

  1. Platzieren Sie das gewünschte Bildelement auf einem zenon Bild.
  2. Ändern Sie die Eigenschaften des Bildelements:
    1. Aktivieren Sie die Eigenschaft Alarmmeldeliste aktiv in der Eigenschaftengruppe Alarmmeldeliste.
    2. Aktivieren Sie die Eigenschaft Unquittierte Alarme blinken.
    3. Optional: Projektieren Sie weitere Alarmeinstellungen.

info Info

zenon ALC-Linien werden im GIS-Editor in der Eigenschaft Limit color from ALC oder Fill color from ALC mit einer zenon ALC Linie verknüpft.

Weitere Informationen für die Darstellung zur Runtime finden Sie im Kapitel Einfärbung von GIS-Elementen in der zenon Runtime.


Bedienung in der zenon Runtime

Handbuch > Tools > GIS Integration > Bedienung in der zenon Runtime

Navigation in der Kartenansicht

Die Navigation erfolgt mit der Maus:

  • Mausrad nach vorne:
    Zoomt in die Kartenansicht = größere Darstellung.
  • Mausrad nach hinten:
    Verkleinert Zoomstufe der Kartenansicht.
  • Mauszeiger bewegen bei gedrückter rechte Maustaste
    Verschiebt die Kartenansicht in Mausrichtung. Während dieses Vorganges wechselt die Darstellung des Mauszeigers.
  • Gedrückte rechte Maustaste auf Element
    Anzeige des Kontextmenüs
    Hinweis: Das Kontextmenü kann durch Drücken auf die Esc-Taste ausgeblendet werden.

Ausführung von verknüpften Funktionen via Kontextmenü

Via Rechtsklick auf eine Linie oder in eine Fläche wird das Kontextmenü des Elements angezeigt. In diesem Kontextmenü werden zenon Funktionen angeboten, die bei der Projektierung verknüpft wurden. Durch Auswahl eines Kontextmenüeintrags wird die Funktion in der Runtime ausgeführt.

Anzeige bei ungültigem Map provider

Ist kein gültiger Kartenanbieter (Map provider) verknüpft oder kann die Kartenansicht mit der bestehenden Projektierung nicht geladen werden, wird in der Runtime ein grauer Hintergrund angezeigt.

Noch in diesem Kapitel

Einfärbung von GIS-Elementen


Einfärbung von GIS-Elementen

Handbuch > Tools > GIS Integration > Bedienung in der zenon Runtime > Einfärbung von GIS-Elementen

GIS-Elemente übernehmen für die Darstellung in der zenon Runtime die Farbe entsprechend der Projektierung der Variable im zenon Editor. Sind für ein GIS-Element mehrere Projektierungen der Einfärbung konfiguriert und zutreffend werden diese nach einer vorgegebenen Priorität visualisiert.

In der Runtime wird immer nur die höchst-priore Farbgebung visualisiert.

Priorisierung der Einfärbung

Die Einfärbung eines GIS-Elementes wird in der zenon Runtime nach folgender Reihenfolge angezeigt:

  1. Automatic Line Coloring
    Ist in der GIS-Projektierung eine zenon ALC-Linie verknüpft, wird die Einfärbung des verknüpften Elements in der Runtime entsprechend der ALC-Linienprojektierung visualisiert.
  2. Reaktionsmatrix
    Enthält die GIS-Projektierung eine Verknüpfung mit einer zenon Variable mit verknüpfter Reaktionsmatrix wird die Einfärbung des GIS-Elements entsprechend der REMA-Projektierung in der Runtime visualisiert.
  3. Grenzwert
    Tritt eine Grenzwertverletzung bei einer Variable auf und wurde diese Variable im GIS-Editor verknüpft, werden für die Anzeige des Elements in der Runtime die bei der Variable verknüpften Grenzwertfarben verwendet.
  4. Projektierte Farbe im GIS-Editor
    Wurde bei der Projektierung im GIS-Editor keine Variable für ALC, REMAs oder Grenzwerte verknüpft wird die im GIS-Editor projektierte (statische) Farbe angezeigt.

Blinken

Wurde in der Projektierung im zenon Editor für das im GIS-Editor verknüpfte Element (Variable, ALC-Linie, ...) Blinken projektiert, wird dies auch für die Anzeige von GIS-Elementen in der zenon Runtime visualisiert. Das Blinkintervall ist dabei mit einem Wert von 750 Millisekunden vorgegeben. Dieses Blinkintervall kann nicht verändert werden.


Startup Tool

Handbuch > Tools > Startup Tool

Das Startup Tool ermöglicht es:

  • Editor und Runtime mit bestimmten Parametern zu starten
  • unterschiedliche zenon Versionen parallel auf einem Rechner zu betreiben
    (bereits installierte zenon Versionen werden bei der Installation automatisch im Startup Tool angelegt)
  • unterschiedliche SQL-Instanzen für die gleiche zenon Version verwalten
  • Einstellungen unterschiedlicher Versionen zu verwalten
  • die Sprache des Editors und der Runtime vor dem Start zu definieren
  • die Sprache des Web Clients vor dem Start zu definieren
  • Tools direkt im Startup Tool zu starten

attention Achtung

Das Startup Tool startet nur, wenn der Dienst zenAdminSrv läuft. Falls dieser nicht aktiv ist, kann er in der Windows Systemsteuerung unter Verwaltung/Dienste manuell gestartet werden.

Noch in diesem Kapitel

Startdialog

Properties

Meldungen beim Registrieren

Kommandozeile

Tools


Startdialog

Handbuch > Tools > Startup Tool > Startdialog

Im Startdialog verwalten Sie die aktuell installierten Versionen von zenon. Ab Version 7.10 haben Sie die Möglichkeit, Editor und Runtime wahlweise als 32-Bit Applikation oder als 64-Bit Applikation zu starten.

Wurde nur eine 32-Bit Version von zenon 7.10 spezifiziert oder eine ältere Version erkannt, wird für Editor und Runtime nur jeweils eine Schaltfläche angezeigt:

Wurden beide Versionen spezifiziert, werden geteilte Schaltflächen für 32-Bit und für 64-Bit angezeigt.

Schaltfläche

Funktion

Liste der zenon Versionen

Zeigt alle installierten zenon Versionen an.

Move entry down

Bewegt den ausgewählten Eintrag in der Liste nach unten.

Move entry up

Bewegt den ausgewählten Eintrag in der Liste nach oben.

Editor

Startet den Editor der ausgewählten zenon Version.

Bei 64-Bit Versionen stehen zwei getrennte Schaltflächen zur Verfügung. Die Schaltfläche für 64-Bit enthält in der linken unteren Ecke einen entsprechenden Hinweis.

Runtime

Startet die Runtime der ausgewählten zenon Version.

Bei 64-Bit Versionen stehen zwei getrennte Schaltflächen zur Verfügung. Die Schaltfläche für 64-Bit enthält in der linken unteren Ecke einen entsprechenden Hinweis.

Register

Registriert alle Dienste der ausgewählten zenon Version:

  • Standard: Registriert zenon. Der ZenSysSrv wird als Prozess registriert.
  • Terminal Server: Registriert zenon für die Verwendung mit einem Terminal Server. Abläufe:
    Der ZenDBSrv wird deregistriert und nicht mehr neu registriert und auch nicht gestartet.
    Der ZenSysSrv wird als Dienst registriert.
    Die Einträge in der zenon6.ini werden für die Verwendung am Terminal Server angepasst.

Sind in einem Eintrag keine Parameter für Workspace und/oder Runtime hinterlegt, wird die aktuelle Version neu registriert. Das gilt für die Registrierung als Standard und als Terminal Server.

Help

Öffnet die Online-Hilfe.

Update Help

Startet das Documentation-Download-Tool.

Tools

Öffnet einen Dialog zum Starten weiterer Applikationen der ausgewählten zenon Version.

Werden die Tools für eine gültige 64-Bit Version geöffnet, dann werden die Tools in zwei Listen für 32-Bit Tools und 64-Bit Tools dargestellt.

Vorgänge beim Starten

Beim Starten des Editors oder der Runtime werden die Daten aus den Starteinstellungen in die zenon6.ini Datei geschrieben. In der INI-Datei vorhandene Einstellungen werden überschrieben.

Ab Version 5 wird die Netzwerkkommunikation über die beiden Dienste zenNetSrv.exe und zenSysSrv.exe abgewickelt. Beide Dateien müssen sich im zenon Ordner befinden. Da die Dienste versionsabhängig sind, müssen sie auch passend zu den Versionen registriert werden.

attention Achtung

Nach dem Konvertieren eines Projektes in eine höhere zenon Version ist dieses mit der Vorgängerversion nicht mehr editierbar oder lauffähig. Allerdings kann die bei der Konvertierung erstellte Sicherungsversion noch im ursprünglichen Editor verwendet werden.

Bei Netzwerkprojekten müssen auf Server und Clients die gleichen zenon Editor-Versionen gestartet werden.

Noch in diesem Kapitel

Application

Item

Help


Application

Handbuch > Tools > Startup Tool > Startdialog > Application

Eintrag | Funktion
Options | Öffnet den Dialog zur Konfiguration der Einstellungen.
Exit | Beendet das Startup Tool.

Options

  • Der Eintrag Options im Menü Application öffnet den Dialog zur Konfiguration der Eigenschaften für:
  • General:
    Allgemeine Einstellungen
  • Network configuration:
    Konfiguration des Netzwerks und der starken Verschlüsselung der Netzwerkkommunikation
  • Listening ports:
    Konfiguration der Überwachungsports
  • Service startup:
    Programme als Dienst starten

Noch in diesem Kapitel

General

Network configuration

Listening ports

Startup


General

Handbuch > Tools > Startup Tool > Startdialog > Application > General

Allgemeine Einstellungen:

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.
Die Schaltflächen werden in der Systemsprache des Rechners angezeigt.

Option | Aktiv | Inaktiv
Start Startup Tool mimimized | Startet das Tool minimiert. Das Tool ist über eine Schaltfläche in der Taskleiste erreichbar. Das Kontextmenü bietet für die aktive zenon Version alle im Startdialog möglichen Aktionen an. | Öffnet das Tool auf dem Desktop (default).
Remember last registered version | Setzt die gewählte Version auf Standard und wählt sie beim nächsten Start automatisch aus. Die Version wird dann nicht erneut registriert (default). | Bietet beim Start des Startup Tools die erste Version in der Liste zur Auswahl an. Beim Start des Editors oder der Runtime wird die jeweilige Version immer neu registriert.
Disable Windows Key | Auf der Tastatur wird die Windows-Taste gesperrt und hat keine Funktion. Änderungen werden erst nach einem Neustart des Systems wirksam. Dieser benötigte Neustart wird mit einem Dialog visualisiert. | Die Windows-Taste steht zur Verfügung. Änderungen werden erst nach einem Neustart des Systems wirksam. Dieser benötigte Neustart wird mit einem Dialog visualisiert.

Option

Beschreibung

Language for Editor and Runtime

Startet Editor oder Runtime in der ausgewählten Sprache. Auswahl aus Combobox:

  • Tschechisch
  • Chinesisch
  • Deutsch
  • Englisch
  • Spanisch
  • Französisch
  • Italienisch
  • Russisch

Stellt sicher, dass zenon mit der im Startup Tool gewählten Sprache gestartet wird. Hat keinen Einfluss beim direkten Start der zenon.exe.

Verhalten der Option Disable Windows Key

Die Option Disable Windows Key verhält sich wie folgt:

Blockade setzen

  • Ausgangssituation: Die Option ist nicht gesetzt.
  • Aktion: Die Option wird aktiviert.
  • Resultat:
    • Das System muss neu gestartet werden.
    • Die Windows-Taste wird für die Bedienung deaktiviert. Windows-Tastenkombinationen sind blockiert.

Blockade aufheben

  • Ausgangssituation: Die Option ist nicht gesetzt.
  • Aktion: Die Option wird deaktiviert.
  • Resultat:
    • Das System muss neu gestartet werden.
    • Die Windows-Taste steht für die Bedienung zur Verfügung. Die Blockade der Windows-Tastenkombinationen wird aufgehoben.


Network configuration

Handbuch > Tools > Startup Tool > Startdialog > Application > Network configuration

Ab zenon Version 7 kann:

  • IPv6 verwendet werden
  • die Übertragung im Netzwerk verschlüsselt werden.

Diese Dialog konfiguriert:

  • Timeouts
  • die Verwendung von TCP/IP über IPv4 oder IPv6
  • die starke Verschlüsselung der Netzwerkkommunikation am lokalen Rechner
  • die Verschlüsselung für Runtime Connector

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.
Die Schaltflächen werden in der Systemsprache des Rechners angezeigt.

General settings

Allgemeine Einstellungen.

Änderungen dieser Einstellungen werden mit der Registrierung in die zenon6.ini geschrieben und überschreiben dort eventuell abweichende manuelle Konfigurationen.

Geänderte Einstellungen müssen für alle Runtime-Rechner oder alle verbundenen Stationen durchgeführt werden. Bei Änderungen der IPv6 Einstellung muss der Rechner neu gestartet werden.

Änderungen werden beim Verlassen des Dialogs erst nach Bestätigung einer Warnmeldung mit Klick auf den Button Ja durchgeführt.

Parameter

Beschreibung

Network communication timeout

Timeout für Netzwerkkommunikation in Sekunden.
Default = 30

Entspricht Eintrag NET_TIMEOUT_MSEC= in der zenon6.ini.

Network module timeout

Timeout für Modulkommunikation in Sekunden. Wird für nicht spontane Modulanforderung am Client oder Standby verwendet. Wenn innerhalb der eingestellten Zeit keine Antwort vom Server kommt, wird die Aktion abgebrochen.

Default = 30

Beispiele: Aufruf von Archivdaten für Erweiterten Trend, Rezept-Verwaltung, Passwortliste ...)

Entspricht Eintrag NET_NETMODULTIMEOUT_MSEC= in der zenon6.ini.

Time synchronisation with server project

Checkbox für die Einstellung der Zeitsynchronisation.

  • Aktiv:
    Zeit wird mit einem Serverprojekt abgeglichen (default).
  • Inaktiv:
    Zeit wird nicht abgeglichen (z.B für Kreisredundanz)

Default: inaktiv

Entspricht Eintrag TIMESYNCH= in der zenon6.ini.

Use IPv6 for all TCP/IP connections

Checkbox für die Aktivierung von IPv6 für die TCP/IP Kommunikation.

  • Aktiv:
    Alle TCP-Verbindungen werden ausschließlich über IPv6 aufgebaut.
  • Inaktiv:
    Alle TCP-Verbindungen werden ausschließlich über IPv4 aufgebaut.

Default: inaktiv

Dualer Betrieb ist nicht möglich.

Entspricht Eintrag USEIPV6= in der zenon6.ini.

Hinweis: Wird diese Option geändert, muss der Rechner neu gestartet werden. Die Änderung muss auch auf allen verbundenen Stationen durchgeführt werden.

Folgende Komponenten sind von der Einstellung nicht betroffen (verwenden IPv4):

  • Treiberkommunikation mit den Steuerungen
  • Protokollkommunikation in den ProcessGateway-Plugins
  • Workbench- und Runtimekommunikation in zenon Logic
  • Kommunikation des SNMP Trapdienstes (zenSnmpTrapSrv.exe) mit dem SNMPNG32 Treiber

Achtung: Funktioniert nur ab Version 7. Bei aktiver Option können keine Versionen vor 7 gestartet werden.

Encrypt network communication

Einstellungen für starke Verschlüsselung im Netzwerk.

Parameter

Beschreibung

Encrypt network communication

Checkbox für die Aktivierung der starken Verschlüsselung.

  • Aktiv:
    Die Kommunikation wird verschlüsselt.
  • Inaktiv:
    Die Kommunikation wird nicht verschlüsselt.

Default: inaktiv.

Password

Eingabefeld für das Passwort für die verschlüsselte Netzwerkkomunikation.

Kriterien siehe Abschnitt "Passwort Netzwerkverschlüsselung" im Kapitel Starke Verschlüsselung der Netzwerkkommunikation.

Die angezeigte Länge wird immer auf 20 Zeichen gesetzt, um die tatsächliche Länge zu verbergen.

Das hier konfigurierte Passwort wird verschlüsselt in der zenon6.ini abgelegt.

Confirm password

Eingabefeld für die Passwortbestätigung.
Passwort zur Bestätigung erneut eingeben.

Encrypt Runtime Connector communication

Einstellungen für die verschlüsselte Kommunikation der HTML Web Engine, des SCADA Runtime Connectors (zenon und <ZRS> und des Remote Runtime Treibers (RemoteRT.exe).

Parameter

Beschreibung

Encrypt Runtime Connector communication

Checkbox für die Aktivierung der verschlüsselten Kommunikation mit SCADA Runtime Connectoren (HTML Web Engine, zenon, zenon Analyzer) und Remote Runtime Treiber.

  • Aktiv:
    Die Kommunikation im Netzwerk wird verschlüsselt.
  • Inaktiv:
    Die Kommunikation im Netzwerk wird nicht verschlüsselt.

Default: inaktiv

Hinweis: Diese Verschlüsselung gilt auch für Kommunikation des zenon Web Clients.

Password

Eingabefeld für das Passwort für die verschlüsselte Netzwerkkommunikation.

Kriterien siehe Abschnitt "Passwort Netzwerkverschlüsselung" im Kapitel Starke Verschlüsselung der Netzwerkkommunikation.

Die angezeigte Länge wird immer auf 20 Zeichen gesetzt, um die tatsächliche Länge zu verbergen.

Entspricht Eintrag ENCRYPTION_PWD= in der zenon6.ini.

Confirm password

Eingabefeld für die Passwortbestätigung.
Passwort zur Bestätigung erneut eingeben.

attention Achtung

Wurden in der lokalen zenon6.ini Einträge manuell geändert, werden diese überschrieben, sobald beim Registrieren die Sicherheitsabfrage mit Ja bestätigt wird.

Bestätigungsdialog

Änderungen der Konfiguration werden erst nach entsprechender Bestätigung in einem Bestätigungsdialog abgeschlossen:

  • Klicken Sie den Button JA um Ihre Konfigurationen zu übernehmen.
  • Klick auf den Button Abbrechen kehrt zur Konfiguration zurück.

Meldungen

Erklärungen zu System- und Fehlermeldungen finden Sie im Abschnitt Meldungen beim Registrieren.

info Info

Hinweise zu Fehlermeldungen der starken Verschlüsselung finden Sie im:

Handbuch Netzwerk -> Kapitel Starke Verschlüsselung der Netzwerkkommunikation -> Abschnitt Fehlermeldungen.


Listening ports

Handbuch > Tools > Startup Tool > Startdialog > Application > Listening ports

In dieser Registerkarte können die von zenon benutzten Ports für einzelne Anwendungen individuell konfiguriert werden. Zur Runtime werden die in der jeweiligen zenon6.ini gespeicherten Einstellungen verwendet.

attention Achtung

Beachten Sie bei der Konfiguration:

  • Änderungen in dieser Registerkarte können einen Neustart des Rechners auslösen.
    Hinweis: Dies wird durch einen entsprechenden Dialog angezeigt. Wird dieser Dialog durch Klick auf die Schaltfläche Nein geschlossen, werden keine Änderungen übernommen.
  • Alle Rechner, mit denen kommuniziert wird, müssen über dieselben Einstellungen verfügen.
  • Diese Einstellungen stehen unter Windows CE nicht zur Verfügung.
  • Wenn eine IP Adresse definiert ist, muss diese angepasst werden wenn die Einstellung für IPv6 aktiviert oder deaktiviert wird.
  • Wenn eine definierte Netzwerkkarte nicht verbunden ist zum Zeitpunkt wo der Dienst gestartet wird, wird kein Listening Socket geöffnet
  • Fehlermeldungen werden nicht im Diagnosis Server protokolliert sondern im Windows Application Event Log.

Dialog Listening ports

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.
Die Schaltflächen werden in der Systemsprache des Rechners angezeigt.

Parameter

Beschreibung

Services

Liste mit allen konfigurierbaren Anwendungen. Die ausgewählte Anwendung kann über die die Optionen in Settings konfiguriert werden.

Settings

Einstellungen für die in Services ausgewählte Anwendung.

All network adapters

Für die Bindung der Überwachungsports (Listening ports) werden alle verfügbaren Netzwerkkarten verwendet.

Single network adapter

Für die Bindung der Überwachungsports (Listening ports) wird die hier eingegebene lokale Adresse verwendet.

Unterstützte Protokolle:

  • IPv4
  • IPv6

Single network adapter

Für die Bindung der Überwachungsports (Listening ports) wird die erste Adresse der hier definierten Netzwerkkarte verwendet.

Default port

Für die Bindung wird die Standard-Portnummer verwendet.

Customer port

Für die Bindung wird die hier eingegebne Portnummer verwendet.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Standard-Ports

Zuordnung der Standard-Ports zu Anwendungen:

Anwendung | Standard-Port
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (für Verteiltes Engineering im Editor) | 1434
zenAdminSrv.exe | 50777
zenLicTransfer (License Transfer Service) | 50784
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
WEB Service Tunneling | 8080
zenon Logic |
Belegter Port für zenon Logic oder straton hängt ab vom Projekt und Dienst. Z. B.: Erstes zenon Logic Projekt belegt 1200 und 9000, zweites Projekt 1201 und 9001 usw. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Treiber |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Startup

Handbuch > Tools > Startup Tool > Startdialog > Application > Startup

Über den Dienst zenStartupMgr können Dienste und Programme automatisch gestartet werden.

Tipp Tipp

Nutzen Sie die Möglichkeit, die zenon Runtime automatisch als Dienst zu starten.

Dialog Service startup

Parameter

Beschreibung

Service startup

Autostart für Dienste. Ermöglicht es, Programme als Dienste zu starten.

Liste Services

Liste der konfigurierten Dienste.

New

Öffnet Dialog zum Auswählen eines Programms.

Edit

Öffnet Dialog um den markierten Eintrag zu bearbeiten.

Delete

Löscht den markierten Eintrag.

Autostart

Abschnitt für die Aktivierung von Autostart.

Connector Container

Autostart für Connector Container für z. B. zenon Analyzer, Web Engine oder Remote Runtime.

  • Aktiv: Der Connector Container wird bei der Anmeldung eines Benutzers automatisch gestartet.

Nur verfügbar, wenn wenn sich der Ordner mit dem Connector Container im gleichen Pfad befindet wie das Startup Tool.
Beispiel:
Das Startup Tool befindet sich in %ProgramFiles(x86)%\Common Files\COPA-DATA\STARTUP.
Der Connector wird gesucht in %ProgramFiles(x86)%\Common Files\COPA-DATA\Connectors.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Dialog Programm auswählen

Parameter | Beschreibung
Program | Pfad zum Programm, das als Dienst gestartet werden soll. Klick auf Schaltfläche ... öffnet Dateiauswahldialog. Maximale Länge: 259 Zeichen
Parameters | Eingabe von Parametern. Die möglichen Parameter sind abhängig von dem in der Option Program ausgewählten Programm. Maximale Länge: 259 Zeichen
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.

Runtime als Dienst starten

Um eine Runtime als Dienst zu starten:

  1. Registrieren Sie die Datei zenStartupMgr.exe als Dienst.
  2. Konfigurieren Sie die Eigenschaften für die Anmeldung.
  3. Starten Sie, wenn nötig, den Remote-Transport mit dem zenStartupMgr.
  4. Definieren Sie im Startup Tool die zu startende Runtime.
  5. Konfigurieren Sie bei einer Dongle-Lizenzierung eine Startverzögerung für die zenon Runtime.

Details dazu finden Sie im Handbuch Runtime im Kapitel Runtime als Dienst starten.

Achtung: Wird die Runtime über den zenStartupMgr gestartet wird, darf sie von Benutzern nicht mehr gestoppt oder neu gestartet werden.

Dienst registrieren

Um zenStartupMgr.exe als Dienst zu registrieren:

  1. Öffnen Sie die Kommandozeile.
  2. Navigieren Sie zum Speicherort der Datei zenStartupMgr.exe.
    (Default 32-Bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (Default 64-Bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Registrieren Sie die Datei mit dem Kommando zenStartupMgr.exe –service als Dienst.
    Hinweis: Damit wird der Dienst, falls er bereits läuft, erst gestoppt und dann registriert. Ein laufender zenStartupMgr wird beendet.

Dienst für die Verwendung vieler Treiber konfigurieren

Windows als Betriebssystem beschränkt durch den fest reservierten Desktop-Speicher die Anzahl erzeugbarer Fenster, abhängig von Version und möglicher Interaktion mit dem Desktop.

Version/Aktion | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-bit | 20 MB | 768 KB

zenon Treiber benötigen jeweils mehrere Fenster. Die Anzahl der verwendbaren Treiber kann über die Option Datenaustausch zwischen Dienst und Desktop zulassen in den Eigenschaften des Dienstes beeinflusst werden.

  • Inaktiv:
    Es können maximal 20 Treiber gestartet werden.
  • Aktiv:
    Es können gleich viele Treiber gestartet werden wie in einer als Benutzerprozess gestarteten Runtime.

Um die Option Datenaustausch zwischen Dienst und Desktop zulassen aktivieren:

  1. Öffnen Sie den Windows Dienste-Manager.
  2. Öffnen Sie die Eigenschaften des Dienstes zenStartupMgr.
  3. Navigieren Sie zur Registerkarte Anmelden.

  4. Aktivieren Sie die Option Datenaustausch zwischen Dienst und Desktop zulassen.
    Dieser Dienst muss auf den Starttyp automatisch konfiguriert werden. Bei aktivem Dienst erhält der auf dem Rechner angemeldete Benutzer einen Hinweis, wenn die zenon Runtime als Dienst ein zusätzliches Fenster öffnet, zum Beispiel bei einem neuen Alarm und aktiver Statuszeile.

    Hinweis Windows 8/Server 2012: Damit der Dienst gestartet werden kann, muss ein Eintrag in der Windows Registry korrekt gesetzt sein:

    1. Navigieren Sie zum Eintrag HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Öffnen oder erstellen Sie den DWORD-Wert NoInteractiveServices.
    3. Setzen Sie den Dezimalwert von 1 auf 0.
  5. Um zu verhindern, dass am Desktop Runtime-Meldungen angezeigt werden:
    Deaktivieren Sie den Dienst Erkennung interaktiver Dienste.


Item

Handbuch > Tools > Startup Tool > Startdialog > Item

Das Menü Item beinhaltet die folgenden Einträge:

Eintrag | Funktion
New | Legt einen neuen Eintrag in der Liste an und öffnet den Dialog Properties.
Delete | Löscht den ausgewählten Eintrag nach Bestätigung einer Sicherheitsabfrage.
Properties | Öffnet den Dialog Properties für den ausgewählten Eintrag.


Help

Handbuch > Tools > Startup Tool > Startdialog > Help

Menü Help zum Aufruf von:

  • Help:
    Öffnet die Online-Hilfe für das Startup Tool.
  • Info about:
    zeigt Versionsinformationen für das Startup Tool an.
  • Update Help:

    Startet das Documentation-Download-Tool.


Properties

Handbuch > Tools > Startup Tool > Properties

Im Dialog Properties werden die Parameter jedes Eintrags definiert:

Eintrag | Funktion
General | Allgemeine Einstellungen
Database | Einstellungen zur Datenbankverbindung
Extras | Einstellungen zur Registrierung von ActiveX Controls (ocx) und COM Server (dll) sowie zum Start zusätzlicher Programme oder Batch-Dateien.

Noch in diesem Kapitel

General

Database

Extras


General

Handbuch > Tools > Startup Tool > Properties > General

In diesem Abschnitt werden die Details zu den zenon Versionen eingetragen. Der Pfad zur 32-Bit Version von zenon ist zwingend erforderlich. Erkennt das Startup Tool eine 64-Bit Version, wird auch der Pfad zur 64-Bit Version für einen Eintrag freigegeben.

Die folgenden Eigenschaften stehen für einen Eintrag zur Verfügung:

General

Parameter

Beschreibung

Name

Eindeutiger Name, wie er in der Liste angezeigt werden soll. Der Eintrag ist unbedingt erforderlich.

Version

Das Startup Tool trägt hier automatisch die Versionsnummer von zenon ein. Dazu muss zuvor unter Program Path ein Programmpfad ausgewählt werden.

Programm path (32-bit)

Programmpfad, in dem sich die ausführbare 32-Bit Version der zenon-Datei (Zenrt32.exe) befindet.

Wird hier eine 64-Bit Version von zenon erkannt, wird auch die Eigenschaft Programm path (64-bit) zur Eingabe freigegeben.

Programm path (64-bit)

Programmpfad, in dem sich die ausführbare 64-Bit Version der zenon-Datei (Zenrt32.exe) befindet.

Eingabe erst möglich, wenn der Pfad zur 32-Bit Version angegeben wurde und eine 64-Bit Version von zenon erkannt wurde.

Sobald beide Pfade korrekt eingegeben wurden, werden die Schaltflächen für den Start von Editor und Runtime in je zwei Schaltflächen, eine für 32-Bit und eine für 64-Bit, aufgeteilt.

Overwrite INI settings

Aktiv: Beim Start des Editors werden immer die Einstellungen dieses Dialoges verwendet. Änderungen während der Arbeit mit dem Editor werden verworfen. Betroffen sind Workspace, Editor-Project, Runtime-Project und Runtime-Path.

Take over INI settings

Aktiv: Alle geänderten Einstellungen für Workspace, Editor-Project, Runtime-Project und Runtime-Path werden nach dem Schließen des Editors in der zenon6.ini gespeichert, in das Startup Tool eingelesen und beim nächsten Start verwendet.

Editor

Parameter | Beschreibung
Workspace | Der gewünschte Arbeitsbereich beim Start des Editors. Sobald dieser eingetragen ist, werden alle in diesem Arbeitsbreich befindlichen Projekte automatisch in der Dropdownliste unter Editor-Projekt angezeigt.
Editor-Project | Auswahl des Projekts, das nach dem Start im Editor aktiv sein soll.

Runtime

Parameter | Beschreibung
Runtime-Project | Projekt, das als Startprojekt für die Runtime gesetzt wird.
Runtime-Path | Pfad des Projektes. Ist das Runtime-Projekt im Arbeitsbereich enthalten, wird der Pfad automatisch eingestellt.

info Info

Unbekannte Parameter?

Falls die Einstellungen für den Arbeitsbereichs nicht bekannt sind, nutzen Sie folgende Vorgehensweise:

  1. Name, Program Path und Workspace eintragen
  2. Editor-Project, Runtime-Project und Runtime-Path frei lassen
  3. Read back the INI settings aktivieren
  4. Dialog mit OK verlassen.

Nachdem der Editor einmal gestartet und wieder beendet wurde, werden die Starteinstellung automatisch aus der INI-Datei übernommen.


Database

Handbuch > Tools > Startup Tool > Properties > Database

Hier definieren Sie die Datenbank-Eigenschaften. Diese erlauben es, verschiedene SQL-Instanzen für verschiedene Einträge (zenon Versionen) zu verwenden.

attention Achtung

Ab Version 6.51 kann die SQL-Instanz definiert werden und das Passwort wird verschlüsselt abgelegt. Neue Einträge sind höherprior als bestehende.

Kompatibilität: Wird nichts geändert, bleiben die bestehenden Einträge weiterhin gültig. Wird jedoch für eine Version ab 6.51 ein Eintrag geändert, gelten die neuen Einträge. Ältere Versionen müssen dann extra gewartet werden! Die Einstellungen für Versionen vor 6.51 finden Sie im Kapitel Database vor Version 6.51.

Anzeige Dialog: Die Anzeige der Dialoge wird automatisch an die gewählte Version (vor 6.51, ab 6.51) angepasst.

Eintrag

Funktion

Read from zenDB.ini

Ein Klick auf die Schaltfläche liest die Einstellungen der Datei zenDB.ini aus und befüllt automatisch die Felder:

  • SQL Instance
  • DB Path
  • User
  • Password

Clear all fields

Alle Eingabefelder werden geleert.

Leere Einträge werden beim Registrieren nicht in die zenDB.ini geschrieben.

SQL Instance

Auswahl der zu verwendenden Instanz des SQL Servers.

Der Name kann direkt in das Eingabefeld geschrieben oder aus der Dropdownliste ausgewählt werden.
Hinweis: Beim Klick auf die Dropdownliste wird der lokale Rechner nach Instanzen durchsucht, die dann aufgelistet werden. Die Suche kann einige Zeit in Anspruch nehmen.

DB Path

Pfad für die SQL-Datenbanken der zenon Projekte.
Zum Beispiel: %ProgramData%\COPA-DATA\SQL\

Achtung: Verschiedene SQL Server (z.B 2008R2 und 2012) müssen unbedingt getrennte Pfade verwenden.

Hintergrund: Beim Konvertieren der Projekte bleibt die GUID gleich. Bei gleichen Pfaden überschreiben die beiden Instanzen gegenseitig ihre Datenbankdateien!

User

Benutzername für die Datenbank.

Nötige Rechte

Der Benutzer muss im SQL Server über folgende Server roles verfügen:

  • public
  • sysadmin

Password

Passwort des Benutzers. Dieses wird verschlüsselt abgelegt. Die Eingabelänge wird unabhängig von der tatsächlichen Länge immer mit 20 Zeichen angezeigt.

Beachten Sie:

  • Die Verschlüsselung erfolgt über das Startup Tool.
  • Die Datenbankeinstellung muss unbedingt mit dem Startup Tool erfolgen.

Das Passwort muss zusätzlich am SQL Server für den Benutzer zenOnSrv angepasst werden.

Diese Einstellungen werden in der zenDB.ini gespeichert.

Noch in diesem Kapitel

Database vor Version 6.51


Database vor Version 6.51

Handbuch > Tools > Startup Tool > Properties > Database > Database vor Version 6.51

Einstellung der Datenbankeigenschaften vor zenon 6.51:

Eintrag

Funktion

Read from zenDB.ini

Ein Klick auf die Schaltfläche liest die Einstellungen der Datei zenDB.ini aus und befüllt automatisch die Felder Provider und DB Path.

Clear all fields

Alle Eingabefelder werden geleert.

Leere Einträge werden beim Registrieren nicht in die zenDB.ini geschrieben.

Provider

Verbindung zur SQL-Instanz. Wichtige Angaben sind:

  • Instanzenname
  • verwendeter Provider
  • Benutzername
  • Benutzerpasswort

Zum Beispiel:
Provider=SQLNCLI.1;
Password=srv_000;
Persist Security Info=False;
User ID=zenOnSrv;
Initial Catalog=%s;
Data Source=localhost\ZENON_DEV;

DB Path

Pfad für die SQL-Datenbanken der zenon Projekte.
Zum Beispiel: %ProgramData%\COPA-DATA\SQL\

Achtung: Der SQL Server 2005 und der SQL Server 2008 R2 müssen unbedingt getrennte Pfade verwenden.

Hintergrund: Beim Konvertieren der Projekte bleibt die GUID gleich. Bei gleichen Pfaden überschreiben die beiden Instanzen gegenseitig ihre Datenbankdateien!

attention Achtung

Der Eintrag für Provider unterscheidet sich in diesem Dialog vom Eintrag in der zenDB.ini.

Dialog: String beginnt mit Provider=...

zenDB.ini: String beginnt mit Provider=Provider=...


Extras

Handbuch > Tools > Startup Tool > Properties > Extras

Hier definieren Sie ActiveX Controls (*.ocx) oder COM Server (*.dll), die mit der jeweiligen zenon Version registriert werden sollen. Diese OCX- und DLL-Dateien können aus beliebigen Quellen stammen, also selbst geschrieben sein oder von anderen Anbietern kommen. Außerdem können Sie hier Programm definieren, die vor dem Start oder nach dem Beenden des Editors oder der Runtime ausgeführt werden sollen.

Registrierung ActiveX Controls - COM Server

Alle hier aufgelisteten Dateien werden beim Registrieren der dazugehörigen zenon Version automatisch mitregistriert - unabhängig von der zentralen Einstellung Register.

Parameter | Beschreibung
Filename/Filepath | Liste aller zu registrierenden Dateien
Add | Öffnet den Windows Dialog zum Auswählen einer zu registrierenden Datei. In diesem können Sie ocx oder dll Dateien einzeln auswählen und der Liste hinzufügen. Wählen Sie dazu im Auswahldialog zuerst den gesuchten Dateityp (ocx oder dll). Alle Dateien werden mit Pfadangabe gespeichert. Wenn sich der Pfad ändert, entfernen Sie den Verweis mit Remove und legen dann einen neuen an.
Remove | Entfernt alle markierten Einträge aus der Auswahlliste der zu registrierenden Dateien. Achtung: die ausgewählten Einträge werden ohne Rückfrage gelöscht.

Pre und Post Start Programme

Pre Start und Post Start erlaubt Ihnen, Programme und Stapeldateien zu definieren, die vor dem Start oder nach dem Beenden von zenon ausgeführt werden sollen.

Parameter

Beschreibung

Pre Start

Externes Programm, das vor dem Start des Editors oder der Runtime gestartet werden soll. Klick auf ... öffnet den Windows Auswahldialog zur auswahl eines auszuführenden Programms oder einer Stapeldatei.

Achtung: Editor oder Runtime werden erst gestartet, wenn dieses Programm wieder beendet wurde.

Post Start

Externes Programm, das nach dem Beenden des Editors oder der Runtime gestartet werden soll.

Klick auf ... öffnet den Windows Auswahldialog zur auswahl eines auszuführenden Programms oder einer Stapeldatei.

Achtung: Post Start wird nur aufgerufen, wenn die Option Read back the INI settings (Item->Properties->General) aktiviert wurde.


Meldungen beim Registrieren

Handbuch > Tools > Startup Tool > Meldungen beim Registrieren

Popup beim Registrieren

Meldung

Bedeutung

You have changed the IPv6 setting. All internal TCP/IP connections will be switched to IPv6/IPv4.

To ensure that all affected components are properly switched you have to restart the computer! You will also have to change this setting on all connected station!

Do you really want to apply the change?

Sie ändern die Einstellungen für das IP-Protokoll von IPv4 auf IPv6 oder umgekehrt.

Sie müssen nach dem Ändern den Rechner neu starten, damit alle Services entsprechend angepasst werden. Die Alle Änderung muss auch auf allen verbundenen Stationen durchgeführt werden.

Diese Änderungen werden mit der Registrierung in die zenon6.ini oder zenon.ini geschrieben und überschreiben dort eventuell abweichende manuelle Konfigurationen.

Gerneral network configuration settings will be changed.

You have to restart the runtime to apply the changes!

Attention: Do not forget to adept the settings on other stations as well.

Apply settings.

Are you sure this is your intent?

Sie ändern generelle Einstellungen wie Timeouts.

Diese Änderungen werden mit der Registrierung in die zenon6.ini oder zenon.ini geschrieben und überschreiben dort eventuell abweichende manuelle Konfigurationen.

Geänderte Einstellungen müssen für alle Runtimes angepasst werden.

Meldungen beim Registrieren

Beim Registrieren der Dienste werden alle Schritte in einem eigenen Fenster angezeigt, das nach vier Sekunden selbstständig geschlossen wird. Beim Auftreten eines Fehlers informiert eine Warnmeldung über die Ursache. Nach der Bestätigung der Meldung wird der Vorgang abgebrochen, zenon wird nicht gestartet. Mögliche Fehlermeldungen:

Meldung | Ursache | Tipp
Couldn´t find zenNetSrv Service! | Die Datei zenNetSrv.exe fehlt im zenon Programmordner oder ist in einer falschen Version vorhanden. | Die schnellste und sicherste Lösung ist meistens eine Neuinstallation von zenon.
zenNetSrv.exe still running! | Der Dienst zenNetSrv.exe konnte nicht beendet werden. | Möglicherweise läuft auf dem Rechner ein Sicherheitstool, das den Zugriff verhindert.
Couldn´t find zenSysSrv Service! | Die Datei zenSysSrv.exe fehlt im zenon Programmverzeichnis oder ist in einer falschen Version vorhanden. | Die schnellste und sicherste Lösung ist meistens eine Neuinstallation von zenon.
zenSysSrv.exe still running! | Der Dienst zenSysSrv.exe konnte nicht beendet werden. | Möglicherweise läuft auf dem Rechner ein Sicherheitstool, das den Zugriff verhindert.


Kommandozeile

Handbuch > Tools > Startup Tool > Kommandozeile

Das Startup Tool lässt sich auch über die Befehlszeile bedienen. Dazu muss sich die zenon_Startup.exe im Systempfad befinden. Die Datei finden Sie im Ordner %Program Files%\Common Files\COPA-DATA\STARTUP

Über die Kommandozeile können:

  • neue Einträge angelegt werden
  • vorhandene Einträge reorganisiert werden (z. B. nach dem Löschen von vorangegangenen Versionen)
  • Einträge registriert werden

Noch in diesem Kapitel

Parameter


Parameter

Handbuch > Tools > Startup Tool > Kommandozeile > Parameter

Die Eingabe wird gestartet mit zenon_Startup.exe gefolgt von einem Parameter und eventuellen Feldnamen.

Parameter:

Parameter | Funktion | Feldnamen | Rückgabewert
-new | legt einen neuen Eintrag an | ja, Liste siehe new | 0 oder 1
-reg | registriert Dienste | Name des Eintrag | keiner
-reorg | überprüft und reorganisiert vorhandene Einträge | nicht vorhanden | keiner

Wird das Startup Tool nur mit -reg aufgerufen, dann wird lediglich die Version neu registriert. Auf die zenon6.ini wird dabei nur lesend zugegriffen. Die im Abschnitt [PATH] definierte Version wird registriert, alle Parameter werden aus der zenon6.ini übernommen.

Verwendung mehrerer Parameter gleichzeitig:

Es ist möglich, mehrere Parameter gleichzeitig zu verwenden. Werden mehrere -new Parameter gleichzeitig verwendet, kann der Rückgabewert nicht eindeutig ausgewertet werden.

Prinzipiell wird bei Mehrfachnennungen in folgender Reihenfolge vorgegangen:

  1. –new: Neue Einträge anlegen.
  2. –reg: Registrieren des angegeben Eintrages.
  3. –reorg: Entfernen aller ungültigen Einträge für gelöschte zenon Versionen.

Noch in diesem Kapitel

new - Erstellen neuer Einträge

reorg - Reorganisieren von Einträgen

reg - Registrieren von Einträgen


new - Erstellen neuer Einträge

Handbuch > Tools > Startup Tool > Kommandozeile > Parameter > new - Erstellen neuer Einträge

Der Parameter -new dient zum Erstellen neuer Einträge. Er benötigt mindestens zwei Feldnamen:

  • NAME als eindeutigen Namen des Eintrags

    Sollte der Name des Eintrags bereits vorhanden sein, wird kein Eintrag angelegt.

  • PATH als Pfad, in dem zenon abgelegt wurde

Syntax

Die Syntax ist wie folgt aufgebaut: zenon_Startup.exe -> Parameter > Feldname="TEXT"

  1. zenon_Startup.exe
  2. Leerschritt
  3. Parameter
  4. Leerschritt
  5. Feldname
  6. = Zeichen
  7. öffnende Anführungszeichen
  8. Text
  9. schließende Anführungszeichen

Example Beispiel

zenon_Startup.exe -new NAME="Neuer Eintrag" PATH="C:\Beispiel Ordner\Test"

Feldnamen

Folgende Feldnamen können genutzt werden:

Feldname | Pflichtfeld | Beschreibung
NAME | X | Eindeutige Name des Eintrags. Z. B.: NAME="Test"
PATH | X | Der Anwendungspfad, in dem sich zenon befindet. Z. B.: PATH="C:\Program Files (x86)\COPA-DATA\zenon 7.10 SP0"
PATH64 | - | Der Anwendungspfad, in dem sich die 64 Bit Version von zenon befindet. Z. B.: PATH="C:\Program Files\COPA-DATA\zenon 7.10 SP0"
PROJECT_RT | - | Name des zu startenden Runtime-Projekts. Z. B.: PROJECT_RT="Testprojekt"
PROJECT_RT_PATH | - | Das Runtime-Ordner des Projekts (siehe PROJECT_RT). Z. B.: PROJECT_RT_PATH="C:\Users\Public\Documents\zenon_Projects\Testprojekt"
PROJECT_ED | - | Das Projekt, das im Editor aktiviert werden soll. Z. B.: PROJECT_ED="Testprojekt"
WSP | - | Der Arbeitsplatz, der mit dem Editor geladen werden soll. Z. B.: WSP="C:\Users\Public\Documents\zenon_Projects\DEMO760.WSP6"
SQLSRV | - | Bezeichnung des SQL Servers, der vom Editor verwendet werden soll. Z. B.: SQLSRV="MSSQL$ZENON_DEV"
PROVIDER | - | Providerstring für die Initialisierung der SQL Verbindung. Z. B.: PROVIDER="Provider=SQLNCLI.1;Password=000;Persist Security Info=False;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;"
DBPATH | - | Pfad der zu verwendenden SQL-Datenbank. Z. B.: DBPATH="C:\ProgramData\COPA-DATA\SQL\"
PRESTART | - | Programmaufruf, der vor dem Starten des Editors oder der Runtime oder dem Registrieren dieser Version ausgeführt wird. Z. B.: PRESTART="C:\zenon Versionen\zenon8.00\Dlls\zenVNCCli.exe"
POSTSTART | - | Programmaufruf, der nach dem Beenden des Editors ausgeführt wird. Z. B.: POSTSTART="C:\zenon Versionen\zenon8.00\Dlls\zenVNCCli.exe" Achtung: Post Start wird nur aufgerufen, wenn im Startup Tool oder in der Startup.inidie Option Read back the INI settings (Item->Properties->General) aktiviert wurde.

Mehrere Feldnamen werden durch Leerschritte getrennt.

info Info

Pfade mit Leerzeichen müssen immer in Klammern gesetzt werden.

Rückgabewerte

  • 0: Ausführung fehlerfrei
  • 1: Eintrag konnte nicht erstellt werden


reorg - Reorganisieren von Einträgen

Handbuch > Tools > Startup Tool > Kommandozeile > Parameter > reorg - Reorganisieren von Einträgen

Der Parameter -reorg überprüft alle Einträge ob die verknüpfte zenon Version noch im Dateisystem vorhanden ist. Sollten die Anwendungsdateien nicht mehr gefunden werden, wird der Eintrag endgültig aus dem Startup Tool gelöscht.

Der Befehl liefert keinen Rückgabewert. Nach Ausführung wird das Startup Tool gestartet.

Beispiel: zenon_Startup.exe -reorg


reg - Registrieren von Einträgen

Handbuch > Tools > Startup Tool > Kommandozeile > Parameter > reg - Registrieren von Einträgen

Der Parameter –reg registriert alle benötigten Dienste im Ordner des angegebenen Eintrags. Der Aufruf erfolgt über:

  • -reg "Name des Eintrags"

Sollte das Startup Tool bereits gestartet sein, wird nichts registriert, sondern das Startup Tool in den Vordergrund geholt.
Der Befehl liefert keinen Rückgabewert.

Example Beispiel

zenon_Startup.exe -reg "Version 6750"

registriert die Version 7.50.

Voraussetzung: im Startup Tool existiert ein Eintrag mit diesem Namen.


Tools

Handbuch > Tools > Startup Tool > Tools

Tools ermöglicht das Starten von Anwendungen direkt aus dem Startup Tool. Je nach Anwendung können auch Parameter für die Kommandozeile übergeben werden. Welche Tools zur Verfügung stehen, hängt ab von zenon Version und Betriebssystem.

Die Tools finden Sie in einem eigenen Dialog. Diesen erreichen Sie über Klick auf die Schaltfläche Tools im Startup Tool:

Available 32-bit applications

Liste der verfügbaren 32-Bit Anwendungen.

Option | Beschreibung
Keyblock Runtime Start | Startet die aktuell aktive Runtime mit der Option Keyblock. Damit werden beim Start der Runtime alle Windows Systemtasten gesperrt. Beachten Sie die Informationen im Kapitel Keyblock Runtime Start im Handbuch Runtime. Name der EXE-Datei: zenKeyBlock.exe
Licensing | Startet den Dialog zur Produktlizenzierung. Name der EXE-Datei: LicenseManager.exe
OPC Server | Startet den zenon OPC Server. Name der EXE-Datei: zenOPCSrv.exe
Process Gateway | Startet das Process Gateway. Beachten Sie die Hinweise zur Konfiguration der Parameter. Name der EXE-Datei: zenProcGateway.exe Parameter: /ini:MyConfig.INI Ersetzen Sie MyConfig.INI mit dem korrekten Namen Ihrer INI-Datei
Redundancy Management Tool | Startet das zenon Redundancy Management Tool. Name der EXE-Datei: zenon_redman.exe
Remote runtime update | Öffnet den Dialog zur Konfiguration des Remote Runtime Update für CE. Name der EXE-Datei: UpdateCE.exe
SharpDevelop IDE | Öffnet die SharpDevelop IDE zur Erstellung von AddIns. Name der EXE-Datei: SharpDevelop.exe
SQL Server communication test tool for zenDBSrv | Öffnet den Dialog zum Zugriff auf den zenon Datenbank Admin Client. Name der EXE-Datei: zenDBAdmin.exe
zenon Logic Compare projects | Öffnet den Dialog zum Vergleichen zweier zenon Logic Projekte. Name der EXE-Datei: K5DiffTest.exe
zenon Logic Library Manager | Öffnet den Dialog des zenon Logic Library Managers. Name der EXE-Datei: K5LibMan.exe
zenon Logic Licence Manager | Öffnet den zenon Logic Lizenzmanager. Name der EXE-Datei: K5LicMan.exe
zenon Logic Monitoring | Öffnet das zenon Logic Monitoring. Name der EXE-Datei: W5Monitoring.exe
zenon Logic Runtime | Startet die zenon Logic Runtime. Weitere Informationen finden Sie auch im Kapitel Starten der Runtime im Handbuch zenon Logic Runtime. Name der EXE-Datei: STRATONRT.exe
zenon Remote Desktop | Öffnet den Dialog für die Verbindungsherstellung zu einem zenon Remote Desktop. Name der EXE-Datei: zenVNCCli.exe
Available 64-bit applications | Liste der verfügbaren 64-Bit Anwendungen.
Keyblock Runtime Start | Startet die aktuell aktive Runtime mit der Option Keyblock. Damit werden beim Start der Runtime alle Windows Systemtasten gesperrt. Beachten Sie die Informationen im Kapitel Keyblock Runtime Start im Handbuch Runtime. Name der EXE-Datei: zenKeyBlock.exe

Available applications (current folder)

Liste der im aktuellen Ordner verfügbaren Anwendungen.

Option | Beschreibung
Diagviewer | Startet den Diagnosis Viewer. Name der EXE-Datei: DiagViewer.exe
License Manager | Öffnet die Lizenzverwaltung. Name der EXE-Datei: LicenseManager.exe
System Information Collector | Startet den System Information Collector. Name der EXE-Datei: SIC.exe
Web Engine Deployment Tool | Startet das Web Engine Deployment Tool. Mehr Informationen finden Sie auch im Kapitel Deployment der Web Engine im Handbuch zenon Web Server. Name der EXE-Datei: WebEngineDeploymentTool.exe Parameter: keine
zenon Remote Desktop Configuration | Öffnet den Dialog für die Konfiguration eines zenon Remote Desktops. Name der EXE-Datei: zenVNCCfg.exe
Command line parameters | Eingabe der Parameter für die Kommandozeile. Syntax: [Name der EXE] /[Parameter] Achtung: Der Name der EXE-Datei muss zwingend angegeben werden.
Start | Beendet den Dialog und startet die gewählte Anwendung mit den eingetragenen Parametern.
Cancel | Schließt den Dialog.

Noch in diesem Kapitel

Tool starten


Tool starten

Handbuch > Tools > Startup Tool > Tools > Tool starten

Um ein Tool zu starten:

  1. Öffnen Sie das zenon Startup Tool.
  2. Klicken Sie auf Tools.

    Der Dialog zur Konfiguration der zenon Tools wird geöffnet.

  3. Wählen Sie das gewünschte Tool aus.
  4. Tragen Sie, wenn benötigt, in das Feld Command line parameters ein:
    [Tool].EXE /[Parameter]
    Achtung: Die Parameter alleine genügen nicht. Es muss zwingend der Aufruf jeweiligen EXE eingetragen werden.
  5. Klicken Sie auf Start.

Verfügbare EXE-Dateien

Anwendung

EXE

Anmerkung

Diagviewer

DiagViewer.exe

Keyblock Runtime Start

zenKeyBlock.exe

Licensing

LizenzKnd.exe

OPC Server

zenOPCSrv.exe

Process Gateway

zenOnOnline.exe

Process Gateway

zenProcGateway.exe

Name der INI-Datei:

/ini:MyConfig.INI

Ersetzen Sie MyConfig.INI mit dem korrekten Namen Ihrer INI-Datei.

Redundancy Management Tool

zenon_redman.exe

Remote runtime update

UpdateCE.exe

SQL Server communication test tool for zenDbSrv

zenDBAdmin.exe

System Information Collector

SIC.exe

Parameter:

  • forcedbaction:
    SQL Attach/Detach immer ermöglichen
  • externalxmlenable:
    Laden von externen Query-XML ermöglichen
  • developer:
    schneller Scan

Web Engine Deployment Tool

WebEngineDeploymentTool.exe

--

zenon Logic Compare projects

K5DiffTest.exe

zenon Logic Library Manager

K5LibMan.exe

zenon Logic Licence Manager

K5LicMan.exe

zenon Logic Monitoring

W5Monitoring.exe

zenon Logic Runtime

STRATONRT.exe

zenon Logic Runtime Manager

StratonRT_Manager.exe

zenon Remote Desktop

zenVNCCli.exe

zenon Remote Desktop Configuration

zenVNCCfg.exe


System Information Collector

Handbuch > Tools > System Information Collector

Bei der Lösung von Problemen wird Sie der COPA-DATA Support eventuell um relevante Daten zu Ihrem Betriebssystem und zenon bitten. Diese Daten erstellen Sie am einfachsten automatisiert mit dem System Information Collector und übermitteln diese an den Support.

Noch in diesem Kapitel

System Information Collector starten

Informationen sammeln

Informationen nutzen

Bericht an COPA-DATA weiterleiten


System Information Collector starten

Handbuch > Tools > System Information Collector > System Information Collector starten

Der System Information Collector wird bei der Installation von zenon mitinstalliert. Sie finden ihn auf:

  • Rechner im Pfad: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP
  • Installationsmedium im Pfad \AdditionalSoftware\COPA-DATA System Information Collector.

Um den System Information Collector zu starten:

  1. Windows 8: geben Sie am Desktop als Suchbegriff SIC für Apps ein
    Windows 7: navigieren Sie zu Start/Alle Programme/zenon/Version Independent Tools
    oder: starten Sie vom Installationsmedium
  2. klicken Sie auf System Information Collector
  3. der System Information Collector startet

Menü und Symbolleiste

Menü

Im Menü stehen Ihnen folgende Optionen zur Verfügung.

  • File
    • New Scan: öffnet das Startfenster
    • Open: öffnet einen gespeicherten Bericht
    • Save: speichert den aktuell angezeigten Bericht als ZIP-Datei
    • Exit: schließt den System Information Collector
  • Edit
    • Copy: kopiert markierten Text in die Zwischenablage
    • Find: öffnet einen Dialog zur Suche im aktuellen Bericht
  • View
    • Expand: erweitert alle Knoten
    • Collapse: schließt alle Knoten
  • Help
    • About: Informationen zur Programmversion

Mit Ausnahme von Exit und About stehen alle Optionen auch über die Symbolleiste zur Verfügung.

Symbolleiste

Symbol | Beschreibung
Home New Scan | Öffnet das Startfenster.
Open | Öffnet einen gespeicherten Bericht.
Save | Speichert den aktuell angezeigten Bericht als ZIP-Datei.
Copy | Kopiert markierten Text in die Zwischenablage.
Find | Öffnet einen Dialog zur Suche im aktuellen Bericht.
Expand | Erweitert alle Knoten.
Collapse | Schließt alle Knoten.


Informationen sammeln

Handbuch > Tools > System Information Collector > Informationen sammeln

Um Informationen automatisiert zu sammeln:

  1. starten Sie den System Information Collector
  2. wählen Sie durch Klick auf die entsprechende Schaltfläche eine der vier Optionen
    • Full: sammelt Information über das System und zenon. Dump-Dateien werden nicht gesammelt
    • System: sammelt nur Information über das System
    • Scada: sammelt Information über zenon, ohne Dump-Dateien
    • Scada with dumpfiles: sammelt Information über zenon und schließt Dump-Dateien mit ein

  3. der System Information Collector erstellt einen Bericht mit den gewünschten Informationen

  4. der fertige Bericht wird im Hauptfenster angezeigt


Informationen nutzen

Handbuch > Tools > System Information Collector > Informationen nutzen

Die gesammelten Informationen werden im System Information Collector angezeigt. Sie können:

  • den Bericht speichern
  • durch den Bericht navigieren bestimmte Informationen suchen
  • ausgewählte Informationen markieren und in die Zwischenablage kopieren

Bericht speichern

Um einen Bericht zu speichern:

  1. klicken Sie auf das Symbol Speichern oder Befehl Save im Menü File
  2. der Dialog zur freiwilligen Eingabe eines Passwortes für die Verschlüsselung des Berichts öffnet sich
  3. der Dialog zur Auswahl eines Ordners und Dateinamens wird geöffnet
  4. der Bericht wird als ZIP-Datei gespeichert

Bericht öffnen

Um einen gespeicherten Bericht zu öffnen:

  1. klicken Sie auf das Symbol Ordner in der Symbolleiste
  2. wählen Sie den Bericht aus
  3. falls Sie beim Speichern ein Passwort für die Verschlüsselung des Berichts eingegeben haben, geben Sie es an dieser Stelle erneut ein oder überspringen Sie diesen Schritt, indem Sie auf OK klicken
  4. der Bericht wird geöffnet

Ausgewählte Informationen speichern

Um nur ausgewählte Informationen zu speichern:

  1. markieren Sie die gewünschte Information
  2. klicken Sie auf das Symbol Kopieren oder Befehl Copy im Menü Edit
  3. die Auswahl wird in die Zwischenablage kopiert
  4. fügen Sie den Inhalt in eine Textdatei ein und speichern Sie diese
  5. wiederholen Sie den Vorgang für weitere ausgewählte Informationen


Bericht an COPA-DATA weiterleiten

Handbuch > Tools > System Information Collector > Bericht an COPA-DATA weiterleiten

Der Bericht kann, je nach Größe, als Anhang an eine E‑Mail oder per Upload auf einen festgelegten Speicherplatz an COPA-DATA weitergeleitet werden. Details, wie Sie den Bericht weiterleiten und welchen Online-Speicherplatz Sie dafür nutzen können, erfahren Sie von Ihrem Ansprechpartner im COPA-DATA Support.


COPA-DATA PRP

Handbuch > Tools > COPA-DATA PRP

zenon unterstützt das Parallel Redundancy Protokoll (PRP) für die hardware-redundante Kommunikation in einem Ethernet Netzwerk. Das Protokoll ist standardisiert im IEC 62439-3.

Die PRP-Kommunikation erfolgt direkt auf OSI Layer 2 Ebene, unabhängig vom zenon Editor und der zenon Runtime. Spezielle Projektierungen in zenon sind nicht erforderlich. Um das Protokoll zu nutzen, muss der Rechner über zwei Netzwerkkarten verfügen und entsprechend konfiguriert sein.

Für die Nutzung von PRP benötigen Sie:

  • Netzwerkdienst COPA-DATA PRP driver
  • PRP Konfigurations- und Diagnose Tool

Diese finden Sie auf dem Installationsmedium. Eine detailierte Beschreibung über die erforderlichen Konfigurationsschritte finden Sie in diesem Handbuch im Kapitel Installation und Konfiguration.

Hinweis: Der Paketvergleich des Netzwerkdienstes unterstützt Netzwerke bis 100 Mbit.

Noch in diesem Kapitel

Systemvoraussetzungen

Hardwarevoraussetzung

Installation und Konfiguration

PRP Konfigurations- und Diagnose Tool


Systemvoraussetzungen

Handbuch > Tools > COPA-DATA PRP > Systemvoraussetzungen

PRP-Kommunikation wird für 100-Mbit/s-Ethernet in folgende Betriebssystem unterstützt:

  • Windows 7
  • Windows 8
  • Windows 10 ab Version 1607
    Achtung: Frühere Versionen von Windows 10 werden nicht unterstützt.


Hardwarevoraussetzung

Handbuch > Tools > COPA-DATA PRP > Hardwarevoraussetzung

Für die Kommunikation via PRP gelten folgende Hardwarevoraussetzungen:

  • Beide verwendeten Netzwerkkarten müssen Jumboframes unterstützten.
  • Eine Konfiguration der lokal administrierten MAC-Adresse ist für beide Netzwerkkarten möglich.

attention Achtung

Die PRP-Kommunikation wird nur innerhalb eines redundanten Netzwerks unterstützt. Dabei können zwei physikalische Netzwerke via PRP verbunden werden.

Eine zusätzliche Verbindung in ein weiteres PRP-Netzwerk wird nicht unterstützt.


Installation und Konfiguration

Handbuch > Tools > COPA-DATA PRP > Installation und Konfiguration

Um den Rechner auf PRP Installation vorzubereiten:

  1. Schalten Sie den Rechner aus und trennen Sie den Rechner von der Stromversorgung (physikalisches Reset).
  2. Starten Sie den Rechner neu.

Führen Sie anschließen im Betriebssystem folgende Schritte aus:

  1. Konfigurieren Sie Ihre zwei bestehenden Netzwerkadapter.
  2. Erstellen Sie eine Netzwerkbrücke (= Bridge) aus den Netzwerkadaptern.
  3. Installieren Sie den COPA-DATA PRP driver für die Netzwerkbrücke.
  4. Konfigurieren Sie Ihre PRP-Verbindung.

Eine detailierte Beschreibung der Schritte finden Sie in den weiteren Kapiteln.

Hinweise

Beachten Sie:

  • Für die notwendigen Installationen sind Administratorrechte auf dem Rechner erforderlich.
  • Das System muss für die Installation neu gestartet werden.
  • Achten Sie auf die Hinweise bei den jeweiligen Schritten.
  • Der Paketvergleich des Netzwerkdienstes unterstützt Netzwerke bis 100 Mbit.
  • Ein Update der PRP-Dateien kann nur mit einer zenon Hauptversion oder einem Service Pack erfolgen.
    Build-Versionen sind dazu nicht inder Lage.

attention Achtung

Achten Sie speziell darauf, die Konfigurationsschritte in der angegebenen Reihenfolge durchzuführen.

Noch in diesem Kapitel

Installation und Konfiguration

Installation und Konfiguration

Installation und Konfiguration

Konfiguration PRP Verbindung (Schritt 4 von 4)


Installation und Konfiguration

Handbuch > Tools > COPA-DATA PRP > Installation und Konfiguration > Installation und Konfiguration

Im ersten Schritt passen Sie die Konfiguration des Betriebssystems für die beiden verwendeten Netzwerkadapter an. Der Konfigurationsdialog sowie die Benennung der erweiterten Eigenschaften ist abhängig von der verwendeten Netzwerkkarte.

Netzwerkadapter 1

Im Betriebssystem konfigurieren Sie den ersten Netzwerkadapter.

  1. Öffnen Sie die Systemeinstellung Adaptereinstellungen ändern.
    Sie finden diese Einstellungen in den Systemsteuerungen => Netzwerk und Internet => Netzwerk- und Freigabecenter
  2. Wählen Sie den gewünschten Netzwerkadapter.
  3. Wählen Sie mit der rechten Maustaste im Kontextmenü den Eintrag Eigenschaften.
    Der Konfigurationsdialog für die Eigenschaften des Netzwerkadapters wird geöffnet.
  4. Klicken Sie auf den Button Konfigurieren...
    Das Eigenschaftenfenster des Netzwerkadapters wird geöffnet.
  5. Wechseln Sie dort in die Registerkarte Erweitert.
  6. Wählen Sie dort in der Liste Einstellungen den Eintrag Jumbo Packet.
    Hinweis: Der Name dieses Eintrags kann pro Netzwerkkarte unterschiedlich sein.
  7. Wählen Sie einen Wert in der Dropdownliste Wert.
    Wählen Sie den kleinsten verfügbaren Wert, welcher größer wie 1530 Byte ist.
    Achtung: Die Einstellung Deaktiviert darf nicht ausgewählt sein.
  8. Wählen Sie in der Registerkarte Erweitert die Einstellung Lokal verwaltete Adresse.
  9. Geben Sie im Eingabefeld Wert: eine eindeutig MAC-Adresse ein. Das Format der MAC-Adresse ist abhängig von der verwendeten Hardware.
    Beispiele:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Stellen Sie sicher, dass für beide verwendeten Anschlüsse dieselbe MAC-Adresse verwendet wird.
    Ändern Sie die Adresse im Eingabefeld Wert:
    • Diese MAC-Adresse muss mit 0A beginnen!
    • Die MAC-Adresse im lokalen Netzwerk muss eindeutig sein.
  11. Beenden Sie die Konfiguration der Netzwerkkarte mit Klick auf den Button OK.

Netzwerkadapter 2

Wiederholen Sie die Schritte für den zweiten Netzwerkadapter.
Achten Sie darauf, bei der Eingabe der MAC-Adresse dieselbe MAC-Adresse wie bei der vorangegangen Konfiguration einzugeben.

attention Achtung

Stellen Sie sicher, dass

  • die verwendete MAC-Adresse auf beiden Netzwerkadaptern gleich ist
  • im lokalen Netzwerk von keinem anderen Rechner verwendet wird.


Installation und Konfiguration

Handbuch > Tools > COPA-DATA PRP > Installation und Konfiguration > Installation und Konfiguration

In diesem Schritt fassen Sie zwei Netzwerkadapter mit einer Netzwerkbrücke (= Bridge) zusammen. Passen Sie dazu die Konfiguration für die beiden verwendeten Netzwerkadapter an.

Erstellen Sie in den Systemeinstellungen eine Netzwerkbrücke.

  1. Öffnen Sie die Systemeinstellung Adaptereinstellungen ändern.
    Sie finden diese Einstellungen in den Systemsteuerungen => Netzwerk und Internet => Netzwerk- und Freigabecenter
  2. Wählen Sie die beiden Netzwerkadapter, welche Sie für die PRP Kommunikation verwenden wollen.
    Hinweis: Für beide Netzwerkadapter wurden bereits die notwendigen Konfigurationen vorgenommen. Eine nachträgliche Konfigurationsänderung eines Netzwerkadapters wird nur dann wirksam, wenn Sie anschließend eine neue Bridge erstellen.
    Achtung: Beide gewählten Netzwerkadapter müssen mit derselben MAC-Adresse konfiguriert sein!
  3. Wählen Sie mit der rechten Maustaste im Kontextmenü den Eintrag Verbindungen überbrücken.
    Für die gewählten Netzwerkadapter wird eine Netzwerkbrücke erstellt. Dies wird mit einem Dialog visualisiert.
  4. Die erstellte Überbrückung wird in den Systemsteuerungen angezeigt:

    Achtung: Die Überbrückung darf nur zwei Adapter enthalten.


Installation und Konfiguration

Handbuch > Tools > COPA-DATA PRP > Installation und Konfiguration > Installation und Konfiguration

In diesem Schritt installieren Sie den für die PRP-Kommunikation erforderlichen System Dienst.

Installieren Sie den COPA-DATA PRP driver

  1. Wählen Sie die erstellte Netzwerkbrücke (Bridge).
  2. Wählen Sie mit der rechten Maustaste im Kontextmenü den Eintrag Eigenschaften.
    Der Konfigurationsdialog für die Eigenschaften der Bridge wird geöffnet.
  3. Klicken Sie die Schalftläche Installieren.
    Der Dialog zum Installieren eines Netzwerkfeatures wird geöffnet.
  4. Wählen Sie Dienst als zu installierendes Netzwerkfeature.
  5. Klicken Sie die Schaltfläche Hinzufügen...
    Der Dialog für die Auswahl des Netzwerkdienstes wird geöffnet.
  6. Klicken Sie den Button Datenträger...
    Der Dialog für die Auswahl des Ablageortes des Installationsprogrammes für den Netzwerkdienst wird geöffnet.
  7. Klicken Sie auf den Button Durchsuchen.
  8. Navigieren Sie auf Ihrem lokalen Rechner in den Ordner:
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      für 32-Bit Betriebssysteme.
    • \Programme\Common Files\COPA-DATA\CDPrpFlt\
      für 64-Bit Betriebssysteme.
  9. Wählen sie die Datei CDPrpFlt.inf.
    Achtung: Achten Sie darauf den korrekten Installer für Ihr Betriebssystem (32-Bit oder 64-Bit) auszuwählen.
  10. Bestätigen Sie die Auswahl mit Klick auf OK.
    Der Dialog zur Auswahl des Netzwerkdienstes wird geöffnet.
  11. Wählen Sie den Netzwerkdienst COPA-DATA PRP driver.
  12. Bestätigen Sie Ihre Auswahl mit OK.
    • Bestätigen Sie die Windows-Sicherheitsabfrage mit Klick auf den Button Installieren.
      Achtung: Anschließend kann ein Neustart Ihres Rechners erforderlich sein.

      Hinweis: Diese Sicherheitsabfrage wird nicht angezeigt, wenn Sie bereits bei früheren Installationen von zenon Programmkomponenten die Auswahlbox "... immer vertrauen" aktiviert haben.
  13. Nach erfolgreicher Installation (und Neustart des Rechners) ist der Dienst im Eigenschaftenfenster des Netzwerkadapters in der Liste der verwendeten Elemente sichtbar.
  14. Stellen Sie sicher, dass die LAN-Verbindung und der Netzwerkdienst COPA-DATA PRP driver über die Checkbox aktiviert sind.

attention Achtung

Stellen Sie sicher, dass durch den erforderlichen Neustart des Rechners der Einsatz im produktiven System nicht gefährdet wird.


Konfiguration PRP Verbindung (Schritt 4 von 4)

Handbuch > Tools > COPA-DATA PRP > Installation und Konfiguration > Konfiguration PRP Verbindung (Schritt 4 von 4)

Stellen Sie vor der Konfiguration sicher, dass die LAN-Verbindung und der Netzwerkdienst COPA-DATA PRP driver aktiviert sind.

PRP Konfiguration

  1. Starten Sie das Programm PRPCfgDiag.exe.
    Sie finden diese Software auf Ihrem Rechner im Ordner C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
    Der PRP Configuration and Diagnostics Dialog wird geöffnet.

    Hinweis: Das PRP Configuration and Diagnostics Tool steht nur in englischer Sprache zur Verfügung.
  2. Klicken Sie den Button Configuration.
    Der Dialog für die Auswahl der Netzwerkadapter wird geöffnet.

    Hinweis: Der Inhalt der Dropdownliste basiert auf den Systemeinstellungen.
  3. Wählen Sie aus den Dropdownlisten den Netzwerkadapter für LAN_A und LAN_B.
    Hinweis: Achten Sie darauf dass für alle PRP-fähigen Geräte im Netzwerk die Bezüge zwischen physikalischen Netz und LAN_A bzw. LAN_B gleich konfiguriert wurden.
  4. Bestätigen Sie die Zuordnung mit OK.
  5. Beenden Sie die Konfiguration mit Klick auf den Button Exit.

info Info

Eine detailierte Beschreibung des PRP Configuration and Diagnostics Tools finden Sie im Kapitel PRP Konfigurations- und Diagnose Tool.


PRP Konfigurations- und Diagnose Tool

Handbuch > Tools > COPA-DATA PRP > PRP Konfigurations- und Diagnose Tool

Das PRP Configuration and Diagnostics Tool erfüllt zwei Aufgaben:

  • Visualisierung
    Darstellung des via PRP gesendeten Datenverkehrs. Die Darstellung erfolgt getrennt für die beiden verwendeten Netzwerkadaptern.
  • Konfiguration
    Zuordnung der konfigurierten Netzwerkadapter.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Das Programm PRPCfgDiag.exe ist im Lieferumfang von zenon enthalten.
Sie finden diese Software auf Ihrem Rechner im Ordner C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

Voraussetzungen

Das PRP Konfigurations- und Diagnose Tool benötigt für den Betrieb oder die Konfiguration:

  • Zwei Netzwerkadapter, die in den Systemeinstellungen zu einer Bridge zusammengefasst sind.
    Hinweis: In dieser Bridge dürfen nur die zwei Netzwerkadapter konfiguriert sein, über welche die PRP-Kommunikation erfolgt. Weitere Netzwerkadapter dürfen nicht in dieser Bridge beinhaltet sein.
  • Der CDPrpFlt-Treiber muss installiert sein.

info Info

Informationen zur Installation und den notwendigen Vorbereitungen in den Systemeinstellungen finden Sie im Kapitel Installation und Konfiguration.

Noch in diesem Kapitel

Statistik

Konfiguration


Statistik

Handbuch > Tools > COPA-DATA PRP > PRP Konfigurations- und Diagnose Tool > Statistik

Im Dialog Statistics wird der Datenstrom visualisiert. Die Darstellung wird für beide LAN-Adapter getrennt angezeigt.

Der Datenfluss wird ständig aufgezeichnet, auch wenn das Tool nicht geöffnet ist.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Parameter

Beschreibung

Send count

Anzeige der gesendeten Ethernet-Frames.

Receive count

Anzeige der empfangenen Ethernet-Frames.

Error count

Anzeige von fehlerhaft PRP-Frames.

Mismatch count

Anzeige von unterschiedlich empfangenen/gesendeten PRP-Frames, wenn der Netzwerkdatenverkehr der beiden LAN-Adapter voneinander abweicht.

Link status

Status der Netzwerkkarte:

  • Active
    PRP-Supervision frames werden korrekt für das jeweilige LAN (LAN_A oder LAN_B) empfangen.
  • Inactive
    Innerhalb der vergangenen zwei Sekunden wurden keine PRP-Supervision frames empfangen. Im Netzwerk ist keine PRP Station vorhanden oder es liegt ein Fehler vor.

Configuration

Öffnet den Konfigurationsdialog.

Exit

Beendet das Programm.
Hinweis: Die Daten werden weiter aufgezeichnet.


Konfiguration

Handbuch > Tools > COPA-DATA PRP > PRP Konfigurations- und Diagnose Tool > Konfiguration

Im Dialog Configuration werden:

  • Netzwerkadapter via Dropdownliste zugewiesen.
    Der Inhalt der Dropdownliste basiert auf den Einstellungen der Netzwerkbrücke.
    Weitere Informationen dazu erhalten Sie im Kapitel Installation und Konfiguration.
  • die Multicast MAC-Adresse visualisiert
  • Fehlernachrichten der Netzwerkadapter-Konfiguration in einem Ausgabefenster visualisiert

attention Achtung

Nach Änderungen der Konfiguration ist ein Neustart des Rechners erforderlich.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Parameter

Beschreibung

Primary physical LAN Adapter

Zuordnung eines Netzwerkadapters zur physikalischen Verbindung für den primären LAN-Adapter.

In der Dropdownliste werden jene Adapter aufgelistet, welche in der konfigurierten Bridge enthalten sind.
Informationen dazu finden Sie im Kapitel Installation und Konfiguration.

Secondary physical LAN Adapter

Zuordnung eines Netzwerkadapters zur physikalischen Verbindung für den sekundären/redundanten LAN-Adapter.

In der Dropdownliste werden jene Adapter aufgelistet, welche in der konfigurierten Bridge enthalten sind.
Informationen dazu finden Sie im Kapitel Installation und Konfiguration.

LAN_A/LAN_B Multicast MAC

Multicast-MAC-Adresse für PRP-Supervision frames.
Diese Adresse für die Kommunikation im Netzwerk ist vorgegeben und kann nicht verändert werden.

Hinweis: Achten Sie darauf, dass in Ihrem Netzwerk kein anderer Netzwerkadapter diese Adresse verwendet!

Das letzte Byte kann im Eingabefeld konfiguriert werden. Das Eingabeformat für diese Eingabe ist HEX.

Error message

Ausgabefenster mit Fehlermeldungen.

OK

Übernimmt alle Änderungen und schaltet zum Dialog Statistik.

Cancel

Verwirft alle Änderungen und schaltet zum Dialog Statistik.


Treibersimulation

Handbuch > Treibersimulation

Wenn bei der Projektierung der dahinterliegende Prozess nicht zur Verfügung steht, kann dieser simuliert und vorab getestet werden. Dazu stehen drei Modi zur Verfügung:

  • Simulation - statisch: konstante vom Treiber simulierte Werte
  • Simulation - zählend: vom Treiber simulierte Werte werden hochgezählt
  • Simulation - programmiert: Werte werden über ein Simulationsprojekt mit zenon Logic berechnet

attention Achtung

Wird der Treiber im Modus Simulation - zählend angehalten, stoppt nur das Zählen. Die Variablen gehen nicht auf gestört. In allen anderen Betriebsarten wird der Treiber wirklich gestoppt.

Hinweis: Simulation - programmiert wird nicht unterstützt von Treibern für:

  • Interne Variablen
  • Mathematik-Variablen
  • Simulator-Variablen
  • System-Variablen

info Info

zenon Variablen, die zenon Logic IO-Variablen repräsentieren, sind im Zustand Treibersimulation programmiert im Projekt nicht verfügbar.

Noch in diesem Kapitel

Simulation - statisch

Simulation - zählend

Simulation - programmiert


Simulation - statisch

Handbuch > Treibersimulation > Simulation - statisch

Bei statischer Simulation wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden vom Treiber simuliert. In diesem Modus bleiben die Werte konstant. Werte können durch die Runtime oder den Anwender geändert werden. Bei einem Neustart der Runtime mit Simulation - statisch werden diese Werte aber nicht gespeichert und gehen verloren.


Simulation - zählend

Handbuch > Treibersimulation > Simulation - zählend

Bei zählender Simulation wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden vom Treiber simuliert. In diesem Modus zählt der Treiber die Werte beginnend bei 0 innerhalb ihres Wertebereichs automatisch hoch. Ist der Maximalwert erreicht, beginnt der Zählvorgang wieder bei 0.

info Info

Bei negativen Startwerten beginnt der Zählvorgang erst bei 0.

INT verwendet zum zählen den Maximalwert von USINT.

attention Achtung

Wird der Treiber im Modus Simulation - zählend angehalten, stoppt nur das Zählen. Die Variablen gehen nicht auf gestört. In allen anderen Betriebsarten wird der Treiber wirklich gestoppt.


Simulation - programmiert

Handbuch > Treibersimulation > Simulation - programmiert

Bei Simulation - programmiert wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden von einem frei programmierbaren Simulationsprojekt berechnet. Das Simulationsprojekt wird mit der zenon Logic Workbench erstellt und läuft in der zenon Logic Runtime ab. Es ermöglicht, Status und Zeitstempel von Variablen am Treiber zu modifizieren. Schreibbefehle auf Variablen durch zenon werden an die Simulation weitergegeben, redundante Server und Standby Server werden synchronisiert. So lassen sich auch komplexe Abläufe simulieren.

Um das Simulationsprogramm zu starten, wählen Sie in der Treiberkonfiguration den Modus Simulation - programmiert.

info Info

Windows CE

Die Simulation - programmiert steht unter Windows CE nicht zur Verfügung.

Noch in diesem Kapitel

Editor

Treiberkonfiguration

zenon Logic Workbench

Runtime

Hinweise zu Variablen in Simulationsprojekten

Fehlermeldungen


Editor

Handbuch > Treibersimulation > Simulation - programmiert > Editor

Noch in diesem Kapitel

Projekt anlegen

Projekt löschen

Verteiltes Engineering

Treiber wechseln

XML-Export/Import


Projekt anlegen

Handbuch > Treibersimulation > Simulation - programmiert > Editor > Projekt anlegen

Um ein Projekt für die Simulation - programmiert anlegen zu können, muss:

  • ein einzelner Prozesstreiber ausgewählt werden
  • der Projektname gültig sein.

attention Achtung

Simulation - programmiert wird nicht unterstützt von Treibern für:

  • Interne Variablen
  • Mathematik-Variablen
  • Simulator-Variablen
  • System-Variablen

Um ein Simulationsprojekt anzulegen:

  • klicken Sie in der Gruppe Treiber-Simulationsprojekt bei der Eigenschaft Bearbeiten auf Hier klicken->
  • ein neues zenon Logic Projekt wird erzeugt
  • Name und Portnummern für Event-Port und Standard-Port werden automatisch vergeben; ändern Sie diese nach Belieben
  • die zenon Logic Workbench wird geöffnet

Die Workbench des Simulationsprojektes wird automatisch geschlossen, wenn:

  • der zenon Editor geschlossen wird
  • ein Treiber gelöscht wird, dessen Simulationsprojekt aktuell in der Workbench editiert wird
  • das Simulationsprojekt beim Treiber über die Eigenschaft Löschen gelöscht wird
  • das Simulationsprojekt umbenannt wird

info Info

Portnummern: Beim Erzeugen des Simulationsprojektes wird automatisch eine für dieses Projekt eindeutige Portnummer vergeben. Eine automatisch vergebene Portnummer ist nur für das jeweilige Projekt eindeutig. In multihierarchischen Projekten muss sichergestellt werden, dass eine Portnummer in allen zur Runtime laufenden Projekten nur einmal verwendet wird. Wird eine Portnummer mehrfach verwendet, können Kommunikationsfehler mit der zenon Logic Workbench/Runtime auftreten.

Portnummern können manuell angepasst werden. Eine Portnummer muss folgende Bedingungen erfüllen:

  • Sie muss im Projekt frei sein.
  • Sie muss für alle Projekte, die auf der Runtime laufen eindeutig sein.
  • Sie muss auf dem Rechner, auf dem der Treiber läuft, verfügbar sein.

Erlaubte Portnummern:

  • Minimum: 6000 (bei automatischer Vergabe, manuell: empfohlen)
  • Maximum: 6999 (bei automatischer Vergabe, manuell: empfohlen)

Projektablage

Ein zenon Logic Projekt enthält viele Dateien und Ordner. Um deren Handhabung, vor allem beim Verteilten Engineering zu vereinfachen, werden sämtliche Dateien in gepackter Form in der Datei Simul_<Treiber-ID>.zip im Ordner <Sql Projekt Pfad>\FILES\zenon\custom\drivers abgelegt. Im Editor befindet sich diese Datei bei den Dateien des Treibers. Die Dateien werden beim Start der zenon Logic Workbench automatisch entpackt und beim Beenden wieder gepackt.

Variablen anlegen

Beim Anlegen von Variablen in einem Simulationsprojekt ist die Reihenfolge der Schritte wichtig:

  1. erstellen Sie die Variable
  2. wählen Sie den gültigen Datentyp in der zenon Logic Workbench aus
  3. setzen Sie erst dann die Eigenschaft embed symbol aktiv

Hintergrund: Variablen werden per Default mit dem Treiberobjekttyp SPS Merker angelegt. Dieser Objekttyp unterstützt nicht bei allen Treibern alle Datentypen. Wird eine Variable in der zenon Logic Workbench mit aktiver Eigenschaft embed symbol kopiert, muss diese Eigenschaft deaktiviert werden, um den Datentyp ändern zu können. Damit wird die Variable in zenon wieder gelöscht.

info Info

Fehlermeldung "Can not create variable"

Eine Variable kann im Simulationsobjekt nicht angelegt werden, wenn der Treiber keine Treiberobjekttypen - ausgenommen

Treibervariable - hat, die diesen Datentyp unterstützen.

Beim Aktivieren von embed symbol wird dann die Fehlermeldung "can not create variable" angezeigt.

Struktur-Datentyp

Beim Anlegen von Variablen mit einem Struktur-Datentyp:

  • werden diese, wenn möglich, mit dem Treiberobjekttyp SPS Merker angelegt
  • werden alle Treiberobjekttypen mit Ausnahme von Treibervariable probiert, bis einer für alle Elemente verwendbar ist
  • ist kein passender Treiberobjekttyp verfügbar, dann wird
    • bei Nicht-Strukturvariablen keine Variable erzeugt
    • bei Strukturvariablen der Treiberobjekttyp SPS Merker benutzt

Beispiel:

Ein Struktur-Datentyp enthält Elemente vom Typ UINT und STRING. Eine Variable wird für den S7TCP Treiber erstellt und embed symbol wird aktiviert.

  • Die Variable wird nicht im SPS Merker angelegt, sondern als Erw. Datenbaustein, in dem alle Strukturelementen vorhanden sind.
  • Ein neuer Typ LINT wird hinzugefügt, dieser wird vom Erw. Datenbaustein nicht unterstützt.
  • Beim Anlegen einer neuen Variablen wird diese als Typ SPS Merker angelegt. Es kann nur die erste Komplexvariable aktiviert werden (UINT). Bei der bestehenden Strukturvariable bleibt der Objekttyp Erw. Datenbaustein und das letzte Strukturelement (LINT) kann nicht aktiviert werden.

Kompilieren der Dateien

Wenn ein Simulationsprojekt in der zenon Logic Workbench kompiliert wird, bewirkt dies in zenon das Erzeugen der Variablen und der Programmdatei der Runtime.
Beim Kompilieren wird im Runtime-Ordner \RT\FILES\zenon\custom\drivers ein Unterordner mit dem Namen des Simulationsprojekts erzeugt. In diesem Ordner wird dann die Datei mit dem Code der Simulation in SIMULRT.COD abgelegt.

Im Ausgabefenster wird beim Kompilieren folgende Meldung angezeigt:

SIMULRT.COD

Und wenn mit C-Compiler kompiliert, dann zusätzlich:

T5APP.DLL

attention Achtung

Bei Mehrplatzfähigen Projekten darf offline kein neues Simulationsprojekt erstellt werden. Dieses kann nicht mehr gelöscht werden.


Projekt löschen

Handbuch > Treibersimulation > Simulation - programmiert > Editor > Projekt löschen

Um ein Simulationsprojekt zu löschen:

  1. klicken Sie in der Gruppe Treiber-Simulationsprojekt bei der Eigenschaft Löschen auf die Schaltfläche Hier klicken->
  2. bestätigen Sie die Sicherheitsabfrage
  3. die ZIP-Datei mit den Projektdateien wird sofort gelöscht
  4. die zenon Logic Workbench wird beendet

Beachten Sie:

  • der Runtime-Ordner für das Simulationsprojekt bleibt bestehen
  • die Funktion Rückgängig steht für diese Aktion nicht zur Verfügung,
  • Klick auf Bearbeiten erstellt ein neues Simulationsprojekt
  • bei Mehrplatzfähigen Projekten:
    • muss der Treiber auf Änderungen ermöglichen konfiguriert werden, damit das Simulationsprogramm gelöscht werden kann
    • wird das Projekt auf anderen Clients nicht als gelöscht angezeigt solange es nicht synchronisiert wurde;

      der Versuch, ein gelöschtes Projekt vor dem Synchronisieren zu öffnen (Klick auf Bearbeiten), erstellt ein neues Simulationsprojekt

    • kann wie bei Einzelplatzprojekten das Löschen über Änderungen verwerfen nicht mehr rückgängig gemacht werden

attention Achtung

Das Simulationsprojekt wird beim Löschen sofort aus der lokalen Datenbank und der Server-Datenbank entfernt. Diese Aktion kann nicht rückgängig gemacht werden!

Hinweis: Auch das manuelle Löschen der ZIP-Datei bei den Dateien des Treibers führt zum Löschen des Simulationsprojekts. Voraussetzung: Die zenon Logic Workbench für diesen Treiber ist nicht geöffnet. Von dieser Vorgangsweise wird abgeraten!


Verteiltes Engineering

Handbuch > Treibersimulation > Simulation - programmiert > Editor > Verteiltes Engineering

Bei Mehrplatzfähigen Projekten werden alle zum Projekt gehörenden, laufenden zenon Logic Workbenches für die Treibersimulation geschlossen beim:

  • Änderungen übernehmen für Module, die bei Änderungen ermöglichen für andere Anwender komplett gesperrt werden, wie Variablen, Treiber und Datentypen
  • Änderungen verwerfen:
    • neue Projekte werden am Server nicht erzeugt
    • Änderungen am Simulationsprogramm gehen verloren
    • in der Server-Datenbank nicht vorhandene Treiberdateien werden auch in der lokalen DB gelöscht
  • Synchronisieren:
    am Simulationsprogramm lokal gemachte Änderungen gehen verloren
  • Aktualisieren der lokalen Version:
    am Simulationsprogramm lokal gemachte Änderungen gehen verloren

attention Achtung

Der Status der ZIP-Datei des Simulationsprojektes darf nicht extra modifiziert werden (Änderungen übernehmen, Änderungen ermöglichen, Änderungen verwerfen Multiuserstatus), um korrektes Änderungen übernehmen und Änderungen ermöglichen des Treibers sicher zu stellen!

Projekt löschen

Bei Mehrplatzfähigen Projekten

  • muss der Treiber auf Änderungen ermöglichen konfiguriert werden, damit das Simulationsprogramm gelöscht werden kann
  • wird das Projekt auf anderen Clients nicht als gelöscht angezeigt solange es nicht synchronisiert wurde;
    • der Versuch, ein gelöschtes Projekt vor dem Synchronisieren zu öffnen (Klick auf Bearbeiten), erstellt ein neues Simulationsprojekt
  • kann wie bei Einzelplatzprojekten das Löschen über Änderungen verwerfen nicht mehr rückgängig gemacht werden

attention Achtung

Ein Simulationsprojekt mit dem Status Änderungen ermöglichen kann im Modus Offline nicht gelöscht werden.

Ein in einem Mehrplatzfähigen Projekt offline erzeugtes Simulationsprojekt kann somit nicht mehr gelöscht werden!


Treiber wechseln

Handbuch > Treibersimulation > Simulation - programmiert > Editor > Treiber wechseln

Bei einem Treiberwechsel in zenon gilt:

  • Das Simulationsprojekt bleibt erhalten.
  • Allerdings werden alle Ports auf 0 gestellt. Um funktionierende Portnummern zu erhalten, öffnen Sie das Projekt im Editor. Dabei werden automatisch neue Portnummern eingetragen. Portnummern können auch manuell vergeben werden.

attention Achtung

Treiber, die mit einem zenon Logic Projekt über die integrierte Lösung verknüpft sind, können nicht ausgetauscht werden.


XML-Export/Import

Handbuch > Treibersimulation > Simulation - programmiert > Editor > XML-Export/Import

Ein Projekt im Modus Simulation - programmiert kann per XML exportiert werden. Es kann aber nicht als neues Projekt für einen anderen Treiber importiert werden.

Workaround:

  1. Exportieren Sie die zenon Logic Programme.
  2. Importieren Sie diese in das neue Projekt für den neuen Treiber.
  3. Ersetzen Sie per Suchen und Ersetzen die Variablen.


Treiberkonfiguration

Handbuch > Treibersimulation > Simulation - programmiert > Treiberkonfiguration

Bei der Konfiguration des Treibers stehen Ihnen vier Modi zur Verfügung:

  • Hardware
  • Simulation - zählend
  • Simulation - statisch
  • Simulation - programmiert

Wählen Sie den Modus Simulation - programmiert.

Noch in diesem Kapitel

Status Treibervariable

Zyklischer Abgleich


Status Treibervariable

Handbuch > Treibersimulation > Simulation - programmiert > Treiberkonfiguration > Status Treibervariable

Der Zustand der zenon Logic Runtime wird in der Treibervariablen SimulRTState auf Offset 60 abgebildet. Die Variable ist numerisch und kann nicht geschrieben werden. Der Wert informiert über den Status der Runtime:

Bit | Bedeutung | Erklärung
31 | ohne Applikation | Runtime hat kein Programm geladen, das Programm wurde gestoppt oder nicht in die Runtime geladen.
30 | nicht instanziert | Runtime wurde nicht nicht instanziert, zum Beispiel weil die DLL mit er Runtime nicht geladen werden konnte, zu wenig Arbeitsspeicher vorhanden ist, die DLL nicht vorhanden ist oder in falscher Version.
18 | p-code available | p-Code ist gemeinsam mit kompiliertem Code verfügbar, umschalten ist möglich.
17 | compiled code active | Runtime läuft mit kompiliertem Code (sonst: interpretierter p-Code).
16 | compiled code available | Kompilierter Code von C-Compiler ist verfügbar
15 | application is loaded | eine Applikation ist vorhanden, Runtime läuft
14 | cant start - missing handlers | Einige "C" Funktionen fehlen.
13 | active breakpoints installed | Mindestens ein Breakpoint wurde vom Debugger gesetzt.
12 | CT segment exists | Applikation wurde mit der Option "complex variables in separate segment" kompiliert.
11 | Reserved | (Intern, nur für Runtime.)
10 | sysinfo request is available | (Intern, nur für Runtime.)
9 | freeze event production | Binding überträgt keine Events.
8 | single cycle mode | (Intern, nur für Runtime und Debugger.)
7 | Reserved | (Intern, nur für Runtime.)
6 | locked variables | Mindestens eine Variable ist gesperrt.
5 | trigo functions are in degrees | Trigonometrische Funktionen werden in Grad angegeben.
4 | log message(s) in stack | (Intern, nur für Runtime.)
3 | application stopped between 2 progs | Runtime beim Debuggen zwischen zwei Schritten angehalten.
2 | application stopped on SFC breakpt | (Intern, nur für Runtime.)
1 | application stopped on error | Runtime mit schwerwiegendem Fehler angehalten, Neustart nötig.
0 | application is running | TRUE = Applikation ist im Modus "run". FALSE = Applikation pausiert im Modus "cycle to cycle".

info Info

Die Treibervariable SimulRTState mit Offset 60 zeigt den Status der Runtime am Server an. Das gilt auch dann, wenn die Variable am Standby Server angezeigt wird.


Zyklischer Abgleich

Handbuch > Treibersimulation > Simulation - programmiert > Treiberkonfiguration > Zyklischer Abgleich

Simulationen laufen im Netzbetrieb auf Server und Standby Server unabhängig voneinander ab. Beim Start des Standby Servers erfolgt ein Abgleich mit dem Server, allerdings:

  • ist dieser erste Abgleich um die Paketlaufzeit verschoben
  • führen geringe Unterschiede in der Ausführung zu wachsender Divergenz

Damit wird auch der Zustand der simulierten Variablen unterschiedlich. Um diese Unterschiede gering zu halten, nutzen Sie die Funktion Treiber Simulationsabbild an Standby übertragen zum Abgleich des Simulationsabbildes:

  • legen Sie eine neue Funktion an
  • wählen Sie Treiber Simulationsabbild an Standby übertragen

  • ein Dialog zur Auswahl der Treiber öffnet sich

  • in der Liste sind alle prozessgekoppelten Treiber (ausgenommen Simulator) verfügbar (Klick auf Spaltenkopf ändert Sortierung)
  • wählen Sie jene Treiber aus, die abgeglichen werden sollen
  • bei jedem Funktionsaufruf am Standby Server wird für die ausgewählten Treiber vom Server ein Abbild angefordert

Durch zyklische Aktivierung können die Unterschiede im aktuellen Simulationszustand minimiert werden. Passen Sie das Raster der Ausführung an den Umfang der abzugleichenden Daten an, da dadurch Netz- und Rechnerlast erzeugt wird.

Die Ausführung der Funktion ist fix auf Standby Server eingestellt und kann nicht geändert werden. Sie erfolgt nur wenn:

  • der Rechner Standby Server ist
  • der Server online ist
  • das Projekt ein Netzwerkprojekt ist
  • Treiber zum Abgleich ausgewählt wurden

Um die Auswahl der Treiber zu ändern

  • klicken Sie in den Eigenschaften des Treibers in der Gruppe Allgemein in die Eigenschaft Parameter
  • der Dialog zur Auswahl der Treiber öffnet sich


zenon Logic Workbench

Handbuch > Treibersimulation > Simulation - programmiert > zenon Logic Workbench

Die Simulation - programmiert wird in der zenon Logic Workbench programmiert, die eng mit dem zenon Editor zusammenarbeitet. Für die Simulation werden (im Unterschied zur integrierten Lösung) nur die Variablen eines Treibers zwischen den Editoren ausgetauscht.

Definition der auszutauschenden Variablen

Beim Start der zenon Logic Workbench werden alle Variablen des Treibers, die in zenon Logic noch nicht vorhanden sind, als globale Variablen angelegt. Bei diesen ist automatisch die Einstellung Symbol einbetten aktiviert.

Sichtbarkeit

Wird in der Workbench eine neue Variable im Bereich global oder retain definiert, ist diese erst nur in zenon Logic sichtbar. Um Sie auch in zenon sichtbar zu machen, muss die Option Symbole einbetten aktiviert werden. Ab diesen Moment wird die Variable von beiden Editoren aus aktualisiert.

Wird bei der Variablen die Option Symbol einbetten deaktiviert, wird die Variable im zenon Editor gelöscht. Dieses Verhalten ermöglicht es, in zenon Logic globale und retain Variablen zu definieren, die für zenon nicht sichtbar sind.

Für eine durch die zenon Logic Workbench in zenon neu erzeugte Variable, wird versucht, als Bereich SPSMERKER zuzuordnen. Falls der zenon Treiber den konfigurierten Datentyp bei dieser nicht unterstützt, wird der erste Datenbereich gesucht welcher den Datentyp unterstützt. Wird kein Bereich gefunden, kann die Variable nicht angelegt werden.

Eine Variable ist nur gesperrt, wenn es sich um ein Mehrplatzfähiges Projekt handelt und dieses noch nicht den Status Änderungen ermöglichen hat.

Projekteinstellungen

Einige Einstellungen unter Projekt -> Projekt-Parameter... -> Weitere Optionen -> Erweitert in zenon Logic haben Einfluss auf die Funktionalität der Simulation.

Einstellungen Erweitert

Beschreibung

Runtime: Ausführungsmodus

Empfehlung:

Modus: getriggert

Zykluszeit: 1/4 bis 1/3 der Treiberaktualisierungszeit
Zu häufige Wertänderungen an simulierten Variablen führen zu einer erhöhten Rechnerauslastung.

Compiler/Optionen: Symbole aller Variablen einbetten

Empfehlung: Deaktivieren.
Aktiv: Daten für eine Variable werden ausgetauscht, da durch den Symbolnamen die Zuordnung in der Runtime erfolgt.

Aber: Änderungen an der Projektierung der Variablen werden zwischen zenon und zenon Logic nicht aktualisiert. Onlinechange ist nicht mehr möglich.

Compiler/Optionen: Groß-/Kleinschreibung der Symbole beibehalten

Ohne Auswirkung: In der Runtime werden Variablennamen immer auf Großschreibung konvertiert.

Compiler/Optionen: Statusbits für Variablen mit Profil anlegen

Aktiv: Im Simulationsprogramm wird der Status der Variablen simuliert und es wird darauf reagiert.

„C" Compiler

Nativer Code wird unterstützt.

Name der DLL, die den kompilierten Code enthalten muss: t5app.dll.


Runtime

Handbuch > Treibersimulation > Simulation - programmiert > Runtime

Noch in diesem Kapitel

Funktionalität

Arrays und Simulation

Runtime-Dateien

Datenaustausch

Datenhaltung

Redundanz

Status

Start/Stopp

Treiberkommandos

Variablenzuordnung

Zeitstempel


Funktionalität

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Funktionalität

Die zenon Logic Runtime stellt folgende Funktionalitäten zur Verfügung:

  • Dateitransfer
  • Datentypen:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • zenon Arrays (siehe auch Arrays und Simulation)
  • Datumsstempel/Zeitstempel
  • Digitale Werteaufzeichnung
  • Dynamisch angebundene Funktionsblöcke, abgelegt in t5block*.dll
  • Hot restart
  • Logging:
    • Tracemeldungen vom Programm (printf)
    • Fehlermeldungen der Runtime
    • alle an Workbench und an Diagnosis Server
  • Maschinencode: Native compiled code mit C-Postcompiler (unter Windows CE nicht verfügbar)
  • Online change
  • Programmiersprachen: AWL, AS, FUP, KOP, ST
  • Retain Daten (remanente Daten)
  • Spezielle Funktionsblöcke und Features:
    • Datenserialisierung
    • dynamische Speicherbelegung
    • eingebettete Rezepte
    • eingebettete Variablenliste
    • File Management
    • Files
    • Mathe
    • Random
    • Signale
    • Stringtabellen
    • Trigometrie
    • Zeit
  • Spontane Kommunikation:
    • Wertänderungen als Event
    • 16 Verbindungen
    • Hysterese
  • UDP & TCP/IP für IEC-Sprachen
  • Variablen-Verriegelung


Arrays und Simulation

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Arrays und Simulation

Um mehrdimensionale Arrays bei der Treibersimulation simulieren zu können, müssen Sie in der zenon Logic Workbench die Eigenschaft "Komplexe Variable in eigenem Segment speichern" aktivieren.

Arrays mit Startindex 1

Wenn bei einer Simulation Arrays mit Startindex 1 vorkommen, werden diese Arrays in der zenon Logic Workbench mit einem zusätzlichen Index erzeugt.

Example Beispiel

Ein Array verfügt in zenon über die Indizes 1 bis 4. Dieses Array besitzt in der zenon Logic Workbench die Indizes 0 bis 4.

Dadurch wird sichergestellt, dass in zenon und in zenon Logic dieselben Indizes verwendet werden. Der Index 0 wird nicht an den Treiber übertragen.

Wenn Sie Arrays in der zenon Logic Workbench ändern, müssen Sie diesen zusätzlichen Index beachten.


Runtime-Dateien

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Runtime-Dateien

Beim Erzeugen der Runtime-Dateien wird im Runtime-Ordner des Projektes im Pfad \RT\FILES\zenon\custom\drivers ein Unterordner mit dem Namen des Simulationsprojektes erzeugt. In diesem Ordner wird die Datei simulrt.cod mit dem Code der Simulation abgelegt.

Bei erfolgreicher Kompilation in der Workbench und Übertragung in den Runtime-Ordner wird im Ausgabefenster des Editors folgende Meldung ausgegeben:

SIMULRT.COD

Und wenn mit C-Compiler kompiliert, dann zusätzlich:

T5APP.DLL

Remote-Transport

Die Runtime-Dateien für die Simulation werden als Unterordner der Treiberdateien erzeugt. Beim Remote-Transport wird der Unterordner mit sämtlichen darin enthaltenen Dateien auf den Zielrechner übertragen


Datenaustausch

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Datenaustausch

Der Datenaustausch von der zenon Logic Runtime zum Treiber beginnt mit dem 2. Zyklus der zenon Logic Runtime. Damit steht der erste Durchlauf zur Verfügung, um alle Variablen in der Runtime zu initialisieren.

Ein Datenaustausch findet nur statt wenn:

  • die Variable angefordert wird und:
    • noch keinen Wert erhalten hat
    • im Treiber nicht den Status Abgeschaltet (OFF/_VSB_N_UPD) oder Ersatzwert (ALT_VAL/_VSB_AVALUE) hat
    • vom Treiber noch benötigt wird.
    • sich Wert oder Status geändert haben

Der Datenaustausch zum Treiber erfolgt asynchron zum Zyklus der Runtime. Der Treiber durchläuft die Wertänderungen einmal pro Updatezyklus. Alle geänderten Werte - ausgenommen mit Status Abgeschaltet (OFF/_VSB_N_UPD) oder Ersatzwert (ALT_VAL/_VSB_AVALUE) - werden in die Liste der zu aktualisierenden Variablen beim Treiber eingetragen und zur Runtime abgesetzt.

Funktion Treiber Simulationsabbild an Standby übertragen

Diese Funktion wird nur am Standby Server ausgeführt (Konfiguration siehe Kapitel Zyklischer Abgleich). Am Server, der das Abbild zusammenstellt, werden die Daten synchron vom Treiber geholt. Der Treiber hat dafür 5 Sekunden Zeit. Da die Daten für das Abbild im gleichen Thread erstellt werden, in dem die Simulation läuft, muss sichergestellt sein, dass die Simulation innerhalb von 5 Sekunden abgearbeitet wird. Wird diese Zeit überschritten, wird für diesen Treiber kein Abbild übertragen.

Wertsimulation

Wertänderungen werden nicht sofort übertragen, sondern in einem Puffer abgelegt. Die Größe des Puffers beträgt 8192 Wertänderungen oder die fünffache Anzahl der Variablen, je nachdem welcher Wert größer ist. Die Verzögerung der Übertragung durch den Treiberzyklus kann bis zu 100 ms betragen. Ändert sich der Wert einer Variablen erneut während er auf die Übertragung wartet, werden sofort alle noch nicht übertragenen Werte zur Runtime abgesetzt und dann erst die neuen Werte vorgemerkt. Das kann eine erhöhte Last für Rechner und Netzwerk zur Folge haben, stellt aber sicher, dass alle Werte zur Runtime übertragen werden.

Treiber Schreibbefehl

Wenn die Simulation - programmiert projektiert und aktiv ist, werden die Schreibbefehle am Standby bis zur Runtime durchgereicht.

Schreiboperationen werden vom Treiber asynchron zur Runtime ausgeführt. Der Datenaustausch findet über einen Puffer statt. Die Größe des Puffers beträgt 8192 Wertänderungen oder die fünffache Anzahl der Variablen, je nachdem welcher Wert größer ist.

Schreibbefehle werden nach den Wertänderungen durch die Runtime durchlaufen. Kann ein Schreibbefehl nicht korrekt ausgeführt werden, wird die Fehlermeldung Write queue full! Write command for <DP-Name> lost! angezeigt.

Wenn die Statusbits aktiviert sind, wird durch das Setzen des Status Schreiben erfolgreich angezeigt, dass vom Treiber auf den Wert der Variablen geschrieben wurde. Das Runtime-Programm sollte diesen Status nach dem Bearbeiten des Schreibbefehls wieder löschen. Ein bereits aktives Statusbit verzögert ein erneutes Beschreiben durch den Treiber nicht. Schreibbefehle werden auch ausgeführt, wenn das Runtime-Programm durch einen Breakpoint gestoppt wurde.

Hinweis: Nicht alle Schreibbefehle vom Treiber müssen in der Runtime auch sichtbar werden. Wenn für eine Variable mehrere Schreibbefehle im Puffer sind, wird nur der letzte im Runtime-Programm sichtbar.

Variablen abschalten, auf Ersatzwert schalten

Wird die Variable abgeschaltet oder auf Ersatzwert geschaltet, ist das für die Runtime nicht erkennbar. Wertänderungen, die durch die Runtime ausgeführt werden, werden der Variablen im Treiber nicht zugeordnet. Wird die Variable wieder auf Spontanwert geschaltet oder aktiviert, wird auch der aktueller Wert aus der Runtime erneut zum Treiber übertragen. Beim Abschalten des Spontanwerts wird das Status-Bit OFF gesetzt; beim Zurückschalten auf Spontanwert wird das OFF-Bit zurückgesetzt.


Datenhaltung

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Datenhaltung

Retain Daten

Retain Daten werden in der Datei SimulRt<TreiberID>.ret abgelegt. Pro Simulation wird eine solche Datei erzeugt, sofern Retain-Variablen vorhanden sind. Die Datei wird beim Abgleich im Netzwerk berücksichtigt.

Treiber remanent

Die Einstellung Simulation - programmiert beim Treiberstart ist kein Kriterium, um das remanente Variablenabbild zu restaurieren.


Redundanz

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Redundanz

Start am Standby Server

Läuft der Treiber am Standby Server bereits, dann sollte auch das Abbild für die Simulation schon zur Verfügung stehen. In diesem Fall wird die Simulation mit diesem Abbild „Hot" gestartet. Bei fehlendem Abbild erfolgt ein Warmstart.

Funktion Treiber Simulationsabbild an Standby übertragen

Diese Funktion wird nur am Standby Server ausgeführt (Konfiguration siehe Kapitel Zyklischer Abgleich). Am Server, der das Abbild zusammenstellt, werden die Daten synchron vom Treiber geholt. Der Treiber hat dafür 5 Sekunden Zeit. Da die Daten für das Abbild im gleichen Thread erstellt werden, in dem die Simulation läuft, muss sichergestellt sein, dass die Simulation innerhalb von 5 Sekunden abgearbeitet wird. Wird diese Zeit überschritten, wird für diesen Treiber kein Abbild übertragen.

Abgleich

Zusätzlich zu den Programmdateien der Simulation werden auch abgeglichen:

  • Retaindaten (*.ret)
  • alle *.simul Dateien
    Diese Dateiendung wird vom Simulationsprogramm für simulationsspezifische Dateien erzeugt und im Ordner mit der Rechnerbezeichnung unterhalb des Runtime-Ordners abgelegt.


Status

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Status

Statussimulation

Für die Statussimulation muss in zenon Logic unter Projekt -> Projekt-Parameter -> Erweitert -> Compiler -> Optionen -> Statusbits für Variablen mit Profil anlegen aktiv sein. Wird der Status einer Variablen modifiziert, löst dies die Übertragung der Variablen zum Treiber aus.

Die Änderung an folgenden Status löst keine Wertaktualisierung im Treiber aus und wird auch nicht aus der Simulation übernommen:

  • Echtzeit extern (T_EXTERN/_VSB_RT_E)
  • Echtzeit intern (T_INTERN/_VSB_RT_I)
  • Winterzeit (T_STD/_VSB_WINTER)
  • Schreiben bestätigen (WR_ACK/_VSB_WR_ACK)
  • Schreiben erfolgreich (WR_SUC/_VSB_WR_SUC)
  • Normalzustand (NORM/_VSB_NORM)
  • Abweichung Normalzustand (N_NORM/_VSB_ABNORM)
  • Select im Netzwerk (NET_SEL/_VSB_SELEC)
  • Laufzeitüberschreitung (TIMEOUT/_VSB_RTE)
  • In Bearbeitung (PROGRESS/_VSB_DIREC)
  • Abgeschaltet (OFF/_VSB_N_UPD)
  • Ersatzwert (ALT_VAL/_VSB_AVALUE)

info Info

Das Statusbit Schreiben erfolgreich (WR_SUC/_VSB_WR_SUC) steht im Runtime-Programm zur Verfügung und kann zurückgesetzt werden, um erfolgreiches Schreiben anzuzeigen.

Allerdings löst das Zurücksetzen alleine nicht das Übertragen zur zenon Runtime aus. Nur Wertänderungen werden vom Treiber zur Runtime geschickt.

Speziell behandelte Statusbits

Die folgenden Statusbits schließen sich gegenseitig aus:

Bit

Beschreibung

17: Spontan
(SPONT/_VSB_SPONT)

Status SPONTAN wird gesetzt. Dies ist auch der gesetzte Status, wenn die Statusbehandlung abgeschaltet ist oder kein Status definiert wurde. Status GI + INVALID wird gelöscht.

18: Ungültig
(INVALID/_VSB_I_BIT)

Status INVALID wird gesetzt. Status SPONTAN + GI wird gelöscht.

16: Generalabfrage
(GI/_VSB_GR)

Status Generalabfrage wird gesetzt. Status SPONTAN + INVALID wird gelöscht.

8: Select im Netzwerk
(NET_SEL/_VSB_SELEC)

Wenn dieses Statusbit aktiv ist (BSO Aktivierung/Deaktivierung), werden folgende Statusbits für eine Änderungserkennung mit 0 angenommen und auch als 0 zum Treiber übertragen:

  • Select im Netzwerk (NET_SEL)
  • Übertragungsursache (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test-BIT (TEST)
  • Schreiben erfolgreich (WR_SUC)

Select before operate (SBO)

Damit auf Select Before Operate reagiert werden kann, muss im Runtime-Programm die Statussimulation verfügbar sein. Der Ablauf für Select Before Operate wird im Runtime-Programm festgelegt.

Aktivierung

Wenn zum Treiber ein SBO select gesendet wird, löst dies für die Runtime ein Werteschreiben mit dem Status Select im Netzwerk (NET_SEL) + Übertragungsursache (COT_act) aus.

Im Runtime-Programm muss ein entsprechender SBO-Ablauf implementiert sein und starten.

Das Statusbit Select im Netzwerk (NET_SEL) muss im Runtime-Programm zurückgesetzt werden.

Deaktivierung

Die Deaktivierung löst ein Werteschreiben mit dem Status Select im Netzwerk (NET_SEL) + Übertragungsursache (COT_deact) aus.

Im Runtime-Programm muss der SBO-Ablauf entsprechend beendet werden.

Das Statusbit Select im Netzwerk (NET_SEL) muss im Runtime-Programm zurückgesetzt werden.


Start/Stopp

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Start/Stopp

Treiber-Start

Die Werteaktualisierung beginnt am Standby Server erst, wenn der Treiber von seinem Server das Prozessabbild erhalten hat. Das Abbild muss innerhalb des Modultimeouts eintreffen, sonst startet der Treiber ohne Abbild. Wenn sich der Standby Server innerhalb der Wartezeit zum Server hochstuft, wird das Warten ebenfalls beendet. Treiber, die bei einem Serverprojekt oder ohne Netzwerk starten, haben keine Wartezeit. Dieses Verhalten gilt sowohl für die Simulation als auch für den Hardware-Modus.

Runtime-Start

Wenn der Treiber die Simulation - programmiert startet, wird im ersten Schritt die DLL mit der Simulations-Runtime geladen. Anschließend wird die Runtime parametriert und das Runtime-Programm startet, sofern es erfolgreich geladen werden konnte.

Ist ein Abbild der Runtime vorhanden, wird die Runtime mit diesem Hot gestartet. Sonst wird ein Warmstart ausgeführt. Ist das ebenfalls nicht möglich, wird versucht die Runtime Kalt zu starten. Ist kein gültiges Programm vorhanden, läuft die Runtime gestoppt hoch. Der Status aller Variablen wird auf INVALID gesetzt.

Das Simulationsprogramm läuft in einem eigenen Thread und ist somit völlig unabhängig vom Treiberzyklus.

info Info

Retain Variablen

Retain Daten enthalten nur den Wert der zenon Logic Variablen, nicht deren Status. Das bedeutet für den Start:

  • Warmstart: Der Status, der für eine Variable gesetzt wurde, wird wieder hergestellt - unabhängig davon, ob es sich um eine Retain Variable handelt oder nicht.
  • Kaltstart mit Retain Variablen: Nur der Wert der Retain Variablen in zenon Logic wird wieder hergestellt, nicht der Status.

Runtime stoppen

Wird die Runtime gestoppt, wird bei allen Variablen der Status INVALID gesetzt. Variablen, die angefordert werden, während die Runtime gestoppt ist, erhalten als Initialisierung den Status INVALID. Die Runtime sichert die Daten für den Warmstart und Online Change:

  • SIMULRT.HOT: enthält die Daten für den Hot-Restart.
  • SIMULRT.UPD: enthält die Daten für den Online Change.

Diese beiden Dateien werden im Ordner des Runtime-Programms erzeugt. Die Runtime muss Schreibberechtigung auf diesen Ordner besitzen.

Nachladen

  • Erneute Kompilierung des Simulationsprojektes:
    Führt zum Nachladen des entsprechenden Treibers.
  • Modifikation des Modul-Timeouts:
    Wird von der Runtime nicht als Änderung erkannt und bewirkt kein Nachladen der Treiber.

Die Standardimplementierung im Treiberkit löst beim Nachladen des Simulationsprojektes einen Hotrestart der Runtime aus. Ist dieser nicht möglich (z. B. weil das Programm unterschiedlich ist), wird ein Kaltstart mit retain ausgeführt.

Entladen der Runtime

Wenn die Runtime läuft, wird diese gestoppt. Bevor die Runtime entladen wird, werden noch alle ausstehenden Wertaktualisierungen an den Treiber übergeben. Erst dann wird die Runtime freigegeben und am PC die SimulRuntime.dll entladen.


Treiberkommandos

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Treiberkommandos

Treiberkommandos dienen dazu, Treiber über zenon zu beeinflussen, z. B. starten und stoppen.
Die Projektierung erfolgt über die Funktion Treiber Kommandos.

Treiber stoppen/starten

Wird im Modus Simulation - programmiert der Treiber gestoppt, hat dies das Entladen der Runtime zur Folge. Alle Variablen bekommen den Status INVALID. Beim Neustart des Treibers wird die Simulation neu geladen und die Runtime gestartet.

Treiber Hardware/Simulation umschalten

Bei der Umschaltung zwischen den Modi Hardware und Simulation verhält sich ein Treiber entsprechend diesem Schema:

  1. Wurde der Treiber im Editor für den Hardwaremodus konfiguriert:
    • wird der Treiber nach Ausführung der Funktion Treiberkommando mit dem Parameter Treiber in Simulationsmodus in den Modus Simulation statisch versetzt.
  2. Wurde der Treiber im Editor für einen der Simulationsmodi (statisch, zählend, programiert) konfiguriert:
    • wird der Treiber nach Ausführung der Funktion Treiberkommando mit dem Parameter Treiber in Hardwaremodus in den Hardwaremodus versetzt und kommuniziert mit der Steuerung
    • wechselt der Treiber anschließend nach Ausführung der Funktion Treiberkommando mit dem Parameter Treiber in Simulationsmodus zurück zum konfigurierten Simulationsmodus


Variablenzuordnung

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Variablenzuordnung

Die Zuordnung der zenon Treiber zu den zenon Logic Variablen erfolgt über den auf Großbuchstaben konvertierten Namen. Wenn die zenon Runtime vom Treiber eine Variable anfordert, gibt dieser sie an die Simulation weiter. Ist keine Simulation geladen, erhält die Variable bei gestopptem Treiber den Status abgeschaltet ( OFF/VSB_N_UPD), sonst den Status ungültig (INVALID/_VSB_I_BIT). Variablen vom Treiberobjekttyp Treibervariable werden von der Simulation nie angefordert.


Zeitstempel

Handbuch > Treibersimulation > Simulation - programmiert > Runtime > Zeitstempel

Für die Verwendung der Zeitstempelung muss in zenon Logic der Eintrag Projekt -> Projekt-Parameter -> Erweitert -> Compiler -> Optionen ->Statusbit für Variablen mit Profil anlegen aktiv sein.

Wenn im Runtime-Programm das Datum für eine Variable gesetzt wird, wird der Wert von Datum und Zeit als Zeitstempel verwendet. Immer, wenn sich Datum oder Zeit einer Variablen zum letzten Zyklus ändert, löst dies eine Übertragung der Werte zum Treiber aus. Das gilt auch, wenn sich weder Wert noch Status geändert haben.

Die meisten Treiber übertragen eine neue Zeitstempelung nur dann an die Runtime, wenn sich gleichzeitig auch Wert und/oder Status ändern. Eine Ausnahme ist aber z. B. der IEC870 Treiber, der auch neue Zeitstempel von der Hardware (oder Simulation - programmiert) mit gleichem Wert und gleichem Status zur Runtime überträgt.

info Info

Es muss gewährleistet sein, dass Datum und Zeit stetig steigen. Ist das nicht der Fall, führt das zu Problemen bei der Archivierung. Das Datum muss einen Wert größer/kleiner 0 haben.

Vom Runtime-Programm gestempelte Variablen erhalten den Status Echtzeit extern (T_EXTERN/_VSB_RT_E).

Alle zum Treiber zu übertragende Variablen, die nicht von der Runtime gestempelten wurden, erhalten im Zyklus eine gemeinsame Zeitstempelung. Dadurch wird sichergestellt, dass die Zeit jener der Änderung entspricht. Diese Treiber erhalten den Status Echtzeit intern (T_INTERN/_VSB_RT_I).

Datum & Zeit

Für alle Datums- und Zeitangaben gilt:

  • Zeiten entsprechen der UTC.
  • Alle Zeiten müssen zwischen dem 02. 01. 1970 und 2038 liegen.
  • Die Konvertierung des Datums in einen String erfolgt im Format YYYY/MM/DD.
  • Die Zeit wird in das Format HH:MM:SS konvertiert.


Hinweise zu Variablen in Simulationsprojekten

Handbuch > Treibersimulation > Simulation - programmiert > Hinweise zu Variablen in Simulationsprojekten

Beim Anlegen und Modifizieren von Variablen in Simulationsprojekten gilt:

  1. zenon Logic

    Wenn Variablen für ein Simulationsprojekt in der zenon Logic Workbench erstellt werden, verfügen Sie noch über keine gültige Adressierung für die Kommunikation. Wird die Kommunikation auf Hardware umgeschaltet, kann die Kommunikation unterbrochen werden, wenn die neuen Variablen ohne korrekt angepasste Adressierung in Bildern verwendet werden.

  2. Umbenennen

    Wird eine Variable in einem Simulationsprojekt umbenannt, ändert sich auch der Name der Variablen in zenon entsprechend. So müssen zum Beispiel Namen von Variablen, die in einem VBA-Projekt verwendet werden, auch im VBA-Code angepasst werden.

  3. Integrierte Lösungen

    Variablen von integrierten Lösungen wie zenon Logic, IEC 870 oder IEC 850 dürfen im Simulationsprojekt nicht umbenannt werden. Die Variablen verlieren in diesem Fall ihre Projektinformationen.
    Zum Beispiel: Wird das Project0/Global/NewVar im Simulationsprojekt umbenannt in myNeVariablenwVar wird es in zenon zu myNewVar. Nach der Umbenennung ist die Kommunikation mit der zenon Logic Runtime unmöglich.

  4. Kommunikation basierend auf Variablenname

    Variablen eines Treibers, der basierend auf Variablennamen kommuniziert, dürfen im Simulationsprojekt nicht umbenannt werden.

  5. Löschen oder Import von Variablen

    Wird eine Variable gelöscht oder importiert während in zenon Logic online change aktiv ist, werden in zenon Logic alle Variablen entfernt und neu eingefügt.

  6. Variablen mit aktivem "embed" Symbol

    Variablen, die in einem Programm vorhanden sind und deren "embed" Symbol aktiv gesetzt wurde, sind nicht über die Logic zu SCADA Verbindung in zenon vorhanden. Wird eine Variable mit aktivem "embed" Symbol vom Global-Bereich in ein Programm verschoben, dann wird dabei die Variable in zenon gelöscht.


Fehlermeldungen

Handbuch > Treibersimulation > Simulation - programmiert > Fehlermeldungen

Fehlermeldungen im zenonEditor:

Fehlermeldung

Ursache und Lösung

Der gewählte Name wurde bereits bei einem anderen Treiber verwendet, oder enthält ungültige Zeichen! Wählen Sie einen anderen Namen.

Der neue Name des Simulationsprojekts wird bereits im Projekt verwendet oder ist nicht gültig.

  • Vergeben Sie einen gültigen Namen

Das Simulationsprojekt vom Treiber <Dateiname>/<Bezeichnung> ist nicht kompiliert und kann damit nicht genutzt werden! Kompilieren Sie das Projekt in der Workbench.

Für den Treiber steht ein Simulationsprojekt zur Verfügung. Dieses wurde aber nicht kompiliert.

  • starten Sie die zenon Logic Workbench mit dem Simulationsprojekt dieses Treibers
  • kompilieren Sie das Projekt

Tipp: Ob die Simulation bei den Treibereinstellungen auf Simulation - programmiert eingestellt ist, hat keine Auswirkung

Write queue full! Write command for <Name Variable> lost!

Zeigt den Verlust eines Schreibbefehls an.


Variablen

Handbuch > Variablen

Variablen, auch Prozessvariablen oder Datenpunkte genannt, sind die Schnittstelle zwischen der Datenquelle (SPS, Feldbus etc.) und zenon. Sie repräsentieren bestimmte Messwerte oder Zustände auf der Hardware einschließlich Eigenschaften wie Skalierung, Grenzwerte etc.

info Info

Variablen müssen lizenziert sein. Im zenon Editor wird die Zahl der lizenzierten Variablen angezeigt. In der zenon Runtime werden die lizentierten und die noch verfügbaren Variablen angezeigt. Werden mehr Variablen projektiert oder genutzt als lizenziert sind, dann weist eine Infobox auf die verfügbaren Variablen hin.

Variablen werden in der zentralen Variablenliste eines Projekts verwaltet und parametriert und sind dort von überall (Funktionen, Bilder, Archivierung etc.) zugänglich. In sogenannten Integrationsprojekten kann auch auf Variablen von untergeordneten Projekten zugegriffen werden.

Eine Variable basiert immer auf zwei Komponenten: Datentyp und Treiberobjekttyp. Beide Komponenten sind voneinander unabhängig und können daher getrennt konfiguriert werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Variable neu... | Öffnet Assistent zur Erstellung einer neuen Variablen.
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Erweiterter Import/Export | Öffnet das Menü für den Import und Export von -Step 7 Projekten, dBase und CSV. Hinweis: Weitere Informationen finden Sie im Handbuch Import - Export, im Kapitel Step 7-Projekt Import.
Nicht verwendete Variablen anzeigen | Erstellt Projektanalyse für nicht verwendete Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
In neuem Fenster öffnen. | Öffnet ein eigenes Fenster für Ansicht und Bearbeitung der Variablen. (Default am unteren Rand des Editors.)
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Jeder Variablen können eigene Attribute zugeordnet werden. Insgesamt sind 64 Status/Attribute definiert.

info Info

Bildelemente, die mit einer Variablen verknüpft sind, die weder Wert noch Status hat, werden zur Runtime auf unsichtbar geschaltet.

Noch in diesem Kapitel

Variablen Detailansicht Symbolleiste und Kontextmenü

Benennung von Objekten

Variablen in zenon anmelden

Datentypen

Treiber

Variablen erstellen, modifizieren und nutzen

Vererbungskonzept

Wertberechnung

Grenzwerte

Reaktionsmatrizen

Blinken

Funktionen für Variablen

Bild Variablen-Diagnose

Maßeinheitenumschaltung


Variablen Detailansicht Symbolleiste und Kontextmenü

Handbuch > Variablen > Variablen Detailansicht Symbolleiste und Kontextmenü

Symbolleiste

Symbol | Aktion
Variable neu | Öffnet den Dialog zur Erstellung einer neuen Variablen.
Standard-Funktion erzeugen | Öffnet den Assistenten zur Auswahl der Variablen und Sollwerte und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.
Variablenverwendung | Erstellt Projektanalyse der ausgewählten Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
Nicht verwendete Variablen anzeigen | Erstellt Projektanalyse für nicht verwendete Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.
Zurück zu Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Erweitern/reduzieren | Dropdownliste, um alle oder ausgewählte Knoten zu erweitern oder zu reduzieren.
Alle aktivieren | Aktiviert alle inaktiven Elemente einer Strukturvariablen.
Aktivieren | Aktiviert ausgewählte Elemente einer Strukturvariablen.
Deaktivieren | Deaktiviert ausgewählte Elemente einer Strukturvariablen.
Auswahl als XML exportieren... | Exportiert ausgewählte Elemente in eine XML-Dateien.
XML importieren | Importiert Variablen aus einer XML-Datei.
Import/Export | Öffnet das Menü für den Import und Export von -Step 7 Projekten, dBase und CSV. Hinweis: Weitere Informationen finden Sie im Handbuch Import - Export, im Kapitel Step 7-Projekt Import.
Erweiterter Filter | Erweiterten Filter aktivieren/deaktivieren. Aktivieren öffnet den Dialog zur Auswahl der Filterkriterien.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Text in Grenzwert ersetzen | Öffnet den Dialog zur Auswahl der Dynamischen Eigenschaft. Nach Auswahl einer Eigenschaft wird nach Klick auf OK der Dialog zum Suchen und Ersetzen geöffnet.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü

Menüpunkt

Aktion

Variable neu

Öffnet den Dialog zur Erstellung einer neuen Variablen.

Standard-Funktion erzeugen

Öffnet den Assistenten zur Auswahl der Variablen und Sollwerte und erstellt eine passende Funktion. Die Aktion wird im Ausgabefenster dokumentiert.

Verknüpfte Elemente

Öffnet Submenü mit verknüpften Elementen.

Variablenverwendung

Erstellt Projektanalyse der ausgewählten Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.

Nicht verwendete Variablen anzeigen

Erstellt Projektanalyse für nicht verwendete Variablen im aktuellen Projekt und zeigt diese als Ergebnisliste in einem eigenen Fenster an.

Kopieren

Kopiert ausgewählte Einträge in die Zwischenablage.

Einfügen

Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.

Löschen

Löscht ausgewählte Einträge nach Rückfrage aus Liste.

Knoten erweitern/reduzieren

Ermöglicht, alle oder ausgewählte Knoten in der Liste zu erweitern oder zu reduzieren. Auswahl:

  • Alle erweitern
  • Alle reduzieren
  • Ausgewählte erweitern
  • Ausgewählte reduzieren

Alle aktivieren

Aktiviert alle inaktiven Elemente einer Strukturvariablen.

Aktivieren

Aktiviert ausgewählte Elemente einer Strukturvariablen.

Deaktivieren

Deaktiviert ausgewählte Elemente einer Strukturvariablen.

Auswahl als XML exportieren...

Exportiert alle ausgewählten Einträge in eine XML-Datei.

XML importieren

Importiert Einträge aus einer XML-Datei.

Erweiterter Import/Export

Öffnet das Menü für den Import und Export von -Step 7 Projekten, dBase und CSV.

Hinweis: Weitere Informationen finden Sie im Handbuch Import - Export, im Kapitel Step 7-Projekt Import.

Erweiterter Filter

Erweiterten Filter aktivieren/deaktivieren.

Aktivieren öffnet den Dialog zur Auswahl der Filterkriterien.

Alle Filter entfernen

Entfernt alle Filtereinstellungen.

Ausgewählte Zelle bearbeiten

Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.

Text in ausgewählter Spalte ersetzen

Öffnet den Dialog zum Suchen und Ersetzen von Texten.

Text in Grenzwert ersetzen

Öffnet den Dialog zur Auswahl der Dynamischen Eigenschaft. Nach Auswahl einer Eigenschaft wird nach Klick auf OK der Dialog zum Suchen und Ersetzen geöffnet.

Eigenschaften

Öffnet das Fenster Eigenschaften.

Hilfe

Öffnet die Online-Hilfe.


Benennung von Objekten

Handbuch > Variablen > Benennung von Objekten

Der Name eines Objektes muss in zenon eindeutig sein.

info Info

Beachten Sie bei der Namensvergabe:

  • Die Zeichen # und @ sind für Variablennamen nicht erlaubt.
  • Die maximale Länge für Name, Kennung und String Archivfüllwert beträgt jeweils 128 Zeichen.
  • Die maximale Länge für Betriebsmittelkennung beträgt 255 Zeichen.

Bei der Benennung wird zwischen Groß- und Kleinschreibung unterschieden. Es können also Variable mit gleichen Namen angelegt werden, die sich nur durch die Groß-/Kleinschreibung eines Buchstabens unterscheiden. Zum Beispiel sind die Variablen test und Test zwei unterschiedliche Variablen.

Achtung: Gleiche Namen, die sich nur durch Groß-/Kleinschreibung unterscheiden, können im Zusammenhang mit Treibern oder zenon Logic zu Problemen führen bei:

  1. Treiberkonfiguration:

    Unterscheidet sich die Treiberbezeichnung nur in Groß-/Kleinschreibung, verwenden beide Treiber die gleiche Zuordnungsdatei.

  2. zenon Logic:

    zenon Logic unterscheidet nicht zwischen Groß-/Kleinschreibung. Zwei Variablen, die sich in zenon nur in Groß-/Kleinschreibung unterscheiden, können in zenon Logic nicht verwendet werden. Das betrifft Variablen:

    • für ein zenon Logic Projekt mit zenon Logic Treiber, IEC870 Treiber und IEC850 Treiber
    • die in zenon auf extern sichtbar gestellt werden
    • die einem Treiber zugeordnet sind, für den ein zenon Logic Projekt für Simulation - programmiert erstellt wurde

info Info

Empfehlung: Verwenden Sie eindeutige Objektnamen, die sich nicht nur durch Groß-/Kleinschreibung unterscheiden.


Variablen in zenon anmelden

Handbuch > Variablen > Variablen in zenon anmelden

Variablen werden in der zenon Runtime beim Öffnen von Bildern, in denen sie verknüpft sind, angemeldet. Ab diesem Zeitpunkt werden sie gelesen. Beim Schließen eines Bildes werden die verknüpften Variablen wieder abgemeldet und das Lesen wird beendet.

info Info

Die Aufschaltzeit von Bildern zur Runtime hängt von der Anzahl der verknüpften Variablen ab. Erst wenn alle Variablen erfolgreich angemeldet wurden, kann das Bild bedient werden.

Werden sehr viele Variablen angemeldet, kann das die Aufschaltzeit verlängern. In diesem Fall wird ein Fortschrittsbalken angezeigt, der den Ladefortschritt anzeigt.

Anmelden (Advise):

Angemeldete (advised) Variablenwerte werden vom Treiber ständig abgefragt. Das geschieht unabhängig davon, ob sie im Projekt gerade benötigt werden oder nicht, auch wenn eine Variable zum Beispiel keine Grenzwerte hat, nicht im Bild angezeigt wird und auch keine Aufzeichnung ihrer Werte erfolgt. Der Treiber verfügt damit immer über aktuelle Werte und den aktuellen Status der Variablen und kann diese bei Bedarf ohne Abfrage zur Verfügung stellen.

  • Vorteil: Daten stehen sofort zur Verfügung. So wird zum Beispiel das Toggeln von Variablenwerten in der Funktion Sollwert setzen oder in Bildelementen wie Schalter schneller ausgeführt, weil die Variable vor dem Umschalten nicht extra abgefragt werden muss.
  • Nachteil: Höherer Belastung der Kommunikation zur Steuerung.

Folgende Funktionalitäten sorgen dafür, dass Variablen immer angemeldet sind:

  • Alarmverwaltung
  • CEL
  • Archivverwaltung
  • Modul Prozess-Rekorder
  • VBA/VSTA Online Container
  • Eigenschaft Harddisk Datenspeicherung aktiv aktiviert
  • Eigenschaft Variable ständig lesen aktiviert
  • Option Update-Liste im Speicher halten in der Treiberkonfiguration (Registerkarte Allgemein) aktiviert

Variablen, die über die Eigenschaft Variable ständig lesen angemeldet sind, stehen auch anderen Windows-Anwendungen zur Verfügung.

Tipp: Wenn der Variablenwert getoggelt werden soll oder in der CEL mit neuen und altem Wert abgespeichert werden soll, wird empfohlen, die Eigenschaft Variable ständig lesen zu aktivieren.

Abfragen (Request):

Wenn Variablen nicht angemeldet sind, werden Werte und Status bei Bedarf vom Treiber abgefragt.

Müssen Variablenwerte extra abgefragt werden, wartet die Runtime bis der Treiber den Wert der Variablen kennt. Steht der Wert aufgrund eines Kommunikationsverlusts mit der Steuerung nicht zur Verfügung, entspricht die Wartezeit der Timeout-Zeit des Treibers.


Datentypen

Handbuch > Variablen > Datentypen

Jede Variable basiert auf einem Datentyp (IEC Datentyp). Der Datentyp verfügt über dieselben Eigenschaften wie die Variable selbst (Maßeinheit, Signalauflösung, Grenzwerte usw.). Ausgenommen sind treiberspezifischen Eigenschaften wie z. B. die Adressierung der Steuerung. Ein Datentyp ist eine Variablenvorlage ohne Bezug zum Prozess. Dieser Prozessbezug wird erst mit dem Treiberobjektyp bei der Variable geschaffen.

Beim Anlegen einer neuen Variable muss ein Datentyp gewählt werden. Dabei werden alle Eigenschaften des Datentyps mit in die Variable übernommen. Die Eigenschaften werden dabei vom zugrunde liegenden Datentyp referenziert. Dass bedeutet: Wird eine Eigenschaft beim Datentyp geändert, ändert sich diese Eigenschaft bei allen Variablen mit, die mit diesem Datentyp erstellt worden sind. Dass ein Wert referenziert ist, sehen sie am entsprechenden Symbol (Pfeil) im Eigenschaftenfenster. Diese Vererbung kann auch unterbunden werden. Detaillierte Informationen finden Sie im Kapitel Vererbungskonzept.

Einem Datentypen können vordefinierte Stile oder eine bereits vordefinierte Stilgruppe zugewiesen werden, die dann zur Runtime im Erweiterten Trend angewandt werden. Detailliere Informationen finden Sie im Kapitel Verknüpfen von Variablen/Datentypen mit Stilgruppe/Skalastil/Kurvenstil.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Einfacher Datentyp neu... | Öffnet Dialog zur Erstellung eines neuen Datentyps.
Struktur-Datentyp neu... | Öffnet Dialog zur Erstellung eines neuen Strukturdatentyps.
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren... | Importiert Einträge aus XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

IEC Datentypen:

IEC Datentypen sind von der IEC in der Norm IEC 61131-3 genormte Datentypen. Derzeit unterstützt zenon folgende IEC-Datentypen:

Kurzbezeichnung

Langbezeichnung

Bemerkung/Wertebereich

Anzahl Bits

BOOL

Boolean

Bit.

Wertebereich: 0/1 - FALSE/TRUE

Hinweis: Grenzwerte werden nicht automatisch gelöscht, da diese sonst bei einer falschen Variablentypauswahl verloren gehen würden. Wird also z.B. eine numerische Variable mit einem definierten Grenzwert in den Typ BOOL umgewandelt, verfügt diese Variable über drei Grenzwerte.

1

BYTE

Oktett

Geordnete Zusammenstellung von 8 Bit.

Wertebereich: 0 bis +256

8

DATE

Date

IEC-Datum: in Schritten von 1 Tag.

Wertebereich: 1990-1-1 bis 2168-12-31

16

DATE_AND_TIME

Date and time of day

Definiert einen Zeitbereich mit 64 Bit und wird in einem binärcodierten Dezimalformat gespeichert.

Wertebereich: 1990-1-1-0:0:0.0 bis 2089-12-31-23:59:59.999

64

DINT

Double integer

Vorzeichenbehaftetes Double:

Wertebereich: -2147483648 bis +2147483647

32

DWORD

Double Word

Dual- und Hexadezimalzahlen mit 32 Bits.

Wertebereich: (0,0,0,0) bis (255,255,255,255)

32

INT

Integer

Vorzeichenbehaftetes Word.

Wertebereich: -32768 bis +32767

16

LINT

Long integer

Da zenon den Wertbereich einer 64 Bit-Zahl nicht halten kann, wird der wirkliche Zahlenbereich auf 52 Bit beschränkt. Vorzeichenbehaftete Zahlen sind im Bereich von –2251799813685248- 2251799813685247 möglich. Zahlen ausserhalb dieses Bereiches bewirken einen Über- oder Unterlauf entsprechend eines 52 Bit Integer.

Mit voller 64 Bit Auflösung arbeiten in der zenon Runtime folgende Bereiche:

  1. Das Shared Memory VBA Interface, wenn der Wert in Signalauflösung angegeben wird.
  2. Das Shared Memory zenon Logic interface.
  3. Das Treiberkit ist für den gesamten Zahlenbereich von 64 Bit tauglich und somit alle Treiber, sofern der Treiber diesen IEC Datentyp unterstützt.

Hinweis: RGM und Rezepte können auch einen 52 Bit Wert nicht mit voller Genauigkeit speichern.

Wertebereich: -9223372036854775808 bis +9223372036854775807

64 oder 52

LREAL

Real numbers

Reale Zahl

Wertebereich: -1,7E+308 bis

+1,7E+308

Genauigkeit: 15 Stellen.

64

REAL

Real numbers

Reale Zahl

Der Datentyp REAL mit single point precision (32-Bit) deckt einen großen Zahlenbereich ab, hat aber eine begrenzte Genauigkeit.

Bei der Umrechnung von Dezimalzahlen in Werte des Datentyps REAL können - je nach Größenordnung - ab der siebenten Dezimalstelle Rundungsfehler auftreten. Die Verwaltung von Dezimalwerten mit mehr als 6 signifikanten Stellen ist daher aus technischer Sicht nicht sinnvoll.

Empfehlung: Verwenden Sie den Datentyp LREAL anstelle von REAL, wenn die SPS das unterstützt. Die dadurch mögliche höhere Genauigkeit gegenüber dem Datentyp REAL ist z.B. für Zählerstände notwendig.
Handelt es sich um Werte, die in Ganzzahlschritten zählen, wird ein Integerdatentyp empfohlen. So kann z. B. eine Variable vom Typ UDINT jeden ganzzahligen Wert zwischen 0 und +4.294.967.295 fehlerfrei speichern. Gehen Zählerstände über diese Grenze hinaus werden üblicherweise zwei Variablen vom Typ DINT kaskadiert oder der Zähler wird zurück gesetzt.

Tipp/Workaround: Wenn Sie trotzdem mit dem Datentyp REAL weiterarbeiten möchten (z.B. bei Einschränkungen der Datentypen durch die vorhandene SPS), kann der Bitstring von der SPS als DINT anstelle von REAL gelesen werden.
Dieser Bitstring kann in zenon Logic mit den Funktionsbausteinen AND_MASK und OR_MASK zerlegt und die Bestandteile des REAL-Wertes (Vorzeichen, Exponent, Mantisse) extrahiert werden. Daraus können exakte Zahlenwert errechnet werden.

Wertebereich:
-3,4E+38 bis +3,4E+38

Genauigkeit: 6 Stellen

32

SINT

Short integer

Vorzeichenbehaftetes Byte.

Wertebereich: -128 bis +127

8

STRING

Variable-length single byte character string

ASCII String.

Die maximale String-Länge ist treiberabhängig.
Die Stringlänge wird per Default auf 5 Zeichen gesetzt. Beim Projektieren ist gegebenenfalls die richtige Länge anzugeben.

Wertebereich: 0 bis +254 Zeichen (n)

>= 8x Stringlänge

TIME

Duration

Zeitdauer im IEC-Format.
Ganzzahl mit Vorzeichen.
IEC-Zeit in Schritten von 1 ms.

Wertebereich: -24D_20H_31M_23S_648MS

bis

24D_20H_31M_23S_647MS

32

TOD

Time of day

Uhrzeit (Tageszeit) in Schritten von 1 ms.

Wertebereich: 0:0:0.0 bis 23:59:59.999

32

UDINT

Unsigned double integer

Double:

Wertebereich: 0 bis +4294967295

32

UINT

Unsigned integer

Word.

Wertebereich: 0 bis +65535

16

ULINT

Unsigned long integer

Da zenon den Wertbereich einer 64 Bit-Zahl nicht halten kann, wird der wirkliche Zahlenbereich auf 52 Bit beschränkt. Vorzeichenlose Zahlen sind im Bereich von 0 bis +4503599627370495 möglich. Zahlen ausserhalb dieses Bereiches bewirken einen Über- oder Unterlauf entsprechend eines 52 Bit integer.

Mit voller 64 Bit Auflösung arbeiten in der zenon Runtime folgende Teile:

  • Das shared memory VBA Interface wenn der Wert in Signalauflösung angegeben.
  • Das shared memory zenon Logic interface.
  • Das Treiberkit ist für den gesamten Zahlenbereich von 64 Bit tauglich und somit alle Treiber, sofern der Treiber diesen IEC Datentyp unterstützt. Derzeit sind dies Sample32, Intern und STRATON32.

RGM und Rezepte können selbst einen 52 Bit Wert nicht mit voller Genauigkeit speichern.

Wertebereich:
0 bis +18446744073709551615

64 oder 52

USINT

Unsigned short integer

Byte:

Wertebereich: 0 bis +255

8

WORD

Word

Dual- und Hexadezimalzahlen mit 16 Bits.

Wertebereich: (0,0) bis (255,255)

16

WSTRING

Variable-length

multi-byte character string

Enthält Multi-Byte Strings, zum Beispiel Strings in Unicode Kodierung (UTF-8 etc).
Die Stringlänge wird Default auf 5 Zeichen gesetzt. Beim Projektieren ist gegebenenfalls die richtige Länge anzugeben.

Wertebereich: 0 bis +16382 Zeichen (n)

>= Nx Stringlänge

Hinweis: Informationen zur Funktionsweise der Vererbung von Datentyp-Eigenschaften finden Sie im Abschnitt Vererbungskonzept.

attention Achtung

In der zenon Runtime werden die Datentypen DATE, TIME, TOD wie ein Datentyp UDINT im Unix-Zeitformat (vergangene Sekunden seit dem 01. 01. 1970) behandelt. Der Datentyp DATE_AND_TIME entspricht dem Datentyp FLOAT im Unix-Zeitformat. Bei diesem wird die Zeit auf Millisekunden genau - drei Stellen hinter dem Komma - gespeichert. Erst der Treiber wandelt den in zenon verwendeten Datentyp in den entsprechenden Datentyp um und schickt den neuen Wert zur Steuerung.
Nicht alle Treiber unterstützen diese Datentypen. Ob der verwendete Treiber die Datentypen unterstützt, entnehmen Sie der entsprechenden Treiberdokumentation.

Noch in diesem Kapitel

Datentypen Detailansicht Symbolleiste und Kontextmenü

Arten von Datentypen


Datentypen Detailansicht Symbolleiste und Kontextmenü

Handbuch > Variablen > Datentypen > Datentypen Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt | Aktion
Einfacher Datentyp neu | Öffnet den Dialog zum Anlegen eines Einfachen Datentyps.
Struktur-Datentyp neu | Öffnet den Dialog zum Anlegen eines Struktur-Datentyps.
Struktur-Element neu | Öffnet den Dialog zum Hinzufügen eines Struktur Elements zu einem Struktur-Datentyp.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Text in Grenzwert ersetzen | Öffnet den Dialog zur Auswahl der Dynamischen Eigenschaft. Nach Auswahl einer Eigenschaft wird nach Klick auf OK der Dialog zum Suchen und Ersetzen geöffnet.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Arten von Datentypen

Handbuch > Variablen > Datentypen > Arten von Datentypen

Es gibt prinzipiell zwei unterschiedliche Arten von Datentypen:

  • einfache Datentypen; diese bestehen wiederum aus:
    • vorkonfigurierte einfache Datentypen
    • benutzerdefinierte einfache Datentypen
  • Struktur-Datentypen

Noch in diesem Kapitel

Vorkonfigurierte einfache Datentypen

Benutzerdefinierte einfache Datentypen

Struktur-Datentypen


Vorkonfigurierte einfache Datentypen

Handbuch > Variablen > Datentypen > Arten von Datentypen > Vorkonfigurierte einfache Datentypen

Diese werden standardmäßig mit zenon ausgeliefert und stehen beim Anlegen einer neuen Variablen sofort zur Verfügung. Sie entsprechen den In der IEC 61131-3 genormten Einfachen Datentypen wie INT, USINT usw. Sie definieren einen festgelegten Wertbereich (fixe Ober- und Untergrenze) mit einer festgelegten Anzahl an Werten. Daher können reelle Zahlen als Gleitkommazahlen nur mit einer bestimmten Genauigkeit abgebildet werden

Die Eigenschaften der Einfachen Datentypen können geändert werden. Der Name dieser Datentypen stimmt mit den Namen der zugrunde liegenden IEC Datentypen überein, dieser und der IEC Datentyp können weder geändert noch gelöscht werden.

Die Datentypen sind in zenon erst sichtbar, wenn ein Treiber im Projekt angelegt ist. Jeder Treiber bringt eine Liste mit den Datentypen mit, die er unterstützt. Ist ein IEC Datentyp nicht in der Datentyp-Liste vorhanden, wird er von keinem der eingebundenen Treiber unterstützt.

Änderungen der Eigenschaften bei den Datentypen wirken sich auf alle damit verknüpften Variablen und auch bei allen damit verknüpften Struktur-Datentypen aus!


Benutzerdefinierte einfache Datentypen

Handbuch > Variablen > Datentypen > Arten von Datentypen > Benutzerdefinierte einfache Datentypen

Diese Datentypen können vom Benutzer selbst angelegt werden. Beim Anlegen wird ein bereits existierender Datentyp verwendet. Alle Eigenschaften dieses Datentyps werden beim Anlegen auf den neuen Datentyp kopiert und können anschließend geändert werden. Es besteht keine Referenz zum ursprünglich zugrunde liegenden Datentyp. Alle Datentypen könne also unabhängig voneinander konfiguriert werden.

Bei den benutzerdefinierten Datentypen können alle Eigenschaften inklusive Namen und IEC Datentyp geändert werden.

attention Achtung

Alle Variablen, die auf einem Datentyp basieren, bei dem der IEC Datentyp geändert wird, müssen eventuelle manuell nachkonfiguriert werden.

Beispiel

Ein IEC Datentyp INT wird in einen IEC Datentyp BOOL geändert. Alle Sollwertgrenzen bei allen Variablen und auch an allen Stellen, wo die Variable verwendet wurde (Bilder), stimmen nicht mehr. Besonders kritisch ist dieser Zustand, wenn die Eigenschaften bei der Variable überschrieben wurden und nicht vom Datentyp referenziert sind!

Beim Anlegen eines neuen benutzerdefinierten Datentyps sollte immer ein Datentyp verwendet werden, der über den selben IEC Datentyp verfügt wie der, den man benötigt.

attention Achtung

Vor dem nachträgliche Ändern des IEC Datentyps wird ausdrücklich gewarnt!
Am IEC Datentyp hängen sehr viele Einstellungen, die manuell nachkonfiguriert werden müssen, wenn der IEC Datentyp geändert wird. (Bsp: Signalbereich, Messbereich, Hysterese, Sollwertgrenzen, nichtlineare Wertanpassung usw...).
Bei einer Änderung des IEC Datentyps müssen alle für diesen Datentyp spezifischen Eigenschaften kontrolliert werden! Teilweise müssen die Eigenschaften vor der Änderung angepasst werden, da z. B. bei einer BOOL Variable die Signalauflösung und der Messbereich nicht mehr verändert werden können.

Noch in diesem Kapitel

Anlegen eines neuen benutzerdefinierten Datentyps

Ändern der Eigenschaften eines benutzerdefinierten Datentyps

Löschen eines benutzerdefinierten Datentyps


Anlegen eines neuen benutzerdefinierten Datentyps

Handbuch > Variablen > Datentypen > Arten von Datentypen > Benutzerdefinierte einfache Datentypen > Anlegen eines neuen benutzerdefinierten Datentyps

Um einen neuen benutzerdefinierten Datentyp anzulegen:

  1. Öffnen Sie den Knoten Variablen.
  2. Klicken Sie auf Datentypen.

    In der Liste der Detailansicht sind alle bereits existierenden Datentypen aufgelistet.

    • Beim ersten Öffnen sind nur die vordefinierten Datentypen vorhanden, die mit den IEC Datentypen namentlich übereinstimmen.
    • Ein benutzerdefinierter Datentyp ist immer auf einem IEC Datentyp aufgebaut.
  3. Klicken Sie mit der rechten Maustaste in die Liste.
  4. Wählen Sie im Kontextmenü Einfacher Datentyp neu... aus.

    Der Dialog Einfachen Datentyp erstellen wird geöffnet.

  5. Geben Sie den Namen des benutzerdefinierten Datentyps ein.

    Hinweis: Der Name des Datentyps ist auf 128 Zeichen beschränkt!

  6. Wählen einen bereits existierenden Datentyp aus. Dieser Datentyp dient als Vorlage für den neu erstellten Datentyp.
  7. Klicken Sie auf die Schaltfläche Fertig stellen.

    Der neue benutzerdefinierte Datentyp erscheint nun in der Liste der einfachen Datentypen in der Detailansicht.

Hinweise:

  • Alle Eigenschaften werden in den neuen Datentyp kopiert. Diese können anschließend über das Eigenschaften-Fenster angepasst werden.
  • Es bleibt kein Bezug zum originalen Datentyp bestehen, von dem die Kopie erstellt wurde.
  • Sie können den neu erstellten Datentyp auch als Vorlage für weitere Datentypen verwenden.


Ändern der Eigenschaften eines benutzerdefinierten Datentyps

Handbuch > Variablen > Datentypen > Arten von Datentypen > Benutzerdefinierte einfache Datentypen > Ändern der Eigenschaften eines benutzerdefinierten Datentyps

Eine Änderung der Eigenschaften des benutzerdefinierten Datentyps kann im Eigenschaften-Fenster vorgenommen werden, in dem alle Eigenschaften des Datentyps nun aufgeblendet werden.

Der IEC-Datentyp sollte nicht geändert werden, da sich dadurch die Signalauflösung ändern würde.


Löschen eines benutzerdefinierten Datentyps

Handbuch > Variablen > Datentypen > Arten von Datentypen > Benutzerdefinierte einfache Datentypen > Löschen eines benutzerdefinierten Datentyps

Wählen Sie den zu löschenden Datentyp in der Liste der Detailansicht aus und bestätigen Sie die Löschaktion in der folgenden Dialogbox.

attention Achtung

Wird ein benutzerdefinierter Datentyp gelöscht, werden alle Variablen, die auf diesem Datentyp aufgebaut sind, mitgelöscht.


Struktur-Datentypen

Handbuch > Variablen > Datentypen > Arten von Datentypen > Struktur-Datentypen

Struktur-Datentypen sind immer benutzerdefinierte Datentypen. Im Gegensatz zu den einfachen Datentypen, die nur eine flache Variablenliste zulassen, lässt sich mit ihnen eine Struktur aufbauen. Diese Struktur kann auch verschachtelt und sehr komplex sein.

Wenn eine Struktur Variable benötigt wird, muss zuerst ein Struktur-Datentyp angelegt werden. Eine Struktur besteht aus einem Struktur-Namen und Struktur-Elementen. Struktur-Elemente können einfache Datentypen oder wiederum andere Strukturen sein. Struktur-Elemente können auch Arrays (Felder) in maximal drei Dimensionen sein.

attention Achtung

Beim Erzeugen wird festgelegt, ob das Strukturelement den Typ verknüpft oder eingebettet verwendet. Nachträgliche Änderungen sind nicht möglich.

Beispiel für einen Struktur-Datentyp:

In der obigen Abbildung werden zwei Strukturen dargestellt:

Die Struktur Regler besteht aus zwei Struktur Elementen: Drehzahl Soll und einer Drehzahl Ist.

  • Das Struktur-Element Drehzahl Ist wurde mit dem Datentyp INT verknüpft, d.h. dass alle Eigenschaften des vordefinierten Datentyps INT in dieses Struktur-Element übernommen werden.
  • Das Struktur-Element Drehzahl Soll ist in die Struktur eingebettet. Alle Eigenschaften eines Datentyps können daher beim Struktur-Element selber eingestellt werden.

Die abgebildete Struktur Motor besteht aus folgenden Struktur Elementen: Leistungsaufnahme, Stromaufnahme, Spannung, Wicklungstemperatur [3] und der Struktur Drehzahl Regelung.

  • Das Struktur-Element Leistungsaufnahme ist verknüpft mit dem vordefiniertem Datentyp UINT - alle Eigenschaften werden von UINT übernommen.
  • Das Struktur-Element Stromaufnahme hat den Datentyp INT eingebettet - alle Eigenschaften können beim Struktur-Element eingestellt werden.
  • Das Struktur-Element Spannung ist verknüpft mit dem benutzerdefinierten Datentyp Spannung. Das Element bezieht alle Eigenschaften aus diesem Datentyp.
  • Das Struktur-Element Wicklungstemperatur ist ein eindimensionales Array (ein Feld) von drei Elementen vom vordefinierten Datentyp SINT.
  • Das Struktur-Element Drehzahl Regelung ist verknüpft mit der Struktur Regler, die bereits oben vorgestellt wurde. Strukturen in einer Struktur können nicht eingebettet werden. Sie sind immer mit der original Struktur verknüpft. Die Struktur enthält demnach zwei weitere Struktur Elemente: Drehzahl Soll und Drehzahl Ist deren Eigenschaften von der Ursprungs-Struktur übernommen werden.

Noch in diesem Kapitel

Anlegen eines Struktur-Datentyps

Einfügen von weiteren Struktur-Elementen

Ändern der Eigenschaften eines Struktur-Elements

Strukturelement verschieben

Löschen eines Struktur-Datentyps


Anlegen eines Struktur-Datentyps

Handbuch > Variablen > Datentypen > Arten von Datentypen > Struktur-Datentypen > Anlegen eines Struktur-Datentyps

So legen Sie einen Struktur-Datentyp an:

  1. Klicken Sie mit der rechten Maustaste auf einen benutzerdefinierten Datentyp in der Liste und wählen Sie im Kontextmenü Struktur-Datentyp neu aus
  2. In der nun erscheinenden Dialogbox definieren Sie den Namen.

    Hinweis: Der Name des Datentyps ist auf 128 Zeichen begrenzt.

  3. Beenden den Vorgang mit Fertig stellen. Den Namen des Struktur Datentyps können Sie nachträglich im Eigenschaften-Fenster ändern.
  4. Eine Dialogbox wir geöffnet, mit der Sie das erste Struktur-Element erstellen.
  5. Vergeben Sie einen eindeutigen Namen.
  6. Wählen Sie den Datentyp, auf dem Das Element basieren soll, aus. Klick auf die Schaltfläche ... öffnet den Auswahldialog.

    Sie können auch Strukturen als Struktur-Element verknüpfen. Das Einbetten von Strukturen als Struktur-Element ist nicht möglich. Ebenso können Sie nur ganze Strukturen und nicht Teile einer Struktur verknüpfen.

  7. Legen Sie fest, ob der Datentyp eingebettet oder verknüpft werden soll.
  8. Definieren Sie die Array-Dimensionen an.
    Möchten Sie kein Array verwenden, geben Sie die Dimension 0 an.
  9. Beenden Sie den Vorgang mit Fertig stellen.

Einbetten oder verknüpfen

Parameter | Beschreibung
Eingebettete Struktur-Elemente | Können von ihrem Ursprungs-Datentyp unterschiedliche Eigenschaften übernehmen. Die Eigenschaften werden bei jedem Struktur-Element extra eingestellt und dort gespeichert.
Verknüpfte Struktur-Elemente | Übernehmen immer alle Eigenschaften aus dem ursprünglichen Datentyp, von dem Sie abgeleitet sind. Ändert sich der ursprüngliche Datentyp, ändern sich alle davon abgeleiteten verknüpften Struktur-Elemente mit!


Einfügen von weiteren Struktur-Elementen

Handbuch > Variablen > Datentypen > Arten von Datentypen > Struktur-Datentypen > Einfügen von weiteren Struktur-Elementen

Um weitere Struktur-Elemente einzufügen:

  1. Klicken Sie mit der rechten Maustaste auf den gewünschten Struktur-Datentyp.
  2. Wählen Sie im Kontextmenü Struktur-Element neu.
  3. Definieren Sie in der sich öffnenden Dialogbox
    1. eine eindeutige Bezeichnung (Name ist auf 128 Zeichen begrenzt)
    2. die Arraydimensionen und
    3. ob Sie das Struktur-Element einbetten oder verknüpfen wollen.

Wenn Sie nun den Struktur-Datentyp in der Detailansicht markieren, werden die existierenden Struktur-Elemente als Unterpunkte angezeigt.


Ändern der Eigenschaften eines Struktur-Elements

Handbuch > Variablen > Datentypen > Arten von Datentypen > Struktur-Datentypen > Ändern der Eigenschaften eines Struktur-Elements

Um die Eigenschaften eines Struktur-Elements zu ändern:

Eingebettetes Struktur-Elemente

  1. Markieren Sie das Struktur-Element in der Detailansicht.
  2. Ändern Sie die gewünschten Eigenschaften im Eigenschaften-Fenster.

Verknüpftes Struktur-Element

Bei verknüpften Struktur-Elementen können im Eigenschaften-Fenster geändert werden:

  • Name
    Hinweis: Wenn das Umbenennen zu einem ungültigen Variablennamen führt, wird eine Warnung angezeigt und die Variable wird nicht aktiviert. Das gilt auch für den XML-Import.
  • Offsets
  • Array-Dimensionen
  • Beschreibung

Alle weiteren Eigenschaften müssen direkt beim Ursprungsdatentyp geändert werden.

attention Achtung

Änderungen am Datentyp wirken sich unmittelbar auf alle damit verbundenen Variablen und auch auf alle anderen Struktur-Datentypen, die diesen Datentyp verknüpft haben, aus!

Änderungen am Datentyp werden nicht empfohlen. Diese müssen mit entsprechender Umsicht vorbereitet und durchgeführt werden. Vor allem bei Einstellungen des IEC Datentyps, des Messbereichs, der Sollwertgrenzen usw.

Unter Umständen müssen alle Variablen und alle Bilder, in denen diese Variablen verwendet werden, manuell nacharbeitet werden!


Strukturelement verschieben

Handbuch > Variablen > Datentypen > Arten von Datentypen > Struktur-Datentypen > Strukturelement verschieben

Elemente eines Struktur-Datentyps können per Drag&Drop verschoben werden. Um Elemente zu verschieben:

  1. markieren Sie das gewünschte Elemente
  2. Sie können auch mehrere zusammenhängende Elemente wählen
  3. klicken Sie in die Auswahl und ziehen Sie die Elemente an die gewünschte Stelle

Bei mehrplatzfähigen Projekten wird überprüft, ob der Status des zu verändernden Datentyps auf Änderungen ermöglichen steht oder gesetzt werden kann.

Mehrere Objekte verschieben

Zusammenhängende Elemente können per Drag&Drop verschoben werden. Dabei gilt:

  • Es können nur zusammenhängende Strukturelemente verschoben werden.

  • Wird bei der Mehrfachauswahl eine Lücke erkannt, wird die Drop-Aktion verweigert.


Löschen eines Struktur-Datentyps

Handbuch > Variablen > Datentypen > Arten von Datentypen > Struktur-Datentypen > Löschen eines Struktur-Datentyps

Um einen Struktur-Datentyp zu löschen:

  1. Klicken Sie mit der rechten Maustaste auf den Struktur Datentyp in der Liste.
  2. Wählen Sie im Kontextmenü Löschen.
  3. Der Struktur-Datentyp wird mit allen seiner Struktur- Elementen gelöscht.

attention Achtung

Beim Löschen werden auch alle Variablen, die auf diesem Struktur-Datentyp basieren, gelöscht!


Treiber

Handbuch > Variablen > Treiber

zenon bietet über 300 unterschiedliche Anbindungen an die verschiedensten Steuerungen, Bussysteme und Applikationen.

Um mit einer Datenquelle kommunizieren zu können, ist die Anbindung eines Schnittstellentreibers (Protokolltreibers) notwendig. Der Treiber stellt die Verbindung zwischen einer Steuerung und zenon her. Die Datenquelle muss aber nicht unbedingt eine physikalische Steuerung sein. Der DDE Treiber kommuniziert mit einem DDE Server, der OPC Client Treiber mit einem OPC Server, Der SNMP Treiber mit SNMP Agents usw.

Es stehen eine Vielzahl von unterschiedlichen Treibern zur Verfügung die auch parallel eingesetzt werden können.

attention Achtung

Unter Windows CE kann immer nur ein Typ eines Treibers gestartet werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Treiber neu... | Öffnet Dateiansicht zur Auswahl eines Treibers.
Hilfe | Öffnet die Online-Hilfe.

Beim Anlegen einer neuen Variable muss immer bestimmt werden, auf welchem Treiber die Variable liegen soll.

Die zenon Treiber sind Protokolltreiber. Sie sind nicht zu verwechseln mit Schnittstellentreibern des Betriebssystems (z. B. Treiber für eine LAN Karte oder Treiber für eine Serielle Schnittstelle). Die zenon Treiber bauen immer auf den Schnittstellentreibern des Betriebssystems auf, und kommunizieren über ein entsprechendes Protokoll (z. B. Modbus RTU, MPI, Melsec A usw...), das die jeweilige Steuerung versteht.

Grundlegende Treiber stehen in zenon kostenlos zur Verfügung. Variablen, die auf diesen Treibern basieren werden bei der Berechnung der Lizenzgröße nicht berücksichtigt:

Parameter

Beschreibung

Simulator Treiber SIMUL32

Für interne Variablen.

Diese können als ausfallsichere Variablen (Harddisk-Daten, remanente Merker) oder als Merkertypen definiert werden; für dynamische Simulation können Merkerobjekte automatisch ihren Wert ändern.

Mathematik Treiber MATHDR32

Variablen dieses Treibers dienen für Berechnungen von mathematischen Funktionen oder für Schaltspiel-Zähler und Betriebsstunden-Zähler.

System Treiber Sysdrv

Variablen zur Überwachung und Steuerung der Hardware, des Netzwerks und anderer projektspezifischer Eigenschaften.

Intern Treiber Intern

Benutzerdefinierbare Variablen ohne Verbindung zu einer Steuerung. (Ähnlich den benutzerdefinierten Variablen des Systemtreibers).

Jede Variable hat ihren individuellen Wert. Es ist also nicht möglich, z. B. Bit- oder Byte-Variablen aus einer Integer-Variable zu extrahieren.

Die Projektierungen von Adressinformationen ist nicht notwendig, die betreffenden Eigenschaften können im Eigenschaftenfenster auch nicht bearbeitet werden.

Alternative Datenpunkte Treiber ADP

Die genauen Treiberbeschreibungen zu den einzelnen Treibern finden sich in den entsprechenden Treiber-Dokumentationen, die Ihnen über die Online-Hilfe im Kapitel Treiber zur Verfügung stehen.

Beim Anlegen eines neuen Treibers bekommen Sie einen Auswahldialog in dem alle zur Verfügung stehenden Treiber enthalten sind. Die Informationen für diesen Dialog sind in den Dateien Treiber_DE.xml, Treiber_EN.xml usw. sprachabhängig gespeichert. Öffnen oder bearbeiten können Sie die einzelnen XML-Dateien mit dem Tool driverinfo.exe.

Noch in diesem Kapitel

Treiberobjekttyp

Anlegen eines Treibers

Konfigurieren eines Treibers

Treibersimulation

Treiber austauschen

Treiber löschen

Kommunikationsdetails

Treiber Detailansicht Symbolleiste und Kontextmenü

Treiber-Dokumentationen


Treiberobjekttyp

Handbuch > Variablen > Treiber > Treiberobjekttyp

Die Treiberobjekttypen bestimmen, welcher Bereich einer Variablen in der Steuerung angesprochen werden soll. Derzeit verwenden alle Hersteller unterschiedliche Bezeichnungen für die Bereiche in Ihren Steuerungen. In der Siemens Welt gibt es Datenbausteine, Merker, Ein- Ausgänge usw. In der Modbus Welt sind dies Coil und Holding Register. Jeder Treiber stellt intern eine Liste mit den zur Verfügung stehenden Treiberobjekttypen bereit. Beim Anlegen einer neuen Variablen muss bestimmt werden, welchem Bereich die Variable in der Steuerung zugewiesen ist.

Hinweis: Treiberobjekttypen sind nicht sprachumschaltbar. Sie werden später immer in der Sprache angezeigt, in der sie angelegt wurden, unabhängig von der Sprache des Editors. Das gilt auch für Treibernamen.

Strikte Trennung zwischen Datentyp und Treiberobjekttyp

Die strikte Trennung ermöglicht es, eine Struktur als Datentyp völlig treiberunabhängig und damit unabhängig von der Steuerung zu erstellen. Diese Struktur kann dann als Variable beliebigen Treibern zugeordnet werden. Eine Struktur lässt sich so beispielsweise über die entsprechenden Treiber 1:1 mit einer Siemens Steuerung wie auch mit einer MODBUS-Steuerung verknüpfen.


Anlegen eines Treibers

Handbuch > Variablen > Treiber > Anlegen eines Treibers

Im Dialog Treiber erstellen wählen Sie aus einer Liste jenen Treiber, den Sie neu anlegen wollen.

Parameter | Beschreibung
Verfügbare Treiber | Liste aller verfügbaren Treiber. Die Darstellung erfolgt in einer Baumstruktur: [+] erweitert die Ordnerstruktur und zeigt die darin enthaltenen Treiber. [-] reduziert die Ordnerstruktur Default: keine Auswahl
Treiberbezeichnung | Eindeutige Bezeichnung des Treibers. Default: leer Das Eingabefeld wird nach Auswahl eines Treibers aus der Liste der verfügbaren Treiber mit der vordefinierten Bezeichnung vorausgefüllt.
Treiberinformationen | Weiterführende Informationen über den gewählten Treiber. Default: leer Nach Auswahl eines Treibers werden in diesem Bereich die Informationen zum gewählten Treiber angezeigt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Einstellungen und öffnet den Treiberkonfigurationsdialog des ausgewählten Treibers.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Die Inhalte dieses Dialogs sind in der Datei Treiber_[Sprachkürzel].xml gespeichert. Sie finden diese Datei im Ordner C:\ProgramData\COPA-DATA\zenon[Versionsnummer].

Treiber neu anlegen

Um einen neuen Treiber anzulegen:

  1. Klicken Sie mit der rechten Maustaste im Projektmanager auf Treiber und wählen Sie im Kontextmenü Treiber neu aus.
    Optional: Wählen Sie die Schaltfläche Treiber neu aus der Symbolleiste der Detailansicht der Variablen.
    Der Dialog Treiber erstellen wird geöffnet.
  2. Der Dialog bietet eine Auflistung aller verfügbaren Treiber an.

  3. Wählen Sie den gewünschten Treiber und benennen Sie diesen im Eingabefeld Treiberbezeichnung.
    Dieses Eingabefeld entspricht der Eigenschaft Bezeichnung. Per Default wird der Name des ausgewählten Treibers in diesem Eingabefeld automatisch eingefügt.
    Für die Treiberbezeichnung gilt:
    • Die Treiberbezeichnung muss eindeutig sein.
      Wird ein Treiber mehrmals im Projekt verwendet, so muss jeweils eine neue Bezeichnung vergeben werden.
      Dies wird durch Klick auf die Schaltfläche OK evaluiert. Ist die Treiber im Projekt bereits vorhanden wird dies mit einem Warndialog angezeigt.
    • Die Treiberbezeichnung ist Bestandteil des Dateinamens.
      Daher darf Sie nur Zeichen enthalten, die vom Betriebssystem unterstützt werden. Nicht gültige Zeichen werden durch einen Unterstrich (_) ersetzt.
    • Achtung: Die Bezeichnung kann später nicht mehr geändert werden.
  4. Bestätigen Sie den Dialog mit Klick auf die Schaltfläche OK.
    Der Konfigurationsdialog des ausgewählten Treibers wird geöffnet.

Hinweis: Treibernamen sind nicht sprachumschaltbar. Sie werden später immer in der Sprache angezeigt, in der sie angelegt wurden, unabhängig von der Sprache des Editors. Das gilt auch für Treiberobjekttypen.

Dialog Treiberbezeichnung bereits vorhanden

Ist ein Treiber bereits im Projekt vorhanden wird dies in einem Dialog angezeigt. Mit Klick auf die Schaltfläche OK wird der Warndialog geschlossen. Der Treiber kann korrekt benannt werden.

zenon Projekt

Bei neu angelegten Projekten werden die folgenden Treiber automatisch angelegt:

  • Intern
  • MathDr32
  • SysDrv

info Info

In einem zenon Projekt müssen nur die benötigten Treiber vorhanden sein. Treiber können bei Bedarf zu einem späteren Zeitpunkt hinzugefügt werden.


Konfigurieren eines Treibers

Handbuch > Variablen > Treiber > Konfigurieren eines Treibers

Beim Anlegen eines Treibers wird der Konfigurationsdialog geöffnet. Um den Dialog später zum Bearbeiten zu öffnen, führen Sie einen Doppelklick auf den Treiber in der Liste aus oder klicken Sie auf die Eigenschaft Konfiguration.

Option

Beschreibung

Modus

Ermöglicht ein Umschalten zwischen Hardware und Simulationsmodus

  • Hardware:
    Die Verbindung zur Steuerung wird hergestellt.
  • Simulation - statisch:
    Es wird keine Kommunikation zur Steuerung aufgebaut, die Werte werden vom Treiber simuliert. In diesem Modus bleiben die Werte konstant oder die Variablen behalten die über zenon Logic gesetzen Werte. Jede Variable hat seinen eigenen Speicherbereich. Zum Beispiel zwei Variablen vom Typ Merker mit Offset 79, können zur Runtime unterschiedliche Werte haben und beeinflussen sich gegenseitig nicht. Ausnahme: Der Simulatortreiber.
  • Simulation - zählend:
    Es wird keine Kommunikation zur Steuerung aufgebaut, die Werte werden vom Treiber simuliert. In diesem Modus zählt der Treiber die Werte innerhalb ihres Wertebereichs automatisch hoch.
  • Simulation - programmiert:
    Es wird keine Kommunikation zur Steuerung aufgebaut, die Werte werden von einem frei programmierbaren Simulationsprojekt berechnet. Das Simulationsprojekt wird mit der zenon Logic Workbench erstellt und läuft in einer in den Treiber integrierten zenon Logic Runtime ab.
    Details siehe Kapitel Treibersimulation.

Update-Liste im Speicher Halten

Einmal angeforderte Variablen werden weiterhin von der Steuerung angefordert, auch wenn diese aktuell nicht mehr benötigt werden.
Dies hat den Vorteil, dass z B. mehrmalige Bildumschaltungen nach dem erstmaligen Aufschalten beschleunigt werden, da die Variablen nicht neu angefordert werden müssen. Der Nachteil ist eine erhöhte Belastung der Kommunikation zur Steuerung.

Ausgänge schreibbar
  • Aktiv:
    Ausgänge können beschrieben werden.
  • Inaktiv:
    Das Beschreiben der Ausgänge wird unterbunden.

Hinweis: Steht nicht für jeden Treiber zur Verfügungen.

Variablenabbild remanent

Diese Option speichert und restauriert den aktuellen Wert, den Zeitstempel und die Status eines Datenpunkts.

Grundvoraussetzung: Die Variable muss einen gültigen Wert und Zeitstempel besitzen.

Das Variablenabbild wird im Modus Hardware gespeichert wenn:

  • einer der Status S_MERKER_1(0) bis S_MERKER8(7), REVISION(9), AUS(20) oder ERSATZWERT(27) aktiv ist

Das Variablenabbild wird immer gespeichert wenn:

  • die Variable vom Objekttyp Treibervariable ist
  • der Treiber im Simulationsmodus läuft. (nicht programmierte Simulation)

Folgende Status werden beim Start der Runtime nicht restauriert:

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

Der Modus Simulation - programmiert beim Treiberstart ist kein Kriterium, um das remanente Variablenabbild zu restaurieren.

Am Standby Server stoppen

Einstellung für Redundanz bei Treibern, die nur eine Kommunikationsverbindung erlauben. Dazu wird der Treiber am Standby Server gestoppt und erst beim Hochstufen wieder gestartet.

Achtung: Ist diese Option aktiv, ist die lückenlose Archivierung nicht mehr gewährleistet.

  • Aktiv:
    Versetzt den Treiber am nicht-prozessführenden Server automatisch in einen Stopp-ähnlichen Zustand. Im Unterschied zum Stoppen über Treiberkommando erhält die Variable nicht den Status abgeschaltet, sondern einen leeren Wert. Damit wird verhindert, dass beim Hochstufen zum Server nicht relevante Werte in AML , CEL und Archiv erzeugt werden.

Default: inaktiv

Hinweis: Nicht verfügbar, wenn CE Terminal als Datenserver dient. Weitere Informationen dazu erhalten Sie im Handbuch zenon Operator im Kapitel CE Terminal als Datenserver.

Update Zeit Global

Einstellung für globale Update-Zeiten in Millisekunden:

  • Aktiv:
    Die eingestellte Globale Update Zeit wird für alle Variablen im Projekt verwendet. Die bei den Variablen eingestellte Priorität wird nicht verwendet.
  • Inaktiv:
    Die eingestellten Prioritäten werden für die einzelnen Variablen verwendet.

Ausnahmen: Spontane Treiber ignorieren diese Option. Sie nutzen in der Regel die kürzest mögliche Update Zeit.
Details siehe Abschnitt Update Zeit spontane Treiber.

Priorität

Hier werden die Pollingzeiten der einzelnen Prioritätsklassen eingestellt. Alle Variablen mit der entsprechenden Priorität werden in der eingestellten Zeit gepollt.

Die Zuordnung der Variablen erfolgt separat bei jeder Variablen über die Einstellungen in den Variableneigenschaften.
Mit den Prioritätsklassen kann die Kommunikation der einzelnen Variablen auf die Wichtigkeit oder benötigte Aktualität abgestuft werden. Daraus ergibt sich eine verbesserte Verteilung der Kommunikationslast.

Achtung: Prioritätsklassen werden nicht von jedem Treiber unterstützt, z.B. von spontan kommunizierenden zenon Treibern.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Update Zeit spontane Treiber

Bei spontanen Treibern wird beim Sollwert Setzen, Advisen von Variablen und bei Requests sofort ein Lesezyklus ausgelöst - unabhängig von der eingestellten Update Zeit. Damit wird sicher gestellt, dass der Wert nach dem Schreiben in der Visualisierung sofort zur Verfügung steht. In der Regel beträgt die Updatezeit 100 ms.

Spontane Treiber sind ArchDrv, BiffiDCM, BrTcp32, DNP3, Esser32, FipDrv32, FpcDrv32, IEC850, IEC870, IEC870_103, Otis, RTK9000, S7DCOS, SAIA_Slave, STRATON32 und Trend32.


Treibersimulation

Handbuch > Variablen > Treiber > Treibersimulation

Wenn bei der Projektierung der dahinterliegende Prozess nicht zur Verfügung steht, kann dieser simuliert und vorab getestet werden. Dazu stehen drei Modi zur Verfügung:

  • Simulation - statisch: konstante vom Treiber simulierte Werte
  • Simulation - zählend: vom Treiber simulierte Werte werden hochgezählt
  • Simulation - programmiert: Werte werden über ein Simulationsprojekt mit zenon Logic berechnet

attention Achtung

Wird der Treiber im Modus Simulation - zählend angehalten, stoppt nur das Zählen. Die Variablen gehen nicht auf gestört. In allen anderen Betriebsarten wird der Treiber wirklich gestoppt.

Hinweis: Simulation - programmiert wird nicht unterstützt von Treibern für:

  • Interne Variablen
  • Mathematik-Variablen
  • Simulator-Variablen
  • System-Variablen

info Info

zenon Variablen, die zenon Logic IO-Variablen repräsentieren, sind im Zustand Treibersimulation programmiert im Projekt nicht verfügbar.

Noch in diesem Kapitel

Simulation - statisch

Simulation - zählend

Simulation - programmiert


Simulation - statisch

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - statisch

Bei statischer Simulation wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden vom Treiber simuliert. In diesem Modus bleiben die Werte konstant. Werte können durch die Runtime oder den Anwender geändert werden. Bei einem Neustart der Runtime mit Simulation - statisch werden diese Werte aber nicht gespeichert und gehen verloren.


Simulation - zählend

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - zählend

Bei zählender Simulation wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden vom Treiber simuliert. In diesem Modus zählt der Treiber die Werte beginnend bei 0 innerhalb ihres Wertebereichs automatisch hoch. Ist der Maximalwert erreicht, beginnt der Zählvorgang wieder bei 0.

info Info

Bei negativen Startwerten beginnt der Zählvorgang erst bei 0.

INT verwendet zum zählen den Maximalwert von USINT.

attention Achtung

Wird der Treiber im Modus Simulation - zählend angehalten, stoppt nur das Zählen. Die Variablen gehen nicht auf gestört. In allen anderen Betriebsarten wird der Treiber wirklich gestoppt.


Simulation - programmiert

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert

Bei Simulation - programmiert wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden von einem frei programmierbaren Simulationsprojekt berechnet. Das Simulationsprojekt wird mit der zenon Logic Workbench erstellt und läuft in der zenon Logic Runtime ab. Es ermöglicht, Status und Zeitstempel von Variablen am Treiber zu modifizieren. Schreibbefehle auf Variablen durch zenon werden an die Simulation weitergegeben, redundante Server und Standby Server werden synchronisiert. So lassen sich auch komplexe Abläufe simulieren.

Um das Simulationsprogramm zu starten, wählen Sie in der Treiberkonfiguration den Modus Simulation - programmiert.

info Info

Windows CE

Die Simulation - programmiert steht unter Windows CE nicht zur Verfügung.

Noch in diesem Kapitel

Editor

Treiberkonfiguration

zenon Logic Workbench

Runtime

Hinweise zu Variablen in Simulationsprojekten

Fehlermeldungen


Editor

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Editor

Noch in diesem Kapitel

Projekt anlegen

Projekt löschen

Verteiltes Engineering

Treiber wechseln

XML-Export/Import


Projekt anlegen

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Editor > Projekt anlegen

Um ein Projekt für die Simulation - programmiert anlegen zu können, muss:

  • ein einzelner Prozesstreiber ausgewählt werden
  • der Projektname gültig sein.

attention Achtung

Simulation - programmiert wird nicht unterstützt von Treibern für:

  • Interne Variablen
  • Mathematik-Variablen
  • Simulator-Variablen
  • System-Variablen

Um ein Simulationsprojekt anzulegen:

  • klicken Sie in der Gruppe Treiber-Simulationsprojekt bei der Eigenschaft Bearbeiten auf Hier klicken->
  • ein neues zenon Logic Projekt wird erzeugt
  • Name und Portnummern für Event-Port und Standard-Port werden automatisch vergeben; ändern Sie diese nach Belieben
  • die zenon Logic Workbench wird geöffnet

Die Workbench des Simulationsprojektes wird automatisch geschlossen, wenn:

  • der zenon Editor geschlossen wird
  • ein Treiber gelöscht wird, dessen Simulationsprojekt aktuell in der Workbench editiert wird
  • das Simulationsprojekt beim Treiber über die Eigenschaft Löschen gelöscht wird
  • das Simulationsprojekt umbenannt wird

info Info

Portnummern: Beim Erzeugen des Simulationsprojektes wird automatisch eine für dieses Projekt eindeutige Portnummer vergeben. Eine automatisch vergebene Portnummer ist nur für das jeweilige Projekt eindeutig. In multihierarchischen Projekten muss sichergestellt werden, dass eine Portnummer in allen zur Runtime laufenden Projekten nur einmal verwendet wird. Wird eine Portnummer mehrfach verwendet, können Kommunikationsfehler mit der zenon Logic Workbench/Runtime auftreten.

Portnummern können manuell angepasst werden. Eine Portnummer muss folgende Bedingungen erfüllen:

  • Sie muss im Projekt frei sein.
  • Sie muss für alle Projekte, die auf der Runtime laufen eindeutig sein.
  • Sie muss auf dem Rechner, auf dem der Treiber läuft, verfügbar sein.

Erlaubte Portnummern:

  • Minimum: 6000 (bei automatischer Vergabe, manuell: empfohlen)
  • Maximum: 6999 (bei automatischer Vergabe, manuell: empfohlen)

Projektablage

Ein zenon Logic Projekt enthält viele Dateien und Ordner. Um deren Handhabung, vor allem beim Verteilten Engineering zu vereinfachen, werden sämtliche Dateien in gepackter Form in der Datei Simul_<Treiber-ID>.zip im Ordner <Sql Projekt Pfad>\FILES\zenon\custom\drivers abgelegt. Im Editor befindet sich diese Datei bei den Dateien des Treibers. Die Dateien werden beim Start der zenon Logic Workbench automatisch entpackt und beim Beenden wieder gepackt.

Variablen anlegen

Beim Anlegen von Variablen in einem Simulationsprojekt ist die Reihenfolge der Schritte wichtig:

  1. erstellen Sie die Variable
  2. wählen Sie den gültigen Datentyp in der zenon Logic Workbench aus
  3. setzen Sie erst dann die Eigenschaft embed symbol aktiv

Hintergrund: Variablen werden per Default mit dem Treiberobjekttyp SPS Merker angelegt. Dieser Objekttyp unterstützt nicht bei allen Treibern alle Datentypen. Wird eine Variable in der zenon Logic Workbench mit aktiver Eigenschaft embed symbol kopiert, muss diese Eigenschaft deaktiviert werden, um den Datentyp ändern zu können. Damit wird die Variable in zenon wieder gelöscht.

info Info

Fehlermeldung "Can not create variable"

Eine Variable kann im Simulationsobjekt nicht angelegt werden, wenn der Treiber keine Treiberobjekttypen - ausgenommen

Treibervariable - hat, die diesen Datentyp unterstützen.

Beim Aktivieren von embed symbol wird dann die Fehlermeldung "can not create variable" angezeigt.

Struktur-Datentyp

Beim Anlegen von Variablen mit einem Struktur-Datentyp:

  • werden diese, wenn möglich, mit dem Treiberobjekttyp SPS Merker angelegt
  • werden alle Treiberobjekttypen mit Ausnahme von Treibervariable probiert, bis einer für alle Elemente verwendbar ist
  • ist kein passender Treiberobjekttyp verfügbar, dann wird
    • bei Nicht-Strukturvariablen keine Variable erzeugt
    • bei Strukturvariablen der Treiberobjekttyp SPS Merker benutzt

Beispiel:

Ein Struktur-Datentyp enthält Elemente vom Typ UINT und STRING. Eine Variable wird für den S7TCP Treiber erstellt und embed symbol wird aktiviert.

  • Die Variable wird nicht im SPS Merker angelegt, sondern als Erw. Datenbaustein, in dem alle Strukturelementen vorhanden sind.
  • Ein neuer Typ LINT wird hinzugefügt, dieser wird vom Erw. Datenbaustein nicht unterstützt.
  • Beim Anlegen einer neuen Variablen wird diese als Typ SPS Merker angelegt. Es kann nur die erste Komplexvariable aktiviert werden (UINT). Bei der bestehenden Strukturvariable bleibt der Objekttyp Erw. Datenbaustein und das letzte Strukturelement (LINT) kann nicht aktiviert werden.

Kompilieren der Dateien

Wenn ein Simulationsprojekt in der zenon Logic Workbench kompiliert wird, bewirkt dies in zenon das Erzeugen der Variablen und der Programmdatei der Runtime.
Beim Kompilieren wird im Runtime-Ordner \RT\FILES\zenon\custom\drivers ein Unterordner mit dem Namen des Simulationsprojekts erzeugt. In diesem Ordner wird dann die Datei mit dem Code der Simulation in SIMULRT.COD abgelegt.

Im Ausgabefenster wird beim Kompilieren folgende Meldung angezeigt:

SIMULRT.COD

Und wenn mit C-Compiler kompiliert, dann zusätzlich:

T5APP.DLL

attention Achtung

Bei Mehrplatzfähigen Projekten darf offline kein neues Simulationsprojekt erstellt werden. Dieses kann nicht mehr gelöscht werden.


Projekt löschen

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Editor > Projekt löschen

Um ein Simulationsprojekt zu löschen:

  1. klicken Sie in der Gruppe Treiber-Simulationsprojekt bei der Eigenschaft Löschen auf die Schaltfläche Hier klicken->
  2. bestätigen Sie die Sicherheitsabfrage
  3. die ZIP-Datei mit den Projektdateien wird sofort gelöscht
  4. die zenon Logic Workbench wird beendet

Beachten Sie:

  • der Runtime-Ordner für das Simulationsprojekt bleibt bestehen
  • die Funktion Rückgängig steht für diese Aktion nicht zur Verfügung,
  • Klick auf Bearbeiten erstellt ein neues Simulationsprojekt
  • bei Mehrplatzfähigen Projekten:
    • muss der Treiber auf Änderungen ermöglichen konfiguriert werden, damit das Simulationsprogramm gelöscht werden kann
    • wird das Projekt auf anderen Clients nicht als gelöscht angezeigt solange es nicht synchronisiert wurde;

      der Versuch, ein gelöschtes Projekt vor dem Synchronisieren zu öffnen (Klick auf Bearbeiten), erstellt ein neues Simulationsprojekt

    • kann wie bei Einzelplatzprojekten das Löschen über Änderungen verwerfen nicht mehr rückgängig gemacht werden

attention Achtung

Das Simulationsprojekt wird beim Löschen sofort aus der lokalen Datenbank und der Server-Datenbank entfernt. Diese Aktion kann nicht rückgängig gemacht werden!

Hinweis: Auch das manuelle Löschen der ZIP-Datei bei den Dateien des Treibers führt zum Löschen des Simulationsprojekts. Voraussetzung: Die zenon Logic Workbench für diesen Treiber ist nicht geöffnet. Von dieser Vorgangsweise wird abgeraten!


Verteiltes Engineering

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Editor > Verteiltes Engineering

Bei Mehrplatzfähigen Projekten werden alle zum Projekt gehörenden, laufenden zenon Logic Workbenches für die Treibersimulation geschlossen beim:

  • Änderungen übernehmen für Module, die bei Änderungen ermöglichen für andere Anwender komplett gesperrt werden, wie Variablen, Treiber und Datentypen
  • Änderungen verwerfen:
    • neue Projekte werden am Server nicht erzeugt
    • Änderungen am Simulationsprogramm gehen verloren
    • in der Server-Datenbank nicht vorhandene Treiberdateien werden auch in der lokalen DB gelöscht
  • Synchronisieren:
    am Simulationsprogramm lokal gemachte Änderungen gehen verloren
  • Aktualisieren der lokalen Version:
    am Simulationsprogramm lokal gemachte Änderungen gehen verloren

attention Achtung

Der Status der ZIP-Datei des Simulationsprojektes darf nicht extra modifiziert werden (Änderungen übernehmen, Änderungen ermöglichen, Änderungen verwerfen Multiuserstatus), um korrektes Änderungen übernehmen und Änderungen ermöglichen des Treibers sicher zu stellen!

Projekt löschen

Bei Mehrplatzfähigen Projekten

  • muss der Treiber auf Änderungen ermöglichen konfiguriert werden, damit das Simulationsprogramm gelöscht werden kann
  • wird das Projekt auf anderen Clients nicht als gelöscht angezeigt solange es nicht synchronisiert wurde;
    • der Versuch, ein gelöschtes Projekt vor dem Synchronisieren zu öffnen (Klick auf Bearbeiten), erstellt ein neues Simulationsprojekt
  • kann wie bei Einzelplatzprojekten das Löschen über Änderungen verwerfen nicht mehr rückgängig gemacht werden

attention Achtung

Ein Simulationsprojekt mit dem Status Änderungen ermöglichen kann im Modus Offline nicht gelöscht werden.

Ein in einem Mehrplatzfähigen Projekt offline erzeugtes Simulationsprojekt kann somit nicht mehr gelöscht werden!


Treiber wechseln

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Editor > Treiber wechseln

Bei einem Treiberwechsel in zenon gilt:

  • Das Simulationsprojekt bleibt erhalten.
  • Allerdings werden alle Ports auf 0 gestellt. Um funktionierende Portnummern zu erhalten, öffnen Sie das Projekt im Editor. Dabei werden automatisch neue Portnummern eingetragen. Portnummern können auch manuell vergeben werden.

attention Achtung

Treiber, die mit einem zenon Logic Projekt über die integrierte Lösung verknüpft sind, können nicht ausgetauscht werden.


XML-Export/Import

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Editor > XML-Export/Import

Ein Projekt im Modus Simulation - programmiert kann per XML exportiert werden. Es kann aber nicht als neues Projekt für einen anderen Treiber importiert werden.

Workaround:

  1. Exportieren Sie die zenon Logic Programme.
  2. Importieren Sie diese in das neue Projekt für den neuen Treiber.
  3. Ersetzen Sie per Suchen und Ersetzen die Variablen.


Treiberkonfiguration

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Treiberkonfiguration

Bei der Konfiguration des Treibers stehen Ihnen vier Modi zur Verfügung:

  • Hardware
  • Simulation - zählend
  • Simulation - statisch
  • Simulation - programmiert

Wählen Sie den Modus Simulation - programmiert.

Noch in diesem Kapitel

Status Treibervariable

Zyklischer Abgleich


Status Treibervariable

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Treiberkonfiguration > Status Treibervariable

Der Zustand der zenon Logic Runtime wird in der Treibervariablen SimulRTState auf Offset 60 abgebildet. Die Variable ist numerisch und kann nicht geschrieben werden. Der Wert informiert über den Status der Runtime:

Bit | Bedeutung | Erklärung
31 | ohne Applikation | Runtime hat kein Programm geladen, das Programm wurde gestoppt oder nicht in die Runtime geladen.
30 | nicht instanziert | Runtime wurde nicht nicht instanziert, zum Beispiel weil die DLL mit er Runtime nicht geladen werden konnte, zu wenig Arbeitsspeicher vorhanden ist, die DLL nicht vorhanden ist oder in falscher Version.
18 | p-code available | p-Code ist gemeinsam mit kompiliertem Code verfügbar, umschalten ist möglich.
17 | compiled code active | Runtime läuft mit kompiliertem Code (sonst: interpretierter p-Code).
16 | compiled code available | Kompilierter Code von C-Compiler ist verfügbar
15 | application is loaded | eine Applikation ist vorhanden, Runtime läuft
14 | cant start - missing handlers | Einige "C" Funktionen fehlen.
13 | active breakpoints installed | Mindestens ein Breakpoint wurde vom Debugger gesetzt.
12 | CT segment exists | Applikation wurde mit der Option "complex variables in separate segment" kompiliert.
11 | Reserved | (Intern, nur für Runtime.)
10 | sysinfo request is available | (Intern, nur für Runtime.)
9 | freeze event production | Binding überträgt keine Events.
8 | single cycle mode | (Intern, nur für Runtime und Debugger.)
7 | Reserved | (Intern, nur für Runtime.)
6 | locked variables | Mindestens eine Variable ist gesperrt.
5 | trigo functions are in degrees | Trigonometrische Funktionen werden in Grad angegeben.
4 | log message(s) in stack | (Intern, nur für Runtime.)
3 | application stopped between 2 progs | Runtime beim Debuggen zwischen zwei Schritten angehalten.
2 | application stopped on SFC breakpt | (Intern, nur für Runtime.)
1 | application stopped on error | Runtime mit schwerwiegendem Fehler angehalten, Neustart nötig.
0 | application is running | TRUE = Applikation ist im Modus "run". FALSE = Applikation pausiert im Modus "cycle to cycle".

info Info

Die Treibervariable SimulRTState mit Offset 60 zeigt den Status der Runtime am Server an. Das gilt auch dann, wenn die Variable am Standby Server angezeigt wird.


Zyklischer Abgleich

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Treiberkonfiguration > Zyklischer Abgleich

Simulationen laufen im Netzbetrieb auf Server und Standby Server unabhängig voneinander ab. Beim Start des Standby Servers erfolgt ein Abgleich mit dem Server, allerdings:

  • ist dieser erste Abgleich um die Paketlaufzeit verschoben
  • führen geringe Unterschiede in der Ausführung zu wachsender Divergenz

Damit wird auch der Zustand der simulierten Variablen unterschiedlich. Um diese Unterschiede gering zu halten, nutzen Sie die Funktion Treiber Simulationsabbild an Standby übertragen zum Abgleich des Simulationsabbildes:

  • legen Sie eine neue Funktion an
  • wählen Sie Treiber Simulationsabbild an Standby übertragen

  • ein Dialog zur Auswahl der Treiber öffnet sich

  • in der Liste sind alle prozessgekoppelten Treiber (ausgenommen Simulator) verfügbar (Klick auf Spaltenkopf ändert Sortierung)
  • wählen Sie jene Treiber aus, die abgeglichen werden sollen
  • bei jedem Funktionsaufruf am Standby Server wird für die ausgewählten Treiber vom Server ein Abbild angefordert

Durch zyklische Aktivierung können die Unterschiede im aktuellen Simulationszustand minimiert werden. Passen Sie das Raster der Ausführung an den Umfang der abzugleichenden Daten an, da dadurch Netz- und Rechnerlast erzeugt wird.

Die Ausführung der Funktion ist fix auf Standby Server eingestellt und kann nicht geändert werden. Sie erfolgt nur wenn:

  • der Rechner Standby Server ist
  • der Server online ist
  • das Projekt ein Netzwerkprojekt ist
  • Treiber zum Abgleich ausgewählt wurden

Um die Auswahl der Treiber zu ändern

  • klicken Sie in den Eigenschaften des Treibers in der Gruppe Allgemein in die Eigenschaft Parameter
  • der Dialog zur Auswahl der Treiber öffnet sich


zenon Logic Workbench

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > zenon Logic Workbench

Die Simulation - programmiert wird in der zenon Logic Workbench programmiert, die eng mit dem zenon Editor zusammenarbeitet. Für die Simulation werden (im Unterschied zur integrierten Lösung) nur die Variablen eines Treibers zwischen den Editoren ausgetauscht.

Definition der auszutauschenden Variablen

Beim Start der zenon Logic Workbench werden alle Variablen des Treibers, die in zenon Logic noch nicht vorhanden sind, als globale Variablen angelegt. Bei diesen ist automatisch die Einstellung Symbol einbetten aktiviert.

Sichtbarkeit

Wird in der Workbench eine neue Variable im Bereich global oder retain definiert, ist diese erst nur in zenon Logic sichtbar. Um Sie auch in zenon sichtbar zu machen, muss die Option Symbole einbetten aktiviert werden. Ab diesen Moment wird die Variable von beiden Editoren aus aktualisiert.

Wird bei der Variablen die Option Symbol einbetten deaktiviert, wird die Variable im zenon Editor gelöscht. Dieses Verhalten ermöglicht es, in zenon Logic globale und retain Variablen zu definieren, die für zenon nicht sichtbar sind.

Für eine durch die zenon Logic Workbench in zenon neu erzeugte Variable, wird versucht, als Bereich SPSMERKER zuzuordnen. Falls der zenon Treiber den konfigurierten Datentyp bei dieser nicht unterstützt, wird der erste Datenbereich gesucht welcher den Datentyp unterstützt. Wird kein Bereich gefunden, kann die Variable nicht angelegt werden.

Eine Variable ist nur gesperrt, wenn es sich um ein Mehrplatzfähiges Projekt handelt und dieses noch nicht den Status Änderungen ermöglichen hat.

Projekteinstellungen

Einige Einstellungen unter Projekt -> Projekt-Parameter... -> Weitere Optionen -> Erweitert in zenon Logic haben Einfluss auf die Funktionalität der Simulation.

Einstellungen Erweitert

Beschreibung

Runtime: Ausführungsmodus

Empfehlung:

Modus: getriggert

Zykluszeit: 1/4 bis 1/3 der Treiberaktualisierungszeit
Zu häufige Wertänderungen an simulierten Variablen führen zu einer erhöhten Rechnerauslastung.

Compiler/Optionen: Symbole aller Variablen einbetten

Empfehlung: Deaktivieren.
Aktiv: Daten für eine Variable werden ausgetauscht, da durch den Symbolnamen die Zuordnung in der Runtime erfolgt.

Aber: Änderungen an der Projektierung der Variablen werden zwischen zenon und zenon Logic nicht aktualisiert. Onlinechange ist nicht mehr möglich.

Compiler/Optionen: Groß-/Kleinschreibung der Symbole beibehalten

Ohne Auswirkung: In der Runtime werden Variablennamen immer auf Großschreibung konvertiert.

Compiler/Optionen: Statusbits für Variablen mit Profil anlegen

Aktiv: Im Simulationsprogramm wird der Status der Variablen simuliert und es wird darauf reagiert.

„C" Compiler

Nativer Code wird unterstützt.

Name der DLL, die den kompilierten Code enthalten muss: t5app.dll.


Runtime

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime

Noch in diesem Kapitel

Funktionalität

Arrays und Simulation

Runtime-Dateien

Datenaustausch

Datenhaltung

Redundanz

Status

Start/Stopp

Treiberkommandos

Variablenzuordnung

Zeitstempel


Funktionalität

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Funktionalität

Die zenon Logic Runtime stellt folgende Funktionalitäten zur Verfügung:

  • Dateitransfer
  • Datentypen:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • zenon Arrays (siehe auch Arrays und Simulation)
  • Datumsstempel/Zeitstempel
  • Digitale Werteaufzeichnung
  • Dynamisch angebundene Funktionsblöcke, abgelegt in t5block*.dll
  • Hot restart
  • Logging:
    • Tracemeldungen vom Programm (printf)
    • Fehlermeldungen der Runtime
    • alle an Workbench und an Diagnosis Server
  • Maschinencode: Native compiled code mit C-Postcompiler (unter Windows CE nicht verfügbar)
  • Online change
  • Programmiersprachen: AWL, AS, FUP, KOP, ST
  • Retain Daten (remanente Daten)
  • Spezielle Funktionsblöcke und Features:
    • Datenserialisierung
    • dynamische Speicherbelegung
    • eingebettete Rezepte
    • eingebettete Variablenliste
    • File Management
    • Files
    • Mathe
    • Random
    • Signale
    • Stringtabellen
    • Trigometrie
    • Zeit
  • Spontane Kommunikation:
    • Wertänderungen als Event
    • 16 Verbindungen
    • Hysterese
  • UDP & TCP/IP für IEC-Sprachen
  • Variablen-Verriegelung


Arrays und Simulation

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Arrays und Simulation

Um mehrdimensionale Arrays bei der Treibersimulation simulieren zu können, müssen Sie in der zenon Logic Workbench die Eigenschaft "Komplexe Variable in eigenem Segment speichern" aktivieren.

Arrays mit Startindex 1

Wenn bei einer Simulation Arrays mit Startindex 1 vorkommen, werden diese Arrays in der zenon Logic Workbench mit einem zusätzlichen Index erzeugt.

Example Beispiel

Ein Array verfügt in zenon über die Indizes 1 bis 4. Dieses Array besitzt in der zenon Logic Workbench die Indizes 0 bis 4.

Dadurch wird sichergestellt, dass in zenon und in zenon Logic dieselben Indizes verwendet werden. Der Index 0 wird nicht an den Treiber übertragen.

Wenn Sie Arrays in der zenon Logic Workbench ändern, müssen Sie diesen zusätzlichen Index beachten.


Runtime-Dateien

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Runtime-Dateien

Beim Erzeugen der Runtime-Dateien wird im Runtime-Ordner des Projektes im Pfad \RT\FILES\zenon\custom\drivers ein Unterordner mit dem Namen des Simulationsprojektes erzeugt. In diesem Ordner wird die Datei simulrt.cod mit dem Code der Simulation abgelegt.

Bei erfolgreicher Kompilation in der Workbench und Übertragung in den Runtime-Ordner wird im Ausgabefenster des Editors folgende Meldung ausgegeben:

SIMULRT.COD

Und wenn mit C-Compiler kompiliert, dann zusätzlich:

T5APP.DLL

Remote-Transport

Die Runtime-Dateien für die Simulation werden als Unterordner der Treiberdateien erzeugt. Beim Remote-Transport wird der Unterordner mit sämtlichen darin enthaltenen Dateien auf den Zielrechner übertragen


Datenaustausch

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Datenaustausch

Der Datenaustausch von der zenon Logic Runtime zum Treiber beginnt mit dem 2. Zyklus der zenon Logic Runtime. Damit steht der erste Durchlauf zur Verfügung, um alle Variablen in der Runtime zu initialisieren.

Ein Datenaustausch findet nur statt wenn:

  • die Variable angefordert wird und:
    • noch keinen Wert erhalten hat
    • im Treiber nicht den Status Abgeschaltet (OFF/_VSB_N_UPD) oder Ersatzwert (ALT_VAL/_VSB_AVALUE) hat
    • vom Treiber noch benötigt wird.
    • sich Wert oder Status geändert haben

Der Datenaustausch zum Treiber erfolgt asynchron zum Zyklus der Runtime. Der Treiber durchläuft die Wertänderungen einmal pro Updatezyklus. Alle geänderten Werte - ausgenommen mit Status Abgeschaltet (OFF/_VSB_N_UPD) oder Ersatzwert (ALT_VAL/_VSB_AVALUE) - werden in die Liste der zu aktualisierenden Variablen beim Treiber eingetragen und zur Runtime abgesetzt.

Funktion Treiber Simulationsabbild an Standby übertragen

Diese Funktion wird nur am Standby Server ausgeführt (Konfiguration siehe Kapitel Zyklischer Abgleich). Am Server, der das Abbild zusammenstellt, werden die Daten synchron vom Treiber geholt. Der Treiber hat dafür 5 Sekunden Zeit. Da die Daten für das Abbild im gleichen Thread erstellt werden, in dem die Simulation läuft, muss sichergestellt sein, dass die Simulation innerhalb von 5 Sekunden abgearbeitet wird. Wird diese Zeit überschritten, wird für diesen Treiber kein Abbild übertragen.

Wertsimulation

Wertänderungen werden nicht sofort übertragen, sondern in einem Puffer abgelegt. Die Größe des Puffers beträgt 8192 Wertänderungen oder die fünffache Anzahl der Variablen, je nachdem welcher Wert größer ist. Die Verzögerung der Übertragung durch den Treiberzyklus kann bis zu 100 ms betragen. Ändert sich der Wert einer Variablen erneut während er auf die Übertragung wartet, werden sofort alle noch nicht übertragenen Werte zur Runtime abgesetzt und dann erst die neuen Werte vorgemerkt. Das kann eine erhöhte Last für Rechner und Netzwerk zur Folge haben, stellt aber sicher, dass alle Werte zur Runtime übertragen werden.

Treiber Schreibbefehl

Wenn die Simulation - programmiert projektiert und aktiv ist, werden die Schreibbefehle am Standby bis zur Runtime durchgereicht.

Schreiboperationen werden vom Treiber asynchron zur Runtime ausgeführt. Der Datenaustausch findet über einen Puffer statt. Die Größe des Puffers beträgt 8192 Wertänderungen oder die fünffache Anzahl der Variablen, je nachdem welcher Wert größer ist.

Schreibbefehle werden nach den Wertänderungen durch die Runtime durchlaufen. Kann ein Schreibbefehl nicht korrekt ausgeführt werden, wird die Fehlermeldung Write queue full! Write command for <DP-Name> lost! angezeigt.

Wenn die Statusbits aktiviert sind, wird durch das Setzen des Status Schreiben erfolgreich angezeigt, dass vom Treiber auf den Wert der Variablen geschrieben wurde. Das Runtime-Programm sollte diesen Status nach dem Bearbeiten des Schreibbefehls wieder löschen. Ein bereits aktives Statusbit verzögert ein erneutes Beschreiben durch den Treiber nicht. Schreibbefehle werden auch ausgeführt, wenn das Runtime-Programm durch einen Breakpoint gestoppt wurde.

Hinweis: Nicht alle Schreibbefehle vom Treiber müssen in der Runtime auch sichtbar werden. Wenn für eine Variable mehrere Schreibbefehle im Puffer sind, wird nur der letzte im Runtime-Programm sichtbar.

Variablen abschalten, auf Ersatzwert schalten

Wird die Variable abgeschaltet oder auf Ersatzwert geschaltet, ist das für die Runtime nicht erkennbar. Wertänderungen, die durch die Runtime ausgeführt werden, werden der Variablen im Treiber nicht zugeordnet. Wird die Variable wieder auf Spontanwert geschaltet oder aktiviert, wird auch der aktueller Wert aus der Runtime erneut zum Treiber übertragen. Beim Abschalten des Spontanwerts wird das Status-Bit OFF gesetzt; beim Zurückschalten auf Spontanwert wird das OFF-Bit zurückgesetzt.


Datenhaltung

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Datenhaltung

Retain Daten

Retain Daten werden in der Datei SimulRt<TreiberID>.ret abgelegt. Pro Simulation wird eine solche Datei erzeugt, sofern Retain-Variablen vorhanden sind. Die Datei wird beim Abgleich im Netzwerk berücksichtigt.

Treiber remanent

Die Einstellung Simulation - programmiert beim Treiberstart ist kein Kriterium, um das remanente Variablenabbild zu restaurieren.


Redundanz

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Redundanz

Start am Standby Server

Läuft der Treiber am Standby Server bereits, dann sollte auch das Abbild für die Simulation schon zur Verfügung stehen. In diesem Fall wird die Simulation mit diesem Abbild „Hot" gestartet. Bei fehlendem Abbild erfolgt ein Warmstart.

Funktion Treiber Simulationsabbild an Standby übertragen

Diese Funktion wird nur am Standby Server ausgeführt (Konfiguration siehe Kapitel Zyklischer Abgleich). Am Server, der das Abbild zusammenstellt, werden die Daten synchron vom Treiber geholt. Der Treiber hat dafür 5 Sekunden Zeit. Da die Daten für das Abbild im gleichen Thread erstellt werden, in dem die Simulation läuft, muss sichergestellt sein, dass die Simulation innerhalb von 5 Sekunden abgearbeitet wird. Wird diese Zeit überschritten, wird für diesen Treiber kein Abbild übertragen.

Abgleich

Zusätzlich zu den Programmdateien der Simulation werden auch abgeglichen:

  • Retaindaten (*.ret)
  • alle *.simul Dateien
    Diese Dateiendung wird vom Simulationsprogramm für simulationsspezifische Dateien erzeugt und im Ordner mit der Rechnerbezeichnung unterhalb des Runtime-Ordners abgelegt.


Status

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Status

Statussimulation

Für die Statussimulation muss in zenon Logic unter Projekt -> Projekt-Parameter -> Erweitert -> Compiler -> Optionen -> Statusbits für Variablen mit Profil anlegen aktiv sein. Wird der Status einer Variablen modifiziert, löst dies die Übertragung der Variablen zum Treiber aus.

Die Änderung an folgenden Status löst keine Wertaktualisierung im Treiber aus und wird auch nicht aus der Simulation übernommen:

  • Echtzeit extern (T_EXTERN/_VSB_RT_E)
  • Echtzeit intern (T_INTERN/_VSB_RT_I)
  • Winterzeit (T_STD/_VSB_WINTER)
  • Schreiben bestätigen (WR_ACK/_VSB_WR_ACK)
  • Schreiben erfolgreich (WR_SUC/_VSB_WR_SUC)
  • Normalzustand (NORM/_VSB_NORM)
  • Abweichung Normalzustand (N_NORM/_VSB_ABNORM)
  • Select im Netzwerk (NET_SEL/_VSB_SELEC)
  • Laufzeitüberschreitung (TIMEOUT/_VSB_RTE)
  • In Bearbeitung (PROGRESS/_VSB_DIREC)
  • Abgeschaltet (OFF/_VSB_N_UPD)
  • Ersatzwert (ALT_VAL/_VSB_AVALUE)

info Info

Das Statusbit Schreiben erfolgreich (WR_SUC/_VSB_WR_SUC) steht im Runtime-Programm zur Verfügung und kann zurückgesetzt werden, um erfolgreiches Schreiben anzuzeigen.

Allerdings löst das Zurücksetzen alleine nicht das Übertragen zur zenon Runtime aus. Nur Wertänderungen werden vom Treiber zur Runtime geschickt.

Speziell behandelte Statusbits

Die folgenden Statusbits schließen sich gegenseitig aus:

Bit

Beschreibung

17: Spontan
(SPONT/_VSB_SPONT)

Status SPONTAN wird gesetzt. Dies ist auch der gesetzte Status, wenn die Statusbehandlung abgeschaltet ist oder kein Status definiert wurde. Status GI + INVALID wird gelöscht.

18: Ungültig
(INVALID/_VSB_I_BIT)

Status INVALID wird gesetzt. Status SPONTAN + GI wird gelöscht.

16: Generalabfrage
(GI/_VSB_GR)

Status Generalabfrage wird gesetzt. Status SPONTAN + INVALID wird gelöscht.

8: Select im Netzwerk
(NET_SEL/_VSB_SELEC)

Wenn dieses Statusbit aktiv ist (BSO Aktivierung/Deaktivierung), werden folgende Statusbits für eine Änderungserkennung mit 0 angenommen und auch als 0 zum Treiber übertragen:

  • Select im Netzwerk (NET_SEL)
  • Übertragungsursache (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test-BIT (TEST)
  • Schreiben erfolgreich (WR_SUC)

Select before operate (SBO)

Damit auf Select Before Operate reagiert werden kann, muss im Runtime-Programm die Statussimulation verfügbar sein. Der Ablauf für Select Before Operate wird im Runtime-Programm festgelegt.

Aktivierung

Wenn zum Treiber ein SBO select gesendet wird, löst dies für die Runtime ein Werteschreiben mit dem Status Select im Netzwerk (NET_SEL) + Übertragungsursache (COT_act) aus.

Im Runtime-Programm muss ein entsprechender SBO-Ablauf implementiert sein und starten.

Das Statusbit Select im Netzwerk (NET_SEL) muss im Runtime-Programm zurückgesetzt werden.

Deaktivierung

Die Deaktivierung löst ein Werteschreiben mit dem Status Select im Netzwerk (NET_SEL) + Übertragungsursache (COT_deact) aus.

Im Runtime-Programm muss der SBO-Ablauf entsprechend beendet werden.

Das Statusbit Select im Netzwerk (NET_SEL) muss im Runtime-Programm zurückgesetzt werden.


Start/Stopp

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Start/Stopp

Treiber-Start

Die Werteaktualisierung beginnt am Standby Server erst, wenn der Treiber von seinem Server das Prozessabbild erhalten hat. Das Abbild muss innerhalb des Modultimeouts eintreffen, sonst startet der Treiber ohne Abbild. Wenn sich der Standby Server innerhalb der Wartezeit zum Server hochstuft, wird das Warten ebenfalls beendet. Treiber, die bei einem Serverprojekt oder ohne Netzwerk starten, haben keine Wartezeit. Dieses Verhalten gilt sowohl für die Simulation als auch für den Hardware-Modus.

Runtime-Start

Wenn der Treiber die Simulation - programmiert startet, wird im ersten Schritt die DLL mit der Simulations-Runtime geladen. Anschließend wird die Runtime parametriert und das Runtime-Programm startet, sofern es erfolgreich geladen werden konnte.

Ist ein Abbild der Runtime vorhanden, wird die Runtime mit diesem Hot gestartet. Sonst wird ein Warmstart ausgeführt. Ist das ebenfalls nicht möglich, wird versucht die Runtime Kalt zu starten. Ist kein gültiges Programm vorhanden, läuft die Runtime gestoppt hoch. Der Status aller Variablen wird auf INVALID gesetzt.

Das Simulationsprogramm läuft in einem eigenen Thread und ist somit völlig unabhängig vom Treiberzyklus.

info Info

Retain Variablen

Retain Daten enthalten nur den Wert der zenon Logic Variablen, nicht deren Status. Das bedeutet für den Start:

  • Warmstart: Der Status, der für eine Variable gesetzt wurde, wird wieder hergestellt - unabhängig davon, ob es sich um eine Retain Variable handelt oder nicht.
  • Kaltstart mit Retain Variablen: Nur der Wert der Retain Variablen in zenon Logic wird wieder hergestellt, nicht der Status.

Runtime stoppen

Wird die Runtime gestoppt, wird bei allen Variablen der Status INVALID gesetzt. Variablen, die angefordert werden, während die Runtime gestoppt ist, erhalten als Initialisierung den Status INVALID. Die Runtime sichert die Daten für den Warmstart und Online Change:

  • SIMULRT.HOT: enthält die Daten für den Hot-Restart.
  • SIMULRT.UPD: enthält die Daten für den Online Change.

Diese beiden Dateien werden im Ordner des Runtime-Programms erzeugt. Die Runtime muss Schreibberechtigung auf diesen Ordner besitzen.

Nachladen

  • Erneute Kompilierung des Simulationsprojektes:
    Führt zum Nachladen des entsprechenden Treibers.
  • Modifikation des Modul-Timeouts:
    Wird von der Runtime nicht als Änderung erkannt und bewirkt kein Nachladen der Treiber.

Die Standardimplementierung im Treiberkit löst beim Nachladen des Simulationsprojektes einen Hotrestart der Runtime aus. Ist dieser nicht möglich (z. B. weil das Programm unterschiedlich ist), wird ein Kaltstart mit retain ausgeführt.

Entladen der Runtime

Wenn die Runtime läuft, wird diese gestoppt. Bevor die Runtime entladen wird, werden noch alle ausstehenden Wertaktualisierungen an den Treiber übergeben. Erst dann wird die Runtime freigegeben und am PC die SimulRuntime.dll entladen.


Treiberkommandos

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Treiberkommandos

Treiberkommandos dienen dazu, Treiber über zenon zu beeinflussen, z. B. starten und stoppen.
Die Projektierung erfolgt über die Funktion Treiber Kommandos.

Treiber stoppen/starten

Wird im Modus Simulation - programmiert der Treiber gestoppt, hat dies das Entladen der Runtime zur Folge. Alle Variablen bekommen den Status INVALID. Beim Neustart des Treibers wird die Simulation neu geladen und die Runtime gestartet.

Treiber Hardware/Simulation umschalten

Bei der Umschaltung zwischen den Modi Hardware und Simulation verhält sich ein Treiber entsprechend diesem Schema:

  1. Wurde der Treiber im Editor für den Hardwaremodus konfiguriert:
    • wird der Treiber nach Ausführung der Funktion Treiberkommando mit dem Parameter Treiber in Simulationsmodus in den Modus Simulation statisch versetzt.
  2. Wurde der Treiber im Editor für einen der Simulationsmodi (statisch, zählend, programiert) konfiguriert:
    • wird der Treiber nach Ausführung der Funktion Treiberkommando mit dem Parameter Treiber in Hardwaremodus in den Hardwaremodus versetzt und kommuniziert mit der Steuerung
    • wechselt der Treiber anschließend nach Ausführung der Funktion Treiberkommando mit dem Parameter Treiber in Simulationsmodus zurück zum konfigurierten Simulationsmodus


Variablenzuordnung

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Variablenzuordnung

Die Zuordnung der zenon Treiber zu den zenon Logic Variablen erfolgt über den auf Großbuchstaben konvertierten Namen. Wenn die zenon Runtime vom Treiber eine Variable anfordert, gibt dieser sie an die Simulation weiter. Ist keine Simulation geladen, erhält die Variable bei gestopptem Treiber den Status abgeschaltet ( OFF/VSB_N_UPD), sonst den Status ungültig (INVALID/_VSB_I_BIT). Variablen vom Treiberobjekttyp Treibervariable werden von der Simulation nie angefordert.


Zeitstempel

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Runtime > Zeitstempel

Für die Verwendung der Zeitstempelung muss in zenon Logic der Eintrag Projekt -> Projekt-Parameter -> Erweitert -> Compiler -> Optionen ->Statusbit für Variablen mit Profil anlegen aktiv sein.

Wenn im Runtime-Programm das Datum für eine Variable gesetzt wird, wird der Wert von Datum und Zeit als Zeitstempel verwendet. Immer, wenn sich Datum oder Zeit einer Variablen zum letzten Zyklus ändert, löst dies eine Übertragung der Werte zum Treiber aus. Das gilt auch, wenn sich weder Wert noch Status geändert haben.

Die meisten Treiber übertragen eine neue Zeitstempelung nur dann an die Runtime, wenn sich gleichzeitig auch Wert und/oder Status ändern. Eine Ausnahme ist aber z. B. der IEC870 Treiber, der auch neue Zeitstempel von der Hardware (oder Simulation - programmiert) mit gleichem Wert und gleichem Status zur Runtime überträgt.

info Info

Es muss gewährleistet sein, dass Datum und Zeit stetig steigen. Ist das nicht der Fall, führt das zu Problemen bei der Archivierung. Das Datum muss einen Wert größer/kleiner 0 haben.

Vom Runtime-Programm gestempelte Variablen erhalten den Status Echtzeit extern (T_EXTERN/_VSB_RT_E).

Alle zum Treiber zu übertragende Variablen, die nicht von der Runtime gestempelten wurden, erhalten im Zyklus eine gemeinsame Zeitstempelung. Dadurch wird sichergestellt, dass die Zeit jener der Änderung entspricht. Diese Treiber erhalten den Status Echtzeit intern (T_INTERN/_VSB_RT_I).

Datum & Zeit

Für alle Datums- und Zeitangaben gilt:

  • Zeiten entsprechen der UTC.
  • Alle Zeiten müssen zwischen dem 02. 01. 1970 und 2038 liegen.
  • Die Konvertierung des Datums in einen String erfolgt im Format YYYY/MM/DD.
  • Die Zeit wird in das Format HH:MM:SS konvertiert.


Hinweise zu Variablen in Simulationsprojekten

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Hinweise zu Variablen in Simulationsprojekten

Beim Anlegen und Modifizieren von Variablen in Simulationsprojekten gilt:

  1. zenon Logic

    Wenn Variablen für ein Simulationsprojekt in der zenon Logic Workbench erstellt werden, verfügen Sie noch über keine gültige Adressierung für die Kommunikation. Wird die Kommunikation auf Hardware umgeschaltet, kann die Kommunikation unterbrochen werden, wenn die neuen Variablen ohne korrekt angepasste Adressierung in Bildern verwendet werden.

  2. Umbenennen

    Wird eine Variable in einem Simulationsprojekt umbenannt, ändert sich auch der Name der Variablen in zenon entsprechend. So müssen zum Beispiel Namen von Variablen, die in einem VBA-Projekt verwendet werden, auch im VBA-Code angepasst werden.

  3. Integrierte Lösungen

    Variablen von integrierten Lösungen wie zenon Logic, IEC 870 oder IEC 850 dürfen im Simulationsprojekt nicht umbenannt werden. Die Variablen verlieren in diesem Fall ihre Projektinformationen.
    Zum Beispiel: Wird das Project0/Global/NewVar im Simulationsprojekt umbenannt in myNeVariablenwVar wird es in zenon zu myNewVar. Nach der Umbenennung ist die Kommunikation mit der zenon Logic Runtime unmöglich.

  4. Kommunikation basierend auf Variablenname

    Variablen eines Treibers, der basierend auf Variablennamen kommuniziert, dürfen im Simulationsprojekt nicht umbenannt werden.

  5. Löschen oder Import von Variablen

    Wird eine Variable gelöscht oder importiert während in zenon Logic online change aktiv ist, werden in zenon Logic alle Variablen entfernt und neu eingefügt.

  6. Variablen mit aktivem "embed" Symbol

    Variablen, die in einem Programm vorhanden sind und deren "embed" Symbol aktiv gesetzt wurde, sind nicht über die Logic zu SCADA Verbindung in zenon vorhanden. Wird eine Variable mit aktivem "embed" Symbol vom Global-Bereich in ein Programm verschoben, dann wird dabei die Variable in zenon gelöscht.


Fehlermeldungen

Handbuch > Variablen > Treiber > Treibersimulation > Simulation - programmiert > Fehlermeldungen

Fehlermeldungen im zenonEditor:

Fehlermeldung

Ursache und Lösung

Der gewählte Name wurde bereits bei einem anderen Treiber verwendet, oder enthält ungültige Zeichen! Wählen Sie einen anderen Namen.

Der neue Name des Simulationsprojekts wird bereits im Projekt verwendet oder ist nicht gültig.

  • Vergeben Sie einen gültigen Namen

Das Simulationsprojekt vom Treiber <Dateiname>/<Bezeichnung> ist nicht kompiliert und kann damit nicht genutzt werden! Kompilieren Sie das Projekt in der Workbench.

Für den Treiber steht ein Simulationsprojekt zur Verfügung. Dieses wurde aber nicht kompiliert.

  • starten Sie die zenon Logic Workbench mit dem Simulationsprojekt dieses Treibers
  • kompilieren Sie das Projekt

Tipp: Ob die Simulation bei den Treibereinstellungen auf Simulation - programmiert eingestellt ist, hat keine Auswirkung

Write queue full! Write command for <Name Variable> lost!

Zeigt den Verlust eines Schreibbefehls an.


Treiber austauschen

Handbuch > Variablen > Treiber > Treiber austauschen

Treiber können in zenon ausgetauscht werden. Die Variablen sind auch nach dem Treiberwechsel weiterhin verfügbar und funktionsfähig, sofern sie beim ausgetauschten Treiber vorhanden sind. Der Austausch der Treiberdefinition ist nur für die frei gegebenen und als kompatibel erklärten Treiber möglich.

attention Achtung

Treiber, die mit einem zenon Logic Projekt über die integrierte Lösung verknüpft sind, können nicht ausgetauscht werden.

Um einen bereits bestehenden Treiber zu tauschen:

  1. wählen Sie den zu tauschenden Treiber in der Detailansicht
  2. öffnen Sie mit einem Rechtsklick das Kontextmenü
  3. wählen Sie den Befehl Treiber austauschen
  4. der gleiche Dialog wie beim Anlegen eines Treibers wird geöffnet
  5. wählen Sie den neuen Treiber

Notwendige Einstellungen für den oder die Treiber (Schnittstellen, Interruptadresse etc.) werden bei der Variablenprojektierung definiert.

Example Beispiel

Während der Entstehungsphase eines Projektes liegt das Adresskonzept für zenon noch nicht vor. Lediglich die zu verwendenden Variablen sind festgelegt.

Um ein paralleles Bearbeiten des Projektes zu ermöglichen, wird als Treiber der Treiber für Simulator-Variablen eingebunden. Die Erstellung der Bilder mit den dynamischen Verknüpfungen und der Onlinetest (Sollwertvorgabe etc.) können vorgenommen werden.

Liegt das endgültige Adresskonzept mit der Ankopplung an zenon vor, wird der Treiber geändert und ist unter Projektbedingungen einsetzbar.

Das Ändern des Treibers ist jedoch nur unter der Voraussetzung möglich, dass der bei der Projektierung verwendete und der endgültig zum Einsatz kommende Treiber die gleichen Eigenschaften (Variablentypen) besitzen.


Treiber löschen

Handbuch > Variablen > Treiber > Treiber löschen

Um Treiber zu löschen:

  1. Wählen Sie die gewünschten Treiber aus (Mehrfachauswahl ist möglich).
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl Löschen.
  3. Die Treiber werden gelöscht.

    Der Löschvorgang muss über eine Sicherheitsabfrage bestätigt werden.

Achtung: Alle dazugehörigen Variablen werden ebenfalls gelöscht.


Kommunikationsdetails

Handbuch > Variablen > Treiber > Kommunikationsdetails

Das Treiberkit implementiert eine Reihe von Treibervariablen, welche in dem Treiberobjekttyp Kommunikationsdetails zusammengefasst sind. Diese sind unterteilt in:

  • Information
  • Konfiguration
  • Statistik und
  • Fehlermeldungen

Die Definitionen der im Treiberkit implementierten Variablen sind in der Importdatei drvvar.dbf (auf der Installationsmedium im Ordner \Predefined\Variables) verfügbar und können von dort importiert werden.

Hinweis: Variablennamen müssen in zenon einzigartig sein. Soll nach einem Import der Variablen vom Treiberobjekttyp Kommunikationsdetails aus drvvar.dbf ein erneuter Import durchgeführt werden, müssen die zuvor importierten Variablen umbenannt werden.

info Info

Nicht jeder Treiber unterstützt alle Treibervariablen des Treiberobjekttyps Kommunikationsdetails.

Zum Beispiel werden:

  • Variablen für Modem-Informationen nur von modemfähigen Treibern unterstützt
  • Treibervariablen für den Polling-Zyklus nur für rein pollenden Treibern
  • verbindungsbezogene Informationen wie ErrorMSG nur von Treibern, die zu einem Zeitpunkt nur eine Verbindung bearbeiten

Information

Name aus Import

Typ

Offset

Erklärung

MainVersion

UINT

0

Haupt-Versionsnummer des Treibers.

SubVersion

UINT

1

Sub-Versionsnummer des Treibers.

BuildVersion

UINT

29

Build-Versionsnummer des Treibers.

RTMajor

UINT

49

zenon Hauptversionsnummer

RTMinor

UINT

50

zenon Sub-Versionsnummer

RTSp

UINT

51

zenon Service Pack-Nummer

RTBuild

UINT

52

zenon Buildnummer

LineStateIdle

BOOL

24.0

TRUE, wenn die Modemleitung belegt ist.

LineStateOffering

BOOL

24.1

TRUE, wenn ein Anruf rein kommt.

LineStateAccepted

BOOL

24.2

Der Anruf wird angenommen.

LineStateDialtone

BOOL

24.3

Rufton wurde erkannt.

LineStateDialing

BOOL

24.4

Wahl aktiv.

LineStateRingBack

BOOL

24.5

Während Verbindungsaufbau.

LineStateBusy

BOOL

24.6

Zielstation besetzt.

LineStateSpecialInfo

BOOL

24.7

Spezielle Statusinformation empfangen.

LineStateConnected

BOOL

24.8

Verbindung hergestellt.

LineStateProceeding

BOOL

24.9

Wahl ausgeführt.

LineStateOnHold

BOOL

24.10

Verbindung in Halten.

LineStateConferenced

BOOL

24.11

Verbindung im Konferenzmodus.

LineStateOnHoldPendConf

BOOL

24.12

Verbindung in Halten für Konferenz.

LineStateOnHoldPendTransfer

BOOL

24.13

Verbindung in Halten für Transfer.

LineStateDisconnected

BOOL

24.14

Verbindung beendet.

LineStateUnknow

BOOL

24.15

Verbindungszustand nicht bekannt.

ModemStatus

UDINT

24

Aktueller Modemstatus.

TreiberStop

BOOL

28

Treiber gestoppt

Bei Treiberstop, hat die Variable den Wert TRUE und ein OFF-Bit. Nach dem Treiberstart, hat die Variable den Wert FALSE und kein OFF-Bit.

SimulRTState

UDINT

60

Informiert über Status der Runtime bei Treibersimulation.

ConnectionStates

STRING

61

Interner Verbindungsstatus des Treibers zur SPS.

Verbindungszustände:

0: Verbindung OK

1: Verbindung gestört

2: Verbindung simuliert

Formatierung:

<Netzadresse>:<Verbindungszustand>;…;…;

Eine Verbindung ist erst nach dem ersten Anmelden einer Variablen bekannt. Damit eine Verbindung im String enthalten ist, muss einmal eine Variable dieser Verbindung angemeldet worden sein.

Der Zustand einer Verbindung wird nur aktualisiert, wenn eine Variable der Verbindung angemeldet ist. Ansonsten wird nicht mit der entsprechenden Steuerung kommuniziert.

Konfiguration

Name aus Import | Typ | Offset | Erklärung
ReconnectInRead | BOOL | 27 | Wenn TRUE, dann wird beim Lesen automatisch ein Neuaufbau der Verbindung durchgeführt.
ApplyCom | BOOL | 36 | Änderungen an den Einstellungen der seriellen Schnittstelle zuweisen. Das Schreiben auf diese Variable hat unmittelbar den Aufruf der Methode SrvDrvVarApplyCom zur Folge (aktuell ohne weitere Funktion).
ApplyModem | BOOL | 37 | Änderungen an den Modemeinstellungen zuweisen. Das Schreiben auf diese Variable hat unmittelbar den Aufruf der Methode SrvDrvVarApplyModem zur Folge. Diese schließt die aktuelle Verbindung und öffnet eine neue entsprechend den Einstellungen PhoneNumberSet und ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Telefonnummer, welche verwendet werden soll.
ModemHwAdrSet | DINT | 39 | Hardwareadresse, welche zu der Telefonnummer gehört.
GlobalUpdate | UDINT | 3 | Updatezeit in Millisekunden (ms).
BGlobalUpdaten | BOOL | 4 | TRUE, wenn die Updatezeit global ist.
TreiberSimul | BOOL | 5 | TRUE, wenn der Treiber in Simulation ist.
TreiberProzab | BOOL | 6 | TRUE, wenn das Prozessabbild gehalten werden soll.
ModemActive | BOOL | 7 | TRUE, wenn das Modem bei diesem Treiber aktiv ist.
Device | STRING | 8 | Name der seriellen Schnittstelle oder Name des Modem.
ComPort | UINT | 9 | Nummer der seriellen Schnittstelle.
Baudrate | UDINT | 10 | Baudrate der seriellen Schnittstelle.
Parity | SINT | 11 | Parität der seriellen Schnittstelle.
ByteSize | USINT | 14 | Bitanzahl pro Zeichen der seriellen Schnittstelle. Wert = 0, wenn der Treiber keine serielle Kommunikation herstellen kann.
StopBit | USINT | 13 | Anzahl der Stoppbits der seriellen Schnittstelle.
Autoconnect | BOOL | 16 | TRUE, wenn die Modemverbindung automatisch beim Lesen/Schreiben aufgebaut werden soll.
PhoneNumber | STRING | 17 | Aktuelle Telefonnummer.
ModemHwAdr | DINT | 21 | Hardwareadresse zur aktuellen Telefonnummer.
RxIdleTime | UINT | 18 | Wenn länger als diese Zeit in Sekunden (s) erfolgreich kein Datenverkehr stattfindet, wird die Modemverbindung beendet.
WriteTimeout | UDINT | 19 | Maximale Schreibdauer bei einer Modemverbindung in Millisekunden (ms).
RingCountSet | UDINT | 20 | So oft läutet ein hereinkommender Anruf, bevor dieser angenommen wird.
ReCallIdleTime | UINT | 53 | Wartezeit zwischen Anrufen in Sekunden (s).
ConnectTimeout | UINT | 54 | Zeit in Sekunden (s) für Verbindungsaufbau.

Statistik

Name aus Import | Typ | Offset | Erklärung
MaxWriteTime | UDINT | 31 | Längste Zeit in Millisekunden (ms), die zum Schreiben benötigt wird.
MinWriteTime | UDINT | 32 | Kürzeste Zeit in Millisekunden (ms), die zum Schreiben benötigt wird.
MaxBlkReadTime | UDINT | 40 | Längste Zeit in Millisekunden (ms), die zum Lesen eines Datenblocks benötigt wird.
MinBlkReadTime | UDINT | 41 | Kürzeste Zeit in Millisekunden (ms), die zum Lesen eines Datenblocks benötigt wird.
WriteErrorCount | UDINT | 33 | Anzahl der Schreibfehler.
ReadSucceedCount | UDINT | 35 | Anzahl der erfolgreichen Leseversuche.
MaxCycleTime | UDINT | 22 | Längste Zeit in Millisekunden (ms), die zum Lesen aller angeforderten Daten benötigt wurde.
MinCycleTime | UDINT | 23 | Kürzeste Zeit in Millisekunden (ms), die zum Lesen aller angeforderten Daten benötigt wurde.
WriteCount | UDINT | 26 | Anzahl der Schreibversuche.
ReadErrorCount | UDINT | 34 | Anzahl der fehlerhaften Leseversuche.
MaxUpdateTimeNormal | UDINT | 56 | Zeit seit letzter Aktualisierung der Prioritätsgruppe Normal in Millisekunden (ms).
MaxUpdateTimeHigher | UDINT | 57 | Zeit seit letzter Aktualisierung der Prioritätsgruppe Höher in Millisekunden (ms).
MaxUpdateTimeHigh | UDINT | 58 | Zeit seit letzter Aktualisierung der Prioritätsgruppe Hoch in Millisekunden (ms).
MaxUpdateTimeHighest | UDINT | 59 | Zeit seit letzter Aktualisierung der Prioritätsgruppe Höchste in Millisekunden (ms).
PokeFinish | BOOL | 55 | Geht für eine Abfrage auf 1, wenn alle anstehenden Pokes ausgeführt wurden.

Fehlermeldungen

Name aus Import | Typ | Offset | Erklärung
ErrorTimeDW | UDINT | 2 | Zeit (in Sekunden seit 1.1.1970), wann der letzte Fehler auftrat.
ErrorTimeS | STRING | 2 | Zeit (in Sekunden seit 1.1.1970), wann der letzte Fehler als String auftrat.
RdErrPrimObj | UDINT | 42 | Nummer des PrimObjektes, als der letzte Lesefehler verursacht wurde.
RdErrStationsName | STRING | 43 | Name der Station, als der letzte Lesefehler verursacht wurde.
RdErrBlockCount | UINT | 44 | Anzahl der zu lesenden Blöcke, als der letzte Lesefehler verursacht wurde.
RdErrHwAdresse | DINT | 45 | Hardwareadresse, als der letzte Lesefehler verursacht wurde.
RdErrDatablockNo | UDINT | 46 | Bausteinnummer, als der letzte Lesefehler verursacht wurde.
RdErrMarkerNo | UDINT | 47 | Merkernummer, als der letzte Lesefehler verursacht wurde.
RdErrSize | UDINT | 48 | Blockgröße, als der letzte Lesefehler verursacht wurde.
DrvError | USINT | 25 | Fehlermeldung als Nummer.
DrvErrorMsg | STRING | 30 | Fehlermeldung als Klartext.
ErrorFile | STRING | 15 | Name der Fehlerprotokolldatei.


Treiber Detailansicht Symbolleiste und Kontextmenü

Handbuch > Variablen > Treiber > Treiber Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt | Aktion
Treiber neu | Öffnet den Dialog zur Erstellung eines neuen Treibers.
Treiber austauschen | Öffnet Auswahlfenster zur Definition eines Treibers.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Treiberkonfiguration | Öffnet den Dialog zur Konfiguration des Treibers.
Variablen vom Treiber importieren | Öffnet den Dialog zum Import der Variablen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Treiber-Dokumentationen

Handbuch > Variablen > Treiber > Treiber-Dokumentationen

Informationen über alle zenon Treiber entnehmen Sie der jeweiligen Treiber-Dokumentation. Diese finden Sie im Kapitel Treiber.

info Info

Sollten Sie einen Treiber oder eine Treiber-Dokumentation nicht finden, erhalten Sie Hilfe von support@copadata.com.


Variablen erstellen, modifizieren und nutzen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen

Variablen können angelegt werden:

  • als einfache Variable
  • in Arrays
  • als Struktur-Variablen

Dialog Variable

Um eine neue Variable zu erstellen, gleich welchen Typs:

  1. Wählen Sie im Knoten Variablen im Kontextmenü den Befehl Variable neu.

    Der Dialog zur Konfiguration der Variable wird geöffnet.

  2. Konfigurieren Sie die Variable.
  3. Welche Einstellungen möglich sind, hängt ab vom Typ der Variablen.

Eigenschaft

Beschreibung

Name

Eindeutiger Name der Variablen. Ist eine Variable mit gleichem Namen im Projekt bereits vorhanden, kann keine weitere Variable mit diesem Namen angelegt werden.

Maximale Länge: 128 Zeichen

Achtung: Die Zeichen # und @ sind für Variablennamen nicht erlaubt. Bei Verwendung nicht zugelassener Zeichen kann die Variablenerstellung nicht abgeschlossen werden, die Schaltfläche Fertigstellen bleibt inaktiv.
Hinweis: Manche Treiber erlauben die Adressierung auch über die Eigenschaft Symbolische Adresse.

Treiber

Wählen Sie aus der Dropdownliste den gewünschten Treiber.

Hinweis: Sollte im Projekt noch kein Treiber angelegt sein, wird automatisch der Treiber für interne Variable (Intern.exe) geladen.

Treiberobjekttyp

Wählen Sie aus der Dropdownliste den passenden Treiberobjekttyp aus.

Datentyp

Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.

Array-Einstellungen

Erweiterte Einstellungen für Array-Variablen. Details dazu lesen Sie im Abschnitt Arrays.

Adressierungsoptionen

Erweiterte Einstellungen für Arrays und Struktur-Variablen. Details dazu lesen Sie im jeweiligen Abschnitt.

Automatische Elementeaktivierung

Erweiterte Einstellungen für Arrays und Struktur-Variablen. Details dazu lesen Sie im jeweiligen Abschnitt.

Symbolische Adresse

Die Eigenschaft Symbolische Adresse kann für die Adressierung alternativ zu Name oder Kennung der Variablen verwendet werden. Die Auswahl erfolgt im Treiberdialog, die Konfiguration in der Variableneigenschaft. Beim Import von Variablen unterstützter Treiber wird die Eigenschaft automatisch eingetragen.

Maximale Länge: 1024 Zeichen.

Ableitung vom Datentyp

Messbereich, Signalbereich und Sollwert Setzen werden immer:

  • vom Datentyp abgeleitet
  • beim Ändern des Datentyps automatisch angepasst

Hinweis Signalbereich: Bei einem Wechsel auf einen Datentyp, der den eingestellten Signalbereich nicht unterstützt, wird der Signalbereich automatisch angepasst. Zum Beispiel wird bei einem Wechsel von INT auf SINT der Signalbereich auf 127 geändert. Die Anpassung erfolgt auch dann, wenn der Signalbereich nicht vom Datentyp abgeleitet wurde. In diesem Fall muss der Messbereich manuell angepasst werden.

Noch in diesem Kapitel

Einfache Variable

Arrays

Struktur-Variablen

Projektübergreifende Variablen

Verwendung im zenon Analyzer

Verknüpfen von Variablen/Datentypen mit Stilgruppe/Skalastil/Kurvenstil


Einfache Variable

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Einfache Variable

Einfache Variablen bestehen immer aus einem Datentyp und einem Treiberobjektyp. Sie bilden die Basis für Array-Variablen und Struktur-Variablen.

Noch in diesem Kapitel

Anlegen einer einfachen Variable

Ändern der Eigenschaften einer einfachen Variable

Löschen von einfachen Variablen


Anlegen einer einfachen Variable

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Einfache Variable > Anlegen einer einfachen Variable

Klicken Sie im Projektmanager mit der rechten Maustaste auf Variable und wählen Sie im Kontextmenü Variable neu....

Definieren Sie im folgenden Dialog Name, Treiber , Treiberobjektyp und Datentyp.

Eigenschaft | Beschreibung
Name | Eindeutiger Name der Variablen. Ist eine Variable mit gleichem Namen im Projekt bereits vorhanden, kann keine weitere Variable mit gleichem Namen angelegt werden.
Treiber | Wählen Sie aus der Dropdownliste den gewünschten Treiber.
Treiberobjekttyp | Wählen Sie aus der Dropdownliste den passenden Treiberobjektyp aus.
Datentyp | Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.

Die neu angelegte Variable wird in der Detailansicht des Projektmanagers angezeigt. Weitere Eigenschaften der Variablen editieren Sie im Eigenschaftenfenster der Variablen.


Ändern der Eigenschaften einer einfachen Variable

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Einfache Variable > Ändern der Eigenschaften einer einfachen Variable

Änderungen von Variableneigenschaften werden im Eigenschaften-Fenster vorgenommen. Klicken Sie dazu die zu ändernde Variable in der Liste der Detailansicht an und geben Sie die gewünschten Änderungen im Eigenschaften-Fenster ein.

Noch in diesem Kapitel

Variable modifizieren

Fehler beim Variable modifizieren


Variable modifizieren

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Einfache Variable > Ändern der Eigenschaften einer einfachen Variable > Variable modifizieren

Der Dialog Variable modifizieren wird aufgeschalten, wenn eine oder mehrere Variablen ausgewählt wurden und eine der folgenden Eigenschaften ausgewählt wird:

  1. Datentyp
  2. Treiber
  3. Treiberobjekttyp
  4. Array-Einstellungen
    1. Dim 1
    2. Dim 2
    3. Dim 3
    4. Startindex
  5. Offset-Berechnung
  6. Datentyp

Hier werden Einstellungen geändert, die eine Einheit bilden, und zwar für alle Variablen, welche durch Mehrfachauswahl spezifiziert werden.

Modifikation, wenn mehrerer Variablen ausgewählt wurden:

Wenn der Wert der Eigenschaft bei allen ausgewählten Variablen gleich ist, wird dieser im entsprechenden Dialog angezeigt, wenn nicht bleibt der Eintrag leer. Leer bedeutet, dass die Einstellung nicht definiert wurde. Ist eine Auswahl erfolgt, ist es nicht mehr möglich 'keine Auswahl' vorzunehmen. Ist dies gewünscht muss er Dialog mit abbrechen verlassen werden und neu aufgeschaltet werden. (Ausnahme: Checkboxen).

Solange der Treiber nicht spezifiziert ist, enthält die Combobox Treiberobjekttyp alle Treibertypen, die bei dem Treiber der ausgewählten Variable möglich sind. Wird der Treiber ausgewählt, werden nur jene Treibertypen des spezifizierten Treibers angezeigt. Wenn ein Treiber von oder zu einem zenon Logic -Treiber geändert wird, wird der Name der Variable automatisch geändert und angepasst.
Beim Multiselect von Variablen haben die Checkboxen drei Zustände: ein, aus und undefiniert. Nicht definierte Felder werden bei der Variable nicht geändert. Wenn ein Feld spezifiziert wurde, legt dieses den neuen Wert für alle ausgewählten Variablen fest.

Prüfung vor der Modifikation:

Für jede Variable wird vor der Modifikation geprüft, ob die resultierenden Einstellungen erlaubt sind.

Example Beispiel

Beispiel für eine unerlaubte Modifikation: Eine Array-Variable und eine einfache Variable wurden ausgewählt, die Array-Dimension wird geändert. Fehler: Eine einfache Variable darf nachträglich nicht auf eine Array-Variable geändert werden.

Für Variablen, die nicht auf die neuen Einstellungen abgeändert werden können, wird eine Fehlermeldung generiert. Vor der Modifikation werden diese im Dialog Fehler beim Variable modifizieren, nach der Modifikation im Editor-Ausgabefenster angezeigt.


Fehler beim Variable modifizieren

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Einfache Variable > Ändern der Eigenschaften einer einfachen Variable > Fehler beim Variable modifizieren

Sollte eine Änderung für eine oder mehrere Variablen unmöglich sein, wird der Dialog Fehler beim Variablen modifizieren geöffnet. Dieser dient zur Anzeige der Variablen, welche die gemachten Änderungen nicht übernehmen können. Er wird aufgeschaltet bevor eine Änderung vorgenommen wird und nur dann, wenn nicht änderbare Variablen vorhanden sind. Die Einträge sind filter- und sortierbar.

Parameter | Beschreibung
Name | Name der Variable, welche die Änderungen nicht übernehmen kann.
Treiber | Name des Treibers mit Treiberbezeichnung auf dem die Variable basiert.
Datentyp | Datentyp welchen die Variable verwendet.
Treiberobjekttyp | Treiberobjekttyp, den die Variable verwendet.
Meldung | Beschreibung der Ursache warum die Variable die Änderungen nicht übernehmen kann
Abbruch | Modifizieren der Variable wird beendet. Keine Modifikationen werden durchgeführt.
Alle ignorieren | Alle Variablen, welche die Änderungen nicht übernehmen können, werden ignoriert. Die Variablen, für die die Änderungen durchführbar sind, werden modifiziert. Für übergangene Variablen wird eine Meldung im Ausgabefenster erzeugt. Der Text entspricht jenem der 'Meldung'.
Zurück | Zurück zum Modifikationsdialog.
Statuszeile | Anzahl der ausgewählten Variable und der Hinderungsgründe. Beim Erkennen des ersten Verhinderungsgrundes wird die Variable als nicht-modifizierbar betrachtete. Es können noch weitere Hinderungsgründe vorliegen, welche nicht mehr ermittelt werden. Bei komplexen Variablen (Array oder Struktur) werden auch alle bereits aktivierten Variablen geprüft, ob diese mit den Änderungen umgehen können. Für jede nicht-modifizierbare, aktivierte Variable wird eine Meldung erzeugt. Daraus folgt, dass die Anzahl der Hinderungsgründe höher sein kann, als die Anzahl der ausgewählten Variablen.


Löschen von einfachen Variablen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Einfache Variable > Löschen von einfachen Variablen

Klicken Sie mit der rechten Maustaste auf die zu löschende Variable in der Liste der Detailansicht, um die Löschoption im folgenden Kontextmenü zu erhalten:

Klicken Sie auf Löschen, erhalten Sie die folgende Sicherheitsabfrage:


Arrays

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays

Arrays sind Felder von Datentypen oder von Variablen. Wir unterscheiden:

  • Datentyp-Arrays: können nur in Strukturen realisiert werden.
  • Variablen-Arrays: lassen sich auch mit einfachen Datentypen realisieren.

Arrays können in maximal drei Dimensionen erstellt werden.

Example Beispiel

Beispiel für eine zweidimensionale Array Variable:

Drehzahl [2,3]
Diese Variable besteht aufgelöst aus 6 Variablen (2x3):

  • Drehzahl [1,1]
  • Drehzahl [1,2]
  • Drehzahl [1,3]
  • Drehzahl [2,1]
  • Drehzahl [2,2]
  • Drehzahl [2,3].

Intern werden Arrays wie Strukturen behandelt. Das betrifft besonders die Adressierung.

attention Achtung

Array-Variablen, die auf einem stratonNG oder straton32 Treiber basieren, dürfen nicht mit 1 beginnen. Ein zenon Array mit der Dimension 1,2,2 wird in zenon Logic nur als einfache Variable angelegt.

Inaktive Variablen

Einzelne Variablen eines Arrays lassen sich inaktiv schalten. Inaktive Variable

  • stehen in zenon nicht zur Verfügung
  • werden nicht beim Treiber angemeldet
  • werden bei der Berechnung der I/Os für die Lizenzgröße nicht berücksichtigt

So können in einem Array Reserve-Variablen angelegt werden, die zu einem späteren Zeitpunkt, z. B. bei einem Ausbau, aktiviert werden können.

Größe Blockarray (bis Version 5.50)

Bis Version 5.50 konnte mit der Eigenschaft Größe Blockarray die Größe des Blockarrays definiert werden. Damit ist es möglich, zum Beispiel nur eine lizenzierte Variable einzusetzen, im RGM oder in VBA aber mehrere Variablen mit Treibern, die Offset-Adressen nutzen, indirekt zu adressieren. Diese Eigenschaft ist aus Kompatibilitätsgründen weiter vorhanden.

Es werden Variablen mit dem Anhang [0] bis [n] erstellt.
Achtung: Im Projekt dürfen keine weiteren Variablen mit gleichem Namen existieren!

Hinweis: Der Intern Treiber unterstützt diese Eigenschaft nicht. Im Editor kann zwar ein Wert definiert werden, zur Runtime werden aber keine Variablen angezeigt (Wert immer 0).

Noch in diesem Kapitel

Array-Variable anlegen

Adressierung

Ändern der Eigenschaften eines Arrays

Aktiv/Inaktiv schalten von Array Elementen


Array-Variable anlegen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Array-Variable anlegen

Einfache Array-Variablen werden wie einfache Variablen angelegt.

Eigenschaft | Beschreibung
Name | Eindeutiger Name der Variablen. Ist eine Variable mit gleichem Namen im Projekt bereits vorhanden, kann keine weitere Variable mit diesem Namen angelegt werden.
Treiber | Wählen Sie aus der Dropdownliste den gewünschten Treiber. Hinweis: Sollte im Projekt noch kein Treiber angelegt sein, wird automatisch der Treiber für interne Variable (Intern.exe) geladen.
Treiberobjekttyp | Wählen Sie aus der Dropdownliste den passenden Treiberobjektyp aus.
Datentyp | Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.
Automatische Adressierung | zenon berechnet die automatische Adressvergabe. Diese ist abhängig von der Granularität des verwendeten Treiberobjektyps dem IEC Datentyp auf dem der verwendete Datentyp basiert
Offset Adresse folgt Datentyp-Offset und Start-Offset | Der Offset folgt dem beim zugeordneten Strukturelement projektierten Offset und Bit.
Manuelle Adressierung | Manuelle Adressierung.
Jeder Datentyp startet mit neuem Offset | Bestimmt bei automatischer Adressierung wie die einzelnen Array-Elemente positioniert werden. Aktiv: Für jedes Array Element wird ein neuer Offset anfangen. Inaktiv: Offsets werden komplett genutzt (Variablen werden aneinander gereiht).
Alle Elemente aktivieren | Aktiviert beim anlegen der neuen Array Variable alle Elemente automatisch
Elemente manuell aktivieren | Die Elemente werden beim anlegen nicht aktiviert. Sie müssen manuell in der Variablenliste aktiviert werden. Der entsprechende Vorgang wird über das Kontextmenü in der Variablenliste erreicht.


Adressierung

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Adressierung

Arrays werden standardmäßig automatisch adressiert. Dabei werden bei der Array-Variablen angegeben:

  • Netzadresse
  • Start-Offset
  • Datenbaustein (optional)
  • Bit-Nummer (optional)

Bei den einzelnen Array-Elementen muss nichts mehr eingestellt werden. Die Berechnung der Adresse erfolgt automatisch.

Wenn Arrays manuell adressiert werden sollen, dann muss die Option Manuelle Adressierung entweder bereits bei der Erstellung des Arrays oder zu einem späteren Zeitpunkt im Eigenschaften-Fenster aktiviert werden.

Die Adressberechnung wird neu durchgeführt bei Änderungen von:

  • Datentyp eines Arrays
  • Treiberobjektyp
  • Treiber
  • Array-Dimension

Noch in diesem Kapitel

Beispiel für Array mit automatischer Adressierung für eine INT Variable

Beispiel für Array mit automatischer Adressierung für eine BOOL Variable

Beispiel für Array mit manueller Adressierung:


Beispiel für Array mit automatischer Adressierung für eine INT Variable

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Adressierung > Beispiel für Array mit automatischer Adressierung für eine INT Variable

Wir möchten ein Array von 5 Integer Variablen erzeugen.

Basiskonfiguration

Im Konfigurationsdialog der Variablen

  • Name: freie Vergabe
  • Treiber: S7 TCP/IP
  • Treiberobjektyp: Erw. Datenbausteine
  • Datentyp: INT
  • Array: Startindex ist 1
  • Dim 1: 5
  • Dim 2: 0
  • Adressierung: Automatische Adressierung
  • Jeder Datentyp startet mit neuem Offset: aktiv
  • Elementeaktivierung: Alle Elemente aktivieren

In der Variablenliste werden nach dem Klick auf OK die 5 gewünschten Variablen angelegt und eine entsprechende Array-Variable, in der wir die Array-Eigenschaften bestimmen können.

Detailkonfiguration

Wenn wir die Array Variable in der Detail Ansicht auswählen, können wir im Eigenschaften-Fenster die Eigenschaften des gesamten Arrays beeinflussen. Die wichtigsten Einstellungen finden wir in der Gruppe Adressierung. Dort stellen wir für das Array ein:

  • Datenbaustein
  • Netzadresse (=Busadresse)
  • Startoffset

Da wir automatische Adressierung gewählt haben, hängen alle Adressen der einzelnen Array-Elemente an diesem Startoffset. In unserem Beispiel ändern wir den Datenbaustein auf 50, die Netzadresse lassen wir auf 0 und den Offset ändern wir auf 100.

Die Granularität der S7 Datenbausteine beträgt 8 Bit. Der Datenbausteinbereich ist also BYTE orientiert. Jede INT Variable benötigt 16 Bit. Daraus ergibt sich folgende automatische Adressierung für unser Array:

Array | Netzadresse | Datenbaustein | Offset
Array of INT[1] | 0 | 50 | 100
Array of INT[2] | 0 | 50 | 102
Array of INT[3] | 0 | 50 | 104
Array of INT[4] | 0 | 50 | 106
Array of INT[5] | 0 | 50 | 108

Die Offsets sind also immer um zwei verschoben, da eine 16 Bit Variable zwei 8 Bit Offsets benötigt.

Würden wir anstelle des S7 Treibers einen S5 Treiber verwenden, ergäbe sich ein anderes Bild. Auf der S5 hat der Datenbausteinbereich nämlich eine Granularität von 16 Bit. Der Datenbausteinbereich einer S5 Steuerung ist WORT orientiert. Bei identischer Projektierung ergäbe sich folgendes Bild:

Array | Netzadresse | Datenbaustein | Offset
Array of INT[1] | 0 | 50 | 100NT
Array of INT[2] | 0 | 50 | 101
Array of INT[3] | 0 | 50 | 102
Array of INT[4] | 0 | 50 | 103
Array of INT[5] | 0 | 50 | 104

Die Offsets sind nur um eine Stelle erhöht, da eine 16 Bit Variable nur einen 16Bit Offset benötigt.


Beispiel für Array mit automatischer Adressierung für eine BOOL Variable

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Adressierung > Beispiel für Array mit automatischer Adressierung für eine BOOL Variable

Wir gehen vor wie im Beispiel der automatischen Adressierung mit Datentyp INT, verwenden aber als Datentyp den Standard-Datentyp BOOL. Alle anderen Einstellungen bleiben wie dort beschrieben und wir erzeugen eine neue Array-Variable.

In den Eigenschaften der Array-Variable vergeben wir folgende Werte:

Datenbaustein: 50

Netzadresse: 0

Offset: 100

Bit-Nummer: 0

Beim S7 Treiber ergibt sich aus der automatischen Adressierung folgendes Bild:

Array | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Array of BOOL[1] | 0 | 50 | 100 | 0
Array of BOOL[2] | 0 | 50 | 101 | 0
Array of BOOL[3] | 0 | 50 | 102 | 0
Array of BOOL[4] | 0 | 50 | 103 | 0
Array of BOOL[5] | 0 | 50 | 104 | 0

Eine 1 Bit Variable hat in einem 8 Bit Offset Platz. Durch die Einstellung Jeder Datentyp startet mit einem neuen Offset wurde jedes Array-Element auf einen neuen Offset gelegt.

Wählen wir diese Eigenschaft bei der Array Variable ab ergibt sich dieses geänderte Bild:

Array | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Array of BOOL[1] | 0 | 50 | 100 | 0
Array of BOOL[2] | 0 | 50 | 100 | 1
Array of BOOL[3] | 0 | 50 | 100 | 2
Array of BOOL[4] | 0 | 50 | 100 | 3
Array of BOOL[5] | 0 | 50 | 100 | 4

Die Bits werden also hintereinander in einen Offset gelegt. Würde ein Offset nicht ausreichen wie z. B. bei einem Array von 20 BOOL Variablen, würde beim nächsten Offset weitergemacht werden. Ein Array von 20 BOOL Variablen würde also von Offset 100 Bit-Nummer 0 bis zum Offset 102 Bit-Nummer 3 reichen.


Beispiel für Array mit manueller Adressierung:

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Adressierung > Beispiel für Array mit manueller Adressierung:

Für die manuelle Adressierung muss in der Variablenkonfiguration die Eigenschaft Manuelle Adressierung ausgewählt werden. Dann können bei jedem Array-Element die Adressinformationen manuell vergeben werden für:

  • Netzadresse
  • Offset
  • Datenbaustein (optional)
  • Bit-Nummer (optional)

Für das Beispiel für Array mit automatischer Adressierung für eine BOOL Variable könnte das dann so aussehen:

Array | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Array of BOOL[1] | 0 | 50 | 100 | 0
Array of BOOL[2] | 0 | 50 | 100 | 2
Array of BOOL[3] | 0 | 50 | 101 | 0
Array of BOOL[4] | 0 | 50 | 101 | 2
Array of BOOL[5] | 0 | 50 | 102 | 0

attention Achtung

Wird entweder der Startoffset des Arrays oder die Größe der Arrray-Dimension geändert, werden alle Adressinformationen (Offset und Bitadresse) neu berechnet.

Bei einer Änderung des Start-Offsets werden die Offsets der bereits aktivierten Variablen um das Delta der Änderung mitgeändert. Die Offsetdifferenz der aktivierten Variable zu ihrer Arrayvariable bleibt also erhalten.


Ändern der Eigenschaften eines Arrays

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Ändern der Eigenschaften eines Arrays

Die Eigenschaften werden über das Eigenschaften-Fenster und den Dialog Variable modifizieren geändert.

Beachten Sie vor allem zwei spezielle Eigenschaften:

  • letzter verwendeter Offset: Gibt an, welcher Offset (inklusive Bit-Nummer) bei automatischer Adressierung als letzter benutzt wurde.
  • Größe in Byte: Gibt an, wie viele Byte vom entsprechenden Array belegt wurden.

Nicht geändert werden können:

  • Name
  • Aktivierung der Elemente

Eigenschaft | Beschreibung
Treiber | Wählen Sie aus der Dropdownliste den gewünschten Treiber. Hinweis: Sollte im Projekt noch kein Treiber angelegt sein, wird automatisch der Treiber für interne Variable (Intern.exe) geladen.
Treiberobjektyp | Wählen Sie aus der Dropdownliste den passenden Treiberobjektyp aus.
Datentyp | Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.
Automatische Adressierung | zenon berechnet die automatische Adressvergabe. Diese ist abhängig von der Granularität des verwendeten Treiberobjektyps dem IEC Datentyp auf dem der verwendete Datentyp basiert
Offset Adresse folgt Datentyp-Offset und Start-Offset | Der Offset folgt dem beim zugeordneten Strukturelement projektierten Offset und Bit.
Manuelle Adressierung | Manuelle oder halbautomatische Adressierung.
Jeder Datentyp startet mit neuem Offset | Bestimmt bei automatischer Adressierung wie die einzelnen Array-Elemente positioniert werden. Aktiv: Für jedes Array Element wird ein neuer Offset anfangen. Inaktiv: Offsets werden komplett genutzt (Variablen werden aneinander gereiht).

Hinweis zur Änderung des IEC Datentyps

Wird der IEC Datentyp eines Arrays geändert, dann gilt:

  • Solange der Wert des aktuellen Signalbereichs innerhalb der Signalbereiche des Datentyps ist wird keine Anpassung vorgenommen.
  • Der Messbereich wird nicht angepasst.

    Ausnahme: Beim Datentyp BOOL werden immer Signal- und Messbereich angepasst.

Für die Anpassung des Signalbereichs gilt, dass der neue Signalbereich kleiner als der vorherige sein muss:

  • Signalbereich min. wird nur angepasst, wenn SignalbereichMinNeu < SignalbereichMinAlt ist
  • Signalbereich max. wird nur angepasst, wenn SignalbereichMaxNeu < SignalbereichMaxAlt ist


Aktiv/Inaktiv schalten von Array Elementen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Arrays > Aktiv/Inaktiv schalten von Array Elementen

Jedes Array Element kann separat aktiviert oder deaktiviert werden. Das Aktivieren wird entweder beim Anlegen des Arrays (alle Elemente aktivieren) erledigt, oder manuell über das Kontextmenü der einzelnen Array Elemente. Inaktive Array Elemente werden bei der automatischen Adressierung so berücksichtigt, als ob sie vorhanden wären. Die inaktiven Elemente sind Platzhalter die jederzeit später aktiviert werden können.


Struktur-Variablen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen

Eine Struktur besteht aus einzelnen Elementen. Diese sind immer Datentypen. Beim Anlegen eines Struktur-Elements muss immer ein bereits bestehender Datentyp ausgewählt werden. Struktur Elemente können entweder eingebettet oder verknüpft sein.

Parameter | Beschreibung
Eingebettete Struktur-Elemente | Können von ihrem Ursprungs-Datentyp unterschiedliche Eigenschaften übernehmen. Die Eigenschaften werden bei jedem Struktur-Element extra eingestellt und dort gespeichert.
Verknüpfte Struktur-Elemente | Übernehmen immer alle Eigenschaften aus dem ursprünglichen Datentyp, von dem Sie abgeleitet sind. Ändert sich der ursprüngliche Datentyp, ändern sich alle davon abgeleiteten verknüpften Struktur-Elemente mit!

Struktur-Datentypen

Details zum Erstellen von Struktur-Datentypen lesen Sie im Abschnitt Datentypen/Struktur-Datentypen.

Struktur-Variablen

Struktur-Variablen basieren immer auf einem Struktur-Datentyp. Sie übernehmen daher prinzipiell den Aufbau der zugrunde liegenden Struktur. Beim Anlegen einer Struktur-Variablen können mehrere Optionen mit angegeben werden:

Parameter

Beschreibung

Arrays

Es kann gewählt werden, ob die Struktur als einzelne Struktur-Variable angelegt wird oder als Array. Bei Struktur-Arrays können bis zu drei Dimensionen eingestellt werden.

Adressierung

Die Adressierung der Struktur-Variablen kann automatisch oder manuell erfolgen. Standardmäßig wird die Adressierung automatisch berechnet. Die Adressberechnung ist dabei von der Granularität des eingesetzten Treiberobjekttyps und der verwendeten Struktur-Elemente abhängig.

Bei der automatischen Adressierung kann jeder Datentyp bei einem neuen Offset gestartet werden.

Aktivieren von Elementen bei Struktur-Variablen

Es kann eingestellt werden, ob alle Elemente der Struktur aktiviert werden sollen oder nicht.

Aktivieren bedeutet, dass alle Elemente aktiv geschaltet werden. Aktive Variable können sofort in zenon verwendet werden. Inaktive Variable stehen in zenon nicht zur Verfügung, werden bei der Berechnung der I/Os für die Lizenzgröße nicht berücksichtigt und werden auch nicht beim Treiber angemeldet. Damit können in einer Struktur Reservebereiche angelegt werden, die zu einem späteren Zeitpunkt aktiviert werden können. Alle Elemente einer Struktur-Variablen sind jederzeit über das Kontextmenü aktivierbar beziehungsweise deaktivierbar.

Hinweis: Auch deaktivierte Struktur-Variablen werden bei der Adressberechnung berücksichtigt. Ist das nicht erwünscht, müssen die Adressen entweder manuell vergeben oder das entsprechende Struktur-Element beim Datentyp gelöscht werden.

Verhalten beim XML-Import

Strukturen

Strukturen, die sich von bestehenden unterscheiden, können in bereits bestehende Strukturen importiert werden. Darauf basierende Variablen werden automatisch angepasst:

  • Die Strukturelemente werden über ihren Namen identifiziert.
  • Bei bereits bestehenden Strukturelementen wird der Typ angepasst, sofern er sich unterscheidet.
  • Nicht bestehende Elemente werden hinzugefügt.
  • Elemente, die es im neuen Strukturdatentyp nicht gibt, werden entfernt.

Inaktive Variablen

Beim Import von Strukturvariablen werden sowohl aktive als auch inaktive Variablen importiert. Vorhandene Elemente werden beim Import nicht überschrieben. Wird also in einem Projekt eine inaktive Variable importiert und anschließend aktiviert, bleibt sie auch nach einem erneuten XML-Import aktiv.

Noch in diesem Kapitel

Anlegen von Struktur-Variablen

Ändern von Struktur-Variablen

Löschen von Struktur-Variablen


Anlegen von Struktur-Variablen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Anlegen von Struktur-Variablen

Um eine Struktur-Variable anzulegen:

  1. legen Sie eine einfache Variable an
  2. wählen Sie als Datentyp einen Struktur-Datentyp aus
  3. wählen Sie Treiber und Treiberobjektyp
  4. definieren Sie die Array Dimensionen

Eigenschaft | Beschreibung
Name | Eindeutiger Name der Variablen. Ist eine Variable mit gleichem Namen im Projekt bereits vorhanden, kann keine weitere Variable mit diesem Namen angelegt werden.
Treiber | Wählen Sie aus der Dropdownliste den gewünschten Treiber. Hinweis: Sollte im Projekt noch kein Treiber angelegt sein, wird automatisch der Treiber für interne Variable (Intern.exe) geladen.
Treiberobjekttyp | Wählen Sie aus der Dropdownliste den passenden Treiberobjektyp aus.
Datentyp | Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.
Automatische Adressierung | zenon berechnet die automatische Adressvergabe. Diese ist abhängig von der Granularität des verwendeten Treiberobjektyps und dem IEC Datentyp, auf dem der verwendete Datentyp basiert
Offset Adresse folgt Datentyp-Offset und Start-Offset | Der Offset folgt dem beim zugeordneten Strukturelement projektierten Offset und Bit.
Manuelle Adressierung | Manuelle oder halbautomatische Adressierung.
Jeder Datentyp startet mit neuem Offset | Bestimmt bei automatischer Adressierung wie die einzelnen Struktur-Elemente positioniert werden. Aktiv: Für jedes Struktur-Element wird ein neuer Offset anfangen. Ein Bit-Offset > 0 bewirkt die Erhöhung des Offset um 1. Inaktiv: Offsets werden komplett genutzt (Variablen werden aneinander gereiht).
Alle Elemente aktivieren | Aktiviert beim Anlegen der neuen Struktur-Variable alle Elemente automatisch.
Elemente manuell aktivieren | Die Elemente werden beim anlegen nicht aktiviert. Sie müssen manuell in der Variablenliste aktiviert werden. Der entsprechende Vorgang wird über das Kontextmenü in der Variablenliste erreicht.

Ausrichtung Datentypen bei automatischer Adressierung

  • Ein Treiber mit BYTE Granularität kann nur bei BOOL die Bits 0 bis 7 verwenden. Alle anderen Datentypen beginnen auf Bit 0.
  • Bei WORD: BOOL Bits 0 bis 15, U(S)INT die Bit 0 und 8. Alle anderen Datentypen beginnen auf Bit 0.
  • Bei DWORD: BOOL Bits 0 bis 31, U(S)INT die Bit 0, 8, 16, 24. (U)INT die Bit 0 und 16. Alle anderen Datentypen beginnen auf Bit 0.
  • Strings müssen immer auf Bit 0 beginnen.
    Daraus folgt: Wenn bei der aktuellen Adresse der Bitoffset > 0 ist wird die Variable auf Bit 0 und Offset+1 gelegt.

Beispiel

USINT = 8Bit, Granularität WORD = 16bit.

Die Variable kann nur auf den Bits 0 oder 8 beginnen. Wenn z. B. als Bitoffset 2 projektiert wurde und die aktuelle Adresse Offset=0 Bit=0 ist, wird die Variable auf Offset 0 Bit 8 gelegt. Würde die aktuelle Adresse Offset=0 und Bit=7 sein, auf Offset=1 Bit=0

Noch in diesem Kapitel

Einfache Struktur mit automatischer Adressierung

Struktur-Variable als Array mit automatischer Adressierung

Manuelle Adressierung


Einfache Struktur mit automatischer Adressierung

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Anlegen von Struktur-Variablen > Einfache Struktur mit automatischer Adressierung

Beispiel

Im ersten Schritt erstellen wir einen Struktur-Datentyp. Dazu legen wir eine Struktur Regler mit vier Elementen an:

  • Drehzahl Soll (UINT),
  • Drehzahl Ist (USINT),
  • Array [2] von
    • Ein/Aus (BOOL) und
  • Überwachung (SINT).

Als nächstes müssen wir mit dem Dialog Variable erstellen eine Struktur-Variable erstellen, die auf diesem Datentyp basiert. Wir verwenden für dieses Beispiel:

  • den S7 TCP/IP Treiber
  • den Datenbaustein Bereich
  • die Array Dimension 0
  • die aktivierten Optionen
    • Automatische Adressierung
    • Jeder Datentyp startet mit neuem Offset
    • Alle Elemente aktivieren

In der Variablenliste wird nach dem Klick auf Fertig stellen die gewünschte Struktur mit allen Elementen angelegt.

Wenn wir die Struktur-Variable „Drehzahl-Regelung" in der Detail Ansicht auswählen, können wir im Eigenschaftenfenster die Eigenschaften der gesamten Struktur beeinflussen. Die wichtigsten Einstellungen finden wir in der Gruppe Adressierung. Dort stellen wir den Datenbaustein, die Netzadresse (=Busadresse) und den Startoffset für die Struktur ein. Da wir automatische Adressierung gewählt haben hängen alle Adressen der einzelnen Struktur Elemente an diesem Startoffset.

In unserem Beispiel stellen wir ein:

Datenbaustein: 50

Offset: 100

Netzadresse: 0

Die Granularität der S7 Datenbausteine beträgt 8 Bit. Der Datenbausteinbereich ist also BYTE orientiert. Jede UINT Variable benötigt 16 Bit, Jede USINT Variable 8 Bit, jede BOOL Variable 1 Bit und jede SINT Variable 8 Bit.

Daraus ergibt sich folgende automatische Adressierung für unsere Struktur:

Variable | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Drehzahl-Regelung.Drehzahl.Soll | 0 | 50 | 100 | 0
Drehzahl-Regelung.Drehzahl.Ist | 0 | 50 | 102 | 0
Drehzahl-Regelung.Drehzahl.Ein/Aus[1] | 0 | 50 | 104 | 0
Drehzahl-Regelung.Drehzahl.Ein/Aus[2] | 0 | 50 | 105 | 1
Drehzahl-Regelung.Drehzahl.Überwachung | 0 | 50 | 106 | 0

Letzter verwendeter Offset: 106 Bit 7

Die einzelnen Elemente der Struktur-Variable werden also optimal in die Offsets eingepasst.

Die 8 Bit Variable „Drehzahl-Regelung.Drehzahl.Soll" belegt einen Offset, die 16 Bit Variable „Drehzahl-Regelung.Drehzahl.Ist" belegt zwei Offsets, die beiden BOOL Variablen belegen in einem Offset zwei Bits und die Variable „Drehzahl-Regelung.Drehzahl.Überwachung" belegt einen Offset.

Die Adressen können nur über den Struktur-Datentyp oder über die Adresseinstellungen in der Struktur-Variable, nicht aber über die einzelnen Struktur-Variablen Elemente angepasst werden. Das wäre nur bei manueller Adressierung möglich.

Würden wir anstelle des S7 Treibers einen S5 Treiber verwenden ergäbe sich ein anderes Bild. Auf der S5 hat der Datenbausteinbereich nämlich eine Granularität von 16 Bit. Der Datenbausteinbereich einer S5 Steuerung ist WORT orientiert.

Bei identischer Projektierung ergäbe sich folgendes Bild:

Variable | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Drehzahl-Regelung.Drehzahl.Soll | 0 | 50 | 100 | 0
Drehzahl-Regelung.Drehzahl.Ist | 0 | 50 | 101 | 0
Drehzahl-Regelung.Drehzahl.Ein/Aus[1] | 0 | 50 | 102 | 0
Drehzahl-Regelung.Drehzahl.Ein/Aus[2] | 0 | 50 | 102 | 1
Drehzahl-Regelung.Drehzahl.Überwachung | 0 | 50 | 102 | 8

Letzter Verwendeter Offset: 102 Bit 15

Die einzelnen Elemente der Struktur-Variable werden auch hier optimal in die Offsets eingepasst.

Die 8 Bit „Drehzahl-Regelung.Drehzahl.Soll" Variable belegt einen „halben" Offset (die Bits 0 bis 7), die 16 Bit Variable „Drehzahl-Regelung.Drehzahl.Ist" belegt einen Offset. Die beiden BOOL Variable belegen nur die ersten zwei Bits des Offset 102 und daher startet die Variable „Drehzahl-Regelung.Drehzahl.Überwachung" im selben Offset wie die beiden BOOL mit Bit-Nummer 8.


Struktur-Variable als Array mit automatischer Adressierung

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Anlegen von Struktur-Variablen > Struktur-Variable als Array mit automatischer Adressierung

Array beim Strukturelement mit einfachem Datentyp

Variablen werden ausgehend vom Offset beim Strukturelement, entsprechend IEC Datentyp und Granularität gepackt adressiert. Es besteht somit kein Unterschied zu der Adressierung „gepackt".

Strukturvariable als Array

Die Adresse des ersten Strukturelements beim Index n ergibt sich aus der Adresse des letzten Strukturelements bei Index n-1 plus dem Offset beim Strukturelement.

Ist die Eigenschaft Jeder Datentyp startet mit neuem Offset

  • aktiv: beginnt der Index immer auf einem ganzen Offset (Bit ist 0, eventuell um Offset beim Strukturelement geschoben).
  • inaktiv: wird entsprechend Datentyp und Granularität „gepackt" adressiert und um den Offset vom Strukturelement verschoben. Unabhängig davon wird die Variable entsprechend Datentyp und Granularität ausgerichtet.

Beispiel

Wir verwenden dasselbe Beispiel wie im Abschnitt Einfache Struktur mit automatischer Adressierung, ändern jedoch bei den Eigenschaften der Struktur-Variable die Array Dimension 1 von 0 auf 2 ab.

Nach Klick auf Fertig stellen ergibt sich folgendes Bild in der Variablenliste:

Die bestehende Struktur wurde dahingehend abgeändert, dass nun jedes Struktur-Element zweifach zur Verfügung steht.

Für unser Beispiel mit dem S7 Treiber ergibt sich daher folgendes Bild bei der automatischen Adressierung, wenn eingestellt ist: Jeder Datentyp startet mit neuem Offset:

Variable | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Drehzahl-Regelung[1].Drehzahl.Soll | 0 | 50 | 100 | 0
Drehzahl-Regelung[1].Drehzahl.Ist | 0 | 50 | 101 | 0
Drehzahl-Regelung[1].Drehzahl.Ein/Aus[1] | 0 | 50 | 103 | 0
Drehzahl-Regelung[1].Drehzahl.Ein/Aus[2] | 0 | 50 | 103 | 1
Drehzahl-Regelung[1].Drehzahl.Überwachung | 0 | 50 | 104 | 0
Drehzahl-Regelung[2].Drehzahl.Soll | 0 | 50 | 105 | 0
Drehzahl-Regelung[2].Drehzahl.Ist | 0 | 50 | 106 | 0
Drehzahl-Regelung[2].Drehzahl.Ein/Aus[2] | 0 | 50 | 108 | 0
Drehzahl-Regelung[2].Drehzahl.Ein/Aus[2] | 0 | 50 | 108 | 1
Drehzahl-Regelung[2].Drehzahl.Überwachung | 0 | 50 | 109 | 0

Letzter verwendeter Offset: 109 Bit 7

Die Array Struktur wurde genau so wie eine einfache Struktur angelegt. Das zweite Struktur Array startet genau dort, wo das erste aufhört.

Ändern wir den Treiber auf den S5 Treiber ergibt sich folgendes Bild:

Variable | Netzadresse | Datenbaustein | Offset | Bit-Nummer
Drehzahl-Regelung[1].Drehzahl.Soll | 0 | 50 | 100 | 0
Drehzahl-Regelung[1].Drehzahl.Ist | 0 | 50 | 101 | 0
Drehzahl-Regelung[1].Drehzahl.Ein/Aus[1] | 0 | 50 | 102 | 0
Drehzahl-Regelung[1].Drehzahl.Ein/Aus[2] | 0 | 50 | 102 | 1
Drehzahl-Regelung[1].Drehzahl.Überwachung | 0 | 50 | 102 | 8
Drehzahl-Regelung[2].Drehzahl.Soll | 0 | 50 | 103 | 0
Drehzahl-Regelung[2].Drehzahl.Ist | 0 | 50 | 104 | 0
Drehzahl-Regelung[2].Drehzahl.Ein/Aus[2] | 0 | 50 | 105 | 0
Drehzahl-Regelung[2].Drehzahl.Ein/Aus[2] | 0 | 50 | 105 | 1
Drehzahl-Regelung[2].Drehzahl.Überwachung | 0 | 50 | 105 | 7

Letzter verwendeter Offset: 105 Bit 15

Jeder Datentyp startet mit neuem Offset

Die Array Struktur wurde genau so wie eine einfache Struktur angelegt. Das zweite Struktur Array startet genau dort, wo das erste aufhört. Hier kann es bedingt durch die Option Jeder Datentyp startet mit neuem Offset Unterschiede geben. Ist diese Option aktiv, wird der Start des nächsten Struktur-Arrays immer auf einen neuen Offset gelegt, unabhängig davon, ob sich die nächste Struktur noch in den aktuellen Offset packen ließe.

Example Beispiel

Das letzte Struktur-Element ist ein SINT (8Bit) und belegt Offset 102 Bit 0 bis 7. Die nächste Struktur würde dann beim Beispiel S5 Treiber (16 Bit Offsets) wie folgt starten:

  • Option aktiviert „Jeder Datentyp startet mit neuem Offset“: Offset 103 Bit 0
  • Option deaktiviert „Jeder Datentyp startet mit neuem Offset“: Offset 102 Bit 8. Die Strukturen würden also unmittelbar aneinander gereiht werden.


Manuelle Adressierung

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Anlegen von Struktur-Variablen > Manuelle Adressierung

Adressen können bei manueller Adressierung halbautomatisch oder komplett manuell vergeben werden.

Halbautomatische Lösung

Die Offsets und die Bit-Nummer werden bei den Struktur Elementen im Datentyp eingetragen. Dort wird allerdings nur ein relativer Offset eingestellt. Bei der Struktur-Variable wird ein Start-Offset vergeben, und alle relativen Offsets werden zu diesem Start-Offset hinzugezählt.

Beispiel

Wie in Einfache Struktur mit automatischer Adressierung erstellen wir den Struktur-Datentyp Struktur Regler. Bei den einzelnen Struktur-Elementen wird dann bei jedem Element ein beliebiger Offset eingestellt, z. B. Offset 3 beim Struktur-Element Drehzahl Soll.

Bei der Struktur-Variablen wird dann beim Anlegen die Option Manuelle Adressierung gesetzt. In den Eigenschaften der Struktur-Variable wird als Start-Offset wieder 100 vergeben. zenon errechnet dann bei der Adresse der Variable „Drehzahl-Regelung.Drehzahl.Soll“ den Offset 103 (100 von der Struktur + 3 vom Struktur Element).

Soll der relative Offset zu einem späteren Zeitpunkt geändert werden, muss wie folgt vorgegangen werden:

  • Zuerst muss der Offset beim Struktur-Element im Datentyp geändert werden.
  • Dann muss der Start Offset bei der Struktur Variable geändert werden (z.B auf 101).
  • Und dann wieder zurück auf den Ausgangs Offset (in unserem Beispiel 100).

Hintergrund: Die neue Adressberechnung erfolgt erst wenn der Start Offset bei der Strukturvariable geändert wird, und nicht bei einer Offset Änderung im Struktur Element.

Komplett manuelle Lösung

Projektierung im Prinzip wie bei der halbautomatischen Lösung, nur werden bei der Struktur Variable bei jedem Element die Adressen manuell vergeben.

Bei einer Änderung des Start-Offsets einer Struktur-Variable werden die Offsets der bereits aktivierten Variablen um das Delta der Änderung mitgeändert. Die Offsetdifferenz der aktivierten Variable zu ihrer Strukturvariable bleibt also erhalten.


Ändern von Struktur-Variablen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Ändern von Struktur-Variablen

Änderungen werden über die Eigenschaften und den Dialog Variable modifizieren durchgeführt.

Nicht geändert werden können:

  • Name
  • Aktivierung der Elemente

Eigenschaft | Beschreibung
Treiber | Wählen Sie aus der Dropdownliste den gewünschten Treiber. Hinweis: Sollte im Projekt noch kein Treiber angelegt sein, wird automatisch der Treiber für interne Variable (Intern.exe) geladen.
Treiberobjektyp | Wählen Sie aus der Dropdownliste den passenden Treiberobjektyp aus.
Datentyp | Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.
Automatische Adressierung | zenon berechnet die automatische Adressvergabe. Diese ist abhängig von der Granularität des verwendeten Treiberobjektyps und dem IEC Datentyp, auf dem der verwendete Datentyp basiert
Offset Adresse folgt Datentyp-Offset und Start-Offset | Der Offset folgt dem beim zugeordneten Struktur-Element projektierten Offset und Bit.
Manuelle Adressierung | Manuelle oder halbautomatische Adressierung.
Jeder Datentyp startet mit neuem Offset | Bestimmt bei automatischer Adressierung wie die einzelnen Struktur-Elemente positioniert werden. Aktiv: Für jedes Struktur-Element wird ein neuer Offset anfangen. Inaktiv: Offsets werden komplett genutzt (Variablen werden aneinander gereiht).

Noch in diesem Kapitel

Ändern der Eigenschaften

Aktiveren und Deaktivieren von Struktur Elementen

Ändern der Reihenfolge


Ändern der Eigenschaften

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Ändern von Struktur-Variablen > Ändern der Eigenschaften

Änderungen werden über das Eigenschaften-Fenster durchgeführt.

Änderungen bei der Struktur-Variable selbst können sich auf die einzelnen Elemente der Struktur-Variable auswirken (z. B. Adressberechnungen wenn Sie den Startoffset oder den Treiber ändern). Bei jedem Element der Struktur-Variable können die Eigenschaften separat geändert werden. Änderungen können Sie entweder bei den einzelnen Elementen vornehmen oder bei den Struktur-Elementen des zugrunde liegenden Struktur-Datentyps. Die Änderungen werden dann weitervererbt. (Siehe dazu Kapitel Vererbungskonzept)


Aktiveren und Deaktivieren von Struktur Elementen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Ändern von Struktur-Variablen > Aktiveren und Deaktivieren von Struktur Elementen

Dazu wählen Sie das entsprechende Element aus und führen im Kontextmenü die entsprechende Aktion aus. Inaktive Elemente werden bei der automatischen Adressierung so berücksichtigt, als ob sie vorhanden wären. Die inaktiven Elemente sind Platzhalter die jederzeit später aktiviert werden können.

Inaktive Variable

  • stehen in zenon nicht zur Verfügung
  • werden nicht beim Treiber angemeldet
  • werden bei der Berechnung der I/Os für die Lizenzgröße nicht berücksichtigt

Wichtige Hinweise

Beachten Sie beim Deaktivieren von Variablen:

  • Variablenbezüge in Bildelementen gehen durch das Deaktivieren verloren. Diese Bezüge können nur mehr manuell wiederhergestellt werden.
  • Wenn ein Struktur Element auf einem IEC Datentyp basiert, der beim gewählten Treiber nicht zulässig ist, dann lässt sich dieses Element nicht aktivieren.
  • Wenn Variablen deaktiviert und dann erneut aktiviert wurden, sind die dynamischen Elemente für diese Variablen im Editor nicht aktualisiert. Um diese zu aktualisieren, klicken Sie im Eigenschaftenfenster des Elements auf die entsprechende Variable.


Ändern der Reihenfolge

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Ändern von Struktur-Variablen > Ändern der Reihenfolge

Die Reihenfolge der Struktur Elemente einer Struktur Variable kann nur beim entsprechenden Struktur Datentyp erfolgen. Bei Änderungen am Struktur-Datentyp werden alle darauf basierenden Struktur Variable geändert!


Löschen von Struktur-Variablen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Struktur-Variablen > Löschen von Struktur-Variablen

Markieren Sie die Variable in der Detailansicht und drücken sie die Entfernen-Taste.


Projektübergreifende Variablen

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Projektübergreifende Variablen

Variablen können auch aus anderen Projekten ausgewählt und projektübergreifend verwendet werden. Das ist auch in unterschiedlichen Hierarchien möglich. Variablen aus übergeordneten, gleichrangigen und untergeordneten Projekte, aber auch Variablen aus nicht verbundenen Projekten, können beliebig genutzt werden.

Um Variablen projektübegreifend zu nutzen, müssen alle betroffenen Projekte beim Projektieren und zur Runtime:

  • geladen sein
  • im Netzwerk erreichbar sein
    Hinweis: zenon überprüft zur Runtime nicht die Erreichbarkeit im Netzwerk.

Im Projekt werden Variablen, die aus anderen Projekten stammen, in folgender Schreibweise angezeigt:
[Projektname]#[Variablenname], zum Beispiel Projekt1#WIZ_VAR_10

Sollte eine übergreifende Nutzung nicht möglich sein, werden andere Projekte im Variablenauswahldialog ausgegraut dargestellt.

Hinweis: Dieser Dialog ist in der Größe anpassbar. Die Position und Größe des Dialogfensters werden in Editor, Runtime und zenon Web Client projektunabhängig gespeichert.

attention Achtung

Werden Projektnamen nachträglich geändert oder Projekte kopiert, muss für die weitere korrekte Zuweisung gesorgt werden. Benutzen Sie dazu den Dialog zum Ersetzen von Projektbezügen.

Beachten Sie die besonderen Bedingungen für projektübergreifende Variablen in der Befehlsgabe!


Verwendung im zenon Analyzer

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Verwendung im zenon Analyzer

Für die Verwendung im COPA-DATA Produkt zenon Analyzer können Variablen mit speziellen Informationen für Reports versehen werden. Dafür steht eine eigene Gruppe von Eigenschaften zur Verfügung.

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Die Übernahme der Daten aus zenon in den zenon Analyzer erfolgt per Export mit dem Analyzer Export Wizard.

Noch in diesem Kapitel

Export Wasserfall-Diagramme


Export Wasserfall-Diagramme

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Verwendung im zenon Analyzer > Export Wasserfall-Diagramme

Ein Wasserfall-Diagramm kann entweder für Linienbasierte Reports oder für Maschinenbasierte Reports erstellt werden. Die Parameter für das Diagramm werden ab zenon 7.20 in der Variableneigenschaft Analyzer/Parameter für Wasserfall-Diagramm abgelegt. Diese können manuell eingetragen oder mit dem Meaning and Waterfall Chart Wizard erstellt werden.

Export

Der Wizard liest beim Laden des zenon Arbeitsbereichs die Eigenschaft Parameter für Wasserfall-Diagramm aus. Sind korrekte Einträge vorhanden, werden diese im Hintergrund exportiert und in die Datenbank des zenon Analyzer geschrieben.

Aufbau der Einträge

Abhängig vom Aufbau der Einträge wird entschieden, ob es sich um Einträge für maschinenbasierte oder linienbasierte Diagramme handelt.

  • Maschinenbasiert: Aufbau mit 4 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    Beispiel: MyWaterfall,4,2,#80FF00;

  • Linienbasiert: Aufbau mit 7 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];
    Beispiel: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regeln für das Auslesen

Beim Auslesen gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
    Der Aufbau entscheidet darüber, ob der Eintrag als maschinenbasiert oder linienbasiert gewertet wird.
  • Die Kennung WF= ist nicht notwendig, kann aber verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehrere Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen. Hier muss die Kennung WF= vorangestellt sein.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Verknüpfen von Variablen/Datentypen mit Stilgruppe/Skalastil/Kurvenstil

Handbuch > Variablen > Variablen erstellen, modifizieren und nutzen > Verknüpfen von Variablen/Datentypen mit Stilgruppe/Skalastil/Kurvenstil

In den Eigenschaften der Variablen und des Datentyps finden Sie den Knoten Erweiterter Trend.

Hier können einer Variable oder einem Datentyp bereits vordefinierte Stile oder eine bereits vordefinierte Stilgruppe zugewiesen werden.

Folgende Auswahlmöglichkeiten stehen zur Verfügung:

Eigenschaft | Beschreibung
Stilgruppe | Ermöglicht die Auswahl einer vordefinierten Stilgruppe.
Skalenstil | Ermöglicht die Auswahl eines vordefinierten Skalastils.
Kurvenstil | Ermöglicht die Auswahl eines vordefinierten Kurvenstils.

Vorgehen:

  1. Klicken Sie auf die jeweilige Auswahlschaltfläche ....
  2. Wählen Sie die gewünschte Stilgruppe oder den gewünschten Stil.
  3. Bestätigen Sie die Auswahl mit einem Klick auf OK.

Die ausgewählten Stile werden zur Runtime in der Darstellung des Erweiterten Trends verwendet.


Vererbungskonzept

Handbuch > Variablen > Vererbungskonzept

Vererbung bedeutet, dass Eigenschaften eines Objekts an ein von diesem Objekt abgeleitetes Objekt weitergegeben werden. Das abgeleitete Objekt übernimmt prinzipiell alle Eigenschaften des Basisobjekts, kann aber einzelne Eigenschaften, oder auch alle Eigenschaften von diesem Basisobjekt abändern = überschreiben.

Im Gegensatz dazu gibt es auch die Verlinkung. Dabei werden zwar auch die Eigenschaften eines Basisobjekts übernommen, können aber beim gelinkten Objekt nicht geändert/überschrieben werden. Eine Änderung ist nur beim Basisobjekt möglich.

Für beide Fälle gilt: Wenn eine Eigenschaft im Basisobjekt geändert wird, übernehmen alle Objekte, die von diesem Basisobjekt abgeleitet sind, die Änderung mit. Die einzelnen Eigenschaften sind also nicht direkt beim abgeleiteten Objekt gespeichert, sondern werden immer vom Basisobjekt referenziert.

Ausnahme: Sobald ein Wert beim abgeleiteten Objekt überschrieben (geändert) wurde, verliert diese Eigenschaft den Bezug zum Basisobjekt (nur bei der Vererbung). Wird eine überschriebene Eigenschaft beim Basisobjekt geändert, ändert sich die Eigenschaft beim abgeleiteten Objekt nicht mehr mit. Das betrifft aber nur jene Eigenschaft, bei der die Verbindung zum Basisobjekt unterbrochen wurde. Alle anderen Eigenschaften werden nach wie vor vom Basisobjekt übernommen. Eine überschriebene Eigenschaft kann jederzeit wieder zurück in eine abgeleitete Eigenschaft umgewandelt werden.

Noch in diesem Kapitel

Vererbung in zenon

Vererben von Eigenschaften eines Datentyps bei einfachen Variablen


Vererbung in zenon

Handbuch > Variablen > Vererbungskonzept > Vererbung in zenon

In zenon sind die Basisobjekte die Datentypen. Sowohl einfache, als auch Struktur Datentypen verknüpfen ihre Eigenschaften an die auf Ihnen aufbauenden Variablen.

Die Variablen sind die von den Datentypen abgeleiteten Objekte. Von diesen erben sie im Prinzip alle Eigenschaften. Ausnahme sind Eigenschaften, die

nur bei der Variable einstellbar sind wie z. B. die Adressierung ihren Ursprung nicht im Datentyp haben, sondern die vom Treiberobjekttyp abhängen.

In den Strukturen gibt es die Struktur Elemente. Diese können entweder eingebettet oder verknüpft sein. Wenn sie verknüpft sind, übernehmen Sie alle Eigenschaften von dem Datentyp, mit dem Sie verknüpft sind. Alle Änderungen am Ursprungs-Datentyp werden 1:1 übernommen. Es können aber keine Eigenschaften überschrieben werden, da sie eben nur verknüpft, aber nicht vererbt sind.

Die eingebetteten Struktur Elemente eines Struktur Datentyps haben im Prinzip gar keinen Bezug mehr zu ihrem Ursprungs-Datentyp. Sie sind Kopien, bei denen alle Eigenschaften separat eingestellt werden können. Änderungen am Ursprungs-Datentyp wirken sich nicht aus. Eingebettete Struktur Elemente können jederzeit wieder in verknüpfte Struktur Elemente umgewandelt werden und umgekehrt.

Noch in diesem Kapitel

Vererbung von Eigenschaften bei Struktur Datentypen und Struktur Variablen


Vererbung von Eigenschaften bei Struktur Datentypen und Struktur Variablen

Handbuch > Variablen > Vererbungskonzept > Vererbung in zenon > Vererbung von Eigenschaften bei Struktur Datentypen und Struktur Variablen

Bei den Struktur Variablen funktioniert es ganz gleich wie bei den einfachen Variablen. Nur sind die Eigenschaften entsprechend bei jedem einzelnen Struktur-Element einzustellen. Jedes Element einer Struktur Variable hat seine Entsprechung in einem Struktur-Element des Struktur Datentyps auf dem die Struktur Variable basiert.

Erschwerend kommt hier hinzu, dass ein Struktur-Element wieder mit einem Datentyp verknüpft sein kann.

Struktur Variable Element erbt die Eigenschaften vom Struktur-Element welches wiederum mit einem Datentyp verknüpft ist.

Noch komplexer stellt es sich dar, wenn Strukturen in Strukturen verwendet werden:

Variable mit Struktur in Struktur

Im obigen Beispiel ist die Variable Motor.Drehzahl Regelung. Drehzahl Ist von der Struktur Motor abgeleitet. Diese wiederum beinhaltet das Struktur-Element Drehzahl Regelung, das wiederum eine Struktur ist. Diese Struktur ist in die Struktur Motor verknüpft, da Strukturen in Strukturen nur verknüpft sein können. In dieser Struktur Drehzahl Regelung findet sich wiederum der Datentyp INT verknüpft.

Wenn also in diesem Datentyp etwas geändert wird, wirken sich diese Änderungen direkt auf die Variable Motor.Drehzahl Regelung. Drehzahl Ist aus.

Änderungen an den Datentypen sollten entsprechend vorsichtig durchgeführt werden.

Das überschreiben von Eigenschaften oder das wiederherstellen der Ableitung vom Datentyp erfolgt wie weiter oben beschrieben.


Vererben von Eigenschaften eines Datentyps bei einfachen Variablen

Handbuch > Variablen > Vererbungskonzept > Vererben von Eigenschaften eines Datentyps bei einfachen Variablen

Beim Anlegen einer neuen Variable sind prinzipiell alle Eigenschaften vom Datentyp vererbt. Man erkennt das daran, dass in der Eigenschaft selber ein Häkchen eingeblendet wird.

Abgeleitete Eigenschaften erkennt man am Häkchen

In diesem Beispiel sind alle Eigenschaften vom Datentyp abgeleitet bis auf die Einheit. Diese wurde in der Variable überschrieben. Wird nun die Eigenschaft Maßeinheit im zugrundeliegenden Datentyp geändert, ändert sich die Maßeinheit bei allen Variablen, die auf diesem Datentyp basieren. Nur nicht bei jenen Variablen, bei denen diese Eigenschaft überschrieben (geändert) wurde.

attention Achtung

Änderungen am Datentyp basieren immer alle Variablen mit ändern, die auf diesem Datentyp (außer die Eigenschaften wurden entsprechend überschrieben).

Noch in diesem Kapitel

Überschreiben von Eigenschaften

Wiederherstellung der Eigenschaften vom Datentyp


Überschreiben von Eigenschaften

Handbuch > Variablen > Vererbungskonzept > Vererben von Eigenschaften eines Datentyps bei einfachen Variablen > Überschreiben von Eigenschaften

Eigenschaften von Variablen lassen sich auf zwei Arten überschreiben:

  • Die Eigenschaft wird per Tastatur- oder per Mauseingabe geändert. Sobald die Änderung übernommen wird, wird die Verbindung dieser Eigenschaft mit dem Datentyp getrennt.
  • Die Eigenschaft wird über das entsprechende Kontextmenü vom Datentyp getrennt. Dabei kann entweder nur die ausgewählte Eigenschaft vom Datentyp getrennt werden, oder alle Eigenschaften der Variable. (Screenshot!)

Sobald eine Eigenschaft überschrieben wurde verschwindet das Häkchen. Alle Änderungen im Datentyp haben danach keine Auswirkungen mehr auf diese überschriebenen Eigenschaften einer Variable.


Wiederherstellung der Eigenschaften vom Datentyp

Handbuch > Variablen > Vererbungskonzept > Vererben von Eigenschaften eines Datentyps bei einfachen Variablen > Wiederherstellung der Eigenschaften vom Datentyp

Wählen Sie die überschriebene Eigenschaft und wählen Sie im Kontextmenü den Eintrag Alle Werte vom Datentyp aus oder nur die '<Name>' Wert vom Datentyp. Die Eigenschaft oder alle Eigenschaften erhalten dann Ihre Ableitungs-Symbole zurück.


Wertberechnung

Handbuch > Variablen > Wertberechnung

Die Wertberechnung definiert über verschiedene Eigenschaften den Wertbereich einer Variable.

Hysterese und Schwellwert

Sich rasch ändernde (z.B. flatternde) Werte können über verschiedene Eigenschaften abgefangen werden, um ungewollte Reaktionen wie Alarme oder Archiveinträge zu verhindern. Dabei wird unterschieden zwischen:

  • Hysterese: Verhindert die Übertragung sich rasch ändernder Werte vom Treiber zur Variablen.
  • Hysterese für Archiv: Verhindert die Erstellung von Archiveinträgen bei sich rasch ändernden Wertänderungen bezogen auf den Messbereich.
  • Schwellwert: Verhindert unerwünschte Reaktionen wie Alarme bei sich rasch ändernden numerischen Werten.

Nicht-lineare Wertanpassung

Variablen, deren Rohwert (Steuerung) sich nicht linear in den Messwert (zenon) skalieren lassen, können über die Eigenschaft Nicht-lineare Wertanpassung über Makros angepasst werden. Dabei werden Rohwerte über VBA Makros in der SPS und in zenon per Makro angepasst.
Die benötigen Makros müssen in der zenon Makroliste bereits zu Verfügung stehen. Sie werden über folgende Eigenschaften ausgewählt:

  • AdjustHardwareValue: Wird zur Runtime bei jeder Änderung des Rohwertes in der SPS aufgerufen und passt den Wert in zenon an.
  • AdjustScadaValue: Wird beim Absetzen eines Werts aus zenon aufgerufen und passt den Rohwert auf der SPS an.

attention Achtung

Es müssen immer beide Eigenschaften konfiguriert werden. Das Makro AdjustHardwareValue muss dabei als Umkehrfunktion invers zu AdjustScadaValue erstellt werden.

Noch in diesem Kapitel

Hysterese


Hysterese

Handbuch > Variablen > Wertberechnung > Hysterese

Die Hysterese definiert den Bereich, innerhalb dessen eine Wertänderung ignoriert wird. Damit wird verhindert, dass sich rasch ändernde (z.B. flatternde) Werte im Bildelement dargestellt werden und eine ständige Grenzwertverletzung auslösen.

In zenon können Hysteresen in den Eigenschaften der Variablen (Wertberechnung/Hysterese) festgelegt werden für:

  • Wertberechnungen der Variablen:
    Eigenschaften Positiv für Signal und Negativ für Signal für Signalbereich.
    Sich ändernde Werte, die sich innerhalb der Hysterese befinden, werden vom Treiber nicht zur Variablen übertragen.
  • Einträge in Archive bei Wertänderung:
    Eigenschaften Positiv für Archiv und Negativ für Archiv für Messbereich

    Geänderte Werte, die sich innerhalb der Hysterese befinden, werden nicht ins Archiv eingetragen.

Example Beispiel

Ein Grenzwert ist mit 50° C definiert. Die Temperatur schwankt normalerweise etwas. Damit würde bei jedem Unter- oder Überschreiten der 50°-Grenze der Grenzwert verletzt und ein Alarm ausgelöst und ein Eintrag ins Archiv erfolgen.

Um das zu verhindern wird für die Variable als Hysterese definiert:

  • Positiv für Signal: 2
  • Negativ für Signal: 2

Und für das Archiv als Hysterese:

  • Positiv für Archiv: 8
  • Negativ für Archiv: 6

Damit wird:

  • erst das Überschreiten von 52° und das Unterschreiten von 48° als Grenzwertverletzung gewertet
  • erst beim Überschreiten von 58° und beim Unterschreiten von 44° ein Archiveintrag erstellt

Hinweis: Hysteresen, die nur ungewollte Reaktionen (wie Alarme) auf Grenzwertverletzung bei sich rasch ändernden (flatternden) numerischen Werten vermeiden sollen, können über Schwellwerte erzeugt werden.

info Info

Beachten Sie:

  • Nicht jeder Treiber unterstützt Hysterese. Informationen, ob Ihr Treiber Hysterese unterstützt, finden Sie in der Dokumentation des entsprechenden Treibers.
  • Integratiosprojekt:
    Wird für eine Variable in einem Unterprojekt eine Hysterese konfiguriert, dann hat diese keine Auswirkung, wenn sich die Variable in einem Archiv des Integrationsprojekts befindet.


Grenzwerte

Handbuch > Variablen > Grenzwerte

Grenzwerte haben die Aufgabe, bei Erreichen oder Überschreiten einer Grenze oder eines Zustandes eine Reaktion auszulösen. Die Grenze wird feststehend im Editor eingetragen oder stellt sich variabel nach dem Wert einer anderen Variablen zur Runtime ein. Die Reaktionsarten sind sehr vielfältig. Zum Beispiel: Farbumschläge, Alarm-, CEL Einträge, Ausdrucke, Funktionsaufrufe usw. Die Ausführung der Reaktion erfolgt in zenon.

Die Projektierung von

  • Grenzwerten definiert das Verhalten für numerische Variablen
  • Status definiert das Verhalten für binäre Variablen (low, high oder logisch 0, 1).

    Hinweis: Aus Gründen der Allgemeingültigkeit wird in weiterer Folge auch für Status die Bezeichnung Grenzwert verwendet.

Ist eine zusätzliche Auswertung der Statusinformationen der Variablen notwendig, so muss die Projektierung über Reaktionsmatrizen erfolgen. Remas können auch für String-Werte verwendet werden. Detaillierte Information zu den Reaktionsmatrizen finden Sie im Abschnitt Reaktionsmatrizen.

Hinweis: Grenzwerte werden nicht automatisch gelöscht, da diese sonst bei einer falschen Variablentypauswahl verloren gehen würden. Wird also z.B. eine numerische Variable mit einem definierten Grenzwert in den Typ BOOL umgewandelt, verfügt diese Variable über drei Grenzwerte.

Verwendung mit EPLAN

Bei einem Alarm kann auch ein EPLAN-Dokument aufgerufen werden. Dazu muss die EPLAN-Anbindung lizenziert sein und der Pfad zum EPLAN-Programm in der zenon6.ini definiert sein.
Konfiguration:

  • Eingabe der Zeichenfolge $PRG:xxxxxx in die Eigenschaft Hilfe-Datei in der Gruppe Grenzwerte

    Hinweis: xxxxxx ist Platzhalter für die zu übergebenden Parameter

  • Die Eigenschaft Hilfe-Kapitel wird ignoriert, darf aber nicht leer sein

Details siehe Kapitel EPLAN aus Hilfe aufrufen im Handbuch Runtime-Hilfe.

Noch in diesem Kapitel

Editorprojektierung von Grenzwerten

Grenzwerte während der Runtime

Dynamischer Grenzwerttext


Editorprojektierung von Grenzwerten

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten

Mit der Auswahl einer Variablen in der Detailansicht des Projektmanagers werden im Eigenschaftenfenster alle Eigenschaften der ausgewählten Variable angezeigt.

Um neue Grenzwerte anzulegen, klicken Sie Grenzwert neu. Sobald Sie auf Grenzwerte einfügen klicken, wird jedes Mal ein neuer Grenzwert (Grenzwert 1, Grenzwert 2 ....) in die dahinterliegende Liste eingefügt.

Alle für die Grenzwertprojektierung zur Verfügung stehenden Optionen befinden sich im Eigenschaftenfenster und werden in der Eigenschaften-Hilfe einzeln erklärt. Diese spezifische Hilfe wird jeweils bei Markierung einer Eigenschaft automatisch eingeblendet.

Es kann eine beliebige Anzahl von Grenzwerten pro Variable definiert werden.

Öffnen Sie nun die Liste, indem Sie die auf das Pluszeichen vor der Eigenschaft Grenzwerte klicken. Alle von Ihnen angelegten Grenzwerte sind darin aufgelistet. Sie können nun einen der Grenzwerte per Mausklick auswählen, worauf sich die Liste der zu definierenden Grenzwerteigenschaften öffnet.

Noch in diesem Kapitel

Verzögerungszeit

Schwellwert

Grenzwerte aus Datentypen ableiten

Mehrfachauswahl

Löschen von Grenzwerten

Überlappende Grenzwerte

Grenzwertvorschau


Verzögerungszeit

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Verzögerungszeit

Über die Eigenschaft Verzögerungszeit [s] kann in den Eigenschaften für den Grenzwert ein Wert für eine Zeitverzögerung projektiert werden. Dieser Wert definiert die Zeitspanne in Sekunden, in der die Grenzwertverletzung anstehen muss, damit die definierten Aktionen der Grenzwertverletzung ausgelöst werden.
Default: 0 - keine Zeitverzögerung

Maximalwert: 4294967295 Sekunden

Die Verzögerungszeit wird auf den Zeitstempel der Variablen hin berechnet. Sie gilt unabhängig davon, aus welcher Richtung der Grenzwert verletzt wird.

Beispiel:

  • Projektierung
    • Grenzwert 1 liegt beim Wert 50.
    • Grenzwert 2 liegt beim Wert 100.
    • Die Verzögerungszeit beträgt 3s.
  1. Der Wert steigt auf 110.
    • Nachdem die Verletzung 3 Sekunden angedauert hat, wird die Grenzwertverletzung für den Wert 100 angezeigt.
  2. Der Wert sinkt auf 70.
    • Sobald dieser Wert 3 Sekunden angedauert hat, wird der Alarm für die Grenzwertverletzung 100 deaktiviert und eine Grenzwertverletzung für den Wert 50 angezeigt.
  3. Sinkt der Wert auf 40, wird der Alarm nach 3 Sekunden deaktiviert.

Zeitstempel und Wert

Als Zeitstempel für die Grenzwertverletzung in der AML und der CEL wird der Zeitpunkt der ersten Verletzung eingetragen.
Als Wert wird der erste Wert nach der Verzögerungszeit eingetragen, also nicht der Alarm auslösende Wert.

Legende:

Ziffer

Beschreibung

1

Zeitpunkt der Grenzwertüberschreitung.

Start der projektierten Verzögerungszeit.

Auslösender Wert.

2

Ende der projektierten Verzögerungszeit. Alarm kommt:

  • Zeit: Zeitpunkt der Grenzwertverletzung (1)
  • Angezeigter Wert: Wert nach der Verzögerungszeit (2)

info Info

In Kombination mit der Eigenschaft Blinken wirkt sich diese Eigenschaft im Netzwerk folgendermaßen aus:
Verknüpfte Elemente für Grenzwerte und Alarme, jeweils mit oder ohne Verzögerung, werden am Server und auf den Clients blinkend angezeigt.


Schwellwert

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Schwellwert

Schwellwerte verhindern ungewollte Reaktionen bei sich rasch ändernden (flatternden) numerischen Werten. Sie erzeugen eine Grenzwerthysterese. Der Grenzwert ist damit bei Beginn der Grenzwertverletzung ein anderer als beim Verlassen der Grenzwertverletzung.

Zum Beispiel: Grenzwert max. bei 100, Schwellwert 10. Sobald der Wert der Variable 100 erreicht, wird die Grenzwertverletzung ausgelöst. Fällt der Wert auf 95 passiert noch gar nichts. Erst wenn der Wert auf 89 sinkt, wird die Grenzwertverletzung aufgehoben.

Schwellwerte können für Maximum oder Minimum gesetzt werden. Bei Maximum bewegt sich der Schwellwert nach unten, bei Minimum nach oben.
Beispiel Maximalwert: Maximalwert = 900, Schwellwert = 10, ergibt 890
Grenzwert ist verletzt ab einem Wert 900 und verlässt den kritischen Bereich wieder, wenn er unter 890 geht.
Beispiel Minimalwert: Minimalwert = 900, Schwellwert = 10, ergibt 910
Grenzwert ist verletzt ab einem Wert 900 und verlässt den kritischen Bereich wieder, wenn er über 910 geht.
Im Unterschied zur Hysterese beeinflusst diese Eigenschaft nicht die Darstellung des Wertes, sondern nur das Alarmverhalten.


Grenzwerte aus Datentypen ableiten

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Grenzwerte aus Datentypen ableiten

Grenzwerte können bereits bei den Datentypen definiert werden. Die dort projektierten Grenzwerte stehen bei allen Variablen zur Verfügung, die auf dem entsprechenden Datentyp basieren. Es greift dabei das Vererbungskonzept wie weiter oben beschrieben: alle Eigenschaften gestalten sich wie beim Datentyp, und können bei jeder einzelnen Variable überschrieben werden. So kann ein Grenzwert bei einzelnen Variablen selektiv deaktiviert werden. Ein von einem Datentyp vererbter Grenzwert kann bei einer Variable nicht gelöscht werden (löschen ist nur beim Datentyp möglich). Es können einer Variablen jedoch weitere Grenzwerte hinzugefügt werden. Diese variablenspezifischen Grenzwerte können hingegen wieder bei der Variable selbst gelöscht werden.

Nähere Informationen zu den Datentypen finden Sie im Abschnitt Datentypen.


Mehrfachauswahl

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Mehrfachauswahl

Wenn mehrere Variablen gleichzeitig ausgewählt werden, können auch die Eigenschaften der Grenzwerte bei mehreren Variablen gleichzeitig geändert werden. Wenn eine der ausgewählten Variablen den zu bearbeitenden Grenzwert nicht besitzt, wird dieser dort auch nicht angelegt.

Bei der Mehrfachauswahl von Variablen werden unterschiedliche Eigenschaften im Eigenschaftenfenster rot angezeigt. (Ausschlaggebend für die Anzeige der Eigenschaften ist immer die zuerst gewählt Variable). Sind Eigenschaften nicht in allen ausgewählten Variablen vorhanden (z. B. Grenzwerte), so werden diese gelb markiert.


Löschen von Grenzwerten

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Löschen von Grenzwerten

Klicken Sie in den Grenzwert-Eigenschaften auf Grenzwert löschen.


Überlappende Grenzwerte

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Überlappende Grenzwerte

Bei analogen Grenzwerten können diese überlappend projektiert werden. Dabei bemerkt zenon automatisch welcher Grenzwert gerade gültig ist.

Example Beispiel

Grenzwert 1 (Maximum) bei 100 projektiert. Grenzwert 2 (Maximum) bei 200 projektiert. Erreicht im Laufzeitsystem die Variable einen Wert von 100 bis 199 wird der Grenzwert 1 verletzt. Steigt der Wert auf größer gleich 200 wird der Grenzwert 2 verletzt.


Grenzwertvorschau

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Grenzwertvorschau

Die Grenzwerte für eine Variable oder einen einfachen Datentyp sowie verknüpfte Reaktionsmatrizen können in einem Vorschau-Dialog angezeigt werden.
Der Aufruf der Anzeige erfolgt für:

  • Variablen, einfachen Datentypen und Remas: bei den Grenzwerten
  • Bildelemente: bei den jeweiligen Eigenschaften für Farben, Glow, Blinken oder Sichtbarkeit, sofern diese über Variablen definiert werden

Grenzwertvorschau anzeigen

Um die Grenzwertvorschau anzuzeigen, öffnen Sie den Dialog über die jeweilige Eigenschaft:

Element

Eigenschaftengruppe

Eigenschaft

Bildelemente

Blinken

Blinkvorschau anzeigen

Bildelemente

Füllfarbe(n) dynamisch

Farbvorschau anzeigen für Linienfarbe

Farbvorschau anzeigen für Füllfarbe

Farbvorschau anzeigen für Verlaufsfarbe

Bildelemente

Glow (nur DirectX)

Farbvorschau anzeigen für Variable für Farbe

Sichtbarkeitsvorschau anzeigen für Variable für Sichtbarkeit

Blinkvorschau anzeigen für Variable für Blinken

Bildelemente

Sichtbarkeit

Sichtbarkeitsvorschau anzeigen

Variablen
und
einfache Datentypen

Grenzwerte

Grenzwertvorschau

Abhängig von der Art der Grenzwertkonfiguration über Grenzwerte oder Remas wird der entsprechende Dialog geöffnet:

  • Grenzwertvorschau
  • Vorschau der Reaktionsmatrix-Zustände

Noch in diesem Kapitel

Dialog Grenzwertvorschau

Dialog Vorschau der Reaktionsmatrix-Zustände


Dialog Grenzwertvorschau

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Grenzwertvorschau > Dialog Grenzwertvorschau

Dialog Grenzwertvorschau

Die Vorschau zeigt Informationen zu den konfigurierten Grenzwerten an. Die Eigenschaft Reaktionsmatrix darf keine Verknüpfung enthalten.

Parameter

Beschreibung

Grenzwertvorschau

Anzeige der definierten Grenzwerte mit folgenden Eigenschaften:

  • Minimum/Maximum
  • Grenzwerttext
  • Grenzwertfarbe
  • Blinken
  • Unsichtbar
  • Grenzwert

Keine Konfiguration möglich.

OK

Schließt den Dialog.

Abbrechen

Schließt den Dialog.

Hilfe

Öffnet die Hilfe.


Dialog Vorschau der Reaktionsmatrix-Zustände

Handbuch > Variablen > Grenzwerte > Editorprojektierung von Grenzwerten > Grenzwertvorschau > Dialog Vorschau der Reaktionsmatrix-Zustände

Wurde bei den Grenzwerten eine Reaktionsmatrix ausgewählt, dann werden konfigurierte Grenzwerte deaktiviert. Die Vorschau zeigt Informationen zur verknüpften Reaktionsmatrix an.

Parameter

Beschreibung

Reaktionsmatrixvorschau

Anzeige der ausgewählten Reaktionsmatrix mit folgenden Informationen:

  • Wert
  • Status
  • Grenzwertfarbe
  • Unsichtbar
  • Blinken
  • Grenzwerttext

Keine Konfiguration möglich.

OK

Schließt den Dialog.

Abbrechen

Schließt den Dialog.

Hilfe

Öffnet die Hilfe


Grenzwerte während der Runtime

Handbuch > Variablen > Grenzwerte > Grenzwerte während der Runtime

zenon reagiert bei Binärvariablen auf das Erreichen des Zustandes (positive Flanke). Bei numerischen Variablen erfolgt die Reaktion bei Erreichen oder Überschreiten des eingestellten Maximalwertes (größer gleich Operation), oder bei Erreichen oder Unterschreiten des eingestellten Minimalwertes (kleiner gleich Operation). Man spricht dann von einer Grenzwertverletzung.

info Info

Bei Binärvariablen gibt es zwei Grenzwerte, ein 'Min'- und ein 'Max'-Grenzwert. Es gilt: Als Grenzwert 1 den 'Min'-Grenzwert, als Grenzwert 2 den 'Max'-Grenzwert angeben.

Bei der Berechnung der Grenzwerte von numerischen Variablen wird, wenn nicht durch die "Nichtlineare Wertanpassung" anders definiert, der Rohwert der Variablen (Signalauflösung) für die Verwendung im Leitsystem immer linear in den Messbereich umgerechnet.

Beispiel: Ein Temperaturfühler übergibt seinen Wert an die Steuerung. Die entsprechende Byte-Variable hat eine Signalauflösung von 0...255. In zenon hat die zugehörige Variable einen Messbereich von 0...100. Daraus ergibt sich:

Steuerung | Leitsystem
0 | 0
127 | 50
255 | 100

Ist ein Grenzwert verletzt, wenn zenon neu gestartet wird, dann wird die Reaktion sofort beim Start des Laufzeitsystems ausgeführt.

Ausnahme: Wenn als Reaktion ein Alarm- oder ein CEL-Eintrag definiert ist, so wird zuerst überprüft, ob dieser Eintrag bereits in der entsprechenden Liste eingetragen ist. Ist das der Fall so wird der Alarm-/CEL Eintrag nicht erneut durchgeführt! Doppelte Einträge werden somit vermieden. Die Durchführung der anderen Reaktionen erfolgt trotzdem.

attention Achtung

Es kann immer nur ein Grenzwert aktiv sein.

Details über die Umrechnung vom Signalbereich in den Messbereich finden Sie in der Eigenschaften-Hilfe des Eigenschaftenfensters, wenn Sie die Eigenschaft 'Wert' auswählen.

Noch in diesem Kapitel

Verlassen der Grenzwertverletzung


Verlassen der Grenzwertverletzung

Handbuch > Variablen > Grenzwerte > Grenzwerte während der Runtime > Verlassen der Grenzwertverletzung

Ist ein Grenzwert erreicht, wird bei einer Wertänderung innerhalb des Grenzwertbereichs keine erneute Reaktion ausgelöst.

Zum Beispiel: Ein Grenzwert ist im Bereich von 100-200 projektiert. Ändert sich der Wert von 110 auf 115 erfolgt keine weitere Reaktion. Ändert sich der Wert auf 210 erfolgt wieder eine Reaktion aufgrund des nächsten Grenzwerts.

Ungewollte Reaktionen bei sich rasch ändernden (flatternden) numerischen Werten können über Schwellwerte verhindert werden.


Dynamischer Grenzwerttext

Handbuch > Variablen > Grenzwerte > Dynamischer Grenzwerttext

Der dynamische Grenzwerttext erlaubt es, aktuelle Werte anderer Variablen sowie zusätzliche Variableninformationen in den Grenzwerttext einer Variable und von Reaktionsmatrizen einzufügen. Dabei lässt sich auch ein fixer Text über einen Index mit Schlüsselwörtern aus einer Sprachtabelle verknüpfen (siehe auch Einsatz von Schlüsselwörtern in Grenzwerttexten).

Der dynamische Grenzwerttext kann dargestellt werden in:

  • der Alarmmeldeliste
  • der Chronologischen Ereignisliste
  • im Reportviewer
  • der Alarmstatuszeile
  • dem Element Dynamischer Text

info Info

Wird der dynamische Grenzwerttext über das Element Dynamischer Text dargestellt, wird immer der aktuelle Variablenwert verwendet.

Syntax

Für die Parametrierung gilt folgende Nomenklatur:

Parameter | Beschreibung
$ | Kennung für einen dynamischen Grenzwerttext. Dieses Zeichen muss an der ersten Stelle im Grenzwerttext angegeben werden.
; | Trennzeichen für Anweisungen. Dient zur Trennung des konstanten Textteils vom dynamischen Textteil. Bei der Trennung zu Variablen darf kein Leerzeichen zwischen dem Trennzeichen und der Variable enthalten sein.
@Text | Text aus der aktuell geladenen Sprachtabelle.
%PV | Wert einer anderen Variable mit Namen „PV“.
@Text+%PV | Zusammengesetztes Schlüsselwort für den Text aus der aktuell geladenen Sprachtabelle. Dabei wird der Wert der Variable „PV“ gespeichert und beim Anzeigen ein Text aus der Sprachtabelle gesucht der sich aus „Text“ und Variablenwert zusammensetzt.
%Platzhalter | Darstellung von Zusatzinformation, siehe Darstellung von Variableninformationen.

Die Verwendung von zusammengesetzten Schlüsselwörtern ermöglicht dynamische Grenzwerttexte mit mehr als 80 Zeichen Länge.

Example Beispiel 1

Grenzwerttext = $@Text; X-Pos ;%Wert1; Y-Pos ;%Wert2

Es gelten folgende Voraussetzungen:

  • @Text ist ein Schlüsselwort in der Sprachtabelle entsprechend „Text aus Tabelle“
  • Wert1 ist eine Integer Variable mit dem Wert 14
  • Wert2 ist eine Integer Variable mit dem Wert 12

Ausgabe = Text aus Tabelle X-Pos 14 Y-Pos 12

Example Beispiel 2

$AUS in Stellung ;%String1

Es gelten folgende Voraussetzungen:

  • %String1 ist eine String Variable mit dem Inhalt „ORT“

Ausgabe = AUS in Stellung ORT

Example Beispiel 3

$%@Meldung_+Wert1
Es gelten folgende Voraussetzungen:

  • @Meldung_ ist der Teil eines Schlüsselworts in der Sprachtabelle
  • Wert1 ist eine Integer Variable mit dem Wert 12

Durch das zusammengesetzte Schlüsselwort ergibt sich das Schlüsselwort „Meldung_12“ und der zugehörige Text aus der Sprachtabelle wird angezeigt

Example Beispiel 4

$%@Meldung_+String1
Es gelten folgende Voraussetzungen:

  • @Meldung_ ist der Teil eines Schlüsselworts in der Sprachtabelle
  • String1 ist eine String Variable mit dem Inhalt „zenon“.

Durch das zusammengesetzte Schlüsselwort ergibt sich das Schlüsselwort „Meldung zenon“ und der zugehörige Text aus der Sprachtabelle wird angezeigt

Begrenzungen durch dynamische Grenzwerttexte

Das Speichern dynamischer Grenzwerttexte führt zu folgenden Begrenzungen:

  1. Statischer Text wird im Speicherbereich für den Grenzwert abgelegt:
    Maximal 1024 Zeichen.
  2. Werte der verknüpften Variablen werden im Speicherbereich für den Kommentartext abgelegt:
    Maximal 80 Zeichen.
  3. Werden dynamische Grenzwerttexte verwendet, können für diese Alarme keine Kommentare eingegeben werden.

Diese Begrenzungen lassen sich umgehen:

Umgehung der Begrenzung durch lange dynamische Grenzwerttexte

Variablenwerte für dynamischen Grenzwerttext können in eine eigene Datei ausgelagert werden.

Voraussetzung: In den Projekteigenschaften sind in der Gruppe Alarmmeldeliste die Eigenschaft Lange dynamische Grenzwerttexte AML oder in der Gruppe Chronologische Ereignisliste die Eigenschaft Lange dynamische Grenzwerttexte CEL aktiv.
Statt im Kommentarfeld werden die Werte dann in einer eigenen Datei gespeichert.

Pro Grenzwert stehen grundsätzlich 1032 Byte zur Verfügung. Davon wird für jede im Grenzwerttext verknüpfte Variable eine bestimmte Anzahl an Bytes abgezogen. Die Höhe des Abzugs hängt vom Datentyp ab. Somit stehen bei Verwendung von mehreren verknüpften Variablen im dynamischen Grenzwerttext auch dementsprechend weniger Zeichen zur Verfügung.

Beispiel 1: Dynamischer Grenzwert mit einer Stringvariablen:
Von den 1032 Byte:

  • werden 9 Byte für Strukturinformationen genutzt
  • bleiben 1023 Byte für den Inhalt der Stringvariable übrig

Beispiel 2: Dynamischer Grenzwert mit zwei Stringvariablen:
Von den 1032 Byte

  • werden 18 Byte (2 x 9 Byte) für Strukturinformationen genutzt
  • bleiben 1014 Byte für den Inhalt der beiden Stringvariable übrig

Hinweise:

  • Es gibt keine Begrenzung für die erlaubte Anzahl von Variablen pro Grenzwerttext.
  • Die Anzahl der für Strukturinformationen benötigten Bytes hängt vom Datentyp ab.
  • Die Dateinamen für die zusätzlich erstellten Dateien lautet Dxxx.aml oder Dxxx.cel.
  • Für den Ringpuffer werden die zusätzlichen Informationen in aml.bin und cel.bin gespeichert.

Fehlertexte in der Runtime:

Parameter | Beschreibung
XXX | Die Variable, für die ein Wert vorliegt, hat sich geändert
--- | Wert der Variablen ist noch nicht vorhanden (kann bei Programmstart vorkommen).
>>> | Maximale Zeichenzahl für den Dynamischen Grenzwerttext wurde überschritten.

Noch in diesem Kapitel

Darstellung von Variableninformationen

Dynamische Schlüsselwörter in Grenzwerttexten


Darstellung von Variableninformationen

Handbuch > Variablen > Grenzwerte > Dynamischer Grenzwerttext > Darstellung von Variableninformationen

Mithilfe des dynamischen Grenzwerttextes können mittels Platzhaltern folgende Variableninformationen dargestellt werden.

Betriebsmittelkennung

Platzhalter | Beschreibung
%r | Zeigt die Betriebsmittelkennung.
%r,1,2 | Zeigt die Betriebsmittelkennung ab Position 1 für 2 Zeichen.
%R | Zeigt die Betriebsmittelkennung.
%R,3,2 | Zeigt die Betriebsmittelkennung minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Maßeinheit

Platzhalter | Beschreibung
%u | Zeigt die Maßeinheit.
%u,1,2 | Zeigt die Maßeinheit ab Position 1 für 2 Zeichen.
%U | Zeigt die Maßeinheit.
%U,3,2 | Zeigt die Maßeinheit minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Variablenkennung

Platzhalter | Beschreibung
%l | Zeigt die Variablenkennung.
%l,1,2 | Zeigt die Variablenkennung ab Position 1 für 2 Zeichen.
%L | Zeigt die Variablenkennung.
%L,3,2 | Zeigt die Variablenkennung minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Variablenname

Platzhalter | Beschreibung
%n | Zeigt den Variablennamen.
%n,1,2 | Zeigt den Variablennamen ab Position 1 für 2 Zeichen.
%N | Zeigt den Variablennamen.
%N,3,2 | Zeigt den Variablennamen minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Variablenwert

Platzhalter | Beschreibung
%v | Zeigt den aktuellen Variablenwert.
%v,1,2 | Zeigt den aktuellen Variablenwert ab Position 1 für 2 Zeichen.
%V | Zeigt den aktuellen Variablenwert.
%V,3,2 | Zeigt den aktuellen Variablenwert minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Zeitstempel

Platzhalter | Beschreibung
%t | Zeigt den Zeitstempel.
%t,1,2 | Zeigt den Zeitstempel ab Position 1 für 2 Zeichen.
 | Zeigt den Zeitstempel.
%T,3,2 | Zeigt den Zeitstempel minus der ersten 3 Zeichen und minus der letzten 2 Zeichen.

Die Formate für die Zeiteinstellungen werden vom Betriebssystem übernommen.

Example Beispiel
  • Anzeige eines sprachumschaltbaren Textes, des Variablenwertes und der Maßeinheit:

    $@Text - ;%v; ;%u

  • Anzeige eines sprachumschaltbaren Textes, und der Variablenkennung, begrenzt auf die ersten drei Zeichen:

    $@Text - ;%l,1,3


Dynamische Schlüsselwörter in Grenzwerttexten

Handbuch > Variablen > Grenzwerte > Dynamischer Grenzwerttext > Dynamische Schlüsselwörter in Grenzwerttexten

Alarmmeldungen Boolescher Variablen geben bei Sammelmeldungen keine Auskunft, wodurch der Alarm ausgelöst wurde. Damit der Grenzwerttext trotzdem die Ursache für den Alarm ausdrückt, kann die Ursache mit Hilfe einer Indexvariablen übergeben werden. Mit Hilfe des Dynamischen Grenzwerttexts wird aus der Sprachtabelle (siehe Kapitel Sprachumschaltung) der richtige Text herausgesucht und angezeigt. Als Schlüsselwort wird dazu kein fixes Wort verwendet, sondern ein dynamisches. Dieses setzt sich zusammen aus Prefix+Wert der Indexvariable: %@errornr+mIndex

Der Einsatz mehrdimensionaler Schlüsselwörter (mehrere Indizes) ist möglich.
Zum Beispiel: fester Text; @Motorfehler%meinIndex1-%meinIndex2 wird zur Runtime z. B. @Motorfehler4-67. Dieses Schlüsselwort wird dann in der Sprachtabelle gesucht und der dazugehörende Text angezeigt.

Beispiele

Beispiel 1

$@error in module: ;%moduleNr;@error type: ;%@errornr+mIndex;

Erklärung:

$ definiert ein dynamischer Grenzwerttext.

@error in module: ein normales Schlüsselwort aus der Sprachtabelle

%moduleNr: wird in der Runtime ersetzt durch den Wert der Variable ModuleNr (Funktionalität des Dynamischen Grenzwerttexts)

@error type: ein normales Schlüsselwort aus der Sprachtabelle

@errornr: der erste Teil des dynamischen Schlüsselworts

+mIndex: wird in der Runtime ersetzt durch den Wert der Variable mIndex, und ergänzt das Schlüsselwort @errornr

Ergebnis:

Wert von mIndex | Schlüsselwort
1 | @errornr1
2 | @errornr2

Beispiel 2: Strings

$%@Meldung_+Index_UINT_001;/;%@Ursache_+Index_STRING_004

Hat Index_UINT_001 den Wert 4 und Index_STRING_004 den Wert 'Feuer', dann werden die Texte Meldung_4 und Ursache_Feuer in der Sprachtabelle gesucht und in der AML/CEL angezeigt.


Reaktionsmatrizen

Handbuch > Variablen > Reaktionsmatrizen

In einer Reaktionsmatrix (kurz Rema) können Grenzwertinformationen zentral definiert werden.
Wenn beispielsweise bei mehreren Füllständen die gleiche Füllstandsüberwachung auf Über- und Unterfüllung durchgeführt werden soll, kann dies in einer einzigen Reaktionsmatrix definiert werden. Dies ermöglicht z. B. eine Niveau- Änderung des unteren Wertes an zentraler Stelle.

Vorteile gegenüber Grenzwerten:

  • Reaktionsmatrizen sind mehrfach verwendbar. Eine Reaktionsmatrix kann mit mehreren Variablen, die auch auf unterschiedlichen Datentypen basieren können, verknüpft werden.
  • Reaktionsmatrizen können bei numerischen Variablen jede Änderung des Variablenwertes als neue Grenzwertverletzung behandeln. Bei Grenzwerten ist das nicht möglich.
  • Mit Reaktionsmatrizen können auch Status wie z. B. Invalid (siehe Statusverarbeitung) abgefragt werden. Dies ist mit Grenzwerten ebenfalls nicht möglich.

Nähere Informationen zu Grenzwerten finden Sie im Abschnitt Grenzwerte.

Noch in diesem Kapitel

Anlegen einer Reaktionsmatrix

Bearbeiten einer Reaktionsmatrix

Reaktionsmatrizen mit Variable oder Datentyp verknüpfen

Arten von Reaktionsmatrizen

Dynamische Grenzwerttexte in Reaktionsmatritzen

Zustände bei Wertänderung und Verzögerungszeit

Liste Status-Bits


Anlegen einer Reaktionsmatrix

Handbuch > Variablen > Reaktionsmatrizen > Anlegen einer Reaktionsmatrix

Wählen Sie Reaktionsmatrix im Projektmanager aus und öffnen Sie mit der rechten Maustaste das Kontextmenü. Dort wählen Sie Reaktionsmatrix neu aus.

Geben Sie nun in der darauf erscheinenden Dialogbox den Namen und die Art der Reaktionsmatrix an. Diese Zuordnung ist später nicht mehr änderbar. Der Name ist jedoch später änderbar.

Die einzelnen Arten der Reaktionsmatrix werden für folgende Auswertungen verwendet:

Parameter | Beschreibung
Binär | Vereinfachte Auswertung diskreter Zustände (Bitorientiert) für die Kompatibilität zu älteren zenon Versionen.
Numerisch | Vereinfachte Auswertung analoger Zustände (Wertorientiert) für die Kompatibilität zu älteren zenon Versionen.
Multi-Binär | erweiterte Auswertung von 32-Bit-Variablen; die ersten 16 Bit bestimmen den Wert der Variable und werden als Zahlenwert übergeben; Auswertung der Statusbits der Variable; Sonderfunktion (Abschalten von Variablen bei gesetztem Statusbit)
Multi-Numerisch | erweiterte Auswertung des Wertes und der Statusbits der Variable; Sonderfunktion (Abschalten von Variablen bei gesetztem Statusbit)
String | Textvergleich


Bearbeiten einer Reaktionsmatrix

Handbuch > Variablen > Reaktionsmatrizen > Bearbeiten einer Reaktionsmatrix

Um eine Reaktionsmatrix zu bearbeiten:

  • wählen Sie die Rema in der Detailansicht aus
  • wählen Sie im Kontextmenü den gewünschten Befehl

Kontextmenü Detailansicht Rema

Parameter | Beschreibung
Reaktionsmatrix Neu | Legte eine neue Reaktionsmatrix an .
Konfiguration | Öffnet den Dialog zur Konfiguration des Remas.
Kopieren | Ausgewählte Reaktionsmatrix kopieren.
Einfügen | Kopierte oder ausgeschnittene Reaktionsmatrix einfügen.
Löschen | Ausgewählte Reaktionsmatrix löschen.
Auswahl als XML exportieren... | Exportiert ausgewählte Remas in eine XML-Datei.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet Zelle zur Bearbeitung, wenn diese in der Liste geändert werden darf.
Eigenschaften | Öffnet das Eigenschaftenfenster.
Hilfe | Öffnet die Online-Hilfe,

Dialog Zustände und Reaktionen

Durch Klick auf Konfiguration wird der Dialog zur Konfiguration der Zustände geöffnet. Die Konfigurationsmöglichkeiten hängen ab von der Art der Reaktionsmatrize.

In der Liste Zustände können auch mehrere Zustände gleichzeitig ausgewählt und bearbeitet werden. Unterschiedliche Einstellungen werden durch roten Hintergrund oder roten Rahmen hervorgehoben.

Tipp: So können Status und Werte für mehrer Zustände gleichzeitig geändert werden.

Kontextmenü Zustände

Im Listenfenster Zustände stehen folgende Befehle im Kontextmenü zur Verfügung:

Befehl | Beschreibung
Neuen Zustand anlegen | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Neuen Unterzustand anlegen | Nur bei Multibinär: Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Kopieren | Kopiert ausgewählten Zustand in Zwischenablage. Hinweis Multibinär: Es können nur Hauptzustände kopiert werden. Unterzustände werden mitkopiert.
Einfügen | Fügt ausgewählten Zustand aus Zwischenablage ein.
Löschen | Löscht ausgewählten Zustand aus Liste. Default-Zustand kann nicht gelöscht werden.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Verschiebt ausgewählte Einträge nach oben. (Auch per Drag&Drop möglich.)
Nach unten | Verschiebt ausgewählte Einträge nach unten. (Auch per Drag & Drop möglich.)
Hilfe | Öffnet die Online-Hilfe für die jeweilige Rema.

Allgemeine Einstellungen und Definition der Werte finden Sie beim jeweiligen Rema:

  • Binär
  • Numerisch
  • String
  • Multi-Binär Zustände und Reaktionen
  • Multi-Numerisch Zustände und Reaktionen

info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung angestoßen, so werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!


Reaktionsmatrizen mit Variable oder Datentyp verknüpfen

Handbuch > Variablen > Reaktionsmatrizen > Reaktionsmatrizen mit Variable oder Datentyp verknüpfen

Reaktionsmatrizen können anstelle von Grenzwerten mit Variablen oder Datentypen verknüpft werden.

Um eine Reaktionsmatrix zu verknüpfen:

  1. Wählen Sie die gewünschte Variable oder den gewünschten Datentyp aus.
  2. Navigieren Sie zur Eigenschaftengruppe Grenzwerte.
  3. Klicken Sie bei der Eigenschaft Reaktionsmatrix auf die Schaltfläche ....
  4. Der Dialog zur Auswahl und Konfiguration von Reaktionsmatrizen wird geöffnet.
  5. Wählen Sie die gewünschte Reaktionsmatrix.
  6. Schließen Sie den Dialog mit Klick auf OK.

Hinweis: Um eine bereits verknüpfte Reaktionsmatrix zu entfernen, klicken Sie im Dialog auf Keine Auswahl.

info Info

Wenn Sie einen Datentyp mit einer Reaktionsmatrix verknüpfen, verwenden alle Variablen, die basierend auf diesem Datentyp neu erstellt werden, automatisch diese Reaktionsmatrix.

Dialog Reaktionsmatrizenauswahl

Der Dialog ermöglicht die Auswahl einer Reaktionsmatrix für eine Variable oder einen Datentyp. Für jede bestehende Reaktionsmatrix werden angezeigt:

  • Name
  • Typ
  • Anzahl der konfigurierten Zustände
  • Übernahme in AML
  • Übernahme in CEL
  • ist eine Funktion verknüpft
  • ist Blinken aktiv oder inaktiv

Reaktionsmatrizen können in diesem Dialog auch konfiguriert und neu erstellt werden. Das Löschen von Reaktionsmatrizen ist nicht möglich.

Parameter

Beschreibung

Liste Projekte

Anzeige des aktiven Projekts. Es können nur Reaktionsmatrizen aus diesem Projekt verknüpft werden.

Liste Reaktionsmatrizen

Liste der bereits konfigurierten Reaktionsmatrizen in diesem Projekt. Für jede Reaktionsmatrix werden Informationen zu Name, Typ und Konfiguration angezeigt.

Auswahl durch Klick auf Reaktionsmatrix und Klick auf OK.

Die Liste kann gefiltert angezeigt werden. Dazu tragen Sie den Filterbegriff in das Filterfeld ein. Die Platzhalter * und ? können verwendet werden.

Über die Symbolleiste und das Kontextmenü können alle Reaktionsmatrizen konfiguriert, kopiert und neu erstellt werden.

Reaktionsmatrizen können auch umbenannt werden. Um eine Reaktionsmatrix umzubenennen, führen Sie einen langsamen Doppelklick in die Zelle Name aus oder markieren Sie die Zelle und drücken Sie die F2-Taste.

Keine Auswahl

Klick entfernt bestehende Verknüpfung und schließt den Dialog.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste und Kontextmenü

Aktionen für Reaktionsmatrizen im Dialog Reaktionsmatrizenauswahl können über die Symbolleiste und das Kontextmenü durchgeführt werden.

Symbol/Befehl | Beschreibung
Reaktionsmatrix neu | Öffnet den Dialog zum Erstellen einer neuen Reaktionsmatrix.
Konfiguration | Öffnet den Dialog zur Konfiguration der gewählten Reaktionsmatrix.
Kopieren | Kopiert die ausgewählte Reaktionsmatrix in die Zwischenablage. Hinweis: Für das Kopieren können mehrere Reaktionsmatrizen gleichzeitig ausgewählt werden.
Einfügen | Fügt kopierte Reaktionsmatrizen als Kopie in die Liste ein.
Alle Filter entfernen | Entfernt alle konfigurierten Filter.


Arten von Reaktionsmatrizen

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen

Es stehen 5 Arten von Reaktionsmatrizen zur Verfügung:

  • Binär
  • Numerisch
  • String
  • Multibinär
  • Multi-Numerisch

Für die Arten Multibinär und Multinumerisch können auch AML/CEL-Text, Statusrangierung und Variablenbehandlung konfiguriert werden.

Noch in diesem Kapitel

Binär

Numerisch

Multireaktionsmatrizen allgemein

String


Binär

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Binär

Eine Binärreaktionsmatrix wird für die Auswertung von beliebigen Zustands- und Statusbits von Variablen verwendet. Die Auswertung erfolgt dabei bit-orientiert. Es lassen sich aber auch analoge Variable damit auswerten.

Zustände

Option | Beschreibung
Zustände Liste | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.

Variablenstatus

Auswahl der Statusbits.

Parameter | Beschreibung
Status | Auswahl der Status über Checkbox. Klick in Checkbox wechselt Zustand des Status. Hinweis: Die Liste aller in zenon verfügbarer Status-Bits finden Sie im Handbuch Statusverarbeitung im Kapitel Statusbits.

Wert

Option

Beschreibung

Wert

Wertangabe.

Grenzwerttext

Text, der bei Grenzwertverletzung ausgegeben wird.

Ausgabe in:

  • dynamischem Textelement
  • CEL
  • AML
  • ...

Verzögerungszeit

Zeit, die der Grenzwert verletzt sein muss, damit er aktiv wird.

Zustandsnummer für Zähler im Mathematik Treiber

Zuweisung einer von vier möglichen Zustandsnummern für einen Zähler im Mathematik Treiber. Die Variable muss dazu über eine Rema verfügen.

Die Definition der Kombination aus Zustands- und/oder Statuswert erfolgt über die Freigabe der Optionsfelder. Der Zustandswert ist der binär kodierte Rohwert der Variablen. Der in den Messbereich (lineare oder nichtlineare Wertanpassung) umgerechnete Wert wird nicht berücksichtigt.

Funktion

Parameter | Beschreibung
Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Button im Bild Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken
  • Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar
  • Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format CHM. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter

Beschreibung

In Alarmmeldeliste
  • Aktiv: Wird in AML eingetragen.

Quittierpflichtig

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Ist quittierpflichtig.

Kommentar erforderlich

Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.

Zweistufiges Quittieren

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Zweistufiges Quittieren ist erforderlich.

Alarmursache erforderlich

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Alarmursache ist erforderlich.

In Chronologische Ereignisliste
  • Aktiv: Wird in CEL eingetragen.

Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.

Drucken

Steht nur zur Verfügung, wenn In Alarmmeldeliste oder In Chronologische Ereignisliste aktiviert ist.

  • Aktiv: Wird über den eingestellten Standarddrucker ausgedruckt.

Alarm/Ereignis-Gruppe

Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Alarm/Ereignis-Klasse

Zuweisung an eine Alarm/Ereignis-Klasse. Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Bitbelegung

Zustand: | Bitbelegung
Rohwertbit 0 gesetzt | 2^0 = 1
Rohwertbit 1 gesetzt | 2^1 = 2
Rohwertbit 2 gesetzt | 2^2 = 4 ....

Es sind zwei Verknüpfungen möglich. Die Bedeutung der Felder ist

Zustand: | Beschreibung
unberücksichtigt | Punkt, nicht gesetzt
auf 0 prüfen | 0, Bit wird auf den logischen Wert 0 geprüft
auf 1 prüfen | 1, Bit wird auf den logischen Wert 1 geprüft

Die Reihenfolge der Projektierung ist ausschlaggebend für die spätere Verwendung. Bei der Abarbeitung der Reaktionsmatrix im Onlinebetrieb wird die Überprüfung der Zustands- und Statusbitkombination in der obersten Zeile begonnen. Die Überprüfung im Laufzeitsystem wird bis zu der Zeile durchgeführt, die die angegebenen Bedingungen erfüllt. Alle weiteren Bedingungen werden nicht weiter überprüft. Erfüllt keine Zeile den aktuellen Variablenzustand, gilt der Defaulteintrag. Damit ist eine Priorisierung der Grenzwerttexte für die chronologische Ereignisliste, die Alarmierung und die Alarmmeldeliste möglich. Die Statuswertüberprüfung erfolgt genau so wie die Wertüberprüfung der Variable.

Auswertung

Bei Binärvariablen wird nur das Bit 0 ausgewertet. Die restlichen Bits werden nicht berücksichtigt. Bei 8 Bit Variablen (IEC Datentyp SINT, USINT) werden die Bits 0 bis 7 ausgewertet usw.

Beispiel | (Einzelmeldung mit Gestört-Überwachung)
Prüfen INVALID-Bit gesetzt | ................, ............1...
Prüfen Bit0 gesetzt | ...............0, ................
Prüfen Bit1 gesetzt | ...............1, ................

Im obigen Beispiel wird unabhängig vom Zustand der Einzelmeldung, bei anstehendem INVALID-Bit (unterbrochene Verbindung zur Steuerung - Variable gestört) die Überprüfung nach der ersten Zeile abgeschlossen. Die Variableneigenschaften (Alarm, Blinken, CEL etc.) werden ausschließlich von diesem Zustand gesteuert. Steht das INVALID-Bit nicht mehr an, werden die anderen Zeilen abgearbeitet. Soll die Reihenfolge geändert werden, kann das mit der Auswahl der entsprechenden Zeile und den Operationen Neu , Löschen , nach oben und nach unten erfolgen.

Noch in diesem Kapitel

Test


Test

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Binär > Test

Ermöglicht den Test der Einstellungen für die Reaktionsmatrix. Abhängig von der Konfiguration der Reaktionsmatrix wird simuliert, was beim Erreichen von definierten Werten passiert. Einträge in CEL oder AML werden simuliert. Dieses Feature betrifft SICAM 230.

Parameter | Beschreibung
Variablenstatus | Zum Simulieren von Statusänderungen.
Wert | Simulieren von Wertänderungen.
Testergebnis | Ausgabe von Änderungen aus Status und Wert in CEL und AML.
SendenEZ | Änderungen in Echtzeit senden.
SendenNEZ | Änderungen senden.


Numerisch

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Numerisch

Eine Numerische Reaktionsmatrix wird für die Auswertung von beliebigen Grenzwertzuständen und Statusbits der Variablen verwendet. Im Gegensatz zur Binärmatrix erfolgt die Auswertung über numerische Werte. Es wird nicht der Rohwert zur Auswertung herangezogen sondern der in den Messbereich umgerechnete Wert (nach linearer oder nichtlinearer Wertanpassung).

Zustände

Option | Beschreibung
Zustände Liste | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.

Variablenstatus

Auswahl der Statusbits.

Parameter | Beschreibung
Status | Auswahl der Status über Checkbox. Klick in Checkbox wechselt Zustand des Status. Hinweis: Die Liste aller in zenon verfügbarer Status-Bits finden Sie im Handbuch Statusverarbeitung im Kapitel Statusbits.

Wert

Option

Beschreibung

Wert

Festlegung der Wertangabe. Auswahl aus Dropdownliste:

  • beliebig:
    Eine beliebige Wertänderung verursacht die Grenzwertverletzung.
  • größer:
    Eingabe eines Grenzwerts und Schwellwerts.
  • kleiner:
    Eingabe eines Grenzwerts und Schwellwerts.
  • gleich:
    Eingabe eines Grenzwerts und Schwellwerts.
  • Bereich:
    Eingabe eines Bereichs (Von/Bis) und eines Schwellwerts.

Grenzwerttext

Text, der bei Grenzwertverletzung ausgegeben wird.

Ausgabe in:

  • dynamischem Textelement
  • CEL
  • AML
  • ...

Verzögerungszeit

Zeit, die der Grenzwert verletzt sein muss, damit er aktiv wird.

Zustandstext für Zähler im Mathematik Treiber

Zuweisung einer von vier möglichen Zustandsnummern für einen Zähler im Mathematik Treiber. Die Variable muss dazu über eine Rema verfügen.

Jede Wertänderung als neue Verletzung behandeln
  • Aktiv: Jede Wertänderung im Bereich eines projektierten Zustands wird als separate Verletzung angezeigt (CEL, AML, ...).

Funktion

Parameter | Beschreibung
Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Button im Bild Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken
  • Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar
  • Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format CHM. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter

Beschreibung

In Alarmmeldeliste
  • Aktiv: Wird in AML eingetragen.

Quittierpflichtig

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Ist quittierpflichtig.

Kommentar erforderlich

Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.

Zweistufiges Quittieren

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Zweistufiges Quittieren ist erforderlich.

Alarmursache erforderlich

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Alarmursache ist erforderlich.

In Chronologische Ereignisliste
  • Aktiv: Wird in CEL eingetragen.

Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.

Drucken

Steht nur zur Verfügung, wenn In Alarmmeldeliste oder In Chronologische Ereignisliste aktiviert ist.

  • Aktiv: Wird über den eingestellten Standarddrucker ausgedruckt.

Alarm/Ereignis-Gruppe

Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Alarm/Ereignis-Klasse

Zuweisung an eine Alarm/Ereignis-Klasse. Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Ein Dezimalwert kann sowohl mit Komma als auch mit Punkt angegeben werden, das Dezimalzeichen wird automatisch in einen Punkt umgewandelt.


Multireaktionsmatrizen allgemein

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Multireaktionsmatrizen allgemein

Registerkarten | Beschreibung
Zustände und Reaktionen | Konfiguration der Zustände und Reaktionen, unterschiedlich für Multibinär und Multi-Numerisch.
AML/CEL-Text | Konfiguration der Ausgabe des Wertes neben dem Zustandstext in AML und CEL.
Statusrangierung | Konfiguration der Statusrangierung.
Sonderfunktionen | Konfiguration von Sonderfunktionen.

Hinweis: Die Bits NORM und N_NORM stehen in beiden Typen von Multireaktionsmatrizen zur Verfügung, nicht aber in den Standardmatrizen.

Meldungsverarbeitung

Die oberen 16 Bit (Bit 16 ... 31) werden bei der Schutzdatenprojektierung für die Meldungsverarbeitung herangezogen; in den oberen 16 Bit ist die Meldungsnummer hinterlegt.

Die Funktionsweise der multibinären Reaktionsmatrix ist für die Hauptzustände identisch zur binären Reaktionsmatrix. Bei Änderungen in den Hauptzuständen werden die entsprechenden Zustandsprojektierungen (Alarm, CEL, Text etc.) ausgeführt:

  • Hat ein Hauptzustand Unterzustände, so werden bei Erreichen des Hauptzustandes erst die Unterzustände überprüft.
  • Stimmt kein Unterzustand mit dem aktuellen Variablenzustand überein, werden die entsprechenden Zustandsprojektierungen (Alarm, CEL, Text etc.) des Hauptzustandes ausgeführt.
  • Stimmt der Unterzustand mit dem aktuellen Variablenzustand überein, werden die entsprechenden Zustandsprojektierungen (Alarm, CEL, Text etc.) des Unterzustandes ausgeführt.
  • Ändert sich der Variablenzustand vom Unterzustand auf den Hauptzustand, erfolgt keine neue Ausgabe an die chronologische Ereignisliste und die Alarmmeldeliste (z. B. Schalterfallbehandlung im SAT-System).

Beispiel:

Parameter | Beschreibung
Hauptwert | Projektierung -> Unterwertxxxxxx00 kein Alarm, CEL-Text aus -> xxxxx100 Alarm, CEL-Text Schalterfall Aus xxxxxx01 kein Alarm, CEL-Text ein xxxxxx10 Alarm, CEL-Text Differenz xxxxxx11 Alarm, CEL-Text Störung
Änderung von EIN nach AUS | Kein Alarm, CEL-Eintrag ein
Änderung von EIN nach SCHALTERFALL AUS | Alarmeintrag Schalterfall Aus, CEL-TEXT Schalterfall Aus -> Quittierung des Schalterfalls (Änderung von SCHALTERFALL AUS nach AUS) gehender Alarm Schalterfall Aus, kein erneuter CEL-Text

Für die Ausgabe in der CEL und in die Prozessbilder kann der Gesamtinhalt der Variablen in zwei Teile unterteilt werden. Der eine Teil wird für die Grenzwerttextprojektierung verwendet, der zweite Teil (Wert) wird an die Bilder übergeben. (Anwendung: Schutztelegramme in SAT 1703).

Übertragungsursache

Multibinär- und Multianalog-Reaktionsmatrizen ermöglichen die Auswertung der Übertragungsursache angelehnt an die Norm IEC 60870-5-101/104.

Die Übertragungsursache besteht aus:

Bit | Beschreibung
6 Bit | Wert der Übertragungsursache von 0 ... 63
1 Bit | N_CONF (P/N-Bit): 0 = positive 1 = negative Bestätigung
1 Bit | Test-Bit

In der Reaktionsmatrix kann jedem Zustand die Kennung der Übertragungsursache + N_CONF Bit (P/N-Bit) zugeordnet werden. Damit gilt der Zustand nur dann als verletzt, wenn die empfangene Übertragungsursache mit der parametrierten Übertragungsursache übereinstimmt.

Parameter | Beschreibung
Checkbox Übertragungsursache | Aktiviert die Auswertung des Eingabefeldes Übertragungsursache.
Eingabefeld Übertragungsursache | Erwartet einen Wert von 0-63 als Kennung der Übertragungsursache.

Noch in diesem Kapitel

Multi-Binär Zustände und Reaktionen

Multi-Numerisch Zustände und Reaktionen

Konfiguration AML/CEL-Text

Konfiguration Statusrangierung

Konfiguration Sonderfunktionen


Multi-Binär Zustände und Reaktionen

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Multireaktionsmatrizen allgemein > Multi-Binär Zustände und Reaktionen

Eine Multi-Binäre Reaktionsmatrix wird für die Auswertung von Grenzwerten und Statusbits der Variablen verwendet. Neben der bekannten Projektierung der Grenzwert- und Statuskombinationen sind weitergehende Projektierungen möglich.

Zustände

Liste der projektierten Variablenzustände mit Wert, Status und Übertragungsursache.

Parameter | Beschreibung
Neuer Zustand | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur für Multi-Binär verfügbar. Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.

Variablenstatus

Auswahl der Statusbits.

Parameter | Beschreibung
Status | Auswahl der Status über Checkbox. Klick in Checkbox wechselt Zustand des Status. Hinweis: Die Liste aller in zenon verfügbarer Status-Bits finden Sie im Handbuch Statusverarbeitung im Kapitel Statusbits.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Wert

Option

Beschreibung

Wert

Wertangabe.

Grenzwerttext

Text, der bei Grenzwertverletzung ausgegeben wird.

Ausgabe in:

  • dynamischem Textelement
  • CEL
  • AML
  • ...

Verzögerungszeit

Zeit, die der Grenzwert verletzt sein muss, damit er aktiv wird.

Zustandsnummer für Zähler im Mathematik Treiber

Zuweisung einer von vier möglichen Zustandsnummern für einen Zähler im Mathematik Treiber. Die Variable muss dazu über eine Rema verfügen.

Die Definition der Kombination aus Zustands- und/oder Statuswert erfolgt über die Freigabe der Optionsfelder. Der Zustandswert ist der binär kodierte Rohwert der Variablen. Der in den Messbereich (lineare oder nichtlineare Wertanpassung) umgerechnete Wert wird nicht berücksichtigt.

Checkbox Status und Wert

Jeder Status kann einen von 5 möglichen Zuständen annehmen. Die Definition erfolgt über Klick in die Checkbox vor dem jeweiligen Status.

Mögliche Zustände:

  • unberücksichtigt (Punkt)
  • ein (1)
  • aus (0)
  • kommend (Pfeil nach oben)
  • gehend (Pfeil nach unten)
  • wechselnd (Doppelpfeil)

Funktion

Parameter | Beschreibung
Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Button im Bild Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken
  • Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar
  • Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format CHM. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter

Beschreibung

In Alarmmeldeliste
  • Aktiv: Wird in AML eingetragen.

Quittierpflichtig

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Ist quittierpflichtig.

Kommentar erforderlich

Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.

Zweistufiges Quittieren

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Zweistufiges Quittieren ist erforderlich.

Alarmursache erforderlich

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Alarmursache ist erforderlich.

In Chronologische Ereignisliste
  • Aktiv: Wird in CEL eingetragen.

Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.

Drucken

Steht nur zur Verfügung, wenn In Alarmmeldeliste oder In Chronologische Ereignisliste aktiviert ist.

  • Aktiv: Wird über den eingestellten Standarddrucker ausgedruckt.

Alarm/Ereignis-Gruppe

Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Alarm/Ereignis-Klasse

Zuweisung an eine Alarm/Ereignis-Klasse. Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

info Info

Ein Dezimalwert kann sowohl mit Komma als auch mit Punkt angegeben werden, das Dezimalzeichen wird automatisch in einen Punkt umgewandelt.


Multi-Numerisch Zustände und Reaktionen

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Multireaktionsmatrizen allgemein > Multi-Numerisch Zustände und Reaktionen

Eine Multi-Numerische Reaktionsmatrix wird für die Auswertung von Grenzwerten und Statusbits der Variablen verwendet. Neben der bekannten Projektierung der Grenzwert- und Statuskombinationen sind weitergehende Projektierungen möglich.

Zustände

Liste der projektierten Variablenzustände mit Wert, Status und Übertragungsursache.

Parameter | Beschreibung
Neuer Zustand | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur für Multi-Binär verfügbar. Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.

Variablenstatus

Auswahl der Statusbits.

Parameter | Beschreibung
Status | Auswahl der Status über Checkbox. Klick in Checkbox wechselt Zustand des Status. Hinweis: Die Liste aller in zenon verfügbarer Status-Bits finden Sie im Handbuch Statusverarbeitung im Kapitel Statusbits.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Wert

Option

Beschreibung

Wert

Festlegung der Wertangabe. Auswahl aus Dropdownliste:

  • beliebig:
    Eine beliebige Wertänderung verursacht die Grenzwertverletzung.
  • größer:
    Eingabe eines Grenzwerts und Schwellwerts.
  • kleiner:
    Eingabe eines Grenzwerts und Schwellwerts.
  • gleich:
    Eingabe eines Grenzwerts und Schwellwerts.
  • Bereich:
    Eingabe eines Bereichs (Von/Bis) und eines Schwellwerts.

Grenzwerttext

Text, der bei Grenzwertverletzung ausgegeben wird.

Ausgabe in:

  • dynamischem Textelement
  • CEL
  • AML
  • ...

Verzögerungszeit

Zeit, die der Grenzwert verletzt sein muss, damit er aktiv wird.

Zustandstext für Zähler im Mathematik Treiber

Zuweisung einer von vier möglichen Zustandsnummern für einen Zähler im Mathematik Treiber. Die Variable muss dazu über eine Rema verfügen.

Jede Wertänderung als neue Verletzung behandeln
  • Aktiv: Jede Wertänderung im Bereich eines projektierten Zustands wird als separate Verletzung angezeigt (CEL, AML, ...).

Funktion

Parameter | Beschreibung
Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Button im Bild Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken
  • Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar
  • Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format CHM. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter

Beschreibung

In Alarmmeldeliste
  • Aktiv: Wird in AML eingetragen.

Quittierpflichtig

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Ist quittierpflichtig.

Kommentar erforderlich

Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.

Zweistufiges Quittieren

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Zweistufiges Quittieren ist erforderlich.

Alarmursache erforderlich

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Alarmursache ist erforderlich.

In Chronologische Ereignisliste
  • Aktiv: Wird in CEL eingetragen.

Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.

Drucken

Steht nur zur Verfügung, wenn In Alarmmeldeliste oder In Chronologische Ereignisliste aktiviert ist.

  • Aktiv: Wird über den eingestellten Standarddrucker ausgedruckt.

Alarm/Ereignis-Gruppe

Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Alarm/Ereignis-Klasse

Zuweisung an eine Alarm/Ereignis-Klasse. Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

info Info

Ein Dezimalwert kann sowohl mit Komma als auch mit Punkt angegeben werden, das Dezimalzeichen wird automatisch in einen Punkt umgewandelt.


Konfiguration AML/CEL-Text

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Multireaktionsmatrizen allgemein > Konfiguration AML/CEL-Text

In dieser Registerkarte wird die Ausgabe in AML und CEL konfiguriert.


Konfiguration Statusrangierung

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Multireaktionsmatrizen allgemein > Konfiguration Statusrangierung

In dieser Registerkarte wird die Stausrangierung konfiguriert. Rangiert Bits (auch negiert) auf andere Bits.

Mögliche Quellen: Wertbit 0 ... 31l

Parameter | Beschreibung
Quellbit | Quellbit aus der Listbox auswählen
NEG | Quellbit bei der Rangierung negieren
Statusbit | Zielbit aus Listbox auswählen
Übernehmen | gewählte Rangierung übernehmen
Löschen | ausgewählte Rangierung löschen; Achtung: Es erfolgt keine weitere Abfrage
Nach oben | ausgewählte Rangierung in der Reihenfolge nach oben verschieben
Nach unten | ausgewählte Rangierung in der Reihenfolge nach unten verschieben


Konfiguration Sonderfunktionen

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > Multireaktionsmatrizen allgemein > Konfiguration Sonderfunktionen

In dieser Registerkarte werden Sonderfunktionen konfiguriert.

Variablen können bei anstehenden Statusbits automatisch abgeschaltet oder Statusänderungen (für Rücksetzen) bei abgeschalteten Variablen durchgelassen werden. Details siehe Kapitel Statusdefinition.

Parameter | Beschreibung
Abschalten bei | Statusbits, bei der die Variable abgeschaltet werden soll; Überprüfung auf 0 oder 1 möglich
Durchlassen bei | Statusbits, bei der eine Statusänderung durchgelassen werden soll
Kein Alt-/Neu-Vergleich | es erfolgt keine Änderungsüberwachung
Kein Alt-/Neu-Vergleich bei EZ-Weg | es erfolgt keine Änderungsüberwachung auf dem Echtzeitweg


String

Handbuch > Variablen > Reaktionsmatrizen > Arten von Reaktionsmatrizen > String

Eine String-Reaktionsmatrix wird für die Auswertung von Grenzwerten und Statusbits der String-Variablen verwendet. Neben der bekannten Projektierung der Grenzwert- und Statuskombinationen sind weitergehende Projektierungen möglich.

Zustände

Option | Beschreibung
Zustände Liste | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.

Variablenstatus

Auswahl der Statusbits.

Parameter | Beschreibung
Status | Auswahl der Status über Checkbox. Klick in Checkbox wechselt Zustand des Status. Hinweis: Die Liste aller in zenon verfügbarer Status-Bits finden Sie im Handbuch Statusverarbeitung im Kapitel Statusbits.

Wert

Option

Beschreibung

Wert

Festlegung der Wertangabe. Auswahl aus Dropdownliste:

  • beliebig:
    Eine beliebige Wertänderung verursacht die Grenzwertverletzung.
  • größer:
    Eingabe eines Grenzwerts und Schwellwerts.
  • kleiner:
    Eingabe eines Grenzwerts und Schwellwerts.
  • gleich:
    Eingabe eines Grenzwerts und Schwellwerts.
  • Bereich:
    Eingabe eines Bereichs (Von/Bis) und eines Schwellwerts.

Grenzwerttext

Text, der bei Grenzwertverletzung ausgegeben wird.

Ausgabe in:

  • dynamischem Textelement
  • CEL
  • AML
  • ...

Verzögerungszeit

Zeit, die der Grenzwert verletzt sein muss, damit er aktiv wird.

Zustandstext für Zähler im Mathematik Treiber

Zuweisung einer von vier möglichen Zustandsnummern für einen Zähler im Mathematik Treiber. Die Variable muss dazu über eine Rema verfügen.

Jede Wertänderung als neue Verletzung behandeln
  • Aktiv: Jede Wertänderung im Bereich eines projektierten Zustands wird als separate Verletzung angezeigt (CEL, AML, ...).

Example Beispiel

Beispiel:
In der Reihenfolge bei einer Auswertung groß nach klein:

  • Strings: Mein,Name,ist,Hase.
  • Reihenfolge der Auswertung: ist,Name,Mein,Hase.
  • Begründung:
    ist: Fängt mit einem kleinen Buchstaben an, deswegen größer als alle andere Strings.
    Name: N ist größer als M und H,
    Mein: M ist größer als H

Hinweis: In der Spalte Wert können bei AML und CEL nur Werte numerischer Datentypen angezeigt werden. Bei Einträgen mit einem Datentyp String bleibt die Spalte leer. String-Werte können aber über ein Element vom Typ Dynamischer Text angezeigt werden.

Funktion

Parameter | Beschreibung
Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Button im Bild Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken
  • Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar
  • Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format CHM. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter

Beschreibung

In Alarmmeldeliste
  • Aktiv: Wird in AML eingetragen.

Quittierpflichtig

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Ist quittierpflichtig.

Kommentar erforderlich

Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.

Zweistufiges Quittieren

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Zweistufiges Quittieren ist erforderlich.

Alarmursache erforderlich

Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist.

  • Aktiv: Alarmursache ist erforderlich.

In Chronologische Ereignisliste
  • Aktiv: Wird in CEL eingetragen.

Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.

Drucken

Steht nur zur Verfügung, wenn In Alarmmeldeliste oder In Chronologische Ereignisliste aktiviert ist.

  • Aktiv: Wird über den eingestellten Standarddrucker ausgedruckt.

Alarm/Ereignis-Gruppe

Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Alarm/Ereignis-Klasse

Zuweisung an eine Alarm/Ereignis-Klasse. Zuweisung an eine Alarm/Ereignis-Gruppe. Auswahl aus Dropdownliste.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Dynamische Grenzwerttexte in Reaktionsmatritzen

Handbuch > Variablen > Reaktionsmatrizen > Dynamische Grenzwerttexte in Reaktionsmatritzen

Dynamische Grenzwerttexte können auch in Reaktionsmatritzen angezeigt werden:

$ %PV

$ @text

Siehe auch Dynamischer Grenzwerttext.

Reaktionsmatritzen können für mehrere Variablen benutzt werden.


Zustände bei Wertänderung und Verzögerungszeit

Handbuch > Variablen > Reaktionsmatrizen > Zustände bei Wertänderung und Verzögerungszeit

Zustände können abhängig von Werten und Verzögerungszeit Alarme generieren. So kann z.B. ein Alarm erzeugt werden, wenn eine Variable sich für eine bestimmte Zeit nicht mehr geändert hat.

Konfiguration:

  • Wert: beliebig
  • Jede Wertänderung als neue Verletzung behandeln: aktiv
  • Verzögerungszeit: >0
    Die Verzögerungszeit wird auf den Zeitstempel der Variablen hin berechnet.

In diesem Fall gilt:

  • Der Alarm kommt wenn, der Wert länger konstant ist als die Verzögerungszeit.
  • Ändert sich der Wert innerhalb der Verzögerungszeit, started die Verzögerungszeit neu. So kann z.B. ein Alarm erzeugt werden, wenn eine Variable sich für eine bestimmte Zeit nicht mehr geändert hat.


Liste Status-Bits

Handbuch > Variablen > Reaktionsmatrizen > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Blinken

Handbuch > Variablen > Blinken

Bildelemente und Einträge in der Alarmmeldeliste oder Chronologischen Ereignisliste können bei der Anzeige in der Runtime blinkend dargestellt werden.

Noch in diesem Kapitel

Blinken - Allgemein

Projektieren im Editor

Unquittierte Alarme blinkend anzeigen

Anzeige zur zenon Runtime

Blinken im zenon Netzwerk


Blinken - Allgemein

Handbuch > Variablen > Blinken > Blinken - Allgemein

Bildelemente und Einträge in der Allarmmeldeliste oder Chronologischen Ereignisliste können bei der Anzeige in der Runtime blinkend dargestellt werden.

Die Projektierung dafür ist bei der Variable sowie beim Bildelement zu parametrieren:

  • Variable oder Reaktionsmatrix:
    • Projektierung bei Variable
      Eigenschaft Blinken im Abschnitt Zusatzattribute in der Eigenschaftengruppe Grenzwerte.
    • Projektierung in einer Reaktionsmatrix
      bei Parametrierung einer Reaktionsmatrix im Konfigurationsdialog Zustände und Reaktionen durch Aktivierung der Option Blinken.
      Info: Diese Option findet sich im Bereich Zusatzattribute des REMA Konfiguraitonsdialogs
  • Anzeige zur Runtime:
    • Bildelemente:
      Abschnitt Blinken in der Bildelement-Eigenschaftengruppe Sichtbarkeit/Blinken.
    • Alarmmeldeliste:
      Um unquittierte Alarme in der Allarmeldeliste blinkend zu visualisieren aktivieren Sie die Projekteigenschaft Unquittierte Alarme blinken.
      Info: Sie finden diese Eigenschaft in der Projekteigenschaftengruppe Alarmmeldeliste.
      Mit der Funktion Alarme Blink-Quittierung können Sie das Blinken in der Runtime deaktivieren.
      Das Blinkverhalten wird von der Variablenprojektierung übernommen.


Projektieren im Editor

Handbuch > Variablen > Blinken > Projektieren im Editor

Bildelemente blinken bei der Visualisierung in der zenon. Dazu sind folgende Projektierungsschritte notwendig:

  • Parametrieren Sie die für die Visualisierung von Blinken relevanten Projekteigenschaften:
    • Blinkfreq. [ZehntelSek.] in der Projekteigenschaftengruppe Grafische Ausprägung.
    • Unquittierte Alarme blinken in der Projekteigenschaftengruppe Alarmmeldeliste
  • Projektieren Sie eine Variable.
  • Projektieren Sie einen oder mehrere Grenzwert für eine Variable.
    • Aktivieren Sie die Eigenschaft Blinken für Ihre Grenzwertprojektierung.
  • Projektieren Sie ein Bildelement für ein zenon Bild.
    • Projektieren Sie das Blinkverhalten für die Darstellung in der zenon Runtime beim Bildelement in der Eigenschaftengruppe Blinken.


Unquittierte Alarme blinkend anzeigen

Handbuch > Variablen > Blinken > Unquittierte Alarme blinkend anzeigen

Unquittierte Alarme können in der AML blinkend angezeigt werden.

Mit aktiver Eigenschaft Unquittierte Alarme blinken wechseln in allen unquittierten und nicht ausgewählten Zeilen in der Alarmmeldeliste Vordergrundfarbe und Hintergrundfarbe im Sekundentakt. Ausgewählte Zeilen blinken nicht.

Dazu:

  1. Navigieren Sie im Editor in den Projekteigenschaften zum Abschnitt Alarmmeldeliste.
  2. Aktivieren Sie die Checkbox vor der Eigenschaft Unquittierte Alarme blinken.
  3. Konfigurieren Sie die gewünschten Farben (Vordergrund) für Alarm kommt, Alarm geht, Alarm quittiert

    Tipp: Setzen Sie die Eigenschaft Alarm/Ereignis-Klassen Farbe auf als Zeilenhintergrund. Dann wird die Farbe der Alarmklasse als Hintergrundfarbe verwendet.


Anzeige zur zenon Runtime

Handbuch > Variablen > Blinken > Anzeige zur zenon Runtime

Für die Blinkanzeige in der zenon Runtime gilt:

  • Bildelemente blinken:
    • bei verletztem Grenzwert.

      wenn der Grenzwert einmal verletzt wurde und für den Grenzwert ein quittierpflichtiger Alarm projektiert ist.
      In diesem Fall wird das Bildelement so lange weiterblinken, bis der Alarm quittiert wurde oder blinkquittiert wurde. Weitere Infos zur Blinkquittierung finden sie im nächsten Punkt. Das Bildelement wird auch dann weiterblinken, wenn die Grenzwertverletzung durch Wertänderung aufgehoben ist.
      Projektierungshinweis: Quittierpflicht wird mit der Grenzwerteigenschaft Quittierpflichtig aktiviert.

  • Das Blinken von Bildelemente mit quittierpflichtigen Alarm wird beendet:
    • durch Blinkquittierung via Doppelklick
    • durch Blinkquittierung via Funktion Alarme Blink-Quittierung
    • durch Quittierung des Alarms in der Alarmmeldeliste.
    • durch Alarmquittierung via Funktion Alarme quittieren

Das Blinken wird auch beendet, wenn die Grenzwertverletzung durch Wertänderung aufgehoben wird und die Grenzwertverletzung nicht quittierpflichtig projektiert wurde. attention Achtung

Blinkquittieren quittiert nur das Blinken, nicht den Alarm.

Alarme Blink-Quittierung darf nicht mit Alarme quittieren verwechselt werden. Eine Alarmquittierung beinhaltet jedoch auch das Blinkquittieren!


Blinken im zenon Netzwerk

Handbuch > Variablen > Blinken > Blinken im zenon Netzwerk

Blinkt ein Bildelement in einem zenon Bild oder ein Alarm in der Alarmmeldeliste wird diese Darstellung in der Runtime für alle Clients und Server im zenon Netzwerk übernommen und auf allen Rechnern gleich angezeigt. Dadurch ist sichergestellt, dass im gesamten Netzwerk auf allen Rechnern der aktuelle Blinkzustand immer identisch angezeigt wird.


Funktionen für Variablen

Handbuch > Variablen > Funktionen für Variablen

Funktionen ermöglichen Ihnen, zur Runtime Befehle über einen Button oder ein Skript zu starten.

Um eine Funktion zu erstellen:

  1. wählen Sie im Kontextmenü oder in der Symbolleiste des Knotens Funktion den Befehl Funktion neu...
  2. navigieren Sie zu Variable
  3. wählen Sie die gewünschte Funktion

Noch in diesem Kapitel

Daten exportieren

dBase Datei lesen

Drucken Momentan-Werte

HD-Verwaltung aktiv

HD-Verwaltung inaktiv

HD-Verwaltung inaktiv/aktiv

Sollwert absetzen

Funktion Treiberkommandos

Uhrzeit auf Variable schreiben

Uhrzeit von Variable lesen


Daten exportieren

Handbuch > Variablen > Funktionen für Variablen > Daten exportieren

Diese Funktion ermöglicht, zur Runtime Variablendaten zu exportieren.

Das Exportformat und der Dateiname werden im Editor definiert. Der Ablageort bei Ausführung zur Runtime ist der Ordner Export im Runtimeordner.

Tipp: Den Projektordner erreichen Sie, indem Sie das Projekt im Editor markieren und die Tastenkombination Strg+Alt+R drücken.

Um die Funktion zu erstellen:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Daten exportieren
  3. der Konfigurationsdialog wird geöffnet

Ausgabeformat

Parameter

Beschreibung

Format

Wählen Sie einen der möglichen Dateitypen:

  • dBase IV (*.dbf)
  • XML (*.xml)
  • CSV (*.txt)

Als Unicode

Diese Checkbox ist nur aktiv, wenn Sie als Dateityp CSV (*.txt) ausgewählt haben.
Aktiv: Datei wird in Unicode (UTF-16) gespeichert.

Dateinamen

Legen Sie den Dateinamen festlegen.
Bei DBF-Dateien sind maximal 8 Zeichen erlaubt.

Hinweis: Der Name ist zur Runtime nicht mehr änderbar.

Ablageort zur Runtime: Ordner Export im Runtimeordner.

Variablen

Parameter

Beschreibung

Variablenauswahl

Auswahl der zu exportierenden Variablen. Klick auf Schaltfläche öffnet Dialog zur Variablenauswahl.

Diese Auswahl ist zur Runtime nicht mehr änderbar.

Hinweis: Damit eine Variable gewählt werden kann, muss für diese die Eigenschaft Harddisk Datenspeicherung aktiv in der Gruppe Harddisk Datenspeicherung aktiv gesetzt sein.

Werte neu initialisieren
  • Bei den HD-Werten wird ein Ringpuffer gefüllt und mitgeführt.
    Aktiv:
    Der Ringpuffer wird beim Export geleert und neu initialisiert.
  • Inaktiv:
    Der Ringpuffer wird beim Export beibehalten.


dBase Datei lesen

Handbuch > Variablen > Funktionen für Variablen > dBase Datei lesen

Mit der Verwendung dieser Funktion kann im Onlinebetrieb eine DBase-Datei geladen und ihr Inhalt als Sollwerte abgesetzt werden.

info Info

Diese Funktion dient nur noch Kompatibilitätszwecken.
Empfehlung: Verwenden Sie stattdessen zenon Logic für das Absetzen einzelner Werte oder Rezepte und Rezeptgruppenmanger für das blockweise Absetzen.

In der DBase-Datei sind Namen von Variablen und die dazugehörige Sollwerte enthalten. Ist bei der Ausführung der Funktion die definierte Variable im aktuellen Projekt enthalten, wird der in der dBase-Datei voreingestellte Wert als neuer Sollwert an die Steuerung weitergeleitet.

  • Übergabeparameter: Name der DBase-Datei.
    Name und Ordnername müssen den DOS-Konventionen entsprechen.

Die dBaseIV-Datei muss folgende Struktur und Inhalte besitzen:

Spaltentitel

Typ

Wert

Bemerkung

NAME

Char

32

Name der Variablen.

WERT

Num

20

Wert der Variablen.

TYP

Char

8

Datentyp.
Mögliche Werte:

  • C: String
  • N: Numerisch

DIRECTION

Char

12

(Wird zur Zeit nicht verwendet.)

Achtung: Die Spaltenbreite muss exakt den vorgegebenen Werten entsprechen. Bearbeiten Sie daher die Datei nicht in einer Tabellenkalkulation, da dabei die Spaltenbreite verändert wird. Nutzen Sie für die Erstellung ein Programm, das feste Spaltenbreiten und Header übergeben kann.


Drucken Momentan-Werte

Handbuch > Variablen > Funktionen für Variablen > Drucken Momentan-Werte

Mit der Verwendung dieser Funktion kann im Onlinebetrieb ein einfaches Protokoll der aktuellen Variablenwerte (Prozess- und abgeleitete Variablen) erzeugt werden.

Als Übergabeparameter ist eine Formatierungsdatei anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske.

Projektierbare Eigenschaften sind:

Parameter | Beschreibung
Systembuttons | OK, abbrechen und Hilfe
mit Abbruchdialog | Abbruchdialog währen der Generierung im Onlinebetrieb anzeigen
Auswahl Format Datei | Öffnet eine Dialog Box zur Auswahl der *.FRM-Datei. Diese Datei wird mit dem Button unterhalb erzeugt. Das Format FRM wird weiter unten in diesem Kapitel beschrieben.
Format Editor Starten | Texteditor zum Erstellen der Datei starten
Schriftart | festlegen der zu verwendenden Schriftart

Wird der Button Auswahl Format-Datei gewählt, kann die Datei (Dateityp *.FRM) ausgewählt werden.

In der Formatierungsdatei werden definierte Schlüsselwörter verwendet. Im Onlinebetrieb werden anstelle der Schlüsselworte die entsprechenden Variablenparameter eingetragen.

Schlüsselwörter sind:

Schlüsselwort | Beschreibung
@TTA.name | Variablennamen ausgeben
@TTA.wert | den aktuellen technischen Wert ausgeben; Binärzustand als Wert ausgeben oder Stringvariableninhalte
@TTA.einheit | die zur Prozessvariablen definierte Maßeinheit ausgeben
@TTA.text | den zur Prozessvariablen definierten Text ausgeben
@TTA.status | die aktuell anstehenden Statusbits der Prozessvariablen hintereinander mit der Kurzkennung (aus der Datei ZENON6.INI) ausgeben

Für die Formatierung der Ausgabeseite oder als allgemeine Informationen sind folgende Schlüsselwörter verfügbar:

Schlüsselwort | Beschreibung
%DATE | Ausgabe des aktuellen Datums
%TIME | Ausgabe der aktuellen Uhrzeit
%PAGE | Ausgabe der aktuellen Seitennummer

Textausgaben am Seitenkopf und -ende können projektiert werden. Mit einem %% sind die Bereiche (Seitenkopf, Hauptbereich, Fußbereich) vor und hinter dem Bereich zu markieren. Nach dem letzten %% sind drei Leerzeilen einzugeben.

Die Verwendung von TABs führt zu Ausgabeproblemen bei unterschiedlich langen Ausgaben. Es dürfen für die Positionierung nur Leerzeichen verwendet werden. Das Schlüsselzeichen @ wird nicht mitgezählt.

FRM-Datei PROJEKT.FRM

%%
Seitenkopftext
%%
%%
%date Messwertprotokoll der Anlage XYZ %time Uhr

Bezeichnung techn. Wert Maßeinheit
Messwert 1 @MESSWERT1.wert bar
Messwert 2 @MESSWERT2.wert kV
Messwert 3 @MESSWERT3.wert ºC

Seite %page
%%
%%
Seitenfußtext
%%

Onlineausdruck mit der Datei PROJEKT.FRM

Seitenkopftext

21.02.1995 Meßwertprotokoll der Anlage XYZ 12:00 Uhr

Bezeichnung techn. Wert Maßeinheit
Messwert 1 0.63 bar
Messwert 2 9.98 kV
> Messwert 3 17.3 ºC

> Seite 5

Seitenfußtext

Ist die gewünschte Formatierung der Momentanwerte enger als der Platz zwischen den TTA-Schlüsselworten, kann eine QRF-Datei mit gleichem Namen verwendet werden. In der QRF-Datei werden die Prozessvariablen auf definierte Merker bezogen. Jeder Merker (xxx) beginnt mit einem $ und wird über einen festgelegten Syntax definiert.

"define $" xxx as "Variable" |
- xxx | freie Kurzkennung oder Ziffer
- Variable | Variablenname

attention Achtung

Das vom Code erwartete QRF-Definitionsformat ist z.B.:
define "$001" as "REAL_VAR_NAME"
Wichtig sind dabei die Anführungszeichen!

In der FRM-Datei kann auf diese Merker zugegriffen werden. Die Variablenparameter werden dann über andere Parameter angesprochen.

$xxx.1 | Prozessvariablename
$xxx.2 | technischer Wert
$xxx.3 | Einheit
$xxx.4 | Zustandstext

Hinweis: Variablennamen mit einem Punkt müssen in Hochkomma gesetzt werden, z. B.: "Variable.Test".

Beispiel für den Aufbau der QRF-Datei

QRF-Datei MOMENT.QRF

"define $001" as "TTA1 "
"define $002" as "TTA2"

FRM-Datei MOMENT.FRM

%%
Kopftext
%%
%%
Hauptbereich
Wert der TTA1= @$001.2
Wert der TTA2= @$002.2
%%
%%
Fußtext
%%

Onlineausdruck mit der Datei MOMENT.FRM

Kopftext
Wert der TTA1= 100.25
Wert der TTA2= 25.745
Fußtext


HD-Verwaltung aktiv

Handbuch > Variablen > Funktionen für Variablen > HD-Verwaltung aktiv

Mit der Verwendung dieser Funktion wird die HD-Verwaltung (Ablage der Onlinewerte bei projektierter HD-Eigenschaft; Onlinetrend) im Onlinebetrieb aktiv geschaltet.

Es sind keine Übergabeparameter notwendig.


HD-Verwaltung inaktiv

Handbuch > Variablen > Funktionen für Variablen > HD-Verwaltung inaktiv

Mit der Verwendung dieser Funktion wird die HD-Verwaltung (Ablage der Onlinewerte bei projektierter HD-Eigenschaft; Onlinetrend) im Onlinebetrieb inaktiv geschaltet.

attention Achtung

Es werden keine Werte mehr gespeichert! Onlinewerte werden aktualisiert. Es sind keine Übergabeparameter notwendig.


HD-Verwaltung inaktiv/aktiv

Handbuch > Variablen > Funktionen für Variablen > HD-Verwaltung inaktiv/aktiv

Mit der Verwendung dieser Funktion wird die HD-Verwaltung (Ablage der Onlinewerte bei projektierter HD-Eigenschaft; Onlinetrend) im Onlinebetrieb zwischen den beiden Zuständen umgeschaltet. Der in der Datei project.ini gespeicherte Zustand wird beim Starten des Onlinebetriebes eingelesen.

[DEFAULT] |
... |
HDDATEN= | 0 - inaktiv
 | 1 - aktiv


Sollwert absetzen

Handbuch > Variablen > Funktionen für Variablen > Sollwert absetzen

Mit der Verwendung dieser Funktion kann im Onlinebetrieb ein Sollwert auf eine Variable gesetzt werden.

Als Übergabeparameter sind die Variable, der Sollwert und die Art der Sollwertvorgabe anzugeben. Die Projektierung der Funktion erfolgt über eine Dialogmaske. Die Konfiguration der Funktion erfolgt mit eigenen Dialogen für:

  • numerische Variablen
  • binäre Variablen
  • String-Variablen

Die Eingabe zur Runtime erfolgt über die Sollwert-Eingabe-Maske. Ist das Keyboard-Bild SETVALUEKBD im Projekt vorhanden, wird dieses automatisch verwendet.

info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung angestoßen, so werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!

Noch in diesem Kapitel

für numerische Variablen

für binäre Variablen

für String-Variablen

Sollwert schreiben überprüfen


für numerische Variablen

Handbuch > Variablen > Funktionen für Variablen > Sollwert absetzen > für numerische Variablen

Parameter

Beschreibung

Sollwert Einstellungen

Konfiguration des Sollwerts.

Sollwert

Eingabe des zu setzenden Sollwerts für die Variable.

Minimum

Eingabe des Werts für Minimum.

Maximum

Eingabe des Werts für Maximum.

Sollwert Grenzen von der Variable beziehen

Aktiv : Die erlaubten Sollwertgrenzen werden aus der Variablendefinition (Bezeichnung/Sollwert setzen ) übernommen.
Inaktiv : Die erlaubten Sollwertgrenzen können direkt in der Funktion eingegeben werden (Minimum und Max ).

Optionen

Konfiguration der Optionen.

Aktuellen Wert vorschlagen

Aktiv : Der aktuell in der Steuerung anstehende Wert wird als Default vorgeschlagen oder direkt an die Hardware abgesetzt. Zusätzlich ändert sich die Beschriftung des Feldes Sollwert in Änderung um und der dort eingetragene Wert wird zum Default addiert (bei negativem Wert subtrahiert).
Inaktiv : Der unter Sollwert eingetragene Wert wird als Default vorgeschlagen oder direkt an die Hardware abgesetzt.

Direkt zur Hardware

Aktiv : Der Sollwert wird im Onlinebetrieb ohne weitere Bestätigung nach der Aktivierung der Funktion abgesetzt.
Inaktiv : Vor dem Absetzen des Sollwerts wird die Sollwertmaske aufgeschaltet und der Benutzer kann in der Runtime die Einstellungen ändern.

Schreibbestätigung abwarten

Aktiv : Die Funktionsausführung wird erst beendet, wenn eine positive Rückmeldung der Schreibaktion kommt oder der fix definierte Timeout von 30 Sekunden verstrichen ist.
Damit kann in Scripten sichergestellt werden, dass die nachfolgende Funktion erst aufgeführt wird, wenn diese tatsächlich abgeschlossen ist.
Die Rückmeldung kann auch über das Statusbit WR-SUC abgefragt werden.
Inaktiv : Es wird keine Schreibbestätigung abgewartet.

Sollwert absetzen über

Konfiguration, wie der Sollwert abgesetzt werden soll:

  • Eingabemaske: Sollwert zur Runtime über eine Eingabemaske abgesetzt.
  • Programm: Sollwert zur Runtime über ein Programm abgesetzt. Auswahl über Klick auf die Schaltfläche ....

OK

Konfiguration wird übernommen, Funktion erstellt und der Dialog geschlossen.

Abbrechen

Konfiguration wird verworfen, die Funktion ohne Parameter erstellt und der Dialog geschlossen.

Hilfe

Online Hilfe wird geöffnet.

info Info

Ein Dezimalwert kann sowohl mit Komma (,) als auch mit Punkt (.) angegeben werden. Das Dezimalzeichen wird intern immer automatisch in einen Punkt umgewandelt.


für binäre Variablen

Handbuch > Variablen > Funktionen für Variablen > Sollwert absetzen > für binäre Variablen

Parameter

Beschreibung

OFF (0)

Wert der Variablen wird auf Off (0) gesetzt.

ON (1)

Wert der Variablen wird auf ON (1) gesetzt.

TOGGLE

Wert der Variablen wird in den komplementären (gegensätzlichen) Zustand geschaltet.

Tipp: Wenn der Variablenwert getoggelt werden soll, empfehlen wir, die Eigenschaft Variable ständig lesen zu aktivieren. Anderenfalls wartet die Runtime bis der Treiber den Wert der Variablen kennt. Steht der Wert aufgrund eines Kommunikationsverlusts mit der Steuerung nicht zur Verfügung, entspricht die Wartezeit der Timeout-Zeit des Treibers.

Parameter

Beschreibung

Sollwert Einstellungen

Konfiguration des Sollwerts.

Sollwert

Eingabe des zu setzenden Sollwerts für die Variable.

Minimum

Eingabe des Werts für Minimum.

Maximum

Eingabe des Werts für Maximum.

Sollwert Grenzen von der Variable beziehen

Aktiv : Die erlaubten Sollwertgrenzen werden aus der Variablendefinition ( Bezeichnung/Sollwert setzen) übernommen.
Inaktiv : Die erlaubten Sollwertgrenzen können direkt in der Funktion eingegeben werden ( Minimum und Max).

Optionen

Konfiguration der Optionen.

Aktuellen Wert vorschlagen

Aktiv : Der aktuell in der Steuerung anstehende Wert wird als Default vorgeschlagen oder direkt an die Hardware abgesetzt. Zusätzlich ändert sich die Beschriftung des Feldes Sollwert in Änderung um und der dort eingetragene Wert wird zum Default addiert (bei negativem Wert subtrahiert).
Inaktiv : Der unter Sollwert eingetragene Wert wird als Default vorgeschlagen oder direkt an die Hardware abgesetzt.

Direkt zur Hardware

Aktiv : Der Sollwert wird im Onlinebetrieb ohne weitere Bestätigung nach der Aktivierung der Funktion abgesetzt.
Inaktiv : Vor dem Absetzen des Sollwerts wird die Sollwertmaske aufgeschaltet und der Benutzer kann in der Runtime die Einstellungen ändern.

Schreibbestätigung abwarten

Aktiv : Die Funktionsausführung wird erst beendet, wenn eine positive Rückmeldung der Schreibaktion kommt oder der fix definierte Timeout von 30 Sekunden verstrichen ist.
Damit kann in Scripten sichergestellt werden, dass die nachfolgende Funktion erst aufgeführt wird, wenn diese tatsächlich abgeschlossen ist.
Die Rückmeldung kann auch über das Statusbit WR-SUC abgefragt werden.
Inaktiv : Es wird keine Schreibbestätigung abgewartet.

Sollwert absetzen über

Konfiguration, wie der Sollwert abgesetzt werden soll:

  • Eingabemaske: Sollwert zur Runtime über eine Eingabemaske abgesetzt.
  • Bild: Sollwert zur Runtime über ein Bild abgesetzt
  • Programm: Sollwert zur Runtime über ein Programm abgesetzt. Auswahl über Klick auf die Schaltfläche ....

OK

Konfiguration wird übernommen, Funktion erstellt und der Dialog geschlossen.

Abbrechen

Konfiguration wird verworfen, die Funktion ohne Parameter erstellt und der Dialog geschlossen.

Hilfe

Online Hilfe wird geöffnet.


für String-Variablen

Handbuch > Variablen > Funktionen für Variablen > Sollwert absetzen > für String-Variablen

Parameter

Beschreibung

Sollwert Einstellungen

Konfiguration des Sollwerts.

Sollwert

Eingabe des zu setzenden Sollwerts für die Variable.

Optionen

Konfiguration der Optionen.

Aktuellen Wert vorschlagen

Aktiv : Der aktuell in der Steuerung anstehende Wert wird als Default vorgeschlagen oder direkt an die Hardware abgesetzt. Zusätzlich ändert sich die Beschriftung des Feldes Sollwert in Änderung um und der dort eingetragene Wert wird zum Default addiert (bei negativem Wert subtrahiert).
Inaktiv : Der unter Sollwert eingetragene Wert wird als Default vorgeschlagen oder direkt an die Hardware abgesetzt.

Direkt zur Hardware

Aktiv : Der Sollwert wird im Onlinebetrieb ohne weitere Bestätigung nach der Aktivierung der Funktion abgesetzt.
Inaktiv : Vor dem Absetzen des Sollwerts wird die Sollwertmaske aufgeschaltet und der Benutzer kann in der Runtime die Einstellungen ändern.

Schreibbestätigung abwarten

Aktiv : Die Funktionsausführung wird erst beendet, wenn eine positive Rückmeldung der Schreibaktion kommt oder der fix definierte Timeout von 30 Sekunden verstrichen ist.
Damit kann in Scripten sichergestellt werden, dass die nachfolgende Funktion erst aufgeführt wird, wenn diese tatsächlich abgeschlossen ist.
Die Rückmeldung kann auch über das Statusbit WR-SUC abgefragt werden.
Inaktiv : Es wird keine Schreibbestätigung abgewartet.

Sollwert absetzen über

Konfiguration, wie der Sollwert abgesetzt werden soll:

  • Eingabemaske: Sollwert zur Runtime über eine Eingabemaske abgesetzt.
  • Bild: Sollwert zur Runtime über ein Bild abgesetzt
  • Programm: Sollwert zur Runtime über ein Programm abgesetzt. Auswahl über Klick auf die Schaltfläche ....

OK

Konfiguration wird übernommen, Funktion erstellt und der Dialog geschlossen.

Abbrechen

Konfiguration wird verworfen, die Funktion ohne Parameter erstellt und der Dialog geschlossen.

Hilfe

Online Hilfe wird geöffnet.


Sollwert schreiben überprüfen

Handbuch > Variablen > Funktionen für Variablen > Sollwert absetzen > Sollwert schreiben überprüfen

Beim Schreiben von Werten erhält der Wert ein Statusbit, dass er geschrieben wird. Ist der Schreibvorgang erfolgreich, wird das entsprechende Statusbit gesetzt:

  • WR-ACK

    Der Treiber hat einen Wert zum Schreiben bekommen.

  • WR-SUC

    Wert 1: Schreiben erfolgreich.

    Wert 0: Schreiben nicht erfolgreich, der Wert konnte nicht abgesetzt werden.

  • info Info

Wird ein Nachladen oder eine Server-Standby-Umschaltung ausgeführt, dann werden die anstehenden Rückmeldungen oder Schreibbestätigungen verworfen!

Diese Statuskombination bleibt solange bestehen, bis die nächste Wertänderung angestoßen wird. Dann gehen beide Status auf 0 bis der Schreibvorgang fertig ist. Zur Auswertung muss in der Rema folgende Bitkombination abgefragt werden:

WR-ACK, WR-SUC

Ergebnis:

  • WR-ACK 1, WR-SUC 1: Schreibvorgang erfolgreich.
  • WR-ACK 1, WR-SUC 0: Schreibvorgang nicht erfolgreich.

attention Achtung

Der Mechanismus zeigt nur, dass der Schreibvorgang erfolgreich (oder nicht erfolgreich) auf die Steuerung abgesetzt wurde. Es bedeute nicht, dass der Wert in der Steuerung auch geändert wurde, da die Steuerung den Wert sofort wieder zurücksetzen/überschreiben kann. (Zum Beispiel beim Schreiben auf Ausgänge oder bei Wischerbits, die nur kurzfristig gesetzt werden.)

Module

Dieser Mechanismus kann bei folgenden Modulen eingesetzt werden:

  • Funktion Sollwert absetzen: Option Schreibbestätigung abwarten im Konfigurationsdialog der Funktion aktivieren.
  • Standard Rezepte: Eigenschaft Synchron schreiben aktivieren.
  • Rezeptgruppen-Manager: Eigenschaft Synchron schreiben aktivieren.

Eintrag in CEL

In den Projekteigenschaften finden Sie unter Chronologische Ereignisliste folgende Eigenschaften:

  • Funktion Sollwert setzen

    Für den Eintrag in der CEL muss in den Projekteigenschaften im Knoten Chronologische Ereignisliste die Eigenschaft Funktion Sollwert setzen aktiviert werden. Es wird dann bei jedem Ausführen der Funktion die positive oder negative Rückmeldung in die CEL geschrieben.

  • Sollwert-Protokollierung nur bei Sollwertänderung

    Bei aktivierter Funktion kommt es zu keinem Eintrag in der CEL, wenn der gleiche Wert erneut gesetzt oder empfangen wird. Protokolliert werden nur Wertänderungen. Die Ausführung der Eigenschaft ist nicht abhängig von der Variableneinstellung Alter und neuer Wert.

  • Text bei Sollwertänderung

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

  • Text bei Sollwertänderung (Alter/Neuer Wert)

    Ermöglicht die Erstellung eines freien Textes für die Darstellung des alten und des neuen Wertes. Information zu nötigen Voraussetzungen und dem Einsatz von Platzhaltern finden Sie im Kapitel Verwendung von Platzhaltern bei Sollwertänderungen.

Standard Rezepte und Rezeptgruppen Manager

Für den Eintrag in die CEL wird eine Systemtreibervariable verwendet, die bei erfolgreich abgesetzten Rezept auf 1 geht. Eine globale Variable wird am Server ausgewertet, eine lokale auf jedem Client, um zu erfahren, wann das zuletzt ausgeführte Rezept fertig geschrieben wurde.
Mit diesen Variablen kann per Grenzwert oder Reaktionsmatrizen ein CEL Eintrag generiert werden. Die Abfrage erfolgt mit einer Multianalog oder einer Multibinär Rema.


Funktion Treiberkommandos

Handbuch > Variablen > Funktionen für Variablen > Funktion Treiberkommandos

Die zenon Funktion Treiberkommandos dient dazu, Treiber über zenon zu beeinflussen.
Mit einem Treiberkommando können Sie einen Treiber:

  • starten
  • stoppen
  • in einen bestimmten Treibermodus versetzen
  • zu bestimmten Aktionen veranlassen

Achtung: Die zenon Funktion Treiberkommandos ist nicht ident mit Treiberkommandos, die bei Energy-Treibern zur Runtime ausgeführt werden können!

info Info

Dieses Kapitel beschreibt Standardfunktionalitäten, die für die meisten zenon Treiber gültig sind.
Aber nicht alle hier beschriebenen Funktionalitäten stehen für jeden Treiber zur Verfügung. Zum Beispiel enthält ein Treiber, der laut Datenblatt keine Modemverbindung unterstützt, auch keine Modem-Funktionalitäten.

Projektierung der Funktion

Die Projektierung erfolgt über die Funktion Treiberkommandos.
Dazu:

  1. Legen Sie im zenon Editor eine neue Funktion an.
  2. Navigieren Sie zum Knoten Variable.
  3. Wählen Sie den Eintrag Treiberkommandos.

    Der Dialog zur Konfiguration wird geöffnet.

  4. Wählen Sie den gewünschten Treiber und das benötigte Kommando aus.
  5. Schließen Sie den Dialog mit Klick auf OK und stellen Sie sicher, dass die Funktion zur Runtime ausgeführt wird.
    Beachten Sie die Hinweise im Abschnitt Funktion Treiberkommandos im Netzwerk.

Dialog Treiberkommandos

Option | Beschreibung
Treiber | Auswahl des Treibers aus der Dropdownliste. Diese enthält alle im Projekt geladenen Treibern.
Aktueller Zustand | Fixer Eintrag, in aktuellen Versionen ohne Funktion.
Treiberkommando | Dropdownliste zur Auswahl des Kommandos:
<Kein kommando> | Es wird kein Kommando gesendet. Damit kann auch ein bereits bestehendes Kommando aus einer projektierten Funktion entfernt werden.
Treiber starten (Onlinemodus) | Treiber wird neu initialisiert und gestartet.
Treiber stoppen (Offlinemodus) | Treiber wird angehalten, es werden keine neuen Daten angenommen. Hinweis: Ist der Treiber im Offline-Modus, erhalten alle Variablen, die für diesem Treiber angelegt wurden, den Status Abgeschaltet (OFF; Bit 20).
Treiber in Simulationsmodus | Treiber wird in den Simulationsmodus gesetzt. Die Werte aller Variablen des Treibers werden vom Treiber simuliert. Es werden keine Werte von der angeschlossenen Hardware (z. B. SPS, Bussystem, ...) angezeigt.
Treiber in Hardwaremodus | Treiber wird in den Hardwaremodus gesetzt. Für die Variablen des Treibers werden die Werte von der angeschlossenen Hardware (z. B. SPS, Bussystem, ...) angezeigt.
Treiberspezifisches Kommando | Eingabe treiberspezifischer Kommandos. Öffnet Eingabefeld für die Eingabe eines Kommandos.
Treiber Sollwertsetzen aktivieren | Sollwert setzen auf Treiber ist erlaubt.
Treiber Sollwertsetzen deaktivieren | Sollwert setzen auf Treiber wird verhindert.
Verbindung mit Modem aufbauen | Verbindung aufbauen (für Modem-Treiber). Öffnet Eingabefelder für Hardware-Adresse und Eingabe der zu wählenden Nummer.
Verbindung mit Modem trennen | Verbindung beenden (für Modem-Treiber).
Treiber in Simulationsmodus zählend | Treiber wird in den zählenden Simulationsmodus gesetzt. Alle Werte werden mit 0 initialisiert und in der eingestellten Updatezeit jeweils um 1 bis zum Maximalwert inkrementiert und beginnen dann wieder bei 0.
Treiber in Simulationsmodus statisch | Treiber wird in den zählenden Simulationsmodus gesetzt. Alle Werte werden mit 0 initialisiert.
Treiber in Simulationsmodus programmiert | Treiber wird in den zählenden Simulationsmodus gesetzt. Die Werte werden von einem frei programmierbaren Simulationsprojekt berechnet. Das Simulationsprojekt wird mit der zenon Logic Workbench erstellt und läuft in der zenon Logic Runtime ab.
Diesen Dialog zur Runtime anbieten | Dialog wird zur Runtime für Änderungen angeboten.

Funktion Treiberkommandos im Netzwerk

Wenn sich der Rechner, auf dem die Funktion Treiberkommandos ausgeführt wird, im zenon Netzwerk befindet, werden zusätzlich weitere Aktionen ausgeführt. Ein spezielles Netzwerkkommando wird vom Rechner zum Server des Projekts gesendet, der dann die gewünschte Aktion auf seinem Treiber durchführt. Zusätzlich sendet der Server das gleiche Treiberkommando zum Standby des Projekts. Der Standby führt die Aktion auch auf seinem Treiber aus.

Dadurch ist gewährleistet, dass Server und Standby synchronisiert sind. Dies funktioniert nur, wenn Server und Standby jeweils eine funktionierende und unabhängige Verbindung zur Hardware haben.


Uhrzeit auf Variable schreiben

Handbuch > Variablen > Funktionen für Variablen > Uhrzeit auf Variable schreiben

Mit dieser Funktion kann eine angeschlossene Steuerung mit dem PC synchronisiert werden. Bei Ausführung der Funktion wird die Systemzeit geholt und in eine Stringvariable im Format: DD.MM.YYYY HH:MM:SS geschrieben.

Als Parameter ist der Name der Variable anzugeben.


Uhrzeit von Variable lesen

Handbuch > Variablen > Funktionen für Variablen > Uhrzeit von Variable lesen

Mit dieser Funktion kann der PC mit einer angeschlossenen Steuerung synchronisiert werden. Bei der Ausführung der Funktion wird die Stringvariable aus der SPS gelesen, und wenn die Differenz zwischen PC und SPS Zeit größer als eine Sekunde ist, wird die PC Systemzeit gesetzt und ein CEL Eintrag geschrieben. Die Stringvariable muss folgendes Format besitzen: DD.MM.YYYY HH:MM:SS.

Hinweis: Zeit wird als Lokalzeit gespeichert. Details siehe Kapitel Behandlung von Zeitangaben im Handbuch Runtime.

Als Parameter ist der Name der Variable anzugeben.


Bild Variablen-Diagnose

Handbuch > Variablen > Bild Variablen-Diagnose

Mit dem Bildtyp Variablen-Diagnose lassen sich Variablen in der Runtime darstellen und Sollwerte setzen.

info Info

Allgemeine Informationen zu den vordefinierten Bildtypen finden Sie im Handbuch Bilder im Kapitel Bildtypen.

Noch in diesem Kapitel

Bild vom Typ Variablen-Diagnose anlegen

Bild vom Typ Variablen-Diagnose anlegen

Bildumschaltung - Variablen-Diagnose

Bedienung zur Runtime


Bild vom Typ Variablen-Diagnose anlegen

Handbuch > Variablen > Bild Variablen-Diagnose > Bild vom Typ Variablen-Diagnose anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Variablen-Diagnose.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.
    Konfigurieren Sie diese Bildumschaltfunktion.
    Weitere Informationen dazu finden Sie im Kapitel Bildumschaltung - Variablen-Diagnose.


Bild vom Typ Variablen-Diagnose anlegen

Handbuch > Variablen > Bild Variablen-Diagnose > Bild vom Typ Variablen-Diagnose anlegen

Das Bild Variablen-Diagnose visualisiert zur Runtime Variablen

Kontrollelement | Beschreibung
Vorlage einfügen... | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Variablenliste

Listenfenster zur Runtime:

  • Die Spalten sind in der Runtime sortier- und filterbar.
  • Filter- und Sortierung sind in den Filterprofilen speicherbar.
  • Die Spaltenbreite kann bei gehaltener rechter Maustaste verändert werden.
  • Spalten können via Drag&Drop neu angeordnet werden.

Spalte

Beschreibung

Name

Name der Variable.

Entspricht der Eigenschaft Name des zenon Editors.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Kennung

Kennung der Variable.

Entspricht der Eigenschaft Kennung des zenon Editors.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Istwert

Aktueller Wert der Variable.

Aktuallisierung via Buttons Aktualisierung ein oder Jetzt aktualisieren.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Sollwert

Sollwert der Variable.

Default: in der Runtime sichtbar

Maßeinheit

Maßeinheit der Variable.

Entspricht der Eigenschaft Maßeinheit des zenon Editors.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Minimum

Minimaler Signalbereich der Variable in der Steuerung.

Entspricht der Eigenschaft Signalbereich min. des zenon Editors.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Maximum

Maximaler Signalbereich der Variable in der Steuerung.

Entspricht der Eigenschaft Signalbereich max. des zenon Editors.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Status

Aktueller Status der Variable in Klartextdarstellung.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Zeitstempel

Aktueller Zeitstempel der Variable.

  • Hat ein Wert den Status T_EXTERN und kein T_INVAL wird als Zeitstempel des Wertes der externe Zeitstempel verwendet.
    Der externe Zeitstempel ist der Zeitwert, den die Steuerung zusammen mit dem Wert an den Treiber geliefert hat.
  • Hat ein Wert den Status T_INTERN oder hat T_EXTERN und T_INVAL, wird als Zeitstempel des Wertes der interne Zeitstempel verwendet.
    Der interne Zeitstempel ist der Zeitpunkt, zu dem der Treiber den Wert von der Steuerung empfangen hat.

Darstellung mit Sekunden-Genauigkeit.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Zeitstempel intern (UTC)

Aktueller interner Zeitstempel der Variable in UTC-Zeit.

Darstellung in Mikrosekunden-Auflösung.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Zeitstempel extern (UTC)

Aktueller externer Zeitstempel der Variable in UTC-Zeit.

Darstellung in Mikrosekunden-Auflösung.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Symbolische Adresse

Symbolische Adresse der Variable.

Entspricht der Eigenschaft Symbolische Adresse des zenon Editors.

Leer, wenn nicht vorhanden.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Adresse

Adresse der Variable.

Entspricht der Eigenschaftgruppe Adressierung des zenon Editors.

Default: in der Runtime sichtbar

Hinweis: In der Runtime nicht änderbar.

Istwert (Rohdaten)

Rohdaten des Variablen-Istwerts. Dieser Wert entspricht dem Istwert der Variable vor der Wertanpassung.

Default: wird nicht per Default in der Runtime angezeigt.

Hinweis: In der Runtime nicht änderbar.

Status (binär)

Status der Variable.

Anzeigeformat: zeigt das gesamte 64-Bit Statusregister in binärer Darstellung. Diese Darstellung ist immer binär, unabhängig von der gewählten Wertanzeige der Darstellungsoptionen.

Default: wird nicht per Default in der Runtime angezeigt.

Hinweis: In der Runtime nicht änderbar.

Zeitstempel extern (lokal)

Aktueller externer Zeitstempel der Variable in Lokalzeit.

Darstellung in Mikrosekunden-Auflösung.

N/A, wenn kein externer Zeitstempel vorhanden.

Default: wird nicht per Default in der Runtime angezeigt.

Hinweis: In der Runtime nicht änderbar.

Zeitstempel intern (lokal)

Interner Zeitstempel der Variable in Lokalzeit.

Darstellung in Mikrosekunden-Auflösung.

Default: wird nicht per Default in der Runtime angezeigt.

Hinweis: In der Runtime nicht änderbar.

Darstellungsoptionen

Kontrollelemente für die Darstellung von Zahlenwerten der Variablenliste. Eine Umschaltung der Wertanzeige setzt die Spaltenbreite wieder auf Default zurück. Z.B. werden manuell verbreiterte Spalten dadurch wieder kleiner.

In der Variablenliste werden folgende Inhalte in Zahlenwerten visualisiert und können über die Wertanzeige umgestellt werden:

  • Istwert
  • Sollwert
  • Minimum
  • Maximum
  • Istwert (Rohdaten)
Kontrollelement | Beschreibung
Wertanzeige: Dezimal | Werte der Variablenliste werden dezimal dargestellt.
Wertanzeige: Hexadezimal | Werte der Variablenliste werden hexadezimal dargestellt.
Wertanzeige: Binär | Werte der Variablenliste werden binär dargestellt.
Wertanzeige: Oktal | Werte der Variablenliste werden oktal dargestellt.
Wertanzeige: Exponential | Werte der Variablenliste werden dezimal exponentiell dargestellt.

Variablen

Kontrollelement | Beschreibung
Variable hinzufügen... | Variable in der Runtime zur Variablenliste hinzufügen.
Variable entfernen | Variable in der Runtime aus der Variablenliste entfernen.

Wertaktualisierung

Kontrollelement | Beschreibung
Istwert Aktualisierung ein | Automatisches Einlesen der aktuellen Variablenwerte einschalten.
Istwert Aktualisierung aus | Automatisches Einlesen der aktuellen Variablenwerte ausschalten.
Istwerte jetzt aktualisieren | Aktuelle Werte der Variablen neu einlesen.
Alle Variablen: Sollwerte absetzen | Sollwerte aller Variablen an die Hardware absetzen.
Ausgewählte Variablen: Sollwerte absetzen | Sollwerte der ausgewählten Variablen an die Hardware absetzen.
Sollwert ändern | Sollwert der ausgewählten Variable ändern.

Ausgewählte Variablen

Kontrollelement | Beschreibung
Umschalten auf Spontanwert | Ausgewählte Variablen auf Spontanwert umschalten.
Umschalten auf Ersatzwert | Ausgewählte Variablen auf Ersatzwert umschalten.
Ersatzwert modifizieren | Ersatzwert der ausgewählten Variablen modifizieren.
Status Revision absetzen | Für ausgewählte Variablen Revision einschalten. Dafür wird das Status-Bits REVISION (Bit 09) abgesetzt.
Revision zurücksetzen | Für ausgewählte Variablen Revision abschalten. Dafür wird das Status-Bits REVISION (Bit 09) zurückgesetzt.
Status OFF absetzen | Für ausgewählte Variablen Spontanwert einschalten. Dafür wird das Status Bit OFF (Bit 20) zurückgesetzt.
Status OFF zurücksetzen | Für ausgewählte Variablen Spontanwert abschalten. Dafür wird das Status-Bits OFF (Bit 20) abgesetzt.

Filterprofile

Buttons für Filtereinstellungen zur Runtime.

Kontrollelement

Beschreibung

Profilauswahl

Profil aus Liste auswählen.
Auswahl aus Dropdownliste. Diese Dropdownliste enthält Profile, welche mit dem Button Speichern gesichert wurden.

Speichern

Speichert aktuelle Einstellung als Profil.

Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten.
Verboten sind: ! \ / : * ? < > | ""
Gespeicherte Profile werden in der Dropdownliste Profilauswahl angezeigt.

Hinweis: Der Name darf maximal 31 Zeichen lang sein und nur gültige Zeichen enthalten.
Verboten sind: ! \ / : * ? < > | ""

Löschen

Löscht ausgewähltes Profil. Das gelöschte Profil steht nicht mehr in der Profilauswahl zur Verfügung.

Import

Importiert Filterprofile aus Exportdatei.

Importierte Filterprofile stehen anschließend in der Profilauswahl zur Verfügung.

Export

Exportiert Filterprofile in Datei.

info Info

Ein Dezimalwert kann sowohl mit Komma als auch mit Punkt angegeben werden. Das Dezimalzeichen wird automatisch in einen Punkt umgewandelt.

Tipp Tipp

Sie können nach den Status-Bits NORM und N_NORM filtern.


Bildumschaltung - Variablen-Diagnose

Handbuch > Variablen > Bild Variablen-Diagnose > Bildumschaltung - Variablen-Diagnose

Die für das Aufschalten eines Bildes Variablen-Diagnose benötigten Parameter sind die im Bild darzustellenden Variablen und die vorgeschlagenen Sollwerte für die ausgewählten Variablen.

Um eine Funktion zur Aufschaltung des Bildes Variablen-Diagnose anzulegen:

  • wählen Sie Funktion neu
  • wählen Sie Bildumschaltung
  • wählen Sie das Bild vom Typ Variablen-Diagnose aus
  • ein Dialog zur Konfiguration öffnet sich

Parameter | Beschreibung
Variablen | Liste der Variablen und deren Eigenschaften.
Variable hinzufügen | Öffnet den Dialog zur Variablenauswahl, um eine oder mehrere Variablen hinzuzufügen.
Variable lösen | Ausgewählte Variablen werden aus dem Bild gelöst.
Sollwert ändern | Die vorgeschlagenen Sollwerte für die Variablen des Bildes können verändert werden. Sollwerte können auch durch Klick in die Zelle mit dem Sollwert geändert werden.

Optionen

Parameter

Beschreibung

Zahlenbasis für Anzeige

Definiert Darstellung der Werte zur Runtime. Auswahl der Wertedarstellung aus Dropdownliste:

Mögliche Werte:

  • Dezimal
  • Hexadezimal
  • Binär
  • Oktal
  • Dezimal Exponential

Istwerte Aktualisierung ein

Aktiv: Beim Aufschalten des Fensters zur Runtime werden die Istwerte aktualisiert.

Diesen Dialog zur Runtime anbieten

Auswahl ob der Dialog in der Runtime angezeigt wird.

  • Aktiv: Dialog wird in der Runtime angezeigt.
    Einstellungen können vor der Ausführung bearbeitet werden.
  • Inaktiv: Dialog wird nicht zur Runtime angeboten.
    Es werden die im Editor projektierten Einstellungen angewendet.

info Info

Die Spalten (Angezeigter Text, Spaltentypen und Spaltenbreiten) können Sie ändern, indem Sie einen Rechtsklick auf den Spaltentitel machen. Im Kontextmenü finden Sie die Einstellungen dafür.


Bedienung zur Runtime

Handbuch > Variablen > Bild Variablen-Diagnose > Bedienung zur Runtime

Beim Aufschalten des Bildes Variablen-Diagnose werden zur Runtime die in der Bildumschaltfunktion projektierten Variablen angezeigt.

Führen Sie in der Runtime folgende Schritte aus, um Variablen aus der Variablenliste zu entfernen oder hinzuzufügen:

  • Klicken Sie den Button Hinzufügen...
    Der Variablenauswahldialog wird geöffnet.
  • Wählen Sie die gewünschten Variablen. Mehrfachauswahl ist möglich.
    Hinweis: Die Variablen des Auswahlbereichs können sortiert und gefiltert werden.
  • Klicken Sie den Button Hinzufügen um die gewählten Variablen zu übernehmen.
  • Bestätigen Sie Ihre Vorauswahl mit OK.
  • Der Variablenauswahldialog wird geschlossen.
    Die gewählten Variablen werden in der Variablenliste aufgelistet.

Variablen ausblenden

  • Wählen Sie die gewünschte Variable in der Variablenliste mit einem einfachen Rechtsklick aus.
  • Optional wählen Sie zusätzliche Variablen mit der Strg-Taste + Rechtsklick aus (Multi-Selekt).
  • Klicken Sie den Button Lösen.
    Die gewählten Variablen werden aus der Variablenliste entfernt.

Variablenauswahldialog

Der Variablenauswahldialog wird durch Klick auf den Button Hinzufügen aufgeschaltet.

Bereits in der Liste angezeigte Variablen sind in der Liste der anzuzeigenden Variablen enthalten.

Parameter

Beschreibung

Workspace

Baumansicht des aktuellen Arbeitsbereichs.

Das aktuelle Projekt und darin enthalten Integrations-Projekte werden angezeigt.

Auswahl des Projekts via Klick.

Variablenliste

Liste aller projektierten Variablen eines Projekts.

Diese Liste ist sortier- und filterbar.

Zusätzliche Spalten können via Kontextmenü angezeigt werden. Dieses Kontextmenü erhalten Sie, wenn sie in einer Spaltenüberschrift einen Rechtsklick ausführen.

Informationen über verfügbare und ausgewählte Variablen werden in der Fußleiste der Variablenliste als Text angezeigt.

Liste der anzuzeigenden Variablen

Liste aller gewählten Variablen.

Hinzufügen

Übernimmt gewählte Variablen von der Variablenliste in die Liste der anzuzeigenden Variablen.

Hinweis: Variablen der Variablenliste können auch mit Doppelklick übernommen werden.

Entfernen

Entfernt gewählte Variablen aus der Liste der anzuzeigenden Variablen.

Keine Auswahl

Entfernt alle Variablen aus der Liste der anzuzeigenden Variablen und schließt den Dialog.

In der Runtime werden keine Variablen angezeigt. Die Liste ist leer.

Pfeiltaste nach oben

Die aktuelle Auswahl wechselt zum darüberliegenden Eintrag.

Pfeiltaste nach unten

Die aktuelle Auswahl wechselt zum darunterliegenden Eintrag.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Maßeinheitenumschaltung

Handbuch > Variablen > Maßeinheitenumschaltung

Die Maßeinheitenumschaltung ermöglichen das Umrechnen und Umschalten von Basiseinheiten in sogenannte Umrechnungseinheiten, zum Beispiel Meter in Yard oder Meter in Dezimeter, Zentimeter und Millimeter. Eine Basiseinheit beinhaltet den Ausgangswert für eine Umrechnung. Die Umrechnungseinheit enthält den im Verhältnis zur Basiseinheit umgerechneten Wert. Beide verfügen über eine Maßeinheitenbezeichnung. Für die Umrechnungseinheiten können ein Faktor, ein Offset und eine Kommaverschiebung bezogen auf die zugehörige Basiseinheit definiert werden.

Bei der Parametrierung einer Variablen kann eine Basiseinheit ausgewählt werden. Über die Funktion Maßeinheitenumschaltung kann zur Runtime zwischen verschiedenen Maßeinheiten umgeschaltet werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Basiseinheit neu | Legt eine neue Basiseinheit an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Maßeinheiten aus einer XML-Dateien.
Hilfe | Öffnet die Online-Hilfe.

info Info

Die Maßeinheitenumschaltung darf nicht gemeinsam mit der Funktion variablerw des Report-Generator verwendet werden. Diese Report-Funktion stellt für ältere Projekte eine Einheitenumschaltung zur Verfügung. Wird eine in der Maßeinheitenumschaltung definierte Maßeinheit einer Variablen mit dieser Report-Funktion zur Runtime geändert, muss die Konfiguration in der Maßeinheitenumschaltung neu erfolgen.

Noch in diesem Kapitel

Maßeinheiten Detailansicht Symbolleiste und Kontextmenü

Maßeinheiten projektieren

Basiseinheit einer Variablen zuweisen

Funktion Einheitenumschaltung

Runtime


Maßeinheiten Detailansicht Symbolleiste und Kontextmenü

Handbuch > Variablen > Maßeinheitenumschaltung > Maßeinheiten Detailansicht Symbolleiste und Kontextmenü

Kontextmenü Maßeinheiten Detailansicht

Menüpunkt | Aktion
Basiseinheit neu | Legt eine neue Basiseinheit an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Maßeinheiten aus einer XML-Datei.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü und Symbolleiste Basiseinheit/Umrechnungseinheit

Menüpunkt | Aktion
Basiseinheit neu | Legt eine neue Basiseinheit an.
Umrechnungseinheit neu | Legt eine neue Umrechnungseinheit für die übergeordnete Basiseinheit an.
Verknüpfte Elemente: Zurück zu Ausgangselement springen | Dropdownliste mit Link zurück zu dem Element, von dem aus man zur Maßeinheit gekommen ist. Nur vorhanden, wenn Maßeinheit mit anderem Element verknüpft ist.
Umbenennen | Ermöglicht das Umbenennen der Maßeinheit. Achtung: Werden Maßeinheiten umbenannt, so müssen alle Maßeinheiten, die bereits mit Variablen verknüpft sind oder in Funktionen verwendet werden, bei der jeweiligen Variablen oder in der jeweiligen Funktion manuell angepasst werden. Siehe auch: Basiseinheit einer Variablen zuweisen Funktion Einheitenumschaltung.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren | Importiert Maßeinheiten aus einer XML-Dateien.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von" eingefügt.
Löschen | Löscht ausgewählte Einträge.
Hilfe | Öffnet die Online-Hilfe.


Maßeinheiten projektieren

Handbuch > Variablen > Maßeinheitenumschaltung > Maßeinheiten projektieren

Für die Umrechnung müssen Sie eine Basiseinheit und eine Umrechnungseinheit anlegen, sowie die Parameter für Umrechnung festlegen. Die Umrechnung erfolgt nach der Formel y=kx+d (Österreich) oder y=mx+b Deutschland). Jede Basiseinheit kann einer Variablen als Maßeinheit zugewiesen werden.

Um eine neue Basiseinheit anzulegen:

  1. wählen Sie im Projektmanager den Knoten Maßeinheiten
  2. führen Sie einen Rechtsklick auf Maßeinheiten aus
  3. wählen Sie aus dem Kontextmenü den Befehl Basiseinheit neu
  4. ein neuer Eintrag wird in der Liste angelegt
  5. vergeben Sie eine Bezeichnung für die Maßeinheit
  6. legen Sie eine Umrechnungseinheit an

Um eine neue Umrechnungseinheit anzulegen:

  • führen Sie einen Rechtsklick auf eine Basiseinheit aus
  • wählen Sie aus dem Kontextmenü den Befehl Umrechnungseinheit neu
  • ein neuer Eintrag wird in der Liste angelegt
  • vergeben Sie eine Bezeichnung für die Maßeinheit
  • legen Sie einen Faktor für die Umrechnung fest
  • legen Sie einen Wert für die Kommaverschiebung fest
  • legen Sie einen Wert für den Offset fest


Basiseinheit einer Variablen zuweisen

Handbuch > Variablen > Maßeinheitenumschaltung > Basiseinheit einer Variablen zuweisen

Basiseinheiten werden in der Eigenschaft Maßeinheit (Knoten Allgemein) einer Variable zugewiesen.

Sie können hier freie Bezeichnungen für Maßeinheiten vergeben. Soll die Maßeinheitenumrechnung zur Runtime genutzt werden, wählen Sie eine zuvor definierte Basiseinheit aus der Dropdownliste aus.

Tipp: Falls Sie eine freie Bezeichnung vergeben, legen Sie am besten gleich im Anschluss im Knoten Maßeinheiten die Basiseinheit mit gleichem Namen an.

Damit zur Runtime umgerechnet werden kann, müssen Sie eine Funktion Maßeinheitenumschaltung anlegen.

attention Achtung

Wird eine Maßeinheit nachträglich umbenannt, so wird die Umbenennung bei bereits verknüpften Variablen nicht automatisch nachgezogen.

Um bereits verknüpfte Maßeinheiten umzubenennen:

  • wählen Sie die Detailansicht im Projektmanager
  • wählen Sie die Spalte Maßeinheiten oder fügen Sie diese der Ansicht hinzu, falls sie noch nicht angezeigt wird
  • wählen Sie im Kontextmenü den Befehl Text in selektierter Spalte ersetzen
  • suchen Sie im sich öffnenden Dialog nach dem alten Namen und ersetzen Sie ihn durch den neuen


Funktion Einheitenumschaltung

Handbuch > Variablen > Maßeinheitenumschaltung > Funktion Einheitenumschaltung

Damit zur Runtime zwischen Maßeinheiten umgeschaltet werden kann, legen Sie eine Funktion Einheitenumschaltung an:

  • wählen Sie im Projektmanager den Knoten Funktion
  • wählen Sie im Kontextmenü den Befehl Funktion neu
  • navigieren Sie zur Gruppe Variable
  • wählen Sie die Funktion Einheitenumschaltung

    Hinweis: Das Ausführen der Funktion Einheitenumschaltung löst auch einen Refresh des Reports aus, falls dieser gerade angezeigt wird.

  • der Dialog zur Parametrierung der Einheitenumschaltung öffnet sich:

Eigenschaft | Beschreibung
Einheitenumschaltung | Dialog zum Zuweisen von Umrechnungseinheiten zu Basiseinheiten.
Basiseinheit | Liste der angelegten Basiseinheiten.
Umschalten in | Dropdownliste zur Auswahl der Umrechnungseinheit. Es kann entweder eine projektierte Umrechnungseinheit oder die Basiseinheit gewählt werden. Projektierte Umrechnungseinheit: Zur Runtime wird auf diese umgeschaltet. <Basiseinheit>: Die Basiseinheit bleibt zur Runtime aktiv.

info Info

Beim XML-Export dieser Funktion werden die Maßeinheiten nicht mit exportiert. Diese müssen separat exportiert werden.

attention Achtung

Wird eine Maßeinheit nachträglich umbenannt, so wird die Umbenennung der Basiseinheit in den Funktionen automatisch berücksichtigt. Umrechnungseinheiten müssen manuell geändert werden.


Runtime

Handbuch > Variablen > Maßeinheitenumschaltung > Runtime

In der Runtime wird jeder Variablenwert bei jeder Ein- oder Ausgabe zusätzlich zur standardmäßig verwendeten Umrechnung von Signal- auf Messbereicheinheiten umgerechnet.

  • Ausgabe: Über die Funktion Maßeinheitenumschaltung wird eine Umrechnungseinheit für eine Variable aktiviert. Der Wert in Messbereichseinheiten wird mit dem darin eingestellten Offset und Faktor beaufschlagt. Zudem wird für die Umwandlung des Wertes in einen String die an der Variable eingestellte Anzahl der Nachkommastellen entsprechend korrigiert.
  • Eingabe: Die Umrechnung erfolgt analog zur Ausgabe in umgekehrter Richtung.

Einschränkungen:

  • Beim Export werden die umgeschalteten Einheiten exportiert.
  • Werte, die als String gespeichert sind, werden für die Ausgabe nicht erneut umgerechnet. Diese Werte bleiben in der Maßeinheit, die zum Zeitpunkt des Erstellens des Strings aktiv war. Insbesondere trifft dies alle Werte, die in den Text eines CEL-Eintrags eingefügt werden, wie „Sollwert geändert von ALT auf NEU" usw.
  • Betriebsstunden und Schaltspiel-Zähler im Industrial Maintenance Manager werden immer in Basiseinheiten angezeigt.
  • Leistungen im EMS-Bild werden immer in Basiseinheit angezeigt.

VBA

Zugriffe auf Werte über VBA erfolgen immer in Basiseinheiten. Zum Beispiel liefert Variable.Value keinen maßeinheitenumgeschalteten Wert, da es sich um keine Wertausgabe handelt. Damit auch über VBA die Maßeinheitenumschaltung genutzt werden kann, wurden 4 neue Funktionen an Variable. eingebaut:

Keyword | Beschreibung
SecondaryUnitName | liefert den Namen der eingestellten Umrechnungseinheit
SecondaryUnitDigits | liefert die Nachkommastellen der eingestellten Umrechnungseinheit
CalcSecondaryUnitValue | rechnet Wert der Basiseinheit in den Wert der Umrechnungseinheit um
CalcPrimaryUnitValue | rechnet Wert der Umrechnungseinheit in den Wert der Basiseinheit um


Verriegelungen

Handbuch > Verriegelungen

Verriegelungen dienen dazu, den Zugriff auf bestimmte zenon Objekte zur Runtime mithilfe von Variablen steuern zu können. Bedieneingaben können in Abhängigkeit von Variablen freigegeben oder unterdrückt werden. Abhängig von Prozesszuständen können Bedieneingaben aktiviert/deaktiviert werden.

Es können im Projekt beliebig viele Verriegelungen angelegt und verwendet werden. Bei jeder Verriegelung sind mehrere Verriegelungsbedingungen parallel möglich.

Verriegelbare Objekte

Alle Dynamische Elemente außer Trend-Element und Meldungselement.

Kontextmenü Projektmanager

Parameter | Beschreibung
Verriegelung neu | Legt eine neue Verriegelung an und öffnet den Dialog zur Variablenauswahl.
Alle als XML exportieren... | Exportiert alle Einträge der Verriegelung in eine XML-Datei.
XML importieren | Importiert XML-Dateien.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

info Info

Variablen für die Verriegelung können ersetzt werden. Details siehe Kapitel Ersetzen von Variablen und Funktionen in Dynamischen Elementen.

Example Beispiel

Eine Maschine ist in vollem Automatik Betrieb und darf daher nicht in den manuellen Betriebszustand umgeschaltet werden. Erst wenn ein gewisser Betriebszustand (z. B. STOP) erreicht ist, darf umgeschaltet werden. Mit den Verriegelungen kann in der Visualisierungsoberfläche der Button zur Umschaltung zwischen Hand/Automatik solange gesperrt werden bis dieser Zustand (z. B. STOP) gegeben ist. Dadurch kann eine Fehlbedienung vermieden werden.

Noch in diesem Kapitel

Kontextmenü und Symbolleiste Detailansicht

Projektieren im Editor

Bedienen zur Runtime


Kontextmenü und Symbolleiste Detailansicht

Handbuch > Verriegelungen > Kontextmenü und Symbolleiste Detailansicht

Symbolleiste

Symbol | Beschreibung
Verriegelung neu | Erstellt eine neue Verriegelung und öffnet den Dialog zur Auswahl der Variablen.
Verriegelungsbedingung neu | Legt eine neue Verriegelungsbedingung an.
Variable hinzufügen | Öffnet Dialog zur Auswahl einer Variablen
Kopieren | Kopiert ausgewählte Bedingung.
Einfügen | Fügt Bedingung aus Zwischenablage ein.
Löschen | Löscht ausgewählte Bedingung.
Auswahl als XML exportieren... | Exportiert ausgewählte Einträge in XML-Datei.
XML importieren | Importiert aus XML-Datei.
Umbenennen | Ermöglicht das Umbenennen eines Elements. Auch per Mausklick in das Feld oder über F2-Taste möglich.
Eigenschaften | Öffnet das Eigenschaftenfenster für das ausgewählte Element.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Verriegelungen

Parameter | Beschreibung
Verriegelung neu | Legt eine neue Verriegelung an und öffnet den Dialog zur Variablenauswahl.
Einfügen | Fügt kopierte Verriegelung aus Zwischenablage ein.
Alle als XML exportieren... | Exportiert alle Einträge der Verriegelung in eine XML-Datei.
XML importieren | Importiert XML-Dateien.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü einzelne Verriegelung

Parameter | Aktion
Variable hinzufügen | Öffnet den Dialog zur Auswahl einer Variablen.
Verriegelungsbedingung neu | Legt eine neue Verriegelungsbedinung an.
Kopieren | Kopiert ausgewählte Verriegelung.
Einfügen | Fügt Verriegelung aus Zwischenablage ein.
Löschen | Löscht ausgewählte Verriegelung.
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren | Importiert aus XML-Datei.
Umbenennen | Ermöglicht das Umbenennen eines Elements. Auch per Mausklick in das Feld oder über F2-Taste möglich.
Eigenschaften | Öffnet das Eigenschaftenfenster für das ausgewählte Element.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Gruppe Variablen

Parameter | Aktion
Variable hinzufügen | Öffnet Dialog zur Auswahl einer Variablen
Einfügen | Fügt Bedingung aus Zwischenablage ein.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü einzelne Variable

Parameter | Aktion
Variable entfernen | Löscht nach einer Sicherheitsabfrage die ausgewählte Variable.
Kopieren | Kopiert ausgewählte Variable
Einfügen | Fügt Variable aus Zwischenablage ein.
Eigenschaften | Öffnet das Eigenschaftenfenster für das ausgewählte Element.
Hilfe | Öffnet die Online-Hilfe.

Kontextmenü Verriegelungsbedingungen

Parameter | Aktion
Verriegelungsbedingung neu | Legt eine neue Verriegelungsbedinung an.
Einfügen | Fügt Bedingung aus Zwischenablage ein.
Hilfe | Öffnet die Online-Hilfe.


Projektieren im Editor

Handbuch > Verriegelungen > Projektieren im Editor

Projektieren Sie die Verriegelungen im Editor, um den Zugriff auf bestimmte zenon Objekte zur Runtime über Variablen zu steuern.

Hierzu können Sie:

  • neue Verriegelungen erstellen
  • die Verriegelungsvariablen von bestehenden Verriegelungen substituieren, um eine Verriegelung für beliebig viele Anwendungen nutzen zu können

Noch in diesem Kapitel

Verriegelungen erstellen

Formeleditor


Verriegelungen erstellen

Handbuch > Verriegelungen > Projektieren im Editor > Verriegelungen erstellen

Erstellen Sie eine Verriegelung mit einer Verriegelungsvariable. Verknüpfen Sie diese anschließend mit einer Bedingung, um die Verriegelung zur Runtime nutzen zu können.

Hinweis: Variablen von Verriegelungen können bei verknüpften Symbolen und der Bildumschaltung substituiert werden. Die Substituierung von Verriegelungsvariablen ist nur möglich, wenn in den Symboleigenschaften unter Verknüpfungsregel die Checkbox der Eigenschaft Verriegelungsvariablen berücksichtigen aktiviert ist.

attention Achtung

Eine Variable darf nicht zugleich Verriegelungsvariable und Rückmeldevariable sein. Diese Konfiguration würde zu einer Endlosschleife führen.

Die Verriegelung kann mit einer Bedingung verknüpft werden. Dazu müssen Sie zuerst im Eigenschaftenfenster eine oder mehrere neue Verrieglungsbedingungen anlegen.

Bei jeder Bedingung kann dann bei der Eigenschaft Logische Verknüpfung eine binäre Formel eingegeben werden.

Hinweis: Wenn eine neue Verriegelung angelegt wird, wird in den Verriegelungsbedingungen per Default eingetragen:

  • Eigenschaft Logische Verknüpfung: <Keine Formel>
  • Eigenschaft Verriegelungstext: @<Kein Verriegelungstext>

Wenn ein Verriegelungstext oder eine Logische Verknüpfung einer bereits existierenden Verriegelung gelöscht werden, erscheint beim Kompilieren des Projekts eine Warnmeldung im Ausgabefenster, dass ein Verriegelungstext oder eine Logische Verknüpfung fehlt.

Wird nur der Verriegelungstext einer bereits existierenden Verriegelung gelöscht und die Warnmeldung beim Kompilieren nicht beachtet, wird zur Runtime kein Text im Eintrag in der Verriegelungsliste angezeigt, wenn eine Aktion mit genau diesen Einstellungen ausgeführt wurde. Die Verriegelung ist aber aktiv.

Der fehlende Text im Eintrag in der Verriegelungsliste ist auf die fehlerhafte Konfiguration der Verriegelung zurückzuführen.

Mit Verriegelungen können Elemente in der Visualisierungs-Oberfläche gesperrt werden.

info Info

Ein Element in der Visualisierungs-Oberfläche ist dann gesperrt, wenn die Verriegelungsbedingung zutrifft, also Logisch 1 - TRUE ergibt.

Verriegeln: Sind mehrere Bedingungen bei der Verriegelung projektiert, dann reicht es aus, wenn eine Bedingung erfüllt ist, um das Element zu sperren!

Mit dem Formeleditor lassen sich binäre und numerische Formeln als Verriegelungsbedingung definieren. Er wird durch Klick auf die Eigenschaft Logische Verknüpfung im Eigenschaftenfenster geöffnet. Der Formeleditor erlaubt die Erstellung von binären Ausdrücken unter Zuhilfenahmen der zugeordneten Variablen und der Logischen und Bitweisen Operatoren, wie auch Vergleichsoperatoren. Siehe auch Kapitel Bilder/Vergleichsoperatoren.

info Info

Entriegeln: Sind mehrere Bedingungen mit der Verriegelung verknüpft, so muss jede erfüllte Bedingung entriegelt sein.

Erstellen einer Verriegelung

  1. Gehen Sie im Projektbaum auf Verriegelungen.
  2. Gehen Sie in der Symbolleiste oder im Kontextmenü auf Verriegelung neu.

    Der Dialog Variablenauswahl wird geöffnet.

  3. Wählen Sie die gewünschte Verriegelungsvariable mit einem Mausklick aus.
  4. Klicken Sie auf den Button Hinzufügen.

    Die Verriegelungsvariable wird hinzugefügt.

  5. Schließen Sie den Dialog mit einem Klick auf OK.

    Die ausgewählte Verriegelungsvariable wird in der Verriegelung unter Variablen angezeigt.

    Eine neue Bedingung wird hinzugefügt.

  6. Falls gewünscht, können Sie den Namen der Verriegelung ändern.
    1. Klicken Sie hierzu auf mit der linken Maustaste auf die neu angelegte Verriegelung.

      Das Eigenschaftenfenster der Verriegelung wird geöffnet.

    2. Ändern Sie den Namen unter Allgemein und Name.
  7. Klicken Sie mit der rechten Maustaste auf Verriegelungsbedingungen und Verriegelungsbedingung neu.
  8. Klicken Sie in den Projekteigenschaften unter Bedingung und Logische Verknüpfung auf die Auswahlschaltfläche ....

    Der Dialog Formel wird geöffnet.

  9. Geben Sie eine Verriegelungsbedingung ein.

    Beispiel: (X01.Wert > 0)

  10. Bestätigen Sie die Eingabe mit einem Klick auf OK.

Die Erstellung der Verriegelung ist nun abgeschlossen.

Werte für Rückmeldevariable

Die Rückmeldevariable liefert Werte für den Status der Verriegelung:

  • 0: nicht verriegelt
  • 1: verriegelt
  • 2: mindestens eine Bedingungsvariable hat keinen Wert
  • 3: mindestens ein Wert für eine Bedingung hat ein INVALID Bit

Noch in diesem Kapitel

Substituieren von Verriegelungsvariablen

Konfigurationsbeispiel zur Substituierung von Verriegelungsvariablen


Substituieren von Verriegelungsvariablen

Handbuch > Verriegelungen > Projektieren im Editor > Verriegelungen erstellen > Substituieren von Verriegelungsvariablen

Sie können Verriegelungsvariablen substituieren, um eine bereits erstellte Verriegelung für beliebig viele weitere Anwendungen mit einer jeweils eigenen Verriegelungsvariable zu nutzen.

Beispiel: Verriegelung 1 beinhaltet die Verriegelungsvariable Interlocking 1. Die substituierten Verriegelungsvariablen Interlocking 2, Interlocking 3, ... verwenden dann ebenfalls die Einstellungen von Verriegelung 1.

Vorraussetzungen

  • Das Symbol muss über einen Inhalt mit einer Verriegelung verfügen.
  • In den Symboleigenschaften muss unter Verknüpfungsregel die Checkbox der Eigenschaft Verriegelungsvariablen berücksichtigen aktiviert sein.
  • Die gewünschten Verriegelungsvariablen müssen bereits im Projektbaum unter dem Knoten Variablen angelegt worden sein.

Substituieren von Verriegelungsvariablen bei der Verknüpfung mit Bildern

Vorgehen:

  1. Wählen Sie im Projektbaum unter Bilder das Bild aus, mit dem Sie das Symbol verknüpfen möchten.
  2. Öffnen Sie das gewünschte Bild mit einem Doppelklick.
  3. Gehen Sie im Projektbaum auf Bilder und Symbolbibliothek.
  4. Wählen Sie das gewünschte Symbol mit einem Mausklick aus.

    Hinweis: Mindestens ein Inhalt des Symbols muss über eine Verriegelung verfügen, um die Verriegelungsvariable substituieren zu können.

  5. Ziehen Sie das Symbol mit Drag&Drop in das gewünschte Bild, um das Symbol mit dem Bild zu verknüpfen.

    Der Dialog Element-Eingabe wird geöffnet.

    Im unteren Teil des Dialogs ist die Verriegelungsvariable unter Vorschau Quelle und Ziel ersichtlich.

    Initial sind Quelle und Ziel mit der gleichen Verriegelungsvariable befüllt.

  6. Geben Sie unter Verknüpfungsregel und Quelle (mit '*' oder '?') den Namen der in Vorschau unter Quelle befindlichen Verriegelungsvariable ein.

    Beispiel: Interlocking 1

    Per Default sind unter Variablen ersetzen über Name und Verriegelungsvariablen berücksichtigen ausgewählt.

  7. Geben Sie unter Verknüpfungsregel und Ersetzen durch den Namen der neuen Verriegelungsvariable ein.

    Beispiel: Interlocking 2 Die Variable muss vorher bereits angelegt worden sein.

  8. Klicken Sie im Dialog Element Eingabe auf den Button Vorschau.

    Die Anzahl der ersetzten Verbindungen wird in einem eigenem Dialog angezeigt.

  9. Schließen Sie den Dialog mit einem Klick auf OK.

    Unter Vorschau und Ziel ist nun die substituierte Verriegelungsvariable des Inhalts des Symbols ersichtlich.

  10. Schließen Sie den Dialog mit einem Klick auf OK.

Substituieren von Verriegelungsvariablen in der Symbolbibliothek

Vorgehen:

  1. Gehen Sie im Projektbaum auf den Knoten Bilder und Symbolbibliothek.
  2. Wählen Sie mit einem Doppelklick das Symbol aus, dessen Verriegelungsvariablen substituiert werden sollen.

    Eine Ansicht des Symbols wird geöffnet.

  3. Klicken Sie im Symbol auf das verknüpfte Symbol mit der Verriegelung, dessen Verriegelungsvariablen substituiert werden sollen.
  4. Gehen Sie in den Eigenschaften des Inhalts des Symbols auf Verknüpfungsregel.
  5. Klicken Sie unter Vorschau auf die Auswahlschaltfläche ....

    Der Dialog Element-Eingabe wird geöffnet.

    Im unteren Teil des Dialogs ist die Verriegelungsvariable unter Vorschau Quelle und Ziel ersichtlich.

    Initial sind Quelle und Ziel mit der gleichen Verriegelungsvariable befüllt.

  6. Geben Sie unter Verknüpfungsregel und Quelle (mit '*' oder '?') den Namen der in Vorschau unter Quelle befindlichen Verriegelungsvariable ein.

    Beispiel: Interlocking 1

    Per Default sind unter Variablen ersetzen über Name und Verriegelungsvariablen berücksichtigen ausgewählt.

  7. Geben Sie unter Verknüpfungsregel und Ersetzen durch den Namen der neuen Verriegelungsvariable ein.

    Beispiel: Interlocking 2 Die Variable muss vorher bereits angelegt worden sein.

  8. Klicken Sie im Dialog Element Eingabe auf den Button Vorschau.

    Die Anzahl der ersetzten Verbindungen wird in einem eigenem Dialog angezeigt.

  9. Schließen Sie den Dialog mit einem Klick auf OK.

    Unter Vorschau und Ziel ist nun die substituierte Verriegelungsvariable des Inhalts des Symbols ersichtlich.

  10. Schließen Sie den Dialog mit einem Klick auf OK.
  11. Wenn Sie weitere Inhalte des Symbols mit Verriegelungsvariablen substituieren wollen, führen Sie die beschriebenen Schritte auch für diese Inhalte aus.


Konfigurationsbeispiel zur Substituierung von Verriegelungsvariablen

Handbuch > Verriegelungen > Projektieren im Editor > Verriegelungen erstellen > Konfigurationsbeispiel zur Substituierung von Verriegelungsvariablen

Grundsätzliches Vorgehen bei der Erstellung des Konfigurationsbeispiels:

  1. Erstellen Sie eine Verriegelung.
  2. Verknüpfen Sie ein Symbol mit der Verriegelung.
  3. Substituieren Sie die Verriegelungsvariable.
  4. Verknüpfen Sie das Symbol mit einem Bild, um die Substituierung zur Runtime nutzen zu können.

Erstellen einer Verriegelung

  1. Gehen Sie im Projektbaum auf Verriegelungen.
  2. Gehen Sie in der Symbolleiste oder im Kontextmenü auf Verriegelung neu.

    Der Dialog Variablenauswahl wird geöffnet.

  3. Wählen Sie die gewünschte Verriegelungsvariable mit einem Mausklick aus.
  4. Klicken Sie auf den Button Hinzufügen.

    Die Verriegelungsvariable wird hinzugefügt.

  5. Schließen Sie den Dialog mit einem Klick auf OK.

    Die ausgewählte Verriegelungsvariable wird in der Verriegelung unter Variablen angezeigt.

    Eine neue Bedingung wird hinzugefügt.

  6. Falls gewünscht, können Sie den Namen der Verriegelung ändern.
    1. Klicken Sie hierzu auf mit der linken Maustaste auf die neu angelegte Verriegelung.

      Das Eigenschaftenfenster der Verriegelung wird geöffnet.

    2. Ändern Sie den Namen unter Allgemein und Name.
  7. Klicken Sie mit der rechten Maustaste auf Verriegelungsbedingungen und Verriegelungsbedingung neu.
  8. Klicken Sie in den Projekteigenschaften unter Bedingung und Logische Verknüpfung auf die Auswahlschaltfläche ....

    Der Dialog Formel wird geöffnet.

  9. Geben Sie eine Verriegelungsbedingung ein.

    Beispiel: (X01.Wert > 0)

  10. Bestätigen Sie die Eingabe mit einem Klick auf OK.

Die Erstellung der Verriegelung ist nun abgeschlossen.

Verknüpfen eines Symbols mit der Verriegelung

  1. Gehen Sie im Projektbaum auf Bilder und Symbolbibliothek.
  2. Wählen Sie ein bestehendes Symbol aus, das Sie mit der Verriegelung verknüpfen möchten.

    Alternativ können Sie jedoch auch ein neues Symbol erstellen. Diese Vorgehensweise wird im Folgenden beschrieben.

  3. Klicken Sie auf Symbol neu, um ein neues Symbol zu erstellen.

    Der Symbolname wird angelegt.

  4. Führen Sie einen Doppelklick auf den Symbolnamen aus, um eine Detailansicht zu öffnen. Fügen Sie zum Beispiel ein Rechteck in das Symbol ein.
  5. Ändern Sie die Farbe des Rechtecks im Eigenschaftenfenster unter Füllung und Füllfarbe auf eine beliebige Farbe.
  6. Gehen Sie im Eigenschaftsfenster auf Sichtbarkeit/Blinken.
  7. Klicken Sie unter Sichtbarkeit auf den nach unten weisenden Pfeil des Textfeldes , um alle Auswahlmöglichkeiten zu sehen.
  8. Stellen Sie Von Verriegelung ein.
  9. Wählen Sie unter Verriegelung die vorher erstellte Verriegelung aus.

    Das Symbol ist nun mit der Verriegelung verknüpft. Die Sichtbarkeit des Symbols richtet sich nach der in den Verriegelungsbedingungen definieren Formel.

  10. Speichern Sie die Änderungen.

    Das Symbol wird nun in der Vorschau angezeigt.

Substituieren der Verriegelungsvariable

  1. Gehen Sie im Projektbaum auf Bilder und Symbolbibliothek.
  2. Erstellen Sie ein neues Symbol.
  3. Ziehen Sie nun mit Drag&Drop das vorher erstellte Symbol mit der Verriegelung in die Detailansicht des neuen Symbols.

    Der Dialog Element-Eingabe wird geöffnet.

    Im unteren Teil des Dialogs ist die Verriegelungsvariable unter Vorschau Quelle und Ziel ersichtlich.

    Initial sind Quelle und Ziel mit der gleichen Verriegelungsvariable befüllt.

  4. Geben Sie unter Verknüpfungsregel und Quelle (mit '*' oder '?') den Namen der in Vorschau unter Quelle befindlichen Verriegelungsvariable ein.

    Beispiel: Interlocking 1

    Per Default sind unter Variablen ersetzen über Name und Verriegelungsvariablen berücksichtigen ausgewählt.

  5. Geben Sie unter Verknüpfungsregel und Ersetzen durch den Namen der neuen Verriegelungsvariable ein.

    Beispiel: Interlocking 2 Die Variable muss vorher bereits angelegt worden sein.

  6. Klicken Sie im Dialog Element Eingabe auf den Button Vorschau.

    Die Anzahl der ersetzten Verbindungen wird in einem eigenem Dialog angezeigt.

  7. Schließen Sie den Dialog mit einem Klick auf OK.

    Unter Vorschau und Ziel ist nun die substituierte Verriegelungsvariable des Inhalts des Symbols ersichtlich.

  8. Schließen Sie den Dialog mit einem Klick auf OK.
  9. Klicken Sie auf das Diskettensymbol, um die Änderungen zu Speichern.

Substituieren von Verriegelungsvariablen beim Verknüpfen eines Symbols mit einem Bild

Sie können Verriegelungsvariablen auch substituieren, wenn Sie das entsprechende Symbol aus der Symbolbibliothek mit einem Bild verknüpfen.

Vorgehen:

  1. Öffnen Sie hierzu das gewünschte Bild.
  2. Wählen Sie das gewünschte Symbol in der Symbolbibliothek aus und ziehen Sie es mit Drag&Drop in das Bild.

    Der Dialog Element-Eingabe wird geöffnet.

  3. Führen Sie die Substituierung durch, wie unter Substituieren der Verriegelungsvariable beschrieben.


Formeleditor

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor

Der Formeleditor unterstützt bei der Erstellung von Formeln mit logischen oder vergleichenden Operatoren beim Combi-Element, bei Verriegelungen und Befehlsgabe. Werden für eine Formel zusätzliche Variablen benötigt, erstellen Sie diese im Bereich Formelvariablen des Zustandsfensters mit Klick auf die Schaltfläche Hinzufügen. Vorhandene Formeln werden in der Zustandsliste durch den Buchstaben F angezeigt.

Hinweis zur Eingabe von Nachkommastellen:

  • Dezimaltrennzeichen: Komma (,) wird automatisch durch Punkt (.) ersetzt
  • Null als Nachkommastelle wird automatisch entfernt, aus 23.000 wird automatisch 23

Formel erstellen

Klicken Sie im Zustandsfenster auf die Schaltfläche Formel. Der Formeleditor öffnet sich

Im linken Fenster wählen Sie die Bits für Ihre Formel aus.

Rechts finden Sie die Operatoren für logische und vergleichende Operationen.

Im Bereich Formel wird die erstellte Formel angezeigt.

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99. Die Länge der Formel darf dabei 4096 Zeichen nicht überschreiten.

Die Bedeutung der Bits:

Parameter

Beschreibung

Wert-Bits

Es stehen 32 Wert-Bits (von 0 -31) zur Verfügung. Sie beschreiben den Variablenwert bitweise. Für binäre Variablen hat nur das Bit 0 Bedeutung, für SINT und USINT die Bits 0-7 usw...

Hinweis: Die Auswertung bezieht sich immer auf den Rohwert (Signalbereich) der Variablen und nicht auf den umgerechneten Messwert.

Status-Bits

Stellt die gängigsten Status-Bits zur Verfügung. Die genaue Definition und Verwendung der Status-Bits finden Sie in der Liste Status-Bits.

unquittiert

Unquittiert wird wie ein ganz normales Status-Bit behandelt, wird hier aber separat angeführt, da es nicht zu den klassischen Variablen Status gehört.

Wert und Status

Alle Werte (Wert-Bits und Status-Bits) in den Formeln werden als Binärwerte betrachtet und können dann logisch mit UND oder ODER sowie anderen logischen Ausdrücken verbunden werden.
Eine Ausnahme bilden der Gesamtwert und der Gesamtstatus. Damit man bei diesen auf einen Booleschen Ausdruck kommt, muss man den Gesamtwert zuerst mit einer Konstante bitweise verodern. Dazu wird der Operator & verwendet.
Bei Ergebnis 0 (FALSE) der bitweisen Veroderung ergibt sich der Binärwert 0 (FALSE), ansonsten 1 (TRUE).

Beispiel: Siehe Kapitel Beispiel bitweise Veroderung.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.

Werden außerhalb des Formeleditors andere Einstellungen für den aktuellen Zustand gemacht, so werden diese mit der Formel mit einem logischen UND verknüpft.

Für Beispiele siehe Abschnitt Beispiele für Formeln.

info Info

Formeln mit binären X-Werten und bitweiser Verknüpfung können mit maximal 2 binären Werten benutzt werden. Werden mehr Werte benötigt, muss die Verknüpfung ohne binäre X-Werte erfolgen.

Beispiel:

X01.Value & X02.Value -> funktioniert

X01.Value & X02.Value & X03.Value -> funktioniert nicht

Aber:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funktioniert

Noch in diesem Kapitel

Liste Status-Bits

Logische Operatoren

Bitformeln

Vergleichsoperatoren

Beispiele für Formeln


Liste Status-Bits

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor > Liste Status-Bits

Bitnummer | Kurzbezeichner | Langbezeichnung | zenon Logic Bezeichner
0 | M1 | Benutzerstatus 1, oder Aktionstyp Sperre bei Befehlsgabe, oder Service Tracking des IEC 850 Treibers. | _VSB_ST_M1
1 | M2 | Benutzerstatus 2 | _VSB_ST_M2
2 | M3 | Benutzerstatus 3 | _VSB_ST_M3
3 | M4 | Benutzerstatus 4 | _VSB_ST_M4
4 | M5 | Benutzerstatus 5 | _VSB_ST_M5
5 | M6 | Benutzerstatus 6 | _VSB_ST_M6
6 | M7 | Benutzerstatus 7 | _VSB_ST_M7
7 | M8 | Benutzerstatus 8 | _VSB_ST_M8
8 | NET_SEL | Select im Netzwerk | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In Bedienung | _VSB_DIREC
11 | TIMEOUT | Befehl Laufzeit-Überschreitung (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Handwert | _VSB_MVALUE
13 | M14 | Benutzerstatus 14 | _VSB_ST_14
14 | M15 | Benutzerstatus 15 | _VSB_ST_15
15 | M16 | Benutzerstatus 16 | _VSB_ST_16
16 | GI | Generalabfrage | _VSB_GR
17 | SPONT | Spontan | _VSB_SPONT
18 | INVALID | Ungültig | _VSB_I_BIT
19 | T_STD_E | Standardzeit (Winterzeit) extern Achtung: bis Version 7.50 war dies das Statusbit T_CHG_A | _VSB_SUWI
20 | OFF | Abgeschaltet | _VSB_N_UPD
21 | T_EXTERN | Echtzeit - externer Zeitstempel | _VSB_RT_E
22 | T_INTERN | Interner Zeitstempel | _VSB_RT_I
23 | N_SORTAB | Nicht sortierfähig | _VSB_NSORT
24 | FM_TR | Störmeldung Trafowert | _VSB_DM_TR
25 | RM_TR | Laufmeldung Trafowert | _VSB_RM_TR
26 | INFO | Info der Variable | _VSB_INFO
27 | ALT_VAL | Ersatzwert | _VSB_AVALUE
28 | RES28 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES28
29 | N_UPDATE | Nicht aktualisiert (zenon Netzwerk) | _VSB_ACTUAL
30 | T_STD | Standardzeit intern | _VSB_WINTER
31 | RES31 | Reserviert für interne Verwendung (Alarmblinken) | _VSB_RES31
32 | COT0 | Übertragungsursache Bit 1 | _VSB_TCB0
33 | COT1 | Übertragungsursache Bit 2 | _VSB_TCB1
34 | COT2 | Übertragungsursache Bit 3 | _VSB_TCB2
35 | COT3 | Übertragungsursache Bit 4 | _VSB_TCB3
36 | COT4 | Übertragungsursache Bit 5 | _VSB_TCB4
37 | COT5 | Übertragungsursache Bit 6 | _VSB_TCB5
38 | N_CONF | Negative Bestätigung des Kommandos durch Gerät (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Schreiben bestätigt | _VSB_WR_ACK
41 | WR_SUC | Schreiben erfolgreich | _VSB_WR_SUC
42 | NORM | Normalzustand | _VSB_NORM
43 | N_NORM | Abweichung Normalzustand | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Externer Zeitstempel ungültig | nicht definiert
50 | CB_TRIP | Schalterfall erkannt | nicht definiert
51 | CB_TR_I | Schalterfallerkennung inaktiv | nicht definiert
52 | OR_DRV | Wert außerhalb des gültigen Bereiches (IEC 61850) | nicht definiert
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | nicht definiert
54 | PR_NR | In Prozess-Rekorder nicht aufgezeichnet | nicht definiert
55 | RES55 | reserviert | nicht definiert
56 | RES56 | reserviert | nicht definiert
57 | RES57 | reserviert | nicht definiert
58 | RES58 | reserviert | nicht definiert
59 | RES59 | reserviert | nicht definiert
60 | RES60 | reserviert | nicht definiert
61 | RES61 | reserviert | nicht definiert
62 | RES62 | reserviert | nicht definiert
63 | RES63 | reserviert | nicht definiert

info Info

In Formeln stehen alle Statusbits zur Verfügung. Für andere Verwendungen kann die Verfügbarkeit eingeschränkt sein.

Details zur Statusverarbeitung lesen Sie im Kapitel Statusverarbeitung.


Logische Operatoren

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor > Logische Operatoren

Logische Verknüpfungen: Variablen werden nur auf den logischen Wert '0' überprüft, ist der Wert ungleich '0', wird er mit '1' definiert.

Im Unterschied zur Bitformel kann der technische Bereich durch einen Streckungsfaktor verändert werden -> ungleich '0' oder '1'.

Operator | Bedeutung
AND | logisch 'UND'
NOT | Negation
OR | logisch 'ODER'
XOR | logisch 'EXKLUSIV ODER'

Die Operatoren haben in der Formelberechnung folgende Priorität:

Priorität | Operator
1 | & (Operator für Bitformeln)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Es können bis zu 99 Variablen in einer Formel verknüpft werden. X01 bis X99.

info Info

Die Status-Bits NORM und N_NORM sind nur hier im Formeleditor verfügbar und nicht über den Zustand projektierbar.


Bitformeln

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor > Bitformeln

Bitformeln besitzen nur einen logischen Low- oder Highzustand. Im Unterschied zu logischen Formeln ist der Rohwert bereits fix vordefiniert (0,1).

Operator | Beschreibung
& | AND
| | OR

Noch in diesem Kapitel

Beispiel bitweise Veroderung


Beispiel bitweise Veroderung

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor > Bitformeln > Beispiel bitweise Veroderung

Sie wollen abfragen, ob eines der Anwenderstatus Bits 1-8 (M1 ... M8) von der Variable X01 gesetzt ist.

Normale Formel:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Diese Abfrage kann durch die bitweise Veroderung des Gesamtstatus wesentlich erleichtert werden.

Bitweise Veroderung

X01.Status & 0xFF

Die Konstante kann, wie oben beschrieben, Hexadezimal eingegeben werden:

0xFF entspricht dezimal 255, das sind die ersten acht Statusbits (Binär 11111111). Steht eines dieser Bits auf 1, dann ist das Ergebnis dieser bitweisen Veroderung 1 (True), ansonsten 0 (False).

Sollen z. B. alle Anwender Status-Bits außer dem Anwender Status-Bit M7 abgefragt werden, wäre der Binäre Ausdruck dafür: 10111111. Bit 7 ist nicht interessant, steht daher auf 0. Das entspricht Hexadezimal 0xBF. Der Ausdruck für die Formel ist dann: X01.Status & 0xBF.

Statt mit einer Konstante bitweise zu verodern, kann man den Wert auch direkt mit einer dezimalen Zahl vergleichen. Ist ein Vergleich falsch, ergibt sich der Binärwert 0 (False), ansonsten 1 (True).

Beispiel:

Sie wollen abfragen, ob ein Wert der Konstanten 202 entspricht. Die Formel lautet:

X01.Wert = 202

Entspricht der Wert der Konstanten 202, so ist das Ergebnis dieses Vergleiches 1 (True), ansonsten 0 (False).

Hinweis: Die bitweise Veroderung funktioniert mit dem Oder-Zeichen (|), gleich wie in diesem Beispiel.


Vergleichsoperatoren

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor > Vergleichsoperatoren

Vergleichsoperatoren dienen zum direkten Vergleich von zwei numerischen Werten. Das Ergebnis dieses Vergleichs wird in Form eines Binärzustandes dargestellt. „0“ wenn die Bedingung nicht erfüllt ist und „1“ wenn die Bedingung erfüllt ist.

Operator | Beschreibung
< | kleiner
> | größer
<= | kleiner gleich
>= | größer gleich
= | ist gleich
<> | ungleich

Links und rechts vom Vergleichs Operator muss ein (Gesamt-)Wert oder (Gesamt-)Status stehen, Einzelbits können mit diesen Vergleichsoperatoren nicht verwendet werden.

Rechts vom Vergleichs Operator kann auch eine Konstante stehen.
Im Combi-Element werden diese Konstanten als hexadezimale Werte oder Dezimalwerte eingegeben. Hexadezimale Zahlen werden beim Klick auf OK automatisch in Dezimalzahlen umgewandelt. Zum Beispiel entspricht 0x64 dem numerischen Wert 100.

Hinweis: Das Combi-Element ist im Modul Batch Control nicht verfügbar.

Example Beispiel

X01.Wert >= X02.Wert
Das Ergebnis ist „1“ wenn der Wert von X01 größer oder gleich dem Wert X02 ist

X01.Wert = 0x64
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 entspricht (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Das Ergebnis ist „1“ wenn der Wert von X01 exakt dem numerischen Wert 100 oder 101 entspricht (= Hex 0x64 und Hex 0x65)


Beispiele für Formeln

Handbuch > Verriegelungen > Projektieren im Editor > Formeleditor > Beispiele für Formeln

Einfache logische UND Verknüpfung zwischen zwei Werte Bits

Example Beispiel

Formel: X01.03 AND X02.03

Diese Formel ergibt den Zustand WAHR, wenn sowohl Bit 3 der Variablen 1 als auch Bit 3 der Variablen 2 den Wert 1 hat.

Den Wert oder Status einer Variable vergleichen

Example Beispiel

(X01.Wert> X02.Wert)

Vergleiche auf logischer Basis miteinander vergleichen

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Vergleiche mit Werte- und Status-Bits

Example Beispiel

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Einen Wert mit einem dezimalen oder hexadezimalen Wert vergleichen

Example Beispiel

Formel: (X01.Wert = 111)

Formel: (X01.Wert = 0x6F)

Wird ein hexadezimaler Wert verwendet, so wird dieser mit dem Klick auf OK später in dezimale Schreibweise umgewandelt. Wurde ein dezimaler Wert angegeben und bestätigt, wird dieser beim erneuten Öffnen weiter als dezimaler Wert angezeigt.

info Info

Bei der Eingabe von Zahlen ist es nicht möglich, ein Komma oder einen Punkt zu verwenden.


Bedienen zur Runtime

Handbuch > Verriegelungen > Bedienen zur Runtime

Um eine Verriegelung zur Runtime nutzen zu können, muss diese bereits im Editor vollständig erstellt worden sein.

Änderungen zur Runtime sind nicht möglich.

Noch in diesem Kapitel

Verriegelungen anwenden


Verriegelungen anwenden

Handbuch > Verriegelungen > Bedienen zur Runtime > Verriegelungen anwenden

Ist eine Verriegelung mit einem der Dynamische Bildelemente verknüpft, wird dieses je nach dem Ergebnis der logischen Verknüpfung in den Bedingungen der Verriegelung verriegelt oder freigeschalten. Ist die Bedingung erfüllt - das Ergebnis logisch 1 -, ist das Element gesperrt.

Das Dynamische Element, das verriegelt werden soll, muss ausgewählt werden. In dessen Eigenschaften wird unter Runtime/Berechtigung/Verriegelung eine der projektierten allgemeinen Verriegelungen ausgewählt.

info Info

Um zur Runtime sehen zu können ob das Element verriegelt ist, kann man in den Eigenschaften des Projekts unter Benutzerverwaltung/Grafische Kennzeichnung aktiv die Anzeige eines Schlosssymbols für verriegelte Elemente einschalten.

Zusätzlich kann das Aussehen eines verriegelten Buttons über die Eigenschaft Verriegelte Buttons (Grafische Ausprägung) oder Gesperrte Buttons (Benutzerverwaltung) gestaltet werden.


Verteiltes Engineering

Handbuch > Verteiltes Engineering

Die Mehrbenutzer-Funktionalität von zenon macht es möglich, dass mehrere Benutzer zur gleichen Zeit am selben Projekt arbeiten. Die Projekte werden auf einem zentralen SQL Server gespeichert, während sie von mehreren Arbeitsplätzen aus zeitgleich bearbeitet werden können. In weiterer Folge wird diese zentrale Ablage des Projektes als Server DB bezeichnet.

Beispiel: Ein Benutzer erstellt die Bilder, während ein anderer gleichzeitig an der Variablendefinition arbeiten kann.

info Info

Hinweise zur Terminologie:

  • "Einchecken" entspricht der Eigenschaft Änderungen übernehmen.
  • "Auschecken" entspricht der Eigenschaft Änderungen ermöglichen.

IP-Protokoll

Die Kommunikation im zenon Netzwerk kann wahlweise über IPv4 oder IPv6 erfolgen.

Details hierzu finden Sie im Handbuch Netzwerk im Kapitel Voraussetzungen.

Noch in diesem Kapitel

Hardwarevoraussetzungen

Informationen zum SQL Server

Einsatzmöglichkeiten für Verteiltes Engineering

Anlegen eines neuen Mehrplatzfähigen Projekts

Einzelplatzprojekt in Mehrplatzfähiges Projekt konvertieren

Mehrplatzfähiges Projekt in Einzelplatzprojekt konvertieren

Umgang mit einem Mehrplatzfähigen Projekt

Offline arbeiten


Hardwarevoraussetzungen

Handbuch > Verteiltes Engineering > Hardwarevoraussetzungen

Die Mindestvoraussetzungen beziehen sich auf die Verwendung Mehrplatzfähiger Projekte mit einer Vielzahl von Objekten (z.B. >= 100.000 Variablen).

Hardware | Mindestvoraussetzung
CPU | Quad Core
Arbeitsspeicher | Server: 16GB / Client: 8GB RAM
Festplatte | SSD wird empfohlen

Hinweis: Die Einstellung Maximum Server Memory des SQL Servers muss gegebenenfalls manuell angepasst werden.

info Info

Mehr Informationen unter folgendem Link: https://msdn.microsoft.com/en-us/library/ms178067(v=sql.120).aspx


Informationen zum SQL Server

Handbuch > Verteiltes Engineering > Informationen zum SQL Server

zenon ab Version 7.00 SP0

Beim Verteilten Engineering greifen alle Teilnehmer auf einen zentralen SQL Server zu. Ab zenon Version 7.00 SP0 müssen alle Teilnehmer mindestens die angeführten Versionen verwenden:

  • Editor: ab 7.00 SP0
  • DBSrv: ab 7.00
  • SQL-Server: SQL Server 2008 R2 Express Edition

attention Achtung

Auf allen Rechnern muss das gleiche Passwort verwendet werden.

Beachten Sie:

  • Die Verschlüsselung erfolgt über das Startup Tool.
  • Die Datenbankeinstellung muss unbedingt mit dem Startup Tool erfolgen.
  • Das Passwort muss zusätzlich am SQL Server für den Benutzer zenOnSrv angepasst werden.

Update

Beim Update des Projektservers auf SQL Server 2012 Express müssen alle Clients ebenfalls aktualisiert werden.


Einsatzmöglichkeiten für Verteiltes Engineering

Handbuch > Verteiltes Engineering > Einsatzmöglichkeiten für Verteiltes Engineering

Verteiltes Engineering kann genutzt werden für:

  • Einzelplatzprojekte

    Änderungen können ohne Risiko ausprobiert werden

  • einen lokalen Server mit mehreren Clients
  • einen Netzwerkserver mit mehreren Clients

Noch in diesem Kapitel

Lokaler Server

Lokaler Server für Zugriff von mehreren Clients

Netzwerkserver für Zugriff von mehreren Clients


Lokaler Server

Handbuch > Verteiltes Engineering > Einsatzmöglichkeiten für Verteiltes Engineering > Lokaler Server

In diesem Fall befinden sich sowohl die Server DB als auch die lokale Projektkopie auf ein und demselben Rechner.

Ein Mehrplatzfähiges Projekt kann auch auf einem einzelnen Rechner angelegt werden. Dies ist sinnvoll, wenn z. B. Änderungen vorab überprüft werden sollen.

Beispiel: Sie können

  • bei einem Bild mit Änderungen ermöglichen Änderungen erlauben
  • das Bild bearbeiten
  • die Änderungen zur Runtime überprüfen

Danach können Sie die Änderungen entweder übernehmen oder verwerfen. Das Originalbild bleibt so lange bestehen, bis die Änderungen am Bild übernommen wurden.


Lokaler Server für Zugriff von mehreren Clients

Handbuch > Verteiltes Engineering > Einsatzmöglichkeiten für Verteiltes Engineering > Lokaler Server für Zugriff von mehreren Clients

Auf einem Rechner befindet sich die Server-Datenbank und eine lokale Projektkopie. Die Clients arbeiten lokal ebenfalls mit einer Projektkopie. Änderungen an der lokalen Projektkopie werden erst dann in die Server-Datenbank übertragen, wenn die Änderungen übernommen werden. Am Server wird ebenfalls mit der lokalen Projektkopie gearbeitet.


Netzwerkserver für Zugriff von mehreren Clients

Handbuch > Verteiltes Engineering > Einsatzmöglichkeiten für Verteiltes Engineering > Netzwerkserver für Zugriff von mehreren Clients

Auf dem Zentralrechner befindet sich die Server DB. Mehrere Clients verbinden sich mit diesem Netzwerkserver. Lokale Projektkopien werden auf den einzelnen Clients angelegt.

Lokale Projektkopien 1-3 vom Server DB

info Info

Mischformen aus den beschriebenen Konfigurationen sind möglich. Jeder Rechner hat zum Beispiel eine oder mehrere Server DBs für verschiedene Projekte installiert und gleichzeitig nur eine lokale Projektkopie einer anderen Server DB.

Server ohne Logins

Auf Servern, auf denen sich keine Benutzer einloggen, muss die Datei zendbsrv.exe als Dienst laufen.

Der zendbsrv startet für Logging-Aufgaben den zensyssrv. Beim Betriebssystem Windows 7 ist das aus Sicherheitsgründen nicht per Remote-Transport erlaubt.

Die Datei muss manuell registriert werden:

zendbsrv.exe -service

Tipp: Registrieren Sie auch gleich die Datei zensyssrv.exe als Dienst: zensyssrv.exe -service

info Info

Sobald die beiden Dateien als Dienste registriert wurden, kann ab Windows 7 der Remote-Transport nicht mehr eingesetzt werden. Die Runtime kann somit nicht per Remote-Transport gestartet werden.


Anlegen eines neuen Mehrplatzfähigen Projekts

Handbuch > Verteiltes Engineering > Anlegen eines neuen Mehrplatzfähigen Projekts

Beim Anlegen eines neuen Mehrplatzfähigen Projekts muss die Checkbox Mehrplatzfähiges Projekt aktiviert werden.

Wählen Sie Im Feld Projektserver den Server für das Mehrplatzfähige Projekt aus oder geben Sie den Servernamen über die Tastatur ein.

Beachten Sie:

  • Wird ein Server im Feld Projektserver angegeben, findet eine automatische Aktivierung der Checkbox Mehrplatzfähiges Projekt statt.
  • Wird im Feld Projektserver kein Eintrag vorgenommen, wird das Projekt und damit die Server DB am lokalen PC angelegt. Automatisch wird auch eine lokale Projektkopie erstellt, mit welcher dann direkt im Editor gearbeitet werden kann.

Voraussetzungen:

  • Projekt-Datenbankserver (zendbsrv.exe) muss gestartet sein:
    • auf dem Server
    • auf dem Client Rechner
  • Firewall-Einstellungen:
    • die Programme zendbsrv.exe und sqlservr.exe müssen freigeschalten sein
    • der SQL Browser muss auf Server und Client Seite freigeschalten sein
  • Nötige offene Ports:
    • 1103
    • 1433 für SQL Server: dieser Port kann sich ändern

      Der SQL Server Prozess muss daher komplett aus der Firewall ausgenommen werden.

    • 1434 für SQL-Browser
  • Die Namensauflösung im Netzwerk muss funktionieren
  • Reverse-Lookup muss am Server und am Client Rechner den gleichen Rechnername zurückliefern

attention Achtung

zenon Arbeitsbereiche sind nicht mehrplatzfähig. Der Arbeitsbereiche des zenon Editors ist immer an den Rechner gebunden, auf dem der zenon Editor gestartet wird.

Aus diesem Grund kann die Projekthierarchie auf verschiedenen Rechnern unterschiedlich konfiguriert werden. Damit die Hierarchie auf allen Rechnern gleich aufgebaut wird, ist die direkte Kommunikation zwischen den verschiedenen Benutzern notwendig.

Anlegen eines Clients für ein Mehrplatzfähiges Projekt

Führen Sie folgende Schritte aus, um einen Client für ein Mehrplatzfähiges Projekt anzulegen:

  1. Gehen Sie auf Datei und Bestehendes Projekt einfügen....
    Der Dialog Projektauswahl wird geöffnet.
  2. Wählen Sie in diesem Dialog unter Rechnername den Namen des Rechners aus.
    Geben Sie dazu den Namen des gewünschten Rechners im Netzwerk ein oder klicken Sie die Schaltfläche ... um eine Liste der Rechner in Ihrem Netzwerk anzuzeigen. Das Auslesen der Rechnerliste via Klick auf die Schaltfläche ... kann je nach Größe Ihres Netzwerks einige Zeit dauern.
  3. Nach Auswahl oder Eingabe eines Rechnernamens wird die Liste Projektauswahl aktualisiert.
    In dieser Liste werden alle auf dem Rechner verfügbaren zenon Projekte aufgelistet.
  4. Wählen Sie unter Projektauswahl aus der Liste der verfügbaren Projekte das Projekt aus, welches Sie auf Ihrem lokalen Rechner in Ihren zenon Arbeitsbereich integrieren wollen.
  5. Bestätigen Sie Ihre Auswahl mit Klick auf die Schaltfläche OK.
    Das Projekt wird in Ihrem zenon Arbeitsbereich aufgelistet.

Hinweise zur Projektierung mit zenon Logic

Beachten Sie beim Projektieren mit zenon Logic:

  • In der zenon Logic Workbench können im Knoten Alle Projekte MultiSpy Listen erstellt werden und der globale Binding Editor aufgerufen werden.

    Für diese Einstellungen gilt: Sie werden

    • nicht mehrplatzfähig gespeichert
    • nicht auf den Projekt-Server übertragen
    • bei der nächsten Synchronisation wieder entfernt
  • Wenn neue zenon Logic Projekte in der zenon Logic Workbench über Datei und Neues Projekt hinzufügen erzeugt werden, dann gilt: Die Projekte werden
    • nicht auf den Projekt-Server übertragen
    • bei der nächsten Synchronisation wieder gelöscht

Achtung: Mehrplatzfähige zenon Logic Projekte dürfen nur über den zenon Editor angelegt werden.


Einzelplatzprojekt in Mehrplatzfähiges Projekt konvertieren

Handbuch > Verteiltes Engineering > Einzelplatzprojekt in Mehrplatzfähiges Projekt konvertieren

Um ein Einzelplatzprojekt in ein Mehrplatzfähiges Projekt zu konvertieren:

  1. Stellen Sie sicher, dass das Globalprojekt mehrplatzfähig ist.
    Sollte das nicht der Fall sein, entfernen Sie das vorhandene Globalprojekt aus dem Arbeitsbereich und

    erstellen Sie ein neues, mehrplatzfähiges Globalprojekt:

    1. Klicken Sie im Projektmanager mit der rechten Maustaste auf Arbeitsbereich.

      Das Kontextmenü wird geöffnet.

    2. Gehen Sie auf Projekt neu.
  2. Konvertieren Sie das Einzelplatzprojekt: wählen Sie im Kontextmenü den Befehl Mehrplatz und dann In Mehrplatzfähiges Projekt konvertieren.
  3. Sie erhalten eine Warnung, dass dieser Schritt nicht rückgängig gemacht werden kann.
    Ein Mehrplatzfähiges Projekt kann jedoch über eine Projektsicherung als Einzelplatzprojekt neu erstellt werden.
  4. Bestätigen Sie die Warnung mit Klick auf die Schaltfläche Ja.

info Info

Bei der Konvertierung wird der Rechner, auf dem diese Aktion durchgeführt wird, als Datenbankserver für das Projekt definiert. Diese Eigenschaft kann später nicht mehr verändert werden.


Mehrplatzfähiges Projekt in Einzelplatzprojekt konvertieren

Handbuch > Verteiltes Engineering > Mehrplatzfähiges Projekt in Einzelplatzprojekt konvertieren

Um ein Mehrplatzfähiges Projekt in ein Einzelplatzprojekt zu konvertieren:

  1. Sorgen Sie dafür, dass alle Projektänderungen von allen Clients übernommen wurden:
    • Gehen Sie auf Projekt -> Kontextmenü -> Mehrplatz -> Synchronisieren
  2. Erstellen Sie eine Projektsicherung:
    • Knoten Projektsicherung -> Kontextmenü -> Sicherung erstellen
    • Vergeben Sie im Dialog Projektsicherung erstellen unter Dateiname einen Namen und unter Beschreibung eine kurze Projektbeschreibung.

      Hinweis: Sie können auch eine lokale Projektkopie sichern.

  3. Erstellen Sie eine Rücksicherung des Projekts als neues Projekt:
    • Arbeitsbereich -> Kontextmenü -> Projektsicherung rücklesen.
    • Wählen Sie die gewünschte Projektsicherung aus.
    • Aktivieren Sie die Checkbox Neues Projekt erzeugen.
    • Bestätigen Sie mit Klick auf OK.
    • Vergeben Sie einen neuen Projektnamen.
  4. Das Projekt wird als Einzelplatzprojekt erstellt.
    Das Mehrplatzfähige Projekt existiert parallel dazu weiter.

Hinweis: Um die lokale Projektkopie in ein Einzelplatzprojekt zu konvertieren, kann im Editor beim Projekt auch die Option Projekt -> Speichern unter ... gewählt werden.


Umgang mit einem Mehrplatzfähigen Projekt

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt

Mehrplatzfähige Projekte ermöglichen vielfältige Zugriffe auf Module.

Beachten Sie beim Projektieren von Mehrplatzfähigen Projekten:

  • das Vorgehen bei Änderungen ermöglichen und Änderungen übernehmen und deren Handhabung bei Änderungen in mehreren Modulen
  • das Löschen von Elementen
  • das Synchronisieren von Elementen
  • die Besonderheiten von VBA und RGM

Projekt umbenennen

Projekte können lokal nicht mit dem Befehl Speichern unter umbenannt werden, da immer die lokale Projektkopie gespeichert wird.

Um ein Serverprojekt unter einem neuen Namen zu speichern:

  1. Legen Sie eine Projektsicherung des Serverprojekts an.
  2. Wählen Sie im Kontextmenü Sicherung als neues Projekt rücklesen.
  3. Vergeben Sie den gewünschten neuen Namen.

    Das Projekt steht jetzt mit dem neuem Namen zur Verfügung.

Noch in diesem Kapitel

Projekt erweitern und Synchronisieren

Änderungen an bestehenden Elementen

Projekte löschen

Clientverbindung trennen

Backup Mechanismus

Änderungen ermöglichen, übernehmen und verwerfen

Löschen von Elementen

Synchronisation des Mehrplatzfähigen Projekts

Rezeptgruppen-Manager

VBA und VSTA

Beenden des Editors

Stilgruppen und Stile


Projekt erweitern und Synchronisieren

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Projekt erweitern und Synchronisieren

Wenn ein neues Element wie etwa eine Variable oder ein Bild angelegt wird, ist dieses Element zunächst nur lokal verfügbar und Änderungen am Element werden automatisch ermöglicht.

Werden die Änderungen:

  • übernommen: Muss ein anderer Client synchronisieren, damit die geänderten Elemente auch auf seinem Rechner zur Verfügung stehen.
  • verworfen, nachdem ein neues Element angelegt wurde: In diesem Fall wäre es so, als ob es dieses Element nie gegeben hätte.

Der Unterschied zwischen einer neuen Variable und einem neuen Bild ist, dass die Variable auf anderen Rechnern nach einer Synchronisierung nicht sichtbar ist, wenn die Änderungen noch nicht übernommen wurden. Ein Bild ist dagegen nach einer Synchronisierung auf anderen Rechnern als in Bearbeitung sichtbar.

Siehe auch Kapitel Bilder / Abschnitt Schablonen-Editor

Nachdem ein anderer Benutzer Elemente hinzugefügt oder gelöscht hat, muss das Projekt synchronisiert werden um die Änderungen zu erhalten. Dies erfolgt im Kontextmenü des Projektes über den Eintrag Projekt/Synchronisieren.

Folgende Auswahlmöglichkeiten finden sich im Kontextmenü:

Befehl | Beschreibung
Mehrplatz/Synchronisieren | Das Projekt wird synchronisiert.
Mehrplatz/Offline Modus aktivieren | Der Offline-Modus wird eingeschaltet. Änderungen wirken sich nur lokal aus und werden nicht zentral übernommen, solange das Projekt offline ist.
Mehrplatz/Online Modus aktivieren | Der Online-Modus wird eingeschaltet. Wurden Elemente von anderen Benutzern mittlerweile bearbeitet und übernommen, überschreiben diese Änderungen aus dem Offline Modus.
Lokale Version aktualisieren | Die lokale Kopie wird mit der Server DB abgeglichen und aktualisiert. Das Projekt wird neu in den Editor geladen. Achtung: Ausgenommen sind jene Elemente/Module, die von diesem Benutzer ausgecheckt sind.

info Info

Jene Elemente, die vom selben Benutzer ausgecheckt wurden der die Synchronisierung durchführt, werden bei dieser nicht überschrieben. Die lokalen Änderungen sind durch den Auscheck-Status gegen Überschreiben geschützt.

Ausnahme:
Benutzer A checkt Elemente offline aus.

Benutzer B checkt Elemente online aus.

Verbindet sich Benutzer A wieder mit dem Server, werden die Elemente, die von beiden Benutzern ausgecheckt sind, für Benutzer A mit den Daten von Benutzer B überschrieben. Sollte in einem Team ein Teammitglied auf Inbetriebnahme sein, empfehlen wir, in dieser Offline Phase das Projekt am Server nicht zu verändern!


Änderungen an bestehenden Elementen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Änderungen an bestehenden Elementen

Wenn eine Änderung an einem bestehenden Element vollzogen wird, muss der zu ändernde Teil ausgecheckt werden.

Dies verhindert, dass mehrere Projektanten auf ein und dasselbe Element zugreifen können.

Beachten Sie:

  • Ein ausgechecktes Element ist für die Änderung durch andere Benutzer gesperrt.
  • Das Element kann nun von dem Benutzer verändert werden, der es ausgecheckt hat und somit die Änderungsrechte besitzt. Für alle anderen Benutzer ist dieses Element gesperrt.
  • Um an einem Element Änderungen vornehmen zu können, muss der Benutzer im Kontextmenü des Elementes den Eintrag Projekt/Änderungen ermöglichen auswählen. Es besteht die Möglichkeit, nur einzelne Elemente, z. B. eine Variable auszuchecken. Dazu wird in der Detailansicht der einzelnen Variable im Kontextmenü der Eintrag Änderungen ermöglichen aktiviert. Zudem ist es möglich, z. B. alle Variablen des Projektes auf einmal über den Hauptknoten auszuchecken.

Bei einem Mehrplatzfähigen Projekt wird der Projektbaum um den Eintrag In Bearbeitung erweitert. In der Detailansicht dieser Liste sind die ausgecheckten Elemente des aktuellen Projektes aufgelistet.

Per Default werden die folgenden Spalten angezeigt:

  • Status
  • Element
  • Ziel
  • Modul

Weitere Spalten lassen sich im Kontextmenü der Spaltenüberschrift mit Feldauswahl hinzufügen. Mit den zusätzlichen Spalten bietet die Liste eine Übersicht, welches Element gerade von welchem Benutzer auf welchem Rechner bearbeitet wird.

info Info

Im Umgang mit Intergrations- und Unterprojekten in der Mehrbenutzerumgebung, muss darauf geachtet werden, dass bei beiden Projekten Änderungen ermöglichen aktiviert ist, bevor das Unterprojekt unter das Integrationsprojekt gezogen wird.

Ein Element/Modul kann solange nur 'gelesen', aber nicht verändert werden, solange der Benutzer sich die Berechtigung dafür nicht geholt hat. Die Berechtigung kann über Änderungen ermöglichen im Kontextmenü des Elements erfolgen oder direkt beim Öffnen des Elements.


Projekte löschen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Projekte löschen

Wird ein Projekt gelöscht, wird nur die lokale Projektkopie gelöscht. Die Server-DB bleibt weiterhin vorhanden und anderen Clients können damit weiter arbeiten. Es ist noch möglich, das Projekt wieder in den Arbeitsbereich einzufügen. Hier wird wieder eine neue lokale Projektkopie erstellt.

Löscht der Benutzer seine lokale Projektkopie, gehen alle Auscheck-Informationen, und damit auch eventuelle Änderungen, dieses Benutzers verloren.


Clientverbindung trennen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Clientverbindung trennen

Mit der Funktionalität Clientverbindung Trennen ist es möglich, die lokale Projektkopie eines Benutzers von der Server DB zu trennen. Hiermit werden alle Auscheck-Informationen dieses Benutzers gelöscht. Änderungen an Elementen, die von diesem Benutzer gesperrt wurden, sind somit wieder möglich.

Eine Clientverbindung zu trennen kann dann notwendig sein, wenn ein Benutzer außer Haus ist und Elemente ausgecheckt hat, die dringend bearbeitet werden müssen oder der Rechner dieses Benutzers defekt ist.

attention Achtung

Wenn die Clientverbindung eines Benutzers getrennt wurde, und der Benutzer die lokale Projektkopie danach öffnet, ist das Projekt Offline. Ein Online gehen ist danach nicht mehr möglich. Die lokale Projektkopie muss zuerst gelöscht werden und vom Server wieder eingefügt werden.

Voraussetzung:

Eine Clientverbindung kann nur dann getrennt werden, wenn der Rechner, auf dem die lokale Projektkopie bearbeitet wurde, nicht erreichbar ist.

Über das Hauptmenü Datei -> Bestehendes Projekt einfügen öffnet man den Projekt Database Manager. Unter dem Multi-User Projekt findet man unter verbundene lokale Projektkopien alle Benutzer, die eine lokale Projektkopie in Bearbeitung (gehabt) haben.

Mittels Trennen wird der Eintrag für diesen Benutzer aus der Server DB gelöscht. Nachdem die Clientverbindung getrennt wurde, kann der Dialog verlassen werden.

attention Achtung

Diese Aktion kann nicht mehr rückgängig gemacht werden! Falls der Benutzer auf diesem Rechner wieder Zugriff zum Multi-User Projekt gelangen möchte, muss die lokale Projektkopie gelöscht und wieder neu eingefügt werden.


Backup Mechanismus

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Backup Mechanismus

Für den Backup Mechanismus im Verteilten Engineering ist generell zu beachten:

  • Es können nur lokale Projektstände gesichert werden.
  • Solange noch nicht synchronisiert wurde, ist ein Rücksichern möglich.

Noch in diesem Kapitel

Projektsicherung

Projektsicherung rücklesen


Projektsicherung

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Backup Mechanismus > Projektsicherung

Die Projektsicherung wird im Projektmanager im Knoten Projektsicherungen angestoßen.

Noch in diesem Kapitel

Projektsicherung von lokalen Projektständen

Projektsicherung von Serverprojekten


Projektsicherung von lokalen Projektständen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Backup Mechanismus > Projektsicherung > Projektsicherung von lokalen Projektständen

Eine Projektsicherung kann über das Kontextmenü des Moduls Projektsicherungen erstellt werden. Um eine lokale Projektsicherung zu erstellen, muss in der Dialogbox Projektsicherung erstellen die Checkbox lokale Projektkopie sichern aktiviert sein.

Lokale Projektsicherungen können nur innerhalb derselben offline Session der Sicherung durchgeführt werden.

info Info

Weitere Informationen finden Sie im Handbuch Projektsicherung, im Kapitel Projektsicherung Detailansicht Symbolleiste.


Projektsicherung von Serverprojekten

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Backup Mechanismus > Projektsicherung > Projektsicherung von Serverprojekten

Die Sicherung von Serverprojekten ist von jedem Client aus anstoßbar, wenn die Checkbox lokale Projektkopie sichern nicht aktiviert wurde.

info Info

Weitere Informationen finden Sie im Handbuch Projektsicherung, im Kapitel Projekt sichern und exportieren.


Projektsicherung rücklesen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Backup Mechanismus > Projektsicherung rücklesen

Eine Projektsicherung kann über das Kontextmenü des Moduls Projektsicherungen zurückgelesen werden.

Lokale Projektrücksicherungen können nur innerhalb derselben offline Session der Sicherung durchgeführt werden.

info Info

Weitere Informationen finden Sie im Handbuch Projektsicherung, im Kapitel Projektsicherung Detailansicht Symbolleiste.

Noch in diesem Kapitel

Projektsicherung rücklesen von lokalen Projektständen


Projektsicherung rücklesen von lokalen Projektständen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Backup Mechanismus > Projektsicherung rücklesen > Projektsicherung rücklesen von lokalen Projektständen

Ein Rücksichern einer lokalen Projektkopie ist nur möglich, solange noch keine Synchronisation durchgeführt wurde.
Wurde ein Projekt seit der Sicherung synchronisiert, hat der Benutzer die Möglichkeit der 'Sicherung als neues Projekt rücklesen'. Dabei wird ein Projekt als Single User Projekt rückgesichert.

info Info

Weitere Informationen finden Sie im Handbuch Projektsicherung, im Kapitel Projektsicherung rücklesen.


Änderungen ermöglichen, übernehmen und verwerfen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Änderungen ermöglichen, übernehmen und verwerfen

Um Änderungen an einem Projekt vornehmen zu können, müssen die entsprechenden Elemente (Funktionen, Variablen, Bilder, ...) zur Änderung freigegeben werden (Änderungen ermöglichen). Nach der Bearbeitung müssen die Elemente wieder für Änderungen gesperrt und zum Server übertragen werden (Änderungen übernehmen).

Hinweis: Neue und gelöschte Elemente werden immer erst bei der nächsten Synchronisierung übertragen. Wird also ein Element gelöscht, so kann es auf anderen Rechnern noch bearbeitet werden. Nach der Synchronisierung wird das Element endgültig gelöscht.

Parameter

Beschreibung

Lokale Version aktualisieren

Wurden durch andere Benutzer Änderungen am Serverprojekt vorgenommen, kann die lokale Projektkopie über diesen Menüpunkt aktualisiert werden.

Nur einzelne bestehende Elemente/Module werden aktualisiert. Neue Elemente am Server sind hierdurch allerdings nicht verfügbar, dafür ist ein Synchronisieren erforderlich.

Änderungen ermöglichen

Um Änderungen an Elementen vornehmen zu können, muss für diese der Status 'Änderungen ermöglichen' gesetzt werden. Dies kann durch das Kontextmenü des markierten Elements erreicht werden.
Um ein beschleunigtes Arbeiten zu ermöglichen, können bei Variablen Änderungen für das gesamte Modul ermöglicht werden. Das heißt, alle Variablen, Treiber und Datentypen sind für alle anderen Benutzer gesperrt.

Änderungen übernehmen

Die Änderungen werden in das Serverprojekt übertragen und übernommen. Die Elemente/Module werden für andere Benutzer wieder freigegeben.
Wurden Änderungen über das Modul ermöglicht, können diese auch nur über das Modul übernommen werden.
Das heißt, alle Variablen, Treiber und Datentypen werden übertragen und für andere Benutzer freigegeben. Das Übernehmen eines einzelnen Elements ist in diesem Fall nicht möglich.
Die in der lokalen Projektkopie durchgeführten Änderungen werden verworfen und durch den Serverstand überschrieben. Die Elemente/Module werden für andere Benutzer wieder freigegeben.

Änderungen verwerfen

Alle Variablen, Treiber und Datentypen werden verworfen und für andere Benutzer freigegeben. Das Verwerfen eines einzelnen Elements ist in diesem Fall nicht möglich.

Alle Module
  • Lokale Version aktualisieren: Aktualisiert die lokale Version.
  • Änderungen ermöglichen: Ermöglicht Änderungen.
  • Änderungen übernehmen: Übernimmt vorgenommene Änderungen.
  • Änderungen verwerfen: Verwirft vorgenommene Änderungen.

info Info

Bei Änderungen des Projektnamens ist ein Änderungen verwerfen unmöglich. Der geänderte Projektname bleibt bestehen.

Änderungen an mehreren Modulen gleichzeitig

Wird ein Modul für Änderungen frei gegeben und werden Elemente anderer Module neu erstellt und mit diesem Modul verknüpft, dann müssen alle betroffenen Elemente/Module gleichzeitig auf Änderungen übernehmen gesetzt werden. Geben Sie zuerst die neu erstellten Elemente/Module frei und dann die bereits bestehenden. Wird nur das ursprünglich gesperrte Modul wieder frei gegeben, können neue Projektierungen verloren gehen.

Beispiel:

  • Auf einem Client ist der RGM ausgecheckt.
  • Eine neue Rezeptgruppe wird erstellt, dann ein neues Rezept.
  • Eine existierende Variable wird zur Rezeptgruppe hinzugefügt.
  • Drei neue Variablen werden erstellt und hinzugefügt.
  • Verriegelungen werden ausgecheckt und eine neue Verriegelung wird erstellt.
  • Ein neues Keyboard-Bild wird mit einer neuen Schablone erstellt.
  • In der Rezeptgruppe wird die neue erstellte Verriegelung zugewiesen.
  • Das Keyboard-Bild wird zugewiesen.
  • Eine neue Variable für Sichtbarkeit erstellt und mit einer Variablen der Rezeptgruppe verknüpft.

Wenn nur die Rezeptgruppe auf Änderungen übernehmen gesetzt wird und ein anderer Client synchronisiert, dann:

  • erhält der andere Client:
    • eine Rezeptgruppe mit einer verknüpften Variablen
    • und einem Rezept, das diese Variable enthält
  • alle anderen Informationen gehen verloren

Wenn dieser Client die Rezeptgruppe sperrt, bearbeitet und wieder frei gibt, sind alle neu projektierten Informationen verloren.

Für eine korrekte Übernahme muss das Änderungen übernehmen erfolgen für:

  • RGM
  • Rezeptgruppe
  • Rezept
  • Variablen
  • Verriegelungen
  • Keyboard-Bild
  • Schablone für Keyboard-Bild

Noch in diesem Kapitel

Status der Elemente und Module

Legende der Symbole


Status der Elemente und Module

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Änderungen ermöglichen, übernehmen und verwerfen > Status der Elemente und Module

Wurde ein Element ausgecheckt ändert sich das Symbol im Projektbaum oder in der Detailansicht. Der Benutzer, der das Element ausgecheckt hat, hat neben dem Symbol eine Checkbox mit grünem Haken. Alle anderen eine Checkbox mit rotem X. Ein ! bedeutet, dass innerhalb des Knotens einzelne Elemente ausgecheckt sind.

Siehe Abschnitt Legende.

Im Spezialfall der Variablenverwaltung werden die Symbole leicht transparent dargestellt, wenn über das Modul ausgecheckt wurde.

Example Beispiel

Alle Variablen sind von einem Benutzer ausgecheckt. Ein anderer Benutzer kann diese Variablen nicht ändern, er kann aber eine weitere Variable hinzufügen.

Ausnahme: Modul Checkout

Folgende Aktionen sind nur möglich, wenn das gesamte Modul auf Änderungen ermöglichen gesetzt wird:

  • anlegen von Array-Variablen
  • anlegen von Struktur-Datentypen
  • kopieren oder einfügen von Array- und Strukturvariablen
  • erstellen von Variablen basierend auf einem Struktur-Datentyp mit Array
  • ändern von Array-Einstellungen einer Variablen
  • ändern von Array-Einstellungen in zenon Logic von einer Variablen mit zenon Logic-Profil

info Info

Wird eine Variable angelegt, ohne dass das komplette Modul Variablen auf Änderungen ermöglichen gesetzt wurde, dann werden die Dimensionen automatisch auf 0 gesetzt. Damit wird verhindert, dass ungewollt eine Strukturvariable erzeugt wird.

Folgende Elemente/Module können nur gesamt auf Änderungen ermöglichen oder Änderungen übernehmen gesetzt werden:

  • Archive
  • Benutzer
  • Menüs
  • Reaktionsmatrix
  • Rezepte Standard
  • Rezeptgruppen
  • Skripte
  • Schriften
  • Verriegelungen
  • Zuweisungen

Anzeige Änderungsdatum im Detail-Fenster

Im Detail-Fenster stehen zwei Spalten mit Informationen zum letzten Änderungszeitpunkt zur Verfügung:

  • Letzte Änderung übernommen: Zeigt bei alle Listen, deren Inhalte Verteiltes Engineering betreffen,den Zeitpunkt des letzten Updates in der Datenbank oder des letzten Eincheckens an.
  • Zuletzt geändert: Zeigt Zeitstempel der letzten Änderung der Datei im Dateisystem.

Wenn die Spalten nicht angezeigt werden, können Sie diese aktivieren:

  1. Führen Sie einen Rechtsklick in den Spaltenkopf aus.
  2. Wählen Sie im Kontextmenü den Befehl Spaltenauswahl.
    Welche Spalten zur Verfügung stehen, hängt vom Modul ab.
  3. Wählen Sie die gewünschten Spalten in der linken Auswahlliste hinzu (Multiselekt ist möglich).
  4. Fügen Sie die Spalten per Klick auf die Schaltfläche Hinzufügen zur rechten Liste hinzu.
  5. Wählen Sie über die Schaltfläche Nach oben oder Nach unten die jeweils gewünschte Position.
  6. Bestätigen und schließen Sie den Dialog mit Klick auf OK.


Legende der Symbole

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Änderungen ermöglichen, übernehmen und verwerfen > Legende der Symbole

Die folgenden Symbole stellen die Zustände der Element im Verteilten Engineering dar.

(z. B.: Ein Bild kann durch den Benutzer geändert werden [image])

Elemente der Detailansicht des Projektmanagers:

Symbol | Beschreibung
 | Neues Element wurde in der lokalen Projektkopie eingefügt. Dieses wird erst beim Änderungen übernehmen (Check-In) des Elements am Server übertragen.
 | Neues Modul wurde in der lokalen Projektkopie eingefügt. Dieses wird erst beim Änderungen übernehmen (Check-In) des Moduls am Server übertragen.
 | Element wurde in der lokalen Projektkopie als gelöscht markiert. Dieses wird erst beim Änderungen übernehmen (Check-In) des Elements am Server gelöscht.
 | Modul wurde in der lokalen Projektkopie als gelöscht markiert. Dieses wird erst beim Änderungen übernehmen (Check-In) des Moduls am Server gelöscht.
 | Element kann vom aktuellen Benutzer bearbeitet werden.
 | Modul kann vom aktuellen Benutzer bearbeitet werden.
 | Element ist durch einen anderen Benutzer gesperrt.

Anzeige im Projektbaum:

Symbol | Beschreibung
 | Modul kann vom aktuellen Benutzer bearbeitet werden.
 | Modul wird durch einen anderen Benutzer bearbeitet und ist für den aktuellen Benutzer gesperrt.
 | Mindestens ein Element des Moduls ist zur Bearbeitung markiert (nicht das gesamte Modul).


Löschen von Elementen

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Löschen von Elementen

Unterschieden wird zwischen:

  • Datenbankelementen
  • Dateielementen

Datenbankelemente werden zunächst nur als gelöscht markiert.

Hinweis: Sobald ein Datenbankelement in der Datenbank eines mehrplatzfähigen Projekts als gelöscht markiert wird, steht dieses Datenbankelement auch im Auswahlfenster des Editors nicht mehr zur Verfügung.

Auf anderen Clients können an als gelöscht markierten Elementen keine Änderungen mehr vorgenommen werden. Diese werden als gesperrt gekennzeichnet. Werden Änderungen übernommen, werden die Elemente definitiv gelöscht. Ebenfalls ist es möglich, die Löschaktion rückgängig zu machen mittels Änderungen verwerfen.

Example Beispiel

Dies gilt beispielsweise für Variablen: Die Änderungen müssen zunächst übernommen werden, um ein definitives Löschen zu ermöglichen.

Dateielemente wie Bilder, Dateien (Sprachtabellen, Grafiken) usw. werden nach einer Bestätigung ab ausführenden Rechner sofort gelöscht. Neue und gelöschte Elemente werden immer erst bei der nächsten Synchronisierung übertragen. Wird also ein Element gelöscht, so kann es auf anderen Rechnern noch bearbeitet werden, wird allerdings nach der Synchronisierung endgültig gelöscht.


Synchronisation des Mehrplatzfähigen Projekts

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Synchronisation des Mehrplatzfähigen Projekts

Nachdem ein anderer Benutzer Elemente hinzugefügt oder gelöscht hat, muss das Projekt synchronisiert werden um die Änderungen zu erhalten. Dies erfolgt im Kontextmenü des Projektes über den Eintrag Projekt -> Kontextmenü -> Mehrplatz -> Synchronisieren oder Alle Module/lokale Version aktualisieren.

Folgende Auswahlmöglichkeiten finden sich im Kontextmenü:

Parameter

Beschreibung

Synchronisieren

Die lokale Kopie wird mit der Server DB abgeglichen und aktualisiert. Das Projekt wird neu in den Editor geladen.
Achtung: Ausgenommen sind jene Elemente/Module, die von diesem Benutzer ausgecheckt sind.

Lokale Version aktualisieren

Siehe Synchronisieren

Änderungen ermöglichen

Checkt Elemente/Module aus

Änderungen übernehmen

Checkt Elemente/Module ein

Änderungen verwerfen

Die Änderungen des Elements werden nicht übernommen, sondern verworfen. Nach dem Änderungen verwerfen wird der Projektstand aus der Server DB erneut übernommen.

Achtung: Bei Änderungen verwerfen für ein noch nicht übernommenes Element, werden Änderungen die von diesem Element abhängen ebenfalls verworfen.

Neue und gelöschte Elemente werden immer erst bei der nächsten Synchronisierung übertragen.

info Info

Beim Synchronisieren werden ignoriert:

  • Elemente und Module die vom selben Benutzer ausgecheckt sind, der die Synchronisation durchführt.
  • Leere Ordner.
    Ein Ordner muss mindestens ein Element enthalten, um synchronisiert zu werden. Ein leerer Ordner entsteht zum Beispiel im Ordner Hilfe, wenn eine neue Sprache zur Sprachdatei hinzugefügt wird.


Rezeptgruppen-Manager

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Rezeptgruppen-Manager

Filterdialog zur Runtime

Wird bei den Optionen der Rezeptwerttabelle in der Bildumschaltung die Eigenschaft Dialog zur Runtime anbieten aktiviert, stehen unter Windows CE nur eingeschränkte Optionen zur Verfügung:

  • Rezeptfilter
  • Spalteneinstellungen (für Rezepttabelle)

Rezeptauswahl, Anlagenmodellierung und Spalteneinstellungen für Rezeptliste werden nicht angeboten.


VBA und VSTA

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > VBA und VSTA

Im Projektbaum im Kontextmenü von Programmierschnittstellen den Eintrag VBA Editor öffnen oder VSTA Editor öffnen wählen, dann wird der Editor ausgecheckt und Änderungen sind möglich.

Achtung: In VBA sind Änderungen generell möglich, auch wenn das Element auf einem anderen Rechner auf Änderungen ermöglichen gesetzt wurde.
Daher beachten Sie bei Änderungen über VBA:

  1. bevor Sie Änderungen vornehmen: überprüfen Sie, ob es sich um ein Mehrplatzfähiges Projekt handelt
  2. wenn ja: überprüfen Sie, ob das Element von einem anderen Client hinzugefügt wird
  3. wenn ja: überprüfen Sie, ob das Element lokal den Status Änderungen ermöglichen (check out) hat
    1. wenn ja: das Objekt kann geändert werden,
    2. wenn nein: das Objekt muss auf Änderungen ermöglichen gesetzte werden
    • überprüfen Sie erneut, ob das Objekt den Status Änderungen ermöglichen hat
    • wenn ja: das Objekt kann in VBA geändert werden
  4. nach den Änderungen muss das Objekt über VBA wieder auf den Status Änderungen übernehmen (check in) gesetzt werden

attention Achtung

Bei der Mehrprojektverwaltung darf der VBA Editor nicht mit Alt+F11 geöffnet werden, da er sonst nicht ausgecheckt wird. Wird VBA nicht ausgecheckt, werden die Änderungen nicht übernommen. Es erfolgt eine Warnung beim Aufrufen des VBA Editors, welche Projekte das betrifft.


Beenden des Editors

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Beenden des Editors

Jeder Benutzer sollte die Änderungen an seinen Objekten übernehmen, bevor er eine der folgenden Anwendungen schließt:

  • Editor
  • Projekt
  • Arbeitsbereich

Solange die Änderungen nicht übernommen wurden, können andere Benutzer an diesen Objekten keine Änderungen durchführen. Details hierzu finden Sie im Kapitel Editor/Abschnitt: Editor beenden.

Erfolgt ein Schließen, ohne dass die Änderungen übernommen wurden, wird ein Dialog zum Übernehmen oder Ablehnen der Änderungen aufgeschalten.

Parameter | Beschreibung
Listenfeld Elemente | Listet alle zur Bearbeitung gesperrten Elemente auf. Änderungen für die angezeigten Elemente können über die entsprechenden Schaltflächen übernommen oder verworfen werden.
Änderungen übernehmen | Für alle angezeigten Elemente werden die Änderungen übernommen.
Änderungen verwerfen | Für alle angezeigten Elemente werden die Änderungen verworfen.
Bearbeiten... | Der Beenden-Vorgang wird abgebrochen.
Weiter | Setzt den Beenden-Vorgang für das aktuelle Projekt im Arbeitsbereich fort. Die Elemente bleiben für andere Benutzer gesperrt. Sind mehrere Mehrplatzfähige Projekte zu schließen, wird im Anschluss dieser Dialog für das nächste zu schließende Projekte angeboten.
Weiter alle | Setzt den Beenden Vorgang für alle noch zu schließenden Mehrplatzfähige Projekte im Arbeitsbereich fort. Die Elemente bleiben für andere Benutzer gesperrt.
Hilfe | Öffnet die Online-Hilfe.


Stilgruppen und Stile

Handbuch > Verteiltes Engineering > Umgang mit einem Mehrplatzfähigen Projekt > Stilgruppen und Stile

Änderungen werden immer nur für gesamte Stilgruppen und nicht für einzelne Stile ermöglicht. Wird in einer eingecheckten Stilgruppe ein Stil bearbeitet oder ein Stil eingefügt, wird eine entsprechende Meldung ausgegeben, ob Änderungen für die Stilgruppe ermöglicht werden sollen.

Aus Elementen erzeugte Stilgruppen oder eingefügte Kopien von Stilgruppen, sind nach dem Erzeugen oder Kopieren nicht automatisch ausgecheckt.


Offline arbeiten

Handbuch > Verteiltes Engineering > Offline arbeiten

Beim Offline arbeiten besteht keine Verbindung zum Server, z. B. wenn ein Projektant sein Projekt am Laptop mit zum Kunden nimmt.

Um ein Projekt offline zu schalten muss im Kontextmenü des Projektes der Eintrag 'Offline Modus aktivieren' gewählt werden. Projekte, die keine Verbindung zum DB-Server haben, werden automatisch offline aktiviert.

info Info

Im Offline Betrieb ist kein Änderungen übernehmen und Änderungen verwerfen möglich!

Im Offline Betrieb ist nur ein Änderungen ermöglichen durchführbar, sonst wären im Offline Betrieb keine Änderungen möglich. Erst im Online Betrieb können wieder Änderungen übernommen werden.

Noch in diesem Kapitel

Offline schalten

Von Offline zu Online

Möglichkeiten im Offline Betrieb


Offline schalten

Handbuch > Verteiltes Engineering > Offline arbeiten > Offline schalten

Es kann unter verschiedenen Umständen Offline gegangen werden, die im Einzelnen beleuchtet werden.

Noch in diesem Kapitel

Elemente/Module sind durch einen anderen Benutzer gesperrt

Elemente/Module sind vom selben User beim Offline-Schalten ausgecheckt

Es sind keine Elemente/Module beim Offline-Schalten ausgecheckt


Elemente/Module sind durch einen anderen Benutzer gesperrt

Handbuch > Verteiltes Engineering > Offline arbeiten > Offline schalten > Elemente/Module sind durch einen anderen Benutzer gesperrt

Zum Zeitpunkt des Offline-Schaltens ändert bereits ein anderer Benutzer das Element/Modul. In diesem Fall können Offline keine Änderungen gemacht werden.


Elemente/Module sind vom selben User beim Offline-Schalten ausgecheckt

Handbuch > Verteiltes Engineering > Offline arbeiten > Offline schalten > Elemente/Module sind vom selben User beim Offline-Schalten ausgecheckt

Zum Zeitpunkt des Offline-Schaltens ändert derselben Benutzer bereits das Element/Modul. In diesem Fall sind keine Online-Änderungen von anderen Benutzern möglich.


Es sind keine Elemente/Module beim Offline-Schalten ausgecheckt

Handbuch > Verteiltes Engineering > Offline arbeiten > Offline schalten > Es sind keine Elemente/Module beim Offline-Schalten ausgecheckt

Zum Zeitpunkt des Offline-Schaltens werden gerade keine Elemente/Module geändert.

Variante 1:

Offline werden Änderungen bei einem Element/Modul ermöglicht, dasselbe passiert aber auch online.

Benutzer A macht offline Änderungen an einem Element/Modul, Benutzer B online.

Beim Online-Schalten durch Benutzer A wird erkannt das Benutzer B das Modul/Element gerade online bearbeitet.

Änderungen von Benutzer A gehen verloren.

attention Achtung

In diesem Fall gehen die Offline gemachten Änderungen (von Benutzer A) verloren!

Variante 2:

Als Benutzer A seine Änderungen übernehmen lässt, hat Benutzer B seine Änderungen bereits übernommen.

Die Änderungen von Benutzer A überschreiben beim Online-Schalten die Änderungen von Benutzer B.

attention Achtung

In diesem Fall werden die Online gemachten Änderungen (von Benutzer B) überschrieben!


Von Offline zu Online

Handbuch > Verteiltes Engineering > Offline arbeiten > Von Offline zu Online

Um ein Offline-Projekt wieder online zu schalten, muss im Kontextmenü von Projekt der Eintrag Projekt/online gewählt werden. Das Projekt wird sofort synchronisiert und neu in den Editor geladen.


Möglichkeiten im Offline Betrieb

Handbuch > Verteiltes Engineering > Offline arbeiten > Möglichkeiten im Offline Betrieb

Elemente/Module

Neu anlegen, ändern, umbenennen und löschen


Weltbild

Handbuch > Weltbild

Als Weltbild wird in zenon jedes Bild verstanden, für das die Option Bildgröße von Schablone übernehmen deaktiviert wurde und das größer als oder gleich groß wie die Schablone ist. Es ermöglicht, das Anzeigen von Bildern, deren Größe die Schablonengröße übersteigt, und das Navigieren in sowie das Zoomen von diesen Bildern. Damit ist es möglich, sehr große Anlagen komplett darzustellen und darin zu navigieren. Im Weltbild kann auf Anlagenteile gezoomt werden. Abhängig von den Zoomstufen kann definiert werden, welche Details angezeigt werden (zooming, panning und deculuttering). Elemente können auch direkt angesprungen werden.

info Info

Einige Elemente, wie z. B. Combo-/Listbox, Alarmmeldeliste, Diagramm des Erweiterten Trends usw., lassen sich nicht zoomen. Die Größe dieser Elemente bleibt konstant, allerdings ändert sich die Position.

Noch in diesem Kapitel

Projektieren im Editor

Funktion Bildumschaltung auf Weltbild-Übersicht

Bedienen zur Runtime


Projektieren im Editor

Handbuch > Weltbild > Projektieren im Editor

Um ein Weltbild zu verwenden, benötigen Sie:

  1. ein Bild, das die Größe seiner Schablone übersteigt; dieses ist das Weltbild
  2. ein Bild vom Typ Weltbild-Übersicht; dieses dient zur Navigation im Weltbild und wirkt auf die Schablone des Weltbilds

Hinweis: Diese beiden Bilder müssen auf unterschiedlichen Schablonen basieren.

Beim Aufrufen des Bildes vom Typ Weltbild-Übersicht definieren Sie, welche Schablone von diesem Bild gesteuert werden soll.

Tipps:

  • Benutzen Sie das Weltbild nicht als Startbild.
  • Starten Sie das Weltbild und die Weltbild-Übersicht gemeinsam mit einem Skript.

info Info

Bei Navigation mit Multi-Touch-Gesten ist kein Bild vom Typ-Weltbild-Übersicht nötig. Mit Multi-Touch kann direkt im Weltbild navigiert werden.

Bildelemente

Die Sichtbarkeit von Dynamischen Elementen und Vektor-Elementen sowie deren Namen für Objektlisten werden in den Eigenschaften des jeweiligen Objekts definiert: Runtime/Weltbilddarstellung/...

Noch in diesem Kapitel

Weltbild anlegen

Bild vom Typ Weltbild-Übersicht anlegen

Zoomstufen

Objekte


Weltbild anlegen

Handbuch > Weltbild > Projektieren im Editor > Weltbild anlegen

Um ein Weltbild anzulegen:

  1. legen Sie ein neues Bild an
  2. navigieren Sie zur Eigenschaften-Gruppe Schablone
  3. wählen Sie die Eigenschaft Bildgröße von Schablone übernehmen
  4. deaktivieren Sie diese Eigenschaft (Haken entfernen, falls vorhanden)
  5. wählen Sie für die Eigenschaften Breite [Pixel] und Höhe [Pixel] Werte, die die Größe der Schablone für dieses Bild übersteigen

    Maximalwerte: 32.000

  6. legen Sie eine Bildumschalt-Funktion für dieses Bild an

info Info

Faceplates eigenen sich nicht für Weltbilder. Denn in Faceplate Container verknüpfte Bilder werden nicht skaliert, sondern immer in Originalgröße angezeigt.


Bild vom Typ Weltbild-Übersicht anlegen

Handbuch > Weltbild > Projektieren im Editor > Bild vom Typ Weltbild-Übersicht anlegen

Projektierung

Zum Anlegen eines Bildes gibt es ab zenon Version 8.00 zwei Vorgehensweisen:

  • die Verwendung des Bilderstellungsdialogs
  • die Erstellung eines Bildes über die Eigenschaften

Schritte zum Anlegen des Bildes über die Eigenschaften, wenn der Bilderstellungsdialog in der Menüleiste unter Extras, Einstellungen und Assistenten verwenden deaktiviert wurde:

  1. Erstellen Sie ein neues Bild.

    Wählen Sie hierzu in der Symbolleiste oder im Kontextmenü des Knotens Bilder den Befehl Bild neu aus.

  2. Ändern Sie die Eigenschaften des Bildes:
    1. Benennen Sie das Bild in der Eigenschaft Name.
    2. Wählen Sie in der Eigenschaft Bildtyp Weltbild-Übersicht.
    3. Wählen Sie in der Eigenschaft Schablone die gewünschte Schablone.
  3. Projektieren Sie die Inhalte des Bildes:
    1. Wählen Sie in der Menüleiste den Menüpunkt Kontrollelemente.
    2. Wählen Sie in der Dropdownliste Vorlage einfügen.
      Der Dialog zur Auswahl vordefinierter Layouts wird geöffnet. Damit werden bestimmte Kontrollelemente an vordefinierten Positionen in das Bild eingefügt.
    3. Entfernen Sie nicht benötigte Elemente aus dem Bild.
    4. Wählen Sie nach Bedarf zusätzliche Elemente in der Dropdownliste Elemente aus. Platzieren Sie diese an der gewünschten Position im Bild.
  4. Erstellen Sie eine Bildumschaltfunktion.

Kontrollelemente

Kontrollelement | Beschreibung
Vorlage einfügen | Öffnet den Dialog zur Auswahl einer Vorlage für den Bildtyp. Vorlagen werden mit zenon mitgeliefert und können auch individuell selbst erstellt werden. Vorlagen fügen vordefinierte Kontrollelemente an vorgegebenen Positionen im Bild ein. Nicht benötigte Elemente können nach dem Anlegen auch einzeln entfernt werden. Zusätzliche Elemente werden aus der Dropdownliste ausgewählt und im zenon Bild positioniert. Elemente können im Bild verschoben und individuell angeordnet werden.

Fenster

Kontrollelemente für das Übersichtsfenster.

Kontrollelement | Beschreibung
Übersichtsfenster | Anzeige des Bildes, das gesteuert wird.
Objektliste | Liste der direkt ansteuerbaren Objekte.
Anzeige Zoomstufen | Zeigt aktuelle Zoomstufe an. Hinweis: Element vom Typ Dynamischer Text. Funktionalität wird über Eigenschaft Bildtyp-spezifische Aktion zugewiesen.

Zoom

Kontrollelemente für die Bedienung des Zooms.

Kontrollelement | Beschreibung
Zoom Minimum | Schaltet Zoom aus, das Bild wird in Schablonengröße angezeigt.
Zoom Maximum | Maximale Zoomstufe.
Vergrößern | In das Bild zoomen.
Verkleinern | Aus dem Bild zoomen.
Zoom (Schieberegler) | Schieberegler zum Einstellen der Zoomstufen.

Navigation

Kontrollelemente zur Navigation im Weltbild.

Kontrollelement | Beschreibung
Nach links | Verschiebt den angezeigten Ausschnitt nach links.
Nach rechts | Verschiebt den angezeigten Ausschnitt nach rechts.
Nach oben | Verschiebt den angezeigten Ausschnitt nach oben.
Nach unten | Verschiebt den angezeigten Ausschnitt nach unten.

Kompatible Elemente

Kontrollelemente, die durch neuere Versionen ersetzt oder entfernt wurden und aus Kompatibilitätsgründen weiter zur Verfügung stehen. Beim automatischen Einfügen von Vorlagen werden diese Elemente nicht berücksichtigt.

Kontrollelement | Beschreibung
Anzeige Zoomstufen | Statisches Win32 Kontrollelement. Wurde durch ein Feld vom Typ Dynamischer Text ersetzt. Beschreibung siehe aktuelles Element.


Zoomstufen

Handbuch > Weltbild > Projektieren im Editor > Zoomstufen

Zoomstufen definieren das Verhältnis von Schablonengröße zum angezeigten Bild. Die Anzeige erfolgt in Stufen, denen eine Prozentzahl zugewiesen wird. 100 % entspricht der Schablonengröße. Je größer der Ausschnitt, desto niedriger die Stufe.

Hinweis: Weltbilder können in Faceplates nicht gezoomt werden

Um Zoomstufen zu projektieren:

  1. navigieren Sie in den Projekteigenschaften zur Gruppe Grafische Ausprägung/Runtime allgemein
  2. klicken Sie bei der Eigenschaft Zoomstufen f. Weltbild auf die Schaltfläche ...
  3. der Dialog zur Konfiguration der Zoomstufen wird geöffnet

Parameter | Beschreibung
Vorhandene Zoomstufen | In dieser Liste werden die aktuell vorhandenen Zoomstufen angezeigt.
Neu... | Erzeugt eine neue Zoomstufe. Sie können den vorgeschlagenen Wert manuell anpassen. Der Wert muss zwischen 1 und 100 liegen.
Bearbeiten... | Öffnet für die markierte Stufe das Feld für den Prozentwert.
Löschen... | Löscht die ausgewählte Zoomstufe.

Minimale Zoomstufe

Die minimale Stufe ist auf das Verhältnis der Bildgröße zur Schablonengröße begrenzt.

Beispiel:

  • Es werden 10 Zoomstufen von 10% bis 100% projektiert.
  • Das Bild hat doppelte Schablonengröße.
    • Die Zoomstufen reichen bis 50%. Ab diesem Punkt wird immer die volle Bildgröße dargestellt.
  • Das Bild hat vierfache Schablonengröße.
    • Die Zoomstufen reichen bis 20 %.


Objekte

Handbuch > Weltbild > Projektieren im Editor > Objekte

Jedes Element in einem Bild kann mit einem eindeutigen Namen versehen werden. Dieser Name kann auch zur Navigation in der Weltbild-Übersicht benutzt werden. Klick auf den Namen in der Objektliste verschiebt den angezeigten Ausschnitt bis das Element in der Mitte des Ausschnitts liegt.

Um Objekte zu definieren:

  1. klicken Sie auf das gewünschte Element
  2. navigieren Sie in den Eigenschaften zur Gruppe Runtime
  3. klicken Sie in die Eigenschaft Name für Objektliste
  4. vergeben Sie einen Namen für das Objekt

Zur Runtime werden alle benannten Objekte in der Objektliste angezeigt.


Funktion Bildumschaltung auf Weltbild-Übersicht

Handbuch > Weltbild > Funktion Bildumschaltung auf Weltbild-Übersicht

Beim Aufruf eines Bildes vom Typ Weltbild-Übersicht zur Runtime wird festgelegt, welche Schablone vom Bild navigiert wird. Das zu steuernde Bild darf die Eigenschaft Bildgröße von Schablone übernehmen nicht aktiviert haben und muss größer sein als die dazugehörige Schablone.

Um eine Funktion Bildumschaltung auf ein Bild vom Typ Weltbild-Übersicht zu projektieren:

  1. erstellen Sie eine neue Funktion
  2. wählen Sie Bildumschaltung
  3. der Dialog zur Bildauswahl wird geöffnet
  4. wählen Sie das Bild vom Typ Weltbild-Übersicht
  5. der Dialog zur Konfiguration des Bildes wird geöffnet

Parameter | Beschreibung
Anzeigen des Übersichtsbildes für Schablone | Auswahl der Schablone, die gesteuert werden soll, aus Dropdownliste.
Rahmenfarben | Definiert Farbdarstellung zur Runtime:
Standard | Farbe des Rahmens, der den ausgewählten Bereich im Weltbild anzeigt. Klick auf Farbe öffnet Palette zur Auswahl.
Bei Auswahl mit Rechtsklick | Farbe des Rahmens, wenn der Ausschnitt mit der rechten Maustaste zum Verschieben angeklickt wird. Klick auf Farbe öffnet Palette zur Auswahl.
Einstellungen |
Rahmenbreite | Breite des Rahmens, der den ausgewählten Bereich im Weltbild anzeigt.
Übersichtsbild zyklisches aktualisieren | Aktiv: Dynamische Elemente im zugeordneten Bild werden in definierten Zeitabständen aktualisiert.
Sekunden | Zeit in Sekunden für zyklisches Update.
Ausgewähltes Objekt bei Auswahl hervorheben | Aktiv: Wird ein Objekt in der Objektliste angeklickt, wird das Objekt optisch hervorgehoben.
Unsichtbare Elemente in Stationsliste anzeigen | Aktiv: Unsichtbare Bildelemente werden in der Stationsliste angezeigt. Inaktiv: Die Stationsliste wird aktualisiert, sobald eine Sichtbarkeitsänderung von Elementen vorgenommen wird.
Zoom | Eigenschaften für Zoom.
Seitenverhältnisse beachten | Aktiv: Das Seitenverhältnis zwischen Höhe und Breite des Rechtecks wird beim Ziehen beibehalten.
Seitliche Ziehpunkte deaktivieren | Aktiv: Die Anfasspunkte des Rahmens werden mit Ausnahme der Eckpunkte abgeschaltet und nicht mehr angezeigt.
Zoomen mit +/- Tasten in | Auswahl, wie mit den Tasten + und - gezoomt wird. Die Tasten müssen entsprechend zugewiesen werden.
% | Mit den zugewiesenen Tasten wird in Prozentstufen gezoomt. Eingabe eines Wertes zwischen 1 und 100. Default: 10
Zoomstufen | Mit den zugewiesenen Tasten wird in Zoomstufen gezoomt.
Verschiebung durch die Pfeiltasten in Pixeln | Angabe der Pixel, die ein Bild beim Verschieben mit den Pfeiltasten verschoben wird. Die Tasten müssen entsprechend zugewiesen werden. Eingabe eines Werts zwischen 1 und 16.000. Default: 100
OK | Übernimmt Angaben, schließt Dialog und öffnet Dialog zum Ersetzen von Verknüpfungen.
Abbruch | Verwirft alle Eingaben und schließt Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Änderungen der Eigenschaften im Editor wirken sich zur Runtime erst nach dem Neuaufschalten des Bildes vom Typ Weltbild-Übersicht aus.


Bedienen zur Runtime

Handbuch > Weltbild > Bedienen zur Runtime

Um zur Runtime in einem Weltbild navigieren zu können, benutzen Sie:

  • Bild vom Typ-Weltbild-Übersicht
    oder
  • Multi-Touch-Gesten am Touchscreen

Weltbild-Übersicht

  1. rufen Sie das Weltbild mit einer Bildumschaltfunktion auf
  2. rufen Sie das Bild vom Typ Weltbild-Übersicht mit einer Bildumschaltfunktion auf

Tipp: Benutzen Sie ein Skript, um immer beide Bildumschaltungen gemeinsam aufzurufen.

Mithilfe der Kontrollelementen, der Maus und der Tastatur können Sie im Weltbild navigieren und zoomen. Mehr dazu lesen Sie im Abschnitt Weltbild-Übersicht.

Multi-Touch

Sie können mittels Multitouch auch ohne eigene Weltbild-Übersicht direkt im Weltbild navigieren. Details dazu lesen Sie im Abschnitt Navigation mit Multi-Touch im Weltbild.

Noch in diesem Kapitel

Weltbild-Übersicht

Navigation mit Multi-Touch im Weltbild


Weltbild-Übersicht

Handbuch > Weltbild > Bedienen zur Runtime > Weltbild-Übersicht

Zur Runtime stehen in der Weltbild-Übersicht mehrere Möglichkeiten zur Verfügung, um Zoom-Größe und angezeigten Ausschnitt zu steuern:

  • Kontrollelemente
  • Maus und Touch
  • Tastatur

Die Kontrollelemente können auch per Touchscreen bedient werden. Die Berührpunkte für die Steuerung per Maus sind entsprechend dimensioniert, um auch problemlos mit Touch bedient zu werden.

Bei Verwendung von Multi-Touch-Gesten kann direkt im Weltbild navigiert werden und es ist kein Bild vom Typ Weltbild-Übersicht nötig.

info Info

Die Weltbild-Übersicht ist zur Runtime als eigenes Fenster immer im Vordergrund, unabhängig von Einstellungen im Editor für Bildelemente.

Noch in diesem Kapitel

Navigation mit Kontrollelementen

Navigation mit der Maus

Navigation mit der Tastatur


Navigation mit Kontrollelementen

Handbuch > Weltbild > Bedienen zur Runtime > Weltbild-Übersicht > Navigation mit Kontrollelementen

Parameter | Beschreibung
Zoom min. | Schaltet Zoom aus. Der Ausschnitt wird in der Größe der Schablone angezeigt.
Zoom max. | Maximale Zoomstufe.
+ | In das Bild zoomen.
- | Aus dem Bild zoomen.
Schieberegler | Schieberegler zum Einstellen der Zoomstufen.
Nach links | Verschiebt den angezeigten Ausschnitt nach links.
Nach rechts | Verschiebt den angezeigten Ausschnitt nach rechts.
Nach oben | Verschiebt den angezeigten Ausschnitt nach oben.
Nach unten | Verschiebt den angezeigten Ausschnitt nach unten.
Objektliste | Liste der direkt ansteuerbaren Objekte. Klick auf ein Objekt zentriert das Objekt im angezeigten Bildausschnitt.


Navigation mit der Maus

Handbuch > Weltbild > Bedienen zur Runtime > Weltbild-Übersicht > Navigation mit der Maus

Mit der Maus und Touchbedienung stehen Ihnen folgende Aktionen zur Verfügung:

  • Ausschnitt verschieben:

    Um den gezeigten Ausschnitt des Weltbilds zu verschieben , haben Sie mehrere Möglichkeiten:

    1. Klicken Sie in den Ausschnitt auf den Mittelpunkt und bewegen Sie bei gedrückter linker Maus-Taste die Maus über die Schablone.
    2. Drücken Sie die Leer-Taste und klicken Sie in das Weltbild: Die Form des Mauszeigers ändert sich zur Hand. Mit der Maus kann jetzt das Weltbild verschoben werden. Klicks mit der linken Maus-Taste werden im Weltbild nicht ausgewertet, wenn die Leer-Taste gedrückt ist.
    3. Klicken Sie mit der rechten Maus-Taste in den Ausschnitt und bewegen Sie die Maus bei gedrückter rechter Maus-Taste über die Schablone.
    4. Halten Sie das Mausrad gedrückt und bewegen Sie die Maus über die Schablone.
  • Zoomen:
    Klicken Sie in den Ausschnitt und drehen Sie das Mausrad, um zu zoomen. Gezoomt wird in den eingestellten Zoomstufen. Der Mauszeiger bleibt beim Zoomen über der gewählten Stelle im Bild.
  • Scrollen:
    Das Weltbild kann mit dem Mausrad gescrollt werden:
    • Vertikal: Klicken Sie ins Weltbild und drehen Sie das Mausrad.
    • Horizontal: Klicken Sie ins Weltbild, halten Sie die Umschalt-Taste gedrückt und drehen Sie das Mausrad.

      Umschalt-Taste + Mausrad nach oben: nach rechts scrollen

      Umschalt-Taste + Mausrad nach unten: nach links scrollen

info Info

Schablonen können auch per Maus verschoben werden, wenn das Bild kein Weltbild ist. Dazu muss die Eigenschaft Schablone per Maus verschieben aktiviert werden. Zur Runtime bewegt ein linker Mausklick in einen freien Bereich des Bildes und anschließendes Bewegen der Maus mit gedrückter Maustaste das gesamte Bild.


Navigation mit der Tastatur

Handbuch > Weltbild > Bedienen zur Runtime > Weltbild-Übersicht > Navigation mit der Tastatur

Sie können auch mit der Tastatur zoomen und verschieben. Dazu müssen den Kontrollelementen Tasten zugewiesen werden, zum Beispiel:

  • hoch -> Pfeil-Taste nach oben
  • runter -> Pfeil-Taste nach unten
  • links -> Pfeil-Taste nach links
  • rechts -> Pfeil-Taste nach rechts
  • + (Schieberegler) -> Taste +
  • - (Schieberegler) -> Taste -

Um eine Taste einem Kontrollelement zuzuweisen:

  1. markieren Sie das Kontrollelement
  2. navigieren Sie zur Eigenschaft Tastenkombination
  3. klicken Sie auf die Schaltfläche ... oder in das Eingabefeld
  4. der Dialog zur Festlegung der Tastenkombination wird geöffnet
  5. klicken Sie in das Feld Tastenkombination
  6. drücken Sie auf der Tastatur die gewünschte Taste oder Tastenkombination, z. B.: +
  7. die Tastenkombination wird im Eingabefeld angezeigt
  8. schließen Sie den Dialog mit Klick auf OK


Navigation mit Multi-Touch im Weltbild

Handbuch > Weltbild > Bedienen zur Runtime > Navigation mit Multi-Touch im Weltbild

Multi-Touch-Gesten für Zoomen und Scrollen eignen sich auf Touchpanels auch zur Navigation im Weltbild. Dazu ist kein Bild vom Typ Weltbild-Übersicht nötig. Die Navigation kann realisiert werden mit:

  • Windows 7 Touch-Gesten
  • Windows 8 Touch-Gesten

Regeln

  • Verschieben: Wenn ein Bild in einem Container kein Weltbild ist, übernimmt es die Einstellungen vom Faceplate-Bild.

Weltbild bewegen oder Weltbild in Container eines Faceplates

  • Bild ist größer als Schablone: Inhalt des Bildes wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Weltbild in Faceplate eingebettet.

  • Bild ist größer als Schablone: Bildinhalt wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Schablone ohne Rand mit der Maus bewegen, wenn das Bild ein Weltbild ist und gleich groß wie oder kleiner als Schablone:

  • Mit rechter Maustaste: Keine Reaktion.
  • Mit linker Maustaste: Schablone wird verschoben.

Weltbild Größe verändern

Die Größe des Weltbildes kann verändert werden.
Ausnahme: Wenn das Weltbild ein Faceplate ist, kann die Größe nicht verändert werden.

Klick mit rechter Maustaste:

  • Bild ist größer als Schablone: Inhalt wird bewegt.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Projektkonvertierung

Werte für Horizontal Verschieben und Vertikal Verschieben beim Konvertieren aus einer früheren Version nach zenon 7.20:

  • Bild ist größer als Schablone: Verschieben.
  • Bild gleich groß wie oder kleiner als Schablone: Keine Reaktion.

Noch in diesem Kapitel

Navigation unter Windows 7

Navigation unter Windows 8


Navigation unter Windows 7

Handbuch > Weltbild > Bedienen zur Runtime > Navigation mit Multi-Touch im Weltbild > Navigation unter Windows 7

Um Multi-Touch-Gesten unter Windows 7 zur Navigation im Weltbild verwenden zu können, müssen diese:

  • entweder über die Eigenschaft Multi-Touch für Zoomen und Scrollen aktiviert
  • oder über VBA/VSTA implementiert werden

Zoomen und scrollen über Eigenschaft Multi-Touch für Zoomen und Scrollen

Um Multi-Touch ohne VBA/VSTA zu verwenden:

  1. Aktivieren Sie in den Projekteigenschaften im Knoten Interaktion für die Eigenschaft Auswertung Windows 7.
  2. Deaktivieren Sie bei den Eigenschaften des Bildes im Knoten Schablone die Eigenschaft Bildgröße von Schablone übernehmen.
  3. Aktivieren Sie bei den Eigenschaften des Bildes im Knoten Interaktion die Eigenschaft Multi-Touch für Zoomen und Scrollen.

Damit kann im Bild bei Touchbedienung mit Multi-Touch-Gesten gescrollt und gezoomt werden. VBA/VSTA Events für Zoomen und Scrollen werden damit deaktiviert.

Zoomen und scrollen über VBA/VSTA

Um Zoomen und Scrollen mit VBA/VSTA Events zu realisieren darf die Eigenschaft Multi-Touch für Zoomen und Scrollen nicht aktiv sein.

Im DynPicture stehen zur Verfügung:

  • Property

    int ZoomLevel: Gibt den aktuellen Zoomlevel im Weltbild an (gültiger Wert nur in der Runtime und für ein Weltbild).

  • Methode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Neuer Zoomfaktor X-Richtung, wenn nicht benutzt, auf 0 setzen

    ZoomY -> Neuer Zoomfaktor Y-Richtung, wenn nicht benutzt, auf 0 setzen

    ZoomLevel -> Zoom Level, wenn nicht benutzt, auf -1 setzen

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Neue Position X (siehe PosMode)

    PosY -> Neue Position Y (siehe PosMode)

    PosMode -> Koordinaten in Pos

    -1 = PosX, PosY werden ignoriert

    0 = Mittelpunkt , Original Koordinaten

    1 = Mittelpunkt , gezoomte Koordinaten

    2 = links oben , Original Koordinaten

    3 = links oben , gezoomte Koordinaten

    4 = Gezoomte Koordinaten des Cursors von links oben
    Die Position des Fensters wird so verändert, dass nach dem Zoomvorgang der Mauszeiger noch immer über derselben Stelle des Bildes liegt

Achtung: ZoomX, ZoomY und ZoomLevel können nie gleichzeitig verwendet werden. Entweder wird ein ZoomLevel angegeben oder Zoomfaktoren für X-Achse und Y-Achse.


Navigation unter Windows 8

Handbuch > Weltbild > Bedienen zur Runtime > Navigation mit Multi-Touch im Weltbild > Navigation unter Windows 8

Um mit Multi-Touch unter Windows 8 in einem Weltbild zu navigieren:

  1. Aktivieren Sie in den Projekteigenschaften im Knoten Interaktion für die Eigenschaft Auswertung Windows 8.
  2. Deaktivieren Sie für das Bild in der Gruppe Schablone die Eigenschaft Bildgröße von Schablone übernehmen und definieren Sie die Bildgröße größer als die Schablone.
  3. Navigieren Sie in den Bildeigenschaften zur Gruppe Interaktion.
  4. Konfigurieren Sie die Eigenschaften Zoomen und Verschieben.

Für die Geste Verschieben können Sie die Richtung - horizontal, vertikal oder beide - definieren. Benutzen Sie dazu die Eigenschaften Horizontal verschieben und Vertikal verschieben.


Wizards

Handbuch > Wizards

Um immer wiederkehrende Aufgaben beim Projektieren möglichst einfach und zeitsparend erledigen zu können, bietet zenon Wizards zu unterschiedlichen Bereichen im Engineering an.

Benutzer können auch eigene Wizards erstellen.

Wizards starten

Um einen Wizard zu starten:

  • Wählen Sie im Menü Extras den Eintrag Editor Wizards starten...

    oder

  • drücken Sie die Tastenkombination Alt+F12.

    Der Dialog zur Auswahl eines Editor Wizards wird geöffnet:

Der Wizard für die Projekterstellung wird bei der Erstellung eines neuen Projekts automatisch angeboten.

Einstellungen zenon6.ini

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Noch in diesem Kapitel

Themen

Wizards erstellen und adaptieren

Wizards aktualisieren


Themen

Handbuch > Wizards > Themen

Folgende Wizards stehen Ihnen in zenon zur Verfügung:

  • Analyzer
    • Export Wizard for Analyzer 2.10
    • Export Wizard for Analyzer 2.20
    • Export Wizard for Analyzer 3.00
    • Export Wizard for Analyzer 3.10
    • Meaning and Waterfall Chart Wizard
    • Sankey Wizard
  • Energy
    • Driver Simulation
    • IEC 61850 SSD Import
    • IEC850 Driver Configuration
  • Export - Import
    • FactoryLink Import Wizard
    • PDiag Import Wizard
    • WinCC Import Wizard
    • XML Export Wizard
    • XML Import Wizard
  • Language Table
    • Language Table Wizard
    • Language Translation Wizard
    • System Text Wizard
  • Metering Point Administration Wizard
  • Pharmaceutical
    • Pharmaceutical Wizard
  • Project
    • Backup Comparison Wizard
    • Dokumentation-Wizard
    • Project Wizard
  • Variables
    • Everywhere Essentials QR Code Generator
    • Variable creation wizard
  • Wizards VSTA
    • Demo Wizard: Leere Vorlage, die individuell angepasst werden kann.

Noch in diesem Kapitel

Analyzer

Energy

Export - Import

Language Table

Metering Point Administration - Messstellenverwaltung

Pharmaceutical

Project

Variables


Analyzer

Handbuch > Wizards > Themen > Analyzer

Der zenon Analyzer verfügt über Wizards, die bei der korrekten Parametrisierung des SCADA-Systems und beim Export der Daten aus dem SCADA-System unterstützen. Aktuell wird das SCADA-System zenon unterstützt.

Wizards:

  • Export Wizard for Analyzer 2.10: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 2.10.
  • Export Wizard for Analyzer 2.20: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 2.20.
  • Export Wizard for Analyzer 3.00: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 3.00.
  • Export Wizard for Analyzer 3.10: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 3.10.
  • Meaning and Waterfall Chart Wizard: unterstützt Sie bei der Vorbereitung eines zenon Projekts auf die Verarbeitung von Variablen-Informationen im zenon Analyzer.
  • Sankey Wizard: unterstützt Sie bei der Erstellung von Sankey-Diagrammen, die Sie in der Runtime oder im zenon Analyzer verwenden können.

Die Wizards für zenon Analyzer werden bei der Installation von zenon 7.20 automatisch installiert. Der Analyzer Export Wizard verfügt über eine eigene DLL. Meaning and Waterfall Chart Wizard und Sankey Wizard teilen sich eine DLL. Installation und Wartung unterscheiden sich damit von anderen zenon Wizards. Analyzer Wizards werden mit den Updates von zenon ab Version 7.20 automatisch am aktuellen Stand gehalten. Das Update kann bei Bedarf über die am zenon Analyzer Installationsmedium enthaltene Build-Datei für zenon ab Version 7.10 auch manuell erfolgen. Diese Wizards werden nicht über den Aktualisierungsmechanismus der zenon Wizards aktualisiert. Details siehe Kapitel Installation und Update im Handbuch zenon Analyzer.

Syntax für Eingaben in zenon

Die Eingabe in zenon hängt von der verwendeten zenon Version ab.

Bis zenon 7.11

Bis inklusive zenon Version 7.11 werden Meaning und Wasserfallmodell in die zenon Eigenschaft Betriebsmittelkennung eingetragen. Diese kann Bedeutungen für mehrere Kategorien enthalten.

Für Einträge in die Eigenschaft Betriebsmittelkennung gilt:

  • Kategorien werden durch Strichpunkt (;) getrennt.
  • Bereiche innerhalb einer Kategorien werden durch Komma (,) getrennt.
  • Kategorien werden durch einen Index gekennzeichnet:
    • ME=: Identifiziert eine Bedeutung (Meaning).
      Syntax: ME=[Hauptbedeutung als Text],[Zusatzbedeutung als Text],[Zusatzbedeutung als Text],…;
      Beispiel: ME=Station_1,Station_2;
    • WF=: Identifiziert eine Variable für die Wasserfalldarstellung.
      Syntax: WF=[Modellname Text],[Zeilenindex INT],[Spaltenindex INT],[Farbcode als Text #XXXXXX];;
    • Jeder andere Eintrag wird ebenfalls als Meaning verstanden

Gesamtsyntax für die Eigenschaft Betriebsmittelkennung: ME=[Meaning1],[Meaning2],…,[MeaningN];WF=[Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Die Eigenschaft Betriebsmittelkennung ist im zenon Editor auf 255 Zeichen begrenzt.

Ab zenon 7.20

Ab zenon 7.20 stehen in zenon eigene Eigenschaften zur Definition von Meaning und Wasserfall sowie zur Eingabe eines Anzeigenamens zur Verfügung. Diese Einträge benötigen keine vorangestellte Kennzeichnung.

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Alle diese Eingabefelder im zenon Editor sind auf 255 Zeichen begrenzt.

  • Beim Export zum zenon Analyzer werden sowohl die bisherige Eigenschaft als auch die neuen überprüft. Sind beide belegt, werden die Einträge der neuen Eigenschaften übernommen. Einträge, die über den Meaning and Waterfall Chart Wizard erstellt werden, werden immer in die neuen Eigenschaften eingetragen.

Noch in diesem Kapitel

Export Wizard for Analyzer 2.10

Export Wizard for Analyzer 2.20

Export Wizard for Analyzer 3.00

Export Wizard for Analyzer 3.10 und 3.20

Meaning and Waterfall Chart Wizard

Sankey Wizard


Export Wizard for Analyzer 2.10

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10

Der zenon Export Wizard for Analyzer 2.10 unterstützt den Export von Metadaten aus zenon ab Version 7.10 SP0 für den zenon Analyzer 2.10.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 2.10.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle in der Registerkarte Settings gewählten Module der Reihe nach zur Detailkonfiguration angeboten. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten auch direkt anwählen durch Klick auf den Titel der Registerkarte.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings:
    Optionen zum Sammeln der Metadaten
  • Equipment model :
    Export der Modellgruppen aus Globalprojekt
  • Event classes:
    Alarm/Ereignis-Klassen aus Globalprojekt
  • Event Event groups:
    Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users:
    Benutzer aus Globalprojekt
  • Projects:
    Projekte aus Arbeitsbereich
  • Historian:
    Archive der gewählten Projekte
  • Variables:
    Variablen der gewählten Projekte
  • Finish:
    Start des Exports und Ausgabe des Ergebnisses

Achtung: Es kann nur ein Globalprojekt in die Datenbank exportiert werden! Arbeitsbereiche, deren Projekte in die Datenbank exportiert werden sollen, müssen dieses Globalprojekt beinhalten.

Noch in diesem Kapitel

Navigation

Settings

Equipment model

Alarm/Ereignis-Klassen

Event groups

Users

Projects

Historian

Variables

Finish


Navigation

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
  • Nein: beendet den Wizard ohne die Konfiguration zu speichern

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Settings

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Option

Beschreibung

Settings

Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB instance

Instanz der Datenbank.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication inaktiv.

Options

Allgemeine Optionen für den Export.

Load every project of this workspace into the memory

Aktiv: Lädt alle im Arbeitsbereich vorhandenen Projekte, auch wenn sie nicht aktiv sind und nicht auf Projekt im Speicher halten gesetzt sind.

Keep the exisiting data in the Analyzer database

Aktiv: Es werden nur neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.

Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht.
Ausnahme: Projekte werden nicht gelöscht

Preselect existing Analyzer database content

Aktiv: Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Option

Beschreibung

Liste der geänderten Objekte

Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Folgende umbenannten Objekte werden in der Liste angezeigt:

  • Namen der Anlagenmodellgruppen
  • Namen der Alarm/Ereignis-Klassen
  • Namen der Alarm/Ereignis-Gruppen
  • Projektnamen
  • Variablenamen

Ausnahmen:

  • Benutzer werden immer neu angelegt
  • Archivnamen werden in der Datenbank nur einmal als Visualname angelegt und können im zenon Analyzer überschrieben werden

Rename

Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.

Cancel

Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment model

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Equipment model

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Beschreibung

Equipment modeling

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl, was in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird:

  • Plant: zeigt Anlagenmodelle an
  • Media: zeigt Medien an

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Alarm/Ereignis-Klassen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Alarm/Ereignis-Klassen

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Option

Beschreibung

Alarm/event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Option

Beschreibung

Alarm/event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Option

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server und Standby Server können hier geändert werden. Dazu:

  1. markieren Sie das Projekt in der Liste der Projekte
  2. tragen Sie die gewünschten Namen für Server und Standby Server ein

Wird im zenon Projekt der Name des Servers oder des Standby Servers geändert, dann wird dieser in der Analyzer Datenbank nur dann aktualisiert, wenn in den Projekteigenschaft die Einstellung Netzwerk aktiv aktiviert wurde.

Option

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server

Adresse des Servers für das im Listenfenster gewählte Projekt.

Standby

Adresse des Standby Servers für das im Listenfenster gewählte Projekt.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Historian

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Historian

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisachive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Option

Beschreibung

Historian

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Option

Beschreibung

Variables

Informationen und Hinweise zum Export.

Variable Filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • Show all: Alle Variablen werden angezeigt.
  • Historians only: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups only: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.
  • Show not selected only: Nur Variablen, die nicht ausgewählt wurden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.


Finish

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. öffnen Sie die Registerkarte Settings
  2. klicken Sie auf die Schaltfläche Load data
  3. konfigurieren Sie die Registerkarten


Wizard beenden

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.10 > Wizard beenden

Um den Wizard zu beenden:

  • klicken Sie die Schaltfläche Cancel
  • ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll
    • Klick auf Ja schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
    • Klick auf Nein beendet Wizard ohne Konfiguration zu speichern


Export Wizard for Analyzer 2.20

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20

Der zenon Export Wizard for Analyzer 2.20 unterstützt den Export von Metadaten aus zenon ab Version 7.0 SP0 für den zenon Analyzer 2.20.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfall-Diagramm (siehe Abschnitt Parameter Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Sankey-Diagramme

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Sankey-Diagramme

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • Diagramme werden je nach Einstellung für die Option Keep the existing data in the Analyzer database hinzugefügt:
    • Aktiv: Nur neue Diagramme werden in der Analyzer-Datenbank hinzugefügt.
    • Inaktiv: Neue Diagramme werden hinzugefügt und bestehende Diagramme aktualisiert.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 2.20.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models: Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Alarm/Ereignis-Klassen

Event groups

Users

Projects

Archives

Variables

Finish


Navigation

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Settings

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Settings

Option | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Parameter

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB instance

Instanz der Datenbank.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Parameter

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die Auswahl der Checkbox hinzugefügt werden.

Options

Parameter

Beschreibung

Options

Allgemeine Optionen für den Export.

Keep the existing data in the Analyzer database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Preselect existing Analyzer database content
  • Aktiv: Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Parameter

Beschreibung

Liste der geänderten Objekte

Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Folgende umbenannten Objekte werden in der Liste angezeigt:

  • Namen der Anlagenmodellgruppen
  • Namen der Alarm/Ereignis-Klassen
  • Namen der Alarm/Ereignis-Gruppen
  • Projektnamen
  • Variablenamen

Ausnahmen:

  • Benutzer werden immer neu angelegt
  • Archivnamen werden in der Datenbank nur einmal als Visualname angelegt und können im zenon Analyzer überschrieben werden

Rename

Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.

Cancel

Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Equipment models

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Alarm/Ereignis-Klassen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Alarm/Ereignis-Klassen

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Option

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Option

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Option

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Wird im zenon Projekt der Name des Server 1 oder des Server 2 geändert, dann wird dieser in der Analyzer Datenbank nur dann aktualisiert, wenn in den Projekteigenschaft die Einstellung Netzwerk aktiv aktiviert wurde.

Option

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Archives

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Archives

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisarchive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Option

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Option

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meaning: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Ressource label:Entspricht in zenon der Eigenschaft Betriebsmittelkennung. Wird bis inklusive zenon 7.11 für Bedeutung und Parameter Wasserfall-Diagramm verwendet. Ab Version 7.20 stehen dafür eigene Eigenschaften in zenon zur Verfügung.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung

Parameter Wasserfall-Diagramm


Anzeigenamen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Variables > Anzeigenamen

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Variables > Bedeutung

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Parameter Wasserfall-Diagramm

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Variables > Parameter Wasserfall-Diagramm

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Parameter für Wasserfall-Diagramm aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Wasserfall gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung WF= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehreren Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Finish

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 2.20 > Wizard beenden

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Export Wizard for Analyzer 3.00

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00

Der zenon Export Wizard for Analyzer 3.00 unterstützt den Export von Metadaten aus zenon ab Version 7.11 SP0 für den zenon Analyzer 3.00.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfall-Diagramm (siehe Abschnitt Parameter Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)
  • Effizienklassen

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Sankey-Diagramme

Wasserfall-Diagramm

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Sankey-Diagramme

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wasserfall-Diagramm

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Wasserfall-Diagramm

Ein Wasserfall-Diagramm kann entweder für Linienbasierte Reports oder für Maschinenbasierte Reports erstellt werden. Die Parameter für das Diagramm werden ab zenon 7.20 in der Variableneigenschaft Analyzer/Parameter für Wasserfall-Diagramm abgelegt. Diese können manuell eingetragen oder mit dem Meaning and Waterfall Chart Wizard erstellt werden.

Export

Der Wizard liest beim Laden des zenon Arbeitsbereichs die Eigenschaft Parameter für Wasserfall-Diagramm aus. Sind korrekte Einträge vorhanden, werden diese im Hintergrund exportiert und in die Datenbank des zenon Analyzer geschrieben.

Aufbau der Einträge

Abhängig vom Aufbau der Einträge wird entschieden, ob es sich um Einträge für maschinenbasierte oder linienbasierte Diagramme handelt.

  • Maschinenbasiert: Aufbau mit 4 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    Beispiel: MyWaterfall,4,2,#80FF00;

  • Linienbasiert: Aufbau mit 7 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];
    Beispiel: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regeln für das Auslesen

Beim Auslesen gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
    Der Aufbau entscheidet darüber, ob der Eintrag als maschinenbasiert oder linienbasiert gewertet wird.
  • Die Kennung WF= ist nicht notwendig, kann aber verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehrere Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen. Hier muss die Kennung WF= vorangestellt sein.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 3.00.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen. Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models : Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Efficiency classes: Anzeige der zu exportierenden Effizienzklassen
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Settings

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Settings

Parameter | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Parameter

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Parameter

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die Auswahl der Checkbox hinzugefügt werden.

Options

Parameter

Beschreibung

Options

Allgemeine Optionen für den Export.

Don't modify existing data in the Analyzer metadata database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Update Visual names

Nur verfügbar, wenn die Option Don't modify existing data in the Analyzer metadata database deaktiviert ist.

  • Aktiv: In zenon geänderte Anzeigenamen werden beim Export in der Metadatenbank des zenon Analyzer überschrieben.
  • Inaktiv: Geänderte Anzeigenamen werden im zenon Analyzer nicht geändert.

Default: inaktiv
Die Einstellung wird nicht gespeichert. Die Checkbox wird bei jedem Start des Wizards auf deaktiviert gesetzt.

Verhalten:

Bei aktivierter Checkbox werden in zenon geänderte Anzeigenamen auch im zenon Analyzer geändert für:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

Die Anzeigenamen für Users können nicht geändert werden. Diese werden bei Änderungen neu angelegt.

Änderung an Anzeigenamen werden in den einzelnen Listen angezeigt.

Beispiel:

Ausgangssituation:

  • Anzeigename im zenon Projekt: Z
  • Anzeigename im zenon Analyzer: A

Aktionen:

  • A = Z:
    Nichts passiert
  • A <> Z:
    Z wird übernommen, wenn der Name noch nicht in der Metadaten-Tabelle vergeben wurde. Ist Z in der Tabelle bereits vorhanden, bleibt A unverändert und eine Fehlermeldung wird ausgegeben.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Parameter | Beschreibung
Liste der geänderten Objekte | Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Ausnahme: Benutzer werden immer neu angelegt.
Rename | Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.
Cancel | Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Equipment models

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Parameter

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Event classes

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Event classes

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Parameter

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Parameter

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Parameter

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Hinweis: Änderungen sind nur möglich, wen in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database deaktiviert wurde. Welche Angaben für die Server angezeigt werden, hängt von den Einstellungen in Projekt und Datenbank ab. Details siehe Abschnitt Anzeige der Server-Einstellungen.

Parameter

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Anzeige der Server-Einstellungen

Für Anzeige und Konfiguration der Server in dieser Registerkarte gilt:

  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv aktiviert:
    Es werden Server 1 und Server 2 aus dem Projekt angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert:
    Es werden Server 1 und Server 2 aus der Datenbank angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert und in der Datenbank sind keine Einträge für die Server vorhanden:
    Für Server 1 und Server 2 werden leere Einträge angezeigt.


Archives

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Archives

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisarchive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Parameter

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

  • Name (Analyzer): Name des Archivs im zenon Analyzer.
  • Name (Project): Name des Archivs im Projekt.
  • Archive ID (Project): ID des Archivs im Projekt.
  • Project: Projekt, aus dem das Archiv stammt.
  • Description: Individuelle Beschreibung des Projekts.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Parameter

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Achtung: Der Filter unterscheidet Groß- und Kleinschreibung (case sensitive).

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meanings: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Project: Projekt, aus dem die Variable stammt.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung


Anzeigenamen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Variables > Anzeigenamen

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Variables > Bedeutung

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Efficiency classes

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Efficiency classes

Auswahl und Konfiguration der zu exportierenden Effizienzklassen. Dabei werden zenon Reaktionsmatrizen (REMAs) angezeigt, deren Status den Regeln der Effizienzklassen-Struktur entsprechen. Es werden nur REMAs ausgelesen, die bestimmte Bedingungen erfüllen.

Voraussetzungen zenon REMA

Damit eine Reaktionsmatrix als Effizienzklasse ausgelesen wird, muss sie folgende Bedingungen erfüllen:

  • Typ Numerisch oder Multi-Numerisch
  • Zustand korrekt konfiguriert
  • Grenzwerttext vorhanden

Konfiguration Zustand

Die zu konfigurierenden Zustände müssen folgenden Bedingungen entsprechen:

  • Der erste Zustand ist kleiner als ein definierter Wert. Dieser Bereich ist nach unten offen.

    Zustand n1: <x

  • Der letzte Zustand ist größer als der letzte davor definierte Wert. Dieser Bereich ist nach oben offen.

    Zustand n4: >z

  • Zwischen erstem und letztem Wert werden feste Bereiche definiert. Diese Bereiche müssen exakt aufeinander folgen.

    Zustand n2: x-y

    Zustand n3: y-z

Konfiguration im Wizard

Um Effizienzklassen für den Export auszuwählen:

  1. Wählen Sie die gewünschten Effizienzklassen aus.
  2. Konfigurieren Sie die Normalisierung.
    Achtung: Der Wert None ist einer späteren Ausbaustufe vorbehalten und darf nicht gewählt werden.

    Beim Export werden alle bereits existierenden Effizienzklassen in der Metadatenbank gelöscht, wenn sie vom Wizard angelegt wurden. Effizienklassen, die vom Metadata Editor stammen bleiben aber erhalten. Dann werden alle ausgewählten Effizienzklassen in die Metadatenbank geschrieben.

Parameter

Beschreibung

Efficiency Class Name

Auswahl der zu exportierenden Effizienklassen über
Aktivierung der Checkbox vor dem Namen.

Normalisation

Auswahl der Normalisierung aus Dropdownliste.

  • Minimum: 1 Minute
  • Maximum: 1 Jahr

Default: 15 Minuten

Achtung: None darf nicht gewählt werden. Dieser Wert ist einer späteren Ausbaustufe vorbehalten und führt zu ungültigen Konfigurationen.

attention Achtung

REMAs werden in zenon über den Namen identifiziert. Wird der Name einer REMA in zenon geändert, dann wird beim Export die dazugehörige Effizienzklasse neu angelegt und die bisherige Effizienzklasse wird gelöscht.


Finish

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.00 > Wizard beenden

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Export Wizard for Analyzer 3.10 und 3.20

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20

Der zenon Export Wizard for Analyzer 3.10 and 3.20 unterstützt den Export von Metadaten aus zenon ab Version 7.20 SP0 für den zenon Analyzer 3.10 und 3.20.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfall-Diagramm (siehe Abschnitt Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)
  • Effizienzklassen
  • Schichtkalender

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Sankey-Diagramme

Wasserfall-Diagramm

Schichtkalender exportieren

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Sankey-Diagramme

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wasserfall-Diagramm

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Wasserfall-Diagramm

Ein Wasserfall-Diagramm kann entweder für Linienbasierte Reports oder für Maschinenbasierte Reports erstellt werden. Die Parameter für das Diagramm werden ab zenon 7.20 in der Variableneigenschaft Analyzer/Parameter für Wasserfall-Diagramm abgelegt. Diese können manuell eingetragen oder mit dem Meaning and Waterfall Chart Wizard erstellt werden.

Export

Der Wizard liest beim Laden des zenon Arbeitsbereichs die Eigenschaft Parameter für Wasserfall-Diagramm aus. Sind korrekte Einträge vorhanden, werden diese im Hintergrund exportiert und in die Datenbank des zenon Analyzer geschrieben.

Aufbau der Einträge

Abhängig vom Aufbau der Einträge wird entschieden, ob es sich um Einträge für maschinenbasierte oder linienbasierte Diagramme handelt.

  • Maschinenbasiert: Aufbau mit 4 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    Beispiel: MyWaterfall,4,2,#80FF00;

  • Linienbasiert: Aufbau mit 7 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];
    Beispiel: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regeln für das Auslesen

Beim Auslesen gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
    Der Aufbau entscheidet darüber, ob der Eintrag als maschinenbasiert oder linienbasiert gewertet wird.
  • Die Kennung WF= ist nicht notwendig, kann aber verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehrere Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen. Hier muss die Kennung WF= vorangestellt sein.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Schichtkalender exportieren

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Schichtkalender exportieren

Der Wizard sucht in allen aktivierten Projekten automatisch nach Funktionen vom Type SQL-Export Schichtkalender und liest Informationen zu verknüpften Anlagengruppen aus.
Dabei gilt:

  • Gesucht wird in allen verfügbaren zenon Projekten.
  • Zugeordnete Anlagengruppen werden in der Tabelle EquipmentShift angelegt.
  • Wurde der Funktion keine Anlagengruppe zugeordnet, werden alle Anlagengruppen angelegt.
  • Exportiert werden nur Daten aus Projekten und Anlagengruppen, die in den Einstellungen des Wizards ausgewählt wurden.

Das Auslesen und Exportieren geschieht im Hintergrund.


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 3.10 and 3.20.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen und Anlagenmodellen für den Schichtkalender erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen. Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models : Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Efficiency classes: Anzeige der zu exportierenden Effizienzklassen
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Settings

In dieser Registerkarte:

  • definieren Sie die Datenbank, zu der sich der Wizard verbindet
  • legen Sie allgemeine Optionen für den Export fest
  • starten Sie das Auslesen der Daten

Settings

Option | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Option

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Option

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die Auswahl der Checkbox hinzugefügt werden.

Options

Option

Beschreibung

Options

Allgemeine Optionen für den Export.

Don't modify existing data in the Analyzer metadata database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Update Visual names

Nur verfügbar, wenn die Option Don't modify existing data in the Analyzer metadata database deaktiviert ist.

  • Aktiv: In zenon geänderte Anzeigenamen werden beim Export in der Metadatenbank des zenon Analyzer überschrieben.
  • Inaktiv: Geänderte Anzeigenamen werden im zenon Analyzer nicht geändert.

Default: inaktiv
Die Einstellung wird nicht gespeichert. Die Checkbox wird bei jedem Start des Wizards auf deaktiviert gesetzt.

Verhalten:

Bei aktivierter Checkbox werden in zenon geänderte Anzeigenamen auch im zenon Analyzer geändert für:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

Die Anzeigenamen für Users können nicht geändert werden. Diese werden bei Änderungen neu angelegt.

Änderung an Anzeigenamen werden in den einzelnen Listen angezeigt.

Beispiel:

Ausgangssituation:

  • Anzeigename im zenon Projekt: Z
  • Anzeigename im zenon Analyzer: A

Aktionen:

  • A = Z:
    Nichts passiert
  • A <> Z:
    Z wird übernommen, wenn der Name noch nicht in der Metadaten-Tabelle vergeben wurde. Ist Z in der Tabelle bereits vorhanden, bleibt A unverändert und eine Fehlermeldung wird ausgegeben.

Load Data

Option

Beschreibung

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Option | Beschreibung
Liste der geänderten Objekte | Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Ausnahme: Benutzer werden immer neu angelegt.
Rename | Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.
Cancel | Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Equipment models

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Event classes

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Event classes

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Option

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Option

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Option

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Hinweis: Änderungen sind nur möglich, wen in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database deaktiviert wurde. Welche Angaben für die Server angezeigt werden, hängt von den Einstellungen in Projekt und Datenbank ab. Details siehe Abschnitt Anzeige der Server-Einstellungen.

Option

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Anzeige der Server-Einstellungen

Für Anzeige und Konfiguration der Server in dieser Registerkarte gilt:

  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv aktiviert:
    Es werden Server 1 und Server 2 aus dem Projekt angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert:
    Es werden Server 1 und Server 2 aus der Datenbank angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert und in der Datenbank sind keine Einträge für die Server vorhanden:
    Für Server 1 und Server 2 werden leere Einträge angezeigt.


Archives

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Archives

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisarchive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Option

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

  • Name (Analyzer): Name des Archivs im zenon Analyzer.
  • Name (Project): Name des Archivs im Projekt.
  • Archive ID (Project): ID des Archivs im Projekt.
  • Project: Projekt, aus dem das Archiv stammt.
  • Description: Individuelle Beschreibung des Projekts.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Option

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Achtung: Der Filter unterscheidet Groß- und Kleinschreibung (case sensitive).

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meanings: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Project: Projekt, aus dem die Variable stammt.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung


Anzeigenamen

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Variables > Anzeigenamen

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Variables > Bedeutung

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Efficiency classes

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Efficiency classes

Auswahl und Konfiguration der zu exportierenden Effizienzklassen. Dabei werden zenon Reaktionsmatrizen (REMAs) angezeigt, deren Status den Regeln der Effizienzklassen-Struktur entsprechen. Es werden nur REMAs ausgelesen, die bestimmte Bedingungen erfüllen.

Voraussetzungen zenon REMA

Damit eine Reaktionsmatrix als Effizienzklasse ausgelesen wird, muss sie folgende Bedingungen erfüllen:

  • Typ Numerisch oder Multi-Numerisch
  • Zustand korrekt konfiguriert
  • Grenzwerttext vorhanden

Konfiguration Zustand

Die zu konfigurierenden Zustände müssen folgenden Bedingungen entsprechen:

  • Der erste Zustand ist kleiner als ein definierter Wert. Dieser Bereich ist nach unten offen.

    Zustand n1: <x

  • Der letzte Zustand ist größer als der letzte davor definierte Wert. Dieser Bereich ist nach oben offen.

    Zustand n4: >z

  • Zwischen erstem und letztem Wert werden feste Bereiche definiert. Diese Bereiche müssen exakt aufeinander folgen.

    Zustand n2: x-y

    Zustand n3: y-z

Konfiguration im Wizard

Um Effizienzklassen für den Export auszuwählen:

  1. Wählen Sie die gewünschten Effizienzklassen aus.
  2. Konfigurieren Sie die Normalisierung.
    Achtung: Der Wert None ist einer späteren Ausbaustufe vorbehalten und darf nicht gewählt werden.

    Beim Export werden alle bereits existierenden Effizienzklassen in der Metadatenbank gelöscht, wenn sie vom Wizard angelegt wurden. Effizienklassen, die vom Metadata Editor stammen bleiben aber erhalten. Dann werden alle ausgewählten Effizienzklassen in die Metadatenbank geschrieben.

Option

Beschreibung

Efficiency Class Name

Auswahl der zu exportierenden Effizienklassen über
Aktivierung der Checkbox vor dem Namen.

Normalisation

Auswahl der Normalisierung aus Dropdownliste.

  • Minimum: 1 Minute
  • Maximum: 1 Jahr

Default: 15 Minuten

Achtung: None darf nicht gewählt werden. Dieser Wert ist einer späteren Ausbaustufe vorbehalten und führt zu ungültigen Konfigurationen.

attention Achtung

REMAs werden in zenon über den Namen identifiziert. Wird der Name einer REMA in zenon geändert, dann wird beim Export die dazugehörige Effizienzklasse neu angelegt und die bisherige Effizienzklasse wird gelöscht.


Finish

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

Handbuch > Wizards > Themen > Analyzer > Export Wizard for Analyzer 3.10 und 3.20 > Wizard beenden

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Meaning and Waterfall Chart Wizard

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard

Der Meaning and Waterfall Chart Wizard unterstützt Sie bei der Vorbereitung eines zenon Projekts auf die Verarbeitung von Variablen-Informationen im zenon Analyzer.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

attention Achtung

Wird der Meaning and Waterfall Chart Wizard mit einem Projekt mit Verteiltem Engineering (Multi-User) verwendet, dann muss im zenon Editor Änderungen ermöglichen aktiviert werden für:

  • das Projekt (Kontextmenü des Projekts)
  • die Variablen (Kontextmenü der Variablen oder des Moduls Variablen)

Anderenfalls können die vom Meaning and Waterfall Chart Wizard durchgeführten Änderungen nicht übernommen werden. Diese werden dann verworfen.

Der Meaning and Waterfall Chart Wizard unterstützt bei der zenon Projektierung die Konfiguration von:

  • Bedeutungen (Meaning)
  • Wasserfall-Diagrammen (Waterfall Charts) für Maschinenbasierte Reports und Linienbasierte Reports.

Der Wizard schreibt die Konfiguration in die entsprechenden Eigenschaften der im Wizard ausgewählten Variablen. Die Ziel-Eigenschaften hängen ab von der eingesetzten zenon Version.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

AB zenon 7.20

  • Bedeutungen:

    Die Bedeutungen (Meanings) werden in die Eigenschaft Analyzer/Bedeutung geschrieben. Mehrere Einträge werden durch Komma (,) getrennt.

  • Wasserfall:

    Die Parameter für Wasserfall-Diagramme werden in die Eigenschaft Analyzer/Parameter für Wasserfall-Diagramm geschrieben. Die Parameter für ein Diagramm werden durch Komma (,) getrennt. Mehrere Diagramme werden durch Semikolon (;) getrennt.

    • Syntax maschinenbasiert: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    • Syntax linienbasiert: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];

Für beide Eigenschaften gilt: Sind aus vorangegangenen zenon Versionen noch Einträge in der Eigenschaft Allgemein/Betriebsmittelkennung vorhanden, dann werden diese gelöscht und in die entsprechenden Eigenschaften für zenon 7.20 eingetragen.

Bis inklusive zenon 7.11

Bedeutungen (Meanings) und Parameter für Wasserfall-Diagramme werden in die Variablen-Eigenschaft Betriebsmittelkennung geschrieben. Dabei wird für Bedeutungen das Präfix ME= vorangestellt, für Wasserfall-Parameter das Präfix WF=.

Weitere Informationen siehe Kapitel Analyzer Wizards.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Wizard installieren und aufrufen

Der Wizard wird mit zenon automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Meaning and Waterfall Chart Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle konfigurierbaren Objekte auflistet und erklärt. Die Konfiguration beginnt mit der Registerkarte Settings.

Meaning

zenon Variablen erhalten in der Projektierung oft sehr technisch orientierte Namen. Diese Benennung ist für die Darstellung in einem zenon Analyzer Report oft nicht aussagekräftig genug. Mit dem Wizard kann den Variablen ein eindeutigen Namen für die Darstellung im zenon Analyzer Report gegeben werden. Dieser Name wird abhängig von der zenon Version in der entsprechenden Variablen-Eigenschaft gespeichert. Ziel-Eigenschaft und Eintrag werden vom Wizard automatisch gewählt.

Nach dem Import in den zenon Analyzer wird dieser Name für Reports verwendet, ohne dass der bestehende Variablenname geändert werden muss. Detail siehe Kapitel Analyzer Wizards.

Waterfall chart

Manche zenon Analyzer Reports können anhand von zenon Variablen ein Wasserfall-Diagramm darstellen. Dafür müssen schon zuvor Informationen über das Aussehen des Diagramms in der Betriebsmittelkennung der ausgewählten Variablen vorhanden sein. Mit dem Wizard können der Aufbau und das Aussehen eines Wasserfall-Diagramms für maschinenbasierte oder linienbasierte Reports definiert werden. Die Wasserfall-Informationen werden abhängig von der zenon Version in der entsprechenden Variablen-Eigenschaft gespeichert. Ziel-Eigenschaft und Eintrag werden vom Wizard automatisch gewählt. Detail siehe Kapitel Analyzer Wizards.

Navigation

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Wizards.


Konfiguration

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration

Der Meaning and Waterfall Chart Wizard wird mit folgenden Registerkarten konfiguriert:

  • Settings: Laden der Daten aus den Projekten.
    Erst wenn die zu ladenden Daten ausgewählt und erfolgreich geladen wurden, stehen weitere Registerkarten für Bedeutungen und/oder Wasserfall-Diagramme zur Verfügung.
  • Meaning filter: Filtereinstellungen für Bedeutungen.
  • Meaning: Auswahl und Zuweisung der Bedeutungen.
  • Waterfall filter: Filtereinstellungen für maschinenbasiertes Wasserfall-Diagramm oder linienbasiertes Wasserfall-Diagramm.
  • Waterfall charts: Auswahl Variablen und Konfiguration maschinenbasiertes Wasserfall-Diagramm oder linienbasiertes Wasserfall-Diagramm.
  • Finish: Übernahme der Konfiguration und Projektierung durch Wizard.

Welche Registerkarten angezeigt werden, hängt ab von der Konfiguration der Registerkarte Settings.

Noch in diesem Kapitel

Navigation

Settings

Meanings

Machine

Line

Allgemeine Regeln für Wasserfalldiagramme

Finish


Navigation

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche | Beschreibung
Pfeil nach links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Finish | Schreibt alle Änderungen auf die zenon Variable im Editor und beendet den Wizard.
Cancel | Beendet den Wizard, ohne Änderungen vorzunehmen.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Settings

Auswahl und Laden der zu konfigurierenden Registerkarten.

Option

Beschreibung

Settings

Einstellung, welche Registerkarten geladen werden sollen.

Load every project of this workspace into the memory
  • Aktiv: Beim Laden werden auch Projekte aus dem Arbeitsbereich berücksichtigt, die nicht im Speicher sind. Nach dem Beenden des Wizard oder nach Ausführen der Aktion Finish werden diese wieder entladen.

Define Meanings

  • Aktiv: Die Registerkarten Meaning filter und Meaning werden geladen.

Define Waterfall Chart

Auswahl Wasserfalldiagramm:

  • Aktiv: Es wird ein Wasserfalldiagramm erstellt.

Auswahl des Wasserfall-Typs über Radiobuttons:

  • Machine: Ein Wasserfall-Diagramm vom Typ maschinenbasiert wird erstellt. Die Registerkarten Waterfall filter und Waterfall werden geladen.
  • Line: Ein Wasserfall-Diagramm vom Typ linienbasiert wird erstellt. Die RegisterkartenLine Analysis filter und Line Analysis werden geladen.

Load data

Klick auf die Schaltfläche durchsucht die Variablen aller geladenen Projekten im Arbeitsbereich und lädt die benötigten Information für die Filter und Bearbeitung der Variablen. Die entsprechenden Registerkarten werden im Wizard angezeigt.

Während des Ladens der Daten wird ein Fortschrittsbalken angezeigt.

Nach dem Laden stehen die Registerkarten für die gewählten Daten zur Konfiguration zur Verfügung.


Meanings

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Meanings

Konfiguration der Bedeutungen über die Registerkarten Meaning filter und Meaning.

Noch in diesem Kapitel

Meaning filter

Meaning


Meaning filter

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Meanings > Meaning filter

Mit dieser Registerkarte werden die zu bearbeitenden Variablen vorgefiltert. Wird in keiner Gruppe ein Objekt ausgewählt, stehen in der Registerkarte Meaning alle Variablen zu Verfügung.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

Option | Beschreibung
Liste Anlagengruppen | Filterung auf einzelne Modelle durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Anlagenmodelle werden gewählt.
Liste Projekte | Filterung auf einzelne Projekte durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Projekte werden gewählt.
Liste Archive | Filterung auf einzelne Archive durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Archive werden gewählt.


Meaning

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Meanings > Meaning

In dieser Registerkarte werden die Bedeutungen für die Variablen bearbeitet. Es können Variablen ausgewählt und mit neuen Bedeutungen versehen werden und vorhandene Bedeutungen können entfernt werden.

Variablenauswahl

Option

Beschreibung

Search meaning

Eingabe eines Suchbegriffs listet alle Variablen mit entsprechenden Bedeutungen auf.

Die Liste wird sofort mit der Eingabe eines Zeichens aktualisiert. Platzhalter können nicht verwendet werden.

Liste Variablen

Liste der nach der Filterung zur Verfügung stehenden Variablen.

Auswahl von Variablen zur Bearbeitung: Aktivierung der Checkbox vor der Variablen.

In der Spalte Meanings werden bereits vorhandene Bedeutungen der Variablen angezeigt. Dabei werden ausschließlich Bedeutungen angezeigt. Andere Einträge oder Einträge für das Wasserfall-Diagramm werden ausgeblendet und bei der Bearbeitung ignoriert.

Die Variablen können durch Klick auf eine Spaltenbeschriftung entsprechend sortiert werden.

Select all

Klick wählt alle Variablen zur Bearbeitung aus.

Deselect all

Klick wählt alle Variablen ab.

Anzeige Statistik

Zeigt wie viele Variablen:

  • in der Liste vorhanden sind
  • ausgewählt wurden
  • geändert wurden

Reset

Macht alle Änderungen, die durch einen Klick auf Update meaning vorgenommen wurden, rückgängig.

Hinweis: Änderungen werden erst mit Klick auf Finish endgültig übernommen.

Bedeutungen hinzufügen

Option | Beschreibung
Add new meanings | Ermöglicht das Hinzufügen von Bedeutungen zu Variablen. Neue Bedeutungen werden im Eingabefeld eingegeben, zur Liste hinzugefügt und über die Schaltfläche Update meaning den ausgewählten Variablen zugewiesen.
Eingabefeld | Eingabe einer neuen Bedeutung. Maximale Länge: 50 Zeichen
Liste Meanings | Listet alle angelegten Bedeutungen auf.
Add to list | Fügt Eintrag aus Textfeld zur Liste der Bedeutungen hinzu.
Remove from list | Löscht ausgewählten Eintrag aus der Liste Meanings.
Remove all | Löscht alle Einträge aus der Liste Meanings.
Update meaning | Klick weist die Einträge in der Liste Meanings den ausgewählten Variablen als neue Bedeutung zu. Die hinzugefügten Bedeutungen werden in der Spalte Meanings (preview)angezeigt, die Zeile mit der Variablen wird grün hinterlegt.

Bedeutungen entfernen

Option | Beschreibung
Remove existing meanings | Ermöglicht das Entfernen von Bedeutungen von Variablen. Wird eine Variable ausgewählt, werden in der Liste Meanings alle zugewiesenen Bedeutungen angezeigt. Bedeutungen, die erhalten bleiben sollen, werden durch Klick auf die Schaltfläche Remove from list aus der Liste gelöscht. Klick auf die Schaltflächen Update meaning entfernt die Bedeutungen von den ausgewählten Variablen.
Liste Meanings | Listet alle der ausgewählten Variablen zugewiesenen Bedeutungen auf.
Remove from list | Löscht ausgewählten Eintrag aus der Liste Meanings.
Remove all | Löscht alle Einträge aus der Liste Meanings.
Update meaning | Klick entfernt alle Einträge in der Liste Meanings von der ausgewählten Variablen. Die Zeile mit der Variablen wird rot hinterlegt.

Achtung: Änderungen und neue Einträge werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Beispiel Farbkennzeichnung

  • Rot: Alle Meanings der Variable wurden gelöscht.
  • Grün: Variable hat neue Meaning erhalten.


Machine

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Machine

Konfiguration eines Wasserfallmodells für Machinenbasierte Reports über die Registerkarten Waterfall chart filter und Waterfall chart.

Noch in diesem Kapitel

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Machine > Waterfall chart filter

In dieser Registerkarte definieren Sie das maschinenbasierte Wasserfall-Diagramm. Dazu müssen alle zu verwendenden Variablen der gleichen Anlagengruppe zugeordnet sein. Sollen Variablen aus einem Archiv verwendet werden, müssen das Archiv und die Variablen der gleichen Anlagengruppe zugeordnet sein.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

Option | Beschreibung
Liste Anlagengruppen | Auswahl einer Anlagengruppe.
Liste Projekte | Auswahl eines Projekts.
Liste Archive | Auswahl eines Archivs.

Es müssen eine Anlagengruppe und ein Projekt ausgewählt werden. Optional kann auch ein Archiv der passenden Anlagengruppe gewählt werden.

In der Registerkarte Waterfall werden keine Variablen angezeigt, wenn:

  • kein Projekt gewählt wurde
  • keine Anlagengruppe gewählt wurde
  • Objekte gewählt wurden, die nicht der gleichen Anlagengruppe zugeordnet sind


Waterfall chart

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Machine > Waterfall chart

In dieser Registerkarte können Wasserfall-Definition erstellt und bearbeitet werden.

Option

Beschreibung

New

Aktiv: Eine neue Wasserfall-Definition wird erstellt.

Update

Aktiv: Eine bestehende Wasserfall-Definition wird bearbeitet. Auswahl aus Dropdownliste.

Chart

Eingabe eines Namens für eine neue Wasserfall-Definition.

Save

Klick auf Schaltfläche speichert Eingaben.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Variablenliste

Listet alle Variablen auf, die der Konfiguration in der Registerkarte Waterfall filter entsprechen. Variablen vom Typ Bool und String werden nicht angezeigt.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden. In der Spalte Waterfalls werden bestehende Wasserfall-Definitionen angezeigt. In der Spalte Waterfalls (preview) werden neue bzw. geänderte Wasserfall-Definitionen angezeigt.

Chart

Hier werden Wasserfall-Definitionen per Drag&Drop erstellt oder bearbeitet.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition erstellen

Um eine neue Wasserfall-Definition zu erstellen:

  1. Wählen Sie New.
  2. Ziehen Sie die gewünschten Variablen per Drag&Drop der Reihe nach in die Fläche Chart.
  3. Ordnen Sie die Balken entsprechend den Regeln an.
  4. Vergeben Sie einen Namen im Eingabefeld Chart.
  5. Klicken Sie auf Save.
  6. Die Konfiguration wird in der Spalte Waterfalls (preview) angezeigt.
  7. Wechseln Sie zur Registerkarte Finish.
  8. Klicken Sie auf Finish.


Line

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Line

Konfiguration eines Wasserfallmodells für Linienbasierte Reports über die Registerkarten Waterfall chart filter und Waterfall chart.

Noch in diesem Kapitel

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Line > Waterfall chart filter

In dieser Registerkarte definieren Sie das linienbasierte Wasserfall-Diagramm. Dazu müssen alle zu verwendenden Variablen und Archive der gleichen Anlagengruppe zugeordnet sein.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

Parameter | Beschreibung
Main machine | Konfiguration der Hauptmaschine.
Equipment | Liste der vorhandenen Anlagenmodelle. Auswahl eines Modells durch Aktivierung der Checkbox. Die Auswahl definiert die verwendbaren Archive. Es kann nur ein Modell ausgewählt werden.
Project | Vorhandene Projekte. Über die Auswahl von Projekten kann die Liste der Archive gefiltert werden. Die Auswahl ist optional.
Archive | Liste der vorhandenen Archive. Auswahl eines Archivs durch Aktivierung der Checkbox. Es kann nur ein Archiv ausgewählt werden.
Side machines | Konfiguration der Nebenmaschinen
Equipment | Liste der vorhandenen Anlagenmodelle. Auswahl eines Modells durch Aktivierung der Checkbox. Die Auswahl definiert die verwendbaren Archive. Es können beliebig viele Modelle ausgewählt werden.
Project | Vorhandene Projekte. Über die Auswahl von Projekten kann die Liste der Archive gefiltert werden. Die Auswahl ist optional.
Archive | Liste der vorhandenen Archive. Auswahl eines Archivs durch Aktivierung der Checkbox. Es können beliebig viele Archive ausgewählt werden.

Regeln

Für die Auswahl der Hauptmaschine gilt:

  • Es muss genau eine Anlagengruppe ausgewählt werden.
  • Die Archivauswahl kann über den Filter Project vorgefiltert werden.
    Es kann nur ein Projekt ausgewählt werden.
  • Es muss genau ein Archiv ausgewählt werden.

Für die Auswahl der Nebenmaschinen gilt:

  • Es können mehrere Anlagengruppen ausgewählt werden. Diese müssen aber von der gleichen Ebene wie die Hauptmaschine stammen.
  • Wurde eine Anlagengruppe für die Hauptmaschine gewählt, können für die Nebenmaschinen nur Anlagengruppen auf gleicher Ebenen der Hauptmaschine gewählt werden. Die Anlagengruppe der Hauptmaschine wird dabei ausgeschlossen.
  • Die Archivauswahl kann über den Filter Project vorgefiltert werden.
    Es können mehrere Projekte ausgewählt werden.
  • Es muss mindestens ein Archiv ausgewählt werden. Wird eine Variable bereits im Archiv der Hauptmaschine verwendet, steht sie für die Nebenmaschine nicht zur Verfügung.

attention Achtung

Damit Variablen für das Diagramm zur Verfügung stehen, müssen sie immer mit der gleichen Anlagengruppe verknüpft sein wie das Archiv, in dem sich die Variablen befinden. Das gilt für Hauptmaschinen und Nebenmaschinen.


Waterfall chart

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Line > Waterfall chart

In dieser Registerkarte können Wasserfall-Definition erstellt und bearbeitet werden.

Beachten Sie die Regeln für die Filterung in der Registerkarte Line Analysis filter: Es müssen exakt die gleichen Variablen-Filter-Einstellungen für Haupt- und Nebenmaschinen eingestellt werden.

Option

Beschreibung

New

Aktiv: Eine neue Wasserfall-Definition wird erstellt.

Update

Aktiv: Eine bestehende Wasserfall-Definition wird bearbeitet. Auswahl aus Dropdownliste.

Chart

Eingabe eines Namens für eine neue Wasserfall-Definition.

Save

Klick auf Schaltfläche speichert Eingaben.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Legend

Legende für die Zuordnung der Variablen:

  • Sub: Verluste von Nebenmaschinen werden von Hauptmaschine subtrahiert.
  • Add: Verluste von Nebenmaschinen werden zur Hauptmaschine addiert.
  • SMa: Nebenmaschinen.

Variables main machine

Listet alle für die Hauptmaschine verfügbaren Variablen auf.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden.

Variables side machine

Listet alle für die Nebenmaschinen verfügbaren Variablen auf.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden.

Chart

Hier werden Wasserfall-Definitionen per Drag&Drop erstellt oder bearbeitet.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition erstellen

Um eine neue Wasserfall-Definition zu erstellen:

  1. Wählen Sie New.
  2. Ziehen Sie die gewünschten Variablen per Drag&Drop der Reihe nach in die Fläche Chart.
  3. Ordnen Sie die Balken entsprechend den Regeln an.
  4. Vergeben Sie einen Namen im Eingabefeld Chart.
  5. Klicken Sie auf Save.

    Die Konfiguration wird in der Liste in der Spalte Waterfall def. preview (preview) angezeigt.

  6. Wechseln Sie zur Registerkarte Finish.
  7. Klicken Sie auf Finish.

Wasserfall-Definition bearbeiten

Um eine bestehende Wasserfall-Definition zu bearbeiten:

  1. Wählen Sie Update.
  2. Wählen Sie in der Dropdownliste die gewünschte Definition.

    Die bestehende Definition wird im Diagrammfeld angezeigt.

  3. Bearbeiten Sie die Definition.
  4. Klicken Sie auf Save.
  5. Die Konfiguration wird in der Liste in der Spalte Waterfall def. preview (preview) angezeigt.
  6. Wechseln Sie zur Registerkarte Finish.
  7. Klicken Sie auf Finish.

Regeln beim Zeichnen des Diagramms:

Beim Zeichnen gelten im Unterschied zum maschinenbasierten Diagramm folgende Regeln:

Position | Regel | Definition | Kürzel
letzte Zeile, erste Spalte | Nur Einträge für Hauptmaschinen. | SUBTRACT_SIDE_MACHINE_LOSSES | Sub
n-Spalte, letzte Zeile und nicht 1. Spalte | Einträge der Hauptmaschine. | Default: ADD_SIDE_MACHINE_LOSSES = 0 | (keines)
 |  | Alternativ: Rechte Mausklick auf die Zelle öffnet nach dem Dialog für die Farbauswahl einen weiteren Dialog. Bestätigung mit Ja ändert Definition auf: ADD_SIDE_MACHINE_LOSSES = 1 | Add
n-Spalte, letzte Zeile und nicht 1. Spalte | Einträge der Nebenmaschinen. | LOSS_FROM_SIDE_MACHINE = 1 | SMa

Dialog: Verluste Nebenmaschine addieren

Unter folgenden Bedingungen wird nach dem Schließen des Farbauswahldialogs ein zusätzlicher Dialog zum Addieren von Verlusten aus Nebenmaschinen angezeigt:

  • rechter Mausklick im Diagramm
  • auf eine Variable der Hauptmaschine
  • in der letzten Zeile
  • ab der zweiten Spalte

Option | Beschreibung
Add side machine losses | Abfrage, ob Verluste von Nebenmaschinen addiert werden sollen.
Ja | Der Wert für DD_SIDE_MACHINE_LOSSES wird auf 1 gesetzt. Die Verluste der Nebenmaschine werden addiert.
Nein | Der Wert für DD_SIDE_MACHINE_LOSSES wird auf 0 gesetzt. Die Verluste der Nebenmaschine werden subtrahiert.
Abbrechen | Der Zustand wie vor dem Aufschalten des Dialogs bleibt bestehen.


Allgemeine Regeln für Wasserfalldiagramme

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Allgemeine Regeln für Wasserfalldiagramme

Beim Erstellen und Bearbeiten von Wasserfall-Definitionen gelten folgende Regeln:

  1. Für den ersten Balken muss die Variable in die linke obere Ecke der Zeichenfläche gezogen werden.
  2. Der zweite Balken kann nur unterhalb des ersten Balkens eingefügt werden.
  3. Alle weiteren Balken können entweder unter einen bestehenden Balken oder rechts von einem Bestehenden Balken eingefügt werden.
    • Die erste Zeile kann nur einen Balken enthalten.
    • Wird ein Balken rechts eines bestehenden Balkens eingefügt, werden die darüber liegenden Balken verlängert.
  4. Die ausgewählte Variable wird grün dargestellt.
  5. Jede Variable kann nur einmal verwendet werden.
  6. Der Balken erhält einen Index:
    • erste Zahl: Zeilen-Index
    • zweite Zahl: Spalten-Index
  7. Im Tooltip des Balkens wird der Name der ausgewählten Variable angezeigt
  8. Nur für linienbasierte Diagramme: Variablen von Nebenmaschinen können nur in die letzte Zeile eingetragen werden.

Hinweis: Beachten Sie die Regeln für Filterung und Diagrammgestaltung bei linienbasierten Diagrammen.

Wasserfall-Definition speichern

Um eine Wasserfall-Definition zu speichern:

  1. Vergeben Sie im Eingabefeld Chart einen Namen.
  2. Klicken Sie auf die Schaltfläche Save.
  3. Die Definition wird in der Variablenliste gespeichert und der neue Eintrag in der Liste in der Spalte Waterfall def. preview (preview) angezeigt
  4. Die neue Wasserfall-Definition wird erst nach Klick auf die Schaltfläche Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition bearbeiten

Um eine neue Wasserfall-Definition zu bearbeiten:

  1. Wählen Sie Update.
  2. Wählen Sie aus der Dropdownliste die gewünschte Wasserfall-Definition.

    Achtung: Es werden nur Definitionen angeboten, die der Konfiguration in der Registerkarte Waterfall filter entsprechen.

  3. Die Wasserfall-Definition wird in der Fläche Chart angezeigt.
  4. Ändern Sie die Definition entsprechend den Regeln:
    • Balken hinzufügen: Ziehen Sie die Variable an die gewünschte Stelle. Die Variable wird grün eingefärbt.
    • Balken löschen: Ziehen Sie den Balken in den Löschbereich. Die Variable wird wieder ohne Markierungsfarbe angezeigt.
    • Balken verschieben: Verschieben Sie den Balken an die gewünschte Stelle.
    • Farbe ändern: Weisen Sie dem Balken mit Rechtsklick die gewünschte Farbe zu.
  5. Klicken Sie auf Save.
  6. Alle Änderungen werden in der Liste in der Spalte Waterfall def. preview (preview) angezeigt.
  7. Wechseln Sie zur Registerkarte Finish.
  8. Klicken Sie auf Finish.

Balken löschen

Balken können gelöscht werden, wenn:

  • es sich um kurze Balken handelt
  • rechts davon oder darunter kein weiterer Balken vorhanden ist

Um einen Balken zu löschen, ziehen Sie ihn per Drag&Drop auf eine freie Stelle außerhalb des Feldes Chart (aber nicht in die Variablenliste).

Der Balken wird gelöscht. Alle anderen Balken werden entsprechend verschoben. Balken verschieben

Balken können verschoben werden, wenn:

  • es sich um kurze Balken handelt
  • die Verschiebeaktion innerhalb einer Zeile stattfindet

Um einen Balken zu verschieben, ziehen Sie ihn per Drag&Drop an die neue Position. Alle anderen Balken zwischen der alten und der neuen Position werden um eine Stelle verschoben.

Farbe eines Balkens ändern

Um die Farbe eines Balkens zu ändern:

  1. Führen Sie einen Rechtsklick auf den Balken aus.
  2. Der Dialog zur Farbauswahl wird aufgeschaltet.
  3. Wählen Sie die gewünschte Farbe.
  4. Klicken Sie auf OK.


Finish

Handbuch > Wizards > Themen > Analyzer > Meaning and Waterfall Chart Wizard > Konfiguration > Finish

In dieser Registerkarte werden die Änderungen auf die Variablen in zenon geschrieben und das Ergebnis im Ausgabefeld angezeigt.

Klick auf die Schaltfläche Finish schreibt alle Änderungen auf die zenon Variable im Editor.

Die vorgenommenen Änderungen werden im Ausgabefeld angezeigt:

  • Update variable MEANINGS definition: Änderungen, die an Variablen durchgeführt wurden und die Bedeutungen betreffen.
  • Update variable WATERFALL definition: Änderungen, die an Variablen durchgeführt wurden und die Wasserfall-Definition betreffen.
  • Hinweise zu neuen, bearbeiteten und gelöschten Einträgen, Warnungen und Fehlermeldungen.

    Beim Import in zenon wird die Länge des Eintrags für die entsprechenden Eigenschaften überprüft. Dieser darf maximal 250 Zeichen lang sein. Ist der Eintrag länger, wird die Zeichenfolge nach dem 250. Zeichen abgeschnitten und ein Fehlereintrag in das Ausgabefeld der Registerkarte Finish geschrieben.


Sankey Wizard

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard

Ein Sankey-Diagramm ist eine grafische Darstellung von Mengenflüssen. Die Mengen werden durch mengenproportional dicke Pfeile dargestellt. Sankey-Diagramme sind wichtige Hilfsmittel zur Visualisierung von Energie- und Materialflüssen sowie von Ineffizienzen und Einsparpotenzialen im Umgang mit Ressourcen.

Der Sankey Wizard unterstützt Sie bei der Erstellung von Sankey-Diagrammen, die Sie in der zenon Runtime und im zenon Analyzer sehen können.

Folgende Szenarien sind möglich:

  • Ein neues Sankey-Diagramm erstellen.
  • Ein bereits existierendes Sankey-Diagramm als Vorlage verwenden.
  • Ein existierendes Sankey-Diagramm bearbeiten.
  • Ein existierendes Sankey-Diagramm löschen.

Das Sankey-Diagramm wird in einer XML-Datei gespeichert.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Sankey Wizard installieren

Sankey Wizard starten

Startfenster

Listen sortieren und filtern

Navigation

Action - Aktion auswählen

Variables - Variablen auswählen

Diagram - Diagramm erstellen

Finish - Fertig stellen


Sankey Wizard installieren

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Sankey Wizard installieren

Der Wizard wird mit zenon automatisch mitinstalliert.


Sankey Wizard starten

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Sankey Wizard starten

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Sankey Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle konfigurierbaren Objekte auflistet und erklärt. Die Konfiguration beginnt mit der Registerkarte Action.

Durch einen Klick auf die Schaltfläche mit dem Pfeil oder auf den Titel der Registerkarte, navigieren Sie durch die Konfiguration des Wizards.


Listen sortieren und filtern

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Listen sortieren und filtern

Sortieren von Listen

Alle Listen in den Registerkarten Action und Variables können sortiert werden.

Die Sortierung erfolgt per Default alphabetisch, was jedoch invertiert werden kann.

Um zu sortieren:

  1. Klicken Sie auf den entsprechenden Spaltenkopf, nach dem sortiert werden soll.

    Die Liste wird nach dieser Spalte sortiert angezeigt.

  2. Ein weiterer Klick invertiert die Sortierung.

Filtern von Listen

Sie können in allen Listen in den Registerkarten Action und Variables nach bestimmten Kriterien filtern. Ebenso können mehrere Filter miteinander kombiniert werden.

Hinweis: Um einen Filter zurückzusetzen, löschen Sie den Filtertext aus der Kopfzeile.

Vorgehen:

  1. Klicken Sie in der gewünschten Liste mit der linken Maustaste in das Eingabefeld bei dem entsprechenden Filtersymbol.
  2. Geben Sie den Begriff ein, nach dem gefiltert werden soll.
  3. Klicken Sie in der gewünschten Liste mit der linken Maustaste auf das entsprechende Filtersymbol.

    Das Kontextmenü wird geöffnet.

  4. Treffen Sie Ihre Auswahl, indem Sie mit der linken Maustaste auf die gewünschte Filtermöglichkeit klicken.

    Zur Auswahl stehen:

    • No filter: kein Filter eingestellt
    • Contains: beinhaltet
    • Does not contain: beinhaltet nicht
    • Starts with: beginnt mit
    • Equals: entspricht
    • Not equal to: entspricht nicht

    Die Liste wird entsprechend Ihrer Auswahl gefiltert.

Hinweis: Per Default ist der Filter "Contains" eingestellt.


Navigation

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche | Beschreibung
Pfeil nach links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Finish | Schreibt alle Änderungen auf die zenon Variable im Editor und beendet den Wizard.
Cancel | Beendet den Wizard, ohne Änderungen vorzunehmen.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Action - Aktion auswählen

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Action - Aktion auswählen

Wählen Sie in der Registerkarte Action die gewünschte Aktion aus, indem Sie diese aktivieren.

Es gibt folgende drei Möglichkeiten:

Option | Beschreibung
Create diagram | Erstellt ein neues Diagramm.
Use existing diagram as template | Verwendet ein bestehendes Diagramm als Vorlage. Hinweis: Variablen müssen in diesem Fall erneut an Knotenverbindungen verknüpft werden. Die Variablenverknüpfungen vom bestehenden Diagramm werden in der Vorlage nicht angezeigt.
Edit or delete diagram | Ermöglicht das Bearbeiten oder Löschen eines bestehenden Diagramms. Das zu bearbeitende oder zu löschende Diagramm kann aus der Liste der erstellten Diagramme ausgewählt werden.

Sortier- und Filtermöglichkeiten

Sie können die Liste in der Registerkarte Action sortieren und nach bestimmten Kriterien filtern. Details hierzu finden Sie im Kapitel Listen sortieren und filtern.

Liste der erstellten Diagramme

Das Fenster in der Mitte zeigt eine Liste mit den bereits erstellten Diagrammen. Die Einträge sind ausgegraut, wenn Create_Diagram gewählt ist. Folgende Informationen sind dazu sichtbar:

Option | Beschreibung
Project | Name des Projekts, in dem das Diagramm gespeichert ist.
Diagram | Zeigt den Namen des Diagramms.
Description | Zeigt die Beschreibung des Diagramms.
Analyzer | Aktiv: Das Diagramm kann im Analyzer und in der Runtime verwendet werden. Inaktiv: Das Diagramm kann nur in der Runtime verwendet werden.
Valid | Aktiv: Das Diagramm ist gültig. Inaktiv: Das Diagramm ist nicht gültig. Sie können das Diagramm weder im Analyzer noch in der Runtime verwenden. Hinweis: Editieren Sie in diesem Fall das Diagramm und passen Sie es an bis es gültig ist.
Delete | Löscht das gewählte Diagramm. Vor dem Löschen des gewählten Diagramms wird ein Dialog mit einer Sicherheitsabfrage angezeigt.

Project Settings

Im diesem Bereich können Sie folgende Einstellungen für das Projekt machen:

Option

Beschreibung

Name

Geben Sie hier einen Namen für das Projekt ein.

Hinweis: Der Name muss eindeutig sein. Ein Warndialog macht Sie andernfalls darauf aufmerksam. Ein neu erstelltes Diagramm mit einem bereits existierenden Namen würde beim Bestätigen des Warndialogs das bestehende ersetzen. Wenn Sie jedoch im Warndialog auf No klicken, wird der Name automatisch um _1 ergänzt.

Save into project

Wählen Sie hier das Projekt aus, in dem Ihr Diagramm gespeichert werden soll.

Description

Geben Sie hier eine Beschreibung ein.
Hinweis: Dies ist optional.

Create diagram for Analyzer

Aktiv: Es werden nur Variablen angezeigt, die in Archiven sind.
Hinweis: Die Variablen, die Sie verwenden möchten, müssen zuerst mit dem Analyzer Export Wizard exportiert werden.

Inaktiv: Die Auswahl der Variablen ist uneingeschränkt möglich, jedoch kann das Diagramm nicht im zenon Analyzer verwendet werden, sondern nur in der zenon Runtime.

Hinweis: Nach dem Verlassen dieser Registerkarte ist keine Bearbeitung der hier gemachten Einstellungen mehr möglich.

Dialog: Diagramm löschen

Vor dem Löschen des gewählten Diagramms wird ein Dialog mit einer Sicherheitsabfrage angezeigt.

Option | Beschreibung
Ja | Löscht das ausgewählte Diagramm.
Nein | Der Löschvorgang wird abgebrochen. Der Dialog wird geschlossen, das gewählte Diagramm wird nicht gelöscht


Variables - Variablen auswählen

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Variables - Variablen auswählen

In dieser Registerkarte können Sie Variablen für Ihr Projekt auswählen.

Sortier- und Filtermöglichkeiten

Sie können die Listen in der Registerkarte Variables sortieren und nach bestimmten Kriterien filtern. Details hierzu finden Sie im Kapitel Listen sortieren und filtern.

Select project

Option | Beschreibung
Select project | Liste aller aktiven zenon Projekte. Wählen Sie hier jene(s) Projekt(e), aus dem/denen Sie die Variablen für Ihr Diagramm auswählen möchten. Hinweis: Mehrfachauswahl ist möglich.

Select data source

Option

Beschreibung

Select data source

Wählen Sie hier die Datenquelle (Archive) aus.
Hinweis: Die Option Online Data steht für alle anderen Variablen, die nicht aus Archiven kommen. Diese Option kann man nur auswählen, wenn Sie in der Registerkarte Action nicht die Option create for Analyzer aktiviert haben. Für die Runtime werden Live-Werte, also Online-Werte verwendet. Für den zenon Analyzer werden historische Werte verwendet.

  • Short name
    Kurzbezeichnung des Archivs
  • Long name
    vollständiger Name des Archivs
  • Project
    Projektname des Archivs
  • Parent archive
    Version des verwendeten Archivs

Variables

Option

Beschreibung

Project variables

Wählen Sie hier die Variablen aus, die Sie mit Ihrem Diagramm verknüpfen wollen. Mehrfachauswahl ist möglich.

Möglichkeiten dafür:

  • Doppelklicken Sie die gewünschte Variable.
  • Markieren Sie die gewünschte Variable und klicken anschließend auf Add->.
  • Halten Sie die Steuerung-Taste gedrückt, markieren mehrere Variablen, klicken auf Add->.
  • Klicken Sie auf Add all->, um alle Variablen auszuwählen.

Variablenliste:

  • Name
    Name der Variable
  • Project
    Name des Projekts der Variable
  • Archive:
    Kurzbezeichnung des Archivs
  • Aggregation:
    Verdichtungsart des Archivs
    • AVG (Mittelwert)
    • Max (Maximalwert)
    • Min (Minimumwert)
    • Sum (Summe)
    • RAW (Rohdatenformat - ohne Verdichtung)

Schaltfläche Add ->

Fügt ausgewählte Variable(n) zur Liste der Diagram variables hinzu.

Schaltfläche Add all ->

Fügt alle Variablen zur Liste der Diagram variables hinzu.

Schaltfläche <- Delete

Entfernt ausgewählte Variable(n) aus der Liste der Diagram variables.

Schaltfläche <- Delete all

Entfernt alle Variablen aus der Liste der Diagram variables.

Diagram variables

Option

Beschreibung

Diagram variables

Hier sehen Sie die ausgewählten Variablen. Diese sind für die nächste Registerkarte beim Erstellen des Diagramms relevant.

Um Variablen wieder zu löschen:

  • Markieren Sie die Variable, die Sie löschen möchten und klicken auf <-Delete.
  • Halten Sie die Steuerung-Taste gedrückt, markieren mehrere Variablen, die Sie gleichzeitig löschen möchten und klicken auf <-Delete.
  • Klicken Sie auf <-Delete all, um alle ausgewählten Variablen wieder zu löschen.

Variablenliste:

  • Name
    Name der Variable
  • Project
    Name des Projekts der Variable
  • Archive:
    Kurzbezeichnung des Archivs
  • Aggregation:
    Verdichtungsart des Archivs
    • AVG (Mittelwert)
    • Max (Maximalwert)
    • Min (Minimumwert)
    • Sum (Summe)
    • RAW (Rohdatenformat - ohne Verdichtung)

Hinweis: Nach Verlassen dieser Registerkarte sind Änderungen an den hier gemachten Einstellungen möglich.


Diagram - Diagramm erstellen

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Diagram - Diagramm erstellen

In dieser Registerkarte haben Sie die Möglichkeit ein Diagramm zu zeichnen.

Beachten Sie, dass:

  • Sie jeweils maximal 26 Start- oder Endknoten anlegen können.
  • sich die Startknoten nicht überlappen dürfen.
  • sich die Endknoten nicht überlappen dürfen.

Zeichenfläche

In der Zeichenfläche positionieren Sie Ihre projektierten Knoten und Verbindungen.

Node

Option | Beschreibung
Name | Knotenname
Color | Farbe des Knoten. Zeigt zuletzt gewählte Farbe an. Klick auf Fläche öffnet den Farbauswahldialog.
Create | Erstellt Knoten und positioniert diesen auf der Zeichenfläche.
Delete | Löscht gewählten Knoten von der Zeichenfläche. Nur aktiv, wenn mindestens ein Knoten in der Zeichenfläche ausgewählt wurde.

Diagram

Option

Beschreibung

Validate

Überprüft ob alle Knoten verknüpft sind bzw. ob die Verknüpfungen mit einer Variable belegt sind.

Das Ergebnis der Validierung wird in einem Dialog angezeigt:

  • Node xx is not connected!
    Der Knoten hat keine Verbindung zu einem anderen Knoten.
  • A connection of node xx has no variable linked!
    Die Verknüpfung des Knotens hat keine zugeordnete Variable.

Save

Sichert die aktuelle Projektierung. Vor der Sicherung findet ebenfalls eine Überprüfung statt.

Reset

Löscht alle Knoten und bereits projektierte Verbindungen.

Diagram settings

Option

Beschreibung

Loss detection

Automatische Verlusterkennung mit einer zusätzlichen Verbindung, welche den Differenzfluss visualisiert.

  • aktiviert: Die automatische Verlusterkennung wird berechnet.
  • deaktiviert: Es wird keine automatische Verlusterkennung berechnet.

Default: deaktiviert

Unknown Loss

Übersteigt bei einem Knoten die Menge der Zuflüsse die Menge der Abflüsse, wird ein Differenzfluss in der ausgewählten Farbe angezeigt.

Nur aktiv, wenn Loss detection aktiviert ist.

Hinweis: Dieser Differenzfluss wird erst in der zenon Runtime oder im zenon Analyzer angezeigt.

Undefined Input

Übersteigt bei einem Knoten die Menge der Abflüsse die Menge der Zuflüsse, wird ein Differenzfluss in der ausgewählten Farbe angezeigt.

Nur aktiv, wenn Loss detection aktiviert ist.

Hinweis: Dieser Differenzfluss wird erst in der zenon Runtime oder im zenon Analyzer angezeigt.

Connections (Variables)

Option | Beschreibung
Connections (Variables) | Liste aller für die Verknüpfung verfügbaren Variablen. Ist eine Variable bereits mit einer Verbindung verknüpft, wird diese Variable in der Auswahlliste grün dargestellt. Hinweis: Diese Variablen werden im Register Variables zur Verfügung gestellt.
Link variable | Verlinkt ausgewählte Variable mit ausgewählter Verbindung. Nicht aktiv, wenn keine Verbindung ausgewählt ist. Hinweis: Bei Auswahl zweiter Knoten und einer Variable wird zusätzlich zur Verknüpfung auch die Verbindung gezeichnet.
Delete | Löscht ausgewählte Verbindung. Mehrfachauswahl von Verbindungen ist möglich. Nicht aktiv, wenn keine Verbindung ausgewählt ist.

Noch in diesem Kapitel

Diagramm erstellen

Darstellung Sankey-Diagramm in zenon Analyzer

Ansichtsbeispiele: Wizard - zenon Analyzer


Diagramm erstellen

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Diagram - Diagramm erstellen > Diagramm erstellen

So erstellen Sie ein Sankey-Diagramm mit dem Sankey Wizard:

Knoten und Verbindungen erstellen:

Beachten Sie, dass:

  • Sie jeweils maximal 26 Start- oder Endknoten anlegen können.
  • sich die Startknoten nicht überlappen dürfen.
  • sich die Endknoten nicht überlappen dürfen.

Vorgehen:

  1. Geben Sie im Fenster Node unter dem Feld Name einen Namen für den zu erstellenden Knoten ein.
  2. Wählen Sie eine Farbe für den Knoten aus, indem Sie in dem Feld Color klicken.
  3. Klicken Sie anschließend auf Create.
  4. Erstellen Sie die benötigten Knoten und ordnen Sie diese beliebig an.
  5. Verbinden Sie die Knoten, indem Sie einen Knotenausgang (rechts vom Knoten) zu einem Knoteneingang (links vom Knoten) ziehen.

Hinweis: Ein Knoten kann zu mehreren Knoten Verbindungen haben bzw. mehrere Knoten können zu einem Knoten Verbindungen haben. Je nachdem wie viele Verbindungen bestehen, ändert sich die Größe des Ausgangsknotens. Knoten, die nur auf einer Seite verbunden sind, werden rund oder oval dargestellt. Knoten, die auf beiden Seiten eine Verbindung haben, werden eckig dargestellt.

Bezüglich der Knotenverbindungen gibt es zusätzlich folgende Möglichkeiten:

Rückkopplung: Verbindung vom Ausgang eines Knotens zu seinem Eingang herstellen

Dazu:

  • Doppelklicken Sie auf den Knoten, auf dem Sie eine Rückkopplung erstellen möchten.

oder

  • Ziehen Sie die Verbindung vom Ausgang des Knotens auf seinen Eingang.

Verbindung zwischen 2 Knoten herstellen und gleichzeitig eine Variable darauf verknüpfen:

Dazu:

  1. Markieren Sie beide Knoten, die Sie verbinden möchten und die Variable, die Sie darauf verknüpfen möchten.
  2. Klicken Sie auf Link Variable.

Variablen an Verbindungen verknüpfen:

Um Variablen an Verbindungen zu verknüpfen, gibt es mehrere Möglichkeiten:

Drag&Drop

  • Ziehen Sie die gewünschte Variable von dem Connections (Variables)-Fenster auf die gewünschte Knotenverbindung.

Hinweis: Vorausgesetzt, dass Sie die Verbindung zwischen den Knoten schon hergestellt haben.

Schaltfläche Link Variable

  1. Markieren Sie die gewünschte Knotenverbindung
  2. Markieren Sie die Variable, die Sie an die Verbindung verknüpfen möchten.
  3. Klicken Sie auf die Schalftläche Link Variable.

Hinweis: Sie können auf jede Verbindung nur eine Variable verknüpfen.

Eine Variable an mehreren Knotenverbindungen verknüpfen:

  1. Halten Sie die Steuerung-Taste gedrückt und markieren Sie mehrere Knoten-Verbindungen.
  2. Markieren Sie die gewünschte Variable.
  3. Klicken Sie auf Link Variable

    oder

  4. Ziehen Sie die Variable auf die markierten Knotenverbindungen.

Hinweis: Um den Namen der Variable zu sehen, die an der Verbindung verknüpft ist, bewegen Sie die Maus über die Verbindung.

Diagrammeinstellungen (Diagram settings):

Wenn Sie die Option Loss Detection aktivieren, wird automatisch eine Verlusterkennung berechnet. Eine zusätzliche Verbindung visualisiert dann den Differenzfluss.

In den Feldern Unknown Loss und Undefined Input können Sie die Farben auswählen, die für das Anzeigen der Differenzflüsse verwendet werden sollen. Um eine Farbe zu wählen, klicken Sie in das Feld. Die Farbpalette zur Auswahl einer Farbe wird geöffnet.

Das Zeichnen des Diagramms abschließen:

Nachdem Sie Ihr Diagramm fertig gezeichnet haben,

  • klicken Sie auf die Schaltfläche Validate.

Stimmen all ihre Verbindungen, erscheint ein Dialog mit der Information, dass das Diagramm gültig ist. Andernfalls, erscheint ein Dialog mit der Information, dass es noch Knoten gibt, die nicht verbunden sind oder dass Variablen nicht auf die Verbindungen verknüpft sind.
Damit ein Diagramm gültig ist:

  • müssen alle Knoten verbunden sein
  • müssen alle Verbindungen mit einer Variablen besetzt sein
  • dürfen sich keine Knoten überlagern, wenn sie in Richtung Eingänge (link) oder AUsgänge (rechts) verschoben werden

Um Ihr Diagramm zu speichern,

  • klicken Sie auf die Schaltfläche Save.

Ihr erstelltes Diagramm wird validiert. Das Diagramm wird gespeichert und als gültig oder ungültig gekennzeichnet. Es wird Ihnen das Projekt angezeigt, in dem es gespeichert wird.

Zum Neuzeichnen des Diagramms,

  • klicken Sie auf die Schaltfläche Reset.

Somit werden all Ihre gezeichneten Knoten und Ihre Verbindungen gelöscht.

info Info

Klick auf die Schaltflächen Validate oder Save richtet die Knoten an der rechten und linken Seite des Zeichenbereichs aus.

Hinweis: Knoten dürfen sich dabei nicht überlagern.

Knoten bearbeiten:

Nachdem Sie bereits ein paar Knoten erstellt haben, können Sie

mehreren Knoten den gleichen Namen vergeben:

  1. Halten Sie die Steuerung-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie benennen möchten.
  3. Geben Sie einen Namen ein.

für mehrere Knoten die gleiche Farbe auswählen:

  1. Halten Sie die Steuerung-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie einfärben möchten.
  3. Wählen Sie anschließend eine Farbe aus.

mehrere Knoten gleichzeitig verschieben:

  1. Halten Sie die Steuerung-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie verschieben möchten.
  3. Verschieben Sie die Knoten. Ihre Verbindungen werden mitverschoben.

Hinweis: Sie können auch einen Knoten einzeln bearbeiten, indem Sie diesen markieren und die gewünschte Änderung vornehmen.

Knoten löschen:

  1. Markieren Sie den Knoten, den Sie löschen möchten.
  2. Klicken Sie im Fenster Node auf Delete oder auf die Entfernen-Taste.

Mehrere Knoten gleichzeitig löschen:

  1. Halten Sie die Steuerung-Taste gedrückt und markieren Sie die Knoten, die Sie löschen möchten.
  2. Klicken Sie im Fenster Node auf Delete oder auf die Entfernen-Taste.

Hinweis: Beim Löschen eines Knotens werden auch seine Verbindungen mitgelöscht.

Verbindungen löschen:

  1. Markieren Sie die Verbindung, die Sie löschen möchten.
  2. Klicken Sie im Fenster Connections (Variables) auf Delete oder auf die Entfernen-Taste.

Mehrere Verbindungen gleichzeitig löschen:

  1. Halten Sie die Steuerung-Taste gedrückt und markieren Sie die Verbindungen, die Sie löschen möchten.
  2. Klicken Sie im Fenster Connections (Variables) auf Delete oder auf die Entfernen-Taste.


Darstellung Sankey-Diagramm in zenon Analyzer

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Diagram - Diagramm erstellen > Darstellung Sankey-Diagramm in zenon Analyzer

Die Knoten werden im zenon Analyzer immer neu angeordnet und folgen dabei nicht der exakten Positionierung im Wizard. Die Darstellung des Sankey-Diagrammes wird im zenon Analyzer automatisch auf Lesbarkeit und Übersichtlichkeit optimiert.

Für diese Ausrichtung wird speziell die Breite der Verbindung berücksichtigt. Diese Breite ist jeweils abhängig von den dargestellten Werten (je mehr, umso dicker).

Horizontale Ausrichtung

Knoten werden horizontal automatisch proportional zu Ihrer Anzahl auf die gesamte Breite aufgeteilt.

Beispiel: Bei drei Knoten wird die Darstellung der erste Verbindung in der Mitte der Anzeige enden.

Vertikale Ausrichtung

Die vertikale Ausrichtung der Knoten erfolgt in zenon Analyzer automatisch immer in einer vertikalen Linie. Dies bedeutet, dass die erste Ebene immer in einer vertikalen Linie angeordnet ist, unabhängig von der Projektierung im Wizard.

Die Endknoten werden automatisch, in gleichbleibenden Abständen, von oben nach unten angeordnet.

info Info

Beachten sie die folgenden Ansichtsbeispiele.


Ansichtsbeispiele: Wizard - zenon Analyzer

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Diagram - Diagramm erstellen > Ansichtsbeispiele: Wizard - zenon Analyzer

Beispiel für horizontale Ausrichtung

Projektierung Sankey Wizard

Ansicht zenon Analyzer

Beispiel für vertikale Ausrichtung

Projektierung Sankey Wizard

Ansicht zenon Analyzer

Beispiel für gemischte Ausrichtung

Projektierung Sankey Wizard

Ansicht zenon Analyzer


Finish - Fertig stellen

Handbuch > Wizards > Themen > Analyzer > Sankey Wizard > Finish - Fertig stellen

In der Registerkarte Finish sehen Sie, ob Ihr erstelltes Diagramm gültig ist und an welchem Ort Ihr erstelltes Diagramm gespeichert wurde.

  • Klicken Sie dafür auf die Schaltfläche Finish.

Um den Sankey Wizard zu beenden,

  • klicken Sie auf die Schaltfläche Close.

info Info

Die Projektierung Ihres Sankey-Diagramms wird in einer XML-Datei gespeichert.

Diese befindet sich im Projektmanager des gewählten Projektes, im Knoten Dateien im Ordner Sonstige.

Mit dem Analyzer Export Wizard können Sie das modellierte Sankey-Diagramm für die Verwendung in zenon Analyzer übernehmen.

Details zu diesem Export lesen Sie im Handbuch Analyzer Export Wizard.


Energy

Handbuch > Wizards > Themen > Energy

Wizards für den Energiebereich.

Noch in diesem Kapitel

Driver Simulation

IEC 61850 SSD Import

IEC850 Driver Configuration Wizard


Driver Simulation

Handbuch > Wizards > Themen > Energy > Driver Simulation

Der Wizard erstellt für jeden Treiber im zenon Projekt, für den ein Treibersimulationsprojekt angelegt ist, ein eigenes zenon Logic Programm. Dieses zenon Logic Programm simuliert für alle Variablenpaare des Treibers, auf die eine Substituierungsregel zutrifft, eine Direktzuweisung von Befehlsvariable auf Rückmeldevariable.

Beispiel

  • zenon Variablen:
    • Test_CO : USINT
    • Test_RV : USINT
    • Switch_CO: USINT
    • Switch_RV: LREAL
  • Regel für Substituierung:
    • *_CO -> *_RV
  • Ergebnis in zenon Logic:

attention Achtung

Dieser Wizard unterstützt kein Verteiltes Engineering und ist bei Multiuser- Projekten nicht anwendbar.

Noch in diesem Kapitel

Wizard starten

Welcome

Settings

Rebuild


Wizard starten

Handbuch > Wizards > Themen > Energy > Driver Simulation > Wizard starten

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Energy.
  3. Wählen Sie dort Driver Simulation Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Welcome

Handbuch > Wizards > Themen > Energy > Driver Simulation > Welcome

Die Registerkarte Welcome informiert über Leistung und Nutzung des Wizards.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Close beendet den Wizard.


Settings

Handbuch > Wizards > Themen > Energy > Driver Simulation > Settings

In dieser Registerkarte werden die Substituierungsregeln erstellt.

Parameter

Beschreibung

Execute wizard when compiling straton project

Aktiv: Sobald in zenon die Aktion Runtime-Dateien erzeugen ausgeführt wird, wird auch der Wizard ausgeführt.

Hinweis: Die Logik zum Erstellen des straton Projekts läuft im Hintergrund. Die Oberfläche des Wizards wird nicht aufgeschaltet.

Drivers with simulation project

Listet alle Treiber des derzeit im zenon Editor aktiven zenon Projekts auf, für die ein Treibersimulationsprojekt angelegt wurde. Wird in dieser Liste ein Treiber ausgewählt, werden im Bereich Replacement pattern die für diesen Treiber definierten Substituierungsregeln angezeigt.

Replacement pattern

Substituierungsregeln.

COMMAND Variable

Befehlsvariable.

Es ist maximal eine Wildcard (*) erlaubt.

RESPONSE Variable

Rückmeldevariable.

Es ist maximal eine Wildcard (*) erlaubt.

Add

Fügt Regel zur Liste der Regeln hinzu.

Modify

Ermöglicht Änderung der ausgewählten Regel.

Remove

Entfernt ausgewählte Regel aus der Liste der Regeln.

Liste der Regeln

Listet definierte Regeln auf.

Pfeiltasten

Schalten zur vorherigen oder folgenden Registerkarte.

Close

Schließt Wizard.

Werden Regeln geändert, wird beim Beenden des Dialogs die Neuerstellung des Simulationsprojekts angeboten. Dazu wird ein Dialog aufgeschaltet:

Hinweis: Bestätigen Sie diesen Dialog mit Ja, wenn für einen Treiber alle Substituierungsregeln gelöscht werden. Simulationsprojekte ohne Substituierungsregeln werden beim automatischen Erzeugen der Runtime-Dateien in zenon nicht beachtet.


Rebuild

Handbuch > Wizards > Themen > Energy > Driver Simulation > Rebuild

Auf dieser Registerkarte kann ein Rebuild aller straton Simulationsprojekte angestoßen werden.

Klick auf die Schaltfläche Rebuild startet das Neuerstellen der Treibersimulationsprojekte für alle entsprechenden Treiber im Projekt.


IEC 61850 SSD Import

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import

Der IEC 61850 SSD Import Wizard ermöglicht es, Projektierungen aus einer SSD-Datei auszulesen und in ein zenon Bild inklusive ALC-konformer Projektierung zu übernehmen. Die Position der einzelnen Geräte errechnet sich aus den Inhalten des SSD-Files.

Die Größe der Symbole ist projektierbar. Für die Visualisierung können landesspezifische Vorlagen von Symbolen verwendet werden. Auch die Verwendung eigener Symbole wird unterstützt.

Für eine vollständige Projektierung müssen die Variablen noch manuell zugeordnet werden.

info Info

Es wird empfohlen, den SSD Import Wizard mit lizenzierter zenon Energy Edition zu verwenden.

zenon Module und Inhalte

Der Wizard verwendet folgende zenon Module und Inhalte. Für weitere Detailinformationen klicken Sie den Link zu den jeweiligen Handbüchern und Kapiteln:

  • Bilder
    • Bildelemente
    • Combi-Element
    • Schablonen
    • Symbole und Elementgruppen
  • Automatic Line Coloring
  • Editor
    • Sichtbarkeitsebenen
  • Weltbild

Noch in diesem Kapitel

Wizard starten

Konfigurationsdialog

Projektierung eines ALC-konformen zenon Bildes


Wizard starten

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Wizard starten

Der IEC 61850 SSD Import Wizard wird bei der zenon Standardinstallation automatisch installiert.

Wizard aufrufen

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Energy.
  3. Klicken Sie dort auf IEC 61850 SSD Import.Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  4. Klicken Sie auf OK.

    Der Wizard startet mit dem Dialog IEC 61850 SSD Import.

info Info

Der IEC 61850 SSD Import Wizard steht nur in englischer Sprache zur Verfügung.


Konfigurationsdialog

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog

In diesem Dialog konfigurieren Sie die Parameter für die Projektierung eines zenon Bildes inklusive ALC-Verbindungen.

Selection

Parameter

Beschreibung

File

Eingabefeld für die Auswahl der SSD-Importdatei.

Klick auf ... öffnet den Dialog zur Auswahl der SSD-Datei.

Default: leer
Default-Pfad C:\Public\Documents

Unterstützte Dateiformate:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

Liste der verfügbaren Symbole

Liste aller im Projekt verfügbaren Symbole.
Der Wizard überprüft, ob für die unterstützten Typen Symbole vorhanden sind.

Verfügbare Symbole werden mit einem grünen Haken visualisiert.

Fehlt ein Symbol für einen unterstützten Typ wird dies mit einem roten Warnsignal in der Liste angezeigt.

Default: No Symbols Found

Symbols

Dropdownliste zur Auswahl der Symbole:

  • local
    Die Symbole der Projektierung des aktiven Projektes werden verwendet.
  • [Dateiname]
    Die Symbole werden aus einer XML-Datei importiert. Angezeigt werden alle XML-Dateien des Verzeichnisses C:\ProgramData\COPA-DATA\zenon800\Templates\IEC850Import\

Default: local

Klick auf ... importiert die Inhalte der gewählten XML-Datei in die Symbolbibliothek im Knoten Bilder im aktuellen Projekt.

Bei fehlenden Symbolen wird dies durch ein rotes Warndreieck signalisiert.

Hinweis: Weitere Informationen erhalten Sie im Kapitel Symbole für den SSD Import.

Import Symbols

Importiert gewählte Symbole aus der Dropdownliste von Symbols in die Symbolbibliothek.

Ausgegraut, wenn keine Auswahl in der Dropdownliste getätigt wurde.

Verfügbare zenon Bilder

Liste aller projektierten Bilder des aktiven Projektes im zenon Editor. Die Liste ist sortier- und filterbar:

  • Zum Sortieren klicken Sie eine Spaltenüberschrift. Ein nochmaliger Klick kehrt die Sortierreihenfolge um.
    Die Sortierrichtung wird mit einem Pfeil visualisiert.
    Für erweiterte Sortiermöglichkeiten nutzen Sie das Kontextmenü zur Sortierung.
  • Zum Filtern klicken Sie die Filterleiste. Default ist der Filter auf "Enthält" eingestellt.
    Für erweiterte Filtermöglichkeiten nutzen Sie das Kontextemenü für Filter.
    Ein aktiver Filter wird mit einem gelben Filtersymbol visualisiert.

Import to screen

Parameter | Beschreibung
Name | Name des projektierten Bildes im aktiven zenon Projekt
Type | Bildtyp des projektierten Bildes. Hinweis: der projektierte Bildtyp wird mit dem Präfix tp aufgelistet.
Frame | Name der Schablone, welche dem Bild zugewiesenen ist.
Size | Projektierte Größe des Bildes.

Scale and layout

Parameter

Beschreibung

Global scaling factor

Basisgröße eines Symbols für die automatische Projektierung in einem zenon Bild. Angabe in Pixel. Dieser Vergrößerungsfaktor gilt für die gesamte Projektierung.

Eingabebereich: 1 bis 1.000
Default: 40

Hinweis: Grundsätzlich wird von 1x1 großen Symbole ausgegangen. Dieser wird mit dem Wert im Eingabefeld Global scaling factor multipliziert.

Beispiel: Bei Global scaling factor 40 wird das Symbol 40x40 Pixel gezeichnet.

Eine Projektierung kleiner 1 ist nicht zulässig. Diese Fehlprojektierung wird automatisch auf 1 korrigiert.

CBR

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

CTR

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

DIS

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

DISG

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

REA

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

IFL

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

PTR

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

Hinweis: es wird empfohlen, Symbole des Typs PTR immer in doppelter Größe zu projektieren.

VTR

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

CAP

Vergrößerungsfaktor für das Element, basierend auf dem im Feld Ratio projektierten Wert.

  • x = horizontale Vergrößerung
  • y = vertikale Vergrößerung

Eingabebereich: 1 bis 20

Default: 1

Layout

Parameter

Beschreibung

Bay name position

Position der Beschriftung der Bay:

  • Top
    Baybeschriftung wird im zenon Bild über einer Bay positioniert.
  • Bottom
    Baybeschriftung wird im zenon Bild unter einer Bay positioniert.

Default: Top

Dialog schließen

Parameter | Beschreibung
Cancel | Schließt den Wizard und verwirft alle Projektierungen.
Import | Zeichnet auf dem gewählten Bild die Projektierung inklusive ALC-Verbindungen. Sind auf dem Bild bereits Elemente vorhanden, erscheint eine Warnung. Via Klick auf die Schaltfläche OK wird der Projektierungsvorgang gestartet. Klick auf die Schaltfläche Cancel kehrt zum Wizard zurück. Hinweis: nicht aktiv, wenn keine SSD-Datei ausgewählt ist.

Noch in diesem Kapitel

Symbole für den SSD Import

Kontextmenü Sortierung

Kontextmenü Filterung


Symbole für den SSD Import

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog > Symbole für den SSD Import

Zum Zeichnen eines zenon Bildes liest der SSD Import Wizard die ausgewählte SSD Datei aus. Der Wizard erkennt dabei die Typen der ConductingEquipments (lt. Norm) und verwendet die entsprechend projektierten Symbole.

Unterstützte Dateiformate:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

Damit dieser Vorgang einwandfrei funktioniert, müssen in der Projektierung im zenon die entsprechenden Symbole vorhanden sein.

Eine detaillierte Aufstellung der benötigten Elemente finden Sie im Kapitel Unterstützte Typen.

attention Achtung

Beachten Sie bei der Benennung der Elemente Groß- und Kleinschreibung.

Fehlende Symbole

Fehlt ein benötigtes Symbol in der aktuellen zenon Projektierung wird dies im SSD Import Wizard mit einem roten Warnsignal visualisiert. Dieser Warndialog erscheint im Wizard immer neben der Dropdownliste Symbols. Werden die Symbole aus einer XML-Datei importiert, steht diese Warnmeldung erst nach durchgeführtem Import zur Verfügung.

  • No Symbols Found
    In der lokalen Symbolbibliothek sind keine Elemente vorhanden.
  • Missing [Elementname]
    In der lokalen Symbolbibliothek sind nicht alle benötigten Elemente vorhanden. Die Fehlenden Symbole werden in der Auflistung angezeigt.

Hinweis: Die Warnhinweise im Tooltip sind nur in englischer Sprache verfügbar.

Symbole aus XML-Datei importieren:

  • Wählen Sie die gewünschte Datei aus der Dropdownliste aus
    Angezeigt werden alle XML-Dateien des Verzeichnisses C:\ProgramData\COPA-DATA\zenon800\Templates\IEC850Import\.
  • Klicken Sie auf die Schaltfläche ... um die Elemente der XML-Datei in die Symbolbibliothek zu importieren.
    Hinweis: Nach erfolgtem Import wechselt die Auswahl der Dropdownliste wieder auf local.
  • Überprüfen Sie die Benennung der importierten Symbole.

Ein erneuter Datei-Import überschreibt bereits vorhandene Symbole.

Noch in diesem Kapitel

Unterstützte Typen

Voraussetzungen eines Symboles

Symbolgröße - Beispiele


Unterstützte Typen

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog > Symbole für den SSD Import > Unterstützte Typen

Folgende Typen des Standards werden unterstützt:

Typ | Beschreibung | Elementname
CBR | Circuit Breaker Trennschalter | Weitere Informationen zur Projektierung des Bildes für den Trennschalter erhalten Sie CBR_H CBR_V Combielement mit verschiedenen Zuständen Switch
CTR | Current Transformer Stromwandler | CTR_H CTR_V transparente Linien "durch" Symbol verbindet Aussenlinien Switch Keine Zustände
DIS | Disconnector or earthing switch Lasttrennschalter oder Erdungsschalter | DIS_H DIS_V Combielement mit verschiedenen Zuständen
DISG | Disconnector grounded Lasttrennschalter geerdet | DIS_grounded_DOWN DIS_grounded_L DIS_grounded_R DIS_grounded_UP besteht aus zwei combielementen - vermeintlich leerer teil beinhaltet wiederum symbole für alle zustände - Transparente Linie Farbe VON ALC
REA | Reactor Drosselspule | REA_DOWN Line color: von ALC Fill color: von ALC keine zustände
IFL | Infeeding line Einspeisung Leitung | IFL to be implemented vom kunden frei projektierbar
PTR | Power Transformer Transformator | PTR für zwei windungen immer aufrecht hat drei combi elemente eines davon unsichtbar hat unsichtbare Projektierung = viereck im Eck => eigenschaften: TRANSFORMATOR!! unsichtbare linien "um die ecke" source und source for reverse in den ALC-projektkonfigurationen!!! ==== PTR_3_DOWN
VTR | Voltage Transformer Transformator | VTR_L VTR_R VTR_UP VTR_DOWN ist Combielement keine Zustände Line color: von ALC hat "eingebettete" symbole
CAP | Capacitor Kondensator |
 | Vertikale Linie | LINE_V Farbe von ALC Größe: 100 x 2 Stärke: 2
 | Horizontale Linie | LINE_H
DESC | Description Beschreibung des Elements | DESC Textbox

Ausnahmen zum Standard

  • DIS_grounded (DISG)
    DIS_grounded ist im Standard nicht vorhanden. DIS_grounded ist ein ConductingEquipment mit dem Typ DIS und einem Terminal mit ConnectivityNode „grounded"
  • PowerTransformer (PTR)
    PTR ist kein ConductingEquipment hat aber trotzdem Typ und Symbol und wird auch gezeichnet. Dies ist die im Standard empfohlene Vorgehensweise.

attention Achtung

Beachten Sie bei der Benennung der Elemente Groß- und Kleinschreibung.

Symbole, welche nicht vorhanden sind werden als rotes Quadrat visualisiert.


Voraussetzungen eines Symboles

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog > Symbole für den SSD Import > Voraussetzungen eines Symboles

Wie richtig konfigurieren


Symbolgröße - Beispiele

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog > Symbole für den SSD Import > Symbolgröße - Beispiele

Die Größe der Symbole bei der automatischen Projektierung durch den SSD Import Wizard wird durch zwei Größen bestimmt:

  • Global scaling factor
    Basisgröße aller Symbole auf dem zenon Bild.
    Die Angabe der Größe erfolgt in Pixel.
  • Vergrößerungsfaktor pro Element
    Dieser berechnet jeweils das Vielfache der projektierten Ratio.
    Der Vergrößerungsfaktor kann angegeben werden für:
    • x = Horizontale Vergrößerung
    • y = Vertikale Vergrößerung

Beispiel 1

Global scaling factor: 20

Größe Element: 5 (x und y)

Ergebnis: Symbolgröße 100 Pixel

Beispiel 2

Global scaling factor: 50

Größe Element: 1 (x und y)

Ergebnis: Symbolgröße 50 Pixel

Beispiel 3

Global scaling factor: 25

Größe Element x: 2

Größe Element y: 1

Ergebnis: Symbolgröße 50 x 25 Pixel

Beispiel 4

Global scaling factor: 5

Größe für Element CBR x: 6

Größe für Element CBR y: 6

Größe für Element PTR x: 10

Größe für Element PTR y: 10

Größe für Element REA x: 2

Größe für Element REA y: 6

Ergebnis:

Symbolgröße für Element CBR: 30 x 30 Pixel

Symbolgröße für Element PTR: 50 x 50 Pixel

Symbolgröße für Element REA: 10 x 30 Pixel


Kontextmenü Sortierung

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog > Kontextmenü Sortierung

Die Liste der verfügbaren zenon Bilder kann mit dem Kontextmenü sortiert, gefiltert und angepasst werden. Zur Anwendung dieser erweiterten Sortiermöglichkeiten navigieren Sie auf eine Spaltenüberschrift und klicken Sie die rechte Maustastaste.

Diese Einstellungen sind nicht remanent. Nach einem Neustart des Wizards ist wieder die Standardansicht verfügbar.

info Info

Die Inhalte des Kontextmenüs stehen nur in englischer Sprache zur Verfügung.

Parameter

Beschreibung

Sort Ascending

Aufsteigende Sortierung der gewählten Spalte (A - Z).

Hinweis: Die sortierte Spalte wird mit einem kleinen Pfeil über der Spaltenüberschrift visualisiert.

Sort Descending

Absteigende Sortierung der gewählten Spalte (Z - A).

Hinweis: Die sortierte Spalte wird mit einem kleinen Pfeil über der Spaltenüberschrift visualisiert.

Clear Sorting

Hebt die aktive Sortierung auf.

Nicht aktiv, wenn keine Sortierung aktiv ist.

Conditional Formatting

Öffnet Dialog zur Projektierung eines Ansichtsfilters. In diesem Filter können Bedingungen zur Anzeige konfiguriert werden.

Group by this column

Wechselt zur Gruppierten Darstellung.

Die Spaltenüberschrift wird in die erste Zeile der Liste der verfügbaren zenon Bilder dargestellt.

Aufheben der Gruppierung durch Klick auf die Schaltfläche X bei Gruppenansicht.

Column Chooser

Öffnet Dialog, um Spalten ein- oder auszublenden.

Nicht angezeigte Spalten werden in diesem Dialog angeboten und können mit Drag&Drop in die Liste der verfügbaren zenon Bilder verschoben werden.

Eingeblendete Spalten können via Drag&Drop (zurück zu diesen Dialog) ausgeblendet werden.

Hide Column

Blendet die gewählte Spalte aus.

Zum erneuten Anzeigen der Spalten führen Sie Column Chooser aus und ziehen Sie die gewünschte Spalte mit Drag&Drop in die Liste der verfügbaren zenon Bilder.

Nicht verfügbar, wenn nur noch eine Spalte angezeigt ist.

Pinned state

Verschiebt ausgewählte Spalte:

  • Unpin column
    Spalte ist mit Drag&Drop frei in der Position verschiebbar.
  • Pin at left
    Verschiebt die ausgewählte Spalte ganz nach links.
    Die ausgewählte Spalte wird dadurch zur ersten Spalte
  • Pin at right
    Verschiebt die ausgewählte Spalte ganz nach rechts.
    Die ausgewählte Spalte wird dadurch zur letzten Spalte

Best Fit

Bestimmt für ausgewählte Spalte die "Optimale Breite". Die Breite der Spalte wird - wenn möglich - verändert, sodass alle Inhalte lesbar sind.

Gruppierte Darstellung

In der Liste der verfügbaren zenon Bilder können die Spalten gruppiert dargestellt werden.

Sie erhalten die gruppierte Darstellung:

  • durch Verschieben der Spaltenüberschriften mit Drag&Drop in den Kopfbereich
    (Drag a column here to group by this column.)
  • mit Auswahl des Eintrages Group by this column aus dem Kontextmenü.

In der gruppierten Darstellung können Sie mit Klick auf die Pfeiltaste nach oben oder Pfeiltaste nach unten die Details der Ansicht erweitern oder reduzieren.

Mit Klick auf die Schaltfläche x neben dem Namen der gruppierten Spalte heben Sie die gruppierte Darstellung (für diese Spalte) wieder auf.

info Info

Auch in der gruppierten Ansicht sind die Bilder filterbar.


Kontextmenü Filterung

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Konfigurationsdialog > Kontextmenü Filterung

Kontextmenü für die Filterung in der Liste der verfügbaren zenon Bilder. Zum Aktivieren klicken Sie auf das Filtersymbol in der jeweiligen Spalte.

Parameter | Beschreibung
No filter | Kein Filter Hebt ausgewählten Filter auf.
Contains | Enthält Filtert nach Einträgen, welche das eingegebene Kriterium enthalten.
Does not contain | Enthält nicht Filtert nach Einträgen, welche nicht das eingegebene Kriterium enthalten.
Starts with | Beginnt mit Filtert nach Einträgen, welche mit dem eingegebenem Kriterium beginnen.
Ends with | Endet mit Filtert nach Einträgen, welche mit dem eingegebenem Kriterium enden.
Equals | Ist gleich Filternt nach Einträgen, welche exakt gleich wie das eingegebene Kriterium sind.
Not equal to | Ist ungleich Filtert nach Einträgen, welchen nicht dem eingegebenem Kriterium entsprechen.
Is null | Ist leer Filtert nach leeren Einträgen.
Is not null | Ist nicht leer Filtert nach vorhandenen, beliebigen Einträgen.
Custom | Öffnet Dialog zur Konfiguration eines benutzerdefinierten Filters. Hinweis: Bei bestimmten kleineren Bildschirmauflösungen kann es dazu kommen, dass der Dialog für die Konfiguration des benutzerdefinierten Filters hinter dem Fenster des Wizards "versteckt" wird. Der Wizard reagiert dann nicht mehr auf Eingaben und Mausklicks. Drücken Sie einmal die Esc-Taste um den Wizard wieder verwenden zu können.


Projektierung eines ALC-konformen zenon Bildes

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes

Positionierung der Typen - Kontextdarstellung

Der Wizard benutzt die Koordinaten des erweiterten Standards. Dies bedeutet, dass für die Positionierung der Typen die Koordinaten (SCLcoordinates), wie in der SSD-Datei angegeben, verwendet werden:

  • X beschreibt die horizontale Ausrichtung
  • Y beschreibt die vertikale Ausrichtung

SCL ist ein hierarchisches Datenmodell. Dieses beinhaltet keine vollständigen Koordinaten. Die X- und Y-Koordinaten sind jeweils hierarchisch zum vorangegangenen Element angegeben.

Jeder Knoten kennt seine relative Position bezogen auf dessen übergeordnete Knoten. Substations werden immer als Wurzelknoten angenommen. Die absolute Position errechnet sich aus der Addition aller übergeordneten Knoten. Diese Berechnung übernimmt der SSD Import Wizard automatisch.

Benennung der Linien

Für die Benennung der Verbindungslinien wird die ConnectivityNode der SSD-Datei verwendet.

Sichtbarkeitsebene

Die automatische Bildprojektierung durch den Wizard verwendet Sichtbarkeitsebenen:

  • Sichtbarkeitsebene 8
    Elemente und Verbindungslinien
  • Sichtbarkeitsebene 0
    Beschreibung (DESC)

Dadurch lassen sich komplexe Projektierungen übersichtlich für die Bearbeitung im Editor darstellen.

Noch in diesem Kapitel

Projektierung im Editor

ALC Projektierung

Warndialog bei bereits vorhandener Projektierung


Projektierung im Editor

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > Projektierung im Editor

Bevor Sie den Wizard im zenon Editor starten, sollten Sie folgende Projektierungen bereits durchgeführt haben:

  • Erstellen Sie ein zenon Bild
    Der Wizard unterstützt alle zenon Bildtypen. Eine Evaluierung auf Sinnhaftigkeit des verwendeten Bildtyps wird nicht vorgenommen.
    Achten Sie bei umfangreichen Beschreibungen in der gewählten SSD-Datei auf eine ausreichende Größe des Bildes.
  • Erstellen Sie entsprechende Symbole in der Symbolbibliothek (optional).
    Beachten Sie bei der Erstellung der Symbole auf korrekte Bezeichnung der Elemente.
    Symbole können auch im gestarteten Wizard durch Import aus einer XML-Datei zur Symbolbibliothek des aktiven Projektes hinzugefügt werden.
  • Projektieren Sie die ALC-Einstellungen in den Projekteigenschaften
    Projektieren Sie das Verhalten des Automatic Line Coloring für Ihr Projekt.

Projektierungen im Wizard

Konfigurieren Sie folgende Einstellungen im SSD Import Wizard:

  • Auswahl einer SSD-Datei
  • Import oder Auswahl der Symbole (optional)
  • Auswahl eines bereits projektierten zenon Bildes
  • Auswahl der Position der Beschriftung
  • Projektierung der Basisgröße (Global scaling factor) der Symbole
  • Projektierung des Vergrößerungsfaktors eines Elements

Noch in diesem Kapitel

Vorbereitung des zenon Bildes

Bildelemente - ALC konforme Projektierung


Vorbereitung des zenon Bildes

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > Projektierung im Editor > Vorbereitung des zenon Bildes

Bildgröße

Der SSD Import Wizard ignoriert beim Zeichnen des Bildes die projektierte Bildgröße. Die Anordnung der Symbole erfolgt nach projektiertem Global scaling factor und Elementgröße sowie nach Inhalt der SSD-Datei.

Achten Sie dennoch bei der Projektierung des Bildes darauf, eine ausreichende Größe anzugeben. Diese Größe kann auch nach Abschluss des Wizards angepasst werden.

Weltbild

Werden Bilder größer als die Schablone definiert, werden Sie zum Weltbild. In dieser Weltbilddarstellung kann das Bild mit der Maus oder der Touch-Steuerung verschoben werden.

Für Navigation und Bildlauf in Weltbildern können ein Bild vom Typ Weltbild-Übersicht, die Touch-Steuerung und die Maus verwendet werden.

Projektierungsgeschwindigkeit

Schließen Sie das verwendete Bild im Editor während des Zeichenvorganges durch den SSD Import Wizard. Ist das Bild dennoch im Editor zur Bearbeitung offen, wird das automatische Zeichnen ein Vielfaches der Zeit benötigen!


Bildelemente - ALC konforme Projektierung

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > Projektierung im Editor > Bildelemente - ALC konforme Projektierung

Noch in diesem Kapitel

Bildelement CBR


Bildelement CBR

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > Projektierung im Editor > Bildelemente - ALC konforme Projektierung > Bildelement CBR

Projektieren Sie das Bildelement für den Trennschalter (Circuit Breaker) nach folgenden Vorgaben:

Projektierungsansicht im zenon Editor

Ansichtsbeispiele zenon Runtime:


ALC Projektierung

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > ALC Projektierung

Projektieren Sie Ihre Einstellungen für das Verhalten des ALC in den Projekteigenschaften:

  1. Wählen Sie dazu im Arbeitsbereich das aktive Projekt.
  2. Wählen Sie in den Projekteigenschaften die Eigenschaftengruppe Automatic Line Coloring.
  3. Klicken Sie bei der Eigenschaft ALC Konfiguration die Schaltfläche ...
  4. Der Dialog zur Konfiguration wird geöffnet.
  5. Konfigurieren Sie die Eigenschaften für
    • Quellen
    • Verriegelungen
    • Bildmarker

info Info

Weitere Informationen zur Projektierung erhalten Sie im Handbuch Automatic Line Coloring (ALC) im Kapitel Konfiguration.

Noch in diesem Kapitel

Combi-Elemente


Combi-Elemente

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > ALC Projektierung > Combi-Elemente

Detaillierte Beschreibung folgt mit Story Thomas Blankers (mitgelieferte Bildsymbole).

Projektierungstipps für die verwendeten Symbole:

Benennen Sie die Symbole korrekt

Projektieren Sie Symbole mit Hilfe des Combi-Elements für verschiedene ALC-Zustände

ALC-Zustände mit Combi-Element projektieren

kurze, Stichwortartige Beschreibung


Warndialog bei bereits vorhandener Projektierung

Handbuch > Wizards > Themen > Energy > IEC 61850 SSD Import > Projektierung eines ALC-konformen zenon Bildes > Warndialog bei bereits vorhandener Projektierung

Nach Abschluss der notwendigen Projektierungen im Wizard wird bei Klick auf die Schaltfläche Save die Projektierung auf dem gewählten zenon Bild gezeichnet.

Wenn Sie diese Projektierung auf einem Bild ausführen, welches bereits Inhalte besitzt, werden die darin enthaltenen Elemente validiert. Sollte ein Element bereits vorhanden sein, werden Sie mit einem Warndialog darauf hingewiesen.

Sollte diese Projektierung auf einem Bild stattfinden, welches bereits eine bestehende Projektierung aufweist, werden Sie darauf mit einem Warndialog hingewiesen.

Warndialog:

There are already [Anzahl der Symbole] elements on [Bildname]
Do you want to continue?

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Bei Bestätigung mit Klick auf die Schaltfläche OK wird das Bild erneut gezeichnet. Bestehende Projektierungen werden dabei ersetzt. Wird während des Zeichenvorganges ein Element erneut platziert, erscheint folgender Hinweisdialog:

Bestätigen Sie diesen Dialog mit Klick auf die Schaltfläche OK um das Zeichnen fortzusetzen.

Tipp Tipp

Wenn Sie versehentlich eine Neuprojektierung Ihres zenon Bildes ausgelöst haben und den ersten Warndialog mit der Schaltfläche OK bestätigt haben, so können Sie mit folgendem Schritt die einzelnen Folgedialoge unterdrücken:

  1. Positionieren Sie im Konfigurationsdialog den Mauszeiger über der Schaltfläche Cancel.
  2. Bestätigen Sie den erscheinenden Hinweisdialog nicht mit einem Mausklick.
    Verwenden sie die Eingabe-Taste, um zu bestätigen.
  3. Halten Sie die Eingabe-Taste gedrückt.
  4. Klicken Sie gleichzeitig mit dem Mauszeiger die Schaltfläche Cancel.

Löschen Sie anschließend im zenon Bild die Inhalte und starten Sie den SSD Import Wizard neu.


IEC850 Driver Configuration Wizard

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard

Der IEC850 Driver Configuration Wizard unterstützt Sie bei der Konfiguration von Reporting. In einer grafischen Oberfläche können die richtigen RCBs ausgewählt werden und per Drag&Drop dem IEC850 Treiber zugewiesen werden.

Im Wizard können Variablen angelegt werden, die das IED via der ausgewählten RCBs zum Treiber liefert. Auch IEC850 Treiber können dank des Wizards im zenon Editor angelegt werden. Diese werden ebenfalls im Wizard auf Basis einer bestehenden SCL-Datei konfiguriert, z.B. TCP/IP-Adressierung.

Anwendungsbeispiel: Eine SCD-Datei beinhaltet die Beschreibung der Substation. Im zenon Editor werden anhand dieser SCD-Datei alle erforderlichen IEC850-Treiber konfiguriert. Ist der Treiber noch nicht im Projekt vorhanden, kann dieser im Wizard angelegt werden.

Schritt für Schritt können auch Inhalte aus mehrere SCL-Dateien (z.B. ICD) nacheinander in die Treiber-Konfiguration übernommen werden.

Die Konfigurationsschritte werden im Wizard per Drag&Drop und mit dem Kontextmenü durchgeführt.

Hinweis zur Ausgabe: RCBs, die sich bereits in der Konfiguration befinden und aus der Text-Datei ausgelesen wurden, werden ohne das Suffix [Dataset-Name] angezeigt. Nur RCBS, die per Drag&Drop in den Wizard eingefügt wurden, haben als Suffix den Dataset-Namen.

info Info

Der IEC850 Driver Configuration Wizard steht nur in englischer Sprache zur Verfügung.

Voraussetzungen

Für die Verwendung des Wizards muss eine SCL-Datei (*.scl, *.icd, *.cid, *.scd, *.ssd) vorhanden sein.

Noch in diesem Kapitel

Wizard starten

Configuration

Kontextmenü

Arbeiten mit dem Wizard

Konfigurationsdatei des Treibers


Wizard starten

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Wizard starten

Der IEC850 Driver Configuration Wizard wird bei der zenon Standardinstallation für Energy Edition automatisch installiert.

Wizard aufrufen

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Energy.
  3. Klicken Sie dort auf IEC850 Driver Configuration.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Seite Configuration.

info Info

Der IEC850 Driver Configuration Wizard ist nur in englischer Sprache verfügbar.


Configuration

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Configuration

In diesem Dialog erfolgt die Konfiguration der IEC850 Treiber:

Sind in dem zenon Projekt bereits ein oder mehrere IEC850 Treiber konfiguriert, werden diese Treiber auf der rechten Seite des Dialogs in einer Baumansicht angezeigt. Zusätzlich können weitere Treiber direkt im Wizard angelegt werden.

File selection

Auswahl der SCL-Datei. Klick auf die Schaltfläche ... öffnet den Dateiauswahldialog.

  • Nach Auswahl einer Datei wird diese im Wizard geladen. Die Dateiinhalte werden im linken Bereich des Wizards in der Liste IEDs in einer Baumstruktur angezeigt.
  • Während des Ladens findet auch eine Evaluierung der Dateiinhalte statt. Nicht unterstützte Inhalte werden im Vorschaufenster angezeigt.

Parameter

Beschreibung

File name

Anzeige der ausgewählten SCL-Datei.

Ist eine Datei ausgewählt, wird der vollständige Pfad im Anzeigefeld visualisiert. Dieses Feld kann nicht aktiv befüllt werden.

Default: leer

Bei wiederholtem Aufruf des Wizards ist die zuletzt gewählte Datei vorausgewählt.

Hinweis: Wurde bei einem vorangegangenen Start des Wizards eine Datei ausgewählt, welche beim erneuten Start des Wizards nicht mehr zur Verfügung steht, so tritt bei einem Neustart des Wizards oder bei der erneuten Auswahl einer Datei durch Klick auf die Schalftläche ... eine zeitliche Verzögerung ein.

Dies kann dann der Fall sein, wenn die Datei auf einem Rechner im Netzwerk liegt, der zum aktuellen Zeitpunkt nicht mehr zur Verfügung steht.

Configuration

Die Ansicht teilt sich in folgende Bereiche:

  • Linke Spalte mit Inhalten aus der ausgewählten SCL-Datei. Inhalte werden in einer Baumansicht dargestellt.
  • Mittlere Schaltflächen, die der verfügbaren Drag&Drop Funktionalität entsprechen.
  • Schaltflächen für die Verwaltung von Treiberprojektierungen.
  • Rechte Spalte mit Inhalten der bestehenden IEC850 Treiberkonfiguration des aktuellen zenon Projekts. Die Inhalte werden in einer Baumansicht dargestellt.

Wizard - Bereichsaufteilung

Parameter

Beschreibung

Liste IEDs
[Dateiinhalte]

In der linken Spalte werden die Inhalte der zugeordneten SCL-Datei in einer Baumstruktur aufgelistet.

Bereits zugeordnete Inhalte werden ausgegraut dargestellt.

Klick auf [+] erweitert die Ansicht.
Knotenstruktur:

  • [Server IP-Adresse]_[IED-Name]
  • Reports
  • [RCB-Name]_[Dataset-Name]
  • [ClientLN.iedName]

Liste Treiber
[Projektinhalte]

In der rechten Spalte werden alle im Projekt und im Wizard angelegten IEC850 Treiber mit deren Verbindungen aufgelistet. Treiber können direkt im Wizard über das Kontextmenü hinzugefügt und gelöscht werden. Verbindungen werden per Drag&Drop zugewiesen und können über das Kontextmenü gelöscht werden.

Default: Konfiguration des IEC850 Treibers im zenon Editor. Leer, wenn im zenon noch kein IEC850 Treiber angelegt ist.

Hinweis: Bereits in zenon angelegte Treiber können um Verbindungen erweitert werden. In zenon bereits bestehende Verbindungen oder Treiber können nicht gelöscht werden.

Einstellungen, die durch den Wizard nicht verändert werden können, sind bereits ausgegraut.

Ausgabefenster

LOG-, Informations- und Statustexte zum IEC850 driver configuration Wizard.

Schaltflächen für die Verwaltung von Treiberprojektierungen

Parameter

Beschreibung

New Driver

Erstellt einen neuen Treiber.

Import Quality

Importiert die Vorlage für die 850-Quality-Reaktionsmatrix. Diese Reaktionsmatrix können Sie mit Variablen verknüpfen, welche den Dataattributen */q[ST|MX] entsprechen.
Eine vorkonfigurierte Vorlagendatei ist im Lieferumfang enthalten.

Ablageort: %ProgramData%\COPA-DATA\zenon8.00\Templates\EnergyWizard\IEC_61850_Quality.XML

Hinweis: Im Dialog Variables in Dataset wird diese Vorlage impliziert geladen.

Create Supervision Variable

Erstellt eine Verbindungs-Überwachungsvariable im aktuellen zenon Projekt.

Für diese Variable wird automatisch eine Reaktionsmatrix erstellt und verknüpft.

Weitere Informationen dazu finden Sie im Treiberhandbuch IEC850 im Kapitel Verbindungaufbau und Verbindungsausfallerkennung: Connection State-Variable.

Ablageort: C:\ProgramData\COPA-DATA\zenon8.00\Templates\EnergyWizard\IEC_61850_Connection_State.XML

Achtung: Ist der Treiber noch nicht im aktuellen Projekt vorhanden, so kann keine Verbindungs-Überwachungsvariable erstellt werden. Dies ist vor allem dann der Fall, wenn im Wizard ein Treiber erstellt wird, jedoch noch nicht mit der Schaltfläche Apply in die Projektierung übernommen wurde.

New Connection

Erstellt in der Treiberkonfiguration eine neue Verbindung zum Server und schaltet den Dialog New connection für die Konfiguration der Verbindung auf.

Weitere Informationen erhalten Sie im Kapitel Verbindung verwalten

Hinweis: Nur verfügbar, wenn ein Treiber ausgewählt ist.

Import Variables

Öffnet Dialog Variables in Dataset zum Anlegen der Variablen, die in Datasets der ausgewählten RCBs vorhanden sind.

Diese Variablen werden im aktuellen zenon Projekt angelegt.

Mittlere Schaltflächengruppe

Alternativ zu der Zuweisung von Verbindungen per Drag&Drop kann die Zuweisung auch mit Schaltflächen erfolgen. Mit den Schaltflächen können Inhalte aus der geladenen Datei in die Treiber-Parametrierung übernommen werden. Bei der Übernahme wird berücksichtigt, welche Inhalte bereits übernommen wurden. Somit wird eine doppelte Übernahme verhindert.

Parameter | Beschreibung
IEDs | Schaltflächen für die Übernahme von IEDs mit darin enthaltenen Verbindungen (Connections) und Reports in neue Treiber.
> | Übernimmt nur ausgewählte IED in die Treiberprojektierung. Dabei wird ein neuer Treiber mit der Verbindung zum gewählten IED erstellt.
>> | Übernimmt alle verfügbaren IEDs als neue Treiber in die Treiberprojektierung.
Connections | Schaltfläche für die Übernahme von Verbindungen (Connections) und Reports in bestehende Treiber. Die Schaltflächen dieser Sektion sind nur dann verfügbar, wenn in der Liste der Treiber ein Treiber ausgewählt ist. Ist im Treiber ein Unterknoten ausgewählt, sind diese Schaltflächen ebenfalls nicht verfügbar.
> | Erstellt im bestehenden Treiber eine Verbindung zum IED.
>> | Übernimmt alle verfügbaren IEDs als Verbindungen im bestehenden Treiber.
Reports | Schaltfläche für die Übernahme von RCBs in bestehende Verbindung. Die Schaltflächen dieser Sektion sind nur dann verfügbar, wenn in der Liste der Treiber eine Connection ausgewählt ist.
> | Übernimmt die ausgewählte RCBs in die Treiberprojektierung.
> | Übernimmt alle RCBs des IEDs in die Treiberprojektierung.

Dialog beenden

Parameter | Beschreibung
Apply | Übernimmt Einstellungen. Der Dialog bleibt geöffnet und weitere Projektierungen sind möglich. Hinweis: Nur aktiv, bei ungesicherten Projektierungsänderungen im Wizard.
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog. Vor Schließen des Wizards wird ein Dialog mit einer Sicherheitsabfrage aufgeschaltet.

Sicherheitsabfrage bei Klick auf Cancel

Parameter | Beschreibung
OK | Der Wizard wird beendet. Ungesicherte Änderungen gehen verloren
Abbrechen | Bricht Beenden des Wizards ab.


Kontextmenü

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Kontextmenü

Das Kontextmenü hat unterschiedliche Ausprägungen. Der Inhalt des Kontextmenüs ist abhängig von der Position des Knotens, auf dem es eingesetzt wird.

Kontextmenü

Parameter

Beschreibung

Create all connections

Erstellt mehrere neue IEC850 Treiber. Pro IED wird ein eigener neuer Treiber erstellt.

In der Liste der Treiber werden entsprechende neue Einträge erzeugt.

Treibername: Der Treiber wird mit dem Name des IED angelegt.

Weitere Informationen erhalten Sie im Kapitel Treiber verwalten.

New Driver

Erstellt einen neuen IEC850 Treiber.
In der Liste der Treiber wird ein neuer Eintrag erzeugt.

Treibername Default: Edit (muss geändert werden)

Weitere Informationen erhalten Sie im Kapitel Treiber verwalten.

Rema Supervision

Erstellt eine Verbindungs-Überwachungsvariable und verlinkt diese mit der Reaktionsmatrix.

New Connection...

Je nach Position in der Baumansicht wird eine neue Verbindung oder ein neuer Host hinzugefügt:

  • Treiber
    Erstellt in der Treiberkonfiguration eine neue Verbindung zum Server und schaltet den Dialog New connection für die Konfiguration der Verbindung auf.
    Weitere Informationen erhalten Sie im Kapitel Verbindung verwalten.
  • Connection oder Report
    Erstellt in der Treiberkonfiguration einen neuen Host und schaltet den Dialog New connection für die Konfiguration des Host auf.
    Weitere Informationen erhalten Sie im Kapitel Host verwalten.

Edit

Schaltet den Dialog zur Konfiguration der Verbindung auf. Je nach Position in der Baumansicht können unterschiedliche Projektierungen geändert werden:

  • Treiber
    • Verbindungseinstellungen
    • Host-Einstellungen
    • Report-Einstellungen
  • Verbindung & Knoten Report
    • Netzadresse
    • IP-Adresse
    • Name der Verbindung.

    Weitere Informationen erhalten Sie im Kapitel Verbindung verwalten.

  • Host
    • Host-Einstellungen

    Weitere Informationen erhalten Sie im Kapitel Host verwalten.

  • Report
    • Report-Einstellungen

    Weitere Informationen erhalten Sie im Kapitel Reportzuordnungen verwalten.

Delete

Löscht ausgewählten Knoten ohne Rückfrage.

Create Variables...

Selektive Neuanlage von Variablen.
Öffnet Dialog Variables in Dataset.

Create all Variables

Neuanlage von Variablen.

Im zenon Editor werden Variablen für alle Einträge der Datasets der RCBs angelegt.

Expand all

Alle Knoten werden erweitert.

Collapse all

Alle Knoten werden reduziert.

Noch in diesem Kapitel

Knoten - Kontextmenü-Eintrag


Knoten - Kontextmenü-Eintrag

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Kontextmenü > Knoten - Kontextmenü-Eintrag

Die Einträge des Kontextmenüs sind abhängig von der Position, an welcher das Kontextmenü aufgerufen wird. In diesem Kapitel finden sie eine Übersicht, welche Kontextmenü-Einträge in welchem Knoten zur Verfügung stehen.

Liste IEDs

  • Für die Liste der IEDs steht kein Kontextmenü zur Verfügung.

Liste Treiber

  • Keine Auswahl
    Folgende Kontextmenü-Einträge stehen zur Verfügung, wenn kein Knoten ausgewählt ist:
    • New Driver
    • Expand all
    • Collapse all
  • Treiber
    Folgende Kontextmenü-Einträge stehen zur Verfügung, wenn der Knoten eines Treibers ausgewählt ist:
    • Create all Connections
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit
      (Nur verfügbar, wenn der Knoten direkt im Wizard angelegt wurde und der Wizard nicht neu gestartet wurde. Bei einem Neustart des Wizards steht dieser Eintrag für bestehende Projektierungen nicht zur Verfügung.)
    • Delete
      (Nur verfügbar, wenn der Knoten direkt im Wizard angelegt wurde und der Wizard nicht neu gestartet wurde. Bei einem Neustart des Wizards steht dieser Eintrag für bestehende Projektierungen nicht zur Verfügung.)
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Verbindung (Connection)
    Folgende Kontexmenü-Eintäge stehen zur Verfügung, wenn der Knoten einer Verbindung ausgewählt ist:
    • New Driver
    • Rema Supervision
    • New Conncection...
    • Edit...
      (Nur verfügbar, wenn der Knoten direkt im Wizard angelegt wurde und der Wizard nicht neu gestartet wurde. Bei einem Neustart des Wizards steht dieser Eintrag für bestehende Projektierungen nicht zur Verfügung.)
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Knoten Reports
    Folgende Kontexmenü-Einträge stehen zur Verfügung, wenn der Knoten Reports ausgewählt ist:
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit...
      (Nur verfügbar, wenn der Knoten direkt im Wizard angelegt wurde und der Wizard nicht neu gestartet wurde. Bei einem Neustart des Wizards steht dieser Eintrag für bestehende Projektierungen nicht zur Verfügung.)
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Host
    Folgende Kontextmenü-Einträge stehen zur Verfügung, wenn der Knoten eines Hosts ausgewählt ist:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Report
    Folgende Kontextmenü-Einträge stehen zur Verfügung, wenn ein Report ausgewählt ist:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables...
    • Expand all
    • Collapse all


Arbeiten mit dem Wizard

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard

Die Konfigurationsschritte werden im Wizard per Drag&Drop und mit dem Kontextmenü durchgeführt.

Alternativ zu Drag&Drop können auch die Schaltflächen verwendet werden.

Noch in diesem Kapitel

Projektierungen im Wizard

Treiber verwalten

Configuration

Hosts verwalten

Reportzuordnungen verwalten

Dialog - Variables in Dataset


Projektierungen im Wizard

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Projektierungen im Wizard

Um Treiber zu konfigurieren:

  1. Wählen Sie die gewünschte SCL-Datei aus.
    Klicken Sie dazu die Schaltfläche ... bei File selection.
    Mögliche Dateien sind:
    • SCD-Datei mit der Beschreibung der Substation
    • ICD-Datei mit der Konfiguration einzelner IEC61850 Server.
    • Weitere Dateien: *.scl, *.cid, *.ssd

    Enthält die ausgewählte Datei nicht alle erforderlichen Elemente, wird dies im Ausgabefenster mit einer Meldung angezeigt. Im Wizard bleibt die Liste IEDs leer.

  2. Erstellen Sie in der Liste Treiber im Bedarfsfalle neue Treiber oder Hosts.
    Dieser Schritt ist optional. Sie können diese Projektierung auch bei der Treiberkonfiguration im zenon Editor durchführen und anschließend den Wizard neu starten.
    Änderungen, welche im Wizard projektiert werden, werden in die zenon Editorprojektierung übernommen.
  3. Wählen Sie aus der linken Liste IEDs die gewünschte Verbindung zum Server.
    Ziehen Sie diese per Drag&Drop zum gewünschten Treiber in der rechten Liste.
  4. Wählen Sie aus der linken Liste IEDs die gewünschte Reports.
    Markieren Sie dazu jene Reports, welche Sie einem Host eines Treibers zuordnen wollen.
    Mehrfachauswahl ist dabei möglich.
  5. Ziehen Sie die gewählten Reports per Drag&Drop auf den gewünschten Treiber in der rechten Liste.
    Wird Ihre Auswahl über einen Host gezogen, werden diese Reports automatisch in die Liste des jeweiligen Hosts übernommen.
    Hinweis: wurde bei einer Verbindung noch kein Host angelegt, ist keine Zordnung möglich. Führen Sie dazu Schritt 2 aus und legen Sie mit dem Kontextmenü entsprechende Hosts an.

  6. Beenden Sie den Wizard mit Klick auf die Schaltfläche OK.

Zuordnungsregeln

Für die Zuordnung der Reports aus einer Datei zu den Treibern einer Projektierung in zenon gilt, dass jeder Report einer Datei nur einmal einem Treiber in zenon zugewiesen werden kann.

Jeder Report aus der Liste IEDs kann also nur einmal einem Host der Liste Treiber zugeordnet sein. Bei einer Mehrfachauswahl werden bereits zugeordnete Reports bei einer erneuten Zuordnung via Drag&Drop ignoriert. Nur die noch nicht verwendeten Reports werden dabei berücksichtigt und dem neuen Host hinzugefügt.

Reports lösen

Um ein Report zu lösen:

  1. Markieren Sie den gewünschten Report im Knoten des Hosts, dem der Reports zugeordnet ist.
  2. Wählen Sie im Kontextmenü den Befehl Delete.
  3. Die Zuordnung des Reports zu einem Host wird entfernt.

Hinweis: Löschen mit Mehrfachauswahl ist nicht möglich. Es werden zwar mehrere Reports markiert. Gelöscht wird jedoch immer nur der zuletzt markierte Report.

Treiber-Konfiguration in Projekt übernehmen

Um die neue Konfiguration zu übernehmen, klicken Sie auf die Schaltfläche OK oder Apply.

  • Die Konfiguration wird überprüft.
  • Neue Treiber werden in zenon angelegt.
  • Neue Verbindungen werden in zenon angelegt.
  • In der Treiberkonfiguration werden die RCB-Konfigurationen angelegt bzw. aktualisiert.
  • Das Ergebnis wird im Ausgabefenster angezeigt.

  • Bei Klick auf die Schaltfläche OK wird der Wizard geschlossen.


Treiber verwalten

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Treiber verwalten

IEC850 Treiber, die bei Start des Wizards bereits im aktiven zenon Projekt vorhanden sind, werden im Wizard angezeigt und können konfiguriert werden.

Neue Treiber können auch direkt im Wizard angelegt werden. Treiber, welche im Wizard angelegt wurden und noch nicht mit Apply oder OK in ein zenon Projekt übertragen wurden können wieder entfernt werden.

Treiber hinzufügen

Um einen Treiber hinzuzufügen:

  1. Wählen Sie im Kontextmenü der Treiberliste den Befehl New Driver.
  2. Der Treiber wird in der Liste angezeigt mit dem Default-Eintrag Edit.
    Dieser Eintrag bleibt so lange aktiv, bis er durch Eingabe einer korrekten Treiberbezeichnung ersetzt wird.
  3. Vergeben Sie einen eindeutigen Namen.
    Die Eingabe des Treibernamens wird auf Eindeutigkeit und gültige Zeichen evaluiert. Ist der Treiber bereits vorhanden oder wurden für den Namen ungültige Zeichen eingegeben wird ein Fehlerdialog aufgeschalten.
  4. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Treiber in zenon angelegt.

Treiber löschen

Treiber können nur dann direkt im Wizard gelöscht werden, wenn der Treiber direkt im Wizard neu angelegt wurde. Bestehende Treiber aus einer Projektierung im zenon Editor sind ausgegraut und Delete steht nicht zur Verfügung.
Um einen Treiber zu löschen:

  1. Markieren Sie den gewünschten Treiber in der Liste Treiber.
  2. Wählen Sie im Kontextmenü den Befehl Delete.
  3. Der Treiber wird ohne Rückfrage gelöscht.

Hinweis: Es können nur Treiber gelöscht werden, die noch nicht in zenon angelegt wurden.

Wizard und zenon Editor

Wird im Wizard der Name eines Treibers geändert wird nach Klick der Schalfläche Apply ein neuer Treiber angelegt.

Example Beispiel

Im IEC850 Driver Configuration Wizard wird ein neuer Treiber angelegt.

Mit Klick auf die Schaltfläche Apply im Wizard wird dieser neue Treiber in den zenon Editor übernommen.

Anschließend wird dieser Treiber im Wizard mit dem Kontextmenü gelöscht.

Durch das vorherige Klicken des Apply-Buttons wurde die Konfiguration in den zenon Editor übernommen.

Dies bedeutet, dass der im Wizard angelegte und dort auch wieder gelöschte Treiber bei einem Neustart des Wizards wieder in der Liste der Treiber aufgelistet wird.

Fehlerdialog bei doppelten Treibernamen

Ist der Treibernamen bereits in der zenon Projektierung vorhanden wird folgender Dialog aufgeschalten:

Fehlerdialog bei ungültigen Zeichen in Treiberbenennung

Werden für den Treibernamen ungültige Zeichen eingegeben wird folgender Dialog aufgeschalten:


Configuration

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Configuration

Die Verbindung gibt an, zu welchem Server der Treiber eine Verbindung aufbaut. Ein Treiber kann Verbindungen zu mehreren Servern haben.

Verbindungen können im Wizard mit dem Kontextmenü oder mit Drag&Drop von Inhalten erstellt werden. Diese Verbindungen können nur dann editiert werden, wenn sie auch im Wizard erstellt wurden.

Bereits im Treiber bestehende Konfigurationen bearbeiten Sie direkt im zenon Editor in den Treibereinstellungen.

Verbindung hinzufügen per Drag&Drop

Um eine Verbindung via Drag&Drop einem Treiber hinzuzufügen:

  1. Wählen Sie in der (linken) Liste IEDs die gewünschte Verbindung mit einem Mausklick aus.
  2. Ziehen Sie diese Verbindung mit Drag&Drop in die Liste Treiber über den gewünschten Treiber.
  3. In der Liste Treiber wird für die gewählte Verbindung ein neuer Unterknoten für die Verbindung angelegt.
    1. Die Benennung des Unterknotens wird aus der Liste IEDs übernommen:
      [Net address]_[IP address]_[Name]
    2. In diesem Unterknoten wird ein neuer Unterknoten Reports angelegt.
    3. In diesem Unterknoten wird ein neuer Unterknoten Host 0 angelegt.

info Info

Die in der Liste IEDs bereits zugeordneten Reports werden durch diesen Vorgang nicht übernommen. Es wird nur die entsprechende Verbindung mit einem leeren Host angelegt.

Verbindung hinzufügen per Kontextmenü

Um manuell eine Verbindung mit dem Kontextmenü hinzuzufügen:

  1. Klicken Sie in der Liste Treiber auf den gewünschten Treiber, für welchen Sie eine Verbindung erstellen wollen.
  2. Wählen Sie im Kontextmenü des Knotens des gewählten Treibers den Befehl New Connection.
    Der Dialog zur Konfiguration einer Verbindung wird geöffnet.
  3. Konfigurieren Sie in diesem Dialog:
    1. Net address:
      Netzadresse der Verbindung
    2. IP address:
      IP-Adresse der Verbindung
    3. Name:
      Frei wählbarer Name der Verbindung. Wird bei Variablenimport für den Namen der Variablen verwendet.
      Entspricht der Eigenschaft Server name der Treiberkonfiguration.
  4. Bestätigen Sie Ihre Eingabe mit Klick auf die Schaltfläche OK.
    Der Dialog wird geschlossen. In der Liste Treiber wird für den gewählten Treiber ein neuer Unterknoten für die Verbindung angelegt.
    1. Die Benennung des Unterknotens:
      [Net address]_[IP address]_[Name]
    2. In diesem Unterknoten wird ein neuer Unterknoten Reports angelegt.
  5. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Treiber in die zenon Editor-Projektierung übernommen.

Verfügbarkeit und Verhalten für "Verbindung löschen" und "Verbindung editieren"

Verbindungen können nur dann direkt im Wizard gelöscht oder editiert werden, wenn die Verbindug direkt im Wizard neu angelegt wurde. Bestehende Treiber aus einer Projektierung im zenon Editor sind ausgegraut und Delete/Edit stehen nicht zur Verfügung.

Im Editor bereits vor dem Start des Wizards bestehenden Verbindungen werden nicht gelöscht!

Befehle zum Löschen und Editieren sind nur dann möglich, wenn:

  1. Die Connection direkt im Wizard erstellt wird:
    1. via Kontextmenü
    2. via Drag&Drop übernommen wurde.

Verbindung löschen

Um eine Verbindung zu löschen:

  1. Markieren Sie den gewünschten Verbindungseintrag in der Liste Treiber.
  2. Wählen Sie im Kontextmenü des Knotens der gewählten Verbindung den Befehl Delete.
  3. Die Verbindung wird ohne Rückfrage gelöscht.
    Auch alle dieser Verbindung bereits zugeordneten Hosts und Reports werden ohne Rückfrage gelöscht.
  4. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Treiber in die zenon Editor-Projektierung übernommen.

Wird der Wizard neu gestartet sind alle Verbindungen ausgegraut, da sie bereits im Editor angelegt sind.

Verbindung editieren

Um eine Verbindung mit dem Kontextmenü zu editieren:

  1. Klicken Sie in der Liste Treiber auf die gewünschte Verbindung, die Sie bearbeiten möchten.
  2. Wählen Sie im Kontextmenü des Knotens der gewählten Verbindung den Befehl Edit....
    Der Dialog zur Konfiguration einer Verbindung wird geöffnet.
  3. Konfigurieren Sie in diesem Dialog:
    1. Net address:
      Netzadresse der Verbindung
    2. IP address:
      IP-Adresse der Verbindung
    3. Name:
      Frei wählbarer Name der Verbindung. Wird bei Variablenimport für den Namen der Variablen verwendet.
      Entspricht der Eigenschaft Server name der Treiberkonfiguration.
    4. Bestätigen Sie Ihre Eingabe mit Klick auf die Schaltfläche OK.
      Der Dialog wird geschlossen. Die Änderungen werden im Wizard übernommen.
  4. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Treiber in die zenon Editor-Projektierung übernommen.

Noch in diesem Kapitel

Configuration


Configuration

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Configuration > Configuration

Für die Konfiguration der Verbindung zum IEC61850 Server sind nicht alle Eigenschaften des Dialogs verfügbar. Nicht verfügbare Eigenschaften sind ausgegraut. Fehlprojektierungen werden mit einem Warnsignal (Ausrufezeichen in rotem Kreis) neben dem Eingabefeld visualisiert.

Connection settings

Parameter | Beschreibung
Net address | Entspricht der Eigenschaft Netzadresse bei der Variablenkonfiguration. Hinweis: Ist die projektierte Net address in der Treiberkonfiguration bereits vergeben wird automatisch die nächsthöhere verfügbare Nummer vergeben. Maximalwert: 65535
IP address | IP-Adresse des Servers, mit dem eine Verbindung hergestellt werden soll.
Name | Frei wählbarer Name. Wird beim Variablenimport für den Namen der Variablen verwendet. Es wird empfohlen, diesen Namen kurz aber eindeutig zu halten. Wird dieser Name aus einer SCL-Datei eingelesen, besteht der Name aus IED+LDevice. Dieser eingelesene Name kann mit dieser Eigenschaft beliebig verkürzt werden.

Navigation

Parameter | Beschreibung
OK | Übernimmt Einstellungen und schließt den Wizard.
Cancel | Verwirft alle Änderungen und schließt den Wizard.


Hosts verwalten

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Hosts verwalten

Ein Host ist der Name eines Rechners, auf dem der Treiber in der zenon Runtime gestartet wird.

Beispiel:

  • Rechnername des Prozessführenden Servers
  • Rechnername des Standby Servers

Hosts können im Wizard mit dem Kontextmenü oder mit Drag&Drop von Inhalten erstellt werden. Im Wizard können alle Hosts neu angelegt, editiert und gelöscht werden. Diese Änderungen im Wizard werden in die Treiberkonfiguration im zenon Editor übernommen.

Host hinzufügen - Drag&Drop

Wird eine Verbindung aus der Liste IEDs per Drag&Drop in die Liste Treiber übernommen, wird ein Host angelegt.

Bei der Erstellung einer Verbindung via Drag&Drop wird ein neutraler Eintrag für einen Host erstellt. Dieser Host wird per Default mit Host0 in der Liste der Treiber unter dem jeweilig angewählten Treiber angelegt.

Host hinzufügen - Kontextmenü

Um einen Host mit dem Kontextmenü hinzuzufügen:

  1. Klicken Sie in der Liste Treiber auf den gewünschten Treiber, für welchen Sie einen Host erstellen wollen.
  2. Erweitern Sie die Baumansicht des Treibers bis Sie die Ebene Reports der Verbindung anwählen können.
  3. Klicken Sie auf den Knoten Reports.
  4. Wählen Sie im Kontextmenü des Knotens der gewählten Verbindung den Befehl New Connection.
    Der Dialog zur Konfiguration eines Hosts wird geöffnet.
  5. Konfigurieren Sie in diesem Dialog den Hostnamen:
    Geben Sie den gewünschten Hostnamen im Eingabefeld Hostname (RT computer Name) ein.
  6. Bestätigen Sie Ihre Eingabe mit Klick auf die Schaltfläche OK.
    Der Dialog wird geschlossen. In der Liste Treiber wird ein neuer Unterknoten für den Host angelegt.
  7. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Host in die zenon Editor-Projektierung übernommen.

Host löschen

Um einen Host zu löschen:

  1. Markieren Sie den gewünschten Host in der Baumansicht der Liste Treiber.
  2. Erweitern Sie im Bedarfsfall die Baumansicht des Treibers.
  3. Wählen Sie im Kontextmenü des Knotens des gewählten Hosts den Befehl Delete.
  4. Der Host wird ohne Rückfrage gelöscht.
    Auch alle diesem Host bereits zugeordneten Reportzuordnungen werden ohne Rückfrage entfenrt.
  5. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Treiber in die zenon Editor-Projektierung übernommen.

Host editieren

Um einen Host mit dem Kontextmenü zu editieren:

  1. Klicken Sie in der Liste Treiber auf den gewünschten Treiber, für welchen Sie einen Host ändern wollen.
  2. Erweitern Sie im Bedarfsfall die Baumansicht des Treibers.
  3. Wählen Sie im Kontextmenü des Knotens des gewählten Hosts den Befehl Edit....
    Der Dialog zur Konfiguration eines Hosts wird geöffnet.
  4. Editieren Sie bestehende Einträge im Eingabefeld Hostname (RT computer Name).
  5. Bestätigen Sie Ihre Eingabe mit Klick auf die Schaltfläche OK.
    Der Dialog wird geschlossen. In der Liste Treiber wird der Host im entsprechenden Unterknoten mit dem neuen Namen angezeigt.
  6. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird der Host in die zenon Editor-Projektierung übernommen.

Noch in diesem Kapitel

Hosts verwalten


Hosts verwalten

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Hosts verwalten > Hosts verwalten

Für die Konfiguration der Hosts sind nicht alle Eigenschaften des Dialogs verfügbar. Nicht verfügbare Eigenschaften sind ausgegraut. Fehlprojektierungen werden mit einem Warnsignal (Ausrufezeichen in rotem Kreis) neben dem Eingabefeld visualisiert.

Host settings

Parameter

Beschreibung

Hostname (RT computer name)

Name des Computers auf dem der Treiber läuft, welcher die Reports empfängt:

  • für Einzelplatz Projekte:
    $SCADA_SERVER1 oder Rechnername des Computers, auf dem die zenon Runtime läuft
  • im zenon Netzwerk:
    $SCADA_SERVER1 oder Rechnername des Projekt-Servers Server 1
    $SCADA_SERVER2 oder Rechnername des Projekt-Standby Servers Server 2
    Rechnername des Netzwerkclients für die Bestimmung des orIdent. Dies wird nur dann berücksichtigt, wenn die Option Use SCADA network client orIdent im Dialog Server aktiviert ist.

Hinweis: Benutzen Sie nicht "localhost", sondern den Rechnernamen aus dem Betriebssystem.

Der Hostname darf nicht leer sein, wenn mindestens eine der folgenden Konfigurationseinstellungen projektiert wurden.

Default: leer

Client IED name

IED Name des IEC61850 Clients, wie in der SCD-Datei, und dort unter RCB.RptEnabled.ClientLN angegeben.

Dieses Eingabefeld dient nur zur Anzeige und kann im Wizard nicht editiert werden. Deshalb ist der Client IED name in diesem Dialog immer ausgegraut.

Zusätzliche Informationen zum Client IED name finden Sie im Kapitel Reportzuordnungen verwalten.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Reportzuordnungen verwalten

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Reportzuordnungen verwalten

Reports können im Wizard mit Drag&Drop einem Host zugeordnet werden. Im Wizard können RCBs Hosts zugeordnet werden. Der Host - ein IEC850 Treiber, welcher auf einem bestimmten Rechner gestartet wurde - erkennt dadurch, welche RCBs er verwenden soll.

Optional kann für die Zuordnung auch die mittlere Schaltflächengruppe verwendet werden.

Aus einer SCL-Datei übernommene RCBs können neu zugeordnet, editiert und gelöscht werden. Diese Änderungen im Wizard werden in die Treiberkonfiguration im zenon Editor übernommen. Sie werden nicht in die SCL-Datei zurückgeschrieben.

Report hinzufügen - Drag&Drop

Reports können via Drag&Drop aus der Liste IEDs einer Verbindung in der Liste Treiber zugeordnet werden!

  1. Markieren Sie den gewünschten RCB in der Baumansicht der Liste IEDs.
    Erweitern Sie dazu im Bedarfsfall die Baumansicht der Verbindungen.
    Mehrfachauswahl ist möglich.
  2. Halten Sie die Maustaste gedrückt und ziehen Sie mit Drag&Drop die gewählten Reports über den gewünschten Host des gewünschten Treibers in der Liste Treiber.
    Ein Host muss zwingend vorhanden sein, um Reports einem Treiber zuordnen zu können.

Report löschen

Um einen Report einer Verbindung zuzuweisen:

  1. Markieren Sie den gewünschten Report in der Baumansicht der Liste Treiber.
    Erweitern Sie dazu im Bedarfsfall die Baumansicht des Treibers.
    Mehrfachauswahl ist zwar möglich, es wird jedoch immer nur der zuletzt markierte Eintrag bearbeitet. Ein Editieren oder Löschen mehrerer Reports ist nicht möglich.
  2. Wählen Sie im Kontextmenü des Knotens der gewählten Verbindung den Befehl Delete.
  3. Der Report wird ohne Rückfrage gelöscht.
  4. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird die Treiberkonfiguration in die zenon Editor-Projektierung übernommen.

Report editieren

Um die Konfiguration eines Reports mit dem Kontextmenü zu editieren:

  1. Klicken Sie in der Liste Treiber auf den gewünschten Report, für welchen Sie die Zuordnungskonfiguration ändern wollen.
  2. Erweitern Sie im Bedarfsfall die Baumansicht des Treibers.
  3. Wählen Sie im Kontextmenü des Knotens des gewählten Reports den Befehl Edit....
    Der Dialog zur Konfiguration der Reporteinstellungen wird geöffnet.
  4. Editieren Sie bestehende Einträge in den Eingabefeldern Report settings.
  5. Bestätigen Sie Ihre Eingabe mit Klick auf die Schaltfläche OK.
    Der Dialog wird geschlossen.
  6. Mit Klick auf die Schaltfläche Apply oder beim Schließen des Wizards mit Klick auf OK wird wird die Treiberkonfiguration in die zenon Editor-Projektierung übernommen.

Client IED Name - Hostbenennung

Wurde in der SCL-Datei eine Instanz des RCBs für einen Client IED name konfiguriert, wird in der Liste Treiber die Hostbezeichnung entsprechend erweitert. Dieser Client IED name ist im Wizard nicht editierbar. Der Client IED name wird zwischen zwei Klammern neben dem Hostnamen visualisiert. Eine Konfiguration dieses Namens im Wizard ist nicht möglich.

[Hostname] (Client IED name wie in SCL-Datei konfiguriert)

Example Beispiel

Beispielkonfiguraiton des Client IED name in einer SCL-Datei:

<RptEnabled max="4">

<ClientLN iedName="SCADA_Standby_CLIENT" ldInst="LD0" lnClass="ITCI" lnInst="1"/>

</RptEnabled>

Laut Edition 2 des Standards ist der Client mit dem entsprechenden ClientLN name verpflichtet, die Instanz des RCBs zu nutzen, wenn es so in einer SCL-Datei definiert ist. RCBs von anderen Clients sind zu vermeiden.

Sobald einem Host ein Report mit ClientLN zugeordnet wurde, übernimmt der Host dieses ClientLN name als eigene. Ab diesem Zeitpunkt können diesem Host ausschließlich Reports ohne ClientLN bzw. mit dem gleichen ClientLN zugeordnet werden.

Noch in diesem Kapitel

Dialog - Reports verwalten

RCB Attribute


Dialog - Reports verwalten

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Reportzuordnungen verwalten > Dialog - Reports verwalten

Für die Konfiguration der Reports sind nicht alle Eigenschaften des Dialogs verfügbar. Nicht verfügbare Eigenschaften sind ausgegraut.

Report Settings

Die Ausprägung der Eigenschaft Use preconfigured (SCL) options ist von Inhalten der SCL-Datei abhängig. Weitere Informationen finden Sie im Kapitel RCB Attribute.

Parameter

Beschreibung

Use preconfigured (SCL) options

aktiv:
Der Treiber aktiviert einen Report, ohne die Datenattribute des RCB zu überschreiben. Dadurch wird der Report aufgrund der Inhalte der SCL-Datei des Servers definiert. Folgende Datenattribute sind davon betroffen:

  • IntgPd
  • BufTime
  • TrgOps
  • OptFields

inaktiv:
der Treiber schreibt die Datenattribute des RCB während der Aktivierung.

Trigger options

Sie können die folgenden Trigger Optionen unabhängig voneinander aktivieren/deaktivieren:

  • TrgOp: data-change
  • TrgOp: quality-change
  • TrgOp: data-update
  • TrgOp: integrity
  • TrgOp: general-interrogation

Hinweis: Nicht alle Server unterstützen TrgOps data-change und data-update zusammen. Auch TrgOp intergity kann zu unnötiger Überlastung der Kommunikation führen wenn für RCB eine zu kurze IntgPd (Integrity Period) im Server definiert wurde. Im Zweifelsfall setzten Sie TrgOps: data-change + quality-change + general-interrogation.

Hinweis: nicht aktiv wenn Use preconfigured (SCL) options aktiviert ist.

Optional fields

Die Optional Fields werden am Server bei Aktivieren eines Reports geschrieben. Diese entsprechen den Bits im Datenattribut OptFlds des RCB.

Es wird empfohlen "Sequence number", "Data set name", "Reason for inclusion" und "Entry ID" zu aktivieren.

„Data set name" muss aktiviert sein, da ohne diese Option der Treiber die empfangenen Reports nicht auswerten kann.

Hinweis: nicht aktiv wenn Use preconfigured (SCL) options aktiviert ist.

Time options

Parameter | Beschreibung
Integrity period | Zeitintervall (IntgPd) in Millisekunden, in welchem der Server einen Integrity Report sendet. Hinweis: nicht aktiv, wenn TrgOp integrity deaktiviert ist oder Use preconfigured (SCL) options aktiviert ist. Da ein Integrity Report im Normalfall keine Wertänderungen beinhaltet, wird dringend empfohlen, nur einen einzigen Report am Server mit TrgOp: integrity zu aktivieren. Bei einem aktivierten Integrity Report kann der Server einen Verbindungsabbruch schneller erkennen. zenon braucht diesen Report jedoch nicht. Hinweis: nicht aktiv wenn Use preconfigured (SCL) options aktiviert ist.
Buffer time | Zeitintervall (BufTime) in Millisekunden, in welchem der Server die Daten für einen Report sammelt. Hinweis: nicht aktiv wenn Use preconfigured (SCL) options aktiviert ist.

info Info

Eine genauere Beschreibung der Trigger options finden Sie in der IEC850 Treiberdokumentation im Kapitel statically assigned RCB.


RCB Attribute

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Reportzuordnungen verwalten > RCB Attribute

Via Drag&Drop werden die RCB-Eigenschaften von SCL-Datei in Treiberkonfiguration übernommen.
Dabei überprüft der Wizard den Abschnitt „IED.Services.ReportSettings" der SCL Datei und ermittelt, ob folgende Optionen exisitieren:

  • optFields („Optional Fields")
  • bufTime („Buffer Time")
  • trgOps („Trigger options")
  • intgPd („Integrity period")

Zusätzlich wird übeprüft, ob diese Optionen als dynamisch ("Dyn") definiert sind.

Sind die Optionen in der SCL-Datei nicht definiert, gilt dies als fix ("Fix") definiert.

Alle RCB Attribute sind dynamisch

Sind all diese entsprechenden Optionen dynamisch ("Dyn") so ist der Dialog wie folgt:

In diesem Fall ist die Eigenschaft "Use preconfigured (SCL) options" nicht aktiv.
Der Hinweistext darunter gibt entsprechend Auskunft.

Nicht dynamisch RCB Attribute

Sind die Optionen nicht nur "Dyn" sondern auch "Fix" oder "Conf", so ist der Dialog wie folgt:

In diesem Fall ist die Eigenschaft "Use preconfigured (SCL) options" aktiv und die RCB-Attribute (Trigger options, Optional fields, Time options) sind nicht editierbar.
Der Hinweistext darunter gibt entsprechend Auskunft welche RCB-Attribute ein Client nicht überschreiben soll, während er den Report am Server aktiviert.


Dialog - Variables in Dataset

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Arbeiten mit dem Wizard > Dialog - Variables in Dataset

Dieser Dialog zeigt Inhalte des gewählten Datasets an. Gewählte Datasets sind jene, die in den RCBs vorhanden sind, welche aktuell im Wizard dem Treiber zugewiesen wurden.

Diese Inhalte können gefiltert und vorausgewählt werden.

Aufgrund der Vorauswahl können Variablen für das aktuelle zenon Projekt erstellt werden.

Variablen Vorfilterung

Im oberen Vorschaufenster werden alle Inhalte des gewählten Datasets angezeigt.

Durch Klick der Schaltflächen werden jene Variablen vorgefiltert, welche mit Klick auf die Schaltflächen add oder add all in die Liste der zu erstellenden Variablen übernommen werden. Eine Kombination der Checkboxen und des Eingabefeldes ist möglich.

Parameter | Beschreibung
Functional Constraints (FC) | Die im Report verfügbaren Inhalte werden auf Basis der ausgewählten Functional Constraints vorgefiltert und im Vorschaufenster angezeigt. Die Vorfilterung wird durch Klick in die jeweilige Checkbox aktiviert. Mehrfachauswahl ist möglich.
Quality Variables | Checkbox für die Vorfilterung nach Quality-Variablen, die dem Datenattribut */q[ST|MX] entsprechen. Ist die Checkbox aktiviert, werden nur Quality-Variablen im Vorschaufenster angezeigt. Eine Kombination mit Functional Constraints (FC) ist möglich.
Variable Search | Eingabefeld für Filtertext. Im oberen Vorschaufenster werden nur Variablen angezeigt, welche den eingegebenen Text beinhalten. Die Vorfilterung wird bereits während der Eingabe in Echtzeit aktualisiert.

Aktions-Schaltflächen

Parameter | Beschreibung
Create | Für gewählte Einträge werden Variablen in der aktuellen zenon Projektierung erstellt. Anschließend wird der Dialog geschlossen.
Select all | Diese Schaltfläche hat keine Funktionalität und wird in der aktuellen Version des Wizards nicht verwendet.
Cancel | Verwirft alle Einstellungen und schließt den Dialog.

Vorschaufenster - Liste der zu erstellenden Variablen

Dieser Bereich visualisiert im unteren Bereich eine Vorschau jener Inhalte des gewählten Datasets, für welche mit Klick auf die Schaltfläche Create Variablen im aktuellen zenon Projekt erstellt werden.

Durch Klick auf die Schaltflächen können Inhalte aus der Vorfilterung übernommen oder entfernt werden.

Parameter | Beschreibung
add | Der ausgewählte Eintrag wird zur Liste der zu erstellenden Variablen hinzugefügt.
add all | Alle angebotenen (vorgefilterten) Einträge werden zur Liste der zu erstellenden Variablen hinzugefügt.
remove | Der ausgewählte Eintrag wird aus der Liste der zu erstellenden Variablen entfernt.
remove all | Alle Einträge der Liste der zu erstellenden Variablen werden entfernt.
Quality-REMA | Verknüpfung der Variablen mit einer Reaktionsmatrix. Wenn aktiviert wird die Quality-Rema mit den Variablen verknüpft, die einem Datenattribut */q[ST|MX] entsprechen.


Konfigurationsdatei des Treibers

Handbuch > Wizards > Themen > Energy > IEC850 Driver Configuration Wizard > Konfigurationsdatei des Treibers

Im Editor der Treiber speichert seine Konfiguration in der TXT-Datei wie in Configuration file name definiert. In der Runtime der Treiber bezieht seine Konfiguration aus der Kopie der Datei, die der Editor zur Verfügung gestellt hat.

Aufbau einer Konfigurationsdatei des Treibers

Zeile | Beschreibung
1 | Anzahl der konfigurierten Server
2 – (m-1) | Server Konfiguration (siehe Server Konfiguration)
m – n | evtl. weitere Server Konfiguration(en)

Server Konfiguration

Zeile

Beschreibung

Beispiel

1

Beginn einer Server Konfiguration (= *** SERVER ***)

*** SERVER ***

2

Anzahl der Items in dieser Server Konfiguration;
abgekürzt: CNTSRVITEMS

44

3

Netzadresse

1

4

Servername

RELAY1

5

Primäre IP-Adresse

192.168.250.22

6

Primärer IP-Port

102

7

Polling rate

Leseintervall in Millisekunden

1000

8

Calling AE qualifier

12

9

Called AE qualifier

12

10

Calling AP title[0]

1

11

Called AP title[0]

1

12

Calling AP title[1]

1

13

Called AP title[1]

1

14

Calling AP title[2]

1

15

Called AP title[2]

999

16

Calling AP title[3]

999

17

Called AP title[3]

1

18

Calling AP title[4]

-1

19

Called AP title[4]

1

20

Calling AP title[5]

-12851

21

Called AP title[5]

-1

22

Calling AP title[6]

-12851

23

Called AP title[6]

-12851

24

Calling AP title[7]

-12851

25

Called AP title[7]

-12851

26

Calling AP title[8]

-12851

27

Called AP title[8]

-12851

28

Calling AP title[9]

-12851

29

Called AP title[9]

-12851

30

Max. auto used URCBs

Maximal Anzahl an Unbuffered Reports (URCBs), die der Treiber bei automatische Zuweisung pro Logical Device aktiviert

10

31

* - in neueren Konfigurationen

bei alter Konfiguration: mit Komma getrennte Namen der zugeordneten Buffered Reports (BRCBs).

*

32

Use preconfigured (SCL) options

0 = Nachfolgend konfigurierte RCB Einstellungen (TrgOps, OptFlds, IntgPd, BufTm) werden verwendet

1 = die RCB Einstellungen, die im IEC61850 Server bereits vorkonfiguriert sind - in seiner SCL-Datei, werden benutzt

0

33

Use Report-ID for RCB assignment

0 = RCB Instanzen des Servers werden per Name identifiziert

1 = Report ID wird anstatt des Reportnamens im Dialog für RCB assignment verwendet.

0

34

Use Authentication

0 = Keine ISO-Authentication benutzt

1 = Der Treiber sendet beim Verbindungsaufbau den Authentication String mit

0

35

Authentication String

36

Alternative IP-Adresse

37

Alternativer IP-Port

0

38

TrgOp data-change: 0 = inaktiv; 1 = aktiv

1

39

TrgOp quality-change: 0 = inaktiv; 1 = aktiv

1

40

TrgOp data-update: 0 = inaktiv; 1 = aktiv

0

41

TrgOp integrity: 0 = inaktiv; 1 = aktiv

0

42

TrgOp general-interrogation: 0 = inaktiv; 1 = aktiv

1

43

GetNameList on DO

0 = Normales GetNameList

1 = Der Treiber liest das Objekt Model mittels Abfrage von Data Objekten (DO) für jede im Server vorhandene Logical Node und jeden im IEC61850 Standard definiertem Functional Constraint (FC).

Diese Option wurde in der Version 8.00 aus dem Konfigurationsdialog entfernt und durch einen Automatismus ersetzt.

0

44

Integrity Period

7000

45

Buffer Time

500

46

OptFlds
Optional fields des RCB

73

47

RCBs enable reties

Zyklus in Sekunden in welchem versucht wird nicht erfolgreich aktivierte RCBs erneut zu aktivieren. Nur vorhanden wenn CNTSRVITEMS >= 45 ist

7

48

Automatic Watchdog

1

49

Data consistency scan

300

50

Use SCADA network orIdend

0

51

Anzahl der Client Konfigurationen

52 – (m-1)

Client Konfiguration (siehe Client Konfiguration)

m – n

evtl. weitere Client Konfigurationen

Client Konfiguration

Zeile | Beschreibung | Beispiel
1 | Beginn einer Client Konfiguration (=*** CLIENTCFG ***) | *** CLIENTCFG ***
2 | Anzahl der Items in dieser Client Konfiguration | 1
3 | Hostname (RT computer name) Name des Computers auf dem der Treiber läuft, der die Reports empfängt | WKS007
4 | ClientLN.iedName | SCADA_Server1
5 | orIdent |
6 | Anzahl der RCB Konfigurationen | 2
7 – (i-1) | RCB Konfiguration (siehe RCB Konfiguration) |
i – (j-1) | evtl. weitere RCB Konfigurationen |
j | Anzahl der dynamischen Dataset Konfigurationen |
k – (l-1) | Dynamische Dataset Konfiguration (siehe dynamische Dataset Konfiguration) |
l – m | evtl. weitere dynamische Dataset Konfiguration |

RCB Konfiguration

Zeile | Beschreibung | Beispiel
1 | Beginn einer RCB Konfiguration (= *** RCBCFG ***) | *** RCBCFG ***
2 | Anzahl der Items in dieser RCB Konfiguration | 2
3 | RCB Name bzw. ID. | UP_CTRL/LLN0/urcb_QxCSWI1_Pos02[RP]
4 | Name des dynamischen Datasets. | NEW_DYN_DATASET

Dynamische Dataset Konfiguration

Zeile | Beschreibung | Beispiel
1 | Beginn eines dynamischen Datasets (= *** DATASET ***) | *** DATASET ***
2 | Anzahl der Items in dieser dynamischen Dataset Konfiguration | 1
3 | Name des dynamischen Datasets | NEW_DYN_DATASET
4 | Anzahl der Object References des dynamischen Datasets | 2
5 | Object Reference | UPCTRL/Q1CSWI1$CF$Pos
6 – n | evtl. weitere Object Reference. | UPCTRL/Q1CSWI1$ST$Pos


Export - Import

Handbuch > Wizards > Themen > Export - Import

Wizards für Export und Import von Daten.

Noch in diesem Kapitel

FactoryLink Import Wizard

PDiag Import Wizard

WinCC Import Wizard

XML Export Wizard VSTA

XML Import Wizard


FactoryLink Import Wizard

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard

Der FactoryLink Import Wizard portiert FaktoryLink-Projekte in eine zenon Projektierung.

Für die Portierung werden folgende FactoryLink Komponenten unterstützt:

  • Variablen
  • Grafikdateien (*.bmp, *.png, *.gif, etc.)
  • Templates (inkl. Standardelemente)
  • Mimics (inkl. Standardelemente)

info Info

Der aktuelle FactoryLink Import Wizard wurde für zenon 7.50 mit VSTA für FactoryLink 7.5 realisiert. Dieser Wizard ersetzt den bisherigen VBA FactoryLink Wizard.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Mehrplatzfähiges Projekt

Vorbereitung Export der Projektdaten aus FactoryLink

Projektimport

Liste der importierbaren Objekte


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Wizard installieren und aufrufen

Der FactoryLink Import Wizard wird bei der zenon Standardinstallation automatisch installiert.

Wizardanzeige im zenon Editor

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Wizard aufrufen

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

    .

  2. Wählen Sie den Ordner Export/Import.
  3. Klicken Sie dort auf FactoryLink Import Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit dem Startfenster.

info Info

Der FactoryLink Import Wizard steht nur in englischer Sprache zur Verfügung.


Mehrplatzfähiges Projekt

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Mehrplatzfähiges Projekt

Nach Start des FactoryLink Import Wizard wird das aktuelle Projekt überprüft. Wird das Projekt als Mehrplatzfähiges Projekt erkannt, wird ein Warndialog angezeigt.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.
Die Schaltflächen werden in der Systemsprache des Rechners angezeigt.

Stellen Sie sicher, dass diese Voraussetzungen erfüllt sind, bevor Sie mit dem Wizard fortfahren.

Parameter | Beschreibung
OK | Bestätigt den Warndialog und startet den Wizard mit dem Startdialog Welcome.
Abbrechen | Beendet den Wizard ohne Rückfrage.

Voraussetzungen

Bei einem mehrplatzfähigen Projekt ist die Einstellung Änderungen ermöglichen für folgende Knoten im zenon Editor aktiv:

  • Variablen
  • Bilder
  • Schablonen

attention Achtung

Ist die Einstellung Änderungen ermöglichen nicht aktiviert, schlägt der Import fehl.


Vorbereitung Export der Projektdaten aus FactoryLink

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Vorbereitung Export der Projektdaten aus FactoryLink

Der Export der FactoryLink-Projektdaten hat im Programm FactoryLink über das Menü Display - Library Converter in der Anwendung ClientBuilder zu erfolgen. Hier müssen die gewünschten Libraries und alle zu konvertierenden Projektinhalte ausgewählt werden.

Zusätzlich muss der Zugriff auf die im Projekt verwendeten Bitmaps gewährleistet sein. Alle Dateien müssen in der Ordnerstruktur verbleiben, die von FactoryLink erstellt vorgegeben und erstellt wird.

Bild- und Mimics-Export aus FactoryLink

attention Achtung

Als Zielformat der Bilder (Mimics) muss unbedingt ASCII ausgewählt werden.


Projektimport

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Projektimport

Noch in diesem Kapitel

Welcome

Import

Ausgabefenster

Import


Welcome

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Projektimport > Welcome

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer Zusammenfassung der Wizardfunktionalität.

Navigation

Die Navigation durch den Wizard erfolgt per Mausklick auf eine Registerkarte oder per Klick auf die Pfeiltaste.

Ein Klick auf die Schaltfläche Close beendet den Wizard ohne Rückfrage. Die bisher eingestellten Ordner und Dateien werden nicht gespeichert.


Import

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Projektimport > Import

In der Registerkarte Import wählen Sie Dateien und Ordner der FactoryLink-Projektierung.

Die Bezeichnungen in der Klammer entsprechen den Datei- oder Ordnernamen einer Standard FactoryLink-Projektierung. Durch Klick auf die jeweilige Schaltfläche "..." öffnet sich ein Dateiauswahldialog.

Hinweis: Es ist nicht zwingend erforderlich, alle Ordner und Dateien auszuwählen.

Parameter | Beschreibung
Language definitions (MLANG.DAT) | Datei mit Sprachinformationen der FactoryLink Projektierung. Die Angabe dieser Datei ist optional für mehrsprachige FactoryLink-Projektinhalte. Nach Auswahl dieser Datei können in der Dropdownliste Language for Import die verfügbaren Sprachen ausgewählt werden. Ein erstes Evaluierungsergebnis wird nach Auswahl der Datei im Ausgabefenster angezeigt: n languages found in the language file. Default: leer FactoryLink Standard: \FactoryLinkProjektName\Config Files\MLANG.DAT (aus FactoryLink Client Builder)
Variables (object.asc) | Datei für Variablendefinition(en). Hier werden keine einzelnen Variablen ausgewählt. Die Datei object.asc beinhaltet Definition der verwendeten Variablen. Default: leer FactoryLink Standard: \FactoryLinkProjektName\Variables\asc\object.asc (aus FactoryLink Configuration Server - OPC Server Export)
Graphics (Bitmap Files) | Auswahl des Ordners der verwendeten Grafiken. Default: leer FactoryLink Standard: \FactoryLinkProjektName\Bitmap Files (aus FactoryLink Client Builder)
Templates (Templates Files) | Default: leer FactoryLink Standard: \FactoryLinkProjektName\Template Files (aus FactoryLink Client Builder)
Mimics (Mimic Files) | Default: leer FactoryLink Standard: \FactoryLinkProjektName\Mimic Files (aus FactoryLink Client Builder)

Import

Parameter

Beschreibung

Language for import

Dropdownliste mit den verfügbaren Sprachen.

Die Dropdownliste visualisiert die verfügbaren Sprachen, wie in der Eigenschaft Language definitions (MLANG.DAT) enthalten. Wurde keine MLANG.dat-Datei ausgewählt, ist die Dropdownliste leer.

Die Anzahl der ausgelesenen Sprachen muss nicht zwingend der Anzahl der in den Mimics/Templates bei Textelementen verfügbaren Sprachen übereinstimmen. Ist die Ausgewählte Sprache bei Elementen in einem Mimic/Template nicht vorhanden, so kann dies nicht erfolgreich importiert werden.

Default:

  • [leer]

    wenn keine MLANG.DAT-Datei angegeben ist.

  • DEFAULT

    Sprache(n)

    wenn MLANG.DAT-Datei angegeben ist.

Hinweis: Wird keine Sprachdefinitionsdatei ausgewählt, bzw. der Wert „DEFAULT" gewählt, werden multilinguale Textinformationen nicht für den Import berücksichtigt.

Import

Startet den Import aus den konfigurierten Dateien und Ordnern.

Nicht aktiv, wenn nicht mindestens eine .asc-Datei oder ein Ordner angegeben wurde.

Ausgabefenster

Im Ausgabefenster werden Evaluierungsergebnisse, Fehler und Importschritte angezeigt.


Ausgabefenster

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Projektimport > Ausgabefenster

Im Ausgabefenster werden die einzelnen vom Wizard durchgeführten Aktionen aufgelistet.

Die Liste ist mit Klick auf die jeweilige Spaltenüberschrift sortierbar. Ein weiterer Klick kehrt die Sortierfolge um.

Parameter

Beschreibung

Aktionssymbol

Grafisches Symbol der Aktion:

Timestamp

Zeitstempel der vom Wizard ausgeführten Aktion.
Format: TT.MM.JJJJ hh:mm:ss

Source

Bezeichner oder Ursprung der durchgeführten Aktion:

  • Import:
    Detailierte Beschreibung des Einzelschrittes, z.B.:
    • Adding file for import
    • Starting the import of the Templates.
  • Screen creation:
    Importschritte für zenon Bilder.
  • Element creation:

    Hinweise beim Erstellen eines Elements, z.B.:

    • An Element with the name [Elementname] already exists in the screen [Bildname]
  • Graphics import:
    Durchsucht Projektierungen
  • Languages:
    Auswertung der Sprachdefinition (Language definitions)

Message

Kurzbeschreibung der durchgeführten Aktion.

Grafische Symbole

Parameter | Beschreibung
 | Allgemeine Information über den aktuelle Schritt des Wizards.
 | Erfolgreiches Ergebnis der durchgeführte Aktion
 | Fehlerhinweis
 | Warnhinweis


Import

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Projektimport > Import

Beachten Sie folgende Punkte in zenon bei Ausführung des Wizards:

  • Für den Import einer FactoryLink-Projektierung wird empfohlen, ein neues, leeres zenon Projekt im Editor anzulegen. Damit können bereits vor dem Import doppelt vorhandene Namen von Bildern und Schablonen ausgeschlossen werden.
  • Beim Import werden keine vorhanden Projektierungen im zenon Editor überschrieben! Ist eine entsprechende Projektierung bereits vorhanden wird ein entsprechender Eintrag im Ausgabefenster angezeigt.
  • Die Variablen werden beim Import automatisch auf den Internen Treiber des zenon Projektes gemappt.
    • Per Mehrfachauswahl können so zuerst die Datentypen den verfügbaren Datentypen des Echt-Treibers zugeordnet werden.
    • Anschließend weisen Sie den importierten Variablen den gewünschten Echt-Treiber zu.
  • Werden Variablen im zenon Editor umbenannt, werden diese bei Neustart des Wizards erneut mit dem Originalnamen importiert.

attention Achtung

zenon Symbole werden nicht erstellt.

Templates und Mimics:

Templates in FactoryLink dürfen nicht mit Schablonen in zenon verwechselt werden. FactoryLink Templates entsprechen Bildvorlagen in zenon. Der FactoryLink Import Wizard behandelt Templates und Mimics gleichbedeutend und erstellt daraus für die zenon Projektierung Bilder und Schablonen inklusive Standardelementen.

Dabei werden folgende Elemente unterstützt:

  • Textelement
  • Kreis/Ellipse
  • Rechteck
    (inkl. Abrundungen)
  • Linie
  • Polygon
  • Bitmap
    (wird zu Button mit Grafik)


Liste der importierbaren Objekte

Handbuch > Wizards > Themen > Export - Import > FactoryLink Import Wizard > Liste der importierbaren Objekte

Der Import aus FactoryLink Projekten unterstützt folgende Objekte:

  • Variablen
    • Namen
    • Kennung
    • Datentyp
  • Treiber
    • immer Intern - Treiber für interne Variablen
  • Import und Erstellen von FactoryLink Templates und Mimics.
  • Import und Erstellung von statischen Bildelementen:
    • Textelement
    • Kreis/Ellipse
    • Rechteck
      (inkl. Abrundungen)
    • Linie
    • Polygon
    • Bitmap
      (wird zu Button mit Grafik)
  • Import von MultiLang-Texten aus Textelementen (für Statische Textelemente)


PDiag Import Wizard

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard

Der zenon PDiag Import Wizard unterstüzt beim Import von PDiag-Meldungen. Dieser Wizard kann auch als Vorlage für eigene Erweiterungen in diesem Zusammenhang dienen.

Der PDiag Import Wizard steht nur in englischer Sprache zur Verfügung.

attention Achtung

Dieser Wizard unterstützt kein Verteiltes Engineering und ist bei Mehrplatzfähigen Projekten nicht anwendbar.

Noch in diesem Kapitel

Voraussetzungen

Einstellungen

Import der Meldungen


Voraussetzungen

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard > Voraussetzungen

Der Wizard importiert eine aus dem Simatic Modul Prozess Diagnose (PDiag) exportierte XML-Datei. Dieser Export kann im Simatic Manager/Prozess Diagnose mit dem Menüpunkt Prozessdiagnose | Exportieren durchgeführt werden.

Die so erzeugte XML-Datei wird mit dem Wizard in zenon importiert. Dabei werden Variablen, die auf dem S7-TCP Treiber basieren, mit dem Treiberobjekttyp Alarm-S angelegt. Jede Meldung und jeder Begleitwert entspricht einer zenon Variable.

Als Begleitwerte werden nur UINT-Variablen importiert. Dabei wird der Meldetext auf die Simatic PDiag Kennzeichen "@1X%2d@", "@1X%3d@" und "@1X%4d@" analysiert und für zenon entsprechend angepasst. Eine Verwendung der Sprachtabelle für dynamische Texte ist ebenfalls möglich. Dabei sind die Texte ausserhalb des Wizards in die zenon Sprachtabelle zu übertragen.

Dieser Wizard importiert ebenfalls S7-Graph Meldungen, die von PDiag automatisch generiert werden und somit ebenfalls in der XML-Datei enthalten sind.


Einstellungen

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard > Einstellungen

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Öffnen Sie den Knoten Export/Import.
  3. Wählen Sie PDIAG Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.

Der Wizard führt über die Registerkarten

  • Welcome
  • Settings
  • Finish

zum Import einer XML-Datei.

Noch in diesem Kapitel

Welcome

Settings

Finish


Welcome

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard > Einstellungen > Welcome

Die Registerkarte Welcome enthält eine kurze Erklärung zu Funktionsweise und Voraussetzungen des Wizards.

Um zur Registerkarte Settings zu gelangen, klicken Sie auf die Menüauswahl Settings oder auf den Pfeil links unten.


Settings

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard > Einstellungen > Settings

In der Registerkarte Settings führen Sie die Einstellungen für den Import durch.

Einstellung

Beschreibung

Driver

Auswahl des S7-TCP Treibers aus dem aktiven Projekt, für den der Import durchgeführt werden soll.

PDIAG XML File

Auswahl der zu importierenden XML-Datei.

Identification

Optionaler Eintrag für die Variablenkennung. Auf diesen Eintrag kann in der Variablenliste gefiltert werden.

Net Adress

Legt die Netzadresse für die zenon Variablenadressierung fest. Die gültige Netzadresse entnehmen Sie aus der Treiberkonfiguration.

Alarm Group

Legt die Alarm/Ereignis-Gruppe der importierten Meldungen fest.

Achtung: Der Wizard legt keine Alarm/Ereignis-Gruppen in zenon selbstständig an. Diese müssen vor dem Import manuell erzeugt werden.

In IPA

Aktiv: Setzt für die Variablen die Eigenschaft In IPA-Datenbank speichern. Damit werden die Meldungen in den Industrial Performance Analyzer übertragen.

use Identification also as prefix for variable

Aktiv: Für den Variablennamen der Alarmvariablen wird die im Wizard angegebene Variablenkennung als Präfix für den Variablennamen verwendet. Diese Option unterstützt für eindeutige Variablennamen bei Projekten mit mehreren Treibern.

Get Alarm Class

Aktiv: Die im Simatic Manager gesetzte Meldungspriorität wird als zenon Alarm/Ereignis-Klasse interpretiert wird.

Achtung: Der Wizard legt keine Alarm/Ereignis-Klassen in zenon selbstständig an. Diese müssen vor dem Import manuell erzeugt werden.

Mit Finish wird der Import gestartet. Diese Schaltfläche ist nur in der Registerkarte Finish aktiv. Klicken Sie dazu auf die Menüauswahl Finish oder auf den Pfeil links unten.


Finish

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard > Einstellungen > Finish

Um den Import zu starten, klicken Sie auf die Schaltfläche Finish.


Import der Meldungen

Handbuch > Wizards > Themen > Export - Import > PDiag Import Wizard > Import der Meldungen

Während des Imports werden Hinweise ausgegeben:

Nach Abschluss des Imports erscheint ein Hinweis darauf, wie viele Variablen importiert wurden.

Wichtige Meldungen

Meldung | Beschreibung
message text too long | Der Alarmtext ist zu lang und wird auf die in zenon gültige Länge abgeschnitten.
creating attribute variable for dynamic limit text | Neben der Meldevariable wird eine Begleitwertvariable für den dynamischen Grenzwerttext angelegt.


WinCC Import Wizard

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard

Der WinCC Import Wizard importiert ausgewählte Teile von bestehenden WinCC Projekten in das aktuell geladene zenon Projekt.

attention Achtung

Der Import der WinCC Projektdaten erfolgt über zwei Programme:

  • WinCC Graphics Converter: exportiert WinCC Bilder, Schablonen und Symbole aus WinCC in eine XML-Datei
  • WinCC Import Wizard: importiert
    • Data Blocks (Structure TAGs), TAGs, Alarme und Archive direkt
    • Bilder, Schablonen und Symbole via XML-Dateien, die zuvor mit dem WinCC Graphics Converter erzeugt wurden

Noch in diesem Kapitel

Installation

WinCC Graphics Converter

WinCC Import Wizard


Installation

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > Installation

Damit Sie den WinCC Import Wizard ausführen können, müssen Sie zuerst alle Komponenten installieren.

info Info

Sie sollten zenon NICHT auf demselben Rechner wie WinCC installieren.

Installation WinCC Graphics Converter

Um auf die WinCC Informationen zugreifen zu können, muss der WinCC Graphics Converter lokal am Rechner, auf dem das WinCC-Projekt läuft, installiert werden. Das Setup befindet sich auf dem zenon Installationsmedium im Ordner \AdditionalSoftware\COPA-DATA WinCC Graphics Converter.

Nach der Installation finden Sie unter Start - Alle Programme - COPA-DATA - WinCC Graphics Converter das Konvertierungs Tool für verschiedene WinCC Versionen. Starten Sie immer nur das passende Tool.

info Info

Für den Einsatz des Konverters wird ein installiertes .NET Framework 3.5 vorausgesetzt. Bei der Installation des Konverters wird dessen Vorhandensein überprüft. Fehlt das Framework, wird die Installation abgebrochen. Installieren Sie in diesem Fall zuerst das .NET Framework 3.5 und starten Sie dann die Installation des Konverters neu.

Installation des Wizard ab zenon 7.0

Der Wizard wird automatisch mit dem zenon Editor mitinstalliert. Es sind keine separaten Einstellungen erforderlich. Sie können den Wizard gleich im zenon Editor unter Datei - Wizards... und dort im Bereich Export/Import starten.

Installation des Wizard für zenon 6.51

Da der Wizard nicht Bestandteil von 6.51 SP0 ist, müssen Sie für die Installation folgende Schritte durchführen:

  • Installieren Sie mindestens das Build 6 von zenon 6.51. Das Build 6 können Sie bei Ihrem Vertriebspartner anfordern.
  • Installieren Sie den Wizard mit dem WinCC Graphics Converter. Dieses Setup installiert das WinCC Graphics Converter Tool und auch den Wizard sofern zenon 6.51 SP0 installiert ist. Das Setup können Sie bei Ihrem Vertriebspartner anfordern.
  • Starten Sie nach der Installation den zenon Editor. Es erscheint der Dialog zur Aktualisierung der Wizards. Mittels Aktualisierung starten wird der Wizard dem VSTA Workspace hinzugefügt.
    Sollten Sie diesen Schritt später durchführen wollen, können Sie im zenon Editor im Menü Datei - Wizards aktualisieren... jederzeit wieder zu diesem Dialog gelangen.

  • Starten Sie den VSTA Editor im zenon Editor im Menü Datei - VSTA Editor öffnen... und wählen Sie im Fenster Project Explorer den Knoten References aus. Im Kontextmenü führen Sie Add Reference... aus, um zwei fehlende Referenzen nachzutragen:
    • MSDASC: Im Add Reference Dialog wechseln Sie auf die Registerkarte COM und fügen die Komponente Microsoft OLE DB Service Component 1.0 Type Library dem Projekt hinzu.
    • ADODB: Im Add Reference Dialog wechseln Sie auf die Registerkarte Browse. Navigieren Sie zum Ordnern C:\Program Files (x86)\Microsoft.NET\Primary Interop Assemblies und wählen Sie die Datei adodb.dll aus.

Hinweis: Dieser Screenshot steht nur in englischer Sprache zur Verfügung.

  • Nun können Sie im VSTA Editor im Fenster Project Explorer den Knoten WorkspaceAddin auswählen und das Addin durch den Kontextmenü Befehl Build kompillieren.

Sobald der Kompillierungsvorgang erfolgreich war, steht der Wizard im zenon Editor unter Datei - Wizards... und dort im Bereich Export/Import zur Verfügung.


WinCC Graphics Converter

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Graphics Converter

Der WinCC Graphics Converter ermöglicht es, Bilder, Schablonen und Symbole in WinCC Projekten auszuwählen und als XML-Dateien zu exportieren.

info Info

Derzeit können XML-Dateien mit WinCC Projekten der Version 7.0 und 7.0 SP1 erstellt werden.

Noch in diesem Kapitel

Welcome

Select .pdl files

Select output folder

Convert


Welcome

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Graphics Converter > Welcome

Mit dem WinCC Graphics Convert lassen sich WinCC Grafik Dateien (pdl) in ein für den WinCC Import Wizard lesbares XML Format konvertieren. Bestehende Grafikinformationen werden als PNG- und WMF-Dateien zusammen mit dem XML-Dateien gespeichert und in einem ausgewählten Ordner gespeichert.

Um den Konverter auszuführen:

  1. Klicken Sie auf Start.
  2. Navigieren Sie zu COPA-DATA -> WinCC Graphics Converter.
  3. Starten Sie den WinCC Graphics Converter.
  4. Folgen Sie den Anweisungen des Wizards.


Select .pdl files

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Graphics Converter > Select .pdl files

In dieser Registerkarte wählen Sie die PDL-Dateien, die aus dem WinCC Projekt exportiert werden sollen. Dazu:

  1. Klicken Sie auf die Schaltfläche Select .pdl files.
  2. Navigieren Sie zum Projekt-Ordner, der die PDL-Dateien enthält.

    Hinweis: Damit die Dateien ausgewählt werden können, muss das WinCC Projekt auf dem Rechner geladen sein!

  3. Wählen Sie die gewünschten Dateien aus.

    Alle ausgewählten PDL-Dateien werden im Vorschaufenster angezeigt.


Select output folder

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Graphics Converter > Select output folder

In dieser Registerkarte wählen Sie den Ordner, in dem die Exportdateien abgelegt werden sollen. Dazu:

  1. Klicken Sie auf die Schaltfläche Select output folder.
  2. Navigieren Sie zum Ordner, in dem die Exportdateien abgelegt werden sollen.
    Hinweis: Sie können im Auswahldialog auch einen neuen Ordner erstellen


Convert

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Graphics Converter > Convert

In dieser Registerkarte führen Sie die Konvertierung durch.

Kopieren Sie nach erfolgtem Export den Ordner auf den rechner mit dem zenon Projekt, in das die Daten importiert werden sollen oder sorgen Sie dafür, dass de Rechner mit dem zenon Projekt Zugriff auf den Export-Ordner hat.


WinCC Import Wizard

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard

Der Import WinCC Wizard wird über den Wizard Dialog des Editors gestartet und dient für den Import folgender WinCC Elemente:

  • Import der Screens (die über WinCC Graphics Converter erzeugten XML-Dateien werden in zenon Schablonen, Bilder und Symbole umgewandelt)
  • Import der WinCC TAG s (nur S7 TCP)
  • Import der WinCC Structure TAG s ( nur S7 TCP)
  • Import Alarm Limits
  • Import Archive TAGs

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Export/Import.
  3. Wählen Sie den WinCC Import Wizard.

  4. Mit Klick auf OK starten Sie den Wizard

Der Wizard ist in Bereiche unterteilt:

  • Welcome: Überblick über den Wizards.
  • Settings: Einstellungen für die Verbindung zum WinCC Projekt. Nach erfolgreicher Verbindung werden die Registerkarten für den direkten Import angezeigt:
    • Data Blocks: Structure TAGs aus WinCC
    • TAGs: TAGs aus WinCC
    • Alarm Limits: Alramklassen und Alarme aus WinCC
    • Archive TAGs: Archivdateien aus WinCC
  • Screens: Import der Bilder aus WinCC über den WinCC Graphics Converter

Noch in diesem Kapitel

Welcome

Settings

Data Blocks

TAGs

Alarm Limits

Archive TAGs

Screens


Welcome

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > Welcome

Die Startseite des Wizards informiert über alle weiteren Importschritte.

Der direkte Import von Daten ist erst möglich, nachdem in der Registerkarte Settings die Verbindung zum WinCC Projekt konfiguriert wurde.


Settings

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > Settings

In dieser Registerkarte konfigurieren Sie die Verbindung zum WinCC Projekt, dessen Daten importiert werden sollen.

Parameter | Beschreibung
WinCC DB connection | Konfiguration der Verbindung zur WinCC Datenbank.
Connected with | Anzeige der aktiven Verbindung.
Connect | Stellt Verbindung her.
New Connection | Öffnet den Dialog zur Konfiguration einer neuen Verbindung.
Driver selection (S7 TCP) | Konfiguration des zenon Treibers.
Driver | Auswahl eines zenon Treibers aus Dropdownliste.
Create new Driver | Öffnet Dialog zur Erstellung eines neuen Treibers.

attention Achtung

Damit die Verbindung hergestellt werden kann, muss das WinCC Projekt am PC, mit dem die Verbindung hergestellt wird, aktiv sein oder im WinCC Explorer geöffnet sein.

Konfiguration der Verbindung

Um eine Verbindung herzustellen:

  1. klicken Sie auf die Schaltfläche New connection
  2. der Dialog für die Verbindungseinstellungen wird geöffnet

  3. auf der Registerkarte Provider wählen Sie den Provider Microsoft OLE DB Provider for SQL Server
  4. auf der Registerkarte Connection:
    1. Bei server name tragen Sie die Instanz des SQL Servers in dem sich das WinCC Projekt befindet. Zum Beispiel: HOSTNAME\WINCC
      Wichtig: Die WinCC SQL Server Instanz (sqlsrv.exe) muss in der Firewall freigeschaltet sein.
    2. Bei logon information tragen Sie Ihre Zugangsdaten ein. Die Zugangsdaten müssen zuerst mit dem SQL Server Management Studio in der SQL Server Instanz angelegt werden.
      Wichtig: Aktivieren Sie die Option Allow saving password
    3. Bei database wählen Sie das WinCC Editor Projekt aus. Das ist der Datenbankname ohne dem abschließenden _R
      Hinweis: Das Projekt muss im WinCC Editor geladen und aktiv sein, sonst ist das Projekt nicht im SQL-Server verfügbar.
    4. Testen Sie die Verbindung
  5. schließen Sie den Konfigurationsdialog mit OK
  6. danach können Sie über die Schaltfläche Connect im Wizard die Verbindung zum WinCC Projekt herstellen.
  7. wählen Sie einen zenon Treiber aus

Nach erfolgreicher Verbindung und Auswahl eines zenon Treibers werden die Registerkarten für den direkten Import angezeigt.


Data Blocks

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > Data Blocks

In dieser registerkarte werden die im WinCC Explorer unter Data Blocks angezeigten Datenblöcke ausgewählt und als Datentypen in zenon importiert.

Die WinCC Data Blocks werden nach Treiber gruppiert und nach Block-Type und Name sortiert angezeigt.

Um Datenblöcke zu importieren:

  1. wählen Sie die gewünschten Datenblöcke aus
  2. klicken Sie auf Import Data Blocks

Ergebnis

Data Blocks in WinCC:

Datentypen in zenon


TAGs

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > TAGs

Auf dieser Registerkarte werden TAGs (S7), die im WinCC Explorer unter Tag Management angezeigt werden, ausgewählt und als zenon Variablen importiert. Der Export kann direkt nach zenon erfolgen oder in eine CSV-Datei.

Um Tags zu importieren:

  1. wählen Sie die gewünschten TAGs aus
  2. klicken Sie auf Import Tags oder Export to CSV

Ergebnis

Tags in WinCC:

Variablen in zenon:


Alarm Limits

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > Alarm Limits

In dieser Registerkarte werden Alarmklassen und Grenzwerte importiert:

  • Import Alarm Classes:
    Importiert Alarmklassen in ein vorhandenes globales Projekt
  • Import Alarms:
    Importiert Alarmklassen und Gruppen ins lokale zenon Projekt und erstellt für die Grenzwerte Variablen

Import Alarm Classes

Importiert Alarmklassen aus WinCC in ein Globales Projekt in zenon. Das Globale Projekt muss in zenon bereits angelegt und aktiv sein.

Um Alarmklassen zu importieren:

  1. wählen Sie die gewünschten Alarmklassen aus
  2. klicken Sie auf Import Alarm Classes

Ergebnis

Alarmklassen in WinCC:

Alarmklassen in zenon:

Import Alarms

Bei dieser Form des Imports werden alle Alarmklassen und Alarmgruppen in das zenon Projekt importiert. Die WinCC Limit-Texte werden durch Grenzwertvariablen ersetzt.

Um Alarme zu importieren:

  1. wählen Sie die gewünschten Alarme aus
  2. klicken Sie auf Import Alarms

Ergebnis

Alarme in WinCC:

Alarme in zenon:


Archive TAGs

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > Archive TAGs

Auf dieser Registerkarte können TAGs, die im WinCC Explorer unter Tag Logging eingetragen sind, ausgewählt und importiert werden. Der Import erfolgt in eines der beiden dabei neu in zenon Projekt angelegten Archive BINARY oder ANALOG.

attention Achtung

TAGs werden nur dann im zenon Archive angelegt, wenn diese vorher als TAGs importiert wurden.

Um Archive Tags zu importieren:

  1. wählen Sie die gewünschten Archive TAGs aus
  2. klicken Sie auf Import Archiv Tags

Ergebnis

Archive TAGs in WinCC:

Archive in zenon:


Screens

Handbuch > Wizards > Themen > Export - Import > WinCC Import Wizard > WinCC Import Wizard > Screens

In dieser Registerkarte werden die mit dem WinCC Graphics Converter erzeugten XML in das aktive zenon Projekt importiert. In zenonwerden Schablonen, Bilder und Standard-Bildelemente automatisch anhand der gespeicherten Information in der XML Datei sowie den im Ordner liegenden WMF-Dateien und PNG-Dateien erzeugt.

Parameter | Beschreibung
Liste der Dateien | Zeigt alle im gewählten Ordner vorhandenen Dateien an.
Select Folder | Öffnet Dialog zur Auswahl des ordners mit den Import-Dateien.
Select All | Wählt alle im Bild vorhandenen Dateien aus.
Import XML | Startet den Import.

Um Bilder zu importieren:

  1. wählen Sie die gewünschten XML-Dateien aus
  2. klicken Sie auf Import XML

Ergebnis

Bilder in WinCC:

Bilder in zenon:

Welche WinCC Bild Elemente werden automatisch in zenon ED angelegt?

Standard-Bildelemente

  • Line
  • Polygon
  • Polyline
  • Ellipse
  • Circle
  • Elipse Segment
  • Pie Segment
  • Elipse Arc
  • Circular Arc
  • Rectangle
  • Rounded Rectangle
  • Static Text

Tube Objects

  • Polygon tube
  • T-piece
  • Double T-piece
  • Tube bend

Smart Objects

  • I/O Field
  • Graphic Object
  • Windows Objects
  • Button

Für alle anderen WinCC Objekte wird inzenon ein Platzhalter erstellt.

Fehlerbehandlung

Fehler beim Import der Bilder werden beim Erzeugen der Runtime-Dateien im zenon Ausgabefenster angezeigt.

Fehlermeldung | Fehlerbehandlung
Das Symbol '' konnte nicht in der Symbolbibliothek '' gefunden werden! | Im Bild wurde ein Platzhalter für nicht interpretierbare Elemente gesetzt. Hintergrund: Für jedes nicht interpretierbare Element wird über den Wizard ein Symbol im Bild angelegt. Dieses befindet sich aber nicht in der Symbolbibliothek. Damit haben Sie über die Fehlermeldung die Möglichkeit zu prüfen, ob in einem Bild noch Elemente (Platzhalter) nachbearbeitet werden müssen.
WRN:(FDV_RECETTE_TUNNEL_TPOS_DETAILS_FOU2->(ZONE_CNS0)Variable: could not be found in the project! | Kennzeichnet Variablennamen, die zwar in WinCC in I\O Field Element hinterlegt wurden, aber (auch in WinCC) nicht als Variablen angelegt sind.


XML Export Wizard VSTA

Handbuch > Wizards > Themen > Export - Import > XML Export Wizard VSTA

Mit dem XML Export Wizard exportieren Sie alle gewünschten Module eines Projekts in einen Ordner Ihrer Wahl. Für jedes Modul wird eine eigene XML-Datei angelegt.

attention Achtung

Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Wizard starten

XML-Dateien auswählen

Export


Wizard starten

Handbuch > Wizards > Themen > Export - Import > XML Export Wizard VSTA > Wizard starten

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Export/Import.
  3. Wählen Sie dort XML Export Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite und zeigt an:

    • eine kurze Anleitung
    • die zenon Version
    • den Namen des Projekts, aus dem exportiert wird
    • Projekt-GUID
    • Projekt-Pfad

    • die Pfeiltaste führt Sie Schritt für Schritt durch den Wizard
      alternativ öffnet ein Klick auf eine Registerkarte die jeweilige Einstellung
    • um die Schaltfläche Export zu aktivieren, muss die Seite Export XML progress geöffnet sein


XML-Dateien auswählen

Handbuch > Wizards > Themen > Export - Import > XML Export Wizard VSTA > XML-Dateien auswählen

Wählen Sie, welche Module des Projekts exportiert werden sollen:

  • klick Sie auf Select Directory, um den den Ordner für den Export zu definieren
  • wählen Sie durch Aktivieren der Checkboxen die Module und Elemente, die exportiert werden sollen (bei Bedarf nach unten scrollen)


Export

Handbuch > Wizards > Themen > Export - Import > XML Export Wizard VSTA > Export

Um den Export zu starten:

  • klicken Sie auf die Schaltfläche Export
  • die gewünschten Module werden exportiert
  • im Ausgabefenster wird angezeigt, welche Module mit welchem Erfolg exportiert werden
  • der Wizard schließt sich 3 Sekunden nach Ende des Exports automatisch


XML Import Wizard

Handbuch > Wizards > Themen > Export - Import > XML Import Wizard

Dieser Wizard unterstützt Sie beim Import von Variablen, Funktionen, Bildern und Skripten aus einer XML-Datei.

attention Achtung

Dieser Wizard unterstützt kein Verteiltes Engineering und ist bei Mehrplatzfähigen Projekten nicht anwendbar.


Language Table

Handbuch > Wizards > Themen > Language Table

Wizards für die Sprachumschaltung.

Noch in diesem Kapitel

Language Table Wizard

Language Translation Wizard

System Text Wizard


Language Table Wizard

Handbuch > Wizards > Themen > Language Table > Language Table Wizard

Dieser Wizard

  • durchsucht das aktive Projekte nach sprachübersetzbaren Texten oder Schlüsselwörtern (Text mit einem @ gekennzeichnet).
  • schreibt gefundene Schlüsselwörter
    • entweder in die ausgewählte Sprachtabelle im aktiven oder
    • optional im Globalprojekt.

Zu Referenzzwecken muss für den Import mindestens eine Tabelle (ZENONSTR.TXT) ausgewählt werden.

Werden Texte ohne @-Zeichen gefunden, können diese als Schlüsselwort im Projekt gesetzt werden. Dazu wird ein @ am Beginn des Textes geschrieben.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Der Language Table Wizard ersetzt den Language Change Wizard (VBA).

Noch in diesem Kapitel

Aufruf des Wizards

Startfenster

Einstellungen

Finish


Aufruf des Wizards

Handbuch > Wizards > Themen > Language Table > Language Table Wizard > Aufruf des Wizards

Der Wizard kann direkt im Dialog zum Starten der Wizards ausgewählt werden.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Language Table.
  3. Wählen Sie dort Language Table Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Wizards > Themen > Language Table > Language Table Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer englischsprachigen Dokumentation für den Wizard.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Einstellungen

Handbuch > Wizards > Themen > Language Table > Language Table Wizard > Einstellungen

Import options

In der Gruppierung „Import options" kann gewählt werden:

  • ob bestehende Texte in der ausgewählten Sprachtabelle überschrieben werden sollen,
  • ob gefundene sprachübersetzbare Texte als Schlüsselwörter im Projekt gesetzt werden sollen (Texte werden in das Projekt mit einem @ gekennzeichnet) und
  • ob die Sprachtabellen vom globalen Projekt verwendet werde sollen.

Select language tables

In der Gruppierung „Select language tables" wird je nach Einstellung der Option „Add keywords to language table global project" die Sprachtabellen des aktiven Projekts oder der des globalen Projekts angezeigt. In den ausgewählten Sprachtabellen wird das Schlüsselwort als Text eingetragen. Es muss mindestens eine Tabelle ausgewählt werden.

Project options

In der Gruppierung „Project options" kann ausgewählt werden welche projektrelevanten Texte oder Schlüsselwörter gesucht werden sollen.

Screen elements

In der Gruppierung „Screen elements" kann ausgewählt werden welche Bildelemente durchsucht werden sollen.


Finish

Handbuch > Wizards > Themen > Language Table > Language Table Wizard > Finish

In dieser Registerkarten starten Sie die Suche nach sprachübersetzbaren Texten und Schlüsselwörtern.

Um die Suche zu starten, klicken Sie auf die Schalftläche Finish.

Abhängig von den in Settings gesetzten Optionen, werden übersetzbare Texte gesucht und in die ausgewählten Sprachtabellen geschrieben.


Language Translation Wizard

Handbuch > Wizards > Themen > Language Table > Language Translation Wizard

Dieser Wizard dient zur Datenaufbereitung für das Project Translation Interface, einem Übersetzungstool.

Hierbei werden alle für die Sprachübersetzung relevanten Daten aufbereitet und in einer ZIP-Datei verpackt. Diese ZIP-Datei kann dann im Project Translation Interface entpackt und die Sprachtabellen können bearbeitet oder ergänzt werden. Nach der Bearbeitung kann die ZIP-Datei im Wizard geladen und die bearbeiteten Sprachtabellen im Projekt können reimportiert werden.

attention Achtung

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Wizard starten

Startfenster

Export

Import


Wizard starten

Handbuch > Wizards > Themen > Language Table > Language Translation Wizard > Wizard starten

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Language Table.
  3. Wählen Sie dort Language Translation Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Wizards > Themen > Language Table > Language Translation Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer englischsprachigen Dokumentation für den Wizard.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Export

Handbuch > Wizards > Themen > Language Table > Language Translation Wizard > Export

Beim Ausführen des Exports, wertet der Wizard alle Texte von Bildelementen, Limits und anderen Projekt-Objekten aus, die als übersetzbare Texte mit einem @ gekennzeichnet sind.

Diese Texte werden in einer XML-Datei aufbereitet und mit den ausgewählten Sprachtabellen als ZIP-Datei exportiert. Zusätzlich wird von allen Bildern im Projekt ein Screenshot erzeugt und in der ZIP-Datei mitgeliefert. Die ZIP-Datei beinhaltet auch die Schriftlisten des ausgewählten Projekts sowie die des Globalprojekts.

Schaltfläche | Beschreibung
Zip Name: | Name der Export-Datei
C:\ | Speicherort der Export-Datei. Klick auf Schaltfläche ... öffnet Datei-Browser zur Auswahl eines Zielordners.
Liste Sprachdateien | Listenfeld mit Auswahlmöglichkeit der im Projekt vorhandenen Sprachdateien.
Select all | Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.
Deselect all | Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.
Export | Exportiert die Daten in den Zielordner. Ist nur aktiv, wenn eine oder mehrere Sprachtabellen ausgewählt sind.
Pfeil nach Links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach Rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Cancel | Beendet den Wizard, ohne zu exportieren.

attention Achtung

Folgende Sonderzeichen dürfen im Bildnamen nicht verwendet werden:
: / \ * < >

Diese Sonderzeichen werden entfernt und durch eine laufende Nummer ersetzt.


Import

Handbuch > Wizards > Themen > Language Table > Language Translation Wizard > Import

In dieser Registerkarte kann die zu importierende ZIP-Datei ausgewählt werden.

Schaltfläche | Beschreibung
... | Speicherort der Import-Datei. Klick auf Schaltfläche ... öffnet den Datei-Browser zur Auswahl eines Dateiordners.
Liste Sprachdateien | Listenfeld mit Auswahlmöglichkeit der übersetzten und zu importierenden Sprachdateien.
Select all | Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.
Deselect all | Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.
Import | Importiert die ausgewählten Sprachtabellen im aktuellen zenon Projekt. Ist nur aktiv, wenn eine oder mehrere Sprachtdatein ausgewählt sind.
Pfeil nach Links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Cancel | Beendet den Wizard, ohne zu importieren.

attention Achtung

Wird in zenon 6.51 eine neue Sprachdatei hinzugefügt, muss das Projekt nach dem Beenden des Wizards im Arbeitsbereich neu geladen werden.

Ab Version 7.00 SP0 werden die Sprachdateien automatisch aktualisiert.


System Text Wizard

Handbuch > Wizards > Themen > Language Table > System Text Wizard

Der System Text Wizard ermöglicht den Import von Systemtexten in die Sprachtabelle. Systemtexte sind Texte der Runtime, die in zenon Dialogen und Menüs verwendet werden und vom Benutzer nicht verändert werden können. Um auch diese, von zenon vorgegebenen, Texte sprachumschaltbar zu machen, müssen diese Texte zuerst mit diesem Wizard in eine Sprachtabelle importiert werden. Die Anzahl der importierten Schlüsselwörter und Texte kann über eine Option im Wizard begrenzt werden.

info Info

Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Aufrufen des Wizards

Startfenster

Einstellungen

Finish


Aufrufen des Wizards

Handbuch > Wizards > Themen > Language Table > System Text Wizard > Aufrufen des Wizards

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Language Table.
  3. Wählen Sie dort System Text Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

Handbuch > Wizards > Themen > Language Table > System Text Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite mit einer englischsprachigen Dokumentation für den Wizard.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Einstellungen

Handbuch > Wizards > Themen > Language Table > System Text Wizard > Einstellungen

In der Registerkarte „Settings" werden die Einstellungen für den Import der Systemtexte zusammengefasst.

Project settings

Option

Beschreibung

Overwrite existing language table
  • Aktiv: Texte mit bestehenden Schlüsselwörtern werden überschrieben.

Add keyword to language table global project
  • Aktiv: Systemtexte werden in die Sprachtabelle im Globalprojekt geschrieben.
  • Inaktiv: Systemtexte werden in die Sprachtabelle im Lokalprojekt geschrieben.

Select keyword language

Auswahl der Sprache für die Schlüsselwörter aus Dropdownliste.

Select language

Auswahl der Sprachen und der dazugehörigen Sprachdatei. Es stehen die von zenon unterstützten Sprachen zur Verfügung.

Um eine Sprache auszuwählen:

  1. Aktivieren Sie die Checkbox vor der gewünschten Sprache.
    Mehrfachauswahl ist möglich.
  2. Wählen Sie inder Dropdownliste die passende Sprachdatei.
    Achtung: Die Sprachdatei muss in zenon bereits projektiert worden sein.

Select category

Auswahl der Module und Funktionalitäten, für die Systemtexte importiert werden sollen. Um ein Objekt auszuwählen, aktivieren Sie die Checkbox vor dem Objekt.


Finish

Handbuch > Wizards > Themen > Language Table > System Text Wizard > Finish

In dieser Registerkarte starten Sie den Import.

Um mit dem Import zu beginnen, klicken Sie auf die Schaltfläche Finish.
Die Konfiguration des Wizards kann beim Schließen für spätere Verwendung gespeichert werden.


Metering Point Administration - Messstellenverwaltung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung

Wizard für die Projektierung von Messstellen im Editor.

info Info

Diese Dokumentation enthält auch Informationen für die Bedienung des Moduls Messstellenverwaltung in der zenon Runtime.

Noch in diesem Kapitel

Messstellenverwaltung


Messstellenverwaltung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung

Die Messstellenverwaltung ist ein Tool zur Pflege von technischen Daten und Verwaltung von Messstellen.

  • Im zenon Editor wird die Projektierung mit dem Metering Point Administration Wizard erstellt.
  • Für die Darstellung in der Runtime wird im Editor ein entsprechendes ActiveX-Element in einem beliebigen zenon Bild projektiert.
  • In der Runtime können Zähler zu Messstellen zugeordnet werden, Zähler getauscht und Werte (manuell) nachbearbeitet werden.
  • Zusätzlich besteht die Möglichkeit Archiveinträge aus bestehenden Quellarchiven durch einen Validierungsprozess in der Runtime in ein Zielarchiv zu übertragen.

Der Wizard steht in den folgenden Sprachen zur Verfügung:

  • Englisch
  • Rumänisch
  • Deutsch
  • Chinesisch

Noch in diesem Kapitel

Allgemein - Projektierung

Messstellenverwaltung installieren und aufrufen

Wizard - Startdialog

Wizard - Metering Point Administration

Projektierung im zenon Editor

Messstellenverwaltung in der Runtime

zenon Logic Komponenten der Messstellenverwaltung


Allgemein - Projektierung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Allgemein - Projektierung

Um die Messstellenverwaltung zu benutzen, sind folgende Projektierungsschritte notwendig:

  1. Projektieren Sie im zenon Editor Variablen.
    Hinweis: entsprechende Variablen können für Relativwerte auch im Wizard direkt angelegt werden.
  2. Projektieren Sie im zenon Editor Archive.
    Hinweis: Archive können auch direkt aus dem Wizard heraus angelegt werden.
  3. Starten Sie im zenon Editor den Wizard Metering Point Administration.
  4. Legen Sie im Wizard Messstellen und Zähler an.
    Hinweis: Zähler können auch in der Runtime angelegt werden.
  5. Weisen Sie im Wizard den Messstellen Absolutwert-Variablen und Relativwert-Variablen aus Archiven zu.
    Hinweis: Relativwerte können auch automatisch berechnet werden.
  6. Projektieren Sie ein Bild im zenon Editor.
  7. Platzieren Sie ein ActiveX-Element in diesem zenon Bild.
  8. In der Runtime ordnen Sie Zähler den entsprechenden Messstellen zu.
  9. Tragen Sie bei Bedarf aktuelle Werte für manuelle Messstellen in der Runtime zu den Zählern ein.


Messstellenverwaltung installieren und aufrufen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung installieren und aufrufen

Die Messstellenverwaltung wird bei der zenon Standardinstallation automatisch installiert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Metering Point Administration.
  3. Klicken Sie dort auf Metering Point Administration.

  4. Klicken Sie auf OK.


Wizard - Startdialog

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Startdialog

Der Metering Point Administration Wizard startet mit der Willkommensseite in englischer Sprache.

Beim Start der Messstellenverwaltung im zenon Editor wird zuerst überprüft, ob die zenon Logic Workbench geöffnet ist. Um Fehlkonfigurationen zu vermeiden werden Sie bei geöffneter zenon Logic Workbench aufgefordert, diese zu schließen. Ein Start des Wizards bei geöffneter Workbench ist nicht möglich!

  • Zum Fortsetzen klicken Sie die Schaltfläche Metering Point Administration.
    Der Dialog schaltet weiter zum Konfigurationsdialog für die Messstellenverwaltung.
  • Klick auf die Schaltfläche Exit beendet den Wizard.


Wizard - Metering Point Administration

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration

Nach Bestätigung des Startdialogs für den Wizard, starten Sie die Konfiguration der Messstellenverwaltung. Die Konfiguration beginnt mit der Registerkarte Datenbank.

Initial werden alle aktivierten zenon Projekte des Arbeitsbereichs sowie die dazugehörigen Datenbanken geladen. Dieser Ladevorgang wird mit einem Fortschrittsbalken visualisiert.

Wurden bereits Datenbank-Einstellungen gespeichert, wird beim Aufruf des Wizards automatisch ein Verbindungsversuch gestartet. Ist dieser erfolgreich, wird sofort in die Registerkarte Messstellen gewechselt. Scheitert der Verbindungsaufbau, wird eine entsprechende Fehlermeldung angezeigt.

Die Navigation durch die Registerkarten erfolgt durch Klick auf den Titel der Registerkarte.

In der Dropdownliste kann für die Anzeigesprache des Wizards aus Deutsch, Englisch und Rumänisch gewählt werden.

Parameter

Beschreibung

Datenbank

Registerkarte für die Einstellungen der notwendigen Datenbankverbindung.

Messstellen

Registerkarte für die Erstellung und Verwaltung von Messstellen im zenon Editor.

Jeder Messstelle werden entsprechende Archive und Variablen zugeordnet.

Zähler

Registerkarte für die Erstellung und Verwaltung von Zählern.

Anzeigesprache

Dropdownliste zur Auswahl der Anzeigesprache für den Wizard:

  • Deutsch
  • English
  • Româna
  • Chinesisch

Dialog beenden

Schaltfläche | Beschreibung
Exit | Beendet den Wizard. Nicht gespeicherte Änderungen gehen dabei verloren.
info Info
Im Wizard geänderte Einstellungen werden im Benutzerprofil des Betriebssystems gespeichert und beim nächsten Öffnen durch den gleichen Benutzer wieder geladen.

Noch in diesem Kapitel

Datenbank

Messstellen

Zähler

Mehrplatzfähige Projekte


Datenbank

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Datenbank

In dieser Registerkarte konfigurieren Sie Verbindungseinstellungen zu einer Datenbank.

Parameter

Beschreibung

Datenbank-Host

Dropdownliste zur Auswahl des Datenbankservers.

Wählen Sie in diesem Feld z. B. Ihren Rechner aus. Hinweis: Beim Öffnen der Registerkarte wird Ihr Rechner als Default angezeigt.

Authentifizierung

Dropdownliste zur Auswahl der Anmeldemethode:

  • Windows Authentication (Default):
    Die Datenbankanmeldung erfolgt mit den Informationen des am lokalen Rechner angemeldeten Benutzers.
  • SQL Server Authentication:
    Benutzername und Kennwort werden manuell eingegeben. Für die Datenbankanmeldung müssen entsprechende Anmeldedaten verfügbar sein.

Benutzername

Benutzername für die Anmeldung an einer Datenbank.

Ausgegraut wenn Authentifizierung Windows Authentication ist.

Passwort

Kennwort für die Anmeldung an einer Datenbank.
Aus Sicherheitsgründen wird bei der Eingabe des Kennwortes jeder Buchstabe mit einem * dargestellt.

Ausgegraut wenn Authentifizierung Windows Authentication ist.

Verbinden

Stellt die Verbindung zum konfigurierten Datenbankserver her.

Sollte keine Verbindung möglich sein (z.B. fehlerhafte Eingabe von Benutzername und/oder Passwort) wird ein Fehlerdialog aufgeschaltet.

Ausgegraut, wenn bereits mit einem Datenbankserver verbunden.

Trennen

Trennt eine bestehende Verbindung zu einem Datenbankserver.

Ausgegraut, wenn keine Verbindung aktiv.

Datenbank-Name

Dropdownliste zur Auswahl einer Datenbank.

Diese Liste zeigt alle verfügbaren Datenbanken des unter Datenbank-Host konfigurierten Datenbankservers auf.

Ist diese Liste leer, besteht keine Verbindung zu einem Datenbankserver oder auf dem gewählten Rechner ist keine SQL Datenbank verfügbar.

Konfiguration starten

Schaltet in die Registerkarte Messstellen.

Besteht aktuell keine Verbindung zu einer Datenbank wird bei Klick auf die Schaltfläche Start configuration automatisch eine Verbindung mit der bereits eingegeben Anmeldeinformation aufgebaut.

Ist diese Eingabe fehlerhaft oder unvollständig können keine weiteren Einstellungen in den Registerkarten Messstellen und Zähler vorgenommen werden. Dafür ist zwingend eine Verbindung zu einer Datenbank erforderlich!

Dialog beenden

Schaltfläche | Beschreibung
Exit | Beendet den Wizard. Nicht gespeicherte Änderungen gehen dabei verloren.
info Info
Existiert bereits eine Verbindung zu einer Datenbank sind alle Eingabefelder ausgegraut.

Noch in diesem Kapitel

Datenbank - Evaluierung und Anpassung

Industrial Maintenance Manager Kompatibilität


Datenbank - Evaluierung und Anpassung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Datenbank > Datenbank - Evaluierung und Anpassung

Wird eine Verbindung zu einer Datenbank hergestellt, wird automatisch der Aufbau dieser Datenbank evaluiert. Für die Messstellenverwaltung benötigte Tabellen werden im Bedarfsfall automatisch angelegt. Die Validierung wird im Editor und in der Runtime durchgeführt.

Sind Anpassungen an der bestehenden Datenbank notwendig, werden Sie mit einem Dialog darüber informiert. Der Dialog erscheint nur, wenn Anpassungen notwendig sind.

Evaluierungsdialog

  • Bestätigen Sie diesen Dialog mit Ja, wenn die Datenbank mit den entsprechenden Tabellen angepasst werden soll.
  • Abbrechen bricht den Dialog ab. In der Datenbank werden keine Anpassungen durchgeführt. Eine Projektierung von Messstellen ist nicht möglich. Der Wizard springt in die Registerkarte Datenbank.

Validierung der Archive

Beim Start wird validiert - Fehler werden visualisiert.

Tritt bei der Validierung der Archive ein Problem auf, wird dies durch ein rotes Warnsymbol neben dem fehlerhaften Element signalisiert. Eine detailliertere Fehlerbeschreibung erhalten Sie im Tooltip, wenn sie mit der Maus zum Warnsymbol navigieren.

Ansichtsbeispiel - Runtime


Industrial Maintenance Manager Kompatibilität

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Datenbank > Industrial Maintenance Manager Kompatibilität

Die Funktionalität des Industrial Maintenance Managers (IMM) kann für Zähler der Messstellenverwaltung genutzt werden. Der IMM dient zur Pflege von Maschinen- und Wartungsdaten. Service-Intervalle können bequem geplant und verwaltet werden. Auf einen Blick ist ersichtlich, welche Geräte, Anlagen, Maschinen usw. heute/in dieser Woche/nächstes Monat usw. gewartet werden müssen. Weiters wird mitprotokolliert, welche Wartungsarbeiten in der Vergangenheit durchgeführt worden sind.

Bei der Datenbanküberprüfung werden die Tabellennamen einer bestehenden IMM-Projektierung überprüft. Im Bedarfsfall werden diese Namen, nach Bestätigung, angepasst.

  • Bestätigen Sie diesen Dialog mit Ja, wenn die Tabellennamen angeglichen werden sollen.
  • Nein bricht den Dialog ab. In der Datenbank werden keine Anpassungen der Tabellennamen durchgeführt. Eine Projektierung von Messstellen ist möglich.

IMM-Tabellennamen:

  • Tabelle für Geräte: Devices
  • Tabelle für Wartungsarb.: MaintenanceWorks
  • Tabelle für Historie: MaintenanceHistory
  • Tabelle für Dokumente: Documents

info Info

Projektierungen ab zenon Version 7.20 sind davon nicht betroffen. Ab Version 7.20 können die Tabellennamen für den Industrial Maintenance Manager nicht mehr frei projektiert werden.


Messstellen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen

In dieser Registerkarte werden neue Messstellen erstellt und bestehende verwaltet.

Parameter

Beschreibung

Neu...

Öffnet den Dialog zum Anlegen einer neuen Messstelle.

Editieren...

Öffnet den Dialog zum Editieren der ausgewählten Messstelle.

Löschen

Löscht die ausgewählte Messstelle.

Liste Messstellen

Liste der angelegten Messstellen, wie im Dialog zum Anlegen einer neuen Messstelle projektiert.

Auswahl via Klick. Die ausgewählte Messstelle wird farblich unterlegt. Eine Mehrfachauswahl ist nicht möglich.

  • Name
    Name der Messstelle
  • Beschreibung
    Kurzer Beschreibungstext zur Messstelle
  • Ort
    Standort der Messstelle
  • Automatisch
    Aktiv, wenn Messstellenverhalten Automatisch ist.
  • Messstellentyp
    Typ der Messstelle
  • Berechnung aktiv
    Aktiv, wenn Relativwert berechnen aktiviert ist.
  • Zähler Name
  • Zähler Beschreibung
  • Verhalten
    Messstellenverhalten
  • Relativwert-Variable
    Zugeordnete Variable für den Relativwert.
  • Absolutwert-Variable
    Zugeordnete Variable für den Absolutwert.

Weitere Informationen finden Sie in der Dialogbeschreibung.

Filtervariable [...]

Öffnet den Dialog zur Auswahl einer Filtervariable, die in der Runtime für die Filterung von Messstellen verwendet wird. Neben dem Variablennamen wird auch der Name des Projekts, aus dem die Filtervariable stammt, hier angezeigt getrennt durch #.

Dialog beenden

Schaltfläche | Beschreibung
Exit | Beendet den Wizard. Nicht gespeicherte Änderungen gehen dabei verloren.

Noch in diesem Kapitel

Messstellen neu anlegen

Messstellen editieren

Messstellen löschen

Neues Archiv

Filtervariable verknüpfen


Messstellen neu anlegen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen neu anlegen

Klicken Sie in der Registerkarte Messstellen auf Neu, um eine neue Messstelle anzulegen.

Der folgende Dialog öffnet sich, in dem Sie die neue Messstelle konfigurieren können.

Parameter

Beschreibung

Name

Name der Messstelle.

Pflichtfeld

Beschreibung

Beschreibung der Messstelle.

Optionale Eingabe

Ort

Ort der Messstelle.

Optionale Eingabe

Messstellentyp

Typzuweisung der Messstelle.

Optionale Eingabe

Hinweis: Es wird eine Liste mit allen bisher projektierten Messstellentypen geführt. Diese Typen werden beim Eintippen eines ersten zutreffenden Buchstaben angezeigt. Wenn der eingegebene Typ noch nicht in der Liste existiert, wird die Liste um diesen Typ erweitert (Auto suggest).

Messstellenverhalten

Optionsfeld für die Auswahl der Werteingabe

  • Automatisch:
    Beim Aktivieren dieser Option ist es möglich sowohl zyklische, als auch spontane Archive für den Absolutwert auszuwählen. Die Werte werden von der Variable übernommen.
    Relativwerte können in weiterer Folge automatisch berechnet werden.
    Weitere Informationen zu diesem Verhalten finden Sie in der Registerkarte Relativwert.
  • Manuell:
    Beim Aktivieren dieser Option können nur spontane Archive für den Absolutwert ausgewählt werden.
    Die Zählerwerte müssen abgelesen und manuell eingegeben werden.
  • Validierung:
    Beim Aktivieren dieser Option können Archivwerte in der Runtime bestätigt oder modifiziert werden.
    Weitere Informationen zu diesem Verhalten finden Sie in der Registerkarte Validierung.

Für Messstellenverhalten Automatisch und Manuell gilt:

Hinweis: Die Liste der Archive und Liste der Variablen bei Absolut- und Relativwerten wird entsprechend des Messstellenverhaltens gefiltert. Dies bedeutet, dass bei manuellem Messstellenverhalten nur spontane Archive oder Variablen aus spontanen Archiven in der Liste der Archive und Variablen angezeigt werden.

Achtung: Wenn Sie das Messstellenverhalten einer bestehenden Messstelle ändern, müssen die Absolutwert-Variable und Relativwert-Variable neu gewählt werden.

Projektauswahl

Dropdownliste mit Projekten des aktuellen Arbeitsbereiches im zenon Editor.
Hinweis: Zur Verfügung stehende Archive und Variablen sind projektgebunden.

Wählen Sie in diesem Feld das gewünschte Projekt.

Absolutwert

Registerkarte für die Konfiguration des Absolutwertes der Messstelle.

Relativwert

Registerkarte für die Konfiguration des Relativwertes der Messstelle.

Validierung

Registerkarte für die Konfiguration der Validierung.

Zusammenfassung

Überprüfung und Abschluss der Messstellenkonfiguration.

Navigation

Parameter | Beschreibung
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Absolutwert

Relativwert

Validierung

Zusammenfassung


Absolutwert

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen neu anlegen > Absolutwert

In dieser Registerkarte wird der Messstelle eine Absolutwert-Variable zugeordnet.

Parameter | Beschreibung
Variable aus Archiv | In der Liste der Variablen werden Variablen aus dem gewählten Archiv (Liste der Archive) angezeigt. Wählen Sie ein entsprechendes Archiv und eine entsprechende Variable für den Absolutwert. Achtung: Die Berechnung von Ersatzwerten muss für dieses Archiv aktiviert sein.
Variable zu Archiv hinzufügen | Es werden Variablen aus dem Projekt angezeigt. Die ausgewählte Variable wird zu dem ausgewählten Archiv hinzugefügt. Achtung: Die Berechnung von Ersatzwerten muss für dieses Archiv aktiviert sein.
Neues Archiv | Öffnet Dialog für die Anlage eines neuen Archives. Nur aktiv, wenn Variable zu Archiv hinzufügen aktiv ist.
info Info
Die Optionen dieser Registerkarte sind nicht verfügbar, wenn das Messstellenverhalten Validierung ist.

Archive (Liste)

Wählen Sie hier ein Archiv aus, aus welchem Sie die Variablen angezeigt bekommen möchten oder zu welchem Sie eine ausgewählte Variable hinzufügen möchten.

Hinweis: Bestehende Projektierungen von Archiven werden in der Liste angezeigt. Zusätzlich kann durch Klick auf die Schaltfläche Neues Archiv direkt im Wizard ein neues Archiv angelegt werden.

Parameter

Beschreibung

Kurzbezeichnung

Kennung des Archivs.

Archiv-ID

Archivname

Typ

Archivtyp

  • Cyclic
    Archiv ist zyklisch.
    Werte werden in konfigurierten Zeitintervallen gespeichert.
  • EventTriggerd
    Archiv ist ereignisgesteuert.
    Hinweis: Ereignisgesteuerte Archive können nur für automatische Messstellen verwendet werden.
    Eine Projektierung von ereignisgesteuerten Archiven, direkt in der Messstellenverwaltung, ist nicht möglich.
  • Value Change
    Archiv ist spontan.
    Jede Wertänderung wird sofort auf die Variable im Archiv geschrieben. Eine Hysterese kann projektiert werden.

Archivtrigger

Auslöser um Werte in ein Archiv zu schreiben.

Hinweis: Nur bei ereignisgesteuerten Archiven verfügbar.

Zykluszeit

Zeitabstand bei zyklischer Aufzeichnung, in welchem Werte in das Archiv geschrieben werden.

Format:

  • n.A.
    wenn Archivtyp Value Change oder EventTriggerd ist.
  • TT:HH:MM:SS
  • Month bei Monatszyklus

Speicherzyklus

Zeitlicher Abstand zwischen dem Erstellen neuer Archivdateien.
Format:

  • TT:HH:MM:SS
  • Month bei monatlichem Speicherzyklus.
  • Year bei Speicherzyklus Jahreswechsel.

Variablen (Liste)

Parameter | Beschreibung
Name | Name der Variable.
Maßeinheit | Maßeinheit der Variable.
Identifikation | Kennung der Variable.
Treiber | Treiber der Variable.
Anlagengruppen | Anlagengruppe, der die Variable zugewiesen ist. Hinweis: Eine Variable kann auch mehreren Anlagengruppen zugewiesen sein.

Navigation

Parameter | Beschreibung
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Relativwert

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen neu anlegen > Relativwert

In dieser Registerkarte wird der Messstelle eine Relativwert-Variable zugeordnet.

Parameter

Beschreibung

Variable erzeugen

Es wird eine neue Variable für den Relativwert erzeugt.

Typ: LREAL, Treiber: INTERN.

Name

Name der neu anzulegenden Variable.

Es wird ein gültiger Name, basierend auf der gewählten Absolutwert-Variable vorgeschlagen. Der Name muss eindeutig sein und kann beliebig vergeben werden. Es sind keine Sonderzeichen erlaubt. Maximal 256 Zeichen können eingegeben werden.

Die Eingabe wird validiert. Das Validierungsergebnis (Erfolg oder Fehler) wird neben den Eingabefeld mittels Symbol dargestellt.

Hinweis: Nur sichtbar, wenn Variable erzeugen ausgewählt wurde. In der Registerkarte Absolutwert muss eine Variable ausgewählt sein, damit hier ein Namensvorschlag angezeigt wird.

Variable aus Archiv

Zeigt Liste der Archive und darauf aufbauend Variablen in dem gewählten Archiv.

Achtung: Die Berechnung von Ersatzwerten muss für dieses Archiv aktiviert sein.

Variable zu Archiv hinzufügen

Es werden Variablen aus dem Projekt angezeigt. Die ausgewählte Variable wird zu dem ausgewählten Archiv hinzugefügt.

Achtung: Die Berechnung von Ersatzwerten muss für dieses Archiv aktiviert sein.

Relativwert berechnen

Checkbox zur Aktivierung der automatischen Berechnung von Relativwerten:

Bei automatischen Messstellen ist die Auswahl optional.

Bei manuellen Messstellen ist die Auswahl automatisch aktiviert. Diese automatische Vorauswahl kann nicht deaktiviert werden.

Hinweis: Weitere Informationen zur automatischen Berechnung von Relativwerten erhalten Sie im Kapitel zenon Logic.

Neues Archiv

Öffnet Dialog für die Anlage eines neuen Archives.

Nicht aktiv, wenn Variable aus Archiv aktiv ist.

Archive

Archive, die vorher im zenon Editor oder mit der Schaltfläche Neues Archiv angelegt wurden, stehen in Listenform zur Auswahl bereit. Es werden ausschließlich zyklische Archive angezeigt.

info Info

Die Optionen dieser Registerkarte sind nicht verfügbar, wenn das Messstellenverhalten Validierung ist.

Archive (Liste)

Wählen Sie hier ein Archiv aus, aus welchem Sie die Variablen angezeigt bekommen möchten oder zu welchem Sie eine ausgewählte Variable hinzufügen möchten.

Hinweis: Bestehende Projektierungen von Archiven werden in der Liste angezeigt. Zusätzlich kann durch Klick auf die Schaltfläche Neues Archiv direkt im Wizard ein neues Archiv angelegt werden.

Parameter

Beschreibung

Kurzbezeichnung

Kennung des Archivs.

Archiv-ID

Archivname

Typ

Archivtyp

  • Cyclic
    Archiv ist zyklisch.
    Werte werden in konfigurierten Zeitintervallen gespeichert.
  • EventTriggerd
    Archiv ist ereignisgesteuert.
    Hinweis: Ereignisgesteuerte Archive können nur für automatische Messstellen verwendet werden.
    Eine Projektierung von ereignisgesteuerten Archiven, direkt in der Messstellenverwaltung, ist nicht möglich.
  • Value Change
    Archiv ist spontan.
    Jede Wertänderung wird sofort auf die Variable im Archiv geschrieben. Eine Hysterese kann projektiert werden.

Archivtrigger

Auslöser um Werte in ein Archiv zu schreiben.

Hinweis: Nur bei ereignisgesteuerten Archiven verfügbar.

Zykluszeit

Zeitabstand bei zyklischer Aufzeichnung, in welchem Werte in das Archiv geschrieben werden.

Format:

  • n.A.
    wenn Archivtyp Value Change oder EventTriggerd ist.
  • TT:HH:MM:SS
  • Month bei Monatszyklus

Speicherzyklus

Zeitlicher Abstand zwischen dem Erstellen neuer Archivdateien.
Format:

  • TT:HH:MM:SS
  • Month bei monatlichem Speicherzyklus.
  • Year bei Speicherzyklus Jahreswechsel.

Variablen (Liste)

Parameter | Beschreibung
Name | Name der Variable.
Maßeinheit | Maßeinheit der Variable.
Identifikation | Kennung der Variable.
Treiber | Treiber der Variable.
Anlagengruppen | Anlagengruppe, der die Variable zugewiesen ist. Hinweis: Eine Variable kann auch mehreren Anlagengruppen zugewiesen sein.

info Info

Die Liste der Variablen ist ausgeblendet, wenn Variable erzeugen aktiv ist.

Navigation

Parameter | Beschreibung
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Validierung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen neu anlegen > Validierung

In der Registerkarte Validierung werden Variablen aus Archiven für eine validierte Messstelle konfiguriert.

Die Parameter dieser Registerkarte sind nur dann verfügbar, wenn bei der Eigenschaft Messstellenverhalten die Option Validierung ausgewählt ist.

Parameter

Beschreibung

Variable aus Archiv

In der Liste der Variablen werden Variablen aus dem gewählten Quellarchiv (Liste der Archive) angezeigt.

Wählen Sie ein entsprechendes Archiv und eine entsprechende Variable für den Messwert.

Variable zu Archiv hinzufügen

Es werden Variablen aus dem Projekt angezeigt. Die ausgewählte Variable wird zu dem ausgewählten Archiv hinzugefügt.

Quellarchiv

Liste der projektierten Archive.
Auswahl des Archivs mit Mausklick. Nach Auswahl werden die darin enthalten Variablen in der Variablenliste angezeigt.

Neues Archiv...

Öffnet Dialog für die Anlage eines neuen Quellarchives.

Nicht aktiv, wenn Variable aus Archiv aktiv ist.

Variablen

Liste der Variablen:

  • bei Variable aus Archiv:
    Variablen aus gewähltem Quellarchiv
  • bei Variable zu Archiv hinzufügen:
    Variablenliste des geladenen Projekts.

Zielarchiv

Liste aller projektierten Archive vom Archivtyp EventTriggerd.

Neues Archiv...

Öffnet Dialog für die Anlage eines neuen Zielarchives.

Hinweis: Zielarchive haben per Default nur den Archivtyp EventTriggerd.

Standardzeitfilter für Validierung

Eingabefeld für Auswahl des Zeitbereichs der Validierung. Der hier eingestellte Zeitbereich wird bei der Validierung zur Runtime als Zeitfilter für die anzuzeigenden Archiveinträge verwendet.

Der Zeitbereich setzt sich aus Tagen und Stunden zusammen.
Klicken Sie auf den gewünschten Bereich um diesen für die Änderung zu markieren. Ändern Sie den Bereich durch eine Eingabe oder Klick auf die Pfeiltasten.

Für die Eingabe gilt:

  • Es werden nur ganze Zahlen berücksichtigt.
  • Werteingaben mit Komma werden gerundet.
  • Eine Stundeneingabe >23 wird auf 23 korrigiert.
  • Eine Tagesangabe >1000 wird auf 1000 korrigiert.
  • Negative Eingaben erhalten den Wert 0.
Parameter | Beschreibung
Tage | Zeitbereich der Validierung in Tagen. Default: 1
Stunden | Zeitbereich der Validierung in Stunden. Default: 0

Archive (Liste)

Wählen Sie hier ein Archiv aus, aus welchem Sie die Variablen angezeigt bekommen möchten oder zu welchem Sie eine ausgewählte Variable hinzufügen möchten.

Hinweis: Bestehende Projektierungen von Archiven werden in der Liste angezeigt. Zusätzlich kann durch Klick auf die Schaltfläche Neues Archiv direkt im Wizard ein neues Archiv angelegt werden.

Parameter

Beschreibung

Kurzbezeichnung

Kennung des Archivs.

Archiv-ID

Archivname

Typ

Archivtyp

  • Cyclic
    Archiv ist zyklisch.
    Werte werden in konfigurierten Zeitintervallen gespeichert.
  • EventTriggerd
    Archiv ist ereignisgesteuert.
    Hinweis: Ereignisgesteuerte Archive können nur für automatische Messstellen verwendet werden.
    Eine Projektierung von ereignisgesteuerten Archiven, direkt in der Messstellenverwaltung, ist nicht möglich.
  • Value Change
    Archiv ist spontan.
    Jede Wertänderung wird sofort auf die Variable im Archiv geschrieben. Eine Hysterese kann projektiert werden.

Archivtrigger

Auslöser um Werte in ein Archiv zu schreiben.

Hinweis: Nur bei ereignisgesteuerten Archiven verfügbar.

Zykluszeit

Zeitabstand bei zyklischer Aufzeichnung, in welchem Werte in das Archiv geschrieben werden.

Format:

  • n.A.
    wenn Archivtyp Value Change oder EventTriggerd ist.
  • TT:HH:MM:SS
  • Month bei Monatszyklus

Speicherzyklus

Zeitlicher Abstand zwischen dem Erstellen neuer Archivdateien.
Format:

  • TT:HH:MM:SS
  • Month bei monatlichem Speicherzyklus.
  • Year bei Speicherzyklus Jahreswechsel.

Variablen (Liste)

Parameter | Beschreibung
Name | Name der Variable.
Maßeinheit | Maßeinheit der Variable.
Identifikation | Kennung der Variable.
Treiber | Treiber der Variable.
Anlagengruppen | Anlagengruppe, der die Variable zugewiesen ist. Hinweis: Eine Variable kann auch mehreren Anlagengruppen zugewiesen sein.


Zusammenfassung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen neu anlegen > Zusammenfassung

In dieser Registerkarte werden die Projektierungen einer Messstelle evaluiert und abgeschlossen.

Das Ergebnis wird im Zusammenfassungsfenster in Textform in zwei Feldern dargestellt.

Zusammenfassung

Parameter

Beschreibung

Feld für Projektierungsinformationen

Das obere Feld enthält eine Zusammenfassung der Projektierung der Messstelle.

Eine Unterscheidung der Textinformationen findet über eine unterschiedliche farbige Darstellung statt.

Textfarbe schwarz

Einstellungen sind korrekt. Diese werden mit Klick auf Speichern & Neu erzeugt und übernommen.

Textfarbe rot

Fehler in den projektierten Einstellungen müssen nochmal überprüft und verbessert werden.

In diesem Fall ist kein Speichern möglich.

Textfarbe grün

Neue Einstellungen werden erzeugt und übernommen. Speichern ist jetzt möglich.

Textfarbe blau

Geänderte Projektierungen werden in blauer Textfarbe angezeigt.

Textfarbe orange

Warnmeldungen.

Nicht empfohlene Projektierungen werden in oranger Textfarbe dargestellt.

Feld für zusätzliche Informationen

Allgemeine Informationen über durchgeführte Schritte werden in diesem Feld bei Verfügbarkeit angezeigt.

Die Farbkodierung der Texte ist gleich wie im Feld für Projektierungsinformationen. In diesem Textfeld werden jedoch nur erfolgreiche (grüne Textfarbe) und fehlerhafte Schritte (rote Textfarbe) dargestellt.

Speichern & Neu

Übernimmt Einstellungen und legt die neue Messstelle an. Alle Werte werden zurückgestellt und es kann mit der Projektierung weiterer Messstellen fortgesetzt werden.

Bei fehlerhafter Projektierung wird eine entsprechende Fehlerinformation im Feld für Projektierungsinformationen angezeigt.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Messstellen editieren

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen editieren

Um eine bestehende Messstelle zu editieren, gehen Sie wie folgt vor:

  1. Wählen Sie in der Registerkarte Messstellen eine Messstelle aus, die Sie editieren möchten.
    Die gewählte Messstelle wird farblich hervorgehoben.
  2. Klicken Sie anschließend auf den Button Editieren oder doppelklicken Sie auf die gewünschte Messstelle.

    Die bestehende Projektierung wird im Dialog Messstelle bearbeiten angezeigt.

  3. Fügen Sie noch weitere Informationen hinzu, verwalten Sie die Messstelle beliebig und klicken in der Registerkarte Zusammenfassung auf Speichern & Schließen.

Zusammenfassung:

Geänderte Einstellungen werden in der Zusammenfassung blau dargestellt.

  • Klick auf Speichern & Schließen speichert die geänderten Einstellungen.

attention Achtung

Stellen Sie sicher, dass beim Editieren einer Messstelle das Projekt geladen ist. Editieren ohne Projekt zerstört die Messstelle.


Messstellen löschen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Messstellen löschen

Um eine bestehende Messstelle zu löschen, gehen Sie wie folgt vor:

  1. Wählen Sie in der Registerkarte Messstellen eine Messstelle aus, die Sie löschen möchten.
  2. Klicken Sie anschließend auf den Button Löschen.
  3. Es erscheint ein Warndialog.
  4. Bestätigen Sie das Löschen durch Klick auf die Schaltfläche OK.
  5. Die ausgewählte Messstelle ist gelöscht.

Warndialog

Parameter | Beschreibung
OK | Ausgewählte Messstelle wird gelöscht.
Abbrechen | Bricht Löschvorgang ab. Warndialog wird ohne Aktion geschlossen.

info Info

Wird eine automatische Messstelle mit automatischer Relativwertberechnung gelöscht, werden auch dazugehörige Projektierungen (Variablen und Codezeilen) in zenon Logic entfernt.


Neues Archiv

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Neues Archiv

Die Schaltfläche „Neues Archiv" ist sichtbar:

  • Wenn in der Registerkarte Absolutwert des Wizards die Schaltfläche Variable zu Archiv hinzufügen aktiv ist.
  • Wenn in der Registerkarte Relativwert des Wizards die Schaltftlächen Variable erzeugen oder Variable zu Archiv hinzufügen aktiv sind.

Wenn in der Registerkarte Validierung die Schaltfläche Variable zu Archiv hinzufügen aktiv ist.
Die Schaltfläche ist bei der Validierung für Zielarchive immer aktiv. Diese Archive haben als Archivtyp per Default EventTriggered.

Parameter

Beschreibung

Archivkurzbezeichnung

Kurzbezeichnung für das zu erstellende Archiv.

Max 2 Zeichen, 0-9 oder A-Z, muss eindeutig sein.

Achtung: Sie können die Kennung nachträglich nicht mehr ändern.

Archivkennung

Name des Archivs.

Default: leer

Archivtyp

Art der Aufzeichnung:

  • Cyclic
    Die Daten werden in dem eingestellten Zeitintervall in das Archiv geschrieben (Default).
  • ValueChange
    Aufzeichnung bei Wertänderung
  • Event triggered
    Steht nur für Zielarchive der Validierung zur Verfügung.

Zykluszeit

Definieren Sie, in welchem Zyklus (Tage, Stunden, Minuten und Sekunden) Werte für zyklische Archive eingelesen werden sollen.

Default: 15 Minuten (bei zyklischen Archiven)

Monatlich

Wenn aktiv: Einlesen der Werte erfolgt bei jedem Monatswechsel (Monatsarchive).

Default: nicht aktiv.

Speicherzyklus

Definieren Sie, in welchem Zyklus (Tage, Stunden, Minuten) neue Archivdateien erzeugt werden sollen.

Default: 1 Tag

Hinweis: ausgegraut, wenn Zykluszeit monatlich ist

Monatlich

Wenn aktiv: Speichern der Archivdatei erfolgt bei jedem Monatswechsel.

Default: nicht aktiv.

Dialog beenden

Parameter | Beschreibung
Speichern | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

info Info

Weitere Informationen über Archive erhalten Sie im Handbuch Archivserver, im Kapitel Archive bearbeiten.

Noch in diesem Kapitel

Hintergrundinformationen

Visualisierung fehlerhafter Projektierungen

Überprüfung der Archive


Hintergrundinformationen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Neues Archiv > Hintergrundinformationen

Beim Anlegen von neuen Archiven für Absolutwert- und Relativwert-Variable in der Messstellenverwaltung wird die Aufbewahrungsdauer für Archivdateien auf den maximal möglichen Wert gesetzt.

Dies ist erforderlich, da die manuelle Nachbearbeitung über die Messstellenverwaltung nur für nicht ausgelagerte Archivdateien (im *.ARX Format) möglich ist. Ausgenommen davon sind in SQL ausgelagerte Daten, für diese ist eine manuelle Nachbearbeitung immer möglich.

attention Achtung

Ausgelagerte Archivdateien im internen Datenbankformat .ARX können nicht verarbeitet werden. Wählen Sie daher für ausgelagerte Archivdaten immer SQL-Datenbank.
Hinweis: Die Auslagerung konfigurieren Sie im Dialog Archiv bearbeiten in der Registerkarte Speichern.

Empfehlung

Um die Anzahl der aufzubewahrenden Dateien in Grenzen zu halten wird empfohlen einen ausreichend großen Speicherzyklus zu projektieren.

Tipp Tipp

Projektieren Sie Ihren Speicherzyklus immer >= 1 Tag.
Weitere Informationen finden Sie im Handbuch Archivserver, im Kapitel Archiv bearbeiten, Speichern.

Offset und Haltezeit

Um eine korrekte Archivierung des Relativwertes zu gewährleisten, führt das Modul Messstellenverwaltung automatische Projektierungen durch.

Folgende Einstellungen werden automatisch vorgenommen:

  • Offset: 5 Sekunden (nur bei Relativwert-Archiven)
    Weitere Informationen finden Sie im Handbuch Archivserver, im Kapitel Archiv bearbeiten, Aufzeichnungsart.
  • Haltezeit VACO: 10 Sekunden
    Wenn beim Relativwert einer automatischen Messstelle Berechnung aktiviert wird, dann muss die Haltezeit des VACO auf 10 Sekunden gestellt werden, der Offset bei neuen Relativwert-Archiven auf 5 Sekunden.
    Für bestehende Relativwert-Archive muss der Offset entsprechend manuell überprüft und angepasst werden.
    Weitere Informationen finden Sie im Kapitel Funktionsblock VACO.

Informationen während der Projektierung

Während der Projektierung werden entsprechende Informationen in der Registerkarte Zusammenfassung bei den Messstellen angezeigt:

  • Archiv für Absolutwerte sollte Offset 0 haben (entsprechende Warnmeldung)
  • Relativwertarchiv muss Offset 5 haben (Information, Anpassung erfolgt automatisch)
  • Beide Archive sollen unterschiedlich sein (entsprechende Warnmeldung)


Visualisierung fehlerhafter Projektierungen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Neues Archiv > Visualisierung fehlerhafter Projektierungen

Tritt während der Projektierung ein Problem auf, wird dieses durch ein rotes Warnsymbol neben dem fehlerhaften Element signalisiert. Eine detailliertere Fehlerbeschreibung erhalten Sie im Tooltip, wenn sie mit der Maus zum Warnsymbol navigieren.


Überprüfung der Archive

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Neues Archiv > Überprüfung der Archive

Im Modul Messstellenverwaltung verwendete Archive werden bei der Projektierung evaluiert.

Die Überprüfung der Achiv-Projektierung erfolgt:

  • Nach dem Start des Wizards, in der Messstellen Liste.
    Eine Ursache für eine Fehlprojektierung kann die Bearbeitung des Archives direkt im zenon Editor sein.
  • Bei der Erstellung/Bearbeitung von Messstellen.
  • Beim Anlegen eines neuen Archives über die Messstellenverwaltung.
    Validierung wird bei Klick auf die Schaltfläche Sichern ausgelöst.

Konfigurationskriterien für Relativwertarchive

Für automatische Messstellen gelten bestimmte Konfigurationskriterien für Relativwertarchive. Diese Kriterien ergeben sich aufgrund der Logik zur Relativwertberechnung.
Mit dem Wizard angelegte Archive entsprechen immer diesen Kriterien.

  • Die Zykluszeit darf nicht größer als der Speicherzyklus sein.
  • Der Speicherzyklus muss einem ganzzahligen Vielfachen der Zykluszeit entsprechen.
  • Wird als Zykluszeit Monatswechsel gewählt, muss der Speicherzyklus Monatswechsel oder Jahreswechsel sein.
  • Ist als Speicherzyklus Monatswechsel gewählt darf die Zykluszeit maximal 1 Tag betragen.

Noch in diesem Kapitel

Beispiele


Beispiele

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Neues Archiv > Überprüfung der Archive > Beispiele

Zykluszeit größer als Speicherzyklus

Speicherzyklus kein ganzzahlig Vielfaches der Zykluszeit

Fehlerhafte Zykluszeit bei Speicherzyklus Monatlich


Filtervariable verknüpfen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Messstellen > Filtervariable verknüpfen

Über diesen Dialog kann eine Variable zur Filterung in der Runtime ausgewählt werden.

Erstellen Sie dazu zuerst eine Variable vom Intern Treiber mit dem Datentyp String und ausreichender Stringlänge (z.B. 500) in Ihrem Projekt.

Hinweis: Der Filter wird immer aktualisiert, wenn die Variable aktualisiert wird.

Parameter

Beschreibung

Projektauswahl

Combobox zur Auswahl des Projekts. Als Filtervariable kann auch eine Variable aus einem anderen Projekt ausgewählt werden.

Liste Variablen

Auswahl der Variable via Klick. Die ausgewählte Variable wird farblich unterlegt. Eine Mehrfachauswahl ist nicht möglich.

  • Name
    Name der Variable
  • Identifikation
    Kennung der Variable
  • Treiber
    Treiber auf dem die Variable basiert

Keine Auswahl

Löscht die Variablenauswahl und schließt den Dialog.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

In der Runtime wird diese Variable zur Filterung verwendet. Weitere Informationen dazu finden Sie im Kapitel Filterung von Messstellen über Variable.


Zähler

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Zähler

In dieser Registerkarte gibt es die Möglichkeit, neue Zähler zu erstellen, zu verwalten und die bereits erstellten Zähler in einer Liste anzuzeigen.

Parameter | Beschreibung
Neu... | Öffnet den Dialog zum Anlegen eines neuen Zählers.
Editieren... | Öffnet den Dialog zum Editieren des ausgewählten Zählers.
Löschen | Löscht den ausgewählten Zähler.

Liste der projektierten Zähler

Parameter | Beschreibung
Name | Name des Zählers.
Beschreibung | Beschreibung des Zählers.
Hersteller | Hersteller des Zählers.
Zählertyp | Typzuweisung des Zählers.
Seriennummer | Seriennummer des Zählers.
Bemerkung | Bemerkung des Zählers.
Baujahr | Baujahr des Zählers.

Dialog beenden

Schaltfläche | Beschreibung
Exit | Beendet den Wizard. Nicht gespeicherte Änderungen gehen dabei verloren.

Noch in diesem Kapitel

Zähler neu anlegen

Zähler editieren

Zähler löschen


Zähler neu anlegen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Zähler > Zähler neu anlegen

In diesem Dialog werden (sowohl im Wizard, wie auch in der Runtime) Zähler projektiert oder bestehende Projektierungen geändert.

Parameter | Beschreibung
Name | Identifikation des Zählers. Pflichtfeld
Beschreibung | Beschreibung zu dem Zähler. Optionale Eingabe
Bemerkung | Notiz zu dem Zähler. Optionale Eingabe
Messstellentyp | Typzuweisung des Zählers. Dropdownliste mit bereits projektierten Typen. Diese Dropdownliste korrespondiert auch mit der Typen-Liste bei Neuanlage einer Messstelle. Optionale Eingabe
Hersteller | Herstellername des Zählers. Optionale Eingabe
Seriennummer | Seriennummer des Zählers. Optionale Eingabe
Baujahr | Baujahr des Zählers. Optionale Eingabe

Dialog beenden

Parameter | Beschreibung
Speichern & Neu | Speichert neuen Zähler. Anschließend wird der Dialog zur Neuanlage eines Zählers erneut mit leerem Inhalt aufgeschaltet. Es können weitere Zähler projektiert werden.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Hinweis: Nach Speichern der Eingaben wird ein neuer Eintrag in die Datenbank geschrieben und die Liste der Zähler mit dem neuen Eintrag ergänzt.

Noch in diesem Kapitel

Projektierung eines Zählers


Projektierung eines Zählers

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Zähler > Zähler neu anlegen > Projektierung eines Zählers

Um einen neuen Zähler anzulegen, gehen Sie wie folgt vor:

  1. Klicken Sie im Wizard auf die Registerkarte Zähler.
  2. Klicken Sie auf Neu.
  3. Der Dialog zur Neuanlage oder Ändern eines Zählers wird geöffnet.

  4. Geben Sie die Informationen zu dem Zähler ein.

Hinweis: Fehlerhafte Eingaben werden durch ein rotes Warndreiecksymbol neben dem Eingabefeld signalisiert.


Zähler editieren

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Zähler > Zähler editieren

Um einen bereits existierenden Zähler zu editieren, gehen Sie wie folgt vor:

  1. Wechseln Sie in die Registerkarte Zähler.
  2. Wählen Sie den entsprechenden Zähler in der Liste der projektierten Zähler.
  3. Klicken Sie auf Editieren.
  4. Der Dialog Zähler bearbeiten wird geöffnet.
  5. Fügen Sie noch weitere gewünschte Informationen hinzu und verwalten Sie den Zähler beliebig.
  6. Klicken Sie auf Speichern & Schließen.


Zähler löschen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Zähler > Zähler löschen

Um einen existierenden Zähler zu löschen, gehen Sie wie folgt vor:

  1. Wählen Sie in der Registerkarte Zähler einen Zähler, den Sie löschen möchten.
  2. Klicken Sie anschließend auf den Button Löschen und bestätigen Sie den Warndialog mit OK.
  3. Ihr selektierter Zähler ist gelöscht.

Hinweis: Ist ein Zähler bereits mit einer Messstelle verbunden, kann dieser nicht gelöscht werden. Der Button Löschen ist in diesem Fall ausgegraut. Um einen bereits zugewiesenen Zähler zu löschen, muss dieser zuerst in der Runtime von der Messstelle gelöst/ausgetauscht werden.


Mehrplatzfähige Projekte

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Wizard - Metering Point Administration > Mehrplatzfähige Projekte

Der Wizard für die Messstellenverwaltung im zenon Editor unterstützt keine mehrplatzfähigen Projekte.

Befinden sich mehrplatzfähige Projekte im Arbeitsbereich, wird beim Starten des Wizards ein entsprechender Dialog aufgeschaltet:

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Befinden sich ausschließlich mehrplatzfähige Projekte im Arbeitsbereich wird folgende Meldung ausgegeben:

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Mehrplatzfähiges Projekt in Standardprojekt umwandeln

Ein mehrplatzfähiges Projekt kann in ein „nicht-mehrplatzfähiges" zenon Standardprojekt umgewandelt werden:

  1. Erstellen Sie eine Projektkopie:
    Wählen Sie im Kontextmenü des jeweiligen Projekts den Befehl Projekt -> Speichern unter....
    Der Dialog zur Sicherung der Projektdaten wird geöffnet.
  2. Vergeben Sie einen neuen Namen.
  3. Das gesicherte Projekt wird als neues "nicht-mehrplatzfähiges" Projekt im aktuellen Arbeitsbereich rückgelesen und angelegt.

info Info

Ist dieses Projekt in einem Mehrprojektverbund, muss dabei Rücksicht auf die Projektbezüge genommen werden.

Weitere Informationen dazu erhalten Sie im Handbuch Projektverwaltung und Arbeitsbereich im Kapitel Projektbezüge ersetzen.


Projektierung im zenon Editor

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Projektierung im zenon Editor

Projektieren Sie im zenon Editor in einem Bild ein ActiveX-Element, um die Messstellenverwaltung in der Runtime nutzen zu können.

  1. Erstellen Sie dazu im zenon Editor ein neues Bild.
  2. Wählen Sie das Element ActiveX und zeichnen Sie damit einen Bereich im Bild.
  3. Der Dialog Element-Eingabe wird geöffnet.
  4. Wählen Sie in diesem Dialog MeteringPointControl.MeteringPointUserControl aus der Liste der ActiveX Elemente.

Achtung: Das ActiveX-Element muss mindestens 900 Pixel breit und 575 Pixel hoch sein, damit es in der Runtime korrekt dargestellt wird.

info Info

Weitere Informationen zum ActiveX Element finden Sie im Handbuch Bilder im Kapitel Bildelemente/ActiveX.


Messstellenverwaltung in der Runtime

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime

In der Runtime werden:

  • Projektierte Messstellen und Zähler miteinander verknüpft.
  • Zähler neu erstellt.
  • Bestehende Zählerinformationen geändert.
  • Manuelle Werte eingegeben.

Noch in diesem Kapitel

Datenbank

Messstellen

Zähler

Messstellenverwaltung im zenon Netzwerk


Datenbank

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Datenbank

Parameter

Beschreibung

Datenbank-Host

Dropdownliste zur Auswahl des Datenbankservers.

Wählen Sie in diesem Feld z. B. Ihren Rechner aus. Hinweis: Beim Öffnen der Registerkarte wird Ihr Rechner als Default angezeigt.

Authentifizierung

Dropdownliste zur Auswahl der Anmeldemethode:

  • Windows Authentication (Default):
    Die Datenbankanmeldung erfolgt mit den Informationen des am lokalen Rechner angemeldeten Benutzers.
  • SQL Server Authentication:
    Benutzername und Kennwort werden manuell eingegeben. Für die Datenbankanmeldung müssen entsprechende Anmeldedaten verfügbar sein.

Benutzername

Benutzername für die Anmeldung an einer Datenbank.

Ausgegraut wenn Authentifizierung Windows Authentication ist.

Passwort

Kennwort für die Anmeldung an einer Datenbank.
Aus Sicherheitsgründen wird bei der Eingabe des Kennwortes jeder Buchstabe mit einem * dargestellt.

Ausgegraut wenn Authentifizierung Windows Authentication ist.

Verbinden

Stellt die Verbindung zum konfigurierten Datenbankserver her.

Sollte keine Verbindung möglich sein (z.B. fehlerhafte Eingabe von Benutzername und/oder Passwort) wird ein Fehlerdialog aufgeschaltet.

Ausgegraut, wenn bereits mit einem Datenbankserver verbunden.

Trennen

Trennt eine bestehende Verbindung zu einem Datenbankserver.

Ausgegraut, wenn keine Verbindung aktiv.

Datenbank-Name

Dropdownliste zur Auswahl einer Datenbank.

Diese Liste zeigt alle verfügbaren Datenbanken des unter Datenbank-Host konfigurierten Datenbankservers auf.

Ist diese Liste leer, besteht keine Verbindung zu einem Datenbankserver oder auf dem gewählten Rechner ist keine SQL Datenbank verfügbar.

Konfiguration starten

Schaltet in die Registerkarte Messstellen.

Besteht aktuell keine Verbindung zu einer Datenbank wird bei Klick auf die Schaltfläche Start configuration automatisch eine Verbindung mit der bereits eingegeben Anmeldeinformation aufgebaut.

Ist diese Eingabe fehlerhaft oder unvollständig können keine weiteren Einstellungen in den Registerkarten Messstellen und Zähler vorgenommen werden. Dafür ist zwingend eine Verbindung zu einer Datenbank erforderlich!

Dialog beenden

Schaltfläche | Beschreibung
Exit | Beendet den Wizard. Nicht gespeicherte Änderungen gehen dabei verloren.
info Info
Existiert bereits eine Verbindung zu einer Datenbank sind alle Eingabefelder ausgegraut.


Messstellen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen

In dieser Registerkarte können Messstellen in der zenon Runtime verwaltet werden.

Parameter

Beschreibung

Zähler zuordnen...

Nur dann aktiv, wenn der ausgewählten Messstelle noch kein Zähler zugewiesen ist.

Chronologie...

Führt Protokoll über bearbeitete Messstellen und ausgetauschte Zähler.

Zähler austauschen...

Nur dann aktiv, wenn der ausgewählten Messstelle bereits ein Zähler zugewiesen ist.

Manuelle Werteingabe...

Ermöglicht eine manuelle Werteingabe für die gewählte Messstelle.

Wird in der Liste der Messstellen eine automatische Messstelle ausgewählt, ist die Schaltfläche Manuelle Werteingabe ausgegraut.

Manuelle Nachbearbeitung...

Ermöglicht manuelles Nachbearbeiten der Relativwerte von Messstellen.

Ungültige Werte korrigieren...

Öffnet den Dialog Ungültige Werte korrigieren.

Ermöglicht Ermittlung, Darstellung und Korrektur ungültiger Werte.

Nur verfügbar für Messstellen des Typs automatisch.

Hinweis: Mehrfachauswahl von Messstellen für die Wertkorrektur von mehreren Messstellen ist möglich.

Validierung...

Ermöglicht die Übernahme und Modifikation von Werten aus einer Messstelle von Typ Validierung.

Nur dann aktiv, wenn die ausgewählte Messstelle vom Typ Validierung ist.

Neu laden

Lädt zenon Projektierungen in der Runtime nach und holt neue Einstellungen von der Datenbank.

Liste Messstellen

Liste der angelegten Messstellen.

Auswahl via Klick. Die ausgewählte Messstelle wird farblich unterlegt.

  • Name
    Name der Messstelle
  • Beschreibung
    Kurzer Beschreibungstext zur Messstelle
  • Ort
    Standort der Messstelle
  • Messstellentyp
    Typ der Messstelle
  • Berechnung aktiv
    Aktiv, wenn Relativwert berechnen aktiviert ist.
  • Zähler Name
  • Zähler Beschreibung
  • Verhalten
    Messstellenverhalten
  • Anlagengruppen

info Info

Ist eine Variable eines Projektes nicht verfügbar, wird dies durch ein rotes Warnsymbol in der Listansicht signalisiert. Überprüfen Sie in diesem Fall, ob das Projekt mit diesen Variablen geladen ist.

Noch in diesem Kapitel

Zähler zuordnen, austauschen und entfernen

Chronologie

Manuelle Werteingabe

Manuelle Nachbearbeitung

Ungültige Werte korrigieren

Validierung

Filterung von Messstellen über Variable


Zähler zuordnen, austauschen und entfernen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Zähler zuordnen, austauschen und entfernen

In diesem Dialog können einzelne Zähler einer Messstelle zugeordnet, geändert oder entfernt werden.

Bei automatischen Messstellen öffnet sich bei einer Änderung der Zuordnung von Zählern (neu zuordnen, ändern, löschen) immer der Dialog zur Nachbearbeitung.

Messstelle

Parameter | Beschreibung
Name | Name der Messstelle. In diesem Dialog nicht änderbar.
Ort | Ort der Messstelle. In diesem Dialog nicht änderbar.
Beschreibung | Beschreibung der Messstelle. In diesem Dialog nicht änderbar.
Maßeinheit | Maßeinheit der Messstelle. In diesem Dialog nicht änderbar.
Zählertyp | Typ des Zählers. In diesem Dialog nicht änderbar.

Manuell

Parameter | Beschreibung
Datum und Uhrzeit | Datum und Uhrzeit der Zählerzuordnung oder des Zähleraustauschs. Default: Abfragezeitraum, abgerundet auf die volle Stunde. Klick auf Dropdownliste öffnet den Dialog zur Auswahl von Datum und Uhrzeit. Hinweis: Datumseingaben sind erst ab 1. 1. 2000 möglich. Aufrufe vor diesem Datum sind nicht gültig und werden mit einem roten Warnsymbol signalisiert.
Bereich | Der Bereich der Absolutwertvariable.
Min. | Minimaler Eingabebereich. In diesem Dialog nicht änderbar.
Max. | Maximaler Eingabebereich. In diesem Dialog nicht änderbar.
Alter Wert | Wert des alten Zählers beim Zeitpunkt des Austauschs. Default: 0 Hinweis: Nur beim Zähleraustausch sichtbar.
Neuer Wert | Wert des neuen Zählers zum Zeitpunkt des Austauschs. Default: 0 Hinweis: Liegt die Eingabe ausserhalb des Eingabebereichs der Variable (Min./Max.) wird die fehlerhafte Eingabe automatisch an den Bereich angepasst.

Verfügbare Zähler

Parameter | Beschreibung
Verfügbare Zähler | Liste mit verfügbaren Zählern. Es werden alle Zähler des passenden Zählertyps angezeigt, die noch keiner Messstelle zugeordnet sind. Pro Messstelle kann nur ein Zähler zugeordnet werden.
Auswählen | Ordnet den ausgewählten Zähler zu und übernimmt dessen Werte in den Bereich Zähler zuordnen.
Löschen | Löscht die Zuordnung eines Zählers zu einer Messstelle. Der Zähler selbest wird nicht gelöscht und bleibt weiter in der Liste der Zähler erhalten.

Zähler zuordnen

Parameter | Beschreibung
Name | Name des zugeordneten Zählers. In diesem Dialog nicht änderbar.
Beschreibung | Beschreibung des zugeordneten Zählers. In diesem Dialog nicht änderbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Noch in diesem Kapitel

Projektierung - Zählerzuordnung

Zählerzuordnung bei manuellen Messstellen

Zählerzuordnung bei automatischen Messstellen


Projektierung - Zählerzuordnung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Zähler zuordnen, austauschen und entfernen > Projektierung - Zählerzuordnung

Um einen Zähler einer Messstelle zuzuordnen oder eine bestehende Zuordnung zu ändern:

  1. Wählen Sie in der Liste der Messstellen eine Messstelle.
  2. Klicken Sie:
    1. Zähler zuordnen, wenn der Messstelle noch kein Zähler zugeordnet ist.
    2. Zähler austauschen, wenn der Messstelle bereits ein Zähler zugeordnet ist.
  3. Der Dialog Zähler zuordnen/Zähler austauschen wird geöffnet.
  4. Bei Zählertausch oder Zuordnung geben Sie im Eingabefeld Neuer Wert den aktuellen Wert des neu zugeordneten Zählers ein.
    Sollte dieser Wert bereits im Archiv vorhanden sein erscheint ein Warndialog.
    Eingaben, welche nicht dem Eingabebereich entsprechen werden automatisch auf den Maximalwert oder Minimalwert geändert.
    Hinweis: Für automatische Messstellen wird der hier eingegebene Wert im Dialog zur Nachbearbeitung in der Spalte Absolutwert in grüner Farbe angezeigt.
  5. Bei einem Zählertausch oder beim Löschen einer Zählerzuordnung:
    Geben Sie zusätzlich im Eingabefeld Alter Wert den aktuellen Wert des auszutauschenden oder zu löschenden Zählers ein.
    Eingaben, welche nicht dem Eingabebereich entsprechen werden automatisch auf den Maximalwert oder Minimalwert geändert.
    Hinweis: Für automatische Messstellen wird der hier eingegebene Wert im Dialog zur Nachbearbeitung in der Spalte Absolutwert in grüner Farbe angezeigt.
  6. Wählen sie einen Zähler aus der Liste Verfügbare Zähler.
    Hinweis: Hier werden alle Zähler mit demselben Messstellentyp wie die gewählte Messstelle angezeigt.
  7. Projektieren Sie die Zählerzuordnung:
    1. Klicken Sie den Button Auswählen um den gewählten Zähler der Messstelle zuzuordnen.
    2. Klicken Sie den Button Löschen um einen bereits zugeordneten Zähler von der Messstelle zu lösen.
  8. Der gewählte Zähler wird:
    1. in den Bereich Zähler zuordnen übernommen.
    2. aus dem Bereich Zähler zuordnen entfernt.
  9. Klicken Sie OK um die Zuordnung zu beenden.
  10. Der Dialog wird beendet:
    1. für manuelle Messstellen:
      Absolutwerte werden ins Absolutwert-Archiv geschrieben. Entsprechende Relativwerte werden automatisch berechnet und in das Relativwert-Archiv geschrieben.
    2. für automatische Messstellen:
      Der Nachbearbeitungsdialog wird geöffnet.


Zählerzuordnung bei manuellen Messstellen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Zähler zuordnen, austauschen und entfernen > Zählerzuordnung bei manuellen Messstellen

Abhängig von der Aktion werden automatisch Werte ins Archiv geschrieben:

  1. Zähler neu zuordnen:
    neuer Wert
  2. Zähler entfernen:
    alter Wert
  3. Zähler austauschen:
    beide Werte
    Hinweis Zeitstempel für Zählertausch:
    1. alter Wert: aktueller Zeitstempel
    2. Neuer Wert: zwei Sekunden später als der Zeitstempel vom alten Wert.

Relativwertberechnung

Die Relativwerte werden automatisch neu berechnet.

  1. bei der Zuordnung:
    1. Relativwerte zwischen dem neuen Wert und dem letzten davor gefundenen Absolutwert werden nachberechnet.
    2. Relativwerte zwischen dem neuen Wert und dem ersten danach gefundenen Absolutwert werden nachberechnet.
  2. beim Löschen:
    1. Relativwerte zwischen dem alten Wert und dem letzten davor gefundenen Absolutwert werden nachberechnet.
    2. Relativwerte zwischen dem alten Wert und dem ersten danach gefundenen Absolutwert werden nachberechnet.
  3. beim Austauschen:
    1. Relativwerte zwischen dem alten Wert und dem letzten davor gefundenen Absolutwert werden nachberechnet.
    2. Relativwerte zwischen dem neuen Wert und dem ersten danach gefundenen Absolutwert werden nachberechnet.

Beispiel für einen Zählertausch

Alle 11 Operationen soll eine Wartung durchgeführt werden.

Die letzte Wartung wurde beim Zählerstand 90 ausgeführt. Der aktuelle Zählerwert beträgt 99 Operationen.

Die nächste Wartung ist somit 2 Operationen später beim Zählerstand 101 durchzuführen.

Wenn der Zähler nun kaputt geht, muss er gegen einen anderen Zähler ausgetauscht werden. Dieser hat den Zählerwert 12.

Da die nächste Wartung 2 Operationen später fällig wird, ist diese beim Zählerstand 14 durchzuführen.

Warndialog

Wird ein Zählertausch zu einem Zeitpunkt durchgeführt, zu dem bereits ein Archiveintrag existiert, muss dieser überschrieben werden. Ein Dialog warnt davor.

Parameter | Beschreibung
Ja | Übernimmt Einstellungen und schließt den Dialog.
Nein | Verwirft alle Änderungen und schließt den Dialog.
Abbrechen | Behält alle Änderungen. Die Änderungen werden nicht durchgeführt. Der Dialog bleibt für Korrekturen geöffnet.


Zählerzuordnung bei automatischen Messstellen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Zähler zuordnen, austauschen und entfernen > Zählerzuordnung bei automatischen Messstellen

Bei automatischen Messstellen öffnet sich bei einer Zuordnungsänderung des Zählers immer der Nachbearbeitungsdialog. Die im Zuordnungsdialog projektierten Werte (Alter Wert und Neuer Wert) werden dabei in der Spalte Absolutwert in grüner Farbe angezeigt. Der Zeitstempel ist jeweils um zwei Sekunden erhöht.

info Info

Die neuen Werte werden erst nach Abschluss der Projektierung im Nachbearbeitungsdialog in das Relativwertarchiv übernommen!


Chronologie

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Chronologie

Der Dialog Messstellen-Chronologie zeigt den Verlauf der Projektierung der ausgewählten Messstelle. Änderungen sind in diesem Dialog nicht vorgesehen.

Parameter | Beschreibung
Name | Name der Messstelle. In diesem Dialog nicht änderbar.
Ort | Ort der Messstelle. In diesem Dialog nicht änderbar.
Beschreibung | Beschreibung der Messstelle. In diesem Dialog nicht änderbar.
Messstellentyp | Typ der Messstelle. In diesem Dialog nicht änderbar.

Chronologie - History

Parameter

Beschreibung

Zeit

Zeit der Zählerzuordnung oder des Zähleraustauschs.

Alter Zählername

Name des alten Zählers.

Alter Zählerwert

Wert des alten Zählers.

Neuer Zählername

Name des neuen Zählers.

Neuer Zählerwert

Wert des neuen Zählers.

Benutzer-ID

Kennung des Benutzers, der den Zählertausch eingetragen hat.

Benutzername

Name des Benutzers, der den Zählertausch eingetragen hat.

Änderungstyp

Die durchgeführte Änderung wird angezeigt.

  • Added
    Bei erstmaliger Zuordnung eines Zähler
    = Zähler zuordnen
  • Changed
    Bei durchgeführtem Zählertausch
    = Zähler austauschen
  • Deleted
    Die Zuordnung eines Zählers wurde entfernt. Kein neuer Zähler wurde der Messstelle zugeordnet.

Schließen

Schließt den Dialog.

info Info

Die Chronologie zeigt nur Änderungen von Zählerzuordnungen zu einer Messstelle.

Wertänderungen werden in der Chronologie nicht angezeigt.


Manuelle Werteingabe

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Manuelle Werteingabe

Manuelle Werte können nur für manuelle (= nicht automatische) Messstellen eingetragen werden. Mit der manuellen Werteingabe können Werte für einen bestimmten Zeitpunkt nachgetragen werden. Werteinträge für die Zukunft sind nicht zulässig.

Messstelle

Parameter | Beschreibung
Name | Name der Messstelle. In diesem Dialog nicht änderbar.
Ort | Ort der Messstelle. In diesem Dialog nicht änderbar.
Beschreibung | Beschreibung der Messstelle. In diesem Dialog nicht änderbar.
Maßeinheit | Maßeinheit der Messstelle. In diesem Dialog nicht änderbar.
Zählertyp | Typ des Zählers. In diesem Dialog nicht änderbar.

Einstellungen für manuellen Wert

Parameter | Beschreibung
Datum und Uhrzeit | Datum und Uhrzeit des Eintrags des Absolutwertes. Klick auf Dropdownliste öffnet den Dialog zur Auswahl von Datum und Uhrzeit. Hinweis: Datumseingaben sind erst ab 1. 1. 2000 möglich. Aufrufe vor diesem Datum sind nicht gültig und werden mit einem roten Warnsymbol signalisiert. Default: Abfragezeitpunkt, abgerundet auf die volle Stunde.
Wert | Absolutwert des manuellen Zählers. Hinweis: Liegt die Eingabe außerhalb des Eingabebereichs der Variable (Min./Max.) wird dies durch ein rotes Warnsymbol signalisiert. Default: Letzter gespeicherter Absolutwert im Archiv.
Bereich | Bereich des Absolutwertes.
Min. | Minimalwert der Absolutwert-Variable In diesem Dialog nicht änderbar.
Max. | Maximalwert der Absolutwert-Variable In diesem Dialog nicht änderbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Noch in diesem Kapitel

Manuelle Werteingabe


Manuelle Werteingabe

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Manuelle Werteingabe > Manuelle Werteingabe

Um Werte manuell einzugeben:

  1. Wählen Sie eine manuelle Messstelle aus der Liste der Messstellen.
  2. Klicken Sie den Button Manuelle Werteingabe.
  3. Der Dialog Manuelle Werteingabe wird geöffnet.
  4. Wählen Sie Datum und Uhrzeit des manuellen Wertes:
    Klicken Sie dazu die Dropdownliste Datum und Uhrzeit oder geben Sie direkt im Eingabefeld die entsprechende Zeit ein.
    Achtung: Manuelle Werteingaben dürfen nicht in der Zukunft liegen!
  5. Geben Sie den neuen Wert im Eingabefeld Wert ein
    Hinweis: Der gültige Eingabebereich der ausgewählten Variable wird unter Bereich angezeigt.
  6. Klicken Sie OK, um den neuen Wert mit dem projektierten Zeitstempel zu übernehmen.
  7. Die Werteingabe wird validiert.
    Ist für den gewählten Zeitpunkt bereits ein Wert vorhanden, öffnet sich ein Warndialog.
  8. Die Relativwerte werden automatisch neu berechnet.
    Nach Werteingabe werden:
    1. vom eingegebenen Wert bis zum letzten davor gefundenen Absolutwert nachberechnet.
    2. vom eingegebenen Wert bis zum nächstfolgenden gefundenen Absolutwert nachgerechnet.

Dialog bei doppelten Werteinträgen

Existiert zum gewählten Zeitpunkt bereits ein Archiveintrag, muss dieser überschrieben werden. Ein Dialog warnt davor.

Parameter | Beschreibung
Ja | Übernimmt Einstellungen und schließt den Dialog.
Nein | Verwirft alle Änderungen und schließt den Dialog.
Abbrechen | Behält alle Änderungen. Die Änderungen werden nicht durchgeführt. Der Dialog bleibt für Korrekturen geöffnet.

Manuelle Werteinträge anzeigen

Tipp Tipp

Um manuelle Werteingaben anzeigen zu lassen nutzen Sie die Schaltfläche Nachbearbeitung.


Manuelle Nachbearbeitung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Manuelle Nachbearbeitung

In diesem Dialog können Werte aus einem Archiv nachträglich bearbeitet werden. Fehlende Einträge für Relativwerte können interpoliert werden, um kontinuierliche Relativwerte zu erhalten und dadurch, z.B. Lücken zu schließen.

Wird für eine automatische Messstelle der Zähler ausgetauscht oder gelöscht, öffnet sich ebenfalls der Dialog zur Nachbearbeitung.

Messstellen

Parameter | Beschreibung
Name | Name der Messstelle. In diesem Dialog nicht änderbar.
Ort | Ort der Messstelle. In diesem Dialog nicht änderbar.
Beschreibung | Beschreibung der Messstelle. In diesem Dialog nicht änderbar.
Messstellentyp | Typ der Messstelle. In diesem Dialog nicht änderbar.

Werte

Parameter | Beschreibung
Zeitbereich | Zeitbereich von Relativ- und Absolutwerten, der angezeigt werden soll.
Von | Beginn der Zeitabfrage Klick auf Dropdownliste öffnet den Dialog zur Auswahl von Datum und Uhrzeit. Hinweis: Datumseingaben sind erst ab 1. 1. 2000 möglich. Aufrufe vor diesem Datum sind nicht gültig und werden mit einem roten Warnsymbol signalisiert. Default: Abfragezeitpunkt - 2 h (abgerundet auf die volle Minute).
Bis | Ende der Zeitabfrage Klick auf Dropdownliste öffnet den Dialog zur Auswahl von Datum und Uhrzeit. Hinweis: Datumseingaben sind erst ab 1. 1. 2000 möglich. Aufrufe vor diesem Datum sind nicht gültig und werden mit einem roten Warnsymbol signalisiert. Default: Abfragezeitpunkt (aufgerundet auf die nächste volle Minute).
Laden | Lädt die Archivdaten für die Absolut- und Relativwerte für den ausgewählten Zeitbereich und listet diese in der Liste der Archiveinträge einzeln auf.
Interpolieren | Glättet die Relativwerte in dem Bereich zwischen zwei ausgewählten Absolutwerten. Auswahl von Beginn und Ende via Klick + Umschalt-Taste.
Anwenden | Schreibt die durchgeführten Änderungen ins Archiv.
Bereich | Wertebereich des Relativwerts.
Min. | Minimalwert der Relativwert-Variable In diesem Dialog nicht änderbar.
Max. | Maximalwert der Relativwert-Variable In diesem Dialog nicht änderbar.

Liste der Archiveinträge

Beim Aufschalten des Dialogs ist diese Liste leer. Nach Eingabe eines Abfragezeitraums und Klick auf die Schaltfläche Laden wird die Liste mit den gefundenen Archiveinträgen befüllt.

Parameter | Beschreibung
Zeit | Zeitpunkt des Archiveintrags. Format: TT.MM.JJJJ hh:mm:ss
Absolutwert | Absolutwert des Archiveintrags. Hinweis: Werte, die von einer Zählerzuordnung, einem Zählertausch oder einer Zählerlöschung übernommen wurden, sind in grüner Farbe dargestellt.
Relativwert | Relativwert des Archiveintrags.

Dialog beenden

Parameter | Beschreibung
Schließen | Schließt den Dialog.

Noch in diesem Kapitel

Nachbearbeitung von Werten


Nachbearbeitung von Werten

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Manuelle Nachbearbeitung > Nachbearbeitung von Werten

Um Werte nachträglich zu bearbeiten:

  1. Wählen Sie in der Registerkarte Messstellen die gewünschte Messstelle.
  2. Klicken Sie den Button Nachbearbeitung.

    Der Nachbearbeitungsdialog wird geöffnet.

  3. Wählen Sie einen Zeitbereich aus.
  4. Klicken Sie auf Laden um die Archivdaten für die Absolut- und Relativwerte für den ausgewählten Zeitbereich zu laden.

    Die gefundenen Werteinträge werden in der Liste der Archiveinträge angezeigt.

Werte interpolieren

Um Werte interpolieren zu können müssen zwingend gültige Absolutwerte vorhanden sein.

  1. Gehen Sie in die Liste der Archiveinträge und wählen Sie jene Absolutwerte, welche Sie zur Berechnung von Relativwerten verwenden wollen.
  2. Wählen Sie dazu bei gedrückter Umschalt-Taste den Beginn- und den Endwert aus, welcher für die Interpolierung verwendet werden soll.
  3. Klicken Sie Interpolieren, um dazwischenliegende Relativwerte automatisch zu berechnen.

    Die neuen Werte werden in der Spalte Relativwerte angezeigt.

  4. Klicken Sie den Button Anwenden um die neu berechneten Relativwerte in das Archiv zu übernehmen.

Bei ungültiger Auswahl des Start- und des Endwertes für die Interpolierung wird ein Dialog aufgeschaltet:

Realivwerte eingeben

  1. Klicken Sie in der Liste der Archiveinträge auf den Relativwert, den Sie ändern wollen.

    Das Feld zur Eingabe des Relativwertes wird freigeschalten.

  2. Geben Sie den gewünschten neuen Relativwert ein.

    Die Eingabe wird validiert.

Validierung

Ist der eingegebene Wert außerhalb des gültigen Eingabebereichs kann die Werteingabe im Eingabefeld nicht abgeschlossen werden. Dies wird mit einem roten Warnsymbol zu Beginn der Zeile visualisiert. Weitere Fehlerdetails erhalten Sie im Tooltip, wenn Sie mit der Maus über das Warnsymbol navigieren.

Hinweis: leere Werteinträge sind nicht zulässig. Geben Sie in diesem Fall die Zahl 0 ein.


Ungültige Werte korrigieren

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Ungültige Werte korrigieren

In diesem Dialog werden ungültige Werte ermittelt, angezeigt und korrigiert.

Zeitbereich

In diesem Bereich wird der Zeitbereich für die Ermittlung von ungültigen Werten konfiguriert.

Parameter

Beschreibung

Von

Beginn des zu untersuchenden Zeitbereichs.

Auswahl aus Dropdowndialog oder durch direkte Eingabe. Ungültige Eingaben werden bereits bei der Eingabe korrigiert oder unterdrückt.

Format: Wochentag, TT. Monat YYYY hh:mm

Default: 1 Tag vor Aufruf des Dialogs

Bis

Ende des zu untersuchenden Zeitbereichs.

Auswahl aus Dropdowndialog oder durch direkte Eingabe. Ungültige Eingaben werden bereits bei der Eingabe korrigiert oder unterdrückt.

Format: Wochentag, TT. Monat YYYY hh:mm

Default: Zeitpunkt des Dialogaufrufes

Ungültige Werte suchen

Startet die Suche nach möglichen ungültigen Werten für den angegebenen Zeitbereich.

Während der Suche wird der Fortschritt in einem Balken angezeigt. Die Suche kann mit Klick auf den Button Abbrechen unterbrochen werden.

Hinweis: Ein Wert ist ungültig wenn bei diesem das Statusbit 18 [INVALID] aktiv ist. Untersucht wird das Relativwertarchiv der ausgewählten Messstelle.

Liste der ungültigen Werte

Liste der gefundenen Einträge im Relativwertarchiv mit ungültigen Werten.

Default: leer mit Anzeigetext "No data to display".

Fußzeile

Parameter

Beschreibung

Anwenden

Startet die Korrektur für die ausgewählten Einträge.
Die Korrektur wird mit einem Fortschrittsbalken visualisiert und kann mit Klick auf den Button Abbrechen abgebrochen werden.

Die Korrektur überschreibt die fehlerhaften Relativwerte im Archiv.

Hinweis: Korrekturen werden für jeden Eintrag in der CEL protokolliert.

Relativwertkorrektur bei der Messtelle [Messstellenname]: Beginn [Datum], Ende: [Datum], Relativwert: [Relativwert]

Nicht verfügbar, wenn kein Wert zur Korrektur ausgewählt ist oder für den ausgewählten Wert keine Korrektur möglich ist.

Schließen

Schließt den Dialog.

Liste fehlerhafter Werte

In dieser Liste werden fehlerhafte Werte angezeigt.

  • Aufeinanderfolgende fehlerhafte Werte werden zu einem Eintrag zusammengefasst.
  • Einträge, die nicht korrigiert werden können, sind mit einem Warnsymbol (roter Kreis mit Ausrufezeichen) gekennzeichnet.
  • Der mögliche Hinderungsgrund für die automatische Korrektur wird mit einem Tooltip visualisiert.
  • Die Ansicht der Liste ist konfigurierbar:
    • Verschieben der Anzeigebreite via Klick auf Trennstrich der Spaltenüberschrift und verschieben des Trenners.
    • Anordnung der Spalten via Mausklick und Drag&Drop.
  • Die Liste ist sortier- und filterbar:
    • Sortierung durch Klick auf die Spaltenüberschrift.
    • Filterung durch Eingabe eines Filterbegriffs in das Eingabefeld unter der Spaltenüberschrift.
      Via Kontextmenü können die Filterkriterien ausgewählt werden
Parameter | Beschreibung
Messstelle | Name der Messstelle.
Beginn | Zeitstempel des letzten gültigen Absolutwerts.
Startwert | Letzer gültiger Absolutwert vor einem fehlerhaften Wert.
Ende | Zeitstempel des ersten gültigen Absolutwerts nach einem fehlerhaften Wert.
Endwert | Erster gültiger Absolutwert nach einem fehlerhaften Wert.
Anzahl der Werte | Anzahl der ungültigen Relativwerte des Eintrags.
Interpolierter Wert | Wert der bei der Korrektur ins Archiv geschrieben wird.
Korrigieren | Checkbox für die Aktivierung der automatischen Korrektur. Default: inaktiv Hinweis: Ein Klick auf die Checkbox in der Spaltenüberschrift aktiviert die Korrektur für alle Einträge. Nicht verfügbar, wenn Korrektur für Eintrag nicht möglich (Warnsymbol).

Dropdowndialog Zeitauswahl

Dropdowndialog für Auswahl von Startzeit und Endzeit für die Ermittlung der Fehlerhaften Einträge. Auswahl via Mausklick.
Hinweis: Der Dropdowndialog steht nur in englischer Sprache zur Verfügung.

Fortschrittsbalken

Fortschrittsbalken bei Ermittlung oder Korrektur von ungültigen Werten.

Ungültige Werte

Visualisierung und Tooltip für nicht korrigierbare Werte.


Validierung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Validierung

Im Dialog Messstellenvalidierung werden alle Archivwerte im gewählten Zeitbereich für die projektierte Messstelle in einer Liste angezeigt.

Die einzelnen Werte können bestätigt und modifiziert werden.

Zeitbereich

Zeitfilter für die Anzeige der Variablen aus dem Archiv.

Parameter | Beschreibung
Von | Startzeitpunkt der Validierung. Auswahl über D
Bis | Endzeitpunkt der Validierung
Neu laden | Aktualisiert die Werteliste mit dem konfigurierten Zeitbereich.

Ausgewählte Validieren

Durch Klick auf den Button Ausgewählte Validieren wird für alle gewählten Einträge der Validierungstyp auf bestätigt gesetzt.

Werteliste

Die Werteliste zeigt alle Archiveinträge der für die Messstelle konfigurierten Archive an.

Die Liste ist sortier- und filterbar:

  • Klicken Sie eine Spaltenüberschrift um die Liste zu sortieren.
  • Ein nochmaliger Klick kehrt die Sortierreihenfolge um
  • Ein Rechtsklick auf eine Spaltenüberschrift aktiviert das Kontextmenü für die Konfiguration der Filterung.

Parameter

Beschreibung

Messstelle

Name der Messstelle wie projektiert.

Hinweis: nicht änderbar

Zeit

Zeitstempel des Archivwertes.

Hinweis: nicht änderbar

Originalwert

Wert aus Quellarchiv.

Hinweis: nicht änderbar

Zielwert

Zielwert, wie er nach der Validierung übernommen wird:

  • Per Default wird der Originalwert aus dem Quellarchiv eingetragen.
  • Ist noch kein Wert im Archiv vorhanden, ist der Zielwert 0.

Die Eingabe des neuen Zielwerts erfolgt:

  • per Doppelklick in Zelle Zielwert des Eintrags
  • per manueller Werteingabe in der Zelle Zielwert. Die Eingabe berücksichtigt gültige Zahlenwerte. Eine Überprüfung auf Grenzwerte findet nicht statt.

Nach Änderung dieses Wertes wird der Validierungstyp auf manipuliert geändert.

Validierungstyp

Bearbeitungsstatus des Wertes

  • unbearbeitet:
    Wert wurde noch nicht bestätigt oder angepasst.
  • bearbeitet:
    Der Zielwert wurde geändert.
    Hinweis: geänderte Einträge werden in der Liste blau dargestellt.
  • bestätigt:
    Wert wurde bestätigt.
    Hinweis: Bestätigte Werte werden in der Liste grün angezeigt.

Dialog beenden

Parameter | Beschreibung
Schließen | Schließt den Dialog. Vor dem Schließvorgang wird überprüft, ob alle geladenen Werte bestätigt oder bearbeitet wurden. Sind noch nicht bestätigte oder korrigierte Werte in der Liste vorhanden (Validierungstyp: unbearbeitet) wird dies mit einem Dialog angezeigt.
Anwenden | Übernimmt Einstellung und schreibt angepasste Werte in das Archiv. Für jeden Wert, der ins Zielarchiv geschrieben wird, wird auch ein entsprechender CEL-Eintrag erstellt.

Dialog - Fehlende Validierung

Bei Klick auf den Button Schließen findet eine Überprüfung auf den Validierungstyp unbearbeitet statt. Sind in der Messstelle noch Einträge mit dem Validierungstyp unbearbeitet vorhanden, wird dies in einem Hinweisdialog angezeigt.

Parameter | Beschreibung
OK | Schließt den Dialog. Achtung: Nicht übernommene Werte werden dadurch nicht in das Archiv übernommen.
Abbrechen | Kehrt zum Dialog Messstellenvalidierung zurück. Es können weitere Projektierungen vorgenommen werden.

Noch in diesem Kapitel

Validierung - Bedienung zur Runtime


Validierung - Bedienung zur Runtime

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Validierung > Validierung - Bedienung zur Runtime

Um in der Runtime Einträge einer Messstelle zu validieren:

  • Navigieren Sie zur Registerkarte Messstellen.
    Eine Liste der projektieren Messstellen wird angezeigt.
  • Markieren Sie eine Messstelle mit dem Verhalten Validation.
  • Klicken Sie auf den Button Validierung:
    Der Dialog Messstellenvalidierung wird geöffnet.
    Das Öffnen dieses Dialogs kann je nach Größe der Archiveinträge einige Zeit in Anspruch nehmen. Dieser Ladevorgang wird angezeigt.
  • Validieren Sie die Daten:
    • Modifizieren Sie die entsprechenden Einträge mit neuen Werten.
    • Bestätigen Sie bestehende Einträge, bei denen keine Änderungen notwendig sind.
      Nutzen Sie dazu die Mehrfachauswahl und die Schaltfläche Ausgewählte validieren.
      Einzelne Einträge können durch Doppelklick in der Zelle Zielwert bestätigt werden.
  • Klicken Sie auf die Schaltfläche Anwenden um Ihre Anpassungen in das Zielarchiv zu schreiben.
    Die erfolgreiche Speicherung der Daten im Zielarchiv wird mit einem grünen Haken neben der Schaltfläche visualisiert.
    Der Status eines bearbeiteten Eintrages wird auf Handwert (MAN_VAL) gesetzt.
  • Führen Sie weitere Anpassungen durch.
  • Beenden Sie die Validierung durch Klick auf die Schaltfläche Schließen.
    Vor dem Schließen des Dialogs wird die Liste auf noch nicht bestätigte Einträge überprüft.
  • Durch Klick auf die Schaltfläche OK wird der Validierungsdialog geschlossen.

info Info

Bereits geänderte oder übernommene Einträge (Validierungstyp: validiert) können erneut geändert werden. Diese erhalten nach einer Änderung wieder den Validierungstyp bearbeitet. Stellen Sie sicher, dass jede Änderung mit der Schaltfläche Anwenden in das Archiv übernommen wird.


Filterung von Messstellen über Variable

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellen > Filterung von Messstellen über Variable

Sie haben die Möglichkeit die Liste der Messstellen nach bestimmten Kriterien zu filtern. Um dies zu erreichen, schreiben Sie einen entsprechenden Wert auf die Filtervariable.

Tipp Tipp

Sie können für jeden Benutzer einen Filterstring definieren und diesen beim Einloggen des Benutzers über ein Rezept auf die Filtervariable absetzen.

Somit erreichen Sie, dass für jeden Benutzer nur seine relevanten Messstellen in der Liste sichtbar sind.

Diese Filterung kann auch zur einfacheren Validierung genutzt werden, indem alle, für die Validierung nicht relevanten, Messstellen vom Filter ausgenommen und die verbleibenden automatisch ausgewählt werden.

Bei der Filterung gilt:

  • Es kann für jede Spalte ein Filter definiert werden
  • Einzelne Filterstrings werden durch # getrennt
  • Der Trenner innerhalb eines Filterstrings ist ein Leerzeichen
  • Die Anordnung der Elemente im Filterstring ist beliebig
  • Mit dem dem String SelectAll werden alle gefilterten Einträge automatisch ausgewählt

Struktur eines Filterstrings:

Spaltenkürzel Operator Filterwert

Übersicht für Spaltenkürzel und Operatoren zur Filterung

Zur Filterung stehen Ihnen folgenden Spaltenkürzel und Operatoren zur Verfügung

Übersicht der Spaltenkürzel

Kürzel | Spalte
na | Name
de | Beschreibung
lo | Ort
mt | Messstellentyp
ca | Berechnung aktiv
mn | Zähler Name
md | Zähler Beschreibung
bh | Verhalten
eq | Anlagengruppen

Übersicht für Operatoren

Als Operator kann wahlweise die Nummer oder der String verwendet werden.

Nummer | String
0 | None
1 | IsLike
2 | IsNotLike
3 | IsLessThan
4 | IsLessThanOrEqualTo
5 | IsEqualTo
6 | IsNotEqualTo
7 | IsGreaterThanOrEqualTo
8 | IsGreaterThan
9 | StartsWith
10 | EndsWith
11 | Contains
12 | NotContains
13 | IsNull
14 | IsNotNull
15 | IsContainedIn

Beispiele

Eintrag in der Spalte Name enthält den String Com:
Wert der Filtervariable: na Contains Com

Berechnung aktiv ist gesetzt:
Wert der Filtervariable: ca 5 True

Eintrag der Spalte Verhalten startet mit Auto, automatische Auswahl der gefilterten Einträge:
Wert der Filtervariable: bh StartsWith Auto#SelectAll

Kombination aller drei Filter:
Wert der Filtervariable: na Contains Com#ca 5 True#bh StartsWidth Auto#SelectAll

Enthält ein Filterstring ungültige Werte, werden die restlichen Filterstrings trotzdem angewendet.


Zähler

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Zähler

In dieser Registerkarte werden Zähler in der Runtime verwaltet.

Parameter | Beschreibung
Neu | Öffnet den Dialog zum Anlegen eines neuen Zählers.
Editieren | Öffnet den Dialog zum Bearbeiten des ausgewählten Zählers.
Löschen | Löscht den ausgewählten Zähler.

Liste der Zähler

Parameter | Beschreibung
Name | Name des angelegten Zählers.
Beschreibung | Beschreibung des Zählers.
Hersteller | Hersteller des Zählers.
Zählertyp | Zählertyp des Zählers.
Seriennummer | Seriennummer des Zählers.
Bemerkung | Bemerkung zu dem angelegen Zähler.
Baujahr | Baujahr des Zählers.

Noch in diesem Kapitel

Zähler neu anlegen

Zähler editieren

Zähler löschen


Zähler neu anlegen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Zähler > Zähler neu anlegen

In diesem Dialog werden (sowohl im Wizard, wie auch in der Runtime) Zähler projektiert oder bestehende Projektierungen geändert.

Parameter | Beschreibung
Name | Identifikation des Zählers. Pflichtfeld
Beschreibung | Beschreibung zu dem Zähler. Optionale Eingabe
Bemerkung | Notiz zu dem Zähler. Optionale Eingabe
Messstellentyp | Typzuweisung des Zählers. Dropdownliste mit bereits projektierten Typen. Diese Dropdownliste korrespondiert auch mit der Typen-Liste bei Neuanlage einer Messstelle. Optionale Eingabe
Hersteller | Herstellername des Zählers. Optionale Eingabe
Seriennummer | Seriennummer des Zählers. Optionale Eingabe
Baujahr | Baujahr des Zählers. Optionale Eingabe

Dialog beenden

Parameter | Beschreibung
Speichern & Neu | Speichert neuen Zähler. Anschließend wird der Dialog zur Neuanlage eines Zählers erneut mit leerem Inhalt aufgeschaltet. Es können weitere Zähler projektiert werden.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Hinweis: Nach Speichern der Eingaben wird ein neuer Eintrag in die Datenbank geschrieben und die Liste der Zähler mit dem neuen Eintrag ergänzt.

Noch in diesem Kapitel

Projektierung eines Zählers in der Runtime


Projektierung eines Zählers in der Runtime

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Zähler > Zähler neu anlegen > Projektierung eines Zählers in der Runtime

Um einen neuen Zähler anzulegen, gehen Sie wie folgt vor:

  1. Klicken Sie auf die Registerkarte Zähler.
  2. Klicken Sie auf Neu.
  3. Der Dialog zur Neuanlage oder Ändern eines Zählers wird geöffnet.
  4. Geben Sie die Informationen zu dem Zähler ein.

Hinweis: Fehlerhafte Eingaben werden durch ein rotes Warndreiecksymbol neben dem Eingabefeld signalisiert.


Zähler editieren

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Zähler > Zähler editieren

Um einen bereits existierenden Zähler zu editieren, gehen Sie wie folgt vor:

  1. Wechseln Sie in die Registerkarte Zähler.
  2. Wählen Sie den entsprechenden Zähler in der Liste der projektierten Zähler.
  3. Klicken Sie auf Editieren.
  4. Der Dialog Zähler bearbeiten wird geöffnet.
  5. Fügen Sie noch weitere gewünschte Informationen hinzu und verwalten Sie den Zähler beliebig.
  6. Klicken Sie auf Speichern & Schließen.


Zähler löschen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Zähler > Zähler löschen

Um einen existierenden Zähler zu löschen, gehen Sie wie folgt vor:

  1. Wählen Sie in der Registerkarte Zähler einen Zähler, den Sie löschen möchten.
  2. Klicken Sie anschließend auf den Button Löschen und bestätigen Sie den Warndialog mit OK.
  3. Ihr selektierter Zähler ist gelöscht.

Hinweis: Ist ein Zähler bereits mit einer Messstelle verbunden, kann dieser nicht gelöscht werden. Der Button Löschen ist in diesem Fall ausgegraut. Um einen bereits zugewiesenen Zähler zu löschen, muss dieser zuerst in der Runtime von der Messstelle gelöst/ausgetauscht werden.


Messstellenverwaltung im zenon Netzwerk

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > Messstellenverwaltung in der Runtime > Messstellenverwaltung im zenon Netzwerk

Wird die Messstellenverwaltung zur Runtime auf einem Client ausgeführt, und der prozessführende Server fällt aus, wird das Modul deaktiviert. Eine entsprechende Meldung wird in der zenon Runtime visualisiert.

Eingaben von Dialogen, welche zum Zeitpunkt des Serverausfalls noch geöffnet sind, werden ignoriert. Somit wird gewährleistet dass keine inkonsistente Daten zwischen zenon Archiven/Chronologischer Ereignisliste und der Messstellenhistorie entstehen.

Sobald der prozessführende Server wieder erreichbar ist, ist auch das Modul wieder aktiv.


zenon Logic Komponenten der Messstellenverwaltung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > zenon Logic Komponenten der Messstellenverwaltung

Die Berechnung von Relativwerten bei automatischen Messstellen mit aktiver Einstellung Relativwert berechnen wird mit zenon Logic realisiert.

Notwendige Projektierungen werden automatisch von der Messstellenverwaltung übernommen. Informationen über diese automatisiert durchgeführten Schritte erhalten Sie in der Registerkarte Zusammenfassung des Wizards Metering Point Administration im zenon Editor. In dieser Registerkarte werden Sie auch über auftretende Probleme informiert.

Noch in diesem Kapitel

Überprüfung auf geöffnete zenon Logic Workbench

zenon Logic Projektierungen für die Messstellenverwaltung

Änderungen in zenon Logic übernehmen

Funktionsblock VACO

Funktionsblock ArchivTrigger


Überprüfung auf geöffnete zenon Logic Workbench

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > zenon Logic Komponenten der Messstellenverwaltung > Überprüfung auf geöffnete zenon Logic Workbench

Beim Start der Messstellenverwaltung im zenon Editor wird zuerst überprüft, ob die zenon Logic Workbench geöffnet ist. Um Fehlkonfigurationen zu vermeiden werden Sie bei geöffneter zenon Logic Workbench aufgefordert, diese zu schließen. Ein Start des Wizards bei geöffneter Workbench ist nicht möglich!

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Parameter | Beschreibung
Wiederholen | Erneute Prüfung auf geöffnete zenon Logic Workbench. Ist die zenon Logic Workbench nicht geöffnet, wird der Wizard geladen. Ist die zenon Logic Workbench immer noch offen, erscheint erneut der Fehlerdialog.
Abbrechen | Bricht das Öffnen der Messstellenverwaltung ab.


zenon Logic Projektierungen für die Messstellenverwaltung

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > zenon Logic Komponenten der Messstellenverwaltung > zenon Logic Projektierungen für die Messstellenverwaltung

Beim Anlegen von automatischen Messstellen mit der Einstellung Relativwert berechnen aktiviert, werden im Hintergrund automatisch folgende Aktionen durchgeführt:

Erstellung eines Treibers

  1. Typ STRATONNG
  2. Name: MeteringPoint
  3. Anpassung der Treibereinstellungen
    1. Host: localhost
    2. Port: 14731
      (Bei mehreren sich im Arbeitsbereich befindlichen Projekten wird die Portnummer für jedes geladene Projekt um 1 erhöht)

Erstellung eines zenon Logic Projektes

  1. Name: MeteringPoint
  2. Host: localhost
  3. Port: 14731
    (Bei mehreren sich im Arbeitsbereich befindlichen Projekten wird die Portnummer für jedes geladene Projekt um 1 erhöht)

Erstellung eines Programms im zenon Logic Projekt für die Relativwertberechnung

Name: RelativeValueCalculation

Nach Abschluss dieser Konfigurationen werden das zenon Logic Projekt sowie das zenon Projekt kompiliert.

Während der Projektierung einer Messstelle im Wizard, muss die zenon Logic Workbench geschlossen sein. Bei Problemen erscheint eine entsprechende Warnmeldung in der Zusammenfassung des Wizards.

attention Achtung

Sämtliche manuelle Änderungen am Treiber MeteringPoint, sowie am zenon Logic Projekt MeteringPoint (inkl. Programm RelativValueCalculation) können dazu führen, dass die automatische Relativwertberechnung nicht mehr funktioniert.


Änderungen in zenon Logic übernehmen

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > zenon Logic Komponenten der Messstellenverwaltung > Änderungen in zenon Logic übernehmen

Änderungen der Konfiguration von Messstellen können zu Änderungen im zenon Logic Programm führen.

In der zenon Runtime werden diese Änderungen durch Nachladen nicht übernommen. Erst nach Neustart der Runtime wird das aktuelle zenon Logic Programm geladen.

Example Beispiel

Änderung der Zykluszeit eines bestehenden Archives.

Damit bei einer Messstelle mit berechneten Relativwerten (Eigenschaft Relativwert berechnen aktiv) korrekte Berechnungen stattfinden, muss die zenon Runtime neu gestartet werden.


Funktionsblock VACO

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > zenon Logic Komponenten der Messstellenverwaltung > Funktionsblock VACO

Der Funktionsblock VACO in zenon Logic führt die Berechnung von Relativwerten aus.

Beim Anlegen/Bearbeiten von automatischen Messstellen mit der Einstellung „Relativwert berechnen" aktiviert, wird im zenon Logic Programm RelativValueCalculation für die entsprechende Messstelle eine Instanz des Funktionsblocks erzeugt. Wird eine automatische Messstelle mit aktivierter Relativwertberechnung gelöscht oder wird die Relativwertberechnung bei einer automatischen Messstelle deaktiviert, werden auch dazugehörige Projektierungen (Variablen und Codezeilen) in zenon Logic entfernt.

Programmierung - Quellcode

//Instance for Metering Point MessstellenName

VACO_MessstellenID(ANY_TO_LREAL({AbsolutVariablenName}),INT#1,{FunktionsTriggerVariablenName},T#5s,FALSE,0.0);

{RelativVariablenName}:=ANY_TO_DatenTypRelativVariable(VACO_0001);

{ArchivTriggerVariablenName}:=VACO_MessstellenID.TA;


Funktionsblock ArchivTrigger

Handbuch > Wizards > Themen > Metering Point Administration - Messstellenverwaltung > Messstellenverwaltung > zenon Logic Komponenten der Messstellenverwaltung > Funktionsblock ArchivTrigger

Der Funktionsblock ArchivTrigger führt (im Hintergrund) die notwendigen Berechnungen aus, um zyklische Archive mit der projektierten Zykluszeit zu triggern.

Wird die Projektierung eines zyklischen Archives für die Messstellenverwaltung in zenon geändert, wird das zenon Logic Programm nach Öffnen des Wizards automatisch nachgezogen.

Programmierung - Quellcode

//Instance for Trigger RE

Trigger_RE(ULINT#1420066800,ULINT#900,ULINT#28800,False,False,False);

OUT_TF_RE:=Trigger_RE.TF;


Pharmaceutical

Handbuch > Wizards > Themen > Pharmaceutical

Wizards für die Pharmazeutische Industrie.

Noch in diesem Kapitel

Pharmaceutical Wizard


Pharmaceutical Wizard

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard

Der Pharmaceutical Wizard ermöglicht die Verwaltung von validierten Projekten der Pharmazeutischen Industrie. Er fasst die für ein Good Manufacturing Practice (GMP) Projekt relevanten Einstellungen zusammen. Diese können hier verwaltet und geändert werden. Die Einstellungen werden entweder über ein bestehendes Projekt oder über eine Konfigurationsdatei in den Wizard geladen.

Folgende Einstellungen werden verwaltet:

  • Allgemeine Projekteinstellungen
  • Benutzerverwaltung
  • Benutzergruppen
  • Einstellungen für die Chronologische Ereignisliste
  • Einstellungen für die Alarmmeldeliste
  • XML-Vorlagen

Im Wizard projektierte Einstellungen können :

  • ins aktiven Projekt zurückgeschrieben werden
  • in einem neuen Projekt gespeichert werden
  • in einer spezieller Konfigurationsdatei gespeichert werden
    Diese im Wizard erzeugten Konfigurationsdateien können immer wieder verwendet und erweitert werden, sind aber nur mit dem Wizard lesbar und veränderbar.

Noch in diesem Kapitel

Wizard starten

Welcome

Settings

Project properties

User administration

User groups

CEL & Alarms

Templates I

Templates II

Finish


Wizard starten

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Wizard starten

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Pharmaceutical.
  3. Wählen Sie dort Pharmaceutical Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Welcome

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Welcome

Die Registerkarte Welcome informiert über Leistung und Nutzung des Wizards.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard. Alle seit der letzten Speicherung in einer Datei oder einem Projekt gemachten Änderungen werden verworfen.


Settings

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Settings

In dieser Registerkarte werden:

  • Einstellungen geladen
  • Projektbeschreibungen angepasst

Parameter | Beschreibung
Configuration | Festlegung, welches Projekt bearbeitet wird.
Load from active project | Lädt Einstellungen des im Arbeitsbereich aktiven Projekts in den Wizard.
Load from configuration file | Lädt Daten aus einer gespeicherten Konfigurationsdatei (*.cof). Die Datei wird aus der Liste ausgewählt. Die Liste zeigt alle im gewählten Ordner (Select directory) vorhandenen Konfigurationsdateien. Info: Konfigurationsdateien können nur mit dem Wizard gelesen, erstellt und geändert werden.
Select directory | Öffnet Dateiauswahldialog, um den Ordner auszuwählen, in dem sich die gewünschten Konfigurationsdateien (*.cof) befinden. Diese werden in der Listen unter der Schaltfläche angezeigt.
Templates | Einstellungen für XML- und XRS-Vorlagen.
Project description | Angaben zum Projekt, wie im Dialog der Eigenschaft Projektbeschreibung definiert. Wird vom geladenen Projekt übernommen und kann hier geändert werden. alle Änderungen werden zur Kontrolle in der Registerkarte Finish angezeigt.
Author | Autor des Projekts.
Manager | Projektmanager.
Company | Unternehmen.
Comment | Kommentare.


Project properties

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Project properties

Einstellungen für:

  • Netzwerk
  • Bedienberechtigung im Netzwerk
  • Änderungshistorie

Parameter

Beschreibung

Network

Netzwerk

Eigenschaften für die Verwendung des Projekts in einem Netzwerk.

Mehr im Online-Handbuch.

Active

Netzwerk aktiv

  • Aktiv: Das Projekt wird als Netzwerkprojekt verwendet. Ein Server muss definiert werden.
  • Inaktiv: Das Projekt ist ein Standalone-Projekt.

Default: inaktiv

Mehr im Online-Handbuch.

Server name

Server 1

Nur verfügbar bei aktiver Eigenschaft Netzwerk aktiv.
Rechner, der bei Netzwerkprojekten die Verbindung zur Hardware herstellt und die Projektdaten verwaltet. Die Clients verbinden sich zu diesem Rechner.

Klick auf ... öffnet Dialog mit Liste der im Netzwerk verfügbaren Computer.

Hinweis Name: Die IP-Adresse genügt nicht, es muss der Name des Rechners eingetragen werden. "localhost" darf nicht als Name verwendet werden.
Wird der Name geändert, kann dieser nicht nachgeladen werden. Er wird erst nach einem Neustart der Runtime aktualisiert.

Mehr im Online-Handbuch.

Standby name

Server 2

Nur verfügbar, wenn in der Eigenschaft Server 1 ein Rechner eingetragen wurde.

Klick auf ... öffnet Dialog mit Liste der im Netzwerk verfügbaren Computer.
Dieser Rechner übernimmt bei redundanten Systemen bei einem Ausfall des Prozessführenden Servers dessen Rolle. Der Ausfall wird erkannt, wenn der Prozessführende Server während der in der Eigenschaft Network communication timeout im Startup Tool definierten Zeit nicht reagiert. Ein eigener Puffer im Standby überbrückt die Totzeit zwischen Serverausfall und Umschaltung und verhindert so Datenverlust.

Hinweis Name: "localhost" darf nicht als Name verwendet werden.
Wird der Name geändert, kann dieser nicht nachgeladen werden. Er wird erst nach einem Neustart der Runtime aktualisiert.
Achtung: Prozessführender Server und Standby Server müssen identische Systemzeit haben.
Mehr im Online-Handbuch.

Redundancy type

Redundanztyp

Nur verfügbar, wenn bei der Eigenschaft Server 2 ein Rechner eingetragen wurde.

zenon unterstützt zwei Redundanztypen:

  • Software-Redundanz: Das System besteht aus einer Steuerung und zwei redundanten Leitsystem-Rechnern. Beide Rechner müssen Verbindung zur Steuerung haben. Beide Rechner kommunizieren mit der Steuerung und halten gleichzeitig die Daten aus der Steuerung aktuell. Die Kommunikation zur Steuerung übernimmt der Rechner mit Server-Funktion. Der Server kommuniziert also bidirektional, der Standby unidirektional. Fällt der Server aus, übernimmt der Standby Server die bidirektionale Kommunikation mit der Steuerung.
  • Hardware-Redundanz: Das System besteht aus zwei redundanten Steuerungen und zwei redundanten Leitsystem-Rechnern. Jeder Rechner kommuniziert mit einer Steuerung bidirektional. Beide Rechner und beide Steuerungen gleichen ihre Daten ab. Fällt eine Komponente im ersten System aus, übernimmt das zweite System.

Default: Software-Redundanz

Mehr im Online-Handbuch.

Network authorization

Bedienberechtigung

Eigenschaften für die Bedienberechtigung im Netzwerk.

Mehr im Online-Handbuch.

Active

Bedienberechtigung aktiv

Nur verfügbar bei aktiver Eigenschaft Netzwerk aktiv.
Die Bedienberechtigung im Netzwerk stellt sicher, dass im Netzwerk immer nur eine Station zur gleichen Zeit aktive Bedienhandlungen ausführen darf (z. B. Sollwerte ändern). Passiver, lesender Zugriff ist davon unabhängig immer möglich.

  • Aktiv:
    Nur ein Rechner kann das Projekt zur selben Zeit bedienen (z.B. Alarme quittieren, Sollwerte setzen).
  • Inaktiv:
    Mehrere Rechner können das Projekt zur gleichen Zeit bedienen.

Default: inaktiv

Mehr im Online-Handbuch.

Timeout for request [s]

Timeout für Abfrage [s]

Nur verfügbar, wenn bei der Eigenschaft Bedienberechtigung im Netzwerk Globale Bedienberechtigung oder Bedienberechtigung über Anlagenmodell aus der Dropdownliste ausgewählt wurde.
Wird die Bedienberechtigung im Netzwerk von einer Station blockiert, kann diese von einem anderen Rechner angefordert werden. Innerhalb des hier festgelegten Zeitraums muss diese Anfrage beantwortet werden. Nach Ablauf der Frist ohne Antwort erhält die anfragende Station automatisch die Berechtigung.

Default: 60 Sekunden

Mehr im Online-Handbuch.

Timeout for acknowlewdgement [s]

Timeout für Bedienberechtigung [s]

Nur verfügbar, wenn die Eigenschaft Bedienberechtigung im Netzwerk projektiert wurde.
Innerhalb dieses Zeitraumes muss sich der Rechner (Client), der die Bedienberechtigung besitzt, beim Server melden. Passiert das nicht, wird die Bedienberechtigung automatisch freigegeben.
Achtung: Dieser Wert muss kleiner sein als die in der Eigenschaft Timeout [s] eingestellte Zeit.

Default: 60 Sekunden

Mehr im Online-Handbuch.

History of changes

Änderungshistorie

Eigenschaften für die Änderungs-Historie.

Mehr im Online-Handbuch.

Active

Änderungshistorie aktiv

Aktiv: Änderungen im Projekt werden mitprotokolliert.
Inaktiv: Änderungen im Projekt werden nicht mitprotokolliert.
Default: inaktiv.

Mehr im Online-Handbuch.

Detailing level

Detaillierungsstufe

Nur verfügbar, wenn die Eigenschaft Änderungshistorie aktiv aktiviert wurde.

Auswahl der Detailstufen aus Dropdownliste.

  • Objekt: Es werden lediglich die Objektnamen der geänderten Objekte aufgezeichnet. Details zu den geänderten Eigenschaften und deren Werte scheinen nicht in der Änderungshistorie auf.
  • Eigenschaften: Zusätzlich zu den Objektnamen werden die geänderten Eigenschaften sowie deren neue Werte in die Historie aufgenommen.
  • Wertänderungen: Diese Einstellung bewirkt den größtmöglichen Aufzeichnungsgrad. Dabei wird neben dem neuen Wert einer Eigenschaft auch deren alter Wert gespeichert. Somit ist eine komplette Rückverfolgung von Änderungen auf Wertebene möglich.

Default: Objekt

Hinweis: Geänderte Werte werden nach einer Länge von 128 Zeichen abgeschnitten.

Mehr im Online-Handbuch.


User administration

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > User administration

Einstellungen für die Benutzerverwaltung:

Parameter

Beschreibung

User administration

Benutzerverwaltung

Projektbezogene Eigenschaften für die Benutzer-Verwaltung.

Mehr im Online-Handbuch.

Delete users

Löschen von Benutzern

  • Aktiv: Löschen eines Benutzers in der Runtime ist erlaubt.
  • Inaktiv: Benutzer können nur als gelöscht markiert werden. Die Benutzer bleiben dabei in der Liste der Benutzer, sind allerdings für die Bedienung in der Runtime nicht mehr gültig (nach FDA Richtlinie).

Default: aktiv

Mehr im Online-Handbuch.

Minimum password length

Minimale Passwortlänge

Minimale Länge des Passwortes in Zeichen.

  • Minimum: 0
  • Maximum: 20

Default: 6

Mehr im Online-Handbuch.

Period of password validity [days]

Pwt. Gültigkeitsdauer[d]

Eingabe eines Zeitraumes (in Tagen), wie lange ein Passwort gültig ist. Nach abgelaufener Zeit muss ein neues Passwort vergeben werden.

  • Minimum: 0 - Das Passwort läuft nie ab und muss nicht erneuert werden. Bei dieser Einstellung wird der Wert 2147483647 auf die Systemtreibervariable "Tage bis Passwort abläuft" geschrieben.
  • Maximum: 4294967295

Default: 0
Achtung: Bei Produktionen nach den Richtlinien der FDA ist der Eintrag 0 hier nicht zulässig, da die Regeln der FDA ein zyklisches Ändern des Passworts verlangen.

Mehr im Online-Handbuch.

Number of invalid user name inputs

Max. Benutzerfehleing.

Anzahl der erlaubten Eingaben eines nicht existierenden Benutzernamens.
Wird diese Anzahl überschritten, so wird das System gesperrt. Mit Ausnahme von Administratoren kann sich kein Benutzer mehr anmelden. Durch die Anmeldung eines Administrators wird das System automatisch wieder entsperrt. Ein entsprechender Eintrag in der Chronologischen Ereignisliste (CEL) wird erstellt. Änderungen dieses Werts werden zur Runtime erst nach einem Neustart wirksam.

  • Minimum: 0
  • Maximum: 65535

Default: 3

Mehr im Online-Handbuch.

Number of invalid password inputs

Max. Passwortfehleing.

Anzahl der erlaubten falschen Passwort-Eingaben.
Wird diese Anzahl überschritten, so wird der entsprechende Benutzer gesperrt. Die Sperre kann nur von einem Administrator aufgehoben werden.Ein entsprechender Eintrag in der Chronologischen Ereignisliste (CEL) wird erstellt.

  • Minimum: 0
  • Maximum: 65535

Default: 3

Mehr im Online-Handbuch.

User administration storage

Speicherung der Benutzerverwaltung

Selected user storage

Auswahl, wo die Benutzereinstellungen gespeichert werden:

  • Projekt
  • Active Directory (AD)
  • Active Directory Application Mode (ADAM)

ADAM connection string

AD LDS-Verbindung

Verbindungspfad zu ADAM bzw. AD LDS.

Der Verbindungspfad muss in folgender Form eingegeben werden: [PC-Name]:[Port]/[Organisation]

Beispiel: w3k:50000/O=800,c=com

Mehr zu AD LDS im Online-Handbuch.

Mehr zu ADAM im Online-Handbuch.

ADAM user identification

AD LDS-Benutzername

Benutzername eines lokalen Benutzers des ADAM/AD LDS-Rechners mit Administratorrechten.

Mehr zu AD LDS im Online-Handbuch.

Mehr zu ADAM im Online-Handbuch.

ADAM password

AD LDS-Passwort

Kennwort des lokalen Benutzers des ADAM/AD LDS PCs.

Mehr zu AD LDS im Online-Handbuch.

Mehr zu ADAM im Online-Handbuch.

Log out/log in

Eigenschaften für An- und Abmeldung.

Activate automatical logout

Automatisches Logout aktiv

  • Aktiv: Der Benutzer wird automatisch ausgeloggt, wenn für den in der Eigenschaft Zeit [min] definierten Zeitraum keine Bedienaktion stattfindet.
  • Inaktiv: Der Benutzer wird vom System nicht automatisch ausgeloggt.

Default: inaktiv

Mehr im Online-Handbuch.

Activate temporary login

Temporäres Login aktiv

Aktivierung des temporären Logins für Benutzer, die ein Element bedienen möchten, aber nicht eingeloggt sind:

  • Aktiv: Benutzer, der eine Bedienberechtigung benötigt, wird zur Eingabe seiner Kennung und seines Passworts aufgefordert. Dazu wird - je nach Konfiguration - das Bild vom Typ Login oder ein modaler Dialog aufgeschaltet. Der Benutzer wird sofort nach der Bedienhandlung automatisch wieder ausgeloggt.
  • Inaktiv: Benutzer, der eine Bedienberechtigung benötigt, erhält die Information, dass er zu dieser Bedienhandlung nicht berechtigt ist.

Default: aktiv

Hinweise:

  • Position und Größe der Login-Maske des modalen Dialogs können in der zenon6.ini unter [Befehlsgabe]Position = definiert werden.
  • Statt des modalen Dialogs kann das Bild vom Typ Login verwendet werden. Dieses wird mit der Eigenschaft Bild für Login mit Signatur definiert.

Mehr im Online-Handbuch.

Locked buttons style

Gesperrte Buttons

Nur verfügbar, wenn die Eigenschaft Temporäres Login aktiv inaktiv ist.
Definiert das Aussehen von Buttons, die aufgrund der Einstellungen der Bedienberechtigung gesperrt sind. Wird zur Runtime für die Bedienung von Tasten mit der Eigenschaft Verriegelte Buttons (Grafische Ausprägung) kombiniert.

Mögliche Darstellungsformen:

  • Grau
  • Normal
  • Unsichtbar

Default: Normal

Mehr im Online-Handbuch.

Set names for authorization levels

Entspricht Eigenschaft Berechtigungsebenen umbenennen.

Jeder der 128 Berechtigungsebenen kann neben der Nummer ein Name zugewiesen werden. Klick in die rechte Spalte ermöglicht das Umbenennen.


User groups

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > User groups

In dieser Registerkarte weisen Sie Benutzergruppen Berechtigungsebenen zu.

Parameter | Beschreibung
User groups | Liste der Benutzergruppen
User group levels | Liste der Berechtigungsebenen
Delete | Löscht ausgewähltes Objekt ohne Sicherheitsabfrage.

Klick auf eine Benutzergruppe zeigt deren Berechtigungsebenen an. Klick in die Ebene ermöglicht das Editieren der Berechtigungsebene. Der Name wird automatisch angepasst. Klick in eine leere Ebene ermöglicht das Einfügen einer neuen Berechtigungsebene.

Mit Klick auf Delete können sowohl Gruppen als auch zugewiesene Berechtigungsebenen gelöscht werden. Beim Löschen erfolgt keine Sicherheitsabfrage.


CEL & Alarms

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > CEL & Alarms

Konfiguration der Chronologischen Ereignisliste und der ALarmverwaltung.

Parameter

Beschreibung

Chronlogic Event List and Alarm Message List

Chronologische Ereignisliste

Eigenschaften für die Verwaltung der Chronologischen Ereignisliste (CEL).

Mehr im Online-Handbuch.

CEL active

CEL aktiv

  • Aktiv: Die Chronologische Ereignisliste (CEL) ist in der Runtime aktiv. Ereignisse werden aufgezeichnet und die CEL ist verfügbar.
  • Inaktiv: Keine Ereignisse werden aufgezeichnet.

Default: aktiv

Hinweis: Änderungen werden erst nach einem Neustart der Runtime wirksam.

Mehr im Online-Handbuch.

Update automatically

Automatisch aktualisieren

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Aktiv: Während die CEL in der Runtime geöffnet ist, werden geänderte Ereignisse sofort hinzugefügt, sobald sie auftreten.
  • Inaktiv: Während die CEL geöffnet ist, werden geänderte Einträge nur vor jedem Schreiben eines Werts auf die SPS hinzugefügt. Dabei wird als Istwert in der CEL jener Wert eingetragen, der vor dem Schreiben auf der SPS war.
    Die aktuellen Einträge werden erst beim nächsten Öffnen der CEL hinzugefügt.

Default: aktiv

Mehr im Online-Handbuch.

Print system messages

Systemmeldungen drucken

Aktiv: Beim Online-Druck werden auch Systemmeldungen ausgedruckt.
Inaktiv: Systemmeldungen werden beim Online-Druck nicht ausgedruckt.
Default: aktiv

Mehr im Online-Handbuch.

Long dynamic limit texts CEL

Lange dynamische Grenzwerttexte CEL

Bestimmt, ob das Kommentarfeld für dynamische Grenzwerttexte zur Verfügung steht. Der dynamische Grenzwert erlaubt es, aktuelle Werte anderer Variablen in den Grenzwerttext einer Variablen einzufügen.

  • Aktiv: Dynamische Inhalte werden in einer Datei mit der Namenskonvention D*.CEL gespeichert. Diese wird zusätzlich zur Datei C*.CEL angelegt. Das Kommentarfeld kann damit für Kommentare benutzt werden. Dynamische Grenzwerttexte dürfen maximal 1024 Zeichen lang sein.
  • Inaktiv: Das Kommentarfeld wird für die dynamischen Grenzwerttexte genutzt und ist für Kommentare gesperrt. Maximale Länge: 80 Zeichen.

Default: inaktiv.

Mehr im Online-Handbuch.

Signature text editable

Signaturtext editierbar

Aktiv: In der Runtime wird ein Dialog zum Editieren des Signaturtextes geöffnet.

Inaktiv: Der Signaturtext kann in der Runtime nicht geändert werden.

Default: inaktiv

Mehr im Online-Handbuch.

Data storage CEL

Datenspeicherung CEL

Eigenschaften für die Speicherung der Einträge der Chronologischen Ereignisliste (CEL) im Hauptspeicher und auf der Festplatte.

Mehr im Online-Handbuch.

Size of the ringpuffer

Größe des Ringpuffers

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

Größe des CEL-Ringpuffers. Bei Überlauf des Ringpuffers (cel.bin) werden die überzähligen Einträge entfernt. Der Ringpuffer kann über die Eigenschaft Ringpuffer bei Wertänderung speichern manuell gespeichert werden.

  • Minimum: 1
  • Maximum: 32767

Default: 100

Hinweis: Zur Runtime werden eventuell mehr Einträge als projektiert angezeigt, da alte Einträge erst beim Aktualisieren der Liste aus der CEL entfernt werden.

Mehr im Online-Handbuch.

Save CEL data

CEL-Daten speichern

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Ringpuffer und historische Daten: Alle CEL-Einträge (*.cel) werden gespeichert.
  • Nur Ringpuffer: Nur eine definierte Anzahl von CEL-Einträgen (cel.bin) wird gespeichert. Die Anzahl wird über die Eigenschaft Größe des Ringpuffers definiert.
  • Default: Auf CE-Geräten wird nur der Ringpuffer (cel.bin) gespeichert; auf PCs werden auch die historischen Einträge (*.cel) gespeichert.

Default: Default
Die Dateien (cel.bin und *.cel) werden im Ordner \Projektordner\Computername\Projektname gespeichert.

Mehr im Online-Handbuch.

Save ringpuffer on change

Ringpuffer bei Wertänderung speichern

Auswahl der Art der Datenspeicherung.

  • Aktiv: Jede Änderung der Daten der Chronologischen Ereignisliste (CEL) bewirkt auch das Speichern der Daten (cel.bin).
  • Inaktiv: Daten der CEL (cel.bin) werden beim Beenden der Runtime oder beim Ausführen der Funktion AML- und CEL-Ringspeicher speichern gespeichert. Empfiehlt sich vor allem bei niedriger Performance. Historische Daten (*.cel) können unabhängig von dieser Einstellung bei jeder Wertänderung gespeichert werden.

Hinweis: Wird die Eigenschaft auf aktiv gesetzt, kann das - vor allem bei Flash Disks - zu erheblicher Systembelastung führen. Wird die Eigenschaft auf inaktiv gesetzt, kann es bei einem unerwarteten Beenden der Runtime zu Datenverlust kommen. Inaktiv empfiehlt sich vor allem bei niedriger Performance.

Default: inaktiv

Mehr im Online-Handbuch.

Logging

Protokollierung

Allgemeine Eigenschaften für die Chronologische Ereignisliste (CEL).

Mehr im Online-Handbuch.

Alarm acknowledgement

Alarm-Quittierung

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Aktiv: Wird ein Alarm quittiert, erfolgt ein Eintrag in die Chronologische Ereignisliste (CEL).
Inaktiv: Das Quittieren von Alarmen führt zu keinem Eintrag in der CEL.
Default: inaktiv.

Mehr im Online-Handbuch.

Function Set SW

Funktion Sollwert setzen

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Aktiv: Beim erfolgreichen Schreiben von Werten auf die Hardware erfolgt ein entsprechender Eintrag in der CEL.
  • Inaktiv: Das erfolgreiche Schreiben von Werten wird in der CEL nicht protokolliert.

Default: inaktiv

Hinweis: Diese Einstellung wirkt sich zur Runtime nur aus, wenn das Sollwert-Setzen über die Funktion Sollwert setzen ausgeführt wird.

Mehr im Online-Handbuch.

Send recipes

Rezepte absetzen

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Keine Protokollierung: Das Absetzen von Standard Rezepten und Rezepten des Rezeptgruppen-Managers (RGM) wird nicht in der CEL protokolliert.
  • Rezepte protokollieren: Beim Absetzen eines Rezepts wird dieses mit dem Namen des Rezepts in der CEL protokolliert.
  • Rezepte und Werte protokollieren: Beim Absetzen eines Rezepts wird dieses in der CEL protokolliert mit:
    • Name des Rezepts
    • neuen und alten Werten der Variablen
    • Namen der Variablen

Default: keine Protokollierung

Mehr im Online-Handbuch.

Change recipes

Rezepte ändern

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Keine Protokollierung:
    Das Ändern von Standard Rezepten und Rezepten des Rezeptgruppen-Managers (RGM) wird nicht in der CEL protokolliert.
  • Rezepte protokollieren:
    Beim Ändern eines Rezepts wird diese Änderung mit dem Namen des geänderten Rezepts in der CEL protokolliert.
  • Rezepte und Werte protokollieren:
    Beim Ändern eines Rezepts wird dieses in der CEL protokolliert mit:
    • Name des Rezepts
    • neuen und alten Werten der Variablen
    • Namen der Variablen

Default: keine Protokollierung

Mehr im Online-Handbuch.

Alarm groups

Alarm/Ereignis-Gruppen

Add

Fügt die im Eingabefeld eingetragene Zeichenfolge als neue Alarm/Ereignis-Gruppe hinzu. Hinzufügen kann auch über die Taste Eingabe erfolgen.

Remove

Löscht markierte Alarm/Ereignis-Gruppe.

Alarm classes

Alarm/Ereignis-Klassen

Add

Fügt die im Eingabefeld eingetragene Zeichenfolge als neue Alarm/Ereignis-Klasse hinzu. Hinzufügen kann auch über die Taste Eingabe erfolgen.

Remove

Löscht markierte Alarm/Ereignis-Klasse.


Templates I

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Templates I

In dieser Registerkarte können folgende Elemente bearbeitet werden:

  • Bilder
  • Datentypen
  • Farbpaletten
  • Reaktionsmatrizen

In der jeweils rechten Liste werden die für das Element in der aktuellen Konfigurationsdatei vorhandenen XML-Dateien angezeigt und bearbeitet.

Schaltflächen | Funktion
Rechte Liste |
Export | Öffnet Dialog zum Exportieren der XML-Dateien, die im Editor über den Befehl Ausgewählte XML exportierten erstellt wurden.
Import | Öffnet Dialog zum Importieren von XML-Dateien, die im Editor über den Befehl Ausgewählte XML exportierten erstellt wurden. Der Import erfolgt in den Ordner: %ProgrammData%\COPA-DATA\zenon8.00\Templates\PharmaWizard
Delete | Löscht XML-Dateien, die im Editor über den Befehl. Ausgewählte XML exportierten erstellt wurden.
Linke Liste |
Add | Fügt Vorlagen aus der linken Liste hinzu. Alternativ kann auch ein Doppelklick auf die Vorlage ausgeführt werden. Das Speichern im aktuellen oder einem neuen Projekt erfolgt in der Registerkarte Finish.
Remove | Entfernt Vorlage aus der Liste.


Templates II

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Templates II

In dieser Registerkarte können folgende Elemente bearbeitet werden:

  • Symbole
  • Reports aus dem Report Generator

In der jeweils rechten Liste werden die in der aktuellen Konfigurationsdatei für das Element vorhandenen XML-Dateien angezeigt und bearbeitet. Reports werden als XRS-Dateien gespeichert.

Schaltflächen | Funktion
Rechte Liste |
Export | Öffnet Dialog zum Export von XML-Dateien, die im Editor über den Befehl Ausgewählte XML exportierten erstellt wurden.
Import | Öffnet Dialog zum Import von XML-Dateien, die im Editor über den Befehl Ausgewählte XML exportierten erstellt wurden. C:\\ProgrammData\COPA-DATA\zenon8.00\Templates\PharmaWizard.
Delete | Löscht XML-Dateien, die im Editor über den Befehl Ausgewählte XML exportierten erstellt wurden.
Linke Liste |
Add | Fügt Vorlagen aus der linken Liste hinzu. ALternativ kann auch ein Doppelklick auf die Vorlage ausgeführt werden. Das Speichern im aktuellen oder einem neuen Projekt erfolgt in der Registerkarte Finish.
Remove | Entfernt Vorlage aus der Liste.


Finish

Handbuch > Wizards > Themen > Pharmaceutical > Pharmaceutical Wizard > Finish

In dieser Registerkarte wird:

  • die Projektbeschreibung eingetragen
  • definiert, wie die geänderten Projektierungen gespeichert werden

Parameter

Beschreibung

Project description

Angaben zum Projekt, wie in der Registerkarte Settings definiert. Nur Anzeige, keine Änderung möglich.

Author

Name des Projektanten.

Manager

Name des Managers.

Company

Unternehmen.

Comment

Kommentar zum Projekt.

Save configuration settings

Optionen zur Speicherung der im Wizard durchgeführten Änderungen.

Nachrichten-Feld

Meldungen über Erfolg/Misserfolg von Speicheraktionen.

... in current project

Alle Einstellungen werden in das aktuelle Projekt geladen. Die Einstellungen im Projekt werden dabei überschrieben.

... as new project

Ein neues Projekt mit den gesetzten Einstellungen und ausgewählten Vorlagen wird erstellt. Ein Projektname muss vorher ausgewählt werden.

... as fíle

Eine neue Konfigurationsdatei vom Dateitype *.cof wird erzeugt. Wird der Name einer bestehenden Konfigurationsdatei verwendet wird diese überschrieben.

Achtung: Die erstellten Konfigurationsdateien können nur mit dem Wizard gelesen, erstellt und geändert werden.

Name

Name der Konfigurationsdatei.


Project

Handbuch > Wizards > Themen > Project

Wizards für:

  • Projekterstellung
  • den Vergleich von Projektsicherungen
  • die Erstellung einer Projektdokumentation

Noch in diesem Kapitel

Project comparison

Project Configuration Wizard

Dokumentation-Wizard


Project comparison

Handbuch > Wizards > Themen > Project > Project comparison

Der Wizard ermöglicht den Vergleich von Projektsicherungen. Dabei wird ausgewertet, welche Objekte und Elemente gelöscht, hinzugefügt oder verändert wurden. Das Ergebnis kann als XML-Datei oder als HTML-Datei gespeichert und angezeigt werden.

Voraussetzungen

Der Wizard kann Projektsicherungen einlesen und vergleichen, die:

  • als ZIP-Datei gespeichert wurden
  • mit aktiver Versionierung erstellt wurden
  • mit aktivem XML-Export erstellt wurden

Um Versionierung und XML-Export zu aktivieren:

  1. Öffnen Sie in den Projekteigenschaften den Knoten Allgemein.
  2. Navigieren Sie zum Abschnitt Versionierung.
  3. Aktivieren Sie die Eigenschaft Versionierung aktiv.
  4. Aktivieren Sie die Eigenschaft XML-Export aktiv.

Temporäre Dateien

Während des Vergleichs entpackt der Wizard die Projektsicherungen in den temporären Ordner BackUpComparisonWorkingFolder. Dieser wird im Pfad C:\Users\Public\Documents\zenon_Projects\Worspace angelegt. Dieser temporäre Ordner wird beim Schließen des Wizards wieder gelöscht.

Noch in diesem Kapitel

Wizard starten

Welcome

Settings

Compare

Documentation


Wizard starten

Handbuch > Wizards > Themen > Project > Project comparison > Wizard starten

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Project.
  3. Wählen Sie dort Backup Comparison Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Welcome

Handbuch > Wizards > Themen > Project > Project comparison > Welcome

Die Registerkarte Welcome informiert über Leistung und Nutzung des Wizards.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Klick auf Cancel beendet den Wizard.


Settings

Handbuch > Wizards > Themen > Project > Project comparison > Settings

In dieser Registerkarte werden die beiden Projektsicherungen ausgewählt, die verglichen werden sollen, sowie die zenon Module, die in diesen Vergleich einbezogen werden sollen.

Parameter

Beschreibung

Select project backups

Auswahl der Backup-Dateien.

Latest version

Neuere Version. Klick auf Schaltfläche ... öffnet Datei-Browser zur Auswahl einer Projektsicherung.

Hinweis: Projektsicherungen befinden sich standardmäßig im Ordner %ProgramData%\COPA-DATA\SQL2008R2\BACKUP\[Project], können aber über Export in beliebige Ordner abgelegt werden.

Older version

Ältere Version. Klick auf Schaltfläche ... öffnet Datei-Browser zur Auswahl einer Projektsicherung.

Select project modules

Auswahl der Module, die verglichen werden sollen. Auswahl erfolgt über Aktivierung der Checkboxen vor den Modulen.

Diese Einstellungen werden für jeden Benutzer individuell gespeichert und sind beim nächsten Öffnen des Wizards wieder verfügbar.

Pfeiltasten

Klick auf Schaltfläche wechselt zur vorigen oder nächsten Registerkarte.

Cancel

Beendet Wizard.


Compare

Handbuch > Wizards > Themen > Project > Project comparison > Compare

In dieser Registerkarte werden die Projektsicherungen auf Basis der ausgewählten Module verglichen.

Parameter

Beschreibung

Listenfeld

Im Listenfeld werden nach Klick auf die Schaltfläche Compare die Unterschiede der Projektsicherungen dargestellt.

Inhalte der Spalten:

  • Module: Name des Moduls.
  • Result: Name des Objekts.
  • Element: Anzeige und Beschreibung des Elements.
  • Parameter: Name des veränderten Parameters.
  • Old: Bisheriger Wert eines veränderten Parameters.
  • New: Neuer Wert eines veränderten Parameters.

Farbliche Kennzeichnung:

  • blau: neue Objekte und Elemente
  • rot: gelöschte Objekte und Elemente
  • grün: geänderte Objekte und Elemente
  • schwarz: unveränderte Objekte und Elemente

Navigation

Elemente für die Navigation in der Liste.

Changed elements

Aktiv: Klick auf vertikale Pfeil-Schaltfläche springt zum vorigen/nächsten geänderten Element.

Deleted elements

Aktiv: Klick auf vertikale Pfeil-Schaltfläche springt zum vorigen/nächsten gelöschten Element.

New elements

Aktiv: Klick auf vertikale Pfeil-Schaltfläche springt zum vorigen/nächsten neuen Element.

Show only differences

Aktiv: Nach Klick auf die Schaltfläche Compare werden nur die Unterschiede farblich dargestellt, gleich gebliebene Elemente werden nicht angezeigt.

Wird diese Option geändert, muss der Vergleich über Klick auf Compare neu gestartet werden.

Compare

Vergleicht die Projektsicherungen entsprechend der Auswahl und zeigt diese im Listenfeld an.

Doppelpfeiltasten vertikal

Klick auf Schaltfläche springt zum vorigen/nächsten Modul.

Pfeiltasten vertikal

Klick auf Schaltfläche springt je nach Einstellungen zum vorigen/nächsten Ergebnis der gleichen Art:

  • Changed elements
  • Deleted elements
  • New elements

Pfeiltasten horizontal

Klick auf Schaltfläche wechselt zur vorigen oder nächsten Registerkarte.

Cancel

Beendet Wizard.

Beispiel Projektvergleich:

Alle Objekte:

Einige Änderungen:

Im Modul Bilder wurde:

  • das Bild batch gelöscht
  • im Bild SYSTEM_2 ein Textelement geändert
  • im Bild START ein Button mit Name Button_1 hinzugefügt
  • im Bild ALARM nichts geändert

Nur Unterschiede:

Die Änderungen sind wie im vorigen Screenshot erkennbar. Gleich gebliebene Objekte und Elemente werden ausgeblendet.


Documentation

Handbuch > Wizards > Themen > Project > Project comparison > Documentation

In dieser Registerkarte kann das Ergebnis des Projektsicherungsvergleichs als XML-Datei oder HTML-Datei angezeigt und gespeichert werden.

Parameter

Beschreibung

Settings

Einstellungen für Typ der Dokumentation.

Create XML

Aktiv: Eine XML-Datei wird erstellt.

Create HTML

Aktiv: Eine HTML-Datei wird erstellt.

Save Path

Pfad zum Ordner, in dem die Datei gespeichert wird. Nur Anzeige. Auswahl erfolgt über Schaltfläche Compare.

Create documentation

Klick auf Schaltfläche:

  • Öffnet Datei-Browser: Wählen Sie hier den Speicherplatz und vergeben Sie einen Namen für die Dokumentationsdatei.
  • Die Dokumentation wird im gewünschten Typ gespeichert und zeigt diese im Listenfeld an.

Listenfeld

Anzeige der Dokumentation.

Pfeiltaste

Klick auf Schaltfläche wechselt zur vorigen Registerkarte.

Cancel

Beendet Wizard.

Beispiel XML-Datei

Anzeige im Wizard:

Darstellung als XML-Datei:

Beispiel HTML Datei

Bei der Erstellung einer HTML-Datei werden im Speicherpfad auch eine XML-Datei und eine XSLT Datei erstellt. Aus diesen beiden Dateien wird die HTML Datei dynamisch erzeugt:

Aufbau der HTML-Datei:


Project Configuration Wizard

Handbuch > Wizards > Themen > Project > Project Configuration Wizard

Mit dem Wizard können grundlegende Objekte für neue Projekte erstellt werden. Es können konfiguriert werden:

  • Informationen zum Projekt
  • Treiber, auch mit Treiber-Variablen
  • grafische Einstellungen
  • Basis-Bilder mit Symbolen, WPF-Element, AML, CEL, Systeminformationen und einer Übersicht der Simulations-Variablen
  • Navigation

Im Wizard geänderte Einstellungen können im Benutzerprofil des Betriebssystems gespeichert und beim nächsten Öffnen durch den gleichen Benutzer wieder geladen werden.

Der Wizard wird in Englisch ausgeführt, die Sprache im Projekt entspricht der des geöffneten zenon Editors. Dieser Wizard wird beim Anlegen eines neuen Projekts automatisch ausgeführt.

Mehrplatzfähige Projekte

Der Wizard unterstützt keine Mehrplatzfähigen Projekte. Beim neu Anlegen eines Mehrplatzfähigen Projekts wird der Wizard nicht automatisch gestartet. Beim manuellen Start wird er mit einer Warnmeldung wieder beendet.

info Info

Wird der Wizard manuell über den Wizard-Auswahldialog gestartet, dann muss:

  • ein leeres Projekt angelegt sein
  • das Projekt aktiv sein

Noch in diesem Kapitel

Wizard starten

Welcome

Navigationsleiste

Project Info

Drivers

Graphic Settings

Screen Selection

Finish

Beispiel zur Runtime


Wizard starten

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Wizard starten

Der Wizard wird automatisch beim Anlegen eines neuen Projekts gestartet. Er kann aber auch direkt im Dialog zum Starten der Wizards ausgewählt werden.

attention Achtung

Der volle Leistungsumfang des Wizards steht nur für ein leeres zenon Projekt zur Verfügung. Wird der Wizard in einem Projekt gestartet, welches bereits Projektierungen enthält, wird vom Wizard nur die Erstellung von Dashboards unterstützt.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Project.
  3. Wählen Sie dort Project Configuration Wizard.
  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.

Wenn Sie den Wizard aus einem bestehenden Projekt aus aufrufen, erhalten Sie einen Warnhinweis:

Mit Klick auf Ja bestätigen Sie, dass Sie Veränderungen Ihrer bestehenden Konfiguration akzeptieren.


Welcome

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Welcome

Die Registerkarte Welcome gibt eine kurze Leistungsübersicht des Wizards.

Die Navigation durch den Wizard erfolgt über Klicks auf die einzelnen Registerkarten oder Schritt für Schritt per Klick auf die Pfeiltasten.

Wird der Wizard in einem bestehenden zenon Projekt gestartet, in dem bereits Änderungen vorgenommen wurden, erscheint folgende Startseite in der Registerkarte Welcome:

Hinweis: Anstatt der Schaltfläche Finish wird nun die Schaltfläche Overwrite angezeigt, da bei durchgeführten Änderungen Daten überschrieben werden.


Navigationsleiste

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Navigationsleiste

Mit der Navigtionsleiste können Sie jeweils eine Registerkarte vor- oder zurückschalten.

Ansicht bei erstmaliger Verwendung des Wizards:

Ansicht bei nachfolgender Verwendung des Wizards:

Parameter | Beschreibung
Pfeiltasten | Navigiert eine Registerkarte vor oder zurück.
Finish | Erstellt Projekt und überschreibt eventuell vorhandene Objekte. Nur aktiv, wenn die Registerkarte Finish geöffnet wird.
Overwrite | Ersetzt im Projekt vorhandene Daten durch die im Wizard eingestellten Änderungen. Nur aktiv, wenn der Wizard in einem bestehenden zenon Projekt gestartet wird, in dem bereits Änderungen vorgenommen wurden.
Close | Beendet den Wizard. Die vorgenommen Änderungen können für den aktuellen Benutzer gespeichert werden.


Project Info

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Project Info

In dieser Registerkarte werden allgemeine Projekteinstellungen vorgenommen sowie Einstellungen für die Versionierung und die Änderungshistorie konfiguriert.

Parameter | Beschreibung
Author | Optionales Eingabefeld für den Autor des Projekts.
Manager | Optionales Eingabefeld für Projekt-Manager.
Company | Optionales Eingabefeld für das Unternehmen des Projekts.
Comment | Optionales Eingabefeld für einen Kommentar zum Projekt.

Backup settings

Einstellungen zur Sicherung und Versionierung.

Parameter | Beschreibung
Versioning | Aktiv: Projektversionierung wird verwendet. Jede Projektsicherung wird mit einer eigenen Versionsnummer gespeichert. Inaktiv: keine Versionierung der Projektsicherungen. Default: inaktiv Mehr im Online-Handbuch.
Main version | Eingabefeld für die Nummer der Hauptversion. Alle weiteren Versionen werden von der eingegebenen Nummer fortlaufend weitergezählt. Default: 0
Activate XML export | Aktiv: Bei jeder Projektsicherung wird eine ZIP-Datei (Version.zip) eingefügt. Diese enthält 24 XML-Dateien mit den Sicherungen der einzelnen Module. Hinweis: Bei Mehrplatzfähigen Projekten nur bei lokaler Sicherung. Default: inaktiv Mehr im Online-Handbuch.

History of Changes

Einstellungen für Änderungshistorie.

Parameter

Beschreibung

Active

Änderungshistorie aktiv

Aktiv: Änderungen im Projekt werden mitprotokolliert.
Inaktiv: Änderungen im Projekt werden nicht mitprotokolliert.
Default: inaktiv.

Mehr im Online-Handbuch.

Detailing levels

Nur verfügbar, wenn die Eigenschaft Änderungshistorie aktiv aktiviert wurde.

Auswahl der Detailstufen aus Dropdownliste.

  • Objekt: Es werden lediglich die Objektnamen der geänderten Objekte aufgezeichnet. Details zu den geänderten Eigenschaften und deren Werte scheinen nicht in der Änderungshistorie auf.
  • Eigenschaften: Zusätzlich zu den Objektnamen werden die geänderten Eigenschaften sowie deren neue Werte in die Historie aufgenommen.
  • Wertänderungen: Diese Einstellung bewirkt den größtmöglichen Aufzeichnungsgrad. Dabei wird neben dem neuen Wert einer Eigenschaft auch deren alter Wert gespeichert. Somit ist eine komplette Rückverfolgung von Änderungen auf Wertebene möglich.

Default: Objekt

Hinweis: Geänderte Werte werden nach einer Länge von 128 Zeichen abgeschnitten.

Mehr im Online-Handbuch.


Drivers

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Drivers

In dieser Registerkarte werden die zenon Treiber ausgewählt, welche bei Ausführung des Wizards automatisch projektiert werden.

Parameter

Beschreibung

Treiberliste

Liste der zenon Treiber in Baumdarstellung.

  • Klick auf [+] erweitert den Eintrag.
  • Klick auf [-] reduziert den Eintrag.

Auswahl des Treibers durch Klick.

Driver information

Anzeige von zusätzlichen Informationen zum ausgewählten Treiber.

Driver name

Name des Treibers, wie er im Projekt angelegt werden soll. Freie Texteingabe.

Der Treibername wird nach Auswahl mit einem Vorschlag vorausgefüllt.

Eindeutige Bezeichnung des Treibers.
zenon identifiziert den Treiber über diesen Namen und nicht über den Dateinamen. So ist es möglich, den gleichen Treiber mehrmals zu laden. Das ist z.B. bei seriellen Treibern notwendig, wenn sie auf gleiche Steuerungstypen an verschiedenen seriellen Schnittstellen zugreifen müssen.
Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Add

Fügt den ausgewählten Treiber zur Liste der anzulegenden Treiber hinzu.

Remove

Löscht den ausgewählten Treiber aus der Liste der anzulegenden Treiber.

Liste anzulegender Treiber

Liste der anzulegenden Treiber mit Name, Beschreibung und Dateiname.

Create screen with driver statistic variables

Checkbox für die Aktivierung der automatischen Projektierung eines zenon Bildes sowie den dazugehörigen Systemtreibervariablen mit statistischen Informationen im zenon Projekt.

  • Aktiv:
    Für den oder die gewählten Treiber wird ein Bild mit Treiber-Variablen erstellt.
  • Inaktiv:
    Keine Projektierung im zenon Projekt.


Graphic Settings

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Graphic Settings

In dieser Registerkarte werden die Auflösung sowie Einstellungen für Runtime und Touchscreens konfiguriert.

General project settings

Allgemeine grafische Einstellungen für das Projekt.

Parameter

Beschreibung

Current primary monitor size (current)

Anzeige der aktuellen Bildschirmauflösung. Bei Mehrbildschirm-Systemen wird die Auflösung des Hauptbildschirms angezeigt.

Hinweis: Diese Option kann nicht verändert werden.

Screen resolution

Auswahl der gewünschten Bildschirmauflösung aus Dropdownliste.

Runtime Title

Runtime-Titel

Darstellung des Runtime-Hauptfensters.
Auswahl aus Dropdownliste:

  • kein Titel:
    Vollflächige Darstellung. Titelleiste wird nicht angezeigt.
  • Titel mit Min. und Max. Schaltfläche:
    Das Fenster kann in der Größe verändert und verschoben werden. Schließen ist nicht möglich (auch nicht über Kontextmenü, Aufgabenleiste oder die Tastenkombination Alt+F4). Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • Titel mit System, Min. und Max. Schaltfläche:
    Das Fenster kann in der Größe verändert und verschoben sowie per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • Titel mit Systemmenü:
    Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • Titel ohne Schaltflächen:
    Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.

Default: kein Titel

Achtung: Wird diese Eigenschaft im Editor geändert, muss die Runtime neu gestartet werden. Nur nachladen funktioniert nicht, da zur Übernahme das Hauptfenster der Runtime erst geschlossen und dann neu geöffnet werden muss.

Mehr im Online-Handbuch.

Graphics quality

Einstellung für Qualität der Grafikdarstellung.
DirectX ermöglicht eine höhere Qualität als Windows Basis. Prinzipiell ist bei Verwendung von DirectX die Einstellung DirectX Hardware zu bevorzugen und DirectX Software nur zu verwenden, wenn unbedingt nötig. Mögliche Auswahl:

  • Windows Basis:
    Grundlegende Grafikeigenschaften. Für ressourcenschwache Hardware empfohlen.
  • DirectX Software:
    Grafikberechnung wird von der CPU erledigt und kann zu hoher CPU Auslastung führen.
  • DirectX Hardware:
    Ein Teil der Grafikberechnungen wird auf die Grafikkarte ausgelagert. Unterstützt das System die Einstellung nicht, wird automatisch auf DirectX Software umgeschaltet.

Default: DirectX Hardware

Achtung: DirectX steht unter Windows CE nicht zur Verfügung.

Hinweise:

  • Beim Umschalten des Modus während der Projektierung kann es zu geringfügigen Pixelabweichungen kommen. Die Eigenschaft sollte daher vor dem Erstellen von Bildern gesetzt werden.
  • Beim Aktivieren von Windows Basis werden sämtliche Linientypen für alle Linienarten, die eine Linienbreite [Pixel] >1 verwenden, wieder auf durchgehende Linie gesetzt.
  • Für die Darstellung von ActiveX-Elementen (Dateiendung: *.ocx) wird kein DirectX verwendet.

Mehr im Online-Handbuch.

Menu position

Menüposition für die Anzeige in der zenon Runtime. Auswahl aus Dropdownliste:

  • Top:
    Menüleiste wird oben projektiert
  • Bottom:
    Menüleiste wird unten projektiert

Runtime settings

Einstellungen für die Darstellung bei Start der zenon Runtime.

Parameter

Beschreibung

Alarm status active

Statuszeile aktiv

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

  • Aktiv:
    Sobald ein Alarm auftritt, wird zur Runtime am oberen Bildschirmrand eine rote Statuszeile mit der Alarminformation angezeigt. In dieser Statuszeile kann der Alarm auch durch einen Doppelklick mit der rechten Maustaste quittiert werden, wenn der angemeldete Benutzer über die entsprechenden Rechte verfügt.
  • Inaktiv:
    Keine Statuszeile wird angezeigt.

Default: aktiv

Achtung Mehrprojektverwaltung: Einstellung im Integrationsprojekt definiert Verhalten für Unterprojekte, unabhängig von der Einstellung der Unterprojekte. Zur Runtime wird immer die Alarmstatuszeile des obersten Projekts verwendet.

Mehr im Online-Handbuch.

Hinweis: Dieser Wizard aktiviert automatisch die Eigenschaft Alarmmeldeliste aktiv.

Driver invisible

Treiber unsichtbar

Checkbox für die Anzeige der gestarteten Treiber in der Windows Taskleiste.

  • Aktiv:
    Gestartete Treiber werden zur Runtime nicht in der Windows Taskleiste angezeigt.
  • Inaktiv:
    Gestartete Treiber werden zur Runtime in der Windows Taskleiste angezeigt.

Default: inaktiv.

Mehr im Online-Handbuch.

Touch operation

Einstellungen für Touch-Bedienung in der zenon Runtime.

Parameter

Beschreibung

Multi-Touch

Multi-Touch aktiv

Checkbox für die Anwendung von Multi-Touch.

  • Aktiv:
    Multi-Touch kann verwendet werden. Flicks (kurze Wischbewegungen) und Rechtsklick (antippen und halten) werden deaktiviert.
    Voraussetzungen: Alle entsprechenden Treiber und Gerät sind vorhanden. Das Gerät muss verbunden und eingeschaltet sein.
  • Inaktiv:
    Keine Multi-Touch Bedienung in der zenon Runtime.

Mehr im Online-Handbuch.

Cursor visible

Cursor sichtbar

Checkbox für das Verhalten des Mauszeigers in der zenon Runtime.

  • Aktiv:
    Der Mauszeiger ist in der Runtime sichtbar.
  • Inaktiv:
    Der Mauszeiger wird in der Runtime nicht angezeigt. Bei Projekten mit Touchscreen kann die Darstellung des Mauszeigers als störend empfunden und mit dieser Eigenschaft ausgeschaltet werden.

Default: aktiv
Achtung: Diese Einstellung wirkt sich nur auf zenon aus, nicht aber auf Windows Standard-Elemente wie Titelzeilen, Menüs, Scrollbalken usw. Für Windows-Elemente muss der Mauszeiger direkt im Betriebssystem deaktiviert werden.

Mehr im Online-Handbuch.

Automatic keyboard

Automatisches Keyboard

Checkbox für die Aktivierung eines automatischen Keyboards in der zenon Runtime bei Projekten mit Touchscreen.

  • Aktiv:
    Es wird automatisch ein Keyboard Fenster aufgeschaltet, wenn eine Eingabe notwendig ist (z.B: beim Sollwert setzen oder einloggen).
  • Inaktiv:
    Kein Keyboard Fenster wird geöffnet.

Default: inaktiv

Mehr im Online-Handbuch.

Create keyboard screen

Checkbox für die automatische Projektierung eines Bildes vom Typ Keyboard.

  • Aktiv:
    Erstellt DIALOGKBD für alphanumerische Eingaben und SETVALUEKBD für numerische Eingaben. Details siehe Kapitel Bild vom Typ Keyboard anlegen. Damit diese zur Runtime verwendet werden können, muss die Option Automatic Keyboard aktiv sein.
  • Inaktiv:
    Keine Projektierung eines Bildes vom Typ Keyboard.
    Keine

Keybooard size (%)

Definiert, in welcher Größe - in Prozent, ausgehend von der Originalgröße – das automatische Keyboard in der Runtime dargestellt werden soll.
Minimum: 50 %
Maximum: 300 %
Default: 100 %

Mehr im Online-Handbuch.


Screen Selection

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Screen Selection

In dieser Registerkarte können Bilder ausgewählt werden, die im Projekt angelegt werden sollen.

Achtung: Per Default werden die Bildumschaltfunktionen auf die ausgewählten Bilder mit den Standardeinstellungen konfiguriert. Es werden keine speziellen Einstellungen wie Filter, Variablen usw. vorgenommen. Wenn Dashboard Bilder in einem neuen Projekt angelegt werden, wird im Bild Navigation ein Button mit verknüpfter Bildumschaltfunktion angelegt. In einem bereits bestehenden Projekt wird nur die Bildumschaltfunktion angelegt, nicht jedoch mit einem Button verknüpft.

Create screens from templates

Bereich für die Parametrierung von zenon Bildern welche bei Ausführung des Wizards automatisch im zenon Projekt angelegt werden.

Parameter | Beschreibung
Screen types | Auswahl der Bildtypen für automatische Projektierung bei Ausführung des Wizards. Auswahl des Bildtyps aus der Dropdownliste.
Liste der möglichen Vorlagen | Auswahl der Vorlage für das Bild. Größe und Vorschau werden angezeigt.
Width | Breite des Bildes. Dieser Wert ist in der vorlage voreingestellt und kann nicht verändert werden.
Height | Höhe des Bildes. Dieser Wert ist in der vorlage voreingestellt und kann nicht verändert werden.
Bild-Vorschau | Vorschau der gewählten Vorlage des ausgewählten Bildtyps.
Eingabefeld Name | Eingabefeld für die Benennung des Bildes im zenon Editor.
Add | Fügt Bild mit ausgewähltem Namen zur Liste der Bilder hinzu.
Remove | Entfernt ausgewähltes Bild aus Liste der Bilder.
Liste Bilder | Liste aller gewählten Bilder mit Name, Bildtyp und Größe. Es können maximal 14 Bilder angelegt werden. ist die maximale Anzahl an Bildern erreicht, wird dies mit einem Dialog angezeigt.

Demo project

Einstellungen für die automatische Projektierung eines Beispielprojekts bei Ausführung des Wizards.

Parameter

Beschreibung

Create demo screens

Checkbox für die Aktivierung der automatischen Projektierung bei Wizardausführung für ein, in der zenon Runtime, ausführbares Beispielprojekt.

Aktiv: Bei Ausführung des Wizards werden entsprechende Bilder im zenon Editor projektiert und im Erscheinungsbild des Demo-Projektes erstellt sowie automatisch für die Navigation in der Runtime verknüpft.

Auswahl der Demo-Bilder via Checkbox:

  • Demo pages:
    Beispielseiten (wird immer erstellt)
  • Alarm message list:
    AML
  • Chronologic event list:
    CEL
  • System information:
    Seiten mit Systeminformationen, Anzahl abgängig von der Auflösung

Create Dashboards

Checkbox für die Aktivierung der automatischen Projektierung von entsprechenden Diagnose-Bildern bei Ausführung des Wizards.

  • Aktiv:
    Checkbox für die Aktivierung der automatischen Projektierung von entsprechenden Diagnose-Bildern und Variablen bei Ausführung des Wizards.
    Zusätzlich werden die erstellten Bilder für die Darstellung in der Runtime in der Navigation des Beispielprojekts entsprechend verknüpft.
  • Inaktiv:
    Keine Projektierung von Diagnose-Bildern.

Noch in diesem Kapitel

Dashboards - Diagnose-Bilder


Dashboards - Diagnose-Bilder

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Screen Selection > Dashboards - Diagnose-Bilder

In der Gesamtdarstellung des Dashboards in der Runtime werden alle vier Bereiche auf einem Bild dargestellt:

  • Durch Klick auf den Button Details... in einen Teilbereich wird ein neues Bild mit weiteren Informationen zum jeweiligen Thema aufgeschalten.
  • Klick auf das Symbol der Fotokamera (rechts oben) erstellt einen Screenshot und kopiert diesen in die Zwischenablage.
  • Durch Klick auf die Registerkarte Dashboard in der Navigationsleiste schalten Sie zur Dashboard-Übersichtsseite zurück.

Die Information ist in folgende Bereiche unterteilt:

  • Local system information
    Bild mit Systeminformationen sowie Informationen zu Ablageorten des ausführenden Rechners.
  • Network information
    Bild mit Netzwerkinformationen des ausführenden Rechners.
  • Drivers information
    Bild mit Informationen zu treiberrelevanten Daten. Auswahl des Treibers aus Liste.
    Zusätzlich ist mit dem Button Variable diagnosis ein Bild vom Typ Variablendiagnose verknüpft.
  • System events
    Umschaltung zur Chronologischen Eventliste.
    Zusätzlich können die Ereignisse in eine Datei exportiert werden. Für diesen Export klicken Sie den Button Export Events...

Verfügbare Bildschirmauflösungen

Die Bildvorlage des Dashboard steht für folgende Bildschirmauflösungen zur Verfügung:

  • 1280 x 960
  • 1280 x 1024
  • 1920 x 1080


Finish

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Finish

In dieser Registerkarte wird das Projekt erstellt.

  • Bei erstmaliger Verwendung des Wizards:

    Klick auf die Schaltfläche Finish erstellt das Projekt entsprechend den Einstellungen in den anderen Registerkarten. Der Wizard bleibt für weitere Konfigurationen geöffnet. Um den Wizard zu beenden, klicken Sie auf Close.

  • Bei nachfolgenden Verwendungen des Wizards:

    Klick auf die Schaltfläche Overwrite übernimmt die Änderungen entsprechend den Einstellungen in den anderen Registerkarten in das Projekt. Der Wizard bleibt für weitere Konfigurationen geöffnet. Um den Wizard zu beenden, klicken Sie auf Close.


Beispiel zur Runtime

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Beispiel zur Runtime

In der Folge sehen Sie zwei Beispiele, wie sich Ihre Eingaben im Wizard auf die Darstellung zur Runtime auswirken.

  • Beispiel 1: Mit aktiver Option Create demo screens.
  • Beispiel 2: Ohne Beispielbilder.

info Info

Die Screenshots für dieses Thema sind nur in englischer Sprache verfügbar.

Noch in diesem Kapitel

Mit Demo-Bilder

Ohne Demo-Bilder


Mit Demo-Bilder

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Beispiel zur Runtime > Mit Demo-Bilder

Startseite:

Navigation:

SIMUL Information:

Report Viewer:

AML:

CEL:

SystemInfo_1 ( je Bildschirmauflösung 1-3 Bilder):

SystemInfo_2 (1280x1024):

Treiber:


Ohne Demo-Bilder

Handbuch > Wizards > Themen > Project > Project Configuration Wizard > Beispiel zur Runtime > Ohne Demo-Bilder

Startseite:

Navigation:


Dokumentation-Wizard

Handbuch > Wizards > Themen > Project > Dokumentation-Wizard

Dieser Wizard führt Sie durch die Schritte, die nötig sind, um ein HTML-Dokument des aktiven Projektes zu erstellen.

Es kann definiert werden, welche Module im Dokument inkludiert werden sein sollen und welche nicht.

Der Wizard ist veränderbar.


Variables

Handbuch > Wizards > Themen > Variables

Wizards für Variablen.

Noch in diesem Kapitel

Everywhere Essentials QR Code Generator

Variable creation wizard


Everywhere Essentials QR Code Generator

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator

Der Everywhere Essentials QR Code Generator Wizard dient zur Erzeugung von QR-Codes, die mit der Everywhere Essentials QR Data App visualisiert werden können.

info Info

Der Wizard benötigt für die Visualisierung den kostenpflichtigen Everywhere Server.

Weitere Informationen dazu finden Sie im Handbuch Mobile Anwendungen für zenon in den Kapiteln Everywhere Server by zenon und Everywhere Essentials QR Data App.

Mögliche Inhalte des QR-Codes:

  • Projektname
  • Variablenname
    • eine bestimmte Variable
    • mehrere, mit einer Anlagengruppe verknüpfte Variablen
  • Verbindungsdaten zum Everywhere Server

Tipp Tipp
  • Setzen Sie den Everywhere Server ein, um Ihre Projektierung für die mobilen Anwendungen von zenon nutzen zu können.
  • Nutzen Sie das Anlagenmodell im zenon Editor, um Variablen (z.B. für Kennzahlen oder Alarmmeldungen) mit einer Anlagengruppe zu verknüpfen.
  • Erstellen Sie mit dem Everywhere Essentials QR Code Generator einen QR-Code für diese Anlagengruppe.
  • Drucken Sie diesen QR-Code aus und befestigen Sie diesen direkt am Gerät.
  • Scannen Sie den QR-Code direkt vor Ort mit der Everywhere Essentials QR Data App um Echtzeitdaten zu visualisieren.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration

Generate QR Code


Wizard installieren und aufrufen

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator > Wizard installieren und aufrufen

Der Everywhere Essentials QR Code Generator wird bei der zenon Standardinstallation automatisch installiert.

Wizardanzeige im zenon Editor

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Wizard aufrufen

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Wählen Sie den Ordner Variables.
  3. Klicken Sie dort auf Everywhere Essentials QR Code Generator.

  4. Klicken Sie auf OK.

    Der Wizard startet mit dem Startfenster.

info Info

Der Everywhere Essentials QR Code Generator steht nur in englischer Sprache zur Verfügung.


Startfenster

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator > Startfenster

Die Registerkarte Welcome gibt einen kurzen Überblick über die Funktionalität des Wizards.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Navigation

Die Navigation durch den Wizard erfolgt per Mausklick auf eine Registerkarte oder per Klick auf die Pfeiltaste.

Ein Klick auf die Schaltfläche Close beendet den Wizard. Vor dem Beenden des Wizards wird ein Dialog aufgeschaltet.

Parameter | Beschreibung
Ja | Beendet den Wizard. Projektierte Einstellungen bleiben bei einem Neustart des Wizards erhalten.
Nein | Beendet den Wizard. Bestehende Projektierungen werden nicht gespeichert.


Konfiguration

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator > Konfiguration

In der Registerkarte Generate QR Code projektieren Sie die Inhalte des QR-Codes.

Inhalte des QR-Codes:

  • entweder:
    Eine Variable des aktuellen Projekts.
  • oder:
    Eine Anlagengruppe des Anlagenmodells im Globalprojekt oder des aktuellen Projekts.
    In der Everywhere Essentials QR Data App werden die mit der Anlagengruppe verknüpften Variablen angezeigt.
  • Optional: Verbindungsparameter zum Everywhere Server.

    Verhalten in der Everywhere Essentials QR Data App:

    • Keine Verbindungsparameter im QR-Code enthalten:

      Die App versucht mit bestehenden Verbindungsprofilen eine Verbindung zum Everywhere Server aufzubauen.

    • QR-Code inkludiert Verbindungsparameter:

      Die App baut mit den im Wizard eingegebenen Parametern eine Verbindung zum Everywhere Server auf. In der App wird beim Verbindungsaufbau ein Dialog zur Eingabe von Benutzernamen und Passwort aufgeschaltet.


Generate QR Code

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator > Generate QR Code

Variable/Equipment Group

Parameter

Beschreibung

Variable

Equipment Group

Optionsfeld zur Auswahl der Vorschauliste:

  • Variable

    Zeigt die Variablenliste des aktiven zenon Projekts.

  • Equipment Group

    Zeigt das Anlagenmodell des Globalprojekts (wenn vorhanden) und das Anlagenmodell des aktiven zenon Projekts.

Everywhere Server

Optional können unter Everywhere Server die Verbindungsparameter zum Everywhere Server angegeben werden.

Diese Informationen werden, wenn konfiguriert, ebenfalls in den QR-Code codiert.

Parameter | Beschreibung
Encode connection details | Aktiviert die Codierung der Verbindungsparameter im QR-Code.
URL | Name des Everywhere Server, zu welchem eine Verbindung aufgebaut werden soll.
Port | Port-Adresse für die Verbindung zum Everywhere Server. Hinweis: Eingaben außerhalb des gültigen Eingabebereichs werden automatisch auf den Wert 65536 korrigiert.

Preview

Zeigt ein Vorschaubild des QR-Codes Ihrer Projektierung an.

QR Code

Parameter | Beschreibung
Save to file | Der aktuell angezeigte QR-Code wird als .png-Datei gespeichert.
Copy to Clipboard | Kopiert den angezeigten QR-Code in die Zwischenablage.

Noch in diesem Kapitel

Variable

Equipment Group


Variable

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator > Generate QR Code > Variable

Ist das Optionsfeld „Variable" gewählt so wird die Variablenliste des aktiven Projekts angezeigt.

  • Die Informationen der gewählten Variable werden in den QR-Code codiert.
  • Der QR-Code wird direkt in der Vorschau aktualisiert.

Parameter

Beschreibung

Equipment Group

Optionsfeld zum Umschalten in die Ansicht des Anlagenmodells.

Filter

Filtert die Einträge in der Variablenübersicht. Die Filterung erfolgt ausschließlich auf den Variablennamen.

Der hier eingegebene Text entspricht der Bedingung "enthält".

Variable

Übersicht aller Variablen des aktuellen Projektes.

Die Liste ist mit Klick auf die Spaltenüberschrift sortierbar. Ein nochmaliger Klick kehrt die Sortierreihenfolge um. Die Sortierrichtung wird mit einem Pfeil angezeigt. Die Spaltenbreite ist mit einem Rechtsklick frei verschiebbar.

  • Name

    Variablenname. Entspricht der Eigenschaft Name im Editor.

  • Identification

    Kennung der Variable. Entspricht der Eigenschaft Kennung im Editor.

  • Driver

    Treibername. Entspricht der Eigenschaft Bezeichnung im Editor.


Equipment Group

Handbuch > Wizards > Themen > Variables > Everywhere Essentials QR Code Generator > Generate QR Code > Equipment Group

Ist das Optionsfeld Equipment Group gewählt so wird das Anlagenmodell der aktuellen Projektierung angezeigt:

  • Angezeigt wird:
    • Das Anlagenmodell des Globalprojektes (wenn vorhanden)
    • Das Anlagenmodell des aktiven Projektes.
  • Die mit dem gewählten Anlagengruppe verknüpften Variablen werden in den QR-Code codiert.
  • Der QR-Code wird direkt in der Vorschau aktualisiert.

Anlagenmodelle des Globalprojektes werden nur dann zur Auswahl angeboten, wenn im aktiven Projekt keine Anlagenmodelle mit gleichen Namen existieren. Existieren Modelle mit identischen Namen, so wird dies mit einem Warnsymbol (gelbes Warndreieck) und einem Tooltip visualisiert. Das Anlagenmodell des Globalprojektes wird ausgegraut.

Wenn Sie mit der Maus über das Warnsignal navigieren, erhalten Sie folgende Fehlermeldung in einem Tooltip:

The following Equipment Model(s) from the Global Project will be ignored! There is at least one Equipment Model with the same name in the local Project:

- [Modellname im lokalen Projekt]


Variable creation wizard

Handbuch > Wizards > Themen > Variables > Variable creation wizard

Dieser Wizard dient zum schnellen Anlegen von vielen Variablen.

attention Achtung

Dieser Wizard unterstützt kein Verteiltes Engineering und ist bei Multiuser-Projekten nicht anwendbar.

Dieser Wizard dient als Beispiel, es werden nicht alle Treiber unterstützt.


Wizards erstellen und adaptieren

Handbuch > Wizards > Wizards erstellen und adaptieren

Wizards sind gewöhnliche Formulare, die bestimmte Funktionen im Code-Teil beinhalten. Dadurch werden die Formulare als zenon Wizard erkannt.

Die mit zenon ausgelieferten Wizards können als Grundlage für eigene Wizards dienen.

Eigene Wizards können in eigenen Ordnern abgelegt werden. Alle nötigen Informationen müssen in die Datei wizards.ini eingetragen werden. Diese kann beim Aktualisieren der Wizards mit eingebunden werden.

VBA und VSTA Wizards

Um Wizards zu erstellen sind für VBA und VSTA folgende Angaben nötig:

  • Name
  • Beschreibung
  • Kategorie
  • Anzeige im Dialog
  • Versionsnummer

Diese Funktionen werden von zenon ausgelesen, um Formulare als Wizards zu identifizieren und um die entsprechenden Informationen im Wizard-Dialog anzuzeigen.

attention Achtung

Kommas (,) sind in den Wizardfeldern (GetWizard...) nicht erlaubt!
Wird trotzdem ein Komma in einem der Wizardfelder verwendet, wird der Wizard im zenon Editor nicht im Wizard-Dialog angezeigt.

Der Demo-Wizard bietet eine leere Vorlage, die individuell angepasst werden kann. Details zum Erstellen von VSTA-Wizards lesen Sie im Abschnitt Details VSTA-Wizards.

Name

Gibt den Wizard-Namen an, wie er im Dialog für die Wizards angezeigt wird.

Beispiel: Project Wizard VSTA

VBA | VSTA
Public Function GetWizardName() As String GetWizardName = "Project-Wizard" End Function | GetWizardName (Type string)

Beschreibung

Enthält die Beschreibung des Wizards, wie sie im Bereich "Beschreibung" des Dialogs angezeigt wird.

Beispiel: This wizard creates a simple zenon Project (V.1)

VBA | VSTA
Public Function GetWizardInfo() As String GetWizardInfo = "Wizard for creation of a project" End Function | GetWizardInfo (Type string)

Kategorie

Gibt die Kategorie an, in die der Wizard eingeordnet wird.

Zum Beispiel: Project

Hinweis: Bestehende Kategorien können verwendet werden. VBA- und VSTA-Wizards können in die die gleiche Kategorie eingeordnet werden.

VBA | VSTA
Public Function GetWizardCategory() As String GetWizardCategory = "Project" End Function | GetWizardCategory (Type string)

Anzeige im Dialog

Bestimmt, ob der Wizard im Dialog angezeigt wird oder nicht. Damit kann ein Wizard ausgeblendet werden, ohne dass alle Funktionen gelöscht oder aus dem Add-in entfernt werden müssen:

= true: wird angezeigt

= false: wird ausgeblendet

VBA | VSTA
Public Function IsZenOnWizard() As Boolean IsZenOnWizard = True End Function | IsZenOnWizard (Type bool)

Versionsnummer

Gibt die Versionsnummer aus, die bei der Beschreibung angezeigt wird. Sie wird benötigt, um das Aktualisieren der Wizards zu managen.

Beispiel: (V.1)

Hinweis: Innerhalb einer Wizardklasse dürfen keine Funktionen mit gleichem Namen enthalten sein. Das gilt auch, wenn sie unterschiedliche Parameter zurückmelden.

VBA | VSTA
Public Function GetWizardVersion() As Integer GetWizardVersion = 6 End Function | GetWizardVersion (Type int)

Noch in diesem Kapitel

Details VSTA-Wizard


Details VSTA-Wizard

Handbuch > Wizards > Wizards erstellen und adaptieren > Details VSTA-Wizard

VSTA Wizard

#region Wizard_Identification

/// <summary>
/// This Static method returns the name of the wizard,
/// which will be displayed in the wizard-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardName()
{
string strValue = "Name of the wizard";
return strValue;
}

/// <summary>
/// This Static method returns the description of the wizard,
/// which will be displayed at the bottom of the wizard-dialog.
/// </summary>/// <returns></returns>
static public string GetWizardInfo()
{
string strValue = "A more detailed description of the wizard.";
return strValue;
}

/// <summary>
/// This static method returns the category name of the wizard,
/// which will be used as node-name in the wizards-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardCategory()
{
string strValue = "Wizard category";
return strValue;
}

/// <summary>
/// This static method returns a bool which can be used to "switch" the wizard
/// on/off in the wizard dialog (false=wizard is not shown in the tree).
/// </summary>
/// <returns></returns>

static public bool IsZenOnWizard()
{
bool bValue=true;
} return bValue;

/// <summary>
/// This static method returns the version of the wizard.
/// Indicated at the bottom of the wizard-dialog.
/// </summary>
/// <returns>wizard version</returns>

static public int GetWizardVersion()
{
int nValue = 1;
return nValue;
}

/// <summary>
/// This method is called when the wizard has been selected in the
/// wizard dialog and confirmed with "OK".
/// </summary>

public void StartWizard()
{
this.Show();
}
#endregion

VB.Net

'This shared method returns the name of the wizard,
'which will be displayed in the wizard-tree.

Public Shared Function GetWizardName() As String
GetWizardName = "Name of the wizard"
End Function

'This shared method returns the description of the wizard,
'which will be displayed at the bottom of the wizard-dialog.

Public Shared Function GetWizardInfo() As String
GetWizardInfo = "A more detailed description of the wizard."
End Function

'This shared method returns the category name of the wizard,
'which will be used as node-name in the wizards-tree.

Public Shared Function GetWizardCategory() As String
GetWizardCategory = "Wizard category"
End Function

'This shared method returns a bool which can be used to "switch" the wizard
'on/off in the wizard dialog (false=wizard is not shown in the tree).

Public Shared Function IsZenOnWizard() As Boolean
IsZenOnWizard = True
End Function

'This shared method returns the version of the wizard.
'Indicated at the bottom of the wizard-dialog.

Public Shared Function GetWizardVersion() As Integer
GetWizardVersion = 1
End Function

'This method is called when the wizard has been selected in the
'wizard dialog and confirmed with "OK".

Public Sub StartWizard()
Me.Show()
End Sub

C# Workspace

Damit der Editor dynamisch eine Instanz der VSTA-Class erstellen kann, muss eine zusätzliche Funktion zum "Default" Workspace Code hinzugefügt werden. Dieses Code-Segment muss vorhanden sein, damit der Wizard nach Auswahl im Dialog angezeigt wird. Dieses Code-Segment sollte nicht modifiziert werden!

#region Wizard

/// <summary>
/// This Routine Enables the Dynamic creation of VSTA-Wizards.
/// </summary>
/// <param name="strClassname"></param>

public void StartWizard(string strClassname)
{

//Retrieve the ClassType by its Typename:

Type t = Type.GetType(strClassname);
if(t!=null)
{

//Since the ClassType has been found, let's create it.
//The wizard from ClassType %strClassname% is required
//to have a Constructor with ZenWorkspace Parameter!

object[] Params = new object[] { this.ZenWorkspace };
object Wizard = Activator.CreateInstance(t, Params);
if (Wizard != null)
{
t.InvokeMember("StartWizard", BindingFlags.Public | BindingFlags.Instance | BindingFlags.InvokeMethod, null, Wizard, null);
}
}
}
#endregion

And for the VB.Net workspace like this:
'This Routine Enables the Dynamic creation of VSTA-Wizards,
'and should not be modified or removed!

Public Sub StartWizard(ByVal strClassname As String)
Dim obClassType As Type
Dim obWizard As Object
Dim obParams(0) As Object
obClassType = Type.GetType(strClassname)
If (Not obClassType Is Nothing) Then
obParams(0) = Me.ZenWorkspace
obWizard = Activator.CreateInstance(obClassType, obParams)
If (Not obWizard Is Nothing) Then
obClassType.InvokeMember("StartWizard", System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or ystem.Reflection.BindingFlags.InvokeMethod, obWizard, Nothing, Nothing)
End If
End If
End Sub


Wizards aktualisieren

Handbuch > Wizards > Wizards aktualisieren

Bei der Installation eines Service Packs von zenon wird automatisch das Aktualisieren der Wizards angeboten. Bestehende Wizards werden vom Setup nicht überschrieben. Daher kann es erforderlich sein, dass Wizards manuell importiert und aktualisiert werden.

attention Achtung

Diese Informationen gelten nur für Wizards, die in C# programmiert wurden. Das sind alle Wizards, die im Fenster Wizards aktualisieren angeboten werden.

Diese Informationen gelten nicht für Wizards, die in .Net programmiert wurden, wie:

  • Analyzer Wizards
  • Sankey Wizard

.Net Wizards werden über eine DLL integriert und mit den Updates von zenon automatisch am aktuellen Stand gehalten. Das Update kann bei Bedarf über die am zenon Analyzer Installationsmedium enthaltene Build-Datei für zenon auch manuell erfolgen.

Update anfordern

Ein Update kann jederzeit auch manuell über den Eintrag Editor Add-Ins aktualisieren im Menü Extras angestoßen werden.

Parameter

Beschreibung

Wizard-Liste

Listet alle VBA- und im laufenden Add-in vorhandenen VSTA-Wizards auf.

  • Name

Name des Wizards.
  • Objektname

VBA/VSTA Objektname.
  • Vorh. Version

Aktuell genutzte Version.
  • Neue Version

Version auf die upgedatet wird.
  • Information

Informationen zum Status und zur bevorstehenden Aktion:

  • Neu: Wizard ist noch nicht in der VBA-Datei vorhanden.
  • Geändert: Eine neue Version ist verfügbar.
  • Nicht mehr gewartet: Der vorhandene Wizard ist veraltet und wird gelöscht.
  • Typ

VBA oder VSTA
  • Benutzerspezifisch

wurde Wizard vom Benutzer erstellt oder verändert

Datenquellen

Möglichkeit, eigene Ordner für eigene Wizards zu definieren. Eingetragen wird der Speicherort der individuellen wizards.ini.

Die Einträge dazu werden in der zenon.ini im Abschnitt [VSTA] bzw [VBA] als WIZARDPATH= gespeichert.

Zusätzlicher Ordner für VSTA Wizards

Individueller Speicherort für eigene VSTA Wizards.

Zusätzlicher Ordner für VBA Wizards

Individueller Speicherort für eigene VBA Wizards.

Erneut erinnert

Der Dialog wird beim nächsten Editorstart wieder aufgeschaltet.

Aktualisierung starten

Die in der Wizard-Liste ausgewählten Wizards werden aktualisiert.

abbrechen

Der Dialog wird ohne Aktualisierung beendet und erst nach der nächsten Installation eines Service Packs wieder angeboten.

Aktualität sicher stellen

Da nicht instanzierte Objekte zum Zeitpunkt der Dialogaufschaltung nicht überprüft werden können, werden einige Objekte immer zum Update angeboten. Damit wird sicher gestellt dass Sie nicht mit veralteten Versionen arbeiten. Die im Update-Dialog angezeigte Version dient nur der Information für Consulting und Entwicklung.

Wizards im Unternehmen verteilen

Wenn Sie eigene Wizards geschrieben haben, und diese auch anderen Benutzern zur Verfügung stellen möchten, dann können Sie ebenfalls diesen Mechanismus nutzen.
Dazu exportieren Sie die Wizards aus ihrer VBA/VBA Entwicklungsumgebung und legen die Exportdateien am Besten in ein freigegebenes Netzlaufwerk ab. Zur Steuerung des Imports dienen ini Dateien. Diese müssen Sie entsprechend erstellen und ebenfalls in dem Netzlaufwerk ablegen.
Die Beschreibung für den Aufbau der Dateien finden Sie hier: Für VBA und für VSTA.

Nun müssen Sie ihren Kollegen nur mehr den Speicherort zeigen und diese können die Wizards bequem in Ihren Editor importieren. Wenn Sie geänderte oder neue Wizards haben müssen Sie nur den neuen Stand exportieren, ablegen und die Versionsnummer erhöhen. Damit können Sie Wizards bequem im Unternehmen verteilen.

Mögliche Fehler beim Aktualisieren von VSTA Wizards

Fehler

Mögliche Ursachen

Im Dialog zur Aktualisierung werden keine VSTA-Wizards angezeigt
  • Nur Wizards, die sich im geladenen Add-in befinden, werden aufgelistet.
    Falls VSTA-Wizards nicht angezeigt werden, muss das VSTA Add-in beim Start Editors aktiviert werden. Dazu setzen Sie in der zenon6.ini im Abschnitt [VSTA] den Eintrag LOADED= auf 1.
  • Kann der Workspace wegen Fehler im Code nicht kompiliert werden, werden keine Wizards aufgelistet.

Wie die Original Wizards wiederhergestellt werden, lesen Sie im Abschnitt Original Wizards wiederherstellen.

Ein bestimmter Wizard wird nicht angezeigt.
  • Der Wizard unterstützt die benötigten Methoden nicht.
  • Der Workspace wurde nachdem der Wizard implementiert wurde noch nicht kompiliert, das laufende Add-in beinhaltet den Wizard noch nicht.

Selbst erstellte Wizards werden nicht angezeigt.
  • Der konfigurierter Pfad ist falsch.
  • Die im konfigurierte Pfad aufgerufene wizards.ini ist alt oder fehlerhaft.

Original Wizards wiederherstellen

Werden Wizards in der Liste der Wizards nicht angezeigt, können Sie die Original Wizards wiederherstellen. Dazu:

  1. Beenden Sie den zenon Editor.
  2. Navigieren Sie zum Ordner: %ProgramData%\COPA-DATA\zenonxxx\VSTAWorkspace
    (xxx steht für die zenon Version)
  3. Benennen Sie den kompletten Ordner um.
  4. Starten Sie den Editor neu.

    Der Ordner und die Wizards werden neu angelegt.

Noch in diesem Kapitel

wizards.ini


wizards.ini

Handbuch > Wizards > Wizards aktualisieren > wizards.ini

Aufbau der INI-Datei für die Verwaltung der Wizards in VSTA und VBA.

info Info

Diese Dokumentation steht nur in Englisch zur Verfügung.

Noch in diesem Kapitel

VSTA wizards.ini

VBA wizards.ini

Benötigte Methoden für Aktualisierung


VSTA wizards.ini

Handbuch > Wizards > Wizards aktualisieren > wizards.ini > VSTA wizards.ini

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

CLASSNAME: Name of the Form-Class representing the Wizard.

VERSION: Version number

PATH:Path-expansion to location of the files.

DELETE: 1 when the Wizard is to be removed from the Workspace

FILES: The amount of files included in this wizard

FILE_X: The name of a file included in the wizard

TYPE_X: The type of the file (Required for the Form.cs and Resx File)

DEP_X: The Name of a file on which this file depends

Beispiel

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Export-Wizard

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Demo Wizard

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


VBA wizards.ini

Handbuch > Wizards > Wizards aktualisieren > wizards.ini > VBA wizards.ini

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

VERSION: Current Version

PATH:Path-expansion to location of the files.

VB_NAME: Name of the VBA-Object representing the Wizard.

VB_TYPE: 0=Form, 1=class

DELETE: 1 when the Wizard is to be removed from the Workspace

Beispiel

[DEFAULT

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Wizard for creating variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Document Wizard

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Import-Wizard

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Benötigte Methoden für Aktualisierung

Handbuch > Wizards > Wizards aktualisieren > wizards.ini > Benötigte Methoden für Aktualisierung

Beispiel für die Methoden, die benötigt werden, damit die Wizards im Dialog für die Aktualisierung angezeigt werden:

VBA

'The following methods define the form as a control system Wizard. If IsZenOnWizard is set to false,

'the Wizard does not appear in the Wizarddialog, does not influence the Wizardupdate Dialog.

Public Function GetWizardName() As String

GetWizardName = "Empty Wizard"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenonWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// This Static method returns the name of the wizard,

/// which will be displayed in the wizard-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// This Static method returns the description of the wizard,

/// which will be displayed at the bottom of the wizard-dialog.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "This is our Demo Wizard";

return strValue;

}

/// <summary>

/// This static method returns the category name of the wizard,

/// which will be used as node-name in the wizards-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// This static method returns a bool which can be used to "switch" the wizard

/// on/off in the wizard dialog (false=wizard is not shown in the tree).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// This static method returns the version of the wizard.

/// Indicated at the bottom of the wizard-dialog.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// This method is called when the wizard has been selected in the

/// wizard dialog and confirmed with "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


Zeitsteuerung

Handbuch > Zeitsteuerung

Die Zeitsteuerung ermöglicht es, Aktionen zur Runtime über Zeitfunktionen auszuführen. Eine Zeitfunktion ruft eine zenon Funktion auf und führt Sie einmalig zu einem bestimmten Zeitpunkt oder zyklisch aus. So können zum Beispiel Produktionsdaten automatisch auf ein Netzlaufwerk am Server gesichert werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Zeitfunktion neu | Legt eine neue Funktion zur Zeitsteuerung an.
Alle als XML exportieren... | Exportiert alle Einträge in eine XML-Datei.
XML importieren... | Importiert Einträge aus einer XML-Datei.
Editorprofil | Öffnet die Dropdownliste mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektieren im Editor

Zeitsteuerung Detailansicht Symbolleiste und Kontextmenü

Zeitfunktion konfigurieren


Projektieren im Editor

Handbuch > Zeitsteuerung > Projektieren im Editor

Die Zeitsteuerung wird im Editor im Knoten Zeitsteuerung projektiert. Bestehende Zeitfunktionen werden in der Detailansicht angezeigt. Zeitfunktionen können über ihre Eigenschaften bearbeitet werden.

Hinweis: Monatswechsel und Jahreswechsel beziehen sich auf das eingestellte Ausführungsdatum und nicht auf den konkreten Wechsel zum 01. 01. um 00:00 Uhr.
Soll der Wechsel zu exakt diesem Zeitpunkt ausgeführt werden, muss die Projektierung für diesen Zeitpunkt angelegt werden, z. B. 01. 01. 2017, 00:00:00 Uhr.


Zeitsteuerung Detailansicht Symbolleiste und Kontextmenü

Handbuch > Zeitsteuerung > Zeitsteuerung Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt | Aktion
Zeitfunktion neu | Fügt eine neue Zeit-Funktion in die Liste ein.
Zurück zum Ausgangselement springen | Springt im zenon Editor zurück zur Ausgangsposition. Hinweis: Dieser Kontextmenüeintrag ist nur dann verfügbar, wenn von einer anderen Position im Editor mit dem Kontextmenübefehl verknüpfte Elemente zur aktuellen Position gesprungen wurde.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte bearbeiten | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Zeitfunktion konfigurieren

Handbuch > Zeitsteuerung > Zeitfunktion konfigurieren

Um eine neue Zeitfunktion zu erstellen:

  1. Markieren Sie im Projektmanager den Knoten Zeitsteuerung.
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste Zeitfunktion neu.

    Eine neue Zeitfunktion wird erstellt.

  3. Konfigurieren Sie die Zeitfunktion über ihre Eigenschaften.
    Vor allem:
    1. Aktiv: Aktivieren Sie diese Eigenschaft, damit die Zeitsteuerung zur Runtime ausgeführt wird.
    2. Name: Eindeutigen Namen der Funktion.
      Hinweis: Dieser Name ist nicht sprachumschaltbar.
    3. Funktion: Auswahl der Funktion, die zum definierten Zeitpunkt aufgerufen werden soll.
    4. Ausführungstyp: Konfiguration, wann und in welchem Intervall die Funktion ausgeführt wird.
      Mit Startzeitpunkt und, wenn benötigt, Intervall.
    5. Wählen Sie, wenn nötig, in der Gruppe Ausführungstage, die Tage, an denen die Funktion ausgeführt werden soll

Mehrere Funktionen ausführen

Um mehrere zenon Funktionen über eine Zeitfunktion auszuführen:

  1. Erstellen Sie ein Skript, das alle benötigten Funktionen enthält.
  2. Erstellen Sie eine Funktion Skript ausführen, die dieses Skript ausführt.
  3. Wählen Sie in der Eigenschaft Funktion die Funktion, die das Skript ausführt.

Intervalle konfigurieren

Zeitfunktionen können in Intervallen ausgeführt werden.
Um eine Zeitfunktion wiederholt auszuführen:

  1. Wählen Sie für die Eigenschaft Ausführungstyp einen Wert ungleich nur an diesem Tag.
  2. Konfigurieren Sie den Startzeitpunkt.
  3. Bei zyklischer Ausführung: Konfigurieren Sie eine der Eigenschaften:
    • Intervall: Die Funktion wird ab dem Startzeitpunkt an diesem Tag im konfigurierten Intervall ausgeführt.
      Beispiel: Beim Wert 00:15:00 wird die Zeitfunktion alle 15 Minuten ausgeführt.
    • Intervall ein Monat: Die Funktion wird ab dem Startzeitpunkt jeden Monat zum gleichen Zeitpunkt ausgeführt.
    • Intervall ein Jahr: Die Funktion wird ab dem Startzeitpunkt jedes Jahr zum gleichen Zeitpunkt ausgeführt.
  4. Für Wiederholungen an mehreren Tagen: Wählen Sie in der Gruppe Ausführungstage aus, an welchen Tagen die Funktion ausgeführt werden soll.

Hinweis: Monatswechsel und Jahreswechsel beziehen sich auf das eingestellte Ausführungsdatum und nicht auf den konkreten Wechsel zum 01. 01. um 00:00 Uhr.
Soll der Wechsel zu exakt diesem Zeitpunkt ausgeführt werden, muss die Projektierung für diesen Zeitpunkt angelegt werden, z. B. 01. 01. 2017, 00:00:00 Uhr.

Filtern auf Anlagengruppen

Zeitfunktionen können über die Eigenschaft Anlagengruppen mit Anlagengruppen verknüpft werden. Diese Verknüpfung wirkt sich nur im Editor aus. Sie ermöglicht Ihnen, Zeitfunktionen auf Anlagengruppen zu filtern.


zenon Logic

Handbuch > zenon Logic

zenon Logic ist die in zenon integrierte Programmierumgebung nach IEC 61131. Sie steht als Editor und Runtime (Soft-SPS) zur Verfügung.

Noch in diesem Kapitel

Grundlagen zenon Logic Workbench (IEC 61131-3)

zenon Logic Workbench

zenon Logic Runtime (Soft SPS)

zenon Logic Runtime Manager


Grundlagen zenon Logic Workbench (IEC 61131-3)

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3)

zenon Logic ist eine IEC 61131-3 Programmierumgebung für die unterschiedlichsten Zielsysteme mit zenon Logic Laufzeit-Kernel. Im Fall von zenon ist der zenon Logic Laufzeit-Kernel als Soft-SPS für PC- und CE-Plattformen ausgeführt.
Mit der zenon Logic Entwicklungsumgebung - der so genannten Workbench - können Steuerungen in den fünf definierten Programmiersprachen der IEC 61131-3 projektiert und programmiert werden.

Kontextmenü Projektmanager

Menüpunkt | Aktion
zenon Logic Projekt neu | Öffnet den Assistenten zum Anlegen eines neuen zenon Logic Projektes.
XML importieren... | Importiert Einträge aus einer XML-Datei. Achtung: Bei XML-Import muss online change deaktiviert werden, damit das Nachladen der in der zenon Logic Variablen funktioniert.
Externes zenon Logic Projekt importieren... | Öffnet den Dialog zur Auswahl eines zenon Logic Projektordners.
Editorprofile | Öffnet das Kontextmenü mit vordefinierten Editorprofilen.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Allgemeine Informationen zur zenon Logic Hilfe

zenon Logic Allgemein

zenon Logic Detailansicht Symbolleiste und Kontextmenü

Erste Schritte mit zenon Logic in zenon

Variablenhandling

Arrays

Daten-Strukturen

Verteiltes Engineering (Mehrplatzfähigkeit)

Wiederverwenden von Projekten


Allgemeine Informationen zur zenon Logic Hilfe

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Allgemeine Informationen zur zenon Logic Hilfe

Diese Hilfe bietet Ihnen einen schnellen Einstieg in den Umgang mit zenon Logic in Verbindung mit der integrierten Lösung mit zenon. Es ist keine Anleitung für die Anwendung der Programmiersprachen, Funktionen oder Funktionsblöcken. Verwenden Sie die äußerst umfangreiche Hilfefunktion direkt in der zenon Logic Workbench (IEC 61131-3 Programmierumgebung).

Die zenon Logic Workbench bietet eine umfangreiche Hilfefunktion. Die Hilfe kann über den Menüpunkt Hilfe der zenon Logic Workbench oder hier aufgerufen werden. Um ein Hilfekapitel zu einem bestimmten Thema (z. b. Funktionsbaustein) aufzurufen, markieren Sie diesen per Mausklick und drücken Sie anschließend F1.

Die in zenon integrierte zenon Logic Workbench hat unabhängig vom I/O oder TAG Ausbau des zenon Editors keine TAG-Limitierung.


zenon Logic Allgemein

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > zenon Logic Allgemein

zenon Logic ist eine IEC 61131-3 Programmierumgebung für die unterschiedlichsten Zielsysteme mit zenon Logic Laufzeit-Kernel. Im Fall von zenon ist der zenon Logic Laufzeit-Kernel als Soft-SPS für PC- und CE-Plattformen ausgeführt.

zenon Logic Workbench

Die zenon Logic Workbench ist das Werkzeug zur Programmierung Ihrer zenon Logic SPS. Die zenon Logic Workbench wird im zenon Editor gestartet. Es stehen alle fünf in der IEC 61131-3 definierten Sprachen zur Verfügung:

Abkürzung | Langform der Sprache
SFC | Sequential Function Chart (Ablaufsprache - AS)
FBD | Function Block Diagram (Funktionsplan - FUP)
LD | Ladder Diagram (Kontaktplan - KOP)
ST | Structured Text (Strukturierter Text - ST)
IL | Instruction List (Anweisungsliste - AWL)

IEC 61131-3

Der Teil 3 der IEC 61131 beschreibt die Syntax und Semantik von Programmiersprachen für programmierbare Steuerungen, die im Teil 1 der IEC 61131 definiert sind.

zenon Logic Runtime

Die zenon Logic Runtime ist das Zielsystem und führt den kompilierten Code der zenon Logic Workbench aus. Es gibt die zenon Logic Soft-SPS für den PC und für Windows CE Plattformen und ausgewählte embedded Plattformen.

info Info

Mehr Informationen zu Plattformen finden Sie hier: www.copadata.com/en/products/zenon-logic.html.

Mehr Informationen über die Bedienung der zenon Logic Runtime finden Sie im Handbuch zenon Logic Runtime (Soft SPS).

straton Runtime

Neben der Soft-SPS zenon Logic gibt es auch die Hardware-SPS straton, die den zenon Logic Laufzeit-Kernel als OEM Software implementiert hat. Die Hersteller dieser Hardware-SPS finden Sie auf www.straton-plc.com.


zenon Logic Detailansicht Symbolleiste und Kontextmenü

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > zenon Logic Detailansicht Symbolleiste und Kontextmenü

Symbolleiste

Parameter | Beschreibung
zenon Logic Projekt neu | Öffnet den Dialog zur Erstellung eines neues Projektes, legt es in der Liste ab und öffnet die zenon Logic Workbench mit dem neuen Projekt.
zenon Logic Projekt in Workbench öffnen | Öffnet das ausgewählte Projekt in der zenon Logic Workbench .
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Externes zenon Logic Projekt importieren | Öffnet Dialog zur Auswahl des zu importierenden zenon Logic Projektfiles.
XML importieren | Öffnet Dialog zur Auswahl der zu importierenden XML-Datei. Achtung: Bei XML-Import muss online change deaktiviert werden, damit das Nachladen der in der zenon Logic Variablen funktioniert.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Text in ausgewählter Spalte ersetzen | Öffnet den Dialog zum Suchen und Ersetzen von Texten.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Hilfe | Öffnet die Online-Hilfe.


Erste Schritte mit zenon Logic in zenon

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Erste Schritte mit zenon Logic in zenon

Hier erfahren Sie, wie Sie ein zenon Logic Projekt im zenon Editor anlegen, es konfigurieren und bearbeiten.

Noch in diesem Kapitel

Anlegen eines zenon Logic Projekts in einem zenon Projekt

Bearbeiten eines zenon Logic Projekts

Löschen eines zenon Logic Projekts

Aufbau der Workbench

Lizenzinformationen anzeigen


Anlegen eines zenon Logic Projekts in einem zenon Projekt

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Erste Schritte mit zenon Logic in zenon > Anlegen eines zenon Logic Projekts in einem zenon Projekt

Um ein neues zenon Logic Projekt anzulegen:

  1. führen Sie einen Rechtsklick auf den Knoten zenon Logic (IEC 61131-3) oder in dessen Detailansicht aus
  2. wählen Sie im Kontextmenü oder in der Symbolleiste den Befehl zenon Logic Projekt neu...
  3. der Konfigurationsdialog wird geöffnet
  4. vergeben Sie einen gültigen Namen
  5. wählen Sie den gewünschten Treiber
    • straton Treiber werden automatisch konfiguriert
    • für IEC Treiber wird nach dem Beenden des Dialogs der Konfigurationsdialog geöffnet
  6. erstellen Sie mit Klick auf Fertigstellen das Projekt

info Info

Die Eigenschaften des zenon Logic Projektes im zenon Projekt stellen Sie im Eigenschaften-Fenster des zenon Editors ein. Die Beschreibung der einzelnen Eigenschaften finden Sie in der Eigenschaften-Hilfe.

Die Eigenschaften des zenon Logic Projekts selbst ändern Sie in dessen Projekteinstellungen. Öffnen Sie dafür die Projektparameter in der Workbench über Projekt/Projekt-Parameter im Hauptmenü.

Hinweise zur Projektierung

Beachten Sie bei der Projektierung:

Allgemein:

  • Im zenon Editor können keine zenon Logic Projekte mit Namen __Global angelegt werden.
    Hinweis: Bereits existierende Projekte mit dem Namen __Global werden nicht angezeigt.
  • Die zenon Logic Workbench legt für jedes zenon Logic Projekt ein Projekt mit dem Namen <Projektname>__Global an. Diese Projekte sind im zenon Editor nicht sichtbar. Sie werden auch nicht gelöscht, wenn das dazugehörige zenon Logic Projekt gelöscht wird.

Verteiltes Engineering:

  • In der zenon Logic Workbench können im Knoten Alle Projekte MultiSpy Listen erstellt werden und der globale Binding Editor aufgerufen werden. Für diese Einstellungen gilt: Sie werden
    • nicht mehrplatzfähig gespeichert
    • nicht auf den Projekt-Server übertragen
    • bei der nächsten Synchronisation wieder entfernt
  • Wenn neue zenon Logic Projekte in der zenon Logic Workbench über Datei -> Neues Projekt hinzufügen erzeugt werden, dann gilt: Sie werden
    • nicht auf den Projekt-Server übertragen
    • bei der nächsten Synchronisation wieder gelöscht

Achtung: Mehrplatzfähige zenon Logic Projekte dürfen nur über den zenon Editor angelegt werden.

info Info

Legen Sie zenon Logic Projekte generell nur über den zenon Editor an. Denn nur dann werden auch die dazugehörigen Treiber automatisch im zenon Projekt angelegt.

Dialog Projekt neu

Parameter

Beschreibung

Name

Frei definierbarer Namen für das zenon Logic Projekt.

Hinweis: Der Name

  • besteht aus Buchstaben
  • darf nicht länger als 15 Zeichen sein
  • darf nicht leer sein
  • darf nur gültige Zeichen enthalten:
    ungültig sind: alle Ziffern und Sonderzeichen wie \ / , ; ß ä ö ü : * ? " < > | ( )
    ein Punkt ist nur im Namen, nicht aber als erstes Zeichen zulässig

Die Schaltfläche Fertigstellen ist nur dann aktiv, wenn ein zulässiger Name eingegeben wird.

Treiber

Auswahl des Treibers. Sie haben Sie die Wahl zwischen:

  • stratonNG (Default):
    legt eine neue Verbindung mit dem korrekten Projektnamen, dem zenon Logic Runtime-Port und der IP-Adresse 127.0.0.1 an
  • straton32:
    legt eine neue Verbindung mit zenon Logic Runtime-Port und der IP-Adresse 127.0.0.1 an
  • IEC870:
    öffnet Konfigurationsdialog
  • IRC850:
    öffnet Konfigurationsdialog

Diese Auswahl definiert die spätere Runtime-Kommunikation zwischen zenon Logic und zenon. Außerdem wird darauf basierend das Anlegen der Bedienen und Beobachten (B und B) Variablen ausgelegt:

  • namensbasierend beim STRATON Treiber,
  • adressbasierend beim IEC Treiber

Fertigstellen

Erstellt das neue zenon Logic Projekt.

Abbrechen

Bricht Projekterstellung ab.

Hilfe

Öffnet Online-Hilfe.

Treiberauswahl

Entscheidungshilfe für die Treiberauswahl:

Treiber

Eigenschaften

stratonNG Treiber:

Standardtreiber für zenon Logic Projekte:

  • kann zyklisch oder spontan (bei Wertänderung betrieben werden)
  • unterstützt komplexe Datentypen (Strukturdatentypen oder Arrays)
  • ermöglicht mehrere Verbindungen in einem Treiber zu mehreren Runtimes gleichzeitig (empfiehlt sich zur Nutzung unter Windows CE)

straton32 Treiber:

Ethernet TCP/IP basierend.

Hinweis: Nur noch aus Kompatibilitätsgründen enthalten. Es wird empfohlen den stratonNG Treiber zu verwenden.

IEC870 Treiber:

Wird meistens in der Infrastruktur-Automation verwendet.

Eigenschaften:

  • kann seriell (-101) oder über Ethernet TCP/IP (-104) betrieben werden
  • Datenverkehr ist generell spontan (bei Wertänderung)
  • komplexe Datentypen werden nicht unterstützt

IEC850 Treiber:

Nachfolger des IEC60870 Standards und umfassend objektorientiert ausgelegt.

Informationen zur Konfiguration der Treiber finden Sie in der jeweiligen Hilfe des Treibers:

  • straton32 Treiber: straton32
  • stratonNG Treiber: stratonNG
  • IEC870 Treiber: IEC870
  • IEC850 Treiber: IEC850

attention Achtung

Die Auswahl eines Treibers kann später nicht mehr rückgängig gemacht werden!

Ausnahme: Wechsel vom straton32 zum stratonNG Treiber ist möglich.

Treiber austauschen

Um einen Treiberwechsel von straton32 zu stratonNG durchzuführen:

  • Wählen Sie im zenon Editor das Projekt, für welches Sie den straton32 Treiber austauschen möchten.
  • Navigieren Sie in der Detailansicht des Knotens Variablen/Treiber .
  • Wählen Sie dort den Eintrag Treiber.
  • Wählen Sie in der Detailansicht des Projektmanagers den straton32 Treiber aus.
  • wählen Sie im Kontextmenü Treiber austauschen
  • Der Dialog zur Treiberauswahl wird geöffnet.
  • Wählen Sie den Treiber aus.
  • Schließen Sie den Dialog.
    Die Konfiguration wird in das zenon Logic Projekt übernommen.


Bearbeiten eines zenon Logic Projekts

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Erste Schritte mit zenon Logic in zenon > Bearbeiten eines zenon Logic Projekts

Mit Doppelklick auf das entsprechende Projekt oder über das Kontextmenü öffnen Sie ein bestehendes zenon Logic Projekt zur Bearbeitung. Dasselbe erreichen Sie über das entsprechende Icon in der Symbolleiste im Detailfenster.


Löschen eines zenon Logic Projekts

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Erste Schritte mit zenon Logic in zenon > Löschen eines zenon Logic Projekts

Um ein zenon Logic Projekt zu löschen:

  1. wählen Sie im Kontextmenüs des Projekts oder in der Symbolleiste den Befehl löschen

    (Mehrfachauswahl ist möglich)

  2. bestätigen Sie die Sicherheitsabfrage, ob Sie das Projekt wirklich löschen möchten
  3. wählen Sie, ob der Treiber des Projekts gelöscht werden soll

    (Beim gleichzeitigen Löschen mehrerer Projekte das Löschen des Treibers für jedes Projekt extra abgefragt.)

attention Achtung

Beim Löschen des Treibers werden alle in zenon mit diesem Treiber verknüpften Variablen ebenfalls gelöscht


Aufbau der Workbench

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Erste Schritte mit zenon Logic in zenon > Aufbau der Workbench

Die zenon Logic Workbench gliedert sich in folgende Bereiche:

Bereich | Beschreibung
1 | In diesem Bereich werden Dokumente angezeigt und bearbeitet (Programme, Watch-Listen,...).
2 | Der Arbeitsbereich: Dokumente werde in dieser Liste angelegt und geöffnet.
3 | Das Ausgabefenster zeigt Meldungen und stellt Diagnose-Tools zur Verfügung.
4 | Im Variablen-Editor werden Variablen und Instanzen deklariert.
5 | Die Eigenschaften-Registerkarte wird für die Projektierung der Grafik-Dokumente verwendet.
6 | Die Registerkarte Bibliotheken listet alle verfügbaren Funktionen und Funktionsblöcke auf.
7 | Die Registerkarte Spion zeigt die Online-Werte von ausgewählten Variablen während des Debuggings.
8 | Die Registerkarte Definitionen zeigt alle Definitionen.
9 | Die Registerkarte Grafik listet alle grafischen Objekte auf.

Jeder Bereich (außer Bereich 1) kann mit den Befehlen aus dem Menü Ansicht ausgeblendet oder angezeigt werden.

Im mittleren Bereich befinden sich die Dokumente des Arbeitsbereichs. Sind mehrere Dokumente gleichzeitig geöffnet, wird über die Registerkarten am unter Ende des Bereichs zwischen den Dokumenten umgeschaltet. Mit der Schaltfläche X in der Titelleiste kann das aktive Dokument geschlossen werden.

Der Variablen-Editor und der Dokumenten-Bereich in der Mitte können zu jeder Zeit über die entsprechende Schaltfläche (blaues Symbol mit weißem Strich) oder einen Doppelklick in die Titelleiste maximiert werden.

Sind mehrere Dokumente im mittleren Bereich geöffnet, kann eines davon im oberen oder linken Bereich fixiert werden. Dafür führen Sie einen Rechtsklick auf die entsprechende Registerkarte aus und wählen Fixieren. Mit dem selben Menü heben Sie zu jeder Zeit die Fixierung eines Dokuments auf oder fixieren ein anderes.


Lizenzinformationen anzeigen

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Erste Schritte mit zenon Logic in zenon > Lizenzinformationen anzeigen

Um Lizenzinformationen in der zenon Logic Workbench anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Parameter/Schaltflächen | Beschreibung
Version | Versionsnummer der integrierten Workbench.
Edition | Verwendete Edition.
Serial number | Seriennummer der Lizenz.
Detail information | Zeigt Details zur Lizenz an.
Open license administration | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.
Close | Schließt den Dialog.


Variablenhandling

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Variablenhandling

Die Integration von zenon Logic in zenon bietet viele Vorteile bei der Projektierung von SPS- und SCADA-Projekten. Die sogenannten B&B-Variablen (Bedienen und Beobachten) aus dem SPS-System sind mit wenigen Mausklicks in zenon verfügbar. Bei Änderung der Variable (Name, Datentyp,...) wird diese sofort an das jeweils andere System weitergeleitet und aktualisiert.

Der Vorteil der Integration:

  • Einfache Handhabe von B&B-Variablen
  • Sofortige Nachführung bei Änderungen
  • Arbeitsersparnis durch Wegfall von Export/Import
  • Bessere Qualität durch Minimierung von Fehlerquellen

attention Achtung

Instanzen von UDFBs sind nicht als B&B-Variablen verfügbar.

Noch in diesem Kapitel

Anlegen von B&B Variablen in zenon Logic

Anlegen von B&B Variablen in zenon

Verwenden von zenon Variablen in zenon Logic

Variablennamen


Anlegen von B&B Variablen in zenon Logic

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Variablenhandling > Anlegen von B&B Variablen in zenon Logic

Alle in der zenon Logic Workbench angelegten Variablen können als B&B (Bedienen und Beobachten) Variablen gekennzeichnet werden:

  • Lokale Programm-Variablen
  • Globale Variablen
  • Retain-Variablen (=remanente Variablen)
  • Array-Variablen
  • Struktur-Variablen

Hinweis: Variablen vom Datentyp TIME können nicht als B&B Variablen deklariert werden.

Variablen als B&B kennzeichnen

Dazu sind folgende Schritte notwendig:

(Die genauen Schritte eine Variable in zenon Logic anzulegen entnehmen Sie der Online Hilfe der zenon Logic Workbench.)

  1. Führen Sie einen Rechtsklick auf die Variable in der Variablenliste aus.
  2. Wählen Sie Eigenschaften im Kontextmenü.
  3. Wählen Sie in der Dropdownliste das Profil STRATON (*Bedienen und Beobachten für zenon*) aus.
  4. Klicken Sie auf OK.

    Ein Rückfragedialog wird geöffnet.

  5. Bestätigen Sie den Dialog mit einem Klick auf Ja.
  6. Aktivieren Sie die Checkbox der Variable in der Spalte Symb.

Nun ist diese B&B-Variable in der zenon Variablenliste eingetragen.

attention Achtung

Sobald eine zenon Logic Variable als B&B-Variable deklariert wurde, darf sie in der Workbench nicht mehr als Text editiert werden!

Dies führt zum Verlust von Variablendeklarationen.

Die B&B-Variable wird in zenon mit einem Präfix angezeigt. Das Präfix setzt sich wie folgt zusammen:

[zenon Logic Projektname>/zenon Logic Programmname oder Global oder Retain]/[Variablenname]

attention Achtung

Variablen sind in der Zeichenlänge beschränkt. Inklusive Präfix darf der Variablenname maximal 128 Zeichen lang sein.

In Variablenliste aktivieren

Um nicht über das Kontextmenü und den Profildialog gehen zu müssen, können Sie das Profil und die Checkbox direkt in der Variablenliste in zenon Logic aktualisieren.

Markieren Sie die Zelle Eigenschaften der entsprechenden Variablen. Drücken Sie Strg+F12. Somit erscheint das Profil zenon Logic in dieser Zelle. Zusätzlich muss noch in der Spalte Symb. per Doppelklick oder mit Enter die Checkbox für das Einbetten des Symbols aktiviert werden.

attention Achtung

Die Checkbox Symbole einbetten muss aktiviert sein. Variablen, bei denen diese Checkbox nicht aktiviert ist, können nicht über den STRATON Treiber von zenon kommunizieren und werden daher auch keine Werte liefern.

Zusatzattribute der Variable

Die Zusatzattribute Kennung und Beschreibung einer Variable werden ebenfalls in zenon angezeigt, wenn Sie das Profil STRATON (*Bedienen und Beobachten für zenon*) auswählen. Die Inhalte der Kennung und Beschreibung finden Sie in zenon in den Variableneigenschaften Kennung und Betriebsmittelkennung.

Arrays und Strukturvariablen

Werden Arrays oder Strukturvariablen mit dem Profil STRATON (*Bedienen und Beobachten für zenon*) markiert, werde diese ebenfalls in der zenon Variablenliste angezeigt. Allerdings müssen Sie danach noch die gewünschten Elemente der Variable aktivieren.

attention Achtung

Sollte eine B&B Variable ein Array sein, muss das Setzen von Initialwerten sehr vorsichtig erfolgen.

Empfehlung: Arrays mit Initialwerten sollten nicht als B&B deklariert werden! Ist das unumgänglich, darf der String, der die Initialwerte beschreibt, nicht länger als 1024 Zeichen sein.

UDFB-Instanzen

  1. Eingabevariablen bei UDFB Instanzen werden in zenon durch die integrierte Lösung nicht zur Verfügung gestellt.
  2. In zenon können keine Variablen einer UDFB Instanz erzeugt werden. Das ist nur möglich, indem eine Instanz dieser UDFB in zenon Logic erzeugt und das zenon Logic Profil gesetzt wird.

    UDFB-Instanzen, die mit dem Profil zenon Logic (*Bedienen und Beobachten für zenon*) markiert sind, werden nicht automatisch in zenon zur Verfügung gestellt. Für den Fall, dass Sie das möchten, müssen Sie diese Funktionalität mithilfe des folgenden Eintrags in der Datei K5DBXS.INI manuell aktivieren. Gehen Sie in der Datei K5DBXS.INI in die Sektion [XS] und tragen Sie dort ShareUDFBDatatype=1 ein.

    Wenn Sie den Eintrag deaktivieren, werden bestehende UDFB-Datentypen in einem Projekt weiterhin modifiziert. Es werden allerdings keine neuen UDFBs angelegt.

Hardware IO-Deklarationen

zenon Logic IO-Variablen können in zenon verwendet werden, wenn diese in der zenon Logic Workbench:

  • über ein Profil verfügen
  • einen Alias-Namen erhalten haben; dieser wird in zenon anstelle von %IX0.0 (board type, board index, bitnumber) verwendet
    Ein Alias ist nicht nötig, wenn das Profil zenon Logic verwendet wird und die Eigenschaft embed symbol aktiviert wurde. In diesem Fall steht die Variable auch in zenon (Editor und Runtime) zur Verfügung.

Hinweis: Wird eine I/O Gruppe in zenon Logic gelöscht, werden die Variablen vom I/O Board mit zenon Logic Profil auch in zenon gelöscht.

Achtung:

  • IO-Variablen können in zenon nicht umbenannt werden.
  • IO-Variablen für zenon Logic IO-Karten können in zenon nicht erstellt werden.
  • Der Datentyp von IO-Variablen sollte in zenon nicht geändert werden: Änderungen werden in der zenon Logic Workbench nicht übernommen.
  • Änderungen der Hardware IO-Deklarationen sollten immer in zenon Logic durchgeführt werden. In zenon kann keine neue Variable für den straton32 Treiber als Hardware I/O Variable für zenon Logic erstellt werden.


Anlegen von B&B Variablen in zenon

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Variablenhandling > Anlegen von B&B Variablen in zenon

B&B (Bedienen und Beobachten) Variablen für die Soft-SPS zenon Logic können auch in zenon deklariert werden. Legen Sie dafür eine Variable in zenon in gewohnter Weise an:

attention Achtung

Achten Sie darauf, dass die Schreibweise der Variable den Konventionen der IEC 61131-3 entspricht (keine Sonderzeichen, Umlaute,...), da ansonsten im Dialog die Schaltfläche Fertigstellen nicht freigegeben wird. Siehe auch: Variablennamen

info Info

Die in zenon deklarierten Variablen werden in zenon Logic immer im Globalen Bereich der Variablenliste eingetragen.

Änderungen an Variablen eines zenon Logic Treibers in zenon

Werden Variablen eines Treibers, der mit einem zenon Logic Projekt verknüpft ist, geändert:

  • erfolgt eine Änderungserkennung im zenon Logic Projekt
  • fragt die zenon Logic Workbench Verbindung zur Runtime nach, ob das Projekt neu kompiliert werden soll

Dieses Verhalten ist unabhängig davon, ob die Änderung Auswirkungen auf das zenon Logic Projekt hat.


Verwenden von zenon Variablen in zenon Logic

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Variablenhandling > Verwenden von zenon Variablen in zenon Logic

Es ist sehr einfach möglich, Variablen aus herkömmlichen SPS-Systemen (z. B. Siemens S7 oder Beckhoff TwinCAT), die über die entsprechenden zenon Treiber in zenon eingelesen werden, in zenon Logic weiterzuverarbeiten.

Dazu stehen zwei Möglichkeiten zur Verfügung:

  • Zuweisung:
    Die Variable aus der SPS (z. B. S7) wird per Zuweisung einer zenon Logic Variable zugewiesen.
    Dabei ist immer nur eine unidirektionale Kommunikation möglich.
  • Logic zu SCADA Verbindung:
    Die SPS-Variablen (z. B. von einer S7) werden über eine Logic zu SCADA Verbindung zwischen zenon und zenon Logic ausgetauscht. Um die SPS-Variablen in der zenon Logic Workbench sichtbar zu schalten, müssen Sie in den Eigenschaften der Variablen die Eigenschaft Extern sichtbar aktivieren. Damit ist die Variable in der Variablenliste der zenon Logic Workbench enthalten.
    Vorteil: Diese Vorgangsweise funktioniert bidirektional. Sie ist auch sehr schnell und einfach konfigurierbar.
    Hinweis: Eine solche Verbindung funktioniert nur lokal auf einem PC oder CE Gerät. Es kann hier nicht mit einer entfernten zenon Logic Runtime auf einem anderen Gerät kommuniziert werden.

Logic zu SCADA Verbindung

Eine Logic zu SCADA Verbindung Variable wird in zenon Logic speziell gekennzeichnet, da diese in zenon Logic nicht mehr verändert werden kann. Die Variable hier zu verändern, würde zu Problemen führen, da die Quelle dieser Variable die SPS Programmierumgebung der Fremd-SPS (z. B. Step7) ist.

Damit die Kommunikation zur Runtime für Logic zu SCADA Verbindung Variablen auch stattfindet, muss in zenon Logic ein I/O Treiber - der Logic zu SCADA Verbindung Treiber - angelegt werden.
Konfiguration:

  1. Öffnen Sie die Feldbuskonfiguration in der zenon Logic Workbench.
    Dazu führen Sie einen Doppelklick auf das Modul Feldbuskonfiguration oder einen Klick auf das Symbol in der Symbolleiste aus.
  2. Führen Sie einen Rechtsklick in den Bereich I/O Treiber aus.
  3. Wählen Sie im Kontextmenü Konfiguration einfügen.
  4. Wählen Sie in der Gruppe Alle den Eintrag Logic zu SCADA Verbindung aus.
    Diese Konfiguration wird eingetragen und angezeigt.

Damit ist gewährleistet, dass die extern sichtbaren Variablen aus zenon mit zenon Logic kommunizieren.

attention Achtung

Beachten Sie bei der Wahl des Variablennamens:

Der Name einer Variable aus einer Fremd-SPS muss den IEC 61131-3 Konventionen hinsichtlich der Schreibweise entsprechen.
Erlaubt sind:

  • Zahlen
  • Buchstaben von A bis Z (keine Umlaute)
  • Unterstriche

Zusätzlich darf der Name nicht mit einer Zahl beginnen.
(Details siehe auch Variablennamen.)
Tipp: Um eine Variable mit nicht erlaubten Zeichen in zenon Logic zu verwenden, kann der Name direkt im Code in geschwungene Klammern gesetzt werden.
Beispiel: Die Variable myArray[3] wird im Programm mit {myArray[3]} aufgerufen.

Mögliche Wechselwirkungen

Beachten Sie für Logic zu SCADA Verbindungen mögliche Wechselwirkungen mit der Eigenschaft Hysterese.
Wurde für die zenon Variable eine Hysterese konfiguriert, entspricht der Wert in zenon Logic nicht dem Wert in der SPS. Es ist auch möglich, dass er nicht dem Wert in zenon entspricht.
Es gelten folgende Regeln:

  • Der Wert ändert sich in der SPS innerhalb der konfigurierten Hysterese-Bandbreite:
    Der Wert wird nicht an die zenon Runtime kommuniziert und damit auch nicht an zenon Logic.
  • Der Wert wird vom Benutzer in zenon geändert (z. B. über eine Funktion) und bleibt innerhalb der konfigurierten Hysterese-Bandbreite:
    Der Wert bleibt in zenon und zenon Logic gleich, ändert sich aber in der SPS.
  • Der Wert wird in zenon Logic geändert und bleibt innerhalb der konfigurierten Hysterese-Bandbreite:
    Der Wert ändert sich in der SPS und in zenon Logic, bleibt aber in zenon unverändert.
    Wenn sich in dieser Situation der Wert in der SPS ändert und innerhalb der konfigurierten Hysterese-Bandbreite bleibt, existieren drei unterschiedliche Werte:
    einer in der SPS, einer in zenon und einer in zenon Logic.

attention Achtung

Events werden nur bei Wertänderungen ausgelöst. In speziellen Applikationskonstellationen kann es zu Inkonsistenzen zwischen Werten kommen.

Dies kann sehr einfach vermieden werden, in dem unterschiedliche Variablen für das Lesen und das Schreiben verwendet werden.


Variablennamen

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Variablenhandling > Variablennamen

Variablennamen müssen für zenon Logic den Bestimmungen der IEC 61131-3 folgen. Die Richtigkeit wird bei der Eingabe sowohl von zenon als auch von zenon Logic überprüft (Kommunikation über STRATON Treiber).

Hingegen muss bei Variablen von anderen Treibern (z. B. S7 TCP/IP Treiber) vom Projektanten darauf geachtet werden, dass der Variablenname den Konventionen der IEC 61131-3 entspricht (Kommunikation über Logic zu SCADA Verbindung).

Beispiele für zulässige und unzulässige IEC 61131-3 Schreibweisen

Zulässige Bezeichner | Unzulässige Bezeichner | Unzulässig weil:
_XYZ | __XYZ | Zwei Mal Unterstrich.
xy_z | xy__z | Zwei Mal Unterstrich.
xyz_ | xyz__ | Zwei Mal Unterstrich.
MotorOn | Motor On | Leerzeichen.
Motor_On | Motor/On | Schrägstrich.
mw10 | 1mw10 | Ziffer/Zahl zu Beginn.
xyz | #xyz | Raute.
_Motor1 | _Motor 1 | Leerzeichen.
Stoerung | Störung | Umlaut.
Ueberbruecken | Überbrücken | Umlaut.
Mo_tor | Mo-tor | Bindestrich.

Ab der Version 6.22 SP1 ist es möglich, auch Variablen zu verwenden, die der IEC 61131-3 Schreibweise nicht entsprechen (freie Variablennamen). Dies ist aber mit Vorsicht zu behandeln.

Befolgen Sie dabei folgende Regeln bei der Verwendung von freien Variablennamen:

  • Variablennamen dürfen folgende Zeichen/Zeichenfolgen nicht enthalten: '(*', '*)', '//', '{' und '}'
  • Variablennamen dürfen nicht mit zwei Unterstrichen '__' beginnen
  • Werden freie Variablennamen in den Programmiersprachen ST oder IL (AWL) verwendet, müssen diese innerhalb von geschwungenen Klammern {} stehen.
  • Werden freie Variablennamen als Struktur oder Array verwendet müssen diese innerhalb von geschwungenen Klammern {} stehen.
  • Variablen mit freiem Variablennamen mit Basis-Datentypen dürfen ohne geschwungene Klammern {} in den Programmiersprachen FBD (FUP) und LD (KOP) verwendet werden und müssen dann als globale Variablen deklariert sein.
  • Variablen mit gleichem Namen, einmal mit {} oder ohne {}, werden als zwei unterschiedliche Variablen betrachtet.

info Info

Strukturvariablen und Arrays von Strukturvariablen mit Punkt (".") im Namen werden korrekt dargestellt. Standard-Arrays mit Schrägstrich ( "/") oder Punkt (".") im Namen zeigen keine Werte in der spy list an.


Arrays

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Arrays

Arrays können in zenon und in zenon Logic für beide Systeme angelegt werden. Die Deklaration als B&B Variable erfolgt wie in den Kapiteln Anlegen von B und B-Variablen in zenon Logic und Anlegen von B und B-Variablen in zenon beschrieben. Achten Sie beim Anlegen von Arrays in zenon Logic darauf, dass die Einzelelemente in zenon aktiviert werden müssen.

Klicken Sie beim Anlegen von Arrays in zenon im Dialog Arraybeginn ist 0 an, damit die Arrays in den beiden System dieselben Indizes haben.

attention Achtung

Arrays mit Initialwerten sollten nicht als B&B deklariert werden! Ist das unumgänglich, darf der String, der die Initialwerte beschreibt, nicht länger als 255 Zeichen sein.


Daten-Strukturen

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Daten-Strukturen

Strukturdatentypen können entweder in zenon oder in der zenon Logic Workbench angelegt werden.

info Info

Beachten Sie beim Anlegen von Strukturdatentypen in zenon die IEC 61131-3 Schreibweise, ansonsten wird der Struktur-Datentyp in zenon Logic nicht angezeigt. Siehe auch Variablennamen. Die Schreibweise wird hier von zenon nicht überprüft!

info Info

Wenn Sie Strukturdatentypen in zenon Logic anlegen, so werden diese in zenon immer als verknüpft deklariert.

Legen Sie daher einen Struktur-Datentyp besser in zenon an, weil Sie dann die Wahl zwischen verknüpftem und eingebettetem Datentyp haben.


Verteiltes Engineering (Mehrplatzfähigkeit)

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Verteiltes Engineering (Mehrplatzfähigkeit)

Mehrere Projektanten können gemeinsam an einem zenon Projekt arbeiten. Somit kann auch ein zenon Logic Projekt von einem Projektanten bearbeitet werden und das restliche zenon Projekt von einem anderen.

Variablen

B&B (Bedienen und Beobachten) Variablen werden beim Verteilten Engineering vom zenon Logic Projekt separat behandelt.

Sie können Variablen wie gehabt in zenon Logic anlegen. Sollen die Variablen auch in zenon zur Verfügung stehen, müssen Sie ihnen die entsprechende Eigenschaft zuweisen (Elementgruppe, Profil STRATON (*Bedienen und Beobachten für zenon*)). Danach ist die Variable in zenon neu angelegt. Sie können sie für andere Projektanten einchecken (Änderungen übernehmen). Eine eingecheckte Variable können Sie in der zenon Logic Workbench nicht mehr bearbeiten. Sie wird in der zenon Logic Variablenliste entsprechend gekennzeichnet.

Treiber

STRATON Treiber werden beim Verteilten Engineering ebenfalls vom zenon Logic Projekt separat behandelt. Das heißt, für Änderungen müssen Sie den STRATON Treiber auschecken (Änderungen ermöglichen).

zenon Logic Projekte

Um ein zenon Logic Projekt in einem mehrplatzfähigen zenon Projekt zu bearbeiten, muss das zenon Logic Projekt ausgecheckt werden (Änderungen ermöglichen). Nach der Projektierung können Sie die Änderungen übernehmen oder verwerfen.

zenon Logic Projekte löschen

Um ein zenon Logic Projekte zu löschen, muss es ausgecheckt sein (Änderungen ermöglichen) oder im Offline-Modus bearbeitet werden.


Wiederverwenden von Projekten

Handbuch > zenon Logic > Grundlagen zenon Logic Workbench (IEC 61131-3) > Wiederverwenden von Projekten

zenon Logic Projekte können sehr einfach in ein zenon Projekt integriert werden:

  1. Wählen Sie im Kontextmenü der Detailansicht des Moduls zenon Logic (IEC 61131-3) den Menüpunkt Externes zenon Logic Projekt importieren aus.
  2. Geben Sie ein bestehendes zenon Logic Projekt an (Ordner markieren).
  3. Mit Klick auf OK wird das bestehende zenon Logic Projekt in das zenon Projekt integriert.
  4. Legen Sie einen Namen für das importierte Projekt fest.
  5. Wählen Sie einen Treiber für die integrierte Lösung aus.

Eine weitere Möglichkeit stellt der XML Import dar:

  1. Klicken Sie im Kontextmenü der Detailansicht des Moduls zenon Logic (IEC 61131-3) auf XML importieren.
  2. Wählen Sie die gewünschte XML-Datei aus.
  3. Mit Klick auf OK importieren Sie das zenon Logic Projekt.
  4. Legen Sie einen Namen fest für das Importierte Projekt fest.
  5. Wählen Sie einen Treiber für die integrierte Lösung aus.

Hinweis: Bei XML-Import muss online change deaktiviert werden, damit das Nachladen der in der zenon Logic Variablen funktioniert.


zenon Logic Workbench

Handbuch > zenon Logic > zenon Logic Workbench

In diesem Bereich finden Sie die Dokumentation für die zenon Logic Workbench. Diese steht nur als Online-Hilfe zur Verfügung.


zenon Logic Runtime (Soft SPS)

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS)

Die zenon Logic Runtime interpretiert den kompilierten SPS-Code der zenon Logic Workbench.
Dieses Handbuch gibt einen Überblick zur Verwendung der zenon Logic Runtime.

Unterstützte Systeme

Überblick der unterstützten Server- und Desktop Betriebssysteme bis Windows 8.1

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 und 8.1/ Server 2008 (R2) SP1, 2012 und 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime für Windows CE | -- | -- | -- | X
Web Server | X | X | X | X (nur Web Server Pro Light)
Web Client | X | X | X | --
HTML Web Engine | X | X | X | --

Legende:

  • X: unterstützt
  • --: nicht unterstützt

Achtung: Ab Version 7.50 wird Windows CE nicht mehr unterstützt.

Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.Überblick der unterstützten Desktop Betriebssysteme für Windows 10

Windows Version | zenon Supervisor / Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Legende:

  • X: verfügbar
  • --: nicht lauffähig

zenon Web Client

zenon Logic wird vom zenon Web Client nicht unterstützt.

Noch in diesem Kapitel

Oberfläche

Lizenzierung

Starten der zenon Logic Runtime

zenon Logic Runtime Zyklus

Beenden der zenon Logic Runtime

Erstellen der Hot Restart Datei

Remote Systeme

zenon Logic Runtime mit Real Time Kernel (RTK)

Redundanz zenon Logic und zenon

OEM Spezifikation

Weiterleitung von Zeitstempel und der Variablen Statusinformation

zenon Logic I/O Treiber Unterstützung

zenon Logic I/O Treiber: Hot-Restart/Online Change

Fehlermeldungen


Oberfläche

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche

Die zenon Logic Runtime ist als Symbol im Systemtray verfügbar. Dieses zeigt den aktuellen Status der Runtime ab. Mit einem Doppelklick auf das Symbol oder über das Kontextmenü Anzeigen wird die zenon Logic Runtime Oberfläche geöffnet.

Je nach aktuellem Zustand zeigt die Oberfläche unterschiedliche Status:

  • läuft
  • Schrittmodus
  • Breakpoints gesetzt
  • angehalten

Eine Fortschrittsanzeige zeigt die Auslastung der SPS an.

Neben den Informationen zum Zustand des laufenden zenon Logic Projekts können auf der zenon Logic Runtime-Oberfläche noch folgende Aktionen durchgeführt werden:

  • Schieberegler Erlaubtes Maximum der SPS Ressourcen:erlaubtes Maximum festlegen
  • Schaltfläche Einstellungen...: ermöglicht die Konfiguration über drei Registerkarten
    • Allgemeine Einstellungen
    • Redundanz
    • Fortgeschrittene
  • Schaltfläche Start/Stopp: öffnet den Dialog zum Starten der Runtime oder stoppt die Runtime
  • Schaltfläche Meldungen: öffnet und schließt das Meldungsfenster

Noch in diesem Kapitel

Schieberegler Erlaubtes Maximum

Einstellungen

Meldungen


Schieberegler Erlaubtes Maximum

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche > Schieberegler Erlaubtes Maximum

Der Schieberegler Erlaubtes Maximum dient dazu, anderen Applikationen, die auf dem selben Gerät laufen - wie z. B. zenon - Systemressourcen zu garantieren.

Mit diesem Regler kann die maximal erlaubte Ausführungszeit bezogen auf die Zykluszeit eingestellt werden. Wird der Regler zum Beispiel bei einer eingestellten Zykluszeit von 10 ms auf 50% gestellt, darf der SPS-Zyklus maximal 5 ms in Anspruch nehmen. Dauert der SPS Zyklus länger als 5 ms, wird die restliche Berechnung im darauf folgenden Zyklus durchgeführt. Somit muss aus SPS Sicht ein Zyklus ausgelassen werden. Daraus ergibt sich ein Zyklenüberlauf.

Der Regler kann zwischen 10% und 100% stufenlos eingestellt werden.

Der Bargraf (PLC load) gibt an, wie hoch die SPS Auslastung bezogen auf die Einstellung des Reglers ist. Daraus lässt sich schließen, wie der Regler für optimales Tuning verschoben werden muss.

SPS-Auslastung hoch (Bargraf zwischen 50% und 100%): Schieberegler in Richtung 100% verstellen oder Zykluszeit erhöhen.


Einstellungen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche > Einstellungen

Die Einstellungen erlauben in drei Registerkarten die Konfiguration der zenon Logic Runtime:

  • Allgemeine Einstellungen
  • Redundanz
  • Fortgeschrittene

Noch in diesem Kapitel

Allgemein

Redundanz

Erweiterte Einstellungen


Allgemein

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche > Einstellungen > Allgemein

In der Registerkarte Allgemein können die verschiedenen Parameter zur zenon Logic Runtime verändert werden:

Parameter | Auswirkung
Kommunikation |
Port (Main): | IP Port der zenon Logic Runtime für den zyklischen Datenaustausch (z. b. zenon Logic Workbench).
Port (Binding): | IP Port der zenon Logic Runtime für den spontanen Datenaustausch (z. b. straton32.exe Treiber von zenon oder Binding).
Hochlauf |
Kein Start. Diese Box öffnen: | Beim Starten der zenon Logic Runtime wird zuerst diese Box geöffnet.
Kaltstart: | Initialisiertes Hochlaufen. Auch Retain Variablen werden initialisiert gestartet.
Kaltstart (laden v. RETAIN Variablen): | Initialisierter Hochlauf mit aktuellen Werten der Retain Variablen. Diese beinhalten nur Werte, keinen Status (siehe Info-Box).
Warmstart: | Restart mit allen Variablenwerten wie beim Beenden.
Start im Schrittmodus | Startet die zenon Logic Runtime und hält diese sofort im Debugging Modus an.
Verzögerung [s] | Verzögert den Start um die eingestellte Anzahl von Sekunden. Default: 0
RETAIN-Daten |
Speicherpfad Retain-Daten | Hier wird die Datei mit den Retain Daten abgelegt. Die Standardeinstellung hängt davon ab, wie die zenon Logic Runtime gestartet wurde.
Retain-Variablen mit ihrem Namen speichern | Aktivieren Sie diese Checkbox, wenn Sie die Retain-Daten im Format mit den Variablennamen speichern möchten. Dadurch können die Werte von Retain-Variablen auch gespeichert werden, wenn Sie eine Retain-Variable hinzufügen oder löschen. Hinweis: Damit eine Variable gespeichert werden kann, muss sie in der zenon Logic Workbench als eingebettet markiert sein. Wenn Sie die Checkbox nicht aktivieren, werden die Retain-Daten herkömmlich gespeichert. Nach einer Änderung der Retain-Variablen, startet die Runtime mit den Initialwerten für alle Retain-Variablen. Default: deaktiviert
Zyklisches Speichern der Retain-Variablen | Wenn Sie diese Checkbox deaktivieren, werden die Retain-Daten nicht mehr zyklisch - nach einer Änderung aber nicht häufiger als ca. alle 10 ms - gespeichert, sondern nur beim Beenden der Runtime. Default: aktiviert
Echtzeitpriorität | Setzt den zenon Logic Runtime Prozess auf Windows Priorität Echtzeit. Ein nicht gesetztes Flag bedeutet Priorität Normal.

info Info

Wenn Sie in zenon die Option Retain-Variablen mit Namen speichern aktiviert haben und auch bei manuellem Runtime-Start nützen möchten, müssen Sie sicherstellen, dass in der Datei K5DBXS.INI im Bereich [CMD] die Option RETAINBYNAME gesetzt ist. Dadurch werden beim Start der zenon Logic Workbench alle Retain-Variablen als eingebettet markiert.
Hinweis: Die INI-Datei wird nur beim Start der zenon Logic Workbench ausgewertet. Änderungen während die Workbench läuft haben kein Auswirkungen.

info Info

Retain Variablen

Retain Daten enthalten nur den Wert der zenon Logic Variablen, nicht deren Status. Das bedeutet für den Start:

  • Warmstart: Der Status, der für eine Variable gesetzt wurde, wird wieder hergestellt - unabhängig davon, ob es sich um eine Retain Variable handelt oder nicht.
  • Kaltstart mit Retain Variablen: Nur der Wert der Retain Variablen in zenon Logic wird wieder hergestellt, nicht der Status.

info Info

Wurde die zenon Logic Runtime mit der zenon Runtime oder mit dem zenon Logic Runtime Manager gestartet, so werden Änderungen aus dieser Oberfläche nach einem Neustart der zenon Logic Runtime nicht übernommen!

Einstellungsänderungen führen Sie daher wie gewohnt in den zenon Logic Projekteigenschaften des zenon Editors oder im zenon Logic Runtime Manager durch.

In solchen Fällen dient dieser Dialog dafür, festzustellen welche Parameter an die zenon Logic Runtime übergeben wurden.

Die Einstellungsänderungen in diesem Dialog kommen nur zum Tragen, wenn die zenon Logic Runtime direkt (z. b. über den Windows Explorer) gestartet wird.


Redundanz

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche > Einstellungen > Redundanz

In der Registerkarte Redundanz sind die Redundanzeinstellungen der zenon Logic Runtime ersichtlich.

Folgende Einträge können in dieser Oberfläche überprüft oder eingegeben werden:

Eintrag | Bedeutung
Redundanz aktivieren | Runtime läuft im Redundanzmodus
Server Port: | Port für die Replikationsverbindung
Server Timeout [ms] | Timeout, um festzustellen, ob der passive Client vorhanden ist. Nach Ablauf dieses Time-outs wird die Replikation beendet.
Client Timeout [ms] | Timeout, um festzustellen, dass der aktive Server nicht mehr verfügbar ist. Danach wird der passive Client zum aktiven Server.
Partneradresse: | IP-Adresse des Redundanzpartners.

info Info

Details zur Konfiguration der Redundanz von zenon Logic und zenon finden Sie im Kapitel Redundanz zenon Logic und zenon.

Einschränkungen

In der zenon Logic RTK Runtime wird Redundanz nicht unterstützt.


Erweiterte Einstellungen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche > Einstellungen > Erweiterte Einstellungen

In dieser Registerkarte werden Einstellungen für die spontane Kommunikation mit externen Applikationen (Binding, zenon Treiber,...) vorgenommen.

Folgende Einstellungen können vorgenommen werden:

Eintrag | Bedeutung | Wertebereich
System | Max. Länge der Systemqueue. In dieser Queue werden z. B. Überläufe der Eventqueue gepuffert. | 1024 ... 65520 Default: 1024
Alarme | Länge der Alarmqueue (aktuell nicht verwendet) | 0 ... 65520 Default: 0
Ereignisse | Länge der Eventqueue: In diese Queue werden die Events des zenon Logic Runtime Event-Servers geschrieben. Von dort werden diese über TCP verschickt. Läuft diese Queue über, werden die Überlaufmeldungen in die System Queue geschrieben. | 0 ... 65535 Default: 8192
Meldungen | Länge der Infoqueue. In dieser Queue werden die Meldungen an die zenon Logic Workbench gepuffert. | 1024 ... 65520 Default: 32768
Max. Puffer | Puffergröße der Events pro Zyklus. Mit diesem Parameter wird definiert, wie viele Variablen über den Event-Server je Zyklus abgearbeitet werden können. | 128 ... 65535 Default: 1024
Auf Standardeinstellungen zurücksetzen | Stellt die Defaulteinstellungen wieder her |

info Info

Werden bei großen Projekten mehr als 1024 Variablen zwischen zenon Logic und zenon über den straton32.exe Treiber übertragen, so muss der Parameter Max. Puffer entsprechend erhöht werden. Eine einfache Methode, die Zahl für Max. Puffer zu eruieren, ist der Wert für die kompilierten I/Os im Ausgabefenster des zenon Logic Compilers . Siehe Bild unten.


Meldungen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Oberfläche > Meldungen

Auf der zenon Logic Runtime-Oberfläche können Meldungen der Runtime angezeigt werden. Um die Ansicht zu aktivieren, klicken Sie auf die Schaltfläche Meldungen>>. Die Meldungsanzeige öffnet sich. Um die Meldungsanzeige zu schließen, klicken Sie auf die Schaltfläche Meldungen<<.

Für Aktionen in der Meldungsanzeige klicken Sie mit der linken oder rechten Maustaste in die Meldungsanzeige. Sie erhalten ein Kontextmenü:

Menüeintrag | Beschreibung
Zeitstempel der Meldungen anzeigen | Fügt jeder Meldung einen Zeitstempel hinzu.
Meldungen in die Zwischenablage kopieren | Kopiert alle Meldungen in die Zwischenablage.
Alle Meldungen löschen | Löscht alle Meldungen aus dem Meldungsfenster.

Die Einstellungen für das Logging von zenon Logic und den Treibern verwalten Sie Sie über den Diagnosis Viewer.


Lizenzierung

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Lizenzierung

Die zenon Logic Runtime benötigt eine gültige Lizenz zum Starten. Sonst wird der 30 Minuten Demo-Modus gestartet. Die Lizenzierung erfolgt über die COPA-DATA Lizenzverwaltung.

Information über die Lizenz der zenon Logic Runtime anzeigen

Um die Lizenzinformationen anzuzeigen:

  1. Klicken Sie bei laufender Runtime doppelt auf das Symbol für die zenon Logic im Systemtray.

    Der Dialog mit Statusinformationen wird geöffnet.

  2. Klicken Sie in der linken oberen Ecke auf das Logo von zenon Logic.
  3. Wählen Sie in der Dropdownliste Über zenon Logic Runtime... aus.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Dialog Lizenzinformation

Option | Beschreibung
Lizenzinformationen | Zeigt Informationen zur aktuell genutzten Lizenz an.
OK | Schließt den Dialog.
Lizenzverwaltung öffnen | Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Noch in diesem Kapitel

TAG-Behandlung 800 - zenon Logic

Demo Modus


TAG-Behandlung 800 - zenon Logic

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Lizenzierung > TAG-Behandlung 800 - zenon Logic

Die Anzahl der in zenon Logic verbrauchten TAGs richten sich nach der Anzahl der verbrauchten I/Os in zenon Logic minus der Anzahl der verbrauchten I/Os mit einem zenon oder zenon Logic Profil. Diese I/Os werden schon bei der TAG-Berechnung in zenon berücksichtigt.

Somit wird sichergestellt, dass keine I/Os doppelt gezählt werden.

Die verbrauchten I/Os werden in der zenon Logic Runtime Oberfläche angezeigt.


Demo Modus

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Lizenzierung > Demo Modus

Wenn beim Start der zenon Logic Runtime keine gültige Seriennummer gefunden wird, startet die zenon Logic Runtime im Demo Modus. Der Demo Modus stoppt die zenon Logic Runtime nach 10 Minuten. Ist eine Demo-Seriennummer vorhanden, dann läuft die zenon Logic Runtime für 30 Tage. Nach Ablauf der 30 Tage beträgt die maximale Laufzeit der zenon Logic Runtime wiederum 10 Minuten.

zenon Logic Mini

Sie haben die zenon Logic Runtime Lizenz nicht gekauft, besitzen aber eine gültige zenon Runtime Lizenz. Dann ist automatisch eine Mini-Version der zenon Logic Runtime lizenziert.
Mit der Mini-Version können bis zu 8 TAGs (= Variablen) über Input/Output Mechanismen von zenon Logic verwendet werden. Als TAGs werden Variablen von Feldbustreibern und Variablen mit Profilen (z. B. B&B Profil zenon Logic) gerechnet. Ausgenommen von der Berechnung sind die zenon internen Profile STRATON und zenOnRT zur zenon internen Kommunikation.

Berechnungsbeispiel:

  • 4 Variablen für die Kommunikation mit zenon
    (werden nicht berechnet)
  • 4 Variablen für die Kommunikation mit Profibus
  • 4 Variablen für die Kommunikation mit IEC 61850 Client

Ergibt die volle Ausschöpfung der 8 TAGs (0 + 4 + 4 = 8).


Starten der zenon Logic Runtime

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Starten der zenon Logic Runtime

Die zenon Logic Runtime ist multiinstanzfähig und benötigt daher Parameter (Übergabeparameter), wenn sie gestartet wird.

Es gibt folgende Möglichkeiten, die zenon Logic Runtime zu starten:

  • mit der zenon Runtime
  • mit dem zenon Logic Runtime Manager
  • mit einer BAT-Datei
  • über die Kommandozeile

Mit zenon Runtime starten

Um die zenon Logic Runtime mit der zenon Runtime zu starten:

  • Wählen Sie das zenon Logic Projekt im zenon Editor.
  • Verändern Sie je nach Wunsch den Starttyp (Runtime). Die Eigenschaften zu Starttyp sind in der eingebetteten Hilfe von zenon beschrieben.

Hinweis: Wird die Eigenschaft Startort auf Server 1 und Server 2 gestellt, dann muss in der Eigenschaft Host als Wert zwingend localhost verwendet werden. Anderenfalls kann die zenon Logic Runtime nicht starten.

Start mit dem zenon Logic Runtime Manager

Um die zenon Logic Runtime manuell zu starten, kommt der zenon Logic Runtime Manager zum Einsatz. Sie finden den zenon Logic Runtime Manager im Bereich COPA-DATA im Windows® Startmenü. Der zenon Logic Runtime Manager dient dazu, zenon Logic Runtime Instanzen auf einem PC zu starten. Hier kann z. B. Harte Echtzeit ausgewählt werden, um die zenon Logic Echtzeit-Version zu starten (zenon Logic RTK) oder um eine zenon Logic Runtime Instanz beim System-Hochlauf zu starten ("Autostart").

Genauere Anweisungen zu den einzelnen Elementen des zenon Logic Runtime Managers erhalten Sie, indem Sie den Mauszeiger darüber führen. Damit wird die jeweilige Hilfe in der Eigenschaftenhilfe im unteren Bereich angezeigt.

Die gesamte Hilfe zu dieser Anwendung erhalten Sie, wenn Sie auf das ? in der Menüleiste klicken.

attention Achtung

Der Runtime-Manager muss mit Administratorrechten gestartet werden.

Starten in einer DOS-Shell

Die zenon Logic Runtime kann über die Kommandozeile bzw. eine BAT-Datei gestartet werden. Dieser Startvorgang ist auch für den Start unter Windows CE gültig. Enthält der Pfad unter CE ein Leerzeichen, muss der Pfad Parameter zwischen einzelne Anführungszeichen definiert werden. Beispiel: -PATH='\hard disk\project1\'

Für die Befehle gilt:

  • alle Befehle müssen in Großbuchstaben geschrieben werden
  • als Vorzeichen sind erlaubt:
    • -
    • / (Darf nicht als letztes Zeichen beim Wert für PATH verwendet werden!)

Folgende Übergabeparameter stehen zur Verfügung:

Hauptparameter

Einstellungen wie unter Einstellungen -> Allgemein in der Oberfläche der zenon Logic Runtime.

Parameter

Beschreibung

PORT=<Zahl>

Kommunikationsport.

Wenn kein Parameter gesetzt wird: 1200 (Default)

PORTTRACE=<Zahl>

Event-Port.

Wenn kein Parameter gesetzt wird: PORT+7800

PATH=<DB-Path>

Ablageort des zenon Logic Applikationscode.

Wenn kein Parameter gesetzt wird: zenon Logic Runtime-Ordner.

Hinweise:

  • Muss gesetzt sein.
  • Pfad darf nicht mit einem Backslash (\) enden.
  • Für die Fehlererkennung überprüft der Treiber den Projektnamen am Ende des Pfades.
  • Die zenon Runtime entdeckt beim Start bereits laufende zenon Logic Runtimes durch Vergleich des gesamten Pfades.

ZENPATH=<Pfad>

zenon Pfad

ZENPROJECT=<Name>

zenon Projektname.

Hinweise: Muss gesetzt sein.

DONTHIDE

Runtime nach dem Start nicht verstecken (einziger Parameter ohne = Zeichen)

STEP=<0|1>

Aktivierung/Deaktivierung des Steppingmode:

  • 1: Start im Steppingmode
  • 0: kein Steppingmode
  • kein Parameter: kein Steppingmode

START=<0|1|2|3>

Art des Runtimestarts:

  • 0: Setupdialog aufschalten
  • 1: Coldstart
  • 2: Warmstart
  • 3: Hotstart
  • Ohne Parameter: Warmstart

LOWPRIORITY=<0|1>

Priorität:

  • 0: low priority
  • 1: Windows real time priority
  • Ohne Parameter: low priority

WRITELOG=<0|1>

Einstellung für Logging:

  • 0: Kein Log erstellen
  • 1: Log erstellen
  • Ohne Parameter: Log erstellen

Die Logdatei wird im Ordner, der im Parameter PATH angegeben wurde, erstellt. Name: STRATONRTLOG.TXT

Zusätzliche Parameter

Parameter | Beschreibung
REMPATH=<Pfad> | Pfad für remanente Daten. Wenn kein Parameter gesetzt wird: PATH-Ordner
DELAY=<Zahl> | Start-Delay in [s]: Verzögerter Start der zenon Logic Runtime. Wenn kein Parameter gesetzt wird: 0
MAXUTILPRCT=<Zahl> | Stellung des Schiebereglers für die maximale SPS Auslastung in %. Wenn kein Parameter gesetzt wird: 100

Eventparameter

Einstellungen wie unter Einstellungen -> Erweiterte Einstellungen in der Oberfläche der zenon Logic Runtime für die Queue/Events.

Parameter | Beschreibung
QSSYSTEM=<Zahl> | Größe der Systemqueue. Wenn kein Parameter gesetzt wird:1024
QSALARM=<Zahl> | Größe der Alarmqueue. Wenn kein Parameter gesetzt wird: 0
QSEVENT=<Zahl> | Größe der Eventqueue. Wenn kein Parameter gesetzt wird: 8192
QSINFO=<Zahl> | Größe der Infoqueue. Wenn kein Parameter gesetzt wird: 32768
NBEVENT=<Zahl> | Maximale Anzahl registrierbarer Events. Wenn kein Parameter gesetzt wird: 1024
EVENTCON=<Zahl> | Anzahl der möglichen Event-Verbindungen. Wenn kein Parameter gesetzt wird: 256

Redundanzparameter

Einstellungen wie unter Einstellungen -> Redundanz in der Oberfläche der zenon Logic Runtime.

Parameter | Beschreibung
REDENABLE=<0,1> | Redundanz ein/aus. Ohne Parameter: 0
REDADDR=<IP> | Redundanz Partneradresse.
REDPORT=<Zahl> | Redundanz Port für Replikation.
REDCLITIMEOUT=<Zahl> | Redundanz Client Time-out [ms]; Time-out für das Hochstufen zum aktiven Server. Wenn kein Parameter gesetzt wird: 1000
REDSRVTIMEOUT=<Zahl> | Redundanz Server Time-out [ms]. Time-out für das Beenden der Replikation. Wenn kein Parameter gesetzt wird: 1000
REDZENON=<0,1> | Wenn 1, dann wird die Partneradresse aus der PROJECT.INI gelesen. Wenn kein Parameter gesetzt wird: 0


zenon Logic Runtime Zyklus

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime Zyklus

Der zenon Logic Runtime Zyklus setzt sich zusammen aus:

  • Calc. time: Zeit für Datenaustausch, Berechnung, Ablage berechneter Werte, schreiben und lesen geänderter Werte.
  • Cycle time: Komplette Zykluszeit, deren Länge von System latency abhängt.
  • System latency: Ansprechzeit des Systems.

Diese Werte lassen sich in der zenon Logic Oberfläche anzeigen. Benutzen Sie dafür die Tastenkombination Alt+S oder Umschalt+Alt+A.

Eigenschaft | Beschreibung
Binding exchange | Einlesen der Binding Werte, die im Netzwerk publiziert werden und von der Applikation konfiguriert wurden (wenn konfiguriert).
I/O exchange | Datenaustausch der I/O Treiber (außer Modbus Slave/Server) und der I/O Boards (wenn konfiguriert).
Application executione | Ausführung der Programme.
Digital sampling trace | Ausführen des Digital Sampling (wenn konfiguriert).
Events | Absenden der Events (Binding oder straton32.exe-Treiber von zenon) (wenn konfiguriert).
Forced values | Einlesen der Sollwerte von zenon, von der zenon Logic Workbench (online Debugging) und Datenaustausch des Modbus Slave/Server (wenn konfiguriert).
Sleep | Restliche Zeit bis zum Verstreichen der Zykluszeit abwarten. Bei der Zyklus-Einstellung "So schnell wie möglich (Freilauf)" beträgt diese Zeit immer 1 ms. Die Zeit des Sleep dient dazu, dass Aufgaben des Betriebssystems und von anderen Windows Applikationen ausgeführt werden können.

Zeitzuweisung SPS und Windows

Mit dem Schieberegler in der zenon Logic Runtime Oberfläche bestimmen Sie, wie viel Zeit für die SPS reserviert wird und wie viel für Windows. Der Wert des Bargrafen bezieht sich dabei immer auf das im Schieberegler eingestellte Verhältnis.

Verhalten bei projektiertem Freilauf

Wird in der zenon Logic Entwicklungsumgebung ein Freilauf (= so schnell wie möglich) parametriert, so wird diese Projektierung nicht in der zenon Logic Runtime unterstützt. In diesem Fall wird in der Runtime automatisch eine Zykluszeit von 1 Millisekunde verwendet.
Hinweis: Der Freilauf wird in zenon Logic im Dialog Optionen projektiert. Rufen Sie dazu in zenon Logic den Menüeintrag Projekt auf. Wählen Sie dort den Eintrag Parameter... Im Dialog Optionen wählen Sie im Bereich Runtime die Eigenschaft Zykluszeit. Durch Doppelklick auf die Eigenschaft öffnet sich der Dialog Zykluszeit mit den entsprechenden Optionen.

Noch in diesem Kapitel

Fehlermeldungen cycle time


Fehlermeldungen cycle time

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime Zyklus > Fehlermeldungen cycle time

Bei Überschreitungen der cycle time werden Meldungen in der zenon Logic Runtime oder in der Workbench ausgegeben und entsprechende Einträge in die LOG-Datei geschrieben.

Fehlermeldung Oberfläche | Eintrag Logfile | Bedeutung
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Anzahl (x) der nicht ausgeführten Zyklen aufgrund von Zykluszeitüberschreitungen. Die Ausführungszeit ist größer als die eingestellte Zykluszeit oder sind nicht genügend CPU Ressourcen verfügbar.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | Die Ausführungszeit beträgt mehr als 80% der eingestellten Zykluszeit, tatsächlich (x)%.

Fehlerbehebung

Überschreitungen des cycle time beheben Sie durch:

  • cycle time erhöhen
  • Ausführungszeit verringern, z. B.:
    • System mit mehr CPU-Ressourcen verwenden
    • mit C-Compiler kompilierten Code verwenden
    • Programm reduzieren


Beenden der zenon Logic Runtime

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Beenden der zenon Logic Runtime

Die zenon Logic Runtime kann manuell über das Kontextmenü des Symbols im Systemtray oder über das geöffnet Fenster der zenon Logic Runtime beendet werden:

Kontextmenü Symbol

Mit einem rechten Mausklick auf das Icon im Systemtray erhalten Sie folgendes Kontextmenü:

  1. Mit Klick auf Beenden öffnet sich ein Dialog.

  2. Mit dem Bestätigen wird die Runtime gestoppt und beendet.

Im Fenster der zenon Logic Runtime

Eine weitere Möglichkeit zum Beenden der Runtime bietet das geöffnet Fenster der zenon Logic Runtime:

Mit Klick in die linke obere Ecke des Fensters erhalten Sie folgendes Menü:

  1. Mit Klick auf Beenden öffnet sich ein Dialog.
  2. Bestätigen Sie diesen, wird die zenon Logic Runtime sofort beendet.

info Info

Wurde die zenon Logic Runtime mit der zenon Runtime gestartet und wurde im zenon Editor für das zenon Logic Projekt der Starttyp "autom. starten/stoppen" ausgewählt, dann wird die zenon Logic Runtime automatisch mit dem Beenden der zenon Runtime beendet.


Erstellen der Hot Restart Datei

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Erstellen der Hot Restart Datei

Wenn Sie die zenon Logic Runtime schließen, wird automatisch eine Hot Restart Datei erstellt. Sie können auch selbst mithilfe der Funktion WriteHot das Schreiben der Hot Restart Datei anstoßen.

Jedes Mal wenn eine Hot Restart Datei erstellt wird, wird auch eine Backup-Datei erstellt, bei der das letzte Zeichen des Dateinamens durch '_' ersetzt wird. Außerdem werden die Dateien mit einem Header erstellt, der die Checksum der Daten der Datei enthält. Beim Lesen der Datei wird Header und Checksum überprüft. Wenn ein Fehler auftritt, wird die Backup-Datei verwendet.

Die Funktion WriteHot besitzt folgende Eingabeparameter:

Parameter | Beschreibung
I | Trigger; Wenn dieser Parameter TRUE ist, wird die Funktion ausgeführt.
SYNC | Wenn dieser Parameter TRUE ist, wird der Zyklus so lange angehalten bis die Hot Restart Datei geschrieben ist. Wenn der Parameter FALSE ist, wird die Funktion asynchron ausgeführt.
BUSY | Dieser Parameter ist TRUE, wenn die Funktion ausgeführt wird.

info Info

Wenn Sie die Funktion in einem Zyklus mehrmals aufrufen, wird nur der letzte Aufruf berücksichtigt.


Remote Systeme

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Remote Systeme

Dieser Abschnitt befasst sich mit Zielsystemen, die sich nicht auf dem lokalen Computer befinden. Der Zugang zum Zielsystem erfolgt immer über Ethernet TCP/IP.

Noch in diesem Kapitel

zenon Runtime und zenon Logic Runtime auf einem Remote-PC


zenon Runtime und zenon Logic Runtime auf einem Remote-PC

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Remote Systeme > zenon Runtime und zenon Logic Runtime auf einem Remote-PC

Installation auf dem Zielsystem

Als ersten Schritt installieren und lizenzieren Sie die zenon Runtime auf dem Remote-PC. Die zenon Logic Runtime wird automatisch mitinstalliert/lizenziert.

Download der Projektdaten mit zenon Logic Runtime mit Starttyp "autom. starten/stoppen" oder "autom. starten"

Um die zenon und zenon Logic Runtime Dateien zu übertragen, verwenden Sie die Remote-Transport-Funktionalität von zenon. Genaueres dazu finden Sie im Kapitel Remote-Transport.

Die zenon Logic Runtime wird automatisch mit der zenon Runtime gestartet und beendet.

Download der Applikationsdaten mit zenon Logic Runtime mit Starttyp "manuell starten"

Wird die zenon Logic Runtime auf dem Ziel-PC manuell gestartet (z. B. beim Hochlaufen des Betriebssystems), muss der SPS-Code manuell mit der zenon Logic Workbench auf die Zielplattform geladen werden. Dazu

  • tragen Sie im Eigenschaften-Dialog Workbench im zenon Editor die richtigen Parameter ein: Ziel-Host und Ziel-Port
  • klicken Sie in der zenon Logic Workbench auf die Schaltfläche Online
  • damit stellt die zenon Logic Workbench mit dem Zielsystem eine Verbindung her.
  • nun kann der SPS-Code mit der Schaltfläche Download auf das Zielsystem geladen werden, der Fortschritt des Downloads wird in Form eines Balkens dargestellt
  • nach dem Download läuft die SPS sofort mit der neuen Applikation an
  • war der Download erfolgreich und läuft das SPS Programm auf dem Zielsystem fehlerfrei, wird in der Symbolleiste RUN angezeigt


zenon Logic Runtime mit Real Time Kernel (RTK)

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK)

Die zenon Logic Runtime mit Realtime Kernel (RTK) ist das zenon Logic Laufzeitsystem für die harte Echtzeit. Im Unterschied zur "normalen" zenon Logic Runtime läuft diese parallel und unabhängig vom Betriebssystem. Damit sind höchste Verfügbarkeit und Ausfallssicherheit gewährleistet. So ist zenon Logic auch dann noch verfügbar, wenn das Betriebssystem blockiert oder nicht mehr verfügbar ist.

Voraussetzungen:

  • Die zenon Logic RTK steht für folgende Windows Betriebssysteme zur Verfügung:
    • Windows 7 in der 32-Bit Version
    • Windows 8 und 8.1 in der 32-Bit Version
    • Windows 10 in der 32-Bit Version

Achtung: Die zenon Logic Runtime mit RTK ist nur auf 32-Bit Betriebssystemen lauffähig.

  • Die zenon Logic RTK kann mit einer der folgenden Möglichkeit gestartet werden:
    • dem zenon Logic Runtime Manager (Option Harte Echtzeit muss gesetzt sein)
    • über Kommandozeile
    • mit einer BAT-Datei.

attention Achtung

Betreiben Sie nicht zwei Echtzeiterweiterungen parallel auf einem Rechner.
Das heißt:

  • Ist bereits eine andere Echtzeiterweiterung auf dem Rechner aktiv, starten Sie die zenon Logic RTK nicht.
  • Es kann jeweils nur eine Instanz der zenon Logic RTK gestartet werden.

Der Realtime Kernel ist so ausgelegt, dass er unabhängig vom Betriebssystem den zenon Logic Runtime Zyklus triggert. Somit wird der zenon Logic Runtime Zyklus garantiert ausgeführt.

Der Anteil der Rechenkapazität des PCs kann über einen Schieberegler eingestellt werden:

Je nach Größe der SPS Applikation und der eingestellten Zykluszeit wird mit dem Schieberegler die SPS Auslastung angepasst. Der Schieberegler kann zwischen 10% und 85% verschoben werden. Die Aktuelle Auslastung wird als Balken visualisiert und zeigt an, ob das erlaubte Maximum für die Abarbeitung des SPS Zyklus ausreicht.

Erreicht die Anzeige des Balken die 100 %, so besteht die Gefahr von Zyklenüberläufen! Stellen Sie dann den Regler höher (gegen 85%). Ist das aufgrund des Programms in Windows (z. b. lange Bildaufschaltzeiten von zenon) nicht möglich, muss die Zykluszeit von zenon Logic erhöht werden.

attention Achtung

Erreicht der Balken die 100% Markierung, besteht die Gefahr von Zyklenüberläufen!

Example Beispiele

Schieberegler auf 10%, Zykluszeit 10ms:

Der zenon Logic RTK stehen für die Abarbeitung des SPS Programms 1 ms, nämlich 10% der eingestellten Zykluszeit von 10 [ms] zur Verfügung.

Schieberegler auf 50%, Zykluszeit 5ms:

Der zenon Logic RTK stehen für die Abarbeitung des SPS Programms 2,5ms zur Verfügung.

Schieberegler auf 85%, Zykluszeit 20ms:

Der zenon Logic RTK stehen für die Abarbeitung des SPS Programms 17ms zur Verfügung.

Formel

Um sicherzustellen, dass die Einstellung des Schiebereglers im Zusammenhang mit der Zykluszeit keine Zyklenüberläufe verursacht, kann folgende Formel angewandt werden:

Zykluszeit > (100/Reglerposition[%])*Berechnungszeit

Um die Berechnungszeit des SPS-Zyklus festzustellen, drücken Sie die Tasten Umschalt+Alt+a und notieren sich den Wert Max. Ber. Zeit [µs].

Annahme:

Max. Ber. Zeit: 274µs

Reglerposition: 50%

Eingestellte Zykluszeit: 1ms (1000µs)

Berechnung:

(100/50)*274 = 548µs

Daraus folgt, dass die eingestellte Zykluszeit von 1 [ms] ausreichend ist.

attention Achtung

Beachten Sie: Wird die oben beschriebene Formel nicht eingehalten, ist ein Determinismus auf Basis der Zykluszeit NICHT mehr gegeben!

Zykluszeit

Es können Zykluszeiten ab 100 µs eingestellt werden.
Hinweis: Die korrekte Nutzung der eingestellten Zykluszeit hängt ab von System und ausgewähltem HAL Timer . Auskunft über die aktuelle Systemauslastung geben Systemlatenzzeit (Tastenkombination: Alt+S)und Erweiterte Statistik (Tastenkombination: Umschalt+Alt+A).

Beschreibung der dargestellten Messwerte:

Systemlatentzzeit (ALT+s) |
Aktuell [µs] | Aktuelle Systemlatenzzeit (siehe auch Runtime Zyklus)
Maximum [µs] | Maximale Systemlatenzzeit (seit dem Runtime Start)

Erweiterte Statistik (UMSCHALT+ALT+a) |
Ber. Zeit [µs] | Aktuelle Berechnungszeit des letzten Zyklus
Max. Ber. Zeit [µs] | Maximale Berechnungszeit für einen SPS Zyklus (seit dem Runtime Start)
Zykluszeit [µs] | Aktuelle Zykluszeit
Min. Zykluszeit [µs] | Minimale Zykluszeit (seit dem Runtime Start)
Max. Zykluszeit [µs] | Maximale Zykluszeit (seit dem Runtime Start)
Zyklenüberlauf [1] | Zähler für Zykluszeitüberschreitungen (seit dem Runtime Start)
Treiberüberlauf [1] | Zähler für versäumte SPS Zyklen von Windows- (Nicht-Echtzeit-) Treibern (seit dem Runtime Start)

Der Wert der Zykluszeit kann immer nur ein Vielfaches der HAL Timer Periode (Zeitbasis) sein. Die Zeitbasis hängt vom ausgewählten Timer und dessen Zeitbasis ab (siehe auch zenon Logic RTK Konfiguration).

Das bedeutet: Eine eingestellte Zykluszeit von 10 [ms] einer Hardware mit einer Zeitbasis von 122 µs wird nicht mit genau 10,000 ms, sondern mit 10,004 [ms] ausgeführt.

Noch in diesem Kapitel

Einschränkungen und Voraussetzungen der zenon Logic RTK

zenon Logic RTK Konfiguration

Blue Screen Handling

Fehlercodes beim Starten der zenon Logic RTK


Einschränkungen und Voraussetzungen der zenon Logic RTK

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > Einschränkungen und Voraussetzungen der zenon Logic RTK

Hardwarevoraussetzungen für zenon Logic RTK

ACPI:

Hardware (PC oder IPC) und Betriebssystem müssen ACPI unterstützen:

  • ACPI-Multiprocessor-P
  • ACPI-PC (Advanced Configuration and Power Interface)
  • ACPI-Uniprozessor-PC

Ob Ihr PC ACPI unterstützt, sehen Sie in der Systemsteuerung (System/Geräte-Manager/Computer).

Prozessoren:

Die zenon Logic RTK wird ab folgenden Prozessorgenerationen unterstützt:

  • Pentium II oder jünger
  • AMD Athlon XP oder jünger

Einschränkungen

Der zenon Logic Real Time Kernel (RTK) läuft unabhängig vom Betriebssystem als eigener Prozess auf Hardwarebene, die zenon Logic Runtime dagegen unter Windows. Die echtzeitfähige zenon Logic RTK weist gegenüber der zenon Logic Runtime (RT) einige Einschränkungen auf:

  • Virtual Machines werden nicht unterstützt.
  • zenon Logic Redundanz wird nicht unterstützt.
  • Nicht alle Funktionsbausteine werden unterstützt.
  • Nicht alle I/O Treiber werden unterstützt.
  • Manche Echtzeit Treiber müssen manuell registriert/deregistriert werden.

Funktionsbausteine

Folgende Funktionsbausteine werden nicht direkt im Kernel Mode abgearbeitet, sondern nur emuliert:

  • alle Dateioperationen (Kategorie 'Files')
  • alle TCP/IP Bausteine (Kategorie 'TCP-IP')

Folgende Funktionsbausteine werden von der zenon Logic RTK nicht unterstützt:

  • day_time_local (Kategorie 'Clock')

info Info

In der zenon Logic Workbench kann die jeweilige Konfiguration der Runtime geladen werden. Dazu wählen Sie in der Workbench im Kontextmenü des geladenen Projektes den Eintrag Konfiguration.

Nach Auswahl der Konfiguration werden die nicht unterstützten Funktionsbausteine in der Bibliothek rot eingefärbt.

I/O Treiber

Folgende zenon Logic I/O Treiber werden von der zenon Logic RTK im Kernel Mode ausgeführt (Echtzeit):

  • Profibus (Hilscher CIF Profibus)
  • Hilscher SYCON universal (Hilscher SYCON Konfiguration)

Weiter Informationen zu unterstützten I/O Treibern finden sie hier: zenon Logic I/O Treiber Unterstützung

Echtzeit-Treiber registrieren und deregistrieren

In äußerst seltenen Fällen kann es notwendig sein, dass der Echtzeit-Treiber der zenon Logic RTK händisch registriert oder deregistriert werden muss. Starten Sie dazu die Eingabe auf Kommandozeilenebene (command Prompt) über:
Start > ausführen > cmd.

Verwenden Sie folgende Syntax für:

  • Registrieren:

    <Ordner der zenon Logic RTK>:\ stratonrtkvm -regsrv

  • Deregistrieren:

    Ordner der zenon Logic RTK>:\ stratonrtkvm -unregsrv

Beispiel für <Ordner der zenon Logic RTK>: %Programme (x86)%\COPA-DATA\zenon 800


zenon Logic RTK Konfiguration

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration

Der zenon Logic Real Time Kernel (RTK) läuft als eigene Instanz auf der Hardwarebene, unabhängig vom Betriebssystem. Die Timerticks zur Steuerung werden direkt vom Motherboard bezogen. Welche Timer zur Verfügung stehen, hängt von der verwendeten Hardware ab. Die Konfiguration erfolgt mit dem zenon Logic RTK Konfigurator.

Noch in diesem Kapitel

RTK Konfiguration starten

RTK Basisinformationen

RTK Grundeinstellungen

RTK Taskmanager

RTK Hardwarekonfiguration

RTK Logs

RTK Konfigurator Beenden


RTK Konfiguration starten

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Konfiguration starten

Klicken Sie in der Windows Systemsteuerung doppelt auf die Schaltfläche für den zenon Logic RTK Konfigurator.

Das Fenster zur Bearbeitung der Konfiguration öffnet sich. Im linken Bereich sehen Sie einen Menübaum mit folgenden Punkten:

  • CDrtHAL Konfiguration
  • Grundeinstellungen
  • Taskmanager
  • Hardwarekonfiguration
  • Zugriff auf den physikalischen Speicher
  • LOG-Nachrichten

Im rechten Fenster erhalten Sie Informationen zu den Menüpunkten und konfigurieren Sie den RTK.


RTK Basisinformationen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Basisinformationen

Nach dem Start ist im linken Fenster der Konfigurations-Software der Menüpunkt 'CDrtHAL Konfiguration' aktiviert. Im rechten Fenster stehen Ihnen Basisinformationen zum Konfigurator und zum System zur Verfügung:

Eigenschaft | Information
Version | Version des Echtzeit-Treibers (CDrtHAL).
Status | RTK ist aktiv oder inaktiv.
Interrupt controller | Typ des Interrupt Controllers.
High precision event timer | Unterstützung abhängig von Hardware.
Prozessorkerne | Zahl der zur Verfügung stehenden Prozessorkerne.


RTK Grundeinstellungen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Grundeinstellungen

RTK Grundeinstellungen

In den Grundeinstellungen legen Sie fest:

  • Quelle für den Timertick
  • CPU, auf der der RTK ausgeführt wird
  • Basiszeit als Grundlage für den Multiplikationsfaktor für die Berechnung der Zykluszeit

Timer für Echtzeitquelle

Welcher Timer in der Auswahlliste angezeigt wird, hängt von der verwendeten Hardware ab. Diese Informationen werden auch auf der Startseite der RTK Konfiguration angezeigt. Vorhanden können sein:

  • Interrupt-Controller APIC
  • Interrupt-Controller PIC
  • HPET (High precision event timer)

Daraus ergeben sich folgende Möglichkeiten:

  1. PIC ohne HPET
    • Timer (8254 Timer), Basiszeiten: 334 µs, 143 µs, 112 µs, 53 µs
    • Profile (Echtzeituhr), Basiszeiten: 488 µs, 244 µs, 122 µs
  2. APIC ohne HPET
    • Timer, (Echtzeituhr), Basiszeiten: 488 µs, 244 µs, 122 µs
    • Profile (Lokaler APIC), Basiszeiten: frei wählbar zwischen 50 – 500 µs
    • Unbenutzt (8254 Timer) Basiszeiten: frei wählbar zwischen 50 – 500 µs
  3. APIC mit HPET
    • Timer, (HPET timer 0), Basiszeiten: 500 µs, 250 µs, 125 µs
    • Profile (Lokaler APIC), Basiszeiten: frei wählbar zwischen 50 – 500 µs
    • Unbenutzt (HPET timer 2) Basiszeiten: frei wählbar zwischen 50 – 500 µs

Ob und in welchem Rahmen Basiszeiten frei wählbar sind, hängt ab von Hardware (Echtzeituhr) und Betriebssystem. Bei Einsatz der „Timer“ Echtzeitquelle wird für die Echtzeitausführung die Quelle des Windows Timer Interrupts verwendet. In diesem Fall muss die eingestellte Basiszeit ein ganzzähliger Teiler der Windows Timer Interrupt Basiszeit sein.

Echtzeitquelle: abhängig vom Betriebssystem. Auswahl über Listenfeld (drop down).

Als Basiseinstellung wird empfohlen: Unbenutzt (HPET Timer2).

Echtzeit CPU: Auswahl der CPU, auf der die Prozesse des RTK abgearbeitet werden sollen.

Basiszeit: Basiszeit des Timerticks. Je nach Echtzeitquelle wird sie aus einer Liste ausgewählt oder frei eingetragen. Im Betrieb bezieht sicher der Multiplikationsfaktor für die Timerticks auf die hier eingetragene Basisizeit

attention Achtung

Bei Verwendung von Profile: Echtzeitquelle darf das Kernel-Profiling unter keinen Umständen aktiviert werden, während eine zenon Logic RTK Applikation ausgeführt wird. Für weitere Informationen zu Kernel-Profiling siehe: http://www.microsoft.com/downloads/details.aspx?familyid=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en


RTK Taskmanager

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Taskmanager

Der Taskmanager informiert über Zykluszeiten und Ausführungszeiten.

Eigenschaft | Information
Zykluszeit (in Mikrosekunden) | Minimal- und Maximalwerte sowie aktueller Wert. Zyklus meint die Zyklen des Timerticks bezogen auf die Basiszeit.
Ausführungszeit (in Mikrosekunden) | Minimal- und Maximalwerte sowie aktueller Wert.


RTK Hardwarekonfiguration

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Hardwarekonfiguration

Für die Kommunikation mit den im Kernel Mode ausgeführten I/O Treibern (z. B. Profibus) wird ein eigener reservierter Speicherbereich benötigt. zenon Logic RTK und das I/O Treiber-System handeln dafür einen Bereich aus, auf den beide lesend und schreibend zugreifen.

Die Konfiguration bietet drei Einstellungen an:

Option | Auswirkung
Zugriff auf den physikalischen Speicher generell verbieten. | Frei gegebene Speicherbereiche stellen ein Sicherheitsrisiko hinsichtlich Schadsoftware dar. Im Auslieferungszustand wird daher der Zugriff auf den physikalischen Speicher verboten. Grundeinstellung.
Zugriff auf den physikalischen Speicher generell erlauben. | Gibt den gesamten Speicher für die Kommunikation frei, zenon Logic RTK und Profibus legen ihre Kommunikationsbereiche willkürlich fest. Unsichere Einstellung, die nicht empfohlen wird.
Zugriff auf bestimmte physikalische Speicherbereiche erlauben. | . zenon Logic RTK und I/O Treiber bewegen sich in einem fest zugewiesenen Speicherbereich. Empfohlene Einstellung

Noch in diesem Kapitel

Speicherbereich definieren


Speicherbereich definieren

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Hardwarekonfiguration > Speicherbereich definieren

Um zenon Logic und I/O Treiber einen festen Speicherbereich zuzuweisen, klicken Sie erst im linken Fenster auf den Abschnitt Zugriff auf den physikalischen Speicher und dann im rechten Auswahlfenster auf Zugriff auf bestimmte physikalische Speicherbereiche erlauben.

Eigenschaft | Information
Bereich | Nummer wird vom Konfigurator automatisch vergeben.
Basisadresse | Startadresse für den freien Speicher, kann zum Beispiel über das Hilscher Tool (im Lieferumfang der Karte) ermittelt werden.
Länge | Länge des freien Bereichs. Achtung: muss in Byte angegeben werden.
Hinzufügen | Erstellt einen neuen Eintrag in der Liste.
Entfernen | Löscht einen bestehenden Eintrag aus der Liste.


RTK Logs

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Logs

Meldungen des RTK werden im Bereich Log messages angezeigt.

Eigenschaft | Information
Datum/Uhrzeit | Wann ist das Ereignis eingetreten.
Typ | Welche Art von Meldung (Status, Fehler, ...)
Beschreibung | Was ist passiert.


RTK Konfigurator Beenden

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > zenon Logic RTK Konfiguration > RTK Konfigurator Beenden

Mit der Schaltfläche OK werden alle Änderungen übernommen und der Konfigurator wird geschlossen. Falls das System neu gestartet werden muss, wird eine entsprechende Meldung angezeigt.

Wird der Konfigurator über einen Klick auf das Symbol zum Schließen (X) oder Abbrechen beendet, erfolgt eine Abfrage, ob Änderungen übernommen werden sollen.


Blue Screen Handling

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > Blue Screen Handling

Ein möglicher Bluescreen of Death (BSOD) wird von der zenon Logic RTK verzögerungsfrei festgestellt.

  • Ist die zenon Logic RTK für ein Stillsetzen bei einem BSOD konfiguriert, wird - sofern definiert - das Shut-down-Programm sofort angestoßen, d.h. noch vor dem nächsten Zyklus.
  • Ist die zenon Logic RTK für ein Weiterlaufen konfiguriert, wird der nächste Zyklus nach einer minimalen Verzögerung von ca. 10 [ms] (umschalten des Grafik Modus) ausgeführt.
    Um dies zu erreichen, muss in der zenon Logic Applikation die zenon Logic Funktion RTK_OnBugCheck der zenon Logic Standard-Bibliothek mit TRUE beaufschlagt sein.

attention Achtung

Im Fall eines BSOD kann das Ausführen der zenon Logic Applikation eingeschränkt sein.

Folgende Funktionen werden danach nicht mehr unterstützt:

  • Dateioperationen
  • TCP Funktionen
  • Funktionen der Seriellen Schnittstelle
  • Nicht-Echtzeit Feldbustreiber
  • System-Uhr Funktionen
  • RETAIN Variablen
  • Schreiben von Log Messages (Änderungen durch Produkt-Versionszyklen vorbehalten)

Um in der zenon Logic Applikation festzustellen, ob sich ein BSOD erreignet hat, verwenden Sie die zenon Logic Funktion RTK_IsBugCheck.

Optionen für Profibus Master (Hilscher CIF Profibus):

Kein Reset nach Stop (Ausgänge beibehalten): Ist diese Option gesetzt, bleiben die Ausgänge der Profibus I/Os nach der Shut-down-Sequenz gesetzt. Anderenfalls würden die Ausgänge nach der Shut-down-Sequenz auf die parametrierten Ersatzwerte geschaltet.


Fehlercodes beim Starten der zenon Logic RTK

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic Runtime mit Real Time Kernel (RTK) > Fehlercodes beim Starten der zenon Logic RTK

Der angezeigte Fehlercode bezieht sich auf das Starten der STRATONRTKVM.exe

Fehlercode | Bedeutung
0x00000000 | Wenn in der zenon Logic RTK ein Fehler aufgetreten ist, wird der Fehler meist durch eine zweiteilige Meldung näher beschrieben. Die Log Meldung mit Fehlercode 0x00000000 kann jeweils ignoriert werden.
0xFFFFFFFF | Beim Starten der STRATONRTKVM.exe ist ein Time-Out aufgetreten ist. Mögliche Ursachen: STRATONRTKVM.exe ist nicht vorhanden, zu hohe Auslastung des Systems. Achtung: Nach einem solchen Fehler ist sicherzustellen, dass sowohl die STRATONRTKVM.exe wie auch die STRATONRTK.exe nicht mehr läuft (Taskmanager) bevor die zenon Logic RTK erneut gestartet wird.
0x00000001 – 0x0000FFFF | Ist ein Fehler code der zenon Logic Virtual Machine (COPALP Fehlercode).
0xFFFF01, 0xFFFF02 | Fehler beim Laden der Nicht-Echtzeit Bus-Treiber: wahrscheinliche Ursache: inkompatible (veraltete) Version einer/mehrerer Bustreiber.
0xFFFFF000 | rtHAL Fehlercode (0xFFFFF000 wird zum rtHAL code addiert)
0xFFFFF001 | Stellen Sie sicher, dass der rtHAL Treiber korrekt installiert wurde. Sollte das Problem weiterhin bestehen wenden Sie sich an Ihren zenon Support und teilen Sie uns die genaue Windows Version (Service pack, Hot fixes, …) und die verwendete Windows HAL mit. Der Name der verwendeten HAL wird im Geräte-Manager unter Computer angezeigt. Systemvoraussetzungen: ACPI, Pentium II oder AMD Athlon oder höher.

rtHAL Fehlercodes

0x0

Kein Fehler

Mögliche Fehlercodes beim Starten

Fehlercode | Bedeutung
0x1 | Fehler beim Laden des Treibers. Ursache: Treiber nicht korrekt registriert.
0x2 | START konnte nicht durchgeführt werden. Ursache: Falsche Version des Treibers installiert.

Fehlercodes während der Laufzeit

Fehlercode | Bedeutung
0x6 | SUSPEND konnte nicht durchgeführt werden.
0x7 | STOP konnte nicht durchgeführt werden.

Interne zenon Logic Virtual Machine Fehlercodes

T5RET_OK 0
T5RET_ERROR 1
T5RET_BADCODE 2 invalid app code - bad header
T5RET_BADCODETARGET 3 invalid code - bad target id
T5RET_BADCODEVERSION 4 invalid code - bad version
T5RET_EXECSIZE 5 exec buffer overflow
T5RET_BADREQUEST 6 unknown comm request
T5RET_SERVEREAD 7 cannot process read request
T5RET_UNKNOWNTIC 8 unknocn tic code
T5RET_DATA8OVERFLOW 9 too many DATA8 used
T5RET_DATA16OVERFLOW 10 too many DATA16 used
T5RET_DATA32OVERFLOW 11 too many DATA32 used
T5RET_DIVZERO 12 division by 0 in TIC (32bit)
T5RET_TIMEOVERFLOW 13 too many TIME variables
T5RET_CANTACTIME 14 active timers not supported
T5RET_SAFETICLOOP 15 awful loop in TIC (safe mode)
T5RET_OUTOFTIC 16 TIC code ointer out of range
T5RET_UNKNOWNSTF 17 not supported std function
T5RET_LDIVZERO 18 division by 0 in TIC (64bit)
T5RET_DATA64OVERFLOW 19 too many DATA64 used
T5RET_STRINGOVERFLOW 20 too many strings
T5RET_SDIVZERO 21 division by zero in TIC (8 bit)
T5RET_WDIVZERO 22 division by zero in TIC (16 bit)
T5RET_HOTRESOURCES 23 HOT restart: system resources used
T5RET_HOTMAP 24 invalid var map in hot restart
T5RET_HOTACTIME 25 change of active timer map
T5RET_HOTSTAMP 26 bad build stamp for hot restart
T5RET_HOTSFC 27 SFC changed - no hot restart!
T5RET_HOTRETAIN 28 retain def has changed - no hot
T5RET_HOTFORMAT 29 bad DB format - no hot restart!
T5RET_CYCLEOVERFLOW 30 cycle time overflow
T5RET_RETAINSTORING 31 cant store retain variables
T5RET_ARRAYBOUND 32 array index out of bounds
T5RET_RECURSE 33 recursive call of sub-program
T5RET_XVOVERFLOW 34 too many external variables used
T5RET_NOBSAMPLING 35 sampling trace not supported
T5RET_TASKOVERFLOW 36 too many tasks
T5RET_HOTCALLSTACK 37 call stack overflow (hot)
T5RET_STACKOVER 38 stack overlow
T5RET_HOTASI 39 cannot hot restart ASi
T5RET_TOXC 40 OXC limit reached
T5RET_WOXC 41 OXC info


Redundanz zenon Logic und zenon

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Redundanz zenon Logic und zenon

zenon Logic kann redundant eingesetzt werden und bietet die Möglichkeit, die zenon Redundanz mit der zenon Logic Redundanz zu kombinieren.

In diesem Kapitel wird die Konfiguration der zenon/zenon Logic Redundanz beschrieben. Die zenon/zenon Logic Redundanz wird im Folgenden als SCADA Logic Redundanz bezeichnet.

Weitere Begrifflichkeiten:

  • zenon Server = Dominanter zenon Server
  • zenon SB = zenon Standby Server
  • Aktive zenon Logic Runtime = Ausführende zenon Logic Runtime-Instanz
  • Passive zenon Logic Runtime = Backupsystem (Standby) der zenon Logic Runtime

Betriebssysteme

Informationen zu unterstützen Betriebssystemen finden Sie im Kapitel zenon Logic Runtime, Abschnitt Unterstützte Systeme.

Einschränkungen

In der zenon Logic RTK Runtime wird Redundanz nicht unterstützt.

Noch in diesem Kapitel

Voraussetzungen

Redundanz konfigurieren


Voraussetzungen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Redundanz zenon Logic und zenon > Voraussetzungen

Für die SCADA Logic Redundanz werden zwei PCs benötigt. Die beiden PCs werden über Ethernet TCP/IP (100 MBit, empfohlen 1 GBit) verbunden.

attention Achtung

Die SCADA Logic Redundanz setzt voraus, dass je Server beide Systeme - zenon und zenon Logic - installiert sind.

Es wird empfohlen, die Zykluszeit des zenon Logic Projekts auf das Doppelte der Zykluszeit eines Einzelprojekts einzustellen, mindestens aber auf 50 ms.

Da man bei der SCADA-Logic davon ausgeht, dass zenon Logic und zenon über den Logic zu SCADA Treiber kommunizieren, muss zu jeder Zeit gewährleistet sein, dass der zenon Server und die aktive zenon Logic Runtime auf demselben PC laufen.

Um eine einseitige Umschaltung von zenon Logic oder zenon zu verhindern, muss eine Synchronisation zwischen der zenon Logic Runtime und zenon Runtime projektiert werden. Dafür wird ein Watchdog verwendet.

Watchdog

zenon Logic

Der Status des zenon Projekts (Standalone/Server/Standby Server/Client) wird über die Logic zu SCADA Verbindung übertragen und vom Redundanz-Funktionsblock ausgewertet. Dieser hat als Eingang einen frei definierbaren Time-out Wert. Als Ausgang werden Binärwerte für Redundanzumschaltung sowie aktive, passiv, ausgefallene Runtimes etc. ausgegeben. Diese bestimmen die Reaktion der zenon Logic Runtime.

zenon

Ein vom zenon Runtime-Treiber generierter Watchdog wird über die Logic zu SCADA Verbindung übertragen und in zenon ausgewertet. Diese Auswertung erfolgt je nach Einstellung der Eigenschaften Ausfallerkennung nach [s] und Funktion für Ausfallerkennung. Diese definieren eine Time-out Zeit und eine Funktion (normalerweise Runtime beenden).

Damit hier der richtige Watchdog ausgewertet wird, muss auch bei mehreren aktiven zenon Logic Projekten erkennbar sein, von welchem zenon Logic Projekt der Watchdog kommt. Wird die zenon Logic manuell, per zenon Funktion, Batch-Datei oder Kommandozeile gestartet, dann muss zusätzlich der zenon Projektname (ZENPROJECT=<Name>) als Übergabeparameter angegeben werden.

attention Achtung

Der Start der zenon Runtime darf nicht über den zenon Editor erfolgen, sondern muss über den direkten Aufruf der zenon Runtime geschehen!

Die zenon Redundanz muss eingerichtet sein. Details: Siehe Hilfekapitel Netzwerk.


Redundanz konfigurieren

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Redundanz zenon Logic und zenon > Redundanz konfigurieren

zenon Logic und zenon können sich im redundanten Betrieb gegenseitig über einen Watchdog kontrollieren. Fällt die zenon Logic Runtime aus:

  • wird auch die lokale zenon Runtime beendet
  • werden beide Systeme auf Redundanzbetrieb geschaltet

Konfiguration in zenon

Um die Redundanz zu aktivieren:

  • aktivieren Sie die Eigenschaft Redundanter Betrieb in der Gruppe Runtime der Eigenschaften des zenon Logic Projekts in zenon
  • definieren Sie
    • Ausfallerkennung nach [s]
    • Funktion für Ausfallerkennung

Konfiguration in zenon Logic

Die Einstellungen zur Redundanz werden in der zenon Logic Runtime in der Registerkarte Redundanz vorgenommen.

Watchdog

Mit dem Watchdog prüft die jeweils andere Seite laufend auf Veränderung dieses Zählers. Wenn sich der Zähler für eine projektierbare Zeit nicht verändert, wird dies dem Programm mitgeteilt:

  • zenon: eine beim integrierten Projekt projektierte Funktion wird ausgeführt (Funktion für Ausfallerkennung)
  • zenon Logic: ein Funktionsblock Ausgang wird aktiv

Die Watchdogprüfung beginnt, sobald die andere Seite ihren Watchdog das erste Mal verändert hat. Dies ist nötig, da Zeit zum Start benötigt wird, oder die zenon Logic Runtime nicht unbedingt mit der zenon Runtime starten muss.

info Info

Wird die zenon Logic Runtime manuell gestartet, müssen folgende Kommandozeilenparameter gesetzt werden:

  • zenon Pfad:

    ZENPATH=<Pfad>

  • Name zenon Projekt:

    ZENPROJECT=<Name>

  • Information, ob zenon Netzwerkprojekt:

    REDENABLE=<0,1>

    REDZENON=<0,1>

Watchdog in zenon

zenon prüft den zenon Logic Runtime Watchdog wenn:

  • die zenon Logic Runtime Code ausführt, Timeout <> 0 ist und die Runtime zu einem integrierten zenon Logic Projekt zugeordnet werden kann
  • die zenon Logic Runtime gestoppt wird
  • die zenon Logic Runtime passiv ist oder passiv startet
  • die zenon Logic Runtime beendet wird und vorher passiv oder aktiv war

Funktion für Ausfallerkennung

Mit der Eigenschaft Funktion für Ausfallerkennung wird eine Funktion ausgewählt, die ausgeführt wird, sobald das in Ausfallerkennung nach [s] definierte Timeout für den Watchdog abgelaufen ist. Eine erneute Prüfung des Watchdogs erfolgt erst, wenn die Runtime erneut angemeldet wird.

Wird eine Funktion aus einem anderen Projekt verwendet, muss dieses Projekt bereits geladen sein, wenn das Projekt mit dem integrierten zenon Logic Projekt geladen wird

Protokollierung

Die Anbindung des zenon Logic zenRt Treibers kann mit dem Diagnosis Viewer protokolliert werden. Der Modulname ist zenon Logic. Jede Meldung beinhaltet den Namen des zenon Projekts und den des zenon Logic Projektes. Die Protokollierung umfasst:

  • Error
    • zprj:<z-projekt> sprj:<s-projekt> Runtime <Runtime-Prozess-ID> watchdog expired.
      Watchdog der Runtime wurde zu lange durch die Runtime nicht bedient.
    • zprj:<z-projekt> sprj: <s-projekt> Runtime: <Runtime-Prozess-ID> Unknown zenon Logic project.
      zenon Logic Projekt kann keinem integrierten zenon Projekt zugeordnet werden.
  • Warnings
    • vm: <Vm-Prozess-ID> zenon project '<Name>' unknown
      Name des zenon Logic Projekts in zenon unbekannt.

Watchdog in zenon Logic Runtime

Für den zenon Logic Watchdog gilt:

  • Der zenon Watchdog wird laufend überprüft solange das Timeout der zenonAusfallerkennung <> 0 ist.
    Diese Überprüfung findet statt wenn:
    • Code ausgeführt wird
    • Die Runtime aktiv oder passiv ist.

Funktionsbausteine zenrt_Red und RedSwitch

In zenon Logic kann mit Hilfe von Funktionsbausteinen überprüft werden, ob eine Verbindung zu einem zenon Server besteht und der Zustand von zenon Logic bei Bedarf umgeschaltet werden kann.

Der Baustein zenrt_Red überprüft mittels der Timout-Informationen aus dem Treiber "straton_to_zenon_Runtime_Connection", ob zenon Logic mit einem zenon Server verbunden ist. Ist das nicht der Fall, kann mit dem Funktionsbaustein RedSwitch das betroffene zenon Logic auf inaktiv geschaltet und der Standby auf aktiv geschaltet werden.

Weitere Informationen zu den Funktionsbausteinen finden Sie in der zenon Logic Online-Hilfe.

Zeitbehandlung im Funktionsbaustein zenrt_Red

Die Anzahl der Umschaltversuche erhöht sich im Takt des Timeouts. Ist das zenon Logic Runtime Projekt einem zenon Netzwerkprojekt zugeordnet, wird die Netzwerktimeoutzeit (Eigenschaft Timeout [s] in Gruppe Netzwerk) zur Ausfallerkennungszeit (Eigenschaft Ausfallerkennung nach [s]) hinzugefügt. Die Zeit, nach der der Ausgang ERROR aktiv wird, ist nicht MAX_SWITCH * Zyklus sondern MAX_SWITCH * Timeout [+ Netztimeout].

Als Standby (Server 2) wird der nicht prozessführend, nicht dominante zenon Rechner betrachtet.
Der nicht prozessführende, dominante Rechner (Server startet als Standby) wird nicht als Standby betrachtet.


OEM Spezifikation

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > OEM Spezifikation

In dieser OEM Spezifikation werden die Möglichkeiten der COPA-DATA zenon Logic Runtime beschrieben, auf welche in der zenon Logic Workbench Hilfe mit "siehe OEM-Spezifikation" verwiesen wird.

Konfiguration (Projekteigenschaften)

Die zenon Logic Workbench enthält standardmäßig viele Features und eine reichhaltige Bibliothek an Funktionen und Funktionsblöcken. Abhängig von der Runtime Konfiguration können einige Features oder Bausteine nicht verfügbar sein. Daher ist es möglich, Konfigurationen für die Workbench auszuwählen, um die Features hervorzuheben, die von der Runtime nicht unterstützt werden.

In der zenon Logic Workbench kann die jeweilige Konfiguration der Runtime geladen werden. Dazu wählen Sie in der Workbench im Kontextmenü des geladenen Projektes den Eintrag Konfiguration.

Dateiverwaltungsfunktionen (Funktionsbausteine)

Diese Funktionen ermöglichen sequentielle Lese-/Schreiboperationen in Dateien.
Mögliche Pfade sind abhängig vom verwendeten Betriebssystem. Bei eingeschaltetem UAC (User Account Control) sind manche Ordner schreibgeschützt.

Folgende Funktionen werden von den zenon Logic Runtime-Versionen unterstützt:

Funktion | CE | RT (PC) | RTK (PC) | Implementierung
F_ROPEN | X | X | X | nicht blockierend
F_WOPEN | X | X | X | nicht blockierend
F_AOPEN | X | X | X | nicht blockierend
F_CLOSE | X | X | X | nicht blockierend
F_EOF | X | X | X | nicht blockierend
FA_READ | X | X | X | nicht blockierend
FA_WRITE | X | X | X | nicht blockierend
FM_READ | X | X | X | nicht blockierend
FM_WRITE | X | X | X | nicht blockierend
FB_READ | X | X | X | nicht blockierend
FB_WRITE | X | X | X | nicht blockierend
F_EXIST | X | X | X | nicht blockierend
F_GETSIZE | X | X | X | nicht blockierend
F_COPY | X | X | X | nicht blockierend
F_DELETE | X | X | X | nicht blockierend
F_RENAME | X | X | X | nicht blockierend
LogFileCSV | X | X | X | nicht blockierend
F_EXIST | X | X | -- | blockierend
F_GETSIZE | X | X | -- | blockierend
F_COPY | X | X | -- | blockierend
F_DELETE | X | X | -- | blockierend
F_RENAME | X | X | -- | blockierend

Legende:

X: wird unterstützt

--: wird nicht unterstützt

SFC Ausführung

Die Ausführung von SFC Programmen, entspricht der eines T5 Standard Zielsystems und folgt den Angaben der zenon Logic Workbench Hilfe.

Die Exklusivität von Transitionen innerhalb einer Divergenz wird unterstützt.

Applikationen vernetzen - Binding

Es können maximal 65535 Binding-Variablen im Netzwerk publiziert werden. Allerdings reduziert sich dieser Wert mit jeder Variablen, die über den Eventbetrieb zu zenon gesendet wird.

Die Standard IP Port Nummer einer zenon Logic Runtime ist 9000.

Projekteigenschaften - "C" Compiler

Dieses Feature wird von allen zenon Logic Zielsystemen (RT, CE, RTK) unterstützt. Es können alle standardmäßig in der zenon Logic Workbench vorgeschlagenen C-Compiler verwendet werden. Achtung: Verwenden Sie nur den Default-Namen der erzeugten Runtime-DLL.

LogFileCSV (Funktionsbaustein)

Siehe erster Punkt: Dateiverwaltungsfunktionen (Funktionsbausteine).

Weitere OEM-relevante Features und Funktionen:

Feature | RT (PC) | RTK (PC) | CE
DTAT (Funktionsbaustein) | x | x | x
TCP/IP Management Funktionen | x | x | x
Dynamische Speicherzuweisungsfunktionen | x | x | x
PrintF (Funktion) | x | x | x
Step by Step Debugging | x | x | x
Funktionen zur Verwaltung der Echtzeituhr | x | x | x
Digitale Sampling-Aufzeichnung | x | x | x
UDP Management Funktionen | x | x | x
T5 Registry Management Funktionen | - | - | -
DTFORMAT (Funktion) | x | x | x
GETSYSINFO (Funktion) - _SYSINFO_CYCLESTAMP_MS | x | x | x
Variablen Statusbits | x | -1 | x
DAY_TIME (Funktion) | x | x | x
SET_DAY_TIME (Funktion)2 | x | - | x

Legende:

  • x: Unterstützt
    • 1: Treiber, die Variablen Statusbits unterstützen, werden von der zenon Logic RTK nur emuliert oder nicht unterstützt. Daher kann auf die Statusbits oder den Zeitstempel nicht zugegriffen werden.
    • 2: zenonarbeitet intern mit UNIX-Zeit. Daher sind nur Systemzeiten innerhalb deren Gültigkeit zulässig (0-MAXDINT beginnend mit 1.1.1970 0:00 GMT). Daten, die auf einen früheren Zeitpunkt verweisen, beeinträchtigen die Funktionsweise der zenon Runtime.
  • -: Nicht unterstützt

RETAIN Variablen (Remanente Merker)

RETAIN Variablen werden beim normalen Stoppen oder Schließen der Runtime auf dem definierten Speicherort abgelegt, für gewöhnlich im Instanzenpfad (Übergabeparameter PATH). Je nach System ist dies die Festplatte oder eine Flash-Karte.

Mit der Funktion "WriteHot" können RETAIN- und Hot-Restart-Daten explizit gespeichert werden, zum Beispiel nach jeder Änderung oder zyklisch.

Manche zenon Logic I/O Treiber unterstützen die Ablage der RETAIN Werte auf das SRAM (batteriegepuffertes RAM).

Damit bei einem Neustart der SPS Applikation die RETAIN Werte geladen werden, muss die zenon Logic Runtime mit den entsprechenden Übergabeparametern/Einstellungen gestartet werden (Kaltstart - RETAIN Variablen laden).

Informationen zur Konfiguration von Retain-Daten mit der zenon Logic Runtime finden Sie im Kapitel Einstellungen/Allgemein.

I/O Treiber

Informationen zu unterstützten I/O Treibern finden Sie hier: zenon Logic I/O Treiber Unterstützung

Informationen zur Unterstützung von Online Change oder Hot-Restart finden Sie hier: zenon Logic I/O Treiber: Hot-Restart/Online Change

Noch in diesem Kapitel

Unterstützung der printf Funktion


Unterstützung der printf Funktion

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > OEM Spezifikation > Unterstützung der printf Funktion

Die zenon Logic Runtime unterstützt die "printf" Funktion um Nachrichten während der Programmausführung zu verfolgen. Diese Nachrichten werden im Ausgabefenster der Workbench angezeigt. Dazu muss die Workbench online zur zenon Logic Runtime sein.

Dies funktioniert jedoch nur dann, wenn im Diagnosis Viewer beim Diagnosis Client der Logging Level "Messages" für alle Module aktiv ist. Details zu diesen Logging Levels finden sie im Handbuch Tools - Diagnosis Viewer, im Kapitel Diagnosis Client.

Der Befehl printf arbeitet mit dem Simulator der zenon Logic Workbench ohne zusätzliche Konfigurationen.


Weiterleitung von Zeitstempel und der Variablen Statusinformation

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Weiterleitung von Zeitstempel und der Variablen Statusinformation

Ab Version 6.22 SP1 Build 3 leitet die zenon Logic Runtime Zeitstempel und Variablen Statusinformationen von zenon Logic I/O Treibern automatisch an den Eventhandler der zenon Logic Runtime und somit über straton32 an zenon weiter. Damit werden in zenon (z. B. CEL) die Zeitstempel der Quelle (I/O Treiber Slave oder Server) angezeigt und nicht der Zeitstempel der zenon Logic Runtime.

Folgende Voraussetzungen müssen dafür gegeben sein:

  • Die Variable muss über einen Zeitstempel im zenon Logic I/O Treiber verfügen. Dies ist abhängig vom Protokoll. Manche Treiber stellen keine Zeitstempelung zur Verfügung.
  • Das zenon Logic Projekt muss mit eingeschaltetem Compiler-Flag Statusbits für Variablen mit Profil anlegen kompiliert worden und geladen sein.

Überblick Weiterleitung des Zeitstempels:


zenon Logic I/O Treiber Unterstützung

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic I/O Treiber Unterstützung

Von den verschiedenen zenon Logic Runtime Typen unterstütze I/O Treiber:

Treiber | RT (PC) | RTK (PC) | CE
Advantech ADAM 5550 | -- | -- | --
Anybus Konfiguration | X | E | --
ApplicomIO Konfiguration | X | E | --
AS-interface | X | -- | --
BECKHOFF CX1000 | -- | -- | x
Brodersen IOTOOLS | X | E | --
CAN-bus | -- | -- | --
Hilscher CIF Profibus | X | X1 | X
Hilscher SYCON Konfiguration | X | E | X2
Hilscher SYCON Konfiguration [universal] | X | X | X
Hilscher SYCON.net Konfiguration | X | E | --
IEC 60870 Slave | X | -- | X
IEC 61850 Client | X | E1 | X
IEC 61850 Server | X | -- | X
Interbus-S | X | E | --
MODBUS Master Protokoll | X | E | X
MODBUS Slave Protokoll | X | E | X
PROFINET IO | X | E | X
SoftNet ProfibusDP | X | E | --
Logic zu SCADA Verbindung | X | -- | X
ThinkIO/IO System 758 | -- | -- | X
Wago 750-860 | -- | -- | --
Weihenstephan Standard - Client | X | E | X
Win32 Shared memory | X | -- | --
XFlow | -- | -- | --

Legende

  • X: Voll unterstützt
  • --: Nicht unterstützt
  • E: Wird emuliert ausgeführt (Performance Einbußen möglich, Verfügbarkeit im SPS Zyklus eingeschränkt, Treiber-Ausfall bei einem BSOD)
    • 1: Die treiberspezifischen Funktionsbausteine funktioneren nicht mit der zenon Logic RTK.
    • 2: Hilscher DLLs müssen auf der Zielplattform verfügbar sein.


zenon Logic I/O Treiber: Hot-Restart/Online Change

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > zenon Logic I/O Treiber: Hot-Restart/Online Change

Die zenon Logic I/O Treiber unterstützten Hot-Restart und Online Change in unterschiedlicher Weise:

Treiber | Hot-Restart | Online Change | Online Change mit Änderung der Bustreiber-konfiguration
Anybus Konfiguration | X | X | X1
ApplicomIO Konfiguration | X | X | X1
AS-interface | X | X | X1
BECKHOFF CX1000 | X | X | --
Brodersen IOTOOLS | X | X | X1
Hilscher CIF Profibus | X | X | --
Hilscher SYCON Konfiguration | X | X | X1
Hischer SYCON Konfiguration [universal] | X | X | X1
Hilscher SYCON.net Konfiguration | X | X | X1
IEC 61850 Client | X | X | --
Interbus-S | X | X | --
MODBUS Master Protokoll | X | X | X1
MODBUS Slave Protokoll | X | X | X1
PROFINET IO | X | X | --
SoftNet ProfibusDP | X | X | X1
straton zu zenon Runtime Verbindung | X | X | --2
ThinkIO/IO System 758 | X | X | --
Weihenstephan Standard - Client | X | X | X1
Win32 Shared memory | X | X | X1

Legende

  • X: Funktionalität vorhanden
  • --: Funktionalität nicht vorhanden
    • 1: Online Change mit Änderung der Bustreiberkonfiguration hat immer eine Reinitialisierung des I/O Treibers zur Folge. Durch die Reinitialisierung können I/Os kurzfristig ausfallen!
    • 2: Keine Änderung in der Bustreiberkonfiguration möglich.


Fehlermeldungen

Handbuch > zenon Logic > zenon Logic Runtime (Soft SPS) > Fehlermeldungen

Fehler während der Ausführung werden in der Log-Datei protokolliert.

Fehlermeldung | Beschreibung
General error. | Nicht näher spezifizierter Fehler.
Invalid application code - bad header. | STRATON.cod Datei ungültig. Kopfzeile ungültig.
Invalid application code - bad target ID. | STRATON.cod Datei ungültig. Target ID ungültig.
Invalid application code - bad version. | STRATON.cod Datei ungültig. Version ungültig.
Unknown communication request. | Host und Runtime nicht kompatibel (T5 Protokoll).
Cannot process read request. | Eingehende Kommunikationsanforderung kann nicht verarbeitet werden.
Unknown TIC code. | Ungültige Anweisung in der straton.cod Datei.
Too many DATA8 used. | Zu viele SINT/USINT Variablen verwendet.
Too many DATA16 used. | Zu viele INT/UINT Variablen verwendet.
Too many DATA32 used. | Zu viele DINT/UDINT/REAL Variablen verwendet.
Division by 0 in TIC (32bit). | Division durch Null in der SPS-Logik des Anwenders.
Too many TIME variables. | Speicherüberlauf beim On Line Change.
Infinite loop in TIC (safe mode). | Nicht beendete Schleife im Applikationscode.
Standard function used, which is not supported by this runtime. | SPS-Logik des Anwenders verweist auf eine Funktion, die in dieser Version der Runtime nicht verfügbar ist.
Division by 0 in TIC (64bit). | Division durch Null in der SPS-Logik des Anwenders.
Too many DATA64 used. | Zu viele LINT/LREAL Variablen verwendet.
Too many strings. | Speicherüberlauf beim On Line Change.
Division by zero in TIC (8 bit). | Division durch Null in der SPS-Logik des Anwenders.
Division by zero in TIC (16 bit). | Division durch Null in der SPS-Logik des Anwenders.
HOT restart: System resources used. | Hot Restart nicht möglich.
Invalid variable map in hot restart. | Hot Restart nicht möglich.
Bad build stamp for hot restart. | Hot Restart nicht möglich. Ungültige straton.cod Version.
SFC changed - no hot restart! | Hot Restart nicht möglich.
Retain definition has changed - no hot restart. | Hot Restart nicht möglich.
Bad DB format - no hot restart! | Hot Restart nicht möglich.
Cycle time overflow. | Zykluszeitüberlauf. Details siehe Abschnitt Fehlermeldungen cycle time.
Can not store retain variables. | Nicht genügend Speicherplatz um RETAIN Variablen zu speichern.
Array index out of bounds. | Zugriff auf ungültigen Array Index.
Recursive call of sub-program. | Ein Sub-Programm ruft sich selbst auf.
Too many external variables used. | Speicherüberlauf beim On Line Change.
Too many tasks. | Speicherüberlauf beim On Line Change.
Call stack overflow (hot). | Speicherüberlauf beim On Line Change.
Stack overflow. | Zu viele Aufrufe verschachtelter Sub-Programme.
Can not hot restart (ASi). | Hot Restart nicht möglich (Asi-Bus Treiber).
Online change not supported. | Online-change nicht möglich
Online change failed - Bad code. | Online-change nicht möglich. Ungültige straton.cod Datei
Online change - Not the same application. | Online-change nicht möglich
Online change failed - IO drivers. | Online-change nicht möglich
Online change failed - CT segment changed. | Online-change nicht möglich
Online change failed - bus drivers. | Online-change nicht möglich. Bustreiber erlaubt online-change nicht.
Online change failed - variable map / profiles. | Online-change nicht möglich
Online change failed - tasks. | Online-change nicht möglich
Online change failed - MODBUS. | Online-change nicht möglich
Online change failed - CAN bus. | Online-change nicht möglich
Online change failed - event production. | Online-change nicht möglich
Online change failed - change D8 alloc. | Online-change nicht möglich
Online change failed - change D16 alloc. | Online-change nicht möglich
Online change failed - change D32 alloc. | Online-change nicht möglich
Online change failed - change D64 alloc. | Online-change nicht möglich
Online change failed - change TMR alloc. | Online-change nicht möglich
Online change failed - change STR alloc. | Online-change nicht möglich
Online change failed - change FBI alloc. | Online-change nicht möglich
Online change failed - change CFC alloc. | Online-change nicht möglich
Online change failed - change XV alloc. | Online-change nicht möglich
Online change failed - STR buff size. | Online-change nicht möglich
Online change failed - STR length. | Online-change nicht möglich
Online change failed - FBI buffer. | Online-change nicht möglich
Online change failed - FBI changed. | Online-change nicht möglich
Online change failed - Program style. | Online-change nicht möglich
Online change failed - Number of programs. | Online-change nicht möglich

Fehlermeldungen cycle time

Bei Überschreitungen der cycle time werden Meldungen in der zenon Logic Runtime oder in der Workbench ausgegeben und entsprechende Einträge in die LOG-Datei geschrieben.

Fehlermeldung Oberfläche | Eintrag Logfile | Bedeutung
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Anzahl (x) der nicht ausgeführten Zyklen aufgrund von Zykluszeitüberschreitungen. Die Ausführungszeit ist größer als die eingestellte Zykluszeit oder sind nicht genügend CPU Ressourcen verfügbar.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | Die Ausführungszeit beträgt mehr als 80% der eingestellten Zykluszeit, tatsächlich (x)%.

Fehlerbehebung

Überschreitungen des cycle time beheben Sie durch:

  • cycle time erhöhen
  • Ausführungszeit verringern, z. B.:
    • System mit mehr CPU-Ressourcen verwenden
    • mit C-Compiler kompilierten Code verwenden

Programm reduzieren


zenon Logic Runtime Manager

Handbuch > zenon Logic > zenon Logic Runtime Manager

Der zenon Logic Runtime Manager verwaltet alle stand alone/manuell zu startenden zenon Logic Runtime Projekte auf Ihrem Computer. Es spielt keine Rolle ob eine zenon Runtime auf diesem Computer installiert ist oder nicht.

Noch in diesem Kapitel

Warum soll der zenon Logic Runtime Manager verwendet werden?

Hauptmenü

Eigenschaftenhilfe


Warum soll der zenon Logic Runtime Manager verwendet werden?

Handbuch > zenon Logic > zenon Logic Runtime Manager > Warum soll der zenon Logic Runtime Manager verwendet werden?
  • Wenn Sie Ihr zenon Logic Projekt in zenon erstellt haben und die zenon Eigenschaft des zenon Logic Projekts RT Starttyp auf manuell starten gesetzt ist, ist der zenon Logic Runtime Manager das optimale Werkzeug, um die Parameter für den manuellen Start zu organisieren.
  • Wenn Sie Ihre zenon Logic Runtime Projekte beim Booten des Windows Betriebssystems starten möchten, können Sie dies im zenon Logic Runtime Manager mit einem Mausklick einstellen.
  • Wenn Sie Ihre zenon Logic Projekte reorganisieren möchten, könne Sie das mit dem zenon Logic Runtime Manager machen.
  • Wenn Sie Ihr zenon Logic Runtime autark (ohne zenon Runtime) laufen lassen möchten, geschieht der Aufruf der zenon Logic Runtime Instanzen am Besten mit dem zenon Logic Runtime Manager.


Hauptmenü

Handbuch > zenon Logic > zenon Logic Runtime Manager > Hauptmenü
  • Konfigurationen: Hier werden die zenon Logic Runtime Projekte verwaltet
  • Sprachen: Hier kann die Sprach online umgestellt werden
  • Einstellungen: Eintrag des Pfades der zenon Logic Runtime
  • ?: Aufruf der Hilfe
  • Beenden: Beenden des Programms - Hinweis: Vergessen Sie nicht die Einstellungen abzuspeichern, bevor Sie den zenon Logic Runtime Manager beenden!


Eigenschaftenhilfe

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe

Führen Sie den Mauszeiger über ein Element im zenon Logic Runtime Manager, um den dazugehörigen Hilfetext in der Eigenschaftenhilfe anzuzeigen.

Zusätzlich sind alle Elemente des zenon Logic Runtime Managers hier zusammengefasst beschrieben:

Noch in diesem Kapitel

Konfigurationsliste

zenon Logic Projektordner

Name der Konfiguration

Port (Main)

Port (Binding)

Startup

Im Schrittmodus starten

Windows Echtzeit Priorität

Harte Echtzeit

Report Ausgabe

Autostart

Schaltfläche "Neu"

Schaltfläche "Bearbeiten"

Schaltfläche "Speichern"

Schaltfläche "Löschen"

Schaltfläche "Start"

zenon Logic Runtime (Einstellungen)

Sprachwahl (Sprachen)

Startbilschirm anzeigen (Einstellungen)


Konfigurationsliste

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Konfigurationsliste

Diese Liste enthält alle verfügbaren zenon Logic Runtime Konfigurationen.

  • Klicken Sie auf einen Eintrag in der Liste, um die Parametereinstellungen anzuzeigen.
  • Klicken Sie danach auf Bearbeiten, um die Parameter zu ändern.
  • Klicken Sie auf Speichern, um die Änderungen zu sichern.


zenon Logic Projektordner

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > zenon Logic Projektordner

Der ausgewählte Pfad des zenon Logic Runtime Projekts (Ablageort des SPS-Codes) wird hier automatisch eingetragen. Dieser Eintrag kann mit der Hand oder durch Linksklick auf das Ordner-Symbol verändert werden.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Name der Konfiguration

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Name der Konfiguration

Der Name des letzten Verzeichnisses der zenon Logic Runtime Dateien wird hier automatisch eingetragen, wenn eine neue Konfiguration angelegt wird. Sie können diesen Name beliebig ändern.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Port (Main)

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Port (Main)

Hier wird der Main Port der zenon Logic Runtime Instanz eingetragen. Dieser Port definiert die Verbindung der zenon Logic Workbench und eines zenon Treibers. Per Default wird dieser Port auf 1200 gesetzt.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Port (Binding)

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Port (Binding)

Hier wird der Binding Port der zenon Logic Runtime Instanz eingetragen. Der Binding Port definiert die Verbindung für die spontane TCP/IP-Kommunikation zu anderen zenon Logic Runtimes. Per Default wird dieser Port um 7800 höher als der Main Port gesetzt.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Startup

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Startup

Definieren Sie hier das Startup Verhalten der zenon Logic Runtime Instanz.

  • Cold start
    Die zenon Logic Runtime startet mit initialisierten Variablen.
  • Cold start (load RETAIN variables)
    Die zenon Logic Runtime startet initialisiert mit remanenten Merkern.
  • Hot restart
    Die zenon Logic Runtime startet mit den Variablenwerten vom Zeitpunkt des Anhaltens der Runtime.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Im Schrittmodus starten

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Im Schrittmodus starten

Um die zenon Logic Runtime im Schrittmodus zu starten, aktivieren Sie diese Checkbox.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Windows Echtzeit Priorität

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Windows Echtzeit Priorität

Damit die zenon Logic Runtime Instanz mit der Windows Realtime Priorität läuft, aktivieren Sie diese Checkbox.

info Info

Wir empfehlen die Realtime Priorität immer gesetzt zu lassen. Ein deaktivieren der Realtime Priorität ist in erster Linie für Testzwecke gedacht (z.B. bei Gefahr von Endlosschleifen).

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Harte Echtzeit

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Harte Echtzeit

Wenn Sie diese Checkbox aktiviert haben, wird beim Start der Konfiguration die zenon Logic Echtzeit SPS (zenon Logic RTK) aufgerufen. Da die zenon Logic Echtzeit SPS auf dem PC nur einmal laufen darf, wird sichergestellt, dass nur bei einer Konfiguration in der Liste diese Checkbox aktiviert ist.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Report Ausgabe

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Report Ausgabe

Aktivieren Sie diese Checkbox, um das Schreiben von Meldungen der Runtime in eine Log-Datei zu aktivieren.

info Info

Das Schreiben der Log-Datei geht auf Kosten der Performance.

info Info

Die LOG-Datei hat den Namen "zenon Logic RTLOG.txt" und wird im zenon Logic Runtime Projekt Verzeichnis abgelegt.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Autostart

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Autostart

Um eine zenon Logic Runtime Instanz direkt mit dem Booten des Windows Betriebssystems zu starten, aktivieren Sie diese Checkbox.

info Info

Bevor Sie irgendeine, bereits gespeicherte, Einstellung verändern können, müssen Sie zuerst die betreffende Konfiguration in der Liste auswählen. Danach klicken Sie auf die Schaltfläche Bearbeiten. Um die Änderungen der Einstellungen abzuspeichern, klicken Sie auf die Schaltfläche Speichern.


Schaltfläche "Neu"

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Schaltfläche "Neu"

Wenn Sie eine neue Konfiguration anlegen wollen, klicken Sie auf die Schaltfläche Neu. Danach öffnet sich ein Dialog, in dem Sie das Verzeichnis auswählen können, in das die zenon Logic Runtime Dateien (der SPS-Code) abgelegt werden. Bestätigen Sie Ihre Auswahl mit OK. Sie können den Namen der Konfiguration ändern. Um die Konfiguration und den Namen der Konfiguration abzuspeichern, klicken Sie auf Speichern.


Schaltfläche "Bearbeiten"

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Schaltfläche "Bearbeiten"

Bevor Sie die Parameter einer Konfiguration verändern können, müssen Sie auf die Schaltfläche Bearbeiten klicken, nachdem Sie einen Eintrag aus der Konfigurationsliste ausgewählt haben. Um die Änderungen abzuspeichern, müssen Sie anschließend auf Speichern klicken.


Schaltfläche "Speichern"

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Schaltfläche "Speichern"

Klicken Sie auf die Schaltfläche Speichern, um alle Änderungen abzuspeichern.


Schaltfläche "Löschen"

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Schaltfläche "Löschen"

Um eine Konfiguration zu löschen, wählen Sie einen Eintrag aus der Konfigurationsliste aus und klicken auf die Schaltfläche Löschen.


Schaltfläche "Start"

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Schaltfläche "Start"

Um die zenon Logic Runtime mit der entsprechenden Konfiguration zu starten, wählen Sie eine Konfiguration aus der Liste aus und klicken Sie auf die Schaltfläche Start. Die zenon Logic Runtime startet sofort.

info Info

Wenn das Verzeichnis der Konfiguration keine zenon Logic Runtime Dateien (SPS-Code) enthält, so startet die zenon Logic Runtime im Modus Kein Programm.


zenon Logic Runtime (Einstellungen)

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > zenon Logic Runtime (Einstellungen)

Tragen Sie hier den Pfad der zenon Logic Runtime ein (Pfad der stratonRT.exe). Um in der Ordnerstruktur Ihre Festplatte zu browsen, klicken Sie auf das Verzeichnis- Symbol.


Sprachwahl (Sprachen)

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Sprachwahl (Sprachen)

Wählen Sie die gewünschte Sprache, in dem Sie auf die entsprechende Flagge klicken.


Startbilschirm anzeigen (Einstellungen)

Handbuch > zenon Logic > zenon Logic Runtime Manager > Eigenschaftenhilfe > Startbilschirm anzeigen (Einstellungen)

Wenn Sie diese Checkbox aktivieren, wird der Startbildschirm des zenon Logic Runtime Managers beim Start angezeigt.


zenon Operator

Handbuch > zenon Operator

Der zenon Operator ist an Maschinenbedienung angepasst. Er besteht aus Editor und Runtime. Die Runtime steht für PC-Betriebssysteme und CE-Betriebssysteme zur Verfügung. Windows CE wird nur bis inklusive Version 7.20 unterstützt. Mit der aktuellen Version wird die Version 7.20 mit ausgeliefert und installiert. Projekte können mit der aktuellen Version weiterhin für Windows CE erzeugt werden. Bei den Projekteinstellungen muss bei der Eigenschaft Runtime-Dateien erzeugen für die Version 7.20 eingestellt sein. Die Eigenschaft befindet sich bei den Projekteigenschaften in der Gruppe Allgemein.

Die prinzipielle Funktionsweise entspricht dem zenon Supervisor, der Operator ist gegenüber dem zenon Supervisor aber funktionell eingeschränkt. Informationen zu Unterschieden erhalten Sie in der jeweils gültigen Preisliste.

Unter Windows CE gibt es auch systembedingte Einschränkungen.

Zum Editieren eines Operator Projekts kann entweder der Editor des zenon Operators verwendet werden oder der Editor des zenon Supervisors. Wenn im Supervisor Editor Funktionalitäten projektiert werden, die in der Operator Runtime nicht zur Verfügung stehen, werden diese nicht ausgeführt.

Noch in diesem Kapitel

Einschränkungen für die CE Version

zenon unter Windows CE


Einschränkungen für die CE Version

Handbuch > zenon Operator > Einschränkungen für die CE Version

Versionsabhängigkeit

Folgende Module stehen beim Einsatz unter Windows CE erst ab Version 6.0 und höher zur Verfügung:

  • Archivserver Starter Edition
    Einschränkungen siehe Handbuch Archivserver, Kapitel Archivserver Starter Edition.
  • Erweiterter Trend Starter Edition
    Einschränkungen siehe Handbuch Erweiterter Trend.
    Zusätzlich stehen bei CE-Projekten folgende Kontrollelemente nicht zur Verfügung:
    • Diagrammbutton
    • Kurvenbutton
    • Diagrammeinstellungen
    • Druckdialog
    • X-Achsenbutton
    • Cursor-Ausgabfenster
    • Filterprofile
  • Rezeptgruppen-Manager

Alarm-Statusleiste quittieren

Unter Windows CE kann die Alarm-Statusleiste nicht über einen Klick mit der rechten Maustaste quittiert werden.

Archivierung

Zur Archivierung steht unter Windows CE nur die Archivserver Starter Edition zur Verfügung. Diese weist gegenüber dem Archivserver einige Einschränkungen auf. Details siehe Kapitel Archivserver Starter Edition im Handbuch Archivierung.

Auflösung des CE Gerätes und Darstellung der CEL und AML Filter Dialoge

Die Alarmverwaltung, sowie die Chronologische Ereignisliste (CEL) erlauben eine Filterauswahl zur Runtime. Dies ist allerdings erst mit einer Auflösung ab 800x600 sinnvoll bedienbar. Die Profilverwaltung in den entsprechenden Bildern steht nicht zur Verfügung. Dadurch haben auch die Schaltflächen Speichern und Löschen keinerlei Funktion. Da unter Windows CE der Druckdialog nicht aufgerufen werden kann, verliert auch die entsprechende Schaltfläche ihre Funktion.

Bildtypen, die nicht zur Verfügung stehen:

  • Variablen-Diagnose
  • Video

Benutzerverwaltung

Active Directory and ADAM/AD LDS stehen unter Windows CE nicht zur Verfügung.

Drucken

Unter Windows CE steht kein Druckerspooler zur Verfügung. Der Ausdruck findet im Prozess statt. Damit blockiert der Ausdruck auch die Funktion der Runtime.
Unter Windows CE steht die Funktionalität des Druckens nur zur Verfügung, wenn sie im CE Image bereits enthalten ist. Sie kann weder nachgerüstet, noch auf weitere Drucker erweitert werden.

Beim Drucken gilt unter Windows CE:

  • Online-Druck:
    Es wird immer direkt auf LPT1 gedruckt. Dieser Port muss auf dem CE Gerät vorhanden sein und ein Zeilendrucker muss angeschlossen sein.
  • Offline-Druck:
    Es wird immer auf dem am System konfigurierten Standarddrucker ausgedruckt.
    Der Drucker kann von der zenon Runtime aus nicht konfiguriert und nicht umgeschaltet werden.

    Hinweis: Damit der Offline-Druck unter Windows CE funktioniert, muss der Hersteller des Geräts das im Windows CE Image bereitstellen. Außerdem muss eine Möglichkeit vorhanden sein, den Standarddrucker festzulegen, zum Beispiel über Anwendungen wie Pocketword oder Notepad CE.

Dynamik

Dynamik wie etwa Drehen, Höhen- und Breiten-Änderung, X- und Y-Position dynamisch sind nicht verfügbar

Dynamische Elemente

ActiveX Elemente: Registrierung unter Windows CE:

Active X – Elemente müssen unter CE vor Ihrem Einsatz registriert werden. Hilfe dazu entnehmen Sie dem Kapitel „Projektierungshinweise – Active X“.

Universalregler

Die Anzeige als Band steht nicht zur Verfügung.

XAML- und WPF-Dateien

WPF steht nicht zur Verfügung. Daher wird auch XAML, das als Beschreibungssprache für WPF genutzt wird, nicht verwendet.

Filter in AML und CEL

Die Filter für die Alarmmeldeliste und für die Chronologische Ereignisliste können nicht projektiert werden, wenn die Eigenschaft Windows CE Projekt aktiviert ist. Da diese Dialoge sehr groß sind, wurde diese Einschränkung gemacht, um die Bedienbarkeit auch auf kleinen Displays (PDAs) zu gewährleisten. Wenn Sie Windows CE Projekte erstellen ohne die Eigenschaft Windows CE Projekt zu aktivieren, können Sie die Filterdialoge wie gewohnt nutzen.

Filterprofile

Unter Windows CE ist es nicht möglich, mit Profilen in der Runtime zu arbeiten.

Freie Schablonenform

Bei Schablonen steht die Freie Schablonenform unter Windows CE nicht zur Verfügung.

Funktionen

Drucker wählen

Die Funktion Drucker wählen ist auf CE Geräten verfügbar!

Grafik

Drehwinkel und dynamische Positionierung

Die Eigenschaft Drehwinkel [°] und Eigenschaften der Gruppe Größe und Drehen dynamisch sind unter Windows CE nicht verfügbar. Bereits projektierte Eigenschaften werden beim Aktivieren der Eigenschaft Windows CE Projekt zurückgesetzt.

Fülleffekte

Fülleffekte von statischen Elementen können in Abhängigkeit des CE-Terminals anders dargestellt werden als am PC.

3D Füllmuster

3D Füllmuster sind freigeschalten, benötigen jedoch erhöhte Grafikleistung der CE Maschinen.
Daher wird der Einsatz nicht empfohlen.

Grafikqualität

DirectX, sowie Grafikfunktionen wie schattierte Füllungen und Transparenz sind unter Windows CE nicht verfügbar.
Hinweis: Transparente GIF-Dateien und mit Einschränkungen PNG-Dateien sind darstellbar.

GIF-Dateien

Um GIF-Dateien unter Windows CE anzeigen zu können, muss am Zielgerät die Datei IMGDECEMP.dll vorhanden sein. Fehlt die Datei, können Sie die Datei IMGDECEMP.dll beim COPA-DATA Consulting anfordern.

Linien

Linien können nicht mit abgerundeten Ecken dargestellt werden. Auch wenn in den Projekteigenschaften unter Grafikqualität Windows Basis gewählt wurde, werden unter CE abgerundete Ecken nicht angezeigt.

Darstellung der Rezeptnamen

Im Bild vom Typ Rezeptgruppen-Manager können die Rezeptname nur in einer Combobox angezeigt werden. Die Anzeige als Listbox (über Style L) wird von CE Plattformen nicht unterstützt.

Hauptmenüs

Unter Windows CE können nur die Standard-Hauptmenüs angezeigt werden. Jegliche Änderung von Farbe, Größe der Schrift oder Schriftart ist nicht möglich.

Lizenzierung (Dongle)

Für Windows CE ist keine Dongle-Lizenzierung verfügbar, weder lokal noch über Netzwerkdongle.

Mehrprojektfähigkeit

Unter Windows CE ist keine Mehrprojektfähigkeit gegeben, d.h. es kann immer nur ein Projekt laufen. Dies hat zur Folge, dass bei Netzwerkprojekten auf Hierarchien (Integrationsprojekt) verzichtet werden muss. Das Globalprojekt ist von dieser Einschränkung ausgenommen.

Projektgröße

Unter Windows CE 6 und höher kann der Arbeitsspeicher zwar voll genützt werden, er wird auf manchen CE Geräten begrenzt. Daher kann es zu Speicherengpässen, vor allem, wenn Erweiterter Trend und Archivserver Starter Edition eingesetzt werden. Beachten Sie in diesem Fall die 20% Regel.

info Info

20%-Regel: Nach Aufschalten aller zenon Bilder und wenn die maximale Anzahl der Alarme im Speicher ansteht, sollen noch mindestens 20 % des Speichers frei sein. Wird diese Grenze nicht beachtet, kann eine einwandfreie Funktionalität von zenon nicht garantiert werden.

Der verfügbare Hauptspeicher lässt sich mithilfe der Systemtreibervariable Freier Hauptspeicher % ermitteln.

Querverweisliste

Wird in einem CE Projekt eine Funktion mit einem Button verknüpft, die unter Windows CE nicht verfügbar ist, so wird dieser in der Runtime als 'Funktion wurde gelöscht' gekennzeichnet.

Rechte Maustaste

Die rechte Doppelklick Funktion ist unter Windows CE nicht verfügbar.

Redundanz

Redundanz in Kombination mit einem CE Gerät als Client ist möglich. Redundanz wobei das CE Gerät die Funktion vom Server oder Standby Server übernimmt, ist nicht möglich.

Sollwert setzen

Die Sollwerteinstellung zum Element oder zur Funktion über Makro oder Programm funktioniert nicht. Sollwertvorgaben sind nur über die Eingabemaske oder beim Zahlenwert über das Element möglich.

Wird auf einem CE Gerät ein Sollwert auf eine HD-Variable abgesetzt (z. B. mittels Universal-Regler), ist eine gewisse Verzögerung die Folge, da nicht schnell genug auf die Speicherkarte geschrieben werden kann. Auch kann es zu Verzögerungen kommen, wenn alle Sollwerte in die CEL mitprotokolliert werden und die CEL sofort für jeden Eintrag geschrieben wird (Projekt-Einstellung).

Treibersimulation

Die Simulation - programmiert steht unter Windows CE 6 nicht zur Verfügung.

Vektor-Elemente

Kreisbogen

Unter Windows CE wird das statische Element Kreisbogen nur bei einer Linienstärke von 1 richtig angezeigt.
Achtung: Breitere Kreisbögen werden auch bei Netzwerkprojekten falsch visualisiert. Die Kreisbögen erscheinen dann zerstückelt und entsprechen nicht der Projektierung am PC.

Kreissegment

Das Element Kreissegment steht unter Windows CE nicht zur Verfügung.

Variablen

Variablen vom Datentyp LINT sind unter Windows CE nicht verfügbar.

Weltbilddarstellung

Die Weltbilddarstellung steht aufgrund der benötigten Grafikleistung unter Windows CE nicht zur Verfügung.

WMF-Dateien

Die Verwendung von Meta Dateien (*.wmf) ist nicht möglich.


zenon unter Windows CE

Handbuch > zenon Operator > zenon unter Windows CE

Die CE Runtime von zenon Operator ist auf verschiedenen CE Hardware Plattformen lauffähig. Grundsätzlich bietet die CE Version von zenon dieselbe Funktionalität wie die PC Version von zenon Operator mit einigen Einschränkungen, die sich durch die geringeren Hardwareressourcen ergeben.

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.

Hinweis: Dafür muss bei den Projekteinstellungen bei der Eigenschaft Runtime-Dateien erzeugen für die Version 7.20 eingestellt sein. Die Eigenschaft befindet sich bei den Projekteigenschaften in der Gruppe Allgemein.

Details zur Installation der zenon und zenon Logic Runtimes für Windows CE lesen Sie in den Kapiteln:

  • zenon Operator Runtime für Windows CE
  • zenon Logic Runtime für Windows CE

Noch in diesem Kapitel

Allgemeines

Voraussetzungen

Systemdateien

Netzwerk

Verbindung über Windows Mobile Device Center

Rezeptgruppen-Manager

Transparenz

Pocket PC und Windows Mobil Edition


Allgemeines

Handbuch > zenon Operator > zenon unter Windows CE > Allgemeines

Windows CE ist eine offene, skalierbare Plattform für eine Vielzahl von Geräten im Bereich der Kommunikation, Unterhaltung, Industrie und mobilen Datenverarbeitung. Vereinfacht ausgedrückt, handelt es sich dabei um ein auf das Essenzielle reduziertes Betriebssystem, das nur sehr geringe Hardwareressourcen benötigt. Dies bedeutet, dass sehr preisgünstige Hardwarekomponenten mit einem auf Windows basierenden System ausgerüstet werden können.
Windows CE ermöglicht die Realisierung von Geräten, die miteinander kommunizieren, Informationen mit Windows basierenden PCs austauschen und Verbindungen zum Internet herstellen können.
Windows CE ist ein Realtime-fähiges 32-Bit-Betriebssystem mit Funktionen wie Multitasking und Multithreading, das eine offene Architektur aufweist und eine breite Gerätepalette unterstützt. Windows CE ist kompakt, bietet also auch bei begrenztem Arbeitsspeicher eine hohe Leistung.

Vorteile von Windows CE sind unter anderem:

  • schnelles Hochfahren des Gerätes, da das Betriebssystem bei jedem Bootvorgang neu in den Speicher entpackt wird
  • keine Gefahr, dass das Betriebssystem durch fehlgeschlagene Installationen oder Viren beeinflusst wird, da auf dem CE Gerät keine Software installiert werden kann
  • hohe Robustheit, da man bei Windows CE Geräten auf sich bewegende Teile (wie z. b. Festplatten..) in der Regel verzichtet

Nachteile von Windows CE sind unter anderem:

  • eingeschränkte Funktionalität, da nicht das komplette Windows API (Application Programming Interface) zur Verfügung steht
  • langsamere Lese- und Schreibzugriffe auf die Compact-Flash Karte
  • verringerte Lebensdauer der Speichermedien durch häufigen Zugriff verringert

Die zenon Runtime bietet unter CE die gleichen Funktionalitäten wie am PC. Eingeschränkt werden diese durch geringere Hardwareressourcen und Einschränkungen des Betriebssystems.

Noch in diesem Kapitel

Projekte für CE erstellen

Lizenzierung


Projekte für CE erstellen

Handbuch > zenon Operator > zenon unter Windows CE > Allgemeines > Projekte für CE erstellen

Mit dem Editor erhält der Anwender ein Werkzeug, mit dem er Kleinstprojekte, kleine bis mittlere Applikationen bis hin zu Großprojekten erstellen kann. Das Projektierungswerkzeug bleibt immer dasselbe. Unabhängig für welche Plattform Projekte erstellt werden, es steht immer der volle Projektierungskomfort zur Verfügung. Sie haben volle auflösungsunabhängige Projektdatenkompatibilität.

Windows CE wird nur bis inklusive Version 7.20 unterstützt. Mit der aktuellen Version wird die Version 7.20 mit ausgeliefert und installiert. Projekte können mit der aktuellen Version weiterhin für Windows CE erzeugt werden. Bei den Projekteinstellungen muss bei der Eigenschaft Runtime-Dateien erzeugen für die Version 7.20 eingestellt sein. Die Eigenschaft befindet sich bei den Projekteigenschaften in der Gruppe Allgemein.

CE-Editor

Für CE-Projekte wird im Editor unter -> Eigenschaften -> Allgemein die Checkbox 'Windows CE Projekt' aktiviert. Damit werden nur jene Funktionen frei gegeben, die auch unter Windows CE zur Verfügung stehen. Alle anderen Funktionen werden grau dargestellt. Ausgenommen VBA: Im Editor kann VBA für Wizards genutzt werden, in der Runtime jedoch nicht.

Der Editor ist je nach Lizenzierung auf 8.192 TAGs begrenzt.

VBA unter CE

VBA steht im Editor für Wizards zur Verfügung. In der Runtime wird VBA nicht unterstützt.


Lizenzierung

Handbuch > zenon Operator > zenon unter Windows CE > Allgemeines > Lizenzierung

Die Lizenzierung der Runtime für Windows CE erfolgt ab Version 8.00 über die Lizenzverwaltung. Bis Version 7.60 wird der Remote-Transport verwendet. Anleitungen dazu finden Sie in der Produktdokumentation der entsprechenden Version.

attention Achtung

Unter den Windows Mobile Edition können abhängig vom verfügbaren Gerätespeicher, den installierten Programmen und der Größe des Projektes nur ca. 800 bis 1000 Variablen geladen werden.


Voraussetzungen

Handbuch > zenon Operator > zenon unter Windows CE > Voraussetzungen

Die Runtime ist unter Windows CE auf den unterschiedlichsten Geräten, unabhängig vom Hardwarehersteller, lauffähig. Für jede Kombination aus Betriebssystem und Prozessortyp wird eine eigene Runtime benötigt, die für diese spezifische Plattform kompiliert und gewartet werden muss.
Mindestanforderung an das CE Gerät sind:

  • 64 MB RAM Speicher
  • 32 MB freier Plattenspeicher

Da die Prozessorgeschwindigkeit stark vom Prozessortyp abhängig ist, kann eine Mindestgeschwindigkeit nicht definiert werden. Generell gilt aber, dass der Prozessor eine Taktfrequenz von mindestens 400 MHz aufweisen sollte.
Empfohlen wird:

  • 128 MB RAM oder mehr
  • 64 MB oder mehr
  • Prozessor mit 800 MHz für ARM Prozessoren oder 600 MHz für x86-Architektur
  • Netzwerkinterface

info Info

Die Ablage der Runtime sowie des das Projektes, muss auf einem permanent beschreibbaren remanenten Speicher erfolgen.

CE Geräte mit Touchscreen haben meistens eine niedrigere Bildschirmauflösung. Dies ist bei der Projektierung zu berücksichtigen. Manche Dialoge, wie etwa der Variablenauswahldialog der Standard Rezeptur, sowie andere Dialoge zur Runtime, sind bei einer Bildschirmauflösung von 320 x 240 schlecht oder u. U. nicht bedienbar. Eine Mindestanforderung gibt es hier jedoch nicht.
Die Projektierungshinweise beinhalten einen Leitfaden, für die Projektierung niedriger Auflösungen.

Runtime am CE Panel starten

Um zenon auf einem CE Panel zu starten, müssen alle nötigen Module im Image vorhanden sein.

Sollten Module fehlen, wird nach dem Doppelklick auf die zenonrce.exe nur eine sich drehende Sanduhr angezeigt. Nach dem Verschwinden der Sanduhr wird weder die zenon Runtime gestartet noch eine Fehlermeldung angezeigt.

Dieses Verhalten weist darauf hin, dass im CE Betriebssystem Elemente fehlen und das Image nicht korrekt erstellt wurde. Wenden Sie sich an den Hersteller des Panels, um den Fehler zu beheben. Der COPA-DATA Support unterstützt den Hersteller gerne bei der Fehleranalyse.

Noch in diesem Kapitel

CE - Versionen und Prozessorunterstützung


CE - Versionen und Prozessorunterstützung

Handbuch > zenon Operator > zenon unter Windows CE > Voraussetzungen > CE - Versionen und Prozessorunterstützung

In der zenon Version 7.20 werden folgende Windows CE Versionen und Prozessoren unterstützt:

Prozessoren:

  • x86
  • ARM V4/V5

CE-Versionen:

  • CE 6.00
  • Windows Embedded Compact 7

Informationen zu unterstützten CE Versionen und Prozessoren für frühere zenon Versionen finden Sie in der jeweiligen Dokumentation oder erhalten Sie beim COPA-DATA Support.

attention Achtung

Ab Version 7.50 wird Windows CE nicht mehr unterstützt. Es wird die zenon CE Version 7.20 installiert. Um diese zu nutzen, müssen die Runtime-Dateien für die Version 7.20 erzeugt werden.


Systemdateien

Handbuch > zenon Operator > zenon unter Windows CE > Systemdateien

Die Runtime für Windows CE setzt das Vorhandensein unterschiedlichster Systemdateien voraus. Fehlt eine dieser Dateien, so erzeugt das Betriebssystem eine Fehlermeldung beim Starten der Runtime, dass eine oder mehrere Komponenten nicht gefunden wurden. Folgende Systemdateien sind unbedingt erforderlich:

Datei | Beschreibung
mfc90u.dll | Erforderlich für die Runtime. Es kommt eine Fehlermeldung beim Starten, wenn diese Datei nicht vorhanden ist.
msvcr90.dll | Erforderlich für die Runtime. Es kommt eine Fehlermeldung beim Starten, wenn diese Datei nicht vorhanden ist.
atl90.dll | Nicht erforderlich für das Starten der Runtime, aber für den Einsatz eines Treibers mit Netzwerkanbindung oder den Einsatz von zenon im Netzwerk. Wenn diese Datei nicht vorhanden ist, kann das Gerät nicht als Client fungieren oder funktionieren TCP/IP Treiberanbindungen nicht.
IMGDECMP.dll | Nicht erforderlich für das Starten der Runtime, aber erforderlich für die Darstellung von Transparenz, wenn Alpha Blending im Betriebssystem nicht integriert ist. Eine Animation ist bei GIF Dateien unter Windows CE nicht möglich.
VBSCRIPT.dll + JSCRIPT.dll | Nicht erforderlich für das Starten der Runtime. Diese Datei wird benötigt für die PCE (Process Control Engine).

Einige dieser Systemdateien werden mit der Installation von zenon für CE mit installiert und können z. B. mit dem UpdateCE Tool auf das CE Gerät übertragen werden. Alle diese Systemdateien sollten bereits vom Gerätehersteller in das Betriebssystem-Image des CE Geräts integriert werden.

attention Achtung

Für Hersteller von Windows CE Betriebssystemimages:
CE Versionen vor 6.0 benötigen die Datei toolhelp.dll. Damit die Datei am CE Gerät vorhanden und die Toolhelp im SDK auch verfügbar ist, aktivieren Sie im Platform Manager folgenden Eintrag:
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Hiermit ist die Toolhelp.dll im Image mit dabei.
Tipp: Verwenden Sie immer das aktuellste Service Pack des Platform Builder.

Hinweis: Die toolhelp.dll wird für Windows CE 6 nicht benötigt und soll mit CE 6 nicht verwendet werden.

Noch in diesem Kapitel

Runtime


Runtime

Handbuch > zenon Operator > zenon unter Windows CE > Systemdateien > Runtime

Die Runtime für Windows CE besteht aus folgenden Dateien:

Dateiname | Beschreibung
zenonrCE.exe | Die Runtime Anwendung
Cd_tooCE.dll | Erforderliche Datei für die Runtime
ZennetsrvCE.dll | Der Netservice für Windows CE. Erforderlich bei Netzwerkprojekten.
SysSrvCE.exe | Der Transportservice.
LogCliLibCE.dll | Der Logserver Client
zenon6.ini | Textdatei mit Einstellungen für die Runtime wie etwa Startprojekt, Sprache der Runtime usw.
UpdateCE.exe | Anwendung, wird für das CE Update Tool benötigt.
RgermaCE.dll | Deutsche Sprachdatei
RengliCE.dll | Englische Sprachdatei
RfrancCE.dll | Französische Sprachdatei
RitaliCE.dll | Italienische Sprachdatei
RrussiCE.dll | Russische Sprachdatei
RspaniCE.dll | Spanische Sprachdatei

Mit dem CE Runtime Update Programm, erreichbar über das Menü Option, lässt sich die Runtime auf ein CE Gerät installieren.

info Info

Für Verbindungen zu Windows CE 6.0 mit CX1000, Profibus oder SYCONuni gilt: Es muss sichergestellt sein, dass die Datei CDMemDrv.dll auf das Gerät übertragen wurde. CDMemDrv.dll ist ein Windows CE Gerätetreiber. Die DLL steht für x86 und ARMV4I zur Verfügung.

Zusätzlich gibt es noch zahlreiche Treiber zur Hardwarekommunikation. Die im Projekt verwendeten Treiber werden, wenn der Prozessortyp des CE Gerätes vom Editor erkannt wird, automatisch mit dem Projekt über den Remote-Transport übertragen. Die Art oder die Anzahl der übertragenen Dateien, sind im Ausgabefenster des Editors ersichtlich.

Diese Dateien müssen immer für die jeweilige CE Version und für den jeweiligen Prozessortyp geeignet sein. Das Mischen von Dateien aus verschiedenen CE Versionen oder auch Service Packs kann zu Ausfällen und unerwünschten Nebeneffekten führen und ist daher nicht zulässig.

info Info

Wird beim Start von zenonrce.exe auch die Datei syssrvce.exe ausgeführt, dann kann sichergestellt werden, dass immer eine TCP-Verbindung aufgebaut werden kann. Damit ist nur eine Datei für die Autostart-Funktionalität nötig. Allerdings muss zwischen beide Starts eine Zeitverzögerung projektiert werden.

Ursache: Beim Start von zenonRCE startet automatisch auch zenLogSrvCE. Aber auch beim Start von syssrvce wird zenLogSrvCE mitgestartet.

Werden zenonRCE und syssrvce innerhalb eines sehr kurzen Zeitraums gestartet, versuchen beide, zenLogSrvCE zu starten. Das führt das zu einer Fehlermeldung.

Lösung: Um dies zu vermeiden, projektieren Sie eine Verzögerung zwischen den Start von zenonRCE und zenLogSrvCE. Dazu können Sie in der zenon6.ini den Eintrag STARTDELAY= setzen. Damit wird die Runtime (zenLogSrvCE) später gestartet. Es wird dann überprüft, ob zenLogSrvCE bereits läuft und dieser nicht mehr neu gestartet.


Netzwerk

Handbuch > zenon Operator > zenon unter Windows CE > Netzwerk

zenon ist selbstverständlich auch unter Windows CE netzwerkfähig. Das CE Terminal kann als Server oder Client in Kombination mit weiteren Terminals oder herkömmlichen PCs fungieren.

Redundanz im Netzwerk ist mit dem Einsatz von Windows CE nicht möglich, d.h. das ein CE Terminal nicht als Standby- Server arbeiten kann. Wenn jedoch PCs als Server und Standby- Server eingesetzt werden, kann sich das CE Terminal als Client verbinden und sich bei einer Redundanzumschaltung automatisch zum aktuellen Server verbinden.

info Info

Die Mehrprojektfähigkeit ist mit Windows CE nicht gegeben.

Es können allerdings mehrere CE Projekte auf einem PC in ein Integrationsprojekt zusammengefasst werden.

Will man die CE Runtime im Netzwerk einsetzen, müssen folgende Anforderungen erfüllt sein:

  • Netzwerkanschluss des CE Terminals
  • TCP/IP Netzwerk mit vollständiger(!) Namensauflösung
  • Eindeutige Rechnernamen und IP- Adressen im Netzwerk
  • Erforderliche Systemdatei sowie Runtime am CE Terminal vorhanden. (siehe auch Kapitel Voraussetzungen)
  • Runtime Lizenz mit Netzwerkunterstützung am CE Terminal

info Info

Wenn ein CE Terminal im Netzwerk eingesetzt wird, egal ob Server oder Client, muss am CE Terminal eine Runtime Lizenz mit Netzwerk verwendet werden.

Für Remote-Transport ist keine Netzwerklizenz erforderlich!

Ist diese Netzwerk Lizenz nicht vorhanden wird zenon automatisch als Standalone gestartet, und es wird von jedem CE Gerät eine eigene Verbindung zur SPS erstellt.

Noch in diesem Kapitel

Netzwerkeinstellungen

CE Terminal als Server

CE Terminal als Client

Diagnosemöglichkeiten


Netzwerkeinstellungen

Handbuch > zenon Operator > zenon unter Windows CE > Netzwerk > Netzwerkeinstellungen

Da die Namensauflösung unter Windows CE nicht immer gegeben ist, müssen gegebenenfalls der Rechnername und die IP Adresse des CE Terminals und des PC bekannt gemacht werden. Am PC gibt es hierzu die Textdatei HOSTS, die im /Windows/System32/Drivers/ETC Ordner zu finden ist. In dieser Datei ist die IP- Adresse des CE Terminals und der Rechnername des CE Terminals von einem Tabstopp getrennt in Großbuchstaben einzufügen. Zum Beispiel: 192.168.0.100 WINDOWSCE2

info Info

Achten Sie beim Speichern dieser Datei darauf, dass diese ohne Dateiname-Erweiterung .txt abgespeichert wird!

Die Verlinkung zwischen Computernamen und den IP-Adressen muss sowohl am PC als auch am CE Terminal definiert werden, wenn das Netzwerk eine dynamische Namensauflösung nicht vollständig unterstützt. (Bei der dynamischen Namensauflösung werden Computernamen aufgrund der IP-Adresse aufgelöst). Am PC wird diese Information in der 'HOSTS' Datei gespeichert, die unter '/Windows/system32/drivers/etc' zu finden ist.

Das Betriebssystem Windows CE unterstützt die Funktionalität einer HOSTS Datei nicht. Damit auch die Namensauflösung vom CE Terminal aus richtig funktioniert, muss in der zenon6.ini des CE Terminals der Rechnername und die entsprechende IP Adresse eingetragen werden. Folgender Eintrag ist dafür notwendig:

Example Beispiel

[IPADDR]
Mein-Computer Name=meine IP-Adresse
CE_Terminal Name =CE_Terminal IP-Adresse

SERVERNAME=192.168.1.152

Tragen Sie unter Servername den Namen Ihres Servers ein. Die IP- Adresse ändern Sie entsprechend auf die IP- Adresse Ihres Servers ab.

Beispiel: Ihr Server heißt PC0815 und hat die IP- Adresse 192.52.9.32 dann tragen Sie oben ein: PC0815=192.52.9.32

Schreiben Sie den Rechnernamen in GROSSBUCHSTABEN!

Weitere Beispiele

[IPADDR]

WINDOWSCE2=192.168.0.100

PC1=192.168.0.1

Da es nicht immer gegeben ist, dass das CE Terminal seinen eigenen Rechnername kennt, muss gegebenenfalls auch dieser hier eingetragen werden.

attention Achtung

Verwenden Sie keine dynamischen IP-Adressen wenn die Namensauflösung im Netzwerk nicht gegeben ist.


CE Terminal als Server

Handbuch > zenon Operator > zenon unter Windows CE > Netzwerk > CE Terminal als Server

In dieser Konstellation ist das Projekt auf dem CE Terminal ein Serverprojekt (mit eingeschränktem Funktionsumfang). Alle anderen Rechner die sich zum Terminal verbinden sind Clients (sowohl PC Clients, CE Clients als auch Web Clients möglich).

Eingesetzte Treiber werden am CE Terminal gestartet. Da ein CE Terminal als Server eingesetzt wird, ist der Funktionsumfang auf den PC Clients auch eingeschränkt. Der Einsatz eines CE Terminals als Standby- Server ist, wie bereits erwähnt, nicht möglich.

Dieses Modell hat folgende Merkmale:

Das CE Projekt hat weiterhin einen eingeschränkten Funktionsumfang, d.h. es ist keine Datenarchivierung möglich und es sind keine Module vorhanden.

Das CE Terminal sendet Prozessdaten an alle angeschlossenen Clients. Alarmverwaltung, REMAs Mathematikberechnungen werden am CE Terminal verwaltet.

Bei vielen angeschlossenen Clients ist das CE Terminal einer relativ großen Netzwerklast ausgesetzt, was zur Auslastung des CE Terminals führen kann.

Die Projektierung des CE Terminals als Server in der Praxis:

Um das CE Terminal als Server deklarieren zu können, muss der Rechnername des CE Terminals in der Projektkonfiguration als Server eingetragen werden. Achten Sie darauf, dass der Rechnername in Großbuchstaben eingetippt wird. Nachdem Sie fertig projektiert haben müssen die Runtime Dateien mittels Remote-Transport zum Server (CE Terminal) übertragen werden. Anschließend müssen Sie auch einmalig die Runtime Dateien auf alle Clients transportieren.

Für das gesamte System muss nur ein einziges Projekt erstellt werden. Zukünftige Projektierungsänderungen müssen lediglich zum Server transportiert werden. Alle Clients werden bei Projektänderungen mit den aktuellen Projektierungsdaten versorgt.

Es sollen nur jene Funktionalitäten in dem Projekt verwendet werden, die am CE Terminal auch unterstützt werden. Der Schalter CE Projekt ist hierzu ein nützliches Werkzeug. Er bewahrt Sie davor Module (Bilder, Funktionen etc.) zu projektieren, die unter Windows CE ohnehin nicht funktionieren.

Um trotz Einsatz eines CE Terminals die Datenarchivierung zu ermöglichen, Module wie z. B. erweiterten Trend oder Report Generator zur Verfügung zu haben und auch eine Vielzahl von Clients mit Daten versorgen zu können, ohne dass die Vor- Ort- Bedienung Ausführungseinbußen erleidet, wurden zwei weitere Projektierungsmöglichkeiten entwickelt:


CE Terminal als Client

Handbuch > zenon Operator > zenon unter Windows CE > Netzwerk > CE Terminal als Client

In dieser Konstellation ist das Projekt auf dem CE Terminal kein Serverprojekt. Das Projekt auf dem CE Terminal verbindet sich also als Client zu einem Server. Der Server kann sowohl ein PC als auch ein anderes CE Terminal sein.

Dieses Modell hat folgende Merkmale:

Das CE Projekt hat am Client einen eingeschränkten Funktionsumfang, d.h. am CE Client wird nur das angezeigt, was unter CE unterstützt wird. Archive, erweiterte Trends, Reports, Rezeptgruppenmanager, Message Control usw. werden nicht angezeigt. Das Projekt am Server kann aber sehr wohl derartige Elemente beinhalten wenn der Server ein PC ist. Am PC Client ist in diesem Fall, falls lizenziert, die komplette Projektierung vorhanden. Um den Benutzer nicht unnötig zu verwirren kann bei der Projektierung angegeben werden: Unter CE sichtbar. Ist diese Checkbox nicht angekreuzt, dann werden die entsprechenden Elemente am CE Terminal nicht angezeigt.

Die Netzwerklast ist am CE Client unerheblich, da immer nur eine einzige Verbindung, nämlich die zum Server, besteht. Die Treiber sind in dieser Konstellation am Server gestartet.

Die Projektierung des CE Terminals als Client in der Praxis:

Für das gesamte System muss nur ein einziges Projekt erstellt werden. Dieses Projekt läuft am Server, der für alle Daten die Datenhoheit besitzt.

Projektiert wird auf dem PC von dem aus die erzeugten Runtime Dateien mittels Remote-Transport an den Server und an die Clients übertragen werden.

Sollten im Nachhinein noch Projektierungsänderungen stattfinden so müssen diese nur noch per Remote-Transport an den Server übertragen werden. Die Clients übernehmen diese Änderungen nach der Ausführung der Funktion Nachladen.

Der Schalter CE Projekt muss nicht gesetzt werden. Es steht für das Projekt die gesamte Funktionalität zenon zur Verfügung. Da auf der CE Seite nur ein eingeschränkter Funktionsumfang einsetzbar ist, werden Funktionen, die unter CE nicht vorhanden sind, dort auch nicht ausgeführt (Module, bestimmte Funktionen, etc.).

Um den Maschinenbediener nicht zu verwirren, indem Bilder und Funktionen auf dem CE Terminal angeboten werden, die nicht funktionieren oder die vom ihm nicht benützt werden sollen, gibt es bei Bildern und Buttons im Editor eine Option Sichtbar unter CE. Mit dieser Option wird dem Projektanten ermöglicht, sein Projekt so zu gestalten, dass ein Teil unter CE und ein anderer Teil nur auf dem PC (PC-Server, weiterer PC Client...) sichtbar ist.


Diagnosemöglichkeiten

Handbuch > zenon Operator > zenon unter Windows CE > Netzwerk > Diagnosemöglichkeiten

CE Terminal als Server

Um sicherzustellen, dass das CE Terminal auch wirklich seine Serveraufgaben übernommen hat, kann man versuchen einen im Projekt eingesetzten Treiber bei laufender Runtime mittels Explorer am CE Terminal zu löschen. Ist das möglich, dann läuft die Runtime am CE Terminal nicht als Server (exklusiv geöffnete Applikationen können nicht gelöscht werden). Möglicherweise kennt das CE Terminal seinen eigenen Namen nicht richtig oder die Runtime am CE Terminal besitzt keine Netzwerklizenz.

CE Terminal als Client

Kann der Client keine Verbindung zum Server aufbauen, so werden bei dynamischen Elementen blaue Punkte angezeigt. Die Option Status anzeigen muss für die dynamischen Elemente im Eigenschaftsfenster aktiviert sein.

Systemtreiber

Der System Treiber bietet eine Vielzahl von Variablen für Netzwerkdiagnose.

Sonstiges

Wenn das CE Terminal im Netzwerk eingesetzt wird, soll es möglich sein über den Befehl: telnet RECHNERNAME 1100 in der Eingabeaufforderung eine Verbindung zum CE Terminal aufzubauen. (Cursor blinkt links oben im Eck). Die Runtime am CE Terminal muss gestartet sein.

RECHNERNAME steht dabei für den Namen des CE- Terminals (ermittelbar über die Systemsteuerung des Terminals); 1100 ist der Port über den der Netzwerkdienst (zennetsrvce.dll) kommuniziert.

Sollte der Verbindungsversuch mittels Telnet fehlschlagen, stimmt möglicherweise die Namensauflösung im Netzwerk nicht, hat das CE Terminal keine Runtime mit Netzwerklizenz, oder die Systemdatei: atl90.dll ist nicht am Terminal vorhanden.

Die Datei zennetsrvce.dll für die jeweilige Plattform wird mittels Remote-Transport automatisch zum CE Terminal übertragen (Remote alle Runtime Dateien übertragen). Sollte dies nicht der Fall sein, sind auf dem Rechner die Runtime Dateien für CE möglicherweise nicht installiert. Ist im Editormenü die Option CE Runtime Update vorhanden, dann sind die Runtime Dateien für CE installiert.

Kommt es bei einem Server zu dem Effekt, dass sich einmal der eine und dann wieder der andere Client verbindet, liegt es möglicherweise daran, dass beide CE Terminals den gleichen Rechnername verwenden. Windows CE gibt keine Fehlermeldung aus wenn der Rechnername im Netzwerk bereits verwendet wird.


Verbindung über Windows Mobile Device Center

Handbuch > zenon Operator > zenon unter Windows CE > Verbindung über Windows Mobile Device Center

Mit Hilfe des Microsoft Programms Windows Mobile Device Center können Sie zwischen einem industriellen CE Terminal und einen PC eine Verbindung aufbauen.

Noch in diesem Kapitel

USB-Verbindung unter Windows 7

Update Windows CE Runtime


USB-Verbindung unter Windows 7

Handbuch > zenon Operator > zenon unter Windows CE > Verbindung über Windows Mobile Device Center > USB-Verbindung unter Windows 7

Bei einer USB Verbindung zwischen dem CE Gerät und einem Rechner unter Windows 7:

  1. stellen Sie sicher, dass eine Verbindung zum Internet möglich ist
  2. verbinden Sie die beiden Geräte per USB-Kabel
  3. bei bestehender Internetverbindung wird das Windows Mobile Device Center automatisch installiert und die Verbindung hergestellt
  4. Sie können Daten übertragen, wie im Kapitel Update Windows CE Runtime beschrieben

info Info

Besteht bei der Verbindung per USB keine Internetverbindung, erfolgt keine automatische Installation und Konfiguration. In diesem Fall:

  • stellen Sie die Internetverbindnung her
  • navigieren Sie zu zum Gerätemanager in der Systemsteuerung
  • führen Sie einen Rechtsklick auf das noch nicht erkannten Gerät aus
  • wählen Sie Treibersoftware aktualisieren
  • Windows installiert den Treiber
  • Windows installiert den Windows Mobile Adapter und damit das Windows Mobile Device Center


Update Windows CE Runtime

Handbuch > zenon Operator > zenon unter Windows CE > Verbindung über Windows Mobile Device Center > Update Windows CE Runtime

Um ein Update der Windows CE Runtime durchzuführen:

  • Stellen Sie sicher, dass der zenon Transport Service (SysSrvCE.exe) auf dem CE Gerät läuft.
  • Vergewissern Sie sich, dass sie keine Remote Verbindung mittels zenon Editor zum Gerät aufgebaut haben.
  • Wählen Sie im zenon Menü Extras den Befehl Update Windows CE Runtime.

    Der Dialog zur Übertragung von Runtime-Dateien öffnet sich.

  • Konfigurieren Sie die Verbindung.
  • Definieren Sie die zu übertragenden Dateien.
  • Wählen Sie die Version aus.
  • Starten Sie das Update.

Hinweis: Sollten Sie die Runtime zum ersten Mal übertragen/installieren, beachten Sie die Hinweise im Kapitel Manuelle Installation und Runtime-Update .

Verbindung konfigurieren

Die Verbindung zum Windows CE Gerät konfigurieren Sie in der Registerkarte Connection.

Parameter | Beschreibung
Serial | Einstellung für serielle Verbindung zum Windows CE Gerät, Port muss ausgewählt werden.
TCP/IP | Einstellungen für TCP/IP Verbindung zum Windows CE Gerät.
Adress | IP-Adresse.
Name | Computername.
Syssrvce.exe starts with these settings | Einstellung für Start der syssrvce.exe.
Serial | Aktiv: serielle Verbindung wird gewählt, Port muss ausgewählt werden.
TCP/IP | Aktiv: TCP/IP Verbindung wird gewählt.
Connection with MS ActiveSync | Einstellungen zur Verbindung über MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Aktiv: syssrvce.exe wird beim ersten Transport über MS ActiveSync übertragen.
Destination folder | Zielordner.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Zu übertragende Dateien definieren

Parameter | Beschreibung
Files to update | Dateien, die übertragen werden sollen.
HMI Runtime | Aktiv: Überträgt zenon Dateien zum Zielgerät. Default: aktiv
PLC Runtime | Aktiv: Überträgt zenon Logic Dateien zum Zielgerät. Default: inaktiv
OS system files | Aktiv: Überträgt nötige Dateien des Betriebssystems. Default: aktiv
Update zenon6.ini | Überträgt die zenon6.ini zum Zielgerät. Damit werden auch die Lizenzinformationen am Zielgerät geändert.
Options |
Language | Gewünschte Sprache am Zielsystem. Default: English
HMI drivers | Auswahl der zu übertragenden HMI Treiber.
Available | Liste der zur Verfügung stehenden Treiber.
Selected | Liste der ausgewählten Treiber.
Add | Fügt markierte Treiber zur Liste der ausgewählten Treiber hinzu.
Add all | Fügt alle Treiber zur Liste der ausgewählten Treiber hinzu.
Remove | Löscht markierte Treiber aus der Liste der ausgewählten Treiber.
Remove all | Löscht alle Treiber aus der Liste der ausgewählten Treiber.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Version auswählen

Wählen Sie in der Registerkarte Versions die passende Version aus, falls sie nicht automatisch erkannt wurde.

Parameter | Beschreibung
WinCE version | Version des Windows CE Betriebssystems am Zielgerät. Klick auf Schaltfläche öffnet Dropdownliste zur Auswahl.
Processor type | Prozessor des Geräts.
Source path | Pfad zum Ordner, der die Dateien enthält. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl des Ordners.
New | Fügt neuen, leeren Eintrag in Liste ein.
Delete | Löscht den ausgewählten Eintrag aus der Liste,
Test | Überprüft Einstellungen.
Help | Öffnet die Online-Hilfe
Save | Speichert alle Änderungen.
Exit | Schließt das Update CE Tool und bietet zuvor das Speichern noch nicht gesicherter Änderungen an.

Update starten

Um die Verbindung herzustellen:

  1. Klicken Sie in der Registerkarte Update auf die Schaltfläche Start.

    Die Daten für die Übertragung werden überprüft und in einem Fenster angezeigt.

  2. Starten Sie mit einem Klick auf die Schaltfläche Next die Übertragung zum Zielgerät.

    Falls die Übertragung aufgrund fehlender Dateien nicht gestartet werden kann, erhalten Sie eine Fehlermeldung mit der Liste der fehlenden Dateien:

    Falls Sie die Fehlermeldung The current update was not completed erhalten, wurde die Installation unterbrochen oder nicht korrekt beendet.

info Info

Soll zenVNCServer.exe per Update ersetzt werden, wird dieser beendet und nach dem Update wieder gestartet. Dazu muss die Datei zenVNCSrvCE.exe in der UpdateCE.ini im Abschnitt [SOURCES_FILES_GENERAL] mit den folgenden Einträge konfiguriert sein (per default vorhanden):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Rezeptgruppen-Manager

Handbuch > zenon Operator > zenon unter Windows CE > Rezeptgruppen-Manager

Filterdialog zur Runtime

Wird bei den Optionen der Rezeptwerttabelle in der Bildumschaltung die Eigenschaft Dialog zur Runtime anbieten aktiviert, stehen unter Windows CE nur eingeschränkte Optionen zur Verfügung:

  • Rezeptfilter
  • Spalteneinstellungen (für Rezepttabelle)

Rezeptauswahl, Anlagenmodellierung und Spalteneinstellungen für Rezeptliste werden nicht angeboten.


Transparenz

Handbuch > zenon Operator > zenon unter Windows CE > Transparenz

Unter Windows CE können GIF-Dateien transparent dargestellt werden. Im Gegensatz dazu stehen die Transparenzeinstellungen in den erweiterten Grafikfunktionen unter Windows CE nicht zur Verfügung.

Um eine transparente GIF-Datei unter Windows CE darzustellen:

  • muss am Zielgerät die Datei IMGDECEMP.dll vorhanden sein.
    Fehlt die Datei, können Sie die Datei IMGDECEMP.dll beim support@copadata.com anfordern.
  • Die Transparenz kann den Wert 0% oder 100% besitzen. Zwischenwerte sind nicht möglich.

info Info

Transparenz für PNG Dateien von 0% bis 100% unter Windows CE ist kein Bestandteil von zenon, kann aber unter bestimmten Voraussetzungen genutzt werden:

  • zenon Version 6.22 SP1 oder höher wird verwendet
  • Alpha Blending muss vom Hersteller des Zielgeräts bereits implementiert worden sein; COPA-DATA kann dazu keine Unterstützung zur Verfügung stellen


Pocket PC und Windows Mobil Edition

Handbuch > zenon Operator > zenon unter Windows CE > Pocket PC und Windows Mobil Edition

Beim Beenden von zenon mit X auf einem Pocket PC oder Windows Mobile Edition ist zu beachten, dass die Anwendung nicht beendet wird, sondern im Hintergrund weiterläuft.

Um beim erneuten Starten der Anwendung zu verhindern, dass Ihr Gerät zenon noch einmal starten möchte, haben Sie mit dem Tool Start_CERT.exe die Möglichkeit die Anwendung in den Vordergrund zu holen oder wenn diese nicht gestartet sein sollte zu starten.

Wir empfehlen daher auf Pocket PC und Windows Mobile Plattformen die Runtime generell über Start_CERT.exe zu starten und nicht direkt über einen Link.

Hinweis: Pocket PC wird ab zenon Version 7 nicht mehr unterstützt.


zenon Remote Desktop

Handbuch > zenon Remote Desktop

Mit dem zenon Remote Desktop können Sie eine Remote Desktop Verbindung zu einem Remote Zielsystem aufbauen und einen Remote Rechner einfach administrieren. Das bedeutet, dass Sie von Ihrem Arbeitsplatz aus eine visuelle Verbindung zu einem anderen PC oder CE Gerät herstellen können. Sie bekommen den Desktop 1:1 so angezeigt, wie er am Zielsystem dargestellt wird.

Der zenon Remote Desktop verfügt über eine nur betrachtende Verbindung und eine bedienende Verbindung.

Unterschiede zwischen zenon Netzwerk, zenon Remote Desktop und Windows Remote Desktop

Der zenon Remote Desktop kann ein zenon Netzwerk nicht ersetzen. Es ist eine reine Übertragung von Bildschirminformationen. Das bedeutet, dass auf allen Rechnern die verbunden sind, dasselbe Bild angezeigt wird. Mit dem zenon Netzwerk können Sie selbstverständlich auf jedem Client unterschiedliche Bilder darstellen.

Der zenon Remote Desktop bietet gegenüber dem Windows Remote Desktop den Vorteil, dass sich mehrere Rechner mit dem Zielsystem gleichzeitig verbinden können. Ebenso bleibt das Zielsystem selbst voll bedienbar auch wenn eine Remote Verbindung hergestellt ist. Bei der Verwendung des Windows Remote Desktops kann immer nur entweder vom Remote PC oder am Zielsystem bedient werden.

Aktivierung

Um Sicherheitslücken zu vermeiden, wird der zenon Remote Desktop bei der Installation am PC nicht aktiviert. Damit Sie ihn nutzen können, müssen Sie ihn zuerst aktivieren (siehe Konfiguration). Unter Windows CE muss der Remote Desktop Dienst zenVNCSrvCE.exe manuell oder über die Windows CE Autostart-Mechanismen gestartet werden.

Der zenon Remote Desktop wird bei der Deinstallation von zenon durch das Setup nicht deinstalliert, sondern bleibt auf dem Rechner zurück. Wie Sie ihn entfernen können, lesen Sie im Kapitel Deinstallation.

attention Achtung

Der zenon Remote Desktop wird mit Standard-Passwörtern ausgeliefert. Wir empfehlen Ihnen, diese in der Konfigurationssoftware zu ändern (siehe Abschnitt Konfiguration).

Noch in diesem Kapitel

Aufbau

Konfiguration

Verbindung aufbauen

Einschränkungen

Mehrbildschirm-Konfiguration

Voraussetzungen / Fehlersuche

Deinstallation


Aufbau

Handbuch > zenon Remote Desktop > Aufbau

Der zenon Remote Desktop besteht aus drei Komponenten:

Parameter

Beschreibung

zenon Remote Desktop Dienst

Der zenon Remote Desktop Dienst überträgt die Desktopinformation über das Netzwerk zur Beobachtungssoftware. Am PC hat der Dienst keinerlei Oberfläche und läuft im Hintergrund als unsichtbares Windows Programm. Er wird nicht als Windows Dienst gestartet.
Unter Windows CE ist der Dienst als Tray-Icon sichtbar.

Der zenon Remote Desktop Dienst verfügt auch über einen integrierten HTTP-Webserver. Dieser Web Server stellt einen Einstiegspunkt für beliebige Web Browser bereit. Sie können eine visuelle Remote Desktop Verbindung direkt in Ihrem Browser starten.

zenon Remote Desktop Konfiguration

Mit der Konfigurationssoftware bestimmen Sie das Verhalten des Dienstes.

zenon Remote Desktop Beobachtungssoftware

Mit der Beobachtungssoftware können Sie den zenon Remote Desktop von Ihrem PC aus ansehen. Es gibt zwei Arten dieser Software:

  • Eine Standard Windows Beobachtungssoftware, die Sie aus dem Remote-Transport im Editor oder über das Windows Startmenü starten.
  • Direktverbindung per Standard Web Browser ohne Fremdsoftware. Die Darstellung des Remote Desktops erfolgt dann direkt im Web Browser.


Konfiguration

Handbuch > zenon Remote Desktop > Konfiguration

Mit der zenon Remote Desktop Konfigurationssoftware passen Sie die Remote Desktop Verbindung an Ihre Bedürfnisse an.

Einstellung

Beschreibung

Enable Remote Desktop service

Aktiviert den Remote Desktop Dienst.

Ist der Dienst deaktiviert, wird er komplett deregistriert und steht nicht mehr zur Verfügung. Er kann nur mittels dieser Konfigurationssoftware wieder aktiviert werden.

Bei aktivem HTTP Server sollte vor dem Deaktivieren das Passwort geändert werden.

Enable built-in HTTP server

Aktiviert den eingebauten HTTP Server. Die angezeigte Startseite ist fix und kann nicht verändert werden.

Achtung: Wird der HTTP Server deaktiviert, kann die Anmeldeseite über einen Refresh des Browsers weiterhin aufgerufen werden.
Dabei wird die Seite aus dem Cache vom normalen HTTP Port (5600) auf den Remote Desktop Port (5610) umgeleitet. Damit sind auch Anmeldung und voller Zugriff weiter möglich. Um Zugriffe zu verhindern, ändern Sie das Passwort oder schließen Sie den Remote Dektop Port 5610.

Primary password

Erlaubt bedienenden Zugriff auf den Rechner.

Passwort-Behandlung:

  • Das Standard-Passwort bei der Erstinstallation ist SCADA-ALL.
    Um unbefugten Zugriff zu vermeiden, sollten Sie das Passwort ändern.
  • Die Länge des Passwortes ist auf 8 Zeichen begrenzt.
    Das Standard-Passwort SCADA-ALL kann aber eingegeben werden.
  • Das Passwort kann jederzeit ohne Kenntnis des aktuellen Passworts geändert werden.
  • Wenn Sie kein Passwort eingeben, wird eine Warnmeldung angezeigt, sobald Sie das Feld verlassen.

View-only password

Wenn Sie beim Verbindungsaufbau dieses Passwort eingeben, erhalten Sie nur betrachtenden Zugriff auf den Desktop.

Passwort-Behandlung:

  • Das Standard-Passwort bei der Erstinstallation ist SCADA.
    Um unbefugten Zugriff zu vermeiden, sollten Sie das Passwort ändern.
  • Die Länge des Passwortes ist auf 8 Zeichen begrenzt.
  • Das Passwort kann jederzeit ohne Kenntnis des aktuellen Passworts geändert werden.
  • Wenn Sie kein Passwort eingeben, wird eine Warnmeldung angezeigt, sobald Sie das Feld verlassen.

Log information to zenVNC.log

Der zenon Remote Desktop Dienst schreibt Analyseinformationen in die Datei zenVNC.log. Die Datei befindet sich im User Temp-Ordner: C:\Users\Default\AppData\Local\Temp

Diese Ordner können Sie nur sehen, wenn Sie in den Ordnereigenschaften des Windows Explorer die Option versteckte Dateien und Ordner anzeigen aktiviert haben.

Log detailed debugging information

Der zenon Remote Desktop Dienst schreibt detailliertere Fehler- und Debugginginformationen in die Datei zenVNC.log. Diese Option wird nur zur umfangreichen Fehleranalyse benötigt.

Block remote input events

Wenn von außen kein bearbeitender Zugriff möglich sein soll, obwohl das Primary Passwort bekannt ist und sein soll, können Sie diese Option setzen. Bedienende Zugriffe von Remote PCs werden unterbunden. Nur beobachtende Zugriffe sind möglich.

Block remote input on local activity

Wenn am lokalen Rechner Bedienung (mit Tastatur oder Maus) stattfindet, kann von einem Remote Rechner aus nicht bedient werden. Nach der eingestellten Zeit wird die Bedienung von außerhalb wieder freigegeben.

attention Achtung

Wenn Sie die Passwörter nicht ändern, kann jeder unbemerkt auf Ihren Rechner zugreifen!!

Leere Passwörter sind erlaubt, werden jedoch ausdrücklich nicht empfohlen. Durch leere Passwörter ermöglichen Sie jedem unbemerkten Vollzugriff auf Ihren Rechner.

info Info

Alle Änderungen werden erst beim Drücken der OK Schaltfläche übernommen. Dabei wird der zenon Remote Desktop Dienst immer neu gestartet. Verbundene Computer verlieren die Verbindung.


Verbindung aufbauen

Handbuch > zenon Remote Desktop > Verbindung aufbauen

Sie haben folgende Möglichkeiten, eine Remote Desktop Verbindung herzustellen:

Integriert in den Remote-Transport:

Der zenon Remote Desktop ist direkt in zenon integriert. Sie können über die Schaltfläche Remote Desktop: Verbindung starten in der Symbolleiste des Remote-Transport eine Verbindung aufbauen. Als Zielsystem wird automatisch das im Remote-Transport konfigurierte Zielsystem verwendet. Ist dort kein Rechner eingetragen, wird der in der Netzwerkkonfiguration eingetragene Server verwendet.

Im Remote-Transport als Transportmedium muss TCP/IP eingestellt sein.

Der Verbindungsaufbau erfolgt wie bei der Verbindung über das Startmenü, mit dem Unterschied, dass der Remote Rechnername nicht eingegeben werden muss.

Über das Startmenü:

Möchten Sie zu einem anderen Zielsystem eine Remote Desktop Verbindung aufbauen, können Sie das über die Verknüpfung im Startmenü unter Start - COPA-DATA - ToolsXX - zenon Remote Desktop Verbindung starten durchführen.

Parameter | Beschreibung
Server | Hier geben Sie den Rechnernamen oder die IP-Adresse des Zielsystems ein.
Connection profile | Die Verbindungsprofile bestimmen die notwendige Netzwerkbandbreite. Je geringer Sie die verfügbare Bandbreite einstellen, desto stärker wird die Bilddatenübertragung komprimiert, und desto schlechter wird auch die Bilddarstellung. Diese Optionen können nur zu Beginn der Verbindung gesetzt werden, und sind nachträglich nicht mehr änderbar. Sie müssen ggf. die Verbindung trennen und wieder neu aufbauen.
Options | Öffnet den Connection Options Dialog. Die Verbindungsoptionen können Sie auch später, wenn Sie verbunden sind, noch ändern. Die Beschreibung der Optionen finden Sie im Kapitel Verbindungsoptionen.

Sobald Sie auf Connect klicken, wird die Verbindung hergestellt.

Mittels Web Browser

Eine weitere Möglichkeit ist, eine Verbindung mittels eines Standard Web Browser herzustellen. Dazu muss die Java Runtime auf Ihrem Rechner installiert sein. Die jeweils aktuellste Version können Sie von der Java Homepage downloaden: http://www.java.com.

Starten Sie den Web Browser und geben Sie in der Adresszeile den Rechnernamen oder die IP-Adresse des Zielsystems ein, gefolgt von der Portnummer 5600.

Beispiel: http://MyRemotePCName:5600.

Java Version 8.45 oder höher

Mit der Version 8.45 wurden strengere Sicherheitsebenen in Java implementiert. Dadurch kann es vorkommen, dass eine Verbindung via http zu einem zenon Remote Desktop Verbindungsserver nicht mehr möglich ist.

Um sich weiterhin via http zu verbinden:

  • Installieren Sie Java in der Version 7.
  • Verwenden Sie einen VPN-Client anstelle eines Web Browsers.
  • Verwenden Sie TightVNC (ab version 2.7.10) für die HTTP-Verbindung.
    • Website des Herstellers:
      www.tightvnc.com/

info Info

Für alle Verbindungen gilt: Eine Verbindung zum lokalen PC ist nicht möglich!

Bei Verbindungsproblemen überprüfen Sie die Voraussetzungen.

Noch in diesem Kapitel

Authentifizierung

Standard Beobachtungssoftware

Web-Beobachtungssoftware


Authentifizierung

Handbuch > zenon Remote Desktop > Verbindung aufbauen > Authentifizierung

Standard Beobachtungssoftware

Während die Verbindung hergestellt wird, wird ein Informationsdialog angezeigt, in dem Sie sich vergewissern können, dass Sie mit dem richtigen Zielsystem eine Verbindung aufbauen.

In diesem Dialog müssen Sie nur das Verbindungspasswort angeben. Ein Benutzername ist nicht erforderlich.

Web-Oberfläche

_

In diesem Dialog müssen Sie das Verbindungspasswort angeben. In der Titelzeile sehen Sie, mit welchem Remote Desktop Sie verbunden sind.

Passwörter

Damit Sie eine Verbindung aufbauen können, müssen Sie die Verbindungspasswörter kennen. Das Primary Passwort erlaubt Ihnen den Vollzugriff auf den Remote Desktop. Das View-only Passwort ermöglicht nur einen Betrachtungsmodus. Je nach verwendetem Passwort wird der dazu passende Modus gestartet. Die Länge der Passwörter ist auf 8 Zeichen begrenzt. (Details siehe Kapitel Konfiguration)

attention Achtung

Wenn serverseitig in der Konfigurationssoftware die Option 'Block remote Input Events' gesetzt ist, können Sie das Remote-System selbst bei Verwendung des Primary Passworts nicht bedienen.

info Info

Bei der Erstinstallation wird das Primary Passwort auf SCADA-ALL und das View-only Passwort auf SCADA gesetzt. Sie können die Passwörter jederzeit mit der Konfigurationssoftware am Remote-System ändern (Siehe Konfiguration).


Standard Beobachtungssoftware

Handbuch > zenon Remote Desktop > Verbindung aufbauen > Standard Beobachtungssoftware

Sobald Sie eine Verbindung hergestellt haben, zeigt die Beobachtungssoftware den Bildschirminhalt des Remote Desktops an.

Weitere Einstellungen können Sie über die Symbolleiste, das Kontextmenü oder die Dropdownliste vornehmen. Selbst wenn die Symbolleiste nicht sichtbar ist, erreichen Sie das Kontextmenü mit einem Rechtsklick auf die Titelzeile der Beobachtungssoftware oder auf das Symbol in der Taskbar. Falls Sie den Vollbildmodus aktiviert haben, müssen Sie diesen zuerst mit der Tastenkombination <Strg><Alt><Umschalt><F> deaktivieren.

Die Symbolleiste und das Kontextmenü bieten folgende Möglichkeiten:

Parameter

Beschreibung

Schließen

Trennt die Verbindung und beendet das Programm.

Connection options...

Öffnet den Dialog zum Einstellen der Verbindungsoptionen. Siehe Verbindungsoptionen

Connection info

Öffnet einen Dialog, der die aktuellen Verbindungsinformationen anzeigt.

Request screen refresh

Bewirkt eine Aktualisierung und damit ein Neuzeichnen des Remote Desktops.

Full Screen

Schaltet in den Vollbildmodus um.

  • Wenn am Remote Rechner und am lokalen Rechner dieselbe Bildschirmauflösung verwendet wird, wird das Remote Bild bildschirmfüllend dargestellt.
  • Wenn der Remote Rechner über eine kleinere Auflösung verfügt, wird der Remote Desktop zentriert und mit einem schwarzen Rahmen dargestellt.
  • Wenn der Remote Rechner über eine größere Auflösung als der lokale Rechner verfügt, wird der Remote Desktop abgeschnitten dargestellt. Bei Bewegungen mit der Maus in den nicht sichtbaren Bereich scrollt der Bildschirm automatisch dorthin.

Mit der Tastenkombination <Alt><Tab> können Sie zwischen dem Remote Rechner und dem Lokalen Rechner umschalten.

Den Vollbildmodus beenden Sie mit der Tastenkombination Strg+Alt+Umschalt+F .

Show Toolbar

Aktiv: Symbolleiste wird angezeigt.

Send Ctrl+Alt+Del

Diese Aktion hat keine Auswirkung.

Send Ctrl-Esc

Öffnet das Startmenü am Remote Desktop.

Ctrl key down

Hält am Remote Desktop die Steuerung-Taste gedrückt. Durch einen weiteren Klick wird die Taste wieder losgelassen.

Alt key down

Hält am Remote Desktop die Alt-Taste gedrückt. Durch einen weiteren Klick wird die Taste wieder losgelassen.

New connection...

Öffnet den Dialog für eine neue Remote Desktop Verbindung. Siehe Verbindung aufbauen. Die existierende Verbindung wird getrennt.

Save connection info as...

Speichert eine Verknüpfung zu dieser Verbindung als RDC Datei (Remote Desktop Communication File). Diese können Sie z. B. am Desktop ablegen. Beim Speichern werden Sie gefragt, ob Sie das Passwort in der Datei speichern möchten.
Hinweis: Das Speichern des Passwortes stellt ein Sicherheitsrisiko dar.

Durch einen Doppelklick auf die Datei wird die Verbindungssoftware gestartet und Sie werden automatisch zum eingetragenen Remote Desktop verbunden, ohne dass Sie Rechnername (und Passwort, falls sie dieses in der Datei gespeichert haben) eingeben müssen.

Hinweis: Die Option Transfer files zur Übertragung von Dateien ist nur bis Version 6.22SP1 Build 7 verfügbar.

Noch in diesem Kapitel

Verbindungsoptionen


Verbindungsoptionen

Handbuch > zenon Remote Desktop > Verbindung aufbauen > Standard Beobachtungssoftware > Verbindungsoptionen

In der Registerkarte Connection können Sie konfigurieren:

Option | Beschreibung
Scale by | Skaliert die Darstellung des Remote Desktops auf die eingestellte Größe. Vorteilhaft, wenn der Remote Desktop eine größere Bildschirmauflösung als der lokale Rechner hat.
Full-screen mode | Schaltet in den Vollbildmodus. Den Vollbildmodus beenden Sie mit der Tastenkombination <Strg><Alt><Umschalt><F>
Deiconify on remote Bell event | Diese Einstellung hat keine Auswirkung

In der Registerkarte Globals können Sie folgendes konfigurieren:

Option | Beschreibung
Show toolbars by default | Zeigt die Symbolleiste an. Wenn die Symbolleiste deaktiviert wurde, kann Sie über das Kontextmenü der Software wieder aktiviert werden.
Warn at switching to the full-screen mode | Wechseln Sie in den Vollbildmodus, wird eine Warnmeldung mit einem Hinweis, wie man den Vollbildmodus wieder beendet, angezeigt.
Number of connections to remember | Die Beobachtungssoftware merkt sich die letzten Verbindungen. Beim Verbindungsaufbau können Sie in der Auswahlliste die letzten Verbindungen auswählen. Die Anzahl der gespeicherten Verbindungen stellen Sie hier ein.
Clear the list of saved connections | Löscht die Liste der gespeicherten Verbindungen.
Dot cursor | Über dem Remote Mauszeiger wird der lokale Mauszeiger als schwarzer Punkt angezeigt.
Small dot cursor | Über dem Remote Mauszeiger wird der lokale Mauszeiger als kleiner schwarzer Punkt angezeigt.
Normal arrow | Über dem Remote Mauszeiger wird der lokale Mauszeiger als Standard Windows Mauszeigerpfeil angezeigt.
No local cursor | Es wird nur der Remote Mauszeiger angezeigt.


Web-Beobachtungssoftware

Handbuch > zenon Remote Desktop > Verbindung aufbauen > Web-Beobachtungssoftware

In der Oberfläche im Browser stehen Ihnen folgende Möglichkeiten zur Verfügung:

Parameter | Beschreibung
Disconnect | Beendet die Verbindung. Der Webbrowser bleibt geöffnet.
Options | Hier können Sie verschiedene Verbindungsoptionen einstellen. Diese Optionen sind nicht dokumentiert. Belassen Sie diese am besten bei den Originaleinstellungen. Die Einstellungen werden nicht gespeichert. Beim nächsten Verbindungsaufbau sind wieder die Originaleinstellungen vorhanden.
Clipboard | Ermöglicht es, textuelle Informationen von der Zwischenablage des zenon Remote Desktops auszulesen oder an die Zwischenablage zu senden. Im Dialog sehen Sie die Zwischenablage des zenon Remote Desktops. Wenn Sie den Text ändern, wird dieser durch Drücken auf Close an die Zwischenablage des zenon Remote Desktops gesendet.
Send Ctrl+Alt+Del | Diese Option wird nicht unterstützt.
Refresh | Aktualisiert den Bildschirminhalt.


Einschränkungen

Handbuch > zenon Remote Desktop > Einschränkungen

Der zenon Remote Desktop Dienst läuft im Benutzerkontext. Er wird mit dem Login des Benutzers an Windows gestartet.

Eine Remote Verbindung kann daher erst hergestellt werden, wenn ein Benutzer angemeldet ist. Ein Remote-Einloggen mit Strg+Alt+Entf ist nicht möglich. Wenn sich der Benutzer abmeldet, wird auch der zenon Remote Desktop Dienst wieder beendet. Eventuell verbundene Beobachter verlieren die Verbindung.

Ist der Remote Rechner gesperrt, kann ebenfalls keine Verbindung hergestellt werden. Der Rechner ist auch gesperrt, wenn ein Bildschirmschoner mit der Option Kennworteingabe bei Reaktivierung aktiviert wurde.

Sind am Remote Rechner mehrere Benutzer gleichzeitig angemeldet (schnelle Benutzerumschaltung), wird der zenon Remote Desktop Dienst mehrfach gestartet. Die Beobachtungssoftware kann sich aber immer nur auf den ersten gestarteten Dienst verbinden. Ist dieser erste Benutzer nicht aktiv, wird die Verbindung zwar aufgebaut, aber nach Eingabe des Passwortes sofort wieder geschlossen.

Die Verbindung wird auch getrennt, wenn der erste angemeldete Benutzer auf Benutzer wechseln klickt und damit inaktiv wird.


Mehrbildschirm-Konfiguration

Handbuch > zenon Remote Desktop > Mehrbildschirm-Konfiguration

Auf einem Remote Desktop Client mit mehreren Bildschirmen, können diese über eine Remote-Verbindung benutzt werden, wenn bestimmte Voraussetzungen erfüllt werden. Das ist auch für Multi-Bildschirm-Konfigurationen in der zenon Runtime möglich, auch dann wenn das eigentliche System initial nur einen Bildschirm unterstützt.

Voraussetzungen für die Konfiguration eines Mehrbildschirmsystems für Remote Desktop:

Client:

  • Windows Enterprise oder Ultimate
  • RDP erlaubt echte Multi-Bildschirm Unterstützung
    Unterstützt Option /multimon

Server:

  • Windows Enterprise oder Ultimate
    oder
  • Terminal Server/Remote Desktop Services Rolle
  • Richtlinien erlauben Multi-Bildschirm-Unterstützung

Details zur Konfiguration finden Sie unter anderem in diesem Microsoft Blogeintrag: https://blogs.msdn.microsoft.com/rds/2009/07/01/using-multiple-monitors-in-remote-desktop-session/


Voraussetzungen / Fehlersuche

Handbuch > zenon Remote Desktop > Voraussetzungen / Fehlersuche

Damit Sie eine Verbindung zu einem Remote-System herstellen können, müssen folgende Voraussetzungen erfüllt sein:

  • zenon (mind. Version 6.22 oder höher) muss installiert sein.
  • Am PC muss der zenon Remote Desktop Dienst (zenVNCSrv.exe) aktiviert sein. Den Dienst können Sie in der zenon Remote Desktop Konfigurationssoftware aktivieren (siehe Konfiguration). Überprüfen können Sie den Dienst im Windows Taskmanager.
  • Am Remote PC muss ein Benutzer angemeldet sein, und der Rechner darf nicht gesperrt sein. Siehe Einschränkungen.
  • Unter Windows CE müssen Sie den zenon Remote Desktop Dienst zenVNCSrvCE.exe manuell oder mittels der Windows CE Autostart Optionen starten. Wie Sie diese aktivieren, können Sie in der Beschreibung des Geräte-Herstellers nachlesen. Überprüfen können Sie das Laufen des Dienstes im Windows CE Taskmanager (falls verfügbar).
  • Der Dienst muss in der Windows Firewall und auch in allen anderen Firewalls freigeschaltet sein, oder die beiden Ports 5600 (http Port) und 5610 (zenon Remote Desktop Port) müssen freigeschaltet sein. Überprüfen können Sie das, indem Sie von einem anderen PC aus eine Telnet Verbindung auf den Port 5600 oder 5610 öffnen. Starten Sie dazu die Kommandozeile (cmd.exe) und geben sie folgenden Befehl ein:
    telnet RemotePCName 5610.
    Ist die Verbindung erfolgreich, erscheint ein schwarzes Fenster.
    Unter Windows ist Telnet standardmäßig nicht installiert. Sie können das Programm aber mit den folgenden Schritten installieren:
    Klicken Sie auf die Schaltfläche Start, auf Systemsteuerung, auf Programme, und dann auf Windows-Funktionen ein- oder ausschalten.
    Aktivieren Sie im Dialogfeld Windows-Funktionen das Kontrollkästchen Telnet-Client und klicken Sie auf OK.
  • Die beiden Ports 5600 und 5610 dürfen nicht von anderen Programmen belegt sein, sonst werden andere Ports zufällig belegt. Die Portbelegung können Sie mit dem Windows Befehl netstat -n -a -o von der Kommandozeile aus kontrollieren. Die Prozess-ID des zenon Remote Desktop Diensts zenVNCSrv.exe können Sie aus dem Taskmanager in der Registerkarte Prozesse ablesen. Ist diese Spalte nicht sichtbar, können Sie die Spalte PID (Prozess-ID im Menü Ansicht - Spalten Auswählen... aktivieren.
  • Wenn Sie die Verbindung über den Editor starten, müssen Sie im Remote-Transport als Transportmedium TCP/IP eingestellt haben. Als Zielsystem müssen Sie entweder beim Remote-Transport oder als Projektserver einen Rechner angegeben haben.
  • Schneller Benutzerwechsel unter Windows wird nicht unterstützt. Die Verbindung wird dabei unterbrochen. Siehe Einschränkungen

info Info

Deaktivierung des HTTP Servers:

Wird der HTTP Server deaktiviert, kann die Anmeldeseite über einen Refresh des Browsers weiterhin aufgerufen werden.
Dabei wird die Seite aus dem Cache vom normalen HTTP Port (5600) auf den zenon Remote Desktop Port (5610) umgeleitet. Damit sind auch Anmeldung und voller Zugriff weiter möglich. Um Zugriffe zu verhindern, ändern Sie das Passwort oder schließen Sie den Remote Dektop Port 5610.


Deinstallation

Handbuch > zenon Remote Desktop > Deinstallation

Der zenon Remote Desktop wird bei der zenon Deinstallation nicht entfernt, da er versionsübergreifend verwendet wird. Das Setup hat keine Möglichkeit zu prüfen, welche zenon Versionen noch im Einsatz sind.

Um den zenon Remote Desktop zu entfernen, müssen Sie folgende Schritte durchführen:

  1. Starten Sie die Konfigurationssoftware.
  2. Entfernen Sie bei Enable Remote Desktop service das Häkchen.
  3. Klicken Sie auf OK.
  4. Der zenon Remote Desktop Dienst wird beendet und deregistriert.

Nun können Sie die Dateien zenVNCSrv.exe, zenVNCcfg.exe und oem.dll im Ordner C:\Programme\Gemeinsame Dateien\COPA-DATA\zenVNCSrv löschen.


zenon Science Package for LEGO MINDSTORMS

Handbuch > zenon Science Package for LEGO MINDSTORMS

Das zenon Science Package for LEGO MINDSTORMS ermöglicht die Programmierung von LEGO MINDSTORMS NXT 2.0 und MINDSTORMS EV3 Bricks. Programme werden in zenon Logic erstellt und auf dem LEGO Controller mit straton ausgeführt. zenon Logic ist eine in zenon integrierte IEC 61131-3 Programmierumgebung.

Diese Anleitung führt durch Installation und Programmierung für die Automatisierung eines LEGO MINDSTORMS NXT 2.0 oder MINDSTORMS EV3 Bricks mit zenon. In dieser Dokumentation sind nur Informationen in Bezug auf den Betrieb mit zenon Logic/straton enthalten. Grundlegende Informationen zu Programmierung und Betrieb von LEGO MINDSTORMS Objekten entnehmen Sie der LEGO Dokumentation.

Sämtliche nötige Software ist auf dem Installationsmedium für zenon Science Package for LEGO MINDSTORMS enthalten. Dieses Paket enthält keine Hardware und keine Bauteile oder Steuerungen der Firma LEGO.

Für die Projektierung von LEGO Hardware mit zenon verwenden Sie folgende Software:

  • zenon: Software zum Beobachten und Steuern, die das integrierte zenon Logic enthält.
  • zenon Logic Workbench: Programmierumgebung für Programme, die auf der eingebetteten straton Firmware laufen.
  • straton: Firmware für den LEGO Controller.

Auf dem Installationsmedium finden Sie alle nötigen Applikationen und Informationen. Diese sollten bereits in Ihrem zenon Ordner am PC angelegt sein. Die wichtigsten Ordner:

  • FIRMWARE: Dieser Ordner enthält die Firmware, die Sie mit dem LEGO Firmware Loader auf Ihren LEGO MINDSTORMS Controller laden können.
  • USB_DRIVER: Dieser Ordner enthält die INF-Datei für den USB-auf-Seriell Treiber.

info Info

LEGO, MINDSTORMS, NXT und EV3 sind Marken und Produkte der Firma LEGO.

Noch in diesem Kapitel

zenon Science Package for Lego MINDSTORMS 2.0

zenon Science Package for LEGO MINDSTORMS EV3


zenon Science Package for Lego MINDSTORMS 2.0

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0

Das zenon Science Package for LEGO MINDSTORMS 2.0 ermöglicht die Programmierung von LEGO MINDSTORMS NXT 2.0 Objekten. Programme werden in zenon Logic erstellt und auf dem LEGO Controller mit straton ausgeführt. zenon Logic ist eine in zenon integrierte IEC 61131-3 Programmierumgebung.

Noch in diesem Kapitel

Installation

Verbindung zwischen zenon Logic und straton herstellen

straton Anwendungen für NXT entwickeln

MINDSTORMS 2.0 Runtime mit zenon verbinden

Fragen und Antworten

Verwendung komplexer Variablen


Installation

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation

Für dem Einsatz des zenon Science Package for LEGO MINDSTORMS benötigen Sie:

  • zenon ab Version 7.00 SP0
  • Firmware für den LEGO Controller

Falls Sie bereits zenon 7.00 oder höher auf Ihrem Rechner installiert haben, verfügen Sie auch über eine Lizenz für den Einsatz des zenon Science Package for LEGO MINDSTORMS. Falls Sie zenon noch nicht installiert haben, installieren Sie die zenon Version vom Installationsmedium. Es handelt sich dabei um eine eingeschränkte Lizenz für den Einsatz mit LEGO MINDSTORMS 2.0.

Noch in diesem Kapitel

zenon installieren

Demo-Projekte

Firmware installieren

Umgang mit bereits existierender Firmware

Bluetooth-Verbindung zum Controller herstellen


zenon installieren

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > zenon installieren

Um zenon in der jeweils aktuellen Version zu installieren:

  1. Verbinden Sie das Installationsmedium mit dem Rechner.
  2. Falls die Installation nicht automatisch startet, wählen Sie start.exe.
  3. Wählen Sie zenon 8.00.
  4. Folgen Sie den Anleitungen des Installationsassistenten.

Hinweis: Falls Sie bereits über eine zenon Version ab 7.00 verfügen, ist keine Installation notwendig.

Noch in diesem Kapitel

zenon Science Package Lizenz


zenon Science Package Lizenz

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > zenon installieren > zenon Science Package Lizenz

Das zenon Science Package for LEGO MINDSTORMS 2.0 ist in der zenon Standardlizenz enthalten. Wird diese Version auf einem System ohne zenon installiert, läuft es mit einer zenon Science Package Lizenz. Mit dieser Lizenz können im Rahmen der lizenzierten Module auch zenon Projekte erstellt und bearbeitet werden.

Diese Lizenz beinhaltet:

  • 128 Variablen
  • Erweiterter Trend Starter Edition
  • Archivserver Starter Edition
  • VBA
  • zenon Logic Workbench
  • straton Firmware

Hinweis: Diese Lizenz ist 90 Minuten lauffähig. Danach muss der Editor beendet und neu gestartet werden.


Demo-Projekte

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > Demo-Projekte

Im COPA-DATA Forum (www.copadata.com/forums) erhalten Sie auch zwei Demoprojekte:

  • MINDSTORMS_DEMO: Gibt Ihnen einen Überblick über Sensoren und Controller. Benutzen Sie dieses Projekt, um sich mit LEGO MINDSTORMS 2.0 und dessen Programmierung vertraut zu machen.
  • LEGO_DEMO_SHOOTERBOT: Ein Beispielprojekt für den Shooterbot. Sie können es nach Belieben an Ihre Bedürfnisse anpassen.

Laden Sie den Arbeitsbereich mit den beiden Projekten in zenon:

  1. führen Sie einen Rechtsklick auf den aktuellen Arbeitsbereich aus
  2. wählen Sie im Kontextmenü Arbeitsbereich -> Sicherung rücklesen...
  3. navigieren Sie zur Arbeitsbereichssicherung auf der dem Installationsmedium (*.wsb)
  4. wählen Sie Datei aus und klicken Sie auf OK

Um die Projekte zu öffnen:

  1. navigieren Sie im Arbeitsbereich zum Knoten zenon Logic (IEC 61131-3)
  2. wählen Sie den Knoten mit einem Linksklick aus
  3. wählen Sie das Projekt mindstorms
  4. klicken Sie auf das Symbol öffnen in der Symbolleiste oder führen Sie einen Doppelklick auf das Projekt aus, um das Projekt in der zenon Logic Workbench zu öffnen


Firmware installieren

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > Firmware installieren

Um Ihr LEGO MINDSTORMS 2.0 mit zenon nutzen zu können, müssen Sie die straton Firmware auf den Controller laden. In diesem Kapitel erfahren Sie, wie Sie:

  • straton Firmware auf den Controller laden
  • bereits vorhandene straton Firmware updaten oder bereits existierende andere Firmware ersetzen
  • eine USB-Verbindung mit dem COPA-DATA USB-Treiber zum Controller herstellen
  • eine Bluetooth-Verbindung zum Controller herstellen

straton Firmware auf den Controller laden

Um die straton Firmware auf den LEGO MINDSTORMS NXT 2.0 Controller zu laden, benötigen Sie die LEGO MINDSTORMS NXT 2.0 Software, die Sie mit Ihrem LEGO MINDSTORMS NXT 2.0 erhalten haben.

attention Achtung

Befindet sich bereits eine andere Firmware auf dem Controller, als die von LEGO gelieferte, beachten Sie die Vorgehensweise im Abschnitt Umgang mit bereits existierender Firmware.

Um die Firmware zu laden:

  1. Starten Sie die LEGO MINDSTORMS NXT 2.0 Software.
  2. Wählen Sie im Menü Tools -> Update NXT Firmware.

  3. Achten Sie auf das korrekte Format: *.rfw.
    Sollte die Dateiendung noch auf *.bin lauten, ändern Sie diese auf *.rfw.
    Die Datei heißt mit Stand zenon 7.20: STRATON_NXT_103_2011_08_10.rfw.
    Sie finden diese auf dem Installationsmedium im Pfad AdditionalSoftware\Science Package - Firmware\NXT2.
  4. Klicken Sie auf die Schaltfläche Browse.
  5. Wählen Sie den Ordner mit der Firmware.

  6. Starten Sie den NXT Controller.
    Drücken Sie dazu die orange-Taste.
  7. Verbinden Sie den Controller über USB mit dem PC.
  8. Klicken Sie auf die Schaltfläche Download, um die Firmware auf den Controller zu laden.

  9. Entfernen Sie das USB-Kabel.
  10. Der Controller startet mit der aktualisierten Firmware

info Info

Um die geladene straton später upzudaten oder wieder durch Firmware von LEGO zu ersetzen, folgen Sie den Anweisungen im Abschnitt Umgang mit bereits existierender Firmware.


Umgang mit bereits existierender Firmware

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > Umgang mit bereits existierender Firmware

Befindet sich bereits Firmware, die nicht von LEGO stammt, auf dem Controller, muss dieser in den Firmware-Load-Mode versetzt werden, um andere Firmware installieren zu können. Dieser Modus wird auch benötigt, wenn die straton Firmware upgedatet oder wieder LEGO Firmware geladen werden soll. Um den Controller in den Firmware-Load-Mode zu versetzen:

  1. Drücken Sie gleichzeitig mindestens 5 Sekunden lang bis Sie ein leises Klicken hören
    • die orange Starttaste und
    • den Rest-Knopf auf der Geräterückseite.
      Den Rest-Knopf erreichen Sie am besten mit einem spitzen Gegenstand.

  2. Schalten Sie den NXT Controller durch Drücken der orangefarbenen Taste ein.

  3. Der NXT Controller startet im Firmware-Load-Mode . Sie hören ein regelmäßiges Geräusch.
  4. Starten Sie den Download der gewünschten Firmware.
    Dazu muss eine Verbindung per USB oder Bluetooth hergestellt werden. Für die USB-Verbindung zu zenon/straton wird der COPA-DATA Treiber benötigt.

attention Achtung

Der Firmware-Load-Mode kann nur mit dem Download einer Firmware beendet werden.

Noch in diesem Kapitel

USB-Verbindung ohne LEGO Firmware


USB-Verbindung ohne LEGO Firmware

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > Umgang mit bereits existierender Firmware > USB-Verbindung ohne LEGO Firmware

Wenn die benutzte Firmware nicht von LEGO stammt, muss eventuell der entsprechende Treiber installiert werden. Der USB Controller wird in diesem Fall bei der Verbindung zum PC nicht erkannt. Um die USB-Verbindung herzustellen:

  1. Öffnen Sie die Systemsteuerung -> System -> Gerätemanager.
  2. Führen Sie einen Doppelklick auf Unbekanntes Gerät aus.
  3. Klicken Sie in der Registerkarte Treiber auf Treiber aktualisieren.
  4. Der Dialog zur Treiberauswahl wird geöffnet.
  5. Wählen Sie Auf dem Computer nach Treibersoftware suchen.
  6. Wählen Sie den Ordner aus, in dem sich die Datei Mindstorm_straton.inf befindet.
  7. Eine Warnung bezüglich des Treiberherstellers wird angezeigt.
  8. Wählen Sie Treiber dennoch installieren.
  9. Das Gerät kann nun über USB kommunizieren.


Bluetooth-Verbindung zum Controller herstellen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Installation > Bluetooth-Verbindung zum Controller herstellen

Falls der PC über einen Bluetooth-Port verfügt, kann die Verbindung zum Controller auch via Bluetooth hergestellt werden. Um Bluetooth für die Verbindung zwischen PC und Controller zu konfigurieren:

  1. Schalten Sie den LEGO Controller durch Drücken der orangen Taste ein.

  2. Drücken Sie erneut die orange Taste.
  3. Wählen Sie mit der rechten grauen Pfeil-Taste Settings aus.

  4. Bestätigen Sie Auswahl durch Drücken der orangen Taste.
  5. Navigieren Sie mit Hilfe der grauen Tasten ins Menü für Bluetooth-Einstellungen.
    1. Schalten Sie Bluetooth ein.
    2. Vergeben Sie einen Bluetooth-Namen.
    3. Setzen Sie den Bluetooth-Status auf visible.
    4. Klicken Sie die dunkelgraue Taste, um das Bluetooth-Menü zu verlassen.
  6. Wechseln Sie ins Menü Connections.
  7. Wählen Sie mit Hilfe der grauen Tasten Bluetooth aus.
  8. Jetzt kann der Controller über Bluetooth gefunden werden.
  9. Öffnen Sie den Bluetooth Gerätemanager auf dem PC.
    1. Wählen Sie Gerät hinzufügen.
    2. Windows sucht nach sichtbaren Bluetooth-Geräten.
    3. Wählen Sie aus der Liste Ihren MINDSTORMS NXT Controller aus und klicken Sie auf Weiter.
    4. Der MINDSTORM Controller verlangt die Eingabe eines Passworts für die Herstellung der Verbindung:
      1234_ wird vorgeschlagen. Bestätigen Sie das Passwort mit Drücken der orangen Taste.
    5. Das im MINDSTORMS 2.0 Controller definierte Passwort muss auch am PC eingegeben werden.
    6. Klicken Sie auf Weiter.
  10. Die Verbindung wird hergestellt und die Treiber werden installiert.
  11. Führen Sie einen Doppelklick auf das erstellte Bluetooth-Gerät aus.
    Sie sehen das installierte Gerät und den zugewiesenen COM-Port. Mit diesem COM-Port verbinden Sie die zenon Logic Workbench oder zenon mit dem stratonNG-Treiber.
    Um den Port anzupassen:
    1. Klicken Sie auf Eigenschaften.
    2. Klicken Sie auf die Schaltfläche Erweitert.
    3. Ändern Sie die Portnummer entsprechend Ihren Wünschen.


Verbindung zwischen zenon Logic und straton herstellen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Verbindung zwischen zenon Logic und straton herstellen

Um eine Verbindung zwischen zenon Logic und straton herzustellen:

  1. Starten Sie zenon. Das Projekt MINDSTORMS wird geöffnet.
    Sollte ein anderes Projekt oder ein anderer Arbeitsbereich geöffnet werden, öffnen Sie den Arbeitsbereich für das Projekt über das Kontextmenü für den Arbeitsbereich.
    Möchten Sie ein neues Projekt erstellen:
    1. wählen Sie Datei -> Projekt neu
    2. erstellen Sie ein neues zenon Logic Projekt indem Sie nach einem Rechtsklick auf den Knoten zenon Logic im Projektbaum zenon Logic Projekt neu... wählen
  2. Öffnen Sie das zenon Logic Projekt mit Doppelklick in der Workbench.
  3. Klicken Sie in der zenon Logic Workbench auf Tools -> Kommunikations-Parameter.

  4. Der Dialog Optionen wird mit der Registerkarte Debug zur Konfiguration der Verbindung geöffnet.
  5. Klicken Sie auf die Schaltfläche ..., um den Dialog für die Einstellungen für die serielle Kommunikation zu öffnen.

  6. Konfigurieren Sie die serielle Einstellung passend zu den Einstellungen für den LEGO Controller.
    Hinweis: In diesem Dialog sind nur die COM-Ports 1 bis 4 auswählbar. Sie können jedoch im Dialog Optionen, Registerkarte Debug, den COM-Port direkt in das Feld Kommunikationsparameter eintragen.

  7. Damit haben Sie Verbindung zwischen zenon Logic und straton konfiguriert.

Noch in diesem Kapitel

NXT Treiber in zenon Logic hinzufügen

NXT Controller verbinden

Controller Grundeinstellungen


NXT Treiber in zenon Logic hinzufügen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Verbindung zwischen zenon Logic und straton herstellen > NXT Treiber in zenon Logic hinzufügen

Um den NXT Treiber in zenon Logic einzufügen:

  1. Führen Sie im Projektbaum der zenon Logic Workbench einen Doppelklick auf Feldbuskonfiguration aus.
  2. Klicken Sie im Fenster I/O Treiber auf das Symbol oder den Befehl im Kontextmenü für Konfiguration einfügen.

  3. Der Dialog zur Konfiguration wird geöffnet.

  4. Wählen Sie LEGO MINDSTORMS NXT 2.0.
  5. Es sind drei Abschnitte vorhanden:
    • NXT (Status)
    • Drives
    • Sensors

    Klick auf das Pluszeichen (+) vor dem Abschnitt öffnet Teilbereich. Für jeden dieser Abschnitte lassen sich sehr einfach vordefinierte Variablen erstellen.

Variablen erstellen

Erstellen Sie die benötigten Variablen:

  1. Führen Sie einen Rechtsklick auf den Zweig NXT, Drives oder Sensors aus.

  2. Wählen Sie im Kontextmenü Create variable.

Drives

Es existieren zwei Versionen: easy und advanced. Für den Einstieg wählen Sie am besten easy und dann Create variable. Mehr über die Verwendung von Advanced Variables lesen Sie im Abschnitt Verwendung komplexer Variablen.

Sensors

Bevor Sie im Abschnitt Sensors eine Variable erstellen, müssen Sie im Feld Type einen Sensortyp auswählen. Dazu führen Sie einen Doppelklick auf das Feld Value aus.

Konfigurationsbeispiel:


NXT Controller verbinden

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Verbindung zwischen zenon Logic und straton herstellen > NXT Controller verbinden

Um den NXT Controller zu verbinden:

  1. Wählen Sie am Controller USB als Verbindungsmedium:
    1. Drücken Sie die orange-Taste.
    2. Navigieren Sie mit den grauen-Tasten zum Menü Settings und öffnen Sie es mit Druck auf die orange-Taste.
    3. Wählen Sie Connection.
    4. Wählen Sie USB.
      (Falls Sie über Bluetooth verbinden möchten, wählen Sie hier Bluetooth aus.)
  2. Kompilieren Sie das zenon Logic Projekt:
    1. Führen Sie einen Rechtsklick auf mindstorms im Projektbaum aus.
    2. Wählen Sie im Kontextmenü Projekt kompilieren.
  3. Gehen Sie online:
    1. Wählen Sie im zenon Logic Menü Projekt den Eintrag Online aus.
    2. Die Abfrage für den Download wird geöffnet:

    3. Klicken Sie auf Yes.
  4. Das Projekt ist online und Sie können verfolgen, wie die Sensoren Werte einlesen.


Controller Grundeinstellungen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Verbindung zwischen zenon Logic und straton herstellen > Controller Grundeinstellungen

Basiskonfiguration

  1. Konfigurieren Sie die Kommunikationseinstellungen (Details siehe folgender Abschnitt: Settings).
  2. Aktivieren oder deaktivieren Sie Bluetooth (Details siehe folgender Abschnitt: Connection).
  3. Bei aktivem Bluetooth: Vergeben Sie einen einzigartigen Namen für die Bluetooth-Kommunikation.

Bedienung

Einschalten

Um den Controller einzuschalten, drücken Sie die orange-Taste.

Menü-Navigation

  • Menü öffnen: Drücken Sie die orange-Taste.
  • Menü schließen: Drücken Sie die dunkelgraue-Taste.
  • Im Menü navigieren: Drücken Sie die linke oder rechte graue Pfeil-Taste. Mit der orangen-Taste wählen Sie einen Menüeintrag aus. Um ein Untermenü zu verlassen, ohne zu speichern, drücken Sie die dunkelgraue-Taste.

Ausschalten

  1. Wählen Sie im Hauptmenü Turn off und drücken Sie die orange-Taste.
  2. Wählen Sie eine Option aus:
    1. Save: Sichert alle Einstellungen auf den Flash-Speicher und beendet den Controller. Damit werden die aktuell geladene straton Anwendung, die Retain-Data und die Konfiguration (Connection, Volume) auf den Flash-Speicher gespeichert.
    2. Don't save: Schließt die Anwendung ohne Daten oder Konfiguration auf den Flash-Speicher zu sichern.
    3. Cancel: Das Schließen wird abgebrochen und das Hauptmenü geöffnet.

Beim nächsten Start werden die zuletzt gesicherten Daten (straton Anwendung, Retain-Data etc.) geladen.

straton Menü

Mit dem straton Menü können Sie die geladene straton Applikation starten oder stoppen. Um das Menü zu öffnen, wählen Sie im Hauptmenü den Eintrag straton .

Statistics

Statistics zeigt Ihnen Informationen über die aktuell laufende Applikation. Um die entsprechenden Daten anzuzeigen, wählen Sie im Hauptmenü den Eintrag Statistics. Sie sehen:

  • den Namen der geladenen Applikation
  • Größe des Codes in kB
  • die Datenbankgröße in kB
  • die Ausführungszeit des straton Zyklus
  • die Zyklus-Latenz in Mikrosekunden

Menü Settings

In diesem Menü konfigurieren und sehen Sie:

  • Versions: Information zur verwendeten Version.
  • Bluetooth: Aktivierung oder Deaktivierung von Bluetooth. Name und Kontakte können verwaltet werden.
    • Name: Geben Sie einen Namen für das Bluetooth Gerät an. Der Name sollte im Bluetooth-Netz einzigartig sein.
    • On/Off: Aktiviert/deaktiviert Bluetooth am Controller.
    • Visibility: Legt fest, ob das Gerät für andere Bluetooth-Geräte sichtbar ist.
    • Search: Startet Suche nach Bluetooth-Geräten. Um ein Gerät zu den Bluetooth-Kontakten hinzuzufügen, wählen Sie es aus der Liste der gefundenen Geräte aus.
    • Contacts: Kontakte verwalten. Sie können Kontakte (Geräte, die sich verbinden dürfen) entfernen oder Verbindungen (z. B. zum Pairen) herstellen.

Connection

Auswahl der Verbindung, die vom straton Kommunikationsserver benutzt werden soll. Diese Verbindung wird für die Kommunikation mit der zenon Logic Workbench benutzt. Der Kommunikationsserver beinhaltet auch einen MODBUS Slave. Auch der zenon Treiber für straton muss mit dem Kommunikationsserver verbunden werden. Mögliche Einstellungen sind:

  • USB
  • Bluetooth: eingehende Bluetooth-Verbindung
  • RS-485: RS-485 Port mit den Parametern 115200, E, 8, 1
    Achtung: Die Verwendung von RS-485 deaktiviert den Sensor-Port 4. Beachten Sie auch, dass das straton Kommunikationsserver Protokoll nur Point-to-Point verwendet werden kann.
  • None: Der Kommunikationsserver wird nicht verwendet.

Volume

Definiert die Lautstärke der eingebauten Lautsprecher. Mögliche Werte sind 0 bis 4, wobei gilt:

  • 0: abgeschaltet
  • 4: Maximum


straton Anwendungen für NXT entwickeln

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln

Für straton Anwendungen auf LEGO MINDSTORMS 2.0 gelten folgende Einschränkungen:

straton Runtime:

  • Maximalgröße für Code: 26 kB
  • Maximalgröße der straton Datenbank: 20 kB

Hinweis: Größe des Codes und der Datenbank können im Menü Statistics überprüft werden.

zenon Logic Workbench

  • Es können nur die COM-Ports 1 - 9 verwendet werden. Wurde einem USB-Gerät oder einem Bluetooth COM-Port eine höhere Portnummer als 9 zugewiesen, muss dies manuell auf eine Portnummer kleiner als 10 konfiguriert werden.
  • In der Workbench können nur die Ports COM1 – COM4 ausgewählt werden. Es können allerdings Portnummern direkt in den Parameterstring eingetragen werden, z. B. COM9:19200,N,8,1. (Siehe auch Abschnitt Verbindung zwischen zenon Logic und straton herstellen.)
    Hinweis: Bei einer USB- oder Bluetooth-Verbindung genügt die Angabe des Ports, z. B. COM5

info Info

Generelle Informationen zur Programmierung von LEGO MINDSTORMS NXT 2.0 entnehmen Sie der LEGO Dokumentation.

Noch in diesem Kapitel

NXT Kommunikation-Ports benutzen

Funktionen


NXT Kommunikation-Ports benutzen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen

NXT Objekte enthalten drei Kommunikation-Ports, die von der straton Anwendung angesprochen werden können.

Über das Menü Settings wird eine dieser Verbindungen für den Kommunikationsserver ausgewählt. Diese Verbindung kann dann nicht mehr aus der straton Anwendung heraus (z. B. von einem MODBUS Master oder einem Funktionsblock) benutzt werden. Wurde allerdings eine MODBUS Slave Konfiguration hinzugefügt, kann ein MODBUS Slave den hier konfigurierten Port benutzen.

Weitere Informationen über die Nutzung des seriellen Ports im straton Programm und über den MODBUS I/O Treiber finden Sie in der zenon Logic Dokumentation. Drücken Sie dazu in der Workbench die F1-Taste oder benutzen Sie das Menü Hilfe.

Alle Ports, die nicht vom Kommunikationsserver benutzt werden, können von der straton Anwendung verwendet werden und werden wie im Folgenden beschrieben angesprochen:

Noch in diesem Kapitel

USB

Bluetooth

RS-485 Port (seriell)

Feldbus


USB

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > USB

Über den USB-Port kann der NXT Baustein mit einem PC verbunden werden. Vom PC wird NXT als serielle Verbindung erkannt.

Von der straton Anwendung kann der USB-Port angesprochen werden, indem USB als COM-Port ausgewählt wird.


Bluetooth

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Bluetooth

Der Bluetooth-Port kann auf zwei Arten verwendet werden:

  1. Für eingehende Verbindungen:
    Dabei wird die Verbindung von einem Remote-Gerät aufgebaut, z. B. einem PC. In diesem Fall genügt die Zeichenfolge BT, um den Bluetooth-Port zu benutzen.
  2. Für ausgehende Verbindungen:
    NXT wird konfiguriert, um eine Verbindung zu einem anderen Bluetooth-Gerät aufzubauen, zum Beispiel eine anderes NXT Objekt. In diesem Fall benutzen Sie eine Zeichenfolge, die mit BT beginnt und mit dem Namen des Geräts endet, zum Beispiel: BT:NXT.
    Hinweis: Das anzusprechende Gerät muss bereits in den Bluetooth-Kontakten enthalten sein. Um ein Gerät manuell zu den Kontakten hinzuzufügen, starten Sie die Suche und stellen Sie die Verbindung einmal manuell her. Beim ersten Kontakt ist eventuell Pairing nötig.


RS-485 Port (seriell)

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > RS-485 Port (seriell)

NXT Objekte enthalten auch einen seriellen RS-485 Port. Dieser wird allerdings mit dem Sensor 4 geteilt. Es kann also nur der Port oder nur der Sensor verwendet werden.

Der RS-485 Port wird über die Zeichenfolge HS angesprochen. Damit wird der Port standardmäßig mit folgenden Parametern geöffnet:

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Parameter anpassen

Wenn Sie die Kommunikationsparameter anpassen möchten, fügen Sie diese nach dem Doppelpunkt, getrennt durch Kommata, ein. Die Reihenfolge:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Zum Beispiel: HS:19200,N,8,1

Hinweis: Wenn Sie den RS-485 Port mit MODBUS oder dem straton Protokoll benutzen, setzen Sie Data Bits immer auf 8.


Feldbus

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus

Mit straton NXT kann auch die MODBUS Slave and MODBUS Master Konfiguration verwendet werden. Informationen zu MODBUS finden Sie in der zenon Logic Dokumentation. Drücken Sie dazu in der Workbench die F1-Taste oder benutzen Sie das Menü Hilfe. Die Nutzung der NXT Sensoren und Motor-Ports konfigurieren Sie in der LEGO LEGO MINDSTORMS NXT 2.0 Konfiguration.

Noch in diesem Kapitel

Status Variablen

Drive Variablen

Farbsensor Variablen

Touch Sensor Multiplexer (HT)

Gyroskopischer Sensor (HT)

Digitaler Beschleunigungs-Sensor (HT)

Digital Kompass-Sensor (HT)

Andere Sensoren


Status Variablen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Status Variablen

Folgende Statusvariablen stehen zur Verfügung:

  • STATUS_BATTERYVOLTAGE: aktuelle Ladung der Batterie in Millivolt.
  • STATUS_BATTERYSTATE: Batteriekapazität.
    Wert: 0 bis 4 (wie am NXT Display angezeigt)
  • STATUS_BLUETOOTHSTATE: Bluetooth Status
    Werte:
    • 0: ein
    • 1: sichtbar
    • 2: verbunden
    • 3: verbunden und sichtbar
    • 4: aus
  • STATUS_USBSTATE: USB Status
    Werte:
    • 0: getrennt
    • 1: verbunden
    • 2: in Betrieb
  • STATUS_RECHARGEABLE: Status für wiederaufladbare Akkus
    Werte:
    • 0: Keine wiederaufladbaren Akkus vorhanden
    • 1: wiederaufladbare Akkus vorhanden
  • STATUS_ERROR: Fehler-Code


Drive Variablen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Drive Variablen

Für den Antrieb stehen folgende Variablen zur Verfügung:

  • PORT_x_AUTOSPEED (SINT, Output): Definiert Geschwindigkeit des Motors.
    Werte: von -100 bis 100
    • 0: Motor aus
    • -100: Maximalgeschwindigkeit rückwärts
    • 100: Maximalgeschwindigkeit vorwärts
  • PORT_x_TACHOCOUNT (DINT, Input): Enthält absolute Anzahl an Umdrehungen des Motors in Winkelgraden. 360° sind eine vollständige Umdrehung pro Sekunde. Mögliche Werte: von -2.147.483.648 bis 2.147.483.647

Komplexe Variablen

Komplexere Operationen mit den Antrieben konfigurieren Sie mit komplexen Variablen. Diese wählen Sie über den Eintrag Create advanced variables im Kontextmenü.

attention Achtung

Benutzen Sie die AUTOSPEED Variable und die Advanced Variables nicht zur gleichen Zeit. Die gemeinsame Verwendung kann zu einem undefinierten Verhalten des Antriebs führen.

Eine Beschreibung, wie diese Variablen konfiguriert werden, finden Sie im Abschnitt Verwendung komplexer Variablen.


Farbsensor Variablen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Farbsensor Variablen

Für die Farberkennung stehen folgende Variablen zur Verfügung:

  • PORT_x_COLOR (INT, Output): Definiert den Sensor-Modus.
    • 0: Passiver Modus (Helligkeit messen)
    • 1: Rot wird gemessen
    • 2: Grün wird gemessen
    • 3: Blau wird gemessen
    • 4: Alle Farben werden gemessen
  • PORT_x_VALUE (INT, Input)

    Wenn der Modus passiv, rot, grün oder blau ist:

    • Ein Wert zwischen 0 und 255 legt die Farbintensität fest.

    Wenn der Modus alle Farben ist:

    • 1: schwarz
    • 2: blau
    • 3: grün
    • 4: gelb
    • 5: rot
    • 6: weiß
  • PORT_x_RED: Im Modus alle Farben wird Intensität der Farbe rot gemessen.
  • PORT_x_GREEN: Im Modus alle Farben wird Intensität der Farbe grün gemessen.
  • PORT_x_BLUE: Im Modus alle Farben wird Intensität der Farbe blau gemessen.
  • PORT_x_GRAY: Helligkeit wird gemessen


Touch Sensor Multiplexer (HT)

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Touch Sensor Multiplexer (HT)

Für die Touch-Sensoren stehen folgende Variablen zur Verfügung:

Unter Verwendung des Hitechnic Touch Sensor Multiplexer können bis zu vier Sensoren mit einem NXT Port verbunden werden:

  • PORT_x_SWITCH1: Status von Sensor 1
  • PORT_x_SWITCH2: Status von Sensor 2
  • PORT_x_SWITCH3: Status von Sensor 3
  • PORT_x_SWITCH4: Status von Sensor 4


Gyroskopischer Sensor (HT)

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Gyroskopischer Sensor (HT)

Der LEGO MINDSTORMS 2.0 NXT Gyro Sensor informiert über die Anzahl der Umdrehungen des Motors und über die Richtung der Umdrehungen. Die Umdrehungen werden in Winkelgraden gemessen. 360° sind eine vollständige Umdrehung pro Sekunde.

Nach dem Start der straton Anwendung wird der Sensor beim Anschließen automatisch kalibriert. Dazu wird der aktuelle Null-Wert berechnet. Dieser Vorgang dauert etwa 200 ms. Während dieser Zeit darf der Sensor nicht bewegt werden.

  • PORT_x_VALUE: Anzahl der Winkelgrade pro Rotationssekunde
  • PORT_x_INVALID: Steht auf TRUE wenn:
    • der Sensor kalibriert wird
    • der Wert nicht ausgelesen werden kann


Digitaler Beschleunigungs-Sensor (HT)

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Digitaler Beschleunigungs-Sensor (HT)

Der LEGO MINDSTORMS 2.0 NXT Beschleunigungssensor enthält einen 3-Achsen-Beschleunigungsmesser, der Beschleunigung in den drei Achsen x, y und z misst. Die Beschleunigung wird im Bereich von -2g bis +2g mit etwa 200 Unterteilungen pro g angezeigt.

Der Beschleunigungssensor kann auch verwendet werden, um Neigung in drei Achsen zu messen. Das ist möglich, weil die Erdanziehungskraft als Beschleunigung wahrgenommen wird. Wenn der Sensor in der normalen horizontalen Position unbewegt ist, werden die X-Achse und die Y-Achse nahe Null sein, weil sie horizontal sind, während der Wert für die Z-Achse nahe 200 sein wird, was 1g entspricht. Wenn Sie den Sensor dann neigen, wird auch auf den anderen Achsen Erdanziehungskraft wahrgenommen und der Wert für die Z-Achse wird sinken. Da die Erdanziehungskraft unter den drei Teilvektoren verteilt wird, kann die Neigung des Sensors bestimmt werden.

  • PORT_x_VALUE_X: Beschleunigung in Richtung der X-Achse
  • PORT_x_VALUE_Y: Beschleunigung in Richtung der Y-Achse
  • PORT_x_VALUE_Z: Beschleunigung in Richtung der Z-Achse
  • PORT_x_INVALID: Wird auf TRUE gesetzt, wenn die Daten des Sensors nicht gelesen werden können.


Digital Kompass-Sensor (HT)

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Digital Kompass-Sensor (HT)

Der LEGO MINDSTORMS 2.0 NXT Kompass-Sensor enthält einen magnetischen Digitalkompass, der das magnetische Feld der Erde misst und einen Steuerkurs-Winkel berechnet. Der Kompass-Sensor verbindet sich mit einem NXT Standardkabel zu einem NXT-Port und verwendet das digitale I2C Kommunikationsprotokoll. Der aktuelle Kurs wird auf die nächste ganze Gradzahl berechnet.

Der HiTechnic Kompass-Sensor wird, wie jeder andere magnetische Kompass auch, von lokalen magnetischen Störungen beeinflusst. Gegenstände aus Metall wie Motoren, Batterien und Leitungen können magnetische Störungen verursachen. Lokale magnetische Störungen können den Kompass zur Ausgabe eines Kurses veranlassen, der mehrere Grad vom aktuellen magnetischen Kurs abweicht. Dieser Effekt wird Kompass-Abweichung genannt. Um diese Abweichung zu korrigieren, hat der HiTechnic Kompass-Sensor eine eingebaute Kalibrierungsfunktion, die Abweichungen korrigiert und diese Werte im Kompass speichert.

Die Kalibrierung ist fakultativ und in der Regel im Normalbetrieb nicht erforderlich. Um die Notwendigkeit von Kalibrierung zu minimieren, montieren Sie den Kompass mindestens 10 bis 15 cm (4 - 6 Zoll) vom NXT und den NXT Motoren entfernt.

Um den Kompass im Programm zu kalibrieren:

  • Wählen Sie calibration mode aus.
  • Programmieren Sie Ihr NXT-Objekt so, dass es sich in einem sehr engen Kreis dreht (rotiert).
  • Es muss sich zwischen 1½- und 2-Mal (mehr als 360 Grade) drehen.
  • E muss eine volle Umdrehung in ungefähr 20 Sekunden vollführen.

Der Kompass wird die Kalibrierungseinstellungen beibehalten, bis eine andere Kalibrierung durchgeführt wird, auch wenn er abgesteckt wird.

  • PORT_x_VALUE: Aktueller Kurs in Grad.

    0: Norden

  • PORT_x_INVALID: Wird auf TRUE gesetzt, wenn die Daten des Sensors nicht gelesen werden können.
  • PORT_x_CAL: (Ausgabe) Kontrolliert den Kalibrierungsmodus.
    • TRUE: in Kalibrierungsmodus wechseln
    • FALSE: zum Mess-Modus wechseln.

    Hinweis: Im Kalibrierungsmodus liefert der Sensor ungültige Daten.


Andere Sensoren

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > NXT Kommunikation-Ports benutzen > Feldbus > Andere Sensoren

Folgende weitere Variablen für Sensoren stehen zur Verfügung:

  • PORT_x_VALUE: Sensor-Wert, abhängig vom Sensor
    • Sound dB
    • Sound dBA
    • Ultrasonic: Entfernung in Zentimeter (cm)
    • Temperature: Temperatur in Zehntelgrad Celsius (°C/10)
  • PORT_x_INVALID:
    • TRUE: Sensor befindet sich im Fehlerzustand


Funktionen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen

Um Funktionen auswählen zu können, müssen sich diese im entsprechenden Ordner befinden. Kopieren Sie dazu den Ordner Mindstorms NXT aus dem Ordner HWDEF auf dem Installationsmedium in den Ordner HWDEF Ihrer straton Installation.
Zum Beispiel: %ProgramData%\COPA-DATA\zenon8.00711\straton\HWDEF\Mindstorms NXT

Folgende Funktionen stehen zur Verfügung:

  • BUTTONENABLE: straton übernimmt Kontrolle über NXT-Tasten.
  • BUTTONGET: Übermittelt Information, welche Taste gedrückt wurde.
  • DISPLAYERASE: Löscht Bildschirminhalt.
  • DISPLAYLINE: Zeichnet eine Linie.
  • DISPLAYPIXEL: Zeichnet ein Pixel.
  • DISPLAYSTRING: Schreibt eine Zeichenfolge.
  • SOUNDFREQUENCY: Gibt Töne aus.

Noch in diesem Kapitel

BUTTONENABLE

BUTTONGET

DISPLAYERASE

DISPLAYLINE

DISPLAYPIXEL

DISPLAYSTRING

SOUNDFREQUENCY


BUTTONENABLE

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > BUTTONENABLE

BOOL BUTTONENABLE (BOOL ENABLE)

Bei Aufruf mit ENABLE und Status TRUE, wird die Kontrolle über die Tasten am NXT Objekt an straton übergeben. Die Zustände der Tasten können mit BUTTONGET ausgelesen werden-

Hinweise:

  • Das Menü System am NXT Objekt wird in diesem Fall deaktiviert.
  • Der Aufruf dieser Funktion ist nur möglich, wenn das Menü am NXT Objekt inaktiv ist.
  • Dieser Status kann unterbrochen werden, z. Beispiel durch einen Bluetooth Pairing-Dialog. In diesem Fall gibt die BUTTONGET den Wert -1 zurück.

Rückgabewert:

  • TRUE: Aktion wurde erfolgreich ausgeführt.


BUTTONGET

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > BUTTONGET

SINT BUTTONGET

Rückgabewerte:

  • -1: Tasten können von straton nicht gelesen werden. Das Menü System am NXT-Objekt ist aktiviert.
  • 0: Keine Taste gedrückt.
  • 1: Linke-Taste gedrückt.
  • 2: Eingabe-Taste (orange Taste) gedrückt.
  • 3: Rechte-Taste gedrückt.
  • 4: Verlassen-Taste (dunkelgraue Taste) gedrückt.


DISPLAYERASE

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > DISPLAYERASE

BOOL DISPLAYERASE

Löscht den Bildschirminhalt.

Rückgabewert:

  • TRUE: Aktion wurde erfolgreich ausgeführt


DISPLAYLINE

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > DISPLAYLINE

BOOL DISPLAYLINE (USINT X1,USINT Y1,USINT X2, USINT Y2, BOOL C)

Zeichnet eine Linie vom Punkt X1,Y1 zum Punkt X2,Y2.

Werte für C:

  • TRUE: zeichnet Linie
  • FALSE: löscht Linie

Rückgabewert:

  • TRUE: Aktion wurde erfolgreich ausgeführt


DISPLAYPIXEL

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > DISPLAYPIXEL

BOOL DISPLAYPIXEL (USINT X, USINT Y, BOOL C)

Zeichnet einen Punkt mit den Koordinaten X,Y.

Werte für C:

  • TRUE: zeichnet Punkt
  • FALSE: löscht Punkt

Rückgabewert:

  • TRUE: Aktion wurde erfolgreich ausgeführt


DISPLAYSTRING

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > DISPLAYSTRING

BOOL DISPLAYSTRING(USINT X, USINT Y, STRING TEXT)

Schreibt eine Zeichenfolge, beginnend mit der angegebenen XY-Position.

Rückgabewert:

  • TRUE: Aktion wurde erfolgreich ausgeführt


SOUNDFREQUENCY

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > straton Anwendungen für NXT entwickeln > Funktionen > SOUNDFREQUENCY

BOOL SOUNDFREQUENCY(UDINT FREQ, UDINT DUR, USINT VOL)

Spielt einen Ton mit der angegebenen Frequenz in Hz während der definierten Dauer in Millisekunden. Die Lautstärke (VOL) wird in einer Bandbreite von 1 bis 4 angegeben. Sie wird begrenzt durch die im Menü Volume konfigurierte Maximallautstärke.

Rückgabewert:

  • TRUE: Aktion wurde erfolgreich ausgeführt


MINDSTORMS 2.0 Runtime mit zenon verbinden

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > MINDSTORMS 2.0 Runtime mit zenon verbinden

Für die Erstellung eines neuen zenon Logic Projekts in zenon wird empfohlen, den stratonNG Treiber zu verwenden. Dieser unterstützt serielle Kommunikation.

Beim Erstellen eines neuen zenon Logic Projekts legen Sie im Dialog den Namen des Projekts und den verwendeten Treiber fest.

Wählen Sie aus der Dropdownliste STRATONNG.

Hinweis: Die Treiberauswahl kann nachträglich nicht mehr geändert werden.

stratonNG Treiber konfigurieren

Um den Treiber zu konfigurieren:

  1. wählen Sie im zenon Projektbaum den Knoten Variablen -> Treiber
  2. markieren Sie den stratonNG Treiber
    Anmerkung: dieser wird mit dem für das Projekt definierten Namen angezeigt, z. B. straton: mindstorms
  3. wählen Sie im Kontextmenü Treiberkonfiguration
  4. der Dialog für die Treiberkonfiguration wird geöffnet
  5. öffnen Sie die Registerkarte Connections

Um den Treiber zu bearbeiten:

  1. markieren Sie den Verbindungsnamen
  2. klicken Sie auf Edit
  3. konfigurieren Sie die Verbindung
  4. klicken Sie auf Save und dann OK

Konfiguration des Treibers für die Verbindung im Rahmen von LEGO MINDSTORMS 2.0:

Option

Beschreibung

Connection name

Muss dem Projektnamen entsprechen.

Unterscheidet sich der Name vom Projekt, führt das zu Fehlern bei der Verbindung mit dem Controller.

Adressing

Bei der Kommunikation mit straton NXT über USB oder Bluetooth genügt es, den Port ohne weitere Einstellungen zu setzen, z. B. COM5:

Primary IP address

Eingabe des COM-Ports.

Eingaben, die mit COM beginnen und mit einem Doppelpunkt enden, werden als COM-Ports interpretiert.

Achtung: Der Doppelpunkt (:) am Ende der Portdefinition muss vorhanden sein. Sonst kann die Verbindung nicht hergestellt werden.

Werden keine weiteren Parameter angegeben, wird die Standardkonfiguration des COM-Ports verwendet:

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Wenn Sie die Kommunikationsparameter anpassen möchten, fügen Sie diese nach dem Doppelpunkt, getrennt durch Kommata, ein. Die Reihenfolge:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Zum Beispiel: COM5:19200,N,8,1

Einschränkungen: Wenn ein COM-Port angegeben wird, dann können nicht verwendet werden:

  • Event-Connection
  • Mehrfachverbindungen (mehr als eine Verbindung mit einem Treiber)

Die Dokumentation dieser Einstellungen betrifft die Kommunikation im Rahmen von LEGO MINDSTORMS 2.0. Details zur allgemeinen Konfiguration des stratonNG Treibers finden Sie in der Online-Hilfe (F1) im Kapitel stratonNG.


Fragen und Antworten

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Fragen und Antworten

Die häufigsten Fragen zu Installation und Betrieb von LEGO MINDSTORMS mit straton und dem zenon Science Package.

Frage | Antwort
Warum bekomme ich eine Fehlermeldung bei der Installation? | Wahrscheinlich befindet sich bereits eine zenon Installation am System. Benutzen Sie die vorhandene Installation. Details: Fehlermeldung bei der Installation des zenon Science Packages.
Wie wechsle ich zurück zur originalen LEGO Firmware? | Die Rückkehr entspricht dem Vorgehen wie beim Installieren der straton Firmware, wenn bereits andere Firmware vorhanden ist. Details: Original LEGO Firmware aktivieren.
Was mache ich, wenn der LEGO Firmware Loader den Controller nicht findet? | Wechseln Sie den USB-Port oder installieren Sie dessen Treiber neu. Details: LEGO Firmware Loader findet Controller nicht.
Was mache ich, wenn der zenon Logic Workbench Treiber nicht mit meinem Controller kommuniziert? | Das kann mehrere Ursachen haben. Überprüfen Sie die Einstellungen und ob alle Geräte online sind. Details: zenon Logic Workbench Treiber kommuniziert nicht mit dem Controller
Was mache ich, wenn der stratonNG Treiber nicht mit meinem Controller kommuniziert? | Das kann mehrere Ursachen haben. Überprüfen Sie die Kommunikations-Parameter, Runtime und das Projekt. Details: stratonNG Treiber kommuniziert nicht mit dem Controller.

Weitere Fragen und Antworten finden Sie auch im COPA-DATA Anwenderforum: www.copadata.com/forums/.

Noch in diesem Kapitel

Fehlermeldung bei der Installation des zenon Science Packages

Original LEGO Firmware aktivieren

LEGO Firmware Loader findet Controller nicht

zenon Logic Workbench Treiber kommuniziert nicht mit dem Controller

stratonNG Treiber kommuniziert nicht mit dem Controller


Fehlermeldung bei der Installation des zenon Science Packages

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Fragen und Antworten > Fehlermeldung bei der Installation des zenon Science Packages

Sie erhalten bei der Installation des zenon Science Package for LEGO MINDSTORMS eine Fehlermeldung, die auf eine bereits existierende Installation verweist.

Auf Ihrem System wurde diese Version von zenon bereits installiert. Sie müssen zenon nicht mehr installieren und können die vorhandene Version verwenden. Importieren Sie die Demo-Projekte vom Installationsmedium und fahren Sie mit dem Punkt Firmware installieren fort.


Original LEGO Firmware aktivieren

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Fragen und Antworten > Original LEGO Firmware aktivieren

Befindet sich bereits Firmware, die nicht von LEGO stammt, auf dem Controller, muss dieser in den Firmware-Load-Mode versetzt werden, um andere Firmware installieren zu können. Dieser Modus wird auch benötigt, wenn die straton Firmware upgedatet oder wieder LEGO Firmware geladen werden soll. Um den Controller in den Firmware-Load-Mode zu versetzen:

  1. Drücken Sie gleichzeitig mindestens 5 Sekunden lang bis Sie ein leises Klicken hören
    • die orange Starttaste und
    • den Rest-Knopf auf der Geräterückseite.
      Den Rest-Knopf erreichen Sie am besten mit einem spitzen Gegenstand.

  2. Schalten Sie den NXT Controller durch Drücken der orangefarbenen Taste ein.

  3. Der NXT Controller startet im Firmware-Load-Mode . Sie hören ein regelmäßiges Geräusch.
  4. Starten Sie den Download der gewünschten Firmware.
    Dazu muss eine Verbindung per USB oder Bluetooth hergestellt werden. Für die USB-Verbindung zu zenon/straton wird der COPA-DATA Treiber benötigt.

attention Achtung

Der Firmware-Load-Mode kann nur mit dem Download einer Firmware beendet werden.

Download der LEGO-Firmware:

  1. Verbinden Sie den Controller per USB mit dem PC.
  2. Starten Sie die LEGO MINDSTORMS NXT 2.0 Software.
  3. Wählen Sie im Menü Tools den Eintrag Update NXT Firmware.
  4. Die Original LEGO MINDSTORMS NXT Firmware ist vorausgewählt.
  5. Klicken Sie auf die Schaltfläche Download.
  6. Der Controller startet mit der Original LEGO Firmware neu.


LEGO Firmware Loader findet Controller nicht

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Fragen und Antworten > LEGO Firmware Loader findet Controller nicht

Wenn der LEGO Firmware Loader den Controller nicht findet verbinden Sie das USB-Kabel mit einem anderen USB-Port. Damit wird der USB-Treiber für den Firmware Loader Modus installiert.

Wenn das Problem damit nicht gelöst wird, deinstallieren Sie den Treiber. Dazu:

  1. Öffnen Sie während der Controller verbunden ist den Gerätemanager in der Systemsteuerung.
  2. Wählen Sie den LEGO MINDSTORMS NXT Firmware Update Mode Treiber aus.
  3. Führen Sie einen Rechtsklick darauf aus.

  4. Wählen Sie im Kontextmenü Deinstallieren.
  5. Entfernen Sie das USB-Kabel vom LEGO MINDSTORMS 2.0 Controller und verbinden Sie es erneut.
  6. Der Treiber wird automatisch neu installiert.


zenon Logic Workbench Treiber kommuniziert nicht mit dem Controller

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Fragen und Antworten > zenon Logic Workbench Treiber kommuniziert nicht mit dem Controller

Die Kommunikation zum Controller ist eine Punkt-zu-Punkt Kommunikation über einen virtuellen seriellen Port. Es kann immer nur eine Anwendung zur gleichen Zeit verbunden werden.

Wenn die Kommunikation fehlschlägt, können mehrere Gründe dafür verantwortlich sein. Die häufigsten sind:

  1. Der stratonNG Treiber und zenon sind noch online.
  2. Die Einstellungen für den COM-Port sind falsch. Setzen Sie im Menü Communication parameters die richtigen Einstellungen für den COM-Port.
  3. Die Verbindungseinstellungen für den Controller sind nicht auf das richtige Medium gesetzt (USB oder Bluetooth). Setzen Sie diese auf die aktuell verwendete Verbindung.


stratonNG Treiber kommuniziert nicht mit dem Controller

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Fragen und Antworten > stratonNG Treiber kommuniziert nicht mit dem Controller

Die Kommunikation zum Controller ist eine Punkt-zu-Punkt Kommunikation über einen virtuellen seriellen Port. Es kann immer nur eine Anwendung zur gleichen Zeit verbunden werden.

Wenn die Kommunikation fehlschlägt, können mehrere Gründe dafür verantwortlich sein. Die häufigsten sind:

  1. Die zenon Logic Workbench ist noch online.
  2. Die Einstellungen für den COM-Port sind falsch.
  3. Die straton Runtime wurde am LEGO MINDSTORMS 2.0 Controller nicht gestartet.
    Um die Runtime zu starten:
    1. Drücken Sie die orange Taste.
    2. Sobald Sie den Eintrag straton sehen, drücken Sie die orange Teste erneut.
    3. Wählen Sie Start und drücken Sie die orange Taste.

    Dass die Runtime läuft, erkennen Sie daran, dass sich das quadratische Symbol neben dem Batteriestatus dreht.

  4. Das straton Projekt wurde nicht auf den Controller heruntergeladen.
    Wurde ein Projekt heruntergeladen, prüfen Sie, ob es das korrekte Projekt ist.
  5. Die Symbolnamen der Variablen wurden nicht aktiviert.
  6. Der Verbindungsname des stratonNG Treibers ist nicht ident mit dem Namen des zenon Logic Projekts.
  7. Die Verbindungseinstellungen für den Controller sind nicht auf das richtige Medium gesetzt (USB oder Bluetooth). Setzen Sie diese auf die aktuell verwendete Verbindung.


Verwendung komplexer Variablen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for Lego MINDSTORMS 2.0 > Verwendung komplexer Variablen

In diesem Abschnitt sehen Sie, wie Sie einen Motor mit komplexen Variablen steuern.

info Info

Die Verwendung komplexer Variablen wird nur erfahrenen Anwendern empfohlen!

Mit zusätzlicher Programmierung können Sie die NXT Motoren veranlassen, sich um einem vorgegeben Winkel zu bewegen. Das wird benötigt, um sehr präzise Bewegungen zu projektieren. Für die Projektierung:

  1. Erstellen Sie alle Variablen mit einem Rechtsklick auf den Port und Auswahl von Create advanced variables im Kontextmenü.

  2. Sie erhalten 15 Variablen.

Die für Sie relevanten Variablen sind:

  • PORT_n_FLAGS
    • Bit-Maske, von welchen Variablen geschrieben werden soll.
  • PORT_n_TACHOLIMIT
    • Das relative Limit dafür, mit wie vielen Grad, der Motor drehen soll.
    • Achtung: Dieser Wert ist immer positiv, auch wenn der Motor rückwärts dreht.
  • PORT_n_MODE
    • Modus, den der Motor benutzen soll.
    • Meint nicht vorwärts oder rückwärts oder steigend und sinkende Geschwindigkeit, sondern interne Kommandos.
  • PORT_n_SPEED
    • Geschwindigkeit des Motors.
    • Bandbreite: -100 (rückwärts) bis 100 (vorwärts)
  • PORT_n_RUNSTATE
    • Wie der Motor laufen soll.
    • Physikalische Eigenschaften (set speed instantly, Ramp UP oder Ramp DOWN)

attention Achtung

Alle Variablen müssen in einem Zyklus geschrieben werden!

Das bedeutet: Die Variablen können nicht von der zenon Logic Workbench aus forciert werden.

Struktur

Intern verwendet NXT ein Struktur. Alle Variablen dieser Struktur werden per Rechtsklick auf den Port und Auswahl von Create advanced variables im Kontextmenü erzeugt. Diese Struktur wird in jedem Zyklus geschrieben. Aber, da PORT_n_FLAGS von straton nach jedem Zyklus auf 0 gesetzt wird, passiert nichts weiter.

Die Variable PORT_n_Flags ist eine Bit-Maske für jene Variablen, die für die Struktur, die straton abfragt, in diesem Zyklus relevant sind. Um einen Move n degree Befehl abzusetzen, setzen Sie die PORT_n_FLAGS Variable auf eine Bit-Maske [ST]:

Damit haben sie definiert, dass Sie Daten für PORT_n_MODE, PORT_n_SPEED und PORT_n_TACHOLIMIT bereitstellen. Welche Werte müssen diese Variablen haben?

Sie benötigen auch für PORT_n_MODE eine Bit-Maske. Grundsätzlich müssen Sie immer beide setzen, wenn sie eine Vorwärtsbewegung erzeugen wollen[ST]:

Sie haben nun die Bit-Maske gesetzt, welche Variablen upgedatet werden sollen und einige interne Flag-Parameter.

Jetzt kommt der für uns interessantere Teil: Der Drehmodus des Motors - PORT_n_RUNSTATE. Hier steht Ihnen keine Bit-Maske zur Verfügung. Die Werte sind exklusiv.

Und schließlich: PORT_n_SPEED und PORT_n_TACHOLIMIT:

attention Achtung

Stellen Sie unbedingt sicher, dass Sie diese Werte nicht in jedem Zyklus schreiben. Sonst wird das Dreh-Kommando in jedem Zyklus ausgeführt. Sie müssen aber dennoch alle Variablen in jedem Zyklus schreiben. Blockieren Sie das Schreiben dieser Werte.


zenon Science Package for LEGO MINDSTORMS EV3

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3

Das zenon Science Package for LEGO MINDSTORMS EV3 ermöglicht die Programmierung von LEGO MINDSTORMS EV3 Objekten.

Vorbereitung:

zenon 7.20 bereits installiert und Installationsmedium verfügbar.
Falls Sie zenon nicht installiert haben, müssen Sie das zenon Science Package for LEGO MINDSTORMS in der Version 7.20 oder höher installieren.

Noch in diesem Kapitel

Voraussetzungen

Installation

zenon Logic Projekt erstellen

EV3 Konfiguration in zenon Logic

EV3 mit zenon Logic Editor verbinden

Erste Schritte im Demo-Projekt

COPA-DATA Forum


Voraussetzungen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > Voraussetzungen

Hardware:

  • Netgear WNA1100 Wi-Fi Dongle
  • LEGO MINDSTORMS EV3 mit Firmware Version 1.03E oder 1.03H oder höher.

Software:

  • zenon ab Version 7.20
  • LEGO MINDSTORMS EV3 Runtime (am Installationsmedium im Pfad \AdditionalSoftware\Science Package - Firmware\EV3 verfügbar)
  • Bricx Command Center (verfügbar auf http://bricxcc.sourceforge.net/)

Firmware für LEGO MINDSTORMS EV3

Die Firmware auf dem LEGO MINDSTORMS EV3 muss mindestens Version 1.03E oder 1.03H oder höher sein.

Um die Firmware Version zu überprüfen, wählen Sie Brick Info in der Registerkarte Einstellungen des LEGO MINDSTORMS EV3. Die neueste Firmware (*.bin Datei) können Sie auf der LEGO Website downloaden.

Um die Firmware zu aktualisieren, benutzen Sie die LEGO Software.


Installation

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > Installation

Die Installation umfasst:

  • zenon Science Package
  • EV3 Setup
  • zenon Logic Editor and Runtime

Wenn Sie zenon 7.20 oder höher bereits installiert haben, können Sie gleich das EV3 Setup ausführen.

Installation des zenon Science Package

Starten Sie die Installation vom zenon Installationsmedium und folgen Sie den Hinweisen des Installationsassistenten. Das zenon Science Package können Sie auch von der COPA-DATA Homepage downloaden. Diese Installation beinhaltet bereits zenon Logic.

Installation der straton Runtime auf LEGO EV3

  1. Installieren Sie das Bricx Command Center.
    Sie finden das Programm auf http://bricxcc.sourceforge.net/test_releases.
  2. Laden Sie einen aktuellen test_release herunter.
    In dieser Anleitung wird test_release2013007.zip benutzt.
  3. Verbinden Sie den LEGO MINDSTORMS EV3 mit dem PC via USB Kabel.
  4. Öffnen Sie Bricx CC: Tools -> Find Brick
  5. Konfigurieren Sie die Verbindung:

    • Port: usb
    • Brick Type: EV3
    • Firmware: Linux
  6. Öffnen Sie den Bricx Explorer: Tools -> Explorer.

  7. Erstellen Sie einen neuen Ordner T5 Runtime.
  8. Öffnen Sie am Installationsmedium den Ordner T5 Runtime im Pfad \AdditionalSoftware\Science Package – Firmware\EV3\apps.
  9. Kopieren Sie die darin enthaltenen Dateien und fügen Sie diese in Ihren T5 Runtime-Ordner im Brick Explorer ein.
  10. Öffnen Sie am Installationsmedium den Ordner \AdditionalSoftware\Science Package – Firmware\EV3\prjs.
  11. Kopieren Sie von dort die Datei t5ev3 in den Ordner, in dem sich auch der Ordner T5 Runtime befindet.

  • Auf dem LEGO EV3 Brick ist jetzt der neue Eintrag T5 Runtime verfügbar.


zenon Logic Projekt erstellen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > zenon Logic Projekt erstellen

zenon Logic beinhaltet einen voll integrierten Konfigurator für den LEGO MINDSTORMS EV3, sowie eine Bibliothek mit Functions und Function Blocks.

Sie erstellen im ersten Schritt ein zenon Projekt und darin ein zenon Logic Projekt.

zenon Projekt erstellen

  1. Öffnen Sie den zenon Editor.
  2. Wählen Sie Datei -> Projekt neu.
  3. Der Dialog zur Projekterstellung wird geöffnet.

  4. Vergeben Sie einen Namen für das Projekt.
  5. Klicken Sie auf OK.
    • Der Wizard zur Projekterstellung wird gestartet.
    • Schließen Sie den Wizard.

Alternativ können Sie auch das mitgelieferte Demo-Projekt öffnen.

zenon Logic Projekt erstellen

  1. Navigieren Sie im zenon Editor zum Knoten zenon Logic (IEC 61131-3).
  2. Wählen Sie im Kontextmenü oder in der Symbolleiste der Detailansicht zenon Logic Projekt neu.

  3. Der Dialog zur Projekterstellung wird geöffnet.
  4. Vergeben Sie einen Namen für das Projekt.
  5. Klicken Sie auf Fertigstellen.


EV3 Konfiguration in zenon Logic

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic

Die Runtime verwaltet eine Zuordnungstabelle, welche die LEGO MINDSTORMS EV3 Inputs und Outputs enthält. In der zenon Logic Workbench ist ein Tool zur Konfiguration integriert.

Um die Konfiguration zu starten:

  1. Führen Sie in der zenon Logic Workbench einen Doppelklick auf Feldbuskonfiguration aus.

  2. Das Fenster I/O Treiber wird geöffnet.
  3. Führen Sie einen Rechtsklick auf eine freie Stelle in diesem Fenster aus.
  4. Wählen Sie im Kontextmenü Konfiguration einfügen.
  5. Das Fenster Konfiguration hinzufügen wird geöffnet.

  6. Öffnen Sie den Knoten Alle.
  7. Wählen Sie LEGO EV3.
  8. Klicken sie auf OK.

Im Fenster wird die Konfiguration in Baumansicht erstellt:

LEGO EV3 Konfiguration

  • EV3
    • Buttons
  • Sensors
    • Port 0
    • Port 1
    • Port 2
    • Port 3

Noch in diesem Kapitel

Sensortyp definieren

Variablen erstellen

Function Blocks und Functions


Sensortyp definieren

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic > Sensortyp definieren

In der Gruppe Sensoren können Sie für jeden Port den Typ des Sensors definieren.

Dazu:

  1. Führen Sie einen Doppelklick auf den Port aus.
  2. Das Konfigurationsfenster wird geöffnet.
  3. Führen Sie einen Doppelklick auf Typ aus.
  4. Die Auswahlliste wird geöffnet.
  5. Wählen Sie den gewünschten Typ.

  6. Schließen Sie den Dialog mit Klick auf OK.


Variablen erstellen

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic > Variablen erstellen

Sie können Variablen automatisch erstellen oder manuell verbinden.

Variablen automatisch erstellen

  1. Führen Sie einen Rechtsklick auf den Port aus.
  2. Wählen Sie im Kontextmenü Variablen erstellen.
  3. Alle benötigten Variablen werden automatisch erstellt.

Hinweis: Ist den Sensortyp auf Kein eingestellt, werden keine Variablen erstellt.

Variablen manuell verbinden

Um Variablen manuell zu verbinden:

  1. Führen Sie einen Rechtsklick auf den Port aus.
  2. Wählen Sie im Kontextmenü Variablen einfügen.
  3. Der Dialog zur Konfiguration wird geöffnet.
  4. Klick auf einen Wert öffnet die Auswahlliste der für diesen Typ möglichen Werte.

Variablen konfigurieren

Parameter

Beschreibung

Symbol

Auswahl einer Variablen entsprechend der IEC 61131-3 Syntax.

Area

Bereich.

Format

Datentyp:

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Wird nicht benutzt.

Bit Number

Bit-Nummer.

Datentypen

Sie können Variablen mit beliebigem Datentyp mit den LEGO EV3 I/Os verbinden. Die Runtime konvertiert die Werte der I/Os in den Datentyp der Variable.

Hinweis: Variablen vom Typ STRING werden nicht unterstützt.


Function Blocks und Functions

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic > Function Blocks und Functions

Einige Function Blocks und Functions werden in der Bibliothek bereitgestellt, um LEDs, Sounds, LCD und Motoren des LEGO EV3 zu steuern.

Folgende Function Blocks werden näher beschrieben:

  • LED
  • Sound
  • Motor

Noch in diesem Kapitel

LED

Sound

Motor


LED

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic > Function Blocks und Functions > LED

LED Muster einstellen:

Parameter

Beschreibung

SetLed

Erstellt ein LED Muster

[IN] LED

Index des anzuwendenden LED Musters:

  • 0: Alle LEDs aus.
  • 1-9: Entsprechendes LED Muster.

[OUT] Q

Aktuelles LED Muster.


Sound

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic > Function Blocks und Functions > Sound

Tonwiedergabe einstellen.

Allgemein:

Parameter

Beschreibung

PlaySnd

Töne wiedergeben.

[IN] ENABLE

Tonwiedergabe einschalten:

  • TRUE: Töne werden wiedergegeben.
    Um die Wiedergabe zu aktivieren muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Töne werden nicht wiedergegeben.

[IN] FREQ

Frequenz des Tons.

[IN] DURATION

Dauer des Signals.

[IN] VOLUME

Lautstärke.

  • Minimum: 0
  • Maximum: 100

[OUT] PLAYING

TRUE, wenn Töne wiedergegeben werden.

Systemklänge:

Parameter

Beschreibung

PlaySysSnd

Systemklang wiedergeben.

[IN] ENABLE

Tonwiedergabe einschalten:

  • TRUE: Töne werden wiedergegeben.
    Um die Wiedergabe zu aktivieren muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Töne werden nicht wiedergegeben.

[IN] SND

Index des Systemklangs.

[IN] VOLUME

Lautstärker.

  • Minimum: 0
  • Maximum: 100

[OUT] PLAYING

TRUE, wenn ein Systemklang wiedergegeben wird.

Symbol

Variablenname entsprechend des IEC 61131-3 Syntax.

Area
  • Data Exchange
  • Data Status.

Format

Datentyp:

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Wird nicht verwendet.

Bit Number

Bittnummer.


Motor

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 Konfiguration in zenon Logic > Function Blocks und Functions > Motor

Motor einstellen.

Motorinformationen

Motorinformationen:

Parameter | Beschreibung
MotorInfos | Motorinformationen abrufen.
[IN] MOTOR | Index des Motors: 1 - 4
[OUT] SPEED | Aktuelle Geschwindigkeit.
[OUT] TACHO | Aktuelle Anzahl der Umdrehungen zur Anzeige der zurückgelegten Strecke.

Motor drehen

Einen Motor drehen:

Parameter

Beschreibung

Rotate

Einen Motor drehen.

[IN] MOTOR

Index des Motors: 1 - 4

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Mehrere Motoren drehen:

Parameter

Beschreibung

Rotate2

Mehrere Motoren drehen.

[IN] MOTORS

Index der Motornummern.

  • Motor 1: 1
  • Motor 2: 2
  • Motor 3: 4
  • Motor 4: 8

Beispiel: Um die Motoren 1 und 2 anzusprechen, geben Sie 3 (1 + 2) ein.

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

-255 bis -1: Rückwärts.

0: Stop.

1 bis 255: Vorwärts.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Drehwinkel

Drehwinkel für einen Motor:

Parameter

Beschreibung

RotateAngel

Drehwinkel für einen Motor.

[IN] MOTORS

Index des Motors: 1 - 4

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[IN] ANGLE

Winkel in Grad.

[IN] BRAKE

Bremse.

  • TRUE: Motor wird am Ende gebremst.
  • FALSE: Motor wird nicht gebremst.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Drehwinkel für mehrere Motoren:

Parameter

Beschreibung

RotateAngel2

Drehwinkel für mehrere Motoren.

[IN] MOTORS

Index der Motornummern.

  • Motor 1: 1
  • Motor 2: 2
  • Motor 3: 4
  • Motor 4: 8

Beispiel: Um die Motoren 1 und 2 anzusprechen, geben Sie 3 (1 + 2) ein.

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[IN] ANGLE

Winkel in Grad.

[IN] BRAKE

Bremse.

  • TRUE: Motor wird am Ende gebremst.
  • FALSE: Motor wird nicht gebremst.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Drehzahl

Drehzahl für einen Motor:

Parameter

Beschreibung

RotateCount

Einen Motor für eine definierte Anzahl von Zählimpulsen drehen.

[IN] MOTORS

Index des Motors: 1 - 4

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[IN] COUNT

Anzahl der Drehimpulse.

[IN] BRAKE

Bremse.

TRUE: Motor wird am Ende gebremst.

FALSE: Motor wird nicht gebremst.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Drehzahl für mehrere Motoren:

Parameter

Beschreibung

RotateCount2

Mehrere Motoren für eine definierte Anzahl von Zählimpulsen drehen.

[IN] MOTORS

Index der Motornummern.

  • Motor 1: 1
  • Motor 2: 2
  • Motor 3: 4
  • Motor 4: 8

Beispiel: Um die Motoren 1 und 2 anzusprechen, geben Sie 3 (1 + 2) ein.

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[IN] COUNT

Anzahl der Drehimpulse.

[IN] BRAKE

Bremse.

  • TRUE: Motor wird am Ende gebremst.
  • FALSE: Motor wird nicht gebremst.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Drehzeit

Drehzeit für einen Motor:

Parameter

Beschreibung

RotateTime

Einen Motor für einen definierten Zeitraum drehen.

[IN] MOTORS

Index des Motors: 1 - 4

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[IN] SECONDS

Zeit, die der Motor dreht, in Sekunden.

[IN] BRAKE

Bremse.

  • TRUE: Motor wird am Ende gebremst.
  • FALSE: Motor wird nicht gebremst.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Drehzahl für mehrere Motoren:

Parameter

Beschreibung

RotateTime2

Mehrere Motoren für einen definierten Zeitraum drehen.

[IN] MOTORS

Index der Motornummern.

  • Motor 1: 1
  • Motor 2: 2
  • Motor 3: 4
  • Motor 4: 8

Beispiel: Um die Motoren 1 und 2 anzusprechen, geben Sie 3 (1 + 2) ein.

[IN] START

Motor starten:

  • TRUE: Motor wird gestartet. Zum Starten muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Motor wird nicht gestartet.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

[IN] SECONDS

Zeit, die die Motoren drehen, in Sekunden.

[IN] BRAKE

Bremse.

  • TRUE: Motor wird am Ende gebremst.
  • FALSE: Motor wird nicht gebremst.

[OUT] RUNNING

TRUE, wenn der Motor läuft.

[OUT] SPEED

Aktuelle Geschwindigkeit.

Motorleistung

Leistung für einen Motor festlegen:

Parameter

Beschreibung

SetPower

Leistung für einen Motor definieren, währen er läuft.

[IN] MOTORS

Index des Motors: 1 - 4

[IN] SET

Leistung festlegen:

  • TRUE: Leistung wird definiert. Dazu muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Leistung wird nicht geändert.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

Leistung für mehrere Motoren festlegen:

Parameter

Beschreibung

SetPower2

Mehrere Motoren für einen definierten Zeitraum drehen.

[IN] MOTORS

Index der Motornummern.

  • Motor 1: 1
  • Motor 2: 2
  • Motor 3: 4
  • Motor 4: 8

Beispiel: Um die Motoren 1 und 2 anzusprechen, geben Sie 3 (1 + 2) ein.

[IN] SET

Leistung festlegen:

  • TRUE: Leistung wird definiert. Dazu muss die Einstellung vorher auf FALSE gewesen sein.
  • FALSE: Leistung wird nicht geändert.

[IN] POWER

Anzuwendende Kraft:

  • -255 bis -1: Rückwärts.
  • 0: Stop.
  • 1 bis 255: Vorwärts.

Motor stoppen

Einen Motor stoppen:

Parameter | Beschreibung
StopMotor | Einen Motor stoppen.
[IN] MOTOR | Index des Motors: 1 - 4
[IN] STOP | Motor wird gestoppt.

Mehrere Motoren stoppen:

Parameter

Beschreibung

StopMotor2

Mehrere Motoren stoppen.

[IN] MOTORS

Index der Motornummern.

  • Motor 1: 1
  • Motor 2: 2
  • Motor 3: 4
  • Motor 4: 8

Beispiel: Um die Motoren 1 und 2 anzusprechen, geben Sie 3 (1 + 2) ein.

[IN] STOP

Motoren werden gestoppt.


EV3 mit zenon Logic Editor verbinden

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > EV3 mit zenon Logic Editor verbinden

LEGO MINDSTORMS EV3 und zenon Logic kommunizieren über Wi-Fi.

Um die Kommunikation herzustellen:

  1. Stecken Sie den Netgear WNA1100 Wi-Fi Dongle in den USB Port des Bricks.
  2. Schalten Sie am LEGO MINDSTORMS EV3 das Wi-Fi ein.
    Dazu:
    1. Öffnen Sie die Registerkarte Settings (Symbol Werkzeug).
    2. Aktivieren Sie das Wi-Fi.
  3. Verbinden Sie sich mit Ihrem Netzwerk.

    Weitere Informationen zur Kommunikation über Wi-Fi finden Sie in der LEGO MINDSTORMS EV3 Anleitung.

  4. Definieren Sie im zenon Logic Editor die IP-Adresse des LEGO MINDSTORMS EV3.
    Dazu:
    1. Öffnen Sie das Menü Tools.
    2. Wählen Sie den Befehl Kommunikations-Parameter.
    3. Der Dialog zur Auswahl der IP-Adresse wird geöffnet.
    4. Wählen Sie die IP-Adresse des EV3. (Siehe auch Kapitel Erste Schritte im Demo-Projekt.)

      Hinweise:
      - Die korrekte IP-Adresse finden Sie im Brick in der Registerkarte Settings (Symbol Werkzeug) unter Brick Info.
      - Die Runtime benützt den Port 1100.

  5. Starten Sie die T5 Runtime auf dem LEGO MINDSTORMS EV3.
    Dazu:
    1. Wählen Sie in der Registerkarte App (Symbol Pfeil) des Bricks die T5 Runtime.
    2. Drücken Sie am Brick den mittleren Schalter.
    3. Die Runtime wird gestartet.

Jetzt können Sie in der zenon Logic Workbench ein neues Programm erstellen, um Ihren LEGO MINDSTORMS EV3 mithilfe des Programms zu steuern.


Erste Schritte im Demo-Projekt

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > Erste Schritte im Demo-Projekt

Die Basisfunktionen und Konfiguration von LEGO MINDSTORMS EV3 mit zenon und zenon Logic können Sie mit dem mitgelieferten Demo-Projekt ausprobieren.

Dazu:

  1. Öffnen sie das Demo-Projekt EV3_DEMO im zenon Editor.
  2. Verbinden Sie die Sensoren und Motoren mit den entsprechenden Ports.

  3. Konfigurieren Sie den zenon Logic: LEGO_EV3 Treiber.

Treiber konfigurieren

Um den Treiber zu konfigurieren:

  1. Navigieren Sie im zenon Projekt zum Knoten Treiber (unterhalb Variablen).
  2. Führen Sie einen Rechtsklick auf den Treiber zenon Logic: LEGO_EV3 aus.
  3. Wählen Sie im Kontextmenü Treiberkonfiguration.

  4. Das Konfigurationsfenster wird geöffnet.

  5. Wählen Sie in der Registerkarte Allgemein für die Option Modus den Eintrag Hardware.
  6. Wechseln Sie zur Registerkarte Connections (1).

    1. Markieren Sie die Verbindung LEGO_EV3 (2).
    2. Klicken Sie auf Edit (3).
    3. Geben Sie für die Option Primary IP address die IP-Adresse Ihres Bricks ein.
      Die Adresse finden Sie im Brick in der Registerkarte Settings (Symbol Werkzeug) unter Brick Info.
    4. Ändern Sie die Option Primary port no (4) auf 1100.
    5. Speichern Sie Ihre Eingaben mit Klick auf Save (5).
  7. Schließen Sie das Fenster durch klicken auf OK.

zenon Logic Projekt konfigurieren und Runtime starten

Nachdem Sie den Treiber konfiguriert haben, öffnen Sie das zenon Logic Projekt.
Dazu:

  1. Navigieren Sie im zenon Editor zum Knoten zenon Logic (IEC 61131-3).
  2. Führen Sie einen Doppelklick auf das Projekt aus.

  3. Öffnen Sie in der zenon Logic Workbench das Menü Tools.
  4. Klicken Sie auf Kommunikations-Parameter.

  5. Der Dialog zur Konfiguration der Kommunikationsparameter wird geöffnet.
    (Siehe auch Kapitel EV3 mit zenon Logic Editor verbinden.)

  6. Geben Sie Sie IP-Adresse Ihres LEGO MINDSTORMS EV3 Bricks und dessen Port-Nummer ein.
    Format: IP-Adresse:Port-Nummer.
    Die Adresse finden Sie im Brick in der Registerkarte Settings (Symbol Werkzeug) unter Brick Info.
    Port-Nummer: 1100.
  7. Verbinden Sie sich online mit der straton Runtime auf dem EV3.
    dazu:
    • Öffnen Sie das Menü Projekt.
    • Wählen Sie den Eintrag Online.
    • Bestätigen Sie die Frage nach dem Download des Projektes mit OK.
    • Laden Sie das Projekt in den EV3.
      (Alternativ: Projekt -> Anwendung downloaden.)
  8. Wechseln Sie zum zenon Editor.
  9. Klicken Sie in der Symbolleiste Runtime-Dateien auf Alle Runtime-Dateien erzeugen.
  10. Klicken Sie auf Runtime starten.

Die EV3 Runtime wird gestartet.


COPA-DATA Forum

Handbuch > zenon Science Package for LEGO MINDSTORMS > zenon Science Package for LEGO MINDSTORMS EV3 > COPA-DATA Forum

Für Fragen zum zenon Science Package for LEGO MINDSTORMS erhalten Sie auch Informationen und Unterstützung im Science Package Thread im COPA-DATA Forum: www.copadata.com/forums.


zenon Security Guide

Handbuch > zenon Security Guide

Sicherheit ist für COPA-DATA ein wichtiges Thema. Daher werden zenon, zenon Logic und zenon Analyzer nicht nur intern, sondern auch in Zusammenarbeit mit Universitäten, Forschungseinrichtungen und Sicherheitsdienstleistern regelmäßig auf Sicherheitsrisiken analysiert. Identifizierte Schwachstellen werden umgehend behoben

Die Sicherheit eines Systems ist immer nur so stark wie ihr schwächstes Glied. Entsprechend dem Prinzip Security in Depth werden Maßnahmen auf verschiedenen Ebenen getroffen, um Sicherheitsrisiken zu minimieren.

Die Stellen, an denen Sicherheitsmaßnahmen getroffen werden können, sind sehr vielfältig und von der jeweiligen Situation abhängig. Die Vorstellung zum Beispiel, dass eine Firewall als einzige Sicherheitsmaßnahme die Produktionsanlage schützen kann, ist mittlerweile überholt. Sicherheitsmaßnahmen können sehr unterschiedlich ausgeprägt sein.
Zum Beispiel:

  • Aktivieren von Sicherheitsfunktionen.
  • Einsatz zusätzlicher Sicherheitsprodukte.
  • Deaktivieren von Funktionen, die nicht benötigt werden.
  • Protokollierung und Überwachung sämtlicher Kommunikation.
  • Isolierung von Bereichen, netzwerktechnisch und physikalisch.
  • Abschaltung von Systemen, wenn andere Sicherheitsmaßnahmen ein Risiko nicht mit vertretbaren Aufwand reduzieren können.

Um die Sicherheit kontinuierlich zu verbessern, empfehlen wir:

  • regelmäßige Validierung und Neubewertung der möglichen Risiken und der gesetzten Maßnahmen
  • Anwendung von Normen und Standards
  • eventuell Unterstützung durch Sicherheitsdienstleister
  • Neubewertung von Risiken und Maßnahmen bei jeder Änderung am System

Für die Überprüfung, ob die gesetzten Maßnahmen einen ausreichenden Schutz bieten, können Penetration Tests eingesetzt werden.

Dieses Handbuch befasst sich in erster Linie mit dem System, auf dem die zenon Runtime installiert wird. Es informiert Sie über mögliche Risiken und über Strategien zu deren Behebung. Außerdem gibt es Empfehlungen für allgemeine Sicherheitsmaßnahmen. Sie sollten unabhängig davon weitere Schutzmaßnahmen in Betracht ziehen.

Der Schutz Ihrer Automatisierungsumgebung umfasst unter anderem folgende wichtige Bereiche:

  1. IT-Systeme allgemein:
    • Schutz Ihres Betriebssystems und aller zusätzlichen Software wie SQL-Server.
    • Erstellung und Verankerung allgemeiner Regeln für jede vorhandene Software, das Netzwerk und die Benutzer.
  2. HMI/SCADA mit zenon:
    • Schutz der Runtime und ihrer Kommunikation im Netzwerk.
    • Schutz des Editors.

Wie kann COPA-DATA Sie beim Schutz Ihrer Systeme unterstützen?

Prinzipiell gilt:

  • COPA-DATA bietet Funktionalitäten dafür, dass Angriffe auf zenon Server, Clients und auf die Kommunikation im Netzwerk zwischen zenon Produkten erschwert werden.
  • Die Kommunikation zwischen Runtime und Steuerung kann nur geschützt werden, wenn Protokoll, Treiber und Steuerung das unterstützen.
  • zenon übernimmt nicht die Aufgabe, für die allgemeine IT-Sicherheit zu sorgen. Diese muss von IT Experten gewährleistet werden. Wenn ein Angreifer die IT-Hürden überwunden hat und Zugriff auf das lokale Dateisystem hat, dann kann bei entsprechendem Knowhow auch ein Angriff auf zenon gelingen.
  • Wenn ein unerlaubter Dateizugriff mit Administrator-Rechten vorhanden ist, kann die zenon Applikation keine Garantie mehr für die Sicherheit und Stabilität des Systems übernehmen.

So sorgt COPA-DATA vor

COPA-DATA:

  • arbeitet mit universitären Einrichtungen, Fachhochschulen und Sicherheitsexperten zusammen
  • lässt zenon auch extern auf Sicherheitsrisiken überprüfen
  • verfolgt aufmerksam alle Angriffe auf Automatisierungssoftware und Sicherheitstests
  • analysiert bekannte Schwachstellen anderer Systeme auf ihre Auswirkung auf zenon, zenon Logic und zenon Analyzer
  • arbeitet gemeinsam mit anderen Anbietern wie z.B. der NERC am Thema Sicherheit

COPA-DATA liefert Informationen, wie Ihre Produkte sicher eingesetzt werden können. Gegen fahrlässige Konfigurationen bieten weder COPA-DATA noch ihre Produkte Schutz.
Empfehlung: Nutzen Sie die Beratung durch Sicherheitsexperten, wenn in Ihrem Unternehmen die notwendigen Kenntnisse nicht oder nur teilweise verfügbar sind.

Noch in diesem Kapitel

IT schützen

zenon schützen

Weitere Informationen und Beratung


IT schützen

Handbuch > zenon Security Guide > IT schützen

Die Sicherheit der COPA-DATA Produkte hängt auch von der Sicherheit der IT-Umgebung ab, in der sie eingesetzt werden. COPA-DATA empfiehlt, Betriebssysteme, Netzwerke und physische Zugänge zu Systemen und Rechnern restriktiv zu schützen und dazu das Knowhow von Sicherheitsexperten zu nutzen.

COPA-DATA kann Sie nur bei der sicherheitsrelevanten Konfiguration von COPA-DATA Produkten beraten. Die folgenden allgemeinen Empfehlungen für IT-Systeme basieren auf Erfahrungswerten und Analysen von COPA-DATA, ersetzen aber nicht die konkrete Analyse und Bewertung Ihrer Systeme und Anlagen durch Sicherheitsexperten.

attention Achtung

Sicherheitslücken und Bedrohungen können sich sehr schnell ändern.
Empfehlung:

  • Nutzen Sie für die Sicherheit Ihrer Anlagen und Systeme die Hilfe von fachkundigen Experten.
  • Beachten Sie auch Sicherheitsstandards und Richtlinien von Microsoft.

Noch in diesem Kapitel

Außerbetriebnahme eines Rechners

Betriebssystem

Installation zenon

Microsoft SQL Server

Hardware


Außerbetriebnahme eines Rechners

Handbuch > zenon Security Guide > IT schützen > Außerbetriebnahme eines Rechners

Sicherheit muss auch bei Rechnern gewährleistet sein, die außer Betrieb genommen werden. Stellen Sie sicher, dass in Ihrem Unternehmen ein Prozess definiert ist, der die Außerbetriebnahme von Systemen regelt , auf denen zenon installiert ist. Sorgen Sie dafür, dass dieser Prozess durchgeführt und eingehalten wird.

Für die Außerbetriebnahme von Systemen, auf denen zenon installiert ist, empfehlt COPA-DATA folgenden Schritte:

  • Sichten Sie die vorhandenen Daten.
  • Sichern Sie noch benötigte Daten.
  • Prüfen Sie, ob die erstellten Sicherungen auch wiederhergestellt werden können.
  • Zerstören Sie die Datenträger physikalisch. Damit wird verhindert, dass gespeicherte Informationen noch nachträglich ausgelesen werden können.
  • Machen Sie nicht mehr benötigten Datensicherungen auf anderen Systemen oder Datenträgern unbrauchbar.


Betriebssystem

Handbuch > zenon Security Guide > IT schützen > Betriebssystem

Die Produkte von COPA-DATA und deren Komponenten sind auf verschiedenen Systemen und in verschiedenen Konfigurationen lauffähig:

Von einer Runtime mit einem zenon Standalone Projekt auf einem abgeschotteten System mit Windows Desktop Betriebssystem bis zu einem System mit Windows Server Betriebssystem, zenon Runtime Server und zenon Web Server mit zenon Web Clients auf Systemen, die sich in unterschiedlichen Netzwerken befinden. Aber auch auf Systemen mit anderen Betriebssystemen als Microsoft Windows können COPA-DATA Produkte zum Einsatz kommen, zum Beispiel die Everywhere App oder der HTML 5 Client.

Allgemeine Hinweise

Für eine aktuelle Übersicht über technische, organisatorische, personelle und infrastrukturelle Hinweise zum grundlegenden Schutz der IT empfehlen wir die Informationen des deutschen Bundesamtes für Sicherheit in der Informationstechnik (BSI).

Die Informationen DES BSI sind auf dessen Website generell in Deutsch, teilweise aber auch in anderen Sprachen, verfügbar.
Weiterführende Informationen:

  • BSI Grundschutz allgemein: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/itgrundschutz_node.html
  • BSI Grundschutz international: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzInternational/itgrundschutzinternational_node.html
  • Maßnahmenkatalog "M 4 Hardware und Software": https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzKataloge/Inhalt/_content/m/m04/m04.html
    Schwerpunkt praktische Maßnahmen zur Absicherung.
  • Internationaler Technischer Spezifikation aus der Reihe IEC/TS 62443, speziell die Teile aus der Reihe IEC/TR 62443-3.

Microsoft Betriebssysteme

Die Firma Microsoft stellt auf ihrer Website umfassende Informationen und auch Werkzeuge für die Absicherung und den sicheren Betrieb ihrer Betriebssysteme zur Verfügung.

Noch in diesem Kapitel

Sichere Installation und Betrieb des Betriebssystems

Benutzerverwaltung

Windows Sicherheitseinstellungen

Spezielle Windows-Einstellungen


Sichere Installation und Betrieb des Betriebssystems

Handbuch > zenon Security Guide > IT schützen > Betriebssystem > Sichere Installation und Betrieb des Betriebssystems

Das Betriebssystem ist, so wie zenon, eine Komponente des Automatisierungssystems und trägt zur Gesamtsicherheit des Systems bei. Die Anforderungen an die Absicherung der Installation und den Betrieb des Betriebssystems sind unterschiedlich komplex und hängen von seiner Ausprägung ab:

  • Einzelplatz Client-Betriebssystem
  • Client-Betriebssystem im Domänenverbund
  • Server-Betriebssystem

Allgemeine Hinweise

Bei der sicheren Installation und dem sicheren Betrieb von Rechnern mit zenon, zenon Logic oder zenon Analyzer kann eventuell die IT-Abteilung unterstützen. Beachten Sie dabei die Besonderheiten der Systeme in der Produktionsumgebung: Zum Beispiel kann ein Mail-Server ohne Probleme in der Nacht neu gestartet werden, um Sicherheitsupdates zu installieren. Für ein System mit der zenon Runtime ist das in der Regel nur nach Absprache und während eines Wartungsintervalls möglich.

Empfehlung: Beauftragen Sie fachkundiges Personal mit der Planung, dem Design, der Installation und dem Betrieb des Betriebssystems für die Rechner Ihres Automatisierungssystems. Dazu können auch Rechner gehören, auf denen der zenon Editor verwendet wird.

info Info

Viele Computer werden mit vorinstalliertem Betriebssystem geliefert. Setzen Sie das Betriebssystem komplett neu auf, bevor zenon Runtime und/oder Editor installiert werden.

Hintergrund: Viele Hersteller installieren standardmäßig viele unterschiedliche Tools und Programme, die für zenon nicht benötigt werden und zusätzliche Sicherheitsrisiken mit sich bringen können.

Empfehlung: Installieren Sie immer nur die Komponenten und Programme, die für den Betrieb nötig sind.

Zusätzliche Hinweise

Dieser Abschnitt gibt zusätzliche Hinweise für den Umgang mit dem Betriebssystems und seinen Komponenten im Zusammenspiel mit zenon.

Anlagenverwaltung

Sorgen Sie für eine lückenlose Dokumentation darüber, welche:

  • Systeme in Ihre Anlage verwendet werden
  • Betriebssysteme auf den Systemen eingesetzt werden
  • Rollen die Systeme erfüllen
  • Softwareprodukte in exakt welcher Version installiert sind

Sollte es notwendig werden, ein System zu ersetzen, helfen diese Informationen, das System wieder lauffähig zu bekommen.
Zum Beispiel: Damit ein bestimmter Treiber in einem ihrer zenon Projekte läuft, muss eine bestimmte zusätzliche Software installiert sein. Außerdem ist ein Build der zenon Software installiert, der ein Problem in Ihrer Projektkonfiguration behebt. Fehlen diese Informationen oder Backups dieser Setups, verlängert das die Wiederinbetriebnahme.

Antivirus

Echtzeitschutz von Antivirus-Software kann Prozesse verlangsamen, wenn diese Prozesse auf Daten am Datenträger zugreifen. Prüfen Sie Wechselwirkungen von Antivirus Software mit der zenon Runtime. Definieren Sie, wenn nötig, Ausnahmen für den Echtzeitschutz in der Antivirus Software für die Zugriffe der zenon Runtime auf die Runtime Daten.

Etablieren Sie im Unternehmen Prozesse, die definieren, was genau passieren soll, wenn eine Antivirus Software eine Schadsoftware entdeckt.
Beachten Sie: Bei einer false-positive Meldung kann eine Bereinigung das System unter Umstände lahm legen oder die Funktionalität beeinträchtigen. Wenn eine ausführbare Datei der zenon Software als möglicherweise infiziert erkannt wird, prüfen Sie als erstes die Gültigkeit der digitalen Signatur. Kontaktieren Sie im Zweifelsfall Ihren lokalen COPA-DATA Support.

Wenn tatsächlich eine Schadsoftware entdeckt wird, genügt es nicht, die infizierte Datei zu bereinigen oder den Zugriff auf die Datei zu unterbinden. Es muss auch untersucht werden, wie die Schadsoftware in das System gelangen konnte, wie weit sie sich schon verbreitet hat und welchen Schaden sie eventuell bereits angerichtet hat.

Benutzerrollen

Für den Betrieb der zenon Runtime genügen die eingeschränkten Rechte eines Benutzer aus der Windows Benutzergruppe Benutzer. Stellen Sie sicher, dass der Benutzer, der die Runtime ausführt, nur dieser Benutzergruppe angehört.

Betriebssystem Updates

Grundsätzlich wird empfohlen, das Betriebssystem stets aktuell zu halten und zumindest Sicherheitsupdates regelmäßig zu installieren. Überprüfen Sie Updates vor der Installation auf einem eigenen Testsystem auf mögliche Wechselwirkungen mit zenon, zenon Logic oder zenon Analyzer .

Prüfen Sie rechtzeitig, was es für die Systeme in Ihrem Unternehmen bedeutet, wenn ein Betriebssystem abgekündigt wird und in der Folge vom Hersteller keine Sicherheitsupdates mehr zur Verfügung gestellt werden. Planen Sie Updates für Systeme sorgfältig und prüfen Sie die Systeme in eine Testumgebung. zenon Software unterstützt in der aktuelle Version immer die beim Release verfügbaren Betriebssysteme und ermöglicht die Konvertierung älterer zenon Projekte auf die jeweils aktuelle Version. Isolieren Sie Systeme, die nicht aktualisiert werden können, und setzen Sie Maßnahmen, die die Sicherheit solcher Systeme erhöhen.

Digitale Signatur

Sämtliche ausführbare Dateien der zenon Software sind digital signiert. Mit dieser Signatur kann überprüft werden, ob die Software noch dem Original entspricht. Auch kann die digitale Signatur unter Umständen von Application Whitelisting Software verwendet werden, um die Ausführung von Fremdsoftware oder manipulierter Software zu unterbinden.

Internetverbindung

Eine Internetverbindung ist für den Betrieb der zenon Software nicht erforderlich.
Empfehlung: Verbinden Sie Systeme im Produktiveinsatz nie direkt mit dem Internet. Falls eine Verbindung unbedingt nötig ist, nutzen Sie zumindest eine DMZ.

Definieren Sie Mechanismen und Prozesse, die auch ohne Internetanbindung Installationen ermöglichen für:

  • Sicherheitsupdates für das Betriebssystem
  • Updates für Signaturen von Antivirus Software
  • Updates für zenon Software

Sicherung von Daten und Dateien

Erstellen Sie Sicherungen nicht nur von Runtime-Daten, sondern auch von den kompilierten Runtime Dateien. Das gilt vor allem, wenn Sie über keine Projektsicherungen oder Arbeitsplatzssicherungen des Editor-Projektes verfügen. Überlegen Sie auch, ob Sie Log-Daten vom zenon Diagnose Server und Windows Ereignisse sichern wollen, um im Fehlerfall auch später noch nachvollziehen zu können, was geschehen ist. Bewahren Sie diese Sicherungen gut auf, schützen Sie die Sicherungen vor unbefugten Zugriff und stellen Sie sicher, dass sie auch rückgesichert werden können.

Sicherung von Installationsmedien

Erstellen Sie Sicherungen von Installationsmedien und sichern Sie auch eventuelle Patches/Builds für die COPA-DATA Software, die Sie installiert haben. Auch Installationssätze für erforderliche Drittsoftware sollten gesichert werden. Im Notfall kann damit ein System auch ohne Internetverbindung von Grund auf neu aufgesetzt werden.

Systemsicherung

Erstellen Sie bei jeder Änderung eine Sicherung des Systems. Bewahren Sie die Sicherungen gut auf und achten Sie darauf, wer Zugriff auf die Sicherungen hat. Prüfen Sie auch, ob die Sicherung tatsächlich rückgesichert werden kann. Eine Systemsicherung dient nicht nur dazu, das System im Notfall wiederherzustellen. Sie kann auch dazu dienen, einen forensischen Vergleich mit dem aktuellen System oder Tests in einer Testumgebung durchzuführen.

Zusätzliche Software

Limitieren Sie auf den Systemen, auf denen zenon Software eingesetzt wird, den Einsatz von weitere Software auf das absolut Notwendige und prüfen Sie Wechselwirkungen zwischen zenon und anderen Produkten. Sollten Sie weitere Software verwenden, stellen Sie sicher, dass es Prozesse gibt welche sicherstellen, dass Sie informiert werden über mögliche Sicherheitslücken in diese Software und die sicherstellen, dass entsprechende Massnahmen getroffen werden, wie ein Update oder die Deinstallation der Software.

Manuelle Installation von Wechseldatenträger

Windows ermöglicht es, Wechseldatenträger vom automatischen Zugriff auszuschließen. Jeder neue Wechseldatenträger muss einmalig manuell durch einen Administrator zugelassen werden, damit dieser genutzt werden kann. Wenn tatsächlich Wechseldatenträger verwendet werden müssen, reduziert dieser Mechanismus das Risiko, dass unerwünschte Wechseldatenträger im System verwendet werden.


Benutzerverwaltung

Handbuch > zenon Security Guide > IT schützen > Betriebssystem > Benutzerverwaltung

COPA-DATA empfiehlt, Benutzer und Passwörter so frei wie nötig und so eingeschränkt wie möglich zu konfigurieren.

Benutzerverwaltung

Für den Betrieb von zenon benötigen Sie in der Regel 4 Windows-Benutzer:

Rolle | Beispiel | Rechte
System-Administrator | zenon_ADMIN | Administrator
System-Services | zenon_SERVICE | Standardbenutzer
System-Engineer | zenon_ENGINEER | Standardbenutzer
Benutzer (für Desktop-Login oder Autostart) | zenon_USER | Standardbenutzer

Diese Benutzer werden auch für die Konfiguration des SQL-Servers eingesetzt.
Wie Sie Benutzer in zenon verwalten, lesen Sie im Handbuch Benutzerverwaltung im Kapitel zenon Login und Benutzerverwaltung zur Runtime.

Passwörter

Passwörter sollten eine angemessene Länge und Stärke verlangen. Dazu gehört die Verwendung von Großbuchstaben, Kleinbuchstaben, Ziffern und Sonderzeichen.

Empfehlung:

  • Vergeben Sie bereits bei der Installation ein Passwort für den lokalen Administrator.
  • Erzwingen Sie ein Passwort für jedes Konto, auch Gästekonten.
  • Zwingen Sie Administratoren, besonders starke Passwörter zu benutzen.
  • Zwingen Sie Benutzer, starke Passwörter zu verwenden.
  • Informieren Sie Benutzer, wie man sich starke Passwörter merkt, ohne sie zu notieren.

attention Achtung

Beachten Sie:

  • Verwenden Sie am besten nur Zeichen, die mit jeder Tastatur eingegeben werden können, also z.B. keine deutschen Umlaute.
  • Passwörter für Autologon-Konten dürfen nicht automatisch verfallen.


Windows Sicherheitseinstellungen

Handbuch > zenon Security Guide > IT schützen > Betriebssystem > Windows Sicherheitseinstellungen

Windows bietet eine Reihe von Sicherheitseinstellungen. Beachten Sie dazu auch die Dokumentation von Microsoft.

Empfehlungen:

  • Deaktivieren Sie Autorun für alle Laufwerke.
  • Vermeiden Sie das automatische Ausführen von Updates für Betriebssystem und Anwendungen.
    Spielen Sie Updates nur ein, nachdem Sie diese in einer Testumgebung auf die reibungslose Funktion mit Ihren Applikationen überprüft haben.
    Manche Service Packs/Updates können die Eigenschaft Automatisches Update ohne weitere Benutzerbenachrichtigung wieder aktivieren.
  • Deaktivieren Sie alle Dienste, die nicht benötigt werden.
  • Setzen Sie für jedes Konto ein starkes Passwort.
  • Vergeben Sie auch für deaktivierte Gast-Konten ein Passwort.
  • Unterbinden Sie automatische Anmeldungen.
  • Verhindern Sie den Netzwerkzugriff auf die Konten lokaler Administratoren und auf Gastkonten.
  • Schützen Sie frei gegebene Drucker.
    Geben Sie Drucker nur für eine exakt definierte Gruppe von Benutzern frei.

info Info

Gruppenrichtlinien

Viele sicherheitsrelevante Einstellungen können über Gruppenrichtlinien gesetzt werden. Welche Einstellungen wo getroffen werden, hängt auch vom eingesetzten Betriebssystem ab. Details dazu lesen Sie in der jeweiligen Microsoft Dokumentation.

Informationen finden Sie auch online. Zum Beispiel:

  • Group policy for beginners: http://www.microsoft.com/download/en/details.aspx?id=20092
  • Microsoft Technet Sicherheit und Updates:
    http://technet.microsoft.com/en-us/library/cc498723.aspx
  • Mircosoft Technet Solution Accelerators:
    http://technet.microsoft.com/en-us/library/cc936627.aspx
  • Microsoft Compliance Manager:
    http://technet.microsoft.com/en-us/library/cc677002.aspx


Spezielle Windows-Einstellungen

Handbuch > zenon Security Guide > IT schützen > Betriebssystem > Spezielle Windows-Einstellungen

Erhöhen Sie die Systemsicherheit, indem Sie einige spezielle Einstellungen für Windows beachten. Lesen Sie dazu auch die Dokumentation von Microsoft.

Empfehlungen für erhöhte Windows Systemsicherheit:

  • Benutzen Sie immer das klassische Anmeldefenster.
    Dieses verlangt die Eingabe des Benutzernamens und des Passworts und zeigt nicht an, welche Konten zur Verfügung stehen.
  • Deaktivieren Sie folgende Funktionalitäten:
    • Remote-Unterstützung und Fernsteuerung.
    • Automatische Updates der Wurzelzertifikate.
    • Automatische Updates bei einer Installation.
    • Hilfe und Support-Center.
    • Dienst für Zeitserver.
      Aktivieren Sie diesen Dienst nur, wenn ein Rechner wirklich als Time Server agieren muss.


Installation zenon

Handbuch > zenon Security Guide > IT schützen > Installation zenon

Stellen Sie vor der Installation von zenon sicher, dass das Installationsmedium dem Original der COPA-DATA entspricht. Erstellen Sie sichere Prüfsummen von Downloads und kontaktieren Sie COPA-DATA, um die Prüfsummen zu vergleichen.

Hinweis: Auch wenn Sie eine Datei aus einer vermeintlich sichere Quelle bezogen haben, besteht die Möglichkeit, dass die Datei während des Transports manipuliert wurde.

Bei der Installation wird von folgenden Annahmen ausgegangen:

  • Das System, auf dem das Produkt installiert wird, ist frei von Schadsoftware wie Viren, Trojaner usw.
  • Es befinden sich keine Softwareprodukte darauf, die nicht für den Betrieb erforderlich sind.
  • Das System befindet sich in einer geschützten Umgebung ohne direkten Zugriff auf das Internet.

Hinweis:

Wenn Sie die Software nicht im Standardordner installieren, stellen Sie sicher, dass nur Benutzer mit Administratorrechte im gewählten Ordner Dateien ändern oder hinzufügen können. In den Standardordnern %Program Files% und %Program Files (x86)% wird das von Windows sichergestellt.

Noch in diesem Kapitel

Firewall Ausnahmen

Ports für zenon und zenon Analyzer


Firewall Ausnahmen

Handbuch > zenon Security Guide > IT schützen > Installation zenon > Firewall Ausnahmen

Während der Installation werden vom Setup-Programm einige Ausnahmen in der Windows Firewall konfiguriert. Abhängig vom Einsatzbereich sowie von genutzten Anwendungen und Funktionalität sind diese Ausnahmen unter Umstände nicht erforderlich.

Die Tabelle listet die Ausnahmen und Informationen zu deren Notwendigkeit auf.

Programm oder Service

Ausführbare Datei

Kommentar

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Erforderlich.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Erforderlich.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Erforderlich.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Erforderlich.

CodeMeterFWEx1

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Erforderlich.

zenon Logic Runtime

STRATONRT.exe

Nur erforderlich, wenn der entfernte Rechner mit derzenon Logic Runtime auf diesem Rechner kommuniziert

zenAdminSrv - Administration service

zenAdminSrv.exe

Nicht erforderlich.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Nur erforderlich, wenn Verteiltes Engineering verwendet wird.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Nur erforderlich, wenn Verteiltes Engineering verwendet wird.

zenLogSrv - Diagnosis server

zenLogSrv.exe

Nur erforderlich, wenn:

  • dieser Rechner als Remote Logging Server definiert ist
    oder
  • wenn von einem entfernten Rechner mit dem Diagnose Viewer auf diesen Rechner zugegriffen werden muss

zenNetSrv - Network communication service

zenNetSrv.exe 32 bit

Nur erforderlich, wenn die Runtime auf diesem Rechner als Server 1 oder Server 2 läuft.

zenNetSrv - Network communication service

zenNetSrv.exe 64 bit

Nur erforderlich, wenn die Runtime auf diesem Rechner als Server 1 oder Server 2 läuft.

zenon Process Gateway

zenProcGateway.exe

Nur erforderlich, wenn das zenon Process Gateway auf diesem Rechner verwendet wird.

ZenSysSrv - Transport service

zenSysSrv.exe 32 bit

Nur erforderlich, wenn Remote Transport zu diesem Rechner erforderlich ist.

ZenSysSrv - Transport service

zenSysSrv.exe 64 bit

Nur erforderlich, wenn Remote Transport zu diesem Rechner erforderlich ist.

zenVNCSrv - Remote Desktop Service

zenVNCSrv.exe

Nur erforderlich, wenn Remote Desktop zu diesem Rechner erforderlich ist.

Hinweis: Siehe auch Kapitel Ports für zenon und zenon Analyzer.


Ports für zenon und zenon Analyzer

Handbuch > zenon Security Guide > IT schützen > Installation zenon > Ports für zenon und zenon Analyzer

Bei der Installation von zenon werden durch das Setup Ausnahmen in der Windows Firewall erstellt für manche Anwendungen und Dienste, die einen TCP Listening Port öffnen.

info Info

Konfigurieren Sie nach der Installation die Ausnahmen in der Windows Firewall restriktiver, passend zu Ihrer Umgebung sowie zu den benötigten Anwendungen und Diensten.

Auf sogenannten multi-homed Systemen mit mehrere Netzwerkkarten öffnen zenon Anwendungen und Dienste mit ihren Standardeinstellungen den TCP Listening Port für alle im System vorhandene Netzwerkkarten. Vielfach ist eine Kommunikation über alle Netzwerkkarten jedoch nicht erforderlich und nicht erwünscht.

Hinweis: Konfigurieren Sie nach der Installation über das Startup Tool die TCP Listening Ports für die jeweiligen Dienste und Anwendungen, entsprechend Ihrer Umgebung und Anforderungen. Erlauben Sie die Kommunikation nur über jene Netzwerkkarte oder IP-Addresse, für die das erforderlich ist. Wenn Sie einem Dienst den local loopback Adapter oder die IP-Addresse 127.0.0.1 zuweisen, erlauben sie nur die lokale Kommunikation. Auf diese Art lässt sich z.B. der Zugriff für den lokalen Diagnose Server auf lokalen Diagnose Clients einschränken .

info Info

Wird für eine Verbindung ein anderer Port als der Standard-Port konfiguriert, dann bedeutet das nicht, dass eine unerwünschte Verbindung nicht mehr möglich ist. Ein eventueller Angreifer benötigt nur etwas mehr Zeit, um den richtigen Port zu finden.

Bei der Verwendung von Nicht-Standard Ports kann unter Umständen der Standard-Port als Canary verwendet werden. Dazu überwachen Sie in einem eventuell vorhandenen Intrusion Detection System die Standard-Ports und setzen Sie Alarme für jeglichen Verbindungsversuch zu diesen Ports. Solche Verbindungsversuche könnten verursacht werden durch:

  • nicht korrekt konfigurierte Rechner
  • durch einen Angreifer, der sich der Default Ports bedient

Ports

Anwendung | Datei | Aufgabe | TCP-Port | UDP-Port
Netzwerkprojekt | zenNetSrv.exe | Runtime-Kommunikation. | 1100 |
Remote-Transport | zenSysSrv.exe | Datenübertragung mittels Remote-Transport (Editor) und Diagnose Server. | 1101 |
zenon Remote Desktop |  | Direktverbindung auf andere Rechner mit Möglichkeit, zu beobachten und Steuerung zu übernehmen. | 5600 5610 |
zenon Web Server | zenWebsrv.exe | Protokollumsetzer zwischen Web Client und Runtime. | 1102 |
Distributed Engineering | zenDBSrv.exe | Distributed Engineering | 1103 |
CodeMeter WebAdmin |  | Konfiguration von CodeMeter Dongles. | 22350 |
WibuyKey |  | Überwachung der WibuKey Dongles. | 22347 |
SQL Server bei mehrplatzfähigen Projekten |  | Verwaltung der in Bearbeitung befindlichen Objekte. | 1433 | 1434

Empfehlung: Öffnen Sie nur Ports, die Sie für den reibungslosen Betrieb benötigen.
Ports können im Startup Tool in der Registerkarte Listening ports angepasst werden. In diesem Fall müssen alle beteiligten Geräte angepasst werden!

Standard-Ports in COPA-DATA Produkten

Folgende Ports werden von COPA-DATA Produkten standardmäßig genutzt:

Anwendung | Standard-Port
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (für Verteiltes Engineering im Editor) | 1434
zenAdminSrv.exe | 50777
zenLicTransfer (License Transfer Service) | 50784
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
WEB Service Tunneling | 8080
zenon Logic |
Belegter Port für zenon Logic oder straton hängt ab vom Projekt und Dienst. Z. B.: Erstes zenon Logic Projekt belegt 1200 und 9000, zweites Projekt 1201 und 9001 usw. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Treiber |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Hinweis: zenon Treiber, die über Ethernet kommunizieren, verwenden TCP und benötigen daher gegebenenfalls Berechtigungen in der Firewall, abhängig vom verwendeten Port.


Microsoft SQL Server

Handbuch > zenon Security Guide > IT schützen > Microsoft SQL Server

Der Microsoft SQL Server wird nur für den zenon Editor und für den zenon Analyzer benötigt. Er wird jeweils bei der Installation des zenon Editors oder zenon Analyzer mitinstalliert. Der jeweils benötigte MS SQL Server ist auch auf dem Installationsmedium enthalten. Bei der Installation der zenon Runtime wird kein SQL Server installiert.

Der MS SQL Server wird in der Version installiert, die zum Zeitpunkt der Erstellung des Installationsmediums aktuell ist. COPA-DATA empfiehlt, nach der Installation für die Installation von Patches und Updates zu sorgen.

Beachten Sie dabei:

  • Laden und installieren Sie Updates und Patches individuell statt automatisiert.
  • Überprüfen Sie alle Updates und Patches vor der Installation auf einem Testsystem auf unerwünschte Auswirkungen.
  • Setzen Sie Updates und Patches nur nach erfolgreichem Test auf Produktivsystemen ein.

attention Achtung

Nutzen Sie für die Wartung und Absicherung des SQL-Servers die entsprechenden Dokumentationen und Leitfäden von Microsoft.


Hardware

Handbuch > zenon Security Guide > IT schützen > Hardware

Sichern Sie auch Hardware gegen Angriffe. Beachten Sie dazu auch die Dokumentation der jeweiligen Geräte.

Empfehlungen für Hardware-Sicherung:

  • Schützen Sie den Zugang zum BIOS mit einem Passwort.
    Das BIOS enthält einige für die Sicherheit relevanten Bereiche. Änderungen dieser Einstellungen sollte nur der Administrator vornehmen dürfen.
  • Schützen Sie den Startvorgang mit einem Passwort, sofern es nicht gute Gründe gibt, die dagegen sprechen.
    Gründe, kein Boot-Passwort zu setzen:
    • Ein Server soll nach einem Systemfehler automatisch neu booten.
      Sichern Sie den Server in diesem Fall physikalisch durch einen abgeschlossenen und versperrten Schrank.
    • Dual-Boot ist nicht möglich. Es kann nur das voreingestellte Betriebssystem gebootet werden.
    • Komplette Verschlüsselung der Festplatte, die vor dem Booten die Eingabe eines Passworts verlangt.
    • Mehrere Benutzer teilen sich den Rechner.
  • Vermeiden Sie kabellose Kommunikation.
    Die Kommunikation von kabellosen Tastaturen (Funk, Infrarot, Bluetooth) mit dem System kann auch aus größerer Entfernung abgehört werden.
  • Vermeiden Sie biometrische Zugangskontrollen, setzen Sie stattdessen PKI basierte Smart-Cards ein.
    Biometrische Zugangskontrollen für Computer können nach heutigem Wissenstand auf mehreren Wegen umgangen werden. Sie sollten nicht für Produktivsysteme verwendet werden.
    Empfehlung: Setzen Sie PKI basierte Smart-Cards ein. Diese können auch mit biometrischen Kontrollen verknüpft werden. Zum Beispiel kann ein Fingerabdruck-Leser am Smartcard-Reader den Zugriff auf die Smart-Card ermöglichen. zenon unterstützt zur Runtime die Anmeldung per Chip Ident System.
  • Deaktivieren Sie Wake-on LAN, sofern es nicht für administrative Zwecke benötigt wird.
  • Deaktivieren Sie Hardware-Virtualisierung.
  • Schalten Sie Schnittstellen für Wechseldatenträger (USB) ab.
    Hinweis: COPA-DATA Dongles für die Lizenzierung erhalten Sie auch für interne USB-Ports.
  • Schützen Sie den physikalischen Zugang zu Ihren Systemen. Der Raum mit Serverschränken sollte abgeschlossen sein und der Zugang überwacht werden. Tauschen Sie Standard-Schlösser, die mit Serverschränken geliefert werden, gegen Sicherheitsschlösser aus. Kästen für Anlagenrechner und Steuerungen sollten abgeschlossen sein. Auch die Kabelverbindungen sollten geschützt werden.
  • Nutzen Sie für unbemannte Bereiche Kamerasysteme mit Bewegungsüberwachung und Alarmierung.
  • Überlegen Sie, welche Komponenten Sie auf Lager halten, damit kritische Komponenten ersetzt werden können, auch wenn es zu Lieferengpässen beim Lieferanten kommt.
  • Stellen Sie sicher, dass Sie informiert werden, wenn ein Produkt vom Hersteller abgekündigt wird oder nicht mehr lieferbar ist, und erstellen Sie eine Strategie zum Tausch.


zenon schützen

Handbuch > zenon Security Guide > zenon schützen

zenon sorgt für zeitgemäßen Schutz durch:

  • Trennung von Editor und Runtime:
    Editor und Runtime werden in zenon getrennt verwaltet. Eine Infizierung der Editordatenbank durch einen Angreifer führt damit nicht automatisch zur Infektion der Runtime.
  • Verschlüsselung (ab Version 7.00):
    Optionale starke Verschlüsselung der Kommunikation im zenon Netzwerk und in der Kommunikation zwischen Editor und Runtime.
  • Verschlüsselte Passwörter:
    Das Passwort zur Editor-Datenbank kann verschlüsselt abgelegt werden.
  • SQL-Server:
    Der MS SQL Server wird nur auf Rechner mit dem zenon Editor zur Projektierung oder für den zenon Analyzer Server benötigt. Die zenon Runtime benötigt keinen SQL-Server. Installieren Sie den MS SQL Server nur, wenn Sie ihn für den Betrieb von zenon benötigen und konfigurieren sie ihn restriktiv.
  • Dateisignatur (ab Version 7.00):
    Prüfung der Dateisignatur der Runtime.
  • Authentifizierung (ab Version 7.00):
    Nur authentifizierte Clients erhalten Zugriff auf einen zenon Server.
  • Eingeschränkte Rechte:
    Die zenon Software ist im Benutzerkontext eines Standard-Benutzers lauffähig.
  • Start als Service ohne GUI:
    Die zenon Runtime kann so konfiguriert werden, das sie ohne Benutzeroberfläche als Service mit dem Betriebssystem startet. Diese Option kann für Systeme genutzt werden, auf denen die Runtime als Server läuft.
  • Clients oder zenon Web Clients am Terminal Server:
    Die zenon Runtime als Client und der zenon Web Client sind auf einem Terminal Server lauffähig. Damit kann für eine Bedienstation ein Thinclient eingesetzt werden. Die Verwaltung und der Schutz von Thinclients und Terminal Server kann zentral erfolgen.
  • Allgemeine Funktionalitäten wie:
    • konfigurierbare Ports
    • deaktivierbare Komponenten, wie COM Interface und Everywhere Server
    • aktuelle Kommunikationsstandards mit Sicherheitsaspekten, wie OPC UA

Noch in diesem Kapitel

Unterstützte Betriebssysteme für zenon

Runtime

Editor

SPS Kommunikation

Geräte per SNMP überwachen

Webserver/Webclient


Unterstützte Betriebssysteme für zenon

Handbuch > zenon Security Guide > zenon schützen > Unterstützte Betriebssysteme für zenon

Welche Betriebssysteme unterstützt werden, hängt ab von der eingesetzten zenon Version. zenon wird auch sicherheitstechnisch ständig weiterentwickelt. Wir empfehlen, die aktuellste Version von zenon auf einem aktuellen Betriebssystem mit den jeweils aktuellsten Patches einzusetzen.

info Info

Viele Computer werden mit vorinstalliertem Betriebssystem geliefert. Setzen Sie das Betriebssystem komplett neu auf, bevor zenon Runtime und/oder Editor installiert werden.

Hintergrund: Viele Hersteller installieren standardmäßig viele unterschiedliche Tools und Programme, die für zenon nicht benötigt werden und zusätzliche Sicherheitsrisiken mit sich bringen können.

Empfehlung: Installieren Sie immer nur die Komponenten und Programme, die für den Betrieb nötig sind.

Die folgenden Informationen beziehen sich auf die aktuelle zenon Version.


Runtime

Handbuch > zenon Security Guide > zenon schützen > Runtime

Die zenon Runtime wird im Betrieb mit der zenon Benutzerverwaltung (inklusive Anbindung an Active Directory) geschützt durch:

  • Authentifizierung des Clients beim Server (ab Version 7)
  • Starke Verschlüsselung (ab Version 7)
  • Speicherung der Daten im binären Format
  • keine SQL-Datenbank in Verwendung
    (wird nur für zenon Editor benötigt)

Sie können den Schutz weiter erhöhen, indem Sie:

  • den Zugang zum zenon Runtime-Ordner limitieren
  • die zenon API abschalten

Noch in diesem Kapitel

zenon Dateisystem schützen

Benutzerverwaltung

Verschlüsselung im Netzwerk

zenon API

IEC 61850

Voice over IP - Message Control


zenon Dateisystem schützen

Handbuch > zenon Security Guide > zenon schützen > Runtime > zenon Dateisystem schützen

Der Zugriff auf das zenon Dateisystem sollte stark geschützt werden, damit Daten nicht extern manipuliert werden können. Es sollte nur ein einziger Windows-Benutzer schreibend und lesend Zugriff haben. Alle anderen Benutzer dürfen keine Rechte im zenon Runtime-Ordner haben. Bediener zur Runtime loggen sich als zenon Benutzer ein.

Um den Zugang zum Dateisystem zu beschränken:

  1. Erstellen Sie nur einen einzigen Windows-Benutzer (zum Beispiel: zenon_ADMIN), der zenon starten darf sowie Lese- und Schreibrechte im zenon Runtime-Ordner hat.
  2. Unterbinden Sie für alle anderen Windows-Benutzer den Zugriff auf den zenon Runtime-Ordner - inklusive Leserechte!
  3. Unterbinden Sie jeglichen Remote-Zugriff auf den Benutzer zenon_ADMIN.
  4. Sperren Sie jegliche Software für Fernwartung oder Remote-Zugang wie zenon Remote Desktop.
  5. Stellen Sie sicher, dass zenon nur gestartet werden kann, wenn dieser Benutzer (zenon_ADMIN) eingeloggt ist.
    Da andere Windows-Benutzer keine Leserechte haben, startet die Runtime nur im Kontext dieses Benutzers (zenon_ADMIN).
  6. Stellen Sie sicher, dass zenon als Shell läuft:
    1. Erstellen Sie dazu einen zenon Autostart mit Keyblock Runtime Start.
    2. Aktivieren Sie die Eigenschaft Systemtasten sperren in der Gruppe Runtime Einstellungen der Projekteigenschaften.
    3. Starten Sie zenon im Vollbildmodus: Eigenschaft Runtime-Titel auf Kein Titel setzen.
    4. Beachten Sie bei der Konfiguration auch Mehrbildschirm-Systeme.
    5. Unterbinden Sie den Explorer-Start.
    6. Bieten Sie keine Dateiauswahldialoge an.
      Hinweis: In diesem Fall dürfen keine Funktionen, die vom Benutzer zur Runtime Dateiauswahl verlangen, projektiert werden.

Damit ist der Zugang zum zenon Dateisystem begrenzt.

Über das zenon Tool Keyblock Runtime Start lassen sich durch die Sperre der Systemtasten weitere Schutzmechanismen implementieren.

Noch in diesem Kapitel

Systemtasten blockieren


Systemtasten blockieren

Handbuch > zenon Security Guide > zenon schützen > Runtime > zenon Dateisystem schützen > Systemtasten blockieren

Keyblock Runtime Start ist ein Programm, mit dem die zenon Runtime als Shell läuft. Dabei wird die zenon Runtime gestartet, aber alle Windows Systemtasten werden gesperrt. Tastenkombinationen wie Windows-Taste oder Strg+Alt+Entf haben dann keine Auswirkung mehr. Benutzer können damit nicht mehr auf das Betriebssystem zugreifen, sondern nur mehr in der zenon Oberfläche arbeiten.

Voraussetzung dafür ist, dass die Projekteigenschaft Runtime-Titel auf Kein Titel (gesamter Schirm) gesetzt ist. Dann arbeitet zenon im Vollbildmodus und die Runtime kann nicht minimiert werden.

Hinweis: Die Sperre der Windows-Taste kann umgangen werden. Sperren Sie daher die Windows-Taste über den entsprechenden Eintrag im Startup Tool.

Verwendung

Um Keyblock Runtime Start zu nutzen:

  1. Öffnen Sie im Windows Startordner unter COPA-DATA die zenon Tools.
  2. Wählen Sie Keyblock Runtime Start aus.
  3. Das Programm wird geöffnet und startet automatisch die Runtime.
  4. Das Programm sperrt alle Zugriffe auf das Betriebssystem:
    • gesperrte Tastenkombinationen:

      Strg+Alt+Entf

      Strg+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Windows-Taste (ausgenommen Windows + L)
      Hinweise:
      Mit der Sperre der Systemtasten wird auch die normale Bedienung von Bildlaufleisten während der Runtime mit der Maus blockiert. Diese Blockierung kann mit dem Kontextmenü umgangen werden.
      Wird das System über die Tastenkombination Windows + L gesperrt, stehen nach dem erneuten Anmelden alle Windows Tastenkombinationen wieder zur Verfügung. Um das zu verhindern, deaktivieren Sie im Startup Tool unter Application -> Options -> General die Windows-Taste.

    • Ausblendung der Systemsteuerung im Startmenü
    • Sperre der Taskleiste für Bedienung
    • Unterbinden von

      Ändern von Kennwörtern

      Beenden von Windows

      Abmelden

      Computer sperren

      Benutzer wechseln

    • Ausblendung aller Elemente im Taskmanager

info Info

Wird Keyblock Runtime Start mit dem Autostart Mechanismus des Betriebssystems gestartet, dann beachten Sie:

  • Der Autostart-Ordner ist benutzerspezifisch:
    Meldet sich ein anderer Benutzer an, wird das Programm nicht ausgeführt.
  • Durch Drücken der Umschalt-Taste beim Betriebssystemstart kann das Abarbeiten der Autostart-Programme unterbunden werden.

Diese Sperrung lässt sich während der Runtime nicht umgehen. Wird die Runtime normal beendet, sind die System-Einschränkungen wieder aufgehoben. Soll die Runtime ohne dieser Einschränkungen bedienbar sein, muss die Runtime ohne Keyblock Runtime Start gestartet werden.

attention Achtung

Achten Sie darauf, dass in Ihrem Projekt eine Möglichkeit zum Beenden der Runtime projektiert ist. Besteht keine Möglichkeit, die Runtime regulär zu beenden:

  • kann sie nur über das hardwaremäßige Ausschalten des Rechners beendet werden
  • bleiben auch nach dem Neustart alle Systemtasten blockiert

Um Systemtasten nach einem irregulären Beenden (zum Beispiel bei Stromausfall) wieder zugänglich zu machen:

  • starten Sie die die Runtime wieder mit Keyblock Runtime Start
  • beenden Sie die Runtime regulär über einen Beenden-Button


Benutzerverwaltung

Handbuch > zenon Security Guide > zenon schützen > Runtime > Benutzerverwaltung

zenon sieht sowohl für den Editor als auch für den Onlinebetrieb (Runtime) eine Benutzerverwaltung vor. Das Passwortsystem erfüllt die Richtlinien der FDA (Food and Drug Administration, 21 CFR Part 11).

Das Konzept

Das Passwortkonzept geht davon aus, dass unterschiedliche Anwender unterschiedliche Bedienrechte (Passwortebenen) besitzen. Auch Administratoren verfügen über unterschiedliche Berechtigungsebenen. Sie haben aber zusätzliche verwaltungsbezogene Funktionen, wie das Administrieren von Benutzern.

Im zenon Passwortkonzept ist es möglich, jedem Benutzer mehrere selektive (einzeln definierte) Passwortebenen (Bedienrechte) zuzuweisen. Es sind maximal 128 (0-127) Passwortebenen projektierbar. Die Zuordnung der Benutzer zu den einzelnen Passwortebenen und der damit verbundene Aufbau des projektspezifischen Passwortkonzepts kann vollständig frei erfolgen. Jedem Benutzer können beliebige Ebenen zugewiesen werden. So kann z.B. der Benutzer 1 über die Ebenen 0, 1, 5, 6 verfügen und der Benutzer 2 über die Ebenen 0, 1, 6, 8, 10. Es können nur Berechtigungen vergeben werden, über die der Administrator selbst verfügt.

Das Anmelden des Benutzers im Onlinebetrieb erfolgt über die Aktivierung der Funktion Login. Soll der Benutzer aufgrund eines Ereignisses automatisch angemeldet werden (z.B. Schlüsselschalterstellung als Meldung im System vorhanden), wird die Funktion Login ohne Passwort verwendet. Die Funktion wird in einem Grenzwert bzw. in einer Rema der Variable in der Variablenverwaltung projektiert.

Das eigenständige Abmelden des Benutzers im Onlinebetrieb erfolgt mit der Funktion Logout. Der dann automatisch neu am System angemeldete Benutzer ist der Benutzer SYSTEM. Wird über einen projektierten Zeitraum lang keine neuerliche Bedienaktion vorgenommen, kann ein automatisches, zeitgesteuertes Abmelden erfolgen.

Für die Erstellung und Verwaltung der Benutzer sowie die Vergabe von Passwörtern, beachten Sie auch die Hinweise im Kapitel zenon Dateisystem schützen.

Noch in diesem Kapitel

Optionen zur Runtime


Optionen zur Runtime

Handbuch > zenon Security Guide > zenon schützen > Runtime > Benutzerverwaltung > Optionen zur Runtime

Zur Runtime bietet die Benutzerverwaltung verschiedene Möglichkeiten.

Für die Benutzerverwaltung kann auch Windows AD oder AD LDS verwendet werden. Benutzer können permanent oder temporär eingeloggt und zur Runtime verwaltet werden.

Hinweis: Das Umbenennen von Benutzergruppen ist zur Runtime nicht möglich.

Werte oder Funktionen können zusätzlich über eine Signatur geschützt werden. Dazu muss beim entsprechenden Element die Eigenschaft Signatur erforderlich aktiviert werden. In diesem Fall muss der Benutzer, auch wenn er eingeloggt ist und die entsprechenden Rechte besitzt, nochmals Passwort und Signatur eingeben. Dabei wird zusätzlich ein Eintrag in der Chronologischen Ereignisliste erzeugt.

Hinweis: Die Eigenschaft Signatur erforderlich kann auch für Änderungen bei Variablen des Rezeptgruppenmanagers verwendet werden.

attention Achtung

Einstellungen für Benutzer, die im Editor geändert werden, können in die Runtime nur übernommen werden, wenn die Projekteigenschaft Zur Runtime änderbare Daten (Gruppe Allgemein) das Überschreiben der Benutzereigenschaften beim Schreiben der Runtime-Dateien zulässt.

In der Runtime geänderte Einstellungen können über den Befehl Runtime-Dateien importieren (Symbolleiste Runtime-Dateien) in den Editor übernommen werden. Dazu muss in der Eigenschaft Zur Runtime änderbare Daten das Dekompilieren erlaubt sein. Dies ist dann der Fall, wenn die Checkbox in der Spalte Nicht dekompilieren in der Zeile Benutzerverwaltung nicht aktiviert ist.

Permanentes und temporäres Login

Nach einem permanenten Login ist ein Benutzer dauerhaft angemeldet und kann alle Bedienhandlungen durchführen, für die er berechtigt ist. Bei Handlungen, für die er keine Bedienberechtigung besitzt, wird eine entsprechende Meldung angezeigt.

Das permanente Login kann erfolgen über:

  • eine Bildumschaltung auf ein Bild vom Typ Login
  • die Funktion Login mit Dialog
  • die Funktion Login ohne Passwort

Tipp: Für eingeloggte Benutzer können mit Passwort geschützte Text-Buttons auf unsichtbar gesetzt werden. Dazu muss die Eigenschaft Gesperrte Buttons (Projekteigenschaften -> Benutzerverwaltung -> Login und Signatur) entsprechend konfiguriert werden.

  • Hinweis: Temporäres Einloggen ist für eingeloggte Benutzer nicht möglich. Damit erhalten eingeloggte Benutzer bei Funktionen, für die sie keine ausreichende Berechtigung besitzen, keinen Dialog zur Anmeldung eines temporären Logins.


Verschlüsselung im Netzwerk

Handbuch > zenon Security Guide > zenon schützen > Runtime > Verschlüsselung im Netzwerk

Der Datenverkehr im zenon Netzwerk erfolgt verschlüsselt.

zenon ermöglicht die starke Verschlüsselung der Kommunikation im zenon Netzwerk. Die starke Verschlüsselung funktioniert ab zenon Version 7.0 für alle unterstützten Betriebssysteme und für den zenon Web Client.

Bei aktiver Verschlüsselung erfolgt die Kommunikation zwischen Prozessführendem Server, Standby Server, Clients und zenon Web Clients verschlüsselt, der zenon Web Server leitet Datenpakete nur weiter und ist von der Verschlüsslung nicht betroffen.

info Info

Netzwerkkommunikation wurde auch in früheren Versionen in zenon verschlüsselt. Mit Version 7 hat sich die Methode geändert. Der Begriff "Verschlüsselung" im Zusammenhang mit zenon 7 oder höher meint immer starke Verschlüsselung.

Hinweis: Für VoIP im Modul Message Control ist keine Verschlüsselung verfügbar. Daher sollte diese Versandart bei entsprechendem Sicherheitsbedarf nicht verwendet werden.

Noch in diesem Kapitel

Grundlagen

Verschlüsselung aktivieren


Grundlagen

Handbuch > zenon Security Guide > zenon schützen > Runtime > Verschlüsselung im Netzwerk > Grundlagen

Die Verschlüsselung für die zenon Runtime steht ab Version 7.00 zur Verfügung. Bei eingeschalteter Verschlüsselung ist die Kommunikation mit niedrigeren zenon Versionen nicht möglich. Die Verschlüsselung beeinträchtigt keine zenon Funktionalitäten.

Grundlagen Verschlüsselung ab zenon 7.00

Um die starke Verschlüsselung des zenon Netzwerks zu nutzen, beachten Sie:

  • Das Passwort wird rechnerbezogen individuell verschlüsselt und in der zenon6.ini abgelegt. Das bedeutet:
    • Das Passwort kann nicht durch kopieren der zenon6.ini auf einen anderen Rechner übertragen werden.
    • Ändern sich Hardwarekomponenten, vor allem im Bereich Netzwerkadapter, wird das Passwort eventuell ungültig und muss neu eingegeben werden.
  • Die Verschlüsselung muss immer für alle beteiligten Komponenten im zenon Netzwerk aktiviert oder deaktiviert werden. Die Kommunikation zwischen verschlüsselten und unverschlüsselten Systemen ist nicht möglich. zenon Web Server fungieren nur als Proxy-Rechner und sind von der Verschlüsselung nicht betroffen.
  • Wird die Verschlüsselung auf einem Rechner aktiviert, gilt sie immer für alle Projekte dieses Rechners mit aktiver Eigenschaft Netzwerk aktiv.

info Info

Als Verschlüsselungsalgorithmus für die Netzwerkkommunikation wird AES 192 von Microsoft verwendet.

Um aus dem eingegeben Passwort den Schlüssel zu generieren wird SHA 256 von Microsoft verwendet.

Kompatibilität

Die Verschlüsselung ist nicht kompatibel mit Versionen vor zenon 7.00 SP0. Das bedeutet:

System 1 | System 2 | Kommunikation
zenon 7 verschlüsselt | zenon 7 verschlüsselt | ja
zenon 7 unverschlüsselt | zenon 7 unverschlüsselt oder zenon vor Version 7 unverschlüsselt | ja
zenon 7 verschlüsselt | zenon 7 unverschlüsselt oder zenon vor Version 7 unverschlüsselt | nein

Fehler werden in den LOG-Dateien des Diagnosis Viewer s protokolliert.

Beispiel

Die folgende Abbildung zeigt ein Beispiel eines Netzwerks mit Prozessführendem Server, Standby Server, zwei Clients, einem zenon Web Server und zwei Web Clients. Auf allen Geräten läuft zenon 7.00 SP0. Die Geräte wurden wie folgt konfiguriert:

  • Beim Prozessführenden Server wird die Verschlüsselung über das Startup Tool aktiviert.
  • Per Remote-Transport wird beim Übertragen der Runtime-Dateien auch die Verschlüsselung am Standby Server und am Client A aktiviert.
  • Client B und Web Client B kommunizieren noch unverschlüsselt.
  • Am Web Client A wird die Verschlüsselung über das Startup Tool aktiviert.
  • Da der zenon Web Server die Datenpakete nicht auswertet, sondern direkt weiterleitet, benötigt er keine Verschlüsselung. Theoretisch kann dieser auch eine ältere Versionsnummer haben, und die Web Clients können dennoch verschlüsselte Verbindungen aufbauen.

Diese Konfiguration führt zu folgenden Ergebnis:

  • Der Standby Server kommuniziert erfolgreich mit dem Prozessführenden Server.
  • Der Client A kann sich beim Prozessführenden Server anmelden und Daten austauschen.
  • Da Client B unverschlüsselte Nachrichten schickt und diese vom Prozessführenden Server wegen der aktiven Verschlüsselung verworfen werden, kann Client B nicht mit dem Prozessführenden Server kommunizieren und ist damit offline.
  • Der Web Client A meldet sich über den zenon Web Server beim Server an und kann Daten austauschen.
  • Die unverschlüsselten Nachrichten vom Web Client B werden vom zenon Web Server an den Prozessführenden Server weitergeleitet, von diesem aber verworfen. Web Client B kann nicht mit dem Prozessführenden Server kommunizieren und ist damit offline.

Sobald die Verschlüsselung per Remote-Transport oder Startup Tool Konfiguration am Client B und per Encrypt network communication am Web Client B aktiviert wird, können auch diese Verbindungen zum Prozessführenden Server aufbauen.


Verschlüsselung aktivieren

Handbuch > zenon Security Guide > zenon schützen > Runtime > Verschlüsselung im Netzwerk > Verschlüsselung aktivieren

Die Verschlüsselung kann über verschiedene Wege aktiviert werden:

  • über das Startup Tool für den lokalen Rechner und den zenon Web Client
  • per Remote-Transport

Tipp Tipp

Für die schnelle, bequeme Aktivierung der Verschlüsselung im Netzwerk empfiehlt es sich, die Konfiguration von einem Rechner aus per Remote-Transport durchzuführen.

Noch in diesem Kapitel

Lokal über das Startup Tool

Per Remote-Transport


Lokal über das Startup Tool

Handbuch > zenon Security Guide > zenon schützen > Runtime > Verschlüsselung im Netzwerk > Verschlüsselung aktivieren > Lokal über das Startup Tool

Um die Verschlüsselung am lokalen Rechner oder für den zenon Web Client zu aktivieren:

  1. Öffnen Sie das zenon Startup Tool.
  2. Klicken Sie auf Application -> Options.

    Der Dialog für die Einstellungen wird geöffnet.

  3. Wählen Sie die Registerkarte Network configuration.

  4. Aktivieren Sie die Checkbox Encrypt network communication.
  5. Tragen Sie das Passwort ein und verifizieren Sie es.
  6. Bestätigen Sie den Dialog mit Klick auf OK.

Connector Verschlüsselung

Um die Verschlüsselung für den SCADA Runtime Connector zenon oder zenon Analyzer, die HTML Web Engine oder für Runtime Remote Treiber zu aktivieren, konfigurieren Sie die Eigenschaftengruppe Encrypt Runtime Connector communication.


Per Remote-Transport

Handbuch > zenon Security Guide > zenon schützen > Runtime > Verschlüsselung im Netzwerk > Verschlüsselung aktivieren > Per Remote-Transport

Die Verschlüsselung kann auf entfernten Rechnern per Remote-Transport aktiviert werden. Das ist allerdings nur möglich, wenn die Remote-Transport Verbindung mit einem Passwort geschützt ist.

Um die Verschlüsselung per Remote-Transport zu aktivieren:

  1. Klicken Sie auf die entsprechende Schaltfläche in der Symbolleiste Remote-Transport

    oder wählen Sie im Kontextmenü des Projekts: Remote-Transport -> Verbindung aufbauen.

    Der Dialog für den Verbindungsaufbau wird geöffnet.

  2. Geben Sie das Verbindungspasswort ein oder erstellen Sie eines, falls noch keines gesetzt wurde.
  3. Aktivieren Sie die Checkbox Verschlüsselung der Netzwerkkommunikation konfigurieren.
  4. Klicken Sie auf OK.

    Der Dialog zur Verschlüsselung der Netzwerkkommunikation wird geöffnet.

  5. Aktivieren Sie die Checkbox Netzwerkkommunikation verschlüsseln.
  6. Vergeben Sie ein Passwort (Kriterien siehe Abschnitt Passwort Netzwerkverschlüsselung im Handbuch Netzwerk.)
    Um die lokale Konfiguration schnell auf andere Rechner zu übertragen, kann das lokale Passwort zuerst über Lokale Konfiguration einlesen eingelesen werden.
  7. Bestätigen Sie den Dialog mit Klick auf die Schaltfläche OK.


zenon API

Handbuch > zenon Security Guide > zenon schützen > Runtime > zenon API

Die zenon API ermöglicht den Zugriff auf zenon per VBA und VSTA. Damit lassen sich individuelle Erweiterungen programmieren und viele Vorgänge weiter automatisieren. Dieser Zugriff stellt in sensiblen Umgebungen ein Sicherheitsrisiko dar und kann teilweise unterbunden werden.

Hinweis: zenon unterstützt kein DCOM. Der Fernzugriff auf die API ist damit nicht möglich.

info Info

Mit der Tastenkombination Strg+Pause (BREAK) kann ein laufender Code unterbrochen und so Zugang zum VBA-Editor erlangt werden. Wenn Sie VBA oder VSTA im Projekt verwenden, unterbinden Sie die Funktion BREAK.

Senden von Events deaktivieren

Um das Senden von COM-Events zu deaktivieren:

  1. Öffnen Sie die zenon6.ini.
  2. Navigieren Sie zum Abschnitt [VBA].
  3. Tragen Sie für das Schlüsselwort EVENT= den Wert 0 ein.
    Damit wird das Senden von Events zu externen Anwendungen unterbunden.


IEC 61850

Handbuch > zenon Security Guide > zenon schützen > Runtime > IEC 61850

zenon unterstützt das IEC 61850 Protokoll sowie OPC UA inklusive Security Features.


Voice over IP - Message Control

Handbuch > zenon Security Guide > zenon schützen > Runtime > Voice over IP - Message Control

Im zenon Modul Message Control steht auch die Versandart Voice over IP (VoIP) zur Verfügung. Sie dient ausschließlich zum Versenden von Nachrichten. Es werden keine eingehenden Anrufe entgegengenommen.

attention Achtung

Für VoIP ist keine Verschlüsselung verfügbar. Daher sollte diese Versandart bei entsprechendem Sicherheitsbedarf nicht verwendet werden.


Editor

Handbuch > zenon Security Guide > zenon schützen > Editor

Das Konzept von zenon erlaubt es, Runtime und Editor auf getrennten Rechnern zu betreiben. Oft wird die Sicherheit von Systemen, auf denen eine Runtime läuft, als wichtiger eingestuft als die von Editor-Systemen. Es müssen aber beide gleich wichtig bewertet werden.

Hintergrund: Ein Angreifer, der es geschafft hat, in ein Produktionsnetzwerk einzudringen und z. B. eine SPS mit Modbus entdeckt, kann anhand der Coils, Holding Registers oder Inputs nicht erkennen, welche Prozesse und Werte dahinter stecken. Ein SPS-Programm, technische Zeichnungen oder eben auch die HMI/SCADA Software bieten Angreifern unter Umstände die benötigten Informationen.

Noch in diesem Kapitel

Verschlüsselung

Editor Rechner ohne Verteiltes Engeneering

Netzwerk: Multi Homed

Projektsicherung und Arbeitsplatzsicherung

Änderungshistorie

Projektversionierung mit XML Export

Benutzerverwaltung

Runtime Tests

Import von Variablen


Verschlüsselung

Handbuch > zenon Security Guide > zenon schützen > Editor > Verschlüsselung

Der zenon Editor kann - wie die zenon Runtime - Daten im Netzwerk verschlüsselt übertragen. Aktivieren Sie diese Verschlüsselung. Details dazu lesen Sie im Abschnitt Verschlüsselung im Netzwerk.


Editor Rechner ohne Verteiltes Engeneering

Handbuch > zenon Security Guide > zenon schützen > Editor > Editor Rechner ohne Verteiltes Engeneering

Wenn der zenon als Editor auf nur einem Rechner installiert wird und die Projektierung nur auf diesem Rechner erfolgt, empfehlen wir nach der Installation folgende Prüfungen und Änderungen:

  • SQL:
    • Ändern Sie das Standard-Passwort für den SQL Benutzer sa.
    • Ändern Sie das Standard-Passwort für den SQL Benutzer zenonsrv sowohl in der SQL Server Instanz als auch über das Startup Tool.

      Achtung: Bei Systemen, die Verteiltes Engineering verwenden, muss auf dem Server und den Clients für den Benutzer zenonsrv das gleiche Passwort verwendet werden

    • Deaktivieren Sie den SQL Browser Dienst auf Rechnern mit zenon Editor, sofern dieser nicht von anderen SQL Server Instanzen auf diesem Rechner benötigt wird.
    • Deaktivieren Sie den Remote Zugriff auf den SQL Server.
      Hinweis: Systeme mit Verteiltem Engineering benötigen Remote-Zugriff.
  • Beschränken Sie das Ausführen des Editors und der Runtime auf genau definierte Benutzer.

    Neben der Absicherung der zenon Projekte über die Benutzerverwaltung lässt sich über die Windows Sicherheitseinstellungen auch festlegen, welche Benutzer den zenon Editor ausführen dürfen.

  • Schließen Sie nicht benötige Ports.
  • Aktivieren Sie die Netzwerkverschlüsselung und setzen Sie das Passwort entsprechend Ihrer Runtime-Systeme, sofern Sie Remote Transport verwenden.
  • Prüfen Sie die Firewall Ausnahmen, die während der Installation hinzugefügt werden.
    Entfernen Sie Ausnahmen für nicht genutzte Anwendungen.


Netzwerk: Multi Homed

Handbuch > zenon Security Guide > zenon schützen > Editor > Netzwerk: Multi Homed

Unterbinden Sie in den Betrieb mehrer Netzwerke auf einem Rechner.

Sogenannte Dual-Homed oder Multi-Homed Rechner sind ein begehrtes Ziel für Angreifer. Sie lassen sich oft sehr einfach zu einer Brücke umkonfigurieren und erlauben dann den direkten Zugriff von einem Netzwerk in ein anderes Netzwerk. Vorhandene Firewalls werden damit einfach umgangen. Da ein Rechner mit dem Editor nicht immer der Produktion zugeordnet wird, kann es passieren, dass ein solcher Rechner einerseits mit dem Unternehmensnetzwerk verbunden ist und andererseits mit dem Produktionsnetzwerk. Diese Konfiguration ist unsicher und muss vermieden werden.


Projektsicherung und Arbeitsplatzsicherung

Handbuch > zenon Security Guide > zenon schützen > Editor > Projektsicherung und Arbeitsplatzsicherung

Projektsicherungen und Arbeitsplatzsicherungen sollten nur aus vertrauenswürdigen Quellen rückgesichert werden.

Verschlüsseln Sie Kopien von Projektsicherungen oder Arbeitsplatzsicherungen vor dem Transport oder der Ablage an zentraler Stelle. Nutzen Sie bei Bedarf dazu Zusatzfunktionen oder Zusatzsoftware. Vor dem Rücksichern in den Editor muss die Sicherung aus der verschlüsselten Kopie wiederhergestellt werden.


Änderungshistorie

Handbuch > zenon Security Guide > zenon schützen > Editor > Änderungshistorie

Aktivieren Sie die Änderungshistorie, damit Änderungen im Projekt protokolliert werden. Setzen Sie ein Passwort, damit die Änderungshistorie nicht ohne Berechtigung deaktiviert werden kann. Meistens ist es sinnvoll, die Änderungshistorie erst zu aktivieren, wenn die Anlage ausgeliefert wurde.


Projektversionierung mit XML Export

Handbuch > zenon Security Guide > zenon schützen > Editor > Projektversionierung mit XML Export

Aktivieren Sie im Projekt die Projektversionierung mit der Option zum XML Export. Auch die Projektsicherungen enthalten den XML Export. Das ermöglicht einen weiteren Vergleich zwischen Projektsicherungen und damit auch die inkrementelle Rücksicherung einzelner Komponenten.


Benutzerverwaltung

Handbuch > zenon Security Guide > zenon schützen > Editor > Benutzerverwaltung

Nutzen Sie die Benutzerverwaltung auch im Editor.
So können Sie das unerlaubte Laden eines Projektes verhindern und das Editieren granular mit Berechtigungsebenen verknüpfen.


Runtime Tests

Handbuch > zenon Security Guide > zenon schützen > Editor > Runtime Tests

Benutzen Sie die Treibersimulation für Tests der Runtime.


Import von Variablen

Handbuch > zenon Security Guide > zenon schützen > Editor > Import von Variablen

Der Online-Import von Variablen direkt aus der SPS setzt eine Verbindung zwischen dem Editor-Rechner und der SPS voraus. Die Nutzung eines "fremden" Rechners im Produktionsnetzwerk, der auch in andere Netzwerke verwendet wurde, stellt ein Risiko dar.

Nutzen Sie daher nach Möglichkeit den Offline-Import oder einen Editor-Rechner, der fixer Bestandteil des Produktionsnetzwerks ist. Nutzen Sie anderenfalls eine Testumgebung für den Online- Import und überprüfen Sie die SPS, bevor diese wieder in das Produktionsnetzwerk integriert wird.


SPS Kommunikation

Handbuch > zenon Security Guide > zenon schützen > SPS Kommunikation

Bei den meisten Protokollen für die Kommunikation mit Steuerungen ist keine Möglichkeit vorgesehen, die Nutzdaten zu verschlüsseln oder die Authentizität zu überprüfen. Viele Steuerungen bieten von sich aus auch keine Möglichkeit, den Transportkanal zusätzlich zu verschlüsseln.

Ein SCADA System oder eine SPS haben somit keine Möglichkeit zu überprüfen, ob die Kommunikation tatsächlich direkt läuft oder über einen kompromittierten Rechner dazwischen (man in the middle), über den ein Angreifer bei Kenntniss des Protokolls die Daten einsehen und auch auch modifizieren kann.

Für Kommunikation über Ethernet verwenden Sie nach Möglichkeit Switches, die über Port Security verfügen und so das Umleiten der Kommunikation über einen kompromittierten Rechner erschweren oder verhindern können. Intrusion Detection Systeme können zusätzlich ARP oder NDP überwachen und Versuche, die Kommunikation umzuleiten, melden.


Geräte per SNMP überwachen

Handbuch > zenon Security Guide > zenon schützen > Geräte per SNMP überwachen

zenon bietet einen SNMP_NG Treiber, der SNMPv1, SNMPv2 und SNMPv3 unterstützt. Dieser Treiber lässt sich nutzen, um auf vernetzten Rechnern die zur Runtime angeschlossenen Geräte, wie Runtime Clients oder SPS, zu überwachen und den Status von Netzwerkkomponenten, wie Switches oder Netzwerkdrucker, abzubilden und zu überwachen.

SNMP Agents auslesen - Traps empfangen

Der SNMP_NG Treiber kann Daten aus SNMP fähigen Geräten auslesen. Er kann über den Ping-Status feststellen, ob das Endgerät per ICMP-Protokoll erreichbar ist, und SNMP Traps empfangen.

Pingstatus Positiv

Über den SNMP_NG Treiber lassen sich nicht nur Geräte über SNMP auslesen sondern es kann auch zyklisch ein Ping an mit dem Netzwerk verbundene Geräte gesendet werden, die keine SNMP Agents sind. Das Ergebnis kann in der Runtime ausgewertet werden und es kann alarmiert werden, wenn ein Gerät nicht mehr antwortet.

Pingstatus Negativ: Sicherheitszonen - DMZ - Unternehmensnetzwerk - Internet

Der Pingstatus lässt sich auch für negativ Tests einsetzen. Kommt ein vernetzter Rechner mit der zenon Runtime in einem Umfeld zum Einsatz, in dem keine Verbindung zu andere Sicherheitszonen, der DMZ, zum Unternehmensnetzwerk oder ins Internet möglich sein soll, kann auch das über den Pingstatus des SNMP_NG Treibers zyklisch überwacht werden. Der Ping soll in diesen Fällen immer fehlschlagen. Kommt dennoch eine Antwort auf einen Ping, kann entsprechend alarmiert werden.

Windows Events als SNMP Traps

Die Windows Event Logs protokollieren eine Fülle an Informationen über das lokale System. Auch Meldungen, die potenziell sicherheitsrelevant sind, werden dort aufgezeichnet. Wenn diese Meldungen jedoch nicht zentral gesammelt und überprüft werden, gehen unter Umständen wichtige Hinweise und frühe Warnungen verloren. Events aus den Windows Event Logs können in zenon nicht direkt eingelesen werden. Über eine Windows Standard-Funktion und den SNMP_NG Treiber, ist das aber möglich.

Windows bietet einen SNMP Agent, der über die Systemsteuerung als Funktion aktiviert und als Dienst konfiguriert werden kann. Bei diesem Dienst kann der lokale Rechner als Trap Empfänger konfiguriert werden. Das Programm evntwin.exe (Event to Trap Translator) kann anschließend eingesetzt werden, um für beliebige Windows Events einen SNMP Trap zu generieren. Die SNMP Traps können anschließend in zenon als Trap-Variable erstellt werden. Das Lesen eines Initialwerts ist für diesen Trap nicht möglich, jedoch kann in der Runtime alarmiert werden, wenn ein bestimmtes Windows Event generiert wird und ein entsprechender Trap empfangen wird.

Auf diese Art lassen sich auch nicht vernetzte Rechner überwachen. Nicht nur der lokale Rechner kann als Trap Empfänger konfiguriert werden, sondern auch andere Rechner im Netzwerk. Damit ist über die zenon Runtime und den SNMP_NG Treiber die zentrale Überwachung von vernetzten Rechnern möglich, auch von Windows Rechnern, auf denen keine zenon Runtime installiert ist.

Weiterführende Informationen:

  • Sicherheitsüberprüfung und Angriffserkennung: https://msdn.microsoft.com/en-us/library/cc875806.aspx
  • Event Log Monitoring: http://www.redblue.team/2015/09/spotting-adversary-with-windows-event.html


Webserver/Webclient

Handbuch > zenon Security Guide > zenon schützen > Webserver/Webclient

Der zenon Web Server und der zenon Web Client sind nur für den Einsatz in einem geschütztem Netzwerk konzipiert. Der Webserver sollte nicht direkt, oder indirekt via port-forwarding über das Internet erreichbar sein.

Grundsätzlich ist es möglichen einen Webclient an einem Standort via Webserver mit einer Runtime an einem anderen Standort zu verbinden. Dabei ist unbedingt auf ein solides Design der Netzwerkarchitektur zu achten. So sollte der Webserver in einer DMZ konfiguriert sein. Die Kommunikation zwischen den Netzwerken des Webservers und des Clients wird idealerweise via VPN-Tunnel realisiert.


Weitere Informationen und Beratung

Handbuch > zenon Security Guide > Weitere Informationen und Beratung

COPA-DATA kann direkte Unterstützung nur für die Konfiguration eigener Produkte geben. Für allgemeine Fragen zu Sicherheit in IT, Betriebssystemen, Netzwerken usw. kontaktieren Sie Ihren IT-Berater.

Bei Fragen zum Thema Sicherheit in zenon wenden Sie sich an das COPA-DATA Consulting, entweder über die in Ihrem Service-Vertrag genannte Telefonnummer oder per E-Mail an support@copadata.com.


zenon Web Server

Handbuch > zenon Web Server

Mit dem zenon Web Server können Visualisierungsinhalte per Web Browser aufgerufen und dargestellt werden. Dabei ist auf den Endgeräten keine Installation der zenon Runtime erforderlich. Sämtliche Komponenten für die Darstellung der Benutzerschnittstelle auf den Endgeräten werden automatisch zur Verfügung gestellt. Somit können zusätzliche Web Clients dynamisch in das System eingebunden werden.

Der zenon Web Server, Web Server Pro und Web Server Pro Light bilden den vollständigen Funktionsumfang einer zenon Visualisierung ab. Ein hierfür erforderliches Web Browser PlugIn kann beim erstmaligen Start des Web Clients automatisch installiert werden.

Die HTML Web Engine stellt zenon Visualisierungsinhalte im HTML5 Web Standard zur Verfügung. Es können ausgewählte Funktionalitäten angewendet werden.

Hinweis: Bei einem Neustart des zenon Web Servers verlieren alle angeschlossenen zenon Web Clients die Verbindung. Die zenon Web Clients führen nach der eingestellten Timeout-Zeit einen automatischen Reconnect durch.

Noch in diesem Kapitel

zenon Web Server, Web Server Pro und Web Server Pro Light


zenon Web Server, Web Server Pro und Web Server Pro Light

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light

Der zenon Web Server steht in 3 unterschiedlichen Versionen zur Verfügung. Im Folgenden werden deren Funktionen kurz beschrieben.

zenon Web Server:

  • Leitet Datenpakete vom Prozessführenden Server über den zenon Web Server an den zenon Web Client weiter.
  • Kümmert sich um die Lizenzierung.
  • Fungiert nur als Viewer.
    Das bedeutet: Es sind keine Bedienaktionen mit Ausnahme von Bildumschaltung, einloggen und ausloggen möglich.
  • Kann auf einen separaten Rechner installiert werden, zum Beispiel in einer DMZ.
  • Unterstützt Netzwerkverschlüsselung.
  • Unterstützt HTTP tunneling.
  • Vielzahl an Clients möglich (abhängig von der Lizenz).

zenon Web Server Pro:

  • Gleiche Funktionalität wie der zenon Web Server nur:
    • Ermöglicht aktive Bedien-Handlungen mit zenon Supervisor und zenon Operator Runtime.
  • Start und Betrieb unter Windows CE unterliegen bestimmten Einschränkungen.
  • Kann auf einen separaten Rechner installiert werden, zum Beispiel in einer DMZ.
  • Unterstützt Netzwerkverschlüsselung.
  • Unterstützt HTTP tunneling.
  • Vielzahl an Clients möglich (abhängig von der Lizenz).

zenon Web Server Pro Light:

  • Ermöglicht aktive Bedien-Handlungen mit zenon Supervisor und zenon Operator Runtime.
  • Der Prozessführende Server, zu dem sich der zenon Web Client verbindet, muss der gleiche Rechner sein, auf dem zenon Web Server Pro Light läuft.
    Hinweis: Bei Projekten mit Redundanz muss der zenon Web Server Pro Light redundant ausgeführt werden, also eine Instanz am Server und eine am Standby Server.
  • Maximal 3 Clients.
  • Keine Unterstützung für verschlüsselten Netzwerk-Verkehr. Bei verschlüsselter Kommunikation startet er nicht oder beendet er sich selbst.
  • HTTP tunneling wird nicht unterstützt.
  • Projekte müssen auf dem gleichen Rechner als "Server" laufen. Projekte, die auf diesem Rechner als Client laufen, werden nicht unterstützt.
  • Multi-Projekte werden unterstützt, wenn alle Projekte lokal als Server laufen.

Hinweis: Bis zenon 7.10 wird der zenon Web Server als 32-Bit Applikation ausgeliefert. Ab Version 7.11 steht er zusätzlich auch als 64-Bit Applikation zur Verfügung.

Noch in diesem Kapitel

Lizenzierung

Beispielkonfiguration mit zenon Web Server

Erforderliche Komponenten und ihre Definitionen

Projektkonfiguration

IPv6

Redundanzbetrieb

HTTP Tunneling

Unterstützte Web Browser

Ordner für Runtime-Dateien

VSTA und VBA mit zenon Web Client, zenon Web Server und zenon Web Server Pro

Bildschirmauflösung und Bildschirmverwaltung

zenon Web Server in eine Internetumgebung einbinden

Fehlerbehandlung


Lizenzierung

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Lizenzierung

Zur Lizenzierung folgen Sie der Vorgangsweise zum Verwalten von Lizenzen im Handbuch Lizenzierung.

Durch die Lizenzierung wird festgelegt:

  • in welcher Ausprägung der zenon Web Server läuft:
    • zenon Web Server
    • zenon Web Server Pro
    • zenon Web Server Pro Light
  • Anzahl der parallel möglichen zenon Web Client Verbindungen (Concurrent Use Lizenz)

Hinweis: Ohne gültige Lizenzierung läuft der zenon Web Server im Demo-Modus.
Dabei gelten folgende Einschränkungen:

  • der zenon Web Server kann nur manuell gestartet werden
  • die Laufzeit ist auf 30 Minuten beschränkt
  • die Anzahl der möglichen Clients ist auf 2 beschränkt

info Info

Folgende Elemente vom Typ Dynamischer Text können auch ohne Lizenz für den zenon Web Server Pro am zenon Web Client verwendet werden:

  • Benutzername
  • Passwort
  • Signatur

zenon Operator und Windows CE:

Für den zenon Operator steht der zenon Web Server Pro Light zur Verfügung.

Für Windows CE steht ein in die Runtime eingebauter zenon Web Server Pro Light zur Verfügung, d.h. die Runtime muss gestartet werden, damit der zenon Web Server Pro Light läuft. Dieser ist bedingt durch die Plattform in seiner Funktionalität eingeschränkt.


Beispielkonfiguration mit zenon Web Server

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Beispielkonfiguration mit zenon Web Server

Vom PC1 verbindet man sich als Client, über den zenon Web Server auf PC2 als Gateway, zu dem Prozessführenden Server, also zu PC3 (siehe folgendes Bild). Mithilfe des zenon Web Servers und des zenon Web Clients kann man sich das Projekt von PC3 in einem Web Browser auf PC1 anzeigen lassen ohne dass eine zusätzliche, lokale Installation von der Runtime auf PC1 notwendig ist. Für diese Funktionalität sind folgende Installationen notwendig:

Hinweis: Die folgende Konstellation der Komponenten ist nur eine reine Empfehlung. Welche Komponenten auf welchem Rechner installiert werden, können Sie frei entscheiden. Es muss jedoch beachtet werden, dass ein zenon Web Client für ein Projekt A nicht auf dem Rechner verwendet werden kann, der für das Projekt A Server ist.

Außerdem: Bei der Verwendung vom zenon Web Server Pro Light, muss dieser auf dem Rechner installiert sein, auf dem die Runtime läuft. In unserem Beispiel ist es PC3.

  1. PC1: Installieren Sie auf diesem Rechner den zenon Web Client und den Web Browser.
  2. PC2: Installieren Sie auf diesem Rechner den Publishing Dienst und den zenon Web Server.

    Hinweis: Was den Publishing Dienst betrifft, bezieht sich dieses Handbuch auf den IIS Publishing Dienst. Ist auf dem Rechner der IIS Publishing Dienst installiert, wird die Startseite für den zenon Web Client automatisch konfiguriert. Es gibt aber auch alternative Publishing Dienste, wie zum Beispiel den von Apache. Welcher von denen eingesetzt wird, ist frei zu entscheiden. Des Weiteren besteht die Möglichkeit auf den Publishing Dienst ganz zu verzichten. Allerdings gibt es in diesem Fall zusätzliche Schritte, die man manuell durchführen müsste. Diese Schritte finden Sie detailliert im Kapitel Publishing Dienst.

  3. PC3: Auf diesem Rechner müssen die zenon Runtime und das Projekt an sich sein und optional der zenon Editor.

    Hinweis: Ist der zenon Web Server nicht lizenziert, startet er in Demo Modus. Der automatische Start mit dem Betriebssystem erfolgt in diesem Fall nicht, und der zenon Web Server muss manuell über die Oberfläche gestartet werden. Die Sitzung wird nach 30 Minuten automatisch beendet. Es können sich maximal 2 Clients darauf verbinden.

Konfigurieren der einzelnen Komponenten:

Nach jeder Installation ist meistens noch eine Konfiguration notwendig. Beispielsweise ist nach der Installation vom zenon Web Server auf PC2, die Datei global.vars wichtig. Diese Datei wird, unter anderen, automatisch mitinstalliert und benötigt noch einige Anpassungen. Details lesen Sie im Kapitel Einstellungen in global_vars.js.

Das Runtime Projekt auf PC3 benötigt folgende Grundeinstellungen im zenon Editor:

  • Projekteigenschaft -> Netzwerk -> Netzwerk aktiv aktivieren.
  • Projekteigenschaft -> Netzwerk -> Server 1 -> Rechner (Name) mit der Runtime eintragen.

Wenn man mit den Installationen und Konfigurationen fertig ist, kann man sich die Runtime auf PC1 anzeigen lassen. Dafür macht man den Web Browser auf und gibt ein: RechnernamePC2\zenon\index.htm


Erforderliche Komponenten und ihre Definitionen

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen

Komponente | Beschreibung
Prozessführender Server | Der Server auf dem sich die Runtime, der Editor und das Projekt befindet und zu dem man sich als Client über den zenon Web Server verbindet.
zenon Web Server | Leitet Datenpakete vom Prozessführenden Server über den zenon Web Server an den zenon Web Client weiter. Kümmert sich außerdem um die Lizenzierung. Kann keine Werte absetzen.
zenon Web Server Pro | Ermöglicht aktive Bedien-Handlungen mit zenon Supervisor. Start und Betrieb unter Windows CE unterliegen bestimmten Einschränkungen.
zenon Web Server Pro Light | Ermöglicht aktive Bedien-Handlungen mit zenon Operator und zenon Supervisor.
Publishing Dienst | Dient zur Veröffentlichung von Dokumenten, wie zum Beispiel HTML-Seiten, über das HTTP-Protokoll.
zenon Web Client | Der zenon Web Client ist ein Programm, das in einem Standard Web Browser läuft und ein Projekt darstellt. Er verbindet sich über den zenon Web Server zu dem Prozessführenden Server. Er zeigt das Projekt des Prozessführenden Servers so, wie es auch ein normaler Client anzeigen würde. Einziger Unterschied: Beim zenon Web Client erfolgt die Darstellung in einem Browser.
Web Browser | Web Browser sind spezielle Computerprogramme zur Darstellung von Webseiten im World Wide Web oder allgemein von Dokumenten und Daten. Quelle: http://de.wikipedia.org/wiki/Webbrowser

Für die Installation, oder Konfiguration des zenon Web Servers, zenon Web Clients und des Publishing Dienstes werden Administratorrechte benötigt.

Hinweis: Für den normalen Betrieb werden keine Administratorrechte benötigt. Es reichen die normalen Benutzerrechte aus.

Noch in diesem Kapitel

Publishing Dienst Installation

zenon Web Server Installation

zenon Web Client Installation


Publishing Dienst Installation

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > Publishing Dienst Installation

Wenn Sie ein Windows Betriebssystem auf Ihrem Rechner verwenden, ist eine Installation des Publishing Dienstes nicht mehr erforderlich. Dieses muss nur noch über Windows Features aktiviert werden. Das folgende Beispiel bezieht sich auf den IIS Publishing Dienst. Es kann aber auch ein anderer eingesetzt werden, wie zum Beispiel der von Apache. In diesem Fall kann die Ablage der Dateien anders aussehen. Beachten Sie in diesem Fall den folgenden Infokasten.

Um den IIS Publishing Dienst zu aktivieren:

  1. Drücken Sie Tastenkombination Windows+R.

    Der Dialog zur Eingabe eines Befehl für die Kommandozeile wird geöffnet.

  2. Geben Sie in das Eingabefeld appwiz.cpl ein.

    Klicken Sie auf OK.
    Ein neues Fenster der Systemsteuerung zur Konfiguration von Programmen und Windows-Features wird geöffnet.

  3. Klicken Sie in diesem Fenster auf Windows-Features aktivieren oder deaktivieren.

    Das Fenster zur Auswahl von Features des Betriebssystems wird geöffnet.

  4. Expandieren Sie die Option Internetinformationsdienste.
  5. Aktivieren Sie dort alle World Wide Web Dienste.

Wurden die Dienste erfolgreich aktiviert, finden Sie im Stamm-Ordner den Ordner: \inetpub\wwwroot

info Info

Wurde der zenon Web Server bereits vor dem Publishing Dienst installiert oder wird ein anderer Publishing Dienst verwendet, muss der bei der zenon Web Server Installation angelegte Ordner C:\Program Files (x86) \COPA-DATA\zenonWebserver\zenon manuell nach C:\inetpub\wwwroot oder in den Stamm-Ordner des alternativen Publishing Dienstes verschoben werden.

Hinweis: Der Publishing Dienst macht die Konfigurationsdateien einfacher zugänglich für den Web Browser. Wenn die Konfigurationsdateien jedoch lokal oder im Netzwerk zugänglich sind, kann man auf den Publishing Dienst ganz verzichten.


zenon Web Server Installation

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Server Installation

Beachten Sie bei der Wahl des Rechners für den zenon Web Server und den Publishing Dienst folgende Kriterien:

  • Es muss eine TCP-Kommunikation vom zenon Web Server zum Prozessführenden Server möglich sein.
  • Es muss eine volle Namens-Auflösung zwischen dem zenon Web Server und dem Prozessführenden Server im Netzwerk gegeben sein.

Tipp: Wenn der zenon Web Server von Extern erreichbar sein soll, wird stark empfohlen eine VPN-Verbindung zu verwenden und den zenon Web Server und den Rechner mit dem Publishing Dienst in einer DMZ zu platzieren.

Es wird empfohlen, den zenon Web Server auf dem gleichen Rechner zu installieren, auf dem Sie den Publishing Dienst aktiviert, und installiert haben.

Dazu:

  1. Starten Sie die Installation vom Installationsmedium.
  2. Folgen Sie den Anweisungen des Installation-Assistenten.
  3. Starten Sie den Rechner neu.

Der Ordner zenon wird vom Setup automatisch im wwwroot Ordner des IIS Publishing Dienstes angelegt. Dieser Ordner enthält unter anderem einige wichtige Konfigurationsdateien, die mitinstalliert werden. Eine wichtige Datei ist zum Beispiel die global_vars.js. In dieser Datei müssen Sie einige Einstellungen machen. Lesen Sie dazu im Kapitel zenon Web Server Konfiguration mehr.

Noch in diesem Kapitel

zenon Web Server Konfiguration/Start


zenon Web Server Konfiguration/Start

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Server Installation > zenon Web Server Konfiguration/Start

Um den Web Server zu konfigurieren oder manuell zu starten:

  1. Öffnen Sie die Systemsteuerung oder das Startmenü.
  2. Klicken Sie auf zenon Web Server.

    Der Dialog für Konfiguration und Lizenzierung öffnet sich:

    Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

  3. Wählen Sie die Verbindung über TCP oder HTTP.

    Achtung: Aktivieren Sie die Option für HTTP Tunneling nur, wenn Sie auch alle zenon Web Clients dafür explizit konfiguriert haben. Als Standard wird TCP verwendet.

  4. Klicken Sie auf die Schaltfläche Start, um den Web Server manuell zu starten.

Hinweis: Im Normalbetrieb wird der zenon Web Server automatisch als Windows Dienst mit dem Rechner gestartet. Sollte er gestoppt worden sein oder haben Sie über die lizenzverwaltung einen neue Lizenz zugewiesen, , dann muss er manuell neu gestartet werden. Liegt keine gültige Lizenz vor, wird der Web Server nicht als Dienst gestartet, sondern als Demo Modus über den Dialog.

Dialog zenon Web Server

Option

Beschreibung

Active Clients

Liste der aktuell verbundenen zenon Web Clients.

State:

Zeigt Version und Status des Web Servers an:

Mögliche Versionen:

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Mögliche Statusmeldungen:

  • running:
    Web Server läuft mit gültiger Lizenz
  • stopped:
    Web Server wurde gestoppt
  • Demomodus:
    Web Server läuft im Demomodus ohne Lizenz
  • not installed:
    Web Server nicht als Dienst registriert oder Installationsfehler

Max. number of clients:

Maximale Zahl an Clients, die sich zum Web Server verbinden dürfen. Zahl wird durch Lizenz definiert.
Im Demomodus sind 2 Clients für 30 Minuten lizenziert.

Default: 0

Number of active clients:

Zeigt die Zahl der aktuell verbundenen Clients an.

HTTP tunnelling

Aktiv: HTTP Tunneling ist aktiviert.

Nicht verfügbar in der Web Server Pro Light-Version.
Hinweis: Kann nur geändert werden, wenn der Web Server im Status gestoppt ist. Im laufenden Betrieb kann nicht umgeschaltet werden.

Default: inaktiv

Start

Startet den Web Server.

Stop

Stoppt den Web Server.

Refresh

Aktualisiert die Anzeige.

Diagnosis Viewer

Öffnet den Diagnose Viewer zur Auswertung von Fehlermeldungen.

License Manager

Öffnet die Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

License ínformation

Zeigt Informationen zur aktuell genutzten Lizenz an.

  • Falls genutzt: Demo-Lizenz / Education & Training Lizenz
  • lizenzierte Produktversionen
  • Seriennummer
  • Ablaufzeit/Nutzungsdauer

License errors

Zeigt Informationen zu Fehler bei den gefundenen Lizenzen an.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Start und Konfiguration unter Windows CE

Für Windows CE steht kein Start-Dialog zur Verfügung. Der zenon Web Server ist bereits in die Runtime integriert.

Um den zenon Web Server unter Windows CE zu starten, muss:

  • im Projekt die Eigenschaft Netzwerk aktiv aktiviert sein,
  • die Runtime gestartet sein,
  • der zenon Web Server lizenziert sein.

Hinweis: Unter Windows CE steht HTTP tunnelling nicht zur Verfügung.

Unter Windows CE unterliegt die Funktionalität allen Einschränkungen, die generell für Windows CE und zenon Web Server unter Windows CE gelten.

info Info

Mit der Runtime und dem integrierten Web Server wird kein Publishing Dienst installiert. Es kann jedoch ein beliebiger Publishing Dienst mit den entsprechenden Konfigurationsdateien auf einem Windows Rechner verwendet werden.

Noch in diesem Kapitel

Konfiguration der global_vars.js


Konfiguration der global_vars.js

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Server Installation > zenon Web Server Konfiguration/Start > Konfiguration der global_vars.js

Die für den Verbindungsaufbau, vom zenon Web Client zum Prozessführenden Server, benötigten Verbindungsparameter werden in der Konfigurationsdatei global_vars.js festgelegt. Diese Datei befindet sich bei Verwendung des IIS Publishing Dienstes im Ordner C:\inetpub\wwwroot\zenon\config\ auf dem Rechner, auf dem der IIS Publishing Dienst läuft.

Passen Sie den Inhalt dieser Datei in einem Texteditor an. Hinweise über die benötigten Inhalte erhalten Sie auch im Kommentartext.

Inhalt global_vars.js

// Please enter here the string name of your project and make sure that it is identical with the project name in the Editor.

var PROJECTNAME = "PROJECT";

// Please enter here the computer name, on which the zenon Runtime is installed and on which it is actively running

// For redundant Runtime servers, please enter both "server1;server2"

var RUNTIMESERVER = "Runtime server";

// Please enter here the computer name, on which you have installed the zenon Web Server

var WEBSERVER = "Webserver";

// Please enter here an optional initial function to be executed when the Web Client connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "SwitchToWebClientStart";

// Optional: Please enable the zoom feature (This step will stretch the project resolution to the size of the Web Client control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Please enter the version number corresponding to the Web Client.

var VERSION = "8,0,0,0";

// Optional: Please enable HTTP tunnelling feature: 0 = inactive (available on Web Client version 7.00 and higher)

var HTTP = "0";

// Optional: Set the window style for stand alone start of the web client (not used in embedded mode)

// posible values:

// "Default" --> Title with system, min. and max. button

// "NotClosable" --> Title with min. and max. button

// "NotResizable" --> Title with system menu

// "TitleOnly" --> Title without buttons

// "FullScreen" --> No title (full screen)

// anything else --> same as "Default"

var WINDOWSTYLE = "Default";

//Optional: Folder for the runtime files (NO absolute path; folder. Name will be inserted between "[WEB_PROJECT_PATH] from zenon6.ini (Default = %temp%\zenWebCli)" and project name)

//Sample: RuntimeFilesFolderName = "theFolder", ProjectName = "theProject" --> path is "%TEMP%\\zenWebCli\\theFolder\\theProject"

//Sample: no RuntimeFilesFolderName set, ProjectName = "theProject" --> path is "%TEMP%\\zenWebCli\\theProject"

var RUNTIMEFILESFOLDER = "";

function GetStartUrl(){

return "ScadaWebClient:Project=" + PROJECTNAME + "&amp;Server=" + RUNTIMESERVER + "&amp;Load=-1&amp;ScrollV=0&amp;ScrollH=0&amp;InitFunction=" + INITFUNCTION + "&amp;WebServer=" + WEBSERVER + "&amp;Zoom=" + ZOOM + "&amp;UseHTTP=" + HTTP + "&amp;Version=" + VERSION + "&amp;WindowStyle=" + WINDOWSTYLE+ „&amp;RuntimeFilesFolder=" + RUNTIMEFILESFOLDER;

}

Parameter

Parameter

Beschreibung

PROJECTNAME=

Legt den Namen des Runtimeprojekts fest.

var PROJECTNAME = "PROJEKTNAME";

Hinweis: Das Projekt muss auf dem angegebenen Runtime-Server als Serverprojekt laufen.

RUNTIMESERVER =

Gibt den Zielrechner an, auf dem die Runtime für das Projekt läuft.

  • Einzelplatzprojekt:
    var RUNTIMESERVER = "SERVERNAME";
  • Netzwerkprojekt:
    var RUNTIMESERVER = "Runtime server;Runtime server2"
    Hinweis: Runtime server = Server 1; Runtime server2 = Server 2;

Der Name muss mit dem Servernamen in der Projektkonfiguration übereinstimmen.

Hinweis: Es darf hier nicht die IP-Adresse verwendet werden. Die Namensauflösung zwischen dem Rechner mit dem zenon Web Server und dem Prozessführenden Server im Netzwerk muss in beide Richtungen gegeben sein. Ein Ping auf die Rechnernamen muss in beide Richtungen funktionieren.

Weitere Informationen zur korrekten Konfiguration des zenon Web Servers zum Betrieb eines redundanten Netzwerkes finden Sie im Kapitel zenon Web Client im redundanten Netzwerk.

RuntimeFilesFolder

Unterpfad. Wird beim Aufbau des Projektdatei-Pfades zwischen Pfad und Projektnamen eingefügt. Der Pfad wird aus der zenon6.ini ausgelesen oder Default auf %temp%\zenWebCli gesetzt.

WEBSERVER=

Gibt den Zielrechner an, auf dem der zenon Web Server installiert wurde.

Achtung: Das muss nicht zwingend der Publishing Server sein!

var WEBSERVER = "WEBSERVER";

Redundanz zenon Web Server

Wenn neben dem zenon Server auch der zenon Web Server redundant betrieben werden soll, müssen:

  • zwei zenon Web Server auf unterschiedlichen Rechnern installiert und lizenziert werden.
  • bei der Variablendeklaration in der HTML-Seite beide zenon Web Server durch einen Beistrich getrennt angeben werden:

    var WEBSERVER = "WEBSERVER,WEB-STANDBY-SERVER";

Hinweis: Anstelle des Rechnernamens auf dem der zenon Web Server installiert ist, darf hier auch die IP-Adresse verwendet werden. Befindet sich dieser Rechner hinter einem NAT-Router und ist eine Port-Weiterleitung (Port Forwarding) konfiguriert, kann hier auch die IP-Adresse des NAT-Routers verwendet werden.

INITFUNCTION=

Legt eine zenon Funktion fest, die beim Starten des Projekts im Browser ausgeführt wird.

Diese Einstellung ist optional.

var INITFUNCTION = "Init";

Hinweis: Die Schreibweise muss mit dem Funktionsnamen in zenon übereinstimmen (Groß-/Kleinschreibung).

ZOOM=

Definiert, ob das Projekt in der Browseransicht gezoomt werden kann.

Diese Einstellung ist optional.

var ZOOM = "WERT";

  • 0: OFF
  • 1: ON

Default: 0: OFF

Zum Beispiel:

var ZOOM = "0";

Hinweis: Die Zoom-Anpassung wird nur beim Initialisieren übernommen, nicht, wenn die Runtime bereits läuft. Wird eine bestimmte Größe gewünscht, muss diese vom Active X Control definiert werden. Wenn Sie das Browser-Fenster nicht maximiert öffnen und später maximieren, kann es zu Darstellungsproblemen kommen.

var VERSION=

Legt die zenon Web Client Version fest.

var VERSION = "WERT";

zum Beispiel:

var VERSION = "7,60,0,0";

Diese muss immer gleich der oder höher als die zenon Runtime Version sein.

var HTTP=

Definiert Art der Kommunikation und ermöglicht Kommunikation über HTTP. Ist diese Eigenschaft deaktiviert, erfolgt die Kommunikation über TCP/IP.

Diese Einstellung ist optional:

  • 0: inaktiv
  • 1: aktiv

Default: 0: inaktiv

Hinweis: Weitere Informationen finden Sie im Kapitel HTTP Tunneling in diesem Handbuch.

Hinweis: Achten Sie bei der Eingabe von Parametern in der Datei global_vars.js auf Groß und Kleinschreibung.


zenon Web Client Installation

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation

Um den zenon Web Client zu installieren empfehlen wir:

  • Installation über den zenon Web Server.
    Oder:
  • Installation über das Setup am zenon Installationsmedium.

Installation über zenon Web Server

Um den zenon Web Client über den zenon Web Server zu installieren:

  1. Öffnen Sie den zenon Web Server.
  2. Klicken Sie auf die Schaltfläche Installing the zenon Web Client.

    Der zenon Web Client. wird installiert.

    Hinweis: Dazu sind Administratorrechte erforderlich.
    Die Installation kann über zwei unterschiedliche Dateien erfolgen. Wird das WebClientSmall-Setup verwendet, dann wird während der Installation eine Internetverbindung benötigt, um weitere Komponente nachzuladen.

Installation vom Installationsmedium

Um den zenon Web Client vom Installationsmedium zu installieren:

  1. Navigieren Sie am Installationsmedium zur Datei WebClient.exe oder WebClient_small.exe.
  2. Installieren Sie die Anwendung.

Hinweis: Der zenon Web Client besteht vor allem aus einem ActiveX Control. Dieses stellt die Informationen in einem Browser 1:1 wie in einem normalen Runtime-Client dar. Die Verbindung zum Runtime Server erfolgt mittels TCP/IP über den zenon Web Server. Der zenon Web Client protokolliert Fehler im lokalen Diagnosis Server. Der Diagnosis Server wird bei einer Installation des zenon Web Clients mit installiert.

Noch in diesem Kapitel

zenon Web Client - Kompatibilität

COPA-DATA Web Client Starter

Spracheinstellung des zenon Web Clients

zenon Web Client im redundanten Netzwerk

Erstellen der HTML-Seite für den Projekteinstieg

index.htm

init.htm

browsercheck.js

initcode.js


zenon Web Client - Kompatibilität

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > zenon Web Client - Kompatibilität

Die zenon Runtime arbeitet im Netzwerk und als standalone abwärtskompatibel.
Das bedeutet:

  • Die Runtime kann immer Projekte aus älteren Versionen laden und entsprechend dieser Version interpretieren und darstellen.
  • Auch wenn Runtime, Server und Standby gemeinsam über eine höhere Versionsnummer verfügen, können sie Projekte aus älteren Versionen laden und entsprechend dieser Version interpretieren und darstellen.
  • Gemischter Betrieb ist möglich.
    Mit der Mehrprojektverwaltung können gleichzeitig Projekte unterschiedlicher Versionen geladen werden und parallel laufen.

Hinweis: Projekte ab der Version 6.20 SP4 können direkt, also ohne vorhergehende Konvertierung, gestartet werden. Projekte mit niedrigerer Versionsnummer müssen zuvor konvertiert werden.

Mit dem zenon Web Client greifen Sie analog zur Runtime-Kompatibilität auf unterschiedliche Runtime-Versionen zu. Die Versionsnummer des zenon Web Clients muss gleich der Runtime-Version oder höher sein.

Die Runtime Online-Kompatibilität ermöglicht die Interoperabilität von Runtime-Systemen (auch über zenon Web Client) im zenon Netzwerk, selbst wenn die Version der Client-Runtime höher ist als jene der Server-Runtime.

Die aktuelle Runtime kann Projekte folgender Versionen laden:

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0
  • 7.11 SP0
  • 7.20 SP0
  • 7.20 SP0[aktuelle Build-Nr.]
  • 7.50 SP0
  • 7.60 SP0
  • 8.00 SP0

Im Rahmen der Mehrprojektverwaltung können auch unterschiedliche Projekte geladen werden. Zum Beispiel kann das Integrationsprojekt von der Version 8.00 sein, ein Unterprojekt von der Version 7.60 und ein weiteres Unterprojekt von der Version 6.51.

info Info

Verwenden Sie am besten immer den zenon Web Client mit der höchsten Service Pack-Nummer innerhalb einer Version.


COPA-DATA Web Client Starter

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > COPA-DATA Web Client Starter

Der zenon Web Client Starter ermöglicht den Start des zenon Web Client aus einem beliebigen Browser, über die Kommandozeile oder eine Verknüpfung mit Argumenten.

Voraussetzungen

Voraussetzungen für den zenon Web Client Starter:

  • Installierter zenon Web Client Starter: Wird bei der Installation des zenon Web Client mitinstalliert.
  • Beliebiger Browser

Start über Browser

Start aus einem beliebigem Browser:

  1. Benutzer startet zenon Web Client über Link in der Landing Page.
  2. Betriebssystem findet zenon Web Client Starter.
  3. Betriebssystem startet zenon Web Client Starter und übergibt Link-Argumente.
  4. zenon Web Client Starter analysiert Link-Argumente.
  5. zenon Web Client Starter zeigt zenon Web Client gemäß Link-Argumenten an

Start über Kommandozeile oder Verknüpfung mit Argumenten

Der zenon Web Client Starter kann über die Kommandozeile oder eine Verknüpfung mit Argumenten gestartet werden::

  1. Benutzer startet den zenon Web Client Starter über die Kommandozeile oder eine Verknüpfung mit Argumenten.
  2. zenon Web Client Starter analysiert Argumente.
  3. zenon Web Client Starter zeigt zenon Web Client entsprechend der übergebenen Argumente an.

Syntax

Kommando und Syntax:

  • Kommando: ZenWebClientStarter.exe
  • Syntax: zenWebClientStarter.exe -ArgumentName1 Value1 -ArgumentName2 WValue2 –ArgumentNameNoValue

Hinweis: Argumente beachten immer Groß-/Kleinschreibung.

Regeln für Namen

Verboten für Projektname, Computernamen (Runtime-Server, Web Server, Runtime-Standby, Web-Standby) und Name der Init-Funktion sind:

Zeichen | Wird verwendet als
Leerzeichen | Steuerzeichen für Syntax des Command Line Interpreter (CLI).
& | Steuerzeichen für URL-Syntax.
: | Steuerzeichen für URL-Syntax.
= | Steuerzeichen für URL-Syntax.
, | Trennzeichen zwischen Server und Standby.

Die Zeichen Punkt (.), Bindestrich (-) und Unterstrich (_) sind erlaubt, wenn sie nicht am Anfang eines Namens stehen.

Argumente

Argument

Beschreibung

RegSrv

zenon Web Client Starter für das Protokoll ScadaWebClient registrieren.

Bedingungen:

  • Darf keinen Wert haben.
  • Darf nur mit Silent kombiniert werden.
  • Ist nur bei CLI-Aurfur erlaubt.

Funktioniert nur, wenn der Aufruf mit Administrator-Rechten erfolgt.

UnregSrv

zenon Web Client Starter für das Protokoll ScadaWebClient deregistrieren.

Bedingungen:

  • Darf keinen Wert haben.
  • Darf nur mit Silent kombiniert werden.
  • Ist nur bei CLI-Aurfur erlaubt.

Funktioniert nur, wenn der Aufruf mit Administrator-Rechten erfolgt.

Project

Name des Projekts.
Wird nur zum Starten des zenon Web Client verwendet.

Achtung: Muss angegeben werden. Ausgenommen bei RegSrv und UnregSrv.

Server

Name des Runtime-Servers.
Wird auch ein Standby-Server verwendet, wird dieser durch Komma getrennt eingetragen: Server,Standby

Wird nur zum Starten des zenon Web Client verwendet.

Achtung: Muss angegeben werden. Ausgenommen bei RegSrv und UnregSrv.

Load

Wird derzeit nicht verwendet.

Wird nur zum Starten des zenon Web Client verwendet.

32-Bit Signed Integer

  • 0: FALSE
  • Andere Werte: TRUE

Default: TRUE

Angabe ist optional.

RuntimeFilesFolder

Unterpfad. Wird beim Aufbau des Projektdatei-Pfades zwischen Pfad und Projektnamen eingefügt. Der Pfad wird aus der zenon6.ini ausgelesen oder Default auf %temp%\zenWebCli gesetzt.

Wird nur zum Starten des zenon Web Client verwendet.

Angabe ist optional.

ScrollV

Position auf der vertikalen Bildlaufleiste.
Wird nur zum Starten des zenon Web Client verwendet.

  • Wertebereich: 0 bis 100

Default: 0

Angabe ist optional.

ScrollH

Position auf der horizontalen Bildlaufleiste.
Wird nur zum Starten des zenon Web Client verwendet.

  • Wertebereich: 0 bis 100

Default: 0

Angabe ist optional.

InitFunction

Name der Funktion, die beim Starten des zenon Web Client ausgeführt werden soll. Wird nur zum Starten des zenon Web Client verwendet.

Default: keine Funktion ausführen

Angabe ist optional.

WebServer

Name des zenon Web Server.

Wird auch ein Standby-Server verwendet, wird dieser durch Komma getrennt eingetragen: Server,Standby

Wird nur zum Starten des zenon Web Client verwendet.

Achtung: Muss angegeben werden. Ausgenommen bei RegSrv und UnregSrv.

Zoom

Flag, ob Größe des zenon Web Client an den verfügbaren Platz angepasst wird. Wird nur zum Starten des zenon Web Client verwendet.

32-Bit Signed Integer

  • 0: FALSE
  • Andere Werte: TRUE - Bilddlaufleisten werden vermieden.

Default: FALSE

Angabe ist optional.

UseHTTP

Flag, ob der zenon Web Client HTTP Tunnelling verwendet.
Wird nur zum Starten des zenon Web Client verwendet.

32-Bit Signed Integer

  • 0: FALSE
  • Andere Werte: TRUE - Bilddlaufleisten werden vermieden.

Default: FALSE

Angabe ist optional.

Silent

Schaltet den zenon Web Client Starter in den Silent-Modus.
Darf keinen Wert haben.

Verhalten siehe Abschnitt Details zum Silent-Modus.

Default: nicht Silent

Angabe ist optional.

WindowStyle

Stil des Fensters, in dem der zenon Web Client angezeigt wird. Wird nur zum Starten des zenon Web Client verwendet.
Entspricht den möglichen Werten der Projekteigenschaft Runtime-Titel im zenon Editor.

Mögliche Werte:

  • Default: Entspricht Titel mit System, Min. und Max. Schaltfläche.
  • NotClosable: Entspricht Titel mit Min. und Max. Schaltfläche.
  • NotResizable: Entspricht Titel mit Systemmenü.
  • TitleOnly: Entspricht Titel ohne Schaltflächen.
  • FullScreen: Entspricht Kein Titel (gesamter Bildschirm).

Angabe ist optional.

Version

Mindestversion für zenon Web Client Starter.

Wird nur zum Starten des zenon Web Client verwendet.

Ist die Version kleiner als die hier festgelegte, wird eine Fehlermeldung ausgegeben.

  • Syntax für Werte: [32-bit unsigned int].[32-bit unsigned int].[32-bit unsigned int].[32-bit unsigned int]
    Statt Punkt (.) kann auch Komma (,) verwendet werden.

Default: keine Versionsprüfung

Angabe ist optional.

Details zum Silent-Modus

Verhalten beim Start im Modus:

  • Nicht Silent:
    • Fehler werden über Nachrichtenfenster angezeigt.
    • Erfolgsmeldungen für Registrieren/Deregistrieren werden über Nachrichtenfenster angezeigt.
  • Silent:
    • Es werden keine Nachrichtenfenster angezeigt.
    • Alle Fehler- und Erfolgsmeldungen werden über STDOUT ausgegeben.
    • STDOUT kann in eine Datei umgeleitet werden.
      Operatoren:

      >: Ausgabe umleiten und Datei überschreiben.

      >>: Ausgabe umleiten und an existierende Datei anhängen.

Beispiele

Beispiele für den Start über die Kommandozeile:

  • Registrierung mit Nachrichtenfenster:

    zenWebClientStarter.exe -RegSrv

  • Registrierung ohne Nachrichtenfenster mit Umleitung in eine Datei (überschreibend):

    zenWebClientStarter.exe –RegSrv –Slient > C:\Temp\Log.txt

  • Deregistrierung ohne Nachrichtenfenster mit Umleitung in eine Datei (anhängend):

    zenWebClientStarter.exe –UnregSrv –Slient >> C:\Temp\Log.txt

  • zenon Web Client startet mit Nachrichtenfenster mit Init-Funktion und HTTP Tunnelling:

    zenWebClientStarter.exe –Project THE_PROJECT –Server RuntimeServer.Domain –WebServer WebServer.Domain –InitFunction TheFunction –UseHTTP 1

  • zenon Web Client startet mit Nachrichtenfenster im Fullscreen Modus:

    zenWebClientStarter.exe –Project THE_PROJECT –Server RuntimeServer.Domain –WebServer WebServer.Domain –WindowStyle FullScreen

URL-Syntax

URL-Syntax: <a href="ScadaWebClient:[ArgumentName1]=[Wert1]&amp;[ArgumentName2]=[Wert2]&[ArgumentNameOhneWert]"/>

  • Das &-Trennzeichen kann für den zenon Web Client Starter sein:
    • escaped (&amp;): Browser ausgenommen Internet Explorer
    • unescaped (&): Internet Explorer
  • Wird der Protokolltyp vom Browser nicht entfernt, wird das vom zenon Web Client Starter erkannt
  • Anführungszeichen am Anfang und Ende werden vom zenon Web Client Starter entfernt.

Beispiele:

  • Ohne Anführungszeichen, Ohne Protokoll, Trennzeichen unescaped:

    Project=THE_PROJECT&Server=RuntimeServer.Domain&WebServer=WebServer.Domain&WindowStyle=FullScreen

  • Ohne Anführungszeichen, Ohne Protokoll, Trennzeichen escaped:

    Project=THE_PROJECT&amp;Server=RuntimeServer.Domain&amp;WebServer=WebServer.Domain&amp;InitFunction=TheFunction&amp;UseHTTP=1

  • Ohne Anführungszeichen, Mit Protokoll, Trennzeichen escaped:

    ScadaWebClient:Project=THE_PROJECT&amp;Server=RuntimeServer.Domain&amp;WebServer=WebServer.Domain&amp;Zoom=1

  • Mit Anführungszeichen, Mit Protokoll, Trennzeichen escaped:

    „ScadaWebClient:Project=THE_PROJECT&amp;Server=RuntimeServer.Domain&amp;WebServer=WebServer.Domain&amp;ScrollV=50&amp;ScrollH=50"


Spracheinstellung des zenon Web Clients

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > Spracheinstellung des zenon Web Clients

Um die Sprache für den Web Client zu konfigurieren:

  1. Starten Sie das Startup Tool.
  2. Wählen Sie den Menüeintrag General.
  3. Wählen Sie in der Dropdownliste Language for Editor and Runtime die gewünschte Sprache.

Verfügbare Sprachen für den Web Client:

  • Chinesisch
  • Deutsch
  • Englisch
  • Französisch
  • Italienisch
  • Russisch
  • Spanisch
  • Tschechisch

info Info

Weitere Informationen für die Spracheinstellung im Startup Tool erhalten Sie im Handbuch Tools im Kapitel General.


zenon Web Client im redundanten Netzwerk

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > zenon Web Client im redundanten Netzwerk

Bei einer redundanten zenon Netzwerkkonfiguration ist die Rollenvergabe Prozessführender Server und Standby Server abhängig vom eingestellten Redundanzmodus. Dabei kann sich die Rolle der projektierten Rechner Server 1 und Server 2 zur Runtime, abhängig von der Konfiguration des Redundanzmodus und der aktuellen Bewertung (bei Redundanzmodus Bewertet), über die Zeit ändern.

Konfigurieren Sie deshalb beide Server für den zenon Web Server. Dazu ändern Sie in der Konfigurationsdatei global_vars.js die Zeile mit dem Eintrag RUNTIMESERVER= und tragen Sie dort die beiden Rechner ein.

Die Reihenfolge sollte dabei der Projektierung im zenon Editor entsprechen.

Informationen zur Konfiguration finden Sie im Kapitel Konfiguration der global_vars.js.

Geänderte Serverprojektierung

Stimmen die im Editor projektierten Servernamen nicht mit den Servernamen der global_vars.js überein, startet der zenon Web Client nicht.

Wird die Projektierung der Server in zenon für ein laufendes System geändert, wird im zenon Web Client der Dialog "Die Runtime ist ausgelastet" angezeigt.

Nach einem Projektabgleich werden in einem weiteren Dialog die aktuell laufende und die tatsächliche Projektierung angezeigt. In diesem Fall muss das Browserfenster vom Benutzer geschlossen und der zenon Web Client neu gestartet werden.

attention Achtung

Wird die Projektierung von Server 1 und Server 2 im zenon Editor geändert, ist auch die Datei global_vars.js entsprechend anzupassen.

Weitere Informationen dazu erhalten Sie im Handbuch zenon Webserver im Kapitel Konfiguration der global_vars.js.


Erstellen der HTML-Seite für den Projekteinstieg

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > Erstellen der HTML-Seite für den Projekteinstieg

Damit der Web Browser den zenon Web Client starten und sich zum entsprechenden Prozessführenden Server verbinden kann, bedarf es einer Projekteinstiegsseite. Diese Seite enthält den dafür notwendigen Code. Als Skriptsprache wird dazu Java Script verwendet.

Voraussetzungen:

  • Java Script muss im Browser aktiviert sein.
  • Der zenon Web Client muss lokal auf dem Rechner installiert sein, auf dem der Web Browser ausgeführt wird.

Empfehlung: Schalten Sie vor die Projekteinstiegsseite (init.htm) eine Startseite (index .htm ) , die den Download des zenon Web Clients ermöglicht. Diese Startseite enthält Hyperlinks:

  • Zum Download des zenon Web Client Controls.
  • Zur Projekteinstiegsseite init.htm, die einen Browsercheck ausführt und die Verbindung zum zenon Web Server und zum Prozessführenden Server herstellt.

Noch in diesem Kapitel

Beispiel Projekteinstiegsseite init.htm für TCP und HTTP


Beispiel Projekteinstiegsseite init.htm für TCP und HTTP

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > Erstellen der HTML-Seite für den Projekteinstieg > Beispiel Projekteinstiegsseite init.htm für TCP und HTTP

Auf der Projekteinstiegsseite prüft ein Browsercheck, welchen Browser der zenon Web Client verwendet. Je nach Ergebnis wird der zenon Web Client gestartet oder eine Fehlermeldung ausgegeben.

Beispiel Projekteinstieg:

Die Einstiegsseite ruft drei Skripte auf, um den verwendeten Browser zu prüfen und entweder die Verbindung zur Runtime herzustellen oder eine Fehlermeldung auszugeben:

  • global_vars.js: definiert Werte der Übergabeparameter zum Starten des zenon Web Clients
  • browsercheck.js: prüft die Version des Browsers
  • initcode.js: definiert Funktionen, die zum Starten des zenon Web Clients verwendet werden

Hinweis: Die Einstellungen unterscheiden sich für Verbindungen via TCP und via HTTP nur durch den Eintrag UseHTTP .


index.htm

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > index.htm

Die Seite index.htm ist die Startseite für unser Beispiel. Sie startet per Default in Englisch und kann direkt auf der Seite, rechts oben, in anderen Sprachen umgeschaltet werden.

Die Seite index.htm:

  • Informiert über kompatible Browser.
  • Bietet Links zum Start des zenon Web Clients.
  • Bietet Link zur Installation des zenon Web Client Controls; Dieses ist nötig, wenn auf dem Rechner mit dem zenon Web Client kein zenon installiert ist.
  • Ruft beim Start des zenon Web Clients die Projekteinstiegsseite init.htm auf, die auch den Browsercheck durchführt.


init.htm

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > init.htm

Die init.htm überprüft den verwendeten Browser und startet dann entweder das Projekt oder gibt eine Fehlermeldung aus.

Dazu werden drei Skripte benutzt:

  1. Die Konfiguration wird aus global_vars.js geladen.
  2. Der Browser wird durch browsercheck.js bestimmt.
  3. Wenn es sich um einen unterstützten Browser handelt, wird die passende Funktion zum Einbinden des zenon Web Clients aus initcode.js ausgeführt.

Beispiel:

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("invalid parameter");

break;

}

</script>

</html>


browsercheck.js

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > browsercheck.js

Dieses Javascript findet heraus, welcher Browser den zenon Web Client starten will und gibt das Ergebnis an die init.htm zurück.

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE = (UserAgent.lastIndexOf('Trident') != -1); // search for rendering engine

if(fWin32)

{

//Win32-Browser

if(fMSIE)

{

//Internet Explorer --> use ActiveX-Control

return "IEXPLORER";

}

}

//Non-Win32-Browser or not supported Browser (Opera, ...)

return "UNSUPPORTED_BROWSER";

}


initcode.js

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Erforderliche Komponenten und ihre Definitionen > zenon Web Client Installation > initcode.js

Dieses Javascript setzt den <object> Eintrag zum Starten des zenon Web Clients.

Skript:

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION,HTTP) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="npzenWebCli.dll#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write (' <PARAM NAME="UseHTTP" VALUE="' +HTTP + '">');

document.write (' <PARAM NAME="RuntimeFilesFolder" VALUE="' +RUNTIMEFILESFOLDER+ '">');

document.write ('</object>');

}


Projektkonfiguration

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Projektkonfiguration

Das Projekt, das über den zenon Web Server gestartet werden soll, benötigt folgende Grundeinstellungen im zenon Editor:

  • Projekteigenschaft -> Netzwerk -> Netzwerk aktiv aktivieren.
  • Projekteigenschaft -> Netzwerk -> Server 1 -> Name des Rechners, der zur Runtime als Server fungiert.
    Bei redundanter Konfiguration muss auch die Eigenschaft Server 2 konfiguriert werden.
  • Dieser Rechnername muss auch in der Projekteinstiegsseite (globalvars.js) angegeben werden, damit eine Verbindung hergestellt werden kann.

attention Achtung

Die Konfiguration für Server 1 und Server 2 muss in Projekt und zenon Web Server übereinstimmen. Auf keinen Fall dürfen sich die Angaben überkreuzen. Das bedeutet: Server 1 im Projekt darf nicht Server 2 am zenon Web Server entsprechen und umgekehrt.

zenon Web Server in Betrieb nehmen:

Um den zenon Web Server in Betrieb zu nehmen:

  1. Stellen Sie sicher, dass die WWW-Publishingdienste gestartet wurden und die Einstiegsseite bereit steht.
  2. Starten Sie das Runtime-Projekt am Rechner.
  3. Starten Sie den zenon Web Server.

attention Achtung

VBA/VSTA und Data Execution Prevention

Das Betriebssystem verhindert über die Funktion Data Execution Prevention (DEP) auch, dass VBA-Code im Browser ausgeführt wird.

Microsoft Internet Explorer 8 und 9:
Der Microsoft Internet Explorer bietet ab Version 8 die Möglichkeit, DEP für den Browser zu deaktivieren.

  • navigieren Sie zu Extras -> Internetoptionen -> Erweitert -> Sicherheit
  • deaktivieren Sie die Option Speicherschutz aktivieren, um das Risiko von Onlineangriffen zu verringern

Andere Browser und Internet Explorer ab Version 10 (ab Windows 8)

DEP muss komplett abgeschaltet werden, da der Browserprozess nicht explizit ausgenommen werden kann. Dies wird aus Sicherheitsgründen nicht empfohlen.

Um DEP abzuschalten:

  • starten Sie die Kommandozeile mit Administratorrechten
  • führen Sie folgenden Befehl aus:
    bcdedit.exe/set {current} nx AlwaysOff
  • starten Sie den Rechner neu

Die Einstellung kann mit dem Befehl bcdedit.exe/set {current} nx AlwaysOn wieder rückgängig gemacht werden.

Generelle Empfehlung: Verwenden Sie VSTA statt VBA.

Noch in diesem Kapitel

Generelle Einschränkungen

Verschlüsselung der Kommunikation im Netzwerk


Generelle Einschränkungen

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Projektkonfiguration > Generelle Einschränkungen

Projekte, die über einen zenon Web Client bedient werden, weisen folgende Einschränkungen auf:

  • Alarme:
    Das Quittieren von Alarmen ist nur bei Verwendung des zenon Web Server Pro möglich.
  • Befehlsgabe:
    Die Befehlsgabe ist nicht verfügbar.
  • Benutzerverwaltung

    AD und ADAM/ADLDS funktionieren mit bestimmten Einschränkungen(wie auch auf Standard-Clients):
    AD: die Rechner müssen sich in der gleichen Domäne befinden
    ADAM/ADLDS: der zenon Web Client benötigt eine physikalische Verbindung (plus offener Port) zum zenon Web Server und zum ADAM/ADLDS Server

  • Bilder:
    • Das Bild vom Typ Archiv-Nachbearbeitung ist nicht verfügbar.
  • Drucken:

    Vor dem ersten Drucken auf dem zenon Web Client muss die Funktion Drucker auswählen ausgeführt werden. Hier können die Drucker für den Client definiert werden. Diese Einstellungen werden in der zenon6.ini gespeichert, sodass dieser Vorgang nicht mit jedem neuen Druckauftrag neu ausgeführt werden muss.

  • IPA:

    Das Modul Industrial Performance Analyzer (IPA) ist nur auf zenon Web Clients in einem Intranet verfügbar, da über das Internet keine Verbindung zur Datenbank hergestellt werden kann. Bei einer Verbindung im Intranet müssen die Datenbank-Berechtigungen beachtet werden, damit ein Remote-Rechner in Form eines zenon Web Clients auf diese Datenbank zugreifen kann.

  • Menüs

    Im zenon Web Client werden Hauptmenüs nicht angezeigt.

  • Bildschirm Verwaltung:

    Die Bildschirm Verwaltung funktioniert nur eingeschränkt. Der zenon Web Client kann nur mit einem Bildschirm betrieben werden.

  • PFS:

    Der Production & Facility Scheduler (PFS) ist nur ab Version 6.01 verfügbar.

  • Statusinformationen:

    Die Statusinformationen, die durch ein gedrückt Halten der rechten Maustaste angezeigt werden, sind nur teilweise verfügbar.

  • Prozess Rekorder:
    Wiedergabe ist nicht verfügbar.
  • Projektsimulation:
    Die Projektsimulation ist nicht verfügbar.
  • Tastenkombinationen:

    Die Tastenkombinationen auf Buttons wie z. B. F3 sind nicht verfügbar.

  • VBA:

    VBA ist nur verfügbar, wenn VBA auf dem zenon Web Client manuell installiert wurde. Für detaillierte Informationen wenden Sie sich an den zenon Support.

    Hinweis: Messageboxen von VBA Makros werden im zenon Web Client nicht angezeigt, wenn der Internet Explorer als Web Browser verwendet wird.

  • VSTA: zenon Web Server und zenon Web Client unterstützen VSTA in unterschiedlicher Ausprägung.

    Generell unterstützt der zenon Web Client VSTA, ausgenommen:

    • debuggen
    • Funktion VSTA Editor Anzeigen
    • kompilieren

    Details siehe Kapitel VSTA mit zenon Web Client, zenon Web Server und zenon Web Server Pro.

  • zenon Logic wird vom zenon Web Client nicht unterstützt.

Zusätzliche Einschränkungen für Windows CE:

  • Es können maximal drei zenon Web Clients gleichzeitig mit einer CE Runtime verbunden sein.
  • Der zenon Web Server muss auf demselben Gerät laufen wie die CE Runtime, mit der er verbunden sein soll. Eine Verbindung zu einer CE Runtime auf einem anderen Gerät ist nicht möglich.

Die Lizenzierung des zenon Web Servers für CE erfolgt über die Remote Lizenzierung.


Verschlüsselung der Kommunikation im Netzwerk

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Projektkonfiguration > Verschlüsselung der Kommunikation im Netzwerk

Ab zenon Version 7 kann die Kommunikation im Netzwerk mit starker Verschlüsselung geschützt werden.
Ab zenon Version 7.11 wurde die Konfiguration für die Verschlüsselung der Kommunikation des Web Servers in das Startup Tool integriert.

Um die Verschlüsselung im Web Client zu aktivieren:

  1. Starten Sie das Startup Tool
  2. Wählen Sie den Menüeintrag Options...
  3. Wechseln Sie in die Registerkarte Network configuration
  4. Aktivieren Sie die Checkbox Encrypt network communication, um die verschlüsselte Kommunikation des zenon Web Clients zu aktivieren.

info Info

Weitere Informationen für die Netzwerkkonfiguration im Startup Tool, erhalten Sie im Handbuch Tools, im Kapitel Network configuration.


IPv6

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > IPv6

Ab zenon Version 7.00 kann IPv6 im Netzwerk verwendet werden.

info Info

Mit IPv6 können mehr Benutzer und Geräte über das Internet kommunizieren, indem sie größere Zahlen zum Erstellen von IP-Adressen verwenden. Unter IPv4 ist jede IP-Adresse 32 Bit lang, wodurch 4,3 Milliarden eindeutige Adressen abgebildet werden können. Beispiel für eine IPv4-Adresse:

172.16.254.1

Zum Vergleich: IPv6-Adressen sind 128 Bit lang, was die Abbildung von ca. 340 Sextillionen (3,4e+38) eindeutiger IP-Adressen ermöglicht. Beispiel für eine IPv6-Adresse:

2001:db8:ffff:1:201:02ff:fe03:0405

IPv6 bietet aber noch andere Vorteile für den Netzwerkverkehr. In den meisten Fällen erkennen Computer und Programme IPv6-fähige Netzwerke und nutzen die entsprechenden Vorteile ohne weiteres Zutun durch den Benutzer. IPv6 befreit auch von anderen Netzwerkproblemen, die aufgrund des begrenzten Adressraums von IPv4 auftreten können. Beispiel: IPv6 reduziert die Notwendigkeit von Netzwerkadressübersetzungen (NAT), einem Dienst, durch den mehrere Clients eine gemeinsame IP-Adresse verwenden können, der aber nicht immer verlässlich funktioniert.

Das zenon Netzwerk erlaubt wahlweise die Verwendung von IPv6 oder IPv4. Dualer Betrieb ist nicht möglich. Die Einstellung wird getroffen über:

  • Network configuration im Startup Tool
    oder
  • in der zenon6.ini

Achtung: IPv6 funktioniert nur ab Version 7.
Bei aktiver Option können keine Versionen vor 7 gestartet werden. Das betrifft insbesondere zenAdminSrv, zenSysSrv, zenLogSrv und zenDBSrv.

Folgende Komponenten sind von der Einstellung nicht betroffen, diese nutzen immer IPv4:

  • Treiberkommunikation mit den Steuerungen
  • Protokollkommunikation in den Process Gateway-Plugins
  • Workbench- und Runtimekommunikation in zenon Logic

Diagnosis Viewer

Der Diagnosis Server funktioniert auch mit Diagnose Clients, die über IPv6-Adressen angesprochen werden. Dafür wurde das Format der LOG-Dateien angepasst. Der Diagnosis Viewer liest nur das neue Format der LOG-Dateien. Werden Dateien von älteren zenon Versionen geöffnet (oder umgekehrt), wird die IP-Adresse des Diagnose Clients nicht korrekt angezeigt.


Redundanzbetrieb

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Redundanzbetrieb

Der zenon Web Server kann auch redundant betrieben werden. Fällt ein zenon Web Server aus oder wird gestoppt, wechselt der zenon Web Client automatisch zum Standby zenon Web Server.

attention Achtung

Ein automatisches Zurückwechseln wie beim Prozessführenden Server erfolgt nicht. Der zenon Web Client bleibt solange mit dem Standby zenon Web Server verbunden, bis:

  • der zenon Web Client neu gestartet wird oder
  • der Standby zenon Web Server gestoppt wird oder ausfällt

Dann versucht der zenon Web Client sich wieder mit dem als Standard definierten ersten zenon Web Server zu verbinden.

Wir nur ein zenon Web Server eingesetzt, wird dringend empfohlen, diesen nicht auf dem Prozessführenden Server odem dem Standby Server zu betreiben. Bei Ausfall eines dieser Rechner würde der zenon Web Server ebenfalls ausfallen.


HTTP Tunneling

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > HTTP Tunneling

Der zenon Web Server kann, anstelle von TCP-Verbindungen, auch HTTP-Verbindungen annehmen. HTTP-Verbindungen werden nur von zenon Web Clients akzeptiert. Die Verbindung vom zenon Web Server zum Prozessführenden Server erfolgt immer über TCP. Für jede Verbindung vom zenon Web Client zum zenon Web Server wird eine eigene HTTP-Verbindung aufgebaut.

Per Default werden Verbindungen über TCP aufgebaut.

Um HTTP tunnelling zu verwenden, muss:

  • HTTP über den Konfigurationsdialog oder einen Eintrag in der zenon6.ini aktiviert werden.
  • der Port 8080 oder der in zenon6.ini konfigurierte Alternativport am Rechner des zenon Web Servers erreichbar sein.
  • die Projekteinstiegsseite für zenon Web Clients, die sich zum zenon Web Server mit HTTP-Tunnelling verbinden sollen, den Parameter UseHTTP mit einem Wert ungleich 0 im <embed> und <object> Eintrag aufweisen.

Hinweis: Unter Windows CE steht HTTP-Tunnelling nicht zur Verfügung.

Konfiguration des Ports:

Auf dem Rechner mit dem zenon Web Server:

  1. Öffnen Sie die zenon6.ini Datei.
  2. Navigieren Sie zum Eintrag NET_PROXYPORT= oder erstellen Sie diesen.
  3. Setzen Sie den gewünschten Port.

    Default: 8080
    Der zenon Web Server lauscht an diesem Port, zenon Web Client verbindet sich zu diesem Port.

  4. Speichern Sie die zenon6.ini Datei.

Auf dem Rechner mit dem zenon Web Client:

  • Konfigurieren Sie den HTTP Port auch in der zenon6.ini Datei auf dem Rechner mit dem zenon Web Client, indem Sie die oben genannten Schritte nochmal auf diesem Rechner durchführen.

Hinweis: Jede Änderung an der Portnummer in der zenon6.ini Datei auf dem Rechner mit dem zenon Web Server, muss analog auf alle Rechner mit dem zenon Web Client konfiguriert werden. Des Weiteren muss eventuell der HTTP-Port manuell, auf dem Rechner mit dem zenon Web Server in der Windows Firewall, als Ausnahme-Port für eingehende Verbindungen konfiguriert werden.

Ablauf:

Der zenon Web Client schickt seine Nachrichten für den Runtime-Server per HTTP-POST an den zenon Web Server. Dieser leitet sie per TCP über die zugeordnete Verbindung zum Runtime-Server weiter. Der Runtime-Server schickt seine Nachrichten für den zenon Web Client per TCP an den zenon Web Server, der sie puffert.

Der Puffer einer Verbindung wird vom zenon Web Client durch HTTP-GET-Anfragen geleert. Ist keine Nachricht für eine Verbindung verfügbar, so wartet der Client für eine konfigurierbare Zeit (Eintrag POLLING_INTERVALL in zenon6.ini mit Default 2 Sekunden).

Details siehe Kapitel Ablauf bei HTTP-Verbindung.

Fehlermeldungen:

Bei aktiver HTTP-Verbindung werden im Diagnosis Viewer teilweise anstelle netzwerkspezifischer Meldungen HTTP-spezifische Meldungen angezeigt. Zum Beispiel bei Verbindungsaufbau und -abbau oder bei HTTP-Fehler.

Noch in diesem Kapitel

Ablauf bei HTTP-Verbindung


Ablauf bei HTTP-Verbindung

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > HTTP Tunneling > Ablauf bei HTTP-Verbindung

Wenn ein zenon Web Client gestartet wird, verbindet er sich über den zenon Web Server zum Prozessführenden Server:

  1. Der Benutzer startet den Browser und öffnet die Projekteinstiegsseite.
  2. Die Projekteinstiegsseite veranlasst den Browser, den zenon Web Client mit der vorgegebenen HTTP Tunnelling Konfiguration zu starten.
  3. Der zenon Web Client baut 3 HTTP-Verbindungen (Steuer-, Daten- und Dateiabgleich-Verbindung) zum zenon Web Server auf:
    1. Eine Verbindungs-ID wird vom zenon Web Client angefordert.
    2. Der zenon Web Server sendet eine freie Verbindungs-ID, wenn eine verfügbar ist. Die gesendete ID wird in der Liste vergebener Verbindungs-IDs eingetragen. Dies geschieht, damit keine ID zweimal vergeben werden kann und um die HTTP-Verbindung auf eine TCP-Verbindung umlegen zu können.
    3. Das Netzwerk-Init-Paket wird über die HTTP-Verbindung zum zenon Web Server gesendet.
    4. Der zenon Web Server prüft, ob dieser zenon Web Client bereits in der Liste der aktiven Clients ist. Ist der Client neu, wird geprüft, ob die maximale Client-Anzahl bereits erreicht wurde. Kann die Client-Verbindung akzeptiert werden, so wird eine TCP-Verbindung zur Runtime hergestellt und das Init-Paket weitergeleitet. Die angenommene Client-Verbindung und die hergestellte Server-Verbindung werden bis Verbindungsende aufeinander umgelegt: Daten von der Client-Verbindung werden über die Server-Verbindung weitergeleitet und umgekehrt.
  4. Datenaustausch:
    1. Der zenon Web Server arbeitet als Protokoll-Übersetzer zwischen TCP und HTTP und puffert die Nachrichten.
    2. Daten von der Runtime für den zenon Web Client werden am Server zwischengespeichert. Der zenon Web Client ruft diese durch GET-Anfragen ab.
    3. Daten vom zenon Web Client für die Runtime werden vom zenon Web Client mittels POST-Anfrage gesendet und vom zenon Web Server zur Runtime weitergeleitet.
  5. Wird der zenon Web Client im Browser beendet (Browser wird geschlossen oder die Projekteinstiegsseite wird verlassen), so werden die Verbindungen vom zenon Web Client abgebaut.
    1. Der zenon Web Client sendet ein Netzwerk-Ende-Paket an den zenon Web Server. Der zenon Web Server leitet dieses an die Runtime weiter, beendet die Verbindung und räumt die belegten Ressourcen (Arbeitsspeicher, Ports, Verbindungs-ID …) auf.
    2. Beim Aufräumen auf der Client-Seite wird zusätzlich ein HTTP-Ende-Paket an den zenon Web Server gesendet, um sicherzustellen, dass die Verbindungs-ID aus der Liste entfernt wurde.


Unterstützte Web Browser

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Unterstützte Web Browser

Der zenon Web Client kann über den COPA-DATA Web Client Starter beliebige Browser nutzen.

Achtung: Die 64-Bit Version des Internet Explorer 11 unterstützt kein ActiveX und kann daher nicht als zenon Web Client verwendet werden.

info Info

Der Browser für den zenon Web Client muss eines der folgenden Betriebssysteme unterstützen:

  • Windows 8 und 8.1
  • Windows Server 2008 und 2008 R2
  • Windows 10
  • Windows Server 2012

Andere Betriebssysteme wie Windows CE, Linux oder sonstige sind nur in Verbindung mit einem Terminal Server verwendbar.


Ordner für Runtime-Dateien

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Ordner für Runtime-Dateien

Der zenon Web Server speichert die Runtime-Dateien standardmäßig im Ordner %Temp%\zenWebCli.

%Temp% bezeichnet unter Windows den temporären Dateiordner. Dieser wird für jeden Benutzer individuell gespeichert und kann unter Systemsteuerung -> System -> Erweiterte Systemeinstellungen -> Umgebungsvariablen verändert werden.

Hinweis: Der Ordner %Temp% ist benutzerabhängig. Jeder Windows Benutzer lädt somit die Runtime-Dateien vom Prozessführenden Rechner.

attention Achtung

Bei Verwendung des Microsoft Internet Explorers im Geschützten Modus werden die Runtime-Dateien im Ordner %Temp%\Low gespeichert.

Über einen Eintrag in der zenon6.ini können Sie einen beliebigen Ordner als Ablage-Ort für die Runtime-Dateien festlegen:

  1. Öffnen Sie die Datei zenon6.ini.
  2. Navigieren Sie zum Abschnitt

    [PATH]

  3. Erstellen oder modifizieren Sie den Eintrag

    WEB_PROJECT_PATH=


VSTA und VBA mit zenon Web Client, zenon Web Server und zenon Web Server Pro

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > VSTA und VBA mit zenon Web Client, zenon Web Server und zenon Web Server Pro

Hinweis: VBA wird von zenon in zenon Web Server und zenon Web Server Pro unterstützt. Aus Sicherheitsgründen wird jedoch empfohlen, auf VSTA umzusteigen. Weitere Informationen zu VBA erhalten Sie im Handbuch Makroliste.

VSTA wird von zenon in zenon Web Server und zenon Web Server Pro in unterschiedlicher Ausprägung unterstützt.

Funktion

zenon Web Client mit zenon Web Server Standard

zenon Web Client mit zenon Web Server Pro

VSTA-Makro Dialog anzeigen

+

+

VSTA-Makro ausführen

+

+

VSTA-Editor öffnen

-

-

VSTA Events

+

+

Anmerkung
  • Es werden keine Werte auf zenon Variablen geschrieben.
  • Windows Messageboxen können geöffnet werden.
  • Kompilieren und debuggen ist nicht möglich.
    Dazu muss eine Standard zenon Runtime verwendet werden.
  • Alle zenon VSTA Funktionalitäten sind vollständig verfügbar.
  • Kompilieren und debuggen ist nicht möglich.
    Dazu muss eine Standard zenon Runtime verwendet werden.

Installation:

Für die Verwendung von VSTA

  • müssen folgende Applikationen am System vorhanden sein oder manuell installiert werden:
    • Microsoft Visual Studio Tools for Applications 2.0 (VSTA 2.0)
    • Microsoft .NET Framework 3.5

    Beide Programme befinden sich auf dem Installationsmedium für den zenon Web Server oder für zenon 8.00.

  • muss sich die VSTAIntegration.dll im zenon Programmordner befinden.
    Diese wird bei der Installation von zenon automatisch installiert.

INI-Einträge:

In der zenon6.ini müssen folgende Einträge gesetzt werden:

[VSTA]

ON=1

CSHARP=1

[VBA]

EIN=1

EVENT=1


Bildschirmauflösung und Bildschirmverwaltung

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Bildschirmauflösung und Bildschirmverwaltung

Die zenon Bildschirmverwaltung steht im zenon Web Client mit Einschränkungen zur Verfügung.

Wichtig für die Projektierung: Die automatische Anpassung der Auflösung an den Client kann im Web-Einsatz nicht verwendet werden. Deshalb muss bereits bei der Projektierung die Bildschirmgröße passend gesetzt werden. Standardmäßig verwendet der zenon Web Client die beim Projekt eingestellte Bildschirmgröße: Projekteigenschaften -> Grafische Ausprägung -> Bildschirmverwaltung -> Klick auf Schaltfläche ... -> Registerkarte Allgemein - Bildschirmauflösung.

Die Auflösung kann über eine Einstellung des zenon Web Clients skaliert werden. Details siehe Kapitel Konfiguration der Beispielseite.

Mit Hilfe der Zoom-Eigenschaft kann der zenon Web Client auf die Größe eines ActiveX-Elements gezoomt werden.

Größe im Browser:

Der Browser benötigt immer einen Bereich der Bildschirmfläche für Menüs und Scrollbalken. Der Bereich, der dem zenon Web Client zur Darstellung zur Verfügung steht, ist daher immer kleiner als die eingestellte Bildschirmauflösung. Wenn Sie im Browser ein Vollbild des Projekts haben möchten, müssen Sie die Bildschirmgröße kleiner einstellen, als die tatsächlich am zenon Web Client vorhandene Bildschirmgröße.

Zum Beispiel:
Bildschirmauflösung am zenon Web Client PC: 1024x768 Pixel
Bildschirmgröße in der Bildschirmverwaltung: 800x600.

info Info

Wenn Sie die Mehrprojektverwaltung am zenon Web Client nutzen, muss die eingestellte Bildschirmgröße bei allen Projekten gleich sein!

Mehrbildschirmsystem:

In einem Mehrbildschirmsystem werden die Prozessbilder, wie im Profil projektiert, auf den verschiedenen reellen Bildschirmen aufgeschaltet. Beim Einsatz eines zenon Web Clients liegen diese dann außerhalb des sichtbaren Bereichs, können aber durch scrollen erreicht werden.

Empfehlung: Konfigurieren Sie das Bildschirmprofil so, dass alle Bildschirme auf den Hauptbildschirm gemapped werden, dann haben Sie direkten Zugriff auf alle Bildschirme.

info Info

Am zenon Web Client wird standardmäßig immer das Profil Standard geladen. Sie können aber über den Eintrag SCREENPROFILE= in der zenon6.ini ein anderes Bildschirmprofil vorgeben.


zenon Web Server in eine Internetumgebung einbinden

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > zenon Web Server in eine Internetumgebung einbinden

Hinweis: Soll der zenon Web Client den zenon Web Server über das Internet erreichen, wird empfohlen eine VPN Verbindung zwischen dem Netzwerk mit dem zenon Web Client Rechner, dem Netzwerk mit dem zenon Web Server Rechner und dem zenon Server herzustellen.

Um den zenon Web Server in eine Internetumgebung einzubinden:

  • muss eine eventuell vorhandene Firewall entsprechend konfiguriert werden:
    • Der Port 1102 auf der Firewall muss für eingehende Pakete offen sein, damit ein zenon Web Client auf einen zenon Web Server und damit auf einen Prozessführenden Server zugreifen kann.
    • NAT (Network Address Transformation) muss auf der Gateway-Station laufen. NAT wandelt die interne LAN Adresse in die Adresse der Gateway-Station um. Wenn, zum Beispiel, jemand innerhalb des LANs surft, sieht es von außen so aus, als ob immer die Gateway-Station die Anfragen senden würde.
    • Statische IP-Adresse für zenon Web Server:
      Die Firewall auf der Gateway-Station muss so konfiguriert sein, dass alle eingehenden Pakete für den Port 1102 automatisch an die Station mit dem zenon Web Server gesendet werden. Das bedeutet: Diese Station muss über eine statische IP-Adresse verfügen.
  • muss die Projekteinstiegsseite angepasst werden, damit der zenon Web Client weiß, auf welche Station im Internet er zugreifen muss. Die Anpassung erfolgt in global_vars.js oder bei älteren Versionen in project_A_X.html (X steht für die Sprachversion wie G für German):
    • Unter Webserver VALUE= WEB-SERVERNAME muss der Computername der Gateway-Station (die Station, die vom Internet aus sichtbar ist) und nicht der Computername des echten zenon Web Servers eingegeben werden. Der echte zenon Web Server ist vom Internet aus nicht sichtbar. Die Gateway-Station leitet die Anfragen des zenon Web Clients auf den Port 1102 dann automatisch an den echten zenon Web Server weiter.


Fehlerbehandlung

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung

Bekannte Fehlermeldungen oder Ausführungsfehler:

  • Absturz nach Browser Refresh
  • ActiveX control failed to load
  • ActiveX control nicht korrekt installiert
  • Ausnahmefehler Web Client ab Internet Explorer 8
  • HTTP Fehlermeldungen
  • Init Runtime Error
  • Keyboards in Firefox
  • Max. Clients erreicht

Noch in diesem Kapitel

Error 101

ActiveX control failed to load

ActiveX control nicht korrekt installiert

Ausnahmefehler zenon Web Client ab Internet Explorer 8

HTTP Fehlermeldungen

Init Runtime Error

Keyboards in Firefox

Max. Clients erreicht

Verhalten vom zenon Web Client bei Verbindungsverlust


Error 101

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > Error 101

Falls auf dem Client Rechner bereits ein zenon Web Client installiert war, kann es beim Verbinden vom zenon Web Client zum zenon Web Server oder Runtime Server folgende Fehlermeldungen auftreten:
Error 101
Das Projekt XXX wurde mit der Version XXX bearbeitet, und kann hier nicht geöffnet werden
In diesem Fall:

  1. zenon Web Clients deinstallieren.
  2. Rechner neu starten.
  3. zenon Web Client neu installieren.


ActiveX control failed to load

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > ActiveX control failed to load

Wenn der Browser einen Init Runtime Error ausgibt, gibt es mehrere mögliche Ursachen dafür. Die wahrscheinlichste:

  • Die Sicherheitseinstellungen des Browsers verhindern das korrekte Ausführen des ActiveX Controls.


ActiveX control nicht korrekt installiert

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > ActiveX control nicht korrekt installiert

Wenn der Browser nach dem Aufruf der Projekteinstiegsseite nur ein X anzeigt anstelle der Runtime:

  • wurde das ActiveX Control für den zenon Web Client nicht korrekt installiert
  • die falsche Version des zenon Web Clients installiert


Ausnahmefehler zenon Web Client ab Internet Explorer 8

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > Ausnahmefehler zenon Web Client ab Internet Explorer 8

Fehler

Der zenon Web Client wird mit einem Ausnahmefehler beendet, wenn im Projekt VSTA oder VBA ausgeführt wird.

Ursache

Der Microsoft Internet Explorer verfügt ab Version 8 über eine Einstellung zum Speicherschutz. Ist diese aktiv, führt das Ausführen von VBA zu einem Ausnahmefehler und zum Beenden des Internet Explorers. VSTA aktiviert immer auch VBA.

Behebung

Deaktivieren Sie den Speicherschutz im Internet Explorer unter:

Extras->Internetoptionen->Erweitert->Speicherschutz aktivieren, um das Risiko von Onlineangriffen zu verringern


HTTP Fehlermeldungen

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > HTTP Fehlermeldungen

Fehlermeldungen und ihre Bedeutung:

Eintrag | Level | Erklärung
NetSrv Error Do Send HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Der HTTP Web Server hat einen HTTP-POST-Request mit einem Fehler beantwortet.
NetSrv Error Do Send HTTP failed! | ERRORS | Die HTTP-POST-Anfrage ist fehlgeschlagen (z. B. Timeout).
NetSrv Error Do Send HTTP Server failed! Data Management Class Error! | ERRORS | Beim Speichern einer Nachricht in den Puffer am HTTP Web Server ist ein Fehler aufgetreten. Der Fehler ist in der Datenmanagementklasse aufgetreten.
NetSrv Error Do Send HTTP Server failed! | ERRORS | Beim Speichern einer Nachricht in den Puffer am HTTP Web Server ist ein Fehler aufgetreten. Der Fehler ist in der Pufferliste aufgetreten.
NetSrv Error Do Recv HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Der HTTP Web Server hat einen HTTP-GET-Request mit einem Fehler beantwortet.
NetSrv Error Do Recv HTTP failed! | ERRORS | Die HTTP-GET-Anfrage ist fehlgeschlagen (z. B. Timeout).
NetSrv Error Do Recv HTTP Server failed! Data Management Class Error! | ERRORS | Beim Lesen einer Nachricht aus dem Puffer am HTTP Web Server ist ein Fehler aufgetreten. Der Fehler ist in der Datenmanagementklasse aufgetreten.
NetSrv Error Do Recv HTTP Server failed! Buffer Too Small! | ERRORS | Das aus der Pufferliste gelesene Paket ist zu groß für den Datenpuffer. Hinweis: Aufgrund der einheitlichen maximalen Paketgröße, die auch als Pufferlängendefinition dient, sollte dieser Fehler eigentlich nie auftreten.
NetSrv Error Do Recv HTTP Server failed! Error While Copying Data Into Buffer! | ERRORS | Beim Kopieren der Daten aus der Pufferliste ist ein Fehler aufgetreten.
Error Out Of Memory While Adding Data to HTTP GET Response | ERRORS | Das Anlegen eines Speicherbereichs beim Zusammenstellen einer HTTP Antwort am HTTP Web Server war nicht möglich.
Error On Adding Data to HTTP GET Response | ERRORS | Beim Kopieren der Daten aus der Pufferliste in die HTTP Antwort ist ein Fehler aufgetreten.
HTTP Send Get Response Failed: [Status] | ERRORS | Das Senden der Antwort auf eine HTTP-GET-Anfrage ist fehlgeschlagen. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
Error Out Of Memory While Receiving Data from HTTP POST | ERRORS | Das Anlegen eines Speicherbereichs beim Auslesen einer HTTP-POST-Anfrage am HTTP Web Server war nicht möglich.
Error on Receiving Data from HTTP POST [Status] | ERRORS | Das Auslesen der Daten aus der HTTP-POST-Anfrage ist fehlgeschlagen. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
Error Data Block Of HTTP Post Request Too Large | ERRORS | Die Daten der empfangenen Anfrage überschreiten die definierte maximale Paketgröße.
HTTP Send Post Response Failed: [Status] | ERRORS | Das Senden der Antwort auf eine HTTP-POST-Anfrage ist fehlgeschlagen. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
Error Out Of Memory While Parsing HTTP Request | ERRORS | Das Anlegen eines Speicherbereichs beim Weitergeben einer HTTP-Anfrage an den zuständigen Thread war nicht möglich.
Memory Error on Creating Receive Buffer | ERRORS | Das Anlegen eines Speicherbereichs beim Erstellen des HTTP-Empfangspuffer war nicht möglich.
Error on Creating HTTP Request Event | ERRORS | Das Erstellen des Events für den Empfang von HTTP Anfragen ist fehlgeschlagen.
Error While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Beim Warten auf eine HTTP Anfrage ist ein Fehler aufgetreten. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
Unexpected Result While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Das Warten auf eine HTTP Anfrage lieferte ein nicht erwartetes Ergebnis. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
HTTP-Request Without ID Received | ERRORS | Die Verbindungs-ID in der HTTP-Anfrage war nicht vorhanden.
Error on Extracting HTTP-Request-ID From URL | ERRORS | Die Verbindungs-ID der HTTP-Anfrage konnte nicht ausgelesen werden.
Error: Closing HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | Es wurde versucht, eine nicht vorhandene oder bereits geschlossene Verbindung zu schließen. Dieser Fehler ist weniger kritisch, da die Aufforderung zum Löschen der Verbindungs-ID beim Aufräumen der Ressourcen einer Verbindung nach deren Ende öfter als einmal erfolgen kann.
HTTP-Request With Incompatible ID Format Received | ERRORS | Die Verbindungs-ID in der HTTP Anfrage hat nicht das erwartete Format.
Could Not Assign New HTTP ID Because The Map Is Full | ERRORS | Eine neue Verbindung konnte nicht akzeptiert werden, da kein Platz in der Verbindungsliste mehr ist. Die Liste bietet Platz für über 4,2 Milliarden Verbindungen, daher sollte diese Nachricht nie auftauchen.
Error During HTTP-Accept | ERRORS | Beim Akzeptieren einer HTTP-Verbindung ist ein Fehler aufgetreten.
Error On Sending HTTP ID: [Status] | ERRORS | Das Senden der HTTP Antwort mit der Verbindungs-ID für die neue Client-Verbindung ist fehlgeschlagen. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
Error: HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | Die Verbindungs-ID der HTTP-Anfrage konnte nicht aufgelöst werden.
Error: HTTP Request Could Not Be Assigned To The Socket | ERRORS | Die HTTP-Anfrage konnte nicht an den zuständigen Thread weitergegeben werden.
Unsupported HTTP-Request Received | ERRORS | Eine nicht unterstützte HTTP-Anfrage wurde Empfangen. Unterstützt werden GET und POST Anfragen.
Error While Receiving HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Beim Empfangen einer HTTP Anfrage ist ein Fehler aufgetreten.
Error on Removing HTTP Connection ID From The Map! | ERRORS | Beim Entfernen einer Verbindungs-ID aus der Liste ist ein Fehler aufgetreten. Verbindungs-IDs werden entfernt, wenn eine Verbindung geschlossen wird.
Removing HTTP Connection ID [ID] From The Map! | DEBUG | Die Verbindung wurde geschlossen und die ID wurde aus der Liste entfernt.
Error on Removing Non-Active HTTP Connection ID From The Map! | ERRORS | Beim Entfernen der Verbindungs-ID einer inaktiven Verbindung ist ein Fehler aufgetreten. Eine Verbindung ist dann inaktiv, wenn 5 Minuten lang keine HTTP-Anfragen empfangen wurden. Eigentlich sollte eine solche Verbindung schon vorher wegen dem Ausbleiben von Watchdogs entfernt werden.
Removing Non-Active HTTP Connection ID [ID] From The Map! | DEBUG | Die Verbindungs-ID wurde aus der Liste entfernt, da die Verbindung inaktiv ist. Eine Verbindung ist dann inaktiv, wenn 5 Minuten lang keine HTTP-Anfragen empfangen wurden. Eigentlich sollte eine solche Verbindung schon vorher wegen dem Ausbleiben von Watchdogs entfernt werden.
Error While Waiting for HTTP Connection Map Check [Status]! | ERRORS | Der Thread zum Prüfen der Verbindungs-ID hat beim Warten auf den nächsten Zyklus einen Fehler festgestellt und wird beendet. Der Statuscode ist ein System-Error-Code (in der MSDN Library nachschlagbar).
NetSrv Accept HTTP Client Socket Error On Starting HTTP Reply Thread | ERRORS | Der Thread zur Beantwortung von HTTP Anfragen konnte nicht gestartet werden.
NetSrv Info Accept HTTP Client IP:[IP-Adressr]:[Port] Ok | DEBUG | Die HTTP-Verbindung wurde erfolgreich angenommen.
NetSrv Memory Error Do Recv HTTP failed! | ERRORS | Es ist ein Fehler wegen zu wenig Arbeitsspeicher beim Empfangen von Daten über HTTP Tunnelling aufgetreten.

LOG-Einträge aus CNSBlockingSocketExceptions

Level: immer ERRORS

Eintrag: Exception-Text | Erklärung
Connect: HTTP Error | Der HTTP Web Server hat eine Verbindungs-ID-Anfrage mit einem Fehler beantwortet.
Connect: ID-Data did not have the expected Format | Die vom HTTP Web Server gelieferte Verbindungs-ID hat nicht das erwartete Format.
Connect: Server denied HTTP ID | Der HTTP Web Server hat die Erteilung einer Verbindungs-ID abgelehnt.
Connect: Error during ID-Acquisition | Beim Anfragen um eine Verbindungs-ID ist ein Fehler aufgetreten (z. B. Timeout).
HttpInitialize Failed | HTTP Server API konnte nicht initialisiert werden
HttpCreateHttpHandle Failed | Die HTTP Anfragen-Liste konnte nicht erzeugt werden
HttpAddUrl Failed | Der Server konnte nicht in den Listen-Modus gehen


Init Runtime Error

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > Init Runtime Error

Wenn der Browser einen Init Runtime Error ausgibt, gibt es mehrere mögliche Ursachen dafür:

  • Runtime am Runtime-Server ist nicht aktiv
  • SERVERNAME in Globalvars.js ist falsch geschrieben oder falsch angegeben (immer Großbuchstaben verwenden).
  • PROJEKTNAME in Globalvars.js ist falsch geschrieben oder falsch angegeben (immer Großbuchstaben verwenden).
  • Die Namensauflösung zwischen dem zenon Web Server und dem Prozessführenden Server ist im Netzwerk nicht gegeben.
  • Der zenon Web Server ist nicht gestartet.

Hinweise zur Fehlerursache finden Sie eventuell auch in der Datei zenNetErr.txt . Diese zeichnet Netzwerkinformationen auf.


Keyboards in Firefox

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > Keyboards in Firefox

Wenn individuelle Keyboards in Firefox nicht korrekt funktionieren, beachten Sie folgenden Hinweis:

attention Achtung

Individuell angepasste Bilder vom Typ Keyboard funktionieren unter Umständen mit dem Browser Mozilla Firefox nicht korrekt.

Ursache: Mozilla Firefox lädt neue Fenster im Hintergrund, ohne ihnen den Fokus zu geben. Je nach Projektierung, werden individuell angepasste Keyboard-Bilder geschlossen, sobald sie den Fokus verlieren.

Lösung: Benutzen Sie einen anderen Browser wie z. B. Microsoft Internet Explorer oder Google Chrome oder verwenden Sie die Schablonen-Option Schließen bei Fokusverlust. Dadurch ist auch eine korrekte Anzeige in Mozilla Firefox möglich.

Automatische Keyboards sind nicht betroffen!


Max. Clients erreicht

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > Max. Clients erreicht

Meldung auf dem zenon Web Client.

Mehr Clients als lizenziert, versuchen, sich zum zenon Web Server zu verbinden.


Verhalten vom zenon Web Client bei Verbindungsverlust

Handbuch > zenon Web Server > zenon Web Server, Web Server Pro und Web Server Pro Light > Fehlerbehandlung > Verhalten vom zenon Web Client bei Verbindungsverlust

Bei einem Verbindungsverlust zum Prozessführenden Server verwendet der zenon Web Client die nächste Verbindungskonfiguration.

Mögliche Gründe für einen Verbindungsverlust:

  • Der Prozessführende Server fällt aus und der Standby Server übernimmt seine Funktion.
  • Der Prozessführende Server kommt zurück und übernimmt wieder seine Funktion (= der Standby Server beendet die Verbindung).
  • Der gerade verwendete zenon Web Server fällt aus.

Die Verbindungskonfigurationen werden in dieser Reihenfolge durchiteriert (am Ende wieder von vorne):

  1. zenon Web Server und Prozessführender Server
  2. zenon Web Server und Standby Server
  3. Standby zenon Web Server und Prozessführender Server
  4. Standby zenon Web Server und Standby Server

Wenn ein Standby zenon Web Server konfiguriert, aber nicht erreichbar ist, geschieht Folgendes, wenn der Prozessführende Server zurückkommt:

  1. Der zenon Web Client ist gerade in Verbindungskonfiguration 2 und verliert die Verbindung, da der Prozessführende Server wieder die Prozessführung übernimmt.
  2. Der zenon Web Client versucht mit Verbindungskonfiguration 3 neu zu verbinden, läuft aber in ein Timeout da der Standby zenon Web Server nicht erreichbar ist.
  3. Der zenon Web Client versucht mit Verbindungskonfiguration 4 neu zu verbinden, läuft aber in ein Timeout da der Standby zenon Web Server nicht erreichbar ist.
  4. Der zenon Web Client versucht mit Verbindungskonfiguration 1 neu zu verbinden, was auch klappt. Der zenon Web Client ist wieder online.

Bei einem fehlgeschlagenen Verbindungsaufbau kann der zenon Web Client nicht feststellen, ob es der zenon Web Server (oder Standby zenon Web Server) oder der Prozessführende Server (oder Standby Server) ist, der nicht erreichbar ist, weshalb diese 4 Verbindungsmöglichkeiten durchiteriert werden müssen.


WPF-Element

Handbuch > WPF-Element

Mit dem Dynamischen Element WPF können gültige WPF/XAML-Dateien in zenon eingebunden und dargestellt werden.

Hinweis: Im zenon Editor wird der Standard-Tooltip für das WPF-Element nicht angezeigt, wenn eine .wpf Datei verknüpft ist. Weiters wird in der zenon Runtime der zenon Tooltip für WPF Elemente nicht unterstützt.

info Info

Alle Marken- und Produktnamen in dieser Dokumentation sind Warenzeichen oder eingetragene Warenzeichen der jeweiligen Titelhalter.

Noch in diesem Kapitel

Grundlagen

Leitfaden für Designer

Leitfaden für Entwickler

Projektierung in zenon


Grundlagen

Handbuch > WPF-Element > Grundlagen

XAML

XAML steht für Extensible Application Markup Language und wird ['zæ:m?l] ausgesprochen. Die von Microsoft entwickelte XML basierte Beschreibungssprache definiert grafische Elemente, Animationen, Transformationen, Darstellungen von Farbverläufen, etc. in Silverlight- und WPF Oberflächen. Die Verwendung von XAML erlaubt es, Design und Programmierung strikt zu trennen. Der Designer bereitet beispielsweise die grafische Oberfläche vor und erstellt Basis-Animationen, die dann vom Entwickler/Projektant der die Anwendungslogik erstellt, aufgegriffen werden.

WPF

WPF steht für Windows Presentation Foundation und bezeichnet ein Grafik-Framework, welches Teil vom Microsoft .NET Framework ist.

  • WPF stellt ein umfangreiches Modell für den Programmierer bereit.
  • XAML beschreibt, basierend auf XML, als Auszeichnungssprache die Oberflächenhierarchie.
    Je nach Aufbau der XAML-Datei besteht die Möglichkeit, Eigenschaften, Ereignisse und Transformationen von WPF-Elementen mit Variablen und Funktionen von zenon zu verknüpfen.
  • Das Framework vereint die verschiedenen Bereiche einer Präsentation wie Benutzerschnittstelle, Zeichnen, Grafiken, Audio, Video, Dokumente und Typographie.

Zur Ausführung in zenon wird die Microsoft .NET Framework Version 3.5 oder höher benötigt.

info Info

Transparenz

Damit WPF-Controls, in denen ein transparenter Hintergrund definiert ist, auch transparent dargestellt werden, muss für Editor und Runtime auf dem Rechner:

  • das Betriebssystem mindestens Windows 8.1 sein
  • das .NET Framework mindestens in Version 4.6 installiert sein

Unter Windows 7 oder 8 werden die WPFs nicht transparent dargestellt. Stattdessen werden die transparenten Bereiche mit der am zenon Bild eingestellten Hintergrundfarbe gefüllt.

Noch in diesem Kapitel

WPF in der Prozessvisualisierung

Referenzierte Assemblies

Workflows


WPF in der Prozessvisualisierung

Handbuch > WPF-Element > Grundlagen > WPF in der Prozessvisualisierung

Für zenon eröffnet XAML individuelle grafische Gestaltungsmöglichkeiten. Anzeigenelemente und dynamische Elemente können unabhängig von der Projektierung grafisch angepasst werden. Zum Beispiel werden aufwändige Illustrationen erst von Designern erstellt und dann als XAML-Datei in zenon importiert sowie mit der gewünschten Logik verknüpft. Dafür bieten sich viele Anwendungsmöglichkeiten an, zum Beispiel:

Dynamische Elemente im Analog-Look

Grafiken müssen nicht mehr in zenon gezeichnet werden, sondern können direkt als XAML-Datei importiert werden. Das erlaubt den Einsatz von komplexen, aufwändig illustrierten Elementen in der Prozessvisualisierung. Spiegelungen, Schatten, 3D-Effekte etc. werden zum Beispiel als Grafik unterstützt. Die an die jeweilige Industrie-Umgebung angepassten Elemente ermöglichen intuitives Bedienen, analog den Bedienelementen an der Maschine.

Aufwändige Illustrationen für intuitives Bedienen

Die Einbindung von XAML basierenden Anzeigeelementen wertet Projekte grafisch auf und ermöglicht sehr einfach die übersichtlichere Prozessdarstellung. Auf Usability optimierte Elemente vereinfachen die Bedienung. Die übersichtliche Darstellung von Daten erleichtert die Rezeption von komplexen Inhalten. Die flexible Anpassungsmöglichkeit der einzelnen Elemente erhöht den Bedienkomfort. So ist es dem Projektanten möglich, eigenständig Anzeigenwerte, Skalen und Einheiten zu bestimmen.

Übersichtliche Datenpräsentation und Zusammenfassungen

Gruppierte Anzeigenelemente ermöglichen die übersichtliche Darstellung der wichtigsten Prozessdaten, so dass der Anlagenbediener stets über aktuelle Prozessabläufe informiert ist. Grafische Auswertungen, Anzeigenwerte und Regler können in einem Element gruppiert werden und ermöglichen eine schnelle und unkomplizierte Steuerung.

Industriespezifische Darstellungen

Elemente wie Thermometer, Skalen oder Bargrafen zählen zu den Basis-Elementen der Prozessvisualisierung. Durch XAML ist es möglich, diese grafisch an die jeweilige Industrie anzupassen. So finden Anlagenbediener die etablierten und gewohnten Elemente, die sie bereits von den Maschinen kennen, in der Prozessvisualisierung am Terminal wieder.

Anpassung an das Corporate Design

Illustrationen können an die jeweiligen Stilvorgaben des Unternehmens angepasst werden, um ein durchgängiges Erscheinungsbild bis hin zum einzelnen Prozessbild zu erreichen. Als Vorlage können dazu zum Beispiel die Standard-Bedienelemente von zenon verwendet werden, die dann an Farbwelten, Hausschriften und Illustrationsstile des Corporate Designs angepasst werden.


Referenzierte Assemblies

Handbuch > WPF-Element > Grundlagen > Referenzierte Assemblies

Mittels den WPF-Elementen können nicht nur Standardobjekte (Rechtecke, Grafiken, etc.), bzw. Effekte (Farbverläufe, Animationen, etc.) dargestellt werden, sondern auch customisierte User Controls (mit Logik im Code Behind), die als Assemblies referenziert werden.

So kann zum Beispiel ein User Control erstellt werden, das wie ein Tacho aussieht und spezielle Eigenschaften und optische Effekte anbietet, etwa eine Eigenschaft Value, die beim Setzen dazu führt, dass der Zeiger des Tachos sich bewegt und/oder der entsprechende Wert in einer Beschriftung anzeigt wird.

Ablauf:

  • Zeichnen Sie das Aussehen des User Controls mit Standard-Objekten, die von WPF angeboten werden.
  • Programmieren Sie die Eigenschaften und Interaktionen.
  • Kompilieren Sie das Gesamtpaket.

    Das Ergebnis liegt als .NET Assembly vor.

Dieses Assembly kann für WPF-Projekte verwendet werden. Dafür muss es im WPF-Editor (z.B.: Microsoft Expression Blend) referenziert (verknüpft) werden. Wählen Sie dazu im zenon Datei-Auswahldialog die Assembly aus:

Ab diesem Zeitpunkt können die WPF User Controls der Assembly in der Toolbox unter Custom UserControls ausgewählt und im WPF-Projekt verwendet werden.
Mehr dazu lesen Sie im Kapitel Leitfaden für Entwickler.

Referenzierte Assemblies in zenon verwenden

Um ein Assembly in zenon zu verwenden, muss dieses als Datei zur Verfügung gestellt werden.
Sammeldateien vom Format .cdwpf verwalten diese eigenständig. Es sind keine weiteren Konfigurationen nötig. Für Dateien vom Format .xaml müssen Assemblies zum Ordner Dateien hinzugefügt werden:

  • Klicken Sie im Projektbaum auf Dateien.
  • Wählen Sie Sonstige.
  • Wählen Sie im Kontextmenü Datei hinzufügen...

    Der Dateiauswahldialog wird geöffnet.

  • Fügen Sie die gewünschte Assembly ein.

Beim Anzeigen einer WPF-Datei im WPF-Element (Editor und Runtime) werden die Assemblies aus diesem Ordner geladen. Damit ist auch sicher gestellt, dass beim Übertragen der Runtime-Dateien mittels Remote-Transport alle referenzierten Assemblies auf dem Zielrechner vorhanden sind.

Eine Sammeldatei (.cdwpf) und eine gleichnamige XAML-Datei können parallel existieren. Alle Assemblies (*.dll) aus allen Sammeldateien und dem Ordner Sonstige werden in einen Arbeitsordner kopiert. Bei mehreren gleichnamigen Assemblies wird nur das mit der höchsten Dateiversion verwendet.

Tipp Tipp

DLLs, die zu einem WPF-Element gehören, können im Editor auch im laufenden Betrieb ausgetauscht werden. Die Referenzierung erfolgt dabei via Verknüpfung in der XAML-Datei.

Um eine DLL auszutauschen:

  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Ersetzen Sie im Explorer die DLL im Ordner \wpfache der Editor-Dateien.
    Diesen Ordner finden Sie im SQL-Verzeichnis unter
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Alternativ zum Ersetzen über den Explorer können Sie auch die Datei direkt im zenon Editor ersetzen. Führen Sie dazu folgende Schritte aus:

  • Erhöhen Sie in den Visual Studio Projekteinstellungen die Dateiversion der DLL.
  • Bauen Sie die DLL neu.
  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Löschen Sie im zenon Editor die DLL aus dem Ordner \Dateien\Sonstige und fügen Sie die Datei mit der erhöhten Versionsnummer ein.

Mehrprojektverwaltung

In der Mehrprojektverwaltung muss in allen Projekten dieselbe Assembly verwendet werden. Wird in einem Projekt eine Assembly durch eine andere Version ersetzt, muss sie auch in allen anderen Projekten, die im Editor oder in der Runtime geladen sind, ersetzt werden.


Workflows

Handbuch > WPF-Element > Grundlagen > Workflows

Die WPF/XAML-Technologie ermöglicht neue Workflows in der Prozessvisualisierung. Die Trennung von Design und Funktionalität sorgt für klare Aufgabenteilung zwischen Projektant und Designer; Designvorgaben lassen sich durch die Verwendung bereits existierender Designs, die vom Projektant nicht mehr modifiziert werden müssen, leicht erfüllen.

Am Workflow zur Erstellung von WPF-Elementen in zenon sind folgende Personen beteiligt:

  • Designer
    • illustriert Elemente
    • sorgt für grafische Aufbereitung für MS Expression Design
  • MS Expression Blend Operator
    • animiert Elemente
    • legt Variablen für die Animation der WPF-Elemente in zenon an, auf die der Projektant zugreifen kann
  • Projektant
    • bindet Elemente in zenon ein
    • hinterlegt Logik und Funktionalität

Wir unterscheiden:

  • Workflow mit Microsoft Expression Blend
  • Workflow mit Adobe Illustrator

Noch in diesem Kapitel

Workflow mit Microsoft Expression Blend

Workflow mit Adobe Illustrator


Workflow mit Microsoft Expression Blend

Handbuch > WPF-Element > Grundlagen > Workflows > Workflow mit Microsoft Expression Blend

Bei Verwendung von Microsoft Expression Blend erfolgt die Erstellung eines WPF-Elements in vier Schritten:

  1. Illustration des Elements in MS Expression Blend
  2. Element in MS Expression Design öffnen und als WPF exportieren
  3. Animation in MS Expression Blend
  4. Integration in zenon

Ein Beispiel für die Erstellung eines WPF-Elements mit Microsoft Expression Blend finden Sie im Kapitel Button als XAML-Datei mit Microsoft Expression Blend erstellen.


Workflow mit Adobe Illustrator

Handbuch > WPF-Element > Grundlagen > Workflows > Workflow mit Adobe Illustrator

Aufbauend auf traditionelle Gestaltungsabläufe mit Adobe Illustrator bietet sich folgender Workflow an:

  1. Illustration der Elemente in Adobe Illustrator
  2. Import der .ai Dateien und Aufbereitung in MS Expression Design
  3. WPF-Export aus MS Expression Design
  4. Animation in MS Expression Blend
  5. Integration in zenon

Ein Beispiel zur Erstellung finden Sie im Kapitel Workflow mit Adobe Illustrator.


Leitfaden für Designer

Handbuch > WPF-Element > Leitfaden für Designer

Dieser Abschnitt informiert über die korrekte Erstellung von WPF Dateien im Microsoft Expression Blend und Adobe Illustrator. Die Tutorials zur Erstellung eines Button-Elements und eines Bargraf-Elements zeigen, wie in wenigen Schritten aus bereits existierenden Grafiken voll funktionsfähige WPF-Dateien für zenon erzeugt werden.

Folgende Werkzeuge werden dafür benützt:

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon

info Info

Sollen referenzierte Objekte (Assemblies) in WPF verwendet werden, beachten Sie die Hinweise im Kapitel Referenzierte Objekte.

Noch in diesem Kapitel

Workflow mit Microsoft Expression Blend

Workflow mit Adobe Illustrator


Workflow mit Microsoft Expression Blend

Handbuch > WPF-Element > Leitfaden für Designer > Workflow mit Microsoft Expression Blend

Mit Microsoft Expression Blend wird ein WPF-Element:

  • illustriert
  • über MS Expression Design in das WPF-Format umgewandelt
  • animiert

Das folgende Beispiel zeigt die Illustration und Umwandlung eines Button-Elements in eine XAML-Datei.

Hinweis: Eine Test-Version von „Microsoft Expression Blend" steht auf der Microsoft Web-Seite zum Download zur Verfügung.

Noch in diesem Kapitel

Button als XAML-Datei mit Microsoft Expression Blend erstellen


Button als XAML-Datei mit Microsoft Expression Blend erstellen

Handbuch > WPF-Element > Leitfaden für Designer > Workflow mit Microsoft Expression Blend > Button als XAML-Datei mit Microsoft Expression Blend erstellen

Button erstellen

  1. Starten Sie Expression Blend
  2. wählen Sie die Option New Projekt

  3. wählen Sie als Projekttyp WPF
  4. vergeben Sie einen beliebigen Pfad und Namen (z. B. MyBlendProject)

    Die Einstellungen Language und Version können ignoriert werden, da keine Funktionalität programmiert werden soll.

  5. Nachdem der Dialog mit OK bestätigt wurde, erzeugt Microsoft Blend ein neues Projekt mit den gewählte Einstellungen. Expression Blend fügt eine leere XAML-Datei ein, die bereits eine Klassen-Referenz beinhaltet.
  6. Löschen Sie, die an die XAML-Datei dazugehörende, CS-Datei über das Kontextmenü.
  7. Benennen Sie die XAML-Datei MainControl.xaml auf MyButton.xaml um.
  8. Die Development-Größe der Datei wird standardmäßig auf 640 mal 480 Pixel gestellt und muss noch geändert werden:
    1. wechseln Sie in die Ansicht XAML
    2. korrigieren Sie die Größe auf 100 mal 100 Pixel
    3. löschen Sie die Klassenreferenz x:Class="MyBlendProject.MyButton"

  9. wechseln Sie in die Ansicht Design

  10. fügen Sie über die Symbolleiste einen Button ein
  11. definieren Sie die Eigenschaften
    • Width: 50
    • Height: 50
    • Margins: 25

    Damit befindet sich der Button jetzt in der Mitte des Controls.

  12. Speichern Sie die Änderungen und öffnen Sie die Datei zur Kontrolle im Internet Explorer. Sie sehen, dass der Button in der Größe von 50 x 50 Pixel dargestellt wird.

Button skalierbar machen

Wenn Sie diese Datei in diesem Zustand in zenon einbinden, wird der Button dort immer exakt die Größe von 50 x 50 Pixel haben. Da der Button skalierbar eingesetzt werden soll, wechseln Sie wieder zu Expression Blend:

  1. wählen Sie den Button in der Baumansicht aus
  2. wählen Sie im Kontextmenü des Buttons Group Into->Viewbox
  3. der Button wird in einer Viewbox eingefügt
  4. definieren Sie die Eigenschaften der Viewbox
    • Width: Auto
    • Height: Auto
  5. speichern Sie die Datei

  6. Wenn Sie die Datei jetzt im Internet Explorer öffnen, wird der Button bei Größenänderungen des IE-Fensters automatisch skaliert. Diese Datei würde sich jetzt auch in zenon automatisch an Größenänderungen des WPF-Elements anpassen.

Namen ändern

Bevor Sie die Datei in zenon einbinden können, müssen Sie dem WPF-Element einen Name geben. Standardmäßig sind WPF-Elemente in Expression Blend nicht benannt, und werden mit eckige Klammer und dessen Typ gekennzeichnet. Die Zuordnung von zenon-Content auf WPF-Content geschieht über den Namen der WPF-Elemente:

  • ändern Sie in der Baumansicht den Namen
    • des Buttons auf MyButton
    • der ViewBox auf MyViewBox

Dieser Button kann jetzt als XAML-Datei in zenon eingebunden werden.


Workflow mit Adobe Illustrator

Handbuch > WPF-Element > Leitfaden für Designer > Workflow mit Adobe Illustrator

Beim Einsatz von Adobe Illustrator wird ein WPF-Element:

  • in Adobe Illustrator illustriert
  • in MS Expression Design in ein WPF umgewandelt
  • in MS Expression Blend animiert

Das folgende Beispiel zeigt die Illustration und Umwandlung eines Bargraf-Elements in eine XAML-Datei.

Noch in diesem Kapitel

Illustration Bargraf

WPF-Export

Animation in Blend


Illustration Bargraf

Handbuch > WPF-Element > Leitfaden für Designer > Workflow mit Adobe Illustrator > Illustration Bargraf

Ein Bargraf wird in Adobe Illustrator erstellt.

  1. AI: Ausgangselement Bargraf

    Illustriert in Adobe Illustrator CS3.

  2. AI: Pfadansicht Bargraf in Adobe Illustrator

    • alle Effekte müssen umgewandelt sein (Objekt -> Aussehen umwandeln)
    • alle Linien werden in Pfade umgewandelt (Objekt -> Pfad -> Konturlinie)
    • keine Filter wie Schlagschatten, Weichzeichner etc. verwenden

Hinweise zur Kompatibiltät

Illustrationen, die mit Adobe Illustrator erstellt werden, eignen sich grundsätzlich für den WPF-Export. Allerdings können nicht alle Illustrator-Effekte in Expression Design/Blend entsprechend werden. Beachten Sie:

Effekt

Beschreibung

Schnittmasken

In Adobe Illustrator erzeugte Schnittmasken werden von Expression Design nicht korrekt interpretiert. Meist werden sie in Blend als schwarze Farbflächen dargestellt.

Wir empfehlen, die Illustrationen ohne Schnittmasken anzulegen.

Filter und Effekte

Nicht jeder Adobe Illustrator Filter wird in Expression Design entsprechend übernommen: So funktionieren z. B. Weichzeichnungsfilter, Schlagschatten sowie Eckeneffekte aus Illustrator in Expression Design nicht.

Lösung:

  • Über den Befehl Objekt -> Aussehen Umwandeln in Adobe Illustrator lassen sich die meisten Effekte so umwandeln, dass sie von Expression Design korrekt gelesen werden können.
  • Eckeneffekte aus Adobe Illustrator werden von MS Design korrekt interpretiert, wenn sie in AI in Pfade umgewandelt werden.

Textfelder

Um Textfelder mit Code verknüpfen zu können, müssen diese in Expression Blend gesondert angelegt werden. „Labels" werden für dynamische Texte benötigt, für statische Informationen genügen einfache „Textfelder".

Die Möglichkeit, Textlabels zu erstellen, wird in MS Design nicht angeboten. Diese müssen direkt in MS Blend erstellt werden.

Transparenzen und Gruppentransparenzen

Zu Schwierigkeiten kann es bei der korrekten Interpretation von Transparenz-Einstellungen, insbesondere von Gruppentransparenz-Einstellungen, in Adobe Illustrator kommen.

MS Expression Blend sowie MS Expression Design bieten aber die Möglichkeit, Transparenz-Einstellungen neu anzulegen.

Ebenen multiplizieren

Diese Ebenen-Einstellungen in Adobe Illustrator werden von MS Expression Blend nicht immer richtig dargestellt.

Es gibt aber die Möglichkeit, „Ebene multiplizieren" direkt in Expression Design einzustellen.

Zeigerinstrumente und Standardpositionen

Um die Grafiken optimal für die Animation vorzubereiten, müssen Zeiger und Regler immer auf der Ausgangsposition, meist 0 oder 12:00 Uhr stehen.

So werden die Positions-Parameter für Rotationen etc. gleich richtig in Blend angegeben und eine Animation kann ohne Umrechnung von Positionsangaben erfolgen.


WPF-Export

Handbuch > WPF-Element > Leitfaden für Designer > Workflow mit Adobe Illustrator > WPF-Export

Für die Animation in Microsoft Expression Blend werden WPF-Dateien benötigt. Wir empfehlen Microsoft Expression Design für diesen Export, da es gute Ergebnisse liefert und die meisten Illustrator Effekte korrekt interpretiert werden.

Hinweis: Im Internet wird ein gratis Plug-in für den direkten Export von WPF-Dateien aus Adobe Illustrator angeboten. Dieses Plug-in bietet einen schnellen, unkomplizierten Export aus Illustrator, ist für die aktuelle Anwendung jedoch weniger gut geeignet, da es zu grafischen Verlusten kommt. Auch Farbabweichungen vom ursprünglichen Dokument sind möglich.

Dateien im Format .ai können regulär in Expression Design importiert werden, die Pfade bleiben dabei erhalten.
Achtung: Einige geläufige Illustrator Effekte können jedoch von Expression Design nicht richtig dargestellt werden (siehe Kapitel Illustration).

In 5 Schritten exportieren wir das bereits erstellte Bargraf-Element:

  1. ED: Import
    • importieren Sie die aufbereitete Illustrator-Datei in Microsoft Expression Design über Datei -> Importieren
  2. ED: Optimierung

    • wird die Ausgangsdatei in MS Expression Design nicht richtig angezeigt, kann sie hier noch nachbearbeitet und optimiert werden
  3. ED: Auswahl

    • markieren Sie mit dem Direktauswahl-Pfeil in MS Expression Design das Element für den WPF-Export, in diesem Fall die gesamte Uhr
  4. ED: Export starten

    • starten Sie den Export über Datei -> Exportieren
    • der Dialog zur Konfiguration der Exporteinstellungen öffnet sich
  5. ED: Exporteinstellungen

    • Nehmen Sie folgende Exporteinstellungen vor:
    1. Format: XAML Silverlight 4 / WPF Canvas

      Objekte immer benennen: Mit Häkchen aktivieren

      Platzieren Sie gruppierte Objekte in einem XAML Layoutcontainer: Mit Häkchen aktivieren

    2. Text: Bearbeitbarer Textblock
    3. Linieneffekte: Alle rastern

Die exportierte Datei hat die Dateiendung .xaml. Sie wird im nächsten Schritt in MS Expression Blend aufbereitet und animiert.


Animation in Blend

Handbuch > WPF-Element > Leitfaden für Designer > Workflow mit Adobe Illustrator > Animation in Blend

Mit MS Expression Blend werden:

  • die statischen XAML-Dateien aus MS Expression Design animiert
  • Variablen für die Steuerung der Effekte, die von zenon angesprochen werden können, angelegt

In 13 Schritten gelangen wir vom statischen XAML zum animierten Element, das in zenon eingebunden werden kann:

  1. EB:Projekt erstellen

    1. öffnen Sie Microsoft Expression Blend
    2. erstellen Sie ein neues Projekt
    3. wählen Sie als Projekttyp WPF -> WPF Control Library aus
    4. vergeben Sie einen Namen (in unserem Tutorial: Mein_Projekt)
    5. wählen Sie einen Speicherort
    6. wählen Sie eine Sprache (in unserem Tutorial: C#)
    7. wählen Sie die Framework Version 3.5
  2. EB: MainControl.xaml.cs löschen

    1. navigieren Sie zu MainControl.xaml.cs
    2. löschen Sie diese Datei über den Befehl Löschen im Kontextmenü
  3. EB: exportierte XAML-Datei öffnen
    1. öffnen Sie das Kontextmenü für Mein_Projekt (rechte Maustaste)
    2. wählen Sie Vorhandenes Element hinzufügen… aus
    3. wählen Sie die aus Microsoft Expression Design exportierte XAML-Datei, um diese in Microsoft Expression Blend zu öffnen
  4. EB: MainControl.xaml öffnen

    1. öffnen Sie die automatisch erstellte MainControl.xaml
    2. navigieren Sie im Bereich Objekte und Zeitachsen zum Eintrag UserControl
  5. EB: XAML-Code anpassen

    1. klicken Sie mit der rechten Maustaste auf UserControl
    2. wählen Sie im Kontextmenü XAML anzeigen
    3. löschen Sie m XAML-Code die Zeilen 7 und 9:

      x:Class="Mein_Projekt.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB: XAML-Code überprüfen

    • Nun sollte der XAML Code so aussehen:

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB: Elemente kopieren

    1. öffnen Sie die von Expression Design importiertes XAML-Datei
    2. markieren Sie alle Elemente
    3. wählen Sie im Kontextmenü Kopieren
    4. wechseln Sie zurück zur automatisch erstellten XAML-Datei
  8. EB: Elemente einfügen

    1. klicken Sie mit der rechten Maustaste auf Layout Root
    2. wählen Sie Einfügen
  9. EB: Layouttyp anpassen

    1. klicken Sie mit der rechten Maustaste auf LayoutRoot -> Layouttyp ändern -> Viewbox
    2. nun sollte die Struktur so aussehen: UserControl -> LayoutRoot -> Grid -> Elemente
    3. vergeben sie einen Namen für LayoutRoot und Grid durch Doppelklick auf den Namen
  10. EB: Texte und Werte

    • dynamische und statische Texte werden mit Textfeldern gezeichnet
    • Werte (Zahlen) werden mit Labels ausgegeben
  11. EB: Labels einfügen

    • Labels ersetzen Zahlen, die später mittels Int-Variablen verknüpft werden sollen (muss für alle Zahlen-Elementen durchgeführt werden)
  12. EB: Eigenschaft setzen

    • um 100% anzuzeigen, setzen Sie die Eigenschaft MaxHeight des Bargrafanzeige-Elements auf 341 (die maximale Höhe des Indikator-Elements entspricht 340)
  13. EB: für Verwendung in zenon vorbereiten

    1. löschen Sie alle Namensbezeichnungen (Namen dürfen nur für Elemente vergeben werden, die über zenon angesprochen werden sollen)
    2. speichern Sie die XAML-Datei mit einem beliebigen Namen ab
    3. binden Sie die XAML-Datei in zenon ein

Tipp zur Kontrolle: Wenn die XAML-Datei im Microsoft Internet Explorer einwandfrei dargestellt wird und sich auch der Fenstergröße des Internet Explorers anpasst, wird sie auch in zenon korrekt verwendet.


Leitfaden für Entwickler

Handbuch > WPF-Element > Leitfaden für Entwickler

Dieser Abschnitt behandelt die Erstellung eines einfachen WPF User Controls mit Code Behind Funktionalität mittels Microsoft Visual Studio und das Debuggen dieses User Controls zur Runtime.

Folgende Werkzeuge werden dafür benützt:

  • Microsoft Visual Studio 2015
  • zenon

info Info

Empfehlung: Benutzen Sie eine Microsoft Visual Studio Version 2012 oder Höher. Hier ist der XAML Designer besser integriert..

Noch in diesem Kapitel

Erstellung eines einfachen WPF User Controls mit Code Behind-Funktionalität

Debuggen des WPF User Controls zur Runtime

Datenaustausch zwischen zenon und WPF User Controls

Zugriff auf das zenon (Runtime) Objektmodell aus einem WPF User Control


Erstellung eines einfachen WPF User Controls mit Code Behind-Funktionalität

Handbuch > WPF-Element > Leitfaden für Entwickler > Erstellung eines einfachen WPF User Controls mit Code Behind-Funktionalität

In diesem Kapitel wird die Erstellung, sowie die Einbindung eines einfachen WPF User Controls beschrieben. Da hier nur der grundlegende Mechanismus/Ablauf für die Integration in zenon beschrieben wird , beschränkt sich die Funktionalität des User Controls auf die Addition von zwei Werten. Auf erweitertetes Fehlerhandling sowie explizite Vollständigkeit wurde zur Beibehaltung der Einfachheit dieses Beispiels bewusst verzichtet.

WPF User Control erstellen

  1. Erstellen Sie in Visual Studio eine neue Solution und darin ein WPF User Control Library Projekt.

    In diesem Beispiel wurde die .NET Framework Version 4 gewählt. Es kann auch eine andere Version gewählt werden, die am Zielsystem, auf dem die Runtime später gestartet werden soll, installiert sein muss.

    Info: Erscheint die entsprechende Projektvorlage nicht in der Liste der verfügbaren Vorlagen, kann diese über die Suche (Feld rechts oben im Dialog) hinzugefügt werden.

    In unserem Beispiel erhält das Projekt den Namen WPFUserControlLibrary.

  2. Erstellen Sie 3 Textboxen sowie einen Button in der Datei UserControl1.xaml:

  3. Fügen Sie folgenden Code im Click-Event des Buttons ein:

Sie verfügen jetzt über das User Control, dass die benötigte Funktionalität zur Verfügung stellt. Da zenon allerdings nur XAML-Dateien darstellen kann, die nicht zu einer Code-Behind Datei verlinken, wird eine zusätzliche XAML-Datei benötigt, die die eben gebaute Bibliothek (Assembly) referenziert.

Erstellung der XAML-Datei (ohne Code-Behind) für zenon

Zur Erstellung der in zenon benötigten XAML-Datei gehen Sie wie folgt vor.

  1. Erstellen Sie ein weiteres Projekt, wieder als WPF User Control Library
  2. In unserem Beispiel wurde es WPFUserControlNoCodeBehind benannt.
  3. Fügen Sie in diesem neuen Projekt eine Referenz auf das eben gebaute Projekt ein.

  4. Die XAML-Datei (UserControl1.xaml) sieht folgendermaßen aus:

  5. Da alle nötigen Inhalte, in der zuvor erstellten DLL enthalten sind und keine Code-Behind Datei verwendet werden kann, löschen Sie die folgenden Zeilen:

    x:Class="WPFUserControlNoCodeBehind.UserControl1"

    xmlns:local="clr-namespace:WPFUserControlNoCodeBehind"

  6. Löschen Sie zusätzlich (für die Größeneinstellung des Designers) folgende Zeilen:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Löschen Sie die Code-Behind Datei (UserControl1.xaml.cs) in diesem Projekt.
  8. Ziehen Sie das zuvor erstellte UserControl (aus dem Projekt WPFUserControlLibrary) über die Toolbox in den XAML-Designer.
  9. Vergeben Sie einen Namen für den Grid, sowie das UserControl.

    Achtung: Wird hier kein Name vergeben, so erscheinen diese Elemente nicht im Verknüpfungsdialog im zenon Editor und können somit nicht dynamisiert werden.

  10. Die XAML-Datei sollte nun wie folgt aussehen:

Im nächsten Schritt wird erklärt, wie die DLL sowie die XAML-Datei in zenon eingebunden werden.

Schritte in zenon

  1. Öffnen Sie den zenon Editor.
  2. Navigieren Sie zum Knoten Dateien -> Grafiken.
  3. Wählen Sie im Kontextmenü Datei hinzufügen....

  4. Wählen Sie die XAML-Datei am Speicherort (UserControl1.xaml aus dem Projekt WPFUserControlNoCodeBehind) aus und fügen Sie diese ein:

  5. Fügen Sie die DLL mit der Funktionalität für die XAML-Datei hinzu.

    Dazu:

    1. Wählen Sie im Kontextmenü des Knotens Datei -> Sonstige Datei hinzufügen....
    2. Wählen Sie die Datei WPFUserControlLibrary.dll (aus dem Ausgabepfad) des ersten Projekts (WPFUserControlLibrary) aus.

  6. Legen Sie ein zenon Bild an.
  7. Fügen Sie ein WPF-Element ein und wählen Sie die zuvor eingebundene XAML-Datei aus.

    Sie sollten jetzt im zenon Editor folgendes sehen:

  8. Starten Sie die zenon Runtime um auch dort das Control zu testen.

info Info

Die XAML-Datei und referenzierte Assemblies können auch zusammengefasst als *.cdwpf Datei gespeichert werden. Somit muss im Editor nur eine Datei (unter Dateien -> Grafiken) importiert werden. Weitere Informationen dazu sind im Kapitel CDWPF-Dateien (Sammeldateien) zu finden.

Tipp: Während der Entwicklung eines WPF User Controls ist es meistens praktikabler, die XAML-Datei und die referenzierte(n) DLL(s) separat einzufügen. Dies erleichtert den Austausch der DLL und das Debuggen. Weitere Informationen zum Thema Debuggen sind im Kapitel Debuggen des WPF User Controls zur Runtime zu finden.

Tipp Tipp

DLLs, die zu einem WPF-Element gehören, können im Editor auch im laufenden Betrieb ausgetauscht werden. Die Referenzierung erfolgt dabei via Verknüpfung in der XAML-Datei.

Um eine DLL auszutauschen:

  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Ersetzen Sie im Explorer die DLL im Ordner \wpfache der Editor-Dateien.
    Diesen Ordner finden Sie im SQL-Verzeichnis unter
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Alternativ zum Ersetzen über den Explorer können Sie auch die Datei direkt im zenon Editor ersetzen. Führen Sie dazu folgende Schritte aus:

  • Erhöhen Sie in den Visual Studio Projekteinstellungen die Dateiversion der DLL.
  • Bauen Sie die DLL neu.
  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Löschen Sie im zenon Editor die DLL aus dem Ordner \Dateien\Sonstige und fügen Sie die Datei mit der erhöhten Versionsnummer ein.

Weitere Beispiele sind im Kapitel Beispiele: Integration von WPF in zenon zu finden.


Debuggen des WPF User Controls zur Runtime

Handbuch > WPF-Element > Leitfaden für Entwickler > Debuggen des WPF User Controls zur Runtime

Um das WPF User Control zur Runtime zu debuggen, gehen Sie wie folgt vor.

In diesem Beispiel wird das, im Kapitel Erstellung eines einfachen WPF User Controls mit Code Behind-Funktionalität beschriebene Control verwendet.

Debuggen über Attach to Process

  1. Stellen Sie sicher, dass die zenon Runtime gestartet ist und ein Bild mit dem WPF User Control geöffnet ist.

    Stellen Sie weiters sicher, dass die gerade verwendete DLL dem aktuellen Build (Version) des User Control Projekts (WPFUserControlLibrary) entspricht.

  2. Setzen Sie in Visual Studio Projekt einen Breakpoint im Klick-Event des Buttons

  3. Wählen Sie in Visual Studio unter Debug den Menüpunkt Attach to Process.
  4. Wählen Sie den zenon Runtime Prozess

  5. Wählen Sie unter Attach to entweder Automatisch oder die entsprechende .NET Framework Version (v4.x in diesem Fall)

  6. Klicken Sie auf Attach
  7. Triggern Sie nun den Breakpoint, indem Sie in der zenon Runtime Werte im WPF Control eingeben und auf den Button klicken

Debuggen über Start External Program

  1. Stellen Sie sicher, dass die zenon Runtime beendet ist.
  2. Stellen Sie sicher, dass im zenon Editor das Projekt welches das WPF User Control beinhaltet als Startprojekt gesetzt ist.
  3. Stellen Sie sicher, dass das User Control Projekt (WPFUserControlLibrary) in Visual Studio als Startprojekt gesetzt ist.

  4. In den Projekteigenschaften des Visual Studio Projekts wählen Sie unter Debug, bei Start action: Start external program
  5. Für Start external program wählen Sie den Pfad der zenon Runtime Anwendung.
  6. Wählen Sie unter Working Directory den \wpfcache Ordner der Runtime-Dateien (...\PROJECTNAME\RT\FILES\zenon\custom\wpfcache)

    Tipp: Drücken Sie bei selektiertem Projekt im zenon Editor die Tastenkombination Strg+Alt+R um direkt in das Rootverzeichnis der Runtime-Dateien zu springen.

  7. In den Projekteigenschaften, geben Sie unter Build als Output path ebenfalls den \wpfache Ordner der Runtime-Dateien an

  8. Bauen Sie das Projekt in Visual Studio
  9. Starten Sie in Visual Studio über Start das Debugging

  10. Die zenon Runtime wird nun automatisch gestartet.
  11. Triggern Sie den Breakpoint, indem Sie in der zenon Runtime Werte im WPF Control eingeben und auf den Button klicken

info Info

Beim Starten der zenon Runtime werden die in WPF User Controls referenzierten Assemblies (DLLs) aus dem Ordner \FILES\zenon\custom\additional, bzw. die Assemblies aus CDWPF Dateien in den Ordner \FILES\zenon\custom\wpfcache kopiert. Ist die Dateiversion der im \wpfache Ordner vorhandenen DLL gleich oder höher der Version der "Originaldatei" wird diese nicht ersetzt!

Für das Debuggen ist es somit ausreichend, nur die Datei direkt im Ordner \wpfache zu ersetzen.

Für die Auslieferung muss sichergestellt sein, dass die aktuelle Version der DLL im \additional Ordner bzw. der CDWPF Datei vorhanden ist!

Achtung: Wenn nur die DLL im \additional Ordner bzw. im CDWPF aktualisiert wird, die Versionsnummer aber nicht erhöht wird, muss die DLL im \wpcache Ordner zuvor manuell gelöscht werden, da sie sonst nicht aktualisiert wird (aufgrund des oben beschriebenen Mechanismus).

Tipp Tipp

DLLs, die zu einem WPF-Element gehören, können im Editor auch im laufenden Betrieb ausgetauscht werden. Die Referenzierung erfolgt dabei via Verknüpfung in der XAML-Datei.

Um eine DLL auszutauschen:

  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Ersetzen Sie im Explorer die DLL im Ordner \wpfache der Editor-Dateien.
    Diesen Ordner finden Sie im SQL-Verzeichnis unter
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Alternativ zum Ersetzen über den Explorer können Sie auch die Datei direkt im zenon Editor ersetzen. Führen Sie dazu folgende Schritte aus:

  • Erhöhen Sie in den Visual Studio Projekteinstellungen die Dateiversion der DLL.
  • Bauen Sie die DLL neu.
  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Löschen Sie im zenon Editor die DLL aus dem Ordner \Dateien\Sonstige und fügen Sie die Datei mit der erhöhten Versionsnummer ein.


Datenaustausch zwischen zenon und WPF User Controls

Handbuch > WPF-Element > Leitfaden für Entwickler > Datenaustausch zwischen zenon und WPF User Controls

Um Daten zwischen zenon und WPF User Controls auszutauschen gibt es verschiedene Möglichkeiten.

  • Datenaustausch über Dependency Properties
  • Datenaustausch über VSTA

Noch in diesem Kapitel

Datenaustausch über Dependency Properties

Datenaustausch über VSTA


Datenaustausch über Dependency Properties

Handbuch > WPF-Element > Leitfaden für Entwickler > Datenaustausch zwischen zenon und WPF User Controls > Datenaustausch über Dependency Properties

Der eleganteste und sicherste Weg, um Daten zwischen zenon und selbsterstellten WPF User Controls auszutauschen, ist mittels Dependency Properties.

Als Grundlage dient das, im Kapitel Erstellung eines einfachen WPF User Controls mit Code Behind Funktionalität erstellte WPF User Control Projekt (WPFUserControlLibrary).

Auch in diesem Kapitel wird der Fokus auf die Kernthematik (in diesem Fall Dependency Properties und der Datenaustausch zwischen dem User Control und zenon) gelegt. Spezifische WPF-Features wie Databinding, etc. sowie explizite Fehlerbehandlung werden nicht behandelt.

Erweiterungen im Code

  1. Erzeugen Sie das TextChanged Event für das Element textBoxA in der Datei UserControl1.xaml

    TextChanged="textBoxA_TextChanged"

  2. Fügen Sie die folgenden Codezeilen in der Klasse UserControl1 der Code-Behind Datei (UserControl1.xaml.cs) ein

/// <summary>

/// Gets or sets the ValueA.

/// </summary>

public double ValueA

{

get

{

return (double)GetValue(ValueADependencyProperty);

}

set

{

SetValue(ValueADependencyProperty, value);

}

}

/// <summary>

/// Dependency property for ValueA

/// </summary>

public static readonly DependencyProperty ValueADependencyProperty =

DependencyProperty.Register("ValueA", typeof(double),

typeof(UserControl1), new FrameworkPropertyMetadata(0.0, new PropertyChangedCallback(OnValueADependencyPropertyChanged)));

/// <summary>

/// Called when [value a dependency property changed].

/// </summary>

/// <param name="source">The source.</param>

/// <param name="e">The <see cref="DependencyPropertyChangedEventArgs"/> instance containing the event data.</param>

private static void OnValueADependencyPropertyChanged(DependencyObject source, DependencyPropertyChangedEventArgs e)

{

UserControl1 control = source as UserControl1;

if (control != null)

{

try

{

control.ValueA = (double)e.NewValue;

control.textBoxA.Text = control.ValueA.ToString();

}

catch (Exception)

{}

}

}

/// <summary>

/// Handles the TextChanged event of the textBoxA control.

/// </summary>

/// <param name="sender">The source of the event.</param>

/// <param name="e">The <see cref="TextChangedEventArgs"/> instance containing the event data.</param>

private void textBoxA_TextChanged(object sender, TextChangedEventArgs e)

{

try

{

ValueA = Convert.ToDouble(textBoxA.Text);

}

catch (Exception)

{}

}

Abschließend bauen Sie die Solution.

info Info

In diesem Beispiel wird ein numerisches Property (double) verwendet. Es können auch andere einfache Datentypen (wie bool, string, int, etc.) verwendet werden.

Verknüpfung in zenon

  1. Aktualisieren Sie das WPF User Control (DLL) im zenon Editor.
  2. Gehen Sie dazu wie in Kapitel Erstellung eines einfachen WPF User Controls mit Code Behind Funktionalität vor.
  3. Erstellen Sie eine numerische Variable in zenon. Verlinken Sie diese Variable zu einem Dynamischen Textelement. Das Dynamische Textelement platzieren Sie im Bild neben dem WPF-Element mit Ihrem User Control.
  4. Öffnen Sie das Bild welches das WPF Element beinhaltet und wählen Sie beim WPF Element unter WPF links: Configuration

  5. Expandieren Sie die Knoten im Tree links oben und wählen Sie AdditionControl

  6. Wählen Sie die Zeile mit ValueA (dies ist der Name des zuvor im Code erstellten Properties) und wählen Sie bei Type of link: Variable

    Tipp: Geben Sie Properties einen Prefix, damit diese leichter gefunden werden können, z.B: _ValueA

  7. Drücken Sie in der Spalte unter Linkage die zuvor in zenon erstellte Variable aus

  8. Bestätigen Sie die Dialoge mit OK und bauen Sie die Runtime Dateien
  9. Starten Sie die Runtime um das WPF User Control zu testen

  10. Wird der Wert im User Control geändert, ändert sich automatisch der Wert in zenon und umgekehrt.
  11. Natürlich können Sie das Control wie im Kapitel Debuggen des WPF User Controls zur Runtime beschrieben debuggen sowie weitere Dependency Properties erstellen.

info Info

Um (automatisch) beim Initialisieren (z.B. beim Aufschalten des User Controls) auf die Werte von DependencyProperties zuzugreifen kann dass UserControl_Loaded Event verwendet werden.


Datenaustausch über VSTA

Handbuch > WPF-Element > Leitfaden für Entwickler > Datenaustausch zwischen zenon und WPF User Controls > Datenaustausch über VSTA

Über VSTA können ebenfalls Daten zwischen zenon und WPF User Controls ausgetauscht werden.

Dazu werden die API Element Methoden

  • get_WPFProperty (lesen von Werten)
  • set_WPFProperty (schreiben von Werten)

verwendet.

Das hier verwendete Beispiel basiert auf dem im Kapitel Datenaustausch über Dependency Properties behandelten Beispiel.

Erstellung eines VSTA Makros für den Datenaustausch zwischen zenon und dem WPF User Control

  1. Erzeugen Sie folgendes VSTA Makro im ProjectAddin des zenon Projekts

    Wobei:

    • "Screen" der Name des zenon Bildes in dem sich das WPF Element befindet ist
    • "WPF_Element" der Name des WPF Elements welches das WPF User Control behinhaltet ist
    • "AdditionControl" der Name des WPF User Controls selbst ist (definiert in der Datei (UserControl1.xaml)
    • "ValueA" der Name des User Control Properties ist
  2. Erzeugen Sie eine VSTA-Makro ausführen Funktion und verlinken Sie diese mit einem Button in dem Bild in dem sich auch das WPF Element befindet
  3. Starten Sie die Runtime, um die Änderungen zu testen

    Beim Ausführen des Makros wird der Wert vom Control gelesen, verdoppelt und zurückgeschrieben.

info Info

Die, für diese Methode zum Datenaustausch, verwendeten User Control Properties müssen nicht zwingend als Dependency Properties, wie in diesem Beispiel ausgeführt werden. Es können auch "Standard" Properties verwendet werden, siehe dazu auch im Kapitel Zugriff über VSTA "Variablen-Link".


Zugriff auf das zenon (Runtime) Objektmodell aus einem WPF User Control

Handbuch > WPF-Element > Leitfaden für Entwickler > Zugriff auf das zenon (Runtime) Objektmodell aus einem WPF User Control

Für den Zugriff auf das zenon Objektmodell aus einem WPF User Control heraus, gibt es verschiedene Möglichkeiten. In den folgenden Kapiteln werden diese näher erläutert.

attention Achtung

Bei der Verwendung von zenon COM-Objekten in selbst erstellten User Controls oder externen Anwendungen müssen diese über die Methode Marshal.ReleaseComObject freigegeben werden. Die Freigabe über die Methode Marshal.FinalReleaseComObject darf nicht verwendet werden, da diese zu einem Ausfall von zenon Add-Ins führt.

Noch in diesem Kapitel

Zugriff über VSTA "Variablen-Link"

Zugriff über Marshalling


Zugriff über VSTA "Variablen-Link"

Handbuch > WPF-Element > Leitfaden für Entwickler > Zugriff auf das zenon (Runtime) Objektmodell aus einem WPF User Control > Zugriff über VSTA "Variablen-Link"

Um Zugriff auf die zenon Runtime COM Schnittstelle per "Variablen-Link" zu bekommen gehen Sie wie folgt vor. Als Ausgangsbeispiel dient das im Kapitel Erstellung eines einfachen WPF User Controls mit Code-Behind Funktionalität.

info Info

Der folgende Code soll exemplarisch zeigen, wie der COM Zugriff auf die zenon Runtime realisiert werden kann und beschränkt sich dabei auf die Basisfunktionalität. Auf explizites Fehlerhandling, etc. wird verzichtet.

Notwendige Anpassungen im WPF User Control

Im WPF User Control Projekt (WPFUserControlLibrary) sind die folgenden Schritte notwendig.

Zunächst muss eine Referenz auf die zenon COM Schnittstelle eingebunden werden.

Danach muss in der Klasse UserControl1 der folgende Code eingefügt werden:

//The zenon Project

zenOn.Project zenonProject = null;

/// <summary>

/// Property for the Variable link via VSTA

/// </summary>

public object zenonVariableLink

{

get { return null; }

set

{

if (value != null && zenonProject == null)

{

zenOn.Variable zenonVariable;

try

{

zenonVariable = (zenOn.Variable)value;

}

catch (Exception)

{

return;

}

if ((zenonVariable!= null) && (!string.IsNullOrEmpty(zenonVariable.Name)))

{

zenonProject = zenonVariable.Parent.Parent;

}

}

}

}

/// <summary>

/// Trigger used to notify the control from VSTA to release the COM resources

/// </summary>

public object zenonReleaseTrigger

{

get { return null; }

set

{

if ((bool)value && zenonProject != null)

{

try

{

Marshal.ReleaseComObject(zenonProject);

}

catch (Exception)

{

return;

}

zenonProject = null;

GC.Collect();

GC.WaitForPendingFinalizers();

GC.Collect();

}

}

}

Wobei auf die Properties zenonVariableLink (zur Initialisierung des COM Objekts) und zenonReleaseTrigger (zum Freigegeben des COM Objekts) später von VSTA aus (schreibend) zugegriffen wird.

Um den COM Zugriff schnell auf sehr einfachem Weg zu testen, kann im bestehenden Button Klick Event des User Controls die folgende Code Zeile eingefügt werden.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

info Info

In diesem Beispiel wird eine Variable vom Typ zenOn.Project verwendet. Es können natürlich auch andere Objekte sowie Events, etc. des zenon Objektmodels verwendet werden.

Notwendige Anpassungen im zenon Projekt/VSTA Code

Im VSTA Code sind die folgenden Schritte notwendig:

Erstellung eines VSTA-Makros für die Initialisierung

/// <summary>

/// Macro for API initialization in the WPF User Control

/// </summary>

public void MacroWPFInit()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonVariableLink", this.Variables().Item(0));

}

Erstellung eines VSTA-Makros für das Freigeben

/// <summary>

/// Macro for API release in the WPF User Control

/// </summary>

public void MacroWPFRelease()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonReleaseTrigger", true);

}

Erstellen Sie zwei VSTA Makro ausführen Funktionen, die mit Buttons verknüpft werden, welche sich im selben Bild wie das WPF Element befinden.

Starten Sie nun die Runtime um die Funktionalität zu testen

  • Führen Sie das Makro zum Initialisieren aus
  • Betätigen Sie den Button im WPF User Control, es erscheint eine MessageBox mit dem Projektnamen des Projektes

  • Führen Sie das Makro zum Freigeben aus

Um das User Control zu debuggen kann wie im Kapitel Debuggen des WPF User Controls zur Runtime beschrieben vorgegangen werden.

Tipp Tipp

Das Initialisieren und Freigeben des COM Objekts in diesem Beispiel erfolgt zur einfacheren Demonstration über VSTA Makro Funktionen. Abhängig vom Anwendungsfall, bzw. im praxisnahen Einsatz sind dafür Events in VSTA besser geignet.

Beispielsweise kann der Code zum Initialiseren im _Open Event des Bildes mit dem WPF Element ausgeführt werden und der Code zum Freigeben im _Close Event.

Der hier beschriebene Mechanismus wird auch im Kapitel Anzeige von WPF-Elementen im zenon Web Client verwendet.

attention Achtung

Werden COM Objekte in WPF User Controls verwendet, müssen diese immer vor Zerstörung des WPF User Controls (vor dem Schließen des Bildes, vor dem Beenden der Runtime, vor dem Nachladen) explizit freigegeben werden.


Zugriff über Marshalling

Handbuch > WPF-Element > Leitfaden für Entwickler > Zugriff auf das zenon (Runtime) Objektmodell aus einem WPF User Control > Zugriff über Marshalling

Um Zugriff auf die zenon Runtime COM Schnittstelle per Marshalling zu bekommen, gehen Sie wie folgt vor. Als Ausgangsbeispiel dient das im Kapitel Erstellung eines einfachen WPF User Controls mit Code-Behind Funktionalität.

info Info

Der folgende Code soll exemplarisch zeigen wie der COM Zugriff auf die zenon Runtime realisiert werden kann und beschränkt sich dabei auf die Basisfunktionalität. Auf explizites Fehlerhandling, etc. wird verzichtet.

Notwendige Anpassungen im WPF User Control

Im WPF User Control Projekt (WPFUserControlLibrary) sind die folgenden Schritte notwendig.

Zunächst muss eine Referenz auf die zenon COM Schnittstelle eingebunden werden.

Danach muss in der Klasse UserControl1 der folgende Code eingefügt werden:

//The zenon Project

zenOn.Project zenonProject = null;

Weiters muss der Konstruktor des User Controls um die untenstehenden Zeilen erweitert werden (zur Initialisierung des COM Objekts):

/// <summary>

/// Constructor for UserControl1, initialize COM Object

/// </summary>

public UserControl1()

{

InitializeComponent();

try

{

zenonProject = ((zenOn.Application)Marshal.GetActiveObject("zenOn.Application")).Projects().Item("TESTPROJECT");

}

catch (Exception)

{

}

}

Im UserControl_Unloaded Event muss das COM Objekt freigegeben werden:

/// <summary>

/// Release COM Object

/// </summary>

private void UserControl_Unloaded(object sender, RoutedEventArgs e)

{

try

{

if (zenonProject != null)

{

Marshal.ReleaseComObject(zenonProject);

zenonProject = null;

}

}

catch (Exception)

{

}

}

Um den COM Zugriff schnell auf sehr einfachem Weg zu testen, kann im bestehenden Button Klick Event des User Controls die folgende Code Zeile eingefügt werden.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

Bauen Sie nun die Solution und aktualisieren sie das WPF User Control im zenon Projekt.

Starten Sie die Runtime, um das User Control zu testen.

Um das User Control zu debuggen, kann wie im Kapitel Debuggen des WPF User Controls zur Runtime beschrieben, vorgegangen werden.

info Info

In diesem Beispiel wird eine Variable vom Typ zenOn.Project verwendet. Es können natürlich auch andere Objekte sowie Events, etc. des zenon Objektmodels verwendet werden.

attention Achtung

Werden COM Objekte in WPF User Controls verwendet, müssen diese immer vor Zerstörung des WPF User Controls (vor dem Schließen des Bildes, vor dem Beenden der Runtime, vor dem Nachladen) explizit freigegeben werden.

info Info

Im zenon WebClient ist kein Zugriff per Marshalling möglich. Wird dort ein Zugriff auf die COM Schnittstelle benötigt, muss die im Kapitel Zugriff über VSTA "Variablen-Link" beschriebene Methode verwendet werden.


Projektierung in zenon

Handbuch > WPF-Element > Projektierung in zenon

Um WPF User Controls in zenon nutzen zu können, muss sowohl auf dem Editor-Rechner wie auch auf dem Runtime Rechner das Microsoft Framework in der Version 3.5 (oder höher, je nach verwendeter .NET Framework Version im User Control) installiert sein.

Bedingungen für die WPF-Darstellung in zenon

Die Dynamisierung steht zurzeit für einfache Variablentypen (numerische Datentypen sowie String) zur Verfügung. Arrays und Strukturen können nicht dynamisiert werden.

Daher sind folgende WPF-Funktionen in zenon einsetzbar:

  • Element-Eigenschaften, die einfachen Datentypen entsprechen wie String, Int, Double, Bool usw.
  • Element-Eigenschaften vom Typ „Object", die mit einfachen Datentypen gesetzt werden können
  • Element-Ereignisse können mit Funktionen verwendet werden, die Parameter der Ereignisse sind aber in zenon nicht verfügbar und auswertbar
  • Elementtransformation, für die ein RenderTransform beim Element in der XAML-Datei vorhanden ist

    Achtung: Befindet sich bei Transformationen der Content außerhalb des Bereichs des WPF-Elements wird dieser nicht gezeichnet

Hinweis zu Schatten: Für WPF-Elemente kann in zenon kein Schatten dargestellt werden.

attention Achtung

Wenn Runtime Dateien für ein Projekt für eine Version vor 6.50 erzeugt werden, dann werden vorhandene WPF-Elemente nicht in die Runtime-Bilder eingebunden.

Noch in diesem Kapitel

CDWPF-Dateien (Sammeldateien)

WPF-Element anlegen

Konfiguration der Verknüpfung

Gültigkeit von XAML-Dateien

Vorgefertigte Elemente

Anzeige von WPF-Elementen im zenon Web Client

Beispiele: Integration von WPF in zenon

Fehlerbehandlung


CDWPF-Dateien (Sammeldateien)

Handbuch > WPF-Element > Projektierung in zenon > CDWPF-Dateien (Sammeldateien)

Eine CDWPF-Datei (mit der Endung *.cdwpf) ist eine umbenannte ZIP-Datei, die folgende Komponenten beinhaltet:

  • XAML-Datei (zum Referenzieren des User Control Assembly)
  • DLL-Datei (das eigentliche WPF User Control, optional)
  • Vorschaugrafik (zur Vorschau, optional)

Regeln für die Verwendung von Sammeldateien:

  • Die Dateien (XAML, DLL, Vorschaugrafik) können direkt in der CDWPF-Datei oder in einem gemeinsamen Ordner liegen.
  • Der Name der Sammeldatei muss dem Namen der XAML-Datei entsprechen.
  • Es darf nur eine XAML-Datei enthalten sein.
  • Die Vorschaugrafik sollte klein und nicht über 64 Pixel hoch sein.
    Name der Vorschaudatei: preview.png oder der Name der XAML Datei mit der Endung png.
  • Es können beliebig viele Assemblies verwendet werden. Die Unterscheidung erfolgt auf Basis der Dateiversion.
  • Sammeldateien müssen keine Assembly enthalten.
  • Es werden alle Unterordner durchsucht und nur Dateien vom Typ *.dll, *.xaml oder *.png berücksichtigt.
  • Wird eine Sammeldatei (*.cdwpf) durch eine Datei mit einer anderen Version ersetzt, müssen alle entsprechenden CDWPF-Dateien in allen Symbolen und Bildern in allen Projekten angepasst werden.


WPF-Element anlegen

Handbuch > WPF-Element > Projektierung in zenon > WPF-Element anlegen

Um ein WPF-Element anzulegen:

  1. Wählen Sie in der Symbolleiste der Elemente das Symbol für WPF-Element oder den entsprechenden Eintrag im Menü Elemente.
  2. Wählen Sie im Hauptfenster den Startpunkt.
  3. Ziehen Sie das Element mit der Maus auf.
  4. Wählen Sie in den Eigenschaften in der Gruppe Darstellung die Eigenschaft XAML-Datei.
  5. Der Datei-Auswahldialog öffnet sich.
  6. Wählen Sie die gewünschte Datei aus.
    Gültige sind Dateien vom Format:
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: WPF Sammeldatei, zeigt auch Vorschaubild

    (Die Datei muss bereits im Projektmanager unter Dateien/Grafiken vorhanden sein oder im Dialog neu angelegt werden.)

  7. Konfigurieren Sie die Verknüpfungen.

info Info

Sollen referenzierte Assemblies verwendet werden, beachten Sie die Hinweise im Kapitel Referenzierte Assemblies.


Konfiguration der Verknüpfung

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung

Um ein WPF-Element zu konfigurieren

  1. Wählen Sie in den Eigenschaften in der Gruppe WPF-Verknüpfungen die Eigenschaft Konfiguration.
  2. Der Dialog mit drei Registerkarten öffnet sich mit einer Vorschau der XAML-Datei sowie der in der Datei vorhandenen Elemente.

Dialog Konfiguration

Parameter

Beschreibung

Vorhandene Elemente

Zeigt in einer Baumstruktur die benannten Elemente der Datei an. Das gewählte Element kann mit Prozessdaten verknüpft werden.

Die Zuordnung von WPF zur Prozessdaten basiert auf den Elementname. Daher werden Elemente nur angezeigt, wenn sie und die dazugehörigen übergeordneten Elemente einen Namen besitzen. Zuordnungen werden in den Registerkarten Eigenschaften, Ereignisse und Transformationen konfiguriert und angezeigt.

Tipp: Werden die entsprechenden Elemente nicht angezeigt, prüfen Sie in der XAML-Datei ob diese mit einem Namen versehen ist (z.B.: <Grid Name="GridName">).

Vorschau

Das ausgewählte Element wird in der Vorschau blinkend dargestellt.

Eigenschaften

Konfiguration und Darstellung der Eigenschaften (Variablen, Bedienberechtigungen, Verriegelungen, verknüpfte Werte).

Ereignisse

Konfiguration und Darstellung der Ereignisse (Funktionen).

Transformationen

Konfiguration und Darstellung der Transformationen.

Name

Name der Eigenschaft.

Verknüpfung

Auswahl der Verknüpfung.

Verknüpfungsart

Art der Verknüpfung (Variable, Berechtigung, Funktion)

WPF-Info

Zeigt für Eigenschaften den aktuellen Wert im WPF-Content an. Für den Anwender ist direkt ersichtlich, um welche Art von Eigenschaft es sich handelt (Boolean, String, etc.).

Verknüpft

Zeigt an, ob eine Eigenschaft aktuell verwendet wird.

Per Default nicht in der Ansicht enthalten, kann über Kontextmenü -> Spaltenauswahl ausgewählt werden.

info Info

Im Konfigurationsdialog können nur logische Objekt angezeigt werden. Visuelle Objekte werden nicht angezeigt. Hintergrundinformationen dazu und wie visuelle Objekte dennoch dynamisiert werden können, lesen Sie im Abschnitt Zuordnung zenon Objekt zu WPF Content.

Verknüpfungen bearbeiten

Alle konfigurierten Verknüpfungen können über die Eigenschaften des Elements bearbeitet werden. Klicken Sie dazu auf das Element und öffnen Sie die Eigenschaftengruppe WPF-Verknüpfungen. Hier können Sie Verknüpfungen weiter konfigurieren, ohne den Dialog öffnen zu müssen.

Einschränkungen:

  • Der Verknüpfungstyp lässt sich hier nicht ändern.
  • Neue Verknüpfungen können nur über der Konfigurationsdialog angelegt werden.
  • Einfügen eines WPF-Elements in ein Symbol: WPF-Verknüpfungen können nicht exportiert werden.

Noch in diesem Kapitel

Eigenschaften

Ereignisse

Transformation


Eigenschaften

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung > Eigenschaften

Die Eigenschaften ermöglichen das Verknüpfen von:

  • Variablen
  • Werten
  • Bedienberechtigungen und Verriegelungen

Parameter |  | Beschreibung
Name | Name der Eigenschaft.
Verknüpfung | Verknüpfte Variable, Bedienberechtigung oder verknüpfter Wert. Klick in die Spalte öffnet den jeweiligen Auswahldialog, abhängig vom Eintrag in der Spalte Verknüpfungsart.
Verknüpfungsart | Auswahl einer Verknüpfung.
WPF-Info | Zeigt für Eigenschaften den aktuellen Wert im WPF-Content an. Für den Anwender ist direkt ersichtlich, um welche Art von Eigenschaft es sich handelt (Boolean, String, etc.).
Verknüpft | Zeigt an, ob eine Eigenschaft aktuell verwendet wird. Per Default nicht in der Ansicht enthalten, kann über Kontextmenü->Spaltenauswahl ausgewählt werden.

Verknüpfung erstellen

Um eine Verknüpfung zu erstellen:

  1. markieren Sie die Zeile mit der Eigenschaft, die verknüpft werden soll
  2. klicken Sie in die Zelle Verknüpfungsart
  3. wählen Sie aus der Dropdownliste die gewünschte Verknüpfung.

    Zur Verfügung stehen:

    • <nicht verknüpft> (löst eine bestehende Verknüpfung)
    • Berechtigung/Verriegelung
    • Konstanter Wert
    • Variable
  4. klicken Sie in die Zelle Verknüpfung
  5. der Dialog zur Konfiguration der gewünschten Verknüpfung öffnet sich

info Info

Eigenschaften von WPF und zenon können sich unterscheiden. Wird zum Beispiel die Eigenschaft Sichtbarkeit verknüpft, stehen in .NET drei Werte zur Verfügung:

  • 0 - sichtbar
  • 1 - unsichtbar
  • 2- eingeklappt

Diese Werte müssen über die verknüpfte zenon Variable abgebildet werden.

Noch in diesem Kapitel

Variable verknüpfen

Werte verknüpfen

Bedienberechtigung oder Verriegelung verknüpfen


Variable verknüpfen

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung > Eigenschaften > Variable verknüpfen

Um eine Variable mit einer WPF-Eigenschaften zu verknüpfen:

  1. markieren Sie die Zeile mit der Eigenschaft, die verknüpft werden soll
  2. klicken Sie in die Zelle Verknüpfungsart
  3. wählen Sie aus der Combobox Variable
  4. klicken Sie in die Zelle Verknüpfung
  5. der Dialog zur Konfiguration der Variablen öffnet sich

Dieser Dialog gilt auch für Auswahl der Variablen bei Transformationen. Die Konfiguration ermöglicht auch Umrechnung von zenon in WPF-Einheiten.

Parameter

Beschreibung

Verknüpfte Variable

Auswahl der zu verknüpfenden Variablen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.

Wertbereich des WPF-Elements

Angaben zur Umrechnung der Variablenwerte in WPF-Werte.

Wertbereich umrechnen

Aktiv: WPF-Einheitenumrechnung ist eingeschaltet.

Auswirkung zur Runtime: Der aktuelle zenon Wert (inkl. zenon Einheit) wird mittels normierter Minimum- und Maximum-Wert auf den WPF-Bereich umgerechnet.

Zum Beispiel: Der Wert einer Variablen variiert von 100 bis 200. Bei der Variablen ist der normierte Bereich auf 100 - 200 eingestellt. Ziel ist, diese Wertänderung mittels eines WPF-Drehknopfs darzustellen. Dafür wird:

  • bei Transformation die Eigenschaft RotateTransform.Angle mit der Variablen verknüpft
  • Wert anpassen aktiviert
  • ein WPF-Wertbereich von 0 bis 360 konfiguriert

Jetzt wird der Drehknopf bei einen Wert von z. B. 150 um 180 Grad gedreht sein.

Minimum

Definiert den niedrigsten WPF-Wert.

Maximum

Definiert den höchsten WPF-Wert.

OK

Übernimmt Einstellungen und beendet Dialog.

Abbrechen

Verwirft Einstellungen und beendet Dialog.

Hilfe

Öffnet die Online-Hilfe.


Werte verknüpfen

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung > Eigenschaften > Werte verknüpfen

Verknüpfte Werte können entweder ein String oder ein numerischer Wert vom Typ Double sein. Beim Aufschalten des Bildes wird nach dem Laden des WPF-Contents der gewählte Wert im WPF-Content abgesetzt.

Um einen Wert mit einer WPF-Eigenschaften zu verknüpfen:

  1. markieren Sie die Zeile mit der Eigenschaft, die verknüpft werden soll
  2. klicken Sie in die Zelle Verknüpfungsart
  3. wählen Sie aus der Combobox Werteverknüpfungen
  4. klicken Sie in die Zelle Verknüpfung
  5. der Dialog zur Konfiguration der Werteverknüpfung öffnet sich

Parameter

Beschreibung

Verknüpfter Wert:

Eingabe eines numerischen Werts oder Stringwerts.

String verwenden

Aktiv: Ein String-Wert wird statt eines numerischen Werts verwendet.

Stringwerte sind sprachumschaltbar. Zur Runtime wird der Text beim Aufschalten des Bildes übersetzt und im WPF-Content abgesetzt. Wird während das Bild geöffnet ist eine Sprachumschaltung durchgeführt, wird der Stringwert neu übersetzt und abgesetzt.

Stringwert/Numerischer Wert

Abhängig von der Auswahl der Eigenschaft String verwenden wird in dieses Feld ein numerischer Wert oder ein Stringwert eingegeben. Bei numerischen Werten kann zusätzlich eine Einheit Maßeinheit ausgewählt werden.

Einheit:

Auswahl einer Maßeinheit aus der Dropdownliste. Diese muss zuvor in der Einheitenumschaltung definiert worden sein.

Die Maßeinheit wird dem numerischen Wert zugeordnet. Wird zur Runtime eine Einheitenumschaltung durchgeführt, wird der Wert umgerechnet auf die neue Maßeinheit und zum WPF-Content abgesetzt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Bedienberechtigung oder Verriegelung verknüpfen

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung > Eigenschaften > Bedienberechtigung oder Verriegelung verknüpfen

Bedienberechtigungen können nicht für das gesamte WPF-Element vergeben werden. Dem Element wird eine Benutzerebene zugewiesen. Berechtigungen werden innerhalb der Benutzerebene für einzelne Controls erteilt. Ist eine Berechtigung aktiv, wird der Wert 1 auf die Eigenschaft im Element geschrieben.

Um eine Bedienberechtigung oder Verriegelung mit einer WPF-Eigenschaften zu verknüpfen:

  1. markieren Sie die Zeile mit der Eigenschaft, die verknüpft werden soll
  2. klicken Sie in die Zelle Verknüpfungsart
  3. wählen Sie aus der Dropdownliste Bedienberechtigung/Verriegelung
  4. klicken Sie in die Zelle Verknüpfung
  5. der Dialog zur Konfiguration der Berechtigungen öffnet sich

Parameter | Beschreibung
Berechtigung/Verriegelung verknüpfen | Festlegung der Berechtigungen.
Verknüpfter Zustand | Auswahl der Berechtigung, die mit einem WPF-Control verknüpft wird, aus der Dropdownliste. Zum Beispiel kann Sichtbarkeit und Bedienbarkeit eines WPF-Buttons vom Status des Benutzers abhängen.

Berechtigung | Beschreibung
Bedienberechtigung vorhanden | Besitzt der Benutzer genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
Bedienberechtigung nicht vorhanden | Besitzt der Benutzer nicht genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
Nicht verriegelt | Ist das Element nicht durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.
Verriegelt | Ist das Element durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.
Bedienbar | Wenn die Bedienberechtigung vorhanden ist und das Element nicht verriegelt ist, dann wird der Wert 1 auf die Eigenschaft geschrieben.
Nicht bedienbar | Fehlt die Bedienberechtigung oder ist das Element verriegelt, dann wird der Wert 1 auf die Eigenschaft geschrieben.


Ereignisse

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung > Ereignisse

Ereignisse ermöglichen das Verknüpfen von zenon Funktionen mit einem WPF-Element.

Parameter |  | Beschreibung
Name | Name der Eigenschaft.
Verknüpfung | Verknüpfte Funktion. Klick in die Zelle öffnet den Konfigurationsdialog.
Verknüpfungsart | Auswahl einer Verknüpfung. Klick in die Zelle öffnet den Auswahldialog.
WPF-Info | Zeigt für Eigenschaften den aktuellen Wert im WPF-Content an. Für den Anwender ist direkt ersichtlich, um welche Art von Eigenschaft es sich handelt (Boolean, String, etc.).
Verknüpft | Zeigt an, ob eine Eigenschaft aktuell verwendet wird. Per Default nicht in der Ansicht enthalten, kann über Kontextmenü->Spaltenauswahl ausgewählt werden.

Funktionen verknüpfen

Um eine Verknüpfung zu erstellen:

  1. markieren Sie die Zeile mit der Eigenschaft, die verknüpft werden soll
  2. klicken Sie in die Zelle Verknüpfungsart
  3. wählen Sie aus der Dropdownliste Funktion
  4. klicken Sie in die Zelle Verknüpfung
  5. der Dialog zur Konfiguration der Funktion öffnet sich

Parameter |  | Beschreibung
Verknüpfte Funktion | Auswahl der zu verknüpfenden Funktion. Klick auf Schaltfläche ... öffnet den Dialog zur Funktionsauswahl.
OK | Übernimmt Auswahl und schließt Dialog.
Abbrechen | Verwirft Änderungen und schließt Dialog.
Hilfe | Öffnet Online-Hilfe.


Transformation

Handbuch > WPF-Element > Projektierung in zenon > Konfiguration der Verknüpfung > Transformation

Das WPF-Element unterstützt keine Dreh-Funktionalität. Befindet sich zum Beispiel das WPF-Element in einem Symbol und das Symbol wird gedreht, so dreht das WPF-Element nicht mit. Daher gibt es für WPF mit Transformation einen eigenen Mechanismus, um Elementen zu drehen oder anderweitig zu transformieren. Diese Transformationen werden in der Registerkarte Transformation konfiguriert.

Achtung: Falls sich Content außerhalb des Bereichs des WPF-Elementes befindet, geht dieser Teil des Contents verloren, oder wird nicht gezeichnet.

Parameter

Beschreibung

Name

Name der Eigenschaft.

Verknüpfung

Auswahl der verknüpften Variablen.

Transformationen werden in XAML als Transformationsobjekte mit eigenen Eigenschaften dargestellt. Unterstützt ein Element eine Transformation, dann werden die möglichen Eigenschaften der Transformationsobjekte in der Listenansicht dargestellt. (Mehr dazu in: Button als WPF-XAML in zenon einbinden.

Wird zum Beispiel die verknüpfte Variable auf den Wert 10 gesetzt, dann wird dieser Wert auf das WPF-Ziel geschrieben und das Element von WPF um 10° gedreht.

Verknüpfungsart

Auswahl der Verknüpfungsart Transformation.

WPF-Info

Zeigt für Eigenschaften den aktuellen Wert im WPF-Content an. Für den Anwender ist direkt ersichtlich, um welche Art von Eigenschaft es sich handelt (Boolean, String, etc.).

Verknüpft

Zeigt an, ob eine Eigenschaft aktuell verwendet wird.

Per Default nicht in der Ansicht enthalten, kann über Kontextmenü->Spaltenauswahl ausgewählt werden.

Transformation verknüpfen

Um eine Transformation mit einer WPF-Eigenschaften zu verknüpfen:

  1. markieren Sie die Zeile mit der Eigenschaft, die verknüpft werden soll
  2. klicken Sie in die Zelle Verknüpfungsart
  3. wählen Sie aus der Combobox Transformation
  4. klicken Sie in die Zelle Verknüpfung
  5. der Dialog zur Konfiguration der Variablen öffnet sich

Die Konfiguration ermöglicht auch Umrechnung von zenon in WPF-Einheiten.

Parameter

Beschreibung

Verknüpfte Variable

Auswahl der zu verknüpfenden Variablen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.

Wertbereich des WPF-Elements

Angaben zur Umrechnung der Variablenwerte in WPF-Werte.

Wertbereich umrechnen

Aktiv: WPF-Einheitenumrechnung ist eingeschaltet.

Auswirkung zur Runtime: Der aktuelle zenon Wert (inkl. zenon Einheit) wird mittels normierter Minimum- und Maximum-Wert auf den WPF-Bereich umgerechnet.

Zum Beispiel: Der Wert einer Variablen variiert von 100 bis 200. Bei der Variablen ist der normierte Bereich auf 100 - 200 eingestellt. Ziel ist, diese Wertänderung mittels eines WPF-Drehknopfs darzustellen. Dafür wird:

  • bei Transformation die Eigenschaft RotateTransform.Angle mit der Variablen verknüpft
  • Wert anpassen aktiviert
  • ein WPF-Wertbereich von 0 bis 360 konfiguriert

Jetzt wird der Drehknopf bei einen Wert von z. B. 150 um 180 Grad gedreht sein.

Minimum

Definiert den niedrigsten WPF-Wert.

Maximum

Definiert den höchsten WPF-Wert.

OK

Übernimmt Einstellungen und beendet Dialog.

Abbrechen

Verwirft Einstellungen und beendet Dialog.

Hilfe

Öffnet die Online-Hilfe.


Gültigkeit von XAML-Dateien

Handbuch > WPF-Element > Projektierung in zenon > Gültigkeit von XAML-Dateien

Die Gültigkeit von XAML-Dateien ist an einige Voraussetzungen gebunden:

  • Richtige Namespaces
  • Keine Class-Referenzen
  • Skalierbarkeit

Richtige Namspaces

Das WPF-Element kann ausschließlich WPF-Content darstellen, das heißt:

Nur XAML-Dateien mit richtigem WPF-Namespace können vom WPF-Element dargestellt werden. Dateien die einen Silverlight-Namespace verwenden, können nicht geladen oder angezeigt werden. In den meisten Fällen reicht es aber aus, den Silverlight-Namespace durch den WPF-Namespace zu ersetzen.

WPF-Namespaces:

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Keine Verwendung von Class-Referenzen

Da die XAML-Dateien dynamisch geladen werden, ist es nicht möglich, XAML-Dateien zu verwenden, die Referenzen auf Klassen (Schlüssel „Class" im Header) beinhalten. Funktionalität, die in einer eigenen C#-Datei programmiert wurde, kann nicht verwendet werden.

Um WPF User Controls mit Code Behind zu verwenden, muss wie im Kapitel Erstellung eines einfachen WPF User Controls mit Code Behind-Funktionalität vorgegangen werden.

Skalierbarkeit

Soll der Inhalt eines WPF-Elements an die Größe des WPF-Elements angepasst werden, dann müssen die Controls des WPF-Elements in ein Control verschachtelt werden, das diese Funktionalität bietet, zum Beispiel eine ViewBox. Zusätzlich muss darauf geachtet werden, dass für diese Elemente die Höhe und Breite als automatisch konfiguriert werden.

Überprüfung einer XAML-Datei auf Korrektheit

Um zu überprüfen, ob eine XAML-Datei das richtige Format hat:

  • XAML-Datei im Internet-Explorer öffnen
    • lässt sie sich ohne zusätzliche Plugins (Java oder ähnliche) öffnen, dann kann diese Datei auch mit hoher Sicherheit von zenon geladen oder angezeigt werden
    • treten beim Laden der Datei Probleme auf, so werden diese im Internet-Explorer eingeblendet und es ist klar erkennbar, in welcher Zeile es Probleme gibt

Auch die Skalierung kann auf diese Art und Weise getestet werden: Ist die Datei richtig aufgebaut, wird sich der Inhalt an die Größe des Internet Explorer Fensters anpassen.

Fehlermeldung

Wird in zenon eine ungültige Datei verwendet, so wird beim Laden der Datei im WPF-Element eine Fehlermeldung im Ausgabefenster angezeigt.

Zum Beispiel:

„Fehler beim Laden vom xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

Das Attribut "Class" ist im XML-Namespace "http://schemas.microsoft.com/winfx/2006/xaml" nicht vorhanden. Zeile 7 Position 2."


Vorgefertigte Elemente

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente

Eine Reihe von WPF-Elementen werden bereits mit zenon ausgeliefert oder stehen im Webshop zum Download bereit.

Alle WPF-Elemente haben Eigenschaften, welche die grafische Ausprägung des jeweiligen Elements bestimmen (Dependency Properties). Mit dem Setzen der Werte mittels einer XAML-Datei oder die Verknüpfung der Eigenschaft über zenon kann das Aussehen in der Runtime direkt verändert werden. Die Tabellen in der Beschreibung der einzelnen Elemente enthalten die jeweiligen Dependency Properties, abhängig vom Control.

Verfügbare Elemente:

  • Analoguhr
  • Bargraf vertikal
  • Comtrade-Viewer
  • Energieklassen-Diagramm
  • Fortschrittsanzeige
  • Pareto-Diagramm
  • Sankey-Diagramm
  • Rundanzeige
  • Temperaturanzeige
  • Universalregler
  • Wasserfall-Diagramm

Assembly mit neuer Version ersetzen

Pro Projekt kann sowohl im zenon Editor als auch in der Runtime nur eine Assembly für ein WPF-Element genutzt werden. Sind in einem Projekt zwei Versionen einer Assembly vorhanden, wird die zuerst geladene Datei verwendet. Es erfolgt eine Benutzerabfrage, welche Version verwendet werden soll. Bei Beibehaltung der bisher genutzten Version sind keine weiteren Aktionen nötig. Wird eine neuere Version gewählt, müssen alle entsprechenden CDWPF-Dateien in allen Symbolen und Bildern in allen Projekten angepasst werden.

Hinweis Mehrprojektverwaltung: Wird in einem Projekt eine Assembly durch eine neuere Version ersetzt, muss sie in allen im Editor oder in der Runtime geladenen Projekten ersetzt werden.

Noch in diesem Kapitel

Analoguhr - AnalogClockControl

Bargraf vertikal - VerticalBargraphControl

Fortschrittsanzeige - ProgressBarControl

COMTRADE-Viewer

Energieklassen-Diagramm

Pareto-Diagramm

Rundanzeige - CircularGaugeControl

Sankey-Diagramm

Temperaturanzeige - TemperatureIndicatorControl

Universalregler - UniversalReglerControl

Wasserfall-Diagramm


Analoguhr - AnalogClockControl

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Analoguhr - AnalogClockControl

Property

Funktion

Wert

ElementStyle

Form/Art des Elements.

Enum:

  • SmallNumbers
  • BigNumbers
  • No

ElementBackgroundBrush

Farbe des Elementhintergrunds.

Brush

ElementGlasReflection

Aktivierung des Glaseffekts auf dem Element.

Visibility

Offset

Wert in Stunden (h), der die Zeitverschiebung zur Systemuhr darstellt.

Int16

OriginText

Text, der in der Uhr angezeigt wird (z. B. Ortsangabe).

String


Bargraf vertikal - VerticalBargraphControl

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Bargraf vertikal - VerticalBargraphControl

Property | Funktion | Wert
CurrentValue | Aktueller Wert, der angezeigt werden soll. | Double
MinValue | Minimalwert der Skala. | Double
MaxValue | Maximalwert der Skala. | Double
MajorTicksCount | Anzahl der Hauptticks der Skala. | Integer
MinorTicksCount | Anzahl der Nebenticks der Skala. | Integer
MajorTickColor | Farbe der Hauptticks der Skala. | Color
MinorTickColor | Farbe der Nebenticks der Skala. | Color
ElementBorderBrush | Farbe des Elementrahmens. | Brush
ElementBackgroundBrush | Farbe des Elementhintergrunds. | Brush
ElementGlasReflection | Aktivierung des Glaseffekts auf dem Element. | Visibility
ElementFontFamily | Elementschriftart. | Font
ScaleFontSize | Schriftgröße der Skala. | Double
ScaleFontColor | Schriftfarbe der Skala. | Color
IndicatorBrush | Farbe der Bargraf-Füllfarbe. | Brush
BargraphSeparation | Anzahl der Bargraf-Unterteilungstriche. | Integer
BargraphSeparationColor | Farbe der Skalenunterteilungen. | Color


Fortschrittsanzeige - ProgressBarControl

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Fortschrittsanzeige - ProgressBarControl

Property | Funktion | Wert
CurrentValue | Aktueller Wert, der angezeigt werden soll. | Double
MinValue | Minimalwert des Wertebereichs. | Double
MaxValue | Maximalwert des Wertebereichs. | Double
ProgressbarDivisionCount | Anzahl der Unterteilungen der (Boxed) Fortschrittsanzeige. | Integer
VisibilityText | Sichtbarkeit der Wertanzeige. | Boolean
TextSize | Schriftgröße der Wertanzeige. | Double
TextColor | Farbe der Wertanzeige. | Color
ProgressBarBoxedColor | Farbe der Rahmen der (Boxed) Fortschrittsanzeige. | Color
ProgressBarMarginDistance | Abstand der Progressbar-Box vom Elementrand (links, oben, rechts, unten). | Double
ProgressBarInactiveBrush | Indikatorfarbe nicht aktiv. | Brush
ProgressBarActiveBrush | Indikatorfarbe aktiv. | Brush
ProgressBarPadding | Abstand der Fortschrittsanzeige von der Progressbar-Box (links, oben, rechts, unten). | Double
ElementBorderBrush | Farbe des Elementrahmens. | Brush
ElementBackgroundBrush | Farbe des Elementhintergrunds. | Brush


COMTRADE-Viewer

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer

Das COMTRADE-Viewer WPF-Element steht Partnern von COPA-DATA zur Verfügung und ist für diese über die COPA-DATA Partner Community erhältlich.

tutorial Lizenzinformation

Das COMTRADE-Viewer kann nur in einem zenon Editor mit einer gültigen Energy Edition Lizenz konfiguriert werden. Ist keine gültige Lizenz vorhanden, wird das WPF im Editor ausgegraut dargestellt. Für die Darstellung zur Runtime ist ebenfalls eine gültige Energy Edition Lizenz erforderlich.

Das Control unterstützt die grafische Analyse von digitalen Stör- und Ereignisdatenaufzeichnungen einer COMTRADE-Datei.

info Info

Das Control unterstützt IEEE C37.111 (IEEE Standard Common Format for Transient Data Exchange (COMTRADE) for Power Systems) normkonforme Dateien. Es können ASCII oder Binär Dateien nach Edition von 1999 oder 2013 visualisiert werden.

Ältere Dateien oder Dateien ohne Jahreskennung werden nicht unterstützt. Beim Auswählen einer ungültigen/nicht unterstützten Datei wird ein Warndialog aufgeschalten.

Möglichkeiten des COMTRADE-Viewer WPF-Controls in der zenon Runtime:

  • Auswahl einer Datei im COMTRADE-Dateiformat
  • Visualisierung der gewählten COMTRADE-Datei:
    Hinweis: Die Anzeigefarben sind im zenon Editor konfigurierbar.
    • Strom (Sinuswellen-Darstellung)
    • Spannung (Sinuswellen-Darstellung)
    • digitale Signale (binäre Balkendiagramm-Darstellung)
    • Anzeige von Werten an einer gewählten Cursorposition.
    • Wird ein Element ausgewählt, welches weder Strom oder Spannung repräsentiert (z.B. Frequenz), wird dieses in beiden analogen Bereichen (Strom und Spannung) visualisiert.
  • Navigation:
    • Zoom-In sowie Zoom-Out per Mausrad, Bildlaufleiste und Multi-Touch Gesten
    • Vergrößerung eines Bereichs
      Auswahl des Bereichs per Mausklick
    • Verschieben des Anzeigebereichs per rechter Maustaste, Bildlaufleiste oder Multi-Touch Gesten.
  • Export der ausgewählten Objekte in eine CSV-Datei

Tipp Tipp

Um COMTRADE-Dateien auf den zenon Runtimerechner zu transportieren können Sie auch den Filetransfer des IEC 61850 Treibers oder den FTP-Funktionsblock von zenon Logic nutzen.

Weitere Informationen dazu finden Sie in der Treiberdokumentation des IEC 61850 Treibers oder in der zenon Logic Dokumentation.

Noch in diesem Kapitel

Ansicht zur Runtime

Installation

Installation

Konfigurierbare Control-Eigenschaften - Farbdarstellung

Runtime Ansicht - Konfigurationsseite

Runtime Ansicht - Visualisierung von COMTRADE Daten


Ansicht zur Runtime

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer > Ansicht zur Runtime

Das COMTRADE WPF-Element bietet zur Runtime zwei Ansichten:

  • Konfigurationsansicht
    • Auswahl einer COMTRADE-Konfigurationsdatei
    • Auswahl der anzuzeigenden Elemente
  • Graphen Ansicht
    • Zoom-In und Zoom-Out
    • Anzeige von Werten an einer gewählten Cursorposition.
    • Export der gewählten Elemente in eine CSV-Datei

info Info

Die Umschaltung zwischen den Ansichten ist im WPF-Element integriert. Eine zusätzliche Projektierung einer Bildumschaltfunktion ist nicht notwendig.


Installation

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer > Installation

Voraussetzungen:

  • Sie müssen ein registrierter COPA-DATA Partner sein.
  • Sie benötigen einen bereits eingerichteten Zugang zur COPA-DATA Partner Community.

Um ein WPF-Element herunterzuladen:

  1. Öffnen Sie die COPA-DATA Partner Community.
  2. Melden Sie sich im Bereich MY AREA an.
  3. Geben Sie bei der Lupe "Partner" als Suchbegriff ein.

    COPA-DATA Partner Community erscheint samt einem Link bei den Ergebnissen.

  4. Klicken Sie auf den Link.
  5. Klicken Sie unter Partner Login Area auf MORE.

    Die Registerkarte Overview wird geöffnet.

  6. Wechseln Sie in die Registerkarte Documents & Downloads.
  7. Aktivieren Sie unter SELECT CATEGORY die Checkbox WPF Element.
  8. Klicken Sie auf Search.

    Die Beschriftung wird ausgeblendet.

    Ein oranger Rahmen fasst das Suchfeld ein.

  9. Klicken Sie in den Rahmen und geben Sie COMTRADE ein.
  10. Der COMTRADE Viewer wird angezeigt.
  11. Klicken Sie unter Actions auf das orange Symbol, um den COMTRADE Viewer herunterzuladen.
  12. Speichern Sie den Ordner lokal ab.
  13. Entzippen Sie die Datei.
  14. Öffnen Sie den COMTRADE Ordner, der die Datei Comtrade.cdwpf enthält.


Installation

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer > Installation

Um ein WPF-Element anzulegen:

  1. Öffnen Sie den zenon Editor.
  2. Gehen Sie im Projektmanager auf Dateien und Grafiken.
  3. Gehen Sie auf Datei importieren....
  4. Wählen Sie die Datei Comtrade.cdwpf zum Importieren aus.
  5. Bestätigen Sie die Auswahl mit einem Klick auf Öffnen.
  6. Öffnen Sie das Bild, in dem das WPF-Element eingefügt werden soll.
  7. Wählen Sie in der vertikalen Menüleiste das WPF Element (WPF) aus.
  8. Ziehen Sie das WPF-Element im Bild mit der linken Maustaste auf.

    Das Fenster Dateiauswahl wird geöffnet.

  9. Wählen Sie die Datei Comtrade.cdwpf aus und bestätigen Sie die Eingabe mit Klick auf OK.

    Das WPF-Element wird eingefügt.


Konfigurierbare Control-Eigenschaften - Farbdarstellung

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer > Konfigurierbare Control-Eigenschaften - Farbdarstellung

Projektieren im Editor

Das Element mit dem Namen COMTRADE.CDWPF kann in jedem zenon Bildtyp projektiert und platziert werden.
Die Projektierung von Breite [Pixel] und Höhe [Pixel] des Elements sind proportional abhängig. Dadurch wird verhindert, dass der COMTRADE-Viewer verzerrt in der Runtime dargestellt wird.

Hinweis: Achten Sie bei der Projektierung auf eine ausreichende Größe, um die Übersichtlichkeit zu bewahren.

Grafische Anpassungen

Die grafische Ausprägung konfigurieren Sie in den Eigenschaften des WPF-Elements.
Weitere Informationen dazu finden Sie im Kapitel Konfiguration der Verknüpfung in diesem Handbuch.

Mögliche Farbwerte:

  • Hexadezimale Farbwerte in folgenden Formaten können verwendet werden:
    #RRGGBB und #AARRGGBB
    Transparenzwerte sind zulässig.
  • Beispiel-Farbwerte:
    #000000 = schwarz
    #FFFFFF = weiß
    #FF0000 = rot
  • Farbwerte per Namen
    Referenz: https://msdn.microsoft.com/en-us/library/system.drawing.color.aspx

Tipp Tipp

Die Eigenschaften für das COMTRADE-Viewer WPF-Elements haben als Anfangsbuchstaben ein "z". Nutzen Sie für eine übersichtliche Darstellung bei der Konfiguration der Verknüpfung die Namensfilterung.

Konfigurationsseite

Text- und Hintergrundfarbe der Konfigurationsseite.

Parameter | Beschreibung | Wert
zConfiguratinPageTextColor | Textfarbe der Konfigurationsseite | String
zConfigurationPageBackgroundColor | Hintergrundfarbe der Konfigurationsseite | String

Buttons

Text- und Hintergrundfarbe der Buttons.

Parameter | Beschreibung | Wert
zButtonTextColor | Textfarbe der Buttons | String
zButtonBackgroundColor | Hintergrundfarbe der Buttons | String

Chart

Textfarbe der Achsenbeschriftung oder Legende und Hintergrundfarbe.

Parameter | Beschreibung | Wert
zChartTextColor | Textfarbe der Achsenbeschriftung. | String
zChartBackgroundColor | Hintergrundfarbe der Achsenbeschriftung | String

Label

Text- und Hintergrundfarbe der Anzeige von Werten an einer gewählten Cursorposition.

Parameter | Beschreibung | Wert
zChartLabelTextColor | Textfarbe der Wertanzeige | String
zChartLabelBackgroundColor | Hintergrundfarbe der Wertanzeige | String

Chart

Farbpalette der Graphen Ansicht und der dazugehörigen Legenden.

Parameter | Beschreibung | Wert
zChartPalette | Farbpalette der Graphen- und Legendenfarben. Referenzierung mit Farbpalettenname (siehe Übersicht). Default: ist keine Farbpalette konfiguriert, wird die Farbpalette vom Betriebssystem des Rechners übernommen. | String

Mögliche Farbpaletten - Übersicht


Runtime Ansicht - Konfigurationsseite

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer > Runtime Ansicht - Konfigurationsseite

Wird in der Runtime ein Bild mit einem projektierten COMTRADE-Viewer WPF-Element aufgeschalten so ist die Anzeige der Konfigurationsseite jeweils leer.

Hinweis: Dies gilt auch, wenn in der zenon Runtime von einem anderen Bild zu diesem Bild mit der Bildumschaltfunktion gewechselt wird.

Comtrade Viewer Configuration

Die seitlich vertikal angeordnete Umschaltung COMTRADE Viewer Configuration wechselt die Anzeige von der Konfiguration zur Graphen Ansicht und umgekehrt.

Datei auswählen

Der Button Open... öffnet den Dateiauswahldialog zur Auswahl einer Datei.

Für die Anzeige im Dateiauswahldialog findet eine Vorauswahl statt:

  • Dabei werden Dateipaare von *.cfg- und *.dat-Dateien erkannt.
    Hinweis: Optionale Dateien vom Dateityp *.hdr oder *.inf werden nicht berücksichtigt.
  • Angezeigt werden nur die entsprechenden *.dat-Dateien.
  • Mit Klick auf die gewünschte Datei und Klick auf den Button OK, werden alle zugehörigen Dateien (*.dat, *.cfg) geladen.
  • Es kann jeweils nur eine Datei geladen werden.
  • Nach Laden der Datei werden die Inhalte der Datei in den Spalten Analog Channels und Digital Channels angezeigt.
    Die Bezeichnungen und Einheiten der Elemente haben Ihren Ursprung in der COMTRADE Konfiguration und können nicht geändert werden.

Weiterführende Informationen zur Verarbeitung von _*.cfg- und *.dat-Dateien

Die Informationen der *.cfg-Datei ermöglichen die Auswertung der *.dat-Datei. Diese beinhaltet die Daten der diversen analogen und digitalen Messreihen von Strömen und Spannungen. Die Daten sind in einzelne Datensätze unterteilt und im Hex-Format dargestellt.

*.cfg-Dateien

  • Der letzte Eintrag einer Datei dieses Datentyps ist ein Zeitmultiplikator. Dieser Eintrag wird beim Einlesen eines Störschriebs mit dem Zeitstempel eines jeden Eintrags aus der *.dat-Datei multipliziert. Falls kein Zeitmultiplikator vorhanden sein sollte, wird intern ein Faktor mit dem Wert 1 angenommen. Die *.cfg-Datei wird dabei nicht verändert.
  • Für die Einträge der digitalen Messwerte gelten gewisse Normen. Beispiel für einen standardkonformen Eintrag eines digitalen Messwerts: 1,LOPHC,,,0. Falls die Null am Ende des Eintrags jedoch nicht vorhanden sein sollte, ergänzt der COMTRADE-Viewer diese intern. Die *.cfg-Datei wird dabei nicht verändert.

*.dat-Dateien

  • Der COMTRADE-Viewer ist in der Lage Dateien dieses Datentyps einzulesen, die mit dem Index 0 oder >1 beginnen. Dabei wird stets geprüft, ob diese Datensätze fortlaufend in diskreten Schritten von 1 nummeriert sind. Bei nicht korrekt nummerierten Datensätzen kann die Datei nicht eingelesen werden.

Analog Channels

Parameter | Beschreibung
[Liste der verfügbaren Kanäle] | Auswahl der zu visualisierenden Elemente. Mehrfachauswahl mit Klick auf den gewünschten Eintrag in der Liste. Ausgewählte Elemente werden farbig hinterlegt dargestellt. Ein nochmaliger Mausklick hebt die Auswahl des Eintrags auf.
Select All | Wählt alle Elemente der Liste aus.
Deselect All | Deaktiviert die vorhandene Auswahl der Elemente.

Digital Channels

Parameter | Beschreibung
[Liste der verfügbaren Kanäle] | Auswahl der zu visualisierenden Elemente Mehrfachauswahl mit Klick auf den gewünschten Eintrag in der Liste. Ausgewählte Elemente werden farbig hinterlegt dargestellt. Ein nochmaliger Mausklick hebt die Auswahl des Eintrags auf.
Select All | Wählt alle Elemente der Liste aus.
Deselect All | Deaktiviert die vorhandene Auswahl der Elemente.

Auswahl anzeigen

Um Ihre Auswahl in der Graphen Ansicht anzuzeigen, klicken Sie auf den Button Apply.

Hinweis: Ein Klick auf die seitlich vertikal angeordnete Umschaltung COMTRADE Viewer Configuration wechselt nur die Ansicht. Eine geänderte Auswahl der Kanäle wird dabei nicht berücksichtigt.


Runtime Ansicht - Visualisierung von COMTRADE Daten

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > COMTRADE-Viewer > Runtime Ansicht - Visualisierung von COMTRADE Daten

In der Graphen Ansicht des COMTRADE-Viewer WPF-Elements werden die gewählten Kanäle visualisiert. Die Farbgebung kann im zenon Editor projektiert werden.

Export der ausgewählten Daten

Die ausgewählten analogen und digitalen Kanäle können mit dem Button CSV-Export in eine CSV-Datei exportiert werden.

Graphen Ansicht

Die Graphen Ansicht des COMTRADE-Viewers ist in drei Abschnitte aufgeteilt:

  • Stromstärke
    Oberer Bereich
  • Spannung
    Mittlerer Bereich
  • Digitale Kanäle
    Unterer Bereich

Achsenbeschriftung

  • Horizontale Achse
    Die horizontale Achse repräsentiert den gesamten Zeitraum, wie in der COMTRADE-Datei (*.dat) aufgezeichnet.
    Die Skalierung dieser Zeitachse ist abhängig von der Vergrößerungsstufe. Je größer die Vergrößerung gewählt ist, umso detaillierter wird auch die Zeitdarstellung.
  • Vertikale Achse
    Die vertikale Achse repräsentiert die Werte.
    • Die Skalierung der Werteachse ist abhängig von der Vergrößerungsstufe. Je größer die Vergrößerung gewählt ist, umso detaillierter wird auch die Wertedarstellung.
    • Die Bezeichnung der analogen Kanäle wird vertikal bei den Werten angezeigt und entspricht der Maßeinheit, wie in der COMTRADE-Datei (*.cfg) definiert.
    • Die Darstellung der digitalen Kanäle erfolgt in der Reihenfolge, wie in der COMTRADE-Datei (*.cfg) definiert.
      Als Bezeichner dient der Channel identifier der COMTRADE-Datei.

Legende

Die Farblegende der Graphen wird am Kopf des Graphen angezeigt.

  • Die Bezeichnung der digitalen Kanäle entspricht der Kanalbezeichnung, wie in der COMTRADE-Datei (*.cfg) definiert.
  • Die Farbzuordnung pro Kanal erfolgt automatisch mit der projektierten Farbpalette.
  • Die Zeit wird in einer Fußleiste unter dem Graphen angezeigt. Die Startzeit wird als Text angezeigt.

Navigation und Zoom

Die Navigation (Scrollen und Zoomen) wird immer auf alle drei Bereiche der grafischen Darstellung angewendet.

  • Mit der Bildlaufleiste verschieben Sie die Darstellung innerhalb der horizontalen Zeitlinie.
  • Zoom-In und Zoom-Out
    • Mit dem Mausrad zoomen Sie an der aktuellen Position des Mauszeigers in die Graphen Ansicht oder verkleinern die Vergrößerung.
    • Mit Auswahl eines Anzeigebereichs bei gedrückter Maustaste wird der ausgewählte Bereich angezeigt.
      Hinweis: Die Anzeige der Werte wird immer dem gewählten Bereich angepasst. Dadurch kann es zu einer Abflachung der Kurve in der vergrößerten Graphen Ansicht kommen.
    • Ein Doppelklick auf die Bildlaufleiste setzt die Vergrößerung zurück.

Analyse

Die exakten Werte an der Position des Mauszeigers werden mit einer Darstellung in Werteblöcken visualisiert. Ein Fadenkreuz bietet eine zusätzlich optisch Unterstützung bei der exakten Bestimmung der Ableseposition.


Energieklassen-Diagramm

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Energieklassen-Diagramm

Das Energieklassen-Diagramm, WPF-Element steht Partnern von COPA-DATA zur Verfügung und ist für diese über die COPA-DATA Partner Community erhältlich.

Zur Modellierung eines Energieklassen-Diagramms muss eine Reaktionsmatrix verwendet werden. Diese Reaktionsmatrix muss mit jener Variable verknüpft werden, deren Wert zur Anzeige und Einteilung in Energieklassen vorgesehen ist. Der Name der Variable muss dem Property "zVariableName" übergeben werden.

Reaktionsmatrix für Energieklassen-Diagramm

Die verknüpfte Reaktionsmatrix muss folgendem Schema entsprechen:

  • Der erste Zustand muss ein Bereich, oder eine „kleiner als"- Definition sein
  • Anschließend können beliebig viele Bereiche definiert werden.
  • Der letzte Zustand muss ein Bereich, oder eine „größer als"- Definition sein.

Für die Projektierung gilt:

  1. Sollten der erste Zustand ein Bereich sein und der Wert der Variable fällt unter diesen Bereich, so wird trotzdem der erste Zustand in dem Diagramm angezeigt. Das gleiche gilt für den letzten Zustand in umgekehrter Weise.
  2. Die Farben, die das WPF-Diagramm für die Klassen verwendet, sind die Grenzwertfarben, die in der Reaktionsmatrix definiert wurden.
  3. Die Buchstaben für die Klassen werden mit „A" beginnend in alphabetischer Reihenfolge gesetzt.
Property | Beschreibung | Wert
zenonFontID | ID für eine Schrift aus der ersten Schriftliste (Schriftgröße wird nicht berücksichtigt) | Integer
zenonNumberOfDecimalPlaces | Anzahl der angezeigten Nachkommastellen | Integer
zenonVariableName | Name der anzuzeigenden Variable | String

Hinweis: Für die Darstellung des Energieklassen-Diagramms im zenon Web Client sind zusätzliche VSTA-Programmierungen notwendig. Details dazu erhalten Sie im Kapitel Anzeige von WPF-Elementen im zenon Web Client.


Pareto-Diagramm

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Pareto-Diagramm

Das Pareto-Diagramm, WPF-Element steht Partnern von COPA-DATA zur Verfügung und ist für diese über die COPA-DATA Partner Community erhältlich.

Im Folgenden wird ein Beispiel eines Pareto-Diagrammes in der Runtime dargestellt:

Folgende Einstellungen können im WPF-Konfigurationsfenster unter COPADATA-ELEMENT gemacht werden:

Property | Funktion | Wert
zenonBarColor1 | Farbe des 1. Balken | COLOR (STRING)
zenonBarColor2 | Farbe des 2. Balken | COLOR (STRING)
zenonBarColor3 | Farbe des 3. Balken | COLOR (STRING)
zenonBarColor4 | Farbe des 4. Balken | COLOR (STRING)
zenonBarColor5 | Farbe des 5. Balken | COLOR (STRING)
zenonBarColor6 | Farbe des 6. Balken | COLOR (STRING)
zenonBarColor7 | Farbe des 7. Balken | COLOR (STRING)
zenonBarColor8 | Farbe des 8. Balken | COLOR (STRING)
zenonBarColor9 | Farbe des 9. Balken | COLOR (STRING)
zenonBarColor10 | Farbe des 10. Balken | COLOR (STRING)
zenonColorPercentageLine | Farbe der Prozentlinie (relative Summenhäufigkeit). | COLOR (STRING)
zenonInitialisationTime | Gibt an, wie lange mit dem Initialisieren des Controls gewartet wird. | INTEGER Default: 150 ms
zenonLineVisibility | Sichtbarkeit der Prozentlinie (relative Summenhäufigkeit). | BOOLEAN
zenonVariable1_Label | Beschriftung für den 1. Balken | STRING
zenonVariable1_Value | Wert des 1. Balken | DOUBLE
zenonVariable2_Label | Beschriftung für den 2. Balken | STRING
zenonVariable2_Value | Wert des 2. Balken | DOUBLE
zenonVariable3_Label | Beschriftung für den 3. Balken | STRING
zenonVariable3_Value | Wert des 3. Balken | DOUBLE
zenonVariable4_Label | Beschriftung für den 4. Balken | STRING
zenonVariable4_Value | Wert des 4. Balken | DOUBLE
zenonVariable5_Label | Beschriftung für den 5. Balken | STRING
zenonVariable5_Value | Wert des 5. Balken | DOUBLE
zenonVariable6_Label | Beschriftung für den 6. Balken | STRING
zenonVariable6_Value | Wert des 6. Balken | DOUBLE
zenonVariable7_Label | Beschriftung für den 7. Balken | STRING
zenonVariable7_Value | Wert des 7. Balken | DOUBLE
zenonVariable8_Label | Beschriftung für den 8. Balken | STRING
zenonVariable8_Value | Wert des 8. Balken | DOUBLE
zenonVariable9_Label | Beschriftung für den 9. Balken | STRING
zenonVariable9_Value | Wert des 9. Balken | DOUBLE
zenonVariable10_Label | Beschriftung für den 10. Balken | STRING
zenonVariable10_Value | Wert des 10. Balken | DOUBLE

Folgende Events können verwendet und mit zenon Funktionen verknüpft werden:

Event | Funktion | Wert
zenonBar1Click | Funktion, die beim Klick auf den 1. Balken ausgeführt wird. | Funktion
zenonBar2Click | Funktion, die beim Klick auf den 2. Balken ausgeführt wird. | Funktion
zenonBar3Click | Funktion, die beim Klick auf den 3. Balken ausgeführt wird. | Funktion
zenonBar4Click | Funktion, die beim Klick auf den 4. Balken ausgeführt wird. | Funktion
zenonBar5Click | Funktion, die beim Klick auf den 5. Balken ausgeführt wird. | Funktion
zenonBar6Click | Funktion, die beim Klick auf den 6. Balken ausgeführt wird. | Funktion
zenonBar7Click | Funktion, die beim Klick auf den 7. Balken ausgeführt wird. | Funktion
zenonBar8Click | Funktion, die beim Klick auf den 8. Balken ausgeführt wird. | Funktion
zenonBar9Click | Funktion, die beim Klick auf den 9. Balken ausgeführt wird. | Funktion
zenonBar10Click | Funktion, die beim Klick auf den 10. Balken ausgeführt wird. | Funktion


Rundanzeige - CircularGaugeControl

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Rundanzeige - CircularGaugeControl

Property

Funktion

Wert

CurrentValue

Aktueller Wert, der angezeigt werden soll.

Double

IsReversed

Skalenausrichtung, in oder gegen Uhrzeigersinn.

Boolean

ElementFontFamily

Elementschriftart.

Font

MinValue

Minimalwert der Skala.

Double

MaxValue

Maximalwert der Skala.

Double

ScaleRadius

Radius der Skala.

Double

ScaleStartAngle

Winkel, bei dem die Skala beginnt.

Double

ScaleLabelRotationMode

Ausrichtung der Skalenbeschriftung.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Winkelbereich, der die Größe der Skala definiert.

Double

ScaleLabelFontSize

Schriftgröße der Skalenbeschriftung.

Double

ScaleLabelColor

Schriftfarbe der Skalenbeschriftung.

Color

ScaleLabelRadius

Radius, an dem die Skalenbeschriftung ausgerichtet ist.

Double

ScaleValuePrecision

Genauigkeit der Skalenbeschriftung.

Integer

PointerStyle

Form des Zeigers, der den Wert anzeigt.

Enum:

  • Arrow
  • Rectangle
  • TriangleCap
  • Pentagon
  • Triangle

MajorTickColor

Farbe der Hauptticks der Skala.

Color

MinorTickColor

Farbe der Nebenticks der Skala.

Color

MajorTickSize

Größe der Hauptticks der Skala.

Size

MinorTickSize

Größe der Nebenticks der Skala.

Size

MajorTicksCount

Anzahl der Hauptticks der Skala.

Integer

MajorTicksShape

Form/Art der Hauptticks der Skala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Form/Art der Nebenticks der Skala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Anzahl der Nebenticks der Skala.

Integer

PointerSize

Größe des Zeigers.

Size

PointerCapRadius

Größe des Zeigerbefestigungspunkts.

Double

PointerBorderBrush

Farbe des Zeigerrahmens.

Brush

PointerCapStyle

Form/Art des Zeigerbefestigungspunkts.

Enum:

  • BackCap
  • FrontCap
  • Screw

PointerCapBorderBrush

Farbe des Zeigerbefestigungspunkts.

Brush

PointerBrush

Farbe des Zeigers.

Brush

GaugeBorderBrush

Farbe des Elementrahmens.

Brush

GaugeBackgroundBrush

Farbe des Elementhintergrunds.

Brush

PointerCapColorBrush

Farbe des Zeigerbefestigungspunkts.

Brush

GaugeMiddlePlate

Radius der Elementhintergrundmittelplatte.

Double

PointerOffset

Offset des Zeigers (Verschiebung).

Double

RangeRadius

Radius der Bereichsgesamtanzeige.

Double

RangeThickness

Dicke der Bereichsgesamtanzeige.

Double

RangeStartValue

Startwert der Bereichsgesamtanzeige.

Double

RangexEndValue

Endwert eines Bereichs. x steht für den Bereich. Endwert ist gleichzeitig Startwert des jeweils nächsten Bereichs:

  • Range1EndValue: Endwert des 1. Bereichs und Startwert des 2. Bereichs.
  • Range2EndValue: Endwert des 2. Bereichs und Startwert des 3. Bereichs.
  • Range3EndValue: Endwert des 3. Bereichs und Startwert des 4. Bereichs.
  • Range4EndValue: Endwert des 4. Bereichs und Startwert des 5. Bereichs.
  • Range5EndValue: Endwert des 5. Bereichs und Startwert des 6. Bereichs.
  • Range6EndValue: Endwert des 6. Bereichs.

Double

RangexColorBrush

Farbe des jeweiligen Bereichs. x steht für den Bereich. Verfügbar sind:

  • Range1ColorBrush: Farbe des 1. Bereichs.
  • Range2ColorBrush: Farbe des 2. Bereichs.
  • Range3ColorBrush: Farbe des 3. Bereichs.
  • Range4ColorBrush: Farbe des 4. Bereichs.
  • Range5ColorBrush: Farbe des 5. Bereichs.
  • Range6ColorBrush: Farbe des 6. Bereichs.

Hinweis: Kann in zenon nicht gesetzt werden. Informationen zur Verwendung von CDWPF, um Farbbereiche zu ändern, finden Sie in den Kapiteln Referenzierte Assemblies, CDWPF-Dateien und Konfigurierbare Control-Eigenschaften - Farbdarstellung.

Brush

ScaleOuterBorderBrush

Farbe der Skalenumrandung.

Brush

ScaleBackgroundBrush

Farbe des Skalahintergrunds.

Brush

ValueTextFrameStyle

Form/Art der Wertanzeige.

Enum:

  • LargeFrame
  • SmallFrame
  • None

ValueTextContent

Inhalt der Wertanzeige.

Enum:

  • Text
  • TextValue
  • Value

ValueTextSize

Schriftgröße der Werteanzeige.

Double

ValueTextColor

Schriftfarbe der Werteanzeige.

Color

IsGlasReflection

Aktivierung des Glaseffektes auf dem Element.

Boolean

GaugeOffsett

Absenkung des Rotationspunktes des gesamten Elements.

Double


Sankey-Diagramm

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Sankey-Diagramm

Das Sankey-Diagramm, WPF-Element steht Partnern von COPA-DATA zur Verfügung und ist für diese über die COPA-DATA Partner Community erhältlich.

Zur Modellierung eines Sankey-Diagrammes muss der Sankey Wizard verwendet werden. Der Wizard erstellt eine XML-Datei, die dann vom WPF-Element ausgewertet wird. Dazu muss die Eigenschaft zSankeyName mit dem Namen der XML-Datei versehen werden. Die XML-Datei muss in dem Ordner Sonstiges eines Projektes im Arbeitsbereich liegen. Diese wird vom Wizard dorthin gespeichert.

Im Folgenden wird ein Beispiel eines Sankey-Diagrammes in der Runtime dargestellt:

Folgende Einstellungen können im WPF-Konfigurationsfenster unter COPADATA-ELEMENT gemacht werden:

Property | Funktion | Wert
FontSize | Schriftgröße von den Texten. | Integer
zBackgroundColor | Hintergrundfarbe des Diagrammes. | Color (String)
zFontColor | Farbe der Texte. | Color (String)
zFontFamily | Schriftart aller Texte. | Font (String)
zLossDetectionActive | Autom. Verlusterkennung aktiviert/deaktiviert. Wenn true, dann werden Verluste bei einem Knotenpunkt automatisch als Flüsse dargestellt. | Bool
zNoDataText | Text der angezeigt wird, wenn keine Werte zum Darstellen vorhanden sind und zPrevireActive false ist. | String
zNoValidXMLText | Text der angezeigt wird, wenn keine gültige XML-Datei mit dem eingegebenen Namen gefunden wurde und zPreviewActive false ist. | String
zNumberOfDecimalPlaces | Gibt an, wie viele Nachkommastellen angezeigt werden. | Integer
zPreviewActive | Anzeigen eines Preview aktiviert/deaktiviert. Das Preview wird dann angezeigt, wenn keine Daten zum Anzeigen vorhanden sind (es wird das modellierte Diagramm mit Default-Werten besetzt) oder die XML-Datei nicht gefunden wurde oder diese keine gültige Definition enthält (es wird ein Beispiel-Sankey-Diagramm angezeigt). | Bool
zRefreshRate | Rate der Aktualisierungen des Diagrammes in ms. | Integer
zSankeyName | Name der XML-Datei mit der Modellierung des Diagrammes. | String
zShowRelativeValues | Anzeige der Werte in absoluten false oder relativen Werten true. | Bool

Hinweis: Für die Darstellung des Sankey-Diagramms im zenon Web Client sind zusätzliche VSTA-Programmierungen notwendig. Details dazu erhalten Sie im Kapitel Anzeige von WPF-Elementen im zenon Web Client.


Temperaturanzeige - TemperatureIndicatorControl

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Temperaturanzeige - TemperatureIndicatorControl

Property

Funktion

Wert

CurrentValue

Aktueller Wert, der angezeigt werden soll.

Double

MinValue

Minimalwert der Skala.

Double

MaxValue

Maximalwert der Skala.

Double

MajorTicksCount

Anzahl der Hauptticks der Skala.

Integer

MinorTicksCount

Anzahl der Nebenticks der Skala.

Integer

TickNegativColor

Farbe des negativen Hauptticks (verlaufend zu TickPositivColor).

Color

TickPositivColor

Farbe des positiven Hauptticks (verlaufend zu TickNegativColor).

Color

MinorTickColor

Farbe der Nebenticks.

Color

ElementBorderBrush

Farbe des Elementrahmens.

Brush

ElementBackgroundBrush

Farbe des Elementhintergrunds.

Brush

ElementGlasReflection

Aktivierung des Glaseffektes auf dem Element.

Visibility

ElementFontFamily

Elementschriftart.

Font

IndicatorColor

Farbe der Indikatorfüllfarbe.

Color

IndicatorBorderColor

Farbe des Indikatorrahmens.

Color

MajorTickSize

Größe der Hauptticks der Skala.

Size

MinorTickSize

Größe der Nebenticks der Skala.

Size

ScaleLetteringDistance

Abstand der Skalenbeschriftung (vertikal), jeder x. Haupttick soll beschriftet werden.

Integer

IndicatorScaleDistance

Abstand zwischen Indikator und Skala (horizontal).

Double

ScaleFontSize

Schriftgröße der Skala.

Double

ScaleFontColor

Schriftfarbe der Skala.

Color

Unit

Einheit.

String

ElementStyle

Form/Art des Elements.

Enum:

  • SmallFrame
  • Unit
  • None


Universalregler - UniversalReglerControl

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Universalregler - UniversalReglerControl

Property

Funktion

Wert

CurrentValue

Aktueller Wert, der angezeigt werden soll.

Double

ElementFontFamily

Elementschriftart.

Font

MinValue

Minimalwert der Skala.

Double

MaxValue

Maximalwert der Skala.

Double

Radius

Double

ScaleRadius

Radius der Skala.

Double

ScaleStartAngle

Winkel, bei dem die Skala beginnt.

Double

ScaleLabelRotationMode

Ausrichtung der Skalenbeschriftung.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Winkelbereich, der die Größe der Skala definiert.

Double

ScaleLabelFontSize

Schriftgröße der Skalenbeschriftung.

Double

ScaleLabelColor

Schriftfarbe der Skalenbeschriftung.

Color

ScaleLabelRadius

Radius, an dem die Skalenbeschriftung ausgerichtet ist.

Double

ScaleValuePrecision

Genauigkeit der Skalenbeschriftung.

Integer

ElementStyle

Darstellungsart des Elements

Enum:

  • Knob
  • Plate
  • None

MajorTickColor

Farbe der Hauptticks der Skala.

Color

MinorTickColor

Farbe der Nebenticks der Skala.

Color

MajorTickSize

Größe der Hauptticks der Skala.

Size

MinorTickSize

Größe der Nebenticks der Skala.

Size

MajorTicksCount

Anzahl der Hauptticks der Skala.

Integer

MajorTicksShape

Form/Art der Hauptticks der Skala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Form/Art der Nebenticks der Skala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Anzahl der Nebenticks der Skala.

Integer

BackgroundBorderBrush

Farbe des Elementrahmens.

Brush

BackgroundBrush

Farbe des Elementhintergrunds.

Brush

PointerCapColorBrush

Farbe des Zeigerbefestigungspunkts.

Brush

GaugeMiddlePlate

Radius der Elementhintergrundmittelplatte.

Double

ValueFontSize

Schriftgröße der Werteanzeige.

Double

ValueFontColor

Schriftfarbe der Werteanzeige.

Color

IsGlasReflection

Aktivierung des Glaseffektes auf dem Element.

Boolean

KnobBrush

Farbe des Drehknopfes.

Brush

IndicatorBrush

Farbe des Indikators.

Brush

IndicatorBackgroundBrush

Hintergrundfarbe des unaktiven Indikators.

Brush

KnobSize

Durchmesser des Drehknopfes.

Double

KnobIndicatorSize

Indikatorgröße des Knopfes.

Size

ElementSize

Größe des Elements.

Size

VisibilityKnob

Aktivierung des Knopfes.

Boolean

ValuePosition

Position der Wertanzeige.

Double

ValueVisibility

Aktivierung der Werteanzeige.

Boolean


Wasserfall-Diagramm

Handbuch > WPF-Element > Projektierung in zenon > Vorgefertigte Elemente > Wasserfall-Diagramm

Das Wasserfall-Diagramm, WPF-Element steht Partnern von COPA-DATA zur Verfügung und ist für diese über die COPA-DATA Partner Community erhältlich.

Zur Modellierung eines Wasserfall-Diagrammes muss der Meaning and Waterfall Chart Wizard verwendet werden. Mit diesem Wizard kann ein Wasserfall modelliert werden. Die Information wird direkt bei den betroffenen Variablen in der Eigenschaft Parameter für Wasserfall-Diagramm (Variablen-Eigenschaftengruppe Analyzer) gespeichert.

Im Folgenden wird ein Beispiel eines Wasserfall-Diagrammes in der Runtime dargestellt:

Hinweis: Dieser Screenshot steht nur in englischer Sprache zur Verfügung.

Folgende Einstellungen können im WPF-Konfigurationsfenster unter COPADATA-ELEMENT gemacht werden:

Property | Funktion | Wert
zenonRefreshRate | Zeit zwischen den Aktualisierungen des Diagrammes in Millisekunden. | Integer
zenonWaterfallIdentifier | Name des Wasserfalldiagrammes. | String
zenonZSystemModel | Anlagengruppe der verwendeten Variablen. | String

Hinweis: Für die Darstellung des Wasserfall-Diagramms im zenon Web Client sind zusätzliche VSTA-Programmierungen notwendig. Details dazu erhalten Sie im Kapitel Anzeige von WPF-Elementen im zenon Web Client.

Balken mit zenon Funktion verknüpfen

Die Balken eines Wasserfall-Diagramms können zur Runtime mit einer Funktion verknüpft werden. In der Runtime sind sowohl der Balken, wie auch die Beschriftung und Wertanzeige für die Funktionsausführung klickbar.

Führen Sie folgende Projektierung durch, um die Balken Ihres Wasserfalldiagramms mit einer Funktion zu verknüpfen:

  1. Projektieren Sie das WPF-Element für das Wasserfalldiagramm.
    Hinweis: Nutzen Sie dazu nach Möglichkeit den Meaning and Waterfall Chart Wizard.
  2. Projektieren Sie eine zenon Funktion:
    1. Erstellen Sie eine neue Funktion:

      Wählen Sie in der Symbolleiste oder im Kontextmenü des Knotens Funktionen Funktion neu.
      Der Dialog zur Auswahl einer Funktion wird geöffnet.

    2. Wählen Sie die gewünschte Funktion.
    3. Parametrieren Sie die Funktion.
  3. Benennen Sie die Funktion in der Eigenschaft Name.
    Beachten Sie: Der Funktionsname muss die Parameter der Variable für das Wasserfall-Diagramm ohne Farbcode enthalten!
    Sie finden diese Parameter auch in der Variableneigenschaft Parameter für Wasserfall-Diagramm in der Eigenschaftengruppe Analyzer.
  4. Verknüpfen Sie die Funktion mit der exakt gleichen Anlagengruppe, wie die Variablen.
    Hinweis: Diese Verknüpfung finden Sie in der Eigenschaft Anlagengruppen der Funktion.

Für diese Projektierung gilt:

  • Die Funktion sowie die verknüpften Variablen müssen im gleichen zenon Projekt vorhanden sein.
  • Die Variablen müssen mit einer Anlagengruppe verknüpft sein.
  • Die Funktion muss mit der gleichen Anlagengruppe wie die Variablen verknüpft sein.

Example Beispiel

Für einen Balken mit der Wasserfalldefinition WF= WF1,02,05,#E9ED92; ist z.B. der Funktionsname Function_WF1,02,05 zu verwenden.


Anzeige von WPF-Elementen im zenon Web Client

Handbuch > WPF-Element > Projektierung in zenon > Anzeige von WPF-Elementen im zenon Web Client

Um die vorgefertigten WPF-Elemente „Energieklassen-Diagramm", „Sankey-Diagramm" und „Wasserfall-Diagramm" auch für die Anzeige in einem zenon Web Client verwenden zu können, sind Anpassungen im Projekt notwendig:

  • Projektierung in zenon Editor
  • VSTA-Code anpassen

Noch in diesem Kapitel

Projektierung im zenon Editor

VSTA-Code (komplex)

VSTA-Code (vereinfacht)


Projektierung im zenon Editor

Handbuch > WPF-Element > Projektierung in zenon > Anzeige von WPF-Elementen im zenon Web Client > Projektierung im zenon Editor

Führen Sie im zenon Editor folgende Projektierungsschritte aus, um bestimmte WPF-Elemente auch im zenon Web Client anzeigen zu können:

WPF in zenon Bild platzieren:

  • Platzieren Sie das Element WPF in einem zenon Bild.
  • Vergeben Sie in der Eigenschaft Elementname einen eindeutigen Namen.
    Sie finden diese Eigenschaft in der Eigenschaftengruppe Allgemein.
    Hinweis: Wurde der Name für ein Element im Bild bereits in einem anderen Element vergeben, erscheint ein Warndialog.
  • Verwenden Sie den hier vergebenen Elementnamen im VSTA-Code.


VSTA-Code (komplex)

Handbuch > WPF-Element > Projektierung in zenon > Anzeige von WPF-Elementen im zenon Web Client > VSTA-Code (komplex)

Um den Programmiercode für die Darstellung von WPF-Elementen im zenon Web Client einzufügen, führen Sie die folgenden Schritte durch:

  1. Wechseln Sie im zenon Editor in den Knoten Programmierschnittstellen.
  2. Wählen Sie den Knoten VSTA und wählen Sie mit rechtem Mausklick den Kontextmenüeintrag VSTA-Editor mit ProjectAddin öffnen...
  3. Der Dialog zum Anlegen eines VSTA-Projektes wird geöffnet.
  4. Wählen Sie im Dialog Neues VSTA-Projekt anlegen den Eintrag C#.
  5. Erstellen (kopieren) Sie den untenstehenden Code.
  6. Tragen Sie den Namen des WPF-Elements im Code ein.

Hinweis: Achten Sie beim Öffnen des VSTA-Editors darauf, ob bereits Inhalte des folgenden Codes in der Projektierung vorhanden sind. Für die Anzeige des WPF-Elements im Web Client vergleichen Sie den bestehenden Code und nehmen Sie die notwendigen Ergänzungen vor. Beachten Sie dazu die Kommentare im Muster-Code.

VSTA-Code

//Als Member:

zenOn.IDynPictures zScreens = null;

string[] WPFElements ={"WPF_Control", "WPFWebclient_1", "WPFWebclient_2" }; //Namen der WPF-Bildelemente die in dem zenon Projekt vorkommen und die Zugriff auf die API brauchen (beliebig viele/wenige)

//In der Project-Active Funktion folgende drei Code-Zeilen hinzufügen:

void ThisProject_Active()

{

zScreens = this.DynPictures();

zScreens.Open += new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close += new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

}

//In der Project-InactiveFunktion folgende zwei Code-Zeilen hinzufügen:

void ThisProject_Inactive()

{

zScreens.Open -= new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close -= new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//Zwei neue Event-Handler einfügen:

void zScreens_Open(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

obDynPicture.Elements().Item(element).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

}

void zScreens_Close(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

zenOn.IElement zWPFElement= obDynPicture.Elements().Item(element);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}

}


VSTA-Code (vereinfacht)

Handbuch > WPF-Element > Projektierung in zenon > Anzeige von WPF-Elementen im zenon Web Client > VSTA-Code (vereinfacht)

Wird nur ein WPF-Element in einem zenon Bild verwendet, kann alternativ folgender, schlankerer Code verwendet werden. Dazu müssen die Namen des WPF-Elementes, und des Bildes in dem das Element verwendet wird, eingetragen werden. Dieser Code wird dann empfohlen, wenn pro Projekt nur eines der vorgefertigten WPF-Elemente verwendet wird.

VSTA-Code:

zenOn.IDynPicture zScreen = null;

string wpfElement = "WPF_Control"; //Name des WPF-Elements im Bild

string wpfPicture = "@Details_Overview_Online"; //Name des zenon Bildes

//In der Project-Active Funktion ergänzen:

void ThisProject_Active()

{

zScreen = this.DynPictures().Item(wpfPicture);

zScreen.Open += new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close += new zenOn.CloseEventHandler(zScreen_Close);

}

//In der Project-Inctive Funktion ergänzen:

void ThisProject_Inactive()

{

zScreen.Open -= new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close -= new zenOn.CloseEventHandler(zScreen_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zScreen_Open()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zScreen.Elements().Item(wpfElement).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

void zScreen_Close()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zenOn.IElement zWPFElement = zScreen.Elements().Item(wpfElement);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}


Beispiele: Integration von WPF in zenon

Handbuch > WPF-Element > Projektierung in zenon > Beispiele: Integration von WPF in zenon

Wie XAML-Dateien erstellt und in zenon als WPF-Elemente eingebunden werden, sehen Sie an folgenden Beispielen:

  • Button als WPF-XAML in zenon einbinden
  • Bargraf als WPF-XAML in zenon einbinden
  • DataGrid Control in zenon einbinden

Noch in diesem Kapitel

Bargraf als WPF-XAML in zenon einbinden

Button als WPF-XAML in zenon einbinden

DataGrid Control in zenon einbinden


Bargraf als WPF-XAML in zenon einbinden

Handbuch > WPF-Element > Projektierung in zenon > Beispiele: Integration von WPF in zenon > Bargraf als WPF-XAML in zenon einbinden

Aufbau des Beispiels:

  • Erzeugung eines Bargrafs in Adobe Illustrator und Umwandlung in WPF
  • einbinden in zenon
  • Verknüpfung mit Variablen
  • anpassen des Bargraf-WPF-Elements

Bargraf erstellen

Erzeugen Sie als ersten Schritt einen Bargraf wie im Kapitel Workflow mit Adobe Illustrator beschrieben. Um die XAML-Datei in zenon verwenden zu können, fügen Sie diese im Projektbaum in den Ordner Dateien/Grafiken ein.

Bargraf einbinden

Hinweis: Für die folgende Beschreibung wird ein zenon Projekt mit folgenden Inhalten verwendet:

  • ein leeres Bild als Startbild
  • 4 Variablen vom Intern Treiber für
    • Skala 0
    • Skala Mitte
    • Skala hoch
    • aktueller Wert
  • eine Variable vom Mathematik Treiber für die Anzeige des aktuellen Werts (255)

Um den Bargraf einzubinden:

  1. öffnen Sie das leere Bild
  2. platzieren Sie ein WPF-Element im Bild
  3. wählen Sie im Eigenschaftenfenster XAML-Datei
  4. wählen Sie die gewünschte XAML-Datei aus (z. B. bargraph_vertical.xaml) und schließen Sie den Dialog

Bargraf anpassen

Vor der Konfiguration wird die Skala der XAML-Datei, wenn nötig, angepasst:

Dazu:

  • legen Sie eine neue Mathematik-Variable an, die den neuen Wert in Bezug auf die Skalierung berechnet, zum Beispiel:
  • Variable: 0-1000
  • Mathematikvariable {im xaml-File erstellter Wert}*Variable/1000

    Dann wird die XAML-Datei konfiguriert.

Bargraf konfigurieren

  1. klicken Sie auf das WPF-Element und wählen Sie die Eigenschaft Konfiguration
  2. der Konfigurationsdialog zeigt eine Vorschau der ausgewählten XAML-Datei
  3. wählen Sie den Minimum-Wert, den Mittelwert und der Maximum-Wert aus und verknüpfen Sie jeweils in der Eigenschaft Content die entsprechende Variable

  4. wählen Sie den Slider aus und verknüpfen Sie die Eigenschaft Value mit der Mathematik Variablen (in unserem Beispiel: calculation)
  5. Überprüfen Sie die Projektierung in der Runtime:


Button als WPF-XAML in zenon einbinden

Handbuch > WPF-Element > Projektierung in zenon > Beispiele: Integration von WPF in zenon > Button als WPF-XAML in zenon einbinden

Aufbau des Beispiels:

  • Erzeugung eines Buttons in Microsoft Expression Blend
  • einbinden in zenon
  • Verknüpfung mit einer Variablen sowie einer Funktion
  • anpassen des Buttons an die Größe des Elements
  • Button erstellen

Erzeugen Sie als ersten Schritt einen Button wie im Kapitel Button als XAML-Datei mit Microsoft Expression Blend erstellen beschrieben. Um die XAML-Datei in zenon verwenden zu können, fügen Sie diese im Projektbaum in den Ordner Dateien/Grafiken ein.

Button einbinden

Hinweis: Für die folgende Beschreibung wird ein zenon Projekt mit folgenden Inhalten verwendet:

  • ein leeres Bild als Startbild
  • eine Intern-Variable int vom Typ Int
  • eine Funktion Funktion_0 vom Typ Sollwert absetzen mit:
    • Option Direkt zu Hardware aktiviert
    • Sollwert wurde auf 45

Um den Button einzubinden:

  1. öffnen Sie das leere Bild
  2. platzieren Sie ein WPF-Element im Bild
  3. wählen Sie im Eigenschaftenfenster XAML-Datei
  4. wählen Sie die XAML-Datei aus (z. B.: MyButton.xaml) und schließen Sie den Dialog
  5. wählen Sie die Eigenschaft Konfiguration

Button konfigurieren

Der Konfigurationsdialog zeigt eine Vorschau der ausgewählten XAML-Datei. Im Baum werden alle in der XAML_Datei benannten Elemente aufgelistet:

  1. wählen Sie den WPF-Button, der sich in LayoutRoot->MyViewBox->MyButton befindet
  2. suchen Sie in der Registerkarte Eigenschaften den Eintrag Content, dieser beinhaltet den Text des Buttons
  3. klicken Sie in die Spalte Verknüpfungsart
  4. wählen Sie in der Dropdownliste den Eintrag Variable aus
  5. klicken Sie in die Spalte Verknüpfung
  6. der Variablenauswahldialog wird geöffnet
  7. wählen Sie die Variable int, um diese Variable mit der Eigenschaft Content zu verknüpfen

Ereignisse

Um auch Ereignisse zuzuweisen:

  1. wählen Sie die Registerkarte Ereignisse aus

  2. suchen Sie den Eintrag Click, dieses Ereignis wird von WPF-Element ausgelöst, sobald der Button geklickt wird
  3. klicken Sie in die Spalte Verknüpfungsart
  4. wählen Sie in der Dropdownliste den Eintrag Funktion aus
  5. klicken Sie in die Spalte Verknüpfung
  6. der Funktionsauswahldialog wird geöffnet
  7. wählen Sie Funktion_0 aus
  8. bestätigen Sie die Änderungen mit OK
  9. fügen Sie im Bild noch ein Zahlenwert-Element ein
  10. verknüpfen Sie auch diesen Zahlenwert mit der Variablen int.
  11. kompilieren Sie die Runtime-Dateien und starten Sie die Runtime

In der Runtime wird das WPF-Element dargestellt, der Text des Buttons ist 0. Sobald Sie auf den Button klicken, wird das Click-Ereignis getriggert und die Funktion Sollwert setzen ausgeführt. Der Wert 45 wird direkt auf die Hardware abgesetzt und sowohl Zahlenwert als auch Button zeigen den Wert 45 an.

Setzen Sie über das Element Zahlenwert einen Sollwert von 30 ab, so wird auch dieser Wert vom WPF-Element übernommen.

Bedienberechtigung

Ähnlich wie ein Zahlenwert kann ein WPF-Element je nach Bedienberechtigung gesperrt (Schlosssymbol) oder bedienbar geschaltet werden. Stellen Sie beim WPF-Element die Berechtigungsebene auf 1 und legen Sie einen Benutzer Test mit Berechtigungsebene 1 an. Zusätzlich legen Sie die Funktionen Login mit Dialog und Logout an. Diese beiden Funktionen verknüpfen Sie mit 2 neuen Text-Buttons im Bild.

Im Konfigurationsdialog des WPF-Elements wählen Sie den WPF-Button MyButton aus und wählen Sie die Registerkarte Eigenschaften:

  1. wählen Sie das Element IsEnabled
  2. klicken Sie in die Spalte Verknüpfungsart
  3. wählen Sie in der Dropdownliste den Eintrag Bedienberechtigung/Verriegelung aus
  4. klicken Sie in die Spalte Verknüpfung
  5. wählen Sie in der Dropdownliste die Option Bedienberechtigung vorhanden aus

  6. schließen Sie den Dialog mit OK

Kompilieren Sie die Runtime-Dateien und achten Sie darauf, auch die Bedienberechtigungen zur Übertragung auszuwählen. Nach dem Starten der Runtime wird der WPF-Button im Bild deaktiviert angezeigt und kann nicht bedient werden. Wenn Sie sich jetzt mit dem Benutzer Test einloggen, wird der Button aktiviert und kann bedient werden. Sobald Sie sich ausloggen, wird der Button wieder gesperrt.

Transformation

Um Transformationen verwenden zu können, muss die XAML-Datei noch angepasst werden:

  1. wechseln Sie ins Programm Expression Blend
  2. wählen Sie MyButton aus, damit die Eigenschaften des Buttons im Eigenschaftenfenster sichtbar sind

  3. wählen Sie unter Transform bei RenderTransform die Option Apply relative transform aus

    Dadurch wird in der XAML-Datei ein Block eingefügt, der zur Laufzeit die Einstellungen zur Transformation speichert.

  4. speichern Sie die Datei und ersetzen Sie im zenon Projekt die alte Version mit dieser neuen Datei
  5. öffnen Sie wieder den Konfigurationsdialog des WPF-Elements:
    1. wählen Sie den Button MyButton aus
    2. wählen Sie die Registerkarte Transformationen

    1. wählen Sie das Element RotateTransform.Angle aus
    2. klicken Sie in die Spalte Verknüpfungsart
    3. wählen Sie in der Dropdownliste den Eintrag Transformationen aus
    4. klicken Sie in die Spalte Verknüpfung
    5. der Variablenauswahldialog wird geöffnet
    6. wählen Sie die Variable int, um diese Variable mit der Eigenschaft RotateTransform.Angle zu verknüpfen

Kompilieren Sie die Runtime-Dateien und starten Sie die Runtime. Loggen Sie sich als Benutzer Test ein und klicken Sie auf den Button. Der Button erhält den Wert 45 und das WPF-Element dreht sich um 45°.


DataGrid Control in zenon einbinden

Handbuch > WPF-Element > Projektierung in zenon > Beispiele: Integration von WPF in zenon > DataGrid Control in zenon einbinden

Um ein DataGrid Control für zenon zu erstellen, benötigen Sie:

  • Visual Studio (in diesem Beispiel Visual Studio 2015)

WPF User Control erstellen

  1. Erstellen Sie in Visual Studio eine neue Solution und darin ein WPF User Control Library Projekt in der .NET Framework Version 4 oder höher.

    Info: Erscheint die entsprechende Projektvorlage nicht in der Liste der verfügbaren Vorlagen, kann diese über die Suche (Feld rechts oben im Dialog) hinzugefügt werden.

    In unserem Beispiel erhält das Projekt den Namen DataGridControlLibrary.

  2. Erstellen Sie eine neue Datenverbindung im Server Explorer.

    In unserem Beispiel wird die Datenbank Northwind verwendet, die von Microsoft als Beispieldatenbank zum freien Download zur Verfügung gestellt wird.

    Zum Anlegen der Datenbankverbindung:

    1. Führen Sie einen Rechtsklick auf Data Connections aus.
    2. Wählen Sie Add connection….
    3. wählen Sie Microsoft SQL Server (SQLClient) als Data source.
    4. wählen Sie den entsprechenden Server- und Datenbanknamen aus.

    Nach dem Hinzufügen der Verbindung, sollte das Server Explorer Fenster in etwa so aussehen:

    Im nächsten Schritt wird ein neues DataSet erstellt.

DataSet erstellen

  1. Führen Sie einen Rechtsklick auf das Projekt aus.
  2. Wählen Sie im Kontextmenü Add – New Item….
  3. Erstellen Sie ein neues DataSet mit dem Namen DataSet1.
  4. Führen Sie einen Doppelklick auf das DataSet aus um es im Designer zu öffnen.
  5. Ziehen Sie die Tabellen die Sie benötigen (in Diesem Beispiel Customers und Orders) , in das DataSet Design-Fenster.

Im nächsten Schritt wird die XAML-Datei modifiziert.

Konfiguration der XAML-Datei

  1. Falls noch nicht vorhanden, fügen Sie den Namespace als Referenz auf die Klasse in die XAML Datei ein:

  2. Definieren Sie die Ressourcen und das DataGrid, das im WPF verwendet werden soll:

    <UserControl.Resources>

    <local:DataSet1 x:Key="DataSet1"/>

    <CollectionViewSource x:Key="CustomersViewSource" Source="{Binding Path=Customers, Source={StaticResource DataSet1}}"/>

    </UserControl.Resources>

    <Grid DataContext="{StaticResource CustomersViewSource}">

    <DataGrid Name="DataGrid1" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" HorizontalAlignment="Stretch" VerticalAlignment="Stretch"/>

    </Grid>

  3. Öffnen Sie die Code-Behind Datei (UserControl1.xaml.cs) und fügen Sie im Konstruktor folgende Zeilen ein:

    public UserControl1()

    {

    InitializeComponent();

    DataSet1 ds = ((DataSet1)(FindResource("DataSet1")));

    DataSet1TableAdapters.CustomersTableAdapter ta = new DataSet1TableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    CollectionViewSource CustomersViewSource = ((CollectionViewSource)(this.FindResource("CustomersViewSource")));

    CustomersViewSource.View.MoveCurrentToFirst();

    }

    Dabei wird:

    • Das DataSet geholt
    • Ein neuer TableAdapter erstellt
    • Das DataSet befüllt
    • Die Informationen dem DataGrid Control zur Verfügung gestellt

Jetzt kann die Solution gebaut werden.

Build

Bauen Sie jetzt die Solution. Im Output-Ordner des Projekts wird nun die entsprechende DLL (DataGridControlLibrary.dll) erzeugt.

Sie verfügen jetzt über die DLL, die die benötigte Funktionalität zur Verfügung stellt.

Allerdings kann zenon nur XAML-Dateien darstellen, die nicht zur Code-Behind Datei verlinkt werden können, weshalb eine zusätzliche XAML Datei benötigt wird, die die eben gebaute DLL referenziert.

Dazu:

  1. Erstellen Sie ein weiteres Projekt, wieder als WPF User Control Library
  2. In unserem Beispiel wurde es DataGridControl benannt.
  3. Fügen Sie in diesem neuen Projekt eine Referenz auf das eben gebaute Projekt ein.

  4. Die XAML-Datei (UserControl1.xaml) sieht folgendermaßen aus:

  5. Da alle nötigen Inhalte in der zuvor erstellten DLL enthalten sind und kein Code-Behind benötigt wird, löschen Sie die folgenden Zeilen:

    x:Class="DataGridControl.UserControl1"

    xmlns:local="clr-namespace:DataGridControl"

  6. Löschen Sie zusätzlich (für die Positionierung) folgende Zeilen:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Löschen Sie die Code-Behind Datei (UserControl1.xaml.cs) in diesem Projekt.
  8. Definieren Sie, was in der XAML-Datei angezeigt werden soll.

    Dazu modifizieren Sie die XAML Datei folgendermaßen:

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary">

    <Grid x:Name="Grid1">

    <dataGridLibrary:UserControl1 Name="DataGridControl" HorizontalAlignment="Left" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    Die Zeile xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary" definiert den Namespace dataGridLibrary und legt fest, dass dieser die zuvor gebaute Assembly benutzen soll.

  9. Vergeben Sie einen Namen für den Grid.
  10. Fügen Sie das Control dataGridLibrary:UserControl1 aus unserer Bibliothek hinzu und vergeben Sie einen Namen, da zenon nur Objekte modifizieren kann, die einen Namen haben.
  11. Bauen Sie die Solution.

Im nächsten Schritt wird erklärt wie die DLL sowie die XAML-Datei in zenon eingefügt werden.

Schritte in zenon

  1. Öffnen Sie den zenon Editor.
  2. Navigieren Sie zum Knoten Dateien -> Grafiken.
  3. Wählen Sie im Kontextmenü Datei hinzufügen....

  4. Wählen Sie die XAML-Datei am Speicherort (UserControl1.xaml aus dem Projekt DataGridControl) aus und fügen Sie diese ein:

  5. Fügen Sie die DLL mit der Funktionalität für die XAML-Datei hinzu.

    Dazu:

    1. Wählen Sie im Kontextmenü des Knotens Datei -> Sonstige Datei hinzufügen....
    2. Wählen Sie die Datei DataGridControlLibrary.dll des ersten Projekts (DataGridControlLibrary) aus.

  6. Legen Sie ein zenon Bild an.
  7. Fügen Sie ein WPF-Element ein und wählen Sie die zuvor eingebundene XAML-Datei aus.

    Sie sollten jetzt im zenon Editor folgendes sehen:

  8. Starten Sie die zenon Runtime um auch dort das Control zu testen.

Tipp Tipp

DLLs, die zu einem WPF-Element gehören, können im Editor auch im laufenden Betrieb ausgetauscht werden. Die Referenzierung erfolgt dabei via Verknüpfung in der XAML-Datei.

Um eine DLL auszutauschen:

  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Ersetzen Sie im Explorer die DLL im Ordner \wpfache der Editor-Dateien.
    Diesen Ordner finden Sie im SQL-Verzeichnis unter
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Alternativ zum Ersetzen über den Explorer können Sie auch die Datei direkt im zenon Editor ersetzen. Führen Sie dazu folgende Schritte aus:

  • Erhöhen Sie in den Visual Studio Projekteinstellungen die Dateiversion der DLL.
  • Bauen Sie die DLL neu.
  • Schließen Sie alle zenon Bilder, in denen das WPF-Element benutzt wird.
  • Schließen Sie alle Symbole, die ein beliebiges WPF-Element verwenden.
  • Löschen Sie im zenon Editor die DLL aus dem Ordner \Dateien\Sonstige und fügen Sie die Datei mit der erhöhten Versionsnummer ein.


Fehlerbehandlung

Handbuch > WPF-Element > Projektierung in zenon > Fehlerbehandlung

Einträge in LOG-Dateien

Eintrag | Level | Bedeutung
Xaml file found in %s with different name, using default! | Warnung | Der Name der Sammeldatei und der Name der darin enthaltenen XAML-Datei stimmt nicht überein. Um interne Konflikte zu vermeiden, wird im Arbeitsordner die Datei mit dem Name der Sammeldatei und der Endung .xaml verwendet.
no preview image found in %s | Warnung | Die Sammeldatei enthält keine gültige Vorschaugrafik (preview.png oder [Namen der XAML Datei].png). Daher kann keine Vorschau angezeigt werden.
Xaml file in %s not found or not unique! | Fehler | Die Sammeldatei enthält keine XAML-Datei oder mehrere Dateien mit der Endung .xaml. sie kann nicht verwendet werden.
Could not remove old assembly %s | Warnung | Im Arbeitsordner befindet sich ein Assembly, das durch eine neuere Version ersetzt werden soll, aber nicht gelöscht werden kann.
Could not copy new assembly %s | Fehler | Für ein Assembly im Arbeitsordner ist eine neue Version verfügbar, aber sie kann nicht dorthin kopiert werden. Möglicher Grund: z. B. ist das alte Assembly noch geladen. Die alte Version wird weiter verwendet, die neue Version kann nicht benutzt werden,
file exception in %s | Fehler | Beim Zugriff auf eine Sammeldatei ist ein Dateifehler aufgetreten.
Generic exception in %s | Fehler | Beim Zugriff auf eine Sammeldatei ist ein allgemeiner Fehler aufgetreten.


Zuweisungen

Handbuch > Zuweisungen

Zuweisungen ermöglichen es, den aktuellen Wert einer Variablen auf eine zweite Variable innerhalb eines Treibers oder treiberübergreifend zu rangieren.

zenon erlaubt es, Werte aus der Steuerung direkt in eine SQL-Datenbank oder spontane Wertänderungen von einem Treiber in einen zweiten Treiber zu schreiben. Zuweisungen können projektübergreifend erfolgen.

Achtung: Projektübergreifende Zuweisungen werden erst nach dem Laden aller Projekte ausgeführt.

Übertragung

Eine Zuweisung überträgt Wert, Status und Zeitstempel der Quellvariable auf die Zielvariable.

info Info

Status und Zeitstempel werden nur von folgenden Treibern verarbeitet:

  • Intern Treiber
  • SQL Treiber
  • AK Treiber (SICAM 230)

Beim Übertragen wird eine neue Schreibfunktion auf den Treiber ausgelöst. Dieser schreibt den Wert, der dann zurückgelesen wird. Zeitstempel und Status werden vom Lesezeitpunkt übernommen.
Ausnahme: Beim Intern Treiber werden der Zeitstempel und der Status von der Quellvariable mit übergeben.

Die Status Echtzeit extern ( T_EXTERN ), Echtzeit intern ( T_INTERN )und Sommer/Winterzeit Ankündigung ( T_CHG_A ) werden nicht übertragen. Diese werden vom Zeitstempel definiert.

Die Signalauflösung sollte für beide Variablen die gleichen Grenzen besitzen (Überlaufverhalten).

Die Übertragung des Wertes erfolgt bei Wertänderung: Wann immer die Quellvariable ihren Wert ändert, wird auch der Wert der Zielvariable geändert. Wird der Wert der Zielvariable unabhängig von dem der Quellvariable geändert, so hat die Zielvariable diesen unterschiedlichen Wert so lange, bis der Wert der Quellvariable sich wieder ändert.

info Info

Auch Zuweisungen auf Intern Variablen werden nur auf dem Server ausgeführt.

Kontextmenü Projektmanager

Menüpunkt | Aktion
Zuweisung neu | Fügt eine neue Zuweisung in die Liste ein.
Alle als XML exportieren... | Exportiert alle Einträge in XML-Datei.
XML importieren... | Importiert XML-Dateien.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Projektieren im Editor

Zuweisungen Detailansicht Symbolleiste und Kontextmenü

Trigger Variablen und Trigger-Art


Projektieren im Editor

Handbuch > Zuweisungen > Projektieren im Editor

Um Zuweisungen zu definieren:

  1. Navigieren Sie im Projektmanager zum Unterknoten Zuweisungen im Knoten Variablen.

    Bereits bestehende Zuweisungen werden in der Detailansicht angezeigt.

  2. Wählen Sie aus dem Kontextmenü oder der Symbolleiste die gewünschte Aktion, z. B. Zuweisung neu.
  3. Im Eigenschaften-Fenster werden die Eigenschaften der Zuweisung angezeigt und können geändert werden.

Eine Zuweisung benötigt unbedingt:

  • einen eindeutigen Namen
  • eine Quellvariable
  • eine Zielvariable

Beim Anwählen der Eigenschaften Quellvariable oder Zielvariable wird jeweils die Variablenliste zur Auswahl der gewünschten Variablen geöffnet. Als Quelle ist jede Variable eines jeden Treibers selektierbar. Die Zielvariable muss eine Lese-/Schreib-Freigabe besitzen.

Jede Wertänderung der Quellvariable wird an die Zielvariable der Zuweisung übertragen.

Über das Kontextmenü der Detailansicht des Projektmanagers lassen sich bestehende Zuweisungen ausschneiden, kopieren, einfügen und löschen.


Zuweisungen Detailansicht Symbolleiste und Kontextmenü

Handbuch > Zuweisungen > Zuweisungen Detailansicht Symbolleiste und Kontextmenü

Kontextmenü

Menüpunkt | Aktion
Zuweisung neu | Fügt eine neue Zuweisung in die Liste ein.
Zurück zu Ausgangselement springen | Ermöglicht den Rücksprung zum Ausgangselement.
Kopieren | Kopiert ausgewählte Einträge in die Zwischenablage.
Einfügen | Fügt den Inhalt der Zwischenablage ein. Ist bereits ein Eintrag mit gleichem Namen vorhanden, wird der Inhalt als "Kopie von ..." eingefügt.
Löschen | Löscht ausgewählte Einträge nach Rückfrage aus Liste.
Ausgewählte Zelle bearbeiten | Öffnet die ausgewählte Zelle zur Bearbeitung. Welche Zelle in einer markierten Zeile ausgewählt wurde, sehen Sie am Fernglas-Symbol in der Titelzeile. Es können nur Zellen ausgewählt werden, die bearbeitet werden dürfen.
Eigenschaften | Öffnet das Fenster Eigenschaften.
Auswahl als XML exportieren... | Exportiert alle ausgewählten Einträge in eine XML-Datei.
XML importieren | Importiert Einträge aus einer XML-Datei.
Alle Filter entfernen | Entfernt alle Filtereinstellungen.
Hilfe | Öffnet die Online-Hilfe.


Trigger Variablen und Trigger-Art

Handbuch > Zuweisungen > Trigger Variablen und Trigger-Art

Für Zuweisungen können eine Triggervariable und eine Trigger-Art definiert werden. Damit können ereignisgesteuerte Zuweisungen definiert werden. Werte werden damit nicht mehr automatisch zugewiesen, sondern nur noch bei Wertänderung der Triggervariablen.

Triggervariablen müssen Binäre Variablen sein. Folgende Konfigurationen sind möglich:

Triggervariable | Trigger Art | Ergebnis
nicht definiert |  | Jede Änderung in der Quellvariable bewirkt, dass der Quellwert der Zielvariable zugewiesen wird.
definiert | Flanke | Die Zuweisung wird nur dann ausgeführt, wenn die Triggervariable eine Wertänderung von 0 auf 1 erfährt. Nur eine positive Flanke der Bit Variable führt dazu, dass die Zuweisung ausgelöst wird. Die Zuweisung wird nicht mehr durch eine Änderung des Wertes in der Quellvariable automatisch angestoßen.
definiert | Pegel | Die Zuweisung wird immer ausgeführt, solange die Trigger Variable den Wert 1 hat. Jedes Mal, wenn sich der Wert der Quellvariable ändert, wird die Zuweisung aktiviert und der Wert wird in die Zielvariable geschrieben. Diese Zuweisung bleibt aktiv, bis sich der Wert der Triggervariable wieder auf 0 ändert.


Treiber

Treiber

In diesem Bereich finden Sie alle zenon Treiberdokumentationen.


Tutorials

Tutorials

In diesem Bereich finden Sie alle zenon Tutorials.


Glossar

Glossar

In diesem Glossar werden relvante Begriffe, die in zenon verwendet werden, kurz erklärt.


zenon 8.00 - Hilfe

Glossar >

A

ABAP

Ist eine proprietäre Programmiersprache der Softwarefirma SAP, die für die Programmierung kommerzieller Anwendungen im SAP-Umfeld entwickelt wurde und in ihrer Grundstruktur der Programmiersprache COBOL ähnelt.

Ablaufsprache

Eine der fünf in der IEC 61131-3 genormten Sprachen zur Programmierung einer SPS-Steuerung in Form eines Petri-Netzes (Schrittkette-Ablaufsteuerung).Eine Ablaufsteuerung ist eine Kette von Steuerungsschritten, welche durch Weiterschaltungsbedingungen (Transitionen) miteinander verbunden sind. Direkt an den Schrittsymbolen werden Befehle, auch Aktionen genannt, eingebunden. Beim Erreichen eines Steuerungsschrittes mit angehängter Aktion wird z.B. ein Ausgang gesetzt oder ein Programmsprung durchgeführt.

absoluter Zeitraum

Nicht vom momentanen Zeitpunkt abhängiger Zeitraum.

absoluter Zeitraum

Zu genau diesem Zeitpunkt soll eine Aktion ausgeführt werden.

Abtastrate

Bezeichnet die Häufigkeit, mit der ein Signal pro Zeitintervall abgetastet wird.

Abwärtskompatibilität

Als Abwärtskompatibilität wird die Verwendbarkeit bzw. Kompatibilität neuerer oder erweiterter Versionen zu den Anwendungsbedingungen einer früheren Version bezeichnet.

Active Directory Application Mode

Funktional eingeschränkte Version des Active Directory Verzeichnisdiensts, die der Anbindung von Anwendungen oder Diensten dient, die LDAP-konforme Informationen benötigen. Verfügbar unter Windows XP und Windows Server 2003. Wurde durch AD LDS abgelöst.Die zenon Benutzerverwaltung kann die Benutzerinformationen aus ADAM auslesen.

Active Directory Lightweight Directory Services

Funktional eingeschränkte Version des Active Directory Verzeichnisdiensts, die der Anbindung von Anwendungen oder Diensten dient, die LDAP-konforme Informationen benötigen. Verfügbar ab Windows Vista, Windows Server 2008.Die zenon Benutzerverwaltung kann die Benutzerinformationen aus AD LDS auslesen.

ActiveX

Bezeichnet ein Softwarekomponenten-Modell von Microsoft für aktive Inhalte. ActiveX-Komponenten erweitern die Component Object Model-Standards (COM) von Microsoft.

ActiveX Control

Dynamisches Element im Leitsystem oder Steuerelement für VBA/VSTA auf Basis der Microsoft ActiveX Technologie.

ActiveX Einstellungen

Parameter, die die Arbeitsweise eines ActiveX Elements regeln.

ActiveX Element

Dynamisches Element im Leitsystem oder Steuerelement für VBA/VSTA auf Basis der Microsoft ActiveX Technologie.

ActiveX Interface

Ermöglicht Übergabe von Daten/Steuerbefehlen an ActiveX.

ActiveX Schnittstelle

Ermöglicht Übergabe von Daten/Steuerbefehlen an ActiveX.

AD LDS

Funktional eingeschränkte Version des Active Directory Verzeichnisdiensts, die der Anbindung von Anwendungen oder Diensten dient, die LDAP-konforme Informationen benötigen. Verfügbar ab Windows Vista, Windows Server 2008.Die zenon Benutzerverwaltung kann die Benutzerinformationen aus AD LDS auslesen.

ADAM

Funktional eingeschränkte Version des Active Directory Verzeichnisdiensts, die der Anbindung von Anwendungen oder Diensten dient, die LDAP-konforme Informationen benötigen. Verfügbar unter Windows XP und Windows Server 2003. Wurde durch AD LDS abgelöst.Die zenon Benutzerverwaltung kann die Benutzerinformationen aus ADAM auslesen.

Agent

Kleines Programm, das Geräte überwacht, mit denen zenon Treiber bidirektional kommunizieren, und mit dem man auch Einstellungen vornehmen kann.

Aggregat

Physikalisch verfügbarer Maschinen- oder Anlagenteil, mit dem Grundfunktionen ausgeführt werden können. (ISA 88: Unit)

Aggregatfreigabe

Element des Moduls Batch Control, das die Belegung eines Aggregats im Aggregatsmanager aufhebt. Dadurch ist das Aggregat wieder durch andere Rezepte belegbar.

Aggregatsbelegung

Element des Moduls Batch Control, das die Belegung eines Aggregats im Aggregatsmanager bewirkt. Ein belegtes Aggregat kann nur von Grundfunktionen innerhalb des Rezepts verwendet werden. Damit ist das Aggregat für Grundfunktionen anderer, parallel ablaufender Rezepte gesperrt.

Aktor

Technische Einrichtung, die eine Eingangsgröße in eine andersartige Ausgangsgröße umwandelt um eine Aktion oder einen Effekt hervorzurufen. In der Steuer- und Regelungstechnik bezeichnen Aktoren das wandlerbezogene Gegenstück zu Sensoren und bilden die Stellglieder in einem Regelkreis. Sie setzen Signale einer Regelung in (meist) mechanische Arbeit (Bewegung) um. Ein Beispiel ist das Öffnen und Schließen eines Ventils.

Alarm/Ereignis-Gruppe

Dient zur Gruppierung von Ereignissen in AML/CEL. Kann frei verwendet werden z.B. für die örtliche Zuordnung zu Bereichen, aber auch für die Gruppierung nach Prioritäten wie Meldung, Störung, Alarm usw.Im Gegensatz zu den Alarm/Ereignis-Klassen können die Alarm/Ereignis-Gruppen von der Steuerung abgemeldet werden.

Alarm/Ereignis-Klasse

Dient zur Klassifizierung von Ereignissen in AML/CEL. Kann frei verwendet werden z.B. für die örtliche Zuordnung zu Bereichen, aber auch für die Gruppierung nach Prioritäten wie Meldung, Störung, Alarm usw.Im Gegensatz zu den Alarm/Ereignis-Gruppen können die Alarm/Ereignis-Klassen für die Einfärbung der AML/CEL verwendet werden.Ebenso können die Alarm/Ereignis-Klassen Alarmbereichen zugeordnet werden.

Alarmbereich-Eintrag

Ordnet eine Alarm/Ereignis-Klasse einem Alarmbereich zu. Jeder Eintrag verfügt über Statusvariablen, die den Zustand aller Alarme in der Alarm/Ereignis-Klasse anzeigen.

Alarm-Eintrag

Ein einzelnes Ereignis, das in der Alarmmeldeliste gespeichert ist.

Alarmmeldeliste

Liste zum Anzeigen und Bearbeiten von Alarmen. Die Alarmmeldeliste wird doppelt geführt: Einmal als Ringpuffer im Speicher und einmal als historische Daten in Dateien auf der Festplatte.Im Gegensatz zur Chronologischen Ereignisliste verwaltet die Alarmmeldeliste drei Zeitstempel: kommt, geht, quittiert.

Alarmmeldeliste Filter

Bildtyp, mit dem benutzerspezifische Filterbilder für die Alarmmeldeliste projektiert werden können.

Alarm-S Begleitwert

Treiber-Objekttyp, der den Begleitwert des S7-PDiag Systems in das Leitsystem überträgt. Der Begleitwert enthält z.B. die Schrittnummer des gestörten Schritts in S7-Graph.

Alarm-S Meldung

Treiber-Objekttyp, der Informationen des S7-PDiag Systems in das Leitsystem überträgt. Auf dem Offset 0 wird die Meldungsnummer mit dem Datentyp UDINT übertragen.Auf dem Offset der Meldungsnummer wird als BOOL übertragen ob die Meldung ansteht.

Alarm-S Telegramm

Alarmmeldungen des Siemens Simatic S7 PDIAG Systems.Die Telegramme können mittels S7TCPC Treiber aus der Steuerung ausgelesen werden und direkt als Alarm-Einträge in die Alarmmeldeliste übernommen werden.

Alarm-S Variable

Eine Variable, die auf dem Treiber-Objekttyp Alarm-S Meldung basiert.

Alarmstatistik

Auswertung der Alarme (Dauer, Häufigkeit usw.) mit Hilfe des Industrial Performance Analayzers.

Alarmstatuszeile

Informationszeile, die in der Runtime immer im Vordergrund vor allen Programmen dargestellt wird und die ältesten oder die jüngsten unquittierten Alarme sowie Warnmeldungen anzeigt.

Alarmursache

Frei definierbare Ursachen für das Auftreten eines Alarms im Industrial Performance Analyzer. Die möglichen Alarmursachen werden in einer Liste verwaltet und können im IPA Alarmen zugeordnet werden. Alarmursachen können als Filterkriterium benutzt werden.

ALC

Automatic Line Coloring ist ein Modul, das es ermöglicht abhängig vom Prozesszustand Leitungen (dargestellt durch Linien-, Rechteck- oder Leitung-Vektor-Elemente) einzufärben. Als verfahrenstechnisches Element wird das Combi-Element verwendet.Die ALC dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie topologischen Netzen in der elektrischen Energieverteilung (für Strom).

Alt-Taste

Taste, die in Kombination mit anderen Tasten spezielle Programmaktionen auslöst bzw. Menüschritte zusammenfasst, z.B. Alt+F4 für Programm beenden.

AML

Liste zum Anzeigen und Bearbeiten von Alarmen. Die Alarmmeldeliste wird doppelt geführt: Einmal als Ringpuffer im Speicher und einmal als historische Daten in Dateien auf der Festplatte.Im Gegensatz zur Chronologischen Ereignisliste verwaltet die Alarmmeldeliste drei Zeitstempel: kommt, geht, quittiert.

Analyzer Anwendungen

Programme zur Konfiguration des zenon Analyzer. Enthalten sind die Anwendungen wie Manual Data Editor, Metadata Editor, Migration Tool und das zenon Analyzer Management Studio (ZAMS).

Analyzer Domain

Abgegrenzter Einsatzbereich zur Gruppierung von Analyzer Projects. Jede Analyzer Domain ist eine eigene Datenbank im SQL Server.

Analyzer Project

In sich abgeschlossener Bereich von Meta- und Nutzdaten im zenon Analyzer.

Änderungsvergleich

Überprüft, ob sich Daten geändert haben.

Anfang Parallelzweig

Element, das eine Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige ermöglicht.

Anfang Verzweigung

Element, das eine Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige ermöglicht, von denen immer nur ein Zweig aktiv werden kann. Jeder nachfolgende Zweig muss mit einer Transition beginnen. Die Transition bestimmt im Rezeptablauf, welcher Zweig ausgeführt wird.

Anfangselement

Element des Moduls Batch Control, mit dem jedes Rezept beginnt.

Anfasspunkt

Grafisches Element (Rechteck, Kreis, Raute oder Sonnensymbol) mit dem ein Bildelement in der Farbe und Form geändert werden kann.

Animation

Eine Technik, bei der durch das Anzeigen von Einzelbildern für den Betrachter ein bewegtes Bild geschaffen wird.

Anlage

Planvolle Zusammenstellung von Bauteilen zu einer Gesamtheit mit einem bestimmten Zweck.

Anlagengruppe

Element der Anlagenmodellierung, um physikalischen Anlagen Objekte (Variablen, Rezepte, Funktionen, Archive usw.) projektübergreifend zuordnen zu können.

Anlagen-Kennzeichnung

Zusätzliche Kennzeichnung für Variablen, damit diese im Industrial Performance Analyzer gefiltert werden können. Die Definition der Anlagenkennzeichnung kann als Präfix im Namen oder der Kennnung der Variable angegeben werden.

Anlagenmodell

Erlaubt es, eine physikalisch existierende Anlage in beliebig viele hirarchisch gegliederte Anlagengruppen zu unterteilen.

Anlagenmodellierung

Ein Modul, das es ermöglicht, Objekte in Form eines hierarchischen Baums in Anlagengruppen zu gruppieren. Diesen Anlagengruppen können Variablen, Rezepte, Funktionen, Archive usw. projektübergreifend zugeordnet werden. In Editor und Runtime kann nach den Anlagengruppen gefiltert werden.

Anwender

Personen oder Organisationen, die eine Benutzung (einer Software zum Beispiel) veranlassen, ohne selbst Benutzer sein zu müssen.

API

Schnittstelle zur Anwendungsprogrammierung, die von einem Softwaresystem anderen Programmen zur Anbindung an das System zur Verfügung gestellt wird.

Application Programming Interface

Schnittstelle zur Anwendungsprogrammierung, die von einem Softwaresystem anderen Programmen zur Anbindung an das System zur Verfügung gestellt wird.

Arbeitsbereich

Ist eine Verwaltungseinheit im Editor, in der Projekte gruppiert werden. Nur Projekte, die in einen Arbeitsbereich eingefügt sind, können im Editor bearbeitet werden.

Archiv

Speicherort für historische Daten. Gespeichert werden: Wert, Zeitstempel in ms und der Status der Variablen.Es gibt drei unterschiedliche Archivarten:- zyklisch: Die Werte werden nach einem einstellbaren Zeitraster aufgezeichnet und bekommen den Zeitstempel des Aufzeichnungszeitpunkts.- getriggert: Die Werte werden anhand eines Triggerereignisses aufgezeichnet und bekommen entweder den Zeitstempel des Triggers, oder den Echtzeitstempel der Variablen.- spontan: Die Werte werden bei einer Wertänderung nach Überschreitung der Hysterese aufgezeichnet und bekommen den Echtzeitstempel der Variablen.

Archiv Speicherformat

Dateiformat, in dem die Archive gespeichert werden.

Archiv Speicherzyklus

Zeitlicher Abstand zwischen dem Erstellen neuer Archivdateien.

Archiv-Auslagerung

Archivdateien können nach einer einstellbaren Zeit aus dem System entfernt werden. Die Zeit und das Format, in dem die Daten abgelegt werden, sind einstellbar.

Archivdatei

Datei, in der der Archivserver die Archivdaten speichert.

Archivdaten

Werte aller im Archiv projektierten Variablen, die in der Runtime im Archiv gespeichert wurden.

Archivierung bei Wertänderung

Bei jeder Wertänderung werden die Werte der verknüpften Variablen mit Zeitstempel und Status in das Archiv geschrieben.

Archiv-Nachbearbeitung

Bildtyp, in dem Archive geöffnet und einzelne Datensätze manuell modifiziert werden können.

Archivserver

Modul das zur Aufzeichnung von historischen Daten eingesetzt wird. Im Archivserver werden Archive verwaltet.

Archivvariable

Eine Variable, die in einem Archiv verwendet wird. Die Werte der Variable werden je nach Einstellung in einem Archiv aufgezeichnet.

Array

Feld von Variablen des selben Typs. Das Feld kann bis zu drei Dimensionen besitzen. Die Nummerierung der Indizes beginnt wahlweise bei 0 oder bei 1.Im Gegensatz zu einem Blockarray kann jede Variable einzeln in allen Modulen verwendet werden und zählt bei der Lizenzierung als einzelner TAG.

Arraygröße

Eindimensionales Variablenfeld, dessen Feldgröße einstellbar ist. Der gesamte Block wird vom Treiber auf einmal gelesen und geschrieben. Dadurch ist ein Performancegewinn besonders bei symbolisch adressierten Steuerungen erreichbar. Im Gegensatz zu einem Array kann auf die einzelnen Werte nur mit Hilfe von VBA oder dem Rezeptgruppen Manager zugegriffen werden. Bei der Lizenzierung zählt es als nur ein TAG.

Array-Variable

Bestimmt den Namen, die Größe, Adressierung und andere Eigenschaften eines Arrays. Die Elemente eines Arrays werden als Variablen des Arrays bezeichnet und übernehmen die zentralen Einstellungen der Array-Variablen.

ASCII

American Standard Code for Information Interchange - ist eine 7-Bit-Zeichenkodierung und bildet die US-Variante von ISO 646 sowie die Grundlage für spätere mehrbittige Zeichensätze und -kodierungen.

Assembly

Ist eine ausführbare Datei (.exe) oder Dynamic Link Library-Datei (.dll) und bildet den Bausteine des .NET Frameworks.Sie stellt die grundlegende Einheit für Bereitstellung, Versionskontrolle, Wiederverwendung, Aktivierungsscoping und Sicherheitsberechtigungen in einer .NET-basierten Anwendung dar. Sie liefert der Common Language Runtime die zum Erkennen der Typimplementierungen notwendigen Informationen. Man kann sich eine Assembly als Auflistung von Typen und Ressourcen vorstellen, die eine logische Funktionalitätseinheit bilden und für ein Zusammenwirken konzipiert sind.

Assemblys

Ist eine ausführbare Datei (.exe) oder Dynamic Link Library-Datei (.dll) und bildet den Bausteine des .NET Frameworks.Sie stellt die grundlegende Einheit für Bereitstellung, Versionskontrolle, Wiederverwendung, Aktivierungsscoping und Sicherheitsberechtigungen in einer .NET-basierten Anwendung dar. Sie liefert der Common Language Runtime die zum Erkennen der Typimplementierungen notwendigen Informationen. Man kann sich eine Assembly als Auflistung von Typen und Ressourcen vorstellen, die eine logische Funktionalitätseinheit bilden und für ein Zusammenwirken konzipiert sind.

Assistent

Führt durch die Parametrierung und erlaubt das einfache Anlegen von komplexen Objekten. Im Gegensatz zu den Wizards sind die Assistenten direkt in das Produkt integriert und können nicht angepasst werden.

Audiodatei

Ist eine Datei, die Audiodaten wie Musik oder Sprache enthält.

Audit Trail

Zentrale Verwaltung von Ereignissen im Leitsystem. Die Chronologische Ereignisliste (CEL) wird doppelt geführt: Einmal als Ringpuffer im Speicher und einmal als historische Daten in Dateien auf der Festplatte.Im Gegensatz zur Alarmmeldeliste verwaltet die Chronologische Ereignisliste nur den Zeitstempel "kommt".

Ausführungsposition

Position in einem Rezept des Moduls Batch Control an dem die Abarbeitung im halbautomatischen und manuellen Modus automatisch unterbrochen wird und die aktiven Elemente in den Pause Status versetzt werden. Mit dem Kommando "nächster Schritt" wird der Ablauf an dieser Positon fortgesetzt.

Ausspeicherleistung

Die Rate, mit der der Speichernutzer Gas aus einer Speicheranlage entnimmt.

autark

Existiert unabhängig von anderen Komponenten.

Automatic Line Coloring

Automatic Line Coloring ist ein Modul, das es ermöglicht abhängig vom Prozesszustand Leitungen (dargestellt durch Linien-, Rechteck- oder Leitung-Vektor-Elemente) einzufärben. Als verfahrenstechnisches Element wird das Combi-Element verwendet.Die ALC dient zur einfachen automatischen Dynamisierung von Leitungen in der Verfahrenstechnik (für Medien) sowie topologischen Netzen in der elektrischen Energieverteilung (für Strom).

Automation

Übertragung von Arbeit vom Menschen auf Automaten oder Zusammenfassung wiederkehrender Funktionsabläufe.

automatisieren

Übertragung von Arbeit vom Menschen auf Automaten oder Zusammenfassung wiederkehrender Funktionsabläufe.

Automatisierung

Übertragung von Arbeit vom Menschen auf Automaten oder Zusammenfassung wiederkehrender Funktionsabläufe.

AVI

Audio Video Interleave ist ein von Microsoft definiertes Video-Containerformat. "Audio Video Interleave" bedeutet, dass Audio- und Videodaten ineinander verzahnt, also "interleaved" abgespeichert werden.


zenon 8.00 - Hilfe

Glossar >

B

BACnet

BACnet wurde und wird unter der Schirmherrschaft der American Society of Heating, Refrigerating and Air-Conditioning Engineers (ASHRAE) entwickelt. Die Entwicklung begann im Juni 1987 um einen einheitlichen firmenneutralen Standard für die Datenkommunikation in und mit Systemen der Gebäudeautomation bereitzustellen. BACnet wurde im Jahr 1995 ANSI/ASHRAE-Norm 135. Im Januar 2003 wurde BACnet ISO-Norm 16484-5.

Balkenanzeige

Dynamisches Element für die analoge Anzeige der Größe eines Signals. Dabei verändert sich die Länge eines Balkens mit der Signalgröße. Der Begriff leitet sich vom englischen "bar" für "Balken" ab.

Bargraf

Dynamisches Element für die analoge Anzeige der Größe eines Signals. Dabei verändert sich die Länge eines Balkens mit der Signalgröße. Der Begriff leitet sich vom englischen "bar" für "Balken" ab.

Bargraph

Dynamisches Element für die analoge Anzeige der Größe eines Signals. Dabei verändert sich die Länge eines Balkens mit der Signalgröße. Der Begriff leitet sich vom englischen "bar" für "Balken" ab.

Basiseinheit

Maßeinheit, deren Wert als Grundlage für die Berechnung des Werts der Umrechnungseinheit berechnet wird.

Batch Control

Werkzeug zur Erstellung und Ausführung von ISA S88 konformen Master-Rezepten und Kontroll-Rezepten.

Batchbetrieb

Automatisches, sequentielles Abarbeiten eines Stapels von Einzeloperationen.

BDE

Sammelbegriff für die Erfassung von Daten über Zustände und Prozesse im Betrieb.

BDE-System

System zur Betriebsdatenerfassung, besteht aus BDE-Maschinen, BDE-Bereichsterminals, BDE-Gruppenrechnern, die durch BDE-Interfaces an einen Leitrechner angebunden sind.

Beckhoff-TwinCAT

Nutzt jeden kompatiblen PC als Echtzeitsteuerung mit Multi-SPS-System, NC-Achsregelung, Programmierumgebung und Bedienstation. Substituiert herkömmliche SPS- und NC/CNC-Steuerungen sowie Bediengeräte.

Bedienberechtigung

Stellt sicher, dass im zenon Netzwerk immer nur eine Station zur gleichen Zeit aktive Bedienhandlungen ausführen darf (z. B. Sollwerte ändern). Passiver, lesender Zugriff ist davon unabhängig immer möglich.

Bediener

Bezeichnet die Person, die z.B. eine Maschine bedient.

Befehlsgabe

Bezeichnet eine besondere Art Sollwerte abzusetzen im Energy Bereich. Dabei wird der Befehl über eine Variable (die Aktionsvariable) abgesetzt und über eine zweite Variable (die Rückmeldevariable) zurückgelesen. Bevor eine Befehl abgesetzt wird, werden die Verriegelungsbedingungen (Topologische- wie Befehlsverriegelungen) geprüft. Ebenso wird geprüft, ob die Steuerung das Absetzen erlaubt - Select Before Operate.

Befehlsgabebild

Ein Bild vom Typ Befehlsgabe ermöglicht zur Runtime die Steuerung und Übersicht von Aktionen des Moduls Befehlsgabe. Die Befehlsgabe kann über Buttons gesteuert werden.

Befehlsgabe-Element

Dynamisches Element, mit dem Befehle für das Modul Befehlsgabe abgesetzt werden.

Befehlsgruppe

Fasst Aktionen der Befehlsgabe für eine oder mehrere Variablen in einer Gruppe zusammen.

Befehlsparameter

Der eingestellte Wert wird zum Beginn der Grundfunktion auf die Steuerung abgesetzt. Zusätzlich kann der Wert in Bedingungen als Vergleichswert herangezogen werden.Ein Befehlsparameter ist ein Platzhalter und muss mit einer zenon Variablen verknüpft werden.

Begrüßungsbildschirm

Information, die beim Starten des Programms angezeigt wird.

benutzerdefiniertes Ereignis

Zusätzlich zu den vorgegebenen Ereignissen wie z.B. Schichtbeginn, Schichtende usw. können vom Benutzer Ereignisse definiert werden. Durch das Ausführen der Funktion "PFS - benutzerdefiniertes Ereignis anstoßen" wird das Ereignis in der Runtime ausgelöst.

Benutzerverwaltung

Programm oder Programmteil, in dem definiert wird, welche Benutzer in einem System existieren, nach welchen Regeln sie sich im System anmelden und welche Rechte sie im System haben.

Berechtigungsebene

Bestimmt, ob ein Benutzer eine Aktion ausführen darf. Bei jedem Bedienelement in einem Bild kann eine Berechtigungsebene vergeben werden. Ebenso können für ausgewählte Funktionalitäten wie Alarm quittieren, Projekt im Editor laden usw... Berechtigungsebenen vergeben werden. Es gibt 128 Ebenen (von 0-127), wobei 0 die Systemebene ist, über die jeder Benutzer verfügt.

Berechtigungsgruppe

Fasst 32 Berechtigungsebenen in einer Variable vom Datentyp UDINT zusammen.

Betriebsdatenerfassung

Sammelbegriff für die Erfassung von Daten über Zustände und Prozesse im Betrieb.

Betriebsstunden-Zähler

Eine Variable, die zur aufsummierenden Messung der Zeit, die ein Gerät bzw. ein elektrischer Verbraucher in Betrieb ist, verwendet wird.

Betriebssystem

Ein Betriebssystem ist die Software, die die Verwendung (den Betrieb) eines Computers ermöglicht. Es verwaltet Betriebsmittel wie Speicher, Ein- und Ausgabegeräte und steuert die Ausführung von Programmen.

Bild

Eine begrenzte Fläche am Monitor, die Elemente/Objekte zum Bedienen, Steuern, Beobachten, Auswerten usw. von Maschinen, Anlagen und Prozessen beinhaltet.Es gibt verschiedene Bildtypen, die vordefinierte Funktionen mitbringen. Bilder basieren immer auf Schablonen, die die Position am Monitor festlegen. Es können mehrere Bilder gleichzeitig und auch auf mehreren Monitoren angezeigt werden.

Bild-ab

Taste, die den Cursor am Bildschirm um die Höhe des Bildschirms nach unten bewegt.

Bildalarmierung

Die Bildalarmierung führt den Anwender in der Runtime z.B. durch blinkende Elemente zu jenem Bild, in dem der Alarm grafisch dargestellt wird.Die Projektierung erfolgt mit Hilfe der Alarmbereiche.

Bildalarmierung Button

Dynamisches Element, mit dem die Bildalarmierung umgesetzt werden kann. Nur für SICAM 230 verfügbar.

Bild-auf

Taste, die den Cursor am Bildschirm um die Höhe des Bildschirms nach oben bewegt.

Bildeditor

Bereich im Hauptfenster, in dem Bilder gezeichnet werden.

Bildelement

Alle Elemente (Symbole, Dynamische und Vektor-Elemente sowie Kontrollelemente) die in einem Bild liegen.

Bildlauffeld

Grafisches Element in der Bildlaufleiste, um den angezeigten Inhalt horizontal oder vertikal zu verschieben. Das Verhältnis von Bildlauffeld zu Bildlaufleiste entspricht dem Verhältnis von angezeigtem Inhalt zum Gesamtinhalt des Elements.

Bildlaufleiste

Grafisches Werkzeug zum Verschieben von Bildschirminhalten entlang einer horizontalen oder vertikalen Achse.

Bildlaufpfeil

Grafisches Element in der Bildlaufleiste zum horizontalen oder vertikalen Bewegen des Bildlauffelds.

Bildsymbol

Symbol, das in einem Bild eingebettet oder verknüpft ist.

Bildtyp

Definiert die Art des Bildes und die darin standardmäßig verfügbaren Elemente. Für jeden Bildtyp stehen für die Funktionalität abgestimmte Elemente (Buttons, Listen usw.) zur Verfügung.So hat z.B. ein Bild vom Typ Alarmeldeliste alle Objekte, die zur Darstellung und Filterung von Alarmen erforderlich sind.

bildtypspezifische Funktion

Funktion, die einem Element zur Verfügung steht, wenn es in einem bestimmten Bildtyp verwendet wird.

Binärvariable

Variable, deren Wert nur zwei Zustände annehmen kann: 0 oder 1, HIGH oder LOW, TRUE oder FALSE.

Binärwert

Wert, der nur zwei Zustände, z.B. 0 und 1 bzw. High und Low ... annehmen kann.

Bitmap

Zweidimensionales Rastergrafikformat, das für die Betriebssysteme Microsoft Windows und OS/2 entwickelt und mit Windows 3.0 eingeführt wurde. Die Dateiendung ist .bmp, seltener .dib.

Bitmap Button

Dynamisches Element, mit dem eine Aktion (Funktion ausführen, Sollwert setzen) ausgelöst wird. Der Bitmap Button kann nur Grafiken darstellen. Ab 6.50 wird er durch das Dynamische Element Button ersetzt.

Blockarray

Eindimensionales Variablenfeld, dessen Feldgröße einstellbar ist. Der gesamte Block wird vom Treiber auf einmal gelesen und geschrieben. Dadurch ist ein Performancegewinn besonders bei symbolisch adressierten Steuerungen erreichbar. Im Gegensatz zu einem Array kann auf die einzelnen Werte nur mit Hilfe von VBA oder dem Rezeptgruppen Manager zugegriffen werden. Bei der Lizenzierung zählt es als nur ein TAG.

Blockwrite

Zusammenfassung von mehreren Schreibbefehlen in ein Schreibtelegramm. Wird z.B. beim Absetzen eines Rezepts verwendet.

Blue Screen of Death

Ist eine Beschreibung einer bestimmten Kategorie von Fehlermeldungen, welche insbesondere von Microsoft Windows-Betriebssystemen angezeigt werden. Dabei wird die Bedienoberfläche des Betriebssystems vollständig durch einen blauen Bildschirm ersetzt, auf dem in weißer Schrift Fehlerinformationen erscheinen.

BMP

Zweidimensionales Rastergrafikformat, das für die Betriebssysteme Microsoft Windows und OS/2 entwickelt und mit Windows 3.0 eingeführt wurde. Die Dateiendung ist .bmp, seltener .dib.

Branche

Bezeichnet in der Wirtschaft eine Gruppe von Unternehmen, die ähnliche Produkte herstellen, die mit ähnlichen Artikeln (Sortimenten) handeln oder die ähnliche Dienstleistungen erbringen.

Breaktpoint

Bezeichnet eine Stelle im Programm, an der ein Debugger bei der Verarbeitung von Befehlen anhält, sobald er sie erreicht hat.

BSOD

Ist eine Beschreibung einer bestimmten Kategorie von Fehlermeldungen, welche insbesondere von Microsoft Windows-Betriebssystemen angezeigt werden. Dabei wird die Bedienoberfläche des Betriebssystems vollständig durch einen blauen Bildschirm ersetzt, auf dem in weißer Schrift Fehlerinformationen erscheinen.

Build

Builds beinhalten Fehlerbehebungen. Bei jeder Kompilierung der Version wird die Build-Nummer hochgezählt. Diese Builds werden betroffenen Kunden zur Verfügung gestellt. Builds sind nur teilweise dem Qualitätssicherungsprozess unterworfen. Alle Builds werden in vollständig qualitätsgesicherten Service Packs zusammengefasst.

Bus Treiber

Ist ein Computerprogramm oder -modul, das zur Interaktion mit angeschlossenen (Feld-)Bussen dient.

Busklemme

Intelligente Reihenklemme, die unterschiedliche analoge und digitale Eingangs- und Ausgangssignale verarbeiten kann. Sie wird einfach und kompakt wie eine konventionelle Reihenklemme untergebracht und verdrahtet, verfügt aber im Gegensatz zur Reihenklemme über eine intelligente Elektronik.

Busklemmen-Controller

Eine Busklemmeneinheit besteht üblicherweise aus einem Buskoppler und einer größeren Anzahl von elektronischen Reihenklemmen. Der Buskoppler verfügt über eine Schnittstelle zu einem Feldbus und bindet auf diese Weise die Busklemmen in das Steuerungssystem ein. Buskoppler mit eigener Intelligenz werden als Busklemmen-Controller bezeichnet. Sie verfügen in kleinem Rahmen bereits über SPS-Funktionalität und können kleinere Steuerungsaufgaben dezentral, ohne Eingriff des Steuerungsrechners, abarbeiten.

Bus-Treiber

Ist ein Computerprogramm oder -modul, das zur Interaktion mit angeschlossenen (Feld-)Bussen dient.


zenon 8.00 - Hilfe

Glossar >

C

C#

C# (lies engl. c sharp, englische Aussprache) ist eine vom Softwarehersteller Microsoft im Rahmen seiner .NET-Strategie entwickelte Programmiersprache.

Cause of Transmission

Übertragungsursache laut IEC 60870 Protokoll. Der Wert der Übertragungsursache (siehe IEC60870-5-101 7.2.3) wird auf die zenon Statusbits 32 - 37 abgebildet.

CE Editor

Spezieller Editor für Windows CE Projekte, der nur die für Windows CE möglichen Einstellungen zulässt.

CEL

Zentrale Verwaltung von Ereignissen im Leitsystem. Die Chronologische Ereignisliste (CEL) wird doppelt geführt: Einmal als Ringpuffer im Speicher und einmal als historische Daten in Dateien auf der Festplatte.Im Gegensatz zur Alarmmeldeliste verwaltet die Chronologische Ereignisliste nur den Zeitstempel "kommt".

CEL-Eintrag

Ein einzelnes Ereignis, das in der Chronologischen Ereignisliste gespeichert ist.

CEL-Ereignis

Ein Grenzwertverletzung, die einen Eintrag in der Chronologischen Ereignisliste auslöst.

CFC

Programmiersprache für Speicherprogrammierbarer Steuerungen. Keine der fünf in der IEC 61131-3-Norm definierten Sprachen, aber mit der definierten FUP (FDB) gleichgestellt, stellt sie eine gängige Erweiterung von IEC-Programmierumgebungen dar. Wird vor allem in der Prozessleittechnik verwendet, da sie deren komplexe Steuerungs- und Regelungsaufgaben sehr gut abbilden kann.CFC ist eine graphische Programmiersprache, in der Funktionsblöcke miteinander verschaltet werden, anstatt eine Abfolge von textuellen Befehlen einzugeben wie bei klassischen Programmiersprachen. Als Vorbild sind dabei, Schaltpläne aus der Hardwareentwicklung zu sehen.

Checkbox

Ist ein Standardelement einer graphischen Software-Benutzungsoberfläche (GUI). Eine Checkbox hat in den meisten Fällen zwei, seltener drei oder mehr Zustände.

CheckBox

Ist ein Standardelement einer graphischen Software-Benutzungsoberfläche (GUI). Eine Checkbox hat in den meisten Fällen zwei, seltener drei oder mehr Zustände.

Chronologische Ereignisliste

Zentrale Verwaltung von Ereignissen im Leitsystem. Die Chronologische Ereignisliste (CEL) wird doppelt geführt: Einmal als Ringpuffer im Speicher und einmal als historische Daten in Dateien auf der Festplatte.Im Gegensatz zur Alarmmeldeliste verwaltet die Chronologische Ereignisliste nur den Zeitstempel "kommt".

Chronologische Ereignisliste Filter

Bildtyp, mit dem benutzerspezifische Filterbilder für die Chronologische Ereignisliste projektiert werden können.

ClearType

Die vor allem bei kursiven Schriftschnitten entstehenden Stufen werden beim herkömmlichen Antialiasing mit Bildpunkten in Grautönen so ausgeglichen, dass das Auge scheinbar schräge Linien wahrnimmt. ClearType verbessert diese Form der Schriftdarstellung weiter, indem es auch die Subpixel ? die drei Farbbestandteile eines Pixels ? einzeln anspricht und ebenfalls zur Kantenglättung heranzieht. ClearType verbessert diese Form der Schriftdarstellung weiter, indem es auch die Subpixel ? die drei Farbbestandteile eines Pixels ? einzeln anspricht und ebenfalls zur Kantenglättung heranzieht.

Clientprojekt

Projekt mit aktiviertem Netzwerk und eingetragenem Server, das alle Daten (ausgenommen lokale Variablen des Interntreibers und des Systemtreibers) vom Serverprojekt über das Netzwerk (TCP/IP Kommunikation) bezieht.

Coil

Eine Bezeichnung für Speicheradressraum, der binär aufgebaut ist und bei dem Schreibe- und Leseoperationen ausgeführt werden können. Wird bei Modbus verwendet.

Combi-Element

Universales Dynamisches Element, das verschiedenste grafische Ausprägungen annehmen kann: Grafik, Symbol aus der Bibliothek, in Bildern eingebettetes Symbole oder Text.Die Darstellung wird von Variablenwerten der Hauptvariablen oder weiteren Variablen bestimmt. Es ist möglich: - Statusinformationen aller verknüpfter Variablen auszuwerten- beliebige Verknüpfungen mittels Formeln zu erstellen- Zustände der Hauptvariablen direkt in das Combilement zu übertragen- verfahrenstechnische Elemente für das Automatic Line Coloring umzusetzen

Combo-/Listbox

Dynamisches Element, das abhängig vom Variablenwert einen Text in einer Auswahlliste anzeigt. Durch Selektion eines Eintrags wird der dazugehörige Wert abgesetzt oder die dazugehörige Funktion ausgeführt. Die Anzeige kann wahlweise in einer Combobox oder einer Listbox erfolgen.

Combobox

Steuerelement einer grafischen Benutzeroberfläche, zeigt einen Text und eine Pfeil-Schaltfläche an. Der Name leitet sich davon ab, dass sie als Kombination aus einem Textfeld und einem Listenfeld (Dropdownliste) betrachtet wird. Bei einer Combobox sind daher optional Tastatureingaben in das Textfeld der Combobox möglich oder aber die Auswahl/Änderung eines der vorgegebenen Listeneinträge.

Compiler

Ein Compiler ist ein Computerprogramm, das ein in einer Quellsprache geschriebenes Programm ? genannt Quellprogramm ? in ein semantisch äquivalentes Programm einer Zielsprache (Zielprogramm) umwandelt. Üblicherweise handelt es sich dabei um die Übersetzung eines von einem Programmierer in einer Programmiersprache geschriebenen Quelltexts in Assemblersprache, Bytecode oder Maschinensprache.

COM-Port

Serielle Kommunikationsschnittstelle.

Connector

Bindeglied zwischen Datenquelle und zenon Analyzer. Umfasst Connector Container, Connector Stub und Connector Plug-ins wie z.B. Connector zenonSQL.

Connector Container

Objekt zur Verwaltung von Connectoren. Befindet sich auf der Quelle. Lädt ein Connector Plug-in nach Anforderung vom Connector Stub und führt es aus.

Connector Plug-in

Teil des Connectors, der die Verbindung zwischen Stub und Container herstellt. Wird in der Abfrage angesprochen. Für unterschiedliche Aufgaben stehen unterschiedliche Plug-ins zur Verfügung, z.B.: zenonSQL oder zenonV6.

Connector Stub

Komponente zur Anknüpfung entfernter Systeme an den Microsoft SQL Server. Befindet sich am Ziel.

Continuous Function Chart

Programmiersprache für Speicherprogrammierbarer Steuerungen. Keine der fünf in der IEC 61131-3-Norm definierten Sprachen, aber mit der definierten FUP (FDB) gleichgestellt, stellt sie eine gängige Erweiterung von IEC-Programmierumgebungen dar. Wird vor allem in der Prozessleittechnik verwendet, da sie deren komplexe Steuerungs- und Regelungsaufgaben sehr gut abbilden kann.CFC ist eine graphische Programmiersprache, in der Funktionsblöcke miteinander verschaltet werden, anstatt eine Abfolge von textuellen Befehlen einzugeben wie bei klassischen Programmiersprachen. Als Vorbild sind dabei, Schaltpläne aus der Hardwareentwicklung zu sehen.

ControlLogix

Gerät von Allen-Bradley (Rockwell), das Ablaufsteuerung, Achssteuerung und Prozesssteuerung vereint. Logix bezeichnet eine universelle Steuerungsplattform, die bisher getrennte Systeme integriert.

Coordinated Universal Time

Die koordinierte Weltzeit, international als UTC (engl. "Coordinated Universal Time") abgekürzt, ist die heute gültige Weltzeit. Eingeführt wurde sie 1972. Die Genauigkeit ist in Sekunden.Von der koordinierten Weltzeit werden ausgehend vom Nullmeridian, der durch den Londoner Stadtteil Greenwich verläuft, die Zeiten in den verschiedenen Zeitzonen der Erde abgeleitet. UTC ersetzt die Greenwich Mean Time (GMT).

COT

Übertragungsursache laut IEC 60870 Protokoll. Der Wert der Übertragungsursache (siehe IEC60870-5-101 7.2.3) wird auf die zenon Statusbits 32 - 37 abgebildet.

CSV

Character Separated Values - beschreibt den Aufbau einer Textdatei zur Speicherung oder zum Austausch einfach strukturierter Daten.

CSV-Datei

Datei, die Daten vom Typ CSV (Character Separated Values) enthält.


zenon 8.00 - Hilfe

Glossar >

D

Data Concentrator

Teil des zenon Analyzer um Daten von Steuerungen zusammenzufassen und bereitzustellen.

Datenbaustein-Nummer

Eindeutige Nummer eines Datenbausteins in einer Siemens Steuerung.

dBase

dBASE war die erste weitgenutzte Datenbank-Applikation (genauer eher ein Datenbankverwaltungssystem) für Mikrocomputer und wurde von der Firma Ashton-Tate für das Betriebssystem CP/M vertrieben. Später wurde die Datenbank auf den IBM-PC unter DOS portiert.Die Basisidee des dBASE-Systems ist, die Tabellen einer Datenbank in speziell strukturierten Files (DataBaseFiles = DBF) zu halten.

Decluttering

Funktionalität des Weltbildes: Je nach eingestellter Zoomstufe werden Objekte dargestellt oder ausgeblendet.Dadurch wird die Übersichtlichkeit erhöht.

Diagnose Client

Programm, das sich über TCP/IP mit dem Diagnose Server verbindet und Fehlerprotokolle an diesen sendet. Jedes zenon Programm agiert als Diagnose Client.

Diagnose Server

Programm zur Fehleranalyse: Fehlerprotokolle werden von den Diagnose Clients an den Server geschickt und von diesem in LOG-Dateien abgespeichert. Der Diagnose Server ist in den Transportservice integriert.

Diagnose-Einstellungen

Definiert, welche Informationen an den Diagnose Server gesendet werden.

Diagnosis Viewer

Programm, das sich über TCP/IP mit dem Diagnose Server verbindet und die dort verfügbaren Fehlerprotokolle anzeigt. Das Programm kann sich entweder online verbinden oder historische Daten auslesen und gefiltert darstellen.Das Programm dient auch zur Konfiguration des Diagnose Servers.

Dialogschrift

Die Schriftart, die in den Standard-Programmdialogen in der Runtime verwendet wird.

Digitalsignal

Überträgt eine Information, zum Beispiel eine elektrische Wechselspannung, in Form einer Zahlenkolonne, die die Information mathematisch beschreibt, im Gegensatz zum Analogsignal, das eine physikalische Größe entweder direkt überträgt oder durch eine andere physikalische Größe abbildet.

Direct2D

Eine Technologie zur Darstellung von 2D Grafiken. Ist ein Bestandteil von DirectX und setzt auf Direct3D auf. Kann sowohl hardwarebeschleunigt als auch per Software-Fallback (wenn die Hardware den Modus nicht unterstützt) arbeiten.

Direct3D

Eine Technologie zur Darstellung von 3D Grafiken. Ist ein Bestandteil von DirectX. Kann sowohl hardwarebeschleunigt als auch per Software-Fallback (wenn die Hardware den Modus nicht unterstützt) arbeiten.

DirectX

Eine Sammlung COM-basierter Programmierschnittstellen (API) für multimediaintensive Anwendungen auf der Windows-Plattform. zenon kann zur Grafikausgabe den DirectX-Modus verwenden.

Dongle

Schützt Software vor unautorisierter Nutzung.

Donglelizenz

Bindet die Nutzung der Software an das Vorhandenseins eines Dongles am Rechner oder im Netzwerk.

Donglelizenzierung

Lizenzierungsart, bei der die Lizenz an einen Dongle gebunden wird. Im Gegensatz zur Softlizenz ist diese Lizenzierungsart nicht rechnergebunden und damit portabel.

Donglenummer

Eindeutige Nummer, die im Dongle eingebrannt ist und mit der Produkt-ID der Seriennummer übereinstimmen muss. Die Donglenummer wird mit einem Aufkleber am Dongle sichtbar gemacht und kann mit der WIBU-KEY Software ausgelesen werden.

Dongleserver

Rechner, auf dem eine spezielle Donglesoftware läuft, die den Zugriff auf einen Netzwerkdongle ermöglicht.

Dropdownliste

Ist ein Element einer grafischen Benutzeroberfläche, das durch eine Benutzeraktion ein ?nach unten herausfallendes? Listenfeld sichtbar macht.

Dynamisches Element

Ein Dynamisches Element repräsentiert Variablenwerte in grafischer Form. Die interne Verwaltung basiert auf Vektoren. Dadurch ist eine verlustfreie Größenänderung möglich.

Dynamisierung

Abhängig von Variablenwerten wird eine Anzeige verändert. Die Ausprägungen können völlig unterschiedlich sein: Farbumschläge, Blinken, Anzeige verschiedener Grafikdateien, Änderung der Position, Drehung, Sichtbarkeit, Transparenz usw...


zenon 8.00 - Hilfe

Glossar >

E

Editorprofil

Speichert die Position und Verfügbarkeit der Schaltflächen in den Symbolleisten und die Anordnung der Symbolleisten im Editor. Ebenso werden die Position und die Größe der Editor-Fenster gespeichert.Es können bis zu 10 Editorprofile gespeichert werden.

Effizienzklasse

Bewertungsskala für das europäische Energie Label. Die Bewertungsskala gibt über den Energiebedarf (Strom und andere Energieträger) und über zusätzliche Gebrauchseigenschaften des Gerätes Auskunft.Die Einteilung erfolgt in Wertungsklassen von A bis G, wobei A die beste Klasse (niedriger Bedarf) darstellte und G die schlechteste (hoher Bedarf). Die Klasse A wird noch weiter unterteilt (A+, A++, ...)

EIB

Ein Standard für Gebäude-Feldbussysteme nach EN 50090, in der aktuellen Version als KNX-Standard auch nach ISO/IEC 14543-3.

EIB-Schnittstelle

Schnittstelle, die dem EIB-Standard entspricht.

Eigenschaftenfenster

Anzeigebereich, in dem die Eigenschaften der selektierten Elemente angezeigt werden.

Eigenschaftenhilfe

Fenster im Editor, das kurze Erklärungen zur selektierten Eigenschaft anzeigt.

Einfache Variable

Variable, die auf einem Einfachen Datentyp basiert.

Einfacher Datentyp

Datentyp, der direkt auf einem IEC Datentyp basiert und ihn mit Eigenschaften der Variablen wie z.B. Einheit, Skalierung, Grenzwerten usw. ergänzt. Alle diese Eigenschaften können an die darauf basierenden Variablen vererbt werden.

Eingabefeld

Kontrollelement zur Eingabe von Zeichen.

Eingangsverriegelung

Ermöglicht es die Ausführung einer Grundfunktion abhängig von Prozesszuständen zu unterbinden. Die Verriegelungsbedingung kann mit Hilfe einer Formel definiert werden.

eingebetteter Datentyp

Datentyp, der in einem Struktur-Datentyp als Struktur-Element eingebunden ist, aber im Gegensatz zum verknüpften Datentyp eine Kopie des ursprünglichen Einfachen Datentyps ist. Damit sind alle Eigenschaften beim Struktur-Element einstellbar.

Einspeicherleistung

Die Rate, mit der der Speichernutzer Gas in eine Speicheranlage einbringt.

Ende Parallelzweig

Element, das die Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige wieder zu einem Zweig zusammenführt.

Ende Verzweigung

Element, das eine durch ein Element Anfang Verzweigung begonnene Verzweigung wieder zusammenführt.

Endelement

Element des Moduls Batch Control, mit dem jedes Rezept endet.

Energy Edition

Erweiterung des Standardumfangs um spezielle Features, die nur im Energiemark benötigt werden, z.B. Befehlsgabe.

Erdschlusserkennungsgerät

Ein Leitungsschutzgerät zur Erkennung von Erdschlüssen in einem Netzelement.

Erdschlusssuche

Bei einem Erdschluss kann mithilfe dieser Funktion der betroffen Netzbereich mit der Erdschlussfarbe eingefärbt und dadurch der Fehlerort lokalisiert werden.

ereignisgesteuerte Archivierung

Die Daten werden bei der positiven Flanke der Ereignisvariable in das Archiv geschrieben.

ereignisgesteuerte Aufzeichnung

Die Daten werden bei der positiven Flanke der Ereignisvariable in das Archiv geschrieben.

Ersatzwert

Der Ersatzwert kann viele Funktionen haben. Zum einen wird beim Auffüllen von Archiven der voreingestellte Ersatzwert der Variable in das Archiv geschrieben. Zum anderen kann der Benutzer den aktuellen Wert mit einem Ersatzwert überschreiben. Dieser Wert wird nicht an die angeschlossene Hardware übertragen, sondern bleibt im Prozessabbild des Rechners. In alle zenon Module wird nun dieser Wert gesandt und weiterverarbeitet.

Erweiterter Trend

Zeigt historische Werte und Online-Werte in Kurvenform in einem Diagramm an.

Europäischer Installationsbus

Ein Standard für Gebäude-Feldbussysteme nach EN 50090, in der aktuellen Version als KNX-Standard auch nach ISO/IEC 14543-3.

Event-Port

TCP-Port, über den die Anwendung Ereignisse kommuniziert.

Extensible Application Markup Language

Ist eine XML-basierte Sprache die verwendet wird, um grafische Elemente, Benutzeroberflächen, Verhaltensweisen, Animationen, Transformationen, Darstellung von Farbverläufen, Abspielen von Mediadateien und vieles mehr zu definieren. XAML wurde von Microsoft eingeführt als Auszeichnungssprache, die in Windows Presentation Foundation (WPF), einer Desktop-orientierten Technologie, verwendet wird.

externe Variable

Externe Variablen ermöglichen den Datenaustausch mit der Steuerung über einen Treiber. Eine externe Variable ist das Abbild eines definierten Speicherplatzes in der Steuerung. Auf diesen Speicherplatz kann sowohl vom Leitsystem als auch von der Steuerung lesend und schreibend zugegriffen werden.


zenon 8.00 - Hilfe

Glossar >

F

FDA 21 CFR Part 11

Nutzung sicherer, computergenerierter, zeitgestempelter Protokolle, um unabhängig Datum und Zeit von Benutzereingaben aufzuzeichnen sowie von Aktionen, die elektronische Einträge erstellen, verändern oder löschen.

FDA 21 Code of Federal Regulations Part 11

Nutzung sicherer, computergenerierter, zeitgestempelter Protokolle, um unabhängig Datum und Zeit von Benutzereingaben aufzuzeichnen sowie von Aktionen, die elektronische Einträge erstellen, verändern oder löschen.

Fehlerortung

Erweiterung der Automatic Line Coloring. Wird von einem Erdschlussrelais oder einem Kurzschlussrelais ein Fehler gemeldet, können die betroffenen Leitungen mit einer Fehlerfarbe eingefärbt werden.

Fenster

Im Editor stehen zur Anzeige mehrere verschiebbare, größenänderbare und ein-/ausblendbare Fenster zur Verfügung. Ein Fenster zeigt einen bestimmten Inhalt an. Beispielsweise zeigt das Ausgabe-Fenster alle Statusinformationen beim Laden von Projekten und beim Erzeugen der Runtime Dateien.Die Position und die Größe werden in Editorprofilen gespeichert.

Fertigungslinie

Automatisiertes Produktionssystem, in dem mehrere Bearbeitungsstationen durch Materialflusssysteme nach dem Linienprinzip verbunden sind. Verschiedene Produkte können unterschiedliche Fertigungslinien benötigen, die dann unterschiedliche Teile der Fertigungsstraße nutzen.

Fertigungsstraße

Fertigungseinrichtung, mit der in räumlicher und zeitlicher Abfolge Fertigungsschritte durchgeführt werden.

FIFO

Bezeichnet jegliche Verfahren der Speicherung, bei denen diejenigen Elemente, die zuerst gespeichert wurden, auch zuerst wieder aus dem Speicher entnommen werden. Das gegenteilige Prinzip wird als Last In ? First Out-Verfahren (LIFO) bezeichnet.

Filterprofil

Speichert in der Runtime die im aktuellen Bild angewandten Filtereinstellungen. Es können beliebig viele Filterprofile gespeichert werden.

First In First Out

Bezeichnet jegliche Verfahren der Speicherung, bei denen diejenigen Elemente, die zuerst gespeichert wurden, auch zuerst wieder aus dem Speicher entnommen werden. Das gegenteilige Prinzip wird als Last In ? First Out-Verfahren (LIFO) bezeichnet.

Funktionsassistent

Assistent, um Reportfunktionen dialoggestützt zu erstellen.

Funktionsplan

Eine der fünf in der IEC 61131 definierten Programmiersprache für Speicherbare Programmierungen (SPS). Wird zunehmend von CFC ersetzt.

FUP

Eine der fünf in der IEC 61131 definierten Programmiersprache für Speicherbare Programmierungen (SPS). Wird zunehmend von CFC ersetzt.


zenon 8.00 - Hilfe

Glossar >

G

Gantt-Darstellung

Ist eine nach dem Unternehmensberater Henry L. Gantt (1861?1919) entwickelte Form der Darstellung, die die zeitliche Abfolge von Aktivitäten grafisch in Form von horizontalen Balken auf einer Zeitachse darstellt.

GIF

Graphics Interchange Format (Grafikaustausch-Format) ist ein Grafikformat mit guter verlustfreier Komprimierung für Grafiken mit geringer Farbtiefe (bis zu 256 verschiedene Farben pro Einzelbild). Darüber hinaus können mehrere Einzelbilder in einer Datei abgespeichert werden, die als Animation interpretiert werden.

Globalprojekt

Dient als Vorlage für Objekte, die in allen Projekten des selben Arbeitsbereichs genutzt werden können, z.B. Schablonen, Benutzer, Schriften, Anlagenmodelle usw..

Granularität

Gibt an in welcher Anzahl von Stellen Werte von einer Steuerung gelesen werden. Beispielsweise werden die Werte von einer Siemens S7 Steuerung im Merkerbereich mit der Granularität Byte gelsesn. Es lässt sich also ein Bit nicht einzeln auslesen. Es muss immer das enthaltene Byte ausgelsen werden und das entsprechnde Bit ausmaskiert werden.

GUID

Zeichenfolge zur eindeutigen Identfizierung eines Objekts.


zenon 8.00 - Hilfe

Glossar >

H

Harddisk-Datenspeicherung

Speichert Variablenwerte zyklisch in einem FIFO-Ringspeicher auf der Festplatte. Pro Variable wird eine Datei mit der Dateiendung HDD im Runtimeordner angelegt.

Hardlock

Schützt Software vor unautorisierter Nutzung.

Hard-SPS

Als Hardware ausgeführte SPS im Schaltschrank. Zum Beispiel Mikro-SPS, Kompakt-SPS, modulare Hard-SPS, Panel-SPS, Embedded-SPS usw.

Hardwaredongle

Schützt Software vor unautorisierter Nutzung.

Hardwaremodus

Im Gegensatz zum Simulationsmodus wird mit der Steuerung kommuniziert. Die Variablenwerte werden von der Steuerung berechnet. Die Kommunikation kann mittels Treiberkommandos gestoppt (Offlinemodus) und wieder gestartet (Onlinemodus) werden.

Haupttick

Langer Teilstrich einer Skala oder Achse.

Hauptunterteilung

Langer Teilstrich einer Skala oder Achse.

Hintergrundgrafik

Externe Rastergrafik, die hinter allen Bildelementen angezeigt wird.

Höchstlastprognose

Spezieller Bildtyp, nur für SICAM 230 verfügbar.

Horizontale Transparenz

Erlaubt im Netzwerk den Zugriff auf alle Projekte auf derselben Ebene.

Hot Restart

In straton bedeutet Hot-Restart den Neustart einer straton Applikation mit genau den Variablen-Werten wie beim Beenden der Applikation.

HTML

Ist eine textbasierte Auszeichnungssprache zur Strukturierung von Inhalten wie Texten, Bildern und Hyperlinks in Dokumenten.Im HTML-Bild werden HTML-Inhalte angezeigt.

HTML-Datei

Textdatei, die nach dem HTML-Standard der W3C aufgebaut ist.


zenon 8.00 - Hilfe

Glossar >

I

IEC 61131-3

Spezifiziert Syntax und Semantik von Programmiersprachen für Speicherprogrammierbare Steuerungen (SPS) wie in Teil 1 der IEC 61131 definiert. Folgende Sprachen sind definiert:1.) IL -Instruction List; AWL -Anweisungsliste: Vergleichbar mit Assembler2.) LD -Ladder Diagram; KOP - Kontaktplan: Vergleichbar mit einem Elektro-Schaltplan der um 90° gedreht ist3.) FBD - Function Block Diagram; FBS - Funktionsbausteinsprache: Teilweise (insbesondere bei Step 7) auch als FUP (Funktionsplan) bekannt. Ähnelt Logik-Schaltplänen.4.) SFC - Sequential Function Chart; AS - Ablaufsprache: Eine Art Zustandsdiagramm, bei Step7 als S7-Graph bekannt. Die IEC 61131-3:2003 sieht den SFC als eine Weiterentwicklung von Grafcet nach EN 60848.5.) ST - Structured Text; ST - Strukturierter Text: Angelehnt an Hochsprachen, bei Step 7 als SCL (Structured Control Language) bezeichnet.6.) CFC - Continuous Function Chart; CFC - Continuous Function Chart: Nicht Teil der IEC 61131-3: Vollgrafisches Projektierwerkzeug, speziell für Regelungen und Verriegelungen.

IEC Datentyp

In der IEC 61131-3 genormte Einfache Datentypen wie z.B. INT, USINT usw. Es ist ein festgelegter Wertbereich (fixe Ober- und Untergrenze) mit einer festgelegten Anzahl an Werten definiert. Daher können reelle Zahlen als Gleitkommazahlen nur mit einer bestimmten Genauigkeit abgebildet werden.

IMM

Modul zur Pflege von Maschinen und Wartungsdaten. Serviceintervalle können geplant und verwaltet werden. Auf einen Blick ist feststellbar, welche Geräte, Anlagen, Maschinen usw. heute/in dieser Woche/ nächstes Monat usw. gewartet werden müssen. Ebenso wird protokolliert, welche Wartungsarbeiten in der Vergangenheit durchgeführt worden sind.Das Modul speichert die Daten in einer beliebigen ODBC fähigen SQL-Datenbank.

Industrial Maintenance Manager

Modul zur Pflege von Maschinen und Wartungsdaten. Serviceintervalle können geplant und verwaltet werden. Auf einen Blick ist feststellbar, welche Geräte, Anlagen, Maschinen usw. heute/in dieser Woche/ nächstes Monat usw. gewartet werden müssen. Ebenso wird protokolliert, welche Wartungsarbeiten in der Vergangenheit durchgeführt worden sind.Das Modul speichert die Daten in einer beliebigen ODBC fähigen SQL-Datenbank.

Industrial Performance Analyzer

Modul, um Alarmdaten statistisch auszuwerten und Schwachstellen an der Anlage zu lokalisieren. Fehler, die am häufigsten auftreten und welche die größten Stillstandzeiten verursachen können identifiziert werden.Die Runtime schreibt Alarm- und Schichtinformationen (bei Verwendung des Production & Faclity Schedulers) in eine ODBC fähige SQL-Datenbank.Es können mehrere Runtime Systeme die Daten in einer zentralen Datenbank ablegen. Die Datenauswertung kann damit über mehrere Anlagen/Systeme hinweg erfolgen.

Instanz-Datenbaustein

Datenbaustein in S7, der die Laufzeitvariablen für eine S7-Graph Schrittkette enthält. Jede Schrittkette hat genau einen Instanz-DB. Der Instanz-DB hat normalerweise die selbe Nummer wie der Funktionsbaustein der Schrittkette.

Instanz-DB

Datenbaustein in S7, der die Laufzeitvariablen für eine S7-Graph Schrittkette enthält. Jede Schrittkette hat genau einen Instanz-DB. Der Instanz-DB hat normalerweise die selbe Nummer wie der Funktionsbaustein der Schrittkette.

Instanz-DB Variable

Variable als Blockarry, die den gesamten Instanz-DB einer S7-Graph Schrittkette beinhaltet. Über sie werden sämtliche Zustandsinformationen ausgelesen.

Intern Treiber

In die Runtime integrierter Treiber, auf dem Variablen angelegt werden können, die zum Speichern von Informationen gedacht sind, die nicht auf einer Steuerung gespeichert werden können/sollen.

interne Variable

Interne Variablen haben keine Verbindung zur Steuerung. Interne Variablen werden im Speicher des Leitsystems abgelegt und basieren auf internen Treibern wie z.B. dem Interntreiber, dem Systemtreiber, dem Mathematiktreiber oder dem Simulatortreiber. Interne Variablen werden z.B. benutzt, um lokale Berechnungen durchzuführen.

IPA

Modul, um Alarmdaten statistisch auszuwerten und Schwachstellen an der Anlage zu lokalisieren. Fehler, die am häufigsten auftreten und welche die größten Stillstandzeiten verursachen können identifiziert werden.Die Runtime schreibt Alarm- und Schichtinformationen (bei Verwendung des Production & Faclity Schedulers) in eine ODBC fähige SQL-Datenbank.Es können mehrere Runtime Systeme die Daten in einer zentralen Datenbank ablegen. Die Datenauswertung kann damit über mehrere Anlagen/Systeme hinweg erfolgen.

IP-Adresse

Werden in Computernetzen, die auf dem Internetprotokoll (IP) basieren, verwendet, um Daten von ihrem Absender zum vorgesehenen Empfänger transportieren zu können. Aufgrund der Adresse kann das Datenpaket den Empfänger eindeutig identifizieren.

Ist-Abweichung

Der Unterschied eines tatsächlichen Werts zu einem gewünschten Wert.

Istwert

Der momentan im Prozessabbild vorhandene Wert. Das kann der Spontanwert, Ersatzwert oder der gestörte Wert (Status I-Bit) sein.


zenon 8.00 - Hilfe

Glossar >

J

JPEG

Ein Grafikformat, das vom Gremium Joint Photographic Experts Group zur JPEG-Norm entwickelt wurde.Die JPEG-Norm beschreibt lediglich Bildkompressionsverfahren, legt aber nicht fest, wie die so entstandenen Daten gespeichert werden sollen. Gemeinhin werden mit ?JPEG-Dateien? oder ?JPG-Dateien? Dateien im Grafikformat JPEG File Interchange Format (JFIF) bezeichnet. JFIF ist jedoch nur eine Art, JPEG-Daten abzulegen.

JPG

Ein Grafikformat, das vom Gremium Joint Photographic Experts Group zur JPEG-Norm entwickelt wurde.Die JPEG-Norm beschreibt lediglich Bildkompressionsverfahren, legt aber nicht fest, wie die so entstandenen Daten gespeichert werden sollen. Gemeinhin werden mit ?JPEG-Dateien? oder ?JPG-Dateien? Dateien im Grafikformat JPEG File Interchange Format (JFIF) bezeichnet. JFIF ist jedoch nur eine Art, JPEG-Daten abzulegen.


zenon 8.00 - Hilfe

Glossar >

K

Kalenderanzeige

Kontrollelement, das einen Kalender zur Auswahl eines Datums anzeigt.

Keyboard-Bild

Bild vom Typ Keyboard

Kommando

Im Bereich Batch Control: Befehl, der in den Rezeptablauf eingreift, z.B.: Starten, Stoppen, Modusänderungen usw...

kompilieren

Beim Kompilieren wird das in einer Quellsprache geschriebene Programm ? genannt Quellprogramm ? in ein semantisch äquivalentes Programm einer Zielsprache (Zielprogramm) umgewandelt. Üblicherweise handelt es sich dabei um die Übersetzung eines von einem Programmierer in einer Programmiersprache geschriebenen Quelltextes in Assemblersprache, Bytecode oder Maschinensprache.

Kontaktplan

Eine der fünf in der IEC 61131 genormten Sprachen zur Programmierung von Speicherprogrammierbaren Steuerungen (SPS). Diese grafische Sprache ist an Stromlaufpläne angelehnt und eignet sich vor allem für Verknüpfungssteuerungen.

Kontrollelement

Für jeden Bildtyp spezielle Elemente, mit denen die Steuerung, Auswahl und Eingabe umgesetzt wird. Diese können in Form von Buttons, statischen Texten, Comboboxen, Listboxen, grafischen und tabellarischen Darstellungen, Eingabefelder, Radiobuttons, Spincontrols, Kalenderanzeigen, Datumsanzeigen und Zeitanzeigen ausgeführt sein.

KOP

Eine der fünf in der IEC 61131 genormten Sprachen zur Programmierung von Speicherprogrammierbaren Steuerungen (SPS). Diese grafische Sprache ist an Stromlaufpläne angelehnt und eignet sich vor allem für Verknüpfungssteuerungen.

Kreisbogen

Vektor-Element, das einen Viertelkreis darstellt.

Kreisredundanz

Nutzt die Mehrprojektverwaltung um mehrere Projekte redundant auszuführen und dabei ein Minimum an PC Hardware zu benötigen. Beispiel: Drei Projekte lassen sich mit drei Rechnern redundant ausführen.

Kreissegment

Vektor-Element, das einen beliebigen Teil eines Kreises/einer Ellipse darstellt. Bei Darstellungsart transparent wird nur die äußere Linie dargestellt.

Kurzschlusserkennungsgerät

Ein Leitungsschutzgerät zur Erkennung von Kurzschlüssen in einem Netzelement.


zenon 8.00 - Hilfe

Glossar >

L

Ladder Diagram

Eine der fünf in der IEC 61131 genormten Sprachen zur Programmierung von Speicherprogrammierbaren Steuerungen (SPS). Diese grafische Sprache ist an Stromlaufpläne angelehnt und eignet sich vor allem für Verknüpfungssteuerungen.

Latch

Ist eine bestimmte Ausführung eines elektronischen 1-Bit-Datenspeichers und bildet die Grundlage für weite Bereiche der Digital-Hardware, insbesondere innerhalb CPU- und Peripherie-Chips.Ein Latch (engl. für Schnappschloss, Auffangregister) hat neben dem Dateneingang mindestens einen zweiten Eingang (oft Enable genannt), der die Betriebsart steuert: In der transparenten Phase folgt der Ausgang des Latches unmittelbar dem Dateneingang; in der Halte-Phase wird der letzte Zustand davor eingefroren. Zusätzlich zu diesem Steuereingang kann es je nach Ausführung weitere geben, z. B. einen Reset-Eingang, der bei mehreren Latches in einem Chip gern global für alle diese Einzellatches wirkt.Im Gegensatz zu taktflankengesteuerten Flipflops ist ein Latch während der gesamten aktiven Taktphase transparent, d. h. Eingangsänderungen können den Ausgang sofort beeinflussen.

latchen

Eine Schaltung geht in einen bestimmten Zustand und verharrt darin, bis ein manuelles Rücksetzen erfolgt.

LD

Eine der fünf in der IEC 61131 genormten Sprachen zur Programmierung von Speicherprogrammierbaren Steuerungen (SPS). Diese grafische Sprache ist an Stromlaufpläne angelehnt und eignet sich vor allem für Verknüpfungssteuerungen.

Leitstand

Technische Einrichtung, die bei der Leitung eines Prozesses unterstützt. Leiten ist nach DIN 19222 "die Gesamtheit aller Maßnahmen, die einen im Sinne festgelegter Ziele erwünschten Ablauf eines Prozesses bewirken". Die Maßnahmen werden vorwiegend unter Mitwirkung des Menschen aufgrund der aus dem Prozess oder aus der Umgebung erhaltenen Daten mit Hilfe der Leiteinrichtung getroffen. Sollwerte, Sollzustände oder Gütekriterien können hierbei Ziele sein. Ein Leitstand verfügt über ein oder mehrere Geräte oder Verbindungen zu Geräten zum messen, regeln, steuern, anzeigen, alarmieren, registrieren, schalten oder rechnen. Es gibt Leitstände für die Produktion, für die Leitung von Prozessen, Fertigungsleitstände für Linienfertigung oder Werkstattfertigung, Kraftwerks- , Netz- , Gebäude- und Verkehrsleitstände, Weltraumverkehr (Satelliten/Space shuttle), Umweltüberwachung und für militärische Einsätze. In vielen Fällen wird auch der Begriff Messwarte verwendet.

Leitwarte

Technische Einrichtung, die bei der Leitung eines Prozesses unterstützt. Leiten ist nach DIN 19222 "die Gesamtheit aller Maßnahmen, die einen im Sinne festgelegter Ziele erwünschten Ablauf eines Prozesses bewirken". Die Maßnahmen werden vorwiegend unter Mitwirkung des Menschen aufgrund der aus dem Prozess oder aus der Umgebung erhaltenen Daten mit Hilfe der Leiteinrichtung getroffen. Sollwerte, Sollzustände oder Gütekriterien können hierbei Ziele sein. Ein Leitstand verfügt über ein oder mehrere Geräte oder Verbindungen zu Geräten zum messen, regeln, steuern, anzeigen, alarmieren, registrieren, schalten oder rechnen. Es gibt Leitstände für die Produktion, für die Leitung von Prozessen, Fertigungsleitstände für Linienfertigung oder Werkstattfertigung, Kraftwerks- , Netz- , Gebäude- und Verkehrsleitstände, Weltraumverkehr (Satelliten/Space shuttle), Umweltüberwachung und für militärische Einsätze. In vielen Fällen wird auch der Begriff Messwarte verwendet.

Listbox

Ist ein Standardelement einer graphischen Software-Benutzungsoberfläche (GUI). Es dient zur Darstellung von durch den Benutzer auswählbaren Einträgen in Listenform. Bei den Einträgen handelt sich in der Regel um Daten textueller Natur, aber auch die Darstellung von Piktogrammen oder Kombinationen aus Text und Bild sind möglich.

Listenfeld

Ist ein Standardelement einer graphischen Software-Benutzungsoberfläche (GUI). Es dient zur Darstellung von durch den Benutzer auswählbaren Einträgen in Listenform. Bei den Einträgen handelt sich in der Regel um Daten textueller Natur, aber auch die Darstellung von Piktogrammen oder Kombinationen aus Text und Bild sind möglich.

Lizenzaufkleber

Aufkleber, der Seriennummer und Aktivierungsnummer enthält. Der Aufkleber wird auf lizenzierter Hardware angebracht um einen Lizenznachweis zu erbringen.

Lizenzierungsrechner

Rechner, auf dem eine spezielle Donglesoftware läuft, die den Zugriff auf einen Netzwerkdongle ermöglicht.

Lizenzschein

Dokument, das die erteilte Lizenz enthält. Der Lizenzschein beschreibt unter anderem den lizenzierten Produktumfang, die Seriennummer, die Aktivierungsnummer und bei Softlizenzierung die Lizenznummer.

LOG-Datei

Textdatei, in der Fehlerprotokolle gespeichert werden.

lokale Projektkopie

Abbild des zentralen Serverprojekts auf einem mit dem Server verbundenem Rechner. Alle Änderungen in einem mehrplatzfähigen Projekt werden darin durchgeführt und mit "Änderungen übernehmen" an das zentrale Serverprojekt übertragen.


zenon 8.00 - Hilfe

Glossar >

M

Management Information Base

Beschreibt die Informationen, die über ein Netzwerk-Management-Protokoll (zum Beispiel SNMP) abgefragt oder modifiziert werden können. Diese Informationen werden Managed Objects genannt.

Maßeinheit

Die nach wissenschaftlichen oder zweckmäßigen Gesichtspunkten gewählte Einheit zum Messen von Größen, Mengen und Gewichten.

Maßeinheitenumschaltung

Funktionalität, um in der Runtime die Anzeige und Eingabe zwischen verschiedenen Maßeinheiten zu wechseln, z.B. Meter auf Yard.

Mathematik Treiber

In die Runtime integrierter Treiber, der mathematische Funktionen zur Verfügung stellt.

Matrix-Editor

Editor zum Erstellen von Rezepten im Modul Bacth Control. Im Gegensatz zum PFC-Editor wird das Rezept in einer Ablaufmatrix erstellt.

Matrix-Rezept

Rezept im Modul Batch Control, das mit dem Matrix-Editor erstellt wurde.

Mehrplatzfähiges Projekt

Kann im Editor durch mehrere Benutzer auf mehreren Computern gleichzeitig bearbeitet werden.

Mehrprojektverwaltung

Editor: Ermöglicht die gleichzeitige Bearbeitung mehrerer Projekte in einem Arbeitsbereich.Runtime: Erlaubt das gleichzeitige Starten mehrerer Projekte und damit den projektübergreifenden Datenzugriff. Somit kann direkt auf Variablen, Funktionen, Archive usw. aus anderen Projekten zugegriffen werden.Vorraussetzung: Integrationsprojekt, das in der Runtime als Startprojekt geladen wird.Die Mehrprojektverwaltung wird dazu genutzt um dezentrale Lösungen umzusetzen.

Meldungselement

Dynamisches Element, das abhängig von den Werten zweier Variablen aus einer Textdatei einen Text ausliest und anzeigt.Hinweis: Nur bis inklusive Version 7.20 verfügbar.

Meldungsvariable

Variable vom Typ String, die den Zustandstext der S7-Graph Heuristik abbildet.

Message Control

Modul zum Versand von Nachrichten an einzelne Empfänger oder Empfängergruppen per E-Mail, SMS, Sprache usw.

Messbeleg

Datensatz im SAP Instandhaltungsmodul (PM): Nachweis einer Messung an einem Meßpunkt oder Zähler zu einem bestimmten Zeitpunkt.

MIB

Beschreibt die Informationen, die über ein Netzwerk-Management-Protokoll (zum Beispiel SNMP) abgefragt oder modifiziert werden können. Diese Informationen werden Managed Objects genannt.

MMS

Dient zum objektorientierten Austausch von Daten im Produktionsbereich und wird zur Kopplung verteilter Automatisierungssysteme verwendet. Es ist gemäß ISO Standard 9506 (Nachrichtenformate für Fertigungszwecke) spezifiziert.Das IEC 61850 Protokoll verwendet TCP/IP als Basisübertragungsprotokoll und die Manufacturing Messaging Specification (MMS) definiert im Normteil IEC 61850-8-1 als klassische Client-Server-Kommunikation.

Modbus RTU

Standardisiertes Kommunikationsprotokoll zur Verbindung mit Modbus-Steuerungen über serielle Schnittstelle. Genormt von Modbus-IDA (www.modbus.org).Das Protokoll kann auch über TCP/IP geroutet werden. Normalerweise wird dazu aber das Protokoll Open Modbus TCP/IP verwendet.

Monitoring Viewer

Tool zur Darstellung aller zenon Logic Programme in der zenon Runtime. Ist Bestandteil des Moduls PLC Diagnosis.

MPEG

Progressives Video-Format mit mehreren Layern.

MPG

Progressives Video-Format mit mehreren Layern.

Multibin

Dynamisches Element, das abhängig von Variablenwerten eine Grafik anzeigt oder Symbole einfärbt und einen Zustandstext ausgibt. Es können sowohl numerische Variablen als auch Binärvariablen verknüpft werden. Ist als erste Variable eine Binärvariable verknüpft, kann Multibin auch als Schalter oder Taster für die erste Variable benutzt werden. Die definierten Zustände werden von oben nach unten abgearbeitet. Die Einstellungen des ersten zutreffenden Zustands werden angezeigt.Hinweis: Nur bis inklusive Version 7.20 verfügbar.


zenon 8.00 - Hilfe

Glossar >

N

Nach-links

Taste, die den Cursor am Bildschirm nach links bewegt.

Nach-rechts

Taste, die den Cursor am Bildschirm nach rechts bewegt.

Nebentick

Kurzer Teilstrich einer Skala oder Achse.

Nebenunterteilung

Kurzer Teilstrich einer Skala oder Achse.

Netzelement

Teil eines elektrischen Netzes. Zum Beispiel: Leitung, Generator, Schalter, Trafo usw. Zur Darstellung in einem Bild wird ein Combielement bzw. eine Linie, Poylinie oder Rohrleitung verwendet.

Netzwerkdongle

Hardware, auf der eine bestimmte Anzahl an gleichzeitig nutzbaren Softwarelizenzen aufgebucht sind. Der Zugriff erfolgt über das Netzwerk.


zenon 8.00 - Hilfe

Glossar >

O

Object Identifier

Ist ein eindeutiger Bezeichner, der benutzt wird um ein Informationsobjekt zu benennen. In der Netzwerktechnik wird im Zusammenhang mit SNMP von OIDs gesprochen, wenn damit ein Objekt aus der Management Information Base (MIB) gemeint ist.

Object Linking and Embedding

Ist ein von Microsoft entwickeltes Objektsystem und Protokoll, das die Zusammenarbeit unterschiedlicher (OLE-fähiger) Applikationen und damit die Erstellung heterogener Verbunddokumente ermöglichen soll.

OID

Ist ein eindeutiger Bezeichner, der benutzt wird um ein Informationsobjekt zu benennen. In der Netzwerktechnik wird im Zusammenhang mit SNMP von OIDs gesprochen, wenn damit ein Objekt aus der Management Information Base (MIB) gemeint ist.

OLE

Ist ein von Microsoft entwickeltes Objektsystem und Protokoll, das die Zusammenarbeit unterschiedlicher (OLE-fähiger) Applikationen und damit die Erstellung heterogener Verbunddokumente ermöglichen soll.

OLE for Process Control

Ermöglicht den Datenaustausch zwischen Anwendungen unterschiedlicher Hersteller in der Automatisierungstechnik durch ein einheitliches Kommunikationsprotokoll.

Onlinemodus

Der Treiber befindet sich im Hardwaremodus und kommuniziert mit der Steuerung. Der Treiber ist gestartet.

OPC

Ermöglicht den Datenaustausch zwischen Anwendungen unterschiedlicher Hersteller in der Automatisierungstechnik durch ein einheitliches Kommunikationsprotokoll.

OPC UA

Neu definierter Kommunikationsstack der OPC Foundation, um den Datenaustausch zwischen Anwendungen der Automatisierungstechnik zu vereinfachen.

OPC Unified Architecture

Neu definierter Kommunikationsstack der OPC Foundation, um den Datenaustausch zwischen Anwendungen der Automatisierungstechnik zu vereinfachen.

Open Modbus TCP/IP

Standardisiertes Kommunikationsprotokoll zur Verbindung mit Modbus-Steuerungen über TCP/IP. Genormt von Modbus-IDA (www.modbus.org).


zenon 8.00 - Hilfe

Glossar >

P

PCE

System zur Erweiterung der Runtime um frei programmierbare Tasks.Die Process Control Engine besteht aus zwei Teilen: Programmierumgebung zur Erstellung von Tasks und ein Laufzeitsystem, das VB-Skript oder Java Code einmalig oder zyklisch abarbeitet.Die Tasks können mit der Runtime oder über Funktionen gestartet werden. Die Ankopplung an die Runtime erfolgt über Variablen.

PCE-Projekt

Fasst mehrere Tasks für die Process Control Engine (PCE) zusammen.

PFC-Editor

Editor zum Erstellen von Rezepten im Modul Bacth Control. PFC steht für Procedural Function Chart und ist in ISA 88 definiert. Im Gegensatz zum Matrix-Editor wird das Rezept in einem Ablaufdiagramm erstellt.

PFC-Rezept

Rezept im Modul Batch Control, das mit dem PFC-Editor erstellt wurde.

PFS

Umfangreiches Tool, um zeitliche Abläufe direkt zu steuern. Es werden zwei Ausführungsmodi unterstützt: Absolutzeiten und Relativzeiten. Alle Zeiten sind auf ein Kalendermodell aufgeschaltet mit einer Vorschaumöglichkeit, die es erlaubt zukünftige Schaltpunkte zu kontrollieren.

Pharma Edition

Erweiterung des Standardumfangs um spezielle Features, die vor allem in der pharmazeutischen Industrie benötigt werden, z.B. Batch Control.

Pipe-Symbol

Senkrechter Strich (|) wird zur Trennung von Texten z.B. in den Sprachdateien verwendet. Wird auf deutschen Tastaturen mit AltGr + < erzeugt.

PLC Diagnosis

Modul zur Online-Darstellung von Schrittketteninformationen von S7-Graph bzw. aller Programme der zenon Logic Steuerung direkt in der zenon Runtime. Bei der S7-Graph Integration können Informationen des gestörten Schritts mit dem Alarm-S Begleitwert direkt in die Alarmmeldeliste übernommen werden. Ebenso steht zur Fehleranalyse die S7-Graph Heuristik zur Verfügung. Bei der zenon Logic Integration mit dem zenon Logic Monitoring Viewer können Einsichts- und Zugriffsrechte auf Programme und Variablen vergeben werden. Der Benutzer kann je nach Berechtigung Variablenwerte forcen.

PNG

Portable Network Graphics ist ein Grafikformat für Rastergrafiken mit verlustfreier Bildkompression. Es wurde als freier Ersatz für das ältere, bis zum Jahr 2004 mit Patentforderungen belastete Format GIF entworfen und ist weniger komplex als TIFF. PNG unterstützt neben unterschiedlichen Farbtiefen auch Transparenz per Alphakanal.

Polygon

Vektor-Element, das ein Vieleck durch seine Eckpunkte beschreibt.

Polylinie

Vektor-Element, das eine Linie darstellt, die über mehrere Stützpunkte zu definieren ist. Die Linie wird vom ersten Punkt zum zweiten Punkt gezogen, von dort weiter zum dritten Stützpunkt und so weiter.

Pop-up

Ist ein visuelles Element eines Computerprogramms. Der Name kommt daher, dass Elemente ?aufspringen? und dabei andere Teile überdecken. Die Position von Popup Elementen am Bildschirm ist meist beliebig.

Popup-Bild

Bild in der Runtime, das andere Bilder teilweise verdeckt.

Port

Ist Teil einer IP-Adresse, die Werte von 0 bis 65535 annehmen kann. Die Nummer definiert einen eindeutigen Kommunikationskanal. Für eine Kommunikation mit TCP/IP, UDP oder SCTP sind immer die IP-Adresse und eine Portnummer erforderlich, um einen Empfänger eindeutig zu adressieren. Zu jeder Verbindung dieser Protokolle gehören zwei Ports, je einer auf Seiten des Clients und des Servers.

Portadresse

Ist Teil einer IP-Adresse, die Werte von 0 bis 65535 annehmen kann. Die Nummer definiert einen eindeutigen Kommunikationskanal. Für eine Kommunikation mit TCP/IP, UDP oder SCTP sind immer die IP-Adresse und eine Portnummer erforderlich, um einen Empfänger eindeutig zu adressieren. Zu jeder Verbindung dieser Protokolle gehören zwei Ports, je einer auf Seiten des Clients und des Servers.

Portnummer

Ist Teil einer IP-Adresse, die Werte von 0 bis 65535 annehmen kann. Die Nummer definiert einen eindeutigen Kommunikationskanal. Für eine Kommunikation mit TCP/IP, UDP oder SCTP sind immer die IP-Adresse und eine Portnummer erforderlich, um einen Empfänger eindeutig zu adressieren. Zu jeder Verbindung dieser Protokolle gehören zwei Ports, je einer auf Seiten des Clients und des Servers.

positive Flanke

Die Wertänderung einer Variablen von einenm kleineren Wert zu einem größeren Wert.

Post Mortem Analyse

Die Möglichkeit einen Fehler analysieren zu können, der zu einem Gerätabsturz geführt hat. Dazu werden am Gerät Daten gespeichert und später ausgelesen.

Primitivobjekt

Ist die Kombination aus Datentyp und Treiber-Objekttyp

Process Control Engine

System zur Erweiterung der Runtime um frei programmierbare Tasks.Die Process Control Engine besteht aus zwei Teilen: Programmierumgebung zur Erstellung von Tasks und ein Laufzeitsystem, das VB-Skript oder Java Code einmalig oder zyklisch abarbeitet.Die Tasks können mit der Runtime oder über Funktionen gestartet werden. Die Ankopplung an die Runtime erfolgt über Variablen.

Process Gateway

Modul zum Datenaustausch mit Drittsystemen. Es stehen mehrere Kommunikationsprotokolle wie z.B. Modbus oder IEC 60870 zur Verfügung.

Production & Facility Scheduler

Umfangreiches Tool, um zeitliche Abläufe direkt zu steuern. Es werden zwei Ausführungsmodi unterstützt: Absolutzeiten und Relativzeiten. Alle Zeiten sind auf ein Kalendermodell aufgeschaltet mit einer Vorschaumöglichkeit, die es erlaubt zukünftige Schaltpunkte zu kontrollieren.

Produkt-ID

An der ersten Position der Seriennummer steht eine eindeutige Produkt-ID, welche die Lizenz eindeutig identifiziert. Bei Donglelizenzierung stimmt die Produkt-ID mit der Donglenummer überein.

Programmierschnittstellen

Sie bieten zur Erweiterung der Funktionsmöglichkeiten Programmierwerkzeuge wie PCE, VBA und VSTA an.

Projektbaum

Strukturierte grafische Darstellung aller Projekte und Module in einem Arbeitsbereich.

Prozesskopplung

Das Projekt kommuniziert mit den Steuerungen (Treiber im Hardwaremodus).

Prozessleitsystem

Ermöglicht das Führen einer verfahrenstechnischen Anlage. Es besteht typischerweise aus sogenannten prozessnahen Komponenten (PNK) sowie Bedien- und Beobachtungsstationen (BUB).

Prozessor-Architektur

Prozessoren haben ein sehr weites Aufgabenspektrum mit stark unterschiedlichen Anforderungsprofilen. Daher wurden unterschiedliche Prozessor-Architekturen entwickelt, die unterschiedliche Konzepte in Bezug auf Struktur und Funktionsweise verwirklichen.

Prozessor-Familie

Die Prozessor-Familie stellt eine spezifische, hochentwickelte Architektur dar, die den Prozessor charakterisiert und sich von anderen Prozessor-Familien deutlich unterscheidet. Jede Prozessor-Familie hat einen eigenen Befehlssatz und benötigt einen nur für diese Prozessor-Familie geeigneten Compiler zur Programmerstellung.

PRP

Ist ein Layer-2-Redundanzverfahren, welches von höheren Schichten unabhängig ist und sich für die in IEC 61784 beschriebenen Echtzeit-Ethernet-Mechanismen eignet. Das Protokoll wurde für Automatisierungsnetzwerke entwickelt, die für eine kontinuierliche Betriebsfunktionalität eine hohe Verfügbarkeit erfordern.


zenon 8.00 - Hilfe

Glossar >

Q


zenon 8.00 - Hilfe

Glossar >

R

RDL

Ist ein von Microsoft definierter Standard zur Definition von Reports im XML-Format.

reaktivieren

Fasst idente Alarme in der der Alarmmeldeliste zu einem einzigen Eintrag zusammen. Dargestellt werden können die kumulierte Alarmanzahl, sowie Zeit und Status des letzten aufgetretenen Alarms.

Redundanz

Bedeutet, dass ein Projekt doppelt ausgelegt ist. Das redundante System setzt sich aus Server (=Hauptsystem) und Standby (=Ersatzsystem) zusammen.Ein redundantes System wird zur Erhöhung der Ausfallsicherheit eingesetzt. Dabei werden alle Daten - projektierte Daten wie die zur Laufzeit erzeugten Daten - doppelt gehalten.Es wird zwischen Hardwareredundanz und Softwareredundanz unterschieden.

Registerkarte

Bezeichnet die einzelnenen Einstellseiten von Dialogen des Bildeditors, der Rezepteditioren usw...

Reihenklemme

Eine Klemme dient in der Elektrotechnik zum lösbaren Anschluss oder der Verbindung von Drähten, Adern und Leitungen. Reihenklemmen sind beliebig aneinander anreihbar auf einer Tragschiene (zum Beispiel DIN-Schiene TS35 "Hutschiene") zu befestigen.

relative Position

Von einem anderen Objekt abhängige Position am Bildschirm.

relativer Pfad

Definiert den Weg zu Dateien oder Ordnern unter Angabe von Ordnernanmen ausgehend von einem definierten Startordner (z.B. ..\Ordner).

relativer Schaltpunkt

Abhängig von einem Ereignis wird eine definierte Aktion ausgeführt.

relativer Zeitpunkt

Abhängig von einem Ereignis wird die Aktion ausgeführt.

relativer Zeitraum

Vom momentanen Zeitpunkt abhängiger Zeitbereich mit Start- und Endezeit.

Relativereignis

Der Zeitpunkt des Auftretens des Ereignissses im Production & Facility Scheduler hängt von einem anderen Ereignis, z.B. Schichtbeginn ab.

remanent

Dauerhaft zur Verfügung gestellt.

Remanentdaten

Speichert Daten automatisch auf einem nicht flüchtigen Datenträger, so dass die Daten nach Beendigung der Software oder nach Abschalten des Gerätes erhalten bleiben.

Remote Function Call

Ist einerseits ein Synonym für das Remote Procedure Call-Konzept (kurz RPC). Dieses bezeichnet Verfahren, mit denen Funktionen in einem entfernten System aufgerufen werden. RFC ist anderseits auch der Überbegriff für die SAP eigenen Protokolle und Schnittstellen zur Abwicklung solcher Funktionsaufrufe bis hin zu deren Implementierung.

Remote-Port

TCP-Port, der auf einem entfernten Gerät angesprochen werden soll.

Remote-Transport

Stellt verschiedenste Funktionalitäten zur Verfügung, um ein Projekt auf einem Remote-Computer zu warten: Übertragung der Runtime-Dateien, Setzen des Startprojekts, Starten und Beenden der Runtime etc.

Report

Tabellarische Darstellung von Werten, Meldungen, Grafiken usw... Die Daten können am Monitor angezeigt, als Datei gespeichert und ausgedruckt werden.

Report Builder

Editor von Microsoft zur Bearbeitung von Reports in Form von RDL-Dateien.

Report Definition Language

Ist ein von Microsoft definierter Standard zur Definition von Reports im XML-Format.

Report Generator

Werkzeug zum Erstellen von Reports. Es stehen Funktionen zum Auslesen von Daten aus den verschiedenen Modulen zur Verfügung, z.B. Alarmmeldeliste, Chronologische Ereignisliste, Archivserver, online Werte, beliebige SQL-Datenbanken...Für Archivdaten besteht die Möglichkeit diese zu verändern und in den Archivserver als Handwerte zurückzuschreiben.Die Daten können formatiert und umgerechnet werden. Die resultierenden Reports können angezeigt, gespeichert und gedruckt werden.

Report Launcher

Webbasierte Oberfläche, um Reports des zenon Analyzer zu konfigurieren und anzuzeigen.

Report Viewer

Teil des Moduls Reporting zum Anzeigen von Reports, die auf RDL-Dateien basieren, in der Runtime. Als Datenquellen können AML-, Archiv- und CEL-Daten sowie Online-Werte aus zenon verwendet werden.

Reportfunktion

In Zellen des Report Generators benutzte Funktionen. Diese Funktionen sind nur im Report Generator verfügbar.

Revision

Status von Variablen, bei dem Alarmbehandlung und Befehlsgabe vom Prozessleitsystem unterdrückt werden.Damit ist es einfach möglich, einzelne Anlageteile von der Alarmierung und Verarbeitung vorübergehend auszublenden. Der aktuelle Wert der Steuerung wird weiterhin in den Bildern angezeigt.

Rezeptgruppe

Die Rezeptgruppe fasst RGM-Rezepte im Rezeptgruppen-Manager zusammen. Bei der Rezeptgruppe werden die Variablen und die Min./Max. Werte definiert. Diese Definitionen sind für alle RGM-Rezepte in der Rezeptgruppe gültig.

Rezeptgruppen-Manager

Ein Modul zur Verwaltung von Rezeptgruppen und den dazugehörenden Rezepten. Bei der Rezeptgruppe werden Variablen, Filter und sonstige Einstellungen definiert. Die zughörigen Rezepte übernehmen diese Einstellungen. Bei den Rezepten wird die auszuführende Aktion, z.B. Wert absetzen, Status ändern, Wert von einer anderen Variable übernehmen usw. eingestellt.

Rezeptgruppen-Name

Eindeutiger Name einer Rezeptgruppe im Rezeptgruppen-Manager

RFC

Ist einerseits ein Synonym für das Remote Procedure Call-Konzept (kurz RPC). Dieses bezeichnet Verfahren, mit denen Funktionen in einem entfernten System aufgerufen werden. RFC ist anderseits auch der Überbegriff für die SAP eigenen Protokolle und Schnittstellen zur Abwicklung solcher Funktionsaufrufe bis hin zu deren Implementierung.

RGM-Rezept

RGM-Rezepte ermöglichen eine gruppierte Rezeptverwaltung. Jedes RGM-Rezept ist einer Rezeptgruppe zugeordnet. Es können alle Datentypen verwendet werden. Es können Status verarbeitet werden. Es können Zuweisungen von einer Variablen auf die andere durchgeführt werden.

Ringpuffer

Ein Ringpuffer speichert kontinuierlich eine einstellbare Datenmenge. Ist der Speicherplatz voll werden die Daten entweder nach dem FIFO oder nach dem LIFO Prinzip überschrieben.

Rohrleitung

Vektor-Element, das eine Polylinie darstellt, bei der bei Linienstärke > 1 die Füllfarbe eingestellt werden kann.

Rück

Taste, die Zeichen links vom Cursor löscht.

Rückblickzeit

Berücksichtigt Ereignisse, die vor dem Start des Zeitfilters aufgetreten sind, aber noch in den Bereich des Zeitfilters hinein wirken.

Rückgabeparameter

Dient zum Auslesen von Istzuständen aus dem Prozess. Der Wert kann in Bedingungen als Vergleichswert herangezogen werden und es können damit Reaktionen verknüpft werden.Ein Rückgabeparameter ist ein Platzhalter und muss mit einer zenon Variablen verknüpft werden.

Rückleseordner

Ordner, aus dem Archivdateien z.B. für den Erweiterten Trend und den Report Generator gelesen werden können.

Rückmeldevariable

Variable, die bei der Befehlsgabe den Wert/Status von der Steuerung zurückliest.

Rückspeisung

Bezeichnet den Betriebsmodus eines elektrischen Bauelements entgegen seiner primären Richtung, z.B.: rückspeisefähiger Transformator.

Rücktaste

Taste, die Zeichen links vom Cursor löscht.

Runtime-Dateien

Sind vom Editor erzeugten Dateien, die von der Runtime gelesen und interpretiert werden. Einige Runtime-Dateien werden von der Runtime modifiziert; z.B. Standard-Rezepte,Rezeptgruppen-Manager etc.Die Runtime-Dateien werden im Runtime-Ordner abgelegt.

Runtime-Daten

Alle Daten, die von der Runtime erzeugt und verwaltet werden, z.B. Daten der Alarmmeldeliste, der Chronologischen Ereignisliste, des Archivservers... Dazu gehören auch die Daten, die vom Editor erzeugt werden (Runtime-Dateien) und in der Runtime geändert werden können, wie z.B. Daten von: Standard-Rezepte, Rezepgruppen-Manager, Benutzerverwaltung usw.

Runtime-Hilfe

Bietet die Möglichkeit, in der Runtime zu Elementen (aufrufbar über das Kontextmenü) oder in der Alarmmeldeliste (über einen Button) Hilfekapitel aus einer CHM-Datei aufzurufen.

Runtime-Ordner

In diesen Ordner werden die Runtime-Dateien des Projekts gespeichert. Der Pfad wird beim Setzten des Startprojekts in die zenon6.ini eingetragen.Der Runtime-Ordner kann in den Projekt-Eigenschaften geändert werden.Im Runtime-Ordner befinden sich der Unterordner 'RT' und ein Unterordner mit dem Namen des Rechners. Im Ordner 'RT' befinden sich alle Runtime-Dateien, die vom Editor erzeugt werden. Im Ordner 'Rechnername' befinden sich alle Datendateien, die in der Runtime angelegt werden.

Runtime-Zustand

Information, ob sich die Runtime im Hardware- oder im Simulationsmodus befindet.


zenon 8.00 - Hilfe

Glossar >

S

S7

Programmiersoftware für Siemens Simatic. STEP steht für STeuerungen Einfach Programmieren

S7 Datei

Projektdatei für das Siemens Programmiersystem Step 7. Die Variablen dieser Projekte können mit dem S7-Import in die Variablenliste übernommen werden.

S7-Graph

S7-Graph setzt auf der Siemens Programmiersoftware Step 7 auf. Es wird für sequentielle Abläufe mit alternativen oder parallelen Schrittfolgen (SFC) verwendet. In der Runtime kann der momentane Zustand der Ablaufsteuerung in der SPS direkt im gleichnamigen Bildtyp dargestellt werden.

S7-Graph Heuristik

Analysiert die S7-Graph Schrittketten und ermittelt alle Transitionen, die ein Weiterschalten verhindern. Die Bedingungen, die ein Weiterschalten verhindern, werden in der Meldungsvariablen ausgegeben.

S7-Import

Die Variablen eines S7-Projekts können mit dem S7-Import in die Variablenliste übernommen werden.

S7-PDiag

Ermöglicht die Projektierung der Prozess-Diagnose für Siemens S7. Mit der Prozess-Diagnose lassen sich fehlerhafte Zustände außerhalb des Automatisierungssystems (z. B. Endschalter nicht erreicht) erkennen.

S7-PDiag System

Ermöglicht die Projektierung der Prozess-Diagnose für Siemens S7. Mit der Prozess-Diagnose lassen sich fehlerhafte Zustände außerhalb des Automatisierungssystems (z. B. Endschalter nicht erreicht) erkennen.

S7-Programm

Programm für S7-Steuerungen. Die Programmierung erfolgt in der Step 7 Software. Die Variablen können mit dem S7-Import in die Variablenliste übernommen werden.

S7-Projektdatei

Ablage für S7-Programme, die in Siemens Step 7 bearbeitet werden können. Die Variablen können mit dem S7-Import in die Variablenliste übernommen werden.

SAP

Deutsches Softwareunternehmen, das das Softwarepaket SAP ERP herstellt.

SAP Funktion

Eine in zenon definierte Funktion, die einen RFC-Funktionsbaustein im SAP System aufruft.

SAP Interface

Modul zum Datenaustausch von Variablenwerten und Alarmen mit einem externen SAP System.

SCADA

Konzept zur Überwachung und Steuerung technischer Prozesse.

SCADA Logic

In das SCADA System integrierte SPS Logik. Diese hat keine direkte Verbindung zum Prozess, sondern erhält Informationen vorzugsweise über das SCADA-System.

Schablone

Bestimmt die Größe und die Lage eines Bereichs am Monitor, in dem in der Runtime Bilder aufgeschaltet werden. Jedes Bild basiert auf einer Schablone. Bei einer Schablone können weitere Eigenschaften gesetzt werden, die an die darauf basierenden Bilder übertragen werden.

Schabloneneditor

Grafische Oberfläche, mit der die Größe und Lage von Schablonen definiert werden kann.

Schablonenform-Editor

Grafische Oberfläche, mit der die frei definierbare Form von Schablonen definiert werden kann.

Schalter

Dynamisches Element, das den Werte einer Binärvariablen anzeigt und modifiziert. Es kann auch als Taster verwendet werden.

Schaltfläche

Eine Schaltfläche (engl. Button) bezeichnet ein grafisches Element in der Benutzeroberfläche. Durch Anklicken wird der dem Steuerelement zugeordnete Befehl ausgeführt.

Schaltpunkt

Definition eines Zeitpunkts zu dem eine Aktion ausgeführt wird.

Schaltspielzähler

Eine Variable, die zur aufsummierenden Messung der Schaltvorgänge (Ein/Aus), die ein Gerät durchläuft, verwendet wird.

Schaltspiel-Zähler

Eine Variable, die zur aufsummierenden Messung der Schaltvorgänge (Ein/Aus), die ein Gerät durchläuft, verwendet wird.

Schaltvorschau

Schalthandlungen werden vor Ausführung in einer Liste angezeigt.

Schaltzeit

Zeitpunkt, zu dem ein Schaltpunkt ausgeführt wird.

Scheduler

Erlaubt die Projektierung von Schalthandlungen (Sollwert setzen bzw. Funktion ausführen), die zu definierten Zeitpunkten ausgeführt werden.Als Datenablage wird die des PFS verwendet. Somit ist ein Umstieg vom Scheduler zum PFS möglich.

Schichtzeiten

Beginn und Endezeit mehrerer Schichten. Die Definition der Zeiten erfolgt im Production & Facility Scheduler

Schieberegler

Regler, dessen Wirkung durch Bewegung entlang einer Skala auf einer Längsachse definiert wird.

Schreibtelegramm

Datenpaket, das zu einer Steuerung gesendet wird, um dort einen oder mehrere Sollwerte zu setzen.

SCL

Eine der fünf in IEC 61131 definierten Programmiersprachen. ST bietet mehr Strukturierungsmöglichkeiten als AWL und löst diese daher immer mehr ab. Bei Step 7 als SCL (Structured Control Language) bezeichnet.

Screenshot

Abbild des kompletten Bildschirminhalts oder eines Teils davon.

Server-Port

Standardmäßig eingestellter TCP-Port auf einem Server, über den Clients mit dem Server kommunizieren.

Service Pack

Service Packs sind kumulierte Fehlerbehebungen für eine Version. Sie durchlaufen den kompletten Qualitätssicherungsprozess. Sie beinhalten alle Builds, die bis dorthin veröffentlicht wurden. Service Pack 0 ist das erste offizielle Release einer neuen Version.

Shifttaste

Die Taste wird hauptsächlich benutzt, um statt eines Kleinbuchstabens durch gleichzeitiges Drücken der Umschalttaste den entsprechenden Großbuchstaben einzugeben. Daneben dient sie zur Eingabe verschiedener Sonderzeichen, die den Nummerntasten des alphanumerischen Tastaturbereichs zugeordnet sind.

Sicherung

Zusätzliche Speicherung von Daten (z.B. Projekte oder Arbeistbereich) zur späteren Wiederherstellung.

SI-Einheit

Das Internationale Einheitensystem, abgekürzt SI (von frz.: Système international d?unités), ist das auf dem internationalen Größensystem (ISQ) basierende Einheitensystem. Dieses 1960 eingeführte metrische Einheitensystem ist heute das weltweit am weitesten verbreitete Einheitensystem für physikalische Größen.

Simatic S7

Programmiersoftware für Siemens Simatic. STEP steht für STeuerungen Einfach Programmieren

Simatic S7-PDiag

Ermöglicht die Projektierung der Prozess-Diagnose für Siemens S7. Mit der Prozess-Diagnose lassen sich fehlerhafte Zustände außerhalb des Automatisierungssystems (z. B. Endschalter nicht erreicht) erkennen.

Simatic Step 7

Programmiersoftware für Siemens Simatic. STEP steht für STeuerungen Einfach Programmieren

Simatik S7-Graph

S7-Graph setzt auf der Siemens Programmiersoftware Step 7 auf. Es wird für sequentielle Abläufe mit alternativen oder parallelen Schrittfolgen (SFC) verwendet. In der Runtime kann der momentane Zustand der Ablaufsteuerung in der SPS direkt im gleichnamigen Bildtyp dargestellt werden.

SIMOTION

System der Firma Siemens zur Automatisierung von Produktionsmaschinen mit dem Schwerpunkt Bewegungssteuerung.SIMOTION setzt sich zusammen aus dem SIMOTION SCOUT und dem SIMOTION Kernel für verschiedene Hardware Plattformen. Der Scout ist das Engineering-System zur Erstellung eines Projektes mit Hardwarekonfiguration und Anwenderdaten.

Simple Network Management Protocol

Verbreitetets Protokoll um Netzwerke zu überwachen und zu protokollieren. SNMP Agenten (Harware und/oder Software) liefern Daten über Aktivitäten aller Komponenten (Hubs, Router, Bridges, etc.) an die MIB (Management Information Base) auf einem Kontrollrechner. Komponenten werden auf Erreichbarkeit überprüft und gesteuert.

Simulation

Es werden Abläufe an einem Modell durchgeführt/durchgespielt um Erkenntnisse über das reale System zu gewinnen oder dieses zu ersetzen.

Simulation - programmiert

Möglichkeit, einen Treiber auf Simulationsmodus zu stellen. Dabei wird keine Kommunikation zur Steuerung aufgebaut, sondern die Werte werden von einem frei programmierbaren Simulationsprojekt berechnet. Das Simulationsprojekt wird mit der zenon Logic Workbench erstellt und läuft in der zenon Logic Runtime ab.

Simulation - statisch

Möglichkeit, einen Treiber auf Simulationsmodus zu stellen. Dabei wird keine Kommunikation zur Steuerung aufgebaut, sondern alle Werte werden mit 0 initialisiert.

Simulation - zählend

Möglichkeit, einen Treiber auf Simulationsmodus zu stellen. Dabei wird keine Kommunikation zur Steuerung aufgebaut, sondern alle Werte werden mit 0 initialisiert und werden in der eingestellten Updatezeit jeweils um 1 bis zum Maximalwert inkrementiert und beginnen dann wieder bei 0.

Simulationsabbild

Speicherbereich, in dem alle Werte der Simulation abgelegt werden.

Simulationsmodus

Im Gegensatz zum Hardwaremodus erfolgt keine Kommunikation mit der Steuerung. Die Variablenwerte werden über die eingestellte Simulationsart (statisch, zählend oder programmiert) berechnet.

Simulationsprojekt

zenon Logic Projekt, das dazu verwendet wird, um eine externe Steuerung zu simulieren. Alle Variablen, die auf dem Treiber basieren, können mit simulierten Werten versorgt werden.

Simulator Treiber

Treiber, auf dem Variablen angelegt werden können, die zum Speichern von Informationen gedacht sind, die nicht auf einer Steuerung gespeichert werden können/sollen. Im Gegensatz zum Intern Treiber ist dieser Treiber numerisch adressiert und die Variablenwerte können in Form verschiedener Inkrement- und Dekrementfunktionen automatisch beeinflusst werden.

Skalierbarkeit

Fähigkeit, sich an verändernde Bedingungen hinsichtlich Größe eines Systems oder Zahl der Komponenten anzupassen.

Skalierung

Größenveränderung bzw. die Anpassung verschiedener Eigenschaften an eine bestehende Skala.

Skript

Zusammenfassung von einzelnen Funktionen, die gleichzeitig angestoßen werden.

Slot-SPS

Als PC-Steckkarte realisierte SPS. Gilt als gehäuselose Hard-SPS.

SNMP

Verbreitetets Protokoll um Netzwerke zu überwachen und zu protokollieren. SNMP Agenten (Harware und/oder Software) liefern Daten über Aktivitäten aller Komponenten (Hubs, Router, Bridges, etc.) an die MIB (Management Information Base) auf einem Kontrollrechner. Komponenten werden auf Erreichbarkeit überprüft und gesteuert.

Softlizenz

Bindet die Nutzung der Software an die Eingabe einer korrekten Lizenznummer.

Softlizenzierung

Lizenzierungsart, bei der die Lizenz an einen bestimmten Rechner gebunden wird. Dazu wird die Lizenznummer verwendet.

Soft-SPS

Eine Soft-SPS (Speicherprogrammierbare Steuerung in Software) besteht aus einem PC oder einem Microcontroller, einer SPS-Software und den E/A-Bausteinen oder Feldbus-Erweiterungen wie z.B. Busklemmen.

Sollwert

Wert, der zur Steuerung übertragen wird und den dort vorhandenen Wert überschreiben soll.

Sollwert absetzen

Überträgt einen Sollwert vom Leitsystem zur Steuerung.

Spalteneinstellungen

Definiert die Spaltenbreite, Spaltenüberschriften, Reihenfolge, Sortierart, Gitterdarstellung, Hintergrundfarben usw.

Speicherprogrammierbare Steuerung

Eine Speicherprogrammierbare Steuerung (SPS, engl. Programmable Logic Controller, PLC) ist eine Baugruppe, die zur Steuerung und/oder Regelung einer Maschine oder Anlage eingesetzt wird. In der Regel ist eine solche Baugruppe elektronisch ausgeführt und ähnelt den Baugruppen eines Computers. Die Geber (Sensoren) und die Stellglieder (Aktoren) sind mit dieser Baugruppe verbunden. Das zugehörige Betriebssystem (Firmware) stellt sicher, dass dem Anwenderprogramm immer der aktuelle Zustand der Geber zur Verfügung steht. Anhand dieser Informationen kann das Anwenderprogramm die Stellglieder so ein- oder ausschalten, dass die Maschine oder die Anlage in der gewünschten Weise funktioniert.

Spincontrol

Kontrollelement, das mit zwei Schaltflächen mit Pfeilen für hinauf und hinunter ausgebildet ist. Das Element erlaubt es dem Benutzer in einem vorgegebenen Bereich von Werten zu navigieren. Mit den Pfeilschaltflächen wird der angezeigte Wert um eins inkrementiert bzw. dekrementiert.

Spontaner Datenverkehr

Aufbau von Verbindungen im Netzwerk und Übertragung von Daten nur bei Bedarf.

Spontanwert

Aktueller Variablenwert, der mit dem Wert in der Steuerung übereinstimmt, das bedeutet, dass der Wert nicht gestört (I-Bit), nicht auf Revision gesetzt und nicht der Ersatzwert ist.

Sprungziel

Element des Moduls Batch Control, das einen direkten Sprung auf eine definierte Stelle eines Zweiges ermöglicht.

SPS

Eine Speicherprogrammierbare Steuerung (SPS, engl. Programmable Logic Controller, PLC) ist eine Baugruppe, die zur Steuerung und/oder Regelung einer Maschine oder Anlage eingesetzt wird. In der Regel ist eine solche Baugruppe elektronisch ausgeführt und ähnelt den Baugruppen eines Computers. Die Geber (Sensoren) und die Stellglieder (Aktoren) sind mit dieser Baugruppe verbunden. Das zugehörige Betriebssystem (Firmware) stellt sicher, dass dem Anwenderprogramm immer der aktuelle Zustand der Geber zur Verfügung steht. Anhand dieser Informationen kann das Anwenderprogramm die Stellglieder so ein- oder ausschalten, dass die Maschine oder die Anlage in der gewünschten Weise funktioniert.

SPSen

Eine Speicherprogrammierbare Steuerung (SPS, engl. Programmable Logic Controller, PLC) ist eine Baugruppe, die zur Steuerung und/oder Regelung einer Maschine oder Anlage eingesetzt wird. In der Regel ist eine solche Baugruppe elektronisch ausgeführt und ähnelt den Baugruppen eines Computers. Die Geber (Sensoren) und die Stellglieder (Aktoren) sind mit dieser Baugruppe verbunden. Das zugehörige Betriebssystem (Firmware) stellt sicher, dass dem Anwenderprogramm immer der aktuelle Zustand der Geber zur Verfügung steht. Anhand dieser Informationen kann das Anwenderprogramm die Stellglieder so ein- oder ausschalten, dass die Maschine oder die Anlage in der gewünschten Weise funktioniert.

SQL

Datenbanksprache zur Definition, Abfrage und Manipulation von Daten in relationalen Datenbanken. SQL ist von ANSI und ISO standardisiert und wird von fast allen gängigen Datenbanksystemen unterstützt. SQL umfasst die folgenden Datenbanksprachen: Data Manipulation Language, Data Definition Language, Data Control Language.

SQL Server

Relationales Datenbankmanagementsystem auf der Microsoft Windows Plattform, das vom Editor zur Datenablage benötigt wird.

SQL Server Dienst

Prozess, der Datenbankfunktionalität bereitstellt. Um mit dem Editor arbeiten zu können, muss der Dienst gestartet sein.

SQL-Datenbank

Datenbanksystem zur elektronischen Datenverwaltung, das als Abfragesprache SQL (Structured Query Language) unterstützt. Meist handelt es sich um eine relationale Datenbank.

Stammknoten

Erste Ebene in einer Baumstruktur.

Standard-Funktion

Für einige Module kann direkt in der Detailansicht eine vordefinierte Funktion angelegt werden. Dabei wird jene Funktion verwendet, die mit dem Modul am häufigsten verwendet wird, z.B. "Sollwert setzen" bei Variablen.

Standard-Port

Standardmäßig eingestellter TCP-Port, über den die Anwendung normalerweise kommuniziert.

Standardprofil

Mit dem Standardprofil wird das Aussehen des Editor wieder in den Auslieferungszustand zurückgesetzt. Alle Symbolleisten, Fensterpositionen usw. werden wieder in den Ursprungszustand zurückgesetzt.

Standbyprojekt

Projekt mit aktiviertem Netzwerk und eingetragenem Standby-Server. Das Projekt ist redundant mit dem Serverprojekt für die gesamte Datenverwaltung verantwortlich. Alle Daten kommen vom Serverprojekt und werden lokal gespeichert. Nach dem Erkennen des Ausfalls des Serverprojekts wird das Projekt selbst zum Serverprojekt hochgestuft und übernimmt damit die Datenhoheit. Ab dann können sich Clientprojekte verbinden.

Starter Edition

Module mit eingeschränktem Funktionsumfang, die im Basispaket (außer für Windows CE) enthalten sind.

Startindex

Definiert den Startpunkt eines Arrays.

Startprojekt

Das Projekt, das beim Starten der Runtime als erstes geladen wird. Pro Rechner kann es nur ein Startprojekt geben. Es wird in der Datei 'zenon6.ini' gespeichert.

Startup Tool

Programm zur Verwaltung von verschiedenen Versionen. Die versionsabhängigen Komponeten wie Datenbankdienst, Transportservice, ActiveX Elemente usw. können registriert und die Applikationen gestartet werden. Es können zusätzliche Parameter wie Sprache, Übergabeparameter, verwendeter SQL Server, Startprojekt usw. eingestellt werden.

Statischer Text

Vektor-Element, das einen fixen Text darstellt.

Statusverarbeitung

Ist die Möglichkeit Status zu lesen, zu schreiben, anzuzeigen und danach zu filtern.Jede Variable besteht in der Runtime aus einem Wert, einem Zeitstempel und einem 64 Bit Statusregister.

Step 7

Programmiersoftware für Siemens Simatic. STEP steht für STeuerungen Einfach Programmieren

Step 7 Datei

Projektdatei für das Siemens Programmiersystem Step 7. Die Variablen dieser Projekte können mit dem S7-Import in die Variablenliste übernommen werden.

Step 7 Programm

Programm für S7-Steuerungen. Die Programmierung erfolgt in der Step 7 Software. Die Variablen können mit dem S7-Import in die Variablenliste übernommen werden.

Steuerrezept

Teil des Moduls Batch Control. Beinhaltet den Ablauf eines Produktionsprozesses auf Basis des Batch Verfahrens nach dem Standard ISA S88. Ein Steuerrezept ist immer von einem Vorlagenrezept abgeleitet und kann einmalig ausgeführt werden. (ISA 88: Control recipe)

Stoßfreie Redundanz

Mechanismus, bei dem der Standby durch Datenpufferung die Totzeit bei Serverausfall überbrückt. Dadurch wird Datenausfall bei einem Serverausfall verhindert.

straton Applikation

Alle Programme, alle Variablen und die I/O Konfiguration eines straton Projekts.

straton RTK

Laufzeitsystem für harte Echtzeit, das unabhängig vom Betriebssystem läuft.

straton Runtime

Lässt straton Projekte plattformunabhängig ablaufen, das heißt, unabhängig von der verwendeten Hardware und dem Betriebssystem. Eine Laufzeitumgebung stellt die ?Plattform? dar, in der die Projekte ablaufen. Die Runtime benötigt zum Ablauf keine Workbench.

straton Runtime mit Realtime Kernel

Laufzeitsystem für harte Echtzeit, das unabhängig vom Betriebssystem läuft.

Stringvariable

Variable, deren Wert aus einer alphanumerischen Zeichenfolge besteht.

Stringwert

Eine Zeichenfolge. Kann Ziffern, Buchstaben und Sonderzeichen beinhalten.

Structured Control Language

Eine der fünf in IEC 61131 definierten Programmiersprachen. ST bietet mehr Strukturierungsmöglichkeiten als AWL und löst diese daher immer mehr ab. Bei Step 7 als SCL (Structured Control Language) bezeichnet.

Structured Query Language

Datenbanksprache zur Definition, Abfrage und Manipulation von Daten in relationalen Datenbanken. SQL ist von ANSI und ISO standardisiert und wird von fast allen gängigen Datenbanksystemen unterstützt. SQL umfasst die folgenden Datenbanksprachen: Data Manipulation Language, Data Definition Language, Data Control Language.

Structured Text

Eine der fünf in IEC 61131 definierten Programmiersprachen. ST bietet mehr Strukturierungsmöglichkeiten als AWL und löst diese daher immer mehr ab. Bei Step 7 als SCL (Structured Control Language) bezeichnet.

Struktur-Datentyp

Zusammengesetzte Struktur, die aus Struktur-Elementen zusammengesetzt ist. Diese können Einfache Datentypen bzw. bestehende andere Struktur-Datentypen sein.

Struktur-Element

Ein Teil eines Struktur-Datentyps. Es basiert entweder auf einem Einfachen oder einem Struktur-Datentyp. Bei Einfachen Datentypen kann unterschieden werden, ob diese eingebettet oder verknüpft werden. Eingebettet bedeutet, dass eine Kopie des Datentyps erzeugt wird und alle Eigenschaften damit beim Struktur-Element einstellbar sind. Bei verknüpften Datentypen wird nur eine Referenz auf den Datentyp hergestellt. Alle Eigenschaften werden von dort übernommen.

Strukturierter Text

Eine der fünf in IEC 61131 definierten Programmiersprachen. ST bietet mehr Strukturierungsmöglichkeiten als AWL und löst diese daher immer mehr ab. Bei Step 7 als SCL (Structured Control Language) bezeichnet.

Symboleditor

Bereich im Hauptfenster, in dem Symbole gezeichnet und konfiguriert werden. Ergänzend zum Bildeditor können im Symboleditor die Eigenschaften der Symbolelemente freigegeben werden.

Symbolelement

Einzelnes Dynamisches Element oder Vektor Element, das in einem Symbol eingebettet ist.

Symbolleiste

Eine Reihe, eine Spalte oder ein Block von Schaltflächen, die auf dem Bildschirm angezeigt werden. Wenn Sie auf diese Schaltflächen klicken, werden die dahinterliegenden Befehle ausgeführt. Die Symbolleisten können angepasst und auf dem Bildschirm verschoben werden. Die Einstellung wird in Editorprofilen gespeichert. Symbolleisten stehen nur im Editor zur Verfügung.

System Treiber

In die Runtime integrierter Treiber, der vordefinierte Variablen zur Verfügung stellt. Diese beinhalten Informationen zum Projekt bzw. zur Hardware, auf der das Projekt gestartet ist.

Systemstatus

Statusinformation eines Computers, z.B. Betriebsystem, Startprojekt, Lizenzierung, Runtime-Status etc.

Systemtreiber

In die Runtime integrierter Treiber, der vordefinierte Variablen zur Verfügung stellt. Diese beinhalten Informationen zum Projekt bzw. zur Hardware, auf der das Projekt gestartet ist.

Systemtreibervariable

Variable, die auf dem System Treiber basiert.


zenon 8.00 - Hilfe

Glossar >

Symbols

.NET

Ist eine von Microsoft entwickelte Softwareplattform. Diese umfasst eine Laufzeitumgebung, eine für Programmierer bestimmte Sammlung von Klassenbibliotheken (API), und angeschlossene Dienstprogramme (Services). Die Plattform ist derzeit in ihrem vollen Umfang nur für Windows verfügbar.

.NET Framework

Das .NET Framework ist Microsofts Programmiermodel für ?managed code? zum Erstellen herausragender Applikationen mit nahtloser und sicherer Kommunikation und der Möglichkeit, eine breite Vielfalt von Businessprozessen zu modellieren. Das aktuelle .NET Framework 3.5 beinhaltet unter anderem Windows Presentation Foundation (WPF), Windows Workflow Foundation (WF), Windows Communication Foundation (WCF), Windows CardSpace, LINQ und volle Visual Studio 2008-Integration.

3-D Winkelstück

Veraltetes Vektor-Element, das zur Darstellung eines Winkels mit einer dreidimensionalen Füllung genutzt wurde.

3D-Fülleffekt

Grafische Objekte wie z.B. Rechteck, Kreis usw. erhalten durch farbige Verläufe der Füllfarbe ein dreidimensionales Erscheinungsbild.

3S

Hersteller von CoDeSys. 3S steht für Smart Software Solutions.


zenon 8.00 - Hilfe

Glossar >

T

TAG

Ein TAG entspricht einer externen Variablen unabhängig vom Datentyp. Interne Variablen werden nicht als TAG gezählt. TAGs werden ausschließlich für die Lizenzierung verwendet. Für die Ermittlung der Lizenzgröße wird die Summe der TAGs von folgenden Treibern herangezogen: Alle SPS- und Bus Treiber; nicht gezählt werden: Interne Prozessvariablen (Intern Treiber) sowie Prozessvariablen vom System Treiber, Mathematik Treiber und Simulator Treiber

Task

Ein Programm in VB-Skript oder Java für die Process Control Engine (PCE).

Tastatur

Eine Tastatur ist ein Eingabegerät, das als Bedienelement eine Anzahl von zu drückenden Tasten enthält.

Taste Alt

Taste, die in Kombination mit anderen Tasten spezielle Programmaktionen auslöst bzw. Menüschritte zusammenfasst, z.B. Alt+F4 für Programm beenden.

Taste Bild-ab

Taste, die den Cursor am Bildschirm um die Höhe des Bildschirms nach unten bewegt.

Taste Bild-auf

Taste, die den Cursor am Bildschirm um die Höhe des Bildschirms nach oben bewegt.

Taste Nach-links

Taste, die den Cursor am Bildschirm nach links bewegt.

Taste Nach-rechts

Taste, die den Cursor am Bildschirm nach rechts bewegt.

Tastenkombination

Durch das gleichzeitge Drücken vordefinierter Tasten wird eine Aktion angestoßen. Wird als Anwenderhilfe zur Abkürung einer Befehlssequenz verwendet.

TCP

Ist eine Vereinbarung (Protokoll) darüber, auf welche Art und Weise Daten zwischen Computern ausgetauscht werden sollen. Alle Betriebssysteme moderner Computer beherrschen TCP und nutzen es für den Datenaustausch mit anderen Rechnern. Das Protokoll ist ein zuverlässiges, verbindungsorientiertes, paketvermittelndes Transportprotokoll in Computernetzwerken. Es ist Teil der Internetprotokollfamilie, der Grundlage des Internets.

TCP/IP

Ist eine Familie von Netzwerkprotokollen und wird wegen ihrer großen Bedeutung für das Internet auch als Internetprotokollfamilie bezeichnet.

Technischer Überwachungs-Verein

Eingetragene Vereine, die technische Sicherheitskontrollen, insbesondere auch solche die durch staatliche Gesetze oder Anordnungen vorgeschrieben sind, auf privatwirtschaftlicher Basis durchführen. Mitglieder sind seit Gründung des ersten Dampfkessel-Revisions-Vereins - so der ursprüngliche Name - im Jahre 1866 Wirtschaftsunternehmen, die überwachungsbedürftige Anlagen betreiben.

Technologische Funktion

Entsprechung der Grundfunktion in der Steuerung. In ISA 88 wird der Begriff Process Action dafür verwendet. (ISA 88: Process Action)

Terminal Server

Der Terminal Server ermöglicht Remotecomputern den Zugriff auf Windows-basierte Programme, die unter Windows Server 2003 Standard Edition, Windows Server 2003 Enterprise Edition oder Windows Server 2003 Datacenter Edition ausgeführt werden. Benutzer können von Remotestandorten aus Programme ausführen, Dateien speichern und Netzwerkressourcen verwenden, als wären diese Ressourcen auf ihren eigenen Computern installiert.

Text Button

Dynamisches Element mit dem eine Aktion (Funktion ausführen, Sollwert setzen) ausgelöst wird. Der Text Button kann nur Text darstellen. Ab 6.50 wird er durch das Dynamische Element Button ersetzt.

Thread

Bezeichnet in der Informatik einen Ausführungsstrang oder eine Ausführungsreihenfolge in der Abarbeitung eines Programms. Ein Thread ist Teil eines Prozesses.

Tick

Teilstrich einer Skala oder Achse. Es wird unterscheiden zwischen Hauptticks und Nebenticks.

TIF

Das Tagged Image File Format ist ein Dateiformat zur Speicherung von Bilddaten. Das TIF-Format wurde ursprünglich von Aldus (1994 von Adobe übernommen) und Microsoft für gescannte Rastergrafiken für die Farbseparation entwickelt.

TIFF

Das Tagged Image File Format ist ein Dateiformat zur Speicherung von Bilddaten. Das TIF-Format wurde ursprünglich von Aldus (1994 von Adobe übernommen) und Microsoft für gescannte Rastergrafiken für die Farbseparation entwickelt.

Timeout

Zeitspanne, innerhalb der ein Ereignis eintreten muss, bevor eine bestimmte Reaktion angestoßen wird.

Tooltip

Hinweis, der automatisch angezeigt wird, wenn der Mauszeiger eine bestimmte Zeit auf einem Element verweilt.

Topologische Einfärbung

Repräsentiert den elektrischen Zustand einer Leitung bzw. eines Schaltgeräts durch Farbgebung.

Topologische Leitung

Vektor-Element zur Linieneinfärbung für die topologische Darstellung von elektrischen Netzen. Nur für SICAM 230 verfügbar.

Topologische Verriegelung

Durch die Projektierung des elektrischen Netzes automatisch errechnete Verriegelung, z.B.: Spannung gegen Erde.

Topologischer Strang

Dynanisches Element zur Linieneinfärbung für die topologische Darstellung von elektrischen Netzen. Nur für SICAM 230 verfügbar.

Touchpanel

Gerät mit einer berührungsempfindlichen Darstellungsoberfläche (Touchscreen).

Touchscreen

Eingabegerät, bei dem durch Berührung von Teilen eines Bildes der Programmablauf eines technischen Gerätes, meist eines Computers, scheinbar direkt gesteuert werden kann. Das durch den Touchscreen ?berührungsempfindliche? Bild kann dabei sowohl dynamisch mittels Monitoren oder über Projektion, als auch physikalisch (z. B. gedruckt) generiert worden sein.

Transition

Element des Moduls Batch Control, das eine Bedingung beinhaltet. Das Element wird nach Grundfunktionen eingesetzt um einen definierten Übergang von einer Grundfunktion in die nächste zu gewährleisten.

Transmission Control Protocol

Ist eine Vereinbarung (Protokoll) darüber, auf welche Art und Weise Daten zwischen Computern ausgetauscht werden sollen. Alle Betriebssysteme moderner Computer beherrschen TCP und nutzen es für den Datenaustausch mit anderen Rechnern. Das Protokoll ist ein zuverlässiges, verbindungsorientiertes, paketvermittelndes Transportprotokoll in Computernetzwerken. Es ist Teil der Internetprotokollfamilie, der Grundlage des Internets.

Transmission Control Protocol/Internet Protocol

Ist eine Familie von Netzwerkprotokollen und wird wegen ihrer großen Bedeutung für das Internet auch als Internetprotokollfamilie bezeichnet.

Trap

Steht im Bereich der Computertechnik für eine Ausnahme oder einen Fehler. Es ist typischerweise ein synchroner Interrupt, der von einer Ausnahmebedingung ausgelöst wird, z.B. Breakpoint, Division durch Null, ungültiger Speicherzugriff, usw.

Treiber

Ist ein Computerprogramm oder -modul, das die Interaktion mit angeschlossenen oder eingebauten Geräten (Hardware) steuert. Dazu nutzt es Schnittstellen zum Kommunikationsbus oder anderen Kommunikationssystemen, an denen das Gerät angeschlossen ist, um Steuersignale und/oder Daten zum Gerät zu senden bzw. von ihm zu empfangen.

Treiberabbild

Jeder Treiber verwaltet darin den momentanen Zustand des Prozesses bzw. der Signalzustände. Änderungen darin werden mit dem Prozessabbild synchronisiert.

Treiberkommando

Ein Befehl, um einen Treiber in einen definierten Zustand zu versetzen. Beispiel: Treiber starten, stoppen usw...

Treiberobjekttyp

Spezifiziert einen Bereich der Steuerung. Ist je nach Hersteller unterschiedlich. Mögliche Typen sind: Merker, Datenbaustein, Holding Register, Coil...

Treibersimulation

Dabei wird ein einzelner Treiber in den Simulationsmodus geschaltet, d.h. er hat keine Prozesskommunikation. Es gibt die drei Ausprägungen: Simulation - programmiertSimulation - zählendSimulation - statisch

Treiber-Simulationsprojekt

zenon Logic Projekt, das dazu verwendet wird, um eine externe Steuerung zu simulieren. Alle Variablen, die auf dem Treiber basieren, können mit simulierten Werten versorgt werden.

Trend-Element

Dynamisches Element zur Darstellung von Werten in Form von Trendkurven.

Triggervariable

Variable, die durch eine Wertänderung etwas auslöst, z.B. eine Zuweisung durchführt oder Werte ins Archiv schreibt.

TÜV

Eingetragene Vereine, die technische Sicherheitskontrollen, insbesondere auch solche die durch staatliche Gesetze oder Anordnungen vorgeschrieben sind, auf privatwirtschaftlicher Basis durchführen. Mitglieder sind seit Gründung des ersten Dampfkessel-Revisions-Vereins - so der ursprüngliche Name - im Jahre 1866 Wirtschaftsunternehmen, die überwachungsbedürftige Anlagen betreiben.

TwinCAT

Nutzt jeden kompatiblen PC als Echtzeitsteuerung mit Multi-SPS-System, NC-Achsregelung, Programmierumgebung und Bedienstation. Substituiert herkömmliche SPS- und NC/CNC-Steuerungen sowie Bediengeräte.


zenon 8.00 - Hilfe

Glossar >

U

UDP

Ist ein minimales, verbindungsloses Netzwerkprotokoll, das zur Transportschicht der Internetprotokollfamilie gehört. Aufgabe von UDP ist es, Daten, die über das Internet übertragen werden, der richtigen Anwendung zukommen zu lassen.UDP stellt einen verbindungslosen, nicht-zuverlässigen Übertragungsdienst bereit. Das bedeutet, es gibt keine Garantie, dass ein einmal gesendetes Paket auch ankommt, dass Pakete in der gleichen Reihenfolge ankommen, in der sie gesendet wurden, oder dass ein Paket nur einmal beim Empfänger eintrifft. Eine Anwendung, die UDP nutzt, muss daher gegenüber verlorengegangenen und unsortierten Paketen unempfindlich sein oder selbst entsprechende Korrekturmaßnahmen beinhalten.

Umrechnungseinheit

Maßeinheit, deren Wert bei der Einheitenumschaltung aus dem Wert der Basiseinheit berechnet wird: Der Wert wird mit einem Faktor multipliziert und um einen Offset verschoben. Zusätzlich kann eine Kommaverschiebung angegeben werden.

Umschalt

Die Taste wird hauptsächlich benutzt, um statt eines Kleinbuchstabens durch gleichzeitiges Drücken der Umschalttaste den entsprechenden Großbuchstaben einzugeben. Daneben dient sie zur Eingabe verschiedener Sonderzeichen, die den Nummerntasten des alphanumerischen Tastaturbereichs zugeordnet sind.

Umschalttaste

Die Taste wird hauptsächlich benutzt, um statt eines Kleinbuchstabens durch gleichzeitiges Drücken der Umschalttaste den entsprechenden Großbuchstaben einzugeben. Daneben dient sie zur Eingabe verschiedener Sonderzeichen, die den Nummerntasten des alphanumerischen Tastaturbereichs zugeordnet sind.

Universalregler

Dynamisches Element, das Regler in verschiedensten Ausprägungen darstellt. Variablenwerte können in Form von Schiebereglern, Bargrafen, LED Balkenanzeigen usw. angezeigt werden.

URL

Steht für Uniform Resource Locator und identifiziert und lokalisiert eine Ressource über das verwendete Netzwerkprotokoll (beispielsweise HTTP oder FTP) und den Ort (engl. location) der Ressource in Computernetzwerken.URLs sind eine Unterart der generellen Identifikationsbezeichnung mittels Uniform Resource Identifiern (URIs).

User Control

Kombiniert die Funktionalität eines oder mehrerer WPF-Steuerelemente (Windows Presentation Foundation) mit benutzerdefiniertem Code.

User Datagram Protocol

Ist ein minimales, verbindungsloses Netzwerkprotokoll, das zur Transportschicht der Internetprotokollfamilie gehört. Aufgabe von UDP ist es, Daten, die über das Internet übertragen werden, der richtigen Anwendung zukommen zu lassen.UDP stellt einen verbindungslosen, nicht-zuverlässigen Übertragungsdienst bereit. Das bedeutet, es gibt keine Garantie, dass ein einmal gesendetes Paket auch ankommt, dass Pakete in der gleichen Reihenfolge ankommen, in der sie gesendet wurden, oder dass ein Paket nur einmal beim Empfänger eintrifft. Eine Anwendung, die UDP nutzt, muss daher gegenüber verlorengegangenen und unsortierten Paketen unempfindlich sein oder selbst entsprechende Korrekturmaßnahmen beinhalten.

UTC

Die koordinierte Weltzeit, international als UTC (engl. "Coordinated Universal Time") abgekürzt, ist die heute gültige Weltzeit. Eingeführt wurde sie 1972. Die Genauigkeit ist in Sekunden.Von der koordinierten Weltzeit werden ausgehend vom Nullmeridian, der durch den Londoner Stadtteil Greenwich verläuft, die Zeiten in den verschiedenen Zeitzonen der Erde abgeleitet. UTC ersetzt die Greenwich Mean Time (GMT).


zenon 8.00 - Hilfe

Glossar >

V

Variablen-Diagnose

Bildtyp zur Anzeige von Variablenwerten, Zeitstempeln und Status. Variablenwerte können auch abgesetzt werden.

VB.NET

Ist eine vom Softwarehersteller Microsoft im Rahmen seiner .NET-Strategie von Visual Basic aus weiterentwickelte Programmiersprache.

VBA

Ist eine zu den Microsoft-Office-Programmen gehörende Skriptsprache. Sie wurde aus dem von Microsoft entwickelten BASIC-Dialekt Visual Basic (VB) abgeleitet und wurde zur Steuerung von Abläufen innerhalb der Microsoft-Office-Programme entwickelt.In zenon wird VBA im Editor zur Automatisierung der Projektierung angeboten und in der Runtime zur Erweiterung des Funktionsumfangs.

VBA-Wizard

Ist ein VBA Programm, das bei der Projektierung unterstützt und Objekte automatisch erstellt bzw. modifiziert. Alle Wizards liegen im Sourcecode vor und können individuell angepasst werden.

Vekt.-Element

Ein Vektor-Element ist ein grafisches Darstellungselement. Die interne Verwaltung basiert auf Vektoren. Dadurch ist eine verlustfreie Größenänderung möglich. Im Gegensatz zu einem Dynamischen Element wird kein Variablenwert repräsentiert.

Vektor-Element

Ein Vektor-Element ist ein grafisches Darstellungselement. Die interne Verwaltung basiert auf Vektoren. Dadurch ist eine verlustfreie Größenänderung möglich. Im Gegensatz zu einem Dynamischen Element wird kein Variablenwert repräsentiert.

Vektorgrafik

Setzt sich aus mathematischen Primitiven zusammen, die sich zweidimensional in der Ebene beschreiben lassen, wie Linien, Kreise, Polygone oder allgemeine Kurven. Vektorgrafiken erlauben im Gegensatz zu Rastergrafiken verlustfreie Größenänderungen.

Verbindungslinie

Teil des Verbindungsstücks im Modul Batch Control: Positioniert den Verbindungspunkt am Element.

Verbindungspunkt

Teil des Verbindungsstücks im Modul Batch Control. Verbindet zwei Elemente (z.b: Grundfunktion mit Grundfunktion oder Grundfunktion mit Linie) miteinader. Er ändert die Farbe wenn der Mauszeiger darüber steht.

Verbindungsstück

Möglichkeit im Modul Batch Control, Elemente miteiander zu verbinden. Es besteht aus Verbindungspunkt und Verbindungslinie.

Verbindungs-Timeout

Zeitspanne, während der keine Rückmeldung der Steuerung erfolgen kann ohne dass darauf reagiert wird.

vermaschtes Netz

Jeder Netzwerkknoten ist mit einem oder mehreren anderen Knoten verbunden. Die Informationen werden von Knoten zu Knoten weitergereicht, bis sie das Ziel erreichen. Wenn jeder Teilnehmer mit jedem anderen Teilnehmer verbunden ist, spricht man von einem vollständig vermaschten Netz. Vermaschte Netze sind im Regelfall selbstheilend und dadurch sehr zuverlässig: Wenn ein Knoten oder eine Verbindung blockiert ist oder ausfällt, kann sich das Netz darum herum neu stricken. Die Daten werden umgeleitet und das Netzwerk ist nach wie vor betriebsfähig.

Verpackungsanlage

Zusammenstellung von Maschinen, deren Aufgabe das automatische Verpacken von Produkten ist.

Verriegelung

Ermöglicht es, die Eingabe von Werten bzw. die Ausführung von Aktionen abhängig von Variablenwerten und/oder Status zu unterbinden.

Verriegelungsbedingung

Logische Formel die definiert, wann die Verriegelung erfolgt. Wenn das Ergebnis der Formel wahr ist, ist die Verriegelung aktiv.

Verriegelungsvariable

Variable, mit der die Verriegelungesbedingung für eine Verriegelung erstellt wird.

Verteiltes Engineering

Gleichzeitiges Bearbeiten eines Projekts im Editor durch mehrere Benutzer auf mehreren Computern.

Verzögerungszeit nach Verbindungsabbruch

Zeitspanne, die nach einem Abbruch der Verbindung gewartet wird, bis ein neuer Verbindungsversuch gestartet wird.

Verzweigung

Bereich des Moduls Batch Control, der eine Aufteilung in zwei oder mehrere Zweige ermöglicht, von denen beim Rezeptablauf immer nur ein Zweig aktiv werden kann. Es handelt sich um eine Entweder-Oder-Verzweigung. Eine Verzweigung beginnt immer mit dem Element Anfang Verzweigung und endet mit dem Element Ende Verzweigung.

VGA

Bezeichnet einen Computergrafik-Standard (EISA, 1987), der bestimmte Kombinationen von Bildauflösung und Farbanzahl (Farb-Bit-Tiefe) sowie Wiederholfrequenz definiert. Heute steht VGA meist für die Auflösung von 640 × 480 Pixeln.

Video Graphics Array

Bezeichnet einen Computergrafik-Standard (EISA, 1987), der bestimmte Kombinationen von Bildauflösung und Farbanzahl (Farb-Bit-Tiefe) sowie Wiederholfrequenz definiert. Heute steht VGA meist für die Auflösung von 640 × 480 Pixeln.

Vista

Betriebssystem der Firma Microsoft. Nachfolger von Windows XP.

Visual Basic

Visual Basic ist eine proprietäre objektorientierte Programmiersprache, deren neuere Versionen auf dem Microsoft .NET-Framework basieren. Um zwischen den alten, nicht vollständig objektorientierten, und den neuen, auf dem .NET-Framework basierenden Versionen zu unterscheiden werden erstere bis inklusive Visual Basic 6.0 als Visual Basic Classic, die letzteren hingegen als Visual Basic .NET (Abk. VB.NET) bezeichnet.

Visual Basic for Applications

Ist eine zu den Microsoft-Office-Programmen gehörende Skriptsprache. Sie wurde aus dem von Microsoft entwickelten BASIC-Dialekt Visual Basic (VB) abgeleitet und wurde zur Steuerung von Abläufen innerhalb der Microsoft-Office-Programme entwickelt.In zenon wird VBA im Editor zur Automatisierung der Projektierung angeboten und in der Runtime zur Erweiterung des Funktionsumfangs.

Visual Studio Tools for Applications

Eine von Microsoft entwicklete Entwicklungsumgebung (IDE), mit der in den Programmiersprachen VB.NET und C# programmiert werden kann.VSTA ist das Nachfolgeprodukt für VBA.In zenon wird VSTA im Editor zur Automatisierung der Projektierung angeboten und in der Runtime zur Erweiterung des Funktionsumfangs.

Vorlagenrezept

Teil des Moduls Batch Control. Beinhaltet den Ablauf eines Produktionsprozesses auf Basis des Batch Verfahrens nach dem Standard ISA S88. Ein Rezept besteht aus den Komponenten: Grundfunktionen, Transitionen, Parallelzweig usw. (ISA 88: Master recipe)Vorlagenrezepte dienen als Vorlage für Steuerrezepte.

VSTA

Eine von Microsoft entwicklete Entwicklungsumgebung (IDE), mit der in den Programmiersprachen VB.NET und C# programmiert werden kann.VSTA ist das Nachfolgeprodukt für VBA.In zenon wird VSTA im Editor zur Automatisierung der Projektierung angeboten und in der Runtime zur Erweiterung des Funktionsumfangs.


zenon 8.00 - Hilfe

Glossar >

W

Wakos

Übernimmt Alarme und erstellt daraus über die SAP RFC-Schnittstelle Störmeldungen in einem SAP ERP System. Die Alarmmeldungen aus zenon werden in einer Datenbank für spätere Auswertungen abgelegt. Die Darstellung erfolgt in einer Liste, in der ein Wartenführer Meldungen klassifizieren kann. Nur schwerwiegende Alarme (?Grossstörungen?) werden in das SAP System übernommen.

Warten-Kontroll-System

Übernimmt Alarme und erstellt daraus über die SAP RFC-Schnittstelle Störmeldungen in einem SAP ERP System. Die Alarmmeldungen aus zenon werden in einer Datenbank für spätere Auswertungen abgelegt. Die Darstellung erfolgt in einer Liste, in der ein Wartenführer Meldungen klassifizieren kann. Nur schwerwiegende Alarme (?Grossstörungen?) werden in das SAP System übernommen.

Wartungsmeldung

Instandhaltungs- oder Servicemeldung, die an das SAP Wartungsmodul übertragen wird.

WAV

Ist ein Containerformat zur digitalen Speicherung von Audiodaten.

Web Server

Ist ein Dienst, der Dokumente an Clients wie z. B. Webbrowser überträgt.

Weiterschaltbedingung

Wenn die Bedingung erfüllt ist, ist die Grundfunktion fertig ausgeführt und der im Rezept projektierte Ablauf wird weiter fortgesetzt.

Weltbild-Übersicht

Bildtyp zur verkleinerten Darstellung eines Weltbilds und zur Navigation darin.

Wert absetzen

Überträgt einen Wert vom Leitsystem zur Steuerung.

Windows CE

Windows CE ist eine Familie von Betriebssystemen von Microsoft für PDA und embedded Systems. Es ähnelt in der Bedienung MS-Windows für PCs, verwendet aber einen anderen Kernel. Somit funktionieren auch keine herkömmlichen Windows-Programme. CE unterstützt die Prozessor-Architekturen Intel x86, MIPS, ARM (mit Intel PXA) und Hitachi SuperH. Es kann auch als hartes Echtzeitbetriebssystem eingesetzt werden. Für unterschiedliche Windows CE Versionen und Prozessor-Architekturen existieren angepasste Runtimes.

Windows CE Projekt

Jedes Projekt kann unter Windows CE verwendet werden. Einige Funktionalitäten stehen jedoch in der Windows CE Runtime nicht zur Verfügung. Daher gibt es eigene Windows CE Projekte, bei denen nur Eigenschaften projektierbar sind, die auch funktionieren. Ein Windows CE Projekt wird über die Projekt-Eigenschaft 'Windows CE Projekt' definiert.

Windows CE Runtime

Eine speziell compilierte Runtime für das Betriebsystem Windows CE. Die Runtime läuft nur auf der Prozessor-Architektur und der Betriebssystem-Version, für die sie erzeugt wurde.

Windows Presentation Foundation

Ist ein Grafik-Framework und Teil des .NET Frameworks ab 3.0 von Microsoft. Dabei wird die Präsentation und die Programmlogik getrennt. Die Daten werden in XAML-Dateien gespeichert.

Windows Vista

Betriebssystem der Firma Microsoft. Nachfolger von Windows XP.

Windows XP

Betriebssystem der Firma Microsoft. XP steht für ?eXPerience?.

Windows XP Embedded

Betriebssystem der Firma Microsoft. Es stammt von Windows XP Professional ab und unterscheidet sich von Windows CE/PocketPC dadurch, dass es eine andere Geräteklasse anspricht. XP Embedded ist nur lauffähig auf x86-Hardware. Verwendungsgebiete sind Geräte, die auf einem x86-Prozessor basieren.

Wischer-Event

Ereignis, das kurzeitig ausgelöst wird, um auf einen geänderten Zustand hinzuweisen. Meistens handelt es sich dabei um ein Bit, das kurzzeitig auf 1 gesetzt und dann wieder zurückgesetzt wird. Es kann aber auch eine Windows Message sein, auf die in einer Programmiersprache reagiert wird.

Wizard

Ist ein VBA Programm, das bei der Projektierung unterstützt und Objekte automatisch erstellt bzw. modifiziert. Alle Wizards liegen im Sourcecode vor und können individuell angepasst werden.

WPF

Ist ein Grafik-Framework und Teil des .NET Frameworks ab 3.0 von Microsoft. Dabei wird die Präsentation und die Programmlogik getrennt. Die Daten werden in XAML-Dateien gespeichert.


zenon 8.00 - Hilfe

Glossar >

X

XAML

Ist eine XML-basierte Sprache die verwendet wird, um grafische Elemente, Benutzeroberflächen, Verhaltensweisen, Animationen, Transformationen, Darstellung von Farbverläufen, Abspielen von Mediadateien und vieles mehr zu definieren. XAML wurde von Microsoft eingeführt als Auszeichnungssprache, die in Windows Presentation Foundation (WPF), einer Desktop-orientierten Technologie, verwendet wird.

XAML-Datei

Textdatei, die in Form der Extensible Application Markup Language aufgebaut ist.

XML

Extensible Markup Language - ist eine Auszeichnungssprache zur Darstellung hierarchisch strukturierter Daten in Form von Textdateien.

XML-Datei

Textdatei, die in Form der Extensible Markup Language aufgebaut ist.

XP Embedded

Betriebssystem der Firma Microsoft. Es stammt von Windows XP Professional ab und unterscheidet sich von Windows CE/PocketPC dadurch, dass es eine andere Geräteklasse anspricht. XP Embedded ist nur lauffähig auf x86-Hardware. Verwendungsgebiete sind Geräte, die auf einem x86-Prozessor basieren.


zenon 8.00 - Hilfe

Glossar >

Y

Y-Achse

Die vertikale (senkrechte) Koordinatenachse eines kartesischen Koordinatensystems (Ordinate).


zenon 8.00 - Hilfe

Glossar >

Z

Zeicheneditor

Übergegriff für den Bildeditor, Schabloneneditor und den Symboleditor.Diese Editoren werden im Hauptfenster angezeigt.

Zeitachse

Die Koordinatenachse eines kartesischen Koordinatensystems, auf der ein Zeitbereich dargestellt wird.

Zeitanzeige

Kontrollelement, das eine veränderbare Zeitangabe anzeigt.

Zeitfilter

Einstellbarer Filter zur Eingrenzung der angezeigten Daten auf eine bestimmte Zeitspanne. Es gibt absolute Filter (von - bis sind fest eingetragen) und relative Filter (von jetzt weg eine bestimmte Zeitspanne).

Zeitmodell

Enthält die Definition der Schichten und Pausen des Production & Facility Schedulers.

Zeitmodell-Gruppe

Fasst mehrere Zeitmodelle zusammen.

Zeitsteuerung

Führt zu einem definierten Zeitpunkt oder zyklisch Funktionen aus.

zentrales Serverprojekt

Ist die Basis eines mehrplatzfähiges Projekts und wird zentral auf einem als Server definierten Rechner verwaltet.Änderungen können in beliebig vielen verbundenen lokalen Projektkopien durchgeführt werden, nicht jedoch direkt auf dem zentralen Projekt. Selbst am Server wird mit einer lokalen Projektkopie gearbeitet.

Ziel-Host

IP-Adresse oder Rechnername des Zielsystems.

Ziel-Port

TCP-Port, der auf dem Zielsystem angesprochen werden soll.

Zielrezept

Rezept, auf das beim Rezept kopieren geschrieben wird. Das Quellrezept wird auf das Zielrezept kopiert.

Zoom-Schaltfläche

Grafischer Repräsentant in Programmoberfläche, der das Ein- und Ausschalten der Zoom-Funktion ermöglicht.

Zoom-Schieberegler

Linearer grafischer Regler mit dessen Betätigung Zoomstufen verändert werden.

Zustandselement

Dynamisches Element, das Eigenschaften der verknüpften Variablen wie z.B. Farben, Blinken usw. auf ein Symbol überträgt und statische Grenzwertexte anzeigt.Hinweis: Nur bis inklusive Version 7.20 verfügbar.

zyklische Archivierung

Die Daten werden in dem eingestellten Zeitintervall in das Archiv geschrieben.

zyklische Aufzeichnung

Die Daten werden nach dem eingestellten Zeitintervall in das Archiv geschrieben.


HLP_FKT_ACM_RSP

Interne ID: HLP_FKT_ACM_RSP

AML- und CEL-Ringpuffer speichern

Diese Funktion speichert aktuelle Alarme und Ereignisse in die Dateien ALARM.BIN und CEL.BIN.

Mehr im Online-Handbuch.


HLP_FKT_ALARM_BLINK_QUIT

Interne ID: HLP_FKT_ALARM_BLINK_QUIT

Alarme Blink-Quittierung

Diese Funktion quittiert das Blinken aller Elemente des aktuell geöffneten Bildes einer ausgewählten Schablone.

Mehr im Online-Handbuch.


HLP_FKT_ALARM_GRP_KLASSEN

Interne ID: HLP_FKT_ALARM_GRP_KLASSEN

Alarmmeldeliste, Alarm/Ereignis-Gruppen/Klassen aktivieren/deaktivieren

Diese Funktion schaltet eine Alarm/Ereignis-Gruppe, eine Alarm/Ereignis-Klasse oder die gesamte Alarmverwaltung ein oder aus.

Mehr im Online-Handbuch.


HLP_FKT_ALARM_GRUPPEN_VERB

Interne ID: HLP_FKT_ALARM_GRUPPEN_VERB

Alarm/Ereignis-Gruppe abmelden/anmelden

Diese Funktion schaltet die Verbindung zur SPS für eine ausgewählte Alarm/Ereignis-Gruppe aus oder ein.

Mehr im Online-Handbuch.


HLP_FKT_AML_AUS

Interne ID: HLP_FKT_AML_AUS

Alarmmeldeliste inaktiv

Diese Funktion schaltet die gesamte Alarmverwaltung aus.

Mehr im Online-Handbuch.


HLP_FKT_AML_DEL

Interne ID: HLP_FKT_AML_DEL

Alarmquittierung bestätigen

Diese Funktion löscht gefilterte Alarme.

Mehr im Online-Handbuch.


HLP_FKT_AML_EIN

Interne ID: HLP_FKT_AML_EIN

Alarmmeldeliste aktiv

Diese Funktion schaltet die gesamte Alarmverwaltung ein.

Mehr im Online-Handbuch.


HLP_FKT_AML_EXP

Interne ID: HLP_FKT_AML_EXP

AML exportieren

Diese Funktion exportiert gefilterte Einträge der Alarmliste in ein externes Format.

Mehr im Online-Handbuch.


HLP_FKT_AML_QTT

Interne ID: HLP_FKT_AML_QTT

Alarme quittieren

Diese Funktion quittiert gefilterte Alarme.

Mehr im Online-Handbuch.


HLP_FKT_AML_TGL

Interne ID: HLP_FKT_AML_TGL

Alarmmeldeliste aktiv/inaktiv

Diese Funktion schaltet die gesamte Alarmverwaltung ein oder aus.

Mehr im Online-Handbuch.


HLP_FKT_ANALYZER_REPORT_CREATE

Interne ID: HLP_FKT_ANALYZER_REPORT_CREATE

Analyzer: Report erzeugen

Diese Funktion stellt eine Verbindung zu einem Analyzer Server her, ermöglicht die Konfiguration eines Reports im Editor sowie die Erstellung und Ablage des Reports zur Runtime.

Mehr im Online-Handbuch.


HLP_FKT_APP_HELP

Interne ID: HLP_FKT_APP_HELP

Hilfe aufrufen

Diese Funktion öffnet eine ausgewählte Hilfeseite aus einer CHM-Datei.

Mehr im Online-Handbuch.


HLP_FKT_APP_LICENCE_INFO

Interne ID: HLP_FKT_APP_LICENCE_INFO

Lizenzinformation anzeigen

Mithilfe dieser Funktion wird ein Dialog zur Anzeige der Versions- und Lizenzinformationen aufgeschalten.

Mehr im Online-Handbuch.


HLP_FKT_APP_PALETTESWITCH

Interne ID: HLP_FKT_APP_PALETTESWITCH

Farbpalette umschalten

Erstellt eine Funktion, um zur Runtime zwischen Farbpaletten umzuschalten.

Mehr im Online-Handbuch.


HLP_FKT_APP_RT_PROFILES

Interne ID: HLP_FKT_APP_RT_PROFILES

Runtimeprofile

Erstellt eine Funktion, mit der zur Runtime die Profilverwaltung geöffnet, ein Profil erstellt oder ein Profil geladen werden kann.

Mehr im Online-Handbuch.


HLP_FKT_APP_SAVE_REMDATA

Interne ID: HLP_FKT_APP_SAVE_REMDATA

Remanentdaten speichern

Erlaubt das Speichern der Daten für die konfigurierten Module. Zur Auswahl stehen: AML-Ringpuffer, CEL-Ringpuffer, System Treiber und Mathematik Treiber, Intern Treiber, Remanentabbilder aller Treiber und Sperrung der Befehlsgabe.

Mehr im Online-Handbuch.


HLP_FKT_APP_SIMULATION

Interne ID: HLP_FKT_APP_SIMULATION

Projektsimulation aktivieren/deaktivieren

Diese Funktion startet und stoppt die Projektsimulation. Art der Simulation und Prozesskopplung können projektiert werden.
Zusätzlich kann mit dieser Funktion die Runtime für das Modul Prozess-Rekorder im Wiedergabemodus gestartet. Für die Wiedergabe können Startzeit und Zeitfilter projektiert werden.

Mehr im Online-Handbuch:

  • Projektsimulation

Prozess-Rekorder


HLP_FKT_APP_TEXT_LISTE

Interne ID: HLP_FKT_APP_TEXT_LISTE

Sprachumschaltung

Diese Funktion schaltet in mehrsprachigen Projekten auf eine ausgewählte Sprache um.

Mehr im Online-Handbuch.


HLP_FKT_APP_UNITS_SWITCH

Interne ID: HLP_FKT_APP_UNITS_SWITCH

Einheitenumschaltung

Diese Funktion schaltet zwischen Basiseinheit und Umrechnungseinheit um. Die Zuordnung erfolgt in einem Dialog, der beim Erstellen der Funktion angeboten wird und später über die Eigenschaft Parameter geändert werden kann.

Mehr im Online-Handbuch.


HLP_FKT_ARV_AKT

Interne ID: HLP_FKT_ARV_AKT

Offene Archive anzeigen

Diese Funktion zeigt eine Liste der laufenden Archive des optionalen Moduls Archivserver an.

Mehr im Online-Handbuch.


HLP_FKT_ARV_AUS

Interne ID: HLP_FKT_ARV_AUS

Archiv beenden

Diese Funktion beendet ein ausgewähltes Archiv des optionalen Moduls Archivserver.

Mehr im Online-Handbuch.


HLP_FKT_ARV_EIN

Interne ID: HLP_FKT_ARV_EIN

Archiv starten

Diese Funktion startet ein ausgewähltes Archiv des optionalen Moduls Archivserver.

Mehr im Online-Handbuch.


HLP_FKT_ARV_EXP

Interne ID: HLP_FKT_ARV_EXP

Archive exportieren

Diese Funktion exportiert gefilterte Archiveinträge des optionalen Moduls Archivserver in ein externes Format.

Mehr im Online-Handbuch.


HLP_FKT_ARV_IND

Interne ID: HLP_FKT_ARV_IND

Archiv indizieren

Diese Funktion indiziert Archive. Sie wird immer am prozessführenden Server ausgeführt.

Mehr im Online-Handbuch.


HLP_FKT_BATCH_CR_CREATE

Interne ID: HLP_FKT_BATCH_CR_CREATE

Steuerrezept erzeugen

Ermöglicht es, zur Runtime ein im Editor vordefiniertes Steuerrezept zu erstellen.

Mehr im Online-Handbuch.


HLP_FKT_BATCH_MR_RELEASE

Interne ID: HLP_FKT_BATCH_MR_RELEASE

Vorlagenrezept freigeben

Ermöglicht es, zur Runtime ein Vorlagenrezept frei zugeben. Die Funktion gibt jene gefundenen Vorlagenrezepte zur Runtime frei, deren Eigenschaften passen und deren eventuell eingebettete Teilrezepte bereits freigegeben wurden.

Mehr im Online-Handbuch.


HLP_FKT_BATCH_RECIPE_EXPORT

Interne ID: HLP_FKT_BATCH_RECIPE_EXPORT

Batch Rezepte importieren

Diese Funktion importiert Rezepte aus einer XML-Datei.

Mehr im Online-Handbuch.


HLP_FKT_BATCH_RECIPE_IMPORT

Interne ID: HLP_FKT_BATCH_RECIPE_IMPORT

Batch Rezepte exportieren

Diese Funktion exportiert Rezepte als XML-Datei.

Mehr im Online-Handbuch.


HLP_FKT_BATCH_STATE_CMD

Interne ID: HLP_FKT_BATCH_STATE_CMD

Rezeptkommando-/Moduswechsel ausführen

Ermöglicht es, zur Runtime Steuerkommandos an die Batch-Ausführung zu schicken.

Mehr im Online-Handbuch.


HLP_FKT_BEDIENBERECHTIGUNG

Interne ID: HLP_FKT_BEDIENBERECHTIGUNG

Bedienberechtigung im Netzwerk

Diese Funktion holt oder gibt die Bedienberechtigung im Netzwerk frei.

Mehr im Online-Handbuch.


HLP_FKT_BILD

Interne ID: HLP_FKT_BILD

IDS_FKT_NAMEN2

Description as text.


HLP_FKT_BILD_AUS

Interne ID: HLP_FKT_BILD_AUS

Bild schließen

Diese Funktion schließt ein ausgewähltes Bild.

Mehr im Online-Handbuch.


HLP_FKT_BILD_EIN

Interne ID: HLP_FKT_BILD_EIN

Bildumschaltung

Diese Funktion öffnet ein ausgewähltes Bild. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_BILD_FOKUS

Interne ID: HLP_FKT_BILD_FOKUS

Fokus verschieben

Diese Funktion setzt den Eingabefokus auf ein bestimmtes Element in einem Bild, dessen Schablone den Fokus hat.

Mehr im Online-Handbuch.


HLP_FKT_BILD_MENU

Interne ID: HLP_FKT_BILD_MENU

Menü anzeigen

Diese Funktion öffnet oder schließt ein ausgewähltes Hauptmenü. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_BILD_MITTE

Interne ID: HLP_FKT_BILD_MITTE

Bildmittelpunkt verschieben

Diese Funktion scrollt und/oder zoomt in einem Weltbild.

Mehr im Online-Handbuch.


HLP_FKT_BILD_SW_KDBMDI

Interne ID: HLP_FKT_BILD_SW_KDBMDI

Sollwertvorgabe für Keyboard-Bild

Diese Funktion stellt für ein Bild vom Typ Keyboard einen vordefinierten Wert ein (Vorschlagswert) oder setzt einen vordefinierten Wert ab und schließt das Bild.

Mehr im Online-Handbuch.


HLP_FKT_BILD_VAR

Interne ID: HLP_FKT_BILD_VAR

Bild indiziert

Mit dieser Funktion wird eine Variable ausgewählt, die den Namen des zu öffnenden Bildes enthält.

Mehr im Online-Handbuch.


HLP_FKT_BILD_ZURUECK

Interne ID: HLP_FKT_BILD_ZURUECK

Bild zurück

Diese Funktion schaltet auf das vorher geöffnete Bild der ausgewählten Schablone zurück.

Hinweise:

  • Konfigurieren Sie dazu auch die Eigenschaften Hauptschablonen und Anzahl für Bild zurück Funktion.
  • Alle Funktionen nutzen die gleiche globale Bild-Zurück-Liste.

Mehr im Online-Handbuch.


HLP_FKT_CEL_EXP

Interne ID: HLP_FKT_CEL_EXP

CEL exportieren

Diese Funktion exportiert gefilterte Einträge der Chronologischen Ereignisliste (CEL) in ein externes Format.

Mehr im Online-Handbuch.


HLP_FKT_CHANGE_ALC_COLOR

Interne ID: HLP_FKT_CHANGE_ALC_COLOR

ALC-Quellenfarbe ändern

Funktion zur Konfiguration der ALC-Quellenfarben bei Fehlerortung in elektrischen Netzen.

Mehr im Online-Handbuch.


HLP_FKT_DATEIOPERATION

Interne ID: HLP_FKT_DATEIOPERATION

Dateioperation

Diese Funktion kopiert, löscht oder verschiebt ausgewählte Dateien. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_DBASE_READ

Interne ID: HLP_FKT_DBASE_READ

dBase Datei lesen

Diese Funktion liest eine ausgewählte dBase-Datei und führt sie als ein Rezept aus.

Mehr im Online-Handbuch.


HLP_FKT_DEL_PIC_BACK_PATH

Interne ID: HLP_FKT_DEL_PIC_BACK_PATH

Bild zurück-Pfad löschen

Diese Funktion löscht den Pfad der Funktion Bild zurück .

Mehr im Online-Handbuch.


HLP_FKT_DIAGRAM_PRINT

Interne ID: HLP_FKT_DIAGRAM_PRINT

Erweiterter Trend Diagramm drucken

Mithilfe dieser Funktion können Sie Diagramme des Erweiterten Trends ausdrucken oder in einer Datei (JPG oder BMP) speichern, ohne dass Sie das Bild vom Typ Erweiterter Trend aufschalten müssen.

Mehr im Online-Handbuch.


HLP_FKT_EINGABE_FOCUS

Interne ID: HLP_FKT_EINGABE_FOCUS

Eingabe auf Element mit Fokus aktivieren

Diese Funktion löst die Funktionalität des Elements aus, das gerade den Eingabefokus hat.

Mehr im Online-Handbuch.


HLP_FKT_EMS_START

Interne ID: HLP_FKT_EMS_START

Last-Management starten

Mit Hilfe dieser Funktion wird die Optimierung für ein selektiertes Versorgunsgebiet im Last-Management Modul gestartet.

Diese Funktion wird nur am Server ausgeführt.

Mehr im Online-Handbuch.


HLP_FKT_EMS_STOP

Interne ID: HLP_FKT_EMS_STOP

Last-Management stoppen

Mit Hilfe dieser Funktion wird die Optimierung für ein selektiertes Versorgunsgebiet im Last-Management Modul gestoppt.

Diese Funktion wird nur am Server ausgeführt.

Mehr im Online-Handbuch.


HLP_FKT_EXECUTE_ADDIN_WIZARD

Interne ID: HLP_FKT_EXECUTE_ADDIN_WIZARD

Project Wizard Extension ausführen

Ermöglicht es, einen Wizard zur Runtime auszuführen.
Der Wizard muss im Editor bereits importiert worden sein

Mehr im Online-Handbuch.


HLP_FKT_EXP_DATEN

Interne ID: HLP_FKT_EXP_DATEN

Daten exportieren

Diese Funktion exportiert auf der Festplatte gespeicherte Werte (*.HDD) ausgewählter Variablen in ein externes Format.

Mehr im Online-Handbuch.


HLP_FKT_GNDFLT_ACKNOWLEDGE

Interne ID: HLP_FKT_GNDFLT_ACKNOWLEDGE

Erdschlussmeldung quittieren

Funktion zum Quittieren einer Erdschlussmeldung. Öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.


HLP_FKT_GNDFLT_SEARCH_END

Interne ID: HLP_FKT_GNDFLT_SEARCH_END

Erdschlusssuche beenden

Funktion zum Beenden der Erdschlusssuche.

Mehr im Online-Handbuch.


HLP_FKT_GNDFLT_SEARCH_START

Interne ID: HLP_FKT_GNDFLT_SEARCH_START

Erdschlusssuche starten

Funktion zum Starten der Erdschlusssuche.

Mehr im Online-Handbuch.


HLP_FKT_GRAPH7_HEURISTIK

Interne ID: HLP_FKT_GRAPH7_HEURISTIK

S7-Graph Heuristik auswerten

Diese Funktion ermöglicht es Ihnen, die S7-Graph Heuristik durchzuführen, ohne dass das Bild vom Typ S7-Graph aktiv ist.

Mehr im Online-Handbuch.


HLP_FKT_HDD_AUS

Interne ID: HLP_FKT_HDD_AUS

HD-Verwaltung inaktiv

Diese Funktion schaltet die Harddisk-Datenspeicherung aus. HDD-Dateien werden nicht geschrieben.

Mehr im Online-Handbuch.


HLP_FKT_HDD_EIN

Interne ID: HLP_FKT_HDD_EIN

HD-Verwaltung aktiv

Diese Funktion schaltet die Harddisk-Datenspeicherung ein. HDD-Dateien werden geschrieben.

Mehr im Online-Handbuch.


HLP_FKT_HDD_TGL

Interne ID: HLP_FKT_HDD_TGL

HD-Verwaltung inaktiv/aktiv

Diese Funktion schaltet die Harddisk-Datenspeicherung ein oder aus. HDD-Dateien werden (nicht) geschrieben.

Mehr im Online-Handbuch.


HLP_FKT_HLP_FKT_AUS

Interne ID: HLP_FKT_HLP_FKT_AUS

Funktionen bei Grenzwerten inaktiv

Diese Funktion schaltet die Funktionsverwaltung aus. Automatisch ausgeführte Funktionen (z.B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden nicht ausgeführt.

Mehr im Online-Handbuch.


HLP_FKT_HLP_FKT_EIN

Interne ID: HLP_FKT_HLP_FKT_EIN

Funktionen bei Grenzwerten aktiv

Diese Funktion schaltet die Funktionsverwaltung ein. Automatisch ausgeführte Funktionen (z.B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden ausgeführt.

Mehr im Online-Handbuch.


HLP_FKT_HLP_FKT_TGL

Interne ID: HLP_FKT_HLP_FKT_TGL

Funktionen bei Grenzwerten aktiv/inaktiv

Diese Funktion schaltet die Funktionsverwaltung ein oder aus. Automatisch ausgeführte Funktionen (z.B. durch Zeitsteuerung, Grenzwertverletzung, etc.) werden (nicht) ausgeführt.

Mehr im Online-Handbuch.


HLP_FKT_IMM_CHECKMAINT

Interne ID: HLP_FKT_IMM_CHECKMAINT

Offene Wartungen ermitteln

Diese Funktion ermittelt für die angegeben Anlagen die Anzahl der fälligen Wartungen aus dem Industrial Maintenance Manager. Der auszuwertende Zeitraum kann angegeben werden. Die Anzahl der offenen Wartungen wird auf frei definierbare Statusvariablen geschrieben.

Mehr im Online-Handbuch.


HLP_FKT_IPA_CREATE_DOCUMENT

Interne ID: HLP_FKT_IPA_CREATE_DOCUMENT

IPA-Dokument erzeugen/drucken

Diese Funktion erzeugt aus den gefilterten Daten des Industrial Performance Analyzers ein Dokument und druckt dieses aus oder speichert es als HTML Dokument ab.

Mehr im Online-Handbuch.


HLP_FKT_MANAGE_ADDIN_SERVICES

Interne ID: HLP_FKT_MANAGE_ADDIN_SERVICES

Dialog "Runtime-Dienste verwalten" anzeigen

Diese Funktion öffnet zur Runtime den Dialog Runtime Dienste verwalten.

Mehr im Online-Handbuch.


HLP_FKT_MOMENTAN_PRT

Interne ID: HLP_FKT_MOMENTAN_PRT

Drucken Momentanwerte

Diese Funktion druckt aktuelle Werte ausgewählter Variablen aus.

Mehr im Online-Handbuch.


HLP_FKT_MONITOR_ZUORDNEN

Interne ID: HLP_FKT_MONITOR_ZUORDNEN

Bildschirm zuordnen

Diese Funktion weist einem ausgewählten virtuellen Bildschirm einen ausgewählten realen Bildschirm zu. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_MOUSE_REVERSE

Interne ID: HLP_FKT_MOUSE_REVERSE

Rechtsklick simulieren

Diese Funktion interpretiert den nächsten Mausklick als einen Rechtsklick.

Mehr im Online-Handbuch.


HLP_FKT_MSG_AUS

Interne ID: HLP_FKT_MSG_AUS

Sende Nachricht deaktivieren

Diese Funktion schaltet das Senden von Nachrichten des optionalen Moduls Message Control aus.

Mehr im Online-Handbuch.


HLP_FKT_MSG_EDB

Interne ID: HLP_FKT_MSG_EDB

Empfängerdatenbank anzeigen

Diese Funktion öffnet einen Dialog, in dem ein Benutzer die Empfänger-Datenbank des optionalen Moduls Message Control bearbeiten kann.


HLP_FKT_MSG_EIN

Interne ID: HLP_FKT_MSG_EIN

Sende Nachricht aktivieren

Diese Funktion schaltet das Senden von Nachrichten des optionalen Moduls Message Control ein.

Mehr im Online-Handbuch.


HLP_FKT_MSG_SAVEQUEUE

Interne ID: HLP_FKT_MSG_SAVEQUEUE

Aktuelle Warteschlange speichern

Speichert zur Runtime ein Abbild der aktuellen Queue.

Mehr im Online-Handbuch.


HLP_FKT_MSG_SUPPRESS

Interne ID: HLP_FKT_MSG_SUPPRESS

Gruppen/Klassen/Bereiche/Anlagen unterdrücken

Deaktiviert oder aktiviert Elemente der Liste, für die keine Nachrichten verschickt werden sollen.

Mehr im Online-Handbuch.


HLP_FKT_MT_CONCURRENT_EXECUTION

Interne ID: HLP_FKT_MT_CONCURRENT_EXECUTION

Parallel-Befehle ausführen

Funktion zum Testen der Multithreading-Einbindung.

Nur für den internen Gebrauch.

Hinweis: Diese Funktion ist nicht in der Online-Hilfe beschrieben. Eine Beschreibung dieser Funktion finden Sie ausschließlich in der internen Dokumentation "Performanceoptimierung". Diese Dokumentation ist nur intern verfügbar.

Ablageort: G:\zenon760\HELP\COPA-DATA\GERMAN\_Zusatzdokumentation-Nicht_ausliefern\


HLP_FKT_NACHLADEN

Interne ID: HLP_FKT_NACHLADEN

Nachladen

Diese Funktion lädt im Editor geänderte Runtime-Dateien nach.

Mehr im Online-Handbuch.


HLP_FKT_PFS_EVENT

Interne ID: HLP_FKT_PFS_EVENT

PFS - benutzerdefiniertes Ereignis anstoßen

Diese Funktion führt ein zuvor vom Benutzer angelegtes PFS-Ereignis aus.

Mehr im Online-Handbuch.


HLP_FKT_PR_PLAYBACKMODE

Interne ID: HLP_FKT_PR_PLAYBACKMODE

Prozess-Rekorder-Wiedergabe aktivieren/deaktivieren

Diese Funktion aktiviert/deaktiviert den Wiedergabe-Modus des Moduls Prozess-Rekorder.

Mehr im Online-Handbuch.


HLP_FKT_PRT_AMLCEL

Interne ID: HLP_FKT_PRT_AMLCEL

Drucken AML oder CEL

Diese Funktion druckt gefilterte Einträge der Alarmliste oder der Chronologischen Ereignisliste (CEL) aus.

Mehr im Online-Handbuch.


HLP_FKT_PRT_HARDCOPY

Interne ID: HLP_FKT_PRT_HARDCOPY

Screenshot drucken

Diese Funktion druckt entweder den aktuellen Bildschirm oder das aktuell geöffnete Bild einer ausgewählten Schablone aus. Bei Mehr-Bildschirm-Systemen kann für Schablonen der Bildschirm ausgewählt werden. Der Ausdruck kann wahlweise auf ein Fax umgeleitet werden.

Mehr im Online-Handbuch.


HLP_FKT_PRT_ONLINE

Interne ID: HLP_FKT_PRT_ONLINE

Online-Drucken ein/ausschalten

Diese Funktion schaltet den Online-Ausdruck der Alarmliste oder der Chronologischen Ereignisliste (CEL) ein oder aus.

Mehr im Online-Handbuch.


HLP_FKT_PRT_ONLINE_SWITCH

Interne ID: HLP_FKT_PRT_ONLINE_SWITCH

Online-Drucker umschalten

Diese Funktion schaltet den Online-Ausdruck auf einen ausgewählten Drucker um. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_PRT_WAHL

Interne ID: HLP_FKT_PRT_WAHL

Drucker wählen

Diese Funktion öffnet einen Dialog, in dem der Benutzer Drucker für die verschiedenen Druckaufgaben auswählen kann.
Hinweis: Diese Funktion ist nicht für alle CE Geräte verfügbar!

Mehr im Online-Handbuch.


HLP_FKT_PWD_LOGIN

Interne ID: HLP_FKT_PWD_LOGIN

Login mit Dialog

Diese Funktion öffnet den Standard-Login-Dialog.

Mehr im Online-Handbuch.


HLP_FKT_PWD_LOGIN_DIREKT

Interne ID: HLP_FKT_PWD_LOGIN_DIREKT

Login ohne Passwort

Diese Funktion loggt einen ausgewählten Benutzer ein, ohne dass dieser ein Passwort eingeben muss.
Der Login kann über den Benutzernamen, eine Variable mit Benutzernamen oder eine Variable mit Login-Code erfolgen.

Mehr im Online-Handbuch.


HLP_FKT_PWD_LOGOUT

Interne ID: HLP_FKT_PWD_LOGOUT

Logout

Diese Funktion loggt den aktuell eingeloggten Benutzer aus.

Mehr im Online-Handbuch.


HLP_FKT_PWD_PWDEDIT

Interne ID: HLP_FKT_PWD_PWDEDIT

Passwort ändern

Diese Funktion öffnet einen Dialog, wo der aktuell eingeloggte Benutzer sein Passwort ändern kann.

Mehr im Online-Handbuch.


HLP_FKT_PWD_USREDIT

Interne ID: HLP_FKT_PWD_USREDIT

Benutzer ändern

Diese Funktion öffnet einen Dialog, in dem ein eingeloggter Administrator Benutzer und Benutzergruppen anlegen, editieren oder löschen kann.

Mehr im Online-Handbuch.


HLP_FKT_QUIT

Interne ID: HLP_FKT_QUIT

Runtime beenden

Diese Funktion beendet die Runtime des Leitsystems.

Mehr im Online-Handbuch.


HLP_FKT_REDUNDANZ

Interne ID: HLP_FKT_REDUNDANZ

Redundanz-Umschaltung

Diese Funktion tauscht den Prozessführenden Server und den Standby Server des Projekts aus.

Mehr im Online-Handbuch.


HLP_FKT_REPORTVIEWER_PRINT

Interne ID: HLP_FKT_REPORTVIEWER_PRINT

Report Viewer: exportieren/drucken

Ermöglicht es, Reports zur Runtime als PDF oder Online-Ausdruck auszugeben.

Mehr im Online-Handbuch.


HLP_FKT_REZ_DIREKT

Interne ID: HLP_FKT_REZ_DIREKT

Standard-Rezept einzeln direkt

Diese Funktion sendet die Werte eines ausgewählten Standard-Rezepts an die Steuerung.

Mehr im Online-Handbuch.


HLP_FKT_REZ_WAHL

Interne ID: HLP_FKT_REZ_WAHL

Standard-Rezept einzeln mit Auswahl

Diese Funktion öffnet einen Dialog, in dem der Benutzer ein Standard-Rezept ändern und ausführen kann.

Mehr im Online-Handbuch.


HLP_FKT_REZ_WAHL_ONL

Interne ID: HLP_FKT_REZ_WAHL_ONL

Standard-Rezept einzeln mit Online-Auswahl

Diese Funktion öffnet einen Dialog, in dem der Benutzer ein Standard-Rezept auswählen und ausführen und/oder ändern kann.

Mehr im Online-Handbuch.


HLP_FKT_REZEPT

Interne ID: HLP_FKT_REZEPT

Standard-Rezept

Diese Funktion schreibt, liest, kopiert, importiert oder exportiert ein ausgewähltes Standard-Rezept. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_RGM

Interne ID: HLP_FKT_RGM

Rezeptgruppen-Manager

Diese Funktion schreibt, liest, kopiert, importiert oder exportiert ein ausgewähltes Rezept des optionalen Moduls Rezeptgruppen Manager (RGM). Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_SAP_CALL_FUNCTION

Interne ID: HLP_FKT_SAP_CALL_FUNCTION

SAP-Funktion ausführen

Führt eine im SAP Interface definierte SAP Funktion zur Laufzeit aus. Die SAP Funktion wiederum triggert im SAP System wiederum einen Remote Function Call (RFC).

Mehr im Online-Handbuch.


HLP_FKT_SAT1

Interne ID: HLP_FKT_SAT1

Befehlsgabe aktivieren

SAT Funktion


HLP_FKT_SAT2

Interne ID: HLP_FKT_SAT2

Schichtwechsel-Protokoll generieren

SAT Funktion


HLP_FKT_SAT_SEA_RUN

Interne ID: HLP_FKT_SAT_SEA_RUN

Schaltfolge Automatiklauf

SAT-Funktion.


HLP_FKT_SAT_TOP_ERDSCHLUSS

Interne ID: HLP_FKT_SAT_TOP_ERDSCHLUSS

Topologie - Erdschlusssuche

Schaltet die Erdschluss-Suche ein oder aus. Zu Beginn der Erdschluss-Suche werden die aktuell anstehenden Störungen eingefroren. Neue Störungen werden erst nach Beendigung der Suche angezeigt.


HLP_FKT_SAT_TOP_LOADSHEDDING

Interne ID: HLP_FKT_SAT_TOP_LOADSHEDDING

Topologie - Verbindungen prüfen

Mit Hilfe der Funktion Loadshedding kann der Versorgungszustand von topologischen Verbrauchern ermittelt und auf Variablen abgebildet werden.

Es werden bis zu 32 Quellen unterstützt.


HLP_FKT_SCHABFOCUS_AUS

Interne ID: HLP_FKT_SCHABFOCUS_AUS

Fokus von Schablone nehmen

Diese Funktion entfernt den Eingabefokus von dem aktuell geöffneten Bild einer ausgewählten Schablone. So können Projekte mit reiner Tastaturbedienung erstellt werden.

Mehr im Online-Handbuch.


HLP_FKT_SCHABFOCUS_EIN

Interne ID: HLP_FKT_SCHABFOCUS_EIN

Fokus auf Schablone setzen

Diese Funktion setzt den Eingabefokus auf das aktuell geöffnete Bild einer ausgewählten Schablone. So können Projekte mit reiner Tastaturbedienung erstellt werden.

Mehr im Online-Handbuch.


HLP_FKT_SCHABLONE_AUS

Interne ID: HLP_FKT_SCHABLONE_AUS

Schablone schließen

Diese Funktion schließt das aktuell geöffnete Bild einer ausgewählten Schablone.

Mehr im Online-Handbuch.


HLP_FKT_SCHABLONE_BRINGTOFRONT

Interne ID: HLP_FKT_SCHABLONE_BRINGTOFRONT

Schablone in den Vordergrund holen

Diese Funktion holt Bilder, die von anderen überlagert werden, in den Vordergrund. Zur Runtime werden beim Ausführen alle Instanzen der definierten Schablone auf dem gewählten Bildschirm in den Vordergrund geholt. Nützlich ist diese Funktion hauptsächlich für Bilder und Schablonen, die mit Titelleiste aufgeschaltet wurden.

Mehr im Online-Handbuch.


HLP_FKT_SCRIPT_DIR

Interne ID: HLP_FKT_SCRIPT_DIR

Skript ausführen

Diese Funktion führt ein ausgewähltes Skript aus.

Mehr im Online-Handbuch.


HLP_FKT_SCRIPT_WHL

Interne ID: HLP_FKT_SCRIPT_WHL

Skript mit Online-Auswahl

Diese Funktion öffnet einen Dialog, in dem der Benutzer ein Skript auswählen und ausführen kann.

Mehr im Online-Handbuch.


HLP_FKT_SENDE_NACHRICHT

Interne ID: HLP_FKT_SENDE_NACHRICHT

Sende Nachricht

Diese Funktion sendet eine Nachricht des optionalen Moduls Message Control.

Mehr im Online-Handbuch.


HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Interne ID: HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Schaltfolgen-Kommando/Moduswechsel ausführen

Diese Funktion schickt zur Runtime Steuerkommandos an die Schaltfolgen-Ausführung.

Mehr im Online-Handbuch.


HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Interne ID: HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Schaltfolgen exportieren

Diese Funktion filtert und exportiert Schaltfolgen in eine XML-Datei.

Mehr im Online-Handbuch.


HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Interne ID: HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Schaltfolgen importieren

Diese Funktion importiert Schaltfolgen aus einer XML-Datei.

Mehr im Online-Handbuch.


HLP_FKT_SEQUENCER_TEACHING

Interne ID: HLP_FKT_SEQUENCER_TEACHING

Schaltfolgen teachen

Diese Funktion startet oder stoppt den Teachingvorgang in der Runtime.
Mehr im Online-Handbuch.


HLP_FKT_SHRTFLT_ACKNOWLEDGE

Interne ID: HLP_FKT_SHRTFLT_ACKNOWLEDGE

Kurzschlussmeldung quittieren

Funktion zum Quittieren einer Kurzschlussmeldung. Öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.


HLP_FKT_SIMULATION

Interne ID: HLP_FKT_SIMULATION

Simulation ein/ausschalten

Diese Funktion schaltet die Simultion ein oder aus.


HLP_FKT_SM_SQL_EXPORT

Interne ID: HLP_FKT_SM_SQL_EXPORT

SQL-Export Schichtkalender

Exportiert zur Runtime Schichten aus dem Schichtkalender nach SQL.

Mehr im Online-Handbuch.


HLP_FKT_TBL_AUS

Interne ID: HLP_FKT_TBL_AUS

Report Generator: ausführen

Diese Funktion führt einen ausgewählten Report des optionalen Moduls Report Generator aus.

Mehr im Online-Handbuch.


HLP_FKT_TBL_EXP

Interne ID: HLP_FKT_TBL_EXP

Report Generator: exportieren

Diese Funktion exportiert einen ausgewählten Report des optionalen Moduls Report Generator in ein externes Format.

Mehr im Online-Handbuch.


HLP_FKT_TBL_EXPW

Interne ID: HLP_FKT_TBL_EXPW

Online-Drucken neue Seite beginnen

Diese Funktion beendet bei aktiviertem Online-Druck eine Seite und beginnt eine neue. Die Seitennummer wird auf 1 zurück gesetzt.

Mehr im Online-Handbuch.


HLP_FKT_TBL_PRN

Interne ID: HLP_FKT_TBL_PRN

Report Generator: drucken

Diese Funktion druckt einen ausgewählten Report des optionalen Moduls Report Generator.

Mehr im Online-Handbuch.


HLP_FKT_TM_READ

Interne ID: HLP_FKT_TM_READ

Uhrzeit von Variable lesen

Diese Funktion liest die Zeit aus einer String-Variable der Steuerung und setzt die Systemzeit des Betriebssystems entsprechend. So kann die Systemzeit der Steuerung mit der des Betriebssystems synchronisiert werden.

Mehr im Online-Handbuch.


HLP_FKT_TM_WRITE

Interne ID: HLP_FKT_TM_WRITE

Uhrzeit auf Variable schreiben

Diese Funktion liest die Systemzeit des Betriebssystems und schreibt sie auf eine String-Variable in der Steuerung. So kann die Systemzeit der Steuerung mit der des Betriebssystems synchronisiert werden.

Mehr im Online-Handbuch.


HLP_FKT_TREIBERKOMMANDO

Interne ID: HLP_FKT_TREIBERKOMMANDO

Treiberkommandos

Diese Funktion sendet ein ausgewähltes Kommando zu einem ausgewählten Treiber. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_UEBERSICHT

Interne ID: HLP_FKT_UEBERSICHT

Übersichtsfenster anzeigen

Diese Funktion öffnet ein Übersichtsfenster, sodass man auf einem Ein-Bildschirm-System ein Mehr-Bildschirm-System simulieren kann.

Mehr im Online-Handbuch.


HLP_FKT_VAR_ALIGN_VM_IMAGE

Interne ID: HLP_FKT_VAR_ALIGN_VM_IMAGE

Treiber Simulationsabbild an Standby Server übertragen

Wird nur am Standby Server ausgeführt.

Fordert bei Ausführung vom Server ein Abbild für die ausgewählten Treiber. Der Treiber hat dafür 5 Sekunden Zeit.

Mehr im Online-Handbuch.


HLP_FKT_VAR_SOLLWERT

Interne ID: HLP_FKT_VAR_SOLLWERT

Sollwert setzen

Diese Funktion sendet für eine ausgewählte Variable einen neuen Wert zur Steuerung.

Mehr im Online-Handbuch.


HLP_FKT_VBA_IDE

Interne ID: HLP_FKT_VBA_IDE

VBA-Editor öffnen

Diese Funktion öffnet den VBA-Editor.

Mehr im Online-Handbuch.


HLP_FKT_VBA_MAKRO

Interne ID: HLP_FKT_VBA_MAKRO

VBA-Makro ausführen

Diese Funktion führt ein ausgewähltes VBA-Makro aus.

Achtung: Der VBA Event project inactive wird vor den AUTO_END_xxx Skripten ausgeführt. Daher wird in Skripten die zenon Funktion VBA-Makro ausführen nicht mehr ausgeführt, da VBA zu diesem Zeitpunkt nicht mehr läuft. VBA-Makros, die zum Beenden der Runtime ausgeführt werden sollen, müssen über das Event Project.Inactive angestoßen werden.

Mehr im Online-Handbuch.


HLP_FKT_VBA_MCR

Interne ID: HLP_FKT_VBA_MCR

VBA-Makro Dialog anzeigen

Diese Funktion öffnet den VBA Makro Dialog.

Mehr im Online-Handbuch.


HLP_FKT_VBA_PCE

Interne ID: HLP_FKT_VBA_PCE

PCE-Editor öffnen

Diese Funktion öffnet den Editor des optionalen Moduls Process Control Engine (PCE).

Mehr im Online-Handbuch.


HLP_FKT_VSTA_CALLMACRO

Interne ID: HLP_FKT_VSTA_CALLMACRO

VSTA-Makro ausführen

Diese Funktion führt ein ausgewähltes VSTA-Makro aus.

Mehr im Online-Handbuch.


HLP_FKT_VSTA_SHOWIDE

Interne ID: HLP_FKT_VSTA_SHOWIDE

VSTA-Editor öffnen

Diese Funktion öffnet den VSTA-Editor.

Mehr im Online-Handbuch.


HLP_FKT_VSTA_SHOWMACRODLG

Interne ID: HLP_FKT_VSTA_SHOWMACRODLG

VSTA-Makro Dialog anzeigen

Diese Funktion öffnet den VSTA Makro-Dialog.

Mehr im Online-Handbuch.


HLP_FKT_WND_AUDI_AUFUEHREN

Interne ID: HLP_FKT_WND_AUDI_AUFUEHREN

Audiodatei ausführen

Diese Funktion spielt eine ausgewählte Audiodatei (*.wav) einmalig ab.

Mehr im Online-Handbuch.


HLP_FKT_WND_AUDI_START

Interne ID: HLP_FKT_WND_AUDI_START

Dauerton Start

Diese Funktion spielt eine Audiodatei (*.wav) wiederholt ab.

Mehr im Online-Handbuch.


HLP_FKT_WND_AUDI_STOP

Interne ID: HLP_FKT_WND_AUDI_STOP

Dauerton Stopp

Diese Funktion stoppt das wiederholte Abspielen einer Audiodatei (*.wav).

Mehr im Online-Handbuch.


HLP_FKT_WND_BTN

Interne ID: HLP_FKT_WND_BTN

In den Hintergrund

Diese Funktion schaltet die Runtime des Leitsystems in den Hintergrund.

Mehr im Online-Handbuch.


HLP_FKT_WND_PROG_AUFUEHREN

Interne ID: HLP_FKT_WND_PROG_AUFUEHREN

Starte Programm

Diese Funktion startet ein externes Programm. Übergabeparameter können definiert werden. Wahlweise kann vorher ein Dialog für den Benutzer geöffnet werden.

Mehr im Online-Handbuch.


HLP_FKT_WND_TOP

Interne ID: HLP_FKT_WND_TOP

In den Vordergrund

Diese Funktion schaltet die zenon Runtime in den Vordergrund.

Achtung: Beim in den Vordergrund Schalten wird die Alarmstatuszeile überdeckt.

Mehr im Online-Handbuch.


HLP_GRP_FKT_ADDINFRAMEWORK

Interne ID: HLP_GRP_FKT_ADDINFRAMEWORK

Add-In

Diese Gruppe beinhaltet Funktionen für den Umgang mit Add-Ins.

Mehr im Online-Handbuch.


HLP_GRP_FKT_AMLCEL

Interne ID: HLP_GRP_FKT_AMLCEL

AML und CEL

Diese Gruppe beinhaltet Funktionen für den Umgang mit der Alarmliste und der Chronologischen Ereignisliste (CEL).

Mehr im Online-Handbuch.


HLP_GRP_FKT_ANWENDUNG

Interne ID: HLP_GRP_FKT_ANWENDUNG

Anwendung

Diese Gruppe beinhaltet Funktionen für den Umgang mit Projekt-Einstellungen.

Mehr im Online-Handbuch.


HLP_GRP_FKT_ARV

Interne ID: HLP_GRP_FKT_ARV

Archivserver

Diese Gruppe beinhaltet Funktionen für das optionale Modul Archivserver.

Mehr im Online-Handbuch.


HLP_GRP_FKT_BATCH

Interne ID: HLP_GRP_FKT_BATCH

Batch Control

Funktionen für Batch Control.

Mehr im Online-Handbuch.


HLP_GRP_FKT_BILD

Interne ID: HLP_GRP_FKT_BILD

Bilder

Diese Gruppe beinhaltet Funktionen für den Umgang mit Bildern.

Mehr im Online-Handbuch.


HLP_GRP_FKT_FAULT_LOCATION

Interne ID: HLP_GRP_FKT_FAULT_LOCATION

Fehlerortung in elektrischen Netzen

Enthält Funktionen zur Fehlerortung in elektrischen Netzen.

Mehr im Online-Handbuch.


HLP_GRP_FKT_FAVORITEN

Interne ID: HLP_GRP_FKT_FAVORITEN

Favoriten

Diese Gruppe beinhaltet die persönlichen Favoriten. Diese können via Drag&Drop bzw. Kontextmenü bei der jeweiligen Funktion angepasst werden.

Mehr im Online-Handbuch.


HLP_GRP_FKT_NACHRICHT

Interne ID: HLP_GRP_FKT_NACHRICHT

Message Control

Diese Gruppe beinhaltet Funktionen für das optionale Modul Message Control.

Mehr im Online-Handbuch.


HLP_GRP_FKT_NETZ

Interne ID: HLP_GRP_FKT_NETZ

Netzwerk

Diese Gruppe beinhaltet Funktionen für den Umgang mit einem Netzwerk.

Mehr im Online-Handbuch.


HLP_GRP_FKT_PASSWORT

Interne ID: HLP_GRP_FKT_PASSWORT

Benutzerverwaltung

Diese Gruppe beinhaltet Funktionen für die Benutzerverwaltung.

Mehr im Online-Handbuch.


HLP_GRP_FKT_REZEPT

Interne ID: HLP_GRP_FKT_REZEPT

Rezepte

Diese Gruppe beinhaltet Funktionen für den Umgang mit Standard-Rezepten und Rezepten des optionalen Moduls Rezeptgruppen Manager.

Mehr im Online-Handbuch.


HLP_GRP_FKT_SCRIPT

Interne ID: HLP_GRP_FKT_SCRIPT

Skript

Diese Gruppe beinhaltet Funktionen für den Umgang mit Skripten.

Mehr im Online-Handbuch.


HLP_GRP_FKT_SEQUENCE

Interne ID: HLP_GRP_FKT_SEQUENCE

Schaltfolgen

Diese Gruppe beinhaltet Funktionen für das Modul Schaltfolgen.

Mehr im Online-Handbuch.


HLP_GRP_FKT_SHIFT_MANAGEMENT

Interne ID: HLP_GRP_FKT_SHIFT_MANAGEMENT

Schichtmanagement

Diese Gruppe beinhaltet Funktionen für das Modul Schichtmanagement.

Mehr im Online-Handbuch.


HLP_GRP_FKT_TABELLE

Interne ID: HLP_GRP_FKT_TABELLE

Report Generator/Report Viewer/Analyzer

Diese Gruppe beinhaltet Funktionen für den Report Generator, den Report Viewer und das COPA-DATA Produkt zenon Analyzer.

Mehr im Online-Handbuch.


HLP_GRP_FKT_VARIABLE

Interne ID: HLP_GRP_FKT_VARIABLE

Variable

Diese Gruppe beinhaltet Funktionen für den Umgang mit Variablen.

Mehr im Online-Handbuch.


HLP_GRP_FKT_VBA

Interne ID: HLP_GRP_FKT_VBA

VBA

Diese Gruppe beinhaltet Funktionen für den Umgang mit VBA-Makros.

Mehr im Online-Handbuch.


HLP_GRP_FKT_VSTA

Interne ID: HLP_GRP_FKT_VSTA

VSTA

Diese Gruppe beinhaltet Funktionen für den Umgang mit VSTA-Makros.

Mehr im Online-Handbuch.


HLP_GRP_FKT_WINDOWS

Interne ID: HLP_GRP_FKT_WINDOWS

Windows

Diese Gruppe beinhaltet Funktionen für den Umgang mit Betriebssystem-Funktionalität.

Mehr im Online-Handbuch.


HLP_GRP_SHIFT_MANAGEMENT

Interne ID: HLP_GRP_SHIFT_MANAGEMENT

Batch Control

Diese Gruppe beinhaltet Funktionen für das Modul Batch Control.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_ALARM

Interne ID: HLP_SCREENTYPE_ALARM

Alarmmeldeliste

Sammelt Alarmmeldungen und zeigt sie in Listenform an.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_EZ_BTB

Interne ID: HLP_SCREENTYPE_EZ_BTB

Chronologische Ereignisliste

Sammelt Prozess- und Systemereignisse sowie Benutzervorgaben und stellt sie in Listenform dar.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_LISTE

Interne ID: HLP_SCREENTYPE_LISTE

Notizbuch

Gibt Protokolle und Textdateien aus, die aus Datenbankabfragen erstellt werden oder als Textdateien vorhanden sind.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_ADUA

Interne ID: HLP_SCREENTYPE_MDI_ADUA

Active Directory Benutzerverwaltung

Ermöglicht zur Runtime die Verwaltung der Active Directory Benutzer und Benutzergruppen.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_AE

Interne ID: HLP_SCREENTYPE_MDI_AE

Archiv-Nachbearbeitung

Erlaubt die tabellarische Darstellung und Editierung von gespeicherten Archivwerten.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_ALMMGMT

Interne ID: HLP_SCREENTYPE_MDI_ALMMGMT

IDS_MDI_NAME_25


HLP_SCREENTYPE_MDI_ASM

Interne ID: HLP_SCREENTYPE_MDI_ASM

Industrial Performance Analyzer

Wertet die Alarmdaten statistisch aus, um Schwachstellen (Stillstandszeiten) einer Anlage zu lokalisieren.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_BATCH_MR

Interne ID: HLP_SCREENTYPE_MDI_BATCH_MR

Batch Control

Erstellen von Vorgaben für Vorlagenrezepte im Modul Batch Control. Das Modul entspricht dem Standard ANSI/ISA-S88. Über den Bildtyp können batchorientierte Herstellungsverfahren für Los- und Chargenprodukte automatisiert werden.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_BEF_BEWAG

Interne ID: HLP_SCREENTYPE_MDI_BEF_BEWAG

Skripting-Befehlsgabe


HLP_SCREENTYPE_MDI_BEFDBAG

Interne ID: HLP_SCREENTYPE_MDI_BEFDBAG

DBAG-Befehlsgabe


HLP_SCREENTYPE_MDI_BEFEHL

Interne ID: HLP_SCREENTYPE_MDI_BEFEHL

Befehlsgabe


HLP_SCREENTYPE_MDI_EMS

Interne ID: HLP_SCREENTYPE_MDI_EMS

Last-Management

Planung und Darstellung von Energiebezugsmanagement (Strom).

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_ENERGY

Interne ID: HLP_SCREENTYPE_MDI_ENERGY

Befehlsgabe

Ermöglicht die Darstellung und Durchführung von Befehlsgaben.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_EWT

Interne ID: HLP_SCREENTYPE_MDI_EWT

Erweiterter Trend

Stellt Online- und Archivwerte zur Runtime als Liniengrafiken dar.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_FACEPLATE

Interne ID: HLP_SCREENTYPE_MDI_FACEPLATE

Faceplate

Nimmt mehrere Bilder unterschiedlichen Typs in einem Bild auf und ermöglicht so eine gleichzeitige Darstellung der Bilder zur Runtime.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_FPM

Interne ID: HLP_SCREENTYPE_MDI_FPM

Production & Facility Scheduler

Scheduler

Zur Projektierung von Schalthandlungen, die zu einem bestimmten Zeitpunkt ausgeführt werden.

Lizenzinfo: Nur verfügbar, wenn keine PFS-Lizenz vorhanden.

Mehr im Online-Handbuch.

Production & Facility Scheduler

Mit diesem Bildtyp können zeitliche Abläufe direkt gesteuert werden. Dies ermöglicht die Verwaltung von Fahrplänen und Profilen.

Lizenzinfo: Nur verfügbar mit Lizenz für Production & Facility Scheduler (PFS).

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_GRAPH7

Interne ID: HLP_SCREENTYPE_MDI_GRAPH7

S7-Graph

Wird für sequentielle Abläufe mit alternativen oder parallelen Schrittfolgen (SFC) verwendet. Stellt zur Runtime den momentanen Zustand der Ablaufsteuerung in der SPS direkt dar.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_GROUP_LIST

Interne ID: HLP_SCREENTYPE_MDI_GROUP_LIST

Benutzergruppenliste

Anzeige von Benutzergruppen und Möglichkeit, diese mit dem Bild vom Typ Benutzer editieren, zu bearbeiten.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_HLP

Interne ID: HLP_SCREENTYPE_MDI_HLP

Höchstlastprognose


HLP_SCREENTYPE_MDI_HTML

Interne ID: HLP_SCREENTYPE_MDI_HTML

HTML

Ermöglicht die Darstellung einer Webseite in HTML, angepasst an den Microsoft Internet-Explorer.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_IMM

Interne ID: HLP_SCREENTYPE_MDI_IMM

Industrial Maintenance Manager

Bietet einen Überblick welche Gerät, Anlagen oder Maschinen gewartet werden müssen. Der Bildtyp ermöglicht die Darstellung von Wartungsinformationen.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_KEYBOARD

Interne ID: HLP_SCREENTYPE_MDI_KEYBOARD

Keyboard

Erzeugt eine frei definierbare virtuelle Tastatur.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_LOGIN

Interne ID: HLP_SCREENTYPE_MDI_LOGIN

Login

Individuell gestaltbares Fenster für temporäres oder permanentes Login zur Runtime, sowie Eingabe einer Signatur und Login über Funktion.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_MESSAGEBOX

Interne ID: HLP_SCREENTYPE_MDI_MESSAGEBOX

Message Box

Der Bildtyp ermöglicht die Anzeige von Fehlern, Warnungen, Hinweisen und Abfragen zur Runtime.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_MM

Interne ID: HLP_SCREENTYPE_MDI_MM

Video

Zur Darstellung von Online- und gespeicherten Videoaufnahmen (*.avi).

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_MSGCTRL

Interne ID: HLP_SCREENTYPE_MDI_MSGCTRL

Message Control

Das Modul ermöglicht den Versand von Nachrichten an einzelne Empfänger oder Empfängergruppen. Der Bildtyp dient der Verwaltung der Message Queue in der Message Control.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_PICAMLFLT

Interne ID: HLP_SCREENTYPE_MDI_PICAMLFLT

Alarmmeldeliste Filter

Filter für die Alarmmeldeliste.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_PICCELFLT

Interne ID: HLP_SCREENTYPE_MDI_PICCELFLT

Chronologische Ereignisliste Filter

Filter für die Chronologische Ereignisliste.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_PICTIME

Interne ID: HLP_SCREENTYPE_MDI_PICTIME

Zeit-/Chargen-/Schichtfilter

Ermöglicht generelle Filtereinstellungen für Listen. Welche Listen damit gesteuert werden, wird in der Funktion Bildumschaltung festgelegt.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_POWERFLOW_N_1

Interne ID: HLP_SCREENTYPE_MDI_POWERFLOW_N_1

Lastfluss (n-1)-Berechnung

Dient dazu, aktuelle Lasten einer Leitung sowie berechnete Lasten auf Leitungen zu visualisieren. Die berechneten Lasten zeigen die Werte einer Leitung unter der Annahme, dass eine andere Leitung des vermaschten Netzes nicht mehr vorhanden ist.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_PROCESS_RECORDER

Interne ID: HLP_SCREENTYPE_MDI_PROCESS_RECORDER

Prozess-Rekorder

Bild für die Steuerung der Wiedergabe von aufgezeichneten Prozessdaten in der Runtime.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_REPORT

Interne ID: HLP_SCREENTYPE_MDI_REPORT

Report Viewer

Dient der Anzeige von RDL-Reports für Archiv-, AML-, CEL- und Online-Werte.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_REZEPT_ALT

Interne ID: HLP_SCREENTYPE_MDI_REZEPT_ALT

Standard-Rezepte

Verwaltet Rezepte und deren Verwendung innerhalb von Rezeptgruppen.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_REZEPTUR

Interne ID: HLP_SCREENTYPE_MDI_REZEPTUR

Rezeptgruppen-Manager

Verwaltet Rezepte und deren Verwendung innerhalb von Rezeptgruppen.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_SCHALTFOLGEN

Interne ID: HLP_SCREENTYPE_MDI_SCHALTFOLGEN

Schaltfolgen

Bildtyp zur Erstellung von Abläufen zur Runtime. Als Basis dienen Befehlsgabeaktionen, welche im Editor projektiert sind.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_SEA

Interne ID: HLP_SCREENTYPE_MDI_SEA

Schaltfolge


HLP_SCREENTYPE_MDI_SHIFTMANAGEMENT

Interne ID: HLP_SCREENTYPE_MDI_SHIFTMANAGEMENT

Schichtmanagement

Zur Modellierung und Organisation von Schichten.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_STATUS

Interne ID: HLP_SCREENTYPE_MDI_STATUS

Statusvorgabe


HLP_SCREENTYPE_MDI_SYSMODEL

Interne ID: HLP_SCREENTYPE_MDI_SYSMODEL

Anlagenmodell

Anlagenmodelle bieten die Möglichkeit zur Strukturierung von physikalischen Produktionsanlagen. Über den Bildtyp kann das Anlagenmodell zur Runtime als z.B. als Filter verwendet werden.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_TABELLE

Interne ID: HLP_SCREENTYPE_MDI_TABELLE

Report Generator

Zur Ausgabe von Protokollen, die aus den Daten der verschiedenen Module, wie etwa der Alarmmeldeliste oder der Chronologischen Ereignisliste gewonnen wurden. Die Protokolle wurden mit dem erweiterten Report Generator erstellt.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_TEXTLIST

Interne ID: HLP_SCREENTYPE_MDI_TEXTLIST

Kontextliste

Erlaubt die zentrale Verwaltung hierarchisch strukturierter Texte zur Runtime. Durch die Verknüpfung eines Kontextlisteneintrags mit Einträgen aus der Alarmmeldeliste können mögliche Alarmursachen zentral vordefiniert werden.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_USER_EDIT

Interne ID: HLP_SCREENTYPE_MDI_USER_EDIT

Benutzer editieren

Benutzer erstellen, bearbeiten oder löschen.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_USER_LIST

Interne ID: HLP_SCREENTYPE_MDI_USER_LIST

Benutzerliste

Anzeige von Benutzern und die Möglichkeit, diese mit dem Bild vom Typ Benutzer editieren, zu bearbeiten.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_VARSTATUS

Interne ID: HLP_SCREENTYPE_MDI_VARSTATUS

Variablen-Diagnose

Bildtyp zur Darstellung von Variablen, Zeitstempeln und Statusangaben zur Runtime und der Absetzung von Sollwerten.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_WELTZOOM

Interne ID: HLP_SCREENTYPE_MDI_WELTZOOM

Weltbild-Übersicht

Ermöglicht es, Standardbilder, die größer sind als die Bildschirmauflösung, mit der Maus zu scrollen.

Mehr im Online-Handbuch.


HLP_SCREENTYPE_MDI_ZUSTAND

Interne ID: HLP_SCREENTYPE_MDI_ZUSTAND

Zustandsprotokoll


HLP_SCREENTYPE_STANDARD

Interne ID: HLP_SCREENTYPE_STANDARD

Standard

Stellt den grundsätzlich für Bilder verwendeten Bildtyp dar. Werden Bilder mit speziellen Eigenschaften benötigt, können zu den Anforderungen passende spezielle Bildtypen ausgewählt werden.

Mehr im Online-Handbuch.


_DynPropFullTemplate

Interne ID: ID_VAR_ZERO_CLAMPING

Nullpunktunterdrückung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ZeroClamping


ID_230TOP_PROP_B_FOS

Interne ID: ID_230TOP_PROP_B_FOS

Grenze für Fehlerort aus Schutz

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyBorderFOS


ID_230TOP_PROP_B_SHL

Interne ID: ID_230TOP_PROP_B_SHL

Grenze für Selfhealing

Wenn Eigenschaft gesetzt: Element gilt als Grenze für eine Selfhealing-Region.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyBorderSHL


ID_230TOP_PROP_B_SV

Interne ID: ID_230TOP_PROP_B_SV

Grenze für Stromverteilungsrechnung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyBorderSV


ID_230TOP_PROP_B_WBR

Interne ID: ID_230TOP_PROP_B_WBR

Grenze für Weitbereichregelung

Wenn Eigenschaft gesetzt: Element gilt als Grenze für eine Weitbereichregelung-Region.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyBorderWBR


ID_230TOP_PROP_INVISIBLE

Interne ID: ID_230TOP_PROP_INVISIBLE

unsichtbar in Runtime

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RTInvisible


ID_230TOP_PROP_LIRE

Interne ID: ID_230TOP_PROP_LIRE

Wirkrichtung/Einbaurichtung umdrehen

Tauscht den links/rechts Bezug bei topologischen Elementen, die einen Richtungsbezug haben.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyLRChanged


ID_230TOP_PROP_NC_CABLETYPE

Interne ID: ID_230TOP_PROP_NC_CABLETYPE

Kabeltyp

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCableType


ID_230TOP_PROP_NC_CURRENTMAX

Interne ID: ID_230TOP_PROP_NC_CURRENTMAX

Strombelastbarkeit [A]

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCCurrentMax


ID_230TOP_PROP_NC_I_MAX

Interne ID: ID_230TOP_PROP_NC_I_MAX

Max. zuteilbare Last

Maximal load which can be assigned.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCurrentMax


ID_230TOP_PROP_NC_I_VAL

Interne ID: ID_230TOP_PROP_NC_I_VAL

Last [A]

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCurrentVal


ID_230TOP_PROP_NC_I_VAR

Interne ID: ID_230TOP_PROP_NC_I_VAR

Messwert Strom/Last

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCurrentVar


ID_230TOP_PROP_NC_LENGTH

Interne ID: ID_230TOP_PROP_NC_LENGTH

Länge [m]

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCLength


ID_230TOP_PROP_NC_REAKT

Interne ID: ID_230TOP_PROP_NC_REAKT

Reaktanz [Ohm]

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCReactance


ID_230TOP_PROP_NC_RESIST

Interne ID: ID_230TOP_PROP_NC_RESIST

Resistanz [Ohm]

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCCResistance


ID_230TOP_PROP_NC_TYPE

Interne ID: ID_230TOP_PROP_NC_TYPE

Typ

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCType


ID_230TOP_PROP_NC_U_VAL

Interne ID: ID_230TOP_PROP_NC_U_VAL

Spannungsebene [V]

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCVoltageVal


ID_230TOP_PROP_NC_U_VAR

Interne ID: ID_230TOP_PROP_NC_U_VAR

Messwert Spannung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCVoltageVar


ID_230TOP_PROP_RES_NR

Interne ID: ID_230TOP_PROP_RES_NR

Betriebsmitteltyp

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyResourceNr


ID_230TOP_PROP_USE_FRAME

Interne ID: ID_230TOP_PROP_USE_FRAME

Effekte/Rahmen für Säumung verwenden

Wenn Eigenschaft gesetzt: Der unter Effekte/Rahmen parameterierte Rahmen (Breite/Abstand) wird genutzt , um die Säumung auch bei Combielementen zu unterstützen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyUseFrame


ID_230TOP_PROP_ZUORD_VAR

Interne ID: ID_230TOP_PROP_ZUORD_VAR

Präfix für Mappingvariablen

Variable, die als Basis für Variablen in der Topologie dient.

In der Topologie können Sie für jede Leitung eine Variable festlegen. Diese Variable dient als Basis für weitere Variablen,

die Sie in der Topologieprojektierung definieren. Sie können dann leistungsbezogenen, von der Topologie berechnete

Werte diesen Variablen zuordnen.

Klicken Sie auf die Schaltfläche, um den Dialog zur Variablenauswahl zu öffnen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCMappingVar


ID_230TOP_PROP_ZUORD_VAR_IN

Interne ID: ID_230TOP_PROP_ZUORD_VAR_IN

Prefix für Ergebnisvariablen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

NCMappingVarIn


ID_230TOP_PROP_ZUORD_VAR_OUT

Interne ID: ID_230TOP_PROP_ZUORD_VAR_OUT

Prefix für Eingangsvariablen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

NCMappingVarOut


ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Interne ID: ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Vorschau Mappingvariablen

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Info


ID_ADMINUSER

Interne ID: ID_ADMINUSER

Administrator

Benutzer ist Administrator. Auswahl mit Checkbox:

  • Aktiv:
    Der Benutzer ist Administrator. Dadurch darf dieser Administrator andere Benutzer in der Runtime ändern und das System entsperren.
    Inaktiv:
    Dieser Benutzer ist kein Administrator und verfügt über projektierte Benutzerberechtigungen.

Default: inaktiv
Achtung: Ein Administrator kann anderen Benutzern nur Berechtigungsgruppen freigeben, die er auch selbst besitzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Admin


ID_ADRESSPARAM

Interne ID: ID_ADRESSPARAM

Externer Adressparameter

Externe Eigenschaft für zenon Logic. Betrifft nur Variablen, die nicht vom straton-Treiber sind.
Profileigenschaften in zenon Logic (wie z.B. "eingebettet" oder Adressparameter für Profibus).

Eigenschaft wird nur zur Information angezeigt. Bearbeitung nur mit zenon Logic.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Adressparam


ID_ALARM_BEREICH_ALARMVAR

Interne ID: ID_ALARM_BEREICH_ALARMVAR

Anzahl aktive Alarme

Variable, die die Anzahl der aktiven Alarme in diesem Alarmbereich als Wert beinhaltet.
Klick auf ... öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmVar


ID_ALARM_BEREICH_QUITVAR

Interne ID: ID_ALARM_BEREICH_QUITVAR

Anzahl unquittierte Alarme

Variable, die die Anzahl der unquittierten Alarme in diesem Alarmbereich als Wert beinhaltet.
Klick auf ... öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

QuitVar


ID_ALARM_BEREICH_STATUSVAR

Interne ID: ID_ALARM_BEREICH_STATUSVAR

Statusvariable

Variable zur Feststellung, ob im Alarmbereich aktive Alarme vorhanden sind.

  • Das erste Bit dieser Bytevariable zeigt an, ob es aktive Alarme in diesem Alarmbereich gibt.
  • Das zweite Bit dieser Bytevariable zeigt an, ob es unquittierte Alarme in diesem Alarmbereich gibt.

Klick auf ... öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StatusVar


ID_ALARM_BEREICHITEM_ALARMVAR

Interne ID: ID_ALARM_BEREICHITEM_ALARMVAR

Anzahl aktive Alarme

Variable, die die Anzahl der aktiven Alarme der ausgewählten Alarm/Ereignis-Klasse in diesem Alarmbereich als Wert beinhaltet.
Öffnet den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmVar


ID_ALARM_BEREICHITEM_DELETE

Interne ID: ID_ALARM_BEREICHITEM_DELETE

{Klassenverknüpfung löschen}

Der Bereichseintrag wird gelöscht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeleteEntry


ID_ALARM_BEREICHITEM_KLASSE

Interne ID: ID_ALARM_BEREICHITEM_KLASSE

Alarm/Ereignis-Klasse

Alarm/Ereignis-Klasse für den Bereichseintrag.

Klick auf die Schaltfläche ... öffnet den Dialog Auswahl Alarm/Ereignis-Klasse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Class


ID_ALARM_BEREICHITEM_QUITVAR

Interne ID: ID_ALARM_BEREICHITEM_QUITVAR

Anzahl unquittierte Alarme

Variable, die die Anzahl der unquittierten Alarme der ausgewählten Alarm/Ereignis-Klasse in diesem Alarmbereich als Wert beinhaltet.
Öffnet den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

QuitVar


ID_ALARM_BEREICHITEM_STATUSVAR

Interne ID: ID_ALARM_BEREICHITEM_STATUSVAR

Statusvariable

Das erste Bit dieser Bytevariable zeigt an, ob es aktive Alarme der ausgewählten Alarm/Ereignis-Klasse in diesem Alarmbereich gibt.
Das zweite Bit dieser Bytevariable zeigt an, ob es unquittierte Alarme der ausgewählten Alarm/Ereignis-Klasse in diesem Alarmbereich gibt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StatusVar


ID_ALARM_PROP_ALARMAGGREGATION

Interne ID: ID_ALARM_PROP_ALARMAGGREGATION

Verdichtete Alarme

Eigenschaften für die Darstellung der verdichteten Alarme im Anlagenmodell.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_AlarmAggregation


ID_ALARM_PROP_BEREICH_ID

Interne ID: ID_ALARM_PROP_BEREICH_ID

Nr.

Identifiziert den Alarmbereich. Nummer wird automatisch vorgegeben und kann geändert werden.

  • Minimum: 1
  • Maximum: 65535

Hinweis: Innerhalb eines Projekts ist diese Nummer eindeutig. Wird bei Mehrprojektverwaltung für mehrere Alarmbereiche in unterschiedlichen Projekten die gleiche Nummer vergeben, erfolgt eine Warnung bei der Erstellung der Runtime-Dateien.

Tipp: Vergeben Sie eindeutige Nummern bei Mehrprojektverwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Id


ID_ALARM_PROP_BEREICH_ITEMS

Interne ID: ID_ALARM_PROP_BEREICH_ITEMS

Klassenverknüpfung

Fasst Statusvariable, Anzahl der aktiven Alarme und der unquittierten Alarme zusammen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Items


ID_ALARM_PROP_BEREICH_NAME

Interne ID: ID_ALARM_PROP_BEREICH_NAME

Name

Name des Alarmbereichs.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_ALARM_PROP_BEREICH_NEU

Interne ID: ID_ALARM_PROP_BEREICH_NEU

{Klassenverknüpfung neu}

Legt einen neuen Bereichseintrag für den Alarmbereich an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

New


ID_ALARM_PROP_GRPKLS

Interne ID: ID_ALARM_PROP_GRPKLS

Allgemein

Eigenschaften für die Alarm/Ereignis-Gruppen bzw. Alarm/Ereignis-Klassen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_GrpCls


ID_ALARM_PROP_GRPKLS_COLOR

Interne ID: ID_ALARM_PROP_GRPKLS_COLOR

Farbe

Farbe der Alarm/Ereignis-Gruppe bzw. Alarm/Ereignis-Klasse.
Die Farbe der Alarm/Ereignis-Klasse kann für die Darstellung in den Listen verwendet werden.

Hinweis: Zusätzlich wird die hier projektierte Farbe für die textliche Darstellung der Anzahl der aktuellen Alarme im Anlagenmodell verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Color


ID_ALARM_PROP_GRPKLS_FUNKTION

Interne ID: ID_ALARM_PROP_GRPKLS_FUNKTION

Funktion

Name der Funktion, die ausgeführt wird, wenn ein Alarm dieser Gruppe/Klasse auftritt. Eine Klick auf die Schaltfläche öffnet den Dialog zur Funktionsauswahl. Alternativ tragen Sie den Namen der Funktion manuell in das Textfeld ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_ALARM_PROP_GRPKLS_ID

Interne ID: ID_ALARM_PROP_GRPKLS_ID

Nr.

Identifiziert die Alarm/Ereignis-Gruppe bzw. Alarm/Ereignis-Klasse. Nummer wird automatisch vorgegeben und kann geändert werden.

  • Minimum: 1
  • Maximum: 65535

Hinweis: Innerhalb eines Projekts ist diese Nummer eindeutig. Wird bei Mehrprojektverwaltung für mehrere Alarm/Ereignis-Gruppen oder Alarm/Ereignis-Klassen in unterschiedlichen Projekten die gleiche Nummer vergeben, erfolgt eine Warnung bei der Erstellung der Runtime-Dateien.

Tipp: Vergeben Sie eindeutige Nummern bei Mehrprojektverwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Id


ID_ALARM_PROP_GRPKLS_IMAGE

Interne ID: ID_ALARM_PROP_GRPKLS_IMAGE

Grafikdatei

Wählen Sie eine Grafik für die Alarm/Ereignis-Gruppe oder Alarm/Ereignis-Klasse aus. Ein Linksklick auf die Schaltfläche öffnet die Dateiauswahl. Wählen Sie die gewünschte Grafikdatei.

Default: <Keine Datei>

Mehr im Online-Handbuch zu Alarm/Ereignis-Gruppen.

Mehr im Online-Handbuch zu Alarm/Ereignis-Klassen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Image


ID_ALARM_PROP_GRPKLS_NAME

Interne ID: ID_ALARM_PROP_GRPKLS_NAME

Name

Name der Alarm/Ereignis-Gruppe bzw. Alarm/Ereignis-Klasse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_ALARM_PROP_GRPKLS_STATUSVAR

Interne ID: ID_ALARM_PROP_GRPKLS_STATUSVAR

Statusvariable

Name der Variablen, deren Wert anzeigt, ob die Gruppe/Klasse im Moment aktiv geschalten ist oder ob die Alarme dieser Gruppe/Klasse derzeit ignoriert werden.

Es können nur Binärvariablen verwendet werden. Ein Klick auf die Schaltfläche öffnet den Dialog zur Variablenauswahl. Alternativ tragen Sie den Namen der Variablen manuell in das Textfeld ein.

Variablen-Wert = 1: Gruppe/Klasse ist aktiv.

Alarm/Ereignis-Gruppen bzw. Alarm/Ereignis-Klassen können mit Hilfe der Funktion Alarmmeldeliste, Alarm/Ereignis-Gruppen/Klassen aktivieren/deaktivieren aktiviert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StatusVar


ID_ALARM_PROP_GRPKLS_TEXT

Interne ID: ID_ALARM_PROP_GRPKLS_TEXT

Beschreibung

Beschreibung der Alarm/Ereignis-Gruppe bzw. Alarm/Ereignis-Klasse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


ID_ALARM_VERWALTUNG

Interne ID: ID_ALARM_VERWALTUNG

Alarm-Verwaltung

Der Konfigurationsdialog für die Alarmmeldeliste wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.


ID_ALPHABACKCOLOR

Interne ID: ID_ALPHABACKCOLOR

Transparenz Füllfarbe [%]

Nur verfügbar wenn für die Projekteigenschaft Grafikqualität nicht Windows Basis gewählt wurde. Bei Elementen, die über die Eigenschaft Über Helligkeitswerte verfügen, darf diese nicht aktiviert sein.

Definiert über einen Wert zwischen 0 und 100 Prozent die Transparenz der Farbe.

  • 0: deckend
  • 100: komplett transparent
  • Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlphaBackColor


ID_ALPHABACKCOLOR2

Interne ID: ID_ALPHABACKCOLOR2

Transparenz Verlaufsfarbe [%]

Nur verfügbar, wenn in der Eigenschaft Füllmuster Verlauf ausgewählt wurde.

Nur verfügbar wenn für die Projekteigenschaft Grafikqualität nicht Windows Basis gewählt wurde. Bei Elementen, die über die Eigenschaft Über Helligkeitswerte verfügen, darf diese nicht aktiviert sein.

Definiert über einen Wert zwischen 0 und 100 Prozent die Transparenz der Farbe.

  • 0: deckend
  • 100: komplett transparent
  • Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlphaBackColor2


ID_ALPHACOLORRAHMEN

Interne ID: ID_ALPHACOLORRAHMEN

Transparenz Rahmenfarbe [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Die EigenschaftÜber Helligkeitswerte muss deaktiviert sein.

Definiert über einen Wert zwischen 0 und 100 Prozent die Transparenz der Farbe.

  • 0: deckend
  • 100: komplett transparent.

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlphaBorderColor


ID_ALPHALINECOLOR

Interne ID: ID_ALPHALINECOLOR

Transparenz Linienfarbe [%]

Nur verfügbar wenn für die Projekteigenschaft Grafikqualität nicht Windows Basis gewählt wurde. Bei Elementen, die über die Eigenschaft Über Helligkeitswerte verfügen, darf diese nicht aktiviert sein.

Definiert über einen Wert zwischen 0 und 100 Prozent die Transparenz der Farbe.

  • 0: deckend
  • 100: komplett transparent
  • Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlphaLineColor


ID_AML_AKTIV

Interne ID: ID_AML_AKTIV

Alarmmeldeliste aktiv

Aktiv: Die Alarmverwaltung ist in der Runtime aktiv. Alarme werden aufgezeichnet und die Alarmmeldeliste ist verfügbar.
Inaktiv: Alarme werden nicht aufgezeichnet.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmAdminActive


ID_AML_BLINKQUIT

Interne ID: ID_AML_BLINKQUIT

Blink-Quittierung

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Aktiv: Mit dem Quittieren des Blinkens eines Elements wird auch der entsprechende Alarm in der Alarmmeldeliste quittiert
Inaktiv: Das Quittieren des Blinkens eines Elements beendet nur das Blinken. Der entsprechende Alarm wird nicht quittiert.
Default: inaktiv.
Das Blinken von Elementen kann durch einen Doppelklick mit der rechten Maustaste auf das entsprechende Element oder durch die Funktion "Blinkquittieren" quittiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmFlashAcknowledge


ID_AML_CLS_COLOR

Interne ID: ID_AML_CLS_COLOR

Alarm/Ereignis-Klassen Farbe

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

  • nicht verwenden: Die Farben der Alarm/Ereignis-Klassen werden in der Alarmmeldeliste in der Runtime nicht verwendet.
  • als Textfarbe: Die Farben der Alarm/Ereignis-Klassen werden in der Alarmmeldeliste in der Runtime als Textfarben für die entsprechenden Einträge verwendet.
  • als Zeilenhintergrund: Die Farben der Alarm/Ereignis-Klassen werden in der Alarmmeldeliste in der Runtime als Hintergrundfarben für die entsprechenden Einträge verwendet.

Default: als Textfarbe

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmClsColor


ID_AML_COLOR_DEL

Interne ID: ID_AML_COLOR_DEL

Farbe

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Nur für Alarme mit aktiver Eigenschaft Zweistufiges Quittieren verfügbar.

Farbe für Zeitstempel von Alarm gelöscht in der Alarmmeldeliste. Definiert auch Farbe für Grafik in Spalte Alarmzustand.

Default: #C0C0C0

Diese Farbe wird nur für historische, nicht aber für aktive Alarme verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorDel


ID_AML_COLOR_GEHT

Interne ID: ID_AML_COLOR_GEHT

Text-/Zustandsfarbe

Text- oder Zustandsfarbe für die Anzeige von gehenden Alarmen in der Alarmmeldeliste in der Runtime.

Diese Farbe wird nur für aktive, nicht aber für historische Alarme verwendet.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #96BD33

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorClr


ID_AML_COLOR_KOMMT

Interne ID: ID_AML_COLOR_KOMMT

Text-/Zustandsfarbe

Text- oder Zustandsfarbe für die Anzeige von kommenden Alarmen in der Alarmmeldeliste in der Runtime.

Diese Farbe wird nur für aktive, nicht aber für historische Alarme verwendet.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #DD4814

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorRec


ID_AML_COLOR_QUIT

Interne ID: ID_AML_COLOR_QUIT

Farbe

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Farbe für Quittiert-Zeit in der Alarmmeldeliste. Definiert auch Farbe für Grafik in Spalte Alarmzustand.

Diese Farbe wird nur für aktive, nicht aber für historische Alarme verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorAkn


ID_AML_COLOR_REACT

Interne ID: ID_AML_COLOR_REACT

Text-/Zustandsfarbe

Text- oder Zustandsfarbe für die Anzeige von reaktivierten Alarmen in der Alarmmeldeliste in der Runtime.

Diese Farbe wird nur für aktive, nicht aber für historische Alarme verwendet.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFC000

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorReact


ID_AML_COMES_PREF

Interne ID: ID_AML_COMES_PREF

Präfix

Eingabe eines Präfix, das links vor dem Zeitstempel des gekommenen Alarms in der Runtime in der Alarmmeldeliste angezeigt wird. Das Präfix hilft, den Zeitstempel von Alarm kommt schnell zu erkennen. Bei einer leeren Projektierung für diese Eigenschaft wird in der AML in der Runtime kein Präfix angezeigt.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: >>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefComes


ID_AML_COMES_PREF_IMAGE

Interne ID: ID_AML_COMES_PREF_IMAGE

Grafikdatei Präfix

Projektieren Sie eine Datei, die zusätzlich oder anstatt des Präfix links vor dem Zeitstempel des kommenden Alarms in der Runtime angezeigt werden soll. Die Grafik hilft den Zeitstempel von Alarm kommt schnell zu erkennen. Wenn Sie zusätzlich zu Präfix eine Datei definieren, wird diese links neben dem Präfix angezeigt.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefImageComes


ID_AML_COUNT1

Interne ID: ID_AML_COUNT1

Meldung 1 Alarmanzahl

Nur verfügbar bei aktivierter Eigenschaft Statuszeile aktiv.
Anzahl der Einträge in der AML, die nötig sind, damit diese Meldung zur Runtime in der Alarmstatuszeile angezeigt wird. Diese Meldung überlagert die Alarmstatuszeile.
Minimum: 0 (Keine Meldung wird angezeigt)
Maximum: Größe des Ringpuffers
Default: 0
Achtung: Der Wert muss kleiner sein als der Wert in Eigenschaft Meldung 2 Alarmanzahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMsgCnt1


ID_AML_COUNT2

Interne ID: ID_AML_COUNT2

Meldung 2 Alarmanzahl

Nur verfügbar bei aktivierter Eigenschaft Statuszeile aktiv.
Anzahl der Einträge in der AML, die nötig sind, damit diese Meldung zur Runtime in der Alarmstatuszeile angezeigt wird. Diese Meldung überlagert die Alarmstatuszeile.
Minimum: 0 (Keine Meldung wird angezeigt)
Maximum: Größe des Ringpuffers
Default: 0
Achtung: Der Wert muss kleiner sein als der Wert in Eigenschaft Meldung 3 Alarmanzahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMsgCnt2


ID_AML_COUNT3

Interne ID: ID_AML_COUNT3

Meldung 3 Alarmanzahl

Nur verfügbar bei aktivierter Eigenschaft Statuszeile aktiv.
Anzahl der Einträge in der AML, die nötig sind, damit diese Meldung zur Runtime in der Alarmstatuszeile angezeigt wird. Diese Meldung überlagert die Alarmstatuszeile.
Minimum: 0 (Keine Meldung wird angezeigt)
Maximum: Größe des Ringpuffers
Default: 0
Achtung: Der Wert muss kleiner sein als der Wert in der Eigenschaft Größe des Ringpuffers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMsgCnt3


ID_AML_DELETEINCEL

Interne ID: ID_AML_DELETEINCEL

Alarmquittierung bestätigt

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Konfiguration, ob Alarme, deren Quittierung zweistufig erfolgen muss, in die CEL eingetragen werden:

  • Aktiv:
    Eintrag in die Chronologische Ereignisliste (CEL) erfolgt.
  • Inaktiv:
    Kein Eintrag in die CEL.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmCELDelete


ID_AML_DETACH

Interne ID: ID_AML_DETACH

Ringpuffer-Verwaltung

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Wenn die in der Eigenschaft Größe des Ringpuffers definierte Anzahl der Alarme im Speicher überschritten wird, wird eine der folgenden Aktionen ausgeführt:

  • neue verwerfen:
    Neue Alarme werden ignoriert.
    Achtung: Diese werden damit nicht gespeichert und gehen verloren!
  • First In First Out:
    Ein neuer Alarm verdrängt den ältesten Alarm aus dem Ringspeicher in die entsprechende Datei. Beispiel: bei einer Größe des Ringpuffers von 5 wird beim sechsten Alarm der erste Alarm in die entsprechende Datei verschoben und der aktuell anstehende sechste Alarm rückt nach (vergl. Funktionsweise einer Queue/Warteschlange).
  • Last In First Out:
    Ein neuer Alarm verdrängt den jüngsten Alarm aus dem Ringspeicher in die entsprechende Datei. Beispiel: bei einer Größe des Ringpuffers von 5 wird beim sechsten Alarm der fünfte Alarm in die entsprechende Datei verschoben. Beim siebenten Alarm wird der sechste Alarm verschoben usw.

Default: First In First Out

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDetach


ID_AML_GOES_PREF

Interne ID: ID_AML_GOES_PREF

Präfix

Eingabe eines Präfix, das links vor dem Zeitstempel des gehenden Alarms in der Runtime in der Alarmmeldeliste angezeigt wird. Das Präfix hilft, den Zeitstempel von Alarm geht schnell zu erkennen. Bei einer leeren Projektierung für diese Eigenschaft wird in der AML in der Runtime kein Präfix angezeigt.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <<

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefGoes


ID_AML_GOES_PREF_IMAGE

Interne ID: ID_AML_GOES_PREF_IMAGE

Grafikdatei Präfix

Projektieren Sie eine Datei, die zusätzlich oder anstatt des Präfix links vor dem Zeitstempel des gehenden Alarms in der Runtime angezeigt werden soll. Die Grafik hilft den Zeitstempel von Alarm geht schnell zu erkennen. Wenn Sie zusätzlich zu Präfix eine Datei definieren, wird diese links neben dem Präfix angezeigt.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefImageGoes


ID_AML_GRP_CLEARED

Interne ID: ID_AML_GRP_CLEARED

Alarm geht

Eigenschaften für die Darstellung von Alarm geht in der Alarmmeldeliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_Cleared


ID_AML_GRP_COLOR

Interne ID: ID_AML_GRP_COLOR

Farben AML-Einträge

Eigenschaften für die Definition der Farben für die Alarm-Verwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen: ""


ID_AML_GRP_DEL

Interne ID: ID_AML_GRP_DEL

Alarmquittierung bestätigt

Eigenschaften für die Darstellung von Alarmen in der Alarmmeldeliste, deren Quittierung zweistufig erfolgte und bestätigt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_Deleted


ID_AML_GRP_IMAGE

Interne ID: ID_AML_GRP_IMAGE

Graphik AML-Einträge

Eigenschaften für die Grafikeinstellungen der Alarmmeldeliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:


ID_AML_GRP_MEM

Interne ID: ID_AML_GRP_MEM

Datenspeicherung AML

Eigenschaften für die Speicherung der Alarme im Hauptspeicher und auf der Festplatte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_Mem


ID_AML_GRP_QUIT

Interne ID: ID_AML_GRP_QUIT

Alarm quittiert

Eigenschaften für die Darstellung von Alarm quittiert in der Alarmmeldeliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_Acknowledged


ID_AML_GRP_REACT

Interne ID: ID_AML_GRP_REACT

Alarm reaktiviert

Eigenschaften für die Darstellung von Alarm reaktiviert in der Alarmmeldeliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_AML_Reactivated


ID_AML_GRP_RECIVED

Interne ID: ID_AML_GRP_RECIVED

Alarm kommt

Eigenschaften für die Darstellung von Alarm kommt in der Alarmmeldeliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_Received


ID_AML_GRP_STATUSBAR

Interne ID: ID_AML_GRP_STATUSBAR

Alarmstatuszeile

Eigenschaften für die Statuszeile der Alarmverwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_StatusBar


ID_AML_IMAGE_DEL

Interne ID: ID_AML_IMAGE_DEL

Grafikdatei für Alarmzustand

Auswahl einer Grafikdatei für den Zustand Alarm gelöscht. Sie können sich diese Datei alternativ zur ausgewählten Farbe des Zustands in der Runtime in der Alarmmeldeliste anzeigen lassen. Dazu wählen Sie im Filter für die AML in der Registerkarte Spalteneinstellungen für die Spalte Alarmzustand die Anzeigeart Grafikdatei.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmImageDel


ID_AML_IMAGE_GEHT

Interne ID: ID_AML_IMAGE_GEHT

Grafikdatei für Alarmzustand

Wählen Sie eine Grafikdatei für die Anzeige in der Runtime des Zustands Alarm geht. Sie können sich diese Datei alternativ zur ausgewählten Farbe des Zustands in der Runtime in der Alarmmeldeliste anzeigen lassen. Dazu wählen Sie im Filter für die AML in der Registerkarte Spalteneinstellungen für die Spalte Alarmzustand die Anzeigeart Grafikdatei aus.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmImageClr


ID_AML_IMAGE_KOMMT

Interne ID: ID_AML_IMAGE_KOMMT

Grafikdatei für Alarmzustand

Wählen Sie eine Grafikdatei für die Anzeige in der Runtime des Zustands Alarm kommt. Sie können sich diese Datei alternativ zur ausgewählten Farbe des Zustands in der Runtime in der Alarmmeldeliste anzeigen lassen. Dazu wählen Sie im Filter für die AML in der Registerkarte Spalteneinstellungen für die Spalte Alarmzustand die Anzeigeart Grafikdatei aus.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmImageRec


ID_AML_IMAGE_QUIT

Interne ID: ID_AML_IMAGE_QUIT

Grafikdatei für Alarmzustand

Wählen Sie eine Grafikdatei für den Zustand Alarm quittiert. Sie können sich diese Datei alternativ zur ausgewählten Farbe des Zustands in der Runtime in der Alarmmeldeliste anzeigen lassen. Dazu wählen Sie im Filter für die AML in der Registerkarte Spalteneinstellungen für die Spalte Alarmzustand die Anzeigeart Grafikdatei aus.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmImageAkn


ID_AML_IMAGE_REACT

Interne ID: ID_AML_IMAGE_REACT

Grafikdatei für Alarmzustand

Wählen Sie eine Grafikdatei für die Anzeige in der Runtime des Zustands Alarm reaktiviert. Sie können sich diese Datei alternativ zur ausgewählten Farbe des Zustands in der Runtime in der Alarmmeldeliste anzeigen lassen. Dazu wählen Sie im Filter für die AML in der Registerkarte Spalteneinstellungen für die Spalte Alarmzustand die Anzeigeart Grafikdatei aus.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmImageReact


ID_AML_LISTENTRY

Interne ID: ID_AML_LISTENTRY

Spalteneinstellung AML

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Öffnet den Dialog zur Definition der Spalten, die in der Alarmmeldeliste angezeigt werden.
Diese Einstellungen gelten als Default für Alarmmeldeliste, Alarmmeldeliste Filter und Alarmstatuszeile. Diese können bei der Definition der einzelnen Alarmfunktionen geändert werden.

Diese Einstellungen gelten auch für den Export in CSV, XML oder DBF.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmListEntry


ID_AML_LST_STYLE

Interne ID: ID_AML_LST_STYLE

Kopfzeile AML

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

  • keine Kopfzeile: In der Alarmmeldeliste wird in der Runtime keine Kopfzeile mit Spaltentitel angezeigt.
  • fixierte Kopfzeile: Eine fixe Kopfzeile mit entsprechenden Spaltentiteln wird in der Alarmmeldeliste angezeigt.
  • bedienbare Kopfzeile: Eine bedienbare Kopfzeile mit entsprechenden Spaltentiteln wird in der Alarmmeldeliste angezeigt. Die einzelnen Spalten können zur Runtime in der Breite angepasst werden. Es kann nach einer beliebigen Spalte sortiert werden.

Achtung: Die Einstellungen keine Kopfzeile und bedienbare Kopfzeile sind zur Runtime nur funktionsfähig, wenn für das Listenelement des AML-Bildes die Eigenschaft Erweiterte grafische Einstellungen deaktiviert wurde oder in den Projekteigenschaften in der Gruppe Grafische Ausprägung die Eigenschaft Grafikqualität auf Windows Basis gestellt wurde.
Um die Kopfzeile zur Runtime bedienen zu können, muss zusätzlich die in den Bildeigenschaften unter Kopfzeile und Raster befindliche Eigenschaft Spaltenpositionen fixiert deaktiviert werden.

Default: bedienbare Kopfzeile

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmHeader


ID_AML_MEMCOUNT

Interne ID: ID_AML_MEMCOUNT

Größe des Ringpuffers

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Maximale Anzahl der Einträge für den Ringpuffer.

Minimum: 1
Maximum: 32767
Default: 100

Empfohlen: Mindestens Anzahl der Variablen mit Alarmen.

Achtung: Der Ringpuffer muss immer ausreichend dimensioniert werden. Zur Runtime wird der Ringpuffer im Arbeitsspeicher dynamisch gehandhabt. Es werden also auch Alarme angezeigt, die die Größe des Ringpuffers übersteigen. In der Speicherdatei des Ringpuffers (alarm.bin) werden aber nur Alarme bis zur festgelegten Anzahl gespeichert. Alle Einträge werden parallel in die Alarmdatei (*.aml) im Runtimeordner eingetragen. Beide Dateien werden synchronisiert. Bei Pufferüberlauf können in der Alarmdatei unquittierte Einträge enthalten sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMemCount


ID_AML_MITREAKTZEIT

Interne ID: ID_AML_MITREAKTZEIT

Reaktiviertzeit verwenden

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Aktiv: Wenn derselbe Alarm mehrmals hintereinander auftritt, wird nur eine Zeile in der Alarmmeldeliste erstellt. Zusätzliche Informationen (z.B. Alarmzähler) können in der Liste dargestellt werden.
Inaktiv: Jeder Alarm erhält eine eigene Zeile in der Alarmmeldeliste.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmTimeReactive


ID_AML_MSG1

Interne ID: ID_AML_MSG1

Meldung 1 Text

Nur verfügbar, wenn der Wert in Eigenschaft Meldung 1 Alarmanzahl größer als 0 ist.
Text der Meldung für die Eigenschaft Meldung 1 Alarmanzahl, der zur Runtime in der Statuszeile angezeigt werden soll. Diese Meldung überlagert die Alarmstatuszeile.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMsg1


ID_AML_MSG2

Interne ID: ID_AML_MSG2

Meldung 2 Text

Nur verfügbar, wenn der Wert in Eigenschaft Meldung 2 Alarmanzahl größer als 0 ist.
Text der Meldung für die EigenschaftMeldung 2 Alarmanzahl , der zur Runtime in der Statuszeile angezeigt werden soll. Diese Meldung überlagert die Alarmstatuszeile.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMsg2


ID_AML_MSG3

Interne ID: ID_AML_MSG3

Meldung 3 Text

Nur verfügbar, wenn der Wert in Eigenschaft Meldung 3 Alarmanzahl größer als 0 ist.
Text der Meldung für die Eigenschaft Meldung 3 Alarmanzahl, der zur Runtime in der Statuszeile angezeigt werden soll. Diese Meldung überlagert die Alarmstatuszeile.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmMsg3


ID_AML_ONLY_STACK

Interne ID: ID_AML_ONLY_STACK

AML-Daten speichern

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

  • Nur Ringpuffer: Nur anstehende Alarme (alarm.bin) werden auf der Festplatte gespeichert.
  • Ringpuffer und historische Daten: Auch historische Alarme (*.aml) werden gespeichert.
  • Default: Auf CE-Geräten wird nur der Ringpuffer (alarm.bin) auf die Festplatte gespeichert; auf PCs werden auch die historischen Einträge (*.aml) gespeichert.

Default: Default.
Die Dateien (alarm.bin und *.aml) werden im Ordner \Projektordner\Computername\Projektname gespeichert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AmlOnlyStack


ID_AML_QUIT_PREF

Interne ID: ID_AML_QUIT_PREF

Präfix

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Eingabe eines Präfix, das links vor dem Zeitstempel des quittierten Alarms steht. Das Präfix hilft, den Zeitstempel von Alarm quittiert schnell zu erkennen. Bei leerem Eintrag, wird kein Präfix angezeigt.

Default: --

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefQuit


ID_AML_QUIT_PREF_IMAGE

Interne ID: ID_AML_QUIT_PREF_IMAGE

Grafikdatei Präfix

Projektieren Sie eine Datei, die zusätzlich oder anstatt des Präfix links vor dem Zeitstempel des quittierten Alarms in der Runtime angezeigt werden soll. Die Grafik hilft den Zeitstempel von Alarm quittiert schnell zu erkennen. Wenn Sie zusätzlich zu Präfix eine Datei definieren, wird diese links neben dem Präfix angezeigt.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefImageQuit


ID_AML_QUITINCEL

Interne ID: ID_AML_QUITINCEL

Alarm-Quittierung

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.
Aktiv: Wird ein Alarm quittiert, erfolgt ein Eintrag in die Chronologische Ereignisliste (CEL).
Inaktiv: Das Quittieren von Alarmen führt zu keinem Eintrag in der CEL.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmCELAcknowledge


ID_AML_REACT_PREF

Interne ID: ID_AML_REACT_PREF

Präfix

Eingabe eines Präfix, das links vor dem Zeitstempel des reaktivierten Alarms in der Runtime in der Alarmmeldeliste angezeigt wird. Das Präfix hilft, den Zeitstempel von Alarm reaktiviert schnell zu erkennen. Bei einer leeren Projektierung für diese Eigenschaft wird in der AML in der Runtime kein Präfix angezeigt.

Default: <>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefReact


ID_AML_REACT_PREF_IMAGE

Interne ID: ID_AML_REACT_PREF_IMAGE

Grafikdatei Präfix

Projektieren Sie eine Datei, die zusätzlich oder anstatt des Präfix links vor dem Zeitstempel des reaktivierten Alarms in der Runtime angezeigt werden soll. Die Grafik hilft den Zeitstempel von Alarm reaktiviert schnell zu erkennen. Wenn Sie zusätzlich zum Präfix eine Datei definieren, wird diese links neben dem Präfix angezeigt.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: <Keine Datei>

Klick auf ... öffnet den Dialog zur Auswahl einer Datei.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPrefImageReact


ID_AML_STATUS_AKTIV

Interne ID: ID_AML_STATUS_AKTIV

Statuszeile aktiv

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

  • Aktiv:
    Sobald ein Alarm auftritt, wird zur Runtime am oberen Bildschirmrand eine rote Statuszeile mit der Alarminformation angezeigt. In dieser Statuszeile kann der Alarm auch durch einen Doppelklick mit der rechten Maustaste quittiert werden, wenn der angemeldete Benutzer über die entsprechenden Rechte verfügt.
  • Inaktiv:
    Keine Statuszeile wird angezeigt.

Default: aktiv

Achtung Mehrprojektverwaltung: Einstellung im Integrationsprojekt definiert Verhalten für Unterprojekte, unabhängig von der Einstellung der Unterprojekte. Zur Runtime wird immer die Alarmstatuszeile des obersten Projekts verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmStatusActive


ID_AML_STATUS_DISPLAY

Interne ID: ID_AML_STATUS_DISPLAY

Anzeige

Nur verfügbar bei aktivierter Eigenschaft Statuszeile aktiv.

  • ältester Alarm:
    Abhängig von der Einstellung der Eigenschaft nächsten nachschieben wird nur der älteste unquittierte Alarm in der Statuszeile in der Runtime angezeigt (inaktiv) oder der älteste Alarm wird zuerst angezeigt (aktiv).
  • jüngster Alarm:
    Abhängig von der Einstellung der Eigenschaft nächsten nachschieben wird nur der jüngste unquittierte Alarm in der Statuszeile in der Runtime angezeigt (inaktiv) oder der jüngste Alarm wird zuerst angezeigt (aktiv).

Default: ältester Alarm

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmStatusDisplay


ID_AML_STATUS_FONT

Interne ID: ID_AML_STATUS_FONT

Schrift

Nur verfügbar bei aktivierter Eigenschaft Statuszeile aktiv.
Schriftart für die Statuszeile in der Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmStatusFont


ID_AML_STATUS_SUBSEQ

Interne ID: ID_AML_STATUS_SUBSEQ

nächsten nachschieben

Nur verfügbar bei aktivierter Eigenschaft Statuszeile aktiv.

  • Aktiv:
    Alle unquittierten Alarme werden zur Runtime in der Statuszeile hintereinander angezeigt. Sobald ein Alarm durch einen Doppelklick mit der rechten Maustaste quittiert wurde, wird der nächste Alarm angezeigt. Abhängig von der Einstellung in der Eigenschaft Anzeige wird der älteste oder der neueste Alarm zuerst angezeigt.
  • Inaktiv:
    In der Statuszeile wird immer nur ein Alarm angezeigt. Die Statuszeile ist leer, nachdem der Alarm quittiert wurde.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmStatusAlign


ID_AML_UNACKBLINK

Interne ID: ID_AML_UNACKBLINK

Unquittierte Alarme blinken

Blinkende Darstellung von unquittierten Alarmen in der Alarmmeldelist.

  • Aktiv:
    Nicht ausgewählte Zeilen mit unquittierte Alarmen blinken in der Alarmmeldeliste.
  • Inaktiv:
    Unquittierte Alarme werden nicht blinkend angezeigt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmUnackBlink


ID_AUTOLOGOFFTIME

Interne ID: ID_AUTOLOGOFFTIME

Zeit [min]

Zeit ohne Bedienaktion (in Minuten), nach der ein Benutzer automatisch ausgeloggt wird , wenn die Eigenschaft Automatisches Logout aktiv aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AutoLogoutTime


ID_AUTOLOGOUT

Interne ID: ID_AUTOLOGOUT

Automatisches Logout aktiv

  • Aktiv: Der Benutzer wird automatisch ausgeloggt, wenn für den in der Eigenschaft Zeit [min] definierten Zeitraum keine Bedienaktion stattfindet.
  • Inaktiv: Der Benutzer wird vom System nicht automatisch ausgeloggt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AutoLogout


ID_BACKUP_FILE_NAME

Interne ID: ID_BACKUP_FILE_NAME

Dateiname

Name der Sicherungsdatei.
Default: JJJJ-MM-TT_hh-mm-ss Projektname.zip.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_BiffiDCM_NV

Interne ID: ID_BiffiDCM_NV

NV-Index

Der NV-Index ist nur für Node-Data relevant.

Geben Sie hier den Netzwerkvariablen-Index (NVI/NVO) der Variable an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NV-Index


ID_BiffiDCM_SENDDIRECT

Interne ID: ID_BiffiDCM_SENDDIRECT

Send directly

Die Einstellung ist nur für Node-Data relevant.

Geben Sie an, ob ein Sollwert direkt oder gepuffert zum DCM übertragen werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Send_direct


ID_BiffiDCM_TRANSIENT

Interne ID: ID_BiffiDCM_TRANSIENT

Transient command

Die Einstellung ist nur für Node-Data relevant.

Geben Sie an, ob ein via command event empfangener Istwert automatisch vom Treiber wieder auf 0 zurückgesetzt werden soll, d.h. ob es sich um eine implizite Wischermeldung handelt. (z.B. ICON2K Open, Close, Stop)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Transient


ID_BURPVI_ADDRESS

Interne ID: ID_BURPVI_ADDRESS

PVI Name

Ist der Name der SPS Variable. Der Name wird aus Taskname/Variablenname gebildet.

Hinweis: Globale Variablen können nur verwendet werden, wenn Sie in einen Task eingebunden sind. Daher werden globale Variablen immer bei den Taskvariablen beim Online Import mit angezeigt und auch als Taskvariablen adressiert: Taskname/Variablenname.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BURPVI_ADDRESS


ID_BURPVI_GROUP

Interne ID: ID_BURPVI_GROUP

PVI Address

Addressinformationen für den Bernecker und Reiner PVI Treiber (BURPVI)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_PVI_Address


ID_BURPVI_VL_LENGTH

Interne ID: ID_BURPVI_VL_LENGTH

PVI Length (VL)

Variablenlänge in Bytes.
Bei Einzelvariablen entspricht die Variablenlänge der Prozessdatenlänge. Bei Feldvariablen ist die Variablenlänge als Elementlänge definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BURPVI_VL_LENGTH


ID_BURPVI_VN_ELEMENTS

Interne ID: ID_BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Anzahl der Elemente bei Feldvariablen.
Bei mehrdimensionalen Feldvariablen wird die Anzahl der Elemente aller Felddimensionen angegeben (Beispiel: var[10][5] => VN=50).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BURPVI_VN_ELEMENTS


ID_BURPVI_VT_TYPE

Interne ID: ID_BURPVI_VT_TYPE

PVI Type (VT)

Variablentyp in der Steuerung. Die möglichen Werte sind im online Handbuch beschrieben. Durch die Verwendung eines abweichenden Datentyps in zenon kann ein Typecasting erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BURPVI_VT_TYPE


ID_CEL_AKTIV

Interne ID: ID_CEL_AKTIV

CEL aktiv

  • Aktiv: Die Chronologische Ereignisliste (CEL) ist in der Runtime aktiv. Ereignisse werden aufgezeichnet und die CEL ist verfügbar.
  • Inaktiv: Keine Ereignisse werden aufgezeichnet.

Default: aktiv

Hinweis: Änderungen werden erst nach einem Neustart der Runtime wirksam.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELAdminActive


ID_CEL_ARCHIVE_CHANGE

Interne ID: ID_CEL_ARCHIVE_CHANGE

Archivdaten

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Keine Protokollierung: Das Editieren von Archiven wird in der CEL nicht mitprotokolliert.
  • Änderungen protokollieren: Beim Editieren von Archiven wird in der CEL protokolliert:
    • Name der Archivdatei
    • neuer und alter Wert der Variablen
    • neuer und alter Zeitstempel der Variablen
    • Name der Variable

Default: Keine Protokollierung

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ArchiveChangeToCEL


ID_CEL_CLS_COLOR

Interne ID: ID_CEL_CLS_COLOR

Alarm/Ereignis-Klassen Farbe

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

nicht verwenden: Die Farben der Alarm/Ereignis-Klassen werden in der CEL in der Runtime nicht verwendet.

als Textfarbe: Die Farben der Alarm/Ereignis-Klassen werden zur Runtime in der CEL als Textfarben für die entsprechenden Einträge verwendet. Diese überschreiben die Auswahl in der Eigenschaft sortierter Text.

als Zeilenhintergrund: Die Farben der Alarm/Ereignis-Klassen werden zur Runtime in der CEL als Hintergrundfarben für die entsprechenden Einträge verwendet.

Default: als Textfarbe

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELClsColor


ID_CEL_COLOR_SORT

Interne ID: ID_CEL_COLOR_SORT

sortierter Text

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

Definiert Farbe des Textes für sortierte Einträge in der Chronologischen Ereignisliste (CEL).
Hinweise:

  • Wird für die Eigenschaft Alarm/Ereignis-Klassen Farbe als Textfarbe gewählt, dann hat diese Farbe Vorrang vor der Auswahl in sortierter Text.
  • Für SICAM 230: Um in der Liste durchgehend die gleiche Farbe zu erhalten, muss für die Eigenschaft unsortierter Text die gleiche Farbe gewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELColorSort


ID_CEL_COLOR_UNSORT

Interne ID: ID_CEL_COLOR_UNSORT

unsortierter Text

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.
Textfarbe für unsortierte Einträge in der Chronologischen Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELColorUnsort


ID_CEL_GRP_ALLGEMEIN

Interne ID: ID_CEL_GRP_ALLGEMEIN

Protokollierung

Allgemeine Eigenschaften für die Chronologische Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_CEL_Common


ID_CEL_GRP_COLOR

Interne ID: ID_CEL_GRP_COLOR

Farben CEL Einträge

Eigenschaften für die Definition der Farben für die Chronologische Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_CEL_Color


ID_CEL_GRP_MEM

Interne ID: ID_CEL_GRP_MEM

Datenspeicherung CEL

Eigenschaften für die Speicherung der Einträge der Chronologischen Ereignisliste (CEL) im Hauptspeicher und auf der Festplatte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_CEL_Mem


ID_CEL_LISTENTRY

Interne ID: ID_CEL_LISTENTRY

Spalteneinstellung CEL

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.
Öffnet den Dialog zur Definition der Spalten in der CEL.
Diese Einstellungen gelten als Default und können bei der Definition der einzelnen CEL-Funktionen geändert werden.

Diese Einstellungen gelten auch für den Export in CSV, XML oder DBF.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELListEntry


ID_CEL_LST_STYLE

Interne ID: ID_CEL_LST_STYLE

Kopfzeile CEL

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • keine Kopfzeile: In der CEL wird in der Runtime keine Kopfzeile mit Spaltentitel angezeigt.
  • fixierte Kopfzeile: Eine fixe Kopfzeile mit entsprechenden Spaltentiteln wird in der CEL angezeigt.
  • bedienbare Kopfzeile: Eine bedienbare Kopfzeile mit entsprechenden Spaltentiteln wird in der CEL angezeigt. Die einzelnen Spalten können zur Runtime verschoben werden und es kann nach einer beliebigen Spalte sortiert werden.

Achtung: Die Einstellungen keine Kopfzeile und bedienbare Kopfzeile sind zur Runtime nur funktionsfähig, wenn für das Listenelement des CEL-Bildes die Eigenschaft Erweiterte grafische Einstellungen

deaktiviert wurde oder in den Projekteigenschaften in der Gruppe Grafische Ausprägung die Eigenschaft Grafikqualität auf Windows Basis gestellt wurde.
Um die Kopfzeile zur Runtime bedienen zu können, muss zusätzlich die in den Bildeigenschaften unter Kopfzeile und Raster befindliche Eigenschaft Spaltenpositionen fixiert deaktiviert werden.

Default: bedienbare Kopfzeile

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELHeader


ID_CEL_MEMCOUNT

Interne ID: ID_CEL_MEMCOUNT

Größe des Ringpuffers

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

Größe des CEL-Ringpuffers. Bei Überlauf des Ringpuffers (cel.bin) werden die überzähligen Einträge entfernt. Der Ringpuffer kann über die Eigenschaft Ringpuffer bei Wertänderung speichern manuell gespeichert werden.

  • Minimum: 1
  • Maximum: 32767

Default: 100

Hinweis: Zur Runtime werden eventuell mehr Einträge als projektiert angezeigt, da alte Einträge erst beim Aktualisieren der Liste aus der CEL entfernt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELMemCount


ID_CEL_ONLY_STACK

Interne ID: ID_CEL_ONLY_STACK

CEL-Daten speichern

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Ringpuffer und historische Daten: Alle CEL-Einträge (*.cel) werden gespeichert.
  • Nur Ringpuffer: Nur eine definierte Anzahl von CEL-Einträgen (cel.bin) wird gespeichert. Die Anzahl wird über die Eigenschaft Größe des Ringpuffers definiert.
  • Default: Auf CE-Geräten wird nur der Ringpuffer (cel.bin) gespeichert; auf PCs werden auch die historischen Einträge (*.cel) gespeichert.

Default: Default
Die Dateien (cel.bin und *.cel) werden im Ordner \Projektordner\Computername\Projektname gespeichert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CelOnlyStack


ID_CEL_RECIPE_CHANGE

Interne ID: ID_CEL_RECIPE_CHANGE

Rezepte ändern

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Keine Protokollierung:
    Das Ändern von Standard Rezepten und Rezepten des Rezeptgruppen-Managers (RGM) wird nicht in der CEL protokolliert.
  • Rezepte protokollieren:
    Beim Ändern eines Rezepts wird diese Änderung mit dem Namen des geänderten Rezepts in der CEL protokolliert.
  • Rezepte und Werte protokollieren:
    Beim Ändern eines Rezepts wird dieses in der CEL protokolliert mit:
    • Name des Rezepts
    • neuen und alten Werten der Variablen
    • Namen der Variablen

Default: keine Protokollierung

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeChangeToCEL


ID_CEL_RECIPE_WRITE

Interne ID: ID_CEL_RECIPE_WRITE

Rezepte absetzen

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Keine Protokollierung: Das Absetzen von Standard Rezepten und Rezepten des Rezeptgruppen-Managers (RGM) wird nicht in der CEL protokolliert.
  • Rezepte protokollieren: Beim Absetzen eines Rezepts wird dieses mit dem Namen des Rezepts in der CEL protokolliert.
  • Rezepte und Werte protokollieren: Beim Absetzen eines Rezepts wird dieses in der CEL protokolliert mit:
    • Name des Rezepts
    • neuen und alten Werten der Variablen
    • Namen der Variablen

Default: keine Protokollierung

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeWriteToCEL


ID_CEL_SPONTAN

Interne ID: ID_CEL_SPONTAN

Automatisch aktualisieren

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Aktiv: Während die CEL in der Runtime geöffnet ist, werden geänderte Ereignisse sofort hinzugefügt, sobald sie auftreten.
  • Inaktiv: Während die CEL geöffnet ist, werden geänderte Einträge nur vor jedem Schreiben eines Werts auf die SPS hinzugefügt. Dabei wird als Istwert in der CEL jener Wert eingetragen, der vor dem Schreiben auf der SPS war.
    Die aktuellen Einträge werden erst beim nächsten Öffnen der CEL hinzugefügt.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELSpontan


ID_CEL_SYSMSGPRT

Interne ID: ID_CEL_SYSMSGPRT

Systemmeldungen drucken

Aktiv: Beim Online-Druck werden auch Systemmeldungen ausgedruckt.
Inaktiv: Systemmeldungen werden beim Online-Druck nicht ausgedruckt.
Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELSysMsgPrint


ID_CEL_VERWALTUNG

Interne ID: ID_CEL_VERWALTUNG

CEL-Verwaltung

Der Konfigurationsdialog für die Chronologische Ereignisliste (CEL) wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELAdministration


ID_CHANGELOG_COMMENT

Interne ID: ID_CHANGELOG_COMMENT

Kommentar

Kommentar für den ausgewählten Eintrag in der Änderungshistorie.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment


ID_CHANGELOG_FILTER_DATASETS

Interne ID: ID_CHANGELOG_FILTER_DATASETS

Max. Datensätze

Gibt die maximale Anzahl von Einträgen an, die in der Listenanssicht angezeigt werden sollen.
Minimum: 0.
Das heißt, dass alle Einträge angezeigt werden.
Maximum: 2147483647.
Default: 1000.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Datensätze


ID_CHANGELOG_FILTER_PROP_GRP0

Interne ID: ID_CHANGELOG_FILTER_PROP_GRP0

Erweiterter Filter

Eigenschaften für den erweiterten Filter der Änderungs-Historie.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:


ID_CHANGELOG_FILTER_TIME_MAX

Interne ID: ID_CHANGELOG_FILTER_TIME_MAX

Max. Zeitstempel

Nur verfügbar, wenn Zeitbereich aktiv ist:
Spätester Zeitpunkt für angezeigte Einträge.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimestampMax


ID_CHANGELOG_FILTER_TIME_MIN

Interne ID: ID_CHANGELOG_FILTER_TIME_MIN

Min. Zeitstempel

Nur verfügbar, wenn Zeitbereich aktiv ist:
Frühester Zeitpunkt für angezeigte Einträge.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimestampMin


ID_CHANGELOG_FILTER_TIMERANGE

Interne ID: ID_CHANGELOG_FILTER_TIMERANGE

Zeitbereich aktiv

Aktiv: Filtern auf Zeitbereich ist möglich.
Inaktiv: Filtern auf Zeitbereich ist nicht möglich.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeRange


ID_CHANGELOG_PROP_GRP0

Interne ID: ID_CHANGELOG_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Einträge in der Änderungshistorie.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_COLOR_COLOR_GRP

Interne ID: ID_COLOR_COLOR_GRP

Farbe

Enthält alle Eigenschaften der Farben für Farbpaletten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Color


ID_COLOR_COLOR_NAME

Interne ID: ID_COLOR_COLOR_NAME

Farbname

Name der Farbe.

Default: Color plus Indexnummer, z. B.: Color 1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorName


ID_COLOR_COLOR_VALUE

Interne ID: ID_COLOR_COLOR_VALUE

Farbe

Ermöglicht Auswahl oder Definition der Farbe. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: weiß (#FFFFFF)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorValue


ID_COLOR_PALETTE_GRP

Interne ID: ID_COLOR_PALETTE_GRP

Farbpalette

Enthält die Eigenschaften der Farbpalette.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Palette


ID_COLOR_PALETTE_NAME

Interne ID: ID_COLOR_PALETTE_NAME

Palettenname

Name der Farbpalette.

Default: Color palette plus Indexnummer, z. B.: Color palette 1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PaletteName


ID_COLORRAHMEN

Interne ID: ID_COLORRAHMEN

Rahmenfarbe

Definiert die Rahmenfarbe des Elements. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen. Bei Auswahl von Automatisch ändert sich der Farbwert abhängig vom Wert der Füllfarbe.

Mehr in Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BorderColor


ID_COMPLEXITEM_BITOFFSET

Interne ID: ID_COMPLEXITEM_BITOFFSET

Bit Offset

Bitnummer des Strukturelements in der Struktur.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitOffset


ID_COMPLEXITEM_HASREF

Interne ID: ID_COMPLEXITEM_HASREF

mit Datentyp verknüpft

Aktiv: Das Element ist mit dem zugrundeliegenden Datentyp verknüpft. Änderungen im zugrundeliegenden Datentyp wirken sich direkt auf das Element aus. Eigenschaften des Elements können nicht mehr editiert werden.
Inaktiv: Das Element ist nicht mehr mit dem zugrundeliegenden Datentyp verknüpft.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HasRef


ID_COMPLEXITEM_INDEX

Interne ID: ID_COMPLEXITEM_INDEX

Pos. in Struktur

Position der Variable in der Struktur.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ItemIndex


ID_COMPLEXITEM_OFFSET

Interne ID: ID_COMPLEXITEM_OFFSET

Offset

Offset des Strukturelements in der Struktur.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset


ID_DELUSER

Interne ID: ID_DELUSER

Löschen von Benutzern

  • Aktiv: Löschen eines Benutzers in der Runtime ist erlaubt.
  • Inaktiv: Benutzer können nur als gelöscht markiert werden. Die Benutzer bleiben dabei in der Liste der Benutzer, sind allerdings für die Bedienung in der Runtime nicht mehr gültig (nach FDA Richtlinie).

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DelUser


ID_DISABLEDBUTTONS

Interne ID: ID_DISABLEDBUTTONS

Gesperrte Buttons

Nur verfügbar, wenn die Eigenschaft Temporäres Login aktiv inaktiv ist.
Definiert das Aussehen von Buttons, die aufgrund der Einstellungen der Bedienberechtigung gesperrt sind. Wird zur Runtime für die Bedienung von Tasten mit der Eigenschaft Verriegelte Buttons (Grafische Ausprägung) kombiniert.

Mögliche Darstellungsformen:

  • Grau
  • Normal
  • Unsichtbar

Default: Normal

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisabledButtonStyle


ID_DNP3_OPERATION

Interne ID: ID_DNP3_OPERATION

Command Mode

Auswahl des Command Mode aus Dropdownliste:

  • Automatic SBO: Beim Schreiben wird ein Select durchgeführt. Nach Bestätigung des Selects von der Outstation folgt ein Operate. Der Status der Variablen wird auf CoT_actterm gesetzt. Das gilt für Binäre Outputs und Analoge Outputs. Ein Binärer Output vom Typ BOOL kann über die Befehlsgabe auch für Close und Trip verwendet werden, indem der QoC auf 2 gesetzt wird
  • Direct Operate: Für das Schreiben von Binären Outputs und Analogen Outputs wird Function Code 0x5 - Direct Operate - verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Command_Mode


ID_DNP3_SCANGROUP

Interne ID: ID_DNP3_SCANGROUP

Scangroup

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Scangroup


ID_DNP3_VARIATION

Interne ID: ID_DNP3_VARIATION

Variation

Auswahl der Variation aus Dropdown-Liste:

  • Default: Es wird die Variation für Variablen verwendet, wie sie von der Outstation gesendet wird.
    Wird eine andere Variation als die von der Outstation verwendet oder eine für Variablen, die keiner Klasse angehören, aber trotzdem gelesen werden sollen, dann kann eine alternative Variation definiert werden. Auswahl aus der Dropdownliste. Die angebotenen Alternativen hängen vom Treiberobjekttyp der Variablen ab. Numerische Werte entsprechen den erlaubten Werten der Variation für diesen Datentyp.

Der Treiber wird nach jedem Class 0 Poll oder getriggert durch eine Class Poll Variable manuelles Lesen mit der definierten Variation verlangen. Wird eine andere Variation als Default gewählt, sollte immer auch die Eigenschaft Variable ständig lesen aktiviert werden.

Hinweis: Die Outstation muss das Lesen der Variation unterstützen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variation


ID_DNP3TG_EXPLICITREAD

Interne ID: ID_DNP3TG_EXPLICITREAD

Classless read

Zuweisung der Werte an die Variable bei expliziten Leseanfragen:

  • Inaktiv: Werte, die über Integrity-Poll, Event-Poll oder unsolicited responses empfangen wurden, werden der Variable zugewiesen.
    Werte, die als Antwort auf eine explizite Leseanfrage empfangen wurden, werden nicht zugewiesen
  • Aktiv: Der Variablen werden nur Werte zugewiesen, die als Antwort auf eine explizite Leseanfrage empfangen wurden.

Mehr im Treiber-Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Classless_Read


ID_DNP3TG_OPERATION

Interne ID: ID_DNP3TG_OPERATION

Command Mode

Nur für Treiber Objekttypen Binary Output und Analog Output. Auswahl des Command Mode aus Dropdownliste:

  • Automatic SBO: Beim Schreiben wird ein Select durchgeführt. Nach Bestätigung des Selects von der Outstation folgt ein Operate. Der Status der Variablen wird auf CoT_actterm gesetzt. Das gilt für Binäre Outputs und Analoge Outputs. Ein Binärer Output vom Typ BOOL kann über die Befehlsgabe auch für Close und Trip verwendet werden, indem der QoC auf 2 gesetzt wird
  • Direct Operate: Für das Schreiben von Binären Outputs und Analogen Outputs wird Function Code 0x5 - Direct Operate - verwendet.
  • Direct Operate NoAck: Für das Schreiben von Binären Outputs und Analogen Outputs wird Function Code 0x5 - Direct Operate - verwendet. Es erfolgt keine Antwort der Steuerung; der Erfolg des Schreibens wird nicht bestätigt.

Default: Direct Operate

Mehr im Treiber-Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Command_Mode


ID_DRIVER_EXTERNAL_REF

Interne ID: ID_DRIVER_EXTERNAL_REF

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Hinweis: Bei Treibertausch wird der Inhalt der Eigenschaft zum neuen Treiber übernommen. Werden durch den Tausch zwei Treiber zu einem vereint, wird der Wert für diese Eigenschaft von jenem Treiber übernommen, welcher weiter bestehen bleibt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CPropExternalNames::szExternalReference


ID_DRV_KNOTEN

Interne ID: ID_DRV_KNOTEN

Treiber Anbindung

Treiber-spezifische Eigenschaften für die Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_DriverConnection


ID_DRV_STRAT_CREATE

Interne ID: ID_DRV_STRAT_CREATE

Bearbeiten

Nur verfügbar, wenn ein Prozesstreiber gewählt wurde, der Projektname gültig ist und nur ein einzelner Treiber ausgewählt wurde. Nicht verfügbar für Treiber für die Simulator Variable.

Klick öffnet das Simulationsprojekt in der zenon Logic Workbench. Existiert kein Simulationsprojekt für diesen Treiber, wird dieses automatisch erzeugt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CreateSimulPrj


ID_DRV_STRAT_DEL

Interne ID: ID_DRV_STRAT_DEL

Löschen

Nur verfügbar, wenn ein Simulationsprojekt definiert ist und nur ein Treiber ausgewählt ist.

Löscht Simulationsprojekt nach Sicherheitsabfrage.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DelSimulPrj


ID_DRV_STRAT_EV_PORT

Interne ID: ID_DRV_STRAT_EV_PORT

Event-Port

Nur verfügbar, wenn ein Simulationsprojekt erzeugt wurde.

TCP/IP Port für den spontanen Datenaustausch. Die Portnummer muss eindeutig, im Projekt frei und auf dem Rechner, auf dem der Treiber läuft, verfügbar sein. Beim Erzeugen des Simulationsprojektes wird automatisch eine eindeutige Portnummer vergeben.

Hinweis: Eine automatisch vergebene Portnummer ist nur für das jeweilige Projekt eindeutig. In multihierarchischen Projekten muss diese überprüft werden, um Kommunikationsfehler mit der zenon Logic Workbench/Runtime zu vermeiden.

Minimum: 6001 (bei automatischer Vergabe, manuell: empfohlen)

Maximum: 6998 (bei automatischer Vergabe, manuell: empfohlen)

Default: 6001

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SimulEvPort


ID_DRV_STRAT_GRP

Interne ID: ID_DRV_STRAT_GRP

Treiber-Simulationsprojekt

Beinhaltet alle Eigenschaften für die Konfiguration der Simulation - programmiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Simulation


ID_DRV_STRAT_NAME

Interne ID: ID_DRV_STRAT_NAME

Name

Name des Simulationsprojektes. Ist beim Start der zenon Logic Workbench kein gültiger Name vorhanden, wird automatisch ein Name vergeben. Dieser setzt sich zusammen aus dem Treibernamen und dessen Bezeichnung.

Bedingungen für gültige Namen:

- darf nicht leer sein

- muss im Projekt eindeutig sein

- darf nur für zenon Logic erlaubte Zeichen beinhalten; verboten sind: /\:*?<>!|"

Minimum: 1 Zeichen

Maximum: 15 Zeichen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SimulName


ID_DRV_STRAT_PORT

Interne ID: ID_DRV_STRAT_PORT

Standard-Port

Nur verfügbar, wenn ein Simulationsprojekt erzeugt wurde.

TCP/IP Port für die Kommunikation mit der zenon Logic Workbench.
Erlaubte Portnummern:

  • Minimum: 6000 (bei automatischer Vergabe, manuell: empfohlen)
  • Maximum: 6999 (bei automatischer Vergabe, manuell: empfohlen)

Default: 6000

Die Portnummer muss:

  • im Projekt frei sein
  • für alle Projekte, die auf der Runtime laufen eindeutig sein
  • auf dem Rechner, auf dem der Treiber läuft, verfügbar sein.

Beim Erzeugen des Simulationsprojektes wird automatisch eine im Projekt eindeutige Portnummer vergeben.

Hinweis: Eine automatisch vergebene Portnummer ist nur für das jeweilige Projekt eindeutig. In multihierarchischen Projekten muss diese überprüft werden, um Kommunikationsfehler mit der zenon Logic Workbench/Runtime zu vermeiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SimulPort


ID_DYN_PROP_BLINKVAR

Interne ID: ID_DYN_PROP_BLINKVAR

Blinken von Grenzwert übernehmen

Variable, die die Projektierung des Blinkverhaltens für die Darstellung des Elements in der zenon Runtime enthält. Das Blinkverhalten wird in der Projektierung des Grenzwerts für die verknüpfte Variable parametriert.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Im Gegensatz zum normalen Blinken blinkt das ganze Element und nicht nur der dargestellte Wert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BlinkVariable


ID_DYN_PROP_BLINKVAR_PREVIEW

Interne ID: ID_DYN_PROP_BLINKVAR_PREVIEW

Blinkvorschau anzeigen

Anzeige des für die Variable definierten Grenzwerts für Blinken. Nur verfügbar, wenn bei der Eigenschaft Blinken von Grenzwert übernehmen eine Variable verknüpft ist.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

BlinkVarPreview


ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Interne ID: ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Farbvorschau anzeigen

Anzeige des für die Variable definierten Grenzwerts für die Füllfarbe. Nur verfügbar, wenn für die Eigenschaft Füllfarbe eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

BackColorVarPreview


ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Interne ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Variable für Blinken

Variable, von deren Grenzwert oder Grenzwerten das Blinken für den Glow-Effekt übernommen werden soll. Ein Klick auf die Schaltfläche ... öffnet den Dialog zur Variablenauswahl.

Default: keine Variable verknüpft

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectBlinkVariable


ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Interne ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Variable für Farbe

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Die Eigenschaft Einfärben muss aktiviert werden.

Name der Variablen, deren Grenzwertfarben die Glow-Farbe beeinflussen sollen. Ein Klick auf die Schaltfläche ... öffnet den Dialog zur Variablenauswahl. Der Name kann auch manuell in das Textfeld eingegeben werden. Wenn keine Variable verknüpft ist, wird die in der Eigenschaft Farbe definierte Farbe verwendet.

Default: keine Variable verknüpft

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectGlowColorVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Interne ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Sichtbarkeit von Grenzwert übernehmen

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Zusätzlich muss in der Eigenschaft Variable für Sichtbarkeit eine Variable definiert sein.

Aktiv: Die Sichtbarkeit des Glow-Effekts wird von den Grenzwerteigenschaften der Variable beeinflusst.

Achtung: Zumindest bei einem Grenzwert dieser Variablen muss die Eigenschaft Unsichtbar aktiv sein.

Inaktiv: Die Sichtbarkeit wird von den Eigenschaften des Elements beeinflusst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectVisibilityFromLimit


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Interne ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Sichtbar bis

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Zusätzlich muss in der Eigenschaft Variable für Sichtbarkeit eine Variable definiert sein und die Eigenschaft Sichtbarkeit von Grenzwert übernehmen muss inaktiv sein.

Definiert den Wert, bis zu dem der Glow-Effekt sichtbar ist.
Minimum: niedrigster möglicher Wert der in Variable für Sichtbarkeit verknüpften Variablen.
Maximum: höchster möglicher Wert der in Variable für Sichtbarkeit verknüpften Variablen.
Default: höchster möglicher Wert der inVariable für Sichtbarkeit verknüpften Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectVisibilityTo


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Interne ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Variable für Sichtbarkeit

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist.

Name der Variablen, deren Wert die Sichtbarkeit des Glow-Effekts beeinflusst. Die Sichtbarkeit wird entweder aus den Grenzwerteigenschaften dieser Variablen übernommen (Eigenschaft Sichtbarkeit von Grenzwert übernehmen aktiv) oder durch den Wertbereich bestimmt, der bei den Eigenschaften Sichtbar von und Sichtbar bis definiert ist. Ein Klick auf die Schaltfläche ... öffnet den Dialog zur Variablenauswahl. Der Name kann auch manuell in das Textfeld eingegeben werden.

Hinweis: Wenn keine Variable verknüpft ist, ist der Glow-Effekt immer sichtbar.

Default: keine Variable verknüpft

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectVisibilityVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Interne ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Sichtbar von

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Zusätzlich muss in der Eigenschaft Variable für Sichtbarkeit eine Variable definiert sein und die Eigenschaft Sichtbarkeit von Grenzwert übernehmen muss inaktiv sein.

Definiert den Wert, ab dem der Glow-Effekt sichtbar ist.
Minimum: niedrigster möglicher Wert der in Variable für Sichtbarkeit verknüpften Variablen.
Maximum: höchster möglicher Wert der in Variable für Sichtbarkeit verknüpften Variablen.
Default: niedrigster möglicher Wert der in Variable für Sichtbarkeit verknüpften Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectVisibilityFrom


ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Interne ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Blinkfarbe von Grenzwert übernehmen

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Zusätzlich muss in Eigenschaft Variable für Blinken eien Variable definiert sein.

Aktiv: Übernimmt Farbe für den Glow-Effekt für das Blinken aus dem aktiven Grenzwert der in Eigenschaft Blinkfarbe von Grenzwert definierten Variablen. Diese Eigenschaft ist unabhängig von der Eigenschaft Einfärben. Der Glow-Effekt wechselt beim Blinken nicht zu unsichtbar, sondern zum aktiv eingestellten Glow Effekt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectUseBlinkColor


ID_DYN_PROP_LINECOLORVAR_PREVIEW

Interne ID: ID_DYN_PROP_LINECOLORVAR_PREVIEW

Farbvorschau anzeigen

Anzeige des für die Variable definierten Grenzwerts für die Linienfarbe. Nur verfügbar, wenn für die Eigenschaft Linienfarbe eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LineColorVarPreview


ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Interne ID: ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Farbvorschau anzeigen

Anzeige des für die Variable definierten Grenzwerts für die Linienfarbe. Nur verfügbar, wenn für die Eigenschaft Linienfarbe eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LineColorVarPreview


ID_DYN_PROP_USEBLINKCOLOR

Interne ID: ID_DYN_PROP_USEBLINKCOLOR

Blinkfarbe von Grenzwert

Farbe des Bildelements bei Visualisierung des Blinkens in der zenon Runtime.

  • Aktiv:
    Übernimmt Hintergrundfarbe des Blinkens aus dem aktiven Grenzwert der Variablen für Blinken von Grenzwert übernehmen. Element wechselt beim Blinken nicht zu unsichtbar, sondern zur aktiven Hintergrundfarbe.
  • Inaktiv:
    Bildelement blinkt ohne die Farbe von der Grenzwertprojektierung zu übernehmen.

Default: inaktiv

Hinweis: Diese Farbe wird nicht berücksichtigt, wenn die Hintergrundfarbe Transparent konfiguriert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseBlinkColor


ID_DYN_PROP_VISVAR_PREVIEW

Interne ID: ID_DYN_PROP_VISVAR_PREVIEW

Sichtbarkeitsvorschau anzeigen

Anzeige des für die Variable definierten Grenzwerts für Sichtbarkeit. Nur verfügbar, wenn für die Eigenschaft Variable in der Gruppe Sichtbarkeit eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VisVarPreview


ID_DYNPICTURE_DONTRESIZEELEMS

Interne ID: ID_DYNPICTURE_DONTRESIZEELEMS

Elemente nicht an Bildschirmauflösung anpassen

Aktiv: Die im Bild enthaltenen Elemente werden zur Runtime nicht automatisch an die Bildschirmauflösung angepasst, sondern behalten die im Editor projektierte Position und Größe bei.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DontResizeElements


ID_DYNPICTURE_EXPORTFORWEB

Interne ID: ID_DYNPICTURE_EXPORTFORWEB

Im Web verfügbar

  • Aktiv: Das Bild wird vom HTML Export Wizard für die Darstellung auf einem Client über die HTML Web Engine exportiert.
  • Inaktiv: Das Bild wird vom HTML Export Wizard für die Darstellung auf einem Client über die HTML Web Engine nicht exportiert.

Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExportForWeb


ID_DYNPICTURE_MOVEBYMOUSE

Interne ID: ID_DYNPICTURE_MOVEBYMOUSE

Schablone per Maus verschieben

Aktiv: Das Bild kann zur Runtime mit der Maus bewegt werden, auch wenn es kein Weltbild ist. Linker Mausklick in einen freien Bereich des Bildes und Bewegen der Maus mit gedrückter Maustaste bewegt das gesamte Bild.

Hinweis: Ist das Bild in ein Faceplate eingebettet, wird diese Einstellung ignoriert. In diesem Fall entscheiden die Einstellungen des Faceplates über die Bewegung. Wird ein Faceplate bewegt, werden alle enthaltenen Bilder auch bewegt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MoveByMouse


ID_DYNPICTURE_MULTITOUCH

Interne ID: ID_DYNPICTURE_MULTITOUCH

Multi-Touch für Zoomen und Scrollen

Für Zoomen und Scrolling im Weltbild können Multitouch-Gesten verwendet werden, ohne dass diese in VSTA programmiert werden müssen.

  • Aktiv:
    Keine Erzeugung von Multitouch-Gesten für VBA/STA Events.
  • Inaktiv:
    Multitouch-Gesten für VBA/VSTA Events werden erzeugt.

Nur verfügbar, wenn es sich um ein Weltbild handelt (Bild größer als Schablone und Bildgröße von Schablone übernehmen nicht aktiv) und und für die Eigenschaft Multi-Touch aktiv Windows 7 gewählt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiTouch


ID_DYNPICTURE_MULTITOUCH_GROUP

Interne ID: ID_DYNPICTURE_MULTITOUCH_GROUP

Interaktion

Eigenschaften zur Konfiguration der Interaktion zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Interaction


ID_DYNPICTURE_MULTITOUCH_MOVE

Interne ID: ID_DYNPICTURE_MULTITOUCH_MOVE

Verschieben

Steht nur zur Verfügung, wenn die Eigenschaft Bildgröße von Schablone übernehmen deaktiviert und die Projekteigenschaft Auswertung auf Windows 8 eingestellt wurde.

Definiert Reaktion auf die Geste Verschieben. Auswahl aus Dropdownliste:

  • Inhalt verschieben: Inhalt kann horizontal oder vertikal verschoben werden. Die Richtung wird definiert über die Eigenschaften Horizontal verschieben und Vertikal verschieben.
  • Keine Reaktion

Default: Inhalt verschieben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiTouchMove


ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Interne ID: ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Horizontal verschieben

Steht nur zur Verfügung, wenn die Eigenschaft Verschieben auf Inhalt verschieben eingestellt wurde.

Definiert, ob Inhalt horizontal verschoben werden kann. Auswahl aus Dropdownliste:

  • Horizontal verschieben: Inhalt kann horizontal verschoben werden
  • Keine Reaktion

Default: Horizontal verschieben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiTouchMoveHor


ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Interne ID: ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Vertikal verschieben

Steht nur zur Verfügung, wenn die Eigenschaft Verschieben auf Inhalt verschieben eingestellt wurde.

Definiert, ob Inhalt vertikal verschoben werden kann. Auswahl aus Dropdownliste:

  • Vertikal verschieben: Inhalt kann vertikal verschoben werden
  • Keine Reaktion

Default: Vertikal verschieben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiTouchMoveVer


ID_DYNPICTURE_MULTITOUCH_ZOOM

Interne ID: ID_DYNPICTURE_MULTITOUCH_ZOOM

Zoomen

Steht nur zur Verfügung, wenn die Eigenschaft Bildgröße von Schablone übernehmen deaktiviert und die Projekteigenschaft Auswertung auf Windows 8 eingestellt wurde.

Definiert Reaktion auf die Geste Zoomen. Auswahl aus Dropdownliste:

  • Inhalt Zoomen
  • Keine Reaktion

Default: Inhalt Zoomen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiTouchZoom


ID_DYNPICTURE_PROP1

Interne ID: ID_DYNPICTURE_PROP1

Dateiname

Dateiname des Bildes.
Der Dateiname wird vom System automatisch generiert und kann nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_DYNPICTURE_PROP2

Interne ID: ID_DYNPICTURE_PROP2

Schablone

Änderung der zugeordneten Schablone, ohne dass die Bildelemente auf die neue Bildgröße umgerechnet werden (strecken oder stauchen).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Template


ID_DYNPICTURE_PROP3

Interne ID: ID_DYNPICTURE_PROP3

Bildtyp

Standard: Bildtyp für die Erstellung von Prozessbildern. Alle vektoriellen and dynamischen Elemente können verwendet werden.
Spezielle Bildtypen: Bilder, die nicht vom Bildtyp "Standard" sind, müssen nur einmal erstellt werden und können über spezielle Filtereinstellungen der Funktion Bildumschaltung jeweils mit verschiedenen Daten geöffnet werden. Sobald ein spezieller Bildtyp ausgewählt wurde, stehen im Menü Kontrollelemente die entsprechenden Bedienelemente für den Bildtyp zur Verfügung.

Achtung: Sobald der Bildtyp von Standard auf einen speziellen Bildtyp geändert wurde, ist er fixiert und kann nicht weiter geändert werden.

Default: Standard

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


ID_DYNPICTURE_PROP4

Interne ID: ID_DYNPICTURE_PROP4

Hintergrundfarbe

Definiert die Hintergrundfarbe des Bildes. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.
Default: Farbe aus der Schablone.
Hinweis: Farbe aus der Schablone wird als Kopie übernommen und nicht verknüpft. Spätere Änderungen der Farbe in der Schablone haben keine Auswirkungen auf bestehende Bilder, sondern nur auf neu erstellte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundColor


ID_DYNPICTURE_PROP5

Interne ID: ID_DYNPICTURE_PROP5

X von

X-Koordinate des linken oberen Eckpunktes des Bildes (in logischen Einheiten). Diese Eigenschaft dient nur der Information und kann nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinX


ID_DYNPICTURE_PROP6

Interne ID: ID_DYNPICTURE_PROP6

X bis

X-Koordinate des rechten unteren Eckpunktes des Bildes (in logischen Einheiten). Diese Eigenschaft dient nur der Information und kann nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxX


ID_DYNPICTURE_PROP7

Interne ID: ID_DYNPICTURE_PROP7

Y von

Y-Koordinate des linken oberen Eckpunktes des Bildes (in logischen Einheiten). Diese Eigenschaft dient nur der Information und kann nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinY


ID_DYNPICTURE_PROP8

Interne ID: ID_DYNPICTURE_PROP8

Y bis

Y-Koordinate des rechten unteren Eckpunktes des Bildes (in logischen Einheiten). Diese Eigenschaft dient nur der Information und kann nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxY


ID_DYNPICTURE_PROP9

Interne ID: ID_DYNPICTURE_PROP9

Höhe [Pixel]

Nur verfügbar, wenn die Eigenschaft Bildgröße von Schablone übernehmen inaktiv ist.
Höhe des Bildes in Pixel.

Hinweis: Größenangaben kleiner als die Schablone werden ignoriert. Werden Bilder größer als die Schablone definiert, werden Sie zum Weltbild. Für Navigation und Bildlauf in Weltbildern können ein Bild vom Typ Weltbild-Übersicht, die Touch-Steuerung und die Maus verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Height


ID_DYNPICTURE_PROP10

Interne ID: ID_DYNPICTURE_PROP10

Breite [Pixel]

Nur verfügbar, wenn die Eigenschaft Bildgröße von Schablone übernehmen inaktiv ist.
Breite des Bildes in Pixel.

Hinweis: Größenangaben kleiner als die Schablone werden ignoriert. Werden Bilder größer als die Schablone definiert, werden Sie zum Weltbild. Für Navigation und Bildlauf in Weltbildern können ein Bild vom Typ Weltbild-Übersicht, die Touch-Steuerung und die Maus verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Width


ID_DYNPICTURE_PROP11

Interne ID: ID_DYNPICTURE_PROP11

Start-Funktion

Funktion, die beim Öffnen des Bildes in der Runtime automatisch ausgeführt werden soll.
Öffnet den Funktionsauswahldialog.
Wenn hier mehr als eine Funktion ausgeführt werden soll, so muss ein Skript mit den gewünschten Funktionen erstellt und die Funktion zum Ausführen des Skripts hier verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartFunction


ID_DYNPICTURE_PROP12

Interne ID: ID_DYNPICTURE_PROP12

Ende-Funktion

Funktion, die beim Schließen des Bildes in der Runtime automatisch ausgeführt werden soll.
Öffnet den Funktionsauswahldialog.
Wenn hier mehr als eine Funktion ausgeführt werden soll, so muss ein Skript mit den gewünschten Funktionen erstellt und die Funktion zum Ausführen des Skripts hier verknüpft werden.

ACHTUNG: Das Öffnen eines anderen Bildes derselben Schablone schließt dieses Bild automatisch und führt somit auch die verknüpfte Funktion aus.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EndFunction


ID_DYNPICTURE_PROP13

Interne ID: ID_DYNPICTURE_PROP13

Bildgröße von Schablone übernehmen

Aktiv: Die Größe und die Position des Bildes werden von der verknüpften Schablone definiert.
Inaktiv: Die Breite und die Höhe des Bildes lassen sich größer als die Schablone definieren. Die Position der linken oberen Ecke wird immer noch durch die Schablone definiert.
Default: aktiv.

Hinweis: Größenangaben kleiner als die Schablone werden ignoriert. Werden Bilder größer als die Schablone definiert, werden Sie zum Weltbild. Für Navigation und Bildlauf in Weltbildern können ein Bild vom Typ Weltbild-Übersicht, die Touch-Steuerung und die Maus verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SizeFromTemplate


ID_DYNPICTURE_PROP14

Interne ID: ID_DYNPICTURE_PROP14

Modaler Dialog

Einstellung für Darstellung als modaler Dialog:

  • Aktiv: Solange das Bild in der Runtime geöffnet ist, können Elemente in einem anderen Bild nicht bedient werden.
    Ausnahme: Bedient werden können Bilder, die aus dem modalen Bild heraus geöffnet werden, wenn diese ebenfalls als modale Bilder konfiguriert wurden.

    Achtung: Aus einem modalen Bild heraus darf kein nicht-modales Bild aufgeschaltet werden!
    Wird ein nicht-modales Bild über einem modalen aufgeschaltet, dann ist dieses Bild zwar sichtbar, aber nicht bedienbar. Das darunter liegende modale Bild ist ebenfalls nicht bedienbar, da es verdeckt ist. Damit ist die Runtime blockiert!

  • Inaktiv: Andere Bilder können wie gewohnt bedient werden.

Default: inaktiv

Diese Einstellung wird bei Verwendung in einem Faceplate-Container ignoriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Modal


ID_DYNPICTURE_PROP15

Interne ID: ID_DYNPICTURE_PROP15

Sichtbar unter CE

Aktiv: Das Bild wird auch unter Windows CE dargestellt.
Inaktiv: Das Bild wird unter Windows CE nicht dargestellt.
Default: aktiv.

Damit kann man in Netzwerken mit PCs und CE-Geräten auf den PCs Funktionalitäten nutzen, die von Windows CE nicht unterstützt werden, ohne dass es auf den CE-Geräten zu Problemen kommt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowInCE


ID_DYNPICTURE_PROP16

Interne ID: ID_DYNPICTURE_PROP16

Grafikdatei

Auswahl der Hintergrundgrafik die im Bild an hinterster Ebene angezeigt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundPic


ID_DYNPICTURE_PROP17

Interne ID: ID_DYNPICTURE_PROP17

Ausrichtung

Nur verfügbar, nachdem eine Grafikdatei ausgewählt wurde.
Darstellungsart der Hintergrundgrafik im Bild:

  • normal: Originalgröße in der linken oberen Ecke positioniert.
  • zentriert: Originalgröße in der Bildmitte zentriert.
  • gestreckt: Formatfüllend auf Bildgröße gestreckt.
  • gekachelt: Originalgröße in Kacheln nebeneinander.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundPicStyle


ID_DYNPICTURE_PROP18

Interne ID: ID_DYNPICTURE_PROP18

Nur verfügbar, wenn ein Rahmen in der Definition der Schablone ausgewählt:
Rahmenart des Bildes.
Dicker Rahmen: Ein dicker Rahmen wird um das Bild dargestellt. Die Größe des Bildes kann in der Runtime verändert werden.
Dünner Rahmen: Ein dünner Rahmen wird um das Bild dargestellt.
Kein Rahmen: Kein Rahmen wird um das Bild dargestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BorderStyle


ID_DYNPICTURE_PROP19

Interne ID: ID_DYNPICTURE_PROP19

Nur verfügbar, wenn ein Rahmen für das Bild ausgewählt ist:
Aktiv: Windows-Titelleiste für dieses Bild verwenden. Das Bild kann in der Runtime verschoben werden.
Inaktiv: Keine Titelleiste verwenden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowTitle


ID_DYNPICTURE_PROP20

Interne ID: ID_DYNPICTURE_PROP20

Bild aktiv Variable

Die hier verknüpfte Bitvariable wird auf 1 gesetzt, wenn das Bild geöffnet wird; sie wird auf 0 zurückgesetzt, wenn das Bild geschlossen wird.
Öffnet den Variablesauswahldialog gefiltert auf Bit-Variablen.

ACHTUNG: Das Öffnen eines anderen Bildes derselben Schablone schließt dieses Bild automatisch und führt somit die verknüpfte Funktion aus.

Beispiel: Die Hintergrundfarbe von Buttons in einer Bedienleiste sollte anzeigen, welches Bild gerade geöffnet ist. Die Bit-Variables, die zu den einzelnen Bildern verknüpft sind, haben alle die Grenzwertfarbe grün für den Wert 1 und die Grenzwertfarbe weiß für den Wert 0. Diese Bit-Variablen werden zu der dynamischen Hintergrundfarbe der entsprechenden Buttons verknüpft. Der Button, der das gerade geöffnete Bild aufschaltet, hat also immer die Hintergrundfarbe grün und alle anderen sind weiß.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PicActivVar


ID_DYNPICTURE_PROP21

Interne ID: ID_DYNPICTURE_PROP21

Hintergrundfarbe

Definiert Hintergrundfarbe des Symbols im Symboleditor. Klicken Sie zum Öffnen der Farbpalette auf die Schaltfläche oder geben Sie die Farbe in RGB als Hex-Werte ein.

Achtung: Die hier festgelegte Hintergrundfarbe dient ausschließlich als Hintergrundfarbe des Symboleditors. Sie wirkt sich nicht auf die Darstellung im Editor oder in der Runtime aus.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundColor


ID_DYNPICTURE_PROP22

Interne ID: ID_DYNPICTURE_PROP22

Höhe [Pixel]

Definiert die Symbolhöhe in Pixel. Die eingestellte Höhe dient als original Höhe für das Symbol, wenn Sie es in ein Bild ziehen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Height


ID_DYNPICTURE_PROP23

Interne ID: ID_DYNPICTURE_PROP23

Breite [Pixel]

Definiert Symbolbreite in Pixel. Die eingestellte Breite dient als original Breite für das Symbol, wenn Sie es in ein Bild ziehen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Width


ID_DYNPICTURE_PROP24

Interne ID: ID_DYNPICTURE_PROP24

Automatische Beschriftung

aktiv: Für die Buchstaben, Zahlen und F-Tasten eines Bildes vom Bildtyp Keyboard wird die Originalbeschriftung des Tastaturlayouts vom Betriebssystem übernommen. Es können keine alternativen Beschriftungen definiert werden. Wurden Tasten bereits anders beschriftet, wird zur Runtime wieder die Originalbeschriftung verwendet. Funktionstasten wie Tab oder Umschalt können weiter alternativ beschriftet werden.

inaktiv: Alle Tasten können individuell beschriftet werden und werden zur Runtime entsprechend angezeigt.

Default: aktiv

Hinweis: Der Ziffernblock der Tastatur wird nicht automatisch beschriftet und die Beschriftung kann zur Runtime jederzeit angepasst werden, unabhängig von der Einstellung dieser Eigenschaft.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AutoKBLayout


ID_DYNPICTURE_PROP_GRP0

Interne ID: ID_DYNPICTURE_PROP_GRP0

Allgemein

Allgemeine Eigenschaften des Bildes.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Picture


ID_DYNPICTURE_PROP_GRP1

Interne ID: ID_DYNPICTURE_PROP_GRP1

Schablone

Eigenschaften für die Größe und die Position des Bildes, die aus der verknüpften Schablone übernommen werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Size


ID_DYNPICTURE_PROP_GRP2

Interne ID: ID_DYNPICTURE_PROP_GRP2

Darstellung

Eigenschaften für die äußere Erscheinung des Bildes.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Representation


ID_DYNPICTURE_PROP_GRP3

Interne ID: ID_DYNPICTURE_PROP_GRP3

Bildaktion

Mit dem Bild verknüpfte Funktionen und Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Functions


ID_DYNPICTURE_PROP_GRP4

Interne ID: ID_DYNPICTURE_PROP_GRP4

Hintergrundgrafik

In jedem Bild kann eine Grafikdatei als Hintergrund angezeigt werden. Diese Grafik ist in der hintersten Sichtbarkeitsebene positioniert und wird von allen anderen Elementen des Bildes überdeckt. Zur Positionierung stehen Möglichkeiten wie zentriert oder gekachelt zur Verfügung. Ein freies verschieben ist nicht möglich.

Alternativ kann auch ein Button mit einer Grafikdatei ohne verknüpfte Funktion zur Darstellung einer frei positionierbaren Grafikdatei verwendet werden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Background


ID_DYNPICTURE_PROP_GRP5

Interne ID: ID_DYNPICTURE_PROP_GRP5

Allgemein

Eigenschaften für die Größe und Hintergrundfarbe des Symboleditors.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Symbols


ID_DYNPICTURE_PROP_GRP6

Interne ID: ID_DYNPICTURE_PROP_GRP6

Farbe

Eigenschaften für die Farbeinstellungen des Bildes.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_Color


ID_DYNPICTURE_REFEXT

Interne ID: ID_DYNPICTURE_REFEXT

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Hinweis: XML-Import und Export wird unterstützt.
Wird eine Bild via Copy&Paste angelegt ist diese Eigenschaft leer.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExternalReference


ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Interne ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Umgebungstransparenz

Nur verfügbar, wenn die Eigenschaft Schablone hervorheben aktiviert wurde.

Bestimmt die Transparenz der Umgebungsfarbe der Schablone, auf der das Bild beruht. Klick auf Schaltfläche ... öffnet Schieberegler für Definition der Transparenz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AmbientAlpha


ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Interne ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Umgebungsfarbe

Nur verfügbar, wenn die Eigenschaft Schablone hervorheben aktiviert wurde.

Bestimmt die Umgebungsfarbe der Schablone, auf der das Bild beruht. Klick auf Schaltfläche ... öffnet Auswahldialog für Farbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AmbientColor


ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Interne ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Schablone hervorheben

Nur verfügbar, wenn die Eigenschaft Modaler Dialog aktiviert wurde.

  • Aktiv: Die Schablone, auf der das Bild beruht, wird hervorgehoben.
    Dabei wird der gesamte Bereich außerhalb der Schablone mit einer einstellbaren Umgebungsfarbe und Umgebungstransparenz eingefärbt. Der Bereich der hervorgehobenen Schablone bleibt von der Einfärbung unberührt.
    Es darf immer nur ein Bild mit dieser Eigenschaft gleichzeitig aufgeschaltet werden. Allerdings können Bilder aus dem hervorgehobenen Bild heraus aufgeschaltet werden. Diese werden ebenfalls hervorgehoben.

Hinweis: Diese Einstellung wird bei Verwendung in einem Faceplate-Container ignoriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Highlight


ID_EDITSIGNATURE

Interne ID: ID_EDITSIGNATURE

Signaturtext editierbar

Aktiv: In der Runtime wird ein Dialog zum Editieren des Signaturtextes geöffnet.

Inaktiv: Der Signaturtext kann in der Runtime nicht geändert werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EditSignature


ID_ELE_BITMAP_DOWN

Interne ID: ID_ELE_BITMAP_DOWN

Grafikdatei bei gedrückt

Grafik, die auf dem Button im gedrückten Zustand dargestellt werden soll (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Klick auf die Schaltfläche ... öffnet den Dateiauswahldialog.

Hinweis: Wenn für die Eigenschaft Grafikgröße Originalgröße gewählt wurde, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FileNameDown


ID_ELE_CORNER_ALL_X

Interne ID: ID_ELE_CORNER_ALL_X

Alle X [%]

Nur verfügbar wenn die Eigenschaft Über Helligkeitswerte nicht aktiv ist.

Definiert den Wert der Abrundung der X-Achse in Prozent für alle Eckpunkte. Dieser Wert wird für alle Eckpunkte verwendet, deren Wert -1 beträgt. Einzelne Eckpunkte lassen sich auch unabhängig definieren.

Wird der Wert der Abrundung geändert, werden alle Eckpunkt automatisch auf den Wert -1 gesetzt. Damit werden alle Eckpunkte wieder auf den hier vorgegebenen Wert zurückgesetzt.

Wertbereich: 0 % bis 100 %.

Default Button: 20

Default Rechteck: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerAll_X


ID_ELE_CORNER_ALL_Y

Interne ID: ID_ELE_CORNER_ALL_Y

Alle Y [%]

Nur verfügbar, wenn die Eigenschaft Proportional aktiv ist und die Eigenschaft Über Helligkeitswerte nicht aktiv ist.

Definiert den Wert der Abrundung der Y-Achse in Prozent für alle Eckpunkte. Dieser Wert wird für alle Eckpunkte verwendet, deren Wert -1 beträgt. Einzelne Eckpunkte lassen sich also auch unabhängig definieren.

Wird der Wert der Abrundung geändert, werden alle Eckpunkt automatisch auf den Wert -1 gesetzt. Damit werden alle Eckpunkte wieder auf den hier vorgegebenen Wert zurückgesetzt.

Wertbereich: 0 % bis 100 %

Default Button: 20

Default Rechteck: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerAll_Y


ID_ELE_CORNER_LEFTBOTTOM_X

Interne ID: ID_ELE_CORNER_LEFTBOTTOM_X

Links/Unten X [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.

Die Eigenschaft Über Helligkeitswerte muss deaktiviert sein.

Definiert den Rundungswert der X-Achse für den linken unteren Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung. Mögliche Werte:

  • -1: Die Einstellung aus Alle X [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerLeftBottom_X


ID_ELE_CORNER_LEFTBOTTOM_Y

Interne ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Links/Unten Y [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Zusätzlich muss die Eigenschaft Proportional aktiviert und die Eigenschaft Über Helligkeitswerte deaktiviert sein.

Definiert den Rundungswert der Y-Achse für den linken unteren Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung. Mögliche Werte:

  • -1: Die Einstellung aus Alle Y [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerLeftBottom_Y


ID_ELE_CORNER_LEFTTOP_X

Interne ID: ID_ELE_CORNER_LEFTTOP_X

Links/Oben X [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Die Eigenschaft Über Helligkeitswerte muss deaktiviert sein.

Definiert den Rundungswert der X-Achse für den linken oberen Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung.
Mögliche Werte:

  • -1: Die Einstellung aus Alle X [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerLeftTop_X


ID_ELE_CORNER_LEFTTOP_Y

Interne ID: ID_ELE_CORNER_LEFTTOP_Y

Links/Oben Y [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Zusätzlich muss die Eigenschaft Proportional aktiviert und die Eigenschaft Über Helligkeitswerte deaktiviert sein.

Definiert den Rundungswert der Y-Achse für den linken oberen Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung.
Mögliche Werte:

  • -1: Die Einstellung aus Alle Y [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerLeftTop_Y


ID_ELE_CORNER_PROPORTIONAL

Interne ID: ID_ELE_CORNER_PROPORTIONAL

Proportional

Nur verfügbar wenn die Eigenschaft Über Helligkeitswerte nicht gesetzt ist.

Aktiv: Für die Abrundung der Ecken kann nur der X-Wert eingegeben werden. Der Y-Wert ist immer gleich.

Der bei Alle X [%] eingegebene Prozentwert bezieht sich auf die kürzere Seite (Breite oder Höhe) des Elements.

Inaktiv: Die X- und Y-Werte können frei eingegeben werden. Der X-Wert bezieht auf die Breite des Elementes, der Y-Wert auf die Höhe.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerProportional


ID_ELE_CORNER_RIGHTBOTTOM_X

Interne ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Rechts/Unten X [%]

Nur verfügbar wenn die Eigenschaft Über Helligkeitswerte nicht aktiv ist.

Definiert den Wert der Abrundung der X-Achse für den rechten unteren Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung.

Mögliche Werte:

-1: Die Einstellung aus Alle X [%] wird verwendet.

0 bis 100: Abrundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerRightBottom_X


ID_ELE_CORNER_RIGHTBOTTOM_Y

Interne ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Rechts/Unten Y [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Zusätzlich muss die Eigenschaft Proportional aktiviert und die Eigenschaft Über Helligkeitswerte deaktiviert sein.

Definiert den Rundungswert der Y-Achse für den rechten unteren Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung.
Mögliche Werte:

  • -1: Die Einstellung aus Alle Y [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerRightBottom_Y


ID_ELE_CORNER_RIGHTTOP_X

Interne ID: ID_ELE_CORNER_RIGHTTOP_X

Rechts/Oben X [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Die Eigenschaft Über Helligkeitswerte muss deaktiviert sein.

Definiert den Rundungswert der X-Achse für den rechten oberen Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung.
Mögliche Werte:

  • -1: Die Einstellung aus Alle X [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerRightTop_X


ID_ELE_CORNER_RIGHTTOP_Y

Interne ID: ID_ELE_CORNER_RIGHTTOP_Y

Rechts/Oben Y [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Zusätzlich muss die Eigenschaft Proportional aktiviert und Eigenschaft Über Helligkeitswerte deaktiviert sein.

Definiert den Rundungswert der Y-Achse für den rechten oberen Eckpunkt. Klick auf die Schaltfläche ... öffnet einen Schieberegler zur Einstellung der Rundung.
Mögliche Werte:

  • -1: Die Einstellung aus Alle Y [%] wird verwendet.
  • 0 bis 100: Rundung in Prozent.

Default: -1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CornerRightTop_Y


ID_ELE_DRAGBEGIN

Interne ID: ID_ELE_DRAGBEGIN

DragBegin

VBA Makro, das ausgeführt werden soll, wenn das Ziehen beginnt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DragBegin


ID_ELE_DRAGDROP

Interne ID: ID_ELE_DRAGDROP

DragDrop

VBA Makro, das ausgeführt werden soll, wenn die Maustaste losgelassen wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DragDrop


ID_ELE_DRAGOVER

Interne ID: ID_ELE_DRAGOVER

DragOver

VBA Makro, das ausgeführt werden soll, wenn der Cursor über das Element bewegt wird, während die linke-Taste gedrückt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DragOver


ID_ELE_EMBEDDED_FONT

Interne ID: ID_ELE_EMBEDDED_FONT

Schrift

Auswahl der Schrift, mit der die Darstellung erfolgt.

ACHTUNG: Diese Option funktioniert nur bei eingebetteten Schriften.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Font


ID_ELE_LAYER

Interne ID: ID_ELE_LAYER

Sichtbarkeitsebene

Wählen Sie in der Dropdown Liste eine der 16 Sichtbarkeitsebenen (von 0 bis 15) aus. Mit der Symbolleiste Sichtbarkeitsebenen bestimmen Sie, welche Ebenen im Editor angezeigt oder ausgeblendet werden. Dadurch ist gewährleistet, dass auch komplexe Bilder übersichtlich projektiert werden können. Die Ebenen können individuell genutzt werden. Die Ebenen haben keinen Einfluss auf die Vordergrund-/Hintergrundinformation und keinen Einfluss auf die Darstellung in der Runtime.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Layer


ID_ELE_LIGHTNING

Interne ID: ID_ELE_LIGHTNING

Farbverlauf

Nur verfügbar, wenn Füllmuster auf Farbverlauf gesetzt wurde.
Definiert den Farbverlauf für Elemente.

  • Linear: gleichmäßiger Verlauf
  • Punktuell: Verlauf von den Rändern zum Zentrum
  • Punktuell mit Kanten: Verlauf von den Rändern zum Zentrum mit Kantenbildung
  • Strahlend: Von unten bis zur Mitte , dann Verlauf von Mitte nach oben (nur bei eckiger Form)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Lightning


ID_ELE_LINECOLOR

Interne ID: ID_ELE_LINECOLOR

Linienfarbe

Definiert die Linienfarbe des Elements. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineColorEx


ID_ELE_NUM_BASE_ON

Interne ID: ID_ELE_NUM_BASE_ON

Zahlenbasis anzeigen

Steht nur zur Verfügung, wenn bei der Eigenschaft Zahlenbasis für Anzeige entweder Binär, Hexadezimal oder Oktal ausgewählt wurde.

  • Aktiv: Hinter dem Wert wird eine Kurzbezeichnung für die Zahlenbasis angezeigt.

Folgende Kurzbezeichnung werden angezeigt für:

  • Binär: b
  • Dezimal: (keine Kurzbezeichnung)
  • Exponential: (keine Kurzbezeichnung)
  • Hexadezimal: h
  • Oktal: o

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowValueBasis


ID_ELE_PROP0

Interne ID: ID_ELE_PROP0

Elementname

Vergeben Sie einen Elementname.
Dieser darf nicht leer sein.

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Hinweis für Faceplates: Vergeben Sie für Bildcontainer eindeutig unterscheidbare Namen für die klare Auswahl bei der Konfiguration der Bildumschaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_ELE_PROP1

Interne ID: ID_ELE_PROP1

Fokus wird auf Element gesetzt

Aktiv: Das dynamische Element ist über die Tastatur bedienbar.
Inaktiv: Das dynamische Element kann über die Tastatur nicht erreicht werden.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Tab


ID_ELE_PROP2

Interne ID: ID_ELE_PROP2

Unter WinCE sichtbar

Steuert die Sichtbarkeit von Elementen und Bildern unter Windows CE. Projekte, die unter CE und am PC verwendet werden, können dadurch flexibler gestaltet werden; die Bedienführung für den Benutzer wird verbessert. Es lassen sich zum Beispiel Buttons ausblenden, die zu Bildern führen, die unter CE nicht darstellbar sind (z.B. IPA) .

Aktiv: Das Bild/Element wird auch unter Windows CE dargestellt.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UnderCE


ID_ELE_PROP5

Interne ID: ID_ELE_PROP5

Typ

  • Combobox: Dieses Element wird als Combobox verwendet.
  • Listbox: Dieses Element wird als Listbox verwendet.

Default: Listbox

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ControlType


ID_ELE_PROP10

Interne ID: ID_ELE_PROP10

Startpunkt X [Pixel]

X-Koordinate des oberen linken Eckpunktes des Elements (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartX


ID_ELE_PROP11

Interne ID: ID_ELE_PROP11

Startpunkt Y [Pixel]

Y-Koordinate des oberen linken Eckpunktes des Elements (in Pixel)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartY


ID_ELE_PROP12

Interne ID: ID_ELE_PROP12

Endpunkt X [Pixel]

X-Koordinate des unteren rechten Eckpunktes des Elements (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EndX


ID_ELE_PROP13

Interne ID: ID_ELE_PROP13

Endpunkt Y [Pixel]

Y-Koordinate des unteren rechten Eckpunktes des Elements (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EndY


ID_ELE_PROP14

Interne ID: ID_ELE_PROP14

Breite [Pixel]

Breite des Elements (in Pixel).

Hinweis: Steht bei den Elementen Multibin, Combi-Element, Button und Schalter nur zur Verfügung, wenn für die Eigenschaft Grafikgröße als Wert Angepasst gewählt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Width


ID_ELE_PROP15

Interne ID: ID_ELE_PROP15

Höhe [Pixel]

Höhe des Elements (in Pixel).

Hinweis: Steht bei den Elementen Multibin, Combi-Element, Button und Schalter nur zur Verfügung, wenn für die Eigenschaft Grafikgröße als Wert Angepasst gewählt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Height


ID_ELE_PROP16

Interne ID: ID_ELE_PROP16

Name für Objektliste

Element wird in die Stationsliste des Weltbildes mit dem hier angegebenen Text eingetragen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Stationname


ID_ELE_PROP17

Interne ID: ID_ELE_PROP17

Sichtbar von

Niedrigste Zoomstufe, in der das Element im Weltbild sichtbar sein soll.
Default: -1
Wobei sichtbar in den Zoomstufen von -1 bis -1 bedeutet, dass das Element in allen Zoomstufen angezeigt wird.

Welche Zoomstufen im Weltbild angezeigt werden, wird projektiert über die Projekteigenschaft Grafische Ausprägung -> Runtime allgemein -> Zoomstufen f. Weltbild.

Achtung: Diese Zoomstufe wirkt sich auf alle Bildtypen und Schablonen aus. Wird eine Zoomstufe höher als 0 definiert, dann wird das Element nur im Weltbild angezeigt, da andere Bildtypen automatisch mit der Zoomstufe 0 aufgeschaltet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ZoomMin


ID_ELE_PROP18

Interne ID: ID_ELE_PROP18

Sichtbar bis

Höchste Zoomstufe, in der das Element im Weltbild sichtbar sein soll.

Default: -1
Wobei sichtbar in den Zoomstufen von -1 bis -1 bedeutet, dass das Element in allen Zoomstufen angezeigt wird.

Welche Zoomstufen im Weltbild angezeigt werden, wird projektiert über die Projekteigenschaft Grafische Ausprägung -> Runtime allgemein -> Zoomstufen f. Weltbild.

Achtung: Diese Zoomstufe wirkt sich auf alle Bildtypen und Schablonen aus. Wird eine Zoomstufe höher als 0 definiert, dann wird das Element nur im Weltbild angezeigt, da andere Bildtypen automatisch mit der Zoomstufe 0 aufgeschaltet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ZoomMax


ID_ELE_PROP19

Interne ID: ID_ELE_PROP19

Schrift

Auswahl der Schriftart, mit der die Darstellung erfolgt.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Die ausgewählte Schrift wird verknüpft.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LinkedFont


ID_ELE_PROP20

Interne ID: ID_ELE_PROP20

Init

VBA Makro, das beim Initialisieren des Elements ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Init


ID_ELE_PROP21

Interne ID: ID_ELE_PROP21

LeftClickUp

VBA Makro, das beim Loslassen der linken Maustaste auf dem Element ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LeftClickUp


ID_ELE_PROP22

Interne ID: ID_ELE_PROP22

LeftClickDown

VBA Makro, das beim Drücken der linken Maustaste auf dem Element ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LeftClickDown


ID_ELE_PROP23

Interne ID: ID_ELE_PROP23

LeftDoubleClick

VBA Makro, das beim Doppelklicken der linken Maustaste auf dem Element ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LeftDClick


ID_ELE_PROP24

Interne ID: ID_ELE_PROP24

RightClickUp

VBA Makro, das beim Loslassen der rechten Maustaste auf dem Element ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RightClickUp


ID_ELE_PROP25

Interne ID: ID_ELE_PROP25

RightClickDown

VBA Makro, das beim Drücken der rechten Maustaste auf dem Element ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RightClickDown


ID_ELE_PROP26

Interne ID: ID_ELE_PROP26

RightDoubleClick

VBA Makro, das beim Doppelklicken der rechten Maustaste auf dem Element ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RightDClick


ID_ELE_PROP27

Interne ID: ID_ELE_PROP27

SetFocus

VBA Makro, das ausgeführt werden soll, wenn das Element den Focus erhält.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetFocus


ID_ELE_PROP28

Interne ID: ID_ELE_PROP28

KillFocus

VBA Makro, das ausgeführt werden soll, wenn das Element den Focus verliert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KillFocus


ID_ELE_PROP29

Interne ID: ID_ELE_PROP29

Draw

VBA Makro, das ausgeführt werden soll, wenn das Element am Bildschirm neu gezeichnet wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Draw


ID_ELE_PROP30

Interne ID: ID_ELE_PROP30

Kontextmenü

Kontextmenü für das Element.
Ein Klick mit der rechten Maustaste auf das Element öffnet das Kontextmenü in der Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Menu


ID_ELE_PROP31

Interne ID: ID_ELE_PROP31

Tooltip

Text, der in der Runtime als Tooltip für das Element angezeigt werden soll. Ein Tooltip wird in der Runtime automatisch angezeigt, wenn der Mauszeiger eine Weile über dem Element still steht. Zeilenumbrüche können mit \n eingefügt werden.

  • Maximum: 79 Zeichen
    Achtung: Die Zeichenkombination \n wird für die 79 Zeichen Begrenzung mitgezählt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Tooltip


ID_ELE_PROP32

Interne ID: ID_ELE_PROP32

Hilfe-Datei

Hilfe-Datei (*.chm), die für dieses Element in Verbindung mit einem Kontextmenü verwendet werden soll. Klick auf ... öffnet den Dateiauswahldialog.
Achtung: Nur Hilfe-Dateien, die im Knoten Dateien/Hilfe bereits vorhanden sind, stehen zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Helpfile


ID_ELE_PROP33

Interne ID: ID_ELE_PROP33

Hilfe-Kapitel

Hilfe-Kapitel, das für dieses Element in Verbindung mit einem Kontextmenü verwendet werden soll. Name der zugrunde liegenden HTML Seite.
Achtung: Dieser Eintrag berücksichtigt Groß-/Kleinschreibung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HelpCapture


ID_ELE_PROP34

Interne ID: ID_ELE_PROP34

MouseOver

VBA Makro, das ausgeführt werden soll, wenn der Cursor über das Element bewegt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseOver


ID_ELE_PROP35

Interne ID: ID_ELE_PROP35

Sollwert setzen

  • Aktiv: Für das entsprechende Dynamische Element ist das Setzen von Sollwerten erlaubt.
  • Inaktiv: Das Element ist schreibgeschützt.

Nicht verfügbar für Element Dynamischer Text, wenn es im Bild auf read only gesetzt wurden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsSetValue


ID_ELE_PROP36

Interne ID: ID_ELE_PROP36

Sollwert/Ändern um

Wert, der als Sollwert abgesetzt oder als Default vorgeschlagen werden soll.
Wenn "aktuellen Wert vorschlagen" aktiv ist: Wert, der zum aktuellen Wert addiert wird.
In Kombination mit der Eigenschaft "ohne Dialog" lässt sich so ein Inkrement- (positiver Wert) bzw. Dekrement- (negativer Wert) Schalter realisieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValue


ID_ELE_PROP37

Interne ID: ID_ELE_PROP37

Sollwert Text

Text, der zur Runtime als Vorschlag für das Sollwertsetzen verwendet wird.

Nur verfügbar, wenn folgende Bedingungen zutreffen:

  • Eigenschaft Sollwert setzen ist aktiv
  • Eigenschaft aktuellen Wert vorschlagenist inaktiv
  • verknüpfte Variable ist vom Typ STRING

Maximale Textlänge: abhängig vom Wert der Eigenschaft Stringlänge für die verknüpfte Variable

Hinweis: Wird diese Eigenschaft bei deaktivierter Eigenschaft ohne Dialog verwendet, dann wird zur Runtime der Wert direkt in das Element geschrieben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueText


ID_ELE_PROP38

Interne ID: ID_ELE_PROP38

Bild

Verknüpftes Bild, das im Bildcontainer dargestellt wird. Klick auf Schaltlfäche ... öffnet Dialog zur Auswahl eines Bilds.

Zulässige Bildtypen: AML, AML-Filter, Anlagenmodell, CEL, CEL-Filter, ETM, HTML, Report Generator, Report Viewer, Standard, Zeit-Filter

Mehr Im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PictureContainerPictureName


ID_ELE_PROP39

Interne ID: ID_ELE_PROP39

Minimum

Untergrenze des erlaubten Bereiches für den Sollwert.
Nur verfügbar, wenn "Sollwertgrenzen von Variable übernehmen" nicht aktiv ist.

Achtung: Der hier eingegebene Wert wird ignoriert, wenn eine Variable für das dynamische Sollwert-setzen-Minimum ausgewählt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Min


ID_ELE_PROP40

Interne ID: ID_ELE_PROP40

Maximum

Obergrenze des erlaubten Bereiches für den Sollwert.
Nur verfügbar, wenn "Sollwertgrenzen von Variable übernehmen" nicht aktiv ist.

Achtung: Der hier eingegebene Wert wird ignoriert, wenn eine Variable für das dynamische Sollwert-setzen-Maximum ausgewählt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Max


ID_ELE_PROP41

Interne ID: ID_ELE_PROP41

ohne Dialog

Aktiv: Der eingetragene Wert wird ohne Möglichkeit einer Änderung in der Runtime als Sollwert abgesetzt.
Inaktiv: Vor dem Schreiben auf die Hardware hat der Anwender in der Runtime die Möglichkeit den Wert noch zu ändern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HWDirect


ID_ELE_PROP42

Interne ID: ID_ELE_PROP42

aktuellen Wert vorschlagen

Aktiv: Der aktuelle Prozesswert der Variablen wird beim Setzen als Sollwert vorgeschlagen.
In diesem Fall wird der Wert unter "Sollwert / Ändern um" vor dem absetzen zum aktuellen Wert addiert (positiver Wert) oder von ihm subtrahiert (negativer Wert).
Inaktiv: Der in "Sollwert / Ändern um" definierte Wert wird vorgeschlagen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Preset


ID_ELE_PROP43

Interne ID: ID_ELE_PROP43

Sollwertgrenzen von Variable übernehmen

Aktiv: Die Einschränkung des Bereichs, in dem Sollwerte abgesetzt werden dürfen, wird nicht unter “Minimum” und “Maximum” definiert sondern aus der Variablendefinition übernommen.
Inaktiv: Die Einschränkung des Bereichs kann direkt in "Minimum" und "Maximum" eingegeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitFromVar


ID_ELE_PROP44

Interne ID: ID_ELE_PROP44

Sollwert setzen über

Konfiguration, wie der Sollwert abgesetzt wird.
Auswahl aus Dropdownliste:

  • Befehlsgabe: Der neue Wert wird über die Befehlsgabe gesetzt. Für die Eingabe wird das Bild geöffnet das in der Befehlsgruppe der verknüpfter Variable definiert ist.
  • Eingabemaske: Der neue Wert wird über die Standard-Eingabemaske eingegeben. Wenn ein Bild des Bildtyps Keyboard mit dem Namen SETVALUEKBD (für numerische Variablen) oder SETSTRINGKBD (für String-Variablen) existiert, wird dieses Bild anstelle der Standard-Eingabemaske verwendet.
    Hinweis: Ist das Element mit einer Funktion verknüpft, die Eingaben erlaubt, dann wird Keyboardbild verwenden automatisch aktiviert. Ist in der Eigenschaft Keyboardbild ein Bild verknüpft, wird dieses verwendet. Ansonsten wird ein Keyboard vom Typ SETSTRINGKBD verwendet.
  • Element: Der neue Wert wird direkt im Element eingegeben (nur bei den Elementen Zahlenwert und Text).
  • Programm: Der neue Wert wird in einem externen Programm eingegeben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueWith


ID_ELE_PROP45

Interne ID: ID_ELE_PROP45

Vorschau im Editor anzeigen

Aktiv: Vorschau des verknüpften Bildes wird im Editor angezeigt.
Bei Performanceproblemen wird die Deaktivierung empfohlen.

Standard: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowPreviewInEditor


ID_ELE_PROP46

Interne ID: ID_ELE_PROP46

Berechtigungsebene

Passwortlevel für das Setzen von Sollwerten oder das Ausführen von Funktionen mit dem ausgewählten dynamischen Element.
Minimum: 0
Maximum: 127
Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Passwordlevel


ID_ELE_PROP47

Interne ID: ID_ELE_PROP47

Signatur erforderlich

Aktiv: Die Bedienung des Elements erfordert eine Signatur.

Auch bei einem bereits eingeloggten Benutzer wird hier aus Sicherheisgründen nochmals das Passwort abgefragt. Der Signaturtext wird nach erfolgreicher Bedienung in der Chronologischen Ereignisliste (CEL) protokolliert.

Achtung: Nur eingeloggte Benutzer können eine Aktion signieren. Ein temporäres Login ist bei zu signierenden Aktionen nicht möglich

Inaktiv: Keine Signatur ist erforderlich.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Signature


ID_ELE_PROP48

Interne ID: ID_ELE_PROP48

Signaturtext

Dieser Text wird beim Signieren in der Chronologischen Ereignisliste (CEL) mitprotokolliert oder wird in der Runtime als Default vorgeschlagen, wenn die Signatur in den Projekteigenschaften als editierbar definiert wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SignatureText


ID_ELE_PROP49

Interne ID: ID_ELE_PROP49

Externes Programm

Nur verfügbar, wenn für das Sollwert Setzen externes Programm ausgewählt wurde:
Das Setzen des Sollwerts wird über ein externes Programm ausgeführt, das in der hier aufgeschalteten Dialogbox ausgewählt werden muss.

Diese Programm wird dann gestartet und erhält folgende Parameter:
1) Name der verknüpften Variable
2) Vorschlagswert, wie in den entsprechenden Eigenschaften definiert
3) linke Koordinate des Elements in Pixel
4) obere Koordinate des Elements in Pixel
5) rechte Koordinate des Elements in Pixel
6) untere Koordinate des Elements in Pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definiert
8) erlaubtes Maximum für den Sollwert, wie in den entsprechenden Eigenschaften definiert

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetProgram


ID_ELE_PROP50

Interne ID: ID_ELE_PROP50

Signaturtext editierbar

Definiert, ob der Signaturtext bearbeitet werden darf. Auswahl aus Dropdownliste:

  • Projekteinstellungen übernehmen: Die Einstellungen der Projekt-Eigenschaft Signaturtext editierbar gelten.
  • Ja: Text darf bearbeitet werden.
  • Nein: Text darf nicht bearbeitet werden.

Default: Projekteinstellungen übernehmen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SignatureEditModus


ID_ELE_PROP51

Interne ID: ID_ELE_PROP51

Grenzwerttext anzeigen

Aktiv: Der Zustands-/Grenzwerttext der zugeordneten Variable wird im Element angezeigt.
Inaktiv: Kein Text wird angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ContitionText


ID_ELE_PROP52

Interne ID: ID_ELE_PROP52

Nur Füllfläche einfärben

Aktiv: Bei Kreisen, Polygonen und Rechtecken, die dem verknüpften Symbol zugeordnet sind, wird nur die Füllfarbe nach der Farbdefinition der Variable geändert. Die Farbe der Umrandung bleibt erhalten.
Inaktiv: Auch die Umrandung wird entsprechend gefärbt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillArea


ID_ELE_PROP58

Interne ID: ID_ELE_PROP58

Funktion

Name der verknüpften Funktion.
Öffnet den Funktionsauswahldialog.
Diese Funktion wird ausgeführt, wenn der Button in der Runtime mit der Maus angeklickt oder die verknüpfte Tastenkombination gedrückt wird.
Wenn hier mehr als eine Funktion ausgeführt werden soll, so muss ein Skript mit den gewünschten Funktionen erstellt und die Funktion zum Ausführen des Skripts hier verknüpft werden.

NurSICAM 230 und Element Bild-Alarmierung:

Zusätzlich zur Standardeigenschaft Bildumschaltungwird durch die verknüpfte Funktion das Bild ermittelt, dessen Alarmzustände angezeigt werden sollen.
Obligat (außer bei Einstellung Globalaktiv)!

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_ELE_PROP59

Interne ID: ID_ELE_PROP59

Variable

Name der verknüpften Variable. Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.
Der Wert dieser Variable wird in diesem Element angezeigt und kann hier auch gesetzt werden.

Hinweis: Für Buttons nur verfügbar, wenn sie als Schalter verwendet werden.

Tipp: Wenn der Variablenwert getoggelt werden soll, empfehlen wir, die Eigenschaft Variable ständig lesen zu aktivieren. Anderenfalls wartet die Runtime bis der Treiber den Wert der Variablen kennt. Steht der Wert aufgrund eines Kommunikationsverlusts mit der Steuerung nicht zur Verfügung, entspricht die Wartezeit der Timeout-Zeit des Treibers.

Nur SICAM 230 und Element Bild-Alarmierung:
Die obige Beschreibung betrifft nur die Elemente Textbutton, Bitmapbutton und Unsichtbarer Button.
Bedeutung in SICAM 230: Auf die ausgewählte Variable (32 Bit) werden die Zustände der Alarm/Ereignis-Klassen abgebildet. Je Klasse werden 2 Bits beschrieben (nach Klassennummer aufsteigend).

  • Niederwertiges Bit: Alarm aktiv/inaktiv
  • Höherwertiges Bit: Alarm quittiert/unquittiert

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


ID_ELE_PROP60

Interne ID: ID_ELE_PROP60

Schalter

Nur verfügbar wenn die Eigenschaft Sollwert setzen nicht aktiviert wurde.

Aktiv: Das Element schaltet den Wert einer Bit-Variable.
Inaktiv: Das Element führt eine Funktion aus.
Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Switch


ID_ELE_PROP61

Interne ID: ID_ELE_PROP61

Taster

Nur verfügbar, wenn Schalter aktiv ist. (Ausnahme: Im Dynamischen Element Schalter immer verfügbar.)
Aktiv: Der Sollzustand - definiert in der Eigenschaft Taster EIN - wird nur solange hergestellt, wie die linke Maustaste gedrückt bleibt, aber mindestens die Haltezeit [ms] lang.
Inaktiv: Der Sollzustand bleibt, auch wenn die Maustaste losgelassen wird.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Scanner


ID_ELE_PROP62

Interne ID: ID_ELE_PROP62

Taster EIN

Nur verfügbar, wenn Taster aktiv ist:
Aktiv: Taster schaltet auf EIN.
Inaktiv: Taster schaltet auf AUS.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ScannerOn


ID_ELE_PROP63

Interne ID: ID_ELE_PROP63

Sofortreaktion

Nur verfügbar, wenn Schalter aktiv ist:
Aktiv: Der Schalter ändert in der Runtime sofort seine Stellung, unabhängig davon, ob das verknüpfte Bit in der Steuerung tatsächlich gesetzt wurde, oder nicht. Im nächsten Treiberupdatezyklus wird das Bit dann aus der Steuerung gelesen. Der Schalter wird dann an die tatsächliche Bitstellung in der Steuerung wieder angepasst.
Achtung: Der Schalter ist optisch erst wieder bedienbar, wenn der Wert aus der Steuerung gelesen wurde.

Inaktiv: Der Schalter ändert seine Stellung erst, nachdem das Bit zur SPS abgesetzt und dann wieder gelesen wurde.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FastReaction


ID_ELE_PROP64

Interne ID: ID_ELE_PROP64

Haltezeit [ms]

Nur verfügbar, wenn Schalter aktiv ist:
Wenn Taster aktiv ist: Zeit (in ms), die ein Zustand gehalten wird, ausgehend vom Linksklick auf das entsprechende Element.

Wenn Taster inaktiv ist: Reaktionsverzögerung auf Linksklick.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ReactionTime


ID_ELE_PROP65

Interne ID: ID_ELE_PROP65

Tastenkombination

Tastenkombinationen unterstützen das Ausführen bedienbarer Bildelemente. Zum Beispiel:

- Ausführen von Kontrollelementen und Funktionen, die einem Element zugewiesenen wurden
- Sollwert Absetzen (z. B. bei Schalter)
- Fokus setzen bei bestimmten Fenstern (z.B. Kurvenliste im Erweiteren Trend oder Comboboxen im RGM)

Klick auf Eingabefeld öffnet Dialog zur Definition der Tastenkombination. Im Dialog wird die gewünschte Kombination direkt eingegeben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShortCut


ID_ELE_PROP66

Interne ID: ID_ELE_PROP66

Grafikdatei

Grafik, die auf dem Button im ungedrückten Zustand dargestellt werden soll (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Klick auf die Schaltfläche ... öffnet den Dateiauswahldialog.

Hinweis: Wenn für die Eigenschaft Grafikgröße Originalgröße gewählt wurde, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FileName


ID_ELE_PROP67

Interne ID: ID_ELE_PROP67

Grafikdatei für Aus (0)

Vordefinierte oder benutzerdefinierte Grafikdatei für den Aus-Zustand des Schalters.

Hinweis: Wenn für die Eigenschaft Grafikgröße Originalgröße gewählt wurde, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapLow


ID_ELE_PROP68

Interne ID: ID_ELE_PROP68

Grafikdatei für Ein (1)

Vordefinierte oder benutzerdefinierte Grafikdatei für den Ein-Zustand des Schalters.

Hinweis: Wenn für die Eigenschaft Grafikgröße Originalgröße gewählt wurde, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapHigh


ID_ELE_PROP69

Interne ID: ID_ELE_PROP69

Um Nullpunkt

Wirkt sich nur auf die Darstellung von Werten mit Vorzeichen aus:
Aktiv: Der Balken reicht von Null bis zum aktuellen Wert der verknüpften Variable.
Inaktiv: Der Balken reicht vom niedrigsten angezeigten Wert bis zum aktuellen Wert der verknüpften Variable.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FromZero


ID_ELE_PROP70

Interne ID: ID_ELE_PROP70

Anzeigetyp

Absolutzeit: Es wird die Zeit der Systemuhr mit den entsprechenden Formatierungen angezeigt.
Zeitdifferenz: Der Wert einer verknüpften Variablen wird im eingestellten Zeitformat dargestellt.
Default: Absolutzeit.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ViewType


ID_ELE_PROP71

Interne ID: ID_ELE_PROP71

Formatierung

Format der Zeit-/Datumsanzeige.
Ein Formatierungsstring wird aus der Liste ausgewählt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Format


ID_ELE_PROP72

Interne ID: ID_ELE_PROP72

Zweizeilige Darstellung

Nur verfügbar bei absoluter Zeit:
Aktiv: Bei der gleichzeitigen Darstellung von Zeit und Datum wird in der ersten Zeile die Zeit und in der zweiten Zeile das Datum angezeigt.
Inaktiv: Datum und Uhrzeit werden in einer Zeile dargestellt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwoLines


ID_ELE_PROP73

Interne ID: ID_ELE_PROP73

Trennzeichen

Nur verfügbar mit Zeitdifferenz:
Trennzeichen für die Darstellung von Uhrzeit/Datum.
(z.B. : in 10:15)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Separator


ID_ELE_PROP75

Interne ID: ID_ELE_PROP75

Symbol

Aus der Liste der im Bild vorhandenen Symbole kann ein Symbol ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Symbol


ID_ELE_PROP76

Interne ID: ID_ELE_PROP76

Text

Nur verfügbar, wenn eine numerische Variable verknüpft wurde und für die Eigenschaft Anzeigetext Grenzwerttext gewählt wurde.

Eingabe des Textes, der zur Runtime angezeigt wird, wenn keine Grenzwertverletzung ansteht. Bei einer Grenzwertverletzung wird der bei der Variable konfigurierte Grenzwerttext angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynText


ID_ELE_PROP77

Interne ID: ID_ELE_PROP77

Linienart

Auswahl des Linientyps für das Element aus der Liste.
Achtung: Wurde in den Projekteigenschaften im Knoten Grafische Ausprägung die Eigenschaft Grafikqualität auf Windows Basis gesetzt, dann kann die Linienbreite >1 nur mit einer Linie des Typs "durchgehende Linie" verwendet werden.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineType


ID_ELE_PROP78

Interne ID: ID_ELE_PROP78

Füllmuster

Auswahl des Füllmusters für das Element aus der Liste.

Diese Eigenschaft ist nur dann verfügbar, wenn die Eigenschaft Über Helligkeitswerte inaktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillPattern


ID_ELE_PROP79

Interne ID: ID_ELE_PROP79

Bildtyp-spezifische Aktion

Nur verfügbar in Bildern mit einem speziellen Bildtyp (Bildtyp ist nicht Standard):
Verknüpfung mit einer Bildtyp-spezifischen Funktion. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer für diesen Bildtyp spezifischen Funktion. Diese Funktion wird ausgeführt, wenn der Button in der Runtime mit der Maus angeklickt oder die verknüpfte Tastenkombination gedrückt wird.

Achtung: Zusätzlich zu einer Bildtyp-spezifischen Funktion kann auch eine allgemeine Funktion mit dem Button verknüpft werden. Beachten Sie in diesem Fall die Reihenfolge der Ausführung beim Betätigen des Buttons: Zuerst wird die Bildtyp-spezifische Funktion ausgeführt. Erst wenn diese beendet ist, wird die allgemeine Funktion ausgeführt. Sollten zur Runtime VBA-Ereignisse mit dem Button verknüpft sein, werden diese vor den Funktionen ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MDIFunction


ID_ELE_PROP80

Interne ID: ID_ELE_PROP80

Beschriftung

Beschriftung des Elements im Editor.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Legend


ID_ELE_PROP81

Interne ID: ID_ELE_PROP81

Style L

Windows-Style des Elements, nur für internen Gebrauch.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StyleL


ID_ELE_PROP82

Interne ID: ID_ELE_PROP82

Style H

Windows-Style des Elements, nur für internen Gebrauch.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StyleH


ID_ELE_PROP83

Interne ID: ID_ELE_PROP83

Horizontal

Horizontaler Bezugspunkt des Elements. Mögliche Werte sind: links, zentriert, rechts.
Dieser Punkt wird als Ausgangspunkt für die Berechnung des Startwinkels für das Drehen (statisch und dynamisch) sowie für die dynamische Größenänderung verwendet.

Default: Links

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HorizontalOrigin


ID_ELE_PROP84

Interne ID: ID_ELE_PROP84

Vertikal

Vertikaler Bezugspunkt des Elements. Mögliche Werte sind: oben, zentriert, unten.
Dieser Punkt wird als Ausgangspunkt für die Berechnung des Startwinkels für das Drehen (statisch und dynamisch) sowie für die dynamische Größenänderung verwendet.

Default: Oben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VerticalOrigin


ID_ELE_PROP85

Interne ID: ID_ELE_PROP85

Bildsymbolnummer

Eindeutige Nummer des Symbols oder der Elementgruppe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PropSymbolNumber


ID_ELE_PROP86

Interne ID: ID_ELE_PROP86

Symbolname

Name des Symbols.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LinkName


ID_ELE_PROP91

Interne ID: ID_ELE_PROP91

Minimum

Kleinster Variablenwert, der im Element dargestellt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ViewMin


ID_ELE_PROP92

Interne ID: ID_ELE_PROP92

Maximum

Größter Variablenwert, der im Element dargestellt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ViewMax


ID_ELE_PROP93

Interne ID: ID_ELE_PROP93

Absolutbetrag

Für Element Zahlenwert nur verfügbar, wenn Wert in Prozent anzeigen inaktiv ist.

  • Aktiv: Anzeige des Variablenwerts ohne Vorzeichen (-200 = 200).
  • Inaktiv: Normale Darstellung des Wertes.

Default: inaktiv

Hinweis: Die Sollwert-Eingabe erfolgt in diesem Fall in Prozent.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Absolute


ID_ELE_PROP97

Interne ID: ID_ELE_PROP97

GIF-Animation immer

Aktiv: Die Animation läuft immer.
Inaktiv: Die Animation wird nicht ausgeführt. Optional kann mit einer verknüpften Variable die Animation ein- und ausgeschalten werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Animate


ID_ELE_PROP98

Interne ID: ID_ELE_PROP98

Variable

Bit-Variable, die die Animation ein und aus schaltet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AnimateVar


ID_ELE_PROP99

Interne ID: ID_ELE_PROP99

Kategorie

Begriff zur Kategorisierung. Nach dieser Eigenschaft kann auch gefiltert bzw. gruppiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Category


ID_ELE_PROP100

Interne ID: ID_ELE_PROP100

Beschreibung

Nähere Beschreibung des Symbols oder der Elementgruppe. Nach dieser Eigenschaft kann auch gefiltert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


ID_ELE_PROP101

Interne ID: ID_ELE_PROP101

Textfarbe

Textfarbe des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColor


ID_ELE_PROP102

Interne ID: ID_ELE_PROP102

Füllfarbe

Nur verfügbar, wenn die Eigenschaft Transparent auf inaktiv geschaltet wurde.

Definiert die Füllfarbe des Elements. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein. Die Füllfarbe kann dynamisch geändert werden über die Eigenschaft Füllfarbe aus der Gruppe Füllfarbe(n) dynamisch .

Hinweis: Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Achtung: Im Weltbild Übersichtsfenster haben Farbänderungen im Editor keine Auswirkung zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor


ID_ELE_PROP103

Interne ID: ID_ELE_PROP103

Balkenfarbe

Farbe für den Balken des Bargraphen. Die eingestellte Farbe wird verwendet, wenn keine Grenzwertverletzung der Variable ansteht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColor


ID_ELE_PROP104

Interne ID: ID_ELE_PROP104

Transparent

Einstellungen für Transparenz.

  • Aktiv: Stellt das Element transparent dar.

Default: inaktiv

Bei einem Button bewirkt diese Option einen Unsichtbaren Button. Dieser kann als unsichtbare Schaltfläche über andere Elemente gelegt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Transparent


ID_ELE_PROP108

Interne ID: ID_ELE_PROP108

Füllfarbe

Füll- bzw. Hintergrundfarbe des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor


ID_ELE_PROP109

Interne ID: ID_ELE_PROP109

Symbolgruppe

Definiert die Gruppenzugehörigkeit des Symbols. Dieser Wert kann nicht geändert werden. Symbole aus der Symbolbibliothek im Globalprojekt oder im lokalen Projekt erhalten den Wert Project.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Group


ID_ELE_PROP111

Interne ID: ID_ELE_PROP111

Text Zeile 1

Erste Textzeile im Button.
Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Um das &-Zeichen selbst darzustellen muss ”&&” eingegeben werden.

Mit der Zeichenfolge \n kann ein Zeilenumbruch erzwungen werden.

Achtung: Um \n zu nutzen, muss die Eigenschaft Text Zeile 2 leer bleiben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text1


ID_ELE_PROP112

Interne ID: ID_ELE_PROP112

Text Zeile 2

Zweite Textzeile im Button.
Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Um das &-Zeichen selbst darzustellen muss ”&&” eingegeben werden.

Hinweis: Diese Eigenschaft dient der Kompatibilität mit älteren Versionen. In aktuellen Versionen: Eigenschaft Text Zeile 1 verwenden und neue Zeilen mit \n beginnen.

Achtung:

  • Diese Zeile muss leer bleiben, wenn der automatische Zeilenumbruch verwendet werden soll.
  • Ist diese Eigenschaft projektiert, wird die Eigenschaft Text bei gedrückt deaktiviert und kann zur Runtime nicht verwendet werden. Bereits projektierte Inhalte der Eigenschaft Text bei gedrückt werden ausgegraut und deaktiviert.
    Bereits ein Leerzeichen gilt als gültige Projektierung und sperrt die Textdarstellung bei gedrücktem Button!
    Eine nachträgliche Projektierung der Eigenschaft Text Zeile 2 deaktiviert ebenfalls die bestehende Projektierung in der Eigenschaft Text bei gedrückt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text2


ID_ELE_PROP113

Interne ID: ID_ELE_PROP113

Automatischer Zeilenumbruch

  • Aktiv: Automatischer Zeilenumbruch wird für den Text im Element verwendet.
    Die Länge der Zeilen hängt von der Breite des Elements ab.
  • Inaktiv: Der Text wird in einer Zeile dargestellt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Wordbreak


ID_ELE_PROP114

Interne ID: ID_ELE_PROP114

Text bei gedrückt

Text des Buttons in der Runtime bei gedrücktem Zustand.
Die Zeichfolge \n erzwingt neue Zeile der Beschriftung.

Achtung: Ist diese Eigenschaft Text Zeile 2 projektiert, wird die Eigenschaft Text bei gedrückt deaktiviert und kann zur Runtime nicht verwendet werden. Bereits projektierte Inhalte der Eigenschaft werden ausgegraut und deaktiviert. Dies gilt auch, wenn die Text Zeile 2 Eigenschaft nachträglich mit Inhalt befüllt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DownText


ID_ELE_PROP115

Interne ID: ID_ELE_PROP115

Funktionausführung beim Drücken

Aktiv: Die verknüpfte Funktion wird beim Drücken des Elements ausgeführt.
Inaktiv: Die verknüpfte Funktion wird beim loslassen des Elements ausgeführt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FktOnDown


ID_ELE_PROP116

Interne ID: ID_ELE_PROP116

Button Form

Form des Buttons:

  • Eckig: Die Ecken des Buttons sind scharf, Rundungen werden über die Eigenschaften der Gruppe Abrundung eingestellt.
  • Rund: Der Button wird rund dargestellt.

Default: Eckig

Abhängig von dieser Einstellung sind die Einstellungen für den Farbverlauf.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BtnStyleBorder


ID_ELE_PROP117

Interne ID: ID_ELE_PROP117

Farbverlauf invertiert

Nur verfügbar, wenn als Füllmuster Farbverlauf ausgewählt ist.
Aktiv: Der Helligkeitsverlauf wird invertiert.
Inaktiv: Der Helligkeitsverlauf wird nicht invertiert.
Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BtnStyleInvert


ID_ELE_PROP118

Interne ID: ID_ELE_PROP118

Füllung

Füllung des Buttons:
einfarbig: Kein Verlauf
linear: gleichmäßiger Verlauf
strahlend: Von unten bis zur Mitte Füllfarbe 1, dann Verlauf von Mitte nach oben
punktuell: Verlauf von den Rändern zum Zentrum

punktuell mit Kanten: Verlauf von den Rändern zum Zentrum mit Kantenbildung

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BtnStyleFill


ID_ELE_PROP121

Interne ID: ID_ELE_PROP121

Status der Variable anzeigen

Grafische Anzeige des Status der Variable. Auswahl aus Checkbox.

  • Aktiv: Der Status der Variablen wird durch ein farbiges Quadrat am Element angezeigt.

    Farbe:

    • rotes Quadrat:
      Nicht vorhandene Kommunikation mit der SPS.
      Beispiel: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • blaues Quadrat(N_UPDATE):
      am Netzwerk-Client :
      der Client hat seine Verbindung zum Prozessführenden Server verloren.

      Bei Einzelplatz-Integrationsprojekt:
      der Prozessführende Server des Unterprojekts hat die Daten noch nicht geliefert.
    • gelbes Quadrat (PR_NR):
      Visualisiert zur Runtime während der Wiedergabe im Prozess-Rekorder, dass die Variable nicht aufgezeichnet wurde. In der Wiedergabe ist daher kein Wert bekannt.

    Position:
    Die Position des Quadrats am Element ist abhängig von der Elementform:

    • eckig und alle anderen Elemente:
      rechte obere Ecke
    • rundes Element:
      oben, in der Mitte
    • abgerundetes Element:
      rechte obere Ecke, leicht nach links versetzt
  • Inaktiv: Der Status wird nicht angezeigt.
    Deaktiviert auch die Anzeige von zusätzlichen Variablen-Informationen bei Rechts-Mausklick.

Default: aktiviert

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowState


ID_ELE_PROP122

Interne ID: ID_ELE_PROP122

Ausrichtung horizontal

Horizontale Ausrichtung des Wertes für die Anzeige.
Auswahl aus Dropdownliste:

  • Links
  • Rechts
  • Zentriert

Default: zentriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HorizontalAlign


ID_ELE_PROP123

Interne ID: ID_ELE_PROP123

Ausrichtung vertikal

Vertikale Ausrichtung des Wertes für die Anzeige.
Auswahl aus Dropdownliste:

  • Oben
  • Unten
  • Zentriert

Default: zentriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VerticalAlign


ID_ELE_PROP124

Interne ID: ID_ELE_PROP124

Elementrahmen

Dropdownliste zur Auswahl der Rahmenart. Zur Verfügung stehen:

Für das Element Button

  • Dünner Rahmen
  • 3D

Default: Dünner Rahmen

Für andere Dynamische Elemente

  • Kante erhöht
  • Kante vertieft
  • Kein Rahmen
  • Klassisch erhöht
  • Klassisch vertieft
  • Rand erhöht
  • Rand vertieft

Default: Kein Rahmen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Frame


ID_ELE_PROP125

Interne ID: ID_ELE_PROP125

Maßeinheit anzeigen

Nur verfügbar:
Allgemein: wenn die Eigenschaft Wert anzeigen aktiviert wurde.
Bei Element Uhr : wenn als Anzeigetyp Zeitdifferenz gewählt wurde.
Bei Element Zeigerinstrument: wenn Eigenschaft 3D aktiviert wurde.

Aktiv: Die technische Einheit der verknüpften Variable wird hinter dem Wert angezeigt.
Wird der Wert in Prozent dargestellt, so wird das Prozentzeichen % anstatt der technischen Einheit der verknüpften Variable verwendet.
Inaktiv: Die technische Einheit wird nicht angezeigt.
Default: aktiv.

Hinweis:

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowUnit


ID_ELE_PROP126

Interne ID: ID_ELE_PROP126

Wert in Prozent anzeigen

  • Aktiv: Der Wert der Variable wird in 0 - 100% dargestellt.
  • Inaktiv: Der Wert wird wie gewohnt dargestellt.

Wertebereich:

  • Messbereich Minimum: 0%
  • Messbereich Maximum: 100%

Die Umrechnung erfolgt linear. Auch Sollwert-Eingaben erfolgen in Prozent.
Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Percentage


ID_ELE_PROP127

Interne ID: ID_ELE_PROP127

3D

Aktiv: Das Element wird 3-dimensional dargestellt.
Inaktiv: Das Element wird flach dargestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ThreeDimensional


ID_ELE_PROP129

Interne ID: ID_ELE_PROP129

Prozentdarstellung

Aktiv: Der Wert der Variable wird in 0-100% dargestellt.
0% = Messbereich Minimum
100% = Messbereich Maximum
Die Umrechnung erfolgt linear. Auch Sollwert-Eingaben erfolgen in Prozent.
Inaktiv: Der Wert wird wie gewohnt dargestellt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Percentage


ID_ELE_PROP130

Interne ID: ID_ELE_PROP130

Band

Nur verfügbar, wenn die Eigenschaft Teilkreis nicht aktiviert ist.

  • Aktiv: Der Wert wird mit einem Band vom minimalen Wert bis zum aktuellen Wert dargestellt.
  • Inaktiv: Kein Band wird angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Ribbon


ID_ELE_PROP131

Interne ID: ID_ELE_PROP131

Teilkreis

Nur verfügbar, wenn die Eigenschaft Band nicht aktiviert ist.

  • Aktiv: Der Wert wird mit einem Teilkreis vom minimalen Wert bis zum aktuellen Wert dargestellt.
  • Inaktiv: Kein Teilkreis wird angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Pie


ID_ELE_PROP132

Interne ID: ID_ELE_PROP132

Explizit

Diese Eigenschaft wirkt sich nur auf die Darstellung von Werten mit definierten Grenzwerten aus Variablen aus.
Grenzwerte aus Reaktionsmatrizen werden nicht ausgewertet.

  • Aktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird nur der Teil der Darstellung, der in die Grenzwertverletzung hinein reicht, in der Farbe des jeweiligen Grenzwertes dargestellt.
    Hat die Variable mehrere definierte Grenzwerte, so werden die entsprechenden Bereiche der Darstellung jeweils in der Farbe des Grenzwertes dargestellt.
  • Inaktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird die gesamte Darstellung in der Farbe des verletzten Grenzwertes dargestellt.

Default: inaktiv

Hinweise: Beim Element Zeigerinstrument nur verfügbar, wenn die Darstellung als Band oder Teilkreis aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Explicit


ID_ELE_PROP135

Interne ID: ID_ELE_PROP135

Kurven als Fläche anzeigen

Aktiv: Kurven werden als Flächen dargestellt.
Inaktiv: Kurven werden als Linien dargestellt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Area


ID_ELE_PROP136

Interne ID: ID_ELE_PROP136

Nicht interpolieren

Aktiv: Werte werden ohne Interpolation in Stufen verbunden.
Inaktiv: Werte werden mit Interpolation verbunden.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NoInterpolation


ID_ELE_PROP137

Interne ID: ID_ELE_PROP137

Zahlenwerte anzeigen

Aktiv: Die Werte des letzten Refreshs werden für alle verknüpften Variablen als Zahlen angezeigt.
Inaktiv: Die Werte werden nicht angezeigt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NumericalValues


ID_ELE_PROP138

Interne ID: ID_ELE_PROP138

Achsen anzeigen

Aktiv: Zeit- und Prozentachse werden angezeigt.
Inaktiv: Keine Achsen werden angezeigt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Axes


ID_ELE_PROP139

Interne ID: ID_ELE_PROP139

Kurveninfo anzeigen

Aktiv: Der Name oder der geänderte Kurztext und der Messbereich der verknüpften Variablen werden in einer Legende dargestellt.
Inaktiv: Keine Legende wird dargestellt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Addresses


ID_ELE_PROP140

Interne ID: ID_ELE_PROP140

Wert während Mausbewegung setzen

Aktiv: Andauerndes senden neuer Werte während der Mausbewegung.
Inaktiv: Einmaliges senden des neuen Wertes, wenn die Maustaste losgelassen wird.
(Nur wenn in der Sektion “Sollwert” die Option “direkt zur Hardware” aktiviert ist)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseMovement


ID_ELE_PROP141

Interne ID: ID_ELE_PROP141

Wert anzeigen

Zusätzliche Anzeige des aktuellen Wertes als Zahl; Position im Element und Schriftfarbe können frei gewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowValue


ID_ELE_PROP142

Interne ID: ID_ELE_PROP142

Grafikgröße

Definition der Grafikgröße.

  • Angepasst: Die Größe der Grafik wird an die Größe des Elements angepasst.
  • Originalgröße: Die verknüpfte Grafik wird in Originalgröße dargestellt.
    Bei Auswahl dieser Option können bei den Elementen Multibin, Combi-Element, Button und Schalter die Eigenschaften Breite [Pixel] und Höhe [Pixel] nicht mehr individuell konfiguriert werden.
    Alle Grafikdateien sollten die gleiche Größe haben.

Default: angepasst

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GraphicSize


ID_ELE_PROP150

Interne ID: ID_ELE_PROP150

Linienbreite [Pixel]

Linienbreite (in Pixel).

  • Minimum: 0
    Die Linienbreite ist in diesem Fall 1 Pixel.
  • Maximum: 40

Default: 1
Achtung: Wurde in den Projekteigenschaften im Knoten Grafische Ausprägung die Eigenschaft Grafikqualität auf Windows Basis gestellt, kann die Linienbreite >1 nur mit einer Linie des Typs "durchgehende Linie" verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineWidth


ID_ELE_PROP151

Interne ID: ID_ELE_PROP151

Wertfarbe

Farbe für den darzustellenden Wert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueColor


ID_ELE_PROP152

Interne ID: ID_ELE_PROP152

Wertposition

Position für den darzustellenden Wert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValuePos


ID_ELE_PROP153

Interne ID: ID_ELE_PROP153

Startwinkel

Definition für den Startwinkel (0° links unten, weiter im Uhrzeigersinn).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartAngle


ID_ELE_PROP154

Interne ID: ID_ELE_PROP154

Endwinkel

Öffnungswinkel des Zeigerausschlags (max. 360° - Startwinkel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OpeningAngle


ID_ELE_PROP155

Interne ID: ID_ELE_PROP155

Scrollweite [%]

Diese Eigenschaft legt fest, um wieviel % die Kurve bei Erreichen der Darstellungsgrenze verschoben wird; als Werte sind Eingaben von 0%-100% direkt über die Werteingabe oder über den Scrollbalken möglich.
0%: Pro Neueintrag ältesten Eintrag entfernen.
50%: Bei Überlauf halben Bildbereich löschen und weiterschreiben.
100%: Bei Überlauf gesamten Bildbereich löschen und neu beginnen.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ScrollWidth


ID_ELE_PROP156

Interne ID: ID_ELE_PROP156

Laufrichtung

Diese Eigenschaft definiert die Anordnung der darzustellenden Zeitachse.
Nach rechts: Links ältester, rechts aktuellster Wert.
Nach links: Rechts ältester, links aktuellster Wert.
Nach oben: Unten ältester, oben aktuellster Wert.
Nach unten: Oben ältester, unten aktuellster Wert.
Wenn die Achsen angezeigt werden, zeigt ein Pfeil in der linken unteren Ecke des Elements die Laufrichtung an.
Default: nach rechts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Direction


ID_ELE_PROP157

Interne ID: ID_ELE_PROP157

Text

Text, der im Bild dargestellt werden soll.

Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Um das &-Zeichen selbst darzustellen muss ”&&” eingegeben werden.

Mit der Zeichenfolge \n kann ein Zeilenumbruch erzwungen werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text


ID_ELE_PROP158

Interne ID: ID_ELE_PROP158

Textwinkel [°]

Winkel für die Darstellung des Textes.

ACHTUNG: Diese Option funktioniert nur bei eingebetteten Schriften.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextAngle


ID_ELE_PROP159

Interne ID: ID_ELE_PROP159

Buchstabenneigung [°]

Buchstabenneigung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextLetterAngle


ID_ELE_PROP160

Interne ID: ID_ELE_PROP160

Zahlenbasis für Anzeige

Auswahl des Zahlensystems für die Darstellung der Werte.
Folgende Zahlensysteme stehen zur Verfügung:

  • Binär: Binäre Darstellung.
  • Dezimal: Dezimale Darstellung.
  • Exponential: Dezimale Darstellung in exponentieller Schreibweise. Beispiel: 1E+03 entspricht 1000 in dezimaler Darstellung.
  • Hexadezimal: Hexadezimale Darstellung.
  • Oktal: Oktale Darstellung.

Default: Dezimal

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueBase


ID_ELE_PROP161

Interne ID: ID_ELE_PROP161

Skala anzeigen

Aktiv: Am Element wird eine Skala angezeigt.
Inaktiv: Keine Skala wird angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowScale


ID_ELE_PROP162

Interne ID: ID_ELE_PROP162

Abstand [Pixel]

Abstand zwischen Skala und Element (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ScaleDistance


ID_ELE_PROP163

Interne ID: ID_ELE_PROP163

Höhe [Pixel]

Höhe der Skala (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ScaleHeight


ID_ELE_PROP164

Interne ID: ID_ELE_PROP164

Hauptticks

Wertbereich für die Hauptticks (Ziffernanzeigen) der Skalierung.

Beispiel: Die Eingabe 50 führt zur Anzeige eines Hauptticks in 50er Schritten: 0 - 50 - 100 - 150 ...

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MainTicks


ID_ELE_PROP165

Interne ID: ID_ELE_PROP165

Nebenticks

Wertbereich für die Nebenticks (keine Ziffernanzeigen) an der Skalierung.
Beispiel: Die Eingabe 100 führt zu der Anzeige eines Nebenticks bei jedem Tausenderschritt vom kleisten angezeiten Wert beginnend.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmallTicks


ID_ELE_PROP166

Interne ID: ID_ELE_PROP166

Farbe Hauptticks

Farbe der Hauptticks (Ziffernanzeigen) der Skalierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MainTickColor


ID_ELE_PROP167

Interne ID: ID_ELE_PROP167

Farbe Nebenticks

Farbe der Nebenticks (keine Ziffernanzeigen) an der Skalierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmallTickColor


ID_ELE_PROP168

Interne ID: ID_ELE_PROP168

Beschriftung anzeigen

Bei Aktivierung wird eine Beschriftung (Werte) zur Skala angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowLegend


ID_ELE_PROP169

Interne ID: ID_ELE_PROP169

Abstand [Pixel]

Abstand zwischen Legende und Skala (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LegendDistance


ID_ELE_PROP170

Interne ID: ID_ELE_PROP170

Farbe Beschriftung

Farbe der Legende.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LegendColor


ID_ELE_PROP171

Interne ID: ID_ELE_PROP171

Logarithmisch

Aktiv: Logarithmische Skalierung.
Inaktiv: Lineare Skalierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Logarithmic


ID_ELE_PROP172

Interne ID: ID_ELE_PROP172

Umgekehrte Laufrichtung

Umkehrung von Minimal- und Maximalwert in der grafischen Darstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ReverseDirection


ID_ELE_PROP173

Interne ID: ID_ELE_PROP173

Diskret

Werteingabe nur in eingestellten Schritten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Discrete


ID_ELE_PROP174

Interne ID: ID_ELE_PROP174

Diskrete Stufen

Anzahl der Schritte für die Eigenschaft Diskrete Stufen.

Minimum: 2

Maximum: 20

Default: 5

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DiscreteSteps


ID_ELE_PROP175

Interne ID: ID_ELE_PROP175

Knopf anzeigen

An der Stelle des aktuellen Wertes wird im Element ein Bedienelement (Knopf) angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowKnob


ID_ELE_PROP176

Interne ID: ID_ELE_PROP176

Knopfform

Form des Knopfes.

Auswahl aus Dropdownliste:

  • Erhöht
  • Flach
  • Vertieft

Default: vertieft.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KnobStyle


ID_ELE_PROP177

Interne ID: ID_ELE_PROP177

Knopffarbe

Farbe des Knopfes.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KnobColor


ID_ELE_PROP191

Interne ID: ID_ELE_PROP191

Form

Linear: Darstellung als Balken oder Schieberegler.
Rund: Darstellung als Zeigerelement.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Shape


ID_ELE_PROP192

Interne ID: ID_ELE_PROP192

Ausrichtung

Hinweis: Nur verfügbar für lineare Form.

  • Horizontal: Horizontale Darstellung des Balken oder Schiebereglers.
  • Vertikal: Vertikale Darstellung des Balken oder Schiebereglers.

Default: horizontal.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Align


ID_ELE_PROP193

Interne ID: ID_ELE_PROP193

Startwinkel

Definition für den Startwinkel (0° mitte unten, weiter im Uhrzeigersinn).

Muss kleiner als der Endwinkel sein.

Bei Universalregler nur verfügbar für runde Form.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Start


ID_ELE_PROP194

Interne ID: ID_ELE_PROP194

Endwinkel

Definition für den Endwinkel (0° mitte unten, weiter im Uhrzeigersinn).

Darf nicht kleiner als der Startwinkel sein.

Bei Universalregler nur verfügbar für runde Form.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

End


ID_ELE_PROP195

Interne ID: ID_ELE_PROP195

Stil

Art der Darstellung zur Runtime.
Auswahl aus Dropdownliste:

  • Balken
  • Bewegte Skala
    Hinweis: Werte können zur Runtime nur über einen Dialog geändert werden. Wertänderung über den Regler direkt ist nicht möglich.
  • LED Balken
  • Schiebe-/Drehregler

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Style


ID_ELE_PROP196

Interne ID: ID_ELE_PROP196

Zeigerart

Grafische Markierung des aktuellen Wertes durch:

  • Linie
  • Zeiger
  • Dreieck

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Pointer


ID_ELE_PROP197

Interne ID: ID_ELE_PROP197

Balken explizit

Nur verfügbar, wenn für die Eigenschaft Stil Balken, Bewegte Skala oder LED Balken gewählt wurde.

Diese Eigenschaft wirkt sich nur auf die Darstellung von Werten mit definierten Grenzwerten aus Variablen aus.
Grenzwerte aus Reaktionsmatrizen werden nicht ausgewertet.

  • Aktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird nur der Teil der Darstellung, der in die Grenzwertverletzung hinein reicht, in der Farbe des jeweiligen Grenzwertes dargestellt.
    Hat die Variable mehrere definierte Grenzwerte, so werden die entsprechenden Bereiche der Darstellung jeweils in der Farbe des Grenzwertes dargestellt.
  • Inaktiv: Wird ein Grenzwert der verknüpften Variable verletzt, so wird die gesamte Darstellung in der Farbe des verletzten Grenzwertes dargestellt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Explicit


ID_ELE_PROP198

Interne ID: ID_ELE_PROP198

Zeiger-/Balkenfarbe

Farbe für den Zeiger bzw. Balken.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerColor


ID_ELE_PROP199

Interne ID: ID_ELE_PROP199

Schleppzeiger anzeigen

Schleppzeiger Minimum-/Maximum-Anzeige aktivieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinMaxView


ID_ELE_PROP200

Interne ID: ID_ELE_PROP200

Darstellungsart

Grafische Markierung (Schleppzeiger) für den Minimal- bzw. Maximalwert durch:

  • Linie
  • Zeiger
  • Dreieck

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinMaxShape


ID_ELE_PROP201

Interne ID: ID_ELE_PROP201

Farbe Minimalwert

Farbe für angezeigtes Minimum.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinColor


ID_ELE_PROP202

Interne ID: ID_ELE_PROP202

Farbe Maximalwert

Farbe für angezeigtes Maximum.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxColor


ID_ELE_PROP203

Interne ID: ID_ELE_PROP203

Automatisch zurücksetzen

Schleppzeiger für Minimum-/Maximumanzeige automatisch nach eingestellter Zeit zurücksetzen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AutoReset


ID_ELE_PROP204

Interne ID: ID_ELE_PROP204

Zurücksetzen nach [min]

Zeit für automatisches Zurücksetzen der Min./Max. Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AutoResetTime


ID_ELE_PROP211

Interne ID: ID_ELE_PROP211

Links [Pixel]

Abstand zwischen dem linken Rand des Elements und der grafischen Darstellung (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LeftFrame


ID_ELE_PROP212

Interne ID: ID_ELE_PROP212

Rechts [Pixel]

Abstand zwischen dem rechten Rand des Elements und der grafischen Darstellung (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RightFrame


ID_ELE_PROP213

Interne ID: ID_ELE_PROP213

Oben [Pixel]

Abstand zwischen dem oberen Rand des Elements und der grafischen Darstellung (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopFrame


ID_ELE_PROP214

Interne ID: ID_ELE_PROP214

Unten [Pixel]

Abstand zwischen dem unteren Rand des Elements und der grafischen Darstellung (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BottomFrame


ID_ELE_PROP221

Interne ID: ID_ELE_PROP221

Titel anzeigen

Titel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowTitle


ID_ELE_PROP222

Interne ID: ID_ELE_PROP222

Titelposition

Position für den Titel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TitlePos


ID_ELE_PROP223

Interne ID: ID_ELE_PROP223

Titelfarbe

Textfarbe für den Titel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TitleColor


ID_ELE_PROP224

Interne ID: ID_ELE_PROP224

Titeltext

Text, der als Titel angezeigt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TitleText


ID_ELE_PROP225

Interne ID: ID_ELE_PROP225

Abstand [Pixel]

Abstand zwischen Titel und Wertanzeige (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueDistance


ID_ELE_PROP231

Interne ID: ID_ELE_PROP231

Laufrichtung

Laufrichtung des Balken.
nach oben: Niedrigster Wert unten, höchster Wert oben.
nach unten: Niedrigster Wert oben, höchster Wert unten.
nach links: Niedrigster Wert rechts, höchster Wert links.
nach rechts: Niedrigster Wert links, höchster Wert rechts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Direction


ID_ELE_PROP241

Interne ID: ID_ELE_PROP241

Stunden

Stunden des Darstellungszeitraums.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RepresentationHour


ID_ELE_PROP242

Interne ID: ID_ELE_PROP242

Minuten

Minuten des Darstellungszeitraums.
Minimum: 0.
Maximum: 59.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RepresentationMinute


ID_ELE_PROP243

Interne ID: ID_ELE_PROP243

Sekunden

Sekunden des Darstellungszeitraums.
Minimum: 0.
Maximum: 59.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RepresentationSecond


ID_ELE_PROP251

Interne ID: ID_ELE_PROP251

Stunden

Stunden der Aktualisierungszeit.
Minimum: 0.
Maximum: 119304.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RefreshHour


ID_ELE_PROP252

Interne ID: ID_ELE_PROP252

Minuten

Minuten der Aktualisierungszeit.
Minimum: 0.
Maximum: 59.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RefreshMinute


ID_ELE_PROP253

Interne ID: ID_ELE_PROP253

Sekunden

Sekunden der Aktualisierungszeit.
Minimum: 0.
Maximum: 59.
Default: 1.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RefreshSecond


ID_ELE_PROP254

Interne ID: ID_ELE_PROP254

Millisekunden

Millisekunden der Aktualisierungszeit.
Minimum: 0.
Maximum: 999.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RefreshMilliSecond


ID_ELE_PROP256

Interne ID: ID_ELE_PROP256

Parameter für Substitution

Eingabe der Zeichenfolge für die Substituierung über Parameter. Ersetzt im Substituierungsdialog der Bildumschaltung das Schlüsselwort {PARAM}.

Hinweis: Vermeiden Sie Zeichenfolgen, die auch für die Parameter der Indizierungsvariablen verwendet werden, wie {X01}.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FunctionParameter


ID_ELE_PROP262

Interne ID: ID_ELE_PROP262

Linienfarbe

Normalfarbe; bei Grenzwertverletzung wird die Grenzwertfarbe verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineColor


ID_ELE_PROP263

Interne ID: ID_ELE_PROP263

Linienart

Durchgezogene Linie, Striche, Strichpunkt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineStyle


ID_ELE_PROP264

Interne ID: ID_ELE_PROP264

Min. Anzeigebereich

Minimum des technischen Darstellungsbereichs für die Kurve (Ausschnittvergrößerung).
Minimum: Minimalwert der Variable.
Maximum: Maximalwert der Variable.
Default: Minimalwert der Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ViewMin


ID_ELE_PROP265

Interne ID: ID_ELE_PROP265

Max. Anzeigebereich

Maximum des technischen Darstellungsbereichs für die Kurve (Ausschnittvergrößerung).
Minimum: Minimalwert der Variable.
Maximum: Maximalwert der Variable.
Default: Maximalwert der Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ViewMax


ID_ELE_PROP266

Interne ID: ID_ELE_PROP266

Kurvenname

Eingabe des Namens, der bei aktiver Eigenschaft Kurveninfo anzeigen verwendet wird.
Bleibt diese Eigenschaft leer, so werden abhängig von der Konfiguration der Eigenschaft Variablenanzeige mit entweder Name, Kennung oder Adresse der Variablen angezeigt.
Tipp: Lassen Sie das Feld leer, wenn Verknüpfung ersetzen oder Indizierung verwendet wird. So verhindern Sie die Anzeige falscher statischer Texte. Bei leerem Feld wird zur Runtime automatisch die richtige information angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TrendText


ID_ELE_PROP271

Interne ID: ID_ELE_PROP271

Darstellungsart

Auswahl der Darstellungsart aus Dropdownliste:

  • Grafikdatei und Bildsymbol: Für jeden Zustand kann eine Grafikdatei oder ein Bildsymbol (Symbol oder Elementgruppe) ausgewählt werden.
    Zusätzlich kann auch die Farbe eines Bildsymbols geändert werden.
  • Nur Bildsymbol: Für jeden Zustand kann einem bereits im Bild bestehenden Symbol eine Farbe zugeordnet werden.
  • Symbol aus Bibliothek: Für jeden Zustand kann ein Symbol aus der Bibliothek sowie seine Linien- und Hintergrungfarbe ausgewählt werden.
  • Zeichen: Für jeden Zustand kann ein Zeichen definiert werden (nur SICAM 230).
  • Zustandstext und Bildsymbol: Für jeden Zustand kann ein Text definiert werden.
    Zusätzlich kann auch die Farbe eines Bildsymbols geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RepresentationStyle


ID_ELE_PROP272

Interne ID: ID_ELE_PROP272

Übereinander

Nur verfügbar für Darstellungsart "Symbol aus Bibliothek":
Aktiv: Sind mehrere Wertzuordnungen aktiv, erfolgt die Darstellung übereinander, d.h. alle aktiven Zustände werden angezeigt.
Inaktiv: Nur der höchstpriore aktive Zustand wird angezeigt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Overlapping


ID_ELE_PROP273

Interne ID: ID_ELE_PROP273

Separate Farben

Nur verfügbar, wenn "Übereinander" aktiv ist:
Aktiv: Jeder Zustand wird in seiner definierten Farbe dargestellt.
Inaktiv: Die Farbe des höchstprioren aktiven Zustandes wird verwendet.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SeparateColors


ID_ELE_PROP274

Interne ID: ID_ELE_PROP274

Separates Blinken

Nur verfügbar, wenn "Übereinander" aktiv ist:
Aktiv: Das Blinken jedes Zustands wird separat dargestellt.
Inaktiv: Das Blinken des höchstprioren aktiven Zustandes wird verwendet.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SeparateBlinking


ID_ELE_PROP275

Interne ID: ID_ELE_PROP275

Texte gekettet

Nur verfügbar für Darstellungsart "Zustandstext":
Aktiv: Wenn mehrere Zustände zutreffen, werden die Texte als kombinierter String dargestellt.
Inaktiv: Der Text des höchstprioren aktiven Zustandes wird verwendet.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Chained


ID_ELE_PROP276

Interne ID: ID_ELE_PROP276

Transparent

Aktiv: Der Symbolhintergrund ist transparent.
Inaktiv: Der Symbolhintergrund kann für jeden Zustand separat definiert werden.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillColor


ID_ELE_PROP278

Interne ID: ID_ELE_PROP278

In Originalgröße

Aktiv: Die Grafik wird in ihrer Originalgröße dargestellt.
Inaktiv: Die Grafik wird auf die Größe des Elements gestreckt.
Default: aktiv

Hinweis: Wenn die Eigenschaft In Originalgröße aktiv ist, empfiehlt es sich für alle im Element verwendeten Grafiken die selbe Größe zu verwenden, da sich zur Runtime die Größe des Elements an die Größe der aktuell dargestellten Grafik anpasst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OriginalSize


ID_ELE_PROP279

Interne ID: ID_ELE_PROP279

Bildsymbol aktiv

Nur verfügbar, wenn für die Eigenschaft Darstellungsart Grafikdatei und Bildsymbol oder Zustandstext und Bildsymbol gewählt wurde.

  • Aktiv: Zusätzlich zur animierten Grafikdatei bzw. zum Zustandstext kann ein Bildsymbol angezeigt werden.
  • Inaktiv: Es wird kein Bildsymbol verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsPictureSymbol


ID_ELE_PROP280

Interne ID: ID_ELE_PROP280

Bildsymbol

Nur verfügbar, wenn für die Eigenschaft Darstellungsart Nur Bildsymbol gewählt wurde oder wenn die Eigenschaft Bildsymbol aktiv aktiviert wurde.
Auswahl des Bildsymbols, dessen Farbe je nach Zustand umgeschaltet werden soll. Kann ein Symbol oder eine Elementgruppe sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PictureSymbol


ID_ELE_PROP281

Interne ID: ID_ELE_PROP281

Nur Füllfläche einfärben

Aktiv: Die Farbumschaltung betrifft nur die Füllfläche.
Inaktiv: Die Farbumschaltung betrifft auch die Linien.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillAreaOnly


ID_ELE_PROP282

Interne ID: ID_ELE_PROP282

Blinken der Haupt-Variable übernehmen

Aktiv: Das Blinkattribut der Hauptvariablen wird übernommen und kann auf dem Element quittiert werden.
Inaktiv: Kein Blinken tritt auf.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BlinkingFromVariable


ID_ELE_PROP283

Interne ID: ID_ELE_PROP283

Blinken aller Variablen berücksichtigen

Nur verfügbar, wenn "Blinken von Hauptvariable übernehmen" aktiv ist:
Aktiv: Die Blinkattribute aller Variablen werden übernommen.
Inaktiv: Nur das Blinkattribut der Hauptvariable wird übernommen oder es gibt überhaupt kein blinken (abhängig von der Eigenschaft "Blinken von Hauptvariable übernehmen").

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BlinkingFromAllVariables


ID_ELE_PROP284

Interne ID: ID_ELE_PROP284

Blinkhintergrund transparent

Aktiv: Der Symbolhintergrund ist beim Blinken transparent (Bitmaphintergrund ist nicht transparent darstellbar).
Inaktiv: Der Symbolhintergrund ist nicht transparent.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BlinkingBackGroundTransparent


ID_ELE_PROP285

Interne ID: ID_ELE_PROP285

Blinkfarbe

Hintergrundfarbe bei nicht gesetzter Option "Blinkhintergrund transparent".

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BlinkingBackColor


ID_ELE_PROP286

Interne ID: ID_ELE_PROP286

Status der Hauptvariable anzeigen

Mit der Markierung der Option "Status anzeigen" wird im Onlinebetrieb bei der Betätigung der rechten Maustaste zusätzlich zur Variablenanzeige auch die aktuelle Statusbitbelegung für die hinterlegte Variable angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowState


ID_ELE_PROP287

Interne ID: ID_ELE_PROP287

Status anzeigen mit Quadrat

Wenn ein Ausnahmestatus (z.B. "gestört") ansteht, so wird rechts oben in der Elementfläche eine rote Markierung gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RedPoint


ID_ELE_PROP288

Interne ID: ID_ELE_PROP288

Topologischer Typ

Topologischer Typ

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopologyType


ID_ELE_PROP289

Interne ID: ID_ELE_PROP289

Transformatorseite

Transformatorseite

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformerSide


ID_ELE_PROP290

Interne ID: ID_ELE_PROP290

Speisungsnummer

Speisungsnummer

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SupplyNumber


ID_ELE_PROP291

Interne ID: ID_ELE_PROP291

Konfiguration und Test

Öffnet den Dialog zur Definition der Zustände.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StateAndTest


ID_ELE_PROP292

Interne ID: ID_ELE_PROP292

Farbe der Haupt-Variable übernehmen

Aktiv: Die Füllfarbe bei eingebetteten Symbolen und Symbolen aus Bibliothek wird beim Zustand Default von der Hauptvariablen übernommen, wenn bei dieser eine Grenzwertverletzung vorliegt.
Das bedeutet: Solange eine Grenzwertverletzung der Hauptvariablen besteht, wird die Füllfarbe aus der Grenzwertfarbe übernommen. Die Farbdefinition bei den Zuständen wird also überschrieben. Weitere Zustandsattribute wie z.B. Blinken, Transparenz oder Original Symbolfarbe werden jedoch aus der Zustandsdefinition übernommen. Auf Bitmapdarstellung hat diese Eigenschaft keine Auswirkung.

Ausnahme: Ist beim Zustand Default die Eigenschaft Original Symbolfarbe aktiviert, wird immer die originale Symbolfarbe verwendet.
Inaktiv: Die Farbe der Hauptvariablen hat keinen Einfluss auf die dargestellten Farben des Combi-Elements.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorFromVariable


ID_ELE_PROP293

Interne ID: ID_ELE_PROP293

Projekteigenschaften bei "gesperrt" übernehmen

Einstellung, ob das Tastenverhalten aus den Projekteigenschaft übernommen wird. Beachtet werden dafür die Einstellungen folgender Projekteigenschaften:

  • Login und Signatur -> Gesperrte Buttons
  • Gesperrte/Verriegelte Elemente -> Verriegelte Buttons

Mögliche Einstellungen:

  • Aktiv: Die Einstellungen aus den Projekteigenschaften werden übernommen.
    Hinweis: Die Einstellung Grau wirkt sich nicht auf Texte in Symbolen aus.
  • Inaktiv: Die Einstellungen werden nicht übernommen.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisabledStyleAsButtons


ID_ELE_PROP294

Interne ID: ID_ELE_PROP294

Gedrückt Zustand halten

Nur verfügbar wenn die Eigenschaften Schalter, Taster und Sofortreaktion aktiv sind.

Aktiv: Solange die Maustaste auf diesem Element gedrückt bleibt, ändert sich die grafische Darstellung nicht - unabhängig davon, ob sich der Wert in der SPS ändert. Beim Element Schalter muss dafür auch die Eigenschaft 3D aktiv sein.
Inaktiv: Das Element stellt immer den Wert der Variablen aus der SPS dar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StayPressed


ID_ELE_PROP296

Interne ID: ID_ELE_PROP296

Konfiguration

Öffnet den Dialog zur Definition der Zustände.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Status


ID_ELE_PROP298

Interne ID: ID_ELE_PROP298

Füllfarbe arbeitsfreie Zeit

Füllfarbe der arbeitsfreien Zeit.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorNonWorkingHours


ID_ELE_PROP299

Interne ID: ID_ELE_PROP299

Füllfarbe Arbeitszeit

Füllfarbe der Arbeitszeit.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorWorkingHours


ID_ELE_PROP301

Interne ID: ID_ELE_PROP301

Zeit für den Textwechsel [s]

Bei mehreren gesetzten Bits der Zeilenvariablen erfolgt nach der projektierten Zeit automatisch die Textumschaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextChangeTime


ID_ELE_PROP302

Interne ID: ID_ELE_PROP302

Textdatei

Auswahl der Textdatei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MessageText


ID_ELE_PROP303

Interne ID: ID_ELE_PROP303

Spaltenauswahl

Die Spaltenvariable muss eine Wortvariable sein und definiert die Spaltenposition, aus der der Text genommen wird.

ACHTUNG: Die Spaltenvariable muss vor der Zeilenvariable ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


ID_ELE_PROP304

Interne ID: ID_ELE_PROP304

Zeilenaktivierung

Die Zeilenvariable definiert die Zeilenposition, aus der der Text genommen wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColVars


ID_ELE_PROP306

Interne ID: ID_ELE_PROP306

ActiveX Einstellungen

Auswahl des ActiveX-Elements und der verknüpften Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActiveX


ID_ELE_PROP312

Interne ID: ID_ELE_PROP312

Helligkeit aussen

Nur verfügbar, wenn "Über Helligkeitswerte" aktiv ist:
Helligkeit an der Aussenseite des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OuterBrightness


ID_ELE_PROP313

Interne ID: ID_ELE_PROP313

Helligkeit innen

Nur verfügbar, wenn "Über Helligkeitswerte" aktiv ist:
Helligkeit in der Mitte des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InnerBrightness


ID_ELE_PROP321

Interne ID: ID_ELE_PROP321

Änderung X-Richtung aktiv

Aktiv: Horizontales Bewegen des verknüpften Elements ist verfügbar.
Inaktiv: Horizontales Bewegen ist nicht verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsXActive


ID_ELE_PROP322

Interne ID: ID_ELE_PROP322

Variable

Name der Variable für das horizontale Bewegen des Elements.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XVariable


ID_ELE_PROP323

Interne ID: ID_ELE_PROP323

Min. Variablenwert

Minimaler Variablenwert für das horizontale Bewegen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XVarMin


ID_ELE_PROP324

Interne ID: ID_ELE_PROP324

Max. Variablenwert

Maximaler Variablenwert für das horizontale Bewegen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XVarMax


ID_ELE_PROP325

Interne ID: ID_ELE_PROP325

Min. Bewegung [Pixel]

Horizontale Position des Elements für minimalen Variablenwert (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XViewMin


ID_ELE_PROP326

Interne ID: ID_ELE_PROP326

Max. Bewegung [Pixel]

Horizontale Position des Elements für maximalen Variablenwert (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XViewMax


ID_ELE_PROP327

Interne ID: ID_ELE_PROP327

Änderung Y-Richtung aktiv

Aktiv: Vertikales Bewegen des verknüpften Elements ist verfügbar.
Inaktiv: Vertikales Bewegen ist nicht verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsYActive


ID_ELE_PROP328

Interne ID: ID_ELE_PROP328

Variable

Name der Variable für das vertikale Bewegen des Elements.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YVariable


ID_ELE_PROP329

Interne ID: ID_ELE_PROP329

Min. Variablenwert

Minimaler Variablenwert für das vertikale Bewegen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YVarMin


ID_ELE_PROP330

Interne ID: ID_ELE_PROP330

Max. Variablenwert

Maximaler Variablenwert für das vertikale Bewegen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YVarMax


ID_ELE_PROP331

Interne ID: ID_ELE_PROP331

Min. Bewegung [Pixel]

Vertikale Position des Elements für minimalen Variablenwert (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YViewMin


ID_ELE_PROP332

Interne ID: ID_ELE_PROP332

Max. Bewegung [Pixel]

Vertikale Position des Elements für maximalen Variablenwert (in Pixel).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YViewMax


ID_ELE_PROP333

Interne ID: ID_ELE_PROP333

Änderung Breite aktiv

Aktiv: Zoomen der Breite des verknüpften Elements ist verfügbar.
Inaktiv: Zoomen der Breite ist nicht verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsXZoomActive


ID_ELE_PROP334

Interne ID: ID_ELE_PROP334

Variable

Name der Variable für das Zoomen der Breite des Elements.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XZoomVariable


ID_ELE_PROP335

Interne ID: ID_ELE_PROP335

Min. Variablenwert

Minimaler Variablenwert für das Zoomen der Breite des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XZoomVarMin


ID_ELE_PROP336

Interne ID: ID_ELE_PROP336

Max. Variablenwert

Maximaler Variablenwert für das Zoomen der Breite des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XZoomVarMax


ID_ELE_PROP337

Interne ID: ID_ELE_PROP337

Min. Breite [%]

Zoomfaktor der Breite des Elements für den minimalen Variablenwert (in %).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XZoomViewMin


ID_ELE_PROP338

Interne ID: ID_ELE_PROP338

Max. Breite [%]

Zoomfaktor der Breite des Elements für den maximalen Variablenwert (in %).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XZoomViewMax


ID_ELE_PROP339

Interne ID: ID_ELE_PROP339

Änderung Höhe aktiv

Zoomen der Höhe des Elements aktivieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsYZoomActive


ID_ELE_PROP340

Interne ID: ID_ELE_PROP340

Variable

Name der Variable für das Zoomen der Höhe des Elements.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YZoomVariable


ID_ELE_PROP341

Interne ID: ID_ELE_PROP341

Min. Variablenwert

Minimaler Variablenwert für das Zoomen der Höhe des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YZoomVarMin


ID_ELE_PROP342

Interne ID: ID_ELE_PROP342

Max. Variablenwert

Maximaler Variablenwert für das Zoomen der Höhe des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YZoomVarMax


ID_ELE_PROP343

Interne ID: ID_ELE_PROP343

Min. Höhe [%]

Zoomfaktor der Höhe des Elements für den minimalen Variablenwert (in %).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YZoomViewMin


ID_ELE_PROP344

Interne ID: ID_ELE_PROP344

Max. Höhe [%]

Zoomfaktor der Höhe des Elements für den maximalen Variablenwert (in %).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YZoomViewMax


ID_ELE_PROP345

Interne ID: ID_ELE_PROP345

Drehen aktiv

Aktiv: Drehen des verknüpften Elements ist verfügbar.
Inaktiv: Drehen ist nicht verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsTwistActive


ID_ELE_PROP346

Interne ID: ID_ELE_PROP346

Variable

Name der Variable für das Drehen des Elements.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwistVariable


ID_ELE_PROP347

Interne ID: ID_ELE_PROP347

Min. Variablenwert

Minimaler Variablenwert für das Drehen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwistVarMin


ID_ELE_PROP348

Interne ID: ID_ELE_PROP348

Max. Variablenwert

Maximaler Variablenwert für das Drehen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwistVarMax


ID_ELE_PROP349

Interne ID: ID_ELE_PROP349

Min. Drehung [°]

Drehwinkel des Elements für den minimalen Variablenwert (in °).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwistViewMin


ID_ELE_PROP350

Interne ID: ID_ELE_PROP350

Max. Drehung [°]

Drehwinkel des Elements für den maximalen Variablenwert (in °).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwistViewMax


ID_ELE_PROP351

Interne ID: ID_ELE_PROP351

Einträge

Nur verfügbar, wenn die Eigenschaft Einträge aus Stringvariable inaktiv ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Definition der Einträge für eine statische List-/Combobox.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Status


ID_ELE_PROP354

Interne ID: ID_ELE_PROP354

Füllfarbe

Hintergrundfarbe des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ButtonFillColor


ID_ELE_PROP357

Interne ID: ID_ELE_PROP357

Global

Alarme werden systemweit berücksichtigt.
Hauptverwendung: Summenalarm der globalen Alarmliste.
Aktiv: Alarme werden unabhängig vom verküpften Bild berücksichtigt.
Die verknüpfte Funktion wird nur zur Bildumschaltung verwendet.

Inaktiv: Nur Alarme des verknüpften Bildes werden berücksichtigt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAGlobal


ID_ELE_PROP358

Interne ID: ID_ELE_PROP358

Projekt

Auswahl eines einzelnen Projektes oder aller Projekte.

Nur verfügbar, wenn Global aktiv ist.

Einsatz bei mehrhierarchischen Projekten.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAProjekt


ID_ELE_PROP359

Interne ID: ID_ELE_PROP359

Priorität

Priorisierung der Alarm/Ereignis-Klassen.
Aktiv: Es wird auch bei Auswahl mehrerer Alarm/Ereignis-Klassen nur eine angezeigt.
Prioritätsregeln:

  1. Je niedriger die Klassennummer, desto höher die Priorität.
  2. Unquittiert höher prior als quittiert.

Inaktiv: alle ausgewählten Klassen werden gleichzeitig (nebeneinander) angezeigt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAPriorit?t


ID_ELE_PROP360

Interne ID: ID_ELE_PROP360

Unsichtbar

Das Element wird in der Runtime nicht angezeigt

Aktiv: Das Element wird in der Runtime ausgeblendet.
Wird angewendet, wenn das Element nur eine Abbildungvariable ansteuern aber selbst nicht angezeigt werden soll.

Inaktiv: Das Element wird als Button angezeigt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAUnsichtbar


ID_ELE_PROP361

Interne ID: ID_ELE_PROP361

Alarm/Ereignis-Klassen

Auswahl der anzuzeigenden Alarm/Ereignis-Klassen.

Öffnet den Klassenauswahlkatalog.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAKlassen


ID_ELE_PROP362

Interne ID: ID_ELE_PROP362

Erste abzubildende Alarm/Ereignis-Klasse

Ab dieser Klasse werden die Klassenzustände auf die Abbildungsvariable geschrieben.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset


ID_ELE_PROP363

Interne ID: ID_ELE_PROP363

Quelle

Ersetzen von Variablen und/oder Funktionen in einem Symbol oder Faceplate-Container:

Geben Sie die Quellvariablen/Quellfunktion an. Dabei können Platzhalter (?, *) verwendet werden. Mehrere Einträge werden durch ein Semikolon (;) getrennt.

Die Ziele definieren Sie dann über die Eigenschaft Ziel.
Beispiel: Variablen im Symbol: Tank1.Füllstand und Tank1.Ventilstellung. Diese sollen durch die Variablen Tank2.Füllstand und Tank2.Ventilstellung ersetzt werden.
Dazu geben Sie bei Quelle ein: *1* und bei Ziel 2. Zur Runtime werden dann die 1er Variablen durch die 2er Variablen ersetzt.

Mehr im Online-Handbuch. bei Symbole und Faceplates.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstituteSource


ID_ELE_PROP364

Interne ID: ID_ELE_PROP364

Ziel

Ersetzen von Variablen und/oder Funktionen in einem Symbol oder Faceplate-Container:
Geben Sie die neu zuzuordnenden Variablen/Funktionen an. Dabei sind keine Platzhalter erlaubt. Mehrere Einträge werden durch ein Semikolon (;) getrennt.

Die Quellen definieren Sie zuvor über die Eigenschaft Quelle.
Beispiel: Variablen im Symbol: Tank1.Füllstand und Tank1.Ventilstellung. Diese sollen durch die Variablen Tank2.Füllstand und Tank2.Ventilstellung ersetzt werden.
Dazu geben Sie bei Quelle ein: *1* und bei Ziel 2. Zur Runtime werden dann die 1er Variablen durch die 2er Variablen ersetzt.

Mehr im Online-Handbuch. bei Symbole und Faceplates.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstituteDestination


ID_ELE_PROP365

Interne ID: ID_ELE_PROP365

Über Variablennamen

Ersetzen von Variablen in einem Symbol oder Faceplate-Container über Variablen:

  • Aktiv: Das Ersetzen der Verknüpfungen wird über den Namen der Variablen realisiert.
  • Inaktiv Das Ersetzen der Verknüpfungen wird über die Kennung der Variablen realisiert.

Default: aktiviert

Mehr im Online-Handbuch bei Symbole und Faceplates.

Hinweis: Diese Eigenschaft hat auch Auswirkungen auf das Verhalten der Eigenschaft Zusammengesetzte Namen.
Mehr Informationen dazu finden Sie im Handbuch Bilder.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstituteOnName


ID_ELE_PROP366

Interne ID: ID_ELE_PROP366

Groß-/Kleinschreibung beachten

Groß-/Kleinschreibung in den Eingaben für die Quelle und das Ziel beim Ersetzen von Variablen und/oder Funktionen in einem Symbol oder Faceplate-Container:

  • Aktiv: Die Groß-/Kleinschreibung wird berücksichtigt.
  • Inaktiv: Die Groß-/Kleinschreibung wird nicht berücksichtigt.

Mehr im Online-Handbuch. bei Symbole und Faceplates.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstituteMatchCase


ID_ELE_PROP367

Interne ID: ID_ELE_PROP367

Größe von verknüpftem Bild übernehmen

Klick auf die Schaltfläche ... passt die Größe des Containers an die Größe des verknüpften Bildes an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SizeFromLinkedPicture


ID_ELE_PROP377

Interne ID: ID_ELE_PROP377

Fokus Position links/rechts

Definiert die horizontale Position bei Tastaturbedienung zur Runtime. Position wird über Kontextmenü und Mauseingabe im Hauptfenster definiert und kann hier nicht verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TABOrderH


ID_ELE_PROP378

Interne ID: ID_ELE_PROP378

Fokus Position oben/unten

Definiert die vertikale Position bei Tastaturbedienung zur Runtime. Position wird über Kontextmenü und Mauseingabe im Hauptfenster definiert und kann hier nicht verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TABOrderV


ID_ELE_PROP379

Interne ID: ID_ELE_PROP379

Hauptticks

Definiert Hauptteilstriche der Skala.
Wert gibt Abstand zwischen den Hauptticks an. Wert muss größer oder gleich dem Wert der Nebenticks sein. Bei gleichem Wert werden keine Nebenticks angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MainTicks


ID_ELE_PROP380

Interne ID: ID_ELE_PROP380

Nebenticks

Definiert Unterteilung der Skala zwischen Hauptticks.

Wert gibt Abstand zwischen den Nebenticks an. Wert muss kleiner oder gleich dem Wert der Hauptticks sein. Bei gleichem Wert werden keine Nebenticks angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmallTicks


ID_ELE_PROP381

Interne ID: ID_ELE_PROP381

Darstellung der ausgewählten Alarm/Ereignis-Klassen

Modus wie die Klassenzustände auf die Abbildungsvariable geschrieben werden.

Aktiv: Die Zustände der ausgewählten Alarm/Ereignis-Klassen werden lückenlos auf die Abbildungsvariable geschrieben.
z.B. ausgewählte Klassen 1,3 -> Klasse1: Bits 0,1; Klasse 3: Bits 2,3

Inaktiv: Die Zustände der ausgewählten Alarm/Ereignis-Klassen werden auf feste Positionen der Abbildungsvariablen geschrieben.
z.B. ausgewählte Klassen 1,3 -> Klasse1: Bits 0,1;0 (Klasse 2: Bits 2.3); Klasse 3: Bits 4,5

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AbbModus


ID_ELE_PROP382

Interne ID: ID_ELE_PROP382

Funktionstyp

Nur verfügbar, wenn Automatic Line Coloring (ALC) lizenziert ist.

Auswahl des Funktionstyps des Elements. Klick auf Funktionstyp öffnet Dropdownliste zur Auswahl:

  • Abschluss: Für Sammelschienenende; unterdrückt beim Kompilieren im Editor die Fehlermeldung "Linie nur einseitig angeschlossen“.
  • Generator: Element funktioniert als Generator, bei Aktivität wird die Farbe an den nächsten Linienzug weitergeleitet.
    Hinweis: Diese Funktionalität ist gleich wie für ALC Funktionstyp Quelle
  • keine Funktion: Das Element hat im ALC keine Funktion.
  • Kondensator: Der Kondensator ist als Last nur einseitig anschließbar. Für die Lastflussberechnung dient der Kondensator als Kompensation der Blindleistung.
  • Link: Die ALC-Information wird von einem Quell-Link an ein Ziel-Link weitergeleitet.
  • Quelle: Bei aktiver Quelle wird ihre Farbe an den nächsten Linienzug weitergeleitet.
  • Schalter: Die Farbe wird an den nächsten Linienzug weitergeleitet, wenn der Schalter geschlossen ist und von einer Quelle versorgt wird.
  • Schieber (Ventil): Die Farbe wird an den nächsten Linienzug weitergeleitet, wenn das Ventil offen, bzw. teilweise offen ist und wenn es von einer Quelle versorgt wird.
    Hinweis: Diese Funktionalität ist gleich wie für ALC Funktionstyp Schalter.
    Werte der Hauptvariable: siehe Handbuch.
  • Senke: Dieser Funktionstyp hat keine Auswirkung auf die Einfärbung. Mit VBA kann jedoch abgefragt werden, ob dieser Verbraucher versorgt wird.
  • Rückschlagventil: Ist das Rückschlagventil offen wird bei diesem Funktionstyp die ALC-Information nur in eine Richtung weitergeleitet. Die Richtung ist immer vom Eingang zum Ausgang und nicht in die Gegenrichtung. Eine Weiterleitung erfolgt nur dann, wenn das Rückschlagventil von einer Quelle versorgt ist.
  • Transformator: Wenn das Element versorgt wird, wandelt es eine Quelle (Farbe) in eine andere um.
  • Trenner: funktioniert analog Schalter, beinhaltet aber eine topologische Verriegelung Trenner unter Last. Die Farbe wird an den nächsten Linienzug weitergeleitet, wenn der Trenner geschlossen ist und von einer Quelle versorgt wird.

Default: keine Funktion

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCType


ID_ELE_PROP383

Interne ID: ID_ELE_PROP383

Quelle

Nur verfügbar, wenn ein Funktionstyp Quelle oder Trafo ausgewählt ist:
Auswahl der verknüpften Quelle/Trafos.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCSourceID


ID_ELE_PROP384

Interne ID: ID_ELE_PROP384

Farbe aus ALC

Nur verfügbar, wenn Automatic Line Coloring (ALC) lizenziert ist:
Aktiv: Die automatische Farbe der verknüpften Quelle(n) wird verwendet.
Inaktiv: Die Standard-Farbe wird verwendet.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCUseColor


ID_ELE_PROP385

Interne ID: ID_ELE_PROP385

Mehrfachversorgung darstellen

Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiv ist.
Definiert die Darstellungsart, wenn das Element mit mehreren aktiven Quellen verbunden ist:
höchst-priore Quelle: Es wird nur die Farbe der Quelle mit der höchsten Priorität verwendet.
zwei höchst-priore Quellen: Die unterschiedlichen Farben der beiden Quellen mit der höchsten Priorität werden strichliert dargestellt.
alternative Farbe: Alternative Farbe für die Einfärbung bei Mehrfachversorgung.

Default: höchst-priore Quelle

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMultiSource


ID_ELE_PROP386

Interne ID: ID_ELE_PROP386

Link-Nummer

Nur verfügbar, wenn ein Funktionstyp Link ausgewählt ist:
Identifikationsnummer des Links. Ein anderes Link auf einem anderen Bild mit derselben Identifikationsnummer wird die Daten des Quelllinks übernehmen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCLinkID


ID_ELE_PROP387

Interne ID: ID_ELE_PROP387

gesicherte Versorgung darstellen

Steht nur zur Verfügung, wenn Farbe aus ALC aktiviert wurde.

Auswahl, wie die gesicherte Versorgung dargestellt werden soll:

  • doppelte Breite
  • doppelte Helligkeit
  • normal

Default: normal

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMSecuredSupply


ID_ELE_PROP388

Interne ID: ID_ELE_PROP388

Vorrang bei Darstellung

Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiv ist.

Definiert den Vorrang der Darstellung, wenn das Element mit mehreren aktiven Quellen verbunden ist.
Mehrfachversorgung: Das Element wird entsprechend den Regeln der Mehrfachversorgung dargestellt.
gesicherte Versorgung: Das Element wird entsprechend den Regeln der gesicherten Versorgung dargestellt.
Kein Vorrang: Die Einfärberegeln für Mehrfachversorgung und für Gesicherte Versorgung werden gleichzeitig angewandt, falls beide Kriterien erfüllt werden

Default: Mehrfachversorgung
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCPrecedence


ID_ELE_PROP389

Interne ID: ID_ELE_PROP389

Beim Verlassen zurücksetzen

Nur verfügbar wenn Taster aktiv ist:
Wird der Mauszeiger bei gedrückter Maustaste vom Taster weg bewegt, so wird der Wert der Variable automatisch zurückgesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ResetOnLeave


ID_ELE_PROP391

Interne ID: ID_ELE_PROP391

Rahmen-/Schattenfarbe

Nur verfügbar, wenn als Rahmenart Rahmen oder Schatten ausgewählt wurde.

Definition der Farbe des Rahmens oder des Schattens. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameColor


ID_ELE_PROP392

Interne ID: ID_ELE_PROP392

Abstand [Pixel]

Nur verfügbar, wenn als Rahmenart Rahmen oder Schatten gewählt wurde.

Abstand des Rahmens oder Schattens zum Element in Pixel. Die Richtung des Abstands wird beim Schatten von der Eigenschaft Winkel [°] bestimmt. Die Größe des Wertebereichs ist von der Bildschirm-Auflösung abhängig.

Default: 10

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameOffset


ID_ELE_PROP393

Interne ID: ID_ELE_PROP393

Linienbreite [Pixel]

Definition der Linienbreite für den Rahmen in Pixel.

Default: 1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameWidth


ID_ELE_PROP394

Interne ID: ID_ELE_PROP394

Beschriftung mit Steuertasten ändern

Nur verfügbar, wenn Sie Automatische Beschriftung in den Eigenschaften des Bildes deaktiviert haben.

aktiv: Zur Beschriftung des Buttons benutzen Sie Text Zeile 1 Normal bis Text Zeile 2 mit Strg+Alt (Alt Gr). Die Eingabe unter Text Zeile 1 und Text Zeile 2 ist hinfällig.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ChangeText


ID_ELE_PROP395

Interne ID: ID_ELE_PROP395

Text Zeile 1 Normal

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der erste Textzeile im Button, ohne dass eine Steuerungstaste gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text1Normal


ID_ELE_PROP396

Interne ID: ID_ELE_PROP396

Text Zeile 1 mit Umschalt

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der erste Textzeile im Button, wenn die Umschalttaste gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text1Shift


ID_ELE_PROP397

Interne ID: ID_ELE_PROP397

Text Zeile 1 mit Strg

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der erste Textzeile im Button, wenn die Steuerungstaste gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text1Ctrl


ID_ELE_PROP398

Interne ID: ID_ELE_PROP398

Text Zeile 1 mit Strg+Alt (Alt Gr)

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der erste Textzeile im Button, wenn die Steuerungstaste und Alt Gr gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text1CtrlAlt


ID_ELE_PROP399

Interne ID: ID_ELE_PROP399

Text Zeile 2 Normal

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der zweiten Textzeile im Button, ohne dass eine Steuerungstaste gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text2Normal


ID_ELE_PROP400

Interne ID: ID_ELE_PROP400

Text Zeile 2 mit Umschalt

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der zweiten Textzeile im Button, wenn die Umschalttaste gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text2Shift


ID_ELE_PROP401

Interne ID: ID_ELE_PROP401

Text Zeile 2 mit Strg

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der zweiten Textzeile im Button, wenn die Steuerungstaste gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text2Ctrl


ID_ELE_PROP402

Interne ID: ID_ELE_PROP402

Text Zeile 2 mit Strg+Alt (Alt Gr)

Nur verfügbar, wenn Beschriftung mit Steuertasten ändern aktiv ist.
Beschriftung der zweiten Textzeile im Button, wenn die Steuerungstaste und Alt Gr gedrückt ist.
Hinweis: Mit dem &-Zeichen wird das nächste Zeichen in der Runtime unterstrichen dargestellt. Geben Sie ”&&” ein, um das &-Zeichen selbst darzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text2CtrlAlt


ID_ELE_PROP403

Interne ID: ID_ELE_PROP403

Anfangstyp

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.

Definiert Symbol für Startpunkt der Linie. Klick auf Feld öffnet Dialog zur Auswahl eines Elements.
Für Kreisbogen und Kreissegment nur verfügbar, wenn Füllmuster auf ohne gestellt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineCapStart


ID_ELE_PROP404

Interne ID: ID_ELE_PROP404

Endtyp

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.

Definiert Symbol für Endpunkt der Linie. Klick auf Feld öffnet Dialog zur Auswahl eines Elements.
Für Kreisbogen und Kreissegment nur verfügbar, wenn Füllmuster auf ohne gestellt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineCapEnd


ID_ELE_PROP405

Interne ID: ID_ELE_PROP405

Größe

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.

Definiert den Vergrößerungsfaktor für die Linienbreite des Pfeils. Der Faktor bezieht sich auf die Linienbreite des Vektor-Elements wie in der Eigenschaft Linienbreite [Pixel] definiert.
Für Kreisbogen und Kreissegment nur verfügbar, wenn Füllmuster auf ohne gestellt wurde.

Wert: größer oder gleich 1

Default: 4

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineCapScale


ID_ELE_PROP_BACKCOLOR2

Interne ID: ID_ELE_PROP_BACKCOLOR2

Verlaufsfarbe

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Für die Eigenschaft Füllmuster muss Farbverlauf gewählt sein.

Definiert zweite Farbe für den Farbverlauf. Bei Auswahl von Automatisch ändert sich der Farbwert abhängig vom Wert der Füllfarbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor2


ID_ELE_PROP_BACKCOLORBUTTON2

Interne ID: ID_ELE_PROP_BACKCOLORBUTTON2

Verlaufsfarbe

Nur verfügbar, wenn die Eigenschaft Füllung nicht auf einfarbig gesetzt wurde.

Definiert zweite Farbe für den Farbverlauf. Bei Auswahl von Automatisch ändert sich der Farbwert abhängig vom Wert der Füllfarbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor2


ID_ELE_PROP_COLORGRADIENTANGLE

Interne ID: ID_ELE_PROP_COLORGRADIENTANGLE

Winkel [°]

Definiert die Richtung des Farbverlaufs ausgehend vom Mittelpunkt des Elements.

Werte: 0° bis 360°

Default: 0°

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorGradientAngle


ID_ELE_PROP_COLORGRADIENTOFFSET

Interne ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Versatz [%]

Nur verfügbar, wenn bei einem Vektor-Element oder einem Dynamischen Element Button die Eigenschaft Farbverlauf gesetzt wurde auf: Linear oder Punktuell oder Punktuell mit Kanten.

Definiert den Abstand des Farbverlaufspunktes vom Mittelpunkt des Elements. Dabei handelt es sich um einen Prozentwert.

Werte: 0 beschreibt den Mittelpunkt im Element, 100 den Rand.
Hinweis: Dieser Wert kann auch außerhalb des Elements liegen und ist daher nicht auf 100 beschränkt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorGradientOffset


ID_ELE_PROP_COMMITONKILLFOCUS

Interne ID: ID_ELE_PROP_COMMITONKILLFOCUS

Absetzen bei Fokusverlust

Verhalten des Elements beim Sollwert Setzen zur Runtime:

  • Aktiv: Der Wert wird abgesetzt, sobald das Kontrollelement den Fokus verliert.
    Mit Betätigung der Esc-Taste wird die Eingabe abgebrochen und der Wert nicht abgesetzt.
  • Inaktiv: Der Wert wird nach Betätigung der Eingabe-Taste abgesetzt.
    Mit Betätigung der Esc-Taste wird die Eingabe abgebrochen und der Wert nicht abgesetzt.

Defaultwert:

  • Als Element im Bild: inaktiv
  • Editierbarer Dynamischer Text aus Menü Kontrollelemente: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CommitOnKillFocus


ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Interne ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

2. Blinkzustand unsichtbar

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Zusätzlich muss in Eigenschaft Variable für Blinken eine Variable definiert sein und die Eigenschaft Blinkfarbe von Grenzwert übernehmen aktiv sein.

Aktiv: Der Glow-Effekt wechselt beim Blinken nicht zum eingestellten Glow-Effekt, sondern zu unsichtbar. Dadurch ist ein Blinken zwischen unsichtbar und der Blinkfarbe aus dem Grenzwert möglich.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffect2ndBlinkStateVisible


ID_ELE_PROP_GLOWEFFECT_ACTIVE

Interne ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Aktivieren

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde. Die Projekteigenschaft Windows CE Projekt darf nicht aktiviert sein. Verfügbarkeit ist auch abhängig vom grafischen Element.

  • Aktiv: Glow-Effekt wird für das Element angewandt.
  • Inaktiv: Kein Glow-Effekt für das Element.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectActive


ID_ELE_PROP_GLOWEFFECT_ALPHA

Interne ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Transparenz [%]

Transparenzwert, mit dem der Glow-Effekt auf dem Element dargestellt wird. Einheit: in Prozent. Klick auf Schaltfläche ... öffnet Schieberegler.

Minimum: 0%, deckend

Maximum: 100%, voll transparent

Default: 20%

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectAlpha


ID_ELE_PROP_GLOWEFFECT_COLOR

Interne ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Farbe

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist. Die Eigenschaft Einfärben muss aktiviert werden.

Bestimmt die Farbe des Glow Effekts. Klick auf Schaltfläche ... öffnet Farbpalette zur Auswahl der Farbe. Direkte Eingabe des Hex-Werts in Feld ist möglich.

Default: 0xFFFF90 (Gelb)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectColor


ID_ELE_PROP_GLOWEFFECT_EVENT

Interne ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Nur aktiv wenn gedrückt

Nur verfügbar, wenn Eigenschaft Aktivieren aktiv ist und es sich um eine Button Element handelt.

Aktiv: Der Glow-Effekt wird nur dargestellt, wenn der Button gedrückt ist. Der Glow-Effekt kann während des Drückens auch die Farbe wechseln, blinken oder unsichtbar geschaltet werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectEvent


ID_ELE_PROP_GLOWEFFECT_SPREAD

Interne ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Ausbreitung [Pixel]

Definiert den Ausbreitungsfaktor für den Glow-Effekt. Dieser wird definiert als Anzahl an Pixel, die auf jeder Seite in die Ausbreitung mit eingerechnet werden.

Minimum: 0, keine Ausbreitung

Maximum: 50

Default: 15

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectSpread


ID_ELE_PROP_GLOWEFFECT_USECOLOR

Interne ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Einfärben

Nur verfügbar, wenn die Eigenschaft Aktivieren aktiv ist.

Aktiv: Der Glow-Effekt für das Element wird eingefärbt. Damit wird der gesamte Glow Effekt mit nur einer definierten Farbe dargestellt. Die Farbe kann über die Eigenschaft Farbe oder eine in Eigenschaft Variable für Farbe definierte Variable eingestellt werden. Sind beide Eigenschaften aktiv, wird die Farbe aus Variable für Farbe verwendet.

Inaktiv: Die Farben des Elementes werden für den Glow-Effekt verwendet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectUseColor


ID_ELE_PROP_GRP0

Interne ID: ID_ELE_PROP_GRP0

Allgemein

Allgemeine Eigenschaften.

Mehr in den Online-Handbüchern für Bild-Elemente und Stile.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

General


ID_ELE_PROP_GRP1

Interne ID: ID_ELE_PROP_GRP1

Position

Eigenschaften zu Position und Größe des Dynamischen Elements.

Hinweis: Einstellungen dieser Gruppe haben keine Auswirkung auf die Darstellung von bestimmten Kontrollelementen in Bildern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Position


ID_ELE_PROP_GRP2

Interne ID: ID_ELE_PROP_GRP2

Weltbilddarstellung

Eigenschaften zum Verhalten des Elements in der Weltbilddarstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Overview


ID_ELE_PROP_GRP3

Interne ID: ID_ELE_PROP_GRP3

Füllung

Farbeigenschaften des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Color


ID_ELE_PROP_GRP4

Interne ID: ID_ELE_PROP_GRP4

VBA Makros

Eigenschaften für mit dem Element verknüpfte VBA Makros.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VBA


ID_ELE_PROP_GRP5

Interne ID: ID_ELE_PROP_GRP5

Allgemeine Ereignisse

VBA Makros für allgemeine Ereignisse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

General_Events


ID_ELE_PROP_GRP6

Interne ID: ID_ELE_PROP_GRP6

Sollwert setzen

Eigenschaften zum Setzen von Sollwerten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueGroup


ID_ELE_PROP_GRP7

Interne ID: ID_ELE_PROP_GRP7

Variable/Funktion

Eigenschaften für die mit dem Element verknüpfte Variable oder Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Element


ID_ELE_PROP_GRP8

Interne ID: ID_ELE_PROP_GRP8

Anzeigeeinstellungen

Eigenschaften für die Anzeige im Element.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisplayArea


ID_ELE_PROP_GRP9

Interne ID: ID_ELE_PROP_GRP9

Füllung

Eigenschaften für Farben und Füllmuster des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Colors_Static


ID_ELE_PROP_GRP10

Interne ID: ID_ELE_PROP_GRP10

Sollwert-Grenzen statisch

Fix definierte Sollwertgrenzen des Elements.

Achtung: Wenn der Minimumwert größer als der Maximumwert ist und die Eigenschaft Sollwert setzen ohne Dialog aktiv ist, wird beim Ändern des Sollwerts zwischen dem Minimumwert und dem Maximumwert getoggelt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueLimits_Static


ID_ELE_PROP_GRP11

Interne ID: ID_ELE_PROP_GRP11

Darstellung

Eigenschaften für die grafische Darstellung des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Representation


ID_ELE_PROP_GRP12

Interne ID: ID_ELE_PROP_GRP12

Skala

Eigenschaften für die Darstellung einer Skala.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Scale


ID_ELE_PROP_GRP13

Interne ID: ID_ELE_PROP_GRP13

Schleppzeiger

Eigenschaften für den Schleppzeiger.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Look


ID_ELE_PROP_GRP14

Interne ID: ID_ELE_PROP_GRP14

Innenabstand

Eigenschaften für den Rahmen des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Border


ID_ELE_PROP_GRP15

Interne ID: ID_ELE_PROP_GRP15

Titel

Eigenschaften für die Darstellung eines Titels.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Title


ID_ELE_PROP_GRP16

Interne ID: ID_ELE_PROP_GRP16

Knopf

Eigenschaften für den Knopf.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Knob


ID_ELE_PROP_GRP17

Interne ID: ID_ELE_PROP_GRP17

Darstellungszeitraum

Zeitraum, der in den Kurven dargestellt werden soll.
(Stunden, Minuten Sekunden)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Time


ID_ELE_PROP_GRP18

Interne ID: ID_ELE_PROP_GRP18

Aktualisierungszeit

Zeitintervall, in dem die Darstellung aktualisiert wird (d.h. ein neuer Wert hinzugefügt wird).
(Stunden, Minuten, Sekunden, Millisekunden)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Refresh


ID_ELE_PROP_GRP20

Interne ID: ID_ELE_PROP_GRP20

Bildsymbol Einstellungen

Eigenschaften für die Verwendung eines Bildsymbols für die Darstellungsart.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PictSymbol


ID_ELE_PROP_GRP21

Interne ID: ID_ELE_PROP_GRP21

Automatic Line Coloring

Eigenschaften für Automatic Line Coloring (ALC).

Weitere Eigenschaften finden Sie in den Projekteigenschaften, in der Gruppe Automatic Line Coloring.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALC


ID_ELE_PROP_GRP22

Interne ID: ID_ELE_PROP_GRP22

Maus Ereignisse

VBA Makros für Maus Ereignisse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Mouse_Events


ID_ELE_PROP_GRP23

Interne ID: ID_ELE_PROP_GRP23

Drag&Drop

VBA Makros für Drag&Drop Ereignisse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DragDrop_Events


ID_ELE_PROP_GRP24

Interne ID: ID_ELE_PROP_GRP24

Farbverlauf

Eigenschaften für die Projektierung von Farbverläufen. Nur verfügbar, wenn Farbverlauf als Füllmuster ausgewählt ist.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

3D-Filling


ID_ELE_PROP_GRP25

Interne ID: ID_ELE_PROP_GRP25

Automatic Line Coloring

Eigenschaften für ALC.

Nur verfügbar, wenn Automatic Line Coloring (ALC) lizenziert ist.
Weitere Eigenschaften, die sich auf Bildelemente beziehen, finden Sie in den Eigenschaften der jeweiligen Elemente in der Gruppe Automatic Line Coloring.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ALC


ID_ELE_PROP_GRP26

Interne ID: ID_ELE_PROP_GRP26

Abrundung

Eigenschaften für die Darstellung abgerundeter Ecken.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Roundness


ID_ELE_PROP_GRP27

Interne ID: ID_ELE_PROP_GRP27

Binärwert

Eigenschaften für das Setzen eines binären Sollwerts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BinaryValue


ID_ELE_PROP_GRP28

Interne ID: ID_ELE_PROP_GRP28

Numerischer Wert

Eigenschaften für das Setzen eines analogen Sollwerts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AnalogValue


ID_ELE_PROP_GRP29

Interne ID: ID_ELE_PROP_GRP29

Kopfzeile und Raster

Eigenschaften für die Kopfzeile und das Raster.

Mehr im Online-Handbuch für AML

Mehr im Online-Handbuch für CEL

Mehr im Online-Handbuch für ETM

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Heading


ID_ELE_PROP_GRP30

Interne ID: ID_ELE_PROP_GRP30

Einträge dynamisch erzeugen

Eigenschaften für dynamische Combo-/Listbox.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynEntries


ID_ELE_PROP_GRP31

Interne ID: ID_ELE_PROP_GRP31

Bildalarmierung Button

Nur verfügbar in SICAM 230.
Eigenschaften für das Bildalarmierungselement.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BA-Elem


ID_ELE_PROP_GRP33

Interne ID: ID_ELE_PROP_GRP33

Kurzschlusserkennung

Enthält die Eigenschaften zur Fehlerortung von Kurzschlüssen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShortFaults


ID_ELE_PROP_GRP34

Interne ID: ID_ELE_PROP_GRP34

Textformatierung

Eigenschaften für das Format des dargestellten Texts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextAlign


ID_ELE_PROP_GRP35

Interne ID: ID_ELE_PROP_GRP35

Bitmap Einstellungen

Eigenschaften für die Verwendung des Elements mit verschiedenen Bitmaps zur Anzeige der Zustände.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BMPSettings


ID_ELE_PROP_GRP36

Interne ID: ID_ELE_PROP_GRP36

Symboleinstellungen

Eigenschaften für die Verwendung des Elements mit Symbolen aus der Bibliothek zur Anzeige der Zustände.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LibSymSettings


ID_ELE_PROP_GRP37

Interne ID: ID_ELE_PROP_GRP37

Topologie

Eigenschaften für SICAM 230.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MrLinzSettings


ID_ELE_PROP_GRP38

Interne ID: ID_ELE_PROP_GRP38

Ausprägung

Einstellungen zur grafischen Ausprägung des Reglers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SuperLook


ID_ELE_PROP_GRP39

Interne ID: ID_ELE_PROP_GRP39

Bezugspunkt

Bestimmt den Startpunkt für die Berechnung des Drehwinkels bzw. der dynamischen Größenänderung des Elements.

ACHTUNG: Bei nicht rechteckigen Elementen beziehen sich die Angaben immer auf das umschließende Rechteck.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RelPoint


ID_ELE_PROP_GRP40

Interne ID: ID_ELE_PROP_GRP40

Runtime

Eigenschaften für das Runtime-Verhalten des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Runtime


ID_ELE_PROP_GRP41

Interne ID: ID_ELE_PROP_GRP41

Tastaturbedienung

Eigenschaften für die Online-Bedienung des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Operation


ID_ELE_PROP_GRP43

Interne ID: ID_ELE_PROP_GRP43

Grafikdatei

Eigenschaften für die Grafikdatei des Dynamischen Elements Button.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GraphicFile


ID_ELE_PROP_GRP44

Interne ID: ID_ELE_PROP_GRP44

Berechtigung

Eigenschaften für die Bedienberechtigung des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Rights


ID_ELE_PROP_GRP45

Interne ID: ID_ELE_PROP_GRP45

Sichtbarkeit

Eigenschaften für die Sichtbarkeit des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynamicVisibility


ID_ELE_PROP_GRP46

Interne ID: ID_ELE_PROP_GRP46

Anzeigebereich statisch

Eigenschaften für den fix definierten Anzeigebereich des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Displayrange_Static


ID_ELE_PROP_GRP47

Interne ID: ID_ELE_PROP_GRP47

Blinken

Eigenschaften für das Blinken des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynamicBlinking


ID_ELE_PROP_GRP48

Interne ID: ID_ELE_PROP_GRP48

Universalregler

Konfiguration des Reglers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Universal_Slider


ID_ELE_PROP_GRP49

Interne ID: ID_ELE_PROP_GRP49

Beschriftung

Konfiguration der Legende des Reglers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Legend


ID_ELE_PROP_GRP50

Interne ID: ID_ELE_PROP_GRP50

Rahmen/Schatten

Eigenschaften für Rahmen und Schatten um das Element.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrame


ID_ELE_PROP_GRP51

Interne ID: ID_ELE_PROP_GRP51

Öffnungswinkel

Definition der Winkel für das Kreissegment

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Segment


ID_ELE_PROP_GRP52

Interne ID: ID_ELE_PROP_GRP52

Anzeige von Bool-Werten

Eigenschaften für die Anzeige von Binärwerten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GraphicalImage


ID_ELE_PROP_GRP53

Interne ID: ID_ELE_PROP_GRP53

Grafikdatei

Einstellungen für Grafikdateien.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgCtrlImages


ID_ELE_PROP_GRP54

Interne ID: ID_ELE_PROP_GRP54

Statusfarbe

Einstellungen für farbliche Kennzeichnung des Status einer Nachricht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgCtrlColors


ID_ELE_PROP_GRP55

Interne ID: ID_ELE_PROP_GRP55

Kopfzeile

Enthält Eigenschaften zur Konfiguration der Kopfzeile einer Liste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ListHeader


ID_ELE_PROP_GRP_ALC_FAULTS

Interne ID: ID_ELE_PROP_GRP_ALC_FAULTS

Erdschlusserkennung

Enthält die Eigenschaften zur Fehlerortung von Erdschlüssen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GndFaults


ID_ELE_PROP_GRP_ALC_FOS

Interne ID: ID_ELE_PROP_GRP_ALC_FOS

Topologische Eigenschaften

Eigenschaften für die Fehlerortung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FOS_LoadBal


ID_ELE_PROP_GRP_EFFECTS

Interne ID: ID_ELE_PROP_GRP_EFFECTS

Effekte

Enthält Eigenschaften für die Konfiguration von Effekten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Effects


ID_ELE_PROP_GRP_GLOW_EFFECT

Interne ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Glow (nur DirectX)

Eigenschaften für die Konfiguration des Glow-Effekts. Nur verfügbar, wenn Eigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffect


ID_ELE_PROP_GRP_LINE

Interne ID: ID_ELE_PROP_GRP_LINE

Linie

Eigenschaften für die Gestaltung von Linien.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Line


ID_ELE_PROP_GRP_LINECAPS

Interne ID: ID_ELE_PROP_GRP_LINECAPS

Linienenden

Enthält Eigenschaften für Form von Linienanfang und Linienende.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineCaps


ID_ELE_PROP_GRP_LINECOLORDYN

Interne ID: ID_ELE_PROP_GRP_LINECOLORDYN

Linienfarbe dynamisch

Eigenschaften für dynamische Linienfarben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LineColorDyn


ID_ELE_PROP_GRP_POWERFLOW

Interne ID: ID_ELE_PROP_GRP_POWERFLOW

Lastflussberechnung

Eigenschaften für das optionale ALC-Modul Lasstflussberechnung und State Estimator.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_Powerflow


ID_ELE_PROP_GRP_RECORDER

Interne ID: ID_ELE_PROP_GRP_RECORDER

Prozess-Rekorder

Eigenschaften der Variable oder des Datentyps für das Modul Prozess-Rekorder.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ProcessRecorder


ID_ELE_PROP_GRP_SW

Interne ID: ID_ELE_PROP_GRP_SW

Sollwert setzen

Eigenschaften für das Setzen von Sollwerten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SetValue


ID_ELE_PROP_GRP_TEXT

Interne ID: ID_ELE_PROP_GRP_TEXT

Text

Eigenschaften zur Textgestaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TextGrp


ID_ELE_PROP_GRP_TEXTCOLORDYN

Interne ID: ID_ELE_PROP_GRP_TEXTCOLORDYN

Textfarbe dynamisch

Eigenschaften für dynamische Textfarben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TextColorDyn


ID_ELE_PROP_GRPMULTITOUCH

Interne ID: ID_ELE_PROP_GRPMULTITOUCH

Multitouch_Interaction

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Multitouch_Interaction


ID_ELE_PROP_PARAM_FROM_SCREEN

Interne ID: ID_ELE_PROP_PARAM_FROM_SCREEN

Von aufrufendem Bild übernehmen

Die Funktion ermöglicht die Übernahme des Parameters für Substituierung vom aufrufenden Bild.

  • aktiv: Parameter Textfeld wird deaktiviert

Default: inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ParamFromScreen


ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Interne ID: ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Symbolform bestimmt Klickbereich

Ermöglicht es, einen klickbaren Button mit beliebiger Form zu erstellen. Steht nur für Option Symbol aus Bibliothek des Combi-Elements zur Verfügung.

Aktiv: Die Symbolform wird als Klickbereich verwendet, jedes Element im Symbol wird einzeln für den Klickbereich berücksichtigt.

Inaktiv: Die Form des Combi-Elements (gesamtes Rechteck) wird als Klickbereich verwendet.

Default: inaktiv

Achtung: Unter Windows CE nicht verfügbar.

Eigenschaft steht ab Version 6.51 zur Verfügung. Bei Projekten für frühere Versionen wird die Eigenschaft als inaktiv behandelt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolFormClickArea


ID_ELE_PROP_UNIT_POS

Interne ID: ID_ELE_PROP_UNIT_POS

Einheits-Position [%]

Nur verfügbar, wenn Maßeinheit anzeigen aktiv ist.

Positioniert die Anzeige der Einheit und ermöglicht es so, Einheiten mit verschiedener Breite an untereinander liegenden Zahlenwerten auszurichten. Zur Positionierung wird ein Prozentwert zwischen 0 und 100 angegeben.

Die Einheit wird immer rechts neben der gewählten Position ausgegeben, der dazugehörende Wert links davon, abhängig von der eingestellten Ausrichtung.

Default: 0 - entspricht keiner prozentuellen Ausrichtung, Wert und Einheit werden immer zusammen dargestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UnitPos


ID_ELE_SplineTension

Interne ID: ID_ELE_SplineTension

Rundung

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.

Definiert für Polylinien, Polygone und Rohrleitungen die Rundung.

Werte: 0,0 (keine Rundung) bis 1,0. (maximale Rundung)

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SplineTension


ID_ELE_TEXT_FROM_VARIABLE

Interne ID: ID_ELE_TEXT_FROM_VARIABLE

Text aus Variablenwert

Nur verfügbar für Stringvariablen.

Aktiv: Text wird aus Wert der verknüpften Variablen übernommen.

Inaktiv: Text wird aus Rema übernommen.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextFromVariable


ID_ELE_TEXT_TEXTSOURCE

Interne ID: ID_ELE_TEXT_TEXTSOURCE

Anzeigetext

Auswahl des zur Runtime anzuzeigendes Inhalts aus Dropdownliste:

  • Betriebsmittelkennung: Der Inhalt der Variablen-Eigenschaft Betriebsmittelkennung wird angezeigt.
  • Grenzwerttext: Solange kein Grenzwert verletzt wurde, wird der Inhalt der Bild-Eigenschaft Text angezeigt. Bei einer Grenzwertverletzung wird der Inhalt der Variablen-Eigenschaft Grenzwerttext angezeigt.
  • Maßeinheit: Der Inhalt der Variablen-Eigenschaft Maßeinheit wird angezeigt.
  • Variablenkennung: Der Inhalt der Variablen-Eigenschaft Kennung wird angezeigt.
  • Variablenname: Der Inhalt der Variablen-Eigenschaft Name wird angezeigt.
  • Variablenwert: Der Wert der Variablen wird angezeigt.

Default: Grenzwerttext

Der ausgewählte Inhalt wird in der Vorschau des Elements im Hauptfenster unterhalb der verknüpften Variablen angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextSource


ID_ELE_TEXT_TRANSLATE_TEXT

Interne ID: ID_ELE_TEXT_TRANSLATE_TEXT

Anzeigetext übersetzen

  • Aktiv: Die anzuzeigenden Texte werden übersetzt. Wird ein Text bearbeitet, wird der Entwurf ohne Übersetzung angezeigt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TranslateText


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross Slide

Aktiv: Erkennung für Cross Slide gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlide


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross Slide Exact

Aktiv: Erkennung für Cross Slide Exact gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideExact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross Slide Horizontal

Aktiv: Erkennung für Cross Slide Horizontal gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideHorizontal


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross Slide Rearrange

Aktiv: Erkennung für Cross Slide Rearrange gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideRearrange


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross Slide Select

Aktiv: Erkennung für Cross Slide Select gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideSelect


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross Slide Speed Bump

Aktiv: Erkennung für Cross Slide Speed Bump gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideSpeedBump


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Aktiv: Erkennung für Drag gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Drag


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Aktiv: Erkennung für Hold gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Hold


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Aktiv: Erkennung für Hold (Mouse) gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_HoldMouse


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Aktiv: Erkennung für Manipulation gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Manipulation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Aktiv: Erkennung für Exact gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Exact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Aktiv: Erkennung für Rails X gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_RailsX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Aktiv: Erkennung für Rails Y gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_RailsY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Aktiv: Erkennung für Rotation gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Rotation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Rotation Inertia

Aktiv: Erkennung für Rotation Inertia gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_RotationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Aktiv: Erkennung für Scaling gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Scaling


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling Inertia

Aktiv: Erkennung für Scaling Inertia gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_ScalingInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation Inertia

Aktiv: Erkennung für Translation Inertia gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TranslationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Aktiv: Erkennung für Translation X gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TranslationX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Aktiv: Erkennung für Translation Y gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TranslationY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary Tap

Aktiv: Erkennung für Secondary Tap gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_SecondaryTap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Aktiv: Erkennung für Tap gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Tap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap Double

Aktiv: Erkennung für Tap Double gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TapDouble


ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Interne ID: ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

VSTA Gestenauswertung

Eigenschaften für die Gestenauswertung für Dynamischen Elemente mittels VSTA.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureRecognition


ID_ELEMENT_PROP_INTERACTION_ACTIVE

Interne ID: ID_ELEMENT_PROP_INTERACTION_ACTIVE

Gestenerkennung aktiv

Aktiviert Gestenauswertung. Gesten werden über die weiteren Eigenschaften definiert.

Steht nur zur Verfügung, wenn in den Projekteigenschaften in der Gruppe Interaktion für die Eigenschaft Auswertung Windows 8 eingetragen wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureRecognitionActive


ID_ELESEG_END_ANGLE

Interne ID: ID_ELESEG_END_ANGLE

Endwinkel [°]

Ende des Öffnungswinkels. Der Öffnungswinkel des Kreissegmentes wird zwischen Startwinkel und Endwinkel angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SegEndAngle


ID_ELESEG_OFFSET_ADJUSTABLE

Interne ID: ID_ELESEG_OFFSET_ADJUSTABLE

Segmentdicke einstellbar

Segmentdicke für das Kreissegment. Nicht verfügbar bei Grafikqualität Windows Basis, bei Windows CE Projekt aktiv oder bei Farbverlauf Über Helligkeitswerte.

Aktiv: Die Dicke des Kreissegments kann individuell konfiguriert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffsetAdjustable


ID_ELESEG_OFFSET_END

Interne ID: ID_ELESEG_OFFSET_END

Dicke Endwinkel [Pixel]

Segmentdicke beim Endwinkel von der Außenkante der Ellipse zum Mittelpunkt in Pixel. Nur verfügbar, wenn die Eigenschaft Segmentdicke einstellbar aktiviert und die Eigenschaft Enddicke entspricht Startdicke deaktiviert wurde.

Minimal: 0 Pixel

Maximal: Kleinerer Wert der halben Höhe oder halben Breite des Elements.

Default: 0.00

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EndOffset


ID_ELESEG_OFFSET_END_EQUALS_START

Interne ID: ID_ELESEG_OFFSET_END_EQUALS_START

Enddicke entspricht Startdicke

Aktiv: Setzt die Segmentdicke für den Endwinkel auf den gleichen Wert wie für den Startwinkel. Die Eigenschaft Dicke Endwinkel [Pixel] wird deaktiviert. Damit wird das gesamte Element in gleichmäßiger Segmentdicke dargestellt. Nur verfügbar, wenn die EigenschaftSegmentdicke einstellbar aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffsetEndEqualsStart


ID_ELESEG_OFFSET_GRP

Interne ID: ID_ELESEG_OFFSET_GRP

Segmentdicke

Eigenschaften für die Segmentdicke.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SegmentOffsets


ID_ELESEG_OFFSET_START

Interne ID: ID_ELESEG_OFFSET_START

Dicke Startwinkel [Pixel]

Segmentdicke beim Startwinkel von der Außenkante der Ellipse zum Mittelpunkt in Pixel. Nur verfügbar, wenn Eigenschaft Segmentdicke einstellbar aktiviert wurde.

Minimal: 0 Pixel

Maximal: Kleinerer Wert der halben Höhe oder halben Breite des Elements.

Default: 0.00

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartOffset


ID_ELESEG_START_ANGLE

Interne ID: ID_ELESEG_START_ANGLE

Startwinkel [°]

Anfang des Öffnungswinkels. Der Öffnungswinkel des Kreissegmentes wird zwischen Startwinkel und Endwinkel angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SegStartAngle


ID_ELREST_DEVPARAM

Interne ID: ID_ELREST_DEVPARAM

Device parameter

Die folgenden Properties dienen Ihnen zur Adressierung des ELREST32-Treibers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Device parameter


ID_EMS_PROP0

Interne ID: ID_EMS_PROP0

Name

Eindeutige Bezeichnung zur Identifizierung von Geräten, Gebieten und Anlagen im Last-Management.

Maximaler Eingabebereich: 80 Zeichen
Eingabe von mehr als 80 Zeichen ist nicht möglich.

Achtung: Namen sollten über alle Netze/Versorgungsgebiete im Last-Management eindeutig sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_EMS_PROP1

Interne ID: ID_EMS_PROP1

Beschreibung

Optionale Eingabe eines längeren Namens oder einer detaillierten Beschreibung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Longtext


ID_EMS_PROP8

Interne ID: ID_EMS_PROP8

Aktueller Gesamtverbrauch

Variable, die den aktuellen Wert des Gebietsverbrauchs beinhaltet. Der Wert muss die Zählerdifferenz pro Zeiteinheit der Summe der Verbräuche des Versorgungsgebietes darstellen. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Achtung: Stellen Sie sicher, dass der Wert zyklisch übertragen wird, da er die kurzfristige Optimierungsrechnung auslöst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActValue


ID_EMS_PROP9

Interne ID: ID_EMS_PROP9

Akt. Verbrauchsmittelwert

Prozessvariable mit aktuellem Verbrauchsmittelwert (Ergebnis aus den erfassten Messwerten). Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActMean


ID_EMS_PROP10

Interne ID: ID_EMS_PROP10

Prognostizierter Endverbrauch

Variable, die den Endwert der Prognosegerade zum Ende der Verrechnungsperiode enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProgEndValue


ID_EMS_PROP11

Interne ID: ID_EMS_PROP11

Startwert der Prognose

Variable, die den den Startwert der Prognosegeraden am Anfang des Prognosezeitraums enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProgStartValue


ID_EMS_PROP12

Interne ID: ID_EMS_PROP12

Letzter Schaltwert

Variable, die die Summe der Bezugsmittelwerte, zu denen in der aktuellen Periode noch Schaltaktionen geplant sind, enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Achtung: Diese Variable muss für den Intern Treiber projektiert werden, um eine einwandfreie Funktion zu gewährleisten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LastSwitchValue


ID_EMS_PROP13

Interne ID: ID_EMS_PROP13

Erster Schaltwert

Variable, die den errechneten Bezugsmittelwert, zu dem die nächste Schalthandlung ausgeführt wird, enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Achtung: Diese Variable muss für den Intern Treiber projektiert werden, um eine einwandfreie Funktion zu gewährleisten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FirstSwitchValue


ID_EMS_PROP14

Interne ID: ID_EMS_PROP14

Prognostizierter Fehlerbereich

Variable, die den möglichen Prognosefehler des Prognoseendwertes enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProgChannelValue


ID_EMS_PROP15

Interne ID: ID_EMS_PROP15

Prognostizierter Mittelwert

Variable, die den aktuellen Mittelwert der Realwertprognose enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProgMean


ID_EMS_PROP16

Interne ID: ID_EMS_PROP16

Prognostizierter Fehlerbereich Mittelwert

Variable, die den möglichen Prognosefehler des Mittelwerts der Realwertprognose enthält. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProgChannelMean


ID_EMS_PROP17

Interne ID: ID_EMS_PROP17

Bezugsgrenze

Variable, die die aktuell eingestellte Bezugsleistungsgrenze enthält. Ändert sich ihr Wert zur Runtime, wird auch die Bezugsleistungsgrenze für eine Verrechnungsperiode geändert. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Limit


ID_EMS_PROP18

Interne ID: ID_EMS_PROP18

Angepasste Bezugsgrenze

Variable mit angepasster Bezugsleistungsgrenze (nach oben korrigierte Bezugsleistungsgrenze) bei Überschreitung der Grenze in einer der Vorperioden. Wird die Bezugsleistungsgrenze in einer Periode überschritten, wird die Bezugsleistungsgrenze um die Überschreitung erhöht.

Wenn Sie keine Variable verknüpfen, erfolgt keine Erhöhung der Bezugsleistungsgrenze nach einer Überschreitung.

Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AdjustedLimit


ID_EMS_PROP19

Interne ID: ID_EMS_PROP19

Ist-Abweichung brutto

Variable für die mittlere Abweichung der Realwertprognose. Diese entspricht der Differenz zwischen prognostiziertem Mittelwert der Realwertprognose und der Bezugsleistungsgrenze. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeviationActual


ID_EMS_PROP20

Interne ID: ID_EMS_PROP20

Ist-Abweichung netto

Variable für die mittlere Abweichung der Istwertprognose. Diese entspricht der Differenz zwischen prognostiziertem Mittelwert der Istwertprognose und der Bezugsleistungsgrenze. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeviationReal


ID_EMS_PROP22

Interne ID: ID_EMS_PROP22

Tarifintervall

Dauer einer Verrechnungsperiode in hh:mm:ss. Die Trendrechnung und die Optimierung verwenden diese Zeit als Berechnungshorizont. In der Regel werden 15, 30 oder 60 Minuten als Werte verwendet.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ForecastHorizon


ID_EMS_PROP23

Interne ID: ID_EMS_PROP23

Hysterese Zuschalten [%]

Definiert den Bereich der Hysterese in Prozent, in dem keine Abschaltungen stattfinden dürfen, damit die Sicherheitsabstand [%] zur Bezugsgrenze eingehalten wird.

Default: 0

Achtung: Wird der Bereich zu groß dimensioniert, kann eventuell die Bezugsgrenze überschritten werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HysteresisOn


ID_EMS_PROP24

Interne ID: ID_EMS_PROP24

Hysterese Abschalten [%]

Definiert den Bereich der Hysterese in Prozent, in dem keine Zuschaltungen stattfinden dürfen, damit die Sicherheitsabstand [%] zur Bezugsgrenze eingehalten wird.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HysteresisOff


ID_EMS_PROP25

Interne ID: ID_EMS_PROP25

Sicherheitsabstand [%]

Sicherheitsabstand zur Bezugsgrenze in Prozent. Der Sicherheitsabstand wird auch von den Eigenschaften Hysterese Zuschalten [%] und Hysterese Abschalten [%] beeinflusst.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SafetyClearance


ID_EMS_PROP26

Interne ID: ID_EMS_PROP26

Optimierungszyklus

Zyklus in hh:mm:ss, in dem die kurzfristige Optimierung rechnet. Die Anzeige des Bildes wird nach jeder Optimierung aktualisiert, mindestens aber einmal pro Zyklus.

Default: 00:00:30

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OptCycle


ID_EMS_PROP27

Interne ID: ID_EMS_PROP27

Totzeit Beginn Tarifintervall

Zeit in hh:mm:ss am Anfang eines Verrechnungsintervalls. In diesem Zeitraum werden keine Schalthandlungen durch die Optimierung vorgenommen, da die Prognoseergebnisse noch zu ungenau sind.

Default: 00:00:00

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeadLength


ID_EMS_PROP44

Interne ID: ID_EMS_PROP44

Verfügbarkeit

Variable, die angibt, ob der Erzeuger für das Last-Management verfügbar ist, und somit geschalten werden kann. Ist die Verfügbarkeit gegeben, verbleibt der Erzeuger in seinem zuletzt gültigen Schaltzustand. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Active


ID_EMS_PROP45

Interne ID: ID_EMS_PROP45

Einschaltverzögerung

Zeit in hh:mm:ss, die der Erzeuger zum Einschalten benötigt. Die Leistung des Gerätes steht dem Last-Management erst nach Ablauf der Zeit zur Verfügung.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OnDelay


ID_EMS_PROP46

Interne ID: ID_EMS_PROP46

Ausschaltverzögerung

Zeit in hh:mm:ss, die der Erzeuger zum Einschalten benötigt. Die Leistung des Gerätes steht dem Last-Management erst nach Ablauf der Zeit zur Verfügung.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffDelay


ID_EMS_PROP47

Interne ID: ID_EMS_PROP47

Vorwarnung ein

Variable für die Vorwarnung beim Einschalten des Verbrauchers. Eine Vorwarnung wird entsprechend der eingestellten Vorwarnzeit gesetzt. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WarnOn


ID_EMS_PROP48

Interne ID: ID_EMS_PROP48

Vorwarnung aus

Variable für die Vorwarnung beim Ausschalten des Verbrauchers. Eine Vorwarnung wird entsprechend der eingestellten Vorwarnzeit gesetzt. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WarnOff


ID_EMS_PROP50

Interne ID: ID_EMS_PROP50

Schaltzustand

Variable, die den aktuellen Schaltzustand des Verbrauchers liefert (EIN oder AUS). Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

State


ID_EMS_PROP51

Interne ID: ID_EMS_PROP51

Einschalten

Variable zum Einschalten des Verbrauchers. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SwitchOn


ID_EMS_PROP52

Interne ID: ID_EMS_PROP52

Ausschalten

Variable zum Ausschalten des Verbrauchers. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SwitchOff


ID_EMS_PROP55

Interne ID: ID_EMS_PROP55

Aktuelle Leistung

Liefert den Messwert des aktuellen Verbrauchs eines BHKWs. Dieser Wert sollte immer einer definierten Schaltstufe entsprechen, damit er eindeutig zugeordnet werden kann. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Consumption


ID_EMS_PROP56

Interne ID: ID_EMS_PROP56

{Sperrzeit neu}

Erstellt eine neue Sperrzeit. Klicken Sie dazu in das Feld oder auf die Schaltfläche. Die Sperrzeiten erhalten den Namen "Sperrzeit" plus eine fortlaufende Nummer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NewLock


ID_EMS_PROP57

Interne ID: ID_EMS_PROP57

{Sperrzeit löschen}

Löscht nach einer Sicherheitsabfrage die jeweilige Sperrzeit. Klicken Sie dazu in das Feld oder auf die Schaltfläche. Die fortlaufende Nummerierung der folgenden Sperrzeiten wird angepasst und jeweils um eine Stufe reduziert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DelLock


ID_EMS_PROP58

Interne ID: ID_EMS_PROP58

Beginn

Beginn der Sperrzeit im Format hh:mm:ss.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockStart


ID_EMS_PROP59

Interne ID: ID_EMS_PROP59

Ende

Ende der Sperrzeit im Format hh:mm:ss.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockStop


ID_EMS_PROP60

Interne ID: ID_EMS_PROP60

Typ

Legt fest, welche Handlungen während der Sperrzeit untersagt sind:

  • Ausschaltsperre: Keine Ausschaltung während der Sperrzeit möglich.
  • Einschaltsperre: Keine Einschaltung während der Sperrzeit möglich.
  • Ein-/Ausschaltsperre: Weder Ein- noch Ausschaltung während der Sperrzeit möglich.

Default: Ein-/Ausschaltsperre

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockType


ID_EMS_PROP61

Interne ID: ID_EMS_PROP61

Min. Einschaltzeit

Minimale Zeit in hh:mm:ss, die der Erzeuger nach dem Schalten auf Spitzenleistung eingeschaltet bleiben muss. Erst nach Ablauf dieser Zeit wird der Erzeuger vom Last-Management wieder für Abschaltvorgänge berücksichtigt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinOn


ID_EMS_PROP62

Interne ID: ID_EMS_PROP62

Max. Einschaltzeit

Maximale Zeit in hh:mm:ss, die der Erzeuger nach dem Schalten auf Spitzenleistung eingeschalten bleiben kann. Nach Ablauf der Zeit wird der Erzeuger vom Last-Management automatisch abgeschaltet, selbst wenn dies zu einem Überschreiten der Bezugsgrenze führen sollte.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxOn


ID_EMS_PROP63

Interne ID: ID_EMS_PROP63

Min. Ausschaltzeit

Minimale Zeit in hh:mm:ss, die der Erzeuger nach dem Abschalten in diesem Zustand bleiben muss. Erst nach Ablauf dieser Zeit wird der Erzeuger vom Last-Management wieder für Einschaltvorgänge berücksichtigt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinOff


ID_EMS_PROP64

Interne ID: ID_EMS_PROP64

Max. Ausschaltzeit

Maximale Zeit in hh:mm:ss, die der Erzeuger nach dem Abschalten in diesem Zustand bleiben kann. Nach Ablauf der Zeit wird der Erzeuger vom Last-Management automatisch eingeschaltet, unabhängig davon, ob die aktuelle Bezugsgrenze überschritten ist.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxOff


ID_EMS_PROP67

Interne ID: ID_EMS_PROP67

Vorwarnzeit

Zeit, im Format hh:mm:ss, die zur Vorwarnung einer Schalthandlung benötigt wird. Über die Variable Schaltvorwarnung kann vom System eine Vorwarnung für den Benutzer ausgegeben werden, damit der Benutzer informiert wird, bevor es zur eigentlichen Schalthandlung kommt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Warn


ID_EMS_PROP68

Interne ID: ID_EMS_PROP68

Max. Schalthäufigkeit

Maximale Anzahl der Schalthandlungen pro Zeiteinheit. Ein- und Ausschalten werden jeweils als eine separate Schalthandlungen berücksichtigt. Auch das Schalten von Nenn- auf Spitzenleistung wird als eine Schalthandlung gewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxSwitch


ID_EMS_PROP69

Interne ID: ID_EMS_PROP69

pro Zeiteinheit

Zeiteinheit in hh:mm:ss für die Max. Schalthäufigkeit.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SwitchUnit


ID_EMS_PROP70

Interne ID: ID_EMS_PROP70

Leistungsbestimmung

Wählen Sie über die Dropdownliste aus, wie die Leistungsbestimmung durchgeführt werden soll.

  • default: Leistungsverbrauch wird durch die Nennleistung bestimmt. Dieser Wert ist fix projektiert.
  • gemessen: Aktueller Leistungsverbrauch wird über die Variable aus Aktuelle Leistung festgestellt.

Default: default

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PowerType


ID_EMS_PROP71

Interne ID: ID_EMS_PROP71

Standby-Leistung

Geben Sie hier die Nennleistung des Erzeugers ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Power


ID_EMS_PROP72

Interne ID: ID_EMS_PROP72

Standby-Leistung Variable

Dieser Variablenwert überschreibt zur Laufzeit den fix projektierten Wert der Nennleistung. Damit kann die aktuell erbrachte Nennleistung eines Erzeugers während der Laufzeit angepasst werden, zum Beispiel wenn der Leistungswert über einen Messpunkt erfasst wird. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PowerVar


ID_EMS_PROP73

Interne ID: ID_EMS_PROP73

Einschaltpriorität

Legt die Priorität für das Einschalten des Geräts fest. Je größer der Wert, desto höher die Priorität. Geräte mit höherer Priorität werden zuerst vom Last-Management berücksichtigt.

Minimum: 0

Maximum: 32000

Default: 0

Mehr im Online-Handbuch..

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OnPrio


ID_EMS_PROP74

Interne ID: ID_EMS_PROP74

Ausschaltpriorität

Legt die Priorität zum Ausschalten des Geräts fest. Je größer der Wert, desto höher die Priorität. Geräte mit höherer Priorität werden zuerst vom Last-Management berücksichtigt.

Minimum: 0

Maximum: 32000

Default: 0

Mehr im Online-Handbuch..

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffPrio


ID_EMS_PROP79

Interne ID: ID_EMS_PROP79

Spitzenleistung

Geben Sie hier die gewünschte Spitzenleistung ein. Das Modul Last-Management kann ausgehend von der Nennleistung auf diesen Wert für Spitzenleistung umschalten. Der Bezugswert wird um die geschaltete Leistungsdifferenz reduziert.

Wenn der Erzeuger nur über eine zuschaltbare Leistung verfügt und es damit keine Grundleistung gibt, dann ist nur die Spitzenleistung des Erzeugers einzustellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PeakPower


ID_EMS_PROP80

Interne ID: ID_EMS_PROP80

Schaltvorwarnung

Definiert Variable, die Benutzer bei Schaltungen entsprechend der eingestellten Vorwarnzeit vorwarnt. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WarnSwitch


ID_EMS_PROP83

Interne ID: ID_EMS_PROP83

Schalten Standby

Befehlsvariable, die auf Standby schaltet. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SwitchOff


ID_EMS_PROP84

Interne ID: ID_EMS_PROP84

Schalten Spitzenleistung

Befehlsvariable für Schaltungen auf Spitzenleistung. In der Regel wird von Nennleistung auf Spitzenleistung geschaltet. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SwitchOn


ID_EMS_PROP86

Interne ID: ID_EMS_PROP86

Schaltzustand

Variable, an die der aktuelle Schaltzustand des Erzeugers (AUS oder EIN) geschickt werden sollt. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

State


ID_EMS_PROP102

Interne ID: ID_EMS_PROP102

Last-Management für Versorgungsgebiet gestartet

Variable, die zur Laufzeit angibt, ob das im Last-Management Bild angezeigte Versorgungsgebiet aktiviert wurde. Die Aktivierung erfolgt über eine Funktion. Die Variable muss vom Typ BOOL sein. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Running


ID_EMS_PROP103

Interne ID: ID_EMS_PROP103

Einschaltpriorität Variable

Verbraucher: Variable, die die Einschaltpriorität des Geräts während der Laufzeit dynamisch anpasst. Damit können z.B. Erzeuger in Abhängigkeit von einer Außentemperatur in der LM-Hierarchie umgereiht werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OnPrioVar


ID_EMS_PROP104

Interne ID: ID_EMS_PROP104

Ausschaltpriorität Variable

Variable, die die Ausschaltpriorität des Geräts während der Laufzeit dynamisch anpasst. Damit können z.B. Erzeuger in Abhängigkeit von einer Außentemperatur in der Last-Management Hierarchie umgereiht werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffPrioVar


ID_EMS_PROP105

Interne ID: ID_EMS_PROP105

Interner Schaltzustand

Variable, in der die unterschiedlichen Status für die Geräte abgebildet werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispoStatus


ID_EMS_PROP106

Interne ID: ID_EMS_PROP106

Min. Einschaltzeit Variable

Variable, die zur Runtime die minimale Einschaltzeit anpassen kann. Ein in der Runtime vorhandener Wert überschreibt den in der Projektierung eingestellten Wert. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinOnVar


ID_EMS_PROP107

Interne ID: ID_EMS_PROP107

Max. Einschaltzeit Variable

Variable, die zur Runtime die maximale Einschaltzeit anpassen kann. Ein in der Runtime vorhandener Wert überschreibt den in der Projektierung eingestellten Wert. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxOnVar


ID_EMS_PROP108

Interne ID: ID_EMS_PROP108

Min. Ausschaltzeit Variable

Variable, die zur Runtime die minimale Ausschaltzeit anpassen kann. Ein in der Runtime vorhandener Wert überschreibt den in der Projektierung eingestellten Wert. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinOffVar


ID_EMS_PROP109

Interne ID: ID_EMS_PROP109

Max. Ausschaltzeit Variable

Variable, die zur Runtime die maximale Ausschaltzeit anpassen kann. Ein in der Runtime vorhandener Wert überschreibt den in der Projektierung eingestellten Wert. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxOffVar


ID_EMS_PROP110

Interne ID: ID_EMS_PROP110

{Stufe neu}

Erstellt eine neue Schaltstufe. Klicken Sie dazu in das Feld oder auf die Schaltfläche. Die Schaltstufen erhalten den Namen "Schaltstufe" plus eine fortlaufende Nummer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NewStufe


ID_EMS_PROP111

Interne ID: ID_EMS_PROP111

{Stufe löschen}

Löscht die aktuelle Schaltstufe. Klicken Sie dazu in das Feld oder auf die Schaltfläche. Die fortlaufende Nummerierung der folgenden Schaltstufen wird angepasst und jeweils um eine Stufe reduziert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DelGrade


ID_EMS_PROP112

Interne ID: ID_EMS_PROP112

Leistung der Stufe

Leistungswert der Schaltstufe. Der spätere Leistungswert während der Laufzeit muss immer exakt einem in den Schaltstufen definierten Wert entsprechen.

Default: 0.000000

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradePower


ID_EMS_PROP113

Interne ID: ID_EMS_PROP113

Leistung der Stufe Variable

Variable, mit der der Leistungswert einer BHKW Schaltstufe während der Runtime dynamisch angepasst werden kann. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradePowerVar


ID_EMS_PROP114

Interne ID: ID_EMS_PROP114

Vorwarnzeit

Zeit in hh:mm:ss, die zur Vorwarnung einer Schalthandlung benötigt wird. Über die Variable Vorwarnung ein bzw. Vorwarnung aus kann vom System eine Vorwarnung für den Benutzer ausgegeben werden. Der Anwender wird informiert, bevor es zur eigentlichen Schalthandlung kommt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeWarn


ID_EMS_PROP115

Interne ID: ID_EMS_PROP115

Vorwarnung ein

Definiert Variable, die Benutzer bei Schaltungen entsprechend der eingestellten Vorwarnzeit bei einem Einschaltvorgang vorwarnt. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeWarnOn


ID_EMS_PROP116

Interne ID: ID_EMS_PROP116

Vorwarnung aus

Definiert Variable, die Benutzer bei Schaltungen entsprechend der eingestellten Variable Vorwarnzeit bei einem Ausschaltvorgang benachrichtigt. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeWarnOff


ID_EMS_PROP117

Interne ID: ID_EMS_PROP117

Einschaltverzögerung

Zeit in hh:mm:ss, die das BHKW zum Einschalten benötigt. Die Leistung des Gerätes steht dem Last-Management erst nach Ablauf dieser Zeit zur Verfügung.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeOnDelay


ID_EMS_PROP118

Interne ID: ID_EMS_PROP118

Ausschaltverzögerung

Zeit in hh:mm:ss, die das BHKW zum Ausschalten benötigt. Ein Leistungsabfall erfolgt erst nach Ablauf der eingestellten Zeit.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeOffDelay


ID_EMS_PROP119

Interne ID: ID_EMS_PROP119

Min. Einschaltzeit

Minimale Zeit in hh:mm:ss, die das BHKW nach dem Schalten auf Spitzenleistung eingeschaltet bleiben muss. Erst nach Ablauf dieser Zeit wird der Erzeuger vom Last-Management wieder für Abschaltvorgänge berücksichtiigt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeMinOn


ID_EMS_PROP120

Interne ID: ID_EMS_PROP120

Max. Einschaltzeit

Maximale Zeit in hh:mm:ss, die das BHKW nach dem Schalten auf Spitzenleistung eingeschalten bleiben kann. Nach Ablauf der Zeit wird der Erzeuger vom Last-Management automatisch abgeschalten, selbst wenn diese zu einem Überschreiten der Bezugsgrenze führen sollte.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeMaxOn


ID_EMS_PROP121

Interne ID: ID_EMS_PROP121

Sollwert-Variable

Globale Sollwertvariable, die das BHKW schaltet. Die einzelnen Werte bzw. Variablen an den LeistungsstufenStufen dienen lediglich zur Angabe der Stufenleistung. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValue


ID_EMS_PROP122

Interne ID: ID_EMS_PROP122

Hysterese

Die Hysterese definiert den erlaubten Bereich, in dem der aktuelle Wert noch einer der Schaltstufen zugeordnet werden kann. Liegt ein Verbrauchswert nicht innerhalb der Hysterese einer der projektierten Schaltstufen, gilt das BHKW für das Last-Management als inaktiv.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Hysteresis


ID_EMS_PROP123

Interne ID: ID_EMS_PROP123

Geplante Schaltungen

Ermöglicht die Verknüpfung einer String-Variablen, die alle geplanten Schalthandlungen aus dem Last-Management erhält. Klick auf die Schaltfläche ... öffnet Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ScheduledActions


ID_EMS_PROP124

Interne ID: ID_EMS_PROP124

Nennleistung

Nennleistung des Verbrauchers in kW.

Dieser Wert kann über Zuweisung einer Variablen in der Eigenschaft Nennleistung Variable zur Runtime dynamisch angepasst werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Power


ID_EMS_PROP125

Interne ID: ID_EMS_PROP125

Nennleistung Variable

Die aktuell bezogene Nennleistung eines Verbrauchers kann während der Laufzeit über eine Variable angepasst werden, z.B. wenn der Leistungswert über einen Messpunkt erfasst wird. Dieser Variablenwert überschreibt zur Runtime den fix projektierten Wert der Nennleistung. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PowerVar


ID_EMS_PROP127

Interne ID: ID_EMS_PROP127

Prioritäten als Primärfaktor

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PrimaryPrio


ID_EMS_PROP128

Interne ID: ID_EMS_PROP128

Prioritäten als Primärfaktor aktiv

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PrioAsPrimary


ID_EMS_PROP129

Interne ID: ID_EMS_PROP129

{Stufe neu}

Verbraucher: Erstellt eine neue Schaltstufe. Klicken Sie dazu in das Feld oder auf die Schaltfläche. Die Schaltstufen erhalten den Namen "Schaltstufe" plus eine fortlaufende Nummer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

NewStufe


ID_EMS_PROP130

Interne ID: ID_EMS_PROP130

Sollwert-Variable

Verbraucher: Globale Sollwertvariable, die den Verbraucher schaltet. Die einzelnen Werte bzw. Variablen an den LeistungsstufenStufen dienen lediglich zur Angabe der Stufenleistung. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValue


ID_EMS_PROP131

Interne ID: ID_EMS_PROP131

Aktuelle Leistung

Verbraucher: Liefert den Messwert des aktuellen Verbrauchs eines Verbrauchers. Dieser Wert sollte immer einer definierten Schaltstufe entsprechen, damit er eindeutig zugeordnet werden kann. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Consumption


ID_EMS_PROP132

Interne ID: ID_EMS_PROP132

Hysterese

Verbraucher: Die Hysterese definiert den erlaubten Bereich, in dem der aktuelle Wert noch einer der Schaltstufen zugeordnet werden kann. Liegt ein Verbrauchswert nicht innerhalb der Hysterese einer der projektierten Schaltstufen, gilt der Verbraucher für das Last-Management als inaktiv.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Hysteresis


ID_EMS_PROP133

Interne ID: ID_EMS_PROP133

Einschaltpriorität

Verbraucher: Legt die Priorität für das Einschalten des Geräts fest. Je größer der Wert, desto höher die Priorität. Geräte mit höherer Priorität werden zuerst vom Last-Management berücksichtigt.

Minimum: 0

Maximum: 32000

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OnPrio


ID_EMS_PROP134

Interne ID: ID_EMS_PROP134

Einschaltpriorität Variable

Verbraucher: Variable, die die Einschaltpriorität des Geräts während der Laufzeit dynamisch anpasst. Damit können z.B. Erzeuger in Abhängigkeit von einer Außentemperatur in der Last-Management Hierarchie umgereiht werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OnPrioVar


ID_EMS_PROP135

Interne ID: ID_EMS_PROP135

Ausschaltpriorität

Verbraucher: Legt die Priorität zum Ausschalten des Geräts fest. Je größer der Wert, desto höher die Priorität. Geräte mit höherer Priorität werden zuerst vom Last-Management berücksichtigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffPrio


ID_EMS_PROP136

Interne ID: ID_EMS_PROP136

Ausschaltpriorität Variable

Verbraucher: Variable, die die Ausschaltpriorität des Geräts während der Laufzeit dynamisch anpasst. Damit können z.B. Erzeuger in Abhängigkeit von einer Außentemperatur in der Last-Management Hierarchie umgereiht werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OffPrioVar


ID_EMS_PROP137

Interne ID: ID_EMS_PROP137

{Stufe löschen}

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

DelGrade


ID_EMS_PROP138

Interne ID: ID_EMS_PROP138

Leistung der Stufe

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradePower


ID_EMS_PROP139

Interne ID: ID_EMS_PROP139

Leistung der Stufe Variable

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradePowerVar


ID_EMS_PROP140

Interne ID: ID_EMS_PROP140

Einschaltverzögerung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeOnDelay


ID_EMS_PROP141

Interne ID: ID_EMS_PROP141

Ausschaltverzögerung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeOffDelay


ID_EMS_PROP142

Interne ID: ID_EMS_PROP142

Min. Einschaltzeit

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeMinOn


ID_EMS_PROP143

Interne ID: ID_EMS_PROP143

Max. Einschaltzeit

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeMaxOn


ID_EMS_PROP144

Interne ID: ID_EMS_PROP144

Vorwarnzeit

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeWarn


ID_EMS_PROP145

Interne ID: ID_EMS_PROP145

Vorwarnung ein

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeWarnOn


ID_EMS_PROP146

Interne ID: ID_EMS_PROP146

Vorwarnung aus

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GradeWarnOff


ID_EMS_PROP_GRP0

Interne ID: ID_EMS_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Last-Management Ebene.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_EMS_PROP_GRP1

Interne ID: ID_EMS_PROP_GRP1

Eingangswerte

Einstellungen für aktuelle Werte und Bezugsgrenzen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_InputValues


ID_EMS_PROP_GRP2

Interne ID: ID_EMS_PROP_GRP2

GRP_GasParameters

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_GasParameters


ID_EMS_PROP_GRP4

Interne ID: ID_EMS_PROP_GRP4

Sperrzeiten

Mittels frei definierbarer Zeitbereiche können einzelne Geräte für das Last-Management aus der Optimierung ausgeschlossen werden. Geräte mit einer definierten Sperrzeit werden in diesem Zeitraum nicht vom Last-Management berücksichtigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Locks


ID_EMS_PROP_GRP6

Interne ID: ID_EMS_PROP_GRP6

Schaltstufen

Diese Einstellungen stehen nur für Erzeuger in Stromnetzen zur Verfügung.

Blockheizkraftwerke unterscheiden sich von Standard-Erzeugern durch das Vorhandensein von vordefinierten Schaltstufen. Ein BHKW kann nur Leistungswerte annehmen, die auch als Schaltstufe definiert wurden. Das Last-Management kann auch nur Schaltungen von einer auf die nächst höhere oder nächst kleinere Schaltstufe vornehmen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Schaltstufen


ID_EMS_PROP_GRP9

Interne ID: ID_EMS_PROP_GRP9

Berechnete Werte

Mit Hilfe von Prozessvariablen können wichtige Parameter für die Prognose und Optimierung während der Laufzeit angepasst werden. Damit können abhängig von Messwerten wichtige Last-Management Parameter wie zum Beispiel Schaltprioritäten an den aktuellen Prozess angepasst werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_CalculatedValues


ID_EMS_PROP_GRP10

Interne ID: ID_EMS_PROP_GRP10

Parameter

Diese Einstellungen beeinflussen grundlegend die Optimierung für das ausgewählte Versorgungsgebiet. Änderungen dieser Parameter haben direkten Einfluss auf die, durch das Last-Management, automatisch vorgenommenen Schalt-Operationen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Parameters


ID_EMS_PROP_GRP11

Interne ID: ID_EMS_PROP_GRP11

Schaltzeiten

Das Last-Management kann mit Hilfe dieser Parameter unterschiedliche Laufzeiten oder zeitliche Anforderungen an einzelne Geräte berücksichtigen. Die Schaltzeiten sind ein wesentlicher Einflussfaktor zur Auswahl eines Gerätes für einen Schaltvorgang.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ProducerTimes


ID_EMS_PROP_GRP13

Interne ID: ID_EMS_PROP_GRP13

Leistung/Priorität

Diese Eigenschaften stehen nur für Geräte in Stromnetzen zur Verfügung. Sie bestimmen das grundlegende Verhalten der im Stromnetz relevanten Geräte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ProducerPrioPower


ID_EMS_PROP_GRP14

Interne ID: ID_EMS_PROP_GRP14

Schaltvariablen

Mit Hilfe von Prozessvariablen können wichtige Parameter für die Prognose und Optimierung während der Laufzeit angepasst werden. Damit können abhängig von Messwerten wichtige Parameter für das Last-Management, wie zum Beispiel Schaltprioritäten, an den aktuellen Prozess angepasst werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ConsumerVariables


ID_EMS_PROP_GRP16

Interne ID: ID_EMS_PROP_GRP16

Schaltvariablen

Mit Hilfe von Prozessvariablen können wichtige Parameter für die Prognose und Optimierung zur Runtime angepasst werden. Damit lassen sich abhängig von Messwerten wichtige Parameter Last-Management, wie zum Beispiel Schaltprioritäten, an den aktuellen Prozess anpassen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ProducerVariables


ID_EMS_PROP_GRP19

Interne ID: ID_EMS_PROP_GRP19

Statusinformation

Definiert Informationsübermittlung zum Status für das Last-Management.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Status


ID_EMS_PROP_GRP20

Interne ID: ID_EMS_PROP_GRP20

Leistung

Fasst Angaben zu Leistung zusammen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ProducerPower


ID_EMS_PROP_GRP21

Interne ID: ID_EMS_PROP_GRP21

Priorität

Enthält die Einstellung der Prioritäten für Einschaltung und Auschaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ProducerPrio


ID_EMS_PROP_GRP22

Interne ID: ID_EMS_PROP_GRP22

Einschaltzeit

Einstellungen für die Festlegung der Einschaltzeiten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SwitchOn


ID_EMS_PROP_GRP23

Interne ID: ID_EMS_PROP_GRP23

Ausschaltzeit

Einstellungen für die Festlegung der Ausschaltzeiten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SwitchOff


ID_EMS_PROP_GRP24

Interne ID: ID_EMS_PROP_GRP24

Schalthäufigkeit

Enthält Parameter zur Bestimmung der Max. Schalthäufigkeit pro Zeiteinheit.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SwitchFrequency


ID_EMS_PROP_GRP25

Interne ID: ID_EMS_PROP_GRP25

Statusinformation

Legt fest, wie Informationen zu Schaltzustand und Interner Schaltzustand übermittelt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ProducerStatus


ID_EMS_PROP_GRP26

Interne ID: ID_EMS_PROP_GRP26

Schaltstufen

Diese Einstellungen stehen nur für Verbraucher in Stromnetzen zur Verfügung.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Schaltstufen


ID_EMS_PROP_GRP27

Interne ID: ID_EMS_PROP_GRP27

Statusinformation

Legt fest, wie Informationen zu Aktuelle Leistung, Interner Schaltzustand und Schaltzustand übermittelt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ConsumerStatus


ID_EMS_PROP_GRP28

Interne ID: ID_EMS_PROP_GRP28

Priorität

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ProducerPrio


ID_EMS_PROP_GRP29

Interne ID: ID_EMS_PROP_GRP29

Leistung/Priorität

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ProducerPrioPower


ID_EMS_PROP_GRP30

Interne ID: ID_EMS_PROP_GRP30

Leistung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ProducerPower


ID_ERSETZEN_ZUSAMMEN

Interne ID: ID_ERSETZEN_ZUSAMMEN

Zusammengesetzte Namen

Ersetzen von Variablen in einem Symbol.

Das Verhalten dieser Eigenschaft steht in direktem Zusammenhang mit den Einstellungen der Eigenschaft Über Variablennamen:
Ist die Eigenschaft Über Variablennamen aktiviert, wird der Variablenname (Eigenschaft Name) verwendet. Ist die Eigenschaft Über Variablennamen nicht aktiv, wird die Variablenkennung (Eigenschaft Kennung) verwendet.

Eigenschaft Zusammengesetzte Namen:

  • Aktiv: Die Namen der verknüpften Variablen/Kennung werden aus dem Objektnamen des Symbols und der in Symbol definierten Variablen zusammengesetzt. Die beiden Namen werden durch einen Punkt getrennt: "Symbolname.Variable" oder "Symbolname.Kennung"
  • Inaktiv: Variablennamen oder Variablenkennung werden verwendet.

Default: inaktiv

Achtung: Ist die Eigenschaft Zusammengesetzte Namen aktiv die Eigenschaft Über Variablennamen aber nicht aktiv wird die Variablenkennung verwendet. Ist diese Kennung jedoch leer, schlägt das Zusammensetzen fehl!

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstituteCombinedName


ID_ETM_CURVE_ALPHA_PERCENT

Interne ID: ID_ETM_CURVE_ALPHA_PERCENT

Transparenz Füllfarbe

Ermöglicht die Einstellung der Füllfarbentransparenz.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

FillAlphaPercent


ID_ETM_CURVE_COLORASCOLOR

Interne ID: ID_ETM_CURVE_COLORASCOLOR

Farbe

Klick auf die Schaltfläche ... ermöglicht die Farbauswahl der Kurve.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorAsColor


ID_ETM_CURVE_FILLCOLORASCOLOR

Interne ID: ID_ETM_CURVE_FILLCOLORASCOLOR

Füllfarbe

Klick auf die Schaltfläche ... ermöglicht die Auswahl der Füllfarbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

FillColorAsColor


ID_EWTREND_KURVE_GANTT

Interne ID: ID_EWTREND_KURVE_GANTT

Graph

Art der Graphendarstellung in der zenon Runtime.
Auswahl aus Dropdownliste:

  • Kurve:
    Werte werden als Kurve dargestellt.
  • Gantt:
    Gantt-Darstellung der Werte.

Default: Kurve

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsGantt


ID_EWTREND_KURVE_GANTT_SHOWLIMIT

Interne ID: ID_EWTREND_KURVE_GANTT_SHOWLIMIT

Grenzwert anzeigen

Zeigt den numerischen Grenzwert an.

Default: inaktiv

Hinweis: Nur verfügbar wenn Graph als Gantt projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsGanttShowLimit


ID_EWTREND_KURVE_GANTT_SHOWLIMITTEXT

Interne ID: ID_EWTREND_KURVE_GANTT_SHOWLIMITTEXT

Grenzwerttext anzeigen

Zeigt die Bezeichnung des Grenzwerts an.

Default: inaktiv

Hinweis: Nur verfügbar wenn Graph als Gantt projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsGanttShowLimitText


ID_EWTREND_KURVE_YOFFSET

Interne ID: ID_EWTREND_KURVE_YOFFSET

Abstand vom oberen Rand

Abstand der Darstellung in der Runtime vom oberen Rand in Pixel.

Default: 0

Hinweis: Nur verfügbar wenn Graph als Gantt projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YOffset


ID_EXTERNVISIBLE

Interne ID: ID_EXTERNVISIBLE

Extern sichtbar

Eigenschaft um die zenon Variablen auch in zenon Logic auswerten zu können. Nicht für Variablen, des integrierten zenon Logic Projektes, die bereits z.B. über stratonNG Treiber verfügbar sind.

  • Aktiv: Die Variable ist auch in zenon Logic Workbench sichtbar und kann in zenon Logic-Projekten verwendet werden. Die Variablendefinition kann in zenon Logic nicht geändert werden.

    Zur Runtime können die Werte über eine sogenannte Shared-Memory-Verbindung aktualisiert werden. Dazu legen Sie in der zenon Logic Feldbuskonfiguration den 'Logic zu SCADA Verbindung' Treiber an. Der Wert der Variable kann entweder in zenon - von einer SPS, oder in zenon Logic Runtime bestimmt werden und dann zur SPS geschrieben. Die Werte dürfen jedoch weder gleichzeitig, noch in jedem zenon Logic Zyklus aktualisiert werden, sonst werden überschrieben.

    Achtung: Ist in zenon Logic kein 'Logic zu SCADA Verbindung' Treiber angelegt, werden zwar die Variablen in Workbench sichtbar jedoch zur Runtime werden die Werte nicht aktualisiert!

    Hinweis: Beachten Sie Wechselwirkungen mit der Eigenschaft Hysterese. Details im Online-Handbuch.

  • Inaktiv: Die Variable ist in zenon Logic nicht sichtbar.

Default: inaktiv

Achtung: Variablennamen müssen für zenon Logic den Bestimmungen der IEC 61131-3 folgen.
Das bedeutet: Es sind nur Zahlen, Buchstaben von A bis Z (keine Umlaute) und Unterstriche erlaubt. Zusätzlich darf der Name nicht mit einer Zahl beginnen. Das beinhaltet auch, dass Strukturen und Arrays des Leitsystems nicht extern sichtbar sein können, weil sie Klammern bzw. Punkte beinhalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExternVisible


ID_EXTERNVISIBLE_FOR

Interne ID: ID_EXTERNVISIBLE_FOR

Extern sichtbar für

Nur verfügbar wenn die Eigenschaft Extern sichtbar aktiviert ist.

Entscheiden Sie explizit, für welche zenon Logic Projekte die Variable sichtbar sein soll. Wenn Sie das Eingabefeld leer lassen, ist die Variable für alle zenon Logic Projekte sichtbar. Sie können aber auch einzelne zenon Logic Projekte explizit angeben. Trennen Sie die Namen der einzelnen Projekt jeweils mit einem Semikolon (";"). Sie können auch mit Wildcards arbeiten, z.B. steht P1* für alle zenon Logic Projekte, die mit P1 beginnen. (Hinweis: Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.)

Die Anzahl der Zeichen ist auf maximal 64 begrenzt.

Default: -

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExternVisibleFor


ID_FILE_NAME

Interne ID: ID_FILE_NAME

Dateiname

Name der eingebundenen Datei.
Externe Dateien, die auf diese Weise eingebunden werden, werden sowohl im Runtime-Ordner als auch im Datenbank-Ordner des Projektes gespeichert.
Achtung: Immer wenn neue Runtime-Dateien erzeugt werden, werden die Dateien im Runtime-Ordner mit denen des Datenbank-Ordners überschrieben. Externe Dateien sollten nur über das Kontextmenü der entsprechenden Datei und nicht extern geändert werden. Damit wird sichergestellt, dass die Dateien auch im Datenbank-Ordner geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_FKT_EXTERNAL_REFERENCE

Interne ID: ID_FKT_EXTERNAL_REFERENCE

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Hinweis: XML-Import und Export wird unterstützt.
Wird eine Funktion via Copy&Paste angelegt ist diese Eigenschaft leer.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CPropExternalNames::szExternalReference


ID_FKT_PROP1

Interne ID: ID_FKT_PROP1

Typ

Der Typ wird beim Anlegen der Funktion aus der Liste der Systemfunktionen ausgewählt und kann hier nachträglich geändert werden.
Öffnet den Funktionsauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FktType


ID_FKT_PROP2

Interne ID: ID_FKT_PROP2

Parameter

Übergabeparameter der Funktion; hängt vom Typ der Funktion ab.
Klick auf die Schaltfläche ... öffnet Dialog zur Projektierung der Funktion.
Abhängig vom Typ der Funktion wird der entsprechende Parameterdialog geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Parameters


ID_FKT_PROP3

Interne ID: ID_FKT_PROP3

Name

Eindeutige Bezeichnung der Funktion.
Die Bezeichnung wird beim Anlegen einer Funktion vom System vergeben, kann aber nachträglich geändert werden, soweit die neu vergebene Bezeichnung nicht bereits für eine andere Funktion verwendet wird.

Maximum: 128 Zeichen

Default: Funktion_x (wobei x eine fortlaufende Zahl ist)

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_FKT_PROP4

Interne ID: ID_FKT_PROP4

Aktueller Rechner

Nur verfügbar in Netzwerk-Projekten:
Die Funktion wird auf dem Rechner ausgeführt, auf dem sie angestossen wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsActual


ID_FKT_PROP5

Interne ID: ID_FKT_PROP5

Prozessführender Server

Nur verfügbar in Netzwerk-Projekten:
Die Funktion wird auf dem Prozessführenden Server des Projekts ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsServer


ID_FKT_PROP6

Interne ID: ID_FKT_PROP6

Standby Server

Nur verfügbar in redundanten Netzwerk-Projekten:
Die Funktion wird auf dem Standby Server des Projekts ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsStandBy


ID_FKT_PROP7

Interne ID: ID_FKT_PROP7

Client

Nur verfügbar in Netzwerk-Projekten:
Die Funktion wird auf allen Clients des Projekts ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsClient


ID_FKT_PROP10

Interne ID: ID_FKT_PROP10

URL Startfunktion für Web

URL Startfunktion für Web:

  • Aktiv: Die Funktion kann durch URL-Erweiterung am HTML Web Client bei Sitzungsstart ausgeführt werden.
  • Inaktiv: Die Funktion kann nicht durch URL-Erweiterung am HTML Web Client bei Sitzungsstart ausgeführt werden.

Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsUrlStartWeb


ID_FKT_PROP_GRP0

Interne ID: ID_FKT_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_FKT_PROP_GRP1

Interne ID: ID_FKT_PROP_GRP1

Ausführung

Nur verfügbar in Netzwerk-Projekten:
Auswahl auf welchem/n Rechner(n) die Funktion ausgeführt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Execution


ID_FKT_VBA_XML_PROP_378

Interne ID: ID_FKT_VBA_XML_PROP_378

Flächendarstellung

Die Werte werden statt als Linien flächig dargestellt, wenn aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsBars


ID_FKT_VBA_XML_PROP_379

Interne ID: ID_FKT_VBA_XML_PROP_379

Kurve verlängern

Die Kurve wird vom letzten verfügbaren Datenpunkt bis zum rechten Rand verlängert, wenn aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsExtendCurve


ID_FKT_VBA_XML_PROP_392

Interne ID: ID_FKT_VBA_XML_PROP_392

Interpolation

Darstellungsart von Wertänderungen in der Runtime.

  • Aktiv:
    Werte werden mittels Polylinie verbunden (Stützstellen).
  • Inaktiv:
    Wertänderungen werden als Liniensprünge dargestellt (Stufendarstellung).

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsInterpolation


ID_FKT_VBA_XML_PROP_398

Interne ID: ID_FKT_VBA_XML_PROP_398

Linienart

Art der Kurvenlinie für die Darstellung in der Runtime. Auswahl aus Dropdownliste.

Default: durchgezogene Linie
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineType


ID_FKT_VBA_XML_PROP_399

Interne ID: ID_FKT_VBA_XML_PROP_399

Linienbreite

Linienbreite der Kurvendarstellung in der Runtime. Projektierung der Linienbreite in Pixel.

Default: 1 px

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GraphWidth


ID_FKT_VBA_XML_PROP_587

Interne ID: ID_FKT_VBA_XML_PROP_587

Horiz. Abstand [Pixel]

Horizontaler Abstand des Endes der Rundung von der tatsächlichen Ecke in Pixel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset_H


ID_FKT_VBA_XML_PROP_588

Interne ID: ID_FKT_VBA_XML_PROP_588

Vertikaler Abstand [Pixel]

Vertikaler Abstand des Endes der Rundung von der tatsächlichen Ecke in Pixel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset_V


ID_FKTLEVELLIST

Interne ID: ID_FKTLEVELLIST

Funktionsberechtigungen

Zur Runtime können bestimmte Systemfunktionen (z.B: Projekt laden) über die Berechtigungsebenen für unbefugte Benutzer gesperrt werden. Für den Editor können einzelnen Modulen Berechtigungsebenen zugewiesen werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration der Berechtigungsebene für Runtime und Editor.

Achtung: Pro Berechtigungsebene muss mindestens ein Benutzer zugewiesen sein! Anderenfalls kann es passieren, dass Sie sich aus dem Projekt aussperren!

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FktLevelList


ID_FONT_NAME

Interne ID: ID_FONT_NAME

Name

Frei vergebbare Bezeichnung. Dient nur zur Information.
Default: Neue Schrift x (wobei x eine fortlaufende Zahl ist).

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_FONT_NUMMER

Interne ID: ID_FONT_NUMMER

Nummer

Eindeutige Nummer der Schrift.
Die Nummer wird beim Anlegen einer Schrift vom System vergeben. Die Nummern 1 und 2 sind fix vergeben und können nicht geändert werden. Alle anderen Schriftnummern können nachträglich geändert werden, soweit die neu vergebene Nummer nicht bereits für eine andere Schrift verwendet wird.

Hinweis: Bei gleichen Nummern im Globalprojekt und im Projekt wird die Projektschrift verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Number


ID_FONT_PROP_GRP

Interne ID: ID_FONT_PROP_GRP

Schrift

Enthält Eigenschaften für die Schriftart.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_FONT_SCHRIFTART

Interne ID: ID_FONT_SCHRIFTART

Schriftart

Auswahl der Schriftart aus den auf dem Computer installierten Schriftarten.
Hinweis: Der Dialog zur Auswahl der Schriftart ist ein Windows Standarddialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Font


ID_FONTLIST_NAME

Interne ID: ID_FONTLIST_NAME

Name

Name der Schriftliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_FONTLIST_PROP_GRP

Interne ID: ID_FONTLIST_PROP_GRP

Schriftliste

Eigenschaften für die Schriftliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_FRAME_BEGRENZUNG

Interne ID: ID_FRAME_BEGRENZUNG

Begrenzung

Nur verfügbar, wenn die Eigenschaft Verschieben auf auf Bildschirmgrenze beschränken gesetzt wurde.

Definiert die Art der Beschränkung für das Verschieben von Schablonen:

  • Schablonenrand: Die Schablone kann nicht über die Bildschirmgrenze bewegt werden.
  • Schablonenrandbereich: Die Schablone kann über die Bildschirmgrenze hinaus bewegt werden. Es muss aber ein Bereich am Bildschirm verbleiben, an dem sie für weiteres Aktionen berührt werden kann. Die Größe dieses Randbereichs kann über die Eigenschaft Minimaler Schablonenrandbereich konfiguriert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitationArea


ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Interne ID: ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Minimaler Schablonenrandbereich

Nur verfügbar, wenn der Wert für die Eigenschaft Verschieben auf auf Bildschirmgrenze beschränken gesetzt wurde und die Eigenschaft Begrenzung auf Schablonenrandbereich.

Definiert die Größe des Schablonenrandbereichs in Pixel. Dieser Bereich kann nicht über den Bildschirmrand hinaus bewegt werden. Damit bleibt der definierte Bereich als Fläche zum Anfassen und Bewegen der Schablone im sichtbaren Bereich verfügbar.

  • Minimum: 0
  • Maximum: nicht definiert
    Wird der Bereich größer als die Bildgröße definiert oder zur Runtime entsprechend gezoomt, dann verhält sich das Bild wie eine Begrenzung auf den Schablonenrand.

Default: 30

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitationContactPointSize


ID_FRAME_VERSCHIEBEN

Interne ID: ID_FRAME_VERSCHIEBEN

Verschieben

Definiert mögliche Einschränkungen beim Verschieben des Objekts:

  • ohne Beschränkung
  • auf Bildschirmgrenzen beschränken
    Hinweis: Art der Beschränkung wird über Eigenschaft Begrenzung definiert

Steht unter Windows CE nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitationType


ID_GFXRT_CHECKIMAGE_0FF

Interne ID: ID_GFXRT_CHECKIMAGE_0FF

Aus

Auswahl einer Grafik, die zur Runtime den Status „Wert ist 0 und Eigenschaft kann editiert werden" darstellt.
Nur verfügbar, wenn Eigenschaft Numerische Anzeige inaktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CheckOffImage


ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Interne ID: ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Aus (inaktiv)

Auswahl einer Grafik, die zur Runtime den Status „Wert ist 0 und Eigenschaft kann nicht editiert werden" darstellt.
Nur verfügbar, wenn Eigenschaft Numerische Anzeige inaktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CheckOffImageInActive


ID_GFXRT_CHECKIMAGE_0N

Interne ID: ID_GFXRT_CHECKIMAGE_0N

Ein

Auswahl einer Grafik, die zur Runtime den Status „Wert ist 1 und Eigenschaft kann editiert werden" darstellt.
Nur verfügbar, wenn Eigenschaft Numerische Anzeige inaktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CheckOnImage


ID_GFXRT_CHECKIMAGE_0N_INACTIVE

Interne ID: ID_GFXRT_CHECKIMAGE_0N_INACTIVE

Ein (inaktiv)

Auswahl einer Grafik, die zur Runtime den Status „Wert ist 1 und Eigenschaft kann nicht editiert werden" darstellt.
Nur verfügbar, wenn Eigenschaft Numerische Anzeige inaktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CheckOnImageInActive


ID_GFXRT_COLUMNORDERSTATIC

Interne ID: ID_GFXRT_COLUMNORDERSTATIC

Spaltenpositionen fixiert

Steuert für konfigurierbare Listen die Möglichkeit, Tabellenspalten zur Runtime mit Mausaktionen zu verschieben.

  • Aktiv: Die Spalten können nicht per Drag&Drop angeordnet werden.
    Die Spaltenbreite kann durch Ziehen mit der Maus weiterhin angepasst werden.
  • Inaktiv: Die Spalten können per Drag&Drop angeordnet werden.
    Die Spaltenbreite kann durch Ziehen mit der Maus angepasst werden.

Ist im Bild ein Element vorhanden, das über die Bildtyp-spezifische Aktion Spaltenauswahl verfügt, dann wird dieses Element zur Runtime deaktiviert, wenn die Eigenschaft Spaltenpositionen fixiert aktiv ist.

Default: Inaktiv

Mehr im Online-Handbuch.

Hinweis zur Verfügbarkeit für AML und CEL:

  • AML: In den Projekteinstellungen muss in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bedienbare Kopfzeile ausgewählt worden sein.
    Mehr im Online-Handbuch für AML.
  • CEL: In den Projekteinstellungen muss in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile ausgewählt worden sein.
    Mehr im Online-Handbuch für CEL.
  • Bei Aktivierung der Eigenschaft sind weder Umsortierung über Drag&Drop, noch das Anpassen der Spaltenbreite mit der Maus möglich.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColumnOrderStatic


ID_GFXRT_HEADERHEIGHT

Interne ID: ID_GFXRT_HEADERHEIGHT

Höhe der Kopfzeile [Pixel]

Konfiguration der Höhe der Kopfzeile in Pixel.

Minimum: 0 - Höhe wird automatisch anhand der Schriftgröße ermittelt.

Maximum: 255

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderHeight


ID_GFXRT_HEADERSTATIC

Interne ID: ID_GFXRT_HEADERSTATIC

Kopfzeile statisch

  • Aktiv: Zur Runtime können Spalten nicht mehr per Drag&Drop verschoben und auch nicht sortiert werden. Die Spaltenbreite ist weiter anpassbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderStatic


ID_GFXRT_HIDE_COLUMNSETTINGS_MENU

Interne ID: ID_GFXRT_HIDE_COLUMNSETTINGS_MENU

Kontextmenü deaktivieren

Ermöglicht das Ein- und Ausblenden des Kontextmenüs der Kopfzeilen.

  • Aktiv: Kontextmenü ist deaktiviert.
  • Inaktiv: Kontextmenü ist aktiviert. Die Liste kann zur Runtime konfiguriert werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HideColumnSettingsMenu


ID_GFXRT_NOSORTHEADER

Interne ID: ID_GFXRT_NOSORTHEADER

Sortieren sperren

Steuert die Möglichkeit, Tabellenspalten zur Runtime mit einen Klick auf die Kopfzeile zu sortieren.

  • Aktiv: Die Tabelle kann nicht per Klick sortiert werden.
  • Inaktiv: Die Tabelle kann per Klick in die Kopfzeile der Spalte sortiert werden.

Default: Inaktiv

Hinweis zur Verfügbarkeit für AML und CEL:

  • AML: In den Projekteinstellungen muss in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bedienbare Kopfzeile ausgewählt worden sein.
    Mehr im Online-Handbuch für AML.
  • CEL: In den Projekteinstellungen muss in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile ausgewählt worden sein.
    Mehr im Online-Handbuch für CEL.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NoSorting


ID_GFXRT_SHOWFILTER

Interne ID: ID_GFXRT_SHOWFILTER

Filterzeile anzeigen

  • Aktiv: Die Filterzeile wird zur Runtime angezeigt.
  • Inaktiv: Die Filterzeile wird zur Runtime ausgeblendet.
    Hinweis: Konfigurierte Filter werden auch bei ausgeblendeter Filterzeile ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowFilter


ID_GFXRT_SHOWHEADER

Interne ID: ID_GFXRT_SHOWHEADER

Kopfzeile anzeigen

  • Aktiv: Die Kopfzeile wird zur Runtime angezeigt.
  • Inaktiv: Die Kopfzeile wird zur Runtime ausgeblendet. Damit wird auch die Filterzeile ausgeblendet, konfigurierte Filter werden aber weiter angewendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowHeader


ID_GRP_CORNER

Interne ID: ID_GRP_CORNER

Corners

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Corners


ID_HILFE_GRP

Interne ID: ID_HILFE_GRP

Hilfe

Eigenschaften für die Runtime-Hilfe des Objekts.
Wenn hier keine Hilfe für das Element definiert ist, kann über Menüs eine ein allgemeines Hilfekapitel definiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Help


ID_IEC870_103_FktType

Interne ID: ID_IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Geben Sie einen Wert ein. Entspricht FUN in der Norm.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC870_103_FktType


ID_IEC870_103_Index

Interne ID: ID_IEC870_103_Index

IEC870-103 Index

Geben Sie einen Wert ein. Enspricht der Reihenfolge von MEA in ASDU 3 oder 9.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC870_103_Index


ID_IEC870_103_InfNo

Interne ID: ID_IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Geben Sie einen Wert ein. Entspricht INF in der Norm.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC870_103_InfNo


ID_IEC870_COA1

Interne ID: ID_IEC870_COA1

IEC870 COA

Geben Sie die Common Object Address (COA) ein. Die Grenzen des verfügbaren Wertebereichs richten sich nach den Treibereinstellungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC870_COA1


ID_IEC870_IOA1

Interne ID: ID_IEC870_IOA1

IEC870 IOA

Geben Sie die Information Object Address (IOA) ein. Die Grenzen des verfügbaren Wertebereichs richten sich nach den Treibereinstellungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC870_IOA1


ID_IEC870_TYPE

Interne ID: ID_IEC870_TYPE

IEC870 Type identification

Wählen Sie in der Dropdownliste den ASDU-Typ des Datenpunktes.

default: T00 internal state

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC870_TYPE


ID_IEC62056_ADDRESS

Interne ID: ID_IEC62056_ADDRESS

IEC62056 Address

Eingabe der OBIS-Adresse.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC62056_ADDRESS


ID_IEC62056_TIMEADJUST

Interne ID: ID_IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Korrektur des Zeitstempels. Auswahl der Art der Zeitanpassung aus Dropdownliste:

  • None: Es erfolgt keine Korrektur.
  • Begin of interval: Korrektur wirkt auf Anfangszeitstempel.
  • End of interval: Korrektur wirkt auf Endezeitstempel.

Default: None

Das Intervall, für das die Änderung gilt, wird mit der Eigenschaft IEC62056 Time Interval konfiguriert.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC62056_TIMEADJUST


ID_IEC62056_TIMEINTERVAL

Interne ID: ID_IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Eingabe des Zeitintervalls in Minuten.

Nur verfügbar, wenn für die Eigenschaft IEC62056 Time Adjustment nicht none ausgewählt wurde.

Maximum: 65535

Default: 15

Beispiel: Bei Intervall 15 und End of interval für IEC62056 Time Adjustment wird der Zeitstempel immer auf das Ende einer Viertelstunde gesetzt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IEC62056_TIMEINTERVAL


ID_IMM_DNS

Interne ID: ID_IMM_DNS

Datenbank

Definition der ODBC-Verbindung für die Datenbank des Industrial Maintenance Managers (IMM).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IMMDns


ID_IMM_TABLEDEV

Interne ID: ID_IMM_TABLEDEV

Tabelle für Geräte

Name der Tabelle in der Datenbank für Geräte.
Nur Anzeige des Standardnamens. Wird auch für Messstellenverwaltung verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IMMTableDevice


ID_IMM_TABLEDOC

Interne ID: ID_IMM_TABLEDOC

Tabelle für Dokumente

Name der Tabelle in der Datenbank für Dokumente.

Nur Anzeige des Standardnamens.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IMMTableDoc


ID_IMM_TABLEHIST

Interne ID: ID_IMM_TABLEHIST

Tabelle für Historie

Name der Tabelle in der Datenbank für die Historie.

Nur Anzeige des Standardnamens.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IMMTableHist


ID_IMM_TABLEMAINT

Interne ID: ID_IMM_TABLEMAINT

Tabelle für Wartungsarb.

Name der Tabelle in der Datenbank für die Wartungsarbeiten.

Nur Anzeige des Standardnamens.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IMMTableMaint


ID_IMM_USERLVL

Interne ID: ID_IMM_USERLVL

Berechtigungsebene

Berechtigungsgruppe, die benötigt wird, um Daten aus der Datenbank löschen zu können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IMMUserLvl


ID_INITIALVALUE

Interne ID: ID_INITIALVALUE

Extern Initwert

Externe Eigenschaft für zenon Logic. Betrifft nur Variablen, die nicht vom straton-Treiber sind.
Initialwert der Variable in zenon Logic beim Kaltstart bzw. Warmstart.
Die erlaubte Eingabe hier hängt vom Datentyp der Variable ab. So können für ganzzahlige Variablen nur Werte ohne Dezimalstellen eingegeben werden. Für Fließkomma-Variablen muss ein Punkt als Dezimaltrennzeichen verwendet werden, ein Komma funktioniert nicht.
Das Leitsystem prüft die Gültigkeit der Eingabe hier nicht. Das kann zu einer Fehlermeldung in zenon Logic führen.

ACHTUNG: Bei Variablen des internen Treibers muss diese Eigenschaft den selben Wert haben wie der Initialwert in den Einstellungen für interne Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InitialValue


ID_KDNP1_OPERATION

Interne ID: ID_KDNP1_OPERATION

Command Mode

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Command_Mode


ID_KNOTEN_VERKN

Interne ID: ID_KNOTEN_VERKN

Verknüpfungsregel

Eigenschaften für das Ersetzen der Verknüpfungen von Variablen und/oder Funktionen für Symbole und Container in Faceplates.

Mehr im Online-Handbuch. bei Symbole und Faceplates.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Linkings


ID_LASTUSEDOFFSET

Interne ID: ID_LASTUSEDOFFSET

letzter verwendeter Offset

Anzeige des zuletzt von der automatischen Adressierung verwendeten Offsets.
Diese Eigenschaft dient nur der Information und kann nicht verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LastUsedOffset


ID_LEVELEDIT

Interne ID: ID_LEVELEDIT

Berechtigungsebenen umbenennen

Den 128 Berechtigungsebenen kann neben der Nummer ein Name zugewiesen werden. Hier wird der Dialog für die Definition der Namen geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserLevelList


ID_LEVELLIST

Interne ID: ID_LEVELLIST

Berechtigungsebenen

Zuordnung von Berechtigungsebenen zu einem Benutzer oder einer Benutzergruppe. Es stehen 128 Berechtigungsebenen (0 bis 127) zur Verfügung. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung.

Hinweis: Jede gewünschte Ebene muss dezidiert zugewiesen werden. Eine gewählte Ebene schließt weder darunterliegende noch folgende Ebenen mit ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserLevel


ID_MATHVAR_PROP_ENABLE_VAR

Interne ID: ID_MATHVAR_PROP_ENABLE_VAR

Berechnung aktivieren

Ordnet der Mathematik-Variablen eine Variable zu, deren Wert steuert, ob die Berechnung ausgeführt wird. Die Zuordnung einer Variablen aktiviert die Eigenschaft.

Klick auf die Schaltfläche ... oder in das Feld mit der Variablen öffnet den Dialog zur Auswahl einer Variablen.

Default: deaktiviert, keine Variable zugeordnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EnableCalc


ID_MATHVAR_PROP_FORMEL

Interne ID: ID_MATHVAR_PROP_FORMEL

Formel

Öffnet den Dialog zur Eingabe der Formel für die Berechnung der Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Formula


ID_MINPWLENGTH

Interne ID: ID_MINPWLENGTH

Minimale Passwortlänge

Minimale Länge des Passwortes in Zeichen.

  • Minimum: 0
  • Maximum: 20

Default: 6

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinPwLength


ID_MONITOR_VERWALTUNG

Interne ID: ID_MONITOR_VERWALTUNG

Bildschirmverwaltung

Der Konfigurationsdialog für die Bildschirmverwaltung wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MonitorAministration


ID_MSGCONTROL_DISPATCHER_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_ACTIVE

Versandart aktiv

Aktiv: Der Versand von Nachrichten über dieses Medium ist möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Active


ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Versandart aktiv

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GSM_SMS_Active


ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Voice Modem (Text-to-Speech)

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TTSModem_Active


ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Voice Modem (Audiodatei)

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceModem_Active


ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Versandart aktiv

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Outlook_Active


ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Versandart aktiv

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

SMTP_Mail_Active


ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Versandart aktiv

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Gateway_Active


ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Voice over IP (Text-to-Speech)

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Nur verfügbar, wenn Voice over IP (Audiodatei) nicht aktiviert ist.

Hinweis:

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceVOIP_Active


ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Interne ID: ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Voice over IP (Audiodatei)

Aktivierung der Versandart.

  • Aktiv: Die Versandart ist aktiv und kann benutzt werden. Alle dazugehörigen Eigenschaften können konfiguriert werden
  • Inaktiv: Dazugehörige Eigenschaften sind nicht konfigurierbar. Die Versandart kann nicht benutzt werden.

Default: inaktiv

Nur verfügbar, wenn Voice over IP (Text-to-Speech) nicht aktiviert ist.

Hinweis:

Um VoIP nutzen zu können, müssen folgende Bedingungen erfüllt werden:

  • Der VoIP Provider muss die Protokolle SIP und RTP unterstützen.
  • In der Firewall müssen die entsprechenden Ports offen sein:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TTSVOIP_Active


ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Interne ID: ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Sprachnachricht

Konfiguration und Auswahl der Versandarten für Sprachnachrichten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Dispatchers


ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Interne ID: ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Sprachnachricht Allgemein

Konfiguration der allgemeinen Einstellungen für Sprachnachrichten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

General


ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Interne ID: ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Sprachnachricht und Text-to-Speech

Eigenschaften für die Konfiguration von Sprachnachrichten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VOICE_GRP


ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Interne ID: ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Text-to-Speech

Konfiguration der Eigenschaften für Text-to-Speech.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TTS


ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Interne ID: ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Voice over IP

Konfiguration der Eigenschaften für Voice over IP.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP


ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Interne ID: ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Einstellungen in Messag32.ini exportieren (v6.XX)

Speichert Einstellungen, die ab Version 7 getroffen werden, für Versionen 6.xx in der messag32.ini. Klick auf Schaltfläche startet Export. Aktuelle Einstellungen der messag32.ini werden nach einer Sicherheitsabfrage überschrieben. Die Einstellungen der messag32.ini dienen der Kompatibilität und betreffen nur zenon Versionen 6.xx. Ab Version 7 werden die Einstellungen in der zenon6.ini gespeichert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExportToMessag32


ID_MSGCONTROL_ENGINE_GRP

Interne ID: ID_MSGCONTROL_ENGINE_GRP

Message Control

Gruppe für projektübergreifende Einstellungen im Message Control.

Hinweis: Diese Eigenschaften sind nicht projektspezifisch. Änderungen in diesem Bereich werden daher zur Runtime erst nach einem Neustart der Runtime wirksam.

Projektspezifische Einstellungen konfigurieren Sie im Projektbaum im Knoten Message Control mit den Eigenschaften für Projektspezifische Einstellungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgCtrlSettings


ID_MSGCONTROL_MODEM_COUNTWELCOME

Interne ID: ID_MSGCONTROL_MODEM_COUNTWELCOME

Begrüßungstext wiederholen

Anzahl der Wiederholungen für den Willkommenstext.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CountWelcome


ID_MSGCONTROL_MODEM_GRP

Interne ID: ID_MSGCONTROL_MODEM_GRP

Sprachnachricht (Audiodatei)

Einstellungen für die Gruppe Telefon.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispatchSettings


ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Interne ID: ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Auflegen ignorieren

Aktiv: Ein Verbindungsabbruch (z. B. Empfänger beendet Gespräch) wird ignoriert und die Nachricht wird vollständig abgespielt, bevor die Leitung geschlossen wird.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IgnoreDisconnect


ID_MSGCONTROL_MODEM_LINEID

Interne ID: ID_MSGCONTROL_MODEM_LINEID

Leitungs-Id

Automatisch erstelle Gerät-ID, die das ausgewählte Modem identifiziert. Dient bei mehreren Modems gleichen Namens zur Unterscheidung der Geräte. Nur Anzeige, nicht veränderbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineId


ID_MSGCONTROL_MODEM_LINENAME

Interne ID: ID_MSGCONTROL_MODEM_LINENAME

Leitungsname

Auswahl des zu verwenden Modems aus Dropdownliste.

Wird keine Dropdownliste angezeigt, dann wurde für diesen Rechner kein Modem konfiguriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Line


ID_MSGCONTROL_MODEM_TIMEOUT

Interne ID: ID_MSGCONTROL_MODEM_TIMEOUT

Timeout [min]

Zeit in Minuten, nach der eine stehende Verbindung abgebrochen und beendet werden soll. Zeitintervall muss länger sein als die für das Abspielen und Bestätigen der Nachricht benötigte Zeit.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeOut


ID_MSGCONTROL_OUTLOOK_GRP

Interne ID: ID_MSGCONTROL_OUTLOOK_GRP

E-Mail Nachricht (Outlook)

Gruppe für Einstellungen der Versandart Outlook.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispatchSettings


ID_MSGCONTROL_OUTLOOK_PROFILE

Interne ID: ID_MSGCONTROL_OUTLOOK_PROFILE

Profil

Name des Outlook Profils, das für den Versand benutzt werden soll. Auswahl aus Dropdownliste. Profile müssen bereits angelegt sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Profile


ID_MSGCONTROL_OUTLOOK_SUBJECT

Interne ID: ID_MSGCONTROL_OUTLOOK_SUBJECT

Betreff (Id)

Eindeutiger Betreff der ausgehenden Nachricht. Dieser dient bei eingehenden Nachrichten als Kriterium, ob die Nachricht für Message Control bestimmt ist und verarbeitet werden soll.

Mindestlänge: 4 Zeichen

Mehr im Online-Handbuch.

Hinweis Empfangsbestätigung: Eingehenden E-Mails müssen diesen Text im Betreff enthalten, um vom System weiter verarbeitet zu werden. E-Mails, die diesen Betreff nicht enthalten, werden nicht an Message Control weitergeleitet. Der Betreff der eingehenden Empfangsbestätigung muss außerdem von 3 beliebigen Zeichen eingeleitet werden, wie z.B. RE:.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Subject


ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Interne ID: ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Aktiv bei Runtimestart

Aktiv: Message Control wird mit der Runtime gestartet.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActiveAtStartup


ID_MSGCONTROL_PROJECT_ATTEMPTS

Interne ID: ID_MSGCONTROL_PROJECT_ATTEMPTS

Maximale Anzahl der Versuche

Maximale Anzahl der Versandversuche bei Versandfehler, die als Hardwarefehler erkannt werden.
Hinweis: Wird eine Nachricht an einen anderen Benutzer weitergeleitet, dann gilt das als neue Nachricht. Der Zähler wird wieder auf 1 gesetzt.
Wird der Anruf vom Angerufenen ohne Bestätigung oder Ablehnung abgebrochen, erfolgt keine Wiederholung.

  • Maximum: 100
  • Minimum: 1

Default: 3

Hinweis: Diese Einstellung ist unabhängig von den Einstellungen der Option Methode in der Funktion Sende Nachricht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Attempts


ID_MSGCONTROL_PROJECT_CELITEMS

Interne ID: ID_MSGCONTROL_PROJECT_CELITEMS

In CEL protokollieren

Legt fest, welche Ereignisse in der CEL protokolliert werden. Auswahl aus Dropdownliste:

  • alle Bestätigungen:
    alle Nachrichten
  • keine Bestätigungen:
    keine Nachrichten
  • nur negative Bestätigungen:
    nur Nachrichten, welche abgelehnt oder nicht beantwortet wurden (auch Wiederholungen)
  • nur positive Bestätigungen:
    nur Nachrichten, welche bereits quittiert wurden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CelDetail


ID_MSGCONTROL_PROJECT_COLOR_ERROR

Interne ID: ID_MSGCONTROL_PROJECT_COLOR_ERROR

Fehler beim Versand

Definiert die Farbe, mit der die Spalte Status im Bild vom Typ Message Control hinterlegt wird, wenn der Versand einer Nachricht fehl geschlagen ist. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Farbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ErrorColor


ID_MSGCONTROL_PROJECT_COLOR_SENDING

Interne ID: ID_MSGCONTROL_PROJECT_COLOR_SENDING

Nachricht wird versendet

Definiert die Farbe, mit der die Spalte Status im Bild vom Typ Message Control hinterlegt wird, solange die Nachricht verschickt wird. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Farbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SendingColor


ID_MSGCONTROL_PROJECT_COLOR_SENT

Interne ID: ID_MSGCONTROL_PROJECT_COLOR_SENT

Nachricht wurde versendet

Definiert die Farbe, mit der die Spalte Status im Bild vom Typ Message Control hinterlegt wird, wenn die Nachricht erfolgreich verschickt wurde. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Farbe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SentColor


ID_MSGCONTROL_PROJECT_GRP

Interne ID: ID_MSGCONTROL_PROJECT_GRP

Projektspezifische Einstellungen

Enthält projektspezifische Einstellungen für die Konfiguration des Moduls Message Control.

Globale Einstellungen für den Versand konfigurieren Sie im Bereich Arbeitsplatz mit den Eigenschaften der Gruppe Message Control.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgCtrlSettings


ID_MSGCONTROL_PROJECT_LOG_DELETE

Interne ID: ID_MSGCONTROL_PROJECT_LOG_DELETE

Manuelles löschen von Nachrichten in CEL protokollieren.

Aktiv: Manuelles Löschen von Einträgen aus der CEL wird in der CEL protokolliert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LogDeleteActions


ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Interne ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Fehler beim Versand

Definiert eine Grafik, die im Bild vom Typ Message Control in der Spalte Status angezeigt wird, wenn der Sendeversuch für eine Nachricht fehl geschlagen ist. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Grafikdatei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ErrorImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Interne ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Nachricht wird versendet

Definiert eine Grafik, die im Bild vom Typ Message Control in der Spalte Status angezeigt wird, solange versucht wird, eine Nachricht zu verschicken. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Grafikdatei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SendingImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Interne ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Nachricht wurde versendet

Definiert eine Grafik, die im Bild vom Typ Message Control in der Spalte Status angezeigt wird, sobald die Nachricht erfolgreich verschickt wurde. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Grafikdatei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SentImage


ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Interne ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Dynamischer Teil des Betreffs

Definiert den projektspezifischen Teil des Betreffs ausgehender und eingehender Nachrichten. Wird zusammen mit der Eigenschaft E-Mail Nachricht (Outlook)/Betreff (Id) bzw.E-Mail Nachricht (SMTP) /E-Mail Betreff in den globalen Message Control Versandeinstellungen verwendet. Eingehende Nachrichten werden auf diesen Inhalt zur Weiterleitung an Message Control gefiltert.

Der Text kann Platzhalter beinhalten für:

  • Schlüssel aus der Sprachtabelle
  • Name einer Variablen
  • zusammengesetzter Eintrag in der Sprachtabelle

Syntax:

  • Textteile werden durch Semikolon (;) getrennt,
  • $ kennzeichnet Text, der Parameter enthält
  • @ kennzeichnet Sprachumschaltung
  • % kennzeichnet Variablen
  • Text muss mit einem Semikolon (;)enden

Beispiel: $@Achtung;%Var1;

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubjectDyn


ID_MSGCONTROL_PROJECT_TIMETOWAIT

Interne ID: ID_MSGCONTROL_PROJECT_TIMETOWAIT

Wartezeit zwischen Versuchen und Timeout

Wartezeit in Minuten für die Wiederholung zwischen zwei Sendeversuchen bzw. Weiterleitung einer Nachricht.

Default: 6

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeToWait


ID_MSGCONTROL_SMSGATEWAY_GRP

Interne ID: ID_MSGCONTROL_SMSGATEWAY_GRP

SMS-Nachricht (SMS-Gateway)

Einstellungen für SMS-Gateway.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispatchSettings


ID_MSGCONTROL_SMSGATEWAY_INBOX

Interne ID: ID_MSGCONTROL_SMSGATEWAY_INBOX

Eingangsordner

Eingangsordner des SMS-Servers für den SMS-Versand.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Inbox


ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Interne ID: ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Absenderkennung

Absenderkennung für SMS-Versand.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OriginId


ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Interne ID: ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Ausgangsordner

Ausgangsordner des SMS-Servers für den SMS-Versand.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Outbox


ID_MSGCONTROL_SMSGATEWAY_PREFIX

Interne ID: ID_MSGCONTROL_SMSGATEWAY_PREFIX

Anfangsbuchstabe der SMS-Dateien

Anfangsbuchstabe der SMS-Dateien. Muss für jedes Projekt eindeutig sein.

Länge: 1 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Prefix


ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Interne ID: ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Anfangsbuchstabe der Sperr/Semaphor-Dateien

Anfangsbuchstabe der Sperrdatei. Muss für jedes Projekt eindeutig sein.

Länge: 1 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SemaPrefix


ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Interne ID: ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Smart Alarming

Aktiv: Smartalarming wird verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmartAlarm


ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Interne ID: ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Statusordner

Ordner des SMS-Servers für Statusmeldung bei SMS-Versand.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Statusbox


ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Interne ID: ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Timeout

Timeout-Zeit für ausgehende Nachrichten in Minuten. Legt fest, nach welcher Zeitspanne eine Nachricht als "nicht erfolgreich verschickt" interpretiert wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeOut


ID_MSGCONTROL_SPEECH_GRP

Interne ID: ID_MSGCONTROL_SPEECH_GRP

Sprachnachricht (Text-to-Speech)

Einstellungen für die Sprachausgabe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispatchSettings


ID_MSGCONTROL_SPEECH_RATE

Interne ID: ID_MSGCONTROL_SPEECH_RATE

Geschwindigkeit des Redeflusses

Geschwindigkeit der Stimme.

  • Minimum: -10
  • Maximum: 10

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Rate


ID_MSGCONTROL_SPEECH_VOICEID

Interne ID: ID_MSGCONTROL_SPEECH_VOICEID

Stimme

Auswahl der Stimme und Sprache aus Dropdownliste.
Achten Sie auf die Auswahl der zum Editor passenden Stimmen:

  • 32-Bit Editor: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • 64-Bit Editor: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VoiceId


ID_MSGCONTROL_SPEECH_VOLUME

Interne ID: ID_MSGCONTROL_SPEECH_VOLUME

Lautstärke

Lautstärke der Stimme. Zahl entspricht dem Prozentwert vom Maximalwert der gewählten Stimme.

  • Maximum: 100
  • Minimum: 0 (Wert vom Betriebssystem wird ohne Änderung übernommen)

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Volume


ID_MSGCONTROL_VOIP_DOMAIN

Interne ID: ID_MSGCONTROL_VOIP_DOMAIN

Serveradresse

Eingabe der Serveradresse des Anbieters für VoIP.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_Domain


ID_MSGCONTROL_VOIP_PASSWORD

Interne ID: ID_MSGCONTROL_VOIP_PASSWORD

Passwort

Eingabe des Passworts für VoIP.
Das Passwort wird verschlüsselt gespeichert und nur für die Authentifizierung entschlüsselt. Bei der Eingabe werden keine Zeichen im Klartext angezeigt. Das Feld zeigt immer 16 Zeichen an, unabhängig von der tatsächlichen Länge des Passworts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_Password


ID_MSGCONTROL_VOIP_USERNAME

Interne ID: ID_MSGCONTROL_VOIP_USERNAME

Benutzername

Eingabe des Benutzernamens für VoIP.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_Username


ID_MSGCTRL_GRP

Interne ID: ID_MSGCTRL_GRP

Message Control

Eigenschaften für die Verwendung der Benutzers im Message Control.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MessageControl


ID_MSGCTRL_MAIL_POP_APOP

Interne ID: ID_MSGCTRL_MAIL_POP_APOP

APOP zur Authentifizierung verwenden

Steuert die Authentifizierung am Posteingangsserver.

Aktiv: Zur Authentifizierung wird das APOP Kommando anstelle von Benutzer (USER) und Passwort (PASS) verwendet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopUseApop


ID_MSGCTRL_MAIL_POP_GROUP

Interne ID: ID_MSGCTRL_MAIL_POP_GROUP

Posteingangsserver

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InboundServerSettings


ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Interne ID: ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Gelesene E-Mails am Server belassen

Aktiv: E-Mails werden nach dem Abruf am Server nicht gelöscht.

Default: inaktiv

Hinweis: : Da POP3 keinerlei Möglichkeit zum Filtern der Mails beim Abrufen beinhaltet, werden immer alle im Posteingang vorhandenen Mails abgerufen. Ist diese Eigenschaft aktiv, steigt der Speicherverbrauch am Server und die Performance beim Abruf kann sinken.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopKeepMails


ID_MSGCTRL_MAIL_POP_PASSWORD

Interne ID: ID_MSGCTRL_MAIL_POP_PASSWORD

Passwort

Passwort für die Anmeldung am Posteingangsserver (POP3).

Das Passwort wird verschlüsselt gespeichert und nur für die Authentifizierung entschlüsselt. Bei der Eingabe werden keine Zeichen im Klartext angezeigt. Das Feld zeigt immer 16 Zeichen an, unabhängig von der tatsächlichen Länge des Passworts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopPassword


ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Interne ID: ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Minimale Zeitspanne zwischen Abfragen (s)

Minimaler Abstand in Sekunden zwischen zwei Abruf-Versuchen. Wert soll die Vorgaben des POP3 Servers nicht unterschreiten.

  • Minimum: 10
  • Maximum: 4294967295

Default: 60

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopPollingIntervall


ID_MSGCTRL_MAIL_POP_PORT

Interne ID: ID_MSGCTRL_MAIL_POP_PORT

Port

Port, auf dem der POP3 Server angesprochen wird.

Maximalwert: 65535

Default für ungesicherte Verbindung: 110

Default für gesicherte Verbindung: 995

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopPort


ID_MSGCTRL_MAIL_POP_SECURITY

Interne ID: ID_MSGCTRL_MAIL_POP_SECURITY

Verschlüsselung

Auswahl der Verschlüsselung für die Verbindung. Klick öffnet Dropdownliste für Auswahl. Mögliche Optionen:

keine: die Verbindung wird ungesichert aufgebaut.

SSL Version 2 und 3: die Verbindung wird mit dem hybriden Verschlüsselungsmodell SSL aufgebaut.

TLS Version 1: die Verbindung wird mit TLS aufgebaut. TLS Version1 ist der Nachfolger von SSL und entspricht SSL 3.1.

Default: SSL Version 2 und 3

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopSecurity


ID_MSGCTRL_MAIL_POP_SERVER

Interne ID: ID_MSGCTRL_MAIL_POP_SERVER

Serveradresse

Vollständige Adresse des POP3 Servers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopServer


ID_MSGCTRL_MAIL_POP_USERNAME

Interne ID: ID_MSGCTRL_MAIL_POP_USERNAME

Benutzername

Benutzername für die Anmeldung am Posteingangsserver (POP3).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PopUser


ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Interne ID: ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Authentifizierung am Postausgangsserver

Auswahl der Authentifizierung am Postausgangsserver. Klick öffnet Dropdownliste zur Auswahl:

  • Keine Authentifizierung: Versand erfolgt ohne Authentifizierung
  • Vor E-Mailversand am Posteingangsserver anmelden: Bevor eine Nachricht verschickt wird, erfolgt die Anmeldung am POP3 Server.
  • SMTP Authentifizierung am Postausgangsserver verwenden: Vor dem Versand erfolgt eine Anmeldung am SMPT Server.

Default: Keine Auswahl

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpAuthentication


ID_MSGCTRL_MAIL_SMTP_GROUP

Interne ID: ID_MSGCTRL_MAIL_SMTP_GROUP

Postausgangsserver

Eigenschaften für die Konfiguration des SMTP Servers für den Postausgang.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OutboundServerSettings


ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Interne ID: ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Posteingangsserver für ausgehende E-Mails verwenden

Aktiv: Der Posteingangsserver wird als Server für den Postausgang verwendet. Diese Eigenschaft betrifft nur die Serveradresse.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpUsePopServer


ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Interne ID: ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Andere Anmeldedaten als am Posteingangsserver verwenden

Nur verfügbar, wenn für die Eigenschaft Authentifizierung am Postausgangsserver SMTP Authentifizierung am Postausgangsserver verwenden gewählt wurde.

Aktiv: Für die Authentifizierung am Postausgangsserver werden andere Anmeldedaten als am Posteingangsserver verwendet.

Inaktiv: Anmeldedaten für den Posteingangsserver werden auch Postausgangsserver verwendet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpDifferentCredentials


ID_MSGCTRL_MAIL_SMTP_PASSWORD

Interne ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Passwort

Passwort für den Postausgangsserver.

Nur verfügbar, wenn die Eigenschaft Andere Anmeldedaten als am Posteingangsserver verwenden aktiviert wurde. Ist die Eigenschaft inaktiv, ist das in der Eigenschaft Passwort der Gruppe Posteingangsserver definierte Passwort hinterlegt.

Das Passwort wird verschlüsselt gespeichert und nur für die Authentifizierung entschlüsselt. Bei der Eingabe werden keine Zeichen im Klartext angezeigt. Das Feld zeigt immer 16 Zeichen an, unabhängig von der tatsächlichen Länge des Passworts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpPassword


ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Interne ID: ID_MSGCTRL_MAIL_SMTP_POP_GROUP

E-Mail Nachricht (SMTP)

Einstellungen zum E-Mail-Versand per SMTP.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispatchSettings


ID_MSGCTRL_MAIL_SMTP_PORT

Interne ID: ID_MSGCTRL_MAIL_SMTP_PORT

Port

Port für die Verbindung zum Postausgangsserver (SMTP).

Maximal: 65535

Default: 25

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpPort


ID_MSGCTRL_MAIL_SMTP_SECURITY

Interne ID: ID_MSGCTRL_MAIL_SMTP_SECURITY

Verschlüsselung

Auswahl der Verschlüsselung für die Verbindung. Klick öffnet Dropdownliste für Auswahl. Mögliche Optionen:

keine: die Verbindung wird ungesichert aufgebaut.

SSL Version 2 und 3: die Verbindung wird mit dem hybriden Verschlüsselungsmodell SSL aufgebaut.

TLS Version 1: die Verbindung wird mit TLS aufgebaut. TLS Version1 ist der Nachfolger von SSL und entspricht SSL 3.1.

Default: keine

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpSecurity


ID_MSGCTRL_MAIL_SMTP_SERVER

Interne ID: ID_MSGCTRL_MAIL_SMTP_SERVER

Serveradresse

Nur verfügbar, wenn Posteingangsserver für ausgehende E-Mails verwenden inaktiv ist.

Vollständige Adresse des SMTP Servers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpServer


ID_MSGCTRL_MAIL_SMTP_SRCADDR

Interne ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR

Adresse für ausgehende E-Mails

Nur verfügbar, wenn die Eigenschaft Benutzername ist Adresse für ausgehende E-Mails inaktiv oder nicht verfügbar ist.

Absenderadresse für ausgehende E-Mails.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Interne ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Benutzername ist Adresse für ausgehende E-Mails

Nur verfügbar, wenn die Eigenschaft Authentifizierung am Postausgangsserver einen anderen Wert als keine Authentifizierung enthält.

  • Aktiv: Der für die Authentifizierung am SMTP Server verwendete Benutzername wird auch als Absenderadresse für die ausgehende E-Mails verwendet.
  • Inaktiv: der in der Eigenschaft Adresse für ausgehende E-Mails definierte Absender wird verwendet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpUserIsOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SUBJECT

Interne ID: ID_MSGCTRL_MAIL_SMTP_SUBJECT

E-Mail Betreff

Eingabe des Betreffs für ausgehende E-Mails.

Eingehenden E-Mails müssen diesen Text ebenfalls im Betreff stehen haben, um vom System weiter verarbeitet zu werden. E-Mails, die diesen Text nicht enthalten, werden weder an Message Control weitergeleitet noch vom Server gelöscht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpSubject


ID_MSGCTRL_MAIL_SMTP_USERNAME

Interne ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Benutzername

Benutzername für den Postausgangsserver.

Nur verfügbar, wenn Andere Anmeldedaten als am Posteingangsserver verwenden aktiviert wurde. Ist die Eigenschaft inaktiv, wird der Benutzername aus der Eigenschaft Benutzername in der Gruppe Posteingangsserver angezeigt. Sonst wird der zuletzt eingegebene Benutzername für den Postausgangsserver angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmtpUser


ID_NETZ_APP_CLOSE_BOX

Interne ID: ID_NETZ_APP_CLOSE_BOX

Beenden-Benachrichtigung

Nur verfügbar bei aktiver Eigenschaft Netzwerk aktiv.

  • Aktiv: Beim Beenden der Runtime auf einem Server wird auf allen verbundenen Clients eine Meldung angezeigt, die das Beenden der Runtime anzeigt. Das Beenden der Runtime wird um 70 Sekunden verzögert, damit auf den Clients Eingaben noch korrekt abgeschlossen werden können.
  • Inaktiv: Die Runtime auf dem Server wird ohne Anzeige einer Meldung auf den Clients sofort geschlossen.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AppCloseBox


ID_NICHTLINIARE_ANPASSUNG

Interne ID: ID_NICHTLINIARE_ANPASSUNG

Wertanpassung nichtlinear

Nicht-lineare Wertanpassung über VBA Makros.
Eigenschaften für die nicht-lineare Umrechnung der SPS-Werte in Visualisierungswerte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_NonlinAdjust


ID_OPCUA_BROWSENAME

Interne ID: ID_OPCUA_BROWSENAME

Browse name

Entspricht dem Browse name der OPC UA Spezifikation.

Es sind nur hierarchische Verweise vorwärts erlaubt, ausgehend vom Objekt-Ordner.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BrowseName


ID_PASSWORD_SHOWLOCK

Interne ID: ID_PASSWORD_SHOWLOCK

Grafische Kennzeichnung aktiv

Aktiv: Gesperrte Elemente können mit einem Schlosssymbol oder eine frei wählbare Grafik gekennzeichnet werden.
Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowLock


ID_PHLOEM_PARAMETERGROUP

Interne ID: ID_PHLOEM_PARAMETERGROUP

Parametergroup

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PhloemParameterGroup


ID_PICTURE_MIN

Interne ID: ID_PICTURE_MIN

Min./Max. Schaltflächen

Nur verfügbar, wenn eine Titelleiste für das Bild angezeigt wird:
Aktiv: Buttons zum Vergrößern und Verkleinern des Bildes werden in der Titelleiste angezeigt.
Inaktiv: Keine solchen Buttons werden angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowMinimize


ID_PICTURE_SYSMENU

Interne ID: ID_PICTURE_SYSMENU

Systemmenü

Nur verfügbar, wenn eine Titelleiste für das Bild angezeigt wird:
Aktiv: Das Systemmenü des Bildes wird in der Titelleiste angezeigt.
Inaktiv: Kein solcher Button wird angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowSysMenu


ID_PICTURE_TITLE

Interne ID: ID_PICTURE_TITLE

Name

Eindeutiger Name des Bildes.
Default: Bild x (wobei x eine fortlaufende Zahl ist).

Maximale Länge: 260 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Title


ID_POWER_USER_EDITS_OTHER_POWER_USERS

Interne ID: ID_POWER_USER_EDITS_OTHER_POWER_USERS

Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren

Nur verfügbar, wenn für die Eigenschaft Benutzertyp Hauptbenutzer gewählt wurde.

Einstellungen für Detailrechte des Hauptbenutzers:

  • Aktiv: Darf auch andere Hauptbenutzer erstellen und editieren.
  • Inaktiv: Darf nur Benutzer erstellen und editieren.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CanPowerUserModifyPowerUsers


ID_PREDEFINED_BITMAPS

Interne ID: ID_PREDEFINED_BITMAPS

Vordefinierte Grafiken

Vordefinierte Bitmaps für den LOW/HIGH Zustand können aus der Liste ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PredefinedBitmaps


ID_PROFILENAME

Interne ID: ID_PROFILENAME

Externer Profilname

Externe Eigenschaft für zenon Logic. Betrifft nur Variablen, die nicht vom straton-Treiber sind.
Name des eingestellten Profils in zenon Logic (z. B. STRATON, ProfDP).

Eigenschaft wird nur zur Information angezeigt. Bearbeitung nur mit zenon Logic.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Profilename


ID_PROJECT_ALC_CONFIG

Interne ID: ID_PROJECT_ALC_CONFIG

ALC Konfiguration

Der Konfigurationsdialog für Automatic Line Coloring (ALC) wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCConfig


ID_PROJECT_ALC_GROUNDFAULTMODE

Interne ID: ID_PROJECT_ALC_GROUNDFAULTMODE

Modus der Erdschlusssuche

Legt fest, ob bei der Erdschlusssuche der potenziell erdschlussbehaftete Netzteil eingefärbt wird oder das gesamte Netz, in dem sich ein Erdschluss befindet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCGroundFaultMode


ID_PROJECT_ALC_IMPEDANCE_BASED_FL

Interne ID: ID_PROJECT_ALC_IMPEDANCE_BASED_FL

Fehlerortung basierend auf Impedanz

Automatisches Zeichnen eines Markers in einem zenon Bild bei Topologische Eigenschaften.

  • Aktiv:
    Im Fehlerfall visualisiert ein Marker in einem zenon Bild den Ort der Störung.
  • Inaktiv:
    Keine Visualisierung der Fehlerquelle im zenon Bild.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCImpedanceBasedFaultLocation


ID_PROJECT_ALC_LF_N_1

Interne ID: ID_PROJECT_ALC_LF_N_1

(n-1)-Berechnung aktivieren

Aktiviert die (n-1)-Berechnung für den Lastfluss für das topologische ALC-Netz. Diese Berechnung wird nach der Lastflussberechnung durchgeführt. Dadurch kann eine mögliche Überlastung des Netzes, z.B. beim Ausfall einer Leitung, bereits im Vorhinein erkannt werden.

Default: inaktiv

Hinweis: nicht verfügbar, wenn bei Lastflussberechnung aktivieren Deaktiviert projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCN1CalculationActive


ID_PROJECT_ALC_MARKERLINE

Interne ID: ID_PROJECT_ALC_MARKERLINE

Linienbreite der Bildmarker

Erscheinungsbild (Linienbreite) der Bildmarker für die impedanzbasierende Feherortung.
Definiert die Linienbreite der Bildmarker in Pixel. Die Breite kann nur für alle Marker gesamt projektiert werden.

Default: 3 Pixel

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMarkerLine


ID_PROJECT_ALC_MARKERSIZE

Interne ID: ID_PROJECT_ALC_MARKERSIZE

Größe der Bildmarker

Erscheinungsbild (Größe) der Bildmarker für die impedanzbasierende Feherortung.
Definiert die Größe der Bildmarker in Pixel. Die Größe kann nur für alle Marker gesamt projektiert werden.

Default: 20 Pixel

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMarkerSize


ID_PROJECT_ALC_MARKERTYPE

Interne ID: ID_PROJECT_ALC_MARKERTYPE

Darstellungstyp der Bildmarker

Erscheinungsbild (Art der Darstellung) der Bildmarker für die impedanzbasierende Feherortung.
Definiert das Aussehen der Bildmarker. Die Größe kann nur für alle Marker gesamt projektiert werden.

Auswahl aus Dropdownliste:

  • Dreieck
  • Kreis
  • Quadrat
  • Kreuz

Default: Dreieck

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMarkerType


ID_PROJECT_ALC_MAXOVERLOAD

Interne ID: ID_PROJECT_ALC_MAXOVERLOAD

Max. zulässige Stromüberlastung [%]

Maximal zulässige Stromüberlastung in Prozent für die topologische Verriegelung.
Basis für die Berechnung ist die ALC-Projektierung bei einem ALC-Bildelement (Schalter, Linie oder Leitung) in der dazugehörigen ALC-Eigenschaftengruppe Topologische Eigenschaften.

Bringt die interne ALC-Lastverteilungsrechnung das Ergebnis, dass eine Schalthandlung zu einem Überlastzustand führt, wird die Schalthandlung topologisch verriegelt.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMaxOverload


ID_PROJECT_ALC_POWER_FLOW

Interne ID: ID_PROJECT_ALC_POWER_FLOW

Lastflussberechnung aktivieren

Aktivierung und Art der Berechnung für das optionalen ALC-Modul Lastflussberechnung.

Auswahl aus Dropdownliste:

  • deaktiviert
    im ALC-Modell werden keine Lastflussberechnung durchgeführt.
  • Lastfluss
    Berechnung des Lastflusses für den aktuellen Zustand (aus den Werten der ALC-Elemente).
    Die Berechnung wird nach jeder topologischen Änderung durchgeführt. Bei aktivierter Eigenschaft (n-1)-Berechnung aktivieren wird anschließend noch eine N-1-Prognose erstellt.
  • Lastfluss mit State Estimator
    Nach der Lastflussberechnung wird zusätzlich die Berechnung für den State Estimator durchgeführt.

Default: deaktiviert

Achtung: Durch Aktivierung dieser Eigenschaft wird die Lastflussberechnung aktiviert. Setzen Sie diese Funktionalität nur auf Rechnern mit entsprechender Rechnerleistung ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCPowerFlowActive


ID_PROJECT_ALC_SEARCHMODE

Interne ID: ID_PROJECT_ALC_SEARCHMODE

Modus der Einfärbung

Legt den Modus der Einfärbung für den Zustand UNDEFINED fest. Klick auf Dropdownliste öffnet Auswahl:

  • Standard: Die Quellenfarbe wird ausgehend von jeder eingeschalteten Quelle im Netz verteilt, solange der nächste Schalter geschlossen ist.
  • Versorgung vorrangig: Färbt nur Leitungen ein, die von zumindest einer Quelle potenziell versorgt sind, aber von keiner Quelle eindeutig.

Default: Standard

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCSearchMode


ID_PROJECT_ASMACTIVE

Interne ID: ID_PROJECT_ASMACTIVE

IPA aktiv

Der Industrial Performance Analyzer (IPA) dient dazu, Alarmdaten und damit einhergehende Standzeiten in verschiedenen Listenansichten anzuzeigen und auszuwerten.

Hinweis: Das Modul Industrial Performance Analyzer muss extra lizenziert werden.

Aktiv: Die Funktionalität des Industrial Performance Analyzers steht Ihnen zur Verfügung. Die weiteren Eigenschaften, die Sie an dieser Stelle für den IPA vornehmen können, können Sie jetzt bearbeiten.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmActive


ID_PROJECT_ASMAKZ

Interne ID: ID_PROJECT_ASMAKZ

Anlagen-Kennzeichnung

Anlagen-Kennzeichnungen helfen Ihnen im Bild vom Typ Industrial Performance Analyzer nach gewünschten Alarmdaten zu filtern. Die hier definierte Anlagen-Kennzeichnung kann entweder im Namen oder in der Kennung der Variablen vorkommen, die den Alarm verursacht hat.

Ein Linksklick auf die Schaltfläche öffnet einen Dialog, in dem Sie die gewünschten Anlagen-Kennzeichnungen definieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AKZ


ID_PROJECT_ASMAKZMODE

Interne ID: ID_PROJECT_ASMAKZMODE

Anlagen-Kennzeichnung über

Die Definition der Anlagen-Kennzeichnung kann als Präfix im Namen der Variable oder in der Kennung der Variable angegeben werden. Dies ist bei der Variablendefinition zu berücksichtigen.
Kennung: Ein Teil der Variablenkennung wird für die Anlagen-Kennzeichnung im Industrial Performance Analyzer (IPA) verwendet.
Variablenname: Ein Teil des Variablennamens wird für die Anlagen-Kennzeichnung verwendet.

Default: Variablenname.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AkzMode


ID_PROJECT_ASMBUFFERSIZE

Interne ID: ID_PROJECT_ASMBUFFERSIZE

Puffergröße

Maximale Anzahl von Alarmen, die in den Puffer geschrieben werden.

Hinweis: Wenn der Puffer voll ist und weitere Alarme in ihm gespeichert werden sollen, gehen die ältesten im Puffer gespeicherten Alarme verloren. Berücksichtigen Sie das bei der Projektierung.
Minimum: 0.
Maximum: 4294967295.
Default: 10000.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmBufferSize


ID_PROJECT_ASMCYCLETIME

Interne ID: ID_PROJECT_ASMCYCLETIME

Speicherzyklus

Definieren Sie das Intervall, in dem die Alarmdaten vom Puffer in die Datenbank geschrieben werden. Aus Performancegründen hält der Industrial Performance Analyzer (IPA) keine dauernde Verbindung zu der Datenbank. Mithilfe des Speicherzyklus legen Sie fest, wie oft Daten in die Datenbank geschrieben werden.

Geben Sie das Zeitintervall im Format HH:MM:SS an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmCycleTime


ID_PROJECT_ASMDNS

Interne ID: ID_PROJECT_ASMDNS

Datenquelle

Definieren Sie hier die Verbindung zu einer ODBC-fähigen Datenbank (z.B. Microsoft SQL-Server), die der Industrial Performance Analyzer zur Speicherung der Alarmdaten verwenden soll. Eine Linksklick auf die Schaltfläche öffnet den Dialog zur Auswahl der Datenquelle. Wenn Sie noch keine Datenquelle angelegt haben, können Sie eine neue Datenquelle mithilfe diese Dialogs anlegen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmDns


ID_PROJECT_ASMPREDEFFILTER

Interne ID: ID_PROJECT_ASMPREDEFFILTER

Zeitfilter vordefinieren

Bei der Auswertung von Alarmdaten im Bild vom Typ Industrial Performance Analyzer in der Runtime können Zeitfilter zur Hilfe genommen werden, um sich nur Alarme aus gewissen Zeitbereichen anzeigen zu lassen.

Ein Linksklick auf die Schaltfläche öffnet einen Dialog, in dem Sie die von Ihnen gewünschten Zeitfilter definieren können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PredefFilter


ID_PROJECT_ASMTABLE

Interne ID: ID_PROJECT_ASMTABLE

Tabellenname

Geben Sie einen Namen für die Tabelle des Industrial Performance Analyzers in der ODBC-fähigen Datenbank an. Wenn eine Tabelle mit diesem Namen noch nicht existiert, wird Sie beim ersten Start der Runtime automatisch angelegt.

Hinweis: Gültige Tabellennamen dürfen nur alphanumerische Zeichen und/oder Leerzeichen enthalten und nicht mit einer Zahl anfangen. Sie dürfen nicht mehr als 128 Zeichen umfassen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmTable


ID_PROJECT_BACKUPTIME

Interne ID: ID_PROJECT_BACKUPTIME

Zeitpunkt der Sicherung

Zeigt Zeitpunkt der letzten Projektsicherung an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackupTime


ID_PROJECT_BACKUPXML

Interne ID: ID_PROJECT_BACKUPXML

XML-Export aktiv

Aktiv: Bei jeder Projektsicherung wird eine ZIP-Datei (Version.zip) eingefügt. Diese enthält 24 XML-Dateien mit den Sicherungen der einzelnen Module.

Hinweis: Bei Mehrplatzfähigen Projekten nur bei lokaler Sicherung.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackupWithXML


ID_PROJECT_DBD_SERVER

Interne ID: ID_PROJECT_DBD_SERVER

Datenbankserver

Diese Eigenschaft kann nur beim Erstellen eines Projektes eingegeben werden.
Zeigt den Datenbankserver eines mehrplatzfähigen Projekts an.
Kein Eintrag bedeutet, dass das Projekt nicht mehrplatzfähig ist und die Projektdatenbank auf dem lokalen Rechner abgelegt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DatabaseServer


ID_PROJECT_EXTERNAL_REFERENCE

Interne ID: ID_PROJECT_EXTERNAL_REFERENCE

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CPropExternalNames::szExternalReference


ID_PROJECT_IPA_ALARMCAUSELIST

Interne ID: ID_PROJECT_IPA_ALARMCAUSELIST

Alarmursachen

Im Bild vom Typ Industrial Performance Analyzer kann jedem erfassten Alarm eine Alarmursache aus einer Liste zugewiesen werden. Es ist möglich nach den Alarmursachen zu filtern.

Die Liste der Alarmursachen wird hier verwaltet.

Ein Linksklick auf die Schaltfläche öffnet einen Dialog, in dem Sie mögliche Alarmursachen definieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmAlarmCauseListe


ID_PROJECT_IPA_SHIFTINFOPFS

Interne ID: ID_PROJECT_IPA_SHIFTINFOPFS

Schicht aus PFS

Übernimmt die Zeiten für die definierten Schichten aus dem Modul Production & Facility Scheduler. Die Schichtzeiten werden dann dort gewartet.

Aktiv: Die zum Alarm aktuelle Schicht wird aus dem Production & Facility Scheduler (PFS) ausgelesen.
Inaktiv: Die zum Alarm aktuelle Schicht wird aus einer verknüpften Variable und einer definierten Liste gelesen.
Default: aktiv.
Achtung: Der Production & Facility Scheduler ist ein optionales Modul und muss lizenziert sein, um hier verwendet werden zu können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmShiftInfoPFS


ID_PROJECT_IPA_SHIFTINFOVARIABLE

Interne ID: ID_PROJECT_IPA_SHIFTINFOVARIABLE

Schicht aus Variable

Nur verfügbar, wenn Sie IPA aktiv aktiviert haben. Außerdem muss Schicht aus PFS inaktiv sein.

Name der Variablen, deren Wert Informationen über die aktuelle Schicht liefert. Wählen Sie eine Variable vom Typ INT. Damit können Sie folgendes Schichtmodell erstellen.
Beispiel:

1 = Frühschicht, 2 = Spätschicht, 3 = Nachtschicht, -1 = Pause. Die Schichtbezeichnung für die Auswertung kann über die Eigenschaft Schichtname aus Liste definiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmShiftInfoVariable


ID_PROJECT_IPA_SHIFTLIST

Interne ID: ID_PROJECT_IPA_SHIFTLIST

Schichtname aus Liste

Nur verfügbar, wenn Sie IPA aktiv aktiviert haben. Außerdem muss Schichtname aus PFS inaktiv sein.

Hier definieren Sie Namen zu den Werten der Variablen, die Sie unter Schicht aus Variable verknüpft haben.

Ein Linksklick auf die Schaltfläche öffnet einen Dialog, in dem Sie einzelnen Werten Namen zuweisen.

Schichtnamen können Werten einer verknüpften Variablen zugewiesen werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmShiftNameListe


ID_PROJECT_IPA_SHIFTPFS

Interne ID: ID_PROJECT_IPA_SHIFTPFS

Schichtname aus PFS

Übernimmt die Namen für die definierten Schichten aus dem Modul Production & Facility Scheduler. Die Schichtnamen werden dann dort gewartet.

Aktiv: Die zum Alarm aktuelle Schicht wird aus dem Production & Facility Scheduler (PFS) ausgelesen.
Inaktiv: Die zum Alarm aktuelle Schicht wird aus einer verknüpften Variable und einer definierten Liste gelesen.
Default: aktiv.

Achtung: Der Production & Facility Scheduler ist ein optionales Modul und muss lizenziert sein, um hier verwendet werden zu können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmShiftNamePFS


ID_PROJECT_IPA_USRLEVEL

Interne ID: ID_PROJECT_IPA_USRLEVEL

Zum Löschen

Mit dem Bild vom Typ Industrial Performance Analyzer ist es möglich während der Runtime Alarmdaten, die sich in der Datenbank befinden, zu löschen. Um hier einen Missbrauch zu vermeiden, können Sie projektieren, welche Berechtigung der Benutzer haben muss, um Einträge zu löschen.

Wählen Sie aus dem Dropdownmenü die gewünschte Bedienberechtigung aus.

Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmUsrLvl


ID_PROJECT_IPA_USRLEVELCAUSE

Interne ID: ID_PROJECT_IPA_USRLEVELCAUSE

Zum Editieren

Mit dem Bild vom Typ Industrial Performance Analyzer ist es möglich während der Runtime Alarmdaten, die sich in der Datenbank befinden, zu editieren. Um hier einen Missbrauch zu vermeiden, können Sie projektieren, welche Berechtigung der Benutzer haben muss, um Einträge zu editieren.

Wählen Sie aus dem Dropdownmenü die gewünschte Bedienberechtigung aus.

Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AsmUsrLvlCause


ID_PROJECT_MAIN_TEMPLATES

Interne ID: ID_PROJECT_MAIN_TEMPLATES

Hauptschablonen

Namen der Schablonen, die in der Variable Zuletzt geöffnetes Bild des Systemtreibers berücksichtigt werden. Klick auf ... öffnet den Dialog für die Schablonenauswahl.

Hinweis: Wird der Name einer Schablone geändert, muss dieser bei Bedarf hier erneut ausgewählt werden. Ansonsten kann die Systemtreibervariable Zuletzt geöffnetes Bild auf dieser Schablone basierende Bilder nicht mehr identifizieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MainTemplates


ID_PROJECT_MULTIUSER

Interne ID: ID_PROJECT_MULTIUSER

Mehrplatzfähiges Projekt

Aktiv: Das Projekt wird als Mehrplatz-Projekt verwendet. Im Projektbaum gibt es einen zusätzlichen Knoten "In Bearbeitung".

Inaktiv: Das Projekt wird als Einzelplatz-Projekt verwendet.

Default: inaktiv.

Diese Eigenschaft kann nur über das Kontextmenü des Projekts aktiviert werden.

ACHTUNG: Das Aktivieren dieser Eigenschaft kann nicht mehr rückgängig gemacht werden. Allerdings kann ein Mehrplatzfähiges Projekt über eine Projektsicherung in ein neues Einzelplatzprojekt konvertiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiUser


ID_PROJECT_PROCESS_RECORDER

Interne ID: ID_PROJECT_PROCESS_RECORDER

Prozess-Rekorder

Aktiviert/Deaktiviert die Aufzeichnung für das Modul Prozess-Rekorder.

  • Aktiv:
    Aufzeichnung im Prozess-Rekorder aktiviert.
  • Inaktiv:
    Keine Aufzeichnung im Prozess-Rekorder.

Default: inaktiv

Achtung: Nur wenn diese Eigenschaft aktiviert ist, werden die mit der Eigenschaft Aufzeichnung aktivieren aktivierten Variablen aufgezeichnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ProcessRecorder


ID_PROJECT_RTVERSION

Interne ID: ID_PROJECT_RTVERSION

Runtime-Dateien erzeugen für

Auswahl der Version, für die die Runtime-Dateien erzeugt werden:

  • 6.20 SP4: Die Runtime-Dateien werden für die Version 6.20, Service Pack 4, erzeugt.
  • 6.21 SP0: Die Runtime-Dateien werden für die Version 6.21, Service Pack 0, erzeugt.
  • 6.21 SP1: Die Runtime-Dateien werden für die Version 6.21, Service Pack 1, erzeugt.
  • 6.22 SP0: Die Runtime-Dateien werden für die Version 6.22, Service Pack 0, erzeugt.
  • 6.22 SP1: Die Runtime-Dateien werden für die Version 6.22, Service Pack 1, erzeugt.
  • 6.50 SP0: Die Runtime-Dateien werden für die Version 6.50, Service Pack 0, erzeugt.
  • 6.51 SP0: Die Runtime-Dateien werden für die Version 6.51, Service Pack 0, erzeugt.
  • 7.00 SP0: Die Runtime-Dateien werden für die Version 7.00, Service Pack 0, erzeugt.
  • 7.10 SP0: Die Runtime-Dateien werden für die Version 7.10, Service Pack 0, erzeugt.
  • 7.11 SP0: Die Runtime-Dateien werden für die Version 7.11, Service Pack 0, erzeugt.
  • 7.20 SP0: Die Runtime-Dateien werden für die Version 7.20, Service Pack 0, erzeugt.
  • 7.20 SP0[aktuellste Build-Nr.]: Die Runtime-Dateien werden für die Version 7.20, Service Pack 0, Build [aktuelle Build-Nr.] erzeugt.
  • 7.50 SP0: Die Runtime-Dateien werden für die Version 7.50, Service Pack 0, erzeugt.
  • 7.60 SP0: Die Runtime-Dateien werden für die Version 7.60, Service Pack 0, erzeugt
  • Default: Die Runtime-Dateien werden für die aktuelle Version des Editors erzeugt.

Achtung: Um die Konsistenz der Runtime-Dateien zu gewährleisten, müssen nach jeder Änderung dieser Eigenschaft alle Runtime-Dateien neu erzeugt werden. Auch die Konfigurationen aller Treiber werden konvertiert. Einstellungen, die es in der entsprechenden Version nicht gibt, werden auf Default gesetzt.

Es gibt für die Version 7.20 eine build-abhängige Auswahlmöglichkeit. Wählen Sie diese für Ihre Version 7.20 um sicherzustellen, dass Sie über die aktuellste Funktionalität verfügen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RTVersion


ID_PROJECT_RUNTIMELASSO

Interne ID: ID_PROJECT_RUNTIMELASSO

Runtime Lasso

Das Runtime Lasso ermöglicht die Auswahl und das Einfügen von Dynamischen Elementen zur Runtime.

  • Aktiv: Durch Bewegen der Maus mit gedrückter linker Maustaste können in der Runtime mehrere Elemente ausgewählt werden. Auf diese Elemente kann dann ein VBA-Makro zugreifen.
  • Inaktiv: Die Lassofunktionalität wird nicht verwendet.
    Default: inaktiv

Hinweis: Das Runtime Lasso funktioniert nur bei Elementen, die über die Eigenschaft mit Lasso auswählbar verfügen und mit einer Variable oder einer Funktion verknüpft sind. Statische Elemente können nicht ausgewählt werden. Die Lassofunktion kann für einzelne Bildelemente in den Eigenschaften unter Runtime mit Lasso auswählbar aktiviert oder deaktiviert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RuntimeLasso


ID_PROJECT_USEVERSION

Interne ID: ID_PROJECT_USEVERSION

Versionierung aktiv

Aktiv: Projektversionierung wird verwendet. Jede Projektsicherung wird mit einer eigenen Versionsnummer gespeichert.

Inaktiv: keine Versionierung der Projektsicherungen.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VersionActive


ID_PROJECT_VERSIONDETAIL

Interne ID: ID_PROJECT_VERSIONDETAIL

Detailnummer

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VersionDetail


ID_PROJECT_VERSIONNUMBER

Interne ID: ID_PROJECT_VERSIONNUMBER

Hauptversion

Nur verfügbar, wenn die Eigenschaft Versionierung aktiv aktiviert wurde.

Vom Benutzer zu vergebende Nummer. Diese wird intern mit einer Detailnummer, getrennt durch einen Punkt, ergänzt und als Projektversion dargestellt.

Achtung: Willkürliche Veränderungen dieser Nummer beeinflussen die Konsistenz der Versionierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VersionNumber


ID_PROJECT_VERSIONS

Interne ID: ID_PROJECT_VERSIONS

Versionierung

Eigenschaften für die Versionierung von Projektsicherungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Versioning


ID_PROJECT_VERSIONSTRING

Interne ID: ID_PROJECT_VERSIONSTRING

Projektversion

Nur verfügbar, wenn die Eigenschaft Versionierung aktiv aktiviert wurde.

Zeigt Projektversion an. Die Versionsnummer besteht aus der vom Benutzer vergebenen Nummer der Hauptversion und der intern hinter dem Punkt vergebenen Detailnummer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VersionString


ID_PROJECT_ZOOM_STEPS

Interne ID: ID_PROJECT_ZOOM_STEPS

Zoomstufen f. Weltbild

Der Dialog für die Definition der Zoomstufen für die Weltbild-Funktionalität wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ZoomSteps


ID_PROJEKT_AD_DOMAIN

Interne ID: ID_PROJEKT_AD_DOMAIN

Active Directory Domäne

Ermöglicht einem AD-Benutzer, sich in zenon mit einer anderen Domäne anzumelden als jener, die für die Anmeldung in Windows benutzt wird.
Nur verfügbar, wenn Zugriff auf Active Directory aktiviert ist.

  • Wert: Name der gewünschten Domäne.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ADDomain


ID_PROJEKT_AD_ZENON_USER_GROUP_FOR_LOGIN

Interne ID: ID_PROJEKT_AD_ZENON_USER_GROUP_FOR_LOGIN

Benutzergruppe für Active Directory-Login mit zwischengespeicherten Anmeldeinformationen

Nur verfügbar, wenn die Eigenschaft Zugriff auf Active Directory den Wert Ja hat.

Auswahl einer Benutzergruppe, die ein Login mit zwischengespeicherten Anmeldeinformationen ermöglicht.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Benutzergruppe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActiveDirectoryUsrGrpLogin


ID_PROJEKT_ADAM

Interne ID: ID_PROJEKT_ADAM

AD LDS-Verbindung

Verbindungspfad zu ADAM bzw. AD LDS.

Der Verbindungspfad muss in folgender Form eingegeben werden: [PC-Name]:[Port]/[Organisation]

Beispiel: w3k:50000/O=800,c=com

Mehr zu AD LDS im Online-Handbuch.

Mehr zu ADAM im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ADAM


ID_PROJEKT_ADAM_PWD

Interne ID: ID_PROJEKT_ADAM_PWD

AD LDS-Passwort

Kennwort des lokalen Benutzers des ADAM/AD LDS PCs.

Mehr zu AD LDS im Online-Handbuch.

Mehr zu ADAM im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ADAMPwd


ID_PROJEKT_ADAM_USER

Interne ID: ID_PROJEKT_ADAM_USER

AD LDS-Benutzername

Benutzername eines lokalen Benutzers des ADAM/AD LDS-Rechners mit Administratorrechten.

Mehr zu AD LDS im Online-Handbuch.

Mehr zu ADAM im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ADAMUser


ID_PROJEKT_ADAM_ZENON_USER_GROUP_FOR_LOGIN

Interne ID: ID_PROJEKT_ADAM_ZENON_USER_GROUP_FOR_LOGIN

Benutzergruppe für AD LDS-Login mit zwischengespeicherten Anmeldeinformationen

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ADAMUsrGrpLogin


ID_PROJEKT_ALARM_CEL

Interne ID: ID_PROJEKT_ALARM_CEL

AML und CEL

Eigenschaften für die Alarmierung und Chronologische Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_CEL


ID_PROJEKT_ALLGEMEIN

Interne ID: ID_PROJEKT_ALLGEMEIN

Allgemein

Allgemeine Eigenschaften des Projekts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Project


ID_PROJEKT_ALT_PATH

Interne ID: ID_PROJEKT_ALT_PATH

Datenordner

Leer: Der Standardpfad wird für das Speichern von Alarmmeldeliste, Chronologischer Ereignisliste (CEL), Harddisk-Daten, Archivdaten etc.verwendet (Projektpfad\Rechnername\Projektname).
Pfad: Der hier eingegebene Pfad wird zum Speichern der Daten verwendet ("Eingegebener Pfad\Rechnername\Projektname").
Achtung: Falls der eingegebene Pfad nicht existiert (Netzwerkprobleme, Wechseldatanträger nicht vorhanden), werden von der Runtime keine Daten mehr geschrieben. Das bedeutet: 100% Datenverlust. Die Runtime bleibt bedienbar, muss aber neu gestartet werden. Die Verfügbarkeit des Ordners kann mit der Systemtreibervariablen Runtime Datenordner nicht verfügbar überprüft werden.
Tipp: Setzen Sie den Datenordner nie auf ein entfernbares Laufwerk, wie einen USB Stick oder ein Netzlaufwerk. Daten am besten lokal aufzeichnen und extern sichern

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltDataPath


ID_PROJEKT_AML

Interne ID: ID_PROJEKT_AML

Alarmmeldeliste

Eigenschaften für die Alarmkonfiguration.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML


ID_PROJEKT_AUTOMATIC_FUNC

Interne ID: ID_PROJEKT_AUTOMATIC_FUNC

Automatische Funktionsausführung

Eigenschaften für die automatische Funktionsausführung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AutoFunc


ID_PROJEKT_AUTOMATIC_FUNCTION

Interne ID: ID_PROJEKT_AUTOMATIC_FUNCTION

Funktion

Nur verfügbar, wenn die Eigenschaft Autom. Funktionsausführung aktiv aktiv ist:
Funktion, die nach abgelaufener Zeit ohne Bedienaktion ausgeführt wird.
Soll mehr als eine Funktion ausgeführt werden, muss ein Skript mit den gewünschten Funktionen erstellt und die Funktion zum Ausführen des Skripts hier verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Interne ID: ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Autom. Funktionsausführung aktiv

  • Aktiv: Automatische Funktionsausführung, wenn der Rechner über den in der Eigenschaft Zeit ohne Bedienaktion (in Minuten) angegebenen Zeitraum nicht benutzt wurde. Auswahl der auszuführenden Funktion über Eigenschaft Funktion.
  • Inaktiv: Keine automatische Funktionsausführung.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FuncActive


ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Interne ID: ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Zeit ohne Bedienaktion (in Minuten)

Nur verfügbar, wenn die Eigenschaft Autom. Funktionsausführung aktiv eingeschaltet ist:
Zeitraum, der ohne Bedienaktion verstreichen muss, damit die definierte Funktion ausgeführt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FuncActiveTime


ID_PROJEKT_BLINK_FREQUENCY

Interne ID: ID_PROJEKT_BLINK_FREQUENCY

Blinkfreq. [ZehntelSek.]

Blinkrate Dynamischer Elemente in Zehntelsekunden (z.B: Eingabe 5 entspricht Blinken im 1/2 Sekunden Takt).

  • Minimum: 0
  • Maximum: 2147483647
  • Default: 5

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BlinkRate


ID_PROJEKT_CEL

Interne ID: ID_PROJEKT_CEL

Chronologische Ereignisliste

Eigenschaften für die Verwaltung der Chronologischen Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_CEL


ID_PROJEKT_CHANGELOG

Interne ID: ID_PROJEKT_CHANGELOG

Änderungshistorie

Eigenschaften für die Änderungs-Historie.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ChangeLog


ID_PROJEKT_CHANGELOG_AKTIV

Interne ID: ID_PROJEKT_CHANGELOG_AKTIV

Änderungshistorie aktiv

Aktiv: Änderungen im Projekt werden mitprotokolliert.
Inaktiv: Änderungen im Projekt werden nicht mitprotokolliert.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ChangeLogAktiv


ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Interne ID: ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Änderungen automatisch ermöglichen

Automatische Eingabe von Kommentaren für die Änderungshistorie bei einem mehrplatzfähigen Projekt. Dadurch wird der zuvor notwendige Befehl Änderungen ermöglichen automatisch bei Eingabe eines Kommentars (im Hintergrund) durchgeführt.
Diese Eigenschaft steht nur für mehrplatzfähige Projekte und bei aktivierter Änderungshistorie zur Verfügung.

  • Aktiv:
    Änderungen für Einträge der Liste werden automatisch ermöglicht, wenn Kommentare hinzugefügt werden. Diese Änderungen müssen dann manuell mit dem Kontextmenü-Eintrag Änderungen übernehmen übernommen werden.
  • Inaktiv:
    Kommentare können nur hinzugefügt werden, nachdem Änderungen für die Einträge vorher von Hand ermöglicht wurden.
    Wählen sie dazu im Kontextmenü bei dem entsprechenden Projektierungsinhalt den Eintrag Änderungen ermöglichen.

Default: inaktiv

Achtung: Eine Aktivierung dieser Eigenschaft setzt eine hohe und sehr performante Rechnerleistung voraus.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ChangeLogCheckout


ID_PROJEKT_CHANGELOG_DETAIL

Interne ID: ID_PROJEKT_CHANGELOG_DETAIL

Detaillierungsstufe

Nur verfügbar, wenn die Eigenschaft Änderungshistorie aktiv aktiviert wurde.

Auswahl der Detailstufen aus Dropdownliste.

  • Objekt: Es werden lediglich die Objektnamen der geänderten Objekte aufgezeichnet. Details zu den geänderten Eigenschaften und deren Werte scheinen nicht in der Änderungshistorie auf.
  • Eigenschaften: Zusätzlich zu den Objektnamen werden die geänderten Eigenschaften sowie deren neue Werte in die Historie aufgenommen.
  • Wertänderungen: Diese Einstellung bewirkt den größtmöglichen Aufzeichnungsgrad. Dabei wird neben dem neuen Wert einer Eigenschaft auch deren alter Wert gespeichert. Somit ist eine komplette Rückverfolgung von Änderungen auf Wertebene möglich.

Default: Objekt

Hinweis: Geänderte Werte werden nach einer Länge von 128 Zeichen abgeschnitten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ChangeLogState


ID_PROJEKT_CURSOR_VISIBLE

Interne ID: ID_PROJEKT_CURSOR_VISIBLE

Cursor sichtbar

Checkbox für das Verhalten des Mauszeigers in der zenon Runtime.

  • Aktiv:
    Der Mauszeiger ist in der Runtime sichtbar.
  • Inaktiv:
    Der Mauszeiger wird in der Runtime nicht angezeigt. Bei Projekten mit Touchscreen kann die Darstellung des Mauszeigers als störend empfunden und mit dieser Eigenschaft ausgeschaltet werden.

Default: aktiv
Achtung: Diese Einstellung wirkt sich nur auf zenon aus, nicht aber auf Windows Standard-Elemente wie Titelzeilen, Menüs, Scrollbalken usw. Für Windows-Elemente muss der Mauszeiger direkt im Betriebssystem deaktiviert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CursorVisible


ID_PROJEKT_DRIVER_INVISIBLE

Interne ID: ID_PROJEKT_DRIVER_INVISIBLE

Treiber unsichtbar

Checkbox für die Anzeige der gestarteten Treiber in der Windows Taskleiste.

  • Aktiv:
    Gestartete Treiber werden zur Runtime nicht in der Windows Taskleiste angezeigt.
  • Inaktiv:
    Gestartete Treiber werden zur Runtime in der Windows Taskleiste angezeigt.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DriverInvisible


ID_PROJEKT_ENABLEMENU

Interne ID: ID_PROJEKT_ENABLEMENU

Hauptmenüs aktiv

Anzeige von Hauptmenüs zur Runtime:

  • Aktiv: Am oberen Rand des Runtime-Fensters wird ein Balken für die Darstellung der Menüs reserviert.
  • Inaktiv: In der Runtime werden keine Hauptmenüs angezeigt.

Default: inaktiv
Achtung: Wenn Hauptmenüs verwendet werden, muss diese Option aktiviert sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EnableMenu


ID_PROJEKT_EXPORT_UNICODE

Interne ID: ID_PROJEKT_EXPORT_UNICODE

Textexport als Unicode

Aktiv: Textexport in Unicode-Dateien.
Inaktiv: Textexport in ANSI-Dateien.
Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExportUnicode


ID_PROJEKT_GDIPLUS

Interne ID: ID_PROJEKT_GDIPLUS

Grafikqualität

Einstellung für Qualität der Grafikdarstellung.
DirectX ermöglicht eine höhere Qualität als Windows Basis. Prinzipiell ist bei Verwendung von DirectX die Einstellung DirectX Hardware zu bevorzugen und DirectX Software nur zu verwenden, wenn unbedingt nötig. Mögliche Auswahl:

  • Windows Basis:
    Grundlegende Grafikeigenschaften. Für ressourcenschwache Hardware empfohlen.
  • DirectX Software:
    Grafikberechnung wird von der CPU erledigt und kann zu hoher CPU Auslastung führen.
  • DirectX Hardware:
    Ein Teil der Grafikberechnungen wird auf die Grafikkarte ausgelagert. Unterstützt das System die Einstellung nicht, wird automatisch auf DirectX Software umgeschaltet.

Default: DirectX Hardware

Achtung: DirectX steht unter Windows CE nicht zur Verfügung.

Hinweise:

  • Beim Umschalten des Modus während der Projektierung kann es zu geringfügigen Pixelabweichungen kommen. Die Eigenschaft sollte daher vor dem Erstellen von Bildern gesetzt werden.
  • Beim Aktivieren von Windows Basis werden sämtliche Linientypen für alle Linienarten, die eine Linienbreite [Pixel] >1 verwenden, wieder auf durchgehende Linie gesetzt.
  • Für die Darstellung von ActiveX-Elementen (Dateiendung: *.ocx) wird kein DirectX verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseGDIplus


ID_PROJEKT_GRP0

Interne ID: ID_PROJEKT_GRP0

Drucken

Eigenschaften für den Online-Ausdruck der Alarmmeldeliste (AML) oder der Chronologischen Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Print


ID_PROJEKT_GRP1

Interne ID: ID_PROJEKT_GRP1

Name/Ordner

Eigenschaften für den Namen und den Speicherplatz des Projekts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_PROJEKT_GRP2

Interne ID: ID_PROJEKT_GRP2

Runtime Einstellungen

Eigenschaften für das Runtime-Verhalten des Projekts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Runtime


ID_PROJEKT_GRP3

Interne ID: ID_PROJEKT_GRP3

Keyboard

Eigenschaften für die Touchbedienung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Touch


ID_PROJEKT_GRP4

Interne ID: ID_PROJEKT_GRP4

Automatisches Logout

Eigenschaften für automatisches Ausloggen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AutoLogout


ID_PROJEKT_GRP5

Interne ID: ID_PROJEKT_GRP5

Login und Signatur

Eigenschaften für das temporäre Einloggen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_TempLogin


ID_PROJEKT_GRP6

Interne ID: ID_PROJEKT_GRP6

Industrial Performance Analyzer

Eigenschaften für den Industrial Performance Analyzer (IPA).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_IPA


ID_PROJEKT_GRP7

Interne ID: ID_PROJEKT_GRP7

Grafische Ausprägung

Eigenschaften für die grafische Ausprägung der Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Graphics


ID_PROJEKT_GRP8

Interne ID: ID_PROJEKT_GRP8

Datenspeicherung IPA

Eigenschaften für die Datenspeicherung des Industrial Performance Analyzers (IPA).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Storage


ID_PROJEKT_GRP9

Interne ID: ID_PROJEKT_GRP9

Auswertung

Eigenschaften für die Auswertung der Daten des Industrial Performance Analyzers (IPA).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Analysis


ID_PROJEKT_GRP10

Interne ID: ID_PROJEKT_GRP10

Allgemein

Allgemeine Eigenschaften für die Datei.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_PROJEKT_GRP11

Interne ID: ID_PROJEKT_GRP11

Allgemein

Allgemeine Eigenschaften für das zenon Logic Projekt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

General


ID_PROJEKT_GRP12

Interne ID: ID_PROJEKT_GRP12

Allgemein

Allgemeine Eigenschaften für die Projektsicherung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_PROJEKT_GRP13

Interne ID: ID_PROJEKT_GRP13

Gesperrte/Verriegelte Elemente

Eigenschaften für die Anzeige gesperrter Elemente.
Elemente, die durch eine Berechtigungsgruppe oder eine Verriegelung gesperrt sind, werden mit einem Schlosssymbol oder einer frei wählbaren Grafik gekennzeichnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_LockSymbol


ID_PROJEKT_GRP14

Interne ID: ID_PROJEKT_GRP14

Bilder

Eigenschaften für die Anzeige der Bilder in der Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Pictures


ID_PROJEKT_GRP15

Interne ID: ID_PROJEKT_GRP15

Industrial Maintenance Manager

Eigenschaften des Industrial Maintenance Manager (IMM). Diese sind nur verfügbar, wenn der Industrial Maintenance Manager lizenziert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_IMM


ID_PROJEKT_GRP16

Interne ID: ID_PROJEKT_GRP16

Berechtigungen

Bedienberechtigungen für das Löschen und Bearbeiten von Einträgen in der Datenbank des Industrial Performance Analyzers (IPA).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Rights


ID_PROJEKT_GRP17

Interne ID: ID_PROJEKT_GRP17

Runtime allgemein

Enthält Einstellungen zur Runtime.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_RuntimeGeneral


ID_PROJEKT_GRP18

Interne ID: ID_PROJEKT_GRP18

Active Directory/AD LDS

Eigenschaften für die Verwendung des

- Active Directory (AD)

- Active Directory Application Mode (ADAM)

- Active Directory Lightweight Directory Services (AD LDS)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ActiveDirectory


ID_PROJEKT_GRP19

Interne ID: ID_PROJEKT_GRP19

Auswahlfarben der Objektlisten

Konfiguration der Farben für die Hervorhebung der Elemente mit Fokus in konfigurierbaren Listen. Diese Eigenschaften wirken sich auf folgende Listen aus:

  • Active Directory:
    • Liste im Active Directory Fenster (aber nicht: Baum)
  • AML
  • AML-Filter/CEL-Filter/Zeitfilter:
    • Chargen: Archivauswahl
    • Chargen: Chargenauswahl
  • Batch:
    • Liste der Vorlagenrezepte
    • Liste der Steuerrezepte
    • Parameterliste 1
    • Parameterliste 2
  • Befehlsgabe
    • Verriegelungsliste
  • Benutzerliste:
    • Benutzerliste
  • CEL
  • Erweiterter Trend:
    • Erweiterte Kurvenliste
  • Message Control:
    • Nachrichten-Warteschlange
  • Process Recorder
  • RGM:
    • Rezeptliste und Rezeptwerttabelle (aber nicht: Rezepertwerttabelle CE)
  • Schichtmanagement
    • Textlisten

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GFX_Lists


ID_PROJEKT_GRP20

Interne ID: ID_PROJEKT_GRP20

Prozess-Rekorder

Projektbezogene Eigenschaften für das Modul Prozess-Rekorder.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_GeneralProcessRecorder


ID_PROJEKT_GRP_INTERACTION

Interne ID: ID_PROJEKT_GRP_INTERACTION

Interaktion

Eigenschaften für Multitouch-Bedienung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Interaction


ID_PROJEKT_GUID

Interne ID: ID_PROJEKT_GUID

Projekt ID

Jedes Projekt wird durch eine eindeutige GUID identifiziert. Diese Eigenschaft kann nicht geändert werden.
Das ist auch der Name der Unterverzeichnisses im SQL-Verzeichnis, wo das Projekt gespeichert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GUID


ID_PROJEKT_KEYBOARD_SIZE

Interne ID: ID_PROJEKT_KEYBOARD_SIZE

Keyboard Größe [%]

Definiert, in welcher Größe - in Prozent, ausgehend von der Originalgröße – das automatische Keyboard in der Runtime dargestellt werden soll.
Minimum: 50 %
Maximum: 300 %
Default: 100 %

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardSize


ID_PROJEKT_LIMIT_FUNCTION_ON_START

Interne ID: ID_PROJEKT_LIMIT_FUNCTION_ON_START

Grenzwertfunktion beim RT-Start ausführen

Ausführung der Grenzwertfunktionen beim Start der Runtime und anstehenden Grenzwertverletzung.

  • Aktiv: Beim Start der Runtime wird eine mit einem anstehenden Grenzwert verknüpfte Funktion erneut ausgeführt.
  • Inaktiv: Beim Start der Runtime wird eine mit einem anstehenden Grenzwert verknüpfte Funktion nicht erneut ausgeführt.

Default: aktiv
Achtung: Diese Eigenschaft betrifft nur Grenzwerte, die keine Alarme sind.
Beispiele:

  • Beispiel 1: Die Runtime wird geschlossen und kein Grenzwert ist verletzt. Dann wird ein Grenzwert verletzt und danach die Runtime gestartet. Ist der verletzte Grenzwert ein Alarm, so wird die verknüpfte Funktion beim Starten der Runtime ausgeführt. Ist der Grenzwert kein Alarm, wird die Einstellung dieser Eigenschaft benutzt.
  • Beispiel 2: Die Runtime wird geschlossen und ein Grenzwert, der kein Alarm ist, ist verletzt. Die verknüpfte Funktion wurde in dem Moment ausgeführt, als der Grenzwert verletzt wurde. Wenn die Runtime neu gestartet wird, ist dieser Grenzwert immer noch verletzt. Abhängig von dieser Eigenschaft wird die verknüpfte Funktion erneut ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitFunctionOnStart


ID_PROJEKT_MAIN_WINDOW

Interne ID: ID_PROJEKT_MAIN_WINDOW

Runtime-Titel

Darstellung des Runtime-Hauptfensters.
Auswahl aus Dropdownliste:

  • kein Titel:
    Vollflächige Darstellung. Titelleiste wird nicht angezeigt.
  • Titel mit Min. und Max. Schaltfläche:
    Das Fenster kann in der Größe verändert und verschoben werden. Schließen ist nicht möglich (auch nicht über Kontextmenü, Aufgabenleiste oder die Tastenkombination Alt+F4). Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • Titel mit System, Min. und Max. Schaltfläche:
    Das Fenster kann in der Größe verändert und verschoben sowie per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • Titel mit Systemmenü:
    Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.
  • Titel ohne Schaltflächen:
    Das Fenster kann verschoben und per Klick auf die Schaltfläche X geschlossen werden. Rechtsklick auf Titelleiste öffnet Kontextmenü.

Default: kein Titel

Achtung: Wird diese Eigenschaft im Editor geändert, muss die Runtime neu gestartet werden. Nur nachladen funktioniert nicht, da zur Übernahme das Hauptfenster der Runtime erst geschlossen und dann neu geöffnet werden muss.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MainWindowStyle


ID_PROJEKT_MULTITOUCH

Interne ID: ID_PROJEKT_MULTITOUCH

Multi-Touch aktiv

Checkbox für die Anwendung von Multi-Touch.

  • Aktiv:
    Multi-Touch kann verwendet werden. Flicks (kurze Wischbewegungen) und Rechtsklick (antippen und halten) werden deaktiviert.
    Voraussetzungen: Alle entsprechenden Treiber und Gerät sind vorhanden. Das Gerät muss verbunden und eingeschaltet sein.
  • Inaktiv:
    Keine Multi-Touch Bedienung in der zenon Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultiTouch


ID_PROJEKT_NAME

Interne ID: ID_PROJEKT_NAME

Projektname

Eindeutiger Name des Projektes.
Dieser dient zur besseren Lesbarkeit, intern wird in der Regel die GUID verwendet.
Erlaubt sind: Ziffern, Buchstaben und das Sonderzeichen Unterstrich (_).

Hinweis: Beachten Sie beim Ändern des Projektnamens, dass eventuell projektübegreifende Bezüge in Integrationsprojekten oder projektübergreifende Nutzung von Variablen, Funktionen und VBA angepasst werden müssen. Benutzen Sie dazu den Dialog zum Ersetzen von Projektbezügen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Interne ID: ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Redundanz Einstellungen

Eigenschaften zur Konfiguration der Redundanz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_NetRed


ID_PROJEKT_NETZ

Interne ID: ID_PROJEKT_NETZ

Netzwerk

Eigenschaften für die Verwendung des Projekts in einem Netzwerk.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Net


ID_PROJEKT_NETZ_AKTIV

Interne ID: ID_PROJEKT_NETZ_AKTIV

Netzwerk aktiv

  • Aktiv: Das Projekt wird als Netzwerkprojekt verwendet. Ein Server muss definiert werden.
  • Inaktiv: Das Projekt ist ein Standalone-Projekt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetActive


ID_PROJEKT_NETZ_DATENSERVER

Interne ID: ID_PROJEKT_NETZ_DATENSERVER

Server 2 als Datenserver

Achtung: Diese Eigenschaft wird nicht weiter unterstützt. Sie steht aus Kompatibilitätsgründen noch zur Verfügung bis zenon Version 7.20 in Verbindung mit einer Runtime auf Windows CE Geräten.

Konfiguration:
Der hier definierte Server hat die Verbindung zur Hardware und schleift die Daten zum Server durch. Nur verfügbar, wenn in der Eigenschaft Server 2 ein Rechner definiert wurde.

  • Aktiv: Server 2 wird als Datenserver verwendet.
  • Inaktiv: Server 1 wird als Datenserver verwendet.

Default: inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetDataServer


ID_PROJEKT_NETZ_REDUNDANZTYP

Interne ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Redundanztyp

Nur verfügbar, wenn bei der Eigenschaft Server 2 ein Rechner eingetragen wurde.

zenon unterstützt zwei Redundanztypen:

  • Software-Redundanz: Das System besteht aus einer Steuerung und zwei redundanten Leitsystem-Rechnern. Beide Rechner müssen Verbindung zur Steuerung haben. Beide Rechner kommunizieren mit der Steuerung und halten gleichzeitig die Daten aus der Steuerung aktuell. Die Kommunikation zur Steuerung übernimmt der Rechner mit Server-Funktion. Der Server kommuniziert also bidirektional, der Standby unidirektional. Fällt der Server aus, übernimmt der Standby Server die bidirektionale Kommunikation mit der Steuerung.
  • Hardware-Redundanz: Das System besteht aus zwei redundanten Steuerungen und zwei redundanten Leitsystem-Rechnern. Jeder Rechner kommuniziert mit einer Steuerung bidirektional. Beide Rechner und beide Steuerungen gleichen ihre Daten ab. Fällt eine Komponente im ersten System aus, übernimmt das zweite System.

Default: Software-Redundanz

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetType


ID_PROJEKT_NETZ_ROUTING_AKTIV

Interne ID: ID_PROJEKT_NETZ_ROUTING_AKTIV

Routing aktiv

  • Aktiv: Der Rechner fungiert als Knotenrechner und kann Pakete routen. Dabei laufen alle Netzwerkpakete von außerhalb über diesen Rechner.
    Diese Einstellung kann zu Engpässen führen und beeinflusst die möglichen Netzwerktopologien. Ein Einsatz ist in speziellen Netzwerkkonstellationen sinnvoll, z.B. bei WAN-Netzwerken oder gerouteten Netzwerken.

Empfehlung: Einstellung deaktivieren.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetRoutingActive


ID_PROJEKT_NETZ_SB

Interne ID: ID_PROJEKT_NETZ_SB

Server 2

Nur verfügbar, wenn in der Eigenschaft Server 1 ein Rechner eingetragen wurde.

Klick auf ... öffnet Dialog mit Liste der im Netzwerk verfügbaren Computer.
Dieser Rechner übernimmt bei redundanten Systemen bei einem Ausfall des Prozessführenden Servers dessen Rolle. Der Ausfall wird erkannt, wenn der Prozessführende Server während der in der Eigenschaft Network communication timeout im Startup Tool definierten Zeit nicht reagiert. Ein eigener Puffer im Standby überbrückt die Totzeit zwischen Serverausfall und Umschaltung und verhindert so Datenverlust.

Hinweis Name: "localhost" darf nicht als Name verwendet werden.
Wird der Name geändert, kann dieser nicht nachgeladen werden. Er wird erst nach einem Neustart der Runtime aktualisiert.
Achtung: Prozessführender Server und Standby Server müssen identische Systemzeit haben.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetSB


ID_PROJEKT_NETZ_SERVER

Interne ID: ID_PROJEKT_NETZ_SERVER

Server 1

Nur verfügbar bei aktiver Eigenschaft Netzwerk aktiv.
Rechner, der bei Netzwerkprojekten die Verbindung zur Hardware herstellt und die Projektdaten verwaltet. Die Clients verbinden sich zu diesem Rechner.

Klick auf ... öffnet Dialog mit Liste der im Netzwerk verfügbaren Computer.

Hinweis Name: Die IP-Adresse genügt nicht, es muss der Name des Rechners eingetragen werden. "localhost" darf nicht als Name verwendet werden.
Wird der Name geändert, kann dieser nicht nachgeladen werden. Er wird erst nach einem Neustart der Runtime aktualisiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetServer


ID_PROJEKT_NETZ_TIMEOUT

Interne ID: ID_PROJEKT_NETZ_TIMEOUT

Timeout [s]

Nur verfügbar, wenn die Eigenschaft Netzwerk aktiv aktiviert wurde.

Zeitraum in Sekunden, in dem ein Rechner auf einen Watchdog reagieren muss. Die hier eingestellte Zeit wird gedrittelt und nach jedem Drittel überprüft ein Watchdog die Verbindung zum Server. Reagiert der Server auf mindestens einen der drei Watchdogs, wird angenommen, dass Verbindung zum Server besteht. Die Kommunikation zum Server wird ausschließlich über diese Watchdog-Funktionalität überprüft.
Achtung: Der Netzwerk-Timeout muss mindestens die Hälfte des TCP-Timeouts des Betriebssystems betragen.

Beachten Sie die Besonderheiten für WAN und Wählverbindungen. Hier bedeutet eine Standardeinstellung für den Watchdog, dass die Verbindung permanent aufrecht erhalten wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetTimeout


ID_PROJEKT_NETZ_TOKEN

Interne ID: ID_PROJEKT_NETZ_TOKEN

Bedienberechtigung

Eigenschaften für die Bedienberechtigung im Netzwerk.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Token


ID_PROJEKT_NETZ_TOKEN_AKTIV

Interne ID: ID_PROJEKT_NETZ_TOKEN_AKTIV

Bedienberechtigung aktiv

Nur verfügbar bei aktiver Eigenschaft Netzwerk aktiv.
Die Bedienberechtigung im Netzwerk stellt sicher, dass im Netzwerk immer nur eine Station zur gleichen Zeit aktive Bedienhandlungen ausführen darf (z. B. Sollwerte ändern). Passiver, lesender Zugriff ist davon unabhängig immer möglich.

  • Aktiv:
    Nur ein Rechner kann das Projekt zur selben Zeit bedienen (z.B. Alarme quittieren, Sollwerte setzen).
  • Inaktiv:
    Mehrere Rechner können das Projekt zur gleichen Zeit bedienen.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetTokenActive


ID_PROJEKT_NETZ_TOKEN_QUESTION

Interne ID: ID_PROJEKT_NETZ_TOKEN_QUESTION

Timeout für Abfrage [s]

Nur verfügbar, wenn bei der Eigenschaft Bedienberechtigung im Netzwerk Globale Bedienberechtigung oder Bedienberechtigung über Anlagenmodell aus der Dropdownliste ausgewählt wurde.
Wird die Bedienberechtigung im Netzwerk von einer Station blockiert, kann diese von einem anderen Rechner angefordert werden. Innerhalb des hier festgelegten Zeitraums muss diese Anfrage beantwortet werden. Nach Ablauf der Frist ohne Antwort erhält die anfragende Station automatisch die Berechtigung.

Default: 60 Sekunden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetTokenQuestion


ID_PROJEKT_NETZ_TOKEN_QUIT

Interne ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout für Bedienberechtigung [s]

Nur verfügbar, wenn die Eigenschaft Bedienberechtigung im Netzwerk projektiert wurde.
Innerhalb dieses Zeitraumes muss sich der Rechner (Client), der die Bedienberechtigung besitzt, beim Server melden. Passiert das nicht, wird die Bedienberechtigung automatisch freigegeben.
Achtung: Dieser Wert muss kleiner sein als die in der Eigenschaft Timeout [s] eingestellte Zeit.

Default: 60 Sekunden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetTokenQuit


ID_PROJEKT_NOT_TRANSLATED

Interne ID: ID_PROJEKT_NOT_TRANSLATED

Nicht übersetzte Schlüsselwörter anzeigen

Einstellung für den Umgang mit Schlüsselwörtern, die in keiner der Sprachdateien existieren:

  • Aktiv: Nicht vorhandene Schlüsselwörter werden zur Runtime mit vorangestelltem @ angezeigt, zum Beispiel: @Text.
  • Inaktiv: Darstellung zur Runtime ohne vorangestelltes @, zum Beispiel: Text

Hinweis: Existiert das Schlüsselwort in einer der Sprachdateien, verfügt jedoch über keine Übersetzung, wird zur Runtime kein Text angezeigt (leerer String).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowNotTranslated


ID_PROJEKT_PASSWORT

Interne ID: ID_PROJEKT_PASSWORT

Benutzerverwaltung

Projektbezogene Eigenschaften für die Benutzer-Verwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Password


ID_PROJEKT_POKEACK

Interne ID: ID_PROJEKT_POKEACK

Funktion Sollwert setzen

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Aktiv: Beim erfolgreichen Schreiben von Werten auf die Hardware erfolgt ein entsprechender Eintrag in der CEL.
  • Inaktiv: Das erfolgreiche Schreiben von Werten wird in der CEL nicht protokolliert.

Default: inaktiv

Hinweis: Diese Einstellung wirkt sich zur Runtime nur aus, wenn das Sollwert-Setzen über die Funktion Sollwert setzen ausgeführt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELPokeAck


ID_PROJEKT_PRINT_ACTIVE

Interne ID: ID_PROJEKT_PRINT_ACTIVE

Drucken aktiv

Aktiv: Chronologische Ereignisliste (CEL) oder Alarmmeldeliste (AML) wird online gedruckt: Bei jedem Eintrag in die AML bzw. CEL wird das Ereignis an den in den Projekteigenschaften definierten Drucker gesendet.
Inaktiv: Kein Online-Ausdruck findet statt.
Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PrintActive


ID_PROJEKT_PRINT_AML_CEL

Interne ID: ID_PROJEKT_PRINT_AML_CEL

Ausdruck für

Nur verfügbar bei aktiver Eigenschaft Drucken aktiv.
Ermöglicht die Wahl, ob zu Runtime AML oder CEL gedruckt werden. Es kann immer nur eine der beiden Listen gedruckt werden.

  • Alarmmeldeliste: Die Alarmmeldeliste (AML) wird online gedruckt.
  • Chronologische Ereignisliste: Die Chronologische Ereignisliste (CEL) wird online gedruckt.

Default: Alarmmeldeliste

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PrintCEL


ID_PROJEKT_PRINT_LINES_PAGE

Interne ID: ID_PROJEKT_PRINT_LINES_PAGE

Zeilen pro Seite

Nur verfügbar bei aktiver Eigenschaft Drucken aktiv.
Anzahl der Zeilen, die beim Online-Ausdruck pro Seite gedruckt werden.
Minimum: 0

Maximum: 65535
Default: 72

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PrintLines


ID_PROJEKT_PROCESS_REC_AKTIV

Interne ID: ID_PROJEKT_PROCESS_REC_AKTIV

Prozess-Rekorder aktivieren

Aktiviert/Deaktiviert die Aufzeichnung für das Modul Prozess-Rekorder.

  • Aktiv:
    Aktivierte Variablen werden im Modul Prozess-Rekorder aufgezeichnet.
    Variablen werden mit der Eigenschaft Aufzeichnung aktivieren der Variable oder des Datentyps aktiviert/deaktiviert.
  • Inaktiv:
    Daten werden nicht im Prozess-Rekorder aufgezeichnet. Eine spätere Wiedergabe ist nicht möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EnableProcessRecording


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Interne ID: ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Eingabevisualisierung für Stift

Eigenschaften für die Verwendung von Multi-Touch mit Stiftbedienung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_PenInputVisualisation


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Interne ID: ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Eingabevisualisierung für Touch

Eigenschaften für die Verwendung von Multi-Touch mit Fingerbedienung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_TouchInputVisualisation


ID_PROJEKT_PROP_GRP_MULTITOUCH

Interne ID: ID_PROJEKT_PROP_GRP_MULTITOUCH

Multi-Touch

Eigenschaften für die Verwendung von Multi-Touch im Projekt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Multitouch


ID_PROJEKT_PROP_MULTITOUCH_MODE

Interne ID: ID_PROJEKT_PROP_MULTITOUCH_MODE

Auswertung

Auswahl, wie Multitouch-Gesten interpretiert werden:

  • Deaktiviert: Schaltet Multitouch ab.
  • Windows 7: Aktiviert Gesten, die von Windows 7 unterstützt werden, sind aktiviert. Damit ist Multitouch beim Zoomen und Scrollen im Weltbild möglich und Multi-Touch kann über VSTA realisiert werden.
  • Windows 8: Aktiviert Gesten, die von Windows 8 unterstützt werden. Damit kann Multi-Touch weitgehend über zenon Eigenschaften parametriert werden.

Default: Deaktiviert

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MultitouchMode


ID_PROJEKT_PROP_PEN_ACTIVE

Interne ID: ID_PROJEKT_PROP_PEN_ACTIVE

Aktiv

Aktiv: Die Eigenschaften für die Touch-Bedienung per Stift stehen zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationPenActive


ID_PROJEKT_PROP_PEN_BARREL

Interne ID: ID_PROJEKT_PROP_PEN_BARREL

Stift-Taste

Aktiv: Die Option Stifttaste steht für die Touch-Bedienung per Stifteingabe zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationPenBarrel


ID_PROJEKT_PROP_PEN_DOUBLETAP

Interne ID: ID_PROJEKT_PROP_PEN_DOUBLETAP

Doppelt Tippen

Aktiv: Die Option Doppelt Tippen steht für die Touch-Bedienung per Stifteingabe zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationPenPenDoubleTap


ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Interne ID: ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Drücken und Halten

Aktiv: Die Option Drücken und Halten steht für die Touch-Bedienung per Stifteingabe zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationPenPressAndHold


ID_PROJEKT_PROP_PEN_RIGHTTAP

Interne ID: ID_PROJEKT_PROP_PEN_RIGHTTAP

Drücken und Tippen

Aktiv: Die Option Drücken und Tippen steht für die Touch-Bedienung per Stifteingabe zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationPenRightTap


ID_PROJEKT_PROP_PEN_TAP

Interne ID: ID_PROJEKT_PROP_PEN_TAP

Tippen

Aktiv: Die Option Tippen steht für die Touch-Bedienung per Stifteingabe zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationPenTap


ID_PROJEKT_PROP_TOUCH_ACTIVE

Interne ID: ID_PROJEKT_PROP_TOUCH_ACTIVE

Aktiv

Aktiv: Die Eigenschaften für die Touch-Bedienung per Finger stehen zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationTouchActive


ID_PROJEKT_PROP_TOUCH_CONTACT

Interne ID: ID_PROJEKT_PROP_TOUCH_CONTACT

Kontakt

Aktiv: Die Option Kontakt steht für die Touch-Bedienung per Finger zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationTouchContact


ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Interne ID: ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Doppelt Tippen

Aktiv: Die Option Doppelt Tippen steht für die Touch-Bedienung per Finger zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationTouchDoubleTap


ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Interne ID: ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Drücken und Halten

Aktiv: Die Option Drücken und Halten steht für die Touch-Bedienung per Finger zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationTouchPressAndHold


ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Interne ID: ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Drücken und Tippen

Aktiv: Die Option Drücken und Tippen steht für die Touch-Bedienung per Finger zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationTouchRightTap


ID_PROJEKT_PROP_TOUCH_TAP

Interne ID: ID_PROJEKT_PROP_TOUCH_TAP

Tippen

Aktiv: Die Option Tippen steht für die Touch-Bedienung per Finger zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputVisualisationTouchTap


ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Interne ID: ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Totzeit nach Umschaltung [s]

Wartezeit (in Sekunden) für den Wechsel der Prozessführung nach einer Umstufung.

Nur verfügbar wenn Redundanzmodus Bewertet ist.

  • Minimum: 0
  • Maximum: 65535

Default: 10

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetDetectOffTime


ID_PROJEKT_RATED_NET_HYSTERESIS

Interne ID: ID_PROJEKT_RATED_NET_HYSTERESIS

Hysterese

Hysterese in Bewertungspunkten, welche überschritten werden müssen um die Umschaltverzögerung zu aktivieren.

Nur verfügbar wenn Redundanzmodus Bewertet ist.

Minimum: 0
Maximum: 2147483647

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetHysteresis


ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Interne ID: ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Redundanzmodus

Art des Redundanzmodus im Netzwerkes. Auswahl des Redundanzmodus aus Dropdownliste:

  • Dominant:
    Immer, wenn verfügbar, wird der projektierte Server 1 der Prozessführende Server. Dies bedeutet, dass der projektierte Server 2 nur dann Prozessführender Server ist, wenn Server 1 nicht verfügbar ist.
  • Nichtdominant:
    Der zuerst gestartete Server übernimmt die Rolle des Prozessführenden Servers.
    Bei Ausfall des projektierten Server 1 übernimmt Server 2 (oder umgekehrt) die Rolle des Prozessführenden Servers. Er behält diese Rolle, bis eine manuelle Redundanzumschaltung durchgeführt wird oder der aktuell Prozessführende Server ausfällt.
  • Bewertet:
    Es findet eine Bewertung (wie in Eigenschhaft Bewertungen projektiert) statt. Je nach Ergebnis der Bewertung wird die Rolle des Prozessführenden Servers ermittelt und entsprechend umgeschaltet.

Default: Nichtdominant

Hinweis: Nur aktiv, wenn Redundanztyp Software-Redundanz ist. Bei Hardware-Redundanz wird automatisch der Redundanzmodus Dominant verwendet.
Nicht aktiv, wenn Netzwerk aktiv inaktiv, Redundanztyp Hardware-Redundanz ist oder kein Server 1 und Server 2 angegeben sind.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetMode


ID_PROJEKT_RATED_NET_SUM

Interne ID: ID_PROJEKT_RATED_NET_SUM

Bewertungen

Zeigt die Summe der Bewertung und die Anzahl der definierten Variablen in der Bewertung an. Durch Klick auf die Schaltfläche ... wird ein Dialog zur Auswahl und Konfiguration der Variablen für die Redundanzbewertung aufgeschaltet.
Nur verfügbar wenn Redundanzmodus Bewertet ist.

Default: leer

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetSummarization


ID_PROJEKT_RATED_NET_SWITCH_DELAY

Interne ID: ID_PROJEKT_RATED_NET_SWITCH_DELAY

Umschaltverzögerung [s]

Verzögerungszeit (in Sekunden) für die Hochstufung zum Prozessführenden Server.

Nur verfügbar wenn Redundanzmodus Bewertet ist.

  • Minimum: 0
  • Maximum: 65535

Default: 30

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetSwitchDelay


ID_PROJEKT_SAME_COMMENTS

Interne ID: ID_PROJEKT_SAME_COMMENTS

Selbe Kommentare

  • Aktiv: Kommentare, die zur Runtime, zu einem Alarm hinzugefügt werden, werden auch beim dazugehörenden Eintrag der Chronologischen Ereignisliste (CEL) abgelegt.
  • Inaktiv: Kommentare zu einem Alarm werden nur in der Alarmmeldeliste abgelegt. Eigene Einträge in die CEL sind aber möglich.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SameComments


ID_PROJEKT_SCHALTFOLGEN

Interne ID: ID_PROJEKT_SCHALTFOLGEN

Schaltfolgen

Projektbezogene Eigenschaften für das Modul Schaltfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_SwitchingSequences


ID_PROJEKT_SEL_WITH_BORDER

Interne ID: ID_PROJEKT_SEL_WITH_BORDER

Auswahl mit Rahmen

  • Aktiv: In der Alarmmeldeliste (AML) und der Chronologischen Ereignisliste (CEL) werden ausgewählte Zeilen durch mit einem Rahmen hervorgehoben. Empfohlen für bessere Lesbarkeit bei hohen Bildschirmauflösungen.
  • Inaktiv: Die Hintergrundfarbe der ausgewählten Zeilen wird invertiert. Empfohlen für bessere Lesbarkeit bei niedrigen Bildschirmauflösungen.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SelBorder


ID_PROJEKT_STARTBILD

Interne ID: ID_PROJEKT_STARTBILD

Startbild

Beim Start der Runtime wird dieses Bild automatisch geöffnet.

Das erste in einem Projekt erzeugte Bild wird hier automatisch eingetragen. Klick auf Schaltfläche ... öffnet den Bildauswahldialog.

Wird das eingetragene Bild aus der Liste der Bilder gelöscht, wird das erste erzeugte (falls vorhanden), ansonsten das nächste Bild aus der Liste der Bilder automatisch eingetragen.

Ist die Eigenschaft nicht projektiert (Anzeige im Eingabefeld: <Kein Bild>), dann wird die Projektierung automatisch aktualisiert:

  • mit dem nächsten neu projektierten Bild, oder
  • mit dem nächsten geänderten und gespeicherten Bild

Tipp: Verwenden Sie zum gleichzeitigen Aufschalten von mehreren Bildern beim Runtime-Start vordefinierte Autostart Skripte.

Hinweis: Spezielle Bildtypen als Startbild werden mit leerem Filter und damit ohne Daten aufgeschaltet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartPictureName


ID_PROJEKT_TOUCH1

Interne ID: ID_PROJEKT_TOUCH1

Bevorzugte Position

Eigenschaften für die bevorzugte Position, an der das automatische Keyboard relativ zum ausgewählten Element geöffnet wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_KeyboardPosition


ID_PROJEKT_TOUCH2

Interne ID: ID_PROJEKT_TOUCH2

Alternative Position

Eigenschaften für die alternative Position, an der das automatische Keyboard relativ zum ausgewählten Element geöffnet wird, wenn es an der bevorzugten Position nicht geöffnet werden kann.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_KeyboardPositionAlt


ID_PROJEKT_TOUCHSCREEN

Interne ID: ID_PROJEKT_TOUCHSCREEN

Automatisches Keyboard

Checkbox für die Aktivierung eines automatischen Keyboards in der zenon Runtime bei Projekten mit Touchscreen.

  • Aktiv:
    Es wird automatisch ein Keyboard Fenster aufgeschaltet, wenn eine Eingabe notwendig ist (z.B: beim Sollwert setzen oder einloggen).
  • Inaktiv:
    Kein Keyboard Fenster wird geöffnet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Touchscreen


ID_PROJEKT_TOUCHSCREEN_HORZ

Interne ID: ID_PROJEKT_TOUCHSCREEN_HORZ

Verschiebung horizontal [Pixel]

Horizontaler Abstand (in Pixeln) zum ausgewählten Element für die bevorzugte Position des automatischen Keyboards.
Default: 2.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPixelHorz


ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Interne ID: ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Verschiebung horizontal [Pixel]

Horizontaler Abstand (in Pixeln) zum ausgewählten Element für die alternative Position des automatischen Keyboards.
Default: 2.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPixelHorzAlt


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Interne ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Horizontal

Horizontale Position des automatischen Keyboards für die bevorzugte Position.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPosHorz


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Interne ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Horizontal

Horizontale Position des automatischen Keyboards für die alternative Position.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPosHorzAlt


ID_PROJEKT_TOUCHSCREEN_TOPBOT

Interne ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT

Vertikal

Vertikale Position des automatischen Keyboards für die bevorzugte Position.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPosVert


ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Interne ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Vertikal

Vertikale Position des automatischen Keyboards für die alternative Position.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPosVertAlt


ID_PROJEKT_TOUCHSCREEN_VERT

Interne ID: ID_PROJEKT_TOUCHSCREEN_VERT

Verschiebung vertikal [Pixel]

Vertikaler Abstand (in Pixeln) zum ausgewählten Element für die bevorzugte Position des automatischen Keyboards.
Default: 2.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPixelVert


ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Interne ID: ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Verschiebung vertikal [Pixel]

Vertikaler Abstand (in Pixeln) zum ausgewählten Element für die alternative Position des automatischen Keyboards.
Default: 2.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KeyboardPixelVertAlt


ID_PROJEKT_TREND_MILLISEC

Interne ID: ID_PROJEKT_TREND_MILLISEC

Trend und HD-Werte in Millisekunden

  • Aktiv: Darstellung und interne Verarbeitung der HD-Werte, sowie der Refresh der aktiven Bilder erfolgt in Millisekunden.
  • Inaktiv: Darstellung und interne Verarbeitung der HD-Werte, sowie der Refresh der aktiven Bilder erfolgt in Sekunden.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TrendMilliSec


ID_PROJEKT_VARBEZEICHNER

Interne ID: ID_PROJEKT_VARBEZEICHNER

Variablenanzeige mit

Einstellung der Art, wie Variablen zur Runtime angezeigt werden.
Achtung: Diese Einstellung gilt für das komplette Projekt.

  • Adresse: Variablen werden mit ihrer Adresse angezeigt.
  • Kennung: Variablen werden mit ihrer Kennung angezeigt.
  • Name: Variablen werden mit ihrem Namen angezeigt.

Default: Name

Klickt man in der Runtime mit der rechten Maustaste auf das Element und hält die Maustaste gedrückt, so wird abhängig von dieser Eigenschaft hier der Name, die Kennung oder die Adresse der Variable als Information angezeigt.
Darüber hinaus wird diese Eigenschaft für die defaultmäßige Anzeige der Variable in der Legende des Trendelements verwendet. Zudem wird diese Eigenschaft für die Darstellung des Trendelements und in der Dialogbox des Multibin-Elements im Editor verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarIdentifier


ID_PROJEKT_VERWALTUNG

Interne ID: ID_PROJEKT_VERWALTUNG

Projekt-Verwaltung

Der Konfigurationsdialog für das Projekt wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProjectAdministration


ID_PROJEKT_VERZEICHNIS

Interne ID: ID_PROJEKT_VERZEICHNIS

Runtime-Ordner

Ordner für die Runtime-Dateien des Projekts.
In diesem Ordner werden die erzeugten Runtime-Dateien gespeichert und der Ordner wird als Runtime Startordner gespeichert.
Als Default wird hier der beim Erstellen des Projekts angegebene Ordner eingetragen. Der Ordner kann hier nachträglich geändert werden.

Hinweise:

  • Die bereits von der Runtime erzeugten historischen Daten müssen manuell in den neuen Ordner umkopiert werden.
  • Für Mehrplatzfähige Projekte kann der Pfad in untergeordneten Projekten nur geändert werden, wenn das übergeordnete Projekt für Änderungen freigegeben ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WorkingPath


ID_PROJEKT_WINDOWS_CE

Interne ID: ID_PROJEKT_WINDOWS_CE

Windows CE Projekt

Einstellung für Kompatibilität mit Windows CE:

  • Aktiv:
    Das Projekt kann unter Windows CE eingesetzt werden. Dazu müssen die Runtime-Dateien für die Version 7.20 oder kleiner erzeugt werden.
    Funktionalitäten, die unter Windows CE nicht unterstützt werden, werden im Editor ausgeblendet (grau oder unsichtbar).
  • Inaktiv:
    Die gesamte lizenzierte Funktionalität der Editors steht zur Verfügung. Das Projekt wird nicht für Windows CE optimiert.

Default: inaktiv

Achtung: zenon unterstützt Windows CE bis inklusive zenon 7.20.
Um zenon unter Windows CE einzusetzen, muss in der Eigenschaft Runtime-Dateien erzeugen für die Version 7.20 oder kleiner gewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WindowsCE


ID_PROP_COMBOLIST_DYNCONTENT_USE

Interne ID: ID_PROP_COMBOLIST_DYNCONTENT_USE

Einträge aus Stringvariable

Aktiv: Einträge für Combo-/Listbox werden über die in der Eigenschaft Variable ausgewählte Stringvariable definiert.

Inaktiv: Einträge werden im Editor über den Dialog der Eigenschaft Einträge definiert.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseDynContent


ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Interne ID: ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Variable

Nur verfügbar, wenn Eigenschaft Einträge aus Stringvariable aktiv ist.

Auswahl der Stringvariable, die die Einträge für Combo-/Listbox enthält. Klick auf Schaltfläche ... öffnet Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynContentVariable


ID_PROP_COMBOLIST_FGCOLOR_SEL

Interne ID: ID_PROP_COMBOLIST_FGCOLOR_SEL

Textfarbe bei Auswahl

Definiert die Farbe des Textes, wenn ein Element ausgewählt wird. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen. Die Farbe ist statisch und verwendet nicht die verknüpfte Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorSelected


ID_PROP_COMBOLIST_HGCOLOR_SEL

Interne ID: ID_PROP_COMBOLIST_HGCOLOR_SEL

Hintergrundfarbe bei Auswahl

Definiert die Hintergrundfarbe, wenn ein Element ausgewählt wird. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen. Die Farbe ist statisch und verwendet nicht die verknüpfte Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorSelected


ID_PROP_COMBOLIST_SOFORTREAKT

Interne ID: ID_PROP_COMBOLIST_SOFORTREAKT

Sofortreaktion

Ermöglicht, bei langsam reagierenden Treibern, eine Reaktion als bereits erfolgt darzustellen, auch wenn die Antwort des Treibers nich aussteht.

aktiv: Stellt in Visualisierung Treiberreaktion als erfolgt dar, auch wenn sie noch ausständig ist.

Default: aktiv

Hinweis: Sollte der Treiber nicht reagieren, wird das Ausbleiben der Reaktion nicht bemerkt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InstantReaction


ID_PROP_ELE_RT_LASSO

Interne ID: ID_PROP_ELE_RT_LASSO

mit Lasso auswählbar

Die Auswahl per Lasso zur Runtime ermöglicht die Identifizierung von Dynamischen Elementen für die Verwendung mit VBA Events.

  • Aktiv: Das Element kann zur Runtime mit dem Lasso ausgewählt werden.
  • Inaktiv: Das Element kann zur Runtime nicht ausgewählt werden.

Default: aktiv

Achtung: Damit das Element zur Runtime auswählbar ist, muss zusätzlich in den Projekteigenschaften die Eigenschaft Runtime Lasso aktiviert sein!

Hinweis Befehlsgabe: Wird die Eigenschaft Zweihandbedienung verwendet, darf das Lasso für das Kontrollelement Ausführen 2. Stufe nicht aktiviert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LassoSelect


ID_PROP_GRP_SYSTEMMODEL_GROUP

Interne ID: ID_PROP_GRP_SYSTEMMODEL_GROUP

Allgemein

Allgemeine Eigenschaften der Anlagengruppe.

Mehr in Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_PROP_GRP_SYSTEMMODEL_MODEL

Interne ID: ID_PROP_GRP_SYSTEMMODEL_MODEL

Allgemein

Allgemeine Eigenschaften des Anlagenmodells.

Mehr in Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Interne ID: ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Empfangsbestätigungspflichtig

Nachricht muss beim Empfang bestätigt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AckReq


ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Interne ID: ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Empfangsbestätigungstimeout

Zeitfenster für die Bestätigung der Nachricht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AckTimeOut


ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Interne ID: ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Anhang

Name des Anhangs einer Nachricht. Nur für E-Mail über SMTP.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Attachment


ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Interne ID: ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Versuche

Anzahl der Versandversuche.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Attempts


ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Interne ID: ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Funktionspezifische Codes

Anzeige, ob ein individueller Code für die Bestätigung verwendet wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CodesFromFunction


ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Interne ID: ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Custom Identifier

Benutzerdefinierte Identifier.
Kann nur über VBA/VSTA im Event MessageCreated"gesetzt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CustomIdentifier


ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Interne ID: ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Anzahl der Versandzyklen

Anzahl der Weiterleitungen dieser Nachricht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CycleCounter


ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Interne ID: ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Ziel

Zieladresse der Nachricht (E-Mail-ADresse, Telefonnummer).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Destination


ID_PROP_MSGCTRL_MESSAGE_GUID

Interne ID: ID_PROP_MSGCTRL_MESSAGE_GUID

GUID

Eindeutige Kennung (GUID) der Nachricht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GUID


ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Interne ID: ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Max. Versuche

Maximale Anzahl der Versandversuche.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxAttempts


ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Interne ID: ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Nachricht

Nachrichtentext.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MessageText


ID_PROP_MSGCTRL_MESSAGE_SEND

Interne ID: ID_PROP_MSGCTRL_MESSAGE_SEND

nächster Versuch

Zeitpunkt für den nächste Sende-Versuch der Nachricht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Send


ID_PROP_MSGCTRL_MESSAGE_SENT

Interne ID: ID_PROP_MSGCTRL_MESSAGE_SENT

Erzeugt/letzter Versand

Zeitpunkt, zu dem die Nachricht erzeugt wurde oder zu dem der letzte Sendeversuch erfolgte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Sent


ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Interne ID: ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Wartezeit

Wartezeit in Minuten für Überwachung von Timeout und Weiterleitung von Nachrichten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeToWait


ID_PROP_MSGCTRL_MESSAGE_TITLE

Interne ID: ID_PROP_MSGCTRL_MESSAGE_TITLE

Betreff

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Title


ID_PROP_MSGCTRL_MESSAGE_USER

Interne ID: ID_PROP_MSGCTRL_MESSAGE_USER

Empfängername

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserName


ID_PROP_SKIN_ADVANCEDSETTINGS

Interne ID: ID_PROP_SKIN_ADVANCEDSETTINGS

Erweiterte grafische Einstellungen

Steuert die Verwendung der anpassbaren horizontalen und vertikalen Bildlaufleisten, der Kopfzeile und des Rasters. Wenn Sie diese Eigenschaft aktivieren, können Sie die Anzeige des Listenfelds nach Ihren Wünschen anpassen.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AdvancedStyleH


ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Interne ID: ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Bildlaufleisten

Eigenschaften für die horizontalen und vertikalen Bildlaufleisten.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Mehr im Online-Handbuch für RGM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SkinAdvanced


ID_PROP_SKIN_ENABLEHEADER

Interne ID: ID_PROP_SKIN_ENABLEHEADER

Kopfzeile bedienbar

Ermöglicht es die Kopfzeile für das entsprechende Listenfeld zu bedienen. Zur Runtime können Sie die Breite der Spalten ändern und die Darstellung nach einer beliebigen Spalte sortieren.

  • aktiv: Die Kopfzeile ist bedienbar.

Default: aktiv

Verfügbarkeit:

  • Verfügbar für AML und CEL unter folgenden Bedingungen:
    Wenn Sie in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bzw. in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile ausgewählt haben.
  • Verfügbar für die Cursor-Ausgabeliste und Erweiterte Kurvenliste im Erweiterten Trend.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EnableHeader


ID_PROP_SKIN_GRIDCOLORH

Interne ID: ID_PROP_SKIN_GRIDCOLORH

Horizontale Linienfarbe

Definiert die Linienfarbe der horizontalen Rasterlinien in der Listendarstellung in der Runtime. Ein Linksklick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Sie können die gewünschte Farbbezeichnung auch direkt als Hex-Code (RGB) ins Eingabefeld eingeben.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GridColorH


ID_PROP_SKIN_GRIDCOLORV

Interne ID: ID_PROP_SKIN_GRIDCOLORV

Vertikale Linienfarbe

Definiert die Linienfarbe der vertikalen Rasterlinien in der Listendarstellung in der Runtime. Ein Linksklick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Sie können die gewünschte Farbbezeichnung auch direkt als Hex-Code (RGB) ins Eingabefeld eingeben.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GridColorV


ID_PROP_SKIN_GRIDGRP

Interne ID: ID_PROP_SKIN_GRIDGRP

Raster

Eigenschaften für das Raster des Listenfelds.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SkinGrid


ID_PROP_SKIN_GRIDSIZEH

Interne ID: ID_PROP_SKIN_GRIDSIZEH

Horizontale Linienbreite [Pixel]

Breite der horizontalen Rasterlinien in Pixel. Verändern Sie den Wert, um die horizontalen Linien des Rasters in der Listendarstellung in der Runtime zu ändern. Wenn Sie 0 eingeben werden die horizontalen Linien ausgeblendet.

Default: 1.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GridSizeH


ID_PROP_SKIN_GRIDSIZEV

Interne ID: ID_PROP_SKIN_GRIDSIZEV

Vertikale Linienbreite [Pixel]

Breite der vertikalen Rasterlinien in Pixel. Verändern Sie den Wert, um die vertikalen Linien des Rasters in der Listendarstellung in der Runtime zu ändern. Wenn Sie 0 eingeben werden die vertikalen Linien ausgeblendet.

Default: 1.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GridSizeV


ID_PROP_SKIN_GRIDTYPEH

Interne ID: ID_PROP_SKIN_GRIDTYPEH

Horizontale Linienart

Definiert die Art der horizontalen Rasterlinien in der Listendarstellung in der Runtime. Klicken Sie auf die Linie und wählen Sie die gewünschte Linienart (durchgezogenen Linie, unterbrochenen Linie, gestrichelte Linie usw.) aus.

Default: durchgezogenen Linie.

Achtung: Diese Eigenschaft steht nur zur Verfügung, wenn der Wert für die Eigenschaft Horizontale Linienbreite [Pixel] 1 beträgt. Für Werte >1 wird immer eine durchgezogene Linie verwendet.

Hinweis: Das Raster wird nur angezeigt, wenn in der Funktion Bildumschaltung oder in der Runtime im Filter das Raster aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GridTypeH


ID_PROP_SKIN_GRIDTYPEV

Interne ID: ID_PROP_SKIN_GRIDTYPEV

Vertikale Linienart

Definiert die Art der vertikalen Rasterlinien in der Listendarstellung in der Runtime. Klicken Sie auf die Linie und wählen Sie die gewünschte Linienart (durchgezogenen Linie, unterbrochenen Linie, gestrichelte Linie usw.) aus.

Default: durchgezogenen Linie.

Achtung: Diese Eigenschaft steht nur zur Verfügung, wenn der Wert für die Eigenschaft Vertikale Linienbreite [Pixel] 1 beträgt. Für Werte >1 wird immer eine durchgezogene Linie verwendet.

Hinweis: Das Raster wird nur angezeigt, wenn in der Funktion Bildumschaltung oder in der Runtime im Filter das Raster aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GridTypeV


ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Interne ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Füllfarbe

Definieren Sie die erste Hintergrundfarbe, die für den Farbverlauf in der Kopfzeile benutzt wird. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderBackColor


ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Interne ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Verlaufsfarbe

Nur verfügbar, wenn Sie in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bzw. in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile oder fixierte Kopfzeile ausgewählt haben. Weiters müssen Sie auch die Eigenschaften Erweiterte grafische Einstellungen und Kopfzeile anzeigen für das jeweilige Listenfeld aktivieren.

Verfügbar für die Cursor-Ausgabeliste und Erweiterte Kurvenliste im Erweiterten Trend.

Diese Eigenschaft hat nur Auswirkung, wenn Sie bei der Eigenschaft Anzeigestil Farbverlauf ausgewählt haben.

Definieren Sie die zweite Füllfarbe, die für den Farbverlauf in der Kopfzeile benutzt wird. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein. Bei Auswahl von Automatisch ändert sich der Wert abhängig vom Wert der Einstellung Füllfarbe.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Mehr im Online-Handbuch AML.

Mehr im Online-Handbuch CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderBackColor2


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Interne ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Winkel

Nur verfügbar, wenn Sie in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bzw. in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile oder fixierte Kopfzeile ausgewählt haben. Weiters müssen Sie auch die Eigenschaften Erweiterte grafische Einstellungen und Kopfzeile anzeigen für das jeweilige Listenfeld aktivieren.

Verfügbar für die Cursor-Ausgabeliste und Erweiterte Kurvenliste im Erweiterten Trend.

Diese Eigenschaft hat nur Auswirkung, wenn Sie bei der Eigenschaft Anzeigestil Farbverlauf ausgewählt haben.

Definieren Sie den Winkel, in dessen Richtung sich der Farbverlauf ausbreitet. Als Ausgangspunkt wird der mit der Eigenschaft Versatz definierte Punkt verwendet.

Minimum: 0

Maximum: 360

Default: 0

Mehr im Online-Handbuch AML.

Mehr im Online-Handbuch CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderColorGradientAngle


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Interne ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Versatz

Definieren Sie den Abstand des Farbverlaufpunkts vom Mittelpunkt der Kopfzeile nach links oder rechts in Prozent. 0 entspricht dem Mittelpunkt der Kopfzeile, 100 dem rechten Rand und -100 dem linken Rand.

Minimum: -100

Maximum: 100

Default: 0

Mehr im Online-Handbuch AML.

Mehr im Online-Handbuch CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderColorGradientOffset


ID_PROP_SKIN_HEADERBAR_FONT

Interne ID: ID_PROP_SKIN_HEADERBAR_FONT

Schrift

Definieren Sie die Schrift, die für Text in der Kopfzeile verwendet werden soll. Ein Klick auf die Schaltfläche öffnet einen Dialog zur Auswahl der vordefinierten Schriftarten.

Als Schrift für neu angelegte Elemente wird die jeweils zuletzt verwendete Schrift dieses Elements übernommen.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderFont


ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Interne ID: ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Textfarbe

Definieren Sie die Farbe, die für Text in der Kopfzeile verwendet werden soll. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elements übernommen.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderFontColor


ID_PROP_SKIN_HEADERBAR_GRP

Interne ID: ID_PROP_SKIN_HEADERBAR_GRP

Kopfzeile

Eigenschaften für die Kopfzeile des Listenfelds.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SkinHeader


ID_PROP_SKIN_HEADERBAR_LIGHTNING

Interne ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Lichteffekt

Wählen Sie hier die Art des Farbverlaufs für die Kopfzeile aus folgenden Optionen:

Linear: gleichmäßiger Verlauf

Punktuell: Verlauf von den Rändern zum definierten Ausgangspunkts des Farbverlaufs

Punktuell mit Kante: Verlauf von den Rändern zum definierten Ausgangspunkts des Farbverlaufs mit Kantenbildung

Default: Linear

Mehr im Online-Handbuch AML.

Mehr im Online-Handbuch CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderLightning


ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Interne ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Absteigend sortiert

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei, die in der Runtime in der Kopfzeile des Listenfelds für absteigend sortiert angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DescDownImage


ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Interne ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Aufsteigend sortiert

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei, die in der Runtime in der Kopfzeile des Listenfelds für aufsteigend sortiert angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AscSortImage


ID_PROP_SKIN_HEADERBAR_PRJSPAN

Interne ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Hintergrund

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei, die in der Runtime in der Kopfzeile des Listenfelds als Hintergrund angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderBarImage


ID_PROP_SKIN_HEADERBAR_STYLE

Interne ID: ID_PROP_SKIN_HEADERBAR_STYLE

Anzeigestil

Nur verfügbar, wenn Sie in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bzw. in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile oder fixierte Kopfzeile ausgewählt haben. Weiters müssen Sie auch die Eigenschaften Erweiterte grafische Einstellungen und Kopfzeile anzeigen für das jeweilige Listenfeld aktivieren.

Verfügbar für die Cursor-Ausgabeliste und Erweiterte Kurvenliste im Erweiterten Trend.

Hier definieren Sie, wie die Kopfzeile des Listenfelds ausschauen soll. Wählen Sie eine der folgenden Optionen:

Farbverlauf: Verwendet einen speziellen Farbverlauf für die Kopfzeile, den Sie mithilfe der Einstellungen Füllfarbe, Verlaufsfarbe, Lichteffekt, Versatz und Winkel nach Ihren Vorstellungen anpassen können.

Grafikdatei: Verwendet die ausgewählten Grafikdateien für die einzelnen Bereiche. Wenn keine Grafikdateien ausgewählt wurde, wird die Anzeige Farbverlauf verwendet.

Standard: Verwendet die standard Einstellung für die Kopfzeile. Sie können nur die Schrift und die Textfarbe mithilfe der entsprechenden Einstellungen verändern.

Default: Standard.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HeaderStyle


ID_PROP_SKIN_HORBAR_BACKCOLOR

Interne ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Füllfarbe

Definieren Sie die erste Hintergrundfarbe, die für den Farbverlauf in der horizontalen Bildlaufleiste benutzt wird. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorH


ID_PROP_SKIN_HORBAR_BACKCOLOR2

Interne ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Verlaufsfarbe

Diese Eigenschaft hat nur Auswirkung, wenn Sie bei der Eigenschaft Anzeigestil Farbverlauf ausgewählt haben.

Definieren Sie die zweite Hintergrundfarbe, die für den Farbverlauf in der horizontalen Bildlaufleiste benutzt wird. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein. Bei Auswahl von Automatisch ändert sich der Wert abhängig vom Wert der Einstellung Füllfarbe.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor2H


ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Interne ID: ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Höhe Bildlaufpfeil [Pixel]

Definieren Sie die Höhe des Bildlaufpfeils der horizontalen Bildlaufleiste in Pixel. Passen Sie den Wert Ihren Vorstellungen an.

Default: 12.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ButtonHeightH


ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Interne ID: ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Breite Bildlaufpfeil [Pixel]

Definieren Sie die Breite des Bildlaufpfeils der horizontalen Bildlaufleiste in Pixel. Passen Sie den Wert Ihren Vorstellungen an.

Default: 12.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ButtonWidthH


ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Interne ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Winkel [°]

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Diese Eigenschaft hat nur Auswirkung, wenn Sie bei der Eigenschaft Anzeigestil Farbverlauf ausgewählt haben.

Definieren Sie den Winkel, in dessen Richtung sich der Farbverlauf ausbreitet. Als Ausgangspunkt wird der mit der Eigenschaft Versatz [%] definierte Punkt verwendet.

Minimum: 0

Maximum: 360

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorGradientAngleH


ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Interne ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Versatz [%]

Definieren Sie den Abstand des Farbverlaufpunkts vom Mittelpunkt der horizontalen Bildlaufleiste nach links oder rechts in Prozent. 0 entspricht dem Mittelpunkt der horizontalen Bildlaufleiste, 100 dem rechten Rand und -100 dem linken Rand.

Minimum: -100

Maximum: 100

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorGradientOffsetH


ID_PROP_SKIN_HORBAR_GRP

Interne ID: ID_PROP_SKIN_HORBAR_GRP

Horizontale Bildlaufleiste

Eigenschaften für die horizontalen Bildlaufleisten des Listenfelds.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SkinHorBar


ID_PROP_SKIN_HORBAR_LIGHTNING

Interne ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Farbverlauf

Wählen Sie hier die Art des Farbverlaufs für die horizontale Bildlaufleiste aus folgenden Optionen:

Linear: gleichmäßiger Verlauf

Punktuell: Verlauf von den Rändern zum definierten Ausgangspunkts des Farbverlaufs

Punktuell mit Kante: Verlauf von den Rändern zum definierten Ausgangspunkts des Farbverlaufs mit Kantenbildung

Default: Linear

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LightningH


ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Interne ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Bildlaufpfeil Links

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wälen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld für den Bildlaufpfeil Links für die horizontale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapLeftH


ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Interne ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Bildlaufpfeil Rechts

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld für den Bildlaufpfeil Rechts für die horizontale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapRightH


ID_PROP_SKIN_HORBAR_PRJSPAN

Interne ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Hintergrund Grafikdatei

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld als Hintergrund für die horizontale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapSpanH


ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Interne ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Bildlauffeld

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld für das Bildlauffeld für die horizontale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapThumbH


ID_PROP_SKIN_HORBAR_STYLE

Interne ID: ID_PROP_SKIN_HORBAR_STYLE

Anzeigestil

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Hier definieren Sie, wie die Kopfzeile des Listenfelds ausschauen soll. Wählen Sie eine der folgenden Optionen:

Farbverlauf: Verwendet einen speziellen Farbverlauf für die Kopfzeile, den Sie mithilfe der Einstellungen Füllfarbe, Verlaufsfarbe, Farbverlauf, Versatz [%] und Winkel [°] nach Ihren Vorstellungen anpassen können.

Grafikdatei: Verwendet die ausgewählten Grafikdateien für die einzelnen Bereiche. Wenn keine Grafikdateien ausgewählt wurde, wird die Anzeige Farbverlauf verwendet.

Standard: Verwendet die standard Einstellung für die Kopfzeile. Sie können nur die Schrift und die Textfarbe mithilfe der entsprechenden Einstellungen verändern.

Default: Standard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BarStyleH


ID_PROP_SKIN_HORBAR_THUMBSIZE

Interne ID: ID_PROP_SKIN_HORBAR_THUMBSIZE

Breite Bildlauffeld [Pixel]

Definieren Sie die Breite des Bildlauffelds der horizontalen Bildlaufleiste in Pixel. Passen Sie den Wert Ihren Vorstellungen an.

Default: 20.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ThumbSizeH


ID_PROP_SKIN_NOSELECTION

Interne ID: ID_PROP_SKIN_NOSELECTION

Ausgewählte Zeile nicht markieren

Hiermit legen Sie fest, ob die ausgewählte Zeile im Listenfeld grafisch hervorgehoben wird. Wenn Sie die Eigenschaft aktivieren, sehen Sie nicht welchen Eintrag Sie ausgewählt haben. Alle Zeilen der Liste sehen gleich aus.

Default: inaktiv.

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HideSelection


ID_PROP_SKIN_SHOWBORDER

Interne ID: ID_PROP_SKIN_SHOWBORDER

Rahmenlinie anzeigen

Visualisiert für bestimmte Elemente einen Rahmen bei der Darstellung in der Runtime. Die Projektierung der Eigenschaften Style L und Style H werden dadurch nicht mehr bei der Anzeige in der Runtime berücksichtigt.

  • Aktiv:
    Das Element wird in der Runtime mit einem Rahmen angezeigt.
  • Inaktiv:
    Kein Rahmen bei der Darstellung in der Runtime.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowBorder


ID_PROP_SKIN_SHOWHEADER

Interne ID: ID_PROP_SKIN_SHOWHEADER

Kopfzeile anzeigen

Nur verfügbar, wenn Sie in den Projekteinstellungen in der Gruppe Alarmmeldeliste für die Eigenschaft Kopfzeile AML bzw. in der Gruppe Chronologische Ereignisliste für die Eigenschaft Kopfzeile CEL bedienbare Kopfzeile oder fixierte Kopfzeile ausgewählt haben.
Verfügbar für die Cursor-Ausgabeliste und Erweiterte Kurvenliste im Erweiterten Trend.

Zeigt die Kopfzeile für das entsprechende Listenfeld an. In der Gruppe Kopfzeile können Sie das Aussehen der Kopfzeile Ihren Vorstellungen entsprechend anpassen.

  • aktiv: Die Kopfzeile wird angezeigt.

Default: aktiv

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Mehr im Online-Handbuch für ETM.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowHeader


ID_PROP_SKIN_VERBAR_BACKCOLOR

Interne ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Füllfarbe

Definieren Sie die erste Hintergrundfarbe, die für den Farbverlauf in der vertikalen Bildlaufleisten benutzt wird. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorV


ID_PROP_SKIN_VERBAR_BACKCOLOR2

Interne ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Verlaufsfarbe

Diese Eigenschaft hat nur Auswirkung, wenn Sie bei der Eigenschaft Anzeigestil Farbverlauf ausgewählt haben.

Definieren Sie die zweite Hintergrundfarbe, die für den Farbverlauf in der vertikalen Bildlaufleiste benutzt wird. Ein Klick auf die Schaltfläche öffnet die Palette der vordefinierten Farben. Oder tragen Sie die Farbbezeichnung manuell als Hex-Code (RGB) ins Eingabefeld ein. Bei Auswahl von Automatisch ändert sich der Wert abhängig vom Wert der Einstellung Füllfarbe.

Als Farbe für neu angelegte Elemente wird die jeweils zuletzt verwendete Farbe dieses Elementtyps übernommen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor2V


ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Interne ID: ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Höhe Bildlaufpfeil [Pixel]

Definieren Sie die Höhe des Bildlaufpfeils der vertikalen Bildlaufleiste in Pixel. Passen Sie den Wert Ihren Vorstellungen an.

Default: 12.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ButtonHeightV


ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Interne ID: ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Breite Bildlaufpfeil [Pixel]

Definieren Sie die Breite des Bildlaufpfeils der vertikalen Bildlaufleiste in Pixel. Passen Sie den Wert Ihren Vorstellungen an.

Default: 12.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ButtonWidthV


ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Interne ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Winkel [°]

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Diese Eigenschaft hat nur Auswirkung, wenn Sie bei der Eigenschaft Anzeigestil Farbverlauf ausgewählt haben.

Definieren Sie den Winkel, in dessen Richtung sich der Farbverlauf ausbreitet. Als Ausgangspunkt wird der mit der Eigenschaft Versatz [%] definierte Punkt verwendet.

Minimum: 0

Maximum: 360

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorGradientAngleV


ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Interne ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Versatz [%]

Definieren Sie den Abstand des Farbverlaufpunkts vom Mittelpunkt der vertikalen Bildlaufleiste nach links oder rechts in Prozent. 0 entspricht dem Mittelpunkt der vertikalen Bildlaufleiste, 100 dem rechten Rand und -100 dem linken Rand.

Minimum: -100

Maximum: 100

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ColorGradientOffsetV


ID_PROP_SKIN_VERBAR_GRP

Interne ID: ID_PROP_SKIN_VERBAR_GRP

Vertikale Bildlaufleiste

Eigenschaften für die vertikalen Bildlaufleisten des Listenfelds.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SkinVerBar


ID_PROP_SKIN_VERBAR_LIGHTNING

Interne ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Farbverlauf

Wählen Sie hier die Art des Farbverlaufs für die vertikale Bildlaufleiste aus folgenden Optionen:

Linear: gleichmäßiger Verlauf

Punktuell: Verlauf von den Rändern zum definierten Ausgangspunkts des Farbverlaufs

Punktuell mit Kante: Verlauf von den Rändern zum definierten Ausgangspunkts des Farbverlaufs mit Kantenbildung

Default: Linear

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LightningV


ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Interne ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Bildlaufpfeil Hinauf

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld für den Bildlaufpfeil Hinauf für die vertikale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapLeftV


ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Interne ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Bildlaufpfeil Hinunter

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld für den Bildlaufpfeil Hinunter für die vertikale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapRightV


ID_PROP_SKIN_VERBAR_PRJSPAN

Interne ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Hintergrund Grafikdatei

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld als Hintergrund für die vertikale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapSpanV


ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Interne ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Bildlauffeld

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Wählen Sie eine Grafikdatei aus, die in der Runtime im Listenfeld für das Bildlauffeld für die vertikale Bildlaufleiste angezeigt werden soll. Diese Grafik wird verwendet, wenn Sie bei Anzeigestil Grafikdatei ausgewählt haben.

Default: <Keine Datei>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitmapThumbV


ID_PROP_SKIN_VERBAR_STYLE

Interne ID: ID_PROP_SKIN_VERBAR_STYLE

Anzeigestil

Nur verfügbar, wenn Sie Erweiterte grafische Einstellungen aktiviert haben.

Hier definieren Sie, wie die Kopfzeile des Listenfelds ausschauen soll. Wählen Sie eine der folgenden Optionen:

Farbverlauf: Verwendet einen speziellen Farbverlauf für die Kopfzeile, den Sie mithilfe der Einstellungen Füllfarbe, Verlaufsfarbe, Farbverlauf, Versatz [%] und Winkel [°] nach Ihren Vorstellungen anpassen können.

Grafikdatei: Verwendet die ausgewählten Grafikdateien für die einzelnen Bereiche. Wenn keine Grafikdateien ausgewählt wurde, wird die Anzeige Farbverlauf verwendet.

Standard: Verwendet die standard Einstellung für die Kopfzeile. Sie können nur die Schrift und die Textfarbe mithilfe der entsprechenden Einstellungen verändern.

Default: Standard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BarStyleV


ID_PROP_SKIN_VERBAR_THUMBSIZE

Interne ID: ID_PROP_SKIN_VERBAR_THUMBSIZE

Breite Bildlauffeld [Pixel]

Definieren Sie die Breite des Bildlauffelds der vertikalen Bildlaufleiste in Pixel. Passen Sie den Wert Ihren Vorstellungen an.

Default: 20.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ThumbSizeV


ID_PROP_SYSTEMMODEL_GROUP_NAME

Interne ID: ID_PROP_SYSTEMMODEL_GROUP_NAME

Name

Name der Gruppe. Wird beim Erstellen automatisch mit fortlaufender Nummer vergeben und kann beliebig geändert werden.

Default: GruppeX (X steht für eine fortlaufende Nummer)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_PROP_SYSTEMMODEL_RELEVANT

Interne ID: ID_PROP_SYSTEMMODEL_RELEVANT

Anlagenmodell relevant für die Bedienberechtigung

Checkbox für die Aktivierung des Anlagenmodells für die Bedienberechtigung über Anlagenmodell:

  • aktiv:
    Anlagenmodell wird für Bedienberechtigung über Anlagenmodell verwendet.
    Durch die Aktivierung wird das gewählte Anlagenmodell im Dialog der Funktion Bedienberechtigung im Netzwerk zur Auswahl angeboten.
  • inaktiv:
    Anlagenmodell wird nicht für die Bedienberechtigung verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

RelevantForNetToken


ID_PROP_SYSTEMMODEL_ROOT_NAME

Interne ID: ID_PROP_SYSTEMMODEL_ROOT_NAME

Name

Name des Modells. Wird beim Erstellen automatisch mit fortlaufender Nummer vergeben und kann beliebig geändert werden.

Default: ModellX (X steht für eine fortlaufende Nummer)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_PROP_SYSTEMMODELGOUP

Interne ID: ID_PROP_SYSTEMMODELGOUP

Anlagengruppen

Verknüpft Element mit einem Anlagenmodell. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Anlagengruppe.
Die Darstellung der gewählten Anlagengruppe beinhaltet auch die darüberliegenden Ebenen. Bei der Anzeige werden die Ebenen mit einem Punkt getrennt.

Bei Mehrfachauswahl werden die einzelnen Anlagengruppen durch ein Semikolon (;) getrennt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SystemModelGroup


ID_PROP_VIEWLIMITFROMVAR

Interne ID: ID_PROP_VIEWLIMITFROMVAR

Anzeigebereich von Variable übernehmen

Übernimmt den Anzeigebereich aus der verknüpften Variablen. So können diese Anzeigebereiche beim Ersetzen durch eine Variable mit anderen Wertebereichen aktualisiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ViewLimitFromVar


ID_PROP_WPFCONNECTION

Interne ID: ID_PROP_WPFCONNECTION

WPFConnection

Anzeige der bestehenden WPF-Verknüpfungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WPFConnection


ID_PROP_WPFCONNECTION_DELETE

Interne ID: ID_PROP_WPFCONNECTION_DELETE

{Verknüpfung löschen}

Klick auf Schaltfläche löscht diese Verknüpfung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeleteConnection


ID_PROP_WPFCONNECTIONS

Interne ID: ID_PROP_WPFCONNECTIONS

WPF-Verknüpfungen

Sammelt alle im WPF konfigurierten Verknüpfungen. Diese können hier konfiguriert werden, ohne den Dialog öffnen zu müssen.

Einschränkungen:

  • Der Verknüpfungstyp lässt sich hier nicht ändern.
  • Neue Verknüpfungen können nur über der Konfigurationsdialog angelegt werden.
  • Einfügen eines WPF-Elements in ein Symbol: WPF-Verknüpfungen können nicht exportiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WPFConnection


ID_PROP_WPFELEM_CONFIG_LINKS

Interne ID: ID_PROP_WPFELEM_CONFIG_LINKS

Konfiguration

Öffnet den Dialog zur Konfiguration der XAML-Datei. Eigenschaften, Ereignisse, Transformationen und Bedienberechtigungen können zugewiesen werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LinksConfig


ID_PROP_WPFELEM_XAMLFILE

Interne ID: ID_PROP_WPFELEM_XAMLFILE

XAML-Datei

Auswahl der XAML-Datei für das WPF-Element. Klick auf ... öffnet Dialog zur Auswahl. Die Datei muss bereits im Projektmanager unter Dateien/Grafiken angelegt worden sein oder im Dialog über das Symbol Datei hinzufügen ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FileName


ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Interne ID: ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Berechtigungstyp

Auswahl des Berechtigungstyps aus Dropdownliste:

  • Bedienbar: Wenn die Bedienberechtigung vorhanden ist und das Element nicht verriegelt ist, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung nicht vorhanden: Besitzt der Benutzer nicht genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung vorhanden: Besitzt der Benutzer genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht bedienbar: Fehlt die Bedienberechtigung oder ist das Element verriegelt, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht verriegelt: Ist das Element nicht durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Verriegelt: Ist das Element durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


ID_PROP_WPFPROPCONNECTION_FUNCTION

Interne ID: ID_PROP_WPFPROPCONNECTION_FUNCTION

Funktion

Verknüpfte Funktion. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_PROP_WPFPROPCONNECTION_VARIABLE

Interne ID: ID_PROP_WPFPROPCONNECTION_VARIABLE

Variable

Verknüpfte Variable. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


ID_PUNCHFRAME_ALPHA

Interne ID: ID_PUNCHFRAME_ALPHA

Transparenz [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Als Rahmenart muss Schatten ausgewählt sein.

Gibt die Transparenz des Schattens zwischen 0 und 100 % an.

  • 0: deckend
  • 100: durchsichtig

Default: 60

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameAlpha


ID_PUNCHFRAME_ANGLE

Interne ID: ID_PUNCHFRAME_ANGLE

Winkel [°]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Als Rahmenart muss Schatten ausgewählt sein.

Winkel in Grad, in dem sich der Schatten verschiebt.

  • Werte: 0° bis 359°.
    0° entspricht der äußeren rechten Position (3 Uhr) und wird gegen den Uhrzeigersinn fortgesetzt.

Default: 315°

Klick auf die Schaltfläche ... öffnet Schieberegler.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameAngle


ID_PUNCHFRAME_SIZE

Interne ID: ID_PUNCHFRAME_SIZE

Schattengröße [%]

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Als Rahmenart muss Schatten ausgewählt sein.

Wert in Pixel, der die Größe des Schattens unabhängig definiert.

Die Größe des Wertebereichs ist von der Bildschirm-Auflösung abhängig.

  • Positiver Wert: Schatten wird größer als Element
  • Negativer Wert: Schatten wird kleiner als Element.

Default: 100

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameSize


ID_PUNCHFRAME_SOFTFOCUS

Interne ID: ID_PUNCHFRAME_SOFTFOCUS

Weichzeichnung

Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.
Als Rahmenart muss Schatten ausgewählt sein.

Definiert den Grad der Weichzeichnung in Anzahl der Pixel, die für das Verwischen verwendet werden. Je höher dieser Wert ist, desto weicher wird der Übergang des Schattens. Klick auf die Schaltfläche ... öffnet den Schieberegler zur Einstellung des Werts.

Werte: 0 bis 50

  • 0: Keine Weichzeichnung
  • 50: Maximale Weichzeichnung

Default: 0

Achtung: Wird ein Wert ungleich 0 eingestellt, dann bremst die Berechnung des Schattens eventuell die Systemleistung. Das gilt im Editor besonders für das Verschieben des Schattens oder das Platzieren von anderen Objekten auf dem Schatten. Zur Runtime ist jede Bildumschaltung davon betroffen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameSoftFocus


ID_PUNCHFRAME_TYPE

Interne ID: ID_PUNCHFRAME_TYPE

Rahmenart

Dropdownliste zur Auswahl der Rahmenart.
Zur Verfügung stehen:

  • Kein Rahmen/Schatten: Es wird kein Rahmen und Schatten angezeigt.
  • Rahmen: Das Element kann mit einem Rahmen versehen werden.
  • Schatten: Das Element kann mit einem Schatten versehen werden. (Nur verfügbar, wenn die Projekteigenschaft Grafikqualität auf DirectX Hardware oder DirectX Software gesetzt wurde.)
    Ausnahme: Einige Elemente können keinen Schatten erhalten.

Default: Kein Rahmen/Schatten

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PunchFrameType


ID_PWVALID

Interne ID: ID_PWVALID

Pwt. Gültigkeitsdauer[d]

Eingabe eines Zeitraumes (in Tagen), wie lange ein Passwort gültig ist. Nach abgelaufener Zeit muss ein neues Passwort vergeben werden.

  • Minimum: 0 - Das Passwort läuft nie ab und muss nicht erneuert werden. Bei dieser Einstellung wird der Wert 2147483647 auf die Systemtreibervariable "Tage bis Passwort abläuft" geschrieben.
  • Maximum: 4294967295

Default: 0
Achtung: Bei Produktionen nach den Richtlinien der FDA ist der Eintrag 0 hier nicht zulässig, da die Regeln der FDA ein zyklisches Ändern des Passworts verlangen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PWValid


ID_READWRITE

Interne ID: ID_READWRITE

Extern Sollwert setzen

Externe Eigenschaft für zenon Logic. Betrifft nur Variablen, die nicht vom straton-Treiber sind.
Aktiv: Der Wert der Variable kann in zenon Logic geändert werden. Die Variablendefinition kann in zenon Logic nicht geändert werden.
Inaktiv: Variable kann in zenon Logic nicht geändert werden.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ReadWrite


ID_RECIPE_GRP1

Interne ID: ID_RECIPE_GRP1

Allgemein

Allgemeine Eigenschaften für das Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_RECIPE_PW

Interne ID: ID_RECIPE_PW

Berechtigungsebene

Benötigte Berechtigungsgruppe zum Ändern des Rezepts in der Runtime.
Ein Benutzer darf Rezeptwerte nur dann ändern (lesen, manuelles ändern, löschen), wenn er das Passwortlevel erfüllt.
Minimum: 0.
Maximum: 127.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PasswordLevel


ID_REMA_EXTREF

Interne ID: ID_REMA_EXTREF

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Hinweis: XML-Import und Export wird unterstützt.
Wird eine Raktionsmatrix via Copy&Paste angelegt ist diese Eigenschaft leer.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CPropExternalNames::szExternalReference


ID_REMA_PROP1

Interne ID: ID_REMA_PROP1

Name

Eindeutiger Name der Reaktionsmatrix.

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_REMA_PROP2

Interne ID: ID_REMA_PROP2

Typ

Typ der Reaktionsmatrix:
Binär: Auswertung diskreter Zustände (bitorientiert)
Multi-binär: erweiterte Auswertung von 32-Bit-Variablen; die ersten 16 Bit bestimmen den Wert der Variable und werden als Zahlenwert übergeben; Umrangierung von Statusbits; Sonderfunktion (abschalten von Variablen bei gesetztem Statusbit) (Schutzdatenprojektierung - nur SAT-spezifisch)
Analog: Auswertung analoger Zustände (Wertorientiert)
Multi-analog: erweiterte Auswertung mit gleichzeitiger Statusrangierung und Sonderfunktion (abschalten von Variablen bei gesetztem Statusbit)
String: Textvergleich
Der Typ wird beim erstellen einer neuen Reaktionsmatrix festgelegt und kann später nicht mehr verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


ID_REMA_PROP46

Interne ID: ID_REMA_PROP46

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserProperty1


ID_REMA_PROP47

Interne ID: ID_REMA_PROP47

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserProperty2


ID_REMA_PROP_GRP0

Interne ID: ID_REMA_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Reaktionsmatrix.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_REMA_STATES

Interne ID: ID_REMA_STATES

Konfiguration

Der Dialog zur Definition der Zustände wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

States


ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Interne ID: ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Hintergrundfarbe für verriegelte Rezeptparameter

Auswahl der Hintergrundfarbe für verriegelte Rezeptparameter. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: grau (#D3D3D3)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorInterlockedParameter


ID_RGM_BACKCOLOR_INVALID_PLC

Interne ID: ID_RGM_BACKCOLOR_INVALID_PLC

Hintergrundfarbe für ungültige SPS-Werte

Auswahl der Hintergrundfarbe für ungültige SPS-Werte. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: blau (#3D6894)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorInvalidPLC


ID_RGM_BACKCOLOR_INVALID_VALUE

Interne ID: ID_RGM_BACKCOLOR_INVALID_VALUE

Hintergrundfarbe für ungültige Rezeptwerte

Auswahl der Hintergrundfarbe für Zellen mit ungültigen Werten. Damit werden Parameter markiert, die sich außerhalb des definierten Minimal-/Maximalwerts befinden oder deren Aktion sich auf eine Variable bezieht, die nicht vorhanden oder nicht erreichbar ist. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: rot (#DD4814)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorInvalidValue


ID_RGM_BACKCOLOR_MATCH_PLC

Interne ID: ID_RGM_BACKCOLOR_MATCH_PLC

Hintergrundfarbe für Rezeptwert gleich SPS-Wert

Auswahl der Hintergrundfarbe für übereinstimmende Werte. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: grün (#96BD33)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorMatchPLC


ID_RGM_BACKCOLOR_NOMATCH_PLC

Interne ID: ID_RGM_BACKCOLOR_NOMATCH_PLC

Hintergrundfarbe für Rezeptwert ungleich SPS-Wert

Auswahl der Hintergrundfarbe für abweichende SPS-Werte. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: rot (#DD4814)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorNoMatchPLC


ID_RGM_GROUP_COLORS

Interne ID: ID_RGM_GROUP_COLORS

Farben

Eigenschaften zur Konfiguration der Farben für die Signalisierung der Ergebnisse der Rezeptwertprüfung und zur Anzeige von Verriegelungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Colors


ID_RGM_INTERLOCKING

Interne ID: ID_RGM_INTERLOCKING

Verriegelung

Eigenschaften zur Konfiguration der Farben für die Anzeige von Verriegelungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Interlocking


ID_RGM_PROP06

Interne ID: ID_RGM_PROP06

Gruppenname

Name der Rezeptgruppe.

Bei Einstellung Binäre Dateien für Eigenschaft DataSource sind nur alphanumerischen Zeichen erlaubt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_RGM_PROP13

Interne ID: ID_RGM_PROP13

Rezeptnummer

Nummer des Rezepts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeNumber


ID_RGM_PROP14

Interne ID: ID_RGM_PROP14

Rezeptname

Name für Rezept. Der Rezeptname muss eindeutig sein. Wurde Binäre Dateien für die Eigenschaft DataSource gewählt, darf der Name nur alphanumerische Zeichen enthalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeName


ID_RGM_PROP15

Interne ID: ID_RGM_PROP15

Kommentar 1

Kommentarzeile 1 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment1


ID_RGM_PROP16

Interne ID: ID_RGM_PROP16

Kommentar 2

Kommentarzeile 2 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment2


ID_RGM_PROP21

Interne ID: ID_RGM_PROP21

Synchron schreiben

Wird bei Rezeptgruppe für alle Rezepte dieser Rezeptgruppe gesetzt und kann bei jedem Rezept überschrieben werden.

Aktiv : Beim Schreiben eines Rezepts werden im Bild des Rezeptgruppen Managers alle Kontrollelemente gesperrt, bis vom Treiber die Rückmeldung kommt, dass alle Werte des Rezepts erfolgreich geschrieben wurden oder der eingestellte Timeout [ms] verstrichen ist.

Inaktiv : Die Werte des Rezepts werden ohne Warten auf eine Rückmeldung geschrieben. Die Kontrollelemente sind sofort wieder bedienbar. Die Rückmeldung des Treibers erfolgt über das Statusbit WR_SUC, das auf 1 gesetzt wird, sobald Werte erfolgreich geschrieben wurden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteSync


ID_RGM_PROP22

Interne ID: ID_RGM_PROP22

Timeout [ms]

Wird bei Rezeptgruppe für alle Rezepte dieser Rezeptgruppe gesetzt und kann bei jedem Rezept überschrieben werden.

Wenn Synchron schreiben aktiviert wurde, kann hier ein Timeout eingegeben werden. Die Kontrollelemente des Bildes Rezeptgruppen Manager werden spätestens nach dieser Zeit wieder freigegeben. Wird als Timeout der Wert 0 eingegeben, so berechnet zenon die Wartezeit wie folgt: 30000+(100*Anzahl der Datenpunkte)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteTimeout


ID_RGM_PROP23

Interne ID: ID_RGM_PROP23

Berechtigungsebene

Auswahl der Berechtigungseben aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PWLevel


ID_RGM_PROP26

Interne ID: ID_RGM_PROP26

min. Wert

Minimalwert der Variablen.
Steht nur zur Verfügung, wenn Eigenschaft Sollwertgrenzen von Variable übernehmen nicht aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Min


ID_RGM_PROP27

Interne ID: ID_RGM_PROP27

max. Wert

Maximalwert der Variablen.
Steht nur zur Verfügung, wenn Eigenschaft Sollwertgrenzen von Variable übernehmen nicht aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Max


ID_RGM_RECIPE_VALUE_CHECK

Interne ID: ID_RGM_RECIPE_VALUE_CHECK

Rezeptwertprüfung

Eigenschaften zur Konfiguration der Farben für die Signalisierung der Ergebnisse der Rezeptwertprüfung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

RecipeValueCheck


ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Interne ID: ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Textfarbe für verriegelte Rezeptparameter

Auswahl der Textfarbe für verriegelte Rezeptparameter.Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: schwarz (#000000)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorInterlockedParameter


ID_RGM_TEXTCOLOR_INVALID_PLC

Interne ID: ID_RGM_TEXTCOLOR_INVALID_PLC

Textfarbe für ungültige SPS-Werte

Auswahl der Textfarbe für ungültige SPS-Werte. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: weiß (#FFFFFF)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorInvalidPLC


ID_RGM_TEXTCOLOR_INVALID_VALUE

Interne ID: ID_RGM_TEXTCOLOR_INVALID_VALUE

Textfarbe für ungültige Rezeptwerte

Auswahl der Textfarbe für Zellen mit ungültigen Werten. Damit werden Parameter markiert, die sich außerhalb des definierten Minimal-/Maximalwerts befinden oder deren Aktion sich auf eine Variable bezieht, die nicht vorhanden oder nicht erreichbar ist. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: weiß (#FFFFFF)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorInvalidValue


ID_RGM_TEXTCOLOR_MATCH_PLC

Interne ID: ID_RGM_TEXTCOLOR_MATCH_PLC

Textfarbe für Rezeptwert gleich SPS-Wert

Auswahl der Textfarbe für übereinstimmende Werte. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: weiß (#FFFFFF)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorMatchPLC


ID_RGM_TEXTCOLOR_NOMATCH_PLC

Interne ID: ID_RGM_TEXTCOLOR_NOMATCH_PLC

Textfarbe für Rezeptwert ungleich SPS-Wert

Auswahl der Textfarbe für abweichende SPS-Werte. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: weiß (#FFFFFF)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorNoMatchPLC


ID_SAP_ADDITIONAL_GRP

Interne ID: ID_SAP_ADDITIONAL_GRP

Meldungen

Legen Sie in den folgenden Properties fest, welche Zusatzinformationen bei einer Störmeldung mitgesendet werden sollen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapAdditional


ID_SAP_DEBUG_GRP

Interne ID: ID_SAP_DEBUG_GRP

Fehlersuche

Eigenschaften für das Testen der Verbindung und die Protokollierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapDebug


ID_SAP_FIELD_GRP

Interne ID: ID_SAP_FIELD_GRP

Strukturfeld

Einstellungen zur Konfiguration der Daten eines Strukturfelds für SAP ERP.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapStructField


ID_SAP_FUNC_ACTIVITY_GRP

Interne ID: ID_SAP_FUNC_ACTIVITY_GRP

Aktivitätsüberwachung

Enthält Eigenschaften zur Aktivitätsüberwachung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapFuncActivity


ID_SAP_FUNC_ACTIVITY_VAR

Interne ID: ID_SAP_FUNC_ACTIVITY_VAR

Aktivität

Numerische Variable zur Aktivitätsüberwachung der SAP Funktion. Kann z.B. für Verriegelungen verwendet werden, um überlappende Aufrufe zu verhindern.

Mögliche Werte: 0, 1, 2

  • 0: inaktiv
  • 1:in Aufrufwarteschlange eingereiht
  • 2: Aufruf aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActivityVar


ID_SAP_FUNC_ERROR_CODE_VAR

Interne ID: ID_SAP_FUNC_ERROR_CODE_VAR

Fehlercode

Numerische Variable für den Fehlercode des Funktionsaufrufs.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ErrorVar


ID_SAP_FUNC_ERROR_GRP

Interne ID: ID_SAP_FUNC_ERROR_GRP

Fehlermeldungen

Enthält Eigenschaften zur Konfiguration von Fehlermeldungen bei SAP Funktionen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapFuncError


ID_SAP_FUNC_ERROR_TEXT_VAR

Interne ID: ID_SAP_FUNC_ERROR_TEXT_VAR

Fehlertext

String-Variable für Kurzbeschreibung des letzten aufgetretenen Fehlers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ErrorTextVar


ID_SAP_FUNC_INFO

Interne ID: ID_SAP_FUNC_INFO

Info

Frei wählbarer Kurztext. Dient nur zur Information. Wird, soweit vorhanden, beim Anlegen einer SAP Funktion über den Wizard entsprechend der Schnittstellenbeschreibung im SAP System gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Info


ID_SAP_FUNC_LABEL

Interne ID: ID_SAP_FUNC_LABEL

Funktionsname

Frei vergebbare Bezeichnung für die SAP Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Label


ID_SAP_FUNC_LAST_ERROR_VAR

Interne ID: ID_SAP_FUNC_LAST_ERROR_VAR

Fehlerbeschreibung

String-Variable für ausführliche Beschreibung des letzten aufgetretenen Fehlers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LastErrorVar


ID_SAP_FUNC_NAME

Interne ID: ID_SAP_FUNC_NAME

RFC-Funktionsbaustein

Name des aufgerufenen Funktionsbausteins im SAP System.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_SAP_FUNC_SERVERFUNC

Interne ID: ID_SAP_FUNC_SERVERFUNC

Funktion

Auswahl einer zenon Funktion, die vom Serverprogramm aufgerufen werden soll. Klick auf Schaltfläche ... öffnet den Dialog zur Funktionsauswahl.

Hinweis: Wird die Funktion aus einem anderen Projekt aufgerufen, stellen Sie sicher, dass dieses Projekt zur Runtime läuft.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ServerFunction


ID_SAP_FUNC_SERVERPRG

Interne ID: ID_SAP_FUNC_SERVERPRG

Als Serverprogramm ausführen

Definition einer SAP Funktion als Serverprogramm.

  • Aktiv: Die Funktion wird als Serverprogramm ausgeführt.
  • Inaktiv: Die Funktion wird als Clientprogramm ausgeführt.

Default: inaktiv

Ist mit der Eigenschaft Aktivität eine Variable verknüpft, wird diese während eines Aufrufs des Serverprogramms auf aktiv (2) gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ServerPgm


ID_SAP_FUNC_SERVERPRG_GRP

Interne ID: ID_SAP_FUNC_SERVERPRG_GRP

Serverprogramm

Eigenschaften für die Projektierung von SAP Funktionen als Serverprogramme.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_SapFuncServerPrg


ID_SAP_FUNC_WAIT

Interne ID: ID_SAP_FUNC_WAIT

Wartezeit

Angabe einer Zeitspanne in Millisekunden, die vor und nach dem Aufruf der verknüpften Funktion abgewartet wird, damit Variablenwerte sicher geschrieben bzw. gelesen wurden. Vor allem für Variablen auf Steuerungen mit langsamer Kommunikation und/oder langen Lesezyklen empfohlen.

  • Minimum: 0
  • Maximum: 4294967295
  • Default: 0

Empfehlung:

  • Variablen des Intern Treibers oder System Treibers: Niedrige Werte um 0 ms.
  • Mathematik Treiber: Werte zwischen 100 – 200 ms. (Dieser Treiber wird, abhängig von der Systemauslastung, etwa alle 100 ms aktualisiert.)
  • Andere Treiber und Steuerungen: Werte, die etwas über der Update-Zeit des Treibers liegen. Bei hoher Variablenanzahl entsprechend höher.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Wait


ID_SAP_FUNCTION_GRP

Interne ID: ID_SAP_FUNCTION_GRP

SAP-Funktion

Enthält Eigenschaften für die grundlegende Konfiguration von SAP Funktionen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapFunctions


ID_SAP_LOG_TO_CEL

Interne ID: ID_SAP_LOG_TO_CEL

LOG-Meldungen in CEL

Schreiben von Log-meldungen in die CEL.

  • Aktiv: Meldungen werden in die CEL geschrieben.
  • Inaktiv: Meldungen werden nicht in die CEL geschrieben.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LogToCEL


ID_SAP_LOGON_GRP

Interne ID: ID_SAP_LOGON_GRP

SAP-Anmeldung

Legen Sie in den folgenden Properties Informationen über den Mandanten und Benutzer fest, die für die Verbindung benutzt werden sollen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapLogon


ID_SAP_NOTIFICATION_GRP

Interne ID: ID_SAP_NOTIFICATION_GRP

Wartungsmeldung

Mit den folgenden Properties legen Sie fest, welche Zusatzinformationen bei Störmeldungen mitgesendet werden sollen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapNotification


ID_SAP_PAR_TAB_INFO

Interne ID: ID_SAP_PAR_TAB_INFO

Info

Frei wählbarer Kurztext. Dient nur zur Information und wird, sofern vorhanden, beim Anlegen einer SAP Funktion über den Wizard entsprechend der Schnittstellenbeschreibung im SAP System gesetzt .

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Info


ID_SAP_PAR_TAB_NAME

Interne ID: ID_SAP_PAR_TAB_NAME

Name im SAP-System

Name des Parameters, der Tabelle oder des Strukturfeldes im SAP System.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_SAP_PAR_TAB_OPTIONAL

Interne ID: ID_SAP_PAR_TAB_OPTIONAL

Optional

Gibt an, ob der Parameter oder Tabelle optional ist. Optionale Parameter und Tabellen können beim Aufruf des Funktionsbausteins weggelassen werden.

Dient nur zur Information, und wird beim Anlegen einer SAP Funktion über den Wizard entsprechend der Schnittstellenbeschreibung im SAP System gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Optional


ID_SAP_PAR_TAB_TYPE

Interne ID: ID_SAP_PAR_TAB_TYPE

Typ

Art des Parameters. Abhängig von Funktionstyp. Dient nur zur Information, und wird beim Anlegen einer SAP-Funktion über den Wizard entsprechend der Schnittstellenbeschreibung im SAP System gesetzt.

Import: der Wert des Parameters wird dem Funktionsbaustein beim Aufruf übergeben.

Export: der Wert des Parameters wird vom Funktionsaufruf zurückgegeben.

Changing: sowohl Ein- als auch Rückgabeparameter.

Tabelle: Funktionstyp Tabelle. Kann nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


ID_SAP_PAR_TAB_VARIABLE

Interne ID: ID_SAP_PAR_TAB_VARIABLE

Variable

Mit dem Parameter, der Tabelle oder dem Strukturfeld verknüpfte zenon Variable. Bei Tabellen in der Regel eine Array-Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


ID_SAP_PARAMETER_GRP

Interne ID: ID_SAP_PARAMETER_GRP

Parameter

Enthält Eigenschaften zur Konfiguration der Parameter für SAP Funktionen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapParameter


ID_SAP_PROGRAMID

Interne ID: ID_SAP_PROGRAMID

Programm ID

Eingabe der Programm-ID der RFC-Destination, über die die Verbindung zur SAP Anwendung aufgenommen werden soll und das Serverprogramm aufgerufen wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapProgramId


ID_SAP_PROP_CLIENT

Interne ID: ID_SAP_PROP_CLIENT

Mandant

Nummer oder Name des Mandanten auf dem SAP-System, mit dem die Verbindung hergestellt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapClient


ID_SAP_PROP_END_TIME

Interne ID: ID_SAP_PROP_END_TIME

Bis

Zeitpunkt, bis zu dem der Zeitplan ausgeführt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EndTime


ID_SAP_PROP_EQUIPMENT

Interne ID: ID_SAP_PROP_EQUIPMENT

Techn. Platz/Equipment

Gibt an, ob das SAP-System die übergebene Betriebsmittelkennung der Variable als Nummer eines Technischen Platzes, oder eines Equipments behandelt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapEquipment


ID_SAP_PROP_EVERY_DAY

Interne ID: ID_SAP_PROP_EVERY_DAY

Jeden Tag

Der Zeitplan wird jeden Tag ausgeführt. Ist diese Eigenschaft aktiv, sind die Eigenschaften der einzelnen Tage inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EveryDay


ID_SAP_PROP_FRIDAY

Interne ID: ID_SAP_PROP_FRIDAY

Freitag

Der Zeitplan wird jeden Freitag ausgeführt.
Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Friday


ID_SAP_PROP_INTERVAL

Interne ID: ID_SAP_PROP_INTERVAL

Alle

Intervall, in dem der Zeitplan ausgeführt wird. Ist keine Endzeit angegeben, wird der Zeitplan bis jeweils Mitternacht der ausgewählten Tage ausgeführt

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Interval


ID_SAP_PROP_LANGUAGE

Interne ID: ID_SAP_PROP_LANGUAGE

Sprache

Benutzersprache. Von der eingestellten Sprache ist die Behandlung von Umlauten, Sonderzeichen, usw. durch das SAP-System abhängig.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapLanguage


ID_SAP_PROP_MESSBELEG

Interne ID: ID_SAP_PROP_MESSBELEG

Messbeleg erzeugen

Aktiv: Erzeugen Sie einen Messbeleg, der zum SAP-System gesendet wird.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapMeasDoc


ID_SAP_PROP_MONDAY

Interne ID: ID_SAP_PROP_MONDAY

Montag

Der Zeitplan wird jeden Montag ausgeführt.

Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Monday


ID_SAP_PROP_NOTIFICATION_TYPE

Interne ID: ID_SAP_PROP_NOTIFICATION_TYPE

Meldungsart

Eine der im SAP-System voreingestellten Meldungsarten. Die Reaktion des SAP-Systems auf die Störmeldung richtet sich nach der Meldungsart.

Wird keine Meldungsart angegeben, kann das SAP-System keine Störmeldung anlegen, und gibt eine Fehlermeldung zurück.

Mehr im Online-Hanbuch

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapNotificationType


ID_SAP_PROP_PASSWORD

Interne ID: ID_SAP_PROP_PASSWORD

Passwort

Passwort des SAP System Benutzers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapPassword


ID_SAP_PROP_PLANT

Interne ID: ID_SAP_PROP_PLANT

Werk

Instandhaltungswerk in Störmeldungen. Wird kein Instandhaltungswerk eingetragen, verwendet das SAP-System als Default das Werk des Anlagenteils (Technischer Platz, Equipment), für den die Störmeldung erstellt wird.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapPlant


ID_SAP_PROP_REPORTER

Interne ID: ID_SAP_PROP_REPORTER

Melder

Der Melder wird bei Störmeldungen im SAP-System zusätzlich eingetragen.

Wird kein Melder angegeben, trägt das SAP-System als Default den am System angemeldeten Benutzer ein.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapReporter


ID_SAP_PROP_ROUTER

Interne ID: ID_SAP_PROP_ROUTER

Routerstring

IP-Adresse oder Name des SAP-Routers, über den die Verbindung hergestellt wird. Falls die Verbindung über mehrere SAP-Router („Hops") läuft, muss der dem Leitsystem nächstgelegene SAP-Router angegeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapRouter


ID_SAP_PROP_SATURDAY

Interne ID: ID_SAP_PROP_SATURDAY

Samstag

Der Zeitplan wird jeden Samstag ausgeführt.

Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Saturday


ID_SAP_PROP_SERVER

Interne ID: ID_SAP_PROP_SERVER

Anwendungsserver

IP-Adresse oder Name des SAP-Servers, mit dem die Verbindung hergestellt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapServer


ID_SAP_PROP_START_TIME

Interne ID: ID_SAP_PROP_START_TIME

Ab/Um

Startzeit des Zeitplans. Werden für Intervall und Endzeit jeweils 00.00.00 angegeben, wird der Zeitplan an den ausgewählten Tagen nur einmalig um diese Uhrzeit ausgeführt

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StartTime


ID_SAP_PROP_SUNDAY

Interne ID: ID_SAP_PROP_SUNDAY

Sonntag

Der Zeitplan wird jeden Sonntag ausgeführt.

Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Sunday


ID_SAP_PROP_SYSTEM

Interne ID: ID_SAP_PROP_SYSTEM

Systemnummer

Systemnummer des SAP-Systems (auch als Instanznummer bezeichnet), mit dem die Verbindung hergestellt wird. Auf einem Anwendungsserver können mehrere SAP-Systeme mit unterschiedlichen System ID's laufen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapSystemId


ID_SAP_PROP_TEST

Interne ID: ID_SAP_PROP_TEST

Verbindung testen

Versucht, mit den angegebenen Einstellungen eine Verbindung mit dem SAP-System herzustellen. Kann keine Verbindung hergestellt werden, erfolgt eine detaillierte Fehlermeldung in Form einer Messagebox.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapTest


ID_SAP_PROP_THURSDAY

Interne ID: ID_SAP_PROP_THURSDAY

Donnerstag

Der Zeitplan wird jeden Donnerstag ausgeführt.

Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Thursday


ID_SAP_PROP_TRACE

Interne ID: ID_SAP_PROP_TRACE

Protokollierung

Steuert das Mitprotokollieren der Kommunikation zum SAP-System.

aktiv: Die Kommunikation zwischen zenon und dem SAP-System wird protokolliert.

Default: inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapTrace


ID_SAP_PROP_TUESDAY

Interne ID: ID_SAP_PROP_TUESDAY

Dienstag

Der Zeitplan wird jeden Dienstag ausgeführt.

Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Tuesday


ID_SAP_PROP_USER

Interne ID: ID_SAP_PROP_USER

Benutzer

Anmeldename des SAP System Benutzers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapUser


ID_SAP_PROP_VAR_NAME

Interne ID: ID_SAP_PROP_VAR_NAME

Name

Name der für den ausgewählten Zeitplan ausgewählten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapVarName


ID_SAP_PROP_VAR_TAG

Interne ID: ID_SAP_PROP_VAR_TAG

Kennung

Kennung der für den ausgewählten Zeitplan ausgewählten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapVarTag


ID_SAP_PROP_VAR_TYPE

Interne ID: ID_SAP_PROP_VAR_TYPE

Typ

Typ der für den ausgewählten Zeitplan ausgewählten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapVarType


ID_SAP_PROP_VAR_UNIT

Interne ID: ID_SAP_PROP_VAR_UNIT

Maßeinheit

Einheit der für den ausgewählten Zeitplan ausgewählten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SapVarUnit


ID_SAP_PROP_WEDNESDAY

Interne ID: ID_SAP_PROP_WEDNESDAY

Mittwoch

Der Zeitplan wird jeden Mittwoch ausgeführt.

Hinweis: Nur aktiv wenn die Eigenschaft Jeden Tag nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Wednesday


ID_SAP_SCHEDULE_DATE_GRP

Interne ID: ID_SAP_SCHEDULE_DATE_GRP

Wochentag

Mit den folgenden Properties legen Sie fest, an welchem Wochentag bzw. an welchen Wochentagen der Zeitplan ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ScheduleDate


ID_SAP_SCHEDULE_MEAS_DOC_GRP

Interne ID: ID_SAP_SCHEDULE_MEAS_DOC_GRP

Messbeleg

Mit dem folgenden Property legen Sie fest, welcher Melder bei Störmeldungen angegeben werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ScheduleMeasDoc


ID_SAP_SCHEDULE_TIME_GRP

Interne ID: ID_SAP_SCHEDULE_TIME_GRP

Uhrzeit

Mit den folgenden Properties legen Sie fest, zu welcher Uhrzeit der Zeitplan ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ScheduleTime


ID_SAP_SERVERPRG_GRP

Interne ID: ID_SAP_SERVERPRG_GRP

Serverprogramme

Verbindungseinstellungen zur SAP Anwendung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_SapServerPrg


ID_SAP_SYSTEM_GRP

Interne ID: ID_SAP_SYSTEM_GRP

SAP ERP-System

Geben Sie in den folgenden Eigenschaften die Namen oder Nummern des SAP-Servers, -Routers und -Systems an, die für den Verbindungsaufbau verwendet werden sollen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapSystem


ID_SAP_TAB_ROWCOUNT_VAR

Interne ID: ID_SAP_TAB_ROWCOUNT_VAR

Zeilenanzahl

Numerische Variable für die Anzahl der Zeilen, die aus der mit der Tabelle verknüpften Variable übernommen werden sollen, beziehungsweise Anzahl der beim Aufruf der SAP Funktion gelesenen Zeilen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RowCountVar


ID_SAP_TABLE_GRP

Interne ID: ID_SAP_TABLE_GRP

Tabelle

Enthält Eigenschaften für den Funktionstyp Tabelle.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SapTable


ID_SATBEF_PROP1

Interne ID: ID_SATBEF_PROP1

Modus

Auswahl des Verwendungszwecks

Vorgabe: Befehlselement dient zur Befehlsgabe

Funktionsaufruf: Befehlselement dient zur Funktionsausführung.
Diese Option existiert nur aus Kompatibilitätgründen zu älteren Versionen und sollte nicht mehr verwendet werden.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Mode


ID_SATBEF_PROP2

Interne ID: ID_SATBEF_PROP2

Bild

Auswahl des Bildes, das bei Aktivierung des Elements in der Runtime geöffnet werden soll.

Es werden nur Bilder vom Typ "Befehl" angeboten.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PictSwitch_Dlg


ID_SATBEF_PROP3

Interne ID: ID_SATBEF_PROP3

Parameter

Öffnet den Parameterdialog des Befehlselements.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PictFilter_Dlg


ID_SATBEF_PROP4

Interne ID: ID_SATBEF_PROP4

Funktion

Auswahl der auszuführenden Funktion bei Modus: Funktion .
Wird nicht mehr verwendet. Ist nur aus Kompatibilitätsgründen zu älteren Versionen enthalten.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_SATBEF_PROP5

Interne ID: ID_SATBEF_PROP5

Aktivierungsgruppe

Auswahl der Aktivierungsgruppe.

Nur notwendig in Verbindung mit Vorwahlfunktion.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActivationGroup


ID_SATBEF_PROP6

Interne ID: ID_SATBEF_PROP6

immer anwählbar

Aktiv: Befehlsanwahl direkt per Mausklick (links)

Inaktiv: Befehlsanwahl nur nach vorhergehender Anwahlfunktion möglich (Funktionen ->Anwendung ->Befehlsaktivierung)
Nach Befehlsaktivierung in der Runtime wird ein Laufrahmen bei allen derart projektierten Befehlselementen angezeigt.

Erzeugen einer neuen Befehlsaktion mittels rechtem Mausklick -> Aktion neu.

Achtung: in der Dialogansicht nur im linken Fenster möglich.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlwaysSelectable


ID_SATBEF_PROP_GRP1

Interne ID: ID_SATBEF_PROP_GRP1

Aktion

Eigenschaften für Befehlsaktionen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Action


ID_SAVE_ALWAYS_BIN_AML

Interne ID: ID_SAVE_ALWAYS_BIN_AML

Ringpuffer bei Wertänderung speichern

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

  • Aktiv: Jede Änderung der Daten der Alarmmeldeliste bewirkt auch das Speichern des gesamte Ringpuffers (alarm.bin).
  • Inaktiv: Daten der Alarmmeldeliste (alarm.bin) werden nur beim Beenden der Runtime oder beim Ausführen der Funktion AML- und CEL-Ringbuffer speichern gespeichert. Historische Daten (*.aml) können unabhängig von dieser Einstellung bei jeder Wertänderung gespeichert werden.

Default: inaktiv
Hinweis: Wird die Eigenschaft auf aktiv gesetzt, kann das - vor allem bei Flash Disks - zu erheblicher Systembelastung führen. Wird die Eigenschaft auf inaktiv gesetzt, kann es bei einem unerwarteten Beenden der Runtime zu Datenverlust kommen. Inaktiv empfiehlt sich vor allem bei niedriger Performance.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SaveAmlStack


ID_SAVE_ALWAYS_BIN_CEL

Interne ID: ID_SAVE_ALWAYS_BIN_CEL

Ringpuffer bei Wertänderung speichern

Auswahl der Art der Datenspeicherung.

  • Aktiv: Jede Änderung der Daten der Chronologischen Ereignisliste (CEL) bewirkt auch das Speichern der Daten (cel.bin).
  • Inaktiv: Daten der CEL (cel.bin) werden beim Beenden der Runtime oder beim Ausführen der Funktion AML- und CEL-Ringspeicher speichern gespeichert. Empfiehlt sich vor allem bei niedriger Performance. Historische Daten (*.cel) können unabhängig von dieser Einstellung bei jeder Wertänderung gespeichert werden.

Hinweis: Wird die Eigenschaft auf aktiv gesetzt, kann das - vor allem bei Flash Disks - zu erheblicher Systembelastung führen. Wird die Eigenschaft auf inaktiv gesetzt, kann es bei einem unerwarteten Beenden der Runtime zu Datenverlust kommen. Inaktiv empfiehlt sich vor allem bei niedriger Performance.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SaveCelStack


ID_SCREEN_GRP_API

Interne ID: ID_SCREEN_GRP_API

Programmierschnittstelle

Gruppe für die Konfiguration der API-Zugriffe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

API


ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Interne ID: ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Multi-Touch Events

Eigenschaften für die Auswertung von Multi-Touch Events.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerMessages


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross Slide

Aktiv: Erkennung für Cross Slide gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlide


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross Slide Exact

Aktiv: Erkennung für Cross Slide Exact gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideExact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross Slide Horizontal

Aktiv: Erkennung für Cross Slide Horizontal gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideHorizontal


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross Slide Rearrange

Aktiv: Erkennung für Cross Slide Rearrange gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideRearrange


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross Slide Select

Aktiv: Erkennung für Cross Slide Select gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideSelect


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross Slide Speed Bump

Aktiv: Erkennung für Cross Slide Speed Bump gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_CrossSlideSpeedBump


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Aktiv: Erkennung für Drag gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Drag


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Aktiv: Erkennung für Hold gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Hold


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Aktiv: Erkennung für Hold (Mouse) gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_HoldMouse


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Aktiv: Erkennung für Manipulation gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Manipulation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Aktiv: Erkennung für Exact gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Exact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Aktiv: Erkennung für Rails X gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_RailsX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Aktiv: Erkennung für Rails Y gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_RailsY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Aktiv: Erkennung für Rotation gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Rotation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Rotation Inertia

Aktiv: Erkennung für Rotation Inertia gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_RotationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Aktiv: Erkennung für Scaling gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Scaling


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling Inertia

Aktiv: Erkennung für Scaling Inertia gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_ScalingInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation Inertia

Aktiv: Erkennung für Translation Inertia gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TranslationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Aktiv: Erkennung für Translation X gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TranslationX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Aktiv: Erkennung für Translation X gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TranslationY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary Tap

Aktiv: Erkennung für Secondary Tap gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_SecondaryTap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Aktiv: Erkennung für Tap gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_Tap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap Double

Aktiv: Erkennung für Tap Double gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Gestures_TapDouble


ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Interne ID: ID_SCREEN_INTERACTION_CONFIGURATION_GRP

VSTA Gestenauswertung

Eigenschaften für die Gestenerkennung für Bilder mittels VSTA.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureRecognition


ID_SCREEN_PROP_INTERACTION_ACTIVE

Interne ID: ID_SCREEN_PROP_INTERACTION_ACTIVE

Gestenerkennung aktiv

Aktiviert Gestenauswertung. Gesten werden über die weiteren Eigenschaften definiert.

Steht nur zur Verfügung, wenn in den Projekteigenschaften in der Gruppe Interaktion für die Eigenschaft Auswertung Windows 8 eingetragen wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureRecognitionActive


ID_SCREEN_PROP_NCPOINTERDOWN_MSG

Interne ID: ID_SCREEN_PROP_NCPOINTERDOWN_MSG

NCPointerDown

Aktiv: Das Event NCPointerDown wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCPointerDown


ID_SCREEN_PROP_NCPOINTERUP_MSG

Interne ID: ID_SCREEN_PROP_NCPOINTERUP_MSG

NCPointerUp

Aktiv: Das Event NCPointerUp wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCPointerUp


ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

Interne ID: ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

NCPointerUpdate

Aktiv: Das Event NCPointerUpdate wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NCPointerUpdate


ID_SCREEN_PROP_POINTERACTIVATE_MSG

Interne ID: ID_SCREEN_PROP_POINTERACTIVATE_MSG

PointerActivate

Aktiv: Das Event PointerActivate wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerActivate


ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

Interne ID: ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

PointerCaptureChanged

Aktiv: Das Event PointerCaptureChanged wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerCaptureChanged


ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

Interne ID: ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

PointerDeviceChange

Aktiv: Das Event PointerDeviceChange wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerDeviceChange


ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

Interne ID: ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

PointerDeviceInRange

Aktiv: Das Event PointerDeviceInRange wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerDeviceInRange


ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

Interne ID: ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

PointerDeviceOutOfRange

Aktiv: Das Event PointerDeviceOutOfRange wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerDeviceOutOfRange


ID_SCREEN_PROP_POINTERDOWN_MSG

Interne ID: ID_SCREEN_PROP_POINTERDOWN_MSG

PointerDown

Aktiv: Das Event PointerDown wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerDown


ID_SCREEN_PROP_POINTERENTER_MSG

Interne ID: ID_SCREEN_PROP_POINTERENTER_MSG

PointerEnter

Aktiv: Das Event PointerEnter wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerEnter


ID_SCREEN_PROP_POINTERHWHEEL_MSG

Interne ID: ID_SCREEN_PROP_POINTERHWHEEL_MSG

PointerHWheel

Aktiv: Das Event PointerHWheel wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerHWheel


ID_SCREEN_PROP_POINTERLEAVE_MSG

Interne ID: ID_SCREEN_PROP_POINTERLEAVE_MSG

PointerLeave

Aktiv: Das Event PointerLeave wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerLeave


ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Interne ID: ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Rohdaten-Eventrouting

Steht nur zur Verfügung, wenn die Eigenschaft Auswertung in den Projekteigenschaften für Interaktion auf Windows 8 eingestellt ist.

Auswahl aus Dropdownliste, welche Events ausgewertet werden sollen:

  • Alle Events: alle Events werden ausgewertet
  • Deaktiviert: die Auswertung ist deaktiviert
  • Nur ausgewählte Events: nur die über die Checkboxen aktivierten Events werden ausgewertet

Default: Deaktiviert

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RawEventRouting


ID_SCREEN_PROP_POINTERUP_MSG

Interne ID: ID_SCREEN_PROP_POINTERUP_MSG

PointerUp

Aktiv: Das Event PointerUp wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerUp


ID_SCREEN_PROP_POINTERUPDATE_MSG

Interne ID: ID_SCREEN_PROP_POINTERUPDATE_MSG

PointerUpdate

Aktiv: Das Event PointerUpdate wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerUpdate


ID_SCREEN_PROP_POINTERWHEEL_MSG

Interne ID: ID_SCREEN_PROP_POINTERWHEEL_MSG

PointerWheel

Aktiv: Das Event PointerWheel wird ausgewertet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PointerWheel


ID_SCRIPT_DEL

Interne ID: ID_SCRIPT_DEL

{Skript löschen}

Das Skript wird gelöscht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeleteScript


ID_SCRIPT_GRP0

Interne ID: ID_SCRIPT_GRP0

Allgemein

Allgemeine Einstellungen für das Skript.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_SCRIPT_IMEX_NAME

Interne ID: ID_SCRIPT_IMEX_NAME

Name

Eindeutiger Name des Rezepts.
Default: Recipe_x (wobei x eine fortlaufende Zahl ist).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeName


ID_SCRIPT_NAME

Interne ID: ID_SCRIPT_NAME

Name

Eindeutiger Name des Skripts. Name darf nicht leer sein.

Default: Script_x (wobei x eine fortlaufende Zahl ist).

Es können eigene Skripte definiert und vorgefertigte Skripte ausgewählt werden. Eingabe eines Namens in die Combobox für eigene Skripte oder Auswahl aus Dropdownliste:

  • AUTOSTART:
    Das Skript wird beim Runtime-Start (Einzelplatz bzw. Server) automatisch nach dem Aufschalten des Startbildes ausgeführt (am Einzelplatz bzw. Server), wenn das Projekt das Runtime-Startprojekt ist.
  • AUTOEND:
    Das Skript wird beim Beenden des Runtime-Betriebes (Einzelplatz bzw. Server) automatisch ausgeführt (am Einzelplatz bzw. Server), wenn das Projekt das Runtime-Startprojekt ist.
    Achtung: VBA-Makros, die in AUTOEND ausgeführt werden sollen, müssen über Project.Inactive aufgerufen werden. Zyklische Archive dürfen nicht im Skript AUTOEND angegeben werden.
  • AUTOSTART_CLIENT:
    Das Skript wird beim Runtime-Start des Clients automatisch vor dem Aufschalten des Startbildes am Client ausgeführt, wenn das Projekt das Runtime-Startprojekt ist.
  • AUTOEND_CLIENT:
    Das Skript wird beim Beenden des Runtime-Betriebes des Clients automatisch am Client ausgeführt., wenn das Projekt das Runtime-Startprojekt ist.
  • AUTOSTART_SRVPRJ:
    Das Skript wird beim Runtime-Start auf dem Rechner, der Server für das Projekt ist, automatisch vor dem Aufschalten des Startbildes ausgeführt, wenn das Projekt nicht das Runtime-Startprojekt ist.
  • AUTOEND_SRVPRJ:
    Das Skript wird beim Beenden des Runtime-Betriebes auf dem Rechner, der Server für das Projekt ist, automatisch ausgeführt, wenn das Projekt nicht das Runtime-Startprojekt ist.

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Hinweis Mehrplatzfähige Projekte: Beim Ändern von Skriptnamen werden die Parameter der verbundenen Funktionen nach einer Kontrollabfrage zum Änderungen Ermöglichen automatisch angepasst. Nach erfolgreicher Änderung wird das Skript geändert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_SCRIPT_NEW

Interne ID: ID_SCRIPT_NEW

{Skript neu}

Ein neues Skript mit dem Default-Namen Script_x (wobei x eine fortlaufende Zahl ist) wird erstellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NewScript


ID_SCRIPT_SYNCWRITE

Interne ID: ID_SCRIPT_SYNCWRITE

Synchron schreiben

  • Aktiv:
    Eine Funktionsausführung mit diesem Rezept wird erst beendet, wenn eine positive Rückmeldung der Schreibaktion kommt oder die definierte Wartezeit abgelaufen ist.
    Damit kann in Skripten sichergestellt werden, dass die nachfolgende Funktion erst aufgeführt wird, wenn diese tatsächlich abgeschlossen ist.
    Die Rückmeldung kann auch über das Statusbit "WR-SUC“ abgefragt werden.
  • Inaktiv:
    Es wird keine Schreibbestätigung abgewartet.
    Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SyncWrite


ID_SCRIPT_SYNCWRITE_TIMEOUT

Interne ID: ID_SCRIPT_SYNCWRITE_TIMEOUT

Timeout [ms]

Wenn "Synchrones Schreiben“ aktiviert wurde, kann hier ein Timeout eingegeben werden.
Wird hier 0 eingegeben, so berechnet das Leitsystem die Wartezeit wie folgt:
3000+(100*Anzahl der Datenpunkte)
Minimum: 0.
Maximum: 4294967295.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SyncWriteTimeout


ID_SEA_PROP_ABBRUCH

Interne ID: ID_SEA_PROP_ABBRUCH

Abbrechen

Zustand der Abbruchvariablen, bei dem die Schaltfolge abgebrochen werden soll.

0 ... AUS

1 ... EIN

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Cancel


ID_SEA_PROP_ABBRUCH_PV

Interne ID: ID_SEA_PROP_ABBRUCH_PV

Abbruch-Variable

Über die ausgewählte Variable kann die laufende Schaltfolge abgebrochen werden.

Prozess- oder Merkervariable (empfohlen: Interntreiber BOOL).

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CancelVariable


ID_SEA_PROP_DIREKT

Interne ID: ID_SEA_PROP_DIREKT

Direkt ausführbar

Die Schaltfolge wird durch eine Funktion (Anwendung->Schaltfolge Automatiklauf) gestartet.

Sie läuft, wenn keine Fehler auftreten automatisch ab.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DirectExecute


ID_SEA_PROP_GRP0

Interne ID: ID_SEA_PROP_GRP0

Allgemein

Parameter der Schaltfolge

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_SEA_PROP_LERNEN

Interne ID: ID_SEA_PROP_LERNEN

Lernen erlaubt

Die Schaltfolge kann in der Runtime Schalthandlungen aufzeichnen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LearningEnabled


ID_SEA_PROP_NAME

Interne ID: ID_SEA_PROP_NAME

Bezeichnung

Eindeutiger Name der Schaltfolge

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_SEA_PROP_VAR

Interne ID: ID_SEA_PROP_VAR

Variable

Variable (obligat), auf die die Schaltfolgenzustände abgebildet werden.
Merkervariable (empfohlen: Interntreiber DWORD).

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


ID_SGW_PROP1

Interne ID: ID_SGW_PROP1

Name

Distinct name of the Gateway Parameter Set.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_SGW_PROP2

Interne ID: ID_SGW_PROP2

Quellvariable

Name of the variable linked as source.

  • In Mirroring mode, state and value of this variable are transferred to the output side.
  • In Setpoint mode, the setpoint event of this variable is passed to the output setpoint action.
  • In all other modes, the state of this variable is evaluated to trigger output actions.

Opens the variable selection dialog.

Usually used with wildcards.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SourceVariable


ID_SGW_PROP3

Interne ID: ID_SGW_PROP3

Referenzvariable

Name of the variable linked as target.

  • In "Mirroring" Mode, this is the output variable.
  • In all other modes, the variable defined in the targets Command Group as "Response variable" serves as Reference to the Command and Setpoint actions.

Opens the variable selection dialog.

Usually used with wildcards.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Add


ID_SGW_PROP4

Interne ID: ID_SGW_PROP4

Rückmeldevariable

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ResponseVariable


ID_SGW_PROP5

Interne ID: ID_SGW_PROP5

Filter Betriebsmittelkennung

Text based filter: Only apply this Gateway rule to input variables with matching Resource label (wildcards can be used).

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SourceFilter


ID_SGW_PROP6

Interne ID: ID_SGW_PROP6

Modus

Mode of the Gateway

  • IEC
  • Mirroring
  • Non IEC
  • Source IEC emulation

Target IEC emulation

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Mode


ID_SGW_PROP7

Interne ID: ID_SGW_PROP7

Befehlsgruppe

Name of the Command group to be used.
Selection from drop down box.

Not available in "Mirroring" Mode.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CmdGrp


ID_SGW_PROP8

Interne ID: ID_SGW_PROP8

Verriegelung

Link an existing interlocking to this element.

If a condition in one of the formulas of the interlocking is true, this element is locked so that no operation is possible.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Locking


ID_SGW_PROP9

Interne ID: ID_SGW_PROP9

Entriegelung spiegelt

This parameter defines what should be transferred when the interlocking condition goes.

Mirroring mode plus interlocking required.

  • Edge: Current value.
    Current source value will be transferred only.
  • Gage: Current value & Updates.
    Current source value and further changes will be transferred

Gage: Updates.
No transfer of the current source value but all further changes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MirrorMode


ID_SGW_PROP10

Interne ID: ID_SGW_PROP10

Ereignis

Trigger event (Source).

Select an IEC event, Limit- or REMA Counter number from the drop down box.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CounterID


ID_SGW_PROP11

Interne ID: ID_SGW_PROP11

Aktions Menü ID

Action Mapping (Target).

Actions defined in the Reference variables Command group.

Select an existing action from drop down box.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActionID


ID_SGW_PROP12

Interne ID: ID_SGW_PROP12

Rückmeldungsvariable markieren

Mark response variable. To indicate Gateway activity the response variable can be marked with a user defined state bit. This allows a differentiation from HMI user actions.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MarkResponse


ID_SGW_PROP13

Interne ID: ID_SGW_PROP13

Blockierte Aktionen protokollieren

Enables/disables CEL entry for blocking events.

When enabled all actions blocked by the Gateway Module will be logged in the Event list. Actions blocked at Command Group level will be logged according to the Command Groups logging settings.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteCEL


ID_SGW_PROP14

Interne ID: ID_SGW_PROP14

Vorschau

Opens the dialog for display of variables which would be linked according to the wildcard rules.
In this dialogue also a traffic light indication (red-yellow-green) will be displayed which informs about the validity of the rules.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Info


ID_SGW_PROP_GRP0

Interne ID: ID_SGW_PROP_GRP0

Allgemein

Displays properties for the Gateway.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_SGW_PROP_GRP1

Interne ID: ID_SGW_PROP_GRP1

Eingang

Displays general properties.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Input


ID_SGW_PROP_GRP2

Interne ID: ID_SGW_PROP_GRP2

Ausgang

Displays input properties.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_OutPut


ID_SGW_PROP_GRP3

Interne ID: ID_SGW_PROP_GRP3

Trigger

Displays trigger properties.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TriggerNew1


ID_SGW_PROP_T_DEL

Interne ID: ID_SGW_PROP_T_DEL

{lösche Trigger}

By clicking the selected trigger will be deleted.
This can also be done in the left part of the window using the right mouse button.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CurveDel


ID_SGW_PROP_T_NEU

Interne ID: ID_SGW_PROP_T_NEU

{Trigger neu}

By clicking a new trigger will be created.
This can also be done in the left part of the window using the right mouse button.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TriggerNew


ID_SIZEINBYTE

Interne ID: ID_SIZEINBYTE

Größe in Byte

Anzeige der Gesamtgrösse der Strukturvariable in Byte.
Diese Eigenschaft dient nur der Information und kann nicht verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SizeInByte


ID_SPRECON870_COMMANDEXECUTIONTIME

Interne ID: ID_SPRECON870_COMMANDEXECUTIONTIME

Command execution time (ms)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_CommandExecutionTime


ID_SPRECON870_COMMANDGROUP

Interne ID: ID_SPRECON870_COMMANDGROUP

Command

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

SPRECON870_Command


ID_SPRECON870_COUNTER_NODE

Interne ID: ID_SPRECON870_COUNTER_NODE

Counters

Eigenschaften für Counter group.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_Counters


ID_SPRECON870_COUNTERACTIVE

Interne ID: ID_SPRECON870_COUNTERACTIVE

Counter value handling

Nur verfügbar, wenn in der Treiberkonfiguration eine Gruppe angelegt wurde.

Aktiviert: Die Zählerverarbeitung wird vom Treiber genutzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_CounterActive


ID_SPRECON870_COUNTERGROUP

Interne ID: ID_SPRECON870_COUNTERGROUP

Counter group

Nur verfügbar, wenn Eigenschaft Counter value handling aktiviert wurde.

Name zur Identifikation der Counter group, wie im Treiber konfiguriert.

Über die Zuordnung der Variable zu einer Zählergruppe wird das Verhalten der Variable definiert. Die Zählergruppe stellt eine Art Reaktionsmatrix dar, die die Zählwertverarbeitung (z.B. Umwandlung von Absolutwert auf Relativwert) regelt.

Default: < No group >

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_CounterGroupID


ID_SPRECON870_INITVAL

Interne ID: ID_SPRECON870_INITVAL

Initial value

Der Initialwert wird nur dann verwendet, wenn die Eigenschaft Reverse direction only aktiviert wurde oder die Netzadresse der Variable auf eine Verbindung verweist, die als Internal connection markiert wurde. Für Variablen vom Datentyp String kann kein Initalwert festgelegt werden.
Wird die Runtime gestartet und wurde der Variablen kein Wert aus dem Remanentabbild zugewiesen, werden der Initialwert und der Status NT auf diese Variable geschrieben.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReverseDirectionInitialValue


ID_SPRECON870_MAXCOUNTDIFF

Interne ID: ID_SPRECON870_MAXCOUNTDIFF

Maximum counter difference

Nur verfügbar, wenn Eigenschaft Counter value handling aktiviert wurde.

Definiert den maximalen Unterschied zwischen zwei übertragenen Zählwerten. Die maximale Änderung bezieht sich auf den normierten Zählerwert (Werteberechnung). Bei Überschreitung der maximalen Zählwertdifferenz wird die Einstellung der Eigenschaft Max. counter diff. exceeded ausgeführt.

Minimum: 0 - deaktiviert, maximalen Änderung wird nicht überwacht

Maximum: 65535

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_MaxCounterDifference


ID_SPRECON870_ONMAXCOUNTDIFF

Interne ID: ID_SPRECON870_ONMAXCOUNTDIFF

Max. counter diff. exceeded

Nur verfügbar, wenn Eigenschaft Counter value handling aktiviert wurde.

Behandlung von Zählwerten (Relativ/Absolut), bei denen die Überwachung auf Maximum counter difference anspricht.

Auswahl aus Dropdownliste:

- Disabled

- Set INVALID state: Status wird gesetzt und dadurch - sofern konfiguriert - die Replacement value handling aktiviert. Diese Behandlung gilt auch für den Zählerüberlauf von Absolutwerten. Wenn der Fehlerzustand erreicht wird, wird der Status INVALID gesetzt und der aktuelle Zählwert verworfen. Der zuletzt Empfangene Zählwert wird als ungültig makiert. Berechnungen die einen vorherigen Zählwert benötigen können erst nach zwei Empfangenen Zählwerten wieder durchgeführt werden. Der Status INVALID wird zurückgesetzt, sobald ein neuer Zählwert mit Differenz kleiner der Einstellungen für die Eigenschaft Replacement value handling empfangen wird.

Default: Disabled

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_OnMaxCounterDifference


ID_SPRECON870_ONNOUPDATE

Interne ID: ID_SPRECON870_ONNOUPDATE

Not updated in time

Nur verfügbar, wenn Eigenschaft Counter value handling aktiviert wurde.

Definiert das Verhalten bei Zählwerten die nicht innerhalb des Zeitfensters aktualisiert werden. bzw. die Ersatzwertbehandlung (s.u.) wird aktiviert. Auswahl aus Dropdownliste:
- Disabled: Einstellungen aus Eigenschaften Replacement value handling werden verwendet.

- Set INVALID state: Status INVALID wird gesetzt.

Default: Disabled

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_OnNoUpdate


ID_SPRECON870_POSITION

Interne ID: ID_SPRECON870_POSITION

Position

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_Position


ID_SPRECON870_REMANENT

Interne ID: ID_SPRECON870_REMANENT

Remanent

Nur verfügbar, wenn die Eigenschaft Reverse direction enable aktiviert wurde. Letzter Wert, Zeitstempel und Status der Variable werden im Remanentabbild gespeichert. Nach einem Neustart werden Wert, Zeitstempel und Status aus dem Remanentabbild gelesen und der Variable zugewiesen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReverseDirectionRemanent


ID_SPRECON870_REVDIR_NODE

Interne ID: ID_SPRECON870_REVDIR_NODE

Reverse direction

Eigenschaften für Reverse direction.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

SPRECON870_ReverseDirection


ID_SPRECON870_REVDIRENABLED

Interne ID: ID_SPRECON870_REVDIRENABLED

Reverse direction enable

Aktivierung von Reverse-direction.

Aktiv: Variable wird nach einer entsprechenden Generalabfrage in Reverse-direction gesendet.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReverseDirectionEnable


ID_SPRECON870_REVDIRONLY

Interne ID: ID_SPRECON870_REVDIRONLY

Reverse direction only

Nur verfügbar, wenn die Eigenschaft Reverse direction enable aktiviert wurde.
Aktiv Dieser Variablen wird niemals ein von der Steuerung empfangener Wert zugewiesen. Nach dem Starten der Runtime wird der Variablen der konfigurierte Initialwert oder ein Wert aus dem Remanentabbild zugewiesen. Danach kann die Variable nur über Sollwertsetzen verändert werden.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReverseDirectionOnly


ID_SPRECON870_STRUCT_COA1

Interne ID: ID_SPRECON870_STRUCT_COA1

COA1

Strukturierte Eingabe für COA.

Eingabe von Byte 1 für IEC870 COA.

Mehr im PDF-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_StructuredCOA1


ID_SPRECON870_STRUCT_COA2

Interne ID: ID_SPRECON870_STRUCT_COA2

COA2

Strukturierte Eingabe für COA.

Eingabe von Byte 2 für IEC870 COA.

Mehr im PDF-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_StructuredCOA2


ID_SPRECON870_STRUCT_IOA1

Interne ID: ID_SPRECON870_STRUCT_IOA1

IOA1

Strukturierte Eingabe für IOA.

Eingabe von Byte 2 für IEC870 IOA.

Mehr im PDF-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_StructuredIOA1


ID_SPRECON870_STRUCT_IOA2

Interne ID: ID_SPRECON870_STRUCT_IOA2

IOA2

Strukturierte Eingabe für IOA.

Eingabe von Byte 1 für IEC870 IOA.

Mehr im PDF-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_StructuredIOA2


ID_SPRECON870_STRUCT_IOA3

Interne ID: ID_SPRECON870_STRUCT_IOA3

IOA3

Strukturierte Eingabe für IOA.

Eingabe von Byte 0 für IEC870 IOA.

Mehr im PDF-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_StructuredIOA3


ID_SPRECON870_SUBSTITUTE_NODE

Interne ID: ID_SPRECON870_SUBSTITUTE_NODE

Replacement value handling

Eigenschaften für Behandlung von Ersatzwerten. Eigenschaften werden verwendet, wenn in Gruppe die Eigenschaft auf steht. Ersatzwertbehandlung gilt für alle Variablen des Treibers.

Achtung: Wurde die Ersatzwertbehandlung im Treiber aktiviert, darf in zenon keine Ersatzwertstrategie für diese Variable projektiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReplacementHandling


ID_SPRECON870_SUBSTVALUETYPE

Interne ID: ID_SPRECON870_SUBSTVALUETYPE

Replacement value handling

Auswahl für Ersatzwertbehandlung, wenn die Variable den Status INVALID oder NT_870 hat. Auswahl aus Dropdownliste:

- Disabled: Keine Ersatzwertbehandlung.

- Last valid value: Schaltet um auf letzten ungestörten Wert. Dazu muss von diesem Wert ein Prozessabbild gespeichert worden sein. Wenn es keinen letzten ungestörten Wert gibt, wird der zur Verfügung stehende Wert verwendet (z.B. 0 + INVALID).

- Use replacement value: Variable wird mit dem Wert der Eigenschaft Replacement value beschrieben.

- Use replacement variable: Die Variable wird sowohl mit dem Wert als auch dem Status der Variable aus der Eigenschaft Replacement variable beschrieben.
Ausnahme: Wenn die Ersatzwertvariable selbst den Status INVALID noch den Status NT_870 aufweist, wird nicht auf diese Variable umgeschaltet sondern die eigene Variable mit Wert und Status beibehalten.
Spezialfall Status GI: Da während einer Generalabfrage der Ersatzwert noch nicht vorhanden sein muss, kann eine Variable kurzzeitig auf INVALID geht bis der Ersatzwert empfangen wurde.

Alle Einstellungen, ausgenommen Disabled setzen das Statusbit ALT_VAL. Sobald der Grund für die Ersatzwertbehandlung ( INVALID oder NT_870 ) wegfällt, übernimmt die Variable wieder den Prozesswert und das Statusbit ALT_VAL wird zurückgesetzt.

Default: Disabled

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReplacementType


ID_SPRECON870_SUBSTVALUEVAL

Interne ID: ID_SPRECON870_SUBSTVALUEVAL

Replacement value

Wert mit dem die Variable beschrieben wird, wenn für die Eigenschaft Replacement value handlingUse replacement value gewählt wurde.

Minimum: 4294967295

Maximum: 0

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReplacementValue


ID_SPRECON870_SUBSTVALUEVAR

Interne ID: ID_SPRECON870_SUBSTVALUEVAR

Replacement variable

Variable, deren Wert und Status übernommen wird, wenn für die Eigenschaft Replacement value handlingUse replacement varianle gewählt wurde. Jede Wertänderung der Ersatzwertvariable wird auf die gestörte Variable abgebildet. Klick auf Schaltfläche ... öffnet Dialog zur Variablenauswahl.

Achtung: Als Variable darf nur eine Variable desselben Treibers ausgewählt werden. Wird im Dialog eine Variable eines anderen Treibers ausgewählt, wird zwar der Dialog geschlossen die Einstellung aber nicht übernommen.

Default: leer

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_ReplacementVariable


ID_SPRECON870_TRIGGERCOMMAND

Interne ID: ID_SPRECON870_TRIGGERCOMMAND

Trigger command

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_TriggerCommand


ID_SPRECON870_TRIGGERCOUNT

Interne ID: ID_SPRECON870_TRIGGERCOUNT

Trigger count

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_TriggerCount


ID_SPRECON870_TRIGGERCYCLE

Interne ID: ID_SPRECON870_TRIGGERCYCLE

Trigger cycle (ms)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SPRECON870_TriggerCycle


ID_STARTATNEWOFFSET

Interne ID: ID_STARTATNEWOFFSET

Jeder Datentyp startet mit neuem Offset

Nur verfügbar, wenn automatische Adressierung aktiv ist:
Aktiv: Jeder Datentyp der Strukturvariable startet an einem neuen Offset.
Inaktiv: Datentypen der Strukturvariable können auch im selben Offset sein.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsStartAtNewOffset


ID_STRATON_1

Interne ID: ID_STRATON_1

Projektname

Name des zenon Logic Projekts. Maximal 15 Zeichen.

ACHTUNG: Änderungen des Projektnamens können Verknüpfungen zu dynamischen Elementen auflösen.
ACHTUNG: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_STRATON_2

Interne ID: ID_STRATON_2

Projektordner

Arbeitsverzeichnis des zenon Logic Projekts.

ACHTUNG: Diese Eigenschaft kann nicht verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WorkingFolder


ID_STRATON_3

Interne ID: ID_STRATON_3

Ziel-Host

Der Runtime Host (IP-Adresse oder Rechnername) des zenon Logic Zielsystems für die Verbindung der Workbench für z.B. Online Debugging.
Default: localhost.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VMHost


ID_STRATON_4

Interne ID: ID_STRATON_4

Ziel-Port

Der Runtime Port des zenon Logic Zielsystems für die Verbindung der Workbench. Diese Information ist für die zenon Logic Workbench, um sich auf das Zielsystem (zenon Logic Runtime) für z.B. Online Debugging zu verbinden.
Minimum: 0.
Maximum: 4294967295.
Default: 1200.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VMPort


ID_STRATON_5

Interne ID: ID_STRATON_5

Starttyp

Der Starttyp definiert, ob und wie die zenon Logic Runtime mit der Leitsystem Runtime gestartet wird.
Autom. starten: Die zenon Logic Runtime startet mit der Leitsystem Runtime. Wird die Leitsystem Runtime beendet, läuft die zenon Logic Runtime weiter.
Autom. starten/stoppen: Die zenon Logic Runtime startet mit der Leitsystem Runtime. Wird die Leitsystem Runtime beendet, so wird auch die zenon Logic Runtime beendet.
Manuell starten: In Bezug auf die zenon Logic Runtime passiert nichts, wenn die Leitsystem Runtime gestartet oder beendet wird. In diesem Fall muss die zenon Logic Runtime manuell gestartet werden (z.B. mit dem zenon Logic Runtime Manager).
Default: autom. starten stoppen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VMStartTyp


ID_STRATON_6

Interne ID: ID_STRATON_6

Startort

Diese Eigenschaft ist nur in Verbindung mit dem Runtime Starttyp “autom. starten stoppen” und “autom. starten” relevant.

  • alle Rechner:
    Auf allen Rechnern (Server 1, Server 2 und Clients), auf denen das zenon Projekt geladen wurde, wird die zenon Logic Runtime mit der zenon Runtime gestartet bzw. gestartet und gestoppt.
  • Server 1:
    Die zenon Logic Runtime wird nur auf Server 1 gestartet bzw. gestartet und gestoppt. Auf Clients bzw. auf Server 2 wird die zenon Logic Runtime nicht gestartet.
  • Server 1 und Server 2:
    Die zenon Logic Runtime wird nur auf Server 1 und Server 2 gestartet bzw. gestartet und gestoppt. Auf Clients wird die zenon Logic Runtime nicht gestartet.
    Achtung: Bei Verwendung dieser Option muss für die Eigenschaft Host unbedingt der Wert localhost verwendet werden. Anderenfalls kann die zenon Logic Runtime nicht starten.

Default: alle Rechner

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VMStartArea


ID_Syskron_LDS_FKT_RD

Interne ID: ID_Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Definieren Sie hier die Zugriffsfunktion zum Lesen. Ein Klick auf die Schaltfläche öffnet einen Dialog zur Auswahl der Zugriffsfunktion. Alternativ tragen Sie den Namen der Zugriffsfunktion manuell in das Textfeld ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Syskron_LDS_FKT_RD


ID_Syskron_LDS_FKT_WR

Interne ID: ID_Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Definieren Sie hier die Zugriffsfunktion zum Schreiben. Ein Klick auf die Schaltfläche öffnet einen Dialog zur Auswahl der Zugriffsfunktion. Alternativ tragen Sie den Namen der Zugriffsfunktion manuell in das Textfeld ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Syskron_LDS_FKT_WR


ID_Syskron_LDS_PARAM_RD

Interne ID: ID_Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Definieren Sie hier alle Funktionsübergabe-Parameter. Ein Klick auf die Schaltfläche öffnet den Dialog zur Eingabe aller Funktionsübergabe-Parameter, die in der Runtime zum Lesen an die Funktion übergeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Syskron_LDS_PARAM_RD


ID_Syskron_LDS_PARAM_WR

Interne ID: ID_Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Definieren Sie hier alle Funktionsübergabe-Parameter. Ein Klick auf die Schaltfläche öffnet den Dialog zur Eingabe aller Funktionsübergabe-Parameter, die in der Runtime zum Schreiben an die Funktion übergeben werden. Der letzte Übergabeparameter ist immer der von zenon gesendete Sollwert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Syskron_LDS_PARAM_WR


ID_SYSVAR_INHALT

Interne ID: ID_SYSVAR_INHALT

Typ

Definition des Typs der Systemtreibervariable. Auswahl aus Dropdownliste.
Der Inhalt kann nur geändert werden, wenn es noch keine Variable mit dem neuen Typ gibt.

Zum Beispiel: Sie können pro Projekt nur eine Variable [Alarme] Alarme quittiert anlegen.

Achtung: Wenn Sie den Typ ändern, werden der Variablennamen nicht geändert!

Es kann sich eventuell der Datentyp ändern. Bei Verwendung der Variablen in dynamischen Elementen muss eventuell der Anzeigebereich in VBA/VSTA angepasst werden.

Für benutzerdefinierte Systemtreibervariablen bleibt die Dropdownliste leer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Inhalt


ID_SYSVAR_THEMA

Interne ID: ID_SYSVAR_THEMA

Thema

Logische Gruppe der Systemvariable.

Für benutzerdefinierte Systemtreibervariablen bleibt die Dropdownliste leer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Thema


ID_TEMPLATE_PROP1

Interne ID: ID_TEMPLATE_PROP1

Name

Eindeutiger Name der Schablone.

Maximale Länge:

  • Projekt: 28 Zeichen
  • Globalprojekt: 27 Zeichen

Default: Template_x (wobei x eine fortlaufende Zahl ist).
Hinweis: Wird der Name geändert, muss dieser bei Bedarf in der Eigenschaft Hauptschablonen erneut eingetragen werden. Ansonsten kann die Systemtreibervariable [Projektinformation] Zuletzt geöffnetes Bild die auf dieser Schablone basierenden Bilder nicht mehr identifizieren.

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TemplateName


ID_TEMPLATE_PROP2

Interne ID: ID_TEMPLATE_PROP2

Oben [Pixel]

Y-Koordinate des linken oberen Eckpunktes der Schablone in Pixel (ausgehend von der eingestellten Bildschirmauflösung).
Minimum: -2147483648.
Maximum: 2147483647.
Default: 0.

ACHTUNG: Wir empfehlen Schablonen nicht größer als 32000*32000 Pixel zu definieren um Schmiereffekte zu vermeiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosTop


ID_TEMPLATE_PROP3

Interne ID: ID_TEMPLATE_PROP3

Links [Pixel]

X-Koordinate des linken oberen Eckpunktes der Schablone in Pixel (ausgehend von der eingestellten Bildschirmauflösung).
Minimum: -2147483648.
Maximum: 2147483647.
Default: 0.

ACHTUNG: Wir empfehlen Schablonen nicht größer als 32000*32000 Pixel zu definieren um Schmiereffekte zu vermeiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosLeft


ID_TEMPLATE_PROP4

Interne ID: ID_TEMPLATE_PROP4

Rechts [Pixel]

X-Koordinate des rechten unteren Eckpunktes der Schablone in Pixel (ausgehend von der eingestellten Bildschirmauflösung).
Minimum: -2147483648.
Maximum: 2147483647.
Default: Maximum der aktuellen Bildschirmauflösung.

ACHTUNG: Wir empfehlen Schablonen nicht größer als 32000*32000 Pixel zu definieren um Schmiereffekte zu vermeiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosRight


ID_TEMPLATE_PROP5

Interne ID: ID_TEMPLATE_PROP5

Unten [Pixel]

Y-Koordinate des rechten unteren Eckpunktes der Schablone in Pixel (ausgehend von der eingestellten Bildschirmauflösung).
Minimum: -2147483648.
Maximum: 2147483647.
Default: Maximum der aktuellen Bildschirmauflösung.

ACHTUNG: Wir empfehlen Schablonen nicht größer als 32000*32000 Pixel zu definieren um Schmiereffekte zu vermeiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosBottom


ID_TEMPLATE_PROP7

Interne ID: ID_TEMPLATE_PROP7

Hintergrundfarbe

Hintergrundfarbe als Vorschlag für alle auf dieser Schablone neu definierten Bilder.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundColor


ID_TEMPLATE_PROP8

Interne ID: ID_TEMPLATE_PROP8

Grafikdatei

Auswahl der Hintergrundgrafik für alle auf dieser Schablone neu definierten Bilder.

Ein Klick auf die Auswahlschalfläche ... öffnet den Dialog zur Auswahl einer Datei.

Hinweis: Folgende Zeichen sind im Dateinamen verboten: / \ : * ? < > ! | " ' # %

Eine Änderung der Grafikdatei wirkt sich nicht auf bereits existierende Bilder aus, die auf dieser Schablone basieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundPicture


ID_TEMPLATE_PROP9

Interne ID: ID_TEMPLATE_PROP9

Ausrichtung

Nur verfügbar, nachdem eine Grafikdatei ausgewählt wurde:

Mögliche Darstellungsarten:
gekachelt: Originalgröße, in Kacheln nebeneinander.

gestreckt: formatfüllend, auf Bildgröße gestreckt.

normal: Originalgröße, in der linken oberen Ecke positioniert.
zentriert: Originalgröße, zentriert in der Bildmitte zentriert.

Default: normal.

Freies Verschieben ist nicht möglich

Hinweis: Eine Änderung der Ausrichtung wirkt sich nicht auf die Bilder aus, die auf der Schablone basieren.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundPictureStyle


ID_TEMPLATE_PROP10

Interne ID: ID_TEMPLATE_PROP10

Immer im Vordergrund

Aktiv: Kein anderes Bild überdeckt diesen Bereich im Onlinebetrieb. Bilder im Hintergrund können aber bedient werden.
Inaktiv: Bilder dieser Schablone können von anderen Bildern überdeckt werden.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowForeground


ID_TEMPLATE_PROP11

Interne ID: ID_TEMPLATE_PROP11

Titel

Nur verfügbar, wenn ein Rahmen für die Schablone ausgewählt ist:
Aktiv: Windows-Titelleisten für die Bilder dieser Schablone verwenden. Die Bilder können in der Runtime verschoben werden.
Inaktiv: Keine Titelleiste verwenden.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowTitle


ID_TEMPLATE_PROP12

Interne ID: ID_TEMPLATE_PROP12

Systemmenü

Nur verfügbar, wenn der Titel aktiv ist:
Aktiv: Windows-Systemmenü in der Titelleiste anzeigen.
Inaktiv: Kein Systemmenü anzeigen.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowSysMenu


ID_TEMPLATE_PROP13

Interne ID: ID_TEMPLATE_PROP13

Min./Max. Schaltflächen

Nur verfügbar, wenn der Titel aktiv ist:
Aktiv: Windows Symbolfeld in der Titelleiste anzeigen.
Inaktiv: Kein Symbolfeld anzeigen.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowMinimize


ID_TEMPLATE_PROP14

Interne ID: ID_TEMPLATE_PROP14

Rahmenart

Festlegung der Rahmenart. Diese definiert auch, ob die Größe der Schablone zur Runtime verändert werden kann.

  • Größenanpassung möglich: Die Größe der Schablone kann in der Runtime verändert werden. Ein dicker Rahmen wird um die Schablone dargestellt.
  • Größe fixiert: Die Größe kann nicht verändert werden. Ein dünner Rahmen wird um die Schablone dargestellt.
  • Kein Rahmen: Die Größe kann nicht verändert werden. Es wird kein Rahmen um die Schablone dargestellt.

Default: Kein Rahmen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BorderStyle


ID_TEMPLATE_PROP18

Interne ID: ID_TEMPLATE_PROP18

Anzeige im Schabloneneditor

Aktiv: Die ausgewählte Schablone wird im Schabloneneditor angezeigt.
Inaktiv: Die Schablone wird im Schabloneneditor nicht angezeigt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibleInEditor


ID_TEMPLATE_PROP20

Interne ID: ID_TEMPLATE_PROP20

Standardposition verwenden

aktiv: Positioniert die Schablone für die Alarmstatuszeile am oberen Bildschirmrand.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StandardPosition


ID_TEMPLATE_PROP21

Interne ID: ID_TEMPLATE_PROP21

Positionierung

Bestimmt die Position der Schablone und der auf ihr basierenden Bilder zur Runtime:

  • absolute Position verwenden: Positioniert die Schablone an den bei Position definierten Koordinaten.
  • relativ zum Element: Positioniert den Bezugspunkt der Schablone relativ zu jenem Element, von dem die Bildumschaltung angestoßen wurde. Hier können Sie sowohl den Bezugspunkt der Schablone (bei Bezugspunkt Schablone) als auch den Bezugspunkt des Elements (bei Bezugspunkt Element) inklusive der Abstände zum Element festlegen. Zur Runtime wird dann der Bezugspunkt der Schablone immer auf den errechneten Bezugspunkt des Elements gelegt. Kann die Schablone an dieser Position nicht aufgeschaltet werden, da das Bild dadurch außerhalb des sichtbaren Bildschirmbereichs wäre, werden die Alternativbezugspunkte verwendet. Diese stellen Sie für die Schablone bei Bezugspunkt Schablone ein und für das Element bei Alternativer Bezugspunkt Element ein.
  • relativ zum Mauszeiger: Das Bild wird abhängig vom Bezugspunkt der Schablone aufgeschaltet. Dieser entspricht der aktuellen Position des Mauszeigers. Den Bezugspunkt legen Sie bei Bezugspunkt Schablone fest. Er wird im Schablonen-Editor als roter Punkt dargestellt. Beispiel: Befindet sich der Bezugspunkt links oben, wird die Schablone vom Bezugspunkt ausgehend nach rechts unten aufgeschaltet.
    Kann das Bild an der projektierten Position nicht vollständig dargestellt werden, wird die Position soweit verschoben, dass das gesamte Bild innerhalb des dargestellten Bereichs des Bildschirms bleibt.

Default: absolute Position verwenden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosType


ID_TEMPLATE_PROP22

Interne ID: ID_TEMPLATE_PROP22

Vertikal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element oder relativ zum Mauszeiger auswählen.

Wählen Sie in der Dropdown Liste den gewünschten Bezugspunkt für die Schablone aus. Wählen Sie zwischen oben, unten oder zentriert.

Default: oben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RefVert


ID_TEMPLATE_PROP23

Interne ID: ID_TEMPLATE_PROP23

Horizontal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element oder relativ zum Mauszeiger wählen.

Wählen Sie in der Dropdown Liste den gewünschten Bezugspunkt für die Schablone aus. Wählen Sie zwischen links, rechts oder zentriert.

Default: links

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RefHorz


ID_TEMPLATE_PROP24

Interne ID: ID_TEMPLATE_PROP24

Vertikal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Wählen Sie in der Dropdown Liste den gewünschte bevorzugten Bezugspunkt auf dem Element aus. Bei der Aufschaltung der Schablone wird zuerst versucht von diesem Punkt auszugehen. Wählen Sie zwischen oben oder unten.

Default: oben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosVert


ID_TEMPLATE_PROP25

Interne ID: ID_TEMPLATE_PROP25

Horizontal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Wählen Sie in der Dropdown Liste den gewünschte bevorzugten Bezugspunkt auf dem Element aus. Bei der Aufschaltung der Schablone wird zuerst versucht von diesem Punkt auszugehen. Wählen Sie zwischen links oder rechts.

Default: links

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosHorz


ID_TEMPLATE_PROP26

Interne ID: ID_TEMPLATE_PROP26

Verschiebung vertikal [Pixel]

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Durch Eingabe eines positiven oder negativen Zahlenwertes, verschieben Sie den bevorzugten Bezugspunkt vertikal an die gewünschte Position.

Default: 2

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PixelVert


ID_TEMPLATE_PROP27

Interne ID: ID_TEMPLATE_PROP27

Verschiebung horizontal [Pixel]

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Durch Eingabe eines positiven oder negativen Zahlenwertes, verschieben Sie den bevorzugten Bezugspunkt horizontal an die gewünschte Position.

Default: 2

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PixelHorz


ID_TEMPLATE_PROP28

Interne ID: ID_TEMPLATE_PROP28

Alternativ vertikal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Wählen Sie in der Dropdown Liste den gewünschten alternativen Bezugspunkt für die Schablone aus. Bei der Aufschaltung der Schablone wird der alternative Bezugspunkt verwendet, wenn es nicht möglich ist, die Schablone am bevorzugten Bezugspunkt aufzuschalten. Wählen Sie zwischen oben, unten oder zentriert.

Default: oben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltRefVert


ID_TEMPLATE_PROP29

Interne ID: ID_TEMPLATE_PROP29

Alternativ horizontal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Wählen Sie in der Dropdown Liste den gewünschten alternativen Bezugspunkt für die Schablone aus. Bei der Aufschaltung der Schablone wird der alternative Bezugspunkt verwendet, wenn es nicht möglich ist die Schablone am bevorzugten Bezugspunkt aufzuschalten. Wählen Sie zwischen links, rechts oder zentriert.

Default: links

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltRefHorz


ID_TEMPLATE_PROP30

Interne ID: ID_TEMPLATE_PROP30

Vertikal

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Wählen Sie in der Dropdown Liste den gewünschte alternativen Bezugspunkt auf dem Element aus. Bei der Aufschaltung der Schablone wird der alternative Bezugspunkt verwendet, wenn es nicht möglich ist die Schablone am bevorzugten Bezugspunkt aufzuschalten. Wählen Sie zwischen oben oder unten.

Default: oben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltPosVert


ID_TEMPLATE_PROP31

Interne ID: ID_TEMPLATE_PROP31

Horizontal

Nur aktiv, wenn Sie bei Positionierung auf relativ zum Element auswählen.

Wählen Sie in der Dropdown Liste den gewünschten alternativen Bezugspunkt auf dem Element aus. Bei der Aufschaltung der Schablone wird der alternative Bezugspunkt verwendet, wenn es nicht möglich ist, die Schablone am bevorzugten Bezugspunkt aufzuschalten. Wählen Sie zwischen links oder rechts.

Default: links

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltPosHorz


ID_TEMPLATE_PROP32

Interne ID: ID_TEMPLATE_PROP32

Verschiebung vertikal [Pixel]

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Durch Eingabe eines positiven oder negativen Zahlenwertes, verschieben Sie den alternativen Bezugspunkt vertikal an die gewünschte Position.

Default: 2

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltPixelVert


ID_TEMPLATE_PROP33

Interne ID: ID_TEMPLATE_PROP33

Verschiebung horizontal [Pixel]

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Durch Eingabe eines positiven oder negativen Zahlenwertes, verschieben Sie den alternativen Bezugspunkt horizontal an die gewünschte Position.

Default: 2

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AltPixelHorz


ID_TEMPLATE_PROP34

Interne ID: ID_TEMPLATE_PROP34

Schließen bei Fokusverlust

Steuert das Verhalten der Schablone bei Fokusverlust.

Aktiv: Bei einem Linksklick außerhalb der Schablone schließt sich diese automatisch, wenn in einen Bildschirmbereich geklickt wird, der zwar zur zenon Runtime aber weder zur Schablone selbst noch zu einer Schablone mit gesetzter Eigenschaft Schließen bei Fokusverlust unterdrücken gehört.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CloseOnClickOutside


ID_TEMPLATE_PROP35

Interne ID: ID_TEMPLATE_PROP35

Freie Schablonenform

Ermöglicht die Verwendung der freien Schablonenform für die ausgewählte Schablone. Dadurch ist es möglich Schablonen mit z.B. abgerundeten Ecken, Löchern usw. zu definieren.

  • Aktiv: Die freie Schablonenform wird für diese Schablone und die damit verknüpften Bilder verwendet.
  • Inaktiv: Freie Schablonenform steht nicht nur Verfügung. Eine bereits bestehende freie Schablonenform wird im Schablonen- und im Bildeditor nicht angezeigt.

Default: inaktiv

Hinweise:

  • Steht für Schablone Alarmstatuszeile und Windows CE nicht zur Verfügung.
  • Kann mit Eigenschaften der Gruppe Rahmen nicht kombiniert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseFreeForming


ID_TEMPLATE_PROP36

Interne ID: ID_TEMPLATE_PROP36

Freie Schablonenform definieren

Nur verfügbar, wenn Sie Freie Schablonenform aktiviert haben.

Definieren Sie die Form für die ausgewählte Schablone. Führen Sie einen Linksklick auf die Schaltfläche aus, um die entsprechende Schablone im Schablonenform-Editor zu öffnen. Dort können Sie mithilfe von Kreisen, Rechtecken, abgerundeten Rechtecken und Polygonen die Form der Schablone festlegen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefineFreeForm


ID_TEMPLATE_PROP37

Interne ID: ID_TEMPLATE_PROP37

Schließen bei Fokusverlust unterdrücken

Steuert das Verhalten anderer Schablonen beim Fokusverlust. Es können Bildschirmbereiche definiert werden, in denen das Klicken in diese Schablone das automatische Schließen von Schablonen mit aktiver Eigenschaft Schließen bei Fokusverlust unterdrückt.

  • Aktiv: Wenn diese Schablone den Fokus erhält, dann bleiben alle anderen Schablonen mit aktivierter Eigenschaft Schließen bei Fokusverlust trotz Fokusverlust geöffnet.
  • Inaktiv: Wenn diese Schablone den Fokus erhält, dann werden alle anderen Schablonen mit aktivierter Eigenschaft Schließen bei Fokusverlust geschlossen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IgnoreCloseOnClick


ID_TEMPLATE_PROP38

Interne ID: ID_TEMPLATE_PROP38

Position und Größe beim Neuaufschalten beibehalten

Aktiv: Eine Schablone, die zur Runtime manuell verschoben wurde, wird beim Aufschalten eines neues Bildes nicht auf die projektierte Position zurückgesetzt, wenn sie bereits am selben Client geöffnet ist. Ihre Position und Größe und bleiben erhalten.

Hinweis: Diese Option muss aktiv sein, damit die Schablonenposition vor dem Nachladen gespeichert und die Schablone nach dem Nachladen wieder an der gespeicherten Position aufgeschalten wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NoMoveOnReopen


ID_TEMPLATE_PROP39

Interne ID: ID_TEMPLATE_PROP39

Breite (Maximum) [Pixel]

Definiert die maximale Breite der Schablone in Pixel, ausgehend vom linken Ankerpunkt.

  • Maximum: 10000
    Unter CE nicht vorhanden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosWidth


ID_TEMPLATE_PROP40

Interne ID: ID_TEMPLATE_PROP40

Höhe (Maximum) [Pixel]

Definiert die maximale Höhe der Schablone in Pixel, ausgehend vom oberen Ankerpunkt.

  • Maximum: 10000
    Unter CE nicht vorhanden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosHeight


ID_TEMPLATE_PROP41

Interne ID: ID_TEMPLATE_PROP41

Schablone mehrfach aufschaltbar

Aktiv: Schablone kann zur Runtime mehrfach aufgeschaltet werden. Bilder, die auf dieser Schablone basieren, werden beim Aufruf mit einer neuen Schablone statt der gleichen aufgeschaltet. Handelt es sich um dasselbe Bild, so wird auch das Bild ein weiteres Mal aufgeschaltet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OpenMultiple


ID_TEMPLATE_PROP_GRP0

Interne ID: ID_TEMPLATE_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Schablone.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_TEMPLATE_PROP_GRP1

Interne ID: ID_TEMPLATE_PROP_GRP1

Rahmen

Eigenschaften für den Rahmen der Schablone.

Stehen nicht zur Verfügung, wenn die Eigenschaft Freie Schablonenform aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Frame


ID_TEMPLATE_PROP_GRP2

Interne ID: ID_TEMPLATE_PROP_GRP2

Position

Eigenschaften für die Position und Größe der Schablone.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Position


ID_TEMPLATE_PROP_GRP3

Interne ID: ID_TEMPLATE_PROP_GRP3

Hintergrundgrafik

In jedem Bild kann eine Grafikdatei als Hintergrund angezeigt werden. Hintergrundgrafiken für Schablonen werden automatisch allen neuen Bildern zugewiesen, die auf dieser Schablone basieren. Bereits existierende Bilder müssen nachträglich manuell angepasst werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_BackgroundPicture


ID_TEMPLATE_PROP_GRP4

Interne ID: ID_TEMPLATE_PROP_GRP4

Bezugspunkt Schablone

Hier definieren Sie den Bezugspunkt der Schablone. Abhängig davon wird die Schablone in der Runtime aufgeschaltet, wenn Sie bei Positionierung relativ zum Mauszeiger bzw. relativ zum Element gewählt haben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_TemplateReference


ID_TEMPLATE_PROP_GRP5

Interne ID: ID_TEMPLATE_PROP_GRP5

Bezugspunkt Element

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Hier definieren Sie den Bezugspunkt zum Element. Abhängig davon wird die Schablone aufgeschaltet. Ist der Bezugspunkt beispielsweiße links/zentriert mit 0 Pixel Abstand, wird genau auf diesen Bezugspunk an der linken Kante in der Mitte des Elements der Bezugspunkt der Schablone positioniert. Den Bezugspunkt der Schablone stellen Sie unter Bezugspunkt Schablone ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_PrimaryReference


ID_TEMPLATE_PROP_GRP6

Interne ID: ID_TEMPLATE_PROP_GRP6

Alternativer Bezugspunkt Element

Nur aktiv, wenn Sie bei Positionierung relativ zum Element auswählen.

Hier definieren Sie den alternativen Bezugspunkt am Element. Dieser ist nur wirksam, wenn die Schablone nicht im darstellbaren Bereich des Bildschirms aufgeschaltet werden kann. Es empfiehlt sich immer die entgegengesetzen Einstellungen zum regulären Bezugspunkt (eingestellt bei Bezugspunkt Element) zu verwenden.

Beispiel: Ist der Bezugspunkt rechts/zentriert sollte der alternative Bezugspunkt links/zentriert sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AlternativeReference


ID_TEMPLATE_PROP_GRP7

Interne ID: ID_TEMPLATE_PROP_GRP7

Freie Schablonenform

Eigenschaften für die freie Schablonenform.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_FreeTemplateShape


ID_TEMPLOGIN

Interne ID: ID_TEMPLOGIN

Temporäres Login aktiv

Aktivierung des temporären Logins für Benutzer, die ein Element bedienen möchten, aber nicht eingeloggt sind:

  • Aktiv: Benutzer, der eine Bedienberechtigung benötigt, wird zur Eingabe seiner Kennung und seines Passworts aufgefordert. Dazu wird - je nach Konfiguration - das Bild vom Typ Login oder ein modaler Dialog aufgeschaltet. Der Benutzer wird sofort nach der Bedienhandlung automatisch wieder ausgeloggt.
  • Inaktiv: Benutzer, der eine Bedienberechtigung benötigt, erhält die Information, dass er zu dieser Bedienhandlung nicht berechtigt ist.

Default: aktiv

Hinweise:

  • Position und Größe der Login-Maske des modalen Dialogs können in der zenon6.ini unter [Befehlsgabe]Position = definiert werden.
  • Statt des modalen Dialogs kann das Bild vom Typ Login verwendet werden. Dieses wird mit der Eigenschaft Bild für Login mit Signatur definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TempLogin


ID_TEXTLIST_PROP01

Interne ID: ID_TEXTLIST_PROP01

Name

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_TEXTLIST_PROP02

Interne ID: ID_TEXTLIST_PROP02

Beschreibung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


ID_TEXTLIST_PROPGRP1

Interne ID: ID_TEXTLIST_PROPGRP1

Text

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_TIMEFILTER_MODIFYTIMEPERIOD

Interne ID: ID_TIMEFILTER_MODIFYTIMEPERIOD

ModifyTimePeriod

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ModifyTimePeriod


ID_TOPOLOGIE_PROP1

Interne ID: ID_TOPOLOGIE_PROP1

Strichelung1

Strichelung1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BrokenLine1


ID_TOPOLOGIE_PROP2

Interne ID: ID_TOPOLOGIE_PROP2

Strichelung2

Strichelung 2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BrokenLine2


ID_TOPOLOGIE_PROP3

Interne ID: ID_TOPOLOGIE_PROP3

Strichbreite

Strichbreite

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineWidth


ID_TOPOLOGIE_PROP4

Interne ID: ID_TOPOLOGIE_PROP4

Objektname als Link

Objektname als Link

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OBJNameLink


ID_TOPOLOGIE_PROP5

Interne ID: ID_TOPOLOGIE_PROP5

Anzeigemodus

Anzeige Modus

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisplayMode


ID_TOPOLOGIE_PROP6

Interne ID: ID_TOPOLOGIE_PROP6

Strichbreite gesichert

Strichbreite Gesichert

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineWidthFGES


ID_TOPOLOGIE_PROP7

Interne ID: ID_TOPOLOGIE_PROP7

Saumbreite

Saumbreite

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SaumWidth


ID_TOPOLOGIE_PROP8

Interne ID: ID_TOPOLOGIE_PROP8

Symbol F1

Symbol F1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolF1


ID_TOPOLOGIE_PROP9

Interne ID: ID_TOPOLOGIE_PROP9

Symbol F2

Symbol F2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolF2


ID_TOPOLOGIE_PROP10

Interne ID: ID_TOPOLOGIE_PROP10

Symbol FGES

Symbol FGES

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolFGES


ID_TOPOLOGIE_PROP11

Interne ID: ID_TOPOLOGIE_PROP11

2. Farbnummer "Ohne Spannung"

Symbol Saum

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolSaum


ID_TOPOLOGIE_PROP12

Interne ID: ID_TOPOLOGIE_PROP12

Symbol F1 Farben

Symbol F1 Farben

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolF1_Mode


ID_TOPOLOGIE_PROP13

Interne ID: ID_TOPOLOGIE_PROP13

Symbol F2 Farben

Symbol F2 Farben

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolF2_Mode


ID_TOPOLOGIE_PROP14

Interne ID: ID_TOPOLOGIE_PROP14

Symbol FGES Farben

Symbol FGES Farben

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolFGES_Mode


ID_TOPOLOGIE_PROP15

Interne ID: ID_TOPOLOGIE_PROP15

Symbol Saum Farben

Symbol Saum Farben

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolSaum_Mode


ID_TOPOLOGIE_PROP16

Interne ID: ID_TOPOLOGIE_PROP16

Variable SS_1_1

Variable SS_1_1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_1_1


ID_TOPOLOGIE_PROP17

Interne ID: ID_TOPOLOGIE_PROP17

Variable SS_1_2

Variable SS_1_2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_1_2


ID_TOPOLOGIE_PROP18

Interne ID: ID_TOPOLOGIE_PROP18

Variable SS_1_3

Variable SS_1_3

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_1_3


ID_TOPOLOGIE_PROP19

Interne ID: ID_TOPOLOGIE_PROP19

Variable SS_1_4

Variable SS_1_4

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_1_4


ID_TOPOLOGIE_PROP20

Interne ID: ID_TOPOLOGIE_PROP20

Variable Anfang1

Variable Anfang1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_Start1


ID_TOPOLOGIE_PROP21

Interne ID: ID_TOPOLOGIE_PROP21

Variable Normtrennstelle

Variable Normtrennstelle

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VariableStandardIsolatingPoint


ID_TOPOLOGIE_PROP22

Interne ID: ID_TOPOLOGIE_PROP22

Variable Anfang2

Variable Anfang 2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_Start2


ID_TOPOLOGIE_PROP23

Interne ID: ID_TOPOLOGIE_PROP23

Variable SS_2_1

Variable SS_2_1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_2_1


ID_TOPOLOGIE_PROP24

Interne ID: ID_TOPOLOGIE_PROP24

Variable SS_2_2

Variable SS_2_2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_2_2


ID_TOPOLOGIE_PROP25

Interne ID: ID_TOPOLOGIE_PROP25

Variable SS_2_3

Variable SS_2_3

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_2_3


ID_TOPOLOGIE_PROP26

Interne ID: ID_TOPOLOGIE_PROP26

Variable SS_2_4

Variable SS_2_4

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable_SS_2_4


ID_TOPOLOGIE_PROP27

Interne ID: ID_TOPOLOGIE_PROP27

Zeichen woanders getrennt

Zeichen woanders getrennt

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DistributionLineCharacter


ID_TOPOLOGIE_PROP31

Interne ID: ID_TOPOLOGIE_PROP31

Reaktanz

Blindwiderstand in Ohm zur Ermittlung des Fehlerorts.
Nur in Verbindung mit Option Fehlerort und Topologie.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Reactance


ID_TOPOLOGIE_PROP_GRP1

Interne ID: ID_TOPOLOGIE_PROP_GRP1

Topologie

Element\\Topologie

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Topology


ID_TOPOLOGIE_PROP_GRP2

Interne ID: ID_TOPOLOGIE_PROP_GRP2

Einfärbung

Element\\Topologie\\Symbolsteuerung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TopColors


ID_TOPOLOGIE_PROP_GRP3

Interne ID: ID_TOPOLOGIE_PROP_GRP3

Strang

Element\\Topologie\\Strang

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Strang


ID_TOPOLOGIE_PROP_GRP4

Interne ID: ID_TOPOLOGIE_PROP_GRP4

Netzberechnungen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetCalc


ID_TOPOLOGIE_PROP_GRP5

Interne ID: ID_TOPOLOGIE_PROP_GRP5

Kabel

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetCalcCable


ID_TOPOLOGIE_PROPxx

Interne ID: ID_TOPOLOGIE_PROPxx

SymbolSaum

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbolSaum


ID_TREIBER_CONFIG

Interne ID: ID_TREIBER_CONFIG

Konfiguration

Öffnet den Dialog zur Konfigurations des Treibers.

Hinweis: Für folgende Treiber ist keine Treiberkonfiguration möglich:

  • Treiber für interne Variablen
  • Treiber für Mathematik-Variablen
  • Treiber für System-Variablen
  • Treiber für alternative Datenpunkte

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Configuration


ID_TREIBER_FILE

Interne ID: ID_TREIBER_FILE

Dateiname

Dateiname des Treibers.
Die Datei befindet sich im Programmverzeichnis des Leitsystems.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NameFile


ID_TREIBER_GRP0

Interne ID: ID_TREIBER_GRP0

Allgemein

Allgemeine Eigenschaften für den Treiber.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_TREIBER_NAME

Interne ID: ID_TREIBER_NAME

Bezeichnung

Eindeutige Bezeichnung des Treibers.
zenon identifiziert den Treiber über diesen Namen und nicht über den Dateinamen. So ist es möglich, den gleichen Treiber mehrmals zu laden. Das ist z.B. bei seriellen Treibern notwendig, wenn sie auf gleiche Steuerungstypen an verschiedenen seriellen Schnittstellen zugreifen müssen.
Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_TREIBER_PROP6

Interne ID: ID_TREIBER_PROP6

Beschreibung

Beschreibung des Treibers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


ID_TREIBER_PROP_GRP0

Interne ID: ID_TREIBER_PROP_GRP0

Adressierung

Allgemeine Eigenschaften für den Treiber.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Address


ID_TREIBER_PROP_GRP1

Interne ID: ID_TREIBER_PROP_GRP1

Treiber Anbindung

Fasst Konfiguration der Anbindung mit IEC-Datentyp, Priorität und Standby zusammen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Driver


ID_TREIBER_PROP_GRP2

Interne ID: ID_TREIBER_PROP_GRP2

Array-Einstellungen

Eigenschaften für die Struktur von Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Structure


ID_TREIBER_PROP_GRP3

Interne ID: ID_TREIBER_PROP_GRP3

Struktur-Optionen

Optionen für Struktur-Elemente.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_StructureOpts


ID_TREIBER_PROP_GRP4

Interne ID: ID_TREIBER_PROP_GRP4

Adressierungsoptionen

Optionen für die Adressierung von Array-Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AddressOpts


ID_TREND_DEL

Interne ID: ID_TREND_DEL

{Kurve löschen}

Die Kurve wird gelöscht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CurveDel


ID_TREND_NEU

Interne ID: ID_TREND_NEU

{Kurve neu}

Eine neue Kurve für das Trendelement wird erstellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CurveNew


ID_TYPE_GW_NEW

Interne ID: ID_TYPE_GW_NEW

{Grenzwert neu}

Ein neuer Grenzwert für den Datentyp wird erstellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NewLimit


ID_UEBER_HELLIGKEIT

Interne ID: ID_UEBER_HELLIGKEIT

Über Helligkeitswerte

Nur verfügbar, wenn als Füllmuster Über Farbverlauf ausgewählt wurde.

Aktiv: Die Helligkeit des Farbverlaufs kann frei definiert werden.
Inaktiv: Die Helligkeit des Farbverlaufs wird automatisch vergeben.

Hinweis: Ist diese Eigenschaft aktiv, kann das Füllmuster nicht mehr geändert werden. Es können auch keine abgerundeten Ecken gesetzt werden. Wird die Option für ein Element aktiviert, das abgerundete Ecken verwendet, so wird das Element mit nicht abgerundeten Ecken dargestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Brightness


ID_UNIT_PROP_DECSHIFT

Interne ID: ID_UNIT_PROP_DECSHIFT

Kommaverschiebung

Korrektur der Nachkommastellen. Um diesen Wert wird die Anzahl der Kommastellen in der Umrechnungseinheit gegenüber der Basiseinheit verschoben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DecShift


ID_UNIT_PROP_FACTOR

Interne ID: ID_UNIT_PROP_FACTOR

Faktor

Angabe des Umrechnungsfaktors mit dem der Wert der Basiseinheit in den Wert der Umrechnungseinheit umgerechnet wird (k für y=kx+d bzw. m für y=mx+b).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Factor


ID_UNIT_PROP_GRP0

Interne ID: ID_UNIT_PROP_GRP0

Allgemein

Eigenschaften für die Einheitenumrechnung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_UNIT_PROP_NAME

Interne ID: ID_UNIT_PROP_NAME

Maßeinheit

Angabe der Basiseinheit, aus der umgerechnet wird, oder der Umrechnungseinheit, in die umgerechnet wird. Zum Beispiel C°, K, m, y, Celsius, Kelvin, Meter, Yard usw.

Die Eingabe ist auf 50 Zeichen beschränkt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_UNIT_PROP_OFFSET

Interne ID: ID_UNIT_PROP_OFFSET

Offset

aus Primäreinheit (d für y=kx+d)

Angabe des Umrechungsoffsets mit dem der Wert der Basiseinheit in den Wert der Umrechnungseinheit umgerechnet wird (d für y=kx+d bzw. b für y=mx+b).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset


ID_USER_ACTIVE

Interne ID: ID_USER_ACTIVE

Benutzer aktiv

Aktiv: Der Benutzer wird in der Runtime akzeptiert.
Inaktiv: Der Benutzer wird in der Runtime nicht akzeptiert.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserActive


ID_USER_GROUPS

Interne ID: ID_USER_GROUPS

Benutzergruppen

Alle Benutzergruppen, die dem ausgewählten Benutzer zugeordnet sind.

Klicken Sie auf die Schaltfläche, um Benutzergruppen hinzuzufügen oder zu entfernen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserGroups


ID_USER_GRP

Interne ID: ID_USER_GRP

Benutzer

Eigenschaften für den Benutzer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_USER_LOCKCODE

Interne ID: ID_USER_LOCKCODE

Sperrcode

4-stelliger PIN-Code.

Dieser Code wird vom Benutzer verwendet, um verschiedene Bereiche zu sperren bzw. wieder frei zugeben. Durch Sperren mit diesem Code wird verhindert, dass eine unbeabsichtigte Freigabe einer Sperrung erfolgt und so zu Unfällen führt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockCode


ID_USER_LOCKED

Interne ID: ID_USER_LOCKED

Gesperrt

Aktiv: Der Benutzer ist gesperrt.
Inaktiv: Der Benutzer ist nicht gesperrt.
Default: inaktiv.

Nach einer definierten Anzahl falscher Eingabe des Passwortes wird ein Benutzer automatisch gesperrt. Hier kann die Sperrung aufgehoben werde.
In der Runtime kann nur ein Administrator einen Benutzer entsperren, da nur ein Administrator Benutzer editieren kann.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserLocked


ID_USER_MSGCTRL_EMAIL

Interne ID: ID_USER_MSGCTRL_EMAIL

E-Mail

E-Mail Adresse des Benutzers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgEmail


ID_USER_MSGCTRL_ERSATZUSER

Interne ID: ID_USER_MSGCTRL_ERSATZUSER

Ersatzperson

Person, die den Benutzer bei Nichterreichbarkeit ersetzt. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Benutzers. Es werden nur Benutzer zur Auswahl angeboten, die als Message Control Benutzer aktiviert wurden (siehe Eigenschaft Message Control Benutzer).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgErsatzUser


ID_USER_MSGCTRL_GSM

Interne ID: ID_USER_MSGCTRL_GSM

GSM

Nummer des Mobiltelefons des Benutzers. Wird für Nachrichten über GSM und SMS verwendet.

Eingabe in Ziffern, ein führendes + als Abkürzung für 00 der internationalen Ländervorwahl ist erlaubt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgGSM


ID_USER_MSGCTRL_NACKCODE

Interne ID: ID_USER_MSGCTRL_NACKCODE

NA-Code

Not-Available-Code, mit dem der Benutzer die Annahme der Nachricht verweigern kann.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Dieser Code sollte sich deutlich vom Code der Eigenschaft PIN-Code unterscheiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgNACKCode


ID_USER_MSGCTRL_PHONE

Interne ID: ID_USER_MSGCTRL_PHONE

Telefon

Nummer des Festnetztelefons des Benutzers. Wird für Text to Speech verwendet.

Eingabe in Ziffern, ein führendes + als Abkürzung für 00 der internationalen Ländervorwahl ist erlaubt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgPhone


ID_USER_MSGCTRL_PINCODE

Interne ID: ID_USER_MSGCTRL_PINCODE

PIN-Code

PIN-Code, mit dem der Benutzer den Empfang der Nachricht bestätigt.
Der Code besteht aus einer vierstelligen Zahl zwischen 0000 und 9999.

Hinweis: Dieser Code sollte sich deutlich vom Code der Eigenschaft NA-Code unterscheiden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgPinCode


ID_USER_MSGCTRL_USER

Interne ID: ID_USER_MSGCTRL_USER

Message Control Benutzer

Aktiv: Benutzer wird von Message Control verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsMsgCtrlUser


ID_USERGROUP_GRP

Interne ID: ID_USERGROUP_GRP

Benutzergruppe

Eigenschaften für die Benutzergruppe

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_USERGROUP_LEVEL

Interne ID: ID_USERGROUP_LEVEL

Berechtigungsebenen

Alle Berechtigungsebenen, die der ausgewählten Benutzergruppe zugeordnet sind.

Klicken Sie auf die Schaltfläche, um Berechtigungsebenen hinzuzufügen oder zu entfernen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserGroupLevel


ID_USERGROUP_NAME

Interne ID: ID_USERGROUP_NAME

Name

Name der ausgewählten Benutzergruppe.

Klicken Sie in das Eingabefeld, um den Namen zu ändern.

Hinweis: @ ist kein gültiges Zeichen für den Namen einer Benutzergruppe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserGroupName


ID_USERGRP_MSGCTRL_ISMSGCTRL

Interne ID: ID_USERGRP_MSGCTRL_ISMSGCTRL

Message Control Gruppe

Aktiv: Benutzergruppe wird von Message Control verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsMsgCtrlGroup


ID_USERGRP_MSGCTRL_USERORDER

Interne ID: ID_USERGRP_MSGCTRL_USERORDER

Benutzerreihenfolge

Legt Reihenfolge der Benutzer in der Gruppe fest. Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration der Reihenfolge.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserGroupOrder


ID_USERKENNUNG

Interne ID: ID_USERKENNUNG

Benutzername

Eindeutige Kennung, mit der sich der Benutzer einloggen muss.
Bei diversen Benutzeraktionen kann diese Zeichenfolge in der Chronologischen Ereignisliste (CEL) angezeigt werden. In der CEL gibt es eine eigene Spalte für die Anzeige dieser Information. Zusätzlich kann diese Information auch mit Hilfe einer Systemtreiber-Variablen angezeigt werden.
Maximum: 20 Zeichen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserIdentification


ID_USERNAME

Interne ID: ID_USERNAME

Vollständiger Name

Name des Benutzers.
Beim diversen Benutzeraktionen kann diese Zeichenfolge in der Chronologischen Ereignisliste (CEL) angezeigt werden. Das sollte der volle Name der Benutzers sein. In der CEL gibt es eine eigene Spalte für die Anzeige dieser Information. Zusätzlich kann diese Information auch mit Hilfe einer Systemtreiber-Variable angezeigt werden.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserName


ID_USERPASSWORD

Interne ID: ID_USERPASSWORD

Passwort

Öffnet die Dialogbox zum Ändern des Passworts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserPassword


ID_VAR_ADP_VARSELECTOR

Interne ID: ID_VAR_ADP_VARSELECTOR

Selektor

Die verknüpfte Variable enthält die Information, welche Variable eines Prozesstreibers verwendet wird. Der Wert der verknüpften Variable ruft eine der in der Eigenschaft Quellvariablen projektierte Quellvariablen für den realen Prozess auf.

Klick auf ... öffnet den Variablenauswahldialog.

Default: leer
Bei fortlaufender Projektierung: die zuletzt verknüpfte Variable

Mehr im Treiber-Handbuch des ADP Treibers.

$$TS - CHECK Die Auswahl im Variablenauswahldialog ist abhängig vom Datentyp der ADP-Variable. Für numerische ADP-Variablen werden z.B. nur numerische zenon Variablen zur Auswahl angeboten.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarSelector


ID_VAR_AKS_GRP1

Interne ID: ID_VAR_AKS_GRP1

AKS-General

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AKS-General


ID_VAR_AKS_GRP1_ENG

Interne ID: ID_VAR_AKS_GRP1_ENG

AKS-General

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AKS-General


ID_VAR_AKS_GRP2

Interne ID: ID_VAR_AKS_GRP2

AKS-Extended

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AKS-Extended


ID_VAR_AKS_GRP2_ENG

Interne ID: ID_VAR_AKS_GRP2_ENG

AKS-Extended

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AKS-Extended


ID_VAR_AKS_GRP3

Interne ID: ID_VAR_AKS_GRP3

Redundanz

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Redundancy


ID_VAR_AKS_GRP3_ENG

Interne ID: ID_VAR_AKS_GRP3_ENG

Redundancy

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Redundancy


ID_VAR_AKS_GRP4

Interne ID: ID_VAR_AKS_GRP4

Befehle

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Command


ID_VAR_AKS_GRP4_ENG

Interne ID: ID_VAR_AKS_GRP4_ENG

Command

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Command


ID_VAR_ALARMBEREICH

Interne ID: ID_VAR_ALARMBEREICH

Alarmbereiche

Hier kann die Variable mit einem Alarmbereich verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDomain


ID_VAR_ALARMBEREICH1

Interne ID: ID_VAR_ALARMBEREICH1

Alarmbereich 1

Erster Alarmbereich, der einer Variablen, einer Struktur oder einem Datentyp zugewiesen wird. Auswahl aus Dropdownliste.
Werden mehrere Alarmbereiche verknüpft, dann wird beim Sortieren nach Bereichen zur Runtime nur der Alarmbereich 1 berücksichtigt.

Hinweis: Nicht verfügbar, wenn Hierarchische Alarmierung des Anlagenmodells verwenden aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDomain


ID_VAR_ALARMBEREICH2

Interne ID: ID_VAR_ALARMBEREICH2

Alarmbereich 2

Zweiter Alarmbereich, der einer Variablen, einer Struktur oder einem Datentyp zugewiesen wird. Auswahl aus Dropdownliste.
Werden mehrere Alarmbereiche verknüpft, dann wird beim Sortieren nach Bereichen zur Runtime nur der Alarmbereich 1 berücksichtigt.

Hinweis: Nicht verfügbar, wenn Hierarchische Alarmierung des Anlagenmodells verwenden aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDomain2


ID_VAR_ALARMBEREICH3

Interne ID: ID_VAR_ALARMBEREICH3

Alarmbereich 3

Dritter Alarmbereich, der einer Variablen, einer Struktur oder einem Datentyp zugewiesen wird. Auswahl aus Dropdownliste.
Werden mehrere Alarmbereiche verknüpft, dann wird beim Sortieren nach Bereichen zur Runtime nur der Alarmbereich 1 berücksichtigt.

Hinweis: Nicht verfügbar, wenn Hierarchische Alarmierung des Anlagenmodells verwenden aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDomain3


ID_VAR_ALARMBEREICH4

Interne ID: ID_VAR_ALARMBEREICH4

Alarmbereich 4

Vierter Alarmbereich, der einer Variablen, einer Struktur oder einem Datentyp zugewiesen wird. Auswahl aus Dropdownliste.
Werden mehrere Alarmbereiche verknüpft, dann wird beim Sortieren nach Bereichen zur Runtime nur der Alarmbereich 1 berücksichtigt.

Hinweis: Nicht verfügbar, wenn Hierarchische Alarmierung des Anlagenmodells verwenden aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDomain4


ID_VAR_ALARMKANAL0

Interne ID: ID_VAR_ALARMKANAL0

Alarm-Variable1

Nur verfügbar in SICAM 230.
Erste Variable für die Bildalarmierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPV0


ID_VAR_ALARMKANAL1

Interne ID: ID_VAR_ALARMKANAL1

Alarm-Variable2

Nur verfügbar in SICAM 230.
Zweite Variable für die Bildalarmierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPV1


ID_VAR_ALARMKANAL2

Interne ID: ID_VAR_ALARMKANAL2

Alarm-Variable3

Nur verfügbar in SICAM 230:
Dritte Variable für die Bildalarmierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmPV2


ID_VAR_ALARMQUIT

Interne ID: ID_VAR_ALARMQUIT

Quittiervariable

Wird ein Alarm der steuernden Variablen quittiert, dann wird der Wert der dieser Quittiervariablen auf den unter Quittierwert definierten Wert gesetzt.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Binärvaribalen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmQuitPV


ID_VAR_ALARMQUIT_VALUE

Interne ID: ID_VAR_ALARMQUIT_VALUE

Quittierwert

Wird ein Alarm dieser Variablen sichtquittiert oder quittiert, dann wird die unter Sichtquittiervariable bzw. Quittiervariable ausgewählte Variable auf diesen Wert gesetzt.

Auswahl 0 oder 1.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmQuitPVValue


ID_VAR_ALARMVIEWQUIT

Interne ID: ID_VAR_ALARMVIEWQUIT

Sichtquittiervariable

Wird ein Alarm der steuernden Variablen sichtquittiert, dann wird der Wert dieser Sichtquittiervariablen auf den unter Quittierwert definierten Wert gesetzt.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Binärvaribalen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmViewQuitPV


ID_VAR_ARCHHYSTNEG

Interne ID: ID_VAR_ARCHHYSTNEG

Negativ für Archiv

Hysterese für Archivierung bei Wertänderung bezogen auf Messbereich.

Hysteresebereich für Eintrag bei abnehmender Wertänderung. Werte werden nur dann ins Archiv eingetragen, wenn die Änderung unter dem hier eingestellten Hysteresebereich liegt.
Default: 0 (keine Hysterese)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ArchHystNeg


ID_VAR_ARCHHYSTPOS

Interne ID: ID_VAR_ARCHHYSTPOS

Positiv für Archiv

Hysterese für Archivierung bei Wertänderung bezogen auf Messbereich.

Hysteresebereich für Eintrag bei zunehmender Wertänderung. Werte werden nur dann ins Archiv eingetragen, wenn die Änderung über dem hier eingestellten Hysteresebereich liegt.
Default: 0 (keine Hysterese)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ArchHystPos


ID_VAR_ARRAYSIZE

Interne ID: ID_VAR_ARRAYSIZE

Größe Blockarray

Definition der Block-Array-Größe. Die eingestellte Größe liest bzw. schreib der Treiber mit einer Lese-/Schreibanforderung. Damit ist sichergestellt, dass die Daten konsistent sind. Die Daten sind ausschließlich im Rezeptgruppenmanager und über die Programmierschnittstelle verarbeitbar.
Achtung: Im Intern Treiber zwar einstellbar, aber zur Runtime ohne Funktion (Wert immer 0).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ArraySizeOld


ID_VAR_ARRDIM1

Interne ID: ID_VAR_ARRDIM1

Dim 1

Größe der ersten Dimension des Arrays.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Dim1


ID_VAR_ARRDIM2

Interne ID: ID_VAR_ARRDIM2

Dim 2

Größe der zweiten Dimension des Arrays.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Dim2


ID_VAR_ARRDIM3

Interne ID: ID_VAR_ARRDIM3

Dim 3

Größe der dritten Dimension des Arrays.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Dim3


ID_VAR_AUSRICHTUNG

Interne ID: ID_VAR_AUSRICHTUNG

Ausrichtung

Abhängig von der Granularität des Treibers die Position der Variable innerhalb des definierten Offsets.

Für Byte-Variablen:
HiByte: Höherwertiges Byte im Wort-Offset.
LoByte: Niederwertiges Byte im Wort-Offset.
HiWord-HiByte Höherwertiges Byte im höherwertigen Wort im Doppelwort-Offset.
HiWord-LoByte: Niederwertiges Byte im höherwertigen Word im Doppelwort-Offset.
LoWord-HiByte: Höherwertiges Byte im niederwertigen Wort im Doppelwort-Offset.
LoWord-LoByte: Niederwertiges Byte im niederwertigen Wort im Doppelwort-Offset.

Für Wort-Variablen:
HiWord: Höherwertiges Wort im Doppelwort-Offset.
LoWord: Niederwertiges Wort im Doppelwort-Offset.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Alignment


ID_VAR_BASETYPE

Interne ID: ID_VAR_BASETYPE

IEC Datentyp

Zugrundeliegender Datentyp.

ACHTUNG: Wenn der zugrundelegende Datentyp nachträglich geändert wird, müssen alle anderen Eigenschaften des Datentyps überprüft bzw. angepasst werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ID_DataTyp


ID_VAR_BEZEICHNUNG

Interne ID: ID_VAR_BEZEICHNUNG

Allgemein

Allgemeine Eigenschaften der Variable oder des Datentyps.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Title


ID_VAR_BIT

Interne ID: ID_VAR_BIT

Bitnummer

Nummer des Bits innerhalb des eingestellten Offsets.
Minimum: 0.
Maximum: 65535.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BitAddr


ID_VAR_BMKENNUNG

Interne ID: ID_VAR_BMKENNUNG

Betriebsmittelkennung

Beliebiger String.
Wird in zenon intern nicht verwendet, steht aber beim Export von Werten zur Verfügung, um eine Zuordnung der exportierten Werte für Management-Systeme (z. B. ERP) zu ermöglichen.

Maximale Länge: 255 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Recourceslabel


ID_VAR_CANCEL_OPERATE

Interne ID: ID_VAR_CANCEL_OPERATE

Operate abbrechen

Wenn aktiviert, dann darf bei Befehlsgabe auch nach einem Operate ein Cancel geschickt werden.

Hinweis: Die Eigenschaft ist nur in der Energy Edition verfügbar.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CancelOperate


ID_VAR_CPLX_OFFSET

Interne ID: ID_VAR_CPLX_OFFSET

Start Offset

Startoffset für die Strukturvariable.
An diesem Offset wird mit der Adressierung der beinhalteten Variablen begonnen.
Minimum: 0.
Maximum: 4294967295.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset


ID_VAR_DB

Interne ID: ID_VAR_DB

Datenbaustein

Nummer des Datenbausteins.
Minimum: 0.
Maximum: 4294967295.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DataBlock


ID_VAR_DDEAKTIV

Interne ID: ID_VAR_DDEAKTIV

Variable ständig lesen

Einstellung für das Lesen der Variable und ihre Verfügbarkeit über DDE zur Runtime:

  • Aktiv: Die Variable ist beim Treiber immer angemeldet. Damit wird sie vom Treiber kontinuierlich gelesen, auch wenn sie im Projekt gerade nicht benötigt wird. Der Treiber verfügt damit immer über aktuelle Werte und den aktuellen Status der Variablen und kann diese bei Bedarf sofort zur Verfügung stellen. Die Variable steht auch anderen Windows-Anwendungen zur Verfügung (z.B. Excel, Visual Basic etc.). Windows-Anwednungen mit DDE-Client-Funktionalität können die Variablenwerte somit nutzen.
    Updatezeit: 0,5 s
    Die Aktivierung dieser Option bringt den Vorteil, dass zum Beispiel das Toggeln von Variablenwerten in der Funktion Sollwert setzen oder im Bildelement Schalter schneller ausgeführt wird, weil die Variable vor dem Umschalten nicht extra abgefragt werden muss. Ein Nachteil besteht in der höheren Auslastung der Kommunikation mit der Steuerung.
  • Inaktiv: Die Variable wird vom Treiber nicht permanent abgefragt, sondern nur, wenn Werte oder Status von der Runtime angefordert werden. Sie steht damit auch anderen Windows-Anwendungen über DDE nicht zur Verfügung.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DDEActive


ID_VAR_DESC

Interne ID: ID_VAR_DESC

Beschreibung

Bezeichnung des Datentyps.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


ID_VAR_EINHEIT

Interne ID: ID_VAR_EINHEIT

Maßeinheit

Technische Einheit der Variablen für die Darstellung zur Runtime. Wurden im Knoten Maßeinheiten bereits Basiseinheiten erstellt, stehen diese in einer Dropdownliste zur Auswahl zur Verfügung.
Maximum: 50 Zeichen
Default: leer

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Unit


ID_VAR_ERSATZ

Interne ID: ID_VAR_ERSATZ

Archivfüllwert

Dieser Wert wird verwendet, um zyklische Archive aufzufüllen. Wenn es dort Zeitbereiche gibt, zu denen es keine Verbindung zur Hardware gab, wird dieser Wert verwendet, solange noch kein Wert von der Hardware übertragen wurde. Sonst wird der der zuletzt gültige Wert zum Auffüllen verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlternateValue


ID_VAR_EXTERN

Interne ID: ID_VAR_EXTERN

Externe Einstellungen

Externe Eigenschaften für zenon Logic. Betrifft nur Variablen, die nicht vom straton-Treiber sind.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_External


ID_VAR_GW_AKTIV

Interne ID: ID_VAR_GW_AKTIV

Grenzwert aktiv

Aktiv: Der Grenzwert wird in der Runtime berücksichtigt.
Inaktiv: Der Grenzwert wird in der Runtime ignoriert.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Active


ID_VAR_GW_ALARM

Interne ID: ID_VAR_GW_ALARM

In Alarmmeldeliste

Aktiv: Bei einer Grenzwertverletzung wird ein Eintrag in der Alarmmeldeliste erstellt.
Inaktiv: In der Alarmmeldeliste wird kein Eintrag erstellt.
Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Alarm


ID_VAR_GW_ALARMCAUSE

Interne ID: ID_VAR_GW_ALARMCAUSE

Alarmursache erforderlich

Nur verfügbar, wenn die Eigenschaft Quittierpflichtig aktiv ist.

Aktiv: Bevor ein Alarm quittiert werden kann, muss eine Alarmursache verknüpft werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmCause


ID_VAR_GW_ALARMVERW

Interne ID: ID_VAR_GW_ALARMVERW

Aufruf über Button im Bild Alarmmeldeliste

Nur verfügbar, wenn der Grenzwert ein Alarm ist:

  • Aktiv: Die verknüpfte Funktion wird im Onlinebetrieb nicht spontan ausgeführt, sondern erst bei der Betätigung des Buttons "Funktion" in der Alarmliste.
  • Inaktiv: Die Funktion wird spontan ausgeführt, sobald der Alarm auftritt.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AML_Call


ID_VAR_GW_AMLCEL

Interne ID: ID_VAR_GW_AMLCEL

AML/CEL

Eigenschaften für die Alarm- und Chronologische Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AML_CEL


ID_VAR_GW_BLINKEN

Interne ID: ID_VAR_GW_BLINKEN

Blinken

Aktiv: Dynamische Elemente, die mit dieser Variable verknüpft sind, beginnen zu blinken, sobald dieser Grenzwert verletzt wird.
Das Blinken kann durch einen rechten Doppelklick quittiert werden.
Inaktiv: Kein Blinken wird durch diesen Grenzwert hervorgerufen.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Blinking


ID_VAR_GW_CEL

Interne ID: ID_VAR_GW_CEL

In Chronologische Ereignisliste

Aktiv: Im Fall einer Grenzwertverletzung wird ein Eintrag in der Chronologischen Ereignisliste (CEL) erstellt.
Inaktiv: Kein Eintrag in der Chronologischen Ereignisliste wird erstellt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Cel


ID_VAR_GW_DEL

Interne ID: ID_VAR_GW_DEL

{Grenzwert löschen}

Der Grenzwert wird gelöscht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DelLimit


ID_VAR_GW_DRUCKEN

Interne ID: ID_VAR_GW_DRUCKEN

Drucken

Aktiv: Alarm oder Grenzwertverletzung wird für diese Variable je nach Einstellung in Eigenschaft Ausdruck für in der Gruppe AML und CEL der Projekteigenschaften online gedruckt.
Inaktiv: Kein Online-Ausdruck.
Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Print


ID_VAR_GW_FARBE

Interne ID: ID_VAR_GW_FARBE

Grenzwertfarbe

Farbinformation für die Symboleinfärbung und die Zustandsfarbe bei der Verwendung der Variablen im Binärelement; die Farbdefinition der Alarmtexte in der Alarmmeldeliste erfolgt in der Alarm/Ereignis-Klassendefinition

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Color


ID_VAR_GW_FKT

Interne ID: ID_VAR_GW_FKT

Funktion

Eigenschaften für die verknüpfte Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Function


ID_VAR_GW_FUNKTION

Interne ID: ID_VAR_GW_FUNKTION

Funktion

Funktion, die in der Runtime automatisch ausgeführt werden soll, wenn der Grenzwert verletzt wird.
Ist der Zustand als Alarm definiert, kann die spontane Funktionsausführung unterbunden werden. Wählen Sie dazu die Option Aufruf über Button im Bild Alarmmeldeliste.
Wenn hier mehr als eine Funktion ausgeführt werden soll, so muss ein Skript mit den gewünschten Funktionen erstellt und die Funktion zum Ausführen des Skripts hier verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_VAR_GW_GRENZWERT

Interne ID: ID_VAR_GW_GRENZWERT

Grenzwert

Nur verfügbar, wenn kein dynamischer Grenzwert definiert ist:
Definiert den Wert, ab welchem der Grenzwert verletzt ist.
Ob Werte darüber oder darunter eine Verletzung auslösen, wird bei der Eigenschaft "Minimum / Maximum" festgelegt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitValue


ID_VAR_GW_GRP1

Interne ID: ID_VAR_GW_GRP1

Grenzen

Eigenschaften für die Berechnung des Grenzwerts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Ranges


ID_VAR_GW_GRUPPE

Interne ID: ID_VAR_GW_GRUPPE

Alarm/Ereignis-Gruppe

Klick auf die Schaltfläche ... öffnet den Dialog Auswahl Alarm/Ereignis-Gruppe.

Zuweisung einer Alarm/Ereignis-Gruppe (max. 65535) für den Grenzwert bei Verwendung als Alarm.
Die Zuordnung zu einer Alarm/Ereignis-Gruppen erfolgt durch Auswahl in der Liste.
Default: 0 - (nicht verwendet).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Group


ID_VAR_GW_HILFE

Interne ID: ID_VAR_GW_HILFE

Hilfe-Datei

Nur verfügbar, wenn für den Grenzwert die Eigenschaft In Alarmmeldeliste aktiviert wurde.

Auswahl der CHM-Datei, aus der ein Hilfe-Kapitel für diesen Alarm in der Alarmliste angezeigt werden soll.

Projektierung für EPLAN:
Der Aufruf einer Seite aus EPLAN ist möglich. Dazu muss die EPLAN-Anbindung lizenziert sein und der Pfad zum EPLAN-Programm in der zenon6.ini definiert sein.
Konfiguration:

  • Eingabe der Zeichenfolge $PRG:xxxxxx

    xxxxxx ist Platzhalter für die zu übergebenden Parameter

  • die Eigenschaft Hilfe-Kapitel wird ignoriert, darf aber nicht leer sein

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HelpFile


ID_VAR_GW_HILFEKAP

Interne ID: ID_VAR_GW_HILFEKAP

Hilfe-Kapitel

Nur verfügbar, wenn für den Grenzwert die Eigenschaft In Alarmmeldeliste aktiviert wurde.
Angabe des Hilfe-Kapitels, das für diesen Alarm in der Alarmliste angezeigt werden soll. Dazu muss in der Eigenschaft Hilfe-Datei eine CHM-Datei verknüpft sein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HelpCapture


ID_VAR_GW_HLP

Interne ID: ID_VAR_GW_HLP

Hilfe

Eigenschaften für die Konfiguration der Hilfe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Help


ID_VAR_GW_KLASSE

Interne ID: ID_VAR_GW_KLASSE

Alarm/Ereignis-Klasse

Klick auf die Schaltfläche ... öffnet den Dialog Auswahl Alarm/Ereignis-Klasse.

Zuweisung einer Alarm/Ereignis-Klasse (max. 65535) für den Grenzwert bei Verwendung als Alarm.
Die Alarm/Ereignis-Klassenzuordnung erfolgt durch Auswahl in der Liste.
Default: 0 - (nicht verwendet).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Class


ID_VAR_GW_KOMMENTAR

Interne ID: ID_VAR_GW_KOMMENTAR

Kommentar erforderlich

Nur verfügbar, wenn Eigenschaft Quittierpflichtig aktiv ist.

Aktiv: Bevor ein Alarm quittiert werden kann, muss ein Kommentar eingegeben werden. Der Benutzer muss dazu über die Funktionsberechtigung Alarm Kommentar eingeben verfügen.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmComment


ID_VAR_GW_LOESCHEN

Interne ID: ID_VAR_GW_LOESCHEN

Zweistufiges Quittieren

Nur verfügbar bei aktiver Eigenschaft Quittierpflichtig.

  • Aktiv: Der Alarm wird nur dann aus dem Ringpuffer entfernt, wenn er quittiert wurde und gegangen ist und das Entfernen aus dem Ringpuffer bestätigt wurde.
  • Inaktiv: Der Alarm wird aus dem Ringpuffer entfernt, wenn er quittiert wurde und gegangen ist.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmDelete


ID_VAR_GW_MINMAX

Interne ID: ID_VAR_GW_MINMAX

Minimum/Maximum

Minimum: Grenzwertverletzung beim Erreichen oder Unterschreiten des definierten Grenzwertes.
Maximum: Grenzwertverletzung beim Erreichen oder Überschreiten des definierten Grenzwertes.
Default: Minimum.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsMax


ID_VAR_GW_NEW

Interne ID: ID_VAR_GW_NEW

{Grenzwert neu}

Ein neuer Grenzwert wird angelegt.
Bis zu 65535 Grenzwerte sind möglich.
Bit-Variablen haben immer zwei Grenzwerte.
Grenzwerte für String-Variablen sind nicht möglich. Stattdessen kann hier (wie bei anderen Variablen auch) eine Reaktionsmatrix verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NewLimit


ID_VAR_GW_PREVIEW

Interne ID: ID_VAR_GW_PREVIEW

Grenzwertvorschau

Anzeige der für die Variable oder den einfachen Datentyp definierten Grenzwerte oder Remas.

Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der definierten Grenzwerte oder konfigurierten Reaktionsmatrix. Um Grenzwerte anzuzeigen, darf die Eigenschaft Reaktionsmatrix keine Verknüpfung enthalten.
Konfigurierte Eigenschaften werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Eigenschaften für Grenzwerte oder im Dialog Reaktionsmatrix erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LimitPreview


ID_VAR_GW_QUITTIEREN

Interne ID: ID_VAR_GW_QUITTIEREN

Quittierpflichtig

Nur verfügbar für Alarme.
Aktiv: Der Alarm muss quittiert werden, bevor er aus dem Ringpuffer entfernt wird.
Inaktiv: Keine Quittierung erforderlich.
Default bei Alarmen: aktiv, sonst inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmAcknowledge


ID_VAR_GW_SCHWELLWERT

Interne ID: ID_VAR_GW_SCHWELLWERT

Schwellwert

Es kann ein Schwellwert eingegeben werden, der für das Gehen eines Grenzwertes eingesetzt wird. Ungewollte Reaktionen bei sich rasch ändernden (z.B. flatternden) numerischen Werten können somit vermieden werden.

Beispiel 1: Maximalwert = 900, Schwellwert = 10, ergibt 890
Grenzwert ist verletzt ab einem Wert 900 und verlässt den kritischen Bereich wieder, wenn er unter 890 geht.

Beispiel 2: Minimalwert = 900, Schwellwert = 10, ergibt 910
Grenzwert ist verletzt ab einem Wert 900 und verlässt den kritischen Bereich wieder, wenn er über 910 geht.

Im Unterschied zur Hysterese beeinflusst diese Eigenschaft nicht die Darstellung des Wertes, sondern nur das Alarmverhalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ThresholdValue


ID_VAR_GW_TEXT

Interne ID: ID_VAR_GW_TEXT

Grenzwerttext

Dieser Text wird zur Runtime bei Grenzwertverletzungen - je nach Einstellung - in der Alarmmeldeliste, der Chronologischen Ereignisliste und/oder der Alarmstatuszeile ausgegeben.

Dynamischer Grenzwerttext: Erlaubt es, aktuelle Werte anderer Variablen, sowie zusätzliche Variableninformationen in den Grenzwerttext einer Variable und von Reaktionsmatrizen mit aufzunehmen. Dabei lässt sich auch ein fixer Text über einen Index mit Schlüsselwörter aus einer Sprachtabelle verknüpfen.

Die Verwendung von dynamischen Grenzwerttexten führt zu Begrenzungen:
Statischer Text wird im Speicherbereich für den Grenzwert abgelegt, wofür maximal 1024 Zeichen zur Verfügung stehen. Die Werte der verknüpften Variablen werden im Speicherbereich für den Kommentartext abgelegt, begrenzt auf maximal 80 Zeichen. Es kann dann kein Kommentar in der Alarmmeldeliste bzw. der Chronologischen Ereignisliste eingegeben werden

Dieses Begrenzungen können durch die Erweiterung für lange dynamische Grenzwerttexte verändert werden. Aktivieren Sie dazu Lange dynamische Grenzwerttexte CEL bzw. Lange dynamische Grenzwerttexte AML. Variablenwerte für dynamische Grenzwerttexte werden dann in eine eigene Datei ausgelagert und das Kommentarfeld steht wieder für Kommentare zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text


ID_VAR_GW_UNSICHTBAR

Interne ID: ID_VAR_GW_UNSICHTBAR

Unsichtbar

Einstellung für Sichtbarkeit. Bestimmt, ob ein Element oder Zustand zur Runtime angezeigt wird.

  • Aktiv: Zustand wird im Dynamischen Element Zustandselement nicht dargestellt oder Elemente werden nicht dargestellt, wenn ihre Sichtbarkeit über diese Variable gesteuert wird.
  • Inaktiv: Die Sichtbarkeit wird nicht durch die Grenzwertverletzung beeinflusst.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Invisible


ID_VAR_GW_VARIABEL

Interne ID: ID_VAR_GW_VARIABEL

Dynamischer Grenzwert aktiv

Steuert, ob der Grenzwert fix definiert ist oder über eine Variable dynamisch festgelegt wird.

  • Inaktiv: Der Grenzwert wird über eine feste Wertzuordnung definiert.
  • Aktiv: Der Grenzwert wird über den Wert einer anderen Variablen definiert.
    AML/CEL: Als Zeitstempel für die Grenzwertverletzung in der AML und/oder der CEL wird der jüngere Zeitstempel der beiden Variablen benutzt

Default: inaktiv

ACHTUNG: Ändert sich der variable Grenzwert, so dass der aktuelle Wert der Variable ohne Änderung dann im verletzten Bereich liegt, wird auch eine Grenzwertverletzung ausgelöst.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsVariable


ID_VAR_GW_VARIABLE

Interne ID: ID_VAR_GW_VARIABLE

Variable

Nur verfügbar, wenn der dynamische Grenzwert aktiv ist:
Variable, die als dynamischer Grenzwert verwendet werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


ID_VAR_GW_VERZOEGEUNG

Interne ID: ID_VAR_GW_VERZOEGEUNG

Verzögerungszeit [s]

Zeitspanne in Sekunden, in der die Grenzwertverletzung anstehen muss. Der Wert muss mindestens die angegebene Zeitspanne ununterbrochen anstehen, damit die definierten Aktionen der Grenzwertverletzung ausgelöst werden.
AML/CEL:

  • Als Zeitstempel für die Grenzwertverletzung in der AML und/oder der CEL wird der Zeitpunkt der ersten Verletzung verwendet.
  • Als Wert wird der erste Wert nach der Verzögerungszeit eingetragen, also nicht der Alarm auslösende Wert.

Minimum: 0
Maximum: 4294967295
Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Delay


ID_VAR_GW_ZUSATZ_ATTRIB

Interne ID: ID_VAR_GW_ZUSATZ_ATTRIB

Zusatzattribute

Zusätzliche Eigenschaften für den Grenzwert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_AddAttrib


ID_VAR_HDAKTIV

Interne ID: ID_VAR_HDAKTIV

Harddisk Datenspeicherung aktiv

Aktiv: Variablenwerte werden auf der Festplatte (Ringspeicher) für die Auswertung im dynamischen Element "Trendelement" oder den Export/Import der Werte gespeichert.

Inaktiv: Keine Variablenwerte werden gespeichert.

Default: inaktiv.

Die HD-Daten brauchen je gespeicherten HD-Wert 24 Bytes Platz, unabhängig vom zu speichernden Variablentyp. Neben dem Wert werden noch folgende Informationen gespeichert:
- Zeit, zu der der Wert gemessen wurde.
- Millisekunden beim Einlesen des Wertes.
- Status des Wertes um Elemente entsprechend anzupassen.
- Zähler für eindeutige Kennung des Wertes (Spontantreiber).

Hinweis: Die Datenspeicherung wird auch bei der Bildumschaltung auf ein Bild vom Typ Erweiterter Trend aktiviert, wenn Onlinedaten ausgewertet werden.
Variablen vom Typ String werden von der Harddisk-Datenspeicherung nicht unterstützt.

Achtung: Eine zu große Anzahl von Variablen mit aktivierter Harddisk Datenspeicherung und einer großen Wertanzahl kann zu Performance-Einbußen in der Runtime führen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HDActive


ID_VAR_HDRDA

Interne ID: ID_VAR_HDRDA

Aufzeichnungsart

Nur verfügbar, wenn die Eigenschaft Harddisk Datenspeicherung aktiv aktiv ist:
Harddisk-Daten (zyklisch): Zyklisches Schreiben der Werte auf die Festplatte.
Nachsortierte Werte (RDA): Die Werte werden blockweise vom Treiber auf die Festplatte geschrieben. (Für Post-Mortem-Analyse bei Fehler auf der Steuerung geeignet.)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsKDAActiv


ID_VAR_HDUPDATE

Interne ID: ID_VAR_HDUPDATE

Zykluszeit [s]

Nur verfügbar, wenn die Eigenschaft Harddisk Datenspeicherung aktiv aktiv ist:
Intervallzeit [in Sekunden] für die Ablage von Onlinewerten auf der Festplatte (Ringspeicher) für die Auswertung im dynamischen Element Trend, für Onlinedaten im Erweiterten Trend oder den Export/Import der Werte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HDUpdate


ID_VAR_HDWERTE

Interne ID: ID_VAR_HDWERTE

Anzahl Werte

Nur verfügbar, wenn die Eigenschaft Harddisk Datenspeicherung aktiv aktiv ist:
Werteanzahl für die Ablage von Onlinewerten auf der Festplatte (Ringspeicher) für die Auswertung im Dynamischen Element Trend, für Onlinedaten im Erweiterten Trend oder den Export/Import der Werte.

Achtung: Eine zu große Anzahl von Variablen mit aktivierter Harddisk Datenspeicherung und einer großen Wertanzahl kann zu Performance-Einbußen in der Runtime führen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HDSize


ID_VAR_HYSTERESE

Interne ID: ID_VAR_HYSTERESE

Hysterese

Eigenschaften für die Hysterese.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Hysteresis


ID_VAR_HYSTNEG

Interne ID: ID_VAR_HYSTNEG

Negativ für Signal

Hysterese für Grenzwert bezogen auf Signalbereich.

Hysteresebereich für Eintrag bei abnehmender Wertänderung. Werte werden nur dann als Grenzwertverletzung interpretiert, wenn die Änderung unter dem hier eingestellten Hysteresebereich liegt.
Default: 0 (keine Hysterese)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HystNeg


ID_VAR_HYSTPOS

Interne ID: ID_VAR_HYSTPOS

Positiv für Signal

Hysterese für Grenzwert bezogen auf Signalbereich.

Hysteresebereich für Eintrag bei zunehmender Wertänderung. Werte werden nur dann als Grenzwertverletzung interpretiert, wenn die Änderung über dem hier eingestellten Hysteresebereich liegt.
Default: 0 (keine Hysterese)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HystPos


ID_VAR_INTERN_INITIALWERT

Interne ID: ID_VAR_INTERN_INITIALWERT

Initialwert

Der hier definierte Wert wird beim Start der Runtime als aktueller Wert der Variable verwendet, wenn die Eigenschaft Remanenz auf Initialwert gesetzt ist.
Hinweis: Als Dezimaltrennzeichen sind sowohl Punkt als auch Komma als Trennzeichen erlaubt. Der Wert wird intern immer in eine Zahl mit Punkt als Trennzeichen umgewandelt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Initial_value


ID_VAR_INTERN_LOKAL

Interne ID: ID_VAR_INTERN_LOKAL

Berechnung

Einstellung, ob Variable des Intern Treibers im zenon Netzwerk verteilt wird.

  • Lokal:
    Die interne Variable wird bei Netzwerk-Projekten lokal d.h. auf dem Client ausgewertet bzw. verwaltet. Eine Verteilung des Wertes in das zenon Netzwerk erfolgt nicht.
    D.h. der Wert der Variable kann auf jedem Client unterschiedlich sein und auch die Grenzwerte werden lokal ausgewertet.
  • Netzwerk:
    Die interne Variable wird bei Netzwerk-Projekten auf dem Server des Projekts ausgewertet bzw. verwaltet. Sie hat auf dem Server und auf allen Clients denselben Wert.

Default: lokal.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Local


ID_VAR_INTERN_REMANENZ

Interne ID: ID_VAR_INTERN_REMANENZ

Remanenz

Aus: Beim Start der Runtime wird der Ersatzwert der Variable bzw. bei String-Variablen ein leerer String als Startwert verwendet.
Initialwert: Der Startwert wird auf den in der Eigenschaft "Initialwert" angegebenen Wert gesetzt.
Remanent: Der letzte Wert der Variablen wird beim Neustart der Runtime als Startwert verwendet.
Default: aus.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Remanenz


ID_VAR_KANALTYP

Interne ID: ID_VAR_KANALTYP

Treiberobjekttyp

Abhängig vom verwendeten Teiber wird bei der Erstellung der Variable ein Objekttyp ausgewählt und kann hier später geändert werden.
Siemens: Datenbaustein, Merker, Ein-/Ausgang.
Modbus: Coil und Holding Register.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ID_DriverTyp


ID_VAR_KENNUNG

Interne ID: ID_VAR_KENNUNG

Kennung

Frei definierbarer String für die Identifikation der Variable oder des Datentyps.
Hinweis: Da der Variablenname (Eigenschaft Name) nicht sprachumschaltbar ist, kann diese Eigenschaft für die Online-Sprachumschaltung verwendet werden.

Maximale Länge: 128 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Tagname


ID_VAR_LBOUND

Interne ID: ID_VAR_LBOUND

Startindex

Wählen Sie den Startindex des Arrays aus der Dropdownliste aus.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LBound


ID_VAR_LINANPASS

Interne ID: ID_VAR_LINANPASS

Wertanpassung linear

Lineare Wertanpassung über Messbereich.
Einstellungen zur linearen Umrechnung der SPS-Werte in Visualisierungswerte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_LinAdjust


ID_VAR_LOCKING

Interne ID: ID_VAR_LOCKING

Befehlsgruppe

Verknüpfung einer Befehlsgruppe zu dieser Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockingName


ID_VAR_MAKROHARDWARE

Interne ID: ID_VAR_MAKROHARDWARE

AdjustHardwareValue

Nur verfügbar, wenn die Eigenschaft Nicht-lineare Wertanpassung über Makros aktiv ist.

Makro, wird zur Runtime bei jeder Änderung des Rohwertes in der SPS aufgerufen und passt den Wert in zenon an. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Makros.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AdjustHardware


ID_VAR_MAKROZENON

Interne ID: ID_VAR_MAKROZENON

AdjustScadaValue

Nur verfügbar, wenn die Eigenschaft Nicht-lineare Wertanpassung über Makros aktiv ist.

Makro wird beim Absetzen eines Werts aus zenon aufgerufen und passt den Rohwert auf der SPS an. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Makros.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AdjustZenon


ID_VAR_MAXGRADIENT

Interne ID: ID_VAR_MAXGRADIENT

Maximaler Gradient

Nur verfügbar in SICAM 230.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxGradient


ID_VAR_MESSMAX

Interne ID: ID_VAR_MESSMAX

Messbereich max.

Maximaler Wert der Variablen in zenon.
Wenn nicht durch die Wertanpassung nichtlinear anders definiert, wird der Rohwert der Variablen (Signalauflösung) für die Verwendung im Leitsystem immer linear in den Messbereich umgerechnet. Alle weiteren numerischen Werteingaben für die Variable in Editor und Runtime beziehen sich auf den Messbereich (z.B. Definition von Grenzwerten, Sollwertgrenzen, Darstellungsbereich, Sollwertvorgaben, ...).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RangeMax


ID_VAR_MESSMIN

Interne ID: ID_VAR_MESSMIN

Messbereich min.

Minimaler Wert der Variablen in zenon.
Wenn nicht durch die Wertanpassung nichtlinear anders definiert, wird der Rohwert der Variablen (Signalauflösung) für die Verwendung im Leitsystem immer linear in den Messbereich umgerechnet. Alle weiteren numerischen Werteingaben für die Variable in Editor und Runtime beziehen sich auf den Messbereich (z.B. Definition von Grenzwerten, Sollwertgrenzen, Darstellungsbereich, Sollwertvorgaben, ...).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RangeMin


ID_VAR_NACHKOMMA

Interne ID: ID_VAR_NACHKOMMA

Nachkommastellen

Anzahl der Nachkommastellen des Variablenwertes für die Darstellung im Leitsystem.

  • Minimum: 0
  • Maximum: 10

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Digits


ID_VAR_NAME

Interne ID: ID_VAR_NAME

Name

Eindeutiger Name der Variable. Für die Namensvergabe gilt:

  • Maximale Länge: 128 Zeichen
  • Verbotene Zeichen: # und @

Hinweis: Für Treiber, die auf einer zenon Logic Verbindung beruhen, ist ein Präfix zu beachten. Details siehe Abschnitt Anlegen von B und B Variablen in zenon Logic im Handbuch.
Änderungen des Variablennamens müssen in den Programmierumgebungen (VBA, VSTA) nachgezogen werden.

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_VAR_NETADDR

Interne ID: ID_VAR_NETADDR

Netzadresse

Busadresse oder Netzadresse der Variablen.

  • Minimum: 0
  • Maximum: 4294967295

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetAddr


ID_VAR_NORMALZUSTAND

Interne ID: ID_VAR_NORMALZUSTAND

Normalwert

Wählen Sie in der Dropdownliste, ob der Normalwert für diese Variable oder Datentyp Ein oder Aus sein soll. Verfügbar für Variablen und Datentypen vom Typ BOOL, UINT und WORD für alle Treiber.

Default: Aus

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NormalState


ID_VAR_NORMALZUSTANDAKT

Interne ID: ID_VAR_NORMALZUSTANDAKT

Aktiv

Ermöglicht das Definieren eines Normalzustands für Variablen und Datentypen vom Typ Bool, UINT und WORD für alle Treiber.

Aktiv: Es kann ein Normalzustand definiert werden

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NormalStateActive


ID_VAR_OFFSET

Interne ID: ID_VAR_OFFSET

Offset

Offset der Variable.
Bei linear adressierenden Steuerungen: der Speicherbereich.
Bei namensauflösenden Steuerungen: die Zuweisungsadresse.
Minimum: 0.
Maximum: 4294967295.
Default: 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset


ID_VAR_OFS_SOURCE

Interne ID: ID_VAR_OFS_SOURCE

Offset-Berechnung

Wählen Sie die gewünschte Berechnungsart für den Offset aus. Folgende Möglichkeiten stehen Ihnen zur Verfügung:

  • Adresse folgt Datentyp-Offset und Start-Offset
  • Automatische Adressierung
  • Manuelle Addressierung

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OfsSource


ID_VAR_PRIORITAET

Interne ID: ID_VAR_PRIORITAET

Priorität

Wenn die globale Updatezeit in der Treiber-Konfiguration nicht verwendet wird, können dort Updatezeiten für die verschiedenen Prioritäten gesetzt werden. In dieser Eigenschaft wird einer Variable eine Priorität zugeordnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UpdatePriority


ID_VAR_PROP_ANALYZER1

Interne ID: ID_VAR_PROP_ANALYZER1

Anzeigename

Eingabe eines Anzeigenames für die Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein, wird in zenon aber nicht überprüft. Die Überprüfung erfolgt beim Import in den zenon Analyzer.

Diese Eigenschaft liefert Informationen, die bei der Report-Konfiguration im zenon Analyzer verwendet werden. Der Export aus zenon in den zenon Analyzer erfolgt mit dem Analyzer Export Wizard.

Achtung: Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisualName


ID_VAR_PROP_ANALYZER2

Interne ID: ID_VAR_PROP_ANALYZER2

Bedeutung

Diese Eigenschaft liefert Informationen, die bei der Report-Konfiguration im zenon Analyzer verwendet werden.
Daten können manuell eingegeben oder über den Meaning and Waterfall Chart Wizard gesetzt werden. Der Export aus zenon in den zenon Analyzer erfolgt mit dem Analyzer Export Wizard.

Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Mehrere Bedeutung werden durch Komma getrennt.
Syntax: [Meaning1],[Meaning2],…,[MeaningN]

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Meaning


ID_VAR_PROP_ANALYZER3

Interne ID: ID_VAR_PROP_ANALYZER3

Parameter für Wasserfall-Diagramm

Diese Eigenschaft liefert Informationen, die bei der Report-Konfiguration im zenon Analyzer verwendet werden.
Daten können manuell eingegeben oder über den Meaning and Waterfall Chart Wizard gesetzt werden. Der Export aus zenon in den zenon Analyzer erfolgt mit dem Analyzer Export Wizard.

Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Einträge können für Linienbasierte Reports oder für Maschinenbasierte Reports erstellt werden. Beim Export wird abhängig vom Aufbau der Einträge entschieden, ob es sich um Einträge für maschinenbasierte oder linienbasierte Diagramme handelt.

Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
Syntax maschinenbasiert: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
Syntax linienbasiert: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WaterfallParam


ID_VAR_PROP_GRP0

Interne ID: ID_VAR_PROP_GRP0

Adressierung

Eigenschaften für die Adressierung der Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Address


ID_VAR_PROP_GRP1

Interne ID: ID_VAR_PROP_GRP1

Wertberechnung

Definition des Wertebereichs der Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Value


ID_VAR_PROP_GRP2

Interne ID: ID_VAR_PROP_GRP2

Zusätzliche Einstellungen

Erweiterte Eigenschaften für die Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Extended


ID_VAR_PROP_GRP3

Interne ID: ID_VAR_PROP_GRP3

Harddisk Datenspeicherung

Eigenschaften für das Speichern von Variablenwerten auf der Festplatte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_HardDisk


ID_VAR_PROP_GRP4

Interne ID: ID_VAR_PROP_GRP4

Grenzwerte

Eigenschaften zum Grenzwertverhalten bzw. Alarmverhalten der Variable.

Eigenschaften dieser Gruppe stehen nur zur Verfügung, wenn Reaktionsmatrix aktiv nicht aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Limits


ID_VAR_PROP_GRP7

Interne ID: ID_VAR_PROP_GRP7

Protokollierung in CEL

Eigenschaften für die Protokollierung in der Chronologischen Ereignisliste (CEL).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SetValueProtocol


ID_VAR_PROP_GRP8

Interne ID: ID_VAR_PROP_GRP8

Alarmbehandlung

Eigenschaften für Quittierung und Alarmbereiche.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Alarmhandling


ID_VAR_PROP_GRP9

Interne ID: ID_VAR_PROP_GRP9

Bildalarmierung

Nur verfügbar in SICAM 230:
Eigenschaften für die Bildalarmierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_PictureAlarm


ID_VAR_PROP_GRP10

Interne ID: ID_VAR_PROP_GRP10

Normalzustand

Eigenschaften für den Normalzustand einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_NormalState


ID_VAR_PROP_GRP11

Interne ID: ID_VAR_PROP_GRP11

Interne Variable

Eigenschaften für interne Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_InternalVariable


ID_VAR_PROP_GRP12

Interne ID: ID_VAR_PROP_GRP12

Systemtreibervariable

Eigenschaften für Systemtreiber Variablen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SystemVariable


ID_VAR_PROP_GRP13

Interne ID: ID_VAR_PROP_GRP13

Analyzer

Eigenschaften für die Verwendung im zenon Analyzer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_Analyser


ID_VAR_PROP_GRP14

Interne ID: ID_VAR_PROP_GRP14

Alternative Variable

Eigenschaften für Variablen des ADP Treibers

Mehr im Treiber-Handbuch des ADP Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ADPVariable


ID_VAR_PROP_GRP_GOOSE

Interne ID: ID_VAR_PROP_GRP_GOOSE

GOOSE

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE


ID_VAR_READWRITE

Interne ID: ID_VAR_READWRITE

Sollwert setzen

Aktiv: Diese Variable für "Sollwert setzen" Aktionen freigeben.
Inaktiv: Diese Variable ist schreibgeschützt.
Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InOut


ID_VAR_REMA

Interne ID: ID_VAR_REMA

Reaktionsmatrix

Auswahl einer Reaktionsmatrix zur Verknüpfung mit der ausgewählten Variablen bzw. dem ausgewählten Datentyp. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl der Reaktionsmatrix.
Reaktionsmatrizen können in diesem Dialog auch kopiert, konfiguriert und neu erstellt werden. Das Löschen von Reaktionsmatrizen ist hier nicht möglich. Wenn Sie die Verknüpfung einer Reaktionsmatrix aufheben möchten, klicken Sie im Dialog auf die Schaltfläche Keine Auswahl.

Default: <Keine Reaktionsmatrix verknüpft>

Hinweis: Die Eigenschaft Grenzwertvorschau zeigt eine Vorschau auf die verknüpfte Reaktionsmatrix an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Rema


ID_VAR_REMA_KNOTEN

Interne ID: ID_VAR_REMA_KNOTEN

Reaktionsmatrix

Eigenschaften für die Verwendung einer Reaktionsmatrix für die Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Rema


ID_VAR_REMAAKTIV

Interne ID: ID_VAR_REMAAKTIV

Reaktionsmatrix aktiv

Aktiv: Statt der Grenzwerte wird eine Reaktionsmatrix verwendet.
Inaktiv: Grenzwerte können für die Variable definiert werden.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsRemaActiv


ID_VAR_SBO

Interne ID: ID_VAR_SBO

Select Before Operate

Achtung: Diese Funktionalität wird nur von den Treibern IEC870 und IEC850 unterstützt und nur, wenn in der Befehlsgabe für die Eigenschaft Aktionstyp Schaltbefehl gewählt wurde und die Aktion zwei-Stufig ausgeführt wird. Verwenden Sie diese Funktionalität nicht bei dem DNP3_NG Treiber, hier kann Auto-SBO bei der Variable direkt konfiguriert werden.

Aktiv: Bevor der Wert der Variablen in die Hardware geschrieben wird, fragt zenon bereits bei der ersten Stufe des Schaltbefehls ab, ob die Variable in der Hardware für die Aktion bereit ist = Select before Operate (SBO).
Achtung: Bei Impulsbefehlen wird dann das automatische Zurücksetzen des Variablenwerts nach der in der Eigenschaft Flankenverzögerung definierten Zeitspanne nicht ausgeführt.

Ist bei der Aktionsvariable die Eigenschaft SBO aktiviert, verhält sich ein Pulsbefehl gleich wie ein Schaltbefehl.

Inaktiv: Der Wert der Variable wird ohne vorherige Rückfrage an der Treiber übergeben.

Hinweis: in iec870 Treiber bedeutet es Direct execute. Der iec850 Treiber kann dann doch ein Select before Operate automatisch auslösen - wegen Control Model.
Default: inaktiv
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SBO


ID_VAR_SIGMAX

Interne ID: ID_VAR_SIGMAX

Signalbereich max.

Maximaler Wert der Variablen in der Steuerung.
Wenn nicht durch die Wertanpassung nichtlinear anders definiert, wird der Rohwert der Variablen (Signalauflösung) für die Verwendung im Leitsystem immer linear in den Messbereich umgerechnet. Alle weiteren numerischen Werteingaben für die Variable in Editor und Runtime beziehen sich auf den Messbereich (z.B. Definition von Grenzwerten, Sollwertgrenzen, Darstellungsbereich, Sollwertvorgaben, ...).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SignalMax


ID_VAR_SIGMIN

Interne ID: ID_VAR_SIGMIN

Signalbereich min.

Minimaler Wert der Variablen in der Steuerung.
Wenn nicht durch die Wertanpassung nichtlinear anders definiert, wird der Rohwert der Variablen (Signalauflösung) für die Verwendung im Leitsystem immer linear in den Messbereich umgerechnet. Alle weiteren numerischen Werteingaben für die Variable in Editor und Runtime beziehen sich auf den Messbereich (z.B. Definition von Grenzwerten, Sollwertgrenzen, Darstellungsbereich, Sollwertvorgaben, ...).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SignalMin


ID_VAR_SIGNAL

Interne ID: ID_VAR_SIGNAL

Wertbereich Steuerung

Wertbereich der Variable in der Steuerung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SignalRange


ID_VAR_SOLLMAX

Interne ID: ID_VAR_SOLLMAX

Max. Sollwert

Das hier eingestellte Maximum für "Sollwert absetzen" Aktionen kann in dynamischen Elementen übernommen werden, anstatt dass es dort separat eingestellt werden muss.
Dies empfiehlt sich vor allem, wenn sich im Messbereich der Variablen nachträglich Änderungen ergeben können, da diese Änderungen hier zentral und nicht bei jedem einzelnen Element angepasst werden können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueMax


ID_VAR_SOLLMIN

Interne ID: ID_VAR_SOLLMIN

Min. Sollwert

Das hier eingestellte Minimum für "Sollwert absetzen" Aktionen kann in dynamischen Elementen übernommen werden, anstatt dass es dort separat eingestellt werden muss.
Dies empfiehlt sich vor allem, wenn sich im Messbereich der Variablen nachträglich Änderungen ergeben können, da diese Änderungen hier zentral und nicht bei jedem einzelnen Element angepasst werden können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueMin


ID_VAR_STANDBY

Interne ID: ID_VAR_STANDBY

Nur von Standby Server anfordern

Quelle des Variablenwertes für die Anzeige in der Runtime wenn das Projekt in einem zenon Netzwerk eingesetzt wird.

  • Aktiv:
    Die Variable visualisiert den Wert vom Standby Server.
  • Inaktiv:
    Die Variable visualisiert den Wert vom Prozessführenden Server.

Hinweis: Ist diese Eigenschaft aktiviert und kann der Variablenwert nicht vom Standby Server ausgelesen werden (in der Runtime mit einem blauen Punkt dargestellt) wird dies auf dem Statusbit N_UPDATE abgebildet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Standby


ID_VAR_STRINGLAENGE

Interne ID: ID_VAR_STRINGLAENGE

Stringlänge

Nur verfügbar bei String-Variablen.
Maximale Anzahl von Zeichen, die die Variable aufnehmen kann.
Minimum: 1 Zeichen
Wird der unzulässige Wert 0 eingegeben, wird automatisch der zuletzt gültige projektierte Wert verwendet. Wurde noch kein gültiger Wert projektiert wird die Eingabe mit dem Default-Wert ersetzt.
Maximum: 65535 Zeichen
Default: 5 Zeichen

Hinweis: für Systemtreibervariablen vom Datentyp String ist der Default-Wert 65535.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StringLength


ID_VAR_STRINGLAENGE2

Interne ID: ID_VAR_STRINGLAENGE2

Stringlänge

Nur verfügbar bei String-Variablen:
Maximale Anzahl von Zeichen, die die Variable aufnehmen kann.
Minimum: 0
Maximum: 65535
Default: 5

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxStringLen


ID_VAR_SWP_ACT

Interne ID: ID_VAR_SWP_ACT

Alter und neuer Wert

  • Aktiv: Beim Ändern des Sollwerts dieser Variable werden der alte und der neue Wert in der Chronologischen Ereignisliste (CEL) protokolliert.
  • Inaktiv: Nur der neue Wert wird protokolliert.

Default: inaktiv

Empfehlung: Aktivieren Sie die Eigenschaft Variable ständig lesen. Damit steht der Wert ständig zur Verfügung und muss nicht extra abgefragt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SV_Act


ID_VAR_SWP_ART

Interne ID: ID_VAR_SWP_ART

Protokollierung

Legt fest, wie das Sollwert Absetzen in der CEL protokolliert wird:

  • Alles: Alle "Sollwert absetzen" Aktionen dieser Variable über Dynamische Elemente und "Sollwert setzen" Funktionen werden in der Chronologischen Ereignisliste (CEL) protokolliert.
  • Nichts: Keine "Sollwert absetzen" Aktionen werden in der CEL protokolliert.
  • Nur über Dynamisches Element: Nur Aktionen über Dynamische Elemente werden in der CEL mitprotokolliert.

Default: Nur über Dynamisches Element

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueProtocol


ID_VAR_SWP_VBA

Interne ID: ID_VAR_SWP_VBA

Sollwert setzen über VBA

Aktiv : Setzen des Sollwerts dieser Variable über ein VBA-Makro wird in der Chronologischen Ereignisliste (CEL) protokolliert.
Inaktiv: Setzen des Sollwerts dieser Variable über ein VBA-Makro wird nicht protokolliert.
Default: aktiv

Hinweis: Bei Variablen, die im IEC870 process gateway als Befehlsvariable konfiguriert sind, wird bei aktiver Eigenschaft jeden Befehl als Sollwert Absetzen über die COM-Schnittstelle in der CEL protokolliert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SV_VBA


ID_VAR_SYMBADDR

Interne ID: ID_VAR_SYMBADDR

Symbolische Adresse

Zeichenfolge für symbolische Adresse der Variablen.

Maximale Länge: 1024 Zeichen.

Hinweis: Die symbolische Adresse wird nicht von allen Treibern unterstützt.
Beim Import der Variablen in Treiber, welche symbolische Adressierung unterstützen, wird die Eigenschaft automatisch eingetragen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SymbAddr


ID_VAR_TREIBER

Interne ID: ID_VAR_TREIBER

Treiber

Treiber für die Variable. Dieser wird beim Erstellen der Variable ausgewählt und kann hier später verändert werden.

Hinweis: Treiber für zenon Logic Projekte können nachträglich nicht mehr verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Driver


ID_VAR_TYPE

Interne ID: ID_VAR_TYPE

Datentyp

Datentyp der Variable. Dieser wird beim Erstellen der Variable ausgewählt und kann hier später verändert werden.
Hinweis: Für Strukturvariablen kann der Datentyp nach dem Erstellen der Variablen nicht mehr geändert werden.
Achtung: Wenn der Datentyp nachträglich geändert wird, müssen alle anderen Eigenschaften der Variable überprüft bzw. angepasst werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ID_DataTyp


ID_VAR_USEMAKRO

Interne ID: ID_VAR_USEMAKRO

Nicht-lineare Wertanpassung über Makros

Die nicht-lineare Wertanpassung wird bei Variablen verwendet, deren Rohwert (Steuerung) sich nicht linear in den Messwert (Leitsystem) skalieren lässt.

  • Aktiv: Rohwerte werden nicht-linear mit VBA Makros auf zenon skaliert.
  • Inaktiv: Rohwerte werden linear auf zenon skaliert.

Hinweis: Bei Aktivierung der Eigenschaft müssen immer auch die Eigenschaften AdjustHardwareValue und AdjustScadaValue konfiguriert werden. Dabei muss die Eigenschaft AdjustHardwareValue als Umkehrfunktion invers zu AdjustScadaValue konfiguriert werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseMacro


ID_VAR_WERTATTRIB

Interne ID: ID_VAR_WERTATTRIB

Wertattribute

Eigenschaften für die Wertattribute der Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ValueAttrib


ID_VAR_ZWREMANR

Interne ID: ID_VAR_ZWREMANR

Zählergruppe

Nur verfügbar in SICAM 230.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CounterGroup


ID_VARGROUP

Interne ID: ID_VARGROUP

Externe Variablengruppe

Externe Eigenschaft für zenon Logic. Betrifft nur Variablen, die nicht vom straton32-Treiber sind.
Variablengruppe in zenon Logic ("Global" oder "Retain" oder leer).

Eigenschaft wird nur zur Information angezeigt. Bearbeitung nur mit zenon Logic.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Vargroup


ID_VARINASM

Interne ID: ID_VARINASM

In IPA-Datenbank speichern

Aktiv: Die Alarme dieser Variable sind für die Auswertung im Industrial Performance Analyzer (IPA) verfügbar.
Inaktiv: Die Alarme dieser Variable werden bei der Auswertung im Industrial Performance Analyzer nicht berücksichtigt.
Default: inaktiv

Achtung: Der Industrial Performance Analyzer ist ein optionales Modul und muss lizenziert sein, um verwendet werden zu können.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarInASM


ID_VERRIEG_CBTR_FORMULA

Interne ID: ID_VERRIEG_CBTR_FORMULA

Erkennungsunterdrückung

Eingabe der Formel, mit der die Erkennung eines Schalterfalls unterdrückt wird. Klick auf die Schaltfläche ... öffnet den Formeleditor.

Für die Formel können alle Variablen aus der Liste der Befehlsgruppe verwendet werden, Namensersetzungen mit '*' wie bei der Definition der Verriegelungsbedingungen einer Aktion sind möglich.

Hinweis: Variablen, die in der Formel verwendet werden, können von der Liste der Befehlsgruppe nicht gelöscht werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CBTR_Formula


ID_VERRIEG_CBTR_MONITORED

Interne ID: ID_VERRIEG_CBTR_MONITORED

Schalterfallerkennung

Steht nur zur Verfügung, wenn die Eigenschaft Status PROGRESS setzen aktiviert ist.

Aktiv: Überwacht Rückmeldevariable auf unerwarteten Wertwechsel von <> 0 auf 0.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CBTR_Act


ID_VERRIEG_PROP1

Interne ID: ID_VERRIEG_PROP1

Name

Eindeutiger Name der Verriegelung oder Befehlsgabe.
Default: Verriegelung/Befehlsgruppe x (wobei x eine fortlaufende Zahl ist).

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch zum Erstellen einer:

  • Verriegelung

Befehlsgabe

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_VERRIEG_PROP2

Interne ID: ID_VERRIEG_PROP2

Aktionsvariable

Name der mit der Befehlsgruppe verknüpften Variablen.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_VERRIEG_PROP3

Interne ID: ID_VERRIEG_PROP3

Variablenname der Rückmeldung

Variablenname bzw. die Maske für das Ersetzen der Rückmeldevariable.
Ein im Namen vorkommendes Sternchen (*) dient als Platzhalter für den Ersetzungstext. Es kann nur ein Platzhalter im Namen verwendet werden. Bei der Eingabe der Maske ist darauf bedacht zu nehmen, dass dieser Name bei der Ersetzung auch einen vorhandenen Variablennamen ergibt.
Wenn die hier verwendete Variable (ersetzt oder absolut) zum Zeitpunkt des Erzeugens der Runtime Dateien nicht vorhanden ist, steht diese Befehlsgruppe in der Runtime nicht zur Verfügung. Eine entsprechende Meldung weist beim Erzeugen von Runtime Dateien auf diesen Fehler hin.
Direkte Eingabe oder öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ReturnInformation


ID_VERRIEG_PROP4

Interne ID: ID_VERRIEG_PROP4

Status PROGRESS setzen

Aktiv: Bei den Aktionen Befehl (alle), Sollwertvorgabe und Nachführen wird das Statusbit In Bedienung [PROGRESS] bei der Rückmeldevariable gesetzt, wenn die Aktionen in der Runtime angestoßen werden.
Das Bit dient dazu eine grafische Anzeige zu realisieren, um dem Benutzer anzuzeigen, dass gerade eine Aktion ausgeführt wird. Mit Hilfe eines Combi-Elements oder einer Reaktionsmatrix können Sie das Statusbit abfragen und eine grafische Anzeige umsetzen.

Inaktiv: Das Statusbit wird nicht gesetzt.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DesiredDirection


ID_VERRIEG_PROP5

Interne ID: ID_VERRIEG_PROP5

Laufzeitüberwachung

Bestimmt den Ablauf der Laufzeitüberwachung.

Hinweis: Diese Laufzeitüberwachung unterstützt nur die Aktionstypen Schaltbefehl, Pulsbefehl und eingeschränkt Sollwertvorgabe.

Mögliche Einstellungen:

  • keine:
    Keine Laufzeitüberwachung.
  • nur über Rückmeldevariable (RV):
    Der Wert der Rückmeldevariable wird benutzt, um zu überprüfen, ob der Vorgang erfolgreich war. Die Überwachung wird nur aktiviert, wenn der zu schreibende Wert ungleich dem aktuellen Wert der Aktionsvariable ist.
    Nicht für Sollwertvorgabe.
  • nur über Übertragungsursache (COT):
    COT (Cause of Transmission) wird benutzt, um zu überprüfen, ob der Vorgang erfolgreich war.
    Für die Aktion 'Befehl' werden die Statusbits der Übertragungsursache (COTx) ausgewertet. Die Überwachung wird abgeschlossen, wenn COT_actterm (10) erreicht wird.
  • über COT und RV:
    Wartet und reagiert auf COT und auf Wertänderungen der Rückmeldevariable. Kombiniert die Eigenschaften von nur über Rückmeldevariable (RV) und nur über Übertragungsursache (COT).
    Für Sollwertvorgabe: Wie nur über Übertragungsursache (COT)

Generell gilt: Wird innerhalb der - bei der Aktion projektierten - Eigenschaft Timeout die Laufzeitüberwachung nicht erfolgreich beendet, wird bei der Rückmeldevariable das Statusbit TIMEOUT gesetzt.
Bei aktivierter Eigenschaft Statusbits auf Befehlsvariablen schreiben wird das Statusbit zusätzlich auch bei der Befehlsvariable gesetzt.

Default: keine.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WatchDogTimer


ID_VERRIEG_PROP6

Interne ID: ID_VERRIEG_PROP6

Aktionstyp

Nur verfügbar bei der Aktion Befehl:
Typ des Befehls.
Schaltbefehl: Schreibt den Wert der Eigenschaft Befehl.
Pulsbefehl: Schreibt den Wert der Eigenschaft Befehl. Nach der Flankenverzögerung wird der Wert 0 geschrieben. Dieses Schreiben ist nicht mehr laufzeitüberwacht.

Hinweis: Nur verfügbar für die Befehlsaktion Pulsbefehl. Werden in der Befehlsgabe andere Aktionen gewählt, werden diese im Aktionstyp voreingetragen und werden für die weitere Bearbeitung ausgegraut.

Default: Schaltbefehl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


ID_VERRIEG_PROP7

Interne ID: ID_VERRIEG_PROP7

Rückmeldezustand/Schaltrichtung

Definiert den erwarteten Wert bzw. Status der Rückmeldevariable nach Aktionsausführung.

Die möglichen Eingaben unterscheiden sich je nach Aktion .

  • AUS: Der Rückmeldezustand wird deaktiviert - Wert wird 0 sein
  • DIFF: Zwischenzustand zwischen 0 und 1.
  • EIN: Der Rückmeldezustand wird aktiviert - Wert wird 1 sein
  • keine: Der Rückmeldezustand wird ignoriert - Wert wird sich nicht ändern
  • DIR: xx (nur für die Befehlsaktion Sollwertvorgabe verfügbar)
  • Sollwert: xx (nur für die Befehlsaktion Sollwertvorgabe verfügbar)
  • STÖR: Fehler.

Nicht verfügbar bei den Aktionen: Blockieren, Sperre und Freigeben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Direction


ID_VERRIEG_PROP8

Interne ID: ID_VERRIEG_PROP8

Timeout abbrechbar

Ermöglicht das Abbrechen des Timeouts in der Laufzeitüberwachung.

Wenn das Execute- Kommando bereits ausgeführt wird - nachdem COT_actcon empfangen wurde - bricht der Button Abbrechen die Laufzeitüberwachung ab. Damit sind zum Beispiel Buttons wieder aktiv und bedienbar.
Aber: Beim Abbrechen während der Ausführung überträgt das Modul keine Deaktivierungen (Cancel) zum Treiber.
Ist diese Eigenschaft während einer Laufzeitüberwachung aktiv wird der Cancel-Button im Bild Befehlsgabe aktiv. Dadurch kann der Benutzer die Laufzeitüberwachung via Klick auf diesen Button beenden.

Default: inaktiv

Hinweis: Steht nur für die Befehlsgruppenaktionen Befehl und Sollwertvorgabe zur Verfügung. Es wird kein Time-out-Bit gesetzt!

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeoutAbortable


ID_VERRIEG_PROP9

Interne ID: ID_VERRIEG_PROP9

CEL-Eintrag unterdrücken

Aktiv: Bei der Aktionsausführung wird in der Chronologischen Ereignisliste (CEL) kein Eintrag erstellt.
Inaktiv: Bei der Aktionsausführung wird in der CEL ein Eintrag erstellt.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELBlock


ID_VERRIEG_PROP10

Interne ID: ID_VERRIEG_PROP10

Timeout

Timeout für die Laufzeitüberwachung in Sekunden für Aktionstyp Schaltbefehl und Pulsbefehl.

Diese Einstellung gilt auch als Timeout für Select der IO. Nur verfügbar bei den Aktionen Befehl, Auto/Remote-Befehl, Prüfe Rückmeldung, Sollwertvorgabe und Zwangsbefehl.

  • Minimum: 0
  • Maximum: 4294967295

Default: 30

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Timeout


ID_VERRIEG_PROP11

Interne ID: ID_VERRIEG_PROP11

Logische Verknüpfung

Öffnet den Dialog um die Formel für die Bedingung zu definieren.
Verriegelungsbedingungen werden im Netzwerk immer lokal berechnet. Durch Verwendung lokaler Variablen (z.B. vom Systemtreiber oder interne Variablen) können auf einem Client andere Bedingungen erfüllt sein als am Server.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Formula


ID_VERRIEG_PROP12

Interne ID: ID_VERRIEG_PROP12

Entriegelbar

Nur verfügbar in SICAM 230 oder, wenn die Energy Edition lizenziert ist:
Aktiv: Verriegelung kann im Bild vom Typ Befehlsgabe manuell entriegelt werden.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Delocking


ID_VERRIEG_PROP13

Interne ID: ID_VERRIEG_PROP13

Verriegelungstext

Beschreibung der Verriegelungsbedingung.
In der Runtime kann dieser Text im Bild vom Typ Befehlsgabe angezeigt werden (wenn die Energy Edition lizenziert ist) oder in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text


ID_VERRIEG_PROP14

Interne ID: ID_VERRIEG_PROP14

Befehl

Nur verfügbar bei der Befehlsgabeaktion "Befehl":
Definiert den Wert, welcher bei der Befehlsgabeaktion "Befehl" als Wert auf die Befehlsvariable geschrieben wird.
Hinweis: nicht aktiv bei den Befehlsaktionen Blockieren, Ersetzen, Freigeben, Nachführen, Revision, Sollwertvorgabe sowie Statusvorgabe.

0: Die Befehlsvariable wird auf 0 gesetzt.
1: Die Befehlsvariable wird aud 1 gesetzt.
Default: 1

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CommandState


ID_VERRIEG_PROP15

Interne ID: ID_VERRIEG_PROP15

Modifizierbare Status

Nur verfügbar bei der Befehlsgabeaktion 'Statusvorgabe':

Default: keine.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

State


ID_VERRIEG_PROP16

Interne ID: ID_VERRIEG_PROP16

Soll/Ist-Vergleich

Aktiv: Es wird geprüft, ob der Wert der Rückmeldevariable bereits der durchzuführenden Schaltrichtung entspricht. Ist das der Fall, wird in der Befehlsgabe eine entriegelbare Verriegelungsmeldung angezeigt.
Inaktiv: Es erfolgt keine Überprüfung der Schaltrichtung.
Hinweis: Nur verfügbar für die Befehlsaktion Schaltbefehl (= Aktion => Befehl neu).

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Actual


ID_VERRIEG_PROP17

Interne ID: ID_VERRIEG_PROP17

Bild modal

Aktiv: Unabhängig von der Eigenschaft 'Modaler Dialog' des Bildes wird das Befehlsbild modal aufgeschalten. D.h. andere Bilder sind erst wieder bedienbar, nachdem das Bild geschlossen wurde.
Inaktiv: Das Befehlsbild wird normal aufgeschalten.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Modal


ID_VERRIEG_PROP18

Interne ID: ID_VERRIEG_PROP18

Bildtitel aus Rückmeldevariable

Aktiv: Die Kennung der Rückmeldeariable wird als Bildtitel verwendet.
Inaktiv: Der Name des Bildes wird als Bildtitel verwendet.
Default: inaktiv.
Achtung: Zur Aktivierung des Bildtitels muss zusätzlich in der entsprechenden Schablone die Eigenschaft Titel aktiviert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RM-Titel


ID_VERRIEG_PROP19

Interne ID: ID_VERRIEG_PROP19

Bild

Name des zu öffnenden Bildes, wenn die Befehlsgabe ausgeführt wird über die Sollwertvorgabe eines dynamischen Bildelementes. Das Bild wird auch verwendet beim Ausführen der Aktion über das Kontextmenü des Elements oder über die Schaltfolgen wenn kein aktionsspezifisches Bild definiert ist.

Hinweis: Wird die Befehlsgabe durch ein Sollwertsetzen beim Element initiiert, muss hier ein Bild verknüpft werden. Wird die Befehlsgabe nur über das Kontextmenü oder die Schaltfolgen aufgerufen und die Aktionen wurden mit eigenen Bilden konfiguriert, wird nur jeweils das aktionsspezifische Bild benutzt und diese Eigenschaft kann leer bleiben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PicGUID


ID_VERRIEG_PROP20

Interne ID: ID_VERRIEG_PROP20

Bild

Bild vom Typ Befehlsgabe, das beim Ausführen der Aktion über das Kontextmenü des Elements verwendet wird. Wenn kein Bild eingetragen ist, wird das Bild, das in der Eigenschaft Bild in der Befehlsgruppe eingetragen ist, verwendet. Ein projektiertes, jedoch nicht vorhandenes Bild erzeugt eine Fehlermeldung beim Erzeugen der Runtime-Dateien. Die Aktion wird in diesem Fall nicht übernommen.
Default: keines.

Hinweis: Wird die Befehlsgabe durch ein Sollwertsetzen beim Element initiiert, wird diese Eigenschaft ignoriert und immer das Bild benutzt, das in der Eigenschaft Bild in der Befehlsgruppe eingetragen ist.
Nicht aktiv wenn Aktionstyp Auto/Remote-Befehl aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PicGUID


ID_VERRIEG_PROP21

Interne ID: ID_VERRIEG_PROP21

Aktionsbutton

Nicht verfügbar bei den Aktionen 'Sperre', Auto/Remote-Befehl oder wenn kein Befehlsbild zugeordnet ist.
Zuordnung der Aktion zu einem im Bild vom Typ Befehlsgabe definierten Aktionsbutton.
Wenn die Befehlsgruppe mit einem anderen Bild verwendet wird (z. B. über eine Funktion), bleibt trotzdem die Zuordnung zu dem Aktionsbutton bestehen. Fehlt ein solcher Button, ist diese Aktion im Bild nicht verfügbar.
In der Auswahlliste werden nur die noch nicht zugeordneten Aktionsbuttons angeboten.
Default: keiner

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CmdBtn


ID_VERRIEG_PROP22

Interne ID: ID_VERRIEG_PROP22

Automatisch schließen

Aktiv: Nach Ausführung der Aktion wird das Befehlsbild automatisch geschlossen.
Inaktiv: Das Befehlsbild wird nicht automatisch geschlossen.
Nicht aktiv wenn Aktionstyp Auto/Remote-Befehl aktiv ist.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CloseMDIWnd


ID_VERRIEG_PROP23

Interne ID: ID_VERRIEG_PROP23

Zweihandbedienung

Nur verfügbar für zweistufige Ausführung:

  • Aktiv: Das Kontrollelement Ausführen 2. Stufe ist nur bedienbar, wenn gleichzeitig die Strg-Taste gedrückt wird.
    Achtung: Für das Kontrollelement Ausführen 2. Stufe darf bei Zweihandbedienung die Eigenschaft mit Lasso auswählbar nicht aktiv sein.
  • Inaktiv: Das Kontrollelement ist immer bedienbar.

Default: inaktiv
Nicht aktiv wenn Aktionstyp Auto/Remote-Befehl aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwoHand


ID_VERRIEG_PROP24

Interne ID: ID_VERRIEG_PROP24

Flankenverzögerung

Nur verfügbar, wenn bei der Eigenschaft Aktionstyp Pulsbefehl gewählt wurde.
Nach Ablauf dieser Zeit in Millisekunden wird der Wert der Befehlsvariable - abhängig von der Schaltrichtung - auf 0 oder 1 zurückgesetzt. Das Zurücksetzen des Wertes wird nicht ausgeführt, wenn die Eigenschaft Select Before Operate der Aktionsvariable aktiviert wurde.

Hinweis: Werden in der Befehlsgabe die Aktion Auto/Remote-Befehl oder Zwangsbefehl gewählt werden diese im Aktionstyp voreingetragen und sind für die weitere Bearbeitung inaktiv.

Hinweis:
Minimum: 0
Maximum: 4294967295
Default: 1000
Achtung: Es wird nicht gewartet, bis die Laufzeitüberwachung beendet ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EdgeDelay


ID_VERRIEG_PROP25

Interne ID: ID_VERRIEG_PROP25

Zweistufig

Aktiv: Die Aktion wird erst ausgeführt, wenn das Control „Ausführen 2“ bestätigt wurde.

Inaktiv: Die Aktion wird ausgeführt:

  • nach dem Entriegeln der letzten Verriegelung
  • sofort, wenn keine Verriegelung ansteht

Nicht aktiv wenn Aktionstyp Auto/Remote-Befehl aktiv ist.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TwoLevel


ID_VERRIEG_PROP29

Interne ID: ID_VERRIEG_PROP29

Sollwert

Nur verfügbar, wenn Eigenschaft Rückmeldezustand/Schaltrichtung auf DIR gesetzt wurde. Dies ist wiederum nur bei der Befehlsaktionen Ersetzen, Nachführen und Sollwertvorgabe möglich.

Definiert den abzusetzenden Sollwert.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueDirectly


ID_VERRIEG_PROP30

Interne ID: ID_VERRIEG_PROP30

Ergebnisvariable

Zeigt das Ergebnis der Verriegelungsbedingung auf der ausgewählten Variable an.

Eine Klick auf die Schaltfläche, öffnet den Dialog zur Auswahl der Variable. Sie können den Namen der Variable auch direkt in das Feld eingeben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueVariable


ID_VERRIEG_PROP31

Interne ID: ID_VERRIEG_PROP31

Qualifier of Command verwenden

Nur verfügbar, wenn Sie die Energy Edition lizenziert haben.

Sie können Befehlen eine Zusatzinformation (Qualifier of Command) mitgeben, wenn der Treiber dies unterstützt. Mögliche Treiber: IEC850, IEC870 und DNP3.

aktiv: Aktiviert die Eingabe unter Qualifier of Command.

Hinweis: Steht nur für die Befehlgabeaktionen Auto/Remote-Befehl, Schaltbefehl, Pulsbefehl und Zwangsbefehl zur Verfügung.

Default: inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseQOC


ID_VERRIEG_PROP32

Interne ID: ID_VERRIEG_PROP32

Qualifier of Command

Geben Sie einen Zahlenwert ein, der als Befehlsparameter zum Treiber gesendet wird. Je nach Treiber wird dieser unterschiedlich ausgewertet.

  • IEC850: Werte 0 - 3 werden bei Befehlen im Feld Check eingefügt, sonst ignoriert.
  • IEC870: Werte 0 - 31 werden bei Befehlen im Feld QU eingesetzt, sonst ignoriert.
  • DNP3: Wert 1 beim Befehl bedeutet Pulse, sonst Latch.

Minimum: 0
Maximum: 127
Default: 0

Hinweis: Diese Eingabemöglichkeit steht nur dann zur Verfügung, wenn Qualifier of Command verwenden aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

QOC


ID_VERRIEG_PROP33

Interne ID: ID_VERRIEG_PROP33

Name

Frei definierbarer Teil der Benennung einer Verriegelung.

Wird hier ein Name vergeben, so setzt sich die komplette Benennung zusammen aus: Name: Logische Verknüpfung, zum Beispiel: Name: X03 unquittiert AND X02.

Wird hier kein Name vergeben, wird die komplette Benennung automatisch erstellt aus: Bedingung <Index>: Logische Verknüpfung, zum Beispiel: Bedingung 01: X03 unquittiert AND X02.

Default: Bedingung <Index>

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_VERRIEG_PROP34

Interne ID: ID_VERRIEG_PROP34

Menü ID

Eindeutige ID der Aktion. Die Menü ID wird für die Erstellung von Kontextmenüs zur Runtime verwendet. Werden zwei Aktionen mit der gleichen ID ausgestattet, werden sie im Aktionsbaum mit einem speziellen Symbol markiert. Bei der Kompilierung findet ebenfalls eine Überprüfung darauf statt, dass der gleiche Befehl(swert) pro Variable nur ein Mal verwendet werden darf.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CmdMenuID


ID_VERRIEG_PROP35

Interne ID: ID_VERRIEG_PROP35

Verriegelungsvariable

Variable, die für die Verriegelungsbedingung verwendet werden soll. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.
Wird der Dialog ohne Variablenauswahl geschlossen, wird ein leerer Eintrag erstellt. Dieser kann auch mit einem Wildcard-Eintrag befüllt werden. Beim Erstellen der Runtime-Dateien wird die Konsistenz überprüft.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_VERRIEG_PROP_DEL

Interne ID: ID_VERRIEG_PROP_DEL

{Bedingung löschen}

Die Bedingung wird gelöscht.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Delete


ID_VERRIEG_PROP_GRP0

Interne ID: ID_VERRIEG_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Verriegelung oder Befehlsgabe.

Mehr im Online-Handbuch zum Erstellen einer:

  • Verriegelung
  • Befehlsgabe

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_VERRIEG_PROP_GRP4

Interne ID: ID_VERRIEG_PROP_GRP4

Befehlsgabebild

Eigenschaften für das Befehlsgabebild.

Hinweis: Wird der Atkionstyp Auto/Remote-Befehl aktiviert sind die Eigenschaften der Gruppe Befehlsgabebild nicht änderbar.

Befehlsgabebild

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Picture


ID_VERRIEG_PROP_GRP5

Interne ID: ID_VERRIEG_PROP_GRP5

Optionen

Eigenschaften für die Optionen der Befehlsgabe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Options


ID_VERRIEG_PROP_GRP6

Interne ID: ID_VERRIEG_PROP_GRP6

Aktionseinstellungen

Eigenschaften für die Aktionseinstellungen der Befehlsgabe.

Hinweise:

  • Der Aktionstyp Auto/Remote-Befehl unterstützt keine Berechtigungen. Die Eigenschaftengruppe Berechtigung wird ausgeblendet.
  • Der Aktionstyp Sperre unterstützt keine Verriegelungsbedingungen. Eventuell projektierte Bedingungen werden zur Runtime nicht wirksam.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_VERRIEG_PROP_GRP7

Interne ID: ID_VERRIEG_PROP_GRP7

Variable

Eigenschaften für die Variablen der Verriegelung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_VERRIEG_PROP_GRP8

Interne ID: ID_VERRIEG_PROP_GRP8

Bedingung

Eigenschaften für die Bedingungen der Verriegelung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_VERRIEG_PROP_GRP9

Interne ID: ID_VERRIEG_PROP_GRP9

Berechtigung

Enthält Eigenschaften zur Festlegung der Berechtigungsebenen zum Verriegeln und Entriegeln.
Hinweis: Wird der Atkionstyp Auto/Remote-Befehl aktiviert ist die Eigenschaftengruppe Berechtigung ausgeblendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Rights


ID_VERRIEG_PROP_GRP10

Interne ID: ID_VERRIEG_PROP_GRP10

Statusverarbeitung

Einstellungen zur Statusverarbeitung in der Befehlsgabe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StatusHandling


ID_VERRIEG_PROP_GRP11

Interne ID: ID_VERRIEG_PROP_GRP11

Befehlsgabebild

Einstellungen zum Befehlsgabebild in der Befehlsgabe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CommandScreen


ID_VERRIEG_PROP_GRP12

Interne ID: ID_VERRIEG_PROP_GRP12

Schaltfolgen

Eigenschaften für die Verwendung von Befehlsgabe-Aktionen im Modul Schaltfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_Sequences


ID_VERRIEG_PROP_NEW

Interne ID: ID_VERRIEG_PROP_NEW

{Bedingung neu}

Eine neue Bedingung wird angelegt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

New


ID_VERRIEG_WRITE_STATUSBIT_AKTIV

Interne ID: ID_VERRIEG_WRITE_STATUSBIT_AKTIV

Statusbits auf Befehlsvariablen schreiben

Mögliche Statusübernahme in Befehlsvariable, zusätzlich zur automatischen Statusübername in der Rückmeldevariable

  • aktiviert:
    • wird bei einer Sperre das Statusbit M1 in die Rückmeldevariable und Befehlsvariable gesetzt.
    • wird bei Überschreitung des Timeouts während der Laufzeitüberwachung das Statusbit [TIMEOUT] in der Rückmeldevariable und der Befehlsvariable gesetzt.
  • deaktiviert:
    Status werden nur in der Rückmeldevariable gesetzt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteStatusBitActive


ID_VORSCHAU

Interne ID: ID_VORSCHAU

Vorschau

Öffnet den Dialog zum Ersetzen von Verknüpfungen. Änderungen in der Vorschau werden in die Eigenschaften Quelle und Ziel übernommen und umgekehrt.
Steht für Symbole und Faceplates zur Verfügung. Für Symbole nur aktiv, wenn bereits eine Verknüpfung mit dem Symbol besteht, für Faceplate-Container nur, wenn ein Bild mit dem Container verknüpft ist.

Mehr im Online-Handbuch. bei Symbole und Faceplates.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Preview


ID_WORKSPACE_PROP_MSGCTRL

Interne ID: ID_WORKSPACE_PROP_MSGCTRL

MessageControl

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MessageControl


ID_WORKSPACE_PROP_PATH

Interne ID: ID_WORKSPACE_PROP_PATH

Arbeitsbereichsdatei

Name und Speicherort der Arbeitsbereichsdatei. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Workspacepath


ID_WORKSPACE_PROPS_GRP

Interne ID: ID_WORKSPACE_PROPS_GRP

Arbeitsbereich

Enthält Eigenschaften für den Arbeitsbereich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Arbeitsbereich


ID_WPF_CONNECTION_DOUBLEVALUE

Interne ID: ID_WPF_CONNECTION_DOUBLEVALUE

Wert

Eingabe eines numerischen Werts für die verknüpfte Variable. Nur verfügbar, wenn die Eigenschaft Stringwert inaktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Value


ID_WPF_CONNECTION_ISSTRING

Interne ID: ID_WPF_CONNECTION_ISSTRING

Stringwert

Auswahl, ob der verknüpfte Wert ein numerischer Wert oder Stringwert ist.

  • Aktiv: Stringwert

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

IsString


ID_WPF_CONNECTION_UNIT

Interne ID: ID_WPF_CONNECTION_UNIT

Maßeinheit

Verwendete Maßeinheit. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Unit


ID_WPF_CONNECTION_USEVALUEADJUST

Interne ID: ID_WPF_CONNECTION_USEVALUEADJUST

Wertbereich umrechnen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseValueAdjust


ID_WPF_CONNECTION_VALUE

Interne ID: ID_WPF_CONNECTION_VALUE

Stringwert

Eintrag für Stringwert. Nur verfügbar, wenn Eigenschaft Stringwert aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StringValue


ID_WPF_CONNECTION_VALUEMAX

Interne ID: ID_WPF_CONNECTION_VALUEMAX

Maximum

Wert für Maximum der konfigurierten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Max


ID_WPF_CONNECTION_VALUEMIN

Interne ID: ID_WPF_CONNECTION_VALUEMIN

Minimum

Wert für Minimum der konfigurierten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Min


ID_WRONGPW

Interne ID: ID_WRONGPW

Max. Benutzerfehleing.

Anzahl der erlaubten Eingaben eines nicht existierenden Benutzernamens.
Wird diese Anzahl überschritten, so wird das System gesperrt. Mit Ausnahme von Administratoren kann sich kein Benutzer mehr anmelden. Durch die Anmeldung eines Administrators wird das System automatisch wieder entsperrt. Ein entsprechender Eintrag in der Chronologischen Ereignisliste (CEL) wird erstellt. Änderungen dieses Werts werden zur Runtime erst nach einem Neustart wirksam.

  • Minimum: 0
  • Maximum: 65535

Default: 3

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserTries


ID_WRONGUSER

Interne ID: ID_WRONGUSER

Max. Passwortfehleing.

Anzahl der erlaubten falschen Passwort-Eingaben.
Wird diese Anzahl überschritten, so wird der entsprechende Benutzer gesperrt. Die Sperre kann nur von einem Administrator aufgehoben werden.Ein entsprechender Eintrag in der Chronologischen Ereignisliste (CEL) wird erstellt.

  • Minimum: 0
  • Maximum: 65535

Default: 3

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PasswordTries


ID_ZEITSTG_PROP1

Interne ID: ID_ZEITSTG_PROP1

Name

Eindeutiger Name der Zeit-Funktion.

Default: Zeitfunktion x (wobei x eine fortlaufende Zahl ist).

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_ZEITSTG_PROP2

Interne ID: ID_ZEITSTG_PROP2

Funktion

Auswahl der Funktion, die zeitgesteuert ausgeführt werden soll.
Klick auf die Schaltfläche ... öffnet den Funktionsauswahldialog.

Soll mehr als eine Funktion ausgeführt werden, dann:

  1. Erstellen Sie ein Skript, das die Funktionen ausführt.
  2. Verknüpfen Sie die Funktion zum Ausführen des Skripts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


ID_ZEITSTG_PROP3

Interne ID: ID_ZEITSTG_PROP3

Aktiv

Aktiv: Die Zeit-Funktion wird in der Runtime ausgeführt.
Inaktiv: Die Zeit-Funktion wird in der Runtime nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Active


ID_ZEITSTG_PROP4

Interne ID: ID_ZEITSTG_PROP4

Ausführungstyp

Auswahl der Art der Ausführung:

  • ab diesem Tag: Die Funktion wird ab dem eingestellten Tag jeden Tag zur eingestellten Zeit ausgeführt.
  • nur an diesem Tag: Die Funktion wird am eingestellten Tag zur eingestellten Zeit einmalig ausgeführt.
  • zyklisch ab diesem Tag: Die Funktion wird ab dem eingestellten Tag in dem definierten Intervall zyklisch ausgeführt.
  • zyklisch nur an diesem Tag: Die Funktion wird nur an dem eingestellten Wochentag in dem definierten Intervall zyklisch ausgeführt.

Default: zyklisch ab diesem Tag

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


ID_ZEITSTG_PROP5

Interne ID: ID_ZEITSTG_PROP5

Startzeitpunkt

Datum, an dem oder ab dem die Zeit-Funktion ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExecuteDate


ID_ZEITSTG_PROP7

Interne ID: ID_ZEITSTG_PROP7

Intervall

Zeitintervall, in dem die Funktion ausgeführt werden soll.
Default: 00:15:00 wiederholt die Zeitfunktion alle 15 Minuten.

Hinweis: Diese Eigenschaft eignet sich nur für Intervalle innerhalb von 24 Stunden. Um eine Zeitfunktion an mehreren Tagen zu wiederholen, konfigurieren Sie die gewünschten Wochentage in der Eigenschaftengruppe Ausführungstage.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Interval


ID_ZEITSTG_PROP8

Interne ID: ID_ZEITSTG_PROP8

Intervall ein Monat

Nur verfügbar, wenn für die Eigenschaft Ausführungstyp der Wert zyklisch ab diesem Tag gewählt wurde.

  • Aktiv: Die Funktion wird ausgehend vom Startzeitpunkt im Abstand von einem Monat ausgeführt.
  • Inaktiv: Die Einstellungen der Eigenschaft Intervall werden verwendet.

Default: inaktiv

Hinweis: Monatswechsel und Jahreswechsel beziehen sich auf das eingestellte Ausführungsdatum und nicht auf den konkreten Wechsel zum 01. 01. um 00:00 Uhr.
Soll der Wechsel zu exakt diesem Zeitpunkt ausgeführt werden, muss die Projektierung für diesen Zeitpunkt angelegt werden, z. B. 01. 01. 2017, 00:00:00 Uhr.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Monthly


ID_ZEITSTG_PROP9

Interne ID: ID_ZEITSTG_PROP9

Intervall ein Jahr

Nur verfügbar, wenn für die Eigenschaft Ausführungstyp der Wert zyklisch gewählt wurde.

  • Aktiv: Die Funktion wird ausgehend vom Startzeitpunkt im Abstand von einem Jahr ausgeführt.
  • Inaktiv: Die Einstellungen der Eigenschaft Intervall werden verwendet.

Default: inaktiv

Hinweis: Monatswechsel und Jahreswechsel beziehen sich auf das eingestellte Ausführungsdatum und nicht auf den konkreten Wechsel zum 01. 01. um 00:00 Uhr.
Soll der Wechsel zu exakt diesem Zeitpunkt ausgeführt werden, muss die Projektierung für diesen Zeitpunkt angelegt werden, z. B. 01. 01. 2017, 00:00:00 Uhr.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Yearly


ID_ZEITSTG_PROP10

Interne ID: ID_ZEITSTG_PROP10

Montag

Aktiv: Funktion wird (auch) an Montagen ausgeführt.
Inaktiv: Funktion wird an Montagen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Monday


ID_ZEITSTG_PROP11

Interne ID: ID_ZEITSTG_PROP11

Dienstag

Aktiv: Funktion wird (auch) an Dienstagen ausgeführt.
Inaktiv: Funktion wird an Dienstagen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Tuesday


ID_ZEITSTG_PROP12

Interne ID: ID_ZEITSTG_PROP12

Mittwoch

Aktiv: Funktion wird (auch) an Mittwochen ausgeführt.
Inaktiv: Funktion wird an Mittwochen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Wednesday


ID_ZEITSTG_PROP13

Interne ID: ID_ZEITSTG_PROP13

Donnerstag

Aktiv: Funktion wird (auch) an Donnerstagen ausgeführt.
Inaktiv: Funktion wird an Donnerstagen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Thursday


ID_ZEITSTG_PROP14

Interne ID: ID_ZEITSTG_PROP14

Freitag

Aktiv: Funktion wird (auch) an Freitagen ausgeführt.
Inaktiv: Funktion wird an Freitagen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Friday


ID_ZEITSTG_PROP15

Interne ID: ID_ZEITSTG_PROP15

Samstag

Aktiv: Funktion wird (auch) an Samstagen ausgeführt.
Inaktiv: Funktion wird an Samstagen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Saturday


ID_ZEITSTG_PROP16

Interne ID: ID_ZEITSTG_PROP16

Sonntag

Aktiv: Funktion wird (auch) an Sonntagen ausgeführt.
Inaktiv: Funktion wird an Sonntagen nicht ausgeführt.
Default: aktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Sunday


ID_ZEITSTG_PROP_GRP0

Interne ID: ID_ZEITSTG_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Zeit-Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_TimeFct


ID_ZEITSTG_PROP_GRP1

Interne ID: ID_ZEITSTG_PROP_GRP1

Zeit-Einstellungen

Zeit-Einstellungen für die Funktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Timeadj


ID_ZEITSTG_PROP_GRP3

Interne ID: ID_ZEITSTG_PROP_GRP3

Nur mit zyklischem Ausführungstyp:
Auswahl von Monats- bzw. Jahreswechsel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:


ID_ZEITSTG_PROP_GRP4

Interne ID: ID_ZEITSTG_PROP_GRP4

Ausführungstage

Auswahl an welchem/n Tag(en) die Funktion ausgeführt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ExecutionDays


ID_ZENON_USER_TYPE

Interne ID: ID_ZENON_USER_TYPE

Benutzertyp

Auswahl des Benutzertyps aus Dropdownliste:

  • Benutzer:
    Darf entsprechend der ihm zugeteilten Berechtigungsebenen Bedienhandlungen vornehmen.
  • Hauptbenutzer:
    Darf zusätzlich Benutzer erstellen und editieren. Ob das auch für andere Hauptbenutzer gilt, wird über die Option Hauptbenutzer darf andere Hauptbenutzer erstellen/editieren konfiguriert.
  • Administrator:
    Darf alle anderen Benutzer und Hauptbenutzer anlegen und editieren, sowie Sperren aufheben.

Default: Benutzer

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

UserType


ID_ZUWEIS_PROP1

Interne ID: ID_ZUWEIS_PROP1

Name

Eindeutiger Name der Zuweisung.
Default: Zuweisung x (wobei x eine fortlaufende Zahl ist).

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_ZUWEIS_PROP2

Interne ID: ID_ZUWEIS_PROP2

Quellvariable

Name der Variable, deren Wert der Zielvariable zugewiesen werden soll.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SourceVariable


ID_ZUWEIS_PROP3

Interne ID: ID_ZUWEIS_PROP3

Zielvariable

Name der Variable, der der Wert der Quellvariable zugewiesen werden soll.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TargetVariable


ID_ZUWEIS_PROP4

Interne ID: ID_ZUWEIS_PROP4

Triggervariable

Die hier verknüpfte Bit-Variable stößt die Zuweisung an. Wenn keine Variable verknüpft ist, funktioniert die Zuweisung spontan. D.h. immer wenn sich der Wert der Quellvariable ändert, wird er automatisch auf die Zielvariable geschrieben.
Öffnet den Variablenauswahldialog gefiltert auf Bit-Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TriggerVariable


ID_ZUWEIS_PROP5

Interne ID: ID_ZUWEIS_PROP5

Trigger Art

Flanke: Die Zuweisung wird ausgeführt, wenn sich der Wert der verknüpften Trigger-Variable von 0 auf 1 ändert.
Pegel: Die Zuweisung wird ausgeführt, solange der Wert der verknüpften Trigger-Variable 1 ist.
Default: Flanke.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TriggerType


ID_ZUWEIS_PROP_GRP0

Interne ID: ID_ZUWEIS_PROP_GRP0

Allgemein

Allgemeine Eigenschaften für die Zuweisung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_ZW_PROP_ABFRAGE

Interne ID: ID_ZW_PROP_ABFRAGE

Zählerabfrage-Variabel

Variable für Zählerabfrage.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

QueryPV


ID_ZW_PROP_AUSGANGABS

Interne ID: ID_ZW_PROP_AUSGANGABS

Zählertyp-Ausgang: Absolut

Ausgang als Absolutwert

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OutputAbs


ID_ZW_PROP_AUSGANGREL

Interne ID: ID_ZW_PROP_AUSGANGREL

Zählertyp-Ausgang: Relativ

Ausgabe als Relativwert.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OutputRel


ID_ZW_PROP_EINGANGABS

Interne ID: ID_ZW_PROP_EINGANGABS

Zählertyp-Eingang

Absolutwert oder Relativwert

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InputAbs


ID_ZW_PROP_GRP0

Interne ID: ID_ZW_PROP_GRP0

Allgemein

Mit den folgenden Properties legen Sie die Eigenschaften der Zählwert-Rema fest.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


ID_ZW_PROP_MAXWERT

Interne ID: ID_ZW_PROP_MAXWERT

Max. Zählerstand

Maximaler Zählerstand

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxCount


ID_ZW_PROP_NAHANDLING

Interne ID: ID_ZW_PROP_NAHANDLING

NA-Behandlung

Modus für "nicht aktualisiert" Behandlung (Zählwert außerhalb des Zeitfensters)

Umschalten auf INVALID-Bit: Zählwert wird auf INVALID gesetzt

Umschalten auf Ersatzwert: Zählwert wird auf parametrierten Ersatzwert gesetzt

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NAHandling


ID_ZW_PROP_NAME

Interne ID: ID_ZW_PROP_NAME

Bezeichnung

Name der Zählergruppe

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


ID_ZW_PROP_NUMBER

Interne ID: ID_ZW_PROP_NUMBER

ID

Interne Nummer der Zählergruppe

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Number


ID_ZW_PROP_OFFSET

Interne ID: ID_ZW_PROP_OFFSET

Offset [s]

Zeit nach Hochlauf für 1. Abfrage in Sekunden

Damit wird gewährleistet, dass die Connection zur Gegenstelle OK ist.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Offset


ID_ZW_PROP_OVHANDLING

Interne ID: ID_ZW_PROP_OVHANDLING

OV-Behandlung

Verhalten bei Absolutwertüberlauf oder Gradientenüberschreitung.

Umschalten auf INVALID-Bit: Zählwert wird auf INVALID gesetzt

Umschalten auf Ersatzwert: Zählwert wird auf parametrierten Ersatzwert gesetzt

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OVHandling


ID_ZW_PROP_TARIF

Interne ID: ID_ZW_PROP_TARIF

Variable für Tarifkennung

Steuervariable für Tarifkennung.

Zuweisung auf Anwenderstati 1...8

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TariffPV


ID_ZW_PROP_TIMEOUT

Interne ID: ID_ZW_PROP_TIMEOUT

Zeitfenster [s]

Timeout für Vollständigkeitsprüfung.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Timeout


ID_ZW_PROP_TRIGGER

Interne ID: ID_ZW_PROP_TRIGGER

Triggervariable

Von Abfragezeitpunkt bis Ablauf des Zeitfensters: 1

Sonst: 0

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TriggerPV


ID_ZW_PROP_ZYKLUSZEIT

Interne ID: ID_ZW_PROP_ZYKLUSZEIT

Gruppenzykluszeit [s]

Zykluszeit für Zählerabfrage in Sekunden

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CycleTime


IDD_VARVERWALTUNG5

Interne ID: IDD_VARVERWALTUNG5

Name

Name des Datentyps.

Maximale Länge: 128 Zeichen

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDP_3TFORM_EDITOR

Interne ID: IDP_3TFORM_EDITOR

Flächenverwendung

Legen Sie fest, welche Auswirkung das erstellte Element auf die Schablone haben soll.

Folgende Einstellungen stehen zur Verfügung:

  • Abdecken:
    Die Fläche des Elements wird als Bildbereich verwendet
  • Ausschneiden:
    Die Fläche des Elements wird von den darunterliegenden Flächen entfernt
  • Verodert:
    Je nachdem, ob sich unter dem Element eine abdeckende Fläche befindet oder nicht, wird entweder ausgeschnitten oder abgedeckt.

Hinweis: Die Flächenverwendung bezieht sich immer auf die unter dem Element liegende Fläche. Für neu angelegte Elemente wird immer die zuletzt ausgewählte Einstellung verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Combine


IDP_ADDIN_CATEGORY

Interne ID: IDP_ADDIN_CATEGORY

Kategorie

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Version


IDP_ADDIN_DESCRIPTION

Interne ID: IDP_ADDIN_DESCRIPTION

Beschreibung

Anzeige der Beschreibung des Add-Ins.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Description


IDP_ADDIN_HASSOURCE

Interne ID: IDP_ADDIN_HASSOURCE

Quellcode

Anzeige, ob der Quellcode im Package inkludiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

HasSource


IDP_ADDIN_MINIMUMVERSION

Interne ID: IDP_ADDIN_MINIMUMVERSION

Minimale Version

Anzeige der kleinsten zenon Version, für die das Add-In kompiliert wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MinimumVersion


IDP_ADDIN_NAME

Interne ID: IDP_ADDIN_NAME

Name

Anzeige des Namens des Add-Ins.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Name


IDP_ADDIN_RUNSTATE

Interne ID: IDP_ADDIN_RUNSTATE

Zustand

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

RunState


IDP_ADDIN_STARTUPMODE

Interne ID: IDP_ADDIN_STARTUPMODE

Startart

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StartupMode


IDP_ADDIN_VERSION

Interne ID: IDP_ADDIN_VERSION

Version

Anzeige der Version des Add-Ins.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Category


IDP_ALC_ENCLOSEMENT_SIZE

Interne ID: IDP_ALC_ENCLOSEMENT_SIZE

Säumungsbreite [px]

Breite der Säumung in Pixel.

Default: 1 Pixel
Eingabebereich: 1 bis 20 Pixel.

Hinweis: nur aktiv, wenn die Eigenschaft Säumung verwenden aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCEnclosementSize


IDP_ALC_ENCLOSEMENT_USEAGE

Interne ID: IDP_ALC_ENCLOSEMENT_USEAGE

Säumung verwenden

Checkbox für die Aktivierung der Säumung von Linien, Polylinien und Leitungen.

  • aktiv:
    ALC Linienelemente werden in der Runtime bei Erdschluss oder Kurzschluss mit einem zusätzlichen Rand in der entsprechenden Farbe visualisiert. Die Farben sind bei den ALC-Projekteinstellungen definiert.
  • inaktiv:
    Keine Anzeige der Säumung in der Runtime.

Default: inaktiv

Hinweis: nur aktiv, wenn Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCUseEnclosement


IDP_ALC_LF_ACTIVE_POWER

Interne ID: IDP_ALC_LF_ACTIVE_POWER

Wirkleistung [MW]

Verfügbare Wirkleistung des Elements. Eingabe eines statischen Wertes (in Megawatt) in Eingabefeld.

Default: 100,000000 [MW]

Hinweis: Nur für Elemente mit dem Funktionstyp Generator, Quelle oder Senke verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActivePowerValue


IDP_ALC_LF_ACTIVE_POWER_VAR

Interne ID: IDP_ALC_LF_ACTIVE_POWER_VAR

Wirkleistung dynamisch [MW]

Variable mit der verfügbaren Wirkleistung des Elements. Verknüpfung einer numerischen Variable für den dynamischen Wert (in Megawatt).

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Hinweis: Nur für Elemente mit dem Funktionstyp Generator, Quelle oder Senke verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ActivePowerVariable


IDP_ALC_LF_CAPACITOR_POSITION

Interne ID: IDP_ALC_LF_CAPACITOR_POSITION

aktuelle Position

Aktuelle Position des Kondensators.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für die Lastflussberechnung gilt:

Die projektierte Schrittweite [kVAr] dient als Nennleistung. Aus den Projektierungen bei Verschaltung und aktuelle Position errechnet sich der Multiplikator und als Produkt die aktuelle Leistung.

Die aktuelle Position bestimmt als Index (beginnend bei 1) die aktuelle Stufe. Der Wert einer höheren Position wird auf den Wert der letzten Stufe korrigiert. Ist für diese Eigenschaft keine Positionsvariable verknüpft, wird die erste Schaltstufe verwendet. Ist keine Verschaltung projektiert, wird die Nennleistung verwendet: die Standardschaltstufe ist dann 1.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Kondensator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CapacitorCurrentPosition


IDP_ALC_LF_CAPACITOR_STEPSIZE

Interne ID: IDP_ALC_LF_CAPACITOR_STEPSIZE

Schrittweite [kVAr]

Schrittweite des Kondensators in kVar.

Für die Lastflussberechnung gilt:

Die projektierte Schrittweite [kVAr] dient als Nennleistung. Aus den Projektierungen bei Verschaltung und aktuelle Position errechnet sich der Multiplikator und als Produkt die aktuelle Leistung.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Kondensator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CapacitorStepSize


IDP_ALC_LF_CAPACITOR_WIRING

Interne ID: IDP_ALC_LF_CAPACITOR_WIRING

Verschaltung

Die Verschaltung sind die Stufen eines Mehrfach-Kondensators. Diese besteht aus ganzen Zahlen im Bereich von 0 bis 999.
Mehrere Stufen werden mit einem Semikolon (';') getrennt. Für die Auswertung gilt:

  • negative Zahlen oder eine Eingabe > 999 werden als 0 betrachtet.
  • nach einer gültigen Zahl wird ein Text (direkt anschließend oder durch Leerzeichen getrennt) ignoriert.
  • zu Beginn oder nach einem Trennzeichen werden (weitere) Trennzeichen oder Leerzeichen ignoriert;

Für die Lastflussberechnung gilt:

Die projektierte Schrittweite [kVAr] dient als Nennleistung. Aus den Projektierungen bei Verschaltung und aktuelle Position errechnet sich der Multiplikator und als Produkt die aktuelle Leistung.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Kondensator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CapacitorWiring


IDP_ALC_LF_GEN_LOAD_PHASE_VAR

Interne ID: IDP_ALC_LF_GEN_LOAD_PHASE_VAR

Phase berechnet [Grad]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für den berechnete Phasenwinkel des Generators oder der Last.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Generator oder Senke projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

PhaseVar


IDP_ALC_LF_GENERATOR_BLIND_POWER_VAR

Interne ID: IDP_ALC_LF_GENERATOR_BLIND_POWER_VAR

Blindleistung berechnet

Blindleistung berechnet

Description as text.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GeneratorReactivePowerVar


IDP_ALC_LF_GENERATOR_REACTIVE_POWER_VAR

Interne ID: IDP_ALC_LF_GENERATOR_REACTIVE_POWER_VAR

Blindleistung berechnet [MVar]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Blindleistung des Generators.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Generator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GeneratorReactivePowerVar


IDP_ALC_LF_LINE_ELECTRICITY_VAR

Interne ID: IDP_ALC_LF_LINE_ELECTRICITY_VAR

Strom [A]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Stromstärke am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLineElectricity


IDP_ALC_LF_LINE_LOST_POWER_VAR

Interne ID: IDP_ALC_LF_LINE_LOST_POWER_VAR

Verlustleistung

Verlustleistung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLineLostPowerVar


IDP_ALC_LF_LINE_POWER_IN_VAR

Interne ID: IDP_ALC_LF_LINE_POWER_IN_VAR

Wirkleistung Eingang [MW]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Wirkleistung am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLinePowerInVar


IDP_ALC_LF_LINE_POWER_OUT_VAR

Interne ID: IDP_ALC_LF_LINE_POWER_OUT_VAR

Wirkleistung Ausgang [MW]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Wirkleistung am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLinePowerOutVar


IDP_ALC_LF_LINE_POWER_VAR

Interne ID: IDP_ALC_LF_LINE_POWER_VAR

Leistung übertragen

Leistung übertragen

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLinePowerVar


IDP_ALC_LF_LINE_POWERFACTOR_VAR

Interne ID: IDP_ALC_LF_LINE_POWERFACTOR_VAR

cos Phi Ausgang

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für den berechnete Leistungsfaktor (cos Phi). Dies entspricht dem Mittelwert des berechneten cos Phi am Ausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLinePowerFactorVar


IDP_ALC_LF_LINE_REACTIVE_IN_VAR

Interne ID: IDP_ALC_LF_LINE_REACTIVE_IN_VAR

Blindleistung Eingang [MVar]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Blindleistung am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLineReactivePowerInVar


IDP_ALC_LF_LINE_REACTIVE_OUT_VAR

Interne ID: IDP_ALC_LF_LINE_REACTIVE_OUT_VAR

Blindleistung Ausgang [MVar]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Blindleistung am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLineReactivePowerOutVar


IDP_ALC_LF_LINE_VOLTAGE_IN_VAR

Interne ID: IDP_ALC_LF_LINE_VOLTAGE_IN_VAR

Spannung Eingang [kV]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Spannung am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLineVoltageInVar


IDP_ALC_LF_LINE_VOLTAGE_OUT_VAR

Interne ID: IDP_ALC_LF_LINE_VOLTAGE_OUT_VAR

Spannung Ausgang [kV]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Spannung am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarLineVoltageOutVar


IDP_ALC_LF_LOAD_POWER_VAR

Interne ID: IDP_ALC_LF_LOAD_POWER_VAR

Spannung berechnet [kV]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Spannung der Last.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Senke projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CalculatedVoltageVar


IDP_ALC_LF_PRIMARY_THREE_WINDING_TRANSFORMER

Interne ID: IDP_ALC_LF_PRIMARY_THREE_WINDING_TRANSFORMER

Dreiwicklungstrafo Primärwicklung

Diese Eigenschaft definiert (wenn aktiviert) einen Transformator im topologischen Netz des ALC als Dreiwicklungstrafo. Die Lastflussberechnung wird entsprechend angepasst.

  • aktiv:
    Primärseite ist ein Dreiwicklungstrafo. Daraus ergibt sich:
    Der Dreiwicklungstransformator verwendet die Stufenschaltung nur vom Primärtransformator, die Stufenschaltung des Sekundärtransformators wird ignoriert. Eine Phasenverschiebung wird nur von den Sekundärtransformatoren ausgewertet.
  • inaktiv:
    Transformator wird im ALC Netz als Zweiwicklungs-Transformator berechnet.

Default: inaktiv

Achtung: Ist diese Eigenschaft aktiviert, müssen in der Projektierung an der Sekundärseite 2 weitere Trafos angeschlossen werden, welche die Sekundär- und Tertiär-Wicklung repräsentieren.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PrimaryThreeWinding


IDP_ALC_LF_REACTIVE_POWER

Interne ID: IDP_ALC_LF_REACTIVE_POWER

Blindleistung [MVar]

Blindleistung für das Element. Eingabe eines statischen Wertes (in MegaVar) in Eingabefeld.

Default: 0,000000 [MVar]

Hinweis: Nur für Elemente mit dem Funktionstyp Senke verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ReactivePowerValue


IDP_ALC_LF_REACTIVE_POWER_VAR

Interne ID: IDP_ALC_LF_REACTIVE_POWER_VAR

Blindleistung dynamisch [MVar]

Variable mit der Blindleistung für das Element. Diese Variable dient hauptsächlich zur Anzeige des Blindleistungswertes in der Runtime. Verknüpfung einer numerischen Variable für den dynamischen Wert (in MegaVar).

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Hinweis: Nur für Elemente mit dem Funktionstyp Senke verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ReactivePowerVariable


IDP_ALC_LF_TRANSFORMER_ACTIVE_POWER_IN_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_ACTIVE_POWER_IN_VAR

Wirkleistung Eingang [MW]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Wirkleistung am Trafo-Eingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorActivePowerVarIn


IDP_ALC_LF_TRANSFORMER_ACTIVE_POWER_OUT_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_ACTIVE_POWER_OUT_VAR

Wirkleistung Ausgang [MW]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Wirkleistung am Trafo-Ausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Ist die Eigenschaft Dreiwicklungstrafo Primärwicklung aktiviert, ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorActivePowerVarOut


IDP_ALC_LF_TRANSFORMER_CURRENT_IN_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_CURRENT_IN_VAR

Strom Eingang [A]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Stromstärke am Trafo-Eingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorCurrentVarIn


IDP_ALC_LF_TRANSFORMER_CURRENT_OUT_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_CURRENT_OUT_VAR

Strom Ausgang [A]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Stromstärke am Trafo-Ausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Ist die Eigenschaft Dreiwicklungstrafo Primärwicklung aktiviert, ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorCurrentVarOut


IDP_ALC_LF_TRANSFORMER_LOST_ACTIVE_POWER

Interne ID: IDP_ALC_LF_TRANSFORMER_LOST_ACTIVE_POWER

Verlust Wirkleistung [MW]

Fixer Wert der Verlust-Wirkleistung des Transformators in Megawatt.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LostActivePower


IDP_ALC_LF_TRANSFORMER_LOST_REACTIVE_POWER

Interne ID: IDP_ALC_LF_TRANSFORMER_LOST_REACTIVE_POWER

Verlust Blindleistung [MVar]

Fixer Wert der Verlust Blindleistung des Transformators in Megawatt.
Dieser errechnet sich aus Nennleistung * Nenn-Kurzschlussspannung [%]/100.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LostReactivePower


IDP_ALC_LF_TRANSFORMER_NAME

Interne ID: IDP_ALC_LF_TRANSFORMER_NAME

Transformator-Name

Eindeutiger Name des Transformators. Wird für die Identifizierung des Transformators bei der Lastverteilungsrechnung verwendet.
Zusätzlich wird dieser Name bei der topologischen Verriegelung "Überlastung einer Leitung" als Verriegelungstext verwendet.
Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCTransformatorName


IDP_ALC_LF_TRANSFORMER_NOMINAL_ACTIVE_POWER

Interne ID: IDP_ALC_LF_TRANSFORMER_NOMINAL_ACTIVE_POWER

Nennleistung [MW]

Fixer Wert der Nennleistung des Transformators in Megawatt.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NominalPower


IDP_ALC_LF_TRANSFORMER_PHASE_SHIFT

Interne ID: IDP_ALC_LF_TRANSFORMER_PHASE_SHIFT

Phasenverschiebung [Grad]

Wert der Phasenverschiebung in Grad.

Hinweis: Für das Vorzeichen der Phasenverschiebung gilt, dass der Wert die Phase der Eingangsseite relativ zum Ausgang (mit Phase 0°) angibt.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Diese Eigenschaft ist nicht aktiv, wenn Dreiwicklungstrafo Primärwicklung aktiviert ist.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PhaseShift


IDP_ALC_LF_TRANSFORMER_PHASE_SHIFT_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_PHASE_SHIFT_VAR

Phasenverschiebung dynamisch

Verknüpfte Variable mit dem Wert der Phasenverschiebung in Grad.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Für das Vorzeichen der Phasenverschiebung gilt, dass der Wert die Phase der Eingangsseite relativ zum Ausgang (mit Phase 0°) angibt.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Diese Eigenschaft ist nicht aktiv, wenn Dreiwicklungstrafo Primärwicklung aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

PhaseShiftVariable


IDP_ALC_LF_TRANSFORMER_REACTIVE_POWER_IN_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_REACTIVE_POWER_IN_VAR

Blindleistung Eingang [MVar]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Blindleistung am Trafo-Eingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorReactivePowerVarIn


IDP_ALC_LF_TRANSFORMER_REACTIVE_POWER_OUT_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_REACTIVE_POWER_OUT_VAR

Blindleistung Ausgang [MVar]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Blindleistung am Trafo-Ausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Ist die Eigenschaft Dreiwicklungstrafo Primärwicklung aktiviert, ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorReactivePowerVarOut


IDP_ALC_LF_TRANSFORMER_SHUNT_ACTIVE_POWER

Interne ID: IDP_ALC_LF_TRANSFORMER_SHUNT_ACTIVE_POWER

Magnetisierung Wirkleistung [MW]

Fixer Wert der Magnetisierung Wirkleistung (Strommesswiderstand) des Transformators in Megawatt.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShuntActivePower


IDP_ALC_LF_TRANSFORMER_SHUNT_REACTIVE_POWER

Interne ID: IDP_ALC_LF_TRANSFORMER_SHUNT_REACTIVE_POWER

Magnetisierung Blindleistung [MVar]

Fixer Wert der Magnetisierung Blindleistung (Strommesswiderstand) des Transformators in Megawatt. Die Magnetisierung entspricht dem Leerlaufverlust.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShuntReactivePower


IDP_ALC_LF_TRANSFORMER_TAP_MAXIMUM_POSITION

Interne ID: IDP_ALC_LF_TRANSFORMER_TAP_MAXIMUM_POSITION

Stufenschaltung Maximum

Maximaler Wert einer Stufenschaltung.

Default: 0

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TapPositionMaximal


IDP_ALC_LF_TRANSFORMER_TAP_MINIMUM_POSITION

Interne ID: IDP_ALC_LF_TRANSFORMER_TAP_MINIMUM_POSITION

Stufenschaltung Minimum

Minimaler Wert einer Stufenschaltung.

Default: 0

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TapPositionMinimal


IDP_ALC_LF_TRANSFORMER_TAP_NOMINAL_POSITION

Interne ID: IDP_ALC_LF_TRANSFORMER_TAP_NOMINAL_POSITION

Stufenschaltung Nominell

Nominaler Wert einer Stufenschaltung.

Default: 0

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TapPositionNominal


IDP_ALC_LF_TRANSFORMER_TAP_ON_SECONDARY

Interne ID: IDP_ALC_LF_TRANSFORMER_TAP_ON_SECONDARY

Stufenschaltung sekundärseitig

Sekundärseitige Stufenschaltung ein/aus.

  • aktiv:
    eine Stufenschaltung wird auch sekundärseitig ausgeführt.
  • inaktiv:
    keine sekundärseitige Stufenschaltug

Default: inaktiv

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Diese Eigenschaft ist nicht aktiv, wenn Dreiwicklungstrafo Primärwicklung aktiviert ist.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TapOnSecondary


IDP_ALC_LF_TRANSFORMER_TAP_POSITION_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_TAP_POSITION_VAR

Stufenschaltung aktuelle Position

Verknüpfte Variable mit dem Wert der aktuellen Position der Stufenschaltung.
Hinweis: Steigt die Stufenschaltung primärseitig, fällt die Sekundärspannung.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TapPositionVariable


IDP_ALC_LF_TRANSFORMER_TAP_STEP_SIZE

Interne ID: IDP_ALC_LF_TRANSFORMER_TAP_STEP_SIZE

Stufenschaltung Schrittweite [%]

Schrittweite einer Stufenschaltung in %.

Default: 0.000000

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TapStepSize


IDP_ALC_LF_TRANSFORMER_VOLTAGE_IN_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_VOLTAGE_IN_VAR

Spannung Eingang [kV]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Spannung am Trafo-Eingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorVoltageVarIn


IDP_ALC_LF_TRANSFORMER_VOLTAGE_OUT_VAR

Interne ID: IDP_ALC_LF_TRANSFORMER_VOLTAGE_OUT_VAR

Spannung Ausgang [kV]

Verknüpfte Variable mit dem Ergebnis der Lastflussberechnung für die berechnete Spannung am Trafo-Ausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Für projektierte Dreiwicklungstransformatoren gilt Folgendes:

  • für Dreiwicklungstrafo Primärwicklung werden Variablen für die Ausgabe der Berechnung über die Eingänge verknüpft.
  • für Sekundär- oder Tertiarwicklungen werden Variablen für die Ausgabe der Berechnung über die Ausgänge verknüpft.

Hinweis: Nur verfügbar, wenn in der Eigenschaft Funktionstyp der Wert Transformator projektiert ist. Ist die Eigenschaft Dreiwicklungstrafo Primärwicklung aktiviert, ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformatorVoltageVarOut


IDP_ALC_LF_VOLTAGE

Interne ID: IDP_ALC_LF_VOLTAGE

Spannung [kV]

Stärke der Spannung des Elements. Eingabe eines statischen Wertes (in Kilovolt) in Eingabefeld.

Default: 0,000000 [kV]

Hinweis: Nur für Elemente mit dem Funktionstyp Quelle oder Generator verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Voltage


IDP_ALC_LF_VOLTAGE_VAR

Interne ID: IDP_ALC_LF_VOLTAGE_VAR

Spannung dynamisch [kV]

Spannungswert des Elements. Diese Variable dient hauptsächlich zur Anzeige des Spannungswerts des Elements in der Runtime. Verknüpfung einer numerischen Variable für den dynamischen Wert (in Kilovolt).

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Hinweis: Nur für Elemente mit dem Funktionstyp Quelle oder Generator verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoltageVariable


IDP_ALC_LINENAME

Interne ID: IDP_ALC_LINENAME

Leitungsname

Eindeutiger Name der Leitung. Wird für die Identifizierung der Leitung in der Lastverteilungsrechnung verwendet.
Zusätzlich wird dieser Name bei der topologischen Verriegelung "Überlastung einer Leitung" als Verriegelungstext verwendet.

Hinweis: Steht nur für Bildelement Linie oder Rohrleitung zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCLineName


IDP_ALC_LINKNAME

Interne ID: IDP_ALC_LINKNAME

Link-Name

Identifikationsname des Links. Dient dazu das topologische Netz von einem zenon Bild auf ein anderes Bild zu verbinden. Dabei werden mehrere Links mit demselben Text verbunden. Zwei Texte sind identisch, unabhängig von Groß- und Kleinschreibung.

Nur verfügbar, wenn bei der Eigenschaft Funktionstyp Link ausgewählt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCLinkName


IDP_ALC_SE_INPUTACTIVEPOWER

Interne ID: IDP_ALC_SE_INPUTACTIVEPOWER

Wirkleistung Eingang [MW]

Verknüpfte Variable mit dem gemessenen Wert der Wirkleistung am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredInputActivePower


IDP_ALC_SE_INPUTCOSPHI

Interne ID: IDP_ALC_SE_INPUTCOSPHI

cos Phi Eingang

Verknüpfte Variable mit dem gemessenen Wert des Leistungsfaktors cos Phi am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredInputCosPhi


IDP_ALC_SE_INPUTCURRENT

Interne ID: IDP_ALC_SE_INPUTCURRENT

Strom Eingang [A]

Verknüpfte Variable mit dem gemessenen Wert der Stromstärke am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredInputCurrent


IDP_ALC_SE_INPUTREACTIVEPOWER

Interne ID: IDP_ALC_SE_INPUTREACTIVEPOWER

Blindleistung Eingang [MVar]

Verknüpfte Variable mit dem gemessenen Wert der Blindleistung am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredInputReactivePower


IDP_ALC_SE_INPUTVOLTAGE

Interne ID: IDP_ALC_SE_INPUTVOLTAGE

Spannung Eingang [kV]

Verknüpfte Variable mit dem gemessenen Wert der Spannung am Leitungseingang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredInputVoltage


IDP_ALC_SE_OUTPUTACTIVEPOWER

Interne ID: IDP_ALC_SE_OUTPUTACTIVEPOWER

Wirkleistung Ausgang [MW]

Verknüpfte Variable mit dem gemessenen Wert der Wirkleistung am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredOutputActivePower


IDP_ALC_SE_OUTPUTCOSPHI

Interne ID: IDP_ALC_SE_OUTPUTCOSPHI

cos Phi Ausgang

Verknüpfte Variable mit dem gemessenen Wert des Leistungsfaktors cos Phi am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredOutputCosPhi


IDP_ALC_SE_OUTPUTCURRENT

Interne ID: IDP_ALC_SE_OUTPUTCURRENT

Strom Ausgang [A]

Verknüpfte Variable mit dem gemessenen Wert der Stromstärke am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredOutputCurrent


IDP_ALC_SE_OUTPUTREACTIVEPOWER

Interne ID: IDP_ALC_SE_OUTPUTREACTIVEPOWER

Blindleistung Ausgang [MVar]

Verknüpfte Variable mit dem gemessenen Wert der Blindleistung am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredOutputReactivePower


IDP_ALC_SE_OUTPUTVOLTAGE

Interne ID: IDP_ALC_SE_OUTPUTVOLTAGE

Spannung Ausgang [kV]

Verknüpfte Variable mit dem gemessenen Wert der Spannung am Leitungsausgang.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog zur Verknüpfung einer Variable.

Hinweis: Nur verfügbar, wenn die Eigenschaft Farbe aus ALC aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MeasuredOutputVoltage


IDP_ALC_STATUSVAR_HIGHSOURCE_IN

Interne ID: IDP_ALC_STATUSVAR_HIGHSOURCE_IN

Höchstpriore Quelle Eingang

Variable für die Anzeige der Nummer der höchstprioren ALC-Quelle, die am Eingang des verfahrenstechnischen ALC-Elements aktuell ansteht.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer numerischen Variable.

Hinweis: Diese Eigenschaft steht nur dann zur Verfügung, wenn für die Eigenschaft Funktionstyp eine gültige Projektierung vorgenommen wurde. Ist der Funktionstyp "keine Funktion" ist diese Eigenschaft ausgegraut und kann nicht konfiguriert werden.

Diese Eigenschaft ist auch dann ausgegraut, wenn als Funktionstyp Generator, Quelle oder Abschluss projektiert sind.
Wurde die Eigenschaft Alias verwenden aktiviert und via der Eigenschaft Alias ein Element verknüpft ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ALCStatusHighSourceIn


IDP_ALC_STATUSVAR_HIGHSOURCE_OUT

Interne ID: IDP_ALC_STATUSVAR_HIGHSOURCE_OUT

Höchstpriore Quelle Ausgang

Variable für die Anzeige einer Nummer der höchstprioren ALC-Quelle, die am Ausgang des verfahrenstechnischen ALC-Elements aktuell ansteht.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer numerischen Variable.

Hinweis: Diese Eigenschaft steht nur dann zur Verfügung, wenn für die Eigenschaft Funktionstyp eine gültige Projektierung vorgenommen wurde. Ist der Funktionstyp "keine Funktion" ist diese Eigenschaft ausgegraut und kann nicht konfiguriert werden.

Diese Eigenschaft ist auch dann ausgegraut, wenn als Funktionstyp Senke oder Abschluss projektiert sind.
Wurde die Eigenschaft Alias verwenden aktiviert und via der Eigenschaft Alias ein Element verknüpft ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ALCStatusHighSourceOut


IDP_ALC_STATUSVAR_SOURCELIST_IN

Interne ID: IDP_ALC_STATUSVAR_SOURCELIST_IN

Anstehende Quellen Eingang

Variable für die Anzeige der Nummer der ALC-Quellen, die am Eingang des verfahrenstechnischen ALC-Elements aktuell anstehen. Mehrere Quellen werden durch einen Strichpunkt (;) getrennt.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable vom Datentyp STRING.

Hinweis: Diese Eigenschaft steht nur dann zur Verfügung, wenn für die Eigenschaft Funktionstyp eine gültige Projektierung vorgenommen wurde. Ist der Funktionstyp "keine Funktion" ist diese Eigenschaft ausgegraut und kann nicht konfiguriert werden.

Diese Eigenschaft ist auch dann ausgegraut, wenn als Funktionstyp Generator, Quelle oder Abschluss projektiert sind.
Wurde die Eigenschaft Alias verwenden aktiviert und via der Eigenschaft Alias ein Element verknüpft ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ALCStatusSourceListIn


IDP_ALC_STATUSVAR_SOURCELIST_OUT

Interne ID: IDP_ALC_STATUSVAR_SOURCELIST_OUT

Anstehende Quellen Ausgang

Variable für die Anzeige der Nummer der ALC-Quellen, die am Ausgang des verfahrenstechnischen ALC-Elements aktuell anstehen. Mehrere Quellen werden durch einen Strichpunkt (;) getrennt.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variable vom Datentyp STRING.

Hinweis: Diese Eigenschaft steht nur dann zur Verfügung, wenn für die Eigenschaft Funktionstyp eine gültige Projektierung vorgenommen wurde. Ist der Funktionstyp "keine Funktion" ist diese Eigenschaft ausgegraut und kann nicht konfiguriert werden.

Diese Eigenschaft ist auch dann ausgegraut, wenn als Funktionstyp Senke oder Abschluss projektiert sind.
Wurde die Eigenschaft Alias verwenden aktiviert und via der Eigenschaft Alias ein Element verknüpft ist diese Eigenschaft ebenfalls ausgegraut.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ALCStatusSourceListOut


IDP_AMISTS_DEVICE

Interne ID: IDP_AMISTS_DEVICE

AMISTS device

Es kann sowohl ein Gerät als auch ein Lastschaltgerät angegeben werden. Dieses muß in der Datenbank des Transaktionsservers enthalten sein.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AMISTSDevice


IDP_AMISTS_LSDGROUP

Interne ID: IDP_AMISTS_LSDGROUP

AMISTS load switch group

Für Schaltprogramme wird hier die Gruppe von Lastschaltgeräten spezifiziert.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AMISTSLSGroup


IDP_AMISTS_REFERENCE

Interne ID: IDP_AMISTS_REFERENCE

AMISTS reference

Hierüber wird die Verbindung zwischen der Variablen und dem entsprechenden Transaktionsserver hergestellt, wie er in der Treiberkonfiguration parametriert wurde.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AMISTSReference


IDP_AMISTS_RELAYADDRESS

Interne ID: IDP_AMISTS_RELAYADDRESS

AMISTS relayAddress

Bei einem Lastschaltgerät wird hiermit das entsprechende Relais im Wertebereich von 1 bis 5 spezifiziert. Bei einem Gerät ist diese Angabe nicht relevant.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AMISTSRelayNumber


IDP_AMISTS_RELAYPROGRAM

Interne ID: IDP_AMISTS_RELAYPROGRAM

AMISTS relayProgram

Hier wird ein Schaltprogramm angegeben. Dieses muß im Block 17 der Parametrierung des Transaktionsservers aufgeführt sein.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AMISTSLSDProgram


IDP_AML_BACKCOLOR_STATE

Interne ID: IDP_AML_BACKCOLOR_STATE

Hintergrundfarbe

Hintergrundfarbe für die Alarmstatuszeile. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #FF0000

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorOfState


IDP_AML_BACKCOLOR_STATE1

Interne ID: IDP_AML_BACKCOLOR_STATE1

Meldung 1 Hintergrundfarbe

Hintergrundfarbe für die Meldung 1. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #0000FF

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorOfState1


IDP_AML_BACKCOLOR_STATE2

Interne ID: IDP_AML_BACKCOLOR_STATE2

Meldung 2 Hintergrundfarbe

Hintergrundfarbe für die Meldung 2. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #0000FF

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorOfState2


IDP_AML_BACKCOLOR_STATE3

Interne ID: IDP_AML_BACKCOLOR_STATE3

Meldung 3 Hintergrundfarbe

Hintergrundfarbe für die Meldung 3. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #0000FF

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorOfState3


IDP_AML_BACKGROUNDCOLOR_CLEARED

Interne ID: IDP_AML_BACKGROUNDCOLOR_CLEARED

Hintergrundfarbe

Hintergrundfarbe für die Anzeige von gehenden Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFFFFF

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBackgroundColorCleared


IDP_AML_BACKGROUNDCOLOR_REACTIVATED

Interne ID: IDP_AML_BACKGROUNDCOLOR_REACTIVATED

Hintergrundfarbe

Hintergrundfarbe für die Anzeige von Alarm reaktiviert in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFFFFF

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBackgroundColorReactivated


IDP_AML_BACKGROUNDCOLOR_RECEIVED

Interne ID: IDP_AML_BACKGROUNDCOLOR_RECEIVED

Hintergrundfarbe

Hintergrundfarbe für die Anzeige von kommenden Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFFFFF

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBackgroundColorReceived


IDP_AML_BGCOLOR_CLEARED_ACK

Interne ID: IDP_AML_BGCOLOR_CLEARED_ACK

Hintergrundfarbe - Geht

Hintergrundfarbe für die Anzeige von quittierten gegangenen Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFFFFF

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBackgroundColorClearedAcknowledged


IDP_AML_BGCOLOR_REACTIVATED_ACK

Interne ID: IDP_AML_BGCOLOR_REACTIVATED_ACK

Hintergrundfarbe - Reaktiviert

Hintergrundfarbe für die Anzeige von quittierten reaktivierten Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFFFFF

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBackgroundColorReactivatedAcknowledged


IDP_AML_BGCOLOR_RECEIVED_ACK

Interne ID: IDP_AML_BGCOLOR_RECEIVED_ACK

Hintergrundfarbe - Kommt

Hintergrundfarbe für die Anzeige von quittierten gekommenen Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #FFFFFF

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBackgroundColorReceivedAcknowledged


IDP_AML_BLINKMODE

Interne ID: IDP_AML_BLINKMODE

Blinken

Typ der Blink-Darstellung eines ausgewählten Alarmzustandes der AML in der Runtime.

Auswahl aus Dropdownliste:

  • Inaktiv:
    kein Blinken
  • Unquittierte Alarme:
    Zeilen der AML-Einträge mit unquittierten Alarmen blinken.
  • Quittierte Alarme:
    Zeilen der AML-Einträge mit quittierten Alarmen blinken.
  • Unquittierte Alarme - Zeitspalten blinken:
    Zeitspalten von AML-Einträgen mit unquittierten Alarmen blinken.
  • Quittierte Alarme - Zeitspalten blinken:
    Zeitspalten von AML-Einträgen mit quittierten Alarmen blinken.

Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmBlinkingMode


IDP_AML_COLOR_CLEARED_ACK

Interne ID: IDP_AML_COLOR_CLEARED_ACK

Text-/Zustandsfarbe - Geht

Text- oder Zustandsfarbe für die Anzeige von quittierten gehenden Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #3D6894

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorClearedAcknowledged


IDP_AML_COLOR_REACTIVATED_ACK

Interne ID: IDP_AML_COLOR_REACTIVATED_ACK

Text-/Zustandsfarbe - Reaktiviert

Text- oder Zustandsfarbe für die Anzeige von quittierten reaktivierten Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #3D6894

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorReactivatedAcknowledged


IDP_AML_COLOR_RECEIVED_ACK

Interne ID: IDP_AML_COLOR_RECEIVED_ACK

Text-/Zustandsfarbe - Kommt

Text- oder Zustandsfarbe für die Anzeige von quittierten kommenden Alarmen in der Alarmmeldeliste in der Runtime.

Nur verfügbar, wenn die Eigenschaft Alarmmeldeliste aktiv aktiviert ist.

Default: #3D6894

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmColorReceivedAcknowledged


IDP_AML_COMMENTS

Interne ID: IDP_AML_COMMENTS

Alarm-Kommentare

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmComments


IDP_AML_LONGLIMITS

Interne ID: IDP_AML_LONGLIMITS

Lange dynamische Grenzwerttexte AML

Bestimmt, ob das Kommentarfeld für dynamische Grenzwerttexte zur Verfügung steht. Der dynamische Grenzwerttext erlaubt es, aktuelle Werte anderer Variablen in den Grenzwerttext einer Variablen einzufügen.

  • Inaktiv: Das Kommentarfeld wird für die dynamischen Grenzwerttexte genutzt und ist für Kommentare gesperrt. Maximale Länge: 80 Zeichen.
  • Aktiv: Kommentare und dynamische Grenzwerttexte sind erlaubt. Dynamische Inhalte werden in einer Datei mit der Namenskonvention D*.AML abgelegt. Diese wird zusätzlich zur Datei A*.AML angelegt. Das Kommentarfeld kann damit für Kommentare benutzt werden. Dynamische Grenzwerttexte dürfen maximal 254 Zeichen lang sein.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmLongDynLimits


IDP_AML_ROWBACKGROUNDCOLOR

Interne ID: IDP_AML_ROWBACKGROUNDCOLOR

Zeilenhintergrund aus Alarmzustand

Definiert, ob die Hintergrundfarbe eines Alarmeintrags der Alarmmeldeliste abhängig vom Alarmstatus gesetzt wird.

  • Aktiv:
    Die definierte Hintergrundfarbe der jeweiligen Alarmstatusangabe wird zur Runtime in der AML angewendet.
  • Inaktiv:
    Die Hintergrundfarbe ist nicht mit dem Alarmstatus verknüpft.

Default: Inaktiv

Klick auf ... öffnet das Dropdownmenü zur Farbauswahl. Bereits projektierte Farbpaletten können in diesem Menü in der Registerkarte Farbpalette ausgewählt werden. Die Farbe kann auch durch Direkteingabe eines Farbwerts in das Eingabefeld der Eigenschaft projektiert werden. Der Farbwert wird dabei als Hexadezimalwert der Farbe mit dem Präfix # eingegeben, z.B. #000000 für die Farbe Schwarz.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmRowBackgroundColor


IDP_AML_STATETEXTCOLOR

Interne ID: IDP_AML_STATETEXTCOLOR

Zustandstextfarbe anwenden auf

Definiert, in welchem Bereich die projektierte Zustandstextfarbe in der AML zur Runtime angewendet wird:

  • Zeitspalten:
    Die Zustandstextfarbe gilt nur für die Zeitspalten.
  • Ganze Zeile:
    Die Zustandstextfarbe gilt für die ganze Zeile.

Default: Zeitspalten

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmStateTextColor


IDP_AML_TEXTCOLOR_STATE

Interne ID: IDP_AML_TEXTCOLOR_STATE

Textfarbe

Textfarbe für die Alarmstatuszeile. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #000000

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorOfState


IDP_AML_TEXTCOLOR_STATE1

Interne ID: IDP_AML_TEXTCOLOR_STATE1

Meldung 1 Textfarbe

Textfarbe für die Meldung 1. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #FFFFFF

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorOfState1


IDP_AML_TEXTCOLOR_STATE2

Interne ID: IDP_AML_TEXTCOLOR_STATE2

Meldung 2 Textfarbe

Textfarbe für die Meldung 2. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #FFFFFF

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorOfState2


IDP_AML_TEXTCOLOR_STATE3

Interne ID: IDP_AML_TEXTCOLOR_STATE3

Meldung 3 Textfarbe

Textfarbe für die Meldung 3. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: #FFFFFF

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorOfState3


IDP_AML_TEXTLIST_ENDNODE_SEL

Interne ID: IDP_AML_TEXTLIST_ENDNODE_SEL

Nur Endknoten als Alarmursache erlauben

Definiert, ob in der Runtime Texte aus allen Ebenen oder nur Texte aus Endknoten als Alarmursachen gewählt werden können.

  • Aktiv: Es können nur Texte aus Endknoten als Alarmursachen gewählt werden.
  • Inaktiv: Texte aus allen Ebenen können als Alarmursachen gewählt werden.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextListEndNodeSelection


IDP_AML_TEXTLIST_PIC

Interne ID: IDP_AML_TEXTLIST_PIC

Bild für Alarmursachen-Auswahl

Auswahl eines Bildes vom Typ Kontextliste, um in der Runtime Alarmursachen auszuwählen. Das Bild wird anstelle des Standarddialogs zur Auswahl von Alarmursachen aufgeschaltet. Klick auf Schaltfläche ... öffnet Dialog zur Bildauswahl.

Default: <Kein Bild>

Mehr in der Onlinehilfe.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextListPicture


IDP_BATCH_ACTION_ALLOC_GRP

Interne ID: IDP_BATCH_ACTION_ALLOC_GRP

Parameter zuweisen

Enthält Eigenschaften für die Zuweisung von Parameter.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActAllocGrp


IDP_BATCH_ACTION_CEL_CLASS

Interne ID: IDP_BATCH_ACTION_CEL_CLASS

Klasse

Zuordnung einer bereits existierenden Alarm/Ereignis-Klasse zu CEL- Meldungen für das gewählte Ereignis. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CelClass


IDP_BATCH_ACTION_CEL_GROUP

Interne ID: IDP_BATCH_ACTION_CEL_GROUP

Gruppe

Zuordnung einer bereits existierenden Alarm/Ereignis-Gruppe zu CEL- Meldungen für das gewählte Ereignis. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CelGroup


IDP_BATCH_ACTION_CELACTIVE

Interne ID: IDP_BATCH_ACTION_CELACTIVE

CEL Eintrag erzeugen

Aktiv: Der in der Eigenschaft CEL Meldungstext definierte Text wird in die CEL eingetragen.

Der Eintrag erfolgt in der CEL am Server mit dem zu diesem Zeitpunkt angemeldeten Benutzer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActCelEn


IDP_BATCH_ACTION_CELMSG

Interne ID: IDP_BATCH_ACTION_CELMSG

CEL Meldungstext

Nur verfügbar, wenn Eigenschaft CEL Eintrag erzeugen aktiv ist.

Text, der in die CEL eingetragen wird. Kann Schlüsselwörter aus der Sprachumschaltung enthalten.

Maximum: 512 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActCelMsg


IDP_BATCH_ACTION_DESCR

Interne ID: IDP_BATCH_ACTION_DESCR

Beschreibung

Freie Texteingabe zur Beschreibung des gewählten Ereignisses.
Beschreibung ist zur Runtime nicht sichtbar und gilt nur für den Editor.
Maximum: 512 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActDescr


IDP_BATCH_ACTION_DESTTAG

Interne ID: IDP_BATCH_ACTION_DESTTAG

Zielparameter

Nur verfügbar, wenn ein Quellparameter gewählt wurde.

Parameter, auf den der Wert des in der Eigenschaft Quellparameter gewählten Parameters übertragen wird. Klick auf Schaltfläche ... öffnet Dialog zur Parameterauswahl. Es werden nur Parameter vom passenden Typ angeboten. Wird der Parameter umbenannt, wird die Änderung automatisch übernommen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActDestTag


IDP_BATCH_ACTION_FUNC

Interne ID: IDP_BATCH_ACTION_FUNC

Funktion

Funktion, die ausgeführt werden soll. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.

Es kann eine Funktion aus dem lokalen Projekt oder einem anderen Projekt gewählt werden. Das Projekt muss so wie die Funktion zur Runtime zur Verfügung stehen. Wird die Funktion umbenannt, wird die Änderung automatisch übernommen.

Zur Runtime wird während der Validierung überprüft, ob die Funktion vorhanden ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActFunc


IDP_BATCH_ACTION_FUNCTION_GRP

Interne ID: IDP_BATCH_ACTION_FUNCTION_GRP

Funktion

Enthält Eigenschaft zur Funktionsauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActFuncGrp


IDP_BATCH_ACTION_GENERAL_GRP

Interne ID: IDP_BATCH_ACTION_GENERAL_GRP

Allgemein

Enthält allgemeine Eigenschaften für Ereignisse.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActGeneral


IDP_BATCH_ACTION_LOG_GRP

Interne ID: IDP_BATCH_ACTION_LOG_GRP

CEL-Eintrag

Enthält Eigenschaften für Einträge in die CEL und in LOG-Dateien.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActLogGrp


IDP_BATCH_ACTION_LOGMSG

Interne ID: IDP_BATCH_ACTION_LOGMSG

Log Meldungstext

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActLogMsg


IDP_BATCH_ACTION_LOGMSG_EN

Interne ID: IDP_BATCH_ACTION_LOGMSG_EN

Logeintrag erzeugen

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActLogEn


IDP_BATCH_ACTION_PRIO

Interne ID: IDP_BATCH_ACTION_PRIO

Ausführungsreihung

Zeigt die Ausführungsreihenfolge an, wenn für das gleiche Ereignis mehrere Reaktionen definiert wurden. Die Reihenfolge wird durch die Position in der Liste definiert und hier nur angezeigt. Die Reihenfolge kann in der Liste über die Symbolleiste oder das Kontextmenü des Ereignisses geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActPrio


IDP_BATCH_ACTION_REACTION_GRP

Interne ID: IDP_BATCH_ACTION_REACTION_GRP

Reaktionen

Enthält Eigenschaften für Reaktionen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTagGrp


IDP_BATCH_ACTION_RECIPE_GRP

Interne ID: IDP_BATCH_ACTION_RECIPE_GRP

Rezeptbeeinflussung

Enthält Eigenschaften für Ausführungsmodus und Kommando.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActRecipeGrp


IDP_BATCH_ACTION_RESCMD

Interne ID: IDP_BATCH_ACTION_RESCMD

Kommando

Rezept- oder Grundfunktionskommando, das zur Runtime beim Eintreten des Ereignisses ausgeführt wird. Rezeptkommandos beeinflussen die Ausführung des gesamten Rezepts. Grundfunktionskommandos beeinflussen nur jene Grundfunktion, für die die Reaktion konfiguriert wurde bzw. für die das Ereignis aufgetreten ist. Das Rezeptkommando bzw. Grundfunktionskommando wird zur Runtime nur ausgeführt, wenn das Kommando auch erlaubt ist. Zum Beispiel: Ein Rezept kann nicht fortgesetzt werden, wenn das Rezept gerade angehalten wird. Eine Grundfunktion kann nicht neu gestartet werden wenn die Grundfunktion in der Runtime pausiert ist, oder in Ausführung ist.

Hinweis: Die Validierung des Rezepts in der Runtime prüft die Grundfunktionskommandos bzw. Rezeptkommandos nicht auf Plausibilität

Auswahl des Kommandos aus Dropdownliste:

  • Grundfunktion anhalten
  • Grundfunktion fortsetzen
  • Grundfunktion neu starten
  • Grundfunktion pausieren
  • Ignorieren
  • Rezept abbrechen
  • Rezept anhalten
  • Rezept fortsetzen
  • Rezept neu starten
  • Rezept pausieren
  • Rezept stoppen

Default: Ignorieren

Hinweis: Pro Ereignis kann nur ein einziges Kommando gesetzt werden. Für alle weiteren Ereignisse des gleichen Typs wird die Eigenschaft automatisch auf Ignorieren gesetzt. Auch für "Runtime beenden" angestoßen wird die Eigenschaft automatisch auf Ignorieren gesetzt. Wenn das Ereignis geändert wird, wird diese Einstellung eventuell auch auf Ignorieren gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActResCmd


IDP_BATCH_ACTION_RESCMDMODE

Interne ID: IDP_BATCH_ACTION_RESCMDMODE

Modus

Über diese Reaktion kann in der Runtime der Ausführungsmodus als Reaktion auf das Ereignis gesteuert werden.

Auswahl des Ausführungsmodus aus Dropdownliste:

  • Automatisch
  • Halbautomatisch
  • Ignorieren
  • Manuell

Default: Ignorieren

Hinweis: Pro Ereignis kann der Ausführungsmodus nur einmal gesetzt werden. Für alle weiteren Ereignisse des gleichen Typs wird der Modus automatisch auf Ignorieren gesetzt. Auch für "Runtime beenden" angestoßen wird der Modus automatisch auf Ignorieren gesetzt. Wird das Ereignis geändert auf ein Ereignis, für das bereits eine bestehende Reaktion für den Ausführungsmodus konfiguriert wurde, wird die Ausführungsmodus-Reaktion vom geänderten Ereignis auf Ignorieren gesetzt. Ist noch keine Reaktion für den Ausführungsmodus für das neue Ereignis vorhanden, wird die Ausführungsmodus-Reaktion beibehalten. Ausnahme: "Runtime beenden" angestoßen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActResCmdMode


IDP_BATCH_ACTION_SETTAG

Interne ID: IDP_BATCH_ACTION_SETTAG

Parameter

Parameter, auf den der definierte Sollwert als Reaktion auf das Ereignis geschrieben werden soll. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Parameters. Bei der Parameterwahl gilt:

  • Es können nur Parameter der Grundfunktion ausgewählt werden, zu der die Reaktion gehört.
  • Es können sowohl Rückgabeparameter als auch Befehlsparameter gewählt werden.
  • Wird ein Parameter umbenannt, wird die Änderung automatisch übernommen.
  • Der Parameter-Sollwert kann abhängig vom Parameter-Datentyp eingegeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTag


IDP_BATCH_ACTION_SETTAG_BO

Interne ID: IDP_BATCH_ACTION_SETTAG_BO

Wert Bool

Steht nur zur Verfügung, wenn in der Eigenschaft Parameter ein Parameter vom Typ Binär ausgewählt wurde.

Sollwert für einen binären Parameter. Auswahl aus Dropdownliste:

  • Aus (0)
  • Ein (1)
  • Toggeln: wechselt Zustand
    Beim Start der Grundfunktion wird der Wert abgefragt und bei der Reaktion invertiert geschrieben. Wird kein gültiger Wert empfangen, kann mittels der Reaktion „Verknüpfte Variable gestört" reagiert werden.

Default: Aus (0)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTBool


IDP_BATCH_ACTION_SETTAG_DUR

Interne ID: IDP_BATCH_ACTION_SETTAG_DUR

Zeitdauer

Steht nur zur Verfügung, wenn in der Eigenschaft Parameter ein Parameter vom Typ Zeitdauer ausgewählt wurde.

Sollwert in Tagen, Stunden, Minuten und Sekunden für Parameter vom Typ Zeitdauer. Die Zeitspanne wird als Wert in Sekunden auf die beim Parameter verknüpfte Variable geschrieben.

  • Maximalwert: 0T 00:00:00
  • Minimalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Zum Beispiel: 30 Minuten und 5 Sekunden = 1805

Zur Runtime wird während der Validierung des Rezepts überprüft, ob der Wert in Sekunden innerhalb der Minimum/Maximum Grenzen der beim Parameter verknüpften Variable liegt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTDuration


IDP_BATCH_ACTION_SETTAG_GRP

Interne ID: IDP_BATCH_ACTION_SETTAG_GRP

Parameter Sollwert setzen

Enthält Eigenschaften für Parameter Sollwert setzen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActReactGrp


IDP_BATCH_ACTION_SETTAG_MEUNIT

Interne ID: IDP_BATCH_ACTION_SETTAG_MEUNIT

Tag Einheit

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTagMeUnit


IDP_BATCH_ACTION_SETTAG_NUM

Interne ID: IDP_BATCH_ACTION_SETTAG_NUM

Wert Numerisch

Steht nur zur Verfügung, wenn in der Eigenschaft Parameter ein Parameter vom Typ Numerisch ausgewählt wurde.

Sollwert für Parameter vom Typ Numerisch.
Es kann eine negative oder positive Ganzzahl oder Fließkommazahl definiert werden, die als Reaktion auf den Parameter geschrieben wird.

Zur Runtime wird während der Validierung des Rezepts überprüft, ob der Wert innerhalb der Minimum/Maximum Grenzen der beim Parameter verknüpften Variable liegt.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTNum


IDP_BATCH_ACTION_SETTAG_STR

Interne ID: IDP_BATCH_ACTION_SETTAG_STR

Wert String

Steht nur zur Verfügung, wenn in der Eigenschaft Parameter ein Parameter vom Typ String ausgewählt wurde.

Sollwert für Parameter vom Typ String.

Zur Runtime wird während der Validierung des Rezepts überprüft, ob die Länge des Stringwerts kleiner als die maximale Stringlänge der der beim Parameter verknüpften String-Variable ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSetTStr


IDP_BATCH_ACTION_SRCTAG

Interne ID: IDP_BATCH_ACTION_SRCTAG

Quellparameter

Parameter, dessen Wert auf den in der Eigenschaft Zielparameter gewählten Parameters übertragen wird. Klick auf Schaltfläche ... öffnet Dialog zur Parameterauswahl.

Beim Start der Grundfunktion zur Runtime wird der beim Quellparameter verknüpfte Wert der Variable abgefragt. Wird kein gültiger Wert empfangen, kann mittels der Reaktion „Verknüpfte Variable gestört" reagiert werden. Wird der Parameter umbenannt, wird die Änderung automatisch übernommen.

Zur Runtime wird während der Validierung überprüft, ob der Zielparameter vorhanden ist und die bei den Parametern verknüpften Variablen gültig und vom richtigen Typ sind.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActSrcTag


IDP_BATCH_ACTION_TYPE

Interne ID: IDP_BATCH_ACTION_TYPE

Ereignis

Auswahl des Ereignistyps, bei dem die Reaktion ausgeführt werden soll, aus Dropdownliste.
Für jedes Ereignis können mehrere Reaktionen definiert werden. Die Ausführungsreihenfolge kann in der Detailansicht festgelegt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchActType


IDP_BATCH_CEL_CLASS_CMD

Interne ID: IDP_BATCH_CEL_CLASS_CMD

Klasse für Kommandos

Zuordnung einer bereits existierenden Alarm/Ereignis-Klasse zu CEL- Meldungen für Kommandos. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ClassCmd


IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Interne ID: IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Klasse für Jump/Force/Step

Zuordnung einer bereits existierenden Alarm/Ereignis-Klasse zu CEL- Meldungen für springen, forcen und schrittweises Ausführen. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ClassStep


IDP_BATCH_CEL_CLASS_RECIPE

Interne ID: IDP_BATCH_CEL_CLASS_RECIPE

Klasse für Rezepthandling

Zuordnung einer bereits existierenden Alarm/Ereignis-Klasse zu CEL- Meldungen für das Rezepthandling. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ClassRecipe


IDP_BATCH_CEL_CLASS_VALUE

Interne ID: IDP_BATCH_CEL_CLASS_VALUE

Klasse für Wertänderung

Zuordnung einer bereits existierenden Alarm/Ereignis-Klasse zu CEL- Meldungen für Wertänderungen. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ClassValue


IDP_BATCH_CEL_GROUP_CMD

Interne ID: IDP_BATCH_CEL_GROUP_CMD

Gruppe für Kommandos

Zuordnung einer bereits existierenden Alarm/Ereignis-Gruppe zu CEL- Meldungen für Kommandos. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GroupCmd


IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Interne ID: IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Gruppe für Jump/Force/Step

Zuordnung einer bereits existierenden Alarm/Ereignis-Gruppe zu CEL- Meldungen für springen, forcen und schrittweises Ausführen. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GroupStep


IDP_BATCH_CEL_GROUP_RECIPE

Interne ID: IDP_BATCH_CEL_GROUP_RECIPE

Gruppe für Rezepthandling

Zuordnung einer bereits existierenden Alarm/Ereignis-Gruppe zu CEL- Meldungen für das Rezepthandling. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GroupRecipe


IDP_BATCH_CEL_GROUP_VALUE

Interne ID: IDP_BATCH_CEL_GROUP_VALUE

Gruppe für Wertänderung

Zuordnung einer bereits existierenden Alarm/Ereignis-Gruppe zu CEL- Meldungen für Wertänderungen. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GroupValue


IDP_BATCH_CELGROUPCLASS_GRP

Interne ID: IDP_BATCH_CELGROUPCLASS_GRP

CEL Event Gruppen/Klassen

Enthält Eigenschaften zur Zuweisung von Gruppen und Klassen für CEL-Meldungen zu Rezepten, Kommandos, Wertänderungen, springen, forcen und schrittweises Ausführen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELGroupClass


IDP_BATCH_COMMUNICATION_FAILURE

Interne ID: IDP_BATCH_COMMUNICATION_FAILURE

Aktion bei Kommunikationsstörung

Konfiguration der Reaktion auf Kommunikationsausfälle. Auswahl aus Dropdownliste:

  • Grundfunktion anhalten
  • Grundfunktion pausieren

Bedingungen für die Erkennung von Kommunikationsausfällen werden bei den Grundfunktionen mit der Eigenschaft Kommunikationsstörung definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CommunicationFailureAction


IDP_BATCH_COMMUNICATION_FAILURE_GRP

Interne ID: IDP_BATCH_COMMUNICATION_FAILURE_GRP

Kommunikationsstörung

Eigenschaften zur Reaktion auf Kommunikationsausfälle. Bedingungen für die Erkennung von Kommunikationsausfällen werden bei den Grundfunktionen mit der Eigenschaft Kommunikationsstörung definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CommunicationFailure


IDP_BATCH_CS_DESCRIPTION

Interne ID: IDP_BATCH_CS_DESCRIPTION

Beschreibung

Freier Text zur Beschreibung der Fahrweise.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


IDP_BATCH_CS_GENERAL_GRP

Interne ID: IDP_BATCH_CS_GENERAL_GRP

Allgemein

Enthält Eigenschaften zur Konfiguration der Fahrweisen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDP_BATCH_CS_IDENTIFIER

Interne ID: IDP_BATCH_CS_IDENTIFIER

Fahrweisennummer

Eindeutige Nummer der Fahrweise zur Identifikation innerhalb dieser Grundfunktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Identifier


IDP_BATCH_CS_NAME

Interne ID: IDP_BATCH_CS_NAME

Name

Name der Fahrweise.

Der Name:

  • muss innerhalb der Grundfunktion eindeutig sein
  • darf nicht leer sein
  • darf keine Punkte enthalten
  • darf nicht ausschließlich aus Leerzeichen bestehen
  • darf maximal 256 Zeichen enthalten

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDP_BATCH_EVENT_EXECUTE_STARTUP

Interne ID: IDP_BATCH_EVENT_EXECUTE_STARTUP

Ausführung vor Start Event erlauben

Aktiv: Das Ereignis kann vor dem Ereignis Grundfunktion gestartet ausgeführt werden.

Inaktiv: Das Ereignis kann erst ausgeführt werden, wenn das Ereignis Grundfunktion gestartet ausgeführt wurde.

Nur für Ereignisse konfigurierbar, die sowohl vor als auch nach Grundfunktion gestartet möglich sind. Bei allen anderen Ereignissen wird der Wert automatisch entsprechend ihrem Typ gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExecuteBeforeStartEvent


IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Interne ID: IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Aktion bei Runtime Neustart

Eigenschaften für die Definitionen von Aktionen beim Wiederanlaufen der Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExecutionAfterRestart


IDP_BATCH_GLOB_CYCLETIME

Interne ID: IDP_BATCH_GLOB_CYCLETIME

Zykluszeit [s]

Zeit für den Zyklus, innerhalb desen ein neues Abbild erstellt wird, in Sekunden.

  • Minimum: 30 s
  • Maximum: 4294967295 s

Default: 30 s

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CycleTime


IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Interne ID: IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Zyklisches Schreiben aktivieren

Aktiv: Ein Abbild wird zyklisch entsprechend der in der Eigenschaft Zykluszeit [s] eingestellten Zeit geschrieben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CyclicWriteActive


IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Interne ID: IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Rezeptabbild

Enthält Eigenschaften für das zyklische Schreiben des Abbilds.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CyclicImage


IDP_BATCH_GLOB_EXPLANATION_NEEDED

Interne ID: IDP_BATCH_GLOB_EXPLANATION_NEEDED

Begründung bei Wertänderung erforderlich

Aktiv: Bei der Eingabe von Wertänderungen zur Runtime muss vom Benutzer eine Begründung für die Änderung eingegeben werden. Vor der Durchführung einer Änderung wird ein Dialog zur Eingabe der Begründung geöffnet. Diese Einstellung ist für das gesamte Modul Batch Control gültig und kann lokal für einzelne Grundfunktionen oder Rezepte nicht mehr geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExplanationNeeded


IDP_BATCH_GLOB_JOBVARIABLE

Interne ID: IDP_BATCH_GLOB_JOBVARIABLE

Auftragsvariable

Auswahl der Auftragsvariablen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

JobVariable


IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Interne ID: IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Wert aus Auftragsvariable übernehmen bei

Auswahl aus Dropdownliste, wann der Wert der Auftragsvariable wirken soll:

  • Erzeugung des Steuerrezepts
  • Starten des Steuerrezepts

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

JobVariableApplyType


IDP_BATCH_GLOB_JOBVARIABLE_GRP

Interne ID: IDP_BATCH_GLOB_JOBVARIABLE_GRP

Auftragsvariable

Gruppe für die Eigenschaften der Auftragsvariablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

JobVariableGrp


IDP_BATCH_GLOB_SETVALUE_GRP

Interne ID: IDP_BATCH_GLOB_SETVALUE_GRP

Parameter editieren

Eigenschaften für das Editieren von Parametern zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ParamChange


IDP_BATCH_GLOB_WRITE_TIMEOUT

Interne ID: IDP_BATCH_GLOB_WRITE_TIMEOUT

Timeout für gesichertes Schreiben

Timeout für das gesicherte Schreiben in Sekunden.

Minimum: 10 s
Maximum: 3600 s
Default: 20 s

Die Wartezeit gilt für die Summe aller Wartezeiten beim gesicherten Schreiben der Befehlsparameter: Warten auf Werte für alle zu schreibenden Parameter plus Warten auf Bestätigung der geschriebenen Parameter plus Warten auf Lesen der Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteTimeout


IDP_BATCH_GLOB_WRITE_VARS

Interne ID: IDP_BATCH_GLOB_WRITE_VARS

Gesichertes Schreiben

Gruppe für Eigenschaften zum gesicherten Schreiben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteVars


IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Interne ID: IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Rezeptabbild schreiben bei Aktivierung einer Grundfunktion

Aktiv: Bei jedem Aktivieren einer Grundfunktion wird ein Abbild geschrieben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteImageOnPhaseActivation


IDP_BATCH_JOBVARIABLE_LIST

Interne ID: IDP_BATCH_JOBVARIABLE_LIST

Individuelle Auftragsvariable

Auswahl individueller Auftragsvariablen. Diese können über eine Funktion individuell zugewiesen werden. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer oder mehrerer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

JobVariableList


IDP_BATCH_KBD_BOOL

Interne ID: IDP_BATCH_KBD_BOOL

Binärparameter

Konfiguration der Tastatur für die Eingabe von binären Parametern. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BoolKbd


IDP_BATCH_KBD_NUM

Interne ID: IDP_BATCH_KBD_NUM

Numerische Parameter

Konfiguration der Tastatur für die Eingabe von numerischen Parametern. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NumKbd


IDP_BATCH_KBD_SPAN

Interne ID: IDP_BATCH_KBD_SPAN

Zeitdauerparameter

Konfiguration der Tastatur für die Eingabe von Zeitdauer-Parametern. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SpanKbd


IDP_BATCH_KBD_STRING

Interne ID: IDP_BATCH_KBD_STRING

Stringparameter

Konfiguration der Tastatur für die Eingabe von String-Parametern. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StringKbd


IDP_BATCH_MR_GENERAL_GRP

Interne ID: IDP_BATCH_MR_GENERAL_GRP

GRP_General

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDP_BATCH_OP_GENERAL_GRP

Interne ID: IDP_BATCH_OP_GENERAL_GRP

GRP_General

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDP_BATCH_PHASE_ABORTING_CND

Interne ID: IDP_BATCH_PHASE_ABORTING_CND

Abgebrochen

Bedingung für den Wechsel von abbrechend auf abgebrochen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AbortingCnd


IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Interne ID: IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Prüfe Transientbedingungen vor Start Event

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CheckTransCndBeforeStartEvent


IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Interne ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Fahrweisen aktiv

Aktiv: Fahrweisen sind für dies Grundfunktion zugelassen. Unterhalb der Grundfunktion wird damit der Knoten Fahrweisen zur Konfiguration von Fahrweisen eingeblendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ControlStrategiesActive


IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Interne ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Fahrweisen

Enthält Eigenschaften zur Aktivierung von Fahrweisen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ControlStrategies


IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Interne ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Fahrweisenparameter

Nur verfügbar, wenn die Eigenschaft Fahrweisen aktiv aktiviert wurde.

Verknüpfung eines numerischen Befehlsparameters. Dieser definiert bei der Ausführung, welche Fahrweise aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ControlStrategiesTag


IDP_BATCH_PHASE_DESCRIPTION

Interne ID: IDP_BATCH_PHASE_DESCRIPTION

Beschreibung

Frei definierbarer String zur näheren Beschreibung der Grundfunktion. Beschreibung ist sprachumschaltbar.

Maximale Länge: 512 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


IDP_BATCH_PHASE_DONE

Interne ID: IDP_BATCH_PHASE_DONE

Weiterschaltbedingung

Definiert Bedingung für Weiterschaltung. Klick auf Schaltfläche ... öffnet Formeleditor zur Definition einer Bedingung.
Bedingung kann zur Runtime angezeigt, aber nicht verändert werden. Die Zeitspanne, die auf die Erfüllung der Bedingung gewartet wird, wird mit der Eigenschaft Maximale Ausführungsdauer definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Done


IDP_BATCH_PHASE_ERROR_PLC

Interne ID: IDP_BATCH_PHASE_ERROR_PLC

SPS-Fehler

Eingabe der Formel zur Erkennung von SPS Fehlern. Klick auf Schaltfläche ... öffnet den Dialog zur Konfiguration der Formel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PlcError


IDP_BATCH_PHASE_ESCAPING

Interne ID: IDP_BATCH_PHASE_ESCAPING

Ausstiegsbedingung

Bedienung für das Verlassen einer Grundfunktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Escaping


IDP_BATCH_PHASE_EXPLANATION_NEEDED

Interne ID: IDP_BATCH_PHASE_EXPLANATION_NEEDED

Begründung bei Änderung der minimalen Ausführungsdauer erforderlich

Aktiv: Bei der Eingabe von Wertänderungen für diese Grundfunktion zur Runtime muss vom Benutzer eine Begründung für die Änderung eingegeben werden. Vor der Durchführung einer Änderung wird ein Dialog zur Eingabe der Begründung geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExplanationMinExecTimeNeeded


IDP_BATCH_PHASE_FAILURE

Interne ID: IDP_BATCH_PHASE_FAILURE

Kommunikationsstörung

Eingabe der Formel zur Erkennung von Kommunikationsausfällen. Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration der Formel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Failure


IDP_BATCH_PHASE_FAILURE_GRP

Interne ID: IDP_BATCH_PHASE_FAILURE_GRP

Störung

Eigenschaften zur Erkennung von Kommunikationsstörungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GPR_Failure


IDP_BATCH_PHASE_GENERAL_GRP

Interne ID: IDP_BATCH_PHASE_GENERAL_GRP

Allgemein

Allgemeine Eigenschaften der Grundfunktion.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDP_BATCH_PHASE_HOLDING_CND

Interne ID: IDP_BATCH_PHASE_HOLDING_CND

Angehalten

Bedingung für den Wechsel von anhaltend auf angehalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HoldingCnd


IDP_BATCH_PHASE_INTERLOCKING

Interne ID: IDP_BATCH_PHASE_INTERLOCKING

Eingangsverriegelung

Definiert Bedingung für Eingangsverriegelung. Klick auf Schaltfläche ... öffnet den Formeleditor zur Definition einer Bedingung.
Wird eine Eingangsverriegelung konfiguriert, dann wird die Grundfunktion zur Runtime erst ausgeführt, wenn die Bedingung für die Eingangsverriegelung erfüllt wurde. Die Formel kann aus einem oder mehreren Befehlsparametern und Rückgabeparametern der Grundfunktion bestehen. Wert und Status der Variablen können verwendet werden. Die Formel gibt TRUE oder FALSE als Ergebnis aus. Die Bedingung kann zur Runtime angezeigt, aber nicht verändert werden.
Die Wartezeit für die Eingangsverriegelung wird mit der Eigenschaft Wartezeit Eingangsverriegelung konfiguriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Interlocking


IDP_BATCH_PHASE_MINEXECTIME

Interne ID: IDP_BATCH_PHASE_MINEXECTIME

Minimale Ausführungsdauer

Minimale Ausführungsdauer der Grundfunktion.

  • >0: Zeitraum, der nach dem Schreiben der Befehlsparameter mindestens gewartet wird, unabhängig davon, ob die Weiterschaltbedingung erfüllt ist.
  • 0: Keine minimale Ausführungsdauer definiert.

Hinweis: Minimale Ausführungsdauer kann Maximale Ausführungsdauer überschreiten.

Die Wartezeit läuft unabhängig vom Rezeptstatus (also z. B. auch bei Rezept pausieren) und auch beim Beenden und Neustarten der Runtime ununterbrochen weiter.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinExecTime


IDP_BATCH_PHASE_NAME

Interne ID: IDP_BATCH_PHASE_NAME

Name

Name der Grundfunktion. Muss pro Aggregat eindeutig sein. Der Name darf keinen Punkt enthalten, nicht nur aus Leerzeichen bestehen und darf nicht leer sein. Name ist sprachumschaltbar.
Default: Grundfunktion x (wobei x eine fortlaufende Zahl ist).

Maximale Länge: 256 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Interne ID: IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Aggregatbeschreibung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UnitDescription


IDP_BATCH_PHASE_PARENT_UNIT_NAME

Interne ID: IDP_BATCH_PHASE_PARENT_UNIT_NAME

Aggregat

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Unit


IDP_BATCH_PHASE_PAUSING_CND

Interne ID: IDP_BATCH_PHASE_PAUSING_CND

Pausiert

Bedingung für den Wechsel von pausierend auf pausiert.
Für die Bedingung kann eine Formel definiert werden. Die Formel kann aus einem oder mehreren Befehlsparametern und Rückgabeparametern der Grundfunktion bestehen. Wert und Status der Variablen können verwendet werden.
Option: Für die Gültigkeit der Grundfunktion können Variablen verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PausingCnd


IDP_BATCH_PHASE_RECOVER

Interne ID: IDP_BATCH_PHASE_RECOVER

Kommunikationsstörung quittiert

Eingabe der Formel zur Erkennung, wann die Kommunikation nach einem Ausfall wiederhergestellt wurde. Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration der Formel.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Recover


IDP_BATCH_PHASE_RESTARTING_CND

Interne ID: IDP_BATCH_PHASE_RESTARTING_CND

Neu gestartet

Bedingung für den Wechsel von neu startend auf laufend.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RestartingCnd


IDP_BATCH_PHASE_STOPPING_CND

Interne ID: IDP_BATCH_PHASE_STOPPING_CND

Gestoppt

Bedingung für den Wechsel von stoppend auf gestoppt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StoppingCnd


IDP_BATCH_PHASE_TOALLOCATION

Interne ID: IDP_BATCH_PHASE_TOALLOCATION

Wartezeit Aggregatsbelegung

Zeit in Tagen, Stunden, Minuten und Sekunden, die auf die Belegung des Aggregats gewartet wird. Die Wartezeit kann zur Runtime verändert werden, solange sich das Rezept im Status editierbar befindet.

Nach Ablauf der definierten Zeit wird das Ereignis Wartezeit Aggregatsbelegung überschritten ausgelöst und das Element hervorgehoben dargestellt. Weitere Aktionen müssen vom Projektanten definiert werden. Erfolgen keine weiteren Aktionen, wird weiter gewartet.

Maximum: 9999T 23:59:59
Default: 0T 00:00:00

Hinweis: Ein Aggregat kann immer nur von einem einzigen Rezept mit Status In Ausführung belegt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ToAllocation


IDP_BATCH_PHASE_TODONE

Interne ID: IDP_BATCH_PHASE_TODONE

Maximale Ausführungsdauer

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die in der Eigenschaft Weiterschaltbedingung definierte Bedingung den Wert TRUE zurückgeben muss. Die Wartezeit beginnt mit dem Schreiben der Befehlsparameter zu laufen. Wird innerhalb der Wartezeit die Bedingung nicht erfüllt, wird das Ereignis Maximale Ausführungsdauer überschritten ausgelöst und weiter gewartet. Wurde keine Reaktion auf das Ereignis definiert, das ein anderes Verhalten erzwingt, wird weiter gewartet bis die Bedingung erfüllt wird.

Hinweis: Zeit läuft weiter, wenn das Rezept/die Grundfunktion pausiert wird.

Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.

  • Minimalwert: 0T 00:00:00
  • Maximalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Die Wartezeit läuft unabhängig vom Rezeptstatus (also z. B. auch bei Rezept pausieren) und auch beim Beenden und Neustarten der Runtime ununterbrochen weiter.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ToDone


IDP_BATCH_PHASE_TOINTERLOCK

Interne ID: IDP_BATCH_PHASE_TOINTERLOCK

Wartezeit Eingangsverriegelung

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die in der Eigenschaft Eingangsverriegelung definierte Bedingung den Wert TRUE zurückgeben muss. Die Wartezeit beginnt mit dem Beginn der Prüfung der Eingangsverriegelung zu laufen. Wird innerhalb der Wartezeit die Bedingung nicht erfüllt, wird das Ereignis Wartezeit Eingangsverriegelung überschritten ausgelöst und weiter gewartet. Wurde keine Reaktion auf das Ereignis definiert, das ein anderes Verhalten erzwingt, wird weiter gewartet bis die Bedingung erfüllt wird.

Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.

  • Minimalwert: 0T 00:00:00
  • Maximalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Die Wartezeit läuft unabhängig vom Rezeptstatus (also z. B. auch bei Rezept pausieren) und auch beim Beenden und Neustarten der Runtime ununterbrochen weiter.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ToInterlocking


IDP_BATCH_PHASE_TOPHASEEND

Interne ID: IDP_BATCH_PHASE_TOPHASEEND

Wartezeit nachfolgende Bedingungen

Zeitraum in Tagen, Stunden, Minuten und Sekunden, in dem die Grundfunktion deaktiviert werden werden muss. Die Wartezeit beginnt mit dem Erreichen der Weiterschaltbedingung zu laufen. Wird innerhalb der Wartezeit die Bedingung nicht erfüllt, wird das Ereignis Wartezeit nachfolgende Bedingung überschritten ausgelöst und weiter gewartet. Wurde keine Reaktion auf das Ereignis definiert, das ein anderes Verhalten erzwingt, wird weiter gewartet bis die Bedingung erfüllt wird.

Wird als Wartezeit 0T 00:00:00 eingestellt, wird das Ereignis nicht ausgelöst.

  • Minimalwert: 0T 00:00:00
  • Maximalwert: 9999T 23:59:59
  • Default: 0T 00:00:00

Hinweis: Ob nachfolgende Bedingungen existieren, hängt von der Rezeptstruktur ab. Die Konfiguration einer Wartezeit sollte daher besser nicht im Editor erfolgen, sondern zur Runtime.

Die Wartezeit läuft unabhängig vom Rezeptstatus (also z. B. auch bei Rezept pausieren) und auch beim Beenden und Neustarten der Runtime ununterbrochen weiter.

Mehr im Online-Handbuch in den Kapiteln: Zeiten und Nachfolgende Bedingung.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ToPhaseEnd


IDP_BATCH_PHASE_TRANS_CND_GRP

Interne ID: IDP_BATCH_PHASE_TRANS_CND_GRP

Bedingungen transiente Status

Gruppe mit Eigenschaften für Übergangsbedingungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GPR_TransCnd


IDP_BATCH_PHASE_USER_GRP

Interne ID: IDP_BATCH_PHASE_USER_GRP

Benutzer-Grundfunktion

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_User


IDP_BATCH_PHASE_USERFKT

Interne ID: IDP_BATCH_PHASE_USERFKT

Funktion

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserPFunc


IDP_BATCH_PHASE_USERMSG

Interne ID: IDP_BATCH_PHASE_USERMSG

Meldungstext

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserPMsg


IDP_BATCH_PHASE_USERPHASE

Interne ID: IDP_BATCH_PHASE_USERPHASE

Benutzer-Grundfunktion

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserPhase


IDP_BATCH_PHASE_USERTIMEOUT

Interne ID: IDP_BATCH_PHASE_USERTIMEOUT

Wartezeit Bedienhandlung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserPTimeout


IDP_BATCH_RECIPE_FRAME_GRP

Interne ID: IDP_BATCH_RECIPE_FRAME_GRP

Bedienelemente des Editors anzeigen

Enthält Eigenschaften für die Bedienelemente des Rezepteditors.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Appearance


IDP_BATCH_RECIPE_FRAME_PN

Interne ID: IDP_BATCH_RECIPE_FRAME_PN

Andockbare Fenster

Aktiv: Im Rezepteditor wird die Liste der andockbaren Fenster angezeigt.

Inaktiv: Im Rezepteditor wird die Liste der andockbaren Fenster ausgeblendet.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WithPanes


IDP_BATCH_RECIPE_FRAME_TB

Interne ID: IDP_BATCH_RECIPE_FRAME_TB

Symbolleisten

Aktiv: Im Rezepteditor werden Symbolleisten angezeigt.

Inaktiv: Im Rezepteditor werden Symbolleisten ausgeblendet. Empfohlen, wenn die Aktionen der einzelnen Symbole auf eigene Buttons gelegt wurden.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WithTBs


IDP_BATCH_RECIPE_FRAME_TOUCH_GRP

Interne ID: IDP_BATCH_RECIPE_FRAME_TOUCH_GRP

Multi-Touch

Eigenschaften zur Optimierung der Touch-Bedienung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Touch


IDP_BATCH_RECIPE_FRAME_TOUCH_IP

Interne ID: IDP_BATCH_RECIPE_FRAME_TOUCH_IP

Touch Ausführungspositionen

Optimierung der Touch-Bedienung zur Runtime:

  • Aktiv: Die Ausführungspositionen werden zur Runtime mit halbtransparenten Kreisen angezeigt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TouchIP


IDP_BATCH_RECIPE_LAWS_GRP

Interne ID: IDP_BATCH_RECIPE_LAWS_GRP

Rezepterstellung

Enthält Eigenschaften für Regeln der Rezepterstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

RecipeLaws


IDP_BATCH_RECIPE_LAWS_NO_PARALLEL_BRANCHES

Interne ID: IDP_BATCH_RECIPE_LAWS_NO_PARALLEL_BRANCHES

Parallelverzweigung verbieten

Legt Sie fest, ob Parallelverzweigungen erlaubt sind.

  • Aktiv: Zur Runtime wird bei der Validierung keine parallele Verzweigung akzeptiert. Auch bereits validierte Rezepte werden vor dem Start erneut validiert.
  • Inaktiv: Zur Runtime wird bei der Validierung parallele Verzweigung akzeptiert.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

NoParallelBranches


IDP_BATCH_RESTART_AFTER_FAILURE

Interne ID: IDP_BATCH_RESTART_AFTER_FAILURE

Wiederanlauf nach Systemausfall

Definition der Aktion beim Wiederanlauf, nachdem die Runtime aufgrund eines Systemausfalls irregulär beendet wurde.

Auswahl aus Dropdownliste:

  • Rezept anhalten: Nach dem Wiederanlaufen wird das gesamte Rezept angehalten.
  • Rezept pausieren: Nach dem Wiederanlaufen wird das gesamte Rezept pausiert.
  • Rezeptstatus beibehalten: Nach dem Wiederanlaufen wird das Rezept in den selben Status versetzt, wie vor dem Beenden.

Default: Rezeptstatus beibehalten

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RestartAfterFailure


IDP_BATCH_RESTART_AFTER_RTEND

Interne ID: IDP_BATCH_RESTART_AFTER_RTEND

Wiederanlauf nach regulärem Beenden der Runtime

Definition der Aktion beim Wiederanlauf, nachdem die Runtime regulär beendet wurde.

Auswahl aus Dropdownliste:

  • Rezept anhalten: Nach dem Wiederanlaufen wird das gesamte Rezept angehalten.
  • Rezept pausieren: Nach dem Wiederanlaufen wird das gesamte Rezept pausiert.
  • Rezeptstatus beibehalten: Nach dem Wiederanlaufen wird das Rezept in den selben Status versetzt, wie vor dem Beenden.

Default: Rezeptstatus beibehalten

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RestartAfterRTEnd


IDP_BATCH_SINGLEVERSIONAPPROVED

Interne ID: IDP_BATCH_SINGLEVERSIONAPPROVED

Nur eine Version freigeben

Aktiv: Zur Runtime kann von jedem Vorlagenrezept immer nur eine Version freigegeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SingleVersionApproved


IDP_BATCH_TAG_DATATYPE

Interne ID: IDP_BATCH_TAG_DATATYPE

Parameterdatentyp

Auswahl des Datentyps aus Dropdownliste für den in der Eigenschaft Typ gewählten Parametertyp. Als Datentyp kann gewählt werden:

  • Binär: binäre Daten
  • Numerisch: numerische Daten
  • String: Zeichenfolge.
  • Zeitdauer: Zeitdauer

Die Auswahl des Datentyps beeinflusst die in der Gruppe Sollwert setzen zur Verfügung stehenden Eigenschaften.

Hinweis: Der Parameterdatentyp kann auch noch geändert werden, nachdem bereits eine Variable verknüpft und bereits ein Wert für den Befehlsparameter definiert worden ist. Das kann bei der Validierung des Rezepts in der Runtime zu Fehler führen.

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DataType


IDP_BATCH_TAG_DEFVALUE

Interne ID: IDP_BATCH_TAG_DEFVALUE

Parameterwert

Parameterwert, der nach der Eingangsverriegelung beim Ausführen der Grundfunktion abgesetzt wird.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefValue


IDP_BATCH_TAG_DEFVALUE_BOOL

Interne ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Wert Binär

Nur verfügbar, wenn in der Gruppe Allgemein die Eigenschaft Typ auf Befehl und die Eigenschaft Parameterdatentyp auf Binär gesetzt wurde.

Wert für den binären Befehlsparameter. Auswahl aus Dropdownliste:
Aus (0):
Ein (1):
Toggeln: wechselt Zustand

Default: Aus (0)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefValueBool


IDP_BATCH_TAG_DEFVALUE_MEUNIT

Interne ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Einheit

Einheit für Wert.

Wird aus der in Eigenschaft Variable (Allgemein/Variablenverknüpfung) verknüpften Variable übernommen. Nur Anzeige, kann hier nicht geändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefValueMeUnit


IDP_BATCH_TAG_DEFVALUE_NUM

Interne ID: IDP_BATCH_TAG_DEFVALUE_NUM

Wert Numerisch

Nur verfügbar, wenn in der Gruppe Allgemein die Eigenschaft Typ auf Befehl und die Eigenschaft Parameterdatentyp auf Numerisch gesetzt wurde.

Wert für den numerischen Befehlsparameter.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefValueNum


IDP_BATCH_TAG_DEFVALUE_STR

Interne ID: IDP_BATCH_TAG_DEFVALUE_STR

Wert String

Zeichenfolge, die für den Wert des Parameters verwendet wird.
Nur verfügbar, wenn in der Gruppe Allgemein, die die Eigenschaft Allgemein auf Befehl und die Eigenschaft Parameterdatentyp auf String gesetzt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefValueStr


IDP_BATCH_TAG_DEFVALUE_TIME

Interne ID: IDP_BATCH_TAG_DEFVALUE_TIME

Wert Zeitdauer

Nur verfügbar, wenn in der Gruppe Allgemein die Eigenschaft Typ auf Befehl und die Eigenschaft Parameterdatentyp auf Zeitdauer gesetzt wurde.

Angabe der Dauer in Tagen, Stunden, Minuten und Sekunden für den Befehlsparameter Zeitdauer.

Maximalwert: 0T 00:00:00

Minimalwert: 9999T 23:59:59

Default: 0T 00:00:00

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DefValueTime


IDP_BATCH_TAG_DESCRIPTION

Interne ID: IDP_BATCH_TAG_DESCRIPTION

Beschreibung

Freier Text zur näheren Beschreibung des Parameters. Der Text ist zur Runtime sprachumschaltbar und wird im Dialog zur Bearbeitung der Grundfunktion und im Dialog zur Bearbeitung der Parameter angezeigt.

Maximum: 512 Zeichen

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


IDP_BATCH_TAG_EXPLANATION_NEEDED

Interne ID: IDP_BATCH_TAG_EXPLANATION_NEEDED

Begründung bei Wertänderung erforderlich

Konfiguration, ob eine Wertänderung durch einen Anwender eine Begründung verlangt.
Nur verfügbar, wenn die Eigenschaft Parameterwert im Vorlagenrezept änderbar aktiviert wurde.

  • Aktiv: Bei der Eingabe von Wertänderungen für diesen Parameter zur Runtime, muss vom Benutzer eine Begründung für die Änderung eingegeben werden.
    Dafür wird ein Dialog geöffnet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExplanationNeeded


IDP_BATCH_TAG_GENERAL_GRP

Interne ID: IDP_BATCH_TAG_GENERAL_GRP

Allgemein

Allgemeine Eigenschaften für Parameter.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDP_BATCH_TAG_KBD

Interne ID: IDP_BATCH_TAG_KBD

Keyboardbild

Nur verfügbar, wenn die Eigenschaft Keyboardbild verwenden aktiviert wurde.

Auswahl des auszuschaltenden Bilds vom Typ Keyboard. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Bildes.

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Keyboard


IDP_BATCH_TAG_KBD_LAYOUT

Interne ID: IDP_BATCH_TAG_KBD_LAYOUT

Keyboards

Gruppe der Eigenschaften zur Verwendung von Keyboards für die Änderung von Parametern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Keyboard


IDP_BATCH_TAG_KBD_USAGE

Interne ID: IDP_BATCH_TAG_KBD_USAGE

Keyboardbild verwenden

Aktiv: Keyboardbild wird für diesen Parameter verwendet. Das aufzuschaltende Bild vom Typ Keyboard wird über die Eigenschaft Keyboardbild definiert.

Nur verfügbar, wenn Parameterwert im Vorlagenrezept änderbar aktiviert ist.

Default: Inaktiv.

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseKeyboard


IDP_BATCH_TAG_MATERIAL

Interne ID: IDP_BATCH_TAG_MATERIAL

Materialverfolgung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Material


IDP_BATCH_TAG_MAX

Interne ID: IDP_BATCH_TAG_MAX

Maximum Parameter

Nur verfügbar, wenn in der Gruppe Allgemein die Eigenschaft Typ auf Befehl und die Eigenschaft Parameterdatentyp auf numerisch gesetzt wurde.

Maximalwert für den Parameter.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Max


IDP_BATCH_TAG_MIN

Interne ID: IDP_BATCH_TAG_MIN

Minimum Parameter

Nur verfügbar, wenn in der Gruppe Allgemein die Eigenschaft Typ auf Befehl und die Eigenschaft Parameterdatentyp auf numerisch gesetzt wurde.

Minimalwert für den Parameter.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Min


IDP_BATCH_TAG_NAME

Interne ID: IDP_BATCH_TAG_NAME

Name

Name des Parameters. Dieser muss innerhalb der Grundfunktion eindeutig sein. Der Name darf nicht leer sein, keinen Punkt enthalten und nicht nur aus Leerzeichen bestehen. Groß-/Kleinschreibung wird unterschieden. Der Name ist zur Runtime sprachumschaltbar und wird im Dialog zur Bearbeitung der Grundfunktion und im Dialog zur Bearbeitung der Parameter angezeigt.

Maximum: 256 Zeichen

Default: Parameter x, wobei x als automatisch erstellte fortlaufende Nummerierung einen eindeutigen Namen sicher stellt.

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDP_BATCH_TAG_PARAMCHANGE_GRP

Interne ID: IDP_BATCH_TAG_PARAMCHANGE_GRP

Parameter editieren

Gruppe für Eigenschaften zum Editieren von Parametern.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_ParamEdit


IDP_BATCH_TAG_PARENT_PHASE

Interne ID: IDP_BATCH_TAG_PARENT_PHASE

Grundfunktion

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Phase


IDP_BATCH_TAG_PARENT_UNIT

Interne ID: IDP_BATCH_TAG_PARENT_UNIT

Aggregat

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Unit


IDP_BATCH_TAG_RECIPEPARAM

Interne ID: IDP_BATCH_TAG_RECIPEPARAM

Parameterwert im Vorlagenrezept änderbar

Nur verfügbar, wenn in der Gruppe Allgemein die Eigenschaft Typ auf Initial oder Wert gesetzt wurde.

  • Aktiv: Parameterwerte können zur Runtime geändert werden.
  • Inaktiv: Die Parameterwerte können nicht geändert werden.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeParam


IDP_BATCH_TAG_RECIPEPARAM_MR_CHANGEABLE_LIMITS

Interne ID: IDP_BATCH_TAG_RECIPEPARAM_MR_CHANGEABLE_LIMITS

Parametergrenzwerte im Vorlagenrezept änderbar

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LimitsEditableInRecipe


IDP_BATCH_TAG_TAGTYPE

Interne ID: IDP_BATCH_TAG_TAGTYPE

Typ

Auswahl des Parametertyps aus Dropdownliste:

  • Initial: Befehlsparameter, der vor dem Startevent abgesetzt wird.
    Wert: Befehlsparameter, der nach der Eingangsverriegelung abgesetzt wird. Der für den Befehlsparameter definierte Wert wird bei der Ausführung der Grundfunktion auf die beim Befehlsparameter verknüpfte Variable geschrieben.
  • Rückgabe: Rückgabeparameter. Können zur Runtime über Reaktionen beschrieben werden.

Zur Runtime wird bei der Validierung des Rezepts für Befehlsparameter überprüft, ob:

  • die verknüpfte Variable existiert und vom richtigen Typ ist
  • der Wert für den Befehlsparameter innerhalb der Sollwertgrenzen der verknüpften Variablen liegt
  • in der Grundfunktion nur ein Befehlsparameter pro Variable existiert (verhindert, dass ein Befehlsparameter die Variable z. B. mit 0 beschreibt und ein weiteren Befehlsparameter mit 1)

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TagType


IDP_BATCH_TAG_TIME_MAX

Interne ID: IDP_BATCH_TAG_TIME_MAX

Max. Zeit Variable

Maximum für Wert Zeitdauer einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxTime


IDP_BATCH_TAG_TIME_MIN

Interne ID: IDP_BATCH_TAG_TIME_MIN

Min. Zeit Variable

Minimum für Wert Zeitdauer einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinTime


IDP_BATCH_TAG_VALUE_MAX

Interne ID: IDP_BATCH_TAG_VALUE_MAX

Max. Wert

Maximalwert, der für den Parameter eingegeben werden darf. Nur verfügbar, wenn die Eigenschaft Variable für Max. Wert nicht gesetzt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueMax


IDP_BATCH_TAG_VALUE_MIN

Interne ID: IDP_BATCH_TAG_VALUE_MIN

Min. Wert

Minimalwert, der für den Parameter eingegeben werden darf. Nur verfügbar, wenn die Eigenschaft Variable für Min. Wert nicht gesetzt ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueMin


IDP_BATCH_TAG_VALUES_GRP

Interne ID: IDP_BATCH_TAG_VALUES_GRP

Sollwert setzen

Gruppe für Eigenschaften zum Sollwert Absetzen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Values


IDP_BATCH_TAG_VAR_ACTVALUE

Interne ID: IDP_BATCH_TAG_VAR_ACTVALUE

Istwertvariable

Die verknüpfte Variable stellt den Istwert des Parameters dar. Der Wert der Variable wird zur Runtime für eine ausgewählte Grundfunktion in den Parameterlisten angezeigt.

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActValueVar


IDP_BATCH_TAG_VAR_DATENART

Interne ID: IDP_BATCH_TAG_VAR_DATENART

Variablendatentyp

Datentyp der Variable. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarDataType


IDP_BATCH_TAG_VAR_MAX

Interne ID: IDP_BATCH_TAG_VAR_MAX

Max. Wert Variable

Maximalwert der Variable. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarMax


IDP_BATCH_TAG_VAR_MIN

Interne ID: IDP_BATCH_TAG_VAR_MIN

Min. Wert Variable

Minimalwert der Variable. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarMin


IDP_BATCH_TAG_VAR_STRLENGTH

Interne ID: IDP_BATCH_TAG_VAR_STRLENGTH

Stringlänge

String-Länge, wie bei der Variable projektiert. Nur Anzeige

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarStrLength


IDP_BATCH_TAG_VAR_TREIBER

Interne ID: IDP_BATCH_TAG_VAR_TREIBER

Treiber

Name der EXE-Datei des Treibers der Variable. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarDriver


IDP_BATCH_TAG_VAR_TREIBERBEZ

Interne ID: IDP_BATCH_TAG_VAR_TREIBERBEZ

Treiberbezeichnung

Name des Treibers der Variable. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarDriverDesc


IDP_BATCH_TAG_VAR_UNIT

Interne ID: IDP_BATCH_TAG_VAR_UNIT

Maßeinheit

Einheit der Variable. Nur Anzeige.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarUnit


IDP_BATCH_TAG_VAR_VALUE_MAX

Interne ID: IDP_BATCH_TAG_VAR_VALUE_MAX

Variable für Max. Wert

Variable, die zur Runtime den Maximalmalwert für den Parameter festlegt. Dieser Eintrag deaktiviert Eingaben für die Eigenschaft Max. Wert.
Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.
Zur Runtime wird der Variablenwert einmalig beim Laden oder Nachladen eines Rezeptes ausgelesen und auf das Vorlagenrezept angewandt.

Mehr im Online-Handbuch.

ValueMaxVariable


IDP_BATCH_TAG_VAR_VALUE_MIN

Interne ID: IDP_BATCH_TAG_VAR_VALUE_MIN

Variable für Min. Wert

Variable, die zur Runtime den Minimalwert für den Parameter festlegt. Dieser Eintrag deaktiviert Eingaben für die Eigenschaft Min. Wert.
Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.
Zur Runtime wird der Variablenwert einmalig beim Laden oder Nachladen eines Rezeptes ausgelesen und auf das Vorlagenrezept angewandt.

Mehr im Online-Handbuch.

ValueMinVariable


IDP_BATCH_TAG_VARIABLE

Interne ID: IDP_BATCH_TAG_VARIABLE

Variable

Variable, die mit dem Parameter verknüpft wird. Klick auf Schaltfläche ... öffnet Dialog zur Variablenauswahl.

Variablen werden dabei abhängig vom gewählten Parameterdatentyp gefiltert angezeigt. Es kann eine Variable aus dem lokalen Projekt oder einem anderen Projekt gewählt werden. Variable und Projekt müssen zur Runtime auch verfügbar sein. Wird die Variable umbenannt, wird die Änderung automatisch übernommen.

Achtung: Bei Fahrweisen nur Anzeige. Änderungen sind nur bei der Grundfunktion möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


IDP_BATCH_TAG_VARIABLE_GRP

Interne ID: IDP_BATCH_TAG_VARIABLE_GRP

Variablenverknüpfung

Eigenschaften zur Verknüpfung von Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Variable


IDP_BATCH_TAG_VARIATIONMAX

Interne ID: IDP_BATCH_TAG_VARIATIONMAX

Abweichung positiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VariationMax


IDP_BATCH_TAG_VARIATIONMIN

Interne ID: IDP_BATCH_TAG_VARIATIONMIN

Abweichung negativ

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VariationMin


IDP_BATCH_UNIT_DESCRIPTION

Interne ID: IDP_BATCH_UNIT_DESCRIPTION

Beschreibung

Frei definierbarer String zur näheren Beschreibung des Aggregats. Diese Beschreibung steht zur Runtime im Auswahldialog der Grundfunktion zur Verfügung. Die Beschreibung ist sprachumschaltbar.

Maximale Länge: 512 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Description


IDP_BATCH_UNIT_GENERAL_GRP

Interne ID: IDP_BATCH_UNIT_GENERAL_GRP

Allgemein

Allgemeine Eigenschaften des Aggregats.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDP_BATCH_UNIT_NAME

Interne ID: IDP_BATCH_UNIT_NAME

Name

Name des Aggregats. Der Name muss pro Projekt eindeutig sein. Er darf keinen Punkt enthalten, nicht nur aus Leerzeichen bestehen und darf nicht leer sein. Name ist sprachumschaltbar.

Default: Aggregat x (wobei x eine fortlaufende Zahl ist).

Maximale Länge: 256 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDP_BATCH_UNIT_RT_CR_DESCR

Interne ID: IDP_BATCH_UNIT_RT_CR_DESCR

Beschreibung

Konfiguration der Variablen, die zur Runtime die Beschreibung des Steuerrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCrDescr


IDP_BATCH_UNIT_RT_CR_ID

Interne ID: IDP_BATCH_UNIT_RT_CR_ID

ID

Konfiguration der Variablen, die zur Runtime die ID des Steuerrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCrId


IDP_BATCH_UNIT_RT_CR_JOBID

Interne ID: IDP_BATCH_UNIT_RT_CR_JOBID

Auftragsnummer (Text)

Konfiguration der Variablen, die zur Runtime die Auftragsnummer des Steuerrezepts als Text übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCrJobId


IDP_BATCH_UNIT_RT_CR_NAME

Interne ID: IDP_BATCH_UNIT_RT_CR_NAME

Name

Konfiguration der Variablen, die zur Runtime den Namen des Steuerrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCrName


IDP_BATCH_UNIT_RT_ERR_NUM

Interne ID: IDP_BATCH_UNIT_RT_ERR_NUM

Fehler (numerisch)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarErrorNum


IDP_BATCH_UNIT_RT_ERR_TXT

Interne ID: IDP_BATCH_UNIT_RT_ERR_TXT

Fehler (Text)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarErrorTxt


IDP_BATCH_UNIT_RT_FAILURE_COUNT

Interne ID: IDP_BATCH_UNIT_RT_FAILURE_COUNT

Anzahl der anstehenden Kommunikationsstörungen

Konfiguration der Variablen, die zur Runtime die Anzahl der quittierten Kommunikationsstörungen anzeigt. Klick in das Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCommErrorCount


IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Interne ID: IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Anzahl der behobenen Kommunikationsstörungen

Konfiguration der Variablen, die zur Runtime die Anzahl der behobenen Kommunikationsstörungen anzeigt. Klick in das Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCommErrorGoneCount


IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Interne ID: IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Anzahl der quittierten Kommunikationsstörungen

Konfiguration der Variablen, die zur Runtime die Anzahl der quittierten Kommunikationsstörungen anzeigt. Klick in das Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.
Zur Runtime wird die Anzahl der quittierten Kommunikationsstörungen angezeigt bis das Rezept, in dem sie aufgetreten sind, abgeschlossen ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarCommErrorAcknCount


IDP_BATCH_UNIT_RT_GRP

Interne ID: IDP_BATCH_UNIT_RT_GRP

Runtime Information

Eigenschaften für Runtime-Informationen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_Info


IDP_BATCH_UNIT_RT_GRP_CR

Interne ID: IDP_BATCH_UNIT_RT_GRP_CR

Steuerrezept

Eigenschaften zur Konfiguration von Runtime Informationen für Steuerrezepte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_CR_Info


IDP_BATCH_UNIT_RT_GRP_ERR

Interne ID: IDP_BATCH_UNIT_RT_GRP_ERR

Fehler

Eigenschaften zur Konfiguration von Runtime Informationen für auftretende Fehler.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_ERR_Info


IDP_BATCH_UNIT_RT_GRP_MATRIX

Interne ID: IDP_BATCH_UNIT_RT_GRP_MATRIX

Matrix Informationen

Gruppe für Eigenschaften mit Informationen zu Matrix-Rezepten im Aggregat.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_Matrix_Step_Info


IDP_BATCH_UNIT_RT_GRP_MR

Interne ID: IDP_BATCH_UNIT_RT_GRP_MR

Vorlagenrezept

Eigenschaften zur Konfiguration von Runtime Informationen für Vorlagenrezepte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_MR_Info


IDP_BATCH_UNIT_RT_GRP_PH

Interne ID: IDP_BATCH_UNIT_RT_GRP_PH

Grundfunktionen

Eigenschaften zur Konfiguration von Runtime Informationen für Grundfunktionen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_PH_Info


IDP_BATCH_UNIT_RT_GRP_REE

Interne ID: IDP_BATCH_UNIT_RT_GRP_REE

Ausführung

Eigenschaften zur Konfiguration von Runtime Informationen für die Ausführung (REE).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RT_REE_Info


IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Interne ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Anzahl Schritte

Konfiguration der Variablen, auf die zur Runtime die Anzahl der Schritte im Matrixrezept geschrieben wird. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen. Es können alle nummerischen Variablen gewählt werden, deren Datentyp >= 2 Byte ist.

Für PFC-Rezepte wird der Wert immer auf 0 gesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMatrixStepCount


IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Interne ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Bezeichner aktueller Schritt

Konfiguration der Variablen für die Beschreibung des Matrix-Schrittes, in dem sich die Objekte befinden, die dieses Aggregat belegt haben. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Für PFC-Rezepte bleibt der Wert immer leer.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMatrixCurrentStepName


IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Interne ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Aktueller Schritt

Konfiguration der Variablen für die Nummer des Matrix Schrittes, in dem sich die Objekte befinden, die dieses Aggregat belegt haben. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen. Es können alle nummerischen Variablen gewählt werden, deren Datentyp >= 2 Byte ist.

Für PFC Rezepte bleibt der Wert immer 0.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMatrixCurrentStepNumber


IDP_BATCH_UNIT_RT_MR_DESCR

Interne ID: IDP_BATCH_UNIT_RT_MR_DESCR

Beschreibung

Konfiguration der Variablen, die zur Runtime die Beschreibung des Vorlagenrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMrDescr


IDP_BATCH_UNIT_RT_MR_ID

Interne ID: IDP_BATCH_UNIT_RT_MR_ID

ID

Konfiguration der Variablen, die zur Runtime die ID des Vorlagenrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMrId


IDP_BATCH_UNIT_RT_MR_NAME

Interne ID: IDP_BATCH_UNIT_RT_MR_NAME

Name

Konfiguration der Variablen, die zur Runtime den Namen des Vorlagenrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMrName


IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Interne ID: IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Ausgangsversion

Konfiguration der Variablen, die zur Runtime die Version des Quellrezepts für diese Version übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMrSourceVersion


IDP_BATCH_UNIT_RT_MR_VERSION

Interne ID: IDP_BATCH_UNIT_RT_MR_VERSION

Version

Konfiguration der Variablen, die zur Runtime die Version des Vorlagenrezepts übergibt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarMrVersion


IDP_BATCH_UNIT_RT_PH_LIST

Interne ID: IDP_BATCH_UNIT_RT_PH_LIST

Aktive Grundfunktionen

Konfiguration der Variablen, die zur Runtime die Namen der aktiven Grundfunktionen anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarPhList


IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Interne ID: IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Anzahl der quittierten Kommunikationsfehler

Konfiguration der Variablen, die zur Runtime die Anzahl der quittierten Kommunikationsstörungen anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarPlcErrorAckn


IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Interne ID: IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Anzahl der anstehenden Kommunikationsfehler

Konfiguration der Variablen, die zur Runtime die Anzahl der anstehenden Kommunikationsstörungen anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarPlcErrorCnt


IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Interne ID: IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Anzahl der behobenen Kommunikationsfehler

Konfiguration der Variablen, die zur Runtime die Anzahl der behobenen Kommunikationsstörungen anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarPlcErrorGone


IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Interne ID: IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Anzahl der anstehenden SPS-Fehler

Konfiguration der Variablen, die zur Runtime die Anzahl der anstehenden SPS Fehler anzeigt. Klick in das Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.
Zur Runtime wird die Anzahl der anstehenden SPS Fehler für die aktive Grundfunktion an (0 oder 1) angezeigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarInternalPlcErrorCount


IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Interne ID: IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Anzahl der behobenen SPS-Fehler

Konfiguration der Variablen, die zur Runtime die Anzahl der behobenen SPS-Fehler anzeigt. Klick in das Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.
Zur Runtime wird die Anzahl der behobenen SPS Fehler angezeigt bis das Rezept, in dem sie aufgetreten sind, abgeschlossen ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarInternalPlcErrorFixedCount


IDP_BATCH_UNIT_RT_REE_CNT

Interne ID: IDP_BATCH_UNIT_RT_REE_CNT

Anzahl der aktiven Rezepte

Konfiguration der Variablen, die zur Runtime die Anzahl der aktiven Rezepte anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarReeCnt


IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Interne ID: IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Ausführungsmodus (numerisch)

Konfiguration der Variablen, die zur Runtime den Ausführungsmodus eines Rezepts als numerischen Wert anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarReeModusNum


IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Interne ID: IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Ausführungsmodus (Text)

Konfiguration der Variablen, die zur Runtime den Ausführungsstatus eines Rezepts als Text anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarReeModusTxt


IDP_BATCH_UNIT_RT_REE_STATUS_NUM

Interne ID: IDP_BATCH_UNIT_RT_REE_STATUS_NUM

Ausführungsstatus (numerisch)

Konfiguration der Variablen, die zur Runtime den Ausführungsstatus eines Rezepts als numerischen Wert anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarReeStatusNum


IDP_BATCH_UNIT_RT_REE_STATUS_TXT

Interne ID: IDP_BATCH_UNIT_RT_REE_STATUS_TXT

Ausführungsstatus (Text)

Konfiguration der Variablen, die zur Runtime den Ausführungsstatus eines Rezepts als Text anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarReeStatusTxt


IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Interne ID: IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Anzahl der anstehenden Ablauffehler

Konfiguration der Variablen, die zur Runtime die Anzahl der anstehenden Ablauffehler anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarRunErrorCnt


IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Interne ID: IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Anzahl der gegangenen Ablauffehler

Konfiguration der Variablen, die zur Runtime die Anzahl der historischen Ablauffehler anzeigt. Klick in Eigenschaftenfeld bzw. auf die Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtInfoVarRunErrorGone


IDP_BATCH_VERSION_ACTIVE

Interne ID: IDP_BATCH_VERSION_ACTIVE

Versionierung aktiv

Aktiv: Die Versionierung für Rezepte ist eingeschaltet und wird zur Runtime verwendet.

Inaktiv: Versionierung ist abgeschaltet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VersionActive


IDP_BATCH_VERSION_GRP

Interne ID: IDP_BATCH_VERSION_GRP

Versionierung

Enthält Eigenschaften für die Versionierung von Rezepten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VersionGrp


IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Interne ID: IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLExportVariableNumerical


IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

Interne ID: IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLExportVariableString


IDP_BATCH_XML_EXPORT_GROUP

Interne ID: IDP_BATCH_XML_EXPORT_GROUP

XML Export

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLExport


IDP_BATCH_XML_GROUP

Interne ID: IDP_BATCH_XML_GROUP

XML Import/Export

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLImport/Export


IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Interne ID: IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLImportVariableNumerical


IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

Interne ID: IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLImportVariableString


IDP_BATCH_XML_IMPORT_GROUP

Interne ID: IDP_BATCH_XML_IMPORT_GROUP

XML Import

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

XMLImport


IDP_BUTTON_SPOT_FILL

Interne ID: IDP_BUTTON_SPOT_FILL

Glanzpunkt

Darstellung des Glanzpunkts:

  • Aktiv: Der Button wird mit einem Glare-Effekt dargestellt.
  • Inaktiv: Es wird kein Glare-Effekt dargestellt, die Einstellung aus Farbverlauf wird verwendet.

Nur aktiv wenn die Eigenschaft Button Form rund ist.

Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Spot


IDP_BUTTONSAMPLE

Interne ID: IDP_BUTTONSAMPLE

Auswahl

Beispiel für Sample Treiber.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SampleButton


IDP_CEL_ARVERRPERIOD

Interne ID: IDP_CEL_ARVERRPERIOD

Archivauslagerung [h]

Zeit in Stunden für Fehlerbehandlung.

Wird beim Auslagern von Archiven ein Fehler festgestellt, erfolgt nach der eingestellten Zeitspanne ein Eintrag in die Chronologischen Ereignisliste (CEL).

Kann eine ARX-Datei nicht gelesen werden, wird diese in .ar_ umbenannt und die nächste Datei verwendet.
Default: 12

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ArciveOverPeriod


IDP_CEL_COMMENTS

Interne ID: IDP_CEL_COMMENTS

CEL-Kommentare

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELComments


IDP_CEL_LONGLIMITS

Interne ID: IDP_CEL_LONGLIMITS

Lange dynamische Grenzwerttexte CEL

Bestimmt, ob das Kommentarfeld für dynamische Grenzwerttexte zur Verfügung steht. Der dynamische Grenzwert erlaubt es, aktuelle Werte anderer Variablen in den Grenzwerttext einer Variablen einzufügen.

  • Aktiv: Dynamische Inhalte werden in einer Datei mit der Namenskonvention D*.CEL gespeichert. Diese wird zusätzlich zur Datei C*.CEL angelegt. Das Kommentarfeld kann damit für Kommentare benutzt werden. Dynamische Grenzwerttexte dürfen maximal 1024 Zeichen lang sein.
  • Inaktiv: Das Kommentarfeld wird für die dynamischen Grenzwerttexte genutzt und ist für Kommentare gesperrt. Maximale Länge: 80 Zeichen.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELLongDynLimits


IDP_CEL_TEXT_NEW_AND_OLD_VALUE

Interne ID: IDP_CEL_TEXT_NEW_AND_OLD_VALUE

Text bei Sollwertänderung (Alter/Neuer Wert)

Ermöglicht die Erstellung eines freien Textes für die Darstellung des alten und des neuen Wertes.

Die Funktionalität ist nur gegeben, wenn in der jeweiligen Variableneigenschaft Alter und neuer Wert aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text4NewAndOldValue


IDP_CEL_TEXT_VALUE_CHANGE

Interne ID: IDP_CEL_TEXT_VALUE_CHANGE

Text bei Sollwertänderung

Ermöglicht die Erstellung eines freien Textes für die Darstellung des neuen Wertes.

Die Funktionalität ist nur gegeben, wenn in der jeweiligen Variableneigenschaft Alter und neuer Wert aktiviert wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Text4ValueChange


IDP_CEL_TEXTLEN

Interne ID: IDP_CEL_TEXTLEN

Länge statischer Grenzwerttexte CEL

Länge des statischen Grenzwerttexts in der CEL in Zeichen.

Legt fest, aus wie vielen Zeichen der statische Grenzwerttext in der CEL maximal bestehen darf. Die Minimal- und Maximalwerte gelten auch für VBA/VSTA.

  • Minimum: 127
  • Maximum: 1023

Default: 127

Einschränkung: Beim dBase-Export ist die Länge auf 256 Zeichen beschränkt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELTextLen


IDP_CMD_GUI_NOT_ACTUAL

Interne ID: IDP_CMD_GUI_NOT_ACTUAL

Nur ausführbar wenn Soll <> Ist

Diese Eigenschaft ist nur verfügbar, wenn die Eigenschaft Soll/Ist-Vergleich aktiviert ist und steht nur für die Befehlsgabeaktion Befehl (Schalt- oder Pulsbefehl) zur Verfügung.

Deaktiviert einen Aktionsbutton im Befehlsgabebild, wenn der Wert der Rückmeldevariable bereits dem Wert des Sollwerts entspricht. Bei Wertänderung der Rückmeldevariable wird der entsprechende Aktionsbutton wieder aktiv.
Gleiches gilt auch für Kontextmenüeinträge. Hier wird die entsprechende Befehlsgabeaktion im Menü nicht angezeigt.

Default: nicht aktiv

Hinweis: Mit dieser Eigenschaft ist es möglich, den aktuellen Status bereits vor dem Öffnen eines Befehlsgabebildes oder Anwendung eines Kontextmenüs abzufragen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisableOnActual


IDP_CMDINPUT_SUBSTI_ACTION

Interne ID: IDP_CMDINPUT_SUBSTI_ACTION

Ersetzung im Bild

Substituierung für Befehlsgabeaktion: Substitutionsregel für Bilder vom Typ Befehlsgabe: In dieser Eigenschaft wird das Ziel der Substitution projektiert. Projektiert wird jener Text, welcher ersetzt werden soll.

Mehrere Substitionsregeln werden mit einem Strichpunkt (;) getrennt. Dabei werden die projektierten Substitutionen von links nach rechts abgearbeitet.

Ist kein * in der Rückmelde - oder Aktionsvariable vorhanden, findet keine Substituierung statt. Bei der Projektierung wird nicht zwischen Groß- und Kleinschreibung unterschieden.

Beispiel:

  • Name der Rückmeldevariable: abc_RV.
  • Projektierte Rückmeldevariable bei Befehlsgruppe: *_RV
  • Zusätzliche Variablen verknüpft im Bild: xyz_lock, xy_Switch
  • Projektierte Ersetzung im Bild: xyz;xy
  • Vorhandene Variablen im Projekt: abc_lock und abc_Switch.
  • Ergebnis: Darstellung der Variablen in Bild: abc_lock und abc_Switch.

Hinweis: nur aktiv, wenn bei der Eigenschaft Bild ein Befehlsgabebild zugeordnet ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstiAction


IDP_CMDINPUT_SUBSTI_GROUP

Interne ID: IDP_CMDINPUT_SUBSTI_GROUP

Ersetzung im Bild

Substituierung für Befehlsgruppen: Substitutionsregel für Bilder vom Typ Befehlsgabe: In dieser Eigenschaft wird das Ziel der Substitution projektiert. Projektiert wird jener Text, welcher ersetzt werden soll.

Mehrere Substitionsregeln werden mit einem Strichpunkt (;) getrennt. Dabei werden die projektierten Substitutionen von links nach rechts abgearbeitet.

Ist kein * in der Rückmelde - oder Aktionsvariable vorhanden, findet keine Substituierung statt. Bei der Projektierung wird nicht zwischen Groß- und Kleinschreibung unterschieden.

Beispiel:

  • Name der Rückmeldevariable: abc_RV.
  • Projektierte Rückmeldevariable bei Befehlsgruppe: *_RV
  • Zusätzliche Variablen verknüpft im Bild: xyz_lock, xy_Switch
  • Projektierte Ersetzung im Bild: xyz;xy
  • Vorhandene Variablen im Projekt: abc_lock und abc_Switch.
  • Ergebnis: Darstellung der Variablen in Bild: abc_lock und abc_Switch.

Hinweis: nur aktiv, wenn bei der Eigenschaft Bild ein Befehlsgabebild zugeordnet ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstiGroup


IDP_CMDPICTURE_CMDNAME

Interne ID: IDP_CMDPICTURE_CMDNAME

Aktionsname

Frei vergebbarer Name der Befehlsgabe-Aktion.

Dieser kann für das Modul Befehlsgabe über das Befehlsgabebild, Feld Aktionsname in der Gruppe Information zur Runtime angezeigt werden.

Im Modul Schaltfolgen wird dieser Name für den Schritt verwendet. Dazu muss die Eigenschaft Schrittname im Schaltfolge-Raster in der Projekteigenschaftengruppe Schaltfolgen auf Aktionsname projektiert sein.
Default: Aktionsname: DIR, Wert
Der Default-Aktionsname wird auch dann wieder hergestellt, wenn ein benutzerdefinierter Aktionsname gelöscht wird.

  • DIR: Richtung der Aktion. nicht verfügbar für die Aktionen Sperre, Blockieren, Freigeben
  • Wert: Wert für die Aktion. Nur verfügbar für die Aktionen Sollwert direkt oder Nachführen direkt

Hinweis: Ergibt sich für zwei Aktionen der gleiche Name, wird dies durch das Warnungs-Icon im Befehlsgabebaum angezeigt, auch wenn sich die Menü IDs unterscheiden. Das Makro $NAME$ kann für die Projektierung von Menus verwendet werden und liefert den Aktionsnamen, der auch zur Runtime sprachumschaltbar ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CmdName


IDP_CMDSEQ_SKIP_ACTUAL

Interne ID: IDP_CMDSEQ_SKIP_ACTUAL

Überspringe Aktion bei identem Soll/Ist-Wert

Verhalten einer Aktion bei bereits anstehendem Wert im Modul Schaltfolgen.

Diese Eigenschaft steht nur für die Befehlsgabeaktion Befehl (Schalt- oder Pulsbefehl) zur Verfügung.

Ist die Eigenschaft aktiviert und entspricht der Istwert bereits dem erwarteten Sollwert, wird in der Runtime in einer Schaltfolge die Aktion übersprungen.

Default: nicht aktiv

Zur Runtime wird ein entsprechender CEL-Eintrag generiert, wenn die Eigenschaft CEL-Eintrag unterdrücken nicht aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BypassOnActual


IDP_CMDSQ_IGNORE2STAGE

Interne ID: IDP_CMDSQ_IGNORE2STAGE

Ignoriere "Zweistufig"

Verhalten einer zweistufigen Aktion im Modul Schaltfolgen.
Ist die Eigenschaft aktiviert, werden zweistufige Aktionen bei der Ausführung im Modul Schaltfolgen sofort ausgeführt. Die für die Befehlsgabe projektierte zweistufige Ausführung des Befehls wird dabei ignoriert. Im Modul Schaltfolgen wird die Aktion als Schaltfolgeschritt ohne Öffnen eines Befehlsgabefensters sofort ausgeführt.

Default: nicht aktiv

Nicht verfügbar, wenn:

  • Zweistufig deaktiviert ist
  • Aktionstyp Auto/Remote-Befehl ist
  • Aktionstyp Sperre ist

Hinweis: Ist eine Verriegelung projektiert, wird diese bei der Ausführung im Modul Schaltfolgen trotzdem berücksichtigt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Ignore2Stage


IDP_CURVESTYLE

Interne ID: IDP_CURVESTYLE

Kurvenstil

Stil der Kurve für die Anzeige in der Runtime.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines projektierten Kurvenstils.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CurveStyle


IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

Interne ID: IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

Bei Benutzerwechsel "Bild zurück"-Pfad löschen

Einstellung für automatisches Löschen des Pfades der Bild zurück Funktion bei Benutzerwechsel.

  • Aktiv: Bei einem Benutzerwechsel wird der Bild zurück-Pfad gelöscht.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DelPicBackPathAtLogout


IDP_DISPLAYTYPE

Interne ID: IDP_DISPLAYTYPE

Anzeigeart

Eigenschaften für die Anzeigeart im Element.

Folgende Anzeigearten stehen zur Verfügung:

  • Band: Der Wert wird mit einem Band vom minimalen Wert bis zum aktuellen Wert dargestellt.
  • Teilkreis: Der Wert wird mit einem Teilkreis vom minimalen Wert bis zum aktuellen Wert dargestellt.
  • Zeiger: Der Wert wird mit einem Zeigers dargstellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisplayType


IDP_DYN_ELE_KBD

Interne ID: IDP_DYN_ELE_KBD

Keyboardbild verwenden

Beim Anwählen des Elementes zur Runtime wird das Keyboard aufgeschaltet.
Beim Anwählen eines freien Eingabefeldes zur Runtime wird das Keyboardbild DIALOGKBD (sofern vorhanden) aufgeschaltet.
Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KbdUsage


IDP_DYN_ELE_KBD_NAME

Interne ID: IDP_DYN_ELE_KBD_NAME

Keyboardbild

Nur verfügbar bei aktivierter Eigenschaft Keyboardbild.

Name des verknüpften Keyboardbildes.
Wird kein Keyboardbild angegeben, dann wird zur Runtime das jeweils entsprechende Keyboard aufgeschalten:

  • Stringvariable: SETSTRINGKBD
  • Numerische Variable: SETVALUEKBD
  • Binärvariable: SETBOOLKBD

Hinweis: Für die Eingabemöglichkeit Eingabemaske wird bei aktivierter Option Keyboardbild kein Keyboard aufgeschalten. Es muss ein Bild vom Typ Keyboard verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

KbdName


IDP_DYNELE_ALC_ALIAS

Interne ID: IDP_DYNELE_ALC_ALIAS

Alias verwenden

Nur verfügbar, wenn Farbe aus ALC aktiv ist.

  • Aktiv:
    Alias wird verwendet. Das Element bezieht zur Runtime seine ALC-Farbe von einem anderen ALC-Element im topologischen Modell, ohne selbst Teil des Modells zu sein. Damit wird die angezeigte ALC-Farbe des Elements nicht von den verknüpften Leitungen bestimmt. Die ALC-Farbe ist identisch mit der aktuellen Farbe des ALC-Elements, deren Namen in der Eigenschaft Alias verknüpft ist.
  • Inaktiv:
    Element ist ein ALC-Element entsprechend der projektierten ALC-Funktionstyp. Die ALC-Anzeigefarbe wird von den verknüpften Leitungen bestimmt.

Default: Inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCAlias


IDP_DYNELE_ALC_ALIAS_NAME

Interne ID: IDP_DYNELE_ALC_ALIAS_NAME

Alias

Nur verfügbar, wenn Farbe aus ALC aktiv ist.

Definiert Quellelement für Alias verwenden. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines bereits projektierten ALC-Elements in einem bereits projektierten zenon Bild.
Hinweis: Aliase können nicht für Symbole in der Allgemeinen Symbolbibliothek oder der Symbolbibliothek im Globalprojekt verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCAliasName


IDP_DYNELE_ALC_ALTCOL

Interne ID: IDP_DYNELE_ALC_ALTCOL

Alternative Farbe

Nur verfügbar, wenn die Eigenschaft Mehrfachversorgung darstellen den Wert alternative Farbe hat.

Alternative Farbe für die ALC Einfärbung bei Mehrfachversorgung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCAlternativeColor


IDP_DYNELE_ALC_DASHLEN

Interne ID: IDP_DYNELE_ALC_DASHLEN

Strichelungslänge mehrfachversorgt

Nur verfügbar, wenn die Eigenschaft Mehrfachversorgung darstellen den Wert zwei höchstpriore Quellen hat.

Definiert die Strichelungslänge in Pixel für die gestrichelte ALC-Einfärbung bei Mehrfachversorgung.

Minmal: 0 (automatische Strichelungslänge)

Maximal: 32767

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCDashLen


IDP_DYNELE_ALC_EXCHANGEINOUT

Interne ID: IDP_DYNELE_ALC_EXCHANGEINOUT

Eingang/Ausgang tauschen

Nur verfügbar, wenn als Funktionstyp Trafo, Schalter, Schieber, Rückschlagventil oder Trenner eingestellt wurde.

Aktiv: Verschiebt den Eingang des ALC-Elements nach rechts oder unten und den Ausgang nach links oder oben.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCExchangeInOut


IDP_DYNELE_ALC_GROUNDFAULTTYPE

Interne ID: IDP_DYNELE_ALC_GROUNDFAULTTYPE

Typ

Auswahl des Typs für die Erkennung des Erdschluss. Legt die Richtung (voreilend/rückeilend) und die Verarbeitungsart der Meldung (keine, Dauermeldung oder Wischer) fest. Auswahl aus Dropdownliste.

  • keine:
    normaler Schalter
  • Dauermeldung:
    Meldung wird als Erdschlussauslösung verarbeitet
  • Wischer:
    Meldungen, die während einer laufenden Suche eintreffen, werden unterdrückt
  • nacheilend:
    auf die erste steigende Flanke einer Richtung wird 2 s gewartet
  • voreilend:
    aktuelle Zustand der Richtung wird verwendet

Default: keine

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCGroundFaultType


IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Interne ID: IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Anzeige

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.
Legt die Ausgangsvariable der Fehlerortung fest, um den Zustand des Erdschlusserkennungsgeräts anzuzeigen. Die hier verknüpfte Variable sollte eine lokale Variable sein, um Probleme im Netzwerkbetrieb zu verhindern. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCGroundFaultVarDisp


IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Interne ID: IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Vorwärts

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.
Legt die Variable für Erdschlusserkennung vorwärts fest. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCGroundFaultVarFwd


IDP_DYNELE_ALC_GROUNDFAULTVARREV

Interne ID: IDP_DYNELE_ALC_GROUNDFAULTVARREV

Rückwärts

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.
Legt die Variable für Erdschlusserkennung rückwärts fest. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCGroundFaultVarRev


IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Interne ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Auslösung

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.
Legt die Variable fest, die die Erkennung eines Erdschlusses anzeigt. Bei gerichteten Erdschlussmeldern muss zusätzlich die Richtung (Rückwärts oder Vorwärts) definiert werden. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCGroundFaultVarTrg


IDP_DYNELE_ALC_LINELENGTH

Interne ID: IDP_DYNELE_ALC_LINELENGTH

Länge der Leitung [km]

ALC Leitung: Länge der Leitung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCLength


IDP_DYNELE_ALC_LINEREACT

Interne ID: IDP_DYNELE_ALC_LINEREACT

Reaktanzwert der Leitung [Ohm]

Maximal zulässiger Wert der Reaktanz (Blindwiderstand X) der Leitung in Ohm.
Wird für die Erkennung des Fehlerorts aus Schutz verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCReact


IDP_DYNELE_ALC_LINERESIST

Interne ID: IDP_DYNELE_ALC_LINERESIST

Resistanzwert der Leitung [Ohm]

Maximal zulässiger Wert der Resistanz (Wirkwiderstand R) der Leitung in Ohm.
Wird für die Lastverteilungsrechnung verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCResist


IDP_DYNELE_ALC_LOADTYPE

Interne ID: IDP_DYNELE_ALC_LOADTYPE

Last

Lasttyp für die Art der Lastverteilungsrechnung.

Auswahl aus Dropdownliste:

  • Aktuelle Last:
    Der Messwert wird mit der aktuellen Last berrechnet.
    Hinweis: Der Werte wird aus einer verknüpften Variable (Eigenschaft Last dynamisch) ausgelesen.
  • Historische durchschnittliche Last:
    Der Messwert wird mit der durchschnittlichen Last berechnet.
    Hinweis: Die Werte werden aus der Projektierung der Eigenschaft Last fix [A] ausgelesen.
  • Historische maximale Last:
    Als Messwert wird die (in der Vergangenheit) höchste Last herangezogen.
    Hinweis: Die Werte werden aus der Projektierung der Eigenschaft Last fix [A] ausgelesen.

Nur für den Funktionstyp Senke verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCLoadType


IDP_DYNELE_ALC_LOADVAL

Interne ID: IDP_DYNELE_ALC_LOADVAL

Last fix [A]

Zu projektierender Wert für die Lastverteilungsrechnung. Eingabe in Ampere [A].

Für die Eingabe gilt:

  • Positiver Wert:
    Stromfluss zum Verbraucher
  • Negativer Wert:
    Einspeisung, z.B. durch erneuerbare Energien.

Nur verfügbar, wenn die Eigenschaft Last mit Historisch maximale Last oder Historisch durchschnittliche Last projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCLoadVal


IDP_DYNELE_ALC_MAXITYPE

Interne ID: IDP_DYNELE_ALC_MAXITYPE

Grenzwert Strombelastbarkeit

Datenherkunft des Grenzwertes der Strombelastbarkeit für die Lastverteilungsrechnung. Ermittelt wird die Strombelastbarkeit des schwächsten Gliedes (Kabel) in einem Strang. Auswahl des Typs aus Dropdownliste:

  • Grenzwert Strombelastbarkeit dynamisch
  • Grenzwert Strombelastbarkeit statisch [A]

Default: Grenzwert Strombelastbarkeit statisch

Hinweis: Die Einträge der Dropdownliste entsprechen den im Editor direkt nachfolgenden Eigenschaften.

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMaxIType


IDP_DYNELE_ALC_MAXIVAL

Interne ID: IDP_DYNELE_ALC_MAXIVAL

Grenzwert Strombelastbarkeit statisch [A]

Eingabe der maximalen Strombelastbarkeit für das schwächste Glied (Kabel) im Strang. Eingabe in Ampere.

Default: 20

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar. Nicht verfügbar, wenn die Eigenschaft Grenzwert Strombelastbarkeit mit Grenzwert Strombelastbarkeit dynamisch projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCMaxIVal


IDP_DYNELE_ALC_PROTID

Interne ID: IDP_DYNELE_ALC_PROTID

Schutzgerät-ID

Eindeutige ID des Schutzgeräts. Dient zur Darstellung des Fehlerortes auf der Leitung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCProtID


IDP_DYNELE_ALC_REVSRC

Interne ID: IDP_DYNELE_ALC_REVSRC

Quelle für Rückspeisung

Nur verfügbar, wenn Sie bei der Eigenschaft Funktionstyp Trafo ausgewählt haben.

Auswahl der verknüpften Trafos.

Wenn Sie eine andere Quelle als UNDEFINED [0] auswählen, ist der Trafo rückwärtsspeisefähig. Das bedeutet, dass sich der Trafo in beiden Richtungen - vom Eingang zum Ausgang (Vorwärtsrichtung) und auch vom Ausgang zum Eingang (Rückwärtsrichtung) - gleich verhält. Der einzige Unterschied besteht darin, dass zur Weiterverbreitung die Quellnummer der Eigenschaft Quelle für Rückspeisung und nicht die der Eigenschaft Quelle verwendet wird.

Hinweis: Fehlerhafte Netzzustände oder fehlerhafte Projektierungen, wie z.B. gleichzeitige Speisung von Eingang und Ausgang oder Kurzschluss von Eingang und Ausgang werden nicht speziell eingefärbt. Das bedeutet, dass sich der rückwärtsspeisefähiger Trafo verhält wie zwei antiparallel geschaltete Trafos, die nicht rückwärtsspeisefähig sind.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCReverseSourceID


IDP_DYNELE_ALC_SHORTFAULTMARKERCOLOR

Interne ID: IDP_DYNELE_ALC_SHORTFAULTMARKERCOLOR

Markerfarbe

Farbe des Markers, der bei einer impedanzbasierten Fehlerortung den Ort der Störung in einem zenon Bild visualisiert.

Klick auf Schaltfläche ... öffnet den Farbauswahldialog.

Um diese Eigenschaft zu nutzen müssen folgende Projektierungen konfiguriert sein:

  • Funktionstyp: Schalter
  • Reaktanzwert aus Schutz: diese Eigenschaft muss mit einer Variable vom Datentyp REAL verlinkt sein.

Hinweis: Nur aktiv, wenn die Projekt-Eigenschaft Fehlerortung basierend auf Impedanz aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCShortFaultMarkerColor


IDP_DYNELE_ALC_SHORTFAULTTYPE

Interne ID: IDP_DYNELE_ALC_SHORTFAULTTYPE

Typ

Legt die Verarbeitung der Meldung (keine oder Dauermeldung) und deren Richtung (voreilend/nacheilend) fest.

Steht nur zur Verfügung, wenn als Funktionstyp Schalter eingestellt wurde.

Auswahl aus Dropdownliste:

  • keine:
    normaler Schalter
  • Dauermeldung:
    Meldung wird als Erdschlussauslösung verarbeitet
  • nacheilend:
    auf die erste steigende Flanke einer Richtung wird gewartet
  • voreilend:
    aktuelle Zustand der Richtung wird verwendet

Default: keine

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCShortFaultType


IDP_DYNELE_ALC_SHORTFAULTVARDISP

Interne ID: IDP_DYNELE_ALC_SHORTFAULTVARDISP

Anzeige

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.

Legt die Ausgangsvariable der Fehlerortung fest, um den Zustand des Kurzschlusserkennungsgeräts anzuzeigen. Die hier verknüpfte Variable sollte eine lokale Variable sein, um Probleme im Netzwerkbetrieb zu verhindern. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCShortFaultVarDisp


IDP_DYNELE_ALC_SHORTFAULTVARFWD

Interne ID: IDP_DYNELE_ALC_SHORTFAULTVARFWD

Vorwärts

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.
Legt die Variable für Kurzschlusserkennung vorwärts fest. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCShortFaultVarFwd


IDP_DYNELE_ALC_SHORTFAULTVARREV

Interne ID: IDP_DYNELE_ALC_SHORTFAULTVARREV

Rückwärts

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.
Legt die Variable für Kurzschlusserkennung rückwärts fest. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCShortFaultVarRev


IDP_DYNELE_ALC_SHORTFAULTVARTRG

Interne ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Auslösung

Steht nur zur Verfügung, wenn ein Typ ausgewählt wurde.

Legt die Variable für die Meldung des Kurzschlusserkennungsgeräts fest. Bei gerichteten Kurzschlussmeldern muss zusätzlich die Richtung (Vorwärts oder Rückwärts) definiert werden. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCShortFaultVarTrg


IDP_DYNELE_ALC_VARCALCI

Interne ID: IDP_DYNELE_ALC_VARCALCI

Messwert des berechneten Stromflusses

Verknüpfte Variable mit dem Messwert des berechneten Stromfluss des Zweiges. Berechnungsergebnis in Ampere [A].

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCVarCalcI


IDP_DYNELE_ALC_VARCURI

Interne ID: IDP_DYNELE_ALC_VARCURI

Messwert des aktuellen Stromflusses

Verknüpfte Variable mit dem Messwert des aktuellen Stromfluss des Zweiges. Messwert in Ampere [A].

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCVarCurI


IDP_DYNELE_ALC_VARCURP

Interne ID: IDP_DYNELE_ALC_VARCURP

Messwert der aktuellen Scheinleistung

Verknüpfte Variable für den Messwert der aktuellen Scheinleistung. Die verknüpfte Variable repräsentiert die aktuelle Scheinleistung in Kilovolt-Ampere [kVA]. Dieser Wert wird dient als Richtungsanzeige des Energieflusses. Er kann positiv oder negativ sein.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCVarCurP


IDP_DYNELE_ALC_VARLOAD

Interne ID: IDP_DYNELE_ALC_VARLOAD

Last dynamisch

Variable mit dem Wert für die Lastverteilungsrechnung. Die verknüpfte Variable muss ein numerischer Datentyp sein.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Für die Eingabe gilt:

  • Positiver Wert:
    Stromfluss zum Verbraucher
  • Negativer Wert:
    Einspeisung, z.B. durch erneuerbare Energien.

Nur verfügbar, wenn die Eigenschaft Last mit Aktuelle Last projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCVarLoad


IDP_DYNELE_ALC_VARMAXI

Interne ID: IDP_DYNELE_ALC_VARMAXI

Grenzwert Strombelastbarkeit dynamisch

Verknüpfte Variable für die maximale Strombelastbarkeit des schwächsten Glieds (Kabel) im Strang. Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar. Nur verfügbar, wenn die Eigenschaft Grenzwert Strombelastbarkeit Grenzwert Strombelastbarkeit mit Grenzwert Strombelastbarkeit dynamisch projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCVarMaxI


IDP_DYNELE_ALC_VARPROTREACT

Interne ID: IDP_DYNELE_ALC_VARPROTREACT

Reaktanzwert aus Schutz

Verknüpfte Variable für den Messwert aus dem Schutzgerät. Die verknüpfte Variable muss vom Datentyp REAL sein und repräsentiert den Reaktanzwert in Ohm.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog.

Bei Combi-Element nur für den Funktionstyp Schalter verfügbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ALCVarProtReact


IDP_DYNELE_LIMITCOLOR_ACTIVE

Interne ID: IDP_DYNELE_LIMITCOLOR_ACTIVE

Grenzwertfarbe verwenden

Legt fest, ob die Grenzwertfarbe für die mit dem Element verknüpfte Variable in der Runtime dargestellt wird.
Die Farbe wirkt sich auf den angezeigten Text, beziehungsweise beim Universalregler auf dessen Indikator, aus.

  • Aktiv: In der Runtime wird die definierte Grenzwertfarbe dargestellt.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LimitColor


IDP_DYNTEXT_PROPERTIES_GRP

Interne ID: IDP_DYNTEXT_PROPERTIES_GRP

Eigenschaften für das Dynamische Textelement

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

DynTextProperties


IDP_ELE_POS_START_ANGLE

Interne ID: IDP_ELE_POS_START_ANGLE

Drehwinkel [°]

Frei definierbarer Winkel, um den das Element gedreht wird.
Positive Werte drehen gegen den Uhrzeigersinn, negative Werte im Uhrzeigersinn. Werte über 360° werden als Differenz zu 360° dargestellt (400° entspricht 40°). Es können nur ganze Zahlen eingetragen werden.

Bei gedrehten Elementen sind folgende Aktionen nicht mehr möglich:

  • spiegeln
  • rotieren um +/- 90°
  • skalieren per Pfeiltasten

Default: 0

Hinweis: Bei Projektierung für Windows CE wird diese Einstellung deaktiviert und zurückgesetzt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Angle


IDP_ELE_PROP_GRP_BARFILLING

Interne ID: IDP_ELE_PROP_GRP_BARFILLING

Balkenfüllung

Eigenschaften für die Balkenfüllung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

BarFilling


IDP_ELE_PROP_GRP_TIMEAXIS

Interne ID: IDP_ELE_PROP_GRP_TIMEAXIS

Zeitachse

Eigenschaften für die Ausprägung der Zeitdarstellung in der zenon Runtime

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TimeAxis


IDP_ELE_PROP_GRP_TIMEPRESENTATION

Interne ID: IDP_ELE_PROP_GRP_TIMEPRESENTATION

Zeitdarstellung

Eigenschaften für die Zeitdarstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TimePresentation


IDP_ELE_PROP_GRP_VALUE

Interne ID: IDP_ELE_PROP_GRP_VALUE

Wert

Eigenschaften für die Darstellung des Werts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Value


IDP_ELE_PROP_GRP_VALUEPRESENTATION

Interne ID: IDP_ELE_PROP_GRP_VALUEPRESENTATION

Wertdarstellung

Eigenschaften für die Wertdarstellung im Element.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ValuePresentation


IDP_ELE_TEXT_HIDDEN_INPUT

Interne ID: IDP_ELE_TEXT_HIDDEN_INPUT

Verdeckte Eingabe

Aktivierung der verdeckten Eingabe von Text.

  • Aktiv: Zur Runtime wird Text des Elements maskiert angezeigt.
    Dazu wird das Feld mit 8 Mal mit dem in der Eigenschaft Buchstabe für Maskierung gewählten Zeichen gefüllt.
    Standardzeichen: *

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HiddenInput


IDP_ELE_TEXT_MASKING_LETTER

Interne ID: IDP_ELE_TEXT_MASKING_LETTER

Buchstabe für Maskierung

Auswahl des Zeichens, mit dem Text zur Runtime maskiert werden soll.
Nur verfügbar, wenn die Eigenschaft Verdeckte Eingabe aktiviert wurde.

Bei der Eingabe gilt:

  • Darf nicht leer sein.
    Wird das Eingabefeld gelöscht, dann wird das zuletzt verwendete, gültige Zeichen eingetragen.
  • Es kann nur ein Zeichen eingegeben werden.
  • Wird ein Leerzeichen eingegeben, wird zur Runtime das Feld leer angezeigt.

Default: *

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaskingLetter


IDP_ELE_VAR_LOCKING

Interne ID: IDP_ELE_VAR_LOCKING

Verriegelung

Verknüpfung einer existierenden Verriegelung zu diesem Element.

Wenn eine Bedingung in einer der Formeln der Verriegelung wahr ist, ist dieses Element gesperrt, sodass keine Bedienung mehr möglich ist. Falls in den Projekteigenschaften definiert, wird für die Dauer der Sperre ein Schlosssymbol auf dem Element angezeigt.

Hinweis: Verriegelungen können nicht für Symbole in der Allgemeinen Symbolbibliothek oder der Symbolbibliothek im Globalprojekt verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Locking


IDP_ELE_VISIBILITY_INTERLOCKINGS

Interne ID: IDP_ELE_VISIBILITY_INTERLOCKINGS

Verriegelung

Nur verfügbar, wenn für die Eigenschaft Sichtbarkeit Von Verriegelung gewählt wurde.

Name der Verriegelung, deren Wert die Sichtbarkeit des Elements steuert. Auswahl aus Dropdownliste. Diese enthält alle existierenden, verwendbaren Verriegelungen. Wenn keine Verriegelung verknüpft ist, ist das Element immer sichtbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Interlocking


IDP_ELE_VISIBILITY_TYPE

Interne ID: IDP_ELE_VISIBILITY_TYPE

Sichtbarkeit

Auswahl, wovon die Sichtbarkeit eines Elements bestimmt wird:

  • Von Variable
  • Von Verriegelung

Default: Von Variable

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibilityType


IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Interne ID: IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Sichtbar, wenn verriegelt

Steuert Sichtbarkeit des Elements bei ausgewählter Verriegelung:

  • Aktiv: Element ist sichtbar, wenn es verriegelt ist.
  • Inaktiv: Element ist sichtbar, wenn es nicht verriegelt ist.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibleWhenInterlocked


IDP_ELEDYN_MT_RIGHTCLICKACTION

Interne ID: IDP_ELEDYN_MT_RIGHTCLICKACTION

RightClickMTAction

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RightClickMTAction


IDP_ELEMENTFRAME_GRP

Interne ID: IDP_ELEMENTFRAME_GRP

Elementrahmen

Eigenschaften für den Elementrahmen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ElementFrame


IDP_EMS_PEAKPOWER_VAR

Interne ID: IDP_EMS_PEAKPOWER_VAR

Spitzenleistung Variable

Dieser Variablenwert überschreibt zur Laufzeit den fix projektierten Wert der Spitzenleistung.

Damit kann ein fix vorgegebene Spitzenleistung eines Erzeugers während der Laufzeit angepasst werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PeakPowerVar


IDP_EVERY_WHERE_ACCESS_LEVEL

Interne ID: IDP_EVERY_WHERE_ACCESS_LEVEL

Berechtigungsebene

Dropdownliste zur Auswahl der Berechtigungseben, welche Zugang zum Everywhere Server haben soll.

Default: 0 (= uneingeschränkter Zugriff)
Verfügbare Berechtigungsebenen: 0 - 127

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EveryWhereAccessLevel


IDP_EVERY_WHERE_NODE

Interne ID: IDP_EVERY_WHERE_NODE

Everywhere Server

Eigenschaften für den Everywhere Server by zenon.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

EveryWhereSettings


IDP_EXTERNALREF_WRITEABLE

Interne ID: IDP_EXTERNALREF_WRITEABLE

Externe Referenz editierbar

Definiert, ob die Externe Referenz über die Editor-Oberfläche geändert werden kann.

Aktiv: Änderung über die Oberfläche des Editors möglich.

Inaktiv: Änderung nur über die zenon-API möglich.

Default: inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExternalReferenceWriteable


IDP_FILLINGSTYLE

Interne ID: IDP_FILLINGSTYLE

Füllungsstil

Anzeige und Auswahl des Füllungsstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillStyle


IDP_FILLINGSTYLE2

Interne ID: IDP_FILLINGSTYLE2

Füllungsstil

Anzeige und Auswahl des Füllungsstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BarFillStyle


IDP_FILLINGSTYLE2_GRAPHICS

Interne ID: IDP_FILLINGSTYLE2_GRAPHICS

Füllungsstil für Grafik bei Gedrückt/Ein

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GraphicsFillStyle


IDP_FILLINGSTYLE2_POINTER

Interne ID: IDP_FILLINGSTYLE2_POINTER

Füllungsstil für Zeiger

Anzeige und Auswahl des Füllungsstils für den Zeiger, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillStyle4Pointer


IDP_FILLINGSTYLE2_SELECTION

Interne ID: IDP_FILLINGSTYLE2_SELECTION

Füllungsstil bei Auswahl

Anzeige und Auswahl des Füllungsstils bei der Auswahl, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillStyleForSelected


IDP_FRAME_AUFSCHALTGROESSE_TYP

Interne ID: IDP_FRAME_AUFSCHALTGROESSE_TYP

Aufschaltgröße

Definiert die Größe, mit der ein auf dieser Schablone basierendes Bild zur Runtime aufgeschaltet wird.

  • Schablonengröße: Größe wie in Breite (Maximum) [Pixel] und Höhe (Maximum) [Pixel] definiert.
    Wird ein anderer Wert gewählt, dann wird im Schablonenfenster die Größe zur Runtime mit einer gepunkteten Linie angezeigt.
  • Breite [px]: Breite wie in Wert (Aufschaltgröße) definiert, Höhe wird entsprechend angepasst.
  • Höhe [px]: Größe wie in Wert (Aufschaltgröße) definiert, Breite wird entsprechend angepasst.
  • Relativ [%]: Die in Breite (Maximum) [Pixel] und Höhe (Maximum) [Pixel] definiert Größe wird auf den in Wert (Aufschaltgröße) definierten Prozentwert geändert.

Die entsprechenden Werte werden über die Eigenschaft Wert (Aufschaltgröße) definiert.

Default: Schablonengröße

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

OpeningSizeType


IDP_FRAME_AUFSCHALTGROESSE_WERT

Interne ID: IDP_FRAME_AUFSCHALTGROESSE_WERT

Wert (Aufschaltgröße)

Wert für die in der Eigenschaft Aufschaltgröße gewählte Art der Größenfestlegung beim Aufschalten zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

OpeningSizeValue


IDP_FRAME_BEGRENZUNG_TYP

Interne ID: IDP_FRAME_BEGRENZUNG_TYP

Begrenzung Minimum

Art der Begrenzung für Minimalwert:

  • Ohne: Keine Begrenzung.
    Wird ein anderer Wert gewählt, dann wird im Schablonenfenster die gewählte Begrenzung zur Runtime mit einer strichlierten Linie angezeigt.
  • Breite: Begrenzung auf Breite.
  • Höhe: Begrenzung auf Höhe.
  • Relativ: Begrenzung auf einen Prozentwert der eingestellten Bildgröße.

Wirkt sich nur auf Multi-Touch Gesten aus. Die entsprechenden Werte werden über die Eigenschaft Wert (Minimum) definiert.

Default: Ohne

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MinSizeType


IDP_FRAME_BEGRENZUNG_WERT

Interne ID: IDP_FRAME_BEGRENZUNG_WERT

Wert (Minimum)

Wert für die in Eigenschaft gewählt Einstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MinSizeValue


IDP_FRAME_HEIGHTMAX

Interne ID: IDP_FRAME_HEIGHTMAX

Höhe(Maximum) [Pixel]

Maximale Höhe einer Schablone, deren Größe zur Runtime verändert werden kann. Für CE-Projekte nicht verfügbar.

Erlaubte Werte:

  • Minimum: Wert aus Höhe (Maximum) [Pixel]
  • Maximum: 4294967295 (DWORD)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosHeightMax


IDP_FRAME_HEIGHTMIN

Interne ID: IDP_FRAME_HEIGHTMIN

Höhe(Minimum) [Pixel]

Minimale Höhe einer Schablone, deren Größe zur Runtime verändert werden kann. Für CE-Projekte nicht verfügbar.

Erlaubte Werte:

  • Minimum: 0
  • Maximum: Wert für Aufschaltgröße.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosHeightMin


IDP_FRAME_WIDTHMAX

Interne ID: IDP_FRAME_WIDTHMAX

Breite(Maximum) [Pixel]

Maximale Breite einer Schablone, deren Größe zur Runtime verändert werden kann. Für CE-Projekte nicht verfügbar.

Erlaubte Werte:

  • Minimum: Wert aus Breite (Maximum) [Pixel]
  • Maximum: 4294967295 (DWORD)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosWidthMax


IDP_FRAME_WIDTHMIN

Interne ID: IDP_FRAME_WIDTHMIN

Breite(Minimum) [Pixel]

Minimale Breite einer Schablone, deren Größe zur Runtime verändert werden kann. Für CE-Projekte nicht verfügbar.

Erlaubte Werte:

  • Minimum: 0
  • Maximum: Wert aus Aufschaltgröße.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PosWidthMin


IDP_FRAMESTYLE

Interne ID: IDP_FRAMESTYLE

Elementrahmen-Stil

Anzeige und Auswahl des Elementrahmenstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FrameStyle


IDP_GESTUREDOUBLETAP_FUNCTION

Interne ID: IDP_GESTUREDOUBLETAP_FUNCTION

Funktion

Auswahl einer in zenon projektierten Funktion als Reaktion auf die Geste Doppelt Tippen. Bildspezifische Funktionen können nicht verwendet werden.
Steht nur zur Verfügung, wenn für die Eigenschaft Reaktion Eigene Funktion ausführen gewählt wurde.

Mehr Im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureDoubleTapFunction


IDP_GESTUREDOUBLETAP_GROUP

Interne ID: IDP_GESTUREDOUBLETAP_GROUP

Doppelt Tippen

Eigenschaften zum Verhalten der Geste Doppelt Tippen zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureDoubleTapGroup


IDP_GESTUREDOUBLETAP_REACTION

Interne ID: IDP_GESTUREDOUBLETAP_REACTION

Reaktion

Auswahl der Reaktion auf die Geste Doppelt Tippen aus Dropdownliste.
Die zur Verfügung stehenden Reaktionen hängen ab von Bildtyp bzw. Bildelement.

Bei Auswahl der Reaktion Eigene Funktion ausführen, muss diese Funktion in der Eigenschaft Funktion definiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureDoubleTapReaction


IDP_GESTUREMANIPULATION_GROUP

Interne ID: IDP_GESTUREMANIPULATION_GROUP

Manipulation

Eigenschaften für die Manipulation von Bildern und Bildelementen bei Touchbedienung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureManipulationGroup


IDP_GESTUREMANIPULATION_X

Interne ID: IDP_GESTUREMANIPULATION_X

Horizontal Verschieben

Festlegung der Reaktion für eine Geste zum horizontalen Verschieben. Die konfigurierbare Reaktion ist abhängig vom zu konfigurierenden Bild bzw. Bildelement.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureManipulationX


IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Interne ID: IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Verschieben

Festlegung der Reaktion für eine verschiebende Geste. Die konfigurierbare Reaktion ist abhängig vom zu konfigurierenden Bild bzw. Bildelement.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureManipulationXY


IDP_GESTUREMANIPULATION_Y

Interne ID: IDP_GESTUREMANIPULATION_Y

Vertikal Verschieben

Festlegung der Reaktion für eine Geste zum vertikalen Verschieben. Die konfigurierbare Reaktion ist abhängig vom zu konfigurierenden Bild bzw. Bildelement.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureManipulationY


IDP_GESTUREMANIPULATION_ZOOM

Interne ID: IDP_GESTUREMANIPULATION_ZOOM

Zoomen

Festlegung der Reaktion für eine Zoom-Geste. Die konfigurierbare Reaktion ist abhängig vom zu konfigurierenden Bild bzw. Bildelement.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureManipulationZoom


IDP_GESTURETAP_FUNCTION

Interne ID: IDP_GESTURETAP_FUNCTION

Funktion

Auswahl einer in zenon projektierten Funktion als Reaktion auf die Geste Tippen. Bildspezifische Funktionen können nicht verwendet werden.
Steht nur zur Verfügung, wenn für die Eigenschaft Reaktion Eigene Funktion ausführen gewählt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureTapFunction


IDP_GESTURETAP_GROUP

Interne ID: IDP_GESTURETAP_GROUP

Tippen

Eigenschaften zum Verhalten der Geste Tippen zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureTapGroup


IDP_GESTURETAP_REACTION

Interne ID: IDP_GESTURETAP_REACTION

Reaktion

Auswahl der Reaktion auf die Geste Tippen aus Dropdownliste.
Die zur Verfügung stehenden Reaktionen hängen ab von Bildtyp bzw. Bildelement.

Bei Auswahl der Reaktion Eigene Funktion ausführen, muss diese Funktion in der Eigenschaft Funktion definiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureTapReaction


IDP_GESTURETAPANDHOLD_FUNCTION

Interne ID: IDP_GESTURETAPANDHOLD_FUNCTION

Funktion

Auswahl einer in zenon projektierten Funktion als Reaktion auf die Geste Tippen und Halten. Bildspezifische Funktionen können nicht verwendet werden.
Steht nur zur Verfügung, wenn für die Eigenschaft Reaktion Eigene Funktion ausführen gewählt wurde.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureTapAndHoldFunction


IDP_GESTURETAPANDHOLD_GROUP

Interne ID: IDP_GESTURETAPANDHOLD_GROUP

Drücken und Halten

Eigenschaften zum Verhalten der Geste Tippen und Halten zur Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureTapAndHoldGroup


IDP_GESTURETAPANDHOLD_REACTION

Interne ID: IDP_GESTURETAPANDHOLD_REACTION

Reaktion

Auswahl der Reaktion auf die Geste Tippen und Halten aus Dropdownliste.
Die zur Verfügung stehenden Reaktionen hängen ab von Bildtyp bzw. Bildelement.

Bei Auswahl der Reaktion Eigene Funktion ausführen, muss diese Funktion in der Eigenschaft Funktion definiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GestureTapAndHoldReaction


IDP_GFXRT_ROWHEIGHT

Interne ID: IDP_GFXRT_ROWHEIGHT

Zeilenhöhe [Pixel]

Ermöglicht die Einstellung der Zeilenhöhe in Pixel unabhängig von der Schriftgröße.

Maximalwert: 255 px
Minimalwert: 0 px - Zeilenhöhe wird an die Schriftgröße angepasst.

Default: 0

Achtung: Wird die Zeilenhöhe

  • zu groß gewählt, dann wird unter umständen zur Runtime nichts angezeigt.
  • kleiner als die Fontgröße gewählt, dann werden grafische Darstellungen abgeschnitten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RowHeight


IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Interne ID: IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Numerische Anzeige

Aktiv: Binärwerte werden zur Runtime numerisch angezeigt. Falls das Listenelement es erlaubt, können Binärwerte auch numerisch eingegeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowBoolAsNumber


IDP_GFXRT_WORDWRAP

Interne ID: IDP_GFXRT_WORDWRAP

Automatischer Zeilenumbruch

Ermöglicht eine mehrzeilige Darstellung von Texten in der Liste, wenn die Spaltenbreite für den anzuzeigenden Text nicht ausreicht. Dabei wird die Zeilenhöhe entsprechend vergrößert.

  • Aktiv:
    Ist die Spaltenbreite nicht ausreichend, wird ein Zeilenumbruch durchgeführt und die Zeilenhöhe wird vergrößert.
  • Inaktiv:
    Es wird kein Zeilenumbruch durchgeführt, die Darstellung erfolgt in einer Zeile.

Info: Ein Zeilenumbruch erfolgt nur, wenn im darzustellenden Text Leerräume (Leerzeichen, Tabulatoren) vorhanden sind oder wenn manuell ein Zeilenumbruch mit der Zeichenfolge \n im Text eingefügt wird. Bei Texten ohne Unterbrechung wird kein Umbruch durchgeführt.

Default: inaktiv

Mehr im Online-Handbuch für AML.

Mehr im Online-Handbuch für CEL.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WordWrap


IDP_GLOWEFFECTSTYLE

Interne ID: IDP_GLOWEFFECTSTYLE

Gloweffekt-Stil

Anzeige und Auswahl des Stils für Gloweffekte, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GlowEffectStyle


IDP_GRAPHICSFILE_GRP

Interne ID: IDP_GRAPHICSFILE_GRP

Grafikdatei

Eigenschaften für die dargestellte Grafikdatei des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GraphicsFile


IDP_GROUP_SYS_AUTHORIZATION

Interne ID: IDP_GROUP_SYS_AUTHORIZATION

Bedienberechtigung

Allgemeine Eigenschaften für die Bedienberechtigung über Anlagenmodell.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_Authorization


IDP_GRP_ALC_CAPACITOR

Interne ID: IDP_GRP_ALC_CAPACITOR

Kondensator

Eigenschaften für den ALC Funktionstyp Kondensator.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Capacitor


IDP_GRP_ALC_LF_TRANSFORMER

Interne ID: IDP_GRP_ALC_LF_TRANSFORMER

Transformator

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Transformer


IDP_GRP_ALC_LF_TRANSFORMER_INPUT

Interne ID: IDP_GRP_ALC_LF_TRANSFORMER_INPUT

Lastflussberechnung - Transformator Eingabe

Eigenschaften für das optionale Modul Lastflussberechnung für den ALC Funktionstyp Transformator.
In den Eigenschaften dieser Gruppe werden Trafo-Parameter projektiert, die als Basis für die Lastflussberechnung verwendet werden.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TransformerLoadFlowInput


IDP_GRP_ALC_LF_TRANSFORMER_OUTPUT

Interne ID: IDP_GRP_ALC_LF_TRANSFORMER_OUTPUT

Lastflussberechnung - Transformator Ausgabe

Eigenschaften für das optionale Modul Lastflussberechnung für den ALC Funktionstyp Transformator.
In den Eigenschaften dieser Gruppe werden Variablen verknüpft, die das Ergebnis der Lastflussberechnung für Parameter des Transformators speichern.

Der Strom ist immer positiv. Das Vorzeichen der Wirk- und Blindleistung ist dann positiv, wenn sie vom Eingang (Quelle = Rückspeisung) zum Ausgang (Quelle) fließt. Berücksichtigt wird auch, dass bei Combi-Elementen Ein- und Ausgang vertauscht werden können. Die Phase oder der Leistungsfaktor am Transformator (Ein- oder Ausgang) werden nicht ausgegeben.

Mehr im Online-Handbuch.

Beachten Sie auch die Projektierungshinweise für einen Dreiwicklungs-Transformator.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TransformerLoadFlowOutput


IDP_GRP_ALC_LOADFLOW

Interne ID: IDP_GRP_ALC_LOADFLOW

Lastfluss

Eigenschaften für das ALC-Modul Lastflussberechnung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LoadFlow


IDP_GRP_ALC_LOADFLOW_INPUT

Interne ID: IDP_GRP_ALC_LOADFLOW_INPUT

Lastflussberechnung - Eingabe

Eigenschaften für das optionale Modul Lastflussberechnung für die ALC Funktionstypen Generator, Quelle oder Senke.

In den Eigenschaften dieser Gruppe werden Parameter projektiert, die als Basis für die Lastflussberechnung verwendet werden. Für die Berechnung können fixe Werte parametriert werden oder dynamische Messwerte von einer verknüpften Variable gelesen werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LoadFlowInput


IDP_GRP_ALC_LOADFLOW_LINE

Interne ID: IDP_GRP_ALC_LOADFLOW_LINE

Lastfluss Leitung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LoadFlowLine


IDP_GRP_ALC_LOADFLOW_LINE_INPUT

Interne ID: IDP_GRP_ALC_LOADFLOW_LINE_INPUT

Lastfluss Leitung Parameter

Eigenschaften für das optionale Modul Lastflussberechnung für für die ALC Leitungen.
In den Eigenschaften dieser Gruppe werden Variablen verknüpft, die gemessene Werte für Parameter der Leitung enthalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LoadFlowLineParameter


IDP_GRP_ALC_LOADFLOW_LINE_OUTPUT

Interne ID: IDP_GRP_ALC_LOADFLOW_LINE_OUTPUT

Lastfluss Leitung Resultat

Eigenschaften für das optionale Modul Lastflussberechnung für für die ALC Leitungen.
In den Eigenschaften dieser Gruppe werden Variablen verknüpft, die das Ergebnis der Lastflussberechnung für Parameter der Leitung enthalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LoadFlowLineResult


IDP_GRP_ALC_LOADFLOW_OUTPUT

Interne ID: IDP_GRP_ALC_LOADFLOW_OUTPUT

Lastflussberechnung - Ausgabe

Eigenschaften für das optionale Modul Lastflussberechnung für die ALC Funktionstypen Generator oder Senke.
In den Eigenschaften dieser Gruppe werden Variablen verknüpft, die das Ergebnis der Lastflussberechnung für Parameter des Generators oder der Senke speichern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LoadFlowOutput


IDP_GRP_ALC_STATEESTIMATOR

Interne ID: IDP_GRP_ALC_STATEESTIMATOR

State Estimator

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StateEstimator


IDP_GRP_ALC_STATUS

Interne ID: IDP_GRP_ALC_STATUS

Zustand

Enthält die verknüpften Variablen für die Ausgabe der aktuell anstehenden ALC-Quellen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Status


IDP_GRP_ALC_TOPOLOGY

Interne ID: IDP_GRP_ALC_TOPOLOGY

Topologie

Zusammengefasste Eigenschaften des Moduls ALC. Darin Enthaltene Untergruppen:

  • Erdschlusserkennung
  • Kompatibilität
  • Kurzschlusserkennung
  • Topologische Eigenschaften

Hinweis: Diese Gruppe ist im zenon Editor nur in der gruppierten Ansicht der Eigenschaften sichtbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Topology


IDP_GRP_ALC_TOPOLOGY_COMPATIBILITY

Interne ID: IDP_GRP_ALC_TOPOLOGY_COMPATIBILITY

Kompatibilität

Eigenschaften für die benutzerdefinierte Lastverteilungsrechnung basierend auf der API des Moduls ALC.
Hinweis: Ab Version 8.00 kann diese Funktionalität mit dem optionalen ALC-Modul Lastfluss direkt im Editor projektiert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

TopologyCompatibility


IDP_GRP_CURVE_REPRESENTATION

Interne ID: IDP_GRP_CURVE_REPRESENTATION

Darstellung

Allgemeine Eigenschaften für die Darstellung von Kurven in der zenon Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CurvePresentation


IDP_GRP_CURVESTYLE_CURVE

Interne ID: IDP_GRP_CURVESTYLE_CURVE

Kurve

Eigenschaften für die Darstellung von Kurven in der zenon Runtime.
Die Eigenschaften dieser Gruppe sind nur dann projektierbar wenn bei Graph Kurve projektiert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CurveSettings


IDP_GRP_CURVESTYLE_GANTT

Interne ID: IDP_GRP_CURVESTYLE_GANTT

Gantt

Eigenschaften für die Darstellung von Gantt-Diagrammen in der zenon Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GanttSettings


IDP_GRP_FCNMANAGER

Interne ID: IDP_GRP_FCNMANAGER

Funktionen

Eigenschaften für die Funktionsverwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_FuncManager


IDP_GRP_GAUGE_PRESENTATION

Interne ID: IDP_GRP_GAUGE_PRESENTATION

Instrumentdarstellung

Eigenschaften für die Instrumentdarstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GaugePresentation


IDP_GRP_HDDMANAGER

Interne ID: IDP_GRP_HDDMANAGER

Harddisk Datenspeicherung

Eigenschaften für die Hardisk-Daten (HDD) Verwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_HDD


IDP_GRP_MOUSEMANIPULATION_ETM

Interne ID: IDP_GRP_MOUSEMANIPULATION_ETM

Manipulation per Maus

Eigenschaften für die Manipulation von Inhalten des Trends zur Runtime mit der Maus.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

MouseManipulationETM


IDP_GRP_POINTER_BAR_REPRESENTATION

Interne ID: IDP_GRP_POINTER_BAR_REPRESENTATION

Zeiger-/Balkendarstellung

Eigenschaften für die Zeiger-/Balkendarstellung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

BarRepresentation


IDP_GRP_RGMKEYBOARDS

Interne ID: IDP_GRP_RGMKEYBOARDS

Keyboards

Auswahl eines Keyboards für Eingaben zur Runtime in die Rezeptwerttabelle. Es können Bilder vom Typ Keyboard verknüpft werden für:

  • binäre Eingaben
  • numerische Eingaben
  • String-Eingaben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_RGM_KEYBOARDS


IDP_GRP_RGMSETTING

Interne ID: IDP_GRP_RGMSETTING

Rezeptgruppen-Manager

Optionen für allgemeine Einstellungen des Rezeptgruppen-Managers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_RGM


IDP_GRP_RT_BATCHPREF

Interne ID: IDP_GRP_RT_BATCHPREF

Lizenzmodul zur Runtime

Eigenschaften für das Verhalten der Runtime bei bestehender Lizenzierung mehrerer Module.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_BatchPreferred


IDP_GRP_RTDIALOGES

Interne ID: IDP_GRP_RTDIALOGES

Runtime Meldungen bei

Eigenschaften für Runtime-Meldungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_RTMessageBoxes


IDP_GRP_UNIVERSALSLIDER_REPRESENTATION

Interne ID: IDP_GRP_UNIVERSALSLIDER_REPRESENTATION

Universalregler

Eigenschaften für die Darstellung des Universalreglers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

UniversalsliderPresentation


IDP_HDD_ACTIVE

Interne ID: IDP_HDD_ACTIVE

HD-Daten aktiv

  • Aktiv: Harddisk-Daten (HDD) werden aufgezeichnet.
  • Inaktiv: Harddisk-Daten (HDD) werden nicht aufgezeichnet.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Active


IDP_HDD_FILLDATA

Interne ID: IDP_HDD_FILLDATA

Daten Pufferung

  • Aktiv: Eine systemintern fest eingestellte Anzahl an Bytes wird gepuffert und dann blockweise gespeichert.
  • Inaktiv: Der jeweils ankommende Wert wird gespeichert.

Default: aktiv.

Berechnung: es wird jede kte Zykluszeit gespeichert. k ist der größte ganzzahlige Teiler der zu speichernden HD-Werte, der kleiner oder gleich 84 ist.
Beispiel: Anzahl Werte 300 -> Speicherung jeden 75. Wert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FillData


IDP_HORIZONTAL_ALIGN2

Interne ID: IDP_HORIZONTAL_ALIGN2

Ausrichtung horizontal

Horizontale Ausrichtung des Titels für die Anzeige.
Auswahl aus Dropdownliste:

  • Links
  • Rechts
  • Zentriert

Default: zentriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TitleHorizontalAlign


IDP_LINESTYLE

Interne ID: IDP_LINESTYLE

Linienstil

Anzeige und Auswahl des Linienstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineStyle


IDP_LIST_BACKCOLOR_SELECT_FOCUS

Interne ID: IDP_LIST_BACKCOLOR_SELECT_FOCUS

Hintergrundfarbe bei Fokus

Hintergrundfarbe eines Listeneintrags, wenn der Fokus auf dem Element liegt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: Wert des Betriebssystems

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorSelectFocus


IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Interne ID: IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Hintergrundfarbe ohne Fokus

Hintergrundfarbe eines Listeneintrags, wenn der Fokus nicht auf dem Element liegt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: Wert des Betriebssystems

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorSelectNoFocus


IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Interne ID: IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Textfarbe bei Fokus

Farbe für den Text eines Listeneintrags, wenn der Fokus auf dem Element liegt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: Wert des Betriebssystems

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorSelectFocus


IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Interne ID: IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Textfarbe ohne Fokus

Farbe für den Text eines Listeneintrags, wenn der Fokus nicht auf dem Element liegt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: Wert des Betriebssystems

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColorSelectNoFocus


IDP_LOCKED_BUTTONS

Interne ID: IDP_LOCKED_BUTTONS

Verriegelte Buttons

Definiert das Aussehen von Buttons zur Runtime, die aufgrund einer Verriegelung gesperrt sind. Wird zur Runtime für die Bedienung von Tasten mit der Eigenschaft Gesperrte Buttons (Benutzerverwaltung) kombiniert.

Mögliche Darstellungsformen:

  • Grau
  • Normal
  • Unsichtbar

Default: Normal

Diese Eigenschaft wirkt unabhängig von der Eigenschaft Grafische Kennzeichnung aktiv. Ein grauer Button kann z.B. auch ein Schlosssymbol anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockedButtonStyle


IDP_MENU_SEP_COLOR

Interne ID: IDP_MENU_SEP_COLOR

Farbe

Definieren Sie die Füllfarbe der Trennlinie. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Default: schwarz

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SeparatorColor


IDP_MENU_SEP_GROUP

Interne ID: IDP_MENU_SEP_GROUP

Trennlinie

Allgemeine Einstellungen zur Trennlinie in einem Menü.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Separator


IDP_MENU_SEP_WIDTH

Interne ID: IDP_MENU_SEP_WIDTH

Breite

Definieren Sie die Breite der Trennlinie in Pixel.

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SeparatorWidth


IDP_MODUL_KBD_LAYOUT

Interne ID: IDP_MODUL_KBD_LAYOUT

Keyboards

Gruppe der in Batch Control verfügbaren Tastaturen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ModulKbdLayout


IDP_MOUSE_ALTWHEEL

Interne ID: IDP_MOUSE_ALTWHEEL

Alt + Mausrad

Verhalten der Maus für die Darstellung von Trends in der Runtime bei gedrückter Alt-Taste und Betätigung des Mausrads.
Auswahl des Verhaltens aus Dropdownliste:

  • Keine Reaktion:
    keine Reaktion
  • Vertikal verschieben:

    ermöglicht das vertikale Verschieben von Inhalten des Trends

  • Horizontal verschieben:

    ermöglicht das horizontale Verschieben von Inhalten des Trends

Default: Horizontal verschieben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseAltWheel


IDP_MOUSE_CTRLWHEEL

Interne ID: IDP_MOUSE_CTRLWHEEL

Strg + Mausrad

Verhalten der Maus für die Darstellung von Trends in der Runtime bei gedrückter Steuerung-Taste und Betätigung des Mausrads.
Auswahl des Verhaltens aus Dropdownliste:

  • Keine Reaktion:
    keine Reaktion
  • Zoomen:

    ermöglicht die vergrößerte Anzeige von Inhalten des Trends

  • X-/T-Achse zoomen:

    ermöglicht die vergrößerte Anzeige der X-/T-Achse

Default: Zoomen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseCtrlWheel


IDP_MOUSE_DRAG_LEFT

Interne ID: IDP_MOUSE_DRAG_LEFT

Ziehen mit linker Maustaste

Verhalten der Maus für die Darstellung von Trends in der Runtime bei Ziehen bei gedrückter linker Maustaste.
Auswahl des Verhaltens aus Dropdownliste:

  • Keine Reaktion:
    keine Reaktion
  • Zoomrahmen aufziehen:
    der gewählte Bereich wird vergrößert dargestellt
  • Verschieben:

    ermöglicht das Verschieben von Inhalten des Trends

  • Horizontal verschieben:

    ermöglicht das horizontale Verschieben von Inhalten des Trends

Default: Zoomrahmen aufziehen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseDragLeft


IDP_MOUSE_DRAG_RIGHT

Interne ID: IDP_MOUSE_DRAG_RIGHT

Ziehen mit rechter Maustaste

Verhalten der Maus für die Darstellung von Trends in der Runtime bei Ziehen bei gedrückter rechter Maustaste.
Auswahl des Verhaltens aus Dropdownliste:

  • Keine Reaktion:
    keine Reaktion
  • Zoomrahmen aufziehen:
    der gewählte Bereich wird vergrößert dargestellt
  • Verschieben:

    ermöglicht das Verschieben von Inhalten des Trends

  • Horizontal verschieben:

    ermöglicht das horizontale Verschieben von Inhalten des Trends

Default: Verschieben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseDragRight


IDP_MOUSE_MOVEWHEEL

Interne ID: IDP_MOUSE_MOVEWHEEL

Mausrad

Verhalten der Maus für die Darstellung von Trends in der Runtime bei Betätigung des Mausrads.
Auswahl des Verhaltens aus Dropdownliste:

  • Keine Reaktion:
    keine Reaktion
  • Vertikal verschieben:

    ermöglicht das vertikale Verschieben von Inhalten des Trends

  • Horizontal verschieben:

    ermöglicht das horizontale Verschieben von Inhalten des Trends

Default: Vertikal verschieben

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MouseMoveWheel


IDP_MSGCTRL_GENERALSETTINGS_GRP

Interne ID: IDP_MSGCTRL_GENERALSETTINGS_GRP

Telefon Einstellungen

Eigenschaften für Telefoneinstellungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PhoneSettings


IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Interne ID: IDP_MSGCTRL_GSM_SMS_BULK_DELETE

SMS mit der Statusflag-Syntax des AT+CMGD-Kommandos löschen

Definiert die Vorgangsweise beim Löschen von Nachrichten. Die Syntax des +CMGD AT Kommandos sieht zwei Wege vor: Statusflag und Index.

  • Aktiv: Nachrichten werden mit der Methode Statusflag gelöscht.
    Alle gelesenen SMS werden auf einmal gelöscht.
    Hinweis: Diese Methode ist schneller und perfomanter, wird aber nicht von jedem Modem unterstützt.
  • Inaktiv: Nachrichten werden mit der Methode Index gelöscht. Gelesene SMS werden einzeln gelöscht.

Default: inaktiv
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BulkDelete


IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Interne ID: IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Verbindung prüfen

Klick auf Schaltfläche testet Verbindung zum Modem. Es wird getestet:

  • Öffnen und Vorbereiten des in der Eigenschaft Modemanschluss (seriell) definierten COM-Ports.
  • Antwort des Modems.
  • PIN-Authentifizierung, wenn benötigt.
  • Modemkonfiguration.
    Die Gültigkeit der SMSC-Nummer für das Versandzentrum kann nur durch das Versenden einer SMS geprüft werden kann. Für die Prüfung wird, für die konfigurierte SMSC-Nummer, die Nummer der Kurzmitteilungszentrale verwendet. Ist diese ungültig, wird die SMSC-Nummer der SIM-Karte verwendet.

Der Erfolg oder Misserfolg des Tests wird in einer Meldung angezeigt. Fehlerinformationen werden in die LOG-Dateien geschrieben.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CheckModem


IDP_MSGCTRL_GSM_SMS_COM_PORT

Interne ID: IDP_MSGCTRL_GSM_SMS_COM_PORT

Modemanschluss (seriell)

Auswahl des COM-Ports, an dem das Modem ansprechbar ist. Klick öffnet Dropdownliste zur Auswahl. Korrekter Port kann in der Systemsteuerung in der Gruppe Telefon und Modem ausgelesen werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SerialPort


IDP_MSGCTRL_GSM_SMS_GRP

Interne ID: IDP_MSGCTRL_GSM_SMS_GRP

SMS-Nachricht (GSM-Modem)

Einstellungen für den SMS-Versand über GSM.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DispatchSettings


IDP_MSGCTRL_GSM_SMS_PIN

Interne ID: IDP_MSGCTRL_GSM_SMS_PIN

PIN-Code

Eingabe der PIN für das Modem. Eintrag darf nur aus Ziffern bestehen. Wird für die Verwendung des Modems kein PIN benötigt, wird der Wert dieser Eigenschaft ignoriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PersonalIdentificationNumber


IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Interne ID: IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Nummer der Kurzmitteilungszentrale

Eingabe der Telefonnummer des SMSC (Kurzmitteilungszentrale) des verwendeten GSM-Providers. Eintrag muss eine gültige Telefonnummer sein und darf nur aus Ziffern bestehen. Ein führendes + als Kennzeichen für internationale Vorwahl ist erlaubt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SmscPhoneNumber


IDP_NET_CHECK

Interne ID: IDP_NET_CHECK

Überpüfungsergebnis

Ausgabe des Überprüfungsergebnisses der Netzwerktopologie.

Keine Einträge möglich.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Check


IDP_NET_COMPUTER

Interne ID: IDP_NET_COMPUTER

Rechnername

Name des Zielrechners im Netzwerk. Klick auf Schaltfläche ... öffnet Dropdownliste mit im Netzwerk angemeldeten Rechnern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Computer


IDP_NET_COMPUTER_GRP

Interne ID: IDP_NET_COMPUTER_GRP

Rechner

Eigenschaften für den Rechner in der Netzwerktopologie.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Computer


IDP_NET_DIRECTORY

Interne ID: IDP_NET_DIRECTORY

Startprojekt Runtime-Ordner

Runtime-Ordner des Startptrojekts am Zielrechner. Die Dateien des Startprojekts werden in diesem Ordner abgelegt, alle anderen Projekte relativ dazu, entsprechend der Struktur am lokalen PC. Verwenden Sie den Projektnamen als Ordnername, um automatisch die gleiche Struktur wie am Engineering-Rechner zu erzeugen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WorkingPath


IDP_NET_PROJECT

Interne ID: IDP_NET_PROJECT

Startprojekt

Startprojekt für den Zielrechner. Klick auf Dropdownliste öffnet Liste bereits vorhandener Projekte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDP_PADDING_STYLE

Interne ID: IDP_PADDING_STYLE

Innenabstand-Stil

Anzeige und Auswahl des Innenabstandstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PaddingStyle


IDP_PR_USE_PROCESSRECORDER

Interne ID: IDP_PR_USE_PROCESSRECORDER

Aufzeichnung aktivieren

Aktiviert/Deaktiviert Variable oder Datentyp für die Aufzeichnung für das Modul Prozess-Rekorder.
Mehrfachauswahl von Variablen ist möglich.

  • Aktiv:
    Wertänderungen der Variable werden im Prozess-Rekorder aufgezeichnet.
    Achtung: Stellen Sie sicher, dass auch die allgemeine Aktivierung der Aufzeichnung in der Eigenschaft Prozess-Rekorder aktivieren aktiviert wurde.
  • Inaktiv:
    Wertänderungen der Variable werden nicht im Prozess-Rekorder aufgezeichnet.

Default: Einstellung wird vom verwendeten Datentyp übernommen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Used_in_ProcRec


IDP_PRJ_CHANGE_PWD_PIC

Interne ID: IDP_PRJ_CHANGE_PWD_PIC

Bild für Passwortänderung

Auswahl eines Bildes vom Typ Benutzer editieren, um das eigene Passwort zu ändern. Das Bild wird anstelle des modalen Dialogs modal aufgeschaltet. Klick auf Schaltfläche ... öffnet Dialog zur Bildauswahl.

Mehr in der Onlinehilfe.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ChangePwdPicture


IDP_PRJ_DISMENUITEMS_DRAWING

Interne ID: IDP_PRJ_DISMENUITEMS_DRAWING

Gesperrte Menüpunkte

Definiert das Anzeigeverhalten von Menüeinträgen in der Runtime:

  • Normal: Menüs werden in der Runtime angezeigt. Bei fehlender Bedienberechtigung erscheint ein Infodialog.
  • Grau: Menüs sind in der Runtime ausgegraut und nicht bedienbar.
  • Unsichtbar: Menüeinträge werden nicht in der Runtime angezeigt.

Hinweis: Die Eigenschaft ist inaktiv, wenn die Eigenschaft Temporäres Login aktiv aktiviert ist.

Default: Normal

Mehr im Online-Handbuch

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DisMenuItemsDrawing


IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Interne ID: IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Systemsperre bei falscher externer Authentifizierung

Verhalten des gesamten Systems bei falscher externer Authentifizierung:

  • inaktiv:
    Keine Sperre des gesamten Systems bei falscher externern Authentifizierung.
  • aktiv:
    Das System wird bei falscher externer Authentifizierung gesperrt.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExternalLoginSystemLock


IDP_PRJ_EXTERNALLOGIN_USERLOCK

Interne ID: IDP_PRJ_EXTERNALLOGIN_USERLOCK

Benutzersperre bei falscher externer Authentifizierung

Verhalten für User bei falscher externer Authentifizierung:

  • inaktiv:
    Keine Sperre des entsprechenden Benutzers bei falscher externern Authentifizierung.
  • aktiv:
    Der entsprechende Benutzer wird bei falscher externer Authentifizierung gesperrt.

Default: aktiv

Achtung: Diese Einstellung hat keinen Einfluss auf die Benutzersperre im Active Directory bei der Verwendung von AD-Benutzern. Hier gelten immer die Domäneneinstellungen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ExternalLoginUserLock


IDP_PRJ_LOGIN_PIC

Interne ID: IDP_PRJ_LOGIN_PIC

Bild für Login

Auswahl des Bildes, das für das Login oder die Ausführung der Funktion Login mit Dialog verwendet wird. Auswahl durch Klick auf Schaltfläche .... Es können nur Bilder vom Typ Login ausgewählt werden. Ist kein Bild verknüpft, wird für das Login ein modaler Dialog aufgeschaltet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LoginPicture


IDP_PRJ_LOGINSIGNATURE_PIC

Interne ID: IDP_PRJ_LOGINSIGNATURE_PIC

Bild für Login mit Signatur

Auswahl des Bildes, das für das Login mit Signatureingabe aufgeschaltet wird. Auswahl durch Klick auf Schaltfläche .... Es können nur Bilder vom Typ Login ausgewählt werden. Ist kein Bild verknüpft, wird für das Login mit Signatureingabe ein modaler Dialog aufgeschaltet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LoginSignaturePicture


IDP_PRJ_RECURSIVE_LOGIN

Interne ID: IDP_PRJ_RECURSIVE_LOGIN

Automatisches Login/Logout in Unterprojekten

Ermöglicht ein automatisches Login/Logout in Unterprojekten.

Aktiv: Ein Benutzer wird beim Einloggen in ein Projekt automatisch auch in allen Unterprojekten angemeldet, bzw. beim Ausloggen von allen Projekten abgemeldet.

Voraussetzung dafür ist, dass der Benutzer in allen Projekten verfügbar ist.

Nicht verfügbar für Globalprojekte und für Projekte mit aktiver Eigenschaft Windows CE Projekt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecursiveLogin


IDP_PRN_MAXJOBS

Interne ID: IDP_PRN_MAXJOBS

Max. Druckaufträge

Maximale Anzahl der Druck-Aufträge im Windows-Druckmanager. Wird diese Anzahl überschritten, dann wird ein Eintrag in der Chronologischen Ereignisliste (CEL) generiert.

  • Minimum: 0
  • Maximum: 65535
  • Default: 90

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MaxPrintJobs


IDP_PROJEKT_LOCKVAR

Interne ID: IDP_PROJEKT_LOCKVAR

Bediensperre

Ermöglicht in Projekten ohne Netzwerk das Setzen einer Bediensperre über eine binäre Variable.
Klick auf die Schaltfläche ... öffnet Dialog zur Auswahl einer binären Variablen.

Rückmeldewert:

  • >0: Keine Bedienberechtigung vorhanden
  • 0: Bedienberechtigung vorhanden

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockVar


IDP_PROJEKT_NETZ_TOKEN_TYPE

Interne ID: IDP_PROJEKT_NETZ_TOKEN_TYPE

Bedienberechtigung im Netzwerk

Dropdownliste zur Auswahl der Art der Bedienberechtigung:

  • Inaktiv
    Keine Bedienberechtigung erforderlich. Alle Rechner im Netzwerk können das Projekt gleichzeitig bedienen.
  • Globale Bedienberechtigung
    Nur ein Rechner kann das Projekt zur selben Zeit bedienen (z.B. Alarme quittieren, Sollwerte setzen).
    Diese Einschränkung gilt generell für alle projektierten Variablen.
  • Bedienberechtigung über Anlagenmodell
    Die Einschränkung der Bedienung wird via Verknüpfung von Variablen mit dem Anlagenmodell realisiert. Nur jene Variablen, welche einem Anlagenmodell zugeordnet sind, benötigen für die Bedienung eine Bedienberechtigung.
    Variablen, welche mit keinem Anlagenmodell verknüpft sind, sind immer bedienbar.

Hinweis: Nur aktiv, wenn Netzwerk aktiv aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NetTokenType


IDP_PROJEKT_RT_INTERNDRIVERTAGS

Interne ID: IDP_PROJEKT_RT_INTERNDRIVERTAGS

Status/Zeitstempel für Variablen des Intern Treiber

Lizenzierung und davon abhängige Darstellung für Variablen des Intern Treibers in der Runtime:

  • inaktiv (nicht lizenzpflichtig):
    Keine Anzeige des externen Zeitstempels und eingeschränkte Visualisierung des Status in der Runtime
  • aktiv (lizenzpflichtig):
    Vollständige Visualisierung aller Zeitstempel und aller Status in der Runtime

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InternalDriverWithStatus


IDP_PROJEKT_SW_CHANGE_CEL

Interne ID: IDP_PROJEKT_SW_CHANGE_CEL

Sollwert-Protokollierung nur bei Sollwertänderung

Einstellung, ob CEL Eintrag erstellt wird, wenn der gleiche Wert erneut gesetzt wird.

  • Aktiv:
    Eintrag wird nicht erstellt, wenn keine Änderung erfolgt ist.
  • Inaktiv:
    Eintrag wird auch dann erstellt, wenn der Wert mit dem bereits bestehenden Wert übereinstimmt.

Default: inaktiv

Mehr in der Online Hilfe.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CELLogOnlyChange


IDP_PWL_EXECUTE

Interne ID: IDP_PWL_EXECUTE

Berechtigunsebene für Ausführung

Definiert die zum Verriegeln nötige Berechtigungsebene. Klick auf Ebene öffnet Dropdownliste zur Auswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PwlExecute


IDP_PWL_UNLOCK

Interne ID: IDP_PWL_UNLOCK

Berechtigunsebene zur Entriegelung

Definiert die zum Entriegeln nötige Berechtigungsebene. Klick auf Ebene öffnet Dropdownliste zur Auswahl.

Hinweis: nicht aktiv bei einer Befehlsaktion vom Typ Zwangsbefehl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PwlUnlock


IDP_REPORTVIEWER_SHOW_HEADER

Interne ID: IDP_REPORTVIEWER_SHOW_HEADER

Integrierte Symbolleiste des Report Viewers anzeigen

Checkbox für die Anzeige der eingebauten Symbolleiste des Report Viewers zur Runtime.

  • aktiv:
    Zur Runtime wird die interne Symbolleiste des Report Viewers visualisiert.
  • inaktiv:
    Keine Anzeige der Report Viewer Symbolleiste zur Runtime.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowReportViewerHeader


IDP_RGM_BINARYPARAMETER

Interne ID: IDP_RGM_BINARYPARAMETER

Binärparameter

Auswahl eines Keyboards für binäre Eingaben. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BoolKbd


IDP_RGM_DATASOURCE

Interne ID: IDP_RGM_DATASOURCE

DataSource

Auswahl der gewünschte Dateiablage für den Rezeptgruppen-Manager aus Dropdown Liste:

  • MS Access DB: MS Access Datenbank. Nicht für Windows CE geeignet.
  • Binäre Dateien (CE kompatibel): Für Verwendung des RGM auf PC und unter Windows CE.

Default: Binäre Dateien (CE kompatibel)

Hinweis: Wird die Option Windows CE Projekt aktiviert, wird die Datenablage automatisch auf Binäre Dateien eingestellt. Eine nachträgliche Konvertierung der Daten ist nicht vorgesehen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DataSource


IDP_RGM_FILTER

Interne ID: IDP_RGM_FILTER

Filter

Eingabe der Filtertexte für Variablen.

Maximal: 65535 Zeichen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Filter


IDP_RGM_GROUP_ALLGEMEIN

Interne ID: IDP_RGM_GROUP_ALLGEMEIN

Allgemein

Allgemeine Einstellungen für Rezeptgruppen.

Hinweis: Zu einer Rezeptgruppe können maximal 32.000 Variablen hinzugefügt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Allgemein


IDP_RGM_GROUP_FEEDBACK

Interne ID: IDP_RGM_GROUP_FEEDBACK

Ergebnis

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback


IDP_RGM_GROUP_FEEDBACK_CHECK

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK

Ergebnis Rezeptwerte prüfen

Rückmeldevariablen für Rezeptwert prüfen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Kommentar 1

Kommentar 1 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment1


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Kommentar 2

Kommentar 2 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment2


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Kommentar 3

Kommentar 3 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment3


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Kommentar 4

Kommentar 4 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment4


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Kommentar 5

Kommentar 5 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment5


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Kommentar 6

Kommentar 6 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment6


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Kommentar 7

Kommentar 7 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment7


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Kommentar 8

Kommentar 8 des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Comment8


IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Rezeptwerte Prüfen - Abweichungen

Abweichungen beim Ergebnis der Prüfung des Rezepts als Text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Different


IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Rezeptname

Name des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Name


IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Rezeptnummer

Nummer des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Number


IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Rezeptwerte Prüfen - Ergebnis

Ergebnis der Prüfung des Rezepts als nummerischer Wert.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Result


IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Berechtigungsebene

Ebene der Bedienberechtigung des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Rights


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Rezeptstatus Nr.

Status des zuletzt geprüften Rezepts als Zahl.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Status_Nr


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Rezeptstatus Text

Status des zuletzt geprüften Rezepts. Der Text hat das Format: 1 - @Text
Dieser Text wird als Rohtext auf die Variable geschrieben. Um den Text übersetzt anzuzeigen, muss im Anzeigeelement (dynamischer Text) die Eigenschaft Anzeigetext übersetzen aktiv sein.

Klick auf Schaltfläche ... öffnet Dialog für Variablenauswahl.

Werte: Siehe Systemtreibervariablen - Rezepte Standard und RGM.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Status_Txt


IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Änderungszeit

Zeitpunkt der letzten Rezeptänderung des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Timechange


IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Änderungsbenutzer

Name des angemeldeten Benutzers der letzten Rezeptänderung des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Userchange


IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Interne ID: IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Rezeptversion

Version des zuletzt geprüften Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Check_Version


IDP_RGM_GROUP_FEEDBACK_READ

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ

Ergebnis Rezept lesen

Rückmeldevariablen für Rezept lesen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read


IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Kommentar 1

Kommentar 1 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment1


IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Kommentar 2

Kommentar 2 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment2


IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Kommentar 3

Kommentar 3 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment3


IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Kommentar 4

Kommentar 4 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment4


IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Kommentar 5

Kommentar 5 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment5


IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Kommentar 6

Kommentar 6 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment6


IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Kommentar 7

Kommentar 7 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment7


IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Kommentar 8

Kommentar 8 des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Comment8


IDP_RGM_GROUP_FEEDBACK_READ_NAME

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_NAME

Rezeptname

Name des zuletzt gelesenen Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Name


IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Rezeptnummer

Nummer des zuletzt gelesenen Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Number


IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Rezept fertig gelesen

Ergebnis des Rezept Lesens als nummerischer Wert.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Result


IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Berechtigungsebene

Ebene der Bedienberechtigung des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Rights


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Rezeptstatus Nr.

Status des zuletzt gelesenen Rezepts als Zahl.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Status_Nr


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Rezeptstatus Text

Status des zuletzt gelesenen Rezepts. Der Text hat das Format: 1 - @Text
Dieser Text wird als Rohtext auf die Variable geschrieben. Um den Text übersetzt anzuzeigen, muss im Anzeigeelement (dynamischer Text) die Eigenschaft Anzeigetext übersetzen aktiv sein.

Klick auf Schaltfläche ... öffnet Dialog für Variablenauswahl.

Werte: Siehe Systemtreibervariablen - Rezepte Standard und RGM.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Status_Txt


IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Änderungszeit

Zeitpunkt der letzten Rezeptänderung des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Timechange


IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Änderungsbenutzer

Name des angemeldeten Benutzers bei der letzten Rezeptänderung des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Userchange


IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Interne ID: IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Rezeptversion

Version des zuletzt gelesenen Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Read_Version


IDP_RGM_GROUP_FEEDBACK_WRITE

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE

Ergebnis Rezept absetzen

Rückmeldevariablen für Rezept absetzen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Kommentar 1

Kommentar 1 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment1


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Kommentar 2

Kommentar 2 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment2


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Kommentar 3

Kommentar 3 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment3


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Kommentar 4

Kommentar 4 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment4


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Kommentar 5

Kommentar 5 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment5


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Kommentar 6

Kommentar 6 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment6


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Kommentar 7

Kommentar 7 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment7


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Kommentar 8

Kommentar 8 des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Comment8


IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Rezeptname

Name des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Name


IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Rezeptnummer

Nummer des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Number


IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Rezept fertig abgesetzt

Ergebnis des Absetzens des Rezept als nummerischer Wert.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Result


IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Berechtigungsebene

Ebene der Bedienberechtigung des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Rights


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Rezeptstatus Nr.

Status des zuletzt abgesetzten Rezeptes als Zahl.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Status_Nr


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Rezeptstatus Text

Status des zuletzt abgesetzten Rezepts. Der Text hat das Format: 1 - @Text
Dieser Text wird als Rohtext auf die Variable geschrieben. Um den Text übersetzt anzuzeigen, muss im Anzeigeelement (dynamischer Text) die Eigenschaft Anzeigetext übersetzen aktiv sein.

Klick auf Schaltfläche ... öffnet Dialog für Variablenauswahl.

Werte: Siehe Systemtreibervariablen - Rezepte Standard und RGM.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Status_Txt


IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Änderungszeit

Zeitpunkt der letzten Rezeptänderung des zuletzt abgesetzten Rezepts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Timechange


IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Änderungsbenutzer

Name des angemeldeten Benutzers bei der letzten Rezeptänderung des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Userchange


IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Interne ID: IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Rezeptversion

Version des zuletzt abgesetzten Rezeptes.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_Write_Version


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Interne ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Import Ergebnis XML

Rückmeldevariablen für XML-Import.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_XMLImport


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Interne ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Import Ergebnis

Erfolg des XML-Imports.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Feedback_XMLImport_Result


IDP_RGM_INTERLOCKING

Interne ID: IDP_RGM_INTERLOCKING

Verriegelung

Zuordnung einer Verriegelung zur Variablen. Auswahl aus Dropdownliste.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Interlocking


IDP_RGM_KEYBOARD

Interne ID: IDP_RGM_KEYBOARD

Keyboardbild

Verknüpfung eines Bildes vom Typ Keyboard, das zur Runtime bei Linksklick auf Variable zur Werteingabe aufgeschaltet werden soll. Klick auf Schaltfläche öffnet Dialog zur Auswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Keyboard


IDP_RGM_NUMERICPARAMETER

Interne ID: IDP_RGM_NUMERICPARAMETER

Numerische Parameter

Auswahl eines Keyboards für numerische Eingaben. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NumKbd


IDP_RGM_RCP_COMMENT3

Interne ID: IDP_RGM_RCP_COMMENT3

Kommentar 3

Kommentarzeile 3 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment3


IDP_RGM_RCP_COMMENT4

Interne ID: IDP_RGM_RCP_COMMENT4

Kommentar 4

Kommentarzeile 4 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment4


IDP_RGM_RCP_COMMENT5

Interne ID: IDP_RGM_RCP_COMMENT5

Kommentar 5

Kommentarzeile 5 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment5


IDP_RGM_RCP_COMMENT6

Interne ID: IDP_RGM_RCP_COMMENT6

Kommentar 6

Kommentarzeile 6 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment6


IDP_RGM_RCP_COMMENT7

Interne ID: IDP_RGM_RCP_COMMENT7

Kommentar 7

Kommentarzeile 7 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment7


IDP_RGM_RCP_COMMENT8

Interne ID: IDP_RGM_RCP_COMMENT8

Kommentar 8

Kommentarzeile 8 zum aktuellen Rezept.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comment8


IDP_RGM_RCP_COMMENTS_GRP

Interne ID: IDP_RGM_RCP_COMMENTS_GRP

Kommentare

Gruppe der Rezept-Kommentare. Pro Rezept können 8 Kommentare eingegeben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Comments


IDP_RGM_RECIPE_ALLGEMEIN

Interne ID: IDP_RGM_RECIPE_ALLGEMEIN

Allgemein

Allgemeine Eigenschaften des Rezepts.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Allgemein


IDP_RGM_RECIPE_STATUS

Interne ID: IDP_RGM_RECIPE_STATUS

Status

Auswahl des Rezeptstatus aus Dropdownliste. (Konfiguration der Status in Eigenschaft Rezeptgruppen-Manager /Bezeichner Rezeptstatus.) Der Rezeptstatus kann pro Rezeptversion unterschiedlich eingestellt werden. Diese Eigenschaft kann auch in der Runtime verändert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Status


IDP_RGM_RECIPE_VERSION

Interne ID: IDP_RGM_RECIPE_VERSION

Rezeptversion

Zeigt die Versionsnummer des gewählten Rezeptes an. Nur Anzeige, keine Änderung möglich. Versionsnummer wird vom System automatisch gesetzt. Maximal können 89999 Rezeptversionen angelegt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RecipeVersion


IDP_RGM_REPORTFONT

Interne ID: IDP_RGM_REPORTFONT

Tabellenschrift einstellbar

  • Aktiv: Bei Bildern des Typs Rezeptgruppen-Manager ist die Schrift einstellbar. Es wird die in der Eigenschaft Schrift projektierte Schriftart verwendet.
  • Inaktiv: Standardschriftart wird verwendet.

Default: Inaktiv

Wird eine benutzerdefinierte Tabelle (mit Report Generator erstellt) verwendet, werden die im Report festgelegten Schriften verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ReportFont


IDP_RGM_SHADOW_VARIABLE

Interne ID: IDP_RGM_SHADOW_VARIABLE

Grafische Rezeptvariable

Grafische Rezeptvariablen ermöglichen zur Runtime das Ändern eines RGM Rezeptwerts über ein Bild. Für jede in einer Rezeptgruppe vorhandene Variable kann eine Grafische Rezeptvariable definiert werden. Zur Runtime wird die RGM Variable über die Funktion Rezeptgruppen-Manager mit der die Aktion Rezeptwerte auf Grafische Rezeptvariablen schreiben durch eine Grafische Rezeptvariable ersetzt und nach einer Änderung über die Aktion Grafische Rezeptvariablen auf Rezeptwert schreiben in den RGM zurückgeschrieben.

Klick auf Schaltfläche öffnet Dialog zur Auswahl der Schattenvaríablen. Pro Rezeptgruppe kann eine Grafische Rezeptvariable nur einmal verwendet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShadowVariable


IDP_RGM_SIGNATURE_GRP

Interne ID: IDP_RGM_SIGNATURE_GRP

Signatur

Gruppe von Variablen in Rezepten für die Signatur.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

SignatureRGM


IDP_RGM_STATUS_LIST

Interne ID: IDP_RGM_STATUS_LIST

Bezeichner Rezeptstatus

Konfiguration der Statusbezeichner. Klick auf Eigenschaft öffnet Dialog zur Konfiguration. Liste der Status wird bei der Statusauswahl im Rezept verwendet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StatusList


IDP_RGM_STRINGPARAMETER

Interne ID: IDP_RGM_STRINGPARAMETER

Stringparameter

Auswahl eines Keyboards für String-Eingaben. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Bildes vom Typ Keyboard.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StringKbd


IDP_RGM_VARLNK_ALLGEMEIN

Interne ID: IDP_RGM_VARLNK_ALLGEMEIN

Allgemein

Allgemeine Eigenschaften für Variable in Rezeptgruppe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

General


IDP_RGM_VARLNK_BORDERS

Interne ID: IDP_RGM_VARLNK_BORDERS

Wertgrenzen

Einstellungen für Wertgrenzen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueBorders


IDP_RGM_VARLNK_GENERAL

Interne ID: IDP_RGM_VARLNK_GENERAL

Werteigenschaften

Eigenschaften für Werte.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueGeneral


IDP_RGM_VARLNK_RANGEFROMVAR

Interne ID: IDP_RGM_VARLNK_RANGEFROMVAR

Sollwertgrenzen von Variable übernehmen

Aktiv: Die Sollwertgrenzen werden dynamisch von der Variablen geholt und nicht fix in der Rezeptgruppe eingestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RangeFromVar


IDP_RGM_VARLNK_SHADOW

Interne ID: IDP_RGM_VARLNK_SHADOW

Grafische Rezeptvariable

Eigenschaften für Grafische Rezeptvariablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShadowVarGrp


IDP_RGM_VISIBILITYVAR

Interne ID: IDP_RGM_VISIBILITYVAR

Sichtbarkeitsvariable

Auswahl einer Variablen zur Steuerung der Sichtbarkeit. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibilityVar


IDP_RGM_WRITE_INVALID_RECIPES

Interne ID: IDP_RGM_WRITE_INVALID_RECIPES

Ungültige Rezepte über Funktion absetzbar

Definiert, ob Rezepte bei denen sich Rezeptwerte außerhalb des gültigen Wertebereichs befinden, über die Funktion Rezeptgruppen-Manager abgesetzt werden können.

  • Aktiv: Ungültige Rezepte sind absetzbar.
  • Inaktiv: Ungültige Rezepte sind nicht absetzbar.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WriteInvalidRecipes


IDP_ROUNDINGSTYLE

Interne ID: IDP_ROUNDINGSTYLE

Abrundung-Stil

Anzeige und Auswahl des Stils für Abrundungen, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RoundingStyle


IDP_RT_BATCH_PREFMODULE

Interne ID: IDP_RT_BATCH_PREFMODULE

Bevorzugtes Modul

Auswahl des Moduls, welches bei einer bestehenden, gleichzeitigen Lizenzierung mehrerer Module in der Runtime verwendet wird:

  • Batch Control
  • Schaltfolgen

Default: Batch Control

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BatchPrefered


IDP_RT_GRP_MSG_PICS

Interne ID: IDP_RT_GRP_MSG_PICS

Runtime Message Box Bilder

Eigenschaften für Message Box Bilder.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_RTMessagePictures


IDP_RT_MSG_PIC_MultiYesNo

Interne ID: IDP_RT_MSG_PIC_MultiYesNo

Message Box [Ja, Nein, Ja alle, Nein alle]

Auswahl eines Bildes vom Typ Message Box zum Bestätigen [JA] oder überspringen [Nein], [JA alle], [Nein alle] von Systemmeldungen.
Klick auf … öffnet den Dialog zur Auswahl eines bereits projektierten zenon Bildes. Es können nur Bilder vom Typ Message Box ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgScreenMultiYesNo


IDP_RT_MSG_PIC_Ok

Interne ID: IDP_RT_MSG_PIC_Ok

Message Box [Ok]

Auswahl eines Bildes vom Typ Message Box zum Bestätigen [OK] oder Abbrechen [Abbrechen] von Systemmeldungen.
Klick auf … öffnet den Dialog zur Auswahl eines bereits projektierten zenon Bildes. Es können nur Bilder vom Typ Message Box ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgScreenOk


IDP_RT_MSG_PIC_OkCancel

Interne ID: IDP_RT_MSG_PIC_OkCancel

Message Box [Ok, Abbrechen]

Auswahl eines Bildes vom Typ Message Box zum Bestätigen [Ok] oder verwerfen [Cancel] von Systemmeldungen.
Klick auf … öffnet den Dialog zur Auswahl eines bereits projektierten zenon Bildes. Es können nur Bilder vom Typ Message Box ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgScreenOkCancel


IDP_RT_MSG_PIC_YesNo

Interne ID: IDP_RT_MSG_PIC_YesNo

Message Box [Ja, Nein]

Auswahl eines Bildes vom Typ Message Box zum Bestätigen [JA] oder überspringen [Nein] von Systemmeldungen.
Klick auf … öffnet den Dialog zur Auswahl eines bereits projektierten zenon Bildes. Es können nur Bilder vom Typ Message Box ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgScreenYesNo


IDP_RT_MSG_PIC_YesNoCancel

Interne ID: IDP_RT_MSG_PIC_YesNoCancel

Message Box [Ja, Nein, Abbrechen]

Auswahl eines Bildes vom Typ Message Box zum Bestätigen [JA], überspringen [Nein] oder verwerfen [Cancel] von Systemmeldungen.
Klick auf … öffnet den Dialog zur Auswahl eines bereits projektierten zenon Bildes. Es können nur Bilder vom Typ Message Box ausgewählt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MsgScreenYesNoCancel


IDP_RTD_ACTION_OK

Interne ID: IDP_RTD_ACTION_OK

Datenexport

  • Aktiv: Bei erfolgreichem Export von Daten wird in der Runtime ein Dialog aufgeschaltet.
    Dieser Dialog wird nur für einen Datenexport angezeigt, welcher mit der Funktion "Daten exportieren" exportiert wird. Sie finden diese Funktion in der Funktionsgruppe Variable.
    Das Ergebnis für andere Datenexporte wird nicht mit einem Dialog visualisiert.
  • Inaktiv: Der Dialog mit der Erfolgsmeldung wird unterdrückt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActionOK


IDP_RTD_DLGFONT

Interne ID: IDP_RTD_DLGFONT

Dialogschrift

Nur verfügbar, wenn Dialogschrift einstellbar aktiviert ist.

Definieren Sie hier die Schrift, die in der Runtime für Dialoge und mehrseitige Einstellungen verwendet werden soll. Ein Klick auf die Schaltfläche öffnet den Dialog zur Schriftauswahl.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RtDlgFont


IDP_RTD_ENDLGFONT

Interne ID: IDP_RTD_ENDLGFONT

Dialogschrift einstellbar

Ermöglicht es, Dialoge und mehrseitige Einstellungen in der Runtime mit einer einstellbaren Schrift anzuzeigen. Die zu verwendende Schrift wählen Sie mithilfe der Eigenschaft Dialogschrift aus.

  • Aktiv: Die unter Dialogschrift ausgewählte Schrift wird in der Runtime verwendet.
  • Inaktiv: Die Systemschrift wird in der Runtime für Dialoge und mehrseitige Einstellungen verwendet.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EnRtDlgFont


IDP_RTD_FILE_REPLACE

Interne ID: IDP_RTD_FILE_REPLACE

Dateien ersetzen

  • Aktiv: Wenn beim Datenexport eine Datei überschrieben wird, wird in der Runtime eine Meldung angezeigt.
  • Inaktiv: Die Meldung wird unterdrückt.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FileReplace


IDP_RTD_INSUFFICIENT_LEVEL

Interne ID: IDP_RTD_INSUFFICIENT_LEVEL

Berechtigung nicht ausreichend

Nur verfügbar, wenn Eigenschaft Fehlerhafter Eingabe aktiv ist.

  • Aktiv: Führt zur Runtime ein Benutzer eine Funktion aus, die eine Berechtigungsebene erfordert, die der angemeldete Benutzer nicht erfüllt, wird ein Fenster mit einer Fehlermeldung angezeigt.
  • Inaktiv: Bei falscher Berechtigungsebene wird keine Fehlermeldung angezeigt. Die Systemtreibervariable keine Funktionsberechtigung wird trotzdem gesetzt und kann mittels Grenzwert oder Reaktionsmatrix ausgewertet werden.

Default: Aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InsufficientLevel


IDP_RTD_INVALID_INPUT

Interne ID: IDP_RTD_INVALID_INPUT

Fehlerhafter Eingabe

Ermöglicht es, Runtime-Meldungen ein- oder auszuschalten.

  • Aktiv: Bei falschen Benutzereingaben werden in der Runtime entsprechende Meldungen angezeigt.
  • Inaktiv: Meldungen werden unterdrückt.
    In diesen Fall können auch im Systemtreiber Bit-Variablen mit einer Funktion verknüpft werden, um mit einem Grenzwert auf die Falscheingaben individuell zu reagieren.

Default: aktiv

Aktivierung hat Auswirkung auf folgende Benutzer-Aktionen:

  • Benutzer gesperrt
  • ungültiger Benutzername
  • ungültiges Passwort
  • System gesperrt
  • System entsperrt
  • Zugang wurde gesperrt
  • Sollwert setzen

Zusätzlich können fehlende Funktionsberechtigungen angezeigt werden. Dazu muss die Eigenschaft Berechtigung nicht ausreichend aktiviert werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

InvalidInput


IDP_RTP_PICTBACKCOUNT

Interne ID: IDP_RTP_PICTBACKCOUNT

Anzahl für Bild zurück Funktion

Anzahl der Bilder, die in die Liste für die Funktion Anzahl für Bild zurück Funktion eingetragen werden sollen.
Hinweis: Jeder Aufruf der Funktion Bildumschaltung zählt mit, auch wenn er nicht direkt erfolgt, sondern als Start-Funktion in den Bildeigenschaften eingetragen ist.

  • Minimum: 0
  • Maximum: 65535
  • Default: 10

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackPictCount


IDP_RTP_SYSKEYLOCK

Interne ID: IDP_RTP_SYSKEYLOCK

Systemtasten sperren

  • Aktiv: Windows Tastenkombinationen wie Alt+Esc, Strg+Esc, Alt+Tab, Alt-F4 etc. werden in der Runtime gesperrt.
  • Inaktiv: Tastenkombinationen werden nicht gesperrt.

Default: inaktiv

Hinweis: Es können auch alle Systemtasten für die Runtime gesperrt werden. Details siehe Keyblock Runtime Start.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SysKeyLock


IDP_RTP_WATCHFILES

Interne ID: IDP_RTP_WATCHFILES

Runtime-Dateien indizieren

  • Aktiv: Für den schnelleren Zugriff wird ein Ordner-Cache für die Runtime-Daten aktiviert.
  • Inaktiv: Der Ordner-Cache wird nicht verwendet.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FileWatcher


IDP_RUECKMELDE_VAR_GRP

Interne ID: IDP_RUECKMELDE_VAR_GRP

Rückmeldevariablen

Eigenschaften für Rückmeldevariablen. Diese zeigen zur Runtime Aktionen in Konfigurierbaren Listen an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

SelectionFeedback


IDP_SAMPLE

Interne ID: IDP_SAMPLE

Sample Additional

Beispiel für Sample Treiber.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SampleTest


IDP_SCALE_STYLE

Interne ID: IDP_SCALE_STYLE

Skalenstil

Anzeige und Auswahl des Skalenstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ScaleStyle


IDP_SCALESTYLE_AXISTYPE

Interne ID: IDP_SCALESTYLE_AXISTYPE

Achsentyp

Auswahl aus Dropdownliste:

  • Linear
    Lineare Teilung der Achse.
  • Logarithmisch
    Logarithmische Teilung der Achse.

Default: Linear

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Axistype


IDP_SCALESTYLE_CALCULATION

Interne ID: IDP_SCALESTYLE_CALCULATION

Berechnung

Auswahl aus Dropdownliste:

  • Automatisch
    Die Kalkulation erfolgt ungenauer als bei Automatisch optimiert.
  • Automatisch optimiert
    Diese Einstellung wird nur in der Runtime angewendet und verändert keine konfigurierten Achsenlimits im Editor. Zur Rundung wird der naheliegendste runde Wertbereich verwendet.
  • Eingepasst
    Minimalwert und Maximalwert sind die äußerste Grenze der Achse. Die Beschriftung der Achse wird auf optisch ansprechende Zahlen gerundet.
  • Linear
    Eine gleichmäßige Verteilung der Ticks auf der Achse wird durchgeführt.

Default: Eingepasst

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CalculationType


IDP_SCALESTYLE_IS_DAY

Interne ID: IDP_SCALESTYLE_IS_DAY

Tag (TT)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.
Anzeige des Tages.

  • aktiv:
    Tag des Zeitstempels wird angezeigt
  • inaktiv:
    Tag wird bei der Anzeige des Zeitstempels ausgeblendet

Default: aktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsDay


IDP_SCALESTYLE_IS_HOUR

Interne ID: IDP_SCALESTYLE_IS_HOUR

Stunde (hh)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.

Anzeige der Stunde.

  • aktiv:
    Stunden des Zeitstempels werden angezeigt
  • inaktiv:
    Stunde wird bei der Anzeige des Zeitstempels ausgeblendet

Default: aktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsHour


IDP_SCALESTYLE_IS_MILLISECOND

Interne ID: IDP_SCALESTYLE_IS_MILLISECOND

Millisekunde (ms)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.

Anzeige von Millisekunden.

  • aktiv:
    Millisekunden des Zeitstempels werden angezeigt
  • inaktiv:
    Millisekunde wird bei der Anzeige des Zeitstempels ausgeblendet

Default: inaktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsMillisecond


IDP_SCALESTYLE_IS_MINUTE

Interne ID: IDP_SCALESTYLE_IS_MINUTE

Minute (mm)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.

Anzeige der Minuten.

  • aktiv:
    Minuten des Zeitstempels werden angezeigt
  • inaktiv:
    Minute wird bei der Anzeige des Zeitstempels ausgeblendet

Default: aktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsMinute


IDP_SCALESTYLE_IS_MONTH

Interne ID: IDP_SCALESTYLE_IS_MONTH

Monat (MM)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.

Anzeige des Monats.

  • aktiv:
    Monat des Zeitstempels wird angezeigt
  • inaktiv:
    Monat wird bei der Anzeige des Zeitstempels ausgeblendet

Default: aktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsMonth


IDP_SCALESTYLE_IS_SECOND

Interne ID: IDP_SCALESTYLE_IS_SECOND

Sekunde (ss)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.

Anzeige von Sekunden.

  • aktiv:
    Sekunden des Zeitstempels werden angezeigt
  • inaktiv:
    Sekunden werden bei der Anzeige des Zeitstempels ausgeblendet

Default: aktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsSecond


IDP_SCALESTYLE_IS_YEAR

Interne ID: IDP_SCALESTYLE_IS_YEAR

Jahr (JJ)

Ausprägung der Anzeige des Variablen-Zeitstempels in der Runtime.

Anzeige des Jahres.

  • aktiv:
    Jahr des Zeitstempels wird angezeigt
  • inaktiv:
    Jahr wird bei der Anzeige des Zeitstempels ausgeblendet

Default: aktiv

Hinweis: Die Art der Anzeige des Zeitstempel in der zenon Runtime ist abhängig von der Projektierung der Eigenschaft Variablen-Zeitstempel anzeigen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

IsYear


IDP_SCALESTYLE_LEGEND_HOR_AXIS

Interne ID: IDP_SCALESTYLE_LEGEND_HOR_AXIS

Beschriftung horizontale Achse

Position der Legende für die horizontale Achse bei der Anzeige in der zenon Runtime.
Auswahl aus Dropdownliste:

  • Oberhalb der Achse
    Beschriftung wird über der Achse angezeigt
  • Unterhalb der Achse
    Beschriftung wird unter der Achse angezeigt

Default: Oberhalb der Achse

Mehr im Online-Handbuch .

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LegendHorizontalAxis


IDP_SCALESTYLE_LEGEND_VERT_AXIS

Interne ID: IDP_SCALESTYLE_LEGEND_VERT_AXIS

Beschriftung vertikale Achse

Position der Legende für die vertikale Achse bei der Anzeige in der zenon Runtime.
Auswahl aus Dropdownliste:

  • Links der Achse
    Beschriftung wird links der Achse angezeigt
  • Rechts der Achse
    Beschriftung wird rechts der Achse angezeigt

Default: Links der Achse

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LegendVerticalAxis


IDP_SCALESTYLE_RASTER

Interne ID: IDP_SCALESTYLE_RASTER

Gitternetzlinien anzeigen

Anzeige von Gitternetzlinien in der zenon Runtime.

  • aktiv:
    Gitternetzlinien werden in der Runtime angezeigt.
  • inaktiv:
    keine Anzeige von Gitternetzlinien in der Runtime

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

RasterActive


IDP_SCALESTYLE_VARIABLE_TIMESTAMP

Interne ID: IDP_SCALESTYLE_VARIABLE_TIMESTAMP

Variablen-Zeitstempel anzeigen

Anzeige des Zeitstempels der Variable zur Runtime.

  • aktiv:
    Die Achse wird mit den vorhandenen Zeitmarken beschriftet.
  • inaktiv:
    Der Aufschaltzeitpunkt wird als 00:00 definiert. Werte davor werden relativ in die Vergangenheit beschriftet (-01:00).

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VarTimestamp


IDP_SCHALTFOLGEN_STEPNAME

Interne ID: IDP_SCHALTFOLGEN_STEPNAME

Schrittname im Schaltfolge-Raster

Konfiguration der Textanzeige zur Runtime für das Modul Schaltfolgen.
Der Benutzer kann hier projektieren, welcher Benennung von der Befehlsgabe-Aktion im Schaltfolge-Raster angezeigt wird:

  • Standardtext
    Anzeige des Default-Schrittnamens aus der Befehlsgaben-Aktion.
    Format: Aktionsname: RV[DIR]
  • Atkionsname
    Name der Befehlsgabe-Aktion, wie in der Befehlsgabeneigenschaft Aktionsname projektiert.

Default: Standardtext

Hinweis: Wenn zwei Aktionen den gleichen Schrittnamen haben, wird nur die erste Aktion in der Runtime verfügbar sein. Eine Fehlermeldung beim Kompilieren erscheint im Ausgabefenster.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StepName


IDP_SCHALTFOLGEN_VISIBLE

Interne ID: IDP_SCHALTFOLGEN_VISIBLE

Anzeigename im Schaltfolge-Raster

Konfiguration der Textanzeige zur Runtime für das Modul Schaltfolgen.

Der Benutzer kann hier einstellen, welcher Text von der Variable im Schaltfolge-Raster angezeigt wird.

  • Variablennamen
    Verwendet den Variablennamen als Text zur Anzeige im Schaltfolge-Raster
  • Variablenkennung
    Verwendet Kennung der Variable als Text zur Anzeige im Schaltfolge-Raster.
    Diese Kennung wird bei der Variable in der Eigenschaft Kennung projektiert.
  • symbolische Adresse
    Verwendet die symbolische Adresse der Variable als Text zur Anzeige im Schaltfolge-Raster.
    Diese Kennung wird bei der Variable in der Eigenschaft Symbolische Adresse projektiert.

Default: Variablenname

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibleChartName


IDP_SEL_FEEDBACK_VARIABLE

Interne ID: IDP_SEL_FEEDBACK_VARIABLE

Auswahl aktiv

Verknüpfung einer Rückmeldevariable für Konfigurierbare Listen.
Die Variable muss vom Typ BOOL sein. Sie zeigt zur Runtime an, ob in der Liste etwas ausgewählt wurde (1) oder nicht (0).
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SelectionActive


IDP_SHADOWEFFECTSTYLE

Interne ID: IDP_SHADOWEFFECTSTYLE

Rahmen-/Schatten-Effektstil

Anzeige und Auswahl des Stils für Rahmen und Schatten, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShadowEffectStyle


IDP_SHIFT_BLOCK_DESCRIPTION

Interne ID: IDP_SHIFT_BLOCK_DESCRIPTION

Beschreibung

Allgemeine Eigenschaften des Schichtblocks.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Description


IDP_SHIFT_BLOCK_GENERAL_GRP

Interne ID: IDP_SHIFT_BLOCK_GENERAL_GRP

Allgemein

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

General


IDP_SHIFT_BLOCK_NAME

Interne ID: IDP_SHIFT_BLOCK_NAME

Name

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Name


IDP_SHIFT_MANAGEMENT_HOLIDAY_CODE

Interne ID: IDP_SHIFT_MANAGEMENT_HOLIDAY_CODE

Nationale Feiertage

Auswahl der landesspezifischen Feiertage.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Landes.

Mit Klick auf OK werden die Feiertage des gewählten Landes in den Kalender eingetragen.

  • Keine Auswahl: Es werden keine Feiertage eingetragen. Bereits vorhandene Feiertage werden entfernt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ShiftManagementHolidayCode


IDP_SHIFT_MANAGEMENT_HOLIDAY_GRP

Interne ID: IDP_SHIFT_MANAGEMENT_HOLIDAY_GRP

Schichtmanagement

Eigenschaften für die Konfiguration von Feiertagen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ShiftManagementHoliday


IDP_SHIFT_MODEL_DESCRIPTION

Interne ID: IDP_SHIFT_MODEL_DESCRIPTION

Beschreibung

Frei definierbarer String zur näheren Beschreibung des Schichtmodells. Die Beschreibung ist sprachumschaltbar.

Maximale Länge: 512 Zeichen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Description


IDP_SHIFT_MODEL_GENERAL_GRP

Interne ID: IDP_SHIFT_MODEL_GENERAL_GRP

Allgemein

Allgemeine Eigenschaften des Schichtmodells.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

General


IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Interne ID: IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Beschreibung

Frei definierbarer String zur näheren Beschreibung des Schichtmodells. Die Beschreibung ist sprachumschaltbar.

Maximale Länge: 512 Zeichen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Description


IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Interne ID: IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Allgemein

Allgemeine Eigenschaften des Schichtmodells.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

General


IDP_SHIFT_MODEL_GROUP_NAME

Interne ID: IDP_SHIFT_MODEL_GROUP_NAME

Name

Name der Schichtmodellgruppe. Der Name muss pro Projekt eindeutig sein, darf nicht nur aus Leerzeichen bestehen und darf nicht leer sein.
Folgende Zeichen sind verboten: /\.:*?<>!|"'?#%

Name ist sprachumschaltbar.

Default: Schichtmodellgruppe x (wobei x eine fortlaufende Zahl ist).

Maximale Länge: 256 Zeichen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Name


IDP_SHIFT_MODEL_NAME

Interne ID: IDP_SHIFT_MODEL_NAME

Name

Name des Schichtmodells. Der Name muss pro Projekt eindeutig sein, darf nicht nur aus Leerzeichen bestehen und darf nicht leer sein. Folgende Zeichen sind verboten: / \ : * ? < > ! | " ' # % @ .

Name ist sprachumschaltbar.

Default: Schichtmodell x (wobei x eine fortlaufende Zahl ist).

Maximale Länge: 256 Zeichen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Name


IDP_SHIFT_MODEL_VALIDDAYS_FRIDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_FRIDAY

Freitag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Friday


IDP_SHIFT_MODEL_VALIDDAYS_HOLIDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_HOLIDAY

Feiertag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Holiday


IDP_SHIFT_MODEL_VALIDDAYS_MONDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_MONDAY

Montag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Monday


IDP_SHIFT_MODEL_VALIDDAYS_SATURDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_SATURDAY

Samstag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Saturday


IDP_SHIFT_MODEL_VALIDDAYS_SUNDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_SUNDAY

Sonntag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Sunday


IDP_SHIFT_MODEL_VALIDDAYS_THURSDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_THURSDAY

Donnerstag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Thursday


IDP_SHIFT_MODEL_VALIDDAYS_TUESDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_TUESDAY

Dienstag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Tuesday


IDP_SHIFT_MODEL_VALIDDAYS_WEDNESDAY

Interne ID: IDP_SHIFT_MODEL_VALIDDAYS_WEDNESDAY

Mittwoch

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Wednesday


IDP_SM_SHIFT_BREAK_END_DAY

Interne ID: IDP_SM_SHIFT_BREAK_END_DAY

Endtag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

EndDay


IDP_SM_SHIFT_BREAK_END_TIME

Interne ID: IDP_SM_SHIFT_BREAK_END_TIME

Endezeit

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

EndTime


IDP_SM_SHIFT_BREAK_NAME

Interne ID: IDP_SM_SHIFT_BREAK_NAME

Name

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Name


IDP_SM_SHIFT_BREAK_START_DAY

Interne ID: IDP_SM_SHIFT_BREAK_START_DAY

Anfangstag

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StartDay


IDP_SM_SHIFT_BREAK_START_TIME

Interne ID: IDP_SM_SHIFT_BREAK_START_TIME

Anfangszeit

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StartTime


IDP_STRATON_CMD_BINDPORT

Interne ID: IDP_STRATON_CMD_BINDPORT

Event-Port

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp “autom. starten stoppen” und “autom. starten” relevant.

Port Nummer, die die zenon Logic Runtime beim Starten öffnet. "Binding" stellt den Port für die spontane (event-basierte) Datenübertragung dar.
Minimum: 0.
Maximum: 4294967295.
Default: 9000.

ACHTUNG: Muss um 7800 höher sein als der Main Port.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDBindPort


IDP_STRATON_CMD_HOST

Interne ID: IDP_STRATON_CMD_HOST

Host

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp "automatisch starten stoppen" und "automomatisch starten" relevant.
Die zenon Logic Runtime startet nur, wenn dieser Parameter mit der eigenen IP Adresse oder dem Computernamen übereinstimmt!

Für gewöhnlich sollte hier "localhost" oder 127.0.0.1 stehen. In wenigen Fällen ist es notwendig, eine dezitierte IP-Adresse (oder Rechnername) anzugeben. Dies ist dann notwendig, wenn die zenon Logic Runtime bei mehreren, gleichen Einzelplatz-Projekten nur auf einem Rechner starten soll. Ein weiterer Grund könnte sein, wenn die zenon Logic Runtime auf einem zenon Client gestartet werden soll, aber nicht auf dem Server.

Die Änderung dieses Parameters kopiert automatisch die Host-Adresse und den Main Port in die Konfiguration des entsprechenden straton32 Treibers. Sollte das nicht erwünscht sein, muss dieser Parameter im straton32 Treiber manuell geändert werden.

Default: localhost

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDHost


IDP_STRATON_CMD_LOG

Interne ID: IDP_STRATON_CMD_LOG

Protokolldatei führen

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp “autom. starten stoppen” und “autom. starten” relevant.
Aktiv: Werden von der zenon Logic Runtime Fehlermeldungen ausgegeben, werden diese in einer Datei abgelegt.
Inaktiv: Werden von der zenon Logic Runtime Fehlermeldungen ausgegeben, werden diese nicht abgelegt.
Default: inaktiv.

ACHTUNG: Ein Schreiben von Protokolldateien kann den SPS-Zyklus beeinflussen!

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDTrace


IDP_STRATON_CMD_MAINPORT

Interne ID: IDP_STRATON_CMD_MAINPORT

Standard-Port

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp "automatisch starten stoppen" und "automatisch starten" relevant.
Port Nummer, die die zenon Logic Runtime beim Starten öffnet. "Main" stellt den Port für die zyklische Abfrage (Pollen) der zenon Logic Werte dar.

Die Änderung dieses Parameters kopiert automatisch die Host-Adresse und den Main Port in die Konfiguration des entsprechenden straton32 Treibers. Sollte das nicht erwünscht sein, muss dieser Parameter im straton32 Treiber manuell geändert werden.

Minimum: 0
Maximum: 4294967295
Default: 1200

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDMainPort


IDP_STRATON_CMD_PRIO

Interne ID: IDP_STRATON_CMD_PRIO

Realtime Priorität

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp “autom. starten stoppen” und “autom. starten” relevant.
Aktiv: Setzt den zenon Logic Runtime Prozess auf Windows Priorität "Echtzeit".
Inaktiv: Setzt den zenon Logic Runtime Prozess auf Windows Priorität "Normal".
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDPrio


IDP_STRATON_CMD_REDUNDANCY

Interne ID: IDP_STRATON_CMD_REDUNDANCY

Redundanter Betrieb

Aktiv: Die zenon Logic Runtime wird redundant gestartet.
Inaktiv: Die zenon Logic Runtime wird nicht redundant gestartet.

Default: inaktiv.

ACHTUNG: Die Standby-Runtime muss gestartet werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDRedundancy


IDP_STRATON_CMD_RETAINBYNAME

Interne ID: IDP_STRATON_CMD_RETAINBYNAME

Retain-Variablen mit Namen speichern

Speichert die Retain-Variablen mit ihrem Variablennamen, wenn Sie den Starttyp automatisch starten/stoppen ausgewählt haben. Außerdem werden Retain-Variablen in zenon Logic automatisch eingebettet.

Hinweis: Um diese Funktion auch bei manuellem Runtime-Start zu nützen, müssen Sie die Option auch aktivieren. Zusätzlich müssen Sie die Option über Kommandozeilenparameter bzw. INI-Datei/Einstellungsdialog aktivieren.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDRetainByName


IDP_STRATON_CMD_START

Interne ID: IDP_STRATON_CMD_START

Startup

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp “autom. starten stoppen” und “autom. starten” relevant.
Kaltstart: Initialisiertes Hochlaufen. Auch Retain-Variablen werden initialisiert gestartet.
Kaltstart (RETAIN-Variablen laden): Initialisierter Hochlauf mit aktuellen Werten der Retain Variablen.
Warmstart: Restart mit allen Variablenwerten wie beim Beenden.
Default: Kaltstart.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDStartup


IDP_STRATON_CMD_STEP

Interne ID: IDP_STRATON_CMD_STEP

Start im Schrittmodus

Diese Eigenschaft ist nur in Verbindung mit dem Runtime-Starttyp “autom. starten stoppen” und “autom. starten” relevant.
Aktiv: Startet die zenon Logic Runtime aber hält diese sofort im Debugging Modus an.
Inaktiv: Startet die zenon Logic Runtime normal.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CMDStep


IDP_STRATON_FKT_WDG_TO

Interne ID: IDP_STRATON_FKT_WDG_TO

Funktion für Ausfallerkennung

Auswahl der Funktion, die nach Ablauf der der in der Eigenschaft Ausfallerkennung nach [s] definierten Zeitspanne ausgeführt werden soll. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Funktion.

Nach Ablauf des Timeouts beginnt die Watchdogprüfung erst bei erneutem Anmelden der Runtime neu. Wird eine Funktion aus einem anderen Projekt verwendet, muss dieses Projekt bereits geladen sein, wenn das Projekt mit dem integrierten zenon Logic Projekt geladen wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VmFktWdgTo


IDP_STRATON_RUNTIME

Interne ID: IDP_STRATON_RUNTIME

Runtime

Eigenschaften für die zenon Logic Runtime (Soft SPS).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Runtime


IDP_STRATON_TIMEOUT

Interne ID: IDP_STRATON_TIMEOUT

Verbindungstimeout [s]

Timeout (in Sekunden) für die Verbindung zu zenon Logic Zielsystemen.
Bei sehr leistungsarmen Zielplattformen kann dieser Timeout höher gestellt werden.
Minimum: 0.
Maximum: 4294967295.
Default: 10.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Timeout


IDP_STRATON_WDG_TO

Interne ID: IDP_STRATON_WDG_TO

Ausfallerkennung nach [s]

Angabe der Zeit in Sekunden, innerhalb der sich der Watchdog der zenon Logic Runtime ändern muss. Nach Überschreitung wird die in Funktion für Ausfallerkennung projektierte Funktion ausgeführt.

0: deaktiviert den Watchdog

Default: für neue Projekte 30 s, für bestehende Projekte 0 s.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VmWdgTo


IDP_STRATON_WORKBENCH

Interne ID: IDP_STRATON_WORKBENCH

Workbench

Eigenschaften für die zenon Logic Workbench.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Workbench


IDP_STYLE_GRAPHICSFILE

Interne ID: IDP_STYLE_GRAPHICSFILE

Grafikdatei

Auswahl der Grafikdatei, die für den Stil verwendet wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

FileName


IDP_STYLE_REFEXT

Interne ID: IDP_STYLE_REFEXT

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StyleExternalReference


IDP_STYLEGROUP

Interne ID: IDP_STYLEGROUP

Stilgruppe

Anzeige und Auswahl der mit diesem Element verknüpften Stilgruppe.
Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Stilgruppe.
Sind mehrere Elemente ausgewählt, kann diesen eine gemeinsame Stilgruppe zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

StyleGroup


IDP_STYLES_ITEM_CATEGORY

Interne ID: IDP_STYLES_ITEM_CATEGORY

Kategorie

Freier Text zur Kategorisierung des Stils oder der Stilgruppe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Category


IDP_STYLES_ITEM_DESCRIPTION

Interne ID: IDP_STYLES_ITEM_DESCRIPTION

Beschreibung

Freie Beschreibung des Stils oder der Stilgruppe.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StyleItemDescription


IDP_STYLES_ITEM_GUID

Interne ID: IDP_STYLES_ITEM_GUID

ID

ID des Stils oder der Stilgruppe.
Nur Anzeige, nicht änderbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StyleItemGuid


IDP_STYLES_ITEM_NAME

Interne ID: IDP_STYLES_ITEM_NAME

Name

Frei vergebbarer Name des Stils oder der Stilgruppe.
Namen:

  • müssen für Stilgruppen und für Stile innerhalb einer Stilgruppe eindeutig sein
  • dürfen nicht leer sein
  • dürfen nicht nur aus Leerzeichen bestehen
  • dürfen keines der folgende Zeichen enthalten: / \ . : * ? < > | " ' # % @

Default: [Typ]+ fortlaufende Nummerierung

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StyleItemName


IDP_STYLES_ITEM_TYPE

Interne ID: IDP_STYLES_ITEM_TYPE

Typ

Typ des Stils.
Nur Anzeige, nicht änderbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

StyleItemType


IDP_SUBSTITUTE_INTERLOCKING_VARS

Interne ID: IDP_SUBSTITUTE_INTERLOCKING_VARS

Verriegelungsvariablen berücksichtigen

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubstituteInterlockingVariables


IDP_SYS_AUTHORIZATION_AVAILABLE

Interne ID: IDP_SYS_AUTHORIZATION_AVAILABLE

Verfügbar auf diesem Rechner

Variable für die Anzeige ob der aufrufende Rechner für diese Anlagengruppe über die entsprechende Bedienberechtigung verfügt.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog. Für die Verlinkung können nur Variablen aus dem lokalen Projekt und vom Datentyp BOOL ausgewählt werden.

Es wird empfohlen diese verlinkte Variablen für den Internen Treiber anzulegen. Projektieren Sie für diese Variable zusätzlich die Eigenschaft Berechnung in der Variablen-Eigenschaftengruppe Interne Variable mit dem Wert Lokal.

Hinweis: Nur verfügbar, wenn Anlagenmodell relevant für die Bedienberechtigung in der Eigenschaftengruppe Allgemein des Anlagenmodells aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

AuthorizationAvailable


IDP_SYS_AUTHORIZATION_OWNER

Interne ID: IDP_SYS_AUTHORIZATION_OWNER

Bedienberechtigung bei Rechner

Variable für die Anzeige des Rechnernamens, welcher aktuell für diese Anlagengruppe über die entsprechende Bedienberechtigung verfügt.

Klick auf die Schaltfläche ... öffnet den Variablenauswahldialog. Für die Verlinkung können nur Variablen aus dem lokalen Projekt und vom Datentyp STRING ausgewählt werden.
Es wird empfohlen diese verlinkte Variablen für den Internen Treiber anzulegen. Projektieren Sie für diese Variable zusätzlich die Eigenschaft Berechnung in der Variablen-Eigenschaftengruppe Interne Variable mit dem Wert Netzwerk.

Hinweis: Nur verfügbar, wenn Anlagenmodell relevant für die Bedienberechtigung in der Eigenschaftengruppe Allgemein des Anlagenmodells aktiviert ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

AuthorizationOwner


IDP_TEXTLIST_CEL_LOGGING

Interne ID: IDP_TEXTLIST_CEL_LOGGING

Kontextlisten

Nur verfügbar bei aktivierter Eigenschaft CEL aktiv.

  • Keine Protokollierung: Das Editieren der Kontextliste wird in der CEL nicht protokolliert.
  • Kontextlisten protokollieren: Es wird protokolliert, dass Änderungen an der Kontexliste durchgeführt wurden, jedoch ohne Detailinformationen.
  • Kontextlisten und Texte protokollieren: Änderungen an der Kontextliste mit Detailinformationen werden protokolliert, dazu zählen:
    • Erstellung von Knoten und Texten
    • XML Import der Kontextliste
    • Änderung von Texten (Name und Beschreibung)
    • Texte als "gelöscht/ungelöscht" markieren

Default: Keine Protokollierung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextListChangeToCEL


IDP_TEXTSTYLE

Interne ID: IDP_TEXTSTYLE

Textstil

Anzeige und Auswahl des Textstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextStyle


IDP_TEXTSTYLE2

Interne ID: IDP_TEXTSTYLE2

Textstil

Anzeige und Auswahl des Textstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextStyle2


IDP_TEXTSTYLE2_SELECTION

Interne ID: IDP_TEXTSTYLE2_SELECTION

Textstil bei Auswahl

Anzeige und Auswahl des Textstils bei der Auswahl, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextStyleForSelected


IDP_TIMESTYLE

Interne ID: IDP_TIMESTYLE

Zeitdarstellung-Stil

Anzeige und Auswahl des Zeitdarstellungsstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TimeStyle


IDP_TRANSFORMATION_ORDER

Interne ID: IDP_TRANSFORMATION_ORDER

Transformationsreihenfolge

Definiert die Transformationsreihenfolge für die grafischen Elemente. Diese wirkt sich auf die Darstellung eines grafischen Elements bei Vergrößerung und Rotation aus.

  • Rotation -> Zoom -> Translation
  • Zoom -> Rotation -> Translation

Default: Zoom -> Rotation -> Translation

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TransformationOrder


IDP_TRENDELE_LINETYPES

Interne ID: IDP_TRENDELE_LINETYPES

Linienart

Auswahl der Linienart.
Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.
Hinweis: Der Typ transparent steht für dieses Element nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CurveType


IDP_TYPE_EXTERNAL_REFERENCE

Interne ID: IDP_TYPE_EXTERNAL_REFERENCE

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Beachten Sie hierbei:

  • Wird ein einfacher Datentyp oder ein Struktur-Datentyp via Copy&Paste angelegt, ist diese Eigenschaft leer.
  • Wird ein Struktur-Datentyp neu angelegt, welcher auf Basis eines bestehenden Datentyps erstellt wird, wird der Wert der Eigenschaft Externe Referenz vom ursprünglichen Datentyp nicht weitergegeben.
  • Wird nicht für eingebettete Strukturelemente weitergegeben.
  • Wird beim eingebetteten Strukturelement der Datentyp gewechselt wird, wird der Wert Externe Referenz vom vorherigen zum neuen Datentyp übernommen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CPropExternalNames::szExternalReference


IDP_UNIVERSALSLIDERSTYLE

Interne ID: IDP_UNIVERSALSLIDERSTYLE

Universalregler-Stil

Anzeige und Auswahl des Universalregler-Stils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UniversalSliderStyle


IDP_USER_LOGIN_CODE

Interne ID: IDP_USER_LOGIN_CODE

Login-Code

Eingabe des Login-Codes für die Anmeldung ohne Passwort.

Für den Login-Code gilt:

  • Muss innerhalb des Projekts eindeutig sein.
    Hinweis: Wird derselbe Login-Code für einen Benutzer im lokalen Projekt und im Globalprojekt verwendet, dann wird beim Erzeugen der Runtime-Dateien im Editor der Benutzer aus dem Globalprojekt nicht übertragen. Beachten Sie die entsprechende Fehlermeldung im Ausgabefenster. Bei Änderungen des Login-Codes zur Runtime, darf dieser nicht dem Code eines Benutzers aus dem Globalprojekt entsprechen.
  • Darf leer sein.
    Damit ist er für diesen Benutzer deaktiviert.
  • Maximale Länge: 1000 Zeichen
  • Darf nicht ausschließlich aus Leerzeichen bestehen.
  • Führende oder schließende Leerzeichen sind verboten.
  • Alle anderen Zeichen sind erlaubt.

Default: (leer)

Wird ein ungültiger Login-Code eingegeben, wird dieser beim Verlassen des Feldes nicht übernommen und der ursprüngliche Wert wieder hergestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UserLoginCode


IDP_USER_LOGIN_RTP

Interne ID: IDP_USER_LOGIN_RTP

Runtimeprofil

Auswahl des Runtimeprofils, das dem Benutzer beim Einloggen zugewiesen werden soll. Mögliche Profile:

keines: Kein Profil wird zugeordnet

DEFAULT: Das Profil DEFAULT wird zugeordnet

LAST: Das Profil LAST wird zugeordnet

Default: keines

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LoginRTP


IDP_VALUE_LEADING_ZEROS

Interne ID: IDP_VALUE_LEADING_ZEROS

Führende Nullen anzeigen

Nur verfügbar, wenn bei der Eigenschaft Zahlenbasis für Anzeige entweder Binär, Dezimal, Hexadezimal oder Oktal ausgewählt wurde.

Legt fest, ob bei der Anzeige des Zahlenwerts auch führende Nullen angezeigt werden.

  • Inaktiv: Führende Nullen werden unterdrückt.
  • Aktiv: Die Zahlenwerte werden entsprechende ihrer Zahlenbasis mit unterschiedlich vielen Stellen angezeigt. Die von der Zahl nicht benötigten Stellen werden mit führenden Nullen aufgefüllt.

Default: inaktiv

Für die unterschiedlichen Zahlenbasen stehen folgende Stellen zur Verfügung:

  • Binär: 32 Stelllen
  • Dezimal: 10 Stellen
  • Hexadezimal: 8 Stellen
  • Oktal: 11 Stellen

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ShowLeadingZeros


IDP_VALUESTYLE

Interne ID: IDP_VALUESTYLE

Wertdarstellung-Stil

Anzeige und Auswahl des Wertdarstellungsstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ValueStyle


IDP_VAR_ADP_SELECTSTATUS

Interne ID: IDP_VAR_ADP_SELECTSTATUS

Status Variable

Der Wert der Variable enthält die Information, welche Quellvariable im realen Prozess verwendet wird.

Klick auf ... öffnet den Variablenauswahldialog.

Mehr im Treiber-Handbuch des ADP Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VarSelectorStatus


IDP_VAR_ADP_SOURCEVARS_DIALOG

Interne ID: IDP_VAR_ADP_SOURCEVARS_DIALOG

Quellvariablen

Zuweisung einer Quellvariable für die ausgewählte ADP Variable. Die Auswahl und Zuweisung erfolgt in einem Dialog. In diesem Dialog können alle bereits projektierten Variablen aller Treiber des aktuellen Projekts zugeordnet werden.

Klick auf ... öffnet den Dialog Quellvariablen definieren zur Zuweisung von bestehenden Variablen.
Hinweise: Bestehende Variablen sind projektierte Variablen von anderen Treibern.

Mehr im Treiber-Handbuch des ADP Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

SourceVariablesDialog


IDP_VAR_ALARMEQUIP

Interne ID: IDP_VAR_ALARMEQUIP

Hierarchische Alarmierung des Anlagenmodells verwenden

Art der Zuordnung der Variable zu einem Alarmbereich.

  • aktiv:
    Alarmbereich für die Variable wird vom Anlagenmodell übernommen. Der Alarm auf der Variable gilt für Alarmbereiche, die im Anlagenmodell definiert sind. Dabei werden die Anlagengruppe der Variable und darüberliegende Anlagengruppen des Anlagenmodells berücksichtigt.
  • nicht aktiv:
    Der Alarm auf der Variable gilt für Alarmbereiche 1 - 4 der Alarmbehandlung.

Hinweis: Ist diese Eigenschaft bei einem Datentyp aktiviert, wird die Einstellungen an alle davon abstammenden Variablen vererbt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlarmViaEquipmentModel


IDP_VAR_ETM_SETTINGS

Interne ID: IDP_VAR_ETM_SETTINGS

Erweiterter Trend

Ermöglicht die Verknüpfung von Variablen/Datentypen mit einer Stilgruppe, einem Skalastil und einem Kurvenstil.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ETM


IDP_VAR_EXTREF

Interne ID: IDP_VAR_EXTREF

Externe Referenz

Eindeutige Identifizierung von zenon Komponenten, verfügbar für:

  • Projekte
  • Treiber
  • Datentypen
  • Variablen
  • Reaktionsmatrizen
  • Funktionen
  • Bilder
  • Stile

Die Eigenschaft kann als Identifizierung für externe Projektierungs-Tools verwendet werden. Der Zugriff über die Oberfläche des Editors ist abhängig von der Einstellung Externe Referenz editierbar schreibend oder lesend möglich. Über die zenon-API kann die Externe Referenz immer beschrieben werden.

Default: leer

Maximale Länge: 255 Zeichen

Hinweis: XML-Import und Export wird unterstützt.
Wird eine Variable via Copy&Paste angelegt ist diese Eigenschaft leer.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CPropExternalNames::szExternalReference


IDP_VERRIEG_LISTCONFIG

Interne ID: IDP_VERRIEG_LISTCONFIG

Listenkonfiguration

Konfiguration des Kontrollelements Alle Verriegelungen im Bild vom Typ Befehlsgabe.

Klick auf Schaltfläche ... öffnet den Konfigurationsdialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

ListConfig


IDP_VERTICAL_ALIGN2

Interne ID: IDP_VERTICAL_ALIGN2

Ausrichtung vertikal

Vertikale Ausrichtung des Titels für die Anzeige.
Auswahl aus Dropdownliste:

  • Oben
  • Unten
  • Zentriert

Default: zentriert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TitleVerticalAlign


IDP_VOIP_ENCRYPTION

Interne ID: IDP_VOIP_ENCRYPTION

Verschlüsselung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_Encryption


IDP_VOIP_RTP_PORT_END

Interne ID: IDP_VOIP_RTP_PORT_END

RTCP-Port

Nummer des RTP Ports.
Dieser kann nicht konfiguriert werden. Er wird automatisch immer um 1 höher als der RTP-Port konfiguriert.

  • Minimum: 1
  • Maximum: 65535

Default: 4001

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_SipRtpPortEnd


IDP_VOIP_RTP_PORT_START

Interne ID: IDP_VOIP_RTP_PORT_START

RTP-Port

Nummer des RTP Ports.

  • Minimum: 0
  • Maximum: 65534

Default: 4000

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_SipRtpPortStart


IDP_VOIP_SIP_PORT

Interne ID: IDP_VOIP_SIP_PORT

SIP-Port

Nummer des SIP Ports.

  • Minimum: 0
  • Maximum: 65535

Default: 5060

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_SipPort


IDP_VOIP_TLS_PORT

Interne ID: IDP_VOIP_TLS_PORT

SIP-TLS-Port

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

VoiceIP_SipTlsPort


IDP_WIZARDEXTENSION_CATEGORY

Interne ID: IDP_WIZARDEXTENSION_CATEGORY

Kategorie

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Category


IDP_WIZARDEXTENSION_DESCRIPTION

Interne ID: IDP_WIZARDEXTENSION_DESCRIPTION

Beschreibung

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Description


IDP_WIZARDEXTENSION_GROUP

Interne ID: IDP_WIZARDEXTENSION_GROUP

GRP_General

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_General


IDP_WIZARDEXTENSION_NAME

Interne ID: IDP_WIZARDEXTENSION_NAME

Name

Description as text.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Name


IDP_WSP_MON_FRAME_CX

Interne ID: IDP_WSP_MON_FRAME_CX

Breite des Runtime-Fensters [Pixel]

Breite des Hauptfensters zur Runtime in Pixel.

Hinweis: Diese Einstellung gilt nur auf dem lokalen Rechner.

Wertbereich: 0 bis 65535
Default: 0 (automatisch)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RTMainFrame_CX


IDP_WSP_MON_FRAME_CY

Interne ID: IDP_WSP_MON_FRAME_CY

Höhe des Runtime-Fensters [Pixel]

Höhe des Hauptfensters zur Runtime in Pixel.

Hinweis: Diese Einstellung gilt nur auf dem lokalen Rechner.

Wertbereich: 0 bis 65535
Default: 0 (automatisch)

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RTMainFrame_CY


IDP_WSP_MON_GRP

Interne ID: IDP_WSP_MON_GRP

Lokale Runtimegröße

Gruppe für die projektübergreifende Einstellung der Größe des Hauptfensters in der Runtime.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

CompMonSettings


IDS_A_GERAET

Interne ID: IDS_A_GERAET

A-Device

Nummer des A-Geräts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeviceA


IDS_ANIMATION

Interne ID: IDS_ANIMATION

GIF-Animation

Eigenschaften für die Animation, wenn eine animierte GIF Datei verwendet wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Animation


IDS_B_GERAET

Interne ID: IDS_B_GERAET

B-Device

Nummer des B-Geräts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeviceB


IDS_BACNETNG_DATATYPE

Interne ID: IDS_BACNETNG_DATATYPE

BACnet data type

Definieren Sie, wie eine numerische Variable oder eine Stringvariable auf eine BACnet Eigenschaft abgebildet wird. Wählen Sie den gewünschten Datentyp aus der Dropdownliste. Die Beschreibung der möglichen Datentypen finden Sie im Treiber-Handbuch des BACnet NG Treibers im Kapitel "Vom Treiber unterstützten Datentypen für BACnet Objekt-Eigenschaften".

Mehr im Treiber-Handbuch des BACnet NG Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BACnetDataType


IDS_BACNETNG_EVENTSTATE

Interne ID: IDS_BACNETNG_EVENTSTATE

BACnet event state

Status des event state als Zahl darstellen. In diesem Fall kann der Text für den event state frei definiert werden.

Werte:

  • -1:
    Text wird verwendet
  • 0:
    Normal
  • 1:
    Fault
  • 2:
    Off-normal
  • 3:
    High-limit
  • 4:
    Low-limit
  • 5:
    Life-safety-alarm

Default: -1

Mehr im Treiber-Handbuch des BACnet NG Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BACnetEventState


IDS_BACNETNG_PROPERTYID

Interne ID: IDS_BACNETNG_PROPERTYID

BACnet property ID

Parametrieren Sie die Property ID für benutzerspezifische Eigenschaften ein oder, wenn Sie die Eigenschaft nicht in Name oder Kennung angeben möchten.

Hinweis: Nur wenn Sie -1 einstellen, wird die Eigenschaft über Name bzw. Kennung ermittelt.

Mehr im Treiber-Handbuch des BACnet NG Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BACnetPropertyID


IDS_BACNETNG_STRINGLENGTH

Interne ID: IDS_BACNETNG_STRINGLENGTH

BACnet string length

Nur verfügbar, wenn Sie bei der Eigenschaft BACnet data type den Datentyp BITSTRING ausgewählt haben.

Definieren Sie hier die Länge des Bitstrings in Bit.

Mehr im Treiber-Handbuch des BACnet NG Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BACnetStringLength


IDS_BACNETNG_WRITEPRIORITY

Interne ID: IDS_BACNETNG_WRITEPRIORITY

BACnet write priority

Geben Sie die Schreibpriorität an, mit der die Variable geschrieben wird. Wenn Sie 0 eingeben, wird die Variable ohne Angabe der Schreibpriorität geschrieben.

  • 16
    Niedrigste Priorität
  • 1
    Höchste Priorität

Mögliche Werte sind 0 - 16.

Default: 0

Um die Priorität eines geschriebenen Wertes zurückzusetzen, also das Bit im priority-array zurückzusetzen, benötigen Sie eine zusätliche Variable. Die Variable muss vom Datentyp String sein, das selbe Objekt adressieren und die selbe BACnet property ID und BACnet data type 'NULL' haben. Auf die Variable setzen Sie einen Leerstring (zB mit Sollwert setzen Funktion). Die eingestellte BACnet write priority wird zurückgesetzt, der zuvor gesetzte Sollwert dieser Priorität wird verworfen.

Mehr im Treiber-Handbuch des BACnet NG Treibers.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BACnetWritePriority


IDS_BAZ_WERT

Interne ID: IDS_BAZ_WERT

Befehlsausgabezeit

Befehlsausgabezeit

TK160: Befehlsausgabezeit in ms

IEC Datentypen:

0… wie in AX parametriert

1… kurz

2… mittel

3… lang

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAZ_WERT


IDS_BAZ_WERT_ENG

Interne ID: IDS_BAZ_WERT_ENG

Command output time

TI160: Command output time in ms

IEC Data types:

0… as parameterized in AX

1… short

2… medium

3… long

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BAZ_WERT


IDS_BITSIZE

Interne ID: IDS_BITSIZE

BitSize

Bit Size aus der Steuerung.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NGBitsize


IDS_C_GERAET

Interne ID: IDS_C_GERAET

C-Device

Nummer des C-Geräts.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeviceC


IDS_CTI_SECONDARYOBJECT

Interne ID: IDS_CTI_SECONDARYOBJECT

Secondary object

Gibt den sekundären Objekttyp an für

- Time/Zähler

- Drum

- Loop-Variable

- Alarm-Variable

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SecondaryObject


IDS_DATENPUNKT

Interne ID: IDS_DATENPUNKT

Datapoint

Datenpunktnummer aus der DDC.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Datapoint


IDS_DLL

Interne ID: IDS_DLL

Dll

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Dll


IDS_DP_GERAET

Interne ID: IDS_DP_GERAET

Datapoint to...

Gerät, das angesprochen werden soll, z.B B-Gerät.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DeviceDp


IDS_DP_TYPE

Interne ID: IDS_DP_TYPE

Telegrammkennung

Telegrammtyp, Typkennung

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DP_TYPE


IDS_DP_TYPE_ENG

Interne ID: IDS_DP_TYPE_ENG

Telegram Identifier

Telegram type, Message type

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DP_TYPE


IDS_DYNAMICFARBE

Interne ID: IDS_DYNAMICFARBE

Füllfarbe(n) dynamisch

Definiert die Füllfarbe und die Verlaufsfarbe des Elements über die Grenzwertfarben der ausgewählten Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Colors_Dynamic


IDS_DYNAMISCH

Interne ID: IDS_DYNAMISCH

Größe und Drehen dynamisch

Eigenschaften zur Dynamik des Elements.
Die Darstellung des Elements wird über Zustände von Variablen zur Laufzeit dynamisch angepasst. Für Projekte unter Windows CE nicht verfügbar.

Hinweis: Einstellungen dieser Gruppe haben keine Auswirkung auf die Darstellung von bestimmten Kontrollelementen in Bildern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Dynamic


IDS_EIB_ADRESSE

Interne ID: IDS_EIB_ADRESSE

EIB address

Die folgenden Eigenschaften dienen zur Adressierung des EibV2_32 Treibers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EIB-Address


IDS_EKANAL

Interne ID: IDS_EKANAL

Ersatz-PV

Ersatzvariable

Im Fehlerfall wird auf den Wert dieser Variablen umgeschaltet.

(siehe auch Parameter "Invalid-Behandlung")

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EW_EKANAL


IDS_EKANAL_ENG

Interne ID: IDS_EKANAL_ENG

Substitute variable

Substitute variable

In case of invalid state will be switched over to the value of this variable.

(see also parameter "Invalid treatment")

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EW_EKANAL


IDS_ELE_PROP_DREHEN

Interne ID: IDS_ELE_PROP_DREHEN

Drehen

Drehen des Elements abhängig vom Wert einer Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Twist


IDS_ELE_PROP_XRICHTUNG

Interne ID: IDS_ELE_PROP_XRICHTUNG

X-Position dynamisch

Horizontales Verschieben des Elements abhängig vom Wert der ausgewählten Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XPos


IDS_ELE_PROP_XZOOMEN

Interne ID: IDS_ELE_PROP_XZOOMEN

Änderung Breite

Breite des Elements abhängig vom Wert der ausgewählten Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

XZoom


IDS_ELE_PROP_YRICHTUNG

Interne ID: IDS_ELE_PROP_YRICHTUNG

Y-Position dynamisch

Vertikales Verschieben des Elements abhängig vom Wert der ausgewählten Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YPos


IDS_ELE_PROP_YZOOMEN

Interne ID: IDS_ELE_PROP_YZOOMEN

Änderung Höhe

Höhe des Elements abhängig vom Wert der ausgewählten Variable.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

YZoom


IDS_ETS2_DATABASE

Interne ID: IDS_ETS2_DATABASE

ETS file

Auswahl einer ETS-Projektierungsdatei. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Datenbank.
Dadurch können projektierte Variablen nachträglich mit Informationen einer ESF-Datei überschrieben werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ETS2Database


IDS_EW

Interne ID: IDS_EW

Ersatzwert

Ersatzwert auf den umgeschaltet wird.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EW


IDS_EW_ENG

Interne ID: IDS_EW_ENG

Substitute value

Substitute value to be switched on

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EW


IDS_EWB

Interne ID: IDS_EWB

auf Ersatzwert schalten

Auf Ersatzwert schalten

Aktiv: Ersatzwert wird verwendet

Inaktiv: Ersatzwert wird nicht verwendet

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EWB


IDS_EWB_ENG

Interne ID: IDS_EWB_ENG

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EWB


IDS_EWB_INI

Interne ID: IDS_EWB_INI

Ersatzwert/Normalzustand initialisieren

Ersatzwert Initialisierung

Aktiv: Ersatzwert in der Runtime wird durch Normalzustand überschrieben

Inaktiv: Ersatzwert wird beibehalten

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EWB_INI


IDS_EWB_INI_ENG

Interne ID: IDS_EWB_INI_ENG

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EWB_INI


IDS_FOCUS_LINECOLOR

Interne ID: IDS_FOCUS_LINECOLOR

Fokus Linienfarbe

Definiert die Farbe des Rahmens, der zur Runtime das Objekt mit dem Fokus identifiziert. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FocusLineColor


IDS_FOCUS_LINEWIDTH

Interne ID: IDS_FOCUS_LINEWIDTH

Fokus Linienbreite

Definiert die Linienbreite des Rahmens, der zur Runtime das Objekt mit dem Fokus identifiziert.

Default: 3 Pixel

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FocusLineWidth


IDS_GA

Interne ID: IDS_GA

GA-Antwort

Antwort auf Generalabfrage

Aktiv: Datenpunkt wird bei Generalabfrage gesendet

Inaktiv: Datenpunkt wird bei Generalabfrage nicht gesendet

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GA


IDS_GA_ENG

Interne ID: IDS_GA_ENG

GI-Reply

Datapoint answers to General request

Active: Datapoint will be sent at General request

Inactive: Datapoint will not be sent at General request

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GA


IDS_GLOW_BLINKVAR_PREVIEW

Interne ID: IDS_GLOW_BLINKVAR_PREVIEW

Blinkvorschau anzeigen

Anzeige des für die Blinken-Variable definierten Grenzwerts beim Glow. Nur verfügbar, wenn für die Eigenschaft Variable für Blinken eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GlowEffectBlinkVariablePreview


IDS_GLOW_COLORVAR_PREVIEW

Interne ID: IDS_GLOW_COLORVAR_PREVIEW

Farbvorschau anzeigen

Anzeige des für die Farb-Variable definierten Grenzwerts beim Glow. Nur verfügbar, wenn für die Eigenschaft Variable für Farbe eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GlowEffectGlowColorVariablePreview


IDS_GLOW_VISVAR_PREVIEW

Interne ID: IDS_GLOW_VISVAR_PREVIEW

Sichtbarkeitsvorschau anzeigen

Anzeige des für die Sichtbarkeit-Variable definierten Grenzwerts beim Glow. Nur verfügbar, wenn für die Eigenschaft Variable für Sichtbarkeit eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GlowEffectVisibilityVariablePreview


IDS_GT

Interne ID: IDS_GT

GT (Wdh.-rate in ms)

Befehlszykluszeit (Retriggerzeit) in ms

Regulierbefehle, Retriggerbefehle

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GT


IDS_GT_ENG

Interne ID: IDS_GT_ENG

GT [ms]

Command cycle (retriggered) time in ms

Regulating-, triggered commands

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GT


IDS_HAUPTGRUPPE

Interne ID: IDS_HAUPTGRUPPE

Main group

Geben Sie die Nummer der gewünschten Hauptgruppe ein.

Minimum: 0

Maximum: 31

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MainGroup


IDS_HGFARBE_VARIABLE

Interne ID: IDS_HGFARBE_VARIABLE

Füllfarbe

Name der Variable, deren Grenzwertfarben die Hintergrund-/Füllfarbe des Elements beeinflussen sollen.
Öffnet den Variablenauswahldialog.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorVariable


IDS_HGFARBE_VARIABLE2

Interne ID: IDS_HGFARBE_VARIABLE2

Verlaufsfarbe

Name der Variable, deren Grenzwertfarbe die Verlaufsfarbe des Elements beeinflussen soll.
Klicken Sie in das Eingabefeld, um den Dialog für die Variablenauswahl zu öffnen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColorVariable2


IDS_HGFARBE_VARIABLE2_PREVIEW

Interne ID: IDS_HGFARBE_VARIABLE2_PREVIEW

Farbvorschau anzeigen

Anzeige des für die Variable definierten Grenzwerts für die Verlaufsfarbe. Nur verfügbar, wenn für die Eigenschaft Verlaufsfarbe eine Variable konfiguriert wurde.

Im Feld wird eine Vorschau der für den Grenzwert definierten Eigenschaften angezeigt. Für Remas wird keine Vorschau angezeigt.
Klick auf Schaltfläche ... öffnet den Dialog zur Anzeige der Details. Grenzwerte werden nur angezeigt, können aber nicht geändert werden. Änderungen müssen direkt in den Variableneigenschaften für Grenzwerte erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

BackColorVariable2Preview


IDS_I_BIT

Interne ID: IDS_I_BIT

Invalid-Behandlung

keine: keine Behandlung.

letzter gültiger Wert: Umschaltung auf Ersatzwertabbild mit letzem ungestörtem Wert.

Umschaltung auf Ersatzwert: Umschaltung auf Ersatzwertabbild; Wert von parametriertem Ersatzwert.

Umschaltung auf Ersatz-PV: Umschaltung auf Ersatzwertabbild; Wert von der Ersatz-PV.

Ersatzwert nachführen: Umschaltung auf Ersatzwertabbild; Wert muss händisch nachgeführt werden.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I_BIT


IDS_I_BIT_ENG

Interne ID: IDS_I_BIT_ENG

Invalid treatment

Invalid treatment

No: no treatment

Last valid value: switch to substitute image; using last valid value

Toggle to substitute value: switch to substitute image; using parameterized substitute value

Toggle to substitute PV: switch to substitute image; using value from substitute PV

Correct substitute value: switch to substitute image; value must be corrected manually

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I_BIT


IDS_IEC61850_ADDR

Interne ID: IDS_IEC61850_ADDR

IEC61850-Address

IEC 61850-Adresse

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I61850_ADR


IDS_IEC61850_CDC

Interne ID: IDS_IEC61850_CDC

CDC

CDC

Auswahl des CDC für die Erweiterung "Logischer Knoten"

Default: DEFAULT

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I61850_CDC


IDS_IEC61850_EWB

Interne ID: IDS_IEC61850_EWB

Toggle to substitute value

Auf Ersatzwert schalten

Aktiv: Aktueller Wert = Ersatzwert

Inaktiv: Aktueller Wert = Prozesswert

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EWB


IDS_IEC61850_EWB_INI

Interne ID: IDS_IEC61850_EWB_INI

Inititialize substitute value

Ersatzwert/Normalzustand initialisieren

Aktiv: Ersatzwert in der Runtime wird durch Prozesszustand überschrieben.

Inaktiv: Ersatzwert wird beibehalten.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

EW_INI


IDS_IEC61850_GOOSE_ATTR1

Interne ID: IDS_IEC61850_GOOSE_ATTR1

GOOSE Attr1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR1


IDS_IEC61850_GOOSE_ATTR1_POS

Interne ID: IDS_IEC61850_GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR1_POS


IDS_IEC61850_GOOSE_ATTR2

Interne ID: IDS_IEC61850_GOOSE_ATTR2

GOOSE Attr2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR2


IDS_IEC61850_GOOSE_ATTR2_POS

Interne ID: IDS_IEC61850_GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR2_POS


IDS_IEC61850_GOOSE_ATTR3

Interne ID: IDS_IEC61850_GOOSE_ATTR3

GOOSE Attr3

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR3


IDS_IEC61850_GOOSE_ATTR3_POS

Interne ID: IDS_IEC61850_GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR3_POS


IDS_IEC61850_GOOSE_ATTR4

Interne ID: IDS_IEC61850_GOOSE_ATTR4

GOOSE Attr4

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR4


IDS_IEC61850_GOOSE_ATTR4_POS

Interne ID: IDS_IEC61850_GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR4_POS


IDS_IEC61850_GOOSE_ATTR5

Interne ID: IDS_IEC61850_GOOSE_ATTR5

GOOSE Attr5

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR5


IDS_IEC61850_GOOSE_ATTR5_POS

Interne ID: IDS_IEC61850_GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_ATTR5_POS


IDS_IEC61850_GOOSE_IDX

Interne ID: IDS_IEC61850_GOOSE_IDX

GOOSE Index

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GOOSE_INDEX


IDS_IEC61850_IBIT

Interne ID: IDS_IEC61850_IBIT

Invalid treatment

Invalid-Behandlung

keine: keine Behandlung

letzter gültiger Wert: Umschaltung auf Ersatzwertabbild mit letzem ungestörtem Wert

Umschaltung auf Ersatzwert: Umschaltung auf Ersatzwertabbild; Wert von parametriertem Ersatzwert

Umschaltung auf Ersatz-PV: Umschaltung auf Ersatzwertabbild; Wert von der Ersatz-PV

Ersatzwert nachführen: Umschaltung auf Ersatzwertabbild; Wert muss händisch nachgeführt werden

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I_BIT


IDS_IEC61850_LANNR

Interne ID: IDS_IEC61850_LANNR

IEC61850-Stationnumber

IEC61850-Stationsnummer

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I61850_LAN


IDS_IEC61850_MERKER

Interne ID: IDS_IEC61850_MERKER

Marker

Merker

Aktiv: Variable ohne Prozessbezug (Adresse wird nicht geprüft; für interne Verwendung)

Inaktiv: Variable wird vom Prozess aktualisiert

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MERKER


IDS_IEC61850_ST_SAVE

Interne ID: IDS_IEC61850_ST_SAVE

Save state

Status speichern

Aktiv: Status der Variablen wird auf Festplatte gespeichert

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Status wird nicht gespeichert.

Default: Inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ST_SAVE


IDS_IEC61850_VAL_SAVE

Interne ID: IDS_IEC61850_VAL_SAVE

Save value

Wert speichern

Aktiv: Wert der Variablen wird auf Festplatte gespeichert

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Wert wird nicht gespeichert.

Default: Inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VAL_SAVE


IDS_IEC61850_WERT

Interne ID: IDS_IEC61850_WERT

IEC61850-Value

IEC61850 Wert

Dieser Wert legt bei den CDCs INS, INC, SGCB und ACD fest, welche Einzelmeldung/Einzelbefehl ausgewertet wird

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

I61850_VAL


IDS_IGROUP

Interne ID: IDS_IGROUP

iGroup

Indexgruppe aus der Steuerung.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NGIGroup


IDS_ILON_DATAPOINT

Interne ID: IDS_ILON_DATAPOINT

iLON Datapoint

Klick auf die Schaltfläche öffnet eine Verbindung zum ILON Router zur Auswahl der Variablen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

iiLonDataPoint


IDS_INOUT

Interne ID: IDS_INOUT

Prozessrichtung

Prozessrichtung

Empfangen: Datenpunkt wird nur empfangen (z.B. Meldungen, Messwerte)

Senden: Datenpunkt wird gesendet (z.B. Befehle, Sollwerte).

Damit ein Datenpunkt gesendet werden kann, muss auch SW setzen aktiv aktiviert sein (siehe "Sollwert setzen").

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Send


IDS_INOUT_ENG

Interne ID: IDS_INOUT_ENG

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Send


IDS_KURVE_NEU

Interne ID: IDS_KURVE_NEU

Kurven

Eigenschaften für die Kurven des Trendelements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Curves


IDS_LINIENFARBE_VARIABLE

Interne ID: IDS_LINIENFARBE_VARIABLE

Linienfarbe

Name der Variablen, deren Grenzwertfarben die Linien-/Textfarbe des Elements beeinflussen sollen. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LineColorVariable


IDS_LOGID

Interne ID: IDS_LOGID

Log ID

Geben Sie die Adresse des Logs (Log ID) in der Steuerung ein.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Log ID


IDS_LON_DATABASE

Interne ID: IDS_LON_DATABASE

LON Database

Klick auf die Schaltfläche öffnet die Lon Datenbank zur Auswahl der Variablen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LonDatabase


IDS_MERKER

Interne ID: IDS_MERKER

Merker

Aktiv: Variable ohne Prozessbezug (Adresse wird nicht geprüft; für interne Verwendung)

siehe auch Interntreiber

Inaktiv: Variable wird vom Prozess aktualisiert

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MERKER


IDS_MERKER_ENG

Interne ID: IDS_MERKER_ENG

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MERKER


IDS_MITTELGRUPPE

Interne ID: IDS_MITTELGRUPPE

Middle group

Geben Sie die Nummer der gewünschten Mittelgruppe ein.

Minimum: 0

Maximum: 7

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

MiddleGroup


IDS_NG_ADRESSE

Interne ID: IDS_NG_ADRESSE

Beckhoff specific

Einstellungen für Bitsize und Igroup.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NGAddress


IDS_NODE

Interne ID: IDS_NODE

Node

Geben Sie die Knotenadresse der Steuerung an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Node


IDS_NWMAGENT

Interne ID: IDS_NWMAGENT

NWM-Agent kopieren

Über diese Funktion kann ein bereits angelegter Agent auf einen neuen kopiert werden.

Der neue Agent muss zuvor angelegt worden sein.

Es werden alle zugehörigen Variablen erzeugt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NWM-Agent


IDS_NWMPARA

Interne ID: IDS_NWMPARA

NWM-Parameter

Öffnen des Parameterdialogs.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NWM-Parameter


IDS_OKT1

Interne ID: IDS_OKT1

O1/Region

Regionsnummer bzw. Octet 1 (CASDU1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

R_NR


IDS_OKT1_ENG

Interne ID: IDS_OKT1_ENG

O1/Region number

Region number or Octet 1 (CASDU1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

R_NR


IDS_OKT2

Interne ID: IDS_OKT2

O2/Komponente

Komponentennummer bzw. Octet 2 (CASDU2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

K_NR


IDS_OKT2_ENG

Interne ID: IDS_OKT2_ENG

O2/Component

Component number or Octet 2 (CASDU2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

K_NR


IDS_OKT3

Interne ID: IDS_OKT3

O3/Baugruppe

Baugruppennummer bzw. Octet 3 (IOA1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

B_NR


IDS_OKT3_ENG

Interne ID: IDS_OKT3_ENG

O3/Board

Board number or Octet 3 (IOA1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

B_NR


IDS_OKT4

Interne ID: IDS_OKT4

O4/Wertnummer

Wertnummer bzw. Octet 4 (IOA2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

W_NR


IDS_OKT4_ENG

Interne ID: IDS_OKT4_ENG

O4/Value number

Value number or Octet 4 (IOA2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

W_NR


IDS_OKT5

Interne ID: IDS_OKT5

O5/Datenart

Datenart bzw. Octet 5 (IOA3)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DA


IDS_OKT5_ENG

Interne ID: IDS_OKT5_ENG

O5/Subaddress

Data type or Octet 5 (IOA3)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DA


IDS_OKT6

Interne ID: IDS_OKT6

Point

Pointnummer bzw. Octet 6

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PT


IDS_OKT6_ENG

Interne ID: IDS_OKT6_ENG

Point

Point number or Octet 6

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

PT


IDS_POS1

Interne ID: IDS_POS1

Position 1

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Position1


IDS_POS2

Interne ID: IDS_POS2

Position 2

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Position2


IDS_PROJEKT_ACTIVE_DIR

Interne ID: IDS_PROJEKT_ACTIVE_DIR

Zugriff auf Active Directory

Wählen Sie aus, ob Sie das Active Directory, ADAM oder keines von beiden benutzen möchten.
Folgende Optionen stehen Ihnen zur Verfügung.

  • AD LDS: Sie benutzen AD LDS.
    Stellen Sie sicher, dass Sie die entsprechenden Einstellung für die Eigenschaften AD LDS-Verbindung, AD LDS-Benutzername und AD LDS-Passwort vornehmen.
  • Ja: Sie benutzen Active Directory.
  • Nein: Sie greifen nicht auf die Benutzer von AD LDS oder AD zu.
    Die in zenon verwendeten Benutzer sind vollkommen unabhängig von Windows Benutzern.

Default: Nein

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

UseActiveDirectory


IDS_PROJEKT_DIRS

Interne ID: IDS_PROJEKT_DIRS

Dateiablage

Der Konfigurationsdialog für die Projekt-Pfade wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProjectPaths


IDS_PROJEKT_INFO

Interne ID: IDS_PROJEKT_INFO

Projektbeschreibung

Der Konfigurationsdialog für die Projekt-Information wird geöffnet.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProjectInfo


IDS_PROJEKT_MODIFILES

Interne ID: IDS_PROJEKT_MODIFILES

Zur Runtime änderbare Daten

Der Konfigurationsdialog für die Runtime änderbaren Daten wird geöffnet.
Standard-Rezepte, Rezeptgruppen-Manager, Scheduler oder Production & Facility Scheduler und Benutzerverwaltung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProjectModidata


IDS_PROJEKT_REMTRANS

Interne ID: IDS_PROJEKT_REMTRANS

Remote-Transport

Der Konfigurationsdialog für den Remote-Transport wird geöffnet.
Der Remote-Transport dient dem transportieren, nachladen, starten und beenden eines Projekts auf einem entfernten Rechner und dem anfordern des aktuellen Status.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ProjectTransport


IDS_PROPNAME_PLURAL_STYLEITEM

Interne ID: IDS_PROPNAME_PLURAL_STYLEITEM

Stile

Allgemeine Eigenschaften des Stils.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

Styles


IDS_RED

Interne ID: IDS_RED

redundante Peripherieadresse

Redundante Adresse

Aktiv: Redundante Adresse verwenden

Inaktiv: Keine redundante Adresse

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RED


IDS_RED_ENG

Interne ID: IDS_RED_ENG

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RED


IDS_REG

Interne ID: IDS_REG

Regulierbefehl

Regulierbefehle, Retriggerbefehle

Aktiv: Befehl ist Regulierbefehl

Inaktiv: Standardbefehl

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

REG


IDS_REG_ENG

Interne ID: IDS_REG_ENG

Enable regulating commands

Regulating-, triggered commands

Active: Command is regulating-, triggered command

Inactive: Standard command

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

REG


IDS_RLINE

Interne ID: IDS_RLINE

REYDISP-Linie

REYDISP Liniennummer

Nur bei Störschrieb-Datenpunkt

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LINIE


IDS_RLINE_ENG

Interne ID: IDS_RLINE_ENG

REYDISP-Line

REYDISP line number

Only for disturbance data datapoints

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LINIE


IDS_ROKT1

Interne ID: IDS_ROKT1

Red. O1/Region

Redundante Peripherieadresse

Regionsnummer bzw. Octet 1 (CASDU1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

R_2


IDS_ROKT1_ENG

Interne ID: IDS_ROKT1_ENG

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

R_2


IDS_ROKT2

Interne ID: IDS_ROKT2

Red. O2/Komponente

Redundante Peripherieadresse

Komponentennummer bzw. Octet 2 (CASDU2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

K_2


IDS_ROKT2_ENG

Interne ID: IDS_ROKT2_ENG

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

K_2


IDS_ROKT3

Interne ID: IDS_ROKT3

Red. O3/Baugruppe

Redundante Peripherieadresse

Baugruppennummer bzw. Octet 3 (IOA1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

B_2


IDS_ROKT3_ENG

Interne ID: IDS_ROKT3_ENG

Red. O3/Board

Redundant datapoint address

Region number or Octet 3 (IOA1)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

B_2


IDS_ROKT4

Interne ID: IDS_ROKT4

Red. O4/Wertnummer

Redundante Peripherieadresse

Wertnummer bzw. Octet 4 (IOA2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

W_2


IDS_ROKT4_ENG

Interne ID: IDS_ROKT4_ENG

Red. O4/Value number

Redundant datapoint address

Region number or Octet 4 (IOA2)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

W_2


IDS_ROKT5

Interne ID: IDS_ROKT5

Red. O5/Datenart

Redundante Peripherieadresse

Datenart bzw. Octet 5 (IOA3)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

D_2


IDS_ROKT5_ENG

Interne ID: IDS_ROKT5_ENG

Red. O5/Subaddress

Redundant datapoint address

Region number or Octet 5 (IOA3)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

D_2


IDS_SE_ADRESSE

Interne ID: IDS_SE_ADRESSE

Address

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SeAddress


IDS_SE_STANDARD

Interne ID: IDS_SE_STANDARD

Standard

aktiv: Alle C-Geräte an einem B-Gerät werden als sogenannte "C-Schiene" angesehen. Die C-Geräte werden damit nicht mehr direkt ausgewählt, sondern die Datenpunkte auf den C-Geräten werden so behandelt, als würden
sie auf dem B-Gerät liegen.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Standard


IDS_SICHTBARKEIT

Interne ID: IDS_SICHTBARKEIT

Sichtbarkeit/Blinken

Eigenschaften für die Sichtbarkeit und das Blinken des Elements.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Visibility


IDS_SICHTBARKEIT_AUSGRENZWERT

Interne ID: IDS_SICHTBARKEIT_AUSGRENZWERT

von Grenzwert übernehmen

Nur verfügbar, nachdem eine Variable ausgewählt wurde:

  • Aktiv: Die Sichtbarkeit des Elements wird von den Grenzwerteigenschaften der Variable beeinflusst.

    Achtung: Zumindest bei einem Grenzwert der Variable muss die Eigenschaft Unsichtbar aktiviert sein.

  • Inaktiv: Die Sichtbarkeit wird von den Eigenschaften des Elements beeinflusst.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibilityFromLimit


IDS_SICHTBARKEIT_BIS

Interne ID: IDS_SICHTBARKEIT_BIS

bis

Nur verfügbar, nachdem eine Variable ausgewählt wurde und wenn die Sichtbarkeit nicht vom Grenzwert übernommen wird.

Größter Wert der Variable, bei dem das Element sichtbar ist.

  • Minimum: kleinstmöglicher Wert der verknüpften Variable
  • Maximum: höchstmöglicher Wert der verknüpften Variable

Default: höchstmöglicher Wert der verknüpften Variable

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibilityTo


IDS_SICHTBARKEIT_VARIABLE

Interne ID: IDS_SICHTBARKEIT_VARIABLE

Variable

Nur verfügbar, wenn für die Eigenschaft Sichtbarkeit Von Variable gewählt wurde.

Name der Variablen, deren Wert die Sichtbarkeit des Elements steuert. Die Sichtbarkeit wird entweder aus den Grenzwert-Eigenschaften dieser Variablen übernommen oder durch den Wertbereich bestimmt, der bei den Eigenschaften von und bis definiert ist.
Ein Klick auf die Schaltfläche ... öffnet den Dialog zur Variablenauswahl. Der Name kann auch manuell in das Textfeld eingegeben werden.
Wenn keine Variable verknüpft ist, ist das Element immer sichtbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibilityVariable


IDS_SICHTBARKEIT_VON

Interne ID: IDS_SICHTBARKEIT_VON

von

Nur verfügbar, nachdem eine Variable ausgewählt wurde und wenn die Sichtbarkeit nicht vom Grenzwert übernommen wird:

Kleinster Wert der Variable, bei dem das Element sichtbar ist.

  • Minimum: kleinstmöglicher Wert der verknüpften Variable
  • Maximum: höchstmöglicher Wert der verknüpften Variable

Default: kleinstmöglicher Wert der verknüpften Variable

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VisibilityFrom


IDS_ST_SAVE

Interne ID: IDS_ST_SAVE

Status speichern

Aktiv: Status der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Status wird nicht gespeichert.

Default: Inaktiv

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ST_SAVE


IDS_ST_SAVE_ENG

Interne ID: IDS_ST_SAVE_ENG

Save state

Save status

Active: The status bits (e.g. Revision) of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The status bits of the datapoint will not be saved.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ST_SAVE


IDS_STRING78

Interne ID: IDS_STRING78

Anzeigebereich dynamisch

Eigenschaften für den dynamischen Anzeigebereich.
Dies erlaubt den Anzeigebereich in der Runtime dynamisch über Variablenwerte zu ändern.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Displayrange_Dynamic


IDS_STRING79

Interne ID: IDS_STRING79

Minimum

Variable, die das Minimum des Anzeigebereichs in der Runtime definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynMinVar


IDS_STRING80

Interne ID: IDS_STRING80

Maximum

Variable, die das Maximum des Anzeigebereichs in der Runtime definiert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DynMaxVar


IDS_STRING81

Interne ID: IDS_STRING81

Sollwert-Grenzen dynamisch

Eigenschaften zu den dynamischen Sollwertgrenzen.

Achtung: Wenn der Minimumwert größer als der Maximumwert ist und die Eigenschaft Sollwert setzen ohne Dialog aktiv ist, wird beim Ändern des Sollwerts zwischen dem Minimumwert und dem Maximumwert getoggelt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueLimits_Dynamic


IDS_STRING82

Interne ID: IDS_STRING82

Minimum

Variable, deren aktueller Wert als untere Sollwertgrenze für das Element gilt.
Nur verfügbar, wenn Sollwertgrenzen von Variable übernehmen nicht aktiv ist:
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueDynMin


IDS_STRING83

Interne ID: IDS_STRING83

Maximum

Variable, deren aktueller Wert als obere Sollwertgrenze für das Element gilt.

Nur verfügbar, wenn Sollwertgrenzen von Variable übernehmen nicht aktiv ist.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SetValueDynMax


IDS_STRING3146

Interne ID: IDS_STRING3146

Linienstil

Anzeige und Auswahl des Linienstils, der dem Element zugewiesen ist.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Stils.
Sind mehrere Elemente ausgewählt, kann diesen ein gemeinsamer Stil zugewiesen werden.

Hinweis: Es werden nur Eigenschaften übernommen, die vom jeweiligen Element unterstützt werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Style


IDS_SYMADRESSE

Interne ID: IDS_SYMADRESSE

3S Arti specific

Die folgenden Properties dienen Ihnen zur Adressierung des 3S_Arti_NG-Treibers.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NGAddress


IDS_SYMNAME

Interne ID: IDS_SYMNAME

Symbol name

Symbolname der Variablen in der Steuerung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

NGSymName


IDS_TEXTCOLOR_VARIABLE

Interne ID: IDS_TEXTCOLOR_VARIABLE

Textfarbe

Name der Variablen, deren Grenzwertfarbe die Textfarbe des Elements beeinflussen soll. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Variablen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

LineColorVariable


IDS_TRANS

Interne ID: IDS_TRANS

Transparente Daten

Transparente Daten

Nur bei Störschrieb-Datenpunkt.

DISTO: Störschriebauswertung mit DISTO

REYDISP: Störschriebauswertung für REYROLL

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TRANS


IDS_TRANS_ENG

Interne ID: IDS_TRANS_ENG

Transparent Data

Transparent Data

Only for disturbance data datapoints.

DISTO: Storing of disturbance records by DISTO

REYDISP: Storing of disturbance records by REYROLL

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TRANS


IDS_UNTERGRUPPE

Interne ID: IDS_UNTERGRUPPE

Sub group

Geben Sie die Nummer der gewünschten Untergruppe ein.

Minimum: 0

Maximum: 255

Default: 0

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SubGroup


IDS_VAL_SAVE

Interne ID: IDS_VAL_SAVE

Wert speichern

Aktiv: Wert der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Wert wird nicht gespeichert.

Default: Inaktiv.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VAL_SAVE


IDS_VAL_SAVE_ENG

Interne ID: IDS_VAL_SAVE_ENG

Save value

Save value

Active: The value of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The value will not be saved and is 0 at restart.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VAL_SAVE


IDS_VAR_ERSATZWERT_STRING

Interne ID: IDS_VAR_ERSATZWERT_STRING

String Archivfüllwert

Wird für Stringvariablen verwendet, um zyklische Archive aufzufüllen.
Sind in zyklischen Archiven Zeitbereiche vorhanden, bei denen es keine Verbindung zur Hardware gab, wird der String Archivfüllwert verwendet, solange noch kein Wert von der Hardware übertragen wurde. Sonst wird der zuletzt gültige Wert zum Auffüllen verwendet.

Maximale Länge: 128 Zeichen

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

AlternateValueString


IDS_VTA

Interne ID: IDS_VTA

Adressierungsart

Adresstyp

Muss mit Parametrierung in GW1703.ini und der Gegenstelle übereinstimmen.

STA: Systemtechnisch

VTA: Verfahrenstechnisch

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VTA


IDS_VTA_ENG

Interne ID: IDS_VTA_ENG

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VTA


IDS_WDH

Interne ID: IDS_WDH

WDH (Anz. Wdh.)

Max. Anzahl an Wiederholungen

Regulierbefehle, Retriggerbefehle

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WDH


IDS_WDH_ENG

Interne ID: IDS_WDH_ENG

Repeats

Max. count of repeats

Regulating-, triggered commands

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

WDH


IDS_Z_NR

Interne ID: IDS_Z_NR

Zielnummer

LAN-Stations- oder LAN-Gruppennummer

Bei serieller Ankopplung Linkadresse

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Z_NR


IDS_Z_NR_ENG

Interne ID: IDS_Z_NR_ENG

Destination number

LAN station or LAN group number

Link address if serial connection

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Z_NR


IDS_Z_TYP

Interne ID: IDS_Z_TYP

Zieltyp

Auswahl LAN-Station oder LAN-Gruppe

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Z_TYP


IDS_Z_TYP_ENG

Interne ID: IDS_Z_TYP_ENG

Destination typ

Selection of LAN station or LAN group

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Z_TYP


IDS_ZEIT

Interne ID: IDS_ZEIT

Time

Zeitbeigabe

Aktiv: Rechnerzeit wird beim Empfang beigegeben.

Inaktiv: Zeit aus Telegramm wird verwendet.

Invalide oder unplausible Zeit wird automatisch durch die Rechnerzeit ersetzt.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ZEIT


IDS_ZEIT_ENG

Interne ID: IDS_ZEIT_ENG

Time stamp by AKS

Time setting

Active: Computer time will be used when received

Inactive: Telegram time will be used

Invalid or implausible time stamp will be replaced automatically by computer time.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ZEIT


IDS_ZENMENU_PROP01

Interne ID: IDS_ZENMENU_PROP01

Menü ID

Name des Menüeintrags.

Bei Aktionstyp Befehlsgabe sind die in der Befehlsgabe bereits definierte Aktionen aus einer Dropdownliste auswählbar.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDS_ZENMENU_PROP02

Interne ID: IDS_ZENMENU_PROP02

Text

Beschriftung des Menüeintrags im Menü. Der Eintrag muss eindeutig sein. Sind mehrere Einträge mit gleichem Text vorhanden, wird zur Runtime nur der erste dieser Menüeinträge angezeigt.

Hinweis: Wird im Eigenschaftenfeld Aktionstyp via Dropdownliste der Wert Befehlsgabe ausgewählt, wird der Wert der Eigenschaft Text: mit $ALL$ vorausgefüllt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Caption


IDS_ZENMENU_PROP04

Interne ID: IDS_ZENMENU_PROP04

Datei

Nur verfügbar, wenn unter Darstellung/Typ der Aktionstyp Hilfe gewählt wurde.
Hilfedatei, aus der ein Kapitel angezeigt werden soll.
Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HelpFile


IDS_ZENMENU_PROP05

Interne ID: IDS_ZENMENU_PROP05

Kapitel

Nur verfügbar, wenn unter Darstellung/Typ der Aktionstyp Hilfe gewählt wurde.
Kapitel der verknüpften Datei.
Hinweis: Bei der Projektierung ist der Name eines Unterkapitels der verknüpften Hilfedatei einzugeben. Besteht die verknüpfte Datei nur aus einer Hauptseite ohne Unterkapitel wird zur Runtime die Hauptseite visualisiert.
Achtung: Dieser Eintrag berücksichtigt Groß-/Kleinschreibung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

HelpCapture


IDS_ZENMENU_PROP06

Interne ID: IDS_ZENMENU_PROP06

Grafikdatei

Grafikdatei, die im ganz linken Bereich angezeigt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Picture


IDS_ZENMENU_PROP07

Interne ID: IDS_ZENMENU_PROP07

Häkchen

Vor dem Menüeintrag wird ein Häkchen angezeigt. Dies dient nur zur grafischen Darstellung.

Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Checked


IDS_ZENMENU_PROP08

Interne ID: IDS_ZENMENU_PROP08

Aktiv

Aktiv: Der Menüeintrag wird normal dargestellt und die damit verknüpfte Aktion wird bei Betätigung ausgeführt.
Inaktiv: Der Eintrag wird gegreyed dargestellt und die damit verknüpfte Aktion wird nicht ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Enabled


IDS_ZENMENU_PROP09

Interne ID: IDS_ZENMENU_PROP09

Sichtbar

Steuert, ob der Menüeintrag zur Runtime angezeigt wird.

Default: aktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Visible


IDS_ZENMENU_PROP10

Interne ID: IDS_ZENMENU_PROP10

Trennlinie aktiv

Aktiv: Statt eines Menüeintrags wird eine horizontale Trennlinie eingefügt. Breite und Farbe der Linie können definiert werden.

Default: inaktiv

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Seperator


IDS_ZENMENU_PROP11

Interne ID: IDS_ZENMENU_PROP11

Untermenü

Der Menüeintrag führt keine Aktion aus, sondern öffnet ein Untermenü.

Default: Inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Popup-Menu


IDS_ZENMENU_PROP12

Interne ID: IDS_ZENMENU_PROP12

Aktionstyp

Auswahl des Aktionstyps.
Welche Aktionstypen zur Verfügung stehen, hängt ab von der Menüart.

In Hauptmenü und Kontextmenü verfügbar:

  • Funktion: Eine Funktion wird ausgeführt.
  • Hilfe: Ein Hilfe-Eintrag wird angezeigt.
  • Keine Aktion: Es wird keine Aktion ausgeführt.
  • Sollwert setzen: Ein Sollwert wird auf eine Variable abgesetzt.

Nur im Kontextmenü verfügbar:

  • Alarme quittieren: Quittiert alle Alarme für Variablen, die mit dem dynamischen Element, auf das sich das Kontextmenü bezieht, verknüpften sind.
  • Blinken quittieren: Schaltet den Blinkzustand aller Alarme für Variablen ab, die mit dem dynamischen Element, auf das sich das Kontextmenü bezieht, verknüpften sind. Der Alarm wird dabei nicht quittiert.
  • Erweiterten Trend anzeigen: Ermöglicht das Aufschalten eines ETM-Bildes über ein Kontextmenü.
  • Befehlsgabe: Führt eine Befehlsgabe aus.
  • VBA Makro: Ein VBA Makro wird ausgeführt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Type


IDS_ZENMENU_PROP13

Interne ID: IDS_ZENMENU_PROP13

Berechtigungsebene

Passwortlevel für das Ausführen dieses Menüeintrags.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Password


IDS_ZENMENU_PROP14

Interne ID: IDS_ZENMENU_PROP14

Textfarbe

Textfarbe für das ausgewählte Menü.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

TextColor


IDS_ZENMENU_PROP15

Interne ID: IDS_ZENMENU_PROP15

Hintergrundfarbe

Hintergrundfarbe für das ausgewählte Menü.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackColor


IDS_ZENMENU_PROP16

Interne ID: IDS_ZENMENU_PROP16

Schrift

Schriftart der Menüs. Gilt für alle Menüeinträge.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Font


IDS_ZENMENU_PROP17

Interne ID: IDS_ZENMENU_PROP17

Funktion

Nur verfügbar für Aktionstyp "Funktion":
Funktion, die über den ausgewählten Menüeintrag ausgeführt werden soll.
Wenn hier mehr als eine Funktion ausgeführt werden soll, so muss ein Skript mit den gewünschten Funktionen erstellt und die Funktion zum Ausführen des Skripts hier verknüpft werden.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Function


IDS_ZENMENU_PROP18

Interne ID: IDS_ZENMENU_PROP18

VBA-Makro

Nur verfügbar für Aktionstyp "VBA Makro":
VBA Makro, das über den ausgewählten Menüeintrag ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

VBA-Macro


IDS_ZENMENU_PROP19

Interne ID: IDS_ZENMENU_PROP19

Variable

Nur verfügbar für Aktionstyp "Sollwert setzen":
Variable, auf die über den ausgewählten Menü-Eintrag ein Sollwert abgesetzt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Variable


IDS_ZENMENU_PROP20

Interne ID: IDS_ZENMENU_PROP20

Sollwert/Änderung um

Nur verfügbar für Aktionstyp "Sollwert setzen":
Zahlenwert, der als Sollwert auf die ausgewählte Variable abgesetzt werden soll. Es werden nur Zahlenwerte erwartet und akzeptiert. Die Werte werden mit bis zu 6 Nachkommastellen übernommen.
Ist die Eigenschaft Aktuellen Wert vorschlagen aktiviert, so wird der aktuelle Wert der Variable um diesen Wert erhöht (positiver Wert) oder verringert (negativer Wert).

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Sollwert


IDS_ZENMENU_PROP21

Interne ID: IDS_ZENMENU_PROP21

Variable aus Element

Nur verfügbar für Aktionstyp "Sollwert setzen" und Kontextmenüs:
Aktiv: Variable für Sollwert setzen wird aus dem dynamischen Element übernommen.
Inaktiv: Variable für Sollwert setzen wird in den Eigenschaften des Menüeintrags angegeben.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

FromElem


IDS_ZENMENU_PROP22

Interne ID: IDS_ZENMENU_PROP22

Dialog

Nur verfügbar für Aktionstyp "Sollwert setzen":
Aktiv: Beim Ausführen der Aktion wird vor dem Absetzen des Sollwerts eine Dialogbox geöffnet, die es dem Anwender erlaubt den Sollwert vor dem absetzen zu ändern.
Sind Keyboardbilder (z.B. SETVALUEKBD, SETSTRINGKBD oder SETBOOLKBD) vorhanden, werden diese anstelle der Dialogbox automatisch aufgeschaltet.
Inaktiv: Der in den Eigenschaften des Menüeintrags definierte Wert wird direkt an die Hardware gesendet.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

SWDialog


IDS_ZENMENU_PROP23

Interne ID: IDS_ZENMENU_PROP23

Aktuellen Wert vorschlagen

Nur verfügbar für Aktionstyp "Sollwert setzen":
Aktiv: Der aktuelle Wert der Variable wird als Sollwert vorgeschlagen.
Inaktiv: Der Sollwert wird direkt in den Eigenschaften des Menüeintrags angegeben.
Default: inaktiv.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

ActValue


IDS_ZENMENU_PROP24

Interne ID: IDS_ZENMENU_PROP24

Name

Eindeutiger Name des Menüs.
Default: Neues Hauptmenü x oder Neues Kontextmenü x (wobei x eine fortlaufende Zahl ist).

Achtung: Diese Eigenschaft steht für die Sprachumschaltung nicht zur Verfügung.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Name


IDS_ZENMENU_PROP34

Interne ID: IDS_ZENMENU_PROP34

Verriegelung

Auswahl einer Verriegelung für den Menüeintrag.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Locking


IDS_ZENMENU_PROP36

Interne ID: IDS_ZENMENU_PROP36

Grafikdatei

Hintergrundgrafik für den Menüeintrag.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundPicture


IDS_ZENMENU_PROP37

Interne ID: IDS_ZENMENU_PROP37

Ausrichtung

Größe der Hintergrundgrafik für den Menüeintrag.
Originalgröße: Das Bild wird in seiner Originalgröße dargestellt. Der Menüeintrag wird an die Größe des Bildes angepasst.
Gestreckt: Das Bild wird auf die Größe des Menüeintrags gestreckt.
Default: Originalgröße.

Beispiel: Menüs sollten in einem Touchscreen-Projekt verwendet werden. Als Standard werden für die Größe der einzelnen Menüeinträge die Einstellungen des Betriebssystems verwendet. Mit einer Hintergrundgrafik in Originalgröße lässt sich die Größe der Menüeinträge aber individuell gestalten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

BackgroundPicRepres


IDS_ZENMENU_PROP38

Interne ID: IDS_ZENMENU_PROP38

Bild

Ermöglicht die Auswahl des ETM- Bildes, das beim Öffnen verwendet werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Screen


IDS_ZENMENU_PROP39

Interne ID: IDS_ZENMENU_PROP39

Zeitfilter relativ

Konfiguration des relativen Zeitfilters, der zur Runtime beim projektierten ETM-Bild angewandt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

RelativeTimeFilter


IDS_ZENMENU_PROP40

Interne ID: IDS_ZENMENU_PROP40

Stilgruppe für Diagramm

Ermöglicht die Auswahl einer vordefinierten Stilgruppe, die zur Runtime im Diagramm des ETM-Bildes angewandt wird.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

DiagramStyle


IDS_ZENMENU_PROP_GRP2

Interne ID: IDS_ZENMENU_PROP_GRP2

Berechtigung

Eigenschaften der Bedienberechtigung des Menüeintrags.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Rights


IDS_ZENMENU_PROP_GRP3

Interne ID: IDS_ZENMENU_PROP_GRP3

Darstellung/Typ

Eigenschaften der Darstellung des Menüeintrags.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Represantation


IDS_ZENMENU_PROP_GRP4

Interne ID: IDS_ZENMENU_PROP_GRP4

Funktion/Makro

Funktion oder VBA Makro, die über diesen Menüeintrag ausgefürt werden sollten.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Function


IDS_ZENMENU_PROP_GRP5

Interne ID: IDS_ZENMENU_PROP_GRP5

Sollwert setzen

Eigenschaften für den abzusetzenden Wert.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_SetValue


IDS_ZENMENU_PROP_GRP6

Interne ID: IDS_ZENMENU_PROP_GRP6

Hilfe

Eigenschaften für die Hilfeseite für den Menüeintrag.
Diese Funktionalität erlaubt die Anzeige HTML-basierender Hilfeseiten aus einer CHM-Datei in der Runtime über einen Hilfe-Button oder ein Kontextmenü.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_Help


IDS_ZENMENU_PROP_GRP7

Interne ID: IDS_ZENMENU_PROP_GRP7

Hintergrundgrafik

Eigenschaften für die Hintergrundgrafik des Menüeintrags.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_BackgroundPicture


IDS_ZENMENU_PROP_GRP8

Interne ID: IDS_ZENMENU_PROP_GRP8

Aktion

Eigenschaften der Aktion, die mit dem Menüeintrag ausgeführt werden soll.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

Action


IDS_ZENMENU_PROP_GRP9

Interne ID: IDS_ZENMENU_PROP_GRP9

Allgemein

Allgemeine Einstellungen des ausgewählten Menüs.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

GRP_General


IDS_ZENMENU_PROP_GRP10

Interne ID: IDS_ZENMENU_PROP_GRP10

Erweiterter Trend

Ermöglicht Aufschalten eines ETM-Bildes über ein Dynamisches Element mit Kontextmenü.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) wie folgt anzusprechen:

GRP_ExtendedTrend


IDS_ZYKLISCH_LESEN

Interne ID: IDS_ZYKLISCH_LESEN

Read cyclical

Legt fest, auf welche Art der Wert von der Steuerung übertragen wird.

aktiv: Der Wert wird zyklisch von der Steuerung angefordert.

Default: inaktiv

Hinweis: Diese Option sollte sehr vorsichtig gewählt werden, die Busbelastung steigt dadurch enorm an.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

CyclicReading


LOCK_BITMAP_LOCKING

Interne ID: LOCK_BITMAP_LOCKING

Verriegelung-Grafikdatei

Nur verfügbar, wenn Grafische Kennzeichnung aktiv aktiv ist.

Auswahl der Grafikdatei, die ein verriegeltes Element anzeigt. Die Datei muss im Projektmanager im Knoten Dateien/Grafiken als Bitmap-Datei angelegt sein.

Erlaubtes Format: 16 x 16 Pixel, größere Bitmaps werden gestaucht dargestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockLockBitmap


LOCK_BITMAP_USER

Interne ID: LOCK_BITMAP_USER

Gesperrt-Grafikdatei

Nur verfügbar, wenn die Eigenschaft Grafische Kennzeichnung aktiv aktiv ist.
Auswahl der Grafikdatei, die ein für die Bedienung gesperrtes Element anzeigt. Die Datei muss im Projektmanager im Knoten Dateien/Grafiken als Bitmap-Datei angelegt sein.

Einschränkungen:

  • Erlaubte Zeichen für Dateiname: Buchstaben und Ziffern
  • Erlaubtes Format: 16 x 16 Pixel, größere Bitmaps werden gestaucht dargestellt.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockUserBitmap


LOCK_FILL_COLOR

Interne ID: LOCK_FILL_COLOR

Füllfarbe Schlosssymbol

Nur verfügbar, wenn Grafische Kennzeichnung aktiv aktiv ist.
Definiert die Füllfarbe des Schlosssymbols. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockFillColor


LOCK_LINE_COLOR

Interne ID: LOCK_LINE_COLOR

Linienfarbe Schlosssymbol

Nur verfügbar, wenn Grafische Kennzeichnung aktiv aktiv ist.

Definiert die Linienfarbe des Schlosssymbols. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl einer Farbe oder Farbpalette. Der Eintrag kann auch als Hexadezimalwert mit vorangestelltem # direkt in das Feld erfolgen.

Mehr im Online-Handbuch.

Tipp: zenon Video-Tutorials.

Diese Funktion ist für die zenon API (mit Klassenname) und im XML-Export (ohne Klassenname) wie folgt anzusprechen:

LockLineColor